CREATE DATABASE  IF NOT EXISTS `vestibular` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `vestibular`;
-- MySQL dump 10.13  Distrib 5.5.16, for Win32 (x86)
--
-- Host: localhost    Database: vestibular
-- ------------------------------------------------------
-- Server version	5.5.23

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `local`
--

DROP TABLE IF EXISTS local;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `local` (
  id_evento smallint(6) NOT NULL,
  id_local smallint(6) NOT NULL,
  nome_local varchar(40) DEFAULT NULL,
  PRIMARY KEY (id_evento,id_local),
  CONSTRAINT fk_local_evento FOREIGN KEY (id_evento) REFERENCES `evento` (id_evento)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `local`
--

LOCK TABLES local WRITE;
/*!40000 ALTER TABLE local DISABLE KEYS */;
INSERT INTO local VALUES (15,1,'FLORIANÓPOLIS'),(15,2,'BLUMENAU'),(15,3,'CAMBORIÚ'),(15,4,'CHAPECÓ'),(15,5,'CRICIÚMA'),(15,6,'ITAJAÍ'),(15,7,'JOAÇABA'),(15,8,'JOINVILLE'),(15,9,'LAGES'),(15,10,'TUBARÃO'),(16,1,'FLORIANÓPOLIS'),(16,2,'BLUMENAU'),(16,3,'CAMBORIÚ'),(16,4,'CHAPECÓ'),(16,5,'CRICIÚMA'),(16,6,'ITAJAÍ'),(16,7,'JOAÇABA'),(16,8,'JOINVILLE'),(16,9,'LAGES'),(16,10,'TUBARÃO'),(20,1,'FLORIANÓPOLIS'),(20,2,'BLUMENAU'),(20,3,'CAMBORIÚ'),(20,4,'CHAPECÓ'),(20,5,'CRICIÚMA'),(20,6,'ITAJAÍ'),(20,7,'JOAÇABA'),(20,8,'JOINVILLE'),(20,9,'LAGES'),(20,10,'TUBARÃO'),(20,15,'ARARANGUÁ'),(20,16,'CURITIBANOS'),(20,17,'CANOINHAS'),(25,1,'FLORIANÓPOLIS'),(25,2,'BLUMENAU'),(25,3,'CAMBORIÚ'),(25,4,'CHAPECÓ'),(25,5,'CRICIÚMA'),(25,6,'ITAJAÍ'),(25,7,'JOAÇABA'),(25,8,'JOINVILLE'),(25,9,'LAGES'),(25,10,'TUBARÃO'),(25,15,'ARARANGUÁ'),(25,16,'CURITIBANOS'),(25,17,'CANOINHAS'),(28,1,'FLORIANÓPOLIS'),(28,2,'BLUMENAU'),(28,3,'CAMBORIÚ'),(28,4,'CHAPECÓ'),(28,5,'CRICIÚMA'),(28,6,'ITAJAÍ'),(28,7,'JOAÇABA'),(28,8,'JOINVILLE'),(28,9,'LAGES'),(28,10,'TUBARÃO'),(28,15,'ARARANGUÁ'),(28,16,'CURITIBANOS'),(28,17,'CANOINHAS'),(28,22,'BRUSQUE'),(28,23,'JARAGUÁ DO SUL'),(28,24,'RIO DO SUL'),(28,25,'CAÇADOR'),(28,26,'CONCÓRDIA'),(28,27,'SÃO MIGUEL DO OESTE');
/*!40000 ALTER TABLE local ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `opcao_candidato`
--

DROP TABLE IF EXISTS opcao_candidato;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE opcao_candidato (
  id_evento smallint(6) NOT NULL,
  id_candidato decimal(7,0) NOT NULL,
  id_opcao char(2) NOT NULL,
  codigo_opcao smallint(6) DEFAULT NULL,
  opcao_invalida char(1) DEFAULT NULL,
  PRIMARY KEY (id_evento,id_candidato,id_opcao),
  CONSTRAINT fk_opcao_candidato_candidato FOREIGN KEY (id_evento, id_candidato) REFERENCES candidato (id_evento, id_candidato)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `opcao_candidato`
--

LOCK TABLES opcao_candidato WRITE;
/*!40000 ALTER TABLE opcao_candidato DISABLE KEYS */;
INSERT INTO opcao_candidato VALUES (15,2000016,'1',103,'N'),(15,2000016,'2',5,'N'),(15,2000024,'1',101,'N'),(15,2000024,'2',327,'N'),(15,2000032,'1',2,'N'),(15,2000032,'2',108,'N'),(15,2000059,'1',2,'N'),(15,2000059,'2',224,'N'),(15,2000067,'1',420,'N'),(15,2000067,'2',426,'N'),(15,2000075,'1',108,'N'),(15,2000075,'2',451,'N'),(15,2000083,'1',501,'N'),(15,2000083,'2',502,'N'),(15,2000091,'1',207,'N'),(15,2000091,'1A',201,'N'),(15,2000091,'2',316,'N'),(15,2000105,'1',238,'N'),(15,2000105,'2',339,'N'),(15,2000113,'1',451,'N'),(15,2000113,'2',426,'N'),(15,2000121,'1',104,'N'),(15,2000130,'1',103,'N'),(15,2000130,'2',108,'N'),(15,2000164,'1',5,'N'),(15,2000164,'2',317,'N'),(15,2000172,'1',103,'N'),(15,2000172,'2',101,'N'),(15,2000180,'1',207,'N'),(15,2000180,'1A',203,'N'),(15,2000180,'2',404,'N'),(15,2000199,'1',308,'N'),(15,2000199,'2',9,'N'),(15,2000202,'1',450,'N'),(15,2000202,'2',451,'N'),(15,2000210,'1',238,'N'),(15,2000210,'2',225,'N'),(15,2000229,'1',208,'N'),(15,2000229,'1A',238,'N'),(15,2000229,'2',318,'N'),(15,2000245,'1',108,'N'),(15,2000245,'2',211,'N'),(15,2000253,'1',420,'N'),(15,2000253,'1A',427,'S'),(15,2000253,'2',108,'N'),(15,2000261,'1',225,'N'),(15,2000261,'2',222,'N'),(15,2000270,'1',319,'N'),(15,2000270,'2',5,'N'),(15,2000288,'1',316,'N'),(15,2000288,'2',317,'N'),(15,2000296,'1',203,'N'),(15,2000296,'1A',233,'N'),(15,2000296,'2',214,'N'),(15,2000300,'1',319,'N'),(15,2000300,'2',9,'N'),(15,2000318,'1',103,'N'),(15,2000318,'2',319,'N'),(15,2000326,'1',103,'N'),(15,2000326,'2',104,'N'),(15,2000334,'1',103,'N'),(15,2000342,'1',103,'N'),(15,2000342,'2',217,'N'),(15,2000350,'1',103,'N'),(15,2000350,'2',101,'N'),(15,2000369,'1',215,'N'),(15,2000369,'1A',216,'N'),(15,2000369,'2',103,'N'),(15,2000385,'1',332,'N'),(15,2000385,'2',331,'N'),(15,2000393,'1',103,'N'),(15,2000393,'2',303,'N'),(15,2000407,'1',301,'N'),(15,2000407,'2',207,'N'),(15,2000415,'1',103,'N'),(15,2000431,'1',103,'N'),(15,2000431,'2',102,'N'),(15,2000440,'1',304,'N'),(15,2000440,'2',303,'N'),(15,2000458,'1',428,'N'),(15,2000458,'1A',425,'N'),(15,2000458,'2',5,'N'),(15,2000482,'1',318,'N'),(15,2000482,'2',304,'N'),(15,2000512,'1',333,'N'),(15,2000512,'2',108,'N'),(15,2000520,'1',404,'N'),(15,2000520,'2',308,'N'),(15,2000539,'1',207,'N'),(15,2000539,'1A',201,'N'),(15,2000539,'2',420,'N'),(15,2000547,'1',318,'N'),(15,2000547,'2',320,'N'),(15,2000563,'1',420,'N'),(15,2000563,'2',450,'N'),(15,2000571,'1',5,'N'),(15,2000571,'2',425,'N'),(15,2000580,'1',102,'N'),(15,2000580,'2',324,'N'),(15,2000598,'1',329,'N'),(15,2000598,'2',328,'N'),(15,2000601,'1',211,'N'),(15,2000601,'1A',203,'N'),(15,2000610,'1',238,'N'),(15,2000610,'1A',208,'N'),(15,2000610,'2',222,'N'),(15,2000628,'1',201,'N'),(15,2000628,'1A',203,'N'),(15,2000628,'2',318,'N'),(15,2000636,'1',104,'N'),(15,2000636,'2',216,'N'),(15,2000660,'1',303,'N'),(15,2000660,'2',451,'N'),(15,2000679,'1',320,'N'),(15,2000679,'2',327,'N'),(15,2000687,'1',5,'N'),(15,2000687,'2',426,'N'),(15,2000695,'1',316,'N'),(15,2000695,'2',502,'N'),(15,2000709,'1',308,'N'),(15,2000709,'2',428,'N'),(15,2000717,'1',207,'N'),(15,2000717,'1A',201,'N'),(15,2000717,'2',216,'N'),(15,2000725,'1',207,'N'),(15,2000725,'1A',201,'N'),(15,2000733,'1',319,'N'),(15,2000741,'1',9,'N'),(15,2000750,'1',329,'N'),(15,2000750,'2',308,'N'),(15,2000784,'1',501,'N'),(15,2000784,'2',502,'N'),(15,2000806,'1',415,'N'),(15,2000806,'2',450,'N'),(15,2000814,'1',108,'N'),(15,2000822,'1',103,'N'),(15,2000822,'2',501,'N'),(15,2000830,'1',207,'N'),(15,2000830,'1A',201,'N'),(15,2000830,'2',427,'N'),(15,2000849,'1',216,'N'),(15,2000849,'1A',233,'N'),(15,2000849,'2',102,'N'),(15,2000857,'1',102,'N'),(15,2000857,'2',108,'N'),(15,2000865,'1',212,'N'),(15,2000865,'1A',238,'N'),(15,2000865,'2',424,'N'),(15,2000873,'1',319,'N'),(15,2000873,'2',108,'N'),(15,2000903,'1',415,'N'),(15,2000903,'2',309,'N'),(15,2000911,'1',332,'N'),(15,2000911,'2',426,'N'),(15,2000920,'1',5,'N'),(15,2000920,'2',427,'N'),(15,2000938,'1',103,'N'),(15,2000938,'2',102,'N'),(15,2000946,'1',202,'N'),(15,2000946,'1A',213,'N'),(15,2000946,'2',203,'N'),(15,2000954,'1',103,'N'),(15,2000954,'2',316,'N'),(15,2000962,'1',333,'N'),(15,2000962,'2',108,'N'),(15,2000970,'1',317,'N'),(15,2000970,'2',318,'N'),(15,2000989,'1',103,'N'),(15,2000989,'2',216,'N'),(15,2000997,'1',103,'N'),(15,2000997,'2',217,'N'),(15,2001004,'1',103,'N'),(15,2001004,'2',339,'N'),(15,2001012,'1',103,'N'),(15,2001020,'1',211,'N'),(15,2001020,'1A',215,'N'),(15,2001020,'2',502,'N'),(15,2001039,'1',319,'N'),(15,2001047,'1',5,'N'),(15,2001047,'2',320,'N'),(15,2001055,'1',103,'N'),(15,2001055,'2',319,'N'),(15,2001063,'1',333,'N'),(15,2001071,'1',444,'N'),(15,2001071,'2',404,'N'),(15,2001080,'1',304,'N'),(15,2001080,'2',421,'N'),(15,2001098,'1',208,'N'),(15,2001098,'1A',238,'N'),(15,2001098,'2',222,'N'),(15,2001101,'1',5,'N'),(15,2001101,'2',451,'N'),(15,2001110,'1',304,'N'),(15,2001110,'2',222,'N'),(15,2001144,'1',103,'N'),(15,2001144,'2',220,'N'),(15,2001160,'1',103,'N'),(15,2001179,'1',327,'N'),(15,2001179,'2',5,'N'),(15,2001187,'1',203,'N'),(15,2001187,'1A',214,'N'),(15,2001187,'2',220,'N'),(15,2001209,'1',420,'N'),(15,2001209,'2',216,'N'),(15,2001217,'1',332,'N'),(15,2001217,'2',320,'N'),(15,2001233,'1',333,'N'),(15,2001233,'2',502,'N'),(15,2001241,'1',103,'N'),(15,2001241,'2',216,'N'),(15,2001250,'1',216,'N'),(15,2001250,'1A',233,'N'),(15,2001250,'2',217,'N'),(15,2001268,'1',428,'N'),(15,2001268,'1A',425,'N'),(15,2001268,'2',415,'N'),(15,2001276,'1',317,'N'),(15,2001276,'2',224,'N'),(15,2001284,'1',420,'N'),(15,2001284,'2',238,'N'),(15,2001306,'1',103,'N'),(15,2001306,'2',104,'N'),(15,2001314,'1',415,'N'),(15,2001314,'1A',426,'S'),(15,2001314,'2',303,'N'),(15,2001330,'1',415,'N'),(15,2001330,'2',404,'N'),(15,2001349,'1',319,'N'),(15,2001349,'2',444,'N'),(15,2001357,'1',317,'N'),(15,2001357,'2',224,'N'),(15,2001381,'1',423,'N'),(15,2001381,'1A',424,'N'),(15,2001381,'2',319,'N'),(15,2001390,'1',203,'N'),(15,2001390,'1A',216,'N'),(15,2001390,'2',201,'N'),(15,2001403,'1',103,'N'),(15,2001403,'2',450,'N'),(15,2001411,'1',327,'N'),(15,2001411,'2',339,'N'),(15,2001420,'1',420,'N'),(15,2001420,'2',203,'N'),(15,2001438,'1',303,'N'),(15,2001438,'2',5,'N'),(15,2001446,'1',303,'N'),(15,2001446,'2',316,'N'),(15,2001470,'1',318,'N'),(15,2001470,'2',238,'N'),(15,2001489,'1',103,'N'),(15,2001489,'2',216,'N'),(15,2001497,'1',103,'N'),(15,2001497,'2',444,'N'),(15,2001519,'1',203,'N'),(15,2001519,'1A',211,'N'),(15,2001519,'2',202,'N'),(15,2001527,'1',103,'N'),(15,2001527,'2',201,'N'),(15,2001535,'1',103,'N'),(15,2001560,'1',415,'N'),(15,2001560,'2',425,'N'),(15,2001578,'1',404,'N'),(15,2001578,'2',444,'N'),(15,2001586,'1',103,'N'),(15,2001586,'2',224,'N'),(15,2001594,'1',104,'N'),(15,2001608,'1',103,'N'),(15,2001608,'2',102,'N'),(15,2001624,'1',339,'N'),(15,2001624,'2',309,'N'),(15,2001632,'1',103,'N'),(15,2001632,'2',303,'N'),(15,2001640,'1',5,'N'),(15,2001640,'2',317,'N'),(15,2001659,'1',238,'N'),(15,2001659,'2',208,'N'),(15,2001675,'1',303,'N'),(15,2001675,'2',5,'N'),(15,2001683,'1',104,'N'),(15,2001683,'2',333,'N'),(15,2001691,'1',316,'N'),(15,2001691,'2',339,'N'),(15,2001713,'1',451,'N'),(15,2001713,'2',324,'N'),(15,2001721,'1',104,'N'),(15,2001721,'2',217,'N'),(15,2001730,'1',331,'N'),(15,2001730,'2',332,'N'),(15,2001756,'1',223,'N'),(15,2001756,'2',224,'N'),(15,2001764,'1',333,'N'),(15,2001764,'2',502,'N'),(15,2001772,'1',5,'N'),(15,2001772,'2',303,'N'),(15,2001780,'1',404,'N'),(15,2001780,'2',308,'N'),(15,2001799,'1',103,'N'),(15,2001799,'2',108,'N'),(15,2001802,'1',104,'N'),(15,2001802,'2',211,'N'),(15,2001810,'1',329,'N'),(15,2001810,'2',318,'N'),(15,2001829,'1',309,'N'),(15,2001829,'2',326,'N'),(15,2001837,'1',502,'N'),(15,2001837,'2',108,'N'),(15,2001845,'1',103,'N'),(15,2001845,'2',102,'N'),(15,2001861,'1',214,'N'),(15,2001861,'1A',238,'N'),(15,2001861,'2',333,'N'),(15,2001888,'1',108,'N'),(15,2001888,'2',333,'N'),(15,2001896,'1',103,'N'),(15,2001896,'2',217,'N'),(15,2001900,'1',203,'N'),(15,2001900,'1A',202,'N'),(15,2001900,'2',108,'N'),(15,2001918,'1',317,'N'),(15,2001918,'2',339,'N'),(15,2001926,'1',102,'N'),(15,2001926,'2',101,'N'),(15,2001934,'1',108,'N'),(15,2001934,'2',332,'N'),(15,2001942,'1',217,'N'),(15,2001942,'2',102,'N'),(15,2001950,'1',103,'N'),(15,2001950,'2',211,'N'),(15,2001969,'1',319,'N'),(15,2001969,'2',329,'N'),(15,2001977,'1',108,'N'),(15,2001977,'2',333,'N'),(15,2001985,'1',104,'N'),(15,2001985,'2',317,'N'),(15,2002027,'1',102,'N'),(15,2002027,'2',217,'N'),(15,2002035,'1',327,'N'),(15,2002035,'2',326,'N'),(15,2002043,'1',303,'N'),(15,2002043,'2',415,'N'),(15,2002051,'1',203,'N'),(15,2002051,'1A',208,'N'),(15,2002051,'2',333,'N'),(15,2002060,'1',103,'N'),(15,2002060,'2',217,'N'),(15,2002086,'1',214,'N'),(15,2002086,'1A',233,'N'),(15,2002086,'2',301,'N'),(15,2002094,'1',103,'N'),(15,2002108,'1',5,'N'),(15,2002108,'2',103,'N'),(15,2002116,'1',316,'N'),(15,2002116,'2',501,'N'),(15,2002124,'1',426,'N'),(15,2002124,'1A',425,'N'),(15,2002124,'2',9,'N'),(15,2002132,'1',5,'N'),(15,2002132,'2',225,'N'),(15,2002140,'1',103,'N'),(15,2002140,'2',108,'N'),(15,2002159,'1',214,'N'),(15,2002159,'1A',233,'N'),(15,2002159,'2',215,'N'),(15,2002167,'1',104,'N'),(15,2002167,'2',103,'N'),(15,2002175,'1',5,'N'),(15,2002175,'2',303,'N'),(15,2002183,'1',103,'N'),(15,2002191,'1',211,'N'),(15,2002191,'1A',215,'N'),(15,2002191,'2',333,'N'),(15,2002205,'1',238,'N'),(15,2002205,'2',339,'N'),(15,2002213,'1',329,'N'),(15,2002213,'2',327,'N'),(15,2002230,'1',102,'N'),(15,2002230,'2',215,'N'),(15,2002264,'1',303,'N'),(15,2002264,'2',415,'N'),(15,2002280,'1',320,'N'),(15,2002280,'2',404,'N'),(15,2002302,'1',108,'N'),(15,2002302,'2',333,'N'),(15,2002310,'1',303,'N'),(15,2002310,'2',212,'N'),(15,2002329,'1',238,'N'),(15,2002329,'1A',208,'N'),(15,2002329,'2',316,'N'),(15,2002337,'1',203,'N'),(15,2002337,'1A',233,'N'),(15,2002337,'2',2,'N'),(15,2002345,'1',104,'N'),(15,2002345,'2',319,'N'),(15,2002353,'1',103,'N'),(15,2002353,'2',104,'N'),(15,2002361,'1',415,'N'),(15,2002370,'1',5,'N'),(15,2002370,'2',303,'N'),(15,2002388,'1',103,'N'),(15,2002396,'1',104,'N'),(15,2002396,'2',101,'N'),(15,2002400,'1',303,'N'),(15,2002400,'2',5,'N'),(15,2002434,'1',213,'N'),(15,2002434,'1A',214,'N'),(15,2002434,'2',304,'N'),(15,2002442,'1',324,'N'),(15,2002442,'2',328,'N'),(15,2002450,'1',201,'N'),(15,2002450,'1A',207,'N'),(15,2002450,'2',104,'N'),(15,2002469,'1',201,'N'),(15,2002469,'1A',208,'N'),(15,2002469,'2',304,'N'),(15,2002477,'1',324,'N'),(15,2002477,'2',332,'N'),(15,2002485,'1',103,'N'),(15,2002485,'2',208,'N'),(15,2002493,'1',5,'N'),(15,2002493,'2',318,'N'),(15,2002507,'1',333,'N'),(15,2002507,'2',108,'N'),(15,2002515,'1',415,'N'),(15,2002515,'2',450,'N'),(15,2002531,'1',317,'N'),(15,2002531,'2',224,'N'),(15,2002540,'1',103,'N'),(15,2002540,'2',102,'N'),(15,2002558,'1',420,'N'),(15,2002558,'2',207,'N'),(15,2002566,'1',303,'N'),(15,2002574,'1',5,'N'),(15,2002574,'2',415,'N'),(15,2002582,'1',103,'N'),(15,2002582,'2',216,'N'),(15,2002590,'1',5,'N'),(15,2002590,'2',308,'N'),(15,2002604,'1',108,'N'),(15,2002604,'2',333,'N'),(15,2002612,'1',201,'N'),(15,2002612,'1A',207,'N'),(15,2002612,'2',420,'N'),(15,2002620,'1',319,'N'),(15,2002620,'2',324,'N'),(15,2002639,'1',317,'N'),(15,2002639,'2',208,'N'),(15,2002647,'1',317,'N'),(15,2002647,'2',426,'N'),(15,2002655,'1',5,'N'),(15,2002655,'2',317,'N'),(15,2002663,'1',103,'N'),(15,2002663,'2',319,'N'),(15,2002671,'1',103,'N'),(15,2002671,'2',101,'N'),(15,2002680,'1',502,'N'),(15,2002680,'2',501,'N'),(15,2002698,'1',303,'N'),(15,2002701,'1',104,'N'),(15,2002701,'2',102,'N'),(15,2002710,'1',102,'N'),(15,2002710,'2',217,'N'),(15,2002728,'1',220,'N'),(15,2002728,'1A',203,'N'),(15,2002728,'2',202,'N'),(15,2002736,'1',207,'N'),(15,2002736,'1A',201,'N'),(15,2002736,'2',415,'N'),(15,2002744,'1',103,'N'),(15,2002744,'2',9,'N'),(15,2002752,'1',450,'N'),(15,2002752,'2',328,'N'),(15,2002760,'1',216,'N'),(15,2002760,'1A',201,'N'),(15,2002760,'2',215,'N'),(15,2002779,'1',415,'N'),(15,2002779,'1A',424,'S'),(15,2002779,'2',327,'N'),(15,2002795,'1',103,'N'),(15,2002809,'1',333,'N'),(15,2002809,'2',234,'N'),(15,2002817,'1',101,'N'),(15,2002825,'1',415,'N'),(15,2002825,'2',450,'N'),(15,2002833,'1',103,'N'),(15,2002833,'2',9,'N'),(15,2002841,'1',331,'N'),(15,2002841,'2',332,'N'),(15,2002850,'1',310,'N'),(15,2002850,'2',320,'N'),(15,2002868,'1',220,'N'),(15,2002868,'1A',203,'N'),(15,2002868,'2',201,'N'),(15,2002876,'1',217,'N'),(15,2002876,'2',328,'N'),(15,2002892,'1',223,'N'),(15,2002892,'2',224,'N'),(15,2002914,'1',5,'N'),(15,2002914,'2',318,'N'),(15,2002922,'1',217,'N'),(15,2002922,'2',421,'N'),(15,2002930,'1',214,'N'),(15,2002930,'1A',220,'N'),(15,2002930,'2',316,'N'),(15,2002949,'1',326,'N'),(15,2002949,'2',327,'N'),(15,2002965,'1',327,'N'),(15,2002965,'2',320,'N'),(15,2002973,'1',103,'N'),(15,2002973,'2',451,'N'),(15,2002981,'1',108,'N'),(15,2002981,'2',333,'N'),(15,2002990,'1',103,'N'),(15,2002990,'2',5,'N'),(15,2003007,'1',102,'N'),(15,2003007,'2',333,'N'),(15,2003015,'1',317,'N'),(15,2003015,'2',316,'N'),(15,2003023,'1',214,'N'),(15,2003023,'1A',233,'N'),(15,2003023,'2',212,'N'),(15,2003040,'1',103,'N'),(15,2003040,'2',101,'N'),(15,2003058,'1',318,'N'),(15,2003058,'2',222,'N'),(15,2003066,'1',303,'N'),(15,2003066,'2',428,'N'),(15,2003074,'1',425,'N'),(15,2003074,'1A',429,'N'),(15,2003074,'2',339,'N'),(15,2003082,'1',103,'N'),(15,2003082,'2',421,'N'),(15,2003090,'1',339,'N'),(15,2003090,'2',309,'N'),(15,2003104,'1',207,'N'),(15,2003104,'1A',201,'N'),(15,2003104,'2',333,'N'),(15,2003112,'1',201,'N'),(15,2003112,'1A',208,'N'),(15,2003112,'2',333,'N'),(15,2003120,'1',101,'N'),(15,2003139,'1',303,'N'),(15,2003139,'2',301,'N'),(15,2003147,'1',9,'N'),(15,2003147,'2',102,'N'),(15,2003155,'1',203,'N'),(15,2003155,'1A',202,'N'),(15,2003155,'2',208,'N'),(15,2003163,'1',103,'N'),(15,2003163,'2',217,'N'),(15,2003171,'1',301,'N'),(15,2003171,'2',316,'N'),(15,2003180,'1',207,'N'),(15,2003180,'2',319,'N'),(15,2003198,'1',203,'N'),(15,2003198,'2',201,'N'),(15,2003201,'1',501,'N'),(15,2003201,'2',425,'N'),(15,2003244,'1',328,'N'),(15,2003244,'2',326,'N'),(15,2003252,'1',450,'N'),(15,2003252,'1A',429,'S'),(15,2003252,'2',451,'N'),(15,2003260,'1',319,'N'),(15,2003260,'2',103,'N'),(15,2003279,'1',303,'N'),(15,2003279,'2',333,'N'),(15,2003287,'1',415,'N'),(15,2003287,'2',310,'N'),(15,2003295,'1',104,'N'),(15,2003295,'2',9,'N'),(15,2003309,'1',208,'N'),(15,2003309,'2',420,'N'),(15,2003317,'1',103,'N'),(15,2003317,'2',333,'N'),(15,2003325,'1',303,'N'),(15,2003325,'2',223,'N'),(15,2003341,'1',103,'N'),(15,2003341,'2',202,'N'),(15,2003350,'1',333,'N'),(15,2003350,'2',208,'N'),(15,2003368,'1',424,'N'),(15,2003368,'1A',427,'N'),(15,2003368,'2',450,'N'),(15,2003376,'1',202,'N'),(15,2003376,'1A',216,'N'),(15,2003376,'2',238,'N'),(15,2003384,'1',303,'N'),(15,2003392,'1',238,'N'),(15,2003392,'1A',211,'N'),(15,2003392,'2',208,'N'),(15,2003406,'1',208,'N'),(15,2003406,'1A',238,'N'),(15,2003406,'2',9,'N'),(15,2003414,'1',420,'N'),(15,2003414,'1A',424,'S'),(15,2003414,'2',207,'N'),(15,2003422,'1',208,'N'),(15,2003422,'1A',213,'N'),(15,2003422,'2',333,'N'),(15,2003430,'1',202,'N'),(15,2003430,'1A',220,'N'),(15,2003430,'2',2,'N'),(15,2003449,'1',103,'N'),(15,2003449,'2',317,'N'),(15,2003457,'1',415,'N'),(15,2003457,'1A',428,'S'),(15,2003457,'2',331,'N'),(15,2003465,'1',333,'N'),(15,2003481,'1',102,'N'),(15,2003481,'2',225,'N'),(15,2003490,'1',207,'N'),(15,2003490,'2',420,'N'),(15,2003503,'1',104,'N'),(15,2003503,'2',102,'N'),(15,2003511,'1',102,'N'),(15,2003511,'2',216,'N'),(15,2003520,'1',103,'N'),(15,2003538,'1',238,'N'),(15,2003538,'1A',220,'N'),(15,2003538,'2',427,'N'),(15,2003546,'1',233,'N'),(15,2003546,'1A',215,'N'),(15,2003546,'2',217,'N'),(15,2003554,'1',103,'N'),(15,2003554,'2',102,'N'),(15,2003562,'1',201,'N'),(15,2003562,'1A',212,'N'),(15,2003562,'2',224,'N'),(15,2003570,'1',108,'N'),(15,2003570,'2',429,'N'),(15,2003589,'1',451,'N'),(15,2003589,'2',339,'N'),(15,2003597,'1',207,'N'),(15,2003597,'1A',201,'N'),(15,2003597,'2',424,'N'),(15,2003600,'1',301,'N'),(15,2003600,'2',303,'N'),(15,2003619,'1',404,'N'),(15,2003619,'2',211,'N'),(15,2003627,'1',303,'N'),(15,2003627,'2',339,'N'),(15,2003635,'1',103,'N'),(15,2003635,'2',319,'N'),(15,2003643,'1',207,'N'),(15,2003643,'1A',201,'N'),(15,2003643,'2',420,'N'),(15,2003651,'1',108,'N'),(15,2003651,'2',333,'N'),(15,2003678,'1',328,'N'),(15,2003678,'2',329,'N'),(15,2003686,'1',5,'N'),(15,2003686,'2',319,'N'),(15,2003694,'1',101,'N'),(15,2003708,'1',103,'N'),(15,2003716,'1',208,'N'),(15,2003716,'1A',238,'N'),(15,2003716,'2',201,'N'),(15,2003724,'1',5,'N'),(15,2003724,'2',333,'N'),(15,2003732,'1',450,'N'),(15,2003732,'2',425,'N'),(15,2003740,'1',224,'N'),(15,2003740,'2',327,'N'),(15,2003759,'1',304,'N'),(15,2003759,'2',302,'N'),(15,2003767,'1',420,'N'),(15,2003767,'2',301,'N'),(15,2003775,'1',303,'N'),(15,2003775,'2',424,'N'),(15,2003783,'1',108,'N'),(15,2003783,'2',333,'N'),(15,2003805,'1',302,'N'),(15,2003805,'2',304,'N'),(15,2003813,'1',108,'N'),(15,2003813,'2',333,'N'),(15,2003821,'1',108,'N'),(15,2003821,'2',211,'N'),(15,2003830,'1',502,'N'),(15,2003830,'2',215,'N'),(15,2003848,'1',501,'N'),(15,2003848,'2',211,'N'),(15,2003856,'1',326,'N'),(15,2003856,'2',427,'N'),(15,2003864,'1',203,'N'),(15,2003864,'1A',214,'N'),(15,2003864,'2',303,'N'),(15,2003872,'1',220,'N'),(15,2003872,'1A',203,'N'),(15,2003872,'2',202,'N'),(15,2003899,'1',103,'N'),(15,2003899,'2',104,'N'),(15,2003902,'1',424,'N'),(15,2003902,'1A',427,'N'),(15,2003902,'2',450,'N'),(15,2003929,'1',207,'N'),(15,2003929,'2',333,'N'),(15,2003937,'1',203,'N'),(15,2003937,'1A',201,'N'),(15,2003937,'2',202,'N'),(15,2003961,'1',103,'N'),(15,2003961,'2',101,'N'),(15,2003970,'1',103,'N'),(15,2003970,'2',9,'N'),(15,2003996,'1',215,'N'),(15,2003996,'1A',216,'N'),(15,2003996,'2',501,'N'),(15,2004003,'1',233,'N'),(15,2004003,'1A',216,'N'),(15,2004003,'2',217,'N'),(15,2004046,'1',104,'N'),(15,2004046,'2',101,'N'),(15,2004054,'1',102,'N'),(15,2004054,'2',207,'N'),(15,2004062,'1',329,'N'),(15,2004062,'2',328,'N'),(15,2004070,'1',301,'N'),(15,2004070,'2',103,'N'),(15,2004089,'1',203,'N'),(15,2004089,'1A',220,'N'),(15,2004089,'2',202,'N'),(15,2004097,'1',103,'N'),(15,2004097,'2',9,'N'),(15,2004100,'1',5,'N'),(15,2004119,'1',207,'N'),(15,2004119,'1A',201,'N'),(15,2004119,'2',420,'N'),(15,2004127,'1',103,'N'),(15,2004127,'2',101,'N'),(15,2004135,'1',331,'N'),(15,2004135,'2',415,'N'),(15,2004143,'1',203,'N'),(15,2004143,'1A',214,'N'),(15,2004143,'2',301,'N'),(15,2004151,'1',108,'N'),(15,2004151,'2',428,'N'),(15,2004160,'1',103,'N'),(15,2004160,'2',303,'N'),(15,2004178,'1',5,'N'),(15,2004178,'2',415,'N'),(15,2004186,'1',208,'N'),(15,2004186,'1A',203,'N'),(15,2004186,'2',214,'N'),(15,2004194,'1',420,'N'),(15,2004194,'2',207,'N'),(15,2004208,'1',224,'N'),(15,2004208,'2',223,'N'),(15,2004216,'1',217,'N'),(15,2004216,'2',222,'N'),(15,2004224,'1',103,'N'),(15,2004224,'2',101,'N'),(15,2004232,'1',201,'N'),(15,2004232,'1A',203,'N'),(15,2004232,'2',331,'N'),(15,2004240,'1',238,'N'),(15,2004240,'1A',208,'N'),(15,2004240,'2',316,'N'),(15,2004259,'1',301,'N'),(15,2004259,'2',316,'N'),(15,2004267,'1',304,'N'),(15,2004267,'2',301,'N'),(15,2004283,'1',102,'N'),(15,2004283,'2',217,'N'),(15,2004291,'1',319,'N'),(15,2004291,'2',426,'N'),(15,2004305,'1',420,'N'),(15,2004305,'1A',425,'S'),(15,2004305,'2',208,'N'),(15,2004313,'1',108,'N'),(15,2004313,'2',326,'N'),(15,2004330,'1',316,'N'),(15,2004330,'2',215,'N'),(15,2004348,'1',220,'N'),(15,2004348,'2',203,'N'),(15,2004356,'1',319,'N'),(15,2004356,'2',104,'N'),(15,2004364,'1',429,'N'),(15,2004364,'1A',425,'N'),(15,2004364,'2',427,'N'),(15,2004372,'1',103,'N'),(15,2004372,'2',303,'N'),(15,2004380,'1',203,'N'),(15,2004380,'2',201,'N'),(15,2004399,'1',450,'N'),(15,2004399,'2',420,'N'),(15,2004402,'1',339,'N'),(15,2004410,'1',202,'N'),(15,2004410,'1A',214,'N'),(15,2004410,'2',216,'N'),(15,2004437,'1',103,'N'),(15,2004437,'2',9,'N'),(15,2004445,'1',501,'N'),(15,2004445,'2',217,'N'),(15,2004453,'1',303,'N'),(15,2004453,'2',5,'N'),(15,2004461,'1',238,'N'),(15,2004461,'1A',207,'N'),(15,2004461,'2',108,'N'),(15,2004470,'1',339,'N'),(15,2004488,'1',303,'N'),(15,2004488,'2',304,'N'),(15,2004496,'1',211,'N'),(15,2004496,'2',429,'N'),(15,2004500,'1',103,'N'),(15,2004518,'1',211,'N'),(15,2004518,'1A',233,'N'),(15,2004518,'2',2,'N'),(15,2004534,'1',2,'N'),(15,2004534,'2',222,'N'),(15,2004542,'1',319,'N'),(15,2004542,'2',428,'N'),(15,2004550,'1',308,'N'),(15,2004550,'2',427,'N'),(15,2004577,'1',328,'N'),(15,2004577,'2',329,'N'),(15,2004585,'1',207,'N'),(15,2004585,'2',319,'N'),(15,2004593,'1',317,'N'),(15,2004593,'2',224,'N'),(15,2004607,'1',317,'N'),(15,2004607,'2',324,'N'),(15,2004615,'1',332,'N'),(15,2004615,'2',331,'N'),(15,2004623,'1',103,'N'),(15,2004640,'1',444,'N'),(15,2004640,'2',9,'N'),(15,2004658,'1',103,'N'),(15,2004666,'1',303,'N'),(15,2004666,'2',301,'N'),(15,2004674,'1',316,'N'),(15,2004674,'2',304,'N'),(15,2004682,'1',216,'N'),(15,2004682,'2',217,'N'),(15,2004690,'1',233,'N'),(15,2004690,'1A',203,'N'),(15,2004690,'2',216,'N'),(15,2004704,'1',203,'N'),(15,2004704,'1A',220,'N'),(15,2004704,'2',233,'N'),(15,2004712,'1',103,'N'),(15,2004712,'2',104,'N'),(15,2004720,'1',444,'N'),(15,2004720,'2',108,'N'),(15,2004739,'1',451,'N'),(15,2004739,'2',319,'N'),(15,2004747,'1',201,'N'),(15,2004747,'2',225,'N'),(15,2004771,'1',103,'N'),(15,2004771,'2',102,'N'),(15,2004780,'1',5,'N'),(15,2004780,'2',207,'N'),(15,2004798,'1',101,'N'),(15,2004798,'2',444,'N'),(15,2004801,'1',101,'N'),(15,2004801,'2',108,'N'),(15,2004836,'1',220,'N'),(15,2004836,'1A',213,'N'),(15,2004836,'2',201,'N'),(15,2004844,'1',203,'N'),(15,2004844,'1A',202,'N'),(15,2004844,'2',201,'N'),(15,2004860,'1',215,'N'),(15,2004860,'1A',201,'N'),(15,2004879,'1',202,'N'),(15,2004879,'1A',212,'N'),(15,2004879,'2',224,'N'),(15,2004895,'1',103,'N'),(15,2004895,'2',108,'N'),(15,2004909,'1',214,'N'),(15,2004909,'1A',215,'N'),(15,2004909,'2',2,'N'),(15,2004917,'1',207,'N'),(15,2004917,'1A',211,'N'),(15,2004917,'2',104,'N'),(15,2004925,'1',310,'N'),(15,2004925,'2',303,'N'),(15,2004933,'1',211,'N'),(15,2004933,'1A',215,'N'),(15,2004933,'2',216,'N'),(15,2004941,'1',215,'N'),(15,2004941,'1A',211,'N'),(15,2004941,'2',303,'N'),(15,2004950,'1',103,'N'),(15,2004950,'2',104,'N'),(15,2004984,'1',5,'N'),(15,2004984,'2',427,'N'),(15,2004992,'1',213,'N'),(15,2004992,'1A',201,'N'),(15,2004992,'2',225,'N'),(15,2005000,'1',103,'N'),(15,2005000,'2',319,'N'),(15,2005018,'1',404,'N'),(15,2005018,'2',444,'N'),(15,2005026,'1',103,'N'),(15,2005026,'2',224,'N'),(15,2005042,'1',308,'N'),(15,2005042,'2',310,'N'),(15,2005050,'1',215,'N'),(15,2005050,'1A',201,'N'),(15,2005050,'2',501,'N'),(15,2005069,'1',203,'N'),(15,2005069,'1A',211,'N'),(15,2005069,'2',201,'N'),(15,2005077,'1',415,'N'),(15,2005077,'2',103,'N'),(15,2005085,'1',102,'N'),(15,2005085,'2',9,'N'),(15,2005093,'1',103,'N'),(15,2005093,'2',101,'N'),(15,2005107,'1',238,'N'),(15,2005107,'2',225,'N'),(15,2005123,'1',320,'N'),(15,2005123,'2',324,'N'),(15,2005131,'1',428,'N'),(15,2005131,'1A',427,'N'),(15,2005131,'2',328,'N'),(15,2005140,'1',333,'N'),(15,2005140,'2',502,'N'),(15,2005158,'1',303,'N'),(15,2005158,'2',429,'N'),(15,2005166,'1',317,'N'),(15,2005166,'2',223,'N'),(15,2005174,'1',108,'N'),(15,2005174,'2',501,'N'),(15,2005182,'1',103,'N'),(15,2005182,'2',108,'N'),(15,2005190,'1',5,'N'),(15,2005190,'2',203,'N'),(15,2005204,'1',415,'N'),(15,2005204,'1A',426,'S'),(15,2005204,'2',451,'N'),(15,2005212,'1',425,'N'),(15,2005212,'2',415,'N'),(15,2005220,'1',220,'N'),(15,2005220,'1A',202,'N'),(15,2005220,'2',333,'N'),(15,2005239,'1',5,'N'),(15,2005239,'2',303,'N'),(15,2005247,'1',208,'N'),(15,2005247,'1A',238,'N'),(15,2005247,'2',103,'N'),(15,2005263,'1',211,'N'),(15,2005263,'1A',207,'N'),(15,2005263,'2',333,'N'),(15,2005271,'1',319,'N'),(15,2005271,'2',308,'N'),(15,2005298,'1',217,'N'),(15,2005298,'2',328,'N'),(15,2005301,'1',415,'N'),(15,2005301,'2',428,'N'),(15,2005310,'1',5,'N'),(15,2005310,'2',316,'N'),(15,2005328,'1',501,'N'),(15,2005328,'2',502,'N'),(15,2005344,'1',502,'N'),(15,2005344,'2',234,'N'),(15,2005352,'1',428,'N'),(15,2005352,'1A',423,'N'),(15,2005379,'1',102,'N'),(15,2005379,'2',101,'N'),(15,2005387,'1',203,'N'),(15,2005387,'1A',201,'N'),(15,2005387,'2',214,'N'),(15,2005395,'1',103,'N'),(15,2005395,'2',2,'N'),(15,2005409,'1',203,'N'),(15,2005409,'1A',202,'N'),(15,2005409,'2',220,'N'),(15,2005417,'1',304,'N'),(15,2005417,'2',318,'N'),(15,2005425,'1',202,'N'),(15,2005425,'1A',213,'N'),(15,2005425,'2',420,'N'),(15,2005433,'1',302,'N'),(15,2005433,'2',201,'N'),(15,2005450,'1',202,'N'),(15,2005450,'1A',213,'N'),(15,2005450,'2',225,'N'),(15,2005468,'1',303,'N'),(15,2005468,'2',302,'N'),(15,2005476,'1',102,'N'),(15,2005476,'2',217,'N'),(15,2005492,'1',103,'N'),(15,2005492,'2',303,'N'),(15,2005506,'1',203,'N'),(15,2005506,'1A',208,'N'),(15,2005506,'2',202,'N'),(15,2005514,'1',301,'N'),(15,2005514,'2',302,'N'),(15,2005522,'1',202,'N'),(15,2005530,'1',103,'N'),(15,2005530,'2',319,'N'),(15,2005565,'1',103,'N'),(15,2005565,'2',104,'N'),(15,2005573,'1',207,'N'),(15,2005573,'2',201,'N'),(15,2005581,'1',301,'N'),(15,2005581,'2',316,'N'),(15,2005590,'1',420,'N'),(15,2005590,'2',450,'N'),(15,2005603,'1',420,'N'),(15,2005611,'1',320,'N'),(15,2005611,'2',310,'N'),(15,2005620,'1',201,'N'),(15,2005620,'1A',202,'N'),(15,2005620,'2',5,'N'),(15,2005638,'1',332,'N'),(15,2005638,'2',333,'N'),(15,2005646,'1',327,'N'),(15,2005646,'2',238,'N'),(15,2005654,'1',332,'N'),(15,2005654,'2',327,'N'),(15,2005689,'1',101,'N'),(15,2005689,'2',222,'N'),(15,2005697,'1',450,'N'),(15,2005697,'2',238,'N'),(15,2005700,'1',104,'N'),(15,2005700,'2',102,'N'),(15,2005719,'1',201,'N'),(15,2005719,'1A',233,'N'),(15,2005719,'2',2,'N'),(15,2005727,'1',203,'N'),(15,2005743,'1',317,'N'),(15,2005743,'2',213,'N'),(15,2005751,'1',203,'N'),(15,2005751,'1A',233,'N'),(15,2005751,'2',201,'N'),(15,2005760,'1',212,'N'),(15,2005760,'1A',202,'N'),(15,2005760,'2',214,'N'),(15,2005786,'1',207,'N'),(15,2005786,'1A',201,'N'),(15,2005786,'2',331,'N'),(15,2005794,'1',103,'N'),(15,2005794,'2',303,'N'),(15,2005808,'1',203,'N'),(15,2005808,'1A',214,'N'),(15,2005808,'2',317,'N'),(15,2005816,'1',319,'N'),(15,2005816,'2',327,'N'),(15,2005824,'1',303,'N'),(15,2005824,'2',5,'N'),(15,2005840,'1',103,'N'),(15,2005840,'2',101,'N'),(15,2005859,'1',233,'N'),(15,2005867,'1',207,'N'),(15,2005867,'1A',201,'N'),(15,2005867,'2',223,'N'),(15,2005875,'1',103,'N'),(15,2005875,'2',216,'N'),(15,2005883,'1',415,'N'),(15,2005883,'2',316,'N'),(15,2005891,'1',103,'N'),(15,2005891,'2',303,'N'),(15,2005905,'1',9,'N'),(15,2005905,'2',302,'N'),(15,2005913,'1',103,'N'),(15,2005913,'2',303,'N'),(15,2005930,'1',415,'N'),(15,2005930,'2',420,'N'),(15,2005956,'1',415,'N'),(15,2005956,'2',320,'N'),(15,2005972,'1',216,'N'),(15,2005972,'1A',233,'N'),(15,2005972,'2',201,'N'),(15,2005980,'1',208,'N'),(15,2005980,'1A',220,'N'),(15,2005980,'2',238,'N'),(15,2005999,'1',208,'N'),(15,2005999,'2',429,'N'),(15,2006006,'1',104,'N'),(15,2006006,'2',102,'N'),(15,2006014,'1',326,'N'),(15,2006014,'2',421,'N'),(15,2006022,'1',103,'N'),(15,2006022,'2',216,'N'),(15,2006030,'1',9,'N'),(15,2006030,'2',404,'N'),(15,2006049,'1',103,'N'),(15,2006049,'2',203,'N'),(15,2006057,'1',319,'N'),(15,2006065,'1',108,'N'),(15,2006065,'2',211,'N'),(15,2006081,'1',101,'N'),(15,2006081,'2',9,'N'),(15,2006103,'1',220,'N'),(15,2006103,'1A',215,'N'),(15,2006103,'2',103,'N'),(15,2006111,'1',104,'N'),(15,2006111,'2',304,'N'),(15,2006120,'1',216,'N'),(15,2006120,'1A',211,'N'),(15,2006120,'2',217,'N'),(15,2006138,'1',415,'N'),(15,2006138,'1A',425,'S'),(15,2006138,'2',450,'N'),(15,2006146,'1',415,'N'),(15,2006146,'1A',425,'S'),(15,2006146,'2',450,'N'),(15,2006154,'1',302,'N'),(15,2006154,'2',308,'N'),(15,2006162,'1',101,'N'),(15,2006162,'2',501,'N'),(15,2006170,'1',203,'N'),(15,2006189,'1',220,'N'),(15,2006189,'1A',203,'N'),(15,2006189,'2',103,'N'),(15,2006197,'1',316,'N'),(15,2006197,'2',203,'N'),(15,2006200,'1',213,'N'),(15,2006200,'1A',212,'N'),(15,2006200,'2',318,'N'),(15,2006219,'1',9,'N'),(15,2006219,'2',303,'N'),(15,2006227,'1',103,'N'),(15,2006227,'2',207,'N'),(15,2006235,'1',234,'N'),(15,2006235,'2',333,'N'),(15,2006243,'1',104,'N'),(15,2006243,'2',318,'N'),(15,2006251,'1',301,'N'),(15,2006251,'2',420,'N'),(15,2006278,'1',211,'N'),(15,2006278,'1A',201,'N'),(15,2006278,'2',501,'N'),(15,2006286,'1',308,'N'),(15,2006286,'2',319,'N'),(15,2006294,'1',451,'N'),(15,2006294,'1A',425,'S'),(15,2006294,'2',223,'N'),(15,2006308,'1',420,'N'),(15,2006308,'2',429,'N'),(15,2006324,'1',238,'N'),(15,2006324,'1A',202,'N'),(15,2006324,'2',427,'N'),(15,2006332,'1',404,'N'),(15,2006332,'2',423,'N'),(15,2006340,'1',429,'N'),(15,2006340,'1A',425,'N'),(15,2006340,'2',318,'N'),(15,2006359,'1',316,'N'),(15,2006359,'2',324,'N'),(15,2006375,'1',103,'N'),(15,2006375,'2',9,'N'),(15,2006383,'1',333,'N'),(15,2006383,'2',108,'N'),(15,2006405,'1',103,'N'),(15,2006405,'2',9,'N'),(15,2006413,'1',303,'N'),(15,2006413,'2',429,'N'),(15,2006421,'1',203,'N'),(15,2006421,'2',304,'N'),(15,2006430,'1',203,'N'),(15,2006430,'1A',214,'N'),(15,2006430,'2',318,'N'),(15,2006456,'1',303,'N'),(15,2006456,'2',415,'N'),(15,2006464,'1',103,'N'),(15,2006464,'2',104,'N'),(15,2006472,'1',317,'N'),(15,2006472,'2',327,'N'),(15,2006480,'1',233,'N'),(15,2006480,'1A',201,'N'),(15,2006480,'2',238,'N'),(15,2006499,'1',5,'N'),(15,2006499,'2',303,'N'),(15,2006502,'1',501,'N'),(15,2006502,'2',332,'N'),(15,2006510,'1',201,'N'),(15,2006510,'1A',202,'N'),(15,2006510,'2',238,'N'),(15,2006529,'1',5,'N'),(15,2006529,'2',332,'N'),(15,2006545,'1',333,'N'),(15,2006545,'2',108,'N'),(15,2006553,'1',207,'N'),(15,2006553,'1A',215,'N'),(15,2006553,'2',444,'N'),(15,2006570,'1',207,'N'),(15,2006570,'1A',201,'N'),(15,2006570,'2',428,'N'),(15,2006588,'1',333,'N'),(15,2006588,'2',319,'N'),(15,2006600,'1',302,'N'),(15,2006600,'2',420,'N'),(15,2006618,'1',318,'N'),(15,2006618,'2',316,'N'),(15,2006626,'1',208,'N'),(15,2006626,'2',420,'N'),(15,2006634,'1',317,'N'),(15,2006642,'1',101,'N'),(15,2006642,'2',324,'N'),(15,2006650,'1',208,'N'),(15,2006650,'1A',238,'N'),(15,2006650,'2',502,'N'),(15,2006669,'1',234,'N'),(15,2006677,'1',103,'N'),(15,2006677,'2',9,'N'),(15,2006685,'1',216,'N'),(15,2006685,'2',217,'N'),(15,2006693,'1',450,'N'),(15,2006693,'2',451,'N'),(15,2006707,'1',331,'N'),(15,2006707,'2',5,'N'),(15,2006715,'1',428,'N'),(15,2006715,'1A',425,'N'),(15,2006715,'2',5,'N'),(15,2006723,'1',212,'N'),(15,2006723,'1A',201,'N'),(15,2006723,'2',316,'N'),(15,2006731,'1',103,'N'),(15,2006731,'2',319,'N'),(15,2006740,'1',5,'N'),(15,2006758,'1',104,'N'),(15,2006758,'2',103,'N'),(15,2006774,'1',9,'N'),(15,2006774,'2',104,'N'),(15,2006782,'1',108,'N'),(15,2006782,'2',333,'N'),(15,2006790,'1',324,'N'),(15,2006790,'2',308,'N'),(15,2006804,'1',451,'N'),(15,2006804,'1A',427,'S'),(15,2006804,'2',318,'N'),(15,2006812,'1',216,'N'),(15,2006812,'1A',215,'N'),(15,2006812,'2',217,'N'),(15,2006820,'1',501,'N'),(15,2006820,'2',9,'N'),(15,2006839,'1',451,'N'),(15,2006839,'2',215,'N'),(15,2006847,'1',319,'N'),(15,2006847,'2',9,'N'),(15,2006880,'1',103,'N'),(15,2006898,'1',211,'N'),(15,2006898,'1A',233,'N'),(15,2006898,'2',501,'N'),(15,2006901,'1',103,'N'),(15,2006901,'2',301,'N'),(15,2006910,'1',5,'N'),(15,2006910,'2',316,'N'),(15,2006928,'1',207,'N'),(15,2006928,'1A',212,'N'),(15,2006928,'2',201,'N'),(15,2006936,'1',103,'N'),(15,2006944,'1',318,'N'),(15,2006944,'2',304,'N'),(15,2006952,'1',202,'N'),(15,2006952,'1A',213,'N'),(15,2006952,'2',233,'N'),(15,2006960,'1',303,'N'),(15,2006960,'2',318,'N'),(15,2006987,'1',425,'N'),(15,2006987,'1A',421,'N'),(15,2006987,'2',319,'N'),(15,2006995,'1',316,'N'),(15,2006995,'2',317,'N'),(15,2007002,'1',424,'N'),(15,2007010,'1',217,'N'),(15,2007010,'2',102,'N'),(15,2007029,'1',238,'N'),(15,2007029,'1A',208,'N'),(15,2007029,'2',425,'N'),(15,2007037,'1',103,'N'),(15,2007037,'2',319,'N'),(15,2007045,'1',333,'N'),(15,2007045,'2',108,'N'),(15,2007053,'1',103,'N'),(15,2007053,'2',5,'N'),(15,2007061,'1',233,'N'),(15,2007061,'1A',202,'N'),(15,2007061,'2',203,'N'),(15,2007088,'1',201,'N'),(15,2007088,'1A',207,'N'),(15,2007088,'2',212,'N'),(15,2007096,'1',415,'N'),(15,2007118,'1',420,'N'),(15,2007118,'2',329,'N'),(15,2007126,'1',303,'N'),(15,2007126,'2',5,'N'),(15,2007134,'1',320,'N'),(15,2007134,'2',339,'N'),(15,2007142,'1',301,'N'),(15,2007142,'2',308,'N'),(15,2007150,'1',207,'N'),(15,2007150,'1A',201,'N'),(15,2007150,'2',319,'N'),(15,2007177,'1',101,'N'),(15,2007177,'2',217,'N'),(15,2007185,'1',303,'N'),(15,2007185,'2',301,'N'),(15,2007193,'1',203,'N'),(15,2007193,'2',214,'N'),(15,2007207,'1',220,'N'),(15,2007207,'1A',203,'N'),(15,2007207,'2',223,'N'),(15,2007215,'1',319,'N'),(15,2007215,'2',5,'N'),(15,2007223,'1',108,'N'),(15,2007223,'2',333,'N'),(15,2007231,'1',451,'N'),(15,2007231,'1A',426,'S'),(15,2007231,'2',450,'N'),(15,2007258,'1',420,'N'),(15,2007258,'1A',425,'S'),(15,2007258,'2',333,'N'),(15,2007266,'1',304,'N'),(15,2007266,'2',302,'N'),(15,2007274,'1',426,'N'),(15,2007274,'1A',423,'N'),(15,2007274,'2',208,'N'),(15,2007290,'1',319,'N'),(15,2007290,'2',327,'N'),(15,2007304,'1',238,'N'),(15,2007304,'1A',203,'N'),(15,2007312,'1',103,'N'),(15,2007339,'1',404,'N'),(15,2007339,'2',302,'N'),(15,2007347,'1',415,'N'),(15,2007347,'2',327,'N'),(15,2007363,'1',429,'N'),(15,2007363,'2',324,'N'),(15,2007371,'1',103,'N'),(15,2007371,'2',5,'N'),(15,2007380,'1',103,'N'),(15,2007380,'2',101,'N'),(15,2007398,'1',9,'N'),(15,2007398,'2',215,'N'),(15,2007401,'1',5,'N'),(15,2007401,'2',224,'N'),(15,2007428,'1',212,'N'),(15,2007428,'1A',214,'N'),(15,2007428,'2',220,'N'),(15,2007436,'1',302,'N'),(15,2007436,'2',324,'N'),(15,2007444,'1',333,'N'),(15,2007444,'2',108,'N'),(15,2007452,'1',208,'N'),(15,2007452,'1A',238,'N'),(15,2007452,'2',220,'N'),(15,2007460,'1',420,'N'),(15,2007460,'2',444,'N'),(15,2007479,'1',103,'N'),(15,2007479,'2',108,'N'),(15,2007495,'1',318,'N'),(15,2007495,'2',317,'N'),(15,2007517,'1',104,'N'),(15,2007517,'2',108,'N'),(15,2007525,'1',104,'N'),(15,2007525,'2',102,'N'),(15,2007533,'1',420,'N'),(15,2007533,'2',327,'N'),(15,2007550,'1',9,'N'),(15,2007550,'2',444,'N'),(15,2007568,'1',108,'N'),(15,2007568,'2',415,'N'),(15,2007576,'1',423,'N'),(15,2007576,'1A',427,'N'),(15,2007576,'2',310,'N'),(15,2007584,'1',420,'N'),(15,2007584,'2',207,'N'),(15,2007592,'1',318,'N'),(15,2007592,'2',304,'N'),(15,2007606,'1',214,'N'),(15,2007606,'1A',203,'N'),(15,2007606,'2',233,'N'),(15,2007614,'1',301,'N'),(15,2007614,'2',316,'N'),(15,2007622,'1',104,'N'),(15,2007622,'2',501,'N'),(15,2007630,'1',404,'N'),(15,2007630,'2',444,'N'),(15,2007649,'1',104,'N'),(15,2007665,'1',444,'N'),(15,2007665,'2',302,'N'),(15,2007673,'1',333,'N'),(15,2007673,'2',332,'N'),(15,2007690,'1',108,'N'),(15,2007690,'2',333,'N'),(15,2007703,'1',319,'N'),(15,2007703,'2',317,'N'),(15,2007711,'1',103,'N'),(15,2007711,'2',224,'N'),(15,2007720,'1',316,'N'),(15,2007720,'2',318,'N'),(15,2007738,'1',319,'N'),(15,2007738,'2',9,'N'),(15,2007754,'1',223,'N'),(15,2007754,'2',222,'N'),(15,2007762,'1',102,'N'),(15,2007762,'2',9,'N'),(15,2007770,'1',404,'N'),(15,2007770,'2',327,'N'),(15,2007789,'1',103,'N'),(15,2007789,'2',203,'N'),(15,2007797,'1',201,'N'),(15,2007797,'1A',207,'N'),(15,2007797,'2',301,'N'),(15,2007800,'1',415,'N'),(15,2007800,'1A',429,'S'),(15,2007800,'2',308,'N'),(15,2007827,'1',303,'N'),(15,2007827,'2',327,'N'),(15,2007835,'1',502,'N'),(15,2007835,'2',427,'N'),(15,2007843,'1',415,'N'),(15,2007843,'1A',428,'S'),(15,2007843,'2',326,'N'),(15,2007860,'1',5,'N'),(15,2007860,'2',319,'N'),(15,2007878,'1',316,'N'),(15,2007878,'2',317,'N'),(15,2007886,'1',404,'N'),(15,2007886,'2',308,'N'),(15,2007894,'1',220,'N'),(15,2007894,'1A',202,'N'),(15,2007894,'2',201,'N'),(15,2007908,'1',103,'N'),(15,2007908,'2',104,'N'),(15,2007916,'1',238,'N'),(15,2007916,'1A',208,'N'),(15,2007916,'2',301,'N'),(15,2007932,'1',320,'N'),(15,2007932,'2',327,'N'),(15,2007940,'1',5,'N'),(15,2007940,'2',339,'N'),(15,2007959,'1',103,'N'),(15,2007959,'2',104,'N'),(15,2007967,'1',310,'N'),(15,2007967,'2',320,'N'),(15,2007983,'1',303,'N'),(15,2007983,'2',5,'N'),(15,2007991,'1',103,'N'),(15,2007991,'2',207,'N'),(15,2008009,'1',211,'N'),(15,2008009,'2',415,'N'),(15,2008017,'1',102,'N'),(15,2008025,'1',326,'N'),(15,2008025,'2',329,'N'),(15,2008033,'1',212,'N'),(15,2008033,'1A',213,'N'),(15,2008033,'2',304,'N'),(15,2008041,'1',333,'N'),(15,2008050,'1',201,'N'),(15,2008050,'1A',238,'N'),(15,2008050,'2',333,'N'),(15,2008068,'1',234,'N'),(15,2008068,'2',215,'N'),(15,2008076,'1',332,'N'),(15,2008076,'2',318,'N'),(15,2008084,'1',103,'N'),(15,2008106,'1',102,'N'),(15,2008106,'2',308,'N'),(15,2008114,'1',451,'N'),(15,2008114,'1A',426,'S'),(15,2008114,'2',450,'N'),(15,2008122,'1',317,'N'),(15,2008122,'2',5,'N'),(15,2008130,'1',301,'N'),(15,2008130,'2',316,'N'),(15,2008149,'1',207,'N'),(15,2008149,'2',201,'N'),(15,2008157,'1',5,'N'),(15,2008157,'2',427,'N'),(15,2008165,'1',211,'N'),(15,2008165,'1A',207,'N'),(15,2008165,'2',9,'N'),(15,2008173,'1',220,'N'),(15,2008173,'2',214,'N'),(15,2008181,'1',301,'N'),(15,2008181,'2',212,'N'),(15,2008190,'1',404,'N'),(15,2008190,'2',333,'N'),(15,2008211,'1',202,'N'),(15,2008211,'2',2,'N'),(15,2008220,'1',317,'N'),(15,2008220,'2',318,'N'),(15,2008238,'1',303,'N'),(15,2008238,'2',207,'N'),(15,2008246,'1',404,'N'),(15,2008246,'2',444,'N'),(15,2008254,'1',450,'N'),(15,2008254,'2',451,'N'),(15,2008262,'1',102,'N'),(15,2008262,'2',238,'N'),(15,2008270,'1',103,'N'),(15,2008270,'2',102,'N'),(15,2008297,'1',211,'N'),(15,2008297,'1A',212,'N'),(15,2008297,'2',215,'N'),(15,2008300,'1',5,'N'),(15,2008300,'2',327,'N'),(15,2008319,'1',224,'N'),(15,2008319,'2',222,'N'),(15,2008335,'1',233,'N'),(15,2008335,'1A',201,'N'),(15,2008335,'2',5,'N'),(15,2008386,'1',103,'N'),(15,2008386,'2',5,'N'),(15,2008394,'1',103,'N'),(15,2008394,'2',303,'N'),(15,2008408,'1',103,'N'),(15,2008408,'2',102,'N'),(15,2008424,'1',309,'N'),(15,2008424,'2',339,'N'),(15,2008432,'1',333,'N'),(15,2008440,'1',319,'N'),(15,2008440,'2',102,'N'),(15,2008459,'1',451,'N'),(15,2008459,'1A',425,'S'),(15,2008459,'2',450,'N'),(15,2008467,'1',317,'N'),(15,2008467,'2',331,'N'),(15,2008475,'1',421,'N'),(15,2008475,'1A',424,'N'),(15,2008475,'2',415,'N'),(15,2008505,'1',420,'N'),(15,2008505,'2',9,'N'),(15,2008521,'1',319,'N'),(15,2008521,'2',301,'N'),(15,2008530,'1',420,'N'),(15,2008530,'1A',425,'S'),(15,2008530,'2',213,'N'),(15,2008556,'1',426,'N'),(15,2008556,'1A',428,'N'),(15,2008556,'2',326,'N'),(15,2008564,'1',201,'N'),(15,2008564,'1A',212,'N'),(15,2008564,'2',202,'N'),(15,2008572,'1',420,'N'),(15,2008572,'2',208,'N'),(15,2008599,'1',308,'N'),(15,2008599,'2',324,'N'),(15,2008602,'1',303,'N'),(15,2008602,'2',415,'N'),(15,2008637,'1',444,'N'),(15,2008637,'2',101,'N'),(15,2008645,'1',333,'N'),(15,2008645,'2',108,'N'),(15,2008661,'1',103,'N'),(15,2008661,'2',9,'N'),(15,2008670,'1',304,'N'),(15,2008670,'2',318,'N'),(15,2008688,'1',5,'N'),(15,2008688,'2',318,'N'),(15,2008700,'1',302,'N'),(15,2008700,'2',2,'N'),(15,2008718,'1',103,'N'),(15,2008718,'2',428,'N'),(15,2008726,'1',238,'N'),(15,2008726,'1A',208,'N'),(15,2008726,'2',224,'N'),(15,2008734,'1',208,'N'),(15,2008734,'1A',238,'N'),(15,2008742,'1',103,'N'),(15,2008742,'2',301,'N'),(15,2008777,'1',220,'N'),(15,2008777,'1A',203,'N'),(15,2008777,'2',208,'N'),(15,2008785,'1',420,'N'),(15,2008785,'2',208,'N'),(15,2008793,'1',207,'N'),(15,2008793,'2',420,'N'),(15,2008815,'1',211,'N'),(15,2008815,'2',201,'N'),(15,2008823,'1',217,'N'),(15,2008823,'2',216,'N'),(15,2008831,'1',211,'N'),(15,2008831,'1A',201,'N'),(15,2008831,'2',233,'N'),(15,2008840,'1',316,'N'),(15,2008840,'2',317,'N'),(15,2008858,'1',101,'N'),(15,2008858,'2',309,'N'),(15,2008866,'1',217,'N'),(15,2008866,'2',502,'N'),(15,2008882,'1',222,'N'),(15,2008882,'2',224,'N'),(15,2008890,'1',216,'N'),(15,2008890,'1A',202,'N'),(15,2008890,'2',2,'N'),(15,2008904,'1',304,'N'),(15,2008904,'2',301,'N'),(15,2008912,'1',104,'N'),(15,2008912,'2',102,'N'),(15,2008920,'1',420,'N'),(15,2008920,'1A',425,'S'),(15,2008920,'2',208,'N'),(15,2008939,'1',103,'N'),(15,2008947,'1',324,'N'),(15,2008955,'1',103,'N'),(15,2008955,'2',102,'N'),(15,2008963,'1',424,'N'),(15,2008963,'1A',427,'N'),(15,2008963,'2',423,'N'),(15,2008971,'1',415,'N'),(15,2008971,'2',420,'N'),(15,2008980,'1',420,'N'),(15,2008980,'2',450,'N'),(15,2009005,'1',319,'N'),(15,2009005,'2',309,'N'),(15,2009013,'1',108,'N'),(15,2009013,'2',502,'N'),(15,2009030,'1',103,'N'),(15,2009030,'2',101,'N'),(15,2009048,'1',101,'N'),(15,2009048,'2',421,'N'),(15,2009056,'1',104,'N'),(15,2009056,'2',103,'N'),(15,2009064,'1',303,'N'),(15,2009064,'2',5,'N'),(15,2009072,'1',201,'N'),(15,2009072,'1A',238,'N'),(15,2009072,'2',222,'N'),(15,2009080,'1',420,'N'),(15,2009099,'1',208,'N'),(15,2009102,'1',415,'N'),(15,2009102,'2',429,'N'),(15,2009129,'1',223,'N'),(15,2009137,'1',101,'N'),(15,2009137,'2',9,'N'),(15,2009153,'1',425,'N'),(15,2009153,'2',429,'N'),(15,2009200,'1',104,'N'),(15,2009200,'2',101,'N'),(15,2009218,'1',501,'N'),(15,2009218,'2',213,'N'),(15,2009226,'1',212,'N'),(15,2009226,'1A',214,'N'),(15,2009226,'2',213,'N'),(15,2009242,'1',208,'N'),(15,2009242,'1A',238,'N'),(15,2009242,'2',225,'N'),(15,2009269,'1',303,'N'),(15,2009269,'2',326,'N'),(15,2009277,'1',308,'N'),(15,2009277,'2',101,'N'),(15,2009285,'1',103,'N'),(15,2009285,'2',216,'N'),(15,2009293,'1',303,'N'),(15,2009293,'2',5,'N'),(15,2009307,'1',303,'N'),(15,2009307,'2',5,'N'),(15,2009315,'1',404,'N'),(15,2009315,'2',444,'N'),(15,2009323,'1',215,'N'),(15,2009323,'1A',207,'N'),(15,2009323,'2',102,'N'),(15,2009331,'1',317,'N'),(15,2009331,'2',5,'N'),(15,2009340,'1',103,'N'),(15,2009358,'1',238,'N'),(15,2009358,'1A',208,'N'),(15,2009358,'2',420,'N'),(15,2009366,'1',103,'N'),(15,2009374,'1',420,'N'),(15,2009374,'2',301,'N'),(15,2009382,'1',426,'N'),(15,2009382,'1A',425,'N'),(15,2009382,'2',428,'N'),(15,2009404,'1',238,'N'),(15,2009404,'1A',215,'N'),(15,2009404,'2',223,'N'),(15,2009412,'1',9,'N'),(15,2009412,'2',319,'N'),(15,2009420,'1',501,'N'),(15,2009420,'2',502,'N'),(15,2009439,'1',233,'N'),(15,2009439,'1A',201,'N'),(15,2009439,'2',225,'N'),(15,2009447,'1',212,'N'),(15,2009447,'1A',201,'N'),(15,2009447,'2',215,'N'),(15,2009463,'1',328,'N'),(15,2009463,'2',310,'N'),(15,2009480,'1',102,'N'),(15,2009480,'2',108,'N'),(15,2009498,'1',316,'N'),(15,2009498,'2',301,'N'),(15,2009501,'1',238,'N'),(15,2009501,'1A',208,'N'),(15,2009501,'2',324,'N'),(15,2009528,'1',103,'N'),(15,2009528,'2',2,'N'),(15,2009536,'1',404,'N'),(15,2009536,'2',333,'N'),(15,2009544,'1',502,'N'),(15,2009544,'2',202,'N'),(15,2009552,'1',316,'N'),(15,2009552,'2',327,'N'),(15,2009560,'1',303,'N'),(15,2009560,'2',301,'N'),(15,2009579,'1',316,'N'),(15,2009579,'2',420,'N'),(15,2009587,'1',103,'N'),(15,2009587,'2',104,'N'),(15,2009595,'1',203,'N'),(15,2009595,'2',201,'N'),(15,2009609,'1',203,'N'),(15,2009609,'1A',215,'N'),(15,2009609,'2',2,'N'),(15,2009617,'1',444,'N'),(15,2009617,'2',9,'N'),(15,2009625,'1',444,'N'),(15,2009625,'2',101,'N'),(15,2009633,'1',201,'N'),(15,2009633,'1A',212,'N'),(15,2009633,'2',425,'N'),(15,2009641,'1',103,'N'),(15,2009641,'2',102,'N'),(15,2009650,'1',324,'N'),(15,2009650,'2',424,'N'),(15,2009668,'1',103,'N'),(15,2009668,'2',104,'N'),(15,2009684,'1',320,'N'),(15,2009684,'2',310,'N'),(15,2009692,'1',207,'N'),(15,2009692,'1A',201,'N'),(15,2009692,'2',424,'N'),(15,2009706,'1',217,'N'),(15,2009706,'2',108,'N'),(15,2009714,'1',103,'N'),(15,2009714,'2',104,'N'),(15,2009722,'1',223,'N'),(15,2009722,'2',224,'N'),(15,2009730,'1',5,'N'),(15,2009730,'2',303,'N'),(15,2009749,'1',103,'N'),(15,2009749,'2',319,'N'),(15,2009757,'1',108,'N'),(15,2009757,'2',103,'N'),(15,2009765,'1',320,'N'),(15,2009765,'2',310,'N'),(15,2009773,'1',415,'N'),(15,2009773,'2',203,'N'),(15,2009781,'1',2,'N'),(15,2009781,'2',225,'N'),(15,2009790,'1',415,'N'),(15,2009790,'1A',429,'S'),(15,2009790,'2',451,'N'),(15,2009811,'1',2,'N'),(15,2009811,'2',225,'N'),(15,2009820,'1',201,'N'),(15,2009820,'1A',212,'N'),(15,2009820,'2',415,'N'),(15,2009838,'1',203,'N'),(15,2009838,'1A',212,'N'),(15,2009838,'2',201,'N'),(15,2009846,'1',224,'N'),(15,2009846,'2',223,'N'),(15,2009854,'1',444,'N'),(15,2009854,'2',427,'N'),(15,2009862,'1',308,'N'),(15,2009862,'2',451,'N'),(15,2009870,'1',318,'N'),(15,2009870,'2',304,'N'),(15,2009889,'1',102,'N'),(15,2009889,'2',415,'N'),(15,2009897,'1',5,'N'),(15,2009900,'1',502,'N'),(15,2009900,'2',451,'N'),(15,2009919,'1',202,'N'),(15,2009919,'1A',220,'N'),(15,2009919,'2',213,'N'),(15,2009927,'1',102,'N'),(15,2009927,'2',108,'N'),(15,2009935,'1',215,'N'),(15,2009935,'1A',212,'N'),(15,2009935,'2',220,'N'),(15,2009943,'1',202,'N'),(15,2009943,'2',213,'N'),(15,2009951,'1',216,'N'),(15,2009951,'1A',212,'N'),(15,2009951,'2',217,'N'),(15,2009960,'1',104,'N'),(15,2009960,'2',101,'N'),(15,2009978,'1',316,'N'),(15,2009978,'2',318,'N'),(15,2009994,'1',238,'N'),(15,2009994,'1A',208,'N'),(15,2009994,'2',420,'N'),(15,2010003,'1',208,'N'),(15,2010003,'2',301,'N'),(15,2010011,'1',104,'N'),(15,2010011,'2',102,'N'),(15,2010038,'1',303,'N'),(15,2010038,'2',5,'N'),(15,2010046,'1',501,'N'),(15,2010046,'2',502,'N'),(15,2010054,'1',333,'N'),(15,2010054,'2',216,'N'),(15,2010062,'1',103,'N'),(15,2010062,'2',101,'N'),(15,2010070,'1',208,'N'),(15,2010070,'2',420,'N'),(15,2010089,'1',5,'N'),(15,2010089,'2',319,'N'),(15,2010100,'1',103,'N'),(15,2010127,'1',404,'N'),(15,2010127,'2',224,'N'),(15,2010135,'1',103,'N'),(15,2010135,'2',319,'N'),(15,2010143,'1',103,'N'),(15,2010143,'2',9,'N'),(15,2010151,'1',303,'N'),(15,2010151,'2',102,'N'),(15,2010160,'1',420,'N'),(15,2010160,'1A',424,'S'),(15,2010160,'2',9,'N'),(15,2010186,'1',215,'N'),(15,2010186,'1A',233,'N'),(15,2010186,'2',102,'N'),(15,2010194,'1',203,'N'),(15,2010194,'1A',207,'N'),(15,2010194,'2',223,'N'),(15,2010208,'1',103,'N'),(15,2010208,'2',108,'N'),(15,2010232,'1',104,'N'),(15,2010232,'2',502,'N'),(15,2010240,'1',207,'N'),(15,2010240,'2',333,'N'),(15,2010259,'1',450,'N'),(15,2010259,'2',420,'N'),(15,2010267,'1',420,'N'),(15,2010267,'2',326,'N'),(15,2010275,'1',233,'N'),(15,2010275,'1A',214,'N'),(15,2010275,'2',216,'N'),(15,2010283,'1',303,'N'),(15,2010283,'2',5,'N'),(15,2010291,'1',304,'N'),(15,2010291,'2',318,'N'),(15,2010305,'1',108,'N'),(15,2010305,'2',333,'N'),(15,2010313,'1',102,'N'),(15,2010313,'2',319,'N'),(15,2010330,'1',220,'N'),(15,2010330,'1A',203,'N'),(15,2010330,'2',103,'N'),(15,2010356,'1',450,'N'),(15,2010356,'1A',428,'S'),(15,2010364,'1',213,'N'),(15,2010364,'1A',215,'N'),(15,2010364,'2',501,'N'),(15,2010372,'1',104,'N'),(15,2010372,'2',102,'N'),(15,2010399,'1',415,'N'),(15,2010399,'1A',426,'S'),(15,2010399,'2',428,'N'),(15,2010410,'1',9,'N'),(15,2010410,'2',319,'N'),(15,2010429,'1',108,'N'),(15,2010429,'2',428,'N'),(15,2010437,'1',103,'N'),(15,2010437,'2',102,'N'),(15,2010445,'1',303,'N'),(15,2010445,'2',224,'N'),(15,2010453,'1',103,'N'),(15,2010453,'2',415,'N'),(15,2010461,'1',328,'N'),(15,2010470,'1',103,'N'),(15,2010470,'2',104,'N'),(15,2010488,'1',308,'N'),(15,2010488,'2',339,'N'),(15,2010496,'1',415,'N'),(15,2010496,'2',420,'N'),(15,2010518,'1',5,'N'),(15,2010518,'2',318,'N'),(15,2010526,'1',207,'N'),(15,2010526,'1A',201,'N'),(15,2010526,'2',420,'N'),(15,2010534,'1',415,'N'),(15,2010534,'2',426,'N'),(15,2010550,'1',319,'N'),(15,2010550,'2',308,'N'),(15,2010569,'1',331,'N'),(15,2010569,'2',332,'N'),(15,2010577,'1',420,'N'),(15,2010577,'1A',428,'S'),(15,2010577,'2',415,'N'),(15,2010585,'1',207,'N'),(15,2010585,'2',215,'N'),(15,2010593,'1',415,'N'),(15,2010593,'2',5,'N'),(15,2010607,'1',332,'N'),(15,2010607,'2',324,'N'),(15,2010615,'1',5,'N'),(15,2010615,'2',316,'N'),(15,2010640,'1',309,'N'),(15,2010640,'2',339,'N'),(15,2010658,'1',319,'N'),(15,2010658,'2',233,'N'),(15,2010666,'1',103,'N'),(15,2010666,'2',108,'N'),(15,2010674,'1',333,'N'),(15,2010674,'2',108,'N'),(15,2010682,'1',502,'N'),(15,2010682,'2',108,'N'),(15,2010690,'1',103,'N'),(15,2010690,'2',333,'N'),(15,2010704,'1',301,'N'),(15,2010704,'2',333,'N'),(15,2010712,'1',5,'N'),(15,2010712,'2',303,'N'),(15,2010720,'1',103,'N'),(15,2010739,'1',217,'N'),(15,2010739,'2',2,'N'),(15,2010747,'1',108,'N'),(15,2010747,'2',502,'N'),(15,2010755,'1',211,'N'),(15,2010755,'1A',215,'N'),(15,2010755,'2',424,'N'),(15,2010763,'1',211,'N'),(15,2010763,'1A',201,'N'),(15,2010763,'2',234,'N'),(15,2010771,'1',9,'N'),(15,2010771,'2',215,'N'),(15,2010780,'1',103,'N'),(15,2010780,'2',319,'N'),(15,2010798,'1',102,'N'),(15,2010798,'2',333,'N'),(15,2010801,'1',103,'N'),(15,2010801,'2',211,'N'),(15,2010810,'1',102,'N'),(15,2010810,'2',104,'N'),(15,2010828,'1',103,'N'),(15,2010828,'2',319,'N'),(15,2010844,'1',103,'N'),(15,2010844,'2',104,'N'),(15,2010852,'1',420,'N'),(15,2010860,'1',211,'N'),(15,2010860,'1A',208,'N'),(15,2010860,'2',333,'N'),(15,2010879,'1',415,'N'),(15,2010879,'2',5,'N'),(15,2010887,'1',203,'N'),(15,2010887,'2',208,'N'),(15,2010895,'1',203,'N'),(15,2010895,'1A',201,'N'),(15,2010895,'2',216,'N'),(15,2010909,'1',303,'N'),(15,2010909,'2',5,'N'),(15,2010917,'1',207,'N'),(15,2010917,'1A',212,'N'),(15,2010917,'2',223,'N'),(15,2010925,'1',104,'N'),(15,2010925,'2',444,'N'),(15,2010941,'1',104,'N'),(15,2010941,'2',103,'N'),(15,2010950,'1',316,'N'),(15,2010950,'2',301,'N'),(15,2010968,'1',220,'N'),(15,2010968,'2',203,'N'),(15,2010976,'1',319,'N'),(15,2010976,'2',339,'N'),(15,2010984,'1',5,'N'),(15,2010984,'2',426,'N'),(15,2010992,'1',303,'N'),(15,2010992,'2',207,'N'),(15,2011018,'1',103,'N'),(15,2011034,'1',213,'N'),(15,2011042,'1',103,'N'),(15,2011042,'2',9,'N'),(15,2011069,'1',207,'N'),(15,2011069,'1A',201,'N'),(15,2011069,'2',420,'N'),(15,2011077,'1',208,'N'),(15,2011077,'1A',238,'N'),(15,2011077,'2',2,'N'),(15,2011085,'1',101,'N'),(15,2011085,'2',502,'N'),(15,2011107,'1',201,'N'),(15,2011107,'1A',202,'N'),(15,2011107,'2',223,'N'),(15,2011115,'1',104,'N'),(15,2011115,'2',308,'N'),(15,2011123,'1',211,'N'),(15,2011123,'1A',215,'N'),(15,2011123,'2',224,'N'),(15,2011140,'1',301,'N'),(15,2011140,'2',316,'N'),(15,2011158,'1',103,'N'),(15,2011158,'2',216,'N'),(15,2011166,'1',303,'N'),(15,2011166,'2',5,'N'),(15,2011174,'1',217,'N'),(15,2011182,'1',217,'N'),(15,2011182,'2',222,'N'),(15,2011190,'1',104,'N'),(15,2011190,'2',238,'N'),(15,2011204,'1',303,'N'),(15,2011204,'2',5,'N'),(15,2011212,'1',103,'N'),(15,2011212,'2',102,'N'),(15,2011220,'1',501,'N'),(15,2011220,'2',502,'N'),(15,2011239,'1',202,'N'),(15,2011239,'1A',213,'N'),(15,2011239,'2',233,'N'),(15,2011247,'1',207,'N'),(15,2011247,'1A',212,'N'),(15,2011247,'2',423,'N'),(15,2011255,'1',203,'N'),(15,2011255,'1A',214,'N'),(15,2011255,'2',220,'N'),(15,2011263,'1',420,'N'),(15,2011263,'2',201,'N'),(15,2011271,'1',203,'N'),(15,2011271,'1A',213,'N'),(15,2011271,'2',201,'N'),(15,2011280,'1',420,'N'),(15,2011280,'2',208,'N'),(15,2011298,'1',428,'N'),(15,2011298,'1A',427,'N'),(15,2011298,'2',324,'N'),(15,2011301,'1',415,'N'),(15,2011301,'2',424,'N'),(15,2011310,'1',103,'N'),(15,2011310,'2',108,'N'),(15,2011328,'1',333,'N'),(15,2011328,'2',108,'N'),(15,2011352,'1',203,'N'),(15,2011352,'1A',214,'N'),(15,2011352,'2',317,'N'),(15,2011360,'1',502,'N'),(15,2011360,'2',233,'N'),(15,2011387,'1',428,'N'),(15,2011387,'1A',426,'N'),(15,2011387,'2',423,'N'),(15,2011409,'1',5,'N'),(15,2011409,'2',220,'N'),(15,2011417,'1',103,'N'),(15,2011417,'2',101,'N'),(15,2011425,'1',104,'N'),(15,2011425,'2',103,'N'),(15,2011433,'1',318,'N'),(15,2011433,'2',316,'N'),(15,2011441,'1',5,'N'),(15,2011441,'2',310,'N'),(15,2011450,'1',207,'N'),(15,2011450,'2',425,'N'),(15,2011468,'1',233,'N'),(15,2011468,'1A',215,'N'),(15,2011468,'2',2,'N'),(15,2011476,'1',327,'N'),(15,2011492,'1',101,'N'),(15,2011492,'2',308,'N'),(15,2011506,'1',213,'N'),(15,2011506,'1A',214,'N'),(15,2011514,'1',103,'N'),(15,2011514,'2',102,'N'),(15,2011522,'1',104,'N'),(15,2011522,'2',316,'N'),(15,2011549,'1',5,'N'),(15,2011549,'2',328,'N'),(15,2011557,'1',103,'N'),(15,2011557,'2',319,'N'),(15,2011565,'1',104,'N'),(15,2011565,'2',101,'N'),(15,2011573,'1',303,'N'),(15,2011573,'2',301,'N'),(15,2011581,'1',202,'N'),(15,2011581,'1A',208,'N'),(15,2011581,'2',2,'N'),(15,2011590,'1',301,'N'),(15,2011590,'2',316,'N'),(15,2011603,'1',5,'N'),(15,2011603,'2',329,'N'),(15,2011611,'1',104,'N'),(15,2011611,'2',103,'N'),(15,2011620,'1',9,'N'),(15,2011620,'2',425,'N'),(15,2011638,'1',103,'N'),(15,2011638,'2',216,'N'),(15,2011646,'1',9,'N'),(15,2011646,'2',104,'N'),(15,2011654,'1',203,'N'),(15,2011662,'1',328,'N'),(15,2011670,'1',207,'N'),(15,2011670,'1A',211,'N'),(15,2011670,'2',420,'N'),(15,2011689,'1',103,'N'),(15,2011689,'2',104,'N'),(15,2011697,'1',102,'N'),(15,2011697,'2',318,'N'),(15,2011700,'1',203,'N'),(15,2011700,'2',420,'N'),(15,2011719,'1',318,'N'),(15,2011719,'2',225,'N'),(15,2011727,'1',317,'N'),(15,2011727,'2',316,'N'),(15,2011735,'1',220,'N'),(15,2011735,'1A',203,'N'),(15,2011735,'2',233,'N'),(15,2011743,'1',220,'N'),(15,2011743,'1A',202,'N'),(15,2011743,'2',213,'N'),(15,2011751,'1',424,'N'),(15,2011751,'1A',423,'N'),(15,2011751,'2',501,'N'),(15,2011760,'1',103,'N'),(15,2011778,'1',420,'N'),(15,2011778,'2',331,'N'),(15,2011786,'1',203,'N'),(15,2011786,'1A',202,'N'),(15,2011786,'2',233,'N'),(15,2011794,'1',104,'N'),(15,2011794,'2',319,'N'),(15,2011808,'1',5,'N'),(15,2011808,'2',415,'N'),(15,2011816,'1',304,'N'),(15,2011816,'2',318,'N'),(15,2011824,'1',203,'N'),(15,2011824,'1A',214,'N'),(15,2011824,'2',220,'N'),(15,2011840,'1',450,'N'),(15,2011840,'2',420,'N'),(15,2011883,'1',502,'N'),(15,2011883,'2',101,'N'),(15,2011891,'1',215,'N'),(15,2011891,'1A',216,'N'),(15,2011891,'2',2,'N'),(15,2011905,'1',318,'N'),(15,2011905,'2',304,'N'),(15,2011913,'1',327,'N'),(15,2011913,'2',326,'N'),(15,2011921,'1',207,'N'),(15,2011921,'1A',208,'N'),(15,2011921,'2',420,'N'),(15,2011930,'1',104,'N'),(15,2011930,'2',203,'N'),(15,2011948,'1',103,'N'),(15,2011948,'2',415,'N'),(15,2011956,'1',5,'N'),(15,2011956,'2',309,'N'),(15,2011964,'1',220,'N'),(15,2011964,'1A',203,'N'),(15,2011964,'2',214,'N'),(15,2011972,'1',213,'N'),(15,2011972,'1A',212,'N'),(15,2011972,'2',317,'N'),(15,2011980,'1',103,'N'),(15,2011980,'2',102,'N'),(15,2011999,'1',103,'N'),(15,2011999,'2',333,'N'),(15,2012014,'1',104,'N'),(15,2012014,'2',217,'N'),(15,2012022,'1',238,'N'),(15,2012022,'1A',202,'N'),(15,2012022,'2',225,'N'),(15,2012030,'1',103,'N'),(15,2012030,'2',104,'N'),(15,2012049,'1',424,'N'),(15,2012049,'1A',423,'N'),(15,2012049,'2',309,'N'),(15,2012065,'1',333,'N'),(15,2012065,'2',108,'N'),(15,2012073,'1',103,'N'),(15,2012081,'1',201,'N'),(15,2012081,'1A',207,'N'),(15,2012081,'2',212,'N'),(15,2012090,'1',103,'N'),(15,2012090,'2',104,'N'),(15,2012111,'1',213,'N'),(15,2012111,'1A',214,'N'),(15,2012111,'2',302,'N'),(15,2012120,'1',238,'N'),(15,2012120,'1A',208,'N'),(15,2012120,'2',319,'N'),(15,2012138,'1',211,'N'),(15,2012138,'1A',233,'N'),(15,2012138,'2',501,'N'),(15,2012146,'1',303,'N'),(15,2012146,'2',502,'N'),(15,2012154,'1',319,'N'),(15,2012154,'2',101,'N'),(15,2012170,'1',220,'N'),(15,2012170,'1A',208,'N'),(15,2012170,'2',303,'N'),(15,2012189,'1',5,'N'),(15,2012189,'2',319,'N'),(15,2012197,'1',317,'N'),(15,2012197,'2',429,'N'),(15,2012200,'1',201,'N'),(15,2012200,'1A',203,'N'),(15,2012200,'2',316,'N'),(15,2012219,'1',101,'N'),(15,2012219,'2',501,'N'),(15,2012227,'1',216,'N'),(15,2012227,'1A',215,'N'),(15,2012227,'2',211,'N'),(15,2012235,'1',103,'N'),(15,2012235,'2',104,'N'),(15,2012243,'1',201,'N'),(15,2012251,'1',444,'N'),(15,2012251,'2',211,'N'),(15,2012260,'1',319,'N'),(15,2012260,'2',427,'N'),(15,2012286,'1',103,'N'),(15,2012286,'2',9,'N'),(15,2012294,'1',214,'N'),(15,2012294,'1A',203,'N'),(15,2012294,'2',233,'N'),(15,2012324,'1',102,'N'),(15,2012324,'2',9,'N'),(15,2012332,'1',103,'N'),(15,2012332,'2',207,'N'),(15,2012340,'1',216,'N'),(15,2012340,'1A',215,'N'),(15,2012340,'2',211,'N'),(15,2012359,'1',103,'N'),(15,2012359,'2',216,'N'),(15,2012375,'1',104,'N'),(15,2012375,'2',101,'N'),(15,2012383,'1',319,'N'),(15,2012383,'2',103,'N'),(15,2012391,'1',415,'N'),(15,2012391,'1A',424,'S'),(15,2012391,'2',318,'N'),(15,2012405,'1',304,'N'),(15,2012405,'2',301,'N'),(15,2012413,'1',331,'N'),(15,2012413,'2',304,'N'),(15,2012421,'1',103,'N'),(15,2012421,'2',102,'N'),(15,2012430,'1',103,'N'),(15,2012430,'2',303,'N'),(15,2012448,'1',220,'N'),(15,2012448,'1A',202,'N'),(15,2012448,'2',222,'N'),(15,2012456,'1',309,'N'),(15,2012456,'2',101,'N'),(15,2012464,'1',303,'N'),(15,2012472,'1',103,'N'),(15,2012472,'2',101,'N'),(15,2012480,'1',203,'N'),(15,2012480,'1A',220,'N'),(15,2012480,'2',214,'N'),(15,2012502,'1',203,'N'),(15,2012502,'1A',233,'N'),(15,2012502,'2',225,'N'),(15,2012510,'1',326,'N'),(15,2012510,'2',327,'N'),(15,2012529,'1',103,'N'),(15,2012529,'2',104,'N'),(15,2012537,'1',103,'N'),(15,2012545,'1',333,'N'),(15,2012545,'2',108,'N'),(15,2012553,'1',104,'N'),(15,2012553,'2',303,'N'),(15,2012561,'1',318,'N'),(15,2012561,'2',420,'N'),(15,2012570,'1',103,'N'),(15,2012570,'2',5,'N'),(15,2012588,'1',233,'N'),(15,2012588,'1A',212,'N'),(15,2012588,'2',423,'N'),(15,2012596,'1',203,'N'),(15,2012596,'2',304,'N'),(15,2012600,'1',308,'N'),(15,2012600,'2',319,'N'),(15,2012618,'1',444,'N'),(15,2012618,'2',316,'N'),(15,2012626,'1',102,'N'),(15,2012626,'2',215,'N'),(15,2012634,'1',415,'N'),(15,2012634,'1A',427,'S'),(15,2012634,'2',425,'N'),(15,2012642,'1',420,'N'),(15,2012642,'2',444,'N'),(15,2012650,'1',303,'N'),(15,2012650,'2',5,'N'),(15,2012669,'1',309,'N'),(15,2012669,'2',427,'N'),(15,2012677,'1',103,'N'),(15,2012677,'2',102,'N'),(15,2012685,'1',324,'N'),(15,2012685,'2',329,'N'),(15,2012707,'1',207,'N'),(15,2012707,'1A',201,'N'),(15,2012707,'2',420,'N'),(15,2012715,'1',103,'N'),(15,2012715,'2',9,'N'),(15,2012723,'1',103,'N'),(15,2012731,'1',203,'N'),(15,2012731,'1A',214,'N'),(15,2012731,'2',220,'N'),(15,2012740,'1',420,'N'),(15,2012740,'2',316,'N'),(15,2012758,'1',211,'N'),(15,2012758,'1A',216,'N'),(15,2012758,'2',108,'N'),(15,2012766,'1',501,'N'),(15,2012766,'2',333,'N'),(15,2012774,'1',103,'N'),(15,2012774,'2',104,'N'),(15,2012782,'1',201,'N'),(15,2012782,'1A',212,'N'),(15,2012782,'2',223,'N'),(15,2012790,'1',234,'N'),(15,2012790,'2',333,'N'),(15,2012804,'1',103,'N'),(15,2012812,'1',333,'N'),(15,2012812,'2',238,'N'),(15,2012820,'1',104,'N'),(15,2012820,'2',316,'N'),(15,2012839,'1',211,'N'),(15,2012839,'1A',201,'N'),(15,2012847,'1',102,'N'),(15,2012847,'2',9,'N'),(15,2012863,'1',339,'N'),(15,2012863,'2',324,'N'),(15,2012871,'1',102,'N'),(15,2012871,'2',501,'N'),(15,2012880,'1',304,'N'),(15,2012880,'2',310,'N'),(15,2012898,'1',451,'N'),(15,2012898,'1A',425,'S'),(15,2012898,'2',329,'N'),(15,2012901,'1',303,'N'),(15,2012901,'2',5,'N'),(15,2012928,'1',9,'N'),(15,2012928,'2',303,'N'),(15,2012936,'1',207,'N'),(15,2012936,'1A',213,'N'),(15,2012936,'2',420,'N'),(15,2012944,'1',415,'N'),(15,2012944,'1A',424,'S'),(15,2012944,'2',326,'N'),(15,2012952,'1',326,'N'),(15,2012960,'1',102,'N'),(15,2012960,'2',108,'N'),(15,2012979,'1',301,'N'),(15,2012979,'2',303,'N'),(15,2012987,'1',214,'N'),(15,2012987,'1A',211,'N'),(15,2012987,'2',318,'N'),(15,2012995,'1',108,'N'),(15,2012995,'2',234,'N'),(15,2013002,'1',420,'N'),(15,2013002,'2',208,'N'),(15,2013010,'1',303,'N'),(15,2013010,'2',302,'N'),(15,2013029,'1',208,'N'),(15,2013029,'1A',238,'N'),(15,2013029,'2',202,'N'),(15,2013037,'1',234,'N'),(15,2013037,'2',333,'N'),(15,2013045,'1',308,'N'),(15,2013045,'2',428,'N'),(15,2013053,'1',316,'N'),(15,2013053,'2',324,'N'),(15,2013061,'1',301,'N'),(15,2013070,'1',220,'N'),(15,2013088,'1',331,'N'),(15,2013088,'2',332,'N'),(15,2013096,'1',333,'N'),(15,2013096,'2',332,'N'),(15,2013100,'1',333,'N'),(15,2013100,'2',339,'N'),(15,2013118,'1',415,'N'),(15,2013118,'2',424,'N'),(15,2013126,'1',104,'N'),(15,2013126,'2',9,'N'),(15,2013134,'1',319,'N'),(15,2013134,'2',304,'N'),(15,2013142,'1',333,'N'),(15,2013142,'2',331,'N'),(15,2013150,'1',444,'N'),(15,2013169,'1',203,'N'),(15,2013177,'1',9,'N'),(15,2013177,'2',444,'N'),(15,2013193,'1',214,'N'),(15,2013193,'1A',213,'N'),(15,2013215,'1',5,'N'),(15,2013215,'2',302,'N'),(15,2013231,'1',216,'N'),(15,2013231,'1A',215,'N'),(15,2013231,'2',217,'N'),(15,2013240,'1',5,'N'),(15,2013240,'2',320,'N'),(15,2013258,'1',108,'N'),(15,2013258,'2',308,'N'),(15,2013274,'1',103,'N'),(15,2013274,'2',428,'N'),(15,2013290,'1',5,'N'),(15,2013290,'2',303,'N'),(15,2013304,'1',103,'N'),(15,2013304,'2',9,'N'),(15,2013312,'1',101,'N'),(15,2013312,'2',333,'N'),(15,2013320,'1',207,'N'),(15,2013320,'1A',201,'N'),(15,2013320,'2',223,'N'),(15,2013339,'1',429,'N'),(15,2013339,'1A',425,'N'),(15,2013339,'2',424,'N'),(15,2013363,'1',201,'N'),(15,2013363,'1A',211,'N'),(15,2013363,'2',223,'N'),(15,2013371,'1',203,'N'),(15,2013371,'1A',202,'N'),(15,2013371,'2',233,'N'),(15,2013380,'1',5,'N'),(15,2013380,'2',303,'N'),(15,2013398,'1',5,'N'),(15,2013398,'2',316,'N'),(15,2013401,'1',429,'N'),(15,2013401,'1A',425,'N'),(15,2013401,'2',424,'N'),(15,2013410,'1',101,'N'),(15,2013410,'2',308,'N'),(15,2013428,'1',103,'N'),(15,2013428,'2',444,'N'),(15,2013444,'1',319,'N'),(15,2013452,'1',102,'N'),(15,2013452,'2',217,'N'),(15,2013460,'1',102,'N'),(15,2013460,'2',319,'N'),(15,2013479,'1',103,'N'),(15,2013479,'2',104,'N'),(15,2013487,'1',214,'N'),(15,2013487,'1A',220,'N'),(15,2013487,'2',203,'N'),(15,2013495,'1',208,'N'),(15,2013495,'1A',238,'N'),(15,2013495,'2',420,'N'),(15,2013517,'1',301,'N'),(15,2013517,'2',331,'N'),(15,2013525,'1',103,'N'),(15,2013525,'2',104,'N'),(15,2013533,'1',213,'N'),(15,2013533,'1A',202,'N'),(15,2013533,'2',212,'N'),(15,2013541,'1',104,'N'),(15,2013541,'2',444,'N'),(15,2013568,'1',103,'N'),(15,2013568,'2',104,'N'),(15,2013576,'1',108,'N'),(15,2013576,'2',102,'N'),(15,2013584,'1',420,'N'),(15,2013584,'2',301,'N'),(15,2013592,'1',215,'N'),(15,2013592,'1A',216,'N'),(15,2013592,'2',9,'N'),(15,2013614,'1',103,'N'),(15,2013614,'2',104,'N'),(15,2013622,'1',238,'N'),(15,2013622,'1A',202,'N'),(15,2013622,'2',213,'N'),(15,2013630,'1',303,'N'),(15,2013630,'2',5,'N'),(15,2013649,'1',211,'N'),(15,2013649,'1A',215,'N'),(15,2013649,'2',309,'N'),(15,2013657,'1',202,'N'),(15,2013657,'2',208,'N'),(15,2013665,'1',303,'N'),(15,2013665,'2',327,'N'),(15,2013673,'1',103,'N'),(15,2013673,'2',101,'N'),(15,2013690,'1',103,'N'),(15,2013703,'1',215,'N'),(15,2013703,'1A',216,'N'),(15,2013703,'2',102,'N'),(15,2013711,'1',103,'N'),(15,2013720,'1',420,'N'),(15,2013720,'2',415,'N'),(15,2013738,'1',103,'N'),(15,2013746,'1',211,'N'),(15,2013746,'1A',215,'N'),(15,2013746,'2',333,'N'),(15,2013754,'1',316,'N'),(15,2013754,'2',301,'N'),(15,2013762,'1',102,'N'),(15,2013762,'2',429,'N'),(15,2013770,'1',102,'N'),(15,2013770,'2',302,'N'),(15,2013789,'1',308,'N'),(15,2013789,'2',327,'N'),(15,2013797,'1',103,'N'),(15,2013797,'2',5,'N'),(15,2013800,'1',216,'N'),(15,2013800,'2',233,'N'),(15,2013819,'1',404,'N'),(15,2013819,'2',9,'N'),(15,2013827,'1',103,'N'),(15,2013827,'2',108,'N'),(15,2013835,'1',316,'N'),(15,2013835,'2',317,'N'),(15,2013843,'1',203,'N'),(15,2013843,'1A',233,'N'),(15,2013843,'2',2,'N'),(15,2013851,'1',104,'N'),(15,2013851,'2',215,'N'),(15,2013886,'1',203,'N'),(15,2013886,'1A',220,'N'),(15,2013894,'1',103,'N'),(15,2013894,'2',319,'N'),(15,2013908,'1',220,'N'),(15,2013908,'1A',203,'N'),(15,2013908,'2',202,'N'),(15,2013916,'1',103,'N'),(15,2013916,'2',333,'N'),(15,2013924,'1',103,'N'),(15,2013924,'2',5,'N'),(15,2013932,'1',320,'N'),(15,2013932,'2',225,'N'),(15,2013940,'1',103,'N'),(15,2013940,'2',5,'N'),(15,2013959,'1',220,'N'),(15,2013959,'1A',203,'N'),(15,2013959,'2',213,'N'),(15,2013967,'1',207,'N'),(15,2013967,'2',5,'N'),(15,2013975,'1',103,'N'),(15,2013983,'1',216,'N'),(15,2013983,'1A',202,'N'),(15,2013983,'2',203,'N'),(15,2013991,'1',207,'N'),(15,2013991,'2',420,'N'),(15,2014009,'1',238,'N'),(15,2014009,'1A',208,'N'),(15,2014009,'2',222,'N'),(15,2014017,'1',303,'N'),(15,2014017,'2',428,'N'),(15,2014025,'1',404,'N'),(15,2014025,'2',339,'N'),(15,2014033,'1',108,'N'),(15,2014033,'2',326,'N'),(15,2014041,'1',304,'N'),(15,2014041,'2',444,'N'),(15,2014050,'1',103,'N'),(15,2014050,'2',101,'N'),(15,2014068,'1',319,'N'),(15,2014068,'2',9,'N'),(15,2014076,'1',202,'N'),(15,2014076,'2',213,'N'),(15,2014106,'1',316,'N'),(15,2014106,'2',451,'N'),(15,2014114,'1',420,'N'),(15,2014114,'2',2,'N'),(15,2014122,'1',220,'N'),(15,2014122,'1A',207,'N'),(15,2014122,'2',333,'N'),(15,2014130,'1',9,'N'),(15,2014130,'2',421,'N'),(15,2014157,'1',102,'N'),(15,2014157,'2',207,'N'),(15,2014173,'1',303,'N'),(15,2014173,'2',415,'N'),(15,2014181,'1',108,'N'),(15,2014181,'2',428,'N'),(15,2014203,'1',202,'N'),(15,2014203,'1A',213,'N'),(15,2014203,'2',332,'N'),(15,2014220,'1',302,'N'),(15,2014220,'2',304,'N'),(15,2014238,'1',303,'N'),(15,2014238,'2',103,'N'),(15,2014254,'1',324,'N'),(15,2014254,'2',426,'N'),(15,2014270,'1',103,'N'),(15,2014270,'2',211,'N'),(15,2014289,'1',450,'N'),(15,2014289,'1A',424,'S'),(15,2014289,'2',451,'N'),(15,2014297,'1',9,'N'),(15,2014297,'2',102,'N'),(15,2014319,'1',308,'N'),(15,2014319,'2',309,'N'),(15,2014327,'1',304,'N'),(15,2014327,'2',2,'N'),(15,2014335,'1',103,'N'),(15,2014335,'2',303,'N'),(15,2014343,'1',203,'N'),(15,2014343,'1A',220,'N'),(15,2014343,'2',214,'N'),(15,2014351,'1',238,'N'),(15,2014351,'2',421,'N'),(15,2014360,'1',223,'N'),(15,2014360,'2',212,'N'),(15,2014378,'1',215,'N'),(15,2014378,'1A',211,'N'),(15,2014378,'2',233,'N'),(15,2014386,'1',425,'N'),(15,2014386,'1A',421,'N'),(15,2014386,'2',424,'N'),(15,2014394,'1',102,'N'),(15,2014394,'2',216,'N'),(15,2014408,'1',220,'N'),(15,2014408,'2',203,'N'),(15,2014424,'1',103,'N'),(15,2014424,'2',333,'N'),(15,2014432,'1',233,'N'),(15,2014432,'1A',216,'N'),(15,2014432,'2',215,'N'),(15,2014440,'1',502,'N'),(15,2014440,'2',9,'N'),(15,2014459,'1',303,'N'),(15,2014459,'2',425,'N'),(15,2014467,'1',103,'N'),(15,2014467,'2',9,'N'),(15,2014475,'1',220,'N'),(15,2014475,'1A',216,'N'),(15,2014475,'2',301,'N'),(15,2014491,'1',5,'N'),(15,2014505,'1',444,'N'),(15,2014505,'2',9,'N'),(15,2014513,'1',104,'N'),(15,2014513,'2',427,'N'),(15,2014521,'1',501,'N'),(15,2014521,'2',108,'N'),(15,2014548,'1',211,'N'),(15,2014548,'1A',212,'N'),(15,2014548,'2',501,'N'),(15,2014564,'1',404,'N'),(15,2014564,'2',302,'N'),(15,2014580,'1',103,'N'),(15,2014580,'2',101,'N'),(15,2014602,'1',214,'N'),(15,2014602,'1A',203,'N'),(15,2014602,'2',213,'N'),(15,2014610,'1',303,'N'),(15,2014629,'1',304,'N'),(15,2014629,'2',318,'N'),(15,2014637,'1',304,'N'),(15,2014637,'2',203,'N'),(15,2014645,'1',103,'N'),(15,2014653,'1',216,'N'),(15,2014653,'2',217,'N'),(15,2014661,'1',450,'N'),(15,2014661,'1A',426,'S'),(15,2014661,'2',415,'N'),(15,2014670,'1',5,'N'),(15,2014670,'2',220,'N'),(15,2014688,'1',319,'N'),(15,2014688,'2',310,'N'),(15,2014696,'1',318,'N'),(15,2014696,'2',415,'N'),(15,2014700,'1',220,'N'),(15,2014700,'1A',213,'N'),(15,2014700,'2',202,'N'),(15,2014718,'1',207,'N'),(15,2014718,'2',450,'N'),(15,2014726,'1',9,'N'),(15,2014726,'2',215,'N'),(15,2014742,'1',501,'N'),(15,2014742,'2',502,'N'),(15,2014750,'1',420,'N'),(15,2014750,'1A',425,'S'),(15,2014750,'2',424,'N'),(15,2014769,'1',415,'N'),(15,2014769,'2',214,'N'),(15,2014785,'1',301,'N'),(15,2014785,'2',304,'N'),(15,2014793,'1',203,'N'),(15,2014793,'1A',208,'N'),(15,2014793,'2',201,'N'),(15,2014807,'1',215,'N'),(15,2014807,'1A',238,'N'),(15,2014807,'2',444,'N'),(15,2014823,'1',108,'N'),(15,2014823,'2',333,'N'),(15,2014831,'1',108,'N'),(15,2014831,'2',329,'N'),(15,2014840,'1',103,'N'),(15,2014840,'2',212,'N'),(15,2014866,'1',103,'N'),(15,2014874,'1',103,'N'),(15,2014874,'2',318,'N'),(15,2014882,'1',216,'N'),(15,2014882,'1A',215,'N'),(15,2014890,'1',5,'N'),(15,2014890,'2',316,'N'),(15,2014904,'1',502,'N'),(15,2014904,'2',501,'N'),(15,2014912,'1',108,'N'),(15,2014912,'2',333,'N'),(15,2014920,'1',444,'N'),(15,2014920,'2',222,'N'),(15,2014939,'1',216,'N'),(15,2014939,'1A',203,'N'),(15,2014939,'2',301,'N'),(15,2014947,'1',9,'N'),(15,2014947,'2',301,'N'),(15,2014955,'1',303,'N'),(15,2014955,'2',5,'N'),(15,2014963,'1',202,'N'),(15,2014963,'1A',215,'N'),(15,2014963,'2',333,'N'),(15,2014971,'1',108,'N'),(15,2014971,'2',104,'N'),(15,2015005,'1',302,'N'),(15,2015005,'2',201,'N'),(15,2015021,'1',103,'N'),(15,2015021,'2',101,'N'),(15,2015030,'1',103,'N'),(15,2015030,'2',333,'N'),(15,2015048,'1',104,'N'),(15,2015064,'1',429,'N'),(15,2015064,'1A',425,'N'),(15,2015064,'2',324,'N'),(15,2015072,'1',420,'N'),(15,2015072,'2',429,'N'),(15,2015080,'1',238,'N'),(15,2015080,'1A',211,'N'),(15,2015102,'1',501,'N'),(15,2015110,'1',207,'N'),(15,2015110,'2',420,'N'),(15,2015129,'1',309,'N'),(15,2015137,'1',233,'N'),(15,2015161,'1',303,'N'),(15,2015161,'2',425,'N'),(15,2015196,'1',424,'N'),(15,2015196,'1A',421,'N'),(15,2015196,'2',324,'N'),(15,2015200,'1',104,'N'),(15,2015226,'1',421,'N'),(15,2015226,'1A',424,'N'),(15,2015226,'2',222,'N'),(15,2015234,'1',103,'N'),(15,2015234,'2',104,'N'),(15,2015242,'1',421,'N'),(15,2015242,'1A',426,'N'),(15,2015242,'2',320,'N'),(15,2015250,'1',103,'N'),(15,2015250,'2',104,'N'),(15,2015269,'1',333,'N'),(15,2015269,'2',103,'N'),(15,2015277,'1',102,'N'),(15,2015277,'2',420,'N'),(15,2015285,'1',202,'N'),(15,2015285,'1A',213,'N'),(15,2015285,'2',203,'N'),(15,2015293,'1',317,'N'),(15,2015293,'2',238,'N'),(15,2015307,'1',104,'N'),(15,2015307,'2',108,'N'),(15,2015315,'1',102,'N'),(15,2015315,'2',216,'N'),(15,2015323,'1',420,'N'),(15,2015323,'2',450,'N'),(15,2015331,'1',207,'N'),(15,2015331,'1A',211,'N'),(15,2015331,'2',2,'N'),(15,2015340,'1',303,'N'),(15,2015340,'2',310,'N'),(15,2015358,'1',214,'N'),(15,2015358,'2',222,'N'),(15,2015366,'1',211,'N'),(15,2015366,'2',102,'N'),(15,2015374,'1',5,'N'),(15,2015374,'2',415,'N'),(15,2015382,'1',203,'N'),(15,2015382,'1A',220,'N'),(15,2015382,'2',214,'N'),(15,2015404,'1',108,'N'),(15,2015404,'2',502,'N'),(15,2015420,'1',303,'N'),(15,2015420,'2',2,'N'),(15,2015439,'1',103,'N'),(15,2015447,'1',103,'N'),(15,2015447,'2',203,'N'),(15,2015463,'1',103,'N'),(15,2015463,'2',216,'N'),(15,2015471,'1',316,'N'),(15,2015471,'2',451,'N'),(15,2015480,'1',217,'N'),(15,2015480,'2',424,'N'),(15,2015498,'1',103,'N'),(15,2015498,'2',423,'N'),(15,2015501,'1',404,'N'),(15,2015501,'2',339,'N'),(15,2015510,'1',207,'N'),(15,2015510,'1A',201,'N'),(15,2015528,'1',104,'N'),(15,2015528,'2',101,'N'),(15,2015536,'1',102,'N'),(15,2015536,'2',211,'N'),(15,2015544,'1',301,'N'),(15,2015544,'2',316,'N'),(15,2015560,'1',238,'N'),(15,2015560,'1A',212,'N'),(15,2015560,'2',425,'N'),(15,2015587,'1',202,'N'),(15,2015587,'1A',203,'N'),(15,2015587,'2',208,'N'),(15,2015595,'1',103,'N'),(15,2015595,'2',102,'N'),(15,2015609,'1',104,'N'),(15,2015609,'2',103,'N'),(15,2015617,'1',103,'N'),(15,2015617,'2',2,'N'),(15,2015625,'1',316,'N'),(15,2015625,'2',207,'N'),(15,2015633,'1',233,'N'),(15,2015633,'1A',213,'N'),(15,2015633,'2',444,'N'),(15,2015641,'1',214,'N'),(15,2015641,'1A',208,'N'),(15,2015641,'2',316,'N'),(15,2015650,'1',103,'N'),(15,2015650,'2',421,'N'),(15,2015668,'1',103,'N'),(15,2015668,'2',9,'N'),(15,2015676,'1',104,'N'),(15,2015676,'2',450,'N'),(15,2015692,'1',238,'N'),(15,2015692,'2',224,'N'),(15,2015706,'1',103,'N'),(15,2015714,'1',103,'N'),(15,2015714,'2',319,'N'),(15,2015722,'1',108,'N'),(15,2015722,'2',333,'N'),(15,2015730,'1',103,'N'),(15,2015730,'2',303,'N'),(15,2015749,'1',326,'N'),(15,2015749,'2',324,'N'),(15,2015757,'1',202,'N'),(15,2015757,'1A',215,'N'),(15,2015757,'2',324,'N'),(15,2015765,'1',329,'N'),(15,2015765,'2',308,'N'),(15,2015773,'1',203,'N'),(15,2015773,'1A',214,'N'),(15,2015773,'2',220,'N'),(15,2015781,'1',327,'N'),(15,2015781,'2',326,'N'),(15,2015790,'1',103,'N'),(15,2015790,'2',101,'N'),(15,2015820,'1',415,'N'),(15,2015820,'1A',426,'S'),(15,2015820,'2',5,'N'),(15,2015838,'1',103,'N'),(15,2015838,'2',427,'N'),(15,2015846,'1',5,'N'),(15,2015846,'2',103,'N'),(15,2015870,'1',333,'N'),(15,2015870,'2',234,'N'),(15,2015889,'1',208,'N'),(15,2015889,'2',202,'N'),(15,2015897,'1',5,'N'),(15,2015897,'2',303,'N'),(15,2015900,'1',404,'N'),(15,2015900,'2',444,'N'),(15,2015919,'1',215,'N'),(15,2015919,'1A',216,'N'),(15,2015919,'2',217,'N'),(15,2015927,'1',211,'N'),(15,2015927,'1A',215,'N'),(15,2015927,'2',101,'N'),(15,2015935,'1',238,'N'),(15,2015935,'1A',208,'N'),(15,2015935,'2',203,'N'),(15,2015943,'1',301,'N'),(15,2015943,'2',207,'N'),(15,2015951,'1',208,'N'),(15,2015951,'1A',238,'N'),(15,2015951,'2',9,'N'),(15,2015960,'1',233,'N'),(15,2015960,'1A',216,'N'),(15,2015960,'2',217,'N'),(15,2015978,'1',103,'N'),(15,2015978,'2',104,'N'),(15,2015986,'1',318,'N'),(15,2015986,'2',316,'N'),(15,2015994,'1',238,'N'),(15,2015994,'1A',208,'N'),(15,2015994,'2',316,'N'),(15,2016001,'1',202,'N'),(15,2016001,'1A',233,'N'),(15,2016001,'2',2,'N'),(15,2016010,'1',203,'N'),(15,2016010,'1A',214,'N'),(15,2016010,'2',2,'N'),(15,2016028,'1',415,'N'),(15,2016028,'2',304,'N'),(15,2016036,'1',444,'N'),(15,2016036,'2',326,'N'),(15,2016052,'1',501,'N'),(15,2016052,'2',211,'N'),(15,2016060,'1',202,'N'),(15,2016060,'1A',213,'N'),(15,2016060,'2',2,'N'),(15,2016079,'1',103,'N'),(15,2016079,'2',225,'N'),(15,2016087,'1',328,'N'),(15,2016087,'2',329,'N'),(15,2016109,'1',425,'N'),(15,2016109,'1A',426,'N'),(15,2016109,'2',451,'N'),(15,2016117,'1',103,'N'),(15,2016117,'2',424,'N'),(15,2016125,'1',203,'N'),(15,2016125,'1A',208,'N'),(15,2016125,'2',222,'N'),(15,2016133,'1',215,'N'),(15,2016133,'1A',216,'N'),(15,2016133,'2',211,'N'),(15,2016141,'1',104,'N'),(15,2016150,'1',211,'N'),(15,2016150,'1A',215,'N'),(15,2016150,'2',9,'N'),(15,2016176,'1',324,'N'),(15,2016176,'2',308,'N'),(15,2016192,'1',203,'N'),(15,2016192,'1A',214,'N'),(15,2016192,'2',301,'N'),(15,2016206,'1',211,'N'),(15,2016206,'1A',238,'N'),(15,2016214,'1',203,'N'),(15,2016214,'1A',202,'N'),(15,2016214,'2',201,'N'),(15,2016222,'1',203,'N'),(15,2016222,'1A',214,'N'),(15,2016222,'2',220,'N'),(15,2016230,'1',207,'N'),(15,2016249,'1',104,'N'),(15,2016249,'2',101,'N'),(15,2016257,'1',415,'N'),(15,2016257,'1A',421,'S'),(15,2016257,'2',333,'N'),(15,2016265,'1',2,'N'),(15,2016265,'2',225,'N'),(15,2016281,'1',316,'N'),(15,2016281,'2',317,'N'),(15,2016290,'1',212,'N'),(15,2016290,'1A',213,'N'),(15,2016290,'2',238,'N'),(15,2016303,'1',104,'N'),(15,2016303,'2',502,'N'),(15,2016311,'1',101,'N'),(15,2016311,'2',308,'N'),(15,2016320,'1',234,'N'),(15,2016320,'2',333,'N'),(15,2016338,'1',450,'N'),(15,2016338,'2',310,'N'),(15,2016346,'1',304,'N'),(15,2016346,'2',222,'N'),(15,2016370,'1',103,'N'),(15,2016370,'2',104,'N'),(15,2016389,'1',302,'N'),(15,2016389,'2',317,'N'),(15,2016397,'1',102,'N'),(15,2016397,'2',103,'N'),(15,2016400,'1',326,'N'),(15,2016400,'2',327,'N'),(15,2016419,'1',207,'N'),(15,2016419,'2',420,'N'),(15,2016427,'1',415,'N'),(15,2016427,'2',207,'N'),(15,2016435,'1',420,'N'),(15,2016435,'2',428,'N'),(15,2016443,'1',303,'N'),(15,2016443,'2',428,'N'),(15,2016460,'1',420,'N'),(15,2016460,'2',415,'N'),(15,2016478,'1',425,'N'),(15,2016478,'1A',429,'N'),(15,2016478,'2',332,'N'),(15,2016494,'1',104,'N'),(15,2016494,'2',9,'N'),(15,2016508,'1',214,'N'),(15,2016508,'1A',213,'N'),(15,2016508,'2',203,'N'),(15,2016516,'1',9,'N'),(15,2016516,'2',201,'N'),(15,2016524,'1',211,'N'),(15,2016524,'1A',215,'N'),(15,2016524,'2',9,'N'),(15,2016532,'1',103,'N'),(15,2016532,'2',225,'N'),(15,2016540,'1',502,'N'),(15,2016540,'2',101,'N'),(15,2016559,'1',207,'N'),(15,2016559,'1A',212,'N'),(15,2016559,'2',420,'N'),(15,2016575,'1',450,'N'),(15,2016575,'1A',428,'S'),(15,2016575,'2',415,'N'),(15,2016583,'1',333,'N'),(15,2016583,'2',108,'N'),(15,2016591,'1',203,'N'),(15,2016591,'1A',202,'N'),(15,2016591,'2',222,'N'),(15,2016605,'1',202,'N'),(15,2016605,'1A',208,'N'),(15,2016613,'1',208,'N'),(15,2016613,'1A',238,'N'),(15,2016613,'2',222,'N'),(15,2016621,'1',303,'N'),(15,2016621,'2',319,'N'),(15,2016630,'1',103,'N'),(15,2016630,'2',104,'N'),(15,2016648,'1',303,'N'),(15,2016648,'2',328,'N'),(15,2016656,'1',207,'N'),(15,2016656,'1A',233,'N'),(15,2016656,'2',201,'N'),(15,2016664,'1',420,'N'),(15,2016664,'2',324,'N'),(15,2016680,'1',404,'N'),(15,2016680,'2',326,'N'),(15,2016699,'1',104,'N'),(15,2016699,'2',101,'N'),(15,2016702,'1',301,'N'),(15,2016702,'2',333,'N'),(15,2016710,'1',103,'N'),(15,2016710,'2',324,'N'),(15,2016729,'1',103,'N'),(15,2016729,'2',428,'N'),(15,2016745,'1',301,'N'),(15,2016745,'2',303,'N'),(15,2016753,'1',333,'N'),(15,2016753,'2',203,'N'),(15,2016761,'1',5,'N'),(15,2016761,'2',303,'N'),(15,2016770,'1',502,'N'),(15,2016770,'2',9,'N'),(15,2016788,'1',420,'N'),(15,2016788,'2',223,'N'),(15,2016796,'1',103,'N'),(15,2016796,'2',501,'N'),(15,2016800,'1',450,'N'),(15,2016800,'2',420,'N'),(15,2016818,'1',220,'N'),(15,2016818,'1A',203,'N'),(15,2016818,'2',214,'N'),(15,2016826,'1',103,'N'),(15,2016826,'2',320,'N'),(15,2016842,'1',426,'N'),(15,2016842,'1A',428,'N'),(15,2016842,'2',424,'N'),(15,2016850,'1',108,'N'),(15,2016850,'2',310,'N'),(15,2016869,'1',225,'N'),(15,2016869,'2',2,'N'),(15,2016877,'1',220,'N'),(15,2016877,'1A',202,'N'),(15,2016877,'2',213,'N'),(15,2016885,'1',103,'N'),(15,2016885,'2',319,'N'),(15,2016893,'1',220,'N'),(15,2016893,'1A',201,'N'),(15,2016893,'2',318,'N'),(15,2016907,'1',333,'N'),(15,2016907,'2',420,'N'),(15,2016915,'1',203,'N'),(15,2016915,'1A',214,'N'),(15,2016915,'2',301,'N'),(15,2016923,'1',202,'N'),(15,2016923,'1A',203,'N'),(15,2016923,'2',208,'N'),(15,2016931,'1',103,'N'),(15,2016931,'2',104,'N'),(15,2016940,'1',103,'N'),(15,2016940,'2',201,'N'),(15,2016958,'1',103,'N'),(15,2016958,'2',211,'N'),(15,2016966,'1',415,'N'),(15,2016966,'2',327,'N'),(15,2016982,'1',415,'N'),(15,2016982,'1A',427,'S'),(15,2016982,'2',326,'N'),(15,2017008,'1',333,'N'),(15,2017008,'2',425,'N'),(15,2017016,'1',427,'N'),(15,2017016,'1A',424,'N'),(15,2017016,'2',316,'N'),(15,2017032,'1',501,'N'),(15,2017032,'2',502,'N'),(15,2017040,'1',9,'N'),(15,2017040,'2',319,'N'),(15,2017059,'1',103,'N'),(15,2017059,'2',102,'N'),(15,2017067,'1',220,'N'),(15,2017067,'1A',208,'N'),(15,2017067,'2',238,'N'),(15,2017083,'1',216,'N'),(15,2017083,'1A',215,'N'),(15,2017083,'2',202,'N'),(15,2017091,'1',203,'N'),(15,2017091,'1A',214,'N'),(15,2017091,'2',202,'N'),(15,2017105,'1',423,'N'),(15,2017105,'1A',428,'N'),(15,2017105,'2',425,'N'),(15,2017113,'1',103,'N'),(15,2017121,'1',404,'N'),(15,2017121,'2',444,'N'),(15,2017130,'1',415,'N'),(15,2017130,'2',310,'N'),(15,2017148,'1',216,'N'),(15,2017148,'1A',208,'N'),(15,2017148,'2',225,'N'),(15,2017156,'1',104,'N'),(15,2017156,'2',319,'N'),(15,2017164,'1',316,'N'),(15,2017164,'2',339,'N'),(15,2017172,'1',5,'N'),(15,2017172,'2',415,'N'),(15,2017180,'1',327,'N'),(15,2017180,'2',301,'N'),(15,2017199,'1',207,'N'),(15,2017199,'2',301,'N'),(15,2017202,'1',303,'N'),(15,2017202,'2',310,'N'),(15,2017210,'1',103,'N'),(15,2017210,'2',216,'N'),(15,2017237,'1',203,'N'),(15,2017237,'1A',214,'N'),(15,2017237,'2',220,'N'),(15,2017253,'1',103,'N'),(15,2017253,'2',212,'N'),(15,2017261,'1',319,'N'),(15,2017261,'2',328,'N'),(15,2017270,'1',301,'N'),(15,2017270,'2',316,'N'),(15,2017296,'1',223,'N'),(15,2017296,'2',222,'N'),(15,2017300,'1',108,'N'),(15,2017300,'2',331,'N'),(15,2017318,'1',103,'N'),(15,2017318,'2',9,'N'),(15,2017326,'1',5,'N'),(15,2017326,'2',327,'N'),(15,2017334,'1',415,'N'),(15,2017334,'2',420,'N'),(15,2017342,'1',450,'N'),(15,2017342,'2',415,'N'),(15,2017369,'1',234,'N'),(15,2017369,'2',444,'N'),(15,2017377,'1',103,'N'),(15,2017377,'2',108,'N'),(15,2017385,'1',103,'N'),(15,2017385,'2',104,'N'),(15,2017393,'1',103,'N'),(15,2017415,'1',102,'N'),(15,2017423,'1',214,'N'),(15,2017423,'1A',213,'N'),(15,2017423,'2',212,'N'),(15,2017431,'1',326,'N'),(15,2017431,'2',309,'N'),(15,2017440,'1',103,'N'),(15,2017458,'1',444,'N'),(15,2017458,'2',324,'N'),(15,2017466,'1',203,'N'),(15,2017466,'1A',214,'N'),(15,2017466,'2',303,'N'),(15,2017474,'1',424,'N'),(15,2017482,'1',238,'N'),(15,2017482,'1A',208,'N'),(15,2017482,'2',339,'N'),(15,2017490,'1',415,'N'),(15,2017490,'1A',426,'S'),(15,2017490,'2',103,'N'),(15,2017512,'1',202,'N'),(15,2017512,'1A',213,'N'),(15,2017512,'2',216,'N'),(15,2017539,'1',103,'N'),(15,2017539,'2',108,'N'),(15,2017547,'1',104,'N'),(15,2017547,'2',502,'N'),(15,2017555,'1',339,'N'),(15,2017555,'2',451,'N'),(15,2017563,'1',207,'N'),(15,2017563,'1A',201,'N'),(15,2017563,'2',319,'N'),(15,2017571,'1',332,'N'),(15,2017571,'2',501,'N'),(15,2017580,'1',102,'N'),(15,2017580,'2',319,'N'),(15,2017598,'1',103,'N'),(15,2017601,'1',104,'N'),(15,2017610,'1',103,'N'),(15,2017610,'2',9,'N'),(15,2017636,'1',301,'N'),(15,2017636,'2',316,'N'),(15,2017652,'1',217,'N'),(15,2017652,'2',222,'N'),(15,2017660,'1',102,'N'),(15,2017660,'2',104,'N'),(15,2017679,'1',203,'N'),(15,2017679,'1A',202,'N'),(15,2017679,'2',220,'N'),(15,2017687,'1',423,'N'),(15,2017687,'1A',425,'N'),(15,2017687,'2',215,'N'),(15,2017695,'1',220,'N'),(15,2017695,'1A',208,'N'),(15,2017695,'2',203,'N'),(15,2017709,'1',103,'N'),(15,2017709,'2',223,'N'),(15,2017717,'1',201,'N'),(15,2017717,'1A',211,'N'),(15,2017717,'2',202,'N'),(15,2017725,'1',333,'N'),(15,2017725,'2',451,'N'),(15,2017733,'1',415,'N'),(15,2017733,'2',319,'N'),(15,2017741,'1',5,'N'),(15,2017741,'2',201,'N'),(15,2017750,'1',333,'N'),(15,2017750,'2',103,'N'),(15,2017768,'1',103,'N'),(15,2017768,'2',5,'N'),(15,2017776,'1',108,'N'),(15,2017776,'2',320,'N'),(15,2017784,'1',202,'N'),(15,2017784,'1A',203,'N'),(15,2017784,'2',213,'N'),(15,2017792,'1',451,'N'),(15,2017792,'1A',425,'S'),(15,2017792,'2',201,'N'),(15,2017814,'1',207,'N'),(15,2017822,'1',216,'N'),(15,2017830,'1',101,'N'),(15,2017830,'2',424,'N'),(15,2017857,'1',211,'N'),(15,2017857,'1A',201,'N'),(15,2017857,'2',234,'N'),(15,2017865,'1',207,'N'),(15,2017865,'2',9,'N'),(15,2017873,'1',303,'N'),(15,2017873,'2',425,'N'),(15,2017881,'1',108,'N'),(15,2017881,'2',404,'N'),(15,2017890,'1',212,'N'),(15,2017890,'1A',201,'N'),(15,2017903,'1',316,'N'),(15,2017903,'2',317,'N'),(15,2017911,'1',220,'N'),(15,2017911,'1A',233,'N'),(15,2017911,'2',303,'N'),(15,2017938,'1',217,'N'),(15,2017938,'2',223,'N'),(15,2017946,'1',213,'N'),(15,2017946,'1A',212,'N'),(15,2017946,'2',214,'N'),(15,2017954,'1',207,'N'),(15,2017954,'1A',201,'N'),(15,2017954,'2',324,'N'),(15,2017962,'1',5,'N'),(15,2017962,'2',303,'N'),(15,2017970,'1',302,'N'),(15,2017970,'2',304,'N'),(15,2017997,'1',103,'N'),(15,2017997,'2',326,'N'),(15,2018012,'1',319,'N'),(15,2018012,'2',328,'N'),(15,2018020,'1',5,'N'),(15,2018020,'2',316,'N'),(15,2018047,'1',216,'N'),(15,2018047,'1A',201,'N'),(15,2018047,'2',415,'N'),(15,2018055,'1',103,'N'),(15,2018055,'2',303,'N'),(15,2018063,'1',103,'N'),(15,2018063,'2',319,'N'),(15,2018071,'1',420,'N'),(15,2018071,'2',207,'N'),(15,2018080,'1',233,'N'),(15,2018080,'1A',211,'N'),(15,2018080,'2',234,'N'),(15,2018098,'1',304,'N'),(15,2018098,'2',2,'N'),(15,2018101,'1',217,'N'),(15,2018101,'2',427,'N'),(15,2018110,'1',303,'N'),(15,2018110,'2',5,'N'),(15,2018128,'1',211,'N'),(15,2018128,'2',310,'N'),(15,2018136,'1',103,'N'),(15,2018136,'2',217,'N'),(15,2018144,'1',324,'N'),(15,2018144,'2',424,'N'),(15,2018160,'1',301,'N'),(15,2018160,'2',316,'N'),(15,2018179,'1',214,'N'),(15,2018179,'1A',203,'N'),(15,2018179,'2',415,'N'),(15,2018187,'1',203,'N'),(15,2018187,'1A',202,'N'),(15,2018187,'2',220,'N'),(15,2018195,'1',101,'N'),(15,2018195,'2',309,'N'),(15,2018209,'1',216,'N'),(15,2018209,'2',215,'N'),(15,2018217,'1',203,'N'),(15,2018217,'1A',214,'N'),(15,2018217,'2',220,'N'),(15,2018225,'1',103,'N'),(15,2018225,'2',104,'N'),(15,2018233,'1',103,'N'),(15,2018241,'1',202,'N'),(15,2018241,'1A',220,'N'),(15,2018241,'2',214,'N'),(15,2018250,'1',316,'N'),(15,2018250,'2',339,'N'),(15,2018268,'1',102,'N'),(15,2018268,'2',308,'N'),(15,2018276,'1',103,'N'),(15,2018276,'2',303,'N'),(15,2018284,'1',222,'N'),(15,2018284,'2',324,'N'),(15,2018292,'1',317,'N'),(15,2018292,'2',324,'N'),(15,2018306,'1',304,'N'),(15,2018306,'2',223,'N'),(15,2018314,'1',108,'N'),(15,2018314,'2',501,'N'),(15,2018330,'1',317,'N'),(15,2018330,'2',423,'N'),(15,2018349,'1',211,'N'),(15,2018349,'2',333,'N'),(15,2018365,'1',220,'N'),(15,2018365,'1A',208,'N'),(15,2018365,'2',223,'N'),(15,2018373,'1',415,'N'),(15,2018373,'2',333,'N'),(15,2018381,'1',108,'N'),(15,2018381,'2',101,'N'),(15,2018403,'1',208,'N'),(15,2018403,'1A',220,'N'),(15,2018403,'2',238,'N'),(15,2018411,'1',201,'N'),(15,2018411,'1A',220,'N'),(15,2018411,'2',203,'N'),(15,2018420,'1',203,'N'),(15,2018420,'1A',214,'N'),(15,2018420,'2',238,'N'),(15,2018438,'1',203,'N'),(15,2018438,'1A',201,'N'),(15,2018438,'2',202,'N'),(15,2018454,'1',238,'N'),(15,2018454,'1A',208,'N'),(15,2018462,'1',103,'N'),(15,2018462,'2',108,'N'),(15,2018470,'1',332,'N'),(15,2018470,'2',331,'N'),(15,2018489,'1',203,'N'),(15,2018489,'1A',214,'N'),(15,2018489,'2',202,'N'),(15,2018527,'1',5,'N'),(15,2018527,'2',303,'N'),(15,2018535,'1',201,'N'),(15,2018535,'1A',208,'N'),(15,2018535,'2',207,'N'),(15,2018543,'1',103,'N'),(15,2018543,'2',101,'N'),(15,2018551,'1',238,'N'),(15,2018551,'1A',211,'N'),(15,2018551,'2',326,'N'),(15,2018560,'1',429,'N'),(15,2018560,'2',425,'N'),(15,2018578,'1',404,'N'),(15,2018578,'2',328,'N'),(15,2018608,'1',309,'N'),(15,2018608,'2',319,'N'),(15,2018616,'1',331,'N'),(15,2018616,'2',333,'N'),(15,2018624,'1',5,'N'),(15,2018624,'2',318,'N'),(15,2018640,'1',103,'N'),(15,2018659,'1',233,'N'),(15,2018659,'1A',214,'N'),(15,2018659,'2',203,'N'),(15,2018667,'1',425,'N'),(15,2018667,'1A',423,'N'),(15,2018667,'2',426,'N'),(15,2018675,'1',103,'N'),(15,2018675,'2',319,'N'),(15,2018683,'1',302,'N'),(15,2018683,'2',318,'N'),(15,2018691,'1',238,'N'),(15,2018691,'1A',208,'N'),(15,2018691,'2',317,'N'),(15,2018705,'1',101,'N'),(15,2018705,'2',309,'N'),(15,2018713,'1',208,'N'),(15,2018713,'2',201,'N'),(15,2018721,'1',103,'N'),(15,2018721,'2',333,'N'),(15,2018748,'1',238,'N'),(15,2018748,'1A',208,'N'),(15,2018748,'2',425,'N'),(15,2018756,'1',303,'N'),(15,2018756,'2',5,'N'),(15,2018764,'1',233,'N'),(15,2018764,'1A',216,'N'),(15,2018772,'1',301,'N'),(15,2018772,'2',304,'N'),(15,2018780,'1',415,'N'),(15,2018780,'1A',426,'S'),(15,2018780,'2',102,'N'),(15,2018799,'1',238,'N'),(15,2018799,'1A',208,'N'),(15,2018799,'2',308,'N'),(15,2018802,'1',216,'N'),(15,2018802,'1A',215,'N'),(15,2018802,'2',217,'N'),(15,2018810,'1',103,'N'),(15,2018810,'2',101,'N'),(15,2018829,'1',103,'N'),(15,2018845,'1',327,'N'),(15,2018845,'2',339,'N'),(15,2018861,'1',104,'N'),(15,2018861,'2',501,'N'),(15,2018888,'1',319,'N'),(15,2018888,'2',329,'N'),(15,2018896,'1',103,'N'),(15,2018896,'2',502,'N'),(15,2018900,'1',103,'N'),(15,2018900,'2',444,'N'),(15,2018918,'1',203,'N'),(15,2018918,'1A',233,'N'),(15,2018918,'2',327,'N'),(15,2018926,'1',333,'N'),(15,2018926,'2',327,'N'),(15,2018934,'1',203,'N'),(15,2018934,'1A',216,'N'),(15,2018934,'2',202,'N'),(15,2018969,'1',420,'N'),(15,2018969,'2',238,'N'),(15,2018977,'1',9,'N'),(15,2018985,'1',211,'N'),(15,2018985,'2',216,'N'),(15,2019000,'1',451,'N'),(15,2019000,'1A',427,'S'),(15,2019000,'2',450,'N'),(15,2019027,'1',320,'N'),(15,2019027,'2',329,'N'),(15,2019043,'1',318,'N'),(15,2019043,'2',333,'N'),(15,2019060,'1',103,'N'),(15,2019060,'2',108,'N'),(15,2019078,'1',212,'N'),(15,2019078,'1A',201,'N'),(15,2019078,'2',233,'N'),(15,2019086,'1',310,'N'),(15,2019086,'2',326,'N'),(15,2019094,'1',108,'N'),(15,2019094,'2',319,'N'),(15,2019116,'1',319,'N'),(15,2019116,'2',9,'N'),(15,2019124,'1',103,'N'),(15,2019124,'2',333,'N'),(15,2019132,'1',308,'N'),(15,2019132,'2',319,'N'),(15,2019140,'1',303,'N'),(15,2019140,'2',450,'N'),(15,2019167,'1',5,'N'),(15,2019167,'2',108,'N'),(15,2019183,'1',301,'N'),(15,2019183,'2',304,'N'),(15,2019191,'1',301,'N'),(15,2019191,'2',316,'N'),(15,2019205,'1',404,'N'),(15,2019205,'2',234,'N'),(15,2019248,'1',316,'N'),(15,2019248,'2',317,'N'),(15,2019264,'1',319,'N'),(15,2019264,'2',333,'N'),(15,2019272,'1',316,'N'),(15,2019272,'2',222,'N'),(15,2019299,'1',207,'N'),(15,2019299,'1A',201,'N'),(15,2019299,'2',420,'N'),(15,2019302,'1',301,'N'),(15,2019302,'2',316,'N'),(15,2019329,'1',207,'N'),(15,2019329,'2',420,'N'),(15,2019337,'1',224,'N'),(15,2019337,'2',324,'N'),(15,2019345,'1',310,'N'),(15,2019345,'2',301,'N'),(15,2019353,'1',9,'N'),(15,2019353,'2',319,'N'),(15,2019361,'1',103,'N'),(15,2019370,'1',451,'N'),(15,2019370,'1A',423,'S'),(15,2019370,'2',450,'N'),(15,2019388,'1',303,'N'),(15,2019388,'2',217,'N'),(15,2019396,'1',420,'N'),(15,2019400,'1',103,'N'),(15,2019400,'2',303,'N'),(15,2019418,'1',108,'N'),(15,2019418,'2',333,'N'),(15,2019434,'1',320,'N'),(15,2019434,'2',415,'N'),(15,2019442,'1',301,'N'),(15,2019442,'2',309,'N'),(15,2019450,'1',202,'N'),(15,2019450,'1A',201,'N'),(15,2019450,'2',213,'N'),(15,2019485,'1',404,'N'),(15,2019485,'2',304,'N'),(15,2019493,'1',214,'N'),(15,2019493,'1A',212,'N'),(15,2019493,'2',216,'N'),(15,2019507,'1',101,'N'),(15,2019507,'2',302,'N'),(15,2019515,'1',103,'N'),(15,2019515,'2',225,'N'),(15,2019523,'1',101,'N'),(15,2019523,'2',423,'N'),(15,2019531,'1',103,'N'),(15,2019531,'2',319,'N'),(15,2019540,'1',303,'N'),(15,2019540,'2',310,'N'),(15,2019558,'1',5,'N'),(15,2019558,'2',220,'N'),(15,2019574,'1',5,'N'),(15,2019574,'2',310,'N'),(15,2019582,'1',317,'N'),(15,2019582,'2',324,'N'),(15,2019612,'1',103,'N'),(15,2019612,'2',102,'N'),(15,2019620,'1',415,'N'),(15,2019620,'2',303,'N'),(15,2019639,'1',327,'N'),(15,2019639,'2',308,'N'),(15,2019647,'1',103,'N'),(15,2019647,'2',101,'N'),(15,2019655,'1',317,'N'),(15,2019655,'2',222,'N'),(15,2019663,'1',238,'N'),(15,2019663,'1A',208,'N'),(15,2019663,'2',429,'N'),(15,2019671,'1',201,'N'),(15,2019671,'1A',203,'N'),(15,2019671,'2',207,'N'),(15,2019680,'1',103,'N'),(15,2019680,'2',101,'N'),(15,2019728,'1',318,'N'),(15,2019728,'2',424,'N'),(15,2019736,'1',319,'N'),(15,2019736,'2',329,'N'),(15,2019744,'1',238,'N'),(15,2019744,'2',208,'N'),(15,2019760,'1',318,'N'),(15,2019760,'2',320,'N'),(15,2019779,'1',102,'N'),(15,2019787,'1',203,'N'),(15,2019787,'1A',215,'N'),(15,2019787,'2',214,'N'),(15,2019795,'1',216,'N'),(15,2019795,'1A',213,'N'),(15,2019795,'2',211,'N'),(15,2019809,'1',101,'N'),(15,2019809,'2',224,'N'),(15,2019825,'1',103,'N'),(15,2019825,'2',104,'N'),(15,2019833,'1',420,'N'),(15,2019841,'1',208,'N'),(15,2019841,'1A',202,'N'),(15,2019841,'2',213,'N'),(15,2019850,'1',316,'N'),(15,2019850,'2',101,'N'),(15,2019868,'1',217,'N'),(15,2019876,'1',104,'N'),(15,2019876,'2',103,'N'),(15,2019884,'1',303,'N'),(15,2019884,'2',327,'N'),(15,2019892,'1',319,'N'),(15,2019892,'2',310,'N'),(15,2019914,'1',220,'N'),(15,2019914,'1A',203,'N'),(15,2019914,'2',202,'N'),(15,2019922,'1',103,'N'),(15,2019922,'2',207,'N'),(15,2019930,'1',326,'N'),(15,2019930,'2',327,'N'),(15,2019949,'1',426,'N'),(15,2019949,'1A',427,'N'),(15,2019949,'2',320,'N'),(15,2019973,'1',424,'N'),(15,2019973,'2',427,'N'),(15,2019981,'1',333,'N'),(15,2019981,'2',501,'N'),(15,2019990,'1',217,'N'),(15,2019990,'2',223,'N'),(15,2020017,'1',333,'N'),(15,2020017,'2',502,'N'),(15,2020033,'1',103,'N'),(15,2020033,'2',102,'N'),(15,2020041,'1',339,'N'),(15,2020041,'2',317,'N'),(15,2020050,'1',216,'N'),(15,2020050,'1A',211,'N'),(15,2020050,'2',108,'N'),(15,2020068,'1',319,'N'),(15,2020068,'2',202,'N'),(15,2020076,'1',238,'N'),(15,2020076,'2',301,'N'),(15,2020084,'1',339,'N'),(15,2020084,'2',309,'N'),(15,2020092,'1',201,'N'),(15,2020092,'1A',212,'N'),(15,2020092,'2',444,'N'),(15,2020106,'1',208,'N'),(15,2020106,'1A',238,'N'),(15,2020106,'2',222,'N'),(15,2020130,'1',203,'N'),(15,2020130,'1A',214,'N'),(15,2020130,'2',220,'N'),(15,2020157,'1',220,'N'),(15,2020157,'1A',214,'N'),(15,2020157,'2',320,'N'),(15,2020173,'1',5,'N'),(15,2020173,'2',327,'N'),(15,2020181,'1',202,'N'),(15,2020181,'1A',201,'N'),(15,2020181,'2',208,'N'),(15,2020190,'1',5,'N'),(15,2020190,'2',327,'N'),(15,2020203,'1',404,'N'),(15,2020203,'2',444,'N'),(15,2020211,'1',103,'N'),(15,2020211,'2',319,'N'),(15,2020220,'1',303,'N'),(15,2020220,'2',5,'N'),(15,2020238,'1',5,'N'),(15,2020238,'2',303,'N'),(15,2020254,'1',108,'N'),(15,2020254,'2',501,'N'),(15,2020262,'1',103,'N'),(15,2020262,'2',102,'N'),(15,2020270,'1',103,'N'),(15,2020297,'1',308,'N'),(15,2020297,'2',427,'N'),(15,2020300,'1',103,'N'),(15,2020300,'2',104,'N'),(15,2020319,'1',103,'N'),(15,2020319,'2',108,'N'),(15,2020327,'1',301,'N'),(15,2020327,'2',420,'N'),(15,2020335,'1',238,'N'),(15,2020335,'1A',208,'N'),(15,2020335,'2',304,'N'),(15,2020343,'1',333,'N'),(15,2020343,'2',444,'N'),(15,2020351,'1',415,'N'),(15,2020351,'1A',426,'S'),(15,2020351,'2',329,'N'),(15,2020378,'1',9,'N'),(15,2020378,'2',415,'N'),(15,2020386,'1',103,'N'),(15,2020394,'1',214,'N'),(15,2020394,'1A',207,'N'),(15,2020394,'2',501,'N'),(15,2020408,'1',103,'N'),(15,2020408,'2',101,'N'),(15,2020432,'1',203,'N'),(15,2020432,'1A',233,'N'),(15,2020432,'2',2,'N'),(15,2020440,'1',201,'N'),(15,2020440,'1A',212,'N'),(15,2020440,'2',207,'N'),(15,2020459,'1',424,'N'),(15,2020459,'1A',421,'N'),(15,2020459,'2',427,'N'),(15,2020467,'1',103,'N'),(15,2020475,'1',102,'N'),(15,2020475,'2',9,'N'),(15,2020491,'1',339,'N'),(15,2020491,'2',427,'N'),(15,2020505,'1',320,'N'),(15,2020505,'2',339,'N'),(15,2020513,'1',103,'N'),(15,2020513,'2',203,'N'),(15,2020521,'1',217,'N'),(15,2020530,'1',203,'N'),(15,2020530,'1A',238,'N'),(15,2020530,'2',225,'N'),(15,2020548,'1',102,'N'),(15,2020548,'2',238,'N'),(15,2020572,'1',5,'N'),(15,2020572,'2',304,'N'),(15,2020580,'1',502,'N'),(15,2020580,'2',501,'N'),(15,2020599,'1',333,'N'),(15,2020599,'2',211,'N'),(15,2020637,'1',108,'N'),(15,2020637,'2',211,'N'),(15,2020645,'1',333,'N'),(15,2020645,'2',502,'N'),(15,2020653,'1',301,'N'),(15,2020653,'2',304,'N'),(15,2020661,'1',203,'N'),(15,2020661,'1A',202,'N'),(15,2020661,'2',429,'N'),(15,2020688,'1',319,'N'),(15,2020688,'2',308,'N'),(15,2020696,'1',304,'N'),(15,2020696,'2',318,'N'),(15,2020700,'1',225,'N'),(15,2020700,'2',2,'N'),(15,2020726,'1',316,'N'),(15,2020726,'2',502,'N'),(15,2020742,'1',104,'N'),(15,2020742,'2',423,'N'),(15,2020750,'1',333,'N'),(15,2020750,'2',426,'N'),(15,2020777,'1',217,'N'),(15,2020777,'2',234,'N'),(15,2020785,'1',415,'N'),(15,2020785,'2',451,'N'),(15,2020793,'1',212,'N'),(15,2020793,'1A',201,'N'),(15,2020793,'2',317,'N'),(15,2020807,'1',2,'N'),(15,2020807,'2',225,'N'),(15,2020823,'1',220,'N'),(15,2020823,'1A',213,'N'),(15,2020831,'1',103,'N'),(15,2020831,'2',333,'N'),(15,2020858,'1',310,'N'),(15,2020858,'2',429,'N'),(15,2020866,'1',103,'N'),(15,2020866,'2',333,'N'),(15,2020874,'1',451,'N'),(15,2020874,'2',108,'N'),(15,2020882,'1',404,'N'),(15,2020882,'2',444,'N'),(15,2020890,'1',212,'N'),(15,2020890,'1A',201,'N'),(15,2020890,'2',238,'N'),(15,2020912,'1',420,'N'),(15,2020912,'1A',429,'S'),(15,2020912,'2',324,'N'),(15,2020920,'1',101,'N'),(15,2020920,'2',108,'N'),(15,2020939,'1',316,'N'),(15,2020939,'2',301,'N'),(15,2020947,'1',319,'N'),(15,2020947,'2',303,'N'),(15,2020955,'1',420,'N'),(15,2020955,'2',207,'N'),(15,2020963,'1',103,'N'),(15,2020963,'2',9,'N'),(15,2020971,'1',234,'N'),(15,2020971,'2',502,'N'),(15,2020980,'1',324,'N'),(15,2020980,'2',317,'N'),(15,2020998,'1',103,'N'),(15,2020998,'2',104,'N'),(15,2021005,'1',103,'N'),(15,2021005,'2',303,'N'),(15,2021013,'1',103,'N'),(15,2021013,'2',427,'N'),(15,2021021,'1',103,'N'),(15,2021021,'2',303,'N'),(15,2021030,'1',5,'N'),(15,2021030,'2',104,'N'),(15,2021048,'1',308,'N'),(15,2021048,'2',420,'N'),(15,2021056,'1',502,'N'),(15,2021056,'2',324,'N'),(15,2021064,'1',420,'N'),(15,2021064,'2',203,'N'),(15,2021072,'1',233,'N'),(15,2021072,'1A',214,'N'),(15,2021072,'2',203,'N'),(15,2021080,'1',108,'N'),(15,2021080,'2',333,'N'),(15,2021099,'1',217,'N'),(15,2021099,'2',303,'N'),(15,2021102,'1',103,'N'),(15,2021102,'2',101,'N'),(15,2021110,'1',303,'N'),(15,2021110,'2',301,'N'),(15,2021129,'1',318,'N'),(15,2021129,'2',320,'N'),(15,2021137,'1',444,'N'),(15,2021137,'2',5,'N'),(15,2021153,'1',303,'N'),(15,2021153,'2',304,'N'),(15,2021161,'1',233,'N'),(15,2021161,'1A',216,'N'),(15,2021161,'2',203,'N'),(15,2021170,'1',9,'N'),(15,2021170,'2',319,'N'),(15,2021188,'1',203,'N'),(15,2021188,'1A',233,'N'),(15,2021188,'2',202,'N'),(15,2021196,'1',103,'N'),(15,2021196,'2',333,'N'),(15,2021200,'1',103,'N'),(15,2021218,'1',202,'N'),(15,2021218,'1A',208,'N'),(15,2021218,'2',238,'N'),(15,2021234,'1',216,'N'),(15,2021234,'1A',213,'N'),(15,2021234,'2',208,'N'),(15,2021242,'1',318,'N'),(15,2021242,'2',201,'N'),(15,2021250,'1',450,'N'),(15,2021250,'1A',425,'S'),(15,2021250,'2',428,'N'),(15,2021269,'1',207,'N'),(15,2021269,'2',420,'N'),(15,2021285,'1',101,'N'),(15,2021285,'2',501,'N'),(15,2021293,'1',420,'N'),(15,2021293,'1A',427,'S'),(15,2021293,'2',450,'N'),(15,2021307,'1',208,'N'),(15,2021307,'1A',238,'N'),(15,2021307,'2',104,'N'),(15,2021323,'1',217,'N'),(15,2021323,'2',211,'N'),(15,2021331,'1',201,'N'),(15,2021331,'1A',207,'N'),(15,2021331,'2',318,'N'),(15,2021340,'1',103,'N'),(15,2021340,'2',101,'N'),(15,2021358,'1',103,'N'),(15,2021358,'2',102,'N'),(15,2021366,'1',220,'N'),(15,2021366,'1A',203,'N'),(15,2021374,'1',5,'N'),(15,2021374,'2',333,'N'),(15,2021382,'1',104,'N'),(15,2021382,'2',102,'N'),(15,2021390,'1',327,'N'),(15,2021390,'2',415,'N'),(15,2021404,'1',220,'N'),(15,2021404,'1A',214,'N'),(15,2021404,'2',203,'N'),(15,2021420,'1',319,'N'),(15,2021420,'2',444,'N'),(15,2021447,'1',104,'N'),(15,2021455,'1',303,'N'),(15,2021455,'2',5,'N'),(15,2021463,'1',207,'N'),(15,2021463,'1A',201,'N'),(15,2021463,'2',333,'N'),(15,2021510,'1',420,'N'),(15,2021510,'2',319,'N'),(15,2021528,'1',202,'N'),(15,2021528,'1A',213,'N'),(15,2021528,'2',203,'N'),(15,2021536,'1',5,'N'),(15,2021536,'2',404,'N'),(15,2021544,'1',103,'N'),(15,2021544,'2',102,'N'),(15,2021552,'1',238,'N'),(15,2021552,'1A',211,'N'),(15,2021552,'2',203,'N'),(15,2021560,'1',319,'N'),(15,2021560,'2',9,'N'),(15,2021579,'1',217,'N'),(15,2021579,'2',324,'N'),(15,2021587,'1',502,'N'),(15,2021587,'2',423,'N'),(15,2021609,'1',103,'N'),(15,2021609,'2',213,'N'),(15,2021617,'1',5,'N'),(15,2021617,'2',211,'N'),(15,2021625,'1',103,'N'),(15,2021625,'2',101,'N'),(15,2021641,'1',103,'N'),(15,2021641,'2',207,'N'),(15,2021650,'1',302,'N'),(15,2021650,'2',304,'N'),(15,2021668,'1',238,'N'),(15,2021668,'1A',208,'N'),(15,2021668,'2',333,'N'),(15,2021706,'1',425,'N'),(15,2021706,'1A',421,'N'),(15,2021706,'2',223,'N'),(15,2021714,'1',101,'N'),(15,2021714,'2',5,'N'),(15,2021722,'1',425,'N'),(15,2021722,'2',421,'N'),(15,2021749,'1',420,'N'),(15,2021749,'1A',425,'S'),(15,2021749,'2',326,'N'),(15,2021757,'1',103,'N'),(15,2021757,'2',319,'N'),(15,2021765,'1',101,'N'),(15,2021765,'2',339,'N'),(15,2021773,'1',423,'N'),(15,2021773,'1A',424,'N'),(15,2021773,'2',427,'N'),(15,2021781,'1',308,'N'),(15,2021781,'2',339,'N'),(15,2021790,'1',208,'N'),(15,2021790,'1A',216,'N'),(15,2021790,'2',222,'N'),(15,2021820,'1',333,'N'),(15,2021820,'2',332,'N'),(15,2021838,'1',420,'N'),(15,2021838,'1A',429,'S'),(15,2021838,'2',301,'N'),(15,2021846,'1',103,'N'),(15,2021854,'1',207,'N'),(15,2021854,'1A',201,'N'),(15,2021854,'2',420,'N'),(15,2021870,'1',308,'N'),(15,2021870,'2',217,'N'),(15,2021889,'1',450,'N'),(15,2021889,'2',420,'N'),(15,2021919,'1',103,'N'),(15,2021919,'2',102,'N'),(15,2021927,'1',203,'N'),(15,2021927,'1A',201,'N'),(15,2021927,'2',202,'N'),(15,2021943,'1',103,'N'),(15,2021943,'2',303,'N'),(15,2021951,'1',301,'N'),(15,2021951,'2',212,'N'),(15,2021978,'1',101,'N'),(15,2021978,'2',9,'N'),(15,2021986,'1',303,'N'),(15,2021986,'2',319,'N'),(15,2021994,'1',316,'N'),(15,2021994,'2',301,'N'),(15,2022001,'1',317,'N'),(15,2022001,'2',308,'N'),(15,2022010,'1',102,'N'),(15,2022010,'2',216,'N'),(15,2022028,'1',104,'N'),(15,2022028,'2',333,'N'),(15,2022036,'1',201,'N'),(15,2022036,'1A',212,'N'),(15,2022036,'2',213,'N'),(15,2022044,'1',303,'N'),(15,2022044,'2',104,'N'),(15,2022052,'1',103,'N'),(15,2022052,'2',101,'N'),(15,2022060,'1',207,'N'),(15,2022060,'2',444,'N'),(15,2022079,'1',108,'N'),(15,2022079,'2',415,'N'),(15,2022109,'1',103,'N'),(15,2022109,'2',104,'N'),(15,2022117,'1',301,'N'),(15,2022117,'2',317,'N'),(15,2022125,'1',501,'N'),(15,2022125,'2',318,'N'),(15,2022133,'1',333,'N'),(15,2022141,'1',301,'N'),(15,2022141,'2',420,'N'),(15,2022168,'1',415,'N'),(15,2022176,'1',216,'N'),(15,2022176,'1A',202,'N'),(15,2022176,'2',201,'N'),(15,2022184,'1',220,'N'),(15,2022184,'1A',203,'N'),(15,2022184,'2',202,'N'),(15,2022192,'1',202,'N'),(15,2022192,'1A',208,'N'),(15,2022214,'1',203,'N'),(15,2022214,'1A',208,'N'),(15,2022214,'2',108,'N'),(15,2022222,'1',202,'N'),(15,2022222,'1A',208,'N'),(15,2022222,'2',304,'N'),(15,2022230,'1',333,'N'),(15,2022230,'2',234,'N'),(15,2022249,'1',303,'N'),(15,2022249,'2',320,'N'),(15,2022257,'1',103,'N'),(15,2022257,'2',104,'N'),(15,2022265,'1',451,'N'),(15,2022265,'2',415,'N'),(15,2022273,'1',303,'N'),(15,2022273,'2',5,'N'),(15,2022281,'1',208,'N'),(15,2022290,'1',415,'N'),(15,2022290,'2',426,'N'),(15,2022303,'1',101,'N'),(15,2022303,'2',326,'N'),(15,2022311,'1',333,'N'),(15,2022311,'2',5,'N'),(15,2022320,'1',425,'N'),(15,2022320,'1A',421,'N'),(15,2022320,'2',308,'N'),(15,2022338,'1',108,'N'),(15,2022338,'2',451,'N'),(15,2022346,'1',203,'N'),(15,2022346,'1A',202,'N'),(15,2022354,'1',216,'N'),(15,2022354,'2',316,'N'),(15,2022362,'1',5,'N'),(15,2022362,'2',326,'N'),(15,2022370,'1',103,'N'),(15,2022370,'2',108,'N'),(15,2022389,'1',302,'N'),(15,2022389,'2',428,'N'),(15,2022397,'1',203,'N'),(15,2022419,'1',202,'N'),(15,2022419,'1A',233,'N'),(15,2022419,'2',201,'N'),(15,2022427,'1',207,'N'),(15,2022427,'1A',201,'N'),(15,2022427,'2',211,'N'),(15,2022443,'1',308,'N'),(15,2022443,'2',428,'N'),(15,2022451,'1',316,'N'),(15,2022451,'2',332,'N'),(15,2022460,'1',404,'N'),(15,2022460,'2',301,'N'),(15,2022478,'1',318,'N'),(15,2022478,'2',316,'N'),(15,2022486,'1',234,'N'),(15,2022486,'2',333,'N'),(15,2022494,'1',450,'N'),(15,2022494,'1A',425,'S'),(15,2022494,'2',415,'N'),(15,2022516,'1',5,'N'),(15,2022516,'2',316,'N'),(15,2022524,'1',332,'N'),(15,2022524,'2',423,'N'),(15,2022532,'1',2,'N'),(15,2022540,'1',203,'N'),(15,2022540,'1A',220,'N'),(15,2022540,'2',202,'N'),(15,2022567,'1',103,'N'),(15,2022567,'2',333,'N'),(15,2022575,'1',9,'N'),(15,2022575,'2',103,'N'),(15,2022583,'1',404,'N'),(15,2022583,'2',302,'N'),(15,2022591,'1',103,'N'),(15,2022591,'2',216,'N'),(15,2022605,'1',5,'N'),(15,2022613,'1',201,'N'),(15,2022613,'1A',207,'N'),(15,2022621,'1',103,'N'),(15,2022621,'2',303,'N'),(15,2022630,'1',103,'N'),(15,2022630,'2',5,'N'),(15,2022648,'1',203,'N'),(15,2022648,'1A',214,'N'),(15,2022648,'2',420,'N'),(15,2022656,'1',103,'N'),(15,2022656,'2',223,'N'),(15,2022664,'1',207,'N'),(15,2022664,'2',420,'N'),(15,2022672,'1',320,'N'),(15,2022672,'2',428,'N'),(15,2022680,'1',303,'N'),(15,2022699,'1',207,'N'),(15,2022702,'1',327,'N'),(15,2022702,'2',329,'N'),(15,2022710,'1',103,'N'),(15,2022710,'2',429,'N'),(15,2022729,'1',318,'N'),(15,2022729,'2',304,'N'),(15,2022737,'1',103,'N'),(15,2022753,'1',104,'N'),(15,2022753,'2',308,'N'),(15,2022770,'1',103,'N'),(15,2022770,'2',303,'N'),(15,2022788,'1',5,'N'),(15,2022788,'2',238,'N'),(15,2022796,'1',216,'N'),(15,2022796,'2',201,'N'),(15,2022800,'1',319,'N'),(15,2022800,'2',303,'N'),(15,2022818,'1',207,'N'),(15,2022818,'1A',201,'N'),(15,2022818,'2',303,'N'),(15,2022826,'1',216,'N'),(15,2022826,'1A',233,'N'),(15,2022826,'2',211,'N'),(15,2022834,'1',220,'N'),(15,2022834,'1A',202,'N'),(15,2022834,'2',328,'N'),(15,2022842,'1',327,'N'),(15,2022842,'2',328,'N'),(15,2022850,'1',303,'N'),(15,2022850,'2',319,'N'),(15,2022869,'1',333,'N'),(15,2022869,'2',319,'N'),(15,2022877,'1',103,'N'),(15,2022877,'2',102,'N'),(15,2022885,'1',108,'N'),(15,2022885,'2',103,'N'),(15,2022893,'1',108,'N'),(15,2022893,'2',333,'N'),(15,2022907,'1',201,'N'),(15,2022907,'1A',202,'N'),(15,2022907,'2',207,'N'),(15,2022915,'1',233,'N'),(15,2022915,'1A',203,'N'),(15,2022915,'2',301,'N'),(15,2022923,'1',450,'N'),(15,2022923,'1A',424,'S'),(15,2022923,'2',451,'N'),(15,2022931,'1',103,'N'),(15,2022931,'2',104,'N'),(15,2022940,'1',211,'N'),(15,2022958,'1',233,'N'),(15,2022958,'1A',215,'N'),(15,2022958,'2',220,'N'),(15,2022966,'1',214,'N'),(15,2022966,'1A',203,'N'),(15,2022966,'2',303,'N'),(15,2022974,'1',108,'N'),(15,2022974,'2',502,'N'),(15,2022982,'1',333,'N'),(15,2022982,'2',444,'N'),(15,2022990,'1',217,'N'),(15,2022990,'2',212,'N'),(15,2023008,'1',301,'N'),(15,2023008,'2',316,'N'),(15,2023016,'1',2,'N'),(15,2023016,'2',215,'N'),(15,2023024,'1',213,'N'),(15,2023024,'1A',214,'N'),(15,2023024,'2',203,'N'),(15,2023032,'1',108,'N'),(15,2023032,'2',102,'N'),(15,2023040,'1',420,'N'),(15,2023040,'2',450,'N'),(15,2023059,'1',5,'N'),(15,2023059,'2',301,'N'),(15,2023067,'1',211,'N'),(15,2023067,'1A',215,'N'),(15,2023067,'2',502,'N'),(15,2023075,'1',103,'N'),(15,2023083,'1',333,'N'),(15,2023083,'2',216,'N'),(15,2023105,'1',225,'N'),(15,2023105,'2',224,'N'),(15,2023121,'1',450,'N'),(15,2023121,'2',310,'N'),(15,2023130,'1',302,'N'),(15,2023130,'2',328,'N'),(15,2023148,'1',404,'N'),(15,2023148,'2',308,'N'),(15,2023156,'1',103,'N'),(15,2023164,'1',415,'N'),(15,2023164,'2',5,'N'),(15,2023172,'1',207,'N'),(15,2023172,'2',316,'N'),(15,2023180,'1',238,'N'),(15,2023180,'1A',208,'N'),(15,2023180,'2',420,'N'),(15,2023199,'1',212,'N'),(15,2023199,'1A',220,'N'),(15,2023199,'2',214,'N'),(15,2023202,'1',207,'N'),(15,2023202,'1A',201,'N'),(15,2023202,'2',420,'N'),(15,2023210,'1',303,'N'),(15,2023210,'2',108,'N'),(15,2023229,'1',202,'N'),(15,2023229,'1A',213,'N'),(15,2023229,'2',326,'N'),(15,2023237,'1',220,'N'),(15,2023237,'1A',216,'N'),(15,2023237,'2',214,'N'),(15,2023245,'1',103,'N'),(15,2023245,'2',202,'N'),(15,2023253,'1',501,'N'),(15,2023253,'2',333,'N'),(15,2023261,'1',103,'N'),(15,2023261,'2',316,'N'),(15,2023288,'1',415,'N'),(15,2023288,'2',327,'N'),(15,2023296,'1',216,'N'),(15,2023296,'1A',220,'N'),(15,2023296,'2',333,'N'),(15,2023300,'1',303,'N'),(15,2023300,'2',309,'N'),(15,2023318,'1',327,'N'),(15,2023318,'2',332,'N'),(15,2023326,'1',5,'N'),(15,2023326,'2',318,'N'),(15,2023342,'1',301,'N'),(15,2023342,'2',211,'N'),(15,2023369,'1',304,'N'),(15,2023369,'2',223,'N'),(15,2023377,'1',201,'N'),(15,2023377,'1A',216,'N'),(15,2023377,'2',212,'N'),(15,2023385,'1',5,'N'),(15,2023385,'2',303,'N'),(15,2023393,'1',216,'N'),(15,2023393,'1A',201,'N'),(15,2023393,'2',203,'N'),(15,2023407,'1',5,'N'),(15,2023407,'2',328,'N'),(15,2023415,'1',104,'N'),(15,2023431,'1',201,'N'),(15,2023431,'1A',212,'N'),(15,2023431,'2',234,'N'),(15,2023440,'1',425,'N'),(15,2023440,'1A',429,'N'),(15,2023440,'2',207,'N'),(15,2023458,'1',213,'N'),(15,2023458,'1A',214,'N'),(15,2023458,'2',212,'N'),(15,2023466,'1',208,'N'),(15,2023466,'2',444,'N'),(15,2023482,'1',207,'N'),(15,2023482,'1A',201,'N'),(15,2023482,'2',301,'N'),(15,2023490,'1',327,'N'),(15,2023490,'2',326,'N'),(15,2023504,'1',216,'N'),(15,2023512,'1',429,'N'),(15,2023512,'2',427,'N'),(15,2023520,'1',103,'N'),(15,2023520,'2',101,'N'),(15,2023539,'1',9,'N'),(15,2023539,'2',103,'N'),(15,2023555,'1',102,'N'),(15,2023555,'2',428,'N'),(15,2023563,'1',303,'N'),(15,2023563,'2',326,'N'),(15,2023571,'1',233,'N'),(15,2023571,'1A',215,'N'),(15,2023571,'2',102,'N'),(15,2023598,'1',420,'N'),(15,2023598,'2',316,'N'),(15,2023601,'1',203,'N'),(15,2023601,'1A',216,'N'),(15,2023601,'2',214,'N'),(15,2023610,'1',103,'N'),(15,2023610,'2',101,'N'),(15,2023628,'1',444,'N'),(15,2023628,'2',5,'N'),(15,2023636,'1',103,'N'),(15,2023636,'2',211,'N'),(15,2023644,'1',316,'N'),(15,2023644,'2',207,'N'),(15,2023652,'1',501,'N'),(15,2023652,'2',333,'N'),(15,2023660,'1',108,'N'),(15,2023660,'2',501,'N'),(15,2023679,'1',420,'N'),(15,2023679,'2',208,'N'),(15,2023687,'1',103,'N'),(15,2023687,'2',450,'N'),(15,2023709,'1',304,'N'),(15,2023709,'2',318,'N'),(15,2023717,'1',108,'N'),(15,2023717,'2',333,'N'),(15,2023725,'1',327,'N'),(15,2023725,'2',326,'N'),(15,2023733,'1',207,'N'),(15,2023733,'1A',202,'N'),(15,2023733,'2',319,'N'),(15,2023768,'1',339,'N'),(15,2023768,'2',319,'N'),(15,2023792,'1',5,'N'),(15,2023792,'2',327,'N'),(15,2023806,'1',203,'N'),(15,2023806,'2',202,'N'),(15,2023814,'1',501,'N'),(15,2023814,'2',215,'N'),(15,2023849,'1',103,'N'),(15,2023849,'2',108,'N'),(15,2023857,'1',211,'N'),(15,2023857,'1A',216,'N'),(15,2023857,'2',202,'N'),(15,2023865,'1',211,'N'),(15,2023865,'1A',215,'N'),(15,2023865,'2',502,'N'),(15,2023873,'1',420,'N'),(15,2023873,'2',316,'N'),(15,2023890,'1',103,'N'),(15,2023890,'2',5,'N'),(15,2023903,'1',101,'N'),(15,2023903,'2',339,'N'),(15,2023911,'1',103,'N'),(15,2023911,'2',303,'N'),(15,2023938,'1',5,'N'),(15,2023938,'2',326,'N'),(15,2023946,'1',103,'N'),(15,2023946,'2',216,'N'),(15,2023954,'1',309,'N'),(15,2023954,'2',429,'N'),(15,2023962,'1',103,'N'),(15,2023970,'1',103,'N'),(15,2023970,'2',101,'N'),(15,2023989,'1',451,'N'),(15,2023989,'2',429,'N'),(15,2023997,'1',103,'N'),(15,2023997,'2',101,'N'),(15,2024012,'1',201,'N'),(15,2024012,'1A',212,'N'),(15,2024012,'2',317,'N'),(15,2024039,'1',319,'N'),(15,2024039,'2',328,'N'),(15,2024055,'1',420,'N'),(15,2024055,'2',333,'N'),(15,2024071,'1',203,'N'),(15,2024071,'1A',214,'N'),(15,2024071,'2',201,'N'),(15,2024080,'1',201,'N'),(15,2024080,'1A',207,'N'),(15,2024080,'2',301,'N'),(15,2024101,'1',208,'N'),(15,2024101,'1A',238,'N'),(15,2024101,'2',444,'N'),(15,2024110,'1',207,'N'),(15,2024110,'1A',211,'N'),(15,2024110,'2',404,'N'),(15,2024128,'1',444,'N'),(15,2024128,'2',103,'N'),(15,2024136,'1',238,'N'),(15,2024136,'1A',208,'N'),(15,2024136,'2',420,'N'),(15,2024144,'1',103,'N'),(15,2024144,'2',425,'N'),(15,2024152,'1',404,'N'),(15,2024152,'2',444,'N'),(15,2024179,'1',450,'N'),(15,2024179,'2',444,'N'),(15,2024187,'1',103,'N'),(15,2024187,'2',203,'N'),(15,2024195,'1',208,'N'),(15,2024195,'1A',238,'N'),(15,2024195,'2',303,'N'),(15,2024209,'1',318,'N'),(15,2024209,'2',339,'N'),(15,2024217,'1',104,'N'),(15,2024225,'1',213,'N'),(15,2024225,'1A',214,'N'),(15,2024225,'2',233,'N'),(15,2024233,'1',216,'N'),(15,2024233,'1A',233,'N'),(15,2024233,'2',234,'N'),(15,2024241,'1',415,'N'),(15,2024241,'2',427,'N'),(15,2024250,'1',216,'N'),(15,2024250,'1A',220,'N'),(15,2024250,'2',238,'N'),(15,2024268,'1',333,'N'),(15,2024268,'2',415,'N'),(15,2024276,'1',211,'N'),(15,2024276,'1A',207,'N'),(15,2024276,'2',216,'N'),(15,2024284,'1',207,'N'),(15,2024284,'2',450,'N'),(15,2024292,'1',102,'N'),(15,2024292,'2',216,'N'),(15,2024306,'1',320,'N'),(15,2024306,'2',415,'N'),(15,2024314,'1',207,'N'),(15,2024314,'2',102,'N'),(15,2024322,'1',415,'N'),(15,2024322,'2',108,'N'),(15,2024330,'1',203,'N'),(15,2024330,'1A',220,'N'),(15,2024330,'2',217,'N'),(15,2024349,'1',327,'N'),(15,2024349,'2',329,'N'),(15,2024357,'1',201,'N'),(15,2024357,'1A',238,'N'),(15,2024357,'2',424,'N'),(15,2024365,'1',303,'N'),(15,2024365,'2',333,'N'),(15,2024373,'1',319,'N'),(15,2024373,'2',333,'N'),(15,2024381,'1',207,'N'),(15,2024381,'1A',201,'N'),(15,2024381,'2',316,'N'),(15,2024411,'1',5,'N'),(15,2024411,'2',423,'N'),(15,2024420,'1',420,'N'),(15,2024438,'1',103,'N'),(15,2024446,'1',207,'N'),(15,2024446,'1A',201,'N'),(15,2024446,'2',420,'N'),(15,2024454,'1',215,'N'),(15,2024454,'1A',216,'N'),(15,2024454,'2',102,'N'),(15,2024462,'1',103,'N'),(15,2024470,'1',203,'N'),(15,2024470,'1A',202,'N'),(15,2024470,'2',318,'N'),(15,2024500,'1',103,'N'),(15,2024500,'2',104,'N'),(15,2024527,'1',208,'N'),(15,2024527,'1A',238,'N'),(15,2024527,'2',222,'N'),(15,2024543,'1',216,'N'),(15,2024543,'1A',214,'N'),(15,2024543,'2',333,'N'),(15,2024551,'1',5,'N'),(15,2024560,'1',304,'N'),(15,2024560,'2',301,'N'),(15,2024578,'1',108,'N'),(15,2024578,'2',333,'N'),(15,2024586,'1',103,'N'),(15,2024594,'1',103,'N'),(15,2024594,'2',216,'N'),(15,2024608,'1',103,'N'),(15,2024616,'1',319,'N'),(15,2024616,'2',309,'N'),(15,2024624,'1',201,'N'),(15,2024624,'1A',212,'N'),(15,2024624,'2',220,'N'),(15,2024632,'1',220,'N'),(15,2024632,'1A',215,'N'),(15,2024632,'2',304,'N'),(15,2024640,'1',224,'N'),(15,2024640,'2',225,'N'),(15,2024659,'1',102,'N'),(15,2024659,'2',216,'N'),(15,2024667,'1',201,'N'),(15,2024667,'1A',202,'N'),(15,2024667,'2',212,'N'),(15,2024683,'1',404,'N'),(15,2024683,'2',332,'N'),(15,2024691,'1',103,'N'),(15,2024691,'2',5,'N'),(15,2024705,'1',103,'N'),(15,2024705,'2',303,'N'),(15,2024713,'1',333,'N'),(15,2024713,'2',332,'N'),(15,2024730,'1',319,'N'),(15,2024730,'2',211,'N'),(15,2024748,'1',216,'N'),(15,2024748,'1A',201,'N'),(15,2024748,'2',420,'N'),(15,2024764,'1',320,'N'),(15,2024764,'2',310,'N'),(15,2024780,'1',103,'N'),(15,2024780,'2',104,'N'),(15,2024799,'1',207,'N'),(15,2024799,'1A',201,'N'),(15,2024799,'2',415,'N'),(15,2024802,'1',238,'N'),(15,2024802,'2',331,'N'),(15,2024810,'1',424,'N'),(15,2024810,'1A',423,'N'),(15,2024810,'2',333,'N'),(15,2024829,'1',203,'N'),(15,2024829,'1A',214,'N'),(15,2024829,'2',201,'N'),(15,2024837,'1',103,'N'),(15,2024837,'2',104,'N'),(15,2024845,'1',316,'N'),(15,2024845,'2',339,'N'),(15,2024853,'1',327,'N'),(15,2024853,'2',425,'N'),(15,2024861,'1',103,'N'),(15,2024870,'1',103,'N'),(15,2024870,'2',9,'N'),(15,2024888,'1',108,'N'),(15,2024888,'2',324,'N'),(15,2024896,'1',103,'N'),(15,2024896,'2',108,'N'),(15,2024900,'1',103,'N'),(15,2024900,'2',427,'N'),(15,2024926,'1',108,'N'),(15,2024926,'2',320,'N'),(15,2024942,'1',415,'N'),(15,2024942,'2',424,'N'),(15,2024977,'1',415,'N'),(15,2024977,'1A',428,'S'),(15,2024977,'2',309,'N'),(15,2024985,'1',333,'N'),(15,2024985,'2',331,'N'),(15,2025019,'1',202,'N'),(15,2025019,'1A',213,'N'),(15,2025019,'2',234,'N'),(15,2025027,'1',302,'N'),(15,2025027,'2',223,'N'),(15,2025035,'1',426,'N'),(15,2025035,'1A',421,'N'),(15,2025035,'2',222,'N'),(15,2025043,'1',103,'N'),(15,2025043,'2',104,'N'),(15,2025051,'1',211,'N'),(15,2025051,'2',501,'N'),(15,2025060,'1',502,'N'),(15,2025060,'2',324,'N'),(15,2025078,'1',103,'N'),(15,2025078,'2',319,'N'),(15,2025086,'1',316,'N'),(15,2025086,'2',318,'N'),(15,2025094,'1',319,'N'),(15,2025094,'2',308,'N'),(15,2025108,'1',450,'N'),(15,2025108,'1A',423,'S'),(15,2025108,'2',425,'N'),(15,2025116,'1',104,'N'),(15,2025116,'2',222,'N'),(15,2025124,'1',203,'N'),(15,2025124,'1A',214,'N'),(15,2025124,'2',501,'N'),(15,2025159,'1',103,'N'),(15,2025159,'2',108,'N'),(15,2025167,'1',203,'N'),(15,2025167,'1A',201,'N'),(15,2025167,'2',211,'N'),(15,2025175,'1',220,'N'),(15,2025183,'1',5,'N'),(15,2025183,'2',329,'N'),(15,2025205,'1',223,'N'),(15,2025205,'2',329,'N'),(15,2025230,'1',203,'N'),(15,2025230,'1A',214,'N'),(15,2025230,'2',2,'N'),(15,2025248,'1',238,'N'),(15,2025248,'1A',208,'N'),(15,2025248,'2',202,'N'),(15,2025256,'1',220,'N'),(15,2025256,'1A',203,'N'),(15,2025256,'2',202,'N'),(15,2025264,'1',211,'N'),(15,2025264,'1A',233,'N'),(15,2025264,'2',203,'N'),(15,2025272,'1',103,'N'),(15,2025272,'2',420,'N'),(15,2025280,'1',108,'N'),(15,2025280,'2',333,'N'),(15,2025299,'1',208,'N'),(15,2025299,'2',420,'N'),(15,2025310,'1',301,'N'),(15,2025310,'2',319,'N'),(15,2025329,'1',216,'N'),(15,2025353,'1',317,'N'),(15,2025353,'2',316,'N'),(15,2025361,'1',103,'N'),(15,2025361,'2',501,'N'),(15,2025370,'1',318,'N'),(15,2025370,'2',317,'N'),(15,2025396,'1',303,'N'),(15,2025396,'2',502,'N'),(15,2025400,'1',420,'N'),(15,2025400,'1A',424,'S'),(15,2025400,'2',428,'N'),(15,2025418,'1',319,'N'),(15,2025418,'2',425,'N'),(15,2025426,'1',238,'N'),(15,2025426,'2',329,'N'),(15,2025442,'1',333,'N'),(15,2025442,'2',108,'N'),(15,2025450,'1',216,'N'),(15,2025477,'1',211,'N'),(15,2025477,'1A',207,'N'),(15,2025477,'2',303,'N'),(15,2025485,'1',207,'N'),(15,2025485,'1A',201,'N'),(15,2025485,'2',329,'N'),(15,2025493,'1',415,'N'),(15,2025493,'2',320,'N'),(15,2025515,'1',102,'N'),(15,2025515,'2',217,'N'),(15,2025531,'1',214,'N'),(15,2025531,'1A',212,'N'),(15,2025531,'2',301,'N'),(15,2025540,'1',415,'N'),(15,2025540,'2',426,'N'),(15,2025558,'1',103,'N'),(15,2025558,'2',102,'N'),(15,2025566,'1',207,'N'),(15,2025566,'1A',201,'N'),(15,2025566,'2',212,'N'),(15,2025574,'1',212,'N'),(15,2025574,'1A',201,'N'),(15,2025574,'2',211,'N'),(15,2025582,'1',502,'N'),(15,2025582,'2',404,'N'),(15,2025590,'1',102,'N'),(15,2025590,'2',103,'N'),(15,2025604,'1',339,'N'),(15,2025604,'2',308,'N'),(15,2025612,'1',103,'N'),(15,2025612,'2',102,'N'),(15,2025620,'1',207,'N'),(15,2025620,'1A',233,'N'),(15,2025620,'2',303,'N'),(15,2025639,'1',316,'N'),(15,2025639,'2',326,'N'),(15,2025647,'1',103,'N'),(15,2025647,'2',104,'N'),(15,2025655,'1',203,'N'),(15,2025655,'2',302,'N'),(15,2025663,'1',103,'N'),(15,2025663,'2',308,'N'),(15,2025671,'1',234,'N'),(15,2025671,'2',502,'N'),(15,2025680,'1',333,'N'),(15,2025680,'2',316,'N'),(15,2025698,'1',316,'N'),(15,2025698,'2',444,'N'),(15,2025701,'1',233,'N'),(15,2025701,'1A',211,'N'),(15,2025701,'2',333,'N'),(15,2025728,'1',211,'N'),(15,2025728,'1A',233,'N'),(15,2025728,'2',326,'N'),(15,2025736,'1',319,'N'),(15,2025736,'2',329,'N'),(15,2025744,'1',220,'N'),(15,2025744,'2',202,'N'),(15,2025752,'1',426,'N'),(15,2025752,'2',451,'N'),(15,2025779,'1',303,'N'),(15,2025779,'2',444,'N'),(15,2025787,'1',203,'N'),(15,2025787,'1A',214,'N'),(15,2025787,'2',213,'N'),(15,2025795,'1',103,'N'),(15,2025795,'2',502,'N'),(15,2025817,'1',103,'N'),(15,2025825,'1',104,'N'),(15,2025825,'2',103,'N'),(15,2025833,'1',301,'N'),(15,2025833,'2',316,'N'),(15,2025841,'1',108,'N'),(15,2025841,'2',444,'N'),(15,2025876,'1',207,'N'),(15,2025876,'2',420,'N'),(15,2025892,'1',303,'N'),(15,2025892,'2',5,'N'),(15,2025906,'1',103,'N'),(15,2025906,'2',502,'N'),(15,2025914,'1',420,'N'),(15,2025914,'2',9,'N'),(15,2025922,'1',103,'N'),(15,2025922,'2',101,'N'),(15,2025930,'1',211,'N'),(15,2025930,'1A',216,'N'),(15,2025930,'2',217,'N'),(15,2025949,'1',208,'N'),(15,2025949,'1A',203,'N'),(15,2025949,'2',2,'N'),(15,2025957,'1',415,'N'),(15,2025957,'2',310,'N'),(15,2025973,'1',429,'N'),(15,2025973,'1A',423,'N'),(15,2025973,'2',5,'N'),(15,2025981,'1',211,'N'),(15,2025981,'2',333,'N'),(15,2026007,'1',201,'N'),(15,2026007,'1A',202,'N'),(15,2026007,'2',233,'N'),(15,2026015,'1',415,'N'),(15,2026015,'2',316,'N'),(15,2026023,'1',201,'N'),(15,2026023,'1A',212,'N'),(15,2026023,'2',233,'N'),(15,2026031,'1',316,'N'),(15,2026031,'2',317,'N'),(15,2026040,'1',103,'N'),(15,2026040,'2',303,'N'),(15,2026058,'1',333,'N'),(15,2026058,'2',238,'N'),(15,2026066,'1',103,'N'),(15,2026066,'2',319,'N'),(15,2026074,'1',5,'N'),(15,2026074,'2',207,'N'),(15,2026090,'1',211,'N'),(15,2026090,'1A',215,'N'),(15,2026090,'2',331,'N'),(15,2026104,'1',201,'N'),(15,2026104,'1A',203,'N'),(15,2026104,'2',207,'N'),(15,2026112,'1',103,'N'),(15,2026112,'2',9,'N'),(15,2026120,'1',224,'N'),(15,2026120,'2',225,'N'),(15,2026139,'1',103,'N'),(15,2026139,'2',104,'N'),(15,2026147,'1',303,'N'),(15,2026147,'2',420,'N'),(15,2026155,'1',103,'N'),(15,2026155,'2',102,'N'),(15,2026163,'1',103,'N'),(15,2026171,'1',208,'N'),(15,2026171,'2',425,'N'),(15,2026180,'1',202,'N'),(15,2026180,'1A',220,'N'),(15,2026180,'2',213,'N'),(15,2026201,'1',207,'N'),(15,2026201,'1A',201,'N'),(15,2026201,'2',420,'N'),(15,2026210,'1',415,'N'),(15,2026210,'1A',429,'S'),(15,2026210,'2',303,'N'),(15,2026228,'1',103,'N'),(15,2026228,'2',104,'N'),(15,2026236,'1',5,'N'),(15,2026236,'2',238,'N'),(15,2026244,'1',9,'N'),(15,2026244,'2',420,'N'),(15,2026252,'1',103,'N'),(15,2026252,'2',9,'N'),(15,2026260,'1',103,'N'),(15,2026260,'2',102,'N'),(15,2026279,'1',103,'N'),(15,2026279,'2',108,'N'),(15,2026287,'1',319,'N'),(15,2026287,'2',423,'N'),(15,2026295,'1',317,'N'),(15,2026295,'2',333,'N'),(15,2026317,'1',5,'N'),(15,2026325,'1',318,'N'),(15,2026325,'2',304,'N'),(15,2026341,'1',326,'N'),(15,2026341,'2',327,'N'),(15,2026350,'1',202,'N'),(15,2026350,'1A',203,'N'),(15,2026350,'2',220,'N'),(15,2026376,'1',203,'N'),(15,2026376,'1A',214,'N'),(15,2026376,'2',220,'N'),(15,2026384,'1',103,'N'),(15,2026384,'2',104,'N'),(15,2026392,'1',225,'N'),(15,2026392,'2',224,'N'),(15,2026406,'1',103,'N'),(15,2026406,'2',102,'N'),(15,2026422,'1',220,'N'),(15,2026422,'1A',203,'N'),(15,2026422,'2',202,'N'),(15,2026457,'1',216,'N'),(15,2026457,'1A',215,'N'),(15,2026457,'2',316,'N'),(15,2026465,'1',421,'N'),(15,2026465,'1A',428,'N'),(15,2026465,'2',423,'N'),(15,2026473,'1',202,'N'),(15,2026473,'1A',203,'N'),(15,2026473,'2',225,'N'),(15,2026490,'1',103,'N'),(15,2026490,'2',104,'N'),(15,2026503,'1',450,'N'),(15,2026503,'2',451,'N'),(15,2026520,'1',415,'N'),(15,2026520,'1A',427,'S'),(15,2026520,'2',423,'N'),(15,2026546,'1',103,'N'),(15,2026546,'2',102,'N'),(15,2026554,'1',415,'N'),(15,2026554,'2',319,'N'),(15,2026562,'1',220,'N'),(15,2026562,'1A',203,'N'),(15,2026562,'2',213,'N'),(15,2026570,'1',201,'N'),(15,2026570,'1A',212,'N'),(15,2026570,'2',302,'N'),(15,2026597,'1',316,'N'),(15,2026597,'2',501,'N'),(15,2026619,'1',450,'N'),(15,2026619,'2',304,'N'),(15,2026627,'1',211,'N'),(15,2026627,'1A',215,'N'),(15,2026627,'2',234,'N'),(15,2026635,'1',214,'N'),(15,2026635,'1A',216,'N'),(15,2026635,'2',223,'N'),(15,2026643,'1',103,'N'),(15,2026643,'2',102,'N'),(15,2026651,'1',211,'N'),(15,2026651,'1A',214,'N'),(15,2026651,'2',203,'N'),(15,2026686,'1',208,'N'),(15,2026686,'1A',238,'N'),(15,2026686,'2',222,'N'),(15,2026694,'1',304,'N'),(15,2026694,'2',318,'N'),(15,2026708,'1',5,'N'),(15,2026716,'1',201,'N'),(15,2026724,'1',103,'N'),(15,2026724,'2',203,'N'),(15,2026740,'1',207,'N'),(15,2026740,'1A',208,'N'),(15,2026740,'2',211,'N'),(15,2026767,'1',212,'N'),(15,2026767,'1A',201,'N'),(15,2026767,'2',304,'N'),(15,2026775,'1',327,'N'),(15,2026775,'2',329,'N'),(15,2026783,'1',303,'N'),(15,2026783,'2',424,'N'),(15,2026791,'1',108,'N'),(15,2026791,'2',333,'N'),(15,2026805,'1',303,'N'),(15,2026805,'2',331,'N'),(15,2026813,'1',319,'N'),(15,2026813,'2',320,'N'),(15,2026821,'1',207,'N'),(15,2026821,'1A',201,'N'),(15,2026821,'2',103,'N'),(15,2026830,'1',415,'N'),(15,2026830,'2',101,'N'),(15,2026848,'1',103,'N'),(15,2026848,'2',233,'N'),(15,2026856,'1',207,'N'),(15,2026856,'1A',220,'N'),(15,2026856,'2',203,'N'),(15,2026864,'1',332,'N'),(15,2026864,'2',331,'N'),(15,2026880,'1',444,'N'),(15,2026880,'2',404,'N'),(15,2026899,'1',103,'N'),(15,2026902,'1',303,'N'),(15,2026902,'2',328,'N'),(15,2026910,'1',304,'N'),(15,2026910,'2',301,'N'),(15,2026929,'1',104,'N'),(15,2026929,'2',223,'N'),(15,2026937,'1',303,'N'),(15,2026945,'1',103,'N'),(15,2026945,'2',101,'N'),(15,2026953,'1',201,'N'),(15,2026953,'1A',207,'N'),(15,2026953,'2',316,'N'),(15,2026961,'1',103,'N'),(15,2026961,'2',104,'N'),(15,2026970,'1',202,'N'),(15,2026970,'1A',208,'N'),(15,2026970,'2',238,'N'),(15,2026996,'1',203,'N'),(15,2026996,'1A',202,'N'),(15,2026996,'2',201,'N'),(15,2027003,'1',301,'N'),(15,2027003,'2',304,'N'),(15,2027011,'1',103,'N'),(15,2027020,'1',333,'N'),(15,2027020,'2',427,'N'),(15,2027038,'1',203,'N'),(15,2027038,'1A',201,'N'),(15,2027038,'2',104,'N'),(15,2027046,'1',201,'N'),(15,2027046,'1A',212,'N'),(15,2027046,'2',333,'N'),(15,2027062,'1',203,'N'),(15,2027062,'1A',211,'N'),(15,2027062,'2',301,'N'),(15,2027070,'1',102,'N'),(15,2027070,'2',217,'N'),(15,2027089,'1',103,'N'),(15,2027089,'2',319,'N'),(15,2027097,'1',420,'N'),(15,2027097,'2',404,'N'),(15,2027100,'1',303,'N'),(15,2027100,'2',5,'N'),(15,2027119,'1',207,'N'),(15,2027119,'1A',211,'N'),(15,2027119,'2',301,'N'),(15,2027127,'1',108,'N'),(15,2027135,'1',444,'N'),(15,2027135,'2',9,'N'),(15,2027143,'1',101,'N'),(15,2027143,'2',102,'N'),(15,2027151,'1',444,'N'),(15,2027151,'2',404,'N'),(15,2027160,'1',303,'N'),(15,2027160,'2',207,'N'),(15,2027178,'1',303,'N'),(15,2027178,'2',333,'N'),(15,2027186,'1',9,'N'),(15,2027186,'2',215,'N'),(15,2027194,'1',102,'N'),(15,2027194,'2',339,'N'),(15,2027208,'1',207,'N'),(15,2027208,'1A',201,'N'),(15,2027208,'2',301,'N'),(15,2027216,'1',103,'N'),(15,2027216,'2',101,'N'),(15,2027224,'1',316,'N'),(15,2027224,'2',423,'N'),(15,2027232,'1',214,'N'),(15,2027232,'1A',203,'N'),(15,2027232,'2',212,'N'),(15,2027240,'1',103,'N'),(15,2027240,'2',101,'N'),(15,2027259,'1',102,'N'),(15,2027267,'1',304,'N'),(15,2027267,'2',316,'N'),(15,2027275,'1',303,'N'),(15,2027275,'2',428,'N'),(15,2027283,'1',102,'N'),(15,2027283,'2',234,'N'),(15,2027291,'1',103,'N'),(15,2027291,'2',319,'N'),(15,2027305,'1',201,'N'),(15,2027305,'1A',238,'N'),(15,2027305,'2',224,'N'),(15,2027313,'1',215,'N'),(15,2027313,'1A',216,'N'),(15,2027313,'2',331,'N'),(15,2027321,'1',216,'N'),(15,2027321,'1A',215,'N'),(15,2027321,'2',217,'N'),(15,2027330,'1',108,'N'),(15,2027348,'1',423,'N'),(15,2027348,'2',427,'N'),(15,2027356,'1',103,'N'),(15,2027356,'2',104,'N'),(15,2027364,'1',103,'N'),(15,2027364,'2',108,'N'),(15,2027372,'1',9,'N'),(15,2027372,'2',215,'N'),(15,2027380,'1',103,'N'),(15,2027399,'1',220,'N'),(15,2027399,'1A',214,'N'),(15,2027399,'2',207,'N'),(15,2027402,'1',103,'N'),(15,2027402,'2',104,'N'),(15,2027410,'1',103,'N'),(15,2027410,'2',303,'N'),(15,2027429,'1',103,'N'),(15,2027437,'1',450,'N'),(15,2027445,'1',308,'N'),(15,2027445,'2',324,'N'),(15,2027453,'1',103,'N'),(15,2027453,'2',303,'N'),(15,2027461,'1',310,'N'),(15,2027461,'2',320,'N'),(15,2027470,'1',217,'N'),(15,2027470,'2',215,'N'),(15,2027496,'1',101,'N'),(15,2027496,'2',207,'N'),(15,2027500,'1',216,'N'),(15,2027500,'1A',201,'N'),(15,2027500,'2',213,'N'),(15,2027518,'1',102,'N'),(15,2027518,'2',217,'N'),(15,2027526,'1',108,'N'),(15,2027526,'2',101,'N'),(15,2027534,'1',208,'N'),(15,2027534,'1A',203,'N'),(15,2027534,'2',202,'N'),(15,2027542,'1',203,'N'),(15,2027542,'1A',214,'N'),(15,2027542,'2',202,'N'),(15,2027550,'1',333,'N'),(15,2027550,'2',5,'N'),(15,2027569,'1',201,'N'),(15,2027569,'1A',233,'N'),(15,2027569,'2',216,'N'),(15,2027577,'1',207,'N'),(15,2027577,'1A',215,'N'),(15,2027577,'2',420,'N'),(15,2027585,'1',214,'N'),(15,2027585,'1A',203,'N'),(15,2027585,'2',201,'N'),(15,2027593,'1',420,'N'),(15,2027593,'1A',425,'S'),(15,2027593,'2',238,'N'),(15,2027607,'1',304,'N'),(15,2027607,'2',302,'N'),(15,2027615,'1',404,'N'),(15,2027615,'2',9,'N'),(15,2027631,'1',101,'N'),(15,2027631,'2',102,'N'),(15,2027640,'1',104,'N'),(15,2027640,'2',102,'N'),(15,2027658,'1',212,'N'),(15,2027658,'1A',201,'N'),(15,2027666,'1',207,'N'),(15,2027666,'1A',208,'N'),(15,2027666,'2',319,'N'),(15,2027674,'1',303,'N'),(15,2027674,'2',304,'N'),(15,2027682,'1',220,'N'),(15,2027682,'1A',203,'N'),(15,2027682,'2',213,'N'),(15,2027690,'1',5,'N'),(15,2027690,'2',327,'N'),(15,2027704,'1',104,'N'),(15,2027704,'2',101,'N'),(15,2027712,'1',207,'N'),(15,2027712,'1A',216,'N'),(15,2027712,'2',102,'N'),(15,2027720,'1',201,'N'),(15,2027720,'1A',203,'N'),(15,2027739,'1',220,'N'),(15,2027739,'1A',208,'N'),(15,2027739,'2',223,'N'),(15,2027747,'1',102,'N'),(15,2027747,'2',304,'N'),(15,2027755,'1',2,'N'),(15,2027755,'2',327,'N'),(15,2027763,'1',203,'N'),(15,2027763,'1A',214,'N'),(15,2027763,'2',220,'N'),(15,2027771,'1',220,'N'),(15,2027771,'1A',202,'N'),(15,2027771,'2',203,'N'),(15,2027780,'1',404,'N'),(15,2027780,'2',425,'N'),(15,2027798,'1',203,'N'),(15,2027798,'1A',216,'N'),(15,2027798,'2',202,'N'),(15,2027801,'1',225,'N'),(15,2027801,'2',224,'N'),(15,2027828,'1',103,'N'),(15,2027828,'2',303,'N'),(15,2027836,'1',420,'N'),(15,2027836,'2',233,'N'),(15,2027844,'1',216,'N'),(15,2027844,'1A',211,'N'),(15,2027844,'2',217,'N'),(15,2027852,'1',103,'N'),(15,2027852,'2',108,'N'),(15,2027879,'1',319,'N'),(15,2027879,'2',415,'N'),(15,2027887,'1',9,'N'),(15,2027887,'2',319,'N'),(15,2027895,'1',103,'N'),(15,2027895,'2',104,'N'),(15,2027909,'1',308,'N'),(15,2027909,'2',426,'N'),(15,2027917,'1',103,'N'),(15,2027917,'2',415,'N'),(15,2027925,'1',220,'N'),(15,2027925,'1A',202,'N'),(15,2027925,'2',213,'N'),(15,2027933,'1',203,'N'),(15,2027941,'1',207,'N'),(15,2027941,'1A',201,'N'),(15,2027941,'2',420,'N'),(15,2027968,'1',5,'N'),(15,2027968,'2',429,'N'),(15,2027976,'1',339,'N'),(15,2027976,'2',319,'N'),(15,2027984,'1',450,'N'),(15,2027984,'1A',425,'S'),(15,2027984,'2',301,'N'),(15,2027992,'1',103,'N'),(15,2027992,'2',203,'N'),(15,2028000,'1',103,'N'),(15,2028000,'2',102,'N'),(15,2028018,'1',215,'N'),(15,2028018,'1A',216,'N'),(15,2028026,'1',203,'N'),(15,2028026,'1A',220,'N'),(15,2028026,'2',214,'N'),(15,2028034,'1',202,'N'),(15,2028034,'1A',216,'N'),(15,2028034,'2',225,'N'),(15,2028042,'1',501,'N'),(15,2028042,'2',211,'N'),(15,2028050,'1',319,'N'),(15,2028050,'2',328,'N'),(15,2028069,'1',202,'N'),(15,2028069,'2',213,'N'),(15,2028077,'1',103,'N'),(15,2028077,'2',316,'N'),(15,2028093,'1',220,'N'),(15,2028107,'1',216,'N'),(15,2028107,'1A',215,'N'),(15,2028107,'2',102,'N'),(15,2028123,'1',415,'N'),(15,2028123,'1A',425,'S'),(15,2028123,'2',450,'N'),(15,2028131,'1',203,'N'),(15,2028131,'1A',216,'N'),(15,2028131,'2',333,'N'),(15,2028140,'1',304,'N'),(15,2028140,'2',301,'N'),(15,2028166,'1',426,'N'),(15,2028166,'1A',421,'N'),(15,2028166,'2',428,'N'),(15,2028174,'1',319,'N'),(15,2028174,'2',328,'N'),(15,2028182,'1',324,'N'),(15,2028182,'2',502,'N'),(15,2028212,'1',444,'N'),(15,2028212,'2',404,'N'),(15,2028220,'1',316,'N'),(15,2028220,'2',333,'N'),(15,2028239,'1',303,'N'),(15,2028239,'2',420,'N'),(15,2028247,'1',316,'N'),(15,2028247,'2',420,'N'),(15,2028255,'1',216,'N'),(15,2028255,'1A',212,'N'),(15,2028255,'2',217,'N'),(15,2028263,'1',317,'N'),(15,2028263,'2',5,'N'),(15,2028271,'1',207,'N'),(15,2028271,'1A',211,'N'),(15,2028271,'2',420,'N'),(15,2028280,'1',103,'N'),(15,2028280,'2',104,'N'),(15,2028298,'1',103,'N'),(15,2028298,'2',420,'N'),(15,2028310,'1',301,'N'),(15,2028310,'2',303,'N'),(15,2028328,'1',103,'N'),(15,2028328,'2',9,'N'),(15,2028336,'1',425,'N'),(15,2028336,'1A',421,'N'),(15,2028336,'2',426,'N'),(15,2028344,'1',104,'N'),(15,2028344,'2',223,'N'),(15,2028352,'1',214,'N'),(15,2028352,'1A',201,'N'),(15,2028352,'2',212,'N'),(15,2028360,'1',215,'N'),(15,2028360,'1A',216,'N'),(15,2028360,'2',9,'N'),(15,2028379,'1',207,'N'),(15,2028379,'1A',201,'N'),(15,2028379,'2',420,'N'),(15,2028387,'1',220,'N'),(15,2028387,'1A',201,'N'),(15,2028387,'2',234,'N'),(15,2028395,'1',104,'N'),(15,2028395,'2',9,'N'),(15,2028409,'1',104,'N'),(15,2028409,'2',327,'N'),(15,2028417,'1',202,'N'),(15,2028417,'1A',208,'N'),(15,2028417,'2',310,'N'),(15,2028433,'1',233,'N'),(15,2028433,'2',212,'N'),(15,2028441,'1',220,'N'),(15,2028441,'1A',202,'N'),(15,2028441,'2',213,'N'),(15,2028450,'1',450,'N'),(15,2028450,'2',223,'N'),(15,2028468,'1',502,'N'),(15,2028468,'2',501,'N'),(15,2028476,'1',220,'N'),(15,2028476,'1A',202,'N'),(15,2028476,'2',213,'N'),(15,2028484,'1',415,'N'),(15,2028484,'2',216,'N'),(15,2028492,'1',203,'N'),(15,2028492,'1A',216,'N'),(15,2028492,'2',214,'N'),(15,2028506,'1',102,'N'),(15,2028506,'2',429,'N'),(15,2028514,'1',233,'N'),(15,2028514,'1A',213,'N'),(15,2028514,'2',320,'N'),(15,2028522,'1',404,'N'),(15,2028522,'2',308,'N'),(15,2028530,'1',103,'N'),(15,2028530,'2',102,'N'),(15,2028557,'1',233,'N'),(15,2028557,'2',203,'N'),(15,2028565,'1',301,'N'),(15,2028565,'2',303,'N'),(15,2028573,'1',101,'N'),(15,2028573,'2',309,'N'),(15,2028590,'1',207,'N'),(15,2028590,'1A',211,'N'),(15,2028590,'2',420,'N'),(15,2028603,'1',319,'N'),(15,2028620,'1',108,'N'),(15,2028620,'2',451,'N'),(15,2028638,'1',216,'N'),(15,2028638,'1A',233,'N'),(15,2028638,'2',425,'N'),(15,2028646,'1',203,'N'),(15,2028646,'1A',202,'N'),(15,2028646,'2',2,'N'),(15,2028654,'1',220,'N'),(15,2028654,'1A',203,'N'),(15,2028654,'2',214,'N'),(15,2028662,'1',103,'N'),(15,2028662,'2',216,'N'),(15,2028670,'1',303,'N'),(15,2028670,'2',319,'N'),(15,2028689,'1',415,'N'),(15,2028689,'1A',424,'S'),(15,2028689,'2',207,'N'),(15,2028700,'1',502,'N'),(15,2028700,'2',501,'N'),(15,2028719,'1',319,'N'),(15,2028719,'2',428,'N'),(15,2028727,'1',103,'N'),(15,2028727,'2',102,'N'),(15,2028735,'1',9,'N'),(15,2028735,'2',420,'N'),(15,2028743,'1',316,'N'),(15,2028743,'2',301,'N'),(15,2028751,'1',103,'N'),(15,2028751,'2',104,'N'),(15,2028760,'1',201,'N'),(15,2028760,'1A',211,'N'),(15,2028760,'2',212,'N'),(15,2028786,'1',103,'N'),(15,2028794,'1',303,'N'),(15,2028794,'2',5,'N'),(15,2028808,'1',103,'N'),(15,2028808,'2',102,'N'),(15,2028816,'1',207,'N'),(15,2028816,'2',420,'N'),(15,2028824,'1',310,'N'),(15,2028824,'2',320,'N'),(15,2028832,'1',103,'N'),(15,2028832,'2',333,'N'),(15,2028840,'1',317,'N'),(15,2028840,'2',318,'N'),(15,2028859,'1',207,'N'),(15,2028859,'1A',201,'N'),(15,2028859,'2',308,'N'),(15,2028867,'1',103,'N'),(15,2028867,'2',9,'N'),(15,2028883,'1',104,'N'),(15,2028883,'2',101,'N'),(15,2028891,'1',211,'N'),(15,2028891,'1A',214,'N'),(15,2028891,'2',444,'N'),(15,2028905,'1',304,'N'),(15,2028905,'2',318,'N'),(15,2028921,'1',103,'N'),(15,2028921,'2',319,'N'),(15,2028948,'1',502,'N'),(15,2028948,'2',501,'N'),(15,2028956,'1',213,'N'),(15,2028956,'1A',202,'N'),(15,2028956,'2',238,'N'),(15,2028964,'1',211,'N'),(15,2028964,'1A',216,'N'),(15,2028964,'2',5,'N'),(15,2028972,'1',203,'N'),(15,2028972,'1A',207,'N'),(15,2028972,'2',201,'N'),(15,2029006,'1',207,'N'),(15,2029006,'1A',215,'N'),(15,2029006,'2',224,'N'),(15,2029014,'1',217,'N'),(15,2029014,'2',223,'N'),(15,2029022,'1',301,'N'),(15,2029022,'2',316,'N'),(15,2029030,'1',212,'N'),(15,2029030,'1A',213,'N'),(15,2029030,'2',215,'N'),(15,2029049,'1',327,'N'),(15,2029049,'2',329,'N'),(15,2029057,'1',302,'N'),(15,2029057,'2',303,'N'),(15,2029065,'1',102,'N'),(15,2029065,'2',9,'N'),(15,2029073,'1',216,'N'),(15,2029073,'2',201,'N'),(15,2029081,'1',103,'N'),(15,2029081,'2',101,'N'),(15,2029090,'1',324,'N'),(15,2029090,'2',429,'N'),(15,2029103,'1',207,'N'),(15,2029103,'2',5,'N'),(15,2029111,'1',450,'N'),(15,2029120,'1',304,'N'),(15,2029120,'2',9,'N'),(15,2029138,'1',103,'N'),(15,2029138,'2',108,'N'),(15,2029154,'1',318,'N'),(15,2029154,'2',339,'N'),(15,2029170,'1',303,'N'),(15,2029170,'2',310,'N'),(15,2029189,'1',501,'N'),(15,2029189,'2',333,'N'),(15,2029200,'1',303,'N'),(15,2029200,'2',5,'N'),(15,2029219,'1',213,'N'),(15,2029219,'1A',216,'N'),(15,2029219,'2',201,'N'),(15,2029235,'1',207,'N'),(15,2029235,'1A',203,'N'),(15,2029235,'2',420,'N'),(15,2029243,'1',216,'N'),(15,2029243,'1A',214,'N'),(15,2029243,'2',333,'N'),(15,2029260,'1',203,'N'),(15,2029260,'1A',207,'N'),(15,2029260,'2',333,'N'),(15,2029278,'1',207,'N'),(15,2029278,'2',420,'N'),(15,2029286,'1',103,'N'),(15,2029286,'2',501,'N'),(15,2029294,'1',211,'N'),(15,2029294,'1A',201,'N'),(15,2029308,'1',5,'N'),(15,2029308,'2',303,'N'),(15,2029316,'1',216,'N'),(15,2029316,'1A',215,'N'),(15,2029316,'2',217,'N'),(15,2029324,'1',301,'N'),(15,2029324,'2',316,'N'),(15,2029332,'1',102,'N'),(15,2029332,'2',9,'N'),(15,2029340,'1',102,'N'),(15,2029340,'2',101,'N'),(15,2029359,'1',339,'N'),(15,2029359,'2',104,'N'),(15,2029367,'1',103,'N'),(15,2029367,'2',202,'N'),(15,2029375,'1',5,'N'),(15,2029375,'2',316,'N'),(15,2029383,'1',103,'N'),(15,2029383,'2',102,'N'),(15,2029391,'1',5,'N'),(15,2029391,'2',201,'N'),(15,2029405,'1',303,'N'),(15,2029405,'2',5,'N'),(15,2029413,'1',103,'N'),(15,2029413,'2',101,'N'),(15,2029421,'1',303,'N'),(15,2029421,'2',301,'N'),(15,2029448,'1',301,'N'),(15,2029448,'2',309,'N'),(15,2029456,'1',104,'N'),(15,2029456,'2',102,'N'),(15,2029464,'1',102,'N'),(15,2029464,'2',103,'N'),(15,2029472,'1',238,'N'),(15,2029472,'1A',208,'N'),(15,2029472,'2',318,'N'),(15,2029480,'1',103,'N'),(15,2029480,'2',203,'N'),(15,2029499,'1',303,'N'),(15,2029499,'2',310,'N'),(15,2029502,'1',304,'N'),(15,2029502,'2',318,'N'),(15,2029510,'1',316,'N'),(15,2029510,'2',301,'N'),(15,2029529,'1',304,'N'),(15,2029529,'2',318,'N'),(15,2029537,'1',216,'N'),(15,2029537,'1A',211,'N'),(15,2029537,'2',2,'N'),(15,2029545,'1',103,'N'),(15,2029545,'2',108,'N'),(15,2029553,'1',316,'N'),(15,2029553,'2',317,'N'),(15,2029561,'1',317,'N'),(15,2029561,'2',429,'N'),(15,2029588,'1',326,'N'),(15,2029588,'2',310,'N'),(15,2029596,'1',309,'N'),(15,2029596,'2',339,'N'),(15,2029600,'1',103,'N'),(15,2029600,'2',309,'N'),(15,2029618,'1',301,'N'),(15,2029618,'2',207,'N'),(15,2029626,'1',103,'N'),(15,2029626,'2',108,'N'),(15,2029634,'1',103,'N'),(15,2029634,'2',216,'N'),(15,2029642,'1',203,'N'),(15,2029642,'1A',202,'N'),(15,2029642,'2',233,'N'),(15,2029650,'1',104,'N'),(15,2029669,'1',303,'N'),(15,2029669,'2',428,'N'),(15,2029677,'1',103,'N'),(15,2029677,'2',420,'N'),(15,2029693,'1',420,'N'),(15,2029693,'2',450,'N'),(15,2029723,'1',203,'N'),(15,2029723,'1A',202,'N'),(15,2029723,'2',223,'N'),(15,2029731,'1',102,'N'),(15,2029731,'2',217,'N'),(15,2029740,'1',103,'N'),(15,2029740,'2',101,'N'),(15,2029758,'1',216,'N'),(15,2029758,'1A',233,'N'),(15,2029758,'2',501,'N'),(15,2029766,'1',207,'N'),(15,2029766,'1A',215,'N'),(15,2029766,'2',429,'N'),(15,2029774,'1',103,'N'),(15,2029774,'2',102,'N'),(15,2029804,'1',303,'N'),(15,2029804,'2',415,'N'),(15,2029820,'1',103,'N'),(15,2029820,'2',9,'N'),(15,2029839,'1',316,'N'),(15,2029839,'2',425,'N'),(15,2029863,'1',211,'N'),(15,2029863,'1A',233,'N'),(15,2029863,'2',404,'N'),(15,2029871,'1',301,'N'),(15,2029871,'2',326,'N'),(15,2029880,'1',201,'N'),(15,2029880,'1A',207,'N'),(15,2029880,'2',319,'N'),(15,2029898,'1',450,'N'),(15,2029898,'2',427,'N'),(15,2029901,'1',238,'N'),(15,2029901,'1A',208,'N'),(15,2029901,'2',5,'N'),(15,2029910,'1',308,'N'),(15,2029910,'2',319,'N'),(15,2029928,'1',102,'N'),(15,2029928,'2',223,'N'),(15,2029936,'1',103,'N'),(15,2029936,'2',450,'N'),(15,2029944,'1',202,'N'),(15,2029944,'1A',203,'N'),(15,2029944,'2',223,'N'),(15,2029952,'1',5,'N'),(15,2029952,'2',208,'N'),(15,2029960,'1',103,'N'),(15,2029960,'2',425,'N'),(15,2029979,'1',103,'N'),(15,2029979,'2',201,'N'),(15,2029987,'1',103,'N'),(15,2029987,'2',308,'N'),(15,2029995,'1',9,'N'),(15,2029995,'2',215,'N'),(15,2030004,'1',415,'N'),(15,2030004,'1A',426,'S'),(15,2030004,'2',328,'N'),(15,2030012,'1',415,'N'),(15,2030012,'2',309,'N'),(15,2030039,'1',317,'N'),(15,2030039,'2',429,'N'),(15,2030047,'1',501,'N'),(15,2030047,'2',213,'N'),(15,2030055,'1',5,'N'),(15,2030055,'2',303,'N'),(15,2030071,'1',202,'N'),(15,2030071,'1A',213,'N'),(15,2030071,'2',222,'N'),(15,2030080,'1',203,'N'),(15,2030080,'1A',201,'N'),(15,2030080,'2',202,'N'),(15,2030098,'1',415,'N'),(15,2030098,'2',451,'N'),(15,2030110,'1',309,'N'),(15,2030110,'2',326,'N'),(15,2030128,'1',316,'N'),(15,2030128,'2',301,'N'),(15,2030144,'1',103,'N'),(15,2030144,'2',208,'N'),(15,2030152,'1',215,'N'),(15,2030152,'1A',201,'N'),(15,2030152,'2',202,'N'),(15,2030160,'1',201,'N'),(15,2030160,'1A',203,'N'),(15,2030160,'2',214,'N'),(15,2030179,'1',303,'N'),(15,2030179,'2',415,'N'),(15,2030187,'1',238,'N'),(15,2030187,'1A',208,'N'),(15,2030187,'2',332,'N'),(15,2030195,'1',450,'N'),(15,2030195,'1A',425,'S'),(15,2030195,'2',415,'N'),(15,2030209,'1',103,'N'),(15,2030209,'2',9,'N'),(15,2030250,'1',415,'N'),(15,2030250,'2',308,'N'),(15,2030276,'1',103,'N'),(15,2030284,'1',103,'N'),(15,2030284,'2',238,'N'),(15,2030292,'1',103,'N'),(15,2030292,'2',303,'N'),(15,2030306,'1',319,'N'),(15,2030306,'2',2,'N'),(15,2030314,'1',220,'N'),(15,2030314,'1A',202,'N'),(15,2030314,'2',310,'N'),(15,2030322,'1',203,'N'),(15,2030322,'1A',214,'N'),(15,2030330,'1',207,'N'),(15,2030330,'1A',201,'N'),(15,2030330,'2',9,'N'),(15,2030349,'1',320,'N'),(15,2030349,'2',310,'N'),(15,2030357,'1',216,'N'),(15,2030365,'1',319,'N'),(15,2030365,'2',424,'N'),(15,2030373,'1',104,'N'),(15,2030373,'2',303,'N'),(15,2030381,'1',211,'N'),(15,2030381,'2',331,'N'),(15,2030390,'1',202,'N'),(15,2030390,'1A',213,'N'),(15,2030390,'2',201,'N'),(15,2030403,'1',103,'N'),(15,2030403,'2',108,'N'),(15,2030420,'1',211,'N'),(15,2030420,'1A',216,'N'),(15,2030420,'2',333,'N'),(15,2030446,'1',102,'N'),(15,2030454,'1',103,'N'),(15,2030454,'2',102,'N'),(15,2030462,'1',333,'N'),(15,2030462,'2',332,'N'),(15,2030470,'1',103,'N'),(15,2030470,'2',104,'N'),(15,2030489,'1',103,'N'),(15,2030489,'2',101,'N'),(15,2030497,'1',331,'N'),(15,2030497,'2',332,'N'),(15,2030519,'1',211,'N'),(15,2030519,'1A',233,'N'),(15,2030519,'2',103,'N'),(15,2030527,'1',5,'N'),(15,2030527,'2',202,'N'),(15,2030535,'1',104,'N'),(15,2030535,'2',324,'N'),(15,2030543,'1',103,'N'),(15,2030543,'2',104,'N'),(15,2030551,'1',103,'N'),(15,2030551,'2',101,'N'),(15,2030560,'1',211,'N'),(15,2030560,'1A',207,'N'),(15,2030560,'2',501,'N'),(15,2030578,'1',415,'N'),(15,2030578,'2',319,'N'),(15,2030586,'1',102,'N'),(15,2030586,'2',317,'N'),(15,2030594,'1',5,'N'),(15,2030594,'2',102,'N'),(15,2030608,'1',208,'N'),(15,2030608,'1A',238,'N'),(15,2030608,'2',316,'N'),(15,2030616,'1',318,'N'),(15,2030616,'2',304,'N'),(15,2030624,'1',212,'N'),(15,2030624,'1A',213,'N'),(15,2030624,'2',304,'N'),(15,2030632,'1',103,'N'),(15,2030632,'2',216,'N'),(15,2030640,'1',303,'N'),(15,2030640,'2',5,'N'),(15,2030659,'1',103,'N'),(15,2030667,'1',108,'N'),(15,2030667,'2',333,'N'),(15,2030683,'1',103,'N'),(15,2030683,'2',104,'N'),(15,2030691,'1',319,'N'),(15,2030691,'2',423,'N'),(15,2030705,'1',215,'N'),(15,2030705,'1A',216,'N'),(15,2030705,'2',201,'N'),(15,2030721,'1',108,'N'),(15,2030721,'2',333,'N'),(15,2030730,'1',208,'N'),(15,2030730,'1A',203,'N'),(15,2030730,'2',420,'N'),(15,2030748,'1',211,'N'),(15,2030748,'2',213,'N'),(15,2030756,'1',103,'N'),(15,2030756,'2',217,'N'),(15,2030764,'1',207,'N'),(15,2030764,'1A',215,'N'),(15,2030764,'2',451,'N'),(15,2030772,'1',215,'N'),(15,2030772,'1A',216,'N'),(15,2030780,'1',103,'N'),(15,2030799,'1',108,'N'),(15,2030799,'2',450,'N'),(15,2030810,'1',5,'N'),(15,2030810,'2',421,'N'),(15,2030829,'1',203,'N'),(15,2030829,'1A',214,'N'),(15,2030829,'2',202,'N'),(15,2030845,'1',333,'N'),(15,2030845,'2',502,'N'),(15,2030853,'1',103,'N'),(15,2030853,'2',9,'N'),(15,2030861,'1',220,'N'),(15,2030861,'1A',213,'N'),(15,2030861,'2',233,'N'),(15,2030870,'1',103,'N'),(15,2030870,'2',108,'N'),(15,2030888,'1',220,'N'),(15,2030888,'1A',212,'N'),(15,2030900,'1',103,'N'),(15,2030900,'2',303,'N'),(15,2030918,'1',429,'N'),(15,2030918,'1A',425,'N'),(15,2030918,'2',319,'N'),(15,2030926,'1',420,'N'),(15,2030926,'1A',429,'S'),(15,2030926,'2',450,'N'),(15,2030934,'1',215,'N'),(15,2030934,'1A',216,'N'),(15,2030934,'2',202,'N'),(15,2030942,'1',2,'N'),(15,2030942,'2',222,'N'),(15,2030950,'1',103,'N'),(15,2030950,'2',9,'N'),(15,2030969,'1',317,'N'),(15,2030969,'2',316,'N'),(15,2030977,'1',201,'N'),(15,2030977,'2',207,'N'),(15,2030993,'1',103,'N'),(15,2031000,'1',103,'N'),(15,2031000,'2',108,'N'),(15,2031027,'1',103,'N'),(15,2031027,'2',102,'N'),(15,2031035,'1',103,'N'),(15,2031043,'1',316,'N'),(15,2031043,'2',301,'N'),(15,2031078,'1',103,'N'),(15,2031078,'2',101,'N'),(15,2031086,'1',103,'N'),(15,2031108,'1',214,'N'),(15,2031108,'1A',212,'N'),(15,2031108,'2',201,'N'),(15,2031116,'1',203,'N'),(15,2031116,'1A',220,'N'),(15,2031116,'2',216,'N'),(15,2031124,'1',502,'N'),(15,2031124,'2',424,'N'),(15,2031132,'1',318,'N'),(15,2031132,'2',304,'N'),(15,2031140,'1',102,'N'),(15,2031140,'2',301,'N'),(15,2031159,'1',316,'N'),(15,2031159,'2',220,'N'),(15,2031167,'1',203,'N'),(15,2031167,'1A',202,'N'),(15,2031167,'2',2,'N'),(15,2031183,'1',103,'N'),(15,2031183,'2',9,'N'),(15,2031191,'1',339,'N'),(15,2031191,'2',423,'N'),(15,2031205,'1',103,'N'),(15,2031205,'2',104,'N'),(15,2031213,'1',103,'N'),(15,2031213,'2',102,'N'),(15,2031221,'1',103,'N'),(15,2031230,'1',207,'N'),(15,2031230,'1A',201,'N'),(15,2031230,'2',424,'N'),(15,2031248,'1',319,'N'),(15,2031248,'2',309,'N'),(15,2031256,'1',102,'N'),(15,2031256,'2',217,'N'),(15,2031264,'1',103,'N'),(15,2031264,'2',319,'N'),(15,2031272,'1',303,'N'),(15,2031272,'2',5,'N'),(15,2031302,'1',415,'N'),(15,2031302,'2',450,'N'),(15,2031329,'1',303,'N'),(15,2031329,'2',5,'N'),(15,2031337,'1',202,'N'),(15,2031337,'1A',203,'N'),(15,2031337,'2',201,'N'),(15,2031345,'1',203,'N'),(15,2031345,'1A',202,'N'),(15,2031345,'2',319,'N'),(15,2031353,'1',108,'N'),(15,2031353,'2',215,'N'),(15,2031361,'1',220,'N'),(15,2031361,'1A',214,'N'),(15,2031361,'2',233,'N'),(15,2031370,'1',104,'N'),(15,2031370,'2',404,'N'),(15,2031388,'1',103,'N'),(15,2031388,'2',225,'N'),(15,2031396,'1',303,'N'),(15,2031396,'2',207,'N'),(15,2031400,'1',420,'N'),(15,2031400,'1A',426,'S'),(15,2031400,'2',9,'N'),(15,2031418,'1',104,'N'),(15,2031418,'2',203,'N'),(15,2031426,'1',207,'N'),(15,2031426,'2',9,'N'),(15,2031434,'1',203,'N'),(15,2031434,'1A',214,'N'),(15,2031434,'2',233,'N'),(15,2031442,'1',202,'N'),(15,2031442,'1A',208,'N'),(15,2031442,'2',222,'N'),(15,2031450,'1',108,'N'),(15,2031450,'2',333,'N'),(15,2031469,'1',101,'N'),(15,2031469,'2',429,'N'),(15,2031477,'1',214,'N'),(15,2031477,'1A',211,'N'),(15,2031477,'2',317,'N'),(15,2031485,'1',103,'N'),(15,2031485,'2',319,'N'),(15,2031493,'1',451,'N'),(15,2031493,'1A',423,'S'),(15,2031493,'2',331,'N'),(15,2031507,'1',220,'N'),(15,2031507,'1A',203,'N'),(15,2031507,'2',202,'N'),(15,2031515,'1',238,'N'),(15,2031515,'1A',208,'N'),(15,2031515,'2',332,'N'),(15,2031531,'1',425,'N'),(15,2031531,'1A',428,'N'),(15,2031531,'2',224,'N'),(15,2031558,'1',327,'N'),(15,2031558,'2',329,'N'),(15,2031566,'1',404,'N'),(15,2031566,'2',224,'N'),(15,2031582,'1',303,'N'),(15,2031582,'2',5,'N'),(15,2031590,'1',225,'N'),(15,2031590,'2',216,'N'),(15,2031604,'1',333,'N'),(15,2031604,'2',9,'N'),(15,2031612,'1',331,'N'),(15,2031612,'2',326,'N'),(15,2031620,'1',216,'N'),(15,2031620,'1A',214,'N'),(15,2031647,'1',429,'N'),(15,2031647,'1A',425,'N'),(15,2031655,'1',326,'N'),(15,2031655,'2',327,'N'),(15,2031663,'1',5,'N'),(15,2031663,'2',238,'N'),(15,2031671,'1',103,'N'),(15,2031671,'2',102,'N'),(15,2031680,'1',103,'N'),(15,2031701,'1',309,'N'),(15,2031701,'2',331,'N'),(15,2031710,'1',213,'N'),(15,2031710,'1A',202,'N'),(15,2031710,'2',222,'N'),(15,2031728,'1',501,'N'),(15,2031728,'2',333,'N'),(15,2031736,'1',103,'N'),(15,2031736,'2',104,'N'),(15,2031752,'1',207,'N'),(15,2031752,'2',420,'N'),(15,2031760,'1',501,'N'),(15,2031760,'2',211,'N'),(15,2031779,'1',420,'N'),(15,2031779,'1A',425,'S'),(15,2031779,'2',208,'N'),(15,2031787,'1',102,'N'),(15,2031787,'2',216,'N'),(15,2031809,'1',415,'N'),(15,2031809,'2',426,'N'),(15,2031817,'1',5,'N'),(15,2031817,'2',238,'N'),(15,2031833,'1',104,'N'),(15,2031833,'2',103,'N'),(15,2031841,'1',327,'N'),(15,2031841,'2',326,'N'),(15,2031850,'1',404,'N'),(15,2031850,'2',320,'N'),(15,2031868,'1',208,'N'),(15,2031868,'1A',207,'N'),(15,2031868,'2',224,'N'),(15,2031876,'1',207,'N'),(15,2031876,'1A',201,'N'),(15,2031876,'2',415,'N'),(15,2031884,'1',207,'N'),(15,2031884,'2',333,'N'),(15,2031892,'1',9,'N'),(15,2031892,'2',102,'N'),(15,2031914,'1',404,'N'),(15,2031914,'2',333,'N'),(15,2031922,'1',101,'N'),(15,2031922,'2',339,'N'),(15,2031930,'1',324,'N'),(15,2031930,'2',301,'N'),(15,2031949,'1',303,'N'),(15,2031949,'2',203,'N'),(15,2031957,'1',420,'N'),(15,2031957,'1A',423,'S'),(15,2031957,'2',301,'N'),(15,2031973,'1',326,'N'),(15,2031973,'2',327,'N'),(15,2031981,'1',327,'N'),(15,2031981,'2',415,'N'),(15,2031990,'1',103,'N'),(15,2031990,'2',203,'N'),(15,2032015,'1',450,'N'),(15,2032015,'1A',424,'S'),(15,2032015,'2',415,'N'),(15,2032031,'1',103,'N'),(15,2032031,'2',101,'N'),(15,2032040,'1',5,'N'),(15,2032040,'2',224,'N'),(15,2032058,'1',429,'N'),(15,2032058,'1A',421,'N'),(15,2032058,'2',427,'N'),(15,2032066,'1',303,'N'),(15,2032066,'2',428,'N'),(15,2032074,'1',238,'N'),(15,2032074,'2',2,'N'),(15,2032082,'1',333,'N'),(15,2032082,'2',427,'N'),(15,2032104,'1',223,'N'),(15,2032104,'2',201,'N'),(15,2032139,'1',201,'N'),(15,2032139,'1A',214,'N'),(15,2032139,'2',212,'N'),(15,2032147,'1',202,'N'),(15,2032147,'1A',201,'N'),(15,2032147,'2',207,'N'),(15,2032155,'1',318,'N'),(15,2032155,'2',317,'N'),(15,2032163,'1',333,'N'),(15,2032163,'2',404,'N'),(15,2032180,'1',318,'N'),(15,2032180,'2',224,'N'),(15,2032198,'1',103,'N'),(15,2032201,'1',104,'N'),(15,2032201,'2',426,'N'),(15,2032210,'1',102,'N'),(15,2032210,'2',404,'N'),(15,2032228,'1',9,'N'),(15,2032228,'2',502,'N'),(15,2032236,'1',303,'N'),(15,2032236,'2',326,'N'),(15,2032244,'1',9,'N'),(15,2032244,'2',215,'N'),(15,2032252,'1',502,'N'),(15,2032252,'2',5,'N'),(15,2032260,'1',333,'N'),(15,2032260,'2',217,'N'),(15,2032279,'1',214,'N'),(15,2032279,'1A',212,'N'),(15,2032279,'2',213,'N'),(15,2032287,'1',103,'N'),(15,2032287,'2',108,'N'),(15,2032295,'1',415,'N'),(15,2032295,'2',451,'N'),(15,2032309,'1',103,'N'),(15,2032309,'2',102,'N'),(15,2032317,'1',211,'N'),(15,2032317,'1A',220,'N'),(15,2032317,'2',501,'N'),(15,2032325,'1',215,'N'),(15,2032325,'1A',233,'N'),(15,2032325,'2',104,'N'),(15,2032333,'1',415,'N'),(15,2032333,'2',339,'N'),(15,2032350,'1',420,'N'),(15,2032350,'2',444,'N'),(15,2032368,'1',201,'N'),(15,2032368,'1A',207,'N'),(15,2032392,'1',404,'N'),(15,2032392,'2',423,'N'),(15,2032406,'1',103,'N'),(15,2032406,'2',104,'N'),(15,2032422,'1',216,'N'),(15,2032422,'1A',233,'N'),(15,2032422,'2',9,'N'),(15,2032457,'1',318,'N'),(15,2032457,'2',316,'N'),(15,2032465,'1',316,'N'),(15,2032465,'2',301,'N'),(15,2032473,'1',103,'N'),(15,2032473,'2',101,'N'),(15,2032490,'1',301,'N'),(15,2032490,'2',316,'N'),(15,2032520,'1',211,'N'),(15,2032520,'1A',216,'N'),(15,2032520,'2',324,'N'),(15,2032538,'1',333,'N'),(15,2032538,'2',444,'N'),(15,2032546,'1',103,'N'),(15,2032546,'2',108,'N'),(15,2032554,'1',201,'N'),(15,2032554,'1A',212,'N'),(15,2032554,'2',222,'N'),(15,2032562,'1',302,'N'),(15,2032562,'2',317,'N'),(15,2032570,'1',104,'N'),(15,2032570,'2',333,'N'),(15,2032589,'1',214,'N'),(15,2032589,'1A',211,'N'),(15,2032589,'2',212,'N'),(15,2032597,'1',211,'N'),(15,2032597,'1A',233,'N'),(15,2032597,'2',103,'N'),(15,2032600,'1',103,'N'),(15,2032600,'2',101,'N'),(15,2032627,'1',317,'N'),(15,2032627,'2',318,'N'),(15,2032635,'1',103,'N'),(15,2032643,'1',207,'N'),(15,2032643,'1A',201,'N'),(15,2032643,'2',420,'N'),(15,2032651,'1',9,'N'),(15,2032651,'2',308,'N'),(15,2032660,'1',5,'N'),(15,2032660,'2',316,'N'),(15,2032678,'1',103,'N'),(15,2032678,'2',326,'N'),(15,2032686,'1',211,'N'),(15,2032686,'1A',201,'N'),(15,2032686,'2',333,'N'),(15,2032694,'1',333,'N'),(15,2032694,'2',501,'N'),(15,2032708,'1',233,'N'),(15,2032708,'1A',201,'N'),(15,2032708,'2',444,'N'),(15,2032724,'1',333,'N'),(15,2032724,'2',234,'N'),(15,2032732,'1',333,'N'),(15,2032732,'2',502,'N'),(15,2032740,'1',318,'N'),(15,2032740,'2',316,'N'),(15,2032759,'1',207,'N'),(15,2032759,'1A',201,'N'),(15,2032759,'2',420,'N'),(15,2032767,'1',103,'N'),(15,2032767,'2',451,'N'),(15,2032775,'1',104,'N'),(15,2032783,'1',203,'N'),(15,2032783,'1A',233,'N'),(15,2032783,'2',2,'N'),(15,2032791,'1',103,'N'),(15,2032791,'2',104,'N'),(15,2032805,'1',319,'N'),(15,2032805,'2',328,'N'),(15,2032813,'1',303,'N'),(15,2032813,'2',223,'N'),(15,2032821,'1',316,'N'),(15,2032821,'2',301,'N'),(15,2032830,'1',103,'N'),(15,2032830,'2',102,'N'),(15,2032848,'1',415,'N'),(15,2032848,'2',333,'N'),(15,2032856,'1',303,'N'),(15,2032856,'2',220,'N'),(15,2032864,'1',420,'N'),(15,2032864,'1A',424,'S'),(15,2032864,'2',202,'N'),(15,2032872,'1',208,'N'),(15,2032872,'1A',213,'N'),(15,2032872,'2',2,'N'),(15,2032880,'1',211,'N'),(15,2032880,'1A',207,'N'),(15,2032880,'2',108,'N'),(15,2032899,'1',212,'N'),(15,2032899,'1A',220,'N'),(15,2032899,'2',201,'N'),(15,2032902,'1',101,'N'),(15,2032902,'2',308,'N'),(15,2032910,'1',318,'N'),(15,2032910,'2',212,'N'),(15,2032929,'1',501,'N'),(15,2032929,'2',502,'N'),(15,2032937,'1',316,'N'),(15,2032937,'2',425,'N'),(15,2032945,'1',301,'N'),(15,2032945,'2',444,'N'),(15,2032953,'1',103,'N'),(15,2032953,'2',104,'N'),(15,2032961,'1',5,'N'),(15,2032961,'2',428,'N'),(15,2032970,'1',212,'N'),(15,2032996,'1',423,'N'),(15,2033003,'1',332,'N'),(15,2033003,'2',424,'N'),(15,2033011,'1',223,'N'),(15,2033011,'2',217,'N'),(15,2033020,'1',501,'N'),(15,2033020,'2',317,'N'),(15,2033038,'1',103,'N'),(15,2033038,'2',303,'N'),(15,2033054,'1',404,'N'),(15,2033054,'2',223,'N'),(15,2033062,'1',103,'N'),(15,2033062,'2',303,'N'),(15,2033070,'1',101,'N'),(15,2033070,'2',427,'N'),(15,2033089,'1',301,'N'),(15,2033089,'2',215,'N'),(15,2033097,'1',429,'N'),(15,2033097,'1A',421,'N'),(15,2033097,'2',423,'N'),(15,2033100,'1',302,'N'),(15,2033100,'2',223,'N'),(15,2033119,'1',332,'N'),(15,2033119,'2',426,'N'),(15,2033127,'1',103,'N'),(15,2033127,'2',102,'N'),(15,2033135,'1',103,'N'),(15,2033135,'2',104,'N'),(15,2033143,'1',103,'N'),(15,2033143,'2',9,'N'),(15,2033151,'1',5,'N'),(15,2033151,'2',316,'N'),(15,2033160,'1',103,'N'),(15,2033160,'2',319,'N'),(15,2033186,'1',104,'N'),(15,2033186,'2',102,'N'),(15,2033194,'1',103,'N'),(15,2033194,'2',451,'N'),(15,2033208,'1',339,'N'),(15,2033208,'2',320,'N'),(15,2033216,'1',103,'N'),(15,2033216,'2',108,'N'),(15,2033224,'1',234,'N'),(15,2033224,'2',333,'N'),(15,2033240,'1',444,'N'),(15,2033240,'2',502,'N'),(15,2033259,'1',9,'N'),(15,2033259,'2',215,'N'),(15,2033291,'1',427,'N'),(15,2033291,'2',424,'N'),(15,2033305,'1',224,'N'),(15,2033305,'2',222,'N'),(15,2033313,'1',103,'N'),(15,2033313,'2',216,'N'),(15,2033348,'1',203,'N'),(15,2033348,'1A',214,'N'),(15,2033348,'2',216,'N'),(15,2033372,'1',319,'N'),(15,2033372,'2',329,'N'),(15,2033399,'1',207,'N'),(15,2033399,'2',333,'N'),(15,2033402,'1',108,'N'),(15,2033402,'2',424,'N'),(15,2033429,'1',103,'N'),(15,2033437,'1',5,'N'),(15,2033437,'2',316,'N'),(15,2033445,'1',317,'N'),(15,2033453,'1',303,'N'),(15,2033453,'2',5,'N'),(15,2033461,'1',420,'N'),(15,2033461,'2',328,'N'),(15,2033470,'1',202,'N'),(15,2033470,'1A',213,'N'),(15,2033470,'2',225,'N'),(15,2033488,'1',217,'N'),(15,2033488,'2',215,'N'),(15,2033500,'1',316,'N'),(15,2033500,'2',425,'N'),(15,2033518,'1',207,'N'),(15,2033518,'1A',201,'N'),(15,2033518,'2',420,'N'),(15,2033526,'1',103,'N'),(15,2033526,'2',101,'N'),(15,2033534,'1',103,'N'),(15,2033534,'2',216,'N'),(15,2033542,'1',238,'N'),(15,2033542,'1A',208,'N'),(15,2033542,'2',224,'N'),(15,2033550,'1',103,'N'),(15,2033550,'2',319,'N'),(15,2033585,'1',203,'N'),(15,2033585,'1A',214,'N'),(15,2033585,'2',316,'N'),(15,2033607,'1',211,'N'),(15,2033607,'1A',207,'N'),(15,2033607,'2',5,'N'),(15,2033615,'1',444,'N'),(15,2033615,'2',108,'N'),(15,2033623,'1',502,'N'),(15,2033623,'2',501,'N'),(15,2033631,'1',319,'N'),(15,2033631,'2',309,'N'),(15,2033640,'1',203,'N'),(15,2033640,'1A',220,'N'),(15,2033640,'2',214,'N'),(15,2033658,'1',220,'N'),(15,2033658,'1A',202,'N'),(15,2033658,'2',203,'N'),(15,2033666,'1',304,'N'),(15,2033666,'2',303,'N'),(15,2033674,'1',444,'N'),(15,2033674,'2',101,'N'),(15,2033682,'1',319,'N'),(15,2033682,'2',425,'N'),(15,2033704,'1',207,'N'),(15,2033704,'1A',201,'N'),(15,2033704,'2',420,'N'),(15,2033712,'1',329,'N'),(15,2033712,'2',425,'N'),(15,2033720,'1',207,'N'),(15,2033720,'1A',201,'N'),(15,2033720,'2',327,'N'),(15,2033739,'1',103,'N'),(15,2033739,'2',108,'N'),(15,2033755,'1',214,'N'),(15,2033755,'1A',213,'N'),(15,2033755,'2',212,'N'),(15,2033771,'1',415,'N'),(15,2033771,'2',327,'N'),(15,2033780,'1',220,'N'),(15,2033780,'1A',202,'N'),(15,2033780,'2',203,'N'),(15,2033798,'1',302,'N'),(15,2033798,'2',223,'N'),(15,2033801,'1',216,'N'),(15,2033801,'1A',220,'N'),(15,2033801,'2',203,'N'),(15,2033828,'1',428,'N'),(15,2033828,'1A',425,'N'),(15,2033828,'2',420,'N'),(15,2033844,'1',103,'N'),(15,2033844,'2',102,'N'),(15,2033852,'1',319,'N'),(15,2033852,'2',308,'N'),(15,2033860,'1',444,'N'),(15,2033860,'2',9,'N'),(15,2033879,'1',203,'N'),(15,2033879,'1A',202,'N'),(15,2033879,'2',223,'N'),(15,2033887,'1',220,'N'),(15,2033887,'1A',233,'N'),(15,2033887,'2',216,'N'),(15,2033895,'1',103,'N'),(15,2033895,'2',104,'N'),(15,2033909,'1',220,'N'),(15,2033925,'1',220,'N'),(15,2033925,'1A',208,'N'),(15,2033925,'2',202,'N'),(15,2033941,'1',201,'N'),(15,2033941,'2',404,'N'),(15,2033950,'1',203,'N'),(15,2033950,'1A',201,'N'),(15,2033968,'1',220,'N'),(15,2033968,'1A',203,'N'),(15,2033968,'2',202,'N'),(15,2033984,'1',201,'N'),(15,2033984,'1A',212,'N'),(15,2033984,'2',233,'N'),(15,2033992,'1',319,'N'),(15,2033992,'2',333,'N'),(15,2034000,'1',202,'N'),(15,2034000,'1A',203,'N'),(15,2034000,'2',213,'N'),(15,2034018,'1',104,'N'),(15,2034018,'2',102,'N'),(15,2034026,'1',102,'N'),(15,2034026,'2',339,'N'),(15,2034042,'1',415,'N'),(15,2034042,'1A',428,'S'),(15,2034042,'2',212,'N'),(15,2034050,'1',103,'N'),(15,2034050,'2',9,'N'),(15,2034069,'1',202,'N'),(15,2034069,'1A',216,'N'),(15,2034069,'2',318,'N'),(15,2034077,'1',308,'N'),(15,2034077,'2',309,'N'),(15,2034085,'1',319,'N'),(15,2034085,'2',333,'N'),(15,2034093,'1',415,'N'),(15,2034093,'2',451,'N'),(15,2034107,'1',108,'N'),(15,2034107,'2',324,'N'),(15,2034123,'1',211,'N'),(15,2034123,'2',316,'N'),(15,2034131,'1',202,'N'),(15,2034131,'1A',213,'N'),(15,2034131,'2',103,'N'),(15,2034140,'1',215,'N'),(15,2034140,'1A',201,'N'),(15,2034140,'2',217,'N'),(15,2034158,'1',102,'N'),(15,2034158,'2',217,'N'),(15,2034166,'1',103,'N'),(15,2034166,'2',104,'N'),(15,2034182,'1',216,'N'),(15,2034182,'1A',203,'N'),(15,2034182,'2',208,'N'),(15,2034190,'1',202,'N'),(15,2034190,'1A',213,'N'),(15,2034190,'2',304,'N'),(15,2034204,'1',203,'N'),(15,2034204,'1A',214,'N'),(15,2034204,'2',220,'N'),(15,2034212,'1',220,'N'),(15,2034212,'1A',203,'N'),(15,2034212,'2',202,'N'),(15,2034239,'1',207,'N'),(15,2034239,'2',420,'N'),(15,2034247,'1',103,'N'),(15,2034247,'2',108,'N'),(15,2034255,'1',333,'N'),(15,2034255,'2',108,'N'),(15,2034263,'1',101,'N'),(15,2034263,'2',102,'N'),(15,2034271,'1',207,'N'),(15,2034271,'1A',201,'N'),(15,2034271,'2',424,'N'),(15,2034298,'1',207,'N'),(15,2034298,'1A',201,'N'),(15,2034328,'1',101,'N'),(15,2034328,'2',324,'N'),(15,2034336,'1',214,'N'),(15,2034336,'1A',203,'N'),(15,2034336,'2',208,'N'),(15,2034344,'1',201,'N'),(15,2034344,'1A',216,'N'),(15,2034344,'2',223,'N'),(15,2034352,'1',103,'N'),(15,2034352,'2',108,'N'),(15,2034360,'1',5,'N'),(15,2034360,'2',429,'N'),(15,2034379,'1',328,'N'),(15,2034379,'2',329,'N'),(15,2034387,'1',451,'N'),(15,2034387,'2',320,'N'),(15,2034395,'1',316,'N'),(15,2034395,'2',238,'N'),(15,2034417,'1',319,'N'),(15,2034417,'2',326,'N'),(15,2034425,'1',425,'N'),(15,2034425,'1A',429,'N'),(15,2034433,'1',308,'N'),(15,2034433,'2',309,'N'),(15,2034441,'1',238,'N'),(15,2034441,'1A',208,'N'),(15,2034441,'2',213,'N'),(15,2034450,'1',333,'N'),(15,2034450,'2',108,'N'),(15,2034468,'1',214,'N'),(15,2034468,'1A',203,'N'),(15,2034468,'2',220,'N'),(15,2034476,'1',208,'N'),(15,2034476,'2',316,'N'),(15,2034484,'1',5,'N'),(15,2034484,'2',421,'N'),(15,2034492,'1',103,'N'),(15,2034492,'2',104,'N'),(15,2034506,'1',316,'N'),(15,2034506,'2',317,'N'),(15,2034514,'1',203,'N'),(15,2034514,'2',207,'N'),(15,2034522,'1',415,'N'),(15,2034522,'1A',426,'S'),(15,2034522,'2',5,'N'),(15,2034530,'1',217,'N'),(15,2034530,'2',216,'N'),(15,2034557,'1',214,'N'),(15,2034557,'1A',212,'N'),(15,2034557,'2',233,'N'),(15,2034573,'1',225,'N'),(15,2034573,'2',2,'N'),(15,2034590,'1',103,'N'),(15,2034590,'2',104,'N'),(15,2034638,'1',238,'N'),(15,2034638,'1A',211,'N'),(15,2034638,'2',104,'N'),(15,2034646,'1',103,'N'),(15,2034662,'1',2,'N'),(15,2034662,'2',225,'N'),(15,2034670,'1',103,'N'),(15,2034670,'2',215,'N'),(15,2034689,'1',104,'N'),(15,2034689,'2',326,'N'),(15,2034700,'1',101,'N'),(15,2034700,'2',339,'N'),(15,2034719,'1',103,'N'),(15,2034727,'1',103,'N'),(15,2034727,'2',102,'N'),(15,2034735,'1',103,'N'),(15,2034735,'2',9,'N'),(15,2034743,'1',326,'N'),(15,2034743,'2',332,'N'),(15,2034751,'1',201,'N'),(15,2034751,'1A',212,'N'),(15,2034751,'2',233,'N'),(15,2034778,'1',216,'N'),(15,2034778,'1A',212,'N'),(15,2034778,'2',103,'N'),(15,2034786,'1',451,'N'),(15,2034786,'1A',426,'S'),(15,2034786,'2',327,'N'),(15,2034794,'1',217,'N'),(15,2034794,'2',310,'N'),(15,2034824,'1',103,'N'),(15,2034824,'2',104,'N'),(15,2034832,'1',103,'N'),(15,2034840,'1',102,'N'),(15,2034840,'2',5,'N'),(15,2034859,'1',302,'N'),(15,2034859,'2',304,'N'),(15,2034867,'1',303,'N'),(15,2034867,'2',104,'N'),(15,2034875,'1',202,'N'),(15,2034875,'1A',214,'N'),(15,2034875,'2',211,'N'),(15,2034883,'1',302,'N'),(15,2034883,'2',308,'N'),(15,2034921,'1',103,'N'),(15,2034921,'2',203,'N'),(15,2034930,'1',103,'N'),(15,2034948,'1',304,'N'),(15,2034948,'2',318,'N'),(15,2034964,'1',303,'N'),(15,2034964,'2',421,'N'),(15,2034999,'1',103,'N'),(15,2034999,'2',102,'N'),(15,2035006,'1',5,'N'),(15,2035006,'2',303,'N'),(15,2035014,'1',415,'N'),(15,2035014,'1A',428,'S'),(15,2035014,'2',450,'N'),(15,2035022,'1',104,'N'),(15,2035022,'2',9,'N'),(15,2035049,'1',103,'N'),(15,2035057,'1',103,'N'),(15,2035057,'2',9,'N'),(15,2035065,'1',420,'N'),(15,2035065,'1A',426,'S'),(15,2035065,'2',450,'N'),(15,2035073,'1',9,'N'),(15,2035073,'2',429,'N'),(15,2035081,'1',5,'N'),(15,2035081,'2',424,'N'),(15,2035090,'1',333,'N'),(15,2035090,'2',304,'N'),(15,2035103,'1',450,'N'),(15,2035103,'2',420,'N'),(15,2035120,'1',201,'N'),(15,2035120,'1A',211,'N'),(15,2035120,'2',212,'N'),(15,2035138,'1',104,'N'),(15,2035138,'2',502,'N'),(15,2035146,'1',225,'N'),(15,2035146,'2',2,'N'),(15,2035154,'1',420,'N'),(15,2035154,'1A',429,'S'),(15,2035154,'2',238,'N'),(15,2035162,'1',331,'N'),(15,2035162,'2',332,'N'),(15,2035170,'1',415,'N'),(15,2035170,'2',426,'N'),(15,2035197,'1',202,'N'),(15,2035197,'1A',212,'N'),(15,2035197,'2',201,'N'),(15,2035200,'1',208,'N'),(15,2035200,'1A',233,'N'),(15,2035200,'2',303,'N'),(15,2035219,'1',203,'N'),(15,2035219,'1A',214,'N'),(15,2035219,'2',208,'N'),(15,2035227,'1',451,'N'),(15,2035227,'1A',429,'S'),(15,2035227,'2',208,'N'),(15,2035235,'1',450,'N'),(15,2035235,'2',451,'N'),(15,2035251,'1',333,'N'),(15,2035251,'2',316,'N'),(15,2035260,'1',303,'N'),(15,2035260,'2',216,'N'),(15,2035278,'1',424,'N'),(15,2035278,'1A',425,'N'),(15,2035278,'2',450,'N'),(15,2035286,'1',238,'N'),(15,2035286,'1A',208,'N'),(15,2035286,'2',217,'N'),(15,2035294,'1',103,'N'),(15,2035308,'1',102,'N'),(15,2035308,'2',217,'N'),(15,2035316,'1',203,'N'),(15,2035324,'1',216,'N'),(15,2035324,'1A',203,'N'),(15,2035324,'2',501,'N'),(15,2035332,'1',444,'N'),(15,2035332,'2',101,'N'),(15,2035340,'1',415,'N'),(15,2035359,'1',103,'N'),(15,2035359,'2',319,'N'),(15,2035367,'1',429,'N'),(15,2035367,'2',318,'N'),(15,2035375,'1',201,'N'),(15,2035375,'1A',233,'N'),(15,2035375,'2',222,'N'),(15,2035391,'1',5,'N'),(15,2035391,'2',444,'N'),(15,2035405,'1',223,'N'),(15,2035413,'1',103,'N'),(15,2035413,'2',211,'N'),(15,2035421,'1',207,'N'),(15,2035421,'1A',201,'N'),(15,2035421,'2',420,'N'),(15,2035456,'1',9,'N'),(15,2035456,'2',331,'N'),(15,2035472,'1',103,'N'),(15,2035472,'2',316,'N'),(15,2035480,'1',103,'N'),(15,2035480,'2',211,'N'),(15,2035499,'1',103,'N'),(15,2035499,'2',319,'N'),(15,2035502,'1',404,'N'),(15,2035502,'2',324,'N'),(15,2035510,'1',202,'N'),(15,2035510,'1A',220,'N'),(15,2035510,'2',201,'N'),(15,2035529,'1',428,'N'),(15,2035529,'1A',425,'N'),(15,2035529,'2',426,'N'),(15,2035537,'1',103,'N'),(15,2035537,'2',216,'N'),(15,2035545,'1',103,'N'),(15,2035545,'2',316,'N'),(15,2035553,'1',303,'N'),(15,2035553,'2',304,'N'),(15,2035561,'1',104,'N'),(15,2035561,'2',2,'N'),(15,2035570,'1',420,'N'),(15,2035570,'2',415,'N'),(15,2035588,'1',5,'N'),(15,2035588,'2',316,'N'),(15,2035596,'1',319,'N'),(15,2035596,'2',9,'N'),(15,2035600,'1',450,'N'),(15,2035600,'1A',427,'S'),(15,2035600,'2',429,'N'),(15,2035618,'1',108,'N'),(15,2035618,'2',423,'N'),(15,2035626,'1',201,'N'),(15,2035626,'1A',208,'N'),(15,2035626,'2',317,'N'),(15,2035650,'1',211,'N'),(15,2035650,'1A',208,'N'),(15,2035650,'2',102,'N'),(15,2035669,'1',225,'N'),(15,2035669,'2',223,'N'),(15,2035685,'1',208,'N'),(15,2035685,'1A',238,'N'),(15,2035685,'2',319,'N'),(15,2035693,'1',225,'N'),(15,2035693,'2',217,'N'),(15,2035707,'1',211,'N'),(15,2035707,'1A',215,'N'),(15,2035707,'2',333,'N'),(15,2035715,'1',420,'N'),(15,2035715,'1A',425,'S'),(15,2035715,'2',9,'N'),(15,2035723,'1',208,'N'),(15,2035723,'2',222,'N'),(15,2035740,'1',308,'N'),(15,2035740,'2',101,'N'),(15,2035766,'1',502,'N'),(15,2035774,'1',303,'N'),(15,2035774,'2',5,'N'),(15,2035782,'1',108,'N'),(15,2035782,'2',444,'N'),(15,2035790,'1',202,'N'),(15,2035790,'1A',208,'N'),(15,2035812,'1',320,'N'),(15,2035812,'2',327,'N'),(15,2035820,'1',103,'N'),(15,2035820,'2',108,'N'),(15,2035839,'1',103,'N'),(15,2035839,'2',303,'N'),(15,2035847,'1',301,'N'),(15,2035847,'2',501,'N'),(15,2035855,'1',319,'N'),(15,2035855,'2',339,'N'),(15,2035863,'1',203,'N'),(15,2035863,'1A',202,'N'),(15,2035863,'2',201,'N'),(15,2035871,'1',108,'N'),(15,2035871,'2',102,'N'),(15,2035880,'1',202,'N'),(15,2035880,'1A',220,'N'),(15,2035880,'2',214,'N'),(15,2035898,'1',316,'N'),(15,2035898,'2',425,'N'),(15,2035936,'1',9,'N'),(15,2035936,'2',215,'N'),(15,2035944,'1',309,'N'),(15,2035944,'2',339,'N'),(15,2035952,'1',5,'N'),(15,2035952,'2',303,'N'),(15,2035960,'1',102,'N'),(15,2035960,'2',217,'N'),(15,2035979,'1',415,'N'),(15,2035979,'2',420,'N'),(15,2035987,'1',220,'N'),(15,2035987,'1A',203,'N'),(15,2035995,'1',203,'N'),(15,2035995,'2',214,'N'),(15,2036010,'1',450,'N'),(15,2036010,'2',451,'N'),(15,2036029,'1',203,'N'),(15,2036029,'1A',214,'N'),(15,2036029,'2',225,'N'),(15,2036037,'1',103,'N'),(15,2036037,'2',101,'N'),(15,2036061,'1',238,'N'),(15,2036061,'1A',202,'N'),(15,2036061,'2',324,'N'),(15,2036088,'1',302,'N'),(15,2036088,'2',333,'N'),(15,2036100,'1',102,'N'),(15,2036100,'2',332,'N'),(15,2036126,'1',103,'N'),(15,2036142,'1',318,'N'),(15,2036142,'2',332,'N'),(15,2036150,'1',502,'N'),(15,2036150,'2',501,'N'),(15,2036169,'1',326,'N'),(15,2036169,'2',327,'N'),(15,2036185,'1',333,'N'),(15,2036185,'2',108,'N'),(15,2036193,'1',103,'N'),(15,2036207,'1',308,'N'),(15,2036207,'2',333,'N'),(15,2036215,'1',317,'N'),(15,2036215,'2',318,'N'),(15,2036223,'1',103,'N'),(15,2036223,'2',214,'N'),(15,2036231,'1',103,'N'),(15,2036231,'2',101,'N'),(15,2036240,'1',451,'N'),(15,2036240,'2',450,'N'),(15,2036258,'1',203,'N'),(15,2036266,'1',220,'N'),(15,2036266,'1A',203,'N'),(15,2036266,'2',444,'N'),(15,2036274,'1',303,'N'),(15,2036274,'2',310,'N'),(15,2036282,'1',211,'N'),(15,2036282,'1A',207,'N'),(15,2036282,'2',9,'N'),(15,2036304,'1',450,'N'),(15,2036304,'1A',423,'S'),(15,2036304,'2',451,'N'),(15,2036312,'1',103,'N'),(15,2036312,'2',101,'N'),(15,2036320,'1',329,'N'),(15,2036320,'2',328,'N'),(15,2036339,'1',224,'N'),(15,2036339,'2',223,'N'),(15,2036347,'1',9,'N'),(15,2036347,'2',217,'N'),(15,2036355,'1',103,'N'),(15,2036355,'2',301,'N'),(15,2036363,'1',5,'N'),(15,2036363,'2',303,'N'),(15,2036371,'1',203,'N'),(15,2036371,'1A',214,'N'),(15,2036371,'2',216,'N'),(15,2036380,'1',308,'N'),(15,2036380,'2',502,'N'),(15,2036398,'1',103,'N'),(15,2036398,'2',9,'N'),(15,2036401,'1',238,'N'),(15,2036401,'1A',208,'N'),(15,2036410,'1',202,'N'),(15,2036410,'1A',220,'N'),(15,2036410,'2',213,'N'),(15,2036428,'1',208,'N'),(15,2036428,'1A',238,'N'),(15,2036428,'2',222,'N'),(15,2036436,'1',208,'N'),(15,2036436,'1A',238,'N'),(15,2036436,'2',203,'N'),(15,2036444,'1',238,'N'),(15,2036444,'1A',208,'N'),(15,2036444,'2',217,'N'),(15,2036452,'1',102,'N'),(15,2036452,'2',108,'N'),(15,2036460,'1',207,'N'),(15,2036460,'2',420,'N'),(15,2036479,'1',332,'N'),(15,2036479,'2',324,'N'),(15,2036487,'1',201,'N'),(15,2036487,'1A',211,'N'),(15,2036525,'1',220,'N'),(15,2036525,'1A',203,'N'),(15,2036525,'2',202,'N'),(15,2036541,'1',101,'N'),(15,2036541,'2',309,'N'),(15,2036550,'1',339,'N'),(15,2036568,'1',5,'N'),(15,2036568,'2',415,'N'),(15,2036576,'1',9,'N'),(15,2036576,'2',301,'N'),(15,2036584,'1',415,'N'),(15,2036584,'2',421,'N'),(15,2036592,'1',425,'N'),(15,2036592,'1A',429,'N'),(15,2036592,'2',415,'N'),(15,2036606,'1',326,'N'),(15,2036606,'2',423,'N'),(15,2036614,'1',103,'N'),(15,2036614,'2',102,'N'),(15,2036622,'1',211,'N'),(15,2036622,'2',404,'N'),(15,2036630,'1',327,'N'),(15,2036630,'2',415,'N'),(15,2036649,'1',303,'N'),(15,2036649,'2',415,'N'),(15,2036665,'1',333,'N'),(15,2036665,'2',217,'N'),(15,2036681,'1',103,'N'),(15,2036681,'2',404,'N'),(15,2036690,'1',303,'N'),(15,2036690,'2',421,'N'),(15,2036711,'1',212,'N'),(15,2036711,'1A',211,'N'),(15,2036711,'2',5,'N'),(15,2036720,'1',444,'N'),(15,2036720,'2',404,'N'),(15,2036738,'1',215,'N'),(15,2036738,'1A',216,'N'),(15,2036738,'2',304,'N'),(15,2036746,'1',9,'N'),(15,2036746,'2',301,'N'),(15,2036754,'1',103,'N'),(15,2036754,'2',9,'N'),(15,2036762,'1',324,'N'),(15,2036762,'2',428,'N'),(15,2036770,'1',333,'N'),(15,2036770,'2',9,'N'),(15,2036789,'1',103,'N'),(15,2036789,'2',319,'N'),(15,2036797,'1',303,'N'),(15,2036797,'2',502,'N'),(15,2036800,'1',5,'N'),(15,2036800,'2',9,'N'),(15,2036819,'1',108,'N'),(15,2036835,'1',304,'N'),(15,2036835,'2',318,'N'),(15,2036843,'1',502,'N'),(15,2036843,'2',309,'N'),(15,2036851,'1',211,'N'),(15,2036851,'2',501,'N'),(15,2036860,'1',501,'N'),(15,2036860,'2',304,'N'),(15,2036878,'1',444,'N'),(15,2036878,'2',324,'N'),(15,2036908,'1',103,'N'),(15,2036908,'2',301,'N'),(15,2036916,'1',102,'N'),(15,2036916,'2',104,'N'),(15,2036932,'1',450,'N'),(15,2036932,'2',420,'N'),(15,2036940,'1',238,'N'),(15,2036940,'1A',201,'N'),(15,2036940,'2',220,'N'),(15,2036959,'1',208,'N'),(15,2036959,'1A',238,'N'),(15,2036959,'2',444,'N'),(15,2036967,'1',502,'N'),(15,2036967,'2',102,'N'),(15,2036975,'1',203,'N'),(15,2036975,'1A',214,'N'),(15,2036975,'2',201,'N'),(15,2037009,'1',301,'N'),(15,2037009,'2',304,'N'),(15,2037017,'1',103,'N'),(15,2037025,'1',103,'N'),(15,2037025,'2',216,'N'),(15,2037033,'1',217,'N'),(15,2037033,'2',108,'N'),(15,2037050,'1',9,'N'),(15,2037050,'2',101,'N'),(15,2037068,'1',208,'N'),(15,2037068,'2',316,'N'),(15,2037076,'1',339,'N'),(15,2037076,'2',309,'N'),(15,2037084,'1',501,'N'),(15,2037084,'2',234,'N'),(15,2037092,'1',303,'N'),(15,2037106,'1',9,'N'),(15,2037106,'2',5,'N'),(15,2037114,'1',223,'N'),(15,2037114,'2',224,'N'),(15,2037122,'1',103,'N'),(15,2037122,'2',102,'N'),(15,2037130,'1',207,'N'),(15,2037130,'1A',233,'N'),(15,2037149,'1',104,'N'),(15,2037149,'2',223,'N'),(15,2037157,'1',333,'N'),(15,2037157,'2',103,'N'),(15,2037165,'1',220,'N'),(15,2037165,'1A',214,'N'),(15,2037165,'2',203,'N'),(15,2037190,'1',501,'N'),(15,2037190,'2',223,'N'),(15,2037203,'1',301,'N'),(15,2037203,'2',316,'N'),(15,2037211,'1',103,'N'),(15,2037211,'2',101,'N'),(15,2037238,'1',108,'N'),(15,2037238,'2',501,'N'),(15,2037246,'1',108,'N'),(15,2037246,'2',333,'N'),(15,2037254,'1',103,'N'),(15,2037254,'2',101,'N'),(15,2037262,'1',202,'N'),(15,2037262,'1A',203,'N'),(15,2037262,'2',216,'N'),(15,2037270,'1',415,'N'),(15,2037270,'2',420,'N'),(15,2037289,'1',303,'N'),(15,2037297,'1',103,'N'),(15,2037300,'1',201,'N'),(15,2037300,'1A',202,'N'),(15,2037300,'2',318,'N'),(15,2037319,'1',207,'N'),(15,2037319,'2',316,'N'),(15,2037327,'1',9,'N'),(15,2037327,'2',215,'N'),(15,2037335,'1',303,'N'),(15,2037335,'2',429,'N'),(15,2037343,'1',103,'N'),(15,2037343,'2',104,'N'),(15,2037360,'1',316,'N'),(15,2037360,'2',327,'N'),(15,2037378,'1',318,'N'),(15,2037378,'2',317,'N'),(15,2037386,'1',450,'N'),(15,2037386,'2',333,'N'),(15,2037394,'1',203,'N'),(15,2037394,'1A',201,'N'),(15,2037394,'2',444,'N'),(15,2037408,'1',420,'N'),(15,2037416,'1',5,'N'),(15,2037416,'2',303,'N'),(15,2037424,'1',501,'N'),(15,2037424,'2',331,'N'),(15,2037432,'1',333,'N'),(15,2037432,'2',101,'N'),(15,2037459,'1',224,'N'),(15,2037459,'2',317,'N'),(15,2037467,'1',211,'N'),(15,2037467,'1A',233,'N'),(15,2037467,'2',444,'N'),(15,2037475,'1',331,'N'),(15,2037475,'2',326,'N'),(15,2037491,'1',420,'N'),(15,2037505,'1',301,'N'),(15,2037505,'2',303,'N'),(15,2037530,'1',201,'N'),(15,2037530,'1A',203,'N'),(15,2037530,'2',223,'N'),(15,2037548,'1',424,'N'),(15,2037548,'1A',427,'N'),(15,2037548,'2',423,'N'),(15,2037556,'1',303,'N'),(15,2037556,'2',223,'N'),(15,2037564,'1',501,'N'),(15,2037564,'2',502,'N'),(15,2037572,'1',103,'N'),(15,2037572,'2',320,'N'),(15,2037580,'1',333,'N'),(15,2037580,'2',108,'N'),(15,2037599,'1',238,'N'),(15,2037599,'1A',208,'N'),(15,2037599,'2',317,'N'),(15,2037602,'1',211,'N'),(15,2037602,'1A',215,'N'),(15,2037602,'2',213,'N'),(15,2037629,'1',102,'N'),(15,2037629,'2',217,'N'),(15,2037645,'1',301,'N'),(15,2037645,'2',304,'N'),(15,2037661,'1',318,'N'),(15,2037661,'2',304,'N'),(15,2037670,'1',102,'N'),(15,2037670,'2',217,'N'),(15,2037688,'1',103,'N'),(15,2037696,'1',102,'N'),(15,2037696,'2',103,'N'),(15,2037700,'1',103,'N'),(15,2037700,'2',102,'N'),(15,2037718,'1',331,'N'),(15,2037718,'2',339,'N'),(15,2037726,'1',301,'N'),(15,2037726,'2',302,'N'),(15,2037734,'1',404,'N'),(15,2037734,'2',444,'N'),(15,2037750,'1',415,'N'),(15,2037750,'2',428,'N'),(15,2037777,'1',104,'N'),(15,2037777,'2',102,'N'),(15,2037785,'1',207,'N'),(15,2037793,'1',220,'N'),(15,2037793,'1A',203,'N'),(15,2037793,'2',202,'N'),(15,2037815,'1',324,'N'),(15,2037815,'2',317,'N'),(15,2037823,'1',102,'N'),(15,2037831,'1',451,'N'),(15,2037831,'2',426,'N'),(15,2037840,'1',415,'N'),(15,2037840,'1A',426,'S'),(15,2037840,'2',320,'N'),(15,2037858,'1',303,'N'),(15,2037858,'2',333,'N'),(15,2037866,'1',103,'N'),(15,2037866,'2',303,'N'),(15,2037874,'1',319,'N'),(15,2037874,'2',309,'N'),(15,2037882,'1',420,'N'),(15,2037882,'2',301,'N'),(15,2037890,'1',316,'N'),(15,2037890,'2',301,'N'),(15,2037904,'1',220,'N'),(15,2037904,'1A',213,'N'),(15,2037904,'2',214,'N'),(15,2037912,'1',208,'N'),(15,2037912,'1A',202,'N'),(15,2037912,'2',420,'N'),(15,2037920,'1',103,'N'),(15,2037920,'2',217,'N'),(15,2037939,'1',108,'N'),(15,2037947,'1',208,'N'),(15,2037947,'1A',238,'N'),(15,2037947,'2',222,'N'),(15,2037955,'1',202,'N'),(15,2037955,'1A',213,'N'),(15,2037955,'2',203,'N'),(15,2037963,'1',404,'N'),(15,2037963,'2',329,'N'),(15,2037971,'1',103,'N'),(15,2037971,'2',9,'N'),(15,2037980,'1',2,'N'),(15,2037980,'2',225,'N'),(15,2037998,'1',211,'N'),(15,2037998,'1A',216,'N'),(15,2037998,'2',102,'N'),(15,2038013,'1',108,'N'),(15,2038013,'2',222,'N'),(15,2038021,'1',319,'N'),(15,2038021,'2',415,'N'),(15,2038030,'1',102,'N'),(15,2038030,'2',103,'N'),(15,2038048,'1',216,'N'),(15,2038048,'1A',215,'N'),(15,2038048,'2',333,'N'),(15,2038056,'1',301,'N'),(15,2038056,'2',316,'N'),(15,2038064,'1',103,'N'),(15,2038064,'2',9,'N'),(15,2038072,'1',102,'N'),(15,2038072,'2',404,'N'),(15,2038099,'1',220,'N'),(15,2038099,'1A',203,'N'),(15,2038099,'2',225,'N'),(15,2038102,'1',415,'N'),(15,2038102,'2',425,'N'),(15,2038110,'1',301,'N'),(15,2038110,'2',208,'N'),(15,2038129,'1',220,'N'),(15,2038129,'1A',203,'N'),(15,2038129,'2',2,'N'),(15,2038137,'1',333,'N'),(15,2038137,'2',327,'N'),(15,2038145,'1',450,'N'),(15,2038145,'2',326,'N'),(15,2038153,'1',207,'N'),(15,2038153,'1A',201,'N'),(15,2038153,'2',420,'N'),(15,2038188,'1',216,'N'),(15,2038188,'1A',202,'N'),(15,2038188,'2',104,'N'),(15,2038196,'1',420,'N'),(15,2038196,'2',207,'N'),(15,2038200,'1',317,'N'),(15,2038200,'2',444,'N'),(15,2038218,'1',217,'N'),(15,2038218,'2',102,'N'),(15,2038226,'1',303,'N'),(15,2038226,'2',329,'N'),(15,2038234,'1',103,'N'),(15,2038242,'1',211,'N'),(15,2038242,'2',108,'N'),(15,2038250,'1',333,'N'),(15,2038250,'2',217,'N'),(15,2038269,'1',420,'N'),(15,2038269,'1A',429,'S'),(15,2038269,'2',207,'N'),(15,2038277,'1',103,'N'),(15,2038277,'2',102,'N'),(15,2038285,'1',5,'N'),(15,2038285,'2',225,'N'),(15,2038307,'1',207,'N'),(15,2038307,'1A',216,'N'),(15,2038307,'2',333,'N'),(15,2038315,'1',428,'N'),(15,2038315,'1A',424,'N'),(15,2038315,'2',308,'N'),(15,2038331,'1',108,'N'),(15,2038331,'2',333,'N'),(15,2038340,'1',102,'N'),(15,2038340,'2',223,'N'),(15,2038358,'1',415,'N'),(15,2038358,'1A',427,'S'),(15,2038358,'2',450,'N'),(15,2038366,'1',103,'N'),(15,2038366,'2',104,'N'),(15,2038374,'1',304,'N'),(15,2038374,'2',301,'N'),(15,2038404,'1',451,'N'),(15,2038404,'2',324,'N'),(15,2038412,'1',303,'N'),(15,2038412,'2',415,'N'),(15,2038420,'1',212,'N'),(15,2038420,'1A',201,'N'),(15,2038420,'2',316,'N'),(15,2038439,'1',103,'N'),(15,2038439,'2',9,'N'),(15,2038447,'1',103,'N'),(15,2038447,'2',101,'N'),(15,2038455,'1',320,'N'),(15,2038455,'2',310,'N'),(15,2038463,'1',303,'N'),(15,2038463,'2',5,'N'),(15,2038471,'1',208,'N'),(15,2038471,'1A',238,'N'),(15,2038471,'2',501,'N'),(15,2038480,'1',102,'N'),(15,2038480,'2',103,'N'),(15,2038498,'1',101,'N'),(15,2038498,'2',217,'N'),(15,2038501,'1',309,'N'),(15,2038501,'2',339,'N'),(15,2038510,'1',303,'N'),(15,2038510,'2',326,'N'),(15,2038528,'1',215,'N'),(15,2038528,'2',421,'N'),(15,2038536,'1',501,'N'),(15,2038536,'2',234,'N'),(15,2038544,'1',103,'N'),(15,2038544,'2',310,'N'),(15,2038552,'1',302,'N'),(15,2038552,'2',317,'N'),(15,2038560,'1',213,'N'),(15,2038560,'1A',202,'N'),(15,2038560,'2',220,'N'),(15,2038579,'1',420,'N'),(15,2038579,'1A',423,'S'),(15,2038579,'2',308,'N'),(15,2038587,'1',104,'N'),(15,2038587,'2',207,'N'),(15,2038595,'1',203,'N'),(15,2038595,'1A',208,'N'),(15,2038595,'2',303,'N'),(15,2038609,'1',215,'N'),(15,2038609,'2',108,'N'),(15,2038617,'1',5,'N'),(15,2038617,'2',339,'N'),(15,2038625,'1',207,'N'),(15,2038625,'1A',201,'N'),(15,2038625,'2',420,'N'),(15,2038633,'1',103,'N'),(15,2038633,'2',104,'N'),(15,2038650,'1',5,'N'),(15,2038650,'2',415,'N'),(15,2038668,'1',207,'N'),(15,2038668,'1A',201,'N'),(15,2038668,'2',420,'N'),(15,2038676,'1',444,'N'),(15,2038676,'2',404,'N'),(15,2038684,'1',303,'N'),(15,2038684,'2',5,'N'),(15,2038692,'1',207,'N'),(15,2038692,'1A',201,'N'),(15,2038692,'2',303,'N'),(15,2038714,'1',317,'N'),(15,2038714,'2',316,'N'),(15,2038722,'1',207,'N'),(15,2038722,'1A',201,'N'),(15,2038722,'2',420,'N'),(15,2038730,'1',9,'N'),(15,2038730,'2',101,'N'),(15,2038749,'1',415,'N'),(15,2038749,'1A',423,'S'),(15,2038749,'2',450,'N'),(15,2038757,'1',303,'N'),(15,2038757,'2',5,'N'),(15,2038765,'1',211,'N'),(15,2038765,'1A',207,'N'),(15,2038765,'2',501,'N'),(15,2038773,'1',104,'N'),(15,2038773,'2',425,'N'),(15,2038781,'1',104,'N'),(15,2038781,'2',415,'N'),(15,2038790,'1',9,'N'),(15,2038790,'2',333,'N'),(15,2038803,'1',5,'N'),(15,2038803,'2',404,'N'),(15,2038811,'1',301,'N'),(15,2038838,'1',5,'N'),(15,2038862,'1',502,'N'),(15,2038862,'2',108,'N'),(15,2038870,'1',207,'N'),(15,2038870,'2',420,'N'),(15,2038889,'1',103,'N'),(15,2038889,'2',429,'N'),(15,2038897,'1',103,'N'),(15,2038897,'2',104,'N'),(15,2038900,'1',415,'N'),(15,2038900,'2',450,'N'),(15,2038919,'1',2,'N'),(15,2038919,'2',223,'N'),(15,2038927,'1',211,'N'),(15,2038927,'2',2,'N'),(15,2038935,'1',238,'N'),(15,2038935,'1A',208,'N'),(15,2038951,'1',104,'N'),(15,2038951,'2',302,'N'),(15,2038978,'1',316,'N'),(15,2038986,'1',5,'N'),(15,2038986,'2',9,'N'),(15,2038994,'1',316,'N'),(15,2038994,'2',208,'N'),(15,2039001,'1',317,'N'),(15,2039001,'2',316,'N'),(15,2039010,'1',5,'N'),(15,2039010,'2',303,'N'),(15,2039036,'1',207,'N'),(15,2039036,'1A',212,'N'),(15,2039036,'2',420,'N'),(15,2039044,'1',104,'N'),(15,2039044,'2',102,'N'),(15,2039052,'1',303,'N'),(15,2039052,'2',331,'N'),(15,2039060,'1',103,'N'),(15,2039060,'2',404,'N'),(15,2039079,'1',207,'N'),(15,2039079,'1A',215,'N'),(15,2039079,'2',451,'N'),(15,2039087,'1',203,'N'),(15,2039087,'1A',202,'N'),(15,2039087,'2',214,'N'),(15,2039095,'1',216,'N'),(15,2039095,'1A',233,'N'),(15,2039095,'2',203,'N'),(15,2039125,'1',404,'N'),(15,2039125,'2',421,'N'),(15,2039133,'1',212,'N'),(15,2039133,'1A',201,'N'),(15,2039133,'2',444,'N'),(15,2039141,'1',103,'N'),(15,2039141,'2',9,'N'),(15,2039150,'1',202,'N'),(15,2039150,'1A',203,'N'),(15,2039150,'2',213,'N'),(15,2039168,'1',303,'N'),(15,2039168,'2',5,'N'),(15,2039176,'1',103,'N'),(15,2039176,'2',333,'N'),(15,2039184,'1',203,'N'),(15,2039184,'1A',214,'N'),(15,2039184,'2',202,'N'),(15,2039192,'1',103,'N'),(15,2039192,'2',102,'N'),(15,2039206,'1',201,'N'),(15,2039206,'1A',233,'N'),(15,2039206,'2',420,'N'),(15,2039214,'1',207,'N'),(15,2039214,'1A',201,'N'),(15,2039214,'2',420,'N'),(15,2039230,'1',304,'N'),(15,2039230,'2',301,'N'),(15,2039249,'1',238,'N'),(15,2039249,'1A',208,'N'),(15,2039249,'2',224,'N'),(15,2039257,'1',202,'N'),(15,2039257,'1A',213,'N'),(15,2039257,'2',212,'N'),(15,2039265,'1',103,'N'),(15,2039265,'2',102,'N'),(15,2039273,'1',207,'N'),(15,2039273,'1A',212,'N'),(15,2039273,'2',423,'N'),(15,2039281,'1',212,'N'),(15,2039281,'2',404,'N'),(15,2039290,'1',501,'N'),(15,2039290,'2',420,'N'),(15,2039303,'1',304,'N'),(15,2039303,'2',425,'N'),(15,2039311,'1',302,'N'),(15,2039311,'2',317,'N'),(15,2039320,'1',303,'N'),(15,2039320,'2',5,'N'),(15,2039338,'1',103,'N'),(15,2039338,'2',104,'N'),(15,2039346,'1',102,'N'),(15,2039346,'2',207,'N'),(15,2039354,'1',103,'N'),(15,2039354,'2',9,'N'),(15,2039370,'1',208,'N'),(15,2039370,'1A',238,'N'),(15,2039370,'2',2,'N'),(15,2039389,'1',211,'N'),(15,2039389,'1A',207,'N'),(15,2039389,'2',331,'N'),(15,2039397,'1',103,'N'),(15,2039397,'2',303,'N'),(15,2039400,'1',203,'N'),(15,2039400,'1A',214,'N'),(15,2039400,'2',213,'N'),(15,2039419,'1',208,'N'),(15,2039419,'1A',238,'N'),(15,2039419,'2',108,'N'),(15,2039427,'1',203,'N'),(15,2039427,'1A',202,'N'),(15,2039427,'2',2,'N'),(15,2039435,'1',303,'N'),(15,2039435,'2',326,'N'),(15,2039443,'1',103,'N'),(15,2039443,'2',104,'N'),(15,2039460,'1',103,'N'),(15,2039460,'2',217,'N'),(15,2039478,'1',444,'N'),(15,2039478,'2',9,'N'),(15,2039508,'1',333,'N'),(15,2039508,'2',332,'N'),(15,2039524,'1',429,'N'),(15,2039524,'1A',425,'N'),(15,2039524,'2',326,'N'),(15,2039532,'1',420,'N'),(15,2039532,'1A',425,'S'),(15,2039532,'2',9,'N'),(15,2039540,'1',316,'N'),(15,2039540,'2',317,'N'),(15,2039559,'1',103,'N'),(15,2039567,'1',104,'N'),(15,2039567,'2',102,'N'),(15,2039575,'1',207,'N'),(15,2039575,'1A',211,'N'),(15,2039575,'2',420,'N'),(15,2039591,'1',103,'N'),(15,2039591,'2',444,'N'),(15,2039605,'1',301,'N'),(15,2039605,'2',303,'N'),(15,2039613,'1',202,'N'),(15,2039613,'2',223,'N'),(15,2039621,'1',331,'N'),(15,2039621,'2',501,'N'),(15,2039630,'1',103,'N'),(15,2039630,'2',104,'N'),(15,2039648,'1',102,'N'),(15,2039648,'2',333,'N'),(15,2039656,'1',202,'N'),(15,2039656,'1A',203,'N'),(15,2039656,'2',223,'N'),(15,2039664,'1',303,'N'),(15,2039664,'2',5,'N'),(15,2039672,'1',317,'N'),(15,2039672,'2',420,'N'),(15,2039699,'1',318,'N'),(15,2039699,'2',304,'N'),(15,2039702,'1',415,'N'),(15,2039702,'1A',428,'S'),(15,2039702,'2',326,'N'),(15,2039729,'1',303,'N'),(15,2039729,'2',319,'N'),(15,2039745,'1',332,'N'),(15,2039745,'2',320,'N'),(15,2039753,'1',103,'N'),(15,2039753,'2',104,'N'),(15,2039761,'1',216,'N'),(15,2039761,'1A',215,'N'),(15,2039761,'2',316,'N'),(15,2039770,'1',320,'N'),(15,2039770,'2',310,'N'),(15,2039788,'1',207,'N'),(15,2039788,'1A',201,'N'),(15,2039788,'2',420,'N'),(15,2039796,'1',207,'N'),(15,2039796,'1A',201,'N'),(15,2039796,'2',223,'N'),(15,2039800,'1',224,'N'),(15,2039800,'2',223,'N'),(15,2039818,'1',103,'N'),(15,2039818,'2',102,'N'),(15,2039826,'1',225,'N'),(15,2039826,'2',202,'N'),(15,2039834,'1',103,'N'),(15,2039842,'1',102,'N'),(15,2039842,'2',216,'N'),(15,2039850,'1',211,'N'),(15,2039850,'1A',203,'N'),(15,2039850,'2',333,'N'),(15,2039869,'1',104,'N'),(15,2039869,'2',9,'N'),(15,2039877,'1',316,'N'),(15,2039877,'2',301,'N'),(15,2039893,'1',213,'N'),(15,2039893,'2',103,'N'),(15,2039907,'1',201,'N'),(15,2039907,'1A',212,'N'),(15,2039907,'2',2,'N'),(15,2039923,'1',203,'N'),(15,2039923,'2',214,'N'),(15,2039931,'1',102,'N'),(15,2039931,'2',427,'N'),(15,2039940,'1',211,'N'),(15,2039940,'1A',216,'N'),(15,2039940,'2',333,'N'),(15,2039958,'1',220,'N'),(15,2039958,'1A',202,'N'),(15,2039958,'2',213,'N'),(15,2039966,'1',320,'N'),(15,2039966,'2',222,'N'),(15,2039974,'1',327,'N'),(15,2039974,'2',426,'N'),(15,2039982,'1',103,'N'),(15,2039982,'2',217,'N'),(15,2040018,'1',212,'N'),(15,2040018,'2',214,'N'),(15,2040026,'1',207,'N'),(15,2040026,'1A',201,'N'),(15,2040026,'2',420,'N'),(15,2040050,'1',404,'N'),(15,2040050,'2',444,'N'),(15,2040069,'1',318,'N'),(15,2040069,'2',317,'N'),(15,2040077,'1',102,'N'),(15,2040077,'2',217,'N'),(15,2040085,'1',502,'N'),(15,2040093,'1',450,'N'),(15,2040093,'2',319,'N'),(15,2040107,'1',326,'N'),(15,2040107,'2',420,'N'),(15,2040115,'1',103,'N'),(15,2040115,'2',101,'N'),(15,2040123,'1',203,'N'),(15,2040123,'1A',215,'N'),(15,2040123,'2',225,'N'),(15,2040140,'1',207,'N'),(15,2040140,'1A',203,'N'),(15,2040140,'2',201,'N'),(15,2040158,'1',103,'N'),(15,2040158,'2',428,'N'),(15,2040166,'1',202,'N'),(15,2040166,'1A',216,'N'),(15,2040166,'2',2,'N'),(15,2040174,'1',316,'N'),(15,2040174,'2',317,'N'),(15,2040182,'1',207,'N'),(15,2040182,'1A',220,'N'),(15,2040182,'2',420,'N'),(15,2040190,'1',203,'N'),(15,2040190,'2',214,'N'),(15,2040204,'1',220,'N'),(15,2040204,'1A',203,'N'),(15,2040204,'2',202,'N'),(15,2040220,'1',203,'N'),(15,2040220,'1A',201,'N'),(15,2040220,'2',103,'N'),(15,2040239,'1',207,'N'),(15,2040239,'1A',201,'N'),(15,2040239,'2',104,'N'),(15,2040247,'1',211,'N'),(15,2040247,'1A',203,'N'),(15,2040255,'1',234,'N'),(15,2040255,'2',318,'N'),(15,2040263,'1',102,'N'),(15,2040263,'2',217,'N'),(15,2040271,'1',5,'N'),(15,2040271,'2',451,'N'),(15,2040280,'1',319,'N'),(15,2040280,'2',326,'N'),(15,2040301,'1',207,'N'),(15,2040301,'2',420,'N'),(15,2040310,'1',425,'N'),(15,2040310,'2',207,'N'),(15,2040328,'1',102,'N'),(15,2040328,'2',108,'N'),(15,2040336,'1',215,'N'),(15,2040336,'1A',208,'N'),(15,2040336,'2',102,'N'),(15,2040352,'1',301,'N'),(15,2040352,'2',316,'N'),(15,2040360,'1',316,'N'),(15,2040360,'2',2,'N'),(15,2040387,'1',211,'N'),(15,2040387,'1A',233,'N'),(15,2040387,'2',234,'N'),(15,2040395,'1',238,'N'),(15,2040395,'1A',233,'N'),(15,2040395,'2',301,'N'),(15,2040409,'1',103,'N'),(15,2040409,'2',216,'N'),(15,2040417,'1',203,'N'),(15,2040417,'1A',214,'N'),(15,2040417,'2',202,'N'),(15,2040425,'1',103,'N'),(15,2040425,'2',104,'N'),(15,2040433,'1',203,'N'),(15,2040433,'1A',208,'N'),(15,2040433,'2',2,'N'),(15,2040441,'1',103,'N'),(15,2040441,'2',303,'N'),(15,2040450,'1',103,'N'),(15,2040450,'2',108,'N'),(15,2040468,'1',333,'N'),(15,2040468,'2',9,'N'),(15,2040484,'1',101,'N'),(15,2040484,'2',103,'N'),(15,2040492,'1',333,'N'),(15,2040492,'2',211,'N'),(15,2040506,'1',220,'N'),(15,2040506,'1A',207,'N'),(15,2040506,'2',5,'N'),(15,2040514,'1',238,'N'),(15,2040514,'1A',216,'N'),(15,2040514,'2',225,'N'),(15,2040522,'1',425,'N'),(15,2040522,'1A',429,'N'),(15,2040522,'2',451,'N'),(15,2040530,'1',326,'N'),(15,2040530,'2',301,'N'),(15,2040549,'1',404,'N'),(15,2040549,'2',428,'N'),(15,2040557,'1',502,'N'),(15,2040557,'2',333,'N'),(15,2040565,'1',415,'N'),(15,2040565,'1A',421,'S'),(15,2040565,'2',319,'N'),(15,2040573,'1',220,'N'),(15,2040573,'1A',203,'N'),(15,2040590,'1',103,'N'),(15,2040603,'1',317,'N'),(15,2040603,'2',324,'N'),(15,2040611,'1',103,'N'),(15,2040611,'2',9,'N'),(15,2040620,'1',304,'N'),(15,2040620,'2',324,'N'),(15,2040638,'1',319,'N'),(15,2040638,'2',301,'N'),(15,2040646,'1',319,'N'),(15,2040646,'2',308,'N'),(15,2040662,'1',9,'N'),(15,2040662,'2',103,'N'),(15,2040670,'1',214,'N'),(15,2040670,'1A',220,'N'),(15,2040670,'2',233,'N'),(15,2040689,'1',103,'N'),(15,2040689,'2',208,'N'),(15,2040700,'1',207,'N'),(15,2040700,'1A',201,'N'),(15,2040700,'2',420,'N'),(15,2040727,'1',216,'N'),(15,2040727,'1A',233,'N'),(15,2040727,'2',217,'N'),(15,2040735,'1',103,'N'),(15,2040735,'2',201,'N'),(15,2040743,'1',217,'N'),(15,2040743,'2',332,'N'),(15,2040760,'1',319,'N'),(15,2040760,'2',9,'N'),(15,2040778,'1',427,'N'),(15,2040778,'1A',423,'N'),(15,2040778,'2',420,'N'),(15,2040786,'1',404,'N'),(15,2040786,'2',223,'N'),(15,2040794,'1',211,'N'),(15,2040794,'1A',215,'N'),(15,2040794,'2',331,'N'),(15,2040808,'1',103,'N'),(15,2040816,'1',208,'N'),(15,2040816,'1A',238,'N'),(15,2040824,'1',203,'N'),(15,2040824,'1A',211,'N'),(15,2040824,'2',201,'N'),(15,2040832,'1',308,'N'),(15,2040832,'2',339,'N'),(15,2040840,'1',102,'N'),(15,2040840,'2',211,'N'),(15,2040867,'1',319,'N'),(15,2040867,'2',329,'N'),(15,2040875,'1',214,'N'),(15,2040875,'1A',212,'N'),(15,2040875,'2',333,'N'),(15,2040883,'1',501,'N'),(15,2040883,'2',502,'N'),(15,2040891,'1',103,'N'),(15,2040891,'2',415,'N'),(15,2040913,'1',415,'N'),(15,2040913,'1A',424,'S'),(15,2040913,'2',451,'N'),(15,2040921,'1',304,'N'),(15,2040921,'2',320,'N'),(15,2040930,'1',207,'N'),(15,2040930,'1A',201,'N'),(15,2040930,'2',427,'N'),(15,2040956,'1',415,'N'),(15,2040956,'2',450,'N'),(15,2040972,'1',103,'N'),(15,2040972,'2',102,'N'),(15,2040980,'1',425,'N'),(15,2040980,'1A',423,'N'),(15,2040980,'2',316,'N'),(15,2040999,'1',207,'N'),(15,2040999,'2',5,'N'),(15,2041006,'1',103,'N'),(15,2041006,'2',108,'N'),(15,2041014,'1',303,'N'),(15,2041014,'2',5,'N'),(15,2041022,'1',303,'N'),(15,2041022,'2',415,'N'),(15,2041030,'1',303,'N'),(15,2041030,'2',331,'N'),(15,2041049,'1',103,'N'),(15,2041049,'2',102,'N'),(15,2041057,'1',103,'N'),(15,2041057,'2',104,'N'),(15,2041065,'1',103,'N'),(15,2041065,'2',216,'N'),(15,2041073,'1',304,'N'),(15,2041073,'2',217,'N'),(15,2041081,'1',103,'N'),(15,2041081,'2',102,'N'),(15,2041103,'1',420,'N'),(15,2041103,'1A',425,'S'),(15,2041103,'2',208,'N'),(15,2041111,'1',501,'N'),(15,2041111,'2',211,'N'),(15,2041120,'1',339,'N'),(15,2041120,'2',309,'N'),(15,2041138,'1',220,'N'),(15,2041138,'1A',203,'N'),(15,2041138,'2',238,'N'),(15,2041146,'1',331,'N'),(15,2041146,'2',423,'N'),(15,2041162,'1',102,'N'),(15,2041162,'2',339,'N'),(15,2041170,'1',303,'N'),(15,2041170,'2',424,'N'),(15,2041189,'1',201,'N'),(15,2041189,'1A',212,'N'),(15,2041189,'2',316,'N'),(15,2041197,'1',211,'N'),(15,2041197,'2',224,'N'),(15,2041219,'1',103,'N'),(15,2041219,'2',501,'N'),(15,2041227,'1',103,'N'),(15,2041227,'2',207,'N'),(15,2041235,'1',203,'N'),(15,2041235,'1A',211,'N'),(15,2041235,'2',501,'N'),(15,2041243,'1',103,'N'),(15,2041243,'2',9,'N'),(15,2041260,'1',103,'N'),(15,2041260,'2',108,'N'),(15,2041278,'1',104,'N'),(15,2041278,'2',316,'N'),(15,2041286,'1',207,'N'),(15,2041286,'1A',201,'N'),(15,2041286,'2',327,'N'),(15,2041294,'1',103,'N'),(15,2041294,'2',5,'N'),(15,2041308,'1',103,'N'),(15,2041308,'2',502,'N'),(15,2041324,'1',426,'N'),(15,2041324,'1A',429,'N'),(15,2041324,'2',324,'N'),(15,2041332,'1',103,'N'),(15,2041332,'2',108,'N'),(15,2041340,'1',203,'N'),(15,2041340,'1A',201,'N'),(15,2041340,'2',208,'N'),(15,2041359,'1',502,'N'),(15,2041359,'2',211,'N'),(15,2041367,'1',103,'N'),(15,2041367,'2',102,'N'),(15,2041375,'1',203,'N'),(15,2041375,'1A',201,'N'),(15,2041375,'2',2,'N'),(15,2041383,'1',211,'N'),(15,2041383,'1A',216,'N'),(15,2041383,'2',103,'N'),(15,2041391,'1',444,'N'),(15,2041391,'2',319,'N'),(15,2041405,'1',303,'N'),(15,2041405,'2',5,'N'),(15,2041413,'1',103,'N'),(15,2041413,'2',104,'N'),(15,2041421,'1',319,'N'),(15,2041421,'2',421,'N'),(15,2041430,'1',103,'N'),(15,2041430,'2',102,'N'),(15,2041448,'1',103,'N'),(15,2041448,'2',108,'N'),(15,2041456,'1',103,'N'),(15,2041464,'1',238,'N'),(15,2041464,'1A',208,'N'),(15,2041464,'2',333,'N'),(15,2041472,'1',303,'N'),(15,2041472,'2',5,'N'),(15,2041480,'1',202,'N'),(15,2041480,'1A',203,'N'),(15,2041480,'2',208,'N'),(15,2041499,'1',238,'N'),(15,2041499,'1A',202,'N'),(15,2041499,'2',317,'N'),(15,2041502,'1',303,'N'),(15,2041502,'2',5,'N'),(15,2041510,'1',444,'N'),(15,2041510,'2',215,'N'),(15,2041529,'1',103,'N'),(15,2041529,'2',208,'N'),(15,2041537,'1',301,'N'),(15,2041545,'1',420,'N'),(15,2041545,'2',415,'N'),(15,2041553,'1',102,'N'),(15,2041553,'2',415,'N'),(15,2041561,'1',423,'N'),(15,2041561,'2',9,'N'),(15,2041588,'1',202,'N'),(15,2041588,'1A',220,'N'),(15,2041588,'2',203,'N'),(15,2041600,'1',104,'N'),(15,2041600,'2',423,'N'),(15,2041618,'1',5,'N'),(15,2041618,'2',103,'N'),(15,2041626,'1',238,'N'),(15,2041626,'1A',203,'N'),(15,2041626,'2',316,'N'),(15,2041642,'1',301,'N'),(15,2041642,'2',304,'N'),(15,2041669,'1',328,'N'),(15,2041669,'2',427,'N'),(15,2041677,'1',303,'N'),(15,2041677,'2',425,'N'),(15,2041685,'1',444,'N'),(15,2041685,'2',404,'N'),(15,2041693,'1',203,'N'),(15,2041693,'1A',201,'N'),(15,2041693,'2',214,'N'),(15,2041707,'1',318,'N'),(15,2041707,'2',332,'N'),(15,2041715,'1',502,'N'),(15,2041715,'2',108,'N'),(15,2041723,'1',415,'N'),(15,2041723,'1A',428,'S'),(15,2041731,'1',220,'N'),(15,2041731,'1A',203,'N'),(15,2041731,'2',201,'N'),(15,2041758,'1',214,'N'),(15,2041758,'1A',203,'N'),(15,2041766,'1',103,'N'),(15,2041766,'2',303,'N'),(15,2041782,'1',201,'N'),(15,2041782,'1A',203,'N'),(15,2041782,'2',420,'N'),(15,2041790,'1',303,'N'),(15,2041790,'2',428,'N'),(15,2041812,'1',9,'N'),(15,2041812,'2',104,'N'),(15,2041820,'1',216,'N'),(15,2041820,'1A',215,'N'),(15,2041820,'2',333,'N'),(15,2041847,'1',108,'N'),(15,2041847,'2',333,'N'),(15,2041871,'1',220,'N'),(15,2041871,'1A',213,'N'),(15,2041871,'2',214,'N'),(15,2041880,'1',319,'N'),(15,2041880,'2',404,'N'),(15,2041898,'1',212,'N'),(15,2041898,'1A',213,'N'),(15,2041898,'2',316,'N'),(15,2041901,'1',211,'N'),(15,2041901,'1A',208,'N'),(15,2041901,'2',404,'N'),(15,2041910,'1',216,'N'),(15,2041910,'1A',212,'N'),(15,2041910,'2',304,'N'),(15,2041928,'1',304,'N'),(15,2041928,'2',326,'N'),(15,2041936,'1',5,'N'),(15,2041936,'2',303,'N'),(15,2041952,'1',329,'N'),(15,2041952,'2',425,'N'),(15,2041979,'1',207,'N'),(15,2041979,'1A',220,'N'),(15,2041979,'2',420,'N'),(15,2041987,'1',101,'N'),(15,2041987,'2',308,'N'),(15,2042010,'1',103,'N'),(15,2042029,'1',415,'N'),(15,2042029,'1A',429,'S'),(15,2042029,'2',320,'N'),(15,2042037,'1',451,'N'),(15,2042037,'1A',429,'S'),(15,2042037,'2',108,'N'),(15,2042053,'1',303,'N'),(15,2042053,'2',5,'N'),(15,2042070,'1',423,'N'),(15,2042070,'1A',426,'N'),(15,2042070,'2',427,'N'),(15,2042088,'1',103,'N'),(15,2042088,'2',319,'N'),(15,2042100,'1',238,'N'),(15,2042100,'1A',208,'N'),(15,2042100,'2',319,'N'),(15,2042118,'1',238,'N'),(15,2042118,'1A',208,'N'),(15,2042118,'2',222,'N'),(15,2042126,'1',317,'N'),(15,2042126,'2',333,'N'),(15,2042134,'1',108,'N'),(15,2042134,'2',333,'N'),(15,2042142,'1',316,'N'),(15,2042142,'2',317,'N'),(15,2042150,'1',201,'N'),(15,2042150,'1A',220,'N'),(15,2042150,'2',238,'N'),(15,2042169,'1',207,'N'),(15,2042169,'1A',212,'N'),(15,2042169,'2',333,'N'),(15,2042193,'1',303,'N'),(15,2042193,'2',425,'N'),(15,2042207,'1',108,'N'),(15,2042207,'2',101,'N'),(15,2042215,'1',108,'N'),(15,2042215,'2',102,'N'),(15,2042223,'1',326,'N'),(15,2042223,'2',331,'N'),(15,2042231,'1',304,'N'),(15,2042231,'2',302,'N'),(15,2042240,'1',332,'N'),(15,2042240,'2',502,'N'),(15,2042258,'1',103,'N'),(15,2042258,'2',502,'N'),(15,2042266,'1',415,'N'),(15,2042266,'2',339,'N'),(15,2042274,'1',324,'N'),(15,2042274,'2',429,'N'),(15,2042282,'1',5,'N'),(15,2042282,'2',317,'N'),(15,2042290,'1',450,'N'),(15,2042290,'1A',423,'S'),(15,2042290,'2',415,'N'),(15,2042304,'1',201,'N'),(15,2042312,'1',317,'N'),(15,2042312,'2',308,'N'),(15,2042355,'1',501,'N'),(15,2042355,'2',213,'N'),(15,2042363,'1',207,'N'),(15,2042363,'1A',201,'N'),(15,2042363,'2',211,'N'),(15,2042371,'1',328,'N'),(15,2042371,'2',331,'N'),(15,2042380,'1',201,'N'),(15,2042380,'1A',238,'N'),(15,2042380,'2',225,'N'),(15,2042401,'1',301,'N'),(15,2042401,'2',303,'N'),(15,2042410,'1',420,'N'),(15,2042410,'2',208,'N'),(15,2042428,'1',444,'N'),(15,2042428,'2',224,'N'),(15,2042436,'1',420,'N'),(15,2042436,'1A',426,'S'),(15,2042436,'2',316,'N'),(15,2042444,'1',202,'N'),(15,2042444,'1A',213,'N'),(15,2042444,'2',333,'N'),(15,2042452,'1',203,'N'),(15,2042452,'1A',201,'N'),(15,2042452,'2',333,'N'),(15,2042479,'1',316,'N'),(15,2042479,'2',317,'N'),(15,2042487,'1',103,'N'),(15,2042487,'2',203,'N'),(15,2042495,'1',207,'N'),(15,2042517,'1',319,'N'),(15,2042517,'2',102,'N'),(15,2042533,'1',202,'N'),(15,2042533,'1A',220,'N'),(15,2042533,'2',208,'N'),(15,2042550,'1',327,'N'),(15,2042550,'2',424,'N'),(15,2042568,'1',420,'N'),(15,2042576,'1',103,'N'),(15,2042576,'2',415,'N'),(15,2042584,'1',203,'N'),(15,2042584,'1A',202,'N'),(15,2042584,'2',201,'N'),(15,2042592,'1',425,'N'),(15,2042592,'2',429,'N'),(15,2042606,'1',308,'N'),(15,2042606,'2',324,'N'),(15,2042614,'1',103,'N'),(15,2042614,'2',207,'N'),(15,2042630,'1',9,'N'),(15,2042630,'2',502,'N'),(15,2042657,'1',332,'N'),(15,2042657,'2',327,'N'),(15,2042673,'1',225,'N'),(15,2042673,'2',224,'N'),(15,2042681,'1',103,'N'),(15,2042681,'2',104,'N'),(15,2042690,'1',450,'N'),(15,2042690,'2',415,'N'),(15,2042703,'1',425,'N'),(15,2042703,'1A',423,'N'),(15,2042703,'2',102,'N'),(15,2042738,'1',217,'N'),(15,2042738,'2',225,'N'),(15,2042762,'1',415,'N'),(15,2042762,'2',208,'N'),(15,2042797,'1',329,'N'),(15,2042797,'2',310,'N'),(15,2042800,'1',2,'N'),(15,2042800,'2',220,'N'),(15,2042819,'1',220,'N'),(15,2042819,'1A',202,'N'),(15,2042819,'2',308,'N'),(15,2042843,'1',302,'N'),(15,2042843,'2',222,'N'),(15,2042851,'1',103,'N'),(15,2042851,'2',319,'N'),(15,2042860,'1',420,'N'),(15,2042860,'1A',421,'S'),(15,2042860,'2',450,'N'),(15,2042878,'1',102,'N'),(15,2042878,'2',316,'N'),(15,2042894,'1',103,'N'),(15,2042894,'2',220,'N'),(15,2042908,'1',103,'N'),(15,2042908,'2',108,'N'),(15,2042916,'1',103,'N'),(15,2042916,'2',303,'N'),(15,2042940,'1',339,'N'),(15,2042940,'2',426,'N'),(15,2042959,'1',217,'N'),(15,2042959,'2',426,'N'),(15,2042967,'1',202,'N'),(15,2042967,'1A',213,'N'),(15,2042975,'1',103,'N'),(15,2042975,'2',104,'N'),(15,2042983,'1',108,'N'),(15,2042983,'2',327,'N'),(15,2042991,'1',207,'N'),(15,2042991,'1A',201,'N'),(15,2042991,'2',303,'N'),(15,2043009,'1',333,'N'),(15,2043009,'2',234,'N'),(15,2043017,'1',217,'N'),(15,2043017,'2',329,'N'),(15,2043025,'1',319,'N'),(15,2043025,'2',329,'N'),(15,2043033,'1',103,'N'),(15,2043033,'2',208,'N'),(15,2043068,'1',308,'N'),(15,2043068,'2',9,'N'),(15,2043076,'1',103,'N'),(15,2043076,'2',108,'N'),(15,2043092,'1',316,'N'),(15,2043092,'2',5,'N'),(15,2043106,'1',301,'N'),(15,2043106,'2',333,'N'),(15,2043114,'1',317,'N'),(15,2043114,'2',333,'N'),(15,2043122,'1',308,'N'),(15,2043122,'2',324,'N'),(15,2043130,'1',103,'N'),(15,2043130,'2',450,'N'),(15,2043149,'1',103,'N'),(15,2043149,'2',415,'N'),(15,2043157,'1',214,'N'),(15,2043157,'1A',203,'N'),(15,2043157,'2',222,'N'),(15,2043165,'1',319,'N'),(15,2043165,'2',329,'N'),(15,2043173,'1',103,'N'),(15,2043173,'2',415,'N'),(15,2043181,'1',103,'N'),(15,2043181,'2',104,'N'),(15,2043190,'1',211,'N'),(15,2043190,'1A',201,'N'),(15,2043190,'2',404,'N'),(15,2043203,'1',215,'N'),(15,2043203,'1A',216,'N'),(15,2043203,'2',233,'N'),(15,2043211,'1',216,'N'),(15,2043211,'1A',202,'N'),(15,2043211,'2',217,'N'),(15,2043238,'1',217,'N'),(15,2043238,'2',224,'N'),(15,2043246,'1',308,'N'),(15,2043246,'2',425,'N'),(15,2043254,'1',333,'N'),(15,2043254,'2',502,'N'),(15,2043262,'1',103,'N'),(15,2043270,'1',450,'N'),(15,2043270,'1A',425,'S'),(15,2043270,'2',451,'N'),(15,2043289,'1',103,'N'),(15,2043297,'1',238,'N'),(15,2043297,'1A',208,'N'),(15,2043297,'2',316,'N'),(15,2043300,'1',9,'N'),(15,2043300,'2',404,'N'),(15,2043327,'1',103,'N'),(15,2043327,'2',104,'N'),(15,2043343,'1',214,'N'),(15,2043343,'1A',213,'N'),(15,2043343,'2',212,'N'),(15,2043351,'1',324,'N'),(15,2043351,'2',318,'N'),(15,2043360,'1',304,'N'),(15,2043360,'2',301,'N'),(15,2043378,'1',316,'N'),(15,2043378,'2',327,'N'),(15,2043394,'1',301,'N'),(15,2043394,'2',108,'N'),(15,2043408,'1',103,'N'),(15,2043408,'2',102,'N'),(15,2043416,'1',217,'N'),(15,2043424,'1',103,'N'),(15,2043424,'2',220,'N'),(15,2043432,'1',333,'N'),(15,2043432,'2',211,'N'),(15,2043459,'1',203,'N'),(15,2043459,'1A',201,'N'),(15,2043459,'2',220,'N'),(15,2043475,'1',316,'N'),(15,2043475,'2',317,'N'),(15,2043483,'1',216,'N'),(15,2043483,'1A',211,'N'),(15,2043483,'2',217,'N'),(15,2043491,'1',220,'N'),(15,2043491,'1A',202,'N'),(15,2043491,'2',203,'N'),(15,2043505,'1',104,'N'),(15,2043505,'2',102,'N'),(15,2043513,'1',308,'N'),(15,2043513,'2',420,'N'),(15,2043521,'1',103,'N'),(15,2043521,'2',333,'N'),(15,2043530,'1',103,'N'),(15,2043530,'2',5,'N'),(15,2043556,'1',329,'N'),(15,2043564,'1',450,'N'),(15,2043564,'1A',426,'S'),(15,2043564,'2',415,'N'),(15,2043572,'1',211,'N'),(15,2043572,'1A',238,'N'),(15,2043572,'2',224,'N'),(15,2043580,'1',316,'N'),(15,2043580,'2',415,'N'),(15,2043599,'1',203,'N'),(15,2043599,'1A',214,'N'),(15,2043599,'2',220,'N'),(15,2043602,'1',103,'N'),(15,2043602,'2',444,'N'),(15,2043610,'1',104,'N'),(15,2043610,'2',102,'N'),(15,2043629,'1',238,'N'),(15,2043629,'1A',208,'N'),(15,2043629,'2',415,'N'),(15,2043645,'1',102,'N'),(15,2043645,'2',9,'N'),(15,2043653,'1',5,'N'),(15,2043653,'2',303,'N'),(15,2043661,'1',216,'N'),(15,2043661,'1A',207,'N'),(15,2043661,'2',415,'N'),(15,2043670,'1',103,'N'),(15,2043688,'1',217,'N'),(15,2043688,'2',215,'N'),(15,2043696,'1',220,'N'),(15,2043696,'1A',208,'N'),(15,2043696,'2',238,'N'),(15,2043718,'1',208,'N'),(15,2043718,'2',444,'N'),(15,2043726,'1',102,'N'),(15,2043726,'2',215,'N'),(15,2043734,'1',420,'N'),(15,2043734,'2',316,'N'),(15,2043742,'1',216,'N'),(15,2043742,'1A',215,'N'),(15,2043742,'2',211,'N'),(15,2043750,'1',214,'N'),(15,2043750,'1A',207,'N'),(15,2043750,'2',220,'N'),(15,2043769,'1',108,'N'),(15,2043769,'2',333,'N'),(15,2043777,'1',327,'N'),(15,2043777,'2',5,'N'),(15,2043793,'1',220,'N'),(15,2043793,'1A',208,'N'),(15,2043793,'2',238,'N'),(15,2043807,'1',213,'N'),(15,2043807,'1A',202,'N'),(15,2043807,'2',2,'N'),(15,2043815,'1',332,'N'),(15,2043815,'2',331,'N'),(15,2043823,'1',104,'N'),(15,2043831,'1',103,'N'),(15,2043831,'2',102,'N'),(15,2043840,'1',103,'N'),(15,2043866,'1',415,'N'),(15,2043866,'2',429,'N'),(15,2043874,'1',103,'N'),(15,2043882,'1',415,'N'),(15,2043882,'2',327,'N'),(15,2043890,'1',108,'N'),(15,2043890,'2',501,'N'),(15,2043912,'1',420,'N'),(15,2043912,'1A',425,'S'),(15,2043912,'2',203,'N'),(15,2043920,'1',233,'N'),(15,2043939,'1',238,'N'),(15,2043939,'1A',208,'N'),(15,2043939,'2',222,'N'),(15,2043947,'1',207,'N'),(15,2043947,'1A',215,'N'),(15,2043947,'2',301,'N'),(15,2043963,'1',216,'N'),(15,2043963,'1A',233,'N'),(15,2043963,'2',217,'N'),(15,2043971,'1',103,'N'),(15,2043971,'2',217,'N'),(15,2043980,'1',308,'N'),(15,2043980,'2',319,'N'),(15,2043998,'1',103,'N'),(15,2043998,'2',104,'N'),(15,2044005,'1',5,'N'),(15,2044021,'1',2,'N'),(15,2044048,'1',103,'N'),(15,2044048,'2',108,'N'),(15,2044056,'1',103,'N'),(15,2044056,'2',104,'N'),(15,2044072,'1',424,'N'),(15,2044072,'1A',426,'N'),(15,2044072,'2',319,'N'),(15,2044099,'1',103,'N'),(15,2044099,'2',207,'N'),(15,2044102,'1',301,'N'),(15,2044102,'2',316,'N'),(15,2044110,'1',303,'N'),(15,2044110,'2',424,'N'),(15,2044137,'1',101,'N'),(15,2044137,'2',217,'N'),(15,2044145,'1',203,'N'),(15,2044145,'1A',220,'N'),(15,2044145,'2',202,'N'),(15,2044153,'1',207,'N'),(15,2044153,'2',420,'N'),(15,2044170,'1',211,'N'),(15,2044170,'1A',216,'N'),(15,2044170,'2',201,'N'),(15,2044196,'1',223,'N'),(15,2044196,'2',225,'N'),(15,2044200,'1',327,'N'),(15,2044200,'2',426,'N'),(15,2044218,'1',202,'N'),(15,2044218,'2',301,'N'),(15,2044234,'1',429,'N'),(15,2044234,'1A',425,'N'),(15,2044234,'2',424,'N'),(15,2044242,'1',103,'N'),(15,2044242,'2',104,'N'),(15,2044250,'1',327,'N'),(15,2044250,'2',326,'N'),(15,2044269,'1',103,'N'),(15,2044269,'2',223,'N'),(15,2044277,'1',404,'N'),(15,2044277,'2',444,'N'),(15,2044285,'1',203,'N'),(15,2044285,'1A',220,'N'),(15,2044285,'2',214,'N'),(15,2044293,'1',233,'N'),(15,2044293,'1A',215,'N'),(15,2044293,'2',217,'N'),(15,2044307,'1',208,'N'),(15,2044307,'2',420,'N'),(15,2044323,'1',428,'N'),(15,2044323,'1A',426,'N'),(15,2044323,'2',316,'N'),(15,2044331,'1',103,'N'),(15,2044331,'2',104,'N'),(15,2044340,'1',317,'N'),(15,2044340,'2',404,'N'),(15,2044358,'1',103,'N'),(15,2044358,'2',207,'N'),(15,2044366,'1',201,'N'),(15,2044366,'1A',207,'N'),(15,2044366,'2',404,'N'),(15,2044382,'1',319,'N'),(15,2044382,'2',320,'N'),(15,2044404,'1',104,'N'),(15,2044412,'1',216,'N'),(15,2044412,'1A',215,'N'),(15,2044412,'2',102,'N'),(15,2044420,'1',103,'N'),(15,2044420,'2',104,'N'),(15,2044439,'1',101,'N'),(15,2044439,'2',424,'N'),(15,2044447,'1',103,'N'),(15,2044447,'2',316,'N'),(15,2044463,'1',234,'N'),(15,2044463,'2',317,'N'),(15,2044480,'1',101,'N'),(15,2044480,'2',103,'N'),(15,2044498,'1',217,'N'),(15,2044498,'2',501,'N'),(15,2044528,'1',317,'N'),(15,2044528,'2',224,'N'),(15,2044536,'1',316,'N'),(15,2044536,'2',318,'N'),(15,2044544,'1',301,'N'),(15,2044544,'2',316,'N'),(15,2044552,'1',301,'N'),(15,2044552,'2',324,'N'),(15,2044560,'1',104,'N'),(15,2044560,'2',301,'N'),(15,2044579,'1',103,'N'),(15,2044579,'2',301,'N'),(15,2044587,'1',319,'N'),(15,2044587,'2',428,'N'),(15,2044595,'1',301,'N'),(15,2044595,'2',444,'N'),(15,2044609,'1',212,'N'),(15,2044609,'1A',201,'N'),(15,2044609,'2',208,'N'),(15,2044625,'1',211,'N'),(15,2044625,'1A',216,'N'),(15,2044625,'2',333,'N'),(15,2044633,'1',104,'N'),(15,2044633,'2',327,'N'),(15,2044641,'1',5,'N'),(15,2044641,'2',451,'N'),(15,2044650,'1',316,'N'),(15,2044650,'2',301,'N'),(15,2044668,'1',316,'N'),(15,2044668,'2',333,'N'),(15,2044684,'1',103,'N'),(15,2044684,'2',108,'N'),(15,2044706,'1',5,'N'),(15,2044706,'2',303,'N'),(15,2044714,'1',5,'N'),(15,2044714,'2',317,'N'),(15,2044730,'1',303,'N'),(15,2044730,'2',415,'N'),(15,2044749,'1',319,'N'),(15,2044749,'2',415,'N'),(15,2044757,'1',201,'N'),(15,2044757,'2',415,'N'),(15,2044765,'1',103,'N'),(15,2044765,'2',108,'N'),(15,2044781,'1',303,'N'),(15,2044781,'2',5,'N'),(15,2044790,'1',108,'N'),(15,2044790,'2',319,'N'),(15,2044803,'1',333,'N'),(15,2044803,'2',420,'N'),(15,2044811,'1',317,'N'),(15,2044820,'1',207,'N'),(15,2044820,'1A',201,'N'),(15,2044820,'2',420,'N'),(15,2044838,'1',104,'N'),(15,2044838,'2',102,'N'),(15,2044846,'1',238,'N'),(15,2044846,'1A',208,'N'),(15,2044846,'2',320,'N'),(15,2044854,'1',207,'N'),(15,2044854,'1A',201,'N'),(15,2044862,'1',415,'N'),(15,2044862,'2',5,'N'),(15,2044870,'1',207,'N'),(15,2044870,'1A',211,'N'),(15,2044870,'2',303,'N'),(15,2044889,'1',220,'N'),(15,2044889,'1A',203,'N'),(15,2044889,'2',208,'N'),(15,2044897,'1',103,'N'),(15,2044897,'2',101,'N'),(15,2044919,'1',215,'N'),(15,2044919,'1A',216,'N'),(15,2044919,'2',420,'N'),(15,2044927,'1',415,'N'),(15,2044927,'2',451,'N'),(15,2044943,'1',101,'N'),(15,2044943,'2',339,'N'),(15,2044951,'1',329,'N'),(15,2044951,'2',319,'N'),(15,2044978,'1',103,'N'),(15,2044978,'2',404,'N'),(15,2044986,'1',333,'N'),(15,2044986,'2',331,'N'),(15,2044994,'1',108,'N'),(15,2044994,'2',502,'N'),(15,2045001,'1',202,'N'),(15,2045001,'1A',238,'N'),(15,2045001,'2',222,'N'),(15,2045010,'1',319,'N'),(15,2045010,'2',328,'N'),(15,2045028,'1',212,'N'),(15,2045028,'1A',213,'N'),(15,2045036,'1',303,'N'),(15,2045036,'2',202,'N'),(15,2045044,'1',302,'N'),(15,2045044,'2',304,'N'),(15,2045052,'1',319,'N'),(15,2045052,'2',308,'N'),(15,2045060,'1',308,'N'),(15,2045060,'2',424,'N'),(15,2045079,'1',103,'N'),(15,2045079,'2',102,'N'),(15,2045087,'1',316,'N'),(15,2045087,'2',211,'N'),(15,2045095,'1',423,'N'),(15,2045095,'1A',427,'N'),(15,2045095,'2',324,'N'),(15,2045109,'1',103,'N'),(15,2045109,'2',333,'N'),(15,2045117,'1',420,'N'),(15,2045117,'2',207,'N'),(15,2045125,'1',207,'N'),(15,2045141,'1',220,'N'),(15,2045141,'1A',214,'N'),(15,2045141,'2',208,'N'),(15,2045150,'1',501,'N'),(15,2045150,'2',502,'N'),(15,2045168,'1',425,'N'),(15,2045168,'1A',429,'N'),(15,2045168,'2',502,'N'),(15,2045176,'1',238,'N'),(15,2045192,'1',211,'N'),(15,2045214,'1',501,'N'),(15,2045214,'2',234,'N'),(15,2045230,'1',303,'N'),(15,2045230,'2',5,'N'),(15,2045249,'1',103,'N'),(15,2045249,'2',9,'N'),(15,2045257,'1',102,'N'),(15,2045257,'2',333,'N'),(15,2045265,'1',216,'N'),(15,2045265,'1A',203,'N'),(15,2045265,'2',202,'N'),(15,2045273,'1',102,'N'),(15,2045273,'2',339,'N'),(15,2045281,'1',326,'N'),(15,2045281,'2',324,'N'),(15,2045311,'1',102,'N'),(15,2045311,'2',216,'N'),(15,2045320,'1',450,'N'),(15,2045320,'1A',429,'S'),(15,2045320,'2',233,'N'),(15,2045354,'1',310,'N'),(15,2045354,'2',320,'N'),(15,2045362,'1',220,'N'),(15,2045362,'1A',216,'N'),(15,2045362,'2',203,'N'),(15,2045389,'1',9,'N'),(15,2045389,'2',211,'N'),(15,2045397,'1',420,'N'),(15,2045397,'2',207,'N'),(15,2045400,'1',103,'N'),(15,2045400,'2',104,'N'),(15,2045427,'1',207,'N'),(15,2045427,'1A',215,'N'),(15,2045427,'2',201,'N'),(15,2045435,'1',103,'N'),(15,2045435,'2',102,'N'),(15,2045443,'1',415,'N'),(15,2045443,'2',309,'N'),(15,2045451,'1',207,'N'),(15,2045451,'2',420,'N'),(15,2045486,'1',429,'N'),(15,2045486,'1A',428,'N'),(15,2045486,'2',331,'N'),(15,2045494,'1',238,'N'),(15,2045494,'1A',212,'N'),(15,2045494,'2',317,'N'),(15,2045524,'1',5,'N'),(15,2045524,'2',214,'N'),(15,2045532,'1',103,'N'),(15,2045532,'2',207,'N'),(15,2045540,'1',420,'N'),(15,2045540,'2',319,'N'),(15,2045559,'1',9,'N'),(15,2045559,'2',223,'N'),(15,2045567,'1',108,'N'),(15,2045567,'2',501,'N'),(15,2045575,'1',304,'N'),(15,2045575,'2',329,'N'),(15,2045583,'1',211,'N'),(15,2045583,'1A',215,'N'),(15,2045583,'2',333,'N'),(15,2045591,'1',319,'N'),(15,2045591,'2',424,'N'),(15,2045605,'1',217,'N'),(15,2045605,'2',216,'N'),(15,2045613,'1',215,'N'),(15,2045613,'2',333,'N'),(15,2045621,'1',207,'N'),(15,2045621,'2',308,'N'),(15,2045630,'1',302,'N'),(15,2045630,'2',444,'N'),(15,2045648,'1',214,'N'),(15,2045648,'1A',220,'N'),(15,2045648,'2',203,'N'),(15,2045656,'1',102,'N'),(15,2045656,'2',215,'N'),(15,2045664,'1',103,'N'),(15,2045672,'1',333,'N'),(15,2045672,'2',238,'N'),(15,2045680,'1',103,'N'),(15,2045680,'2',333,'N'),(15,2045729,'1',234,'N'),(15,2045729,'2',319,'N'),(15,2045737,'1',444,'N'),(15,2045737,'2',502,'N'),(15,2045761,'1',501,'N'),(15,2045761,'2',333,'N'),(15,2045770,'1',329,'N'),(15,2045788,'1',207,'N'),(15,2045788,'1A',212,'N'),(15,2045788,'2',301,'N'),(15,2045796,'1',103,'N'),(15,2045796,'2',101,'N'),(15,2045818,'1',103,'N'),(15,2045818,'2',225,'N'),(15,2045826,'1',5,'N'),(15,2045826,'2',331,'N'),(15,2045834,'1',103,'N'),(15,2045834,'2',104,'N'),(15,2045842,'1',303,'N'),(15,2045842,'2',319,'N'),(15,2045850,'1',308,'N'),(15,2045850,'2',222,'N'),(15,2045869,'1',332,'N'),(15,2045869,'2',421,'N'),(15,2045877,'1',5,'N'),(15,2045877,'2',318,'N'),(15,2045893,'1',207,'N'),(15,2045893,'1A',201,'N'),(15,2045893,'2',303,'N'),(15,2045907,'1',108,'N'),(15,2045907,'2',451,'N'),(15,2045915,'1',108,'N'),(15,2045915,'2',420,'N'),(15,2045923,'1',103,'N'),(15,2045931,'1',5,'N'),(15,2045931,'2',316,'N'),(15,2045940,'1',238,'N'),(15,2045940,'1A',208,'N'),(15,2045940,'2',202,'N'),(15,2045958,'1',102,'N'),(15,2045958,'2',215,'N'),(15,2045974,'1',207,'N'),(15,2045974,'1A',201,'N'),(15,2045974,'2',420,'N'),(15,2045990,'1',415,'N'),(15,2045990,'1A',426,'S'),(15,2045990,'2',303,'N'),(15,2046008,'1',224,'N'),(15,2046008,'2',225,'N'),(15,2046016,'1',324,'N'),(15,2046016,'2',339,'N'),(15,2046024,'1',444,'N'),(15,2046024,'2',404,'N'),(15,2046032,'1',301,'N'),(15,2046032,'2',302,'N'),(15,2046059,'1',5,'N'),(15,2046059,'2',104,'N'),(15,2046067,'1',102,'N'),(15,2046067,'2',420,'N'),(15,2046075,'1',104,'N'),(15,2046075,'2',415,'N'),(15,2046083,'1',103,'N'),(15,2046083,'2',9,'N'),(15,2046091,'1',310,'N'),(15,2046091,'2',328,'N'),(15,2046105,'1',103,'N'),(15,2046105,'2',108,'N'),(15,2046113,'1',303,'N'),(15,2046113,'2',5,'N'),(15,2046130,'1',103,'N'),(15,2046156,'1',415,'N'),(15,2046156,'2',451,'N'),(15,2046164,'1',426,'N'),(15,2046164,'2',423,'N'),(15,2046172,'1',217,'N'),(15,2046172,'2',216,'N'),(15,2046210,'1',103,'N'),(15,2046210,'2',233,'N'),(15,2046229,'1',303,'N'),(15,2046229,'2',424,'N'),(15,2046237,'1',303,'N'),(15,2046237,'2',5,'N'),(15,2046245,'1',103,'N'),(15,2046245,'2',104,'N'),(15,2046261,'1',316,'N'),(15,2046261,'2',304,'N'),(15,2046270,'1',303,'N'),(15,2046270,'2',425,'N'),(15,2046288,'1',339,'N'),(15,2046288,'2',101,'N'),(15,2046296,'1',201,'N'),(15,2046296,'1A',207,'N'),(15,2046296,'2',326,'N'),(15,2046318,'1',217,'N'),(15,2046318,'2',216,'N'),(15,2046326,'1',316,'N'),(15,2046326,'2',101,'N'),(15,2046350,'1',333,'N'),(15,2046350,'2',108,'N'),(15,2046369,'1',207,'N'),(15,2046369,'1A',233,'N'),(15,2046369,'2',316,'N'),(15,2046377,'1',103,'N'),(15,2046377,'2',102,'N'),(15,2046385,'1',5,'N'),(15,2046385,'2',425,'N'),(15,2046393,'1',316,'N'),(15,2046407,'1',331,'N'),(15,2046415,'1',303,'N'),(15,2046415,'2',5,'N'),(15,2046423,'1',502,'N'),(15,2046423,'2',102,'N'),(15,2046431,'1',203,'N'),(15,2046431,'1A',238,'N'),(15,2046431,'2',5,'N'),(15,2046440,'1',213,'N'),(15,2046440,'1A',214,'N'),(15,2046440,'2',202,'N'),(15,2046458,'1',225,'N'),(15,2046458,'2',2,'N'),(15,2046474,'1',207,'N'),(15,2046474,'2',208,'N'),(15,2046482,'1',103,'N'),(15,2046482,'2',425,'N'),(15,2046504,'1',203,'N'),(15,2046504,'1A',202,'N'),(15,2046504,'2',220,'N'),(15,2046520,'1',103,'N'),(15,2046520,'2',104,'N'),(15,2046539,'1',103,'N'),(15,2046539,'2',104,'N'),(15,2046547,'1',103,'N'),(15,2046547,'2',428,'N'),(15,2046555,'1',450,'N'),(15,2046555,'2',329,'N'),(15,2046580,'1',103,'N'),(15,2046601,'1',420,'N'),(15,2046601,'2',415,'N'),(15,2046610,'1',501,'N'),(15,2046610,'2',214,'N'),(15,2046628,'1',308,'N'),(15,2046628,'2',451,'N'),(15,2046636,'1',326,'N'),(15,2046636,'2',319,'N'),(15,2046644,'1',333,'N'),(15,2046644,'2',502,'N'),(15,2046652,'1',103,'N'),(15,2046652,'2',102,'N'),(15,2046660,'1',5,'N'),(15,2046660,'2',329,'N'),(15,2046679,'1',308,'N'),(15,2046679,'2',425,'N'),(15,2046687,'1',319,'N'),(15,2046687,'2',339,'N'),(15,2046709,'1',333,'N'),(15,2046709,'2',444,'N'),(15,2046717,'1',220,'N'),(15,2046725,'1',202,'N'),(15,2046725,'1A',207,'N'),(15,2046725,'2',420,'N'),(15,2046750,'1',319,'N'),(15,2046750,'2',303,'N'),(15,2046768,'1',332,'N'),(15,2046768,'2',333,'N'),(15,2046776,'1',103,'N'),(15,2046784,'1',207,'N'),(15,2046784,'2',301,'N'),(15,2046806,'1',217,'N'),(15,2046822,'1',108,'N'),(15,2046822,'2',333,'N'),(15,2046830,'1',108,'N'),(15,2046830,'2',327,'N'),(15,2046857,'1',211,'N'),(15,2046857,'1A',215,'N'),(15,2046857,'2',9,'N'),(15,2046865,'1',103,'N'),(15,2046865,'2',216,'N'),(15,2046873,'1',212,'N'),(15,2046873,'1A',215,'N'),(15,2046873,'2',201,'N'),(15,2046890,'1',215,'N'),(15,2046890,'2',217,'N'),(15,2046903,'1',319,'N'),(15,2046911,'1',426,'N'),(15,2046911,'1A',428,'N'),(15,2046920,'1',303,'N'),(15,2046920,'2',316,'N'),(15,2046938,'1',5,'N'),(15,2046938,'2',425,'N'),(15,2046946,'1',103,'N'),(15,2046946,'2',333,'N'),(15,2046954,'1',207,'N'),(15,2046954,'1A',201,'N'),(15,2046954,'2',108,'N'),(15,2046962,'1',327,'N'),(15,2046962,'2',326,'N'),(15,2046970,'1',101,'N'),(15,2046970,'2',309,'N'),(15,2046989,'1',5,'N'),(15,2046989,'2',303,'N'),(15,2046997,'1',103,'N'),(15,2046997,'2',319,'N'),(15,2047012,'1',415,'N'),(15,2047012,'1A',425,'S'),(15,2047012,'2',426,'N'),(15,2047020,'1',316,'N'),(15,2047020,'2',238,'N'),(15,2047039,'1',102,'N'),(15,2047039,'2',421,'N'),(15,2047047,'1',450,'N'),(15,2047047,'1A',425,'S'),(15,2047047,'2',415,'N'),(15,2047063,'1',317,'N'),(15,2047063,'2',302,'N'),(15,2047080,'1',303,'N'),(15,2047080,'2',415,'N'),(15,2047098,'1',202,'N'),(15,2047098,'1A',213,'N'),(15,2047098,'2',220,'N'),(15,2047101,'1',215,'N'),(15,2047101,'1A',216,'N'),(15,2047101,'2',233,'N'),(15,2047110,'1',103,'N'),(15,2047110,'2',104,'N'),(15,2047128,'1',320,'N'),(15,2047128,'2',339,'N'),(15,2047136,'1',5,'N'),(15,2047136,'2',318,'N'),(15,2047144,'1',203,'N'),(15,2047144,'1A',202,'N'),(15,2047144,'2',102,'N'),(15,2047152,'1',203,'N'),(15,2047152,'1A',214,'N'),(15,2047152,'2',220,'N'),(15,2047160,'1',208,'N'),(15,2047160,'1A',238,'N'),(15,2047160,'2',222,'N'),(15,2047179,'1',211,'N'),(15,2047179,'1A',202,'N'),(15,2047179,'2',333,'N'),(15,2047187,'1',103,'N'),(15,2047187,'2',101,'N'),(15,2047195,'1',203,'N'),(15,2047195,'1A',202,'N'),(15,2047195,'2',333,'N'),(15,2047209,'1',202,'N'),(15,2047217,'1',444,'N'),(15,2047217,'2',215,'N'),(15,2047225,'1',103,'N'),(15,2047225,'2',102,'N'),(15,2047233,'1',216,'N'),(15,2047233,'1A',201,'N'),(15,2047233,'2',202,'N'),(15,2047241,'1',201,'N'),(15,2047241,'2',207,'N'),(15,2047250,'1',203,'N'),(15,2047250,'1A',214,'N'),(15,2047250,'2',303,'N'),(15,2047268,'1',203,'N'),(15,2047268,'1A',214,'N'),(15,2047268,'2',225,'N'),(15,2047284,'1',304,'N'),(15,2047284,'2',324,'N'),(15,2047306,'1',103,'N'),(15,2047306,'2',102,'N'),(15,2047314,'1',444,'N'),(15,2047314,'2',332,'N'),(15,2047322,'1',103,'N'),(15,2047322,'2',104,'N'),(15,2047330,'1',103,'N'),(15,2047330,'2',104,'N'),(15,2047357,'1',415,'N'),(15,2047357,'1A',424,'S'),(15,2047357,'2',5,'N'),(15,2047390,'1',415,'N'),(15,2047390,'1A',425,'S'),(15,2047390,'2',5,'N'),(15,2047403,'1',103,'N'),(15,2047403,'2',104,'N'),(15,2047411,'1',450,'N'),(15,2047411,'2',216,'N'),(15,2047420,'1',103,'N'),(15,2047420,'2',331,'N'),(15,2047438,'1',103,'N'),(15,2047438,'2',501,'N'),(15,2047446,'1',203,'N'),(15,2047446,'2',108,'N'),(15,2047462,'1',5,'N'),(15,2047462,'2',303,'N'),(15,2047470,'1',303,'N'),(15,2047470,'2',211,'N'),(15,2047489,'1',103,'N'),(15,2047489,'2',303,'N'),(15,2047500,'1',302,'N'),(15,2047500,'2',301,'N'),(15,2047519,'1',215,'N'),(15,2047527,'1',207,'N'),(15,2047527,'1A',201,'N'),(15,2047527,'2',103,'N'),(15,2047535,'1',103,'N'),(15,2047535,'2',216,'N'),(15,2047543,'1',5,'N'),(15,2047543,'2',319,'N'),(15,2047551,'1',208,'N'),(15,2047551,'1A',238,'N'),(15,2047551,'2',233,'N'),(15,2047578,'1',501,'N'),(15,2047578,'2',423,'N'),(15,2047586,'1',102,'N'),(15,2047586,'2',108,'N'),(15,2047608,'1',103,'N'),(15,2047608,'2',104,'N'),(15,2047616,'1',103,'N'),(15,2047616,'2',101,'N'),(15,2047624,'1',207,'N'),(15,2047624,'1A',201,'N'),(15,2047624,'2',420,'N'),(15,2047632,'1',103,'N'),(15,2047632,'2',450,'N'),(15,2047640,'1',103,'N'),(15,2047640,'2',104,'N'),(15,2047667,'1',444,'N'),(15,2047667,'2',9,'N'),(15,2047675,'1',319,'N'),(15,2047675,'2',425,'N'),(15,2047683,'1',103,'N'),(15,2047683,'2',9,'N'),(15,2047705,'1',211,'N'),(15,2047705,'1A',215,'N'),(15,2047705,'2',303,'N'),(15,2047713,'1',211,'N'),(15,2047713,'1A',215,'N'),(15,2047713,'2',333,'N'),(15,2047721,'1',404,'N'),(15,2047721,'2',324,'N'),(15,2047730,'1',103,'N'),(15,2047730,'2',104,'N'),(15,2047764,'1',216,'N'),(15,2047764,'1A',203,'N'),(15,2047764,'2',214,'N'),(15,2047772,'1',238,'N'),(15,2047772,'1A',208,'N'),(15,2047772,'2',327,'N'),(15,2047780,'1',327,'N'),(15,2047780,'2',339,'N'),(15,2047799,'1',103,'N'),(15,2047799,'2',319,'N'),(15,2047810,'1',5,'N'),(15,2047810,'2',421,'N'),(15,2047829,'1',420,'N'),(15,2047829,'2',450,'N'),(15,2047837,'1',234,'N'),(15,2047837,'2',2,'N'),(15,2047845,'1',217,'N'),(15,2047845,'2',2,'N'),(15,2047853,'1',202,'N'),(15,2047853,'1A',213,'N'),(15,2047853,'2',2,'N'),(15,2047870,'1',101,'N'),(15,2047870,'2',333,'N'),(15,2047888,'1',203,'N'),(15,2047888,'1A',216,'N'),(15,2047888,'2',202,'N'),(15,2047896,'1',103,'N'),(15,2047896,'2',9,'N'),(15,2047900,'1',103,'N'),(15,2047934,'1',301,'N'),(15,2047934,'2',316,'N'),(15,2047942,'1',104,'N'),(15,2047942,'2',316,'N'),(15,2047950,'1',103,'N'),(15,2047950,'2',404,'N'),(15,2047969,'1',217,'N'),(15,2047969,'2',421,'N'),(15,2047977,'1',103,'N'),(15,2047977,'2',216,'N'),(15,2047985,'1',103,'N'),(15,2047985,'2',9,'N'),(15,2047993,'1',207,'N'),(15,2047993,'1A',201,'N'),(15,2047993,'2',420,'N'),(15,2048000,'1',101,'N'),(15,2048000,'2',102,'N'),(15,2048027,'1',104,'N'),(15,2048027,'2',404,'N'),(15,2048035,'1',220,'N'),(15,2048035,'1A',203,'N'),(15,2048035,'2',333,'N'),(15,2048043,'1',103,'N'),(15,2048043,'2',102,'N'),(15,2048051,'1',214,'N'),(15,2048051,'1A',208,'N'),(15,2048051,'2',223,'N'),(15,2048060,'1',207,'N'),(15,2048060,'1A',201,'N'),(15,2048060,'2',420,'N'),(15,2048078,'1',303,'N'),(15,2048086,'1',308,'N'),(15,2048086,'2',444,'N'),(15,2048094,'1',303,'N'),(15,2048094,'2',5,'N'),(15,2048116,'1',450,'N'),(15,2048116,'2',428,'N'),(15,2048124,'1',420,'N'),(15,2048124,'1A',425,'S'),(15,2048124,'2',207,'N'),(15,2048132,'1',108,'N'),(15,2048132,'2',104,'N'),(15,2048140,'1',212,'N'),(15,2048140,'1A',211,'N'),(15,2048140,'2',501,'N'),(15,2048167,'1',202,'N'),(15,2048167,'1A',213,'N'),(15,2048167,'2',304,'N'),(15,2048175,'1',238,'N'),(15,2048175,'1A',208,'N'),(15,2048175,'2',404,'N'),(15,2048191,'1',5,'N'),(15,2048191,'2',320,'N'),(15,2048205,'1',203,'N'),(15,2048205,'1A',201,'N'),(15,2048205,'2',327,'N'),(15,2048213,'1',420,'N'),(15,2048213,'2',424,'N'),(15,2048230,'1',104,'N'),(15,2048230,'2',201,'N'),(15,2048248,'1',202,'N'),(15,2048248,'1A',220,'N'),(15,2048248,'2',215,'N'),(15,2048264,'1',103,'N'),(15,2048264,'2',308,'N'),(15,2048280,'1',104,'N'),(15,2048280,'2',101,'N'),(15,2048299,'1',308,'N'),(15,2048299,'2',424,'N'),(15,2048302,'1',203,'N'),(15,2048302,'1A',201,'N'),(15,2048310,'1',216,'N'),(15,2048310,'1A',207,'N'),(15,2048310,'2',201,'N'),(15,2048329,'1',103,'N'),(15,2048329,'2',319,'N'),(15,2048337,'1',303,'N'),(15,2048337,'2',404,'N'),(15,2048345,'1',222,'N'),(15,2048345,'2',223,'N'),(15,2048353,'1',501,'N'),(15,2048353,'2',233,'N'),(15,2048361,'1',9,'N'),(15,2048361,'2',444,'N'),(15,2048388,'1',319,'N'),(15,2048388,'2',451,'N'),(15,2048396,'1',211,'N'),(15,2048396,'1A',215,'N'),(15,2048396,'2',202,'N'),(15,2048400,'1',104,'N'),(15,2048400,'2',502,'N'),(15,2048426,'1',103,'N'),(15,2048426,'2',207,'N'),(15,2048450,'1',319,'N'),(15,2048450,'2',328,'N'),(15,2048469,'1',207,'N'),(15,2048469,'1A',215,'N'),(15,2048469,'2',420,'N'),(15,2048477,'1',501,'N'),(15,2048477,'2',233,'N'),(15,2048493,'1',103,'N'),(15,2048493,'2',203,'N'),(15,2048507,'1',207,'N'),(15,2048507,'1A',201,'N'),(15,2048507,'2',420,'N'),(15,2048515,'1',207,'N'),(15,2048515,'1A',211,'N'),(15,2048523,'1',326,'N'),(15,2048523,'2',327,'N'),(15,2048531,'1',415,'N'),(15,2048531,'1A',423,'S'),(15,2048531,'2',451,'N'),(15,2048540,'1',108,'N'),(15,2048540,'2',333,'N'),(15,2048558,'1',103,'N'),(15,2048558,'2',108,'N'),(15,2048566,'1',108,'N'),(15,2048566,'2',103,'N'),(15,2048574,'1',9,'N'),(15,2048574,'2',420,'N'),(15,2048582,'1',238,'N'),(15,2048582,'1A',201,'N'),(15,2048582,'2',327,'N'),(15,2048590,'1',303,'N'),(15,2048590,'2',415,'N'),(15,2048604,'1',103,'N'),(15,2048604,'2',207,'N'),(15,2048612,'1',103,'N'),(15,2048612,'2',108,'N'),(15,2048620,'1',207,'N'),(15,2048620,'2',420,'N'),(15,2048639,'1',5,'N'),(15,2048639,'2',415,'N'),(15,2048647,'1',201,'N'),(15,2048647,'1A',233,'N'),(15,2048647,'2',212,'N'),(15,2048663,'1',203,'N'),(15,2048663,'1A',201,'N'),(15,2048663,'2',225,'N'),(15,2048671,'1',450,'N'),(15,2048671,'1A',428,'S'),(15,2048671,'2',415,'N'),(15,2048680,'1',207,'N'),(15,2048680,'1A',201,'N'),(15,2048680,'2',420,'N'),(15,2048698,'1',102,'N'),(15,2048698,'2',501,'N'),(15,2048701,'1',103,'N'),(15,2048701,'2',319,'N'),(15,2048710,'1',319,'N'),(15,2048710,'2',214,'N'),(15,2048728,'1',215,'N'),(15,2048728,'1A',211,'N'),(15,2048728,'2',324,'N'),(15,2048736,'1',333,'N'),(15,2048736,'2',404,'N'),(15,2048752,'1',103,'N'),(15,2048752,'2',9,'N'),(15,2048760,'1',331,'N'),(15,2048760,'2',211,'N'),(15,2048779,'1',203,'N'),(15,2048779,'1A',214,'N'),(15,2048779,'2',220,'N'),(15,2048787,'1',316,'N'),(15,2048787,'2',324,'N'),(15,2048825,'1',5,'N'),(15,2048825,'2',316,'N'),(15,2048833,'1',203,'N'),(15,2048833,'1A',214,'N'),(15,2048841,'1',201,'N'),(15,2048841,'1A',212,'N'),(15,2048841,'2',224,'N'),(15,2048876,'1',316,'N'),(15,2048876,'2',451,'N'),(15,2048884,'1',202,'N'),(15,2048884,'1A',213,'N'),(15,2048884,'2',214,'N'),(15,2048922,'1',208,'N'),(15,2048922,'1A',238,'N'),(15,2048922,'2',304,'N'),(15,2048930,'1',207,'N'),(15,2048930,'1A',201,'N'),(15,2048930,'2',425,'N'),(15,2048949,'1',103,'N'),(15,2048949,'2',333,'N'),(15,2048957,'1',103,'N'),(15,2048957,'2',203,'N'),(15,2048973,'1',207,'N'),(15,2048973,'1A',201,'N'),(15,2048973,'2',215,'N'),(15,2048981,'1',303,'N'),(15,2048981,'2',318,'N'),(15,2048990,'1',213,'N'),(15,2048990,'1A',208,'N'),(15,2048990,'2',301,'N'),(15,2049015,'1',303,'N'),(15,2049015,'2',5,'N'),(15,2049031,'1',203,'N'),(15,2049031,'1A',214,'N'),(15,2049031,'2',103,'N'),(15,2049040,'1',201,'N'),(15,2049040,'1A',212,'N'),(15,2049040,'2',319,'N'),(15,2049058,'1',415,'N'),(15,2049058,'1A',424,'S'),(15,2049058,'2',304,'N'),(15,2049066,'1',324,'N'),(15,2049066,'2',339,'N'),(15,2049074,'1',103,'N'),(15,2049074,'2',225,'N'),(15,2049082,'1',5,'N'),(15,2049082,'2',316,'N'),(15,2049090,'1',203,'N'),(15,2049090,'1A',233,'N'),(15,2049090,'2',208,'N'),(15,2049104,'1',103,'N'),(15,2049104,'2',303,'N'),(15,2049120,'1',103,'N'),(15,2049120,'2',501,'N'),(15,2049139,'1',214,'N'),(15,2049139,'2',212,'N'),(15,2049147,'1',317,'N'),(15,2049147,'2',423,'N'),(15,2049155,'1',339,'N'),(15,2049155,'2',316,'N'),(15,2049163,'1',103,'N'),(15,2049163,'2',101,'N'),(15,2049180,'1',104,'N'),(15,2049180,'2',425,'N'),(15,2049198,'1',103,'N'),(15,2049198,'2',421,'N'),(15,2049201,'1',208,'N'),(15,2049201,'2',238,'N'),(15,2049210,'1',502,'N'),(15,2049210,'2',108,'N'),(15,2049228,'1',303,'N'),(15,2049228,'2',5,'N'),(15,2049236,'1',208,'N'),(15,2049236,'1A',238,'N'),(15,2049244,'1',207,'N'),(15,2049244,'1A',215,'N'),(15,2049244,'2',429,'N'),(15,2049252,'1',9,'N'),(15,2049252,'2',101,'N'),(15,2049260,'1',302,'N'),(15,2049260,'2',301,'N'),(15,2049287,'1',103,'N'),(15,2049287,'2',220,'N'),(15,2049309,'1',215,'N'),(15,2049309,'1A',220,'N'),(15,2049309,'2',319,'N'),(15,2049317,'1',2,'N'),(15,2049317,'2',216,'N'),(15,2049325,'1',216,'N'),(15,2049325,'1A',215,'N'),(15,2049325,'2',217,'N'),(15,2049333,'1',103,'N'),(15,2049333,'2',101,'N'),(15,2049341,'1',319,'N'),(15,2049341,'2',327,'N'),(15,2049350,'1',202,'N'),(15,2049350,'1A',201,'N'),(15,2049350,'2',213,'N'),(15,2049368,'1',201,'N'),(15,2049368,'1A',207,'N'),(15,2049368,'2',216,'N'),(15,2049376,'1',317,'N'),(15,2049376,'2',318,'N'),(15,2049384,'1',302,'N'),(15,2049384,'2',304,'N'),(15,2049392,'1',331,'N'),(15,2049406,'1',444,'N'),(15,2049406,'2',404,'N'),(15,2049414,'1',103,'N'),(15,2049414,'2',108,'N'),(15,2049430,'1',104,'N'),(15,2049430,'2',333,'N'),(15,2049449,'1',108,'N'),(15,2049449,'2',326,'N'),(15,2049457,'1',203,'N'),(15,2049457,'1A',220,'N'),(15,2049457,'2',201,'N'),(15,2049465,'1',5,'N'),(15,2049465,'2',303,'N'),(15,2049473,'1',103,'N'),(15,2049473,'2',104,'N'),(15,2049481,'1',211,'N'),(15,2049481,'1A',215,'N'),(15,2049481,'2',501,'N'),(15,2049503,'1',213,'N'),(15,2049503,'1A',202,'N'),(15,2049503,'2',208,'N'),(15,2049511,'1',319,'N'),(15,2049511,'2',9,'N'),(15,2049520,'1',103,'N'),(15,2049520,'2',451,'N'),(15,2049538,'1',216,'N'),(15,2049538,'1A',233,'N'),(15,2049538,'2',211,'N'),(15,2049546,'1',316,'N'),(15,2049546,'2',2,'N'),(15,2049554,'1',211,'N'),(15,2049554,'1A',201,'N'),(15,2049554,'2',108,'N'),(15,2049562,'1',319,'N'),(15,2049562,'2',427,'N'),(15,2049570,'1',319,'N'),(15,2049570,'2',329,'N'),(15,2049589,'1',211,'N'),(15,2049589,'2',220,'N'),(15,2049597,'1',203,'N'),(15,2049597,'2',214,'N'),(15,2049600,'1',303,'N'),(15,2049600,'2',326,'N'),(15,2049619,'1',303,'N'),(15,2049619,'2',5,'N'),(15,2049627,'1',103,'N'),(15,2049627,'2',108,'N'),(15,2049643,'1',333,'N'),(15,2049643,'2',423,'N'),(15,2049651,'1',202,'N'),(15,2049651,'1A',203,'N'),(15,2049651,'2',201,'N'),(15,2049660,'1',216,'N'),(15,2049660,'2',201,'N'),(15,2049678,'1',217,'N'),(15,2049678,'2',215,'N'),(15,2049686,'1',216,'N'),(15,2049686,'1A',233,'N'),(15,2049686,'2',213,'N'),(15,2049694,'1',108,'N'),(15,2049694,'2',333,'N'),(15,2049708,'1',317,'N'),(15,2049708,'2',224,'N'),(15,2049716,'1',301,'N'),(15,2049716,'2',428,'N'),(15,2049724,'1',208,'N'),(15,2049724,'1A',220,'N'),(15,2049732,'1',216,'N'),(15,2049732,'1A',233,'N'),(15,2049732,'2',217,'N'),(15,2049740,'1',203,'N'),(15,2049740,'1A',214,'N'),(15,2049740,'2',201,'N'),(15,2049759,'1',316,'N'),(15,2049759,'2',333,'N'),(15,2049767,'1',203,'N'),(15,2049767,'1A',220,'N'),(15,2049767,'2',301,'N'),(15,2049775,'1',203,'N'),(15,2049775,'2',316,'N'),(15,2049783,'1',103,'N'),(15,2049783,'2',425,'N'),(15,2049791,'1',203,'N'),(15,2049791,'1A',214,'N'),(15,2049805,'1',108,'N'),(15,2049805,'2',225,'N'),(15,2049813,'1',217,'N'),(15,2049813,'2',202,'N'),(15,2049830,'1',103,'N'),(15,2049830,'2',303,'N'),(15,2049848,'1',304,'N'),(15,2049848,'2',310,'N'),(15,2049856,'1',319,'N'),(15,2049856,'2',420,'N'),(15,2049864,'1',333,'N'),(15,2049864,'2',501,'N'),(15,2049872,'1',104,'N'),(15,2049872,'2',103,'N'),(15,2049880,'1',320,'N'),(15,2049880,'2',327,'N'),(15,2049899,'1',303,'N'),(15,2049899,'2',5,'N'),(15,2049910,'1',234,'N'),(15,2049910,'2',444,'N'),(15,2049945,'1',316,'N'),(15,2049945,'2',425,'N'),(15,2049953,'1',304,'N'),(15,2049953,'2',318,'N'),(15,2049961,'1',104,'N'),(15,2049961,'2',333,'N'),(15,2049970,'1',203,'N'),(15,2049970,'1A',233,'N'),(15,2049970,'2',502,'N'),(15,2049988,'1',103,'N'),(15,2049996,'1',501,'N'),(15,2049996,'2',103,'N'),(15,2050005,'1',208,'N'),(15,2050005,'1A',214,'N'),(15,2050005,'2',203,'N'),(15,2050021,'1',451,'N'),(15,2050021,'2',328,'N'),(15,2050030,'1',424,'N'),(15,2050048,'1',103,'N'),(15,2050048,'2',101,'N'),(15,2050080,'1',212,'N'),(15,2050080,'1A',201,'N'),(15,2050080,'2',214,'N'),(15,2050099,'1',108,'N'),(15,2050099,'2',102,'N'),(15,2050102,'1',104,'N'),(15,2050102,'2',444,'N'),(15,2050110,'1',102,'N'),(15,2050110,'2',324,'N'),(15,2050137,'1',103,'N'),(15,2050137,'2',104,'N'),(15,2050145,'1',103,'N'),(15,2050145,'2',303,'N'),(15,2050153,'1',233,'N'),(15,2050153,'1A',214,'N'),(15,2050153,'2',9,'N'),(15,2050161,'1',501,'N'),(15,2050161,'2',502,'N'),(15,2050170,'1',103,'N'),(15,2050170,'2',215,'N'),(15,2050188,'1',207,'N'),(15,2050188,'2',333,'N'),(15,2050196,'1',238,'N'),(15,2050196,'2',316,'N'),(15,2050218,'1',214,'N'),(15,2050218,'1A',233,'N'),(15,2050218,'2',302,'N'),(15,2050226,'1',203,'N'),(15,2050226,'1A',214,'N'),(15,2050234,'1',103,'N'),(15,2050234,'2',104,'N'),(15,2050242,'1',207,'N'),(15,2050242,'1A',201,'N'),(15,2050242,'2',224,'N'),(15,2050269,'1',203,'N'),(15,2050269,'1A',216,'N'),(15,2050269,'2',202,'N'),(15,2050277,'1',308,'N'),(15,2050277,'2',339,'N'),(15,2050285,'1',303,'N'),(15,2050285,'2',5,'N'),(15,2050293,'1',217,'N'),(15,2050293,'2',216,'N'),(15,2050307,'1',103,'N'),(15,2050307,'2',104,'N'),(15,2050315,'1',303,'N'),(15,2050315,'2',333,'N'),(15,2050323,'1',302,'N'),(15,2050323,'2',301,'N'),(15,2050331,'1',104,'N'),(15,2050331,'2',2,'N'),(15,2050358,'1',444,'N'),(15,2050358,'2',426,'N'),(15,2050366,'1',420,'N'),(15,2050390,'1',216,'N'),(15,2050390,'1A',212,'N'),(15,2050390,'2',215,'N'),(15,2050404,'1',103,'N'),(15,2050404,'2',303,'N'),(15,2050412,'1',103,'N'),(15,2050412,'2',104,'N'),(15,2050420,'1',103,'N'),(15,2050420,'2',102,'N'),(15,2050439,'1',207,'N'),(15,2050439,'2',320,'N'),(15,2050455,'1',203,'N'),(15,2050455,'1A',220,'N'),(15,2050455,'2',2,'N'),(15,2050463,'1',207,'N'),(15,2050463,'1A',233,'N'),(15,2050463,'2',424,'N'),(15,2050480,'1',415,'N'),(15,2050480,'2',5,'N'),(15,2050498,'1',501,'N'),(15,2050498,'2',333,'N'),(15,2050501,'1',103,'N'),(15,2050501,'2',203,'N'),(15,2050510,'1',108,'N'),(15,2050510,'2',203,'N'),(15,2050528,'1',103,'N'),(15,2050536,'1',103,'N'),(15,2050536,'2',101,'N'),(15,2050544,'1',316,'N'),(15,2050544,'2',339,'N'),(15,2050579,'1',301,'N'),(15,2050579,'2',316,'N'),(15,2050617,'1',207,'N'),(15,2050633,'1',103,'N'),(15,2050633,'2',104,'N'),(15,2050641,'1',420,'N'),(15,2050641,'2',207,'N'),(15,2050668,'1',216,'N'),(15,2050668,'1A',233,'N'),(15,2050668,'2',217,'N'),(15,2050676,'1',102,'N'),(15,2050676,'2',216,'N'),(15,2050684,'1',222,'N'),(15,2050684,'2',208,'N'),(15,2050692,'1',103,'N'),(15,2050692,'2',429,'N'),(15,2050706,'1',202,'N'),(15,2050706,'1A',220,'N'),(15,2050706,'2',211,'N'),(15,2050714,'1',103,'N'),(15,2050714,'2',101,'N'),(15,2050722,'1',207,'N'),(15,2050722,'1A',208,'N'),(15,2050722,'2',333,'N'),(15,2050730,'1',103,'N'),(15,2050730,'2',9,'N'),(15,2050765,'1',303,'N'),(15,2050765,'2',5,'N'),(15,2050773,'1',103,'N'),(15,2050773,'2',108,'N'),(15,2050790,'1',203,'N'),(15,2050790,'1A',214,'N'),(15,2050790,'2',211,'N'),(15,2050803,'1',333,'N'),(15,2050820,'1',5,'N'),(15,2050820,'2',102,'N'),(15,2050838,'1',319,'N'),(15,2050838,'2',316,'N'),(15,2050846,'1',317,'N'),(15,2050846,'2',224,'N'),(15,2050854,'1',103,'N'),(15,2050854,'2',101,'N'),(15,2050862,'1',213,'N'),(15,2050862,'1A',238,'N'),(15,2050862,'2',102,'N'),(15,2050870,'1',103,'N'),(15,2050870,'2',101,'N'),(15,2050889,'1',333,'N'),(15,2050889,'2',108,'N'),(15,2050897,'1',103,'N'),(15,2050897,'2',333,'N'),(15,2050900,'1',103,'N'),(15,2050900,'2',104,'N'),(15,2050919,'1',303,'N'),(15,2050919,'2',319,'N'),(15,2050927,'1',211,'N'),(15,2050927,'1A',215,'N'),(15,2050927,'2',501,'N'),(15,2050935,'1',404,'N'),(15,2050935,'2',333,'N'),(15,2050951,'1',304,'N'),(15,2050951,'2',318,'N'),(15,2050960,'1',103,'N'),(15,2050960,'2',9,'N'),(15,2050986,'1',327,'N'),(15,2050986,'2',415,'N'),(15,2050994,'1',207,'N'),(15,2050994,'1A',201,'N'),(15,2050994,'2',215,'N'),(15,2051001,'1',332,'N'),(15,2051001,'2',327,'N'),(15,2051010,'1',5,'N'),(15,2051010,'2',339,'N'),(15,2051028,'1',208,'N'),(15,2051028,'1A',238,'N'),(15,2051028,'2',333,'N'),(15,2051036,'1',102,'N'),(15,2051036,'2',425,'N'),(15,2051044,'1',103,'N'),(15,2051044,'2',319,'N'),(15,2051060,'1',216,'N'),(15,2051060,'1A',215,'N'),(15,2051079,'1',202,'N'),(15,2051079,'1A',201,'N'),(15,2051079,'2',203,'N'),(15,2051087,'1',207,'N'),(15,2051087,'1A',215,'N'),(15,2051087,'2',424,'N'),(15,2051095,'1',211,'N'),(15,2051095,'1A',207,'N'),(15,2051095,'2',201,'N'),(15,2051109,'1',316,'N'),(15,2051109,'2',301,'N'),(15,2051125,'1',103,'N'),(15,2051141,'1',415,'N'),(15,2051141,'2',303,'N'),(15,2051150,'1',423,'N'),(15,2051150,'1A',428,'N'),(15,2051150,'2',327,'N'),(15,2051168,'1',5,'N'),(15,2051176,'1',303,'N'),(15,2051176,'2',212,'N'),(15,2051184,'1',207,'N'),(15,2051184,'2',404,'N'),(15,2051192,'1',208,'N'),(15,2051192,'1A',238,'N'),(15,2051206,'1',302,'N'),(15,2051206,'2',301,'N'),(15,2051222,'1',104,'N'),(15,2051222,'2',102,'N'),(15,2051230,'1',319,'N'),(15,2051230,'2',404,'N'),(15,2051249,'1',203,'N'),(15,2051249,'1A',202,'N'),(15,2051249,'2',216,'N'),(15,2051257,'1',301,'N'),(15,2051257,'2',316,'N'),(15,2051265,'1',220,'N'),(15,2051265,'1A',202,'N'),(15,2051265,'2',201,'N'),(15,2051273,'1',301,'N'),(15,2051273,'2',316,'N'),(15,2051281,'1',108,'N'),(15,2051281,'2',333,'N'),(15,2051303,'1',5,'N'),(15,2051303,'2',415,'N'),(15,2051320,'1',103,'N'),(15,2051320,'2',211,'N'),(15,2051338,'1',308,'N'),(15,2051338,'2',339,'N'),(15,2051346,'1',303,'N'),(15,2051346,'2',5,'N'),(15,2051354,'1',103,'N'),(15,2051354,'2',108,'N'),(15,2051362,'1',103,'N'),(15,2051362,'2',319,'N'),(15,2051370,'1',104,'N'),(15,2051370,'2',103,'N'),(15,2051389,'1',326,'N'),(15,2051389,'2',331,'N'),(15,2051397,'1',103,'N'),(15,2051400,'1',302,'N'),(15,2051400,'2',301,'N'),(15,2051419,'1',318,'N'),(15,2051419,'2',444,'N'),(15,2051435,'1',301,'N'),(15,2051435,'2',223,'N'),(15,2051451,'1',316,'N'),(15,2051478,'1',429,'N'),(15,2051478,'1A',425,'N'),(15,2051478,'2',327,'N'),(15,2051486,'1',223,'N'),(15,2051486,'2',222,'N'),(15,2051494,'1',310,'N'),(15,2051494,'2',303,'N'),(15,2051508,'1',103,'N'),(15,2051508,'2',217,'N'),(15,2051524,'1',333,'N'),(15,2051524,'2',108,'N'),(15,2051532,'1',224,'N'),(15,2051532,'2',201,'N'),(15,2051540,'1',103,'N'),(15,2051540,'2',304,'N'),(15,2051559,'1',103,'N'),(15,2051567,'1',5,'N'),(15,2051567,'2',318,'N'),(15,2051583,'1',102,'N'),(15,2051583,'2',217,'N'),(15,2051591,'1',428,'N'),(15,2051591,'1A',426,'N'),(15,2051591,'2',427,'N'),(15,2051605,'1',339,'N'),(15,2051605,'2',444,'N'),(15,2051613,'1',420,'N'),(15,2051613,'1A',425,'S'),(15,2051613,'2',207,'N'),(15,2051621,'1',428,'N'),(15,2051621,'1A',426,'N'),(15,2051630,'1',103,'N'),(15,2051630,'2',319,'N'),(15,2051648,'1',308,'N'),(15,2051648,'2',404,'N'),(15,2051656,'1',415,'N'),(15,2051656,'1A',421,'S'),(15,2051656,'2',429,'N'),(15,2051664,'1',301,'N'),(15,2051664,'2',9,'N'),(15,2051680,'1',217,'N'),(15,2051680,'2',216,'N'),(15,2051729,'1',207,'N'),(15,2051729,'1A',201,'N'),(15,2051737,'1',9,'N'),(15,2051737,'2',211,'N'),(15,2051753,'1',103,'N'),(15,2051761,'1',203,'N'),(15,2051761,'1A',220,'N'),(15,2051761,'2',202,'N'),(15,2051788,'1',327,'N'),(15,2051788,'2',329,'N'),(15,2051796,'1',103,'N'),(15,2051796,'2',216,'N'),(15,2051800,'1',103,'N'),(15,2051818,'1',203,'N'),(15,2051818,'1A',214,'N'),(15,2051818,'2',211,'N'),(15,2051826,'1',333,'N'),(15,2051834,'1',108,'N'),(15,2051834,'2',319,'N'),(15,2051850,'1',324,'N'),(15,2051850,'2',318,'N'),(15,2051869,'1',108,'N'),(15,2051869,'2',319,'N'),(15,2051877,'1',415,'N'),(15,2051877,'2',331,'N'),(15,2051885,'1',5,'N'),(15,2051885,'2',424,'N'),(15,2051893,'1',104,'N'),(15,2051893,'2',308,'N'),(15,2051907,'1',103,'N'),(15,2051907,'2',201,'N'),(15,2051940,'1',428,'N'),(15,2051940,'1A',425,'N'),(15,2051940,'2',424,'N'),(15,2051958,'1',103,'N'),(15,2051966,'1',211,'N'),(15,2051966,'1A',201,'N'),(15,2051966,'2',501,'N'),(15,2051974,'1',216,'N'),(15,2051974,'2',217,'N'),(15,2051990,'1',225,'N'),(15,2051990,'2',233,'N'),(15,2052008,'1',101,'N'),(15,2052008,'2',108,'N'),(15,2052016,'1',303,'N'),(15,2052016,'2',326,'N'),(15,2052032,'1',201,'N'),(15,2052032,'1A',212,'N'),(15,2052040,'1',103,'N'),(15,2052040,'2',108,'N'),(15,2052059,'1',203,'N'),(15,2052059,'1A',212,'N'),(15,2052059,'2',420,'N'),(15,2052067,'1',404,'N'),(15,2052067,'2',332,'N'),(15,2052075,'1',415,'N'),(15,2052075,'2',450,'N'),(15,2052083,'1',103,'N'),(15,2052083,'2',102,'N'),(15,2052091,'1',316,'N'),(15,2052091,'2',301,'N'),(15,2052105,'1',213,'N'),(15,2052105,'1A',202,'N'),(15,2052105,'2',444,'N'),(15,2052113,'1',103,'N'),(15,2052113,'2',444,'N'),(15,2052121,'1',9,'N'),(15,2052121,'2',339,'N'),(15,2052130,'1',108,'N'),(15,2052130,'2',102,'N'),(15,2052148,'1',238,'N'),(15,2052148,'1A',213,'N'),(15,2052148,'2',224,'N'),(15,2052156,'1',303,'N'),(15,2052156,'2',5,'N'),(15,2052164,'1',303,'N'),(15,2052164,'2',5,'N'),(15,2052172,'1',238,'N'),(15,2052172,'1A',208,'N'),(15,2052172,'2',317,'N'),(15,2052180,'1',104,'N'),(15,2052180,'2',429,'N'),(15,2052199,'1',207,'N'),(15,2052199,'1A',201,'N'),(15,2052202,'1',9,'N'),(15,2052202,'2',428,'N'),(15,2052210,'1',404,'N'),(15,2052210,'2',319,'N'),(15,2052229,'1',103,'N'),(15,2052229,'2',415,'N'),(15,2052237,'1',108,'N'),(15,2052237,'2',216,'N'),(15,2052245,'1',234,'N'),(15,2052245,'2',404,'N'),(15,2052253,'1',207,'N'),(15,2052253,'1A',201,'N'),(15,2052253,'2',420,'N'),(15,2052261,'1',303,'N'),(15,2052261,'2',319,'N'),(15,2052270,'1',5,'N'),(15,2052270,'2',108,'N'),(15,2052288,'1',316,'N'),(15,2052288,'2',301,'N'),(15,2052296,'1',501,'N'),(15,2052296,'2',423,'N'),(15,2052300,'1',101,'N'),(15,2052300,'2',9,'N'),(15,2052326,'1',207,'N'),(15,2052326,'2',420,'N'),(15,2052334,'1',203,'N'),(15,2052334,'1A',201,'N'),(15,2052334,'2',214,'N'),(15,2052342,'1',303,'N'),(15,2052342,'2',5,'N'),(15,2052350,'1',5,'N'),(15,2052350,'2',303,'N'),(15,2052369,'1',5,'N'),(15,2052369,'2',303,'N'),(15,2052385,'1',216,'N'),(15,2052385,'1A',203,'N'),(15,2052385,'2',2,'N'),(15,2052393,'1',404,'N'),(15,2052393,'2',324,'N'),(15,2052407,'1',318,'N'),(15,2052407,'2',225,'N'),(15,2052415,'1',423,'N'),(15,2052415,'1A',427,'N'),(15,2052415,'2',424,'N'),(15,2052423,'1',415,'N'),(15,2052423,'1A',425,'S'),(15,2052423,'2',450,'N'),(15,2052431,'1',103,'N'),(15,2052431,'2',104,'N'),(15,2052440,'1',103,'N'),(15,2052440,'2',216,'N'),(15,2052458,'1',203,'N'),(15,2052458,'1A',216,'N'),(15,2052458,'2',104,'N'),(15,2052466,'1',319,'N'),(15,2052466,'2',428,'N'),(15,2052474,'1',103,'N'),(15,2052482,'1',201,'N'),(15,2052482,'1A',202,'N'),(15,2052482,'2',501,'N'),(15,2052490,'1',103,'N'),(15,2052490,'2',104,'N'),(15,2052504,'1',202,'N'),(15,2052504,'1A',208,'N'),(15,2052504,'2',220,'N'),(15,2052512,'1',444,'N'),(15,2052512,'2',404,'N'),(15,2052520,'1',220,'N'),(15,2052520,'2',203,'N'),(15,2052539,'1',208,'N'),(15,2052539,'1A',213,'N'),(15,2052539,'2',222,'N'),(15,2052547,'1',203,'N'),(15,2052547,'1A',216,'N'),(15,2052547,'2',428,'N'),(15,2052555,'1',103,'N'),(15,2052563,'1',502,'N'),(15,2052563,'2',9,'N'),(15,2052571,'1',108,'N'),(15,2052580,'1',104,'N'),(15,2052580,'2',102,'N'),(15,2052598,'1',415,'N'),(15,2052598,'2',324,'N'),(15,2052601,'1',202,'N'),(15,2052601,'1A',213,'N'),(15,2052601,'2',216,'N'),(15,2052610,'1',5,'N'),(15,2052610,'2',339,'N'),(15,2052628,'1',450,'N'),(15,2052628,'2',327,'N'),(15,2052644,'1',303,'N'),(15,2052644,'2',5,'N'),(15,2052652,'1',238,'N'),(15,2052652,'1A',213,'N'),(15,2052652,'2',316,'N'),(15,2052660,'1',420,'N'),(15,2052660,'2',217,'N'),(15,2052679,'1',303,'N'),(15,2052679,'2',5,'N'),(15,2052687,'1',303,'N'),(15,2052695,'1',303,'N'),(15,2052695,'2',326,'N'),(15,2052709,'1',104,'N'),(15,2052709,'2',9,'N'),(15,2052717,'1',203,'N'),(15,2052717,'1A',214,'N'),(15,2052717,'2',103,'N'),(15,2052725,'1',415,'N'),(15,2052725,'2',310,'N'),(15,2052733,'1',104,'N'),(15,2052733,'2',317,'N'),(15,2052741,'1',103,'N'),(15,2052741,'2',104,'N'),(15,2052750,'1',2,'N'),(15,2052750,'2',225,'N'),(15,2052768,'1',104,'N'),(15,2052768,'2',203,'N'),(15,2052776,'1',207,'N'),(15,2052776,'1A',211,'N'),(15,2052776,'2',326,'N'),(15,2052784,'1',211,'N'),(15,2052792,'1',404,'N'),(15,2052792,'2',238,'N'),(15,2052806,'1',201,'N'),(15,2052806,'1A',211,'N'),(15,2052806,'2',233,'N'),(15,2052814,'1',216,'N'),(15,2052814,'2',233,'N'),(15,2052830,'1',203,'N'),(15,2052830,'1A',202,'N'),(15,2052830,'2',216,'N'),(15,2052849,'1',319,'N'),(15,2052849,'2',450,'N'),(15,2052857,'1',316,'N'),(15,2052857,'2',324,'N'),(15,2052865,'1',216,'N'),(15,2052865,'1A',215,'N'),(15,2052865,'2',201,'N'),(15,2052873,'1',319,'N'),(15,2052873,'2',9,'N'),(15,2052881,'1',420,'N'),(15,2052881,'2',9,'N'),(15,2052890,'1',5,'N'),(15,2052890,'2',319,'N'),(15,2052903,'1',104,'N'),(15,2052903,'2',301,'N'),(15,2052920,'1',102,'N'),(15,2052920,'2',444,'N'),(15,2052938,'1',303,'N'),(15,2052938,'2',5,'N'),(15,2052946,'1',318,'N'),(15,2052946,'2',304,'N'),(15,2052954,'1',103,'N'),(15,2052954,'2',102,'N'),(15,2052962,'1',233,'N'),(15,2052962,'1A',207,'N'),(15,2052962,'2',302,'N'),(15,2052970,'1',103,'N'),(15,2052970,'2',319,'N'),(15,2052989,'1',318,'N'),(15,2052989,'2',212,'N'),(15,2052997,'1',103,'N'),(15,2052997,'2',216,'N'),(15,2053004,'1',316,'N'),(15,2053004,'2',304,'N'),(15,2053012,'1',302,'N'),(15,2053020,'1',201,'N'),(15,2053020,'1A',203,'N'),(15,2053047,'1',420,'N'),(15,2053047,'2',238,'N'),(15,2053055,'1',331,'N'),(15,2053055,'2',501,'N'),(15,2053063,'1',202,'N'),(15,2053063,'1A',213,'N'),(15,2053098,'1',103,'N'),(15,2053098,'2',101,'N'),(15,2053101,'1',208,'N'),(15,2053101,'1A',238,'N'),(15,2053101,'2',2,'N'),(15,2053110,'1',102,'N'),(15,2053110,'2',501,'N'),(15,2053128,'1',303,'N'),(15,2053128,'2',216,'N'),(15,2053136,'1',103,'N'),(15,2053144,'1',108,'N'),(15,2053144,'2',333,'N'),(15,2053152,'1',211,'N'),(15,2053152,'1A',215,'N'),(15,2053152,'2',316,'N'),(15,2053160,'1',102,'N'),(15,2053160,'2',423,'N'),(15,2053179,'1',101,'N'),(15,2053179,'2',327,'N'),(15,2053195,'1',450,'N'),(15,2053195,'1A',424,'S'),(15,2053195,'2',327,'N'),(15,2053209,'1',319,'N'),(15,2053217,'1',102,'N'),(15,2053217,'2',217,'N'),(15,2053233,'1',103,'N'),(15,2053233,'2',319,'N'),(15,2053241,'1',319,'N'),(15,2053241,'2',108,'N'),(15,2053250,'1',201,'N'),(15,2053250,'1A',202,'N'),(15,2053250,'2',223,'N'),(15,2053268,'1',319,'N'),(15,2053268,'2',108,'N'),(15,2053276,'1',203,'N'),(15,2053276,'1A',233,'N'),(15,2053276,'2',202,'N'),(15,2053284,'1',103,'N'),(15,2053284,'2',2,'N'),(15,2053292,'1',303,'N'),(15,2053292,'2',5,'N'),(15,2053322,'1',5,'N'),(15,2053322,'2',316,'N'),(15,2053330,'1',5,'N'),(15,2053330,'2',108,'N'),(15,2053349,'1',308,'N'),(15,2053349,'2',324,'N'),(15,2053357,'1',202,'N'),(15,2053357,'1A',233,'N'),(15,2053357,'2',217,'N'),(15,2053365,'1',216,'N'),(15,2053373,'1',203,'N'),(15,2053373,'1A',214,'N'),(15,2053373,'2',5,'N'),(15,2053381,'1',103,'N'),(15,2053381,'2',234,'N'),(15,2053411,'1',5,'N'),(15,2053411,'2',201,'N'),(15,2053420,'1',203,'N'),(15,2053420,'1A',201,'N'),(15,2053420,'2',202,'N'),(15,2053438,'1',102,'N'),(15,2053446,'1',203,'N'),(15,2053446,'1A',214,'N'),(15,2053446,'2',427,'N'),(15,2053454,'1',103,'N'),(15,2053454,'2',104,'N'),(15,2053462,'1',215,'N'),(15,2053462,'1A',216,'N'),(15,2053462,'2',217,'N'),(15,2053470,'1',216,'N'),(15,2053470,'2',215,'N'),(15,2053489,'1',420,'N'),(15,2053489,'2',451,'N'),(15,2053497,'1',103,'N'),(15,2053497,'2',102,'N'),(15,2053500,'1',316,'N'),(15,2053500,'2',317,'N'),(15,2053519,'1',202,'N'),(15,2053519,'1A',208,'N'),(15,2053519,'2',225,'N'),(15,2053535,'1',211,'N'),(15,2053535,'1A',238,'N'),(15,2053535,'2',324,'N'),(15,2053551,'1',103,'N'),(15,2053551,'2',102,'N'),(15,2053560,'1',102,'N'),(15,2053560,'2',216,'N'),(15,2053578,'1',216,'N'),(15,2053578,'1A',203,'N'),(15,2053578,'2',103,'N'),(15,2053586,'1',211,'N'),(15,2053586,'2',201,'N'),(15,2053608,'1',319,'N'),(15,2053608,'2',328,'N'),(15,2053616,'1',420,'N'),(15,2053616,'2',327,'N'),(15,2053624,'1',304,'N'),(15,2053624,'2',318,'N'),(15,2053632,'1',104,'N'),(15,2053632,'2',216,'N'),(15,2053640,'1',415,'N'),(15,2053640,'1A',427,'S'),(15,2053640,'2',339,'N'),(15,2053659,'1',201,'N'),(15,2053659,'1A',203,'N'),(15,2053659,'2',207,'N'),(15,2053667,'1',238,'N'),(15,2053667,'1A',208,'N'),(15,2053667,'2',222,'N'),(15,2053675,'1',103,'N'),(15,2053675,'2',9,'N'),(15,2053683,'1',308,'N'),(15,2053683,'2',404,'N'),(15,2053691,'1',208,'N'),(15,2053691,'1A',233,'N'),(15,2053691,'2',213,'N'),(15,2053705,'1',216,'N'),(15,2053705,'1A',214,'N'),(15,2053705,'2',102,'N'),(15,2053721,'1',103,'N'),(15,2053721,'2',101,'N'),(15,2053748,'1',104,'N'),(15,2053748,'2',103,'N'),(15,2053756,'1',103,'N'),(15,2053756,'2',333,'N'),(15,2053764,'1',415,'N'),(15,2053764,'2',428,'N'),(15,2053772,'1',420,'N'),(15,2053772,'2',415,'N'),(15,2053799,'1',415,'N'),(15,2053799,'1A',428,'S'),(15,2053799,'2',103,'N'),(15,2053810,'1',104,'N'),(15,2053810,'2',201,'N'),(15,2053829,'1',103,'N'),(15,2053829,'2',329,'N'),(15,2053837,'1',214,'N'),(15,2053837,'1A',213,'N'),(15,2053837,'2',223,'N'),(15,2053845,'1',103,'N'),(15,2053845,'2',9,'N'),(15,2053861,'1',309,'N'),(15,2053861,'2',308,'N'),(15,2053888,'1',207,'N'),(15,2053888,'1A',201,'N'),(15,2053888,'2',233,'N'),(15,2053896,'1',217,'N'),(15,2053896,'2',216,'N'),(15,2053900,'1',333,'N'),(15,2053900,'2',319,'N'),(15,2053918,'1',211,'N'),(15,2053918,'1A',238,'N'),(15,2053918,'2',216,'N'),(15,2053926,'1',104,'N'),(15,2053926,'2',319,'N'),(15,2053950,'1',202,'N'),(15,2053950,'1A',233,'N'),(15,2053950,'2',2,'N'),(15,2053977,'1',103,'N'),(15,2053977,'2',2,'N'),(15,2053993,'1',211,'N'),(15,2053993,'1A',203,'N'),(15,2053993,'2',301,'N'),(15,2054000,'1',225,'N'),(15,2054000,'2',2,'N'),(15,2054019,'1',104,'N'),(15,2054019,'2',101,'N'),(15,2054027,'1',103,'N'),(15,2054027,'2',108,'N'),(15,2054035,'1',208,'N'),(15,2054035,'1A',238,'N'),(15,2054035,'2',327,'N'),(15,2054043,'1',103,'N'),(15,2054043,'2',108,'N'),(15,2054078,'1',303,'N'),(15,2054078,'2',428,'N'),(15,2054086,'1',502,'N'),(15,2054086,'2',501,'N'),(15,2054094,'1',316,'N'),(15,2054094,'2',301,'N'),(15,2054108,'1',450,'N'),(15,2054108,'2',415,'N'),(15,2054116,'1',309,'N'),(15,2054116,'2',331,'N'),(15,2054124,'1',216,'N'),(15,2054124,'1A',215,'N'),(15,2054124,'2',102,'N'),(15,2054132,'1',203,'N'),(15,2054132,'1A',233,'N'),(15,2054132,'2',2,'N'),(15,2054140,'1',103,'N'),(15,2054140,'2',333,'N'),(15,2054175,'1',103,'N'),(15,2054175,'2',450,'N'),(15,2054183,'1',415,'N'),(15,2054183,'2',429,'N'),(15,2054191,'1',303,'N'),(15,2054191,'2',108,'N'),(15,2054213,'1',301,'N'),(15,2054213,'2',302,'N'),(15,2054221,'1',415,'N'),(15,2054221,'2',310,'N'),(15,2054230,'1',5,'N'),(15,2054230,'2',316,'N'),(15,2054256,'1',2,'N'),(15,2054256,'2',208,'N'),(15,2054264,'1',329,'N'),(15,2054264,'2',404,'N'),(15,2054272,'1',319,'N'),(15,2054272,'2',301,'N'),(15,2054280,'1',103,'N'),(15,2054280,'2',224,'N'),(15,2054302,'1',220,'N'),(15,2054302,'1A',203,'N'),(15,2054302,'2',202,'N'),(15,2054310,'1',415,'N'),(15,2054310,'2',303,'N'),(15,2054337,'1',103,'N'),(15,2054337,'2',104,'N'),(15,2054353,'1',104,'N'),(15,2054353,'2',217,'N'),(15,2054361,'1',318,'N'),(15,2054361,'2',317,'N'),(15,2054370,'1',202,'N'),(15,2054370,'2',213,'N'),(15,2054388,'1',303,'N'),(15,2054388,'2',102,'N'),(15,2054396,'1',108,'N'),(15,2054396,'2',424,'N'),(15,2054400,'1',203,'N'),(15,2054400,'1A',233,'N'),(15,2054400,'2',425,'N'),(15,2054418,'1',103,'N'),(15,2054426,'1',301,'N'),(15,2054426,'2',316,'N'),(15,2054442,'1',203,'N'),(15,2054442,'1A',233,'N'),(15,2054442,'2',234,'N'),(15,2054450,'1',428,'N'),(15,2054450,'1A',426,'N'),(15,2054450,'2',424,'N'),(15,2054469,'1',9,'N'),(15,2054469,'2',424,'N'),(15,2054477,'1',415,'N'),(15,2054485,'1',103,'N'),(15,2054507,'1',103,'N'),(15,2054507,'2',444,'N'),(15,2054515,'1',102,'N'),(15,2054515,'2',301,'N'),(15,2054523,'1',303,'N'),(15,2054523,'2',2,'N'),(15,2054531,'1',103,'N'),(15,2054540,'1',102,'N'),(15,2054540,'2',108,'N'),(15,2054558,'1',108,'N'),(15,2054558,'2',333,'N'),(15,2054566,'1',318,'N'),(15,2054566,'2',317,'N'),(15,2054574,'1',501,'N'),(15,2054574,'2',211,'N'),(15,2054582,'1',5,'N'),(15,2054582,'2',304,'N'),(15,2054590,'1',103,'N'),(15,2054590,'2',333,'N'),(15,2054604,'1',303,'N'),(15,2054604,'2',5,'N'),(15,2054612,'1',203,'N'),(15,2054620,'1',207,'N'),(15,2054620,'1A',201,'N'),(15,2054620,'2',420,'N'),(15,2054639,'1',215,'N'),(15,2054639,'1A',238,'N'),(15,2054639,'2',308,'N'),(15,2054647,'1',203,'N'),(15,2054647,'1A',220,'N'),(15,2054647,'2',214,'N'),(15,2054655,'1',103,'N'),(15,2054663,'1',501,'N'),(15,2054663,'2',502,'N'),(15,2054671,'1',102,'N'),(15,2054671,'2',225,'N'),(15,2054680,'1',213,'N'),(15,2054680,'2',333,'N'),(15,2054698,'1',333,'N'),(15,2054698,'2',501,'N'),(15,2054701,'1',103,'N'),(15,2054701,'2',421,'N'),(15,2054710,'1',303,'N'),(15,2054710,'2',5,'N'),(15,2054728,'1',202,'N'),(15,2054728,'1A',213,'N'),(15,2054728,'2',203,'N'),(15,2054736,'1',333,'N'),(15,2054744,'1',103,'N'),(15,2054744,'2',102,'N'),(15,2054752,'1',303,'N'),(15,2054752,'2',415,'N'),(15,2054760,'1',317,'N'),(15,2054760,'2',318,'N'),(15,2054779,'1',301,'N'),(15,2054779,'2',316,'N'),(15,2054809,'1',203,'N'),(15,2054809,'1A',214,'N'),(15,2054809,'2',220,'N'),(15,2054825,'1',201,'N'),(15,2054825,'1A',207,'N'),(15,2054825,'2',316,'N'),(15,2054833,'1',103,'N'),(15,2054833,'2',214,'N'),(15,2054841,'1',220,'N'),(15,2054841,'1A',208,'N'),(15,2054841,'2',222,'N'),(15,2054850,'1',208,'N'),(15,2054868,'1',304,'N'),(15,2054868,'2',318,'N'),(15,2054876,'1',233,'N'),(15,2054876,'1A',213,'N'),(15,2054876,'2',215,'N'),(15,2054884,'1',220,'N'),(15,2054884,'1A',202,'N'),(15,2054884,'2',233,'N'),(15,2054892,'1',202,'N'),(15,2054892,'1A',220,'N'),(15,2054892,'2',201,'N'),(15,2054906,'1',319,'N'),(15,2054906,'2',404,'N'),(15,2054914,'1',103,'N'),(15,2054914,'2',104,'N'),(15,2054922,'1',339,'N'),(15,2054922,'2',420,'N'),(15,2054930,'1',108,'N'),(15,2054930,'2',502,'N'),(15,2054957,'1',203,'N'),(15,2054957,'1A',214,'N'),(15,2054957,'2',450,'N'),(15,2054965,'1',303,'N'),(15,2054965,'2',104,'N'),(15,2054973,'1',310,'N'),(15,2054973,'2',309,'N'),(15,2054981,'1',203,'N'),(15,2054981,'1A',220,'N'),(15,2054981,'2',316,'N'),(15,2054990,'1',201,'N'),(15,2054990,'1A',212,'N'),(15,2054990,'2',316,'N'),(15,2055007,'1',103,'N'),(15,2055007,'2',238,'N'),(15,2055015,'1',339,'N'),(15,2055015,'2',332,'N'),(15,2055023,'1',451,'N'),(15,2055023,'1A',429,'S'),(15,2055023,'2',428,'N'),(15,2055031,'1',103,'N'),(15,2055040,'1',304,'N'),(15,2055040,'2',318,'N'),(15,2055058,'1',420,'N'),(15,2055058,'2',301,'N'),(15,2055066,'1',214,'N'),(15,2055066,'1A',203,'N'),(15,2055066,'2',216,'N'),(15,2055074,'1',103,'N'),(15,2055074,'2',201,'N'),(15,2055082,'1',238,'N'),(15,2055090,'1',223,'N'),(15,2055090,'2',2,'N'),(15,2055104,'1',101,'N'),(15,2055104,'2',444,'N'),(15,2055112,'1',502,'N'),(15,2055139,'1',326,'N'),(15,2055147,'1',420,'N'),(15,2055147,'1A',425,'S'),(15,2055147,'2',207,'N'),(15,2055155,'1',233,'N'),(15,2055155,'1A',216,'N'),(15,2055155,'2',102,'N'),(15,2055163,'1',501,'N'),(15,2055163,'2',428,'N'),(15,2055171,'1',103,'N'),(15,2055171,'2',303,'N'),(15,2055180,'1',212,'N'),(15,2055180,'1A',214,'N'),(15,2055180,'2',213,'N'),(15,2055198,'1',301,'N'),(15,2055198,'2',316,'N'),(15,2055201,'1',234,'N'),(15,2055201,'2',211,'N'),(15,2055210,'1',5,'N'),(15,2055210,'2',316,'N'),(15,2055228,'1',429,'N'),(15,2055228,'1A',424,'N'),(15,2055236,'1',103,'N'),(15,2055252,'1',301,'N'),(15,2055252,'2',202,'N'),(15,2055260,'1',103,'N'),(15,2055260,'2',102,'N'),(15,2055279,'1',450,'N'),(15,2055279,'2',425,'N'),(15,2055295,'1',303,'N'),(15,2055295,'2',5,'N'),(15,2055309,'1',203,'N'),(15,2055309,'1A',233,'N'),(15,2055309,'2',444,'N'),(15,2055317,'1',103,'N'),(15,2055317,'2',319,'N'),(15,2055325,'1',415,'N'),(15,2055325,'1A',426,'S'),(15,2055325,'2',327,'N'),(15,2055333,'1',9,'N'),(15,2055333,'2',333,'N'),(15,2055350,'1',220,'N'),(15,2055350,'1A',207,'N'),(15,2055350,'2',222,'N'),(15,2055376,'1',208,'N'),(15,2055376,'1A',238,'N'),(15,2055376,'2',225,'N'),(15,2055422,'1',103,'N'),(15,2055422,'2',101,'N'),(15,2055430,'1',203,'N'),(15,2055430,'1A',214,'N'),(15,2055430,'2',201,'N'),(15,2055449,'1',103,'N'),(15,2055449,'2',333,'N'),(15,2055457,'1',303,'N'),(15,2055457,'2',5,'N'),(15,2055465,'1',211,'N'),(15,2055465,'2',319,'N'),(15,2055473,'1',207,'N'),(15,2055473,'1A',215,'N'),(15,2055473,'2',420,'N'),(15,2055481,'1',324,'N'),(15,2055481,'2',329,'N'),(15,2055490,'1',238,'N'),(15,2055490,'1A',208,'N'),(15,2055490,'2',224,'N'),(15,2055503,'1',103,'N'),(15,2055503,'2',104,'N'),(15,2055511,'1',238,'N'),(15,2055511,'1A',208,'N'),(15,2055511,'2',207,'N'),(15,2055520,'1',238,'N'),(15,2055520,'1A',208,'N'),(15,2055538,'1',333,'N'),(15,2055538,'2',108,'N'),(15,2055546,'1',217,'N'),(15,2055546,'2',216,'N'),(15,2055554,'1',201,'N'),(15,2055554,'1A',208,'N'),(15,2055554,'2',108,'N'),(15,2055570,'1',203,'N'),(15,2055570,'1A',220,'N'),(15,2055570,'2',214,'N'),(15,2055589,'1',318,'N'),(15,2055589,'2',222,'N'),(15,2055597,'1',103,'N'),(15,2055597,'2',319,'N'),(15,2055600,'1',103,'N'),(15,2055600,'2',104,'N'),(15,2055619,'1',420,'N'),(15,2055619,'2',207,'N'),(15,2055643,'1',238,'N'),(15,2055643,'1A',203,'N'),(15,2055643,'2',333,'N'),(15,2055651,'1',104,'N'),(15,2055651,'2',216,'N'),(15,2055660,'1',319,'N'),(15,2055660,'2',339,'N'),(15,2055686,'1',301,'N'),(15,2055694,'1',207,'N'),(15,2055694,'1A',201,'N'),(15,2055694,'2',420,'N'),(15,2055708,'1',104,'N'),(15,2055708,'2',108,'N'),(15,2055716,'1',103,'N'),(15,2055716,'2',108,'N'),(15,2055724,'1',304,'N'),(15,2055724,'2',318,'N'),(15,2055732,'1',101,'N'),(15,2055732,'2',451,'N'),(15,2055740,'1',103,'N'),(15,2055740,'2',102,'N'),(15,2055767,'1',103,'N'),(15,2055767,'2',101,'N'),(15,2055775,'1',217,'N'),(15,2055775,'2',2,'N'),(15,2055783,'1',318,'N'),(15,2055783,'2',317,'N'),(15,2055791,'1',319,'N'),(15,2055791,'2',9,'N'),(15,2055805,'1',207,'N'),(15,2055805,'2',201,'N'),(15,2055813,'1',207,'N'),(15,2055813,'2',420,'N'),(15,2055848,'1',5,'N'),(15,2055848,'2',415,'N'),(15,2055856,'1',102,'N'),(15,2055856,'2',215,'N'),(15,2055864,'1',103,'N'),(15,2055864,'2',104,'N'),(15,2055872,'1',2,'N'),(15,2055872,'2',222,'N'),(15,2055899,'1',320,'N'),(15,2055902,'1',317,'N'),(15,2055902,'2',316,'N'),(15,2055910,'1',502,'N'),(15,2055910,'2',428,'N'),(15,2055929,'1',5,'N'),(15,2055929,'2',301,'N'),(15,2055937,'1',420,'N'),(15,2055937,'2',450,'N'),(15,2055953,'1',103,'N'),(15,2055953,'2',104,'N'),(15,2055961,'1',103,'N'),(15,2055961,'2',101,'N'),(15,2055970,'1',103,'N'),(15,2055970,'2',104,'N'),(15,2055996,'1',220,'N'),(15,2055996,'1A',233,'N'),(15,2055996,'2',324,'N'),(15,2056003,'1',207,'N'),(15,2056003,'1A',215,'N'),(15,2056003,'2',103,'N'),(15,2056011,'1',102,'N'),(15,2056011,'2',216,'N'),(15,2056046,'1',102,'N'),(15,2056046,'2',108,'N'),(15,2056054,'1',301,'N'),(15,2056054,'2',9,'N'),(15,2056062,'1',220,'N'),(15,2056062,'1A',203,'N'),(15,2056062,'2',202,'N'),(15,2056070,'1',102,'N'),(15,2056070,'2',215,'N'),(15,2056089,'1',316,'N'),(15,2056089,'2',108,'N'),(15,2056097,'1',320,'N'),(15,2056097,'2',426,'N'),(15,2056100,'1',238,'N'),(15,2056100,'2',222,'N'),(15,2056119,'1',103,'N'),(15,2056135,'1',303,'N'),(15,2056135,'2',217,'N'),(15,2056143,'1',208,'N'),(15,2056143,'1A',238,'N'),(15,2056143,'2',222,'N'),(15,2056151,'1',203,'N'),(15,2056151,'1A',214,'N'),(15,2056151,'2',202,'N'),(15,2056160,'1',208,'N'),(15,2056160,'1A',203,'N'),(15,2056160,'2',301,'N'),(15,2056178,'1',103,'N'),(15,2056178,'2',425,'N'),(15,2056186,'1',319,'N'),(15,2056186,'2',9,'N'),(15,2056194,'1',327,'N'),(15,2056194,'2',5,'N'),(15,2056208,'1',327,'N'),(15,2056208,'2',329,'N'),(15,2056216,'1',420,'N'),(15,2056216,'1A',427,'S'),(15,2056216,'2',216,'N'),(15,2056224,'1',201,'N'),(15,2056224,'1A',211,'N'),(15,2056224,'2',428,'N'),(15,2056240,'1',103,'N'),(15,2056240,'2',319,'N'),(15,2056259,'1',318,'N'),(15,2056259,'2',332,'N'),(15,2056267,'1',207,'N'),(15,2056267,'1A',201,'N'),(15,2056267,'2',301,'N'),(15,2056275,'1',501,'N'),(15,2056275,'2',331,'N'),(15,2056283,'1',103,'N'),(15,2056283,'2',102,'N'),(15,2056291,'1',207,'N'),(15,2056291,'1A',201,'N'),(15,2056291,'2',420,'N'),(15,2056305,'1',316,'N'),(15,2056305,'2',318,'N'),(15,2056313,'1',208,'N'),(15,2056313,'1A',203,'N'),(15,2056313,'2',420,'N'),(15,2056321,'1',220,'N'),(15,2056321,'1A',208,'N'),(15,2056321,'2',238,'N'),(15,2056330,'1',444,'N'),(15,2056330,'2',404,'N'),(15,2056348,'1',211,'N'),(15,2056348,'1A',203,'N'),(15,2056348,'2',216,'N'),(15,2056356,'1',207,'N'),(15,2056356,'1A',201,'N'),(15,2056356,'2',223,'N'),(15,2056364,'1',103,'N'),(15,2056372,'1',203,'N'),(15,2056372,'1A',214,'N'),(15,2056380,'1',333,'N'),(15,2056380,'2',223,'N'),(15,2056399,'1',104,'N'),(15,2056399,'2',319,'N'),(15,2056402,'1',301,'N'),(15,2056402,'2',233,'N'),(15,2056410,'1',327,'N'),(15,2056410,'2',203,'N'),(15,2056429,'1',211,'N'),(15,2056429,'1A',215,'N'),(15,2056429,'2',212,'N'),(15,2056437,'1',103,'N'),(15,2056437,'2',223,'N'),(15,2056445,'1',103,'N'),(15,2056453,'1',415,'N'),(15,2056453,'2',328,'N'),(15,2056461,'1',207,'N'),(15,2056461,'2',201,'N'),(15,2056488,'1',203,'N'),(15,2056488,'1A',233,'N'),(15,2056488,'2',502,'N'),(15,2056496,'1',415,'N'),(15,2056496,'2',324,'N'),(15,2056500,'1',203,'N'),(15,2056500,'1A',214,'N'),(15,2056500,'2',317,'N'),(15,2056518,'1',303,'N'),(15,2056518,'2',5,'N'),(15,2056526,'1',317,'N'),(15,2056526,'2',318,'N'),(15,2056534,'1',5,'N'),(15,2056542,'1',420,'N'),(15,2056542,'2',316,'N'),(15,2056550,'1',214,'N'),(15,2056550,'2',215,'N'),(15,2056569,'1',303,'N'),(15,2056569,'2',5,'N'),(15,2056577,'1',207,'N'),(15,2056577,'2',9,'N'),(15,2056585,'1',420,'N'),(15,2056593,'1',214,'N'),(15,2056593,'1A',212,'N'),(15,2056593,'2',420,'N'),(15,2056607,'1',333,'N'),(15,2056607,'2',238,'N'),(15,2056631,'1',102,'N'),(15,2056631,'2',207,'N'),(15,2056640,'1',103,'N'),(15,2056640,'2',102,'N'),(15,2056658,'1',103,'N'),(15,2056658,'2',101,'N'),(15,2056666,'1',108,'N'),(15,2056666,'2',502,'N'),(15,2056674,'1',415,'N'),(15,2056674,'2',319,'N'),(15,2056682,'1',404,'N'),(15,2056682,'2',501,'N'),(15,2056690,'1',302,'N'),(15,2056690,'2',501,'N'),(15,2056704,'1',104,'N'),(15,2056704,'2',427,'N'),(15,2056712,'1',319,'N'),(15,2056712,'2',310,'N'),(15,2056720,'1',103,'N'),(15,2056720,'2',9,'N'),(15,2056739,'1',103,'N'),(15,2056739,'2',108,'N'),(15,2056747,'1',9,'N'),(15,2056747,'2',502,'N'),(15,2056763,'1',2,'N'),(15,2056763,'2',202,'N'),(15,2056771,'1',103,'N'),(15,2056771,'2',211,'N'),(15,2056780,'1',103,'N'),(15,2056798,'1',103,'N'),(15,2056798,'2',428,'N'),(15,2056801,'1',333,'N'),(15,2056801,'2',102,'N'),(15,2056810,'1',103,'N'),(15,2056810,'2',202,'N'),(15,2056836,'1',203,'N'),(15,2056836,'1A',202,'N'),(15,2056836,'2',302,'N'),(15,2056844,'1',216,'N'),(15,2056844,'1A',201,'N'),(15,2056844,'2',303,'N'),(15,2056852,'1',238,'N'),(15,2056852,'1A',208,'N'),(15,2056852,'2',316,'N'),(15,2056860,'1',202,'N'),(15,2056860,'1A',213,'N'),(15,2056860,'2',208,'N'),(15,2056879,'1',101,'N'),(15,2056879,'2',319,'N'),(15,2056887,'1',104,'N'),(15,2056887,'2',9,'N'),(15,2056895,'1',428,'N'),(15,2056895,'2',308,'N'),(15,2056909,'1',234,'N'),(15,2056909,'2',502,'N'),(15,2056917,'1',103,'N'),(15,2056925,'1',103,'N'),(15,2056925,'2',2,'N'),(15,2056933,'1',217,'N'),(15,2056933,'2',333,'N'),(15,2056950,'1',327,'N'),(15,2056950,'2',423,'N'),(15,2056968,'1',303,'N'),(15,2056968,'2',5,'N'),(15,2056976,'1',103,'N'),(15,2056976,'2',102,'N'),(15,2056984,'1',5,'N'),(15,2056984,'2',220,'N'),(15,2056992,'1',202,'N'),(15,2056992,'2',208,'N'),(15,2057018,'1',303,'N'),(15,2057018,'2',5,'N'),(15,2057026,'1',215,'N'),(15,2057026,'1A',216,'N'),(15,2057026,'2',9,'N'),(15,2057034,'1',203,'N'),(15,2057034,'1A',216,'N'),(15,2057034,'2',301,'N'),(15,2057042,'1',103,'N'),(15,2057042,'2',102,'N'),(15,2057050,'1',201,'N'),(15,2057050,'1A',208,'N'),(15,2057050,'2',207,'N'),(15,2057069,'1',201,'N'),(15,2057069,'1A',212,'N'),(15,2057069,'2',502,'N'),(15,2057077,'1',203,'N'),(15,2057077,'1A',214,'N'),(15,2057077,'2',2,'N'),(15,2057085,'1',302,'N'),(15,2057085,'2',324,'N'),(15,2057093,'1',103,'N'),(15,2057093,'2',9,'N'),(15,2057107,'1',207,'N'),(15,2057115,'1',103,'N'),(15,2057115,'2',104,'N'),(15,2057123,'1',203,'N'),(15,2057123,'1A',233,'N'),(15,2057131,'1',319,'N'),(15,2057131,'2',329,'N'),(15,2057140,'1',304,'N'),(15,2057140,'2',318,'N'),(15,2057158,'1',213,'N'),(15,2057158,'1A',202,'N'),(15,2057158,'2',203,'N'),(15,2057166,'1',425,'N'),(15,2057166,'1A',428,'N'),(15,2057166,'2',426,'N'),(15,2057174,'1',333,'N'),(15,2057174,'2',108,'N'),(15,2057182,'1',103,'N'),(15,2057182,'2',104,'N'),(15,2057190,'1',211,'N'),(15,2057190,'1A',215,'N'),(15,2057190,'2',333,'N'),(15,2057212,'1',303,'N'),(15,2057212,'2',301,'N'),(15,2057220,'1',444,'N'),(15,2057220,'2',333,'N'),(15,2057239,'1',220,'N'),(15,2057239,'1A',216,'N'),(15,2057239,'2',201,'N'),(15,2057247,'1',328,'N'),(15,2057247,'2',424,'N'),(15,2057255,'1',420,'N'),(15,2057255,'2',308,'N'),(15,2057263,'1',103,'N'),(15,2057263,'2',101,'N'),(15,2057271,'1',415,'N'),(15,2057271,'2',426,'N'),(15,2057280,'1',9,'N'),(15,2057280,'2',301,'N'),(15,2057298,'1',233,'N'),(15,2057298,'1A',216,'N'),(15,2057298,'2',224,'N'),(15,2057301,'1',103,'N'),(15,2057301,'2',320,'N'),(15,2057328,'1',319,'N'),(15,2057328,'2',108,'N'),(15,2057336,'1',415,'N'),(15,2057336,'1A',428,'S'),(15,2057336,'2',310,'N'),(15,2057344,'1',103,'N'),(15,2057344,'2',216,'N'),(15,2057352,'1',501,'N'),(15,2057352,'2',108,'N'),(15,2057360,'1',103,'N'),(15,2057360,'2',102,'N'),(15,2057379,'1',5,'N'),(15,2057379,'2',316,'N'),(15,2057387,'1',103,'N'),(15,2057387,'2',108,'N'),(15,2057395,'1',103,'N'),(15,2057395,'2',104,'N'),(15,2057409,'1',103,'N'),(15,2057417,'1',103,'N'),(15,2057417,'2',333,'N'),(15,2057433,'1',104,'N'),(15,2057433,'2',319,'N'),(15,2057441,'1',216,'N'),(15,2057441,'1A',207,'N'),(15,2057441,'2',201,'N'),(15,2057450,'1',303,'N'),(15,2057450,'2',5,'N'),(15,2057468,'1',103,'N'),(15,2057468,'2',102,'N'),(15,2057476,'1',202,'N'),(15,2057476,'1A',213,'N'),(15,2057476,'2',203,'N'),(15,2057484,'1',104,'N'),(15,2057484,'2',207,'N'),(15,2057492,'1',103,'N'),(15,2057492,'2',101,'N'),(15,2057506,'1',103,'N'),(15,2057506,'2',303,'N'),(15,2057514,'1',201,'N'),(15,2057514,'1A',203,'N'),(15,2057514,'2',207,'N'),(15,2057522,'1',203,'N'),(15,2057522,'2',2,'N'),(15,2057530,'1',203,'N'),(15,2057530,'1A',214,'N'),(15,2057530,'2',301,'N'),(15,2057549,'1',101,'N'),(15,2057549,'2',501,'N'),(15,2057557,'1',103,'N'),(15,2057565,'1',103,'N'),(15,2057565,'2',104,'N'),(15,2057573,'1',303,'N'),(15,2057573,'2',301,'N'),(15,2057581,'1',215,'N'),(15,2057581,'2',9,'N'),(15,2057590,'1',103,'N'),(15,2057590,'2',102,'N'),(15,2057603,'1',201,'N'),(15,2057603,'1A',203,'N'),(15,2057603,'2',303,'N'),(15,2057611,'1',302,'N'),(15,2057611,'2',331,'N'),(15,2057620,'1',319,'N'),(15,2057620,'2',223,'N'),(15,2057638,'1',207,'N'),(15,2057638,'1A',211,'N'),(15,2057638,'2',450,'N'),(15,2057646,'1',203,'N'),(15,2057646,'1A',201,'N'),(15,2057646,'2',202,'N'),(15,2057654,'1',303,'N'),(15,2057654,'2',304,'N'),(15,2057662,'1',108,'N'),(15,2057662,'2',102,'N'),(15,2057697,'1',420,'N'),(15,2057697,'2',501,'N'),(15,2057700,'1',333,'N'),(15,2057700,'2',332,'N'),(15,2057719,'1',103,'N'),(15,2057719,'2',101,'N'),(15,2057727,'1',104,'N'),(15,2057727,'2',423,'N'),(15,2057735,'1',201,'N'),(15,2057735,'1A',207,'N'),(15,2057735,'2',317,'N'),(15,2057743,'1',324,'N'),(15,2057743,'2',108,'N'),(15,2057751,'1',5,'N'),(15,2057751,'2',333,'N'),(15,2057760,'1',104,'N'),(15,2057778,'1',102,'N'),(15,2057778,'2',216,'N'),(15,2057786,'1',426,'N'),(15,2057786,'1A',428,'N'),(15,2057786,'2',308,'N'),(15,2057794,'1',5,'N'),(15,2057794,'2',415,'N'),(15,2057808,'1',301,'N'),(15,2057808,'2',223,'N'),(15,2057816,'1',444,'N'),(15,2057832,'1',103,'N'),(15,2057840,'1',214,'N'),(15,2057840,'1A',213,'N'),(15,2057840,'2',212,'N'),(15,2057859,'1',214,'N'),(15,2057859,'1A',202,'N'),(15,2057859,'2',220,'N'),(15,2057867,'1',304,'N'),(15,2057867,'2',318,'N'),(15,2057875,'1',103,'N'),(15,2057875,'2',5,'N'),(15,2057883,'1',103,'N'),(15,2057883,'2',216,'N'),(15,2057891,'1',103,'N'),(15,2057891,'2',224,'N'),(15,2057905,'1',301,'N'),(15,2057905,'2',425,'N'),(15,2057913,'1',404,'N'),(15,2057913,'2',424,'N'),(15,2057921,'1',101,'N'),(15,2057921,'2',303,'N'),(15,2057930,'1',5,'N'),(15,2057930,'2',427,'N'),(15,2057948,'1',203,'N'),(15,2057948,'1A',212,'N'),(15,2057948,'2',2,'N'),(15,2057956,'1',201,'N'),(15,2057956,'1A',212,'N'),(15,2057956,'2',216,'N'),(15,2057972,'1',207,'N'),(15,2057972,'2',420,'N'),(15,2057999,'1',104,'N'),(15,2057999,'2',328,'N'),(15,2058006,'1',214,'N'),(15,2058006,'1A',203,'N'),(15,2058006,'2',303,'N'),(15,2058014,'1',103,'N'),(15,2058022,'1',207,'N'),(15,2058022,'1A',201,'N'),(15,2058022,'2',420,'N'),(15,2058030,'1',103,'N'),(15,2058049,'1',5,'N'),(15,2058049,'2',234,'N'),(15,2058057,'1',208,'N'),(15,2058057,'2',444,'N'),(15,2058065,'1',103,'N'),(15,2058065,'2',104,'N'),(15,2058073,'1',318,'N'),(15,2058073,'2',316,'N'),(15,2058081,'1',103,'N'),(15,2058081,'2',201,'N'),(15,2058090,'1',333,'N'),(15,2058103,'1',103,'N'),(15,2058103,'2',319,'N'),(15,2058111,'1',215,'N'),(15,2058111,'1A',201,'N'),(15,2058111,'2',207,'N'),(15,2058120,'1',220,'N'),(15,2058120,'1A',201,'N'),(15,2058120,'2',203,'N'),(15,2058138,'1',103,'N'),(15,2058138,'2',216,'N'),(15,2058154,'1',303,'N'),(15,2058154,'2',5,'N'),(15,2058162,'1',103,'N'),(15,2058162,'2',101,'N'),(15,2058170,'1',331,'N'),(15,2058170,'2',234,'N'),(15,2058189,'1',420,'N'),(15,2058189,'2',207,'N'),(15,2058200,'1',316,'N'),(15,2058200,'2',324,'N'),(15,2058227,'1',104,'N'),(15,2058227,'2',101,'N'),(15,2058235,'1',102,'N'),(15,2058235,'2',444,'N'),(15,2058243,'1',304,'N'),(15,2058243,'2',318,'N'),(15,2058251,'1',102,'N'),(15,2058251,'2',101,'N'),(15,2058260,'1',203,'N'),(15,2058260,'1A',214,'N'),(15,2058260,'2',233,'N'),(15,2058286,'1',319,'N'),(15,2058286,'2',108,'N'),(15,2058294,'1',427,'N'),(15,2058294,'1A',423,'N'),(15,2058294,'2',424,'N'),(15,2058316,'1',102,'N'),(15,2058316,'2',420,'N'),(15,2058332,'1',208,'N'),(15,2058359,'1',207,'N'),(15,2058359,'1A',212,'N'),(15,2058359,'2',420,'N'),(15,2058367,'1',220,'N'),(15,2058367,'1A',203,'N'),(15,2058367,'2',233,'N'),(15,2058375,'1',103,'N'),(15,2058375,'2',101,'N'),(15,2058383,'1',303,'N'),(15,2058383,'2',108,'N'),(15,2058391,'1',5,'N'),(15,2058391,'2',318,'N'),(15,2058405,'1',203,'N'),(15,2058405,'1A',201,'N'),(15,2058405,'2',223,'N'),(15,2058413,'1',319,'N'),(15,2058413,'2',326,'N'),(15,2058421,'1',211,'N'),(15,2058421,'1A',207,'N'),(15,2058421,'2',333,'N'),(15,2058430,'1',102,'N'),(15,2058430,'2',216,'N'),(15,2058448,'1',211,'N'),(15,2058448,'1A',212,'N'),(15,2058448,'2',308,'N'),(15,2058464,'1',317,'N'),(15,2058480,'1',310,'N'),(15,2058480,'2',502,'N'),(15,2058499,'1',9,'N'),(15,2058502,'1',103,'N'),(15,2058502,'2',104,'N'),(15,2058510,'1',215,'N'),(15,2058510,'1A',201,'N'),(15,2058510,'2',319,'N'),(15,2058529,'1',103,'N'),(15,2058529,'2',207,'N'),(15,2058537,'1',103,'N'),(15,2058545,'1',104,'N'),(15,2058545,'2',9,'N'),(15,2058561,'1',303,'N'),(15,2058561,'2',302,'N'),(15,2058570,'1',319,'N'),(15,2058570,'2',328,'N'),(15,2058588,'1',108,'N'),(15,2058588,'2',217,'N'),(15,2058596,'1',103,'N'),(15,2058596,'2',102,'N'),(15,2058626,'1',303,'N'),(15,2058626,'2',207,'N'),(15,2058634,'1',211,'N'),(15,2058634,'1A',233,'N'),(15,2058634,'2',108,'N'),(15,2058642,'1',203,'N'),(15,2058642,'1A',233,'N'),(15,2058642,'2',424,'N'),(15,2058650,'1',238,'N'),(15,2058650,'1A',208,'N'),(15,2058650,'2',223,'N'),(15,2058669,'1',9,'N'),(15,2058669,'2',444,'N'),(15,2058677,'1',9,'N'),(15,2058677,'2',102,'N'),(15,2058685,'1',103,'N'),(15,2058685,'2',5,'N'),(15,2058693,'1',319,'N'),(15,2058693,'2',309,'N'),(15,2058707,'1',202,'N'),(15,2058707,'1A',213,'N'),(15,2058707,'2',211,'N'),(15,2058715,'1',214,'N'),(15,2058715,'1A',203,'N'),(15,2058715,'2',212,'N'),(15,2058723,'1',9,'N'),(15,2058723,'2',316,'N'),(15,2058740,'1',238,'N'),(15,2058766,'1',103,'N'),(15,2058774,'1',303,'N'),(15,2058774,'2',215,'N'),(15,2058782,'1',103,'N'),(15,2058782,'2',108,'N'),(15,2058790,'1',2,'N'),(15,2058790,'2',225,'N'),(15,2058804,'1',303,'N'),(15,2058812,'1',103,'N'),(15,2058812,'2',328,'N'),(15,2058820,'1',103,'N'),(15,2058820,'2',426,'N'),(15,2058839,'1',103,'N'),(15,2058839,'2',216,'N'),(15,2058847,'1',103,'N'),(15,2058847,'2',301,'N'),(15,2058855,'1',326,'N'),(15,2058855,'2',310,'N'),(15,2058863,'1',203,'N'),(15,2058863,'1A',214,'N'),(15,2058863,'2',501,'N'),(15,2058871,'1',303,'N'),(15,2058871,'2',502,'N'),(15,2058880,'1',420,'N'),(15,2058880,'1A',426,'S'),(15,2058880,'2',327,'N'),(15,2058910,'1',103,'N'),(15,2058928,'1',333,'N'),(15,2058928,'2',501,'N'),(15,2058936,'1',203,'N'),(15,2058936,'1A',208,'N'),(15,2058936,'2',103,'N'),(15,2058944,'1',207,'N'),(15,2058944,'2',420,'N'),(15,2058952,'1',103,'N'),(15,2058952,'2',102,'N'),(15,2058960,'1',203,'N'),(15,2058960,'1A',220,'N'),(15,2058960,'2',215,'N'),(15,2058987,'1',108,'N'),(15,2058987,'2',333,'N'),(15,2058995,'1',202,'N'),(15,2059002,'1',104,'N'),(15,2059002,'2',201,'N'),(15,2059010,'1',303,'N'),(15,2059010,'2',5,'N'),(15,2059029,'1',203,'N'),(15,2059029,'2',214,'N'),(15,2059045,'1',302,'N'),(15,2059045,'2',223,'N'),(15,2059053,'1',423,'N'),(15,2059053,'1A',426,'N'),(15,2059053,'2',427,'N'),(15,2059061,'1',207,'N'),(15,2059061,'2',420,'N'),(15,2059070,'1',103,'N'),(15,2059070,'2',104,'N'),(15,2059088,'1',5,'N'),(15,2059088,'2',423,'N'),(15,2059096,'1',215,'N'),(15,2059096,'1A',211,'N'),(15,2059096,'2',102,'N'),(15,2059100,'1',103,'N'),(15,2059100,'2',101,'N'),(15,2059118,'1',502,'N'),(15,2059118,'2',501,'N'),(15,2059126,'1',303,'N'),(15,2059126,'2',207,'N'),(15,2059134,'1',238,'N'),(15,2059134,'1A',208,'N'),(15,2059134,'2',317,'N'),(15,2059142,'1',102,'N'),(15,2059142,'2',217,'N'),(15,2059150,'1',233,'N'),(15,2059150,'1A',212,'N'),(15,2059150,'2',223,'N'),(15,2059169,'1',2,'N'),(15,2059169,'2',326,'N'),(15,2059177,'1',103,'N'),(15,2059177,'2',217,'N'),(15,2059185,'1',211,'N'),(15,2059185,'2',9,'N'),(15,2059193,'1',233,'N'),(15,2059193,'1A',201,'N'),(15,2059193,'2',234,'N'),(15,2059207,'1',5,'N'),(15,2059207,'2',303,'N'),(15,2059215,'1',424,'N'),(15,2059215,'1A',427,'N'),(15,2059215,'2',329,'N'),(15,2059223,'1',103,'N'),(15,2059223,'2',101,'N'),(15,2059231,'1',103,'N'),(15,2059231,'2',9,'N'),(15,2059240,'1',303,'N'),(15,2059240,'2',201,'N'),(15,2059258,'1',501,'N'),(15,2059266,'1',220,'N'),(15,2059266,'1A',202,'N'),(15,2059266,'2',301,'N'),(15,2059274,'1',208,'N'),(15,2059274,'2',201,'N'),(15,2059282,'1',103,'N'),(15,2059282,'2',9,'N'),(15,2059290,'1',214,'N'),(15,2059290,'1A',203,'N'),(15,2059290,'2',327,'N'),(15,2059304,'1',501,'N'),(15,2059304,'2',303,'N'),(15,2059312,'1',103,'N'),(15,2059312,'2',207,'N'),(15,2059320,'1',102,'N'),(15,2059320,'2',103,'N'),(15,2059339,'1',216,'N'),(15,2059339,'1A',207,'N'),(15,2059339,'2',9,'N'),(15,2059347,'1',103,'N'),(15,2059347,'2',108,'N'),(15,2059355,'1',420,'N'),(15,2059355,'1A',425,'S'),(15,2059355,'2',501,'N'),(15,2059363,'1',102,'N'),(15,2059363,'2',217,'N'),(15,2059371,'1',5,'N'),(15,2059371,'2',104,'N'),(15,2059380,'1',316,'N'),(15,2059380,'2',317,'N'),(15,2059398,'1',104,'N'),(15,2059398,'2',9,'N'),(15,2059401,'1',203,'N'),(15,2059401,'1A',202,'N'),(15,2059401,'2',101,'N'),(15,2059410,'1',9,'N'),(15,2059410,'2',215,'N'),(15,2059428,'1',303,'N'),(15,2059436,'1',207,'N'),(15,2059436,'1A',211,'N'),(15,2059436,'2',216,'N'),(15,2059444,'1',201,'N'),(15,2059444,'1A',212,'N'),(15,2059444,'2',223,'N'),(15,2059452,'1',208,'N'),(15,2059452,'1A',238,'N'),(15,2059452,'2',222,'N'),(15,2059460,'1',233,'N'),(15,2059460,'1A',238,'N'),(15,2059460,'2',217,'N'),(15,2059487,'1',304,'N'),(15,2059487,'2',301,'N'),(15,2059495,'1',201,'N'),(15,2059495,'1A',212,'N'),(15,2059495,'2',234,'N'),(15,2059509,'1',316,'N'),(15,2059509,'2',320,'N'),(15,2059517,'1',103,'N'),(15,2059517,'2',101,'N'),(15,2059525,'1',318,'N'),(15,2059525,'2',331,'N'),(15,2059533,'1',415,'N'),(15,2059533,'1A',428,'S'),(15,2059533,'2',201,'N'),(15,2059541,'1',207,'N'),(15,2059541,'1A',211,'N'),(15,2059541,'2',332,'N'),(15,2059550,'1',203,'N'),(15,2059550,'1A',233,'N'),(15,2059550,'2',108,'N'),(15,2059568,'1',103,'N'),(15,2059568,'2',319,'N'),(15,2059576,'1',103,'N'),(15,2059576,'2',319,'N'),(15,2059584,'1',220,'N'),(15,2059584,'1A',216,'N'),(15,2059584,'2',5,'N'),(15,2059592,'1',103,'N'),(15,2059592,'2',104,'N'),(15,2059606,'1',203,'N'),(15,2059606,'1A',220,'N'),(15,2059606,'2',202,'N'),(15,2059614,'1',102,'N'),(15,2059614,'2',217,'N'),(15,2059630,'1',9,'N'),(15,2059630,'2',444,'N'),(15,2059649,'1',238,'N'),(15,2059649,'1A',208,'N'),(15,2059649,'2',225,'N'),(15,2059657,'1',303,'N'),(15,2059657,'2',301,'N'),(15,2059665,'1',103,'N'),(15,2059665,'2',450,'N'),(15,2059673,'1',212,'N'),(15,2059673,'1A',207,'N'),(15,2059673,'2',304,'N'),(15,2059681,'1',103,'N'),(15,2059681,'2',102,'N'),(15,2059690,'1',101,'N'),(15,2059690,'2',108,'N'),(15,2059703,'1',103,'N'),(15,2059703,'2',415,'N'),(15,2059720,'1',208,'N'),(15,2059738,'1',103,'N'),(15,2059738,'2',102,'N'),(15,2059746,'1',103,'N'),(15,2059746,'2',203,'N'),(15,2059754,'1',220,'N'),(15,2059754,'2',203,'N'),(15,2059762,'1',220,'N'),(15,2059762,'1A',203,'N'),(15,2059762,'2',202,'N'),(15,2059789,'1',207,'N'),(15,2059789,'1A',201,'N'),(15,2059789,'2',328,'N'),(15,2059797,'1',308,'N'),(15,2059797,'2',309,'N'),(15,2059800,'1',5,'N'),(15,2059800,'2',326,'N'),(15,2059827,'1',9,'N'),(15,2059827,'2',215,'N'),(15,2059835,'1',203,'N'),(15,2059835,'1A',233,'N'),(15,2059835,'2',202,'N'),(15,2059843,'1',104,'N'),(15,2059843,'2',319,'N'),(15,2059851,'1',301,'N'),(15,2059851,'2',318,'N'),(15,2059878,'1',208,'N'),(15,2059878,'1A',238,'N'),(15,2059878,'2',450,'N'),(15,2059894,'1',9,'N'),(15,2059894,'2',108,'N'),(15,2059916,'1',103,'N'),(15,2059916,'2',104,'N'),(15,2059924,'1',415,'N'),(15,2059924,'2',420,'N'),(15,2059932,'1',303,'N'),(15,2059932,'2',207,'N'),(15,2059940,'1',104,'N'),(15,2059940,'2',224,'N'),(15,2059959,'1',201,'N'),(15,2059959,'1A',212,'N'),(15,2059959,'2',302,'N'),(15,2059967,'1',104,'N'),(15,2059967,'2',501,'N'),(15,2059975,'1',303,'N'),(15,2059975,'2',444,'N'),(15,2059983,'1',201,'N'),(15,2059983,'1A',207,'N'),(15,2059983,'2',9,'N'),(15,2059991,'1',102,'N'),(15,2059991,'2',304,'N'),(15,2060019,'1',324,'N'),(15,2060019,'2',339,'N'),(15,2060027,'1',216,'N'),(15,2060027,'1A',215,'N'),(15,2060027,'2',211,'N'),(15,2060043,'1',216,'N'),(15,2060043,'1A',215,'N'),(15,2060043,'2',201,'N'),(15,2060060,'1',103,'N'),(15,2060078,'1',207,'N'),(15,2060078,'1A',201,'N'),(15,2060078,'2',2,'N'),(15,2060086,'1',103,'N'),(15,2060086,'2',101,'N'),(15,2060116,'1',308,'N'),(15,2060116,'2',339,'N'),(15,2060124,'1',201,'N'),(15,2060124,'1A',215,'N'),(15,2060124,'2',234,'N'),(15,2060132,'1',211,'N'),(15,2060140,'1',9,'N'),(15,2060140,'2',319,'N'),(15,2060167,'1',303,'N'),(15,2060167,'2',5,'N'),(15,2060183,'1',5,'N'),(15,2060183,'2',303,'N'),(15,2060191,'1',103,'N'),(15,2060191,'2',102,'N'),(15,2060205,'1',301,'N'),(15,2060205,'2',308,'N'),(15,2060213,'1',501,'N'),(15,2060213,'2',502,'N'),(15,2060221,'1',103,'N'),(15,2060221,'2',104,'N'),(15,2060230,'1',415,'N'),(15,2060230,'1A',426,'S'),(15,2060230,'2',327,'N'),(15,2060248,'1',5,'N'),(15,2060248,'2',9,'N'),(15,2060256,'1',415,'N'),(15,2060256,'2',303,'N'),(15,2060272,'1',102,'N'),(15,2060272,'2',101,'N'),(15,2060280,'1',208,'N'),(15,2060299,'1',9,'N'),(15,2060299,'2',102,'N'),(15,2060302,'1',333,'N'),(15,2060302,'2',108,'N'),(15,2060310,'1',9,'N'),(15,2060310,'2',425,'N'),(15,2060329,'1',103,'N'),(15,2060329,'2',104,'N'),(15,2060337,'1',333,'N'),(15,2060337,'2',316,'N'),(15,2060345,'1',316,'N'),(15,2060345,'2',301,'N'),(15,2060361,'1',502,'N'),(15,2060361,'2',108,'N'),(15,2060370,'1',420,'N'),(15,2060370,'1A',423,'S'),(15,2060370,'2',319,'N'),(15,2060388,'1',103,'N'),(15,2060388,'2',216,'N'),(15,2060396,'1',203,'N'),(15,2060396,'1A',214,'N'),(15,2060396,'2',201,'N'),(15,2060400,'1',415,'N'),(15,2060400,'2',319,'N'),(15,2060426,'1',103,'N'),(15,2060426,'2',104,'N'),(15,2060434,'1',102,'N'),(15,2060434,'2',216,'N'),(15,2060442,'1',5,'N'),(15,2060442,'2',426,'N'),(15,2060477,'1',301,'N'),(15,2060477,'2',316,'N'),(15,2060485,'1',5,'N'),(15,2060485,'2',303,'N'),(15,2060493,'1',327,'N'),(15,2060507,'1',102,'N'),(15,2060507,'2',217,'N'),(15,2060515,'1',327,'N'),(15,2060515,'2',324,'N'),(15,2060523,'1',201,'N'),(15,2060523,'1A',202,'N'),(15,2060523,'2',220,'N'),(15,2060540,'1',104,'N'),(15,2060540,'2',301,'N'),(15,2060558,'1',303,'N'),(15,2060558,'2',324,'N'),(15,2060566,'1',104,'N'),(15,2060566,'2',501,'N'),(15,2060574,'1',301,'N'),(15,2060574,'2',425,'N'),(15,2060582,'1',319,'N'),(15,2060582,'2',320,'N'),(15,2060590,'1',108,'N'),(15,2060590,'2',102,'N'),(15,2060604,'1',5,'N'),(15,2060604,'2',303,'N'),(15,2060612,'1',5,'N'),(15,2060612,'2',329,'N'),(15,2060620,'1',9,'N'),(15,2060620,'2',308,'N'),(15,2060639,'1',317,'N'),(15,2060639,'2',224,'N'),(15,2060655,'1',404,'N'),(15,2060655,'2',212,'N'),(15,2060663,'1',103,'N'),(15,2060680,'1',102,'N'),(15,2060680,'2',215,'N'),(15,2060698,'1',103,'N'),(15,2060698,'2',108,'N'),(15,2060701,'1',207,'N'),(15,2060701,'1A',201,'N'),(15,2060701,'2',420,'N'),(15,2060710,'1',101,'N'),(15,2060710,'2',423,'N'),(15,2060736,'1',2,'N'),(15,2060736,'2',202,'N'),(15,2060744,'1',201,'N'),(15,2060744,'1A',212,'N'),(15,2060744,'2',224,'N'),(15,2060752,'1',415,'N'),(15,2060752,'2',301,'N'),(15,2060760,'1',201,'N'),(15,2060760,'1A',202,'N'),(15,2060760,'2',215,'N'),(15,2060779,'1',9,'N'),(15,2060779,'2',103,'N'),(15,2060787,'1',324,'N'),(15,2060787,'2',420,'N'),(15,2060795,'1',103,'N'),(15,2060809,'1',502,'N'),(15,2060809,'2',451,'N'),(15,2060817,'1',103,'N'),(15,2060817,'2',216,'N'),(15,2060825,'1',217,'N'),(15,2060825,'2',9,'N'),(15,2060841,'1',104,'N'),(15,2060841,'2',333,'N'),(15,2060850,'1',333,'N'),(15,2060876,'1',103,'N'),(15,2060884,'1',102,'N'),(15,2060884,'2',217,'N'),(15,2060892,'1',238,'N'),(15,2060892,'1A',208,'N'),(15,2060892,'2',215,'N'),(15,2060906,'1',202,'N'),(15,2060906,'1A',238,'N'),(15,2060906,'2',2,'N'),(15,2060914,'1',301,'N'),(15,2060914,'2',326,'N'),(15,2060922,'1',103,'N'),(15,2060922,'2',104,'N'),(15,2060949,'1',202,'N'),(15,2060949,'2',203,'N'),(15,2060965,'1',103,'N'),(15,2060965,'2',303,'N'),(15,2060973,'1',203,'N'),(15,2060973,'1A',201,'N'),(15,2060973,'2',216,'N'),(15,2060981,'1',301,'N'),(15,2060981,'2',316,'N'),(15,2060990,'1',316,'N'),(15,2060990,'2',224,'N'),(15,2061015,'1',5,'N'),(15,2061015,'2',316,'N'),(15,2061023,'1',302,'N'),(15,2061023,'2',317,'N'),(15,2061031,'1',423,'N'),(15,2061031,'1A',424,'N'),(15,2061031,'2',425,'N'),(15,2061040,'1',238,'N'),(15,2061040,'2',316,'N'),(15,2061058,'1',103,'N'),(15,2061058,'2',203,'N'),(15,2061066,'1',203,'N'),(15,2061066,'1A',214,'N'),(15,2061074,'1',207,'N'),(15,2061074,'1A',201,'N'),(15,2061082,'1',102,'N'),(15,2061082,'2',211,'N'),(15,2061112,'1',108,'N'),(15,2061112,'2',326,'N'),(15,2061120,'1',301,'N'),(15,2061120,'2',102,'N'),(15,2061139,'1',108,'N'),(15,2061139,'2',102,'N'),(15,2061147,'1',108,'N'),(15,2061147,'2',310,'N'),(15,2061155,'1',415,'N'),(15,2061163,'1',304,'N'),(15,2061163,'2',318,'N'),(15,2061180,'1',103,'N'),(15,2061180,'2',102,'N'),(15,2061201,'1',301,'N'),(15,2061201,'2',427,'N'),(15,2061210,'1',215,'N'),(15,2061210,'1A',233,'N'),(15,2061210,'2',331,'N'),(15,2061228,'1',5,'N'),(15,2061228,'2',332,'N'),(15,2061236,'1',328,'N'),(15,2061236,'2',329,'N'),(15,2061244,'1',203,'N'),(15,2061244,'1A',214,'N'),(15,2061244,'2',201,'N'),(15,2061252,'1',102,'N'),(15,2061252,'2',328,'N'),(15,2061287,'1',303,'N'),(15,2061287,'2',5,'N'),(15,2061295,'1',420,'N'),(15,2061295,'2',301,'N'),(15,2061309,'1',103,'N'),(15,2061309,'2',451,'N'),(15,2061317,'1',203,'N'),(15,2061317,'1A',214,'N'),(15,2061317,'2',202,'N'),(15,2061325,'1',213,'N'),(15,2061325,'1A',202,'N'),(15,2061325,'2',214,'N'),(15,2061341,'1',208,'N'),(15,2061341,'1A',238,'N'),(15,2061341,'2',425,'N'),(15,2061350,'1',103,'N'),(15,2061350,'2',102,'N'),(15,2061368,'1',216,'N'),(15,2061376,'1',404,'N'),(15,2061376,'2',328,'N'),(15,2061384,'1',103,'N'),(15,2061384,'2',104,'N'),(15,2061392,'1',222,'N'),(15,2061392,'2',213,'N'),(15,2061406,'1',202,'N'),(15,2061406,'1A',213,'N'),(15,2061406,'2',222,'N'),(15,2061422,'1',103,'N'),(15,2061422,'2',108,'N'),(15,2061430,'1',9,'N'),(15,2061430,'2',444,'N'),(15,2061449,'1',203,'N'),(15,2061449,'1A',211,'N'),(15,2061449,'2',404,'N'),(15,2061457,'1',309,'N'),(15,2061457,'2',9,'N'),(15,2061465,'1',426,'N'),(15,2061465,'1A',425,'N'),(15,2061465,'2',327,'N'),(15,2061473,'1',5,'N'),(15,2061473,'2',318,'N'),(15,2061481,'1',501,'N'),(15,2061481,'2',331,'N'),(15,2061520,'1',207,'N'),(15,2061520,'1A',201,'N'),(15,2061520,'2',212,'N'),(15,2061538,'1',327,'N'),(15,2061538,'2',324,'N'),(15,2061554,'1',211,'N'),(15,2061554,'1A',201,'N'),(15,2061554,'2',5,'N'),(15,2061562,'1',201,'N'),(15,2061562,'1A',215,'N'),(15,2061562,'2',233,'N'),(15,2061570,'1',319,'N'),(15,2061570,'2',316,'N'),(15,2061589,'1',425,'N'),(15,2061589,'1A',428,'N'),(15,2061589,'2',308,'N'),(15,2061597,'1',303,'N'),(15,2061597,'2',5,'N'),(15,2061600,'1',429,'N'),(15,2061600,'1A',425,'N'),(15,2061600,'2',339,'N'),(15,2061619,'1',103,'N'),(15,2061619,'2',101,'N'),(15,2061627,'1',103,'N'),(15,2061627,'2',108,'N'),(15,2061635,'1',444,'N'),(15,2061635,'2',324,'N'),(15,2061643,'1',333,'N'),(15,2061643,'2',108,'N'),(15,2061651,'1',415,'N'),(15,2061651,'1A',423,'S'),(15,2061651,'2',328,'N'),(15,2061660,'1',427,'N'),(15,2061660,'1A',423,'N'),(15,2061660,'2',425,'N'),(15,2061678,'1',103,'N'),(15,2061694,'1',103,'N'),(15,2061708,'1',302,'N'),(15,2061708,'2',317,'N'),(15,2061716,'1',101,'N'),(15,2061716,'2',324,'N'),(15,2061724,'1',301,'N'),(15,2061724,'2',102,'N'),(15,2061732,'1',424,'N'),(15,2061732,'2',415,'N'),(15,2061759,'1',215,'N'),(15,2061759,'1A',216,'N'),(15,2061759,'2',217,'N'),(15,2061767,'1',332,'N'),(15,2061791,'1',450,'N'),(15,2061791,'1A',426,'S'),(15,2061805,'1',333,'N'),(15,2061805,'2',332,'N'),(15,2061813,'1',304,'N'),(15,2061813,'2',222,'N'),(15,2061821,'1',5,'N'),(15,2061821,'2',303,'N'),(15,2061830,'1',333,'N'),(15,2061830,'2',502,'N'),(15,2061848,'1',302,'N'),(15,2061848,'2',404,'N'),(15,2061856,'1',332,'N'),(15,2061856,'2',339,'N'),(15,2061864,'1',415,'N'),(15,2061872,'1',103,'N'),(15,2061872,'2',303,'N'),(15,2061880,'1',428,'N'),(15,2061880,'1A',426,'N'),(15,2061880,'2',427,'N'),(15,2061899,'1',201,'N'),(15,2061899,'1A',207,'N'),(15,2061899,'2',215,'N'),(15,2061902,'1',222,'N'),(15,2061902,'2',2,'N'),(15,2061910,'1',214,'N'),(15,2061910,'1A',211,'N'),(15,2061910,'2',208,'N'),(15,2061929,'1',319,'N'),(15,2061929,'2',339,'N'),(15,2061937,'1',103,'N'),(15,2061937,'2',217,'N'),(15,2061945,'1',102,'N'),(15,2061945,'2',101,'N'),(15,2061970,'1',320,'N'),(15,2061970,'2',421,'N'),(15,2061996,'1',211,'N'),(15,2061996,'1A',215,'N'),(15,2061996,'2',404,'N'),(15,2062011,'1',316,'N'),(15,2062011,'2',317,'N'),(15,2062020,'1',202,'N'),(15,2062020,'1A',213,'N'),(15,2062020,'2',223,'N'),(15,2062046,'1',103,'N'),(15,2062046,'2',207,'N'),(15,2062054,'1',316,'N'),(15,2062054,'2',339,'N'),(15,2062062,'1',220,'N'),(15,2062062,'1A',201,'N'),(15,2062062,'2',202,'N'),(15,2062070,'1',208,'N'),(15,2062070,'1A',238,'N'),(15,2062070,'2',420,'N'),(15,2062089,'1',2,'N'),(15,2062089,'2',225,'N'),(15,2062097,'1',302,'N'),(15,2062097,'2',223,'N'),(15,2062100,'1',302,'N'),(15,2062100,'2',101,'N'),(15,2062119,'1',319,'N'),(15,2062119,'2',429,'N'),(15,2062127,'1',103,'N'),(15,2062127,'2',420,'N'),(15,2062135,'1',211,'N'),(15,2062135,'1A',216,'N'),(15,2062135,'2',234,'N'),(15,2062143,'1',339,'N'),(15,2062143,'2',424,'N'),(15,2062151,'1',214,'N'),(15,2062151,'1A',212,'N'),(15,2062160,'1',444,'N'),(15,2062160,'2',333,'N'),(15,2062178,'1',203,'N'),(15,2062178,'1A',214,'N'),(15,2062178,'2',220,'N'),(15,2062186,'1',216,'N'),(15,2062186,'1A',212,'N'),(15,2062186,'2',214,'N'),(15,2062194,'1',103,'N'),(15,2062194,'2',102,'N'),(15,2062208,'1',223,'N'),(15,2062208,'2',224,'N'),(15,2062216,'1',309,'N'),(15,2062216,'2',423,'N'),(15,2062232,'1',211,'N'),(15,2062240,'1',216,'N'),(15,2062240,'1A',215,'N'),(15,2062240,'2',201,'N'),(15,2062259,'1',332,'N'),(15,2062259,'2',327,'N'),(15,2062283,'1',104,'N'),(15,2062283,'2',102,'N'),(15,2062305,'1',104,'N'),(15,2062305,'2',333,'N'),(15,2062313,'1',203,'N'),(15,2062313,'1A',201,'N'),(15,2062313,'2',214,'N'),(15,2062321,'1',202,'N'),(15,2062321,'1A',213,'N'),(15,2062321,'2',421,'N'),(15,2062330,'1',319,'N'),(15,2062330,'2',5,'N'),(15,2062348,'1',333,'N'),(15,2062348,'2',331,'N'),(15,2062356,'1',103,'N'),(15,2062372,'1',101,'N'),(15,2062372,'2',339,'N'),(15,2062380,'1',103,'N'),(15,2062402,'1',103,'N'),(15,2062402,'2',108,'N'),(15,2062410,'1',207,'N'),(15,2062410,'1A',201,'N'),(15,2062410,'2',212,'N'),(15,2062429,'1',317,'N'),(15,2062429,'2',224,'N'),(15,2062437,'1',5,'N'),(15,2062437,'2',303,'N'),(15,2062445,'1',333,'N'),(15,2062445,'2',211,'N'),(15,2062461,'1',303,'N'),(15,2062461,'2',309,'N'),(15,2062470,'1',104,'N'),(15,2062470,'2',339,'N'),(15,2062496,'1',316,'N'),(15,2062496,'2',319,'N'),(15,2062500,'1',308,'N'),(15,2062500,'2',309,'N'),(15,2062526,'1',104,'N'),(15,2062526,'2',502,'N'),(15,2062534,'1',103,'N'),(15,2062534,'2',101,'N'),(15,2062550,'1',316,'N'),(15,2062550,'2',444,'N'),(15,2062577,'1',104,'N'),(15,2062577,'2',103,'N'),(15,2062585,'1',324,'N'),(15,2062585,'2',2,'N'),(15,2062607,'1',301,'N'),(15,2062607,'2',316,'N'),(15,2062623,'1',103,'N'),(15,2062623,'2',102,'N'),(15,2062631,'1',203,'N'),(15,2062631,'1A',220,'N'),(15,2062631,'2',214,'N'),(15,2062640,'1',104,'N'),(15,2062640,'2',9,'N'),(15,2062666,'1',5,'N'),(15,2062666,'2',317,'N'),(15,2062674,'1',9,'N'),(15,2062674,'2',102,'N'),(15,2062682,'1',444,'N'),(15,2062682,'2',425,'N'),(15,2062690,'1',203,'N'),(15,2062720,'1',426,'N'),(15,2062720,'1A',425,'N'),(15,2062720,'2',327,'N'),(15,2062747,'1',424,'N'),(15,2062747,'1A',421,'N'),(15,2062747,'2',427,'N'),(15,2062755,'1',220,'N'),(15,2062755,'1A',211,'N'),(15,2062755,'2',207,'N'),(15,2062763,'1',203,'N'),(15,2062763,'1A',201,'N'),(15,2062763,'2',2,'N'),(15,2062780,'1',424,'N'),(15,2062780,'1A',427,'N'),(15,2062780,'2',326,'N'),(15,2062810,'1',203,'N'),(15,2062810,'1A',214,'N'),(15,2062810,'2',202,'N'),(15,2062828,'1',444,'N'),(15,2062828,'2',404,'N'),(15,2062836,'1',319,'N'),(15,2062836,'2',451,'N'),(15,2062844,'1',104,'N'),(15,2062844,'2',102,'N'),(15,2062852,'1',103,'N'),(15,2062852,'2',108,'N'),(15,2062887,'1',108,'N'),(15,2062887,'2',502,'N'),(15,2062895,'1',102,'N'),(15,2062895,'2',319,'N'),(15,2062909,'1',103,'N'),(15,2062909,'2',104,'N'),(15,2062917,'1',217,'N'),(15,2062917,'2',223,'N'),(15,2062925,'1',5,'N'),(15,2062925,'2',316,'N'),(15,2062933,'1',103,'N'),(15,2062933,'2',303,'N'),(15,2062941,'1',203,'N'),(15,2062941,'1A',202,'N'),(15,2062950,'1',332,'N'),(15,2062950,'2',201,'N'),(15,2062968,'1',108,'N'),(15,2062968,'2',217,'N'),(15,2062976,'1',103,'N'),(15,2062976,'2',201,'N'),(15,2062984,'1',103,'N'),(15,2062984,'2',303,'N'),(15,2062992,'1',238,'N'),(15,2062992,'2',222,'N'),(15,2063000,'1',104,'N'),(15,2063000,'2',101,'N'),(15,2063018,'1',214,'N'),(15,2063018,'1A',213,'N'),(15,2063018,'2',211,'N'),(15,2063026,'1',415,'N'),(15,2063026,'2',428,'N'),(15,2063034,'1',316,'N'),(15,2063034,'2',303,'N'),(15,2063042,'1',316,'N'),(15,2063042,'2',317,'N'),(15,2063050,'1',324,'N'),(15,2063050,'2',339,'N'),(15,2063069,'1',216,'N'),(15,2063069,'1A',215,'N'),(15,2063069,'2',217,'N'),(15,2063077,'1',214,'N'),(15,2063077,'1A',201,'N'),(15,2063077,'2',333,'N'),(15,2063085,'1',214,'N'),(15,2063085,'1A',212,'N'),(15,2063085,'2',316,'N'),(15,2063093,'1',103,'N'),(15,2063107,'1',203,'N'),(15,2063107,'1A',214,'N'),(15,2063107,'2',501,'N'),(15,2063115,'1',501,'N'),(15,2063115,'2',421,'N'),(15,2063131,'1',238,'N'),(15,2063131,'1A',212,'N'),(15,2063131,'2',327,'N'),(15,2063158,'1',108,'N'),(15,2063158,'2',234,'N'),(15,2063166,'1',5,'N'),(15,2063166,'2',103,'N'),(15,2063174,'1',317,'N'),(15,2063182,'1',201,'N'),(15,2063182,'1A',207,'N'),(15,2063182,'2',208,'N'),(15,2063190,'1',5,'N'),(15,2063190,'2',450,'N'),(15,2063204,'1',103,'N'),(15,2063204,'2',104,'N'),(15,2063212,'1',415,'N'),(15,2063220,'1',103,'N'),(15,2063220,'2',425,'N'),(15,2063247,'1',333,'N'),(15,2063247,'2',425,'N'),(15,2063255,'1',238,'N'),(15,2063255,'1A',208,'N'),(15,2063255,'2',214,'N'),(15,2063263,'1',301,'N'),(15,2063263,'2',415,'N'),(15,2063271,'1',301,'N'),(15,2063271,'2',317,'N'),(15,2063280,'1',102,'N'),(15,2063280,'2',216,'N'),(15,2063298,'1',5,'N'),(15,2063298,'2',426,'N'),(15,2063310,'1',444,'N'),(15,2063310,'2',404,'N'),(15,2063328,'1',303,'N'),(15,2063328,'2',9,'N'),(15,2063336,'1',333,'N'),(15,2063336,'2',502,'N'),(15,2063352,'1',319,'N'),(15,2063352,'2',451,'N'),(15,2063360,'1',309,'N'),(15,2063360,'2',339,'N'),(15,2063379,'1',217,'N'),(15,2063379,'2',223,'N'),(15,2063387,'1',220,'N'),(15,2063387,'1A',203,'N'),(15,2063387,'2',214,'N'),(15,2063395,'1',207,'N'),(15,2063395,'1A',201,'N'),(15,2063395,'2',420,'N'),(15,2063417,'1',101,'N'),(15,2063417,'2',339,'N'),(15,2063450,'1',103,'N'),(15,2063468,'1',103,'N'),(15,2063468,'2',104,'N'),(15,2063476,'1',203,'N'),(15,2063476,'1A',214,'N'),(15,2063476,'2',220,'N'),(15,2063484,'1',202,'N'),(15,2063484,'1A',208,'N'),(15,2063484,'2',331,'N'),(15,2063492,'1',5,'N'),(15,2063492,'2',316,'N'),(15,2063506,'1',303,'N'),(15,2063506,'2',5,'N'),(15,2063514,'1',319,'N'),(15,2063514,'2',9,'N'),(15,2063522,'1',426,'N'),(15,2063522,'1A',421,'N'),(15,2063522,'2',108,'N'),(15,2063530,'1',211,'N'),(15,2063530,'2',333,'N'),(15,2063549,'1',101,'N'),(15,2063549,'2',451,'N'),(15,2063557,'1',104,'N'),(15,2063557,'2',211,'N'),(15,2063573,'1',420,'N'),(15,2063573,'1A',425,'S'),(15,2063573,'2',444,'N'),(15,2063581,'1',103,'N'),(15,2063581,'2',327,'N'),(15,2063590,'1',103,'N'),(15,2063590,'2',104,'N'),(15,2063611,'1',424,'N'),(15,2063611,'1A',425,'N'),(15,2063611,'2',428,'N'),(15,2063620,'1',303,'N'),(15,2063620,'2',301,'N'),(15,2063638,'1',317,'N'),(15,2063638,'2',326,'N'),(15,2063654,'1',317,'N'),(15,2063654,'2',333,'N'),(15,2063662,'1',451,'N'),(15,2063662,'1A',427,'S'),(15,2063662,'2',450,'N'),(15,2063670,'1',211,'N'),(15,2063670,'1A',215,'N'),(15,2063670,'2',222,'N'),(15,2063689,'1',207,'N'),(15,2063689,'1A',215,'N'),(15,2063689,'2',420,'N'),(15,2063719,'1',207,'N'),(15,2063719,'1A',201,'N'),(15,2063719,'2',420,'N'),(15,2063727,'1',303,'N'),(15,2063727,'2',301,'N'),(15,2063735,'1',404,'N'),(15,2063735,'2',444,'N'),(15,2063743,'1',333,'N'),(15,2063743,'2',108,'N'),(15,2063751,'1',102,'N'),(15,2063751,'2',217,'N'),(15,2063760,'1',502,'N'),(15,2063760,'2',102,'N'),(15,2063778,'1',333,'N'),(15,2063778,'2',501,'N'),(15,2063786,'1',9,'N'),(15,2063786,'2',103,'N'),(15,2063794,'1',404,'N'),(15,2063794,'2',444,'N'),(15,2063808,'1',102,'N'),(15,2063808,'2',104,'N'),(15,2063816,'1',450,'N'),(15,2063816,'1A',425,'S'),(15,2063816,'2',420,'N'),(15,2063824,'1',203,'N'),(15,2063824,'1A',202,'N'),(15,2063824,'2',2,'N'),(15,2063832,'1',203,'N'),(15,2063832,'1A',214,'N'),(15,2063832,'2',201,'N'),(15,2063840,'1',103,'N'),(15,2063840,'2',5,'N'),(15,2063859,'1',316,'N'),(15,2063859,'2',444,'N'),(15,2063883,'1',415,'N'),(15,2063883,'1A',428,'S'),(15,2063883,'2',304,'N'),(15,2063891,'1',103,'N'),(15,2063891,'2',9,'N'),(15,2063905,'1',415,'N'),(15,2063905,'1A',428,'S'),(15,2063905,'2',324,'N'),(15,2063913,'1',301,'N'),(15,2063913,'2',309,'N'),(15,2063930,'1',215,'N'),(15,2063930,'1A',216,'N'),(15,2063930,'2',102,'N'),(15,2063948,'1',101,'N'),(15,2063948,'2',423,'N'),(15,2063956,'1',213,'N'),(15,2063956,'1A',212,'N'),(15,2063956,'2',207,'N'),(15,2063964,'1',103,'N'),(15,2063964,'2',450,'N'),(15,2063972,'1',2,'N'),(15,2063972,'2',223,'N'),(15,2063999,'1',103,'N'),(15,2063999,'2',223,'N'),(15,2064006,'1',103,'N'),(15,2064006,'2',215,'N'),(15,2064014,'1',207,'N'),(15,2064014,'1A',201,'N'),(15,2064014,'2',420,'N'),(15,2064022,'1',203,'N'),(15,2064022,'1A',214,'N'),(15,2064030,'1',502,'N'),(15,2064030,'2',234,'N'),(15,2064049,'1',102,'N'),(15,2064049,'2',319,'N'),(15,2064057,'1',444,'N'),(15,2064057,'2',404,'N'),(15,2064065,'1',103,'N'),(15,2064073,'1',103,'N'),(15,2064073,'2',104,'N'),(15,2064081,'1',425,'N'),(15,2064081,'1A',429,'N'),(15,2064081,'2',326,'N'),(15,2064090,'1',201,'N'),(15,2064090,'2',207,'N'),(15,2064103,'1',303,'N'),(15,2064103,'2',5,'N'),(15,2064111,'1',214,'N'),(15,2064111,'1A',203,'N'),(15,2064111,'2',220,'N'),(15,2064120,'1',203,'N'),(15,2064120,'1A',202,'N'),(15,2064120,'2',216,'N'),(15,2064146,'1',5,'N'),(15,2064146,'2',327,'N'),(15,2064154,'1',208,'N'),(15,2064154,'1A',238,'N'),(15,2064162,'1',415,'N'),(15,2064162,'2',501,'N'),(15,2064170,'1',104,'N'),(15,2064170,'2',9,'N'),(15,2064189,'1',202,'N'),(15,2064189,'1A',203,'N'),(15,2064189,'2',2,'N'),(15,2064197,'1',211,'N'),(15,2064197,'2',234,'N'),(15,2064200,'1',339,'N'),(15,2064200,'2',320,'N'),(15,2064219,'1',331,'N'),(15,2064219,'2',326,'N'),(15,2064227,'1',201,'N'),(15,2064227,'1A',208,'N'),(15,2064227,'2',319,'N'),(15,2064251,'1',238,'N'),(15,2064251,'1A',208,'N'),(15,2064251,'2',224,'N'),(15,2064260,'1',103,'N'),(15,2064260,'2',501,'N'),(15,2064278,'1',202,'N'),(15,2064278,'1A',208,'N'),(15,2064278,'2',333,'N'),(15,2064286,'1',308,'N'),(15,2064286,'2',339,'N'),(15,2064294,'1',426,'N'),(15,2064294,'1A',421,'N'),(15,2064308,'1',333,'N'),(15,2064308,'2',211,'N'),(15,2064316,'1',103,'N'),(15,2064316,'2',108,'N'),(15,2064324,'1',301,'N'),(15,2064332,'1',203,'N'),(15,2064332,'2',220,'N'),(15,2064340,'1',9,'N'),(15,2064340,'2',104,'N'),(15,2064359,'1',203,'N'),(15,2064359,'1A',201,'N'),(15,2064359,'2',301,'N'),(15,2064367,'1',9,'N'),(15,2064367,'2',101,'N'),(15,2064375,'1',211,'N'),(15,2064375,'1A',233,'N'),(15,2064375,'2',9,'N'),(15,2064383,'1',225,'N'),(15,2064383,'2',224,'N'),(15,2064391,'1',202,'N'),(15,2064391,'1A',201,'N'),(15,2064391,'2',233,'N'),(15,2064405,'1',316,'N'),(15,2064405,'2',317,'N'),(15,2064413,'1',304,'N'),(15,2064413,'2',318,'N'),(15,2064421,'1',501,'N'),(15,2064421,'2',502,'N'),(15,2064448,'1',238,'N'),(15,2064456,'1',9,'N'),(15,2064456,'2',444,'N'),(15,2064464,'1',103,'N'),(15,2064464,'2',303,'N'),(15,2064472,'1',220,'N'),(15,2064472,'1A',214,'N'),(15,2064472,'2',2,'N'),(15,2064480,'1',108,'N'),(15,2064480,'2',319,'N'),(15,2064499,'1',450,'N'),(15,2064502,'1',339,'N'),(15,2064502,'2',426,'N'),(15,2064510,'1',103,'N'),(15,2064510,'2',207,'N'),(15,2064529,'1',207,'N'),(15,2064537,'1',211,'N'),(15,2064545,'1',211,'N'),(15,2064545,'1A',201,'N'),(15,2064545,'2',501,'N'),(15,2064553,'1',415,'N'),(15,2064553,'2',304,'N'),(15,2064561,'1',304,'N'),(15,2064561,'2',318,'N'),(15,2064570,'1',104,'N'),(15,2064570,'2',302,'N'),(15,2064588,'1',103,'N'),(15,2064588,'2',104,'N'),(15,2064596,'1',104,'N'),(15,2064596,'2',217,'N'),(15,2064600,'1',319,'N'),(15,2064600,'2',425,'N'),(15,2064618,'1',203,'N'),(15,2064618,'1A',233,'N'),(15,2064618,'2',214,'N'),(15,2064634,'1',420,'N'),(15,2064634,'2',303,'N'),(15,2064650,'1',320,'N'),(15,2064650,'2',327,'N'),(15,2064677,'1',223,'N'),(15,2064677,'2',208,'N'),(15,2064685,'1',238,'N'),(15,2064685,'1A',208,'N'),(15,2064685,'2',444,'N'),(15,2064693,'1',303,'N'),(15,2064693,'2',428,'N'),(15,2064715,'1',216,'N'),(15,2064715,'2',233,'N'),(15,2064740,'1',423,'N'),(15,2064740,'1A',427,'N'),(15,2064740,'2',451,'N'),(15,2064782,'1',103,'N'),(15,2064782,'2',423,'N'),(15,2064790,'1',333,'N'),(15,2064804,'1',103,'N'),(15,2064820,'1',203,'N'),(15,2064820,'1A',216,'N'),(15,2064820,'2',2,'N'),(15,2064839,'1',319,'N'),(15,2064839,'2',329,'N'),(15,2064847,'1',420,'N'),(15,2064847,'2',308,'N'),(15,2064871,'1',202,'N'),(15,2064871,'1A',220,'N'),(15,2064871,'2',208,'N'),(15,2064880,'1',207,'N'),(15,2064880,'1A',201,'N'),(15,2064880,'2',420,'N'),(15,2064898,'1',451,'N'),(15,2064898,'2',450,'N'),(15,2064901,'1',104,'N'),(15,2064901,'2',5,'N'),(15,2064928,'1',316,'N'),(15,2064928,'2',108,'N'),(15,2064936,'1',318,'N'),(15,2064936,'2',317,'N'),(15,2064944,'1',444,'N'),(15,2064944,'2',302,'N'),(15,2064952,'1',103,'N'),(15,2064952,'2',104,'N'),(15,2064960,'1',319,'N'),(15,2064960,'2',308,'N'),(15,2064979,'1',103,'N'),(15,2064979,'2',316,'N'),(15,2064987,'1',303,'N'),(15,2064987,'2',309,'N'),(15,2064995,'1',303,'N'),(15,2064995,'2',328,'N'),(15,2065002,'1',207,'N'),(15,2065010,'1',102,'N'),(15,2065045,'1',214,'N'),(15,2065045,'1A',203,'N'),(15,2065045,'2',316,'N'),(15,2065053,'1',317,'N'),(15,2065053,'2',9,'N'),(15,2065088,'1',9,'N'),(15,2065088,'2',428,'N'),(15,2065096,'1',103,'N'),(15,2065096,'2',104,'N'),(15,2065100,'1',103,'N'),(15,2065118,'1',501,'N'),(15,2065118,'2',324,'N'),(15,2065126,'1',319,'N'),(15,2065126,'2',308,'N'),(15,2065134,'1',308,'N'),(15,2065134,'2',319,'N'),(15,2065142,'1',104,'N'),(15,2065142,'2',316,'N'),(15,2065150,'1',304,'N'),(15,2065150,'2',501,'N'),(15,2065169,'1',304,'N'),(15,2065169,'2',302,'N'),(15,2065177,'1',303,'N'),(15,2065177,'2',5,'N'),(15,2065185,'1',103,'N'),(15,2065185,'2',101,'N'),(15,2065193,'1',9,'N'),(15,2065193,'2',104,'N'),(15,2065207,'1',2,'N'),(15,2065207,'2',225,'N'),(15,2065215,'1',501,'N'),(15,2065215,'2',301,'N'),(15,2065223,'1',301,'N'),(15,2065223,'2',316,'N'),(15,2065258,'1',207,'N'),(15,2065258,'2',420,'N'),(15,2065266,'1',5,'N'),(15,2065274,'1',103,'N'),(15,2065282,'1',404,'N'),(15,2065282,'2',444,'N'),(15,2065290,'1',420,'N'),(15,2065290,'2',208,'N'),(15,2065304,'1',220,'N'),(15,2065304,'1A',203,'N'),(15,2065304,'2',303,'N'),(15,2065312,'1',316,'N'),(15,2065312,'2',301,'N'),(15,2065320,'1',103,'N'),(15,2065320,'2',101,'N'),(15,2065339,'1',203,'N'),(15,2065339,'2',2,'N'),(15,2065347,'1',216,'N'),(15,2065347,'2',101,'N'),(15,2065355,'1',444,'N'),(15,2065355,'2',423,'N'),(15,2065363,'1',502,'N'),(15,2065363,'2',332,'N'),(15,2065371,'1',5,'N'),(15,2065371,'2',420,'N'),(15,2065380,'1',104,'N'),(15,2065380,'2',444,'N'),(15,2065398,'1',444,'N'),(15,2065398,'2',332,'N'),(15,2065401,'1',103,'N'),(15,2065401,'2',102,'N'),(15,2065410,'1',308,'N'),(15,2065410,'2',101,'N'),(15,2065428,'1',303,'N'),(15,2065428,'2',5,'N'),(15,2065444,'1',234,'N'),(15,2065444,'2',339,'N'),(15,2065452,'1',5,'N'),(15,2065452,'2',450,'N'),(15,2065479,'1',103,'N'),(15,2065487,'1',233,'N'),(15,2065487,'1A',211,'N'),(15,2065487,'2',318,'N'),(15,2065495,'1',203,'N'),(15,2065495,'1A',214,'N'),(15,2065495,'2',220,'N'),(15,2065509,'1',215,'N'),(15,2065509,'2',216,'N'),(15,2065517,'1',301,'N'),(15,2065517,'2',316,'N'),(15,2065533,'1',103,'N'),(15,2065533,'2',102,'N'),(15,2065568,'1',316,'N'),(15,2065568,'2',208,'N'),(15,2065576,'1',425,'N'),(15,2065576,'1A',424,'N'),(15,2065576,'2',428,'N'),(15,2065584,'1',316,'N'),(15,2065584,'2',301,'N'),(15,2065592,'1',303,'N'),(15,2065606,'1',213,'N'),(15,2065606,'1A',212,'N'),(15,2065606,'2',201,'N'),(15,2065657,'1',316,'N'),(15,2065657,'2',429,'N'),(15,2065665,'1',304,'N'),(15,2065665,'2',222,'N'),(15,2065673,'1',310,'N'),(15,2065673,'2',320,'N'),(15,2065681,'1',215,'N'),(15,2065711,'1',103,'N'),(15,2065711,'2',104,'N'),(15,2065720,'1',103,'N'),(15,2065746,'1',9,'N'),(15,2065746,'2',319,'N'),(15,2065754,'1',5,'N'),(15,2065754,'2',319,'N'),(15,2065762,'1',103,'N'),(15,2065762,'2',223,'N'),(15,2065789,'1',316,'N'),(15,2065789,'2',301,'N'),(15,2065797,'1',104,'N'),(15,2065797,'2',444,'N'),(15,2065800,'1',404,'N'),(15,2065800,'2',331,'N'),(15,2065819,'1',103,'N'),(15,2065819,'2',333,'N'),(15,2065827,'1',5,'N'),(15,2065827,'2',303,'N'),(15,2065835,'1',103,'N'),(15,2065835,'2',104,'N'),(15,2065843,'1',308,'N'),(15,2065843,'2',225,'N'),(15,2065851,'1',415,'N'),(15,2065860,'1',214,'N'),(15,2065860,'1A',213,'N'),(15,2065860,'2',220,'N'),(15,2065878,'1',108,'N'),(15,2065878,'2',333,'N'),(15,2065886,'1',302,'N'),(15,2065886,'2',318,'N'),(15,2065894,'1',333,'N'),(15,2065894,'2',108,'N'),(15,2065924,'1',220,'N'),(15,2065924,'1A',214,'N'),(15,2065924,'2',2,'N'),(15,2065932,'1',331,'N'),(15,2065932,'2',108,'N'),(15,2065940,'1',303,'N'),(15,2065940,'2',301,'N'),(15,2065959,'1',332,'N'),(15,2065959,'2',327,'N'),(15,2065967,'1',108,'N'),(15,2065975,'1',103,'N'),(15,2065975,'2',333,'N'),(15,2065983,'1',201,'N'),(15,2065983,'1A',207,'N'),(15,2065991,'1',303,'N'),(15,2065991,'2',5,'N'),(15,2066009,'1',102,'N'),(15,2066009,'2',404,'N'),(15,2066017,'1',329,'N'),(15,2066017,'2',427,'N'),(15,2066025,'1',318,'N'),(15,2066025,'2',450,'N'),(15,2066041,'1',429,'N'),(15,2066041,'1A',426,'N'),(15,2066041,'2',308,'N'),(15,2066050,'1',5,'N'),(15,2066050,'2',303,'N'),(15,2066068,'1',103,'N'),(15,2066068,'2',9,'N'),(15,2066076,'1',203,'N'),(15,2066076,'2',214,'N'),(15,2066084,'1',202,'N'),(15,2066084,'1A',238,'N'),(15,2066084,'2',207,'N'),(15,2066092,'1',303,'N'),(15,2066092,'2',326,'N'),(15,2066106,'1',302,'N'),(15,2066106,'2',451,'N'),(15,2066114,'1',207,'N'),(15,2066114,'1A',211,'N'),(15,2066114,'2',225,'N'),(15,2066122,'1',327,'N'),(15,2066130,'1',103,'N'),(15,2066130,'2',104,'N'),(15,2066157,'1',102,'N'),(15,2066157,'2',217,'N'),(15,2066165,'1',238,'N'),(15,2066165,'1A',208,'N'),(15,2066165,'2',429,'N'),(15,2066173,'1',104,'N'),(15,2066173,'2',5,'N'),(15,2066190,'1',203,'N'),(15,2066190,'1A',214,'N'),(15,2066190,'2',202,'N'),(15,2066203,'1',201,'N'),(15,2066203,'1A',212,'N'),(15,2066203,'2',316,'N'),(15,2066211,'1',104,'N'),(15,2066211,'2',308,'N'),(15,2066238,'1',316,'N'),(15,2066238,'2',301,'N'),(15,2066246,'1',103,'N'),(15,2066254,'1',316,'N'),(15,2066254,'2',301,'N'),(15,2066289,'1',502,'N'),(15,2066297,'1',9,'N'),(15,2066297,'2',108,'N'),(15,2066300,'1',308,'N'),(15,2066300,'2',309,'N'),(15,2066319,'1',103,'N'),(15,2066319,'2',428,'N'),(15,2066327,'1',310,'N'),(15,2066327,'2',331,'N'),(15,2066335,'1',108,'N'),(15,2066343,'1',211,'N'),(15,2066343,'1A',233,'N'),(15,2066343,'2',333,'N'),(15,2066351,'1',5,'N'),(15,2066351,'2',303,'N'),(15,2066360,'1',426,'N'),(15,2066360,'1A',427,'N'),(15,2066360,'2',451,'N'),(15,2066378,'1',429,'N'),(15,2066378,'2',425,'N'),(15,2066386,'1',233,'N'),(15,2066386,'1A',214,'N'),(15,2066386,'2',213,'N'),(15,2066394,'1',5,'N'),(15,2066394,'2',320,'N'),(15,2066408,'1',317,'N'),(15,2066408,'2',318,'N'),(15,2066424,'1',301,'N'),(15,2066424,'2',217,'N'),(15,2066440,'1',104,'N'),(15,2066440,'2',319,'N'),(15,2066467,'1',203,'N'),(15,2066475,'1',202,'N'),(15,2066475,'1A',214,'N'),(15,2066475,'2',103,'N'),(15,2066483,'1',423,'N'),(15,2066483,'1A',428,'N'),(15,2066483,'2',326,'N'),(15,2066491,'1',103,'N'),(15,2066491,'2',502,'N'),(15,2066505,'1',208,'N'),(15,2066505,'1A',238,'N'),(15,2066513,'1',234,'N'),(15,2066513,'2',318,'N'),(15,2066521,'1',5,'N'),(15,2066521,'2',317,'N'),(15,2066530,'1',301,'N'),(15,2066530,'2',316,'N'),(15,2066548,'1',103,'N'),(15,2066548,'2',108,'N'),(15,2066556,'1',415,'N'),(15,2066556,'2',451,'N'),(15,2066564,'1',202,'N'),(15,2066564,'2',216,'N'),(15,2066572,'1',316,'N'),(15,2066572,'2',427,'N'),(15,2066580,'1',203,'N'),(15,2066580,'1A',202,'N'),(15,2066580,'2',2,'N'),(15,2066602,'1',101,'N'),(15,2066602,'2',102,'N'),(15,2066629,'1',303,'N'),(15,2066629,'2',502,'N'),(15,2066637,'1',326,'N'),(15,2066637,'2',310,'N'),(15,2066645,'1',404,'N'),(15,2066645,'2',327,'N'),(15,2066653,'1',308,'N'),(15,2066653,'2',415,'N'),(15,2066661,'1',103,'N'),(15,2066661,'2',214,'N'),(15,2066670,'1',103,'N'),(15,2066670,'2',102,'N'),(15,2066688,'1',5,'N'),(15,2066688,'2',223,'N'),(15,2066700,'1',333,'N'),(15,2066718,'1',216,'N'),(15,2066718,'1A',202,'N'),(15,2066718,'2',201,'N'),(15,2066726,'1',108,'N'),(15,2066726,'2',208,'N'),(15,2066734,'1',103,'N'),(15,2066734,'2',303,'N'),(15,2066750,'1',216,'N'),(15,2066750,'2',217,'N'),(15,2066769,'1',426,'N'),(15,2066769,'1A',424,'N'),(15,2066769,'2',423,'N'),(15,2066777,'1',415,'N'),(15,2066777,'2',316,'N'),(15,2066785,'1',212,'N'),(15,2066785,'1A',214,'N'),(15,2066785,'2',201,'N'),(15,2066793,'1',303,'N'),(15,2066793,'2',427,'N'),(15,2066807,'1',202,'N'),(15,2066807,'1A',213,'N'),(15,2066807,'2',212,'N'),(15,2066815,'1',233,'N'),(15,2066815,'1A',203,'N'),(15,2066815,'2',326,'N'),(15,2066831,'1',203,'N'),(15,2066831,'1A',214,'N'),(15,2066831,'2',2,'N'),(15,2066840,'1',303,'N'),(15,2066840,'2',301,'N'),(15,2066858,'1',234,'N'),(15,2066858,'2',427,'N'),(15,2066866,'1',103,'N'),(15,2066866,'2',328,'N'),(15,2066874,'1',103,'N'),(15,2066874,'2',208,'N'),(15,2066882,'1',302,'N'),(15,2066882,'2',423,'N'),(15,2066890,'1',211,'N'),(15,2066890,'1A',215,'N'),(15,2066890,'2',234,'N'),(15,2066904,'1',319,'N'),(15,2066904,'2',215,'N'),(15,2066912,'1',103,'N'),(15,2066912,'2',102,'N'),(15,2066939,'1',103,'N'),(15,2066939,'2',104,'N'),(15,2066947,'1',102,'N'),(15,2066947,'2',108,'N'),(15,2066955,'1',201,'N'),(15,2066955,'1A',212,'N'),(15,2066955,'2',203,'N'),(15,2066963,'1',211,'N'),(15,2066963,'1A',207,'N'),(15,2066963,'2',108,'N'),(15,2066971,'1',301,'N'),(15,2066971,'2',316,'N'),(15,2066980,'1',501,'N'),(15,2066980,'2',502,'N'),(15,2066998,'1',213,'N'),(15,2066998,'1A',214,'N'),(15,2066998,'2',2,'N'),(15,2067005,'1',207,'N'),(15,2067005,'1A',211,'N'),(15,2067005,'2',301,'N'),(15,2067013,'1',211,'N'),(15,2067013,'1A',215,'N'),(15,2067013,'2',217,'N'),(15,2067021,'1',420,'N'),(15,2067021,'2',425,'N'),(15,2067056,'1',220,'N'),(15,2067056,'1A',202,'N'),(15,2067056,'2',213,'N'),(15,2067064,'1',108,'N'),(15,2067072,'1',103,'N'),(15,2067072,'2',108,'N'),(15,2067080,'1',202,'N'),(15,2067080,'2',201,'N'),(15,2067099,'1',208,'N'),(15,2067099,'1A',238,'N'),(15,2067099,'2',308,'N'),(15,2067102,'1',5,'N'),(15,2067102,'2',303,'N'),(15,2067110,'1',450,'N'),(15,2067137,'1',5,'N'),(15,2067137,'2',211,'N'),(15,2067145,'1',211,'N'),(15,2067145,'1A',214,'N'),(15,2067145,'2',420,'N'),(15,2067153,'1',202,'N'),(15,2067153,'1A',238,'N'),(15,2067153,'2',213,'N'),(15,2067161,'1',103,'N'),(15,2067161,'2',104,'N'),(15,2067170,'1',103,'N'),(15,2067170,'2',101,'N'),(15,2067196,'1',303,'N'),(15,2067196,'2',5,'N'),(15,2067200,'1',101,'N'),(15,2067200,'2',420,'N'),(15,2067218,'1',316,'N'),(15,2067218,'2',317,'N'),(15,2067226,'1',108,'N'),(15,2067226,'2',426,'N'),(15,2067234,'1',429,'N'),(15,2067234,'1A',425,'N'),(15,2067234,'2',423,'N'),(15,2067242,'1',316,'N'),(15,2067242,'2',301,'N'),(15,2067250,'1',203,'N'),(15,2067250,'1A',202,'N'),(15,2067250,'2',216,'N'),(15,2067269,'1',213,'N'),(15,2067269,'1A',214,'N'),(15,2067269,'2',233,'N'),(15,2067277,'1',326,'N'),(15,2067277,'2',331,'N'),(15,2067307,'1',301,'N'),(15,2067307,'2',316,'N'),(15,2067315,'1',202,'N'),(15,2067315,'1A',220,'N'),(15,2067315,'2',316,'N'),(15,2067323,'1',207,'N'),(15,2067323,'2',420,'N'),(15,2067331,'1',103,'N'),(15,2067340,'1',108,'N'),(15,2067340,'2',333,'N'),(15,2067358,'1',502,'N'),(15,2067366,'1',103,'N'),(15,2067366,'2',331,'N'),(15,2067374,'1',303,'N'),(15,2067374,'2',425,'N'),(15,2067382,'1',108,'N'),(15,2067382,'2',444,'N'),(15,2067390,'1',301,'N'),(15,2067390,'2',316,'N'),(15,2067404,'1',103,'N'),(15,2067412,'1',102,'N'),(15,2067412,'2',217,'N'),(15,2067420,'1',333,'N'),(15,2067420,'2',108,'N'),(15,2067439,'1',5,'N'),(15,2067439,'2',211,'N'),(15,2067447,'1',103,'N'),(15,2067447,'2',9,'N'),(15,2067455,'1',203,'N'),(15,2067455,'1A',214,'N'),(15,2067463,'1',332,'N'),(15,2067463,'2',331,'N'),(15,2067471,'1',104,'N'),(15,2067471,'2',9,'N'),(15,2067480,'1',238,'N'),(15,2067480,'1A',208,'N'),(15,2067480,'2',451,'N'),(15,2067498,'1',213,'N'),(15,2067498,'1A',214,'N'),(15,2067498,'2',212,'N'),(15,2067501,'1',5,'N'),(15,2067510,'1',212,'N'),(15,2067510,'1A',214,'N'),(15,2067510,'2',201,'N'),(15,2067528,'1',238,'N'),(15,2067528,'1A',212,'N'),(15,2067528,'2',304,'N'),(15,2067536,'1',303,'N'),(15,2067536,'2',301,'N'),(15,2067544,'1',203,'N'),(15,2067544,'1A',202,'N'),(15,2067544,'2',201,'N'),(15,2067560,'1',202,'N'),(15,2067560,'1A',233,'N'),(15,2067560,'2',331,'N'),(15,2067579,'1',5,'N'),(15,2067579,'2',427,'N'),(15,2067587,'1',331,'N'),(15,2067587,'2',310,'N'),(15,2067595,'1',212,'N'),(15,2067595,'1A',201,'N'),(15,2067595,'2',222,'N'),(15,2067609,'1',212,'N'),(15,2067609,'1A',214,'N'),(15,2067609,'2',203,'N'),(15,2067633,'1',101,'N'),(15,2067641,'1',108,'N'),(15,2067641,'2',102,'N'),(15,2067650,'1',501,'N'),(15,2067650,'2',102,'N'),(15,2067668,'1',318,'N'),(15,2067668,'2',304,'N'),(15,2067684,'1',501,'N'),(15,2067684,'2',502,'N'),(15,2067692,'1',318,'N'),(15,2067692,'2',429,'N'),(15,2067706,'1',450,'N'),(15,2067706,'2',310,'N'),(15,2067730,'1',420,'N'),(15,2067730,'2',207,'N'),(15,2067749,'1',415,'N'),(15,2067749,'2',207,'N'),(15,2067757,'1',420,'N'),(15,2067757,'2',212,'N'),(15,2067765,'1',309,'N'),(15,2067765,'2',320,'N'),(15,2067773,'1',333,'N'),(15,2067773,'2',502,'N'),(15,2067790,'1',5,'N'),(15,2067790,'2',303,'N'),(15,2067811,'1',9,'N'),(15,2067811,'2',211,'N'),(15,2067820,'1',5,'N'),(15,2067820,'2',208,'N'),(15,2067838,'1',220,'N'),(15,2067838,'1A',203,'N'),(15,2067838,'2',301,'N'),(15,2067846,'1',501,'N'),(15,2067854,'1',420,'N'),(15,2067854,'2',451,'N'),(15,2067870,'1',415,'N'),(15,2067870,'2',310,'N'),(15,2067889,'1',217,'N'),(15,2067889,'2',216,'N'),(15,2067897,'1',208,'N'),(15,2067897,'1A',238,'N'),(15,2067897,'2',203,'N'),(15,2067900,'1',9,'N'),(15,2067900,'2',224,'N'),(15,2067919,'1',5,'N'),(15,2067919,'2',101,'N'),(15,2067927,'1',211,'N'),(15,2067927,'1A',215,'N'),(15,2067927,'2',339,'N'),(15,2067935,'1',101,'N'),(15,2067935,'2',308,'N'),(15,2067943,'1',217,'N'),(15,2067951,'1',428,'N'),(15,2067951,'1A',424,'N'),(15,2067951,'2',421,'N'),(15,2067960,'1',303,'N'),(15,2067960,'2',319,'N'),(15,2067978,'1',203,'N'),(15,2067978,'1A',220,'N'),(15,2067978,'2',108,'N'),(15,2067986,'1',213,'N'),(15,2067986,'1A',202,'N'),(15,2067986,'2',203,'N'),(15,2067994,'1',451,'N'),(15,2067994,'2',308,'N'),(15,2068001,'1',301,'N'),(15,2068001,'2',316,'N'),(15,2068010,'1',415,'N'),(15,2068010,'2',225,'N'),(15,2068028,'1',207,'N'),(15,2068028,'1A',238,'N'),(15,2068028,'2',420,'N'),(15,2068036,'1',104,'N'),(15,2068036,'2',201,'N'),(15,2068044,'1',444,'N'),(15,2068044,'2',308,'N'),(15,2068060,'1',304,'N'),(15,2068060,'2',303,'N'),(15,2068079,'1',214,'N'),(15,2068079,'1A',212,'N'),(15,2068079,'2',304,'N'),(15,2068087,'1',316,'N'),(15,2068087,'2',301,'N'),(15,2068095,'1',2,'N'),(15,2068109,'1',101,'N'),(15,2068109,'2',333,'N'),(15,2068117,'1',233,'N'),(15,2068117,'1A',211,'N'),(15,2068117,'2',234,'N'),(15,2068125,'1',103,'N'),(15,2068125,'2',326,'N'),(15,2068133,'1',319,'N'),(15,2068133,'2',103,'N'),(15,2068141,'1',103,'N'),(15,2068141,'2',104,'N'),(15,2068150,'1',238,'N'),(15,2068150,'1A',212,'N'),(15,2068150,'2',316,'N'),(15,2068168,'1',303,'N'),(15,2068168,'2',404,'N'),(15,2068184,'1',104,'N'),(15,2068184,'2',333,'N'),(15,2068192,'1',333,'N'),(15,2068192,'2',211,'N'),(15,2068206,'1',211,'N'),(15,2068206,'1A',201,'N'),(15,2068206,'2',501,'N'),(15,2068214,'1',327,'N'),(15,2068214,'2',303,'N'),(15,2068222,'1',9,'N'),(15,2068222,'2',326,'N'),(15,2068249,'1',5,'N'),(15,2068249,'2',101,'N'),(15,2068257,'1',103,'N'),(15,2068257,'2',216,'N'),(15,2068265,'1',108,'N'),(15,2068265,'2',501,'N'),(15,2068273,'1',102,'N'),(15,2068273,'2',215,'N'),(15,2068281,'1',304,'N'),(15,2068281,'2',302,'N'),(15,2068290,'1',203,'N'),(15,2068290,'1A',214,'N'),(15,2068290,'2',220,'N'),(15,2068303,'1',234,'N'),(15,2068303,'2',331,'N'),(15,2068338,'1',415,'N'),(15,2068338,'2',331,'N'),(15,2068346,'1',332,'N'),(15,2068346,'2',324,'N'),(15,2068354,'1',103,'N'),(15,2068354,'2',233,'N'),(15,2068362,'1',103,'N'),(15,2068362,'2',308,'N'),(15,2068370,'1',211,'N'),(15,2068370,'1A',216,'N'),(15,2068370,'2',203,'N'),(15,2068389,'1',327,'N'),(15,2068389,'2',328,'N'),(15,2068397,'1',102,'N'),(15,2068397,'2',309,'N'),(15,2068400,'1',202,'N'),(15,2068400,'1A',213,'N'),(15,2068400,'2',423,'N'),(15,2068419,'1',303,'N'),(15,2068419,'2',415,'N'),(15,2068435,'1',103,'N'),(15,2068435,'2',303,'N'),(15,2068451,'1',103,'N'),(15,2068451,'2',102,'N'),(15,2068460,'1',103,'N'),(15,2068460,'2',501,'N'),(15,2068478,'1',103,'N'),(15,2068478,'2',333,'N'),(15,2068494,'1',327,'N'),(15,2068494,'2',108,'N'),(15,2068508,'1',203,'N'),(15,2068508,'1A',238,'N'),(15,2068508,'2',5,'N'),(15,2068516,'1',103,'N'),(15,2068516,'2',101,'N'),(15,2068532,'1',102,'N'),(15,2068532,'2',217,'N'),(15,2068540,'1',203,'N'),(15,2068559,'1',9,'N'),(15,2068559,'2',425,'N'),(15,2068567,'1',303,'N'),(15,2068575,'1',319,'N'),(15,2068575,'2',303,'N'),(15,2068591,'1',108,'N'),(15,2068605,'1',301,'N'),(15,2068605,'2',316,'N'),(15,2068613,'1',207,'N'),(15,2068630,'1',203,'N'),(15,2068630,'1A',220,'N'),(15,2068630,'2',201,'N'),(15,2068648,'1',303,'N'),(15,2068648,'2',5,'N'),(15,2068656,'1',212,'N'),(15,2068656,'1A',233,'N'),(15,2068656,'2',304,'N'),(15,2068664,'1',103,'N'),(15,2068664,'2',101,'N'),(15,2068672,'1',301,'N'),(15,2068672,'2',316,'N'),(15,2068680,'1',103,'N'),(15,2068680,'2',318,'N'),(15,2068699,'1',316,'N'),(15,2068699,'2',301,'N'),(15,2068710,'1',103,'N'),(15,2068710,'2',450,'N'),(15,2068729,'1',103,'N'),(15,2068729,'2',104,'N'),(15,2068737,'1',207,'N'),(15,2068737,'1A',201,'N'),(15,2068737,'2',425,'N'),(15,2068745,'1',444,'N'),(15,2068745,'2',108,'N'),(15,2068761,'1',332,'N'),(15,2068761,'2',502,'N'),(15,2068770,'1',502,'N'),(15,2068770,'2',423,'N'),(15,2068788,'1',319,'N'),(15,2068788,'2',207,'N'),(15,2068796,'1',9,'N'),(15,2068796,'2',104,'N'),(15,2068800,'1',208,'N'),(15,2068800,'1A',233,'N'),(15,2068800,'2',103,'N'),(15,2068818,'1',207,'N'),(15,2068818,'2',201,'N'),(15,2068826,'1',207,'N'),(15,2068826,'1A',238,'N'),(15,2068826,'2',404,'N'),(15,2068834,'1',103,'N'),(15,2068834,'2',108,'N'),(15,2068842,'1',5,'N'),(15,2068842,'2',102,'N'),(15,2068850,'1',501,'N'),(15,2068869,'1',212,'N'),(15,2068869,'1A',220,'N'),(15,2068869,'2',201,'N'),(15,2068877,'1',203,'N'),(15,2068877,'1A',201,'N'),(15,2068877,'2',103,'N'),(15,2068893,'1',303,'N'),(15,2068893,'2',326,'N'),(15,2068907,'1',108,'N'),(15,2068907,'2',333,'N'),(15,2068915,'1',104,'N'),(15,2068915,'2',502,'N'),(15,2068923,'1',5,'N'),(15,2068923,'2',428,'N'),(15,2068931,'1',208,'N'),(15,2068940,'1',104,'N'),(15,2068940,'2',238,'N'),(15,2068966,'1',327,'N'),(15,2068966,'2',320,'N'),(15,2068982,'1',415,'N'),(15,2068982,'2',316,'N'),(15,2068990,'1',216,'N'),(15,2068990,'1A',215,'N'),(15,2068990,'2',102,'N'),(15,2069016,'1',103,'N'),(15,2069024,'1',303,'N'),(15,2069024,'2',5,'N'),(15,2069040,'1',420,'N'),(15,2069040,'2',208,'N'),(15,2069059,'1',216,'N'),(15,2069059,'1A',211,'N'),(15,2069059,'2',326,'N'),(15,2069067,'1',451,'N'),(15,2069067,'2',450,'N'),(15,2069075,'1',324,'N'),(15,2069075,'2',309,'N'),(15,2069083,'1',213,'N'),(15,2069083,'1A',233,'N'),(15,2069083,'2',301,'N'),(15,2069105,'1',208,'N'),(15,2069105,'1A',233,'N'),(15,2069105,'2',222,'N'),(15,2069113,'1',501,'N'),(15,2069113,'2',451,'N'),(15,2069121,'1',327,'N'),(15,2069121,'2',329,'N'),(15,2069130,'1',425,'N'),(15,2069130,'1A',427,'N'),(15,2069130,'2',304,'N'),(15,2069148,'1',211,'N'),(15,2069148,'2',108,'N'),(15,2069156,'1',304,'N'),(15,2069156,'2',318,'N'),(15,2069164,'1',333,'N'),(15,2069164,'2',108,'N'),(15,2069172,'1',103,'N'),(15,2069172,'2',502,'N'),(15,2069180,'1',103,'N'),(15,2069180,'2',101,'N'),(15,2069199,'1',5,'N'),(15,2069199,'2',316,'N'),(15,2069202,'1',103,'N'),(15,2069202,'2',102,'N'),(15,2069210,'1',211,'N'),(15,2069210,'1A',233,'N'),(15,2069210,'2',212,'N'),(15,2069229,'1',326,'N'),(15,2069229,'2',308,'N'),(15,2069245,'1',9,'N'),(15,2069245,'2',102,'N'),(15,2069253,'1',103,'N'),(15,2069253,'2',333,'N'),(15,2069261,'1',319,'N'),(15,2069261,'2',101,'N'),(15,2069270,'1',301,'N'),(15,2069270,'2',304,'N'),(15,2069288,'1',303,'N'),(15,2069288,'2',5,'N'),(15,2069296,'1',339,'N'),(15,2069296,'2',333,'N'),(15,2069300,'1',303,'N'),(15,2069300,'2',5,'N'),(15,2069318,'1',303,'N'),(15,2069318,'2',304,'N'),(15,2069326,'1',102,'N'),(15,2069326,'2',216,'N'),(15,2069334,'1',217,'N'),(15,2069334,'2',216,'N'),(15,2069342,'1',103,'N'),(15,2069342,'2',9,'N'),(15,2069350,'1',203,'N'),(15,2069350,'1A',220,'N'),(15,2069350,'2',502,'N'),(15,2069369,'1',317,'N'),(15,2069369,'2',318,'N'),(15,2069377,'1',103,'N'),(15,2069377,'2',9,'N'),(15,2069385,'1',207,'N'),(15,2069385,'2',319,'N'),(15,2069415,'1',208,'N'),(15,2069415,'2',316,'N'),(15,2069431,'1',201,'N'),(15,2069431,'1A',216,'N'),(15,2069458,'1',203,'N'),(15,2069458,'1A',216,'N'),(15,2069458,'2',217,'N'),(15,2069466,'1',207,'N'),(15,2069466,'1A',211,'N'),(15,2069466,'2',451,'N'),(15,2069482,'1',5,'N'),(15,2069482,'2',424,'N'),(15,2069490,'1',103,'N'),(15,2069490,'2',451,'N'),(15,2069512,'1',211,'N'),(15,2069512,'1A',215,'N'),(15,2069512,'2',102,'N'),(15,2069520,'1',308,'N'),(15,2069520,'2',224,'N'),(15,2069539,'1',444,'N'),(15,2069547,'1',332,'N'),(15,2069547,'2',329,'N'),(15,2069563,'1',420,'N'),(15,2069563,'2',332,'N'),(15,2069571,'1',415,'N'),(15,2069571,'2',428,'N'),(15,2069598,'1',102,'N'),(15,2069598,'2',9,'N'),(15,2069601,'1',9,'N'),(15,2069601,'2',215,'N'),(15,2069610,'1',327,'N'),(15,2069610,'2',5,'N'),(15,2069628,'1',220,'N'),(15,2069628,'1A',203,'N'),(15,2069628,'2',214,'N'),(15,2069636,'1',207,'N'),(15,2069636,'1A',201,'N'),(15,2069636,'2',420,'N'),(15,2069644,'1',203,'N'),(15,2069644,'1A',214,'N'),(15,2069644,'2',220,'N'),(15,2069652,'1',203,'N'),(15,2069652,'2',202,'N'),(15,2069660,'1',333,'N'),(15,2069660,'2',215,'N'),(15,2069679,'1',319,'N'),(15,2069679,'2',428,'N'),(15,2069687,'1',103,'N'),(15,2069687,'2',101,'N'),(15,2069695,'1',103,'N'),(15,2069695,'2',102,'N'),(15,2069709,'1',9,'N'),(15,2069709,'2',333,'N'),(15,2069717,'1',108,'N'),(15,2069717,'2',333,'N'),(15,2069725,'1',303,'N'),(15,2069725,'2',5,'N'),(15,2069733,'1',420,'N'),(15,2069733,'2',108,'N'),(15,2069741,'1',429,'N'),(15,2069741,'1A',425,'N'),(15,2069741,'2',339,'N'),(15,2069750,'1',103,'N'),(15,2069750,'2',102,'N'),(15,2069768,'1',102,'N'),(15,2069768,'2',217,'N'),(15,2069776,'1',215,'N'),(15,2069776,'2',220,'N'),(15,2069784,'1',216,'N'),(15,2069784,'1A',203,'N'),(15,2069784,'2',220,'N'),(15,2069792,'1',420,'N'),(15,2069792,'2',450,'N'),(15,2069806,'1',215,'N'),(15,2069814,'1',501,'N'),(15,2069814,'2',404,'N'),(15,2069830,'1',201,'N'),(15,2069830,'1A',215,'N'),(15,2069830,'2',223,'N'),(15,2069849,'1',5,'N'),(15,2069849,'2',238,'N'),(15,2069857,'1',203,'N'),(15,2069857,'1A',214,'N'),(15,2069865,'1',103,'N'),(15,2069865,'2',303,'N'),(15,2069873,'1',326,'N'),(15,2069873,'2',424,'N'),(15,2069881,'1',104,'N'),(15,2069881,'2',207,'N'),(15,2069890,'1',316,'N'),(15,2069890,'2',420,'N'),(15,2069903,'1',103,'N'),(15,2069903,'2',101,'N'),(15,2069911,'1',316,'N'),(15,2069911,'2',217,'N'),(15,2069920,'1',103,'N'),(15,2069920,'2',303,'N'),(15,2069938,'1',103,'N'),(15,2069938,'2',303,'N'),(15,2069946,'1',103,'N'),(15,2069946,'2',101,'N'),(15,2069962,'1',5,'N'),(15,2069962,'2',339,'N'),(15,2069989,'1',333,'N'),(15,2069989,'2',211,'N'),(15,2069997,'1',202,'N'),(15,2069997,'1A',213,'N'),(15,2069997,'2',211,'N'),(15,2070006,'1',103,'N'),(15,2070006,'2',104,'N'),(15,2070014,'1',208,'N'),(15,2070014,'1A',201,'N'),(15,2070014,'2',238,'N'),(15,2070022,'1',9,'N'),(15,2070022,'2',101,'N'),(15,2070030,'1',215,'N'),(15,2070030,'1A',201,'N'),(15,2070030,'2',202,'N'),(15,2070049,'1',108,'N'),(15,2070049,'2',217,'N'),(15,2070057,'1',203,'N'),(15,2070057,'1A',233,'N'),(15,2070057,'2',421,'N'),(15,2070073,'1',104,'N'),(15,2070073,'2',9,'N'),(15,2070081,'1',329,'N'),(15,2070081,'2',328,'N'),(15,2070090,'1',203,'N'),(15,2070090,'1A',202,'N'),(15,2070090,'2',208,'N'),(15,2070103,'1',319,'N'),(15,2070103,'2',301,'N'),(15,2070111,'1',303,'N'),(15,2070111,'2',415,'N'),(15,2070120,'1',233,'N'),(15,2070120,'1A',211,'N'),(15,2070120,'2',214,'N'),(15,2070138,'1',5,'N'),(15,2070138,'2',303,'N'),(15,2070146,'1',211,'N'),(15,2070146,'1A',207,'N'),(15,2070146,'2',308,'N'),(15,2070154,'1',208,'N'),(15,2070154,'1A',238,'N'),(15,2070154,'2',415,'N'),(15,2070162,'1',103,'N'),(15,2070162,'2',319,'N'),(15,2070170,'1',301,'N'),(15,2070170,'2',316,'N'),(15,2070189,'1',103,'N'),(15,2070189,'2',101,'N'),(15,2070197,'1',220,'N'),(15,2070197,'1A',203,'N'),(15,2070197,'2',202,'N'),(15,2070200,'1',208,'N'),(15,2070200,'2',316,'N'),(15,2070219,'1',102,'N'),(15,2070219,'2',216,'N'),(15,2070227,'1',216,'N'),(15,2070227,'2',102,'N'),(15,2070235,'1',212,'N'),(15,2070235,'1A',220,'N'),(15,2070235,'2',304,'N'),(15,2070243,'1',207,'N'),(15,2070243,'1A',201,'N'),(15,2070243,'2',420,'N'),(15,2070251,'1',233,'N'),(15,2070251,'1A',201,'N'),(15,2070251,'2',216,'N'),(15,2070260,'1',203,'N'),(15,2070260,'1A',214,'N'),(15,2070260,'2',216,'N'),(15,2070278,'1',207,'N'),(15,2070278,'1A',211,'N'),(15,2070278,'2',420,'N'),(15,2070286,'1',207,'N'),(15,2070286,'2',327,'N'),(15,2070316,'1',5,'N'),(15,2070316,'2',451,'N'),(15,2070332,'1',303,'N'),(15,2070332,'2',326,'N'),(15,2070359,'1',103,'N'),(15,2070359,'2',214,'N'),(15,2070367,'1',103,'N'),(15,2070375,'1',207,'N'),(15,2070375,'1A',201,'N'),(15,2070375,'2',317,'N'),(15,2070383,'1',215,'N'),(15,2070383,'1A',233,'N'),(15,2070383,'2',444,'N'),(15,2070391,'1',303,'N'),(15,2070391,'2',222,'N'),(15,2070405,'1',421,'N'),(15,2070413,'1',217,'N'),(15,2070413,'2',423,'N'),(15,2070430,'1',333,'N'),(15,2070430,'2',5,'N'),(15,2070448,'1',327,'N'),(15,2070448,'2',428,'N'),(15,2070456,'1',415,'N'),(15,2070456,'2',328,'N'),(15,2070464,'1',502,'N'),(15,2070472,'1',332,'N'),(15,2070472,'2',501,'N'),(15,2070480,'1',203,'N'),(15,2070480,'1A',214,'N'),(15,2070480,'2',212,'N'),(15,2070499,'1',104,'N'),(15,2070499,'2',9,'N'),(15,2070502,'1',326,'N'),(15,2070502,'2',324,'N'),(15,2070529,'1',103,'N'),(15,2070529,'2',318,'N'),(15,2070537,'1',103,'N'),(15,2070537,'2',212,'N'),(15,2070545,'1',103,'N'),(15,2070545,'2',301,'N'),(15,2070553,'1',327,'N'),(15,2070553,'2',326,'N'),(15,2070561,'1',223,'N'),(15,2070561,'2',222,'N'),(15,2070588,'1',102,'N'),(15,2070588,'2',333,'N'),(15,2070596,'1',203,'N'),(15,2070596,'1A',201,'N'),(15,2070596,'2',202,'N'),(15,2070600,'1',208,'N'),(15,2070600,'1A',238,'N'),(15,2070600,'2',217,'N'),(15,2070626,'1',103,'N'),(15,2070626,'2',212,'N'),(15,2070634,'1',5,'N'),(15,2070634,'2',326,'N'),(15,2070642,'1',108,'N'),(15,2070642,'2',211,'N'),(15,2070650,'1',333,'N'),(15,2070650,'2',404,'N'),(15,2070669,'1',216,'N'),(15,2070669,'1A',211,'N'),(15,2070669,'2',234,'N'),(15,2070677,'1',211,'N'),(15,2070677,'1A',238,'N'),(15,2070677,'2',333,'N'),(15,2070685,'1',103,'N'),(15,2070685,'2',425,'N'),(15,2070693,'1',220,'N'),(15,2070693,'1A',203,'N'),(15,2070693,'2',208,'N'),(15,2070707,'1',214,'N'),(15,2070715,'1',208,'N'),(15,2070715,'1A',238,'N'),(15,2070715,'2',207,'N'),(15,2070723,'1',207,'N'),(15,2070723,'1A',201,'N'),(15,2070723,'2',304,'N'),(15,2070731,'1',5,'N'),(15,2070731,'2',502,'N'),(15,2070740,'1',215,'N'),(15,2070740,'1A',233,'N'),(15,2070740,'2',501,'N'),(15,2070774,'1',9,'N'),(15,2070774,'2',101,'N'),(15,2070782,'1',103,'N'),(15,2070790,'1',207,'N'),(15,2070790,'1A',203,'N'),(15,2070790,'2',233,'N'),(15,2070804,'1',103,'N'),(15,2070804,'2',108,'N'),(15,2070812,'1',220,'N'),(15,2070812,'1A',202,'N'),(15,2070812,'2',203,'N'),(15,2070820,'1',216,'N'),(15,2070820,'1A',211,'N'),(15,2070839,'1',420,'N'),(15,2070839,'2',327,'N'),(15,2070847,'1',207,'N'),(15,2070847,'2',201,'N'),(15,2070855,'1',332,'N'),(15,2070855,'2',329,'N'),(15,2070863,'1',103,'N'),(15,2070863,'2',319,'N'),(15,2070871,'1',303,'N'),(15,2070871,'2',233,'N'),(15,2070880,'1',207,'N'),(15,2070880,'1A',201,'N'),(15,2070880,'2',420,'N'),(15,2070898,'1',429,'N'),(15,2070898,'1A',427,'N'),(15,2070898,'2',421,'N'),(15,2070901,'1',211,'N'),(15,2070901,'1A',233,'N'),(15,2070901,'2',103,'N'),(15,2070910,'1',103,'N'),(15,2070910,'2',101,'N'),(15,2070928,'1',201,'N'),(15,2070928,'1A',212,'N'),(15,2070928,'2',303,'N'),(15,2070936,'1',501,'N'),(15,2070936,'2',108,'N'),(15,2070944,'1',201,'N'),(15,2070944,'1A',212,'N'),(15,2070944,'2',214,'N'),(15,2070952,'1',103,'N'),(15,2070952,'2',303,'N'),(15,2070960,'1',5,'N'),(15,2070960,'2',303,'N'),(15,2070979,'1',211,'N'),(15,2070979,'1A',201,'N'),(15,2070979,'2',212,'N'),(15,2070987,'1',9,'N'),(15,2070987,'2',104,'N'),(15,2070995,'1',451,'N'),(15,2070995,'2',421,'N'),(15,2071002,'1',327,'N'),(15,2071002,'2',320,'N'),(15,2071010,'1',234,'N'),(15,2071010,'2',420,'N'),(15,2071029,'1',202,'N'),(15,2071029,'1A',201,'N'),(15,2071029,'2',213,'N'),(15,2071037,'1',202,'N'),(15,2071037,'1A',211,'N'),(15,2071037,'2',223,'N'),(15,2071045,'1',104,'N'),(15,2071045,'2',211,'N'),(15,2071053,'1',317,'N'),(15,2071053,'2',424,'N'),(15,2071061,'1',333,'N'),(15,2071088,'1',5,'N'),(15,2071088,'2',333,'N'),(15,2071096,'1',238,'N'),(15,2071096,'1A',208,'N'),(15,2071096,'2',316,'N'),(15,2071100,'1',103,'N'),(15,2071100,'2',450,'N'),(15,2071118,'1',238,'N'),(15,2071118,'1A',208,'N'),(15,2071118,'2',102,'N'),(15,2071134,'1',9,'N'),(15,2071134,'2',324,'N'),(15,2071142,'1',208,'N'),(15,2071142,'1A',238,'N'),(15,2071142,'2',317,'N'),(15,2071150,'1',207,'N'),(15,2071150,'1A',201,'N'),(15,2071150,'2',420,'N'),(15,2071169,'1',319,'N'),(15,2071169,'2',9,'N'),(15,2071177,'1',303,'N'),(15,2071177,'2',316,'N'),(15,2071185,'1',108,'N'),(15,2071185,'2',217,'N'),(15,2071193,'1',444,'N'),(15,2071193,'2',404,'N'),(15,2071207,'1',333,'N'),(15,2071207,'2',108,'N'),(15,2071223,'1',104,'N'),(15,2071223,'2',319,'N'),(15,2071231,'1',101,'N'),(15,2071231,'2',308,'N'),(15,2071240,'1',316,'N'),(15,2071240,'2',317,'N'),(15,2071266,'1',103,'N'),(15,2071274,'1',308,'N'),(15,2071274,'2',238,'N'),(15,2071282,'1',108,'N'),(15,2071282,'2',333,'N'),(15,2071290,'1',420,'N'),(15,2071290,'2',425,'N'),(15,2071304,'1',208,'N'),(15,2071304,'1A',238,'N'),(15,2071304,'2',213,'N'),(15,2071312,'1',103,'N'),(15,2071312,'2',101,'N'),(15,2071320,'1',103,'N'),(15,2071320,'2',101,'N'),(15,2071355,'1',108,'N'),(15,2071355,'2',333,'N'),(15,2071363,'1',238,'N'),(15,2071363,'1A',213,'N'),(15,2071363,'2',222,'N'),(15,2071371,'1',201,'N'),(15,2071371,'1A',212,'N'),(15,2071371,'2',207,'N'),(15,2071398,'1',5,'N'),(15,2071398,'2',303,'N'),(15,2071401,'1',333,'N'),(15,2071401,'2',444,'N'),(15,2071410,'1',429,'N'),(15,2071410,'1A',425,'N'),(15,2071410,'2',420,'N'),(15,2071428,'1',316,'N'),(15,2071428,'2',318,'N'),(15,2071452,'1',203,'N'),(15,2071452,'2',214,'N'),(15,2071460,'1',332,'N'),(15,2071460,'2',339,'N'),(15,2071479,'1',201,'N'),(15,2071479,'1A',208,'N'),(15,2071479,'2',2,'N'),(15,2071509,'1',420,'N'),(15,2071509,'2',207,'N'),(15,2071517,'1',103,'N'),(15,2071517,'2',207,'N'),(15,2071525,'1',415,'N'),(15,2071525,'2',329,'N'),(15,2071533,'1',5,'N'),(15,2071533,'2',318,'N'),(15,2071576,'1',217,'N'),(15,2071576,'2',102,'N'),(15,2071584,'1',203,'N'),(15,2071584,'1A',202,'N'),(15,2071584,'2',201,'N'),(15,2071614,'1',103,'N'),(15,2071614,'2',303,'N'),(15,2071622,'1',213,'N'),(15,2071622,'2',222,'N'),(15,2071673,'1',217,'N'),(15,2071673,'2',211,'N'),(15,2071681,'1',444,'N'),(15,2071681,'2',303,'N'),(15,2071690,'1',220,'N'),(15,2071690,'1A',214,'N'),(15,2071690,'2',203,'N'),(15,2071703,'1',317,'N'),(15,2071703,'2',224,'N'),(15,2071711,'1',101,'N'),(15,2071711,'2',332,'N'),(15,2071720,'1',224,'N'),(15,2071720,'2',317,'N'),(15,2071738,'1',5,'N'),(15,2071738,'2',426,'N'),(15,2071746,'1',202,'N'),(15,2071746,'1A',213,'N'),(15,2071746,'2',222,'N'),(15,2071762,'1',208,'N'),(15,2071762,'1A',215,'N'),(15,2071762,'2',222,'N'),(15,2071770,'1',102,'N'),(15,2071770,'2',104,'N'),(15,2071789,'1',5,'N'),(15,2071789,'2',301,'N'),(15,2071797,'1',5,'N'),(15,2071797,'2',501,'N'),(15,2071800,'1',502,'N'),(15,2071800,'2',501,'N'),(15,2071827,'1',214,'N'),(15,2071827,'1A',212,'N'),(15,2071827,'2',213,'N'),(15,2071835,'1',404,'N'),(15,2071835,'2',424,'N'),(15,2071843,'1',101,'N'),(15,2071843,'2',310,'N'),(15,2071851,'1',101,'N'),(15,2071851,'2',324,'N'),(15,2071860,'1',202,'N'),(15,2071860,'1A',213,'N'),(15,2071860,'2',225,'N'),(15,2071878,'1',5,'N'),(15,2071878,'2',316,'N'),(15,2071886,'1',501,'N'),(15,2071886,'2',502,'N'),(15,2071908,'1',332,'N'),(15,2071908,'2',327,'N'),(15,2071916,'1',317,'N'),(15,2071916,'2',318,'N'),(15,2071932,'1',428,'N'),(15,2071932,'1A',427,'N'),(15,2071932,'2',222,'N'),(15,2071940,'1',223,'N'),(15,2071940,'2',224,'N'),(15,2071959,'1',224,'N'),(15,2071959,'2',223,'N'),(15,2071975,'1',238,'N'),(15,2071975,'1A',208,'N'),(15,2071975,'2',332,'N'),(15,2071983,'1',501,'N'),(15,2071983,'2',108,'N'),(15,2071991,'1',415,'N'),(15,2071991,'2',427,'N'),(15,2072009,'1',103,'N'),(15,2072009,'2',309,'N'),(15,2072017,'1',308,'N'),(15,2072017,'2',427,'N'),(15,2072025,'1',303,'N'),(15,2072025,'2',5,'N'),(15,2072033,'1',451,'N'),(15,2072033,'2',326,'N'),(15,2072041,'1',203,'N'),(15,2072041,'1A',201,'N'),(15,2072041,'2',220,'N'),(15,2072068,'1',202,'N'),(15,2072068,'1A',213,'N'),(15,2072068,'2',220,'N'),(15,2072076,'1',104,'N'),(15,2072084,'1',203,'N'),(15,2072084,'1A',202,'N'),(15,2072084,'2',233,'N'),(15,2072092,'1',201,'N'),(15,2072092,'1A',207,'N'),(15,2072092,'2',501,'N'),(15,2072106,'1',203,'N'),(15,2072106,'1A',213,'N'),(15,2072106,'2',223,'N'),(15,2072114,'1',202,'N'),(15,2072114,'1A',213,'N'),(15,2072114,'2',220,'N'),(15,2072122,'1',108,'N'),(15,2072122,'2',333,'N'),(15,2072130,'1',216,'N'),(15,2072130,'1A',215,'N'),(15,2072149,'1',213,'N'),(15,2072149,'1A',211,'N'),(15,2072149,'2',333,'N'),(15,2072157,'1',103,'N'),(15,2072157,'2',201,'N'),(15,2072165,'1',217,'N'),(15,2072165,'2',451,'N'),(15,2072173,'1',208,'N'),(15,2072173,'1A',238,'N'),(15,2072173,'2',220,'N'),(15,2072181,'1',319,'N'),(15,2072190,'1',420,'N'),(15,2072190,'2',326,'N'),(15,2072203,'1',203,'N'),(15,2072203,'1A',233,'N'),(15,2072203,'2',225,'N'),(15,2072211,'1',327,'N'),(15,2072220,'1',308,'N'),(15,2072220,'2',339,'N'),(15,2072238,'1',214,'N'),(15,2072238,'1A',212,'N'),(15,2072238,'2',201,'N'),(15,2072246,'1',108,'N'),(15,2072246,'2',333,'N'),(15,2072262,'1',102,'N'),(15,2072262,'2',502,'N'),(15,2072270,'1',103,'N'),(15,2072289,'1',214,'N'),(15,2072289,'1A',212,'N'),(15,2072289,'2',220,'N'),(15,2072297,'1',331,'N'),(15,2072297,'2',309,'N'),(15,2072300,'1',316,'N'),(15,2072300,'2',450,'N'),(15,2072319,'1',303,'N'),(15,2072319,'2',5,'N'),(15,2072327,'1',5,'N'),(15,2072327,'2',327,'N'),(15,2072343,'1',222,'N'),(15,2072343,'2',5,'N'),(15,2072351,'1',451,'N'),(15,2072351,'2',426,'N'),(15,2072360,'1',213,'N'),(15,2072360,'1A',207,'N'),(15,2072360,'2',319,'N'),(15,2072386,'1',203,'N'),(15,2072386,'1A',202,'N'),(15,2072386,'2',303,'N'),(15,2072408,'1',211,'N'),(15,2072408,'1A',201,'N'),(15,2072408,'2',214,'N'),(15,2072416,'1',104,'N'),(15,2072416,'2',225,'N'),(15,2072424,'1',5,'N'),(15,2072424,'2',424,'N'),(15,2072432,'1',333,'N'),(15,2072432,'2',302,'N'),(15,2072440,'1',102,'N'),(15,2072440,'2',101,'N'),(15,2072459,'1',108,'N'),(15,2072459,'2',333,'N'),(15,2072467,'1',5,'N'),(15,2072467,'2',213,'N'),(15,2072475,'1',304,'N'),(15,2072475,'2',302,'N'),(15,2072483,'1',415,'N'),(15,2072483,'2',301,'N'),(15,2072491,'1',9,'N'),(15,2072491,'2',308,'N'),(15,2072521,'1',502,'N'),(15,2072521,'2',501,'N'),(15,2072530,'1',5,'N'),(15,2072530,'2',318,'N'),(15,2072548,'1',301,'N'),(15,2072548,'2',428,'N'),(15,2072572,'1',102,'N'),(15,2072572,'2',104,'N'),(15,2072602,'1',103,'N'),(15,2072602,'2',108,'N'),(15,2072610,'1',5,'N'),(15,2072610,'2',317,'N'),(15,2072629,'1',324,'N'),(15,2072629,'2',333,'N'),(15,2072637,'1',211,'N'),(15,2072637,'2',333,'N'),(15,2072661,'1',207,'N'),(15,2072661,'1A',201,'N'),(15,2072661,'2',429,'N'),(15,2072688,'1',211,'N'),(15,2072688,'1A',213,'N'),(15,2072688,'2',329,'N'),(15,2072696,'1',103,'N'),(15,2072696,'2',104,'N'),(15,2072700,'1',301,'N'),(15,2072700,'2',304,'N'),(15,2072718,'1',319,'N'),(15,2072718,'2',329,'N'),(15,2072726,'1',216,'N'),(15,2072726,'1A',202,'N'),(15,2072726,'2',103,'N'),(15,2072734,'1',301,'N'),(15,2072734,'2',304,'N'),(15,2072742,'1',203,'N'),(15,2072742,'1A',202,'N'),(15,2072742,'2',103,'N'),(15,2072750,'1',301,'N'),(15,2072750,'2',332,'N'),(15,2072777,'1',303,'N'),(15,2072777,'2',319,'N'),(15,2072785,'1',302,'N'),(15,2072785,'2',339,'N'),(15,2072793,'1',316,'N'),(15,2072793,'2',339,'N'),(15,2072807,'1',324,'N'),(15,2072807,'2',421,'N'),(15,2072815,'1',450,'N'),(15,2072815,'2',324,'N'),(15,2072831,'1',103,'N'),(15,2072831,'2',108,'N'),(15,2072840,'1',501,'N'),(15,2072840,'2',327,'N'),(15,2072858,'1',303,'N'),(15,2072858,'2',5,'N'),(15,2072866,'1',316,'N'),(15,2072866,'2',238,'N'),(15,2072874,'1',420,'N'),(15,2072874,'2',238,'N'),(15,2072882,'1',215,'N'),(15,2072882,'1A',216,'N'),(15,2072882,'2',501,'N'),(15,2072904,'1',303,'N'),(15,2072904,'2',5,'N'),(15,2072912,'1',316,'N'),(15,2072912,'2',339,'N'),(15,2072939,'1',329,'N'),(15,2072939,'2',222,'N'),(15,2072947,'1',103,'N'),(15,2072947,'2',415,'N'),(15,2072955,'1',104,'N'),(15,2072955,'2',308,'N'),(15,2072963,'1',424,'N'),(15,2072963,'1A',428,'N'),(15,2072963,'2',324,'N'),(15,2072980,'1',424,'N'),(15,2072980,'1A',427,'N'),(15,2072980,'2',420,'N'),(15,2072998,'1',103,'N'),(15,2072998,'2',104,'N'),(15,2073005,'1',331,'N'),(15,2073005,'2',332,'N'),(15,2073021,'1',211,'N'),(15,2073021,'1A',220,'N'),(15,2073021,'2',333,'N'),(15,2073030,'1',319,'N'),(15,2073030,'2',339,'N'),(15,2073048,'1',103,'N'),(15,2073048,'2',101,'N'),(15,2073056,'1',501,'N'),(15,2073056,'2',502,'N'),(15,2073064,'1',316,'N'),(15,2073064,'2',212,'N'),(15,2073072,'1',444,'N'),(15,2073072,'2',404,'N'),(15,2073080,'1',404,'N'),(15,2073080,'2',444,'N'),(15,2073099,'1',9,'N'),(15,2073099,'2',102,'N'),(15,2073102,'1',304,'N'),(15,2073102,'2',216,'N'),(15,2073110,'1',317,'N'),(15,2073110,'2',318,'N'),(15,2073129,'1',103,'N'),(15,2073129,'2',5,'N'),(15,2073137,'1',444,'N'),(15,2073137,'2',404,'N'),(15,2073145,'1',103,'N'),(15,2073145,'2',303,'N'),(15,2073153,'1',425,'N'),(15,2073153,'1A',429,'N'),(15,2073161,'1',301,'N'),(15,2073161,'2',302,'N'),(15,2073188,'1',320,'N'),(15,2073188,'2',327,'N'),(15,2073218,'1',333,'N'),(15,2073218,'2',5,'N'),(15,2073226,'1',318,'N'),(15,2073226,'2',5,'N'),(15,2073242,'1',424,'N'),(15,2073242,'1A',425,'N'),(15,2073250,'1',309,'N'),(15,2073250,'2',324,'N'),(15,2073269,'1',207,'N'),(15,2073269,'1A',201,'N'),(15,2073269,'2',233,'N'),(15,2073277,'1',208,'N'),(15,2073277,'1A',202,'N'),(15,2073277,'2',302,'N'),(15,2073285,'1',202,'N'),(15,2073285,'1A',213,'N'),(15,2073285,'2',222,'N'),(15,2073293,'1',215,'N'),(15,2073293,'1A',216,'N'),(15,2073293,'2',9,'N'),(15,2073307,'1',216,'N'),(15,2073307,'1A',233,'N'),(15,2073307,'2',420,'N'),(15,2073315,'1',450,'N'),(15,2073315,'2',320,'N'),(15,2073331,'1',220,'N'),(15,2073331,'1A',202,'N'),(15,2073331,'2',203,'N'),(15,2073340,'1',420,'N'),(15,2073340,'2',450,'N'),(15,2073366,'1',103,'N'),(15,2073366,'2',108,'N'),(15,2073412,'1',102,'N'),(15,2073412,'2',426,'N'),(15,2073439,'1',339,'N'),(15,2073439,'2',332,'N'),(15,2073447,'1',216,'N'),(15,2073447,'1A',207,'N'),(15,2073447,'2',217,'N'),(15,2073463,'1',303,'N'),(15,2073463,'2',5,'N'),(15,2073471,'1',9,'N'),(15,2073471,'2',444,'N'),(15,2073480,'1',216,'N'),(15,2073480,'1A',203,'N'),(15,2073480,'2',202,'N'),(15,2073498,'1',220,'N'),(15,2073498,'1A',203,'N'),(15,2073498,'2',444,'N'),(15,2073501,'1',103,'N'),(15,2073501,'2',101,'N'),(15,2073510,'1',501,'N'),(15,2073510,'2',420,'N'),(15,2073536,'1',212,'N'),(15,2073536,'1A',201,'N'),(15,2073544,'1',318,'N'),(15,2073544,'2',320,'N'),(15,2073552,'1',310,'N'),(15,2073552,'2',326,'N'),(15,2073579,'1',212,'N'),(15,2073579,'1A',213,'N'),(15,2073579,'2',329,'N'),(15,2073595,'1',319,'N'),(15,2073595,'2',329,'N'),(15,2073609,'1',5,'N'),(15,2073609,'2',303,'N'),(15,2073617,'1',303,'N'),(15,2073617,'2',308,'N'),(15,2073625,'1',324,'N'),(15,2073625,'2',308,'N'),(15,2073633,'1',429,'N'),(15,2073633,'1A',424,'N'),(15,2073633,'2',339,'N'),(15,2073641,'1',216,'N'),(15,2073641,'1A',215,'N'),(15,2073641,'2',102,'N'),(15,2073668,'1',308,'N'),(15,2073668,'2',320,'N'),(15,2073676,'1',329,'N'),(15,2073676,'2',332,'N'),(15,2073684,'1',103,'N'),(15,2073684,'2',104,'N'),(15,2073692,'1',308,'N'),(15,2073692,'2',326,'N'),(15,2073706,'1',5,'N'),(15,2073706,'2',303,'N'),(15,2073714,'1',5,'N'),(15,2073714,'2',327,'N'),(15,2073722,'1',216,'N'),(15,2073722,'1A',211,'N'),(15,2073722,'2',217,'N'),(15,2073730,'1',214,'N'),(15,2073749,'1',103,'N'),(15,2073749,'2',207,'N'),(15,2073765,'1',103,'N'),(15,2073765,'2',207,'N'),(15,2073773,'1',303,'N'),(15,2073773,'2',103,'N'),(15,2073781,'1',303,'N'),(15,2073781,'2',207,'N'),(15,2073790,'1',108,'N'),(15,2073790,'2',424,'N'),(15,2073811,'1',108,'N'),(15,2073811,'2',333,'N'),(15,2073846,'1',303,'N'),(15,2073846,'2',5,'N'),(15,2073854,'1',207,'N'),(15,2073862,'1',103,'N'),(15,2073862,'2',310,'N'),(15,2073889,'1',333,'N'),(15,2073897,'1',319,'N'),(15,2073900,'1',318,'N'),(15,2073900,'2',304,'N'),(15,2073919,'1',318,'N'),(15,2073919,'2',317,'N'),(15,2073927,'1',238,'N'),(15,2073927,'2',324,'N'),(15,2073935,'1',339,'N'),(15,2073935,'2',426,'N'),(15,2073943,'1',501,'N'),(15,2073943,'2',108,'N'),(15,2073951,'1',316,'N'),(15,2073951,'2',404,'N'),(15,2073960,'1',404,'N'),(15,2073960,'2',444,'N'),(15,2073978,'1',201,'N'),(15,2073978,'1A',212,'N'),(15,2073978,'2',211,'N'),(15,2073986,'1',333,'N'),(15,2073986,'2',211,'N'),(15,2073994,'1',103,'N'),(15,2073994,'2',415,'N'),(15,2074001,'1',316,'N'),(15,2074028,'1',104,'N'),(15,2074028,'2',327,'N'),(15,2074036,'1',211,'N'),(15,2074044,'1',308,'N'),(15,2074044,'2',309,'N'),(15,2074052,'1',317,'N'),(15,2074052,'2',423,'N'),(15,2074060,'1',203,'N'),(15,2074060,'1A',202,'N'),(15,2074060,'2',214,'N'),(15,2074079,'1',103,'N'),(15,2074079,'2',108,'N'),(15,2074087,'1',225,'N'),(15,2074087,'2',213,'N'),(15,2074095,'1',304,'N'),(15,2074095,'2',502,'N'),(15,2074109,'1',217,'N'),(15,2074109,'2',415,'N'),(15,2074117,'1',207,'N'),(15,2074117,'2',450,'N'),(15,2074125,'1',317,'N'),(15,2074125,'2',324,'N'),(15,2074141,'1',303,'N'),(15,2074141,'2',301,'N'),(15,2074150,'1',208,'N'),(15,2074150,'1A',238,'N'),(15,2074150,'2',222,'N'),(15,2074168,'1',302,'N'),(15,2074168,'2',308,'N'),(15,2074176,'1',103,'N'),(15,2074176,'2',214,'N'),(15,2074184,'1',5,'N'),(15,2074184,'2',316,'N'),(15,2074192,'1',327,'N'),(15,2074206,'1',207,'N'),(15,2074206,'1A',201,'N'),(15,2074206,'2',333,'N'),(15,2074222,'1',5,'N'),(15,2074222,'2',425,'N'),(15,2074257,'1',103,'N'),(15,2074257,'2',215,'N'),(15,2074265,'1',9,'N'),(15,2074265,'2',450,'N'),(15,2074273,'1',420,'N'),(15,2074273,'2',9,'N'),(15,2074281,'1',103,'N'),(15,2074281,'2',303,'N'),(15,2074290,'1',103,'N'),(15,2074290,'2',101,'N'),(15,2074303,'1',415,'N'),(15,2074303,'2',301,'N'),(15,2074311,'1',203,'N'),(15,2074311,'1A',208,'N'),(15,2074311,'2',2,'N'),(15,2074338,'1',103,'N'),(15,2074338,'2',5,'N'),(15,2074346,'1',9,'N'),(15,2074346,'2',102,'N'),(15,2074354,'1',317,'N'),(15,2074354,'2',339,'N'),(15,2074362,'1',216,'N'),(15,2074362,'1A',212,'N'),(15,2074362,'2',214,'N'),(15,2074370,'1',303,'N'),(15,2074370,'2',451,'N'),(15,2074389,'1',103,'N'),(15,2074400,'1',429,'N'),(15,2074400,'1A',427,'N'),(15,2074400,'2',324,'N'),(15,2074419,'1',327,'N'),(15,2074419,'2',225,'N'),(15,2074427,'1',103,'N'),(15,2074427,'2',425,'N'),(15,2074435,'1',415,'N'),(15,2074435,'2',425,'N'),(15,2074443,'1',207,'N'),(15,2074443,'1A',215,'N'),(15,2074443,'2',420,'N'),(15,2074451,'1',208,'N'),(15,2074451,'1A',238,'N'),(15,2074451,'2',427,'N'),(15,2074460,'1',303,'N'),(15,2074460,'2',319,'N'),(15,2074478,'1',220,'N'),(15,2074478,'1A',203,'N'),(15,2074478,'2',208,'N'),(15,2074486,'1',201,'N'),(15,2074486,'1A',233,'N'),(15,2074486,'2',224,'N'),(15,2074494,'1',339,'N'),(15,2074494,'2',404,'N'),(15,2074516,'1',203,'N'),(15,2074516,'1A',201,'N'),(15,2074516,'2',220,'N'),(15,2074524,'1',9,'N'),(15,2074532,'1',103,'N'),(15,2074532,'2',319,'N'),(15,2074559,'1',308,'N'),(15,2074559,'2',404,'N'),(15,2074567,'1',326,'N'),(15,2074567,'2',331,'N'),(15,2074575,'1',5,'N'),(15,2074575,'2',303,'N'),(15,2074583,'1',234,'N'),(15,2074583,'2',426,'N'),(15,2074591,'1',207,'N'),(15,2074591,'1A',201,'N'),(15,2074591,'2',425,'N'),(15,2074605,'1',217,'N'),(15,2074605,'2',216,'N'),(15,2074613,'1',429,'N'),(15,2074613,'1A',425,'N'),(15,2074613,'2',308,'N'),(15,2074648,'1',207,'N'),(15,2074648,'1A',203,'N'),(15,2074648,'2',310,'N'),(15,2074656,'1',207,'N'),(15,2074656,'1A',201,'N'),(15,2074656,'2',420,'N'),(15,2074664,'1',220,'N'),(15,2074664,'1A',202,'N'),(15,2074664,'2',214,'N'),(15,2074680,'1',203,'N'),(15,2074680,'1A',220,'N'),(15,2074680,'2',216,'N'),(15,2074699,'1',404,'N'),(15,2074699,'2',424,'N'),(15,2074702,'1',216,'N'),(15,2074702,'1A',215,'N'),(15,2074702,'2',102,'N'),(15,2074710,'1',103,'N'),(15,2074710,'2',102,'N'),(15,2074729,'1',214,'N'),(15,2074729,'1A',213,'N'),(15,2074729,'2',2,'N'),(15,2074737,'1',224,'N'),(15,2074737,'2',222,'N'),(15,2074745,'1',103,'N'),(15,2074745,'2',211,'N'),(15,2074761,'1',319,'N'),(15,2074761,'2',329,'N'),(15,2074770,'1',415,'N'),(15,2074770,'2',327,'N'),(15,2074800,'1',103,'N'),(15,2074800,'2',216,'N'),(15,2074818,'1',303,'N'),(15,2074818,'2',450,'N'),(15,2074826,'1',319,'N'),(15,2074826,'2',320,'N'),(15,2074834,'1',216,'N'),(15,2074834,'1A',215,'N'),(15,2074834,'2',217,'N'),(15,2074842,'1',108,'N'),(15,2074842,'2',333,'N'),(15,2074850,'1',5,'N'),(15,2074850,'2',308,'N'),(15,2074869,'1',103,'N'),(15,2074869,'2',104,'N'),(15,2074877,'1',102,'N'),(15,2074877,'2',103,'N'),(15,2074885,'1',5,'N'),(15,2074885,'2',327,'N'),(15,2074907,'1',316,'N'),(15,2074907,'2',108,'N'),(15,2074915,'1',333,'N'),(15,2074915,'2',234,'N'),(15,2074923,'1',202,'N'),(15,2074923,'1A',203,'N'),(15,2074923,'2',220,'N'),(15,2074931,'1',224,'N'),(15,2074931,'2',217,'N'),(15,2074940,'1',101,'N'),(15,2074940,'2',213,'N'),(15,2074958,'1',426,'N'),(15,2074958,'1A',424,'N'),(15,2074966,'1',207,'N'),(15,2074982,'1',203,'N'),(15,2074982,'1A',214,'N'),(15,2074982,'2',207,'N'),(15,2075008,'1',213,'N'),(15,2075008,'1A',233,'N'),(15,2075008,'2',238,'N'),(15,2075016,'1',223,'N'),(15,2075024,'1',208,'N'),(15,2075024,'1A',238,'N'),(15,2075024,'2',318,'N'),(15,2075032,'1',339,'N'),(15,2075032,'2',308,'N'),(15,2075040,'1',203,'N'),(15,2075040,'1A',220,'N'),(15,2075040,'2',224,'N'),(15,2075059,'1',234,'N'),(15,2075059,'2',238,'N'),(15,2075067,'1',103,'N'),(15,2075067,'2',211,'N'),(15,2075075,'1',103,'N'),(15,2075075,'2',102,'N'),(15,2075091,'1',103,'N'),(15,2075091,'2',102,'N'),(15,2075105,'1',326,'N'),(15,2075105,'2',327,'N'),(15,2075113,'1',316,'N'),(15,2075113,'2',317,'N'),(15,2075130,'1',103,'N'),(15,2075130,'2',333,'N'),(15,2075148,'1',203,'N'),(15,2075148,'1A',201,'N'),(15,2075148,'2',216,'N'),(15,2075156,'1',203,'N'),(15,2075156,'1A',216,'N'),(15,2075156,'2',214,'N'),(15,2075164,'1',201,'N'),(15,2075164,'1A',207,'N'),(15,2075164,'2',420,'N'),(15,2075172,'1',316,'N'),(15,2075172,'2',214,'N'),(15,2075202,'1',104,'N'),(15,2075202,'2',102,'N'),(15,2075210,'1',420,'N'),(15,2075210,'2',333,'N'),(15,2075229,'1',424,'N'),(15,2075229,'1A',429,'N'),(15,2075229,'2',324,'N'),(15,2075237,'1',301,'N'),(15,2075237,'2',208,'N'),(15,2075245,'1',319,'N'),(15,2075245,'2',308,'N'),(15,2075253,'1',420,'N'),(15,2075253,'2',318,'N'),(15,2075261,'1',102,'N'),(15,2075261,'2',217,'N'),(15,2075270,'1',108,'N'),(15,2075270,'2',501,'N'),(15,2075288,'1',216,'N'),(15,2075288,'1A',233,'N'),(15,2075288,'2',301,'N'),(15,2075296,'1',203,'N'),(15,2075296,'1A',201,'N'),(15,2075296,'2',2,'N'),(15,2075300,'1',216,'N'),(15,2075300,'2',217,'N'),(15,2075326,'1',301,'N'),(15,2075326,'2',211,'N'),(15,2075334,'1',319,'N'),(15,2075334,'2',301,'N'),(15,2075342,'1',103,'N'),(15,2075342,'2',102,'N'),(15,2075350,'1',207,'N'),(15,2075350,'1A',201,'N'),(15,2075350,'2',2,'N'),(15,2075369,'1',203,'N'),(15,2075369,'1A',214,'N'),(15,2075369,'2',420,'N'),(15,2075385,'1',214,'N'),(15,2075385,'1A',233,'N'),(15,2075385,'2',404,'N'),(15,2075393,'1',5,'N'),(15,2075393,'2',316,'N'),(15,2075407,'1',103,'N'),(15,2075407,'2',102,'N'),(15,2075415,'1',451,'N'),(15,2075423,'1',303,'N'),(15,2075423,'2',316,'N'),(15,2075431,'1',104,'N'),(15,2075431,'2',222,'N'),(15,2075440,'1',104,'N'),(15,2075458,'1',224,'N'),(15,2075458,'2',324,'N'),(15,2075474,'1',103,'N'),(15,2075474,'2',108,'N'),(15,2075490,'1',215,'N'),(15,2075490,'1A',233,'N'),(15,2075490,'2',217,'N'),(15,2075504,'1',208,'N'),(15,2075504,'1A',211,'N'),(15,2075504,'2',317,'N'),(15,2075512,'1',5,'N'),(15,2075512,'2',316,'N'),(15,2075520,'1',423,'N'),(15,2075520,'2',451,'N'),(15,2075547,'1',2,'N'),(15,2075547,'2',424,'N'),(15,2075555,'1',207,'N'),(15,2075563,'1',427,'N'),(15,2075563,'1A',423,'N'),(15,2075563,'2',308,'N'),(15,2075571,'1',203,'N'),(15,2075571,'1A',214,'N'),(15,2075598,'1',103,'N'),(15,2075598,'2',333,'N'),(15,2075601,'1',415,'N'),(15,2075601,'2',216,'N'),(15,2075610,'1',317,'N'),(15,2075610,'2',318,'N'),(15,2075644,'1',208,'N'),(15,2075644,'1A',238,'N'),(15,2075644,'2',220,'N'),(15,2075652,'1',203,'N'),(15,2075652,'1A',201,'N'),(15,2075652,'2',303,'N'),(15,2075660,'1',211,'N'),(15,2075660,'1A',201,'N'),(15,2075679,'1',213,'N'),(15,2075679,'1A',233,'N'),(15,2075687,'1',207,'N'),(15,2075709,'1',203,'N'),(15,2075709,'1A',214,'N'),(15,2075709,'2',220,'N'),(15,2075717,'1',103,'N'),(15,2075717,'2',101,'N'),(15,2075725,'1',215,'N'),(15,2075725,'1A',207,'N'),(15,2075725,'2',301,'N'),(15,2075733,'1',216,'N'),(15,2075733,'1A',201,'N'),(15,2075733,'2',208,'N'),(15,2075741,'1',203,'N'),(15,2075741,'1A',214,'N'),(15,2075741,'2',233,'N'),(15,2075750,'1',216,'N'),(15,2075750,'1A',214,'N'),(15,2075750,'2',233,'N'),(15,2075768,'1',103,'N'),(15,2075768,'2',211,'N'),(15,2075776,'1',103,'N'),(15,2075776,'2',303,'N'),(15,2075792,'1',201,'N'),(15,2075792,'2',207,'N'),(15,2075806,'1',324,'N'),(15,2075806,'2',317,'N'),(15,2075814,'1',5,'N'),(15,2075822,'1',108,'N'),(15,2075822,'2',333,'N'),(15,2075830,'1',303,'N'),(15,2075830,'2',429,'N'),(15,2075849,'1',214,'N'),(15,2075849,'2',203,'N'),(15,2075857,'1',203,'N'),(15,2075857,'1A',214,'N'),(15,2075857,'2',202,'N'),(15,2075865,'1',101,'N'),(15,2075865,'2',331,'N'),(15,2075873,'1',238,'N'),(15,2075873,'1A',208,'N'),(15,2075903,'1',220,'N'),(15,2075903,'1A',203,'N'),(15,2075903,'2',216,'N'),(15,2075911,'1',104,'N'),(15,2075911,'2',103,'N'),(15,2075920,'1',316,'N'),(15,2075920,'2',108,'N'),(15,2075938,'1',101,'N'),(15,2075938,'2',302,'N'),(15,2075946,'1',404,'N'),(15,2075946,'2',444,'N'),(15,2075962,'1',217,'N'),(15,2075962,'2',225,'N'),(15,2075989,'1',201,'N'),(15,2075989,'1A',207,'N'),(15,2075989,'2',316,'N'),(15,2075997,'1',216,'N'),(15,2075997,'1A',215,'N'),(15,2075997,'2',108,'N'),(15,2076004,'1',234,'N'),(15,2076004,'2',2,'N'),(15,2076012,'1',319,'N'),(15,2076012,'2',308,'N'),(15,2076020,'1',326,'N'),(15,2076020,'2',444,'N'),(15,2076039,'1',319,'N'),(15,2076039,'2',444,'N'),(15,2076063,'1',104,'N'),(15,2076063,'2',102,'N'),(15,2076080,'1',203,'N'),(15,2076080,'1A',214,'N'),(15,2076080,'2',202,'N'),(15,2076098,'1',207,'N'),(15,2076098,'1A',238,'N'),(15,2076098,'2',420,'N'),(15,2076101,'1',319,'N'),(15,2076101,'2',339,'N'),(15,2076110,'1',103,'N'),(15,2076110,'2',319,'N'),(15,2076144,'1',215,'N'),(15,2076144,'1A',211,'N'),(15,2076144,'2',319,'N'),(15,2076152,'1',103,'N'),(15,2076152,'2',208,'N'),(15,2076160,'1',203,'N'),(15,2076160,'1A',214,'N'),(15,2076179,'1',202,'N'),(15,2076179,'1A',213,'N'),(15,2076187,'1',103,'N'),(15,2076187,'2',212,'N'),(15,2076195,'1',451,'N'),(15,2076195,'2',427,'N'),(15,2076209,'1',216,'N'),(15,2076209,'2',215,'N'),(15,2076217,'1',202,'N'),(15,2076217,'1A',220,'N'),(15,2076217,'2',333,'N'),(15,2076241,'1',428,'N'),(15,2076241,'1A',426,'N'),(15,2076241,'2',427,'N'),(15,2076250,'1',329,'N'),(15,2076250,'2',328,'N'),(15,2076268,'1',404,'N'),(15,2076268,'2',309,'N'),(15,2076276,'1',316,'N'),(15,2076276,'2',308,'N'),(15,2076284,'1',103,'N'),(15,2076284,'2',108,'N'),(15,2076292,'1',238,'N'),(15,2076292,'1A',233,'N'),(15,2076292,'2',208,'N'),(15,2076306,'1',104,'N'),(15,2076306,'2',324,'N'),(15,2076314,'1',303,'N'),(15,2076314,'2',319,'N'),(15,2076322,'1',318,'N'),(15,2076322,'2',317,'N'),(15,2076330,'1',424,'N'),(15,2076330,'1A',421,'N'),(15,2076330,'2',423,'N'),(15,2076349,'1',207,'N'),(15,2076349,'1A',201,'N'),(15,2076349,'2',420,'N'),(15,2076357,'1',444,'N'),(15,2076357,'2',420,'N'),(15,2076365,'1',102,'N'),(15,2076365,'2',9,'N'),(15,2076373,'1',103,'N'),(15,2076373,'2',444,'N'),(15,2076381,'1',103,'N'),(15,2076381,'2',451,'N'),(15,2076390,'1',319,'N'),(15,2076390,'2',103,'N'),(15,2076403,'1',301,'N'),(15,2076403,'2',208,'N'),(15,2076411,'1',201,'N'),(15,2076420,'1',102,'N'),(15,2076420,'2',9,'N'),(15,2076446,'1',426,'N'),(15,2076446,'1A',424,'N'),(15,2076446,'2',451,'N'),(15,2076489,'1',207,'N'),(15,2076489,'2',420,'N'),(15,2076497,'1',420,'N'),(15,2076497,'2',415,'N'),(15,2076500,'1',420,'N'),(15,2076500,'2',425,'N'),(15,2076519,'1',301,'N'),(15,2076519,'2',316,'N'),(15,2076535,'1',203,'N'),(15,2076535,'1A',202,'N'),(15,2076535,'2',233,'N'),(15,2076543,'1',103,'N'),(15,2076543,'2',108,'N'),(15,2076560,'1',211,'N'),(15,2076560,'1A',216,'N'),(15,2076560,'2',108,'N'),(15,2076578,'1',316,'N'),(15,2076578,'2',215,'N'),(15,2076586,'1',103,'N'),(15,2076586,'2',104,'N'),(15,2076594,'1',208,'N'),(15,2076594,'1A',203,'N'),(15,2076594,'2',220,'N'),(15,2076608,'1',318,'N'),(15,2076608,'2',304,'N'),(15,2076616,'1',233,'N'),(15,2076616,'2',203,'N'),(15,2076624,'1',201,'N'),(15,2076624,'1A',211,'N'),(15,2076624,'2',234,'N'),(15,2076632,'1',333,'N'),(15,2076632,'2',331,'N'),(15,2076640,'1',304,'N'),(15,2076640,'2',310,'N'),(15,2076659,'1',415,'N'),(15,2076659,'2',320,'N'),(15,2076667,'1',339,'N'),(15,2076667,'2',308,'N'),(15,2076683,'1',103,'N'),(15,2076683,'2',101,'N'),(15,2076691,'1',415,'N'),(15,2076691,'2',450,'N'),(15,2076705,'1',202,'N'),(15,2076705,'1A',211,'N'),(15,2076705,'2',238,'N'),(15,2076713,'1',103,'N'),(15,2076713,'2',104,'N'),(15,2076721,'1',238,'N'),(15,2076721,'2',208,'N'),(15,2076748,'1',103,'N'),(15,2076748,'2',108,'N'),(15,2076756,'1',103,'N'),(15,2076756,'2',104,'N'),(15,2076764,'1',103,'N'),(15,2076764,'2',203,'N'),(15,2076780,'1',203,'N'),(15,2076780,'1A',211,'N'),(15,2076780,'2',326,'N'),(15,2076799,'1',501,'N'),(15,2076799,'2',211,'N'),(15,2076802,'1',316,'N'),(15,2076802,'2',424,'N'),(15,2076810,'1',415,'N'),(15,2076810,'2',301,'N'),(15,2076829,'1',333,'N'),(15,2076829,'2',222,'N'),(15,2076837,'1',213,'N'),(15,2076837,'1A',202,'N'),(15,2076837,'2',214,'N'),(15,2076845,'1',303,'N'),(15,2076845,'2',5,'N'),(15,2076853,'1',103,'N'),(15,2076853,'2',9,'N'),(15,2076861,'1',233,'N'),(15,2076861,'1A',207,'N'),(15,2076861,'2',415,'N'),(15,2076870,'1',420,'N'),(15,2076870,'2',207,'N'),(15,2076896,'1',238,'N'),(15,2076896,'2',429,'N'),(15,2076900,'1',103,'N'),(15,2076900,'2',404,'N'),(15,2076918,'1',103,'N'),(15,2076918,'2',303,'N'),(15,2076926,'1',103,'N'),(15,2076926,'2',207,'N'),(15,2076934,'1',308,'N'),(15,2076934,'2',101,'N'),(15,2076950,'1',238,'N'),(15,2076969,'1',5,'N'),(15,2076969,'2',327,'N'),(15,2076977,'1',501,'N'),(15,2076977,'2',212,'N'),(15,2076985,'1',101,'N'),(15,2076985,'2',502,'N'),(15,2077000,'1',9,'N'),(15,2077000,'2',421,'N'),(15,2077019,'1',303,'N'),(15,2077019,'2',5,'N'),(15,2077027,'1',102,'N'),(15,2077027,'2',301,'N'),(15,2077051,'1',319,'N'),(15,2077051,'2',428,'N'),(15,2077060,'1',108,'N'),(15,2077060,'2',426,'N'),(15,2077086,'1',104,'N'),(15,2077086,'2',327,'N'),(15,2077140,'1',207,'N'),(15,2077140,'1A',201,'N'),(15,2077140,'2',420,'N'),(15,2077159,'1',103,'N'),(15,2077159,'2',444,'N'),(15,2077167,'1',5,'N'),(15,2077167,'2',301,'N'),(15,2077205,'1',424,'N'),(15,2077205,'1A',421,'N'),(15,2077205,'2',324,'N'),(15,2077213,'1',103,'N'),(15,2077213,'2',216,'N'),(15,2077221,'1',103,'N'),(15,2077221,'2',217,'N'),(15,2077248,'1',108,'N'),(15,2077248,'2',451,'N'),(15,2077256,'1',327,'N'),(15,2077256,'2',332,'N'),(15,2077272,'1',224,'N'),(15,2077272,'2',404,'N'),(15,2077280,'1',211,'N'),(15,2077280,'1A',212,'N'),(15,2077280,'2',502,'N'),(15,2077299,'1',303,'N'),(15,2077299,'2',326,'N'),(15,2077302,'1',103,'N'),(15,2077302,'2',102,'N'),(15,2077310,'1',404,'N'),(15,2077310,'2',333,'N'),(15,2077329,'1',332,'N'),(15,2077329,'2',207,'N'),(15,2077337,'1',316,'N'),(15,2077337,'2',318,'N'),(15,2077345,'1',420,'N'),(15,2077353,'1',103,'N'),(15,2077353,'2',102,'N'),(15,2077370,'1',316,'N'),(15,2077370,'2',324,'N'),(15,2077396,'1',108,'N'),(15,2077396,'2',333,'N'),(15,2077418,'1',104,'N'),(15,2077418,'2',103,'N'),(15,2077426,'1',220,'N'),(15,2077426,'1A',203,'N'),(15,2077434,'1',426,'N'),(15,2077434,'1A',429,'N'),(15,2077434,'2',427,'N'),(15,2077442,'1',316,'N'),(15,2077442,'2',309,'N'),(15,2077450,'1',208,'N'),(15,2077450,'1A',238,'N'),(15,2077450,'2',301,'N'),(15,2077485,'1',104,'N'),(15,2077485,'2',415,'N'),(15,2077493,'1',428,'N'),(15,2077493,'1A',426,'N'),(15,2077493,'2',328,'N'),(15,2077515,'1',326,'N'),(15,2077515,'2',328,'N'),(15,2077531,'1',108,'N'),(15,2077531,'2',101,'N'),(15,2077540,'1',316,'N'),(15,2077558,'1',333,'N'),(15,2077558,'2',217,'N'),(15,2077574,'1',319,'N'),(15,2077574,'2',444,'N'),(15,2077582,'1',103,'N'),(15,2077582,'2',216,'N'),(15,2077590,'1',319,'N'),(15,2077590,'2',318,'N'),(15,2077604,'1',103,'N'),(15,2077604,'2',9,'N'),(15,2077612,'1',225,'N'),(15,2077612,'2',404,'N'),(15,2077620,'1',103,'N'),(15,2077620,'2',102,'N'),(15,2077663,'1',211,'N'),(15,2077663,'1A',207,'N'),(15,2077663,'2',108,'N'),(15,2077680,'1',103,'N'),(15,2077680,'2',104,'N'),(15,2077701,'1',103,'N'),(15,2077710,'1',9,'N'),(15,2077728,'1',101,'N'),(15,2077728,'2',207,'N'),(15,2077744,'1',5,'N'),(15,2077744,'2',303,'N'),(15,2077752,'1',316,'N'),(15,2077752,'2',429,'N'),(15,2077760,'1',319,'N'),(15,2077760,'2',9,'N'),(15,2077779,'1',415,'N'),(15,2077779,'2',450,'N'),(15,2077787,'1',303,'N'),(15,2077787,'2',5,'N'),(15,2077795,'1',207,'N'),(15,2077795,'1A',201,'N'),(15,2077809,'1',103,'N'),(15,2077809,'2',108,'N'),(15,2077817,'1',104,'N'),(15,2077817,'2',9,'N'),(15,2077825,'1',220,'N'),(15,2077833,'1',217,'N'),(15,2077833,'2',102,'N'),(15,2077841,'1',216,'N'),(15,2077841,'1A',233,'N'),(15,2077841,'2',203,'N'),(15,2077868,'1',304,'N'),(15,2077868,'2',301,'N'),(15,2077876,'1',220,'N'),(15,2077876,'1A',233,'N'),(15,2077876,'2',202,'N'),(15,2077884,'1',303,'N'),(15,2077884,'2',5,'N'),(15,2077892,'1',104,'N'),(15,2077892,'2',9,'N'),(15,2077906,'1',103,'N'),(15,2077906,'2',316,'N'),(15,2077914,'1',303,'N'),(15,2077914,'2',415,'N'),(15,2077922,'1',104,'N'),(15,2077922,'2',103,'N'),(15,2077930,'1',324,'N'),(15,2077930,'2',339,'N'),(15,2077949,'1',203,'N'),(15,2077949,'1A',202,'N'),(15,2077949,'2',222,'N'),(15,2077957,'1',202,'N'),(15,2077957,'1A',201,'N'),(15,2077957,'2',203,'N'),(15,2077965,'1',301,'N'),(15,2077965,'2',238,'N'),(15,2077973,'1',9,'N'),(15,2077973,'2',319,'N'),(15,2077981,'1',220,'N'),(15,2077981,'1A',208,'N'),(15,2077981,'2',238,'N'),(15,2077990,'1',103,'N'),(15,2077990,'2',319,'N'),(15,2078007,'1',429,'N'),(15,2078007,'1A',423,'N'),(15,2078007,'2',424,'N'),(15,2078015,'1',444,'N'),(15,2078015,'2',333,'N'),(15,2078031,'1',211,'N'),(15,2078031,'1A',216,'N'),(15,2078031,'2',203,'N'),(15,2078040,'1',501,'N'),(15,2078040,'2',103,'N'),(15,2078058,'1',103,'N'),(15,2078058,'2',101,'N'),(15,2078066,'1',217,'N'),(15,2078066,'2',102,'N'),(15,2078082,'1',333,'N'),(15,2078082,'2',207,'N'),(15,2078090,'1',203,'N'),(15,2078090,'1A',233,'N'),(15,2078090,'2',220,'N'),(15,2078104,'1',333,'N'),(15,2078104,'2',234,'N'),(15,2078112,'1',103,'N'),(15,2078112,'2',104,'N'),(15,2078139,'1',211,'N'),(15,2078139,'1A',201,'N'),(15,2078139,'2',333,'N'),(15,2078147,'1',214,'N'),(15,2078147,'1A',216,'N'),(15,2078147,'2',203,'N'),(15,2078155,'1',214,'N'),(15,2078155,'1A',212,'N'),(15,2078155,'2',213,'N'),(15,2078171,'1',103,'N'),(15,2078171,'2',9,'N'),(15,2078180,'1',333,'N'),(15,2078180,'2',108,'N'),(15,2078198,'1',425,'N'),(15,2078198,'1A',424,'N'),(15,2078198,'2',428,'N'),(15,2078201,'1',211,'N'),(15,2078201,'1A',215,'N'),(15,2078201,'2',9,'N'),(15,2078210,'1',211,'N'),(15,2078210,'1A',213,'N'),(15,2078210,'2',234,'N'),(15,2078228,'1',319,'N'),(15,2078228,'2',310,'N'),(15,2078244,'1',425,'N'),(15,2078244,'2',404,'N'),(15,2078252,'1',426,'N'),(15,2078252,'1A',423,'N'),(15,2078252,'2',324,'N'),(15,2078260,'1',201,'N'),(15,2078260,'2',212,'N'),(15,2078279,'1',104,'N'),(15,2078279,'2',333,'N'),(15,2078287,'1',103,'N'),(15,2078287,'2',104,'N'),(15,2078295,'1',319,'N'),(15,2078295,'2',308,'N'),(15,2078317,'1',203,'N'),(15,2078317,'1A',214,'N'),(15,2078317,'2',223,'N'),(15,2078325,'1',104,'N'),(15,2078325,'2',201,'N'),(15,2078333,'1',319,'N'),(15,2078333,'2',223,'N'),(15,2078341,'1',203,'N'),(15,2078341,'1A',233,'N'),(15,2078341,'2',208,'N'),(15,2078350,'1',333,'N'),(15,2078350,'2',501,'N'),(15,2078368,'1',101,'N'),(15,2078368,'2',427,'N'),(15,2078376,'1',104,'N'),(15,2078376,'2',332,'N'),(15,2078392,'1',207,'N'),(15,2078392,'2',319,'N'),(15,2078406,'1',319,'N'),(15,2078406,'2',102,'N'),(15,2078414,'1',103,'N'),(15,2078414,'2',108,'N'),(15,2078422,'1',103,'N'),(15,2078422,'2',104,'N'),(15,2078430,'1',103,'N'),(15,2078430,'2',301,'N'),(15,2078449,'1',212,'N'),(15,2078449,'1A',207,'N'),(15,2078449,'2',301,'N'),(15,2078457,'1',301,'N'),(15,2078457,'2',420,'N'),(15,2078465,'1',203,'N'),(15,2078465,'1A',202,'N'),(15,2078465,'2',103,'N'),(15,2078481,'1',108,'N'),(15,2078481,'2',234,'N'),(15,2078490,'1',207,'N'),(15,2078490,'1A',201,'N'),(15,2078490,'2',420,'N'),(15,2078503,'1',103,'N'),(15,2078511,'1',304,'N'),(15,2078520,'1',415,'N'),(15,2078520,'2',450,'N'),(15,2078538,'1',203,'N'),(15,2078538,'1A',214,'N'),(15,2078538,'2',233,'N'),(15,2078546,'1',108,'N'),(15,2078546,'2',333,'N'),(15,2078562,'1',101,'N'),(15,2078562,'2',102,'N'),(15,2078570,'1',207,'N'),(15,2078570,'1A',212,'N'),(15,2078570,'2',201,'N'),(15,2078589,'1',104,'N'),(15,2078589,'2',9,'N'),(15,2078597,'1',333,'N'),(15,2078597,'2',301,'N'),(15,2078600,'1',333,'N'),(15,2078619,'1',303,'N'),(15,2078619,'2',318,'N'),(15,2078627,'1',103,'N'),(15,2078627,'2',220,'N'),(15,2078635,'1',201,'N'),(15,2078635,'2',207,'N'),(15,2078651,'1',415,'N'),(15,2078651,'2',103,'N'),(15,2078660,'1',214,'N'),(15,2078660,'1A',203,'N'),(15,2078660,'2',2,'N'),(15,2078678,'1',202,'N'),(15,2078678,'1A',213,'N'),(15,2078678,'2',203,'N'),(15,2078686,'1',415,'N'),(15,2078686,'2',326,'N'),(15,2078694,'1',333,'N'),(15,2078694,'2',404,'N'),(15,2078708,'1',303,'N'),(15,2078708,'2',5,'N'),(15,2078716,'1',216,'N'),(15,2078716,'1A',233,'N'),(15,2078716,'2',217,'N'),(15,2078724,'1',319,'N'),(15,2078724,'2',207,'N'),(15,2078732,'1',103,'N'),(15,2078732,'2',104,'N'),(15,2078740,'1',301,'N'),(15,2078740,'2',302,'N'),(15,2078759,'1',420,'N'),(15,2078759,'2',215,'N'),(15,2078775,'1',415,'N'),(15,2078775,'2',450,'N'),(15,2078791,'1',103,'N'),(15,2078791,'2',9,'N'),(15,2078805,'1',319,'N'),(15,2078805,'2',5,'N'),(15,2078813,'1',207,'N'),(15,2078813,'1A',201,'N'),(15,2078813,'2',301,'N'),(15,2078821,'1',103,'N'),(15,2078821,'2',303,'N'),(15,2078848,'1',103,'N'),(15,2078848,'2',104,'N'),(15,2078856,'1',104,'N'),(15,2078856,'2',316,'N'),(15,2078864,'1',211,'N'),(15,2078864,'1A',215,'N'),(15,2078864,'2',217,'N'),(15,2078872,'1',103,'N'),(15,2078872,'2',104,'N'),(15,2078902,'1',420,'N'),(15,2078902,'2',9,'N'),(15,2078910,'1',420,'N'),(15,2078929,'1',420,'N'),(15,2078937,'1',207,'N'),(15,2078937,'1A',201,'N'),(15,2078945,'1',103,'N'),(15,2078945,'2',5,'N'),(15,2078953,'1',220,'N'),(15,2078953,'1A',202,'N'),(15,2078953,'2',420,'N'),(15,2078961,'1',103,'N'),(15,2078961,'2',211,'N'),(15,2078970,'1',103,'N'),(15,2078970,'2',102,'N'),(15,2078988,'1',214,'N'),(15,2078988,'1A',203,'N'),(15,2078988,'2',207,'N'),(15,2078996,'1',220,'N'),(15,2078996,'1A',202,'N'),(15,2078996,'2',201,'N'),(15,2079003,'1',103,'N'),(15,2079003,'2',104,'N'),(15,2079020,'1',238,'N'),(15,2079020,'1A',208,'N'),(15,2079038,'1',331,'N'),(15,2079038,'2',404,'N'),(15,2079054,'1',303,'N'),(15,2079054,'2',207,'N'),(15,2079062,'1',420,'N'),(15,2079062,'2',319,'N'),(15,2079070,'1',303,'N'),(15,2079070,'2',5,'N'),(15,2079089,'1',103,'N'),(15,2079089,'2',319,'N'),(15,2079097,'1',301,'N'),(15,2079097,'2',310,'N'),(15,2079119,'1',108,'N'),(15,2079119,'2',421,'N'),(15,2079127,'1',5,'N'),(15,2079127,'2',9,'N'),(15,2079135,'1',404,'N'),(15,2079135,'2',333,'N'),(15,2079143,'1',420,'N'),(15,2079143,'2',233,'N'),(15,2079151,'1',5,'N'),(15,2079151,'2',201,'N'),(15,2079160,'1',104,'N'),(15,2079160,'2',333,'N'),(15,2079178,'1',234,'N'),(15,2079186,'1',104,'N'),(15,2079186,'2',9,'N'),(15,2079194,'1',302,'N'),(15,2079194,'2',304,'N'),(15,2079208,'1',318,'N'),(15,2079208,'2',316,'N'),(15,2079216,'1',316,'N'),(15,2079216,'2',318,'N'),(15,2079232,'1',238,'N'),(15,2079232,'1A',208,'N'),(15,2079232,'2',234,'N'),(15,2079240,'1',101,'N'),(15,2079240,'2',324,'N'),(15,2079259,'1',303,'N'),(15,2079259,'2',5,'N'),(15,2079267,'1',202,'N'),(15,2079267,'1A',213,'N'),(15,2079267,'2',203,'N'),(15,2079275,'1',302,'N'),(15,2079275,'2',451,'N'),(15,2079283,'1',303,'N'),(15,2079283,'2',211,'N'),(15,2079291,'1',203,'N'),(15,2079291,'1A',220,'N'),(15,2079291,'2',201,'N'),(15,2079305,'1',103,'N'),(15,2079321,'1',415,'N'),(15,2079321,'2',103,'N'),(15,2079330,'1',303,'N'),(15,2079330,'2',5,'N'),(15,2079348,'1',103,'N'),(15,2079348,'2',5,'N'),(15,2079356,'1',101,'N'),(15,2079356,'2',339,'N'),(15,2079364,'1',316,'N'),(15,2079364,'2',238,'N'),(15,2079372,'1',316,'N'),(15,2079372,'2',301,'N'),(15,2079380,'1',201,'N'),(15,2079380,'1A',202,'N'),(15,2079380,'2',233,'N'),(15,2079402,'1',450,'N'),(15,2079402,'2',415,'N'),(15,2079429,'1',233,'N'),(15,2079429,'1A',201,'N'),(15,2079429,'2',213,'N'),(15,2079437,'1',103,'N'),(15,2079437,'2',424,'N'),(15,2079453,'1',108,'N'),(15,2079453,'2',217,'N'),(15,2079461,'1',333,'N'),(15,2079461,'2',211,'N'),(15,2079470,'1',326,'N'),(15,2079470,'2',331,'N'),(15,2079488,'1',216,'N'),(15,2079488,'1A',203,'N'),(15,2079488,'2',217,'N'),(15,2079496,'1',317,'N'),(15,2079496,'2',308,'N'),(15,2079500,'1',220,'N'),(15,2079500,'1A',202,'N'),(15,2079500,'2',201,'N'),(15,2079518,'1',220,'N'),(15,2079518,'1A',202,'N'),(15,2079518,'2',213,'N'),(15,2079526,'1',429,'N'),(15,2079526,'1A',428,'N'),(15,2079526,'2',304,'N'),(15,2079534,'1',103,'N'),(15,2079534,'2',303,'N'),(15,2079542,'1',319,'N'),(15,2079542,'2',310,'N'),(15,2079550,'1',303,'N'),(15,2079550,'2',333,'N'),(15,2079569,'1',302,'N'),(15,2079569,'2',301,'N'),(15,2079577,'1',201,'N'),(15,2079577,'1A',203,'N'),(15,2079577,'2',212,'N'),(15,2079585,'1',339,'N'),(15,2079585,'2',324,'N'),(15,2079607,'1',103,'N'),(15,2079615,'1',302,'N'),(15,2079615,'2',222,'N'),(15,2079623,'1',203,'N'),(15,2079623,'1A',201,'N'),(15,2079623,'2',301,'N'),(15,2079631,'1',104,'N'),(15,2079631,'2',319,'N'),(15,2079640,'1',303,'N'),(15,2079640,'2',215,'N'),(15,2079666,'1',415,'N'),(15,2079666,'2',326,'N'),(15,2079690,'1',301,'N'),(15,2079690,'2',233,'N'),(15,2079704,'1',103,'N'),(15,2079704,'2',104,'N'),(15,2079712,'1',5,'N'),(15,2079712,'2',303,'N'),(15,2079747,'1',215,'N'),(15,2079747,'1A',233,'N'),(15,2079747,'2',216,'N'),(15,2079755,'1',444,'N'),(15,2079755,'2',451,'N'),(15,2079763,'1',238,'N'),(15,2079763,'1A',208,'N'),(15,2079763,'2',327,'N'),(15,2079771,'1',103,'N'),(15,2079771,'2',104,'N'),(15,2079810,'1',103,'N'),(15,2079810,'2',102,'N'),(15,2079828,'1',9,'N'),(15,2079844,'1',316,'N'),(15,2079844,'2',5,'N'),(15,2079860,'1',207,'N'),(15,2079860,'2',420,'N'),(15,2079887,'1',316,'N'),(15,2079887,'2',421,'N'),(15,2079895,'1',423,'N'),(15,2079895,'1A',428,'N'),(15,2079895,'2',415,'N'),(15,2079909,'1',318,'N'),(15,2079909,'2',304,'N'),(15,2079925,'1',304,'N'),(15,2079925,'2',424,'N'),(15,2079933,'1',207,'N'),(15,2079933,'2',420,'N'),(15,2079941,'1',233,'N'),(15,2079941,'1A',220,'N'),(15,2079941,'2',223,'N'),(15,2079950,'1',103,'N'),(15,2079950,'2',328,'N'),(15,2079968,'1',304,'N'),(15,2079968,'2',217,'N'),(15,2079976,'1',404,'N'),(15,2079976,'2',234,'N'),(15,2079984,'1',201,'N'),(15,2079984,'1A',208,'N'),(15,2079984,'2',225,'N'),(15,2079992,'1',326,'N'),(15,2079992,'2',415,'N'),(15,2080001,'1',103,'N'),(15,2080001,'2',333,'N'),(15,2080036,'1',316,'N'),(15,2080036,'2',308,'N'),(15,2080052,'1',208,'N'),(15,2080052,'1A',203,'N'),(15,2080052,'2',2,'N'),(15,2080060,'1',102,'N'),(15,2080060,'2',108,'N'),(15,2080079,'1',102,'N'),(15,2080079,'2',217,'N'),(15,2080087,'1',103,'N'),(15,2080087,'2',102,'N'),(15,2080095,'1',5,'N'),(15,2080095,'2',327,'N'),(15,2080109,'1',5,'N'),(15,2080109,'2',425,'N'),(15,2080117,'1',415,'N'),(15,2080117,'2',9,'N'),(15,2080141,'1',201,'N'),(15,2080141,'2',333,'N'),(15,2080150,'1',316,'N'),(15,2080150,'2',319,'N'),(15,2080168,'1',104,'N'),(15,2080168,'2',216,'N'),(15,2080176,'1',213,'N'),(15,2080176,'1A',214,'N'),(15,2080176,'2',203,'N'),(15,2080184,'1',420,'N'),(15,2080184,'2',329,'N'),(15,2080192,'1',108,'N'),(15,2080192,'2',216,'N'),(15,2080206,'1',102,'N'),(15,2080206,'2',104,'N'),(15,2080214,'1',303,'N'),(15,2080214,'2',5,'N'),(15,2080222,'1',203,'N'),(15,2080222,'1A',233,'N'),(15,2080230,'1',319,'N'),(15,2080249,'1',451,'N'),(15,2080249,'2',450,'N'),(15,2080257,'1',201,'N'),(15,2080257,'1A',207,'N'),(15,2080257,'2',420,'N'),(15,2080265,'1',103,'N'),(15,2080265,'2',108,'N'),(15,2080273,'1',234,'N'),(15,2080273,'2',308,'N'),(15,2080290,'1',301,'N'),(15,2080290,'2',316,'N'),(15,2080303,'1',103,'N'),(15,2080303,'2',326,'N'),(15,2080311,'1',332,'N'),(15,2080311,'2',333,'N'),(15,2080320,'1',303,'N'),(15,2080320,'2',5,'N'),(15,2080338,'1',211,'N'),(15,2080338,'1A',215,'N'),(15,2080338,'2',102,'N'),(15,2080346,'1',425,'N'),(15,2080346,'1A',424,'N'),(15,2080346,'2',324,'N'),(15,2080354,'1',103,'N'),(15,2080354,'2',215,'N'),(15,2080362,'1',444,'N'),(15,2080362,'2',316,'N'),(15,2080370,'1',425,'N'),(15,2080389,'1',404,'N'),(15,2080389,'2',444,'N'),(15,2080397,'1',104,'N'),(15,2080397,'2',420,'N'),(15,2080419,'1',104,'N'),(15,2080419,'2',238,'N'),(15,2080427,'1',333,'N'),(15,2080427,'2',501,'N'),(15,2080435,'1',103,'N'),(15,2080435,'2',424,'N'),(15,2080443,'1',302,'N'),(15,2080443,'2',317,'N'),(15,2080451,'1',303,'N'),(15,2080451,'2',326,'N'),(15,2080460,'1',103,'N'),(15,2080460,'2',9,'N'),(15,2080478,'1',101,'N'),(15,2080478,'2',104,'N'),(15,2080486,'1',103,'N'),(15,2080486,'2',316,'N'),(15,2080494,'1',318,'N'),(15,2080494,'2',316,'N'),(15,2080508,'1',216,'N'),(15,2080508,'1A',215,'N'),(15,2080508,'2',217,'N'),(15,2080516,'1',207,'N'),(15,2080516,'2',423,'N'),(15,2080524,'1',104,'N'),(15,2080524,'2',201,'N'),(15,2080540,'1',103,'N'),(15,2080540,'2',301,'N'),(15,2080559,'1',211,'N'),(15,2080559,'1A',208,'N'),(15,2080559,'2',331,'N'),(15,2080567,'1',103,'N'),(15,2080583,'1',319,'N'),(15,2080583,'2',329,'N'),(15,2080591,'1',415,'N'),(15,2080591,'2',303,'N'),(15,2080605,'1',316,'N'),(15,2080605,'2',301,'N'),(15,2080613,'1',103,'N'),(15,2080613,'2',212,'N'),(15,2080621,'1',103,'N'),(15,2080621,'2',426,'N'),(15,2080630,'1',103,'N'),(15,2080648,'1',303,'N'),(15,2080648,'2',420,'N'),(15,2080656,'1',220,'N'),(15,2080656,'1A',203,'N'),(15,2080656,'2',202,'N'),(15,2080664,'1',102,'N'),(15,2080664,'2',101,'N'),(15,2080672,'1',424,'N'),(15,2080672,'1A',425,'N'),(15,2080672,'2',324,'N'),(15,2080680,'1',201,'N'),(15,2080680,'1A',207,'N'),(15,2080680,'2',451,'N'),(15,2080699,'1',103,'N'),(15,2080699,'2',424,'N'),(15,2080702,'1',333,'N'),(15,2080702,'2',415,'N'),(15,2080710,'1',103,'N'),(15,2080710,'2',303,'N'),(15,2080729,'1',444,'N'),(15,2080729,'2',317,'N'),(15,2080737,'1',203,'N'),(15,2080737,'1A',214,'N'),(15,2080737,'2',202,'N'),(15,2080745,'1',215,'N'),(15,2080745,'2',9,'N'),(15,2080753,'1',420,'N'),(15,2080753,'2',415,'N'),(15,2080761,'1',501,'N'),(15,2080761,'2',301,'N'),(15,2080770,'1',103,'N'),(15,2080770,'2',415,'N'),(15,2080788,'1',208,'N'),(15,2080788,'1A',233,'N'),(15,2080788,'2',222,'N'),(15,2080796,'1',104,'N'),(15,2080796,'2',420,'N'),(15,2080800,'1',203,'N'),(15,2080800,'1A',214,'N'),(15,2080800,'2',201,'N'),(15,2080818,'1',316,'N'),(15,2080818,'2',301,'N'),(15,2080826,'1',303,'N'),(15,2080826,'2',415,'N'),(15,2080834,'1',224,'N'),(15,2080842,'1',207,'N'),(15,2080842,'1A',201,'N'),(15,2080842,'2',233,'N'),(15,2080850,'1',319,'N'),(15,2080869,'1',104,'N'),(15,2080869,'2',211,'N'),(15,2080877,'1',5,'N'),(15,2080877,'2',318,'N'),(15,2080885,'1',103,'N'),(15,2080885,'2',104,'N'),(15,2080893,'1',333,'N'),(15,2080893,'2',331,'N'),(15,2080907,'1',425,'N'),(15,2080907,'1A',429,'N'),(15,2080907,'2',420,'N'),(15,2080915,'1',420,'N'),(15,2080915,'2',208,'N'),(15,2080923,'1',103,'N'),(15,2080923,'2',207,'N'),(15,2080940,'1',238,'N'),(15,2080940,'1A',208,'N'),(15,2080940,'2',333,'N'),(15,2080958,'1',103,'N'),(15,2080958,'2',9,'N'),(15,2080966,'1',319,'N'),(15,2080974,'1',308,'N'),(15,2080974,'2',326,'N'),(15,2080982,'1',5,'N'),(15,2080982,'2',303,'N'),(15,2080990,'1',415,'N'),(15,2080990,'2',444,'N'),(15,2081008,'1',103,'N'),(15,2081016,'1',207,'N'),(15,2081016,'1A',201,'N'),(15,2081016,'2',420,'N'),(15,2081024,'1',215,'N'),(15,2081024,'1A',233,'N'),(15,2081024,'2',217,'N'),(15,2081040,'1',9,'N'),(15,2081040,'2',103,'N'),(15,2081059,'1',215,'N'),(15,2081059,'1A',233,'N'),(15,2081059,'2',104,'N'),(15,2081067,'1',208,'N'),(15,2081067,'1A',238,'N'),(15,2081067,'2',102,'N'),(15,2081075,'1',103,'N'),(15,2081075,'2',301,'N'),(15,2081083,'1',5,'N'),(15,2081083,'2',415,'N'),(15,2081091,'1',217,'N'),(15,2081091,'2',2,'N'),(15,2081105,'1',103,'N'),(15,2081105,'2',108,'N'),(15,2081113,'1',102,'N'),(15,2081113,'2',420,'N'),(15,2081130,'1',404,'N'),(15,2081130,'2',423,'N'),(15,2081148,'1',303,'N'),(15,2081148,'2',428,'N'),(15,2081156,'1',222,'N'),(15,2081156,'2',224,'N'),(15,2081164,'1',104,'N'),(15,2081164,'2',303,'N'),(15,2081172,'1',415,'N'),(15,2081172,'2',450,'N'),(15,2081180,'1',217,'N'),(15,2081180,'2',216,'N'),(15,2081199,'1',424,'N'),(15,2081199,'1A',421,'N'),(15,2081199,'2',222,'N'),(15,2081202,'1',103,'N'),(15,2081202,'2',104,'N'),(15,2081210,'1',427,'N'),(15,2081210,'1A',421,'N'),(15,2081210,'2',423,'N'),(15,2081237,'1',203,'N'),(15,2081237,'1A',202,'N'),(15,2081237,'2',201,'N'),(15,2081245,'1',103,'N'),(15,2081245,'2',104,'N'),(15,2081253,'1',207,'N'),(15,2081253,'1A',201,'N'),(15,2081253,'2',420,'N'),(15,2081261,'1',318,'N'),(15,2081261,'2',211,'N'),(15,2081270,'1',207,'N'),(15,2081270,'1A',208,'N'),(15,2081270,'2',404,'N'),(15,2081288,'1',203,'N'),(15,2081288,'1A',202,'N'),(15,2081288,'2',301,'N'),(15,2081296,'1',216,'N'),(15,2081296,'1A',215,'N'),(15,2081296,'2',102,'N'),(15,2081300,'1',103,'N'),(15,2081300,'2',104,'N'),(15,2081326,'1',207,'N'),(15,2081326,'1A',201,'N'),(15,2081326,'2',420,'N'),(15,2081334,'1',220,'N'),(15,2081334,'1A',202,'N'),(15,2081334,'2',332,'N'),(15,2081342,'1',428,'N'),(15,2081342,'1A',426,'N'),(15,2081342,'2',308,'N'),(15,2081350,'1',420,'N'),(15,2081350,'2',333,'N'),(15,2081369,'1',103,'N'),(15,2081369,'2',104,'N'),(15,2081377,'1',103,'N'),(15,2081377,'2',104,'N'),(15,2081385,'1',5,'N'),(15,2081385,'2',329,'N'),(15,2081393,'1',201,'N'),(15,2081393,'1A',211,'N'),(15,2081415,'1',207,'N'),(15,2081415,'1A',201,'N'),(15,2081415,'2',420,'N'),(15,2081423,'1',333,'N'),(15,2081423,'2',502,'N'),(15,2081431,'1',216,'N'),(15,2081431,'1A',212,'N'),(15,2081431,'2',501,'N'),(15,2081440,'1',203,'N'),(15,2081440,'1A',233,'N'),(15,2081440,'2',304,'N'),(15,2081458,'1',207,'N'),(15,2081458,'1A',201,'N'),(15,2081458,'2',420,'N'),(15,2081466,'1',303,'N'),(15,2081466,'2',5,'N'),(15,2081474,'1',220,'N'),(15,2081474,'1A',238,'N'),(15,2081474,'2',203,'N'),(15,2081490,'1',301,'N'),(15,2081490,'2',429,'N'),(15,2081504,'1',212,'N'),(15,2081504,'1A',201,'N'),(15,2081504,'2',207,'N'),(15,2081512,'1',420,'N'),(15,2081512,'2',451,'N'),(15,2081520,'1',238,'N'),(15,2081520,'1A',208,'N'),(15,2081520,'2',222,'N'),(15,2081539,'1',211,'N'),(15,2081539,'1A',201,'N'),(15,2081539,'2',333,'N'),(15,2081547,'1',203,'N'),(15,2081547,'1A',238,'N'),(15,2081547,'2',222,'N'),(15,2081555,'1',501,'N'),(15,2081555,'2',108,'N'),(15,2081563,'1',103,'N'),(15,2081563,'2',5,'N'),(15,2081571,'1',101,'N'),(15,2081571,'2',319,'N'),(15,2081580,'1',211,'N'),(15,2081580,'2',108,'N'),(15,2081598,'1',103,'N'),(15,2081598,'2',303,'N'),(15,2081610,'1',5,'N'),(15,2081610,'2',303,'N'),(15,2081644,'1',103,'N'),(15,2081644,'2',201,'N'),(15,2081660,'1',9,'N'),(15,2081660,'2',319,'N'),(15,2081679,'1',203,'N'),(15,2081679,'2',214,'N'),(15,2081709,'1',216,'N'),(15,2081709,'1A',201,'N'),(15,2081709,'2',217,'N'),(15,2081717,'1',303,'N'),(15,2081717,'2',316,'N'),(15,2081725,'1',238,'N'),(15,2081725,'1A',214,'N'),(15,2081725,'2',5,'N'),(15,2081733,'1',339,'N'),(15,2081733,'2',308,'N'),(15,2081768,'1',301,'N'),(15,2081768,'2',316,'N'),(15,2081776,'1',103,'N'),(15,2081784,'1',104,'N'),(15,2081784,'2',101,'N'),(15,2081792,'1',103,'N'),(15,2081792,'2',426,'N'),(15,2081806,'1',103,'N'),(15,2081806,'2',104,'N'),(15,2081814,'1',316,'N'),(15,2081814,'2',222,'N'),(15,2081822,'1',104,'N'),(15,2081849,'1',102,'N'),(15,2081849,'2',217,'N'),(15,2081873,'1',202,'N'),(15,2081873,'1A',203,'N'),(15,2081881,'1',502,'N'),(15,2081881,'2',501,'N'),(15,2081890,'1',429,'N'),(15,2081890,'2',309,'N'),(15,2081903,'1',317,'N'),(15,2081903,'2',339,'N'),(15,2081911,'1',217,'N'),(15,2081911,'2',108,'N'),(15,2081938,'1',333,'N'),(15,2081946,'1',225,'N'),(15,2081946,'2',203,'N'),(15,2081954,'1',103,'N'),(15,2081954,'2',108,'N'),(15,2081962,'1',5,'N'),(15,2081962,'2',425,'N'),(15,2081970,'1',425,'N'),(15,2081989,'1',444,'N'),(15,2081989,'2',324,'N'),(15,2081997,'1',225,'N'),(15,2081997,'2',224,'N'),(15,2082004,'1',202,'N'),(15,2082004,'1A',216,'N'),(15,2082004,'2',222,'N'),(15,2082012,'1',238,'N'),(15,2082012,'1A',208,'N'),(15,2082012,'2',213,'N'),(15,2082020,'1',318,'N'),(15,2082020,'2',304,'N'),(15,2082047,'1',103,'N'),(15,2082047,'2',216,'N'),(15,2082055,'1',318,'N'),(15,2082055,'2',317,'N'),(15,2082080,'1',332,'N'),(15,2082080,'2',339,'N'),(15,2082098,'1',207,'N'),(15,2082098,'1A',201,'N'),(15,2082098,'2',208,'N'),(15,2082110,'1',103,'N'),(15,2082110,'2',101,'N'),(15,2082144,'1',316,'N'),(15,2082144,'2',108,'N'),(15,2082152,'1',208,'N'),(15,2082160,'1',101,'N'),(15,2082160,'2',404,'N'),(15,2082195,'1',104,'N'),(15,2082195,'2',102,'N'),(15,2082209,'1',333,'N'),(15,2082209,'2',216,'N'),(15,2082217,'1',302,'N'),(15,2082217,'2',421,'N'),(15,2082233,'1',103,'N'),(15,2082233,'2',319,'N'),(15,2082250,'1',211,'N'),(15,2082268,'1',103,'N'),(15,2082268,'2',102,'N'),(15,2082276,'1',103,'N'),(15,2082276,'2',102,'N'),(15,2082292,'1',211,'N'),(15,2082292,'2',333,'N'),(15,2082306,'1',415,'N'),(15,2082306,'2',425,'N'),(15,2082314,'1',103,'N'),(15,2082314,'2',101,'N'),(15,2082330,'1',332,'N'),(15,2082330,'2',329,'N'),(15,2082349,'1',222,'N'),(15,2082349,'2',223,'N'),(15,2082357,'1',103,'N'),(15,2082357,'2',211,'N'),(15,2082365,'1',102,'N'),(15,2082365,'2',217,'N'),(15,2082373,'1',5,'N'),(15,2082373,'2',501,'N'),(15,2082381,'1',404,'N'),(15,2082381,'2',223,'N'),(15,2082390,'1',303,'N'),(15,2082390,'2',104,'N'),(15,2082403,'1',324,'N'),(15,2082403,'2',301,'N'),(15,2082411,'1',108,'N'),(15,2082411,'2',320,'N'),(15,2082420,'1',316,'N'),(15,2082420,'2',208,'N'),(15,2082454,'1',317,'N'),(15,2082454,'2',316,'N'),(15,2082462,'1',333,'N'),(15,2082462,'2',332,'N'),(15,2082489,'1',103,'N'),(15,2082489,'2',104,'N'),(15,2082497,'1',317,'N'),(15,2082497,'2',339,'N'),(15,2082500,'1',201,'N'),(15,2082500,'2',208,'N'),(15,2082519,'1',317,'N'),(15,2082519,'2',238,'N'),(15,2082527,'1',415,'N'),(15,2082535,'1',5,'N'),(15,2082535,'2',308,'N'),(15,2082551,'1',301,'N'),(15,2082551,'2',316,'N'),(15,2082560,'1',220,'N'),(15,2082560,'1A',203,'N'),(15,2082560,'2',202,'N'),(15,2082586,'1',103,'N'),(15,2082586,'2',303,'N'),(15,2082594,'1',318,'N'),(15,2082594,'2',327,'N'),(15,2082608,'1',303,'N'),(15,2082608,'2',326,'N'),(15,2082616,'1',5,'N'),(15,2082616,'2',327,'N'),(15,2082624,'1',444,'N'),(15,2082624,'2',404,'N'),(15,2082632,'1',5,'N'),(15,2082632,'2',319,'N'),(15,2082640,'1',327,'N'),(15,2082640,'2',108,'N'),(15,2082659,'1',444,'N'),(15,2082659,'2',404,'N'),(15,2082667,'1',103,'N'),(15,2082667,'2',102,'N'),(15,2082675,'1',5,'N'),(15,2082675,'2',316,'N'),(15,2082683,'1',420,'N'),(15,2082683,'2',333,'N'),(15,2082705,'1',317,'N'),(15,2082705,'2',444,'N'),(15,2082713,'1',316,'N'),(15,2082713,'2',318,'N'),(15,2082721,'1',234,'N'),(15,2082721,'2',333,'N'),(15,2082748,'1',103,'N'),(15,2082748,'2',101,'N'),(15,2082756,'1',303,'N'),(15,2082756,'2',415,'N'),(15,2082764,'1',212,'N'),(15,2082764,'1A',201,'N'),(15,2082764,'2',233,'N'),(15,2082799,'1',316,'N'),(15,2082810,'1',9,'N'),(15,2082810,'2',308,'N'),(15,2082829,'1',102,'N'),(15,2082829,'2',217,'N'),(15,2082837,'1',103,'N'),(15,2082837,'2',104,'N'),(15,2082845,'1',450,'N'),(15,2082845,'2',327,'N'),(15,2082853,'1',203,'N'),(15,2082853,'1A',214,'N'),(15,2082853,'2',202,'N'),(15,2082861,'1',333,'N'),(15,2082870,'1',2,'N'),(15,2082870,'2',225,'N'),(15,2082888,'1',327,'N'),(15,2082888,'2',329,'N'),(15,2082918,'1',319,'N'),(15,2082918,'2',326,'N'),(15,2082926,'1',9,'N'),(15,2082926,'2',238,'N'),(15,2082934,'1',317,'N'),(15,2082934,'2',224,'N'),(15,2082942,'1',425,'N'),(15,2082942,'1A',427,'N'),(15,2082942,'2',420,'N'),(15,2082950,'1',326,'N'),(15,2082950,'2',327,'N'),(15,2082969,'1',101,'N'),(15,2082969,'2',420,'N'),(15,2082977,'1',220,'N'),(15,2082977,'1A',202,'N'),(15,2082977,'2',501,'N'),(15,2082985,'1',233,'N'),(15,2082985,'1A',215,'N'),(15,2082985,'2',223,'N'),(15,2082993,'1',103,'N'),(15,2083000,'1',428,'N'),(15,2083000,'1A',424,'N'),(15,2083000,'2',451,'N'),(15,2083019,'1',309,'N'),(15,2083027,'1',319,'N'),(15,2083027,'2',423,'N'),(15,2083035,'1',103,'N'),(15,2083035,'2',104,'N'),(15,2083043,'1',302,'N'),(15,2083043,'2',304,'N'),(15,2083051,'1',5,'N'),(15,2083060,'1',101,'N'),(15,2083060,'2',9,'N'),(15,2083078,'1',211,'N'),(15,2083078,'1A',215,'N'),(15,2083078,'2',427,'N'),(15,2083086,'1',318,'N'),(15,2083086,'2',304,'N'),(15,2083116,'1',304,'N'),(15,2083116,'2',318,'N'),(15,2083132,'1',203,'N'),(15,2083132,'1A',233,'N'),(15,2083132,'2',216,'N'),(15,2083140,'1',103,'N'),(15,2083140,'2',202,'N'),(15,2083159,'1',415,'N'),(15,2083159,'2',450,'N'),(15,2083167,'1',103,'N'),(15,2083175,'1',203,'N'),(15,2083175,'1A',214,'N'),(15,2083175,'2',202,'N'),(15,2083183,'1',333,'N'),(15,2083183,'2',216,'N'),(15,2083191,'1',501,'N'),(15,2083191,'2',425,'N'),(15,2083205,'1',9,'N'),(15,2083205,'2',404,'N'),(15,2083213,'1',238,'N'),(15,2083213,'1A',202,'N'),(15,2083213,'2',444,'N'),(15,2083221,'1',333,'N'),(15,2083221,'2',327,'N'),(15,2083230,'1',108,'N'),(15,2083248,'1',211,'N'),(15,2083248,'1A',220,'N'),(15,2083248,'2',316,'N'),(15,2083256,'1',303,'N'),(15,2083256,'2',5,'N'),(15,2083264,'1',501,'N'),(15,2083264,'2',423,'N'),(15,2083272,'1',211,'N'),(15,2083272,'1A',233,'N'),(15,2083272,'2',108,'N'),(15,2083280,'1',5,'N'),(15,2083280,'2',333,'N'),(15,2083310,'1',220,'N'),(15,2083310,'1A',216,'N'),(15,2083310,'2',203,'N'),(15,2083345,'1',104,'N'),(15,2083345,'2',303,'N'),(15,2083361,'1',103,'N'),(15,2083361,'2',212,'N'),(15,2083370,'1',103,'N'),(15,2083388,'1',203,'N'),(15,2083388,'1A',201,'N'),(15,2083388,'2',302,'N'),(15,2083396,'1',103,'N'),(15,2083396,'2',216,'N'),(15,2083418,'1',102,'N'),(15,2083418,'2',104,'N'),(15,2083434,'1',317,'N'),(15,2083434,'2',318,'N'),(15,2083442,'1',5,'N'),(15,2083442,'2',426,'N'),(15,2083450,'1',108,'N'),(15,2083450,'2',333,'N'),(15,2083469,'1',103,'N'),(15,2083469,'2',203,'N'),(15,2083477,'1',102,'N'),(15,2083477,'2',316,'N'),(15,2083493,'1',316,'N'),(15,2083493,'2',324,'N'),(15,2083507,'1',220,'N'),(15,2083507,'1A',214,'N'),(15,2083515,'1',202,'N'),(15,2083515,'1A',220,'N'),(15,2083515,'2',214,'N'),(15,2083523,'1',215,'N'),(15,2083523,'1A',220,'N'),(15,2083523,'2',333,'N'),(15,2083558,'1',207,'N'),(15,2083558,'1A',203,'N'),(15,2083558,'2',320,'N'),(15,2083566,'1',220,'N'),(15,2083566,'1A',203,'N'),(15,2083566,'2',214,'N'),(15,2083574,'1',207,'N'),(15,2083590,'1',202,'N'),(15,2083590,'1A',213,'N'),(15,2083590,'2',203,'N'),(15,2083604,'1',5,'N'),(15,2083604,'2',203,'N'),(15,2083612,'1',103,'N'),(15,2083612,'2',104,'N'),(15,2083620,'1',301,'N'),(15,2083620,'2',201,'N'),(15,2083639,'1',319,'N'),(15,2083639,'2',429,'N'),(15,2083647,'1',332,'N'),(15,2083647,'2',450,'N'),(15,2083663,'1',5,'N'),(15,2083663,'2',318,'N'),(15,2083671,'1',103,'N'),(15,2083671,'2',5,'N'),(15,2083698,'1',415,'N'),(15,2083698,'2',332,'N'),(15,2083728,'1',203,'N'),(15,2083728,'1A',202,'N'),(15,2083728,'2',331,'N'),(15,2083736,'1',207,'N'),(15,2083736,'1A',201,'N'),(15,2083736,'2',211,'N'),(15,2083744,'1',214,'N'),(15,2083744,'2',213,'N'),(15,2083760,'1',102,'N'),(15,2083779,'1',203,'N'),(15,2083779,'1A',214,'N'),(15,2083779,'2',220,'N'),(15,2083787,'1',207,'N'),(15,2083787,'2',201,'N'),(15,2083795,'1',103,'N'),(15,2083795,'2',108,'N'),(15,2083809,'1',103,'N'),(15,2083809,'2',104,'N'),(15,2083817,'1',103,'N'),(15,2083817,'2',202,'N'),(15,2083825,'1',420,'N'),(15,2083825,'2',316,'N'),(15,2083833,'1',444,'N'),(15,2083833,'2',211,'N'),(15,2083841,'1',211,'N'),(15,2083841,'1A',215,'N'),(15,2083841,'2',339,'N'),(15,2083850,'1',303,'N'),(15,2083850,'2',5,'N'),(15,2083884,'1',316,'N'),(15,2083884,'2',5,'N'),(15,2083892,'1',103,'N'),(15,2083892,'2',303,'N'),(15,2083906,'1',5,'N'),(15,2083906,'2',201,'N'),(15,2083914,'1',201,'N'),(15,2083914,'1A',233,'N'),(15,2083914,'2',308,'N'),(15,2083922,'1',103,'N'),(15,2083922,'2',101,'N'),(15,2083930,'1',501,'N'),(15,2083949,'1',201,'N'),(15,2083949,'1A',208,'N'),(15,2083949,'2',202,'N'),(15,2083957,'1',103,'N'),(15,2083965,'1',415,'N'),(15,2083965,'2',450,'N'),(15,2083981,'1',333,'N'),(15,2083981,'2',108,'N'),(15,2083990,'1',318,'N'),(15,2083990,'2',329,'N'),(15,2084007,'1',201,'N'),(15,2084007,'1A',212,'N'),(15,2084007,'2',103,'N'),(15,2084015,'1',317,'N'),(15,2084015,'2',333,'N'),(15,2084031,'1',220,'N'),(15,2084031,'1A',203,'N'),(15,2084031,'2',216,'N'),(15,2084040,'1',301,'N'),(15,2084040,'2',316,'N'),(15,2084058,'1',103,'N'),(15,2084058,'2',104,'N'),(15,2084074,'1',428,'N'),(15,2084074,'1A',426,'N'),(15,2084074,'2',451,'N'),(15,2084082,'1',238,'N'),(15,2084082,'1A',220,'N'),(15,2084082,'2',208,'N'),(15,2084104,'1',203,'N'),(15,2084104,'1A',201,'N'),(15,2084104,'2',220,'N'),(15,2084112,'1',215,'N'),(15,2084112,'1A',211,'N'),(15,2084112,'2',444,'N'),(15,2084120,'1',103,'N'),(15,2084120,'2',203,'N'),(15,2084147,'1',444,'N'),(15,2084147,'2',234,'N'),(15,2084163,'1',203,'N'),(15,2084163,'1A',202,'N'),(15,2084163,'2',201,'N'),(15,2084180,'1',103,'N'),(15,2084180,'2',101,'N'),(15,2084198,'1',303,'N'),(15,2084198,'2',5,'N'),(15,2084201,'1',444,'N'),(15,2084201,'2',423,'N'),(15,2084210,'1',102,'N'),(15,2084210,'2',104,'N'),(15,2084228,'1',333,'N'),(15,2084228,'2',216,'N'),(15,2084236,'1',302,'N'),(15,2084236,'2',308,'N'),(15,2084279,'1',301,'N'),(15,2084279,'2',309,'N'),(15,2084295,'1',301,'N'),(15,2084295,'2',316,'N'),(15,2084309,'1',310,'N'),(15,2084309,'2',303,'N'),(15,2084317,'1',101,'N'),(15,2084317,'2',332,'N'),(15,2084325,'1',103,'N'),(15,2084325,'2',450,'N'),(15,2084333,'1',104,'N'),(15,2084333,'2',444,'N'),(15,2084341,'1',104,'N'),(15,2084341,'2',215,'N'),(15,2084350,'1',5,'N'),(15,2084350,'2',303,'N'),(15,2084376,'1',216,'N'),(15,2084376,'1A',215,'N'),(15,2084376,'2',217,'N'),(15,2084384,'1',415,'N'),(15,2084384,'2',9,'N'),(15,2084392,'1',102,'N'),(15,2084392,'2',208,'N'),(15,2084414,'1',420,'N'),(15,2084414,'2',212,'N'),(15,2084422,'1',215,'N'),(15,2084422,'1A',211,'N'),(15,2084422,'2',9,'N'),(15,2084449,'1',324,'N'),(15,2084449,'2',327,'N'),(15,2084457,'1',216,'N'),(15,2084457,'2',220,'N'),(15,2084465,'1',211,'N'),(15,2084465,'1A',216,'N'),(15,2084465,'2',234,'N'),(15,2084481,'1',327,'N'),(15,2084481,'2',332,'N'),(15,2084511,'1',103,'N'),(15,2084511,'2',108,'N'),(15,2084520,'1',103,'N'),(15,2084520,'2',101,'N'),(15,2084538,'1',427,'N'),(15,2084538,'1A',424,'N'),(15,2084538,'2',421,'N'),(15,2084546,'1',108,'N'),(15,2084546,'2',501,'N'),(15,2084554,'1',425,'N'),(15,2084554,'1A',429,'N'),(15,2084554,'2',308,'N'),(15,2084589,'1',502,'N'),(15,2084589,'2',102,'N'),(15,2084597,'1',103,'N'),(15,2084597,'2',102,'N'),(15,2084600,'1',316,'N'),(15,2084600,'2',5,'N'),(15,2084619,'1',502,'N'),(15,2084619,'2',501,'N'),(15,2084627,'1',301,'N'),(15,2084627,'2',316,'N'),(15,2084635,'1',303,'N'),(15,2084635,'2',5,'N'),(15,2084643,'1',233,'N'),(15,2084643,'1A',214,'N'),(15,2084643,'2',215,'N'),(15,2084651,'1',5,'N'),(15,2084651,'2',329,'N'),(15,2084660,'1',308,'N'),(15,2084660,'2',339,'N'),(15,2084678,'1',207,'N'),(15,2084678,'1A',201,'N'),(15,2084678,'2',301,'N'),(15,2084686,'1',238,'N'),(15,2084686,'1A',208,'N'),(15,2084686,'2',2,'N'),(15,2084694,'1',102,'N'),(15,2084694,'2',215,'N'),(15,2084708,'1',103,'N'),(15,2084708,'2',201,'N'),(15,2084716,'1',103,'N'),(15,2084716,'2',104,'N'),(15,2084732,'1',5,'N'),(15,2084732,'2',303,'N'),(15,2084740,'1',207,'N'),(15,2084740,'1A',211,'N'),(15,2084740,'2',9,'N'),(15,2084767,'1',207,'N'),(15,2084767,'1A',216,'N'),(15,2084767,'2',217,'N'),(15,2084775,'1',103,'N'),(15,2084775,'2',102,'N'),(15,2084783,'1',102,'N'),(15,2084783,'2',444,'N'),(15,2084791,'1',215,'N'),(15,2084813,'1',303,'N'),(15,2084813,'2',208,'N'),(15,2084821,'1',450,'N'),(15,2084821,'2',326,'N'),(15,2084830,'1',103,'N'),(15,2084848,'1',423,'N'),(15,2084848,'1A',426,'N'),(15,2084848,'2',327,'N'),(15,2084872,'1',301,'N'),(15,2084872,'2',427,'N'),(15,2084899,'1',108,'N'),(15,2084899,'2',333,'N'),(15,2084902,'1',5,'N'),(15,2084902,'2',316,'N'),(15,2084910,'1',101,'N'),(15,2084910,'2',308,'N'),(15,2084929,'1',201,'N'),(15,2084929,'2',211,'N'),(15,2084937,'1',333,'N'),(15,2084937,'2',404,'N'),(15,2084945,'1',103,'N'),(15,2084945,'2',216,'N'),(15,2084953,'1',207,'N'),(15,2084961,'1',303,'N'),(15,2084961,'2',5,'N'),(15,2084970,'1',201,'N'),(15,2084970,'1A',207,'N'),(15,2084970,'2',225,'N'),(15,2084988,'1',108,'N'),(15,2084988,'2',308,'N'),(15,2084996,'1',2,'N'),(15,2084996,'2',225,'N'),(15,2085003,'1',103,'N'),(15,2085003,'2',108,'N'),(15,2085011,'1',238,'N'),(15,2085011,'1A',208,'N'),(15,2085011,'2',224,'N'),(15,2085020,'1',101,'N'),(15,2085020,'2',333,'N'),(15,2085038,'1',108,'N'),(15,2085062,'1',404,'N'),(15,2085062,'2',444,'N'),(15,2085070,'1',317,'N'),(15,2085070,'2',329,'N'),(15,2085100,'1',428,'N'),(15,2085100,'1A',426,'N'),(15,2085100,'2',423,'N'),(15,2085119,'1',5,'N'),(15,2085119,'2',316,'N'),(15,2085127,'1',333,'N'),(15,2085127,'2',108,'N'),(15,2085135,'1',420,'N'),(15,2085135,'2',207,'N'),(15,2085143,'1',103,'N'),(15,2085143,'2',104,'N'),(15,2085151,'1',103,'N'),(15,2085151,'2',404,'N'),(15,2085160,'1',502,'N'),(15,2085160,'2',501,'N'),(15,2085178,'1',316,'N'),(15,2085186,'1',319,'N'),(15,2085186,'2',329,'N'),(15,2085208,'1',101,'N'),(15,2085208,'2',308,'N'),(15,2085216,'1',301,'N'),(15,2085216,'2',444,'N'),(15,2085224,'1',102,'N'),(15,2085224,'2',328,'N'),(15,2085232,'1',332,'N'),(15,2085232,'2',318,'N'),(15,2085275,'1',201,'N'),(15,2085275,'1A',211,'N'),(15,2085275,'2',223,'N'),(15,2085283,'1',214,'N'),(15,2085283,'1A',213,'N'),(15,2085283,'2',5,'N'),(15,2085291,'1',104,'N'),(15,2085291,'2',451,'N'),(15,2085305,'1',207,'N'),(15,2085305,'1A',201,'N'),(15,2085305,'2',451,'N'),(15,2085321,'1',207,'N'),(15,2085321,'1A',211,'N'),(15,2085348,'1',203,'N'),(15,2085348,'1A',202,'N'),(15,2085348,'2',214,'N'),(15,2085356,'1',103,'N'),(15,2085356,'2',9,'N'),(15,2085364,'1',207,'N'),(15,2085364,'2',425,'N'),(15,2085372,'1',108,'N'),(15,2085372,'2',333,'N'),(15,2085380,'1',214,'N'),(15,2085380,'1A',220,'N'),(15,2085380,'2',327,'N'),(15,2085399,'1',103,'N'),(15,2085402,'1',308,'N'),(15,2085402,'2',428,'N'),(15,2085410,'1',304,'N'),(15,2085410,'2',501,'N'),(15,2085429,'1',103,'N'),(15,2085429,'2',104,'N'),(15,2085453,'1',211,'N'),(15,2085453,'1A',216,'N'),(15,2085453,'2',234,'N'),(15,2085470,'1',103,'N'),(15,2085470,'2',501,'N'),(15,2085488,'1',5,'N'),(15,2085488,'2',303,'N'),(15,2085496,'1',103,'N'),(15,2085496,'2',101,'N'),(15,2085500,'1',451,'N'),(15,2085500,'2',450,'N'),(15,2085526,'1',203,'N'),(15,2085526,'1A',214,'N'),(15,2085526,'2',202,'N'),(15,2085550,'1',207,'N'),(15,2085550,'1A',238,'N'),(15,2085550,'2',420,'N'),(15,2085577,'1',103,'N'),(15,2085577,'2',102,'N'),(15,2085585,'1',202,'N'),(15,2085585,'1A',208,'N'),(15,2085585,'2',233,'N'),(15,2085593,'1',103,'N'),(15,2085593,'2',102,'N'),(15,2085607,'1',203,'N'),(15,2085607,'2',216,'N'),(15,2085631,'1',317,'N'),(15,2085631,'2',318,'N'),(15,2085640,'1',238,'N'),(15,2085640,'1A',208,'N'),(15,2085640,'2',222,'N'),(15,2085658,'1',319,'N'),(15,2085658,'2',328,'N'),(15,2085666,'1',207,'N'),(15,2085666,'1A',201,'N'),(15,2085666,'2',444,'N'),(15,2085674,'1',225,'N'),(15,2085674,'2',224,'N'),(15,2085682,'1',303,'N'),(15,2085682,'2',301,'N'),(15,2085690,'1',213,'N'),(15,2085690,'1A',233,'N'),(15,2085690,'2',301,'N'),(15,2085704,'1',233,'N'),(15,2085704,'1A',216,'N'),(15,2085704,'2',2,'N'),(15,2085712,'1',103,'N'),(15,2085712,'2',424,'N'),(15,2085720,'1',404,'N'),(15,2085720,'2',2,'N'),(15,2085739,'1',404,'N'),(15,2085739,'2',444,'N'),(15,2085747,'1',415,'N'),(15,2085747,'2',451,'N'),(15,2085755,'1',5,'N'),(15,2085755,'2',316,'N'),(15,2085763,'1',220,'N'),(15,2085763,'1A',203,'N'),(15,2085763,'2',202,'N'),(15,2085771,'1',103,'N'),(15,2085771,'2',216,'N'),(15,2085780,'1',222,'N'),(15,2085780,'2',215,'N'),(15,2085798,'1',5,'N'),(15,2085798,'2',333,'N'),(15,2085810,'1',101,'N'),(15,2085810,'2',224,'N'),(15,2085828,'1',103,'N'),(15,2085828,'2',216,'N'),(15,2085844,'1',415,'N'),(15,2085844,'2',420,'N'),(15,2085852,'1',104,'N'),(15,2085852,'2',425,'N'),(15,2085879,'1',303,'N'),(15,2085879,'2',5,'N'),(15,2085887,'1',103,'N'),(15,2085887,'2',101,'N'),(15,2085895,'1',207,'N'),(15,2085895,'1A',201,'N'),(15,2085895,'2',233,'N'),(15,2085917,'1',5,'N'),(15,2085917,'2',318,'N'),(15,2085925,'1',103,'N'),(15,2085925,'2',304,'N'),(15,2085933,'1',215,'N'),(15,2085933,'1A',216,'N'),(15,2085933,'2',211,'N'),(15,2085941,'1',211,'N'),(15,2085941,'1A',212,'N'),(15,2085941,'2',316,'N'),(15,2085950,'1',103,'N'),(15,2085950,'2',101,'N'),(15,2085976,'1',331,'N'),(15,2085976,'2',217,'N'),(15,2085984,'1',102,'N'),(15,2085984,'2',215,'N'),(15,2085992,'1',103,'N'),(15,2085992,'2',502,'N'),(15,2086018,'1',444,'N'),(15,2086018,'2',333,'N'),(15,2086026,'1',502,'N'),(15,2086034,'1',301,'N'),(15,2086034,'2',215,'N'),(15,2086042,'1',420,'N'),(15,2086042,'2',310,'N'),(15,2086050,'1',404,'N'),(15,2086050,'2',316,'N'),(15,2086069,'1',9,'N'),(15,2086069,'2',424,'N'),(15,2086077,'1',207,'N'),(15,2086077,'2',420,'N'),(15,2086123,'1',2,'N'),(15,2086131,'1',211,'N'),(15,2086131,'1A',215,'N'),(15,2086131,'2',502,'N'),(15,2086140,'1',303,'N'),(15,2086140,'2',304,'N'),(15,2086158,'1',5,'N'),(15,2086158,'2',333,'N'),(15,2086166,'1',415,'N'),(15,2086166,'2',327,'N'),(15,2086182,'1',303,'N'),(15,2086182,'2',308,'N'),(15,2086190,'1',420,'N'),(15,2086190,'2',426,'N'),(15,2086204,'1',444,'N'),(15,2086204,'2',101,'N'),(15,2086212,'1',328,'N'),(15,2086212,'2',501,'N'),(15,2086220,'1',316,'N'),(15,2086220,'2',224,'N'),(15,2086239,'1',103,'N'),(15,2086247,'1',319,'N'),(15,2086247,'2',9,'N'),(15,2086255,'1',102,'N'),(15,2086255,'2',101,'N'),(15,2086280,'1',203,'N'),(15,2086280,'1A',214,'N'),(15,2086298,'1',103,'N'),(15,2086298,'2',102,'N'),(15,2086301,'1',303,'N'),(15,2086301,'2',5,'N'),(15,2086310,'1',318,'N'),(15,2086310,'2',444,'N'),(15,2086328,'1',303,'N'),(15,2086336,'1',333,'N'),(15,2086336,'2',444,'N'),(15,2086344,'1',103,'N'),(15,2086344,'2',108,'N'),(15,2086352,'1',102,'N'),(15,2086352,'2',217,'N'),(15,2086360,'1',316,'N'),(15,2086360,'2',101,'N'),(15,2086379,'1',104,'N'),(15,2086379,'2',217,'N'),(15,2086387,'1',103,'N'),(15,2086387,'2',207,'N'),(15,2086395,'1',207,'N'),(15,2086395,'1A',208,'N'),(15,2086395,'2',420,'N'),(15,2086417,'1',201,'N'),(15,2086417,'1A',211,'N'),(15,2086417,'2',212,'N'),(15,2086425,'1',302,'N'),(15,2086425,'2',309,'N'),(15,2086433,'1',220,'N'),(15,2086441,'1',203,'N'),(15,2086441,'1A',201,'N'),(15,2086450,'1',238,'N'),(15,2086450,'2',211,'N'),(15,2086468,'1',501,'N'),(15,2086468,'2',217,'N'),(15,2086476,'1',319,'N'),(15,2086476,'2',303,'N'),(15,2086484,'1',103,'N'),(15,2086484,'2',201,'N'),(15,2086492,'1',103,'N'),(15,2086492,'2',201,'N'),(15,2086506,'1',207,'N'),(15,2086506,'2',427,'N'),(15,2086514,'1',216,'N'),(15,2086514,'1A',211,'N'),(15,2086514,'2',202,'N'),(15,2086522,'1',303,'N'),(15,2086522,'2',5,'N'),(15,2086530,'1',101,'N'),(15,2086549,'1',332,'N'),(15,2086549,'2',424,'N'),(15,2086557,'1',220,'N'),(15,2086557,'1A',203,'N'),(15,2086557,'2',202,'N'),(15,2086573,'1',211,'N'),(15,2086573,'1A',201,'N'),(15,2086573,'2',428,'N'),(15,2086581,'1',103,'N'),(15,2086581,'2',214,'N'),(15,2086603,'1',9,'N'),(15,2086603,'2',415,'N'),(15,2086611,'1',103,'N'),(15,2086611,'2',5,'N'),(15,2086620,'1',103,'N'),(15,2086620,'2',303,'N'),(15,2086638,'1',207,'N'),(15,2086638,'1A',201,'N'),(15,2086638,'2',222,'N'),(15,2086646,'1',5,'N'),(15,2086646,'2',9,'N'),(15,2086654,'1',211,'N'),(15,2086654,'1A',220,'N'),(15,2086654,'2',108,'N'),(15,2086662,'1',201,'N'),(15,2086662,'1A',207,'N'),(15,2086662,'2',404,'N'),(15,2086689,'1',303,'N'),(15,2086689,'2',326,'N'),(15,2086697,'1',220,'N'),(15,2086697,'1A',233,'N'),(15,2086697,'2',214,'N'),(15,2086700,'1',216,'N'),(15,2086700,'1A',215,'N'),(15,2086700,'2',201,'N'),(15,2086719,'1',202,'N'),(15,2086719,'1A',214,'N'),(15,2086719,'2',2,'N'),(15,2086727,'1',224,'N'),(15,2086727,'2',324,'N'),(15,2086735,'1',104,'N'),(15,2086735,'2',333,'N'),(15,2086743,'1',103,'N'),(15,2086743,'2',102,'N'),(15,2086751,'1',103,'N'),(15,2086751,'2',102,'N'),(15,2086760,'1',451,'N'),(15,2086760,'2',310,'N'),(15,2086778,'1',220,'N'),(15,2086778,'1A',233,'N'),(15,2086778,'2',202,'N'),(15,2086786,'1',216,'N'),(15,2086786,'1A',211,'N'),(15,2086786,'2',215,'N'),(15,2086808,'1',108,'N'),(15,2086808,'2',333,'N'),(15,2086816,'1',303,'N'),(15,2086816,'2',238,'N'),(15,2086832,'1',415,'N'),(15,2086832,'2',327,'N'),(15,2086840,'1',211,'N'),(15,2086840,'1A',207,'N'),(15,2086840,'2',329,'N'),(15,2086859,'1',103,'N'),(15,2086859,'2',102,'N'),(15,2086867,'1',103,'N'),(15,2086867,'2',101,'N'),(15,2086875,'1',319,'N'),(15,2086875,'2',238,'N'),(15,2086883,'1',415,'N'),(15,2086883,'2',451,'N'),(15,2086905,'1',5,'N'),(15,2086905,'2',318,'N'),(15,2086913,'1',103,'N'),(15,2086913,'2',303,'N'),(15,2086921,'1',331,'N'),(15,2086921,'2',324,'N'),(15,2086948,'1',102,'N'),(15,2086948,'2',217,'N'),(15,2086956,'1',451,'N'),(15,2086956,'2',324,'N'),(15,2086964,'1',319,'N'),(15,2086964,'2',308,'N'),(15,2086972,'1',316,'N'),(15,2086972,'2',308,'N'),(15,2086980,'1',103,'N'),(15,2086980,'2',5,'N'),(15,2086999,'1',238,'N'),(15,2086999,'1A',208,'N'),(15,2086999,'2',2,'N'),(15,2087006,'1',208,'N'),(15,2087006,'1A',238,'N'),(15,2087006,'2',214,'N'),(15,2087022,'1',444,'N'),(15,2087022,'2',332,'N'),(15,2087057,'1',207,'N'),(15,2087057,'1A',211,'N'),(15,2087057,'2',420,'N'),(15,2087065,'1',207,'N'),(15,2087065,'1A',215,'N'),(15,2087065,'2',415,'N'),(15,2087073,'1',103,'N'),(15,2087073,'2',104,'N'),(15,2087081,'1',303,'N'),(15,2087081,'2',501,'N'),(15,2087111,'1',108,'N'),(15,2087111,'2',101,'N'),(15,2087120,'1',103,'N'),(15,2087120,'2',102,'N'),(15,2087138,'1',501,'N'),(15,2087138,'2',502,'N'),(15,2087146,'1',9,'N'),(15,2087146,'2',215,'N'),(15,2087162,'1',207,'N'),(15,2087162,'1A',201,'N'),(15,2087162,'2',317,'N'),(15,2087170,'1',502,'N'),(15,2087170,'2',424,'N'),(15,2087189,'1',108,'N'),(15,2087189,'2',326,'N'),(15,2087197,'1',207,'N'),(15,2087197,'2',420,'N'),(15,2087200,'1',203,'N'),(15,2087200,'2',301,'N'),(15,2087219,'1',203,'N'),(15,2087219,'1A',220,'N'),(15,2087219,'2',320,'N'),(15,2087227,'1',202,'N'),(15,2087227,'1A',214,'N'),(15,2087227,'2',208,'N'),(15,2087235,'1',9,'N'),(15,2087235,'2',215,'N'),(15,2087243,'1',203,'N'),(15,2087243,'1A',202,'N'),(15,2087243,'2',220,'N'),(15,2087260,'1',202,'N'),(15,2087260,'1A',203,'N'),(15,2087260,'2',333,'N'),(15,2087278,'1',238,'N'),(15,2087278,'1A',208,'N'),(15,2087278,'2',212,'N'),(15,2087286,'1',202,'N'),(15,2087286,'1A',203,'N'),(15,2087286,'2',214,'N'),(15,2087294,'1',208,'N'),(15,2087294,'1A',238,'N'),(15,2087294,'2',223,'N'),(15,2087308,'1',339,'N'),(15,2087308,'2',324,'N'),(15,2087316,'1',301,'N'),(15,2087316,'2',316,'N'),(15,2087340,'1',207,'N'),(15,2087340,'1A',208,'N'),(15,2087340,'2',224,'N'),(15,2087359,'1',103,'N'),(15,2087359,'2',2,'N'),(15,2087367,'1',103,'N'),(15,2087367,'2',415,'N'),(15,2087375,'1',328,'N'),(15,2087383,'1',304,'N'),(15,2087383,'2',326,'N'),(15,2087391,'1',214,'N'),(15,2087391,'1A',213,'N'),(15,2087391,'2',212,'N'),(15,2087405,'1',207,'N'),(15,2087405,'1A',201,'N'),(15,2087405,'2',420,'N'),(15,2087413,'1',316,'N'),(15,2087413,'2',420,'N'),(15,2087421,'1',304,'N'),(15,2087421,'2',328,'N'),(15,2087430,'1',203,'N'),(15,2087430,'1A',214,'N'),(15,2087430,'2',220,'N'),(15,2087448,'1',211,'N'),(15,2087448,'1A',216,'N'),(15,2087464,'1',444,'N'),(15,2087464,'2',108,'N'),(15,2087472,'1',301,'N'),(15,2087472,'2',304,'N'),(15,2087499,'1',102,'N'),(15,2087499,'2',101,'N'),(15,2087502,'1',103,'N'),(15,2087510,'1',319,'N'),(15,2087510,'2',426,'N'),(15,2087529,'1',308,'N'),(15,2087529,'2',319,'N'),(15,2087537,'1',103,'N'),(15,2087537,'2',102,'N'),(15,2087545,'1',102,'N'),(15,2087545,'2',9,'N'),(15,2087553,'1',103,'N'),(15,2087570,'1',316,'N'),(15,2087570,'2',319,'N'),(15,2087588,'1',318,'N'),(15,2087588,'2',316,'N'),(15,2087600,'1',103,'N'),(15,2087600,'2',214,'N'),(15,2087618,'1',201,'N'),(15,2087618,'1A',212,'N'),(15,2087618,'2',317,'N'),(15,2087634,'1',208,'N'),(15,2087634,'1A',238,'N'),(15,2087634,'2',220,'N'),(15,2087642,'1',333,'N'),(15,2087642,'2',234,'N'),(15,2087669,'1',303,'N'),(15,2087669,'2',326,'N'),(15,2087677,'1',202,'N'),(15,2087677,'1A',213,'N'),(15,2087677,'2',318,'N'),(15,2087685,'1',103,'N'),(15,2087685,'2',104,'N'),(15,2087693,'1',9,'N'),(15,2087693,'2',326,'N'),(15,2087707,'1',319,'N'),(15,2087707,'2',451,'N'),(15,2087715,'1',303,'N'),(15,2087715,'2',5,'N'),(15,2087723,'1',101,'N'),(15,2087723,'2',444,'N'),(15,2087731,'1',501,'N'),(15,2087731,'2',108,'N'),(15,2087740,'1',103,'N'),(15,2087740,'2',104,'N'),(15,2087758,'1',9,'N'),(15,2087758,'2',215,'N'),(15,2087766,'1',303,'N'),(15,2087774,'1',207,'N'),(15,2087774,'1A',201,'N'),(15,2087774,'2',420,'N'),(15,2087782,'1',203,'N'),(15,2087782,'1A',202,'N'),(15,2087782,'2',214,'N'),(15,2087790,'1',303,'N'),(15,2087804,'1',101,'N'),(15,2087804,'2',102,'N'),(15,2087812,'1',207,'N'),(15,2087812,'1A',201,'N'),(15,2087820,'1',214,'N'),(15,2087820,'1A',212,'N'),(15,2087820,'2',213,'N'),(15,2087839,'1',201,'N'),(15,2087839,'1A',212,'N'),(15,2087839,'2',304,'N'),(15,2087847,'1',108,'N'),(15,2087847,'2',451,'N'),(15,2087855,'1',103,'N'),(15,2087855,'2',303,'N'),(15,2087871,'1',103,'N'),(15,2087871,'2',303,'N'),(15,2087880,'1',309,'N'),(15,2087880,'2',423,'N'),(15,2087898,'1',203,'N'),(15,2087898,'1A',216,'N'),(15,2087898,'2',108,'N'),(15,2087901,'1',420,'N'),(15,2087901,'2',207,'N'),(15,2087910,'1',207,'N'),(15,2087910,'2',420,'N'),(15,2087928,'1',208,'N'),(15,2087928,'1A',202,'N'),(15,2087928,'2',238,'N'),(15,2087936,'1',103,'N'),(15,2087936,'2',319,'N'),(15,2087944,'1',501,'N'),(15,2087944,'2',502,'N'),(15,2087960,'1',425,'N'),(15,2087960,'2',424,'N'),(15,2087979,'1',5,'N'),(15,2087979,'2',324,'N'),(15,2087995,'1',207,'N'),(15,2087995,'1A',201,'N'),(15,2087995,'2',233,'N'),(15,2088002,'1',103,'N'),(15,2088002,'2',303,'N'),(15,2088010,'1',5,'N'),(15,2088010,'2',202,'N'),(15,2088037,'1',215,'N'),(15,2088037,'1A',207,'N'),(15,2088037,'2',102,'N'),(15,2088045,'1',104,'N'),(15,2088045,'2',339,'N'),(15,2088053,'1',238,'N'),(15,2088053,'1A',202,'N'),(15,2088053,'2',208,'N'),(15,2088061,'1',310,'N'),(15,2088061,'2',320,'N'),(15,2088070,'1',420,'N'),(15,2088070,'2',238,'N'),(15,2088096,'1',103,'N'),(15,2088096,'2',207,'N'),(15,2088100,'1',202,'N'),(15,2088100,'1A',213,'N'),(15,2088100,'2',214,'N'),(15,2088118,'1',104,'N'),(15,2088118,'2',102,'N'),(15,2088134,'1',9,'N'),(15,2088134,'2',421,'N'),(15,2088142,'1',303,'N'),(15,2088142,'2',415,'N'),(15,2088150,'1',104,'N'),(15,2088150,'2',102,'N'),(15,2088169,'1',216,'N'),(15,2088169,'1A',211,'N'),(15,2088169,'2',234,'N'),(15,2088177,'1',302,'N'),(15,2088177,'2',317,'N'),(15,2088185,'1',320,'N'),(15,2088185,'2',104,'N'),(15,2088193,'1',103,'N'),(15,2088207,'1',415,'N'),(15,2088207,'2',301,'N'),(15,2088215,'1',212,'N'),(15,2088215,'1A',207,'N'),(15,2088215,'2',201,'N'),(15,2088223,'1',404,'N'),(15,2088223,'2',451,'N'),(15,2088231,'1',451,'N'),(15,2088231,'2',450,'N'),(15,2088258,'1',108,'N'),(15,2088258,'2',333,'N'),(15,2088274,'1',103,'N'),(15,2088282,'1',317,'N'),(15,2088282,'2',424,'N'),(15,2088290,'1',5,'N'),(15,2088290,'2',222,'N'),(15,2088312,'1',303,'N'),(15,2088312,'2',420,'N'),(15,2088320,'1',238,'N'),(15,2088320,'1A',216,'N'),(15,2088320,'2',5,'N'),(15,2088339,'1',428,'N'),(15,2088339,'1A',426,'N'),(15,2088339,'2',308,'N'),(15,2088347,'1',404,'N'),(15,2088347,'2',333,'N'),(15,2088355,'1',304,'N'),(15,2088355,'2',333,'N'),(15,2088363,'1',108,'N'),(15,2088363,'2',415,'N'),(15,2088371,'1',425,'N'),(15,2088371,'1A',429,'N'),(15,2088371,'2',444,'N'),(15,2088380,'1',308,'N'),(15,2088380,'2',339,'N'),(15,2088398,'1',202,'N'),(15,2088398,'1A',220,'N'),(15,2088410,'1',238,'N'),(15,2088410,'1A',208,'N'),(15,2088410,'2',222,'N'),(15,2088428,'1',101,'N'),(15,2088428,'2',2,'N'),(15,2088436,'1',502,'N'),(15,2088436,'2',501,'N'),(15,2088444,'1',108,'N'),(15,2088444,'2',308,'N'),(15,2088452,'1',302,'N'),(15,2088452,'2',2,'N'),(15,2088460,'1',309,'N'),(15,2088479,'1',303,'N'),(15,2088479,'2',208,'N'),(15,2088509,'1',202,'N'),(15,2088509,'2',303,'N'),(15,2088525,'1',304,'N'),(15,2088525,'2',318,'N'),(15,2088533,'1',211,'N'),(15,2088533,'1A',220,'N'),(15,2088533,'2',214,'N'),(15,2088541,'1',208,'N'),(15,2088541,'1A',238,'N'),(15,2088541,'2',202,'N'),(15,2088550,'1',450,'N'),(15,2088550,'2',310,'N'),(15,2088568,'1',211,'N'),(15,2088576,'1',108,'N'),(15,2088576,'2',102,'N'),(15,2088584,'1',103,'N'),(15,2088584,'2',108,'N'),(15,2088592,'1',203,'N'),(15,2088592,'1A',213,'N'),(15,2088592,'2',201,'N'),(15,2088606,'1',103,'N'),(15,2088606,'2',104,'N'),(15,2088614,'1',216,'N'),(15,2088614,'1A',215,'N'),(15,2088614,'2',217,'N'),(15,2088649,'1',5,'N'),(15,2088649,'2',326,'N'),(15,2088657,'1',104,'N'),(15,2088657,'2',303,'N'),(15,2088665,'1',317,'N'),(15,2088665,'2',215,'N'),(15,2088681,'1',102,'N'),(15,2088681,'2',421,'N'),(15,2088703,'1',302,'N'),(15,2088703,'2',328,'N'),(15,2088711,'1',220,'N'),(15,2088711,'1A',203,'N'),(15,2088711,'2',208,'N'),(15,2088720,'1',102,'N'),(15,2088720,'2',108,'N'),(15,2088746,'1',319,'N'),(15,2088754,'1',103,'N'),(15,2088762,'1',103,'N'),(15,2088770,'1',102,'N'),(15,2088770,'2',9,'N'),(15,2088789,'1',303,'N'),(15,2088789,'2',5,'N'),(15,2088797,'1',103,'N'),(15,2088797,'2',319,'N'),(15,2088800,'1',103,'N'),(15,2088800,'2',333,'N'),(15,2088819,'1',320,'N'),(15,2088819,'2',423,'N'),(15,2088827,'1',211,'N'),(15,2088827,'1A',220,'N'),(15,2088835,'1',216,'N'),(15,2088835,'2',217,'N'),(15,2088843,'1',450,'N'),(15,2088843,'2',415,'N'),(15,2088851,'1',108,'N'),(15,2088851,'2',428,'N'),(15,2088860,'1',415,'N'),(15,2088860,'2',332,'N'),(15,2088886,'1',103,'N'),(15,2088908,'1',202,'N'),(15,2088916,'1',103,'N'),(15,2088916,'2',108,'N'),(15,2088924,'1',104,'N'),(15,2088924,'2',102,'N'),(15,2088932,'1',202,'N'),(15,2088932,'1A',208,'N'),(15,2088932,'2',238,'N'),(15,2088940,'1',203,'N'),(15,2088940,'1A',201,'N'),(15,2088940,'2',214,'N'),(15,2088959,'1',103,'N'),(15,2088959,'2',104,'N'),(15,2088967,'1',103,'N'),(15,2088967,'2',102,'N'),(15,2088975,'1',214,'N'),(15,2088975,'1A',207,'N'),(15,2088975,'2',444,'N'),(15,2088991,'1',103,'N'),(15,2088991,'2',101,'N'),(15,2089009,'1',5,'N'),(15,2089009,'2',316,'N'),(15,2089017,'1',309,'N'),(15,2089017,'2',316,'N'),(15,2089025,'1',5,'N'),(15,2089025,'2',310,'N'),(15,2089033,'1',333,'N'),(15,2089041,'1',238,'N'),(15,2089041,'1A',212,'N'),(15,2089041,'2',208,'N'),(15,2089050,'1',331,'N'),(15,2089050,'2',332,'N'),(15,2089068,'1',103,'N'),(15,2089068,'2',108,'N'),(15,2089076,'1',102,'N'),(15,2089076,'2',404,'N'),(15,2089084,'1',301,'N'),(15,2089084,'2',316,'N'),(15,2089092,'1',309,'N'),(15,2089092,'2',316,'N'),(15,2089106,'1',5,'N'),(15,2089106,'2',415,'N'),(15,2089114,'1',101,'N'),(15,2089114,'2',324,'N'),(15,2089149,'1',207,'N'),(15,2089149,'1A',208,'N'),(15,2089149,'2',2,'N'),(15,2089157,'1',303,'N'),(15,2089157,'2',317,'N'),(15,2089165,'1',316,'N'),(15,2089165,'2',426,'N'),(15,2089181,'1',216,'N'),(15,2089181,'2',217,'N'),(15,2089190,'1',108,'N'),(15,2089203,'1',223,'N'),(15,2089203,'2',222,'N'),(15,2089211,'1',103,'N'),(15,2089211,'2',101,'N'),(15,2089220,'1',103,'N'),(15,2089220,'2',108,'N'),(15,2089238,'1',208,'N'),(15,2089238,'2',420,'N'),(15,2089254,'1',101,'N'),(15,2089254,'2',308,'N'),(15,2089270,'1',319,'N'),(15,2089270,'2',316,'N'),(15,2089289,'1',420,'N'),(15,2089289,'2',319,'N'),(15,2089297,'1',103,'N'),(15,2089297,'2',217,'N'),(15,2089319,'1',238,'N'),(15,2089319,'2',208,'N'),(15,2089327,'1',213,'N'),(15,2089327,'1A',214,'N'),(15,2089327,'2',202,'N'),(15,2089335,'1',214,'N'),(15,2089335,'1A',212,'N'),(15,2089335,'2',304,'N'),(15,2089343,'1',103,'N'),(15,2089343,'2',102,'N'),(15,2089360,'1',316,'N'),(15,2089360,'2',5,'N'),(15,2089378,'1',104,'N'),(15,2089378,'2',211,'N'),(15,2089386,'1',220,'N'),(15,2089386,'1A',233,'N'),(15,2089386,'2',203,'N'),(15,2089394,'1',103,'N'),(15,2089394,'2',304,'N'),(15,2089408,'1',404,'N'),(15,2089408,'2',444,'N'),(15,2089416,'1',450,'N'),(15,2089416,'2',326,'N'),(15,2089424,'1',238,'N'),(15,2089424,'2',317,'N'),(15,2089432,'1',332,'N'),(15,2089432,'2',423,'N'),(15,2089459,'1',103,'N'),(15,2089459,'2',108,'N'),(15,2089475,'1',225,'N'),(15,2089475,'2',2,'N'),(15,2089483,'1',304,'N'),(15,2089483,'2',423,'N'),(15,2089491,'1',238,'N'),(15,2089491,'1A',208,'N'),(15,2089491,'2',328,'N'),(15,2089505,'1',9,'N'),(15,2089505,'2',108,'N'),(15,2089513,'1',501,'N'),(15,2089513,'2',108,'N'),(15,2089530,'1',326,'N'),(15,2089530,'2',104,'N'),(15,2089548,'1',215,'N'),(15,2089548,'1A',233,'N'),(15,2089548,'2',102,'N'),(15,2089556,'1',2,'N'),(15,2089556,'2',225,'N'),(15,2089572,'1',203,'N'),(15,2089572,'1A',220,'N'),(15,2089572,'2',103,'N'),(15,2089580,'1',5,'N'),(15,2089580,'2',429,'N'),(15,2089599,'1',316,'N'),(15,2089599,'2',301,'N'),(15,2089602,'1',208,'N'),(15,2089602,'1A',220,'N'),(15,2089602,'2',214,'N'),(15,2089637,'1',415,'N'),(15,2089637,'2',428,'N'),(15,2089645,'1',217,'N'),(15,2089645,'2',332,'N'),(15,2089653,'1',207,'N'),(15,2089688,'1',301,'N'),(15,2089688,'2',316,'N'),(15,2089696,'1',9,'N'),(15,2089696,'2',215,'N'),(15,2089700,'1',502,'N'),(15,2089700,'2',425,'N'),(15,2089718,'1',104,'N'),(15,2089718,'2',103,'N'),(15,2089726,'1',217,'N'),(15,2089726,'2',320,'N'),(15,2089734,'1',103,'N'),(15,2089742,'1',101,'N'),(15,2089742,'2',102,'N'),(15,2089750,'1',301,'N'),(15,2089750,'2',420,'N'),(15,2089769,'1',233,'N'),(15,2089769,'1A',211,'N'),(15,2089769,'2',216,'N'),(15,2089777,'1',316,'N'),(15,2089777,'2',319,'N'),(15,2089815,'1',207,'N'),(15,2089815,'1A',201,'N'),(15,2089815,'2',102,'N'),(15,2089823,'1',203,'N'),(15,2089823,'1A',201,'N'),(15,2089823,'2',233,'N'),(15,2089831,'1',103,'N'),(15,2089831,'2',303,'N'),(15,2089840,'1',101,'N'),(15,2089840,'2',327,'N'),(15,2089858,'1',319,'N'),(15,2089858,'2',339,'N'),(15,2089866,'1',201,'N'),(15,2089866,'1A',207,'N'),(15,2089866,'2',212,'N'),(15,2089874,'1',238,'N'),(15,2089874,'1A',208,'N'),(15,2089874,'2',318,'N'),(15,2089882,'1',426,'N'),(15,2089882,'1A',428,'N'),(15,2089882,'2',415,'N'),(15,2089890,'1',238,'N'),(15,2089890,'1A',208,'N'),(15,2089890,'2',222,'N'),(15,2089904,'1',203,'N'),(15,2089904,'1A',220,'N'),(15,2089904,'2',233,'N'),(15,2089912,'1',103,'N'),(15,2089912,'2',415,'N'),(15,2089920,'1',208,'N'),(15,2089920,'1A',201,'N'),(15,2089920,'2',102,'N'),(15,2089939,'1',103,'N'),(15,2089939,'2',303,'N'),(15,2089947,'1',2,'N'),(15,2089947,'2',303,'N'),(15,2089955,'1',304,'N'),(15,2089955,'2',318,'N'),(15,2089963,'1',223,'N'),(15,2089963,'2',9,'N'),(15,2090007,'1',207,'N'),(15,2090007,'1A',238,'N'),(15,2090007,'2',424,'N'),(15,2090015,'1',329,'N'),(15,2090015,'2',238,'N'),(15,2090023,'1',339,'N'),(15,2090023,'2',502,'N'),(15,2090031,'1',102,'N'),(15,2090031,'2',333,'N'),(15,2090040,'1',104,'N'),(15,2090040,'2',327,'N'),(15,2090066,'1',5,'N'),(15,2090066,'2',332,'N'),(15,2090082,'1',217,'N'),(15,2090090,'1',208,'N'),(15,2090090,'1A',212,'N'),(15,2090090,'2',238,'N'),(15,2090112,'1',5,'N'),(15,2090112,'2',425,'N'),(15,2090139,'1',220,'N'),(15,2090139,'1A',201,'N'),(15,2090147,'1',104,'N'),(15,2090147,'2',319,'N'),(15,2090155,'1',319,'N'),(15,2090155,'2',324,'N'),(15,2090163,'1',201,'N'),(15,2090163,'1A',202,'N'),(15,2090163,'2',223,'N'),(15,2090171,'1',101,'N'),(15,2090180,'1',301,'N'),(15,2090180,'2',319,'N'),(15,2090198,'1',326,'N'),(15,2090198,'2',5,'N'),(15,2090236,'1',5,'N'),(15,2090236,'2',303,'N'),(15,2090244,'1',318,'N'),(15,2090244,'2',317,'N'),(15,2090260,'1',104,'N'),(15,2090260,'2',207,'N'),(15,2090279,'1',317,'N'),(15,2090279,'2',316,'N'),(15,2090309,'1',238,'N'),(15,2090309,'1A',208,'N'),(15,2090309,'2',501,'N'),(15,2090317,'1',103,'N'),(15,2090317,'2',108,'N'),(15,2090333,'1',222,'N'),(15,2090333,'2',2,'N'),(15,2090350,'1',103,'N'),(15,2090368,'1',203,'N'),(15,2090368,'1A',220,'N'),(15,2090368,'2',238,'N'),(15,2090376,'1',333,'N'),(15,2090376,'2',217,'N'),(15,2090384,'1',101,'N'),(15,2090384,'2',319,'N'),(15,2090406,'1',333,'N'),(15,2090406,'2',238,'N'),(15,2090414,'1',302,'N'),(15,2090414,'2',301,'N'),(15,2090422,'1',103,'N'),(15,2090422,'2',333,'N'),(15,2090430,'1',404,'N'),(15,2090430,'2',319,'N'),(15,2090449,'1',301,'N'),(15,2090449,'2',316,'N'),(15,2090457,'1',103,'N'),(15,2090465,'1',211,'N'),(15,2090465,'1A',207,'N'),(15,2090465,'2',502,'N'),(15,2090490,'1',222,'N'),(15,2090490,'2',212,'N'),(15,2090503,'1',404,'N'),(15,2090511,'1',319,'N'),(15,2090511,'2',450,'N'),(15,2090520,'1',217,'N'),(15,2090520,'2',216,'N'),(15,2090538,'1',5,'N'),(15,2090538,'2',451,'N'),(15,2090554,'1',303,'N'),(15,2090554,'2',5,'N'),(15,2090562,'1',501,'N'),(15,2090562,'2',308,'N'),(15,2090589,'1',102,'N'),(15,2090589,'2',217,'N'),(15,2090597,'1',427,'N'),(15,2090597,'1A',424,'N'),(15,2090597,'2',425,'N'),(15,2090619,'1',427,'N'),(15,2090619,'1A',428,'N'),(15,2090627,'1',103,'N'),(15,2090627,'2',101,'N'),(15,2090635,'1',303,'N'),(15,2090635,'2',5,'N'),(15,2090643,'1',103,'N'),(15,2090643,'2',5,'N'),(15,2090651,'1',450,'N'),(15,2090651,'2',429,'N'),(15,2090660,'1',238,'N'),(15,2090660,'1A',207,'N'),(15,2090660,'2',101,'N'),(15,2090678,'1',320,'N'),(15,2090678,'2',333,'N'),(15,2090686,'1',415,'N'),(15,2090686,'2',326,'N'),(15,2090694,'1',326,'N'),(15,2090694,'2',319,'N'),(15,2090724,'1',216,'N'),(15,2090724,'1A',215,'N'),(15,2090724,'2',101,'N'),(15,2090732,'1',333,'N'),(15,2090732,'2',225,'N'),(15,2090740,'1',5,'N'),(15,2090740,'2',316,'N'),(15,2090759,'1',202,'N'),(15,2090759,'1A',201,'N'),(15,2090759,'2',301,'N'),(15,2090775,'1',302,'N'),(15,2090775,'2',303,'N'),(15,2090783,'1',101,'N'),(15,2090783,'2',501,'N'),(15,2090805,'1',203,'N'),(15,2090805,'1A',201,'N'),(15,2090805,'2',316,'N'),(15,2090813,'1',101,'N'),(15,2090813,'2',103,'N'),(15,2090864,'1',208,'N'),(15,2090864,'1A',238,'N'),(15,2090864,'2',104,'N'),(15,2090872,'1',103,'N'),(15,2090872,'2',101,'N'),(15,2090880,'1',415,'N'),(15,2090880,'2',451,'N'),(15,2090902,'1',421,'N'),(15,2090902,'1A',427,'N'),(15,2090902,'2',327,'N'),(15,2090910,'1',103,'N'),(15,2090910,'2',215,'N'),(15,2090929,'1',104,'N'),(15,2090929,'2',211,'N'),(15,2090937,'1',444,'N'),(15,2090937,'2',208,'N'),(15,2090945,'1',308,'N'),(15,2090945,'2',328,'N'),(15,2090953,'1',203,'N'),(15,2090953,'1A',214,'N'),(15,2090953,'2',233,'N'),(15,2090961,'1',339,'N'),(15,2090988,'1',214,'N'),(15,2090988,'1A',201,'N'),(15,2090988,'2',220,'N'),(15,2090996,'1',101,'N'),(15,2090996,'2',331,'N'),(15,2091003,'1',215,'N'),(15,2091003,'1A',211,'N'),(15,2091003,'2',327,'N'),(15,2091011,'1',103,'N'),(15,2091011,'2',203,'N'),(15,2091020,'1',233,'N'),(15,2091020,'1A',215,'N'),(15,2091020,'2',223,'N'),(15,2091038,'1',103,'N'),(15,2091038,'2',101,'N'),(15,2091054,'1',316,'N'),(15,2091054,'2',318,'N'),(15,2091062,'1',415,'N'),(15,2091062,'2',333,'N'),(15,2091097,'1',320,'N'),(15,2091097,'2',5,'N'),(15,2091100,'1',421,'N'),(15,2091100,'1A',423,'N'),(15,2091100,'2',318,'N'),(15,2091119,'1',5,'N'),(15,2091119,'2',303,'N'),(15,2091127,'1',103,'N'),(15,2091127,'2',303,'N'),(15,2091135,'1',5,'N'),(15,2091135,'2',319,'N'),(15,2091143,'1',103,'N'),(15,2091143,'2',104,'N'),(15,2091151,'1',5,'N'),(15,2091151,'2',303,'N'),(15,2091160,'1',415,'N'),(15,2091160,'2',404,'N'),(15,2091178,'1',317,'N'),(15,2091186,'1',201,'N'),(15,2091186,'1A',211,'N'),(15,2091186,'2',212,'N'),(15,2091194,'1',103,'N'),(15,2091194,'2',303,'N'),(15,2091208,'1',201,'N'),(15,2091208,'1A',212,'N'),(15,2091208,'2',222,'N'),(15,2091216,'1',5,'N'),(15,2091216,'2',324,'N'),(15,2091224,'1',5,'N'),(15,2091224,'2',223,'N'),(15,2091232,'1',102,'N'),(15,2091232,'2',444,'N'),(15,2091259,'1',202,'N'),(15,2091259,'1A',238,'N'),(15,2091259,'2',208,'N'),(15,2091267,'1',303,'N'),(15,2091267,'2',428,'N'),(15,2091275,'1',308,'N'),(15,2091275,'2',426,'N'),(15,2091283,'1',207,'N'),(15,2091283,'1A',213,'N'),(15,2091283,'2',424,'N'),(15,2091305,'1',319,'N'),(15,2091305,'2',324,'N'),(15,2091330,'1',203,'N'),(15,2091330,'1A',214,'N'),(15,2091330,'2',220,'N'),(15,2091356,'1',103,'N'),(15,2091356,'2',102,'N'),(15,2091372,'1',102,'N'),(15,2091372,'2',9,'N'),(15,2091380,'1',103,'N'),(15,2091380,'2',9,'N'),(15,2091399,'1',102,'N'),(15,2091399,'2',103,'N'),(15,2091410,'1',103,'N'),(15,2091410,'2',104,'N'),(15,2091437,'1',415,'N'),(15,2091437,'2',424,'N'),(15,2091453,'1',303,'N'),(15,2091453,'2',301,'N'),(15,2091470,'1',450,'N'),(15,2091470,'2',5,'N'),(15,2091488,'1',501,'N'),(15,2091488,'2',317,'N'),(15,2091500,'1',103,'N'),(15,2091500,'2',502,'N'),(15,2091518,'1',201,'N'),(15,2091518,'1A',208,'N'),(15,2091518,'2',316,'N'),(15,2091526,'1',211,'N'),(15,2091526,'1A',215,'N'),(15,2091526,'2',501,'N'),(15,2091534,'1',203,'N'),(15,2091534,'1A',220,'N'),(15,2091534,'2',214,'N'),(15,2091542,'1',301,'N'),(15,2091542,'2',333,'N'),(15,2091550,'1',502,'N'),(15,2091550,'2',501,'N'),(15,2091577,'1',501,'N'),(15,2091577,'2',215,'N'),(15,2091585,'1',203,'N'),(15,2091585,'1A',202,'N'),(15,2091585,'2',303,'N'),(15,2091593,'1',102,'N'),(15,2091593,'2',427,'N'),(15,2091607,'1',415,'N'),(15,2091607,'2',428,'N'),(15,2091615,'1',333,'N'),(15,2091615,'2',108,'N'),(15,2091623,'1',238,'N'),(15,2091623,'1A',208,'N'),(15,2091623,'2',425,'N'),(15,2091631,'1',316,'N'),(15,2091631,'2',502,'N'),(15,2091640,'1',316,'N'),(15,2091640,'2',327,'N'),(15,2091658,'1',404,'N'),(15,2091658,'2',444,'N'),(15,2091674,'1',9,'N'),(15,2091674,'2',415,'N'),(15,2091690,'1',339,'N'),(15,2091690,'2',327,'N'),(15,2091712,'1',103,'N'),(15,2091712,'2',104,'N'),(15,2091720,'1',225,'N'),(15,2091720,'2',424,'N'),(15,2091739,'1',203,'N'),(15,2091739,'1A',201,'N'),(15,2091739,'2',233,'N'),(15,2091747,'1',502,'N'),(15,2091747,'2',501,'N'),(15,2091755,'1',220,'N'),(15,2091755,'1A',214,'N'),(15,2091755,'2',213,'N'),(15,2091763,'1',103,'N'),(15,2091763,'2',101,'N'),(15,2091771,'1',415,'N'),(15,2091771,'2',326,'N'),(15,2091780,'1',103,'N'),(15,2091780,'2',104,'N'),(15,2091798,'1',501,'N'),(15,2091798,'2',211,'N'),(15,2091810,'1',501,'N'),(15,2091810,'2',211,'N'),(15,2091828,'1',225,'N'),(15,2091828,'2',224,'N'),(15,2091836,'1',211,'N'),(15,2091836,'1A',216,'N'),(15,2091836,'2',108,'N'),(15,2091844,'1',316,'N'),(15,2091844,'2',501,'N'),(15,2091852,'1',103,'N'),(15,2091852,'2',104,'N'),(15,2091860,'1',203,'N'),(15,2091860,'1A',233,'N'),(15,2091860,'2',214,'N'),(15,2091879,'1',103,'N'),(15,2091879,'2',104,'N'),(15,2091895,'1',415,'N'),(15,2091895,'2',319,'N'),(15,2091925,'1',108,'N'),(15,2091933,'1',103,'N'),(15,2091933,'2',450,'N'),(15,2091941,'1',104,'N'),(15,2091941,'2',102,'N'),(15,2091968,'1',333,'N'),(15,2091968,'2',222,'N'),(15,2091976,'1',301,'N'),(15,2091976,'2',316,'N'),(15,2091984,'1',222,'N'),(15,2091984,'2',223,'N'),(15,2091992,'1',333,'N'),(15,2091992,'2',108,'N'),(15,2092000,'1',103,'N'),(15,2092000,'2',104,'N'),(15,2092018,'1',502,'N'),(15,2092018,'2',404,'N'),(15,2092026,'1',201,'N'),(15,2092026,'1A',212,'N'),(15,2092026,'2',223,'N'),(15,2092034,'1',302,'N'),(15,2092034,'2',428,'N'),(15,2092050,'1',211,'N'),(15,2092050,'1A',215,'N'),(15,2092050,'2',102,'N'),(15,2092069,'1',101,'N'),(15,2092069,'2',308,'N'),(15,2092077,'1',5,'N'),(15,2092077,'2',318,'N'),(15,2092085,'1',215,'N'),(15,2092085,'1A',208,'N'),(15,2092115,'1',103,'N'),(15,2092115,'2',201,'N'),(15,2092123,'1',103,'N'),(15,2092131,'1',450,'N'),(15,2092131,'2',415,'N'),(15,2092140,'1',102,'N'),(15,2092140,'2',217,'N'),(15,2092166,'1',203,'N'),(15,2092166,'2',202,'N'),(15,2092174,'1',421,'N'),(15,2092174,'1A',427,'N'),(15,2092174,'2',429,'N'),(15,2092182,'1',425,'N'),(15,2092182,'1A',429,'N'),(15,2092182,'2',5,'N'),(15,2092190,'1',202,'N'),(15,2092190,'2',212,'N'),(15,2092204,'1',101,'N'),(15,2092204,'2',102,'N'),(15,2092212,'1',5,'N'),(15,2092212,'2',303,'N'),(15,2092220,'1',101,'N'),(15,2092220,'2',215,'N'),(15,2092239,'1',326,'N'),(15,2092239,'2',404,'N'),(15,2092247,'1',103,'N'),(15,2092247,'2',207,'N'),(15,2092255,'1',203,'N'),(15,2092255,'1A',214,'N'),(15,2092255,'2',329,'N'),(15,2092271,'1',103,'N'),(15,2092271,'2',108,'N'),(15,2092280,'1',103,'N'),(15,2092280,'2',108,'N'),(15,2092298,'1',450,'N'),(15,2092298,'2',415,'N'),(15,2092301,'1',308,'N'),(15,2092301,'2',428,'N'),(15,2092310,'1',316,'N'),(15,2092310,'2',207,'N'),(15,2092328,'1',103,'N'),(15,2092328,'2',102,'N'),(15,2092336,'1',202,'N'),(15,2092336,'1A',216,'N'),(15,2092336,'2',224,'N'),(15,2092344,'1',303,'N'),(15,2092344,'2',5,'N'),(15,2092352,'1',444,'N'),(15,2092352,'2',415,'N'),(15,2092360,'1',316,'N'),(15,2092360,'2',332,'N'),(15,2092379,'1',207,'N'),(15,2092379,'1A',201,'N'),(15,2092379,'2',317,'N'),(15,2092387,'1',211,'N'),(15,2092387,'1A',208,'N'),(15,2092387,'2',502,'N'),(15,2092395,'1',303,'N'),(15,2092395,'2',104,'N'),(15,2092409,'1',201,'N'),(15,2092409,'1A',212,'N'),(15,2092409,'2',104,'N'),(15,2092417,'1',203,'N'),(15,2092417,'1A',220,'N'),(15,2092417,'2',213,'N'),(15,2092425,'1',317,'N'),(15,2092425,'2',302,'N'),(15,2092441,'1',5,'N'),(15,2092441,'2',317,'N'),(15,2092450,'1',316,'N'),(15,2092450,'2',333,'N'),(15,2092468,'1',501,'N'),(15,2092468,'2',502,'N'),(15,2092476,'1',201,'N'),(15,2092476,'1A',208,'N'),(15,2092476,'2',207,'N'),(15,2092484,'1',303,'N'),(15,2092484,'2',211,'N'),(15,2092492,'1',9,'N'),(15,2092492,'2',104,'N'),(15,2092506,'1',104,'N'),(15,2092514,'1',201,'N'),(15,2092514,'1A',212,'N'),(15,2092514,'2',444,'N'),(15,2092549,'1',103,'N'),(15,2092549,'2',101,'N'),(15,2092557,'1',211,'N'),(15,2092557,'2',420,'N'),(15,2092565,'1',208,'N'),(15,2092565,'1A',220,'N'),(15,2092565,'2',238,'N'),(15,2092581,'1',404,'N'),(15,2092581,'2',451,'N'),(15,2092590,'1',103,'N'),(15,2092590,'2',333,'N'),(15,2092603,'1',225,'N'),(15,2092603,'2',213,'N'),(15,2092611,'1',201,'N'),(15,2092611,'1A',212,'N'),(15,2092611,'2',211,'N'),(15,2092638,'1',103,'N'),(15,2092638,'2',216,'N'),(15,2092654,'1',220,'N'),(15,2092654,'1A',203,'N'),(15,2092654,'2',202,'N'),(15,2092662,'1',326,'N'),(15,2092662,'2',327,'N'),(15,2092670,'1',104,'N'),(15,2092670,'2',103,'N'),(15,2092689,'1',333,'N'),(15,2092689,'2',234,'N'),(15,2092697,'1',104,'N'),(15,2092697,'2',317,'N'),(15,2092719,'1',102,'N'),(15,2092719,'2',104,'N'),(15,2092727,'1',211,'N'),(15,2092727,'1A',207,'N'),(15,2092727,'2',216,'N'),(15,2092735,'1',101,'N'),(15,2092735,'2',451,'N'),(15,2092743,'1',220,'N'),(15,2092743,'1A',202,'N'),(15,2092743,'2',203,'N'),(15,2092751,'1',102,'N'),(15,2092751,'2',404,'N'),(15,2092760,'1',103,'N'),(15,2092760,'2',319,'N'),(15,2092778,'1',103,'N'),(15,2092778,'2',108,'N'),(15,2092786,'1',216,'N'),(15,2092794,'1',101,'N'),(15,2092794,'2',308,'N'),(15,2092808,'1',201,'N'),(15,2092808,'1A',203,'N'),(15,2092808,'2',214,'N'),(15,2092816,'1',501,'N'),(15,2092816,'2',502,'N'),(15,2092824,'1',333,'N'),(15,2092824,'2',331,'N'),(15,2092832,'1',303,'N'),(15,2092840,'1',108,'N'),(15,2092840,'2',211,'N'),(15,2092859,'1',339,'N'),(15,2092859,'2',308,'N'),(15,2092867,'1',425,'N'),(15,2092867,'1A',428,'N'),(15,2092867,'2',310,'N'),(15,2092875,'1',303,'N'),(15,2092875,'2',5,'N'),(15,2092883,'1',216,'N'),(15,2092883,'1A',215,'N'),(15,2092883,'2',326,'N'),(15,2092905,'1',201,'N'),(15,2092905,'1A',220,'N'),(15,2092905,'2',450,'N'),(15,2092913,'1',201,'N'),(15,2092913,'2',316,'N'),(15,2092921,'1',339,'N'),(15,2092921,'2',308,'N'),(15,2092948,'1',103,'N'),(15,2092948,'2',207,'N'),(15,2092964,'1',317,'N'),(15,2092964,'2',318,'N'),(15,2092972,'1',318,'N'),(15,2092972,'2',333,'N'),(15,2092980,'1',502,'N'),(15,2092999,'1',316,'N'),(15,2092999,'2',224,'N'),(15,2093006,'1',103,'N'),(15,2093014,'1',103,'N'),(15,2093014,'2',104,'N'),(15,2093022,'1',427,'N'),(15,2093022,'1A',428,'N'),(15,2093022,'2',326,'N'),(15,2093030,'1',5,'N'),(15,2093030,'2',426,'N'),(15,2093049,'1',9,'N'),(15,2093049,'2',302,'N'),(15,2093065,'1',203,'N'),(15,2093065,'1A',220,'N'),(15,2093065,'2',108,'N'),(15,2093090,'1',103,'N'),(15,2093090,'2',104,'N'),(15,2093103,'1',333,'N'),(15,2093103,'2',501,'N'),(15,2093111,'1',332,'N'),(15,2093111,'2',451,'N'),(15,2093120,'1',201,'N'),(15,2093120,'1A',208,'N'),(15,2093120,'2',302,'N'),(15,2093138,'1',214,'N'),(15,2093138,'1A',220,'N'),(15,2093138,'2',203,'N'),(15,2093146,'1',103,'N'),(15,2093146,'2',224,'N'),(15,2093154,'1',420,'N'),(15,2093154,'2',207,'N'),(15,2093162,'1',207,'N'),(15,2093162,'1A',201,'N'),(15,2093162,'2',420,'N'),(15,2093200,'1',233,'N'),(15,2093200,'1A',216,'N'),(15,2093200,'2',301,'N'),(15,2093243,'1',2,'N'),(15,2093251,'1',420,'N'),(15,2093251,'2',303,'N'),(15,2093260,'1',302,'N'),(15,2093260,'2',308,'N'),(15,2093278,'1',207,'N'),(15,2093278,'1A',238,'N'),(15,2093278,'2',420,'N'),(15,2093286,'1',212,'N'),(15,2093286,'1A',201,'N'),(15,2093286,'2',207,'N'),(15,2093294,'1',103,'N'),(15,2093308,'1',327,'N'),(15,2093308,'2',238,'N'),(15,2093324,'1',327,'N'),(15,2093332,'1',203,'N'),(15,2093332,'1A',220,'N'),(15,2093332,'2',214,'N'),(15,2093340,'1',207,'N'),(15,2093340,'1A',214,'N'),(15,2093340,'2',233,'N'),(15,2093359,'1',426,'N'),(15,2093359,'1A',428,'N'),(15,2093359,'2',327,'N'),(15,2093367,'1',303,'N'),(15,2093367,'2',326,'N'),(15,2093375,'1',304,'N'),(15,2093375,'2',318,'N'),(15,2093391,'1',319,'N'),(15,2093391,'2',328,'N'),(15,2093405,'1',5,'N'),(15,2093405,'2',329,'N'),(15,2093413,'1',203,'N'),(15,2093413,'1A',214,'N'),(15,2093413,'2',220,'N'),(15,2093421,'1',316,'N'),(15,2093421,'2',444,'N'),(15,2093430,'1',104,'N'),(15,2093430,'2',5,'N'),(15,2093448,'1',207,'N'),(15,2093448,'1A',201,'N'),(15,2093448,'2',333,'N'),(15,2093456,'1',216,'N'),(15,2093456,'2',233,'N'),(15,2093472,'1',102,'N'),(15,2093472,'2',303,'N'),(15,2093480,'1',415,'N'),(15,2093480,'2',428,'N'),(15,2093499,'1',320,'N'),(15,2093499,'2',329,'N'),(15,2093502,'1',303,'N'),(15,2093502,'2',310,'N'),(15,2093510,'1',103,'N'),(15,2093510,'2',104,'N'),(15,2093529,'1',319,'N'),(15,2093537,'1',501,'N'),(15,2093537,'2',104,'N'),(15,2093545,'1',304,'N'),(15,2093545,'2',302,'N'),(15,2093553,'1',102,'N'),(15,2093553,'2',333,'N'),(15,2093561,'1',304,'N'),(15,2093561,'2',303,'N'),(15,2093570,'1',103,'N'),(15,2093570,'2',102,'N'),(15,2093588,'1',207,'N'),(15,2093588,'2',301,'N'),(15,2093596,'1',103,'N'),(15,2093596,'2',102,'N'),(15,2093600,'1',502,'N'),(15,2093600,'2',501,'N'),(15,2093618,'1',318,'N'),(15,2093626,'1',420,'N'),(15,2093626,'2',444,'N'),(15,2093634,'1',301,'N'),(15,2093634,'2',423,'N'),(15,2093642,'1',103,'N'),(15,2093642,'2',104,'N'),(15,2093650,'1',211,'N'),(15,2093650,'1A',238,'N'),(15,2093650,'2',316,'N'),(15,2093669,'1',404,'N'),(15,2093669,'2',309,'N'),(15,2093677,'1',215,'N'),(15,2093677,'1A',211,'N'),(15,2093677,'2',102,'N'),(15,2093685,'1',207,'N'),(15,2093685,'1A',203,'N'),(15,2093685,'2',214,'N'),(15,2093693,'1',103,'N'),(15,2093693,'2',102,'N'),(15,2093707,'1',103,'N'),(15,2093707,'2',9,'N'),(15,2093715,'1',103,'N'),(15,2093715,'2',102,'N'),(15,2093723,'1',327,'N'),(15,2093723,'2',426,'N'),(15,2093731,'1',211,'N'),(15,2093731,'1A',207,'N'),(15,2093731,'2',333,'N'),(15,2093740,'1',316,'N'),(15,2093740,'2',238,'N'),(15,2093758,'1',301,'N'),(15,2093758,'2',316,'N'),(15,2093766,'1',101,'N'),(15,2093766,'2',332,'N'),(15,2093782,'1',450,'N'),(15,2093782,'2',415,'N'),(15,2093790,'1',420,'N'),(15,2093790,'2',302,'N'),(15,2093804,'1',9,'N'),(15,2093804,'2',102,'N'),(15,2093812,'1',103,'N'),(15,2093812,'2',102,'N'),(15,2093820,'1',201,'N'),(15,2093820,'1A',215,'N'),(15,2093820,'2',207,'N'),(15,2093839,'1',104,'N'),(15,2093839,'2',415,'N'),(15,2093855,'1',332,'N'),(15,2093855,'2',426,'N'),(15,2093863,'1',301,'N'),(15,2093863,'2',318,'N'),(15,2093898,'1',319,'N'),(15,2093898,'2',101,'N'),(15,2093910,'1',108,'N'),(15,2093910,'2',319,'N'),(15,2093928,'1',202,'N'),(15,2093928,'1A',213,'N'),(15,2093928,'2',2,'N'),(15,2093952,'1',207,'N'),(15,2093952,'1A',211,'N'),(15,2093952,'2',420,'N'),(15,2093960,'1',207,'N'),(15,2093960,'1A',211,'N'),(15,2093960,'2',420,'N'),(15,2093979,'1',208,'N'),(15,2093979,'1A',220,'N'),(15,2093979,'2',301,'N'),(15,2093995,'1',103,'N'),(15,2094029,'1',103,'N'),(15,2094029,'2',104,'N'),(15,2094037,'1',428,'N'),(15,2094037,'1A',425,'N'),(15,2094037,'2',310,'N'),(15,2094061,'1',423,'N'),(15,2094061,'1A',424,'N'),(15,2094061,'2',426,'N'),(15,2094070,'1',318,'N'),(15,2094070,'2',327,'N'),(15,2094096,'1',103,'N'),(15,2094096,'2',424,'N'),(15,2094126,'1',429,'N'),(15,2094126,'1A',423,'N'),(15,2094126,'2',324,'N'),(15,2094134,'1',103,'N'),(15,2094134,'2',102,'N'),(15,2094142,'1',214,'N'),(15,2094142,'1A',212,'N'),(15,2094150,'1',324,'N'),(15,2094150,'2',424,'N'),(15,2094169,'1',104,'N'),(15,2094169,'2',5,'N'),(15,2094177,'1',103,'N'),(15,2094177,'2',319,'N'),(15,2094185,'1',450,'N'),(15,2094185,'2',425,'N'),(15,2094193,'1',103,'N'),(15,2094215,'1',501,'N'),(15,2094223,'1',415,'N'),(15,2094231,'1',202,'N'),(15,2094231,'1A',213,'N'),(15,2094231,'2',201,'N'),(15,2094240,'1',316,'N'),(15,2094240,'2',423,'N'),(15,2094258,'1',208,'N'),(15,2094258,'2',332,'N'),(15,2094266,'1',103,'N'),(15,2094266,'2',102,'N'),(15,2094274,'1',420,'N'),(15,2094274,'2',451,'N'),(15,2094282,'1',420,'N'),(15,2094282,'2',329,'N'),(15,2094290,'1',108,'N'),(15,2094290,'2',420,'N'),(15,2094304,'1',101,'N'),(15,2094304,'2',404,'N'),(15,2094312,'1',303,'N'),(15,2094312,'2',333,'N'),(15,2094339,'1',317,'N'),(15,2094339,'2',318,'N'),(15,2094347,'1',444,'N'),(15,2094347,'2',217,'N'),(15,2094363,'1',108,'N'),(15,2094363,'2',217,'N'),(15,2094371,'1',319,'N'),(15,2094371,'2',310,'N'),(15,2094380,'1',207,'N'),(15,2094380,'1A',233,'N'),(15,2094380,'2',424,'N'),(15,2094398,'1',103,'N'),(15,2094398,'2',217,'N'),(15,2094401,'1',333,'N'),(15,2094401,'2',502,'N'),(15,2094410,'1',103,'N'),(15,2094410,'2',104,'N'),(15,2094428,'1',104,'N'),(15,2094428,'2',108,'N'),(15,2094452,'1',302,'N'),(15,2094452,'2',327,'N'),(15,2094460,'1',103,'N'),(15,2094460,'2',104,'N'),(15,2094479,'1',301,'N'),(15,2094479,'2',316,'N'),(15,2094487,'1',203,'N'),(15,2094487,'1A',201,'N'),(15,2094487,'2',214,'N'),(15,2094495,'1',450,'N'),(15,2094495,'2',420,'N'),(15,2094509,'1',217,'N'),(15,2094509,'2',222,'N'),(15,2094517,'1',103,'N'),(15,2094517,'2',108,'N'),(15,2094525,'1',104,'N'),(15,2094525,'2',102,'N'),(15,2094533,'1',207,'N'),(15,2094533,'2',327,'N'),(15,2094541,'1',415,'N'),(15,2094541,'2',319,'N'),(15,2094550,'1',333,'N'),(15,2094550,'2',207,'N'),(15,2094568,'1',225,'N'),(15,2094568,'2',2,'N'),(15,2094576,'1',216,'N'),(15,2094576,'1A',233,'N'),(15,2094576,'2',102,'N'),(15,2094584,'1',304,'N'),(15,2094584,'2',318,'N'),(15,2094592,'1',303,'N'),(15,2094592,'2',5,'N'),(15,2094622,'1',103,'N'),(15,2094622,'2',102,'N'),(15,2094649,'1',201,'N'),(15,2094649,'1A',211,'N'),(15,2094649,'2',444,'N'),(15,2094665,'1',207,'N'),(15,2094665,'1A',201,'N'),(15,2094665,'2',223,'N'),(15,2094673,'1',101,'N'),(15,2094673,'2',308,'N'),(15,2094681,'1',233,'N'),(15,2094681,'1A',212,'N'),(15,2094681,'2',214,'N'),(15,2094703,'1',415,'N'),(15,2094703,'2',426,'N'),(15,2094711,'1',103,'N'),(15,2094711,'2',303,'N'),(15,2094738,'1',301,'N'),(15,2094738,'2',316,'N'),(15,2094746,'1',104,'N'),(15,2094746,'2',102,'N'),(15,2094754,'1',208,'N'),(15,2094754,'2',238,'N'),(15,2094762,'1',101,'N'),(15,2094762,'2',324,'N'),(15,2094770,'1',317,'N'),(15,2094770,'2',404,'N'),(15,2094789,'1',103,'N'),(15,2094789,'2',102,'N'),(15,2094797,'1',103,'N'),(15,2094797,'2',102,'N'),(15,2094800,'1',103,'N'),(15,2094819,'1',211,'N'),(15,2094819,'1A',203,'N'),(15,2094819,'2',214,'N'),(15,2094835,'1',101,'N'),(15,2094835,'2',451,'N'),(15,2094843,'1',451,'N'),(15,2094843,'2',339,'N'),(15,2094851,'1',223,'N'),(15,2094851,'2',224,'N'),(15,2094860,'1',208,'N'),(15,2094860,'2',420,'N'),(15,2094878,'1',303,'N'),(15,2094878,'2',326,'N'),(15,2094886,'1',216,'N'),(15,2094886,'1A',215,'N'),(15,2094886,'2',233,'N'),(15,2094894,'1',220,'N'),(15,2094894,'1A',211,'N'),(15,2094894,'2',213,'N'),(15,2094908,'1',333,'N'),(15,2094908,'2',420,'N'),(15,2094932,'1',301,'N'),(15,2094932,'2',316,'N'),(15,2094940,'1',108,'N'),(15,2094940,'2',213,'N'),(15,2094959,'1',208,'N'),(15,2094959,'2',404,'N'),(15,2094967,'1',202,'N'),(15,2094967,'2',213,'N'),(15,2094975,'1',208,'N'),(15,2094983,'1',103,'N'),(15,2094983,'2',207,'N'),(15,2094991,'1',501,'N'),(15,2095009,'1',238,'N'),(15,2095009,'1A',220,'N'),(15,2095009,'2',5,'N'),(15,2095017,'1',103,'N'),(15,2095017,'2',101,'N'),(15,2095033,'1',224,'N'),(15,2095033,'2',223,'N'),(15,2095041,'1',201,'N'),(15,2095041,'1A',207,'N'),(15,2095041,'2',102,'N'),(15,2095050,'1',104,'N'),(15,2095050,'2',319,'N'),(15,2095076,'1',214,'N'),(15,2095076,'1A',212,'N'),(15,2095076,'2',220,'N'),(15,2095084,'1',301,'N'),(15,2095084,'2',316,'N'),(15,2095114,'1',415,'N'),(15,2095114,'2',420,'N'),(15,2095122,'1',207,'N'),(15,2095122,'1A',215,'N'),(15,2095122,'2',450,'N'),(15,2095130,'1',208,'N'),(15,2095130,'1A',238,'N'),(15,2095130,'2',108,'N'),(15,2095149,'1',103,'N'),(15,2095149,'2',104,'N'),(15,2095157,'1',319,'N'),(15,2095157,'2',329,'N'),(15,2095165,'1',220,'N'),(15,2095165,'1A',201,'N'),(15,2095165,'2',2,'N'),(15,2095173,'1',215,'N'),(15,2095173,'1A',216,'N'),(15,2095173,'2',303,'N'),(15,2095181,'1',202,'N'),(15,2095181,'2',203,'N'),(15,2095190,'1',415,'N'),(15,2095190,'2',217,'N'),(15,2095203,'1',103,'N'),(15,2095211,'1',217,'N'),(15,2095211,'2',216,'N'),(15,2095238,'1',238,'N'),(15,2095238,'1A',208,'N'),(15,2095238,'2',203,'N'),(15,2095246,'1',220,'N'),(15,2095246,'1A',202,'N'),(15,2095246,'2',2,'N'),(15,2095262,'1',216,'N'),(15,2095262,'1A',233,'N'),(15,2095262,'2',215,'N'),(15,2095270,'1',451,'N'),(15,2095270,'2',319,'N'),(15,2095289,'1',103,'N'),(15,2095289,'2',104,'N'),(15,2095297,'1',208,'N'),(15,2095297,'2',238,'N'),(15,2095300,'1',103,'N'),(15,2095300,'2',101,'N'),(15,2095319,'1',238,'N'),(15,2095319,'1A',215,'N'),(15,2095319,'2',222,'N'),(15,2095327,'1',203,'N'),(15,2095327,'1A',201,'N'),(15,2095335,'1',9,'N'),(15,2095335,'2',215,'N'),(15,2095343,'1',208,'N'),(15,2095343,'1A',220,'N'),(15,2095343,'2',233,'N'),(15,2095351,'1',103,'N'),(15,2095351,'2',333,'N'),(15,2095360,'1',201,'N'),(15,2095360,'1A',212,'N'),(15,2095360,'2',317,'N'),(15,2095378,'1',207,'N'),(15,2095378,'1A',201,'N'),(15,2095378,'2',333,'N'),(15,2095386,'1',303,'N'),(15,2095386,'2',216,'N'),(15,2095394,'1',233,'N'),(15,2095394,'1A',201,'N'),(15,2095394,'2',207,'N'),(15,2095408,'1',404,'N'),(15,2095408,'2',444,'N'),(15,2095416,'1',211,'N'),(15,2095416,'1A',238,'N'),(15,2095416,'2',327,'N'),(15,2095424,'1',316,'N'),(15,2095424,'2',324,'N'),(15,2095432,'1',415,'N'),(15,2095432,'2',420,'N'),(15,2095440,'1',202,'N'),(15,2095440,'1A',220,'N'),(15,2095440,'2',213,'N'),(15,2095483,'1',103,'N'),(15,2095491,'1',328,'N'),(15,2095491,'2',329,'N'),(15,2095505,'1',203,'N'),(15,2095505,'1A',214,'N'),(15,2095505,'2',233,'N'),(15,2095513,'1',238,'N'),(15,2095513,'1A',208,'N'),(15,2095513,'2',444,'N'),(15,2095530,'1',220,'N'),(15,2095530,'1A',203,'N'),(15,2095530,'2',233,'N'),(15,2095548,'1',103,'N'),(15,2095548,'2',102,'N'),(15,2095556,'1',429,'N'),(15,2095556,'1A',424,'N'),(15,2095556,'2',316,'N'),(15,2095564,'1',303,'N'),(15,2095564,'2',301,'N'),(15,2095572,'1',103,'N'),(15,2095572,'2',220,'N'),(15,2095580,'1',404,'N'),(15,2095580,'2',444,'N'),(15,2095599,'1',108,'N'),(15,2095599,'2',208,'N'),(15,2095602,'1',5,'N'),(15,2095602,'2',303,'N'),(15,2095610,'1',211,'N'),(15,2095610,'2',220,'N'),(15,2095629,'1',5,'N'),(15,2095629,'2',320,'N'),(15,2095637,'1',103,'N'),(15,2095637,'2',102,'N'),(15,2095645,'1',103,'N'),(15,2095645,'2',101,'N'),(15,2095653,'1',303,'N'),(15,2095653,'2',5,'N'),(15,2095661,'1',220,'N'),(15,2095661,'1A',233,'N'),(15,2095661,'2',208,'N'),(15,2095670,'1',103,'N'),(15,2095670,'2',303,'N'),(15,2095696,'1',5,'N'),(15,2095696,'2',303,'N'),(15,2095718,'1',333,'N'),(15,2095726,'1',333,'N'),(15,2095726,'2',332,'N'),(15,2095734,'1',211,'N'),(15,2095734,'1A',212,'N'),(15,2095734,'2',225,'N'),(15,2095742,'1',222,'N'),(15,2095742,'2',223,'N'),(15,2095750,'1',201,'N'),(15,2095750,'1A',208,'N'),(15,2095750,'2',301,'N'),(15,2095769,'1',9,'N'),(15,2095769,'2',301,'N'),(15,2095777,'1',9,'N'),(15,2095777,'2',102,'N'),(15,2095785,'1',108,'N'),(15,2095785,'2',333,'N'),(15,2095793,'1',203,'N'),(15,2095793,'1A',202,'N'),(15,2095793,'2',220,'N'),(15,2095807,'1',301,'N'),(15,2095807,'2',316,'N'),(15,2095823,'1',420,'N'),(15,2095823,'2',207,'N'),(15,2095831,'1',415,'N'),(15,2095831,'2',303,'N'),(15,2095858,'1',214,'N'),(15,2095858,'1A',213,'N'),(15,2095866,'1',103,'N'),(15,2095866,'2',108,'N'),(15,2095874,'1',303,'N'),(15,2095874,'2',415,'N'),(15,2095882,'1',303,'N'),(15,2095882,'2',326,'N'),(15,2095890,'1',220,'N'),(15,2095890,'1A',203,'N'),(15,2095890,'2',224,'N'),(15,2095904,'1',104,'N'),(15,2095904,'2',102,'N'),(15,2095912,'1',207,'N'),(15,2095912,'1A',201,'N'),(15,2095912,'2',420,'N'),(15,2095920,'1',303,'N'),(15,2095920,'2',326,'N'),(15,2095939,'1',103,'N'),(15,2095939,'2',104,'N'),(15,2095947,'1',303,'N'),(15,2095947,'2',5,'N'),(15,2095955,'1',103,'N'),(15,2095955,'2',104,'N'),(15,2095963,'1',203,'N'),(15,2095971,'1',103,'N'),(15,2095980,'1',302,'N'),(15,2095980,'2',301,'N'),(15,2095998,'1',102,'N'),(15,2095998,'2',108,'N'),(15,2096005,'1',103,'N'),(15,2096005,'2',104,'N'),(15,2096013,'1',103,'N'),(15,2096013,'2',327,'N'),(15,2096021,'1',104,'N'),(15,2096021,'2',201,'N'),(15,2096030,'1',103,'N'),(15,2096030,'2',104,'N'),(15,2096048,'1',103,'N'),(15,2096048,'2',217,'N'),(15,2096056,'1',203,'N'),(15,2096056,'1A',220,'N'),(15,2096056,'2',214,'N'),(15,2096064,'1',329,'N'),(15,2096064,'2',327,'N'),(15,2096072,'1',207,'N'),(15,2096072,'1A',202,'N'),(15,2096072,'2',304,'N'),(15,2096080,'1',103,'N'),(15,2096080,'2',9,'N'),(15,2096099,'1',207,'N'),(15,2096099,'2',450,'N'),(15,2096102,'1',308,'N'),(15,2096110,'1',103,'N'),(15,2096110,'2',104,'N'),(15,2096129,'1',103,'N'),(15,2096129,'2',5,'N'),(15,2096137,'1',9,'N'),(15,2096137,'2',223,'N'),(15,2096153,'1',103,'N'),(15,2096153,'2',501,'N'),(15,2096170,'1',318,'N'),(15,2096170,'2',222,'N'),(15,2096188,'1',103,'N'),(15,2096200,'1',104,'N'),(15,2096200,'2',9,'N'),(15,2096218,'1',207,'N'),(15,2096218,'2',415,'N'),(15,2096226,'1',303,'N'),(15,2096226,'2',5,'N'),(15,2096242,'1',103,'N'),(15,2096242,'2',101,'N'),(15,2096269,'1',303,'N'),(15,2096269,'2',5,'N'),(15,2096277,'1',238,'N'),(15,2096277,'1A',208,'N'),(15,2096277,'2',316,'N'),(15,2096293,'1',201,'N'),(15,2096293,'1A',207,'N'),(15,2096293,'2',420,'N'),(15,2096307,'1',211,'N'),(15,2096307,'1A',233,'N'),(15,2096307,'2',234,'N'),(15,2096315,'1',203,'N'),(15,2096315,'1A',201,'N'),(15,2096315,'2',223,'N'),(15,2096331,'1',108,'N'),(15,2096331,'2',102,'N'),(15,2096340,'1',103,'N'),(15,2096358,'1',103,'N'),(15,2096358,'2',333,'N'),(15,2096374,'1',103,'N'),(15,2096374,'2',5,'N'),(15,2096382,'1',238,'N'),(15,2096382,'1A',208,'N'),(15,2096382,'2',404,'N'),(15,2096404,'1',103,'N'),(15,2096404,'2',303,'N'),(15,2096412,'1',302,'N'),(15,2096412,'2',317,'N'),(15,2096420,'1',450,'N'),(15,2096420,'2',415,'N'),(15,2096439,'1',304,'N'),(15,2096439,'2',318,'N'),(15,2096455,'1',425,'N'),(15,2096455,'1A',429,'N'),(15,2096455,'2',101,'N'),(15,2096471,'1',103,'N'),(15,2096471,'2',202,'N'),(15,2096480,'1',303,'N'),(15,2096480,'2',104,'N'),(15,2096498,'1',404,'N'),(15,2096498,'2',316,'N'),(15,2096501,'1',420,'N'),(15,2096501,'2',450,'N'),(15,2096528,'1',103,'N'),(15,2096528,'2',202,'N'),(15,2096544,'1',211,'N'),(15,2096544,'2',304,'N'),(15,2096552,'1',203,'N'),(15,2096552,'1A',233,'N'),(15,2096552,'2',225,'N'),(15,2096560,'1',415,'N'),(15,2096560,'2',426,'N'),(15,2096579,'1',216,'N'),(15,2096579,'1A',212,'N'),(15,2096587,'1',108,'N'),(15,2096587,'2',333,'N'),(15,2096595,'1',203,'N'),(15,2096595,'1A',201,'N'),(15,2096595,'2',2,'N'),(15,2096617,'1',223,'N'),(15,2096617,'2',302,'N'),(15,2096625,'1',103,'N'),(15,2096625,'2',104,'N'),(15,2096633,'1',421,'N'),(15,2096633,'1A',425,'N'),(15,2096633,'2',326,'N'),(15,2096641,'1',303,'N'),(15,2096641,'2',301,'N'),(15,2096650,'1',415,'N'),(15,2096650,'2',5,'N'),(15,2096668,'1',302,'N'),(15,2096668,'2',222,'N'),(15,2096684,'1',215,'N'),(15,2096684,'2',212,'N'),(15,2096706,'1',201,'N'),(15,2096706,'1A',212,'N'),(15,2096706,'2',202,'N'),(15,2096714,'1',202,'N'),(15,2096714,'1A',213,'N'),(15,2096714,'2',208,'N'),(15,2096722,'1',233,'N'),(15,2096722,'1A',215,'N'),(15,2096722,'2',332,'N'),(15,2096730,'1',220,'N'),(15,2096730,'1A',208,'N'),(15,2096730,'2',213,'N'),(15,2096749,'1',212,'N'),(15,2096749,'1A',215,'N'),(15,2096749,'2',301,'N'),(15,2096757,'1',316,'N'),(15,2096757,'2',207,'N'),(15,2096773,'1',103,'N'),(15,2096781,'1',103,'N'),(15,2096781,'2',215,'N'),(15,2096790,'1',103,'N'),(15,2096790,'2',404,'N'),(15,2096811,'1',104,'N'),(15,2096820,'1',103,'N'),(15,2096838,'1',108,'N'),(15,2096838,'2',333,'N'),(15,2096854,'1',208,'N'),(15,2096862,'1',103,'N'),(15,2096862,'2',108,'N'),(15,2096870,'1',208,'N'),(15,2096870,'2',317,'N'),(15,2096889,'1',211,'N'),(15,2096889,'1A',216,'N'),(15,2096889,'2',333,'N'),(15,2096900,'1',303,'N'),(15,2096900,'2',5,'N'),(15,2096927,'1',212,'N'),(15,2096927,'1A',213,'N'),(15,2096927,'2',225,'N'),(15,2096935,'1',103,'N'),(15,2096943,'1',303,'N'),(15,2096943,'2',5,'N'),(15,2096951,'1',103,'N'),(15,2096951,'2',415,'N'),(15,2096960,'1',211,'N'),(15,2096960,'1A',216,'N'),(15,2096960,'2',201,'N'),(15,2096978,'1',215,'N'),(15,2096986,'1',203,'N'),(15,2096986,'1A',212,'N'),(15,2096986,'2',2,'N'),(15,2096994,'1',203,'N'),(15,2096994,'1A',214,'N'),(15,2096994,'2',220,'N'),(15,2097001,'1',327,'N'),(15,2097001,'2',332,'N'),(15,2097010,'1',214,'N'),(15,2097010,'1A',220,'N'),(15,2097010,'2',202,'N'),(15,2097028,'1',103,'N'),(15,2097028,'2',101,'N'),(15,2097044,'1',103,'N'),(15,2097052,'1',216,'N'),(15,2097052,'1A',207,'N'),(15,2097052,'2',217,'N'),(15,2097079,'1',238,'N'),(15,2097079,'1A',208,'N'),(15,2097079,'2',420,'N'),(15,2097095,'1',211,'N'),(15,2097095,'1A',216,'N'),(15,2097095,'2',501,'N'),(15,2097109,'1',103,'N'),(15,2097109,'2',216,'N'),(15,2097117,'1',333,'N'),(15,2097117,'2',502,'N'),(15,2097125,'1',420,'N'),(15,2097125,'2',207,'N'),(15,2097133,'1',451,'N'),(15,2097133,'2',308,'N'),(15,2097141,'1',201,'N'),(15,2097141,'1A',212,'N'),(15,2097141,'2',301,'N'),(15,2097150,'1',220,'N'),(15,2097150,'1A',208,'N'),(15,2097150,'2',201,'N'),(15,2097184,'1',234,'N'),(15,2097184,'2',502,'N'),(15,2097192,'1',224,'N'),(15,2097192,'2',217,'N'),(15,2097206,'1',203,'N'),(15,2097206,'1A',220,'N'),(15,2097206,'2',233,'N'),(15,2097214,'1',101,'N'),(15,2097214,'2',404,'N'),(15,2097222,'1',316,'N'),(15,2097222,'2',317,'N'),(15,2097230,'1',207,'N'),(15,2097230,'1A',238,'N'),(15,2097230,'2',420,'N'),(15,2097273,'1',501,'N'),(15,2097273,'2',223,'N'),(15,2097290,'1',102,'N'),(15,2097290,'2',103,'N'),(15,2097311,'1',201,'N'),(15,2097311,'1A',212,'N'),(15,2097311,'2',301,'N'),(15,2097320,'1',108,'N'),(15,2097320,'2',211,'N'),(15,2097338,'1',103,'N'),(15,2097338,'2',104,'N'),(15,2097346,'1',220,'N'),(15,2097346,'1A',202,'N'),(15,2097346,'2',319,'N'),(15,2097370,'1',302,'N'),(15,2097370,'2',309,'N'),(15,2097397,'1',317,'N'),(15,2097397,'2',208,'N'),(15,2097400,'1',203,'N'),(15,2097400,'1A',214,'N'),(15,2097400,'2',301,'N'),(15,2097419,'1',103,'N'),(15,2097419,'2',319,'N'),(15,2097427,'1',212,'N'),(15,2097427,'1A',214,'N'),(15,2097427,'2',201,'N'),(15,2097435,'1',324,'N'),(15,2097435,'2',425,'N'),(15,2097443,'1',238,'N'),(15,2097443,'1A',215,'N'),(15,2097443,'2',444,'N'),(15,2097451,'1',415,'N'),(15,2097451,'2',429,'N'),(15,2097460,'1',303,'N'),(15,2097460,'2',5,'N'),(15,2097478,'1',103,'N'),(15,2097478,'2',316,'N'),(15,2097486,'1',203,'N'),(15,2097486,'1A',202,'N'),(15,2097486,'2',201,'N'),(15,2097508,'1',104,'N'),(15,2097524,'1',324,'N'),(15,2097524,'2',327,'N'),(15,2097532,'1',308,'N'),(15,2097532,'2',324,'N'),(15,2097540,'1',217,'N'),(15,2097540,'2',216,'N'),(15,2097559,'1',327,'N'),(15,2097559,'2',332,'N'),(15,2097567,'1',317,'N'),(15,2097567,'2',224,'N'),(15,2097575,'1',333,'N'),(15,2097575,'2',444,'N'),(15,2097583,'1',319,'N'),(15,2097583,'2',324,'N'),(15,2097591,'1',404,'N'),(15,2097591,'2',444,'N'),(15,2097613,'1',103,'N'),(15,2097613,'2',102,'N'),(15,2097621,'1',404,'N'),(15,2097621,'2',444,'N'),(15,2097648,'1',501,'N'),(15,2097648,'2',502,'N'),(15,2097672,'1',317,'N'),(15,2097672,'2',302,'N'),(15,2097680,'1',429,'N'),(15,2097680,'1A',421,'N'),(15,2097680,'2',331,'N'),(15,2097699,'1',201,'N'),(15,2097699,'1A',212,'N'),(15,2097699,'2',207,'N'),(15,2097702,'1',104,'N'),(15,2097702,'2',102,'N'),(15,2097737,'1',404,'N'),(15,2097737,'2',308,'N'),(15,2097753,'1',316,'N'),(15,2097753,'2',339,'N'),(15,2097761,'1',103,'N'),(15,2097761,'2',104,'N'),(15,2097770,'1',339,'N'),(15,2097770,'2',327,'N'),(15,2097788,'1',317,'N'),(15,2097788,'2',316,'N'),(15,2097796,'1',102,'N'),(15,2097800,'1',316,'N'),(15,2097800,'2',319,'N'),(15,2097826,'1',101,'N'),(15,2097826,'2',102,'N'),(15,2097842,'1',316,'N'),(15,2097842,'2',318,'N'),(15,2097850,'1',425,'N'),(15,2097869,'1',103,'N'),(15,2097877,'1',316,'N'),(15,2097877,'2',427,'N'),(15,2097893,'1',308,'N'),(15,2097893,'2',404,'N'),(15,2097907,'1',303,'N'),(15,2097907,'2',339,'N'),(15,2097915,'1',444,'N'),(15,2097915,'2',404,'N'),(15,2097931,'1',303,'N'),(15,2097931,'2',5,'N'),(15,2097940,'1',103,'N'),(15,2097940,'2',102,'N'),(15,2097958,'1',108,'N'),(15,2097958,'2',216,'N'),(15,2097966,'1',220,'N'),(15,2097966,'1A',203,'N'),(15,2097966,'2',201,'N'),(15,2097974,'1',103,'N'),(15,2097974,'2',101,'N'),(15,2097982,'1',103,'N'),(15,2097982,'2',9,'N'),(15,2097990,'1',424,'N'),(15,2097990,'1A',427,'N'),(15,2097990,'2',2,'N'),(15,2098008,'1',2,'N'),(15,2098008,'2',427,'N'),(15,2098016,'1',103,'N'),(15,2098016,'2',104,'N'),(15,2098024,'1',444,'N'),(15,2098024,'2',316,'N'),(15,2098067,'1',502,'N'),(15,2098067,'2',501,'N'),(15,2098075,'1',203,'N'),(15,2098075,'1A',201,'N'),(15,2098075,'2',202,'N'),(15,2098083,'1',238,'N'),(15,2098083,'1A',208,'N'),(15,2098083,'2',222,'N'),(15,2098091,'1',425,'N'),(15,2098091,'1A',428,'N'),(15,2098091,'2',426,'N'),(15,2098105,'1',301,'N'),(15,2098105,'2',331,'N'),(15,2098113,'1',303,'N'),(15,2098113,'2',502,'N'),(15,2098121,'1',103,'N'),(15,2098121,'2',502,'N'),(15,2098130,'1',327,'N'),(15,2098130,'2',326,'N'),(15,2098148,'1',429,'N'),(15,2098148,'1A',425,'N'),(15,2098148,'2',451,'N'),(15,2098156,'1',316,'N'),(15,2098156,'2',332,'N'),(15,2098164,'1',220,'N'),(15,2098164,'1A',208,'N'),(15,2098172,'1',108,'N'),(15,2098172,'2',211,'N'),(15,2098199,'1',103,'N'),(15,2098199,'2',102,'N'),(15,2098202,'1',333,'N'),(15,2098202,'2',108,'N'),(15,2098210,'1',201,'N'),(15,2098210,'1A',207,'N'),(15,2098210,'2',217,'N'),(15,2098229,'1',108,'N'),(15,2098229,'2',333,'N'),(15,2098237,'1',217,'N'),(15,2098237,'2',451,'N'),(15,2098245,'1',202,'N'),(15,2098245,'2',213,'N'),(15,2098253,'1',103,'N'),(15,2098253,'2',217,'N'),(15,2098270,'1',332,'N'),(15,2098270,'2',426,'N'),(15,2098288,'1',103,'N'),(15,2098288,'2',101,'N'),(15,2098296,'1',102,'N'),(15,2098296,'2',502,'N'),(15,2098318,'1',103,'N'),(15,2098318,'2',104,'N'),(15,2098326,'1',103,'N'),(15,2098326,'2',319,'N'),(15,2098334,'1',332,'N'),(15,2098334,'2',331,'N'),(15,2098342,'1',316,'N'),(15,2098342,'2',301,'N'),(15,2098350,'1',5,'N'),(15,2098350,'2',332,'N'),(15,2098377,'1',203,'N'),(15,2098377,'1A',214,'N'),(15,2098377,'2',420,'N'),(15,2098385,'1',103,'N'),(15,2098385,'2',303,'N'),(15,2098393,'1',319,'N'),(15,2098393,'2',308,'N'),(15,2098415,'1',333,'N'),(15,2098415,'2',108,'N'),(15,2098431,'1',303,'N'),(15,2098431,'2',5,'N'),(15,2098440,'1',208,'N'),(15,2098440,'1A',203,'N'),(15,2098440,'2',415,'N'),(15,2098458,'1',104,'N'),(15,2098458,'2',319,'N'),(15,2098466,'1',103,'N'),(15,2098466,'2',102,'N'),(15,2098474,'1',309,'N'),(15,2098474,'2',101,'N'),(15,2098482,'1',5,'N'),(15,2098482,'2',450,'N'),(15,2098490,'1',5,'N'),(15,2098490,'2',102,'N'),(15,2098504,'1',201,'N'),(15,2098504,'1A',238,'N'),(15,2098504,'2',234,'N'),(15,2098539,'1',201,'N'),(15,2098539,'1A',207,'N'),(15,2098539,'2',222,'N'),(15,2098547,'1',420,'N'),(15,2098547,'2',238,'N'),(15,2098555,'1',103,'N'),(15,2098555,'2',308,'N'),(15,2098563,'1',101,'N'),(15,2098563,'2',339,'N'),(15,2098571,'1',502,'N'),(15,2098571,'2',333,'N'),(15,2098580,'1',104,'N'),(15,2098580,'2',302,'N'),(15,2098598,'1',203,'N'),(15,2098598,'1A',214,'N'),(15,2098598,'2',501,'N'),(15,2098601,'1',103,'N'),(15,2098601,'2',102,'N'),(15,2098610,'1',303,'N'),(15,2098610,'2',302,'N'),(15,2098628,'1',420,'N'),(15,2098628,'2',310,'N'),(15,2098636,'1',444,'N'),(15,2098636,'2',404,'N'),(15,2098652,'1',216,'N'),(15,2098652,'2',420,'N'),(15,2098660,'1',103,'N'),(15,2098660,'2',303,'N'),(15,2098679,'1',108,'N'),(15,2098687,'1',213,'N'),(15,2098687,'1A',202,'N'),(15,2098687,'2',214,'N'),(15,2098695,'1',308,'N'),(15,2098695,'2',339,'N'),(15,2098709,'1',203,'N'),(15,2098709,'1A',214,'N'),(15,2098709,'2',301,'N'),(15,2098717,'1',420,'N'),(15,2098717,'2',207,'N'),(15,2098725,'1',420,'N'),(15,2098725,'2',421,'N'),(15,2098733,'1',332,'N'),(15,2098733,'2',108,'N'),(15,2098741,'1',202,'N'),(15,2098741,'1A',238,'N'),(15,2098741,'2',2,'N'),(15,2098768,'1',220,'N'),(15,2098768,'1A',203,'N'),(15,2098768,'2',202,'N'),(15,2098814,'1',316,'N'),(15,2098814,'2',327,'N'),(15,2098830,'1',108,'N'),(15,2098830,'2',217,'N'),(15,2098849,'1',202,'N'),(15,2098849,'1A',208,'N'),(15,2098849,'2',216,'N'),(15,2098865,'1',502,'N'),(15,2098865,'2',501,'N'),(15,2098873,'1',404,'N'),(15,2098873,'2',9,'N'),(15,2098890,'1',5,'N'),(15,2098890,'2',420,'N'),(15,2098903,'1',207,'N'),(15,2098903,'1A',201,'N'),(15,2098903,'2',420,'N'),(15,2098911,'1',203,'N'),(15,2098911,'1A',207,'N'),(15,2098911,'2',108,'N'),(15,2098920,'1',326,'N'),(15,2098920,'2',425,'N'),(15,2098946,'1',104,'N'),(15,2098946,'2',319,'N'),(15,2098954,'1',5,'N'),(15,2098954,'2',415,'N'),(15,2098962,'1',316,'N'),(15,2098962,'2',301,'N'),(15,2098970,'1',220,'N'),(15,2098970,'1A',202,'N'),(15,2098970,'2',216,'N'),(15,2098997,'1',203,'N'),(15,2098997,'1A',216,'N'),(15,2098997,'2',233,'N'),(15,2099012,'1',202,'N'),(15,2099012,'1A',238,'N'),(15,2099020,'1',208,'N'),(15,2099020,'1A',238,'N'),(15,2099039,'1',214,'N'),(15,2099039,'1A',203,'N'),(15,2099039,'2',502,'N'),(15,2099047,'1',216,'N'),(15,2099047,'2',224,'N'),(15,2099055,'1',214,'N'),(15,2099055,'2',220,'N'),(15,2099063,'1',216,'N'),(15,2099063,'1A',202,'N'),(15,2099063,'2',444,'N'),(15,2099071,'1',9,'N'),(15,2099071,'2',102,'N'),(15,2099080,'1',207,'N'),(15,2099080,'1A',201,'N'),(15,2099080,'2',224,'N'),(15,2099101,'1',208,'N'),(15,2099101,'2',238,'N'),(15,2099110,'1',415,'N'),(15,2099110,'2',9,'N'),(15,2099128,'1',5,'N'),(15,2099128,'2',303,'N'),(15,2099136,'1',233,'N'),(15,2099136,'1A',216,'N'),(15,2099136,'2',215,'N'),(15,2099144,'1',201,'N'),(15,2099144,'1A',203,'N'),(15,2099144,'2',103,'N'),(15,2099152,'1',103,'N'),(15,2099152,'2',415,'N'),(15,2099160,'1',103,'N'),(15,2099160,'2',216,'N'),(15,2099179,'1',207,'N'),(15,2099179,'1A',216,'N'),(15,2099179,'2',223,'N'),(15,2099187,'1',332,'N'),(15,2099187,'2',331,'N'),(15,2099195,'1',103,'N'),(15,2099195,'2',101,'N'),(15,2099209,'1',317,'N'),(15,2099209,'2',316,'N'),(15,2099217,'1',316,'N'),(15,2099217,'2',428,'N'),(15,2099225,'1',5,'N'),(15,2099225,'2',318,'N'),(15,2099233,'1',316,'N'),(15,2099233,'2',318,'N'),(15,2099250,'1',202,'N'),(15,2099250,'1A',201,'N'),(15,2099250,'2',208,'N'),(15,2099268,'1',208,'N'),(15,2099268,'1A',238,'N'),(15,2099268,'2',2,'N'),(15,2099276,'1',211,'N'),(15,2099276,'2',104,'N'),(15,2099284,'1',303,'N'),(15,2099284,'2',5,'N'),(15,2099306,'1',9,'N'),(15,2099306,'2',217,'N'),(15,2099314,'1',208,'N'),(15,2099314,'1A',238,'N'),(15,2099314,'2',213,'N'),(15,2099322,'1',202,'N'),(15,2099322,'1A',201,'N'),(15,2099322,'2',425,'N'),(15,2099330,'1',103,'N'),(15,2099330,'2',104,'N'),(15,2099349,'1',214,'N'),(15,2099349,'1A',211,'N'),(15,2099349,'2',208,'N'),(15,2099357,'1',212,'N'),(15,2099357,'1A',214,'N'),(15,2099357,'2',201,'N'),(15,2099365,'1',333,'N'),(15,2099365,'2',331,'N'),(15,2099373,'1',234,'N'),(15,2099381,'1',103,'N'),(15,2099381,'2',216,'N'),(15,2099390,'1',425,'N'),(15,2099390,'1A',429,'N'),(15,2099390,'2',444,'N'),(15,2099403,'1',309,'N'),(15,2099411,'1',332,'N'),(15,2099411,'2',327,'N'),(15,2099446,'1',301,'N'),(15,2099446,'2',324,'N'),(15,2099454,'1',212,'N'),(15,2099454,'1A',213,'N'),(15,2099454,'2',201,'N'),(15,2099462,'1',104,'N'),(15,2099462,'2',333,'N'),(15,2099470,'1',103,'N'),(15,2099497,'1',216,'N'),(15,2099497,'1A',203,'N'),(15,2099497,'2',201,'N'),(15,2099500,'1',203,'N'),(15,2099500,'1A',216,'N'),(15,2099500,'2',201,'N'),(15,2099519,'1',220,'N'),(15,2099519,'1A',203,'N'),(15,2099519,'2',421,'N'),(15,2099535,'1',428,'N'),(15,2099535,'1A',426,'N'),(15,2099543,'1',238,'N'),(15,2099543,'1A',233,'N'),(15,2099543,'2',427,'N'),(15,2099551,'1',211,'N'),(15,2099551,'1A',233,'N'),(15,2099551,'2',501,'N'),(15,2099578,'1',420,'N'),(15,2099578,'2',211,'N'),(15,2099608,'1',310,'N'),(15,2099608,'2',331,'N'),(15,2099640,'1',207,'N'),(15,2099640,'1A',201,'N'),(15,2099640,'2',324,'N'),(15,2099659,'1',301,'N'),(15,2099659,'2',104,'N'),(15,2099667,'1',207,'N'),(15,2099667,'2',309,'N'),(15,2099675,'1',203,'N'),(15,2099675,'1A',216,'N'),(15,2099675,'2',2,'N'),(15,2099683,'1',301,'N'),(15,2099683,'2',216,'N'),(15,2099691,'1',216,'N'),(15,2099691,'1A',215,'N'),(15,2099691,'2',217,'N'),(15,2099705,'1',203,'N'),(15,2099705,'1A',214,'N'),(15,2099705,'2',233,'N'),(15,2099713,'1',339,'N'),(15,2099713,'2',316,'N'),(15,2099721,'1',333,'N'),(15,2099721,'2',207,'N'),(15,2099730,'1',212,'N'),(15,2099730,'1A',214,'N'),(15,2099730,'2',108,'N'),(15,2099748,'1',302,'N'),(15,2099748,'2',317,'N'),(15,2099756,'1',207,'N'),(15,2099756,'1A',201,'N'),(15,2099756,'2',420,'N'),(15,2099764,'1',233,'N'),(15,2099764,'1A',211,'N'),(15,2099764,'2',102,'N'),(15,2099772,'1',103,'N'),(15,2099772,'2',108,'N'),(15,2099780,'1',502,'N'),(15,2099780,'2',108,'N'),(15,2099799,'1',203,'N'),(15,2099799,'1A',220,'N'),(15,2099799,'2',216,'N'),(15,2099802,'1',316,'N'),(15,2099802,'2',301,'N'),(15,2099810,'1',103,'N'),(15,2099810,'2',104,'N'),(15,2099829,'1',207,'N'),(15,2099829,'1A',201,'N'),(15,2099829,'2',420,'N'),(15,2099837,'1',501,'N'),(15,2099837,'2',211,'N'),(15,2099845,'1',424,'N'),(15,2099845,'1A',423,'N'),(15,2099845,'2',324,'N'),(15,2099853,'1',103,'N'),(15,2099853,'2',216,'N'),(15,2099861,'1',302,'N'),(15,2099861,'2',303,'N'),(15,2099870,'1',202,'N'),(15,2099870,'1A',203,'N'),(15,2099870,'2',216,'N'),(15,2099888,'1',203,'N'),(15,2099888,'1A',214,'N'),(15,2099888,'2',301,'N'),(15,2099896,'1',102,'N'),(15,2099896,'2',501,'N'),(15,2099918,'1',501,'N'),(15,2099918,'2',234,'N'),(15,2099934,'1',303,'N'),(15,2099934,'2',5,'N'),(15,2099942,'1',104,'N'),(15,2099942,'2',428,'N'),(15,2099950,'1',301,'N'),(15,2099950,'2',319,'N'),(15,2099977,'1',327,'N'),(15,2099977,'2',326,'N'),(15,2099993,'1',222,'N'),(15,2099993,'2',2,'N'),(15,2100002,'1',103,'N'),(15,2100002,'2',108,'N'),(15,2100010,'1',103,'N'),(15,2100010,'2',9,'N'),(15,2100029,'1',103,'N'),(15,2100029,'2',203,'N'),(15,2100037,'1',9,'N'),(15,2100037,'2',222,'N'),(15,2100053,'1',207,'N'),(15,2100053,'2',420,'N'),(15,2100061,'1',103,'N'),(15,2100061,'2',102,'N'),(15,2100070,'1',102,'N'),(15,2100070,'2',104,'N'),(15,2100088,'1',201,'N'),(15,2100088,'1A',212,'N'),(15,2100088,'2',316,'N'),(15,2100096,'1',415,'N'),(15,2100096,'2',428,'N'),(15,2100100,'1',207,'N'),(15,2100100,'2',333,'N'),(15,2100126,'1',319,'N'),(15,2100126,'2',327,'N'),(15,2100134,'1',5,'N'),(15,2100134,'2',211,'N'),(15,2100142,'1',108,'N'),(15,2100142,'2',2,'N'),(15,2100150,'1',207,'N'),(15,2100150,'1A',201,'N'),(15,2100150,'2',420,'N'),(15,2100169,'1',108,'N'),(15,2100169,'2',310,'N'),(15,2100177,'1',501,'N'),(15,2100177,'2',108,'N'),(15,2100185,'1',404,'N'),(15,2100185,'2',9,'N'),(15,2100193,'1',220,'N'),(15,2100193,'1A',203,'N'),(15,2100193,'2',202,'N'),(15,2100231,'1',304,'N'),(15,2100231,'2',318,'N'),(15,2100240,'1',202,'N'),(15,2100240,'1A',213,'N'),(15,2100240,'2',208,'N'),(15,2100274,'1',208,'N'),(15,2100274,'1A',238,'N'),(15,2100304,'1',301,'N'),(15,2100304,'2',316,'N'),(15,2100312,'1',104,'N'),(15,2100312,'2',301,'N'),(15,2100320,'1',103,'N'),(15,2100320,'2',303,'N'),(15,2100339,'1',201,'N'),(15,2100339,'1A',212,'N'),(15,2100339,'2',214,'N'),(15,2100347,'1',211,'N'),(15,2100347,'1A',213,'N'),(15,2100347,'2',102,'N'),(15,2100355,'1',415,'N'),(15,2100355,'2',326,'N'),(15,2100363,'1',420,'N'),(15,2100363,'2',415,'N'),(15,2100380,'1',203,'N'),(15,2100380,'1A',202,'N'),(15,2100380,'2',225,'N'),(15,2100398,'1',220,'N'),(15,2100398,'1A',203,'N'),(15,2100398,'2',214,'N'),(15,2100401,'1',5,'N'),(15,2100401,'2',333,'N'),(15,2100428,'1',103,'N'),(15,2100428,'2',104,'N'),(15,2100436,'1',103,'N'),(15,2100436,'2',101,'N'),(15,2100452,'1',404,'N'),(15,2100452,'2',333,'N'),(15,2100460,'1',202,'N'),(15,2100460,'2',216,'N'),(15,2100479,'1',424,'N'),(15,2100479,'1A',421,'N'),(15,2100479,'2',425,'N'),(15,2100487,'1',303,'N'),(15,2100487,'2',104,'N'),(15,2100495,'1',303,'N'),(15,2100495,'2',5,'N'),(15,2100509,'1',319,'N'),(15,2100509,'2',310,'N'),(15,2100517,'1',103,'N'),(15,2100517,'2',101,'N'),(15,2100525,'1',444,'N'),(15,2100525,'2',108,'N'),(15,2100533,'1',333,'N'),(15,2100533,'2',108,'N'),(15,2100541,'1',104,'N'),(15,2100541,'2',201,'N'),(15,2100550,'1',501,'N'),(15,2100550,'2',308,'N'),(15,2100568,'1',404,'N'),(15,2100568,'2',339,'N'),(15,2100584,'1',216,'N'),(15,2100584,'1A',215,'N'),(15,2100584,'2',217,'N'),(15,2100592,'1',333,'N'),(15,2100592,'2',9,'N'),(15,2100614,'1',327,'N'),(15,2100614,'2',324,'N'),(15,2100622,'1',103,'N'),(15,2100622,'2',223,'N'),(15,2100630,'1',318,'N'),(15,2100630,'2',207,'N'),(15,2100649,'1',211,'N'),(15,2100649,'2',234,'N'),(15,2100657,'1',444,'N'),(15,2100657,'2',339,'N'),(15,2100665,'1',103,'N'),(15,2100665,'2',319,'N'),(15,2100673,'1',317,'N'),(15,2100673,'2',318,'N'),(15,2100681,'1',303,'N'),(15,2100681,'2',319,'N'),(15,2100690,'1',502,'N'),(15,2100690,'2',326,'N'),(15,2100720,'1',203,'N'),(15,2100720,'1A',201,'N'),(15,2100720,'2',302,'N'),(15,2100738,'1',101,'N'),(15,2100738,'2',102,'N'),(15,2100746,'1',103,'N'),(15,2100746,'2',328,'N'),(15,2100762,'1',102,'N'),(15,2100770,'1',208,'N'),(15,2100770,'1A',238,'N'),(15,2100770,'2',317,'N'),(15,2100789,'1',319,'N'),(15,2100789,'2',329,'N'),(15,2100800,'1',318,'N'),(15,2100800,'2',327,'N'),(15,2100819,'1',332,'N'),(15,2100819,'2',320,'N'),(15,2100827,'1',207,'N'),(15,2100827,'1A',201,'N'),(15,2100843,'1',103,'N'),(15,2100860,'1',238,'N'),(15,2100860,'1A',208,'N'),(15,2100860,'2',318,'N'),(15,2100878,'1',301,'N'),(15,2100878,'2',425,'N'),(15,2100886,'1',303,'N'),(15,2100886,'2',420,'N'),(15,2100894,'1',333,'N'),(15,2100894,'2',215,'N'),(15,2100916,'1',415,'N'),(15,2100916,'2',451,'N'),(15,2100924,'1',420,'N'),(15,2100924,'2',415,'N'),(15,2100932,'1',220,'N'),(15,2100932,'1A',203,'N'),(15,2100932,'2',103,'N'),(15,2100940,'1',211,'N'),(15,2100940,'1A',215,'N'),(15,2100940,'2',217,'N'),(15,2100959,'1',203,'N'),(15,2100959,'1A',202,'N'),(15,2100959,'2',302,'N'),(15,2100967,'1',9,'N'),(15,2100967,'2',444,'N'),(15,2100975,'1',404,'N'),(15,2100975,'2',333,'N'),(15,2100991,'1',310,'N'),(15,2100991,'2',304,'N'),(15,2101009,'1',331,'N'),(15,2101009,'2',332,'N'),(15,2101025,'1',301,'N'),(15,2101025,'2',420,'N'),(15,2101041,'1',5,'N'),(15,2101041,'2',420,'N'),(15,2101068,'1',103,'N'),(15,2101068,'2',101,'N'),(15,2101076,'1',238,'N'),(15,2101076,'1A',208,'N'),(15,2101076,'2',421,'N'),(15,2101092,'1',103,'N'),(15,2101092,'2',201,'N'),(15,2101106,'1',316,'N'),(15,2101106,'2',444,'N'),(15,2101114,'1',316,'N'),(15,2101114,'2',318,'N'),(15,2101122,'1',333,'N'),(15,2101122,'2',207,'N'),(15,2101130,'1',103,'N'),(15,2101149,'1',316,'N'),(15,2101149,'2',9,'N'),(15,2101157,'1',327,'N'),(15,2101157,'2',326,'N'),(15,2101165,'1',103,'N'),(15,2101165,'2',102,'N'),(15,2101173,'1',104,'N'),(15,2101173,'2',217,'N'),(15,2101181,'1',201,'N'),(15,2101181,'1A',207,'N'),(15,2101181,'2',420,'N'),(15,2101203,'1',317,'N'),(15,2101203,'2',426,'N'),(15,2101211,'1',102,'N'),(15,2101211,'2',501,'N'),(15,2101220,'1',303,'N'),(15,2101220,'2',424,'N'),(15,2101238,'1',238,'N'),(15,2101238,'1A',208,'N'),(15,2101238,'2',316,'N'),(15,2101246,'1',301,'N'),(15,2101246,'2',308,'N'),(15,2101254,'1',415,'N'),(15,2101262,'1',211,'N'),(15,2101262,'1A',233,'N'),(15,2101262,'2',415,'N'),(15,2101270,'1',415,'N'),(15,2101270,'2',309,'N'),(15,2101289,'1',108,'N'),(15,2101289,'2',333,'N'),(15,2101300,'1',103,'N'),(15,2101300,'2',303,'N'),(15,2101319,'1',328,'N'),(15,2101319,'2',327,'N'),(15,2101327,'1',220,'N'),(15,2101327,'1A',203,'N'),(15,2101327,'2',202,'N'),(15,2101335,'1',5,'N'),(15,2101335,'2',327,'N'),(15,2101343,'1',103,'N'),(15,2101343,'2',101,'N'),(15,2101351,'1',211,'N'),(15,2101351,'1A',201,'N'),(15,2101351,'2',333,'N'),(15,2101360,'1',214,'N'),(15,2101360,'1A',213,'N'),(15,2101360,'2',208,'N'),(15,2101378,'1',103,'N'),(15,2101378,'2',225,'N'),(15,2101394,'1',101,'N'),(15,2101394,'2',427,'N'),(15,2101408,'1',450,'N'),(15,2101408,'2',108,'N'),(15,2101424,'1',201,'N'),(15,2101424,'1A',212,'N'),(15,2101424,'2',214,'N'),(15,2101432,'1',331,'N'),(15,2101432,'2',326,'N'),(15,2101440,'1',303,'N'),(15,2101440,'2',415,'N'),(15,2101459,'1',108,'N'),(15,2101459,'2',104,'N'),(15,2101467,'1',331,'N'),(15,2101467,'2',421,'N'),(15,2101475,'1',216,'N'),(15,2101475,'1A',233,'N'),(15,2101475,'2',215,'N'),(15,2101483,'1',215,'N'),(15,2101483,'1A',216,'N'),(15,2101483,'2',420,'N'),(15,2101491,'1',234,'N'),(15,2101491,'2',301,'N'),(15,2101505,'1',207,'N'),(15,2101505,'1A',208,'N'),(15,2101505,'2',108,'N'),(15,2101513,'1',103,'N'),(15,2101521,'1',216,'N'),(15,2101521,'1A',233,'N'),(15,2101521,'2',211,'N'),(15,2101530,'1',103,'N'),(15,2101530,'2',5,'N'),(15,2101548,'1',103,'N'),(15,2101548,'2',102,'N'),(15,2101556,'1',104,'N'),(15,2101556,'2',207,'N'),(15,2101564,'1',319,'N'),(15,2101564,'2',426,'N'),(15,2101572,'1',301,'N'),(15,2101572,'2',444,'N'),(15,2101580,'1',424,'N'),(15,2101580,'1A',429,'N'),(15,2101580,'2',320,'N'),(15,2101599,'1',104,'N'),(15,2101599,'2',238,'N'),(15,2101602,'1',425,'N'),(15,2101602,'1A',423,'N'),(15,2101602,'2',331,'N'),(15,2101610,'1',102,'N'),(15,2101610,'2',101,'N'),(15,2101629,'1',233,'N'),(15,2101629,'1A',201,'N'),(15,2101629,'2',203,'N'),(15,2101637,'1',319,'N'),(15,2101637,'2',316,'N'),(15,2101645,'1',108,'N'),(15,2101645,'2',333,'N'),(15,2101653,'1',326,'N'),(15,2101653,'2',327,'N'),(15,2101670,'1',317,'N'),(15,2101670,'2',201,'N'),(15,2101688,'1',103,'N'),(15,2101688,'2',303,'N'),(15,2101696,'1',317,'N'),(15,2101696,'2',222,'N'),(15,2101700,'1',9,'N'),(15,2101700,'2',420,'N'),(15,2101718,'1',103,'N'),(15,2101718,'2',104,'N'),(15,2101726,'1',426,'N'),(15,2101726,'1A',428,'N'),(15,2101726,'2',327,'N'),(15,2101734,'1',207,'N'),(15,2101734,'1A',201,'N'),(15,2101734,'2',2,'N'),(15,2101750,'1',108,'N'),(15,2101750,'2',332,'N'),(15,2101769,'1',316,'N'),(15,2101769,'2',304,'N'),(15,2101777,'1',103,'N'),(15,2101777,'2',207,'N'),(15,2101793,'1',108,'N'),(15,2101793,'2',415,'N'),(15,2101807,'1',223,'N'),(15,2101807,'2',302,'N'),(15,2101815,'1',207,'N'),(15,2101815,'1A',201,'N'),(15,2101815,'2',420,'N'),(15,2101823,'1',316,'N'),(15,2101823,'2',207,'N'),(15,2101831,'1',103,'N'),(15,2101831,'2',211,'N'),(15,2101840,'1',501,'N'),(15,2101840,'2',211,'N'),(15,2101858,'1',211,'N'),(15,2101858,'1A',207,'N'),(15,2101858,'2',216,'N'),(15,2101866,'1',316,'N'),(15,2101866,'2',420,'N'),(15,2101882,'1',203,'N'),(15,2101882,'1A',202,'N'),(15,2101882,'2',216,'N'),(15,2101890,'1',302,'N'),(15,2101890,'2',304,'N'),(15,2101912,'1',203,'N'),(15,2101912,'1A',214,'N'),(15,2101912,'2',238,'N'),(15,2101939,'1',103,'N'),(15,2101939,'2',303,'N'),(15,2101947,'1',5,'N'),(15,2101947,'2',420,'N'),(15,2101955,'1',310,'N'),(15,2101955,'2',320,'N'),(15,2101971,'1',103,'N'),(15,2101971,'2',101,'N'),(15,2101980,'1',207,'N'),(15,2101980,'1A',201,'N'),(15,2101980,'2',304,'N'),(15,2101998,'1',303,'N'),(15,2101998,'2',310,'N'),(15,2102013,'1',101,'N'),(15,2102013,'2',308,'N'),(15,2102021,'1',102,'N'),(15,2102021,'2',211,'N'),(15,2102030,'1',208,'N'),(15,2102030,'1A',212,'N'),(15,2102030,'2',201,'N'),(15,2102056,'1',415,'N'),(15,2102056,'2',207,'N'),(15,2102064,'1',303,'N'),(15,2102064,'2',429,'N'),(15,2102072,'1',415,'N'),(15,2102072,'2',327,'N'),(15,2102080,'1',103,'N'),(15,2102080,'2',108,'N'),(15,2102099,'1',318,'N'),(15,2102099,'2',238,'N'),(15,2102110,'1',203,'N'),(15,2102110,'1A',220,'N'),(15,2102110,'2',214,'N'),(15,2102129,'1',451,'N'),(15,2102129,'2',450,'N'),(15,2102137,'1',103,'N'),(15,2102145,'1',238,'N'),(15,2102145,'1A',212,'N'),(15,2102153,'1',108,'N'),(15,2102153,'2',444,'N'),(15,2102161,'1',203,'N'),(15,2102161,'1A',220,'N'),(15,2102161,'2',202,'N'),(15,2102170,'1',428,'N'),(15,2102170,'1A',421,'N'),(15,2102170,'2',328,'N'),(15,2102188,'1',404,'N'),(15,2102188,'2',9,'N'),(15,2102196,'1',203,'N'),(15,2102196,'1A',201,'N'),(15,2102196,'2',208,'N'),(15,2102200,'1',5,'N'),(15,2102200,'2',303,'N'),(15,2102226,'1',420,'N'),(15,2102226,'2',207,'N'),(15,2102234,'1',203,'N'),(15,2102234,'1A',220,'N'),(15,2102234,'2',108,'N'),(15,2102250,'1',317,'N'),(15,2102250,'2',102,'N'),(15,2102277,'1',103,'N'),(15,2102285,'1',320,'N'),(15,2102285,'2',327,'N'),(15,2102293,'1',101,'N'),(15,2102293,'2',234,'N'),(15,2102307,'1',304,'N'),(15,2102307,'2',331,'N'),(15,2102315,'1',333,'N'),(15,2102315,'2',207,'N'),(15,2102323,'1',303,'N'),(15,2102323,'2',5,'N'),(15,2102331,'1',233,'N'),(15,2102331,'1A',216,'N'),(15,2102331,'2',211,'N'),(15,2102340,'1',103,'N'),(15,2102340,'2',108,'N'),(15,2102358,'1',316,'N'),(15,2102358,'2',301,'N'),(15,2102366,'1',207,'N'),(15,2102366,'1A',201,'N'),(15,2102366,'2',208,'N'),(15,2102374,'1',404,'N'),(15,2102374,'2',224,'N'),(15,2102390,'1',103,'N'),(15,2102390,'2',220,'N'),(15,2102404,'1',225,'N'),(15,2102404,'2',217,'N'),(15,2102420,'1',444,'N'),(15,2102420,'2',404,'N'),(15,2102447,'1',234,'N'),(15,2102447,'2',501,'N'),(15,2102455,'1',2,'N'),(15,2102455,'2',502,'N'),(15,2102498,'1',103,'N'),(15,2102498,'2',333,'N'),(15,2102501,'1',103,'N'),(15,2102501,'2',104,'N'),(15,2102536,'1',202,'N'),(15,2102536,'1A',208,'N'),(15,2102536,'2',327,'N'),(15,2102544,'1',103,'N'),(15,2102552,'1',211,'N'),(15,2102560,'1',102,'N'),(15,2102560,'2',104,'N'),(15,2102579,'1',207,'N'),(15,2102579,'2',404,'N'),(15,2102595,'1',420,'N'),(15,2102595,'2',444,'N'),(15,2102609,'1',103,'N'),(15,2102609,'2',216,'N'),(15,2102617,'1',420,'N'),(15,2102617,'2',222,'N'),(15,2102625,'1',103,'N'),(15,2102625,'2',104,'N'),(15,2102633,'1',207,'N'),(15,2102633,'1A',211,'N'),(15,2102633,'2',420,'N'),(15,2102650,'1',450,'N'),(15,2102650,'2',424,'N'),(15,2102668,'1',203,'N'),(15,2102668,'1A',201,'N'),(15,2102668,'2',5,'N'),(15,2102676,'1',309,'N'),(15,2102676,'2',423,'N'),(15,2102684,'1',211,'N'),(15,2102684,'1A',207,'N'),(15,2102684,'2',302,'N'),(15,2102692,'1',301,'N'),(15,2102692,'2',316,'N'),(15,2102706,'1',102,'N'),(15,2102706,'2',207,'N'),(15,2102714,'1',220,'N'),(15,2102714,'1A',216,'N'),(15,2102714,'2',202,'N'),(15,2102722,'1',329,'N'),(15,2102722,'2',424,'N'),(15,2102730,'1',444,'N'),(15,2102730,'2',317,'N'),(15,2102749,'1',103,'N'),(15,2102757,'1',103,'N'),(15,2102757,'2',101,'N'),(15,2102765,'1',339,'N'),(15,2102765,'2',429,'N'),(15,2102773,'1',320,'N'),(15,2102773,'2',339,'N'),(15,2102811,'1',5,'N'),(15,2102811,'2',316,'N'),(15,2102820,'1',301,'N'),(15,2102838,'1',101,'N'),(15,2102838,'2',444,'N'),(15,2102846,'1',217,'N'),(15,2102846,'2',216,'N'),(15,2102854,'1',5,'N'),(15,2102854,'2',316,'N'),(15,2102862,'1',425,'N'),(15,2102862,'1A',426,'N'),(15,2102870,'1',103,'N'),(15,2102870,'2',201,'N'),(15,2102889,'1',102,'N'),(15,2102889,'2',215,'N'),(15,2102897,'1',316,'N'),(15,2102897,'2',333,'N'),(15,2102900,'1',103,'N'),(15,2102900,'2',425,'N'),(15,2102919,'1',214,'N'),(15,2102919,'1A',238,'N'),(15,2102919,'2',420,'N'),(15,2102927,'1',202,'N'),(15,2102927,'1A',201,'N'),(15,2102927,'2',2,'N'),(15,2102935,'1',420,'N'),(15,2102935,'2',404,'N'),(15,2102943,'1',304,'N'),(15,2102943,'2',318,'N'),(15,2102960,'1',211,'N'),(15,2102960,'1A',233,'N'),(15,2102960,'2',215,'N'),(15,2102986,'1',420,'N'),(15,2102986,'2',207,'N'),(15,2102994,'1',502,'N'),(15,2102994,'2',333,'N'),(15,2103010,'1',5,'N'),(15,2103010,'2',333,'N'),(15,2103028,'1',104,'N'),(15,2103028,'2',212,'N'),(15,2103052,'1',212,'N'),(15,2103052,'1A',214,'N'),(15,2103052,'2',216,'N'),(15,2103060,'1',214,'N'),(15,2103060,'1A',212,'N'),(15,2103060,'2',215,'N'),(15,2103087,'1',320,'N'),(15,2103087,'2',329,'N'),(15,2103095,'1',203,'N'),(15,2103095,'1A',214,'N'),(15,2103095,'2',211,'N'),(15,2103125,'1',102,'N'),(15,2103125,'2',217,'N'),(15,2103133,'1',104,'N'),(15,2103133,'2',102,'N'),(15,2103141,'1',103,'N'),(15,2103141,'2',319,'N'),(15,2103150,'1',303,'N'),(15,2103150,'2',5,'N'),(15,2103184,'1',320,'N'),(15,2103184,'2',310,'N'),(15,2103192,'1',203,'N'),(15,2103192,'1A',216,'N'),(15,2103192,'2',208,'N'),(15,2103206,'1',201,'N'),(15,2103206,'1A',212,'N'),(15,2103206,'2',303,'N'),(15,2103214,'1',103,'N'),(15,2103214,'2',104,'N'),(15,2103222,'1',303,'N'),(15,2103222,'2',5,'N'),(15,2103249,'1',319,'N'),(15,2103257,'1',207,'N'),(15,2103265,'1',404,'N'),(15,2103265,'2',238,'N'),(15,2103273,'1',5,'N'),(15,2103273,'2',304,'N'),(15,2103281,'1',319,'N'),(15,2103281,'2',420,'N'),(15,2103290,'1',222,'N'),(15,2103290,'2',220,'N'),(15,2103303,'1',103,'N'),(15,2103303,'2',101,'N'),(15,2103311,'1',203,'N'),(15,2103311,'1A',201,'N'),(15,2103311,'2',420,'N'),(15,2103338,'1',201,'N'),(15,2103338,'1A',212,'N'),(15,2103338,'2',215,'N'),(15,2103346,'1',220,'N'),(15,2103346,'1A',203,'N'),(15,2103346,'2',202,'N'),(15,2103354,'1',320,'N'),(15,2103354,'2',426,'N'),(15,2103370,'1',420,'N'),(15,2103370,'2',222,'N'),(15,2103389,'1',444,'N'),(15,2103389,'2',404,'N'),(15,2103400,'1',108,'N'),(15,2103400,'2',502,'N'),(15,2103419,'1',208,'N'),(15,2103419,'1A',238,'N'),(15,2103419,'2',420,'N'),(15,2103427,'1',102,'N'),(15,2103427,'2',216,'N'),(15,2103435,'1',103,'N'),(15,2103435,'2',303,'N'),(15,2103443,'1',103,'N'),(15,2103443,'2',9,'N'),(15,2103451,'1',103,'N'),(15,2103460,'1',9,'N'),(15,2103460,'2',428,'N'),(15,2103478,'1',108,'N'),(15,2103478,'2',404,'N'),(15,2103486,'1',5,'N'),(15,2103486,'2',319,'N'),(15,2103494,'1',425,'N'),(15,2103494,'1A',427,'N'),(15,2103508,'1',220,'N'),(15,2103508,'1A',233,'N'),(15,2103508,'2',420,'N'),(15,2103516,'1',203,'N'),(15,2103516,'1A',202,'N'),(15,2103516,'2',421,'N'),(15,2103524,'1',216,'N'),(15,2103524,'1A',214,'N'),(15,2103532,'1',501,'N'),(15,2103532,'2',318,'N'),(15,2103540,'1',215,'N'),(15,2103540,'1A',233,'N'),(15,2103540,'2',222,'N'),(15,2103559,'1',104,'N'),(15,2103559,'2',326,'N'),(15,2103575,'1',316,'N'),(15,2103575,'2',224,'N'),(15,2103583,'1',207,'N'),(15,2103583,'2',202,'N'),(15,2103591,'1',103,'N'),(15,2103591,'2',451,'N'),(15,2103605,'1',420,'N'),(15,2103605,'2',207,'N'),(15,2103613,'1',203,'N'),(15,2103613,'1A',214,'N'),(15,2103613,'2',202,'N'),(15,2103621,'1',415,'N'),(15,2103621,'2',211,'N'),(15,2103630,'1',207,'N'),(15,2103630,'2',301,'N'),(15,2103648,'1',108,'N'),(15,2103648,'2',415,'N'),(15,2103672,'1',238,'N'),(15,2103699,'1',103,'N'),(15,2103699,'2',319,'N'),(15,2103702,'1',333,'N'),(15,2103710,'1',9,'N'),(15,2103710,'2',502,'N'),(15,2103737,'1',332,'N'),(15,2103737,'2',327,'N'),(15,2103745,'1',202,'N'),(15,2103745,'1A',213,'N'),(15,2103745,'2',223,'N'),(15,2103753,'1',103,'N'),(15,2103753,'2',415,'N'),(15,2103761,'1',104,'N'),(15,2103761,'2',208,'N'),(15,2103770,'1',217,'N'),(15,2103770,'2',2,'N'),(15,2103788,'1',103,'N'),(15,2103788,'2',102,'N'),(15,2103796,'1',317,'N'),(15,2103796,'2',332,'N'),(15,2103800,'1',5,'N'),(15,2103800,'2',303,'N'),(15,2103818,'1',103,'N'),(15,2103818,'2',104,'N'),(15,2103826,'1',220,'N'),(15,2103826,'1A',203,'N'),(15,2103826,'2',208,'N'),(15,2103842,'1',215,'N'),(15,2103842,'1A',216,'N'),(15,2103842,'2',502,'N'),(15,2103850,'1',103,'N'),(15,2103850,'2',104,'N'),(15,2103869,'1',234,'N'),(15,2103869,'2',501,'N'),(15,2103877,'1',108,'N'),(15,2103877,'2',217,'N'),(15,2103885,'1',216,'N'),(15,2103885,'2',215,'N'),(15,2103893,'1',304,'N'),(15,2103893,'2',421,'N'),(15,2103907,'1',213,'N'),(15,2103907,'1A',202,'N'),(15,2103907,'2',316,'N'),(15,2103915,'1',104,'N'),(15,2103915,'2',102,'N'),(15,2103923,'1',103,'N'),(15,2103931,'1',404,'N'),(15,2103931,'2',324,'N'),(15,2103958,'1',108,'N'),(15,2103958,'2',101,'N'),(15,2103966,'1',103,'N'),(15,2103974,'1',103,'N'),(15,2103982,'1',217,'N'),(15,2103982,'2',339,'N'),(15,2104008,'1',201,'N'),(15,2104016,'1',415,'N'),(15,2104016,'2',404,'N'),(15,2104040,'1',207,'N'),(15,2104040,'1A',201,'N'),(15,2104040,'2',420,'N'),(15,2104059,'1',201,'N'),(15,2104059,'1A',212,'N'),(15,2104059,'2',303,'N'),(15,2104067,'1',415,'N'),(15,2104067,'2',320,'N'),(15,2104075,'1',309,'N'),(15,2104075,'2',101,'N'),(15,2104091,'1',103,'N'),(15,2104091,'2',333,'N'),(15,2104105,'1',202,'N'),(15,2104105,'1A',213,'N'),(15,2104105,'2',223,'N'),(15,2104113,'1',103,'N'),(15,2104113,'2',444,'N'),(15,2104121,'1',308,'N'),(15,2104121,'2',423,'N'),(15,2104130,'1',233,'N'),(15,2104130,'1A',214,'N'),(15,2104130,'2',203,'N'),(15,2104148,'1',201,'N'),(15,2104148,'1A',207,'N'),(15,2104148,'2',450,'N'),(15,2104156,'1',103,'N'),(15,2104156,'2',102,'N'),(15,2104164,'1',211,'N'),(15,2104164,'2',214,'N'),(15,2104172,'1',103,'N'),(15,2104172,'2',108,'N'),(15,2104180,'1',104,'N'),(15,2104180,'2',404,'N'),(15,2104199,'1',203,'N'),(15,2104199,'1A',207,'N'),(15,2104199,'2',224,'N'),(15,2104202,'1',420,'N'),(15,2104202,'2',303,'N'),(15,2104210,'1',450,'N'),(15,2104210,'2',327,'N'),(15,2104229,'1',103,'N'),(15,2104229,'2',216,'N'),(15,2104237,'1',404,'N'),(15,2104237,'2',444,'N'),(15,2104253,'1',319,'N'),(15,2104253,'2',302,'N'),(15,2104261,'1',216,'N'),(15,2104261,'2',333,'N'),(15,2104270,'1',316,'N'),(15,2104270,'2',444,'N'),(15,2104288,'1',103,'N'),(15,2104288,'2',203,'N'),(15,2104296,'1',212,'N'),(15,2104296,'1A',201,'N'),(15,2104296,'2',301,'N'),(15,2104300,'1',103,'N'),(15,2104300,'2',444,'N'),(15,2104318,'1',316,'N'),(15,2104318,'2',317,'N'),(15,2104326,'1',207,'N'),(15,2104326,'2',420,'N'),(15,2104334,'1',216,'N'),(15,2104334,'1A',215,'N'),(15,2104334,'2',102,'N'),(15,2104350,'1',428,'N'),(15,2104350,'1A',423,'N'),(15,2104369,'1',203,'N'),(15,2104369,'1A',220,'N'),(15,2104369,'2',202,'N'),(15,2104377,'1',101,'N'),(15,2104377,'2',502,'N'),(15,2104385,'1',420,'N'),(15,2104385,'2',207,'N'),(15,2104393,'1',316,'N'),(15,2104393,'2',201,'N'),(15,2104407,'1',201,'N'),(15,2104407,'1A',207,'N'),(15,2104407,'2',426,'N'),(15,2104415,'1',203,'N'),(15,2104415,'1A',211,'N'),(15,2104415,'2',224,'N'),(15,2104431,'1',415,'N'),(15,2104431,'2',420,'N'),(15,2104440,'1',428,'N'),(15,2104440,'1A',425,'N'),(15,2104440,'2',421,'N'),(15,2104458,'1',103,'N'),(15,2104458,'2',234,'N'),(15,2104466,'1',301,'N'),(15,2104466,'2',207,'N'),(15,2104474,'1',404,'N'),(15,2104482,'1',208,'N'),(15,2104482,'1A',238,'N'),(15,2104482,'2',444,'N'),(15,2104504,'1',415,'N'),(15,2104504,'2',104,'N'),(15,2104512,'1',233,'N'),(15,2104512,'1A',207,'N'),(15,2104512,'2',420,'N'),(15,2104520,'1',316,'N'),(15,2104520,'2',317,'N'),(15,2104547,'1',214,'N'),(15,2104547,'2',318,'N'),(15,2104555,'1',103,'N'),(15,2104555,'2',104,'N'),(15,2104563,'1',502,'N'),(15,2104563,'2',217,'N'),(15,2104571,'1',101,'N'),(15,2104571,'2',404,'N'),(15,2104580,'1',316,'N'),(15,2104580,'2',224,'N'),(15,2104598,'1',333,'N'),(15,2104598,'2',202,'N'),(15,2104601,'1',326,'N'),(15,2104601,'2',424,'N'),(15,2104628,'1',103,'N'),(15,2104628,'2',333,'N'),(15,2104636,'1',201,'N'),(15,2104636,'1A',211,'N'),(15,2104636,'2',224,'N'),(15,2104644,'1',103,'N'),(15,2104644,'2',316,'N'),(15,2104652,'1',103,'N'),(15,2104652,'2',201,'N'),(15,2104660,'1',207,'N'),(15,2104660,'1A',201,'N'),(15,2104660,'2',420,'N'),(15,2104679,'1',316,'N'),(15,2104679,'2',318,'N'),(15,2104687,'1',5,'N'),(15,2104687,'2',223,'N'),(15,2104695,'1',415,'N'),(15,2104695,'2',429,'N'),(15,2104709,'1',211,'N'),(15,2104709,'1A',203,'N'),(15,2104709,'2',108,'N'),(15,2104717,'1',103,'N'),(15,2104717,'2',319,'N'),(15,2104725,'1',201,'N'),(15,2104725,'1A',220,'N'),(15,2104725,'2',301,'N'),(15,2104733,'1',207,'N'),(15,2104733,'1A',201,'N'),(15,2104733,'2',217,'N'),(15,2104741,'1',333,'N'),(15,2104741,'2',415,'N'),(15,2104750,'1',421,'N'),(15,2104750,'2',424,'N'),(15,2104768,'1',217,'N'),(15,2104768,'2',216,'N'),(15,2104776,'1',207,'N'),(15,2104776,'2',420,'N'),(15,2104784,'1',303,'N'),(15,2104784,'2',5,'N'),(15,2104806,'1',220,'N'),(15,2104806,'1A',213,'N'),(15,2104806,'2',214,'N'),(15,2104814,'1',328,'N'),(15,2104814,'2',5,'N'),(15,2104822,'1',316,'N'),(15,2104822,'2',318,'N'),(15,2104830,'1',203,'N'),(15,2104849,'1',415,'N'),(15,2104849,'2',238,'N'),(15,2104865,'1',202,'N'),(15,2104865,'1A',213,'N'),(15,2104865,'2',318,'N'),(15,2104873,'1',217,'N'),(15,2104873,'2',108,'N'),(15,2104881,'1',101,'N'),(15,2104881,'2',304,'N'),(15,2104890,'1',202,'N'),(15,2104890,'1A',214,'N'),(15,2104890,'2',333,'N'),(15,2104920,'1',103,'N'),(15,2104920,'2',304,'N'),(15,2104938,'1',201,'N'),(15,2104946,'1',420,'N'),(15,2104954,'1',404,'N'),(15,2104962,'1',103,'N'),(15,2104962,'2',333,'N'),(15,2104970,'1',217,'N'),(15,2104970,'2',415,'N'),(15,2104989,'1',216,'N'),(15,2104989,'1A',233,'N'),(15,2104989,'2',214,'N'),(15,2105004,'1',303,'N'),(15,2105004,'2',9,'N'),(15,2105012,'1',5,'N'),(15,2105012,'2',303,'N'),(15,2105039,'1',104,'N'),(15,2105039,'2',102,'N'),(15,2105047,'1',404,'N'),(15,2105047,'2',308,'N'),(15,2105055,'1',103,'N'),(15,2105055,'2',9,'N'),(15,2105063,'1',103,'N'),(15,2105063,'2',303,'N'),(15,2105071,'1',223,'N'),(15,2105071,'2',224,'N'),(15,2105080,'1',104,'N'),(15,2105080,'2',211,'N'),(15,2105098,'1',224,'N'),(15,2105098,'2',318,'N'),(15,2105101,'1',220,'N'),(15,2105101,'1A',202,'N'),(15,2105101,'2',421,'N'),(15,2105110,'1',101,'N'),(15,2105110,'2',108,'N'),(15,2105128,'1',103,'N'),(15,2105128,'2',326,'N'),(15,2105136,'1',103,'N'),(15,2105144,'1',318,'N'),(15,2105144,'2',316,'N'),(15,2105152,'1',211,'N'),(15,2105152,'2',304,'N'),(15,2105160,'1',420,'N'),(15,2105160,'2',319,'N'),(15,2105179,'1',316,'N'),(15,2105179,'2',319,'N'),(15,2105187,'1',302,'N'),(15,2105187,'2',301,'N'),(15,2105195,'1',103,'N'),(15,2105195,'2',102,'N'),(15,2105209,'1',216,'N'),(15,2105209,'1A',215,'N'),(15,2105209,'2',102,'N'),(15,2105217,'1',202,'N'),(15,2105217,'1A',233,'N'),(15,2105217,'2',238,'N'),(15,2105225,'1',201,'N'),(15,2105225,'1A',207,'N'),(15,2105225,'2',211,'N'),(15,2105233,'1',103,'N'),(15,2105233,'2',5,'N'),(15,2105241,'1',302,'N'),(15,2105241,'2',223,'N'),(15,2105268,'1',303,'N'),(15,2105268,'2',310,'N'),(15,2105276,'1',104,'N'),(15,2105276,'2',444,'N'),(15,2105284,'1',211,'N'),(15,2105284,'1A',212,'N'),(15,2105284,'2',201,'N'),(15,2105292,'1',5,'N'),(15,2105292,'2',415,'N'),(15,2105306,'1',103,'N'),(15,2105306,'2',104,'N'),(15,2105322,'1',222,'N'),(15,2105322,'2',214,'N'),(15,2105330,'1',103,'N'),(15,2105330,'2',207,'N'),(15,2105357,'1',415,'N'),(15,2105365,'1',428,'N'),(15,2105365,'1A',426,'N'),(15,2105365,'2',424,'N'),(15,2105373,'1',223,'N'),(15,2105373,'2',217,'N'),(15,2105381,'1',103,'N'),(15,2105381,'2',201,'N'),(15,2105411,'1',203,'N'),(15,2105411,'1A',201,'N'),(15,2105411,'2',216,'N'),(15,2105420,'1',104,'N'),(15,2105420,'2',102,'N'),(15,2105438,'1',238,'N'),(15,2105438,'1A',220,'N'),(15,2105438,'2',316,'N'),(15,2105446,'1',207,'N'),(15,2105446,'2',324,'N'),(15,2105470,'1',207,'N'),(15,2105470,'1A',201,'N'),(15,2105470,'2',420,'N'),(15,2105489,'1',202,'N'),(15,2105489,'1A',213,'N'),(15,2105489,'2',208,'N'),(15,2105497,'1',424,'N'),(15,2105497,'1A',427,'N'),(15,2105497,'2',217,'N'),(15,2105500,'1',104,'N'),(15,2105500,'2',319,'N'),(15,2105527,'1',103,'N'),(15,2105527,'2',303,'N'),(15,2105535,'1',5,'N'),(15,2105535,'2',308,'N'),(15,2105560,'1',316,'N'),(15,2105560,'2',301,'N'),(15,2105578,'1',108,'N'),(15,2105578,'2',333,'N'),(15,2105586,'1',303,'N'),(15,2105608,'1',5,'N'),(15,2105616,'1',212,'N'),(15,2105616,'1A',238,'N'),(15,2105616,'2',222,'N'),(15,2105624,'1',103,'N'),(15,2105624,'2',104,'N'),(15,2105640,'1',102,'N'),(15,2105659,'1',326,'N'),(15,2105659,'2',328,'N'),(15,2105667,'1',224,'N'),(15,2105667,'2',211,'N'),(15,2105675,'1',211,'N'),(15,2105683,'1',102,'N'),(15,2105683,'2',451,'N'),(15,2105691,'1',104,'N'),(15,2105691,'2',9,'N'),(15,2105705,'1',423,'N'),(15,2105705,'1A',425,'N'),(15,2105705,'2',424,'N'),(15,2105713,'1',203,'N'),(15,2105713,'1A',214,'N'),(15,2105713,'2',316,'N'),(15,2105721,'1',216,'N'),(15,2105721,'1A',207,'N'),(15,2105721,'2',201,'N'),(15,2105730,'1',316,'N'),(15,2105730,'2',308,'N'),(15,2105748,'1',444,'N'),(15,2105748,'2',415,'N'),(15,2105756,'1',102,'N'),(15,2105756,'2',333,'N'),(15,2105764,'1',304,'N'),(15,2105764,'2',310,'N'),(15,2105772,'1',333,'N'),(15,2105772,'2',303,'N'),(15,2105780,'1',451,'N'),(15,2105780,'2',428,'N'),(15,2105799,'1',420,'N'),(15,2105799,'2',308,'N'),(15,2105802,'1',450,'N'),(15,2105802,'2',327,'N'),(15,2105810,'1',103,'N'),(15,2105810,'2',333,'N'),(15,2105829,'1',420,'N'),(15,2105829,'2',238,'N'),(15,2105837,'1',103,'N'),(15,2105837,'2',104,'N'),(15,2105845,'1',103,'N'),(15,2105845,'2',102,'N'),(15,2105853,'1',415,'N'),(15,2105853,'2',301,'N'),(15,2105861,'1',5,'N'),(15,2105861,'2',415,'N'),(15,2105888,'1',103,'N'),(15,2105888,'2',216,'N'),(15,2105896,'1',211,'N'),(15,2105896,'1A',216,'N'),(15,2105896,'2',233,'N'),(15,2105900,'1',220,'N'),(15,2105900,'1A',214,'N'),(15,2105900,'2',451,'N'),(15,2105918,'1',102,'N'),(15,2105918,'2',9,'N'),(15,2105926,'1',326,'N'),(15,2105926,'2',428,'N'),(15,2105934,'1',103,'N'),(15,2105934,'2',102,'N'),(15,2105942,'1',329,'N'),(15,2105950,'1',104,'N'),(15,2105950,'2',327,'N'),(15,2105969,'1',203,'N'),(15,2105969,'1A',202,'N'),(15,2105969,'2',208,'N'),(15,2105977,'1',303,'N'),(15,2105977,'2',9,'N'),(15,2105985,'1',108,'N'),(15,2105985,'2',415,'N'),(15,2105993,'1',220,'N'),(15,2105993,'1A',208,'N'),(15,2106000,'1',309,'N'),(15,2106000,'2',339,'N'),(15,2106019,'1',103,'N'),(15,2106019,'2',101,'N'),(15,2106027,'1',319,'N'),(15,2106027,'2',326,'N'),(15,2106043,'1',104,'N'),(15,2106043,'2',502,'N'),(15,2106051,'1',309,'N'),(15,2106051,'2',223,'N'),(15,2106060,'1',104,'N'),(15,2106060,'2',444,'N'),(15,2106078,'1',102,'N'),(15,2106078,'2',217,'N'),(15,2106094,'1',102,'N'),(15,2106094,'2',101,'N'),(15,2106108,'1',103,'N'),(15,2106116,'1',501,'N'),(15,2106116,'2',502,'N'),(15,2106124,'1',108,'N'),(15,2106132,'1',102,'N'),(15,2106132,'2',216,'N'),(15,2106159,'1',101,'N'),(15,2106159,'2',102,'N'),(15,2106167,'1',304,'N'),(15,2106167,'2',318,'N'),(15,2106183,'1',404,'N'),(15,2106183,'2',301,'N'),(15,2106191,'1',316,'N'),(15,2106191,'2',9,'N'),(15,2106205,'1',103,'N'),(15,2106205,'2',101,'N'),(15,2106213,'1',203,'N'),(15,2106213,'1A',202,'N'),(15,2106221,'1',324,'N'),(15,2106221,'2',423,'N'),(15,2106230,'1',203,'N'),(15,2106230,'1A',233,'N'),(15,2106230,'2',2,'N'),(15,2106256,'1',220,'N'),(15,2106256,'1A',211,'N'),(15,2106256,'2',214,'N'),(15,2106264,'1',207,'N'),(15,2106264,'1A',212,'N'),(15,2106264,'2',201,'N'),(15,2106272,'1',203,'N'),(15,2106272,'1A',214,'N'),(15,2106272,'2',201,'N'),(15,2106280,'1',103,'N'),(15,2106280,'2',101,'N'),(15,2106299,'1',101,'N'),(15,2106299,'2',415,'N'),(15,2106302,'1',211,'N'),(15,2106302,'1A',201,'N'),(15,2106302,'2',223,'N'),(15,2106329,'1',103,'N'),(15,2106329,'2',104,'N'),(15,2106337,'1',103,'N'),(15,2106337,'2',104,'N'),(15,2106345,'1',104,'N'),(15,2106345,'2',319,'N'),(15,2106361,'1',203,'N'),(15,2106361,'1A',208,'N'),(15,2106361,'2',5,'N'),(15,2106388,'1',101,'N'),(15,2106388,'2',319,'N'),(15,2106396,'1',450,'N'),(15,2106396,'2',331,'N'),(15,2106400,'1',301,'N'),(15,2106400,'2',302,'N'),(15,2106418,'1',207,'N'),(15,2106418,'1A',201,'N'),(15,2106418,'2',333,'N'),(15,2106426,'1',301,'N'),(15,2106426,'2',104,'N'),(15,2106434,'1',207,'N'),(15,2106434,'2',333,'N'),(15,2106442,'1',301,'N'),(15,2106442,'2',316,'N'),(15,2106450,'1',103,'N'),(15,2106450,'2',319,'N'),(15,2106469,'1',103,'N'),(15,2106469,'2',427,'N'),(15,2106485,'1',216,'N'),(15,2106485,'2',203,'N'),(15,2106493,'1',208,'N'),(15,2106493,'1A',203,'N'),(15,2106493,'2',316,'N'),(15,2106507,'1',203,'N'),(15,2106507,'2',208,'N'),(15,2106515,'1',224,'N'),(15,2106515,'2',222,'N'),(15,2106531,'1',332,'N'),(15,2106531,'2',333,'N'),(15,2106540,'1',303,'N'),(15,2106540,'2',309,'N'),(15,2106558,'1',339,'N'),(15,2106558,'2',324,'N'),(15,2106566,'1',103,'N'),(15,2106566,'2',319,'N'),(15,2106574,'1',429,'N'),(15,2106574,'1A',421,'N'),(15,2106574,'2',319,'N'),(15,2106582,'1',103,'N'),(15,2106582,'2',102,'N'),(15,2106590,'1',103,'N'),(15,2106590,'2',303,'N'),(15,2106604,'1',103,'N'),(15,2106604,'2',303,'N'),(15,2106612,'1',420,'N'),(15,2106612,'2',207,'N'),(15,2106620,'1',404,'N'),(15,2106620,'2',211,'N'),(15,2106639,'1',319,'N'),(15,2106639,'2',309,'N'),(15,2106647,'1',103,'N'),(15,2106647,'2',415,'N'),(15,2106655,'1',318,'N'),(15,2106655,'2',333,'N'),(15,2106663,'1',415,'N'),(15,2106663,'2',319,'N'),(15,2106671,'1',103,'N'),(15,2106671,'2',104,'N'),(15,2106698,'1',501,'N'),(15,2106698,'2',108,'N'),(15,2106701,'1',202,'N'),(15,2106701,'1A',233,'N'),(15,2106701,'2',215,'N'),(15,2106710,'1',333,'N'),(15,2106710,'2',108,'N'),(15,2106728,'1',420,'N'),(15,2106728,'2',450,'N'),(15,2106736,'1',211,'N'),(15,2106736,'1A',238,'N'),(15,2106736,'2',316,'N'),(15,2106744,'1',103,'N'),(15,2106744,'2',102,'N'),(15,2106760,'1',5,'N'),(15,2106760,'2',303,'N'),(15,2106787,'1',9,'N'),(15,2106787,'2',444,'N'),(15,2106795,'1',316,'N'),(15,2106795,'2',301,'N'),(15,2106833,'1',203,'N'),(15,2106833,'1A',201,'N'),(15,2106833,'2',215,'N'),(15,2106841,'1',217,'N'),(15,2106841,'2',428,'N'),(15,2106850,'1',103,'N'),(15,2106850,'2',203,'N'),(15,2106876,'1',9,'N'),(15,2106876,'2',319,'N'),(15,2106884,'1',316,'N'),(15,2106884,'2',332,'N'),(15,2106892,'1',103,'N'),(15,2106892,'2',9,'N'),(15,2106906,'1',224,'N'),(15,2106906,'2',223,'N'),(15,2106914,'1',103,'N'),(15,2106914,'2',319,'N'),(15,2106949,'1',207,'N'),(15,2106949,'1A',201,'N'),(15,2106949,'2',303,'N'),(15,2106957,'1',103,'N'),(15,2106965,'1',415,'N'),(15,2106965,'2',301,'N'),(15,2106981,'1',203,'N'),(15,2106981,'1A',214,'N'),(15,2106981,'2',501,'N'),(15,2106990,'1',103,'N'),(15,2106990,'2',108,'N'),(15,2107007,'1',220,'N'),(15,2107007,'1A',203,'N'),(15,2107007,'2',301,'N'),(15,2107015,'1',104,'N'),(15,2107015,'2',103,'N'),(15,2107040,'1',238,'N'),(15,2107040,'2',101,'N'),(15,2107058,'1',317,'N'),(15,2107058,'2',339,'N'),(15,2107066,'1',303,'N'),(15,2107066,'2',101,'N'),(15,2107082,'1',429,'N'),(15,2107082,'1A',425,'N'),(15,2107082,'2',319,'N'),(15,2107090,'1',216,'N'),(15,2107090,'2',215,'N'),(15,2107104,'1',103,'N'),(15,2107104,'2',102,'N'),(15,2107112,'1',215,'N'),(15,2107112,'1A',216,'N'),(15,2107112,'2',420,'N'),(15,2107120,'1',101,'N'),(15,2107120,'2',429,'N'),(15,2107139,'1',108,'N'),(15,2107139,'2',451,'N'),(15,2107163,'1',202,'N'),(15,2107163,'1A',213,'N'),(15,2107171,'1',103,'N'),(15,2107171,'2',101,'N'),(15,2107180,'1',404,'N'),(15,2107180,'2',339,'N'),(15,2107201,'1',103,'N'),(15,2107201,'2',319,'N'),(15,2107210,'1',103,'N'),(15,2107210,'2',108,'N'),(15,2107228,'1',316,'N'),(15,2107228,'2',415,'N'),(15,2107236,'1',225,'N'),(15,2107236,'2',222,'N'),(15,2107244,'1',213,'N'),(15,2107244,'1A',220,'N'),(15,2107244,'2',203,'N'),(15,2107252,'1',103,'N'),(15,2107252,'2',9,'N'),(15,2107260,'1',103,'N'),(15,2107279,'1',308,'N'),(15,2107279,'2',101,'N'),(15,2107287,'1',303,'N'),(15,2107287,'2',5,'N'),(15,2107295,'1',217,'N'),(15,2107295,'2',224,'N'),(15,2107325,'1',316,'N'),(15,2107325,'2',317,'N'),(15,2107333,'1',103,'N'),(15,2107333,'2',216,'N'),(15,2107341,'1',326,'N'),(15,2107341,'2',327,'N'),(15,2107350,'1',303,'N'),(15,2107350,'2',301,'N'),(15,2107368,'1',201,'N'),(15,2107368,'1A',233,'N'),(15,2107368,'2',213,'N'),(15,2107384,'1',214,'N'),(15,2107384,'1A',215,'N'),(15,2107384,'2',316,'N'),(15,2107392,'1',303,'N'),(15,2107392,'2',301,'N'),(15,2107406,'1',303,'N'),(15,2107406,'2',301,'N'),(15,2107414,'1',5,'N'),(15,2107422,'1',327,'N'),(15,2107422,'2',421,'N'),(15,2107430,'1',201,'N'),(15,2107449,'1',329,'N'),(15,2107449,'2',327,'N'),(15,2107473,'1',208,'N'),(15,2107473,'1A',238,'N'),(15,2107481,'1',201,'N'),(15,2107481,'1A',212,'N'),(15,2107490,'1',207,'N'),(15,2107490,'2',102,'N'),(15,2107503,'1',103,'N'),(15,2107503,'2',207,'N'),(15,2107511,'1',238,'N'),(15,2107511,'1A',208,'N'),(15,2107511,'2',301,'N'),(15,2107520,'1',415,'N'),(15,2107520,'2',450,'N'),(15,2107538,'1',103,'N'),(15,2107538,'2',216,'N'),(15,2107546,'1',108,'N'),(15,2107546,'2',217,'N'),(15,2107554,'1',103,'N'),(15,2107562,'1',303,'N'),(15,2107562,'2',304,'N'),(15,2107570,'1',225,'N'),(15,2107570,'2',329,'N'),(15,2107597,'1',103,'N'),(15,2107597,'2',108,'N'),(15,2107600,'1',201,'N'),(15,2107600,'2',223,'N'),(15,2107619,'1',103,'N'),(15,2107619,'2',102,'N'),(15,2107627,'1',450,'N'),(15,2107627,'2',326,'N'),(15,2107643,'1',303,'N'),(15,2107643,'2',5,'N'),(15,2107678,'1',5,'N'),(15,2107678,'2',329,'N'),(15,2107686,'1',102,'N'),(15,2107686,'2',211,'N'),(15,2107694,'1',501,'N'),(15,2107694,'2',201,'N'),(15,2107716,'1',102,'N'),(15,2107724,'1',103,'N'),(15,2107724,'2',104,'N'),(15,2107759,'1',333,'N'),(15,2107759,'2',234,'N'),(15,2107767,'1',103,'N'),(15,2107767,'2',421,'N'),(15,2107775,'1',208,'N'),(15,2107775,'1A',212,'N'),(15,2107775,'2',324,'N'),(15,2107805,'1',216,'N'),(15,2107805,'1A',211,'N'),(15,2107805,'2',217,'N'),(15,2107813,'1',102,'N'),(15,2107813,'2',215,'N'),(15,2107821,'1',502,'N'),(15,2107821,'2',211,'N'),(15,2107830,'1',327,'N'),(15,2107830,'2',324,'N'),(15,2107848,'1',217,'N'),(15,2107848,'2',216,'N'),(15,2107856,'1',319,'N'),(15,2107856,'2',327,'N'),(15,2107864,'1',103,'N'),(15,2107864,'2',203,'N'),(15,2107872,'1',415,'N'),(15,2107872,'2',450,'N'),(15,2107880,'1',202,'N'),(15,2107880,'1A',203,'N'),(15,2107880,'2',213,'N'),(15,2107899,'1',316,'N'),(15,2107899,'2',301,'N'),(15,2107910,'1',316,'N'),(15,2107910,'2',301,'N'),(15,2107929,'1',102,'N'),(15,2107929,'2',108,'N'),(15,2107937,'1',207,'N'),(15,2107937,'1A',211,'N'),(15,2107937,'2',420,'N'),(15,2107945,'1',217,'N'),(15,2107945,'2',102,'N'),(15,2107961,'1',103,'N'),(15,2107961,'2',104,'N'),(15,2107988,'1',303,'N'),(15,2107988,'2',326,'N'),(15,2107996,'1',415,'N'),(15,2107996,'2',208,'N'),(15,2108003,'1',238,'N'),(15,2108003,'1A',208,'N'),(15,2108003,'2',444,'N'),(15,2108020,'1',103,'N'),(15,2108020,'2',224,'N'),(15,2108038,'1',202,'N'),(15,2108038,'2',2,'N'),(15,2108046,'1',104,'N'),(15,2108046,'2',331,'N'),(15,2108054,'1',331,'N'),(15,2108054,'2',309,'N'),(15,2108062,'1',333,'N'),(15,2108062,'2',332,'N'),(15,2108089,'1',103,'N'),(15,2108097,'1',329,'N'),(15,2108097,'2',328,'N'),(15,2108100,'1',102,'N'),(15,2108100,'2',108,'N'),(15,2108119,'1',233,'N'),(15,2108119,'1A',216,'N'),(15,2108119,'2',211,'N'),(15,2108127,'1',319,'N'),(15,2108127,'2',225,'N'),(15,2108135,'1',103,'N'),(15,2108135,'2',101,'N'),(15,2108143,'1',202,'N'),(15,2108143,'1A',213,'N'),(15,2108143,'2',225,'N'),(15,2108151,'1',103,'N'),(15,2108151,'2',108,'N'),(15,2108160,'1',103,'N'),(15,2108160,'2',203,'N'),(15,2108178,'1',319,'N'),(15,2108178,'2',444,'N'),(15,2108186,'1',220,'N'),(15,2108186,'1A',203,'N'),(15,2108186,'2',202,'N'),(15,2108194,'1',450,'N'),(15,2108194,'2',215,'N'),(15,2108208,'1',420,'N'),(15,2108208,'2',451,'N'),(15,2108224,'1',103,'N'),(15,2108224,'2',101,'N'),(15,2108232,'1',309,'N'),(15,2108232,'2',423,'N'),(15,2108240,'1',101,'N'),(15,2108240,'2',339,'N'),(15,2108259,'1',208,'N'),(15,2108259,'1A',238,'N'),(15,2108259,'2',222,'N'),(15,2108275,'1',9,'N'),(15,2108275,'2',333,'N'),(15,2108291,'1',103,'N'),(15,2108291,'2',207,'N'),(15,2108305,'1',308,'N'),(15,2108305,'2',339,'N'),(15,2108313,'1',208,'N'),(15,2108313,'1A',238,'N'),(15,2108313,'2',444,'N'),(15,2108321,'1',501,'N'),(15,2108330,'1',444,'N'),(15,2108330,'2',451,'N'),(15,2108348,'1',301,'N'),(15,2108348,'2',444,'N'),(15,2108356,'1',207,'N'),(15,2108356,'1A',201,'N'),(15,2108356,'2',339,'N'),(15,2108364,'1',102,'N'),(15,2108364,'2',309,'N'),(15,2108372,'1',301,'N'),(15,2108372,'2',316,'N'),(15,2108380,'1',316,'N'),(15,2108380,'2',333,'N'),(15,2108399,'1',451,'N'),(15,2108399,'2',444,'N'),(15,2108402,'1',203,'N'),(15,2108402,'1A',214,'N'),(15,2108402,'2',220,'N'),(15,2108410,'1',332,'N'),(15,2108410,'2',308,'N'),(15,2108429,'1',303,'N'),(15,2108429,'2',425,'N'),(15,2108437,'1',324,'N'),(15,2108437,'2',101,'N'),(15,2108445,'1',309,'N'),(15,2108445,'2',501,'N'),(15,2108453,'1',211,'N'),(15,2108453,'1A',207,'N'),(15,2108453,'2',333,'N'),(15,2108461,'1',103,'N'),(15,2108461,'2',104,'N'),(15,2108470,'1',103,'N'),(15,2108470,'2',102,'N'),(15,2108488,'1',202,'N'),(15,2108488,'2',2,'N'),(15,2108496,'1',214,'N'),(15,2108496,'1A',212,'N'),(15,2108496,'2',316,'N'),(15,2108500,'1',202,'N'),(15,2108500,'1A',213,'N'),(15,2108500,'2',220,'N'),(15,2108518,'1',5,'N'),(15,2108518,'2',415,'N'),(15,2108534,'1',216,'N'),(15,2108550,'1',103,'N'),(15,2108550,'2',104,'N'),(15,2108569,'1',103,'N'),(15,2108569,'2',104,'N'),(15,2108577,'1',103,'N'),(15,2108577,'2',207,'N'),(15,2108585,'1',103,'N'),(15,2108585,'2',102,'N'),(15,2108593,'1',104,'N'),(15,2108593,'2',423,'N'),(15,2108607,'1',225,'N'),(15,2108607,'2',217,'N'),(15,2108615,'1',102,'N'),(15,2108615,'2',217,'N'),(15,2108623,'1',103,'N'),(15,2108623,'2',101,'N'),(15,2108631,'1',428,'N'),(15,2108631,'1A',426,'N'),(15,2108631,'2',425,'N'),(15,2108640,'1',103,'N'),(15,2108640,'2',108,'N'),(15,2108666,'1',103,'N'),(15,2108666,'2',333,'N'),(15,2108674,'1',103,'N'),(15,2108690,'1',215,'N'),(15,2108690,'1A',216,'N'),(15,2108690,'2',317,'N'),(15,2108704,'1',201,'N'),(15,2108704,'1A',212,'N'),(15,2108704,'2',501,'N'),(15,2108712,'1',103,'N'),(15,2108712,'2',5,'N'),(15,2108720,'1',216,'N'),(15,2108720,'1A',233,'N'),(15,2108720,'2',427,'N'),(15,2108755,'1',428,'N'),(15,2108755,'1A',426,'N'),(15,2108755,'2',326,'N'),(15,2108763,'1',238,'N'),(15,2108763,'1A',208,'N'),(15,2108763,'2',201,'N'),(15,2108798,'1',333,'N'),(15,2108798,'2',217,'N'),(15,2108801,'1',303,'N'),(15,2108801,'2',5,'N'),(15,2108810,'1',104,'N'),(15,2108810,'2',102,'N'),(15,2108828,'1',415,'N'),(15,2108828,'2',208,'N'),(15,2108836,'1',216,'N'),(15,2108836,'1A',208,'N'),(15,2108836,'2',318,'N'),(15,2108844,'1',103,'N'),(15,2108844,'2',102,'N'),(15,2108852,'1',207,'N'),(15,2108852,'1A',211,'N'),(15,2108852,'2',9,'N'),(15,2108860,'1',207,'N'),(15,2108860,'1A',201,'N'),(15,2108860,'2',332,'N'),(15,2108879,'1',301,'N'),(15,2108879,'2',425,'N'),(15,2108887,'1',319,'N'),(15,2108887,'2',238,'N'),(15,2108895,'1',303,'N'),(15,2108909,'1',319,'N'),(15,2108909,'2',425,'N'),(15,2108917,'1',5,'N'),(15,2108917,'2',327,'N'),(15,2108925,'1',103,'N'),(15,2108925,'2',101,'N'),(15,2108933,'1',5,'N'),(15,2108933,'2',316,'N'),(15,2108941,'1',101,'N'),(15,2108941,'2',333,'N'),(15,2108968,'1',425,'N'),(15,2108968,'1A',421,'N'),(15,2108968,'2',310,'N'),(15,2108992,'1',238,'N'),(15,2108992,'1A',208,'N'),(15,2108992,'2',333,'N'),(15,2109018,'1',238,'N'),(15,2109018,'1A',215,'N'),(15,2109018,'2',224,'N'),(15,2109034,'1',202,'N'),(15,2109034,'1A',201,'N'),(15,2109034,'2',223,'N'),(15,2109042,'1',104,'N'),(15,2109042,'2',208,'N'),(15,2109050,'1',203,'N'),(15,2109050,'1A',211,'N'),(15,2109050,'2',233,'N'),(15,2109069,'1',302,'N'),(15,2109069,'2',223,'N'),(15,2109077,'1',216,'N'),(15,2109077,'1A',215,'N'),(15,2109077,'2',223,'N'),(15,2109085,'1',308,'N'),(15,2109085,'2',427,'N'),(15,2109093,'1',303,'N'),(15,2109093,'2',5,'N'),(15,2109107,'1',316,'N'),(15,2109107,'2',420,'N'),(15,2109115,'1',5,'N'),(15,2109115,'2',318,'N'),(15,2109123,'1',304,'N'),(15,2109123,'2',331,'N'),(15,2109131,'1',5,'N'),(15,2109131,'2',308,'N'),(15,2109140,'1',202,'N'),(15,2109158,'1',103,'N'),(15,2109158,'2',104,'N'),(15,2109166,'1',217,'N'),(15,2109166,'2',423,'N'),(15,2109174,'1',207,'N'),(15,2109174,'1A',201,'N'),(15,2109174,'2',420,'N'),(15,2109182,'1',207,'N'),(15,2109182,'1A',201,'N'),(15,2109182,'2',420,'N'),(15,2109190,'1',103,'N'),(15,2109190,'2',104,'N'),(15,2109204,'1',238,'N'),(15,2109204,'1A',233,'N'),(15,2109204,'2',317,'N'),(15,2109212,'1',444,'N'),(15,2109212,'2',318,'N'),(15,2109220,'1',103,'N'),(15,2109220,'2',203,'N'),(15,2109247,'1',216,'N'),(15,2109255,'1',216,'N'),(15,2109255,'2',233,'N'),(15,2109263,'1',213,'N'),(15,2109263,'1A',202,'N'),(15,2109263,'2',220,'N'),(15,2109271,'1',203,'N'),(15,2109271,'1A',201,'N'),(15,2109271,'2',225,'N'),(15,2109280,'1',101,'N'),(15,2109280,'2',308,'N'),(15,2109298,'1',207,'N'),(15,2109298,'2',420,'N'),(15,2109301,'1',102,'N'),(15,2109301,'2',215,'N'),(15,2109310,'1',5,'N'),(15,2109310,'2',339,'N'),(15,2109328,'1',103,'N'),(15,2109328,'2',101,'N'),(15,2109336,'1',108,'N'),(15,2109336,'2',333,'N'),(15,2109344,'1',429,'N'),(15,2109344,'1A',427,'N'),(15,2109344,'2',423,'N'),(15,2109352,'1',202,'N'),(15,2109352,'1A',213,'N'),(15,2109352,'2',220,'N'),(15,2109360,'1',326,'N'),(15,2109360,'2',428,'N'),(15,2109379,'1',201,'N'),(15,2109387,'1',215,'N'),(15,2109387,'1A',211,'N'),(15,2109387,'2',324,'N'),(15,2109395,'1',216,'N'),(15,2109395,'1A',211,'N'),(15,2109395,'2',214,'N'),(15,2109425,'1',415,'N'),(15,2109425,'2',320,'N'),(15,2109433,'1',208,'N'),(15,2109433,'2',328,'N'),(15,2109441,'1',317,'N'),(15,2109441,'2',339,'N'),(15,2109450,'1',201,'N'),(15,2109450,'1A',212,'N'),(15,2109450,'2',2,'N'),(15,2109468,'1',415,'N'),(15,2109468,'2',339,'N'),(15,2109476,'1',404,'N'),(15,2109476,'2',451,'N'),(15,2109484,'1',502,'N'),(15,2109492,'1',316,'N'),(15,2109492,'2',318,'N'),(15,2109506,'1',5,'N'),(15,2109506,'2',428,'N'),(15,2109514,'1',420,'N'),(15,2109514,'2',426,'N'),(15,2109530,'1',318,'N'),(15,2109530,'2',304,'N'),(15,2109549,'1',9,'N'),(15,2109549,'2',215,'N'),(15,2109565,'1',318,'N'),(15,2109565,'2',238,'N'),(15,2109573,'1',303,'N'),(15,2109573,'2',425,'N'),(15,2109581,'1',102,'N'),(15,2109581,'2',216,'N'),(15,2109611,'1',317,'N'),(15,2109611,'2',324,'N'),(15,2109620,'1',103,'N'),(15,2109620,'2',203,'N'),(15,2109638,'1',207,'N'),(15,2109638,'1A',233,'N'),(15,2109638,'2',420,'N'),(15,2109654,'1',5,'N'),(15,2109654,'2',425,'N'),(15,2109662,'1',102,'N'),(15,2109662,'2',215,'N'),(15,2109670,'1',501,'N'),(15,2109670,'2',319,'N'),(15,2109689,'1',103,'N'),(15,2109689,'2',104,'N'),(15,2109697,'1',103,'N'),(15,2109697,'2',101,'N'),(15,2109700,'1',103,'N'),(15,2109700,'2',102,'N'),(15,2109743,'1',207,'N'),(15,2109743,'2',420,'N'),(15,2109760,'1',220,'N'),(15,2109760,'1A',213,'N'),(15,2109760,'2',222,'N'),(15,2109778,'1',103,'N'),(15,2109778,'2',451,'N'),(15,2109786,'1',202,'N'),(15,2109786,'1A',213,'N'),(15,2109786,'2',2,'N'),(15,2109794,'1',103,'N'),(15,2109794,'2',108,'N'),(15,2109808,'1',104,'N'),(15,2109808,'2',108,'N'),(15,2109824,'1',211,'N'),(15,2109824,'1A',215,'N'),(15,2109824,'2',108,'N'),(15,2109832,'1',444,'N'),(15,2109832,'2',423,'N'),(15,2109840,'1',203,'N'),(15,2109840,'1A',216,'N'),(15,2109840,'2',207,'N'),(15,2109859,'1',203,'N'),(15,2109859,'1A',220,'N'),(15,2109859,'2',202,'N'),(15,2109867,'1',203,'N'),(15,2109867,'1A',214,'N'),(15,2109867,'2',220,'N'),(15,2109875,'1',101,'N'),(15,2109883,'1',216,'N'),(15,2109883,'1A',211,'N'),(15,2109883,'2',217,'N'),(15,2109891,'1',238,'N'),(15,2109891,'1A',208,'N'),(15,2109891,'2',222,'N'),(15,2109905,'1',203,'N'),(15,2109905,'1A',214,'N'),(15,2109905,'2',223,'N'),(15,2109913,'1',302,'N'),(15,2109913,'2',316,'N'),(15,2109930,'1',103,'N'),(15,2109930,'2',502,'N'),(15,2109948,'1',102,'N'),(15,2109948,'2',217,'N'),(15,2109956,'1',207,'N'),(15,2109956,'2',420,'N'),(15,2109964,'1',9,'N'),(15,2109964,'2',444,'N'),(15,2109972,'1',5,'N'),(15,2109972,'2',318,'N'),(15,2109980,'1',103,'N'),(15,2109980,'2',102,'N'),(15,2109999,'1',103,'N'),(15,2109999,'2',333,'N'),(15,2110008,'1',103,'N'),(15,2110008,'2',104,'N'),(15,2110016,'1',103,'N'),(15,2110016,'2',102,'N'),(15,2110024,'1',103,'N'),(15,2110024,'2',104,'N'),(15,2110032,'1',450,'N'),(15,2110032,'2',415,'N'),(15,2110040,'1',203,'N'),(15,2110040,'2',103,'N'),(15,2110059,'1',103,'N'),(15,2110059,'2',303,'N'),(15,2110075,'1',301,'N'),(15,2110083,'1',420,'N'),(15,2110083,'2',429,'N'),(15,2110091,'1',103,'N'),(15,2110105,'1',233,'N'),(15,2110105,'1A',216,'N'),(15,2110105,'2',217,'N'),(15,2110113,'1',214,'N'),(15,2110113,'1A',203,'N'),(15,2110113,'2',201,'N'),(15,2110121,'1',5,'N'),(15,2110121,'2',303,'N'),(15,2110130,'1',339,'N'),(15,2110130,'2',429,'N'),(15,2110148,'1',103,'N'),(15,2110148,'2',329,'N'),(15,2110156,'1',415,'N'),(15,2110156,'2',425,'N'),(15,2110172,'1',207,'N'),(15,2110172,'1A',201,'N'),(15,2110172,'2',224,'N'),(15,2110180,'1',318,'N'),(15,2110180,'2',316,'N'),(15,2110199,'1',207,'N'),(15,2110199,'1A',201,'N'),(15,2110199,'2',451,'N'),(15,2110202,'1',103,'N'),(15,2110210,'1',201,'N'),(15,2110210,'1A',212,'N'),(15,2110210,'2',222,'N'),(15,2110229,'1',420,'N'),(15,2110229,'2',207,'N'),(15,2110237,'1',332,'N'),(15,2110245,'1',220,'N'),(15,2110245,'1A',203,'N'),(15,2110245,'2',207,'N'),(15,2110253,'1',238,'N'),(15,2110253,'1A',208,'N'),(15,2110253,'2',339,'N'),(15,2110261,'1',103,'N'),(15,2110261,'2',319,'N'),(15,2110270,'1',217,'N'),(15,2110270,'2',324,'N'),(15,2110288,'1',326,'N'),(15,2110288,'2',309,'N'),(15,2110296,'1',203,'N'),(15,2110296,'1A',214,'N'),(15,2110296,'2',233,'N'),(15,2110300,'1',104,'N'),(15,2110300,'2',309,'N'),(15,2110318,'1',501,'N'),(15,2110326,'1',103,'N'),(15,2110326,'2',102,'N'),(15,2110334,'1',202,'N'),(15,2110334,'1A',216,'N'),(15,2110334,'2',222,'N'),(15,2110342,'1',203,'N'),(15,2110342,'1A',214,'N'),(15,2110342,'2',202,'N'),(15,2110350,'1',208,'N'),(15,2110350,'1A',203,'N'),(15,2110350,'2',201,'N'),(15,2110369,'1',101,'N'),(15,2110369,'2',320,'N'),(15,2110377,'1',211,'N'),(15,2110377,'1A',201,'N'),(15,2110377,'2',333,'N'),(15,2110385,'1',102,'N'),(15,2110385,'2',309,'N'),(15,2110393,'1',201,'N'),(15,2110393,'1A',212,'N'),(15,2110393,'2',211,'N'),(15,2110407,'1',216,'N'),(15,2110407,'1A',211,'N'),(15,2110407,'2',103,'N'),(15,2110423,'1',217,'N'),(15,2110423,'2',216,'N'),(15,2110431,'1',103,'N'),(15,2110431,'2',303,'N'),(15,2110458,'1',203,'N'),(15,2110458,'1A',214,'N'),(15,2110458,'2',220,'N'),(15,2110466,'1',220,'N'),(15,2110466,'1A',213,'N'),(15,2110474,'1',103,'N'),(15,2110474,'2',310,'N'),(15,2110482,'1',108,'N'),(15,2110482,'2',502,'N'),(15,2110490,'1',103,'N'),(15,2110490,'2',101,'N'),(15,2110504,'1',415,'N'),(15,2110504,'2',428,'N'),(15,2110520,'1',103,'N'),(15,2110520,'2',303,'N'),(15,2110539,'1',217,'N'),(15,2110539,'2',502,'N'),(15,2110547,'1',103,'N'),(15,2110547,'2',108,'N'),(15,2110555,'1',207,'N'),(15,2110563,'1',203,'N'),(15,2110563,'1A',202,'N'),(15,2110563,'2',220,'N'),(15,2110571,'1',333,'N'),(15,2110571,'2',103,'N'),(15,2110580,'1',220,'N'),(15,2110580,'2',208,'N'),(15,2110598,'1',103,'N'),(15,2110598,'2',215,'N'),(15,2110601,'1',5,'N'),(15,2110601,'2',424,'N'),(15,2110610,'1',103,'N'),(15,2110628,'1',415,'N'),(15,2110628,'2',102,'N'),(15,2110636,'1',415,'N'),(15,2110636,'2',501,'N'),(15,2110644,'1',301,'N'),(15,2110644,'2',326,'N'),(15,2110660,'1',428,'N'),(15,2110660,'1A',426,'N'),(15,2110660,'2',308,'N'),(15,2110679,'1',203,'N'),(15,2110679,'1A',233,'N'),(15,2110679,'2',319,'N'),(15,2110687,'1',331,'N'),(15,2110695,'1',304,'N'),(15,2110709,'1',233,'N'),(15,2110709,'1A',213,'N'),(15,2110709,'2',333,'N'),(15,2110717,'1',203,'N'),(15,2110717,'2',202,'N'),(15,2110725,'1',216,'N'),(15,2110725,'1A',233,'N'),(15,2110725,'2',303,'N'),(15,2110733,'1',238,'N'),(15,2110733,'1A',215,'N'),(15,2110733,'2',333,'N'),(15,2110741,'1',326,'N'),(15,2110741,'2',451,'N'),(15,2110750,'1',103,'N'),(15,2110750,'2',104,'N'),(15,2110768,'1',203,'N'),(15,2110768,'1A',214,'N'),(15,2110768,'2',444,'N'),(15,2110776,'1',425,'N'),(15,2110776,'1A',428,'N'),(15,2110776,'2',424,'N'),(15,2110784,'1',223,'N'),(15,2110784,'2',224,'N'),(15,2110806,'1',301,'N'),(15,2110806,'2',304,'N'),(15,2110814,'1',303,'N'),(15,2110814,'2',328,'N'),(15,2110822,'1',415,'N'),(15,2110822,'2',9,'N'),(15,2110830,'1',103,'N'),(15,2110830,'2',104,'N'),(15,2110849,'1',317,'N'),(15,2110849,'2',316,'N'),(15,2110857,'1',215,'N'),(15,2110857,'1A',233,'N'),(15,2110857,'2',9,'N'),(15,2110865,'1',211,'N'),(15,2110865,'1A',215,'N'),(15,2110865,'2',339,'N'),(15,2110873,'1',103,'N'),(15,2110873,'2',216,'N'),(15,2110881,'1',424,'N'),(15,2110881,'2',427,'N'),(15,2110890,'1',103,'N'),(15,2110890,'2',101,'N'),(15,2110903,'1',444,'N'),(15,2110903,'2',301,'N'),(15,2110911,'1',238,'N'),(15,2110911,'1A',208,'N'),(15,2110911,'2',316,'N'),(15,2110920,'1',103,'N'),(15,2110920,'2',415,'N'),(15,2110938,'1',317,'N'),(15,2110938,'2',224,'N'),(15,2110946,'1',303,'N'),(15,2110946,'2',425,'N'),(15,2110954,'1',415,'N'),(15,2110954,'2',428,'N'),(15,2110970,'1',103,'N'),(15,2110970,'2',201,'N'),(15,2110989,'1',203,'N'),(15,2110989,'1A',220,'N'),(15,2110989,'2',202,'N'),(15,2110997,'1',103,'N'),(15,2110997,'2',319,'N'),(15,2111004,'1',103,'N'),(15,2111004,'2',303,'N'),(15,2111020,'1',303,'N'),(15,2111020,'2',451,'N'),(15,2111039,'1',302,'N'),(15,2111039,'2',301,'N'),(15,2111047,'1',238,'N'),(15,2111047,'2',208,'N'),(15,2111055,'1',444,'N'),(15,2111055,'2',420,'N'),(15,2111063,'1',103,'N'),(15,2111063,'2',301,'N'),(15,2111071,'1',329,'N'),(15,2111071,'2',328,'N'),(15,2111080,'1',104,'N'),(15,2111080,'2',207,'N'),(15,2111098,'1',103,'N'),(15,2111101,'1',303,'N'),(15,2111101,'2',5,'N'),(15,2111110,'1',320,'N'),(15,2111110,'2',327,'N'),(15,2111128,'1',208,'N'),(15,2111128,'1A',203,'N'),(15,2111128,'2',316,'N'),(15,2111136,'1',103,'N'),(15,2111136,'2',501,'N'),(15,2111144,'1',319,'N'),(15,2111144,'2',427,'N'),(15,2111152,'1',208,'N'),(15,2111152,'2',223,'N'),(15,2111160,'1',425,'N'),(15,2111160,'1A',424,'N'),(15,2111160,'2',428,'N'),(15,2111179,'1',317,'N'),(15,2111179,'2',316,'N'),(15,2111187,'1',429,'N'),(15,2111187,'1A',426,'N'),(15,2111187,'2',415,'N'),(15,2111195,'1',428,'N'),(15,2111195,'1A',426,'N'),(15,2111195,'2',425,'N'),(15,2111209,'1',238,'N'),(15,2111217,'1',420,'N'),(15,2111225,'1',103,'N'),(15,2111225,'2',108,'N'),(15,2111241,'1',238,'N'),(15,2111241,'1A',211,'N'),(15,2111241,'2',316,'N'),(15,2111268,'1',102,'N'),(15,2111268,'2',101,'N'),(15,2111276,'1',103,'N'),(15,2111276,'2',101,'N'),(15,2111292,'1',202,'N'),(15,2111306,'1',238,'N'),(15,2111306,'1A',208,'N'),(15,2111306,'2',224,'N'),(15,2111314,'1',9,'N'),(15,2111314,'2',108,'N'),(15,2111322,'1',216,'N'),(15,2111322,'1A',215,'N'),(15,2111322,'2',102,'N'),(15,2111330,'1',103,'N'),(15,2111330,'2',104,'N'),(15,2111349,'1',102,'N'),(15,2111349,'2',423,'N'),(15,2111357,'1',233,'N'),(15,2111357,'1A',211,'N'),(15,2111357,'2',216,'N'),(15,2111365,'1',102,'N'),(15,2111365,'2',104,'N'),(15,2111373,'1',317,'N'),(15,2111373,'2',302,'N'),(15,2111381,'1',216,'N'),(15,2111381,'1A',211,'N'),(15,2111381,'2',301,'N'),(15,2111390,'1',303,'N'),(15,2111390,'2',424,'N'),(15,2111403,'1',415,'N'),(15,2111403,'2',451,'N'),(15,2111411,'1',207,'N'),(15,2111411,'1A',201,'N'),(15,2111411,'2',420,'N'),(15,2111420,'1',9,'N'),(15,2111420,'2',308,'N'),(15,2111438,'1',207,'N'),(15,2111438,'1A',201,'N'),(15,2111438,'2',301,'N'),(15,2111446,'1',501,'N'),(15,2111446,'2',331,'N'),(15,2111454,'1',303,'N'),(15,2111454,'2',5,'N'),(15,2111462,'1',303,'N'),(15,2111462,'2',326,'N'),(15,2111470,'1',217,'N'),(15,2111470,'2',225,'N'),(15,2111489,'1',104,'N'),(15,2111489,'2',212,'N'),(15,2111497,'1',101,'N'),(15,2111497,'2',222,'N'),(15,2111500,'1',303,'N'),(15,2111500,'2',415,'N'),(15,2111527,'1',101,'N'),(15,2111527,'2',102,'N'),(15,2111535,'1',208,'N'),(15,2111535,'1A',216,'N'),(15,2111535,'2',238,'N'),(15,2111543,'1',103,'N'),(15,2111543,'2',202,'N'),(15,2111551,'1',450,'N'),(15,2111551,'2',420,'N'),(15,2111560,'1',5,'N'),(15,2111560,'2',317,'N'),(15,2111578,'1',238,'N'),(15,2111578,'1A',202,'N'),(15,2111578,'2',429,'N'),(15,2111586,'1',208,'N'),(15,2111586,'2',428,'N'),(15,2111594,'1',103,'N'),(15,2111594,'2',104,'N'),(15,2111608,'1',203,'N'),(15,2111608,'1A',216,'N'),(15,2111608,'2',217,'N'),(15,2111616,'1',238,'N'),(15,2111616,'1A',208,'N'),(15,2111616,'2',420,'N'),(15,2111624,'1',9,'N'),(15,2111624,'2',301,'N'),(15,2111632,'1',104,'N'),(15,2111632,'2',316,'N'),(15,2111640,'1',104,'N'),(15,2111640,'2',9,'N'),(15,2111659,'1',202,'N'),(15,2111659,'1A',238,'N'),(15,2111659,'2',444,'N'),(15,2111667,'1',404,'N'),(15,2111667,'2',310,'N'),(15,2111675,'1',415,'N'),(15,2111675,'2',238,'N'),(15,2111683,'1',103,'N'),(15,2111683,'2',101,'N'),(15,2111691,'1',203,'N'),(15,2111691,'1A',201,'N'),(15,2111691,'2',202,'N'),(15,2111705,'1',208,'N'),(15,2111705,'1A',238,'N'),(15,2111705,'2',222,'N'),(15,2111713,'1',333,'N'),(15,2111713,'2',502,'N'),(15,2111730,'1',207,'N'),(15,2111730,'1A',201,'N'),(15,2111730,'2',421,'N'),(15,2111748,'1',308,'N'),(15,2111748,'2',421,'N'),(15,2111756,'1',208,'N'),(15,2111756,'1A',213,'N'),(15,2111756,'2',238,'N'),(15,2111780,'1',303,'N'),(15,2111780,'2',5,'N'),(15,2111799,'1',103,'N'),(15,2111799,'2',104,'N'),(15,2111810,'1',103,'N'),(15,2111810,'2',444,'N'),(15,2111829,'1',104,'N'),(15,2111829,'2',223,'N'),(15,2111837,'1',103,'N'),(15,2111837,'2',101,'N'),(15,2111845,'1',104,'N'),(15,2111853,'1',415,'N'),(15,2111853,'2',451,'N'),(15,2111861,'1',203,'N'),(15,2111861,'1A',201,'N'),(15,2111861,'2',220,'N'),(15,2111870,'1',319,'N'),(15,2111870,'2',308,'N'),(15,2111888,'1',303,'N'),(15,2111888,'2',301,'N'),(15,2111900,'1',212,'N'),(15,2111900,'1A',214,'N'),(15,2111900,'2',203,'N'),(15,2111918,'1',208,'N'),(15,2111918,'1A',238,'N'),(15,2111918,'2',501,'N'),(15,2111926,'1',103,'N'),(15,2111926,'2',5,'N'),(15,2111934,'1',317,'N'),(15,2111934,'2',318,'N'),(15,2111942,'1',301,'N'),(15,2111942,'2',501,'N'),(15,2111950,'1',103,'N'),(15,2111950,'2',101,'N'),(15,2111969,'1',207,'N'),(15,2111969,'2',451,'N'),(15,2111977,'1',104,'N'),(15,2111977,'2',211,'N'),(15,2111985,'1',211,'N'),(15,2111985,'1A',201,'N'),(15,2111985,'2',332,'N'),(15,2111993,'1',339,'N'),(15,2111993,'2',324,'N'),(15,2112000,'1',420,'N'),(15,2112000,'2',208,'N'),(15,2112019,'1',103,'N'),(15,2112019,'2',102,'N'),(15,2112027,'1',404,'N'),(15,2112027,'2',308,'N'),(15,2112035,'1',423,'N'),(15,2112035,'1A',425,'N'),(15,2112035,'2',108,'N'),(15,2112051,'1',451,'N'),(15,2112051,'2',103,'N'),(15,2112060,'1',207,'N'),(15,2112078,'1',203,'N'),(15,2112078,'1A',220,'N'),(15,2112078,'2',202,'N'),(15,2112086,'1',501,'N'),(15,2112086,'2',234,'N'),(15,2112094,'1',104,'N'),(15,2112094,'2',303,'N'),(15,2112108,'1',103,'N'),(15,2112108,'2',5,'N'),(15,2112116,'1',103,'N'),(15,2112116,'2',5,'N'),(15,2112124,'1',207,'N'),(15,2112124,'1A',201,'N'),(15,2112124,'2',215,'N'),(15,2112132,'1',415,'N'),(15,2112132,'2',425,'N'),(15,2112140,'1',101,'N'),(15,2112140,'2',502,'N'),(15,2112159,'1',101,'N'),(15,2112159,'2',319,'N'),(15,2112167,'1',216,'N'),(15,2112167,'1A',233,'N'),(15,2112167,'2',214,'N'),(15,2112175,'1',103,'N'),(15,2112175,'2',301,'N'),(15,2112183,'1',101,'N'),(15,2112183,'2',339,'N'),(15,2112191,'1',102,'N'),(15,2112191,'2',217,'N'),(15,2112205,'1',103,'N'),(15,2112205,'2',102,'N'),(15,2112213,'1',426,'N'),(15,2112213,'1A',421,'N'),(15,2112213,'2',339,'N'),(15,2112221,'1',5,'N'),(15,2112221,'2',319,'N'),(15,2112230,'1',103,'N'),(15,2112230,'2',216,'N'),(15,2112248,'1',203,'N'),(15,2112248,'1A',214,'N'),(15,2112248,'2',202,'N'),(15,2112264,'1',104,'N'),(15,2112264,'2',217,'N'),(15,2112272,'1',316,'N'),(15,2112272,'2',317,'N'),(15,2112302,'1',217,'N'),(15,2112310,'1',450,'N'),(15,2112310,'2',203,'N'),(15,2112329,'1',104,'N'),(15,2112329,'2',216,'N'),(15,2112337,'1',207,'N'),(15,2112337,'1A',215,'N'),(15,2112337,'2',216,'N'),(15,2112345,'1',303,'N'),(15,2112345,'2',326,'N'),(15,2112353,'1',303,'N'),(15,2112353,'2',207,'N'),(15,2112361,'1',203,'N'),(15,2112361,'2',222,'N'),(15,2112388,'1',303,'N'),(15,2112388,'2',5,'N'),(15,2112396,'1',102,'N'),(15,2112396,'2',104,'N'),(15,2112400,'1',317,'N'),(15,2112400,'2',316,'N'),(15,2112418,'1',225,'N'),(15,2112418,'2',327,'N'),(15,2112426,'1',301,'N'),(15,2112426,'2',316,'N'),(15,2112434,'1',203,'N'),(15,2112434,'1A',216,'N'),(15,2112434,'2',217,'N'),(15,2112442,'1',103,'N'),(15,2112442,'2',9,'N'),(15,2112450,'1',303,'N'),(15,2112450,'2',339,'N'),(15,2112469,'1',324,'N'),(15,2112469,'2',425,'N'),(15,2112477,'1',319,'N'),(15,2112477,'2',415,'N'),(15,2112485,'1',102,'N'),(15,2112493,'1',103,'N'),(15,2112493,'2',319,'N'),(15,2112507,'1',308,'N'),(15,2112507,'2',319,'N'),(15,2112515,'1',207,'N'),(15,2112515,'1A',201,'N'),(15,2112515,'2',212,'N'),(15,2112523,'1',208,'N'),(15,2112523,'1A',238,'N'),(15,2112523,'2',425,'N'),(15,2112540,'1',108,'N'),(15,2112558,'1',444,'N'),(15,2112558,'2',308,'N'),(15,2112566,'1',234,'N'),(15,2112566,'2',309,'N'),(15,2112574,'1',220,'N'),(15,2112582,'1',319,'N'),(15,2112582,'2',304,'N'),(15,2112590,'1',9,'N'),(15,2112590,'2',319,'N'),(15,2112604,'1',415,'N'),(15,2112604,'2',319,'N'),(15,2112612,'1',220,'N'),(15,2112612,'1A',214,'N'),(15,2112612,'2',203,'N'),(15,2112620,'1',339,'N'),(15,2112620,'2',308,'N'),(15,2112647,'1',220,'N'),(15,2112647,'1A',214,'N'),(15,2112647,'2',216,'N'),(15,2112655,'1',501,'N'),(15,2112655,'2',502,'N'),(15,2112663,'1',207,'N'),(15,2112663,'1A',201,'N'),(15,2112663,'2',420,'N'),(15,2112671,'1',207,'N'),(15,2112671,'1A',201,'N'),(15,2112671,'2',333,'N'),(15,2112680,'1',214,'N'),(15,2112680,'1A',212,'N'),(15,2112680,'2',316,'N'),(15,2112698,'1',224,'N'),(15,2112698,'2',444,'N'),(15,2112701,'1',324,'N'),(15,2112701,'2',333,'N'),(15,2112710,'1',316,'N'),(15,2112710,'2',319,'N'),(15,2112728,'1',207,'N'),(15,2112728,'1A',233,'N'),(15,2112728,'2',424,'N'),(15,2112736,'1',301,'N'),(15,2112736,'2',108,'N'),(15,2112744,'1',203,'N'),(15,2112744,'1A',220,'N'),(15,2112744,'2',316,'N'),(15,2112752,'1',103,'N'),(15,2112752,'2',104,'N'),(15,2112760,'1',304,'N'),(15,2112760,'2',301,'N'),(15,2112779,'1',234,'N'),(15,2112779,'2',425,'N'),(15,2112787,'1',207,'N'),(15,2112787,'2',238,'N'),(15,2112795,'1',207,'N'),(15,2112795,'1A',211,'N'),(15,2112795,'2',333,'N'),(15,2112809,'1',429,'N'),(15,2112809,'1A',427,'N'),(15,2112809,'2',316,'N'),(15,2112817,'1',203,'N'),(15,2112817,'1A',201,'N'),(15,2112817,'2',207,'N'),(15,2112825,'1',103,'N'),(15,2112825,'2',303,'N'),(15,2112833,'1',216,'N'),(15,2112833,'1A',233,'N'),(15,2112833,'2',217,'N'),(15,2112841,'1',104,'N'),(15,2112841,'2',103,'N'),(15,2112850,'1',103,'N'),(15,2112850,'2',108,'N'),(15,2112868,'1',303,'N'),(15,2112868,'2',5,'N'),(15,2112876,'1',238,'N'),(15,2112876,'1A',208,'N'),(15,2112876,'2',220,'N'),(15,2112906,'1',101,'N'),(15,2112906,'2',339,'N'),(15,2112914,'1',324,'N'),(15,2112914,'2',424,'N'),(15,2112922,'1',318,'N'),(15,2112922,'2',317,'N'),(15,2112949,'1',310,'N'),(15,2112949,'2',424,'N'),(15,2112957,'1',333,'N'),(15,2112957,'2',207,'N'),(15,2112965,'1',214,'N'),(15,2112965,'1A',203,'N'),(15,2112965,'2',213,'N'),(15,2112973,'1',5,'N'),(15,2112973,'2',303,'N'),(15,2112981,'1',102,'N'),(15,2112981,'2',5,'N'),(15,2112990,'1',207,'N'),(15,2112990,'2',201,'N'),(15,2113007,'1',103,'N'),(15,2113007,'2',102,'N'),(15,2113015,'1',208,'N'),(15,2113015,'1A',238,'N'),(15,2113015,'2',324,'N'),(15,2113023,'1',501,'N'),(15,2113023,'2',328,'N'),(15,2113031,'1',102,'N'),(15,2113031,'2',108,'N'),(15,2113040,'1',404,'N'),(15,2113040,'2',223,'N'),(15,2113058,'1',319,'N'),(15,2113058,'2',5,'N'),(15,2113066,'1',309,'N'),(15,2113066,'2',324,'N'),(15,2113082,'1',103,'N'),(15,2113082,'2',101,'N'),(15,2113090,'1',319,'N'),(15,2113090,'2',102,'N'),(15,2113112,'1',211,'N'),(15,2113112,'2',316,'N'),(15,2113120,'1',333,'N'),(15,2113120,'2',428,'N'),(15,2113139,'1',104,'N'),(15,2113147,'1',502,'N'),(15,2113147,'2',234,'N'),(15,2113155,'1',223,'N'),(15,2113155,'2',302,'N'),(15,2113163,'1',9,'N'),(15,2113163,'2',428,'N'),(15,2113171,'1',316,'N'),(15,2113171,'2',301,'N'),(15,2113180,'1',104,'N'),(15,2113180,'2',333,'N'),(15,2113198,'1',404,'N'),(15,2113198,'2',238,'N'),(15,2113201,'1',214,'N'),(15,2113201,'1A',203,'N'),(15,2113201,'2',212,'N'),(15,2113210,'1',104,'N'),(15,2113228,'1',415,'N'),(15,2113228,'2',428,'N'),(15,2113236,'1',203,'N'),(15,2113236,'1A',214,'N'),(15,2113236,'2',301,'N'),(15,2113244,'1',5,'N'),(15,2113244,'2',303,'N'),(15,2113252,'1',201,'N'),(15,2113252,'1A',212,'N'),(15,2113252,'2',326,'N'),(15,2113260,'1',103,'N'),(15,2113279,'1',326,'N'),(15,2113279,'2',303,'N'),(15,2113287,'1',108,'N'),(15,2113287,'2',310,'N'),(15,2113295,'1',415,'N'),(15,2113295,'2',426,'N'),(15,2113309,'1',333,'N'),(15,2113309,'2',225,'N'),(15,2113317,'1',5,'N'),(15,2113317,'2',303,'N'),(15,2113333,'1',203,'N'),(15,2113333,'1A',220,'N'),(15,2113350,'1',327,'N'),(15,2113350,'2',320,'N'),(15,2113368,'1',104,'N'),(15,2113368,'2',103,'N'),(15,2113376,'1',215,'N'),(15,2113376,'1A',238,'N'),(15,2113376,'2',428,'N'),(15,2113384,'1',103,'N'),(15,2113392,'1',420,'N'),(15,2113392,'2',104,'N'),(15,2113406,'1',103,'N'),(15,2113406,'2',9,'N'),(15,2113414,'1',103,'N'),(15,2113414,'2',101,'N'),(15,2113422,'1',101,'N'),(15,2113422,'2',309,'N'),(15,2113430,'1',104,'N'),(15,2113430,'2',108,'N'),(15,2113457,'1',327,'N'),(15,2113457,'2',426,'N'),(15,2113465,'1',316,'N'),(15,2113465,'2',429,'N'),(15,2113473,'1',203,'N'),(15,2113473,'1A',208,'N'),(15,2113473,'2',326,'N'),(15,2113481,'1',202,'N'),(15,2113481,'1A',207,'N'),(15,2113481,'2',333,'N'),(15,2113490,'1',104,'N'),(15,2113490,'2',102,'N'),(15,2113503,'1',326,'N'),(15,2113503,'2',327,'N'),(15,2113511,'1',103,'N'),(15,2113511,'2',102,'N'),(15,2113538,'1',444,'N'),(15,2113538,'2',9,'N'),(15,2113554,'1',203,'N'),(15,2113554,'1A',233,'N'),(15,2113554,'2',214,'N'),(15,2113562,'1',220,'N'),(15,2113562,'1A',203,'N'),(15,2113562,'2',333,'N'),(15,2113570,'1',326,'N'),(15,2113589,'1',238,'N'),(15,2113589,'1A',220,'N'),(15,2113589,'2',423,'N'),(15,2113597,'1',103,'N'),(15,2113597,'2',102,'N'),(15,2113600,'1',5,'N'),(15,2113600,'2',303,'N'),(15,2113619,'1',203,'N'),(15,2113619,'1A',202,'N'),(15,2113619,'2',213,'N'),(15,2113627,'1',415,'N'),(15,2113627,'2',428,'N'),(15,2113635,'1',304,'N'),(15,2113635,'2',301,'N'),(15,2113643,'1',207,'N'),(15,2113643,'1A',211,'N'),(15,2113643,'2',420,'N'),(15,2113660,'1',415,'N'),(15,2113660,'2',451,'N'),(15,2113678,'1',202,'N'),(15,2113678,'1A',203,'N'),(15,2113678,'2',220,'N'),(15,2113686,'1',301,'N'),(15,2113686,'2',304,'N'),(15,2113694,'1',103,'N'),(15,2113694,'2',101,'N'),(15,2113708,'1',420,'N'),(15,2113708,'2',301,'N'),(15,2113716,'1',208,'N'),(15,2113716,'1A',201,'N'),(15,2113716,'2',220,'N'),(15,2113732,'1',201,'N'),(15,2113732,'2',202,'N'),(15,2113740,'1',103,'N'),(15,2113740,'2',101,'N'),(15,2113759,'1',302,'N'),(15,2113759,'2',304,'N'),(15,2113767,'1',217,'N'),(15,2113767,'2',222,'N'),(15,2113775,'1',429,'N'),(15,2113775,'1A',425,'N'),(15,2113775,'2',421,'N'),(15,2113783,'1',203,'N'),(15,2113783,'1A',233,'N'),(15,2113783,'2',2,'N'),(15,2113791,'1',202,'N'),(15,2113791,'1A',203,'N'),(15,2113791,'2',214,'N'),(15,2113805,'1',103,'N'),(15,2113805,'2',101,'N'),(15,2113813,'1',104,'N'),(15,2113813,'2',501,'N'),(15,2113821,'1',304,'N'),(15,2113821,'2',316,'N'),(15,2113830,'1',225,'N'),(15,2113830,'2',224,'N'),(15,2113848,'1',9,'N'),(15,2113848,'2',217,'N'),(15,2113856,'1',5,'N'),(15,2113856,'2',316,'N'),(15,2113864,'1',103,'N'),(15,2113872,'1',426,'N'),(15,2113872,'1A',428,'N'),(15,2113872,'2',451,'N'),(15,2113880,'1',444,'N'),(15,2113880,'2',317,'N'),(15,2113902,'1',316,'N'),(15,2113902,'2',501,'N'),(15,2113910,'1',108,'N'),(15,2113910,'2',333,'N'),(15,2113929,'1',404,'N'),(15,2113929,'2',332,'N'),(15,2113937,'1',104,'N'),(15,2113937,'2',102,'N'),(15,2113945,'1',208,'N'),(15,2113945,'2',238,'N'),(15,2113953,'1',5,'N'),(15,2113953,'2',420,'N'),(15,2113961,'1',104,'N'),(15,2113961,'2',102,'N'),(15,2113988,'1',301,'N'),(15,2113988,'2',302,'N'),(15,2113996,'1',238,'N'),(15,2113996,'1A',208,'N'),(15,2114003,'1',339,'N'),(15,2114003,'2',309,'N'),(15,2114011,'1',103,'N'),(15,2114011,'2',108,'N'),(15,2114020,'1',303,'N'),(15,2114020,'2',428,'N'),(15,2114038,'1',208,'N'),(15,2114046,'1',202,'N'),(15,2114046,'2',207,'N'),(15,2114054,'1',339,'N'),(15,2114054,'2',308,'N'),(15,2114062,'1',101,'N'),(15,2114062,'2',309,'N'),(15,2114070,'1',220,'N'),(15,2114070,'1A',214,'N'),(15,2114070,'2',203,'N'),(15,2114097,'1',108,'N'),(15,2114097,'2',211,'N'),(15,2114119,'1',5,'N'),(15,2114119,'2',303,'N'),(15,2114127,'1',103,'N'),(15,2114127,'2',319,'N'),(15,2114143,'1',108,'N'),(15,2114143,'2',233,'N'),(15,2114151,'1',301,'N'),(15,2114151,'2',302,'N'),(15,2114160,'1',103,'N'),(15,2114160,'2',224,'N'),(15,2114178,'1',103,'N'),(15,2114178,'2',9,'N'),(15,2114186,'1',319,'N'),(15,2114186,'2',101,'N'),(15,2114194,'1',333,'N'),(15,2114194,'2',415,'N'),(15,2114208,'1',215,'N'),(15,2114208,'1A',211,'N'),(15,2114208,'2',102,'N'),(15,2114216,'1',215,'N'),(15,2114216,'2',103,'N'),(15,2114224,'1',329,'N'),(15,2114224,'2',309,'N'),(15,2114232,'1',103,'N'),(15,2114240,'1',211,'N'),(15,2114240,'1A',215,'N'),(15,2114240,'2',421,'N'),(15,2114259,'1',304,'N'),(15,2114259,'2',302,'N'),(15,2114267,'1',220,'N'),(15,2114267,'1A',233,'N'),(15,2114267,'2',202,'N'),(15,2114275,'1',103,'N'),(15,2114275,'2',207,'N'),(15,2114291,'1',216,'N'),(15,2114291,'1A',233,'N'),(15,2114291,'2',203,'N'),(15,2114305,'1',220,'N'),(15,2114305,'1A',203,'N'),(15,2114305,'2',201,'N'),(15,2114313,'1',501,'N'),(15,2114313,'2',339,'N'),(15,2114321,'1',415,'N'),(15,2114321,'2',425,'N'),(15,2114330,'1',420,'N'),(15,2114330,'2',327,'N'),(15,2114348,'1',211,'N'),(15,2114348,'1A',233,'N'),(15,2114348,'2',216,'N'),(15,2114356,'1',202,'N'),(15,2114356,'1A',220,'N'),(15,2114356,'2',213,'N'),(15,2114364,'1',108,'N'),(15,2114364,'2',234,'N'),(15,2114372,'1',303,'N'),(15,2114372,'2',326,'N'),(15,2114380,'1',415,'N'),(15,2114380,'2',215,'N'),(15,2114402,'1',203,'N'),(15,2114402,'1A',201,'N'),(15,2114402,'2',2,'N'),(15,2114410,'1',103,'N'),(15,2114410,'2',319,'N'),(15,2114437,'1',238,'N'),(15,2114437,'1A',211,'N'),(15,2114437,'2',426,'N'),(15,2114445,'1',429,'N'),(15,2114445,'1A',425,'N'),(15,2114445,'2',316,'N'),(15,2114453,'1',303,'N'),(15,2114453,'2',316,'N'),(15,2114461,'1',108,'N'),(15,2114461,'2',333,'N'),(15,2114488,'1',108,'N'),(15,2114488,'2',444,'N'),(15,2114496,'1',309,'N'),(15,2114496,'2',310,'N'),(15,2114500,'1',5,'N'),(15,2114500,'2',316,'N'),(15,2114518,'1',103,'N'),(15,2114518,'2',333,'N'),(15,2114526,'1',303,'N'),(15,2114526,'2',301,'N'),(15,2114534,'1',301,'N'),(15,2114534,'2',327,'N'),(15,2114542,'1',444,'N'),(15,2114542,'2',404,'N'),(15,2114550,'1',103,'N'),(15,2114550,'2',102,'N'),(15,2114569,'1',301,'N'),(15,2114569,'2',238,'N'),(15,2114577,'1',108,'N'),(15,2114577,'2',426,'N'),(15,2114585,'1',220,'N'),(15,2114585,'1A',201,'N'),(15,2114585,'2',234,'N'),(15,2114607,'1',333,'N'),(15,2114607,'2',108,'N'),(15,2114615,'1',220,'N'),(15,2114615,'1A',203,'N'),(15,2114615,'2',201,'N'),(15,2114623,'1',5,'N'),(15,2114623,'2',303,'N'),(15,2114631,'1',101,'N'),(15,2114631,'2',211,'N'),(15,2114640,'1',216,'N'),(15,2114640,'1A',215,'N'),(15,2114640,'2',217,'N'),(15,2114658,'1',103,'N'),(15,2114658,'2',104,'N'),(15,2114666,'1',104,'N'),(15,2114666,'2',9,'N'),(15,2114682,'1',238,'N'),(15,2114682,'1A',208,'N'),(15,2114682,'2',222,'N'),(15,2114704,'1',207,'N'),(15,2114704,'2',201,'N'),(15,2114712,'1',103,'N'),(15,2114712,'2',101,'N'),(15,2114720,'1',5,'N'),(15,2114720,'2',303,'N'),(15,2114739,'1',502,'N'),(15,2114739,'2',215,'N'),(15,2114747,'1',201,'N'),(15,2114747,'1A',238,'N'),(15,2114747,'2',404,'N'),(15,2114755,'1',208,'N'),(15,2114755,'1A',203,'N'),(15,2114755,'2',222,'N'),(15,2114763,'1',303,'N'),(15,2114763,'2',5,'N'),(15,2114771,'1',103,'N'),(15,2114771,'2',108,'N'),(15,2114780,'1',202,'N'),(15,2114780,'1A',220,'N'),(15,2114780,'2',303,'N'),(15,2114801,'1',212,'N'),(15,2114801,'1A',214,'N'),(15,2114801,'2',202,'N'),(15,2114810,'1',216,'N'),(15,2114810,'1A',233,'N'),(15,2114810,'2',502,'N'),(15,2114828,'1',202,'N'),(15,2114828,'1A',201,'N'),(15,2114828,'2',420,'N'),(15,2114836,'1',420,'N'),(15,2114836,'2',301,'N'),(15,2114844,'1',217,'N'),(15,2114844,'2',216,'N'),(15,2114860,'1',238,'N'),(15,2114860,'1A',202,'N'),(15,2114860,'2',234,'N'),(15,2114879,'1',201,'N'),(15,2114879,'1A',212,'N'),(15,2114879,'2',207,'N'),(15,2114887,'1',102,'N'),(15,2114887,'2',108,'N'),(15,2114895,'1',214,'N'),(15,2114895,'1A',203,'N'),(15,2114895,'2',212,'N'),(15,2114909,'1',102,'N'),(15,2114909,'2',9,'N'),(15,2114917,'1',5,'N'),(15,2114917,'2',318,'N'),(15,2114925,'1',423,'N'),(15,2114925,'1A',424,'N'),(15,2114925,'2',207,'N'),(15,2114933,'1',108,'N'),(15,2114933,'2',214,'N'),(15,2114941,'1',215,'N'),(15,2114941,'1A',216,'N'),(15,2114941,'2',102,'N'),(15,2114950,'1',103,'N'),(15,2114950,'2',207,'N'),(15,2114968,'1',9,'N'),(15,2114968,'2',215,'N'),(15,2114976,'1',103,'N'),(15,2114976,'2',101,'N'),(15,2114984,'1',301,'N'),(15,2114984,'2',420,'N'),(15,2114992,'1',103,'N'),(15,2114992,'2',101,'N'),(15,2115000,'1',238,'N'),(15,2115000,'1A',208,'N'),(15,2115000,'2',202,'N'),(15,2115018,'1',211,'N'),(15,2115018,'1A',208,'N'),(15,2115018,'2',331,'N'),(15,2115026,'1',5,'N'),(15,2115026,'2',326,'N'),(15,2115034,'1',316,'N'),(15,2115034,'2',216,'N'),(15,2115042,'1',317,'N'),(15,2115042,'2',308,'N'),(15,2115050,'1',424,'N'),(15,2115050,'1A',429,'N'),(15,2115050,'2',324,'N'),(15,2115069,'1',103,'N'),(15,2115077,'1',220,'N'),(15,2115077,'1A',233,'N'),(15,2115085,'1',203,'N'),(15,2115085,'1A',214,'N'),(15,2115085,'2',2,'N'),(15,2115093,'1',203,'N'),(15,2115093,'1A',214,'N'),(15,2115093,'2',201,'N'),(15,2115107,'1',104,'N'),(15,2115107,'2',101,'N'),(15,2115131,'1',208,'N'),(15,2115131,'1A',238,'N'),(15,2115140,'1',420,'N'),(15,2115140,'2',104,'N'),(15,2115158,'1',203,'N'),(15,2115158,'1A',233,'N'),(15,2115158,'2',451,'N'),(15,2115166,'1',233,'N'),(15,2115166,'1A',211,'N'),(15,2115166,'2',216,'N'),(15,2115174,'1',215,'N'),(15,2115174,'2',333,'N'),(15,2115190,'1',108,'N'),(15,2115190,'2',502,'N'),(15,2115204,'1',108,'N'),(15,2115204,'2',502,'N'),(15,2115212,'1',319,'N'),(15,2115212,'2',327,'N'),(15,2115220,'1',303,'N'),(15,2115220,'2',5,'N'),(15,2115239,'1',104,'N'),(15,2115239,'2',108,'N'),(15,2115247,'1',318,'N'),(15,2115247,'2',316,'N'),(15,2115263,'1',103,'N'),(15,2115263,'2',9,'N'),(15,2115271,'1',332,'N'),(15,2115271,'2',324,'N'),(15,2115280,'1',103,'N'),(15,2115280,'2',424,'N'),(15,2115298,'1',501,'N'),(15,2115298,'2',234,'N'),(15,2115301,'1',339,'N'),(15,2115301,'2',108,'N'),(15,2115310,'1',213,'N'),(15,2115310,'1A',233,'N'),(15,2115310,'2',212,'N'),(15,2115336,'1',415,'N'),(15,2115344,'1',238,'N'),(15,2115344,'1A',208,'N'),(15,2115344,'2',426,'N'),(15,2115352,'1',5,'N'),(15,2115352,'2',303,'N'),(15,2115360,'1',308,'N'),(15,2115360,'2',309,'N'),(15,2115387,'1',310,'N'),(15,2115387,'2',324,'N'),(15,2115417,'1',220,'N'),(15,2115417,'1A',211,'N'),(15,2115417,'2',303,'N'),(15,2115425,'1',220,'N'),(15,2115425,'1A',202,'N'),(15,2115425,'2',214,'N'),(15,2115433,'1',203,'N'),(15,2115433,'1A',201,'N'),(15,2115433,'2',404,'N'),(15,2115441,'1',103,'N'),(15,2115441,'2',101,'N'),(15,2115450,'1',104,'N'),(15,2115450,'2',319,'N'),(15,2115468,'1',201,'N'),(15,2115468,'1A',211,'N'),(15,2115468,'2',212,'N'),(15,2115476,'1',104,'N'),(15,2115484,'1',201,'N'),(15,2115484,'1A',202,'N'),(15,2115484,'2',301,'N'),(15,2115492,'1',216,'N'),(15,2115492,'1A',233,'N'),(15,2115492,'2',217,'N'),(15,2115506,'1',317,'N'),(15,2115506,'2',316,'N'),(15,2115522,'1',103,'N'),(15,2115530,'1',421,'N'),(15,2115530,'1A',423,'N'),(15,2115530,'2',329,'N'),(15,2115549,'1',220,'N'),(15,2115549,'1A',238,'N'),(15,2115549,'2',208,'N'),(15,2115557,'1',420,'N'),(15,2115557,'2',319,'N'),(15,2115565,'1',308,'N'),(15,2115565,'2',423,'N'),(15,2115573,'1',501,'N'),(15,2115573,'2',211,'N'),(15,2115581,'1',214,'N'),(15,2115581,'1A',215,'N'),(15,2115581,'2',208,'N'),(15,2115590,'1',203,'N'),(15,2115590,'1A',202,'N'),(15,2115590,'2',104,'N'),(15,2115603,'1',103,'N'),(15,2115603,'2',104,'N'),(15,2115620,'1',303,'N'),(15,2115620,'2',309,'N'),(15,2115646,'1',102,'N'),(15,2115646,'2',203,'N'),(15,2115654,'1',101,'N'),(15,2115654,'2',339,'N'),(15,2115662,'1',318,'N'),(15,2115662,'2',327,'N'),(15,2115670,'1',319,'N'),(15,2115670,'2',207,'N'),(15,2115689,'1',103,'N'),(15,2115697,'1',108,'N'),(15,2115697,'2',502,'N'),(15,2115719,'1',415,'N'),(15,2115719,'2',207,'N'),(15,2115727,'1',319,'N'),(15,2115727,'2',428,'N'),(15,2115735,'1',216,'N'),(15,2115735,'1A',215,'N'),(15,2115735,'2',220,'N'),(15,2115751,'1',103,'N'),(15,2115751,'2',102,'N'),(15,2115760,'1',444,'N'),(15,2115760,'2',101,'N'),(15,2115778,'1',103,'N'),(15,2115778,'2',319,'N'),(15,2115786,'1',103,'N'),(15,2115786,'2',104,'N'),(15,2115794,'1',207,'N'),(15,2115794,'2',215,'N'),(15,2115808,'1',103,'N'),(15,2115808,'2',9,'N'),(15,2115816,'1',328,'N'),(15,2115816,'2',326,'N'),(15,2115824,'1',103,'N'),(15,2115824,'2',9,'N'),(15,2115832,'1',319,'N'),(15,2115832,'2',329,'N'),(15,2115840,'1',429,'N'),(15,2115840,'1A',421,'N'),(15,2115840,'2',415,'N'),(15,2115859,'1',203,'N'),(15,2115859,'1A',233,'N'),(15,2115867,'1',9,'N'),(15,2115867,'2',215,'N'),(15,2115875,'1',211,'N'),(15,2115875,'2',501,'N'),(15,2115883,'1',213,'N'),(15,2115883,'1A',233,'N'),(15,2115883,'2',225,'N'),(15,2115891,'1',101,'N'),(15,2115891,'2',427,'N'),(15,2115905,'1',326,'N'),(15,2115905,'2',428,'N'),(15,2115913,'1',217,'N'),(15,2115913,'2',501,'N'),(15,2115921,'1',420,'N'),(15,2115930,'1',201,'N'),(15,2115930,'2',212,'N'),(15,2115948,'1',301,'N'),(15,2115948,'2',302,'N'),(15,2115956,'1',103,'N'),(15,2115956,'2',420,'N'),(15,2115964,'1',211,'N'),(15,2115964,'1A',233,'N'),(15,2115964,'2',316,'N'),(15,2115980,'1',103,'N'),(15,2115980,'2',102,'N'),(15,2115999,'1',103,'N'),(15,2115999,'2',216,'N'),(15,2116006,'1',104,'N'),(15,2116006,'2',309,'N'),(15,2116014,'1',318,'N'),(15,2116014,'2',224,'N'),(15,2116022,'1',238,'N'),(15,2116022,'1A',208,'N'),(15,2116022,'2',5,'N'),(15,2116030,'1',103,'N'),(15,2116030,'2',102,'N'),(15,2116049,'1',332,'N'),(15,2116049,'2',328,'N'),(15,2116057,'1',108,'N'),(15,2116057,'2',333,'N'),(15,2116073,'1',5,'N'),(15,2116073,'2',303,'N'),(15,2116081,'1',303,'N'),(15,2116081,'2',301,'N'),(15,2116090,'1',212,'N'),(15,2116090,'1A',238,'N'),(15,2116090,'2',301,'N'),(15,2116103,'1',104,'N'),(15,2116103,'2',211,'N'),(15,2116111,'1',203,'N'),(15,2116111,'1A',220,'N'),(15,2116111,'2',214,'N'),(15,2116138,'1',501,'N'),(15,2116146,'1',426,'N'),(15,2116146,'1A',425,'N'),(15,2116146,'2',327,'N'),(15,2116154,'1',208,'N'),(15,2116154,'1A',238,'N'),(15,2116154,'2',332,'N'),(15,2116170,'1',420,'N'),(15,2116170,'2',450,'N'),(15,2116189,'1',102,'N'),(15,2116189,'2',9,'N'),(15,2116197,'1',216,'N'),(15,2116197,'1A',201,'N'),(15,2116200,'1',103,'N'),(15,2116200,'2',101,'N'),(15,2116219,'1',103,'N'),(15,2116219,'2',319,'N'),(15,2116227,'1',319,'N'),(15,2116227,'2',308,'N'),(15,2116235,'1',201,'N'),(15,2116235,'2',223,'N'),(15,2116243,'1',103,'N'),(15,2116243,'2',216,'N'),(15,2116251,'1',319,'N'),(15,2116251,'2',450,'N'),(15,2116260,'1',203,'N'),(15,2116260,'1A',214,'N'),(15,2116260,'2',216,'N'),(15,2116286,'1',404,'N'),(15,2116286,'2',224,'N'),(15,2116294,'1',104,'N'),(15,2116294,'2',103,'N'),(15,2116316,'1',207,'N'),(15,2116316,'1A',201,'N'),(15,2116316,'2',420,'N'),(15,2116324,'1',404,'N'),(15,2116324,'2',444,'N'),(15,2116340,'1',216,'N'),(15,2116340,'1A',215,'N'),(15,2116340,'2',217,'N'),(15,2116359,'1',450,'N'),(15,2116375,'1',207,'N'),(15,2116375,'2',104,'N'),(15,2116383,'1',316,'N'),(15,2116383,'2',429,'N'),(15,2116391,'1',103,'N'),(15,2116391,'2',216,'N'),(15,2116405,'1',220,'N'),(15,2116405,'2',203,'N'),(15,2116421,'1',101,'N'),(15,2116421,'2',108,'N'),(15,2116430,'1',104,'N'),(15,2116430,'2',103,'N'),(15,2116464,'1',102,'N'),(15,2116464,'2',319,'N'),(15,2116472,'1',103,'N'),(15,2116472,'2',319,'N'),(15,2116480,'1',302,'N'),(15,2116480,'2',333,'N'),(15,2116499,'1',327,'N'),(15,2116499,'2',316,'N'),(15,2116502,'1',103,'N'),(15,2116510,'1',332,'N'),(15,2116510,'2',339,'N'),(15,2116529,'1',211,'N'),(15,2116529,'1A',233,'N'),(15,2116529,'2',212,'N'),(15,2116537,'1',103,'N'),(15,2116537,'2',303,'N'),(15,2116553,'1',202,'N'),(15,2116553,'1A',213,'N'),(15,2116553,'2',215,'N'),(15,2116561,'1',103,'N'),(15,2116561,'2',215,'N'),(15,2116588,'1',212,'N'),(15,2116588,'1A',214,'N'),(15,2116588,'2',213,'N'),(15,2116596,'1',104,'N'),(15,2116596,'2',444,'N'),(15,2116600,'1',217,'N'),(15,2116618,'1',308,'N'),(15,2116618,'2',309,'N'),(15,2116642,'1',208,'N'),(15,2116642,'2',238,'N'),(15,2116650,'1',101,'N'),(15,2116650,'2',423,'N'),(15,2116669,'1',216,'N'),(15,2116669,'2',217,'N'),(15,2116685,'1',108,'N'),(15,2116685,'2',327,'N'),(15,2116693,'1',201,'N'),(15,2116693,'2',238,'N'),(15,2116707,'1',207,'N'),(15,2116707,'1A',211,'N'),(15,2116707,'2',303,'N'),(15,2116723,'1',103,'N'),(15,2116723,'2',216,'N'),(15,2116731,'1',444,'N'),(15,2116731,'2',425,'N'),(15,2116740,'1',207,'N'),(15,2116740,'1A',216,'N'),(15,2116740,'2',301,'N'),(15,2116758,'1',420,'N'),(15,2116758,'2',425,'N'),(15,2116766,'1',404,'N'),(15,2116766,'2',208,'N'),(15,2116782,'1',333,'N'),(15,2116782,'2',502,'N'),(15,2116790,'1',104,'N'),(15,2116790,'2',102,'N'),(15,2116804,'1',238,'N'),(15,2116804,'2',319,'N'),(15,2116812,'1',202,'N'),(15,2116812,'1A',213,'N'),(15,2116812,'2',208,'N'),(15,2116820,'1',213,'N'),(15,2116820,'1A',202,'N'),(15,2116820,'2',201,'N'),(15,2116839,'1',215,'N'),(15,2116839,'2',233,'N'),(15,2116847,'1',103,'N'),(15,2116855,'1',319,'N'),(15,2116855,'2',328,'N'),(15,2116863,'1',201,'N'),(15,2116863,'1A',207,'N'),(15,2116863,'2',319,'N'),(15,2116871,'1',5,'N'),(15,2116871,'2',103,'N'),(15,2116898,'1',103,'N'),(15,2116901,'1',318,'N'),(15,2116901,'2',304,'N'),(15,2116910,'1',319,'N'),(15,2116910,'2',310,'N'),(15,2116936,'1',211,'N'),(15,2116936,'1A',215,'N'),(15,2116960,'1',207,'N'),(15,2116960,'2',224,'N'),(15,2116979,'1',212,'N'),(15,2116979,'1A',201,'N'),(15,2116979,'2',318,'N'),(15,2116987,'1',103,'N'),(15,2116987,'2',102,'N'),(15,2116995,'1',238,'N'),(15,2116995,'1A',208,'N'),(15,2116995,'2',420,'N'),(15,2117002,'1',108,'N'),(15,2117002,'2',333,'N'),(15,2117037,'1',202,'N'),(15,2117037,'2',216,'N'),(15,2117053,'1',201,'N'),(15,2117053,'1A',212,'N'),(15,2117053,'2',238,'N'),(15,2117061,'1',203,'N'),(15,2117061,'1A',214,'N'),(15,2117061,'2',224,'N'),(15,2117070,'1',318,'N'),(15,2117070,'2',316,'N'),(15,2117088,'1',319,'N'),(15,2117088,'2',404,'N'),(15,2117096,'1',404,'N'),(15,2117096,'2',332,'N'),(15,2117100,'1',203,'N'),(15,2117100,'1A',202,'N'),(15,2117100,'2',211,'N'),(15,2117134,'1',216,'N'),(15,2117134,'1A',211,'N'),(15,2117134,'2',103,'N'),(15,2117169,'1',303,'N'),(15,2117169,'2',326,'N'),(15,2117185,'1',203,'N'),(15,2117185,'1A',214,'N'),(15,2117185,'2',213,'N'),(15,2117193,'1',327,'N'),(15,2117193,'2',326,'N'),(15,2117207,'1',327,'N'),(15,2117207,'2',326,'N'),(15,2117223,'1',339,'N'),(15,2117223,'2',320,'N'),(15,2117240,'1',103,'N'),(15,2117240,'2',101,'N'),(15,2117266,'1',215,'N'),(15,2117266,'1A',216,'N'),(15,2117266,'2',217,'N'),(15,2117274,'1',103,'N'),(15,2117282,'1',415,'N'),(15,2117282,'2',327,'N'),(15,2117290,'1',502,'N'),(15,2117290,'2',501,'N'),(15,2117304,'1',318,'N'),(15,2117304,'2',304,'N'),(15,2117312,'1',501,'N'),(15,2117312,'2',309,'N'),(15,2117320,'1',317,'N'),(15,2117320,'2',429,'N'),(15,2117339,'1',329,'N'),(15,2117339,'2',328,'N'),(15,2117347,'1',104,'N'),(15,2117347,'2',444,'N'),(15,2117355,'1',301,'N'),(15,2117355,'2',316,'N'),(15,2117363,'1',103,'N'),(15,2117363,'2',102,'N'),(15,2117371,'1',208,'N'),(15,2117371,'1A',203,'N'),(15,2117371,'2',238,'N'),(15,2117398,'1',333,'N'),(15,2117398,'2',108,'N'),(15,2117401,'1',220,'N'),(15,2117401,'1A',203,'N'),(15,2117401,'2',202,'N'),(15,2117428,'1',420,'N'),(15,2117428,'2',207,'N'),(15,2117436,'1',501,'N'),(15,2117436,'2',217,'N'),(15,2117452,'1',234,'N'),(15,2117452,'2',225,'N'),(15,2117460,'1',310,'N'),(15,2117479,'1',103,'N'),(15,2117479,'2',101,'N'),(15,2117495,'1',223,'N'),(15,2117495,'2',224,'N'),(15,2117509,'1',108,'N'),(15,2117509,'2',333,'N'),(15,2117517,'1',203,'N'),(15,2117525,'1',319,'N'),(15,2117525,'2',9,'N'),(15,2117533,'1',103,'N'),(15,2117541,'1',217,'N'),(15,2117541,'2',329,'N'),(15,2117550,'1',103,'N'),(15,2117568,'1',102,'N'),(15,2117568,'2',104,'N'),(15,2117576,'1',308,'N'),(15,2117576,'2',428,'N'),(15,2117592,'1',104,'N'),(15,2117592,'2',101,'N'),(15,2117606,'1',103,'N'),(15,2117606,'2',101,'N'),(15,2117614,'1',102,'N'),(15,2117614,'2',302,'N'),(15,2117622,'1',427,'N'),(15,2117622,'1A',421,'N'),(15,2117622,'2',423,'N'),(15,2117630,'1',333,'N'),(15,2117630,'2',404,'N'),(15,2117649,'1',429,'N'),(15,2117649,'1A',425,'N'),(15,2117665,'1',207,'N'),(15,2117665,'1A',201,'N'),(15,2117665,'2',208,'N'),(15,2117673,'1',9,'N'),(15,2117673,'2',444,'N'),(15,2117681,'1',5,'N'),(15,2117690,'1',339,'N'),(15,2117690,'2',309,'N'),(15,2117703,'1',103,'N'),(15,2117703,'2',104,'N'),(15,2117711,'1',103,'N'),(15,2117711,'2',303,'N'),(15,2117720,'1',9,'N'),(15,2117720,'2',501,'N'),(15,2117738,'1',238,'N'),(15,2117738,'1A',208,'N'),(15,2117738,'2',317,'N'),(15,2117746,'1',303,'N'),(15,2117746,'2',5,'N'),(15,2117754,'1',208,'N'),(15,2117754,'1A',238,'N'),(15,2117754,'2',317,'N'),(15,2117770,'1',333,'N'),(15,2117770,'2',404,'N'),(15,2117789,'1',5,'N'),(15,2117789,'2',318,'N'),(15,2117797,'1',214,'N'),(15,2117797,'1A',203,'N'),(15,2117797,'2',202,'N'),(15,2117800,'1',201,'N'),(15,2117800,'1A',212,'N'),(15,2117800,'2',425,'N'),(15,2117819,'1',103,'N'),(15,2117827,'1',426,'N'),(15,2117827,'1A',428,'N'),(15,2117827,'2',327,'N'),(15,2117835,'1',5,'N'),(15,2117835,'2',303,'N'),(15,2117843,'1',502,'N'),(15,2117843,'2',333,'N'),(15,2117851,'1',201,'N'),(15,2117851,'1A',212,'N'),(15,2117851,'2',213,'N'),(15,2117860,'1',217,'N'),(15,2117860,'2',216,'N'),(15,2117878,'1',211,'N'),(15,2117878,'2',333,'N'),(15,2117886,'1',238,'N'),(15,2117886,'1A',208,'N'),(15,2117886,'2',303,'N'),(15,2117894,'1',502,'N'),(15,2117894,'2',103,'N'),(15,2117924,'1',103,'N'),(15,2117932,'1',220,'N'),(15,2117932,'1A',238,'N'),(15,2117932,'2',208,'N'),(15,2117959,'1',104,'N'),(15,2117959,'2',319,'N'),(15,2117967,'1',302,'N'),(15,2117967,'2',304,'N'),(15,2117975,'1',501,'N'),(15,2117975,'2',301,'N'),(15,2117983,'1',207,'N'),(15,2117983,'1A',203,'N'),(15,2117983,'2',420,'N'),(15,2118017,'1',444,'N'),(15,2118017,'2',501,'N'),(15,2118025,'1',103,'N'),(15,2118033,'1',310,'N'),(15,2118033,'2',320,'N'),(15,2118041,'1',301,'N'),(15,2118041,'2',316,'N'),(15,2118050,'1',108,'N'),(15,2118050,'2',102,'N'),(15,2118068,'1',302,'N'),(15,2118068,'2',319,'N'),(15,2118076,'1',103,'N'),(15,2118076,'2',104,'N'),(15,2118084,'1',104,'N'),(15,2118084,'2',303,'N'),(15,2118092,'1',423,'N'),(15,2118092,'1A',429,'N'),(15,2118092,'2',339,'N'),(15,2118106,'1',316,'N'),(15,2118106,'2',308,'N'),(15,2118114,'1',9,'N'),(15,2118114,'2',301,'N'),(15,2118122,'1',201,'N'),(15,2118122,'1A',216,'N'),(15,2118122,'2',318,'N'),(15,2118157,'1',501,'N'),(15,2118157,'2',324,'N'),(15,2118165,'1',207,'N'),(15,2118165,'1A',214,'N'),(15,2118165,'2',420,'N'),(15,2118173,'1',303,'N'),(15,2118173,'2',316,'N'),(15,2118181,'1',319,'N'),(15,2118181,'2',327,'N'),(15,2118190,'1',444,'N'),(15,2118190,'2',420,'N'),(15,2118203,'1',5,'N'),(15,2118203,'2',303,'N'),(15,2118211,'1',214,'N'),(15,2118211,'1A',220,'N'),(15,2118211,'2',331,'N'),(15,2118220,'1',304,'N'),(15,2118220,'2',329,'N'),(15,2118238,'1',214,'N'),(15,2118238,'1A',203,'N'),(15,2118238,'2',213,'N'),(15,2118246,'1',428,'N'),(15,2118246,'1A',426,'N'),(15,2118246,'2',415,'N'),(15,2118254,'1',501,'N'),(15,2118254,'2',502,'N'),(15,2118262,'1',102,'N'),(15,2118262,'2',9,'N'),(15,2118270,'1',216,'N'),(15,2118270,'1A',203,'N'),(15,2118270,'2',102,'N'),(15,2118300,'1',103,'N'),(15,2118300,'2',223,'N'),(15,2118319,'1',101,'N'),(15,2118319,'2',102,'N'),(15,2118327,'1',429,'N'),(15,2118327,'1A',423,'N'),(15,2118327,'2',339,'N'),(15,2118335,'1',302,'N'),(15,2118335,'2',304,'N'),(15,2118351,'1',203,'N'),(15,2118351,'1A',220,'N'),(15,2118351,'2',214,'N'),(15,2118360,'1',317,'N'),(15,2118360,'2',101,'N'),(15,2118378,'1',303,'N'),(15,2118378,'2',5,'N'),(15,2118386,'1',444,'N'),(15,2118386,'2',404,'N'),(15,2118408,'1',216,'N'),(15,2118408,'1A',233,'N'),(15,2118408,'2',104,'N'),(15,2118416,'1',103,'N'),(15,2118416,'2',333,'N'),(15,2118440,'1',420,'N'),(15,2118440,'2',326,'N'),(15,2118459,'1',233,'N'),(15,2118459,'1A',238,'N'),(15,2118459,'2',324,'N'),(15,2118467,'1',108,'N'),(15,2118467,'2',220,'N'),(15,2118475,'1',203,'N'),(15,2118475,'1A',214,'N'),(15,2118475,'2',202,'N'),(15,2118483,'1',5,'N'),(15,2118483,'2',327,'N'),(15,2118491,'1',102,'N'),(15,2118491,'2',108,'N'),(15,2118505,'1',301,'N'),(15,2118505,'2',502,'N'),(15,2118521,'1',108,'N'),(15,2118521,'2',333,'N'),(15,2118530,'1',207,'N'),(15,2118530,'1A',215,'N'),(15,2118530,'2',420,'N'),(15,2118548,'1',5,'N'),(15,2118548,'2',423,'N'),(15,2118556,'1',103,'N'),(15,2118572,'1',318,'N'),(15,2118572,'2',328,'N'),(15,2118580,'1',103,'N'),(15,2118580,'2',102,'N'),(15,2118599,'1',203,'N'),(15,2118599,'1A',214,'N'),(15,2118599,'2',333,'N'),(15,2118610,'1',429,'N'),(15,2118610,'1A',424,'N'),(15,2118610,'2',301,'N'),(15,2118629,'1',208,'N'),(15,2118629,'1A',238,'N'),(15,2118637,'1',103,'N'),(15,2118637,'2',102,'N'),(15,2118645,'1',103,'N'),(15,2118645,'2',303,'N'),(15,2118670,'1',303,'N'),(15,2118670,'2',216,'N'),(15,2118696,'1',103,'N'),(15,2118696,'2',104,'N'),(15,2118700,'1',201,'N'),(15,2118700,'1A',214,'N'),(15,2118700,'2',2,'N'),(15,2118718,'1',108,'N'),(15,2118718,'2',332,'N'),(15,2118734,'1',310,'N'),(15,2118734,'2',421,'N'),(15,2118750,'1',108,'N'),(15,2118769,'1',326,'N'),(15,2118769,'2',327,'N'),(15,2118777,'1',304,'N'),(15,2118777,'2',303,'N'),(15,2118785,'1',103,'N'),(15,2118785,'2',333,'N'),(15,2118807,'1',5,'N'),(15,2118807,'2',326,'N'),(15,2118815,'1',303,'N'),(15,2118823,'1',207,'N'),(15,2118823,'1A',201,'N'),(15,2118823,'2',203,'N'),(15,2118840,'1',101,'N'),(15,2118840,'2',319,'N'),(15,2118858,'1',211,'N'),(15,2118858,'1A',213,'N'),(15,2118858,'2',333,'N'),(15,2118866,'1',316,'N'),(15,2118866,'2',426,'N'),(15,2118874,'1',303,'N'),(15,2118874,'2',316,'N'),(15,2118882,'1',211,'N'),(15,2118882,'1A',215,'N'),(15,2118882,'2',333,'N'),(15,2118890,'1',303,'N'),(15,2118890,'2',425,'N'),(15,2118904,'1',404,'N'),(15,2118904,'2',444,'N'),(15,2118920,'1',303,'N'),(15,2118920,'2',208,'N'),(15,2118939,'1',202,'N'),(15,2118939,'1A',213,'N'),(15,2118939,'2',2,'N'),(15,2118947,'1',5,'N'),(15,2118947,'2',104,'N'),(15,2118955,'1',502,'N'),(15,2118955,'2',501,'N'),(15,2118963,'1',202,'N'),(15,2118963,'1A',203,'N'),(15,2118963,'2',201,'N'),(15,2118971,'1',429,'N'),(15,2118980,'1',207,'N'),(15,2118980,'1A',201,'N'),(15,2118980,'2',233,'N'),(15,2118998,'1',222,'N'),(15,2118998,'2',216,'N'),(15,2119005,'1',318,'N'),(15,2119005,'2',339,'N'),(15,2119013,'1',103,'N'),(15,2119013,'2',104,'N'),(15,2119021,'1',303,'N'),(15,2119021,'2',301,'N'),(15,2119030,'1',415,'N'),(15,2119030,'2',326,'N'),(15,2119048,'1',5,'N'),(15,2119048,'2',318,'N'),(15,2119056,'1',420,'N'),(15,2119056,'2',310,'N'),(15,2119072,'1',450,'N'),(15,2119072,'2',302,'N'),(15,2119080,'1',215,'N'),(15,2119080,'1A',233,'N'),(15,2119080,'2',333,'N'),(15,2119099,'1',103,'N'),(15,2119099,'2',303,'N'),(15,2119102,'1',5,'N'),(15,2119102,'2',316,'N'),(15,2119110,'1',317,'N'),(15,2119110,'2',224,'N'),(15,2119129,'1',103,'N'),(15,2119129,'2',303,'N'),(15,2119137,'1',303,'N'),(15,2119137,'2',420,'N'),(15,2119153,'1',108,'N'),(15,2119161,'1',207,'N'),(15,2119161,'2',201,'N'),(15,2119188,'1',108,'N'),(15,2119188,'2',316,'N'),(15,2119200,'1',420,'N'),(15,2119200,'2',308,'N'),(15,2119218,'1',444,'N'),(15,2119218,'2',332,'N'),(15,2119226,'1',319,'N'),(15,2119226,'2',211,'N'),(15,2119234,'1',207,'N'),(15,2119234,'1A',215,'N'),(15,2119234,'2',316,'N'),(15,2119250,'1',238,'N'),(15,2119250,'1A',208,'N'),(15,2119250,'2',222,'N'),(15,2119269,'1',423,'N'),(15,2119269,'1A',424,'N'),(15,2119269,'2',211,'N'),(15,2119277,'1',420,'N'),(15,2119277,'2',203,'N'),(15,2119285,'1',215,'N'),(15,2119293,'1',207,'N'),(15,2119293,'2',202,'N'),(15,2119307,'1',233,'N'),(15,2119307,'1A',203,'N'),(15,2119307,'2',216,'N'),(15,2119315,'1',102,'N'),(15,2119315,'2',217,'N'),(15,2119323,'1',415,'N'),(15,2119323,'2',426,'N'),(15,2119331,'1',108,'N'),(15,2119331,'2',327,'N'),(15,2119340,'1',308,'N'),(15,2119340,'2',328,'N'),(15,2119358,'1',319,'N'),(15,2119358,'2',101,'N'),(15,2119374,'1',415,'N'),(15,2119374,'2',426,'N'),(15,2119390,'1',415,'N'),(15,2119390,'2',326,'N'),(15,2119404,'1',423,'N'),(15,2119404,'1A',427,'N'),(15,2119404,'2',309,'N'),(15,2119412,'1',104,'N'),(15,2119420,'1',303,'N'),(15,2119420,'2',423,'N'),(15,2119455,'1',103,'N'),(15,2119455,'2',5,'N'),(15,2119471,'1',207,'N'),(15,2119471,'1A',238,'N'),(15,2119471,'2',420,'N'),(15,2119480,'1',201,'N'),(15,2119480,'1A',207,'N'),(15,2119480,'2',104,'N'),(15,2119498,'1',451,'N'),(15,2119498,'2',450,'N'),(15,2119501,'1',108,'N'),(15,2119501,'2',501,'N'),(15,2119510,'1',102,'N'),(15,2119510,'2',108,'N'),(15,2119544,'1',103,'N'),(15,2119544,'2',101,'N'),(15,2119552,'1',301,'N'),(15,2119552,'2',302,'N'),(15,2119560,'1',103,'N'),(15,2119560,'2',102,'N'),(15,2119579,'1',103,'N'),(15,2119579,'2',303,'N'),(15,2119587,'1',316,'N'),(15,2119587,'2',429,'N'),(15,2119595,'1',102,'N'),(15,2119595,'2',103,'N'),(15,2119609,'1',451,'N'),(15,2119609,'2',420,'N'),(15,2119625,'1',308,'N'),(15,2119625,'2',303,'N'),(15,2119641,'1',207,'N'),(15,2119641,'1A',211,'N'),(15,2119641,'2',450,'N'),(15,2119676,'1',214,'N'),(15,2119676,'1A',215,'N'),(15,2119676,'2',213,'N'),(15,2119692,'1',104,'N'),(15,2119692,'2',108,'N'),(15,2119706,'1',420,'N'),(15,2119706,'2',450,'N'),(15,2119730,'1',420,'N'),(15,2119730,'2',326,'N'),(15,2119749,'1',103,'N'),(15,2119749,'2',301,'N'),(15,2119757,'1',2,'N'),(15,2119757,'2',203,'N'),(15,2119765,'1',217,'N'),(15,2119765,'2',208,'N'),(15,2119773,'1',103,'N'),(15,2119773,'2',451,'N'),(15,2119781,'1',103,'N'),(15,2119781,'2',104,'N'),(15,2119790,'1',207,'N'),(15,2119790,'1A',211,'N'),(15,2119790,'2',420,'N'),(15,2119803,'1',202,'N'),(15,2119803,'1A',213,'N'),(15,2119803,'2',223,'N'),(15,2119811,'1',303,'N'),(15,2119820,'1',104,'N'),(15,2119820,'2',102,'N'),(15,2119838,'1',207,'N'),(15,2119838,'1A',238,'N'),(15,2119838,'2',420,'N'),(15,2119846,'1',332,'N'),(15,2119846,'2',404,'N'),(15,2119854,'1',108,'N'),(15,2119854,'2',211,'N'),(15,2119862,'1',303,'N'),(15,2119862,'2',5,'N'),(15,2119889,'1',318,'N'),(15,2119897,'1',316,'N'),(15,2119897,'2',318,'N'),(15,2119900,'1',304,'N'),(15,2119900,'2',501,'N'),(15,2119919,'1',233,'N'),(15,2119919,'1A',220,'N'),(15,2119919,'2',203,'N'),(15,2119927,'1',332,'N'),(15,2119927,'2',331,'N'),(15,2119935,'1',201,'N'),(15,2119935,'2',213,'N'),(15,2119951,'1',301,'N'),(15,2119951,'2',451,'N'),(15,2119960,'1',333,'N'),(15,2119960,'2',108,'N'),(15,2119986,'1',9,'N'),(15,2119986,'2',223,'N'),(15,2119994,'1',103,'N'),(15,2119994,'2',104,'N'),(15,2120003,'1',207,'N'),(15,2120003,'1A',201,'N'),(15,2120003,'2',319,'N'),(15,2120011,'1',319,'N'),(15,2120011,'2',217,'N'),(15,2120020,'1',103,'N'),(15,2120020,'2',108,'N'),(15,2120038,'1',103,'N'),(15,2120038,'2',108,'N'),(15,2120046,'1',319,'N'),(15,2120046,'2',444,'N'),(15,2120062,'1',108,'N'),(15,2120062,'2',103,'N'),(15,2120070,'1',208,'N'),(15,2120070,'1A',238,'N'),(15,2120070,'2',222,'N'),(15,2120089,'1',103,'N'),(15,2120089,'2',5,'N'),(15,2120097,'1',102,'N'),(15,2120097,'2',103,'N'),(15,2120100,'1',444,'N'),(15,2120100,'2',316,'N'),(15,2120119,'1',5,'N'),(15,2120119,'2',451,'N'),(15,2120127,'1',233,'N'),(15,2120127,'1A',216,'N'),(15,2120127,'2',301,'N'),(15,2120143,'1',211,'N'),(15,2120143,'1A',207,'N'),(15,2120151,'1',233,'N'),(15,2120151,'1A',211,'N'),(15,2120151,'2',319,'N'),(15,2120178,'1',214,'N'),(15,2120178,'1A',212,'N'),(15,2120178,'2',301,'N'),(15,2120186,'1',404,'N'),(15,2120186,'2',201,'N'),(15,2120208,'1',203,'N'),(15,2120208,'1A',207,'N'),(15,2120208,'2',425,'N'),(15,2120216,'1',101,'N'),(15,2120216,'2',423,'N'),(15,2120224,'1',103,'N'),(15,2120224,'2',104,'N'),(15,2120232,'1',102,'N'),(15,2120232,'2',301,'N'),(15,2120240,'1',214,'N'),(15,2120240,'1A',203,'N'),(15,2120240,'2',220,'N'),(15,2120259,'1',238,'N'),(15,2120259,'1A',208,'N'),(15,2120259,'2',318,'N'),(15,2120267,'1',317,'N'),(15,2120267,'2',318,'N'),(15,2120275,'1',5,'N'),(15,2120275,'2',303,'N'),(15,2120283,'1',207,'N'),(15,2120283,'1A',201,'N'),(15,2120283,'2',420,'N'),(15,2120305,'1',5,'N'),(15,2120305,'2',303,'N'),(15,2120313,'1',103,'N'),(15,2120313,'2',216,'N'),(15,2120321,'1',319,'N'),(15,2120330,'1',103,'N'),(15,2120330,'2',9,'N'),(15,2120348,'1',318,'N'),(15,2120348,'2',304,'N'),(15,2120356,'1',420,'N'),(15,2120356,'2',207,'N'),(15,2120364,'1',108,'N'),(15,2120364,'2',333,'N'),(15,2120372,'1',320,'N'),(15,2120372,'2',451,'N'),(15,2120380,'1',103,'N'),(15,2120380,'2',104,'N'),(15,2120399,'1',303,'N'),(15,2120399,'2',326,'N'),(15,2120402,'1',238,'N'),(15,2120402,'1A',208,'N'),(15,2120402,'2',316,'N'),(15,2120410,'1',233,'N'),(15,2120410,'1A',208,'N'),(15,2120410,'2',301,'N'),(15,2120429,'1',108,'N'),(15,2120437,'1',5,'N'),(15,2120437,'2',303,'N'),(15,2120445,'1',501,'N'),(15,2120445,'2',502,'N'),(15,2120453,'1',501,'N'),(15,2120453,'2',444,'N'),(15,2120461,'1',104,'N'),(15,2120461,'2',103,'N'),(15,2120470,'1',201,'N'),(15,2120470,'2',213,'N'),(15,2120496,'1',214,'N'),(15,2120496,'1A',233,'N'),(15,2120496,'2',203,'N'),(15,2120518,'1',327,'N'),(15,2120518,'2',415,'N'),(15,2120526,'1',5,'N'),(15,2120526,'2',318,'N'),(15,2120534,'1',331,'N'),(15,2120534,'2',332,'N'),(15,2120550,'1',304,'N'),(15,2120550,'2',316,'N'),(15,2120569,'1',203,'N'),(15,2120569,'1A',202,'N'),(15,2120569,'2',214,'N'),(15,2120577,'1',317,'N'),(15,2120577,'2',202,'N'),(15,2120585,'1',216,'N'),(15,2120585,'1A',238,'N'),(15,2120585,'2',217,'N'),(15,2120593,'1',104,'N'),(15,2120593,'2',333,'N'),(15,2120607,'1',215,'N'),(15,2120607,'1A',216,'N'),(15,2120607,'2',108,'N'),(15,2120615,'1',103,'N'),(15,2120615,'2',104,'N'),(15,2120623,'1',9,'N'),(15,2120623,'2',108,'N'),(15,2120631,'1',316,'N'),(15,2120631,'2',318,'N'),(15,2120640,'1',216,'N'),(15,2120640,'1A',215,'N'),(15,2120640,'2',327,'N'),(15,2120658,'1',415,'N'),(15,2120658,'2',424,'N'),(15,2120666,'1',317,'N'),(15,2120666,'2',318,'N'),(15,2120674,'1',211,'N'),(15,2120674,'2',317,'N'),(15,2120682,'1',333,'N'),(15,2120682,'2',331,'N'),(15,2120690,'1',203,'N'),(15,2120690,'1A',214,'N'),(15,2120690,'2',316,'N'),(15,2120704,'1',316,'N'),(15,2120704,'2',324,'N'),(15,2120712,'1',203,'N'),(15,2120712,'1A',214,'N'),(15,2120712,'2',420,'N'),(15,2120720,'1',103,'N'),(15,2120739,'1',302,'N'),(15,2120739,'2',317,'N'),(15,2120747,'1',332,'N'),(15,2120747,'2',324,'N'),(15,2120755,'1',5,'N'),(15,2120755,'2',303,'N'),(15,2120763,'1',213,'N'),(15,2120763,'1A',212,'N'),(15,2120763,'2',224,'N'),(15,2120771,'1',316,'N'),(15,2120771,'2',426,'N'),(15,2120780,'1',103,'N'),(15,2120780,'2',108,'N'),(15,2120798,'1',316,'N'),(15,2120798,'2',425,'N'),(15,2120801,'1',207,'N'),(15,2120801,'1A',233,'N'),(15,2120801,'2',215,'N'),(15,2120810,'1',102,'N'),(15,2120810,'2',217,'N'),(15,2120828,'1',211,'N'),(15,2120828,'1A',212,'N'),(15,2120828,'2',201,'N'),(15,2120836,'1',318,'N'),(15,2120836,'2',316,'N'),(15,2120844,'1',211,'N'),(15,2120844,'1A',233,'N'),(15,2120844,'2',225,'N'),(15,2120860,'1',327,'N'),(15,2120860,'2',450,'N'),(15,2120879,'1',451,'N'),(15,2120879,'2',309,'N'),(15,2120895,'1',103,'N'),(15,2120895,'2',9,'N'),(15,2120909,'1',9,'N'),(15,2120909,'2',324,'N'),(15,2120917,'1',103,'N'),(15,2120917,'2',102,'N'),(15,2120925,'1',303,'N'),(15,2120925,'2',301,'N'),(15,2120933,'1',201,'N'),(15,2120933,'1A',203,'N'),(15,2120933,'2',208,'N'),(15,2120941,'1',202,'N'),(15,2120941,'1A',203,'N'),(15,2120941,'2',102,'N'),(15,2120950,'1',301,'N'),(15,2120950,'2',326,'N'),(15,2120968,'1',302,'N'),(15,2120968,'2',317,'N'),(15,2120984,'1',104,'N'),(15,2120984,'2',317,'N'),(15,2120992,'1',234,'N'),(15,2120992,'2',213,'N'),(15,2121000,'1',429,'N'),(15,2121000,'1A',425,'N'),(15,2121000,'2',301,'N'),(15,2121018,'1',5,'N'),(15,2121018,'2',303,'N'),(15,2121026,'1',203,'N'),(15,2121026,'1A',201,'N'),(15,2121026,'2',501,'N'),(15,2121034,'1',233,'N'),(15,2121034,'1A',208,'N'),(15,2121034,'2',324,'N'),(15,2121050,'1',2,'N'),(15,2121050,'2',225,'N'),(15,2121069,'1',5,'N'),(15,2121077,'1',102,'N'),(15,2121077,'2',217,'N'),(15,2121085,'1',429,'N'),(15,2121085,'2',5,'N'),(15,2121093,'1',316,'N'),(15,2121093,'2',108,'N'),(15,2121107,'1',421,'N'),(15,2121107,'1A',429,'N'),(15,2121107,'2',424,'N'),(15,2121115,'1',327,'N'),(15,2121115,'2',320,'N'),(15,2121123,'1',202,'N'),(15,2121123,'1A',208,'N'),(15,2121123,'2',220,'N'),(15,2121131,'1',207,'N'),(15,2121131,'1A',208,'N'),(15,2121131,'2',420,'N'),(15,2121158,'1',424,'N'),(15,2121158,'1A',423,'N'),(15,2121158,'2',426,'N'),(15,2121166,'1',217,'N'),(15,2121166,'2',316,'N'),(15,2121174,'1',224,'N'),(15,2121174,'2',317,'N'),(15,2121190,'1',304,'N'),(15,2121190,'2',444,'N'),(15,2121204,'1',316,'N'),(15,2121204,'2',426,'N'),(15,2121239,'1',103,'N'),(15,2121239,'2',216,'N'),(15,2121247,'1',303,'N'),(15,2121247,'2',5,'N'),(15,2121255,'1',103,'N'),(15,2121255,'2',101,'N'),(15,2121271,'1',444,'N'),(15,2121271,'2',324,'N'),(15,2121280,'1',203,'N'),(15,2121280,'1A',220,'N'),(15,2121280,'2',2,'N'),(15,2121298,'1',303,'N'),(15,2121298,'2',5,'N'),(15,2121301,'1',415,'N'),(15,2121310,'1',9,'N'),(15,2121310,'2',215,'N'),(15,2121328,'1',326,'N'),(15,2121328,'2',324,'N'),(15,2121336,'1',319,'N'),(15,2121336,'2',102,'N'),(15,2121344,'1',103,'N'),(15,2121344,'2',310,'N'),(15,2121360,'1',220,'N'),(15,2121360,'1A',203,'N'),(15,2121360,'2',303,'N'),(15,2121379,'1',103,'N'),(15,2121379,'2',101,'N'),(15,2121387,'1',9,'N'),(15,2121387,'2',420,'N'),(15,2121395,'1',203,'N'),(15,2121395,'1A',220,'N'),(15,2121395,'2',202,'N'),(15,2121409,'1',103,'N'),(15,2121409,'2',108,'N'),(15,2121425,'1',103,'N'),(15,2121425,'2',423,'N'),(15,2121433,'1',318,'N'),(15,2121433,'2',316,'N'),(15,2121441,'1',224,'N'),(15,2121441,'2',302,'N'),(15,2121450,'1',233,'N'),(15,2121450,'1A',212,'N'),(15,2121450,'2',214,'N'),(15,2121468,'1',201,'N'),(15,2121468,'1A',233,'N'),(15,2121468,'2',318,'N'),(15,2121476,'1',103,'N'),(15,2121476,'2',301,'N'),(15,2121484,'1',238,'N'),(15,2121484,'1A',207,'N'),(15,2121484,'2',420,'N'),(15,2121492,'1',203,'N'),(15,2121492,'1A',216,'N'),(15,2121492,'2',328,'N'),(15,2121506,'1',420,'N'),(15,2121506,'2',238,'N'),(15,2121514,'1',316,'N'),(15,2121514,'2',234,'N'),(15,2121522,'1',103,'N'),(15,2121522,'2',333,'N'),(15,2121530,'1',333,'N'),(15,2121530,'2',108,'N'),(15,2121549,'1',203,'N'),(15,2121549,'1A',207,'N'),(15,2121549,'2',5,'N'),(15,2121557,'1',216,'N'),(15,2121557,'1A',233,'N'),(15,2121557,'2',214,'N'),(15,2121565,'1',102,'N'),(15,2121565,'2',444,'N'),(15,2121573,'1',5,'N'),(15,2121573,'2',308,'N'),(15,2121590,'1',332,'N'),(15,2121590,'2',324,'N'),(15,2121603,'1',207,'N'),(15,2121603,'1A',238,'N'),(15,2121603,'2',426,'N'),(15,2121611,'1',103,'N'),(15,2121620,'1',202,'N'),(15,2121620,'1A',203,'N'),(15,2121620,'2',213,'N'),(15,2121638,'1',319,'N'),(15,2121638,'2',428,'N'),(15,2121646,'1',103,'N'),(15,2121646,'2',108,'N'),(15,2121654,'1',427,'N'),(15,2121654,'2',234,'N'),(15,2121662,'1',303,'N'),(15,2121662,'2',301,'N'),(15,2121670,'1',103,'N'),(15,2121670,'2',5,'N'),(15,2121689,'1',304,'N'),(15,2121689,'2',420,'N'),(15,2121697,'1',104,'N'),(15,2121697,'2',326,'N'),(15,2121700,'1',103,'N'),(15,2121700,'2',303,'N'),(15,2121719,'1',308,'N'),(15,2121719,'2',207,'N'),(15,2121727,'1',214,'N'),(15,2121727,'1A',212,'N'),(15,2121727,'2',301,'N'),(15,2121751,'1',207,'N'),(15,2121751,'1A',216,'N'),(15,2121751,'2',333,'N'),(15,2121760,'1',317,'N'),(15,2121760,'2',316,'N'),(15,2121778,'1',304,'N'),(15,2121778,'2',328,'N'),(15,2121786,'1',203,'N'),(15,2121786,'1A',233,'N'),(15,2121786,'2',2,'N'),(15,2121794,'1',301,'N'),(15,2121794,'2',316,'N'),(15,2121808,'1',450,'N'),(15,2121808,'2',326,'N'),(15,2121824,'1',309,'N'),(15,2121824,'2',450,'N'),(15,2121840,'1',213,'N'),(15,2121840,'1A',202,'N'),(15,2121840,'2',225,'N'),(15,2121859,'1',203,'N'),(15,2121859,'1A',214,'N'),(15,2121867,'1',202,'N'),(15,2121867,'1A',233,'N'),(15,2121867,'2',2,'N'),(15,2121875,'1',238,'N'),(15,2121875,'1A',207,'N'),(15,2121875,'2',420,'N'),(15,2121883,'1',207,'N'),(15,2121883,'2',425,'N'),(15,2121891,'1',5,'N'),(15,2121891,'2',501,'N'),(15,2121905,'1',303,'N'),(15,2121905,'2',301,'N'),(15,2121921,'1',316,'N'),(15,2121921,'2',301,'N'),(15,2121930,'1',339,'N'),(15,2121930,'2',324,'N'),(15,2121948,'1',333,'N'),(15,2121956,'1',104,'N'),(15,2121956,'2',319,'N'),(15,2121964,'1',304,'N'),(15,2121964,'2',301,'N'),(15,2121980,'1',5,'N'),(15,2121980,'2',327,'N'),(15,2121999,'1',103,'N'),(15,2121999,'2',102,'N'),(15,2122006,'1',103,'N'),(15,2122006,'2',104,'N'),(15,2122014,'1',216,'N'),(15,2122014,'1A',220,'N'),(15,2122014,'2',233,'N'),(15,2122022,'1',104,'N'),(15,2122022,'2',303,'N'),(15,2122030,'1',208,'N'),(15,2122030,'1A',238,'N'),(15,2122030,'2',207,'N'),(15,2122049,'1',103,'N'),(15,2122049,'2',101,'N'),(15,2122057,'1',428,'N'),(15,2122057,'1A',424,'N'),(15,2122057,'2',324,'N'),(15,2122065,'1',220,'N'),(15,2122065,'1A',202,'N'),(15,2122065,'2',213,'N'),(15,2122073,'1',444,'N'),(15,2122073,'2',404,'N'),(15,2122081,'1',444,'N'),(15,2122081,'2',404,'N'),(15,2122090,'1',302,'N'),(15,2122090,'2',317,'N'),(15,2122103,'1',317,'N'),(15,2122103,'2',316,'N'),(15,2122111,'1',316,'N'),(15,2122111,'2',339,'N'),(15,2122120,'1',103,'N'),(15,2122120,'2',104,'N'),(15,2122138,'1',429,'N'),(15,2122138,'1A',425,'N'),(15,2122138,'2',424,'N'),(15,2122154,'1',211,'N'),(15,2122154,'1A',215,'N'),(15,2122154,'2',333,'N'),(15,2122162,'1',450,'N'),(15,2122162,'2',326,'N'),(15,2122170,'1',303,'N'),(15,2122189,'1',502,'N'),(15,2122189,'2',9,'N'),(15,2122197,'1',103,'N'),(15,2122197,'2',329,'N'),(15,2122200,'1',333,'N'),(15,2122200,'2',101,'N'),(15,2122219,'1',333,'N'),(15,2122219,'2',108,'N'),(15,2122227,'1',207,'N'),(15,2122227,'2',420,'N'),(15,2122235,'1',103,'N'),(15,2122235,'2',102,'N'),(15,2122243,'1',450,'N'),(15,2122243,'2',415,'N'),(15,2122251,'1',301,'N'),(15,2122251,'2',326,'N'),(15,2122260,'1',339,'N'),(15,2122260,'2',324,'N'),(15,2122286,'1',104,'N'),(15,2122286,'2',101,'N'),(15,2122294,'1',108,'N'),(15,2122294,'2',501,'N'),(15,2122308,'1',429,'N'),(15,2122308,'1A',425,'N'),(15,2122308,'2',301,'N'),(15,2122316,'1',316,'N'),(15,2122316,'2',420,'N'),(15,2122324,'1',103,'N'),(15,2122324,'2',333,'N'),(15,2122332,'1',415,'N'),(15,2122332,'2',301,'N'),(15,2122340,'1',331,'N'),(15,2122340,'2',332,'N'),(15,2122359,'1',103,'N'),(15,2122359,'2',101,'N'),(15,2122375,'1',102,'N'),(15,2122375,'2',9,'N'),(15,2122383,'1',303,'N'),(15,2122383,'2',316,'N'),(15,2122391,'1',404,'N'),(15,2122405,'1',201,'N'),(15,2122405,'1A',212,'N'),(15,2122405,'2',333,'N'),(15,2122413,'1',203,'N'),(15,2122413,'1A',214,'N'),(15,2122413,'2',326,'N'),(15,2122421,'1',450,'N'),(15,2122421,'2',420,'N'),(15,2122430,'1',207,'N'),(15,2122430,'1A',201,'N'),(15,2122430,'2',212,'N'),(15,2122448,'1',415,'N'),(15,2122448,'2',420,'N'),(15,2122456,'1',212,'N'),(15,2122456,'1A',220,'N'),(15,2122456,'2',316,'N'),(15,2122464,'1',333,'N'),(15,2122464,'2',234,'N'),(15,2122472,'1',216,'N'),(15,2122472,'2',333,'N'),(15,2122480,'1',309,'N'),(15,2122480,'2',326,'N'),(15,2122499,'1',304,'N'),(15,2122499,'2',318,'N'),(15,2122502,'1',304,'N'),(15,2122502,'2',302,'N'),(15,2122510,'1',301,'N'),(15,2122510,'2',316,'N'),(15,2122529,'1',211,'N'),(15,2122529,'1A',216,'N'),(15,2122529,'2',222,'N'),(15,2122537,'1',303,'N'),(15,2122537,'2',415,'N'),(15,2122545,'1',420,'N'),(15,2122545,'2',301,'N'),(15,2122553,'1',308,'N'),(15,2122553,'2',9,'N'),(15,2122561,'1',103,'N'),(15,2122561,'2',104,'N'),(15,2122570,'1',317,'N'),(15,2122570,'2',238,'N'),(15,2122588,'1',444,'N'),(15,2122588,'2',331,'N'),(15,2122600,'1',420,'N'),(15,2122600,'2',207,'N'),(15,2122618,'1',303,'N'),(15,2122626,'1',303,'N'),(15,2122626,'2',301,'N'),(15,2122642,'1',108,'N'),(15,2122642,'2',326,'N'),(15,2122650,'1',404,'N'),(15,2122650,'2',423,'N'),(15,2122669,'1',5,'N'),(15,2122669,'2',211,'N'),(15,2122677,'1',333,'N'),(15,2122677,'2',319,'N'),(15,2122685,'1',102,'N'),(15,2122685,'2',101,'N'),(15,2122715,'1',333,'N'),(15,2122715,'2',211,'N'),(15,2122723,'1',103,'N'),(15,2122723,'2',319,'N'),(15,2122731,'1',425,'N'),(15,2122731,'1A',423,'N'),(15,2122731,'2',424,'N'),(15,2122740,'1',103,'N'),(15,2122740,'2',108,'N'),(15,2122766,'1',220,'N'),(15,2122766,'1A',203,'N'),(15,2122766,'2',214,'N'),(15,2122774,'1',103,'N'),(15,2122774,'2',104,'N'),(15,2122790,'1',103,'N'),(15,2122790,'2',203,'N'),(15,2122804,'1',333,'N'),(15,2122804,'2',424,'N'),(15,2122820,'1',203,'N'),(15,2122820,'1A',216,'N'),(15,2122820,'2',202,'N'),(15,2122839,'1',429,'N'),(15,2122839,'1A',428,'N'),(15,2122839,'2',425,'N'),(15,2122847,'1',103,'N'),(15,2122847,'2',9,'N'),(15,2122855,'1',104,'N'),(15,2122855,'2',308,'N'),(15,2122863,'1',103,'N'),(15,2122863,'2',101,'N'),(15,2122871,'1',217,'N'),(15,2122871,'2',223,'N'),(15,2122898,'1',420,'N'),(15,2122910,'1',303,'N'),(15,2122910,'2',318,'N'),(15,2122928,'1',207,'N'),(15,2122928,'1A',220,'N'),(15,2122928,'2',203,'N'),(15,2122936,'1',333,'N'),(15,2122936,'2',217,'N'),(15,2122952,'1',327,'N'),(15,2122952,'2',329,'N'),(15,2122960,'1',103,'N'),(15,2122960,'2',317,'N'),(15,2122979,'1',103,'N'),(15,2122979,'2',207,'N'),(15,2122987,'1',319,'N'),(15,2122987,'2',415,'N'),(15,2122995,'1',103,'N'),(15,2122995,'2',104,'N'),(15,2123002,'1',303,'N'),(15,2123002,'2',207,'N'),(15,2123010,'1',207,'N'),(15,2123010,'1A',201,'N'),(15,2123010,'2',212,'N'),(15,2123029,'1',103,'N'),(15,2123029,'2',319,'N'),(15,2123037,'1',215,'N'),(15,2123037,'1A',216,'N'),(15,2123037,'2',103,'N'),(15,2123045,'1',214,'N'),(15,2123045,'1A',233,'N'),(15,2123045,'2',224,'N'),(15,2123053,'1',501,'N'),(15,2123053,'2',326,'N'),(15,2123061,'1',103,'N'),(15,2123061,'2',104,'N'),(15,2123070,'1',216,'N'),(15,2123070,'2',217,'N'),(15,2123088,'1',103,'N'),(15,2123088,'2',108,'N'),(15,2123100,'1',318,'N'),(15,2123100,'2',332,'N'),(15,2123118,'1',415,'N'),(15,2123118,'2',450,'N'),(15,2123126,'1',303,'N'),(15,2123126,'2',415,'N'),(15,2123134,'1',501,'N'),(15,2123134,'2',331,'N'),(15,2123142,'1',327,'N'),(15,2123142,'2',339,'N'),(15,2123169,'1',304,'N'),(15,2123169,'2',223,'N'),(15,2123177,'1',223,'N'),(15,2123177,'2',317,'N'),(15,2123185,'1',316,'N'),(15,2123185,'2',211,'N'),(15,2123193,'1',303,'N'),(15,2123193,'2',5,'N'),(15,2123215,'1',308,'N'),(15,2123215,'2',420,'N'),(15,2123231,'1',415,'N'),(15,2123231,'2',317,'N'),(15,2123258,'1',404,'N'),(15,2123258,'2',421,'N'),(15,2123274,'1',203,'N'),(15,2123274,'1A',233,'N'),(15,2123282,'1',331,'N'),(15,2123282,'2',332,'N'),(15,2123290,'1',316,'N'),(15,2123290,'2',327,'N'),(15,2123304,'1',444,'N'),(15,2123304,'2',309,'N'),(15,2123312,'1',428,'N'),(15,2123312,'1A',423,'N'),(15,2123320,'1',103,'N'),(15,2123320,'2',415,'N'),(15,2123339,'1',501,'N'),(15,2123339,'2',108,'N'),(15,2123347,'1',303,'N'),(15,2123347,'2',428,'N'),(15,2123363,'1',102,'N'),(15,2123363,'2',329,'N'),(15,2123371,'1',303,'N'),(15,2123371,'2',5,'N'),(15,2123380,'1',5,'N'),(15,2123380,'2',303,'N'),(15,2123398,'1',331,'N'),(15,2123398,'2',319,'N'),(15,2123401,'1',104,'N'),(15,2123401,'2',502,'N'),(15,2123410,'1',319,'N'),(15,2123410,'2',310,'N'),(15,2123428,'1',238,'N'),(15,2123428,'1A',208,'N'),(15,2123428,'2',420,'N'),(15,2123436,'1',104,'N'),(15,2123436,'2',444,'N'),(15,2123444,'1',319,'N'),(15,2123444,'2',211,'N'),(15,2123452,'1',102,'N'),(15,2123452,'2',309,'N'),(15,2123479,'1',327,'N'),(15,2123479,'2',326,'N'),(15,2123487,'1',103,'N'),(15,2123487,'2',319,'N'),(15,2123495,'1',102,'N'),(15,2123495,'2',217,'N'),(15,2123509,'1',502,'N'),(15,2123517,'1',5,'N'),(15,2123517,'2',331,'N'),(15,2123525,'1',207,'N'),(15,2123525,'2',327,'N'),(15,2123533,'1',9,'N'),(15,2123533,'2',215,'N'),(15,2123541,'1',207,'N'),(15,2123541,'1A',201,'N'),(15,2123541,'2',424,'N'),(15,2123550,'1',303,'N'),(15,2123550,'2',333,'N'),(15,2123568,'1',216,'N'),(15,2123568,'1A',203,'N'),(15,2123568,'2',202,'N'),(15,2123576,'1',2,'N'),(15,2123576,'2',301,'N'),(15,2123592,'1',501,'N'),(15,2123592,'2',426,'N'),(15,2123606,'1',102,'N'),(15,2123606,'2',316,'N'),(15,2123614,'1',420,'N'),(15,2123614,'2',328,'N'),(15,2123622,'1',103,'N'),(15,2123622,'2',104,'N'),(15,2123630,'1',339,'N'),(15,2123630,'2',319,'N'),(15,2123649,'1',316,'N'),(15,2123649,'2',424,'N'),(15,2123657,'1',211,'N'),(15,2123657,'1A',215,'N'),(15,2123657,'2',501,'N'),(15,2123665,'1',303,'N'),(15,2123665,'2',5,'N'),(15,2123681,'1',333,'N'),(15,2123681,'2',332,'N'),(15,2123690,'1',429,'N'),(15,2123690,'1A',425,'N'),(15,2123690,'2',332,'N'),(15,2123703,'1',5,'N'),(15,2123703,'2',318,'N'),(15,2123711,'1',5,'N'),(15,2123711,'2',102,'N'),(15,2123720,'1',501,'N'),(15,2123720,'2',444,'N'),(15,2123738,'1',333,'N'),(15,2123738,'2',331,'N'),(15,2123746,'1',316,'N'),(15,2123746,'2',222,'N'),(15,2123754,'1',5,'N'),(15,2123754,'2',308,'N'),(15,2123762,'1',303,'N'),(15,2123762,'2',451,'N'),(15,2123770,'1',216,'N'),(15,2123770,'1A',211,'N'),(15,2123770,'2',217,'N'),(15,2123789,'1',216,'N'),(15,2123789,'1A',207,'N'),(15,2123789,'2',102,'N'),(15,2123797,'1',5,'N'),(15,2123797,'2',9,'N'),(15,2123800,'1',339,'N'),(15,2123800,'2',450,'N'),(15,2123819,'1',234,'N'),(15,2123819,'2',108,'N'),(15,2123827,'1',222,'N'),(15,2123827,'2',217,'N'),(15,2123835,'1',207,'N'),(15,2123835,'1A',211,'N'),(15,2123835,'2',426,'N'),(15,2123843,'1',203,'N'),(15,2123843,'1A',201,'N'),(15,2123843,'2',427,'N'),(15,2123851,'1',333,'N'),(15,2123851,'2',425,'N'),(15,2123860,'1',319,'N'),(15,2123860,'2',308,'N'),(15,2123886,'1',317,'N'),(15,2123886,'2',428,'N'),(15,2123894,'1',101,'N'),(15,2123894,'2',309,'N'),(15,2123908,'1',320,'N'),(15,2123908,'2',310,'N'),(15,2123916,'1',103,'N'),(15,2123916,'2',108,'N'),(15,2123924,'1',331,'N'),(15,2123924,'2',208,'N'),(15,2123932,'1',203,'N'),(15,2123932,'1A',216,'N'),(15,2123932,'2',223,'N'),(15,2123940,'1',103,'N'),(15,2123975,'1',201,'N'),(15,2123975,'1A',212,'N'),(15,2123975,'2',2,'N'),(15,2123983,'1',211,'N'),(15,2123983,'1A',207,'N'),(15,2123983,'2',316,'N'),(15,2123991,'1',5,'N'),(15,2123991,'2',415,'N'),(15,2124009,'1',208,'N'),(15,2124009,'1A',203,'N'),(15,2124017,'1',103,'N'),(15,2124025,'1',5,'N'),(15,2124025,'2',333,'N'),(15,2124033,'1',203,'N'),(15,2124033,'1A',208,'N'),(15,2124033,'2',333,'N'),(15,2124050,'1',207,'N'),(15,2124050,'1A',201,'N'),(15,2124050,'2',233,'N'),(15,2124084,'1',303,'N'),(15,2124084,'2',203,'N'),(15,2124092,'1',103,'N'),(15,2124092,'2',104,'N'),(15,2124106,'1',316,'N'),(15,2124106,'2',208,'N'),(15,2124114,'1',427,'N'),(15,2124114,'1A',423,'N'),(15,2124114,'2',424,'N'),(15,2124122,'1',201,'N'),(15,2124122,'1A',202,'N'),(15,2124122,'2',211,'N'),(15,2124130,'1',201,'N'),(15,2124130,'1A',207,'N'),(15,2124130,'2',202,'N'),(15,2124149,'1',303,'N'),(15,2124149,'2',301,'N'),(15,2124157,'1',203,'N'),(15,2124157,'1A',214,'N'),(15,2124157,'2',318,'N'),(15,2124173,'1',316,'N'),(15,2124173,'2',301,'N'),(15,2124181,'1',101,'N'),(15,2124181,'2',309,'N'),(15,2124190,'1',208,'N'),(15,2124190,'1A',238,'N'),(15,2124190,'2',5,'N'),(15,2124203,'1',444,'N'),(15,2124203,'2',404,'N'),(15,2124211,'1',316,'N'),(15,2124220,'1',212,'N'),(15,2124220,'1A',201,'N'),(15,2124220,'2',318,'N'),(15,2124238,'1',104,'N'),(15,2124246,'1',303,'N'),(15,2124246,'2',444,'N'),(15,2124254,'1',207,'N'),(15,2124254,'2',420,'N'),(15,2124262,'1',104,'N'),(15,2124262,'2',102,'N'),(15,2124289,'1',215,'N'),(15,2124289,'1A',233,'N'),(15,2124289,'2',333,'N'),(15,2124297,'1',317,'N'),(15,2124297,'2',404,'N'),(15,2124300,'1',211,'N'),(15,2124300,'1A',201,'N'),(15,2124300,'2',203,'N'),(15,2124319,'1',207,'N'),(15,2124319,'1A',201,'N'),(15,2124319,'2',319,'N'),(15,2124327,'1',9,'N'),(15,2124327,'2',217,'N'),(15,2124335,'1',339,'N'),(15,2124335,'2',404,'N'),(15,2124343,'1',9,'N'),(15,2124343,'2',319,'N'),(15,2124351,'1',103,'N'),(15,2124351,'2',326,'N'),(15,2124360,'1',318,'N'),(15,2124360,'2',324,'N'),(15,2124386,'1',304,'N'),(15,2124386,'2',302,'N'),(15,2124408,'1',207,'N'),(15,2124408,'1A',201,'N'),(15,2124408,'2',420,'N'),(15,2124416,'1',427,'N'),(15,2124416,'1A',424,'N'),(15,2124416,'2',450,'N'),(15,2124432,'1',216,'N'),(15,2124432,'1A',211,'N'),(15,2124432,'2',217,'N'),(15,2124459,'1',208,'N'),(15,2124459,'2',444,'N'),(15,2124467,'1',103,'N'),(15,2124467,'2',104,'N'),(15,2124475,'1',212,'N'),(15,2124475,'1A',238,'N'),(15,2124475,'2',208,'N'),(15,2124483,'1',103,'N'),(15,2124491,'1',103,'N'),(15,2124491,'2',303,'N'),(15,2124505,'1',319,'N'),(15,2124505,'2',102,'N'),(15,2124521,'1',102,'N'),(15,2124521,'2',224,'N'),(15,2124530,'1',103,'N'),(15,2124530,'2',101,'N'),(15,2124548,'1',304,'N'),(15,2124548,'2',223,'N'),(15,2124556,'1',304,'N'),(15,2124556,'2',318,'N'),(15,2124564,'1',303,'N'),(15,2124564,'2',5,'N'),(15,2124580,'1',203,'N'),(15,2124580,'2',214,'N'),(15,2124599,'1',238,'N'),(15,2124599,'1A',207,'N'),(15,2124599,'2',319,'N'),(15,2124602,'1',301,'N'),(15,2124602,'2',303,'N'),(15,2124610,'1',102,'N'),(15,2124610,'2',444,'N'),(15,2124629,'1',103,'N'),(15,2124629,'2',217,'N'),(15,2124637,'1',319,'N'),(15,2124637,'2',428,'N'),(15,2124645,'1',103,'N'),(15,2124645,'2',108,'N'),(15,2124653,'1',450,'N'),(15,2124653,'2',207,'N'),(15,2124661,'1',208,'N'),(15,2124661,'1A',238,'N'),(15,2124661,'2',301,'N'),(15,2124670,'1',317,'N'),(15,2124670,'2',316,'N'),(15,2124688,'1',201,'N'),(15,2124688,'1A',212,'N'),(15,2124688,'2',202,'N'),(15,2124696,'1',203,'N'),(15,2124696,'1A',202,'N'),(15,2124696,'2',2,'N'),(15,2124700,'1',220,'N'),(15,2124700,'1A',201,'N'),(15,2124700,'2',223,'N'),(15,2124718,'1',303,'N'),(15,2124718,'2',301,'N'),(15,2124726,'1',207,'N'),(15,2124726,'1A',201,'N'),(15,2124726,'2',304,'N'),(15,2124734,'1',203,'N'),(15,2124734,'2',328,'N'),(15,2124742,'1',108,'N'),(15,2124742,'2',444,'N'),(15,2124750,'1',501,'N'),(15,2124750,'2',319,'N'),(15,2124769,'1',102,'N'),(15,2124769,'2',104,'N'),(15,2124777,'1',415,'N'),(15,2124777,'2',420,'N'),(15,2124785,'1',211,'N'),(15,2124785,'1A',212,'N'),(15,2124793,'1',103,'N'),(15,2124807,'1',103,'N'),(15,2124807,'2',207,'N'),(15,2124815,'1',203,'N'),(15,2124815,'1A',214,'N'),(15,2124815,'2',215,'N'),(15,2124823,'1',108,'N'),(15,2124823,'2',451,'N'),(15,2124831,'1',303,'N'),(15,2124831,'2',5,'N'),(15,2124858,'1',220,'N'),(15,2124874,'1',211,'N'),(15,2124874,'1A',216,'N'),(15,2124874,'2',333,'N'),(15,2124890,'1',201,'N'),(15,2124890,'1A',216,'N'),(15,2124890,'2',202,'N'),(15,2124904,'1',331,'N'),(15,2124904,'2',427,'N'),(15,2124912,'1',9,'N'),(15,2124912,'2',308,'N'),(15,2124920,'1',101,'N'),(15,2124920,'2',501,'N'),(15,2124939,'1',319,'N'),(15,2124939,'2',326,'N'),(15,2124947,'1',103,'N'),(15,2124955,'1',103,'N'),(15,2124955,'2',216,'N'),(15,2124963,'1',212,'N'),(15,2124963,'1A',238,'N'),(15,2124963,'2',301,'N'),(15,2124971,'1',103,'N'),(15,2124971,'2',101,'N'),(15,2124980,'1',203,'N'),(15,2124980,'1A',214,'N'),(15,2124980,'2',220,'N'),(15,2124998,'1',103,'N'),(15,2124998,'2',101,'N'),(15,2125005,'1',215,'N'),(15,2125005,'2',217,'N'),(15,2125013,'1',211,'N'),(15,2125030,'1',104,'N'),(15,2125030,'2',101,'N'),(15,2125048,'1',102,'N'),(15,2125048,'2',5,'N'),(15,2125056,'1',318,'N'),(15,2125056,'2',317,'N'),(15,2125064,'1',215,'N'),(15,2125064,'1A',216,'N'),(15,2125064,'2',102,'N'),(15,2125072,'1',211,'N'),(15,2125072,'1A',201,'N'),(15,2125072,'2',301,'N'),(15,2125080,'1',202,'N'),(15,2125080,'1A',216,'N'),(15,2125080,'2',201,'N'),(15,2125099,'1',212,'N'),(15,2125099,'1A',215,'N'),(15,2125099,'2',318,'N'),(15,2125102,'1',318,'N'),(15,2125110,'1',501,'N'),(15,2125110,'2',339,'N'),(15,2125129,'1',302,'N'),(15,2125129,'2',308,'N'),(15,2125137,'1',104,'N'),(15,2125137,'2',102,'N'),(15,2125145,'1',201,'N'),(15,2125145,'1A',212,'N'),(15,2125145,'2',301,'N'),(15,2125153,'1',211,'N'),(15,2125153,'1A',216,'N'),(15,2125153,'2',202,'N'),(15,2125170,'1',319,'N'),(15,2125170,'2',333,'N'),(15,2125196,'1',9,'N'),(15,2125196,'2',425,'N'),(15,2125200,'1',501,'N'),(15,2125200,'2',404,'N'),(15,2125226,'1',316,'N'),(15,2125226,'2',327,'N'),(15,2125234,'1',216,'N'),(15,2125234,'1A',208,'N'),(15,2125234,'2',223,'N'),(15,2125250,'1',216,'N'),(15,2125250,'1A',211,'N'),(15,2125250,'2',420,'N'),(15,2125269,'1',207,'N'),(15,2125269,'2',304,'N'),(15,2125277,'1',103,'N'),(15,2125277,'2',207,'N'),(15,2125285,'1',103,'N'),(15,2125285,'2',102,'N'),(15,2125293,'1',301,'N'),(15,2125293,'2',404,'N'),(15,2125307,'1',318,'N'),(15,2125307,'2',308,'N'),(15,2125315,'1',103,'N'),(15,2125315,'2',223,'N'),(15,2125323,'1',303,'N'),(15,2125331,'1',302,'N'),(15,2125331,'2',324,'N'),(15,2125340,'1',233,'N'),(15,2125340,'1A',216,'N'),(15,2125340,'2',308,'N'),(15,2125358,'1',103,'N'),(15,2125358,'2',301,'N'),(15,2125366,'1',301,'N'),(15,2125366,'2',420,'N'),(15,2125382,'1',214,'N'),(15,2125382,'1A',220,'N'),(15,2125382,'2',203,'N'),(15,2125390,'1',326,'N'),(15,2125390,'2',310,'N'),(15,2125404,'1',333,'N'),(15,2125404,'2',2,'N'),(15,2125412,'1',103,'N'),(15,2125412,'2',2,'N'),(15,2125420,'1',207,'N'),(15,2125420,'1A',201,'N'),(15,2125420,'2',420,'N'),(15,2125439,'1',420,'N'),(15,2125439,'2',301,'N'),(15,2125447,'1',324,'N'),(15,2125447,'2',415,'N'),(15,2125455,'1',310,'N'),(15,2125455,'2',308,'N'),(15,2125463,'1',103,'N'),(15,2125463,'2',502,'N'),(15,2125480,'1',303,'N'),(15,2125480,'2',217,'N'),(15,2125501,'1',501,'N'),(15,2125501,'2',502,'N'),(15,2125510,'1',415,'N'),(15,2125510,'2',428,'N'),(15,2125528,'1',103,'N'),(15,2125528,'2',5,'N'),(15,2125536,'1',415,'N'),(15,2125536,'2',303,'N'),(15,2125544,'1',103,'N'),(15,2125544,'2',102,'N'),(15,2125552,'1',429,'N'),(15,2125552,'1A',425,'N'),(15,2125552,'2',238,'N'),(15,2125560,'1',103,'N'),(15,2125560,'2',101,'N'),(15,2125579,'1',304,'N'),(15,2125579,'2',303,'N'),(15,2125587,'1',104,'N'),(15,2125587,'2',217,'N'),(15,2125595,'1',208,'N'),(15,2125595,'1A',238,'N'),(15,2125595,'2',222,'N'),(15,2125609,'1',501,'N'),(15,2125609,'2',102,'N'),(15,2125617,'1',303,'N'),(15,2125617,'2',5,'N'),(15,2125625,'1',339,'N'),(15,2125625,'2',324,'N'),(15,2125641,'1',213,'N'),(15,2125641,'1A',215,'N'),(15,2125641,'2',102,'N'),(15,2125650,'1',103,'N'),(15,2125668,'1',339,'N'),(15,2125668,'2',327,'N'),(15,2125676,'1',327,'N'),(15,2125676,'2',5,'N'),(15,2125692,'1',302,'N'),(15,2125692,'2',212,'N'),(15,2125714,'1',444,'N'),(15,2125714,'2',9,'N'),(15,2125722,'1',404,'N'),(15,2125722,'2',415,'N'),(15,2125730,'1',223,'N'),(15,2125730,'2',404,'N'),(15,2125749,'1',303,'N'),(15,2125749,'2',310,'N'),(15,2125757,'1',308,'N'),(15,2125757,'2',428,'N'),(15,2125765,'1',316,'N'),(15,2125765,'2',327,'N'),(15,2125773,'1',319,'N'),(15,2125773,'2',328,'N'),(15,2125781,'1',220,'N'),(15,2125781,'1A',214,'N'),(15,2125781,'2',208,'N'),(15,2125790,'1',303,'N'),(15,2125790,'2',5,'N'),(15,2125803,'1',331,'N'),(15,2125803,'2',234,'N'),(15,2125811,'1',103,'N'),(15,2125811,'2',102,'N'),(15,2125820,'1',203,'N'),(15,2125820,'1A',216,'N'),(15,2125820,'2',5,'N'),(15,2125838,'1',5,'N'),(15,2125838,'2',421,'N'),(15,2125846,'1',404,'N'),(15,2125854,'1',208,'N'),(15,2125854,'1A',238,'N'),(15,2125854,'2',324,'N'),(15,2125870,'1',103,'N'),(15,2125870,'2',319,'N'),(15,2125889,'1',415,'N'),(15,2125889,'2',102,'N'),(15,2125897,'1',208,'N'),(15,2125900,'1',220,'N'),(15,2125900,'1A',202,'N'),(15,2125919,'1',202,'N'),(15,2125919,'1A',220,'N'),(15,2125919,'2',213,'N'),(15,2125927,'1',327,'N'),(15,2125927,'2',211,'N'),(15,2125935,'1',103,'N'),(15,2125935,'2',415,'N'),(15,2125951,'1',2,'N'),(15,2125951,'2',333,'N'),(15,2125960,'1',104,'N'),(15,2125960,'2',102,'N'),(15,2125978,'1',104,'N'),(15,2125978,'2',238,'N'),(15,2125986,'1',316,'N'),(15,2125986,'2',5,'N'),(15,2125994,'1',420,'N'),(15,2125994,'2',208,'N'),(15,2126010,'1',303,'N'),(15,2126036,'1',215,'N'),(15,2126036,'1A',216,'N'),(15,2126036,'2',9,'N'),(15,2126052,'1',415,'N'),(15,2126052,'2',425,'N'),(15,2126060,'1',208,'N'),(15,2126060,'1A',238,'N'),(15,2126060,'2',220,'N'),(15,2126079,'1',302,'N'),(15,2126079,'2',223,'N'),(15,2126087,'1',103,'N'),(15,2126087,'2',339,'N'),(15,2126095,'1',103,'N'),(15,2126095,'2',420,'N'),(15,2126109,'1',5,'N'),(15,2126109,'2',428,'N'),(15,2126117,'1',316,'N'),(15,2126117,'2',317,'N'),(15,2126133,'1',103,'N'),(15,2126133,'2',104,'N'),(15,2126141,'1',103,'N'),(15,2126141,'2',104,'N'),(15,2126168,'1',103,'N'),(15,2126176,'1',319,'N'),(15,2126184,'1',211,'N'),(15,2126184,'1A',216,'N'),(15,2126184,'2',404,'N'),(15,2126206,'1',319,'N'),(15,2126214,'1',103,'N'),(15,2126214,'2',101,'N'),(15,2126222,'1',207,'N'),(15,2126222,'1A',201,'N'),(15,2126222,'2',420,'N'),(15,2126249,'1',108,'N'),(15,2126249,'2',331,'N'),(15,2126257,'1',303,'N'),(15,2126257,'2',5,'N'),(15,2126265,'1',103,'N'),(15,2126265,'2',108,'N'),(15,2126273,'1',103,'N'),(15,2126273,'2',303,'N'),(15,2126281,'1',104,'N'),(15,2126281,'2',216,'N'),(15,2126290,'1',238,'N'),(15,2126290,'1A',208,'N'),(15,2126290,'2',327,'N'),(15,2126303,'1',303,'N'),(15,2126303,'2',212,'N'),(15,2126311,'1',103,'N'),(15,2126311,'2',319,'N'),(15,2126346,'1',331,'N'),(15,2126346,'2',310,'N'),(15,2126362,'1',424,'N'),(15,2126362,'1A',427,'N'),(15,2126362,'2',421,'N'),(15,2126370,'1',103,'N'),(15,2126370,'2',301,'N'),(15,2126389,'1',213,'N'),(15,2126389,'1A',214,'N'),(15,2126389,'2',216,'N'),(15,2126397,'1',225,'N'),(15,2126397,'2',302,'N'),(15,2126400,'1',317,'N'),(15,2126400,'2',222,'N'),(15,2126419,'1',213,'N'),(15,2126419,'1A',202,'N'),(15,2126419,'2',211,'N'),(15,2126427,'1',211,'N'),(15,2126427,'2',303,'N'),(15,2126435,'1',214,'N'),(15,2126435,'1A',211,'N'),(15,2126443,'1',5,'N'),(15,2126443,'2',303,'N'),(15,2126451,'1',425,'N'),(15,2126451,'1A',429,'N'),(15,2126451,'2',324,'N'),(15,2126460,'1',104,'N'),(15,2126460,'2',502,'N'),(15,2126478,'1',103,'N'),(15,2126494,'1',444,'N'),(15,2126494,'2',428,'N'),(15,2126508,'1',103,'N'),(15,2126516,'1',303,'N'),(15,2126516,'2',450,'N'),(15,2126532,'1',103,'N'),(15,2126532,'2',104,'N'),(15,2126540,'1',214,'N'),(15,2126540,'1A',213,'N'),(15,2126540,'2',212,'N'),(15,2126559,'1',201,'N'),(15,2126559,'1A',207,'N'),(15,2126559,'2',333,'N'),(15,2126567,'1',415,'N'),(15,2126567,'2',450,'N'),(15,2126575,'1',203,'N'),(15,2126575,'1A',213,'N'),(15,2126575,'2',220,'N'),(15,2126583,'1',207,'N'),(15,2126583,'1A',238,'N'),(15,2126583,'2',324,'N'),(15,2126591,'1',5,'N'),(15,2126591,'2',329,'N'),(15,2126605,'1',425,'N'),(15,2126605,'1A',429,'N'),(15,2126605,'2',404,'N'),(15,2126621,'1',415,'N'),(15,2126621,'2',319,'N'),(15,2126656,'1',102,'N'),(15,2126656,'2',101,'N'),(15,2126699,'1',201,'N'),(15,2126699,'1A',220,'N'),(15,2126699,'2',212,'N'),(15,2126702,'1',5,'N'),(15,2126702,'2',303,'N'),(15,2126710,'1',429,'N'),(15,2126710,'1A',425,'N'),(15,2126710,'2',333,'N'),(15,2126729,'1',308,'N'),(15,2126729,'2',224,'N'),(15,2126737,'1',208,'N'),(15,2126737,'1A',202,'N'),(15,2126737,'2',238,'N'),(15,2126753,'1',319,'N'),(15,2126753,'2',429,'N'),(15,2126761,'1',202,'N'),(15,2126761,'1A',238,'N'),(15,2126788,'1',211,'N'),(15,2126788,'1A',214,'N'),(15,2126788,'2',501,'N'),(15,2126796,'1',108,'N'),(15,2126796,'2',333,'N'),(15,2126800,'1',208,'N'),(15,2126800,'2',420,'N'),(15,2126818,'1',225,'N'),(15,2126818,'2',224,'N'),(15,2126826,'1',211,'N'),(15,2126826,'1A',201,'N'),(15,2126826,'2',215,'N'),(15,2126834,'1',108,'N'),(15,2126834,'2',502,'N'),(15,2126850,'1',103,'N'),(15,2126850,'2',328,'N'),(15,2126869,'1',225,'N'),(15,2126869,'2',224,'N'),(15,2126877,'1',327,'N'),(15,2126877,'2',326,'N'),(15,2126885,'1',339,'N'),(15,2126885,'2',324,'N'),(15,2126893,'1',502,'N'),(15,2126893,'2',104,'N'),(15,2126907,'1',203,'N'),(15,2126907,'1A',220,'N'),(15,2126907,'2',214,'N'),(15,2126915,'1',101,'N'),(15,2126915,'2',103,'N'),(15,2126923,'1',104,'N'),(15,2126931,'1',207,'N'),(15,2126931,'1A',201,'N'),(15,2126931,'2',233,'N'),(15,2126940,'1',103,'N'),(15,2126940,'2',5,'N'),(15,2126958,'1',104,'N'),(15,2126958,'2',101,'N'),(15,2126966,'1',201,'N'),(15,2126966,'1A',233,'N'),(15,2126966,'2',324,'N'),(15,2126974,'1',103,'N'),(15,2126974,'2',203,'N'),(15,2126982,'1',212,'N'),(15,2126982,'1A',201,'N'),(15,2126982,'2',302,'N'),(15,2126990,'1',316,'N'),(15,2126990,'2',318,'N'),(15,2127008,'1',201,'N'),(15,2127008,'1A',212,'N'),(15,2127008,'2',223,'N'),(15,2127016,'1',304,'N'),(15,2127016,'2',318,'N'),(15,2127024,'1',103,'N'),(15,2127024,'2',216,'N'),(15,2127032,'1',324,'N'),(15,2127032,'2',425,'N'),(15,2127040,'1',303,'N'),(15,2127040,'2',329,'N'),(15,2127059,'1',211,'N'),(15,2127059,'1A',207,'N'),(15,2127059,'2',108,'N'),(15,2127067,'1',220,'N'),(15,2127067,'1A',203,'N'),(15,2127067,'2',202,'N'),(15,2127075,'1',203,'N'),(15,2127075,'1A',214,'N'),(15,2127075,'2',233,'N'),(15,2127083,'1',415,'N'),(15,2127083,'2',208,'N'),(15,2127091,'1',319,'N'),(15,2127091,'2',404,'N'),(15,2127113,'1',103,'N'),(15,2127113,'2',104,'N'),(15,2127121,'1',222,'N'),(15,2127121,'2',223,'N'),(15,2127130,'1',303,'N'),(15,2127130,'2',223,'N'),(15,2127148,'1',103,'N'),(15,2127148,'2',319,'N'),(15,2127164,'1',302,'N'),(15,2127164,'2',104,'N'),(15,2127172,'1',238,'N'),(15,2127172,'1A',233,'N'),(15,2127172,'2',316,'N'),(15,2127180,'1',103,'N'),(15,2127202,'1',316,'N'),(15,2127202,'2',301,'N'),(15,2127210,'1',203,'N'),(15,2127210,'2',302,'N'),(15,2127237,'1',216,'N'),(15,2127237,'1A',201,'N'),(15,2127245,'1',103,'N'),(15,2127245,'2',108,'N'),(15,2127253,'1',211,'N'),(15,2127253,'1A',238,'N'),(15,2127253,'2',225,'N'),(15,2127270,'1',101,'N'),(15,2127270,'2',444,'N'),(15,2127288,'1',425,'N'),(15,2127300,'1',214,'N'),(15,2127300,'1A',212,'N'),(15,2127300,'2',213,'N'),(15,2127326,'1',331,'N'),(15,2127326,'2',332,'N'),(15,2127342,'1',415,'N'),(15,2127342,'2',319,'N'),(15,2127350,'1',444,'N'),(15,2127350,'2',428,'N'),(15,2127369,'1',220,'N'),(15,2127369,'1A',203,'N'),(15,2127369,'2',214,'N'),(15,2127377,'1',103,'N'),(15,2127377,'2',104,'N'),(15,2127385,'1',103,'N'),(15,2127385,'2',450,'N'),(15,2127393,'1',220,'N'),(15,2127393,'1A',238,'N'),(15,2127393,'2',202,'N'),(15,2127407,'1',201,'N'),(15,2127407,'1A',208,'N'),(15,2127407,'2',222,'N'),(15,2127415,'1',303,'N'),(15,2127415,'2',5,'N'),(15,2127431,'1',501,'N'),(15,2127431,'2',332,'N'),(15,2127458,'1',103,'N'),(15,2127458,'2',329,'N'),(15,2127466,'1',304,'N'),(15,2127466,'2',318,'N'),(15,2127474,'1',332,'N'),(15,2127474,'2',238,'N'),(15,2127490,'1',329,'N'),(15,2127490,'2',319,'N'),(15,2127504,'1',9,'N'),(15,2127504,'2',215,'N'),(15,2127512,'1',339,'N'),(15,2127512,'2',308,'N'),(15,2127520,'1',319,'N'),(15,2127520,'2',502,'N'),(15,2127539,'1',333,'N'),(15,2127539,'2',103,'N'),(15,2127547,'1',316,'N'),(15,2127547,'2',327,'N'),(15,2127555,'1',238,'N'),(15,2127555,'1A',213,'N'),(15,2127555,'2',233,'N'),(15,2127563,'1',238,'N'),(15,2127563,'1A',208,'N'),(15,2127563,'2',324,'N'),(15,2127571,'1',428,'N'),(15,2127571,'1A',425,'N'),(15,2127571,'2',324,'N'),(15,2127580,'1',333,'N'),(15,2127580,'2',211,'N'),(15,2127598,'1',108,'N'),(15,2127598,'2',233,'N'),(15,2127601,'1',303,'N'),(15,2127601,'2',415,'N'),(15,2127610,'1',207,'N'),(15,2127610,'1A',201,'N'),(15,2127610,'2',420,'N'),(15,2127636,'1',103,'N'),(15,2127636,'2',102,'N'),(15,2127644,'1',415,'N'),(15,2127644,'2',429,'N'),(15,2127660,'1',201,'N'),(15,2127660,'1A',212,'N'),(15,2127660,'2',420,'N'),(15,2127679,'1',211,'N'),(15,2127679,'1A',215,'N'),(15,2127679,'2',444,'N'),(15,2127687,'1',5,'N'),(15,2127687,'2',319,'N'),(15,2127695,'1',214,'N'),(15,2127695,'1A',215,'N'),(15,2127695,'2',2,'N'),(15,2127709,'1',101,'N'),(15,2127709,'2',308,'N'),(15,2127717,'1',203,'N'),(15,2127717,'1A',220,'N'),(15,2127717,'2',214,'N'),(15,2127725,'1',303,'N'),(15,2127725,'2',333,'N'),(15,2127733,'1',214,'N'),(15,2127733,'1A',216,'N'),(15,2127733,'2',301,'N'),(15,2127750,'1',450,'N'),(15,2127750,'2',225,'N'),(15,2127768,'1',220,'N'),(15,2127768,'2',316,'N'),(15,2127776,'1',102,'N'),(15,2127776,'2',211,'N'),(15,2127784,'1',303,'N'),(15,2127784,'2',502,'N'),(15,2127792,'1',102,'N'),(15,2127792,'2',317,'N'),(15,2127806,'1',234,'N'),(15,2127806,'2',501,'N'),(15,2127814,'1',420,'N'),(15,2127814,'2',207,'N'),(15,2127822,'1',103,'N'),(15,2127822,'2',104,'N'),(15,2127830,'1',303,'N'),(15,2127830,'2',316,'N'),(15,2127849,'1',108,'N'),(15,2127849,'2',333,'N'),(15,2127857,'1',104,'N'),(15,2127857,'2',308,'N'),(15,2127865,'1',339,'N'),(15,2127865,'2',324,'N'),(15,2127873,'1',108,'N'),(15,2127873,'2',333,'N'),(15,2127890,'1',216,'N'),(15,2127890,'1A',215,'N'),(15,2127890,'2',316,'N'),(15,2127903,'1',415,'N'),(15,2127903,'2',429,'N'),(15,2127911,'1',103,'N'),(15,2127911,'2',9,'N'),(15,2127920,'1',103,'N'),(15,2127920,'2',216,'N'),(15,2127946,'1',320,'N'),(15,2127946,'2',233,'N'),(15,2127954,'1',233,'N'),(15,2127954,'1A',212,'N'),(15,2127954,'2',304,'N'),(15,2127962,'1',324,'N'),(15,2127962,'2',327,'N'),(15,2127970,'1',103,'N'),(15,2127970,'2',102,'N'),(15,2128004,'1',103,'N'),(15,2128004,'2',415,'N'),(15,2128012,'1',319,'N'),(15,2128012,'2',320,'N'),(15,2128020,'1',207,'N'),(15,2128020,'2',201,'N'),(15,2128039,'1',233,'N'),(15,2128039,'1A',238,'N'),(15,2128039,'2',420,'N'),(15,2128055,'1',108,'N'),(15,2128055,'2',102,'N'),(15,2128063,'1',234,'N'),(15,2128063,'2',333,'N'),(15,2128071,'1',5,'N'),(15,2128071,'2',339,'N'),(15,2128080,'1',303,'N'),(15,2128080,'2',424,'N'),(15,2128101,'1',103,'N'),(15,2128101,'2',108,'N'),(15,2128110,'1',103,'N'),(15,2128110,'2',108,'N'),(15,2128128,'1',213,'N'),(15,2128128,'1A',202,'N'),(15,2128136,'1',208,'N'),(15,2128136,'1A',238,'N'),(15,2128136,'2',217,'N'),(15,2128144,'1',327,'N'),(15,2128144,'2',320,'N'),(15,2128152,'1',317,'N'),(15,2128152,'2',304,'N'),(15,2128160,'1',104,'N'),(15,2128160,'2',101,'N'),(15,2128179,'1',208,'N'),(15,2128179,'2',238,'N'),(15,2128187,'1',207,'N'),(15,2128187,'1A',201,'N'),(15,2128187,'2',332,'N'),(15,2128195,'1',2,'N'),(15,2128195,'2',225,'N'),(15,2128209,'1',415,'N'),(15,2128209,'2',303,'N'),(15,2128217,'1',202,'N'),(15,2128217,'1A',203,'N'),(15,2128217,'2',333,'N'),(15,2128225,'1',501,'N'),(15,2128225,'2',502,'N'),(15,2128233,'1',101,'N'),(15,2128233,'2',308,'N'),(15,2128241,'1',317,'N'),(15,2128241,'2',324,'N'),(15,2128250,'1',304,'N'),(15,2128250,'2',223,'N'),(15,2128268,'1',317,'N'),(15,2128268,'2',316,'N'),(15,2128284,'1',317,'N'),(15,2128284,'2',316,'N'),(15,2128306,'1',208,'N'),(15,2128306,'1A',238,'N'),(15,2128306,'2',223,'N'),(15,2128314,'1',103,'N'),(15,2128314,'2',207,'N'),(15,2128322,'1',103,'N'),(15,2128322,'2',9,'N'),(15,2128330,'1',444,'N'),(15,2128330,'2',333,'N'),(15,2128349,'1',103,'N'),(15,2128349,'2',102,'N'),(15,2128357,'1',316,'N'),(15,2128357,'2',318,'N'),(15,2128381,'1',303,'N'),(15,2128381,'2',404,'N'),(15,2128390,'1',420,'N'),(15,2128390,'2',319,'N'),(15,2128403,'1',9,'N'),(15,2128403,'2',303,'N'),(15,2128420,'1',201,'N'),(15,2128420,'1A',212,'N'),(15,2128420,'2',202,'N'),(15,2128454,'1',208,'N'),(15,2128454,'2',420,'N'),(15,2128462,'1',212,'N'),(15,2128462,'1A',213,'N'),(15,2128462,'2',214,'N'),(15,2128470,'1',304,'N'),(15,2128470,'2',108,'N'),(15,2128489,'1',5,'N'),(15,2128489,'2',327,'N'),(15,2128500,'1',101,'N'),(15,2128500,'2',326,'N'),(15,2128519,'1',318,'N'),(15,2128519,'2',202,'N'),(15,2128527,'1',9,'N'),(15,2128535,'1',103,'N'),(15,2128543,'1',5,'N'),(15,2128543,'2',426,'N'),(15,2128551,'1',201,'N'),(15,2128551,'1A',238,'N'),(15,2128551,'2',316,'N'),(15,2128560,'1',319,'N'),(15,2128560,'2',333,'N'),(15,2128578,'1',101,'N'),(15,2128578,'2',421,'N'),(15,2128586,'1',201,'N'),(15,2128586,'1A',207,'N'),(15,2128586,'2',301,'N'),(15,2128594,'1',201,'N'),(15,2128594,'1A',220,'N'),(15,2128594,'2',501,'N'),(15,2128608,'1',207,'N'),(15,2128608,'2',420,'N'),(15,2128616,'1',319,'N'),(15,2128616,'2',327,'N'),(15,2128624,'1',103,'N'),(15,2128624,'2',329,'N'),(15,2128632,'1',502,'N'),(15,2128632,'2',215,'N'),(15,2128640,'1',5,'N'),(15,2128640,'2',329,'N'),(15,2128659,'1',108,'N'),(15,2128659,'2',333,'N'),(15,2128667,'1',207,'N'),(15,2128667,'1A',201,'N'),(15,2128667,'2',5,'N'),(15,2128675,'1',5,'N'),(15,2128675,'2',332,'N'),(15,2128691,'1',103,'N'),(15,2128691,'2',216,'N'),(15,2128705,'1',214,'N'),(15,2128705,'1A',203,'N'),(15,2128705,'2',211,'N'),(15,2128713,'1',420,'N'),(15,2128713,'2',450,'N'),(15,2128721,'1',238,'N'),(15,2128721,'2',332,'N'),(15,2128764,'1',501,'N'),(15,2128764,'2',502,'N'),(15,2128780,'1',214,'N'),(15,2128780,'1A',201,'N'),(15,2128799,'1',103,'N'),(15,2128799,'2',444,'N'),(15,2128802,'1',317,'N'),(15,2128802,'2',316,'N'),(15,2128829,'1',103,'N'),(15,2128829,'2',319,'N'),(15,2128837,'1',225,'N'),(15,2128837,'2',451,'N'),(15,2128845,'1',217,'N'),(15,2128845,'2',234,'N'),(15,2128853,'1',103,'N'),(15,2128853,'2',333,'N'),(15,2128861,'1',104,'N'),(15,2128861,'2',101,'N'),(15,2128870,'1',216,'N'),(15,2128870,'1A',215,'N'),(15,2128870,'2',102,'N'),(15,2128896,'1',208,'N'),(15,2128896,'2',301,'N'),(15,2128900,'1',214,'N'),(15,2128900,'1A',233,'N'),(15,2128918,'1',208,'N'),(15,2128918,'1A',207,'N'),(15,2128918,'2',201,'N'),(15,2128926,'1',404,'N'),(15,2128926,'2',225,'N'),(15,2128934,'1',318,'N'),(15,2128934,'2',324,'N'),(15,2128950,'1',426,'N'),(15,2128950,'1A',421,'N'),(15,2128950,'2',415,'N'),(15,2128985,'1',103,'N'),(15,2128985,'2',101,'N'),(15,2128993,'1',317,'N'),(15,2128993,'2',327,'N'),(15,2129027,'1',215,'N'),(15,2129027,'1A',233,'N'),(15,2129027,'2',421,'N'),(15,2129043,'1',103,'N'),(15,2129043,'2',5,'N'),(15,2129051,'1',404,'N'),(15,2129051,'2',444,'N'),(15,2129086,'1',108,'N'),(15,2129086,'2',9,'N'),(15,2129094,'1',444,'N'),(15,2129094,'2',301,'N'),(15,2129108,'1',444,'N'),(15,2129108,'2',404,'N'),(15,2129116,'1',5,'N'),(15,2129116,'2',224,'N'),(15,2129124,'1',203,'N'),(15,2129124,'1A',201,'N'),(15,2129124,'2',222,'N'),(15,2129132,'1',103,'N'),(15,2129132,'2',216,'N'),(15,2129140,'1',220,'N'),(15,2129140,'1A',203,'N'),(15,2129140,'2',202,'N'),(15,2129159,'1',103,'N'),(15,2129159,'2',108,'N'),(15,2129167,'1',238,'N'),(15,2129167,'1A',207,'N'),(15,2129167,'2',415,'N'),(15,2129175,'1',316,'N'),(15,2129175,'2',502,'N'),(15,2129183,'1',108,'N'),(15,2129183,'2',331,'N'),(15,2129191,'1',212,'N'),(15,2129191,'1A',201,'N'),(15,2129191,'2',316,'N'),(15,2129213,'1',103,'N'),(15,2129213,'2',5,'N'),(15,2129221,'1',220,'N'),(15,2129221,'2',324,'N'),(15,2129230,'1',108,'N'),(15,2129248,'1',420,'N'),(15,2129248,'2',301,'N'),(15,2129256,'1',214,'N'),(15,2129256,'2',234,'N'),(15,2129264,'1',104,'N'),(15,2129264,'2',9,'N'),(15,2129272,'1',428,'N'),(15,2129272,'1A',424,'N'),(15,2129280,'1',327,'N'),(15,2129280,'2',332,'N'),(15,2129299,'1',234,'N'),(15,2129299,'2',501,'N'),(15,2129302,'1',415,'N'),(15,2129302,'2',424,'N'),(15,2129310,'1',201,'N'),(15,2129310,'1A',212,'N'),(15,2129310,'2',211,'N'),(15,2129329,'1',102,'N'),(15,2129329,'2',9,'N'),(15,2129337,'1',429,'N'),(15,2129337,'1A',428,'N'),(15,2129337,'2',423,'N'),(15,2129345,'1',213,'N'),(15,2129345,'1A',202,'N'),(15,2129345,'2',103,'N'),(15,2129353,'1',103,'N'),(15,2129353,'2',303,'N'),(15,2129361,'1',220,'N'),(15,2129361,'1A',203,'N'),(15,2129361,'2',208,'N'),(15,2129370,'1',444,'N'),(15,2129370,'2',333,'N'),(15,2129388,'1',301,'N'),(15,2129388,'2',304,'N'),(15,2129396,'1',103,'N'),(15,2129396,'2',319,'N'),(15,2129400,'1',301,'N'),(15,2129400,'2',444,'N'),(15,2129434,'1',317,'N'),(15,2129434,'2',327,'N'),(15,2129442,'1',303,'N'),(15,2129442,'2',5,'N'),(15,2129469,'1',5,'N'),(15,2129469,'2',207,'N'),(15,2129477,'1',103,'N'),(15,2129477,'2',101,'N'),(15,2129485,'1',207,'N'),(15,2129485,'1A',201,'N'),(15,2129485,'2',404,'N'),(15,2129493,'1',211,'N'),(15,2129493,'2',301,'N'),(15,2129507,'1',216,'N'),(15,2129507,'1A',211,'N'),(15,2129507,'2',215,'N'),(15,2129515,'1',208,'N'),(15,2129515,'2',238,'N'),(15,2129523,'1',451,'N'),(15,2129523,'2',415,'N'),(15,2129531,'1',223,'N'),(15,2129531,'2',324,'N'),(15,2129540,'1',304,'N'),(15,2129540,'2',310,'N'),(15,2129558,'1',316,'N'),(15,2129558,'2',333,'N'),(15,2129566,'1',301,'N'),(15,2129566,'2',303,'N'),(15,2129574,'1',5,'N'),(15,2129574,'2',303,'N'),(15,2129582,'1',319,'N'),(15,2129582,'2',329,'N'),(15,2129604,'1',303,'N'),(15,2129604,'2',420,'N'),(15,2129612,'1',207,'N'),(15,2129612,'1A',201,'N'),(15,2129612,'2',301,'N'),(15,2129620,'1',316,'N'),(15,2129620,'2',208,'N'),(15,2129639,'1',301,'N'),(15,2129639,'2',333,'N'),(15,2129647,'1',201,'N'),(15,2129647,'1A',207,'N'),(15,2129647,'2',9,'N'),(15,2129663,'1',415,'N'),(15,2129663,'2',331,'N'),(15,2129671,'1',423,'N'),(15,2129671,'1A',427,'N'),(15,2129671,'2',424,'N'),(15,2129680,'1',202,'N'),(15,2129680,'1A',216,'N'),(15,2129680,'2',203,'N'),(15,2129698,'1',208,'N'),(15,2129698,'1A',202,'N'),(15,2129698,'2',238,'N'),(15,2129701,'1',238,'N'),(15,2129701,'1A',208,'N'),(15,2129701,'2',420,'N'),(15,2129710,'1',103,'N'),(15,2129710,'2',9,'N'),(15,2129728,'1',220,'N'),(15,2129728,'1A',202,'N'),(15,2129728,'2',203,'N'),(15,2129736,'1',104,'N'),(15,2129736,'2',333,'N'),(15,2129744,'1',103,'N'),(15,2129744,'2',202,'N'),(15,2129752,'1',214,'N'),(15,2129752,'1A',203,'N'),(15,2129752,'2',220,'N'),(15,2129760,'1',233,'N'),(15,2129760,'1A',202,'N'),(15,2129760,'2',211,'N'),(15,2129779,'1',319,'N'),(15,2129779,'2',423,'N'),(15,2129795,'1',203,'N'),(15,2129795,'1A',202,'N'),(15,2129795,'2',220,'N'),(15,2129809,'1',451,'N'),(15,2129809,'2',217,'N'),(15,2129817,'1',324,'N'),(15,2129817,'2',427,'N'),(15,2129825,'1',303,'N'),(15,2129825,'2',428,'N'),(15,2129833,'1',214,'N'),(15,2129833,'1A',203,'N'),(15,2129833,'2',213,'N'),(15,2129850,'1',5,'N'),(15,2129850,'2',317,'N'),(15,2129868,'1',5,'N'),(15,2129868,'2',316,'N'),(15,2129876,'1',301,'N'),(15,2129876,'2',201,'N'),(15,2129884,'1',202,'N'),(15,2129884,'1A',213,'N'),(15,2129884,'2',420,'N'),(15,2129914,'1',238,'N'),(15,2129914,'1A',208,'N'),(15,2129914,'2',425,'N'),(15,2129922,'1',225,'N'),(15,2129922,'2',238,'N'),(15,2129930,'1',103,'N'),(15,2129957,'1',103,'N'),(15,2129957,'2',101,'N'),(15,2129965,'1',404,'N'),(15,2129965,'2',501,'N'),(15,2129973,'1',104,'N'),(15,2129981,'1',303,'N'),(15,2129981,'2',5,'N'),(15,2129990,'1',104,'N'),(15,2129990,'2',319,'N'),(15,2130009,'1',220,'N'),(15,2130009,'1A',214,'N'),(15,2130009,'2',233,'N'),(15,2130017,'1',102,'N'),(15,2130017,'2',501,'N'),(15,2130025,'1',103,'N'),(15,2130025,'2',303,'N'),(15,2130033,'1',238,'N'),(15,2130033,'2',208,'N'),(15,2130041,'1',308,'N'),(15,2130041,'2',423,'N'),(15,2130050,'1',333,'N'),(15,2130050,'2',108,'N'),(15,2130068,'1',303,'N'),(15,2130068,'2',425,'N'),(15,2130084,'1',303,'N'),(15,2130092,'1',319,'N'),(15,2130092,'2',339,'N'),(15,2130106,'1',420,'N'),(15,2130106,'2',425,'N'),(15,2130114,'1',103,'N'),(15,2130114,'2',214,'N'),(15,2130122,'1',201,'N'),(15,2130122,'1A',211,'N'),(15,2130122,'2',225,'N'),(15,2130130,'1',201,'N'),(15,2130130,'1A',211,'N'),(15,2130130,'2',423,'N'),(15,2130149,'1',317,'N'),(15,2130149,'2',318,'N'),(15,2130157,'1',318,'N'),(15,2130157,'2',317,'N'),(15,2130173,'1',101,'N'),(15,2130173,'2',5,'N'),(15,2130203,'1',108,'N'),(15,2130203,'2',333,'N'),(15,2130211,'1',213,'N'),(15,2130211,'1A',214,'N'),(15,2130211,'2',212,'N'),(15,2130220,'1',316,'N'),(15,2130220,'2',317,'N'),(15,2130238,'1',318,'N'),(15,2130238,'2',216,'N'),(15,2130246,'1',102,'N'),(15,2130246,'2',216,'N'),(15,2130254,'1',450,'N'),(15,2130254,'2',310,'N'),(15,2130262,'1',319,'N'),(15,2130262,'2',9,'N'),(15,2130270,'1',415,'N'),(15,2130270,'2',319,'N'),(15,2130289,'1',320,'N'),(15,2130289,'2',429,'N'),(15,2130297,'1',304,'N'),(15,2130297,'2',318,'N'),(15,2130300,'1',201,'N'),(15,2130300,'1A',203,'N'),(15,2130319,'1',316,'N'),(15,2130319,'2',304,'N'),(15,2130327,'1',316,'N'),(15,2130327,'2',301,'N'),(15,2130335,'1',333,'N'),(15,2130335,'2',301,'N'),(15,2130343,'1',320,'N'),(15,2130343,'2',426,'N'),(15,2130351,'1',103,'N'),(15,2130351,'2',102,'N'),(15,2130386,'1',207,'N'),(15,2130386,'1A',201,'N'),(15,2130386,'2',301,'N'),(15,2130416,'1',103,'N'),(15,2130416,'2',101,'N'),(15,2130424,'1',207,'N'),(15,2130424,'2',444,'N'),(15,2130432,'1',316,'N'),(15,2130432,'2',2,'N'),(15,2130440,'1',238,'N'),(15,2130440,'1A',208,'N'),(15,2130440,'2',333,'N'),(15,2130459,'1',415,'N'),(15,2130459,'2',428,'N'),(15,2130467,'1',108,'N'),(15,2130467,'2',333,'N'),(15,2130475,'1',309,'N'),(15,2130475,'2',339,'N'),(15,2130483,'1',208,'N'),(15,2130483,'1A',201,'N'),(15,2130483,'2',223,'N'),(15,2130513,'1',101,'N'),(15,2130513,'2',404,'N'),(15,2130521,'1',450,'N'),(15,2130521,'2',425,'N'),(15,2130530,'1',108,'N'),(15,2130530,'2',501,'N'),(15,2130548,'1',203,'N'),(15,2130548,'1A',233,'N'),(15,2130548,'2',502,'N'),(15,2130556,'1',5,'N'),(15,2130556,'2',420,'N'),(15,2130564,'1',103,'N'),(15,2130572,'1',215,'N'),(15,2130580,'1',102,'N'),(15,2130580,'2',217,'N'),(15,2130602,'1',103,'N'),(15,2130602,'2',102,'N'),(15,2130610,'1',108,'N'),(15,2130610,'2',501,'N'),(15,2130629,'1',415,'N'),(15,2130629,'2',327,'N'),(15,2130637,'1',103,'N'),(15,2130637,'2',104,'N'),(15,2130645,'1',5,'N'),(15,2130645,'2',444,'N'),(15,2130653,'1',316,'N'),(15,2130653,'2',318,'N'),(15,2130661,'1',303,'N'),(15,2130661,'2',5,'N'),(15,2130670,'1',213,'N'),(15,2130670,'1A',238,'N'),(15,2130670,'2',222,'N'),(15,2130688,'1',217,'N'),(15,2130688,'2',223,'N'),(15,2130696,'1',319,'N'),(15,2130696,'2',329,'N'),(15,2130726,'1',212,'N'),(15,2130726,'2',214,'N'),(15,2130742,'1',208,'N'),(15,2130750,'1',324,'N'),(15,2130750,'2',308,'N'),(15,2130769,'1',207,'N'),(15,2130769,'1A',201,'N'),(15,2130769,'2',420,'N'),(15,2130777,'1',233,'N'),(15,2130777,'1A',212,'N'),(15,2130777,'2',451,'N'),(15,2130785,'1',103,'N'),(15,2130785,'2',108,'N'),(15,2130793,'1',303,'N'),(15,2130793,'2',328,'N'),(15,2130815,'1',333,'N'),(15,2130815,'2',203,'N'),(15,2130823,'1',302,'N'),(15,2130823,'2',304,'N'),(15,2130831,'1',303,'N'),(15,2130831,'2',444,'N'),(15,2130840,'1',302,'N'),(15,2130840,'2',324,'N'),(15,2130858,'1',203,'N'),(15,2130858,'1A',220,'N'),(15,2130858,'2',202,'N'),(15,2130866,'1',103,'N'),(15,2130866,'2',301,'N'),(15,2130874,'1',304,'N'),(15,2130874,'2',316,'N'),(15,2130882,'1',104,'N'),(15,2130882,'2',308,'N'),(15,2130890,'1',9,'N'),(15,2130890,'2',101,'N'),(15,2130912,'1',317,'N'),(15,2130912,'2',224,'N'),(15,2130920,'1',303,'N'),(15,2130920,'2',326,'N'),(15,2130939,'1',302,'N'),(15,2130939,'2',304,'N'),(15,2130963,'1',207,'N'),(15,2130963,'1A',216,'N'),(15,2130963,'2',301,'N'),(15,2130971,'1',5,'N'),(15,2130971,'2',223,'N'),(15,2131005,'1',103,'N'),(15,2131005,'2',303,'N'),(15,2131013,'1',103,'N'),(15,2131013,'2',104,'N'),(15,2131021,'1',104,'N'),(15,2131021,'2',108,'N'),(15,2131030,'1',208,'N'),(15,2131030,'2',238,'N'),(15,2131056,'1',9,'N'),(15,2131056,'2',429,'N'),(15,2131072,'1',207,'N'),(15,2131072,'1A',211,'N'),(15,2131072,'2',103,'N'),(15,2131080,'1',108,'N'),(15,2131080,'2',333,'N'),(15,2131099,'1',208,'N'),(15,2131099,'1A',238,'N'),(15,2131099,'2',404,'N'),(15,2131102,'1',308,'N'),(15,2131102,'2',319,'N'),(15,2131110,'1',304,'N'),(15,2131110,'2',318,'N'),(15,2131129,'1',333,'N'),(15,2131129,'2',108,'N'),(15,2131145,'1',420,'N'),(15,2131145,'2',207,'N'),(15,2131161,'1',201,'N'),(15,2131161,'2',101,'N'),(15,2131170,'1',108,'N'),(15,2131170,'2',214,'N'),(15,2131188,'1',207,'N'),(15,2131188,'1A',201,'N'),(15,2131188,'2',450,'N'),(15,2131200,'1',415,'N'),(15,2131200,'2',326,'N'),(15,2131226,'1',451,'N'),(15,2131226,'2',332,'N'),(15,2131234,'1',327,'N'),(15,2131234,'2',326,'N'),(15,2131242,'1',318,'N'),(15,2131242,'2',320,'N'),(15,2131250,'1',303,'N'),(15,2131250,'2',5,'N'),(15,2131269,'1',428,'N'),(15,2131269,'1A',427,'N'),(15,2131269,'2',424,'N'),(15,2131277,'1',207,'N'),(15,2131277,'1A',208,'N'),(15,2131277,'2',420,'N'),(15,2131285,'1',211,'N'),(15,2131285,'1A',207,'N'),(15,2131285,'2',234,'N'),(15,2131293,'1',207,'N'),(15,2131293,'1A',201,'N'),(15,2131293,'2',301,'N'),(15,2131307,'1',304,'N'),(15,2131307,'2',318,'N'),(15,2131315,'1',238,'N'),(15,2131315,'1A',208,'N'),(15,2131315,'2',303,'N'),(15,2131323,'1',207,'N'),(15,2131323,'1A',212,'N'),(15,2131323,'2',420,'N'),(15,2131331,'1',423,'N'),(15,2131331,'2',324,'N'),(15,2131358,'1',444,'N'),(15,2131366,'1',333,'N'),(15,2131366,'2',108,'N'),(15,2131374,'1',316,'N'),(15,2131374,'2',444,'N'),(15,2131382,'1',426,'N'),(15,2131382,'1A',428,'N'),(15,2131382,'2',320,'N'),(15,2131404,'1',108,'N'),(15,2131404,'2',216,'N'),(15,2131420,'1',319,'N'),(15,2131420,'2',5,'N'),(15,2131439,'1',103,'N'),(15,2131439,'2',101,'N'),(15,2131447,'1',5,'N'),(15,2131447,'2',303,'N'),(15,2131455,'1',103,'N'),(15,2131455,'2',102,'N'),(15,2131463,'1',309,'N'),(15,2131463,'2',310,'N'),(15,2131471,'1',319,'N'),(15,2131471,'2',329,'N'),(15,2131480,'1',319,'N'),(15,2131480,'2',207,'N'),(15,2131498,'1',316,'N'),(15,2131498,'2',339,'N'),(15,2131501,'1',216,'N'),(15,2131501,'1A',214,'N'),(15,2131501,'2',102,'N'),(15,2131510,'1',103,'N'),(15,2131510,'2',203,'N'),(15,2131528,'1',203,'N'),(15,2131528,'1A',202,'N'),(15,2131528,'2',214,'N'),(15,2131536,'1',207,'N'),(15,2131536,'2',201,'N'),(15,2131544,'1',101,'N'),(15,2131544,'2',425,'N'),(15,2131552,'1',216,'N'),(15,2131552,'1A',214,'N'),(15,2131552,'2',5,'N'),(15,2131560,'1',301,'N'),(15,2131560,'2',104,'N'),(15,2131579,'1',216,'N'),(15,2131579,'1A',211,'N'),(15,2131579,'2',215,'N'),(15,2131587,'1',317,'N'),(15,2131587,'2',302,'N'),(15,2131595,'1',304,'N'),(15,2131595,'2',302,'N'),(15,2131609,'1',301,'N'),(15,2131609,'2',316,'N'),(15,2131617,'1',318,'N'),(15,2131617,'2',317,'N'),(15,2131633,'1',317,'N'),(15,2131633,'2',333,'N'),(15,2131650,'1',301,'N'),(15,2131650,'2',216,'N'),(15,2131668,'1',103,'N'),(15,2131668,'2',9,'N'),(15,2131676,'1',238,'N'),(15,2131676,'1A',211,'N'),(15,2131676,'2',225,'N'),(15,2131684,'1',317,'N'),(15,2131684,'2',224,'N'),(15,2131706,'1',102,'N'),(15,2131706,'2',215,'N'),(15,2131714,'1',303,'N'),(15,2131714,'2',207,'N'),(15,2131730,'1',201,'N'),(15,2131730,'1A',212,'N'),(15,2131730,'2',223,'N'),(15,2131749,'1',103,'N'),(15,2131749,'2',101,'N'),(15,2131757,'1',103,'N'),(15,2131757,'2',421,'N'),(15,2131765,'1',424,'N'),(15,2131765,'1A',427,'N'),(15,2131765,'2',223,'N'),(15,2131773,'1',103,'N'),(15,2131773,'2',203,'N'),(15,2131781,'1',207,'N'),(15,2131781,'1A',201,'N'),(15,2131781,'2',5,'N'),(15,2131790,'1',9,'N'),(15,2131790,'2',215,'N'),(15,2131803,'1',216,'N'),(15,2131803,'1A',215,'N'),(15,2131803,'2',223,'N'),(15,2131811,'1',444,'N'),(15,2131811,'2',404,'N'),(15,2131838,'1',304,'N'),(15,2131838,'2',318,'N'),(15,2131846,'1',203,'N'),(15,2131846,'1A',211,'N'),(15,2131846,'2',333,'N'),(15,2131889,'1',308,'N'),(15,2131889,'2',324,'N'),(15,2131897,'1',326,'N'),(15,2131897,'2',324,'N'),(15,2131900,'1',207,'N'),(15,2131900,'1A',201,'N'),(15,2131900,'2',425,'N'),(15,2131919,'1',103,'N'),(15,2131919,'2',108,'N'),(15,2131927,'1',103,'N'),(15,2131927,'2',202,'N'),(15,2131935,'1',420,'N'),(15,2131935,'2',207,'N'),(15,2131943,'1',216,'N'),(15,2131943,'1A',211,'N'),(15,2131943,'2',215,'N'),(15,2131951,'1',420,'N'),(15,2131951,'2',333,'N'),(15,2131960,'1',501,'N'),(15,2131960,'2',215,'N'),(15,2131978,'1',103,'N'),(15,2131978,'2',201,'N'),(15,2131986,'1',103,'N'),(15,2131986,'2',101,'N'),(15,2131994,'1',104,'N'),(15,2131994,'2',308,'N'),(15,2132001,'1',211,'N'),(15,2132001,'2',331,'N'),(15,2132010,'1',102,'N'),(15,2132010,'2',501,'N'),(15,2132028,'1',238,'N'),(15,2132028,'2',329,'N'),(15,2132036,'1',404,'N'),(15,2132036,'2',104,'N'),(15,2132044,'1',208,'N'),(15,2132044,'2',333,'N'),(15,2132052,'1',420,'N'),(15,2132052,'2',415,'N'),(15,2132060,'1',5,'N'),(15,2132060,'2',420,'N'),(15,2132079,'1',415,'N'),(15,2132079,'2',327,'N'),(15,2132087,'1',423,'N'),(15,2132087,'1A',428,'N'),(15,2132087,'2',424,'N'),(15,2132095,'1',108,'N'),(15,2132095,'2',333,'N'),(15,2132109,'1',420,'N'),(15,2132125,'1',316,'N'),(15,2132125,'2',333,'N'),(15,2132133,'1',102,'N'),(15,2132133,'2',103,'N'),(15,2132141,'1',5,'N'),(15,2132141,'2',217,'N'),(15,2132150,'1',444,'N'),(15,2132150,'2',333,'N'),(15,2132168,'1',415,'N'),(15,2132168,'2',451,'N'),(15,2132176,'1',333,'N'),(15,2132184,'1',420,'N'),(15,2132184,'2',328,'N'),(15,2132192,'1',502,'N'),(15,2132206,'1',102,'N'),(15,2132214,'1',201,'N'),(15,2132214,'1A',212,'N'),(15,2132214,'2',203,'N'),(15,2132222,'1',103,'N'),(15,2132222,'2',108,'N'),(15,2132230,'1',207,'N'),(15,2132230,'1A',201,'N'),(15,2132230,'2',415,'N'),(15,2132249,'1',2,'N'),(15,2132249,'2',223,'N'),(15,2132257,'1',303,'N'),(15,2132257,'2',104,'N'),(15,2132265,'1',501,'N'),(15,2132265,'2',309,'N'),(15,2132273,'1',217,'N'),(15,2132273,'2',102,'N'),(15,2132281,'1',102,'N'),(15,2132281,'2',224,'N'),(15,2132290,'1',301,'N'),(15,2132290,'2',316,'N'),(15,2132303,'1',211,'N'),(15,2132303,'1A',216,'N'),(15,2132303,'2',333,'N'),(15,2132311,'1',102,'N'),(15,2132311,'2',301,'N'),(15,2132320,'1',202,'N'),(15,2132338,'1',103,'N'),(15,2132338,'2',212,'N'),(15,2132346,'1',103,'N'),(15,2132346,'2',108,'N'),(15,2132354,'1',108,'N'),(15,2132354,'2',415,'N'),(15,2132362,'1',103,'N'),(15,2132362,'2',303,'N'),(15,2132370,'1',103,'N'),(15,2132370,'2',108,'N'),(15,2132389,'1',303,'N'),(15,2132389,'2',5,'N'),(15,2132397,'1',208,'N'),(15,2132397,'1A',238,'N'),(15,2132397,'2',421,'N'),(15,2132400,'1',103,'N'),(15,2132419,'1',103,'N'),(15,2132419,'2',101,'N'),(15,2132427,'1',104,'N'),(15,2132427,'2',303,'N'),(15,2132435,'1',318,'N'),(15,2132435,'2',415,'N'),(15,2132443,'1',203,'N'),(15,2132443,'1A',212,'N'),(15,2132443,'2',201,'N'),(15,2132451,'1',317,'N'),(15,2132451,'2',428,'N'),(15,2132460,'1',102,'N'),(15,2132460,'2',211,'N'),(15,2132478,'1',316,'N'),(15,2132478,'2',317,'N'),(15,2132494,'1',220,'N'),(15,2132494,'2',208,'N'),(15,2132508,'1',203,'N'),(15,2132508,'1A',216,'N'),(15,2132508,'2',2,'N'),(15,2132516,'1',104,'N'),(15,2132516,'2',9,'N'),(15,2132524,'1',103,'N'),(15,2132524,'2',501,'N'),(15,2132532,'1',103,'N'),(15,2132532,'2',101,'N'),(15,2132540,'1',501,'N'),(15,2132540,'2',301,'N'),(15,2132559,'1',420,'N'),(15,2132559,'2',201,'N'),(15,2132567,'1',103,'N'),(15,2132567,'2',203,'N'),(15,2132575,'1',201,'N'),(15,2132575,'1A',202,'N'),(15,2132575,'2',318,'N'),(15,2132583,'1',444,'N'),(15,2132591,'1',318,'N'),(15,2132591,'2',317,'N'),(15,2132605,'1',104,'N'),(15,2132605,'2',108,'N'),(15,2132613,'1',103,'N'),(15,2132613,'2',207,'N'),(15,2132621,'1',415,'N'),(15,2132621,'2',450,'N'),(15,2132630,'1',303,'N'),(15,2132630,'2',329,'N'),(15,2132656,'1',203,'N'),(15,2132656,'1A',213,'N'),(15,2132656,'2',214,'N'),(15,2132664,'1',103,'N'),(15,2132664,'2',102,'N'),(15,2132672,'1',317,'N'),(15,2132672,'2',426,'N'),(15,2132680,'1',220,'N'),(15,2132680,'1A',202,'N'),(15,2132680,'2',301,'N'),(15,2132699,'1',220,'N'),(15,2132699,'1A',203,'N'),(15,2132699,'2',420,'N'),(15,2132702,'1',304,'N'),(15,2132702,'2',324,'N'),(15,2132710,'1',415,'N'),(15,2132710,'2',420,'N'),(15,2132729,'1',233,'N'),(15,2132729,'1A',214,'N'),(15,2132737,'1',9,'N'),(15,2132737,'2',102,'N'),(15,2132745,'1',103,'N'),(15,2132753,'1',207,'N'),(15,2132753,'1A',201,'N'),(15,2132753,'2',424,'N'),(15,2132761,'1',211,'N'),(15,2132761,'1A',215,'N'),(15,2132761,'2',501,'N'),(15,2132770,'1',103,'N'),(15,2132770,'2',108,'N'),(15,2132788,'1',103,'N'),(15,2132788,'2',104,'N'),(15,2132796,'1',308,'N'),(15,2132796,'2',319,'N'),(15,2132800,'1',103,'N'),(15,2132800,'2',9,'N'),(15,2132818,'1',303,'N'),(15,2132818,'2',316,'N'),(15,2132826,'1',415,'N'),(15,2132826,'2',5,'N'),(15,2132834,'1',420,'N'),(15,2132834,'2',207,'N'),(15,2132842,'1',319,'N'),(15,2132842,'2',450,'N'),(15,2132850,'1',212,'N'),(15,2132850,'1A',201,'N'),(15,2132850,'2',304,'N'),(15,2132869,'1',502,'N'),(15,2132869,'2',5,'N'),(15,2132885,'1',316,'N'),(15,2132885,'2',215,'N'),(15,2132893,'1',216,'N'),(15,2132893,'1A',233,'N'),(15,2132893,'2',211,'N'),(15,2132907,'1',103,'N'),(15,2132907,'2',333,'N'),(15,2132915,'1',420,'N'),(15,2132915,'2',425,'N'),(15,2132931,'1',234,'N'),(15,2132931,'2',223,'N'),(15,2132940,'1',208,'N'),(15,2132940,'1A',215,'N'),(15,2132940,'2',333,'N'),(15,2132958,'1',303,'N'),(15,2132958,'2',319,'N'),(15,2132966,'1',103,'N'),(15,2132966,'2',102,'N'),(15,2132974,'1',303,'N'),(15,2132974,'2',329,'N'),(15,2132990,'1',103,'N'),(15,2132990,'2',108,'N'),(15,2133008,'1',203,'N'),(15,2133008,'1A',214,'N'),(15,2133016,'1',203,'N'),(15,2133016,'1A',216,'N'),(15,2133016,'2',104,'N'),(15,2133024,'1',333,'N'),(15,2133024,'2',326,'N'),(15,2133032,'1',203,'N'),(15,2133032,'1A',202,'N'),(15,2133032,'2',213,'N'),(15,2133040,'1',5,'N'),(15,2133040,'2',415,'N'),(15,2133059,'1',216,'N'),(15,2133059,'1A',211,'N'),(15,2133059,'2',429,'N'),(15,2133075,'1',303,'N'),(15,2133075,'2',5,'N'),(15,2133091,'1',501,'N'),(15,2133091,'2',333,'N'),(15,2133105,'1',316,'N'),(15,2133105,'2',202,'N'),(15,2133113,'1',104,'N'),(15,2133113,'2',301,'N'),(15,2133121,'1',501,'N'),(15,2133121,'2',234,'N'),(15,2133130,'1',501,'N'),(15,2133130,'2',101,'N'),(15,2133148,'1',444,'N'),(15,2133148,'2',428,'N'),(15,2133156,'1',104,'N'),(15,2133156,'2',415,'N'),(15,2133164,'1',303,'N'),(15,2133164,'2',324,'N'),(15,2133172,'1',220,'N'),(15,2133172,'1A',203,'N'),(15,2133172,'2',202,'N'),(15,2133180,'1',319,'N'),(15,2133180,'2',309,'N'),(15,2133199,'1',203,'N'),(15,2133199,'1A',202,'N'),(15,2133199,'2',220,'N'),(15,2133202,'1',102,'N'),(15,2133202,'2',217,'N'),(15,2133210,'1',203,'N'),(15,2133210,'1A',233,'N'),(15,2133210,'2',2,'N'),(15,2133229,'1',103,'N'),(15,2133229,'2',9,'N'),(15,2133237,'1',303,'N'),(15,2133237,'2',5,'N'),(15,2133245,'1',425,'N'),(15,2133253,'1',333,'N'),(15,2133253,'2',319,'N'),(15,2133261,'1',103,'N'),(15,2133261,'2',319,'N'),(15,2133270,'1',103,'N'),(15,2133270,'2',211,'N'),(15,2133288,'1',333,'N'),(15,2133288,'2',234,'N'),(15,2133296,'1',317,'N'),(15,2133296,'2',324,'N'),(15,2133300,'1',301,'N'),(15,2133300,'2',304,'N'),(15,2133318,'1',102,'N'),(15,2133318,'2',101,'N'),(15,2133326,'1',101,'N'),(15,2133326,'2',217,'N'),(15,2133334,'1',502,'N'),(15,2133334,'2',208,'N'),(15,2133342,'1',102,'N'),(15,2133342,'2',215,'N'),(15,2133350,'1',502,'N'),(15,2133350,'2',501,'N'),(15,2133369,'1',224,'N'),(15,2133369,'2',222,'N'),(15,2133377,'1',415,'N'),(15,2133377,'2',420,'N'),(15,2133385,'1',103,'N'),(15,2133385,'2',102,'N'),(15,2133407,'1',5,'N'),(15,2133407,'2',238,'N'),(15,2133415,'1',201,'N'),(15,2133415,'1A',211,'N'),(15,2133415,'2',301,'N'),(15,2133423,'1',207,'N'),(15,2133423,'1A',215,'N'),(15,2133423,'2',423,'N'),(15,2133431,'1',207,'N'),(15,2133431,'1A',216,'N'),(15,2133431,'2',451,'N'),(15,2133440,'1',201,'N'),(15,2133440,'1A',212,'N'),(15,2133440,'2',302,'N'),(15,2133458,'1',201,'N'),(15,2133458,'1A',212,'N'),(15,2133458,'2',233,'N'),(15,2133466,'1',333,'N'),(15,2133466,'2',425,'N'),(15,2133474,'1',103,'N'),(15,2133474,'2',104,'N'),(15,2133482,'1',234,'N'),(15,2133482,'2',324,'N'),(15,2133490,'1',326,'N'),(15,2133490,'2',327,'N'),(15,2133504,'1',238,'N'),(15,2133504,'1A',208,'N'),(15,2133504,'2',222,'N'),(15,2133512,'1',207,'N'),(15,2133512,'2',5,'N'),(15,2133520,'1',316,'N'),(15,2133520,'2',318,'N'),(15,2133539,'1',202,'N'),(15,2133539,'1A',203,'N'),(15,2133539,'2',201,'N'),(15,2133547,'1',317,'N'),(15,2133547,'2',318,'N'),(15,2133555,'1',9,'N'),(15,2133555,'2',108,'N'),(15,2133563,'1',451,'N'),(15,2133563,'2',316,'N'),(15,2133571,'1',102,'N'),(15,2133571,'2',326,'N'),(15,2133580,'1',103,'N'),(15,2133580,'2',102,'N'),(15,2133601,'1',103,'N'),(15,2133601,'2',102,'N'),(15,2133610,'1',103,'N'),(15,2133610,'2',104,'N'),(15,2133628,'1',420,'N'),(15,2133628,'2',208,'N'),(15,2133652,'1',5,'N'),(15,2133652,'2',327,'N'),(15,2133660,'1',108,'N'),(15,2133679,'1',208,'N'),(15,2133679,'2',316,'N'),(15,2133709,'1',233,'N'),(15,2133709,'1A',208,'N'),(15,2133709,'2',303,'N'),(15,2133717,'1',201,'N'),(15,2133717,'1A',214,'N'),(15,2133717,'2',203,'N'),(15,2133725,'1',301,'N'),(15,2133725,'2',425,'N'),(15,2133733,'1',238,'N'),(15,2133733,'1A',208,'N'),(15,2133768,'1',303,'N'),(15,2133768,'2',5,'N'),(15,2133784,'1',450,'N'),(15,2133784,'2',328,'N'),(15,2133792,'1',103,'N'),(15,2133792,'2',203,'N'),(15,2133806,'1',101,'N'),(15,2133806,'2',423,'N'),(15,2133822,'1',103,'N'),(15,2133822,'2',101,'N'),(15,2133830,'1',420,'N'),(15,2133830,'2',502,'N'),(15,2133857,'1',415,'N'),(15,2133857,'2',444,'N'),(15,2133865,'1',103,'N'),(15,2133865,'2',9,'N'),(15,2133873,'1',203,'N'),(15,2133873,'1A',201,'N'),(15,2133873,'2',211,'N'),(15,2133881,'1',415,'N'),(15,2133881,'2',328,'N'),(15,2133890,'1',404,'N'),(15,2133890,'2',444,'N'),(15,2133903,'1',333,'N'),(15,2133903,'2',216,'N'),(15,2133911,'1',303,'N'),(15,2133911,'2',415,'N'),(15,2133920,'1',202,'N'),(15,2133920,'1A',213,'N'),(15,2133920,'2',225,'N'),(15,2133938,'1',103,'N'),(15,2133938,'2',102,'N'),(15,2133946,'1',208,'N'),(15,2133946,'2',420,'N'),(15,2133962,'1',501,'N'),(15,2133962,'2',333,'N'),(15,2133970,'1',211,'N'),(15,2133970,'2',216,'N'),(15,2133989,'1',425,'N'),(15,2133989,'1A',429,'N'),(15,2133989,'2',415,'N'),(15,2133997,'1',234,'N'),(15,2134004,'1',103,'N'),(15,2134012,'1',207,'N'),(15,2134012,'1A',201,'N'),(15,2134012,'2',420,'N'),(15,2134039,'1',103,'N'),(15,2134039,'2',102,'N'),(15,2134047,'1',319,'N'),(15,2134047,'2',207,'N'),(15,2134055,'1',104,'N'),(15,2134055,'2',451,'N'),(15,2134071,'1',303,'N'),(15,2134071,'2',301,'N'),(15,2134080,'1',238,'N'),(15,2134080,'1A',207,'N'),(15,2134080,'2',304,'N'),(15,2134098,'1',301,'N'),(15,2134098,'2',316,'N'),(15,2134101,'1',104,'N'),(15,2134101,'2',102,'N'),(15,2134110,'1',238,'N'),(15,2134110,'1A',207,'N'),(15,2134110,'2',208,'N'),(15,2134128,'1',103,'N'),(15,2134128,'2',214,'N'),(15,2134136,'1',216,'N'),(15,2134136,'1A',220,'N'),(15,2134136,'2',217,'N'),(15,2134144,'1',202,'N'),(15,2134144,'1A',220,'N'),(15,2134144,'2',211,'N'),(15,2134152,'1',103,'N'),(15,2134152,'2',326,'N'),(15,2134160,'1',102,'N'),(15,2134160,'2',424,'N'),(15,2134179,'1',103,'N'),(15,2134179,'2',101,'N'),(15,2134187,'1',208,'N'),(15,2134187,'2',202,'N'),(15,2134209,'1',415,'N'),(15,2134209,'2',211,'N'),(15,2134217,'1',102,'N'),(15,2134217,'2',316,'N'),(15,2134225,'1',104,'N'),(15,2134225,'2',420,'N'),(15,2134233,'1',316,'N'),(15,2134233,'2',301,'N'),(15,2134241,'1',318,'N'),(15,2134241,'2',332,'N'),(15,2134250,'1',208,'N'),(15,2134250,'1A',238,'N'),(15,2134250,'2',420,'N'),(15,2134268,'1',103,'N'),(15,2134268,'2',301,'N'),(15,2134276,'1',203,'N'),(15,2134276,'1A',201,'N'),(15,2134276,'2',304,'N'),(15,2134284,'1',444,'N'),(15,2134284,'2',404,'N'),(15,2134292,'1',214,'N'),(15,2134292,'1A',203,'N'),(15,2134292,'2',301,'N'),(15,2134306,'1',451,'N'),(15,2134306,'2',450,'N'),(15,2134314,'1',104,'N'),(15,2134322,'1',103,'N'),(15,2134322,'2',104,'N'),(15,2134349,'1',102,'N'),(15,2134349,'2',331,'N'),(15,2134357,'1',103,'N'),(15,2134357,'2',104,'N'),(15,2134381,'1',202,'N'),(15,2134381,'1A',213,'N'),(15,2134390,'1',216,'N'),(15,2134390,'1A',215,'N'),(15,2134390,'2',102,'N'),(15,2134403,'1',101,'N'),(15,2134403,'2',104,'N'),(15,2134438,'1',415,'N'),(15,2134438,'2',444,'N'),(15,2134446,'1',319,'N'),(15,2134454,'1',415,'N'),(15,2134454,'2',450,'N'),(15,2134462,'1',220,'N'),(15,2134462,'1A',214,'N'),(15,2134462,'2',203,'N'),(15,2134470,'1',203,'N'),(15,2134470,'1A',220,'N'),(15,2134470,'2',216,'N'),(15,2134500,'1',303,'N'),(15,2134500,'2',310,'N'),(15,2134519,'1',203,'N'),(15,2134519,'1A',202,'N'),(15,2134519,'2',201,'N'),(15,2134527,'1',214,'N'),(15,2134527,'1A',212,'N'),(15,2134527,'2',302,'N'),(15,2134535,'1',319,'N'),(15,2134535,'2',415,'N'),(15,2134543,'1',201,'N'),(15,2134543,'1A',208,'N'),(15,2134543,'2',222,'N'),(15,2134551,'1',103,'N'),(15,2134551,'2',101,'N'),(15,2134560,'1',108,'N'),(15,2134560,'2',502,'N'),(15,2134578,'1',318,'N'),(15,2134578,'2',304,'N'),(15,2134586,'1',214,'N'),(15,2134586,'1A',212,'N'),(15,2134586,'2',318,'N'),(15,2134608,'1',102,'N'),(15,2134624,'1',104,'N'),(15,2134624,'2',102,'N'),(15,2134632,'1',222,'N'),(15,2134632,'2',208,'N'),(15,2134640,'1',421,'N'),(15,2134640,'1A',425,'N'),(15,2134640,'2',424,'N'),(15,2134659,'1',103,'N'),(15,2134659,'2',319,'N'),(15,2134675,'1',301,'N'),(15,2134675,'2',309,'N'),(15,2134691,'1',216,'N'),(15,2134691,'1A',203,'N'),(15,2134691,'2',212,'N'),(15,2134705,'1',214,'N'),(15,2134705,'1A',220,'N'),(15,2134705,'2',2,'N'),(15,2134713,'1',404,'N'),(15,2134713,'2',102,'N'),(15,2134721,'1',217,'N'),(15,2134721,'2',108,'N'),(15,2134730,'1',318,'N'),(15,2134730,'2',224,'N'),(15,2134748,'1',9,'N'),(15,2134748,'2',103,'N'),(15,2134772,'1',5,'N'),(15,2134772,'2',203,'N'),(15,2134780,'1',208,'N'),(15,2134780,'1A',238,'N'),(15,2134780,'2',415,'N'),(15,2134799,'1',339,'N'),(15,2134799,'2',424,'N'),(15,2134802,'1',220,'N'),(15,2134802,'1A',208,'N'),(15,2134802,'2',202,'N'),(15,2134810,'1',208,'N'),(15,2134810,'1A',211,'N'),(15,2134810,'2',303,'N'),(15,2134829,'1',220,'N'),(15,2134829,'1A',212,'N'),(15,2134829,'2',213,'N'),(15,2134837,'1',207,'N'),(15,2134837,'1A',201,'N'),(15,2134837,'2',420,'N'),(15,2134845,'1',102,'N'),(15,2134845,'2',216,'N'),(15,2134853,'1',404,'N'),(15,2134853,'2',224,'N'),(15,2134861,'1',339,'N'),(15,2134861,'2',310,'N'),(15,2134870,'1',104,'N'),(15,2134870,'2',327,'N'),(15,2134888,'1',502,'N'),(15,2134888,'2',108,'N'),(15,2134900,'1',303,'N'),(15,2134900,'2',5,'N'),(15,2134918,'1',404,'N'),(15,2134918,'2',309,'N'),(15,2134926,'1',208,'N'),(15,2134926,'1A',238,'N'),(15,2134926,'2',316,'N'),(15,2134934,'1',5,'N'),(15,2134934,'2',303,'N'),(15,2134942,'1',333,'N'),(15,2134942,'2',332,'N'),(15,2134950,'1',103,'N'),(15,2134950,'2',333,'N'),(15,2134969,'1',415,'N'),(15,2134969,'2',9,'N'),(15,2134977,'1',238,'N'),(15,2134977,'1A',208,'N'),(15,2134977,'2',339,'N'),(15,2134985,'1',103,'N'),(15,2134985,'2',316,'N'),(15,2134993,'1',429,'N'),(15,2134993,'1A',423,'N'),(15,2134993,'2',324,'N'),(15,2135000,'1',5,'N'),(15,2135000,'2',450,'N'),(15,2135027,'1',316,'N'),(15,2135027,'2',425,'N'),(15,2135035,'1',316,'N'),(15,2135035,'2',425,'N'),(15,2135078,'1',234,'N'),(15,2135078,'2',333,'N'),(15,2135086,'1',326,'N'),(15,2135086,'2',201,'N'),(15,2135094,'1',420,'N'),(15,2135094,'2',207,'N'),(15,2135116,'1',326,'N'),(15,2135116,'2',207,'N'),(15,2135124,'1',101,'N'),(15,2135124,'2',319,'N'),(15,2135132,'1',339,'N'),(15,2135132,'2',426,'N'),(15,2135140,'1',103,'N'),(15,2135140,'2',9,'N'),(15,2135159,'1',220,'N'),(15,2135159,'1A',203,'N'),(15,2135159,'2',214,'N'),(15,2135167,'1',203,'N'),(15,2135175,'1',103,'N'),(15,2135175,'2',101,'N'),(15,2135183,'1',203,'N'),(15,2135183,'1A',214,'N'),(15,2135183,'2',207,'N'),(15,2135205,'1',309,'N'),(15,2135205,'2',324,'N'),(15,2135213,'1',319,'N'),(15,2135213,'2',308,'N'),(15,2135221,'1',317,'N'),(15,2135221,'2',320,'N'),(15,2135230,'1',421,'N'),(15,2135230,'1A',427,'N'),(15,2135230,'2',424,'N'),(15,2135256,'1',103,'N'),(15,2135256,'2',502,'N'),(15,2135264,'1',207,'N'),(15,2135264,'1A',215,'N'),(15,2135264,'2',420,'N'),(15,2135272,'1',502,'N'),(15,2135272,'2',501,'N'),(15,2135280,'1',102,'N'),(15,2135280,'2',9,'N'),(15,2135302,'1',103,'N'),(15,2135302,'2',224,'N'),(15,2135310,'1',214,'N'),(15,2135310,'1A',203,'N'),(15,2135310,'2',316,'N'),(15,2135329,'1',339,'N'),(15,2135329,'2',324,'N'),(15,2135337,'1',328,'N'),(15,2135337,'2',329,'N'),(15,2135353,'1',5,'N'),(15,2135353,'2',319,'N'),(15,2135361,'1',104,'N'),(15,2135361,'2',327,'N'),(15,2135388,'1',103,'N'),(15,2135388,'2',102,'N'),(15,2135418,'1',404,'N'),(15,2135418,'2',316,'N'),(15,2135426,'1',5,'N'),(15,2135426,'2',318,'N'),(15,2135434,'1',201,'N'),(15,2135434,'1A',238,'N'),(15,2135434,'2',222,'N'),(15,2135442,'1',103,'N'),(15,2135442,'2',415,'N'),(15,2135450,'1',207,'N'),(15,2135450,'1A',212,'N'),(15,2135450,'2',201,'N'),(15,2135469,'1',333,'N'),(15,2135469,'2',501,'N'),(15,2135477,'1',203,'N'),(15,2135477,'1A',214,'N'),(15,2135485,'1',5,'N'),(15,2135485,'2',316,'N'),(15,2135493,'1',103,'N'),(15,2135507,'1',429,'N'),(15,2135507,'1A',425,'N'),(15,2135507,'2',238,'N'),(15,2135523,'1',208,'N'),(15,2135523,'2',316,'N'),(15,2135531,'1',501,'N'),(15,2135531,'2',425,'N'),(15,2135540,'1',309,'N'),(15,2135540,'2',339,'N'),(15,2135558,'1',202,'N'),(15,2135558,'1A',213,'N'),(15,2135558,'2',222,'N'),(15,2135566,'1',308,'N'),(15,2135566,'2',324,'N'),(15,2135574,'1',213,'N'),(15,2135574,'1A',212,'N'),(15,2135574,'2',214,'N'),(15,2135590,'1',316,'N'),(15,2135590,'2',423,'N'),(15,2135604,'1',327,'N'),(15,2135604,'2',426,'N'),(15,2135620,'1',238,'N'),(15,2135620,'1A',208,'N'),(15,2135639,'1',103,'N'),(15,2135639,'2',415,'N'),(15,2135647,'1',104,'N'),(15,2135647,'2',301,'N'),(15,2135655,'1',108,'N'),(15,2135655,'2',211,'N'),(15,2135663,'1',5,'N'),(15,2135663,'2',216,'N'),(15,2135671,'1',223,'N'),(15,2135671,'2',212,'N'),(15,2135698,'1',327,'N'),(15,2135698,'2',329,'N'),(15,2135701,'1',104,'N'),(15,2135701,'2',9,'N'),(15,2135728,'1',216,'N'),(15,2135728,'1A',203,'N'),(15,2135728,'2',214,'N'),(15,2135736,'1',217,'N'),(15,2135736,'2',501,'N'),(15,2135744,'1',428,'N'),(15,2135744,'1A',423,'N'),(15,2135744,'2',420,'N'),(15,2135752,'1',104,'N'),(15,2135752,'2',425,'N'),(15,2135760,'1',102,'N'),(15,2135760,'2',9,'N'),(15,2135779,'1',211,'N'),(15,2135779,'1A',207,'N'),(15,2135779,'2',224,'N'),(15,2135787,'1',201,'N'),(15,2135787,'1A',212,'N'),(15,2135787,'2',213,'N'),(15,2135795,'1',303,'N'),(15,2135795,'2',318,'N'),(15,2135809,'1',319,'N'),(15,2135809,'2',5,'N'),(15,2135817,'1',420,'N'),(15,2135817,'2',424,'N'),(15,2135825,'1',238,'N'),(15,2135825,'1A',207,'N'),(15,2135825,'2',5,'N'),(15,2135833,'1',420,'N'),(15,2135833,'2',426,'N'),(15,2135841,'1',102,'N'),(15,2135841,'2',339,'N'),(15,2135850,'1',333,'N'),(15,2135850,'2',502,'N'),(15,2135868,'1',225,'N'),(15,2135868,'2',224,'N'),(15,2135876,'1',203,'N'),(15,2135876,'1A',201,'N'),(15,2135876,'2',214,'N'),(15,2135892,'1',103,'N'),(15,2135892,'2',101,'N'),(15,2135914,'1',217,'N'),(15,2135914,'2',222,'N'),(15,2135930,'1',234,'N'),(15,2135930,'2',224,'N'),(15,2135957,'1',103,'N'),(15,2135965,'1',104,'N'),(15,2135965,'2',223,'N'),(15,2135973,'1',103,'N'),(15,2135973,'2',104,'N'),(15,2135981,'1',101,'N'),(15,2135981,'2',9,'N'),(15,2135990,'1',201,'N'),(15,2135990,'1A',212,'N'),(15,2135990,'2',324,'N'),(15,2136007,'1',318,'N'),(15,2136007,'2',423,'N'),(15,2136015,'1',103,'N'),(15,2136031,'1',104,'N'),(15,2136031,'2',101,'N'),(15,2136040,'1',5,'N'),(15,2136040,'2',425,'N'),(15,2136058,'1',103,'N'),(15,2136058,'2',319,'N'),(15,2136074,'1',420,'N'),(15,2136074,'2',428,'N'),(15,2136082,'1',104,'N'),(15,2136082,'2',101,'N'),(15,2136104,'1',5,'N'),(15,2136104,'2',316,'N'),(15,2136112,'1',104,'N'),(15,2136112,'2',302,'N'),(15,2136120,'1',301,'N'),(15,2136120,'2',220,'N'),(15,2136139,'1',211,'N'),(15,2136139,'1A',201,'N'),(15,2136155,'1',104,'N'),(15,2136155,'2',320,'N'),(15,2136163,'1',103,'N'),(15,2136163,'2',101,'N'),(15,2136171,'1',420,'N'),(15,2136180,'1',238,'N'),(15,2136180,'1A',208,'N'),(15,2136180,'2',2,'N'),(15,2136198,'1',451,'N'),(15,2136198,'2',444,'N'),(15,2136201,'1',319,'N'),(15,2136201,'2',415,'N'),(15,2136228,'1',103,'N'),(15,2136228,'2',9,'N'),(15,2136236,'1',102,'N'),(15,2136236,'2',217,'N'),(15,2136260,'1',317,'N'),(15,2136279,'1',404,'N'),(15,2136279,'2',444,'N'),(15,2136287,'1',225,'N'),(15,2136287,'2',429,'N'),(15,2136295,'1',301,'N'),(15,2136295,'2',316,'N'),(15,2136309,'1',103,'N'),(15,2136309,'2',216,'N'),(15,2136317,'1',101,'N'),(15,2136317,'2',502,'N'),(15,2136325,'1',213,'N'),(15,2136325,'1A',220,'N'),(15,2136333,'1',103,'N'),(15,2136333,'2',217,'N'),(15,2136341,'1',201,'N'),(15,2136341,'1A',211,'N'),(15,2136341,'2',444,'N'),(15,2136350,'1',423,'N'),(15,2136350,'1A',426,'N'),(15,2136350,'2',427,'N'),(15,2136368,'1',208,'N'),(15,2136368,'2',308,'N'),(15,2136376,'1',103,'N'),(15,2136384,'1',103,'N'),(15,2136384,'2',329,'N'),(15,2136422,'1',238,'N'),(15,2136422,'1A',233,'N'),(15,2136422,'2',329,'N'),(15,2136430,'1',308,'N'),(15,2136430,'2',428,'N'),(15,2136449,'1',208,'N'),(15,2136449,'2',238,'N'),(15,2136457,'1',216,'N'),(15,2136457,'1A',215,'N'),(15,2136457,'2',217,'N'),(15,2136465,'1',304,'N'),(15,2136465,'2',318,'N'),(15,2136481,'1',108,'N'),(15,2136490,'1',301,'N'),(15,2136490,'2',9,'N'),(15,2136503,'1',318,'N'),(15,2136503,'2',222,'N'),(15,2136511,'1',103,'N'),(15,2136511,'2',101,'N'),(15,2136520,'1',102,'N'),(15,2136520,'2',423,'N'),(15,2136538,'1',302,'N'),(15,2136538,'2',303,'N'),(15,2136546,'1',333,'N'),(15,2136546,'2',303,'N'),(15,2136554,'1',208,'N'),(15,2136554,'2',203,'N'),(15,2136562,'1',103,'N'),(15,2136562,'2',303,'N'),(15,2136570,'1',238,'N'),(15,2136570,'1A',203,'N'),(15,2136570,'2',208,'N'),(15,2136597,'1',501,'N'),(15,2136597,'2',319,'N'),(15,2136600,'1',201,'N'),(15,2136600,'1A',212,'N'),(15,2136600,'2',233,'N'),(15,2136619,'1',333,'N'),(15,2136619,'2',316,'N'),(15,2136627,'1',103,'N'),(15,2136635,'1',303,'N'),(15,2136635,'2',5,'N'),(15,2136643,'1',308,'N'),(15,2136643,'2',101,'N'),(15,2136651,'1',202,'N'),(15,2136651,'1A',213,'N'),(15,2136651,'2',201,'N'),(15,2136660,'1',5,'N'),(15,2136660,'2',303,'N'),(15,2136678,'1',103,'N'),(15,2136694,'1',317,'N'),(15,2136694,'2',427,'N'),(15,2136708,'1',207,'N'),(15,2136708,'2',2,'N'),(15,2136716,'1',303,'N'),(15,2136716,'2',5,'N'),(15,2136732,'1',203,'N'),(15,2136732,'1A',202,'N'),(15,2136732,'2',208,'N'),(15,2136740,'1',201,'N'),(15,2136740,'2',212,'N'),(15,2136759,'1',104,'N'),(15,2136759,'2',108,'N'),(15,2136767,'1',211,'N'),(15,2136767,'1A',202,'N'),(15,2136767,'2',223,'N'),(15,2136783,'1',207,'N'),(15,2136783,'1A',203,'N'),(15,2136783,'2',333,'N'),(15,2136791,'1',203,'N'),(15,2136791,'1A',220,'N'),(15,2136791,'2',202,'N'),(15,2136805,'1',304,'N'),(15,2136805,'2',223,'N'),(15,2136813,'1',103,'N'),(15,2136813,'2',108,'N'),(15,2136821,'1',502,'N'),(15,2136821,'2',333,'N'),(15,2136830,'1',207,'N'),(15,2136830,'1A',201,'N'),(15,2136830,'2',212,'N'),(15,2136848,'1',103,'N'),(15,2136848,'2',328,'N'),(15,2136856,'1',104,'N'),(15,2136856,'2',420,'N'),(15,2136864,'1',429,'N'),(15,2136864,'1A',425,'N'),(15,2136864,'2',327,'N'),(15,2136872,'1',103,'N'),(15,2136872,'2',216,'N'),(15,2136880,'1',5,'N'),(15,2136880,'2',328,'N'),(15,2136899,'1',404,'N'),(15,2136899,'2',331,'N'),(15,2136902,'1',211,'N'),(15,2136902,'1A',215,'N'),(15,2136902,'2',333,'N'),(15,2136910,'1',233,'N'),(15,2136910,'1A',238,'N'),(15,2136910,'2',215,'N'),(15,2136929,'1',316,'N'),(15,2136929,'2',423,'N'),(15,2136945,'1',420,'N'),(15,2136945,'2',238,'N'),(15,2136953,'1',207,'N'),(15,2136953,'1A',201,'N'),(15,2136953,'2',224,'N'),(15,2136961,'1',319,'N'),(15,2136961,'2',309,'N'),(15,2136970,'1',316,'N'),(15,2136970,'2',301,'N'),(15,2136988,'1',102,'N'),(15,2136996,'1',316,'N'),(15,2136996,'2',425,'N'),(15,2137003,'1',316,'N'),(15,2137003,'2',318,'N'),(15,2137020,'1',426,'N'),(15,2137020,'1A',421,'N'),(15,2137020,'2',223,'N'),(15,2137046,'1',333,'N'),(15,2137054,'1',103,'N'),(15,2137054,'2',309,'N'),(15,2137097,'1',220,'N'),(15,2137097,'1A',203,'N'),(15,2137097,'2',233,'N'),(15,2137100,'1',104,'N'),(15,2137100,'2',333,'N'),(15,2137119,'1',2,'N'),(15,2137119,'2',216,'N'),(15,2137127,'1',238,'N'),(15,2137127,'2',208,'N'),(15,2137135,'1',217,'N'),(15,2137135,'2',216,'N'),(15,2137143,'1',225,'N'),(15,2137143,'2',329,'N'),(15,2137151,'1',327,'N'),(15,2137151,'2',421,'N'),(15,2137160,'1',103,'N'),(15,2137160,'2',108,'N'),(15,2137178,'1',104,'N'),(15,2137178,'2',216,'N'),(15,2137194,'1',450,'N'),(15,2137194,'2',451,'N'),(15,2137208,'1',104,'N'),(15,2137208,'2',101,'N'),(15,2137216,'1',320,'N'),(15,2137216,'2',427,'N'),(15,2137224,'1',216,'N'),(15,2137224,'1A',233,'N'),(15,2137232,'1',429,'N'),(15,2137232,'1A',425,'N'),(15,2137232,'2',225,'N'),(15,2137240,'1',201,'N'),(15,2137240,'1A',238,'N'),(15,2137240,'2',212,'N'),(15,2137259,'1',316,'N'),(15,2137259,'2',404,'N'),(15,2137267,'1',104,'N'),(15,2137267,'2',333,'N'),(15,2137275,'1',207,'N'),(15,2137275,'1A',201,'N'),(15,2137275,'2',415,'N'),(15,2137283,'1',211,'N'),(15,2137283,'2',333,'N'),(15,2137291,'1',308,'N'),(15,2137291,'2',309,'N'),(15,2137313,'1',211,'N'),(15,2137313,'1A',238,'N'),(15,2137313,'2',332,'N'),(15,2137321,'1',102,'N'),(15,2137321,'2',211,'N'),(15,2137330,'1',303,'N'),(15,2137330,'2',301,'N'),(15,2137348,'1',103,'N'),(15,2137348,'2',102,'N'),(15,2137356,'1',207,'N'),(15,2137356,'2',420,'N'),(15,2137364,'1',108,'N'),(15,2137364,'2',331,'N'),(15,2137372,'1',220,'N'),(15,2137372,'1A',238,'N'),(15,2137372,'2',207,'N'),(15,2137380,'1',317,'N'),(15,2137380,'2',308,'N'),(15,2137399,'1',301,'N'),(15,2137399,'2',316,'N'),(15,2137429,'1',220,'N'),(15,2137429,'1A',202,'N'),(15,2137429,'2',203,'N'),(15,2137437,'1',9,'N'),(15,2137437,'2',215,'N'),(15,2137445,'1',301,'N'),(15,2137445,'2',303,'N'),(15,2137453,'1',102,'N'),(15,2137453,'2',108,'N'),(15,2137461,'1',339,'N'),(15,2137461,'2',324,'N'),(15,2137470,'1',104,'N'),(15,2137470,'2',102,'N'),(15,2137488,'1',5,'N'),(15,2137488,'2',420,'N'),(15,2137500,'1',216,'N'),(15,2137500,'1A',213,'N'),(15,2137500,'2',214,'N'),(15,2137542,'1',103,'N'),(15,2137542,'2',108,'N'),(15,2137550,'1',103,'N'),(15,2137550,'2',101,'N'),(15,2137569,'1',217,'N'),(15,2137569,'2',215,'N'),(15,2137607,'1',103,'N'),(15,2137607,'2',207,'N'),(15,2137615,'1',208,'N'),(15,2137615,'1A',238,'N'),(15,2137615,'2',222,'N'),(15,2137631,'1',103,'N'),(15,2137631,'2',108,'N'),(15,2137640,'1',223,'N'),(15,2137640,'2',426,'N'),(15,2137658,'1',103,'N'),(15,2137666,'1',224,'N'),(15,2137666,'2',324,'N'),(15,2137682,'1',316,'N'),(15,2137682,'2',208,'N'),(15,2137690,'1',501,'N'),(15,2137690,'2',102,'N'),(15,2137704,'1',101,'N'),(15,2137704,'2',103,'N'),(15,2137712,'1',502,'N'),(15,2137712,'2',108,'N'),(15,2137720,'1',415,'N'),(15,2137720,'2',451,'N'),(15,2137739,'1',211,'N'),(15,2137739,'1A',215,'N'),(15,2137739,'2',502,'N'),(15,2137747,'1',108,'N'),(15,2137747,'2',333,'N'),(15,2137755,'1',333,'N'),(15,2137755,'2',444,'N'),(15,2137763,'1',424,'N'),(15,2137763,'1A',427,'N'),(15,2137763,'2',326,'N'),(15,2137771,'1',450,'N'),(15,2137780,'1',5,'N'),(15,2137780,'2',201,'N'),(15,2137798,'1',420,'N'),(15,2137798,'2',451,'N'),(15,2137801,'1',451,'N'),(15,2137801,'2',319,'N'),(15,2137810,'1',450,'N'),(15,2137810,'2',451,'N'),(15,2137836,'1',103,'N'),(15,2137844,'1',319,'N'),(15,2137844,'2',310,'N'),(15,2137852,'1',9,'N'),(15,2137852,'2',108,'N'),(15,2137860,'1',331,'N'),(15,2137860,'2',108,'N'),(15,2137879,'1',202,'N'),(15,2137879,'1A',208,'N'),(15,2137879,'2',2,'N'),(15,2137895,'1',501,'N'),(15,2137895,'2',225,'N'),(15,2137909,'1',5,'N'),(15,2137909,'2',303,'N'),(15,2137917,'1',215,'N'),(15,2137917,'2',234,'N'),(15,2137925,'1',207,'N'),(15,2137925,'1A',208,'N'),(15,2137925,'2',420,'N'),(15,2137941,'1',203,'N'),(15,2137941,'1A',201,'N'),(15,2137941,'2',208,'N'),(15,2137950,'1',207,'N'),(15,2137950,'1A',201,'N'),(15,2137950,'2',420,'N'),(15,2137968,'1',319,'N'),(15,2137968,'2',301,'N'),(15,2137976,'1',207,'N'),(15,2137976,'1A',202,'N'),(15,2137976,'2',333,'N'),(15,2137984,'1',318,'N'),(15,2137984,'2',233,'N'),(15,2137992,'1',203,'N'),(15,2137992,'1A',216,'N'),(15,2138000,'1',333,'N'),(15,2138000,'2',224,'N'),(15,2138018,'1',301,'N'),(15,2138018,'2',316,'N'),(15,2138026,'1',103,'N'),(15,2138026,'2',108,'N'),(15,2138034,'1',104,'N'),(15,2138034,'2',404,'N'),(15,2138050,'1',415,'N'),(15,2138050,'2',425,'N'),(15,2138085,'1',333,'N'),(15,2138085,'2',108,'N'),(15,2138107,'1',104,'N'),(15,2138107,'2',9,'N'),(15,2138115,'1',103,'N'),(15,2138115,'2',415,'N'),(15,2138123,'1',339,'N'),(15,2138123,'2',308,'N'),(15,2138131,'1',339,'N'),(15,2138131,'2',451,'N'),(15,2138140,'1',207,'N'),(15,2138140,'1A',201,'N'),(15,2138140,'2',420,'N'),(15,2138158,'1',213,'N'),(15,2138158,'1A',202,'N'),(15,2138158,'2',238,'N'),(15,2138174,'1',103,'N'),(15,2138174,'2',319,'N'),(15,2138182,'1',308,'N'),(15,2138182,'2',339,'N'),(15,2138190,'1',303,'N'),(15,2138190,'2',5,'N'),(15,2138212,'1',102,'N'),(15,2138212,'2',324,'N'),(15,2138247,'1',103,'N'),(15,2138247,'2',215,'N'),(15,2138255,'1',319,'N'),(15,2138255,'2',310,'N'),(15,2138263,'1',225,'N'),(15,2138263,'2',222,'N'),(15,2138271,'1',211,'N'),(15,2138271,'2',429,'N'),(15,2138280,'1',103,'N'),(15,2138280,'2',502,'N'),(15,2138298,'1',303,'N'),(15,2138298,'2',5,'N'),(15,2138310,'1',102,'N'),(15,2138310,'2',324,'N'),(15,2138336,'1',9,'N'),(15,2138336,'2',333,'N'),(15,2138352,'1',333,'N'),(15,2138352,'2',217,'N'),(15,2138379,'1',215,'N'),(15,2138395,'1',215,'N'),(15,2138395,'1A',238,'N'),(15,2138395,'2',108,'N'),(15,2138409,'1',220,'N'),(15,2138409,'2',201,'N'),(15,2138417,'1',233,'N'),(15,2138417,'1A',216,'N'),(15,2138417,'2',328,'N'),(15,2138425,'1',216,'N'),(15,2138425,'1A',215,'N'),(15,2138425,'2',217,'N'),(15,2138441,'1',319,'N'),(15,2138441,'2',329,'N'),(15,2138450,'1',451,'N'),(15,2138468,'1',224,'N'),(15,2138468,'2',425,'N'),(15,2138476,'1',103,'N'),(15,2138476,'2',2,'N'),(15,2138484,'1',333,'N'),(15,2138484,'2',225,'N'),(15,2138506,'1',9,'N'),(15,2138506,'2',101,'N'),(15,2138514,'1',415,'N'),(15,2138530,'1',215,'N'),(15,2138530,'1A',207,'N'),(15,2138530,'2',319,'N'),(15,2138549,'1',319,'N'),(15,2138549,'2',324,'N'),(15,2138573,'1',310,'N'),(15,2138573,'2',320,'N'),(15,2138581,'1',108,'N'),(15,2138581,'2',501,'N'),(15,2138590,'1',2,'N'),(15,2138590,'2',201,'N'),(15,2138611,'1',310,'N'),(15,2138611,'2',303,'N'),(15,2138620,'1',211,'N'),(15,2138620,'1A',215,'N'),(15,2138620,'2',234,'N'),(15,2138646,'1',103,'N'),(15,2138646,'2',319,'N'),(15,2138654,'1',339,'N'),(15,2138654,'2',421,'N'),(15,2138670,'1',103,'N'),(15,2138670,'2',102,'N'),(15,2138689,'1',211,'N'),(15,2138689,'1A',212,'N'),(15,2138689,'2',502,'N'),(15,2138697,'1',223,'N'),(15,2138700,'1',203,'N'),(15,2138700,'1A',213,'N'),(15,2138700,'2',214,'N'),(15,2138719,'1',317,'N'),(15,2138719,'2',327,'N'),(15,2138727,'1',429,'N'),(15,2138727,'2',103,'N'),(15,2138735,'1',423,'N'),(15,2138735,'1A',425,'N'),(15,2138735,'2',308,'N'),(15,2138743,'1',101,'N'),(15,2138743,'2',309,'N'),(15,2138751,'1',444,'N'),(15,2138760,'1',501,'N'),(15,2138760,'2',234,'N'),(15,2138786,'1',201,'N'),(15,2138786,'1A',212,'N'),(15,2138786,'2',233,'N'),(15,2138794,'1',103,'N'),(15,2138794,'2',101,'N'),(15,2138824,'1',102,'N'),(15,2138824,'2',501,'N'),(15,2138832,'1',420,'N'),(15,2138832,'2',316,'N'),(15,2138840,'1',324,'N'),(15,2138840,'2',423,'N'),(15,2138859,'1',201,'N'),(15,2138859,'1A',207,'N'),(15,2138859,'2',420,'N'),(15,2138875,'1',310,'N'),(15,2138875,'2',328,'N'),(15,2138883,'1',101,'N'),(15,2138883,'2',324,'N'),(15,2138891,'1',203,'N'),(15,2138891,'1A',202,'N'),(15,2138891,'2',2,'N'),(15,2138905,'1',103,'N'),(15,2138905,'2',216,'N'),(15,2138948,'1',207,'N'),(15,2138948,'2',317,'N'),(15,2138956,'1',450,'N'),(15,2138956,'2',415,'N'),(15,2138964,'1',202,'N'),(15,2138964,'1A',220,'N'),(15,2138964,'2',203,'N'),(15,2138972,'1',103,'N'),(15,2138972,'2',104,'N'),(15,2138980,'1',326,'N'),(15,2138980,'2',425,'N'),(15,2138999,'1',203,'N'),(15,2138999,'1A',202,'N'),(15,2138999,'2',220,'N'),(15,2139006,'1',420,'N'),(15,2139006,'2',450,'N'),(15,2139014,'1',415,'N'),(15,2139014,'2',319,'N'),(15,2139022,'1',420,'N'),(15,2139022,'2',425,'N'),(15,2139030,'1',415,'N'),(15,2139030,'2',310,'N'),(15,2139049,'1',102,'N'),(15,2139049,'2',319,'N'),(15,2139057,'1',320,'N'),(15,2139057,'2',339,'N'),(15,2139065,'1',225,'N'),(15,2139065,'2',222,'N'),(15,2139073,'1',207,'N'),(15,2139090,'1',213,'N'),(15,2139090,'1A',202,'N'),(15,2139090,'2',304,'N'),(15,2139103,'1',103,'N'),(15,2139103,'2',319,'N'),(15,2139111,'1',201,'N'),(15,2139111,'1A',212,'N'),(15,2139111,'2',224,'N'),(15,2139138,'1',222,'N'),(15,2139138,'2',404,'N'),(15,2139146,'1',103,'N'),(15,2139154,'1',207,'N'),(15,2139154,'1A',201,'N'),(15,2139154,'2',420,'N'),(15,2139162,'1',102,'N'),(15,2139162,'2',9,'N'),(15,2139170,'1',101,'N'),(15,2139170,'2',9,'N'),(15,2139189,'1',103,'N'),(15,2139189,'2',104,'N'),(15,2139200,'1',326,'N'),(15,2139200,'2',450,'N'),(15,2139227,'1',319,'N'),(15,2139227,'2',304,'N'),(15,2139243,'1',333,'N'),(15,2139243,'2',451,'N'),(15,2139251,'1',444,'N'),(15,2139251,'2',9,'N'),(15,2139278,'1',103,'N'),(15,2139278,'2',102,'N'),(15,2139286,'1',316,'N'),(15,2139286,'2',301,'N'),(15,2139294,'1',425,'N'),(15,2139294,'1A',429,'N'),(15,2139294,'2',427,'N'),(15,2139308,'1',216,'N'),(15,2139308,'1A',233,'N'),(15,2139308,'2',208,'N'),(15,2139316,'1',404,'N'),(15,2139316,'2',415,'N'),(15,2139332,'1',324,'N'),(15,2139332,'2',427,'N'),(15,2139340,'1',319,'N'),(15,2139340,'2',5,'N'),(15,2139359,'1',202,'N'),(15,2139359,'1A',213,'N'),(15,2139359,'2',303,'N'),(15,2139367,'1',301,'N'),(15,2139367,'2',444,'N'),(15,2139375,'1',301,'N'),(15,2139375,'2',302,'N'),(15,2139383,'1',220,'N'),(15,2139383,'1A',216,'N'),(15,2139383,'2',233,'N'),(15,2139391,'1',303,'N'),(15,2139391,'2',501,'N'),(15,2139405,'1',304,'N'),(15,2139405,'2',318,'N'),(15,2139413,'1',212,'N'),(15,2139413,'1A',201,'N'),(15,2139413,'2',421,'N'),(15,2139430,'1',103,'N'),(15,2139430,'2',329,'N'),(15,2139448,'1',207,'N'),(15,2139448,'1A',233,'N'),(15,2139448,'2',424,'N'),(15,2139456,'1',103,'N'),(15,2139456,'2',302,'N'),(15,2139464,'1',202,'N'),(15,2139464,'1A',213,'N'),(15,2139464,'2',238,'N'),(15,2139472,'1',201,'N'),(15,2139472,'1A',212,'N'),(15,2139472,'2',501,'N'),(15,2139480,'1',316,'N'),(15,2139480,'2',427,'N'),(15,2139499,'1',238,'N'),(15,2139499,'1A',213,'N'),(15,2139499,'2',208,'N'),(15,2139502,'1',420,'N'),(15,2139502,'2',207,'N'),(15,2139510,'1',207,'N'),(15,2139510,'1A',201,'N'),(15,2139510,'2',420,'N'),(15,2139529,'1',104,'N'),(15,2139529,'2',420,'N'),(15,2139537,'1',415,'N'),(15,2139537,'2',301,'N'),(15,2139553,'1',304,'N'),(15,2139553,'2',302,'N'),(15,2139561,'1',102,'N'),(15,2139561,'2',101,'N'),(15,2139570,'1',238,'N'),(15,2139570,'1A',208,'N'),(15,2139570,'2',324,'N'),(15,2139596,'1',203,'N'),(15,2139596,'1A',233,'N'),(15,2139596,'2',404,'N'),(15,2139600,'1',220,'N'),(15,2139600,'1A',203,'N'),(15,2139600,'2',214,'N'),(15,2139618,'1',207,'N'),(15,2139618,'2',201,'N'),(15,2139626,'1',316,'N'),(15,2139626,'2',5,'N'),(15,2139634,'1',207,'N'),(15,2139634,'2',444,'N'),(15,2139642,'1',5,'N'),(15,2139642,'2',501,'N'),(15,2139650,'1',302,'N'),(15,2139669,'1',5,'N'),(15,2139669,'2',316,'N'),(15,2139685,'1',309,'N'),(15,2139685,'2',324,'N'),(15,2139693,'1',444,'N'),(15,2139693,'2',324,'N'),(15,2139707,'1',103,'N'),(15,2139707,'2',104,'N'),(15,2139715,'1',103,'N'),(15,2139715,'2',102,'N'),(15,2139723,'1',103,'N'),(15,2139731,'1',415,'N'),(15,2139731,'2',103,'N'),(15,2139740,'1',203,'N'),(15,2139740,'1A',208,'N'),(15,2139740,'2',5,'N'),(15,2139758,'1',203,'N'),(15,2139758,'1A',202,'N'),(15,2139758,'2',233,'N'),(15,2139766,'1',326,'N'),(15,2139766,'2',423,'N'),(15,2139774,'1',202,'N'),(15,2139774,'1A',213,'N'),(15,2139774,'2',233,'N'),(15,2139782,'1',108,'N'),(15,2139782,'2',211,'N'),(15,2139790,'1',103,'N'),(15,2139790,'2',101,'N'),(15,2139804,'1',319,'N'),(15,2139804,'2',425,'N'),(15,2139812,'1',103,'N'),(15,2139812,'2',9,'N'),(15,2139820,'1',316,'N'),(15,2139820,'2',423,'N'),(15,2139839,'1',309,'N'),(15,2139839,'2',451,'N'),(15,2139847,'1',324,'N'),(15,2139847,'2',421,'N'),(15,2139863,'1',103,'N'),(15,2139863,'2',104,'N'),(15,2139871,'1',104,'N'),(15,2139871,'2',102,'N'),(15,2139880,'1',444,'N'),(15,2139880,'2',404,'N'),(15,2139898,'1',104,'N'),(15,2139898,'2',415,'N'),(15,2139901,'1',103,'N'),(15,2139928,'1',202,'N'),(15,2139928,'1A',213,'N'),(15,2139928,'2',203,'N'),(15,2139936,'1',319,'N'),(15,2139944,'1',103,'N'),(15,2139944,'2',207,'N'),(15,2139952,'1',215,'N'),(15,2139952,'1A',207,'N'),(15,2139952,'2',420,'N'),(15,2139960,'1',108,'N'),(15,2139960,'2',502,'N'),(15,2139979,'1',108,'N'),(15,2139979,'2',301,'N'),(15,2139987,'1',319,'N'),(15,2139987,'2',208,'N'),(15,2139995,'1',222,'N'),(15,2139995,'2',224,'N'),(15,2140004,'1',103,'N'),(15,2140004,'2',104,'N'),(15,2140012,'1',201,'N'),(15,2140012,'1A',215,'N'),(15,2140012,'2',317,'N'),(15,2140020,'1',319,'N'),(15,2140020,'2',404,'N'),(15,2140047,'1',329,'N'),(15,2140047,'2',208,'N'),(15,2140055,'1',420,'N'),(15,2140055,'2',319,'N'),(15,2140063,'1',327,'N'),(15,2140063,'2',423,'N'),(15,2140071,'1',420,'N'),(15,2140071,'2',326,'N'),(15,2140080,'1',444,'N'),(15,2140080,'2',339,'N'),(15,2140098,'1',310,'N'),(15,2140098,'2',451,'N'),(15,2140101,'1',103,'N'),(15,2140101,'2',108,'N'),(15,2140128,'1',103,'N'),(15,2140136,'1',207,'N'),(15,2140136,'1A',201,'N'),(15,2140136,'2',420,'N'),(15,2140144,'1',211,'N'),(15,2140144,'1A',215,'N'),(15,2140144,'2',501,'N'),(15,2140152,'1',220,'N'),(15,2140152,'1A',208,'N'),(15,2140152,'2',201,'N'),(15,2140160,'1',216,'N'),(15,2140160,'1A',201,'N'),(15,2140160,'2',233,'N'),(15,2140179,'1',450,'N'),(15,2140179,'2',415,'N'),(15,2140187,'1',103,'N'),(15,2140187,'2',104,'N'),(15,2140195,'1',420,'N'),(15,2140195,'2',215,'N'),(15,2140209,'1',302,'N'),(15,2140209,'2',301,'N'),(15,2140217,'1',202,'N'),(15,2140217,'2',220,'N'),(15,2140225,'1',201,'N'),(15,2140225,'1A',212,'N'),(15,2140225,'2',215,'N'),(15,2140233,'1',233,'N'),(15,2140233,'1A',208,'N'),(15,2140233,'2',202,'N'),(15,2140250,'1',102,'N'),(15,2140250,'2',429,'N'),(15,2140268,'1',108,'N'),(15,2140268,'2',420,'N'),(15,2140276,'1',203,'N'),(15,2140276,'1A',214,'N'),(15,2140276,'2',2,'N'),(15,2140284,'1',208,'N'),(15,2140284,'1A',238,'N'),(15,2140284,'2',2,'N'),(15,2140292,'1',103,'N'),(15,2140292,'2',108,'N'),(15,2140306,'1',301,'N'),(15,2140306,'2',404,'N'),(15,2140314,'1',415,'N'),(15,2140314,'2',301,'N'),(15,2140330,'1',211,'N'),(15,2140330,'1A',216,'N'),(15,2140330,'2',327,'N'),(15,2140349,'1',303,'N'),(15,2140349,'2',5,'N'),(15,2140357,'1',301,'N'),(15,2140357,'2',420,'N'),(15,2140365,'1',333,'N'),(15,2140365,'2',108,'N'),(15,2140373,'1',9,'N'),(15,2140373,'2',215,'N'),(15,2140390,'1',211,'N'),(15,2140390,'1A',207,'N'),(15,2140390,'2',215,'N'),(15,2140403,'1',404,'N'),(15,2140403,'2',225,'N'),(15,2140411,'1',415,'N'),(15,2140411,'2',327,'N'),(15,2140420,'1',216,'N'),(15,2140420,'1A',203,'N'),(15,2140420,'2',220,'N'),(15,2140446,'1',333,'N'),(15,2140446,'2',234,'N'),(15,2140454,'1',404,'N'),(15,2140454,'2',324,'N'),(15,2140462,'1',309,'N'),(15,2140462,'2',415,'N'),(15,2140470,'1',420,'N'),(15,2140470,'2',207,'N'),(15,2140489,'1',207,'N'),(15,2140489,'1A',211,'N'),(15,2140489,'2',202,'N'),(15,2140497,'1',238,'N'),(15,2140497,'1A',208,'N'),(15,2140500,'1',303,'N'),(15,2140500,'2',331,'N'),(15,2140519,'1',208,'N'),(15,2140527,'1',301,'N'),(15,2140527,'2',326,'N'),(15,2140535,'1',103,'N'),(15,2140535,'2',102,'N'),(15,2140543,'1',9,'N'),(15,2140543,'2',319,'N'),(15,2140551,'1',201,'N'),(15,2140551,'1A',202,'N'),(15,2140551,'2',203,'N'),(15,2140560,'1',108,'N'),(15,2140560,'2',333,'N'),(15,2140578,'1',207,'N'),(15,2140578,'2',420,'N'),(15,2140586,'1',303,'N'),(15,2140586,'2',326,'N'),(15,2140594,'1',415,'N'),(15,2140594,'2',444,'N'),(15,2140616,'1',207,'N'),(15,2140616,'1A',211,'N'),(15,2140616,'2',108,'N'),(15,2140624,'1',104,'N'),(15,2140624,'2',301,'N'),(15,2140632,'1',103,'N'),(15,2140632,'2',104,'N'),(15,2140640,'1',238,'N'),(15,2140640,'1A',203,'N'),(15,2140640,'2',316,'N'),(15,2140659,'1',404,'N'),(15,2140659,'2',319,'N'),(15,2140667,'1',103,'N'),(15,2140667,'2',328,'N'),(15,2140675,'1',202,'N'),(15,2140675,'1A',203,'N'),(15,2140675,'2',216,'N'),(15,2140683,'1',202,'N'),(15,2140683,'1A',213,'N'),(15,2140683,'2',316,'N'),(15,2140691,'1',214,'N'),(15,2140691,'1A',201,'N'),(15,2140691,'2',216,'N'),(15,2140705,'1',207,'N'),(15,2140705,'1A',201,'N'),(15,2140705,'2',212,'N'),(15,2140713,'1',103,'N'),(15,2140713,'2',104,'N'),(15,2140721,'1',316,'N'),(15,2140721,'2',301,'N'),(15,2140730,'1',238,'N'),(15,2140730,'1A',233,'N'),(15,2140730,'2',224,'N'),(15,2140748,'1',303,'N'),(15,2140748,'2',332,'N'),(15,2140756,'1',203,'N'),(15,2140756,'1A',214,'N'),(15,2140756,'2',201,'N'),(15,2140764,'1',102,'N'),(15,2140764,'2',217,'N'),(15,2140772,'1',415,'N'),(15,2140772,'2',316,'N'),(15,2140780,'1',501,'N'),(15,2140780,'2',9,'N'),(15,2140802,'1',238,'N'),(15,2140802,'1A',208,'N'),(15,2140802,'2',316,'N'),(15,2140810,'1',101,'N'),(15,2140810,'2',308,'N'),(15,2140829,'1',103,'N'),(15,2140829,'2',101,'N'),(15,2140837,'1',319,'N'),(15,2140837,'2',108,'N'),(15,2140853,'1',211,'N'),(15,2140853,'1A',216,'N'),(15,2140853,'2',5,'N'),(15,2140861,'1',103,'N'),(15,2140861,'2',328,'N'),(15,2140870,'1',201,'N'),(15,2140870,'1A',208,'N'),(15,2140870,'2',222,'N'),(15,2140888,'1',9,'N'),(15,2140888,'2',404,'N'),(15,2140896,'1',5,'N'),(15,2140896,'2',303,'N'),(15,2140900,'1',215,'N'),(15,2140900,'1A',208,'N'),(15,2140918,'1',333,'N'),(15,2140934,'1',203,'N'),(15,2140934,'1A',214,'N'),(15,2140934,'2',220,'N'),(15,2140942,'1',333,'N'),(15,2140942,'2',108,'N'),(15,2140950,'1',103,'N'),(15,2140950,'2',216,'N'),(15,2140969,'1',319,'N'),(15,2140969,'2',444,'N'),(15,2140977,'1',301,'N'),(15,2140977,'2',501,'N'),(15,2140985,'1',326,'N'),(15,2140985,'2',424,'N'),(15,2140993,'1',102,'N'),(15,2140993,'2',108,'N'),(15,2141019,'1',103,'N'),(15,2141019,'2',207,'N'),(15,2141027,'1',501,'N'),(15,2141027,'2',331,'N'),(15,2141035,'1',333,'N'),(15,2141035,'2',234,'N'),(15,2141043,'1',211,'N'),(15,2141043,'1A',215,'N'),(15,2141043,'2',301,'N'),(15,2141051,'1',308,'N'),(15,2141051,'2',324,'N'),(15,2141060,'1',203,'N'),(15,2141060,'1A',201,'N'),(15,2141060,'2',202,'N'),(15,2141078,'1',404,'N'),(15,2141078,'2',333,'N'),(15,2141086,'1',217,'N'),(15,2141086,'2',102,'N'),(15,2141108,'1',5,'N'),(15,2141108,'2',303,'N'),(15,2141124,'1',104,'N'),(15,2141124,'2',339,'N'),(15,2141132,'1',104,'N'),(15,2141132,'2',103,'N'),(15,2141140,'1',108,'N'),(15,2141140,'2',425,'N'),(15,2141159,'1',108,'N'),(15,2141159,'2',339,'N'),(15,2141167,'1',501,'N'),(15,2141175,'1',308,'N'),(15,2141175,'2',309,'N'),(15,2141183,'1',201,'N'),(15,2141183,'1A',212,'N'),(15,2141183,'2',214,'N'),(15,2141191,'1',102,'N'),(15,2141191,'2',333,'N'),(15,2141205,'1',207,'N'),(15,2141205,'1A',203,'N'),(15,2141205,'2',208,'N'),(15,2141213,'1',238,'N'),(15,2141213,'1A',208,'N'),(15,2141213,'2',211,'N'),(15,2141221,'1',501,'N'),(15,2141221,'2',332,'N'),(15,2141230,'1',201,'N'),(15,2141230,'2',102,'N'),(15,2141248,'1',203,'N'),(15,2141248,'1A',215,'N'),(15,2141248,'2',233,'N'),(15,2141256,'1',216,'N'),(15,2141256,'1A',215,'N'),(15,2141256,'2',102,'N'),(15,2141264,'1',214,'N'),(15,2141264,'1A',212,'N'),(15,2141264,'2',301,'N'),(15,2141272,'1',415,'N'),(15,2141272,'2',319,'N'),(15,2141280,'1',220,'N'),(15,2141280,'1A',203,'N'),(15,2141280,'2',415,'N'),(15,2141299,'1',203,'N'),(15,2141299,'1A',233,'N'),(15,2141299,'2',224,'N'),(15,2141302,'1',217,'N'),(15,2141302,'2',308,'N'),(15,2141310,'1',303,'N'),(15,2141310,'2',9,'N'),(15,2141337,'1',425,'N'),(15,2141337,'1A',423,'N'),(15,2141337,'2',415,'N'),(15,2141353,'1',316,'N'),(15,2141353,'2',317,'N'),(15,2141361,'1',450,'N'),(15,2141361,'2',216,'N'),(15,2141370,'1',103,'N'),(15,2141370,'2',102,'N'),(15,2141388,'1',203,'N'),(15,2141388,'1A',216,'N'),(15,2141388,'2',333,'N'),(15,2141396,'1',216,'N'),(15,2141396,'1A',201,'N'),(15,2141396,'2',217,'N'),(15,2141400,'1',502,'N'),(15,2141400,'2',9,'N'),(15,2141418,'1',316,'N'),(15,2141418,'2',101,'N'),(15,2141426,'1',104,'N'),(15,2141426,'2',502,'N'),(15,2141434,'1',320,'N'),(15,2141434,'2',310,'N'),(15,2141442,'1',424,'N'),(15,2141442,'1A',421,'N'),(15,2141442,'2',329,'N'),(15,2141450,'1',303,'N'),(15,2141450,'2',415,'N'),(15,2141469,'1',203,'N'),(15,2141469,'1A',214,'N'),(15,2141469,'2',223,'N'),(15,2141485,'1',303,'N'),(15,2141485,'2',215,'N'),(15,2141493,'1',2,'N'),(15,2141493,'2',203,'N'),(15,2141515,'1',415,'N'),(15,2141515,'2',420,'N'),(15,2141523,'1',104,'N'),(15,2141523,'2',217,'N'),(15,2141540,'1',103,'N'),(15,2141540,'2',104,'N'),(15,2141558,'1',103,'N'),(15,2141558,'2',102,'N'),(15,2141566,'1',103,'N'),(15,2141566,'2',201,'N'),(15,2141574,'1',331,'N'),(15,2141574,'2',332,'N'),(15,2141590,'1',317,'N'),(15,2141590,'2',222,'N'),(15,2141604,'1',450,'N'),(15,2141604,'2',326,'N'),(15,2141620,'1',9,'N'),(15,2141620,'2',327,'N'),(15,2141639,'1',303,'N'),(15,2141639,'2',5,'N'),(15,2141647,'1',225,'N'),(15,2141647,'2',2,'N'),(15,2141655,'1',216,'N'),(15,2141655,'2',201,'N'),(15,2141663,'1',212,'N'),(15,2141663,'1A',213,'N'),(15,2141663,'2',404,'N'),(15,2141671,'1',501,'N'),(15,2141671,'2',324,'N'),(15,2141698,'1',103,'N'),(15,2141698,'2',101,'N'),(15,2141701,'1',220,'N'),(15,2141701,'1A',201,'N'),(15,2141701,'2',301,'N'),(15,2141710,'1',103,'N'),(15,2141710,'2',104,'N'),(15,2141728,'1',201,'N'),(15,2141728,'1A',212,'N'),(15,2141728,'2',203,'N'),(15,2141736,'1',319,'N'),(15,2141736,'2',420,'N'),(15,2141744,'1',103,'N'),(15,2141744,'2',104,'N'),(15,2141752,'1',211,'N'),(15,2141752,'2',108,'N'),(15,2141760,'1',5,'N'),(15,2141760,'2',450,'N'),(15,2141779,'1',308,'N'),(15,2141779,'2',309,'N'),(15,2141787,'1',207,'N'),(15,2141787,'2',319,'N'),(15,2141795,'1',201,'N'),(15,2141795,'1A',211,'N'),(15,2141795,'2',223,'N'),(15,2141809,'1',203,'N'),(15,2141809,'1A',212,'N'),(15,2141809,'2',220,'N'),(15,2141817,'1',301,'N'),(15,2141817,'2',331,'N'),(15,2141825,'1',208,'N'),(15,2141825,'1A',220,'N'),(15,2141825,'2',301,'N'),(15,2141833,'1',103,'N'),(15,2141833,'2',202,'N'),(15,2141841,'1',326,'N'),(15,2141841,'2',327,'N'),(15,2141868,'1',327,'N'),(15,2141868,'2',329,'N'),(15,2141876,'1',208,'N'),(15,2141876,'2',420,'N'),(15,2141884,'1',333,'N'),(15,2141884,'2',108,'N'),(15,2141906,'1',9,'N'),(15,2141906,'2',104,'N'),(15,2141914,'1',207,'N'),(15,2141914,'1A',208,'N'),(15,2141914,'2',220,'N'),(15,2141922,'1',103,'N'),(15,2141922,'2',101,'N'),(15,2141930,'1',103,'N'),(15,2141930,'2',207,'N'),(15,2141957,'1',103,'N'),(15,2141957,'2',102,'N'),(15,2141965,'1',222,'N'),(15,2141965,'2',238,'N'),(15,2141973,'1',444,'N'),(15,2141981,'1',203,'N'),(15,2141981,'2',201,'N'),(15,2141990,'1',104,'N'),(15,2142007,'1',108,'N'),(15,2142007,'2',207,'N'),(15,2142015,'1',404,'N'),(15,2142015,'2',101,'N'),(15,2142023,'1',238,'N'),(15,2142023,'1A',208,'N'),(15,2142023,'2',339,'N'),(15,2142031,'1',214,'N'),(15,2142031,'1A',203,'N'),(15,2142031,'2',233,'N'),(15,2142040,'1',101,'N'),(15,2142040,'2',102,'N'),(15,2142058,'1',319,'N'),(15,2142066,'1',308,'N'),(15,2142066,'2',319,'N'),(15,2142074,'1',420,'N'),(15,2142074,'2',303,'N'),(15,2142082,'1',220,'N'),(15,2142082,'1A',233,'N'),(15,2142082,'2',302,'N'),(15,2142090,'1',238,'N'),(15,2142090,'1A',212,'N'),(15,2142090,'2',316,'N'),(15,2142104,'1',339,'N'),(15,2142104,'2',224,'N'),(15,2142112,'1',303,'N'),(15,2142112,'2',5,'N'),(15,2142120,'1',420,'N'),(15,2142120,'2',238,'N'),(15,2142139,'1',203,'N'),(15,2142139,'1A',202,'N'),(15,2142139,'2',2,'N'),(15,2142147,'1',103,'N'),(15,2142147,'2',319,'N'),(15,2142155,'1',5,'N'),(15,2142155,'2',317,'N'),(15,2142163,'1',103,'N'),(15,2142163,'2',214,'N'),(15,2142171,'1',415,'N'),(15,2142171,'2',450,'N'),(15,2142180,'1',207,'N'),(15,2142180,'1A',238,'N'),(15,2142180,'2',420,'N'),(15,2142198,'1',233,'N'),(15,2142198,'1A',216,'N'),(15,2142198,'2',217,'N'),(15,2142201,'1',316,'N'),(15,2142201,'2',318,'N'),(15,2142210,'1',103,'N'),(15,2142210,'2',102,'N'),(15,2142228,'1',5,'N'),(15,2142228,'2',426,'N'),(15,2142236,'1',208,'N'),(15,2142236,'1A',238,'N'),(15,2142236,'2',233,'N'),(15,2142244,'1',415,'N'),(15,2142244,'2',301,'N'),(15,2142252,'1',207,'N'),(15,2142252,'2',316,'N'),(15,2142279,'1',317,'N'),(15,2142279,'2',425,'N'),(15,2142287,'1',103,'N'),(15,2142287,'2',104,'N'),(15,2142295,'1',103,'N'),(15,2142295,'2',308,'N'),(15,2142309,'1',102,'N'),(15,2142309,'2',9,'N'),(15,2142317,'1',215,'N'),(15,2142317,'2',415,'N'),(15,2142325,'1',324,'N'),(15,2142325,'2',318,'N'),(15,2142333,'1',207,'N'),(15,2142333,'2',201,'N'),(15,2142341,'1',319,'N'),(15,2142341,'2',9,'N'),(15,2142350,'1',102,'N'),(15,2142350,'2',319,'N'),(15,2142368,'1',318,'N'),(15,2142368,'2',224,'N'),(15,2142384,'1',420,'N'),(15,2142384,'2',316,'N'),(15,2142392,'1',203,'N'),(15,2142392,'1A',216,'N'),(15,2142392,'2',201,'N'),(15,2142406,'1',429,'N'),(15,2142406,'1A',425,'N'),(15,2142406,'2',5,'N'),(15,2142414,'1',415,'N'),(15,2142414,'2',310,'N'),(15,2142422,'1',302,'N'),(15,2142422,'2',301,'N'),(15,2142430,'1',501,'N'),(15,2142430,'2',302,'N'),(15,2142449,'1',220,'N'),(15,2142449,'1A',208,'N'),(15,2142449,'2',317,'N'),(15,2142457,'1',316,'N'),(15,2142457,'2',301,'N'),(15,2142465,'1',203,'N'),(15,2142465,'1A',211,'N'),(15,2142465,'2',444,'N'),(15,2142473,'1',327,'N'),(15,2142473,'2',326,'N'),(15,2142490,'1',103,'N'),(15,2142490,'2',333,'N'),(15,2142503,'1',308,'N'),(15,2142503,'2',319,'N'),(15,2142511,'1',103,'N'),(15,2142511,'2',425,'N'),(15,2142520,'1',103,'N'),(15,2142520,'2',216,'N'),(15,2142538,'1',302,'N'),(15,2142538,'2',317,'N'),(15,2142546,'1',211,'N'),(15,2142546,'1A',216,'N'),(15,2142546,'2',502,'N'),(15,2142554,'1',103,'N'),(15,2142554,'2',108,'N'),(15,2142562,'1',319,'N'),(15,2142562,'2',302,'N'),(15,2142570,'1',203,'N'),(15,2142570,'1A',201,'N'),(15,2142570,'2',208,'N'),(15,2142589,'1',326,'N'),(15,2142589,'2',328,'N'),(15,2142597,'1',317,'N'),(15,2142597,'2',327,'N'),(15,2142600,'1',216,'N'),(15,2142600,'1A',201,'N'),(15,2142600,'2',215,'N'),(15,2142619,'1',103,'N'),(15,2142619,'2',319,'N'),(15,2142627,'1',444,'N'),(15,2142627,'2',404,'N'),(15,2142635,'1',214,'N'),(15,2142635,'1A',233,'N'),(15,2142635,'2',211,'N'),(15,2142643,'1',203,'N'),(15,2142643,'1A',220,'N'),(15,2142643,'2',202,'N'),(15,2142651,'1',207,'N'),(15,2142651,'1A',211,'N'),(15,2142651,'2',102,'N'),(15,2142660,'1',451,'N'),(15,2142660,'2',404,'N'),(15,2142678,'1',211,'N'),(15,2142678,'1A',208,'N'),(15,2142678,'2',5,'N'),(15,2142686,'1',208,'N'),(15,2142686,'2',203,'N'),(15,2142694,'1',423,'N'),(15,2142694,'1A',427,'N'),(15,2142694,'2',421,'N'),(15,2142708,'1',404,'N'),(15,2142708,'2',427,'N'),(15,2142716,'1',203,'N'),(15,2142716,'1A',216,'N'),(15,2142716,'2',102,'N'),(15,2142724,'1',304,'N'),(15,2142724,'2',303,'N'),(15,2142732,'1',333,'N'),(15,2142732,'2',501,'N'),(15,2142767,'1',103,'N'),(15,2142775,'1',103,'N'),(15,2142775,'2',216,'N'),(15,2142783,'1',103,'N'),(15,2142783,'2',104,'N'),(15,2142791,'1',208,'N'),(15,2142791,'1A',238,'N'),(15,2142791,'2',301,'N'),(15,2142813,'1',104,'N'),(15,2142813,'2',101,'N'),(15,2142848,'1',316,'N'),(15,2142848,'2',318,'N'),(15,2142856,'1',101,'N'),(15,2142856,'2',308,'N'),(15,2142864,'1',415,'N'),(15,2142864,'2',309,'N'),(15,2142872,'1',316,'N'),(15,2142872,'2',5,'N'),(15,2142880,'1',108,'N'),(15,2142880,'2',101,'N'),(15,2142899,'1',208,'N'),(15,2142899,'1A',207,'N'),(15,2142899,'2',420,'N'),(15,2142902,'1',103,'N'),(15,2142902,'2',104,'N'),(15,2142910,'1',103,'N'),(15,2142910,'2',208,'N'),(15,2142929,'1',333,'N'),(15,2142937,'1',203,'N'),(15,2142937,'1A',220,'N'),(15,2142937,'2',214,'N'),(15,2142945,'1',214,'N'),(15,2142945,'1A',220,'N'),(15,2142945,'2',203,'N'),(15,2142953,'1',216,'N'),(15,2142953,'1A',202,'N'),(15,2142953,'2',222,'N'),(15,2142961,'1',103,'N'),(15,2142961,'2',319,'N'),(15,2142970,'1',203,'N'),(15,2142970,'1A',208,'N'),(15,2142970,'2',214,'N'),(15,2142996,'1',103,'N'),(15,2142996,'2',101,'N'),(15,2143003,'1',415,'N'),(15,2143003,'2',428,'N'),(15,2143011,'1',103,'N'),(15,2143020,'1',203,'N'),(15,2143020,'2',208,'N'),(15,2143038,'1',203,'N'),(15,2143038,'1A',201,'N'),(15,2143038,'2',214,'N'),(15,2143046,'1',319,'N'),(15,2143046,'2',424,'N'),(15,2143054,'1',331,'N'),(15,2143054,'2',324,'N'),(15,2143062,'1',208,'N'),(15,2143062,'2',428,'N'),(15,2143070,'1',103,'N'),(15,2143089,'1',102,'N'),(15,2143089,'2',217,'N'),(15,2143097,'1',207,'N'),(15,2143097,'1A',201,'N'),(15,2143097,'2',420,'N'),(15,2143119,'1',415,'N'),(15,2143119,'2',316,'N'),(15,2143135,'1',303,'N'),(15,2143135,'2',5,'N'),(15,2143143,'1',233,'N'),(15,2143143,'1A',213,'N'),(15,2143143,'2',211,'N'),(15,2143151,'1',303,'N'),(15,2143151,'2',501,'N'),(15,2143160,'1',103,'N'),(15,2143160,'2',302,'N'),(15,2143178,'1',103,'N'),(15,2143178,'2',211,'N'),(15,2143186,'1',302,'N'),(15,2143186,'2',304,'N'),(15,2143194,'1',5,'N'),(15,2143194,'2',303,'N'),(15,2143216,'1',207,'N'),(15,2143216,'1A',216,'N'),(15,2143216,'2',208,'N'),(15,2143224,'1',102,'N'),(15,2143224,'2',104,'N'),(15,2143232,'1',310,'N'),(15,2143232,'2',309,'N'),(15,2143240,'1',316,'N'),(15,2143240,'2',329,'N'),(15,2143259,'1',103,'N'),(15,2143259,'2',303,'N'),(15,2143267,'1',104,'N'),(15,2143267,'2',5,'N'),(15,2143275,'1',103,'N'),(15,2143275,'2',333,'N'),(15,2143283,'1',214,'N'),(15,2143283,'1A',212,'N'),(15,2143283,'2',201,'N'),(15,2143291,'1',103,'N'),(15,2143291,'2',101,'N'),(15,2143330,'1',5,'N'),(15,2143330,'2',450,'N'),(15,2143356,'1',238,'N'),(15,2143356,'1A',208,'N'),(15,2143356,'2',420,'N'),(15,2143372,'1',201,'N'),(15,2143372,'1A',211,'N'),(15,2143372,'2',333,'N'),(15,2143380,'1',332,'N'),(15,2143380,'2',320,'N'),(15,2143402,'1',101,'N'),(15,2143402,'2',108,'N'),(15,2143410,'1',404,'N'),(15,2143410,'2',327,'N'),(15,2143429,'1',104,'N'),(15,2143429,'2',333,'N'),(15,2143437,'1',202,'N'),(15,2143437,'2',223,'N'),(15,2143445,'1',404,'N'),(15,2143445,'2',327,'N'),(15,2143453,'1',9,'N'),(15,2143453,'2',444,'N'),(15,2143461,'1',103,'N'),(15,2143461,'2',108,'N'),(15,2143488,'1',501,'N'),(15,2143496,'1',208,'N'),(15,2143496,'1A',238,'N'),(15,2143496,'2',329,'N'),(15,2143500,'1',329,'N'),(15,2143500,'2',423,'N'),(15,2143518,'1',202,'N'),(15,2143518,'1A',213,'N'),(15,2143518,'2',225,'N'),(15,2143526,'1',103,'N'),(15,2143526,'2',216,'N'),(15,2143534,'1',429,'N'),(15,2143534,'1A',423,'N'),(15,2143534,'2',5,'N'),(15,2143542,'1',318,'N'),(15,2143542,'2',319,'N'),(15,2143550,'1',9,'N'),(15,2143550,'2',104,'N'),(15,2143569,'1',203,'N'),(15,2143569,'1A',202,'N'),(15,2143569,'2',201,'N'),(15,2143577,'1',444,'N'),(15,2143577,'2',404,'N'),(15,2143585,'1',108,'N'),(15,2143593,'1',303,'N'),(15,2143593,'2',326,'N'),(15,2143607,'1',450,'N'),(15,2143607,'2',451,'N'),(15,2143615,'1',216,'N'),(15,2143615,'2',102,'N'),(15,2143623,'1',332,'N'),(15,2143623,'2',308,'N'),(15,2143631,'1',316,'N'),(15,2143631,'2',224,'N'),(15,2143640,'1',5,'N'),(15,2143640,'2',303,'N'),(15,2143658,'1',217,'N'),(15,2143658,'2',222,'N'),(15,2143666,'1',420,'N'),(15,2143666,'2',320,'N'),(15,2143674,'1',308,'N'),(15,2143674,'2',329,'N'),(15,2143682,'1',104,'N'),(15,2143682,'2',331,'N'),(15,2143690,'1',103,'N'),(15,2143690,'2',101,'N'),(15,2143704,'1',333,'N'),(15,2143704,'2',404,'N'),(15,2143712,'1',103,'N'),(15,2143712,'2',104,'N'),(15,2143720,'1',214,'N'),(15,2143720,'1A',213,'N'),(15,2143720,'2',233,'N'),(15,2143739,'1',103,'N'),(15,2143763,'1',420,'N'),(15,2143763,'2',103,'N'),(15,2143771,'1',108,'N'),(15,2143780,'1',303,'N'),(15,2143780,'2',310,'N'),(15,2143801,'1',420,'N'),(15,2143801,'2',450,'N'),(15,2143810,'1',203,'N'),(15,2143828,'1',319,'N'),(15,2143828,'2',309,'N'),(15,2143836,'1',420,'N'),(15,2143836,'2',238,'N'),(15,2143844,'1',318,'N'),(15,2143844,'2',304,'N'),(15,2143852,'1',324,'N'),(15,2143852,'2',108,'N'),(15,2143860,'1',215,'N'),(15,2143860,'1A',207,'N'),(15,2143860,'2',451,'N'),(15,2143879,'1',208,'N'),(15,2143879,'1A',238,'N'),(15,2143879,'2',501,'N'),(15,2143887,'1',319,'N'),(15,2143887,'2',339,'N'),(15,2143895,'1',308,'N'),(15,2143895,'2',425,'N'),(15,2143917,'1',207,'N'),(15,2143917,'1A',201,'N'),(15,2143917,'2',420,'N'),(15,2143933,'1',220,'N'),(15,2143933,'1A',208,'N'),(15,2143933,'2',202,'N'),(15,2143941,'1',420,'N'),(15,2143941,'2',308,'N'),(15,2143950,'1',103,'N'),(15,2143968,'1',214,'N'),(15,2143968,'1A',201,'N'),(15,2143968,'2',212,'N'),(15,2143976,'1',103,'N'),(15,2143976,'2',216,'N'),(15,2143984,'1',317,'N'),(15,2143984,'2',319,'N'),(15,2143992,'1',444,'N'),(15,2143992,'2',404,'N'),(15,2144000,'1',428,'N'),(15,2144000,'1A',427,'N'),(15,2144000,'2',326,'N'),(15,2144026,'1',217,'N'),(15,2144026,'2',222,'N'),(15,2144034,'1',444,'N'),(15,2144034,'2',316,'N'),(15,2144042,'1',9,'N'),(15,2144042,'2',308,'N'),(15,2144050,'1',217,'N'),(15,2144050,'2',216,'N'),(15,2144069,'1',108,'N'),(15,2144069,'2',333,'N'),(15,2144093,'1',303,'N'),(15,2144093,'2',310,'N'),(15,2144107,'1',5,'N'),(15,2144123,'1',108,'N'),(15,2144123,'2',101,'N'),(15,2144140,'1',108,'N'),(15,2144140,'2',333,'N'),(15,2144158,'1',304,'N'),(15,2144158,'2',318,'N'),(15,2144166,'1',201,'N'),(15,2144166,'1A',216,'N'),(15,2144166,'2',213,'N'),(15,2144174,'1',326,'N'),(15,2144174,'2',331,'N'),(15,2144190,'1',203,'N'),(15,2144190,'1A',202,'N'),(15,2144190,'2',301,'N'),(15,2144204,'1',308,'N'),(15,2144204,'2',319,'N'),(15,2144212,'1',316,'N'),(15,2144212,'2',425,'N'),(15,2144220,'1',216,'N'),(15,2144220,'2',316,'N'),(15,2144239,'1',103,'N'),(15,2144239,'2',333,'N'),(15,2144247,'1',212,'N'),(15,2144247,'2',233,'N'),(15,2144255,'1',108,'N'),(15,2144255,'2',327,'N'),(15,2144263,'1',212,'N'),(15,2144263,'1A',215,'N'),(15,2144263,'2',451,'N'),(15,2144280,'1',224,'N'),(15,2144280,'2',308,'N'),(15,2144298,'1',415,'N'),(15,2144301,'1',203,'N'),(15,2144301,'1A',214,'N'),(15,2144301,'2',233,'N'),(15,2144310,'1',501,'N'),(15,2144310,'2',238,'N'),(15,2144336,'1',208,'N'),(15,2144336,'1A',238,'N'),(15,2144336,'2',404,'N'),(15,2144344,'1',103,'N'),(15,2144344,'2',234,'N'),(15,2144352,'1',208,'N'),(15,2144352,'1A',238,'N'),(15,2144352,'2',332,'N'),(15,2144360,'1',201,'N'),(15,2144360,'2',211,'N'),(15,2144387,'1',317,'N'),(15,2144387,'2',318,'N'),(15,2144395,'1',333,'N'),(15,2144395,'2',108,'N'),(15,2144409,'1',104,'N'),(15,2144417,'1',207,'N'),(15,2144417,'1A',212,'N'),(15,2144417,'2',319,'N'),(15,2144425,'1',214,'N'),(15,2144425,'1A',203,'N'),(15,2144425,'2',216,'N'),(15,2144433,'1',212,'N'),(15,2144433,'1A',238,'N'),(15,2144433,'2',316,'N'),(15,2144441,'1',103,'N'),(15,2144441,'2',104,'N'),(15,2144450,'1',101,'N'),(15,2144450,'2',332,'N'),(15,2144468,'1',420,'N'),(15,2144468,'2',319,'N'),(15,2144476,'1',303,'N'),(15,2144476,'2',329,'N'),(15,2144492,'1',238,'N'),(15,2144492,'1A',215,'N'),(15,2144492,'2',316,'N'),(15,2144506,'1',103,'N'),(15,2144506,'2',212,'N'),(15,2144514,'1',9,'N'),(15,2144514,'2',104,'N'),(15,2144522,'1',404,'N'),(15,2144522,'2',331,'N'),(15,2144549,'1',404,'N'),(15,2144549,'2',9,'N'),(15,2144557,'1',224,'N'),(15,2144557,'2',223,'N'),(15,2144565,'1',103,'N'),(15,2144573,'1',201,'N'),(15,2144573,'1A',212,'N'),(15,2144581,'1',103,'N'),(15,2144590,'1',211,'N'),(15,2144590,'1A',212,'N'),(15,2144590,'2',224,'N'),(15,2144603,'1',103,'N'),(15,2144611,'1',444,'N'),(15,2144638,'1',420,'N'),(15,2144646,'1',103,'N'),(15,2144646,'2',426,'N'),(15,2144654,'1',9,'N'),(15,2144654,'2',333,'N'),(15,2144662,'1',318,'N'),(15,2144662,'2',304,'N'),(15,2144670,'1',429,'N'),(15,2144670,'1A',426,'N'),(15,2144670,'2',339,'N'),(15,2144689,'1',103,'N'),(15,2144689,'2',203,'N'),(15,2144697,'1',214,'N'),(15,2144697,'1A',212,'N'),(15,2144697,'2',223,'N'),(15,2144700,'1',420,'N'),(15,2144700,'2',238,'N'),(15,2144719,'1',220,'N'),(15,2144719,'2',214,'N'),(15,2144743,'1',324,'N'),(15,2144743,'2',308,'N'),(15,2144760,'1',103,'N'),(15,2144760,'2',203,'N'),(15,2144778,'1',207,'N'),(15,2144778,'1A',211,'N'),(15,2144778,'2',328,'N'),(15,2144808,'1',202,'N'),(15,2144808,'1A',220,'N'),(15,2144808,'2',213,'N'),(15,2144816,'1',309,'N'),(15,2144816,'2',420,'N'),(15,2144832,'1',238,'N'),(15,2144832,'1A',208,'N'),(15,2144832,'2',316,'N'),(15,2144840,'1',2,'N'),(15,2144840,'2',333,'N'),(15,2144859,'1',319,'N'),(15,2144859,'2',308,'N'),(15,2144867,'1',102,'N'),(15,2144867,'2',5,'N'),(15,2144875,'1',415,'N'),(15,2144875,'2',428,'N'),(15,2144883,'1',415,'N'),(15,2144883,'2',450,'N'),(15,2144891,'1',103,'N'),(15,2144913,'1',208,'N'),(15,2144913,'1A',238,'N'),(15,2144913,'2',425,'N'),(15,2144921,'1',333,'N'),(15,2144921,'2',420,'N'),(15,2144948,'1',101,'N'),(15,2144956,'1',5,'N'),(15,2144956,'2',428,'N'),(15,2144964,'1',444,'N'),(15,2144964,'2',451,'N'),(15,2144972,'1',103,'N'),(15,2144972,'2',102,'N'),(15,2144980,'1',5,'N'),(15,2144980,'2',326,'N'),(15,2144999,'1',103,'N'),(15,2144999,'2',429,'N'),(15,2145006,'1',214,'N'),(15,2145006,'1A',233,'N'),(15,2145006,'2',316,'N'),(15,2145014,'1',101,'N'),(15,2145014,'2',324,'N'),(15,2145022,'1',104,'N'),(15,2145022,'2',102,'N'),(15,2145030,'1',103,'N'),(15,2145057,'1',415,'N'),(15,2145057,'2',501,'N'),(15,2145065,'1',203,'N'),(15,2145065,'2',214,'N'),(15,2145073,'1',103,'N'),(15,2145073,'2',108,'N'),(15,2145103,'1',5,'N'),(15,2145103,'2',308,'N'),(15,2145111,'1',103,'N'),(15,2145111,'2',207,'N'),(15,2145120,'1',203,'N'),(15,2145120,'1A',220,'N'),(15,2145120,'2',2,'N'),(15,2145138,'1',202,'N'),(15,2145138,'1A',201,'N'),(15,2145138,'2',2,'N'),(15,2145146,'1',303,'N'),(15,2145146,'2',223,'N'),(15,2145154,'1',203,'N'),(15,2145154,'1A',201,'N'),(15,2145154,'2',233,'N'),(15,2145162,'1',404,'N'),(15,2145162,'2',426,'N'),(15,2145189,'1',317,'N'),(15,2145189,'2',318,'N'),(15,2145197,'1',329,'N'),(15,2145197,'2',339,'N'),(15,2145200,'1',103,'N'),(15,2145200,'2',108,'N'),(15,2145227,'1',102,'N'),(15,2145227,'2',217,'N'),(15,2145235,'1',301,'N'),(15,2145235,'2',302,'N'),(15,2145243,'1',415,'N'),(15,2145243,'2',426,'N'),(15,2145251,'1',319,'N'),(15,2145251,'2',423,'N'),(15,2145260,'1',339,'N'),(15,2145260,'2',327,'N'),(15,2145278,'1',415,'N'),(15,2145278,'2',450,'N'),(15,2145294,'1',103,'N'),(15,2145308,'1',220,'N'),(15,2145308,'1A',214,'N'),(15,2145308,'2',203,'N'),(15,2145316,'1',103,'N'),(15,2145316,'2',214,'N'),(15,2145332,'1',108,'N'),(15,2145332,'2',308,'N'),(15,2145340,'1',415,'N'),(15,2145340,'2',224,'N'),(15,2145359,'1',309,'N'),(15,2145359,'2',328,'N'),(15,2145367,'1',303,'N'),(15,2145367,'2',319,'N'),(15,2145375,'1',303,'N'),(15,2145375,'2',404,'N'),(15,2145383,'1',208,'N'),(15,2145383,'1A',203,'N'),(15,2145383,'2',238,'N'),(15,2145405,'1',104,'N'),(15,2145405,'2',102,'N'),(15,2145413,'1',327,'N'),(15,2145413,'2',426,'N'),(15,2145421,'1',216,'N'),(15,2145421,'1A',207,'N'),(15,2145421,'2',104,'N'),(15,2145430,'1',316,'N'),(15,2145430,'2',424,'N'),(15,2145448,'1',102,'N'),(15,2145448,'2',234,'N'),(15,2145456,'1',103,'N'),(15,2145456,'2',101,'N'),(15,2145464,'1',103,'N'),(15,2145464,'2',104,'N'),(15,2145480,'1',310,'N'),(15,2145480,'2',320,'N'),(15,2145499,'1',303,'N'),(15,2145499,'2',5,'N'),(15,2145502,'1',324,'N'),(15,2145502,'2',425,'N'),(15,2145510,'1',104,'N'),(15,2145510,'2',217,'N'),(15,2145529,'1',339,'N'),(15,2145529,'2',308,'N'),(15,2145537,'1',208,'N'),(15,2145537,'1A',238,'N'),(15,2145537,'2',233,'N'),(15,2145545,'1',404,'N'),(15,2145545,'2',333,'N'),(15,2145553,'1',502,'N'),(15,2145553,'2',333,'N'),(15,2145561,'1',216,'N'),(15,2145561,'1A',202,'N'),(15,2145561,'2',203,'N'),(15,2145570,'1',319,'N'),(15,2145570,'2',101,'N'),(15,2145588,'1',211,'N'),(15,2145588,'2',303,'N'),(15,2145596,'1',9,'N'),(15,2145596,'2',333,'N'),(15,2145600,'1',103,'N'),(15,2145600,'2',444,'N'),(15,2145618,'1',102,'N'),(15,2145618,'2',502,'N'),(15,2145626,'1',404,'N'),(15,2145626,'2',428,'N'),(15,2145634,'1',211,'N'),(15,2145634,'2',303,'N'),(15,2145642,'1',317,'N'),(15,2145642,'2',302,'N'),(15,2145650,'1',103,'N'),(15,2145650,'2',216,'N'),(15,2145677,'1',303,'N'),(15,2145677,'2',5,'N'),(15,2145685,'1',319,'N'),(15,2145693,'1',451,'N'),(15,2145693,'2',450,'N'),(15,2145707,'1',211,'N'),(15,2145707,'1A',207,'N'),(15,2145707,'2',420,'N'),(15,2145715,'1',201,'N'),(15,2145715,'1A',233,'N'),(15,2145723,'1',211,'N'),(15,2145723,'1A',216,'N'),(15,2145723,'2',309,'N'),(15,2145731,'1',104,'N'),(15,2145740,'1',216,'N'),(15,2145740,'2',102,'N'),(15,2145758,'1',450,'N'),(15,2145758,'2',324,'N'),(15,2145782,'1',301,'N'),(15,2145782,'2',310,'N'),(15,2145790,'1',316,'N'),(15,2145790,'2',429,'N'),(15,2145812,'1',108,'N'),(15,2145812,'2',5,'N'),(15,2145820,'1',103,'N'),(15,2145839,'1',238,'N'),(15,2145839,'1A',208,'N'),(15,2145839,'2',425,'N'),(15,2145847,'1',103,'N'),(15,2145847,'2',303,'N'),(15,2145855,'1',216,'N'),(15,2145855,'2',217,'N'),(15,2145863,'1',216,'N'),(15,2145863,'1A',233,'N'),(15,2145863,'2',213,'N'),(15,2145871,'1',201,'N'),(15,2145871,'1A',203,'N'),(15,2145871,'2',104,'N'),(15,2145880,'1',317,'N'),(15,2145880,'2',318,'N'),(15,2145898,'1',304,'N'),(15,2145898,'2',207,'N'),(15,2145901,'1',101,'N'),(15,2145901,'2',108,'N'),(15,2145910,'1',101,'N'),(15,2145910,'2',102,'N'),(15,2145928,'1',203,'N'),(15,2145928,'1A',220,'N'),(15,2145928,'2',202,'N'),(15,2145936,'1',103,'N'),(15,2145936,'2',207,'N'),(15,2145944,'1',103,'N'),(15,2145944,'2',104,'N'),(15,2145952,'1',201,'N'),(15,2145952,'1A',207,'N'),(15,2145952,'2',212,'N'),(15,2145979,'1',238,'N'),(15,2145979,'1A',208,'N'),(15,2145979,'2',317,'N'),(15,2145987,'1',214,'N'),(15,2145995,'1',238,'N'),(15,2145995,'1A',208,'N'),(15,2145995,'2',327,'N'),(15,2146002,'1',203,'N'),(15,2146002,'1A',216,'N'),(15,2146002,'2',5,'N'),(15,2146029,'1',203,'N'),(15,2146029,'1A',214,'N'),(15,2146029,'2',233,'N'),(15,2146037,'1',101,'N'),(15,2146037,'2',108,'N'),(15,2146053,'1',333,'N'),(15,2146061,'1',339,'N'),(15,2146096,'1',5,'N'),(15,2146096,'2',303,'N'),(15,2146100,'1',108,'N'),(15,2146100,'2',333,'N'),(15,2146118,'1',238,'N'),(15,2146118,'1A',208,'N'),(15,2146118,'2',223,'N'),(15,2146126,'1',103,'N'),(15,2146126,'2',217,'N'),(15,2146134,'1',207,'N'),(15,2146134,'1A',201,'N'),(15,2146134,'2',420,'N'),(15,2146142,'1',102,'N'),(15,2146142,'2',108,'N'),(15,2146150,'1',319,'N'),(15,2146150,'2',9,'N'),(15,2146169,'1',501,'N'),(15,2146169,'2',217,'N'),(15,2146177,'1',301,'N'),(15,2146177,'2',316,'N'),(15,2146185,'1',339,'N'),(15,2146193,'1',501,'N'),(15,2146193,'2',502,'N'),(15,2146207,'1',303,'N'),(15,2146207,'2',424,'N'),(15,2146215,'1',103,'N'),(15,2146215,'2',303,'N'),(15,2146223,'1',5,'N'),(15,2146223,'2',324,'N'),(15,2146231,'1',103,'N'),(15,2146231,'2',104,'N'),(15,2146240,'1',108,'N'),(15,2146240,'2',303,'N'),(15,2146258,'1',316,'N'),(15,2146258,'2',317,'N'),(15,2146266,'1',225,'N'),(15,2146266,'2',203,'N'),(15,2146274,'1',103,'N'),(15,2146274,'2',104,'N'),(15,2146282,'1',319,'N'),(15,2146282,'2',429,'N'),(15,2146290,'1',211,'N'),(15,2146290,'1A',215,'N'),(15,2146290,'2',319,'N'),(15,2146304,'1',202,'N'),(15,2146304,'1A',213,'N'),(15,2146304,'2',214,'N'),(15,2146312,'1',201,'N'),(15,2146312,'1A',211,'N'),(15,2146312,'2',317,'N'),(15,2146320,'1',207,'N'),(15,2146320,'1A',238,'N'),(15,2146320,'2',9,'N'),(15,2146339,'1',450,'N'),(15,2146339,'2',451,'N'),(15,2146347,'1',339,'N'),(15,2146347,'2',225,'N'),(15,2146355,'1',103,'N'),(15,2146355,'2',301,'N'),(15,2146363,'1',420,'N'),(15,2146363,'2',104,'N'),(15,2146371,'1',233,'N'),(15,2146371,'1A',208,'N'),(15,2146371,'2',424,'N'),(15,2146380,'1',103,'N'),(15,2146380,'2',207,'N'),(15,2146398,'1',333,'N'),(15,2146398,'2',108,'N'),(15,2146401,'1',104,'N'),(15,2146401,'2',421,'N'),(15,2146428,'1',303,'N'),(15,2146428,'2',428,'N'),(15,2146436,'1',103,'N'),(15,2146436,'2',333,'N'),(15,2146444,'1',317,'N'),(15,2146444,'2',316,'N'),(15,2146452,'1',333,'N'),(15,2146452,'2',108,'N'),(15,2146460,'1',450,'N'),(15,2146479,'1',103,'N'),(15,2146479,'2',104,'N'),(15,2146487,'1',502,'N'),(15,2146487,'2',108,'N'),(15,2146495,'1',207,'N'),(15,2146495,'1A',220,'N'),(15,2146495,'2',420,'N'),(15,2146517,'1',318,'N'),(15,2146517,'2',316,'N'),(15,2146525,'1',5,'N'),(15,2146525,'2',327,'N'),(15,2146568,'1',103,'N'),(15,2146568,'2',9,'N'),(15,2146584,'1',220,'N'),(15,2146592,'1',234,'N'),(15,2146592,'2',308,'N'),(15,2146606,'1',217,'N'),(15,2146606,'2',327,'N'),(15,2146614,'1',444,'N'),(15,2146614,'2',2,'N'),(15,2146622,'1',501,'N'),(15,2146622,'2',102,'N'),(15,2146630,'1',238,'N'),(15,2146630,'1A',215,'N'),(15,2146630,'2',429,'N'),(15,2146649,'1',102,'N'),(15,2146649,'2',331,'N'),(15,2146665,'1',203,'N'),(15,2146665,'1A',207,'N'),(15,2146665,'2',201,'N'),(15,2146681,'1',103,'N'),(15,2146681,'2',104,'N'),(15,2146690,'1',333,'N'),(15,2146690,'2',108,'N'),(15,2146711,'1',208,'N'),(15,2146711,'2',301,'N'),(15,2146720,'1',102,'N'),(15,2146720,'2',9,'N'),(15,2146738,'1',328,'N'),(15,2146738,'2',326,'N'),(15,2146746,'1',101,'N'),(15,2146746,'2',423,'N'),(15,2146762,'1',211,'N'),(15,2146762,'1A',201,'N'),(15,2146762,'2',9,'N'),(15,2146770,'1',420,'N'),(15,2146770,'2',309,'N'),(15,2146789,'1',333,'N'),(15,2146789,'2',502,'N'),(15,2146797,'1',501,'N'),(15,2146797,'2',208,'N'),(15,2146800,'1',103,'N'),(15,2146800,'2',108,'N'),(15,2146819,'1',203,'N'),(15,2146819,'1A',214,'N'),(15,2146835,'1',308,'N'),(15,2146835,'2',421,'N'),(15,2146843,'1',104,'N'),(15,2146843,'2',103,'N'),(15,2146851,'1',103,'N'),(15,2146860,'1',319,'N'),(15,2146860,'2',326,'N'),(15,2146878,'1',203,'N'),(15,2146878,'2',331,'N'),(15,2146886,'1',9,'N'),(15,2146886,'2',101,'N'),(15,2146894,'1',333,'N'),(15,2146894,'2',327,'N'),(15,2146908,'1',9,'N'),(15,2146908,'2',108,'N'),(15,2146916,'1',203,'N'),(15,2146916,'1A',202,'N'),(15,2146916,'2',316,'N'),(15,2146932,'1',5,'N'),(15,2146932,'2',303,'N'),(15,2146940,'1',211,'N'),(15,2146940,'1A',215,'N'),(15,2146940,'2',108,'N'),(15,2146959,'1',103,'N'),(15,2146967,'1',304,'N'),(15,2146967,'2',303,'N'),(15,2146975,'1',302,'N'),(15,2146975,'2',301,'N'),(15,2146991,'1',502,'N'),(15,2146991,'2',421,'N'),(15,2147009,'1',103,'N'),(15,2147009,'2',102,'N'),(15,2147025,'1',327,'N'),(15,2147025,'2',324,'N'),(15,2147033,'1',211,'N'),(15,2147033,'1A',233,'N'),(15,2147033,'2',213,'N'),(15,2147041,'1',333,'N'),(15,2147041,'2',102,'N'),(15,2147050,'1',317,'N'),(15,2147050,'2',308,'N'),(15,2147068,'1',215,'N'),(15,2147068,'1A',201,'N'),(15,2147068,'2',217,'N'),(15,2147076,'1',207,'N'),(15,2147076,'1A',215,'N'),(15,2147076,'2',420,'N'),(15,2147084,'1',103,'N'),(15,2147084,'2',9,'N'),(15,2147092,'1',103,'N'),(15,2147092,'2',202,'N'),(15,2147106,'1',333,'N'),(15,2147106,'2',444,'N'),(15,2147122,'1',103,'N'),(15,2147122,'2',215,'N'),(15,2147130,'1',303,'N'),(15,2147130,'2',9,'N'),(15,2147149,'1',103,'N'),(15,2147149,'2',108,'N'),(15,2147165,'1',224,'N'),(15,2147165,'2',317,'N'),(15,2147173,'1',308,'N'),(15,2147173,'2',324,'N'),(15,2147181,'1',207,'N'),(15,2147181,'1A',201,'N'),(15,2147181,'2',415,'N'),(15,2147190,'1',102,'N'),(15,2147190,'2',9,'N'),(15,2147211,'1',303,'N'),(15,2147211,'2',428,'N'),(15,2147220,'1',104,'N'),(15,2147220,'2',326,'N'),(15,2147246,'1',211,'N'),(15,2147246,'1A',216,'N'),(15,2147246,'2',102,'N'),(15,2147254,'1',103,'N'),(15,2147254,'2',9,'N'),(15,2147270,'1',211,'N'),(15,2147270,'1A',233,'N'),(15,2147270,'2',214,'N'),(15,2147289,'1',5,'N'),(15,2147289,'2',217,'N'),(15,2147297,'1',203,'N'),(15,2147297,'1A',202,'N'),(15,2147297,'2',5,'N'),(15,2147319,'1',103,'N'),(15,2147319,'2',104,'N'),(15,2147335,'1',5,'N'),(15,2147335,'2',329,'N'),(15,2147343,'1',331,'N'),(15,2147343,'2',308,'N'),(15,2147360,'1',319,'N'),(15,2147360,'2',327,'N'),(15,2147378,'1',102,'N'),(15,2147378,'2',211,'N'),(15,2147394,'1',303,'N'),(15,2147394,'2',428,'N'),(15,2147408,'1',103,'N'),(15,2147408,'2',425,'N'),(15,2147416,'1',303,'N'),(15,2147416,'2',301,'N'),(15,2147424,'1',238,'N'),(15,2147424,'1A',208,'N'),(15,2147424,'2',301,'N'),(15,2147432,'1',103,'N'),(15,2147440,'1',214,'N'),(15,2147440,'2',215,'N'),(15,2147459,'1',211,'N'),(15,2147459,'1A',208,'N'),(15,2147459,'2',303,'N'),(15,2147467,'1',203,'N'),(15,2147467,'1A',208,'N'),(15,2147467,'2',444,'N'),(15,2147475,'1',203,'N'),(15,2147483,'1',5,'N'),(15,2147483,'2',303,'N'),(15,2147491,'1',203,'N'),(15,2147491,'1A',214,'N'),(15,2147505,'1',216,'N'),(15,2147505,'1A',203,'N'),(15,2147505,'2',2,'N'),(15,2147513,'1',220,'N'),(15,2147513,'1A',203,'N'),(15,2147513,'2',202,'N'),(15,2147521,'1',103,'N'),(15,2147521,'2',203,'N'),(15,2147530,'1',316,'N'),(15,2147530,'2',501,'N'),(15,2147548,'1',103,'N'),(15,2147548,'2',101,'N'),(15,2147556,'1',310,'N'),(15,2147556,'2',424,'N'),(15,2147572,'1',415,'N'),(15,2147572,'2',326,'N'),(15,2147599,'1',103,'N'),(15,2147599,'2',328,'N'),(15,2147602,'1',207,'N'),(15,2147602,'1A',233,'N'),(15,2147602,'2',327,'N'),(15,2147610,'1',304,'N'),(15,2147610,'2',214,'N'),(15,2147629,'1',101,'N'),(15,2147629,'2',103,'N'),(15,2147653,'1',207,'N'),(15,2147653,'2',451,'N'),(15,2147661,'1',102,'N'),(15,2147661,'2',101,'N'),(15,2147670,'1',103,'N'),(15,2147670,'2',424,'N'),(15,2147696,'1',9,'N'),(15,2147696,'2',502,'N'),(15,2147700,'1',303,'N'),(15,2147700,'2',5,'N'),(15,2147718,'1',444,'N'),(15,2147718,'2',404,'N'),(15,2147726,'1',316,'N'),(15,2147726,'2',208,'N'),(15,2147734,'1',429,'N'),(15,2147734,'1A',421,'N'),(15,2147734,'2',319,'N'),(15,2147742,'1',211,'N'),(15,2147742,'1A',213,'N'),(15,2147742,'2',234,'N'),(15,2147769,'1',103,'N'),(15,2147769,'2',319,'N'),(15,2147777,'1',444,'N'),(15,2147777,'2',404,'N'),(15,2147785,'1',319,'N'),(15,2147785,'2',308,'N'),(15,2147793,'1',5,'N'),(15,2147793,'2',303,'N'),(15,2147807,'1',316,'N'),(15,2147807,'2',426,'N'),(15,2147815,'1',320,'N'),(15,2147815,'2',319,'N'),(15,2147823,'1',103,'N'),(15,2147823,'2',108,'N'),(15,2147831,'1',103,'N'),(15,2147831,'2',216,'N'),(15,2147840,'1',5,'N'),(15,2147840,'2',303,'N'),(15,2147858,'1',303,'N'),(15,2147858,'2',5,'N'),(15,2147874,'1',308,'N'),(15,2147874,'2',327,'N'),(15,2147890,'1',420,'N'),(15,2147890,'2',207,'N'),(15,2147904,'1',215,'N'),(15,2147904,'1A',211,'N'),(15,2147904,'2',333,'N'),(15,2147920,'1',101,'N'),(15,2147920,'2',104,'N'),(15,2147939,'1',420,'N'),(15,2147939,'2',238,'N'),(15,2147947,'1',208,'N'),(15,2147947,'1A',238,'N'),(15,2147947,'2',220,'N'),(15,2147955,'1',304,'N'),(15,2147955,'2',318,'N'),(15,2147963,'1',319,'N'),(15,2147963,'2',320,'N'),(15,2147971,'1',301,'N'),(15,2147971,'2',420,'N'),(15,2147980,'1',319,'N'),(15,2147980,'2',308,'N'),(15,2147998,'1',202,'N'),(15,2147998,'1A',201,'N'),(15,2147998,'2',203,'N'),(15,2148005,'1',303,'N'),(15,2148005,'2',101,'N'),(15,2148013,'1',316,'N'),(15,2148013,'2',301,'N'),(15,2148021,'1',303,'N'),(15,2148021,'2',5,'N'),(15,2148030,'1',238,'N'),(15,2148030,'1A',208,'N'),(15,2148030,'2',317,'N'),(15,2148056,'1',9,'N'),(15,2148056,'2',302,'N'),(15,2148064,'1',101,'N'),(15,2148064,'2',102,'N'),(15,2148072,'1',102,'N'),(15,2148072,'2',217,'N'),(15,2148080,'1',444,'N'),(15,2148080,'2',404,'N'),(15,2148099,'1',332,'N'),(15,2148099,'2',327,'N'),(15,2148102,'1',203,'N'),(15,2148102,'1A',208,'N'),(15,2148102,'2',222,'N'),(15,2148110,'1',317,'N'),(15,2148110,'2',224,'N'),(15,2148129,'1',420,'N'),(15,2148129,'2',207,'N'),(15,2148137,'1',103,'N'),(15,2148137,'2',333,'N'),(15,2148145,'1',103,'N'),(15,2148145,'2',420,'N'),(15,2148153,'1',108,'N'),(15,2148153,'2',450,'N'),(15,2148161,'1',415,'N'),(15,2148161,'2',425,'N'),(15,2148170,'1',101,'N'),(15,2148170,'2',308,'N'),(15,2148188,'1',103,'N'),(15,2148188,'2',216,'N'),(15,2148196,'1',203,'N'),(15,2148196,'2',318,'N'),(15,2148200,'1',425,'N'),(15,2148200,'1A',429,'N'),(15,2148200,'2',450,'N'),(15,2148218,'1',331,'N'),(15,2148218,'2',308,'N'),(15,2148226,'1',444,'N'),(15,2148226,'2',310,'N'),(15,2148234,'1',208,'N'),(15,2148234,'1A',212,'N'),(15,2148234,'2',222,'N'),(15,2148242,'1',203,'N'),(15,2148242,'2',202,'N'),(15,2148250,'1',5,'N'),(15,2148250,'2',303,'N'),(15,2148269,'1',428,'N'),(15,2148269,'1A',423,'N'),(15,2148269,'2',427,'N'),(15,2148277,'1',450,'N'),(15,2148277,'2',415,'N'),(15,2148285,'1',308,'N'),(15,2148285,'2',222,'N'),(15,2148293,'1',108,'N'),(15,2148307,'1',103,'N'),(15,2148307,'2',326,'N'),(15,2148315,'1',319,'N'),(15,2148323,'1',316,'N'),(15,2148323,'2',428,'N'),(15,2148331,'1',301,'N'),(15,2148331,'2',207,'N'),(15,2148340,'1',203,'N'),(15,2148340,'1A',201,'N'),(15,2148340,'2',216,'N'),(15,2148358,'1',9,'N'),(15,2148358,'2',215,'N'),(15,2148366,'1',201,'N'),(15,2148366,'1A',212,'N'),(15,2148366,'2',207,'N'),(15,2148374,'1',103,'N'),(15,2148374,'2',108,'N'),(15,2148382,'1',319,'N'),(15,2148382,'2',326,'N'),(15,2148390,'1',104,'N'),(15,2148390,'2',102,'N'),(15,2148404,'1',421,'N'),(15,2148404,'2',207,'N'),(15,2148412,'1',207,'N'),(15,2148412,'1A',201,'N'),(15,2148420,'1',207,'N'),(15,2148420,'1A',201,'N'),(15,2148420,'2',420,'N'),(15,2148439,'1',103,'N'),(15,2148439,'2',104,'N'),(15,2148447,'1',316,'N'),(15,2148447,'2',324,'N'),(15,2148455,'1',415,'N'),(15,2148455,'2',428,'N'),(15,2148463,'1',303,'N'),(15,2148463,'2',203,'N'),(15,2148471,'1',223,'N'),(15,2148471,'2',224,'N'),(15,2148528,'1',303,'N'),(15,2148528,'2',301,'N'),(15,2148536,'1',303,'N'),(15,2148536,'2',224,'N'),(15,2148544,'1',501,'N'),(15,2148544,'2',502,'N'),(15,2148552,'1',415,'N'),(15,2148552,'2',108,'N'),(15,2148560,'1',333,'N'),(15,2148560,'2',212,'N'),(15,2148587,'1',309,'N'),(15,2148587,'2',423,'N'),(15,2148595,'1',319,'N'),(15,2148595,'2',326,'N'),(15,2148609,'1',316,'N'),(15,2148609,'2',317,'N'),(15,2148617,'1',104,'N'),(15,2148617,'2',102,'N'),(15,2148625,'1',101,'N'),(15,2148625,'2',324,'N'),(15,2148633,'1',5,'N'),(15,2148633,'2',225,'N'),(15,2148641,'1',207,'N'),(15,2148641,'1A',208,'N'),(15,2148641,'2',420,'N'),(15,2148650,'1',220,'N'),(15,2148650,'1A',202,'N'),(15,2148668,'1',216,'N'),(15,2148668,'1A',208,'N'),(15,2148668,'2',238,'N'),(15,2148676,'1',104,'N'),(15,2148676,'2',216,'N'),(15,2148684,'1',5,'N'),(15,2148706,'1',404,'N'),(15,2148706,'2',423,'N'),(15,2148714,'1',103,'N'),(15,2148714,'2',319,'N'),(15,2148722,'1',424,'N'),(15,2148722,'1A',425,'N'),(15,2148722,'2',421,'N'),(15,2148730,'1',333,'N'),(15,2148730,'2',404,'N'),(15,2148749,'1',304,'N'),(15,2148749,'2',318,'N'),(15,2148757,'1',301,'N'),(15,2148757,'2',223,'N'),(15,2148773,'1',216,'N'),(15,2148773,'1A',211,'N'),(15,2148773,'2',328,'N'),(15,2148781,'1',415,'N'),(15,2148781,'2',304,'N'),(15,2148790,'1',217,'N'),(15,2148790,'2',423,'N'),(15,2148803,'1',207,'N'),(15,2148803,'1A',215,'N'),(15,2148803,'2',420,'N'),(15,2148811,'1',212,'N'),(15,2148811,'1A',201,'N'),(15,2148811,'2',329,'N'),(15,2148820,'1',426,'N'),(15,2148820,'1A',425,'N'),(15,2148820,'2',319,'N'),(15,2148838,'1',215,'N'),(15,2148838,'1A',216,'N'),(15,2148838,'2',223,'N'),(15,2148846,'1',103,'N'),(15,2148846,'2',101,'N'),(15,2148854,'1',207,'N'),(15,2148854,'1A',211,'N'),(15,2148854,'2',9,'N'),(15,2148862,'1',316,'N'),(15,2148862,'2',318,'N'),(15,2148870,'1',428,'N'),(15,2148889,'1',220,'N'),(15,2148889,'1A',214,'N'),(15,2148889,'2',213,'N'),(15,2148897,'1',207,'N'),(15,2148897,'1A',201,'N'),(15,2148897,'2',420,'N'),(15,2148919,'1',404,'N'),(15,2148919,'2',215,'N'),(15,2148927,'1',450,'N'),(15,2148927,'2',425,'N'),(15,2148935,'1',303,'N'),(15,2148935,'2',319,'N'),(15,2148943,'1',316,'N'),(15,2148943,'2',301,'N'),(15,2148951,'1',201,'N'),(15,2148951,'1A',212,'N'),(15,2148951,'2',302,'N'),(15,2148960,'1',103,'N'),(15,2148960,'2',423,'N'),(15,2148986,'1',502,'N'),(15,2148986,'2',102,'N'),(15,2148994,'1',103,'N'),(15,2148994,'2',9,'N'),(15,2149001,'1',203,'N'),(15,2149001,'1A',202,'N'),(15,2149001,'2',233,'N'),(15,2149010,'1',5,'N'),(15,2149010,'2',304,'N'),(15,2149028,'1',104,'N'),(15,2149028,'2',309,'N'),(15,2149036,'1',329,'N'),(15,2149036,'2',320,'N'),(15,2149044,'1',303,'N'),(15,2149044,'2',304,'N'),(15,2149052,'1',103,'N'),(15,2149060,'1',211,'N'),(15,2149060,'1A',207,'N'),(15,2149079,'1',234,'N'),(15,2149079,'2',339,'N'),(15,2149087,'1',317,'N'),(15,2149087,'2',224,'N'),(15,2149095,'1',303,'N'),(15,2149095,'2',415,'N'),(15,2149109,'1',415,'N'),(15,2149117,'1',415,'N'),(15,2149117,'2',301,'N'),(15,2149125,'1',102,'N'),(15,2149125,'2',217,'N'),(15,2149133,'1',324,'N'),(15,2149133,'2',326,'N'),(15,2149141,'1',207,'N'),(15,2149150,'1',101,'N'),(15,2149150,'2',102,'N'),(15,2149168,'1',301,'N'),(15,2149168,'2',309,'N'),(15,2149192,'1',502,'N'),(15,2149192,'2',108,'N'),(15,2149206,'1',301,'N'),(15,2149206,'2',316,'N'),(15,2149214,'1',220,'N'),(15,2149214,'1A',233,'N'),(15,2149222,'1',102,'N'),(15,2149222,'2',333,'N'),(15,2149230,'1',318,'N'),(15,2149230,'2',317,'N'),(15,2149249,'1',102,'N'),(15,2149249,'2',103,'N'),(15,2149257,'1',309,'N'),(15,2149257,'2',423,'N'),(15,2149265,'1',104,'N'),(15,2149265,'2',207,'N'),(15,2149273,'1',308,'N'),(15,2149273,'2',319,'N'),(15,2149281,'1',108,'N'),(15,2149281,'2',319,'N'),(15,2149290,'1',316,'N'),(15,2149290,'2',224,'N'),(15,2149303,'1',303,'N'),(15,2149303,'2',201,'N'),(15,2149311,'1',103,'N'),(15,2149311,'2',502,'N'),(15,2149320,'1',103,'N'),(15,2149320,'2',207,'N'),(15,2149346,'1',316,'N'),(15,2149346,'2',233,'N'),(15,2149362,'1',317,'N'),(15,2149362,'2',215,'N'),(15,2149370,'1',333,'N'),(15,2149370,'2',420,'N'),(15,2149389,'1',318,'N'),(15,2149389,'2',415,'N'),(15,2149397,'1',103,'N'),(15,2149400,'1',420,'N'),(15,2149400,'2',207,'N'),(15,2149419,'1',420,'N'),(15,2149419,'2',303,'N'),(15,2149427,'1',333,'N'),(15,2149427,'2',211,'N'),(15,2149435,'1',108,'N'),(15,2149435,'2',238,'N'),(15,2149451,'1',103,'N'),(15,2149460,'1',415,'N'),(15,2149460,'2',425,'N'),(15,2149478,'1',309,'N'),(15,2149478,'2',104,'N'),(15,2149486,'1',451,'N'),(15,2149486,'2',450,'N'),(15,2149494,'1',301,'N'),(15,2149494,'2',415,'N'),(15,2149508,'1',201,'N'),(15,2149508,'1A',207,'N'),(15,2149508,'2',203,'N'),(15,2149516,'1',208,'N'),(15,2149516,'1A',238,'N'),(15,2149516,'2',420,'N'),(15,2149524,'1',220,'N'),(15,2149524,'1A',214,'N'),(15,2149524,'2',420,'N'),(15,2149532,'1',319,'N'),(15,2149532,'2',329,'N'),(15,2149559,'1',5,'N'),(15,2149559,'2',303,'N'),(15,2149567,'1',207,'N'),(15,2149567,'2',404,'N'),(15,2149575,'1',5,'N'),(15,2149575,'2',318,'N'),(15,2149583,'1',211,'N'),(15,2149583,'1A',208,'N'),(15,2149583,'2',316,'N'),(15,2149591,'1',329,'N'),(15,2149591,'2',328,'N'),(15,2149605,'1',203,'N'),(15,2149605,'1A',214,'N'),(15,2149605,'2',220,'N'),(15,2149613,'1',203,'N'),(15,2149613,'1A',212,'N'),(15,2149613,'2',201,'N'),(15,2149621,'1',104,'N'),(15,2149621,'2',424,'N'),(15,2149648,'1',5,'N'),(15,2149648,'2',425,'N'),(15,2149656,'1',302,'N'),(15,2149656,'2',304,'N'),(15,2149664,'1',451,'N'),(15,2149664,'2',328,'N'),(15,2149680,'1',333,'N'),(15,2149680,'2',301,'N'),(15,2149699,'1',308,'N'),(15,2149699,'2',324,'N'),(15,2149702,'1',217,'N'),(15,2149702,'2',2,'N'),(15,2149710,'1',9,'N'),(15,2149710,'2',502,'N'),(15,2149729,'1',444,'N'),(15,2149729,'2',208,'N'),(15,2149737,'1',303,'N'),(15,2149737,'2',5,'N'),(15,2149745,'1',302,'N'),(15,2149745,'2',502,'N'),(15,2149753,'1',339,'N'),(15,2149753,'2',444,'N'),(15,2149761,'1',234,'N'),(15,2149761,'2',329,'N'),(15,2149770,'1',420,'N'),(15,2149770,'2',301,'N'),(15,2149788,'1',104,'N'),(15,2149788,'2',316,'N'),(15,2149800,'1',233,'N'),(15,2149800,'1A',211,'N'),(15,2149800,'2',214,'N'),(15,2149818,'1',333,'N'),(15,2149818,'2',331,'N'),(15,2149826,'1',5,'N'),(15,2149826,'2',238,'N'),(15,2149834,'1',444,'N'),(15,2149834,'2',301,'N'),(15,2149842,'1',301,'N'),(15,2149842,'2',302,'N'),(15,2149850,'1',203,'N'),(15,2149850,'1A',214,'N'),(15,2149850,'2',212,'N'),(15,2149877,'1',207,'N'),(15,2149877,'1A',201,'N'),(15,2149877,'2',101,'N'),(15,2149885,'1',101,'N'),(15,2149893,'1',207,'N'),(15,2149893,'2',444,'N'),(15,2149907,'1',316,'N'),(15,2149907,'2',444,'N'),(15,2149915,'1',317,'N'),(15,2149915,'2',318,'N'),(15,2149923,'1',103,'N'),(15,2149923,'2',104,'N'),(15,2149931,'1',319,'N'),(15,2149931,'2',333,'N'),(15,2149940,'1',207,'N'),(15,2149940,'1A',220,'N'),(15,2149940,'2',303,'N'),(15,2149958,'1',103,'N'),(15,2149958,'2',108,'N'),(15,2149966,'1',302,'N'),(15,2149966,'2',304,'N'),(15,2149974,'1',207,'N'),(15,2149974,'1A',201,'N'),(15,2149974,'2',215,'N'),(15,2149982,'1',207,'N'),(15,2149982,'1A',201,'N'),(15,2149982,'2',5,'N'),(15,2149990,'1',316,'N'),(15,2149990,'2',212,'N'),(15,2150000,'1',102,'N'),(15,2150000,'2',9,'N'),(15,2150018,'1',426,'N'),(15,2150018,'1A',428,'N'),(15,2150018,'2',339,'N'),(15,2150026,'1',318,'N'),(15,2150026,'2',317,'N'),(15,2150034,'1',203,'N'),(15,2150034,'1A',201,'N'),(15,2150034,'2',333,'N'),(15,2150042,'1',319,'N'),(15,2150042,'2',5,'N'),(15,2150050,'1',501,'N'),(15,2150050,'2',211,'N'),(15,2150069,'1',319,'N'),(15,2150069,'2',309,'N'),(15,2150085,'1',327,'N'),(15,2150085,'2',444,'N'),(15,2150093,'1',207,'N'),(15,2150093,'1A',201,'N'),(15,2150093,'2',319,'N'),(15,2150107,'1',216,'N'),(15,2150107,'1A',215,'N'),(15,2150107,'2',501,'N'),(15,2150123,'1',333,'N'),(15,2150123,'2',404,'N'),(15,2150131,'1',303,'N'),(15,2150131,'2',201,'N'),(15,2150140,'1',211,'N'),(15,2150158,'1',420,'N'),(15,2150158,'2',308,'N'),(15,2150166,'1',303,'N'),(15,2150166,'2',211,'N'),(15,2150182,'1',103,'N'),(15,2150182,'2',420,'N'),(15,2150190,'1',317,'N'),(15,2150190,'2',319,'N'),(15,2150212,'1',302,'N'),(15,2150212,'2',301,'N'),(15,2150239,'1',238,'N'),(15,2150239,'1A',208,'N'),(15,2150239,'2',404,'N'),(15,2150255,'1',303,'N'),(15,2150255,'2',108,'N'),(15,2150271,'1',222,'N'),(15,2150271,'2',225,'N'),(15,2150280,'1',208,'N'),(15,2150280,'1A',220,'N'),(15,2150280,'2',238,'N'),(15,2150298,'1',211,'N'),(15,2150298,'1A',208,'N'),(15,2150298,'2',238,'N'),(15,2150301,'1',220,'N'),(15,2150301,'1A',202,'N'),(15,2150301,'2',2,'N'),(15,2150328,'1',215,'N'),(15,2150328,'1A',216,'N'),(15,2150328,'2',9,'N'),(15,2150336,'1',104,'N'),(15,2150336,'2',301,'N'),(15,2150344,'1',234,'N'),(15,2150344,'2',423,'N'),(15,2150352,'1',450,'N'),(15,2150352,'2',451,'N'),(15,2150360,'1',208,'N'),(15,2150360,'1A',238,'N'),(15,2150379,'1',316,'N'),(15,2150379,'2',238,'N'),(15,2150409,'1',238,'N'),(15,2150409,'1A',208,'N'),(15,2150409,'2',425,'N'),(15,2150425,'1',301,'N'),(15,2150425,'2',316,'N'),(15,2150433,'1',444,'N'),(15,2150433,'2',501,'N'),(15,2150441,'1',103,'N'),(15,2150441,'2',108,'N'),(15,2150450,'1',303,'N'),(15,2150450,'2',415,'N'),(15,2150468,'1',103,'N'),(15,2150468,'2',207,'N'),(15,2150476,'1',415,'N'),(15,2150484,'1',201,'N'),(15,2150492,'1',5,'N'),(15,2150506,'1',301,'N'),(15,2150506,'2',208,'N'),(15,2150514,'1',103,'N'),(15,2150514,'2',104,'N'),(15,2150522,'1',316,'N'),(15,2150522,'2',301,'N'),(15,2150530,'1',103,'N'),(15,2150549,'1',319,'N'),(15,2150549,'2',9,'N'),(15,2150565,'1',301,'N'),(15,2150565,'2',333,'N'),(15,2150573,'1',225,'N'),(15,2150573,'2',202,'N'),(15,2150581,'1',234,'N'),(15,2150581,'2',211,'N'),(15,2150590,'1',301,'N'),(15,2150590,'2',303,'N'),(15,2150611,'1',304,'N'),(15,2150611,'2',502,'N'),(15,2150620,'1',203,'N'),(15,2150620,'1A',208,'N'),(15,2150620,'2',222,'N'),(15,2150638,'1',444,'N'),(15,2150646,'1',301,'N'),(15,2150646,'2',333,'N'),(15,2150654,'1',319,'N'),(15,2150654,'2',415,'N'),(15,2150662,'1',104,'N'),(15,2150662,'2',501,'N'),(15,2150670,'1',303,'N'),(15,2150670,'2',444,'N'),(15,2150689,'1',201,'N'),(15,2150689,'1A',207,'N'),(15,2150689,'2',420,'N'),(15,2150697,'1',103,'N'),(15,2150697,'2',108,'N'),(15,2150700,'1',308,'N'),(15,2150700,'2',324,'N'),(15,2150719,'1',103,'N'),(15,2150719,'2',108,'N'),(15,2150727,'1',214,'N'),(15,2150727,'1A',213,'N'),(15,2150727,'2',212,'N'),(15,2150735,'1',303,'N'),(15,2150743,'1',103,'N'),(15,2150751,'1',420,'N'),(15,2150751,'2',208,'N'),(15,2150760,'1',207,'N'),(15,2150760,'1A',215,'N'),(15,2150760,'2',101,'N'),(15,2150778,'1',217,'N'),(15,2150778,'2',9,'N'),(15,2150794,'1',429,'N'),(15,2150794,'1A',425,'N'),(15,2150794,'2',309,'N'),(15,2150808,'1',216,'N'),(15,2150808,'1A',215,'N'),(15,2150808,'2',301,'N'),(15,2150824,'1',217,'N'),(15,2150824,'2',216,'N'),(15,2150832,'1',103,'N'),(15,2150832,'2',201,'N'),(15,2150840,'1',103,'N'),(15,2150867,'1',103,'N'),(15,2150867,'2',326,'N'),(15,2150875,'1',450,'N'),(15,2150875,'2',420,'N'),(15,2150883,'1',212,'N'),(15,2150883,'1A',201,'N'),(15,2150883,'2',316,'N'),(15,2150891,'1',319,'N'),(15,2150891,'2',102,'N'),(15,2150905,'1',201,'N'),(15,2150905,'1A',207,'N'),(15,2150905,'2',223,'N'),(15,2150921,'1',201,'N'),(15,2150921,'1A',233,'N'),(15,2150921,'2',2,'N'),(15,2150948,'1',104,'N'),(15,2150948,'2',102,'N'),(15,2150956,'1',444,'N'),(15,2150956,'2',308,'N'),(15,2150964,'1',339,'N'),(15,2150964,'2',308,'N'),(15,2150972,'1',404,'N'),(15,2150972,'2',215,'N'),(15,2150980,'1',215,'N'),(15,2150980,'1A',203,'N'),(15,2150980,'2',214,'N'),(15,2150999,'1',9,'N'),(15,2150999,'2',319,'N'),(15,2151006,'1',316,'N'),(15,2151006,'2',317,'N'),(15,2151014,'1',415,'N'),(15,2151014,'2',425,'N'),(15,2151022,'1',208,'N'),(15,2151022,'1A',238,'N'),(15,2151030,'1',424,'N'),(15,2151030,'2',427,'N'),(15,2151057,'1',317,'N'),(15,2151057,'2',318,'N'),(15,2151065,'1',103,'N'),(15,2151065,'2',104,'N'),(15,2151073,'1',415,'N'),(15,2151073,'2',320,'N'),(15,2151090,'1',214,'N'),(15,2151090,'1A',213,'N'),(15,2151090,'2',225,'N'),(15,2151103,'1',303,'N'),(15,2151103,'2',301,'N'),(15,2151111,'1',5,'N'),(15,2151111,'2',428,'N'),(15,2151120,'1',217,'N'),(15,2151120,'2',216,'N'),(15,2151138,'1',225,'N'),(15,2151138,'2',318,'N'),(15,2151146,'1',444,'N'),(15,2151146,'2',329,'N'),(15,2151154,'1',216,'N'),(15,2151154,'1A',233,'N'),(15,2151154,'2',2,'N'),(15,2151162,'1',326,'N'),(15,2151162,'2',331,'N'),(15,2151170,'1',420,'N'),(15,2151170,'2',451,'N'),(15,2151189,'1',103,'N'),(15,2151189,'2',101,'N'),(15,2151200,'1',225,'N'),(15,2151200,'2',217,'N'),(15,2151219,'1',309,'N'),(15,2151219,'2',415,'N'),(15,2151227,'1',324,'N'),(15,2151227,'2',415,'N'),(15,2151235,'1',5,'N'),(15,2151235,'2',304,'N'),(15,2151243,'1',316,'N'),(15,2151243,'2',429,'N'),(15,2151251,'1',5,'N'),(15,2151251,'2',303,'N'),(15,2151260,'1',424,'N'),(15,2151260,'1A',425,'N'),(15,2151260,'2',327,'N'),(15,2151278,'1',5,'N'),(15,2151278,'2',425,'N'),(15,2151294,'1',415,'N'),(15,2151294,'2',319,'N'),(15,2151308,'1',415,'N'),(15,2151324,'1',329,'N'),(15,2151324,'2',324,'N'),(15,2151332,'1',415,'N'),(15,2151332,'2',207,'N'),(15,2151340,'1',238,'N'),(15,2151340,'1A',213,'N'),(15,2151340,'2',208,'N'),(15,2151359,'1',327,'N'),(15,2151359,'2',329,'N'),(15,2151375,'1',102,'N'),(15,2151375,'2',9,'N'),(15,2151383,'1',301,'N'),(15,2151383,'2',316,'N'),(15,2151391,'1',332,'N'),(15,2151391,'2',327,'N'),(15,2151405,'1',420,'N'),(15,2151405,'2',425,'N'),(15,2151413,'1',203,'N'),(15,2151413,'1A',214,'N'),(15,2151413,'2',238,'N'),(15,2151421,'1',317,'N'),(15,2151421,'2',318,'N'),(15,2151430,'1',317,'N'),(15,2151430,'2',224,'N'),(15,2151448,'1',103,'N'),(15,2151456,'1',428,'N'),(15,2151456,'1A',426,'N'),(15,2151456,'2',427,'N'),(15,2151464,'1',5,'N'),(15,2151464,'2',415,'N'),(15,2151472,'1',215,'N'),(15,2151472,'2',429,'N'),(15,2151480,'1',319,'N'),(15,2151480,'2',103,'N'),(15,2151499,'1',104,'N'),(15,2151499,'2',102,'N'),(15,2151510,'1',317,'N'),(15,2151510,'2',302,'N'),(15,2151529,'1',203,'N'),(15,2151529,'1A',208,'N'),(15,2151529,'2',333,'N'),(15,2151537,'1',420,'N'),(15,2151537,'2',415,'N'),(15,2151545,'1',208,'N'),(15,2151545,'2',207,'N'),(15,2151553,'1',5,'N'),(15,2151553,'2',426,'N'),(15,2151596,'1',316,'N'),(15,2151596,'2',301,'N'),(15,2151600,'1',5,'N'),(15,2151600,'2',316,'N'),(15,2151618,'1',5,'N'),(15,2151618,'2',310,'N'),(15,2151626,'1',425,'N'),(15,2151626,'1A',429,'N'),(15,2151626,'2',423,'N'),(15,2151634,'1',224,'N'),(15,2151634,'2',225,'N'),(15,2151642,'1',415,'N'),(15,2151642,'2',428,'N'),(15,2151669,'1',238,'N'),(15,2151669,'1A',208,'N'),(15,2151669,'2',444,'N'),(15,2151677,'1',207,'N'),(15,2151677,'2',450,'N'),(15,2151685,'1',207,'N'),(15,2151685,'1A',201,'N'),(15,2151685,'2',427,'N'),(15,2151693,'1',303,'N'),(15,2151693,'2',102,'N'),(15,2151715,'1',103,'N'),(15,2151715,'2',420,'N'),(15,2151723,'1',220,'N'),(15,2151723,'1A',202,'N'),(15,2151723,'2',203,'N'),(15,2151731,'1',9,'N'),(15,2151731,'2',215,'N'),(15,2151766,'1',302,'N'),(15,2151766,'2',328,'N'),(15,2151774,'1',303,'N'),(15,2151774,'2',301,'N'),(15,2151782,'1',444,'N'),(15,2151782,'2',216,'N'),(15,2151790,'1',201,'N'),(15,2151790,'1A',212,'N'),(15,2151790,'2',318,'N'),(15,2151804,'1',319,'N'),(15,2151804,'2',309,'N'),(15,2151812,'1',238,'N'),(15,2151812,'1A',208,'N'),(15,2151812,'2',225,'N'),(15,2151820,'1',202,'N'),(15,2151820,'1A',213,'N'),(15,2151820,'2',329,'N'),(15,2151839,'1',316,'N'),(15,2151839,'2',207,'N'),(15,2151847,'1',207,'N'),(15,2151847,'1A',233,'N'),(15,2151847,'2',421,'N'),(15,2151855,'1',501,'N'),(15,2151855,'2',502,'N'),(15,2151863,'1',310,'N'),(15,2151863,'2',329,'N'),(15,2151871,'1',103,'N'),(15,2151871,'2',108,'N'),(15,2151880,'1',101,'N'),(15,2151880,'2',103,'N'),(15,2151898,'1',316,'N'),(15,2151898,'2',301,'N'),(15,2151910,'1',103,'N'),(15,2151910,'2',104,'N'),(15,2151928,'1',5,'N'),(15,2151928,'2',327,'N'),(15,2151936,'1',211,'N'),(15,2151936,'1A',201,'N'),(15,2151936,'2',501,'N'),(15,2151944,'1',211,'N'),(15,2151944,'1A',201,'N'),(15,2151944,'2',234,'N'),(15,2151952,'1',304,'N'),(15,2151952,'2',108,'N'),(15,2151960,'1',450,'N'),(15,2151960,'2',428,'N'),(15,2151979,'1',102,'N'),(15,2151979,'2',101,'N'),(15,2151987,'1',103,'N'),(15,2151987,'2',303,'N'),(15,2151995,'1',216,'N'),(15,2151995,'1A',215,'N'),(15,2151995,'2',203,'N'),(15,2152002,'1',220,'N'),(15,2152002,'1A',202,'N'),(15,2152002,'2',216,'N'),(15,2152010,'1',207,'N'),(15,2152029,'1',104,'N'),(15,2152029,'2',103,'N'),(15,2152037,'1',319,'N'),(15,2152037,'2',309,'N'),(15,2152045,'1',404,'N'),(15,2152045,'2',208,'N'),(15,2152053,'1',103,'N'),(15,2152053,'2',104,'N'),(15,2152061,'1',316,'N'),(15,2152061,'2',429,'N'),(15,2152070,'1',5,'N'),(15,2152070,'2',426,'N'),(15,2152088,'1',104,'N'),(15,2152088,'2',102,'N'),(15,2152096,'1',108,'N'),(15,2152096,'2',217,'N'),(15,2152100,'1',103,'N'),(15,2152100,'2',102,'N'),(15,2152118,'1',103,'N'),(15,2152118,'2',316,'N'),(15,2152126,'1',102,'N'),(15,2152126,'2',217,'N'),(15,2152134,'1',319,'N'),(15,2152134,'2',427,'N'),(15,2152150,'1',339,'N'),(15,2152150,'2',324,'N'),(15,2152169,'1',102,'N'),(15,2152169,'2',425,'N'),(15,2152177,'1',324,'N'),(15,2152177,'2',420,'N'),(15,2152185,'1',5,'N'),(15,2152185,'2',302,'N'),(15,2152193,'1',404,'N'),(15,2152193,'2',444,'N'),(15,2152207,'1',317,'N'),(15,2152207,'2',333,'N'),(15,2152215,'1',203,'N'),(15,2152231,'1',217,'N'),(15,2152231,'2',225,'N'),(15,2152240,'1',201,'N'),(15,2152240,'1A',208,'N'),(15,2152240,'2',213,'N'),(15,2152258,'1',201,'N'),(15,2152258,'1A',211,'N'),(15,2152258,'2',207,'N'),(15,2152282,'1',339,'N'),(15,2152282,'2',333,'N'),(15,2152290,'1',103,'N'),(15,2152290,'2',104,'N'),(15,2152304,'1',215,'N'),(15,2152304,'2',415,'N'),(15,2152312,'1',207,'N'),(15,2152312,'1A',201,'N'),(15,2152312,'2',304,'N'),(15,2152320,'1',102,'N'),(15,2152320,'2',211,'N'),(15,2152339,'1',444,'N'),(15,2152339,'2',333,'N'),(15,2152347,'1',108,'N'),(15,2152347,'2',217,'N'),(15,2152355,'1',423,'N'),(15,2152355,'1A',426,'N'),(15,2152355,'2',324,'N'),(15,2152380,'1',5,'N'),(15,2152380,'2',327,'N'),(15,2152398,'1',211,'N'),(15,2152398,'1A',208,'N'),(15,2152398,'2',333,'N'),(15,2152410,'1',101,'N'),(15,2152410,'2',9,'N'),(15,2152436,'1',317,'N'),(15,2152436,'2',426,'N'),(15,2152444,'1',404,'N'),(15,2152444,'2',316,'N'),(15,2152452,'1',324,'N'),(15,2152452,'2',238,'N'),(15,2152479,'1',429,'N'),(15,2152487,'1',225,'N'),(15,2152487,'2',217,'N'),(15,2152495,'1',318,'N'),(15,2152495,'2',304,'N'),(15,2152509,'1',415,'N'),(15,2152509,'2',424,'N'),(15,2152525,'1',203,'N'),(15,2152541,'1',214,'N'),(15,2152541,'1A',213,'N'),(15,2152541,'2',212,'N'),(15,2152550,'1',103,'N'),(15,2152550,'2',211,'N'),(15,2152568,'1',108,'N'),(15,2152568,'2',333,'N'),(15,2152576,'1',326,'N'),(15,2152576,'2',415,'N'),(15,2152584,'1',233,'N'),(15,2152584,'1A',214,'N'),(15,2152584,'2',217,'N'),(15,2152592,'1',103,'N'),(15,2152592,'2',102,'N'),(15,2152606,'1',103,'N'),(15,2152606,'2',101,'N'),(15,2152614,'1',103,'N'),(15,2152614,'2',203,'N'),(15,2152622,'1',301,'N'),(15,2152622,'2',316,'N'),(15,2152630,'1',5,'N'),(15,2152630,'2',327,'N'),(15,2152649,'1',101,'N'),(15,2152649,'2',102,'N'),(15,2152665,'1',2,'N'),(15,2152665,'2',223,'N'),(15,2152690,'1',426,'N'),(15,2152690,'1A',421,'N'),(15,2152690,'2',339,'N'),(15,2152703,'1',214,'N'),(15,2152703,'1A',212,'N'),(15,2152711,'1',317,'N'),(15,2152711,'2',318,'N'),(15,2152720,'1',208,'N'),(15,2152720,'1A',238,'N'),(15,2152720,'2',207,'N'),(15,2152738,'1',211,'N'),(15,2152738,'1A',238,'N'),(15,2152738,'2',224,'N'),(15,2152746,'1',203,'N'),(15,2152746,'1A',214,'N'),(15,2152746,'2',223,'N'),(15,2152754,'1',207,'N'),(15,2152754,'1A',216,'N'),(15,2152754,'2',102,'N'),(15,2152770,'1',317,'N'),(15,2152770,'2',339,'N'),(15,2152789,'1',501,'N'),(15,2152789,'2',234,'N'),(15,2152797,'1',103,'N'),(15,2152797,'2',5,'N'),(15,2152800,'1',104,'N'),(15,2152800,'2',502,'N'),(15,2152819,'1',5,'N'),(15,2152819,'2',404,'N'),(15,2152835,'1',207,'N'),(15,2152835,'1A',212,'N'),(15,2152835,'2',9,'N'),(15,2152843,'1',103,'N'),(15,2152843,'2',319,'N'),(15,2152851,'1',207,'N'),(15,2152851,'1A',201,'N'),(15,2152851,'2',212,'N'),(15,2152860,'1',316,'N'),(15,2152860,'2',444,'N'),(15,2152878,'1',103,'N'),(15,2152878,'2',108,'N'),(15,2152886,'1',202,'N'),(15,2152886,'1A',213,'N'),(15,2152886,'2',225,'N'),(15,2152894,'1',104,'N'),(15,2152894,'2',102,'N'),(15,2152908,'1',207,'N'),(15,2152908,'1A',238,'N'),(15,2152908,'2',429,'N'),(15,2152916,'1',5,'N'),(15,2152916,'2',207,'N'),(15,2152924,'1',103,'N'),(15,2152924,'2',101,'N'),(15,2152940,'1',102,'N'),(15,2152940,'2',327,'N'),(15,2152959,'1',319,'N'),(15,2152959,'2',329,'N'),(15,2152967,'1',213,'N'),(15,2152967,'1A',233,'N'),(15,2152967,'2',329,'N'),(15,2152975,'1',421,'N'),(15,2152975,'1A',429,'N'),(15,2152975,'2',415,'N'),(15,2152983,'1',215,'N'),(15,2152983,'1A',211,'N'),(15,2152983,'2',327,'N'),(15,2152991,'1',5,'N'),(15,2152991,'2',415,'N'),(15,2153009,'1',201,'N'),(15,2153009,'1A',212,'N'),(15,2153009,'2',207,'N'),(15,2153017,'1',220,'N'),(15,2153017,'1A',203,'N'),(15,2153017,'2',202,'N'),(15,2153025,'1',202,'N'),(15,2153025,'1A',213,'N'),(15,2153025,'2',203,'N'),(15,2153033,'1',225,'N'),(15,2153033,'2',223,'N'),(15,2153041,'1',108,'N'),(15,2153041,'2',223,'N'),(15,2153050,'1',303,'N'),(15,2153050,'2',217,'N'),(15,2153068,'1',104,'N'),(15,2153068,'2',213,'N'),(15,2153076,'1',303,'N'),(15,2153076,'2',309,'N'),(15,2153084,'1',103,'N'),(15,2153084,'2',316,'N'),(15,2153092,'1',316,'N'),(15,2153092,'2',304,'N'),(15,2153106,'1',108,'N'),(15,2153106,'2',333,'N'),(15,2153114,'1',303,'N'),(15,2153122,'1',103,'N'),(15,2153122,'2',104,'N'),(15,2153130,'1',208,'N'),(15,2153130,'1A',238,'N'),(15,2153130,'2',108,'N'),(15,2153149,'1',203,'N'),(15,2153149,'1A',207,'N'),(15,2153149,'2',214,'N'),(15,2153157,'1',501,'N'),(15,2153157,'2',502,'N'),(15,2153173,'1',103,'N'),(15,2153173,'2',328,'N'),(15,2153181,'1',316,'N'),(15,2153181,'2',5,'N'),(15,2153190,'1',316,'N'),(15,2153190,'2',502,'N'),(15,2153203,'1',415,'N'),(15,2153203,'2',450,'N'),(15,2153211,'1',5,'N'),(15,2153211,'2',320,'N'),(15,2153220,'1',104,'N'),(15,2153220,'2',101,'N'),(15,2153238,'1',501,'N'),(15,2153238,'2',333,'N'),(15,2153246,'1',326,'N'),(15,2153246,'2',319,'N'),(15,2153254,'1',238,'N'),(15,2153254,'1A',208,'N'),(15,2153254,'2',301,'N'),(15,2153262,'1',103,'N'),(15,2153262,'2',220,'N'),(15,2153270,'1',318,'N'),(15,2153270,'2',420,'N'),(15,2153297,'1',216,'N'),(15,2153297,'1A',233,'N'),(15,2153297,'2',207,'N'),(15,2153300,'1',303,'N'),(15,2153319,'1',316,'N'),(15,2153319,'2',5,'N'),(15,2153327,'1',333,'N'),(15,2153327,'2',420,'N'),(15,2153335,'1',103,'N'),(15,2153335,'2',108,'N'),(15,2153343,'1',213,'N'),(15,2153343,'2',233,'N'),(15,2153351,'1',415,'N'),(15,2153351,'2',450,'N'),(15,2153360,'1',9,'N'),(15,2153360,'2',324,'N'),(15,2153378,'1',103,'N'),(15,2153378,'2',101,'N'),(15,2153386,'1',211,'N'),(15,2153386,'2',108,'N'),(15,2153408,'1',216,'N'),(15,2153408,'1A',213,'N'),(15,2153408,'2',202,'N'),(15,2153416,'1',5,'N'),(15,2153416,'2',101,'N'),(15,2153424,'1',304,'N'),(15,2153424,'2',404,'N'),(15,2153432,'1',104,'N'),(15,2153432,'2',102,'N'),(15,2153440,'1',211,'N'),(15,2153440,'1A',214,'N'),(15,2153440,'2',215,'N'),(15,2153459,'1',339,'N'),(15,2153459,'2',324,'N'),(15,2153467,'1',103,'N'),(15,2153467,'2',108,'N'),(15,2153475,'1',317,'N'),(15,2153475,'2',324,'N'),(15,2153483,'1',444,'N'),(15,2153483,'2',326,'N'),(15,2153491,'1',207,'N'),(15,2153491,'1A',201,'N'),(15,2153491,'2',420,'N'),(15,2153513,'1',5,'N'),(15,2153513,'2',332,'N'),(15,2153521,'1',216,'N'),(15,2153521,'1A',215,'N'),(15,2153521,'2',217,'N'),(15,2153530,'1',211,'N'),(15,2153530,'1A',215,'N'),(15,2153548,'1',316,'N'),(15,2153548,'2',317,'N'),(15,2153556,'1',308,'N'),(15,2153556,'2',324,'N'),(15,2153564,'1',339,'N'),(15,2153564,'2',324,'N'),(15,2153572,'1',326,'N'),(15,2153572,'2',324,'N'),(15,2153580,'1',303,'N'),(15,2153580,'2',5,'N'),(15,2153599,'1',103,'N'),(15,2153599,'2',101,'N'),(15,2153602,'1',211,'N'),(15,2153602,'2',331,'N'),(15,2153610,'1',5,'N'),(15,2153610,'2',318,'N'),(15,2153629,'1',215,'N'),(15,2153629,'1A',208,'N'),(15,2153629,'2',234,'N'),(15,2153637,'1',108,'N'),(15,2153637,'2',501,'N'),(15,2153645,'1',451,'N'),(15,2153645,'2',450,'N'),(15,2153653,'1',103,'N'),(15,2153653,'2',108,'N'),(15,2153661,'1',215,'N'),(15,2153661,'1A',212,'N'),(15,2153661,'2',501,'N'),(15,2153670,'1',339,'N'),(15,2153670,'2',309,'N'),(15,2153688,'1',104,'N'),(15,2153688,'2',333,'N'),(15,2153696,'1',233,'N'),(15,2153696,'1A',211,'N'),(15,2153696,'2',2,'N'),(15,2153700,'1',203,'N'),(15,2153700,'1A',233,'N'),(15,2153700,'2',238,'N'),(15,2153726,'1',108,'N'),(15,2153726,'2',502,'N'),(15,2153734,'1',415,'N'),(15,2153734,'2',211,'N'),(15,2153742,'1',301,'N'),(15,2153742,'2',220,'N'),(15,2153750,'1',415,'N'),(15,2153750,'2',426,'N'),(15,2153769,'1',501,'N'),(15,2153769,'2',316,'N'),(15,2153777,'1',103,'N'),(15,2153777,'2',101,'N'),(15,2153793,'1',333,'N'),(15,2153793,'2',444,'N'),(15,2153807,'1',326,'N'),(15,2153807,'2',424,'N'),(15,2153815,'1',103,'N'),(15,2153815,'2',9,'N'),(15,2153831,'1',316,'N'),(15,2153831,'2',317,'N'),(15,2153840,'1',303,'N'),(15,2153840,'2',207,'N'),(15,2153858,'1',104,'N'),(15,2153858,'2',101,'N'),(15,2153866,'1',404,'N'),(15,2153866,'2',324,'N'),(15,2153874,'1',303,'N'),(15,2153874,'2',5,'N'),(15,2153882,'1',202,'N'),(15,2153882,'1A',213,'N'),(15,2153882,'2',2,'N'),(15,2153890,'1',213,'N'),(15,2153890,'1A',214,'N'),(15,2153890,'2',212,'N'),(15,2153904,'1',238,'N'),(15,2153904,'1A',208,'N'),(15,2153904,'2',224,'N'),(15,2153912,'1',103,'N'),(15,2153912,'2',303,'N'),(15,2153920,'1',103,'N'),(15,2153939,'1',201,'N'),(15,2153939,'1A',207,'N'),(15,2153939,'2',415,'N'),(15,2153947,'1',103,'N'),(15,2153947,'2',319,'N'),(15,2153955,'1',104,'N'),(15,2153955,'2',202,'N'),(15,2153963,'1',5,'N'),(15,2153963,'2',333,'N'),(15,2153971,'1',203,'N'),(15,2153971,'1A',202,'N'),(15,2153971,'2',216,'N'),(15,2153980,'1',103,'N'),(15,2153980,'2',216,'N'),(15,2154013,'1',415,'N'),(15,2154013,'2',308,'N'),(15,2154021,'1',303,'N'),(15,2154021,'2',451,'N'),(15,2154030,'1',444,'N'),(15,2154030,'2',331,'N'),(15,2154048,'1',222,'N'),(15,2154048,'2',224,'N'),(15,2154056,'1',316,'N'),(15,2154056,'2',339,'N'),(15,2154072,'1',302,'N'),(15,2154072,'2',331,'N'),(15,2154080,'1',424,'N'),(15,2154080,'1A',421,'N'),(15,2154080,'2',427,'N'),(15,2154099,'1',207,'N'),(15,2154099,'2',104,'N'),(15,2154102,'1',103,'N'),(15,2154102,'2',101,'N'),(15,2154110,'1',201,'N'),(15,2154110,'1A',215,'N'),(15,2154110,'2',317,'N'),(15,2154129,'1',103,'N'),(15,2154129,'2',102,'N'),(15,2154145,'1',423,'N'),(15,2154145,'1A',425,'N'),(15,2154145,'2',328,'N'),(15,2154153,'1',201,'N'),(15,2154153,'1A',212,'N'),(15,2154153,'2',211,'N'),(15,2154161,'1',501,'N'),(15,2154161,'2',211,'N'),(15,2154170,'1',420,'N'),(15,2154188,'1',108,'N'),(15,2154188,'2',501,'N'),(15,2154196,'1',404,'N'),(15,2154196,'2',429,'N'),(15,2154200,'1',108,'N'),(15,2154200,'2',211,'N'),(15,2154218,'1',428,'N'),(15,2154218,'1A',426,'N'),(15,2154218,'2',308,'N'),(15,2154234,'1',5,'N'),(15,2154234,'2',329,'N'),(15,2154250,'1',102,'N'),(15,2154250,'2',208,'N'),(15,2154269,'1',208,'N'),(15,2154269,'2',222,'N'),(15,2154277,'1',208,'N'),(15,2154277,'2',303,'N'),(15,2154285,'1',217,'N'),(15,2154285,'2',102,'N'),(15,2154293,'1',316,'N'),(15,2154293,'2',320,'N'),(15,2154307,'1',203,'N'),(15,2154307,'2',214,'N'),(15,2154315,'1',333,'N'),(15,2154315,'2',203,'N'),(15,2154323,'1',103,'N'),(15,2154323,'2',450,'N'),(15,2154331,'1',302,'N'),(15,2154331,'2',304,'N'),(15,2154340,'1',319,'N'),(15,2154340,'2',316,'N'),(15,2154358,'1',102,'N'),(15,2154358,'2',9,'N'),(15,2154366,'1',404,'N'),(15,2154366,'2',223,'N'),(15,2154374,'1',102,'N'),(15,2154374,'2',216,'N'),(15,2154382,'1',415,'N'),(15,2154382,'2',420,'N'),(15,2154390,'1',501,'N'),(15,2154390,'2',451,'N'),(15,2154404,'1',103,'N'),(15,2154404,'2',217,'N'),(15,2154412,'1',5,'N'),(15,2154412,'2',316,'N'),(15,2154420,'1',238,'N'),(15,2154420,'1A',208,'N'),(15,2154420,'2',319,'N'),(15,2154439,'1',329,'N'),(15,2154439,'2',318,'N'),(15,2154447,'1',425,'N'),(15,2154447,'1A',429,'N'),(15,2154447,'2',427,'N'),(15,2154455,'1',303,'N'),(15,2154455,'2',331,'N'),(15,2154463,'1',316,'N'),(15,2154463,'2',9,'N'),(15,2154471,'1',202,'N'),(15,2154471,'1A',207,'N'),(15,2154471,'2',203,'N'),(15,2154498,'1',103,'N'),(15,2154498,'2',104,'N'),(15,2154501,'1',9,'N'),(15,2154501,'2',108,'N'),(15,2154510,'1',308,'N'),(15,2154510,'2',316,'N'),(15,2154528,'1',101,'N'),(15,2154528,'2',333,'N'),(15,2154536,'1',103,'N'),(15,2154536,'2',104,'N'),(15,2154544,'1',104,'N'),(15,2154544,'2',102,'N'),(15,2154552,'1',420,'N'),(15,2154560,'1',208,'N'),(15,2154560,'1A',238,'N'),(15,2154560,'2',224,'N'),(15,2154579,'1',420,'N'),(15,2154579,'2',415,'N'),(15,2154587,'1',9,'N'),(15,2154587,'2',339,'N'),(15,2154595,'1',328,'N'),(15,2154595,'2',208,'N'),(15,2154609,'1',9,'N'),(15,2154609,'2',423,'N'),(15,2154625,'1',238,'N'),(15,2154625,'1A',211,'N'),(15,2154625,'2',225,'N'),(15,2154633,'1',203,'N'),(15,2154633,'1A',202,'N'),(15,2154633,'2',214,'N'),(15,2154676,'1',415,'N'),(15,2154676,'2',216,'N'),(15,2154684,'1',103,'N'),(15,2154684,'2',108,'N'),(15,2154706,'1',208,'N'),(15,2154706,'1A',238,'N'),(15,2154706,'2',421,'N'),(15,2154714,'1',304,'N'),(15,2154714,'2',318,'N'),(15,2154722,'1',108,'N'),(15,2154722,'2',211,'N'),(15,2154730,'1',333,'N'),(15,2154730,'2',211,'N'),(15,2154749,'1',415,'N'),(15,2154749,'2',304,'N'),(15,2154757,'1',316,'N'),(15,2154757,'2',301,'N'),(15,2154765,'1',103,'N'),(15,2154765,'2',104,'N'),(15,2154773,'1',103,'N'),(15,2154773,'2',108,'N'),(15,2154781,'1',303,'N'),(15,2154781,'2',331,'N'),(15,2154790,'1',201,'N'),(15,2154790,'1A',211,'N'),(15,2154790,'2',331,'N'),(15,2154803,'1',216,'N'),(15,2154803,'2',203,'N'),(15,2154811,'1',108,'N'),(15,2154811,'2',103,'N'),(15,2154838,'1',303,'N'),(15,2154838,'2',108,'N'),(15,2154854,'1',339,'N'),(15,2154854,'2',317,'N'),(15,2154862,'1',215,'N'),(15,2154862,'1A',202,'N'),(15,2154862,'2',415,'N'),(15,2154870,'1',303,'N'),(15,2154870,'2',5,'N'),(15,2154889,'1',102,'N'),(15,2154889,'2',207,'N'),(15,2154897,'1',223,'N'),(15,2154897,'2',217,'N'),(15,2154900,'1',102,'N'),(15,2154900,'2',324,'N'),(15,2154919,'1',211,'N'),(15,2154919,'1A',233,'N'),(15,2154919,'2',216,'N'),(15,2154927,'1',233,'N'),(15,2154927,'1A',201,'N'),(15,2154927,'2',212,'N'),(15,2154935,'1',103,'N'),(15,2154935,'2',234,'N'),(15,2154943,'1',104,'N'),(15,2154943,'2',207,'N'),(15,2154951,'1',103,'N'),(15,2154951,'2',303,'N'),(15,2154960,'1',103,'N'),(15,2154960,'2',104,'N'),(15,2154986,'1',327,'N'),(15,2154986,'2',320,'N'),(15,2154994,'1',216,'N'),(15,2154994,'2',212,'N'),(15,2155028,'1',310,'N'),(15,2155028,'2',329,'N'),(15,2155044,'1',234,'N'),(15,2155044,'2',424,'N'),(15,2155052,'1',215,'N'),(15,2155052,'1A',211,'N'),(15,2155052,'2',217,'N'),(15,2155060,'1',301,'N'),(15,2155060,'2',316,'N'),(15,2155087,'1',213,'N'),(15,2155087,'1A',238,'N'),(15,2155087,'2',223,'N'),(15,2155095,'1',224,'N'),(15,2155095,'2',225,'N'),(15,2155109,'1',333,'N'),(15,2155109,'2',108,'N'),(15,2155117,'1',203,'N'),(15,2155117,'1A',214,'N'),(15,2155117,'2',201,'N'),(15,2155125,'1',238,'N'),(15,2155125,'1A',208,'N'),(15,2155125,'2',420,'N'),(15,2155141,'1',103,'N'),(15,2155141,'2',101,'N'),(15,2155168,'1',428,'N'),(15,2155168,'1A',426,'N'),(15,2155168,'2',108,'N'),(15,2155176,'1',333,'N'),(15,2155176,'2',104,'N'),(15,2155184,'1',102,'N'),(15,2155184,'2',217,'N'),(15,2155206,'1',213,'N'),(15,2155206,'1A',212,'N'),(15,2155206,'2',233,'N'),(15,2155214,'1',5,'N'),(15,2155214,'2',327,'N'),(15,2155222,'1',103,'N'),(15,2155230,'1',234,'N'),(15,2155230,'2',333,'N'),(15,2155249,'1',427,'N'),(15,2155249,'2',424,'N'),(15,2155265,'1',450,'N'),(15,2155273,'1',103,'N'),(15,2155273,'2',5,'N'),(15,2155281,'1',203,'N'),(15,2155290,'1',202,'N'),(15,2155290,'1A',213,'N'),(15,2155290,'2',203,'N'),(15,2155303,'1',415,'N'),(15,2155303,'2',301,'N'),(15,2155320,'1',202,'N'),(15,2155320,'1A',213,'N'),(15,2155320,'2',207,'N'),(15,2155338,'1',103,'N'),(15,2155338,'2',9,'N'),(15,2155346,'1',444,'N'),(15,2155346,'2',404,'N'),(15,2155354,'1',212,'N'),(15,2155354,'1A',201,'N'),(15,2155354,'2',207,'N'),(15,2155362,'1',103,'N'),(15,2155362,'2',104,'N'),(15,2155370,'1',415,'N'),(15,2155370,'2',319,'N'),(15,2155397,'1',5,'N'),(15,2155397,'2',415,'N'),(15,2155400,'1',201,'N'),(15,2155400,'1A',207,'N'),(15,2155400,'2',212,'N'),(15,2155419,'1',208,'N'),(15,2155419,'1A',238,'N'),(15,2155419,'2',103,'N'),(15,2155427,'1',326,'N'),(15,2155427,'2',310,'N'),(15,2155435,'1',202,'N'),(15,2155435,'1A',213,'N'),(15,2155435,'2',224,'N'),(15,2155443,'1',225,'N'),(15,2155443,'2',2,'N'),(15,2155451,'1',202,'N'),(15,2155451,'1A',213,'N'),(15,2155451,'2',2,'N'),(15,2155460,'1',327,'N'),(15,2155460,'2',326,'N'),(15,2155486,'1',233,'N'),(15,2155508,'1',103,'N'),(15,2155508,'2',102,'N'),(15,2155516,'1',103,'N'),(15,2155516,'2',9,'N'),(15,2155532,'1',501,'N'),(15,2155532,'2',214,'N'),(15,2155540,'1',104,'N'),(15,2155540,'2',216,'N'),(15,2155559,'1',333,'N'),(15,2155559,'2',108,'N'),(15,2155567,'1',208,'N'),(15,2155575,'1',211,'N'),(15,2155583,'1',104,'N'),(15,2155583,'2',423,'N'),(15,2155605,'1',207,'N'),(15,2155605,'1A',201,'N'),(15,2155605,'2',326,'N'),(15,2155613,'1',102,'N'),(15,2155613,'2',217,'N'),(15,2155630,'1',102,'N'),(15,2155630,'2',308,'N'),(15,2155648,'1',301,'N'),(15,2155648,'2',316,'N'),(15,2155656,'1',339,'N'),(15,2155656,'2',101,'N'),(15,2155664,'1',208,'N'),(15,2155664,'2',316,'N'),(15,2155672,'1',9,'N'),(15,2155672,'2',502,'N'),(15,2155699,'1',102,'N'),(15,2155699,'2',424,'N'),(15,2155702,'1',326,'N'),(15,2155702,'2',303,'N'),(15,2155710,'1',339,'N'),(15,2155710,'2',324,'N'),(15,2155729,'1',103,'N'),(15,2155729,'2',104,'N'),(15,2155737,'1',103,'N'),(15,2155737,'2',216,'N'),(15,2155745,'1',339,'N'),(15,2155745,'2',309,'N'),(15,2155753,'1',308,'N'),(15,2155753,'2',327,'N'),(15,2155761,'1',103,'N'),(15,2155761,'2',319,'N'),(15,2155770,'1',103,'N'),(15,2155770,'2',222,'N'),(15,2155800,'1',103,'N'),(15,2155800,'2',104,'N'),(15,2155818,'1',203,'N'),(15,2155818,'1A',215,'N'),(15,2155818,'2',318,'N'),(15,2155826,'1',104,'N'),(15,2155826,'2',101,'N'),(15,2155834,'1',103,'N'),(15,2155834,'2',102,'N'),(15,2155850,'1',303,'N'),(15,2155850,'2',326,'N'),(15,2155869,'1',103,'N'),(15,2155869,'2',319,'N'),(15,2155877,'1',318,'N'),(15,2155877,'2',304,'N'),(15,2155885,'1',103,'N'),(15,2155885,'2',415,'N'),(15,2155893,'1',301,'N'),(15,2155893,'2',415,'N'),(15,2155907,'1',101,'N'),(15,2155907,'2',324,'N'),(15,2155915,'1',207,'N'),(15,2155915,'2',420,'N'),(15,2155923,'1',415,'N'),(15,2155923,'2',301,'N'),(15,2155931,'1',108,'N'),(15,2155940,'1',208,'N'),(15,2155940,'2',222,'N'),(15,2155958,'1',202,'N'),(15,2155966,'1',103,'N'),(15,2155966,'2',415,'N'),(15,2155974,'1',327,'N'),(15,2155974,'2',421,'N'),(15,2155990,'1',103,'N'),(15,2155990,'2',415,'N'),(15,2156008,'1',201,'N'),(15,2156008,'1A',212,'N'),(15,2156008,'2',222,'N'),(15,2156016,'1',404,'N'),(15,2156016,'2',444,'N'),(15,2156024,'1',415,'N'),(15,2156024,'2',420,'N'),(15,2156032,'1',5,'N'),(15,2156032,'2',415,'N'),(15,2156040,'1',103,'N'),(15,2156040,'2',326,'N'),(15,2156059,'1',208,'N'),(15,2156059,'1A',238,'N'),(15,2156059,'2',223,'N'),(15,2156067,'1',104,'N'),(15,2156067,'2',102,'N'),(15,2156075,'1',238,'N'),(15,2156075,'1A',211,'N'),(15,2156075,'2',222,'N'),(15,2156083,'1',238,'N'),(15,2156083,'1A',208,'N'),(15,2156083,'2',426,'N'),(15,2156105,'1',103,'N'),(15,2156113,'1',103,'N'),(15,2156113,'2',333,'N'),(15,2156121,'1',102,'N'),(15,2156121,'2',216,'N'),(15,2156130,'1',5,'N'),(15,2156130,'2',303,'N'),(15,2156148,'1',415,'N'),(15,2156148,'2',424,'N'),(15,2156156,'1',102,'N'),(15,2156156,'2',502,'N'),(15,2156172,'1',303,'N'),(15,2156172,'2',428,'N'),(15,2156180,'1',103,'N'),(15,2156180,'2',104,'N'),(15,2156199,'1',303,'N'),(15,2156199,'2',415,'N'),(15,2156202,'1',318,'N'),(15,2156202,'2',317,'N'),(15,2156237,'1',238,'N'),(15,2156237,'1A',208,'N'),(15,2156237,'2',332,'N'),(15,2156245,'1',415,'N'),(15,2156245,'2',428,'N'),(15,2156261,'1',238,'N'),(15,2156261,'1A',208,'N'),(15,2156261,'2',451,'N'),(15,2156270,'1',404,'N'),(15,2156270,'2',301,'N'),(15,2156288,'1',201,'N'),(15,2156288,'1A',202,'N'),(15,2156288,'2',207,'N'),(15,2156296,'1',203,'N'),(15,2156296,'1A',214,'N'),(15,2156296,'2',316,'N'),(15,2156300,'1',216,'N'),(15,2156300,'1A',202,'N'),(15,2156300,'2',233,'N'),(15,2156318,'1',333,'N'),(15,2156318,'2',234,'N'),(15,2156326,'1',103,'N'),(15,2156326,'2',102,'N'),(15,2156334,'1',238,'N'),(15,2156334,'1A',213,'N'),(15,2156334,'2',225,'N'),(15,2156342,'1',303,'N'),(15,2156342,'2',326,'N'),(15,2156350,'1',327,'N'),(15,2156350,'2',332,'N'),(15,2156369,'1',303,'N'),(15,2156369,'2',216,'N'),(15,2156377,'1',238,'N'),(15,2156377,'1A',208,'N'),(15,2156377,'2',222,'N'),(15,2156385,'1',103,'N'),(15,2156385,'2',319,'N'),(15,2156393,'1',233,'N'),(15,2156393,'1A',211,'N'),(15,2156393,'2',216,'N'),(15,2156407,'1',420,'N'),(15,2156407,'2',319,'N'),(15,2156423,'1',301,'N'),(15,2156423,'2',316,'N'),(15,2156431,'1',103,'N'),(15,2156431,'2',101,'N'),(15,2156440,'1',103,'N'),(15,2156440,'2',319,'N'),(15,2156458,'1',301,'N'),(15,2156466,'1',207,'N'),(15,2156466,'1A',201,'N'),(15,2156466,'2',420,'N'),(15,2156474,'1',9,'N'),(15,2156474,'2',327,'N'),(15,2156482,'1',208,'N'),(15,2156482,'1A',238,'N'),(15,2156482,'2',420,'N'),(15,2156490,'1',316,'N'),(15,2156490,'2',9,'N'),(15,2156504,'1',220,'N'),(15,2156504,'1A',238,'N'),(15,2156504,'2',233,'N'),(15,2156512,'1',202,'N'),(15,2156512,'1A',213,'N'),(15,2156512,'2',233,'N'),(15,2156520,'1',102,'N'),(15,2156520,'2',423,'N'),(15,2156539,'1',216,'N'),(15,2156539,'1A',211,'N'),(15,2156539,'2',202,'N'),(15,2156547,'1',103,'N'),(15,2156547,'2',212,'N'),(15,2156555,'1',211,'N'),(15,2156555,'1A',233,'N'),(15,2156555,'2',304,'N'),(15,2156563,'1',238,'N'),(15,2156563,'1A',208,'N'),(15,2156563,'2',333,'N'),(15,2156571,'1',203,'N'),(15,2156571,'1A',220,'N'),(15,2156571,'2',201,'N'),(15,2156580,'1',318,'N'),(15,2156580,'2',429,'N'),(15,2156598,'1',444,'N'),(15,2156598,'2',308,'N'),(15,2156601,'1',320,'N'),(15,2156601,'2',319,'N'),(15,2156628,'1',207,'N'),(15,2156628,'1A',208,'N'),(15,2156628,'2',2,'N'),(15,2156636,'1',303,'N'),(15,2156660,'1',308,'N'),(15,2156660,'2',324,'N'),(15,2156679,'1',103,'N'),(15,2156679,'2',9,'N'),(15,2156687,'1',319,'N'),(15,2156687,'2',303,'N'),(15,2156695,'1',220,'N'),(15,2156695,'1A',238,'N'),(15,2156695,'2',208,'N'),(15,2156709,'1',303,'N'),(15,2156709,'2',5,'N'),(15,2156717,'1',211,'N'),(15,2156717,'1A',216,'N'),(15,2156717,'2',333,'N'),(15,2156725,'1',211,'N'),(15,2156725,'1A',216,'N'),(15,2156725,'2',217,'N'),(15,2156733,'1',102,'N'),(15,2156733,'2',217,'N'),(15,2156741,'1',103,'N'),(15,2156741,'2',104,'N'),(15,2156750,'1',103,'N'),(15,2156750,'2',102,'N'),(15,2156768,'1',217,'N'),(15,2156768,'2',2,'N'),(15,2156776,'1',103,'N'),(15,2156776,'2',415,'N'),(15,2156784,'1',103,'N'),(15,2156784,'2',203,'N'),(15,2156792,'1',303,'N'),(15,2156792,'2',301,'N'),(15,2156814,'1',216,'N'),(15,2156814,'1A',215,'N'),(15,2156814,'2',301,'N'),(15,2156822,'1',207,'N'),(15,2156822,'1A',201,'N'),(15,2156822,'2',212,'N'),(15,2156830,'1',208,'N'),(15,2156830,'1A',238,'N'),(15,2156830,'2',316,'N'),(15,2156857,'1',103,'N'),(15,2156857,'2',104,'N'),(15,2156865,'1',319,'N'),(15,2156865,'2',9,'N'),(15,2156881,'1',216,'N'),(15,2156881,'1A',233,'N'),(15,2156881,'2',222,'N'),(15,2156890,'1',203,'N'),(15,2156911,'1',302,'N'),(15,2156911,'2',317,'N'),(15,2156938,'1',103,'N'),(15,2156938,'2',216,'N'),(15,2156946,'1',301,'N'),(15,2156946,'2',214,'N'),(15,2156954,'1',423,'N'),(15,2156954,'1A',429,'N'),(15,2156954,'2',444,'N'),(15,2156962,'1',308,'N'),(15,2156962,'2',425,'N'),(15,2156970,'1',415,'N'),(15,2156970,'2',328,'N'),(15,2156989,'1',103,'N'),(15,2156989,'2',108,'N'),(15,2157004,'1',5,'N'),(15,2157004,'2',222,'N'),(15,2157020,'1',316,'N'),(15,2157020,'2',224,'N'),(15,2157039,'1',207,'N'),(15,2157039,'1A',201,'N'),(15,2157039,'2',303,'N'),(15,2157047,'1',104,'N'),(15,2157047,'2',102,'N'),(15,2157055,'1',501,'N'),(15,2157055,'2',339,'N'),(15,2157063,'1',426,'N'),(15,2157063,'1A',421,'N'),(15,2157071,'1',216,'N'),(15,2157071,'2',203,'N'),(15,2157080,'1',301,'N'),(15,2157080,'2',316,'N'),(15,2157098,'1',103,'N'),(15,2157098,'2',102,'N'),(15,2157101,'1',220,'N'),(15,2157101,'1A',216,'N'),(15,2157101,'2',5,'N'),(15,2157128,'1',316,'N'),(15,2157128,'2',234,'N'),(15,2157136,'1',102,'N'),(15,2157136,'2',217,'N'),(15,2157144,'1',238,'N'),(15,2157144,'2',208,'N'),(15,2157152,'1',308,'N'),(15,2157152,'2',327,'N'),(15,2157160,'1',102,'N'),(15,2157160,'2',216,'N'),(15,2157187,'1',201,'N'),(15,2157187,'1A',203,'N'),(15,2157187,'2',207,'N'),(15,2157209,'1',207,'N'),(15,2157209,'1A',220,'N'),(15,2157209,'2',201,'N'),(15,2157217,'1',108,'N'),(15,2157217,'2',217,'N'),(15,2157225,'1',203,'N'),(15,2157225,'1A',220,'N'),(15,2157225,'2',222,'N'),(15,2157233,'1',303,'N'),(15,2157233,'2',304,'N'),(15,2157250,'1',207,'N'),(15,2157250,'1A',201,'N'),(15,2157250,'2',233,'N'),(15,2157284,'1',316,'N'),(15,2157284,'2',420,'N'),(15,2157306,'1',5,'N'),(15,2157306,'2',303,'N'),(15,2157314,'1',420,'N'),(15,2157314,'2',333,'N'),(15,2157322,'1',101,'N'),(15,2157322,'2',102,'N'),(15,2157330,'1',215,'N'),(15,2157330,'2',9,'N'),(15,2157357,'1',501,'N'),(15,2157357,'2',301,'N'),(15,2157373,'1',303,'N'),(15,2157373,'2',5,'N'),(15,2157381,'1',5,'N'),(15,2157381,'2',451,'N'),(15,2157390,'1',316,'N'),(15,2157403,'1',319,'N'),(15,2157403,'2',309,'N'),(15,2157411,'1',103,'N'),(15,2157411,'2',104,'N'),(15,2157420,'1',104,'N'),(15,2157420,'2',101,'N'),(15,2157438,'1',220,'N'),(15,2157438,'1A',203,'N'),(15,2157438,'2',202,'N'),(15,2157446,'1',103,'N'),(15,2157446,'2',201,'N'),(15,2157454,'1',103,'N'),(15,2157454,'2',104,'N'),(15,2157462,'1',450,'N'),(15,2157462,'2',329,'N'),(15,2157489,'1',103,'N'),(15,2157489,'2',420,'N'),(15,2157497,'1',5,'N'),(15,2157497,'2',310,'N'),(15,2157500,'1',303,'N'),(15,2157500,'2',302,'N'),(15,2157519,'1',103,'N'),(15,2157535,'1',220,'N'),(15,2157535,'1A',202,'N'),(15,2157535,'2',238,'N'),(15,2157551,'1',238,'N'),(15,2157551,'1A',208,'N'),(15,2157551,'2',324,'N'),(15,2157586,'1',450,'N'),(15,2157586,'2',328,'N'),(15,2157594,'1',101,'N'),(15,2157594,'2',339,'N'),(15,2157608,'1',420,'N'),(15,2157608,'2',425,'N'),(15,2157616,'1',102,'N'),(15,2157616,'2',217,'N'),(15,2157624,'1',103,'N'),(15,2157624,'2',214,'N'),(15,2157632,'1',213,'N'),(15,2157632,'1A',212,'N'),(15,2157632,'2',214,'N'),(15,2157640,'1',319,'N'),(15,2157640,'2',420,'N'),(15,2157659,'1',9,'N'),(15,2157659,'2',332,'N'),(15,2157667,'1',108,'N'),(15,2157667,'2',333,'N'),(15,2157675,'1',102,'N'),(15,2157675,'2',216,'N'),(15,2157683,'1',214,'N'),(15,2157683,'1A',213,'N'),(15,2157713,'1',415,'N'),(15,2157713,'2',333,'N'),(15,2157721,'1',5,'N'),(15,2157721,'2',304,'N'),(15,2157730,'1',423,'N'),(15,2157730,'1A',428,'N'),(15,2157730,'2',329,'N'),(15,2157756,'1',208,'N'),(15,2157756,'2',415,'N'),(15,2157764,'1',211,'N'),(15,2157764,'2',101,'N'),(15,2157772,'1',104,'N'),(15,2157772,'2',217,'N'),(15,2157780,'1',420,'N'),(15,2157780,'2',415,'N'),(15,2157799,'1',303,'N'),(15,2157799,'2',415,'N'),(15,2157802,'1',104,'N'),(15,2157802,'2',502,'N'),(15,2157810,'1',225,'N'),(15,2157810,'2',224,'N'),(15,2157829,'1',502,'N'),(15,2157829,'2',333,'N'),(15,2157837,'1',211,'N'),(15,2157837,'1A',201,'N'),(15,2157837,'2',302,'N'),(15,2157845,'1',102,'N'),(15,2157845,'2',207,'N'),(15,2157853,'1',304,'N'),(15,2157853,'2',329,'N'),(15,2157861,'1',333,'N'),(15,2157861,'2',420,'N'),(15,2157870,'1',207,'N'),(15,2157870,'1A',201,'N'),(15,2157870,'2',104,'N'),(15,2157888,'1',428,'N'),(15,2157888,'1A',425,'N'),(15,2157888,'2',427,'N'),(15,2157896,'1',420,'N'),(15,2157896,'2',425,'N'),(15,2157918,'1',425,'N'),(15,2157918,'2',324,'N'),(15,2157926,'1',326,'N'),(15,2157926,'2',324,'N'),(15,2157934,'1',333,'N'),(15,2157934,'2',308,'N'),(15,2157942,'1',301,'N'),(15,2157942,'2',304,'N'),(15,2157950,'1',301,'N'),(15,2157950,'2',302,'N'),(15,2157969,'1',104,'N'),(15,2157969,'2',501,'N'),(15,2157977,'1',103,'N'),(15,2157977,'2',104,'N'),(15,2157993,'1',324,'N'),(15,2157993,'2',420,'N'),(15,2158000,'1',415,'N'),(15,2158035,'1',103,'N'),(15,2158043,'1',103,'N'),(15,2158043,'2',104,'N'),(15,2158051,'1',301,'N'),(15,2158051,'2',304,'N'),(15,2158060,'1',103,'N'),(15,2158060,'2',9,'N'),(15,2158078,'1',317,'N'),(15,2158078,'2',318,'N'),(15,2158086,'1',202,'N'),(15,2158086,'1A',213,'N'),(15,2158086,'2',233,'N'),(15,2158094,'1',327,'N'),(15,2158108,'1',319,'N'),(15,2158108,'2',328,'N'),(15,2158116,'1',202,'N'),(15,2158116,'1A',220,'N'),(15,2158116,'2',207,'N'),(15,2158124,'1',103,'N'),(15,2158124,'2',333,'N'),(15,2158132,'1',303,'N'),(15,2158132,'2',421,'N'),(15,2158140,'1',316,'N'),(15,2158140,'2',301,'N'),(15,2158167,'1',103,'N'),(15,2158167,'2',104,'N'),(15,2158191,'1',303,'N'),(15,2158191,'2',421,'N'),(15,2158205,'1',217,'N'),(15,2158205,'2',216,'N'),(15,2158213,'1',326,'N'),(15,2158213,'2',425,'N'),(15,2158221,'1',308,'N'),(15,2158221,'2',324,'N'),(15,2158230,'1',103,'N'),(15,2158230,'2',101,'N'),(15,2158248,'1',103,'N'),(15,2158248,'2',102,'N'),(15,2158256,'1',103,'N'),(15,2158264,'1',103,'N'),(15,2158264,'2',216,'N'),(15,2158272,'1',5,'N'),(15,2158272,'2',339,'N'),(15,2158280,'1',217,'N'),(15,2158280,'2',216,'N'),(15,2158299,'1',303,'N'),(15,2158299,'2',211,'N'),(15,2158302,'1',103,'N'),(15,2158302,'2',333,'N'),(15,2158310,'1',216,'N'),(15,2158310,'1A',215,'N'),(15,2158310,'2',217,'N'),(15,2158329,'1',211,'N'),(15,2158329,'1A',216,'N'),(15,2158329,'2',234,'N'),(15,2158337,'1',238,'N'),(15,2158337,'1A',208,'N'),(15,2158337,'2',316,'N'),(15,2158345,'1',103,'N'),(15,2158345,'2',102,'N'),(15,2158353,'1',203,'N'),(15,2158353,'1A',214,'N'),(15,2158353,'2',213,'N'),(15,2158361,'1',203,'N'),(15,2158370,'1',201,'N'),(15,2158370,'1A',203,'N'),(15,2158370,'2',202,'N'),(15,2158396,'1',102,'N'),(15,2158396,'2',217,'N'),(15,2158400,'1',317,'N'),(15,2158400,'2',302,'N'),(15,2158418,'1',302,'N'),(15,2158418,'2',222,'N'),(15,2158426,'1',215,'N'),(15,2158426,'1A',233,'N'),(15,2158426,'2',316,'N'),(15,2158434,'1',104,'N'),(15,2158434,'2',101,'N'),(15,2158442,'1',319,'N'),(15,2158442,'2',426,'N'),(15,2158450,'1',333,'N'),(15,2158450,'2',326,'N'),(15,2158477,'1',9,'N'),(15,2158477,'2',308,'N'),(15,2158485,'1',215,'N'),(15,2158485,'1A',212,'N'),(15,2158485,'2',207,'N'),(15,2158507,'1',404,'N'),(15,2158507,'2',319,'N'),(15,2158515,'1',234,'N'),(15,2158515,'2',451,'N'),(15,2158523,'1',211,'N'),(15,2158523,'1A',201,'N'),(15,2158523,'2',102,'N'),(15,2158531,'1',317,'N'),(15,2158531,'2',429,'N'),(15,2158540,'1',203,'N'),(15,2158540,'1A',216,'N'),(15,2158540,'2',5,'N'),(15,2158558,'1',420,'N'),(15,2158558,'2',316,'N'),(15,2158566,'1',301,'N'),(15,2158566,'2',303,'N'),(15,2158574,'1',211,'N'),(15,2158582,'1',501,'N'),(15,2158582,'2',332,'N'),(15,2158590,'1',303,'N'),(15,2158590,'2',5,'N'),(15,2158604,'1',318,'N'),(15,2158604,'2',319,'N'),(15,2158612,'1',103,'N'),(15,2158612,'2',319,'N'),(15,2158620,'1',104,'N'),(15,2158620,'2',101,'N'),(15,2158639,'1',207,'N'),(15,2158655,'1',301,'N'),(15,2158655,'2',333,'N'),(15,2158663,'1',238,'N'),(15,2158663,'1A',208,'N'),(15,2158663,'2',324,'N'),(15,2158680,'1',103,'N'),(15,2158680,'2',101,'N'),(15,2158698,'1',303,'N'),(15,2158698,'2',103,'N'),(15,2158701,'1',501,'N'),(15,2158701,'2',339,'N'),(15,2158710,'1',203,'N'),(15,2158710,'1A',233,'N'),(15,2158710,'2',216,'N'),(15,2158728,'1',5,'N'),(15,2158728,'2',238,'N'),(15,2158736,'1',216,'N'),(15,2158744,'1',303,'N'),(15,2158744,'2',104,'N'),(15,2158752,'1',103,'N'),(15,2158760,'1',318,'N'),(15,2158760,'2',332,'N'),(15,2158779,'1',317,'N'),(15,2158779,'2',211,'N'),(15,2158787,'1',103,'N'),(15,2158787,'2',207,'N'),(15,2158795,'1',332,'N'),(15,2158795,'2',208,'N'),(15,2158809,'1',203,'N'),(15,2158809,'1A',202,'N'),(15,2158809,'2',2,'N'),(15,2158817,'1',303,'N'),(15,2158817,'2',309,'N'),(15,2158825,'1',201,'N'),(15,2158825,'1A',207,'N'),(15,2158825,'2',223,'N'),(15,2158833,'1',211,'N'),(15,2158833,'1A',208,'N'),(15,2158833,'2',415,'N'),(15,2158841,'1',319,'N'),(15,2158841,'2',9,'N'),(15,2158876,'1',320,'N'),(15,2158876,'2',329,'N'),(15,2158884,'1',201,'N'),(15,2158884,'1A',203,'N'),(15,2158884,'2',207,'N'),(15,2158892,'1',309,'N'),(15,2158892,'2',308,'N'),(15,2158906,'1',302,'N'),(15,2158906,'2',301,'N'),(15,2158922,'1',326,'N'),(15,2158930,'1',2,'N'),(15,2158930,'2',213,'N'),(15,2158949,'1',207,'N'),(15,2158949,'2',415,'N'),(15,2158957,'1',208,'N'),(15,2158957,'1A',202,'N'),(15,2158957,'2',233,'N'),(15,2158973,'1',216,'N'),(15,2158973,'2',102,'N'),(15,2158981,'1',502,'N'),(15,2158981,'2',234,'N'),(15,2158990,'1',203,'N'),(15,2158990,'1A',202,'N'),(15,2158990,'2',201,'N'),(15,2159007,'1',331,'N'),(15,2159007,'2',308,'N'),(15,2159015,'1',316,'N'),(15,2159015,'2',9,'N'),(15,2159023,'1',104,'N'),(15,2159023,'2',2,'N'),(15,2159031,'1',102,'N'),(15,2159031,'2',9,'N'),(15,2159040,'1',101,'N'),(15,2159040,'2',326,'N'),(15,2159058,'1',5,'N'),(15,2159058,'2',304,'N'),(15,2159066,'1',5,'N'),(15,2159066,'2',320,'N'),(15,2159074,'1',415,'N'),(15,2159074,'2',450,'N'),(15,2159082,'1',316,'N'),(15,2159082,'2',301,'N'),(15,2159090,'1',5,'N'),(15,2159090,'2',318,'N'),(15,2159104,'1',501,'N'),(15,2159104,'2',215,'N'),(15,2159112,'1',316,'N'),(15,2159112,'2',301,'N'),(15,2159120,'1',214,'N'),(15,2159120,'1A',207,'N'),(15,2159120,'2',318,'N'),(15,2159139,'1',103,'N'),(15,2159139,'2',108,'N'),(15,2159147,'1',316,'N'),(15,2159147,'2',317,'N'),(15,2159155,'1',203,'N'),(15,2159155,'1A',202,'N'),(15,2159155,'2',502,'N'),(15,2159163,'1',5,'N'),(15,2159163,'2',103,'N'),(15,2159171,'1',103,'N'),(15,2159171,'2',319,'N'),(15,2159180,'1',5,'N'),(15,2159180,'2',104,'N'),(15,2159198,'1',102,'N'),(15,2159198,'2',425,'N'),(15,2159210,'1',2,'N'),(15,2159210,'2',225,'N'),(15,2159228,'1',103,'N'),(15,2159228,'2',216,'N'),(15,2159236,'1',5,'N'),(15,2159236,'2',318,'N'),(15,2159244,'1',404,'N'),(15,2159244,'2',444,'N'),(15,2159260,'1',103,'N'),(15,2159260,'2',428,'N'),(15,2159287,'1',103,'N'),(15,2159287,'2',104,'N'),(15,2159295,'1',304,'N'),(15,2159295,'2',318,'N'),(15,2159309,'1',238,'N'),(15,2159309,'1A',208,'N'),(15,2159309,'2',327,'N'),(15,2159317,'1',211,'N'),(15,2159317,'1A',215,'N'),(15,2159317,'2',333,'N'),(15,2159325,'1',303,'N'),(15,2159325,'2',5,'N'),(15,2159333,'1',102,'N'),(15,2159333,'2',101,'N'),(15,2159341,'1',101,'N'),(15,2159341,'2',319,'N'),(15,2159350,'1',9,'N'),(15,2159350,'2',327,'N'),(15,2159368,'1',103,'N'),(15,2159368,'2',303,'N'),(15,2159414,'1',420,'N'),(15,2159414,'2',225,'N'),(15,2159422,'1',316,'N'),(15,2159422,'2',207,'N'),(15,2159430,'1',103,'N'),(15,2159430,'2',108,'N'),(15,2159449,'1',318,'N'),(15,2159449,'2',316,'N'),(15,2159457,'1',101,'N'),(15,2159457,'2',308,'N'),(15,2159465,'1',101,'N'),(15,2159465,'2',103,'N'),(15,2159481,'1',310,'N'),(15,2159481,'2',304,'N'),(15,2159490,'1',327,'N'),(15,2159490,'2',415,'N'),(15,2159503,'1',103,'N'),(15,2159503,'2',333,'N'),(15,2159511,'1',238,'N'),(15,2159511,'1A',208,'N'),(15,2159511,'2',404,'N'),(15,2159520,'1',203,'N'),(15,2159538,'1',103,'N'),(15,2159546,'1',103,'N'),(15,2159546,'2',304,'N'),(15,2159554,'1',318,'N'),(15,2159554,'2',304,'N'),(15,2159562,'1',501,'N'),(15,2159562,'2',320,'N'),(15,2159570,'1',302,'N'),(15,2159570,'2',301,'N'),(15,2159589,'1',103,'N'),(15,2159589,'2',216,'N'),(15,2159600,'1',103,'N'),(15,2159600,'2',104,'N'),(15,2159619,'1',201,'N'),(15,2159619,'1A',212,'N'),(15,2159619,'2',233,'N'),(15,2159627,'1',208,'N'),(15,2159627,'1A',238,'N'),(15,2159627,'2',329,'N'),(15,2159635,'1',103,'N'),(15,2159635,'2',301,'N'),(15,2159643,'1',216,'N'),(15,2159643,'1A',211,'N'),(15,2159643,'2',217,'N'),(15,2159660,'1',216,'N'),(15,2159660,'2',207,'N'),(15,2159678,'1',103,'N'),(15,2159678,'2',102,'N'),(15,2159686,'1',308,'N'),(15,2159686,'2',428,'N'),(15,2159694,'1',207,'N'),(15,2159694,'1A',216,'N'),(15,2159694,'2',9,'N'),(15,2159708,'1',208,'N'),(15,2159708,'1A',213,'N'),(15,2159708,'2',223,'N'),(15,2159716,'1',301,'N'),(15,2159716,'2',428,'N'),(15,2159732,'1',103,'N'),(15,2159732,'2',319,'N'),(15,2159740,'1',450,'N'),(15,2159740,'2',428,'N'),(15,2159759,'1',217,'N'),(15,2159759,'2',328,'N'),(15,2159767,'1',103,'N'),(15,2159767,'2',319,'N'),(15,2159775,'1',207,'N'),(15,2159775,'1A',201,'N'),(15,2159775,'2',212,'N'),(15,2159791,'1',203,'N'),(15,2159791,'1A',220,'N'),(15,2159791,'2',233,'N'),(15,2159805,'1',444,'N'),(15,2159805,'2',301,'N'),(15,2159813,'1',207,'N'),(15,2159813,'1A',215,'N'),(15,2159813,'2',429,'N'),(15,2159821,'1',108,'N'),(15,2159821,'2',324,'N'),(15,2159830,'1',211,'N'),(15,2159830,'1A',202,'N'),(15,2159830,'2',333,'N'),(15,2159848,'1',103,'N'),(15,2159848,'2',217,'N'),(15,2159856,'1',502,'N'),(15,2159856,'2',104,'N'),(15,2159864,'1',103,'N'),(15,2159864,'2',104,'N'),(15,2159872,'1',103,'N'),(15,2159872,'2',104,'N'),(15,2159880,'1',333,'N'),(15,2159880,'2',450,'N'),(15,2159899,'1',216,'N'),(15,2159899,'1A',201,'N'),(15,2159899,'2',202,'N'),(15,2159902,'1',214,'N'),(15,2159902,'1A',203,'N'),(15,2159902,'2',212,'N'),(15,2159937,'1',5,'N'),(15,2159937,'2',303,'N'),(15,2159945,'1',103,'N'),(15,2159945,'2',9,'N'),(15,2159953,'1',201,'N'),(15,2159953,'1A',212,'N'),(15,2159953,'2',304,'N'),(15,2159961,'1',501,'N'),(15,2159961,'2',444,'N'),(15,2159970,'1',208,'N'),(15,2159970,'2',103,'N'),(15,2159988,'1',5,'N'),(15,2159996,'1',5,'N'),(15,2159996,'2',327,'N'),(15,2160005,'1',102,'N'),(15,2160005,'2',101,'N'),(15,2160013,'1',301,'N'),(15,2160013,'2',304,'N'),(15,2160021,'1',327,'N'),(15,2160021,'2',308,'N'),(15,2160030,'1',5,'N'),(15,2160030,'2',303,'N'),(15,2160048,'1',220,'N'),(15,2160048,'1A',202,'N'),(15,2160048,'2',213,'N'),(15,2160056,'1',333,'N'),(15,2160056,'2',234,'N'),(15,2160064,'1',216,'N'),(15,2160064,'2',215,'N'),(15,2160072,'1',224,'N'),(15,2160072,'2',404,'N'),(15,2160080,'1',9,'N'),(15,2160080,'2',217,'N'),(15,2160099,'1',220,'N'),(15,2160099,'1A',238,'N'),(15,2160099,'2',319,'N'),(15,2160102,'1',103,'N'),(15,2160102,'2',211,'N'),(15,2160110,'1',201,'N'),(15,2160110,'1A',203,'N'),(15,2160129,'1',9,'N'),(15,2160129,'2',444,'N'),(15,2160137,'1',211,'N'),(15,2160137,'1A',202,'N'),(15,2160137,'2',444,'N'),(15,2160145,'1',303,'N'),(15,2160145,'2',5,'N'),(15,2160161,'1',103,'N'),(15,2160161,'2',9,'N'),(15,2160188,'1',104,'N'),(15,2160188,'2',9,'N'),(15,2160196,'1',102,'N'),(15,2160196,'2',404,'N'),(15,2160200,'1',319,'N'),(15,2160200,'2',423,'N'),(15,2160218,'1',103,'N'),(15,2160218,'2',102,'N'),(15,2160226,'1',2,'N'),(15,2160226,'2',225,'N'),(15,2160242,'1',103,'N'),(15,2160242,'2',9,'N'),(15,2160250,'1',207,'N'),(15,2160250,'1A',201,'N'),(15,2160250,'2',420,'N'),(15,2160277,'1',203,'N'),(15,2160277,'1A',201,'N'),(15,2160277,'2',103,'N'),(15,2160285,'1',103,'N'),(15,2160285,'2',101,'N'),(15,2160293,'1',208,'N'),(15,2160293,'1A',201,'N'),(15,2160293,'2',404,'N'),(15,2160307,'1',104,'N'),(15,2160307,'2',451,'N'),(15,2160315,'1',203,'N'),(15,2160323,'1',103,'N'),(15,2160323,'2',101,'N'),(15,2160331,'1',9,'N'),(15,2160331,'2',301,'N'),(15,2160340,'1',303,'N'),(15,2160340,'2',102,'N'),(15,2160358,'1',103,'N'),(15,2160358,'2',216,'N'),(15,2160366,'1',211,'N'),(15,2160366,'1A',201,'N'),(15,2160366,'2',203,'N'),(15,2160374,'1',203,'N'),(15,2160374,'1A',233,'N'),(15,2160374,'2',213,'N'),(15,2160382,'1',103,'N'),(15,2160382,'2',101,'N'),(15,2160390,'1',215,'N'),(15,2160390,'1A',211,'N'),(15,2160390,'2',316,'N'),(15,2160404,'1',303,'N'),(15,2160404,'2',215,'N'),(15,2160412,'1',420,'N'),(15,2160412,'2',404,'N'),(15,2160420,'1',102,'N'),(15,2160420,'2',217,'N'),(15,2160439,'1',5,'N'),(15,2160439,'2',102,'N'),(15,2160447,'1',103,'N'),(15,2160455,'1',238,'N'),(15,2160455,'1A',208,'N'),(15,2160455,'2',222,'N'),(15,2160463,'1',108,'N'),(15,2160463,'2',102,'N'),(15,2160471,'1',103,'N'),(15,2160471,'2',102,'N'),(15,2160480,'1',216,'N'),(15,2160480,'1A',215,'N'),(15,2160480,'2',102,'N'),(15,2160498,'1',103,'N'),(15,2160498,'2',104,'N'),(15,2160501,'1',103,'N'),(15,2160501,'2',207,'N'),(15,2160510,'1',224,'N'),(15,2160510,'2',339,'N'),(15,2160528,'1',208,'N'),(15,2160544,'1',415,'N'),(15,2160560,'1',211,'N'),(15,2160560,'1A',202,'N'),(15,2160579,'1',220,'N'),(15,2160579,'1A',203,'N'),(15,2160579,'2',207,'N'),(15,2160587,'1',301,'N'),(15,2160587,'2',318,'N'),(15,2160595,'1',203,'N'),(15,2160595,'2',202,'N'),(15,2160609,'1',220,'N'),(15,2160609,'1A',202,'N'),(15,2160609,'2',214,'N'),(15,2160617,'1',103,'N'),(15,2160625,'1',233,'N'),(15,2160625,'1A',201,'N'),(15,2160625,'2',222,'N'),(15,2160633,'1',302,'N'),(15,2160633,'2',207,'N'),(15,2160641,'1',202,'N'),(15,2160641,'1A',203,'N'),(15,2160641,'2',225,'N'),(15,2160650,'1',201,'N'),(15,2160650,'1A',203,'N'),(15,2160650,'2',223,'N'),(15,2160668,'1',103,'N'),(15,2160668,'2',333,'N'),(15,2160676,'1',203,'N'),(15,2160676,'1A',214,'N'),(15,2160676,'2',217,'N'),(15,2160684,'1',217,'N'),(15,2160684,'2',233,'N'),(15,2160692,'1',103,'N'),(15,2160692,'2',203,'N'),(15,2160706,'1',233,'N'),(15,2160706,'1A',201,'N'),(15,2160706,'2',102,'N'),(15,2160714,'1',103,'N'),(15,2160714,'2',108,'N'),(15,2160722,'1',214,'N'),(15,2160722,'1A',215,'N'),(15,2160722,'2',216,'N'),(15,2160749,'1',103,'N'),(15,2160749,'2',101,'N'),(15,2160757,'1',308,'N'),(15,2160757,'2',316,'N'),(15,2160765,'1',103,'N'),(15,2160765,'2',9,'N'),(15,2160773,'1',203,'N'),(15,2160773,'1A',202,'N'),(15,2160773,'2',216,'N'),(15,2160781,'1',102,'N'),(15,2160781,'2',108,'N'),(15,2160790,'1',103,'N'),(15,2160790,'2',101,'N'),(15,2160803,'1',207,'N'),(15,2160803,'1A',233,'N'),(15,2160803,'2',420,'N'),(15,2160820,'1',220,'N'),(15,2160820,'1A',213,'N'),(15,2160838,'1',301,'N'),(15,2160838,'2',316,'N'),(15,2160854,'1',212,'N'),(15,2160854,'1A',201,'N'),(15,2160854,'2',207,'N'),(15,2160870,'1',208,'N'),(15,2160870,'1A',238,'N'),(15,2160870,'2',444,'N'),(15,2160919,'1',326,'N'),(15,2160919,'2',316,'N'),(15,2160927,'1',203,'N'),(15,2160927,'1A',220,'N'),(15,2160927,'2',214,'N'),(15,2160935,'1',214,'N'),(15,2160935,'1A',207,'N'),(15,2160935,'2',212,'N'),(15,2160943,'1',303,'N'),(15,2160943,'2',5,'N'),(15,2160960,'1',202,'N'),(15,2160960,'1A',213,'N'),(15,2160960,'2',225,'N'),(15,2160986,'1',404,'N'),(15,2160986,'2',215,'N'),(15,2160994,'1',429,'N'),(15,2160994,'2',316,'N'),(15,2161001,'1',303,'N'),(15,2161001,'2',428,'N'),(15,2161010,'1',108,'N'),(15,2161010,'2',333,'N'),(15,2161028,'1',502,'N'),(15,2161028,'2',501,'N'),(15,2161036,'1',303,'N'),(15,2161036,'2',211,'N'),(15,2161044,'1',101,'N'),(15,2161044,'2',217,'N'),(15,2161052,'1',103,'N'),(15,2161052,'2',101,'N'),(15,2161079,'1',316,'N'),(15,2161079,'2',211,'N'),(15,2161087,'1',304,'N'),(15,2161087,'2',324,'N'),(15,2161095,'1',208,'N'),(15,2161095,'1A',238,'N'),(15,2161095,'2',420,'N'),(15,2161109,'1',211,'N'),(15,2161109,'1A',207,'N'),(15,2161109,'2',102,'N'),(15,2161117,'1',215,'N'),(15,2161133,'1',104,'N'),(15,2161133,'2',102,'N'),(15,2161141,'1',103,'N'),(15,2161141,'2',104,'N'),(15,2161168,'1',103,'N'),(15,2161176,'1',303,'N'),(15,2161176,'2',301,'N'),(15,2161184,'1',104,'N'),(15,2161184,'2',217,'N'),(15,2161192,'1',104,'N'),(15,2161192,'2',420,'N'),(15,2161206,'1',207,'N'),(15,2161206,'2',420,'N'),(15,2161214,'1',425,'N'),(15,2161214,'1A',424,'N'),(15,2161214,'2',5,'N'),(15,2161222,'1',212,'N'),(15,2161222,'1A',214,'N'),(15,2161222,'2',215,'N'),(15,2161230,'1',326,'N'),(15,2161230,'2',327,'N'),(15,2161257,'1',103,'N'),(15,2161257,'2',104,'N'),(15,2161265,'1',319,'N'),(15,2161265,'2',428,'N'),(15,2161273,'1',202,'N'),(15,2161273,'1A',220,'N'),(15,2161273,'2',225,'N'),(15,2161281,'1',238,'N'),(15,2161281,'1A',203,'N'),(15,2161281,'2',208,'N'),(15,2161290,'1',303,'N'),(15,2161290,'2',326,'N'),(15,2161303,'1',207,'N'),(15,2161303,'1A',201,'N'),(15,2161303,'2',421,'N'),(15,2161320,'1',207,'N'),(15,2161320,'1A',201,'N'),(15,2161320,'2',233,'N'),(15,2161338,'1',207,'N'),(15,2161338,'1A',211,'N'),(15,2161338,'2',420,'N'),(15,2161346,'1',309,'N'),(15,2161346,'2',427,'N'),(15,2161354,'1',316,'N'),(15,2161362,'1',301,'N'),(15,2161362,'2',304,'N'),(15,2161389,'1',103,'N'),(15,2161389,'2',425,'N'),(15,2161397,'1',420,'N'),(15,2161397,'2',308,'N'),(15,2161400,'1',415,'N'),(15,2161400,'2',320,'N'),(15,2161419,'1',317,'N'),(15,2161419,'2',329,'N'),(15,2161435,'1',102,'N'),(15,2161435,'2',9,'N'),(15,2161443,'1',425,'N'),(15,2161443,'1A',426,'N'),(15,2161443,'2',428,'N'),(15,2161451,'1',451,'N'),(15,2161451,'2',415,'N'),(15,2161460,'1',103,'N'),(15,2161478,'1',333,'N'),(15,2161478,'2',234,'N'),(15,2161486,'1',108,'N'),(15,2161486,'2',501,'N'),(15,2161494,'1',103,'N'),(15,2161494,'2',303,'N'),(15,2161508,'1',202,'N'),(15,2161508,'1A',213,'N'),(15,2161508,'2',208,'N'),(15,2161516,'1',316,'N'),(15,2161516,'2',320,'N'),(15,2161532,'1',201,'N'),(15,2161532,'1A',208,'N'),(15,2161532,'2',223,'N'),(15,2161540,'1',101,'N'),(15,2161540,'2',319,'N'),(15,2161559,'1',103,'N'),(15,2161559,'2',303,'N'),(15,2161567,'1',9,'N'),(15,2161567,'2',102,'N'),(15,2161575,'1',217,'N'),(15,2161575,'2',222,'N'),(15,2161583,'1',104,'N'),(15,2161583,'2',309,'N'),(15,2161591,'1',103,'N'),(15,2161591,'2',429,'N'),(15,2161605,'1',207,'N'),(15,2161605,'1A',201,'N'),(15,2161605,'2',420,'N'),(15,2161613,'1',212,'N'),(15,2161613,'1A',215,'N'),(15,2161613,'2',429,'N'),(15,2161648,'1',316,'N'),(15,2161648,'2',339,'N'),(15,2161656,'1',202,'N'),(15,2161656,'1A',213,'N'),(15,2161656,'2',223,'N'),(15,2161664,'1',5,'N'),(15,2161664,'2',327,'N'),(15,2161672,'1',222,'N'),(15,2161680,'1',429,'N'),(15,2161680,'1A',423,'N'),(15,2161680,'2',427,'N'),(15,2161699,'1',234,'N'),(15,2161699,'2',421,'N'),(15,2161702,'1',9,'N'),(15,2161702,'2',444,'N'),(15,2161729,'1',303,'N'),(15,2161729,'2',425,'N'),(15,2161737,'1',103,'N'),(15,2161737,'2',203,'N'),(15,2161745,'1',331,'N'),(15,2161745,'2',332,'N'),(15,2161753,'1',308,'N'),(15,2161753,'2',451,'N'),(15,2161761,'1',224,'N'),(15,2161761,'2',404,'N'),(15,2161770,'1',101,'N'),(15,2161770,'2',301,'N'),(15,2161796,'1',103,'N'),(15,2161796,'2',203,'N'),(15,2161800,'1',103,'N'),(15,2161800,'2',104,'N'),(15,2161818,'1',316,'N'),(15,2161818,'2',238,'N'),(15,2161826,'1',108,'N'),(15,2161826,'2',333,'N'),(15,2161842,'1',207,'N'),(15,2161877,'1',238,'N'),(15,2161877,'1A',207,'N'),(15,2161877,'2',420,'N'),(15,2161885,'1',208,'N'),(15,2161885,'1A',212,'N'),(15,2161885,'2',424,'N'),(15,2161907,'1',207,'N'),(15,2161907,'1A',201,'N'),(15,2161907,'2',216,'N'),(15,2161915,'1',103,'N'),(15,2161915,'2',104,'N'),(15,2161923,'1',103,'N'),(15,2161923,'2',104,'N'),(15,2161931,'1',203,'N'),(15,2161931,'1A',214,'N'),(15,2161931,'2',213,'N'),(15,2161958,'1',329,'N'),(15,2161958,'2',224,'N'),(15,2161966,'1',108,'N'),(15,2161966,'2',102,'N'),(15,2161974,'1',9,'N'),(15,2161974,'2',108,'N'),(15,2161982,'1',103,'N'),(15,2161982,'2',333,'N'),(15,2161990,'1',203,'N'),(15,2161990,'1A',214,'N'),(15,2161990,'2',234,'N'),(15,2162008,'1',316,'N'),(15,2162008,'2',301,'N'),(15,2162016,'1',320,'N'),(15,2162016,'2',310,'N'),(15,2162024,'1',9,'N'),(15,2162024,'2',316,'N'),(15,2162032,'1',303,'N'),(15,2162032,'2',202,'N'),(15,2162059,'1',103,'N'),(15,2162059,'2',101,'N'),(15,2162067,'1',103,'N'),(15,2162067,'2',101,'N'),(15,2162075,'1',203,'N'),(15,2162075,'1A',201,'N'),(15,2162075,'2',2,'N'),(15,2162083,'1',202,'N'),(15,2162083,'1A',201,'N'),(15,2162083,'2',207,'N'),(15,2162091,'1',108,'N'),(15,2162091,'2',502,'N'),(15,2162113,'1',208,'N'),(15,2162113,'2',320,'N'),(15,2162121,'1',103,'N'),(15,2162121,'2',420,'N'),(15,2162130,'1',108,'N'),(15,2162130,'2',215,'N'),(15,2162148,'1',215,'N'),(15,2162148,'1A',201,'N'),(15,2162148,'2',216,'N'),(15,2162164,'1',5,'N'),(15,2162164,'2',333,'N'),(15,2162172,'1',203,'N'),(15,2162172,'1A',202,'N'),(15,2162172,'2',208,'N'),(15,2162180,'1',501,'N'),(15,2162180,'2',216,'N'),(15,2162199,'1',233,'N'),(15,2162199,'2',224,'N'),(15,2162202,'1',202,'N'),(15,2162202,'2',208,'N'),(15,2162210,'1',234,'N'),(15,2162210,'2',213,'N'),(15,2162229,'1',104,'N'),(15,2162229,'2',208,'N'),(15,2162237,'1',103,'N'),(15,2162237,'2',104,'N'),(15,2162253,'1',208,'N'),(15,2162253,'1A',238,'N'),(15,2162270,'1',5,'N'),(15,2162270,'2',429,'N'),(15,2162288,'1',319,'N'),(15,2162288,'2',318,'N'),(15,2162296,'1',5,'N'),(15,2162296,'2',302,'N'),(15,2162300,'1',104,'N'),(15,2162300,'2',424,'N'),(15,2162318,'1',103,'N'),(15,2162318,'2',102,'N'),(15,2162326,'1',104,'N'),(15,2162326,'2',309,'N'),(15,2162334,'1',102,'N'),(15,2162334,'2',217,'N'),(15,2162342,'1',103,'N'),(15,2162342,'2',108,'N'),(15,2162369,'1',101,'N'),(15,2162369,'2',425,'N'),(15,2162385,'1',317,'N'),(15,2162385,'2',224,'N'),(15,2162393,'1',9,'N'),(15,2162393,'2',404,'N'),(15,2162407,'1',207,'N'),(15,2162407,'2',103,'N'),(15,2162415,'1',202,'N'),(15,2162415,'2',213,'N'),(15,2162423,'1',303,'N'),(15,2162423,'2',304,'N'),(15,2162431,'1',201,'N'),(15,2162440,'1',303,'N'),(15,2162440,'2',501,'N'),(15,2162458,'1',501,'N'),(15,2162458,'2',333,'N'),(15,2162466,'1',301,'N'),(15,2162466,'2',103,'N'),(15,2162474,'1',103,'N'),(15,2162474,'2',9,'N'),(15,2162482,'1',201,'N'),(15,2162482,'2',225,'N'),(15,2162490,'1',233,'N'),(15,2162490,'1A',215,'N'),(15,2162490,'2',234,'N'),(15,2162504,'1',103,'N'),(15,2162504,'2',102,'N'),(15,2162512,'1',316,'N'),(15,2162512,'2',420,'N'),(15,2162520,'1',103,'N'),(15,2162520,'2',444,'N'),(15,2162539,'1',9,'N'),(15,2162539,'2',308,'N'),(15,2162547,'1',319,'N'),(15,2162547,'2',427,'N'),(15,2162555,'1',101,'N'),(15,2162555,'2',102,'N'),(15,2162563,'1',207,'N'),(15,2162563,'1A',215,'N'),(15,2162563,'2',316,'N'),(15,2162571,'1',103,'N'),(15,2162571,'2',303,'N'),(15,2162580,'1',202,'N'),(15,2162580,'2',213,'N'),(15,2162601,'1',319,'N'),(15,2162601,'2',326,'N'),(15,2162610,'1',429,'N'),(15,2162610,'1A',425,'N'),(15,2162610,'2',324,'N'),(15,2162636,'1',9,'N'),(15,2162636,'2',421,'N'),(15,2162644,'1',103,'N'),(15,2162644,'2',108,'N'),(15,2162652,'1',211,'N'),(15,2162652,'1A',215,'N'),(15,2162652,'2',333,'N'),(15,2162660,'1',212,'N'),(15,2162660,'2',303,'N'),(15,2162679,'1',223,'N'),(15,2162679,'2',308,'N'),(15,2162687,'1',104,'N'),(15,2162687,'2',332,'N'),(15,2162717,'1',103,'N'),(15,2162717,'2',331,'N'),(15,2162725,'1',5,'N'),(15,2162725,'2',102,'N'),(15,2162733,'1',214,'N'),(15,2162733,'1A',203,'N'),(15,2162733,'2',404,'N'),(15,2162741,'1',303,'N'),(15,2162741,'2',501,'N'),(15,2162750,'1',420,'N'),(15,2162750,'2',326,'N'),(15,2162768,'1',104,'N'),(15,2162776,'1',339,'N'),(15,2162776,'2',423,'N'),(15,2162784,'1',103,'N'),(15,2162784,'2',328,'N'),(15,2162792,'1',207,'N'),(15,2162792,'2',201,'N'),(15,2162806,'1',426,'N'),(15,2162806,'1A',428,'N'),(15,2162806,'2',329,'N'),(15,2162814,'1',102,'N'),(15,2162814,'2',217,'N'),(15,2162822,'1',9,'N'),(15,2162822,'2',215,'N'),(15,2162830,'1',5,'N'),(15,2162830,'2',207,'N'),(15,2162857,'1',103,'N'),(15,2162857,'2',101,'N'),(15,2162865,'1',103,'N'),(15,2162865,'2',102,'N'),(15,2162873,'1',333,'N'),(15,2162873,'2',502,'N'),(15,2162881,'1',103,'N'),(15,2162881,'2',217,'N'),(15,2162890,'1',233,'N'),(15,2162890,'1A',211,'N'),(15,2162890,'2',217,'N'),(15,2162920,'1',327,'N'),(15,2162920,'2',333,'N'),(15,2162938,'1',316,'N'),(15,2162938,'2',108,'N'),(15,2162946,'1',318,'N'),(15,2162946,'2',421,'N'),(15,2162962,'1',303,'N'),(15,2162989,'1',215,'N'),(15,2162989,'1A',233,'N'),(15,2162989,'2',213,'N'),(15,2162997,'1',103,'N'),(15,2162997,'2',101,'N'),(15,2163004,'1',101,'N'),(15,2163004,'2',425,'N'),(15,2163012,'1',103,'N'),(15,2163012,'2',102,'N'),(15,2163020,'1',220,'N'),(15,2163020,'1A',203,'N'),(15,2163039,'1',220,'N'),(15,2163039,'1A',213,'N'),(15,2163039,'2',201,'N'),(15,2163047,'1',207,'N'),(15,2163047,'2',319,'N'),(15,2163055,'1',214,'N'),(15,2163055,'1A',203,'N'),(15,2163055,'2',404,'N'),(15,2163063,'1',102,'N'),(15,2163063,'2',9,'N'),(15,2163071,'1',415,'N'),(15,2163071,'2',108,'N'),(15,2163080,'1',324,'N'),(15,2163080,'2',224,'N'),(15,2163098,'1',213,'N'),(15,2163098,'1A',208,'N'),(15,2163098,'2',316,'N'),(15,2163101,'1',316,'N'),(15,2163110,'1',420,'N'),(15,2163110,'2',216,'N'),(15,2163128,'1',327,'N'),(15,2163128,'2',5,'N'),(15,2163136,'1',301,'N'),(15,2163136,'2',316,'N'),(15,2163152,'1',415,'N'),(15,2163152,'2',2,'N'),(15,2163160,'1',301,'N'),(15,2163160,'2',420,'N'),(15,2163179,'1',207,'N'),(15,2163179,'1A',201,'N'),(15,2163179,'2',217,'N'),(15,2163187,'1',501,'N'),(15,2163187,'2',217,'N'),(15,2163195,'1',101,'N'),(15,2163195,'2',309,'N'),(15,2163209,'1',333,'N'),(15,2163209,'2',502,'N'),(15,2163217,'1',208,'N'),(15,2163217,'2',238,'N'),(15,2163225,'1',104,'N'),(15,2163225,'2',424,'N'),(15,2163233,'1',108,'N'),(15,2163233,'2',207,'N'),(15,2163241,'1',208,'N'),(15,2163241,'1A',238,'N'),(15,2163241,'2',222,'N'),(15,2163250,'1',101,'N'),(15,2163250,'2',319,'N'),(15,2163268,'1',224,'N'),(15,2163268,'2',223,'N'),(15,2163276,'1',301,'N'),(15,2163276,'2',316,'N'),(15,2163284,'1',444,'N'),(15,2163284,'2',324,'N'),(15,2163306,'1',415,'N'),(15,2163306,'2',450,'N'),(15,2163314,'1',420,'N'),(15,2163322,'1',103,'N'),(15,2163365,'1',324,'N'),(15,2163365,'2',421,'N'),(15,2163373,'1',103,'N'),(15,2163373,'2',108,'N'),(15,2163381,'1',319,'N'),(15,2163381,'2',326,'N'),(15,2163390,'1',103,'N'),(15,2163390,'2',5,'N'),(15,2163403,'1',207,'N'),(15,2163403,'1A',233,'N'),(15,2163403,'2',222,'N'),(15,2163411,'1',207,'N'),(15,2163411,'1A',201,'N'),(15,2163411,'2',420,'N'),(15,2163420,'1',332,'N'),(15,2163420,'2',320,'N'),(15,2163438,'1',101,'N'),(15,2163438,'2',327,'N'),(15,2163454,'1',207,'N'),(15,2163454,'2',415,'N'),(15,2163470,'1',207,'N'),(15,2163470,'1A',201,'N'),(15,2163470,'2',212,'N'),(15,2163489,'1',9,'N'),(15,2163489,'2',326,'N'),(15,2163500,'1',102,'N'),(15,2163500,'2',104,'N'),(15,2163519,'1',103,'N'),(15,2163519,'2',215,'N'),(15,2163535,'1',220,'N'),(15,2163535,'2',214,'N'),(15,2163543,'1',316,'N'),(15,2163543,'2',425,'N'),(15,2163551,'1',5,'N'),(15,2163551,'2',329,'N'),(15,2163560,'1',201,'N'),(15,2163560,'1A',211,'N'),(15,2163578,'1',103,'N'),(15,2163578,'2',216,'N'),(15,2163586,'1',103,'N'),(15,2163586,'2',104,'N'),(15,2163594,'1',103,'N'),(15,2163594,'2',101,'N'),(15,2163608,'1',108,'N'),(15,2163608,'2',316,'N'),(15,2163616,'1',415,'N'),(15,2163616,'2',425,'N'),(15,2163624,'1',201,'N'),(15,2163632,'1',451,'N'),(15,2163632,'2',308,'N'),(15,2163667,'1',317,'N'),(15,2163667,'2',339,'N'),(15,2163675,'1',208,'N'),(15,2163675,'1A',238,'N'),(15,2163675,'2',225,'N'),(15,2163683,'1',103,'N'),(15,2163683,'2',104,'N'),(15,2163691,'1',425,'N'),(15,2163691,'1A',429,'N'),(15,2163691,'2',423,'N'),(15,2163705,'1',415,'N'),(15,2163713,'1',215,'N'),(15,2163713,'2',415,'N'),(15,2163730,'1',207,'N'),(15,2163730,'1A',212,'N'),(15,2163730,'2',201,'N'),(15,2163748,'1',450,'N'),(15,2163748,'2',331,'N'),(15,2163756,'1',303,'N'),(15,2163756,'2',5,'N'),(15,2163764,'1',328,'N'),(15,2163764,'2',427,'N'),(15,2163772,'1',207,'N'),(15,2163772,'1A',201,'N'),(15,2163772,'2',103,'N'),(15,2163780,'1',319,'N'),(15,2163780,'2',102,'N'),(15,2163799,'1',103,'N'),(15,2163799,'2',425,'N'),(15,2163810,'1',450,'N'),(15,2163810,'2',214,'N'),(15,2163829,'1',216,'N'),(15,2163829,'1A',215,'N'),(15,2163829,'2',102,'N'),(15,2163837,'1',303,'N'),(15,2163837,'2',5,'N'),(15,2163845,'1',103,'N'),(15,2163853,'1',103,'N'),(15,2163853,'2',319,'N'),(15,2163861,'1',103,'N'),(15,2163861,'2',9,'N'),(15,2163888,'1',319,'N'),(15,2163896,'1',303,'N'),(15,2163896,'2',415,'N'),(15,2163900,'1',301,'N'),(15,2163900,'2',420,'N'),(15,2163918,'1',317,'N'),(15,2163918,'2',304,'N'),(15,2163926,'1',216,'N'),(15,2163926,'1A',233,'N'),(15,2163926,'2',217,'N'),(15,2163942,'1',332,'N'),(15,2163942,'2',223,'N'),(15,2163950,'1',444,'N'),(15,2163950,'2',324,'N'),(15,2163969,'1',103,'N'),(15,2163977,'1',103,'N'),(15,2163977,'2',212,'N'),(15,2163985,'1',233,'N'),(15,2163985,'1A',201,'N'),(15,2163985,'2',215,'N'),(15,2163993,'1',102,'N'),(15,2163993,'2',101,'N'),(15,2164000,'1',102,'N'),(15,2164000,'2',217,'N'),(15,2164019,'1',9,'N'),(15,2164019,'2',333,'N'),(15,2164027,'1',203,'N'),(15,2164027,'1A',202,'N'),(15,2164027,'2',222,'N'),(15,2164035,'1',104,'N'),(15,2164035,'2',9,'N'),(15,2164043,'1',104,'N'),(15,2164043,'2',444,'N'),(15,2164051,'1',103,'N'),(15,2164051,'2',104,'N'),(15,2164060,'1',103,'N'),(15,2164060,'2',303,'N'),(15,2164094,'1',201,'N'),(15,2164094,'1A',203,'N'),(15,2164094,'2',202,'N'),(15,2164108,'1',319,'N'),(15,2164108,'2',101,'N'),(15,2164116,'1',451,'N'),(15,2164116,'2',332,'N'),(15,2164124,'1',5,'N'),(15,2164124,'2',203,'N'),(15,2164132,'1',203,'N'),(15,2164132,'1A',214,'N'),(15,2164140,'1',203,'N'),(15,2164140,'2',220,'N'),(15,2164159,'1',103,'N'),(15,2164159,'2',104,'N'),(15,2164167,'1',420,'N'),(15,2164167,'2',316,'N'),(15,2164175,'1',103,'N'),(15,2164175,'2',104,'N'),(15,2164205,'1',328,'N'),(15,2164205,'2',310,'N'),(15,2164213,'1',319,'N'),(15,2164213,'2',316,'N'),(15,2164221,'1',104,'N'),(15,2164221,'2',103,'N'),(15,2164230,'1',103,'N'),(15,2164230,'2',104,'N'),(15,2164248,'1',208,'N'),(15,2164248,'1A',238,'N'),(15,2164248,'2',222,'N'),(15,2164264,'1',308,'N'),(15,2164264,'2',309,'N'),(15,2164272,'1',207,'N'),(15,2164272,'1A',233,'N'),(15,2164280,'1',104,'N'),(15,2164280,'2',319,'N'),(15,2164299,'1',103,'N'),(15,2164299,'2',319,'N'),(15,2164302,'1',208,'N'),(15,2164302,'1A',238,'N'),(15,2164302,'2',301,'N'),(15,2164310,'1',103,'N'),(15,2164310,'2',101,'N'),(15,2164337,'1',103,'N'),(15,2164337,'2',327,'N'),(15,2164345,'1',429,'N'),(15,2164345,'1A',425,'N'),(15,2164345,'2',302,'N'),(15,2164353,'1',102,'N'),(15,2164353,'2',215,'N'),(15,2164361,'1',426,'N'),(15,2164361,'1A',428,'N'),(15,2164361,'2',339,'N'),(15,2164370,'1',103,'N'),(15,2164370,'2',104,'N'),(15,2164400,'1',211,'N'),(15,2164400,'1A',233,'N'),(15,2164400,'2',444,'N'),(15,2164426,'1',303,'N'),(15,2164426,'2',5,'N'),(15,2164434,'1',302,'N'),(15,2164434,'2',421,'N'),(15,2164442,'1',339,'N'),(15,2164442,'2',415,'N'),(15,2164450,'1',327,'N'),(15,2164469,'1',104,'N'),(15,2164469,'2',102,'N'),(15,2164477,'1',316,'N'),(15,2164477,'2',318,'N'),(15,2164485,'1',220,'N'),(15,2164485,'1A',203,'N'),(15,2164485,'2',216,'N'),(15,2164515,'1',216,'N'),(15,2164515,'1A',203,'N'),(15,2164515,'2',211,'N'),(15,2164523,'1',332,'N'),(15,2164523,'2',339,'N'),(15,2164531,'1',108,'N'),(15,2164531,'2',333,'N'),(15,2164540,'1',101,'N'),(15,2164540,'2',339,'N'),(15,2164566,'1',103,'N'),(15,2164566,'2',101,'N'),(15,2164574,'1',217,'N'),(15,2164574,'2',108,'N'),(15,2164582,'1',339,'N'),(15,2164582,'2',327,'N'),(15,2164590,'1',5,'N'),(15,2164590,'2',303,'N'),(15,2164604,'1',103,'N'),(15,2164604,'2',108,'N'),(15,2164612,'1',301,'N'),(15,2164612,'2',316,'N'),(15,2164620,'1',415,'N'),(15,2164620,'2',423,'N'),(15,2164639,'1',103,'N'),(15,2164639,'2',9,'N'),(15,2164647,'1',102,'N'),(15,2164647,'2',217,'N'),(15,2164655,'1',216,'N'),(15,2164655,'1A',201,'N'),(15,2164655,'2',316,'N'),(15,2164663,'1',450,'N'),(15,2164663,'2',424,'N'),(15,2164671,'1',331,'N'),(15,2164671,'2',324,'N'),(15,2164680,'1',238,'N'),(15,2164680,'1A',202,'N'),(15,2164680,'2',332,'N'),(15,2164698,'1',317,'N'),(15,2164698,'2',102,'N'),(15,2164701,'1',108,'N'),(15,2164701,'2',234,'N'),(15,2164710,'1',211,'N'),(15,2164710,'1A',215,'N'),(15,2164710,'2',309,'N'),(15,2164728,'1',301,'N'),(15,2164728,'2',316,'N'),(15,2164736,'1',203,'N'),(15,2164736,'2',216,'N'),(15,2164744,'1',319,'N'),(15,2164744,'2',9,'N'),(15,2164752,'1',333,'N'),(15,2164752,'2',108,'N'),(15,2164760,'1',103,'N'),(15,2164760,'2',319,'N'),(15,2164779,'1',103,'N'),(15,2164779,'2',333,'N'),(15,2164787,'1',319,'N'),(15,2164787,'2',429,'N'),(15,2164809,'1',333,'N'),(15,2164809,'2',215,'N'),(15,2164817,'1',303,'N'),(15,2164817,'2',9,'N'),(15,2164825,'1',103,'N'),(15,2164825,'2',216,'N'),(15,2164833,'1',214,'N'),(15,2164833,'1A',203,'N'),(15,2164833,'2',302,'N'),(15,2164841,'1',103,'N'),(15,2164841,'2',108,'N'),(15,2164850,'1',104,'N'),(15,2164850,'2',103,'N'),(15,2164868,'1',203,'N'),(15,2164868,'1A',208,'N'),(15,2164868,'2',238,'N'),(15,2164876,'1',308,'N'),(15,2164876,'2',224,'N'),(15,2164884,'1',415,'N'),(15,2164884,'2',450,'N'),(15,2164892,'1',104,'N'),(15,2164892,'2',217,'N'),(15,2164906,'1',220,'N'),(15,2164906,'1A',202,'N'),(15,2164906,'2',201,'N'),(15,2164914,'1',201,'N'),(15,2164914,'1A',202,'N'),(15,2164914,'2',203,'N'),(15,2164922,'1',103,'N'),(15,2164922,'2',216,'N'),(15,2164930,'1',415,'N'),(15,2164930,'2',451,'N'),(15,2164949,'1',5,'N'),(15,2164949,'2',319,'N'),(15,2164957,'1',104,'N'),(15,2164957,'2',319,'N'),(15,2164965,'1',104,'N'),(15,2164965,'2',101,'N'),(15,2164973,'1',303,'N'),(15,2164973,'2',415,'N'),(15,2164981,'1',103,'N'),(15,2164981,'2',319,'N'),(15,2164990,'1',220,'N'),(15,2164990,'1A',202,'N'),(15,2164990,'2',201,'N'),(15,2165007,'1',201,'N'),(15,2165007,'1A',238,'N'),(15,2165007,'2',213,'N'),(15,2165023,'1',214,'N'),(15,2165023,'1A',213,'N'),(15,2165023,'2',211,'N'),(15,2165031,'1',103,'N'),(15,2165031,'2',201,'N'),(15,2165040,'1',303,'N'),(15,2165040,'2',5,'N'),(15,2165058,'1',103,'N'),(15,2165058,'2',104,'N'),(15,2165066,'1',202,'N'),(15,2165074,'1',104,'N'),(15,2165074,'2',102,'N'),(15,2165082,'1',426,'N'),(15,2165082,'1A',428,'N'),(15,2165082,'2',317,'N'),(15,2165090,'1',108,'N'),(15,2165090,'2',426,'N'),(15,2165104,'1',215,'N'),(15,2165104,'1A',216,'N'),(15,2165104,'2',217,'N'),(15,2165112,'1',201,'N'),(15,2165112,'1A',212,'N'),(15,2165112,'2',333,'N'),(15,2165120,'1',502,'N'),(15,2165120,'2',217,'N'),(15,2165155,'1',308,'N'),(15,2165155,'2',324,'N'),(15,2165163,'1',102,'N'),(15,2165163,'2',318,'N'),(15,2165171,'1',319,'N'),(15,2165171,'2',308,'N'),(15,2165180,'1',103,'N'),(15,2165180,'2',319,'N'),(15,2165198,'1',108,'N'),(15,2165198,'2',211,'N'),(15,2165201,'1',423,'N'),(15,2165201,'1A',425,'N'),(15,2165201,'2',339,'N'),(15,2165236,'1',203,'N'),(15,2165236,'1A',202,'N'),(15,2165236,'2',201,'N'),(15,2165244,'1',333,'N'),(15,2165244,'2',234,'N'),(15,2165252,'1',324,'N'),(15,2165252,'2',328,'N'),(15,2165260,'1',203,'N'),(15,2165260,'1A',214,'N'),(15,2165260,'2',2,'N'),(15,2165279,'1',104,'N'),(15,2165279,'2',318,'N'),(15,2165287,'1',222,'N'),(15,2165287,'2',224,'N'),(15,2165295,'1',319,'N'),(15,2165295,'2',501,'N'),(15,2165309,'1',319,'N'),(15,2165309,'2',327,'N'),(15,2165317,'1',302,'N'),(15,2165317,'2',101,'N'),(15,2165325,'1',103,'N'),(15,2165325,'2',203,'N'),(15,2165333,'1',310,'N'),(15,2165333,'2',320,'N'),(15,2165341,'1',302,'N'),(15,2165341,'2',304,'N'),(15,2165368,'1',108,'N'),(15,2165368,'2',501,'N'),(15,2165376,'1',203,'N'),(15,2165376,'1A',214,'N'),(15,2165376,'2',220,'N'),(15,2165384,'1',103,'N'),(15,2165406,'1',5,'N'),(15,2165406,'2',102,'N'),(15,2165414,'1',103,'N'),(15,2165422,'1',303,'N'),(15,2165422,'2',329,'N'),(15,2165430,'1',301,'N'),(15,2165430,'2',316,'N'),(15,2165449,'1',103,'N'),(15,2165449,'2',207,'N'),(15,2165457,'1',224,'N'),(15,2165457,'2',318,'N'),(15,2165465,'1',333,'N'),(15,2165465,'2',108,'N'),(15,2165473,'1',208,'N'),(15,2165473,'1A',238,'N'),(15,2165473,'2',404,'N'),(15,2165481,'1',415,'N'),(15,2165481,'2',327,'N'),(15,2165490,'1',103,'N'),(15,2165490,'2',9,'N'),(15,2165511,'1',2,'N'),(15,2165511,'2',225,'N'),(15,2165520,'1',444,'N'),(15,2165520,'2',404,'N'),(15,2165538,'1',5,'N'),(15,2165538,'2',201,'N'),(15,2165546,'1',214,'N'),(15,2165546,'1A',213,'N'),(15,2165546,'2',220,'N'),(15,2165570,'1',102,'N'),(15,2165570,'2',444,'N'),(15,2165589,'1',317,'N'),(15,2165589,'2',318,'N'),(15,2165597,'1',214,'N'),(15,2165597,'1A',211,'N'),(15,2165597,'2',301,'N'),(15,2165619,'1',103,'N'),(15,2165627,'1',103,'N'),(15,2165627,'2',303,'N'),(15,2165643,'1',103,'N'),(15,2165643,'2',108,'N'),(15,2165651,'1',308,'N'),(15,2165651,'2',426,'N'),(15,2165660,'1',201,'N'),(15,2165660,'1A',212,'N'),(15,2165660,'2',203,'N'),(15,2165678,'1',207,'N'),(15,2165678,'2',420,'N'),(15,2165694,'1',104,'N'),(15,2165694,'2',103,'N'),(15,2165708,'1',201,'N'),(15,2165708,'1A',212,'N'),(15,2165708,'2',2,'N'),(15,2165716,'1',339,'N'),(15,2165716,'2',324,'N'),(15,2165724,'1',5,'N'),(15,2165724,'2',339,'N'),(15,2165732,'1',319,'N'),(15,2165732,'2',308,'N'),(15,2165740,'1',238,'N'),(15,2165740,'1A',208,'N'),(15,2165740,'2',104,'N'),(15,2165759,'1',103,'N'),(15,2165759,'2',104,'N'),(15,2165767,'1',203,'N'),(15,2165767,'1A',201,'N'),(15,2165767,'2',207,'N'),(15,2165775,'1',103,'N'),(15,2165775,'2',102,'N'),(15,2165783,'1',202,'N'),(15,2165783,'1A',208,'N'),(15,2165783,'2',2,'N'),(15,2165791,'1',103,'N'),(15,2165791,'2',326,'N'),(15,2165805,'1',207,'N'),(15,2165805,'1A',201,'N'),(15,2165805,'2',212,'N'),(15,2165813,'1',5,'N'),(15,2165813,'2',319,'N'),(15,2165821,'1',108,'N'),(15,2165821,'2',225,'N'),(15,2165830,'1',224,'N'),(15,2165830,'2',327,'N'),(15,2165856,'1',301,'N'),(15,2165856,'2',316,'N'),(15,2165864,'1',103,'N'),(15,2165864,'2',9,'N'),(15,2165872,'1',211,'N'),(15,2165872,'1A',216,'N'),(15,2165872,'2',201,'N'),(15,2165880,'1',303,'N'),(15,2165880,'2',415,'N'),(15,2165899,'1',501,'N'),(15,2165899,'2',316,'N'),(15,2165902,'1',208,'N'),(15,2165902,'1A',201,'N'),(15,2165902,'2',216,'N'),(15,2165910,'1',333,'N'),(15,2165910,'2',211,'N'),(15,2165929,'1',103,'N'),(15,2165929,'2',9,'N'),(15,2165937,'1',420,'N'),(15,2165937,'2',238,'N'),(15,2165945,'1',316,'N'),(15,2165945,'2',318,'N'),(15,2165953,'1',103,'N'),(15,2165953,'2',216,'N'),(15,2165961,'1',420,'N'),(15,2165961,'2',302,'N'),(15,2165970,'1',301,'N'),(15,2165988,'1',329,'N'),(15,2165988,'2',327,'N'),(15,2166003,'1',203,'N'),(15,2166003,'1A',214,'N'),(15,2166003,'2',212,'N'),(15,2166020,'1',211,'N'),(15,2166020,'2',502,'N'),(15,2166038,'1',207,'N'),(15,2166038,'1A',201,'N'),(15,2166038,'2',216,'N'),(15,2166046,'1',207,'N'),(15,2166046,'1A',202,'N'),(15,2166046,'2',2,'N'),(15,2166062,'1',217,'N'),(15,2166062,'2',324,'N'),(15,2166070,'1',217,'N'),(15,2166070,'2',339,'N'),(15,2166097,'1',103,'N'),(15,2166097,'2',104,'N'),(15,2166100,'1',303,'N'),(15,2166100,'2',301,'N'),(15,2166127,'1',103,'N'),(15,2166127,'2',319,'N'),(15,2166135,'1',216,'N'),(15,2166135,'1A',207,'N'),(15,2166135,'2',102,'N'),(15,2166143,'1',303,'N'),(15,2166143,'2',415,'N'),(15,2166151,'1',328,'N'),(15,2166151,'2',425,'N'),(15,2166160,'1',451,'N'),(15,2166160,'2',333,'N'),(15,2166178,'1',220,'N'),(15,2166178,'1A',238,'N'),(15,2166194,'1',502,'N'),(15,2166194,'2',301,'N'),(15,2166208,'1',102,'N'),(15,2166208,'2',319,'N'),(15,2166216,'1',103,'N'),(15,2166224,'1',104,'N'),(15,2166224,'2',324,'N'),(15,2166232,'1',303,'N'),(15,2166232,'2',5,'N'),(15,2166240,'1',203,'N'),(15,2166240,'1A',215,'N'),(15,2166240,'2',213,'N'),(15,2166259,'1',318,'N'),(15,2166259,'2',324,'N'),(15,2166267,'1',103,'N'),(15,2166267,'2',104,'N'),(15,2166275,'1',318,'N'),(15,2166275,'2',304,'N'),(15,2166283,'1',208,'N'),(15,2166283,'1A',238,'N'),(15,2166283,'2',222,'N'),(15,2166291,'1',302,'N'),(15,2166291,'2',423,'N'),(15,2166305,'1',217,'N'),(15,2166305,'2',423,'N'),(15,2166313,'1',207,'N'),(15,2166313,'2',429,'N'),(15,2166330,'1',104,'N'),(15,2166330,'2',207,'N'),(15,2166356,'1',420,'N'),(15,2166356,'2',208,'N'),(15,2166364,'1',207,'N'),(15,2166364,'1A',201,'N'),(15,2166364,'2',212,'N'),(15,2166372,'1',216,'N'),(15,2166372,'1A',215,'N'),(15,2166372,'2',301,'N'),(15,2166402,'1',220,'N'),(15,2166402,'1A',202,'N'),(15,2166402,'2',213,'N'),(15,2166410,'1',104,'N'),(15,2166429,'1',201,'N'),(15,2166429,'1A',212,'N'),(15,2166429,'2',304,'N'),(15,2166437,'1',5,'N'),(15,2166437,'2',238,'N'),(15,2166453,'1',333,'N'),(15,2166453,'2',208,'N'),(15,2166461,'1',234,'N'),(15,2166461,'2',502,'N'),(15,2166470,'1',303,'N'),(15,2166470,'2',301,'N'),(15,2166488,'1',415,'N'),(15,2166488,'2',450,'N'),(15,2166496,'1',108,'N'),(15,2166496,'2',234,'N'),(15,2166500,'1',5,'N'),(15,2166500,'2',333,'N'),(15,2166518,'1',208,'N'),(15,2166518,'1A',238,'N'),(15,2166518,'2',222,'N'),(15,2166526,'1',102,'N'),(15,2166534,'1',303,'N'),(15,2166542,'1',213,'N'),(15,2166542,'1A',238,'N'),(15,2166542,'2',424,'N'),(15,2166550,'1',203,'N'),(15,2166550,'1A',201,'N'),(15,2166550,'2',214,'N'),(15,2166569,'1',5,'N'),(15,2166569,'2',320,'N'),(15,2166585,'1',212,'N'),(15,2166585,'1A',201,'N'),(15,2166585,'2',214,'N'),(15,2166593,'1',211,'N'),(15,2166593,'1A',207,'N'),(15,2166593,'2',332,'N'),(15,2166607,'1',103,'N'),(15,2166607,'2',102,'N'),(15,2166615,'1',103,'N'),(15,2166615,'2',102,'N'),(15,2166623,'1',216,'N'),(15,2166623,'1A',233,'N'),(15,2166623,'2',444,'N'),(15,2166631,'1',104,'N'),(15,2166631,'2',208,'N'),(15,2166640,'1',423,'N'),(15,2166640,'1A',427,'N'),(15,2166640,'2',426,'N'),(15,2166674,'1',202,'N'),(15,2166674,'1A',201,'N'),(15,2166674,'2',203,'N'),(15,2166682,'1',207,'N'),(15,2166682,'1A',201,'N'),(15,2166682,'2',420,'N'),(15,2166690,'1',224,'N'),(15,2166690,'2',426,'N'),(15,2166704,'1',102,'N'),(15,2166704,'2',215,'N'),(15,2166712,'1',203,'N'),(15,2166712,'1A',233,'N'),(15,2166712,'2',217,'N'),(15,2166720,'1',102,'N'),(15,2166720,'2',108,'N'),(15,2166739,'1',214,'N'),(15,2166739,'1A',203,'N'),(15,2166739,'2',333,'N'),(15,2166747,'1',301,'N'),(15,2166747,'2',428,'N'),(15,2166755,'1',201,'N'),(15,2166755,'1A',212,'N'),(15,2166755,'2',421,'N'),(15,2166763,'1',303,'N'),(15,2166763,'2',5,'N'),(15,2166771,'1',233,'N'),(15,2166771,'1A',214,'N'),(15,2166771,'2',318,'N'),(15,2166780,'1',238,'N'),(15,2166780,'1A',212,'N'),(15,2166780,'2',304,'N'),(15,2166798,'1',333,'N'),(15,2166798,'2',217,'N'),(15,2166801,'1',444,'N'),(15,2166801,'2',404,'N'),(15,2166810,'1',208,'N'),(15,2166828,'1',203,'N'),(15,2166836,'1',5,'N'),(15,2166836,'2',316,'N'),(15,2166844,'1',208,'N'),(15,2166844,'1A',238,'N'),(15,2166844,'2',222,'N'),(15,2166852,'1',207,'N'),(15,2166852,'1A',212,'N'),(15,2166852,'2',309,'N'),(15,2166860,'1',103,'N'),(15,2166860,'2',333,'N'),(15,2166879,'1',207,'N'),(15,2166879,'1A',201,'N'),(15,2166879,'2',420,'N'),(15,2166887,'1',220,'N'),(15,2166887,'1A',211,'N'),(15,2166887,'2',224,'N'),(15,2166895,'1',450,'N'),(15,2166895,'2',415,'N'),(15,2166909,'1',319,'N'),(15,2166909,'2',415,'N'),(15,2166917,'1',103,'N'),(15,2166917,'2',104,'N'),(15,2166933,'1',404,'N'),(15,2166933,'2',332,'N'),(15,2166968,'1',208,'N'),(15,2166968,'1A',238,'N'),(15,2166968,'2',108,'N'),(15,2166976,'1',214,'N'),(15,2166976,'1A',212,'N'),(15,2166976,'2',304,'N'),(15,2166984,'1',211,'N'),(15,2166984,'2',415,'N'),(15,2166992,'1',104,'N'),(15,2166992,'2',102,'N'),(15,2167000,'1',207,'N'),(15,2167000,'1A',211,'N'),(15,2167000,'2',212,'N'),(15,2167018,'1',238,'N'),(15,2167018,'1A',208,'N'),(15,2167018,'2',301,'N'),(15,2167026,'1',9,'N'),(15,2167026,'2',444,'N'),(15,2167034,'1',216,'N'),(15,2167034,'1A',211,'N'),(15,2167034,'2',233,'N'),(15,2167042,'1',101,'N'),(15,2167042,'2',308,'N'),(15,2167050,'1',103,'N'),(15,2167050,'2',9,'N'),(15,2167077,'1',444,'N'),(15,2167077,'2',404,'N'),(15,2167085,'1',333,'N'),(15,2167093,'1',103,'N'),(15,2167093,'2',104,'N'),(15,2167107,'1',103,'N'),(15,2167107,'2',303,'N'),(15,2167115,'1',103,'N'),(15,2167115,'2',102,'N'),(15,2167123,'1',316,'N'),(15,2167123,'2',223,'N'),(15,2167131,'1',316,'N'),(15,2167131,'2',318,'N'),(15,2167140,'1',103,'N'),(15,2167158,'1',339,'N'),(15,2167158,'2',316,'N'),(15,2167166,'1',301,'N'),(15,2167166,'2',304,'N'),(15,2167174,'1',103,'N'),(15,2167174,'2',216,'N'),(15,2167182,'1',5,'N'),(15,2167182,'2',318,'N'),(15,2167190,'1',203,'N'),(15,2167190,'1A',202,'N'),(15,2167190,'2',223,'N'),(15,2167204,'1',103,'N'),(15,2167204,'2',201,'N'),(15,2167220,'1',420,'N'),(15,2167220,'2',450,'N'),(15,2167239,'1',103,'N'),(15,2167239,'2',319,'N'),(15,2167247,'1',303,'N'),(15,2167247,'2',5,'N'),(15,2167255,'1',339,'N'),(15,2167255,'2',309,'N'),(15,2167263,'1',303,'N'),(15,2167263,'2',428,'N'),(15,2167271,'1',310,'N'),(15,2167271,'2',451,'N'),(15,2167280,'1',213,'N'),(15,2167280,'1A',202,'N'),(15,2167280,'2',225,'N'),(15,2167298,'1',207,'N'),(15,2167298,'1A',201,'N'),(15,2167298,'2',415,'N'),(15,2167310,'1',316,'N'),(15,2167310,'2',420,'N'),(15,2167328,'1',5,'N'),(15,2167328,'2',415,'N'),(15,2167336,'1',102,'N'),(15,2167336,'2',9,'N'),(15,2167344,'1',103,'N'),(15,2167344,'2',319,'N'),(15,2167352,'1',103,'N'),(15,2167352,'2',502,'N'),(15,2167360,'1',420,'N'),(15,2167360,'2',207,'N'),(15,2167379,'1',223,'N'),(15,2167379,'2',224,'N'),(15,2167387,'1',450,'N'),(15,2167387,'2',208,'N'),(15,2167395,'1',316,'N'),(15,2167395,'2',444,'N'),(15,2167409,'1',103,'N'),(15,2167409,'2',104,'N'),(15,2167417,'1',101,'N'),(15,2167417,'2',339,'N'),(15,2167425,'1',215,'N'),(15,2167425,'1A',216,'N'),(15,2167425,'2',501,'N'),(15,2167433,'1',316,'N'),(15,2167433,'2',425,'N'),(15,2167441,'1',203,'N'),(15,2167441,'1A',214,'N'),(15,2167441,'2',224,'N'),(15,2167450,'1',103,'N'),(15,2167450,'2',104,'N'),(15,2167468,'1',203,'N'),(15,2167468,'1A',233,'N'),(15,2167468,'2',301,'N'),(15,2167484,'1',201,'N'),(15,2167484,'1A',207,'N'),(15,2167484,'2',104,'N'),(15,2167492,'1',320,'N'),(15,2167492,'2',332,'N'),(15,2167506,'1',103,'N'),(15,2167506,'2',9,'N'),(15,2167514,'1',444,'N'),(15,2167514,'2',404,'N'),(15,2167522,'1',104,'N'),(15,2167522,'2',302,'N'),(15,2167530,'1',103,'N'),(15,2167530,'2',216,'N'),(15,2167549,'1',104,'N'),(15,2167549,'2',316,'N'),(15,2167557,'1',5,'N'),(15,2167557,'2',316,'N'),(15,2167565,'1',108,'N'),(15,2167565,'2',211,'N'),(15,2167573,'1',101,'N'),(15,2167573,'2',423,'N'),(15,2167581,'1',103,'N'),(15,2167581,'2',215,'N'),(15,2167590,'1',207,'N'),(15,2167590,'1A',201,'N'),(15,2167590,'2',420,'N'),(15,2167611,'1',404,'N'),(15,2167611,'2',324,'N'),(15,2167620,'1',203,'N'),(15,2167620,'1A',201,'N'),(15,2167620,'2',2,'N'),(15,2167646,'1',216,'N'),(15,2167646,'1A',233,'N'),(15,2167646,'2',217,'N'),(15,2167654,'1',207,'N'),(15,2167654,'2',308,'N'),(15,2167662,'1',203,'N'),(15,2167662,'1A',233,'N'),(15,2167662,'2',327,'N'),(15,2167670,'1',103,'N'),(15,2167670,'2',201,'N'),(15,2167689,'1',428,'N'),(15,2167689,'1A',424,'N'),(15,2167689,'2',324,'N'),(15,2167697,'1',103,'N'),(15,2167719,'1',104,'N'),(15,2167719,'2',102,'N'),(15,2167727,'1',103,'N'),(15,2167727,'2',104,'N'),(15,2167743,'1',420,'N'),(15,2167743,'2',333,'N'),(15,2167751,'1',211,'N'),(15,2167751,'2',213,'N'),(15,2167760,'1',308,'N'),(15,2167760,'2',339,'N'),(15,2167778,'1',102,'N'),(15,2167778,'2',324,'N'),(15,2167786,'1',423,'N'),(15,2167786,'1A',424,'N'),(15,2167786,'2',327,'N'),(15,2167794,'1',103,'N'),(15,2167794,'2',104,'N'),(15,2167808,'1',103,'N'),(15,2167808,'2',214,'N'),(15,2167816,'1',317,'N'),(15,2167816,'2',225,'N'),(15,2167840,'1',103,'N'),(15,2167840,'2',104,'N'),(15,2167859,'1',501,'N'),(15,2167859,'2',238,'N'),(15,2167867,'1',103,'N'),(15,2167867,'2',108,'N'),(15,2167883,'1',207,'N'),(15,2167883,'1A',201,'N'),(15,2167883,'2',420,'N'),(15,2167891,'1',303,'N'),(15,2167891,'2',444,'N'),(15,2167913,'1',215,'N'),(15,2167913,'1A',238,'N'),(15,2167913,'2',426,'N'),(15,2167921,'1',103,'N'),(15,2167921,'2',104,'N'),(15,2167930,'1',103,'N'),(15,2167948,'1',104,'N'),(15,2167948,'2',415,'N'),(15,2167956,'1',319,'N'),(15,2167956,'2',304,'N'),(15,2167964,'1',203,'N'),(15,2167964,'1A',214,'N'),(15,2167964,'2',233,'N'),(15,2167972,'1',223,'N'),(15,2167972,'2',222,'N'),(15,2167980,'1',329,'N'),(15,2167980,'2',426,'N'),(15,2167999,'1',207,'N'),(15,2167999,'1A',201,'N'),(15,2167999,'2',211,'N'),(15,2168006,'1',102,'N'),(15,2168006,'2',103,'N'),(15,2168014,'1',211,'N'),(15,2168014,'1A',216,'N'),(15,2168014,'2',217,'N'),(15,2168022,'1',104,'N'),(15,2168022,'2',444,'N'),(15,2168030,'1',201,'N'),(15,2168030,'1A',212,'N'),(15,2168049,'1',103,'N'),(15,2168049,'2',104,'N'),(15,2168057,'1',103,'N'),(15,2168057,'2',303,'N'),(15,2168065,'1',202,'N'),(15,2168065,'1A',238,'N'),(15,2168081,'1',108,'N'),(15,2168081,'2',319,'N'),(15,2168090,'1',9,'N'),(15,2168090,'2',428,'N'),(15,2168103,'1',302,'N'),(15,2168103,'2',319,'N'),(15,2168120,'1',103,'N'),(15,2168120,'2',102,'N'),(15,2168138,'1',103,'N'),(15,2168138,'2',104,'N'),(15,2168146,'1',332,'N'),(15,2168146,'2',331,'N'),(15,2168154,'1',201,'N'),(15,2168154,'1A',233,'N'),(15,2168154,'2',203,'N'),(15,2168162,'1',428,'N'),(15,2168162,'1A',426,'N'),(15,2168162,'2',310,'N'),(15,2168170,'1',103,'N'),(15,2168170,'2',303,'N'),(15,2168189,'1',103,'N'),(15,2168197,'1',318,'N'),(15,2168197,'2',304,'N'),(15,2168200,'1',211,'N'),(15,2168200,'1A',233,'N'),(15,2168200,'2',421,'N'),(15,2168219,'1',101,'N'),(15,2168219,'2',339,'N'),(15,2168227,'1',103,'N'),(15,2168227,'2',101,'N'),(15,2168235,'1',420,'N'),(15,2168235,'2',301,'N'),(15,2168243,'1',303,'N'),(15,2168243,'2',208,'N'),(15,2168251,'1',103,'N'),(15,2168278,'1',316,'N'),(15,2168278,'2',317,'N'),(15,2168286,'1',451,'N'),(15,2168286,'2',324,'N'),(15,2168294,'1',216,'N'),(15,2168294,'1A',233,'N'),(15,2168294,'2',217,'N'),(15,2168308,'1',201,'N'),(15,2168308,'1A',211,'N'),(15,2168308,'2',316,'N'),(15,2168316,'1',415,'N'),(15,2168316,'2',326,'N'),(15,2168332,'1',5,'N'),(15,2168332,'2',317,'N'),(15,2168340,'1',104,'N'),(15,2168340,'2',420,'N'),(15,2168367,'1',220,'N'),(15,2168367,'1A',203,'N'),(15,2168367,'2',202,'N'),(15,2168375,'1',104,'N'),(15,2168375,'2',9,'N'),(15,2168383,'1',103,'N'),(15,2168383,'2',108,'N'),(15,2168391,'1',203,'N'),(15,2168391,'1A',202,'N'),(15,2168391,'2',216,'N'),(15,2168405,'1',444,'N'),(15,2168405,'2',404,'N'),(15,2168413,'1',339,'N'),(15,2168413,'2',308,'N'),(15,2168421,'1',316,'N'),(15,2168421,'2',108,'N'),(15,2168430,'1',304,'N'),(15,2168448,'1',303,'N'),(15,2168448,'2',301,'N'),(15,2168456,'1',102,'N'),(15,2168456,'2',502,'N'),(15,2168464,'1',214,'N'),(15,2168464,'1A',213,'N'),(15,2168464,'2',202,'N'),(15,2168472,'1',207,'N'),(15,2168472,'2',301,'N'),(15,2168480,'1',103,'N'),(15,2168480,'2',101,'N'),(15,2168499,'1',5,'N'),(15,2168499,'2',326,'N'),(15,2168502,'1',303,'N'),(15,2168502,'2',304,'N'),(15,2168510,'1',404,'N'),(15,2168510,'2',444,'N'),(15,2168529,'1',303,'N'),(15,2168529,'2',450,'N'),(15,2168537,'1',103,'N'),(15,2168537,'2',108,'N'),(15,2168545,'1',5,'N'),(15,2168545,'2',303,'N'),(15,2168553,'1',103,'N'),(15,2168553,'2',9,'N'),(15,2168561,'1',301,'N'),(15,2168561,'2',316,'N'),(15,2168588,'1',5,'N'),(15,2168588,'2',326,'N'),(15,2168596,'1',424,'N'),(15,2168600,'1',415,'N'),(15,2168600,'2',450,'N'),(15,2168626,'1',303,'N'),(15,2168626,'2',201,'N'),(15,2168634,'1',216,'N'),(15,2168634,'1A',215,'N'),(15,2168634,'2',404,'N'),(15,2168642,'1',502,'N'),(15,2168642,'2',9,'N'),(15,2168650,'1',220,'N'),(15,2168650,'1A',214,'N'),(15,2168650,'2',223,'N'),(15,2168669,'1',5,'N'),(15,2168669,'2',333,'N'),(15,2168677,'1',304,'N'),(15,2168677,'2',317,'N'),(15,2168685,'1',308,'N'),(15,2168685,'2',331,'N'),(15,2168693,'1',104,'N'),(15,2168693,'2',404,'N'),(15,2168707,'1',303,'N'),(15,2168707,'2',5,'N'),(15,2168715,'1',208,'N'),(15,2168715,'1A',238,'N'),(15,2168715,'2',222,'N'),(15,2168723,'1',201,'N'),(15,2168723,'1A',211,'N'),(15,2168723,'2',207,'N'),(15,2168740,'1',309,'N'),(15,2168740,'2',339,'N'),(15,2168758,'1',103,'N'),(15,2168758,'2',217,'N'),(15,2168766,'1',317,'N'),(15,2168766,'2',316,'N'),(15,2168774,'1',213,'N'),(15,2168782,'1',108,'N'),(15,2168782,'2',102,'N'),(15,2168790,'1',225,'N'),(15,2168790,'2',224,'N'),(15,2168804,'1',211,'N'),(15,2168804,'1A',215,'N'),(15,2168804,'2',234,'N'),(15,2168812,'1',104,'N'),(15,2168812,'2',101,'N'),(15,2168820,'1',103,'N'),(15,2168820,'2',333,'N'),(15,2168839,'1',102,'N'),(15,2168839,'2',216,'N'),(15,2168847,'1',103,'N'),(15,2168847,'2',303,'N'),(15,2168855,'1',104,'N'),(15,2168855,'2',320,'N'),(15,2168871,'1',102,'N'),(15,2168871,'2',101,'N'),(15,2168880,'1',207,'N'),(15,2168880,'1A',220,'N'),(15,2168880,'2',316,'N'),(15,2168898,'1',5,'N'),(15,2168898,'2',309,'N'),(15,2168901,'1',415,'N'),(15,2168901,'2',333,'N'),(15,2168910,'1',207,'N'),(15,2168910,'2',223,'N'),(15,2168928,'1',215,'N'),(15,2168928,'1A',207,'N'),(15,2168928,'2',217,'N'),(15,2168944,'1',326,'N'),(15,2168944,'2',309,'N'),(15,2168952,'1',103,'N'),(15,2168952,'2',108,'N'),(15,2168960,'1',309,'N'),(15,2168960,'2',324,'N'),(15,2168979,'1',316,'N'),(15,2168979,'2',301,'N'),(15,2168987,'1',103,'N'),(15,2168987,'2',303,'N'),(15,2168995,'1',5,'N'),(15,2168995,'2',319,'N'),(15,2169002,'1',320,'N'),(15,2169002,'2',425,'N'),(15,2169010,'1',103,'N'),(15,2169010,'2',207,'N'),(15,2169029,'1',319,'N'),(15,2169029,'2',108,'N'),(15,2169045,'1',103,'N'),(15,2169045,'2',101,'N'),(15,2169053,'1',103,'N'),(15,2169053,'2',207,'N'),(15,2169061,'1',420,'N'),(15,2169061,'2',415,'N'),(15,2169070,'1',444,'N'),(15,2169070,'2',316,'N'),(15,2169088,'1',216,'N'),(15,2169088,'1A',207,'N'),(15,2169088,'2',208,'N'),(15,2169096,'1',319,'N'),(15,2169096,'2',308,'N'),(15,2169118,'1',2,'N'),(15,2169118,'2',223,'N'),(15,2169126,'1',103,'N'),(15,2169126,'2',303,'N'),(15,2169134,'1',222,'N'),(15,2169134,'2',208,'N'),(15,2169142,'1',216,'N'),(15,2169142,'1A',215,'N'),(15,2169142,'2',217,'N'),(15,2169150,'1',303,'N'),(15,2169150,'2',415,'N'),(15,2169169,'1',104,'N'),(15,2169177,'1',450,'N'),(15,2169177,'2',320,'N'),(15,2169185,'1',208,'N'),(15,2169185,'1A',238,'N'),(15,2169185,'2',225,'N'),(15,2169207,'1',316,'N'),(15,2169207,'2',104,'N'),(15,2169215,'1',214,'N'),(15,2169215,'1A',212,'N'),(15,2169215,'2',224,'N'),(15,2169223,'1',103,'N'),(15,2169223,'2',104,'N'),(15,2169231,'1',211,'N'),(15,2169231,'1A',215,'N'),(15,2169231,'2',501,'N'),(15,2169240,'1',415,'N'),(15,2169240,'2',319,'N'),(15,2169258,'1',103,'N'),(15,2169258,'2',318,'N'),(15,2169266,'1',420,'N'),(15,2169266,'2',333,'N'),(15,2169282,'1',9,'N'),(15,2169282,'2',319,'N'),(15,2169290,'1',104,'N'),(15,2169290,'2',102,'N'),(15,2169304,'1',415,'N'),(15,2169304,'2',103,'N'),(15,2169312,'1',233,'N'),(15,2169312,'1A',215,'N'),(15,2169312,'2',223,'N'),(15,2169320,'1',339,'N'),(15,2169320,'2',320,'N'),(15,2169339,'1',333,'N'),(15,2169339,'2',444,'N'),(15,2169347,'1',303,'N'),(15,2169347,'2',310,'N'),(15,2169355,'1',203,'N'),(15,2169355,'1A',214,'N'),(15,2169355,'2',216,'N'),(15,2169363,'1',103,'N'),(15,2169363,'2',319,'N'),(15,2169371,'1',333,'N'),(15,2169371,'2',451,'N'),(15,2169380,'1',214,'N'),(15,2169380,'1A',203,'N'),(15,2169380,'2',316,'N'),(15,2169398,'1',301,'N'),(15,2169398,'2',316,'N'),(15,2169401,'1',420,'N'),(15,2169401,'2',415,'N'),(15,2169410,'1',201,'N'),(15,2169410,'1A',211,'N'),(15,2169410,'2',238,'N'),(15,2169428,'1',303,'N'),(15,2169428,'2',304,'N'),(15,2169436,'1',104,'N'),(15,2169436,'2',102,'N'),(15,2169444,'1',304,'N'),(15,2169444,'2',318,'N'),(15,2169452,'1',103,'N'),(15,2169452,'2',101,'N'),(15,2169460,'1',202,'N'),(15,2169460,'1A',238,'N'),(15,2169460,'2',224,'N'),(15,2169487,'1',108,'N'),(15,2169487,'2',310,'N'),(15,2169495,'1',207,'N'),(15,2169495,'1A',211,'N'),(15,2169495,'2',420,'N'),(15,2169509,'1',201,'N'),(15,2169509,'1A',212,'N'),(15,2169509,'2',2,'N'),(15,2169525,'1',301,'N'),(15,2169525,'2',316,'N'),(15,2169533,'1',316,'N'),(15,2169533,'2',317,'N'),(15,2169541,'1',216,'N'),(15,2169541,'2',215,'N'),(15,2169576,'1',211,'N'),(15,2169576,'1A',207,'N'),(15,2169576,'2',308,'N'),(15,2169584,'1',103,'N'),(15,2169584,'2',304,'N'),(15,2169592,'1',103,'N'),(15,2169592,'2',450,'N'),(15,2169606,'1',426,'N'),(15,2169606,'1A',428,'N'),(15,2169606,'2',404,'N'),(15,2169622,'1',316,'N'),(15,2169622,'2',9,'N'),(15,2169630,'1',304,'N'),(15,2169630,'2',301,'N'),(15,2169649,'1',302,'N'),(15,2169649,'2',308,'N'),(15,2169657,'1',103,'N'),(15,2169657,'2',224,'N'),(15,2169665,'1',207,'N'),(15,2169665,'1A',201,'N'),(15,2169665,'2',104,'N'),(15,2169673,'1',333,'N'),(15,2169690,'1',318,'N'),(15,2169690,'2',317,'N'),(15,2169703,'1',501,'N'),(15,2169703,'2',502,'N'),(15,2169711,'1',213,'N'),(15,2169711,'1A',214,'N'),(15,2169711,'2',316,'N'),(15,2169738,'1',415,'N'),(15,2169738,'2',404,'N'),(15,2169754,'1',108,'N'),(15,2169754,'2',217,'N'),(15,2169762,'1',301,'N'),(15,2169762,'2',444,'N'),(15,2169770,'1',238,'N'),(15,2169770,'1A',208,'N'),(15,2169770,'2',420,'N'),(15,2169789,'1',214,'N'),(15,2169789,'1A',220,'N'),(15,2169789,'2',424,'N'),(15,2169797,'1',103,'N'),(15,2169797,'2',444,'N'),(15,2169800,'1',103,'N'),(15,2169819,'1',318,'N'),(15,2169819,'2',5,'N'),(15,2169827,'1',216,'N'),(15,2169827,'1A',215,'N'),(15,2169827,'2',211,'N'),(15,2169843,'1',501,'N'),(15,2169851,'1',303,'N'),(15,2169851,'2',103,'N'),(15,2169860,'1',102,'N'),(15,2169860,'2',324,'N'),(15,2169878,'1',101,'N'),(15,2169878,'2',103,'N'),(15,2169894,'1',220,'N'),(15,2169894,'1A',202,'N'),(15,2169894,'2',238,'N'),(15,2169908,'1',108,'N'),(15,2169908,'2',319,'N'),(15,2169916,'1',103,'N'),(15,2169916,'2',301,'N'),(15,2169924,'1',301,'N'),(15,2169924,'2',444,'N'),(15,2169932,'1',103,'N'),(15,2169932,'2',102,'N'),(15,2169959,'1',316,'N'),(15,2169959,'2',429,'N'),(15,2169975,'1',234,'N'),(15,2169975,'2',331,'N'),(15,2169991,'1',5,'N'),(15,2169991,'2',332,'N'),(15,2170000,'1',103,'N'),(15,2170000,'2',203,'N'),(15,2170019,'1',316,'N'),(15,2170019,'2',203,'N'),(15,2170027,'1',301,'N'),(15,2170027,'2',444,'N'),(15,2170035,'1',404,'N'),(15,2170035,'2',333,'N'),(15,2170043,'1',234,'N'),(15,2170043,'2',201,'N'),(15,2170051,'1',318,'N'),(15,2170051,'2',324,'N'),(15,2170060,'1',423,'N'),(15,2170060,'1A',429,'N'),(15,2170060,'2',451,'N'),(15,2170078,'1',502,'N'),(15,2170078,'2',332,'N'),(15,2170094,'1',103,'N'),(15,2170108,'1',103,'N'),(15,2170108,'2',216,'N'),(15,2170116,'1',103,'N'),(15,2170116,'2',214,'N'),(15,2170124,'1',502,'N'),(15,2170124,'2',420,'N'),(15,2170132,'1',420,'N'),(15,2170132,'2',301,'N'),(15,2170140,'1',103,'N'),(15,2170140,'2',501,'N'),(15,2170159,'1',216,'N'),(15,2170159,'1A',211,'N'),(15,2170159,'2',319,'N'),(15,2170167,'1',203,'N'),(15,2170167,'1A',201,'N'),(15,2170167,'2',2,'N'),(15,2170175,'1',5,'N'),(15,2170175,'2',339,'N'),(15,2170183,'1',103,'N'),(15,2170183,'2',108,'N'),(15,2170191,'1',216,'N'),(15,2170191,'1A',202,'N'),(15,2170191,'2',108,'N'),(15,2170205,'1',103,'N'),(15,2170205,'2',217,'N'),(15,2170221,'1',303,'N'),(15,2170221,'2',309,'N'),(15,2170230,'1',220,'N'),(15,2170230,'1A',214,'N'),(15,2170230,'2',223,'N'),(15,2170256,'1',214,'N'),(15,2170256,'1A',203,'N'),(15,2170256,'2',333,'N'),(15,2170264,'1',316,'N'),(15,2170272,'1',5,'N'),(15,2170272,'2',327,'N'),(15,2170280,'1',501,'N'),(15,2170280,'2',320,'N'),(15,2170299,'1',424,'N'),(15,2170299,'2',427,'N'),(15,2170302,'1',202,'N'),(15,2170302,'1A',220,'N'),(15,2170302,'2',213,'N'),(15,2170329,'1',213,'N'),(15,2170329,'1A',208,'N'),(15,2170329,'2',5,'N'),(15,2170337,'1',202,'N'),(15,2170337,'1A',238,'N'),(15,2170337,'2',208,'N'),(15,2170353,'1',319,'N'),(15,2170353,'2',415,'N'),(15,2170370,'1',304,'N'),(15,2170370,'2',318,'N'),(15,2170388,'1',415,'N'),(15,2170388,'2',332,'N'),(15,2170396,'1',317,'N'),(15,2170396,'2',212,'N'),(15,2170400,'1',238,'N'),(15,2170400,'1A',208,'N'),(15,2170400,'2',9,'N'),(15,2170434,'1',103,'N'),(15,2170434,'2',201,'N'),(15,2170442,'1',215,'N'),(15,2170442,'1A',216,'N'),(15,2170442,'2',217,'N'),(15,2170450,'1',103,'N'),(15,2170450,'2',332,'N'),(15,2170469,'1',102,'N'),(15,2170469,'2',502,'N'),(15,2170485,'1',302,'N'),(15,2170485,'2',316,'N'),(15,2170493,'1',103,'N'),(15,2170493,'2',208,'N'),(15,2170507,'1',424,'N'),(15,2170507,'1A',427,'N'),(15,2170507,'2',421,'N'),(15,2170515,'1',102,'N'),(15,2170515,'2',217,'N'),(15,2170523,'1',425,'N'),(15,2170523,'1A',429,'N'),(15,2170523,'2',420,'N'),(15,2170531,'1',339,'N'),(15,2170531,'2',308,'N'),(15,2170540,'1',211,'N'),(15,2170540,'1A',201,'N'),(15,2170540,'2',333,'N'),(15,2170558,'1',208,'N'),(15,2170558,'1A',238,'N'),(15,2170558,'2',420,'N'),(15,2170566,'1',238,'N'),(15,2170590,'1',301,'N'),(15,2170590,'2',316,'N'),(15,2170604,'1',238,'N'),(15,2170604,'1A',208,'N'),(15,2170604,'2',329,'N'),(15,2170612,'1',404,'N'),(15,2170612,'2',308,'N'),(15,2170639,'1',103,'N'),(15,2170639,'2',328,'N'),(15,2170655,'1',201,'N'),(15,2170655,'1A',215,'N'),(15,2170655,'2',9,'N'),(15,2170663,'1',108,'N'),(15,2170663,'2',326,'N'),(15,2170671,'1',420,'N'),(15,2170671,'2',222,'N'),(15,2170680,'1',316,'N'),(15,2170680,'2',318,'N'),(15,2170698,'1',103,'N'),(15,2170698,'2',104,'N'),(15,2170701,'1',202,'N'),(15,2170701,'1A',201,'N'),(15,2170701,'2',2,'N'),(15,2170710,'1',103,'N'),(15,2170710,'2',101,'N'),(15,2170728,'1',214,'N'),(15,2170728,'1A',212,'N'),(15,2170728,'2',203,'N'),(15,2170744,'1',238,'N'),(15,2170744,'2',316,'N'),(15,2170752,'1',103,'N'),(15,2170752,'2',301,'N'),(15,2170760,'1',102,'N'),(15,2170760,'2',202,'N'),(15,2170779,'1',103,'N'),(15,2170779,'2',333,'N'),(15,2170787,'1',317,'N'),(15,2170787,'2',224,'N'),(15,2170795,'1',324,'N'),(15,2170795,'2',424,'N'),(15,2170809,'1',203,'N'),(15,2170809,'2',216,'N'),(15,2170817,'1',103,'N'),(15,2170817,'2',104,'N'),(15,2170833,'1',203,'N'),(15,2170833,'1A',202,'N'),(15,2170833,'2',214,'N'),(15,2170841,'1',101,'N'),(15,2170841,'2',339,'N'),(15,2170868,'1',102,'N'),(15,2170868,'2',9,'N'),(15,2170884,'1',201,'N'),(15,2170884,'1A',202,'N'),(15,2170884,'2',203,'N'),(15,2170892,'1',103,'N'),(15,2170914,'1',103,'N'),(15,2170922,'1',5,'N'),(15,2170922,'2',207,'N'),(15,2170930,'1',220,'N'),(15,2170930,'1A',203,'N'),(15,2170930,'2',202,'N'),(15,2170949,'1',103,'N'),(15,2170949,'2',104,'N'),(15,2170957,'1',208,'N'),(15,2170957,'1A',238,'N'),(15,2170957,'2',2,'N'),(15,2170965,'1',201,'N'),(15,2170965,'1A',203,'N'),(15,2170965,'2',301,'N'),(15,2170973,'1',211,'N'),(15,2170973,'2',103,'N'),(15,2170981,'1',5,'N'),(15,2170981,'2',309,'N'),(15,2170990,'1',203,'N'),(15,2170990,'1A',201,'N'),(15,2170990,'2',207,'N'),(15,2171007,'1',103,'N'),(15,2171015,'1',213,'N'),(15,2171015,'1A',208,'N'),(15,2171015,'2',223,'N'),(15,2171023,'1',215,'N'),(15,2171023,'1A',233,'N'),(15,2171023,'2',234,'N'),(15,2171031,'1',234,'N'),(15,2171031,'2',211,'N'),(15,2171040,'1',333,'N'),(15,2171040,'2',404,'N'),(15,2171058,'1',207,'N'),(15,2171058,'1A',201,'N'),(15,2171058,'2',309,'N'),(15,2171066,'1',404,'N'),(15,2171066,'2',444,'N'),(15,2171074,'1',5,'N'),(15,2171074,'2',318,'N'),(15,2171082,'1',233,'N'),(15,2171082,'1A',214,'N'),(15,2171090,'1',103,'N'),(15,2171090,'2',104,'N'),(15,2171104,'1',303,'N'),(15,2171104,'2',203,'N'),(15,2171120,'1',404,'N'),(15,2171120,'2',426,'N'),(15,2171139,'1',201,'N'),(15,2171139,'1A',208,'N'),(15,2171139,'2',238,'N'),(15,2171147,'1',420,'N'),(15,2171147,'2',333,'N'),(15,2171155,'1',207,'N'),(15,2171155,'1A',215,'N'),(15,2171155,'2',424,'N'),(15,2171171,'1',420,'N'),(15,2171171,'2',207,'N'),(15,2171180,'1',5,'N'),(15,2171180,'2',318,'N'),(15,2171201,'1',108,'N'),(15,2171201,'2',301,'N'),(15,2171228,'1',103,'N'),(15,2171228,'2',421,'N'),(15,2171244,'1',223,'N'),(15,2171244,'2',103,'N'),(15,2171252,'1',9,'N'),(15,2171252,'2',301,'N'),(15,2171279,'1',331,'N'),(15,2171279,'2',329,'N'),(15,2171287,'1',501,'N'),(15,2171287,'2',318,'N'),(15,2171309,'1',203,'N'),(15,2171309,'1A',233,'N'),(15,2171309,'2',202,'N'),(15,2171317,'1',220,'N'),(15,2171325,'1',220,'N'),(15,2171325,'1A',202,'N'),(15,2171325,'2',420,'N'),(15,2171333,'1',103,'N'),(15,2171333,'2',104,'N'),(15,2171341,'1',404,'N'),(15,2171341,'2',224,'N'),(15,2171350,'1',203,'N'),(15,2171350,'1A',216,'N'),(15,2171350,'2',202,'N'),(15,2171368,'1',425,'N'),(15,2171368,'1A',428,'N'),(15,2171368,'2',415,'N'),(15,2171376,'1',201,'N'),(15,2171376,'1A',202,'N'),(15,2171376,'2',207,'N'),(15,2171384,'1',339,'N'),(15,2171384,'2',424,'N'),(15,2171392,'1',444,'N'),(15,2171392,'2',501,'N'),(15,2171406,'1',108,'N'),(15,2171406,'2',333,'N'),(15,2171414,'1',333,'N'),(15,2171414,'2',421,'N'),(15,2171422,'1',104,'N'),(15,2171422,'2',308,'N'),(15,2171430,'1',429,'N'),(15,2171430,'2',324,'N'),(15,2171449,'1',501,'N'),(15,2171449,'2',502,'N'),(15,2171457,'1',202,'N'),(15,2171457,'1A',220,'N'),(15,2171457,'2',201,'N'),(15,2171465,'1',303,'N'),(15,2171473,'1',332,'N'),(15,2171473,'2',211,'N'),(15,2171481,'1',220,'N'),(15,2171511,'1',103,'N'),(15,2171511,'2',203,'N'),(15,2171538,'1',332,'N'),(15,2171538,'2',331,'N'),(15,2171546,'1',214,'N'),(15,2171546,'1A',203,'N'),(15,2171546,'2',327,'N'),(15,2171554,'1',102,'N'),(15,2171554,'2',108,'N'),(15,2171562,'1',201,'N'),(15,2171562,'1A',212,'N'),(15,2171562,'2',224,'N'),(15,2171570,'1',339,'N'),(15,2171570,'2',9,'N'),(15,2171589,'1',202,'N'),(15,2171589,'1A',213,'N'),(15,2171589,'2',316,'N'),(15,2171600,'1',327,'N'),(15,2171600,'2',426,'N'),(15,2171619,'1',238,'N'),(15,2171619,'1A',215,'N'),(15,2171619,'2',225,'N'),(15,2171635,'1',319,'N'),(15,2171643,'1',203,'N'),(15,2171643,'1A',202,'N'),(15,2171643,'2',216,'N'),(15,2171651,'1',316,'N'),(15,2171651,'2',317,'N'),(15,2171660,'1',103,'N'),(15,2171660,'2',108,'N'),(15,2171678,'1',108,'N'),(15,2171678,'2',501,'N'),(15,2171686,'1',308,'N'),(15,2171686,'2',319,'N'),(15,2171694,'1',316,'N'),(15,2171694,'2',318,'N'),(15,2171708,'1',320,'N'),(15,2171708,'2',310,'N'),(15,2171716,'1',208,'N'),(15,2171716,'2',238,'N'),(15,2171724,'1',203,'N'),(15,2171724,'1A',214,'N'),(15,2171724,'2',501,'N'),(15,2171732,'1',420,'N'),(15,2171732,'2',238,'N'),(15,2171740,'1',404,'N'),(15,2171740,'2',308,'N'),(15,2171759,'1',333,'N'),(15,2171759,'2',332,'N'),(15,2171767,'1',104,'N'),(15,2171767,'2',333,'N'),(15,2171783,'1',207,'N'),(15,2171783,'1A',201,'N'),(15,2171791,'1',501,'N'),(15,2171791,'2',309,'N'),(15,2171821,'1',212,'N'),(15,2171821,'1A',214,'N'),(15,2171821,'2',316,'N'),(15,2171830,'1',103,'N'),(15,2171830,'2',104,'N'),(15,2171848,'1',301,'N'),(15,2171848,'2',304,'N'),(15,2171856,'1',5,'N'),(15,2171856,'2',415,'N'),(15,2171864,'1',5,'N'),(15,2171864,'2',327,'N'),(15,2171872,'1',420,'N'),(15,2171872,'2',207,'N'),(15,2171880,'1',103,'N'),(15,2171880,'2',104,'N'),(15,2171899,'1',104,'N'),(15,2171899,'2',101,'N'),(15,2171910,'1',9,'N'),(15,2171910,'2',216,'N'),(15,2171929,'1',103,'N'),(15,2171945,'1',303,'N'),(15,2171945,'2',429,'N'),(15,2171953,'1',103,'N'),(15,2171953,'2',102,'N'),(15,2171970,'1',501,'N'),(15,2171970,'2',502,'N'),(15,2171996,'1',103,'N'),(15,2171996,'2',421,'N'),(15,2172003,'1',319,'N'),(15,2172003,'2',317,'N'),(15,2172011,'1',324,'N'),(15,2172020,'1',216,'N'),(15,2172020,'1A',201,'N'),(15,2172020,'2',213,'N'),(15,2172038,'1',5,'N'),(15,2172038,'2',303,'N'),(15,2172054,'1',103,'N'),(15,2172054,'2',102,'N'),(15,2172062,'1',216,'N'),(15,2172062,'1A',211,'N'),(15,2172062,'2',501,'N'),(15,2172097,'1',103,'N'),(15,2172097,'2',104,'N'),(15,2172100,'1',103,'N'),(15,2172100,'2',216,'N'),(15,2172119,'1',5,'N'),(15,2172127,'1',103,'N'),(15,2172127,'2',319,'N'),(15,2172135,'1',308,'N'),(15,2172135,'2',309,'N'),(15,2172143,'1',444,'N'),(15,2172143,'2',404,'N'),(15,2172151,'1',103,'N'),(15,2172151,'2',425,'N'),(15,2172160,'1',103,'N'),(15,2172160,'2',104,'N'),(15,2172178,'1',220,'N'),(15,2172194,'1',317,'N'),(15,2172194,'2',217,'N'),(15,2172208,'1',320,'N'),(15,2172208,'2',310,'N'),(15,2172216,'1',214,'N'),(15,2172216,'1A',203,'N'),(15,2172216,'2',501,'N'),(15,2172224,'1',103,'N'),(15,2172232,'1',425,'N'),(15,2172232,'2',327,'N'),(15,2172240,'1',101,'N'),(15,2172240,'2',404,'N'),(15,2172259,'1',216,'N'),(15,2172259,'1A',201,'N'),(15,2172259,'2',207,'N'),(15,2172267,'1',9,'N'),(15,2172267,'2',327,'N'),(15,2172291,'1',208,'N'),(15,2172291,'1A',202,'N'),(15,2172291,'2',316,'N'),(15,2172305,'1',104,'N'),(15,2172305,'2',333,'N'),(15,2172313,'1',420,'N'),(15,2172313,'2',444,'N'),(15,2172321,'1',501,'N'),(15,2172321,'2',331,'N'),(15,2172330,'1',5,'N'),(15,2172356,'1',103,'N'),(15,2172356,'2',428,'N'),(15,2172364,'1',333,'N'),(15,2172364,'2',217,'N'),(15,2172372,'1',101,'N'),(15,2172372,'2',324,'N'),(15,2172380,'1',214,'N'),(15,2172380,'1A',203,'N'),(15,2172380,'2',213,'N'),(15,2172402,'1',327,'N'),(15,2172402,'2',425,'N'),(15,2172429,'1',303,'N'),(15,2172429,'2',331,'N'),(15,2172437,'1',102,'N'),(15,2172437,'2',217,'N'),(15,2172445,'1',404,'N'),(15,2172445,'2',332,'N'),(15,2172453,'1',317,'N'),(15,2172453,'2',224,'N'),(15,2172461,'1',104,'N'),(15,2172461,'2',502,'N'),(15,2172470,'1',102,'N'),(15,2172470,'2',217,'N'),(15,2172488,'1',207,'N'),(15,2172488,'1A',201,'N'),(15,2172488,'2',316,'N'),(15,2172496,'1',102,'N'),(15,2172496,'2',212,'N'),(15,2172500,'1',238,'N'),(15,2172500,'1A',208,'N'),(15,2172500,'2',309,'N'),(15,2172518,'1',108,'N'),(15,2172518,'2',215,'N'),(15,2172526,'1',2,'N'),(15,2172526,'2',208,'N'),(15,2172534,'1',103,'N'),(15,2172534,'2',216,'N'),(15,2172550,'1',9,'N'),(15,2172550,'2',316,'N'),(15,2172577,'1',444,'N'),(15,2172577,'2',208,'N'),(15,2172585,'1',316,'N'),(15,2172585,'2',301,'N'),(15,2172607,'1',327,'N'),(15,2172607,'2',450,'N'),(15,2172623,'1',319,'N'),(15,2172623,'2',425,'N'),(15,2172631,'1',316,'N'),(15,2172631,'2',318,'N'),(15,2172640,'1',104,'N'),(15,2172640,'2',327,'N'),(15,2172658,'1',420,'N'),(15,2172658,'2',421,'N'),(15,2172666,'1',213,'N'),(15,2172666,'1A',201,'N'),(15,2172666,'2',223,'N'),(15,2172674,'1',104,'N'),(15,2172674,'2',101,'N'),(15,2172682,'1',234,'N'),(15,2172682,'2',316,'N'),(15,2172690,'1',103,'N'),(15,2172690,'2',324,'N'),(15,2172704,'1',234,'N'),(15,2172704,'2',332,'N'),(15,2172720,'1',101,'N'),(15,2172720,'2',224,'N'),(15,2172739,'1',203,'N'),(15,2172739,'2',220,'N'),(15,2172747,'1',202,'N'),(15,2172747,'1A',208,'N'),(15,2172747,'2',420,'N'),(15,2172755,'1',103,'N'),(15,2172755,'2',101,'N'),(15,2172763,'1',102,'N'),(15,2172763,'2',339,'N'),(15,2172771,'1',316,'N'),(15,2172771,'2',318,'N'),(15,2172780,'1',451,'N'),(15,2172780,'2',318,'N'),(15,2172798,'1',102,'N'),(15,2172798,'2',104,'N'),(15,2172801,'1',103,'N'),(15,2172810,'1',220,'N'),(15,2172810,'1A',202,'N'),(15,2172810,'2',203,'N'),(15,2172828,'1',332,'N'),(15,2172828,'2',333,'N'),(15,2172836,'1',2,'N'),(15,2172836,'2',225,'N'),(15,2172844,'1',444,'N'),(15,2172844,'2',208,'N'),(15,2172860,'1',316,'N'),(15,2172860,'2',301,'N'),(15,2172879,'1',211,'N'),(15,2172879,'1A',208,'N'),(15,2172879,'2',217,'N'),(15,2172887,'1',233,'N'),(15,2172887,'1A',238,'N'),(15,2172887,'2',2,'N'),(15,2172895,'1',220,'N'),(15,2172895,'1A',213,'N'),(15,2172895,'2',304,'N'),(15,2172909,'1',101,'N'),(15,2172909,'2',308,'N'),(15,2172925,'1',220,'N'),(15,2172925,'1A',203,'N'),(15,2172933,'1',415,'N'),(15,2172933,'2',208,'N'),(15,2172941,'1',444,'N'),(15,2172941,'2',207,'N'),(15,2172950,'1',220,'N'),(15,2172950,'1A',203,'N'),(15,2172950,'2',202,'N'),(15,2172968,'1',238,'N'),(15,2172968,'1A',208,'N'),(15,2172968,'2',324,'N'),(15,2172984,'1',213,'N'),(15,2172984,'1A',238,'N'),(15,2172984,'2',212,'N'),(15,2172992,'1',308,'N'),(15,2172992,'2',502,'N'),(15,2173000,'1',103,'N'),(15,2173000,'2',102,'N'),(15,2173018,'1',501,'N'),(15,2173018,'2',444,'N'),(15,2173026,'1',9,'N'),(15,2173026,'2',101,'N'),(15,2173034,'1',332,'N'),(15,2173034,'2',424,'N'),(15,2173042,'1',101,'N'),(15,2173042,'2',103,'N'),(15,2173077,'1',201,'N'),(15,2173077,'1A',233,'N'),(15,2173077,'2',501,'N'),(15,2173085,'1',201,'N'),(15,2173085,'1A',233,'N'),(15,2173085,'2',220,'N'),(15,2173093,'1',207,'N'),(15,2173093,'2',420,'N'),(15,2173107,'1',103,'N'),(15,2173107,'2',502,'N'),(15,2173115,'1',302,'N'),(15,2173115,'2',223,'N'),(15,2173123,'1',220,'N'),(15,2173123,'1A',208,'N'),(15,2173123,'2',201,'N'),(15,2173131,'1',333,'N'),(15,2173131,'2',308,'N'),(15,2173140,'1',304,'N'),(15,2173140,'2',301,'N'),(15,2173158,'1',201,'N'),(15,2173158,'1A',207,'N'),(15,2173158,'2',212,'N'),(15,2173166,'1',303,'N'),(15,2173166,'2',5,'N'),(15,2173174,'1',108,'N'),(15,2173174,'2',333,'N'),(15,2173182,'1',301,'N'),(15,2173182,'2',316,'N'),(15,2173212,'1',234,'N'),(15,2173212,'2',222,'N'),(15,2173220,'1',318,'N'),(15,2173220,'2',316,'N'),(15,2173239,'1',213,'N'),(15,2173239,'1A',202,'N'),(15,2173239,'2',214,'N'),(15,2173247,'1',317,'N'),(15,2173247,'2',502,'N'),(15,2173255,'1',333,'N'),(15,2173255,'2',207,'N'),(15,2173263,'1',201,'N'),(15,2173263,'1A',208,'N'),(15,2173263,'2',320,'N'),(15,2173271,'1',316,'N'),(15,2173271,'2',207,'N'),(15,2173280,'1',316,'N'),(15,2173280,'2',450,'N'),(15,2173298,'1',211,'N'),(15,2173298,'1A',216,'N'),(15,2173298,'2',207,'N'),(15,2173301,'1',319,'N'),(15,2173301,'2',104,'N'),(15,2173328,'1',207,'N'),(15,2173328,'1A',215,'N'),(15,2173328,'2',108,'N'),(15,2173336,'1',308,'N'),(15,2173344,'1',319,'N'),(15,2173344,'2',333,'N'),(15,2173352,'1',9,'N'),(15,2173352,'2',102,'N'),(15,2173360,'1',316,'N'),(15,2173360,'2',301,'N'),(15,2173379,'1',304,'N'),(15,2173379,'2',301,'N'),(15,2173387,'1',326,'N'),(15,2173387,'2',108,'N'),(15,2173395,'1',303,'N'),(15,2173395,'2',309,'N'),(15,2173409,'1',303,'N'),(15,2173409,'2',450,'N'),(15,2173417,'1',103,'N'),(15,2173417,'2',215,'N'),(15,2173425,'1',316,'N'),(15,2173425,'2',326,'N'),(15,2173433,'1',208,'N'),(15,2173433,'1A',220,'N'),(15,2173433,'2',233,'N'),(15,2173441,'1',208,'N'),(15,2173441,'2',5,'N'),(15,2173450,'1',103,'N'),(15,2173450,'2',216,'N'),(15,2173468,'1',104,'N'),(15,2173468,'2',9,'N'),(15,2173476,'1',220,'N'),(15,2173476,'1A',203,'N'),(15,2173476,'2',214,'N'),(15,2173484,'1',224,'N'),(15,2173484,'2',225,'N'),(15,2173492,'1',233,'N'),(15,2173492,'1A',215,'N'),(15,2173492,'2',223,'N'),(15,2173506,'1',316,'N'),(15,2173506,'2',428,'N'),(15,2173514,'1',103,'N'),(15,2173514,'2',214,'N'),(15,2173522,'1',324,'N'),(15,2173522,'2',222,'N'),(15,2173530,'1',425,'N'),(15,2173530,'1A',424,'N'),(15,2173530,'2',450,'N'),(15,2173549,'1',233,'N'),(15,2173549,'2',450,'N'),(15,2173557,'1',9,'N'),(15,2173557,'2',333,'N'),(15,2173565,'1',424,'N'),(15,2173565,'1A',427,'N'),(15,2173565,'2',423,'N'),(15,2173573,'1',203,'N'),(15,2173573,'1A',220,'N'),(15,2173573,'2',238,'N'),(15,2173581,'1',211,'N'),(15,2173581,'1A',238,'N'),(15,2173581,'2',501,'N'),(15,2173590,'1',339,'N'),(15,2173590,'2',102,'N'),(15,2173603,'1',103,'N'),(15,2173603,'2',101,'N'),(15,2173611,'1',451,'N'),(15,2173611,'2',424,'N'),(15,2173620,'1',304,'N'),(15,2173620,'2',302,'N'),(15,2173638,'1',201,'N'),(15,2173638,'1A',203,'N'),(15,2173638,'2',103,'N'),(15,2173646,'1',103,'N'),(15,2173646,'2',234,'N'),(15,2173654,'1',104,'N'),(15,2173654,'2',102,'N'),(15,2173662,'1',215,'N'),(15,2173662,'1A',216,'N'),(15,2173662,'2',217,'N'),(15,2173670,'1',208,'N'),(15,2173689,'1',202,'N'),(15,2173689,'1A',214,'N'),(15,2173689,'2',213,'N'),(15,2173697,'1',444,'N'),(15,2173697,'2',502,'N'),(15,2173700,'1',302,'N'),(15,2173700,'2',304,'N'),(15,2173719,'1',423,'N'),(15,2173719,'2',301,'N'),(15,2173727,'1',104,'N'),(15,2173727,'2',101,'N'),(15,2173735,'1',213,'N'),(15,2173735,'1A',202,'N'),(15,2173735,'2',208,'N'),(15,2173743,'1',316,'N'),(15,2173743,'2',324,'N'),(15,2173751,'1',5,'N'),(15,2173751,'2',424,'N'),(15,2173760,'1',102,'N'),(15,2173760,'2',217,'N'),(15,2173786,'1',211,'N'),(15,2173786,'2',108,'N'),(15,2173794,'1',451,'N'),(15,2173794,'2',424,'N'),(15,2173808,'1',103,'N'),(15,2173808,'2',215,'N'),(15,2173816,'1',316,'N'),(15,2173816,'2',103,'N'),(15,2173824,'1',101,'N'),(15,2173824,'2',302,'N'),(15,2173832,'1',304,'N'),(15,2173832,'2',421,'N'),(15,2173840,'1',5,'N'),(15,2173840,'2',224,'N'),(15,2173859,'1',451,'N'),(15,2173859,'2',450,'N'),(15,2173867,'1',103,'N'),(15,2173867,'2',102,'N'),(15,2173891,'1',501,'N'),(15,2173891,'2',102,'N'),(15,2173905,'1',208,'N'),(15,2173905,'1A',238,'N'),(15,2173905,'2',301,'N'),(15,2173913,'1',332,'N'),(15,2173921,'1',444,'N'),(15,2173921,'2',9,'N'),(15,2173930,'1',201,'N'),(15,2173930,'2',207,'N'),(15,2173948,'1',316,'N'),(15,2173948,'2',308,'N'),(15,2173956,'1',214,'N'),(15,2173956,'1A',212,'N'),(15,2173956,'2',213,'N'),(15,2173964,'1',327,'N'),(15,2173964,'2',201,'N'),(15,2173980,'1',404,'N'),(15,2173980,'2',333,'N'),(15,2173999,'1',444,'N'),(15,2173999,'2',333,'N'),(15,2174006,'1',202,'N'),(15,2174006,'1A',220,'N'),(15,2174006,'2',222,'N'),(15,2174014,'1',425,'N'),(15,2174014,'1A',429,'N'),(15,2174014,'2',217,'N'),(15,2174022,'1',501,'N'),(15,2174022,'2',214,'N'),(15,2174030,'1',203,'N'),(15,2174030,'2',202,'N'),(15,2174049,'1',420,'N'),(15,2174049,'2',319,'N'),(15,2174057,'1',326,'N'),(15,2174057,'2',324,'N'),(15,2174065,'1',103,'N'),(15,2174065,'2',420,'N'),(15,2174073,'1',103,'N'),(15,2174073,'2',316,'N'),(15,2174081,'1',303,'N'),(15,2174081,'2',333,'N'),(15,2174090,'1',333,'N'),(15,2174090,'2',415,'N'),(15,2174103,'1',339,'N'),(15,2174103,'2',329,'N'),(15,2174111,'1',310,'N'),(15,2174111,'2',329,'N'),(15,2174120,'1',302,'N'),(15,2174120,'2',304,'N'),(15,2174138,'1',234,'N'),(15,2174138,'2',502,'N'),(15,2174146,'1',444,'N'),(15,2174146,'2',404,'N'),(15,2174154,'1',5,'N'),(15,2174154,'2',303,'N'),(15,2174162,'1',102,'N'),(15,2174162,'2',101,'N'),(15,2174170,'1',303,'N'),(15,2174170,'2',5,'N'),(15,2174189,'1',326,'N'),(15,2174189,'2',329,'N'),(15,2174197,'1',103,'N'),(15,2174197,'2',420,'N'),(15,2174200,'1',316,'N'),(15,2174200,'2',301,'N'),(15,2174219,'1',103,'N'),(15,2174219,'2',9,'N'),(15,2174227,'1',103,'N'),(15,2174227,'2',9,'N'),(15,2174235,'1',5,'N'),(15,2174235,'2',102,'N'),(15,2174251,'1',425,'N'),(15,2174251,'1A',424,'N'),(15,2174251,'2',421,'N'),(15,2174260,'1',303,'N'),(15,2174260,'2',211,'N'),(15,2174278,'1',333,'N'),(15,2174278,'2',331,'N'),(15,2174286,'1',207,'N'),(15,2174286,'2',316,'N'),(15,2174294,'1',212,'N'),(15,2174294,'1A',233,'N'),(15,2174316,'1',103,'N'),(15,2174316,'2',104,'N'),(15,2174324,'1',211,'N'),(15,2174324,'1A',215,'N'),(15,2174324,'2',316,'N'),(15,2174332,'1',5,'N'),(15,2174332,'2',317,'N'),(15,2174359,'1',217,'N'),(15,2174359,'2',216,'N'),(15,2174367,'1',303,'N'),(15,2174367,'2',5,'N'),(15,2174375,'1',302,'N'),(15,2174375,'2',304,'N'),(15,2174383,'1',420,'N'),(15,2174383,'2',301,'N'),(15,2174391,'1',208,'N'),(15,2174391,'1A',201,'N'),(15,2174391,'2',5,'N'),(15,2174405,'1',103,'N'),(15,2174405,'2',102,'N'),(15,2174421,'1',301,'N'),(15,2174421,'2',303,'N'),(15,2174430,'1',5,'N'),(15,2174430,'2',331,'N'),(15,2174456,'1',5,'N'),(15,2174456,'2',327,'N'),(15,2174464,'1',316,'N'),(15,2174464,'2',5,'N'),(15,2174472,'1',217,'N'),(15,2174472,'2',427,'N'),(15,2174480,'1',216,'N'),(15,2174480,'1A',207,'N'),(15,2174480,'2',201,'N'),(15,2174499,'1',301,'N'),(15,2174499,'2',104,'N'),(15,2174502,'1',104,'N'),(15,2174502,'2',333,'N'),(15,2174510,'1',501,'N'),(15,2174510,'2',502,'N'),(15,2174529,'1',223,'N'),(15,2174529,'2',224,'N'),(15,2174537,'1',404,'N'),(15,2174537,'2',224,'N'),(15,2174545,'1',220,'N'),(15,2174545,'1A',212,'N'),(15,2174545,'2',223,'N'),(15,2174553,'1',103,'N'),(15,2174553,'2',217,'N'),(15,2174561,'1',301,'N'),(15,2174561,'2',428,'N'),(15,2174570,'1',444,'N'),(15,2174570,'2',404,'N'),(15,2174588,'1',207,'N'),(15,2174588,'2',420,'N'),(15,2174596,'1',101,'N'),(15,2174596,'2',428,'N'),(15,2174618,'1',332,'N'),(15,2174626,'1',103,'N'),(15,2174626,'2',421,'N'),(15,2174642,'1',220,'N'),(15,2174642,'1A',203,'N'),(15,2174642,'2',214,'N'),(15,2174650,'1',103,'N'),(15,2174650,'2',216,'N'),(15,2174677,'1',108,'N'),(15,2174677,'2',238,'N'),(15,2174685,'1',104,'N'),(15,2174685,'2',224,'N'),(15,2174693,'1',208,'N'),(15,2174693,'1A',238,'N'),(15,2174693,'2',425,'N'),(15,2174707,'1',420,'N'),(15,2174707,'2',207,'N'),(15,2174715,'1',301,'N'),(15,2174715,'2',316,'N'),(15,2174723,'1',211,'N'),(15,2174723,'1A',207,'N'),(15,2174723,'2',9,'N'),(15,2174731,'1',501,'N'),(15,2174731,'2',217,'N'),(15,2174740,'1',103,'N'),(15,2174740,'2',451,'N'),(15,2174758,'1',207,'N'),(15,2174758,'1A',201,'N'),(15,2174758,'2',301,'N'),(15,2174766,'1',303,'N'),(15,2174766,'2',9,'N'),(15,2174774,'1',238,'N'),(15,2174782,'1',103,'N'),(15,2174782,'2',211,'N'),(15,2174804,'1',415,'N'),(15,2174804,'2',5,'N'),(15,2174820,'1',233,'N'),(15,2174820,'1A',208,'N'),(15,2174820,'2',444,'N'),(15,2174839,'1',211,'N'),(15,2174839,'1A',202,'N'),(15,2174839,'2',324,'N'),(15,2174847,'1',319,'N'),(15,2174847,'2',420,'N'),(15,2174855,'1',331,'N'),(15,2174855,'2',309,'N'),(15,2174863,'1',316,'N'),(15,2174863,'2',429,'N'),(15,2174871,'1',319,'N'),(15,2174871,'2',316,'N'),(15,2174880,'1',203,'N'),(15,2174880,'1A',201,'N'),(15,2174880,'2',327,'N'),(15,2174898,'1',203,'N'),(15,2174898,'1A',201,'N'),(15,2174898,'2',233,'N'),(15,2174901,'1',101,'N'),(15,2174901,'2',103,'N'),(15,2174910,'1',203,'N'),(15,2174910,'1A',201,'N'),(15,2174910,'2',216,'N'),(15,2174928,'1',429,'N'),(15,2174928,'1A',426,'N'),(15,2174928,'2',339,'N'),(15,2174936,'1',404,'N'),(15,2174936,'2',328,'N'),(15,2174952,'1',303,'N'),(15,2174952,'2',328,'N'),(15,2174960,'1',420,'N'),(15,2174960,'2',203,'N'),(15,2174979,'1',404,'N'),(15,2174979,'2',415,'N'),(15,2174987,'1',5,'N'),(15,2174987,'2',101,'N'),(15,2174995,'1',501,'N'),(15,2174995,'2',319,'N'),(15,2175010,'1',5,'N'),(15,2175010,'2',320,'N'),(15,2175029,'1',201,'N'),(15,2175029,'1A',211,'N'),(15,2175029,'2',223,'N'),(15,2175037,'1',103,'N'),(15,2175037,'2',303,'N'),(15,2175045,'1',207,'N'),(15,2175045,'2',301,'N'),(15,2175053,'1',319,'N'),(15,2175053,'2',339,'N'),(15,2175061,'1',217,'N'),(15,2175061,'2',223,'N'),(15,2175088,'1',304,'N'),(15,2175088,'2',429,'N'),(15,2175096,'1',103,'N'),(15,2175096,'2',101,'N'),(15,2175100,'1',217,'N'),(15,2175118,'1',425,'N'),(15,2175118,'1A',429,'N'),(15,2175118,'2',420,'N'),(15,2175126,'1',220,'N'),(15,2175126,'1A',208,'N'),(15,2175126,'2',222,'N'),(15,2175134,'1',202,'N'),(15,2175134,'1A',213,'N'),(15,2175134,'2',304,'N'),(15,2175150,'1',5,'N'),(15,2175150,'2',424,'N'),(15,2175169,'1',317,'N'),(15,2175169,'2',318,'N'),(15,2175177,'1',234,'N'),(15,2175177,'2',425,'N'),(15,2175185,'1',103,'N'),(15,2175193,'1',108,'N'),(15,2175193,'2',9,'N'),(15,2175215,'1',308,'N'),(15,2175215,'2',420,'N'),(15,2175223,'1',317,'N'),(15,2175223,'2',424,'N'),(15,2175231,'1',327,'N'),(15,2175231,'2',108,'N'),(15,2175240,'1',9,'N'),(15,2175240,'2',211,'N'),(15,2175258,'1',101,'N'),(15,2175258,'2',404,'N'),(15,2175266,'1',303,'N'),(15,2175266,'2',201,'N'),(15,2175282,'1',301,'N'),(15,2175282,'2',310,'N'),(15,2175290,'1',424,'N'),(15,2175290,'1A',426,'N'),(15,2175290,'2',420,'N'),(15,2175304,'1',234,'N'),(15,2175304,'2',333,'N'),(15,2175312,'1',316,'N'),(15,2175312,'2',324,'N'),(15,2175320,'1',304,'N'),(15,2175320,'2',333,'N'),(15,2175339,'1',301,'N'),(15,2175339,'2',2,'N'),(15,2175355,'1',103,'N'),(15,2175355,'2',108,'N'),(15,2175363,'1',103,'N'),(15,2175363,'2',319,'N'),(15,2175371,'1',316,'N'),(15,2175371,'2',5,'N'),(15,2175380,'1',102,'N'),(15,2175380,'2',302,'N'),(15,2175398,'1',5,'N'),(15,2175398,'2',426,'N'),(15,2175401,'1',333,'N'),(15,2175401,'2',211,'N'),(15,2175410,'1',222,'N'),(15,2175410,'2',327,'N'),(15,2175428,'1',103,'N'),(15,2175428,'2',415,'N'),(15,2175436,'1',501,'N'),(15,2175436,'2',329,'N'),(15,2175452,'1',103,'N'),(15,2175452,'2',420,'N'),(15,2175460,'1',444,'N'),(15,2175460,'2',108,'N'),(15,2175479,'1',317,'N'),(15,2175479,'2',423,'N'),(15,2175487,'1',103,'N'),(15,2175487,'2',102,'N'),(15,2175495,'1',5,'N'),(15,2175495,'2',316,'N'),(15,2175509,'1',103,'N'),(15,2175509,'2',101,'N'),(15,2175517,'1',203,'N'),(15,2175525,'1',203,'N'),(15,2175525,'2',202,'N'),(15,2175533,'1',207,'N'),(15,2175533,'1A',215,'N'),(15,2175533,'2',308,'N'),(15,2175550,'1',108,'N'),(15,2175550,'2',9,'N'),(15,2175568,'1',207,'N'),(15,2175568,'1A',208,'N'),(15,2175568,'2',304,'N'),(15,2175576,'1',108,'N'),(15,2175576,'2',301,'N'),(15,2175584,'1',304,'N'),(15,2175584,'2',444,'N'),(15,2175592,'1',233,'N'),(15,2175592,'1A',214,'N'),(15,2175592,'2',203,'N'),(15,2175606,'1',103,'N'),(15,2175606,'2',104,'N'),(15,2175622,'1',103,'N'),(15,2175622,'2',102,'N'),(15,2175649,'1',202,'N'),(15,2175649,'2',203,'N'),(15,2175665,'1',211,'N'),(15,2175665,'1A',216,'N'),(15,2175665,'2',316,'N'),(15,2175673,'1',303,'N'),(15,2175673,'2',326,'N'),(15,2175690,'1',319,'N'),(15,2175690,'2',331,'N'),(15,2175703,'1',444,'N'),(15,2175703,'2',238,'N'),(15,2175711,'1',103,'N'),(15,2175711,'2',102,'N'),(15,2175720,'1',214,'N'),(15,2175720,'1A',212,'N'),(15,2175720,'2',304,'N'),(15,2175738,'1',429,'N'),(15,2175746,'1',102,'N'),(15,2175746,'2',103,'N'),(15,2175754,'1',450,'N'),(15,2175754,'2',420,'N'),(15,2175762,'1',425,'N'),(15,2175762,'1A',429,'N'),(15,2175762,'2',329,'N'),(15,2175770,'1',316,'N'),(15,2175770,'2',301,'N'),(15,2175789,'1',5,'N'),(15,2175797,'1',420,'N'),(15,2175797,'2',332,'N'),(15,2175800,'1',501,'N'),(15,2175800,'2',302,'N'),(15,2175819,'1',327,'N'),(15,2175819,'2',326,'N'),(15,2175827,'1',303,'N'),(15,2175827,'2',301,'N'),(15,2175835,'1',103,'N'),(15,2175835,'2',5,'N'),(15,2175843,'1',303,'N'),(15,2175843,'2',208,'N'),(15,2175860,'1',331,'N'),(15,2175860,'2',415,'N'),(15,2175878,'1',217,'N'),(15,2175878,'2',304,'N'),(15,2175894,'1',317,'N'),(15,2175894,'2',208,'N'),(15,2175908,'1',451,'N'),(15,2175908,'2',329,'N'),(15,2175916,'1',108,'N'),(15,2175916,'2',333,'N'),(15,2175924,'1',102,'N'),(15,2175924,'2',217,'N'),(15,2175932,'1',319,'N'),(15,2175932,'2',331,'N'),(15,2175940,'1',220,'N'),(15,2175940,'1A',203,'N'),(15,2175940,'2',301,'N'),(15,2175959,'1',108,'N'),(15,2175959,'2',333,'N'),(15,2175967,'1',223,'N'),(15,2175967,'2',2,'N'),(15,2175975,'1',316,'N'),(15,2175975,'2',238,'N'),(15,2175983,'1',339,'N'),(15,2175983,'2',5,'N'),(15,2175991,'1',234,'N'),(15,2175991,'2',333,'N'),(15,2176009,'1',5,'N'),(15,2176009,'2',317,'N'),(15,2176017,'1',5,'N'),(15,2176025,'1',103,'N'),(15,2176025,'2',319,'N'),(15,2176033,'1',211,'N'),(15,2176033,'1A',216,'N'),(15,2176033,'2',404,'N'),(15,2176041,'1',208,'N'),(15,2176041,'2',316,'N'),(15,2176050,'1',332,'N'),(15,2176068,'1',304,'N'),(15,2176068,'2',420,'N'),(15,2176076,'1',420,'N'),(15,2176076,'2',425,'N'),(15,2176084,'1',201,'N'),(15,2176084,'1A',214,'N'),(15,2176084,'2',5,'N'),(15,2176092,'1',108,'N'),(15,2176092,'2',333,'N'),(15,2176106,'1',320,'N'),(15,2176106,'2',324,'N'),(15,2176114,'1',317,'N'),(15,2176114,'2',324,'N'),(15,2176122,'1',220,'N'),(15,2176122,'1A',207,'N'),(15,2176122,'2',317,'N'),(15,2176149,'1',203,'N'),(15,2176149,'1A',214,'N'),(15,2176149,'2',202,'N'),(15,2176173,'1',319,'N'),(15,2176173,'2',211,'N'),(15,2176181,'1',101,'N'),(15,2176181,'2',339,'N'),(15,2176203,'1',308,'N'),(15,2176203,'2',309,'N'),(15,2176211,'1',5,'N'),(15,2176211,'2',318,'N'),(15,2176220,'1',202,'N'),(15,2176220,'1A',213,'N'),(15,2176238,'1',316,'N'),(15,2176238,'2',302,'N'),(15,2176246,'1',103,'N'),(15,2176246,'2',415,'N'),(15,2176254,'1',216,'N'),(15,2176254,'1A',211,'N'),(15,2176254,'2',333,'N'),(15,2176262,'1',404,'N'),(15,2176262,'2',208,'N'),(15,2176270,'1',103,'N'),(15,2176270,'2',101,'N'),(15,2176297,'1',216,'N'),(15,2176297,'2',217,'N'),(15,2176300,'1',5,'N'),(15,2176300,'2',423,'N'),(15,2176319,'1',104,'N'),(15,2176319,'2',420,'N'),(15,2176327,'1',207,'N'),(15,2176327,'1A',202,'N'),(15,2176327,'2',208,'N'),(15,2176335,'1',104,'N'),(15,2176335,'2',9,'N'),(15,2176343,'1',211,'N'),(15,2176343,'1A',238,'N'),(15,2176343,'2',324,'N'),(15,2176351,'1',213,'N'),(15,2176351,'1A',202,'N'),(15,2176351,'2',212,'N'),(15,2176360,'1',104,'N'),(15,2176360,'2',102,'N'),(15,2176378,'1',101,'N'),(15,2176378,'2',339,'N'),(15,2176394,'1',234,'N'),(15,2176394,'2',501,'N'),(15,2176416,'1',103,'N'),(15,2176416,'2',202,'N'),(15,2176424,'1',216,'N'),(15,2176424,'1A',215,'N'),(15,2176424,'2',104,'N'),(15,2176432,'1',203,'N'),(15,2176432,'1A',201,'N'),(15,2176432,'2',425,'N'),(15,2176440,'1',103,'N'),(15,2176440,'2',108,'N'),(15,2176459,'1',207,'N'),(15,2176459,'1A',215,'N'),(15,2176459,'2',444,'N'),(15,2176467,'1',108,'N'),(15,2176467,'2',502,'N'),(15,2176475,'1',103,'N'),(15,2176475,'2',104,'N'),(15,2176483,'1',5,'N'),(15,2176483,'2',320,'N'),(15,2176491,'1',234,'N'),(15,2176491,'2',108,'N'),(15,2176505,'1',103,'N'),(15,2176505,'2',102,'N'),(15,2176513,'1',319,'N'),(15,2176513,'2',428,'N'),(15,2176521,'1',5,'N'),(15,2176521,'2',333,'N'),(15,2176530,'1',207,'N'),(15,2176530,'1A',212,'N'),(15,2176530,'2',424,'N'),(15,2176548,'1',332,'N'),(15,2176548,'2',333,'N'),(15,2176556,'1',212,'N'),(15,2176556,'1A',213,'N'),(15,2176556,'2',207,'N'),(15,2176564,'1',318,'N'),(15,2176564,'2',304,'N'),(15,2176580,'1',9,'N'),(15,2176580,'2',102,'N'),(15,2176599,'1',104,'N'),(15,2176599,'2',217,'N'),(15,2176602,'1',101,'N'),(15,2176602,'2',102,'N'),(15,2176610,'1',108,'N'),(15,2176610,'2',319,'N'),(15,2176629,'1',420,'N'),(15,2176629,'2',103,'N'),(15,2176637,'1',207,'N'),(15,2176661,'1',202,'N'),(15,2176661,'1A',203,'N'),(15,2176661,'2',216,'N'),(15,2176670,'1',333,'N'),(15,2176670,'2',238,'N'),(15,2176688,'1',327,'N'),(15,2176688,'2',326,'N'),(15,2176696,'1',501,'N'),(15,2176696,'2',211,'N'),(15,2176700,'1',203,'N'),(15,2176700,'1A',214,'N'),(15,2176700,'2',213,'N'),(15,2176718,'1',9,'N'),(15,2176718,'2',301,'N'),(15,2176734,'1',238,'N'),(15,2176734,'1A',215,'N'),(15,2176734,'2',208,'N'),(15,2176742,'1',420,'N'),(15,2176742,'2',421,'N'),(15,2176750,'1',333,'N'),(15,2176750,'2',424,'N'),(15,2176769,'1',332,'N'),(15,2176769,'2',320,'N'),(15,2176777,'1',420,'N'),(15,2176785,'1',316,'N'),(15,2176785,'2',329,'N'),(15,2176793,'1',424,'N'),(15,2176793,'1A',423,'N'),(15,2176793,'2',425,'N'),(15,2176807,'1',108,'N'),(15,2176807,'2',102,'N'),(15,2176815,'1',326,'N'),(15,2176815,'2',424,'N'),(15,2176831,'1',207,'N'),(15,2176831,'2',104,'N'),(15,2176840,'1',5,'N'),(15,2176840,'2',303,'N'),(15,2176858,'1',5,'N'),(15,2176858,'2',217,'N'),(15,2176866,'1',301,'N'),(15,2176866,'2',310,'N'),(15,2176874,'1',238,'N'),(15,2176874,'1A',233,'N'),(15,2176874,'2',327,'N'),(15,2176882,'1',207,'N'),(15,2176882,'1A',201,'N'),(15,2176882,'2',420,'N'),(15,2176890,'1',310,'N'),(15,2176890,'2',303,'N'),(15,2176904,'1',501,'N'),(15,2176904,'2',202,'N'),(15,2176912,'1',339,'N'),(15,2176912,'2',308,'N'),(15,2176920,'1',415,'N'),(15,2176920,'2',427,'N'),(15,2176939,'1',211,'N'),(15,2176939,'1A',203,'N'),(15,2176939,'2',444,'N'),(15,2176947,'1',303,'N'),(15,2176947,'2',309,'N'),(15,2176955,'1',333,'N'),(15,2176955,'2',108,'N'),(15,2176963,'1',224,'N'),(15,2176963,'2',223,'N'),(15,2176971,'1',108,'N'),(15,2176980,'1',213,'N'),(15,2176980,'1A',233,'N'),(15,2176980,'2',202,'N'),(15,2176998,'1',103,'N'),(15,2176998,'2',216,'N'),(15,2177005,'1',103,'N'),(15,2177005,'2',301,'N'),(15,2177013,'1',103,'N'),(15,2177013,'2',102,'N'),(15,2177021,'1',415,'N'),(15,2177030,'1',303,'N'),(15,2177030,'2',421,'N'),(15,2177056,'1',108,'N'),(15,2177056,'2',217,'N'),(15,2177064,'1',320,'N'),(15,2177064,'2',423,'N'),(15,2177072,'1',302,'N'),(15,2177072,'2',324,'N'),(15,2177080,'1',216,'N'),(15,2177080,'1A',233,'N'),(15,2177080,'2',212,'N'),(15,2177099,'1',238,'N'),(15,2177099,'1A',208,'N'),(15,2177099,'2',428,'N'),(15,2177110,'1',9,'N'),(15,2177110,'2',425,'N'),(15,2177129,'1',203,'N'),(15,2177129,'1A',202,'N'),(15,2177129,'2',212,'N'),(15,2177137,'1',207,'N'),(15,2177137,'2',420,'N'),(15,2177145,'1',104,'N'),(15,2177145,'2',423,'N'),(15,2177153,'1',215,'N'),(15,2177153,'1A',202,'N'),(15,2177153,'2',9,'N'),(15,2177170,'1',316,'N'),(15,2177170,'2',5,'N'),(15,2177196,'1',9,'N'),(15,2177200,'1',103,'N'),(15,2177200,'2',101,'N'),(15,2177218,'1',327,'N'),(15,2177218,'2',326,'N'),(15,2177226,'1',420,'N'),(15,2177226,'2',207,'N'),(15,2177234,'1',426,'N'),(15,2177234,'1A',423,'N'),(15,2177234,'2',215,'N'),(15,2177250,'1',103,'N'),(15,2177250,'2',102,'N'),(15,2177269,'1',208,'N'),(15,2177269,'1A',216,'N'),(15,2177269,'2',220,'N'),(15,2177277,'1',339,'N'),(15,2177277,'2',319,'N'),(15,2177285,'1',328,'N'),(15,2177285,'2',303,'N'),(15,2177293,'1',9,'N'),(15,2177293,'2',444,'N'),(15,2177307,'1',215,'N'),(15,2177307,'2',333,'N'),(15,2177323,'1',102,'N'),(15,2177323,'2',211,'N'),(15,2177331,'1',203,'N'),(15,2177331,'1A',220,'N'),(15,2177331,'2',214,'N'),(15,2177340,'1',202,'N'),(15,2177340,'1A',208,'N'),(15,2177340,'2',207,'N'),(15,2177358,'1',212,'N'),(15,2177358,'1A',238,'N'),(15,2177358,'2',9,'N'),(15,2177366,'1',212,'N'),(15,2177382,'1',101,'N'),(15,2177382,'2',319,'N'),(15,2177390,'1',319,'N'),(15,2177390,'2',339,'N'),(15,2177404,'1',317,'N'),(15,2177404,'2',302,'N'),(15,2177412,'1',326,'N'),(15,2177412,'2',451,'N'),(15,2177420,'1',303,'N'),(15,2177420,'2',5,'N'),(15,2177439,'1',108,'N'),(15,2177439,'2',217,'N'),(15,2177455,'1',103,'N'),(15,2177455,'2',217,'N'),(15,2177463,'1',207,'N'),(15,2177463,'2',103,'N'),(15,2177480,'1',203,'N'),(15,2177480,'1A',202,'N'),(15,2177480,'2',216,'N'),(15,2177498,'1',319,'N'),(15,2177498,'2',339,'N'),(15,2177501,'1',220,'N'),(15,2177501,'1A',213,'N'),(15,2177501,'2',301,'N'),(15,2177510,'1',303,'N'),(15,2177510,'2',5,'N'),(15,2177528,'1',415,'N'),(15,2177528,'2',319,'N'),(15,2177536,'1',103,'N'),(15,2177536,'2',108,'N'),(15,2177552,'1',316,'N'),(15,2177552,'2',301,'N'),(15,2177560,'1',103,'N'),(15,2177560,'2',9,'N'),(15,2177579,'1',308,'N'),(15,2177579,'2',301,'N'),(15,2177587,'1',104,'N'),(15,2177587,'2',304,'N'),(15,2177595,'1',303,'N'),(15,2177595,'2',302,'N'),(15,2177609,'1',9,'N'),(15,2177609,'2',217,'N'),(15,2177617,'1',420,'N'),(15,2177617,'2',207,'N'),(15,2177625,'1',319,'N'),(15,2177625,'2',415,'N'),(15,2177633,'1',108,'N'),(15,2177633,'2',501,'N'),(15,2177641,'1',303,'N'),(15,2177641,'2',310,'N'),(15,2177650,'1',301,'N'),(15,2177650,'2',318,'N'),(15,2177668,'1',104,'N'),(15,2177668,'2',309,'N'),(15,2177676,'1',304,'N'),(15,2177676,'2',318,'N'),(15,2177684,'1',104,'N'),(15,2177684,'2',217,'N'),(15,2177706,'1',103,'N'),(15,2177706,'2',104,'N'),(15,2177714,'1',316,'N'),(15,2177714,'2',211,'N'),(15,2177722,'1',103,'N'),(15,2177722,'2',318,'N'),(15,2177749,'1',444,'N'),(15,2177749,'2',404,'N'),(15,2177757,'1',203,'N'),(15,2177757,'1A',233,'N'),(15,2177757,'2',324,'N'),(15,2177765,'1',404,'N'),(15,2177765,'2',427,'N'),(15,2177773,'1',5,'N'),(15,2177773,'2',201,'N'),(15,2177790,'1',5,'N'),(15,2177790,'2',102,'N'),(15,2177803,'1',238,'N'),(15,2177803,'2',208,'N'),(15,2177811,'1',103,'N'),(15,2177811,'2',216,'N'),(15,2177820,'1',222,'N'),(15,2177820,'2',223,'N'),(15,2177838,'1',238,'N'),(15,2177838,'1A',208,'N'),(15,2177838,'2',222,'N'),(15,2177846,'1',208,'N'),(15,2177846,'1A',238,'N'),(15,2177846,'2',420,'N'),(15,2177854,'1',207,'N'),(15,2177854,'1A',211,'N'),(15,2177854,'2',234,'N'),(15,2177900,'1',333,'N'),(15,2177900,'2',108,'N'),(15,2177919,'1',415,'N'),(15,2177919,'2',420,'N'),(15,2177927,'1',451,'N'),(15,2177927,'2',333,'N'),(15,2177935,'1',327,'N'),(15,2177935,'2',332,'N'),(15,2177943,'1',303,'N'),(15,2177943,'2',309,'N'),(15,2177951,'1',308,'N'),(15,2177951,'2',339,'N'),(15,2177960,'1',415,'N'),(15,2177960,'2',420,'N'),(15,2177986,'1',208,'N'),(15,2177986,'1A',207,'N'),(15,2177986,'2',316,'N'),(15,2178001,'1',220,'N'),(15,2178001,'1A',233,'N'),(15,2178001,'2',213,'N'),(15,2178010,'1',303,'N'),(15,2178010,'2',301,'N'),(15,2178028,'1',103,'N'),(15,2178028,'2',9,'N'),(15,2178036,'1',103,'N'),(15,2178036,'2',9,'N'),(15,2178044,'1',501,'N'),(15,2178044,'2',421,'N'),(15,2178052,'1',301,'N'),(15,2178052,'2',238,'N'),(15,2178060,'1',316,'N'),(15,2178060,'2',327,'N'),(15,2178079,'1',316,'N'),(15,2178079,'2',308,'N'),(15,2178087,'1',303,'N'),(15,2178087,'2',207,'N'),(15,2178095,'1',203,'N'),(15,2178095,'1A',214,'N'),(15,2178095,'2',9,'N'),(15,2178109,'1',301,'N'),(15,2178109,'2',415,'N'),(15,2178117,'1',302,'N'),(15,2178117,'2',333,'N'),(15,2178125,'1',103,'N'),(15,2178125,'2',316,'N'),(15,2178133,'1',301,'N'),(15,2178133,'2',216,'N'),(15,2178141,'1',201,'N'),(15,2178141,'1A',213,'N'),(15,2178150,'1',319,'N'),(15,2178150,'2',301,'N'),(15,2178168,'1',415,'N'),(15,2178168,'2',319,'N'),(15,2178176,'1',426,'N'),(15,2178176,'1A',428,'N'),(15,2178176,'2',327,'N'),(15,2178192,'1',103,'N'),(15,2178192,'2',102,'N'),(15,2178206,'1',103,'N'),(15,2178206,'2',208,'N'),(15,2178214,'1',103,'N'),(15,2178214,'2',415,'N'),(15,2178222,'1',333,'N'),(15,2178222,'2',234,'N'),(15,2178230,'1',216,'N'),(15,2178257,'1',303,'N'),(15,2178257,'2',212,'N'),(15,2178265,'1',318,'N'),(15,2178265,'2',208,'N'),(15,2178273,'1',208,'N'),(15,2178273,'1A',238,'N'),(15,2178273,'2',302,'N'),(15,2178281,'1',303,'N'),(15,2178281,'2',331,'N'),(15,2178290,'1',208,'N'),(15,2178290,'1A',238,'N'),(15,2178290,'2',222,'N'),(15,2178303,'1',108,'N'),(15,2178303,'2',502,'N'),(15,2178320,'1',451,'N'),(15,2178320,'2',415,'N'),(15,2178338,'1',304,'N'),(15,2178338,'2',318,'N'),(15,2178346,'1',9,'N'),(15,2178346,'2',215,'N'),(15,2178354,'1',332,'N'),(15,2178354,'2',224,'N'),(15,2178362,'1',333,'N'),(15,2178362,'2',420,'N'),(15,2178370,'1',324,'N'),(15,2178370,'2',420,'N'),(15,2178389,'1',501,'N'),(15,2178389,'2',502,'N'),(15,2178397,'1',327,'N'),(15,2178397,'2',326,'N'),(15,2178400,'1',212,'N'),(15,2178400,'1A',207,'N'),(15,2178400,'2',201,'N'),(15,2178419,'1',102,'N'),(15,2178419,'2',211,'N'),(15,2178427,'1',103,'N'),(15,2178427,'2',202,'N'),(15,2178435,'1',103,'N'),(15,2178443,'1',104,'N'),(15,2178443,'2',333,'N'),(15,2178451,'1',103,'N'),(15,2178451,'2',333,'N'),(15,2178460,'1',103,'N'),(15,2178460,'2',319,'N'),(15,2178478,'1',212,'N'),(15,2178478,'1A',214,'N'),(15,2178478,'2',201,'N'),(15,2178486,'1',425,'N'),(15,2178486,'1A',429,'N'),(15,2178486,'2',420,'N'),(15,2178494,'1',5,'N'),(15,2178494,'2',317,'N'),(15,2178508,'1',203,'N'),(15,2178508,'1A',202,'N'),(15,2178516,'1',5,'N'),(15,2178524,'1',201,'N'),(15,2178524,'1A',212,'N'),(15,2178524,'2',423,'N'),(15,2178532,'1',108,'N'),(15,2178540,'1',303,'N'),(15,2178540,'2',415,'N'),(15,2178559,'1',211,'N'),(15,2178559,'1A',207,'N'),(15,2178559,'2',501,'N'),(15,2178575,'1',327,'N'),(15,2178575,'2',426,'N'),(15,2178583,'1',420,'N'),(15,2178583,'2',318,'N'),(15,2178591,'1',201,'N'),(15,2178591,'1A',233,'N'),(15,2178591,'2',211,'N'),(15,2178605,'1',415,'N'),(15,2178605,'2',420,'N'),(15,2178613,'1',420,'N'),(15,2178621,'1',9,'N'),(15,2178621,'2',215,'N'),(15,2178630,'1',108,'N'),(15,2178630,'2',333,'N'),(15,2178664,'1',415,'N'),(15,2178664,'2',426,'N'),(15,2178672,'1',104,'N'),(15,2178672,'2',501,'N'),(15,2178680,'1',216,'N'),(15,2178699,'1',104,'N'),(15,2178699,'2',451,'N'),(15,2178702,'1',211,'N'),(15,2178702,'1A',238,'N'),(15,2178702,'2',429,'N'),(15,2178710,'1',415,'N'),(15,2178710,'2',203,'N'),(15,2178729,'1',303,'N'),(15,2178729,'2',328,'N'),(15,2178737,'1',102,'N'),(15,2178737,'2',216,'N'),(15,2178745,'1',203,'N'),(15,2178745,'1A',202,'N'),(15,2178745,'2',2,'N'),(15,2178753,'1',220,'N'),(15,2178753,'1A',202,'N'),(15,2178753,'2',201,'N'),(15,2178761,'1',103,'N'),(15,2178761,'2',333,'N'),(15,2178770,'1',108,'N'),(15,2178788,'1',303,'N'),(15,2178788,'2',203,'N'),(15,2178800,'1',108,'N'),(15,2178800,'2',217,'N'),(15,2178818,'1',103,'N'),(15,2178818,'2',303,'N'),(15,2178826,'1',216,'N'),(15,2178834,'1',220,'N'),(15,2178834,'1A',208,'N'),(15,2178834,'2',225,'N'),(15,2178850,'1',450,'N'),(15,2178850,'2',310,'N'),(15,2178869,'1',103,'N'),(15,2178869,'2',102,'N'),(15,2178877,'1',101,'N'),(15,2178885,'1',103,'N'),(15,2178885,'2',220,'N'),(15,2178893,'1',316,'N'),(15,2178893,'2',304,'N'),(15,2178907,'1',104,'N'),(15,2178907,'2',9,'N'),(15,2178915,'1',201,'N'),(15,2178915,'1A',212,'N'),(15,2178915,'2',213,'N'),(15,2178923,'1',502,'N'),(15,2178923,'2',211,'N'),(15,2178931,'1',101,'N'),(15,2178931,'2',217,'N'),(15,2178940,'1',201,'N'),(15,2178940,'1A',212,'N'),(15,2178940,'2',2,'N'),(15,2178958,'1',203,'N'),(15,2178958,'1A',233,'N'),(15,2178958,'2',222,'N'),(15,2178966,'1',444,'N'),(15,2178966,'2',428,'N'),(15,2179008,'1',211,'N'),(15,2179008,'1A',213,'N'),(15,2179008,'2',108,'N'),(15,2179016,'1',303,'N'),(15,2179016,'2',5,'N'),(15,2179024,'1',332,'N'),(15,2179024,'2',501,'N'),(15,2179040,'1',203,'N'),(15,2179040,'1A',216,'N'),(15,2179040,'2',103,'N'),(15,2179059,'1',104,'N'),(15,2179059,'2',303,'N'),(15,2179067,'1',415,'N'),(15,2179067,'2',316,'N'),(15,2179075,'1',316,'N'),(15,2179075,'2',318,'N'),(15,2179083,'1',103,'N'),(15,2179083,'2',102,'N'),(15,2179091,'1',103,'N'),(15,2179091,'2',319,'N'),(15,2179105,'1',203,'N'),(15,2179105,'1A',214,'N'),(15,2179105,'2',220,'N'),(15,2179113,'1',214,'N'),(15,2179113,'1A',212,'N'),(15,2179113,'2',203,'N'),(15,2179121,'1',207,'N'),(15,2179121,'2',420,'N'),(15,2179130,'1',103,'N'),(15,2179130,'2',9,'N'),(15,2179148,'1',501,'N'),(15,2179148,'2',223,'N'),(15,2179156,'1',233,'N'),(15,2179156,'1A',208,'N'),(15,2179156,'2',217,'N'),(15,2179164,'1',211,'N'),(15,2179164,'1A',212,'N'),(15,2179164,'2',324,'N'),(15,2179172,'1',203,'N'),(15,2179172,'1A',202,'N'),(15,2179172,'2',208,'N'),(15,2179180,'1',103,'N'),(15,2179180,'2',216,'N'),(15,2179199,'1',316,'N'),(15,2179199,'2',211,'N'),(15,2179202,'1',217,'N'),(15,2179202,'2',317,'N'),(15,2179210,'1',103,'N'),(15,2179210,'2',101,'N'),(15,2179229,'1',102,'N'),(15,2179229,'2',9,'N'),(15,2179237,'1',101,'N'),(15,2179237,'2',207,'N'),(15,2179245,'1',201,'N'),(15,2179245,'1A',207,'N'),(15,2179245,'2',104,'N'),(15,2179253,'1',339,'N'),(15,2179253,'2',327,'N'),(15,2179261,'1',318,'N'),(15,2179261,'2',415,'N'),(15,2179270,'1',208,'N'),(15,2179270,'1A',238,'N'),(15,2179270,'2',102,'N'),(15,2179288,'1',103,'N'),(15,2179288,'2',108,'N'),(15,2179296,'1',201,'N'),(15,2179296,'1A',216,'N'),(15,2179296,'2',233,'N'),(15,2179300,'1',103,'N'),(15,2179300,'2',333,'N'),(15,2179318,'1',211,'N'),(15,2179318,'1A',233,'N'),(15,2179318,'2',103,'N'),(15,2179326,'1',203,'N'),(15,2179326,'1A',208,'N'),(15,2179326,'2',202,'N'),(15,2179334,'1',201,'N'),(15,2179334,'1A',211,'N'),(15,2179334,'2',233,'N'),(15,2179342,'1',303,'N'),(15,2179342,'2',301,'N'),(15,2179350,'1',103,'N'),(15,2179369,'1',302,'N'),(15,2179369,'2',501,'N'),(15,2179377,'1',238,'N'),(15,2179377,'2',444,'N'),(15,2179393,'1',316,'N'),(15,2179393,'2',234,'N'),(15,2179407,'1',104,'N'),(15,2179407,'2',101,'N'),(15,2179415,'1',207,'N'),(15,2179415,'1A',202,'N'),(15,2179415,'2',301,'N'),(15,2179423,'1',203,'N'),(15,2179423,'1A',214,'N'),(15,2179423,'2',2,'N'),(15,2179431,'1',420,'N'),(15,2179431,'2',301,'N'),(15,2179440,'1',103,'N'),(15,2179458,'1',451,'N'),(15,2179458,'2',429,'N'),(15,2179466,'1',316,'N'),(15,2179466,'2',303,'N'),(15,2179474,'1',201,'N'),(15,2179474,'1A',203,'N'),(15,2179482,'1',217,'N'),(15,2179482,'2',420,'N'),(15,2179490,'1',5,'N'),(15,2179490,'2',320,'N'),(15,2179504,'1',5,'N'),(15,2179504,'2',427,'N'),(15,2179512,'1',216,'N'),(15,2179512,'1A',211,'N'),(15,2179512,'2',333,'N'),(15,2179520,'1',415,'N'),(15,2179520,'2',103,'N'),(15,2179539,'1',103,'N'),(15,2179547,'1',207,'N'),(15,2179547,'2',223,'N'),(15,2179555,'1',324,'N'),(15,2179555,'2',426,'N'),(15,2179563,'1',415,'N'),(15,2179563,'2',303,'N'),(15,2179571,'1',103,'N'),(15,2179571,'2',104,'N'),(15,2179598,'1',214,'N'),(15,2179598,'1A',213,'N'),(15,2179601,'1',303,'N'),(15,2179601,'2',5,'N'),(15,2179610,'1',212,'N'),(15,2179610,'1A',207,'N'),(15,2179610,'2',201,'N'),(15,2179628,'1',220,'N'),(15,2179628,'1A',214,'N'),(15,2179628,'2',213,'N'),(15,2179636,'1',234,'N'),(15,2179636,'2',211,'N'),(15,2179644,'1',203,'N'),(15,2179644,'1A',214,'N'),(15,2179644,'2',2,'N'),(15,2179652,'1',207,'N'),(15,2179652,'1A',201,'N'),(15,2179660,'1',203,'N'),(15,2179660,'1A',202,'N'),(15,2179660,'2',214,'N'),(15,2179679,'1',201,'N'),(15,2179679,'1A',212,'N'),(15,2179679,'2',425,'N'),(15,2179687,'1',207,'N'),(15,2179687,'2',420,'N'),(15,2179695,'1',103,'N'),(15,2179695,'2',319,'N'),(15,2179709,'1',211,'N'),(15,2179709,'1A',238,'N'),(15,2179709,'2',326,'N'),(15,2179717,'1',103,'N'),(15,2179717,'2',303,'N'),(15,2179725,'1',103,'N'),(15,2179725,'2',216,'N'),(15,2179733,'1',103,'N'),(15,2179733,'2',108,'N'),(15,2179741,'1',203,'N'),(15,2179741,'2',214,'N'),(15,2179750,'1',303,'N'),(15,2179750,'2',5,'N'),(15,2179768,'1',429,'N'),(15,2179768,'1A',424,'N'),(15,2179768,'2',451,'N'),(15,2179776,'1',424,'N'),(15,2179776,'2',426,'N'),(15,2179792,'1',319,'N'),(15,2179792,'2',9,'N'),(15,2179806,'1',316,'N'),(15,2179806,'2',339,'N'),(15,2179814,'1',108,'N'),(15,2179814,'2',333,'N'),(15,2179822,'1',423,'N'),(15,2179822,'1A',427,'N'),(15,2179822,'2',424,'N'),(15,2179830,'1',108,'N'),(15,2179830,'2',225,'N'),(15,2179849,'1',238,'N'),(15,2179849,'1A',208,'N'),(15,2179849,'2',225,'N'),(15,2179857,'1',101,'N'),(15,2179857,'2',102,'N'),(15,2179865,'1',9,'N'),(15,2179865,'2',302,'N'),(15,2179873,'1',303,'N'),(15,2179873,'2',420,'N'),(15,2179881,'1',103,'N'),(15,2179881,'2',319,'N'),(15,2179890,'1',220,'N'),(15,2179890,'1A',233,'N'),(15,2179890,'2',216,'N'),(15,2179903,'1',238,'N'),(15,2179903,'1A',208,'N'),(15,2179903,'2',444,'N'),(15,2179911,'1',203,'N'),(15,2179911,'1A',211,'N'),(15,2179911,'2',233,'N'),(15,2179920,'1',320,'N'),(15,2179920,'2',319,'N'),(15,2179938,'1',103,'N'),(15,2179946,'1',203,'N'),(15,2179946,'1A',233,'N'),(15,2179946,'2',103,'N'),(15,2179954,'1',9,'N'),(15,2179954,'2',319,'N'),(15,2179962,'1',211,'N'),(15,2179962,'1A',201,'N'),(15,2179962,'2',429,'N'),(15,2179970,'1',102,'N'),(15,2179970,'2',415,'N'),(15,2179989,'1',5,'N'),(15,2179989,'2',303,'N'),(15,2179997,'1',103,'N'),(15,2180006,'1',444,'N'),(15,2180006,'2',327,'N'),(15,2180014,'1',203,'N'),(15,2180014,'1A',201,'N'),(15,2180014,'2',214,'N'),(15,2180022,'1',5,'N'),(15,2180022,'2',329,'N'),(15,2180030,'1',211,'N'),(15,2180030,'1A',201,'N'),(15,2180030,'2',333,'N'),(15,2180049,'1',103,'N'),(15,2180049,'2',104,'N'),(15,2180057,'1',108,'N'),(15,2180057,'2',333,'N'),(15,2180065,'1',207,'N'),(15,2180065,'1A',201,'N'),(15,2180065,'2',319,'N'),(15,2180073,'1',202,'N'),(15,2180073,'1A',213,'N'),(15,2180073,'2',404,'N'),(15,2180081,'1',303,'N'),(15,2180081,'2',301,'N'),(15,2180090,'1',317,'N'),(15,2180090,'2',224,'N'),(15,2180103,'1',404,'N'),(15,2180103,'2',444,'N'),(15,2180111,'1',103,'N'),(15,2180111,'2',319,'N'),(15,2180120,'1',303,'N'),(15,2180120,'2',425,'N'),(15,2180138,'1',420,'N'),(15,2180138,'2',316,'N'),(15,2180154,'1',5,'N'),(15,2180154,'2',238,'N'),(15,2180162,'1',318,'N'),(15,2180162,'2',304,'N'),(15,2180170,'1',103,'N'),(15,2180170,'2',203,'N'),(15,2180189,'1',308,'N'),(15,2180189,'2',428,'N'),(15,2180200,'1',207,'N'),(15,2180200,'1A',215,'N'),(15,2180200,'2',326,'N'),(15,2180219,'1',201,'N'),(15,2180219,'1A',211,'N'),(15,2180219,'2',223,'N'),(15,2180227,'1',103,'N'),(15,2180227,'2',217,'N'),(15,2180243,'1',208,'N'),(15,2180243,'2',317,'N'),(15,2180251,'1',501,'N'),(15,2180251,'2',502,'N'),(15,2180260,'1',201,'N'),(15,2180260,'1A',208,'N'),(15,2180260,'2',224,'N'),(15,2180278,'1',207,'N'),(15,2180278,'1A',201,'N'),(15,2180278,'2',317,'N'),(15,2180286,'1',203,'N'),(15,2180286,'2',214,'N'),(15,2180294,'1',103,'N'),(15,2180294,'2',101,'N'),(15,2180308,'1',220,'N'),(15,2180308,'1A',208,'N'),(15,2180308,'2',203,'N'),(15,2180316,'1',108,'N'),(15,2180316,'2',333,'N'),(15,2180324,'1',421,'N'),(15,2180324,'1A',423,'N'),(15,2180324,'2',327,'N'),(15,2180340,'1',450,'N'),(15,2180340,'2',451,'N'),(15,2180359,'1',102,'N'),(15,2180359,'2',103,'N'),(15,2180367,'1',444,'N'),(15,2180367,'2',9,'N'),(15,2180375,'1',203,'N'),(15,2180375,'1A',214,'N'),(15,2180375,'2',2,'N'),(15,2180383,'1',103,'N'),(15,2180383,'2',304,'N'),(15,2180391,'1',108,'N'),(15,2180391,'2',304,'N'),(15,2180405,'1',103,'N'),(15,2180405,'2',102,'N'),(15,2180421,'1',316,'N'),(15,2180421,'2',211,'N'),(15,2180430,'1',211,'N'),(15,2180448,'1',5,'N'),(15,2180448,'2',303,'N'),(15,2180464,'1',102,'N'),(15,2180464,'2',309,'N'),(15,2180472,'1',202,'N'),(15,2180472,'1A',213,'N'),(15,2180472,'2',2,'N'),(15,2180480,'1',103,'N'),(15,2180480,'2',316,'N'),(15,2180499,'1',211,'N'),(15,2180499,'1A',207,'N'),(15,2180499,'2',320,'N'),(15,2180502,'1',207,'N'),(15,2180502,'1A',201,'N'),(15,2180502,'2',103,'N'),(15,2180510,'1',215,'N'),(15,2180510,'1A',211,'N'),(15,2180510,'2',502,'N'),(15,2180529,'1',208,'N'),(15,2180529,'1A',238,'N'),(15,2180529,'2',444,'N'),(15,2180545,'1',211,'N'),(15,2180553,'1',207,'N'),(15,2180553,'1A',201,'N'),(15,2180553,'2',420,'N'),(15,2180588,'1',5,'N'),(15,2180588,'2',9,'N'),(15,2180596,'1',326,'N'),(15,2180596,'2',425,'N'),(15,2180600,'1',238,'N'),(15,2180600,'1A',208,'N'),(15,2180600,'2',225,'N'),(15,2180618,'1',5,'N'),(15,2180618,'2',217,'N'),(15,2180642,'1',217,'N'),(15,2180642,'2',333,'N'),(15,2180650,'1',208,'N'),(15,2180650,'2',223,'N'),(15,2180669,'1',233,'N'),(15,2180669,'1A',207,'N'),(15,2180669,'2',421,'N'),(15,2180677,'1',208,'N'),(15,2180677,'1A',201,'N'),(15,2180677,'2',238,'N'),(15,2180685,'1',324,'N'),(15,2180693,'1',9,'N'),(15,2180693,'2',215,'N'),(15,2180707,'1',103,'N'),(15,2180707,'2',102,'N'),(15,2180715,'1',103,'N'),(15,2180715,'2',9,'N'),(15,2180723,'1',316,'N'),(15,2180723,'2',318,'N'),(15,2180731,'1',101,'N'),(15,2180731,'2',223,'N'),(15,2180740,'1',303,'N'),(15,2180740,'2',450,'N'),(15,2180758,'1',103,'N'),(15,2180758,'2',216,'N'),(15,2180766,'1',203,'N'),(15,2180766,'1A',233,'N'),(15,2180766,'2',415,'N'),(15,2180774,'1',332,'N'),(15,2180774,'2',238,'N'),(15,2180782,'1',303,'N'),(15,2180782,'2',5,'N'),(15,2180790,'1',103,'N'),(15,2180790,'2',444,'N'),(15,2180804,'1',316,'N'),(15,2180804,'2',202,'N'),(15,2180812,'1',207,'N'),(15,2180812,'2',201,'N'),(15,2180820,'1',104,'N'),(15,2180820,'2',425,'N'),(15,2180839,'1',104,'N'),(15,2180839,'2',331,'N'),(15,2180847,'1',318,'N'),(15,2180847,'2',304,'N'),(15,2180855,'1',319,'N'),(15,2180855,'2',9,'N'),(15,2180863,'1',108,'N'),(15,2180863,'2',101,'N'),(15,2180871,'1',501,'N'),(15,2180871,'2',211,'N'),(15,2180880,'1',502,'N'),(15,2180880,'2',234,'N'),(15,2180901,'1',103,'N'),(15,2180901,'2',102,'N'),(15,2180928,'1',203,'N'),(15,2180928,'1A',213,'N'),(15,2180928,'2',222,'N'),(15,2180936,'1',301,'N'),(15,2180936,'2',316,'N'),(15,2180944,'1',308,'N'),(15,2180944,'2',427,'N'),(15,2180952,'1',234,'N'),(15,2180952,'2',501,'N'),(15,2180960,'1',104,'N'),(15,2180960,'2',303,'N'),(15,2180979,'1',319,'N'),(15,2180979,'2',301,'N'),(15,2180987,'1',316,'N'),(15,2180987,'2',425,'N'),(15,2180995,'1',203,'N'),(15,2180995,'1A',202,'N'),(15,2180995,'2',317,'N'),(15,2181002,'1',101,'N'),(15,2181002,'2',5,'N'),(15,2181010,'1',102,'N'),(15,2181010,'2',426,'N'),(15,2181037,'1',103,'N'),(15,2181037,'2',104,'N'),(15,2181053,'1',211,'N'),(15,2181053,'1A',207,'N'),(15,2181053,'2',501,'N'),(15,2181061,'1',450,'N'),(15,2181061,'2',425,'N'),(15,2181070,'1',202,'N'),(15,2181070,'1A',233,'N'),(15,2181070,'2',2,'N'),(15,2181088,'1',302,'N'),(15,2181088,'2',333,'N'),(15,2181096,'1',329,'N'),(15,2181096,'2',320,'N'),(15,2181100,'1',103,'N'),(15,2181100,'2',207,'N'),(15,2181118,'1',301,'N'),(15,2181118,'2',201,'N'),(15,2181126,'1',103,'N'),(15,2181134,'1',318,'N'),(15,2181134,'2',339,'N'),(15,2181142,'1',424,'N'),(15,2181142,'1A',421,'N'),(15,2181142,'2',451,'N'),(15,2181150,'1',415,'N'),(15,2181150,'2',450,'N'),(15,2181169,'1',303,'N'),(15,2181169,'2',5,'N'),(15,2181177,'1',103,'N'),(15,2181177,'2',102,'N'),(15,2181185,'1',9,'N'),(15,2181185,'2',308,'N'),(15,2181193,'1',303,'N'),(15,2181193,'2',309,'N'),(15,2181207,'1',326,'N'),(15,2181207,'2',310,'N'),(15,2181215,'1',103,'N'),(15,2181215,'2',104,'N'),(15,2181223,'1',203,'N'),(15,2181223,'1A',202,'N'),(15,2181223,'2',444,'N'),(15,2181231,'1',103,'N'),(15,2181231,'2',104,'N'),(15,2181258,'1',301,'N'),(15,2181258,'2',316,'N'),(15,2181266,'1',303,'N'),(15,2181266,'2',310,'N'),(15,2181274,'1',9,'N'),(15,2181274,'2',103,'N'),(15,2181282,'1',420,'N'),(15,2181282,'2',104,'N'),(15,2181290,'1',303,'N'),(15,2181290,'2',426,'N'),(15,2181304,'1',103,'N'),(15,2181304,'2',207,'N'),(15,2181312,'1',207,'N'),(15,2181320,'1',203,'N'),(15,2181320,'1A',208,'N'),(15,2181320,'2',202,'N'),(15,2181339,'1',104,'N'),(15,2181339,'2',102,'N'),(15,2181355,'1',103,'N'),(15,2181355,'2',5,'N'),(15,2181363,'1',214,'N'),(15,2181363,'1A',203,'N'),(15,2181363,'2',208,'N'),(15,2181371,'1',308,'N'),(15,2181371,'2',423,'N'),(15,2181380,'1',302,'N'),(15,2181380,'2',317,'N'),(15,2181398,'1',103,'N'),(15,2181398,'2',319,'N'),(15,2181401,'1',207,'N'),(15,2181401,'2',420,'N'),(15,2181410,'1',303,'N'),(15,2181410,'2',104,'N'),(15,2181428,'1',104,'N'),(15,2181428,'2',301,'N'),(15,2181436,'1',319,'N'),(15,2181436,'2',320,'N'),(15,2181444,'1',211,'N'),(15,2181444,'2',108,'N'),(15,2181452,'1',332,'N'),(15,2181452,'2',331,'N'),(15,2181460,'1',415,'N'),(15,2181460,'2',404,'N'),(15,2181479,'1',102,'N'),(15,2181479,'2',339,'N'),(15,2181487,'1',216,'N'),(15,2181487,'1A',233,'N'),(15,2181487,'2',217,'N'),(15,2181495,'1',502,'N'),(15,2181495,'2',308,'N'),(15,2181509,'1',201,'N'),(15,2181509,'1A',212,'N'),(15,2181509,'2',2,'N'),(15,2181517,'1',203,'N'),(15,2181517,'1A',220,'N'),(15,2181517,'2',214,'N'),(15,2181525,'1',202,'N'),(15,2181525,'1A',220,'N'),(15,2181525,'2',2,'N'),(15,2181533,'1',502,'N'),(15,2181533,'2',331,'N'),(15,2181541,'1',108,'N'),(15,2181541,'2',333,'N'),(15,2181550,'1',101,'N'),(15,2181550,'2',309,'N'),(15,2181576,'1',316,'N'),(15,2181576,'2',301,'N'),(15,2181584,'1',444,'N'),(15,2181584,'2',404,'N'),(15,2181592,'1',5,'N'),(15,2181592,'2',316,'N'),(15,2181606,'1',444,'N'),(15,2181606,'2',326,'N'),(15,2181614,'1',5,'N'),(15,2181614,'2',329,'N'),(15,2181622,'1',207,'N'),(15,2181622,'1A',213,'N'),(15,2181622,'2',324,'N'),(15,2181630,'1',215,'N'),(15,2181630,'2',303,'N'),(15,2181649,'1',220,'N'),(15,2181649,'1A',202,'N'),(15,2181649,'2',201,'N'),(15,2181657,'1',108,'N'),(15,2181657,'2',102,'N'),(15,2181665,'1',103,'N'),(15,2181665,'2',217,'N'),(15,2181673,'1',108,'N'),(15,2181673,'2',9,'N'),(15,2181681,'1',303,'N'),(15,2181681,'2',415,'N'),(15,2181690,'1',216,'N'),(15,2181690,'2',233,'N'),(15,2181703,'1',303,'N'),(15,2181703,'2',5,'N'),(15,2181720,'1',420,'N'),(15,2181720,'2',207,'N'),(15,2181738,'1',103,'N'),(15,2181738,'2',326,'N'),(15,2181746,'1',303,'N'),(15,2181746,'2',207,'N'),(15,2181754,'1',309,'N'),(15,2181754,'2',2,'N'),(15,2181762,'1',103,'N'),(15,2181762,'2',102,'N'),(15,2181770,'1',207,'N'),(15,2181770,'2',201,'N'),(15,2181789,'1',238,'N'),(15,2181789,'1A',208,'N'),(15,2181789,'2',316,'N'),(15,2181800,'1',215,'N'),(15,2181800,'1A',233,'N'),(15,2181800,'2',9,'N'),(15,2181819,'1',101,'N'),(15,2181819,'2',404,'N'),(15,2181827,'1',211,'N'),(15,2181827,'1A',220,'N'),(15,2181827,'2',108,'N'),(15,2181835,'1',333,'N'),(15,2181835,'2',324,'N'),(15,2181843,'1',211,'N'),(15,2181843,'1A',212,'N'),(15,2181843,'2',108,'N'),(15,2181851,'1',103,'N'),(15,2181851,'2',102,'N'),(15,2181878,'1',319,'N'),(15,2181878,'2',333,'N'),(15,2181886,'1',103,'N'),(15,2181886,'2',303,'N'),(15,2181894,'1',309,'N'),(15,2181894,'2',421,'N'),(15,2181908,'1',329,'N'),(15,2181908,'2',424,'N'),(15,2181916,'1',207,'N'),(15,2181916,'2',420,'N'),(15,2181924,'1',108,'N'),(15,2181924,'2',333,'N'),(15,2181932,'1',201,'N'),(15,2181932,'1A',212,'N'),(15,2181932,'2',211,'N'),(15,2181940,'1',425,'N'),(15,2181940,'2',429,'N'),(15,2181959,'1',108,'N'),(15,2181967,'1',216,'N'),(15,2181967,'1A',233,'N'),(15,2181967,'2',217,'N'),(15,2181975,'1',415,'N'),(15,2181975,'2',203,'N'),(15,2181983,'1',220,'N'),(15,2181983,'1A',214,'N'),(15,2181983,'2',303,'N'),(15,2181991,'1',103,'N'),(15,2181991,'2',301,'N'),(15,2182009,'1',201,'N'),(15,2182009,'1A',207,'N'),(15,2182009,'2',316,'N'),(15,2182017,'1',501,'N'),(15,2182017,'2',316,'N'),(15,2182025,'1',103,'N'),(15,2182025,'2',102,'N'),(15,2182033,'1',303,'N'),(15,2182033,'2',224,'N'),(15,2182041,'1',5,'N'),(15,2182041,'2',104,'N'),(15,2182050,'1',303,'N'),(15,2182068,'1',207,'N'),(15,2182068,'1A',238,'N'),(15,2182068,'2',201,'N'),(15,2182076,'1',104,'N'),(15,2182084,'1',317,'N'),(15,2182084,'2',302,'N'),(15,2182092,'1',301,'N'),(15,2182092,'2',234,'N'),(15,2182106,'1',102,'N'),(15,2182106,'2',420,'N'),(15,2182114,'1',103,'N'),(15,2182114,'2',108,'N'),(15,2182122,'1',103,'N'),(15,2182122,'2',333,'N'),(15,2182130,'1',310,'N'),(15,2182130,'2',320,'N'),(15,2182149,'1',104,'N'),(15,2182157,'1',103,'N'),(15,2182157,'2',104,'N'),(15,2182165,'1',303,'N'),(15,2182165,'2',5,'N'),(15,2182173,'1',202,'N'),(15,2182173,'1A',201,'N'),(15,2182173,'2',211,'N'),(15,2182181,'1',222,'N'),(15,2182181,'2',224,'N'),(15,2182190,'1',301,'N'),(15,2182203,'1',303,'N'),(15,2182203,'2',5,'N'),(15,2182211,'1',319,'N'),(15,2182211,'2',207,'N'),(15,2182238,'1',301,'N'),(15,2182238,'2',9,'N'),(15,2182246,'1',415,'N'),(15,2182246,'2',319,'N'),(15,2182254,'1',215,'N'),(15,2182254,'1A',233,'N'),(15,2182254,'2',102,'N'),(15,2182262,'1',304,'N'),(15,2182262,'2',301,'N'),(15,2182270,'1',5,'N'),(15,2182270,'2',319,'N'),(15,2182289,'1',103,'N'),(15,2182289,'2',421,'N'),(15,2182297,'1',428,'N'),(15,2182297,'1A',426,'N'),(15,2182297,'2',331,'N'),(15,2182300,'1',201,'N'),(15,2182300,'1A',207,'N'),(15,2182300,'2',211,'N'),(15,2182319,'1',316,'N'),(15,2182319,'2',318,'N'),(15,2182327,'1',103,'N'),(15,2182327,'2',428,'N'),(15,2182343,'1',444,'N'),(15,2182343,'2',333,'N'),(15,2182351,'1',104,'N'),(15,2182351,'2',101,'N'),(15,2182378,'1',104,'N'),(15,2182378,'2',9,'N'),(15,2182386,'1',316,'N'),(15,2182386,'2',317,'N'),(15,2182394,'1',216,'N'),(15,2182394,'1A',207,'N'),(15,2182394,'2',201,'N'),(15,2182408,'1',108,'N'),(15,2182408,'2',208,'N'),(15,2182416,'1',220,'N'),(15,2182416,'1A',213,'N'),(15,2182416,'2',217,'N'),(15,2182424,'1',103,'N'),(15,2182424,'2',211,'N'),(15,2182432,'1',303,'N'),(15,2182432,'2',428,'N'),(15,2182440,'1',420,'N'),(15,2182440,'2',9,'N'),(15,2182459,'1',304,'N'),(15,2182459,'2',421,'N'),(15,2182467,'1',213,'N'),(15,2182467,'1A',202,'N'),(15,2182467,'2',233,'N'),(15,2182483,'1',303,'N'),(15,2182483,'2',201,'N'),(15,2182491,'1',303,'N'),(15,2182491,'2',5,'N'),(15,2182505,'1',317,'N'),(15,2182505,'2',316,'N'),(15,2182513,'1',316,'N'),(15,2182513,'2',318,'N'),(15,2182521,'1',423,'N'),(15,2182521,'1A',426,'N'),(15,2182521,'2',308,'N'),(15,2182530,'1',9,'N'),(15,2182530,'2',425,'N'),(15,2182548,'1',103,'N'),(15,2182548,'2',102,'N'),(15,2182556,'1',104,'N'),(15,2182556,'2',301,'N'),(15,2182564,'1',420,'N'),(15,2182564,'2',207,'N'),(15,2182572,'1',103,'N'),(15,2182572,'2',101,'N'),(15,2182580,'1',234,'N'),(15,2182580,'2',333,'N'),(15,2182599,'1',451,'N'),(15,2182602,'1',303,'N'),(15,2182602,'2',425,'N'),(15,2182610,'1',203,'N'),(15,2182610,'1A',214,'N'),(15,2182610,'2',302,'N'),(15,2182629,'1',301,'N'),(15,2182629,'2',212,'N'),(15,2182637,'1',215,'N'),(15,2182637,'2',9,'N'),(15,2182645,'1',103,'N'),(15,2182645,'2',333,'N'),(15,2182653,'1',103,'N'),(15,2182653,'2',9,'N'),(15,2182661,'1',217,'N'),(15,2182661,'2',309,'N'),(15,2182670,'1',316,'N'),(15,2182670,'2',318,'N'),(15,2182688,'1',501,'N'),(15,2182688,'2',222,'N'),(15,2182696,'1',104,'N'),(15,2182696,'2',333,'N'),(15,2182700,'1',420,'N'),(15,2182700,'2',233,'N'),(15,2182718,'1',238,'N'),(15,2182718,'1A',208,'N'),(15,2182718,'2',451,'N'),(15,2182726,'1',104,'N'),(15,2182726,'2',9,'N'),(15,2182734,'1',9,'N'),(15,2182734,'2',215,'N'),(15,2182742,'1',415,'N'),(15,2182742,'2',310,'N'),(15,2182750,'1',217,'N'),(15,2182750,'2',317,'N'),(15,2182769,'1',302,'N'),(15,2182769,'2',425,'N'),(15,2182777,'1',103,'N'),(15,2182785,'1',428,'N'),(15,2182785,'1A',426,'N'),(15,2182785,'2',308,'N'),(15,2182793,'1',103,'N'),(15,2182793,'2',451,'N'),(15,2182807,'1',415,'N'),(15,2182807,'2',102,'N'),(15,2182815,'1',203,'N'),(15,2182815,'1A',214,'N'),(15,2182823,'1',211,'N'),(15,2182823,'1A',202,'N'),(15,2182823,'2',102,'N'),(15,2182831,'1',444,'N'),(15,2182831,'2',427,'N'),(15,2182840,'1',415,'N'),(15,2182840,'2',333,'N'),(15,2182858,'1',103,'N'),(15,2182858,'2',326,'N'),(15,2182866,'1',301,'N'),(15,2182866,'2',223,'N'),(15,2182874,'1',9,'N'),(15,2182874,'2',319,'N'),(15,2182882,'1',301,'N'),(15,2182882,'2',316,'N'),(15,2182890,'1',5,'N'),(15,2182890,'2',303,'N'),(15,2182904,'1',103,'N'),(15,2182904,'2',104,'N'),(15,2182912,'1',213,'N'),(15,2182912,'1A',214,'N'),(15,2182912,'2',212,'N'),(15,2182920,'1',203,'N'),(15,2182920,'1A',220,'N'),(15,2182920,'2',2,'N'),(15,2182939,'1',213,'N'),(15,2182939,'1A',233,'N'),(15,2182939,'2',202,'N'),(15,2182947,'1',201,'N'),(15,2182947,'1A',212,'N'),(15,2182947,'2',216,'N'),(15,2182955,'1',202,'N'),(15,2182955,'1A',220,'N'),(15,2182955,'2',2,'N'),(15,2182963,'1',238,'N'),(15,2182963,'2',316,'N'),(15,2182971,'1',211,'N'),(15,2182971,'1A',212,'N'),(15,2182971,'2',333,'N'),(15,2182998,'1',415,'N'),(15,2182998,'2',211,'N'),(15,2183005,'1',216,'N'),(15,2183005,'2',429,'N'),(15,2183013,'1',331,'N'),(15,2183013,'2',302,'N'),(15,2183021,'1',103,'N'),(15,2183021,'2',102,'N'),(15,2183030,'1',201,'N'),(15,2183030,'1A',212,'N'),(15,2183030,'2',238,'N'),(15,2183048,'1',215,'N'),(15,2183048,'1A',213,'N'),(15,2183048,'2',212,'N'),(15,2183056,'1',319,'N'),(15,2183056,'2',326,'N'),(15,2183072,'1',104,'N'),(15,2183072,'2',425,'N'),(15,2183080,'1',420,'N'),(15,2183080,'2',404,'N'),(15,2183099,'1',103,'N'),(15,2183102,'1',415,'N'),(15,2183102,'2',326,'N'),(15,2183110,'1',238,'N'),(15,2183110,'2',2,'N'),(15,2183129,'1',329,'N'),(15,2183129,'2',324,'N'),(15,2183137,'1',103,'N'),(15,2183137,'2',420,'N'),(15,2183145,'1',301,'N'),(15,2183145,'2',424,'N'),(15,2183153,'1',103,'N'),(15,2183153,'2',5,'N'),(15,2183161,'1',444,'N'),(15,2183161,'2',404,'N'),(15,2183170,'1',444,'N'),(15,2183170,'2',404,'N'),(15,2183188,'1',203,'N'),(15,2183188,'2',103,'N'),(15,2183196,'1',103,'N'),(15,2183196,'2',102,'N'),(15,2183226,'1',224,'N'),(15,2183226,'2',421,'N'),(15,2183234,'1',238,'N'),(15,2183234,'1A',208,'N'),(15,2183234,'2',318,'N'),(15,2183242,'1',202,'N'),(15,2183242,'1A',213,'N'),(15,2183242,'2',238,'N'),(15,2183250,'1',333,'N'),(15,2183250,'2',108,'N'),(15,2183277,'1',103,'N'),(15,2183277,'2',9,'N'),(15,2183285,'1',324,'N'),(15,2183285,'2',332,'N'),(15,2183293,'1',5,'N'),(15,2183293,'2',426,'N'),(15,2183315,'1',319,'N'),(15,2183315,'2',339,'N'),(15,2183323,'1',9,'N'),(15,2183323,'2',207,'N'),(15,2183331,'1',103,'N'),(15,2183340,'1',331,'N'),(15,2183340,'2',324,'N'),(15,2183358,'1',5,'N'),(15,2183358,'2',320,'N'),(15,2183366,'1',101,'N'),(15,2183366,'2',102,'N'),(15,2183374,'1',103,'N'),(15,2183374,'2',326,'N'),(15,2183382,'1',318,'N'),(15,2183382,'2',304,'N'),(15,2183390,'1',103,'N'),(15,2183404,'1',303,'N'),(15,2183412,'1',318,'N'),(15,2183412,'2',304,'N'),(15,2183420,'1',415,'N'),(15,2183420,'2',108,'N'),(15,2183439,'1',108,'N'),(15,2183439,'2',501,'N'),(15,2183447,'1',316,'N'),(15,2183447,'2',224,'N'),(15,2183455,'1',103,'N'),(15,2183455,'2',104,'N'),(15,2183463,'1',203,'N'),(15,2183463,'1A',216,'N'),(15,2183463,'2',303,'N'),(15,2183471,'1',203,'N'),(15,2183471,'1A',208,'N'),(15,2183471,'2',317,'N'),(15,2183480,'1',303,'N'),(15,2183480,'2',415,'N'),(15,2183498,'1',208,'N'),(15,2183498,'1A',233,'N'),(15,2183498,'2',444,'N'),(15,2183501,'1',103,'N'),(15,2183501,'2',108,'N'),(15,2183510,'1',212,'N'),(15,2183510,'1A',233,'N'),(15,2183510,'2',304,'N'),(15,2183528,'1',103,'N'),(15,2183528,'2',101,'N'),(15,2183536,'1',104,'N'),(15,2183536,'2',102,'N'),(15,2183544,'1',102,'N'),(15,2183544,'2',216,'N'),(15,2183552,'1',103,'N'),(15,2183579,'1',220,'N'),(15,2183579,'1A',202,'N'),(15,2183579,'2',216,'N'),(15,2183587,'1',103,'N'),(15,2183587,'2',424,'N'),(15,2183609,'1',327,'N'),(15,2183609,'2',426,'N'),(15,2183617,'1',203,'N'),(15,2183617,'1A',214,'N'),(15,2183617,'2',2,'N'),(15,2183625,'1',103,'N'),(15,2183625,'2',319,'N'),(15,2183633,'1',207,'N'),(15,2183633,'1A',201,'N'),(15,2183633,'2',420,'N'),(15,2183641,'1',501,'N'),(15,2183641,'2',421,'N'),(15,2183650,'1',450,'N'),(15,2183668,'1',103,'N'),(15,2183668,'2',104,'N'),(15,2183676,'1',415,'N'),(15,2183676,'2',303,'N'),(15,2183684,'1',5,'N'),(15,2183684,'2',428,'N'),(15,2183706,'1',211,'N'),(15,2183706,'2',201,'N'),(15,2183714,'1',102,'N'),(15,2183714,'2',216,'N'),(15,2183722,'1',319,'N'),(15,2183722,'2',329,'N'),(15,2183730,'1',327,'N'),(15,2183730,'2',339,'N'),(15,2183749,'1',303,'N'),(15,2183749,'2',5,'N'),(15,2183757,'1',201,'N'),(15,2183757,'1A',207,'N'),(15,2183757,'2',213,'N'),(15,2183765,'1',102,'N'),(15,2183765,'2',501,'N'),(15,2183773,'1',316,'N'),(15,2183773,'2',319,'N'),(15,2183781,'1',203,'N'),(15,2183781,'1A',201,'N'),(15,2183781,'2',202,'N'),(15,2183790,'1',316,'N'),(15,2183790,'2',333,'N'),(15,2183803,'1',308,'N'),(15,2183803,'2',309,'N'),(15,2183811,'1',202,'N'),(15,2183811,'2',310,'N'),(15,2183820,'1',319,'N'),(15,2183820,'2',304,'N'),(15,2183838,'1',201,'N'),(15,2183838,'1A',213,'N'),(15,2183838,'2',333,'N'),(15,2183854,'1',5,'N'),(15,2183854,'2',501,'N'),(15,2183862,'1',301,'N'),(15,2183862,'2',309,'N'),(15,2183870,'1',207,'N'),(15,2183870,'1A',201,'N'),(15,2183870,'2',223,'N'),(15,2183889,'1',207,'N'),(15,2183889,'1A',203,'N'),(15,2183889,'2',450,'N'),(15,2183897,'1',444,'N'),(15,2183897,'2',211,'N'),(15,2183900,'1',5,'N'),(15,2183900,'2',421,'N'),(15,2183927,'1',102,'N'),(15,2183927,'2',216,'N'),(15,2183935,'1',415,'N'),(15,2183935,'2',427,'N'),(15,2183943,'1',103,'N'),(15,2183943,'2',9,'N'),(15,2183951,'1',201,'N'),(15,2183951,'1A',208,'N'),(15,2183951,'2',216,'N'),(15,2183960,'1',214,'N'),(15,2183960,'1A',211,'N'),(15,2183978,'1',301,'N'),(15,2183978,'2',404,'N'),(15,2183986,'1',103,'N'),(15,2183986,'2',108,'N'),(15,2183994,'1',103,'N'),(15,2183994,'2',102,'N'),(15,2184001,'1',225,'N'),(15,2184001,'2',425,'N'),(15,2184010,'1',316,'N'),(15,2184010,'2',301,'N'),(15,2184028,'1',501,'N'),(15,2184028,'2',301,'N'),(15,2184036,'1',201,'N'),(15,2184036,'1A',212,'N'),(15,2184036,'2',220,'N'),(15,2184044,'1',310,'N'),(15,2184044,'2',415,'N'),(15,2184052,'1',303,'N'),(15,2184052,'2',5,'N'),(15,2184060,'1',320,'N'),(15,2184060,'2',329,'N'),(15,2184079,'1',102,'N'),(15,2184079,'2',217,'N'),(15,2184087,'1',444,'N'),(15,2184087,'2',5,'N'),(15,2184095,'1',103,'N'),(15,2184095,'2',102,'N'),(15,2184109,'1',208,'N'),(15,2184109,'1A',238,'N'),(15,2184109,'2',222,'N'),(15,2184117,'1',103,'N'),(15,2184117,'2',303,'N'),(15,2184125,'1',444,'N'),(15,2184125,'2',9,'N'),(15,2184133,'1',415,'N'),(15,2184133,'2',428,'N'),(15,2184141,'1',212,'N'),(15,2184141,'1A',214,'N'),(15,2184141,'2',213,'N'),(15,2184150,'1',234,'N'),(15,2184150,'2',308,'N'),(15,2184176,'1',223,'N'),(15,2184176,'2',2,'N'),(15,2184184,'1',207,'N'),(15,2184184,'2',302,'N'),(15,2184192,'1',103,'N'),(15,2184192,'2',101,'N'),(15,2184206,'1',303,'N'),(15,2184206,'2',326,'N'),(15,2184214,'1',316,'N'),(15,2184214,'2',404,'N'),(15,2184222,'1',101,'N'),(15,2184222,'2',102,'N'),(15,2184230,'1',201,'N'),(15,2184230,'1A',207,'N'),(15,2184230,'2',104,'N'),(15,2184249,'1',203,'N'),(15,2184249,'1A',233,'N'),(15,2184249,'2',2,'N'),(15,2184257,'1',316,'N'),(15,2184257,'2',317,'N'),(15,2184265,'1',103,'N'),(15,2184265,'2',225,'N'),(15,2184273,'1',309,'N'),(15,2184273,'2',331,'N'),(15,2184281,'1',203,'N'),(15,2184281,'1A',201,'N'),(15,2184281,'2',207,'N'),(15,2184290,'1',103,'N'),(15,2184290,'2',319,'N'),(15,2184303,'1',426,'N'),(15,2184303,'1A',428,'N'),(15,2184303,'2',234,'N'),(15,2184311,'1',5,'N'),(15,2184311,'2',303,'N'),(15,2184320,'1',329,'N'),(15,2184320,'2',326,'N'),(15,2184338,'1',319,'N'),(15,2184338,'2',426,'N'),(15,2184346,'1',339,'N'),(15,2184346,'2',319,'N'),(15,2184362,'1',429,'N'),(15,2184362,'2',425,'N'),(15,2184370,'1',208,'N'),(15,2184370,'1A',216,'N'),(15,2184370,'2',201,'N'),(15,2184389,'1',207,'N'),(15,2184389,'1A',212,'N'),(15,2184389,'2',427,'N'),(15,2184397,'1',103,'N'),(15,2184397,'2',415,'N'),(15,2184400,'1',420,'N'),(15,2184400,'2',308,'N'),(15,2184419,'1',327,'N'),(15,2184419,'2',329,'N'),(15,2184427,'1',103,'N'),(15,2184435,'1',5,'N'),(15,2184435,'2',319,'N'),(15,2184451,'1',212,'N'),(15,2184451,'1A',238,'N'),(15,2184451,'2',224,'N'),(15,2184460,'1',101,'N'),(15,2184460,'2',324,'N'),(15,2184478,'1',420,'N'),(15,2184478,'2',501,'N'),(15,2184494,'1',103,'N'),(15,2184494,'2',101,'N'),(15,2184508,'1',208,'N'),(15,2184508,'2',238,'N'),(15,2184516,'1',303,'N'),(15,2184516,'2',423,'N'),(15,2184524,'1',201,'N'),(15,2184532,'1',201,'N'),(15,2184532,'1A',208,'N'),(15,2184532,'2',203,'N'),(15,2184540,'1',316,'N'),(15,2184540,'2',304,'N'),(15,2184567,'1',207,'N'),(15,2184567,'1A',201,'N'),(15,2184567,'2',212,'N'),(15,2184575,'1',333,'N'),(15,2184575,'2',233,'N'),(15,2184583,'1',108,'N'),(15,2184583,'2',333,'N'),(15,2184591,'1',101,'N'),(15,2184591,'2',309,'N'),(15,2184613,'1',302,'N'),(15,2184613,'2',223,'N'),(15,2184621,'1',308,'N'),(15,2184621,'2',428,'N'),(15,2184630,'1',444,'N'),(15,2184630,'2',101,'N'),(15,2184648,'1',310,'N'),(15,2184648,'2',108,'N'),(15,2184656,'1',102,'N'),(15,2184656,'2',104,'N'),(15,2184664,'1',103,'N'),(15,2184664,'2',101,'N'),(15,2184672,'1',333,'N'),(15,2184672,'2',404,'N'),(15,2184680,'1',316,'N'),(15,2184680,'2',317,'N'),(15,2184699,'1',423,'N'),(15,2184699,'2',9,'N'),(15,2184702,'1',103,'N'),(15,2184702,'2',101,'N'),(15,2184710,'1',415,'N'),(15,2184710,'2',425,'N'),(15,2184729,'1',238,'N'),(15,2184737,'1',211,'N'),(15,2184737,'1A',207,'N'),(15,2184737,'2',215,'N'),(15,2184745,'1',316,'N'),(15,2184745,'2',301,'N'),(15,2184753,'1',102,'N'),(15,2184753,'2',333,'N'),(15,2184761,'1',5,'N'),(15,2184761,'2',329,'N'),(15,2184770,'1',318,'N'),(15,2184770,'2',329,'N'),(15,2184788,'1',208,'N'),(15,2184788,'1A',238,'N'),(15,2184788,'2',450,'N'),(15,2184796,'1',213,'N'),(15,2184796,'1A',212,'N'),(15,2184796,'2',316,'N'),(15,2184800,'1',103,'N'),(15,2184800,'2',101,'N'),(15,2184826,'1',450,'N'),(15,2184826,'2',415,'N'),(15,2184834,'1',103,'N'),(15,2184834,'2',316,'N'),(15,2184850,'1',304,'N'),(15,2184869,'1',501,'N'),(15,2184869,'2',423,'N'),(15,2184877,'1',103,'N'),(15,2184877,'2',102,'N'),(15,2184885,'1',339,'N'),(15,2184885,'2',5,'N'),(15,2184907,'1',420,'N'),(15,2184907,'2',201,'N'),(15,2184915,'1',104,'N'),(15,2184915,'2',217,'N'),(15,2184923,'1',308,'N'),(15,2184923,'2',428,'N'),(15,2184931,'1',233,'N'),(15,2184931,'1A',202,'N'),(15,2184931,'2',444,'N'),(15,2184940,'1',415,'N'),(15,2184940,'2',425,'N'),(15,2184958,'1',316,'N'),(15,2184958,'2',324,'N'),(15,2184966,'1',444,'N'),(15,2184966,'2',404,'N'),(15,2184982,'1',207,'N'),(15,2184982,'1A',201,'N'),(15,2184982,'2',233,'N'),(15,2184990,'1',215,'N'),(15,2184990,'2',9,'N'),(15,2185008,'1',103,'N'),(15,2185008,'2',319,'N'),(15,2185016,'1',203,'N'),(15,2185016,'1A',215,'N'),(15,2185016,'2',304,'N'),(15,2185024,'1',103,'N'),(15,2185032,'1',5,'N'),(15,2185032,'2',316,'N'),(15,2185040,'1',415,'N'),(15,2185040,'2',104,'N'),(15,2185059,'1',203,'N'),(15,2185059,'2',208,'N'),(15,2185067,'1',103,'N'),(15,2185083,'1',304,'N'),(15,2185083,'2',318,'N'),(15,2185091,'1',104,'N'),(15,2185091,'2',426,'N'),(15,2185105,'1',211,'N'),(15,2185105,'1A',215,'N'),(15,2185105,'2',233,'N'),(15,2185113,'1',423,'N'),(15,2185113,'1A',428,'N'),(15,2185113,'2',415,'N'),(15,2185121,'1',213,'N'),(15,2185121,'1A',214,'N'),(15,2185121,'2',220,'N'),(15,2185130,'1',217,'N'),(15,2185130,'2',329,'N'),(15,2185156,'1',501,'N'),(15,2185156,'2',103,'N'),(15,2185172,'1',310,'N'),(15,2185172,'2',428,'N'),(15,2185180,'1',103,'N'),(15,2185180,'2',333,'N'),(15,2185199,'1',444,'N'),(15,2185199,'2',404,'N'),(15,2185210,'1',212,'N'),(15,2185210,'1A',214,'N'),(15,2185210,'2',203,'N'),(15,2185229,'1',444,'N'),(15,2185229,'2',319,'N'),(15,2185237,'1',202,'N'),(15,2185237,'1A',213,'N'),(15,2185237,'2',222,'N'),(15,2185245,'1',238,'N'),(15,2185245,'1A',208,'N'),(15,2185245,'2',223,'N'),(15,2185253,'1',333,'N'),(15,2185261,'1',324,'N'),(15,2185261,'2',308,'N'),(15,2185270,'1',203,'N'),(15,2185288,'1',103,'N'),(15,2185288,'2',102,'N'),(15,2185296,'1',203,'N'),(15,2185296,'1A',220,'N'),(15,2185296,'2',201,'N'),(15,2185300,'1',501,'N'),(15,2185300,'2',9,'N'),(15,2185318,'1',103,'N'),(15,2185326,'1',429,'N'),(15,2185326,'1A',425,'N'),(15,2185326,'2',316,'N'),(15,2185334,'1',214,'N'),(15,2185334,'1A',212,'N'),(15,2185334,'2',213,'N'),(15,2185342,'1',104,'N'),(15,2185342,'2',444,'N'),(15,2185350,'1',444,'N'),(15,2185350,'2',327,'N'),(15,2185369,'1',102,'N'),(15,2185369,'2',427,'N'),(15,2185377,'1',103,'N'),(15,2185377,'2',216,'N'),(15,2185385,'1',319,'N'),(15,2185385,'2',451,'N'),(15,2185393,'1',103,'N'),(15,2185393,'2',101,'N'),(15,2185407,'1',103,'N'),(15,2185407,'2',101,'N'),(15,2185415,'1',5,'N'),(15,2185415,'2',425,'N'),(15,2185423,'1',203,'N'),(15,2185423,'1A',201,'N'),(15,2185423,'2',233,'N'),(15,2185431,'1',103,'N'),(15,2185431,'2',104,'N'),(15,2185440,'1',234,'N'),(15,2185440,'2',427,'N'),(15,2185458,'1',202,'N'),(15,2185458,'1A',213,'N'),(15,2185458,'2',214,'N'),(15,2185466,'1',104,'N'),(15,2185482,'1',303,'N'),(15,2185482,'2',331,'N'),(15,2185490,'1',103,'N'),(15,2185490,'2',207,'N'),(15,2185504,'1',317,'N'),(15,2185504,'2',316,'N'),(15,2185512,'1',424,'N'),(15,2185512,'1A',428,'N'),(15,2185512,'2',426,'N'),(15,2185520,'1',301,'N'),(15,2185539,'1',310,'N'),(15,2185539,'2',320,'N'),(15,2185547,'1',327,'N'),(15,2185547,'2',329,'N'),(15,2185555,'1',331,'N'),(15,2185555,'2',333,'N'),(15,2185563,'1',213,'N'),(15,2185563,'1A',233,'N'),(15,2185563,'2',316,'N'),(15,2185571,'1',420,'N'),(15,2185571,'2',207,'N'),(15,2185580,'1',339,'N'),(15,2185580,'2',324,'N'),(15,2185601,'1',207,'N'),(15,2185601,'1A',215,'N'),(15,2185601,'2',320,'N'),(15,2185610,'1',201,'N'),(15,2185610,'2',420,'N'),(15,2185628,'1',428,'N'),(15,2185628,'1A',427,'N'),(15,2185628,'2',223,'N'),(15,2185636,'1',203,'N'),(15,2185636,'1A',202,'N'),(15,2185644,'1',428,'N'),(15,2185644,'1A',429,'N'),(15,2185644,'2',326,'N'),(15,2185652,'1',108,'N'),(15,2185652,'2',333,'N'),(15,2185660,'1',103,'N'),(15,2185660,'2',102,'N'),(15,2185679,'1',324,'N'),(15,2185679,'2',502,'N'),(15,2185687,'1',215,'N'),(15,2185687,'1A',216,'N'),(15,2185687,'2',420,'N'),(15,2185695,'1',339,'N'),(15,2185695,'2',427,'N'),(15,2185709,'1',102,'N'),(15,2185709,'2',308,'N'),(15,2185725,'1',103,'N'),(15,2185733,'1',214,'N'),(15,2185733,'1A',238,'N'),(15,2185733,'2',212,'N'),(15,2185741,'1',103,'N'),(15,2185741,'2',101,'N'),(15,2185750,'1',108,'N'),(15,2185750,'2',217,'N'),(15,2185768,'1',102,'N'),(15,2185768,'2',207,'N'),(15,2185776,'1',404,'N'),(15,2185776,'2',319,'N'),(15,2185814,'1',104,'N'),(15,2185814,'2',302,'N'),(15,2185822,'1',444,'N'),(15,2185822,'2',404,'N'),(15,2185830,'1',5,'N'),(15,2185830,'2',426,'N'),(15,2185849,'1',302,'N'),(15,2185849,'2',310,'N'),(15,2185857,'1',9,'N'),(15,2185857,'2',501,'N'),(15,2185865,'1',415,'N'),(15,2185865,'2',208,'N'),(15,2185873,'1',501,'N'),(15,2185873,'2',301,'N'),(15,2185881,'1',420,'N'),(15,2185881,'2',9,'N'),(15,2185903,'1',327,'N'),(15,2185903,'2',331,'N'),(15,2185911,'1',303,'N'),(15,2185911,'2',203,'N'),(15,2185938,'1',5,'N'),(15,2185938,'2',319,'N'),(15,2185946,'1',303,'N'),(15,2185946,'2',333,'N'),(15,2185954,'1',444,'N'),(15,2185954,'2',404,'N'),(15,2185962,'1',102,'N'),(15,2185962,'2',215,'N'),(15,2185970,'1',102,'N'),(15,2185970,'2',217,'N'),(15,2185989,'1',420,'N'),(15,2185989,'2',316,'N'),(15,2185997,'1',9,'N'),(15,2185997,'2',501,'N'),(15,2186004,'1',108,'N'),(15,2186004,'2',327,'N'),(15,2186012,'1',103,'N'),(15,2186012,'2',328,'N'),(15,2186020,'1',331,'N'),(15,2186020,'2',326,'N'),(15,2186039,'1',9,'N'),(15,2186039,'2',444,'N'),(15,2186047,'1',103,'N'),(15,2186055,'1',103,'N'),(15,2186055,'2',303,'N'),(15,2186063,'1',207,'N'),(15,2186063,'1A',216,'N'),(15,2186063,'2',420,'N'),(15,2186071,'1',316,'N'),(15,2186071,'2',202,'N'),(15,2186098,'1',444,'N'),(15,2186098,'2',333,'N'),(15,2186101,'1',103,'N'),(15,2186101,'2',104,'N'),(15,2186110,'1',103,'N'),(15,2186110,'2',444,'N'),(15,2186128,'1',5,'N'),(15,2186128,'2',326,'N'),(15,2186136,'1',104,'N'),(15,2186136,'2',310,'N'),(15,2186144,'1',5,'N'),(15,2186144,'2',316,'N'),(15,2186152,'1',5,'N'),(15,2186152,'2',303,'N'),(15,2186160,'1',324,'N'),(15,2186160,'2',327,'N'),(15,2186187,'1',207,'N'),(15,2186187,'1A',201,'N'),(15,2186187,'2',420,'N'),(15,2186195,'1',216,'N'),(15,2186195,'1A',211,'N'),(15,2186195,'2',215,'N'),(15,2186209,'1',5,'N'),(15,2186209,'2',327,'N'),(15,2186217,'1',103,'N'),(15,2186217,'2',102,'N'),(15,2186225,'1',301,'N'),(15,2186225,'2',333,'N'),(15,2186233,'1',5,'N'),(15,2186233,'2',329,'N'),(15,2186241,'1',238,'N'),(15,2186241,'1A',208,'N'),(15,2186250,'1',203,'N'),(15,2186250,'1A',214,'N'),(15,2186250,'2',211,'N'),(15,2186268,'1',211,'N'),(15,2186268,'1A',208,'N'),(15,2186268,'2',333,'N'),(15,2186276,'1',102,'N'),(15,2186276,'2',339,'N'),(15,2186284,'1',451,'N'),(15,2186306,'1',404,'N'),(15,2186306,'2',444,'N'),(15,2186314,'1',102,'N'),(15,2186314,'2',203,'N'),(15,2186322,'1',9,'N'),(15,2186322,'2',316,'N'),(15,2186330,'1',207,'N'),(15,2186330,'1A',233,'N'),(15,2186330,'2',223,'N'),(15,2186349,'1',108,'N'),(15,2186349,'2',217,'N'),(15,2186365,'1',319,'N'),(15,2186365,'2',217,'N'),(15,2186373,'1',103,'N'),(15,2186390,'1',103,'N'),(15,2186390,'2',102,'N'),(15,2186403,'1',444,'N'),(15,2186403,'2',327,'N'),(15,2186411,'1',208,'N'),(15,2186411,'1A',220,'N'),(15,2186411,'2',238,'N'),(15,2186420,'1',201,'N'),(15,2186420,'1A',233,'N'),(15,2186420,'2',234,'N'),(15,2186438,'1',103,'N'),(15,2186438,'2',9,'N'),(15,2186446,'1',318,'N'),(15,2186446,'2',201,'N'),(15,2186454,'1',502,'N'),(15,2186454,'2',215,'N'),(15,2186462,'1',211,'N'),(15,2186462,'1A',216,'N'),(15,2186462,'2',501,'N'),(15,2186470,'1',201,'N'),(15,2186470,'1A',203,'N'),(15,2186470,'2',223,'N'),(15,2186489,'1',207,'N'),(15,2186489,'1A',201,'N'),(15,2186489,'2',501,'N'),(15,2186497,'1',302,'N'),(15,2186497,'2',309,'N'),(15,2186500,'1',9,'N'),(15,2186500,'2',103,'N'),(15,2186519,'1',207,'N'),(15,2186519,'2',420,'N'),(15,2186527,'1',327,'N'),(15,2186527,'2',428,'N'),(15,2186535,'1',202,'N'),(15,2186535,'1A',214,'N'),(15,2186535,'2',213,'N'),(15,2186543,'1',420,'N'),(15,2186543,'2',450,'N'),(15,2186551,'1',202,'N'),(15,2186551,'1A',208,'N'),(15,2186551,'2',224,'N'),(15,2186560,'1',317,'N'),(15,2186560,'2',316,'N'),(15,2186578,'1',104,'N'),(15,2186578,'2',301,'N'),(15,2186586,'1',224,'N'),(15,2186586,'2',316,'N'),(15,2186594,'1',501,'N'),(15,2186594,'2',502,'N'),(15,2186608,'1',103,'N'),(15,2186608,'2',304,'N'),(15,2186616,'1',103,'N'),(15,2186616,'2',404,'N'),(15,2186624,'1',202,'N'),(15,2186624,'1A',213,'N'),(15,2186624,'2',208,'N'),(15,2186640,'1',207,'N'),(15,2186640,'1A',201,'N'),(15,2186675,'1',415,'N'),(15,2186675,'2',427,'N'),(15,2186691,'1',101,'N'),(15,2186691,'2',319,'N'),(15,2186705,'1',317,'N'),(15,2186705,'2',318,'N'),(15,2186713,'1',217,'N'),(15,2186713,'2',324,'N'),(15,2186721,'1',103,'N'),(15,2186721,'2',303,'N'),(15,2186730,'1',319,'N'),(15,2186730,'2',444,'N'),(15,2186748,'1',216,'N'),(15,2186748,'1A',211,'N'),(15,2186748,'2',501,'N'),(15,2186756,'1',104,'N'),(15,2186756,'2',333,'N'),(15,2186764,'1',103,'N'),(15,2186764,'2',208,'N'),(15,2186772,'1',207,'N'),(15,2186772,'1A',238,'N'),(15,2186772,'2',223,'N'),(15,2186780,'1',318,'N'),(15,2186780,'2',316,'N'),(15,2186799,'1',213,'N'),(15,2186799,'1A',238,'N'),(15,2186799,'2',316,'N'),(15,2186802,'1',316,'N'),(15,2186802,'2',318,'N'),(15,2186829,'1',316,'N'),(15,2186837,'1',333,'N'),(15,2186837,'2',332,'N'),(15,2186853,'1',207,'N'),(15,2186853,'1A',201,'N'),(15,2186853,'2',9,'N'),(15,2186861,'1',103,'N'),(15,2186861,'2',9,'N'),(15,2186870,'1',207,'N'),(15,2186870,'1A',215,'N'),(15,2186870,'2',9,'N'),(15,2186888,'1',103,'N'),(15,2186888,'2',216,'N'),(15,2186896,'1',214,'N'),(15,2186896,'1A',238,'N'),(15,2186896,'2',213,'N'),(15,2186900,'1',234,'N'),(15,2186900,'2',333,'N'),(15,2186926,'1',316,'N'),(15,2186926,'2',425,'N'),(15,2186934,'1',104,'N'),(15,2186934,'2',9,'N'),(15,2186950,'1',2,'N'),(15,2186950,'2',328,'N'),(15,2186969,'1',103,'N'),(15,2186969,'2',502,'N'),(15,2186985,'1',203,'N'),(15,2186985,'1A',214,'N'),(15,2186985,'2',238,'N'),(15,2186993,'1',103,'N'),(15,2186993,'2',104,'N'),(15,2187000,'1',103,'N'),(15,2187019,'1',318,'N'),(15,2187019,'2',316,'N'),(15,2187027,'1',301,'N'),(15,2187027,'2',238,'N'),(15,2187051,'1',420,'N'),(15,2187051,'2',426,'N'),(15,2187060,'1',225,'N'),(15,2187060,'2',424,'N'),(15,2187078,'1',216,'N'),(15,2187078,'1A',212,'N'),(15,2187078,'2',215,'N'),(15,2187086,'1',415,'N'),(15,2187086,'2',428,'N'),(15,2187094,'1',108,'N'),(15,2187094,'2',320,'N'),(15,2187116,'1',319,'N'),(15,2187116,'2',333,'N'),(15,2187124,'1',103,'N'),(15,2187124,'2',444,'N'),(15,2187132,'1',316,'N'),(15,2187132,'2',5,'N'),(15,2187140,'1',415,'N'),(15,2187159,'1',501,'N'),(15,2187159,'2',108,'N'),(15,2187167,'1',104,'N'),(15,2187167,'2',303,'N'),(15,2187175,'1',318,'N'),(15,2187175,'2',320,'N'),(15,2187183,'1',104,'N'),(15,2187183,'2',102,'N'),(15,2187205,'1',501,'N'),(15,2187205,'2',324,'N'),(15,2187213,'1',425,'N'),(15,2187213,'1A',429,'N'),(15,2187213,'2',326,'N'),(15,2187221,'1',420,'N'),(15,2187221,'2',5,'N'),(15,2187230,'1',207,'N'),(15,2187230,'1A',215,'N'),(15,2187230,'2',339,'N'),(15,2187248,'1',319,'N'),(15,2187248,'2',425,'N'),(15,2187256,'1',420,'N'),(15,2187256,'2',211,'N'),(15,2187264,'1',316,'N'),(15,2187264,'2',318,'N'),(15,2187272,'1',203,'N'),(15,2187272,'1A',238,'N'),(15,2187272,'2',224,'N'),(15,2187280,'1',333,'N'),(15,2187280,'2',316,'N'),(15,2187299,'1',444,'N'),(15,2187299,'2',424,'N'),(15,2187302,'1',201,'N'),(15,2187302,'1A',212,'N'),(15,2187302,'2',207,'N'),(15,2187310,'1',238,'N'),(15,2187310,'1A',208,'N'),(15,2187310,'2',316,'N'),(15,2187329,'1',102,'N'),(15,2187329,'2',103,'N'),(15,2187337,'1',444,'N'),(15,2187337,'2',318,'N'),(15,2187345,'1',332,'N'),(15,2187345,'2',327,'N'),(15,2187353,'1',421,'N'),(15,2187353,'2',425,'N'),(15,2187361,'1',302,'N'),(15,2187361,'2',427,'N'),(15,2187370,'1',207,'N'),(15,2187370,'1A',211,'N'),(15,2187370,'2',201,'N'),(15,2187388,'1',233,'N'),(15,2187388,'1A',207,'N'),(15,2187388,'2',224,'N'),(15,2187396,'1',203,'N'),(15,2187396,'2',2,'N'),(15,2187400,'1',319,'N'),(15,2187400,'2',426,'N'),(15,2187426,'1',333,'N'),(15,2187426,'2',502,'N'),(15,2187434,'1',316,'N'),(15,2187434,'2',501,'N'),(15,2187442,'1',303,'N'),(15,2187442,'2',319,'N'),(15,2187450,'1',301,'N'),(15,2187450,'2',316,'N'),(15,2187469,'1',211,'N'),(15,2187469,'1A',215,'N'),(15,2187469,'2',316,'N'),(15,2187477,'1',425,'N'),(15,2187477,'1A',421,'N'),(15,2187477,'2',451,'N'),(15,2187485,'1',104,'N'),(15,2187485,'2',339,'N'),(15,2187493,'1',304,'N'),(15,2187523,'1',319,'N'),(15,2187523,'2',339,'N'),(15,2187531,'1',207,'N'),(15,2187531,'1A',216,'N'),(15,2187531,'2',217,'N'),(15,2187540,'1',301,'N'),(15,2187540,'2',404,'N'),(15,2187558,'1',415,'N'),(15,2187558,'2',308,'N'),(15,2187566,'1',333,'N'),(15,2187566,'2',502,'N'),(15,2187574,'1',108,'N'),(15,2187574,'2',319,'N'),(15,2187582,'1',5,'N'),(15,2187582,'2',329,'N'),(15,2187604,'1',202,'N'),(15,2187604,'1A',203,'N'),(15,2187604,'2',208,'N'),(15,2187612,'1',101,'N'),(15,2187612,'2',108,'N'),(15,2187620,'1',324,'N'),(15,2187620,'2',308,'N'),(15,2187639,'1',303,'N'),(15,2187639,'2',5,'N'),(15,2187647,'1',203,'N'),(15,2187647,'1A',211,'N'),(15,2187647,'2',214,'N'),(15,2187655,'1',304,'N'),(15,2187655,'2',318,'N'),(15,2187663,'1',319,'N'),(15,2187663,'2',329,'N'),(15,2187671,'1',316,'N'),(15,2187671,'2',201,'N'),(15,2187680,'1',217,'N'),(15,2187698,'1',9,'N'),(15,2187698,'2',102,'N'),(15,2187701,'1',302,'N'),(15,2187701,'2',301,'N'),(15,2187710,'1',201,'N'),(15,2187710,'1A',212,'N'),(15,2187710,'2',304,'N'),(15,2187728,'1',303,'N'),(15,2187728,'2',319,'N'),(15,2187736,'1',217,'N'),(15,2187736,'2',238,'N'),(15,2187744,'1',303,'N'),(15,2187744,'2',5,'N'),(15,2187752,'1',319,'N'),(15,2187752,'2',332,'N'),(15,2187760,'1',308,'N'),(15,2187760,'2',324,'N'),(15,2187779,'1',319,'N'),(15,2187779,'2',103,'N'),(15,2187787,'1',103,'N'),(15,2187787,'2',415,'N'),(15,2187795,'1',238,'N'),(15,2187795,'1A',208,'N'),(15,2187795,'2',317,'N'),(15,2187809,'1',103,'N'),(15,2187809,'2',102,'N'),(15,2187817,'1',216,'N'),(15,2187817,'2',215,'N'),(15,2187825,'1',332,'N'),(15,2187825,'2',339,'N'),(15,2187833,'1',203,'N'),(15,2187833,'1A',214,'N'),(15,2187833,'2',333,'N'),(15,2187850,'1',303,'N'),(15,2187850,'2',301,'N'),(15,2187868,'1',103,'N'),(15,2187868,'2',104,'N'),(15,2187876,'1',102,'N'),(15,2187876,'2',319,'N'),(15,2187884,'1',303,'N'),(15,2187884,'2',5,'N'),(15,2187892,'1',220,'N'),(15,2187892,'1A',212,'N'),(15,2187892,'2',222,'N'),(15,2187906,'1',104,'N'),(15,2187914,'1',103,'N'),(15,2187922,'1',415,'N'),(15,2187922,'2',444,'N'),(15,2187930,'1',102,'N'),(15,2187930,'2',108,'N'),(15,2187949,'1',101,'N'),(15,2187949,'2',333,'N'),(15,2187957,'1',425,'N'),(15,2187957,'1A',427,'N'),(15,2187957,'2',217,'N'),(15,2187965,'1',5,'N'),(15,2187965,'2',303,'N'),(15,2187981,'1',211,'N'),(15,2187981,'2',329,'N'),(15,2188007,'1',9,'N'),(15,2188007,'2',215,'N'),(15,2188015,'1',303,'N'),(15,2188015,'2',5,'N'),(15,2188023,'1',103,'N'),(15,2188023,'2',108,'N'),(15,2188031,'1',201,'N'),(15,2188031,'1A',233,'N'),(15,2188031,'2',212,'N'),(15,2188040,'1',207,'N'),(15,2188040,'1A',201,'N'),(15,2188040,'2',333,'N'),(15,2188058,'1',5,'N'),(15,2188058,'2',304,'N'),(15,2188066,'1',233,'N'),(15,2188066,'1A',213,'N'),(15,2188066,'2',2,'N'),(15,2188074,'1',103,'N'),(15,2188074,'2',104,'N'),(15,2188082,'1',317,'N'),(15,2188082,'2',316,'N'),(15,2188090,'1',201,'N'),(15,2188090,'2',316,'N'),(15,2188104,'1',203,'N'),(15,2188104,'1A',201,'N'),(15,2188104,'2',208,'N'),(15,2188112,'1',207,'N'),(15,2188112,'1A',201,'N'),(15,2188112,'2',208,'N'),(15,2188120,'1',9,'N'),(15,2188120,'2',303,'N'),(15,2188139,'1',324,'N'),(15,2188139,'2',451,'N'),(15,2188147,'1',103,'N'),(15,2188147,'2',5,'N'),(15,2188155,'1',220,'N'),(15,2188155,'1A',202,'N'),(15,2188155,'2',208,'N'),(15,2188163,'1',444,'N'),(15,2188163,'2',404,'N'),(15,2188171,'1',317,'N'),(15,2188171,'2',318,'N'),(15,2188180,'1',316,'N'),(15,2188180,'2',301,'N'),(15,2188198,'1',104,'N'),(15,2188198,'2',102,'N'),(15,2188201,'1',333,'N'),(15,2188201,'2',217,'N'),(15,2188228,'1',211,'N'),(15,2188228,'1A',215,'N'),(15,2188228,'2',201,'N'),(15,2188236,'1',211,'N'),(15,2188236,'1A',202,'N'),(15,2188236,'2',502,'N'),(15,2188244,'1',317,'N'),(15,2188244,'2',339,'N'),(15,2188252,'1',108,'N'),(15,2188252,'2',450,'N'),(15,2188260,'1',103,'N'),(15,2188260,'2',303,'N'),(15,2188279,'1',302,'N'),(15,2188279,'2',303,'N'),(15,2188287,'1',103,'N'),(15,2188287,'2',502,'N'),(15,2188295,'1',225,'N'),(15,2188295,'2',333,'N'),(15,2188309,'1',301,'N'),(15,2188309,'2',316,'N'),(15,2188317,'1',444,'N'),(15,2188317,'2',404,'N'),(15,2188325,'1',203,'N'),(15,2188325,'1A',214,'N'),(15,2188325,'2',324,'N'),(15,2188333,'1',5,'N'),(15,2188333,'2',329,'N'),(15,2188341,'1',207,'N'),(15,2188341,'1A',201,'N'),(15,2188341,'2',420,'N'),(15,2188350,'1',420,'N'),(15,2188350,'2',238,'N'),(15,2188368,'1',216,'N'),(15,2188368,'2',223,'N'),(15,2188376,'1',316,'N'),(15,2188376,'2',301,'N'),(15,2188384,'1',303,'N'),(15,2188384,'2',9,'N'),(15,2188406,'1',318,'N'),(15,2188406,'2',320,'N'),(15,2188414,'1',415,'N'),(15,2188414,'2',420,'N'),(15,2188422,'1',450,'N'),(15,2188422,'2',333,'N'),(15,2188430,'1',211,'N'),(15,2188430,'1A',233,'N'),(15,2188430,'2',212,'N'),(15,2188449,'1',423,'N'),(15,2188449,'1A',427,'N'),(15,2188449,'2',324,'N'),(15,2188457,'1',5,'N'),(15,2188457,'2',238,'N'),(15,2188465,'1',220,'N'),(15,2188465,'1A',202,'N'),(15,2188465,'2',213,'N'),(15,2188473,'1',104,'N'),(15,2188473,'2',333,'N'),(15,2188481,'1',303,'N'),(15,2188481,'2',420,'N'),(15,2188490,'1',238,'N'),(15,2188490,'1A',208,'N'),(15,2188490,'2',2,'N'),(15,2188503,'1',329,'N'),(15,2188503,'2',415,'N'),(15,2188511,'1',207,'N'),(15,2188511,'1A',201,'N'),(15,2188511,'2',211,'N'),(15,2188520,'1',103,'N'),(15,2188520,'2',102,'N'),(15,2188538,'1',104,'N'),(15,2188538,'2',207,'N'),(15,2188546,'1',103,'N'),(15,2188546,'2',104,'N'),(15,2188562,'1',333,'N'),(15,2188562,'2',404,'N'),(15,2188570,'1',303,'N'),(15,2188570,'2',9,'N'),(15,2188597,'1',101,'N'),(15,2188597,'2',317,'N'),(15,2188600,'1',203,'N'),(15,2188600,'1A',202,'N'),(15,2188600,'2',316,'N'),(15,2188619,'1',216,'N'),(15,2188619,'1A',208,'N'),(15,2188619,'2',223,'N'),(15,2188627,'1',207,'N'),(15,2188635,'1',5,'N'),(15,2188635,'2',213,'N'),(15,2188643,'1',303,'N'),(15,2188643,'2',501,'N'),(15,2188651,'1',5,'N'),(15,2188651,'2',328,'N'),(15,2188660,'1',420,'N'),(15,2188660,'2',424,'N'),(15,2188678,'1',415,'N'),(15,2188678,'2',426,'N'),(15,2188686,'1',317,'N'),(15,2188686,'2',302,'N'),(15,2188694,'1',103,'N'),(15,2188694,'2',104,'N'),(15,2188708,'1',316,'N'),(15,2188708,'2',318,'N'),(15,2188716,'1',108,'N'),(15,2188716,'2',444,'N'),(15,2188724,'1',211,'N'),(15,2188724,'1A',238,'N'),(15,2188724,'2',223,'N'),(15,2188732,'1',216,'N'),(15,2188732,'1A',215,'N'),(15,2188732,'2',217,'N'),(15,2188740,'1',5,'N'),(15,2188740,'2',316,'N'),(15,2188759,'1',444,'N'),(15,2188767,'1',317,'N'),(15,2188767,'2',316,'N'),(15,2188775,'1',223,'N'),(15,2188775,'2',304,'N'),(15,2188783,'1',203,'N'),(15,2188783,'1A',202,'N'),(15,2188783,'2',213,'N'),(15,2188791,'1',211,'N'),(15,2188791,'1A',201,'N'),(15,2188791,'2',333,'N'),(15,2188805,'1',233,'N'),(15,2188805,'1A',220,'N'),(15,2188805,'2',501,'N'),(15,2188821,'1',301,'N'),(15,2188821,'2',316,'N'),(15,2188830,'1',207,'N'),(15,2188830,'1A',201,'N'),(15,2188830,'2',425,'N'),(15,2188848,'1',215,'N'),(15,2188848,'1A',207,'N'),(15,2188848,'2',9,'N'),(15,2188856,'1',202,'N'),(15,2188856,'1A',211,'N'),(15,2188856,'2',501,'N'),(15,2188864,'1',103,'N'),(15,2188864,'2',211,'N'),(15,2188872,'1',333,'N'),(15,2188872,'2',502,'N'),(15,2188880,'1',5,'N'),(15,2188880,'2',429,'N'),(15,2188899,'1',103,'N'),(15,2188899,'2',108,'N'),(15,2188902,'1',415,'N'),(15,2188910,'1',415,'N'),(15,2188910,'2',450,'N'),(15,2188929,'1',102,'N'),(15,2188929,'2',9,'N'),(15,2188937,'1',303,'N'),(15,2188937,'2',333,'N'),(15,2188945,'1',5,'N'),(15,2188945,'2',318,'N'),(15,2188953,'1',2,'N'),(15,2188953,'2',202,'N'),(15,2188961,'1',319,'N'),(15,2188961,'2',332,'N'),(15,2188970,'1',304,'N'),(15,2188970,'2',223,'N'),(15,2188988,'1',203,'N'),(15,2188988,'1A',201,'N'),(15,2188988,'2',224,'N'),(15,2188996,'1',5,'N'),(15,2188996,'2',103,'N'),(15,2189003,'1',319,'N'),(15,2189003,'2',101,'N'),(15,2189038,'1',223,'N'),(15,2189038,'2',222,'N'),(15,2189046,'1',208,'N'),(15,2189046,'2',238,'N'),(15,2189054,'1',203,'N'),(15,2189054,'1A',214,'N'),(15,2189054,'2',220,'N'),(15,2189062,'1',203,'N'),(15,2189062,'1A',220,'N'),(15,2189062,'2',216,'N'),(15,2189070,'1',102,'N'),(15,2189070,'2',216,'N'),(15,2189089,'1',303,'N'),(15,2189089,'2',302,'N'),(15,2189100,'1',9,'N'),(15,2189100,'2',423,'N'),(15,2189119,'1',9,'N'),(15,2189127,'1',211,'N'),(15,2189127,'2',501,'N'),(15,2189135,'1',211,'N'),(15,2189135,'1A',203,'N'),(15,2189135,'2',333,'N'),(15,2189143,'1',317,'N'),(15,2189143,'2',308,'N'),(15,2189151,'1',309,'N'),(15,2189151,'2',331,'N'),(15,2189160,'1',102,'N'),(15,2189178,'1',303,'N'),(15,2189178,'2',304,'N'),(15,2189186,'1',415,'N'),(15,2189186,'2',310,'N'),(15,2189194,'1',104,'N'),(15,2189194,'2',9,'N'),(15,2189208,'1',202,'N'),(15,2189208,'1A',203,'N'),(15,2189208,'2',2,'N'),(15,2189216,'1',420,'N'),(15,2189216,'2',425,'N'),(15,2189224,'1',103,'N'),(15,2189224,'2',303,'N'),(15,2189232,'1',103,'N'),(15,2189232,'2',444,'N'),(15,2189240,'1',202,'N'),(15,2189240,'1A',238,'N'),(15,2189240,'2',222,'N'),(15,2189267,'1',104,'N'),(15,2189267,'2',301,'N'),(15,2189275,'1',201,'N'),(15,2189275,'1A',207,'N'),(15,2189275,'2',202,'N'),(15,2189283,'1',302,'N'),(15,2189283,'2',102,'N'),(15,2189291,'1',103,'N'),(15,2189291,'2',108,'N'),(15,2189305,'1',302,'N'),(15,2189305,'2',223,'N'),(15,2189313,'1',426,'N'),(15,2189313,'2',324,'N'),(15,2189321,'1',102,'N'),(15,2189321,'2',216,'N'),(15,2189330,'1',303,'N'),(15,2189330,'2',102,'N'),(15,2189348,'1',103,'N'),(15,2189348,'2',9,'N'),(15,2189364,'1',103,'N'),(15,2189364,'2',214,'N'),(15,2189402,'1',301,'N'),(15,2189402,'2',501,'N'),(15,2189410,'1',303,'N'),(15,2189410,'2',5,'N'),(15,2189437,'1',201,'N'),(15,2189437,'1A',233,'N'),(15,2189437,'2',304,'N'),(15,2189445,'1',224,'N'),(15,2189445,'2',329,'N'),(15,2189453,'1',101,'N'),(15,2189453,'2',424,'N'),(15,2189461,'1',316,'N'),(15,2189461,'2',427,'N'),(15,2189470,'1',415,'N'),(15,2189470,'2',327,'N'),(15,2189496,'1',202,'N'),(15,2189496,'1A',220,'N'),(15,2189496,'2',217,'N'),(15,2189500,'1',9,'N'),(15,2189500,'2',302,'N'),(15,2189518,'1',208,'N'),(15,2189518,'2',319,'N'),(15,2189526,'1',103,'N'),(15,2189526,'2',102,'N'),(15,2189542,'1',104,'N'),(15,2189542,'2',318,'N'),(15,2189569,'1',211,'N'),(15,2189569,'1A',238,'N'),(15,2189569,'2',220,'N'),(15,2189577,'1',317,'N'),(15,2189577,'2',224,'N'),(15,2189585,'1',318,'N'),(15,2189585,'2',224,'N'),(15,2189607,'1',5,'N'),(15,2189607,'2',444,'N'),(15,2189615,'1',238,'N'),(15,2189615,'2',316,'N'),(15,2189623,'1',101,'N'),(15,2189623,'2',309,'N'),(15,2189631,'1',207,'N'),(15,2189631,'1A',215,'N'),(15,2189631,'2',103,'N'),(15,2189640,'1',220,'N'),(15,2189640,'2',301,'N'),(15,2189658,'1',103,'N'),(15,2189658,'2',101,'N'),(15,2189666,'1',5,'N'),(15,2189666,'2',428,'N'),(15,2189674,'1',103,'N'),(15,2189674,'2',233,'N'),(15,2189682,'1',103,'N'),(15,2189690,'1',303,'N'),(15,2189690,'2',207,'N'),(15,2189704,'1',203,'N'),(15,2189704,'1A',214,'N'),(15,2189704,'2',2,'N'),(15,2189712,'1',420,'N'),(15,2189712,'2',427,'N'),(15,2189720,'1',102,'N'),(15,2189720,'2',217,'N'),(15,2189739,'1',328,'N'),(15,2189739,'2',424,'N'),(15,2189747,'1',103,'N'),(15,2189747,'2',451,'N'),(15,2189755,'1',208,'N'),(15,2189755,'1A',203,'N'),(15,2189755,'2',238,'N'),(15,2189763,'1',104,'N'),(15,2189763,'2',501,'N'),(15,2189771,'1',303,'N'),(15,2189771,'2',333,'N'),(15,2189780,'1',103,'N'),(15,2189780,'2',104,'N'),(15,2189798,'1',214,'N'),(15,2189798,'1A',215,'N'),(15,2189798,'2',233,'N'),(15,2189801,'1',211,'N'),(15,2189801,'2',202,'N'),(15,2189810,'1',203,'N'),(15,2189810,'1A',216,'N'),(15,2189810,'2',214,'N'),(15,2189828,'1',316,'N'),(15,2189828,'2',501,'N'),(15,2189836,'1',319,'N'),(15,2189836,'2',326,'N'),(15,2189844,'1',327,'N'),(15,2189844,'2',224,'N'),(15,2189852,'1',5,'N'),(15,2189852,'2',324,'N'),(15,2189860,'1',301,'N'),(15,2189860,'2',324,'N'),(15,2189887,'1',212,'N'),(15,2189887,'1A',211,'N'),(15,2189887,'2',332,'N'),(15,2189909,'1',103,'N'),(15,2189909,'2',101,'N'),(15,2189917,'1',444,'N'),(15,2189917,'2',319,'N'),(15,2189925,'1',202,'N'),(15,2189925,'1A',203,'N'),(15,2189925,'2',201,'N'),(15,2189933,'1',103,'N'),(15,2189933,'2',327,'N'),(15,2189950,'1',303,'N'),(15,2189950,'2',201,'N'),(15,2189976,'1',220,'N'),(15,2189976,'1A',213,'N'),(15,2189976,'2',202,'N'),(15,2189984,'1',420,'N'),(15,2189984,'2',207,'N'),(15,2189992,'1',103,'N'),(15,2189992,'2',5,'N'),(15,2190001,'1',203,'N'),(15,2190001,'1A',202,'N'),(15,2190001,'2',216,'N'),(15,2190010,'1',220,'N'),(15,2190010,'1A',201,'N'),(15,2190010,'2',203,'N'),(15,2190028,'1',220,'N'),(15,2190028,'1A',203,'N'),(15,2190028,'2',202,'N'),(15,2190036,'1',316,'N'),(15,2190036,'2',301,'N'),(15,2190044,'1',203,'N'),(15,2190044,'1A',202,'N'),(15,2190052,'1',303,'N'),(15,2190079,'1',225,'N'),(15,2190079,'2',224,'N'),(15,2190087,'1',339,'N'),(15,2190087,'2',317,'N'),(15,2190095,'1',103,'N'),(15,2190095,'2',101,'N'),(15,2190109,'1',303,'N'),(15,2190109,'2',415,'N'),(15,2190117,'1',103,'N'),(15,2190117,'2',104,'N'),(15,2190125,'1',238,'N'),(15,2190125,'1A',208,'N'),(15,2190133,'1',302,'N'),(15,2190141,'1',450,'N'),(15,2190141,'2',424,'N'),(15,2190168,'1',104,'N'),(15,2190168,'2',333,'N'),(15,2190176,'1',5,'N'),(15,2190176,'2',316,'N'),(15,2190184,'1',415,'N'),(15,2190184,'2',5,'N'),(15,2190192,'1',103,'N'),(15,2190192,'2',102,'N'),(15,2190206,'1',233,'N'),(15,2190206,'1A',211,'N'),(15,2190206,'2',215,'N'),(15,2190222,'1',420,'N'),(15,2190222,'2',233,'N'),(15,2190230,'1',304,'N'),(15,2190230,'2',319,'N'),(15,2190249,'1',5,'N'),(15,2190249,'2',303,'N'),(15,2190257,'1',207,'N'),(15,2190257,'1A',211,'N'),(15,2190257,'2',502,'N'),(15,2190265,'1',303,'N'),(15,2190265,'2',420,'N'),(15,2190273,'1',203,'N'),(15,2190273,'1A',202,'N'),(15,2190273,'2',233,'N'),(15,2190281,'1',303,'N'),(15,2190281,'2',444,'N'),(15,2190303,'1',213,'N'),(15,2190303,'1A',212,'N'),(15,2190303,'2',2,'N'),(15,2190311,'1',104,'N'),(15,2190320,'1',303,'N'),(15,2190320,'2',101,'N'),(15,2190338,'1',502,'N'),(15,2190338,'2',108,'N'),(15,2190354,'1',103,'N'),(15,2190354,'2',339,'N'),(15,2190362,'1',103,'N'),(15,2190362,'2',415,'N'),(15,2190370,'1',216,'N'),(15,2190370,'1A',215,'N'),(15,2190370,'2',207,'N'),(15,2190389,'1',108,'N'),(15,2190397,'1',444,'N'),(15,2190397,'2',9,'N'),(15,2190400,'1',201,'N'),(15,2190400,'1A',207,'N'),(15,2190400,'2',301,'N'),(15,2190419,'1',501,'N'),(15,2190419,'2',404,'N'),(15,2190427,'1',214,'N'),(15,2190427,'1A',212,'N'),(15,2190427,'2',233,'N'),(15,2190435,'1',428,'N'),(15,2190435,'1A',421,'N'),(15,2190435,'2',424,'N'),(15,2190443,'1',103,'N'),(15,2190443,'2',104,'N'),(15,2190451,'1',103,'N'),(15,2190451,'2',101,'N'),(15,2190460,'1',319,'N'),(15,2190460,'2',308,'N'),(15,2190478,'1',201,'N'),(15,2190478,'1A',207,'N'),(15,2190478,'2',202,'N'),(15,2190486,'1',303,'N'),(15,2190486,'2',425,'N'),(15,2190494,'1',202,'N'),(15,2190494,'1A',213,'N'),(15,2190494,'2',333,'N'),(15,2190508,'1',201,'N'),(15,2190508,'1A',203,'N'),(15,2190508,'2',420,'N'),(15,2190516,'1',415,'N'),(15,2190516,'2',420,'N'),(15,2190524,'1',238,'N'),(15,2190524,'1A',208,'N'),(15,2190524,'2',420,'N'),(15,2190532,'1',301,'N'),(15,2190532,'2',214,'N'),(15,2190540,'1',103,'N'),(15,2190540,'2',104,'N'),(15,2190559,'1',303,'N'),(15,2190559,'2',301,'N'),(15,2190567,'1',104,'N'),(15,2190567,'2',9,'N'),(15,2190575,'1',415,'N'),(15,2190575,'2',220,'N'),(15,2190583,'1',332,'N'),(15,2190583,'2',333,'N'),(15,2190591,'1',309,'N'),(15,2190591,'2',324,'N'),(15,2190605,'1',332,'N'),(15,2190605,'2',331,'N'),(15,2190613,'1',301,'N'),(15,2190613,'2',214,'N'),(15,2190621,'1',213,'N'),(15,2190621,'1A',214,'N'),(15,2190621,'2',333,'N'),(15,2190630,'1',319,'N'),(15,2190630,'2',501,'N'),(15,2190648,'1',222,'N'),(15,2190648,'2',225,'N'),(15,2190656,'1',103,'N'),(15,2190656,'2',319,'N'),(15,2190664,'1',201,'N'),(15,2190664,'2',207,'N'),(15,2190672,'1',308,'N'),(15,2190672,'2',339,'N'),(15,2190680,'1',102,'N'),(15,2190680,'2',101,'N'),(15,2190699,'1',319,'N'),(15,2190699,'2',308,'N'),(15,2190702,'1',329,'N'),(15,2190702,'2',320,'N'),(15,2190710,'1',316,'N'),(15,2190710,'2',319,'N'),(15,2190729,'1',423,'N'),(15,2190729,'1A',424,'N'),(15,2190729,'2',425,'N'),(15,2190737,'1',103,'N'),(15,2190737,'2',101,'N'),(15,2190745,'1',211,'N'),(15,2190745,'1A',202,'N'),(15,2190745,'2',213,'N'),(15,2190753,'1',303,'N'),(15,2190753,'2',310,'N'),(15,2190761,'1',319,'N'),(15,2190761,'2',326,'N'),(15,2190770,'1',415,'N'),(15,2190770,'2',326,'N'),(15,2190788,'1',9,'N'),(15,2190788,'2',104,'N'),(15,2190800,'1',103,'N'),(15,2190800,'2',9,'N'),(15,2190818,'1',450,'N'),(15,2190818,'2',328,'N'),(15,2190826,'1',319,'N'),(15,2190826,'2',104,'N'),(15,2190850,'1',317,'N'),(15,2190850,'2',316,'N'),(15,2190869,'1',102,'N'),(15,2190869,'2',101,'N'),(15,2190877,'1',450,'N'),(15,2190877,'2',429,'N'),(15,2190885,'1',104,'N'),(15,2190885,'2',308,'N'),(15,2190893,'1',216,'N'),(15,2190893,'1A',233,'N'),(15,2190893,'2',420,'N'),(15,2190907,'1',319,'N'),(15,2190907,'2',426,'N'),(15,2190915,'1',207,'N'),(15,2190915,'1A',215,'N'),(15,2190915,'2',451,'N'),(15,2190923,'1',103,'N'),(15,2190923,'2',319,'N'),(15,2190931,'1',103,'N'),(15,2190931,'2',104,'N'),(15,2190940,'1',211,'N'),(15,2190940,'1A',212,'N'),(15,2190940,'2',332,'N'),(15,2190958,'1',102,'N'),(15,2190958,'2',309,'N'),(15,2190974,'1',103,'N'),(15,2190974,'2',328,'N'),(15,2190990,'1',203,'N'),(15,2190990,'1A',201,'N'),(15,2190990,'2',207,'N'),(15,2191008,'1',103,'N'),(15,2191008,'2',101,'N'),(15,2191016,'1',5,'N'),(15,2191016,'2',427,'N'),(15,2191024,'1',103,'N'),(15,2191024,'2',102,'N'),(15,2191032,'1',103,'N'),(15,2191032,'2',104,'N'),(15,2191040,'1',104,'N'),(15,2191040,'2',102,'N'),(15,2191067,'1',302,'N'),(15,2191067,'2',208,'N'),(15,2191075,'1',328,'N'),(15,2191075,'2',502,'N'),(15,2191083,'1',224,'N'),(15,2191083,'2',425,'N'),(15,2191105,'1',217,'N'),(15,2191105,'2',101,'N'),(15,2191113,'1',317,'N'),(15,2191121,'1',207,'N'),(15,2191121,'1A',216,'N'),(15,2191121,'2',103,'N'),(15,2191148,'1',212,'N'),(15,2191148,'1A',201,'N'),(15,2191148,'2',331,'N'),(15,2191156,'1',319,'N'),(15,2191164,'1',301,'N'),(15,2191164,'2',316,'N'),(15,2191172,'1',303,'N'),(15,2191172,'2',304,'N'),(15,2191180,'1',208,'N'),(15,2191180,'1A',238,'N'),(15,2191180,'2',316,'N'),(15,2191199,'1',5,'N'),(15,2191199,'2',303,'N'),(15,2191202,'1',203,'N'),(15,2191202,'1A',201,'N'),(15,2191202,'2',202,'N'),(15,2191210,'1',214,'N'),(15,2191210,'1A',212,'N'),(15,2191210,'2',201,'N'),(15,2191229,'1',420,'N'),(15,2191229,'2',304,'N'),(15,2191237,'1',104,'N'),(15,2191237,'2',301,'N'),(15,2191245,'1',203,'N'),(15,2191245,'1A',213,'N'),(15,2191245,'2',501,'N'),(15,2191253,'1',301,'N'),(15,2191253,'2',316,'N'),(15,2191261,'1',9,'N'),(15,2191261,'2',319,'N'),(15,2191270,'1',108,'N'),(15,2191270,'2',501,'N'),(15,2191288,'1',303,'N'),(15,2191288,'2',5,'N'),(15,2191296,'1',5,'N'),(15,2191296,'2',214,'N'),(15,2191300,'1',103,'N'),(15,2191300,'2',319,'N'),(15,2191318,'1',212,'N'),(15,2191318,'1A',213,'N'),(15,2191318,'2',201,'N'),(15,2191326,'1',104,'N'),(15,2191326,'2',102,'N'),(15,2191334,'1',316,'N'),(15,2191334,'2',318,'N'),(15,2191342,'1',308,'N'),(15,2191342,'2',331,'N'),(15,2191350,'1',319,'N'),(15,2191350,'2',451,'N'),(15,2191369,'1',214,'N'),(15,2191369,'1A',212,'N'),(15,2191369,'2',201,'N'),(15,2191377,'1',214,'N'),(15,2191377,'1A',233,'N'),(15,2191377,'2',301,'N'),(15,2191385,'1',212,'N'),(15,2191385,'1A',211,'N'),(15,2191385,'2',215,'N'),(15,2191393,'1',211,'N'),(15,2191393,'2',202,'N'),(15,2191407,'1',5,'N'),(15,2191415,'1',211,'N'),(15,2191415,'1A',207,'N'),(15,2191415,'2',303,'N'),(15,2191423,'1',207,'N'),(15,2191423,'1A',216,'N'),(15,2191423,'2',304,'N'),(15,2191431,'1',212,'N'),(15,2191431,'1A',207,'N'),(15,2191431,'2',201,'N'),(15,2191458,'1',404,'N'),(15,2191458,'2',333,'N'),(15,2191466,'1',203,'N'),(15,2191466,'1A',208,'N'),(15,2191466,'2',202,'N'),(15,2191474,'1',324,'N'),(15,2191474,'2',317,'N'),(15,2191482,'1',501,'N'),(15,2191482,'2',316,'N'),(15,2191490,'1',203,'N'),(15,2191490,'1A',216,'N'),(15,2191490,'2',234,'N'),(15,2191504,'1',103,'N'),(15,2191504,'2',104,'N'),(15,2191512,'1',207,'N'),(15,2191512,'1A',203,'N'),(15,2191520,'1',104,'N'),(15,2191520,'2',102,'N'),(15,2191539,'1',208,'N'),(15,2191539,'1A',238,'N'),(15,2191539,'2',222,'N'),(15,2191547,'1',404,'N'),(15,2191547,'2',339,'N'),(15,2191555,'1',420,'N'),(15,2191555,'2',450,'N'),(15,2191563,'1',425,'N'),(15,2191563,'1A',424,'N'),(15,2191563,'2',308,'N'),(15,2191580,'1',502,'N'),(15,2191580,'2',501,'N'),(15,2191598,'1',103,'N'),(15,2191598,'2',101,'N'),(15,2191601,'1',103,'N'),(15,2191601,'2',102,'N'),(15,2191610,'1',201,'N'),(15,2191610,'1A',212,'N'),(15,2191610,'2',207,'N'),(15,2191628,'1',211,'N'),(15,2191628,'1A',213,'N'),(15,2191628,'2',324,'N'),(15,2191644,'1',103,'N'),(15,2191644,'2',101,'N'),(15,2191652,'1',208,'N'),(15,2191652,'1A',238,'N'),(15,2191652,'2',317,'N'),(15,2191660,'1',220,'N'),(15,2191660,'1A',203,'N'),(15,2191660,'2',214,'N'),(15,2191679,'1',103,'N'),(15,2191679,'2',101,'N'),(15,2191687,'1',303,'N'),(15,2191687,'2',5,'N'),(15,2191695,'1',302,'N'),(15,2191695,'2',502,'N'),(15,2191725,'1',103,'N'),(15,2191725,'2',101,'N'),(15,2191733,'1',104,'N'),(15,2191733,'2',102,'N'),(15,2191750,'1',103,'N'),(15,2191750,'2',319,'N'),(15,2191768,'1',203,'N'),(15,2191768,'1A',202,'N'),(15,2191768,'2',333,'N'),(15,2191776,'1',225,'N'),(15,2191784,'1',301,'N'),(15,2191784,'2',316,'N'),(15,2191792,'1',303,'N'),(15,2191792,'2',5,'N'),(15,2191806,'1',331,'N'),(15,2191806,'2',332,'N'),(15,2191814,'1',303,'N'),(15,2191814,'2',5,'N'),(15,2191822,'1',5,'N'),(15,2191822,'2',238,'N'),(15,2191849,'1',102,'N'),(15,2191849,'2',217,'N'),(15,2191857,'1',234,'N'),(15,2191857,'2',501,'N'),(15,2191865,'1',102,'N'),(15,2191865,'2',309,'N'),(15,2191873,'1',319,'N'),(15,2191873,'2',308,'N'),(15,2191881,'1',502,'N'),(15,2191881,'2',333,'N'),(15,2191890,'1',444,'N'),(15,2191890,'2',404,'N'),(15,2191903,'1',318,'N'),(15,2191903,'2',316,'N'),(15,2191911,'1',420,'N'),(15,2191911,'2',207,'N'),(15,2191920,'1',420,'N'),(15,2191920,'2',450,'N'),(15,2191938,'1',103,'N'),(15,2191946,'1',424,'N'),(15,2191946,'2',421,'N'),(15,2191954,'1',220,'N'),(15,2191954,'1A',202,'N'),(15,2191954,'2',213,'N'),(15,2191962,'1',420,'N'),(15,2191989,'1',103,'N'),(15,2191989,'2',101,'N'),(15,2191997,'1',215,'N'),(15,2191997,'1A',216,'N'),(15,2191997,'2',9,'N'),(15,2192004,'1',427,'N'),(15,2192004,'2',108,'N'),(15,2192012,'1',102,'N'),(15,2192012,'2',217,'N'),(15,2192020,'1',208,'N'),(15,2192020,'2',420,'N'),(15,2192039,'1',220,'N'),(15,2192039,'1A',208,'N'),(15,2192039,'2',238,'N'),(15,2192055,'1',324,'N'),(15,2192055,'2',308,'N'),(15,2192063,'1',316,'N'),(15,2192063,'2',208,'N'),(15,2192071,'1',331,'N'),(15,2192071,'2',332,'N'),(15,2192080,'1',103,'N'),(15,2192080,'2',104,'N'),(15,2192098,'1',208,'N'),(15,2192098,'1A',202,'N'),(15,2192098,'2',201,'N'),(15,2192101,'1',207,'N'),(15,2192101,'1A',215,'N'),(15,2192101,'2',420,'N'),(15,2192110,'1',108,'N'),(15,2192110,'2',444,'N'),(15,2192128,'1',103,'N'),(15,2192128,'2',102,'N'),(15,2192136,'1',234,'N'),(15,2192136,'2',223,'N'),(15,2192144,'1',5,'N'),(15,2192144,'2',208,'N'),(15,2192152,'1',444,'N'),(15,2192152,'2',9,'N'),(15,2192160,'1',238,'N'),(15,2192160,'1A',220,'N'),(15,2192160,'2',301,'N'),(15,2192179,'1',216,'N'),(15,2192179,'1A',233,'N'),(15,2192179,'2',215,'N'),(15,2192187,'1',102,'N'),(15,2192187,'2',108,'N'),(15,2192195,'1',103,'N'),(15,2192195,'2',104,'N'),(15,2192209,'1',103,'N'),(15,2192209,'2',327,'N'),(15,2192217,'1',317,'N'),(15,2192217,'2',318,'N'),(15,2192225,'1',213,'N'),(15,2192225,'1A',214,'N'),(15,2192225,'2',212,'N'),(15,2192233,'1',501,'N'),(15,2192233,'2',207,'N'),(15,2192241,'1',318,'N'),(15,2192250,'1',207,'N'),(15,2192250,'2',425,'N'),(15,2192268,'1',303,'N'),(15,2192268,'2',104,'N'),(15,2192276,'1',216,'N'),(15,2192276,'1A',215,'N'),(15,2192276,'2',217,'N'),(15,2192292,'1',501,'N'),(15,2192292,'2',316,'N'),(15,2192306,'1',103,'N'),(15,2192306,'2',102,'N'),(15,2192322,'1',103,'N'),(15,2192322,'2',211,'N'),(15,2192330,'1',429,'N'),(15,2192330,'1A',425,'N'),(15,2192330,'2',333,'N'),(15,2192349,'1',103,'N'),(15,2192357,'1',103,'N'),(15,2192365,'1',444,'N'),(15,2192365,'2',309,'N'),(15,2192373,'1',222,'N'),(15,2192373,'2',223,'N'),(15,2192390,'1',319,'N'),(15,2192390,'2',211,'N'),(15,2192403,'1',203,'N'),(15,2192403,'2',316,'N'),(15,2192411,'1',214,'N'),(15,2192411,'1A',203,'N'),(15,2192411,'2',301,'N'),(15,2192420,'1',324,'N'),(15,2192420,'2',333,'N'),(15,2192438,'1',303,'N'),(15,2192438,'2',301,'N'),(15,2192446,'1',331,'N'),(15,2192446,'2',309,'N'),(15,2192454,'1',103,'N'),(15,2192454,'2',101,'N'),(15,2192462,'1',103,'N'),(15,2192462,'2',108,'N'),(15,2192470,'1',415,'N'),(15,2192470,'2',450,'N'),(15,2192489,'1',9,'N'),(15,2192489,'2',444,'N'),(15,2192497,'1',303,'N'),(15,2192497,'2',316,'N'),(15,2192500,'1',215,'N'),(15,2192500,'1A',211,'N'),(15,2192500,'2',202,'N'),(15,2192519,'1',104,'N'),(15,2192519,'2',451,'N'),(15,2192527,'1',301,'N'),(15,2192527,'2',316,'N'),(15,2192535,'1',103,'N'),(15,2192535,'2',101,'N'),(15,2192543,'1',211,'N'),(15,2192543,'1A',215,'N'),(15,2192543,'2',233,'N'),(15,2192551,'1',332,'N'),(15,2192551,'2',331,'N'),(15,2192560,'1',103,'N'),(15,2192560,'2',102,'N'),(15,2192578,'1',2,'N'),(15,2192578,'2',225,'N'),(15,2192586,'1',333,'N'),(15,2192586,'2',104,'N'),(15,2192594,'1',103,'N'),(15,2192594,'2',108,'N'),(15,2192608,'1',310,'N'),(15,2192608,'2',326,'N'),(15,2192616,'1',404,'N'),(15,2192616,'2',302,'N'),(15,2192624,'1',212,'N'),(15,2192624,'1A',233,'N'),(15,2192624,'2',222,'N'),(15,2192640,'1',216,'N'),(15,2192640,'1A',220,'N'),(15,2192640,'2',404,'N'),(15,2192659,'1',103,'N'),(15,2192659,'2',108,'N'),(15,2192667,'1',201,'N'),(15,2192667,'1A',207,'N'),(15,2192667,'2',5,'N'),(15,2192675,'1',318,'N'),(15,2192675,'2',316,'N'),(15,2192683,'1',9,'N'),(15,2192683,'2',424,'N'),(15,2192691,'1',317,'N'),(15,2192705,'1',103,'N'),(15,2192705,'2',108,'N'),(15,2192713,'1',103,'N'),(15,2192713,'2',319,'N'),(15,2192721,'1',339,'N'),(15,2192721,'2',309,'N'),(15,2192730,'1',420,'N'),(15,2192730,'2',328,'N'),(15,2192748,'1',5,'N'),(15,2192748,'2',316,'N'),(15,2192756,'1',327,'N'),(15,2192764,'1',501,'N'),(15,2192764,'2',502,'N'),(15,2192772,'1',316,'N'),(15,2192772,'2',104,'N'),(15,2192780,'1',319,'N'),(15,2192780,'2',425,'N'),(15,2192799,'1',238,'N'),(15,2192799,'1A',208,'N'),(15,2192802,'1',103,'N'),(15,2192802,'2',108,'N'),(15,2192810,'1',415,'N'),(15,2192810,'2',301,'N'),(15,2192829,'1',201,'N'),(15,2192829,'1A',203,'N'),(15,2192829,'2',301,'N'),(15,2192837,'1',102,'N'),(15,2192837,'2',215,'N'),(15,2192845,'1',318,'N'),(15,2192845,'2',429,'N'),(15,2192853,'1',319,'N'),(15,2192853,'2',301,'N'),(15,2192861,'1',316,'N'),(15,2192861,'2',304,'N'),(15,2192870,'1',103,'N'),(15,2192888,'1',420,'N'),(15,2192888,'2',207,'N'),(15,2192896,'1',502,'N'),(15,2192896,'2',301,'N'),(15,2192918,'1',5,'N'),(15,2192918,'2',426,'N'),(15,2192926,'1',103,'N'),(15,2192926,'2',104,'N'),(15,2192934,'1',316,'N'),(15,2192934,'2',101,'N'),(15,2192950,'1',5,'N'),(15,2192950,'2',329,'N'),(15,2192969,'1',304,'N'),(15,2192969,'2',301,'N'),(15,2192977,'1',211,'N'),(15,2192977,'2',501,'N'),(15,2192985,'1',238,'N'),(15,2192985,'1A',208,'N'),(15,2192985,'2',319,'N'),(15,2192993,'1',304,'N'),(15,2192993,'2',451,'N'),(15,2193000,'1',203,'N'),(15,2193000,'2',202,'N'),(15,2193019,'1',9,'N'),(15,2193027,'1',101,'N'),(15,2193027,'2',308,'N'),(15,2193035,'1',304,'N'),(15,2193035,'2',301,'N'),(15,2193043,'1',104,'N'),(15,2193043,'2',214,'N'),(15,2193051,'1',108,'N'),(15,2193051,'2',217,'N'),(15,2193060,'1',238,'N'),(15,2193060,'1A',208,'N'),(15,2193060,'2',308,'N'),(15,2193078,'1',108,'N'),(15,2193078,'2',502,'N'),(15,2193086,'1',203,'N'),(15,2193086,'1A',207,'N'),(15,2193086,'2',103,'N'),(15,2193094,'1',333,'N'),(15,2193094,'2',211,'N'),(15,2193108,'1',309,'N'),(15,2193108,'2',331,'N'),(15,2193116,'1',108,'N'),(15,2193116,'2',211,'N'),(15,2193124,'1',333,'N'),(15,2193124,'2',318,'N'),(15,2193132,'1',316,'N'),(15,2193132,'2',339,'N'),(15,2193140,'1',404,'N'),(15,2193140,'2',318,'N'),(15,2193159,'1',303,'N'),(15,2193167,'1',201,'N'),(15,2193167,'2',333,'N'),(15,2193175,'1',5,'N'),(15,2193175,'2',316,'N'),(15,2193183,'1',444,'N'),(15,2193183,'2',2,'N'),(15,2193191,'1',220,'N'),(15,2193191,'1A',202,'N'),(15,2193205,'1',234,'N'),(15,2193205,'2',502,'N'),(15,2193213,'1',215,'N'),(15,2193213,'1A',216,'N'),(15,2193213,'2',9,'N'),(15,2193230,'1',220,'N'),(15,2193230,'1A',214,'N'),(15,2193230,'2',212,'N'),(15,2193248,'1',415,'N'),(15,2193248,'2',327,'N'),(15,2193264,'1',207,'N'),(15,2193272,'1',415,'N'),(15,2193280,'1',301,'N'),(15,2193280,'2',304,'N'),(15,2193310,'1',207,'N'),(15,2193310,'1A',201,'N'),(15,2193310,'2',331,'N'),(15,2193329,'1',233,'N'),(15,2193329,'1A',212,'N'),(15,2193329,'2',207,'N'),(15,2193337,'1',317,'N'),(15,2193337,'2',339,'N'),(15,2193345,'1',9,'N'),(15,2193345,'2',215,'N'),(15,2193353,'1',5,'N'),(15,2193353,'2',415,'N'),(15,2193361,'1',5,'N'),(15,2193361,'2',332,'N'),(15,2193370,'1',102,'N'),(15,2193370,'2',217,'N'),(15,2193396,'1',103,'N'),(15,2193400,'1',501,'N'),(15,2193400,'2',103,'N'),(15,2193426,'1',103,'N'),(15,2193426,'2',316,'N'),(15,2193434,'1',207,'N'),(15,2193434,'1A',201,'N'),(15,2193434,'2',333,'N'),(15,2193442,'1',203,'N'),(15,2193442,'1A',220,'N'),(15,2193442,'2',2,'N'),(15,2193450,'1',316,'N'),(15,2193450,'2',423,'N'),(15,2193469,'1',303,'N'),(15,2193469,'2',332,'N'),(15,2193477,'1',103,'N'),(15,2193485,'1',404,'N'),(15,2193485,'2',208,'N'),(15,2193515,'1',301,'N'),(15,2193515,'2',428,'N'),(15,2193523,'1',5,'N'),(15,2193531,'1',415,'N'),(15,2193531,'2',451,'N'),(15,2193540,'1',225,'N'),(15,2193540,'2',2,'N'),(15,2193558,'1',216,'N'),(15,2193558,'1A',201,'N'),(15,2193558,'2',217,'N'),(15,2193566,'1',216,'N'),(15,2193566,'1A',215,'N'),(15,2193566,'2',217,'N'),(15,2193574,'1',303,'N'),(15,2193574,'2',5,'N'),(15,2193582,'1',415,'N'),(15,2193582,'2',326,'N'),(15,2193604,'1',303,'N'),(15,2193604,'2',301,'N'),(15,2193612,'1',233,'N'),(15,2193612,'1A',203,'N'),(15,2193612,'2',220,'N'),(15,2193620,'1',203,'N'),(15,2193620,'1A',202,'N'),(15,2193620,'2',425,'N'),(15,2193639,'1',212,'N'),(15,2193639,'1A',213,'N'),(15,2193639,'2',5,'N'),(15,2193647,'1',203,'N'),(15,2193647,'1A',202,'N'),(15,2193647,'2',201,'N'),(15,2193655,'1',9,'N'),(15,2193655,'2',308,'N'),(15,2193663,'1',303,'N'),(15,2193663,'2',319,'N'),(15,2193671,'1',207,'N'),(15,2193671,'1A',201,'N'),(15,2193671,'2',212,'N'),(15,2193680,'1',319,'N'),(15,2193698,'1',9,'N'),(15,2193698,'2',316,'N'),(15,2193701,'1',104,'N'),(15,2193736,'1',5,'N'),(15,2193736,'2',318,'N'),(15,2193744,'1',203,'N'),(15,2193744,'2',214,'N'),(15,2193752,'1',213,'N'),(15,2193752,'1A',208,'N'),(15,2193752,'2',222,'N'),(15,2193760,'1',207,'N'),(15,2193760,'2',301,'N'),(15,2193779,'1',103,'N'),(15,2193779,'2',207,'N'),(15,2193795,'1',203,'N'),(15,2193795,'1A',238,'N'),(15,2193795,'2',225,'N'),(15,2193809,'1',103,'N'),(15,2193809,'2',319,'N'),(15,2193817,'1',208,'N'),(15,2193817,'2',104,'N'),(15,2193825,'1',444,'N'),(15,2193825,'2',404,'N'),(15,2193833,'1',5,'N'),(15,2193833,'2',213,'N'),(15,2193841,'1',404,'N'),(15,2193841,'2',444,'N'),(15,2193850,'1',102,'N'),(15,2193850,'2',420,'N'),(15,2193868,'1',303,'N'),(15,2193868,'2',415,'N'),(15,2193884,'1',302,'N'),(15,2193884,'2',301,'N'),(15,2193892,'1',5,'N'),(15,2193892,'2',224,'N'),(15,2193914,'1',101,'N'),(15,2193914,'2',329,'N'),(15,2193922,'1',207,'N'),(15,2193922,'1A',201,'N'),(15,2193922,'2',420,'N'),(15,2193930,'1',318,'N'),(15,2193930,'2',329,'N'),(15,2193949,'1',103,'N'),(15,2193949,'2',104,'N'),(15,2193957,'1',444,'N'),(15,2193957,'2',404,'N'),(15,2193973,'1',211,'N'),(15,2193973,'1A',207,'N'),(15,2193981,'1',415,'N'),(15,2193981,'2',420,'N'),(15,2193990,'1',333,'N'),(15,2194007,'1',211,'N'),(15,2194007,'1A',208,'N'),(15,2194007,'2',444,'N'),(15,2194015,'1',203,'N'),(15,2194015,'1A',233,'N'),(15,2194015,'2',216,'N'),(15,2194023,'1',420,'N'),(15,2194023,'2',450,'N'),(15,2194031,'1',202,'N'),(15,2194031,'1A',213,'N'),(15,2194031,'2',222,'N'),(15,2194040,'1',303,'N'),(15,2194040,'2',233,'N'),(15,2194058,'1',212,'N'),(15,2194058,'1A',201,'N'),(15,2194058,'2',301,'N'),(15,2194066,'1',319,'N'),(15,2194066,'2',303,'N'),(15,2194074,'1',104,'N'),(15,2194074,'2',404,'N'),(15,2194082,'1',5,'N'),(15,2194082,'2',201,'N'),(15,2194090,'1',5,'N'),(15,2194090,'2',425,'N'),(15,2194104,'1',202,'N'),(15,2194104,'1A',213,'N'),(15,2194104,'2',203,'N'),(15,2194112,'1',104,'N'),(15,2194112,'2',9,'N'),(15,2194120,'1',103,'N'),(15,2194120,'2',216,'N'),(15,2194139,'1',103,'N'),(15,2194139,'2',108,'N'),(15,2194147,'1',207,'N'),(15,2194147,'2',303,'N'),(15,2194155,'1',428,'N'),(15,2194155,'1A',425,'N'),(15,2194155,'2',404,'N'),(15,2194163,'1',201,'N'),(15,2194171,'1',317,'N'),(15,2194180,'1',303,'N'),(15,2194180,'2',301,'N'),(15,2194198,'1',202,'N'),(15,2194198,'1A',213,'N'),(15,2194198,'2',208,'N'),(15,2194201,'1',304,'N'),(15,2194201,'2',201,'N'),(15,2194210,'1',420,'N'),(15,2194210,'2',207,'N'),(15,2194228,'1',103,'N'),(15,2194228,'2',101,'N'),(15,2194236,'1',108,'N'),(15,2194236,'2',502,'N'),(15,2194244,'1',216,'N'),(15,2194244,'1A',211,'N'),(15,2194244,'2',420,'N'),(15,2194252,'1',501,'N'),(15,2194252,'2',301,'N'),(15,2194260,'1',9,'N'),(15,2194260,'2',502,'N'),(15,2194279,'1',104,'N'),(15,2194279,'2',234,'N'),(15,2194287,'1',214,'N'),(15,2194287,'1A',213,'N'),(15,2194287,'2',220,'N'),(15,2194295,'1',329,'N'),(15,2194295,'2',327,'N'),(15,2194317,'1',102,'N'),(15,2194317,'2',333,'N'),(15,2194325,'1',220,'N'),(15,2194333,'1',304,'N'),(15,2194333,'2',318,'N'),(15,2194341,'1',302,'N'),(15,2194341,'2',304,'N'),(15,2194350,'1',203,'N'),(15,2194350,'1A',202,'N'),(15,2194350,'2',2,'N'),(15,2194368,'1',420,'N'),(15,2194368,'2',415,'N'),(15,2194376,'1',238,'N'),(15,2194376,'1A',208,'N'),(15,2194376,'2',316,'N'),(15,2194384,'1',303,'N'),(15,2194384,'2',415,'N'),(15,2194392,'1',333,'N'),(15,2194392,'2',108,'N'),(15,2194406,'1',301,'N'),(15,2194406,'2',208,'N'),(15,2194414,'1',333,'N'),(15,2194414,'2',327,'N'),(15,2194422,'1',201,'N'),(15,2194422,'1A',207,'N'),(15,2194422,'2',420,'N'),(15,2194430,'1',214,'N'),(15,2194430,'1A',203,'N'),(15,2194430,'2',212,'N'),(15,2194449,'1',201,'N'),(15,2194449,'1A',207,'N'),(15,2194449,'2',428,'N'),(15,2194457,'1',303,'N'),(15,2194457,'2',301,'N'),(15,2194465,'1',316,'N'),(15,2194465,'2',301,'N'),(15,2194473,'1',318,'N'),(15,2194473,'2',317,'N'),(15,2194481,'1',324,'N'),(15,2194481,'2',5,'N'),(15,2194490,'1',303,'N'),(15,2194490,'2',319,'N'),(15,2194503,'1',429,'N'),(15,2194503,'1A',425,'N'),(15,2194503,'2',102,'N'),(15,2194511,'1',103,'N'),(15,2194511,'2',104,'N'),(15,2194520,'1',5,'N'),(15,2194520,'2',304,'N'),(15,2194538,'1',216,'N'),(15,2194538,'1A',203,'N'),(15,2194546,'1',238,'N'),(15,2194546,'1A',208,'N'),(15,2194546,'2',222,'N'),(15,2194554,'1',216,'N'),(15,2194554,'2',217,'N'),(15,2194589,'1',103,'N'),(15,2194589,'2',425,'N'),(15,2194597,'1',202,'N'),(15,2194597,'2',304,'N'),(15,2194600,'1',211,'N'),(15,2194600,'2',304,'N'),(15,2194619,'1',103,'N'),(15,2194627,'1',207,'N'),(15,2194627,'2',420,'N'),(15,2194635,'1',316,'N'),(15,2194635,'2',302,'N'),(15,2194643,'1',234,'N'),(15,2194643,'2',333,'N'),(15,2194651,'1',108,'N'),(15,2194651,'2',501,'N'),(15,2194660,'1',303,'N'),(15,2194660,'2',5,'N'),(15,2194678,'1',103,'N'),(15,2194678,'2',201,'N'),(15,2194686,'1',207,'N'),(15,2194686,'1A',201,'N'),(15,2194686,'2',420,'N'),(15,2194694,'1',428,'N'),(15,2194694,'1A',421,'N'),(15,2194694,'2',9,'N'),(15,2194708,'1',203,'N'),(15,2194708,'1A',233,'N'),(15,2194708,'2',216,'N'),(15,2194724,'1',303,'N'),(15,2194724,'2',302,'N'),(15,2194732,'1',5,'N'),(15,2194732,'2',451,'N'),(15,2194740,'1',211,'N'),(15,2194740,'1A',201,'N'),(15,2194740,'2',331,'N'),(15,2194759,'1',207,'N'),(15,2194759,'1A',211,'N'),(15,2194759,'2',215,'N'),(15,2194767,'1',450,'N'),(15,2194767,'2',451,'N'),(15,2194775,'1',333,'N'),(15,2194775,'2',211,'N'),(15,2194783,'1',415,'N'),(15,2194783,'2',451,'N'),(15,2194791,'1',203,'N'),(15,2194791,'2',214,'N'),(15,2194805,'1',324,'N'),(15,2194805,'2',207,'N'),(15,2194813,'1',203,'N'),(15,2194813,'1A',201,'N'),(15,2194813,'2',214,'N'),(15,2194821,'1',450,'N'),(15,2194821,'2',320,'N'),(15,2194830,'1',203,'N'),(15,2194830,'1A',214,'N'),(15,2194830,'2',108,'N'),(15,2194848,'1',103,'N'),(15,2194848,'2',424,'N'),(15,2194856,'1',103,'N'),(15,2194856,'2',211,'N'),(15,2194864,'1',404,'N'),(15,2194880,'1',317,'N'),(15,2194880,'2',308,'N'),(15,2194902,'1',223,'N'),(15,2194902,'2',222,'N'),(15,2194910,'1',108,'N'),(15,2194929,'1',333,'N'),(15,2194929,'2',104,'N'),(15,2194937,'1',214,'N'),(15,2194937,'1A',216,'N'),(15,2194937,'2',303,'N'),(15,2194945,'1',202,'N'),(15,2194945,'1A',208,'N'),(15,2194945,'2',333,'N'),(15,2194953,'1',301,'N'),(15,2194953,'2',424,'N'),(15,2194961,'1',304,'N'),(15,2194961,'2',301,'N'),(15,2194970,'1',502,'N'),(15,2194970,'2',501,'N'),(15,2194988,'1',317,'N'),(15,2194988,'2',318,'N'),(15,2194996,'1',108,'N'),(15,2194996,'2',329,'N'),(15,2195003,'1',103,'N'),(15,2195003,'2',415,'N'),(15,2195011,'1',102,'N'),(15,2195011,'2',101,'N'),(15,2195020,'1',415,'N'),(15,2195020,'2',207,'N'),(15,2195038,'1',202,'N'),(15,2195038,'1A',220,'N'),(15,2195038,'2',301,'N'),(15,2195054,'1',303,'N'),(15,2195054,'2',208,'N'),(15,2195062,'1',326,'N'),(15,2195070,'1',208,'N'),(15,2195070,'1A',238,'N'),(15,2195070,'2',303,'N'),(15,2195089,'1',207,'N'),(15,2195089,'1A',203,'N'),(15,2195089,'2',201,'N'),(15,2195097,'1',420,'N'),(15,2195097,'2',421,'N'),(15,2195100,'1',425,'N'),(15,2195100,'1A',429,'N'),(15,2195100,'2',309,'N'),(15,2195119,'1',101,'N'),(15,2195119,'2',309,'N'),(15,2195127,'1',103,'N'),(15,2195127,'2',319,'N'),(15,2195135,'1',428,'N'),(15,2195135,'1A',426,'N'),(15,2195135,'2',424,'N'),(15,2195143,'1',316,'N'),(15,2195143,'2',317,'N'),(15,2195151,'1',327,'N'),(15,2195151,'2',423,'N'),(15,2195160,'1',5,'N'),(15,2195160,'2',426,'N'),(15,2195178,'1',108,'N'),(15,2195178,'2',211,'N'),(15,2195186,'1',302,'N'),(15,2195186,'2',404,'N'),(15,2195194,'1',103,'N'),(15,2195194,'2',101,'N'),(15,2195216,'1',429,'N'),(15,2195216,'1A',425,'N'),(15,2195216,'2',339,'N'),(15,2195224,'1',220,'N'),(15,2195224,'2',208,'N'),(15,2195232,'1',324,'N'),(15,2195232,'2',427,'N'),(15,2195240,'1',301,'N'),(15,2195240,'2',327,'N'),(15,2195259,'1',104,'N'),(15,2195259,'2',101,'N'),(15,2195267,'1',202,'N'),(15,2195267,'2',224,'N'),(15,2195275,'1',201,'N'),(15,2195275,'1A',212,'N'),(15,2195275,'2',208,'N'),(15,2195283,'1',103,'N'),(15,2195283,'2',108,'N'),(15,2195291,'1',304,'N'),(15,2195291,'2',301,'N'),(15,2195305,'1',326,'N'),(15,2195313,'1',9,'N'),(15,2195313,'2',339,'N'),(15,2195321,'1',203,'N'),(15,2195321,'2',202,'N'),(15,2195330,'1',333,'N'),(15,2195330,'2',108,'N'),(15,2195348,'1',404,'N'),(15,2195348,'2',211,'N'),(15,2195364,'1',103,'N'),(15,2195364,'2',101,'N'),(15,2195372,'1',214,'N'),(15,2195372,'1A',203,'N'),(15,2195380,'1',301,'N'),(15,2195380,'2',308,'N'),(15,2195399,'1',450,'N'),(15,2195399,'2',318,'N'),(15,2195402,'1',208,'N'),(15,2195402,'1A',238,'N'),(15,2195402,'2',203,'N'),(15,2195410,'1',216,'N'),(15,2195410,'1A',211,'N'),(15,2195410,'2',217,'N'),(15,2195429,'1',202,'N'),(15,2195429,'1A',203,'N'),(15,2195429,'2',220,'N'),(15,2195437,'1',208,'N'),(15,2195437,'1A',213,'N'),(15,2195437,'2',425,'N'),(15,2195445,'1',333,'N'),(15,2195445,'2',332,'N'),(15,2195453,'1',201,'N'),(15,2195453,'1A',211,'N'),(15,2195453,'2',234,'N'),(15,2195461,'1',103,'N'),(15,2195461,'2',202,'N'),(15,2195470,'1',415,'N'),(15,2195470,'2',316,'N'),(15,2195496,'1',103,'N'),(15,2195496,'2',451,'N'),(15,2195518,'1',202,'N'),(15,2195518,'1A',213,'N'),(15,2195518,'2',501,'N'),(15,2195534,'1',501,'N'),(15,2195534,'2',316,'N'),(15,2195542,'1',103,'N'),(15,2195542,'2',238,'N'),(15,2195550,'1',207,'N'),(15,2195550,'1A',233,'N'),(15,2195550,'2',420,'N'),(15,2195569,'1',319,'N'),(15,2195569,'2',333,'N'),(15,2195577,'1',104,'N'),(15,2195577,'2',207,'N'),(15,2195585,'1',103,'N'),(15,2195585,'2',104,'N'),(15,2195593,'1',108,'N'),(15,2195593,'2',324,'N'),(15,2195615,'1',211,'N'),(15,2195615,'1A',216,'N'),(15,2195615,'2',215,'N'),(15,2195623,'1',9,'N'),(15,2195623,'2',211,'N'),(15,2195631,'1',326,'N'),(15,2195631,'2',327,'N'),(15,2195640,'1',104,'N'),(15,2195640,'2',102,'N'),(15,2195658,'1',2,'N'),(15,2195658,'2',222,'N'),(15,2195666,'1',103,'N'),(15,2195666,'2',303,'N'),(15,2195674,'1',319,'N'),(15,2195674,'2',333,'N'),(15,2195682,'1',101,'N'),(15,2195690,'1',304,'N'),(15,2195690,'2',101,'N'),(15,2195704,'1',207,'N'),(15,2195704,'1A',201,'N'),(15,2195704,'2',420,'N'),(15,2195712,'1',202,'N'),(15,2195712,'1A',214,'N'),(15,2195712,'2',213,'N'),(15,2195739,'1',233,'N'),(15,2195739,'1A',202,'N'),(15,2195739,'2',201,'N'),(15,2195747,'1',202,'N'),(15,2195747,'1A',220,'N'),(15,2195747,'2',2,'N'),(15,2195755,'1',301,'N'),(15,2195755,'2',420,'N'),(15,2195763,'1',308,'N'),(15,2195763,'2',423,'N'),(15,2195771,'1',214,'N'),(15,2195771,'2',319,'N'),(15,2195798,'1',444,'N'),(15,2195798,'2',404,'N'),(15,2195801,'1',316,'N'),(15,2195801,'2',339,'N'),(15,2195810,'1',5,'N'),(15,2195810,'2',303,'N'),(15,2195828,'1',211,'N'),(15,2195828,'1A',215,'N'),(15,2195828,'2',301,'N'),(15,2195844,'1',450,'N'),(15,2195844,'2',301,'N'),(15,2195852,'1',202,'N'),(15,2195852,'1A',220,'N'),(15,2195852,'2',213,'N'),(15,2195860,'1',104,'N'),(15,2195860,'2',101,'N'),(15,2195879,'1',103,'N'),(15,2195879,'2',203,'N'),(15,2195887,'1',333,'N'),(15,2195887,'2',108,'N'),(15,2195895,'1',102,'N'),(15,2195895,'2',104,'N'),(15,2195909,'1',212,'N'),(15,2195909,'1A',215,'N'),(15,2195909,'2',9,'N'),(15,2195925,'1',234,'N'),(15,2195925,'2',501,'N'),(15,2195933,'1',415,'N'),(15,2195933,'2',9,'N'),(15,2195950,'1',104,'N'),(15,2195950,'2',501,'N'),(15,2195968,'1',420,'N'),(15,2195968,'2',327,'N'),(15,2195976,'1',104,'N'),(15,2195976,'2',101,'N'),(15,2195984,'1',333,'N'),(15,2195984,'2',450,'N'),(15,2196000,'1',103,'N'),(15,2196000,'2',104,'N'),(15,2196018,'1',333,'N'),(15,2196018,'2',328,'N'),(15,2196026,'1',103,'N'),(15,2196026,'2',9,'N'),(15,2196042,'1',450,'N'),(15,2196042,'2',320,'N'),(15,2196050,'1',214,'N'),(15,2196050,'1A',212,'N'),(15,2196050,'2',302,'N'),(15,2196069,'1',319,'N'),(15,2196069,'2',309,'N'),(15,2196085,'1',104,'N'),(15,2196085,'2',5,'N'),(15,2196093,'1',103,'N'),(15,2196093,'2',420,'N'),(15,2196123,'1',217,'N'),(15,2196123,'2',302,'N'),(15,2196131,'1',103,'N'),(15,2196131,'2',104,'N'),(15,2196140,'1',301,'N'),(15,2196140,'2',316,'N'),(15,2196158,'1',5,'N'),(15,2196158,'2',303,'N'),(15,2196166,'1',103,'N'),(15,2196166,'2',104,'N'),(15,2196174,'1',103,'N'),(15,2196174,'2',404,'N'),(15,2196182,'1',201,'N'),(15,2196182,'2',223,'N'),(15,2196190,'1',102,'N'),(15,2196190,'2',425,'N'),(15,2196204,'1',104,'N'),(15,2196204,'2',102,'N'),(15,2196212,'1',101,'N'),(15,2196212,'2',326,'N'),(15,2196220,'1',212,'N'),(15,2196220,'1A',213,'N'),(15,2196220,'2',211,'N'),(15,2196239,'1',103,'N'),(15,2196239,'2',104,'N'),(15,2196247,'1',104,'N'),(15,2196247,'2',9,'N'),(15,2196255,'1',208,'N'),(15,2196255,'2',420,'N'),(15,2196263,'1',420,'N'),(15,2196263,'2',103,'N'),(15,2196271,'1',303,'N'),(15,2196271,'2',301,'N'),(15,2196280,'1',103,'N'),(15,2196280,'2',5,'N'),(15,2196298,'1',202,'N'),(15,2196298,'1A',213,'N'),(15,2196298,'2',223,'N'),(15,2196301,'1',101,'N'),(15,2196301,'2',309,'N'),(15,2196310,'1',450,'N'),(15,2196310,'2',212,'N'),(15,2196336,'1',303,'N'),(15,2196336,'2',310,'N'),(15,2196344,'1',303,'N'),(15,2196344,'2',5,'N'),(15,2196360,'1',5,'N'),(15,2196360,'2',333,'N'),(15,2196379,'1',5,'N'),(15,2196379,'2',208,'N'),(15,2196387,'1',501,'N'),(15,2196387,'2',212,'N'),(15,2196395,'1',103,'N'),(15,2196395,'2',104,'N'),(15,2196417,'1',203,'N'),(15,2196417,'1A',220,'N'),(15,2196417,'2',214,'N'),(15,2196425,'1',214,'N'),(15,2196425,'1A',213,'N'),(15,2196425,'2',217,'N'),(15,2196433,'1',103,'N'),(15,2196441,'1',213,'N'),(15,2196441,'1A',208,'N'),(15,2196450,'1',5,'N'),(15,2196450,'2',316,'N'),(15,2196468,'1',201,'N'),(15,2196468,'1A',207,'N'),(15,2196468,'2',104,'N'),(15,2196484,'1',215,'N'),(15,2196484,'1A',214,'N'),(15,2196484,'2',203,'N'),(15,2196492,'1',316,'N'),(15,2196492,'2',318,'N'),(15,2196506,'1',420,'N'),(15,2196506,'2',319,'N'),(15,2196514,'1',415,'N'),(15,2196522,'1',211,'N'),(15,2196522,'2',215,'N'),(15,2196530,'1',104,'N'),(15,2196530,'2',303,'N'),(15,2196549,'1',220,'N'),(15,2196549,'1A',233,'N'),(15,2196549,'2',420,'N'),(15,2196557,'1',424,'N'),(15,2196557,'1A',421,'N'),(15,2196565,'1',207,'N'),(15,2196565,'1A',215,'N'),(15,2196565,'2',304,'N'),(15,2196573,'1',103,'N'),(15,2196573,'2',101,'N'),(15,2196581,'1',216,'N'),(15,2196581,'1A',211,'N'),(15,2196581,'2',108,'N'),(15,2196590,'1',233,'N'),(15,2196590,'1A',212,'N'),(15,2196590,'2',2,'N'),(15,2196603,'1',103,'N'),(15,2196611,'1',104,'N'),(15,2196611,'2',103,'N'),(15,2196620,'1',5,'N'),(15,2196620,'2',427,'N'),(15,2196638,'1',317,'N'),(15,2196638,'2',327,'N'),(15,2196646,'1',301,'N'),(15,2196646,'2',316,'N'),(15,2196654,'1',212,'N'),(15,2196654,'1A',211,'N'),(15,2196654,'2',332,'N'),(15,2196662,'1',103,'N'),(15,2196662,'2',207,'N'),(15,2196670,'1',207,'N'),(15,2196670,'1A',208,'N'),(15,2196670,'2',324,'N'),(15,2196689,'1',501,'N'),(15,2196689,'2',211,'N'),(15,2196697,'1',203,'N'),(15,2196697,'1A',214,'N'),(15,2196697,'2',220,'N'),(15,2196700,'1',444,'N'),(15,2196700,'2',333,'N'),(15,2196719,'1',207,'N'),(15,2196719,'1A',201,'N'),(15,2196719,'2',420,'N'),(15,2196727,'1',201,'N'),(15,2196727,'1A',212,'N'),(15,2196751,'1',339,'N'),(15,2196751,'2',329,'N'),(15,2196760,'1',303,'N'),(15,2196786,'1',415,'N'),(15,2196786,'2',332,'N'),(15,2196794,'1',303,'N'),(15,2196794,'2',415,'N'),(15,2196808,'1',426,'N'),(15,2196808,'1A',423,'N'),(15,2196808,'2',320,'N'),(15,2196816,'1',103,'N'),(15,2196816,'2',102,'N'),(15,2196824,'1',103,'N'),(15,2196824,'2',450,'N'),(15,2196832,'1',450,'N'),(15,2196832,'2',420,'N'),(15,2196840,'1',207,'N'),(15,2196840,'1A',201,'N'),(15,2196840,'2',212,'N'),(15,2196859,'1',207,'N'),(15,2196859,'2',420,'N'),(15,2196867,'1',102,'N'),(15,2196883,'1',208,'N'),(15,2196883,'1A',238,'N'),(15,2196883,'2',222,'N'),(15,2196891,'1',9,'N'),(15,2196891,'2',444,'N'),(15,2196905,'1',502,'N'),(15,2196905,'2',444,'N'),(15,2196913,'1',317,'N'),(15,2196913,'2',316,'N'),(15,2196921,'1',238,'N'),(15,2196921,'1A',208,'N'),(15,2196921,'2',316,'N'),(15,2196930,'1',108,'N'),(15,2196930,'2',328,'N'),(15,2196948,'1',208,'N'),(15,2196948,'1A',202,'N'),(15,2196948,'2',108,'N'),(15,2196956,'1',5,'N'),(15,2196956,'2',223,'N'),(15,2196964,'1',103,'N'),(15,2196964,'2',102,'N'),(15,2196980,'1',303,'N'),(15,2196980,'2',301,'N'),(15,2196999,'1',333,'N'),(15,2196999,'2',404,'N'),(15,2197006,'1',220,'N'),(15,2197006,'1A',213,'N'),(15,2197006,'2',2,'N'),(15,2197014,'1',103,'N'),(15,2197014,'2',5,'N'),(15,2197022,'1',212,'N'),(15,2197022,'1A',220,'N'),(15,2197022,'2',202,'N'),(15,2197030,'1',108,'N'),(15,2197030,'2',333,'N'),(15,2197049,'1',303,'N'),(15,2197049,'2',319,'N'),(15,2197057,'1',220,'N'),(15,2197057,'1A',212,'N'),(15,2197057,'2',329,'N'),(15,2197065,'1',104,'N'),(15,2197065,'2',211,'N'),(15,2197073,'1',108,'N'),(15,2197073,'2',216,'N'),(15,2197081,'1',303,'N'),(15,2197081,'2',5,'N'),(15,2197090,'1',319,'N'),(15,2197090,'2',101,'N'),(15,2197103,'1',203,'N'),(15,2197111,'1',316,'N'),(15,2197111,'2',332,'N'),(15,2197138,'1',318,'N'),(15,2197138,'2',320,'N'),(15,2197146,'1',103,'N'),(15,2197146,'2',108,'N'),(15,2197154,'1',203,'N'),(15,2197154,'2',202,'N'),(15,2197162,'1',101,'N'),(15,2197162,'2',319,'N'),(15,2197189,'1',303,'N'),(15,2197197,'1',202,'N'),(15,2197197,'1A',213,'N'),(15,2197197,'2',214,'N'),(15,2197200,'1',201,'N'),(15,2197200,'1A',212,'N'),(15,2197200,'2',318,'N'),(15,2197219,'1',201,'N'),(15,2197219,'1A',207,'N'),(15,2197219,'2',224,'N'),(15,2197227,'1',216,'N'),(15,2197227,'1A',208,'N'),(15,2197227,'2',102,'N'),(15,2197235,'1',238,'N'),(15,2197235,'1A',208,'N'),(15,2197235,'2',316,'N'),(15,2197243,'1',238,'N'),(15,2197251,'1',303,'N'),(15,2197251,'2',202,'N'),(15,2197260,'1',103,'N'),(15,2197260,'2',104,'N'),(15,2197278,'1',212,'N'),(15,2197278,'1A',211,'N'),(15,2197278,'2',234,'N'),(15,2197286,'1',317,'N'),(15,2197286,'2',318,'N'),(15,2197294,'1',103,'N'),(15,2197294,'2',203,'N'),(15,2197308,'1',207,'N'),(15,2197308,'1A',238,'N'),(15,2197308,'2',332,'N'),(15,2197316,'1',234,'N'),(15,2197316,'2',333,'N'),(15,2197324,'1',101,'N'),(15,2197324,'2',9,'N'),(15,2197332,'1',331,'N'),(15,2197332,'2',326,'N'),(15,2197340,'1',214,'N'),(15,2197340,'1A',212,'N'),(15,2197340,'2',223,'N'),(15,2197359,'1',102,'N'),(15,2197359,'2',101,'N'),(15,2197367,'1',319,'N'),(15,2197367,'2',331,'N'),(15,2197383,'1',327,'N'),(15,2197383,'2',207,'N'),(15,2197391,'1',234,'N'),(15,2197391,'2',501,'N'),(15,2197405,'1',301,'N'),(15,2197405,'2',309,'N'),(15,2197413,'1',9,'N'),(15,2197413,'2',215,'N'),(15,2197421,'1',302,'N'),(15,2197421,'2',223,'N'),(15,2197430,'1',451,'N'),(15,2197430,'2',207,'N'),(15,2197448,'1',420,'N'),(15,2197448,'2',207,'N'),(15,2197456,'1',5,'N'),(15,2197456,'2',316,'N'),(15,2197464,'1',420,'N'),(15,2197464,'2',301,'N'),(15,2197472,'1',208,'N'),(15,2197472,'2',223,'N'),(15,2197480,'1',2,'N'),(15,2197480,'2',501,'N'),(15,2197499,'1',103,'N'),(15,2197502,'1',316,'N'),(15,2197502,'2',333,'N'),(15,2197529,'1',303,'N'),(15,2197529,'2',427,'N'),(15,2197537,'1',103,'N'),(15,2197545,'1',102,'N'),(15,2197545,'2',108,'N'),(15,2197553,'1',220,'N'),(15,2197553,'1A',203,'N'),(15,2197553,'2',202,'N'),(15,2197570,'1',339,'N'),(15,2197570,'2',309,'N'),(15,2197588,'1',415,'N'),(15,2197588,'2',326,'N'),(15,2197626,'1',415,'N'),(15,2197626,'2',310,'N'),(15,2197634,'1',203,'N'),(15,2197634,'2',202,'N'),(15,2197642,'1',104,'N'),(15,2197642,'2',420,'N'),(15,2197650,'1',103,'N'),(15,2197650,'2',102,'N'),(15,2197669,'1',103,'N'),(15,2197669,'2',104,'N'),(15,2197677,'1',103,'N'),(15,2197677,'2',233,'N'),(15,2197685,'1',103,'N'),(15,2197693,'1',238,'N'),(15,2197693,'1A',211,'N'),(15,2197693,'2',420,'N'),(15,2197707,'1',220,'N'),(15,2197707,'1A',233,'N'),(15,2197707,'2',203,'N'),(15,2197715,'1',103,'N'),(15,2197715,'2',203,'N'),(15,2197723,'1',211,'N'),(15,2197723,'1A',233,'N'),(15,2197723,'2',333,'N'),(15,2197731,'1',310,'N'),(15,2197731,'2',328,'N'),(15,2197740,'1',103,'N'),(15,2197740,'2',104,'N'),(15,2197758,'1',108,'N'),(15,2197758,'2',333,'N'),(15,2197766,'1',238,'N'),(15,2197766,'1A',208,'N'),(15,2197766,'2',425,'N'),(15,2197782,'1',207,'N'),(15,2197782,'2',501,'N'),(15,2197790,'1',303,'N'),(15,2197790,'2',5,'N'),(15,2197804,'1',101,'N'),(15,2197804,'2',309,'N'),(15,2197812,'1',333,'N'),(15,2197812,'2',9,'N'),(15,2197820,'1',103,'N'),(15,2197820,'2',102,'N'),(15,2197839,'1',238,'N'),(15,2197839,'1A',208,'N'),(15,2197839,'2',316,'N'),(15,2197847,'1',208,'N'),(15,2197847,'1A',238,'N'),(15,2197847,'2',2,'N'),(15,2197855,'1',420,'N'),(15,2197855,'2',301,'N'),(15,2197863,'1',329,'N'),(15,2197863,'2',318,'N'),(15,2197871,'1',103,'N'),(15,2197871,'2',104,'N'),(15,2197880,'1',108,'N'),(15,2197880,'2',102,'N'),(15,2197898,'1',108,'N'),(15,2197901,'1',415,'N'),(15,2197901,'2',316,'N'),(15,2197910,'1',108,'N'),(15,2197910,'2',223,'N'),(15,2197928,'1',308,'N'),(15,2197928,'2',428,'N'),(15,2197936,'1',9,'N'),(15,2197936,'2',108,'N'),(15,2197944,'1',103,'N'),(15,2197944,'2',303,'N'),(15,2197952,'1',202,'N'),(15,2197960,'1',103,'N'),(15,2197979,'1',211,'N'),(15,2197979,'2',333,'N'),(15,2197987,'1',211,'N'),(15,2197987,'1A',203,'N'),(15,2197987,'2',233,'N'),(15,2197995,'1',415,'N'),(15,2197995,'2',304,'N'),(15,2198002,'1',303,'N'),(15,2198002,'2',426,'N'),(15,2198010,'1',104,'N'),(15,2198010,'2',101,'N'),(15,2198029,'1',450,'N'),(15,2198029,'2',5,'N'),(15,2198037,'1',102,'N'),(15,2198037,'2',103,'N'),(15,2198045,'1',220,'N'),(15,2198053,'1',102,'N'),(15,2198053,'2',319,'N'),(15,2198061,'1',212,'N'),(15,2198061,'1A',201,'N'),(15,2198061,'2',318,'N'),(15,2198070,'1',5,'N'),(15,2198070,'2',426,'N'),(15,2198088,'1',203,'N'),(15,2198088,'1A',201,'N'),(15,2198088,'2',222,'N'),(15,2198100,'1',207,'N'),(15,2198100,'1A',201,'N'),(15,2198100,'2',208,'N'),(15,2198118,'1',333,'N'),(15,2198118,'2',234,'N'),(15,2198126,'1',101,'N'),(15,2198126,'2',103,'N'),(15,2198134,'1',317,'N'),(15,2198134,'2',318,'N'),(15,2198142,'1',316,'N'),(15,2198142,'2',320,'N'),(15,2198150,'1',415,'N'),(15,2198150,'2',327,'N'),(15,2198169,'1',444,'N'),(15,2198169,'2',208,'N'),(15,2198177,'1',208,'N'),(15,2198177,'1A',238,'N'),(15,2198185,'1',308,'N'),(15,2198185,'2',329,'N'),(15,2198193,'1',217,'N'),(15,2198193,'2',427,'N'),(15,2198207,'1',333,'N'),(15,2198207,'2',332,'N'),(15,2198215,'1',324,'N'),(15,2198215,'2',327,'N'),(15,2198223,'1',317,'N'),(15,2198223,'2',429,'N'),(15,2198231,'1',102,'N'),(15,2198231,'2',9,'N'),(15,2198240,'1',415,'N'),(15,2198258,'1',202,'N'),(15,2198258,'1A',220,'N'),(15,2198258,'2',222,'N'),(15,2198266,'1',211,'N'),(15,2198266,'1A',215,'N'),(15,2198266,'2',201,'N'),(15,2198274,'1',326,'N'),(15,2198274,'2',327,'N'),(15,2198282,'1',5,'N'),(15,2198282,'2',327,'N'),(15,2198290,'1',234,'N'),(15,2198290,'2',2,'N'),(15,2198304,'1',450,'N'),(15,2198304,'2',333,'N'),(15,2198312,'1',415,'N'),(15,2198312,'2',301,'N'),(15,2198339,'1',103,'N'),(15,2198339,'2',303,'N'),(15,2198347,'1',208,'N'),(15,2198347,'1A',238,'N'),(15,2198347,'2',425,'N'),(15,2198355,'1',103,'N'),(15,2198355,'2',333,'N'),(15,2198363,'1',215,'N'),(15,2198363,'1A',233,'N'),(15,2198380,'1',233,'N'),(15,2198380,'1A',238,'N'),(15,2198380,'2',320,'N'),(15,2198398,'1',216,'N'),(15,2198398,'1A',201,'N'),(15,2198398,'2',212,'N'),(15,2198401,'1',420,'N'),(15,2198401,'2',211,'N'),(15,2198410,'1',201,'N'),(15,2198410,'1A',202,'N'),(15,2198410,'2',216,'N'),(15,2198436,'1',302,'N'),(15,2198436,'2',326,'N'),(15,2198444,'1',207,'N'),(15,2198444,'2',420,'N'),(15,2198452,'1',102,'N'),(15,2198452,'2',215,'N'),(15,2198460,'1',103,'N'),(15,2198460,'2',9,'N'),(15,2198479,'1',9,'N'),(15,2198479,'2',451,'N'),(15,2198495,'1',319,'N'),(15,2198495,'2',5,'N'),(15,2198509,'1',9,'N'),(15,2198509,'2',211,'N'),(15,2198517,'1',428,'N'),(15,2198517,'1A',426,'N'),(15,2198517,'2',502,'N'),(15,2198525,'1',444,'N'),(15,2198525,'2',404,'N'),(15,2198533,'1',103,'N'),(15,2198533,'2',108,'N'),(15,2198550,'1',316,'N'),(15,2198550,'2',304,'N'),(15,2198568,'1',103,'N'),(15,2198568,'2',101,'N'),(15,2198576,'1',103,'N'),(15,2198576,'2',301,'N'),(15,2198584,'1',301,'N'),(15,2198584,'2',451,'N'),(15,2198592,'1',318,'N'),(15,2198592,'2',317,'N'),(15,2198606,'1',5,'N'),(15,2198606,'2',426,'N'),(15,2198614,'1',238,'N'),(15,2198614,'1A',212,'N'),(15,2198614,'2',225,'N'),(15,2198630,'1',224,'N'),(15,2198630,'2',324,'N'),(15,2198649,'1',101,'N'),(15,2198649,'2',102,'N'),(15,2198657,'1',108,'N'),(15,2198657,'2',303,'N'),(15,2198665,'1',208,'N'),(15,2198665,'1A',238,'N'),(15,2198665,'2',222,'N'),(15,2198673,'1',324,'N'),(15,2198673,'2',424,'N'),(15,2198681,'1',104,'N'),(15,2198681,'2',212,'N'),(15,2198690,'1',103,'N'),(15,2198690,'2',216,'N'),(15,2198703,'1',103,'N'),(15,2198711,'1',103,'N'),(15,2198738,'1',212,'N'),(15,2198738,'1A',201,'N'),(15,2198738,'2',316,'N'),(15,2198746,'1',102,'N'),(15,2198746,'2',316,'N'),(15,2198754,'1',327,'N'),(15,2198754,'2',320,'N'),(15,2198770,'1',319,'N'),(15,2198770,'2',9,'N'),(15,2198789,'1',415,'N'),(15,2198789,'2',238,'N'),(15,2198800,'1',5,'N'),(15,2198800,'2',332,'N'),(15,2198819,'1',451,'N'),(15,2198819,'2',224,'N'),(15,2198827,'1',103,'N'),(15,2198827,'2',319,'N'),(15,2198835,'1',238,'N'),(15,2198835,'2',208,'N'),(15,2198843,'1',502,'N'),(15,2198843,'2',501,'N'),(15,2198878,'1',103,'N'),(15,2198878,'2',303,'N'),(15,2198886,'1',319,'N'),(15,2198886,'2',415,'N'),(15,2198908,'1',103,'N'),(15,2198908,'2',101,'N'),(15,2198916,'1',238,'N'),(15,2198916,'1A',208,'N'),(15,2198916,'2',220,'N'),(15,2198924,'1',201,'N'),(15,2198924,'1A',212,'N'),(15,2198924,'2',420,'N'),(15,2198932,'1',404,'N'),(15,2198932,'2',423,'N'),(15,2198959,'1',202,'N'),(15,2198959,'1A',201,'N'),(15,2198959,'2',222,'N'),(15,2198967,'1',104,'N'),(15,2198967,'2',317,'N'),(15,2198975,'1',207,'N'),(15,2198975,'1A',201,'N'),(15,2198975,'2',427,'N'),(15,2198983,'1',103,'N'),(15,2198983,'2',102,'N'),(15,2198991,'1',103,'N'),(15,2198991,'2',104,'N'),(15,2199017,'1',207,'N'),(15,2199017,'1A',201,'N'),(15,2199033,'1',420,'N'),(15,2199033,'2',238,'N'),(15,2199041,'1',208,'N'),(15,2199041,'2',238,'N'),(15,2199050,'1',420,'N'),(15,2199050,'2',317,'N'),(15,2199068,'1',238,'N'),(15,2199068,'2',324,'N'),(15,2199092,'1',103,'N'),(15,2199092,'2',5,'N'),(15,2199106,'1',444,'N'),(15,2199106,'2',9,'N'),(15,2199114,'1',5,'N'),(15,2199114,'2',318,'N'),(15,2199122,'1',223,'N'),(15,2199122,'2',207,'N'),(15,2199130,'1',420,'N'),(15,2199130,'2',450,'N'),(15,2199149,'1',203,'N'),(15,2199149,'1A',201,'N'),(15,2199149,'2',207,'N'),(15,2199157,'1',208,'N'),(15,2199181,'1',339,'N'),(15,2199181,'2',324,'N'),(15,2199190,'1',211,'N'),(15,2199190,'1A',216,'N'),(15,2199190,'2',327,'N'),(15,2199203,'1',303,'N'),(15,2199203,'2',5,'N'),(15,2199220,'1',214,'N'),(15,2199220,'1A',212,'N'),(15,2199220,'2',207,'N'),(15,2199238,'1',318,'N'),(15,2199238,'2',201,'N'),(15,2199246,'1',207,'N'),(15,2199246,'1A',213,'N'),(15,2199246,'2',425,'N'),(15,2199254,'1',501,'N'),(15,2199254,'2',328,'N'),(15,2199262,'1',502,'N'),(15,2199262,'2',211,'N'),(15,2199270,'1',415,'N'),(15,2199270,'2',326,'N'),(15,2199289,'1',203,'N'),(15,2199289,'2',220,'N'),(15,2199297,'1',304,'N'),(15,2199297,'2',301,'N'),(15,2199300,'1',326,'N'),(15,2199300,'2',415,'N'),(15,2199319,'1',207,'N'),(15,2199319,'1A',208,'N'),(15,2199319,'2',238,'N'),(15,2199327,'1',103,'N'),(15,2199327,'2',451,'N'),(15,2199335,'1',238,'N'),(15,2199335,'1A',208,'N'),(15,2199335,'2',317,'N'),(15,2199343,'1',317,'N'),(15,2199351,'1',423,'N'),(15,2199351,'1A',428,'N'),(15,2199351,'2',450,'N'),(15,2199360,'1',207,'N'),(15,2199360,'1A',201,'N'),(15,2199360,'2',202,'N'),(15,2199378,'1',211,'N'),(15,2199378,'1A',238,'N'),(15,2199378,'2',332,'N'),(15,2199394,'1',415,'N'),(15,2199394,'2',326,'N'),(15,2199408,'1',327,'N'),(15,2199408,'2',225,'N'),(15,2199416,'1',5,'N'),(15,2199416,'2',327,'N'),(15,2199424,'1',303,'N'),(15,2199424,'2',427,'N'),(15,2199432,'1',201,'N'),(15,2199432,'1A',207,'N'),(15,2199432,'2',302,'N'),(15,2199440,'1',5,'N'),(15,2199440,'2',303,'N'),(15,2199459,'1',102,'N'),(15,2199459,'2',101,'N'),(15,2199467,'1',420,'N'),(15,2199467,'2',238,'N'),(15,2199475,'1',5,'N'),(15,2199475,'2',329,'N'),(15,2199483,'1',303,'N'),(15,2199483,'2',328,'N'),(15,2199491,'1',303,'N'),(15,2199491,'2',329,'N'),(15,2199505,'1',238,'N'),(15,2199505,'1A',208,'N'),(15,2199505,'2',225,'N'),(15,2199513,'1',208,'N'),(15,2199521,'1',326,'N'),(15,2199521,'2',208,'N'),(15,2199530,'1',207,'N'),(15,2199530,'1A',201,'N'),(15,2199530,'2',212,'N'),(15,2199548,'1',318,'N'),(15,2199548,'2',316,'N'),(15,2199556,'1',103,'N'),(15,2199556,'2',333,'N'),(15,2199564,'1',102,'N'),(15,2199564,'2',108,'N'),(15,2199572,'1',425,'N'),(15,2199572,'1A',429,'N'),(15,2199572,'2',427,'N'),(15,2199599,'1',425,'N'),(15,2199599,'1A',426,'N'),(15,2199599,'2',451,'N'),(15,2199602,'1',103,'N'),(15,2199602,'2',319,'N'),(15,2199629,'1',233,'N'),(15,2199637,'1',223,'N'),(15,2199637,'2',326,'N'),(15,2199645,'1',317,'N'),(15,2199645,'2',318,'N'),(15,2199653,'1',319,'N'),(15,2199653,'2',101,'N'),(15,2199661,'1',104,'N'),(15,2199688,'1',101,'N'),(15,2199688,'2',108,'N'),(15,2199700,'1',224,'N'),(15,2199700,'2',222,'N'),(15,2199718,'1',319,'N'),(15,2199734,'1',5,'N'),(15,2199734,'2',329,'N'),(15,2199742,'1',5,'N'),(15,2199742,'2',303,'N'),(15,2199750,'1',208,'N'),(15,2199750,'2',233,'N'),(15,2199769,'1',102,'N'),(15,2199769,'2',108,'N'),(15,2199785,'1',316,'N'),(15,2199785,'2',324,'N'),(15,2199793,'1',216,'N'),(15,2199793,'1A',208,'N'),(15,2199807,'1',102,'N'),(15,2199807,'2',101,'N'),(15,2199815,'1',234,'N'),(15,2199815,'2',333,'N'),(15,2199823,'1',103,'N'),(15,2199823,'2',102,'N'),(15,2199831,'1',223,'N'),(15,2199831,'2',309,'N'),(15,2199840,'1',225,'N'),(15,2199840,'2',2,'N'),(15,2199866,'1',103,'N'),(15,2199866,'2',211,'N'),(15,2199874,'1',203,'N'),(15,2199874,'1A',233,'N'),(15,2199874,'2',216,'N'),(15,2199882,'1',103,'N'),(15,2199882,'2',217,'N'),(15,2199890,'1',201,'N'),(15,2199890,'1A',207,'N'),(15,2199890,'2',319,'N'),(15,2199904,'1',101,'N'),(15,2199904,'2',308,'N'),(15,2199912,'1',339,'N'),(15,2199912,'2',319,'N'),(15,2199920,'1',5,'N'),(15,2199920,'2',304,'N'),(15,2199947,'1',212,'N'),(15,2199947,'1A',201,'N'),(15,2199947,'2',220,'N'),(15,2199955,'1',339,'N'),(15,2199955,'2',316,'N'),(15,2199963,'1',104,'N'),(15,2199963,'2',426,'N'),(15,2199971,'1',415,'N'),(15,2199971,'2',339,'N'),(15,2199980,'1',208,'N'),(15,2199980,'2',238,'N'),(15,2199998,'1',318,'N'),(15,2199998,'2',225,'N'),(15,2200007,'1',339,'N'),(15,2200007,'2',309,'N'),(15,2200015,'1',502,'N'),(15,2200015,'2',501,'N'),(15,2200023,'1',103,'N'),(15,2200031,'1',201,'N'),(15,2200031,'1A',233,'N'),(15,2200031,'2',428,'N'),(15,2200040,'1',207,'N'),(15,2200040,'2',501,'N'),(15,2200066,'1',318,'N'),(15,2200066,'2',304,'N'),(15,2200074,'1',332,'N'),(15,2200074,'2',331,'N'),(15,2200082,'1',201,'N'),(15,2200082,'1A',207,'N'),(15,2200082,'2',444,'N'),(15,2200090,'1',303,'N'),(15,2200090,'2',5,'N'),(15,2200112,'1',333,'N'),(15,2200112,'2',404,'N'),(15,2200120,'1',444,'N'),(15,2200120,'2',102,'N'),(15,2200139,'1',5,'N'),(15,2200139,'2',317,'N'),(15,2200147,'1',426,'N'),(15,2200147,'1A',428,'N'),(15,2200147,'2',309,'N'),(15,2200155,'1',324,'N'),(15,2200155,'2',426,'N'),(15,2200163,'1',308,'N'),(15,2200163,'2',426,'N'),(15,2200171,'1',444,'N'),(15,2200171,'2',339,'N'),(15,2200180,'1',103,'N'),(15,2200180,'2',216,'N'),(15,2200201,'1',203,'N'),(15,2200201,'1A',233,'N'),(15,2200201,'2',214,'N'),(15,2200210,'1',103,'N'),(15,2200210,'2',9,'N'),(15,2200236,'1',104,'N'),(15,2200236,'2',423,'N'),(15,2200244,'1',108,'N'),(15,2200244,'2',420,'N'),(15,2200252,'1',502,'N'),(15,2200252,'2',101,'N'),(15,2200260,'1',104,'N'),(15,2200260,'2',9,'N'),(15,2200279,'1',208,'N'),(15,2200279,'1A',238,'N'),(15,2200279,'2',450,'N'),(15,2200287,'1',201,'N'),(15,2200287,'1A',207,'N'),(15,2200287,'2',220,'N'),(15,2200295,'1',316,'N'),(15,2200295,'2',301,'N'),(15,2200309,'1',308,'N'),(15,2200309,'2',404,'N'),(15,2200325,'1',103,'N'),(15,2200333,'1',9,'N'),(15,2200333,'2',427,'N'),(15,2200341,'1',428,'N'),(15,2200341,'1A',429,'N'),(15,2200341,'2',301,'N'),(15,2200350,'1',208,'N'),(15,2200350,'1A',238,'N'),(15,2200350,'2',234,'N'),(15,2200368,'1',333,'N'),(15,2200368,'2',501,'N'),(15,2200376,'1',208,'N'),(15,2200376,'1A',238,'N'),(15,2200376,'2',316,'N'),(15,2200384,'1',415,'N'),(15,2200384,'2',238,'N'),(15,2200406,'1',225,'N'),(15,2200406,'2',224,'N'),(15,2200414,'1',425,'N'),(15,2200414,'1A',427,'N'),(15,2200414,'2',502,'N'),(15,2200422,'1',104,'N'),(15,2200422,'2',9,'N'),(15,2200430,'1',9,'N'),(15,2200430,'2',215,'N'),(15,2200449,'1',326,'N'),(15,2200449,'2',327,'N'),(15,2200457,'1',102,'N'),(15,2200457,'2',101,'N'),(15,2200465,'1',103,'N'),(15,2200465,'2',104,'N'),(15,2200473,'1',304,'N'),(15,2200473,'2',301,'N'),(15,2200490,'1',104,'N'),(15,2200490,'2',502,'N'),(15,2200503,'1',420,'N'),(15,2200503,'2',316,'N'),(15,2200511,'1',420,'N'),(15,2200511,'2',450,'N'),(15,2200538,'1',420,'N'),(15,2200538,'2',201,'N'),(15,2200546,'1',303,'N'),(15,2200546,'2',415,'N'),(15,2200554,'1',444,'N'),(15,2200554,'2',301,'N'),(15,2200562,'1',2,'N'),(15,2200562,'2',222,'N'),(15,2200570,'1',318,'N'),(15,2200570,'2',304,'N'),(15,2200589,'1',415,'N'),(15,2200589,'2',326,'N'),(15,2200619,'1',103,'N'),(15,2200619,'2',102,'N'),(15,2200627,'1',103,'N'),(15,2200627,'2',101,'N'),(15,2200635,'1',415,'N'),(15,2200635,'2',303,'N'),(15,2200643,'1',308,'N'),(15,2200643,'2',428,'N'),(15,2200651,'1',444,'N'),(15,2200651,'2',101,'N'),(15,2200660,'1',103,'N'),(15,2200660,'2',104,'N'),(15,2200678,'1',451,'N'),(15,2200678,'2',207,'N'),(15,2200686,'1',103,'N'),(15,2200686,'2',202,'N'),(15,2200694,'1',425,'N'),(15,2200694,'2',429,'N'),(15,2200708,'1',104,'N'),(15,2200708,'2',501,'N'),(15,2200716,'1',303,'N'),(15,2200716,'2',5,'N'),(15,2200724,'1',9,'N'),(15,2200724,'2',208,'N'),(15,2200732,'1',302,'N'),(15,2200732,'2',317,'N'),(15,2200740,'1',207,'N'),(15,2200740,'2',420,'N'),(15,2200775,'1',5,'N'),(15,2200775,'2',303,'N'),(15,2200783,'1',318,'N'),(15,2200783,'2',308,'N'),(15,2200791,'1',320,'N'),(15,2200805,'1',501,'N'),(15,2200805,'2',202,'N'),(15,2200813,'1',318,'N'),(15,2200813,'2',429,'N'),(15,2200821,'1',104,'N'),(15,2200821,'2',301,'N'),(15,2200830,'1',211,'N'),(15,2200830,'2',501,'N'),(15,2200848,'1',104,'N'),(15,2200848,'2',317,'N'),(15,2200864,'1',304,'N'),(15,2200864,'2',301,'N'),(15,2200872,'1',404,'N'),(15,2200872,'2',502,'N'),(15,2200899,'1',5,'N'),(15,2200899,'2',216,'N'),(15,2200902,'1',203,'N'),(15,2200902,'1A',202,'N'),(15,2200902,'2',302,'N'),(15,2200910,'1',501,'N'),(15,2200910,'2',211,'N'),(15,2200929,'1',5,'N'),(15,2200929,'2',208,'N'),(15,2200937,'1',333,'N'),(15,2200937,'2',317,'N'),(15,2200945,'1',207,'N'),(15,2200945,'1A',201,'N'),(15,2200945,'2',212,'N'),(15,2200988,'1',450,'N'),(15,2200988,'2',329,'N'),(15,2200996,'1',317,'N'),(15,2200996,'2',318,'N'),(15,2201003,'1',211,'N'),(15,2201003,'1A',215,'N'),(15,2201003,'2',333,'N'),(15,2201011,'1',215,'N'),(15,2201011,'1A',238,'N'),(15,2201011,'2',225,'N'),(15,2201020,'1',201,'N'),(15,2201020,'1A',207,'N'),(15,2201020,'2',212,'N'),(15,2201038,'1',415,'N'),(15,2201038,'2',450,'N'),(15,2201046,'1',9,'N'),(15,2201046,'2',103,'N'),(15,2201062,'1',319,'N'),(15,2201062,'2',309,'N'),(15,2201089,'1',101,'N'),(15,2201089,'2',309,'N'),(15,2201097,'1',324,'N'),(15,2201097,'2',421,'N'),(15,2201100,'1',316,'N'),(15,2201100,'2',428,'N'),(15,2201135,'1',324,'N'),(15,2201135,'2',327,'N'),(15,2201143,'1',212,'N'),(15,2201143,'2',208,'N'),(15,2201151,'1',303,'N'),(15,2201151,'2',319,'N'),(15,2201160,'1',420,'N'),(15,2201178,'1',326,'N'),(15,2201178,'2',309,'N'),(15,2201186,'1',203,'N'),(15,2201186,'1A',202,'N'),(15,2201186,'2',214,'N'),(15,2201194,'1',103,'N'),(15,2201194,'2',104,'N'),(15,2201208,'1',103,'N'),(15,2201208,'2',102,'N'),(15,2201216,'1',202,'N'),(15,2201216,'1A',213,'N'),(15,2201216,'2',220,'N'),(15,2201224,'1',103,'N'),(15,2201224,'2',201,'N'),(15,2201232,'1',429,'N'),(15,2201232,'1A',428,'N'),(15,2201232,'2',316,'N'),(15,2201259,'1',212,'N'),(15,2201259,'1A',201,'N'),(15,2201259,'2',304,'N'),(15,2201267,'1',333,'N'),(15,2201275,'1',103,'N'),(15,2201275,'2',319,'N'),(15,2201283,'1',216,'N'),(15,2201283,'1A',202,'N'),(15,2201283,'2',2,'N'),(15,2201291,'1',103,'N'),(15,2201291,'2',108,'N'),(15,2201305,'1',103,'N'),(15,2201305,'2',203,'N'),(15,2201313,'1',5,'N'),(15,2201313,'2',303,'N'),(15,2201321,'1',104,'N'),(15,2201348,'1',451,'N'),(15,2201348,'2',332,'N'),(15,2201364,'1',316,'N'),(15,2201364,'2',301,'N'),(15,2201372,'1',9,'N'),(15,2201372,'2',423,'N'),(15,2201380,'1',451,'N'),(15,2201380,'2',328,'N'),(15,2201399,'1',212,'N'),(15,2201402,'1',327,'N'),(15,2201402,'2',102,'N'),(15,2201410,'1',339,'N'),(15,2201410,'2',320,'N'),(15,2201429,'1',308,'N'),(15,2201429,'2',339,'N'),(15,2201437,'1',103,'N'),(15,2201437,'2',102,'N'),(15,2201445,'1',319,'N'),(15,2201445,'2',415,'N'),(15,2201453,'1',211,'N'),(15,2201453,'1A',201,'N'),(15,2201453,'2',215,'N'),(15,2201470,'1',203,'N'),(15,2201470,'1A',220,'N'),(15,2201470,'2',214,'N'),(15,2201488,'1',5,'N'),(15,2201488,'2',339,'N'),(15,2201496,'1',225,'N'),(15,2201496,'2',2,'N'),(15,2201500,'1',320,'N'),(15,2201500,'2',423,'N'),(15,2201518,'1',319,'N'),(15,2201526,'1',103,'N'),(15,2201526,'2',102,'N'),(15,2201534,'1',234,'N'),(15,2201534,'2',329,'N'),(15,2201542,'1',238,'N'),(15,2201542,'1A',211,'N'),(15,2201542,'2',317,'N'),(15,2201550,'1',9,'N'),(15,2201550,'2',108,'N'),(15,2201569,'1',502,'N'),(15,2201569,'2',104,'N'),(15,2201577,'1',217,'N'),(15,2201577,'2',216,'N'),(15,2201585,'1',5,'N'),(15,2201585,'2',211,'N'),(15,2201607,'1',327,'N'),(15,2201607,'2',318,'N'),(15,2201615,'1',303,'N'),(15,2201615,'2',425,'N'),(15,2201623,'1',203,'N'),(15,2201631,'1',238,'N'),(15,2201631,'2',208,'N'),(15,2201640,'1',103,'N'),(15,2201658,'1',104,'N'),(15,2201666,'1',238,'N'),(15,2201666,'1A',202,'N'),(15,2201666,'2',217,'N'),(15,2201682,'1',420,'N'),(15,2201720,'1',217,'N'),(15,2201720,'2',502,'N'),(15,2201739,'1',103,'N'),(15,2201739,'2',102,'N'),(15,2201747,'1',328,'N'),(15,2201747,'2',339,'N'),(15,2201755,'1',420,'N'),(15,2201763,'1',420,'N'),(15,2201763,'2',207,'N'),(15,2201771,'1',103,'N'),(15,2201771,'2',104,'N'),(15,2201780,'1',201,'N'),(15,2201780,'1A',212,'N'),(15,2201780,'2',2,'N'),(15,2201798,'1',224,'N'),(15,2201798,'2',333,'N'),(15,2201801,'1',5,'N'),(15,2201801,'2',324,'N'),(15,2201810,'1',5,'N'),(15,2201810,'2',415,'N'),(15,2201836,'1',216,'N'),(15,2201836,'1A',215,'N'),(15,2201836,'2',217,'N'),(15,2201844,'1',301,'N'),(15,2201844,'2',201,'N'),(15,2201852,'1',103,'N'),(15,2201852,'2',216,'N'),(15,2201860,'1',103,'N'),(15,2201860,'2',316,'N'),(15,2201879,'1',103,'N'),(15,2201879,'2',102,'N'),(15,2201887,'1',9,'N'),(15,2201887,'2',207,'N'),(15,2201895,'1',201,'N'),(15,2201895,'1A',208,'N'),(15,2201895,'2',104,'N'),(15,2201909,'1',425,'N'),(15,2201909,'1A',423,'N'),(15,2201909,'2',303,'N'),(15,2201917,'1',202,'N'),(15,2201917,'1A',238,'N'),(15,2201917,'2',2,'N'),(15,2201925,'1',103,'N'),(15,2201933,'1',316,'N'),(15,2201933,'2',317,'N'),(15,2201941,'1',225,'N'),(15,2201941,'2',224,'N'),(15,2201950,'1',102,'N'),(15,2201950,'2',215,'N'),(15,2201968,'1',317,'N'),(15,2201968,'2',238,'N'),(15,2201976,'1',104,'N'),(15,2201976,'2',328,'N'),(15,2201984,'1',238,'N'),(15,2201984,'1A',208,'N'),(15,2201984,'2',316,'N'),(15,2201992,'1',308,'N'),(15,2201992,'2',329,'N'),(15,2202000,'1',420,'N'),(15,2202000,'2',207,'N'),(15,2202018,'1',203,'N'),(15,2202018,'1A',202,'N'),(15,2202018,'2',2,'N'),(15,2202034,'1',203,'N'),(15,2202034,'1A',202,'N'),(15,2202034,'2',2,'N'),(15,2202042,'1',5,'N'),(15,2202042,'2',329,'N'),(15,2202050,'1',208,'N'),(15,2202050,'1A',238,'N'),(15,2202050,'2',404,'N'),(15,2202069,'1',215,'N'),(15,2202069,'1A',211,'N'),(15,2202069,'2',501,'N'),(15,2202077,'1',238,'N'),(15,2202077,'1A',208,'N'),(15,2202077,'2',333,'N'),(15,2202085,'1',103,'N'),(15,2202085,'2',424,'N'),(15,2202093,'1',104,'N'),(15,2202093,'2',103,'N'),(15,2202107,'1',316,'N'),(15,2202107,'2',207,'N'),(15,2202115,'1',201,'N'),(15,2202115,'2',212,'N'),(15,2202123,'1',426,'N'),(15,2202123,'1A',423,'N'),(15,2202123,'2',308,'N'),(15,2202131,'1',333,'N'),(15,2202131,'2',451,'N'),(15,2202158,'1',429,'N'),(15,2202158,'1A',426,'N'),(15,2202158,'2',326,'N'),(15,2202166,'1',420,'N'),(15,2202166,'2',207,'N'),(15,2202174,'1',316,'N'),(15,2202174,'2',318,'N'),(15,2202182,'1',444,'N'),(15,2202182,'2',225,'N'),(15,2202190,'1',102,'N'),(15,2202190,'2',215,'N'),(15,2202204,'1',5,'N'),(15,2202204,'2',215,'N'),(15,2202212,'1',201,'N'),(15,2202212,'1A',216,'N'),(15,2202212,'2',208,'N'),(15,2202220,'1',103,'N'),(15,2202220,'2',104,'N'),(15,2202239,'1',208,'N'),(15,2202239,'2',444,'N'),(15,2202247,'1',501,'N'),(15,2202247,'2',404,'N'),(15,2202255,'1',220,'N'),(15,2202255,'1A',202,'N'),(15,2202255,'2',214,'N'),(15,2202263,'1',5,'N'),(15,2202263,'2',319,'N'),(15,2202271,'1',5,'N'),(15,2202271,'2',316,'N'),(15,2202280,'1',201,'N'),(15,2202280,'1A',208,'N'),(15,2202280,'2',213,'N'),(15,2202298,'1',207,'N'),(15,2202301,'1',201,'N'),(15,2202301,'1A',207,'N'),(15,2202301,'2',102,'N'),(15,2202310,'1',301,'N'),(15,2202310,'2',303,'N'),(15,2202328,'1',217,'N'),(15,2202328,'2',501,'N'),(15,2202344,'1',326,'N'),(15,2202344,'2',310,'N'),(15,2202352,'1',216,'N'),(15,2202352,'1A',202,'N'),(15,2202352,'2',214,'N'),(15,2202360,'1',303,'N'),(15,2202360,'2',5,'N'),(15,2202379,'1',319,'N'),(15,2202379,'2',317,'N'),(15,2202387,'1',308,'N'),(15,2202387,'2',327,'N'),(15,2202395,'1',333,'N'),(15,2202395,'2',108,'N'),(15,2202417,'1',316,'N'),(15,2202417,'2',301,'N'),(15,2202425,'1',207,'N'),(15,2202425,'2',301,'N'),(15,2202433,'1',103,'N'),(15,2202433,'2',104,'N'),(15,2202441,'1',302,'N'),(15,2202441,'2',502,'N'),(15,2202450,'1',211,'N'),(15,2202450,'1A',213,'N'),(15,2202450,'2',420,'N'),(15,2202476,'1',502,'N'),(15,2202476,'2',501,'N'),(15,2202484,'1',214,'N'),(15,2202484,'1A',203,'N'),(15,2202484,'2',220,'N'),(15,2202492,'1',104,'N'),(15,2202492,'2',429,'N'),(15,2202506,'1',203,'N'),(15,2202506,'1A',214,'N'),(15,2202506,'2',207,'N'),(15,2202514,'1',203,'N'),(15,2202514,'1A',214,'N'),(15,2202514,'2',207,'N'),(15,2202522,'1',104,'N'),(15,2202522,'2',201,'N'),(15,2202549,'1',318,'N'),(15,2202549,'2',316,'N'),(15,2202557,'1',319,'N'),(15,2202557,'2',426,'N'),(15,2202581,'1',303,'N'),(15,2202581,'2',5,'N'),(15,2202590,'1',301,'N'),(15,2202590,'2',316,'N'),(15,2202603,'1',103,'N'),(15,2202603,'2',421,'N'),(15,2202611,'1',415,'N'),(15,2202611,'2',9,'N'),(15,2202620,'1',207,'N'),(15,2202620,'1A',201,'N'),(15,2202620,'2',212,'N'),(15,2202646,'1',5,'N'),(15,2202646,'2',316,'N'),(15,2202654,'1',303,'N'),(15,2202654,'2',2,'N'),(15,2202662,'1',318,'N'),(15,2202662,'2',202,'N'),(15,2202670,'1',415,'N'),(15,2202670,'2',301,'N'),(15,2202689,'1',415,'N'),(15,2202689,'2',326,'N'),(15,2202697,'1',319,'N'),(15,2202697,'2',9,'N'),(15,2202700,'1',303,'N'),(15,2202700,'2',301,'N'),(15,2202719,'1',101,'N'),(15,2202727,'1',304,'N'),(15,2202727,'2',317,'N'),(15,2202735,'1',213,'N'),(15,2202735,'1A',220,'N'),(15,2202735,'2',216,'N'),(15,2202743,'1',216,'N'),(15,2202743,'1A',215,'N'),(15,2202743,'2',214,'N'),(15,2202751,'1',317,'N'),(15,2202751,'2',428,'N'),(15,2202760,'1',203,'N'),(15,2202760,'1A',202,'N'),(15,2202760,'2',233,'N'),(15,2202778,'1',420,'N'),(15,2202778,'2',238,'N'),(15,2202808,'1',420,'N'),(15,2202808,'2',207,'N'),(15,2202816,'1',201,'N'),(15,2202816,'1A',212,'N'),(15,2202816,'2',220,'N'),(15,2202824,'1',103,'N'),(15,2202824,'2',217,'N'),(15,2202832,'1',103,'N'),(15,2202832,'2',9,'N'),(15,2202840,'1',5,'N'),(15,2202840,'2',216,'N'),(15,2202859,'1',103,'N'),(15,2202859,'2',102,'N'),(15,2202867,'1',203,'N'),(15,2202867,'1A',202,'N'),(15,2202867,'2',316,'N'),(15,2202883,'1',108,'N'),(15,2202883,'2',333,'N'),(15,2202891,'1',238,'N'),(15,2202891,'2',208,'N'),(15,2202905,'1',214,'N'),(15,2202905,'1A',233,'N'),(15,2202905,'2',324,'N'),(15,2202921,'1',450,'N'),(15,2202921,'2',319,'N'),(15,2202930,'1',207,'N'),(15,2202930,'1A',211,'N'),(15,2202930,'2',201,'N'),(15,2202948,'1',404,'N'),(15,2202956,'1',207,'N'),(15,2202956,'1A',201,'N'),(15,2202956,'2',303,'N'),(15,2202964,'1',103,'N'),(15,2202964,'2',207,'N'),(15,2202972,'1',103,'N'),(15,2202972,'2',225,'N'),(15,2202980,'1',201,'N'),(15,2202980,'1A',207,'N'),(15,2202980,'2',211,'N'),(15,2202999,'1',233,'N'),(15,2202999,'1A',216,'N'),(15,2202999,'2',212,'N'),(15,2203006,'1',501,'N'),(15,2203006,'2',234,'N'),(15,2203014,'1',103,'N'),(15,2203014,'2',102,'N'),(15,2203022,'1',316,'N'),(15,2203022,'2',420,'N'),(15,2203030,'1',9,'N'),(15,2203030,'2',444,'N'),(15,2203049,'1',9,'N'),(15,2203049,'2',217,'N'),(15,2203057,'1',207,'N'),(15,2203057,'2',319,'N'),(15,2203065,'1',103,'N'),(15,2203065,'2',101,'N'),(15,2203073,'1',102,'N'),(15,2203073,'2',333,'N'),(15,2203090,'1',424,'N'),(15,2203090,'1A',428,'N'),(15,2203103,'1',502,'N'),(15,2203103,'2',451,'N'),(15,2203111,'1',450,'N'),(15,2203111,'2',415,'N'),(15,2203120,'1',201,'N'),(15,2203120,'2',212,'N'),(15,2203138,'1',444,'N'),(15,2203138,'2',9,'N'),(15,2203146,'1',404,'N'),(15,2203146,'2',208,'N'),(15,2203154,'1',316,'N'),(15,2203154,'2',304,'N'),(15,2203162,'1',108,'N'),(15,2203162,'2',319,'N'),(15,2203170,'1',2,'N'),(15,2203170,'2',217,'N'),(15,2203197,'1',304,'N'),(15,2203197,'2',318,'N'),(15,2203200,'1',104,'N'),(15,2203200,'2',444,'N'),(15,2203219,'1',103,'N'),(15,2203219,'2',101,'N'),(15,2203235,'1',317,'N'),(15,2203235,'2',339,'N'),(15,2203243,'1',103,'N'),(15,2203243,'2',104,'N'),(15,2203251,'1',214,'N'),(15,2203251,'1A',203,'N'),(15,2203251,'2',444,'N'),(15,2203260,'1',425,'N'),(15,2203260,'1A',424,'N'),(15,2203260,'2',329,'N'),(15,2203278,'1',415,'N'),(15,2203278,'2',208,'N'),(15,2203286,'1',103,'N'),(15,2203286,'2',333,'N'),(15,2203294,'1',201,'N'),(15,2203294,'1A',233,'N'),(15,2203294,'2',333,'N'),(15,2203308,'1',304,'N'),(15,2203308,'2',318,'N'),(15,2203316,'1',211,'N'),(15,2203316,'1A',233,'N'),(15,2203316,'2',301,'N'),(15,2203332,'1',216,'N'),(15,2203332,'2',2,'N'),(15,2203340,'1',216,'N'),(15,2203340,'1A',211,'N'),(15,2203340,'2',217,'N'),(15,2203359,'1',404,'N'),(15,2203359,'2',324,'N'),(15,2203375,'1',108,'N'),(15,2203375,'2',211,'N'),(15,2203405,'1',234,'N'),(15,2203405,'2',333,'N'),(15,2203413,'1',103,'N'),(15,2203413,'2',319,'N'),(15,2203421,'1',216,'N'),(15,2203421,'1A',215,'N'),(15,2203421,'2',223,'N'),(15,2203430,'1',214,'N'),(15,2203448,'1',104,'N'),(15,2203448,'2',319,'N'),(15,2203464,'1',303,'N'),(15,2203464,'2',444,'N'),(15,2203480,'1',316,'N'),(15,2203480,'2',310,'N'),(15,2203499,'1',233,'N'),(15,2203499,'1A',213,'N'),(15,2203499,'2',316,'N'),(15,2203502,'1',9,'N'),(15,2203502,'2',234,'N'),(15,2203510,'1',501,'N'),(15,2203510,'2',101,'N'),(15,2203529,'1',202,'N'),(15,2203529,'1A',220,'N'),(15,2203529,'2',213,'N'),(15,2203537,'1',203,'N'),(15,2203537,'1A',202,'N'),(15,2203537,'2',225,'N'),(15,2203545,'1',333,'N'),(15,2203545,'2',420,'N'),(15,2203553,'1',208,'N'),(15,2203553,'1A',238,'N'),(15,2203553,'2',301,'N'),(15,2203561,'1',316,'N'),(15,2203561,'2',238,'N'),(15,2203570,'1',316,'N'),(15,2203570,'2',207,'N'),(15,2203588,'1',333,'N'),(15,2203588,'2',102,'N'),(15,2203600,'1',444,'N'),(15,2203600,'2',423,'N'),(15,2203618,'1',103,'N'),(15,2203626,'1',423,'N'),(15,2203626,'1A',429,'N'),(15,2203626,'2',329,'N'),(15,2203634,'1',404,'N'),(15,2203634,'2',319,'N'),(15,2203642,'1',201,'N'),(15,2203642,'1A',203,'N'),(15,2203642,'2',319,'N'),(15,2203650,'1',207,'N'),(15,2203650,'1A',211,'N'),(15,2203650,'2',420,'N'),(15,2203677,'1',333,'N'),(15,2203677,'2',102,'N'),(15,2203685,'1',404,'N'),(15,2203685,'2',331,'N'),(15,2203693,'1',220,'N'),(15,2203693,'1A',203,'N'),(15,2203693,'2',233,'N'),(15,2203707,'1',303,'N'),(15,2203707,'2',301,'N'),(15,2203715,'1',102,'N'),(15,2203715,'2',9,'N'),(15,2203723,'1',103,'N'),(15,2203723,'2',303,'N'),(15,2203731,'1',102,'N'),(15,2203740,'1',103,'N'),(15,2203740,'2',102,'N'),(15,2203766,'1',103,'N'),(15,2203766,'2',333,'N'),(15,2203774,'1',103,'N'),(15,2203774,'2',303,'N'),(15,2203804,'1',103,'N'),(15,2203804,'2',303,'N'),(15,2203839,'1',238,'N'),(15,2203839,'1A',208,'N'),(15,2203839,'2',426,'N'),(15,2203847,'1',9,'N'),(15,2203847,'2',309,'N'),(15,2203855,'1',216,'N'),(15,2203855,'1A',211,'N'),(15,2203855,'2',233,'N'),(15,2203863,'1',214,'N'),(15,2203863,'1A',203,'N'),(15,2203863,'2',201,'N'),(15,2203871,'1',207,'N'),(15,2203871,'1A',201,'N'),(15,2203871,'2',302,'N'),(15,2203880,'1',415,'N'),(15,2203880,'2',234,'N'),(15,2203898,'1',316,'N'),(15,2203898,'2',502,'N'),(15,2203901,'1',415,'N'),(15,2203901,'2',303,'N'),(15,2203910,'1',216,'N'),(15,2203910,'1A',233,'N'),(15,2203910,'2',203,'N'),(15,2203928,'1',108,'N'),(15,2203928,'2',502,'N'),(15,2203936,'1',318,'N'),(15,2203936,'2',327,'N'),(15,2203944,'1',319,'N'),(15,2203944,'2',421,'N'),(15,2203952,'1',333,'N'),(15,2203952,'2',502,'N'),(15,2203995,'1',208,'N'),(15,2203995,'1A',202,'N'),(15,2203995,'2',222,'N'),(15,2204002,'1',421,'N'),(15,2204002,'1A',427,'N'),(15,2204002,'2',424,'N'),(15,2204010,'1',216,'N'),(15,2204010,'1A',201,'N'),(15,2204010,'2',215,'N'),(15,2204029,'1',104,'N'),(15,2204029,'2',301,'N'),(15,2204037,'1',213,'N'),(15,2204037,'1A',202,'N'),(15,2204037,'2',220,'N'),(15,2204045,'1',222,'N'),(15,2204045,'2',324,'N'),(15,2204053,'1',450,'N'),(15,2204053,'2',320,'N'),(15,2204061,'1',421,'N'),(15,2204061,'1A',426,'N'),(15,2204061,'2',318,'N'),(15,2204070,'1',103,'N'),(15,2204070,'2',104,'N'),(15,2204088,'1',233,'N'),(15,2204088,'2',213,'N'),(15,2204096,'1',220,'N'),(15,2204096,'1A',201,'N'),(15,2204096,'2',208,'N'),(15,2204118,'1',203,'N'),(15,2204118,'1A',214,'N'),(15,2204118,'2',220,'N'),(15,2204126,'1',203,'N'),(15,2204126,'1A',214,'N'),(15,2204126,'2',220,'N'),(15,2204134,'1',108,'N'),(15,2204134,'2',101,'N'),(15,2204142,'1',425,'N'),(15,2204142,'2',328,'N'),(15,2204150,'1',327,'N'),(15,2204150,'2',238,'N'),(15,2204169,'1',103,'N'),(15,2204169,'2',328,'N'),(15,2204177,'1',318,'N'),(15,2204177,'2',333,'N'),(15,2204185,'1',220,'N'),(15,2204185,'1A',216,'N'),(15,2204193,'1',234,'N'),(15,2204193,'2',501,'N'),(15,2204207,'1',101,'N'),(15,2204207,'2',102,'N'),(15,2204215,'1',202,'N'),(15,2204215,'2',213,'N'),(15,2204223,'1',103,'N'),(15,2204223,'2',319,'N'),(15,2204231,'1',203,'N'),(15,2204231,'1A',202,'N'),(15,2204231,'2',216,'N'),(15,2204240,'1',103,'N'),(15,2204240,'2',102,'N'),(15,2204258,'1',333,'N'),(15,2204258,'2',332,'N'),(15,2204266,'1',404,'N'),(15,2204266,'2',207,'N'),(15,2204282,'1',217,'N'),(15,2204282,'2',216,'N'),(15,2204290,'1',426,'N'),(15,2204290,'1A',424,'N'),(15,2204290,'2',425,'N'),(15,2204304,'1',301,'N'),(15,2204304,'2',316,'N'),(15,2204312,'1',103,'N'),(15,2204312,'2',203,'N'),(15,2204320,'1',451,'N'),(15,2204320,'2',308,'N'),(15,2204339,'1',319,'N'),(15,2204339,'2',234,'N'),(15,2204347,'1',501,'N'),(15,2204347,'2',425,'N'),(15,2204355,'1',303,'N'),(15,2204355,'2',208,'N'),(15,2204363,'1',5,'N'),(15,2204363,'2',331,'N'),(15,2204371,'1',103,'N'),(15,2204380,'1',103,'N'),(15,2204380,'2',203,'N'),(15,2204401,'1',103,'N'),(15,2204401,'2',326,'N'),(15,2204410,'1',420,'N'),(15,2204410,'2',426,'N'),(15,2204428,'1',103,'N'),(15,2204436,'1',233,'N'),(15,2204436,'1A',211,'N'),(15,2204436,'2',216,'N'),(15,2204444,'1',316,'N'),(15,2204444,'2',317,'N'),(15,2204452,'1',309,'N'),(15,2204452,'2',339,'N'),(15,2204460,'1',308,'N'),(15,2204460,'2',426,'N'),(15,2204479,'1',310,'N'),(15,2204479,'2',320,'N'),(15,2204487,'1',102,'N'),(15,2204487,'2',234,'N'),(15,2204509,'1',220,'N'),(15,2204517,'1',320,'N'),(15,2204517,'2',327,'N'),(15,2204533,'1',429,'N'),(15,2204533,'1A',427,'N'),(15,2204533,'2',339,'N'),(15,2204541,'1',208,'N'),(15,2204541,'1A',202,'N'),(15,2204541,'2',203,'N'),(15,2204550,'1',211,'N'),(15,2204550,'2',331,'N'),(15,2204576,'1',104,'N'),(15,2204576,'2',211,'N'),(15,2204584,'1',108,'N'),(15,2204584,'2',333,'N'),(15,2204592,'1',502,'N'),(15,2204592,'2',501,'N'),(15,2204606,'1',104,'N'),(15,2204606,'2',502,'N'),(15,2204614,'1',404,'N'),(15,2204614,'2',444,'N'),(15,2204622,'1',317,'N'),(15,2204622,'2',224,'N'),(15,2204630,'1',9,'N'),(15,2204630,'2',308,'N'),(15,2204649,'1',319,'N'),(15,2204649,'2',108,'N'),(15,2204657,'1',444,'N'),(15,2204657,'2',404,'N'),(15,2204665,'1',103,'N'),(15,2204673,'1',444,'N'),(15,2204673,'2',324,'N'),(15,2204681,'1',404,'N'),(15,2204681,'2',303,'N'),(15,2204690,'1',450,'N'),(15,2204690,'2',451,'N'),(15,2204703,'1',103,'N'),(15,2204703,'2',224,'N'),(15,2204720,'1',212,'N'),(15,2204720,'1A',211,'N'),(15,2204720,'2',301,'N'),(15,2204738,'1',220,'N'),(15,2204738,'2',213,'N'),(15,2204746,'1',2,'N'),(15,2204746,'2',304,'N'),(15,2204754,'1',319,'N'),(15,2204754,'2',308,'N'),(15,2204762,'1',331,'N'),(15,2204762,'2',207,'N'),(15,2204770,'1',9,'N'),(15,2204770,'2',103,'N'),(15,2204797,'1',302,'N'),(15,2204797,'2',309,'N'),(15,2204800,'1',103,'N'),(15,2204819,'1',103,'N'),(15,2204819,'2',339,'N'),(15,2204835,'1',303,'N'),(15,2204835,'2',423,'N'),(15,2204843,'1',212,'N'),(15,2204843,'1A',233,'N'),(15,2204843,'2',316,'N'),(15,2204860,'1',5,'N'),(15,2204860,'2',216,'N'),(15,2204878,'1',332,'N'),(15,2204878,'2',331,'N'),(15,2204886,'1',234,'N'),(15,2204886,'2',502,'N'),(15,2204894,'1',333,'N'),(15,2204894,'2',215,'N'),(15,2204908,'1',211,'N'),(15,2204908,'2',501,'N'),(15,2204916,'1',207,'N'),(15,2204916,'1A',201,'N'),(15,2204916,'2',233,'N'),(15,2204924,'1',101,'N'),(15,2204924,'2',217,'N'),(15,2204932,'1',301,'N'),(15,2204932,'2',302,'N'),(15,2204940,'1',318,'N'),(15,2204940,'2',327,'N'),(15,2204959,'1',220,'N'),(15,2204959,'2',207,'N'),(15,2204967,'1',415,'N'),(15,2204967,'2',451,'N'),(15,2204975,'1',103,'N'),(15,2204975,'2',101,'N'),(15,2204983,'1',214,'N'),(15,2204983,'1A',220,'N'),(15,2204983,'2',201,'N'),(15,2204991,'1',332,'N'),(15,2204991,'2',425,'N'),(15,2205009,'1',201,'N'),(15,2205009,'1A',207,'N'),(15,2205017,'1',319,'N'),(15,2205017,'2',420,'N'),(15,2205025,'1',420,'N'),(15,2205025,'2',333,'N'),(15,2205033,'1',224,'N'),(15,2205033,'2',316,'N'),(15,2205050,'1',225,'N'),(15,2205050,'2',222,'N'),(15,2205068,'1',102,'N'),(15,2205068,'2',217,'N'),(15,2205076,'1',108,'N'),(15,2205076,'2',333,'N'),(15,2205084,'1',207,'N'),(15,2205092,'1',404,'N'),(15,2205092,'2',9,'N'),(15,2205106,'1',203,'N'),(15,2205106,'1A',214,'N'),(15,2205106,'2',103,'N'),(15,2205122,'1',201,'N'),(15,2205122,'1A',208,'N'),(15,2205122,'2',222,'N'),(15,2205130,'1',424,'N'),(15,2205130,'1A',421,'N'),(15,2205130,'2',324,'N'),(15,2205157,'1',238,'N'),(15,2205157,'1A',202,'N'),(15,2205157,'2',234,'N'),(15,2205165,'1',203,'N'),(15,2205165,'1A',216,'N'),(15,2205165,'2',217,'N'),(15,2205173,'1',5,'N'),(15,2205173,'2',316,'N'),(15,2205181,'1',5,'N'),(15,2205181,'2',316,'N'),(15,2205190,'1',207,'N'),(15,2205190,'1A',201,'N'),(15,2205190,'2',309,'N'),(15,2205203,'1',103,'N'),(15,2205203,'2',319,'N'),(15,2205211,'1',326,'N'),(15,2205211,'2',310,'N'),(15,2205220,'1',203,'N'),(15,2205220,'1A',233,'N'),(15,2205220,'2',201,'N'),(15,2205246,'1',101,'N'),(15,2205246,'2',108,'N'),(15,2205254,'1',102,'N'),(15,2205254,'2',303,'N'),(15,2205262,'1',327,'N'),(15,2205262,'2',424,'N'),(15,2205270,'1',201,'N'),(15,2205270,'1A',212,'N'),(15,2205270,'2',238,'N'),(15,2205289,'1',444,'N'),(15,2205289,'2',404,'N'),(15,2205297,'1',303,'N'),(15,2205297,'2',5,'N'),(15,2205300,'1',303,'N'),(15,2205300,'2',207,'N'),(15,2205319,'1',203,'N'),(15,2205319,'1A',202,'N'),(15,2205319,'2',223,'N'),(15,2205335,'1',208,'N'),(15,2205335,'1A',238,'N'),(15,2205335,'2',202,'N'),(15,2205343,'1',201,'N'),(15,2205343,'1A',202,'N'),(15,2205343,'2',331,'N'),(15,2205351,'1',404,'N'),(15,2205351,'2',420,'N'),(15,2205378,'1',201,'N'),(15,2205378,'1A',208,'N'),(15,2205378,'2',333,'N'),(15,2205386,'1',103,'N'),(15,2205386,'2',102,'N'),(15,2205394,'1',201,'N'),(15,2205394,'1A',208,'N'),(15,2205394,'2',501,'N'),(15,2205424,'1',102,'N'),(15,2205424,'2',108,'N'),(15,2205432,'1',103,'N'),(15,2205432,'2',102,'N'),(15,2205459,'1',211,'N'),(15,2205459,'1A',207,'N'),(15,2205459,'2',415,'N'),(15,2205467,'1',108,'N'),(15,2205467,'2',217,'N'),(15,2205483,'1',233,'N'),(15,2205483,'1A',215,'N'),(15,2205483,'2',415,'N'),(15,2205491,'1',208,'N'),(15,2205491,'1A',238,'N'),(15,2205491,'2',222,'N'),(15,2205505,'1',102,'N'),(15,2205505,'2',316,'N'),(15,2205521,'1',220,'N'),(15,2205521,'1A',216,'N'),(15,2205521,'2',415,'N'),(15,2205530,'1',333,'N'),(15,2205530,'2',310,'N'),(15,2205548,'1',303,'N'),(15,2205548,'2',5,'N'),(15,2205556,'1',208,'N'),(15,2205556,'1A',238,'N'),(15,2205556,'2',222,'N'),(15,2205564,'1',104,'N'),(15,2205564,'2',208,'N'),(15,2205572,'1',415,'N'),(15,2205572,'2',428,'N'),(15,2205580,'1',303,'N'),(15,2205580,'2',428,'N'),(15,2205599,'1',415,'N'),(15,2205599,'2',320,'N'),(15,2205610,'1',108,'N'),(15,2205610,'2',320,'N'),(15,2205629,'1',327,'N'),(15,2205629,'2',207,'N'),(15,2205637,'1',423,'N'),(15,2205637,'2',420,'N'),(15,2205645,'1',318,'N'),(15,2205645,'2',222,'N'),(15,2205653,'1',108,'N'),(15,2205653,'2',501,'N'),(15,2205661,'1',201,'N'),(15,2205661,'1A',238,'N'),(15,2205661,'2',428,'N'),(15,2205670,'1',220,'N'),(15,2205670,'1A',213,'N'),(15,2205670,'2',318,'N'),(15,2205696,'1',102,'N'),(15,2205696,'2',217,'N'),(15,2205700,'1',104,'N'),(15,2205700,'2',102,'N'),(15,2205718,'1',308,'N'),(15,2205718,'2',101,'N'),(15,2205726,'1',444,'N'),(15,2205726,'2',309,'N'),(15,2205734,'1',302,'N'),(15,2205734,'2',301,'N'),(15,2205742,'1',203,'N'),(15,2205742,'1A',202,'N'),(15,2205742,'2',420,'N'),(15,2205750,'1',108,'N'),(15,2205750,'2',502,'N'),(15,2205777,'1',101,'N'),(15,2205777,'2',502,'N'),(15,2205785,'1',207,'N'),(15,2205785,'1A',201,'N'),(15,2205785,'2',303,'N'),(15,2205793,'1',303,'N'),(15,2205793,'2',426,'N'),(15,2205807,'1',225,'N'),(15,2205807,'2',2,'N'),(15,2205823,'1',501,'N'),(15,2205823,'2',108,'N'),(15,2205831,'1',332,'N'),(15,2205831,'2',339,'N'),(15,2205840,'1',103,'N'),(15,2205858,'1',101,'N'),(15,2205858,'2',308,'N'),(15,2205866,'1',404,'N'),(15,2205866,'2',444,'N'),(15,2205882,'1',319,'N'),(15,2205882,'2',424,'N'),(15,2205904,'1',103,'N'),(15,2205904,'2',104,'N'),(15,2205920,'1',324,'N'),(15,2205920,'2',333,'N'),(15,2205939,'1',211,'N'),(15,2205947,'1',233,'N'),(15,2205947,'1A',211,'N'),(15,2205947,'2',213,'N'),(15,2205955,'1',202,'N'),(15,2205955,'1A',213,'N'),(15,2205955,'2',212,'N'),(15,2205963,'1',339,'N'),(15,2205963,'2',324,'N'),(15,2205971,'1',501,'N'),(15,2205971,'2',444,'N'),(15,2205980,'1',103,'N'),(15,2205980,'2',104,'N'),(15,2205998,'1',108,'N'),(15,2205998,'2',217,'N'),(15,2206005,'1',308,'N'),(15,2206005,'2',327,'N'),(15,2206013,'1',103,'N'),(15,2206013,'2',5,'N'),(15,2206021,'1',104,'N'),(15,2206021,'2',207,'N'),(15,2206048,'1',415,'N'),(15,2206048,'2',450,'N'),(15,2206064,'1',316,'N'),(15,2206064,'2',5,'N'),(15,2206080,'1',211,'N'),(15,2206080,'1A',208,'N'),(15,2206080,'2',301,'N'),(15,2206099,'1',203,'N'),(15,2206099,'1A',220,'N'),(15,2206099,'2',303,'N'),(15,2206102,'1',415,'N'),(15,2206102,'2',339,'N'),(15,2206110,'1',104,'N'),(15,2206110,'2',217,'N'),(15,2206137,'1',203,'N'),(15,2206137,'1A',214,'N'),(15,2206137,'2',2,'N'),(15,2206145,'1',316,'N'),(15,2206145,'2',317,'N'),(15,2206153,'1',108,'N'),(15,2206153,'2',404,'N'),(15,2206161,'1',207,'N'),(15,2206161,'1A',201,'N'),(15,2206161,'2',104,'N'),(15,2206188,'1',327,'N'),(15,2206188,'2',332,'N'),(15,2206196,'1',319,'N'),(15,2206196,'2',423,'N'),(15,2206218,'1',207,'N'),(15,2206218,'1A',201,'N'),(15,2206218,'2',212,'N'),(15,2206226,'1',216,'N'),(15,2206234,'1',211,'N'),(15,2206234,'1A',238,'N'),(15,2206234,'2',444,'N'),(15,2206242,'1',216,'N'),(15,2206242,'1A',215,'N'),(15,2206242,'2',102,'N'),(15,2206250,'1',102,'N'),(15,2206250,'2',326,'N'),(15,2206269,'1',301,'N'),(15,2206269,'2',415,'N'),(15,2206285,'1',501,'N'),(15,2206285,'2',333,'N'),(15,2206293,'1',203,'N'),(15,2206293,'1A',233,'N'),(15,2206293,'2',2,'N'),(15,2206307,'1',216,'N'),(15,2206307,'1A',215,'N'),(15,2206307,'2',224,'N'),(15,2206315,'1',339,'N'),(15,2206315,'2',309,'N'),(15,2206323,'1',104,'N'),(15,2206323,'2',102,'N'),(15,2206331,'1',202,'N'),(15,2206331,'1A',213,'N'),(15,2206331,'2',214,'N'),(15,2206340,'1',415,'N'),(15,2206340,'2',451,'N'),(15,2206358,'1',214,'N'),(15,2206358,'1A',201,'N'),(15,2206358,'2',222,'N'),(15,2206366,'1',5,'N'),(15,2206366,'2',328,'N'),(15,2206374,'1',102,'N'),(15,2206374,'2',9,'N'),(15,2206382,'1',420,'N'),(15,2206390,'1',203,'N'),(15,2206390,'1A',214,'N'),(15,2206390,'2',301,'N'),(15,2206404,'1',301,'N'),(15,2206404,'2',501,'N'),(15,2206412,'1',420,'N'),(15,2206412,'2',222,'N'),(15,2206420,'1',319,'N'),(15,2206420,'2',450,'N'),(15,2206447,'1',101,'N'),(15,2206447,'2',333,'N'),(15,2206455,'1',104,'N'),(15,2206455,'2',211,'N'),(15,2206463,'1',108,'N'),(15,2206463,'2',333,'N'),(15,2206471,'1',103,'N'),(15,2206471,'2',108,'N'),(15,2206480,'1',104,'N'),(15,2206480,'2',9,'N'),(15,2206498,'1',2,'N'),(15,2206498,'2',333,'N'),(15,2206501,'1',220,'N'),(15,2206501,'1A',233,'N'),(15,2206501,'2',216,'N'),(15,2206510,'1',333,'N'),(15,2206510,'2',108,'N'),(15,2206536,'1',203,'N'),(15,2206536,'1A',220,'N'),(15,2206536,'2',202,'N'),(15,2206544,'1',108,'N'),(15,2206544,'2',102,'N'),(15,2206552,'1',207,'N'),(15,2206552,'2',201,'N'),(15,2206560,'1',216,'N'),(15,2206560,'1A',220,'N'),(15,2206560,'2',102,'N'),(15,2206579,'1',103,'N'),(15,2206579,'2',223,'N'),(15,2206587,'1',211,'N'),(15,2206587,'1A',208,'N'),(15,2206587,'2',324,'N'),(15,2206595,'1',217,'N'),(15,2206595,'2',102,'N'),(15,2206609,'1',320,'N'),(15,2206609,'2',329,'N'),(15,2206617,'1',501,'N'),(15,2206617,'2',215,'N'),(15,2206625,'1',211,'N'),(15,2206625,'1A',216,'N'),(15,2206625,'2',303,'N'),(15,2206633,'1',220,'N'),(15,2206633,'1A',211,'N'),(15,2206633,'2',203,'N'),(15,2206668,'1',207,'N'),(15,2206668,'1A',211,'N'),(15,2206668,'2',420,'N'),(15,2206676,'1',5,'N'),(15,2206676,'2',332,'N'),(15,2206684,'1',5,'N'),(15,2206684,'2',502,'N'),(15,2206692,'1',324,'N'),(15,2206692,'2',421,'N'),(15,2206706,'1',207,'N'),(15,2206706,'1A',201,'N'),(15,2206706,'2',420,'N'),(15,2206714,'1',326,'N'),(15,2206714,'2',327,'N'),(15,2206730,'1',318,'N'),(15,2206730,'2',423,'N'),(15,2206749,'1',304,'N'),(15,2206749,'2',9,'N'),(15,2206757,'1',415,'N'),(15,2206757,'2',102,'N'),(15,2206765,'1',333,'N'),(15,2206765,'2',324,'N'),(15,2206773,'1',303,'N'),(15,2206773,'2',304,'N'),(15,2206781,'1',103,'N'),(15,2206781,'2',327,'N'),(15,2206790,'1',202,'N'),(15,2206790,'1A',203,'N'),(15,2206790,'2',208,'N'),(15,2206803,'1',316,'N'),(15,2206803,'2',426,'N'),(15,2206811,'1',208,'N'),(15,2206811,'1A',202,'N'),(15,2206811,'2',213,'N'),(15,2206820,'1',203,'N'),(15,2206820,'1A',202,'N'),(15,2206820,'2',222,'N'),(15,2206846,'1',203,'N'),(15,2206846,'2',214,'N'),(15,2206854,'1',339,'N'),(15,2206854,'2',308,'N'),(15,2206889,'1',238,'N'),(15,2206889,'2',203,'N'),(15,2206897,'1',224,'N'),(15,2206897,'2',324,'N'),(15,2206900,'1',108,'N'),(15,2206900,'2',207,'N'),(15,2206919,'1',332,'N'),(15,2206919,'2',429,'N'),(15,2206927,'1',203,'N'),(15,2206935,'1',108,'N'),(15,2206935,'2',103,'N'),(15,2206943,'1',207,'N'),(15,2206943,'1A',216,'N'),(15,2206943,'2',331,'N'),(15,2206951,'1',238,'N'),(15,2206960,'1',208,'N'),(15,2206960,'1A',233,'N'),(15,2206960,'2',304,'N'),(15,2206986,'1',303,'N'),(15,2206986,'2',5,'N'),(15,2206994,'1',211,'N'),(15,2206994,'1A',212,'N'),(15,2206994,'2',9,'N'),(15,2207001,'1',404,'N'),(15,2207001,'2',333,'N'),(15,2207010,'1',108,'N'),(15,2207010,'2',501,'N'),(15,2207028,'1',444,'N'),(15,2207028,'2',404,'N'),(15,2207044,'1',319,'N'),(15,2207044,'2',9,'N'),(15,2207052,'1',318,'N'),(15,2207052,'2',317,'N'),(15,2207060,'1',316,'N'),(15,2207060,'2',238,'N'),(15,2207079,'1',103,'N'),(15,2207079,'2',102,'N'),(15,2207087,'1',222,'N'),(15,2207087,'2',318,'N'),(15,2207095,'1',103,'N'),(15,2207109,'1',415,'N'),(15,2207109,'2',425,'N'),(15,2207117,'1',103,'N'),(15,2207117,'2',215,'N'),(15,2207141,'1',103,'N'),(15,2207141,'2',303,'N'),(15,2207150,'1',103,'N'),(15,2207150,'2',303,'N'),(15,2207168,'1',202,'N'),(15,2207168,'1A',213,'N'),(15,2207168,'2',2,'N'),(15,2207176,'1',220,'N'),(15,2207176,'1A',203,'N'),(15,2207176,'2',233,'N'),(15,2207184,'1',5,'N'),(15,2207184,'2',320,'N'),(15,2207192,'1',5,'N'),(15,2207192,'2',108,'N'),(15,2207206,'1',103,'N'),(15,2207206,'2',104,'N'),(15,2207214,'1',316,'N'),(15,2207214,'2',451,'N'),(15,2207222,'1',104,'N'),(15,2207222,'2',102,'N'),(15,2207230,'1',208,'N'),(15,2207230,'1A',211,'N'),(15,2207230,'2',331,'N'),(15,2207249,'1',451,'N'),(15,2207249,'2',326,'N'),(15,2207265,'1',415,'N'),(15,2207265,'2',214,'N'),(15,2207273,'1',201,'N'),(15,2207273,'1A',202,'N'),(15,2207273,'2',222,'N'),(15,2207281,'1',304,'N'),(15,2207281,'2',444,'N'),(15,2207290,'1',101,'N'),(15,2207290,'2',308,'N'),(15,2207303,'1',208,'N'),(15,2207303,'1A',238,'N'),(15,2207303,'2',424,'N'),(15,2207311,'1',444,'N'),(15,2207311,'2',309,'N'),(15,2207320,'1',234,'N'),(15,2207320,'2',333,'N'),(15,2207338,'1',316,'N'),(15,2207338,'2',224,'N'),(15,2207346,'1',103,'N'),(15,2207346,'2',319,'N'),(15,2207354,'1',303,'N'),(15,2207354,'2',5,'N'),(15,2207362,'1',5,'N'),(15,2207362,'2',104,'N'),(15,2207389,'1',207,'N'),(15,2207389,'1A',201,'N'),(15,2207389,'2',420,'N'),(15,2207397,'1',331,'N'),(15,2207397,'2',324,'N'),(15,2207400,'1',329,'N'),(15,2207400,'2',316,'N'),(15,2207419,'1',214,'N'),(15,2207419,'2',213,'N'),(15,2207427,'1',404,'N'),(15,2207427,'2',332,'N'),(15,2207435,'1',444,'N'),(15,2207435,'2',404,'N'),(15,2207443,'1',423,'N'),(15,2207443,'1A',429,'N'),(15,2207443,'2',501,'N'),(15,2207451,'1',301,'N'),(15,2207451,'2',303,'N'),(15,2207460,'1',319,'N'),(15,2207460,'2',339,'N'),(15,2207478,'1',317,'N'),(15,2207478,'2',304,'N'),(15,2207486,'1',208,'N'),(15,2207486,'1A',233,'N'),(15,2207486,'2',404,'N'),(15,2207494,'1',316,'N'),(15,2207494,'2',420,'N'),(15,2207508,'1',319,'N'),(15,2207508,'2',309,'N'),(15,2207516,'1',2,'N'),(15,2207516,'2',415,'N'),(15,2207524,'1',201,'N'),(15,2207524,'1A',203,'N'),(15,2207524,'2',214,'N'),(15,2207532,'1',339,'N'),(15,2207532,'2',108,'N'),(15,2207540,'1',9,'N'),(15,2207540,'2',104,'N'),(15,2207559,'1',212,'N'),(15,2207559,'1A',213,'N'),(15,2207559,'2',217,'N'),(15,2207575,'1',428,'N'),(15,2207575,'1A',426,'N'),(15,2207575,'2',425,'N'),(15,2207591,'1',301,'N'),(15,2207591,'2',303,'N'),(15,2207605,'1',104,'N'),(15,2207605,'2',502,'N'),(15,2207613,'1',104,'N'),(15,2207613,'2',501,'N'),(15,2207621,'1',502,'N'),(15,2207621,'2',309,'N'),(15,2207630,'1',238,'N'),(15,2207630,'1A',208,'N'),(15,2207630,'2',108,'N'),(15,2207648,'1',103,'N'),(15,2207656,'1',207,'N'),(15,2207656,'2',415,'N'),(15,2207672,'1',302,'N'),(15,2207672,'2',304,'N'),(15,2207680,'1',404,'N'),(15,2207680,'2',103,'N'),(15,2207699,'1',220,'N'),(15,2207699,'1A',238,'N'),(15,2207699,'2',203,'N'),(15,2207702,'1',207,'N'),(15,2207702,'2',234,'N'),(15,2207710,'1',101,'N'),(15,2207710,'2',333,'N'),(15,2207729,'1',9,'N'),(15,2207729,'2',404,'N'),(15,2207737,'1',216,'N'),(15,2207737,'1A',201,'N'),(15,2207737,'2',220,'N'),(15,2207745,'1',425,'N'),(15,2207745,'1A',429,'N'),(15,2207745,'2',308,'N'),(15,2207753,'1',103,'N'),(15,2207753,'2',104,'N'),(15,2207761,'1',103,'N'),(15,2207761,'2',108,'N'),(15,2207770,'1',103,'N'),(15,2207770,'2',303,'N'),(15,2207788,'1',501,'N'),(15,2207788,'2',502,'N'),(15,2207796,'1',103,'N'),(15,2207796,'2',303,'N'),(15,2207800,'1',216,'N'),(15,2207800,'1A',207,'N'),(15,2207800,'2',102,'N'),(15,2207818,'1',303,'N'),(15,2207818,'2',103,'N'),(15,2207826,'1',208,'N'),(15,2207826,'1A',215,'N'),(15,2207826,'2',222,'N'),(15,2207834,'1',415,'N'),(15,2207834,'2',319,'N'),(15,2207850,'1',420,'N'),(15,2207850,'2',233,'N'),(15,2207877,'1',103,'N'),(15,2207877,'2',501,'N'),(15,2207885,'1',103,'N'),(15,2207885,'2',5,'N'),(15,2207907,'1',207,'N'),(15,2207907,'1A',201,'N'),(15,2207907,'2',9,'N'),(15,2207915,'1',501,'N'),(15,2207915,'2',211,'N'),(15,2207923,'1',104,'N'),(15,2207923,'2',233,'N'),(15,2207931,'1',415,'N'),(15,2207931,'2',301,'N'),(15,2207958,'1',303,'N'),(15,2207958,'2',415,'N'),(15,2207966,'1',203,'N'),(15,2207966,'1A',214,'N'),(15,2207966,'2',103,'N'),(15,2207974,'1',103,'N'),(15,2207974,'2',303,'N'),(15,2207982,'1',207,'N'),(15,2207982,'1A',201,'N'),(15,2207982,'2',103,'N'),(15,2208008,'1',5,'N'),(15,2208008,'2',444,'N'),(15,2208016,'1',332,'N'),(15,2208016,'2',202,'N'),(15,2208024,'1',103,'N'),(15,2208032,'1',319,'N'),(15,2208032,'2',101,'N'),(15,2208040,'1',233,'N'),(15,2208040,'1A',215,'N'),(15,2208040,'2',333,'N'),(15,2208059,'1',216,'N'),(15,2208059,'1A',233,'N'),(15,2208059,'2',9,'N'),(15,2208067,'1',220,'N'),(15,2208067,'1A',203,'N'),(15,2208067,'2',202,'N'),(15,2208075,'1',103,'N'),(15,2208075,'2',319,'N'),(15,2208083,'1',301,'N'),(15,2208083,'2',309,'N'),(15,2208105,'1',203,'N'),(15,2208105,'1A',214,'N'),(15,2208121,'1',404,'N'),(15,2208121,'2',333,'N'),(15,2208130,'1',316,'N'),(15,2208130,'2',208,'N'),(15,2208148,'1',308,'N'),(15,2208148,'2',324,'N'),(15,2208156,'1',333,'N'),(15,2208156,'2',331,'N'),(15,2208172,'1',404,'N'),(15,2208172,'2',308,'N'),(15,2208180,'1',333,'N'),(15,2208180,'2',103,'N'),(15,2208199,'1',324,'N'),(15,2208199,'2',108,'N'),(15,2208202,'1',326,'N'),(15,2208202,'2',324,'N'),(15,2208210,'1',103,'N'),(15,2208210,'2',101,'N'),(15,2208229,'1',207,'N'),(15,2208229,'2',420,'N'),(15,2208237,'1',303,'N'),(15,2208237,'2',5,'N'),(15,2208253,'1',103,'N'),(15,2208253,'2',216,'N'),(15,2208261,'1',103,'N'),(15,2208270,'1',104,'N'),(15,2208270,'2',415,'N'),(15,2208288,'1',326,'N'),(15,2208288,'2',303,'N'),(15,2208296,'1',207,'N'),(15,2208296,'1A',201,'N'),(15,2208296,'2',211,'N'),(15,2208300,'1',332,'N'),(15,2208300,'2',331,'N'),(15,2208318,'1',103,'N'),(15,2208318,'2',9,'N'),(15,2208326,'1',207,'N'),(15,2208326,'2',420,'N'),(15,2208342,'1',333,'N'),(15,2208342,'2',451,'N'),(15,2208369,'1',213,'N'),(15,2208369,'2',223,'N'),(15,2208377,'1',104,'N'),(15,2208377,'2',303,'N'),(15,2208385,'1',103,'N'),(15,2208385,'2',102,'N'),(15,2208393,'1',201,'N'),(15,2208393,'1A',216,'N'),(15,2208393,'2',208,'N'),(15,2208407,'1',301,'N'),(15,2208407,'2',302,'N'),(15,2208415,'1',103,'N'),(15,2208415,'2',220,'N'),(15,2208423,'1',415,'N'),(15,2208423,'2',428,'N'),(15,2208431,'1',216,'N'),(15,2208431,'1A',215,'N'),(15,2208431,'2',217,'N'),(15,2208440,'1',444,'N'),(15,2208440,'2',333,'N'),(15,2208458,'1',415,'N'),(15,2208458,'2',319,'N'),(15,2208466,'1',233,'N'),(15,2208466,'1A',238,'N'),(15,2208466,'2',444,'N'),(15,2208474,'1',303,'N'),(15,2208474,'2',425,'N'),(15,2208482,'1',201,'N'),(15,2208482,'1A',202,'N'),(15,2208482,'2',224,'N'),(15,2208504,'1',104,'N'),(15,2208504,'2',9,'N'),(15,2208512,'1',427,'N'),(15,2208512,'1A',421,'N'),(15,2208512,'2',423,'N'),(15,2208520,'1',234,'N'),(15,2208520,'2',102,'N'),(15,2208539,'1',404,'N'),(15,2208539,'2',5,'N'),(15,2208547,'1',208,'N'),(15,2208547,'1A',238,'N'),(15,2208563,'1',333,'N'),(15,2208563,'2',211,'N'),(15,2208571,'1',318,'N'),(15,2208571,'2',304,'N'),(15,2208580,'1',208,'N'),(15,2208580,'1A',213,'N'),(15,2208580,'2',214,'N'),(15,2208598,'1',303,'N'),(15,2208598,'2',5,'N'),(15,2208601,'1',208,'N'),(15,2208601,'1A',238,'N'),(15,2208601,'2',222,'N'),(15,2208610,'1',234,'N'),(15,2208610,'2',326,'N'),(15,2208628,'1',303,'N'),(15,2208628,'2',304,'N'),(15,2208636,'1',108,'N'),(15,2208636,'2',216,'N'),(15,2208644,'1',103,'N'),(15,2208644,'2',333,'N'),(15,2208652,'1',425,'N'),(15,2208652,'1A',427,'N'),(15,2208652,'2',404,'N'),(15,2208679,'1',223,'N'),(15,2208679,'2',201,'N'),(15,2208687,'1',208,'N'),(15,2208687,'1A',233,'N'),(15,2208687,'2',304,'N'),(15,2208695,'1',103,'N'),(15,2208695,'2',102,'N'),(15,2208709,'1',203,'N'),(15,2208709,'1A',220,'N'),(15,2208709,'2',214,'N'),(15,2208717,'1',108,'N'),(15,2208717,'2',331,'N'),(15,2208725,'1',203,'N'),(15,2208725,'1A',201,'N'),(15,2208725,'2',444,'N'),(15,2208733,'1',201,'N'),(15,2208741,'1',108,'N'),(15,2208741,'2',501,'N'),(15,2208750,'1',208,'N'),(15,2208750,'1A',203,'N'),(15,2208768,'1',103,'N'),(15,2208768,'2',101,'N'),(15,2208776,'1',444,'N'),(15,2208776,'2',333,'N'),(15,2208792,'1',329,'N'),(15,2208792,'2',327,'N'),(15,2208806,'1',207,'N'),(15,2208806,'1A',216,'N'),(15,2208806,'2',420,'N'),(15,2208814,'1',103,'N'),(15,2208814,'2',102,'N'),(15,2208830,'1',317,'N'),(15,2208857,'1',104,'N'),(15,2208857,'2',103,'N'),(15,2208865,'1',103,'N'),(15,2208865,'2',207,'N'),(15,2208873,'1',216,'N'),(15,2208873,'1A',203,'N'),(15,2208873,'2',201,'N'),(15,2208881,'1',207,'N'),(15,2208881,'1A',201,'N'),(15,2208881,'2',420,'N'),(15,2208903,'1',202,'N'),(15,2208903,'1A',220,'N'),(15,2208903,'2',203,'N'),(15,2208911,'1',303,'N'),(15,2208911,'2',329,'N'),(15,2208920,'1',429,'N'),(15,2208920,'1A',426,'N'),(15,2208920,'2',421,'N'),(15,2208938,'1',104,'N'),(15,2208938,'2',301,'N'),(15,2208946,'1',217,'N'),(15,2208946,'2',102,'N'),(15,2208954,'1',213,'N'),(15,2208954,'1A',211,'N'),(15,2208954,'2',328,'N'),(15,2208962,'1',201,'N'),(15,2208962,'1A',203,'N'),(15,2208962,'2',212,'N'),(15,2208970,'1',404,'N'),(15,2208970,'2',326,'N'),(15,2208997,'1',317,'N'),(15,2208997,'2',444,'N'),(15,2209004,'1',103,'N'),(15,2209004,'2',108,'N'),(15,2209012,'1',316,'N'),(15,2209012,'2',404,'N'),(15,2209020,'1',104,'N'),(15,2209020,'2',102,'N'),(15,2209039,'1',214,'N'),(15,2209039,'1A',212,'N'),(15,2209039,'2',301,'N'),(15,2209047,'1',203,'N'),(15,2209047,'1A',214,'N'),(15,2209047,'2',333,'N'),(15,2209055,'1',104,'N'),(15,2209055,'2',316,'N'),(15,2209063,'1',317,'N'),(15,2209063,'2',224,'N'),(15,2209080,'1',303,'N'),(15,2209080,'2',103,'N'),(15,2209098,'1',318,'N'),(15,2209098,'2',304,'N'),(15,2209110,'1',327,'N'),(15,2209110,'2',332,'N'),(15,2209128,'1',103,'N'),(15,2209128,'2',104,'N'),(15,2209144,'1',104,'N'),(15,2209144,'2',103,'N'),(15,2209160,'1',319,'N'),(15,2209160,'2',309,'N'),(15,2209179,'1',102,'N'),(15,2209179,'2',108,'N'),(15,2209187,'1',202,'N'),(15,2209187,'1A',238,'N'),(15,2209187,'2',427,'N'),(15,2209195,'1',301,'N'),(15,2209195,'2',208,'N'),(15,2209209,'1',216,'N'),(15,2209209,'2',207,'N'),(15,2209225,'1',501,'N'),(15,2209225,'2',451,'N'),(15,2209233,'1',238,'N'),(15,2209233,'2',425,'N'),(15,2209241,'1',217,'N'),(15,2209241,'2',427,'N'),(15,2209250,'1',201,'N'),(15,2209250,'1A',212,'N'),(15,2209250,'2',317,'N'),(15,2209268,'1',203,'N'),(15,2209276,'1',214,'N'),(15,2209276,'1A',213,'N'),(15,2209276,'2',333,'N'),(15,2209284,'1',208,'N'),(15,2209284,'2',238,'N'),(15,2209292,'1',238,'N'),(15,2209292,'1A',208,'N'),(15,2209292,'2',316,'N'),(15,2209306,'1',303,'N'),(15,2209306,'2',216,'N'),(15,2209314,'1',420,'N'),(15,2209314,'2',429,'N'),(15,2209322,'1',214,'N'),(15,2209322,'1A',207,'N'),(15,2209322,'2',225,'N'),(15,2209330,'1',308,'N'),(15,2209330,'2',324,'N'),(15,2209349,'1',404,'N'),(15,2209349,'2',233,'N'),(15,2209357,'1',301,'N'),(15,2209357,'2',215,'N'),(15,2209365,'1',327,'N'),(15,2209365,'2',326,'N'),(15,2209381,'1',211,'N'),(15,2209381,'1A',216,'N'),(15,2209381,'2',217,'N'),(15,2209390,'1',216,'N'),(15,2209390,'1A',201,'N'),(15,2209390,'2',217,'N'),(15,2209403,'1',319,'N'),(15,2209403,'2',303,'N'),(15,2209411,'1',333,'N'),(15,2209411,'2',450,'N'),(15,2209438,'1',301,'N'),(15,2209438,'2',326,'N'),(15,2209446,'1',319,'N'),(15,2209446,'2',451,'N'),(15,2209454,'1',211,'N'),(15,2209454,'1A',201,'N'),(15,2209454,'2',304,'N'),(15,2209470,'1',108,'N'),(15,2209470,'2',301,'N'),(15,2209489,'1',103,'N'),(15,2209489,'2',319,'N'),(15,2209497,'1',103,'N'),(15,2209497,'2',9,'N'),(15,2209500,'1',415,'N'),(15,2209500,'2',303,'N'),(15,2209519,'1',103,'N'),(15,2209519,'2',104,'N'),(15,2209527,'1',214,'N'),(15,2209527,'1A',233,'N'),(15,2209527,'2',421,'N'),(15,2209535,'1',211,'N'),(15,2209535,'1A',212,'N'),(15,2209535,'2',444,'N'),(15,2209543,'1',429,'N'),(15,2209543,'1A',425,'N'),(15,2209543,'2',420,'N'),(15,2209551,'1',211,'N'),(15,2209551,'1A',233,'N'),(15,2209551,'2',502,'N'),(15,2209560,'1',415,'N'),(15,2209560,'2',339,'N'),(15,2209578,'1',5,'N'),(15,2209578,'2',444,'N'),(15,2209586,'1',211,'N'),(15,2209586,'1A',208,'N'),(15,2209586,'2',102,'N'),(15,2209608,'1',333,'N'),(15,2209608,'2',108,'N'),(15,2209616,'1',316,'N'),(15,2209616,'2',415,'N'),(15,2209624,'1',207,'N'),(15,2209624,'1A',201,'N'),(15,2209624,'2',339,'N'),(15,2209632,'1',103,'N'),(15,2209632,'2',102,'N'),(15,2209640,'1',103,'N'),(15,2209640,'2',301,'N'),(15,2209659,'1',444,'N'),(15,2209659,'2',324,'N'),(15,2209667,'1',501,'N'),(15,2209675,'1',108,'N'),(15,2209675,'2',421,'N'),(15,2209683,'1',425,'N'),(15,2209683,'2',316,'N'),(15,2209691,'1',202,'N'),(15,2209691,'1A',213,'N'),(15,2209705,'1',5,'N'),(15,2209705,'2',319,'N'),(15,2209721,'1',207,'N'),(15,2209721,'1A',215,'N'),(15,2209721,'2',420,'N'),(15,2209730,'1',103,'N'),(15,2209730,'2',104,'N'),(15,2209748,'1',301,'N'),(15,2209748,'2',304,'N'),(15,2209756,'1',501,'N'),(15,2209756,'2',327,'N'),(15,2209764,'1',233,'N'),(15,2209764,'1A',214,'N'),(15,2209764,'2',333,'N'),(15,2209772,'1',103,'N'),(15,2209772,'2',9,'N'),(15,2209780,'1',302,'N'),(15,2209780,'2',304,'N'),(15,2209799,'1',333,'N'),(15,2209799,'2',233,'N'),(15,2209802,'1',104,'N'),(15,2209802,'2',102,'N'),(15,2209810,'1',103,'N'),(15,2209810,'2',104,'N'),(15,2209829,'1',203,'N'),(15,2209829,'1A',214,'N'),(15,2209829,'2',216,'N'),(15,2209837,'1',238,'N'),(15,2209837,'1A',208,'N'),(15,2209837,'2',502,'N'),(15,2209845,'1',415,'N'),(15,2209845,'2',302,'N'),(15,2209853,'1',212,'N'),(15,2209853,'1A',207,'N'),(15,2209853,'2',316,'N'),(15,2209861,'1',303,'N'),(15,2209861,'2',304,'N'),(15,2209870,'1',303,'N'),(15,2209888,'1',303,'N'),(15,2209888,'2',333,'N'),(15,2209900,'1',103,'N'),(15,2209918,'1',9,'N'),(15,2209918,'2',319,'N'),(15,2209926,'1',425,'N'),(15,2209926,'1A',429,'N'),(15,2209926,'2',424,'N'),(15,2209934,'1',207,'N'),(15,2209934,'1A',202,'N'),(15,2209934,'2',420,'N'),(15,2209942,'1',103,'N'),(15,2209942,'2',303,'N'),(15,2209950,'1',308,'N'),(15,2209950,'2',333,'N'),(15,2209969,'1',9,'N'),(15,2209969,'2',102,'N'),(15,2209977,'1',404,'N'),(15,2209977,'2',201,'N'),(15,2209985,'1',415,'N'),(15,2209985,'2',404,'N'),(15,2209993,'1',103,'N'),(15,2210010,'1',331,'N'),(15,2210010,'2',223,'N'),(15,2210029,'1',238,'N'),(15,2210029,'1A',208,'N'),(15,2210029,'2',301,'N'),(15,2210037,'1',207,'N'),(15,2210037,'1A',201,'N'),(15,2210037,'2',420,'N'),(15,2210045,'1',103,'N'),(15,2210045,'2',502,'N'),(15,2210053,'1',203,'N'),(15,2210053,'1A',214,'N'),(15,2210061,'1',302,'N'),(15,2210061,'2',304,'N'),(15,2210070,'1',103,'N'),(15,2210070,'2',304,'N'),(15,2210096,'1',208,'N'),(15,2210096,'1A',238,'N'),(15,2210096,'2',404,'N'),(15,2210100,'1',329,'N'),(15,2210100,'2',451,'N'),(15,2210126,'1',108,'N'),(15,2210134,'1',420,'N'),(15,2210134,'2',450,'N'),(15,2210142,'1',202,'N'),(15,2210142,'1A',238,'N'),(15,2210142,'2',208,'N'),(15,2210150,'1',203,'N'),(15,2210150,'1A',220,'N'),(15,2210150,'2',214,'N'),(15,2210169,'1',208,'N'),(15,2210169,'1A',238,'N'),(15,2210169,'2',222,'N'),(15,2210177,'1',220,'N'),(15,2210177,'1A',203,'N'),(15,2210177,'2',207,'N'),(15,2210185,'1',108,'N'),(15,2210185,'2',5,'N'),(15,2210193,'1',324,'N'),(15,2210193,'2',415,'N'),(15,2210215,'1',207,'N'),(15,2210215,'1A',201,'N'),(15,2210215,'2',327,'N'),(15,2210223,'1',214,'N'),(15,2210223,'1A',213,'N'),(15,2210223,'2',203,'N'),(15,2210231,'1',103,'N'),(15,2210231,'2',216,'N'),(15,2210240,'1',444,'N'),(15,2210258,'1',451,'N'),(15,2210258,'2',102,'N'),(15,2210266,'1',319,'N'),(15,2210266,'2',415,'N'),(15,2210274,'1',444,'N'),(15,2210274,'2',502,'N'),(15,2210290,'1',420,'N'),(15,2210290,'2',415,'N'),(15,2210304,'1',316,'N'),(15,2210304,'2',339,'N'),(15,2210312,'1',202,'N'),(15,2210312,'1A',213,'N'),(15,2210312,'2',317,'N'),(15,2210320,'1',301,'N'),(15,2210320,'2',316,'N'),(15,2210339,'1',102,'N'),(15,2210339,'2',216,'N'),(15,2210355,'1',415,'N'),(15,2210355,'2',238,'N'),(15,2210363,'1',214,'N'),(15,2210363,'1A',220,'N'),(15,2210363,'2',101,'N'),(15,2210371,'1',234,'N'),(15,2210371,'2',333,'N'),(15,2210380,'1',220,'N'),(15,2210380,'1A',212,'N'),(15,2210380,'2',450,'N'),(15,2210398,'1',316,'N'),(15,2210398,'2',301,'N'),(15,2210401,'1',203,'N'),(15,2210401,'1A',214,'N'),(15,2210401,'2',220,'N'),(15,2210410,'1',420,'N'),(15,2210410,'2',2,'N'),(15,2210428,'1',304,'N'),(15,2210428,'2',324,'N'),(15,2210436,'1',104,'N'),(15,2210436,'2',103,'N'),(15,2210444,'1',5,'N'),(15,2210444,'2',303,'N'),(15,2210452,'1',216,'N'),(15,2210452,'1A',211,'N'),(15,2210452,'2',234,'N'),(15,2210460,'1',220,'N'),(15,2210460,'1A',203,'N'),(15,2210460,'2',201,'N'),(15,2210479,'1',301,'N'),(15,2210479,'2',316,'N'),(15,2210487,'1',208,'N'),(15,2210487,'1A',238,'N'),(15,2210487,'2',423,'N'),(15,2210509,'1',211,'N'),(15,2210509,'2',102,'N'),(15,2210517,'1',238,'N'),(15,2210517,'1A',208,'N'),(15,2210517,'2',211,'N'),(15,2210525,'1',216,'N'),(15,2210525,'1A',215,'N'),(15,2210525,'2',214,'N'),(15,2210533,'1',327,'N'),(15,2210533,'2',427,'N'),(15,2210541,'1',316,'N'),(15,2210541,'2',444,'N'),(15,2210550,'1',201,'N'),(15,2210550,'1A',233,'N'),(15,2210550,'2',234,'N'),(15,2210576,'1',103,'N'),(15,2210576,'2',104,'N'),(15,2210584,'1',207,'N'),(15,2210584,'1A',201,'N'),(15,2210584,'2',203,'N'),(15,2210592,'1',103,'N'),(15,2210592,'2',203,'N'),(15,2210606,'1',108,'N'),(15,2210606,'2',502,'N'),(15,2210614,'1',103,'N'),(15,2210614,'2',104,'N'),(15,2210622,'1',211,'N'),(15,2210622,'1A',215,'N'),(15,2210622,'2',104,'N'),(15,2210630,'1',103,'N'),(15,2210630,'2',102,'N'),(15,2210657,'1',220,'N'),(15,2210657,'1A',203,'N'),(15,2210657,'2',214,'N'),(15,2210665,'1',444,'N'),(15,2210665,'2',333,'N'),(15,2210673,'1',303,'N'),(15,2210673,'2',319,'N'),(15,2210681,'1',103,'N'),(15,2210681,'2',9,'N'),(15,2210690,'1',215,'N'),(15,2210690,'1A',216,'N'),(15,2210690,'2',223,'N'),(15,2210711,'1',103,'N'),(15,2210711,'2',104,'N'),(15,2210720,'1',450,'N'),(15,2210720,'2',329,'N'),(15,2210738,'1',309,'N'),(15,2210738,'2',310,'N'),(15,2210746,'1',103,'N'),(15,2210746,'2',104,'N'),(15,2210754,'1',103,'N'),(15,2210754,'2',104,'N'),(15,2210762,'1',404,'N'),(15,2210762,'2',225,'N'),(15,2210770,'1',316,'N'),(15,2210770,'2',404,'N'),(15,2210789,'1',308,'N'),(15,2210789,'2',310,'N'),(15,2210797,'1',103,'N'),(15,2210797,'2',102,'N'),(15,2210800,'1',316,'N'),(15,2210819,'1',301,'N'),(15,2210819,'2',316,'N'),(15,2210827,'1',318,'N'),(15,2210827,'2',316,'N'),(15,2210835,'1',211,'N'),(15,2210835,'1A',215,'N'),(15,2210835,'2',429,'N'),(15,2210843,'1',303,'N'),(15,2210843,'2',2,'N'),(15,2210851,'1',208,'N'),(15,2210851,'1A',238,'N'),(15,2210851,'2',324,'N'),(15,2210878,'1',404,'N'),(15,2210878,'2',444,'N'),(15,2210886,'1',415,'N'),(15,2210886,'2',234,'N'),(15,2210894,'1',303,'N'),(15,2210894,'2',207,'N'),(15,2210908,'1',332,'N'),(15,2210908,'2',333,'N'),(15,2210916,'1',301,'N'),(15,2210916,'2',303,'N'),(15,2210924,'1',103,'N'),(15,2210924,'2',9,'N'),(15,2210932,'1',211,'N'),(15,2210932,'1A',238,'N'),(15,2210932,'2',429,'N'),(15,2210940,'1',103,'N'),(15,2210940,'2',308,'N'),(15,2210959,'1',216,'N'),(15,2210959,'2',217,'N'),(15,2210967,'1',444,'N'),(15,2210967,'2',420,'N'),(15,2210975,'1',202,'N'),(15,2210975,'1A',238,'N'),(15,2210975,'2',324,'N'),(15,2210983,'1',214,'N'),(15,2210983,'1A',233,'N'),(15,2210983,'2',213,'N'),(15,2210991,'1',103,'N'),(15,2210991,'2',102,'N'),(15,2211009,'1',207,'N'),(15,2211009,'2',310,'N'),(15,2211017,'1',238,'N'),(15,2211017,'1A',214,'N'),(15,2211025,'1',220,'N'),(15,2211025,'1A',202,'N'),(15,2211025,'2',213,'N'),(15,2211033,'1',103,'N'),(15,2211033,'2',101,'N'),(15,2211041,'1',207,'N'),(15,2211041,'1A',201,'N'),(15,2211041,'2',451,'N'),(15,2211068,'1',318,'N'),(15,2211068,'2',317,'N'),(15,2211076,'1',317,'N'),(15,2211076,'2',318,'N'),(15,2211084,'1',324,'N'),(15,2211084,'2',308,'N'),(15,2211092,'1',316,'N'),(15,2211092,'2',301,'N'),(15,2211106,'1',216,'N'),(15,2211106,'1A',215,'N'),(15,2211106,'2',301,'N'),(15,2211114,'1',308,'N'),(15,2211114,'2',332,'N'),(15,2211122,'1',303,'N'),(15,2211122,'2',301,'N'),(15,2211130,'1',304,'N'),(15,2211130,'2',317,'N'),(15,2211149,'1',216,'N'),(15,2211149,'2',302,'N'),(15,2211157,'1',207,'N'),(15,2211157,'2',326,'N'),(15,2211165,'1',303,'N'),(15,2211165,'2',326,'N'),(15,2211173,'1',324,'N'),(15,2211173,'2',308,'N'),(15,2211181,'1',320,'N'),(15,2211181,'2',319,'N'),(15,2211190,'1',224,'N'),(15,2211190,'2',339,'N'),(15,2211203,'1',208,'N'),(15,2211203,'1A',238,'N'),(15,2211203,'2',319,'N'),(15,2211211,'1',425,'N'),(15,2211211,'2',211,'N'),(15,2211220,'1',5,'N'),(15,2211220,'2',320,'N'),(15,2211238,'1',103,'N'),(15,2211238,'2',101,'N'),(15,2211246,'1',203,'N'),(15,2211246,'1A',201,'N'),(15,2211246,'2',103,'N'),(15,2211254,'1',102,'N'),(15,2211254,'2',216,'N'),(15,2211262,'1',203,'N'),(15,2211262,'1A',201,'N'),(15,2211262,'2',301,'N'),(15,2211270,'1',316,'N'),(15,2211270,'2',202,'N'),(15,2211289,'1',108,'N'),(15,2211289,'2',208,'N'),(15,2211297,'1',102,'N'),(15,2211297,'2',301,'N'),(15,2211300,'1',303,'N'),(15,2211300,'2',2,'N'),(15,2211335,'1',208,'N'),(15,2211335,'1A',238,'N'),(15,2211335,'2',404,'N'),(15,2211343,'1',103,'N'),(15,2211343,'2',303,'N'),(15,2211351,'1',301,'N'),(15,2211351,'2',234,'N'),(15,2211386,'1',304,'N'),(15,2211386,'2',9,'N'),(15,2211394,'1',108,'N'),(15,2211394,'2',217,'N'),(15,2211408,'1',319,'N'),(15,2211408,'2',324,'N'),(15,2211416,'1',103,'N'),(15,2211416,'2',301,'N'),(15,2211424,'1',103,'N'),(15,2211424,'2',101,'N'),(15,2211432,'1',103,'N'),(15,2211432,'2',101,'N'),(15,2211440,'1',207,'N'),(15,2211440,'1A',201,'N'),(15,2211440,'2',233,'N'),(15,2211459,'1',108,'N'),(15,2211459,'2',333,'N'),(15,2211467,'1',5,'N'),(15,2211467,'2',425,'N'),(15,2211475,'1',331,'N'),(15,2211475,'2',303,'N'),(15,2211483,'1',208,'N'),(15,2211491,'1',319,'N'),(15,2211491,'2',308,'N'),(15,2211505,'1',215,'N'),(15,2211505,'1A',233,'N'),(15,2211505,'2',424,'N'),(15,2211513,'1',316,'N'),(15,2211513,'2',318,'N'),(15,2211521,'1',415,'N'),(15,2211521,'2',211,'N'),(15,2211530,'1',339,'N'),(15,2211530,'2',208,'N'),(15,2211548,'1',303,'N'),(15,2211548,'2',326,'N'),(15,2211556,'1',9,'N'),(15,2211556,'2',101,'N'),(15,2211564,'1',303,'N'),(15,2211564,'2',301,'N'),(15,2211572,'1',303,'N'),(15,2211572,'2',5,'N'),(15,2211599,'1',319,'N'),(15,2211599,'2',310,'N'),(15,2211610,'1',502,'N'),(15,2211610,'2',102,'N'),(15,2211629,'1',316,'N'),(15,2211629,'2',426,'N'),(15,2211653,'1',217,'N'),(15,2211653,'2',224,'N'),(15,2211661,'1',103,'N'),(15,2211661,'2',333,'N'),(15,2211670,'1',302,'N'),(15,2211670,'2',425,'N'),(15,2211688,'1',316,'N'),(15,2211688,'2',308,'N'),(15,2211696,'1',104,'N'),(15,2211696,'2',233,'N'),(15,2211700,'1',501,'N'),(15,2211700,'2',319,'N'),(15,2211718,'1',224,'N'),(15,2211718,'2',318,'N'),(15,2211734,'1',103,'N'),(15,2211734,'2',101,'N'),(15,2211742,'1',317,'N'),(15,2211742,'2',302,'N'),(15,2211750,'1',415,'N'),(15,2211750,'2',423,'N'),(15,2211777,'1',5,'N'),(15,2211777,'2',316,'N'),(15,2211785,'1',108,'N'),(15,2211785,'2',501,'N'),(15,2211793,'1',103,'N'),(15,2211807,'1',216,'N'),(15,2211807,'1A',220,'N'),(15,2211815,'1',319,'N'),(15,2211815,'2',423,'N'),(15,2211823,'1',211,'N'),(15,2211823,'1A',201,'N'),(15,2211823,'2',223,'N'),(15,2211840,'1',212,'N'),(15,2211840,'1A',238,'N'),(15,2211840,'2',316,'N'),(15,2211866,'1',501,'N'),(15,2211866,'2',319,'N'),(15,2211874,'1',203,'N'),(15,2211874,'1A',214,'N'),(15,2211874,'2',304,'N'),(15,2211882,'1',5,'N'),(15,2211882,'2',329,'N'),(15,2211890,'1',208,'N'),(15,2211890,'1A',238,'N'),(15,2211890,'2',102,'N'),(15,2211904,'1',207,'N'),(15,2211904,'1A',211,'N'),(15,2211904,'2',501,'N'),(15,2211920,'1',420,'N'),(15,2211920,'2',207,'N'),(15,2211939,'1',211,'N'),(15,2211939,'1A',215,'N'),(15,2211939,'2',5,'N'),(15,2211947,'1',103,'N'),(15,2211947,'2',203,'N'),(15,2211955,'1',303,'N'),(15,2211955,'2',326,'N'),(15,2211963,'1',108,'N'),(15,2211963,'2',444,'N'),(15,2211971,'1',5,'N'),(15,2211971,'2',103,'N'),(15,2211980,'1',238,'N'),(15,2211980,'2',327,'N'),(15,2211998,'1',215,'N'),(15,2211998,'1A',208,'N'),(15,2211998,'2',424,'N'),(15,2212005,'1',333,'N'),(15,2212005,'2',234,'N'),(15,2212021,'1',104,'N'),(15,2212021,'2',420,'N'),(15,2212048,'1',332,'N'),(15,2212048,'2',320,'N'),(15,2212056,'1',339,'N'),(15,2212056,'2',102,'N'),(15,2212064,'1',238,'N'),(15,2212064,'2',317,'N'),(15,2212072,'1',214,'N'),(15,2212072,'1A',220,'N'),(15,2212072,'2',212,'N'),(15,2212080,'1',420,'N'),(15,2212080,'2',104,'N'),(15,2212099,'1',238,'N'),(15,2212099,'1A',208,'N'),(15,2212099,'2',420,'N'),(15,2212102,'1',212,'N'),(15,2212102,'1A',201,'N'),(15,2212102,'2',5,'N'),(15,2212110,'1',304,'N'),(15,2212110,'2',318,'N'),(15,2212129,'1',203,'N'),(15,2212129,'1A',220,'N'),(15,2212129,'2',214,'N'),(15,2212137,'1',102,'N'),(15,2212137,'2',217,'N'),(15,2212145,'1',208,'N'),(15,2212145,'1A',238,'N'),(15,2212145,'2',224,'N'),(15,2212153,'1',211,'N'),(15,2212153,'1A',216,'N'),(15,2212153,'2',103,'N'),(15,2212161,'1',5,'N'),(15,2212161,'2',310,'N'),(15,2212170,'1',104,'N'),(15,2212188,'1',207,'N'),(15,2212188,'1A',201,'N'),(15,2212188,'2',420,'N'),(15,2212196,'1',316,'N'),(15,2212196,'2',318,'N'),(15,2212200,'1',415,'N'),(15,2212200,'2',320,'N'),(15,2212218,'1',104,'N'),(15,2212218,'2',320,'N'),(15,2212226,'1',207,'N'),(15,2212226,'1A',215,'N'),(15,2212226,'2',9,'N'),(15,2212234,'1',319,'N'),(15,2212234,'2',302,'N'),(15,2212242,'1',423,'N'),(15,2212242,'2',425,'N'),(15,2212250,'1',216,'N'),(15,2212250,'1A',238,'N'),(15,2212250,'2',217,'N'),(15,2212269,'1',304,'N'),(15,2212269,'2',328,'N'),(15,2212277,'1',421,'N'),(15,2212277,'1A',425,'N'),(15,2212277,'2',427,'N'),(15,2212285,'1',5,'N'),(15,2212285,'2',329,'N'),(15,2212293,'1',316,'N'),(15,2212293,'2',423,'N'),(15,2212307,'1',309,'N'),(15,2212307,'2',308,'N'),(15,2212315,'1',102,'N'),(15,2212315,'2',104,'N'),(15,2212323,'1',444,'N'),(15,2212323,'2',301,'N'),(15,2212340,'1',212,'N'),(15,2212340,'1A',214,'N'),(15,2212340,'2',404,'N'),(15,2212366,'1',301,'N'),(15,2212374,'1',501,'N'),(15,2212374,'2',333,'N'),(15,2212382,'1',9,'N'),(15,2212382,'2',234,'N'),(15,2212390,'1',203,'N'),(15,2212390,'1A',216,'N'),(15,2212390,'2',102,'N'),(15,2212404,'1',420,'N'),(15,2212404,'2',450,'N'),(15,2212412,'1',103,'N'),(15,2212412,'2',102,'N'),(15,2212420,'1',333,'N'),(15,2212420,'2',421,'N'),(15,2212439,'1',208,'N'),(15,2212439,'1A',202,'N'),(15,2212447,'1',103,'N'),(15,2212463,'1',339,'N'),(15,2212463,'2',451,'N'),(15,2212471,'1',320,'N'),(15,2212471,'2',327,'N'),(15,2212480,'1',103,'N'),(15,2212480,'2',203,'N'),(15,2212501,'1',318,'N'),(15,2212501,'2',316,'N'),(15,2212510,'1',216,'N'),(15,2212510,'1A',203,'N'),(15,2212510,'2',215,'N'),(15,2212528,'1',203,'N'),(15,2212528,'1A',216,'N'),(15,2212528,'2',233,'N'),(15,2212544,'1',450,'N'),(15,2212544,'2',327,'N'),(15,2212552,'1',208,'N'),(15,2212552,'1A',213,'N'),(15,2212552,'2',308,'N'),(15,2212560,'1',103,'N'),(15,2212560,'2',102,'N'),(15,2212579,'1',103,'N'),(15,2212579,'2',415,'N'),(15,2212587,'1',108,'N'),(15,2212587,'2',333,'N'),(15,2212595,'1',444,'N'),(15,2212595,'2',404,'N'),(15,2212617,'1',207,'N'),(15,2212617,'2',451,'N'),(15,2212625,'1',428,'N'),(15,2212625,'1A',423,'N'),(15,2212625,'2',326,'N'),(15,2212633,'1',316,'N'),(15,2212633,'2',429,'N'),(15,2212641,'1',316,'N'),(15,2212641,'2',426,'N'),(15,2212650,'1',103,'N'),(15,2212650,'2',333,'N'),(15,2212668,'1',102,'N'),(15,2212668,'2',101,'N'),(15,2212676,'1',404,'N'),(15,2212676,'2',309,'N'),(15,2212684,'1',303,'N'),(15,2212684,'2',212,'N'),(15,2212692,'1',310,'N'),(15,2212692,'2',320,'N'),(15,2212706,'1',213,'N'),(15,2212706,'2',327,'N'),(15,2212714,'1',103,'N'),(15,2212714,'2',217,'N'),(15,2212722,'1',108,'N'),(15,2212722,'2',217,'N'),(15,2212730,'1',304,'N'),(15,2212730,'2',318,'N'),(15,2212749,'1',103,'N'),(15,2212749,'2',333,'N'),(15,2212757,'1',501,'N'),(15,2212757,'2',2,'N'),(15,2212773,'1',103,'N'),(15,2212781,'1',220,'N'),(15,2212781,'2',201,'N'),(15,2212790,'1',216,'N'),(15,2212790,'1A',215,'N'),(15,2212790,'2',404,'N'),(15,2212803,'1',318,'N'),(15,2212803,'2',317,'N'),(15,2212811,'1',203,'N'),(15,2212811,'1A',214,'N'),(15,2212820,'1',9,'N'),(15,2212820,'2',316,'N'),(15,2212838,'1',103,'N'),(15,2212838,'2',303,'N'),(15,2212854,'1',101,'N'),(15,2212854,'2',9,'N'),(15,2212862,'1',303,'N'),(15,2212862,'2',108,'N'),(15,2212870,'1',103,'N'),(15,2212870,'2',102,'N'),(15,2212889,'1',207,'N'),(15,2212889,'1A',201,'N'),(15,2212889,'2',319,'N'),(15,2212900,'1',238,'N'),(15,2212900,'1A',208,'N'),(15,2212900,'2',423,'N'),(15,2212919,'1',328,'N'),(15,2212919,'2',326,'N'),(15,2212927,'1',208,'N'),(15,2212927,'1A',215,'N'),(15,2212927,'2',202,'N'),(15,2212935,'1',104,'N'),(15,2212935,'2',9,'N'),(15,2212943,'1',327,'N'),(15,2212943,'2',332,'N'),(15,2212960,'1',450,'N'),(15,2212960,'2',428,'N'),(15,2212986,'1',319,'N'),(15,2212986,'2',308,'N'),(15,2212994,'1',215,'N'),(15,2212994,'1A',216,'N'),(15,2212994,'2',217,'N'),(15,2213001,'1',5,'N'),(15,2213001,'2',309,'N'),(15,2213010,'1',104,'N'),(15,2213028,'1',208,'N'),(15,2213028,'1A',238,'N'),(15,2213028,'2',222,'N'),(15,2213044,'1',238,'N'),(15,2213044,'1A',208,'N'),(15,2213044,'2',318,'N'),(15,2213052,'1',104,'N'),(15,2213060,'1',203,'N'),(15,2213060,'1A',214,'N'),(15,2213060,'2',201,'N'),(15,2213079,'1',308,'N'),(15,2213079,'2',208,'N'),(15,2213087,'1',319,'N'),(15,2213087,'2',420,'N'),(15,2213095,'1',316,'N'),(15,2213095,'2',5,'N'),(15,2213109,'1',207,'N'),(15,2213109,'2',102,'N'),(15,2213117,'1',450,'N'),(15,2213117,'2',420,'N'),(15,2213133,'1',103,'N'),(15,2213133,'2',102,'N'),(15,2213150,'1',316,'N'),(15,2213150,'2',329,'N'),(15,2213168,'1',415,'N'),(15,2213168,'2',207,'N'),(15,2213176,'1',5,'N'),(15,2213176,'2',316,'N'),(15,2213184,'1',103,'N'),(15,2213184,'2',5,'N'),(15,2213192,'1',208,'N'),(15,2213192,'1A',238,'N'),(15,2213192,'2',421,'N'),(15,2213206,'1',201,'N'),(15,2213206,'1A',202,'N'),(15,2213206,'2',318,'N'),(15,2213214,'1',238,'N'),(15,2213214,'1A',208,'N'),(15,2213214,'2',316,'N'),(15,2213222,'1',426,'N'),(15,2213222,'1A',428,'N'),(15,2213222,'2',423,'N'),(15,2213230,'1',238,'N'),(15,2213230,'1A',208,'N'),(15,2213230,'2',316,'N'),(15,2213249,'1',420,'N'),(15,2213265,'1',415,'N'),(15,2213265,'2',424,'N'),(15,2213273,'1',5,'N'),(15,2213273,'2',333,'N'),(15,2213281,'1',420,'N'),(15,2213281,'2',203,'N'),(15,2213303,'1',317,'N'),(15,2213303,'2',217,'N'),(15,2213311,'1',208,'N'),(15,2213311,'2',238,'N'),(15,2213320,'1',331,'N'),(15,2213320,'2',326,'N'),(15,2213338,'1',203,'N'),(15,2213338,'1A',233,'N'),(15,2213338,'2',220,'N'),(15,2213346,'1',319,'N'),(15,2213346,'2',9,'N'),(15,2213354,'1',202,'N'),(15,2213354,'1A',208,'N'),(15,2213354,'2',238,'N'),(15,2213362,'1',211,'N'),(15,2213362,'1A',201,'N'),(15,2213370,'1',223,'N'),(15,2213370,'2',222,'N'),(15,2213389,'1',420,'N'),(15,2213389,'2',444,'N'),(15,2213397,'1',101,'N'),(15,2213397,'2',319,'N'),(15,2213400,'1',5,'N'),(15,2213400,'2',316,'N'),(15,2213419,'1',9,'N'),(15,2213419,'2',308,'N'),(15,2213427,'1',317,'N'),(15,2213427,'2',238,'N'),(15,2213435,'1',208,'N'),(15,2213435,'1A',207,'N'),(15,2213435,'2',238,'N'),(15,2213443,'1',415,'N'),(15,2213443,'2',450,'N'),(15,2213451,'1',318,'N'),(15,2213451,'2',304,'N'),(15,2213460,'1',208,'N'),(15,2213460,'1A',201,'N'),(15,2213460,'2',316,'N'),(15,2213478,'1',450,'N'),(15,2213478,'2',238,'N'),(15,2213486,'1',303,'N'),(15,2213486,'2',108,'N'),(15,2213494,'1',319,'N'),(15,2213494,'2',9,'N'),(15,2213508,'1',303,'N'),(15,2213508,'2',202,'N'),(15,2213516,'1',424,'N'),(15,2213516,'1A',427,'N'),(15,2213516,'2',425,'N'),(15,2213524,'1',104,'N'),(15,2213524,'2',102,'N'),(15,2213532,'1',420,'N'),(15,2213559,'1',211,'N'),(15,2213559,'1A',208,'N'),(15,2213559,'2',217,'N'),(15,2213583,'1',203,'N'),(15,2213583,'1A',220,'N'),(15,2213583,'2',2,'N'),(15,2213591,'1',202,'N'),(15,2213591,'2',103,'N'),(15,2213605,'1',203,'N'),(15,2213605,'1A',201,'N'),(15,2213605,'2',220,'N'),(15,2213613,'1',103,'N'),(15,2213613,'2',108,'N'),(15,2213621,'1',103,'N'),(15,2213621,'2',303,'N'),(15,2213648,'1',326,'N'),(15,2213656,'1',319,'N'),(15,2213656,'2',328,'N'),(15,2213664,'1',5,'N'),(15,2213664,'2',9,'N'),(15,2213672,'1',208,'N'),(15,2213672,'1A',202,'N'),(15,2213672,'2',233,'N'),(15,2213680,'1',308,'N'),(15,2213680,'2',339,'N'),(15,2213699,'1',214,'N'),(15,2213699,'2',213,'N'),(15,2213729,'1',9,'N'),(15,2213729,'2',326,'N'),(15,2213737,'1',238,'N'),(15,2213737,'1A',208,'N'),(15,2213737,'2',225,'N'),(15,2213753,'1',316,'N'),(15,2213761,'1',103,'N'),(15,2213761,'2',104,'N'),(15,2213788,'1',319,'N'),(15,2213788,'2',304,'N'),(15,2213796,'1',203,'N'),(15,2213796,'1A',202,'N'),(15,2213796,'2',201,'N'),(15,2213800,'1',238,'N'),(15,2213800,'1A',208,'N'),(15,2213826,'1',318,'N'),(15,2213826,'2',316,'N'),(15,2213834,'1',331,'N'),(15,2213834,'2',332,'N'),(15,2213842,'1',202,'N'),(15,2213842,'1A',203,'N'),(15,2213842,'2',211,'N'),(15,2213850,'1',303,'N'),(15,2213850,'2',301,'N'),(15,2213869,'1',201,'N'),(15,2213869,'1A',202,'N'),(15,2213869,'2',208,'N'),(15,2213885,'1',201,'N'),(15,2213885,'1A',216,'N'),(15,2213885,'2',2,'N'),(15,2213893,'1',238,'N'),(15,2213893,'1A',208,'N'),(15,2213893,'2',501,'N'),(15,2213907,'1',211,'N'),(15,2213907,'2',450,'N'),(15,2213915,'1',333,'N'),(15,2213915,'2',501,'N'),(15,2213923,'1',303,'N'),(15,2213923,'2',425,'N'),(15,2213931,'1',303,'N'),(15,2213931,'2',301,'N'),(15,2213940,'1',5,'N'),(15,2213940,'2',225,'N'),(15,2213966,'1',332,'N'),(15,2213966,'2',333,'N'),(15,2213974,'1',319,'N'),(15,2213974,'2',339,'N'),(15,2213990,'1',324,'N'),(15,2213990,'2',421,'N'),(15,2214008,'1',5,'N'),(15,2214016,'1',301,'N'),(15,2214016,'2',304,'N'),(15,2214024,'1',215,'N'),(15,2214024,'1A',207,'N'),(15,2214024,'2',102,'N'),(15,2214032,'1',101,'N'),(15,2214032,'2',9,'N'),(15,2214040,'1',238,'N'),(15,2214040,'1A',208,'N'),(15,2214040,'2',326,'N'),(15,2214059,'1',9,'N'),(15,2214059,'2',316,'N'),(15,2214067,'1',319,'N'),(15,2214067,'2',309,'N'),(15,2214075,'1',316,'N'),(15,2214075,'2',304,'N'),(15,2214091,'1',208,'N'),(15,2214091,'1A',216,'N'),(15,2214091,'2',302,'N'),(15,2214105,'1',9,'N'),(15,2214105,'2',501,'N'),(15,2214113,'1',318,'N'),(15,2214113,'2',317,'N'),(15,2214121,'1',2,'N'),(15,2214121,'2',216,'N'),(15,2214130,'1',316,'N'),(15,2214130,'2',317,'N'),(15,2214156,'1',502,'N'),(15,2214156,'2',501,'N'),(15,2214164,'1',333,'N'),(15,2214164,'2',423,'N'),(15,2214172,'1',103,'N'),(15,2214180,'1',101,'N'),(15,2214180,'2',444,'N'),(15,2214202,'1',444,'N'),(15,2214202,'2',332,'N'),(15,2214210,'1',220,'N'),(15,2214210,'1A',213,'N'),(15,2214210,'2',2,'N'),(15,2214229,'1',103,'N'),(15,2214229,'2',104,'N'),(15,2214245,'1',303,'N'),(15,2214245,'2',415,'N'),(15,2214253,'1',217,'N'),(15,2214253,'2',223,'N'),(15,2214270,'1',103,'N'),(15,2214270,'2',309,'N'),(15,2214296,'1',203,'N'),(15,2214296,'1A',202,'N'),(15,2214296,'2',220,'N'),(15,2214300,'1',103,'N'),(15,2214326,'1',327,'N'),(15,2214326,'2',415,'N'),(15,2214342,'1',501,'N'),(15,2214342,'2',333,'N'),(15,2214350,'1',207,'N'),(15,2214350,'2',420,'N'),(15,2214369,'1',103,'N'),(15,2214369,'2',217,'N'),(15,2214377,'1',202,'N'),(15,2214377,'1A',214,'N'),(15,2214377,'2',213,'N'),(15,2214385,'1',333,'N'),(15,2214385,'2',327,'N'),(15,2214393,'1',331,'N'),(15,2214393,'2',301,'N'),(15,2214407,'1',317,'N'),(15,2214407,'2',316,'N'),(15,2214415,'1',309,'N'),(15,2214415,'2',223,'N'),(15,2214431,'1',327,'N'),(15,2214431,'2',426,'N'),(15,2214458,'1',203,'N'),(15,2214458,'1A',214,'N'),(15,2214458,'2',333,'N'),(15,2214466,'1',415,'N'),(15,2214466,'2',428,'N'),(15,2214474,'1',316,'N'),(15,2214474,'2',211,'N'),(15,2214482,'1',103,'N'),(15,2214482,'2',217,'N'),(15,2214490,'1',103,'N'),(15,2214504,'1',103,'N'),(15,2214504,'2',101,'N'),(15,2214512,'1',501,'N'),(15,2214512,'2',211,'N'),(15,2214520,'1',108,'N'),(15,2214520,'2',331,'N'),(15,2214555,'1',216,'N'),(15,2214555,'1A',215,'N'),(15,2214555,'2',211,'N'),(15,2214571,'1',450,'N'),(15,2214571,'2',108,'N'),(15,2214580,'1',5,'N'),(15,2214580,'2',501,'N'),(15,2214598,'1',502,'N'),(15,2214598,'2',501,'N'),(15,2214601,'1',310,'N'),(15,2214601,'2',331,'N'),(15,2214610,'1',201,'N'),(15,2214610,'2',212,'N'),(15,2214628,'1',316,'N'),(15,2214628,'2',333,'N'),(15,2214636,'1',238,'N'),(15,2214636,'1A',208,'N'),(15,2214636,'2',214,'N'),(15,2214644,'1',404,'N'),(15,2214644,'2',328,'N'),(15,2214652,'1',103,'N'),(15,2214652,'2',215,'N'),(15,2214660,'1',501,'N'),(15,2214660,'2',211,'N'),(15,2214679,'1',339,'N'),(15,2214679,'2',324,'N'),(15,2214687,'1',103,'N'),(15,2214709,'1',103,'N'),(15,2214709,'2',303,'N'),(15,2214733,'1',103,'N'),(15,2214733,'2',319,'N'),(15,2214741,'1',333,'N'),(15,2214741,'2',108,'N'),(15,2214750,'1',317,'N'),(15,2214750,'2',332,'N'),(15,2214776,'1',421,'N'),(15,2214776,'1A',429,'N'),(15,2214776,'2',424,'N'),(15,2214792,'1',208,'N'),(15,2214792,'1A',201,'N'),(15,2214792,'2',318,'N'),(15,2214814,'1',103,'N'),(15,2214814,'2',333,'N'),(15,2214822,'1',103,'N'),(15,2214830,'1',316,'N'),(15,2214830,'2',331,'N'),(15,2214849,'1',101,'N'),(15,2214849,'2',108,'N'),(15,2214857,'1',304,'N'),(15,2214857,'2',222,'N'),(15,2214881,'1',103,'N'),(15,2214890,'1',103,'N'),(15,2214890,'2',104,'N'),(15,2214903,'1',103,'N'),(15,2214903,'2',211,'N'),(15,2214911,'1',207,'N'),(15,2214911,'1A',201,'N'),(15,2214911,'2',216,'N'),(15,2214938,'1',234,'N'),(15,2214938,'2',324,'N'),(15,2214954,'1',333,'N'),(15,2214954,'2',108,'N'),(15,2214989,'1',421,'N'),(15,2214989,'1A',425,'N'),(15,2214989,'2',423,'N'),(15,2214997,'1',319,'N'),(15,2214997,'2',301,'N'),(15,2215004,'1',329,'N'),(15,2215004,'2',333,'N'),(15,2215012,'1',202,'N'),(15,2215012,'1A',233,'N'),(15,2215012,'2',213,'N'),(15,2215047,'1',303,'N'),(15,2215047,'2',203,'N'),(15,2215055,'1',217,'N'),(15,2215063,'1',428,'N'),(15,2215063,'1A',423,'N'),(15,2215063,'2',426,'N'),(15,2215071,'1',101,'N'),(15,2215071,'2',427,'N'),(15,2215080,'1',451,'N'),(15,2215080,'2',302,'N'),(15,2215101,'1',207,'N'),(15,2215101,'2',420,'N'),(15,2215110,'1',203,'N'),(15,2215110,'1A',214,'N'),(15,2215110,'2',420,'N'),(15,2215128,'1',317,'N'),(15,2215128,'2',224,'N'),(15,2215136,'1',203,'N'),(15,2215136,'1A',214,'N'),(15,2215136,'2',202,'N'),(15,2215144,'1',317,'N'),(15,2215144,'2',318,'N'),(15,2215152,'1',316,'N'),(15,2215152,'2',304,'N'),(15,2215160,'1',103,'N'),(15,2215160,'2',104,'N'),(15,2215187,'1',331,'N'),(15,2215187,'2',326,'N'),(15,2215209,'1',220,'N'),(15,2215209,'1A',202,'N'),(15,2215209,'2',2,'N'),(15,2215217,'1',316,'N'),(15,2215217,'2',217,'N'),(15,2215225,'1',329,'N'),(15,2215225,'2',327,'N'),(15,2215233,'1',328,'N'),(15,2215233,'2',319,'N'),(15,2215241,'1',308,'N'),(15,2215241,'2',319,'N'),(15,2215268,'1',103,'N'),(15,2215268,'2',424,'N'),(15,2215276,'1',319,'N'),(15,2215276,'2',451,'N'),(15,2215284,'1',420,'N'),(15,2215284,'2',451,'N'),(15,2215292,'1',104,'N'),(15,2215292,'2',308,'N'),(15,2215306,'1',104,'N'),(15,2215322,'1',103,'N'),(15,2215322,'2',108,'N'),(15,2215330,'1',211,'N'),(15,2215330,'1A',208,'N'),(15,2215330,'2',501,'N'),(15,2215349,'1',316,'N'),(15,2215349,'2',301,'N'),(15,2215357,'1',5,'N'),(15,2215357,'2',316,'N'),(15,2215373,'1',316,'N'),(15,2215373,'2',501,'N'),(15,2215381,'1',103,'N'),(15,2215381,'2',101,'N'),(15,2215390,'1',5,'N'),(15,2215390,'2',424,'N'),(15,2215403,'1',104,'N'),(15,2215403,'2',501,'N'),(15,2215411,'1',202,'N'),(15,2215411,'1A',238,'N'),(15,2215411,'2',426,'N'),(15,2215420,'1',333,'N'),(15,2215420,'2',404,'N'),(15,2215438,'1',102,'N'),(15,2215438,'2',215,'N'),(15,2215454,'1',208,'N'),(15,2215454,'1A',238,'N'),(15,2215454,'2',225,'N'),(15,2215470,'1',103,'N'),(15,2215470,'2',104,'N'),(15,2215489,'1',103,'N'),(15,2215489,'2',102,'N'),(15,2215497,'1',216,'N'),(15,2215497,'1A',233,'N'),(15,2215497,'2',217,'N'),(15,2215500,'1',103,'N'),(15,2215500,'2',319,'N'),(15,2215519,'1',316,'N'),(15,2215519,'2',319,'N'),(15,2215527,'1',424,'N'),(15,2215527,'1A',423,'N'),(15,2215527,'2',331,'N'),(15,2215535,'1',104,'N'),(15,2215535,'2',216,'N'),(15,2215543,'1',426,'N'),(15,2215543,'1A',428,'N'),(15,2215543,'2',215,'N'),(15,2215551,'1',220,'N'),(15,2215551,'1A',216,'N'),(15,2215551,'2',203,'N'),(15,2215560,'1',425,'N'),(15,2215560,'1A',429,'N'),(15,2215560,'2',428,'N'),(15,2215594,'1',404,'N'),(15,2215594,'2',308,'N'),(15,2215608,'1',101,'N'),(15,2215608,'2',309,'N'),(15,2215616,'1',203,'N'),(15,2215616,'1A',220,'N'),(15,2215616,'2',208,'N'),(15,2215624,'1',103,'N'),(15,2215640,'1',103,'N'),(15,2215640,'2',104,'N'),(15,2215659,'1',108,'N'),(15,2215659,'2',215,'N'),(15,2215667,'1',450,'N'),(15,2215667,'2',420,'N'),(15,2215675,'1',420,'N'),(15,2215675,'2',421,'N'),(15,2215683,'1',223,'N'),(15,2215683,'2',220,'N'),(15,2215691,'1',103,'N'),(15,2215691,'2',104,'N'),(15,2215705,'1',203,'N'),(15,2215705,'1A',202,'N'),(15,2215705,'2',214,'N'),(15,2215713,'1',207,'N'),(15,2215713,'1A',201,'N'),(15,2215713,'2',420,'N'),(15,2215721,'1',238,'N'),(15,2215721,'1A',208,'N'),(15,2215721,'2',222,'N'),(15,2215748,'1',211,'N'),(15,2215748,'2',444,'N'),(15,2215772,'1',301,'N'),(15,2215772,'2',223,'N'),(15,2215780,'1',103,'N'),(15,2215780,'2',425,'N'),(15,2215799,'1',211,'N'),(15,2215799,'1A',213,'N'),(15,2215799,'2',316,'N'),(15,2215802,'1',238,'N'),(15,2215802,'1A',220,'N'),(15,2215802,'2',333,'N'),(15,2215810,'1',327,'N'),(15,2215810,'2',320,'N'),(15,2215829,'1',203,'N'),(15,2215829,'1A',214,'N'),(15,2215829,'2',202,'N'),(15,2215837,'1',328,'N'),(15,2215837,'2',316,'N'),(15,2215845,'1',318,'N'),(15,2215853,'1',103,'N'),(15,2215853,'2',104,'N'),(15,2215870,'1',309,'N'),(15,2215870,'2',427,'N'),(15,2215888,'1',203,'N'),(15,2215888,'1A',216,'N'),(15,2215888,'2',202,'N'),(15,2215896,'1',102,'N'),(15,2215896,'2',304,'N'),(15,2215900,'1',404,'N'),(15,2215900,'2',427,'N'),(15,2215918,'1',309,'N'),(15,2215918,'2',308,'N'),(15,2215926,'1',238,'N'),(15,2215926,'1A',208,'N'),(15,2215926,'2',333,'N'),(15,2215934,'1',103,'N'),(15,2215934,'2',303,'N'),(15,2215942,'1',450,'N'),(15,2215942,'2',424,'N'),(15,2215950,'1',451,'N'),(15,2215950,'2',450,'N'),(15,2215969,'1',319,'N'),(15,2215969,'2',309,'N'),(15,2215977,'1',208,'N'),(15,2215977,'1A',238,'N'),(15,2215977,'2',301,'N'),(15,2215985,'1',316,'N'),(15,2215985,'2',317,'N'),(15,2215993,'1',234,'N'),(15,2215993,'2',324,'N'),(15,2216000,'1',212,'N'),(15,2216000,'1A',207,'N'),(15,2216000,'2',203,'N'),(15,2216019,'1',208,'N'),(15,2216019,'1A',238,'N'),(15,2216019,'2',444,'N'),(15,2216027,'1',319,'N'),(15,2216035,'1',103,'N'),(15,2216035,'2',104,'N'),(15,2216060,'1',211,'N'),(15,2216060,'1A',215,'N'),(15,2216060,'2',324,'N'),(15,2216078,'1',103,'N'),(15,2216078,'2',104,'N'),(15,2216086,'1',203,'N'),(15,2216086,'1A',220,'N'),(15,2216086,'2',420,'N'),(15,2216094,'1',444,'N'),(15,2216116,'1',101,'N'),(15,2216116,'2',309,'N'),(15,2216124,'1',316,'N'),(15,2216124,'2',318,'N'),(15,2216132,'1',203,'N'),(15,2216132,'2',108,'N'),(15,2216140,'1',103,'N'),(15,2216140,'2',102,'N'),(15,2216159,'1',103,'N'),(15,2216167,'1',444,'N'),(15,2216167,'2',404,'N'),(15,2216175,'1',318,'N'),(15,2216175,'2',332,'N'),(15,2216183,'1',319,'N'),(15,2216183,'2',102,'N'),(15,2216191,'1',201,'N'),(15,2216191,'2',225,'N'),(15,2216205,'1',303,'N'),(15,2216205,'2',5,'N'),(15,2216213,'1',415,'N'),(15,2216213,'2',425,'N'),(15,2216221,'1',424,'N'),(15,2216221,'1A',428,'N'),(15,2216221,'2',420,'N'),(15,2216230,'1',103,'N'),(15,2216230,'2',233,'N'),(15,2216248,'1',103,'N'),(15,2216248,'2',450,'N'),(15,2216264,'1',304,'N'),(15,2216264,'2',318,'N'),(15,2216272,'1',301,'N'),(15,2216272,'2',316,'N'),(15,2216280,'1',415,'N'),(15,2216280,'2',451,'N'),(15,2216299,'1',225,'N'),(15,2216299,'2',238,'N'),(15,2216329,'1',404,'N'),(15,2216329,'2',213,'N'),(15,2216337,'1',103,'N'),(15,2216345,'1',103,'N'),(15,2216345,'2',223,'N'),(15,2216353,'1',215,'N'),(15,2216353,'1A',220,'N'),(15,2216353,'2',212,'N'),(15,2216361,'1',233,'N'),(15,2216361,'1A',211,'N'),(15,2216361,'2',201,'N'),(15,2216370,'1',302,'N'),(15,2216370,'2',316,'N'),(15,2216388,'1',207,'N'),(15,2216388,'1A',201,'N'),(15,2216388,'2',415,'N'),(15,2216396,'1',103,'N'),(15,2216396,'2',303,'N'),(15,2216400,'1',101,'N'),(15,2216400,'2',102,'N'),(15,2216418,'1',326,'N'),(15,2216418,'2',324,'N'),(15,2216426,'1',103,'N'),(15,2216426,'2',102,'N'),(15,2216434,'1',9,'N'),(15,2216434,'2',404,'N'),(15,2216442,'1',424,'N'),(15,2216442,'1A',423,'N'),(15,2216442,'2',425,'N'),(15,2216450,'1',103,'N'),(15,2216450,'2',303,'N'),(15,2216469,'1',429,'N'),(15,2216469,'1A',425,'N'),(15,2216469,'2',316,'N'),(15,2216477,'1',101,'N'),(15,2216477,'2',103,'N'),(15,2216485,'1',303,'N'),(15,2216485,'2',309,'N'),(15,2216507,'1',101,'N'),(15,2216507,'2',501,'N'),(15,2216515,'1',303,'N'),(15,2216515,'2',319,'N'),(15,2216523,'1',319,'N'),(15,2216523,'2',420,'N'),(15,2216531,'1',103,'N'),(15,2216531,'2',319,'N'),(15,2216540,'1',207,'N'),(15,2216540,'1A',201,'N'),(15,2216540,'2',444,'N'),(15,2216566,'1',104,'N'),(15,2216566,'2',444,'N'),(15,2216574,'1',207,'N'),(15,2216574,'1A',201,'N'),(15,2216574,'2',212,'N'),(15,2216582,'1',444,'N'),(15,2216582,'2',425,'N'),(15,2216604,'1',415,'N'),(15,2216604,'2',426,'N'),(15,2216612,'1',104,'N'),(15,2216612,'2',333,'N'),(15,2216620,'1',320,'N'),(15,2216620,'2',310,'N'),(15,2216639,'1',318,'N'),(15,2216639,'2',317,'N'),(15,2216647,'1',214,'N'),(15,2216647,'1A',213,'N'),(15,2216647,'2',212,'N'),(15,2216671,'1',424,'N'),(15,2216671,'1A',429,'N'),(15,2216671,'2',421,'N'),(15,2216680,'1',103,'N'),(15,2216680,'2',9,'N'),(15,2216698,'1',103,'N'),(15,2216698,'2',108,'N'),(15,2216701,'1',220,'N'),(15,2216701,'1A',203,'N'),(15,2216701,'2',316,'N'),(15,2216710,'1',234,'N'),(15,2216710,'2',333,'N'),(15,2216728,'1',211,'N'),(15,2216728,'1A',201,'N'),(15,2216728,'2',101,'N'),(15,2216736,'1',303,'N'),(15,2216736,'2',5,'N'),(15,2216744,'1',108,'N'),(15,2216744,'2',444,'N'),(15,2216752,'1',303,'N'),(15,2216752,'2',309,'N'),(15,2216760,'1',427,'N'),(15,2216760,'1A',429,'N'),(15,2216760,'2',324,'N'),(15,2216779,'1',339,'N'),(15,2216779,'2',101,'N'),(15,2216795,'1',319,'N'),(15,2216795,'2',426,'N'),(15,2216809,'1',108,'N'),(15,2216809,'2',217,'N'),(15,2216817,'1',104,'N'),(15,2216817,'2',102,'N'),(15,2216825,'1',211,'N'),(15,2216825,'1A',215,'N'),(15,2216825,'2',415,'N'),(15,2216833,'1',5,'N'),(15,2216833,'2',303,'N'),(15,2216850,'1',319,'N'),(15,2216850,'2',320,'N'),(15,2216868,'1',415,'N'),(15,2216868,'2',450,'N'),(15,2216876,'1',104,'N'),(15,2216876,'2',333,'N'),(15,2216884,'1',208,'N'),(15,2216884,'1A',238,'N'),(15,2216884,'2',220,'N'),(15,2216892,'1',421,'N'),(15,2216892,'1A',428,'N'),(15,2216892,'2',207,'N'),(15,2216906,'1',238,'N'),(15,2216906,'1A',208,'N'),(15,2216906,'2',333,'N'),(15,2216914,'1',319,'N'),(15,2216914,'2',339,'N'),(15,2216922,'1',208,'N'),(15,2216922,'1A',201,'N'),(15,2216922,'2',316,'N'),(15,2216930,'1',220,'N'),(15,2216930,'1A',203,'N'),(15,2216930,'2',201,'N'),(15,2216949,'1',9,'N'),(15,2216949,'2',444,'N'),(15,2216957,'1',5,'N'),(15,2216957,'2',303,'N'),(15,2216965,'1',103,'N'),(15,2216965,'2',104,'N'),(15,2216973,'1',303,'N'),(15,2216973,'2',301,'N'),(15,2216981,'1',319,'N'),(15,2216981,'2',309,'N'),(15,2216990,'1',103,'N'),(15,2216990,'2',9,'N'),(15,2217007,'1',234,'N'),(15,2217007,'2',423,'N'),(15,2217015,'1',429,'N'),(15,2217015,'1A',423,'N'),(15,2217015,'2',425,'N'),(15,2217023,'1',316,'N'),(15,2217023,'2',317,'N'),(15,2217031,'1',303,'N'),(15,2217031,'2',5,'N'),(15,2217040,'1',5,'N'),(15,2217040,'2',320,'N'),(15,2217058,'1',207,'N'),(15,2217058,'1A',201,'N'),(15,2217058,'2',425,'N'),(15,2217112,'1',108,'N'),(15,2217112,'2',211,'N'),(15,2217120,'1',444,'N'),(15,2217120,'2',319,'N'),(15,2217139,'1',415,'N'),(15,2217139,'2',450,'N'),(15,2217147,'1',103,'N'),(15,2217155,'1',101,'N'),(15,2217163,'1',203,'N'),(15,2217163,'1A',216,'N'),(15,2217163,'2',201,'N'),(15,2217171,'1',203,'N'),(15,2217171,'1A',201,'N'),(15,2217180,'1',220,'N'),(15,2217180,'1A',203,'N'),(15,2217198,'1',301,'N'),(15,2217198,'2',429,'N'),(15,2217201,'1',102,'N'),(15,2217201,'2',103,'N'),(15,2217210,'1',104,'N'),(15,2217210,'2',102,'N'),(15,2217228,'1',213,'N'),(15,2217228,'1A',201,'N'),(15,2217228,'2',222,'N'),(15,2217244,'1',103,'N'),(15,2217244,'2',415,'N'),(15,2217252,'1',319,'N'),(15,2217252,'2',424,'N'),(15,2217260,'1',103,'N'),(15,2217260,'2',104,'N'),(15,2217279,'1',324,'N'),(15,2217279,'2',424,'N'),(15,2217287,'1',427,'N'),(15,2217287,'1A',424,'N'),(15,2217287,'2',238,'N'),(15,2217309,'1',104,'N'),(15,2217309,'2',102,'N'),(15,2217317,'1',450,'N'),(15,2217325,'1',104,'N'),(15,2217325,'2',451,'N'),(15,2217341,'1',202,'N'),(15,2217341,'1A',208,'N'),(15,2217341,'2',225,'N'),(15,2217350,'1',212,'N'),(15,2217350,'1A',213,'N'),(15,2217350,'2',2,'N'),(15,2217368,'1',301,'N'),(15,2217368,'2',316,'N'),(15,2217376,'1',5,'N'),(15,2217376,'2',211,'N'),(15,2217384,'1',103,'N'),(15,2217384,'2',101,'N'),(15,2217392,'1',224,'N'),(15,2217406,'1',216,'N'),(15,2217406,'1A',203,'N'),(15,2217406,'2',444,'N'),(15,2217414,'1',238,'N'),(15,2217414,'2',333,'N'),(15,2217430,'1',420,'N'),(15,2217430,'2',301,'N'),(15,2217449,'1',220,'N'),(15,2217449,'1A',208,'N'),(15,2217449,'2',302,'N'),(15,2217457,'1',213,'N'),(15,2217465,'1',420,'N'),(15,2217465,'2',238,'N'),(15,2217473,'1',303,'N'),(15,2217473,'2',326,'N'),(15,2217481,'1',333,'N'),(15,2217481,'2',331,'N'),(15,2217490,'1',103,'N'),(15,2217490,'2',415,'N'),(15,2217503,'1',103,'N'),(15,2217503,'2',101,'N'),(15,2217511,'1',502,'N'),(15,2217511,'2',301,'N'),(15,2217520,'1',202,'N'),(15,2217538,'1',501,'N'),(15,2217538,'2',502,'N'),(15,2217546,'1',333,'N'),(15,2217546,'2',102,'N'),(15,2217554,'1',211,'N'),(15,2217554,'1A',215,'N'),(15,2217554,'2',501,'N'),(15,2217562,'1',103,'N'),(15,2217562,'2',303,'N'),(15,2217570,'1',211,'N'),(15,2217570,'1A',212,'N'),(15,2217570,'2',201,'N'),(15,2217589,'1',444,'N'),(15,2217589,'2',101,'N'),(15,2217597,'1',425,'N'),(15,2217597,'1A',428,'N'),(15,2217597,'2',426,'N'),(15,2217619,'1',201,'N'),(15,2217619,'1A',212,'N'),(15,2217619,'2',207,'N'),(15,2217627,'1',211,'N'),(15,2217643,'1',339,'N'),(15,2217643,'2',320,'N'),(15,2217660,'1',202,'N'),(15,2217660,'1A',216,'N'),(15,2217660,'2',224,'N'),(15,2217678,'1',103,'N'),(15,2217678,'2',101,'N'),(15,2217686,'1',319,'N'),(15,2217686,'2',426,'N'),(15,2217694,'1',5,'N'),(15,2217694,'2',303,'N'),(15,2217708,'1',301,'N'),(15,2217708,'2',108,'N'),(15,2217724,'1',103,'N'),(15,2217724,'2',104,'N'),(15,2217732,'1',319,'N'),(15,2217732,'2',424,'N'),(15,2217740,'1',319,'N'),(15,2217740,'2',332,'N'),(15,2217759,'1',216,'N'),(15,2217759,'1A',211,'N'),(15,2217759,'2',233,'N'),(15,2217767,'1',207,'N'),(15,2217767,'1A',201,'N'),(15,2217767,'2',420,'N'),(15,2217775,'1',301,'N'),(15,2217783,'1',101,'N'),(15,2217783,'2',501,'N'),(15,2217791,'1',332,'N'),(15,2217791,'2',339,'N'),(15,2217813,'1',444,'N'),(15,2217813,'2',404,'N'),(15,2217821,'1',502,'N'),(15,2217821,'2',108,'N'),(15,2217830,'1',450,'N'),(15,2217830,'2',215,'N'),(15,2217848,'1',502,'N'),(15,2217848,'2',501,'N'),(15,2217856,'1',201,'N'),(15,2217856,'1A',211,'N'),(15,2217856,'2',317,'N'),(15,2217864,'1',9,'N'),(15,2217864,'2',319,'N'),(15,2217872,'1',502,'N'),(15,2217872,'2',217,'N'),(15,2217880,'1',303,'N'),(15,2217880,'2',301,'N'),(15,2217899,'1',102,'N'),(15,2217899,'2',108,'N'),(15,2217910,'1',211,'N'),(15,2217910,'1A',215,'N'),(15,2217910,'2',333,'N'),(15,2217937,'1',102,'N'),(15,2217945,'1',318,'N'),(15,2217953,'1',103,'N'),(15,2217953,'2',102,'N'),(15,2217961,'1',203,'N'),(15,2217961,'1A',216,'N'),(15,2217961,'2',202,'N'),(15,2217970,'1',317,'N'),(15,2217970,'2',301,'N'),(15,2217988,'1',501,'N'),(15,2217988,'2',316,'N'),(15,2217996,'1',103,'N'),(15,2217996,'2',108,'N'),(15,2218003,'1',103,'N'),(15,2218003,'2',207,'N'),(15,2218020,'1',101,'N'),(15,2218020,'2',103,'N'),(15,2218038,'1',108,'N'),(15,2218038,'2',331,'N'),(15,2218046,'1',415,'N'),(15,2218046,'2',428,'N'),(15,2218054,'1',423,'N'),(15,2218054,'2',428,'N'),(15,2218062,'1',303,'N'),(15,2218062,'2',415,'N'),(15,2218070,'1',5,'N'),(15,2218070,'2',303,'N'),(15,2218089,'1',211,'N'),(15,2218089,'1A',215,'N'),(15,2218089,'2',501,'N'),(15,2218097,'1',319,'N'),(15,2218097,'2',420,'N'),(15,2218100,'1',303,'N'),(15,2218100,'2',207,'N'),(15,2218119,'1',502,'N'),(15,2218119,'2',332,'N'),(15,2218127,'1',201,'N'),(15,2218127,'1A',207,'N'),(15,2218127,'2',404,'N'),(15,2218135,'1',211,'N'),(15,2218135,'1A',216,'N'),(15,2218135,'2',212,'N'),(15,2218160,'1',303,'N'),(15,2218160,'2',301,'N'),(15,2218178,'1',202,'N'),(15,2218178,'1A',220,'N'),(15,2218178,'2',225,'N'),(15,2218186,'1',317,'N'),(15,2218186,'2',224,'N'),(15,2218194,'1',444,'N'),(15,2218194,'2',316,'N'),(15,2218208,'1',101,'N'),(15,2218216,'1',319,'N'),(15,2218216,'2',421,'N'),(15,2218224,'1',217,'N'),(15,2218224,'2',339,'N'),(15,2218232,'1',429,'N'),(15,2218232,'1A',423,'N'),(15,2218232,'2',424,'N'),(15,2218240,'1',415,'N'),(15,2218240,'2',425,'N'),(15,2218259,'1',203,'N'),(15,2218259,'1A',214,'N'),(15,2218259,'2',501,'N'),(15,2218267,'1',103,'N'),(15,2218267,'2',104,'N'),(15,2218275,'1',420,'N'),(15,2218275,'2',201,'N'),(15,2218283,'1',211,'N'),(15,2218283,'1A',208,'N'),(15,2218283,'2',501,'N'),(15,2218305,'1',104,'N'),(15,2218305,'2',303,'N'),(15,2218313,'1',404,'N'),(15,2218313,'2',309,'N'),(15,2218321,'1',104,'N'),(15,2218330,'1',502,'N'),(15,2218330,'2',501,'N'),(15,2218348,'1',444,'N'),(15,2218348,'2',339,'N'),(15,2218356,'1',207,'N'),(15,2218356,'1A',208,'N'),(15,2218356,'2',2,'N'),(15,2218364,'1',103,'N'),(15,2218364,'2',211,'N'),(15,2218380,'1',208,'N'),(15,2218380,'1A',238,'N'),(15,2218380,'2',316,'N'),(15,2218399,'1',415,'N'),(15,2218399,'2',303,'N'),(15,2218410,'1',222,'N'),(15,2218410,'2',223,'N'),(15,2218429,'1',303,'N'),(15,2218429,'2',310,'N'),(15,2218437,'1',5,'N'),(15,2218437,'2',316,'N'),(15,2218445,'1',304,'N'),(15,2218453,'1',304,'N'),(15,2218461,'1',211,'N'),(15,2218461,'1A',201,'N'),(15,2218461,'2',333,'N'),(15,2218470,'1',211,'N'),(15,2218470,'2',101,'N'),(15,2218488,'1',104,'N'),(15,2218488,'2',5,'N'),(15,2218496,'1',324,'N'),(15,2218496,'2',450,'N'),(15,2218500,'1',207,'N'),(15,2218500,'1A',201,'N'),(15,2218500,'2',238,'N'),(15,2218518,'1',211,'N'),(15,2218518,'1A',215,'N'),(15,2218518,'2',501,'N'),(15,2218526,'1',303,'N'),(15,2218526,'2',451,'N'),(15,2218534,'1',303,'N'),(15,2218534,'2',425,'N'),(15,2218542,'1',428,'N'),(15,2218542,'1A',426,'N'),(15,2218542,'2',310,'N'),(15,2218569,'1',215,'N'),(15,2218569,'1A',216,'N'),(15,2218569,'2',9,'N'),(15,2218577,'1',217,'N'),(15,2218577,'2',222,'N'),(15,2218585,'1',208,'N'),(15,2218585,'1A',238,'N'),(15,2218585,'2',318,'N'),(15,2218593,'1',5,'N'),(15,2218593,'2',316,'N'),(15,2218607,'1',316,'N'),(15,2218607,'2',444,'N'),(15,2218615,'1',103,'N'),(15,2218623,'1',308,'N'),(15,2218623,'2',309,'N'),(15,2218631,'1',303,'N'),(15,2218631,'2',301,'N'),(15,2218640,'1',5,'N'),(15,2218640,'2',320,'N'),(15,2218658,'1',5,'N'),(15,2218658,'2',316,'N'),(15,2218666,'1',238,'N'),(15,2218666,'1A',208,'N'),(15,2218666,'2',211,'N'),(15,2218674,'1',9,'N'),(15,2218674,'2',444,'N'),(15,2218682,'1',326,'N'),(15,2218682,'2',328,'N'),(15,2218690,'1',502,'N'),(15,2218690,'2',108,'N'),(15,2218704,'1',201,'N'),(15,2218704,'1A',207,'N'),(15,2218704,'2',304,'N'),(15,2218712,'1',103,'N'),(15,2218712,'2',9,'N'),(15,2218720,'1',301,'N'),(15,2218720,'2',425,'N'),(15,2218739,'1',108,'N'),(15,2218739,'2',214,'N'),(15,2218747,'1',333,'N'),(15,2218747,'2',208,'N'),(15,2218755,'1',225,'N'),(15,2218755,'2',202,'N'),(15,2218763,'1',304,'N'),(15,2218763,'2',302,'N'),(15,2218771,'1',216,'N'),(15,2218771,'1A',233,'N'),(15,2218771,'2',102,'N'),(15,2218780,'1',319,'N'),(15,2218780,'2',316,'N'),(15,2218798,'1',451,'N'),(15,2218798,'2',5,'N'),(15,2218801,'1',303,'N'),(15,2218801,'2',302,'N'),(15,2218828,'1',5,'N'),(15,2218828,'2',303,'N'),(15,2218836,'1',203,'N'),(15,2218836,'1A',214,'N'),(15,2218836,'2',201,'N'),(15,2218852,'1',501,'N'),(15,2218852,'2',211,'N'),(15,2218860,'1',309,'N'),(15,2218860,'2',101,'N'),(15,2218879,'1',317,'N'),(15,2218879,'2',320,'N'),(15,2218895,'1',319,'N'),(15,2218895,'2',324,'N'),(15,2218909,'1',216,'N'),(15,2218909,'1A',203,'N'),(15,2218909,'2',233,'N'),(15,2218925,'1',104,'N'),(15,2218925,'2',302,'N'),(15,2218933,'1',327,'N'),(15,2218933,'2',331,'N'),(15,2218941,'1',404,'N'),(15,2218941,'2',324,'N'),(15,2218950,'1',301,'N'),(15,2218950,'2',304,'N'),(15,2218968,'1',302,'N'),(15,2218968,'2',304,'N'),(15,2218984,'1',420,'N'),(15,2218984,'2',333,'N'),(15,2218992,'1',103,'N'),(15,2218992,'2',102,'N'),(15,2219034,'1',319,'N'),(15,2219034,'2',339,'N'),(15,2219042,'1',303,'N'),(15,2219042,'2',415,'N'),(15,2219050,'1',333,'N'),(15,2219050,'2',502,'N'),(15,2219069,'1',339,'N'),(15,2219069,'2',324,'N'),(15,2219077,'1',320,'N'),(15,2219077,'2',327,'N'),(15,2219085,'1',421,'N'),(15,2219085,'1A',427,'N'),(15,2219085,'2',424,'N'),(15,2219093,'1',502,'N'),(15,2219093,'2',501,'N'),(15,2219123,'1',208,'N'),(15,2219123,'1A',238,'N'),(15,2219131,'1',317,'N'),(15,2219131,'2',304,'N'),(15,2219140,'1',451,'N'),(15,2219140,'2',319,'N'),(15,2219158,'1',104,'N'),(15,2219158,'2',102,'N'),(15,2219166,'1',328,'N'),(15,2219166,'2',329,'N'),(15,2219174,'1',207,'N'),(15,2219174,'1A',201,'N'),(15,2219174,'2',324,'N'),(15,2219182,'1',207,'N'),(15,2219182,'1A',201,'N'),(15,2219182,'2',415,'N'),(15,2219190,'1',203,'N'),(15,2219190,'1A',202,'N'),(15,2219190,'2',214,'N'),(15,2219204,'1',327,'N'),(15,2219204,'2',326,'N'),(15,2219212,'1',415,'N'),(15,2219212,'2',319,'N'),(15,2219239,'1',238,'N'),(15,2219239,'1A',208,'N'),(15,2219239,'2',333,'N'),(15,2219247,'1',331,'N'),(15,2219247,'2',333,'N'),(15,2219263,'1',444,'N'),(15,2219263,'2',333,'N'),(15,2219271,'1',220,'N'),(15,2219271,'1A',203,'N'),(15,2219271,'2',214,'N'),(15,2219280,'1',319,'N'),(15,2219280,'2',501,'N'),(15,2219298,'1',303,'N'),(15,2219298,'2',427,'N'),(15,2219301,'1',501,'N'),(15,2219301,'2',104,'N'),(15,2219310,'1',211,'N'),(15,2219328,'1',319,'N'),(15,2219328,'2',326,'N'),(15,2219336,'1',208,'N'),(15,2219336,'1A',238,'N'),(15,2219336,'2',222,'N'),(15,2219352,'1',104,'N'),(15,2219352,'2',444,'N'),(15,2219360,'1',103,'N'),(15,2219360,'2',9,'N'),(15,2219379,'1',207,'N'),(15,2219379,'1A',201,'N'),(15,2219379,'2',420,'N'),(15,2219387,'1',215,'N'),(15,2219387,'2',301,'N'),(15,2219395,'1',420,'N'),(15,2219395,'2',444,'N'),(15,2219409,'1',104,'N'),(15,2219409,'2',207,'N'),(15,2219417,'1',220,'N'),(15,2219417,'1A',203,'N'),(15,2219417,'2',216,'N'),(15,2219425,'1',201,'N'),(15,2219425,'1A',212,'N'),(15,2219425,'2',223,'N'),(15,2219433,'1',319,'N'),(15,2219433,'2',451,'N'),(15,2219441,'1',203,'N'),(15,2219441,'1A',216,'N'),(15,2219441,'2',217,'N'),(15,2219450,'1',211,'N'),(15,2219450,'1A',238,'N'),(15,2219450,'2',318,'N'),(15,2219468,'1',203,'N'),(15,2219476,'1',302,'N'),(15,2219476,'2',224,'N'),(15,2219484,'1',103,'N'),(15,2219484,'2',425,'N'),(15,2219506,'1',103,'N'),(15,2219506,'2',104,'N'),(15,2219514,'1',103,'N'),(15,2219514,'2',332,'N'),(15,2219522,'1',2,'N'),(15,2219522,'2',225,'N'),(15,2219530,'1',201,'N'),(15,2219530,'1A',212,'N'),(15,2219530,'2',329,'N'),(15,2219549,'1',316,'N'),(15,2219549,'2',301,'N'),(15,2219557,'1',316,'N'),(15,2219557,'2',5,'N'),(15,2219565,'1',303,'N'),(15,2219565,'2',428,'N'),(15,2219573,'1',404,'N'),(15,2219573,'2',420,'N'),(15,2219590,'1',5,'N'),(15,2219590,'2',327,'N'),(15,2219603,'1',316,'N'),(15,2219603,'2',317,'N'),(15,2219611,'1',444,'N'),(15,2219611,'2',333,'N'),(15,2219620,'1',202,'N'),(15,2219620,'1A',203,'N'),(15,2219620,'2',2,'N'),(15,2219638,'1',444,'N'),(15,2219638,'2',339,'N'),(15,2219646,'1',415,'N'),(15,2219646,'2',303,'N'),(15,2219662,'1',444,'N'),(15,2219662,'2',238,'N'),(15,2219689,'1',320,'N'),(15,2219689,'2',327,'N'),(15,2219697,'1',103,'N'),(15,2219700,'1',333,'N'),(15,2219700,'2',324,'N'),(15,2219719,'1',202,'N'),(15,2219719,'1A',213,'N'),(15,2219719,'2',333,'N'),(15,2219727,'1',319,'N'),(15,2219727,'2',301,'N'),(15,2219735,'1',207,'N'),(15,2219735,'2',104,'N'),(15,2219743,'1',303,'N'),(15,2219743,'2',5,'N'),(15,2219760,'1',208,'N'),(15,2219760,'1A',238,'N'),(15,2219760,'2',317,'N'),(15,2219778,'1',327,'N'),(15,2219778,'2',324,'N'),(15,2219794,'1',103,'N'),(15,2219794,'2',104,'N'),(15,2219808,'1',301,'N'),(15,2219808,'2',420,'N'),(15,2219824,'1',224,'N'),(15,2219824,'2',324,'N'),(15,2219832,'1',326,'N'),(15,2219832,'2',329,'N'),(15,2219840,'1',451,'N'),(15,2219840,'2',423,'N'),(15,2219859,'1',444,'N'),(15,2219859,'2',404,'N'),(15,2219867,'1',216,'N'),(15,2219867,'1A',233,'N'),(15,2219867,'2',217,'N'),(15,2219883,'1',103,'N'),(15,2219883,'2',104,'N'),(15,2219891,'1',501,'N'),(15,2219891,'2',502,'N'),(15,2219905,'1',319,'N'),(15,2219905,'2',108,'N'),(15,2219913,'1',429,'N'),(15,2219913,'1A',425,'N'),(15,2219913,'2',333,'N'),(15,2219921,'1',202,'N'),(15,2219921,'1A',211,'N'),(15,2219921,'2',216,'N'),(15,2219930,'1',318,'N'),(15,2219930,'2',415,'N'),(15,2219948,'1',220,'N'),(15,2219948,'2',2,'N'),(15,2219956,'1',302,'N'),(15,2219956,'2',223,'N'),(15,2219972,'1',429,'N'),(15,2219972,'1A',425,'N'),(15,2219972,'2',213,'N'),(15,2219980,'1',316,'N'),(15,2219980,'2',427,'N'),(15,2219999,'1',324,'N'),(15,2219999,'2',339,'N'),(15,2220008,'1',222,'N'),(15,2220008,'2',333,'N'),(15,2220016,'1',302,'N'),(15,2220016,'2',420,'N'),(15,2220024,'1',201,'N'),(15,2220024,'2',102,'N'),(15,2220032,'1',318,'N'),(15,2220032,'2',327,'N'),(15,2220059,'1',220,'N'),(15,2220059,'1A',202,'N'),(15,2220059,'2',208,'N'),(15,2220067,'1',302,'N'),(15,2220067,'2',217,'N'),(15,2220083,'1',317,'N'),(15,2220083,'2',316,'N'),(15,2220091,'1',316,'N'),(15,2220091,'2',425,'N'),(15,2220105,'1',103,'N'),(15,2220105,'2',225,'N'),(15,2220113,'1',201,'N'),(15,2220113,'1A',207,'N'),(15,2220113,'2',225,'N'),(15,2220121,'1',103,'N'),(15,2220121,'2',101,'N'),(15,2220130,'1',444,'N'),(15,2220130,'2',329,'N'),(15,2220148,'1',201,'N'),(15,2220148,'1A',207,'N'),(15,2220148,'2',102,'N'),(15,2220164,'1',102,'N'),(15,2220164,'2',444,'N'),(15,2220172,'1',108,'N'),(15,2220172,'2',502,'N'),(15,2220180,'1',9,'N'),(15,2220180,'2',102,'N'),(15,2220199,'1',319,'N'),(15,2220199,'2',324,'N'),(15,2220202,'1',214,'N'),(15,2220202,'1A',201,'N'),(15,2220202,'2',5,'N'),(15,2220210,'1',319,'N'),(15,2220237,'1',102,'N'),(15,2220237,'2',9,'N'),(15,2220245,'1',207,'N'),(15,2220245,'1A',233,'N'),(15,2220245,'2',423,'N'),(15,2220253,'1',212,'N'),(15,2220253,'1A',238,'N'),(15,2220253,'2',201,'N'),(15,2220261,'1',207,'N'),(15,2220261,'1A',201,'N'),(15,2220261,'2',420,'N'),(15,2220270,'1',425,'N'),(15,2220270,'2',208,'N'),(15,2220288,'1',501,'N'),(15,2220288,'2',316,'N'),(15,2220296,'1',213,'N'),(15,2220318,'1',316,'N'),(15,2220318,'2',5,'N'),(15,2220334,'1',103,'N'),(15,2220334,'2',104,'N'),(15,2220342,'1',104,'N'),(15,2220342,'2',316,'N'),(15,2220350,'1',103,'N'),(15,2220350,'2',101,'N'),(15,2220369,'1',216,'N'),(15,2220369,'1A',211,'N'),(15,2220369,'2',215,'N'),(15,2220377,'1',5,'N'),(15,2220377,'2',303,'N'),(15,2220385,'1',444,'N'),(15,2220385,'2',2,'N'),(15,2220393,'1',104,'N'),(15,2220393,'2',333,'N'),(15,2220407,'1',211,'N'),(15,2220407,'1A',213,'N'),(15,2220407,'2',501,'N'),(15,2220415,'1',207,'N'),(15,2220415,'1A',211,'N'),(15,2220415,'2',101,'N'),(15,2220431,'1',318,'N'),(15,2220431,'2',233,'N'),(15,2220440,'1',316,'N'),(15,2220440,'2',425,'N'),(15,2220458,'1',103,'N'),(15,2220458,'2',339,'N'),(15,2220466,'1',302,'N'),(15,2220466,'2',304,'N'),(15,2220474,'1',103,'N'),(15,2220482,'1',9,'N'),(15,2220482,'2',103,'N'),(15,2220490,'1',108,'N'),(15,2220490,'2',333,'N'),(15,2220504,'1',501,'N'),(15,2220504,'2',423,'N'),(15,2220512,'1',5,'N'),(15,2220512,'2',320,'N'),(15,2220520,'1',319,'N'),(15,2220520,'2',203,'N'),(15,2220539,'1',9,'N'),(15,2220547,'1',5,'N'),(15,2220547,'2',451,'N'),(15,2220563,'1',108,'N'),(15,2220563,'2',502,'N'),(15,2220571,'1',104,'N'),(15,2220571,'2',9,'N'),(15,2220580,'1',108,'N'),(15,2220580,'2',424,'N'),(15,2220598,'1',211,'N'),(15,2220598,'1A',203,'N'),(15,2220598,'2',201,'N'),(15,2220601,'1',317,'N'),(15,2220601,'2',224,'N'),(15,2220610,'1',5,'N'),(15,2220610,'2',303,'N'),(15,2220628,'1',201,'N'),(15,2220628,'1A',212,'N'),(15,2220628,'2',333,'N'),(15,2220636,'1',426,'N'),(15,2220636,'1A',428,'N'),(15,2220636,'2',320,'N'),(15,2220644,'1',2,'N'),(15,2220644,'2',225,'N'),(15,2220652,'1',103,'N'),(15,2220652,'2',451,'N'),(15,2220679,'1',326,'N'),(15,2220679,'2',224,'N'),(15,2220687,'1',5,'N'),(15,2220687,'2',333,'N'),(15,2220709,'1',304,'N'),(15,2220709,'2',308,'N'),(15,2220717,'1',103,'N'),(15,2220717,'2',101,'N'),(15,2220725,'1',103,'N'),(15,2220725,'2',303,'N'),(15,2220733,'1',207,'N'),(15,2220733,'2',201,'N'),(15,2220741,'1',2,'N'),(15,2220741,'2',502,'N'),(15,2220750,'1',103,'N'),(15,2220750,'2',424,'N'),(15,2220768,'1',211,'N'),(15,2220776,'1',333,'N'),(15,2220776,'2',331,'N'),(15,2220784,'1',207,'N'),(15,2220784,'1A',201,'N'),(15,2220784,'2',420,'N'),(15,2220792,'1',319,'N'),(15,2220792,'2',320,'N'),(15,2220806,'1',420,'N'),(15,2220806,'2',319,'N'),(15,2220814,'1',108,'N'),(15,2220814,'2',502,'N'),(15,2220822,'1',203,'N'),(15,2220822,'2',202,'N'),(15,2220830,'1',104,'N'),(15,2220830,'2',102,'N'),(15,2220849,'1',331,'N'),(15,2220849,'2',238,'N'),(15,2220857,'1',317,'N'),(15,2220857,'2',304,'N'),(15,2220865,'1',9,'N'),(15,2220865,'2',215,'N'),(15,2220873,'1',102,'N'),(15,2220873,'2',108,'N'),(15,2220881,'1',308,'N'),(15,2220881,'2',339,'N'),(15,2220890,'1',108,'N'),(15,2220890,'2',333,'N'),(15,2220903,'1',339,'N'),(15,2220903,'2',324,'N'),(15,2220920,'1',303,'N'),(15,2220920,'2',5,'N'),(15,2220938,'1',220,'N'),(15,2220938,'1A',213,'N');
INSERT INTO opcao_candidato VALUES (15,2220938,'2',202,'N'),(15,2220946,'1',9,'N'),(15,2220946,'2',215,'N'),(15,2220954,'1',324,'N'),(15,2220954,'2',308,'N'),(15,2220962,'1',101,'N'),(15,2220962,'2',333,'N'),(15,2220989,'1',104,'N'),(15,2220989,'2',415,'N'),(15,2221004,'1',103,'N'),(15,2221004,'2',101,'N'),(15,2221012,'1',316,'N'),(15,2221012,'2',301,'N'),(15,2221020,'1',207,'N'),(15,2221020,'1A',201,'N'),(15,2221020,'2',320,'N'),(15,2221039,'1',426,'N'),(15,2221039,'1A',428,'N'),(15,2221039,'2',415,'N'),(15,2221055,'1',9,'N'),(15,2221071,'1',208,'N'),(15,2221071,'1A',233,'N'),(15,2221071,'2',302,'N'),(15,2221080,'1',104,'N'),(15,2221080,'2',502,'N'),(15,2221098,'1',103,'N'),(15,2221098,'2',421,'N'),(15,2221101,'1',238,'N'),(15,2221101,'1A',208,'N'),(15,2221101,'2',220,'N'),(15,2221110,'1',214,'N'),(15,2221110,'1A',212,'N'),(15,2221110,'2',203,'N'),(15,2221128,'1',420,'N'),(15,2221128,'2',425,'N'),(15,2221136,'1',319,'N'),(15,2221136,'2',308,'N'),(15,2221152,'1',5,'N'),(15,2221152,'2',303,'N'),(15,2221160,'1',303,'N'),(15,2221160,'2',423,'N'),(15,2221187,'1',450,'N'),(15,2221187,'2',451,'N'),(15,2221195,'1',103,'N'),(15,2221195,'2',102,'N'),(15,2221209,'1',301,'N'),(15,2221209,'2',423,'N'),(15,2221217,'1',302,'N'),(15,2221217,'2',308,'N'),(15,2221225,'1',301,'N'),(15,2221225,'2',223,'N'),(15,2221233,'1',9,'N'),(15,2221241,'1',451,'N'),(15,2221250,'1',444,'N'),(15,2221250,'2',332,'N'),(15,2221268,'1',103,'N'),(15,2221268,'2',108,'N'),(15,2221276,'1',201,'N'),(15,2221276,'1A',207,'N'),(15,2221276,'2',212,'N'),(15,2221284,'1',203,'N'),(15,2221284,'1A',220,'N'),(15,2221284,'2',214,'N'),(15,2221292,'1',415,'N'),(15,2221292,'2',420,'N'),(15,2221306,'1',211,'N'),(15,2221306,'1A',202,'N'),(15,2221306,'2',238,'N'),(15,2221314,'1',9,'N'),(15,2221314,'2',308,'N'),(15,2221322,'1',103,'N'),(15,2221322,'2',216,'N'),(15,2221330,'1',201,'N'),(15,2221349,'1',102,'N'),(15,2221349,'2',217,'N'),(15,2221357,'1',329,'N'),(15,2221357,'2',451,'N'),(15,2221365,'1',5,'N'),(15,2221365,'2',303,'N'),(15,2221373,'1',101,'N'),(15,2221373,'2',324,'N'),(15,2221381,'1',213,'N'),(15,2221381,'1A',202,'N'),(15,2221403,'1',103,'N'),(15,2221403,'2',101,'N'),(15,2221411,'1',102,'N'),(15,2221411,'2',108,'N'),(15,2221420,'1',103,'N'),(15,2221420,'2',104,'N'),(15,2221438,'1',332,'N'),(15,2221438,'2',225,'N'),(15,2221446,'1',415,'N'),(15,2221446,'2',451,'N'),(15,2221462,'1',211,'N'),(15,2221462,'2',331,'N'),(15,2221470,'1',415,'N'),(15,2221470,'2',333,'N'),(15,2221489,'1',332,'N'),(15,2221489,'2',327,'N'),(15,2221497,'1',444,'N'),(15,2221497,'2',331,'N'),(15,2221500,'1',207,'N'),(15,2221500,'2',214,'N'),(15,2221519,'1',217,'N'),(15,2221519,'2',101,'N'),(15,2221527,'1',211,'N'),(15,2221527,'1A',233,'N'),(15,2221527,'2',303,'N'),(15,2221535,'1',339,'N'),(15,2221535,'2',502,'N'),(15,2221543,'1',317,'N'),(15,2221543,'2',501,'N'),(15,2221551,'1',220,'N'),(15,2221551,'1A',208,'N'),(15,2221560,'1',425,'N'),(15,2221560,'2',308,'N'),(15,2221578,'1',220,'N'),(15,2221578,'1A',233,'N'),(15,2221578,'2',203,'N'),(15,2221586,'1',316,'N'),(15,2221586,'2',429,'N'),(15,2221594,'1',444,'N'),(15,2221594,'2',211,'N'),(15,2221608,'1',203,'N'),(15,2221608,'1A',214,'N'),(15,2221608,'2',202,'N'),(15,2221616,'1',104,'N'),(15,2221616,'2',328,'N'),(15,2221632,'1',5,'N'),(15,2221632,'2',225,'N'),(15,2221640,'1',428,'N'),(15,2221640,'1A',425,'N'),(15,2221640,'2',215,'N'),(15,2221667,'1',451,'N'),(15,2221667,'2',450,'N'),(15,2221675,'1',328,'N'),(15,2221675,'2',301,'N'),(15,2221683,'1',450,'N'),(15,2221683,'2',451,'N'),(15,2221691,'1',103,'N'),(15,2221691,'2',333,'N'),(15,2221705,'1',202,'N'),(15,2221705,'1A',203,'N'),(15,2221705,'2',208,'N'),(15,2221713,'1',207,'N'),(15,2221713,'1A',214,'N'),(15,2221713,'2',316,'N'),(15,2221730,'1',103,'N'),(15,2221730,'2',415,'N'),(15,2221748,'1',103,'N'),(15,2221748,'2',101,'N'),(15,2221756,'1',224,'N'),(15,2221756,'2',426,'N'),(15,2221764,'1',331,'N'),(15,2221764,'2',332,'N'),(15,2221772,'1',329,'N'),(15,2221772,'2',404,'N'),(15,2221780,'1',316,'N'),(15,2221780,'2',301,'N'),(15,2221799,'1',404,'N'),(15,2221799,'2',222,'N'),(15,2221802,'1',303,'N'),(15,2221802,'2',104,'N'),(15,2221810,'1',203,'N'),(15,2221810,'1A',214,'N'),(15,2221810,'2',208,'N'),(15,2221829,'1',5,'N'),(15,2221829,'2',327,'N'),(15,2221837,'1',425,'N'),(15,2221837,'1A',421,'N'),(15,2221837,'2',424,'N'),(15,2221845,'1',316,'N'),(15,2221845,'2',317,'N'),(15,2221853,'1',234,'N'),(15,2221853,'2',502,'N'),(15,2221861,'1',102,'N'),(15,2221861,'2',108,'N'),(15,2221870,'1',301,'N'),(15,2221870,'2',310,'N'),(15,2221888,'1',327,'N'),(15,2221888,'2',324,'N'),(15,2221896,'1',308,'N'),(15,2221896,'2',316,'N'),(15,2221900,'1',327,'N'),(15,2221900,'2',224,'N'),(15,2221918,'1',320,'N'),(15,2221918,'2',310,'N'),(15,2221926,'1',319,'N'),(15,2221926,'2',428,'N'),(15,2221934,'1',103,'N'),(15,2221934,'2',5,'N'),(15,2221942,'1',319,'N'),(15,2221942,'2',5,'N'),(15,2221969,'1',102,'N'),(15,2221969,'2',427,'N'),(15,2221977,'1',203,'N'),(15,2221977,'2',108,'N'),(15,2221985,'1',212,'N'),(15,2221985,'1A',201,'N'),(15,2221985,'2',301,'N'),(15,2221993,'1',316,'N'),(15,2221993,'2',444,'N'),(15,2222000,'1',319,'N'),(15,2222000,'2',333,'N'),(15,2222019,'1',425,'N'),(15,2222019,'1A',429,'N'),(15,2222019,'2',103,'N'),(15,2222027,'1',5,'N'),(15,2222027,'2',420,'N'),(15,2222035,'1',201,'N'),(15,2222043,'1',331,'N'),(15,2222043,'2',301,'N'),(15,2222051,'1',415,'N'),(15,2222051,'2',9,'N'),(15,2222060,'1',203,'N'),(15,2222060,'1A',212,'N'),(15,2222060,'2',5,'N'),(15,2222078,'1',103,'N'),(15,2222078,'2',104,'N'),(15,2222086,'1',317,'N'),(15,2222086,'2',327,'N'),(15,2222094,'1',333,'N'),(15,2222094,'2',207,'N'),(15,2222108,'1',302,'N'),(15,2222108,'2',329,'N'),(15,2222116,'1',415,'N'),(15,2222116,'2',9,'N'),(15,2222132,'1',104,'N'),(15,2222132,'2',9,'N'),(15,2222140,'1',103,'N'),(15,2222140,'2',102,'N'),(15,2222159,'1',423,'N'),(15,2222159,'2',424,'N'),(15,2222167,'1',317,'N'),(15,2222167,'2',318,'N'),(15,2222175,'1',103,'N'),(15,2222175,'2',5,'N'),(15,2222183,'1',203,'N'),(15,2222183,'1A',214,'N'),(15,2222183,'2',415,'N'),(15,2222191,'1',103,'N'),(15,2222205,'1',5,'N'),(15,2222205,'2',320,'N'),(15,2222213,'1',103,'N'),(15,2222213,'2',101,'N'),(15,2222221,'1',203,'N'),(15,2222221,'1A',220,'N'),(15,2222221,'2',214,'N'),(15,2222230,'1',203,'N'),(15,2222230,'1A',213,'N'),(15,2222230,'2',2,'N'),(15,2222256,'1',450,'N'),(15,2222264,'1',208,'N'),(15,2222264,'2',238,'N'),(15,2222272,'1',320,'N'),(15,2222272,'2',426,'N'),(15,2222280,'1',303,'N'),(15,2222280,'2',104,'N'),(15,2222302,'1',207,'N'),(15,2222302,'1A',201,'N'),(15,2222302,'2',420,'N'),(15,2222310,'1',5,'N'),(15,2222310,'2',303,'N'),(15,2222337,'1',103,'N'),(15,2222337,'2',333,'N'),(15,2222345,'1',319,'N'),(15,2222345,'2',318,'N'),(15,2222353,'1',339,'N'),(15,2222353,'2',319,'N'),(15,2222361,'1',215,'N'),(15,2222361,'1A',213,'N'),(15,2222361,'2',318,'N'),(15,2222370,'1',317,'N'),(15,2222370,'2',225,'N'),(15,2222388,'1',301,'N'),(15,2222388,'2',429,'N'),(15,2222396,'1',415,'N'),(15,2222396,'2',450,'N'),(15,2222400,'1',309,'N'),(15,2222400,'2',324,'N'),(15,2222426,'1',5,'N'),(15,2222426,'2',303,'N'),(15,2222442,'1',203,'N'),(15,2222442,'1A',202,'N'),(15,2222442,'2',223,'N'),(15,2222450,'1',102,'N'),(15,2222450,'2',215,'N'),(15,2222469,'1',316,'N'),(15,2222469,'2',318,'N'),(15,2222477,'1',320,'N'),(15,2222477,'2',310,'N'),(15,2222485,'1',104,'N'),(15,2222493,'1',103,'N'),(15,2222493,'2',224,'N'),(15,2222507,'1',5,'N'),(15,2222507,'2',425,'N'),(15,2222523,'1',450,'N'),(15,2222523,'2',415,'N'),(15,2222531,'1',5,'N'),(15,2222531,'2',317,'N'),(15,2222540,'1',203,'N'),(15,2222540,'1A',201,'N'),(15,2222540,'2',214,'N'),(15,2222558,'1',203,'N'),(15,2222558,'1A',214,'N'),(15,2222558,'2',220,'N'),(15,2222566,'1',103,'N'),(15,2222566,'2',104,'N'),(15,2222574,'1',317,'N'),(15,2222574,'2',302,'N'),(15,2222582,'1',9,'N'),(15,2222582,'2',301,'N'),(15,2222590,'1',201,'N'),(15,2222590,'2',420,'N'),(15,2222612,'1',9,'N'),(15,2222612,'2',420,'N'),(15,2222620,'1',201,'N'),(15,2222620,'1A',207,'N'),(15,2222620,'2',5,'N'),(15,2222639,'1',102,'N'),(15,2222639,'2',215,'N'),(15,2222647,'1',5,'N'),(15,2222647,'2',316,'N'),(15,2222655,'1',238,'N'),(15,2222655,'1A',233,'N'),(15,2222655,'2',222,'N'),(15,2222671,'1',104,'N'),(15,2222671,'2',9,'N'),(15,2222680,'1',5,'N'),(15,2222680,'2',316,'N'),(15,2222698,'1',5,'N'),(15,2222698,'2',9,'N'),(15,2222701,'1',207,'N'),(15,2222701,'2',316,'N'),(15,2222710,'1',207,'N'),(15,2222710,'1A',238,'N'),(15,2222710,'2',201,'N'),(15,2222728,'1',103,'N'),(15,2222728,'2',104,'N'),(15,2222744,'1',303,'N'),(15,2222744,'2',5,'N'),(15,2222752,'1',5,'N'),(15,2222752,'2',104,'N'),(15,2222760,'1',202,'N'),(15,2222760,'1A',201,'N'),(15,2222760,'2',203,'N'),(15,2222779,'1',208,'N'),(15,2222779,'1A',238,'N'),(15,2222779,'2',420,'N'),(15,2222787,'1',211,'N'),(15,2222787,'1A',201,'N'),(15,2222787,'2',333,'N'),(15,2222795,'1',238,'N'),(15,2222795,'1A',208,'N'),(15,2222795,'2',202,'N'),(15,2222809,'1',303,'N'),(15,2222809,'2',415,'N'),(15,2222817,'1',332,'N'),(15,2222817,'2',308,'N'),(15,2222825,'1',404,'N'),(15,2222825,'2',339,'N'),(15,2222833,'1',316,'N'),(15,2222833,'2',301,'N'),(15,2222841,'1',319,'N'),(15,2222841,'2',329,'N'),(15,2222850,'1',319,'N'),(15,2222850,'2',308,'N'),(15,2222906,'1',102,'N'),(15,2222906,'2',211,'N'),(15,2222914,'1',339,'N'),(15,2222914,'2',327,'N'),(15,2222922,'1',301,'N'),(15,2222922,'2',316,'N'),(15,2222930,'1',318,'N'),(15,2222930,'2',427,'N'),(15,2222949,'1',201,'N'),(15,2222949,'1A',203,'N'),(15,2222949,'2',501,'N'),(15,2222957,'1',333,'N'),(15,2222957,'2',501,'N'),(15,2222965,'1',302,'N'),(15,2222965,'2',304,'N'),(15,2222973,'1',207,'N'),(15,2222973,'1A',201,'N'),(15,2222973,'2',420,'N'),(15,2222981,'1',202,'N'),(15,2222981,'1A',201,'N'),(15,2222981,'2',203,'N'),(15,2222990,'1',302,'N'),(15,2223007,'1',415,'N'),(15,2223007,'2',301,'N'),(15,2223015,'1',103,'N'),(15,2223015,'2',5,'N'),(15,2223023,'1',102,'N'),(15,2223023,'2',103,'N'),(15,2223031,'1',320,'N'),(15,2223031,'2',328,'N'),(15,2223040,'1',103,'N'),(15,2223058,'1',316,'N'),(15,2223058,'2',301,'N'),(15,2223066,'1',333,'N'),(15,2223066,'2',332,'N'),(15,2223074,'1',216,'N'),(15,2223074,'1A',215,'N'),(15,2223074,'2',102,'N'),(15,2223082,'1',316,'N'),(15,2223082,'2',301,'N'),(15,2223090,'1',318,'N'),(15,2223104,'1',201,'N'),(15,2223104,'2',207,'N'),(15,2223112,'1',404,'N'),(15,2223112,'2',2,'N'),(15,2223120,'1',207,'N'),(15,2223120,'1A',201,'N'),(15,2223120,'2',316,'N'),(15,2223139,'1',203,'N'),(15,2223139,'1A',214,'N'),(15,2223139,'2',216,'N'),(15,2223147,'1',103,'N'),(15,2223147,'2',415,'N'),(15,2223163,'1',303,'N'),(15,2223163,'2',319,'N'),(15,2223171,'1',324,'N'),(15,2223171,'2',222,'N'),(15,2223180,'1',207,'N'),(15,2223198,'1',426,'N'),(15,2223198,'1A',428,'N'),(15,2223198,'2',423,'N'),(15,2223201,'1',101,'N'),(15,2223201,'2',211,'N'),(15,2223210,'1',429,'N'),(15,2223210,'1A',426,'N'),(15,2223228,'1',324,'N'),(15,2223228,'2',426,'N'),(15,2223236,'1',5,'N'),(15,2223236,'2',318,'N'),(15,2223244,'1',203,'N'),(15,2223244,'1A',202,'N'),(15,2223244,'2',201,'N'),(15,2223252,'1',102,'N'),(15,2223252,'2',223,'N'),(15,2223260,'1',316,'N'),(15,2223260,'2',339,'N'),(15,2223279,'1',108,'N'),(15,2223279,'2',333,'N'),(15,2223287,'1',415,'N'),(15,2223287,'2',427,'N'),(15,2223295,'1',324,'N'),(15,2223295,'2',339,'N'),(15,2223309,'1',501,'N'),(15,2223309,'2',211,'N'),(15,2223317,'1',501,'N'),(15,2223317,'2',316,'N'),(15,2223325,'1',216,'N'),(15,2223325,'1A',201,'N'),(15,2223325,'2',415,'N'),(15,2223333,'1',103,'N'),(15,2223333,'2',203,'N'),(15,2223341,'1',304,'N'),(15,2223341,'2',318,'N'),(15,2223350,'1',207,'N'),(15,2223350,'1A',214,'N'),(15,2223350,'2',233,'N'),(15,2223368,'1',319,'N'),(15,2223368,'2',308,'N'),(15,2223376,'1',317,'N'),(15,2223376,'2',333,'N'),(15,2223384,'1',333,'N'),(15,2223384,'2',444,'N'),(15,2223392,'1',302,'N'),(15,2223392,'2',201,'N'),(15,2223414,'1',201,'N'),(15,2223414,'2',212,'N'),(15,2223422,'1',102,'N'),(15,2223422,'2',215,'N'),(15,2223430,'1',316,'N'),(15,2223430,'2',9,'N'),(15,2223449,'1',415,'N'),(15,2223449,'2',451,'N'),(15,2223473,'1',208,'N'),(15,2223473,'1A',238,'N'),(15,2223473,'2',202,'N'),(15,2223481,'1',102,'N'),(15,2223481,'2',233,'N'),(15,2223490,'1',103,'N'),(15,2223490,'2',217,'N'),(15,2223503,'1',203,'N'),(15,2223503,'1A',214,'N'),(15,2223503,'2',202,'N'),(15,2223520,'1',220,'N'),(15,2223520,'1A',202,'N'),(15,2223520,'2',2,'N'),(15,2223538,'1',103,'N'),(15,2223538,'2',450,'N'),(15,2223546,'1',103,'N'),(15,2223546,'2',301,'N'),(15,2223554,'1',9,'N'),(15,2223554,'2',308,'N'),(15,2223562,'1',310,'N'),(15,2223562,'2',320,'N'),(15,2223570,'1',101,'N'),(15,2223570,'2',9,'N'),(15,2223597,'1',450,'N'),(15,2223597,'2',326,'N'),(15,2223600,'1',303,'N'),(15,2223600,'2',211,'N'),(15,2223619,'1',301,'N'),(15,2223619,'2',444,'N'),(15,2223627,'1',238,'N'),(15,2223627,'1A',220,'N'),(15,2223627,'2',103,'N'),(15,2223635,'1',501,'N'),(15,2223635,'2',215,'N'),(15,2223643,'1',318,'N'),(15,2223643,'2',213,'N'),(15,2223651,'1',333,'N'),(15,2223651,'2',426,'N'),(15,2223660,'1',208,'N'),(15,2223660,'1A',238,'N'),(15,2223660,'2',203,'N'),(15,2223694,'1',202,'N'),(15,2223694,'1A',208,'N'),(15,2223694,'2',201,'N'),(15,2223708,'1',451,'N'),(15,2223708,'2',9,'N'),(15,2223716,'1',415,'N'),(15,2223716,'2',427,'N'),(15,2223724,'1',104,'N'),(15,2223724,'2',304,'N'),(15,2223732,'1',224,'N'),(15,2223732,'2',222,'N'),(15,2223740,'1',211,'N'),(15,2223740,'1A',215,'N'),(15,2223740,'2',333,'N'),(15,2223759,'1',216,'N'),(15,2223759,'1A',203,'N'),(15,2223759,'2',222,'N'),(15,2223767,'1',450,'N'),(15,2223775,'1',316,'N'),(15,2223775,'2',331,'N'),(15,2223783,'1',208,'N'),(15,2223783,'1A',202,'N'),(15,2223783,'2',316,'N'),(15,2223791,'1',214,'N'),(15,2223791,'1A',220,'N'),(15,2223791,'2',420,'N'),(15,2223805,'1',104,'N'),(15,2223805,'2',211,'N'),(15,2223813,'1',319,'N'),(15,2223813,'2',320,'N'),(15,2223821,'1',103,'N'),(15,2223821,'2',203,'N'),(15,2223830,'1',2,'N'),(15,2223830,'2',328,'N'),(15,2223848,'1',303,'N'),(15,2223848,'2',5,'N'),(15,2223856,'1',234,'N'),(15,2223856,'2',404,'N'),(15,2223872,'1',404,'N'),(15,2223872,'2',428,'N'),(15,2223899,'1',415,'N'),(15,2223899,'2',428,'N'),(15,2223902,'1',103,'N'),(15,2223902,'2',333,'N'),(15,2223910,'1',318,'N'),(15,2223910,'2',215,'N'),(15,2223929,'1',104,'N'),(15,2223937,'1',211,'N'),(15,2223937,'1A',214,'N'),(15,2223937,'2',201,'N'),(15,2223945,'1',450,'N'),(15,2223945,'2',5,'N'),(15,2223953,'1',234,'N'),(15,2223953,'2',333,'N'),(15,2223961,'1',203,'N'),(15,2223961,'1A',233,'N'),(15,2223961,'2',202,'N'),(15,2223970,'1',317,'N'),(15,2223970,'2',207,'N'),(15,2223988,'1',103,'N'),(15,2223988,'2',303,'N'),(15,2223996,'1',5,'N'),(15,2223996,'2',303,'N'),(15,2224003,'1',316,'N'),(15,2224003,'2',224,'N'),(15,2224011,'1',404,'N'),(15,2224011,'2',444,'N'),(15,2224020,'1',103,'N'),(15,2224020,'2',102,'N'),(15,2224038,'1',301,'N'),(15,2224038,'2',103,'N'),(15,2224046,'1',102,'N'),(15,2224046,'2',101,'N'),(15,2224054,'1',301,'N'),(15,2224054,'2',223,'N'),(15,2224062,'1',9,'N'),(15,2224062,'2',103,'N'),(15,2224070,'1',5,'N'),(15,2224070,'2',320,'N'),(15,2224089,'1',5,'N'),(15,2224089,'2',327,'N'),(15,2224097,'1',303,'N'),(15,2224097,'2',301,'N'),(15,2224100,'1',9,'N'),(15,2224100,'2',215,'N'),(15,2224119,'1',316,'N'),(15,2224119,'2',318,'N'),(15,2224127,'1',202,'N'),(15,2224127,'2',203,'N'),(15,2224135,'1',9,'N'),(15,2224135,'2',420,'N'),(15,2224143,'1',101,'N'),(15,2224143,'2',324,'N'),(15,2224151,'1',207,'N'),(15,2224151,'1A',201,'N'),(15,2224151,'2',2,'N'),(15,2224178,'1',501,'N'),(15,2224178,'2',211,'N'),(15,2224186,'1',238,'N'),(15,2224186,'2',9,'N'),(15,2224194,'1',203,'N'),(15,2224194,'1A',214,'N'),(15,2224194,'2',201,'N'),(15,2224208,'1',217,'N'),(15,2224208,'2',333,'N'),(15,2224216,'1',450,'N'),(15,2224216,'2',328,'N'),(15,2224224,'1',238,'N'),(15,2224224,'1A',233,'N'),(15,2224224,'2',332,'N'),(15,2224232,'1',333,'N'),(15,2224232,'2',108,'N'),(15,2224240,'1',308,'N'),(15,2224240,'2',5,'N'),(15,2224259,'1',444,'N'),(15,2224259,'2',501,'N'),(15,2224267,'1',333,'N'),(15,2224267,'2',108,'N'),(15,2224275,'1',303,'N'),(15,2224275,'2',425,'N'),(15,2224291,'1',304,'N'),(15,2224291,'2',450,'N'),(15,2224305,'1',317,'N'),(15,2224305,'2',423,'N'),(15,2224313,'1',201,'N'),(15,2224313,'1A',207,'N'),(15,2224313,'2',450,'N'),(15,2224321,'1',201,'N'),(15,2224321,'1A',212,'N'),(15,2224321,'2',302,'N'),(15,2224348,'1',316,'N'),(15,2224348,'2',318,'N'),(15,2224356,'1',404,'N'),(15,2224356,'2',333,'N'),(15,2224364,'1',333,'N'),(15,2224364,'2',332,'N'),(15,2224372,'1',303,'N'),(15,2224372,'2',327,'N'),(15,2224380,'1',5,'N'),(15,2224380,'2',317,'N'),(15,2224399,'1',201,'N'),(15,2224399,'2',203,'N'),(15,2224402,'1',102,'N'),(15,2224402,'2',217,'N'),(15,2224410,'1',201,'N'),(15,2224410,'1A',207,'N'),(15,2224410,'2',108,'N'),(15,2224437,'1',308,'N'),(15,2224437,'2',415,'N'),(15,2224453,'1',327,'N'),(15,2224453,'2',329,'N'),(15,2224461,'1',207,'N'),(15,2224461,'1A',201,'N'),(15,2224461,'2',333,'N'),(15,2224470,'1',208,'N'),(15,2224488,'1',301,'N'),(15,2224488,'2',207,'N'),(15,2224496,'1',207,'N'),(15,2224496,'1A',211,'N'),(15,2224496,'2',108,'N'),(15,2224500,'1',202,'N'),(15,2224500,'1A',213,'N'),(15,2224500,'2',220,'N'),(15,2224518,'1',238,'N'),(15,2224518,'2',501,'N'),(15,2224526,'1',9,'N'),(15,2224526,'2',427,'N'),(15,2224534,'1',102,'N'),(15,2224534,'2',9,'N'),(15,2224542,'1',404,'N'),(15,2224542,'2',424,'N'),(15,2224577,'1',201,'N'),(15,2224577,'1A',212,'N'),(15,2224577,'2',327,'N'),(15,2224585,'1',101,'N'),(15,2224585,'2',319,'N'),(15,2224593,'1',425,'N'),(15,2224593,'1A',429,'N'),(15,2224593,'2',318,'N'),(15,2224607,'1',319,'N'),(15,2224607,'2',9,'N'),(15,2224623,'1',104,'N'),(15,2224623,'2',324,'N'),(15,2224631,'1',220,'N'),(15,2224631,'1A',213,'N'),(15,2224631,'2',214,'N'),(15,2224640,'1',220,'N'),(15,2224640,'1A',203,'N'),(15,2224640,'2',202,'N'),(15,2224658,'1',415,'N'),(15,2224658,'2',316,'N'),(15,2224666,'1',216,'N'),(15,2224666,'1A',211,'N'),(15,2224666,'2',102,'N'),(15,2224674,'1',202,'N'),(15,2224674,'1A',201,'N'),(15,2224674,'2',203,'N'),(15,2224682,'1',319,'N'),(15,2224682,'2',108,'N'),(15,2224690,'1',103,'N'),(15,2224690,'2',102,'N'),(15,2224704,'1',104,'N'),(15,2224704,'2',103,'N'),(15,2224712,'1',103,'N'),(15,2224712,'2',102,'N'),(15,2224720,'1',304,'N'),(15,2224720,'2',420,'N'),(15,2224747,'1',104,'N'),(15,2224747,'2',9,'N'),(15,2224755,'1',208,'N'),(15,2224755,'1A',211,'N'),(15,2224755,'2',5,'N'),(15,2224763,'1',319,'N'),(15,2224763,'2',308,'N'),(15,2224771,'1',202,'N'),(15,2224771,'1A',233,'N'),(15,2224771,'2',316,'N'),(15,2224798,'1',103,'N'),(15,2224798,'2',451,'N'),(15,2224801,'1',316,'N'),(15,2224801,'2',104,'N'),(15,2224810,'1',415,'N'),(15,2224810,'2',331,'N'),(15,2224836,'1',501,'N'),(15,2224836,'2',309,'N'),(15,2224844,'1',415,'N'),(15,2224844,'2',328,'N'),(15,2224852,'1',103,'N'),(15,2224852,'2',501,'N'),(15,2224860,'1',202,'N'),(15,2224860,'1A',215,'N'),(15,2224860,'2',213,'N'),(15,2224895,'1',404,'N'),(15,2224909,'1',238,'N'),(15,2224909,'1A',208,'N'),(15,2224909,'2',222,'N'),(15,2224917,'1',207,'N'),(15,2224917,'1A',212,'N'),(15,2224917,'2',420,'N'),(15,2224925,'1',102,'N'),(15,2224933,'1',308,'N'),(15,2224933,'2',319,'N'),(15,2224950,'1',203,'N'),(15,2224950,'1A',220,'N'),(15,2224950,'2',420,'N'),(15,2224968,'1',502,'N'),(15,2224968,'2',501,'N'),(15,2224976,'1',207,'N'),(15,2224984,'1',220,'N'),(15,2224984,'2',202,'N'),(15,2224992,'1',423,'N'),(15,2224992,'2',108,'N'),(15,2225000,'1',316,'N'),(15,2225000,'2',224,'N'),(15,2225018,'1',304,'N'),(15,2225018,'2',208,'N'),(15,2225026,'1',216,'N'),(15,2225026,'1A',211,'N'),(15,2225026,'2',214,'N'),(15,2225034,'1',103,'N'),(15,2225034,'2',202,'N'),(15,2225042,'1',104,'N'),(15,2225042,'2',214,'N'),(15,2225050,'1',316,'N'),(15,2225050,'2',318,'N'),(15,2225069,'1',303,'N'),(15,2225069,'2',5,'N'),(15,2225077,'1',308,'N'),(15,2225077,'2',427,'N'),(15,2225085,'1',301,'N'),(15,2225085,'2',103,'N'),(15,2225093,'1',303,'N'),(15,2225093,'2',415,'N'),(15,2225107,'1',5,'N'),(15,2225107,'2',303,'N'),(15,2225115,'1',303,'N'),(15,2225115,'2',301,'N'),(15,2225123,'1',233,'N'),(15,2225123,'1A',203,'N'),(15,2225123,'2',220,'N'),(15,2225140,'1',450,'N'),(15,2225140,'2',208,'N'),(15,2225158,'1',318,'N'),(15,2225158,'2',216,'N'),(15,2225174,'1',501,'N'),(15,2225174,'2',331,'N'),(15,2225182,'1',103,'N'),(15,2225182,'2',320,'N'),(15,2225190,'1',215,'N'),(15,2225190,'1A',201,'N'),(15,2225190,'2',211,'N'),(15,2225204,'1',319,'N'),(15,2225204,'2',415,'N'),(15,2225212,'1',420,'N'),(15,2225212,'2',224,'N'),(15,2225220,'1',104,'N'),(15,2225220,'2',5,'N'),(15,2225239,'1',103,'N'),(15,2225239,'2',102,'N'),(15,2225247,'1',319,'N'),(15,2225247,'2',9,'N'),(15,2225255,'1',103,'N'),(15,2225255,'2',102,'N'),(15,2225263,'1',333,'N'),(15,2225263,'2',502,'N'),(15,2225271,'1',103,'N'),(15,2225271,'2',104,'N'),(15,2225280,'1',103,'N'),(15,2225280,'2',102,'N'),(15,2225298,'1',415,'N'),(15,2225298,'2',9,'N'),(15,2225301,'1',103,'N'),(15,2225301,'2',303,'N'),(15,2225310,'1',404,'N'),(15,2225310,'2',317,'N'),(15,2225328,'1',215,'N'),(15,2225328,'1A',216,'N'),(15,2225328,'2',217,'N'),(15,2225336,'1',301,'N'),(15,2225336,'2',316,'N'),(15,2225344,'1',217,'N'),(15,2225352,'1',415,'N'),(15,2225352,'2',327,'N'),(15,2225360,'1',302,'N'),(15,2225360,'2',404,'N'),(15,2225379,'1',301,'N'),(15,2225379,'2',310,'N'),(15,2225387,'1',212,'N'),(15,2225387,'1A',201,'N'),(15,2225387,'2',214,'N'),(15,2225409,'1',427,'N'),(15,2225409,'1A',425,'N'),(15,2225409,'2',324,'N'),(15,2225417,'1',333,'N'),(15,2225417,'2',102,'N'),(15,2225433,'1',103,'N'),(15,2225441,'1',103,'N'),(15,2225441,'2',215,'N'),(15,2225450,'1',103,'N'),(15,2225450,'2',303,'N'),(15,2225468,'1',420,'N'),(15,2225468,'2',316,'N'),(15,2225476,'1',101,'N'),(15,2225476,'2',301,'N'),(15,2225492,'1',102,'N'),(15,2225492,'2',208,'N'),(15,2225506,'1',316,'N'),(15,2225506,'2',304,'N'),(15,2225514,'1',103,'N'),(15,2225514,'2',104,'N'),(15,2225530,'1',102,'N'),(15,2225530,'2',211,'N'),(15,2225557,'1',104,'N'),(15,2225557,'2',415,'N'),(15,2225565,'1',103,'N'),(15,2225565,'2',102,'N'),(15,2225573,'1',444,'N'),(15,2225573,'2',421,'N'),(15,2225581,'1',301,'N'),(15,2225581,'2',415,'N'),(15,2225603,'1',104,'N'),(15,2225603,'2',9,'N'),(15,2225611,'1',316,'N'),(15,2225611,'2',301,'N'),(15,2225620,'1',301,'N'),(15,2225638,'1',450,'N'),(15,2225638,'2',420,'N'),(15,2225646,'1',207,'N'),(15,2225646,'1A',215,'N'),(15,2225646,'2',320,'N'),(15,2225654,'1',303,'N'),(15,2225654,'2',319,'N'),(15,2225670,'1',501,'N'),(15,2225670,'2',502,'N'),(15,2225700,'1',326,'N'),(15,2225700,'2',308,'N'),(15,2225719,'1',103,'N'),(15,2225719,'2',207,'N'),(15,2225735,'1',238,'N'),(15,2225735,'1A',208,'N'),(15,2225743,'1',501,'N'),(15,2225743,'2',211,'N'),(15,2225751,'1',203,'N'),(15,2225760,'1',211,'N'),(15,2225760,'1A',216,'N'),(15,2225760,'2',331,'N'),(15,2225786,'1',203,'N'),(15,2225786,'1A',214,'N'),(15,2225786,'2',213,'N'),(15,2225794,'1',238,'N'),(15,2225794,'1A',233,'N'),(15,2225794,'2',316,'N'),(15,2225808,'1',207,'N'),(15,2225808,'1A',201,'N'),(15,2225808,'2',319,'N'),(15,2225824,'1',5,'N'),(15,2225824,'2',316,'N'),(15,2225832,'1',331,'N'),(15,2225832,'2',444,'N'),(15,2225840,'1',202,'N'),(15,2225840,'1A',201,'N'),(15,2225840,'2',444,'N'),(15,2225859,'1',319,'N'),(15,2225859,'2',215,'N'),(15,2225867,'1',208,'N'),(15,2225867,'1A',220,'N'),(15,2225867,'2',420,'N'),(15,2225875,'1',102,'N'),(15,2225875,'2',9,'N'),(15,2225883,'1',103,'N'),(15,2225883,'2',415,'N'),(15,2225905,'1',102,'N'),(15,2225905,'2',101,'N'),(15,2225913,'1',201,'N'),(15,2225921,'1',101,'N'),(15,2225930,'1',424,'N'),(15,2225930,'1A',427,'N'),(15,2225930,'2',423,'N'),(15,2225948,'1',5,'N'),(15,2225948,'2',9,'N'),(15,2225956,'1',103,'N'),(15,2225956,'2',301,'N'),(15,2225964,'1',450,'N'),(15,2225972,'1',101,'N'),(15,2225972,'2',324,'N'),(15,2225980,'1',303,'N'),(15,2225980,'2',304,'N'),(15,2225999,'1',103,'N'),(15,2225999,'2',444,'N'),(15,2226006,'1',303,'N'),(15,2226006,'2',444,'N'),(15,2226014,'1',103,'N'),(15,2226014,'2',309,'N'),(15,2226022,'1',104,'N'),(15,2226022,'2',207,'N'),(15,2226030,'1',316,'N'),(15,2226030,'2',501,'N'),(15,2226049,'1',108,'N'),(15,2226049,'2',303,'N'),(15,2226057,'1',316,'N'),(15,2226057,'2',301,'N'),(15,2226065,'1',324,'N'),(15,2226065,'2',339,'N'),(15,2226073,'1',207,'N'),(15,2226073,'2',215,'N'),(15,2226081,'1',216,'N'),(15,2226081,'1A',201,'N'),(15,2226081,'2',420,'N'),(15,2226090,'1',319,'N'),(15,2226090,'2',101,'N'),(15,2226103,'1',303,'N'),(15,2226103,'2',5,'N'),(15,2226111,'1',104,'N'),(15,2226111,'2',301,'N'),(15,2226120,'1',324,'N'),(15,2226120,'2',502,'N'),(15,2226138,'1',339,'N'),(15,2226138,'2',426,'N'),(15,2226146,'1',304,'N'),(15,2226146,'2',303,'N'),(15,2226154,'1',216,'N'),(15,2226154,'2',108,'N'),(15,2226162,'1',303,'N'),(15,2226162,'2',304,'N'),(15,2226170,'1',203,'N'),(15,2226170,'1A',214,'N'),(15,2226170,'2',223,'N'),(15,2226189,'1',444,'N'),(15,2226189,'2',324,'N'),(15,2226197,'1',320,'N'),(15,2226197,'2',327,'N'),(15,2226200,'1',333,'N'),(15,2226200,'2',234,'N'),(15,2226219,'1',501,'N'),(15,2226219,'2',415,'N'),(15,2226227,'1',102,'N'),(15,2226227,'2',333,'N'),(15,2226235,'1',103,'N'),(15,2226235,'2',220,'N'),(15,2226243,'1',302,'N'),(15,2226243,'2',324,'N'),(15,2226260,'1',319,'N'),(15,2226260,'2',451,'N'),(15,2226278,'1',213,'N'),(15,2226278,'1A',212,'N'),(15,2226278,'2',233,'N'),(15,2226286,'1',207,'N'),(15,2226286,'1A',212,'N'),(15,2226286,'2',501,'N'),(15,2226294,'1',203,'N'),(15,2226294,'1A',216,'N'),(15,2226294,'2',2,'N'),(15,2226308,'1',211,'N'),(15,2226308,'1A',202,'N'),(15,2226308,'2',201,'N'),(15,2226316,'1',444,'N'),(15,2226316,'2',404,'N'),(15,2226324,'1',415,'N'),(15,2226324,'2',320,'N'),(15,2226340,'1',224,'N'),(15,2226340,'2',2,'N'),(15,2226359,'1',316,'N'),(15,2226359,'2',211,'N'),(15,2226367,'1',208,'N'),(15,2226383,'1',225,'N'),(15,2226383,'2',327,'N'),(15,2226391,'1',211,'N'),(15,2226391,'1A',201,'N'),(15,2226391,'2',501,'N'),(15,2226413,'1',303,'N'),(15,2226413,'2',327,'N'),(15,2226421,'1',220,'N'),(15,2226421,'1A',202,'N'),(15,2226421,'2',213,'N'),(15,2226430,'1',339,'N'),(15,2226430,'2',502,'N'),(15,2226448,'1',301,'N'),(15,2226448,'2',316,'N'),(15,2226456,'1',317,'N'),(15,2226456,'2',9,'N'),(15,2226464,'1',201,'N'),(15,2226464,'1A',212,'N'),(15,2226464,'2',220,'N'),(15,2226472,'1',238,'N'),(15,2226472,'1A',214,'N'),(15,2226472,'2',203,'N'),(15,2226480,'1',214,'N'),(15,2226480,'1A',203,'N'),(15,2226480,'2',316,'N'),(15,2226499,'1',301,'N'),(15,2226499,'2',303,'N'),(15,2226502,'1',103,'N'),(15,2226502,'2',102,'N'),(15,2226510,'1',316,'N'),(15,2226510,'2',304,'N'),(15,2226529,'1',319,'N'),(15,2226529,'2',415,'N'),(15,2226537,'1',5,'N'),(15,2226537,'2',316,'N'),(15,2226545,'1',303,'N'),(15,2226545,'2',415,'N'),(15,2226553,'1',333,'N'),(15,2226553,'2',104,'N'),(15,2226561,'1',233,'N'),(15,2226561,'1A',203,'N'),(15,2226561,'2',208,'N'),(15,2226570,'1',213,'N'),(15,2226570,'1A',233,'N'),(15,2226570,'2',202,'N'),(15,2226588,'1',214,'N'),(15,2226588,'1A',203,'N'),(15,2226588,'2',202,'N'),(15,2226600,'1',319,'N'),(15,2226600,'2',450,'N'),(15,2226618,'1',208,'N'),(15,2226618,'2',238,'N'),(15,2226626,'1',103,'N'),(15,2226634,'1',201,'N'),(15,2226634,'1A',207,'N'),(15,2226634,'2',225,'N'),(15,2226642,'1',304,'N'),(15,2226642,'2',333,'N'),(15,2226650,'1',451,'N'),(15,2226650,'2',426,'N'),(15,2226669,'1',444,'N'),(15,2226669,'2',420,'N'),(15,2226677,'1',203,'N'),(15,2226677,'1A',214,'N'),(15,2226677,'2',202,'N'),(15,2226685,'1',103,'N'),(15,2226685,'2',108,'N'),(15,2226693,'1',203,'N'),(15,2226693,'1A',220,'N'),(15,2226693,'2',428,'N'),(15,2226707,'1',420,'N'),(15,2226707,'2',207,'N'),(15,2226715,'1',220,'N'),(15,2226715,'1A',203,'N'),(15,2226715,'2',208,'N'),(15,2226723,'1',104,'N'),(15,2226723,'2',215,'N'),(15,2226731,'1',326,'N'),(15,2226731,'2',328,'N'),(15,2226740,'1',9,'N'),(15,2226740,'2',5,'N'),(15,2226758,'1',319,'N'),(15,2226758,'2',301,'N'),(15,2226782,'1',208,'N'),(15,2226782,'1A',220,'N'),(15,2226782,'2',420,'N'),(15,2226790,'1',329,'N'),(15,2226790,'2',328,'N'),(15,2226804,'1',9,'N'),(15,2226804,'2',101,'N'),(15,2226812,'1',103,'N'),(15,2226820,'1',215,'N'),(15,2226820,'1A',211,'N'),(15,2226820,'2',308,'N'),(15,2226847,'1',233,'N'),(15,2226855,'1',304,'N'),(15,2226855,'2',214,'N'),(15,2226863,'1',450,'N'),(15,2226863,'2',451,'N'),(15,2226871,'1',450,'N'),(15,2226871,'2',333,'N'),(15,2226880,'1',238,'N'),(15,2226880,'1A',208,'N'),(15,2226880,'2',420,'N'),(15,2226898,'1',444,'N'),(15,2226898,'2',404,'N'),(15,2226936,'1',207,'N'),(15,2226936,'1A',215,'N'),(15,2226936,'2',211,'N'),(15,2226944,'1',303,'N'),(15,2226944,'2',5,'N'),(15,2226952,'1',233,'N'),(15,2226952,'1A',216,'N'),(15,2226952,'2',420,'N'),(15,2226960,'1',201,'N'),(15,2226960,'1A',211,'N'),(15,2226960,'2',301,'N'),(15,2226979,'1',214,'N'),(15,2226979,'1A',212,'N'),(15,2226979,'2',216,'N'),(15,2226987,'1',104,'N'),(15,2226987,'2',103,'N'),(15,2227002,'1',303,'N'),(15,2227002,'2',5,'N'),(15,2227010,'1',303,'N'),(15,2227010,'2',331,'N'),(15,2227037,'1',103,'N'),(15,2227037,'2',5,'N'),(15,2227045,'1',202,'N'),(15,2227045,'1A',213,'N'),(15,2227045,'2',316,'N'),(15,2227053,'1',103,'N'),(15,2227053,'2',444,'N'),(15,2227061,'1',324,'N'),(15,2227061,'2',329,'N'),(15,2227088,'1',5,'N'),(15,2227088,'2',238,'N'),(15,2227096,'1',103,'N'),(15,2227096,'2',102,'N'),(15,2227100,'1',9,'N'),(15,2227100,'2',331,'N'),(15,2227118,'1',103,'N'),(15,2227118,'2',5,'N'),(15,2227134,'1',234,'N'),(15,2227134,'2',332,'N'),(15,2227142,'1',201,'N'),(15,2227142,'1A',207,'N'),(15,2227142,'2',220,'N'),(15,2227150,'1',319,'N'),(15,2227150,'2',308,'N'),(15,2227193,'1',501,'N'),(15,2227193,'2',502,'N'),(15,2227207,'1',327,'N'),(15,2227207,'2',329,'N'),(15,2227215,'1',304,'N'),(15,2227215,'2',427,'N'),(15,2227223,'1',233,'N'),(15,2227223,'1A',202,'N'),(15,2227223,'2',303,'N'),(15,2227231,'1',444,'N'),(15,2227231,'2',301,'N'),(15,2227240,'1',207,'N'),(15,2227240,'1A',208,'N'),(15,2227240,'2',9,'N'),(15,2227258,'1',108,'N'),(15,2227258,'2',501,'N'),(15,2227274,'1',308,'N'),(15,2227274,'2',301,'N'),(15,2227282,'1',404,'N'),(15,2227282,'2',301,'N'),(15,2227290,'1',339,'N'),(15,2227290,'2',319,'N'),(15,2227304,'1',316,'N'),(15,2227304,'2',317,'N'),(15,2227320,'1',212,'N'),(15,2227320,'1A',201,'N'),(15,2227320,'2',327,'N'),(15,2227347,'1',5,'N'),(15,2227347,'2',332,'N'),(15,2227355,'1',201,'N'),(15,2227355,'1A',208,'N'),(15,2227355,'2',238,'N'),(15,2227363,'1',108,'N'),(15,2227363,'2',502,'N'),(15,2227371,'1',238,'N'),(15,2227371,'2',420,'N'),(15,2227380,'1',208,'N'),(15,2227380,'1A',238,'N'),(15,2227380,'2',451,'N'),(15,2227398,'1',5,'N'),(15,2227398,'2',222,'N'),(15,2227410,'1',212,'N'),(15,2227410,'1A',214,'N'),(15,2227410,'2',201,'N'),(15,2227428,'1',319,'N'),(15,2227436,'1',238,'N'),(15,2227436,'2',234,'N'),(15,2227444,'1',103,'N'),(15,2227452,'1',302,'N'),(15,2227452,'2',301,'N'),(15,2227460,'1',202,'N'),(15,2227460,'1A',220,'N'),(15,2227460,'2',203,'N'),(15,2227479,'1',425,'N'),(15,2227479,'1A',427,'N'),(15,2227479,'2',101,'N'),(15,2227487,'1',319,'N'),(15,2227487,'2',316,'N'),(15,2227495,'1',213,'N'),(15,2227509,'1',203,'N'),(15,2227517,'1',220,'N'),(15,2227517,'1A',203,'N'),(15,2227517,'2',201,'N'),(15,2227533,'1',238,'N'),(15,2227541,'1',5,'N'),(15,2227541,'2',425,'N'),(15,2227550,'1',103,'N'),(15,2227550,'2',101,'N'),(15,2227576,'1',317,'N'),(15,2227576,'2',327,'N'),(15,2227584,'1',108,'N'),(15,2227584,'2',502,'N'),(15,2227622,'1',318,'N'),(15,2227622,'2',301,'N'),(15,2227630,'1',339,'N'),(15,2227630,'2',319,'N'),(15,2227649,'1',103,'N'),(15,2227649,'2',101,'N'),(15,2227657,'1',423,'N'),(15,2227657,'1A',428,'N'),(15,2227657,'2',450,'N'),(15,2227665,'1',238,'N'),(15,2227665,'1A',208,'N'),(15,2227665,'2',317,'N'),(15,2227673,'1',404,'N'),(15,2227673,'2',421,'N'),(15,2227703,'1',301,'N'),(15,2227703,'2',223,'N'),(15,2227711,'1',103,'N'),(15,2227711,'2',102,'N'),(15,2227720,'1',304,'N'),(15,2227720,'2',324,'N'),(15,2227738,'1',212,'N'),(15,2227738,'1A',201,'N'),(15,2227746,'1',234,'N'),(15,2227746,'2',328,'N'),(15,2227754,'1',5,'N'),(15,2227754,'2',319,'N'),(15,2227762,'1',215,'N'),(15,2227762,'1A',233,'N'),(15,2227762,'2',102,'N'),(15,2227770,'1',502,'N'),(15,2227770,'2',501,'N'),(15,2227789,'1',501,'N'),(15,2227789,'2',502,'N'),(15,2227797,'1',104,'N'),(15,2227797,'2',333,'N'),(15,2227819,'1',103,'N'),(15,2227827,'1',339,'N'),(15,2227827,'2',424,'N'),(15,2227835,'1',203,'N'),(15,2227835,'1A',214,'N'),(15,2227835,'2',220,'N'),(15,2227843,'1',214,'N'),(15,2227843,'1A',216,'N'),(15,2227843,'2',217,'N'),(15,2227851,'1',9,'N'),(15,2227860,'1',202,'N'),(15,2227860,'1A',213,'N'),(15,2227860,'2',224,'N'),(15,2227878,'1',444,'N'),(15,2227878,'2',404,'N'),(15,2227886,'1',415,'N'),(15,2227886,'2',450,'N'),(15,2227894,'1',415,'N'),(15,2227894,'2',421,'N'),(15,2227908,'1',225,'N'),(15,2227924,'1',103,'N'),(15,2227924,'2',101,'N'),(15,2227932,'1',220,'N'),(15,2227932,'1A',202,'N'),(15,2227932,'2',213,'N'),(15,2227940,'1',104,'N'),(15,2227959,'1',333,'N'),(15,2227959,'2',216,'N'),(15,2227967,'1',420,'N'),(15,2227975,'1',303,'N'),(15,2227975,'2',217,'N'),(15,2227983,'1',103,'N'),(15,2227983,'2',101,'N'),(15,2227991,'1',238,'N'),(15,2227991,'1A',220,'N'),(15,2227991,'2',224,'N'),(15,2228009,'1',332,'N'),(15,2228009,'2',329,'N'),(15,2228017,'1',103,'N'),(15,2228017,'2',104,'N'),(15,2228025,'1',203,'N'),(15,2228025,'1A',220,'N'),(15,2228025,'2',214,'N'),(15,2228033,'1',103,'N'),(15,2228033,'2',303,'N'),(15,2228041,'1',238,'N'),(15,2228041,'1A',220,'N'),(15,2228041,'2',208,'N'),(15,2228050,'1',217,'N'),(15,2228050,'2',501,'N'),(15,2228068,'1',207,'N'),(15,2228068,'1A',201,'N'),(15,2228068,'2',420,'N'),(15,2228084,'1',211,'N'),(15,2228084,'1A',216,'N'),(15,2228084,'2',302,'N'),(15,2228092,'1',316,'N'),(15,2228092,'2',202,'N'),(15,2228106,'1',329,'N'),(15,2228106,'2',5,'N'),(15,2228114,'1',9,'N'),(15,2228114,'2',316,'N'),(15,2228122,'1',316,'N'),(15,2228122,'2',217,'N'),(15,2228130,'1',326,'N'),(15,2228130,'2',108,'N'),(15,2228157,'1',316,'N'),(15,2228157,'2',339,'N'),(15,2228165,'1',316,'N'),(15,2228165,'2',224,'N'),(15,2228173,'1',404,'N'),(15,2228173,'2',104,'N'),(15,2228181,'1',502,'N'),(15,2228181,'2',501,'N'),(15,2228203,'1',310,'N'),(15,2228203,'2',428,'N'),(15,2228211,'1',103,'N'),(15,2228211,'2',104,'N'),(15,2228220,'1',304,'N'),(15,2228220,'2',421,'N'),(15,2228246,'1',201,'N'),(15,2228246,'1A',212,'N'),(15,2228246,'2',108,'N'),(15,2228254,'1',201,'N'),(15,2228254,'1A',233,'N'),(15,2228254,'2',208,'N'),(15,2228262,'1',319,'N'),(15,2228262,'2',425,'N'),(15,2228270,'1',207,'N'),(15,2228270,'2',420,'N'),(15,2228289,'1',303,'N'),(15,2228289,'2',222,'N'),(15,2228297,'1',316,'N'),(15,2228297,'2',317,'N'),(15,2228319,'1',308,'N'),(15,2228327,'1',211,'N'),(15,2228327,'2',203,'N'),(15,2228335,'1',213,'N'),(15,2228335,'1A',233,'N'),(15,2228335,'2',212,'N'),(15,2228343,'1',320,'N'),(15,2228343,'2',339,'N'),(15,2228360,'1',5,'N'),(15,2228360,'2',329,'N'),(15,2228378,'1',5,'N'),(15,2228378,'2',303,'N'),(15,2228386,'1',103,'N'),(15,2228386,'2',102,'N'),(15,2228394,'1',211,'N'),(15,2228394,'2',501,'N'),(15,2228408,'1',103,'N'),(15,2228408,'2',101,'N'),(15,2228416,'1',208,'N'),(15,2228416,'1A',203,'N'),(15,2228416,'2',316,'N'),(15,2228424,'1',404,'N'),(15,2228424,'2',339,'N'),(15,2228432,'1',222,'N'),(15,2228432,'2',425,'N'),(15,2228440,'1',302,'N'),(15,2228459,'1',302,'N'),(15,2228459,'2',301,'N'),(15,2228467,'1',215,'N'),(15,2228467,'1A',202,'N'),(15,2228467,'2',329,'N'),(15,2228475,'1',444,'N'),(15,2228475,'2',501,'N'),(15,2228483,'1',211,'N'),(15,2228483,'1A',233,'N'),(15,2228505,'1',303,'N'),(15,2228505,'2',104,'N'),(15,2228513,'1',103,'N'),(15,2228513,'2',301,'N'),(15,2228521,'1',415,'N'),(15,2228521,'2',420,'N'),(15,2228530,'1',208,'N'),(15,2228530,'1A',238,'N'),(15,2228530,'2',224,'N'),(15,2228548,'1',5,'N'),(15,2228548,'2',427,'N'),(15,2228556,'1',301,'N'),(15,2228556,'2',333,'N'),(15,2228564,'1',203,'N'),(15,2228564,'1A',233,'N'),(15,2228564,'2',444,'N'),(15,2228572,'1',444,'N'),(15,2228572,'2',316,'N'),(15,2228580,'1',108,'N'),(15,2228599,'1',102,'N'),(15,2228599,'2',101,'N'),(15,2228602,'1',215,'N'),(15,2228602,'1A',202,'N'),(15,2228602,'2',316,'N'),(15,2228610,'1',103,'N'),(15,2228610,'2',102,'N'),(15,2228629,'1',224,'N'),(15,2228629,'2',201,'N'),(15,2228637,'1',502,'N'),(15,2228637,'2',9,'N'),(15,2228645,'1',303,'N'),(15,2228645,'2',5,'N'),(15,2228670,'1',501,'N'),(15,2228670,'2',427,'N'),(15,2228688,'1',308,'N'),(15,2228688,'2',423,'N'),(15,2228696,'1',316,'N'),(15,2228696,'2',301,'N'),(15,2228700,'1',103,'N'),(15,2228700,'2',104,'N'),(15,2228718,'1',101,'N'),(15,2228718,'2',9,'N'),(15,2228726,'1',212,'N'),(15,2228726,'1A',201,'N'),(15,2228726,'2',319,'N'),(15,2228734,'1',103,'N'),(15,2228734,'2',102,'N'),(15,2228742,'1',203,'N'),(15,2228742,'1A',220,'N'),(15,2228742,'2',303,'N'),(15,2228750,'1',104,'N'),(15,2228750,'2',317,'N'),(15,2228769,'1',451,'N'),(15,2228769,'2',444,'N'),(15,2228777,'1',213,'N'),(15,2228777,'1A',202,'N'),(15,2228777,'2',2,'N'),(15,2228785,'1',216,'N'),(15,2228793,'1',319,'N'),(15,2228793,'2',415,'N'),(15,2228807,'1',208,'N'),(15,2228807,'1A',238,'N'),(15,2228807,'2',425,'N'),(15,2228815,'1',316,'N'),(15,2228815,'2',207,'N'),(15,2228823,'1',319,'N'),(15,2228823,'2',316,'N'),(15,2228831,'1',326,'N'),(15,2228831,'2',327,'N'),(15,2228840,'1',5,'N'),(15,2228840,'2',404,'N'),(15,2228858,'1',426,'N'),(15,2228858,'1A',428,'N'),(15,2228858,'2',339,'N'),(15,2228866,'1',104,'N'),(15,2228866,'2',217,'N'),(15,2228874,'1',317,'N'),(15,2228874,'2',302,'N'),(15,2228882,'1',238,'N'),(15,2228882,'1A',208,'N'),(15,2228882,'2',202,'N'),(15,2228890,'1',303,'N'),(15,2228890,'2',301,'N'),(15,2228904,'1',320,'N'),(15,2228904,'2',326,'N'),(15,2228912,'1',208,'N'),(15,2228912,'2',317,'N'),(15,2228920,'1',319,'N'),(15,2228920,'2',501,'N'),(15,2228939,'1',5,'N'),(15,2228939,'2',303,'N'),(15,2228947,'1',220,'N'),(15,2228947,'1A',203,'N'),(15,2228947,'2',233,'N'),(15,2228963,'1',103,'N'),(15,2228963,'2',101,'N'),(15,2228971,'1',103,'N'),(15,2228971,'2',102,'N'),(15,2228980,'1',103,'N'),(15,2228980,'2',217,'N'),(15,2228998,'1',201,'N'),(15,2228998,'1A',207,'N'),(15,2228998,'2',317,'N'),(15,2229005,'1',404,'N'),(15,2229005,'2',327,'N'),(15,2229013,'1',450,'N'),(15,2229013,'2',329,'N'),(15,2229021,'1',104,'N'),(15,2229021,'2',319,'N'),(15,2229030,'1',238,'N'),(15,2229030,'1A',208,'N'),(15,2229030,'2',217,'N'),(15,2229048,'1',103,'N'),(15,2229048,'2',216,'N'),(15,2229056,'1',201,'N'),(15,2229056,'1A',207,'N'),(15,2229056,'2',103,'N'),(15,2229064,'1',102,'N'),(15,2229064,'2',207,'N'),(15,2229072,'1',404,'N'),(15,2229072,'2',319,'N'),(15,2229080,'1',104,'N'),(15,2229080,'2',425,'N'),(15,2229099,'1',502,'N'),(15,2229099,'2',224,'N'),(15,2229102,'1',316,'N'),(15,2229102,'2',5,'N'),(15,2229110,'1',316,'N'),(15,2229110,'2',301,'N'),(15,2229129,'1',302,'N'),(15,2229129,'2',223,'N'),(15,2229137,'1',202,'N'),(15,2229137,'1A',238,'N'),(15,2229137,'2',203,'N'),(15,2229153,'1',103,'N'),(15,2229153,'2',102,'N'),(15,2229161,'1',211,'N'),(15,2229161,'1A',207,'N'),(15,2229161,'2',333,'N'),(15,2229170,'1',220,'N'),(15,2229170,'1A',201,'N'),(15,2229196,'1',211,'N'),(15,2229196,'1A',233,'N'),(15,2229196,'2',234,'N'),(15,2229200,'1',317,'N'),(15,2229200,'2',308,'N'),(15,2229226,'1',103,'N'),(15,2229226,'2',303,'N'),(15,2229234,'1',415,'N'),(15,2229234,'2',223,'N'),(15,2229242,'1',102,'N'),(15,2229242,'2',217,'N'),(15,2229269,'1',103,'N'),(15,2229269,'2',104,'N'),(15,2229277,'1',319,'N'),(15,2229277,'2',415,'N'),(15,2229285,'1',415,'N'),(15,2229285,'2',5,'N'),(15,2229293,'1',308,'N'),(15,2229293,'2',9,'N'),(15,2229307,'1',103,'N'),(15,2229307,'2',108,'N'),(15,2229315,'1',101,'N'),(15,2229323,'1',103,'N'),(15,2229323,'2',208,'N'),(15,2229331,'1',103,'N'),(15,2229331,'2',203,'N'),(15,2229340,'1',214,'N'),(15,2229340,'1A',213,'N'),(15,2229358,'1',234,'N'),(15,2229358,'2',304,'N'),(15,2229374,'1',238,'N'),(15,2229374,'1A',208,'N'),(15,2229374,'2',5,'N'),(15,2229382,'1',327,'N'),(15,2229382,'2',421,'N'),(15,2229390,'1',101,'N'),(15,2229390,'2',426,'N'),(15,2229404,'1',216,'N'),(15,2229404,'1A',215,'N'),(15,2229404,'2',217,'N'),(15,2229412,'1',415,'N'),(15,2229412,'2',420,'N'),(15,2229420,'1',103,'N'),(15,2229420,'2',333,'N'),(15,2229439,'1',404,'N'),(15,2229439,'2',424,'N'),(15,2229447,'1',319,'N'),(15,2229447,'2',444,'N'),(15,2229455,'1',102,'N'),(15,2229455,'2',108,'N'),(15,2229471,'1',310,'N'),(15,2229471,'2',328,'N'),(15,2229480,'1',317,'N'),(15,2229480,'2',302,'N'),(15,2229498,'1',427,'N'),(15,2229498,'2',324,'N'),(15,2229501,'1',451,'N'),(15,2229501,'2',450,'N'),(15,2229510,'1',415,'N'),(15,2229510,'2',450,'N'),(15,2229528,'1',201,'N'),(15,2229528,'1A',211,'N'),(15,2229528,'2',234,'N'),(15,2229544,'1',103,'N'),(15,2229552,'1',501,'N'),(15,2229552,'2',211,'N'),(15,2229560,'1',220,'N'),(15,2229560,'1A',216,'N'),(15,2229579,'1',420,'N'),(15,2229579,'2',9,'N'),(15,2229587,'1',319,'N'),(15,2229587,'2',108,'N'),(15,2229595,'1',331,'N'),(15,2229595,'2',427,'N'),(15,2229617,'1',213,'N'),(15,2229617,'1A',220,'N'),(15,2229617,'2',238,'N'),(15,2229633,'1',103,'N'),(15,2229633,'2',101,'N'),(15,2229641,'1',103,'N'),(15,2229641,'2',104,'N'),(15,2229650,'1',233,'N'),(15,2229650,'1A',207,'N'),(15,2229650,'2',9,'N'),(15,2229668,'1',333,'N'),(15,2229668,'2',327,'N'),(15,2229676,'1',104,'N'),(15,2229676,'2',103,'N'),(15,2229684,'1',301,'N'),(15,2229684,'2',207,'N'),(15,2229692,'1',309,'N'),(15,2229692,'2',339,'N'),(15,2229706,'1',319,'N'),(15,2229706,'2',103,'N'),(15,2229714,'1',429,'N'),(15,2229714,'1A',424,'N'),(15,2229714,'2',331,'N'),(15,2229722,'1',234,'N'),(15,2229730,'1',102,'N'),(15,2229730,'2',103,'N'),(15,2229749,'1',450,'N'),(15,2229749,'2',329,'N'),(15,2229757,'1',501,'N'),(15,2229757,'2',5,'N'),(15,2229765,'1',103,'N'),(15,2229765,'2',108,'N'),(15,2229773,'1',450,'N'),(15,2229773,'2',451,'N'),(15,2229781,'1',451,'N'),(15,2229781,'2',415,'N'),(15,2229790,'1',420,'N'),(15,2229790,'2',301,'N'),(15,2229811,'1',238,'N'),(15,2229811,'1A',208,'N'),(15,2229811,'2',222,'N'),(15,2229820,'1',233,'N'),(15,2229820,'1A',238,'N'),(15,2229820,'2',220,'N'),(15,2229838,'1',103,'N'),(15,2229838,'2',104,'N'),(15,2229846,'1',103,'N'),(15,2229846,'2',333,'N'),(15,2229854,'1',207,'N'),(15,2229854,'1A',216,'N'),(15,2229854,'2',102,'N'),(15,2229862,'1',103,'N'),(15,2229862,'2',104,'N'),(15,2229889,'1',316,'N'),(15,2229889,'2',301,'N'),(15,2229897,'1',429,'N'),(15,2229897,'1A',424,'N'),(15,2229897,'2',331,'N'),(15,2229900,'1',415,'N'),(15,2229927,'1',303,'N'),(15,2229927,'2',316,'N'),(15,2229935,'1',502,'N'),(15,2229935,'2',103,'N'),(15,2229943,'1',211,'N'),(15,2229943,'2',302,'N'),(15,2229960,'1',103,'N'),(15,2229960,'2',333,'N'),(15,2229978,'1',428,'N'),(15,2229978,'2',424,'N'),(15,2229986,'1',212,'N'),(15,2229986,'1A',201,'N'),(15,2229986,'2',233,'N'),(15,2229994,'1',303,'N'),(15,2230003,'1',234,'N'),(15,2230003,'2',233,'N'),(15,2230011,'1',316,'N'),(15,2230011,'2',404,'N'),(15,2230020,'1',317,'N'),(15,2230020,'2',316,'N'),(15,2230038,'1',216,'N'),(15,2230038,'2',215,'N'),(15,2230062,'1',316,'N'),(15,2230062,'2',318,'N'),(15,2230070,'1',304,'N'),(15,2230070,'2',309,'N'),(15,2230089,'1',9,'N'),(15,2230089,'2',333,'N'),(15,2230097,'1',108,'N'),(15,2230097,'2',333,'N'),(15,2230100,'1',301,'N'),(15,2230119,'1',303,'N'),(15,2230119,'2',211,'N'),(15,2230127,'1',319,'N'),(15,2230127,'2',328,'N'),(15,2230143,'1',304,'N'),(15,2230143,'2',224,'N'),(15,2230151,'1',207,'N'),(15,2230151,'1A',215,'N'),(15,2230151,'2',333,'N'),(15,2230160,'1',203,'N'),(15,2230160,'1A',220,'N'),(15,2230160,'2',202,'N'),(15,2230186,'1',103,'N'),(15,2230186,'2',101,'N'),(15,2230194,'1',238,'N'),(15,2230194,'1A',211,'N'),(15,2230194,'2',233,'N'),(15,2230208,'1',216,'N'),(15,2230208,'1A',233,'N'),(15,2230208,'2',214,'N'),(15,2230216,'1',5,'N'),(15,2230216,'2',324,'N'),(15,2230224,'1',211,'N'),(15,2230224,'2',108,'N'),(15,2230232,'1',102,'N'),(15,2230232,'2',339,'N'),(15,2230240,'1',203,'N'),(15,2230240,'1A',213,'N'),(15,2230240,'2',202,'N'),(15,2230259,'1',339,'N'),(15,2230259,'2',308,'N'),(15,2230267,'1',203,'N'),(15,2230267,'1A',216,'N'),(15,2230267,'2',208,'N'),(15,2230275,'1',103,'N'),(15,2230275,'2',501,'N'),(15,2230283,'1',211,'N'),(15,2230283,'2',234,'N'),(15,2230291,'1',215,'N'),(15,2230291,'1A',211,'N'),(15,2230291,'2',108,'N'),(15,2230305,'1',5,'N'),(15,2230305,'2',316,'N'),(15,2230313,'1',108,'N'),(15,2230321,'1',104,'N'),(15,2230321,'2',217,'N'),(15,2230330,'1',203,'N'),(15,2230330,'1A',214,'N'),(15,2230330,'2',201,'N'),(15,2230348,'1',310,'N'),(15,2230348,'2',326,'N'),(15,2230356,'1',5,'N'),(15,2230356,'2',327,'N'),(15,2230364,'1',444,'N'),(15,2230364,'2',324,'N'),(15,2230372,'1',211,'N'),(15,2230372,'1A',207,'N'),(15,2230372,'2',215,'N'),(15,2230380,'1',303,'N'),(15,2230380,'2',5,'N'),(15,2230399,'1',420,'N'),(15,2230399,'2',415,'N'),(15,2230402,'1',203,'N'),(15,2230402,'1A',214,'N'),(15,2230402,'2',415,'N'),(15,2230410,'1',104,'N'),(15,2230410,'2',102,'N'),(15,2230437,'1',103,'N'),(15,2230437,'2',102,'N'),(15,2230445,'1',207,'N'),(15,2230445,'1A',201,'N'),(15,2230445,'2',420,'N'),(15,2230453,'1',216,'N'),(15,2230461,'1',326,'N'),(15,2230461,'2',404,'N'),(15,2230470,'1',316,'N'),(15,2230470,'2',308,'N'),(15,2230488,'1',103,'N'),(15,2230488,'2',220,'N'),(15,2230496,'1',317,'N'),(15,2230496,'2',426,'N'),(15,2230500,'1',215,'N'),(15,2230500,'1A',211,'N'),(15,2230518,'1',201,'N'),(15,2230518,'1A',207,'N'),(15,2230518,'2',444,'N'),(15,2230526,'1',103,'N'),(15,2230526,'2',101,'N'),(15,2230534,'1',103,'N'),(15,2230534,'2',104,'N'),(15,2230542,'1',5,'N'),(15,2230542,'2',9,'N'),(15,2230569,'1',424,'N'),(15,2230569,'1A',421,'N'),(15,2230569,'2',423,'N'),(15,2230577,'1',5,'N'),(15,2230577,'2',201,'N'),(15,2230585,'1',333,'N'),(15,2230585,'2',213,'N'),(15,2230593,'1',333,'N'),(15,2230593,'2',108,'N'),(15,2230607,'1',333,'N'),(15,2230607,'2',108,'N'),(15,2230615,'1',212,'N'),(15,2230615,'1A',233,'N'),(15,2230615,'2',224,'N'),(15,2230623,'1',207,'N'),(15,2230623,'1A',201,'N'),(15,2230623,'2',212,'N'),(15,2230640,'1',225,'N'),(15,2230640,'2',108,'N'),(15,2230658,'1',203,'N'),(15,2230658,'1A',202,'N'),(15,2230658,'2',233,'N'),(15,2230666,'1',333,'N'),(15,2230666,'2',104,'N'),(15,2230674,'1',317,'N'),(15,2230674,'2',324,'N'),(15,2230682,'1',103,'N'),(15,2230682,'2',104,'N'),(15,2230690,'1',208,'N'),(15,2230690,'1A',201,'N'),(15,2230690,'2',102,'N'),(15,2230704,'1',208,'N'),(15,2230704,'1A',203,'N'),(15,2230704,'2',220,'N'),(15,2230712,'1',103,'N'),(15,2230712,'2',104,'N'),(15,2230720,'1',103,'N'),(15,2230720,'2',102,'N'),(15,2230739,'1',444,'N'),(15,2230739,'2',108,'N'),(15,2230747,'1',233,'N'),(15,2230747,'1A',220,'N'),(15,2230747,'2',203,'N'),(15,2230755,'1',451,'N'),(15,2230755,'2',5,'N'),(15,2230763,'1',308,'N'),(15,2230763,'2',223,'N'),(15,2230771,'1',339,'N'),(15,2230771,'2',324,'N'),(15,2230780,'1',103,'N'),(15,2230780,'2',104,'N'),(15,2230798,'1',103,'N'),(15,2230798,'2',102,'N'),(15,2230801,'1',201,'N'),(15,2230801,'1A',212,'N'),(15,2230801,'2',215,'N'),(15,2230810,'1',207,'N'),(15,2230810,'1A',201,'N'),(15,2230810,'2',102,'N'),(15,2230828,'1',104,'N'),(15,2230828,'2',216,'N'),(15,2230836,'1',220,'N'),(15,2230836,'2',203,'N'),(15,2230844,'1',9,'N'),(15,2230852,'1',501,'N'),(15,2230852,'2',333,'N'),(15,2230860,'1',304,'N'),(15,2230860,'2',318,'N'),(15,2230879,'1',501,'N'),(15,2230879,'2',9,'N'),(15,2230887,'1',450,'N'),(15,2230887,'2',415,'N'),(15,2230895,'1',9,'N'),(15,2230895,'2',316,'N'),(15,2230925,'1',9,'N'),(15,2230925,'2',415,'N'),(15,2230933,'1',103,'N'),(15,2230933,'2',108,'N'),(15,2230941,'1',103,'N'),(15,2230950,'1',102,'N'),(15,2230950,'2',207,'N'),(15,2230968,'1',429,'N'),(15,2230968,'1A',425,'N'),(15,2230968,'2',415,'N'),(15,2230976,'1',103,'N'),(15,2230976,'2',319,'N'),(15,2230992,'1',203,'N'),(15,2230992,'1A',202,'N'),(15,2230992,'2',2,'N'),(15,2231000,'1',224,'N'),(15,2231000,'2',319,'N'),(15,2231026,'1',103,'N'),(15,2231026,'2',220,'N'),(15,2231034,'1',216,'N'),(15,2231034,'2',224,'N'),(15,2231042,'1',301,'N'),(15,2231042,'2',425,'N'),(15,2231050,'1',238,'N'),(15,2231085,'1',5,'N'),(15,2231085,'2',339,'N'),(15,2231093,'1',238,'N'),(15,2231093,'1A',208,'N'),(15,2231093,'2',451,'N'),(15,2231107,'1',211,'N'),(15,2231107,'1A',233,'N'),(15,2231107,'2',214,'N'),(15,2231115,'1',224,'N'),(15,2231115,'2',304,'N'),(15,2231131,'1',223,'N'),(15,2231131,'2',222,'N'),(15,2231140,'1',203,'N'),(15,2231140,'1A',214,'N'),(15,2231140,'2',233,'N'),(15,2231158,'1',333,'N'),(15,2231158,'2',102,'N'),(15,2231166,'1',404,'N'),(15,2231166,'2',324,'N'),(15,2231174,'1',201,'N'),(15,2231174,'1A',212,'N'),(15,2231174,'2',502,'N'),(15,2231190,'1',425,'N'),(15,2231190,'1A',427,'N'),(15,2231190,'2',331,'N'),(15,2231204,'1',303,'N'),(15,2231204,'2',5,'N'),(15,2231212,'1',103,'N'),(15,2231212,'2',333,'N'),(15,2231220,'1',102,'N'),(15,2231220,'2',319,'N'),(15,2231239,'1',103,'N'),(15,2231239,'2',101,'N'),(15,2231255,'1',301,'N'),(15,2231255,'2',108,'N'),(15,2231263,'1',104,'N'),(15,2231263,'2',217,'N'),(15,2231271,'1',216,'N'),(15,2231271,'2',423,'N'),(15,2231298,'1',103,'N'),(15,2231298,'2',415,'N'),(15,2231301,'1',201,'N'),(15,2231301,'2',212,'N'),(15,2231310,'1',415,'N'),(15,2231310,'2',450,'N'),(15,2231328,'1',9,'N'),(15,2231328,'2',108,'N'),(15,2231336,'1',203,'N'),(15,2231336,'1A',214,'N'),(15,2231336,'2',202,'N'),(15,2231344,'1',203,'N'),(15,2231344,'1A',233,'N'),(15,2231344,'2',404,'N'),(15,2231352,'1',211,'N'),(15,2231352,'1A',201,'N'),(15,2231352,'2',234,'N'),(15,2231360,'1',238,'N'),(15,2231360,'1A',208,'N'),(15,2231360,'2',316,'N'),(15,2231379,'1',501,'N'),(15,2231379,'2',215,'N'),(15,2231387,'1',217,'N'),(15,2231387,'2',233,'N'),(15,2231395,'1',222,'N'),(15,2231395,'2',223,'N'),(15,2231409,'1',303,'N'),(15,2231409,'2',5,'N'),(15,2231425,'1',102,'N'),(15,2231425,'2',9,'N'),(15,2231433,'1',333,'N'),(15,2231441,'1',102,'N'),(15,2231441,'2',101,'N'),(15,2231450,'1',215,'N'),(15,2231450,'2',331,'N'),(15,2231468,'1',309,'N'),(15,2231468,'2',329,'N'),(15,2231476,'1',319,'N'),(15,2231476,'2',320,'N'),(15,2231484,'1',104,'N'),(15,2231484,'2',103,'N'),(15,2231492,'1',316,'N'),(15,2231492,'2',301,'N'),(15,2231506,'1',203,'N'),(15,2231514,'1',450,'N'),(15,2231514,'2',327,'N'),(15,2231522,'1',320,'N'),(15,2231522,'2',324,'N'),(15,2231530,'1',427,'N'),(15,2231530,'1A',421,'N'),(15,2231530,'2',424,'N'),(15,2231549,'1',212,'N'),(15,2231549,'1A',220,'N'),(15,2231549,'2',214,'N'),(15,2231557,'1',208,'N'),(15,2231557,'2',238,'N'),(15,2231565,'1',301,'N'),(15,2231573,'1',319,'N'),(15,2231573,'2',424,'N'),(15,2231581,'1',213,'N'),(15,2231590,'1',104,'N'),(15,2231590,'2',103,'N'),(15,2231611,'1',222,'N'),(15,2231620,'1',216,'N'),(15,2231620,'1A',233,'N'),(15,2231620,'2',316,'N'),(15,2231638,'1',309,'N'),(15,2231638,'2',331,'N'),(15,2231646,'1',420,'N'),(15,2231646,'2',9,'N'),(15,2231654,'1',215,'N'),(15,2231654,'1A',216,'N'),(15,2231654,'2',9,'N'),(15,2231662,'1',319,'N'),(15,2231662,'2',104,'N'),(15,2231689,'1',220,'N'),(15,2231689,'1A',202,'N'),(15,2231689,'2',213,'N'),(15,2231697,'1',404,'N'),(15,2231697,'2',108,'N'),(15,2231700,'1',415,'N'),(15,2231700,'2',308,'N'),(15,2231727,'1',103,'N'),(15,2231727,'2',102,'N'),(15,2231735,'1',302,'N'),(15,2231735,'2',324,'N'),(15,2231743,'1',426,'N'),(15,2231743,'1A',425,'N'),(15,2231743,'2',308,'N'),(15,2231751,'1',404,'N'),(15,2231751,'2',213,'N'),(15,2231778,'1',304,'N'),(15,2231778,'2',318,'N'),(15,2231786,'1',108,'N'),(15,2231786,'2',404,'N'),(15,2231794,'1',404,'N'),(15,2231794,'2',332,'N'),(15,2231816,'1',103,'N'),(15,2231816,'2',319,'N'),(15,2231824,'1',211,'N'),(15,2231824,'1A',215,'N'),(15,2231824,'2',502,'N'),(15,2231832,'1',332,'N'),(15,2231832,'2',329,'N'),(15,2231840,'1',238,'N'),(15,2231840,'1A',208,'N'),(15,2231840,'2',316,'N'),(15,2231859,'1',220,'N'),(15,2231859,'1A',202,'N'),(15,2231859,'2',2,'N'),(15,2231867,'1',207,'N'),(15,2231867,'1A',201,'N'),(15,2231867,'2',420,'N'),(15,2231875,'1',102,'N'),(15,2231875,'2',9,'N'),(15,2231883,'1',102,'N'),(15,2231883,'2',216,'N'),(15,2231891,'1',103,'N'),(15,2231891,'2',104,'N'),(15,2231905,'1',215,'N'),(15,2231905,'1A',216,'N'),(15,2231905,'2',9,'N'),(15,2231913,'1',108,'N'),(15,2231913,'2',333,'N'),(15,2231930,'1',329,'N'),(15,2231930,'2',326,'N'),(15,2231948,'1',420,'N'),(15,2231948,'2',207,'N'),(15,2231956,'1',103,'N'),(15,2231956,'2',201,'N'),(15,2231964,'1',303,'N'),(15,2231964,'2',301,'N'),(15,2231972,'1',207,'N'),(15,2231972,'1A',201,'N'),(15,2231972,'2',319,'N'),(15,2231980,'1',108,'N'),(15,2232006,'1',415,'N'),(15,2232014,'1',103,'N'),(15,2232014,'2',304,'N'),(15,2232022,'1',329,'N'),(15,2232022,'2',211,'N'),(15,2232030,'1',317,'N'),(15,2232030,'2',224,'N'),(15,2232049,'1',333,'N'),(15,2232049,'2',501,'N'),(15,2232057,'1',103,'N'),(15,2232057,'2',104,'N'),(15,2232065,'1',316,'N'),(15,2232065,'2',304,'N'),(15,2232073,'1',303,'N'),(15,2232073,'2',5,'N'),(15,2232081,'1',220,'N'),(15,2232081,'2',214,'N'),(15,2232090,'1',339,'N'),(15,2232103,'1',501,'N'),(15,2232103,'2',333,'N'),(15,2232111,'1',404,'N'),(15,2232111,'2',217,'N'),(15,2232120,'1',319,'N'),(15,2232120,'2',415,'N'),(15,2232138,'1',450,'N'),(15,2232146,'1',101,'N'),(15,2232146,'2',332,'N'),(15,2232162,'1',208,'N'),(15,2232162,'2',201,'N'),(15,2232170,'1',211,'N'),(15,2232170,'1A',201,'N'),(15,2232170,'2',331,'N'),(15,2232189,'1',421,'N'),(15,2232189,'1A',425,'N'),(15,2232189,'2',327,'N'),(15,2232197,'1',103,'N'),(15,2232197,'2',303,'N'),(15,2232200,'1',415,'N'),(15,2232219,'1',501,'N'),(15,2232219,'2',329,'N'),(15,2232227,'1',103,'N'),(15,2232235,'1',104,'N'),(15,2232235,'2',9,'N'),(15,2232243,'1',211,'N'),(15,2232243,'1A',215,'N'),(15,2232243,'2',502,'N'),(15,2232251,'1',5,'N'),(15,2232251,'2',327,'N'),(15,2232260,'1',216,'N'),(15,2232260,'2',102,'N'),(15,2232278,'1',501,'N'),(15,2232278,'2',215,'N'),(15,2232286,'1',103,'N'),(15,2232286,'2',9,'N'),(15,2232294,'1',301,'N'),(15,2232294,'2',426,'N'),(15,2232308,'1',451,'N'),(15,2232308,'2',415,'N'),(15,2232316,'1',103,'N'),(15,2232316,'2',101,'N'),(15,2232324,'1',103,'N'),(15,2232324,'2',425,'N'),(15,2232332,'1',303,'N'),(15,2232332,'2',301,'N'),(15,2232340,'1',102,'N'),(15,2232340,'2',501,'N'),(15,2232359,'1',104,'N'),(15,2232359,'2',9,'N'),(15,2232367,'1',108,'N'),(15,2232367,'2',502,'N'),(15,2232383,'1',317,'N'),(15,2232383,'2',316,'N'),(15,2232391,'1',222,'N'),(15,2232391,'2',224,'N'),(15,2232405,'1',103,'N'),(15,2232413,'1',208,'N'),(15,2232413,'1A',213,'N'),(15,2232413,'2',202,'N'),(15,2232430,'1',404,'N'),(15,2232430,'2',333,'N'),(15,2232448,'1',301,'N'),(15,2232448,'2',203,'N'),(15,2232456,'1',308,'N'),(15,2232456,'2',424,'N'),(15,2232464,'1',332,'N'),(15,2232464,'2',318,'N'),(15,2232480,'1',5,'N'),(15,2232480,'2',339,'N'),(15,2232499,'1',301,'N'),(15,2232499,'2',316,'N'),(15,2232510,'1',103,'N'),(15,2232529,'1',207,'N'),(15,2232529,'2',420,'N'),(15,2232537,'1',212,'N'),(15,2232537,'1A',216,'N'),(15,2232537,'2',108,'N'),(15,2232553,'1',501,'N'),(15,2232553,'2',502,'N'),(15,2232561,'1',217,'N'),(15,2232561,'2',309,'N'),(15,2232570,'1',425,'N'),(15,2232570,'1A',429,'N'),(15,2232570,'2',234,'N'),(15,2232588,'1',451,'N'),(15,2232588,'2',324,'N'),(15,2232596,'1',319,'N'),(15,2232596,'2',303,'N'),(15,2232600,'1',319,'N'),(15,2232600,'2',415,'N'),(15,2232618,'1',104,'N'),(15,2232618,'2',102,'N'),(15,2232626,'1',108,'N'),(15,2232626,'2',333,'N'),(15,2232634,'1',103,'N'),(15,2232634,'2',309,'N'),(15,2232642,'1',104,'N'),(15,2232642,'2',9,'N'),(15,2232650,'1',5,'N'),(15,2232650,'2',201,'N'),(15,2232669,'1',101,'N'),(15,2232669,'2',303,'N'),(15,2232677,'1',317,'N'),(15,2232677,'2',316,'N'),(15,2232685,'1',9,'N'),(15,2232685,'2',215,'N'),(15,2232693,'1',450,'N'),(15,2232693,'2',310,'N'),(15,2232707,'1',238,'N'),(15,2232707,'1A',208,'N'),(15,2232707,'2',301,'N'),(15,2232715,'1',5,'N'),(15,2232715,'2',317,'N'),(15,2232723,'1',207,'N'),(15,2232723,'1A',201,'N'),(15,2232723,'2',332,'N'),(15,2232740,'1',201,'N'),(15,2232740,'1A',211,'N'),(15,2232758,'1',216,'N'),(15,2232758,'2',208,'N'),(15,2232766,'1',303,'N'),(15,2232766,'2',415,'N'),(15,2232774,'1',302,'N'),(15,2232774,'2',303,'N'),(15,2232782,'1',303,'N'),(15,2232782,'2',502,'N'),(15,2232790,'1',217,'N'),(15,2232790,'2',333,'N'),(15,2232804,'1',404,'N'),(15,2232804,'2',444,'N'),(15,2232812,'1',101,'N'),(15,2232812,'2',326,'N'),(15,2232820,'1',303,'N'),(15,2232820,'2',5,'N'),(15,2232839,'1',211,'N'),(15,2232839,'2',301,'N'),(15,2232847,'1',320,'N'),(15,2232847,'2',339,'N'),(15,2232863,'1',104,'N'),(15,2232863,'2',102,'N'),(15,2232871,'1',108,'N'),(15,2232880,'1',444,'N'),(15,2232880,'2',404,'N'),(15,2232898,'1',339,'N'),(15,2232898,'2',308,'N'),(15,2232901,'1',102,'N'),(15,2232901,'2',215,'N'),(15,2232910,'1',444,'N'),(15,2232910,'2',319,'N'),(15,2232928,'1',333,'N'),(15,2232936,'1',208,'N'),(15,2232936,'1A',203,'N'),(15,2232936,'2',223,'N'),(15,2232944,'1',444,'N'),(15,2232944,'2',502,'N'),(15,2232952,'1',304,'N'),(15,2232952,'2',303,'N'),(15,2232960,'1',316,'N'),(15,2232960,'2',318,'N'),(15,2232979,'1',103,'N'),(15,2232979,'2',104,'N'),(15,2232987,'1',316,'N'),(15,2232987,'2',318,'N'),(15,2232995,'1',5,'N'),(15,2232995,'2',102,'N'),(15,2233002,'1',103,'N'),(15,2233002,'2',333,'N'),(15,2233029,'1',316,'N'),(15,2233029,'2',308,'N'),(15,2233037,'1',5,'N'),(15,2233037,'2',333,'N'),(15,2233045,'1',501,'N'),(15,2233045,'2',329,'N'),(15,2233053,'1',415,'N'),(15,2233053,'2',320,'N'),(15,2233061,'1',103,'N'),(15,2233061,'2',101,'N'),(15,2233070,'1',103,'N'),(15,2233070,'2',202,'N'),(15,2233088,'1',332,'N'),(15,2233088,'2',333,'N'),(15,2233100,'1',103,'N'),(15,2233100,'2',108,'N'),(15,2233118,'1',203,'N'),(15,2233118,'1A',214,'N'),(15,2233118,'2',501,'N'),(15,2233150,'1',333,'N'),(15,2233150,'2',301,'N'),(15,2233169,'1',5,'N'),(15,2233169,'2',238,'N'),(15,2233177,'1',319,'N'),(15,2233177,'2',303,'N'),(15,2233185,'1',102,'N'),(15,2233185,'2',215,'N'),(15,2233193,'1',238,'N'),(15,2233193,'2',425,'N'),(15,2233207,'1',222,'N'),(15,2233207,'2',224,'N'),(15,2233215,'1',304,'N'),(15,2233215,'2',201,'N'),(15,2233223,'1',5,'N'),(15,2233223,'2',303,'N'),(15,2233231,'1',201,'N'),(15,2233231,'1A',212,'N'),(15,2233231,'2',233,'N'),(15,2233258,'1',211,'N'),(15,2233258,'1A',201,'N'),(15,2233258,'2',319,'N'),(15,2233266,'1',5,'N'),(15,2233266,'2',316,'N'),(15,2233274,'1',211,'N'),(15,2233274,'1A',201,'N'),(15,2233274,'2',208,'N'),(15,2233282,'1',451,'N'),(15,2233282,'2',426,'N'),(15,2233290,'1',415,'N'),(15,2233290,'2',319,'N'),(15,2233304,'1',318,'N'),(15,2233304,'2',339,'N'),(15,2233312,'1',207,'N'),(15,2233312,'1A',233,'N'),(15,2233312,'2',420,'N'),(15,2233320,'1',103,'N'),(15,2233320,'2',102,'N'),(15,2233339,'1',103,'N'),(15,2233339,'2',108,'N'),(15,2233347,'1',102,'N'),(15,2233347,'2',424,'N'),(15,2233355,'1',211,'N'),(15,2233355,'1A',201,'N'),(15,2233355,'2',301,'N'),(15,2233363,'1',420,'N'),(15,2233363,'2',329,'N'),(15,2233371,'1',420,'N'),(15,2233371,'2',427,'N'),(15,2233380,'1',303,'N'),(15,2233380,'2',207,'N'),(15,2233398,'1',203,'N'),(15,2233398,'2',214,'N'),(15,2233401,'1',9,'N'),(15,2233401,'2',316,'N'),(15,2233410,'1',211,'N'),(15,2233410,'1A',201,'N'),(15,2233410,'2',501,'N'),(15,2233428,'1',203,'N'),(15,2233428,'1A',233,'N'),(15,2233428,'2',301,'N'),(15,2233436,'1',215,'N'),(15,2233436,'1A',220,'N'),(15,2233436,'2',213,'N'),(15,2233444,'1',103,'N'),(15,2233444,'2',104,'N'),(15,2233452,'1',216,'N'),(15,2233452,'1A',201,'N'),(15,2233452,'2',102,'N'),(15,2233460,'1',201,'N'),(15,2233460,'1A',212,'N'),(15,2233460,'2',425,'N'),(15,2233479,'1',308,'N'),(15,2233479,'2',424,'N'),(15,2233487,'1',108,'N'),(15,2233487,'2',501,'N'),(15,2233495,'1',212,'N'),(15,2233495,'1A',213,'N'),(15,2233495,'2',214,'N'),(15,2233509,'1',5,'N'),(15,2233509,'2',415,'N'),(15,2233517,'1',108,'N'),(15,2233517,'2',211,'N'),(15,2233525,'1',319,'N'),(15,2233525,'2',102,'N'),(15,2233533,'1',208,'N'),(15,2233533,'1A',202,'N'),(15,2233533,'2',222,'N'),(15,2233550,'1',238,'N'),(15,2233550,'2',339,'N'),(15,2233568,'1',317,'N'),(15,2233568,'2',302,'N'),(15,2233576,'1',108,'N'),(15,2233576,'2',333,'N'),(15,2233584,'1',427,'N'),(15,2233584,'1A',423,'N'),(15,2233584,'2',324,'N'),(15,2233592,'1',329,'N'),(15,2233592,'2',328,'N'),(15,2233606,'1',451,'N'),(15,2233614,'1',5,'N'),(15,2233614,'2',317,'N'),(15,2233622,'1',103,'N'),(15,2233622,'2',216,'N'),(15,2233649,'1',103,'N'),(15,2233649,'2',324,'N'),(15,2233665,'1',103,'N'),(15,2233665,'2',102,'N'),(15,2233673,'1',420,'N'),(15,2233673,'2',207,'N'),(15,2233681,'1',238,'N'),(15,2233681,'1A',208,'N'),(15,2233681,'2',444,'N'),(15,2233703,'1',425,'N'),(15,2233703,'1A',421,'N'),(15,2233703,'2',427,'N'),(15,2233711,'1',202,'N'),(15,2233711,'1A',213,'N'),(15,2233711,'2',2,'N'),(15,2233720,'1',5,'N'),(15,2233720,'2',317,'N'),(15,2233738,'1',103,'N'),(15,2233738,'2',415,'N'),(15,2233746,'1',104,'N'),(15,2233746,'2',102,'N'),(15,2233754,'1',103,'N'),(15,2233754,'2',108,'N'),(15,2233762,'1',9,'N'),(15,2233762,'2',215,'N'),(15,2233789,'1',216,'N'),(15,2233789,'1A',211,'N'),(15,2233789,'2',2,'N'),(15,2233797,'1',108,'N'),(15,2233797,'2',502,'N'),(15,2233800,'1',318,'N'),(15,2233800,'2',224,'N'),(15,2233827,'1',301,'N'),(15,2233827,'2',203,'N'),(15,2233835,'1',201,'N'),(15,2233835,'2',320,'N'),(15,2233843,'1',203,'N'),(15,2233843,'1A',201,'N'),(15,2233843,'2',301,'N'),(15,2233851,'1',103,'N'),(15,2233851,'2',9,'N'),(15,2233860,'1',102,'N'),(15,2233860,'2',108,'N'),(15,2233878,'1',319,'N'),(15,2233878,'2',329,'N'),(15,2233886,'1',213,'N'),(15,2233886,'1A',202,'N'),(15,2233886,'2',420,'N'),(15,2233894,'1',5,'N'),(15,2233894,'2',201,'N'),(15,2233908,'1',324,'N'),(15,2233924,'1',102,'N'),(15,2233924,'2',101,'N'),(15,2233940,'1',108,'N'),(15,2233940,'2',319,'N'),(15,2233959,'1',339,'N'),(15,2233959,'2',324,'N'),(15,2233967,'1',234,'N'),(15,2233967,'2',9,'N'),(15,2233975,'1',108,'N'),(15,2233975,'2',217,'N'),(15,2233983,'1',301,'N'),(15,2233983,'2',331,'N'),(15,2233991,'1',319,'N'),(15,2233991,'2',404,'N'),(15,2234009,'1',319,'N'),(15,2234009,'2',423,'N'),(15,2234017,'1',415,'N'),(15,2234017,'2',333,'N'),(15,2234025,'1',103,'N'),(15,2234025,'2',316,'N'),(15,2234041,'1',420,'N'),(15,2234041,'2',450,'N'),(15,2234050,'1',101,'N'),(15,2234050,'2',9,'N'),(15,2234068,'1',415,'N'),(15,2234068,'2',327,'N'),(15,2234076,'1',211,'N'),(15,2234076,'1A',215,'N'),(15,2234076,'2',238,'N'),(15,2234084,'1',333,'N'),(15,2234084,'2',332,'N'),(15,2234092,'1',207,'N'),(15,2234092,'1A',201,'N'),(15,2234092,'2',420,'N'),(15,2234106,'1',102,'N'),(15,2234106,'2',211,'N'),(15,2234114,'1',316,'N'),(15,2234114,'2',208,'N'),(15,2234122,'1',301,'N'),(15,2234122,'2',223,'N'),(15,2234130,'1',450,'N'),(15,2234130,'2',211,'N'),(15,2234149,'1',103,'N'),(15,2234149,'2',104,'N'),(15,2234157,'1',215,'N'),(15,2234157,'1A',212,'N'),(15,2234157,'2',444,'N'),(15,2234165,'1',301,'N'),(15,2234165,'2',310,'N'),(15,2234190,'1',429,'N'),(15,2234190,'1A',424,'N'),(15,2234190,'2',101,'N'),(15,2234203,'1',212,'N'),(15,2234203,'1A',207,'N'),(15,2234203,'2',327,'N'),(15,2234211,'1',303,'N'),(15,2234211,'2',211,'N'),(15,2234220,'1',207,'N'),(15,2234220,'1A',201,'N'),(15,2234220,'2',420,'N'),(15,2234246,'1',309,'N'),(15,2234246,'2',310,'N'),(15,2234262,'1',320,'N'),(15,2234262,'2',332,'N'),(15,2234270,'1',317,'N'),(15,2234270,'2',318,'N'),(15,2234300,'1',103,'N'),(15,2234300,'2',318,'N'),(15,2234319,'1',103,'N'),(15,2234319,'2',108,'N'),(15,2234327,'1',201,'N'),(15,2234327,'1A',207,'N'),(15,2234327,'2',208,'N'),(15,2234335,'1',316,'N'),(15,2234335,'2',339,'N'),(15,2234343,'1',103,'N'),(15,2234343,'2',304,'N'),(15,2234351,'1',319,'N'),(15,2234351,'2',425,'N'),(15,2234378,'1',316,'N'),(15,2234378,'2',320,'N'),(15,2234386,'1',201,'N'),(15,2234386,'1A',212,'N'),(15,2234386,'2',207,'N'),(15,2234394,'1',207,'N'),(15,2234394,'1A',220,'N'),(15,2234394,'2',201,'N'),(15,2234408,'1',103,'N'),(15,2234408,'2',212,'N'),(15,2234416,'1',104,'N'),(15,2234416,'2',303,'N'),(15,2234424,'1',211,'N'),(15,2234424,'1A',207,'N'),(15,2234424,'2',301,'N'),(15,2234432,'1',301,'N'),(15,2234432,'2',316,'N'),(15,2234440,'1',212,'N'),(15,2234459,'1',5,'N'),(15,2234459,'2',324,'N'),(15,2234475,'1',103,'N'),(15,2234475,'2',216,'N'),(15,2234491,'1',213,'N'),(15,2234491,'2',214,'N'),(15,2234505,'1',103,'N'),(15,2234505,'2',450,'N'),(15,2234513,'1',202,'N'),(15,2234513,'1A',233,'N'),(15,2234513,'2',208,'N'),(15,2234521,'1',333,'N'),(15,2234521,'2',211,'N'),(15,2234530,'1',502,'N'),(15,2234530,'2',501,'N'),(15,2234548,'1',217,'N'),(15,2234548,'2',216,'N'),(15,2234556,'1',425,'N'),(15,2234556,'1A',426,'N'),(15,2234556,'2',424,'N'),(15,2234564,'1',217,'N'),(15,2234564,'2',2,'N'),(15,2234572,'1',316,'N'),(15,2234572,'2',201,'N'),(15,2234602,'1',5,'N'),(15,2234602,'2',318,'N'),(15,2234610,'1',316,'N'),(15,2234610,'2',301,'N'),(15,2234629,'1',319,'N'),(15,2234629,'2',404,'N'),(15,2234637,'1',207,'N'),(15,2234637,'1A',201,'N'),(15,2234637,'2',415,'N'),(15,2234645,'1',208,'N'),(15,2234645,'1A',238,'N'),(15,2234645,'2',102,'N'),(15,2234653,'1',404,'N'),(15,2234653,'2',223,'N'),(15,2234661,'1',103,'N'),(15,2234670,'1',104,'N'),(15,2234670,'2',327,'N'),(15,2234688,'1',238,'N'),(15,2234688,'1A',208,'N'),(15,2234688,'2',404,'N'),(15,2234696,'1',103,'N'),(15,2234696,'2',108,'N'),(15,2234700,'1',103,'N'),(15,2234700,'2',501,'N'),(15,2234718,'1',208,'N'),(15,2234718,'1A',202,'N'),(15,2234718,'2',333,'N'),(15,2234726,'1',207,'N'),(15,2234726,'1A',220,'N'),(15,2234726,'2',420,'N'),(15,2234734,'1',101,'N'),(15,2234734,'2',319,'N'),(15,2234742,'1',5,'N'),(15,2234742,'2',333,'N'),(15,2234750,'1',501,'N'),(15,2234750,'2',332,'N'),(15,2234769,'1',316,'N'),(15,2234769,'2',212,'N'),(15,2234777,'1',217,'N'),(15,2234777,'2',102,'N'),(15,2234793,'1',326,'N'),(15,2234793,'2',427,'N'),(15,2234807,'1',203,'N'),(15,2234807,'1A',202,'N'),(15,2234807,'2',216,'N'),(15,2234815,'1',103,'N'),(15,2234815,'2',101,'N'),(15,2234831,'1',404,'N'),(15,2234831,'2',423,'N'),(15,2234840,'1',214,'N'),(15,2234840,'1A',220,'N'),(15,2234840,'2',212,'N'),(15,2234858,'1',103,'N'),(15,2234858,'2',339,'N'),(15,2234866,'1',103,'N'),(15,2234866,'2',102,'N'),(15,2234874,'1',208,'N'),(15,2234874,'1A',238,'N'),(15,2234874,'2',420,'N'),(15,2234882,'1',234,'N'),(15,2234882,'2',424,'N'),(15,2234890,'1',207,'N'),(15,2234890,'1A',215,'N'),(15,2234890,'2',420,'N'),(15,2234912,'1',103,'N'),(15,2234912,'2',303,'N'),(15,2234920,'1',103,'N'),(15,2234920,'2',329,'N'),(15,2234939,'1',207,'N'),(15,2234939,'1A',201,'N'),(15,2234939,'2',420,'N'),(15,2234947,'1',301,'N'),(15,2234947,'2',302,'N'),(15,2234998,'1',103,'N'),(15,2234998,'2',101,'N'),(15,2235005,'1',103,'N'),(15,2235005,'2',426,'N'),(15,2235013,'1',301,'N'),(15,2235013,'2',222,'N'),(15,2235021,'1',202,'N'),(15,2235021,'1A',208,'N'),(15,2235021,'2',104,'N'),(15,2235030,'1',303,'N'),(15,2235030,'2',5,'N'),(15,2235048,'1',104,'N'),(15,2235048,'2',103,'N'),(15,2235056,'1',501,'N'),(15,2235056,'2',420,'N'),(15,2235064,'1',234,'N'),(15,2235064,'2',224,'N'),(15,2235072,'1',203,'N'),(15,2235072,'1A',220,'N'),(15,2235072,'2',215,'N'),(15,2235099,'1',5,'N'),(15,2235099,'2',301,'N'),(15,2235110,'1',202,'N'),(15,2235110,'2',317,'N'),(15,2235129,'1',238,'N'),(15,2235129,'1A',208,'N'),(15,2235129,'2',5,'N'),(15,2235137,'1',450,'N'),(15,2235137,'2',327,'N'),(15,2235145,'1',104,'N'),(15,2235145,'2',102,'N'),(15,2235153,'1',310,'N'),(15,2235153,'2',326,'N'),(15,2235161,'1',234,'N'),(15,2235161,'2',211,'N'),(15,2235170,'1',501,'N'),(15,2235170,'2',310,'N'),(15,2235188,'1',303,'N'),(15,2235188,'2',5,'N'),(15,2235196,'1',208,'N'),(15,2235196,'1A',203,'N'),(15,2235196,'2',404,'N'),(15,2235218,'1',317,'N'),(15,2235218,'2',327,'N'),(15,2235226,'1',425,'N'),(15,2235226,'1A',423,'N'),(15,2235226,'2',501,'N'),(15,2235234,'1',319,'N'),(15,2235234,'2',308,'N'),(15,2235242,'1',303,'N'),(15,2235242,'2',5,'N'),(15,2235250,'1',302,'N'),(15,2235250,'2',317,'N'),(15,2235277,'1',201,'N'),(15,2235277,'1A',211,'N'),(15,2235277,'2',212,'N'),(15,2235285,'1',426,'N'),(15,2235285,'1A',429,'N'),(15,2235293,'1',103,'N'),(15,2235307,'1',5,'N'),(15,2235307,'2',316,'N'),(15,2235315,'1',429,'N'),(15,2235315,'1A',423,'N'),(15,2235315,'2',308,'N'),(15,2235323,'1',420,'N'),(15,2235323,'2',415,'N'),(15,2235331,'1',5,'N'),(15,2235331,'2',303,'N'),(15,2235340,'1',238,'N'),(15,2235340,'1A',208,'N'),(15,2235340,'2',202,'N'),(15,2235366,'1',317,'N'),(15,2235366,'2',302,'N'),(15,2235374,'1',415,'N'),(15,2235374,'2',103,'N'),(15,2235382,'1',103,'N'),(15,2235382,'2',108,'N'),(15,2235390,'1',208,'N'),(15,2235390,'2',333,'N'),(15,2235404,'1',108,'N'),(15,2235404,'2',326,'N'),(15,2235420,'1',333,'N'),(15,2235420,'2',108,'N'),(15,2235439,'1',211,'N'),(15,2235439,'1A',233,'N'),(15,2235439,'2',333,'N'),(15,2235447,'1',501,'N'),(15,2235447,'2',502,'N'),(15,2235455,'1',425,'N'),(15,2235455,'1A',424,'N'),(15,2235455,'2',308,'N'),(15,2235463,'1',211,'N'),(15,2235463,'2',502,'N'),(15,2235471,'1',316,'N'),(15,2235471,'2',301,'N'),(15,2235498,'1',103,'N'),(15,2235498,'2',102,'N'),(15,2235501,'1',208,'N'),(15,2235501,'1A',238,'N'),(15,2235501,'2',2,'N'),(15,2235510,'1',303,'N'),(15,2235510,'2',333,'N'),(15,2235536,'1',501,'N'),(15,2235536,'2',502,'N'),(15,2235544,'1',216,'N'),(15,2235544,'2',102,'N'),(15,2235552,'1',303,'N'),(15,2235552,'2',5,'N'),(15,2235560,'1',104,'N'),(15,2235560,'2',9,'N'),(15,2235579,'1',339,'N'),(15,2235579,'2',320,'N'),(15,2235587,'1',425,'N'),(15,2235587,'2',104,'N'),(15,2235595,'1',317,'N'),(15,2235595,'2',324,'N'),(15,2235609,'1',5,'N'),(15,2235617,'1',108,'N'),(15,2235617,'2',333,'N'),(15,2235625,'1',103,'N'),(15,2235625,'2',203,'N'),(15,2235633,'1',103,'N'),(15,2235650,'1',103,'N'),(15,2235650,'2',104,'N'),(15,2235668,'1',9,'N'),(15,2235668,'2',102,'N'),(15,2235676,'1',103,'N'),(15,2235676,'2',101,'N'),(15,2235684,'1',501,'N'),(15,2235684,'2',332,'N'),(15,2235692,'1',103,'N'),(15,2235692,'2',333,'N'),(15,2235706,'1',5,'N'),(15,2235706,'2',303,'N'),(15,2235714,'1',318,'N'),(15,2235714,'2',108,'N'),(15,2235722,'1',316,'N'),(15,2235722,'2',332,'N'),(15,2235730,'1',103,'N'),(15,2235749,'1',108,'N'),(15,2235749,'2',333,'N'),(15,2235757,'1',333,'N'),(15,2235757,'2',234,'N'),(15,2235765,'1',216,'N'),(15,2235765,'1A',233,'N'),(15,2235765,'2',213,'N'),(15,2235773,'1',211,'N'),(15,2235773,'1A',238,'N'),(15,2235773,'2',333,'N'),(15,2235781,'1',213,'N'),(15,2235781,'2',214,'N'),(15,2235790,'1',207,'N'),(15,2235790,'1A',211,'N'),(15,2235790,'2',420,'N'),(15,2235803,'1',5,'N'),(15,2235803,'2',319,'N'),(15,2235811,'1',104,'N'),(15,2235811,'2',103,'N'),(15,2235820,'1',102,'N'),(15,2235820,'2',318,'N'),(15,2235838,'1',319,'N'),(15,2235838,'2',309,'N'),(15,2235846,'1',308,'N'),(15,2235846,'2',428,'N'),(15,2235854,'1',101,'N'),(15,2235854,'2',404,'N'),(15,2235862,'1',103,'N'),(15,2235862,'2',104,'N'),(15,2235870,'1',318,'N'),(15,2235870,'2',316,'N'),(15,2235889,'1',304,'N'),(15,2235889,'2',501,'N'),(15,2235897,'1',5,'N'),(15,2235897,'2',339,'N'),(15,2235900,'1',203,'N'),(15,2235900,'2',214,'N'),(15,2235919,'1',5,'N'),(15,2235919,'2',317,'N'),(15,2235927,'1',222,'N'),(15,2235927,'2',224,'N'),(15,2235935,'1',317,'N'),(15,2235935,'2',425,'N'),(15,2235943,'1',304,'N'),(15,2235951,'1',303,'N'),(15,2235951,'2',208,'N'),(15,2235978,'1',220,'N'),(15,2235978,'1A',201,'N'),(15,2235978,'2',208,'N'),(15,2235986,'1',103,'N'),(15,2235986,'2',102,'N'),(15,2235994,'1',317,'N'),(15,2235994,'2',320,'N'),(15,2236001,'1',238,'N'),(15,2236001,'1A',208,'N'),(15,2236001,'2',326,'N'),(15,2236010,'1',208,'N'),(15,2236010,'1A',202,'N'),(15,2236010,'2',220,'N'),(15,2236028,'1',201,'N'),(15,2236028,'1A',207,'N'),(15,2236028,'2',444,'N'),(15,2236036,'1',214,'N'),(15,2236036,'1A',203,'N'),(15,2236036,'2',213,'N'),(15,2236044,'1',103,'N'),(15,2236044,'2',217,'N'),(15,2236052,'1',203,'N'),(15,2236052,'1A',214,'N'),(15,2236052,'2',444,'N'),(15,2236060,'1',451,'N'),(15,2236060,'2',319,'N'),(15,2236079,'1',309,'N'),(15,2236087,'1',316,'N'),(15,2236109,'1',103,'N'),(15,2236109,'2',216,'N'),(15,2236117,'1',301,'N'),(15,2236117,'2',420,'N'),(15,2236125,'1',102,'N'),(15,2236125,'2',108,'N'),(15,2236133,'1',220,'N'),(15,2236133,'1A',214,'N'),(15,2236133,'2',213,'N'),(15,2236141,'1',108,'N'),(15,2236141,'2',103,'N'),(15,2236150,'1',9,'N'),(15,2236150,'2',101,'N'),(15,2236168,'1',202,'N'),(15,2236176,'1',102,'N'),(15,2236176,'2',333,'N'),(15,2236184,'1',103,'N'),(15,2236184,'2',319,'N'),(15,2236192,'1',104,'N'),(15,2236192,'2',324,'N'),(15,2236206,'1',303,'N'),(15,2236206,'2',5,'N'),(15,2236214,'1',301,'N'),(15,2236214,'2',316,'N'),(15,2236222,'1',420,'N'),(15,2236222,'2',424,'N'),(15,2236230,'1',316,'N'),(15,2236230,'2',426,'N'),(15,2236249,'1',5,'N'),(15,2236249,'2',303,'N'),(15,2236265,'1',238,'N'),(15,2236265,'1A',208,'N'),(15,2236265,'2',324,'N'),(15,2236273,'1',451,'N'),(15,2236273,'2',329,'N'),(15,2236281,'1',420,'N'),(15,2236281,'2',415,'N'),(15,2236290,'1',202,'N'),(15,2236290,'1A',213,'N'),(15,2236290,'2',220,'N'),(15,2236311,'1',303,'N'),(15,2236311,'2',304,'N'),(15,2236320,'1',215,'N'),(15,2236346,'1',318,'N'),(15,2236346,'2',224,'N'),(15,2236354,'1',415,'N'),(15,2236354,'2',404,'N'),(15,2236362,'1',103,'N'),(15,2236362,'2',303,'N'),(15,2236370,'1',103,'N'),(15,2236370,'2',428,'N'),(15,2236389,'1',317,'N'),(15,2236389,'2',108,'N'),(15,2236397,'1',303,'N'),(15,2236397,'2',316,'N'),(15,2236400,'1',211,'N'),(15,2236400,'1A',208,'N'),(15,2236400,'2',501,'N'),(15,2236419,'1',201,'N'),(15,2236419,'2',212,'N'),(15,2236427,'1',303,'N'),(15,2236427,'2',5,'N'),(15,2236435,'1',5,'N'),(15,2236435,'2',303,'N'),(15,2236443,'1',203,'N'),(15,2236443,'2',222,'N'),(15,2236451,'1',420,'N'),(15,2236451,'2',429,'N'),(15,2236460,'1',302,'N'),(15,2236460,'2',404,'N'),(15,2236486,'1',404,'N'),(15,2236486,'2',428,'N'),(15,2236494,'1',102,'N'),(15,2236494,'2',217,'N'),(15,2236508,'1',201,'N'),(15,2236508,'1A',203,'N'),(15,2236508,'2',212,'N'),(15,2236516,'1',303,'N'),(15,2236516,'2',301,'N'),(15,2236524,'1',404,'N'),(15,2236524,'2',301,'N'),(15,2236532,'1',211,'N'),(15,2236532,'1A',207,'N'),(15,2236532,'2',108,'N'),(15,2236559,'1',420,'N'),(15,2236559,'2',451,'N'),(15,2236567,'1',238,'N'),(15,2236567,'1A',208,'N'),(15,2236567,'2',425,'N'),(15,2236575,'1',415,'N'),(15,2236575,'2',108,'N'),(15,2236583,'1',317,'N'),(15,2236583,'2',108,'N'),(15,2236591,'1',316,'N'),(15,2236591,'2',304,'N'),(15,2236605,'1',501,'N'),(15,2236605,'2',316,'N'),(15,2236621,'1',103,'N'),(15,2236621,'2',102,'N'),(15,2236630,'1',201,'N'),(15,2236630,'1A',212,'N'),(15,2236630,'2',223,'N'),(15,2236648,'1',103,'N'),(15,2236648,'2',216,'N'),(15,2236664,'1',333,'N'),(15,2236664,'2',108,'N'),(15,2236672,'1',202,'N'),(15,2236672,'1A',203,'N'),(15,2236680,'1',302,'N'),(15,2236680,'2',203,'N'),(15,2236699,'1',303,'N'),(15,2236699,'2',5,'N'),(15,2236702,'1',108,'N'),(15,2236702,'2',415,'N'),(15,2236710,'1',420,'N'),(15,2236710,'2',415,'N'),(15,2236729,'1',301,'N'),(15,2236729,'2',316,'N'),(15,2236737,'1',101,'N'),(15,2236737,'2',108,'N'),(15,2236745,'1',103,'N'),(15,2236745,'2',104,'N'),(15,2236788,'1',301,'N'),(15,2236788,'2',304,'N'),(15,2236796,'1',203,'N'),(15,2236796,'1A',233,'N'),(15,2236796,'2',216,'N'),(15,2236800,'1',211,'N'),(15,2236800,'1A',215,'N'),(15,2236800,'2',333,'N'),(15,2236818,'1',202,'N'),(15,2236818,'1A',208,'N'),(15,2236818,'2',301,'N'),(15,2236834,'1',429,'N'),(15,2236834,'2',421,'N'),(15,2236850,'1',101,'N'),(15,2236850,'2',103,'N'),(15,2236877,'1',211,'N'),(15,2236877,'1A',208,'N'),(15,2236877,'2',212,'N'),(15,2236885,'1',319,'N'),(15,2236885,'2',238,'N'),(15,2236893,'1',301,'N'),(15,2236893,'2',201,'N'),(15,2236907,'1',234,'N'),(15,2236907,'2',333,'N'),(15,2236915,'1',220,'N'),(15,2236915,'1A',208,'N'),(15,2236915,'2',203,'N'),(15,2236931,'1',203,'N'),(15,2236931,'1A',233,'N'),(15,2236931,'2',211,'N'),(15,2236940,'1',303,'N'),(15,2236940,'2',326,'N'),(15,2236958,'1',207,'N'),(15,2236958,'1A',201,'N'),(15,2236958,'2',304,'N'),(15,2236966,'1',425,'N'),(15,2236966,'1A',429,'N'),(15,2236966,'2',423,'N'),(15,2236974,'1',208,'N'),(15,2236974,'1A',238,'N'),(15,2236974,'2',316,'N'),(15,2236990,'1',101,'N'),(15,2237008,'1',304,'N'),(15,2237008,'2',421,'N'),(15,2237016,'1',316,'N'),(15,2237016,'2',339,'N'),(15,2237024,'1',103,'N'),(15,2237024,'2',316,'N'),(15,2237040,'1',103,'N'),(15,2237040,'2',217,'N'),(15,2237059,'1',316,'N'),(15,2237059,'2',5,'N'),(15,2237067,'1',103,'N'),(15,2237067,'2',207,'N'),(15,2237075,'1',220,'N'),(15,2237075,'2',238,'N'),(15,2237083,'1',450,'N'),(15,2237083,'2',428,'N'),(15,2237091,'1',207,'N'),(15,2237091,'1A',220,'N'),(15,2237091,'2',316,'N'),(15,2237113,'1',207,'N'),(15,2237113,'2',319,'N'),(15,2237121,'1',104,'N'),(15,2237121,'2',102,'N'),(15,2237130,'1',208,'N'),(15,2237130,'2',220,'N'),(15,2237148,'1',103,'N'),(15,2237148,'2',215,'N'),(15,2237156,'1',303,'N'),(15,2237156,'2',5,'N'),(15,2237164,'1',216,'N'),(15,2237164,'1A',215,'N'),(15,2237164,'2',211,'N'),(15,2237172,'1',207,'N'),(15,2237172,'1A',238,'N'),(15,2237172,'2',450,'N'),(15,2237180,'1',203,'N'),(15,2237199,'1',319,'N'),(15,2237199,'2',211,'N'),(15,2237202,'1',201,'N'),(15,2237202,'1A',207,'N'),(15,2237202,'2',420,'N'),(15,2237210,'1',427,'N'),(15,2237210,'2',331,'N'),(15,2237237,'1',103,'N'),(15,2237237,'2',108,'N'),(15,2237245,'1',415,'N'),(15,2237253,'1',303,'N'),(15,2237253,'2',502,'N'),(15,2237261,'1',103,'N'),(15,2237270,'1',202,'N'),(15,2237270,'1A',220,'N'),(15,2237270,'2',203,'N'),(15,2237288,'1',211,'N'),(15,2237288,'1A',216,'N'),(15,2237288,'2',301,'N'),(15,2237300,'1',450,'N'),(15,2237300,'2',421,'N'),(15,2237318,'1',201,'N'),(15,2237318,'1A',207,'N'),(15,2237318,'2',224,'N'),(15,2237326,'1',207,'N'),(15,2237326,'2',201,'N'),(15,2237342,'1',213,'N'),(15,2237342,'1A',214,'N'),(15,2237342,'2',215,'N'),(15,2237350,'1',333,'N'),(15,2237350,'2',108,'N'),(15,2237385,'1',211,'N'),(15,2237385,'2',102,'N'),(15,2237393,'1',108,'N'),(15,2237393,'2',225,'N'),(15,2237407,'1',108,'N'),(15,2237407,'2',215,'N'),(15,2237415,'1',428,'N'),(15,2237415,'1A',423,'N'),(15,2237415,'2',421,'N'),(15,2237431,'1',207,'N'),(15,2237431,'2',201,'N'),(15,2237440,'1',104,'N'),(15,2237440,'2',215,'N'),(15,2237458,'1',324,'N'),(15,2237458,'2',451,'N'),(15,2237466,'1',420,'N'),(15,2237474,'1',208,'N'),(15,2237474,'2',238,'N'),(15,2237482,'1',201,'N'),(15,2237482,'1A',215,'N'),(15,2237482,'2',301,'N'),(15,2237490,'1',234,'N'),(15,2237490,'2',421,'N'),(15,2237504,'1',304,'N'),(15,2237504,'2',303,'N'),(15,2237512,'1',103,'N'),(15,2237512,'2',101,'N'),(15,2237539,'1',103,'N'),(15,2237555,'1',103,'N'),(15,2237555,'2',102,'N'),(15,2237563,'1',339,'N'),(15,2237563,'2',329,'N'),(15,2237571,'1',501,'N'),(15,2237571,'2',502,'N'),(15,2237580,'1',203,'N'),(15,2237580,'1A',202,'N'),(15,2237580,'2',214,'N'),(15,2237598,'1',501,'N'),(15,2237598,'2',9,'N'),(15,2237601,'1',303,'N'),(15,2237601,'2',326,'N'),(15,2237610,'1',103,'N'),(15,2237610,'2',5,'N'),(15,2237628,'1',103,'N'),(15,2237636,'1',216,'N'),(15,2237636,'2',333,'N'),(15,2237644,'1',428,'N'),(15,2237644,'1A',425,'N'),(15,2237644,'2',326,'N'),(15,2237660,'1',428,'N'),(15,2237660,'1A',426,'N'),(15,2237660,'2',425,'N'),(15,2237679,'1',104,'N'),(15,2237679,'2',201,'N'),(15,2237687,'1',203,'N'),(15,2237687,'1A',220,'N'),(15,2237687,'2',208,'N'),(15,2237695,'1',203,'N'),(15,2237695,'1A',214,'N'),(15,2237695,'2',202,'N'),(15,2237709,'1',5,'N'),(15,2237709,'2',316,'N'),(15,2237717,'1',5,'N'),(15,2237717,'2',327,'N'),(15,2237725,'1',103,'N'),(15,2237733,'1',319,'N'),(15,2237733,'2',320,'N'),(15,2237741,'1',303,'N'),(15,2237741,'2',216,'N'),(15,2237750,'1',203,'N'),(15,2237750,'1A',214,'N'),(15,2237750,'2',220,'N'),(15,2237768,'1',104,'N'),(15,2237768,'2',102,'N'),(15,2237776,'1',103,'N'),(15,2237776,'2',102,'N'),(15,2237784,'1',217,'N'),(15,2237784,'2',216,'N'),(15,2237792,'1',102,'N'),(15,2237806,'1',420,'N'),(15,2237806,'2',207,'N'),(15,2237814,'1',103,'N'),(15,2237814,'2',108,'N'),(15,2237822,'1',208,'N'),(15,2237822,'2',304,'N'),(15,2237830,'1',103,'N'),(15,2237857,'1',103,'N'),(15,2237857,'2',214,'N'),(15,2237873,'1',208,'N'),(15,2237873,'1A',238,'N'),(15,2237873,'2',224,'N'),(15,2237881,'1',203,'N'),(15,2237881,'1A',202,'N'),(15,2237881,'2',211,'N'),(15,2237890,'1',302,'N'),(15,2237890,'2',309,'N'),(15,2237903,'1',103,'N'),(15,2237911,'1',2,'N'),(15,2237911,'2',224,'N'),(15,2237920,'1',211,'N'),(15,2237920,'1A',238,'N'),(15,2237920,'2',225,'N'),(15,2237938,'1',327,'N'),(15,2237938,'2',331,'N'),(15,2237946,'1',220,'N'),(15,2237946,'1A',202,'N'),(15,2237946,'2',208,'N'),(15,2237954,'1',207,'N'),(15,2237954,'1A',211,'N'),(15,2237954,'2',450,'N'),(15,2237962,'1',333,'N'),(15,2237962,'2',104,'N'),(15,2237970,'1',220,'N'),(15,2237970,'1A',202,'N'),(15,2237970,'2',214,'N'),(15,2237989,'1',212,'N'),(15,2237989,'1A',220,'N'),(15,2237989,'2',301,'N'),(15,2237997,'1',238,'N'),(15,2237997,'1A',208,'N'),(15,2237997,'2',201,'N'),(15,2238004,'1',201,'N'),(15,2238004,'1A',212,'N'),(15,2238012,'1',103,'N'),(15,2238012,'2',319,'N'),(15,2238020,'1',103,'N'),(15,2238020,'2',104,'N'),(15,2238039,'1',103,'N'),(15,2238047,'1',216,'N'),(15,2238047,'1A',201,'N'),(15,2238047,'2',217,'N'),(15,2238055,'1',316,'N'),(15,2238055,'2',301,'N'),(15,2238063,'1',5,'N'),(15,2238063,'2',303,'N'),(15,2238071,'1',238,'N'),(15,2238071,'1A',211,'N'),(15,2238071,'2',208,'N'),(15,2238080,'1',415,'N'),(15,2238080,'2',451,'N'),(15,2238098,'1',203,'N'),(15,2238098,'1A',214,'N'),(15,2238098,'2',202,'N'),(15,2238101,'1',332,'N'),(15,2238101,'2',225,'N'),(15,2238110,'1',102,'N'),(15,2238110,'2',9,'N'),(15,2238136,'1',103,'N'),(15,2238136,'2',5,'N'),(15,2238144,'1',216,'N'),(15,2238144,'1A',215,'N'),(15,2238144,'2',217,'N'),(15,2238152,'1',327,'N'),(15,2238152,'2',326,'N'),(15,2238160,'1',215,'N'),(15,2238160,'2',427,'N'),(15,2238179,'1',303,'N'),(15,2238179,'2',212,'N'),(15,2238187,'1',207,'N'),(15,2238187,'1A',211,'N'),(15,2238187,'2',420,'N'),(15,2238195,'1',425,'N'),(15,2238195,'2',420,'N'),(15,2238209,'1',207,'N'),(15,2238217,'1',429,'N'),(15,2238217,'1A',428,'N'),(15,2238217,'2',207,'N'),(15,2238225,'1',329,'N'),(15,2238225,'2',320,'N'),(15,2238233,'1',216,'N'),(15,2238233,'1A',203,'N'),(15,2238233,'2',201,'N'),(15,2238241,'1',103,'N'),(15,2238241,'2',108,'N'),(15,2238250,'1',317,'N'),(15,2238250,'2',324,'N'),(15,2238268,'1',420,'N'),(15,2238268,'2',208,'N'),(15,2238276,'1',201,'N'),(15,2238276,'1A',212,'N'),(15,2238276,'2',208,'N'),(15,2238284,'1',220,'N'),(15,2238284,'1A',238,'N'),(15,2238284,'2',319,'N'),(15,2238292,'1',103,'N'),(15,2238292,'2',303,'N'),(15,2238306,'1',203,'N'),(15,2238306,'1A',220,'N'),(15,2238306,'2',213,'N'),(15,2238314,'1',103,'N'),(15,2238330,'1',303,'N'),(15,2238330,'2',326,'N'),(15,2238349,'1',220,'N'),(15,2238349,'1A',203,'N'),(15,2238357,'1',331,'N'),(15,2238357,'2',333,'N'),(15,2238365,'1',103,'N'),(15,2238381,'1',318,'N'),(15,2238381,'2',317,'N'),(15,2238390,'1',211,'N'),(15,2238390,'2',333,'N'),(15,2238403,'1',303,'N'),(15,2238403,'2',5,'N'),(15,2238411,'1',5,'N'),(15,2238411,'2',426,'N'),(15,2238420,'1',303,'N'),(15,2238420,'2',316,'N'),(15,2238438,'1',103,'N'),(15,2238438,'2',423,'N'),(15,2238446,'1',309,'N'),(15,2238446,'2',339,'N'),(15,2238462,'1',303,'N'),(15,2238462,'2',104,'N'),(15,2238470,'1',102,'N'),(15,2238470,'2',207,'N'),(15,2238489,'1',208,'N'),(15,2238489,'1A',238,'N'),(15,2238489,'2',333,'N'),(15,2238497,'1',102,'N'),(15,2238497,'2',9,'N'),(15,2238519,'1',332,'N'),(15,2238519,'2',333,'N'),(15,2238527,'1',203,'N'),(15,2238527,'2',201,'N'),(15,2238535,'1',238,'N'),(15,2238535,'1A',208,'N'),(15,2238543,'1',9,'N'),(15,2238543,'2',501,'N'),(15,2238560,'1',101,'N'),(15,2238560,'2',102,'N'),(15,2238578,'1',208,'N'),(15,2238578,'2',212,'N'),(15,2238586,'1',303,'N'),(15,2238586,'2',217,'N'),(15,2238594,'1',303,'N'),(15,2238594,'2',5,'N'),(15,2238616,'1',317,'N'),(15,2238616,'2',327,'N'),(15,2238624,'1',2,'N'),(15,2238624,'2',225,'N'),(15,2238632,'1',108,'N'),(15,2238632,'2',234,'N'),(15,2238659,'1',213,'N'),(15,2238659,'1A',202,'N'),(15,2238659,'2',212,'N'),(15,2238667,'1',213,'N'),(15,2238667,'1A',238,'N'),(15,2238667,'2',301,'N'),(15,2238675,'1',301,'N'),(15,2238675,'2',316,'N'),(15,2238683,'1',451,'N'),(15,2238683,'2',319,'N'),(15,2238705,'1',333,'N'),(15,2238705,'2',211,'N'),(15,2238713,'1',207,'N'),(15,2238713,'1A',212,'N'),(15,2238713,'2',333,'N'),(15,2238721,'1',207,'N'),(15,2238721,'2',324,'N'),(15,2238730,'1',203,'N'),(15,2238730,'1A',220,'N'),(15,2238730,'2',201,'N'),(15,2238756,'1',108,'N'),(15,2238756,'2',450,'N'),(15,2238764,'1',9,'N'),(15,2238764,'2',444,'N'),(15,2238772,'1',444,'N'),(15,2238772,'2',317,'N'),(15,2238780,'1',316,'N'),(15,2238780,'2',450,'N'),(15,2238799,'1',103,'N'),(15,2238802,'1',215,'N'),(15,2238802,'2',9,'N'),(15,2238829,'1',103,'N'),(15,2238829,'2',202,'N'),(15,2238837,'1',202,'N'),(15,2238837,'1A',220,'N'),(15,2238837,'2',208,'N'),(15,2238845,'1',103,'N'),(15,2238845,'2',9,'N'),(15,2238853,'1',212,'N'),(15,2238853,'1A',214,'N'),(15,2238853,'2',301,'N'),(15,2238861,'1',104,'N'),(15,2238861,'2',319,'N'),(15,2238888,'1',303,'N'),(15,2238888,'2',5,'N'),(15,2238896,'1',9,'N'),(15,2238896,'2',450,'N'),(15,2238900,'1',202,'N'),(15,2238900,'1A',233,'N'),(15,2238900,'2',213,'N'),(15,2238918,'1',308,'N'),(15,2238918,'2',404,'N'),(15,2238926,'1',203,'N'),(15,2238926,'1A',214,'N'),(15,2238926,'2',5,'N'),(15,2238934,'1',425,'N'),(15,2238934,'1A',429,'N'),(15,2238934,'2',319,'N'),(15,2238942,'1',308,'N'),(15,2238942,'2',309,'N'),(15,2238950,'1',103,'N'),(15,2238950,'2',104,'N'),(15,2238969,'1',429,'N'),(15,2238969,'1A',423,'N'),(15,2238969,'2',308,'N'),(15,2238977,'1',202,'N'),(15,2238977,'1A',208,'N'),(15,2238985,'1',103,'N'),(15,2238985,'2',104,'N'),(15,2238993,'1',101,'N'),(15,2238993,'2',327,'N'),(15,2239000,'1',317,'N'),(15,2239000,'2',308,'N'),(15,2239019,'1',238,'N'),(15,2239019,'1A',208,'N'),(15,2239019,'2',222,'N'),(15,2239035,'1',104,'N'),(15,2239035,'2',316,'N'),(15,2239043,'1',316,'N'),(15,2239043,'2',339,'N'),(15,2239051,'1',202,'N'),(15,2239051,'2',203,'N'),(15,2239060,'1',216,'N'),(15,2239060,'1A',233,'N'),(15,2239060,'2',208,'N'),(15,2239078,'1',318,'N'),(15,2239078,'2',304,'N'),(15,2239094,'1',501,'N'),(15,2239094,'2',502,'N'),(15,2239108,'1',207,'N'),(15,2239108,'1A',201,'N'),(15,2239108,'2',501,'N'),(15,2239116,'1',303,'N'),(15,2239116,'2',451,'N'),(15,2239124,'1',211,'N'),(15,2239124,'2',501,'N'),(15,2239132,'1',103,'N'),(15,2239132,'2',102,'N'),(15,2239140,'1',102,'N'),(15,2239140,'2',9,'N'),(15,2239159,'1',214,'N'),(15,2239159,'1A',201,'N'),(15,2239167,'1',327,'N'),(15,2239167,'2',326,'N'),(15,2239183,'1',316,'N'),(15,2239183,'2',317,'N'),(15,2239191,'1',303,'N'),(15,2239191,'2',5,'N'),(15,2239205,'1',103,'N'),(15,2239205,'2',211,'N'),(15,2239213,'1',339,'N'),(15,2239213,'2',329,'N'),(15,2239221,'1',420,'N'),(15,2239221,'2',207,'N'),(15,2239230,'1',203,'N'),(15,2239230,'1A',201,'N'),(15,2239230,'2',2,'N'),(15,2239248,'1',316,'N'),(15,2239248,'2',426,'N'),(15,2239256,'1',103,'N'),(15,2239264,'1',420,'N'),(15,2239264,'2',207,'N'),(15,2239272,'1',207,'N'),(15,2239272,'1A',208,'N'),(15,2239272,'2',316,'N'),(15,2239280,'1',215,'N'),(15,2239280,'1A',216,'N'),(15,2239280,'2',102,'N'),(15,2239302,'1',316,'N'),(15,2239302,'2',5,'N'),(15,2239310,'1',203,'N'),(15,2239310,'1A',214,'N'),(15,2239310,'2',202,'N'),(15,2239329,'1',101,'N'),(15,2239329,'2',102,'N'),(15,2239337,'1',415,'N'),(15,2239337,'2',207,'N'),(15,2239353,'1',5,'N'),(15,2239353,'2',319,'N'),(15,2239361,'1',104,'N'),(15,2239361,'2',444,'N'),(15,2239370,'1',203,'N'),(15,2239370,'1A',201,'N'),(15,2239370,'2',208,'N'),(15,2239388,'1',216,'N'),(15,2239388,'2',9,'N'),(15,2239396,'1',103,'N'),(15,2239400,'1',450,'N'),(15,2239400,'2',319,'N'),(15,2239418,'1',238,'N'),(15,2239418,'2',425,'N'),(15,2239426,'1',303,'N'),(15,2239426,'2',310,'N'),(15,2239434,'1',316,'N'),(15,2239434,'2',224,'N'),(15,2239442,'1',203,'N'),(15,2239442,'1A',201,'N'),(15,2239442,'2',214,'N'),(15,2239450,'1',429,'N'),(15,2239450,'1A',421,'N'),(15,2239450,'2',303,'N'),(15,2239469,'1',310,'N'),(15,2239469,'2',324,'N'),(15,2239477,'1',214,'N'),(15,2239477,'1A',212,'N'),(15,2239477,'2',301,'N'),(15,2239493,'1',303,'N'),(15,2239493,'2',421,'N'),(15,2239507,'1',220,'N'),(15,2239507,'2',203,'N'),(15,2239515,'1',214,'N'),(15,2239515,'1A',203,'N'),(15,2239515,'2',213,'N'),(15,2239523,'1',103,'N'),(15,2239523,'2',333,'N'),(15,2239531,'1',319,'N'),(15,2239531,'2',9,'N'),(15,2239540,'1',103,'N'),(15,2239540,'2',212,'N'),(15,2239558,'1',415,'N'),(15,2239558,'2',303,'N'),(15,2239566,'1',9,'N'),(15,2239566,'2',339,'N'),(15,2239574,'1',331,'N'),(15,2239574,'2',327,'N'),(15,2239582,'1',103,'N'),(15,2239582,'2',333,'N'),(15,2239590,'1',201,'N'),(15,2239590,'1A',207,'N'),(15,2239590,'2',316,'N'),(15,2239604,'1',333,'N'),(15,2239604,'2',301,'N'),(15,2239612,'1',207,'N'),(15,2239612,'1A',211,'N'),(15,2239612,'2',425,'N'),(15,2239639,'1',331,'N'),(15,2239639,'2',324,'N'),(15,2239655,'1',216,'N'),(15,2239655,'2',217,'N'),(15,2239663,'1',339,'N'),(15,2239663,'2',324,'N'),(15,2239671,'1',5,'N'),(15,2239671,'2',404,'N'),(15,2239680,'1',103,'N'),(15,2239680,'2',101,'N'),(15,2239698,'1',425,'N'),(15,2239698,'1A',427,'N'),(15,2239698,'2',415,'N'),(15,2239701,'1',317,'N'),(15,2239728,'1',214,'N'),(15,2239728,'1A',213,'N'),(15,2239736,'1',319,'N'),(15,2239744,'1',104,'N'),(15,2239744,'2',108,'N'),(15,2239752,'1',9,'N'),(15,2239752,'2',103,'N'),(15,2239760,'1',211,'N'),(15,2239760,'1A',215,'N'),(15,2239760,'2',428,'N'),(15,2239779,'1',425,'N'),(15,2239779,'2',308,'N'),(15,2239787,'1',317,'N'),(15,2239787,'2',318,'N'),(15,2239795,'1',211,'N'),(15,2239795,'1A',215,'N'),(15,2239795,'2',234,'N'),(15,2239809,'1',102,'N'),(15,2239809,'2',309,'N'),(15,2239817,'1',213,'N'),(15,2239817,'1A',212,'N'),(15,2239817,'2',317,'N'),(15,2239833,'1',319,'N'),(15,2239833,'2',309,'N'),(15,2239841,'1',238,'N'),(15,2239841,'1A',202,'N'),(15,2239841,'2',220,'N'),(15,2239850,'1',103,'N'),(15,2239868,'1',211,'N'),(15,2239868,'1A',202,'N'),(15,2239868,'2',333,'N'),(15,2239876,'1',301,'N'),(15,2239876,'2',316,'N'),(15,2239892,'1',207,'N'),(15,2239892,'1A',201,'N'),(15,2239892,'2',415,'N'),(15,2239914,'1',103,'N'),(15,2239914,'2',217,'N'),(15,2239922,'1',108,'N'),(15,2239922,'2',215,'N'),(15,2239957,'1',201,'N'),(15,2239957,'1A',202,'N'),(15,2239957,'2',223,'N'),(15,2239965,'1',5,'N'),(15,2239965,'2',339,'N'),(15,2239973,'1',102,'N'),(15,2239973,'2',217,'N'),(15,2239981,'1',319,'N'),(15,2239981,'2',224,'N'),(15,2240009,'1',211,'N'),(15,2240009,'1A',201,'N'),(15,2240009,'2',331,'N'),(15,2240017,'1',103,'N'),(15,2240017,'2',108,'N'),(15,2240025,'1',316,'N'),(15,2240025,'2',329,'N'),(15,2240033,'1',103,'N'),(15,2240033,'2',102,'N'),(15,2240041,'1',225,'N'),(15,2240041,'2',2,'N'),(15,2240050,'1',302,'N'),(15,2240050,'2',331,'N'),(15,2240068,'1',450,'N'),(15,2240068,'2',451,'N'),(15,2240076,'1',213,'N'),(15,2240076,'1A',215,'N'),(15,2240076,'2',225,'N'),(15,2240084,'1',318,'N'),(15,2240084,'2',333,'N'),(15,2240092,'1',303,'N'),(15,2240092,'2',207,'N'),(15,2240106,'1',103,'N'),(15,2240106,'2',108,'N'),(15,2240114,'1',203,'N'),(15,2240114,'1A',214,'N'),(15,2240114,'2',202,'N'),(15,2240122,'1',203,'N'),(15,2240122,'1A',214,'N'),(15,2240122,'2',201,'N'),(15,2240130,'1',304,'N'),(15,2240130,'2',213,'N'),(15,2240149,'1',207,'N'),(15,2240149,'2',201,'N'),(15,2240157,'1',303,'N'),(15,2240157,'2',331,'N'),(15,2240165,'1',102,'N'),(15,2240165,'2',420,'N'),(15,2240173,'1',420,'N'),(15,2240173,'2',451,'N'),(15,2240181,'1',224,'N'),(15,2240181,'2',225,'N'),(15,2240190,'1',212,'N'),(15,2240190,'2',214,'N'),(15,2240203,'1',108,'N'),(15,2240203,'2',444,'N'),(15,2240211,'1',201,'N'),(15,2240211,'1A',212,'N'),(15,2240211,'2',203,'N'),(15,2240220,'1',425,'N'),(15,2240220,'1A',424,'N'),(15,2240220,'2',429,'N'),(15,2240238,'1',415,'N'),(15,2240238,'2',304,'N'),(15,2240246,'1',333,'N'),(15,2240246,'2',233,'N'),(15,2240262,'1',502,'N'),(15,2240262,'2',316,'N'),(15,2240270,'1',450,'N'),(15,2240270,'2',424,'N'),(15,2240289,'1',213,'N'),(15,2240289,'1A',202,'N'),(15,2240289,'2',327,'N'),(15,2240297,'1',318,'N'),(15,2240297,'2',102,'N'),(15,2240300,'1',333,'N'),(15,2240300,'2',331,'N'),(15,2240319,'1',103,'N'),(15,2240319,'2',216,'N'),(15,2240327,'1',301,'N'),(15,2240327,'2',415,'N'),(15,2240335,'1',301,'N'),(15,2240335,'2',316,'N'),(15,2240351,'1',444,'N'),(15,2240351,'2',404,'N'),(15,2240360,'1',211,'N'),(15,2240360,'1A',203,'N'),(15,2240360,'2',215,'N'),(15,2240378,'1',208,'N'),(15,2240378,'1A',238,'N'),(15,2240378,'2',203,'N'),(15,2240386,'1',103,'N'),(15,2240386,'2',102,'N'),(15,2240394,'1',214,'N'),(15,2240408,'1',201,'N'),(15,2240408,'1A',202,'N'),(15,2240408,'2',203,'N'),(15,2240416,'1',211,'N'),(15,2240416,'1A',233,'N'),(15,2240416,'2',108,'N'),(15,2240424,'1',426,'N'),(15,2240424,'1A',428,'N'),(15,2240424,'2',329,'N'),(15,2240440,'1',103,'N'),(15,2240440,'2',333,'N'),(15,2240459,'1',238,'N'),(15,2240459,'1A',208,'N'),(15,2240459,'2',316,'N'),(15,2240467,'1',5,'N'),(15,2240467,'2',415,'N'),(15,2240475,'1',5,'N'),(15,2240475,'2',316,'N'),(15,2240483,'1',316,'N'),(15,2240483,'2',238,'N'),(15,2240491,'1',103,'N'),(15,2240491,'2',216,'N'),(15,2240505,'1',425,'N'),(15,2240505,'1A',421,'N'),(15,2240505,'2',328,'N'),(15,2240513,'1',333,'N'),(15,2240513,'2',211,'N'),(15,2240521,'1',103,'N'),(15,2240521,'2',333,'N'),(15,2240530,'1',303,'N'),(15,2240530,'2',5,'N'),(15,2240548,'1',203,'N'),(15,2240548,'1A',216,'N'),(15,2240548,'2',2,'N'),(15,2240556,'1',103,'N'),(15,2240556,'2',207,'N'),(15,2240564,'1',102,'N'),(15,2240564,'2',101,'N'),(15,2240572,'1',319,'N'),(15,2240572,'2',213,'N'),(15,2240580,'1',451,'N'),(15,2240580,'2',303,'N'),(15,2240599,'1',5,'N'),(15,2240599,'2',308,'N'),(15,2240637,'1',5,'N'),(15,2240637,'2',316,'N'),(15,2240645,'1',207,'N'),(15,2240645,'2',201,'N'),(15,2240653,'1',202,'N'),(15,2240653,'1A',211,'N'),(15,2240653,'2',2,'N'),(15,2240661,'1',207,'N'),(15,2240661,'1A',201,'N'),(15,2240661,'2',211,'N'),(15,2240670,'1',444,'N'),(15,2240670,'2',104,'N'),(15,2240688,'1',102,'N'),(15,2240688,'2',216,'N'),(15,2240700,'1',201,'N'),(15,2240700,'1A',216,'N'),(15,2240700,'2',208,'N'),(15,2240718,'1',103,'N'),(15,2240726,'1',220,'N'),(15,2240726,'1A',203,'N'),(15,2240726,'2',202,'N'),(15,2240734,'1',217,'N'),(15,2240734,'2',215,'N'),(15,2240742,'1',103,'N'),(15,2240742,'2',102,'N'),(15,2240750,'1',211,'N'),(15,2240750,'1A',201,'N'),(15,2240750,'2',212,'N'),(15,2240777,'1',103,'N'),(15,2240777,'2',9,'N'),(15,2240785,'1',420,'N'),(15,2240785,'2',332,'N'),(15,2240793,'1',427,'N'),(15,2240793,'2',423,'N'),(15,2240815,'1',103,'N'),(15,2240815,'2',108,'N'),(15,2240823,'1',211,'N'),(15,2240823,'1A',216,'N'),(15,2240823,'2',201,'N'),(15,2240831,'1',420,'N'),(15,2240831,'2',451,'N'),(15,2240858,'1',101,'N'),(15,2240858,'2',103,'N'),(15,2240866,'1',103,'N'),(15,2240866,'2',319,'N'),(15,2240874,'1',214,'N'),(15,2240874,'1A',212,'N'),(15,2240874,'2',339,'N'),(15,2240882,'1',9,'N'),(15,2240882,'2',215,'N'),(15,2240904,'1',208,'N'),(15,2240904,'2',238,'N'),(15,2240912,'1',324,'N'),(15,2240912,'2',319,'N'),(15,2240920,'1',415,'N'),(15,2240939,'1',303,'N'),(15,2240939,'2',5,'N'),(15,2240947,'1',108,'N'),(15,2240947,'2',502,'N'),(15,2240955,'1',333,'N'),(15,2240955,'2',425,'N'),(15,2240963,'1',5,'N'),(15,2240963,'2',318,'N'),(15,2240971,'1',324,'N'),(15,2240971,'2',327,'N'),(15,2240980,'1',207,'N'),(15,2240980,'1A',208,'N'),(15,2240980,'2',9,'N'),(15,2241005,'1',104,'N'),(15,2241005,'2',5,'N'),(15,2241013,'1',404,'N'),(15,2241013,'2',427,'N'),(15,2241021,'1',108,'N'),(15,2241021,'2',502,'N'),(15,2241030,'1',215,'N'),(15,2241030,'2',216,'N'),(15,2241048,'1',208,'N'),(15,2241048,'2',238,'N'),(15,2241056,'1',208,'N'),(15,2241056,'1A',202,'N'),(15,2241064,'1',238,'N'),(15,2241064,'2',420,'N'),(15,2241080,'1',103,'N'),(15,2241080,'2',424,'N'),(15,2241099,'1',201,'N'),(15,2241099,'1A',212,'N'),(15,2241099,'2',207,'N'),(15,2241102,'1',303,'N'),(15,2241102,'2',201,'N'),(15,2241110,'1',316,'N'),(15,2241110,'2',339,'N'),(15,2241129,'1',103,'N'),(15,2241129,'2',108,'N'),(15,2241137,'1',319,'N'),(15,2241137,'2',224,'N'),(15,2241145,'1',303,'N'),(15,2241145,'2',220,'N'),(15,2241153,'1',103,'N'),(15,2241153,'2',5,'N'),(15,2241161,'1',5,'N'),(15,2241161,'2',327,'N'),(15,2241170,'1',316,'N'),(15,2241170,'2',444,'N'),(15,2241188,'1',303,'N'),(15,2241188,'2',5,'N'),(15,2241196,'1',103,'N'),(15,2241196,'2',104,'N'),(15,2241200,'1',420,'N'),(15,2241200,'2',333,'N'),(15,2241218,'1',104,'N'),(15,2241218,'2',9,'N'),(15,2241226,'1',102,'N'),(15,2241226,'2',217,'N'),(15,2241234,'1',420,'N'),(15,2241234,'2',327,'N'),(15,2241242,'1',203,'N'),(15,2241242,'1A',214,'N'),(15,2241269,'1',103,'N'),(15,2241269,'2',301,'N'),(15,2241277,'1',211,'N'),(15,2241277,'1A',201,'N'),(15,2241277,'2',333,'N'),(15,2241293,'1',102,'N'),(15,2241293,'2',215,'N'),(15,2241307,'1',213,'N'),(15,2241307,'2',214,'N'),(15,2241315,'1',103,'N'),(15,2241315,'2',216,'N'),(15,2241323,'1',203,'N'),(15,2241323,'1A',220,'N'),(15,2241323,'2',202,'N'),(15,2241331,'1',326,'N'),(15,2241331,'2',223,'N'),(15,2241358,'1',316,'N'),(15,2241358,'2',339,'N'),(15,2241366,'1',203,'N'),(15,2241366,'1A',220,'N'),(15,2241366,'2',333,'N'),(15,2241374,'1',103,'N'),(15,2241374,'2',102,'N'),(15,2241382,'1',501,'N'),(15,2241382,'2',101,'N'),(15,2241390,'1',108,'N'),(15,2241390,'2',326,'N'),(15,2241404,'1',103,'N'),(15,2241412,'1',104,'N'),(15,2241412,'2',212,'N'),(15,2241420,'1',202,'N'),(15,2241420,'1A',203,'N'),(15,2241420,'2',213,'N'),(15,2241439,'1',103,'N'),(15,2241439,'2',220,'N'),(15,2241447,'1',208,'N'),(15,2241447,'1A',238,'N'),(15,2241447,'2',222,'N'),(15,2241455,'1',103,'N'),(15,2241455,'2',102,'N'),(15,2241463,'1',103,'N'),(15,2241463,'2',104,'N'),(15,2241471,'1',333,'N'),(15,2241471,'2',225,'N'),(15,2241480,'1',324,'N'),(15,2241480,'2',427,'N'),(15,2241498,'1',309,'N'),(15,2241498,'2',339,'N'),(15,2241501,'1',103,'N'),(15,2241501,'2',101,'N'),(15,2241510,'1',203,'N'),(15,2241510,'1A',202,'N'),(15,2241510,'2',213,'N'),(15,2241528,'1',201,'N'),(15,2241528,'1A',207,'N'),(15,2241528,'2',203,'N'),(15,2241536,'1',202,'N'),(15,2241536,'1A',203,'N'),(15,2241536,'2',216,'N'),(15,2241544,'1',203,'N'),(15,2241544,'1A',202,'N'),(15,2241544,'2',2,'N'),(15,2241552,'1',424,'N'),(15,2241552,'1A',427,'N'),(15,2241552,'2',212,'N'),(15,2241560,'1',301,'N'),(15,2241560,'2',302,'N'),(15,2241579,'1',5,'N'),(15,2241579,'2',319,'N'),(15,2241587,'1',103,'N'),(15,2241587,'2',102,'N'),(15,2241595,'1',103,'N'),(15,2241595,'2',333,'N'),(15,2241609,'1',420,'N'),(15,2241609,'2',450,'N'),(15,2241617,'1',103,'N'),(15,2241617,'2',216,'N'),(15,2241625,'1',108,'N'),(15,2241625,'2',333,'N'),(15,2241633,'1',201,'N'),(15,2241633,'2',501,'N'),(15,2241641,'1',301,'N'),(15,2241641,'2',316,'N'),(15,2241650,'1',202,'N'),(15,2241650,'1A',213,'N'),(15,2241650,'2',211,'N'),(15,2241668,'1',339,'N'),(15,2241668,'2',309,'N'),(15,2241676,'1',103,'N'),(15,2241676,'2',303,'N'),(15,2241684,'1',203,'N'),(15,2241684,'1A',202,'N'),(15,2241684,'2',216,'N'),(15,2241692,'1',428,'N'),(15,2241692,'1A',425,'N'),(15,2241692,'2',319,'N'),(15,2241706,'1',308,'N'),(15,2241706,'2',425,'N'),(15,2241714,'1',5,'N'),(15,2241714,'2',9,'N'),(15,2241722,'1',220,'N'),(15,2241722,'1A',214,'N'),(15,2241722,'2',2,'N'),(15,2241730,'1',104,'N'),(15,2241730,'2',303,'N'),(15,2241749,'1',103,'N'),(15,2241749,'2',333,'N'),(15,2241757,'1',425,'N'),(15,2241757,'1A',427,'N'),(15,2241757,'2',424,'N'),(15,2241765,'1',214,'N'),(15,2241765,'1A',233,'N'),(15,2241765,'2',203,'N'),(15,2241773,'1',213,'N'),(15,2241781,'1',316,'N'),(15,2241781,'2',333,'N'),(15,2241790,'1',317,'N'),(15,2241790,'2',223,'N'),(15,2241803,'1',501,'N'),(15,2241803,'2',332,'N'),(15,2241811,'1',103,'N'),(15,2241811,'2',216,'N'),(15,2241820,'1',302,'N'),(15,2241820,'2',202,'N'),(15,2241838,'1',444,'N'),(15,2241838,'2',304,'N'),(15,2241846,'1',404,'N'),(15,2241846,'2',308,'N'),(15,2241854,'1',303,'N'),(15,2241854,'2',103,'N'),(15,2241862,'1',208,'N'),(15,2241862,'2',220,'N'),(15,2241870,'1',333,'N'),(15,2241870,'2',211,'N'),(15,2241889,'1',217,'N'),(15,2241889,'2',208,'N'),(15,2241897,'1',303,'N'),(15,2241897,'2',428,'N'),(15,2241900,'1',208,'N'),(15,2241900,'1A',238,'N'),(15,2241900,'2',329,'N'),(15,2241919,'1',332,'N'),(15,2241919,'2',426,'N'),(15,2241935,'1',303,'N'),(15,2241935,'2',301,'N'),(15,2241943,'1',304,'N'),(15,2241943,'2',333,'N'),(15,2241951,'1',211,'N'),(15,2241951,'2',326,'N'),(15,2241960,'1',303,'N'),(15,2241960,'2',404,'N'),(15,2241978,'1',319,'N'),(15,2241978,'2',309,'N'),(15,2241986,'1',501,'N'),(15,2241986,'2',423,'N'),(15,2241994,'1',104,'N'),(15,2241994,'2',444,'N'),(15,2242001,'1',303,'N'),(15,2242001,'2',425,'N'),(15,2242010,'1',224,'N'),(15,2242010,'2',225,'N'),(15,2242028,'1',224,'N'),(15,2242028,'2',225,'N'),(15,2242036,'1',426,'N'),(15,2242036,'1A',429,'N'),(15,2242036,'2',502,'N'),(15,2242044,'1',104,'N'),(15,2242044,'2',309,'N'),(15,2242060,'1',238,'N'),(15,2242060,'1A',208,'N'),(15,2242060,'2',420,'N'),(15,2242079,'1',316,'N'),(15,2242079,'2',301,'N'),(15,2242095,'1',103,'N'),(15,2242095,'2',104,'N'),(15,2242109,'1',317,'N'),(15,2242109,'2',320,'N'),(15,2242117,'1',301,'N'),(15,2242117,'2',404,'N'),(15,2242125,'1',303,'N'),(15,2242133,'1',404,'N'),(15,2242133,'2',308,'N'),(15,2242141,'1',103,'N'),(15,2242141,'2',333,'N'),(15,2242150,'1',103,'N'),(15,2242150,'2',502,'N'),(15,2242168,'1',5,'N'),(15,2242168,'2',324,'N'),(15,2242176,'1',303,'N'),(15,2242176,'2',5,'N'),(15,2242184,'1',201,'N'),(15,2242184,'1A',212,'N'),(15,2242184,'2',238,'N'),(15,2242192,'1',426,'N'),(15,2242192,'1A',423,'N'),(15,2242192,'2',309,'N'),(15,2242214,'1',303,'N'),(15,2242214,'2',308,'N'),(15,2242222,'1',404,'N'),(15,2242222,'2',208,'N'),(15,2242230,'1',339,'N'),(15,2242230,'2',108,'N'),(15,2242249,'1',207,'N'),(15,2242249,'1A',201,'N'),(15,2242249,'2',233,'N'),(15,2242265,'1',104,'N'),(15,2242265,'2',303,'N'),(15,2242273,'1',203,'N'),(15,2242273,'1A',233,'N'),(15,2242273,'2',444,'N'),(15,2242281,'1',104,'N'),(15,2242281,'2',303,'N'),(15,2242290,'1',238,'N'),(15,2242290,'1A',208,'N'),(15,2242290,'2',420,'N'),(15,2242303,'1',103,'N'),(15,2242303,'2',104,'N'),(15,2242311,'1',404,'N'),(15,2242311,'2',9,'N'),(15,2242320,'1',444,'N'),(15,2242320,'2',201,'N'),(15,2242346,'1',317,'N'),(15,2242346,'2',316,'N'),(15,2242354,'1',316,'N'),(15,2242354,'2',202,'N'),(15,2242370,'1',103,'N'),(15,2242370,'2',421,'N'),(15,2242389,'1',108,'N'),(15,2242389,'2',425,'N'),(15,2242397,'1',103,'N'),(15,2242397,'2',303,'N'),(15,2242400,'1',207,'N'),(15,2242400,'1A',211,'N'),(15,2242400,'2',319,'N'),(15,2242419,'1',108,'N'),(15,2242419,'2',502,'N'),(15,2242427,'1',104,'N'),(15,2242427,'2',211,'N'),(15,2242435,'1',103,'N'),(15,2242435,'2',9,'N'),(15,2242443,'1',104,'N'),(15,2242443,'2',211,'N'),(15,2242451,'1',207,'N'),(15,2242451,'1A',212,'N'),(15,2242451,'2',423,'N'),(15,2242460,'1',220,'N'),(15,2242460,'1A',203,'N'),(15,2242460,'2',502,'N'),(15,2242478,'1',201,'N'),(15,2242478,'1A',202,'N'),(15,2242478,'2',212,'N'),(15,2242486,'1',104,'N'),(15,2242508,'1',101,'N'),(15,2242508,'2',319,'N'),(15,2242516,'1',420,'N'),(15,2242516,'2',425,'N'),(15,2242524,'1',404,'N'),(15,2242559,'1',326,'N'),(15,2242559,'2',223,'N'),(15,2242575,'1',444,'N'),(15,2242575,'2',333,'N'),(15,2242583,'1',203,'N'),(15,2242583,'1A',202,'N'),(15,2242583,'2',303,'N'),(15,2242591,'1',207,'N'),(15,2242591,'1A',238,'N'),(15,2242591,'2',420,'N'),(15,2242613,'1',303,'N'),(15,2242613,'2',451,'N'),(15,2242621,'1',214,'N'),(15,2242621,'1A',212,'N'),(15,2242621,'2',201,'N'),(15,2242630,'1',208,'N'),(15,2242630,'2',238,'N'),(15,2242648,'1',324,'N'),(15,2242648,'2',425,'N'),(15,2242656,'1',208,'N'),(15,2242656,'1A',213,'N'),(15,2242656,'2',420,'N'),(15,2242664,'1',201,'N'),(15,2242664,'1A',207,'N'),(15,2242664,'2',212,'N'),(15,2242672,'1',9,'N'),(15,2242672,'2',428,'N'),(15,2242680,'1',451,'N'),(15,2242680,'2',450,'N'),(15,2242702,'1',108,'N'),(15,2242710,'1',203,'N'),(15,2242710,'2',202,'N'),(15,2242729,'1',326,'N'),(15,2242729,'2',331,'N'),(15,2242737,'1',319,'N'),(15,2242737,'2',339,'N'),(15,2242745,'1',5,'N'),(15,2242745,'2',303,'N'),(15,2242753,'1',217,'N'),(15,2242753,'2',339,'N'),(15,2242761,'1',203,'N'),(15,2242761,'1A',214,'N'),(15,2242761,'2',215,'N'),(15,2242770,'1',220,'N'),(15,2242770,'1A',203,'N'),(15,2242770,'2',103,'N'),(15,2242796,'1',103,'N'),(15,2242796,'2',415,'N'),(15,2242800,'1',103,'N'),(15,2242800,'2',501,'N'),(15,2242826,'1',404,'N'),(15,2242826,'2',444,'N'),(15,2242834,'1',501,'N'),(15,2242834,'2',502,'N'),(15,2242842,'1',421,'N'),(15,2242842,'1A',427,'N'),(15,2242842,'2',339,'N'),(15,2242850,'1',220,'N'),(15,2242850,'1A',201,'N'),(15,2242850,'2',207,'N'),(15,2242869,'1',208,'N'),(15,2242869,'2',238,'N'),(15,2242877,'1',103,'N'),(15,2242877,'2',104,'N'),(15,2242885,'1',238,'N'),(15,2242885,'1A',215,'N'),(15,2242885,'2',317,'N'),(15,2242893,'1',220,'N'),(15,2242893,'1A',203,'N'),(15,2242893,'2',9,'N'),(15,2242915,'1',207,'N'),(15,2242923,'1',5,'N'),(15,2242923,'2',339,'N'),(15,2242940,'1',404,'N'),(15,2242940,'2',214,'N'),(15,2242966,'1',215,'N'),(15,2242966,'2',501,'N'),(15,2242974,'1',102,'N'),(15,2242974,'2',108,'N'),(15,2242982,'1',203,'N'),(15,2242982,'1A',214,'N'),(15,2242982,'2',233,'N'),(15,2242990,'1',103,'N'),(15,2242990,'2',331,'N'),(15,2243008,'1',450,'N'),(15,2243008,'2',451,'N'),(15,2243016,'1',103,'N'),(15,2243016,'2',301,'N'),(15,2243024,'1',102,'N'),(15,2243024,'2',304,'N'),(15,2243032,'1',103,'N'),(15,2243032,'2',213,'N'),(15,2243040,'1',103,'N'),(15,2243040,'2',108,'N'),(15,2243059,'1',238,'N'),(15,2243059,'1A',208,'N'),(15,2243059,'2',222,'N'),(15,2243067,'1',104,'N'),(15,2243067,'2',303,'N'),(15,2243075,'1',339,'N'),(15,2243075,'2',5,'N'),(15,2243083,'1',316,'N'),(15,2243083,'2',317,'N'),(15,2243091,'1',103,'N'),(15,2243091,'2',301,'N'),(15,2243105,'1',317,'N'),(15,2243105,'2',224,'N'),(15,2243113,'1',211,'N'),(15,2243121,'1',211,'N'),(15,2243121,'1A',201,'N'),(15,2243121,'2',9,'N'),(15,2243148,'1',201,'N'),(15,2243148,'1A',211,'N'),(15,2243148,'2',301,'N'),(15,2243156,'1',103,'N'),(15,2243156,'2',303,'N'),(15,2243164,'1',5,'N'),(15,2243164,'2',207,'N'),(15,2243172,'1',102,'N'),(15,2243180,'1',203,'N'),(15,2243180,'2',207,'N'),(15,2243199,'1',501,'N'),(15,2243199,'2',332,'N'),(15,2243202,'1',224,'N'),(15,2243202,'2',222,'N'),(15,2243210,'1',103,'N'),(15,2243229,'1',203,'N'),(15,2243229,'1A',214,'N'),(15,2243229,'2',233,'N'),(15,2243237,'1',104,'N'),(15,2243237,'2',9,'N'),(15,2243245,'1',103,'N'),(15,2243245,'2',108,'N'),(15,2243253,'1',211,'N'),(15,2243253,'1A',215,'N'),(15,2243253,'2',450,'N'),(15,2243261,'1',103,'N'),(15,2243261,'2',108,'N'),(15,2243270,'1',301,'N'),(15,2243270,'2',220,'N'),(15,2243288,'1',103,'N'),(15,2243288,'2',101,'N'),(15,2243296,'1',5,'N'),(15,2243300,'1',5,'N'),(15,2243300,'2',318,'N'),(15,2243318,'1',502,'N'),(15,2243318,'2',108,'N'),(15,2243326,'1',303,'N'),(15,2243326,'2',319,'N'),(15,2243334,'1',103,'N'),(15,2243334,'2',108,'N'),(15,2243342,'1',303,'N'),(15,2243342,'2',9,'N'),(15,2243350,'1',319,'N'),(15,2243350,'2',215,'N'),(15,2243369,'1',424,'N'),(15,2243369,'2',425,'N'),(15,2243377,'1',425,'N'),(15,2243377,'1A',423,'N'),(15,2243377,'2',444,'N'),(15,2243385,'1',217,'N'),(15,2243385,'2',216,'N'),(15,2243393,'1',203,'N'),(15,2243393,'1A',208,'N'),(15,2243393,'2',420,'N'),(15,2243407,'1',103,'N'),(15,2243407,'2',108,'N'),(15,2243415,'1',103,'N'),(15,2243415,'2',104,'N'),(15,2243423,'1',319,'N'),(15,2243431,'1',207,'N'),(15,2243431,'1A',201,'N'),(15,2243431,'2',420,'N'),(15,2243440,'1',420,'N'),(15,2243440,'2',444,'N'),(15,2243458,'1',103,'N'),(15,2243458,'2',102,'N'),(15,2243466,'1',103,'N'),(15,2243466,'2',316,'N'),(15,2243474,'1',103,'N'),(15,2243490,'1',309,'N'),(15,2243490,'2',308,'N'),(15,2243512,'1',103,'N'),(15,2243512,'2',303,'N'),(15,2243520,'1',238,'N'),(15,2243520,'1A',208,'N'),(15,2243520,'2',304,'N'),(15,2243539,'1',425,'N'),(15,2243539,'1A',429,'N'),(15,2243539,'2',308,'N'),(15,2243547,'1',211,'N'),(15,2243547,'1A',212,'N'),(15,2243547,'2',233,'N'),(15,2243555,'1',238,'N'),(15,2243555,'1A',208,'N'),(15,2243555,'2',333,'N'),(15,2243563,'1',415,'N'),(15,2243563,'2',426,'N'),(15,2243571,'1',207,'N'),(15,2243571,'1A',201,'N'),(15,2243571,'2',301,'N'),(15,2243580,'1',415,'N'),(15,2243580,'2',319,'N'),(15,2243598,'1',202,'N'),(15,2243610,'1',103,'N'),(15,2243610,'2',207,'N'),(15,2243628,'1',103,'N'),(15,2243628,'2',319,'N'),(15,2243636,'1',207,'N'),(15,2243636,'1A',201,'N'),(15,2243636,'2',420,'N'),(15,2243644,'1',104,'N'),(15,2243644,'2',202,'N'),(15,2243652,'1',327,'N'),(15,2243652,'2',326,'N'),(15,2243660,'1',101,'N'),(15,2243660,'2',309,'N'),(15,2243695,'1',425,'N'),(15,2243695,'1A',423,'N'),(15,2243695,'2',426,'N'),(15,2243709,'1',203,'N'),(15,2243709,'1A',233,'N'),(15,2243709,'2',222,'N'),(15,2243725,'1',225,'N'),(15,2243725,'2',333,'N'),(15,2243733,'1',104,'N'),(15,2243741,'1',104,'N'),(15,2243741,'2',501,'N'),(15,2243750,'1',103,'N'),(15,2243750,'2',102,'N'),(15,2243768,'1',104,'N'),(15,2243768,'2',501,'N'),(15,2243776,'1',316,'N'),(15,2243776,'2',211,'N'),(15,2243784,'1',102,'N'),(15,2243784,'2',108,'N'),(15,2243806,'1',308,'N'),(15,2243806,'2',309,'N'),(15,2243822,'1',202,'N'),(15,2243822,'1A',213,'N'),(15,2243822,'2',318,'N'),(15,2243830,'1',319,'N'),(15,2243830,'2',316,'N'),(15,2243849,'1',415,'N'),(15,2243849,'2',216,'N'),(15,2243857,'1',421,'N'),(15,2243857,'1A',423,'N'),(15,2243857,'2',207,'N'),(15,2243865,'1',208,'N'),(15,2243865,'1A',238,'N'),(15,2243865,'2',420,'N'),(15,2243873,'1',319,'N'),(15,2243873,'2',329,'N'),(15,2243881,'1',308,'N'),(15,2243881,'2',339,'N'),(15,2243890,'1',201,'N'),(15,2243890,'1A',207,'N'),(15,2243890,'2',303,'N'),(15,2243903,'1',415,'N'),(15,2243903,'2',450,'N'),(15,2243911,'1',309,'N'),(15,2243911,'2',324,'N'),(15,2243920,'1',213,'N'),(15,2243920,'1A',202,'N'),(15,2243938,'1',103,'N'),(15,2243938,'2',101,'N'),(15,2243946,'1',211,'N'),(15,2243946,'1A',233,'N'),(15,2243946,'2',215,'N'),(15,2243954,'1',201,'N'),(15,2243970,'1',104,'N'),(15,2243970,'2',333,'N'),(15,2243989,'1',426,'N'),(15,2243989,'1A',428,'N'),(15,2243989,'2',329,'N'),(15,2243997,'1',225,'N'),(15,2243997,'2',328,'N'),(15,2244004,'1',203,'N'),(15,2244004,'1A',208,'N'),(15,2244004,'2',304,'N'),(15,2244012,'1',301,'N'),(15,2244012,'2',316,'N'),(15,2244020,'1',326,'N'),(15,2244020,'2',332,'N'),(15,2244039,'1',303,'N'),(15,2244039,'2',201,'N'),(15,2244055,'1',319,'N'),(15,2244055,'2',415,'N'),(15,2244063,'1',302,'N'),(15,2244063,'2',404,'N'),(15,2244071,'1',214,'N'),(15,2244071,'1A',211,'N'),(15,2244071,'2',220,'N'),(15,2244080,'1',319,'N'),(15,2244080,'2',215,'N'),(15,2244098,'1',303,'N'),(15,2244098,'2',5,'N'),(15,2244101,'1',319,'N'),(15,2244101,'2',316,'N'),(15,2244110,'1',303,'N'),(15,2244110,'2',104,'N'),(15,2244128,'1',304,'N'),(15,2244128,'2',320,'N'),(15,2244136,'1',102,'N'),(15,2244136,'2',215,'N'),(15,2244144,'1',426,'N'),(15,2244152,'1',501,'N'),(15,2244152,'2',444,'N'),(15,2244179,'1',103,'N'),(15,2244179,'2',316,'N'),(15,2244195,'1',308,'N'),(15,2244195,'2',327,'N'),(15,2244209,'1',319,'N'),(15,2244209,'2',329,'N'),(15,2244217,'1',103,'N'),(15,2244217,'2',102,'N'),(15,2244225,'1',103,'N'),(15,2244225,'2',303,'N'),(15,2244233,'1',5,'N'),(15,2244233,'2',429,'N'),(15,2244241,'1',202,'N'),(15,2244241,'1A',201,'N'),(15,2244241,'2',225,'N'),(15,2244250,'1',103,'N'),(15,2244292,'1',415,'N'),(15,2244292,'2',420,'N'),(15,2244306,'1',303,'N'),(15,2244306,'2',5,'N'),(15,2244314,'1',201,'N'),(15,2244314,'1A',202,'N'),(15,2244314,'2',332,'N'),(15,2244322,'1',103,'N'),(15,2244322,'2',104,'N'),(15,2244330,'1',211,'N'),(15,2244330,'2',415,'N'),(15,2244365,'1',428,'N'),(15,2244365,'1A',426,'N'),(15,2244365,'2',423,'N'),(15,2244373,'1',301,'N'),(15,2244373,'2',501,'N'),(15,2244403,'1',425,'N'),(15,2244403,'1A',427,'N'),(15,2244403,'2',319,'N'),(15,2244411,'1',333,'N'),(15,2244411,'2',429,'N'),(15,2244420,'1',339,'N'),(15,2244420,'2',316,'N'),(15,2244438,'1',308,'N'),(15,2244438,'2',301,'N'),(15,2244446,'1',203,'N'),(15,2244446,'1A',214,'N'),(15,2244446,'2',2,'N'),(15,2244454,'1',201,'N'),(15,2244454,'1A',208,'N'),(15,2244454,'2',102,'N'),(15,2244462,'1',5,'N'),(15,2244462,'2',224,'N'),(15,2244470,'1',5,'N'),(15,2244470,'2',301,'N'),(15,2244489,'1',238,'N'),(15,2244489,'1A',208,'N'),(15,2244489,'2',108,'N'),(15,2244497,'1',103,'N'),(15,2244497,'2',108,'N'),(15,2244500,'1',108,'N'),(15,2244500,'2',451,'N'),(15,2244519,'1',501,'N'),(15,2244519,'2',234,'N'),(15,2244527,'1',319,'N'),(15,2244527,'2',326,'N'),(15,2244535,'1',316,'N'),(15,2244535,'2',318,'N'),(15,2244543,'1',108,'N'),(15,2244543,'2',103,'N'),(15,2244551,'1',316,'N'),(15,2244551,'2',317,'N'),(15,2244560,'1',501,'N'),(15,2244560,'2',502,'N'),(15,2244578,'1',420,'N'),(15,2244578,'2',108,'N'),(15,2244586,'1',444,'N'),(15,2244586,'2',316,'N'),(15,2244594,'1',104,'N'),(15,2244594,'2',202,'N'),(15,2244616,'1',302,'N'),(15,2244616,'2',223,'N'),(15,2244624,'1',319,'N'),(15,2244624,'2',309,'N'),(15,2244632,'1',238,'N'),(15,2244632,'1A',208,'N'),(15,2244632,'2',316,'N'),(15,2244640,'1',103,'N'),(15,2244640,'2',108,'N'),(15,2244659,'1',103,'N'),(15,2244659,'2',102,'N'),(15,2244667,'1',444,'N'),(15,2244667,'2',329,'N'),(15,2244675,'1',103,'N'),(15,2244675,'2',104,'N'),(15,2244683,'1',317,'N'),(15,2244683,'2',208,'N'),(15,2244691,'1',319,'N'),(15,2244691,'2',501,'N'),(15,2244713,'1',333,'N'),(15,2244713,'2',108,'N'),(15,2244730,'1',103,'N'),(15,2244748,'1',9,'N'),(15,2244748,'2',501,'N'),(15,2244756,'1',203,'N'),(15,2244756,'1A',220,'N'),(15,2244756,'2',2,'N'),(15,2244764,'1',212,'N'),(15,2244764,'1A',201,'N'),(15,2244764,'2',214,'N'),(15,2244772,'1',103,'N'),(15,2244772,'2',212,'N'),(15,2244780,'1',103,'N'),(15,2244780,'2',303,'N'),(15,2244810,'1',103,'N'),(15,2244810,'2',202,'N'),(15,2244829,'1',2,'N'),(15,2244829,'2',203,'N'),(15,2244837,'1',103,'N'),(15,2244837,'2',104,'N'),(15,2244845,'1',103,'N'),(15,2244845,'2',444,'N'),(15,2244853,'1',317,'N'),(15,2244853,'2',302,'N'),(15,2244861,'1',102,'N'),(15,2244861,'2',319,'N'),(15,2244870,'1',207,'N'),(15,2244870,'1A',201,'N'),(15,2244888,'1',310,'N'),(15,2244888,'2',326,'N'),(15,2244896,'1',5,'N'),(15,2244896,'2',303,'N'),(15,2244900,'1',301,'N'),(15,2244900,'2',304,'N'),(15,2244918,'1',203,'N'),(15,2244918,'2',214,'N'),(15,2244926,'1',316,'N'),(15,2244926,'2',317,'N'),(15,2244934,'1',502,'N'),(15,2244934,'2',333,'N'),(15,2244950,'1',5,'N'),(15,2244950,'2',303,'N'),(15,2244969,'1',104,'N'),(15,2244969,'2',103,'N'),(15,2244977,'1',420,'N'),(15,2244977,'2',502,'N'),(15,2244985,'1',104,'N'),(15,2244985,'2',233,'N'),(15,2244993,'1',203,'N'),(15,2244993,'1A',201,'N'),(15,2244993,'2',220,'N'),(15,2245000,'1',207,'N'),(15,2245000,'1A',201,'N'),(15,2245000,'2',213,'N'),(15,2245027,'1',103,'N'),(15,2245027,'2',216,'N'),(15,2245035,'1',103,'N'),(15,2245035,'2',9,'N'),(15,2245043,'1',207,'N'),(15,2245043,'2',201,'N'),(15,2245051,'1',103,'N'),(15,2245051,'2',102,'N'),(15,2245060,'1',208,'N'),(15,2245060,'1A',207,'N'),(15,2245060,'2',420,'N'),(15,2245078,'1',104,'N'),(15,2245078,'2',5,'N'),(15,2245086,'1',216,'N'),(15,2245086,'1A',208,'N'),(15,2245086,'2',215,'N'),(15,2245094,'1',303,'N'),(15,2245094,'2',415,'N'),(15,2245108,'1',233,'N'),(15,2245108,'1A',215,'N'),(15,2245108,'2',224,'N'),(15,2245116,'1',319,'N'),(15,2245116,'2',303,'N'),(15,2245124,'1',332,'N'),(15,2245124,'2',423,'N'),(15,2245132,'1',103,'N'),(15,2245140,'1',317,'N'),(15,2245140,'2',302,'N'),(15,2245175,'1',233,'N'),(15,2245175,'1A',203,'N'),(15,2245175,'2',103,'N'),(15,2245183,'1',212,'N'),(15,2245183,'1A',201,'N'),(15,2245183,'2',425,'N'),(15,2245191,'1',317,'N'),(15,2245191,'2',339,'N'),(15,2245205,'1',301,'N'),(15,2245205,'2',425,'N'),(15,2245213,'1',207,'N'),(15,2245213,'1A',201,'N'),(15,2245213,'2',233,'N'),(15,2245221,'1',207,'N'),(15,2245221,'1A',211,'N'),(15,2245221,'2',319,'N'),(15,2245248,'1',317,'N'),(15,2245248,'2',224,'N'),(15,2245256,'1',304,'N'),(15,2245256,'2',225,'N'),(15,2245264,'1',211,'N'),(15,2245264,'1A',208,'N'),(15,2245264,'2',501,'N'),(15,2245272,'1',102,'N'),(15,2245280,'1',211,'N'),(15,2245280,'1A',215,'N'),(15,2245280,'2',501,'N'),(15,2245299,'1',108,'N'),(15,2245299,'2',215,'N'),(15,2245302,'1',450,'N'),(15,2245302,'2',103,'N'),(15,2245310,'1',303,'N'),(15,2245310,'2',326,'N'),(15,2245329,'1',207,'N'),(15,2245329,'1A',215,'N'),(15,2245329,'2',451,'N'),(15,2245337,'1',103,'N'),(15,2245337,'2',9,'N'),(15,2245345,'1',216,'N'),(15,2245345,'2',203,'N'),(15,2245353,'1',333,'N'),(15,2245353,'2',234,'N'),(15,2245396,'1',2,'N'),(15,2245396,'2',203,'N'),(15,2245400,'1',238,'N'),(15,2245400,'1A',207,'N'),(15,2245400,'2',420,'N'),(15,2245418,'1',103,'N'),(15,2245418,'2',102,'N'),(15,2245426,'1',420,'N'),(15,2245426,'2',450,'N'),(15,2245434,'1',102,'N'),(15,2245434,'2',207,'N'),(15,2245442,'1',9,'N'),(15,2245442,'2',501,'N'),(15,2245450,'1',216,'N'),(15,2245450,'1A',233,'N'),(15,2245450,'2',2,'N'),(15,2245469,'1',203,'N'),(15,2245469,'1A',208,'N'),(15,2245469,'2',238,'N'),(15,2245477,'1',104,'N'),(15,2245477,'2',327,'N'),(15,2245493,'1',203,'N'),(15,2245493,'1A',208,'N'),(15,2245493,'2',224,'N'),(15,2245507,'1',217,'N'),(15,2245507,'2',428,'N'),(15,2245523,'1',9,'N'),(15,2245523,'2',415,'N'),(15,2245531,'1',5,'N'),(15,2245531,'2',427,'N'),(15,2245540,'1',211,'N'),(15,2245540,'2',501,'N'),(15,2245558,'1',108,'N'),(15,2245558,'2',316,'N'),(15,2245566,'1',208,'N'),(15,2245566,'1A',203,'N'),(15,2245566,'2',404,'N'),(15,2245574,'1',208,'N'),(15,2245574,'1A',216,'N'),(15,2245574,'2',319,'N'),(15,2245582,'1',450,'N'),(15,2245582,'2',320,'N'),(15,2245590,'1',103,'N'),(15,2245612,'1',234,'N'),(15,2245612,'2',333,'N'),(15,2245620,'1',103,'N'),(15,2245620,'2',108,'N'),(15,2245639,'1',301,'N'),(15,2245639,'2',309,'N'),(15,2245647,'1',207,'N'),(15,2245647,'2',420,'N'),(15,2245655,'1',103,'N'),(15,2245655,'2',207,'N'),(15,2245663,'1',211,'N'),(15,2245663,'1A',233,'N'),(15,2245671,'1',201,'N'),(15,2245680,'1',214,'N'),(15,2245680,'1A',207,'N'),(15,2245680,'2',301,'N'),(15,2245698,'1',324,'N'),(15,2245698,'2',444,'N'),(15,2245701,'1',317,'N'),(15,2245701,'2',324,'N'),(15,2245710,'1',329,'N'),(15,2245710,'2',415,'N'),(15,2245728,'1',207,'N'),(15,2245728,'2',5,'N'),(15,2245736,'1',319,'N'),(15,2245736,'2',9,'N'),(15,2245744,'1',318,'N'),(15,2245744,'2',404,'N'),(15,2245760,'1',327,'N'),(15,2245760,'2',316,'N'),(15,2245779,'1',208,'N'),(15,2245779,'1A',238,'N'),(15,2245779,'2',425,'N'),(15,2245795,'1',102,'N'),(15,2245795,'2',444,'N'),(15,2245809,'1',103,'N'),(15,2245809,'2',101,'N'),(15,2245817,'1',103,'N'),(15,2245817,'2',104,'N'),(15,2245825,'1',104,'N'),(15,2245833,'1',103,'N'),(15,2245833,'2',203,'N'),(15,2245841,'1',103,'N'),(15,2245841,'2',101,'N'),(15,2245850,'1',415,'N'),(15,2245850,'2',450,'N'),(15,2245868,'1',208,'N'),(15,2245868,'1A',216,'N'),(15,2245868,'2',222,'N'),(15,2245876,'1',208,'N'),(15,2245876,'1A',201,'N'),(15,2245876,'2',203,'N'),(15,2245884,'1',104,'N'),(15,2245884,'2',302,'N'),(15,2245892,'1',502,'N'),(15,2245892,'2',501,'N'),(15,2245906,'1',450,'N'),(15,2245906,'2',428,'N'),(15,2245922,'1',319,'N'),(15,2245922,'2',308,'N'),(15,2245930,'1',203,'N'),(15,2245930,'1A',208,'N'),(15,2245949,'1',102,'N'),(15,2245949,'2',501,'N'),(15,2245957,'1',103,'N'),(15,2245957,'2',415,'N'),(15,2245965,'1',103,'N'),(15,2245965,'2',216,'N'),(15,2245973,'1',333,'N'),(15,2245981,'1',420,'N'),(15,2245981,'2',327,'N'),(15,2245990,'1',317,'N'),(15,2245990,'2',324,'N'),(15,2246007,'1',103,'N'),(15,2246007,'2',102,'N'),(15,2246015,'1',202,'N'),(15,2246015,'1A',213,'N'),(15,2246015,'2',2,'N'),(15,2246023,'1',222,'N'),(15,2246023,'2',224,'N'),(15,2246031,'1',202,'N'),(15,2246031,'1A',213,'N'),(15,2246031,'2',238,'N'),(15,2246040,'1',104,'N'),(15,2246040,'2',333,'N'),(15,2246058,'1',220,'N'),(15,2246058,'1A',202,'N'),(15,2246058,'2',203,'N'),(15,2246066,'1',103,'N'),(15,2246066,'2',102,'N'),(15,2246074,'1',104,'N'),(15,2246074,'2',423,'N'),(15,2246082,'1',104,'N'),(15,2246082,'2',220,'N'),(15,2246090,'1',103,'N'),(15,2246090,'2',316,'N'),(15,2246112,'1',220,'N'),(15,2246112,'1A',213,'N'),(15,2246112,'2',202,'N'),(15,2246120,'1',203,'N'),(15,2246120,'1A',233,'N'),(15,2246120,'2',216,'N'),(15,2246139,'1',333,'N'),(15,2246139,'2',420,'N'),(15,2246147,'1',215,'N'),(15,2246147,'1A',211,'N'),(15,2246147,'2',216,'N'),(15,2246155,'1',9,'N'),(15,2246155,'2',420,'N'),(15,2246163,'1',208,'N'),(15,2246163,'1A',238,'N'),(15,2246163,'2',201,'N'),(15,2246171,'1',103,'N'),(15,2246171,'2',102,'N'),(15,2246198,'1',103,'N'),(15,2246198,'2',104,'N'),(15,2246210,'1',102,'N'),(15,2246228,'1',415,'N'),(15,2246228,'2',301,'N'),(15,2246236,'1',220,'N'),(15,2246236,'1A',203,'N'),(15,2246236,'2',216,'N'),(15,2246244,'1',207,'N'),(15,2246244,'1A',212,'N'),(15,2246244,'2',316,'N'),(15,2246260,'1',103,'N'),(15,2246260,'2',104,'N'),(15,2246279,'1',308,'N'),(15,2246279,'2',429,'N'),(15,2246287,'1',101,'N'),(15,2246287,'2',326,'N'),(15,2246295,'1',404,'N'),(15,2246295,'2',326,'N'),(15,2246309,'1',319,'N'),(15,2246309,'2',103,'N'),(15,2246317,'1',333,'N'),(15,2246317,'2',316,'N'),(15,2246325,'1',5,'N'),(15,2246325,'2',316,'N'),(15,2246333,'1',9,'N'),(15,2246341,'1',201,'N'),(15,2246341,'1A',212,'N'),(15,2246341,'2',211,'N'),(15,2246350,'1',103,'N'),(15,2246350,'2',425,'N'),(15,2246368,'1',104,'N'),(15,2246368,'2',102,'N'),(15,2246376,'1',103,'N'),(15,2246376,'2',102,'N'),(15,2246392,'1',103,'N'),(15,2246392,'2',101,'N'),(15,2246406,'1',211,'N'),(15,2246406,'1A',215,'N'),(15,2246406,'2',333,'N'),(15,2246414,'1',502,'N'),(15,2246414,'2',316,'N'),(15,2246422,'1',102,'N'),(15,2246422,'2',101,'N'),(15,2246430,'1',319,'N'),(15,2246430,'2',451,'N'),(15,2246449,'1',450,'N'),(15,2246449,'2',327,'N'),(15,2246457,'1',207,'N'),(15,2246457,'1A',211,'N'),(15,2246457,'2',303,'N'),(15,2246473,'1',234,'N'),(15,2246473,'2',207,'N'),(15,2246481,'1',303,'N'),(15,2246481,'2',104,'N'),(15,2246490,'1',211,'N'),(15,2246490,'1A',238,'N'),(15,2246490,'2',234,'N'),(15,2246503,'1',333,'N'),(15,2246503,'2',215,'N'),(15,2246511,'1',103,'N'),(15,2246511,'2',101,'N'),(15,2246520,'1',429,'N'),(15,2246520,'1A',425,'N'),(15,2246520,'2',324,'N'),(15,2246546,'1',303,'N'),(15,2246546,'2',5,'N'),(15,2246554,'1',333,'N'),(15,2246554,'2',332,'N'),(15,2246562,'1',444,'N'),(15,2246562,'2',108,'N'),(15,2246570,'1',103,'N'),(15,2246570,'2',102,'N'),(15,2246589,'1',203,'N'),(15,2246589,'1A',214,'N'),(15,2246589,'2',327,'N'),(15,2246600,'1',304,'N'),(15,2246600,'2',319,'N'),(15,2246619,'1',319,'N'),(15,2246619,'2',309,'N'),(15,2246627,'1',203,'N'),(15,2246627,'1A',201,'N'),(15,2246627,'2',225,'N'),(15,2246635,'1',103,'N'),(15,2246635,'2',9,'N'),(15,2246643,'1',207,'N'),(15,2246643,'1A',208,'N'),(15,2246643,'2',420,'N'),(15,2246651,'1',5,'N'),(15,2246651,'2',317,'N'),(15,2246660,'1',103,'N'),(15,2246660,'2',101,'N'),(15,2246678,'1',428,'N'),(15,2246678,'1A',423,'N'),(15,2246678,'2',326,'N'),(15,2246686,'1',238,'N'),(15,2246686,'1A',201,'N'),(15,2246686,'2',208,'N'),(15,2246694,'1',207,'N'),(15,2246694,'2',450,'N'),(15,2246708,'1',103,'N'),(15,2246708,'2',104,'N'),(15,2246716,'1',224,'N'),(15,2246716,'2',421,'N'),(15,2246724,'1',238,'N'),(15,2246724,'2',317,'N'),(15,2246732,'1',217,'N'),(15,2246732,'2',9,'N'),(15,2246740,'1',302,'N'),(15,2246740,'2',317,'N'),(15,2246759,'1',103,'N'),(15,2246759,'2',319,'N'),(15,2246767,'1',207,'N'),(15,2246767,'1A',233,'N'),(15,2246767,'2',420,'N'),(15,2246775,'1',316,'N'),(15,2246775,'2',317,'N'),(15,2246783,'1',201,'N'),(15,2246783,'2',202,'N'),(15,2246805,'1',415,'N'),(15,2246805,'2',420,'N'),(15,2246813,'1',324,'N'),(15,2246813,'2',502,'N'),(15,2246821,'1',215,'N'),(15,2246821,'1A',211,'N'),(15,2246821,'2',501,'N'),(15,2246848,'1',215,'N'),(15,2246848,'1A',216,'N'),(15,2246848,'2',301,'N'),(15,2246856,'1',415,'N'),(15,2246856,'2',319,'N'),(15,2246864,'1',301,'N'),(15,2246864,'2',316,'N'),(15,2246872,'1',103,'N'),(15,2246872,'2',104,'N'),(15,2246880,'1',211,'N'),(15,2246880,'1A',216,'N'),(15,2246899,'1',308,'N'),(15,2246899,'2',423,'N'),(15,2246902,'1',220,'N'),(15,2246902,'1A',203,'N'),(15,2246902,'2',202,'N'),(15,2246910,'1',207,'N'),(15,2246910,'1A',211,'N'),(15,2246910,'2',420,'N'),(15,2246929,'1',224,'N'),(15,2246929,'2',222,'N'),(15,2246937,'1',5,'N'),(15,2246937,'2',339,'N'),(15,2246945,'1',201,'N'),(15,2246945,'2',233,'N'),(15,2246953,'1',212,'N'),(15,2246953,'2',208,'N'),(15,2246961,'1',319,'N'),(15,2246961,'2',9,'N'),(15,2246970,'1',319,'N'),(15,2246970,'2',101,'N'),(15,2246988,'1',101,'N'),(15,2246988,'2',9,'N'),(15,2246996,'1',104,'N'),(15,2246996,'2',102,'N'),(15,2247011,'1',310,'N'),(15,2247011,'2',304,'N'),(15,2247020,'1',104,'N'),(15,2247020,'2',9,'N'),(15,2247038,'1',501,'N'),(15,2247038,'2',502,'N'),(15,2247046,'1',319,'N'),(15,2247046,'2',308,'N'),(15,2247054,'1',215,'N'),(15,2247054,'1A',233,'N'),(15,2247062,'1',2,'N'),(15,2247062,'2',333,'N'),(15,2247089,'1',303,'N'),(15,2247089,'2',301,'N'),(15,2247097,'1',207,'N'),(15,2247097,'2',326,'N'),(15,2247100,'1',233,'N'),(15,2247100,'2',216,'N'),(15,2247119,'1',102,'N'),(15,2247119,'2',217,'N'),(15,2247127,'1',207,'N'),(15,2247127,'1A',212,'N'),(15,2247127,'2',223,'N'),(15,2247135,'1',103,'N'),(15,2247135,'2',450,'N'),(15,2247143,'1',101,'N'),(15,2247143,'2',102,'N'),(15,2247151,'1',450,'N'),(15,2247151,'2',421,'N'),(15,2247160,'1',201,'N'),(15,2247160,'1A',238,'N'),(15,2247160,'2',207,'N'),(15,2247186,'1',103,'N'),(15,2247186,'2',333,'N'),(15,2247194,'1',214,'N'),(15,2247194,'1A',203,'N'),(15,2247194,'2',202,'N'),(15,2247216,'1',303,'N'),(15,2247216,'2',5,'N'),(15,2247224,'1',104,'N'),(15,2247224,'2',5,'N'),(15,2247232,'1',202,'N'),(15,2247240,'1',203,'N'),(15,2247240,'1A',233,'N'),(15,2247240,'2',225,'N'),(15,2247259,'1',101,'N'),(15,2247259,'2',215,'N'),(15,2247267,'1',429,'N'),(15,2247267,'2',301,'N'),(15,2247275,'1',108,'N'),(15,2247283,'1',429,'N'),(15,2247283,'1A',423,'N'),(15,2247283,'2',308,'N'),(15,2247291,'1',103,'N'),(15,2247291,'2',104,'N'),(15,2247305,'1',108,'N'),(15,2247305,'2',333,'N'),(15,2247313,'1',103,'N'),(15,2247313,'2',420,'N'),(15,2247330,'1',217,'N'),(15,2247330,'2',333,'N'),(15,2247348,'1',103,'N'),(15,2247356,'1',317,'N'),(15,2247356,'2',324,'N'),(15,2247364,'1',103,'N'),(15,2247372,'1',316,'N'),(15,2247372,'2',317,'N'),(15,2247399,'1',108,'N'),(15,2247399,'2',501,'N'),(15,2247402,'1',201,'N'),(15,2247402,'1A',211,'N'),(15,2247402,'2',217,'N'),(15,2247410,'1',429,'N'),(15,2247410,'1A',425,'N'),(15,2247410,'2',302,'N'),(15,2247429,'1',450,'N'),(15,2247429,'2',333,'N'),(15,2247437,'1',303,'N'),(15,2247437,'2',214,'N'),(15,2247445,'1',450,'N'),(15,2247445,'2',426,'N'),(15,2247453,'1',303,'N'),(15,2247453,'2',5,'N'),(15,2247461,'1',104,'N'),(15,2247461,'2',238,'N'),(15,2247470,'1',202,'N'),(15,2247470,'1A',238,'N'),(15,2247470,'2',333,'N'),(15,2247496,'1',319,'N'),(15,2247496,'2',5,'N'),(15,2247518,'1',104,'N'),(15,2247518,'2',326,'N'),(15,2247526,'1',103,'N'),(15,2247526,'2',104,'N'),(15,2247534,'1',104,'N'),(15,2247534,'2',211,'N'),(15,2247542,'1',108,'N'),(15,2247542,'2',103,'N'),(15,2247550,'1',103,'N'),(15,2247550,'2',316,'N'),(15,2247569,'1',339,'N'),(15,2247569,'2',328,'N'),(15,2247577,'1',301,'N'),(15,2247577,'2',316,'N'),(15,2247585,'1',303,'N'),(15,2247585,'2',331,'N'),(15,2247593,'1',211,'N'),(15,2247593,'1A',215,'N'),(15,2247593,'2',304,'N'),(15,2247607,'1',5,'N'),(15,2247607,'2',318,'N'),(15,2247623,'1',103,'N'),(15,2247631,'1',103,'N'),(15,2247631,'2',428,'N'),(15,2247640,'1',103,'N'),(15,2247640,'2',102,'N'),(15,2247658,'1',450,'N'),(15,2247658,'2',329,'N'),(15,2247666,'1',501,'N'),(15,2247666,'2',502,'N'),(15,2247690,'1',211,'N'),(15,2247690,'1A',215,'N'),(15,2247690,'2',102,'N'),(15,2247704,'1',104,'N'),(15,2247704,'2',103,'N'),(15,2247720,'1',415,'N'),(15,2247720,'2',450,'N'),(15,2247739,'1',424,'N'),(15,2247739,'1A',423,'N'),(15,2247739,'2',427,'N'),(15,2247755,'1',303,'N'),(15,2247755,'2',5,'N'),(15,2247763,'1',301,'N'),(15,2247763,'2',223,'N'),(15,2247771,'1',217,'N'),(15,2247771,'2',223,'N'),(15,2247780,'1',301,'N'),(15,2247780,'2',316,'N'),(15,2247798,'1',302,'N'),(15,2247798,'2',208,'N'),(15,2247810,'1',103,'N'),(15,2247810,'2',428,'N'),(15,2247828,'1',333,'N'),(15,2247828,'2',451,'N'),(15,2247836,'1',308,'N'),(15,2247836,'2',309,'N'),(15,2247844,'1',339,'N'),(15,2247844,'2',428,'N'),(15,2247852,'1',9,'N'),(15,2247852,'2',333,'N'),(15,2247860,'1',420,'N'),(15,2247860,'2',423,'N'),(15,2247879,'1',427,'N'),(15,2247879,'1A',424,'N'),(15,2247879,'2',451,'N'),(15,2247887,'1',5,'N'),(15,2247887,'2',9,'N'),(15,2247895,'1',404,'N'),(15,2247895,'2',339,'N'),(15,2247909,'1',103,'N'),(15,2247909,'2',420,'N'),(15,2247917,'1',104,'N'),(15,2247917,'2',101,'N'),(15,2247925,'1',207,'N'),(15,2247925,'1A',201,'N'),(15,2247925,'2',420,'N'),(15,2247933,'1',201,'N'),(15,2247933,'2',207,'N'),(15,2247950,'1',212,'N'),(15,2247950,'1A',214,'N'),(15,2247950,'2',213,'N'),(15,2247968,'1',225,'N'),(15,2247968,'2',324,'N'),(15,2247976,'1',103,'N'),(15,2247976,'2',216,'N'),(15,2247984,'1',103,'N'),(15,2248000,'1',208,'N'),(15,2248000,'1A',238,'N'),(15,2248000,'2',423,'N'),(15,2248026,'1',216,'N'),(15,2248026,'2',217,'N'),(15,2248034,'1',5,'N'),(15,2248034,'2',339,'N'),(15,2248042,'1',202,'N'),(15,2248042,'1A',220,'N'),(15,2248042,'2',208,'N'),(15,2248050,'1',502,'N'),(15,2248050,'2',234,'N'),(15,2248069,'1',201,'N'),(15,2248069,'1A',207,'N'),(15,2248069,'2',208,'N'),(15,2248077,'1',234,'N'),(15,2248077,'2',502,'N'),(15,2248085,'1',301,'N'),(15,2248093,'1',5,'N'),(15,2248093,'2',303,'N'),(15,2248107,'1',103,'N'),(15,2248107,'2',9,'N'),(15,2248115,'1',415,'N'),(15,2248115,'2',319,'N'),(15,2248123,'1',224,'N'),(15,2248123,'2',222,'N'),(15,2248131,'1',212,'N'),(15,2248131,'2',324,'N'),(15,2248140,'1',333,'N'),(15,2248140,'2',234,'N'),(15,2248166,'1',308,'N'),(15,2248166,'2',224,'N'),(15,2248174,'1',319,'N'),(15,2248174,'2',404,'N'),(15,2248182,'1',233,'N'),(15,2248182,'1A',220,'N'),(15,2248182,'2',214,'N'),(15,2248190,'1',316,'N'),(15,2248190,'2',301,'N'),(15,2248204,'1',5,'N'),(15,2248204,'2',421,'N'),(15,2248212,'1',326,'N'),(15,2248212,'2',450,'N'),(15,2248239,'1',317,'N'),(15,2248239,'2',316,'N'),(15,2248247,'1',427,'N'),(15,2248247,'2',224,'N'),(15,2248255,'1',319,'N'),(15,2248255,'2',328,'N'),(15,2248263,'1',103,'N'),(15,2248263,'2',104,'N'),(15,2248271,'1',103,'N'),(15,2248271,'2',215,'N'),(15,2248280,'1',415,'N'),(15,2248280,'2',333,'N'),(15,2248298,'1',215,'N'),(15,2248298,'2',108,'N'),(15,2248301,'1',316,'N'),(15,2248301,'2',318,'N'),(15,2248310,'1',331,'N'),(15,2248310,'2',309,'N'),(15,2248328,'1',103,'N'),(15,2248328,'2',104,'N'),(15,2248336,'1',303,'N'),(15,2248336,'2',214,'N'),(15,2248344,'1',319,'N'),(15,2248344,'2',425,'N'),(15,2248360,'1',103,'N'),(15,2248360,'2',328,'N'),(15,2248379,'1',103,'N'),(15,2248379,'2',101,'N'),(15,2248387,'1',207,'N'),(15,2248387,'2',108,'N'),(15,2248409,'1',108,'N'),(15,2248409,'2',319,'N'),(15,2248417,'1',316,'N'),(15,2248417,'2',332,'N'),(15,2248425,'1',220,'N'),(15,2248425,'1A',233,'N'),(15,2248425,'2',223,'N'),(15,2248433,'1',339,'N'),(15,2248433,'2',420,'N'),(15,2248441,'1',318,'N'),(15,2248441,'2',324,'N'),(15,2248450,'1',208,'N'),(15,2248450,'1A',213,'N'),(15,2248450,'2',214,'N'),(15,2248468,'1',310,'N'),(15,2248468,'2',108,'N'),(15,2248476,'1',103,'N'),(15,2248476,'2',104,'N'),(15,2248484,'1',451,'N'),(15,2248484,'2',450,'N'),(15,2248492,'1',423,'N'),(15,2248492,'1A',424,'N'),(15,2248492,'2',426,'N'),(15,2248506,'1',103,'N'),(15,2248506,'2',301,'N'),(15,2248514,'1',203,'N'),(15,2248514,'1A',207,'N'),(15,2248514,'2',9,'N'),(15,2248522,'1',333,'N'),(15,2248522,'2',324,'N'),(15,2248530,'1',103,'N'),(15,2248549,'1',303,'N'),(15,2248549,'2',301,'N'),(15,2248557,'1',208,'N'),(15,2248557,'2',302,'N'),(15,2248565,'1',104,'N'),(15,2248573,'1',5,'N'),(15,2248573,'2',303,'N'),(15,2248581,'1',5,'N'),(15,2248581,'2',308,'N'),(15,2248590,'1',208,'N'),(15,2248590,'1A',211,'N'),(15,2248590,'2',317,'N'),(15,2248603,'1',339,'N'),(15,2248603,'2',101,'N'),(15,2248611,'1',220,'N'),(15,2248611,'1A',203,'N'),(15,2248611,'2',304,'N'),(15,2248620,'1',303,'N'),(15,2248620,'2',301,'N'),(15,2248638,'1',103,'N'),(15,2248638,'2',222,'N'),(15,2248646,'1',207,'N'),(15,2248646,'2',415,'N'),(15,2248654,'1',207,'N'),(15,2248654,'2',420,'N'),(15,2248662,'1',339,'N'),(15,2248662,'2',324,'N'),(15,2248670,'1',420,'N'),(15,2248670,'2',451,'N'),(15,2248697,'1',444,'N'),(15,2248697,'2',316,'N'),(15,2248700,'1',420,'N'),(15,2248700,'2',207,'N'),(15,2248719,'1',211,'N'),(15,2248719,'1A',215,'N'),(15,2248719,'2',404,'N'),(15,2248735,'1',214,'N'),(15,2248735,'1A',203,'N'),(15,2248735,'2',213,'N'),(15,2248743,'1',103,'N'),(15,2248743,'2',303,'N'),(15,2248751,'1',220,'N'),(15,2248751,'1A',202,'N'),(15,2248751,'2',234,'N'),(15,2248760,'1',327,'N'),(15,2248760,'2',316,'N'),(15,2248778,'1',302,'N'),(15,2248778,'2',223,'N'),(15,2248786,'1',103,'N'),(15,2248786,'2',104,'N'),(15,2248794,'1',102,'N'),(15,2248794,'2',301,'N'),(15,2248808,'1',216,'N'),(15,2248808,'2',108,'N'),(15,2248816,'1',102,'N'),(15,2248816,'2',429,'N'),(15,2248824,'1',103,'N'),(15,2248824,'2',207,'N'),(15,2248832,'1',333,'N'),(15,2248832,'2',331,'N'),(15,2248840,'1',327,'N'),(15,2248840,'2',326,'N'),(15,2248859,'1',201,'N'),(15,2248859,'1A',220,'N'),(15,2248859,'2',224,'N'),(15,2248875,'1',423,'N'),(15,2248875,'1A',425,'N'),(15,2248875,'2',426,'N'),(15,2248883,'1',203,'N'),(15,2248883,'1A',214,'N'),(15,2248883,'2',501,'N'),(15,2248891,'1',316,'N'),(15,2248891,'2',333,'N'),(15,2248905,'1',104,'N'),(15,2248905,'2',427,'N'),(15,2248913,'1',5,'N'),(15,2248913,'2',426,'N'),(15,2248930,'1',425,'N'),(15,2248930,'1A',429,'N'),(15,2248930,'2',421,'N'),(15,2248956,'1',203,'N'),(15,2248956,'1A',207,'N'),(15,2248956,'2',220,'N'),(15,2248964,'1',501,'N'),(15,2248972,'1',303,'N'),(15,2248972,'2',308,'N'),(15,2248980,'1',303,'N'),(15,2248980,'2',212,'N'),(15,2248999,'1',319,'N'),(15,2248999,'2',316,'N'),(15,2249006,'1',211,'N'),(15,2249006,'1A',201,'N'),(15,2249006,'2',420,'N'),(15,2249014,'1',203,'N'),(15,2249014,'1A',233,'N'),(15,2249014,'2',225,'N'),(15,2249022,'1',502,'N'),(15,2249030,'1',9,'N'),(15,2249030,'2',420,'N'),(15,2249049,'1',5,'N'),(15,2249049,'2',319,'N'),(15,2249057,'1',420,'N'),(15,2249057,'2',207,'N'),(15,2249073,'1',104,'N'),(15,2249073,'2',102,'N'),(15,2249081,'1',203,'N'),(15,2249081,'1A',214,'N'),(15,2249081,'2',202,'N'),(15,2249090,'1',207,'N'),(15,2249090,'2',301,'N'),(15,2249103,'1',203,'N'),(15,2249103,'1A',214,'N'),(15,2249103,'2',234,'N'),(15,2249111,'1',501,'N'),(15,2249111,'2',502,'N'),(15,2249120,'1',103,'N'),(15,2249120,'2',203,'N'),(15,2249146,'1',103,'N'),(15,2249146,'2',104,'N'),(15,2249154,'1',103,'N'),(15,2249154,'2',201,'N'),(15,2249162,'1',103,'N'),(15,2249170,'1',5,'N'),(15,2249170,'2',303,'N'),(15,2249189,'1',220,'N'),(15,2249189,'1A',214,'N'),(15,2249189,'2',203,'N'),(15,2249197,'1',104,'N'),(15,2249197,'2',215,'N'),(15,2249200,'1',501,'N'),(15,2249200,'2',502,'N'),(15,2249219,'1',415,'N'),(15,2249219,'2',333,'N'),(15,2249227,'1',103,'N'),(15,2249227,'2',501,'N'),(15,2249235,'1',5,'N'),(15,2249235,'2',318,'N'),(15,2249243,'1',103,'N'),(15,2249243,'2',415,'N'),(15,2249251,'1',103,'N'),(15,2249251,'2',9,'N'),(15,2249260,'1',425,'N'),(15,2249260,'1A',429,'N'),(15,2249260,'2',424,'N'),(15,2249278,'1',207,'N'),(15,2249278,'2',444,'N'),(15,2249286,'1',9,'N'),(15,2249286,'2',420,'N'),(15,2249294,'1',203,'N'),(15,2249294,'1A',202,'N'),(15,2249294,'2',223,'N'),(15,2249308,'1',103,'N'),(15,2249316,'1',103,'N'),(15,2249316,'2',333,'N'),(15,2249324,'1',425,'N'),(15,2249324,'1A',424,'N'),(15,2249324,'2',324,'N'),(15,2249332,'1',5,'N'),(15,2249332,'2',303,'N'),(15,2249340,'1',420,'N'),(15,2249340,'2',415,'N'),(15,2249359,'1',203,'N'),(15,2249359,'1A',214,'N'),(15,2249359,'2',208,'N'),(15,2249367,'1',103,'N'),(15,2249367,'2',333,'N'),(15,2249375,'1',104,'N'),(15,2249375,'2',2,'N'),(15,2249383,'1',104,'N'),(15,2249383,'2',207,'N'),(15,2249405,'1',316,'N'),(15,2249405,'2',308,'N'),(15,2249413,'1',207,'N'),(15,2249413,'1A',201,'N'),(15,2249413,'2',101,'N'),(15,2249421,'1',303,'N'),(15,2249430,'1',207,'N'),(15,2249430,'2',211,'N'),(15,2249448,'1',319,'N'),(15,2249456,'1',450,'N'),(15,2249456,'2',415,'N'),(15,2249464,'1',103,'N'),(15,2249464,'2',101,'N'),(15,2249472,'1',5,'N'),(15,2249472,'2',304,'N'),(15,2249480,'1',207,'N'),(15,2249480,'2',326,'N'),(15,2249499,'1',104,'N'),(15,2249499,'2',211,'N'),(15,2249502,'1',103,'N'),(15,2249510,'1',308,'N'),(15,2249510,'2',304,'N'),(15,2249529,'1',328,'N'),(15,2249537,'1',303,'N'),(15,2249537,'2',301,'N'),(15,2249545,'1',212,'N'),(15,2249545,'1A',201,'N'),(15,2249545,'2',233,'N'),(15,2249553,'1',319,'N'),(15,2249553,'2',320,'N'),(15,2249561,'1',207,'N'),(15,2249561,'2',420,'N'),(15,2249570,'1',301,'N'),(15,2249570,'2',316,'N'),(15,2249588,'1',451,'N'),(15,2249588,'2',425,'N'),(15,2249596,'1',303,'N'),(15,2249596,'2',211,'N'),(15,2249618,'1',502,'N'),(15,2249618,'2',324,'N'),(15,2249626,'1',103,'N'),(15,2249626,'2',101,'N'),(15,2249634,'1',302,'N'),(15,2249634,'2',339,'N'),(15,2249642,'1',211,'N'),(15,2249642,'2',216,'N'),(15,2249650,'1',101,'N'),(15,2249650,'2',421,'N'),(15,2249669,'1',303,'N'),(15,2249669,'2',310,'N'),(15,2249677,'1',501,'N'),(15,2249677,'2',108,'N'),(15,2249685,'1',211,'N'),(15,2249685,'1A',208,'N'),(15,2249693,'1',201,'N'),(15,2249693,'1A',211,'N'),(15,2249693,'2',303,'N'),(15,2249707,'1',103,'N'),(15,2249707,'2',101,'N'),(15,2249715,'1',424,'N'),(15,2249715,'1A',423,'N'),(15,2249723,'1',214,'N'),(15,2249723,'1A',203,'N'),(15,2249723,'2',208,'N'),(15,2249731,'1',202,'N'),(15,2249731,'1A',208,'N'),(15,2249731,'2',2,'N'),(15,2249740,'1',9,'N'),(15,2249740,'2',104,'N'),(15,2249758,'1',220,'N'),(15,2249758,'1A',203,'N'),(15,2249758,'2',202,'N'),(15,2249766,'1',304,'N'),(15,2249766,'2',308,'N'),(15,2249774,'1',104,'N'),(15,2249774,'2',102,'N'),(15,2249782,'1',103,'N'),(15,2249782,'2',9,'N'),(15,2249790,'1',233,'N'),(15,2249790,'1A',216,'N'),(15,2249790,'2',319,'N'),(15,2249804,'1',203,'N'),(15,2249804,'1A',233,'N'),(15,2249804,'2',225,'N'),(15,2249812,'1',5,'N'),(15,2249812,'2',104,'N'),(15,2249820,'1',426,'N'),(15,2249820,'1A',425,'N'),(15,2249820,'2',324,'N'),(15,2249839,'1',5,'N'),(15,2249839,'2',303,'N'),(15,2249847,'1',501,'N'),(15,2249847,'2',212,'N'),(15,2249855,'1',211,'N'),(15,2249863,'1',301,'N'),(15,2249871,'1',104,'N'),(15,2249871,'2',101,'N'),(15,2249880,'1',303,'N'),(15,2249880,'2',451,'N'),(15,2249898,'1',103,'N'),(15,2249898,'2',9,'N'),(15,2249901,'1',303,'N'),(15,2249901,'2',5,'N'),(15,2249928,'1',303,'N'),(15,2249928,'2',310,'N'),(15,2249936,'1',104,'N'),(15,2249936,'2',207,'N'),(15,2249944,'1',211,'N'),(15,2249944,'2',108,'N'),(15,2249960,'1',326,'N'),(15,2249960,'2',327,'N'),(15,2249979,'1',404,'N'),(15,2249979,'2',502,'N'),(15,2249987,'1',103,'N'),(15,2249987,'2',234,'N'),(15,2249995,'1',104,'N'),(15,2249995,'2',102,'N'),(15,2250004,'1',214,'N'),(15,2250004,'1A',213,'N'),(15,2250004,'2',233,'N'),(15,2250012,'1',2,'N'),(15,2250012,'2',225,'N'),(15,2250020,'1',213,'N'),(15,2250020,'1A',202,'N'),(15,2250020,'2',423,'N'),(15,2250039,'1',501,'N'),(15,2250039,'2',502,'N'),(15,2250047,'1',203,'N'),(15,2250047,'1A',201,'N'),(15,2250047,'2',108,'N'),(15,2250055,'1',308,'N'),(15,2250055,'2',324,'N'),(15,2250063,'1',103,'N'),(15,2250071,'1',103,'N'),(15,2250071,'2',101,'N'),(15,2250098,'1',203,'N'),(15,2250110,'1',332,'N'),(15,2250110,'2',426,'N'),(15,2250128,'1',9,'N'),(15,2250128,'2',215,'N'),(15,2250136,'1',207,'N'),(15,2250136,'1A',215,'N'),(15,2250136,'2',303,'N'),(15,2250144,'1',216,'N'),(15,2250144,'1A',215,'N'),(15,2250144,'2',202,'N'),(15,2250152,'1',301,'N'),(15,2250152,'2',316,'N'),(15,2250160,'1',203,'N'),(15,2250160,'1A',202,'N'),(15,2250160,'2',214,'N'),(15,2250187,'1',103,'N'),(15,2250187,'2',415,'N'),(15,2250195,'1',303,'N'),(15,2250195,'2',5,'N'),(15,2250209,'1',316,'N'),(15,2250209,'2',217,'N'),(15,2250217,'1',303,'N'),(15,2250217,'2',217,'N'),(15,2250233,'1',310,'N'),(15,2250233,'2',331,'N'),(15,2250250,'1',310,'N'),(15,2250250,'2',326,'N'),(15,2250268,'1',333,'N'),(15,2250268,'2',331,'N'),(15,2250276,'1',501,'N'),(15,2250276,'2',420,'N'),(15,2250284,'1',103,'N'),(15,2250284,'2',420,'N'),(15,2250292,'1',208,'N'),(15,2250292,'1A',238,'N'),(15,2250292,'2',316,'N'),(15,2250306,'1',420,'N'),(15,2250314,'1',317,'N'),(15,2250314,'2',425,'N'),(15,2250322,'1',103,'N'),(15,2250322,'2',9,'N'),(15,2250330,'1',415,'N'),(15,2250330,'2',451,'N'),(15,2250349,'1',103,'N'),(15,2250349,'2',9,'N'),(15,2250365,'1',309,'N'),(15,2250365,'2',339,'N'),(15,2250373,'1',501,'N'),(15,2250373,'2',502,'N'),(15,2250381,'1',214,'N'),(15,2250381,'1A',212,'N'),(15,2250381,'2',213,'N'),(15,2250390,'1',316,'N'),(15,2250390,'2',103,'N'),(15,2250403,'1',203,'N'),(15,2250403,'2',333,'N'),(15,2250411,'1',316,'N'),(15,2250411,'2',501,'N'),(15,2250420,'1',333,'N'),(15,2250420,'2',108,'N'),(15,2250438,'1',333,'N'),(15,2250446,'1',103,'N'),(15,2250446,'2',101,'N'),(15,2250454,'1',104,'N'),(15,2250454,'2',108,'N'),(15,2250462,'1',103,'N'),(15,2250462,'2',104,'N'),(15,2250470,'1',316,'N'),(15,2250470,'2',304,'N'),(15,2250489,'1',208,'N'),(15,2250489,'1A',238,'N'),(15,2250489,'2',222,'N'),(15,2250497,'1',308,'N'),(15,2250497,'2',309,'N'),(15,2250500,'1',103,'N'),(15,2250500,'2',104,'N'),(15,2250519,'1',301,'N'),(15,2250519,'2',316,'N'),(15,2250527,'1',424,'N'),(15,2250527,'1A',427,'N'),(15,2250527,'2',425,'N'),(15,2250535,'1',238,'N'),(15,2250535,'1A',211,'N'),(15,2250535,'2',502,'N'),(15,2250543,'1',238,'N'),(15,2250543,'1A',208,'N'),(15,2250543,'2',316,'N'),(15,2250551,'1',450,'N'),(15,2250551,'2',426,'N'),(15,2250560,'1',420,'N'),(15,2250560,'2',333,'N'),(15,2250586,'1',303,'N'),(15,2250586,'2',5,'N'),(15,2250594,'1',220,'N'),(15,2250594,'1A',211,'N'),(15,2250594,'2',238,'N'),(15,2250616,'1',103,'N'),(15,2250616,'2',425,'N'),(15,2250624,'1',9,'N'),(15,2250624,'2',234,'N'),(15,2250632,'1',501,'N'),(15,2250632,'2',102,'N'),(15,2250640,'1',208,'N'),(15,2250640,'2',415,'N'),(15,2250659,'1',211,'N'),(15,2250659,'2',108,'N'),(15,2250667,'1',301,'N'),(15,2250667,'2',220,'N'),(15,2250675,'1',333,'N'),(15,2250675,'2',444,'N'),(15,2250683,'1',217,'N'),(15,2250683,'2',339,'N'),(15,2250691,'1',501,'N'),(15,2250691,'2',102,'N'),(15,2250705,'1',316,'N'),(15,2250705,'2',428,'N'),(15,2250713,'1',203,'N'),(15,2250713,'1A',233,'N'),(15,2250713,'2',223,'N'),(15,2250730,'1',302,'N'),(15,2250730,'2',427,'N'),(15,2250748,'1',415,'N'),(15,2250748,'2',450,'N'),(15,2250756,'1',101,'N'),(15,2250756,'2',425,'N'),(15,2250764,'1',238,'N'),(15,2250764,'1A',220,'N'),(15,2250764,'2',425,'N'),(15,2250772,'1',444,'N'),(15,2250772,'2',9,'N'),(15,2250780,'1',103,'N'),(15,2250799,'1',5,'N'),(15,2250799,'2',319,'N'),(15,2250802,'1',502,'N'),(15,2250802,'2',333,'N'),(15,2250810,'1',102,'N'),(15,2250810,'2',309,'N'),(15,2250829,'1',303,'N'),(15,2250829,'2',301,'N'),(15,2250837,'1',213,'N'),(15,2250837,'1A',214,'N'),(15,2250837,'2',212,'N'),(15,2250845,'1',501,'N'),(15,2250845,'2',502,'N'),(15,2250853,'1',103,'N'),(15,2250853,'2',316,'N'),(15,2250861,'1',103,'N'),(15,2250861,'2',2,'N'),(15,2250870,'1',202,'N'),(15,2250870,'1A',220,'N'),(15,2250888,'1',317,'N'),(15,2250888,'2',318,'N'),(15,2250896,'1',317,'N'),(15,2250896,'2',224,'N'),(15,2250900,'1',303,'N'),(15,2250900,'2',203,'N'),(15,2250918,'1',103,'N'),(15,2250918,'2',104,'N'),(15,2250926,'1',103,'N'),(15,2250926,'2',108,'N'),(15,2250934,'1',316,'N'),(15,2250934,'2',317,'N'),(15,2250950,'1',101,'N'),(15,2250950,'2',319,'N'),(15,2250969,'1',328,'N'),(15,2250969,'2',451,'N'),(15,2250977,'1',501,'N'),(15,2250977,'2',203,'N'),(15,2250985,'1',444,'N'),(15,2250985,'2',309,'N'),(15,2250993,'1',426,'N'),(15,2250993,'1A',423,'N'),(15,2250993,'2',320,'N'),(15,2251000,'1',317,'N'),(15,2251000,'2',404,'N'),(15,2251019,'1',329,'N'),(15,2251019,'2',320,'N'),(15,2251027,'1',304,'N'),(15,2251027,'2',339,'N'),(15,2251035,'1',317,'N'),(15,2251035,'2',234,'N'),(15,2251043,'1',9,'N'),(15,2251043,'2',502,'N'),(15,2251051,'1',103,'N'),(15,2251051,'2',102,'N'),(15,2251060,'1',203,'N'),(15,2251060,'1A',201,'N'),(15,2251060,'2',207,'N'),(15,2251078,'1',203,'N'),(15,2251078,'1A',201,'N'),(15,2251078,'2',207,'N'),(15,2251094,'1',103,'N'),(15,2251094,'2',319,'N'),(15,2251108,'1',420,'N'),(15,2251108,'2',208,'N'),(15,2251116,'1',317,'N'),(15,2251116,'2',208,'N'),(15,2251124,'1',202,'N'),(15,2251124,'1A',213,'N'),(15,2251124,'2',103,'N'),(15,2251132,'1',108,'N'),(15,2251132,'2',238,'N'),(15,2251140,'1',324,'N'),(15,2251140,'2',213,'N'),(15,2251159,'1',102,'N'),(15,2251159,'2',103,'N'),(15,2251167,'1',214,'N'),(15,2251167,'1A',203,'N'),(15,2251167,'2',316,'N'),(15,2251175,'1',9,'N'),(15,2251183,'1',201,'N'),(15,2251183,'1A',207,'N'),(15,2251183,'2',316,'N'),(15,2251191,'1',238,'N'),(15,2251205,'1',103,'N'),(15,2251205,'2',303,'N'),(15,2251213,'1',103,'N'),(15,2251213,'2',102,'N'),(15,2251221,'1',303,'N'),(15,2251221,'2',319,'N'),(15,2251230,'1',444,'N'),(15,2251230,'2',333,'N'),(15,2251248,'1',103,'N'),(15,2251248,'2',303,'N'),(15,2251256,'1',303,'N'),(15,2251256,'2',5,'N'),(15,2251264,'1',208,'N'),(15,2251264,'1A',238,'N'),(15,2251264,'2',333,'N'),(15,2251272,'1',102,'N'),(15,2251299,'1',5,'N'),(15,2251299,'2',2,'N'),(15,2251302,'1',216,'N'),(15,2251302,'1A',202,'N'),(15,2251302,'2',208,'N'),(15,2251329,'1',103,'N'),(15,2251329,'2',319,'N'),(15,2251337,'1',103,'N'),(15,2251345,'1',203,'N'),(15,2251345,'1A',201,'N'),(15,2251345,'2',302,'N'),(15,2251353,'1',238,'N'),(15,2251353,'2',5,'N'),(15,2251361,'1',238,'N'),(15,2251361,'1A',201,'N'),(15,2251361,'2',404,'N'),(15,2251370,'1',103,'N'),(15,2251370,'2',102,'N'),(15,2251388,'1',9,'N'),(15,2251388,'2',444,'N'),(15,2251396,'1',303,'N'),(15,2251396,'2',9,'N'),(15,2251400,'1',101,'N'),(15,2251400,'2',308,'N'),(15,2251418,'1',303,'N'),(15,2251418,'2',5,'N'),(15,2251426,'1',103,'N'),(15,2251426,'2',211,'N'),(15,2251434,'1',203,'N'),(15,2251434,'1A',220,'N'),(15,2251434,'2',233,'N'),(15,2251442,'1',103,'N'),(15,2251442,'2',102,'N'),(15,2251450,'1',103,'N'),(15,2251450,'2',102,'N'),(15,2251469,'1',9,'N'),(15,2251477,'1',211,'N'),(15,2251477,'1A',215,'N'),(15,2251477,'2',9,'N'),(15,2251485,'1',420,'N'),(15,2251485,'2',425,'N'),(15,2251493,'1',303,'N'),(15,2251493,'2',326,'N'),(15,2251507,'1',203,'N'),(15,2251507,'1A',208,'N'),(15,2251507,'2',450,'N'),(15,2251515,'1',302,'N'),(15,2251515,'2',224,'N'),(15,2251523,'1',108,'N'),(15,2251523,'2',211,'N'),(15,2251531,'1',9,'N'),(15,2251531,'2',215,'N'),(15,2251540,'1',429,'N'),(15,2251540,'1A',425,'N'),(15,2251540,'2',324,'N'),(15,2251558,'1',502,'N'),(15,2251566,'1',9,'N'),(15,2251566,'2',102,'N'),(15,2251574,'1',102,'N'),(15,2251574,'2',216,'N'),(15,2251582,'1',301,'N'),(15,2251582,'2',9,'N'),(15,2251590,'1',103,'N'),(15,2251590,'2',101,'N'),(15,2251604,'1',316,'N'),(15,2251604,'2',423,'N'),(15,2251612,'1',327,'N'),(15,2251612,'2',329,'N'),(15,2251639,'1',202,'N'),(15,2251639,'1A',213,'N'),(15,2251639,'2',203,'N'),(15,2251655,'1',108,'N'),(15,2251655,'2',333,'N'),(15,2251663,'1',339,'N'),(15,2251663,'2',309,'N'),(15,2251671,'1',207,'N'),(15,2251671,'2',303,'N'),(15,2251680,'1',202,'N'),(15,2251680,'1A',203,'N'),(15,2251680,'2',216,'N'),(15,2251698,'1',220,'N'),(15,2251698,'1A',202,'N'),(15,2251698,'2',208,'N'),(15,2251701,'1',104,'N'),(15,2251701,'2',211,'N'),(15,2251710,'1',208,'N'),(15,2251710,'1A',238,'N'),(15,2251710,'2',220,'N'),(15,2251728,'1',103,'N'),(15,2251728,'2',102,'N'),(15,2251744,'1',5,'N'),(15,2251744,'2',303,'N'),(15,2251752,'1',303,'N'),(15,2251752,'2',5,'N'),(15,2251760,'1',220,'N'),(15,2251760,'1A',214,'N'),(15,2251760,'2',213,'N'),(15,2251779,'1',425,'N'),(15,2251779,'1A',428,'N'),(15,2251779,'2',424,'N'),(15,2251787,'1',108,'N'),(15,2251787,'2',501,'N'),(15,2251795,'1',415,'N'),(15,2251795,'2',333,'N'),(15,2251809,'1',203,'N'),(15,2251809,'1A',214,'N'),(15,2251809,'2',201,'N'),(15,2251817,'1',333,'N'),(15,2251817,'2',502,'N'),(15,2251833,'1',302,'N'),(15,2251833,'2',319,'N'),(15,2251841,'1',103,'N'),(15,2251841,'2',319,'N'),(15,2251850,'1',5,'N'),(15,2251850,'2',332,'N'),(15,2251868,'1',207,'N'),(15,2251876,'1',238,'N'),(15,2251876,'1A',208,'N'),(15,2251876,'2',319,'N'),(15,2251884,'1',238,'N'),(15,2251884,'1A',208,'N'),(15,2251884,'2',327,'N'),(15,2251892,'1',104,'N'),(15,2251892,'2',316,'N'),(15,2251914,'1',225,'N'),(15,2251914,'2',224,'N'),(15,2251922,'1',108,'N'),(15,2251922,'2',339,'N'),(15,2251930,'1',213,'N'),(15,2251930,'1A',202,'N'),(15,2251930,'2',238,'N'),(15,2251949,'1',2,'N'),(15,2251949,'2',225,'N'),(15,2251957,'1',420,'N'),(15,2251957,'2',415,'N'),(15,2251965,'1',103,'N'),(15,2251965,'2',101,'N'),(15,2251973,'1',104,'N'),(15,2251973,'2',108,'N'),(15,2251981,'1',203,'N'),(15,2251981,'1A',220,'N'),(15,2251981,'2',2,'N'),(15,2251990,'1',324,'N'),(15,2251990,'2',425,'N'),(15,2252007,'1',429,'N'),(15,2252007,'1A',428,'N'),(15,2252007,'2',309,'N'),(15,2252015,'1',319,'N'),(15,2252015,'2',102,'N'),(15,2252023,'1',101,'N'),(15,2252023,'2',501,'N'),(15,2252031,'1',501,'N'),(15,2252031,'2',101,'N'),(15,2252040,'1',5,'N'),(15,2252040,'2',327,'N'),(15,2252058,'1',108,'N'),(15,2252058,'2',9,'N'),(15,2252066,'1',103,'N'),(15,2252066,'2',101,'N'),(15,2252082,'1',317,'N'),(15,2252090,'1',213,'N'),(15,2252090,'2',214,'N'),(15,2252104,'1',203,'N'),(15,2252112,'1',203,'N'),(15,2252112,'1A',216,'N'),(15,2252112,'2',316,'N'),(15,2252120,'1',203,'N'),(15,2252120,'1A',238,'N'),(15,2252120,'2',450,'N'),(15,2252139,'1',319,'N'),(15,2252139,'2',108,'N'),(15,2252147,'1',214,'N'),(15,2252147,'1A',203,'N'),(15,2252155,'1',104,'N'),(15,2252155,'2',319,'N'),(15,2252163,'1',211,'N'),(15,2252163,'1A',201,'N'),(15,2252163,'2',444,'N'),(15,2252171,'1',220,'N'),(15,2252171,'1A',201,'N'),(15,2252171,'2',214,'N'),(15,2252180,'1',415,'N'),(15,2252180,'2',327,'N'),(15,2252198,'1',102,'N'),(15,2252198,'2',329,'N'),(15,2252201,'1',104,'N'),(15,2252201,'2',444,'N'),(15,2252210,'1',224,'N'),(15,2252210,'2',222,'N'),(15,2252228,'1',201,'N'),(15,2252228,'1A',238,'N'),(15,2252228,'2',318,'N'),(15,2252236,'1',318,'N'),(15,2252236,'2',427,'N'),(15,2252244,'1',217,'N'),(15,2252244,'2',108,'N'),(15,2252252,'1',203,'N'),(15,2252252,'1A',214,'N'),(15,2252252,'2',420,'N'),(15,2252260,'1',301,'N'),(15,2252260,'2',207,'N'),(15,2252279,'1',302,'N'),(15,2252279,'2',329,'N'),(15,2252287,'1',303,'N'),(15,2252287,'2',415,'N'),(15,2252295,'1',238,'N'),(15,2252295,'1A',208,'N'),(15,2252295,'2',324,'N'),(15,2252317,'1',429,'N'),(15,2252317,'2',425,'N'),(15,2252325,'1',9,'N'),(15,2252325,'2',444,'N'),(15,2252333,'1',238,'N'),(15,2252333,'2',301,'N'),(15,2252341,'1',318,'N'),(15,2252341,'2',317,'N'),(15,2252350,'1',103,'N'),(15,2252350,'2',5,'N'),(15,2252368,'1',102,'N'),(15,2252368,'2',425,'N'),(15,2252376,'1',103,'N'),(15,2252376,'2',104,'N'),(15,2252384,'1',309,'N'),(15,2252384,'2',308,'N'),(15,2252392,'1',320,'N'),(15,2252392,'2',327,'N'),(15,2252406,'1',404,'N'),(15,2252406,'2',420,'N'),(15,2252414,'1',317,'N'),(15,2252414,'2',444,'N'),(15,2252422,'1',214,'N'),(15,2252422,'1A',203,'N'),(15,2252422,'2',220,'N'),(15,2252430,'1',214,'N'),(15,2252430,'1A',213,'N'),(15,2252430,'2',304,'N'),(15,2252449,'1',404,'N'),(15,2252449,'2',332,'N'),(15,2252457,'1',202,'N'),(15,2252457,'1A',201,'N'),(15,2252457,'2',213,'N'),(15,2252465,'1',444,'N'),(15,2252465,'2',501,'N'),(15,2252473,'1',214,'N'),(15,2252473,'2',421,'N'),(15,2252481,'1',415,'N'),(15,2252481,'2',420,'N'),(15,2252490,'1',428,'N'),(15,2252490,'1A',424,'N'),(15,2252490,'2',310,'N'),(15,2252503,'1',108,'N'),(15,2252503,'2',211,'N'),(15,2252511,'1',420,'N'),(15,2252511,'2',450,'N'),(15,2252520,'1',415,'N'),(15,2252520,'2',428,'N'),(15,2252538,'1',225,'N'),(15,2252538,'2',202,'N'),(15,2252546,'1',333,'N'),(15,2252546,'2',234,'N'),(15,2252554,'1',103,'N'),(15,2252554,'2',333,'N'),(15,2252562,'1',202,'N'),(15,2252562,'1A',213,'N'),(15,2252562,'2',317,'N'),(15,2252570,'1',102,'N'),(15,2252570,'2',101,'N'),(15,2252589,'1',208,'N'),(15,2252589,'1A',216,'N'),(15,2252589,'2',215,'N'),(15,2252597,'1',420,'N'),(15,2252597,'2',301,'N'),(15,2252600,'1',238,'N'),(15,2252600,'1A',208,'N'),(15,2252600,'2',316,'N'),(15,2252619,'1',223,'N'),(15,2252619,'2',319,'N'),(15,2252627,'1',104,'N'),(15,2252627,'2',331,'N'),(15,2252635,'1',212,'N'),(15,2252635,'1A',211,'N'),(15,2252635,'2',238,'N'),(15,2252643,'1',423,'N'),(15,2252643,'1A',428,'N'),(15,2252643,'2',424,'N'),(15,2252651,'1',212,'N'),(15,2252651,'1A',213,'N'),(15,2252651,'2',103,'N'),(15,2252678,'1',203,'N'),(15,2252678,'1A',202,'N'),(15,2252678,'2',304,'N'),(15,2252686,'1',220,'N'),(15,2252686,'1A',211,'N'),(15,2252686,'2',212,'N'),(15,2252694,'1',234,'N'),(15,2252694,'2',502,'N'),(15,2252708,'1',2,'N'),(15,2252708,'2',203,'N'),(15,2252724,'1',108,'N'),(15,2252732,'1',301,'N'),(15,2252732,'2',316,'N'),(15,2252740,'1',404,'N'),(15,2252740,'2',444,'N'),(15,2252759,'1',303,'N'),(15,2252759,'2',5,'N'),(15,2252767,'1',5,'N'),(15,2252767,'2',420,'N'),(15,2252775,'1',103,'N'),(15,2252775,'2',319,'N'),(15,2252783,'1',427,'N'),(15,2252783,'1A',424,'N'),(15,2252783,'2',421,'N'),(15,2252791,'1',203,'N'),(15,2252791,'1A',214,'N'),(15,2252791,'2',220,'N'),(15,2252805,'1',420,'N'),(15,2252805,'2',501,'N'),(15,2252813,'1',450,'N'),(15,2252813,'2',425,'N'),(15,2252830,'1',319,'N'),(15,2252830,'2',308,'N'),(15,2252848,'1',450,'N'),(15,2252848,'2',208,'N'),(15,2252856,'1',202,'N'),(15,2252856,'1A',220,'N'),(15,2252856,'2',203,'N'),(15,2252872,'1',238,'N'),(15,2252872,'2',318,'N'),(15,2252902,'1',203,'N'),(15,2252902,'1A',220,'N'),(15,2252902,'2',2,'N'),(15,2252929,'1',103,'N'),(15,2252929,'2',101,'N'),(15,2252937,'1',238,'N'),(15,2252937,'1A',208,'N'),(15,2252937,'2',304,'N'),(15,2252945,'1',328,'N'),(15,2252953,'1',317,'N'),(15,2252953,'2',339,'N'),(15,2252961,'1',318,'N'),(15,2252961,'2',316,'N'),(15,2252970,'1',104,'N'),(15,2252970,'2',201,'N'),(15,2252988,'1',319,'N'),(15,2252996,'1',317,'N'),(15,2252996,'2',302,'N'),(15,2253003,'1',234,'N'),(15,2253003,'2',339,'N'),(15,2253011,'1',203,'N'),(15,2253011,'2',303,'N'),(15,2253020,'1',326,'N'),(15,2253020,'2',327,'N'),(15,2253038,'1',203,'N'),(15,2253046,'1',234,'N'),(15,2253046,'2',339,'N'),(15,2253054,'1',215,'N'),(15,2253054,'1A',238,'N'),(15,2253054,'2',317,'N'),(15,2253070,'1',207,'N'),(15,2253070,'1A',212,'N'),(15,2253070,'2',222,'N'),(15,2253089,'1',327,'N'),(15,2253089,'2',326,'N'),(15,2253097,'1',316,'N'),(15,2253097,'2',319,'N'),(15,2253100,'1',317,'N'),(15,2253100,'2',222,'N'),(15,2253119,'1',224,'N'),(15,2253119,'2',238,'N'),(15,2253127,'1',238,'N'),(15,2253127,'2',317,'N'),(15,2253135,'1',102,'N'),(15,2253135,'2',9,'N'),(15,2253143,'1',316,'N'),(15,2253143,'2',317,'N'),(15,2253151,'1',211,'N'),(15,2253151,'1A',207,'N'),(15,2253151,'2',333,'N'),(15,2253160,'1',415,'N'),(15,2253160,'2',329,'N'),(15,2253178,'1',103,'N'),(15,2253178,'2',104,'N'),(15,2253186,'1',301,'N'),(15,2253186,'2',316,'N'),(15,2253194,'1',5,'N'),(15,2253194,'2',333,'N'),(15,2253208,'1',5,'N'),(15,2253208,'2',339,'N'),(15,2253216,'1',429,'N'),(15,2253216,'1A',423,'N'),(15,2253216,'2',238,'N'),(15,2253224,'1',316,'N'),(15,2253224,'2',318,'N'),(15,2253232,'1',103,'N'),(15,2253232,'2',319,'N'),(15,2253240,'1',317,'N'),(15,2253240,'2',302,'N'),(15,2253259,'1',310,'N'),(15,2253259,'2',320,'N'),(15,2253267,'1',203,'N'),(15,2253267,'1A',233,'N'),(15,2253267,'2',324,'N'),(15,2253275,'1',201,'N'),(15,2253275,'1A',212,'N'),(15,2253275,'2',5,'N'),(15,2253283,'1',212,'N'),(15,2253291,'1',316,'N'),(15,2253291,'2',327,'N'),(15,2253305,'1',207,'N'),(15,2253305,'1A',211,'N'),(15,2253305,'2',333,'N'),(15,2253313,'1',317,'N'),(15,2253313,'2',316,'N'),(15,2253321,'1',5,'N'),(15,2253321,'2',303,'N'),(15,2253330,'1',501,'N'),(15,2253330,'2',302,'N'),(15,2253348,'1',426,'N'),(15,2253348,'1A',424,'N'),(15,2253348,'2',427,'N'),(15,2253356,'1',103,'N'),(15,2253356,'2',102,'N'),(15,2253364,'1',333,'N'),(15,2253364,'2',108,'N'),(15,2253372,'1',103,'N'),(15,2253372,'2',207,'N'),(15,2253380,'1',316,'N'),(15,2253380,'2',425,'N'),(15,2253399,'1',426,'N'),(15,2253399,'2',327,'N'),(15,2253402,'1',220,'N'),(15,2253410,'1',9,'N'),(15,2253410,'2',303,'N'),(15,2253429,'1',102,'N'),(15,2253445,'1',415,'N'),(15,2253445,'2',423,'N'),(15,2253453,'1',308,'N'),(15,2253453,'2',426,'N'),(15,2253461,'1',5,'N'),(15,2253461,'2',303,'N'),(15,2253470,'1',425,'N'),(15,2253470,'1A',429,'N'),(15,2253470,'2',316,'N'),(15,2253488,'1',333,'N'),(15,2253488,'2',108,'N'),(15,2253496,'1',501,'N'),(15,2253500,'1',207,'N'),(15,2253518,'1',309,'N'),(15,2253518,'2',308,'N'),(15,2253526,'1',301,'N'),(15,2253526,'2',304,'N'),(15,2253534,'1',332,'N'),(15,2253534,'2',427,'N'),(15,2253542,'1',101,'N'),(15,2253542,'2',108,'N'),(15,2253550,'1',201,'N'),(15,2253550,'1A',203,'N'),(15,2253550,'2',302,'N'),(15,2253569,'1',303,'N'),(15,2253569,'2',319,'N'),(15,2253577,'1',202,'N'),(15,2253577,'1A',203,'N'),(15,2253577,'2',220,'N'),(15,2253585,'1',103,'N'),(15,2253607,'1',103,'N'),(15,2253607,'2',104,'N'),(15,2253615,'1',316,'N'),(15,2253615,'2',5,'N'),(15,2253623,'1',207,'N'),(15,2253623,'1A',201,'N'),(15,2253623,'2',420,'N'),(15,2253631,'1',332,'N'),(15,2253631,'2',324,'N'),(15,2253640,'1',332,'N'),(15,2253640,'2',217,'N'),(15,2253658,'1',238,'N'),(15,2253658,'2',208,'N'),(15,2253666,'1',103,'N'),(15,2253674,'1',202,'N'),(15,2253674,'1A',213,'N'),(15,2253674,'2',233,'N'),(15,2253682,'1',502,'N'),(15,2253682,'2',501,'N'),(15,2253690,'1',103,'N'),(15,2253704,'1',317,'N'),(15,2253704,'2',324,'N'),(15,2253712,'1',326,'N'),(15,2253712,'2',310,'N'),(15,2253720,'1',319,'N'),(15,2253739,'1',211,'N'),(15,2253739,'1A',215,'N'),(15,2253739,'2',207,'N'),(15,2253747,'1',5,'N'),(15,2253747,'2',318,'N'),(15,2253755,'1',501,'N'),(15,2253755,'2',339,'N'),(15,2253763,'1',329,'N'),(15,2253763,'2',328,'N'),(15,2253771,'1',103,'N'),(15,2253771,'2',102,'N'),(15,2253780,'1',415,'N'),(15,2253780,'2',339,'N'),(15,2253798,'1',102,'N'),(15,2253798,'2',216,'N'),(15,2253801,'1',220,'N'),(15,2253801,'1A',202,'N'),(15,2253801,'2',213,'N'),(15,2253810,'1',103,'N'),(15,2253810,'2',208,'N'),(15,2253828,'1',324,'N'),(15,2253828,'2',211,'N'),(15,2253836,'1',103,'N'),(15,2253836,'2',104,'N'),(15,2253844,'1',103,'N'),(15,2253844,'2',101,'N'),(15,2253852,'1',310,'N'),(15,2253852,'2',327,'N'),(15,2253860,'1',304,'N'),(15,2253860,'2',326,'N'),(15,2253879,'1',450,'N'),(15,2253879,'2',501,'N'),(15,2253887,'1',208,'N'),(15,2253887,'1A',238,'N'),(15,2253887,'2',425,'N'),(15,2253895,'1',501,'N'),(15,2253895,'2',303,'N'),(15,2253909,'1',415,'N'),(15,2253909,'2',425,'N'),(15,2253917,'1',316,'N'),(15,2253917,'2',327,'N'),(15,2253925,'1',5,'N'),(15,2253925,'2',318,'N'),(15,2253933,'1',108,'N'),(15,2253933,'2',216,'N'),(15,2253941,'1',103,'N'),(15,2253941,'2',104,'N'),(15,2253950,'1',317,'N'),(15,2253950,'2',425,'N'),(15,2253968,'1',328,'N'),(15,2253968,'2',329,'N'),(15,2253984,'1',208,'N'),(15,2253984,'1A',220,'N'),(15,2253984,'2',238,'N'),(15,2253992,'1',302,'N'),(15,2253992,'2',304,'N'),(15,2254000,'1',103,'N'),(15,2254000,'2',104,'N'),(15,2254018,'1',304,'N'),(15,2254026,'1',319,'N'),(15,2254026,'2',420,'N'),(15,2254034,'1',202,'N'),(15,2254034,'2',216,'N'),(15,2254042,'1',211,'N'),(15,2254042,'1A',215,'N'),(15,2254042,'2',102,'N'),(15,2254050,'1',104,'N'),(15,2254050,'2',217,'N'),(15,2254069,'1',201,'N'),(15,2254069,'1A',212,'N'),(15,2254069,'2',301,'N'),(15,2254085,'1',103,'N'),(15,2254085,'2',201,'N'),(15,2254093,'1',207,'N'),(15,2254093,'1A',201,'N'),(15,2254093,'2',202,'N'),(15,2254107,'1',319,'N'),(15,2254107,'2',328,'N'),(15,2254115,'1',102,'N'),(15,2254115,'2',333,'N'),(15,2254123,'1',102,'N'),(15,2254123,'2',217,'N'),(15,2254131,'1',103,'N'),(15,2254140,'1',304,'N'),(15,2254140,'2',223,'N'),(15,2254158,'1',207,'N'),(15,2254158,'1A',208,'N'),(15,2254158,'2',420,'N'),(15,2254166,'1',103,'N'),(15,2254166,'2',303,'N'),(15,2254174,'1',420,'N'),(15,2254174,'2',238,'N'),(15,2254182,'1',103,'N'),(15,2254182,'2',207,'N'),(15,2254190,'1',450,'N'),(15,2254190,'2',329,'N'),(15,2254204,'1',5,'N'),(15,2254204,'2',316,'N'),(15,2254212,'1',316,'N'),(15,2254212,'2',212,'N'),(15,2254220,'1',301,'N'),(15,2254220,'2',424,'N'),(15,2254239,'1',317,'N'),(15,2254239,'2',324,'N'),(15,2254247,'1',425,'N'),(15,2254247,'1A',421,'N'),(15,2254247,'2',319,'N'),(15,2254255,'1',103,'N'),(15,2254255,'2',216,'N'),(15,2254263,'1',420,'N'),(15,2254271,'1',333,'N'),(15,2254271,'2',9,'N'),(15,2254280,'1',309,'N'),(15,2254280,'2',501,'N'),(15,2254298,'1',420,'N'),(15,2254298,'2',502,'N'),(15,2254301,'1',444,'N'),(15,2254301,'2',424,'N'),(15,2254328,'1',103,'N'),(15,2254328,'2',104,'N'),(15,2254336,'1',316,'N'),(15,2254336,'2',425,'N'),(15,2254344,'1',203,'N'),(15,2254344,'1A',214,'N'),(15,2254344,'2',316,'N'),(15,2254352,'1',207,'N'),(15,2254352,'2',103,'N'),(15,2254360,'1',303,'N'),(15,2254360,'2',5,'N'),(15,2254379,'1',310,'N'),(15,2254379,'2',308,'N'),(15,2254409,'1',303,'N'),(15,2254409,'2',5,'N'),(15,2254417,'1',316,'N'),(15,2254417,'2',317,'N'),(15,2254425,'1',103,'N'),(15,2254433,'1',201,'N'),(15,2254433,'1A',208,'N'),(15,2254433,'2',238,'N'),(15,2254441,'1',308,'N'),(15,2254441,'2',301,'N'),(15,2254450,'1',202,'N'),(15,2254450,'1A',203,'N'),(15,2254450,'2',225,'N'),(15,2254468,'1',420,'N'),(15,2254468,'2',103,'N'),(15,2254476,'1',316,'N'),(15,2254476,'2',301,'N'),(15,2254484,'1',238,'N'),(15,2254484,'1A',233,'N'),(15,2254484,'2',320,'N'),(15,2254492,'1',207,'N'),(15,2254492,'1A',212,'N'),(15,2254492,'2',420,'N'),(15,2254506,'1',421,'N'),(15,2254506,'1A',427,'N'),(15,2254506,'2',332,'N'),(15,2254514,'1',303,'N'),(15,2254514,'2',5,'N'),(15,2254522,'1',9,'N'),(15,2254522,'2',216,'N'),(15,2254530,'1',103,'N'),(15,2254530,'2',214,'N'),(15,2254549,'1',108,'N'),(15,2254549,'2',332,'N'),(15,2254557,'1',103,'N'),(15,2254557,'2',104,'N'),(15,2254565,'1',328,'N'),(15,2254565,'2',427,'N'),(15,2254573,'1',104,'N'),(15,2254573,'2',301,'N'),(15,2254581,'1',331,'N'),(15,2254581,'2',424,'N'),(15,2254590,'1',103,'N'),(15,2254603,'1',238,'N'),(15,2254603,'1A',208,'N'),(15,2254603,'2',201,'N'),(15,2254611,'1',103,'N'),(15,2254620,'1',427,'N'),(15,2254620,'1A',421,'N'),(15,2254620,'2',451,'N'),(15,2254638,'1',208,'N'),(15,2254638,'1A',238,'N'),(15,2254646,'1',303,'N'),(15,2254646,'2',9,'N'),(15,2254654,'1',103,'N'),(15,2254654,'2',102,'N'),(15,2254662,'1',220,'N'),(15,2254662,'1A',201,'N'),(15,2254662,'2',212,'N'),(15,2254670,'1',324,'N'),(15,2254670,'2',302,'N'),(15,2254689,'1',103,'N'),(15,2254689,'2',329,'N'),(15,2254697,'1',444,'N'),(15,2254697,'2',208,'N'),(15,2254700,'1',320,'N'),(15,2254700,'2',5,'N'),(15,2254719,'1',425,'N'),(15,2254719,'2',426,'N'),(15,2254727,'1',310,'N'),(15,2254727,'2',424,'N'),(15,2254735,'1',333,'N'),(15,2254735,'2',238,'N'),(15,2254743,'1',309,'N'),(15,2254743,'2',304,'N'),(15,2254760,'1',207,'N'),(15,2254760,'1A',216,'N'),(15,2254760,'2',420,'N'),(15,2254778,'1',324,'N'),(15,2254778,'2',208,'N'),(15,2254786,'1',319,'N'),(15,2254786,'2',326,'N'),(15,2254794,'1',329,'N'),(15,2254794,'2',327,'N'),(15,2254816,'1',301,'N'),(15,2254816,'2',316,'N'),(15,2254824,'1',319,'N'),(15,2254824,'2',301,'N'),(15,2254832,'1',302,'N'),(15,2254832,'2',451,'N'),(15,2254840,'1',103,'N'),(15,2254840,'2',208,'N'),(15,2254859,'1',233,'N'),(15,2254859,'1A',207,'N'),(15,2254859,'2',2,'N'),(15,2254867,'1',316,'N'),(15,2254867,'2',424,'N'),(15,2254875,'1',308,'N'),(15,2254875,'2',217,'N'),(15,2254883,'1',415,'N'),(15,2254883,'2',450,'N'),(15,2254891,'1',234,'N'),(15,2254891,'2',333,'N'),(15,2254905,'1',318,'N'),(15,2254905,'2',339,'N'),(15,2254913,'1',102,'N'),(15,2254913,'2',216,'N'),(15,2254921,'1',225,'N'),(15,2254921,'2',327,'N'),(15,2254930,'1',104,'N'),(15,2254930,'2',214,'N'),(15,2254948,'1',317,'N'),(15,2254948,'2',318,'N'),(15,2254956,'1',304,'N'),(15,2254956,'2',301,'N'),(15,2254964,'1',415,'N'),(15,2254964,'2',301,'N'),(15,2254972,'1',211,'N'),(15,2254972,'1A',202,'N'),(15,2254972,'2',2,'N'),(15,2254980,'1',339,'N'),(15,2254980,'2',308,'N'),(15,2254999,'1',450,'N'),(15,2254999,'2',328,'N'),(15,2255006,'1',233,'N'),(15,2255006,'1A',213,'N'),(15,2255006,'2',104,'N'),(15,2255014,'1',303,'N'),(15,2255022,'1',304,'N'),(15,2255022,'2',318,'N'),(15,2255030,'1',317,'N'),(15,2255030,'2',316,'N'),(15,2255049,'1',104,'N'),(15,2255049,'2',444,'N'),(15,2255057,'1',211,'N'),(15,2255057,'1A',238,'N'),(15,2255057,'2',333,'N'),(15,2255065,'1',327,'N'),(15,2255065,'2',326,'N'),(15,2255081,'1',319,'N'),(15,2255081,'2',316,'N'),(15,2255090,'1',104,'N'),(15,2255090,'2',327,'N'),(15,2255103,'1',329,'N'),(15,2255103,'2',328,'N'),(15,2255111,'1',320,'N'),(15,2255120,'1',308,'N'),(15,2255120,'2',426,'N'),(15,2255138,'1',318,'N'),(15,2255138,'2',224,'N'),(15,2255146,'1',420,'N'),(15,2255146,'2',316,'N'),(15,2255154,'1',444,'N'),(15,2255154,'2',316,'N'),(15,2255162,'1',318,'N'),(15,2255162,'2',426,'N'),(15,2255170,'1',202,'N'),(15,2255170,'1A',233,'N'),(15,2255170,'2',326,'N'),(15,2255189,'1',207,'N'),(15,2255189,'1A',208,'N'),(15,2255189,'2',420,'N'),(15,2255197,'1',102,'N'),(15,2255197,'2',420,'N'),(15,2255200,'1',9,'N'),(15,2255200,'2',102,'N'),(15,2255219,'1',444,'N'),(15,2255219,'2',324,'N'),(15,2255235,'1',103,'N'),(15,2255235,'2',104,'N'),(15,2255243,'1',104,'N'),(15,2255243,'2',501,'N'),(15,2255251,'1',202,'N'),(15,2255251,'1A',208,'N'),(15,2255251,'2',220,'N'),(15,2255260,'1',202,'N'),(15,2255260,'1A',220,'N'),(15,2255260,'2',225,'N'),(15,2255278,'1',415,'N'),(15,2255278,'2',426,'N'),(15,2255286,'1',333,'N'),(15,2255286,'2',234,'N'),(15,2255294,'1',501,'N'),(15,2255294,'2',324,'N'),(15,2255308,'1',104,'N'),(15,2255308,'2',316,'N'),(15,2255316,'1',217,'N'),(15,2255316,'2',425,'N'),(15,2255324,'1',420,'N'),(15,2255332,'1',320,'N'),(15,2255332,'2',328,'N'),(15,2255367,'1',324,'N'),(15,2255367,'2',222,'N'),(15,2255383,'1',101,'N'),(15,2255383,'2',215,'N'),(15,2255391,'1',420,'N'),(15,2255391,'2',207,'N'),(15,2255405,'1',103,'N'),(15,2255413,'1',301,'N'),(15,2255413,'2',303,'N'),(15,2255421,'1',220,'N'),(15,2255421,'1A',201,'N'),(15,2255421,'2',212,'N'),(15,2255430,'1',225,'N'),(15,2255430,'2',222,'N'),(15,2255448,'1',326,'N'),(15,2255448,'2',310,'N'),(15,2255456,'1',103,'N'),(15,2255456,'2',203,'N'),(15,2255472,'1',444,'N'),(15,2255472,'2',421,'N'),(15,2255480,'1',5,'N'),(15,2255480,'2',420,'N'),(15,2255502,'1',318,'N'),(15,2255502,'2',225,'N'),(15,2255510,'1',444,'N'),(15,2255510,'2',425,'N'),(15,2255529,'1',327,'N'),(15,2255529,'2',332,'N'),(15,2255537,'1',5,'N'),(15,2255537,'2',317,'N'),(15,2255545,'1',102,'N'),(15,2255545,'2',101,'N'),(15,2255553,'1',319,'N'),(15,2255553,'2',444,'N'),(15,2255561,'1',213,'N'),(15,2255561,'1A',202,'N'),(15,2255561,'2',233,'N'),(15,2255570,'1',102,'N'),(15,2255570,'2',104,'N'),(15,2255588,'1',103,'N'),(15,2255588,'2',211,'N'),(15,2255596,'1',104,'N'),(15,2255596,'2',329,'N'),(15,2255600,'1',423,'N'),(15,2255600,'1A',426,'N'),(15,2255600,'2',427,'N'),(15,2255618,'1',404,'N'),(15,2255618,'2',207,'N'),(15,2255626,'1',303,'N'),(15,2255626,'2',220,'N'),(15,2255642,'1',213,'N'),(15,2255642,'1A',214,'N'),(15,2255642,'2',212,'N'),(15,2255650,'1',310,'N'),(15,2255650,'2',5,'N'),(15,2255669,'1',103,'N'),(15,2255669,'2',327,'N'),(15,2255677,'1',103,'N'),(15,2255677,'2',101,'N'),(15,2255685,'1',203,'N'),(15,2255685,'1A',214,'N'),(15,2255685,'2',202,'N'),(15,2255693,'1',316,'N'),(15,2255693,'2',502,'N'),(15,2255715,'1',502,'N'),(15,2255715,'2',222,'N'),(15,2255723,'1',501,'N'),(15,2255723,'2',444,'N'),(15,2255731,'1',201,'N'),(15,2255731,'1A',212,'N'),(15,2255731,'2',233,'N'),(15,2255740,'1',201,'N'),(15,2255740,'1A',233,'N'),(15,2255740,'2',420,'N'),(15,2255758,'1',319,'N'),(15,2255766,'1',423,'N'),(15,2255766,'1A',424,'N'),(15,2255766,'2',324,'N'),(15,2255774,'1',234,'N'),(15,2255774,'2',326,'N'),(15,2255782,'1',308,'N'),(15,2255782,'2',339,'N'),(15,2255790,'1',326,'N'),(15,2255790,'2',310,'N'),(15,2255804,'1',502,'N'),(15,2255804,'2',333,'N'),(15,2255812,'1',318,'N'),(15,2255812,'2',304,'N'),(15,2255820,'1',201,'N'),(15,2255839,'1',423,'N'),(15,2255839,'1A',427,'N'),(15,2255839,'2',329,'N'),(15,2255847,'1',316,'N'),(15,2255847,'2',318,'N'),(15,2255855,'1',103,'N'),(15,2255855,'2',212,'N'),(15,2255863,'1',444,'N'),(15,2255863,'2',404,'N'),(15,2255871,'1',303,'N'),(15,2255871,'2',5,'N'),(15,2255880,'1',104,'N'),(15,2255880,'2',9,'N'),(15,2255898,'1',319,'N'),(15,2255898,'2',103,'N'),(15,2255901,'1',318,'N'),(15,2255910,'1',324,'N'),(15,2255910,'2',420,'N'),(15,2255928,'1',317,'N'),(15,2255928,'2',425,'N'),(15,2255936,'1',104,'N'),(15,2255936,'2',103,'N'),(15,2255944,'1',238,'N'),(15,2255944,'1A',208,'N'),(15,2255944,'2',420,'N'),(15,2255952,'1',404,'N'),(15,2255952,'2',444,'N'),(15,2255960,'1',224,'N'),(15,2255960,'2',222,'N'),(15,2255979,'1',316,'N'),(15,2255979,'2',319,'N'),(15,2255987,'1',203,'N'),(15,2255987,'1A',202,'N'),(15,2255987,'2',217,'N'),(15,2255995,'1',203,'N'),(15,2255995,'1A',202,'N'),(15,2255995,'2',208,'N'),(15,2256002,'1',203,'N'),(15,2256002,'1A',201,'N'),(15,2256010,'1',103,'N'),(15,2256029,'1',5,'N'),(15,2256029,'2',309,'N'),(15,2256037,'1',9,'N'),(15,2256037,'2',333,'N'),(15,2256045,'1',316,'N'),(15,2256045,'2',304,'N'),(15,2256053,'1',207,'N'),(15,2256053,'1A',201,'N'),(15,2256053,'2',420,'N'),(15,2256061,'1',102,'N'),(15,2256061,'2',444,'N'),(15,2256070,'1',317,'N'),(15,2256070,'2',224,'N'),(15,2256088,'1',101,'N'),(15,2256088,'2',104,'N'),(15,2256096,'1',501,'N'),(15,2256096,'2',427,'N'),(15,2256100,'1',203,'N'),(15,2256100,'1A',220,'N'),(15,2256100,'2',316,'N'),(15,2256118,'1',203,'N'),(15,2256118,'1A',201,'N'),(15,2256118,'2',2,'N'),(15,2256126,'1',301,'N'),(15,2256126,'2',501,'N'),(15,2256150,'1',212,'N'),(15,2256150,'2',501,'N'),(15,2256169,'1',324,'N'),(15,2256169,'2',444,'N'),(15,2256177,'1',207,'N'),(15,2256177,'1A',208,'N'),(15,2256177,'2',225,'N'),(15,2256185,'1',103,'N'),(15,2256185,'2',104,'N'),(15,2256193,'1',201,'N'),(15,2256193,'1A',211,'N'),(15,2256193,'2',233,'N'),(15,2256207,'1',104,'N'),(15,2256207,'2',102,'N'),(15,2256215,'1',327,'N'),(15,2256215,'2',324,'N'),(15,2256223,'1',420,'N'),(15,2256223,'2',207,'N'),(15,2256231,'1',203,'N'),(15,2256231,'1A',214,'N'),(15,2256231,'2',220,'N'),(15,2256240,'1',318,'N'),(15,2256240,'2',316,'N'),(15,2256258,'1',450,'N'),(15,2256258,'2',332,'N'),(15,2256266,'1',317,'N'),(15,2256266,'2',329,'N'),(15,2256274,'1',238,'N'),(15,2256274,'1A',208,'N'),(15,2256274,'2',324,'N'),(15,2256290,'1',304,'N'),(15,2256290,'2',301,'N'),(15,2256304,'1',201,'N'),(15,2256304,'1A',212,'N'),(15,2256304,'2',223,'N'),(15,2256312,'1',5,'N'),(15,2256312,'2',339,'N'),(15,2256320,'1',207,'N'),(15,2256320,'1A',211,'N'),(15,2256320,'2',415,'N'),(15,2256347,'1',108,'N'),(15,2256347,'2',333,'N'),(15,2256355,'1',208,'N'),(15,2256355,'1A',238,'N'),(15,2256355,'2',304,'N'),(15,2256363,'1',9,'N'),(15,2256363,'2',319,'N'),(15,2256371,'1',201,'N'),(15,2256371,'1A',207,'N'),(15,2256371,'2',212,'N'),(15,2256380,'1',501,'N'),(15,2256380,'2',308,'N'),(15,2256398,'1',308,'N'),(15,2256398,'2',319,'N'),(15,2256410,'1',102,'N'),(15,2256410,'2',103,'N'),(15,2256428,'1',103,'N'),(15,2256428,'2',104,'N'),(15,2256436,'1',428,'N'),(15,2256436,'1A',424,'N'),(15,2256436,'2',423,'N'),(15,2256444,'1',103,'N'),(15,2256444,'2',101,'N'),(15,2256452,'1',303,'N'),(15,2256452,'2',319,'N'),(15,2256460,'1',202,'N'),(15,2256460,'2',203,'N'),(15,2256479,'1',316,'N'),(15,2256479,'2',339,'N'),(15,2256487,'1',102,'N'),(15,2256487,'2',215,'N'),(15,2256509,'1',324,'N'),(15,2256509,'2',224,'N'),(15,2256517,'1',103,'N'),(15,2256517,'2',104,'N'),(15,2256525,'1',211,'N'),(15,2256525,'1A',220,'N'),(15,2256525,'2',234,'N'),(15,2256533,'1',415,'N'),(15,2256533,'2',303,'N'),(15,2256541,'1',317,'N'),(15,2256541,'2',224,'N'),(15,2256568,'1',329,'N'),(15,2256568,'2',404,'N'),(15,2256576,'1',102,'N'),(15,2256576,'2',215,'N'),(15,2256584,'1',301,'N'),(15,2256584,'2',302,'N'),(15,2256592,'1',332,'N'),(15,2256592,'2',317,'N'),(15,2256606,'1',103,'N'),(15,2256606,'2',9,'N'),(15,2256614,'1',103,'N'),(15,2256614,'2',202,'N'),(15,2256622,'1',316,'N'),(15,2256622,'2',202,'N'),(15,2256630,'1',428,'N'),(15,2256630,'1A',425,'N'),(15,2256630,'2',217,'N'),(15,2256649,'1',207,'N'),(15,2256649,'1A',201,'N'),(15,2256657,'1',302,'N'),(15,2256657,'2',223,'N'),(15,2256665,'1',103,'N'),(15,2256673,'1',201,'N'),(15,2256673,'1A',212,'N'),(15,2256673,'2',207,'N'),(15,2256681,'1',9,'N'),(15,2256681,'2',215,'N'),(15,2256690,'1',415,'N'),(15,2256690,'2',303,'N'),(15,2256703,'1',207,'N'),(15,2256703,'1A',201,'N'),(15,2256703,'2',316,'N'),(15,2256711,'1',328,'N'),(15,2256720,'1',5,'N'),(15,2256720,'2',316,'N'),(15,2256746,'1',213,'N'),(15,2256746,'1A',208,'N'),(15,2256746,'2',214,'N'),(15,2256754,'1',234,'N'),(15,2256754,'2',211,'N'),(15,2256762,'1',103,'N'),(15,2256770,'1',415,'N'),(15,2256770,'2',212,'N'),(15,2256789,'1',302,'N'),(15,2256789,'2',317,'N'),(15,2256797,'1',415,'N'),(15,2256797,'2',425,'N'),(15,2256800,'1',213,'N'),(15,2256800,'2',211,'N'),(15,2256819,'1',318,'N'),(15,2256819,'2',304,'N'),(15,2256827,'1',329,'N'),(15,2256827,'2',201,'N'),(15,2256835,'1',208,'N'),(15,2256835,'1A',202,'N'),(15,2256835,'2',220,'N'),(15,2256843,'1',319,'N'),(15,2256843,'2',451,'N'),(15,2256851,'1',104,'N'),(15,2256851,'2',420,'N'),(15,2256860,'1',333,'N'),(15,2256860,'2',108,'N'),(15,2256878,'1',328,'N'),(15,2256878,'2',304,'N'),(15,2256886,'1',104,'N'),(15,2256886,'2',429,'N'),(15,2256894,'1',318,'N'),(15,2256894,'2',223,'N'),(15,2256908,'1',103,'N'),(15,2256908,'2',108,'N'),(15,2256916,'1',332,'N'),(15,2256916,'2',501,'N'),(15,2256924,'1',103,'N'),(15,2256924,'2',108,'N'),(15,2256932,'1',103,'N'),(15,2256932,'2',101,'N'),(15,2256940,'1',301,'N'),(15,2256940,'2',444,'N'),(15,2256959,'1',207,'N'),(15,2256959,'1A',201,'N'),(15,2256959,'2',420,'N'),(15,2256967,'1',103,'N'),(15,2256967,'2',102,'N'),(15,2256975,'1',316,'N'),(15,2256975,'2',444,'N'),(15,2256983,'1',108,'N'),(15,2256983,'2',451,'N'),(15,2256991,'1',215,'N'),(15,2256991,'1A',238,'N'),(15,2256991,'2',216,'N'),(15,2257009,'1',303,'N'),(15,2257009,'2',428,'N'),(15,2257025,'1',404,'N'),(15,2257025,'2',309,'N'),(15,2257033,'1',303,'N'),(15,2257033,'2',309,'N'),(15,2257041,'1',303,'N'),(15,2257041,'2',208,'N'),(15,2257050,'1',103,'N'),(15,2257050,'2',420,'N'),(15,2257068,'1',103,'N'),(15,2257068,'2',220,'N'),(15,2257076,'1',103,'N'),(15,2257076,'2',104,'N'),(15,2257084,'1',450,'N'),(15,2257084,'2',421,'N'),(15,2257092,'1',5,'N'),(15,2257092,'2',318,'N'),(15,2257106,'1',332,'N'),(15,2257106,'2',329,'N'),(15,2257114,'1',103,'N'),(15,2257114,'2',220,'N'),(15,2257122,'1',304,'N'),(15,2257122,'2',332,'N'),(15,2257130,'1',317,'N'),(15,2257130,'2',224,'N'),(15,2257149,'1',203,'N'),(15,2257149,'1A',202,'N'),(15,2257149,'2',214,'N'),(15,2257157,'1',238,'N'),(15,2257157,'2',222,'N'),(15,2257165,'1',211,'N'),(15,2257165,'1A',208,'N'),(15,2257165,'2',101,'N'),(15,2257173,'1',203,'N'),(15,2257173,'1A',216,'N'),(15,2257173,'2',2,'N'),(15,2257190,'1',5,'N'),(15,2257190,'2',329,'N'),(15,2257203,'1',103,'N'),(15,2257203,'2',216,'N'),(15,2257211,'1',208,'N'),(15,2257211,'2',238,'N'),(15,2257238,'1',103,'N'),(15,2257238,'2',104,'N'),(15,2257246,'1',103,'N'),(15,2257254,'1',320,'N'),(15,2257254,'2',328,'N'),(15,2257262,'1',103,'N'),(15,2257262,'2',415,'N'),(15,2257270,'1',5,'N'),(15,2257270,'2',101,'N'),(15,2257289,'1',225,'N'),(15,2257289,'2',451,'N'),(15,2257297,'1',203,'N'),(15,2257297,'1A',208,'N'),(15,2257297,'2',216,'N'),(15,2257300,'1',415,'N'),(15,2257300,'2',303,'N'),(15,2257319,'1',203,'N'),(15,2257319,'1A',202,'N'),(15,2257319,'2',233,'N'),(15,2257327,'1',502,'N'),(15,2257327,'2',333,'N'),(15,2257335,'1',301,'N'),(15,2257335,'2',316,'N'),(15,2257343,'1',5,'N'),(15,2257343,'2',316,'N'),(15,2257351,'1',211,'N'),(15,2257360,'1',103,'N'),(15,2257360,'2',102,'N'),(15,2257378,'1',216,'N'),(15,2257378,'1A',233,'N'),(15,2257378,'2',222,'N'),(15,2257386,'1',308,'N'),(15,2257386,'2',324,'N'),(15,2257394,'1',333,'N'),(15,2257408,'1',103,'N'),(15,2257408,'2',201,'N'),(15,2257416,'1',327,'N'),(15,2257416,'2',332,'N'),(15,2257432,'1',103,'N'),(15,2257432,'2',102,'N'),(15,2257440,'1',208,'N'),(15,2257440,'1A',238,'N'),(15,2257440,'2',301,'N'),(15,2257459,'1',217,'N'),(15,2257459,'2',502,'N'),(15,2257467,'1',328,'N'),(15,2257467,'2',310,'N'),(15,2257475,'1',501,'N'),(15,2257475,'2',502,'N'),(15,2257483,'1',320,'N'),(15,2257483,'2',308,'N'),(15,2257491,'1',203,'N'),(15,2257491,'1A',214,'N'),(15,2257491,'2',220,'N'),(15,2257505,'1',319,'N'),(15,2257505,'2',415,'N'),(15,2257513,'1',328,'N'),(15,2257513,'2',326,'N'),(15,2257530,'1',429,'N'),(15,2257530,'1A',426,'N'),(15,2257530,'2',423,'N'),(15,2257548,'1',217,'N'),(15,2257548,'2',501,'N'),(15,2257556,'1',303,'N'),(15,2257556,'2',301,'N'),(15,2257564,'1',104,'N'),(15,2257564,'2',9,'N'),(15,2257572,'1',303,'N'),(15,2257572,'2',301,'N'),(15,2257580,'1',103,'N'),(15,2257580,'2',216,'N'),(15,2257599,'1',104,'N'),(15,2257599,'2',301,'N'),(15,2257602,'1',327,'N'),(15,2257602,'2',104,'N'),(15,2257610,'1',5,'N'),(15,2257610,'2',327,'N'),(15,2257629,'1',216,'N'),(15,2257629,'1A',211,'N'),(15,2257637,'1',444,'N'),(15,2257637,'2',327,'N'),(15,2257645,'1',316,'N'),(15,2257645,'2',429,'N'),(15,2257653,'1',212,'N'),(15,2257653,'1A',238,'N'),(15,2257653,'2',302,'N'),(15,2257661,'1',103,'N'),(15,2257661,'2',9,'N'),(15,2257670,'1',103,'N'),(15,2257688,'1',316,'N'),(15,2257688,'2',5,'N'),(15,2257696,'1',101,'N'),(15,2257696,'2',224,'N'),(15,2257700,'1',424,'N'),(15,2257700,'1A',429,'N'),(15,2257700,'2',421,'N'),(15,2257718,'1',415,'N'),(15,2257718,'2',303,'N'),(15,2257726,'1',316,'N'),(15,2257726,'2',225,'N'),(15,2257734,'1',238,'N'),(15,2257734,'1A',212,'N'),(15,2257734,'2',316,'N'),(15,2257742,'1',202,'N'),(15,2257742,'1A',213,'N'),(15,2257742,'2',208,'N'),(15,2257750,'1',207,'N'),(15,2257750,'1A',201,'N'),(15,2257750,'2',316,'N'),(15,2257769,'1',201,'N'),(15,2257769,'1A',207,'N'),(15,2257769,'2',212,'N'),(15,2257777,'1',103,'N'),(15,2257777,'2',101,'N'),(15,2257807,'1',207,'N'),(15,2257807,'1A',233,'N'),(15,2257807,'2',420,'N'),(15,2257815,'1',5,'N'),(15,2257815,'2',303,'N'),(15,2257823,'1',238,'N'),(15,2257823,'2',324,'N'),(15,2257831,'1',202,'N'),(15,2257831,'1A',213,'N'),(15,2257831,'2',208,'N'),(15,2257840,'1',310,'N'),(15,2257840,'2',451,'N'),(15,2257858,'1',327,'N'),(15,2257858,'2',326,'N'),(15,2257866,'1',9,'N'),(15,2257866,'2',301,'N'),(15,2257874,'1',303,'N'),(15,2257874,'2',301,'N'),(15,2257882,'1',103,'N'),(15,2257890,'1',415,'N'),(15,2257890,'2',319,'N'),(15,2257904,'1',316,'N'),(15,2257904,'2',318,'N'),(15,2257912,'1',108,'N'),(15,2257912,'2',207,'N'),(15,2257920,'1',303,'N'),(15,2257920,'2',108,'N'),(15,2257947,'1',5,'N'),(15,2257947,'2',327,'N'),(15,2257955,'1',108,'N'),(15,2257955,'2',9,'N'),(15,2257963,'1',5,'N'),(15,2257963,'2',427,'N'),(15,2257980,'1',103,'N'),(15,2257980,'2',9,'N'),(15,2257998,'1',208,'N'),(15,2257998,'1A',238,'N'),(15,2257998,'2',425,'N'),(15,2258005,'1',303,'N'),(15,2258005,'2',207,'N'),(15,2258013,'1',415,'N'),(15,2258013,'2',319,'N'),(15,2258021,'1',217,'N'),(15,2258021,'2',233,'N'),(15,2258048,'1',331,'N'),(15,2258048,'2',332,'N'),(15,2258064,'1',207,'N'),(15,2258064,'1A',201,'N'),(15,2258064,'2',220,'N'),(15,2258072,'1',238,'N'),(15,2258072,'1A',211,'N'),(15,2258072,'2',215,'N'),(15,2258080,'1',233,'N'),(15,2258080,'1A',202,'N'),(15,2258080,'2',216,'N'),(15,2258102,'1',101,'N'),(15,2258110,'1',426,'N'),(15,2258110,'1A',423,'N'),(15,2258110,'2',329,'N'),(15,2258129,'1',207,'N'),(15,2258129,'2',333,'N'),(15,2258137,'1',420,'N'),(15,2258137,'2',450,'N'),(15,2258145,'1',309,'N'),(15,2258145,'2',339,'N'),(15,2258153,'1',429,'N'),(15,2258153,'1A',425,'N'),(15,2258153,'2',424,'N'),(15,2258161,'1',301,'N'),(15,2258161,'2',302,'N'),(15,2258170,'1',238,'N'),(15,2258170,'1A',208,'N'),(15,2258170,'2',201,'N'),(15,2258188,'1',5,'N'),(15,2258188,'2',303,'N'),(15,2258196,'1',201,'N'),(15,2258200,'1',103,'N'),(15,2258200,'2',303,'N'),(15,2258218,'1',238,'N'),(15,2258218,'1A',208,'N'),(15,2258218,'2',316,'N'),(15,2258226,'1',326,'N'),(15,2258226,'2',327,'N'),(15,2258234,'1',102,'N'),(15,2258234,'2',104,'N'),(15,2258242,'1',404,'N'),(15,2258242,'2',415,'N'),(15,2258250,'1',317,'N'),(15,2258250,'2',224,'N'),(15,2258277,'1',501,'N'),(15,2258277,'2',320,'N'),(15,2258285,'1',5,'N'),(15,2258285,'2',211,'N'),(15,2258293,'1',203,'N'),(15,2258293,'1A',220,'N'),(15,2258293,'2',233,'N'),(15,2258307,'1',303,'N'),(15,2258307,'2',5,'N'),(15,2258315,'1',302,'N'),(15,2258315,'2',450,'N'),(15,2258323,'1',203,'N'),(15,2258323,'1A',201,'N'),(15,2258323,'2',301,'N'),(15,2258331,'1',101,'N'),(15,2258331,'2',326,'N'),(15,2258340,'1',201,'N'),(15,2258340,'1A',203,'N'),(15,2258340,'2',423,'N'),(15,2258366,'1',103,'N'),(15,2258366,'2',415,'N'),(15,2258374,'1',501,'N'),(15,2258374,'2',234,'N'),(15,2258382,'1',215,'N'),(15,2258382,'1A',216,'N'),(15,2258382,'2',425,'N'),(15,2258390,'1',208,'N'),(15,2258390,'1A',238,'N'),(15,2258390,'2',304,'N'),(15,2258404,'1',339,'N'),(15,2258404,'2',324,'N'),(15,2258420,'1',9,'N'),(15,2258420,'2',404,'N'),(15,2258439,'1',207,'N'),(15,2258439,'1A',201,'N'),(15,2258439,'2',316,'N'),(15,2258447,'1',224,'N'),(15,2258447,'2',103,'N'),(15,2258455,'1',203,'N'),(15,2258455,'1A',214,'N'),(15,2258455,'2',220,'N'),(15,2258463,'1',233,'N'),(15,2258463,'2',304,'N'),(15,2258471,'1',316,'N'),(15,2258471,'2',324,'N'),(15,2258480,'1',444,'N'),(15,2258480,'2',339,'N'),(15,2258498,'1',104,'N'),(15,2258498,'2',216,'N'),(15,2258501,'1',304,'N'),(15,2258510,'1',333,'N'),(15,2258510,'2',201,'N'),(15,2258528,'1',103,'N'),(15,2258528,'2',501,'N'),(15,2258536,'1',211,'N'),(15,2258536,'1A',207,'N'),(15,2258536,'2',333,'N'),(15,2258544,'1',215,'N'),(15,2258544,'1A',203,'N'),(15,2258544,'2',214,'N'),(15,2258552,'1',214,'N'),(15,2258552,'1A',233,'N'),(15,2258579,'1',333,'N'),(15,2258579,'2',309,'N'),(15,2258587,'1',303,'N'),(15,2258587,'2',301,'N'),(15,2258595,'1',207,'N'),(15,2258595,'1A',215,'N'),(15,2258595,'2',420,'N'),(15,2258609,'1',202,'N'),(15,2258609,'1A',216,'N'),(15,2258609,'2',224,'N'),(15,2258617,'1',103,'N'),(15,2258617,'2',108,'N'),(15,2258625,'1',303,'N'),(15,2258625,'2',301,'N'),(15,2258633,'1',103,'N'),(15,2258650,'1',444,'N'),(15,2258650,'2',320,'N'),(15,2258676,'1',103,'N'),(15,2258676,'2',208,'N'),(15,2258684,'1',444,'N'),(15,2258692,'1',327,'N'),(15,2258692,'2',326,'N'),(15,2258706,'1',224,'N'),(15,2258706,'2',223,'N'),(15,2258714,'1',217,'N'),(15,2258714,'2',424,'N'),(15,2258722,'1',108,'N'),(15,2258722,'2',424,'N'),(15,2258730,'1',426,'N'),(15,2258730,'1A',425,'N'),(15,2258749,'1',207,'N'),(15,2258749,'1A',212,'N'),(15,2258749,'2',214,'N'),(15,2258757,'1',303,'N'),(15,2258757,'2',301,'N'),(15,2258765,'1',104,'N'),(15,2258765,'2',216,'N'),(15,2258773,'1',333,'N'),(15,2258773,'2',108,'N'),(15,2258781,'1',104,'N'),(15,2258781,'2',427,'N'),(15,2258803,'1',216,'N'),(15,2258803,'1A',208,'N'),(15,2258803,'2',102,'N'),(15,2258811,'1',207,'N'),(15,2258820,'1',216,'N'),(15,2258820,'1A',201,'N'),(15,2258820,'2',217,'N'),(15,2258838,'1',220,'N'),(15,2258838,'1A',203,'N'),(15,2258838,'2',214,'N'),(15,2258846,'1',5,'N'),(15,2258846,'2',217,'N'),(15,2258854,'1',415,'N'),(15,2258862,'1',303,'N'),(15,2258862,'2',304,'N'),(15,2258870,'1',302,'N'),(15,2258870,'2',238,'N'),(15,2258889,'1',423,'N'),(15,2258889,'1A',421,'N'),(15,2258889,'2',308,'N'),(15,2258897,'1',2,'N'),(15,2258897,'2',224,'N'),(15,2258900,'1',208,'N'),(15,2258900,'1A',238,'N'),(15,2258900,'2',103,'N'),(15,2258927,'1',501,'N'),(15,2258927,'2',324,'N'),(15,2258935,'1',208,'N'),(15,2258935,'1A',216,'N'),(15,2258935,'2',303,'N'),(15,2258943,'1',302,'N'),(15,2258943,'2',301,'N'),(15,2258951,'1',444,'N'),(15,2258951,'2',404,'N'),(15,2258960,'1',316,'N'),(15,2258960,'2',224,'N'),(15,2258978,'1',316,'N'),(15,2258978,'2',224,'N'),(15,2258986,'1',220,'N'),(15,2258986,'1A',233,'N'),(15,2258986,'2',217,'N'),(15,2258994,'1',329,'N'),(15,2258994,'2',327,'N'),(15,2259001,'1',215,'N'),(15,2259001,'1A',216,'N'),(15,2259001,'2',233,'N'),(15,2259010,'1',102,'N'),(15,2259010,'2',104,'N'),(15,2259028,'1',308,'N'),(15,2259028,'2',423,'N'),(15,2259036,'1',426,'N'),(15,2259036,'1A',427,'N'),(15,2259036,'2',424,'N'),(15,2259044,'1',501,'N'),(15,2259044,'2',211,'N'),(15,2259052,'1',203,'N'),(15,2259052,'1A',202,'N'),(15,2259052,'2',225,'N'),(15,2259060,'1',103,'N'),(15,2259060,'2',319,'N'),(15,2259087,'1',103,'N'),(15,2259087,'2',108,'N'),(15,2259095,'1',9,'N'),(15,2259095,'2',215,'N'),(15,2259109,'1',202,'N'),(15,2259109,'1A',220,'N'),(15,2259109,'2',215,'N'),(15,2259117,'1',5,'N'),(15,2259117,'2',316,'N'),(15,2259125,'1',103,'N'),(15,2259125,'2',304,'N'),(15,2259133,'1',5,'N'),(15,2259141,'1',103,'N'),(15,2259141,'2',104,'N'),(15,2259150,'1',318,'N'),(15,2259150,'2',238,'N'),(15,2259168,'1',333,'N'),(15,2259168,'2',108,'N'),(15,2259176,'1',5,'N'),(15,2259176,'2',316,'N'),(15,2259184,'1',104,'N'),(15,2259184,'2',502,'N'),(15,2259192,'1',2,'N'),(15,2259192,'2',225,'N'),(15,2259206,'1',318,'N'),(15,2259206,'2',217,'N'),(15,2259214,'1',201,'N'),(15,2259214,'1A',216,'N'),(15,2259214,'2',301,'N'),(15,2259222,'1',216,'N'),(15,2259222,'2',217,'N'),(15,2259230,'1',108,'N'),(15,2259230,'2',101,'N'),(15,2259249,'1',316,'N'),(15,2259249,'2',318,'N'),(15,2259257,'1',203,'N'),(15,2259257,'2',214,'N'),(15,2259265,'1',320,'N'),(15,2259265,'2',318,'N'),(15,2259273,'1',450,'N'),(15,2259273,'2',333,'N'),(15,2259281,'1',104,'N'),(15,2259281,'2',501,'N'),(15,2259290,'1',201,'N'),(15,2259290,'1A',203,'N'),(15,2259290,'2',301,'N'),(15,2259303,'1',310,'N'),(15,2259303,'2',450,'N'),(15,2259311,'1',201,'N'),(15,2259311,'1A',207,'N'),(15,2259311,'2',303,'N'),(15,2259320,'1',423,'N'),(15,2259320,'1A',421,'N'),(15,2259320,'2',333,'N'),(15,2259338,'1',211,'N'),(15,2259338,'2',501,'N'),(15,2259354,'1',302,'N'),(15,2259354,'2',304,'N'),(15,2259362,'1',103,'N'),(15,2259362,'2',316,'N'),(15,2259370,'1',207,'N'),(15,2259370,'2',211,'N'),(15,2259389,'1',203,'N'),(15,2259389,'2',201,'N'),(15,2259400,'1',103,'N'),(15,2259400,'2',428,'N'),(15,2259419,'1',203,'N'),(15,2259419,'1A',213,'N'),(15,2259419,'2',225,'N'),(15,2259427,'1',207,'N'),(15,2259427,'1A',215,'N'),(15,2259427,'2',238,'N'),(15,2259443,'1',202,'N'),(15,2259443,'1A',238,'N'),(15,2259443,'2',225,'N'),(15,2259451,'1',301,'N'),(15,2259451,'2',316,'N'),(15,2259460,'1',103,'N'),(15,2259478,'1',317,'N'),(15,2259478,'2',421,'N'),(15,2259486,'1',217,'N'),(15,2259486,'2',420,'N'),(15,2259494,'1',404,'N'),(15,2259494,'2',444,'N'),(15,2259516,'1',319,'N'),(15,2259516,'2',9,'N'),(15,2259524,'1',220,'N'),(15,2259524,'1A',202,'N'),(15,2259524,'2',203,'N'),(15,2259532,'1',103,'N'),(15,2259532,'2',104,'N'),(15,2259540,'1',415,'N'),(15,2259540,'2',310,'N'),(15,2259559,'1',316,'N'),(15,2259559,'2',238,'N'),(15,2259567,'1',216,'N'),(15,2259567,'1A',233,'N'),(15,2259567,'2',215,'N'),(15,2259575,'1',501,'N'),(15,2259575,'2',502,'N'),(15,2259583,'1',103,'N'),(15,2259583,'2',108,'N'),(15,2259591,'1',201,'N'),(15,2259591,'1A',212,'N'),(15,2259591,'2',207,'N'),(15,2259605,'1',202,'N'),(15,2259605,'1A',201,'N'),(15,2259605,'2',238,'N'),(15,2259613,'1',213,'N'),(15,2259613,'1A',202,'N'),(15,2259613,'2',319,'N'),(15,2259621,'1',5,'N'),(15,2259630,'1',103,'N'),(15,2259630,'2',104,'N'),(15,2259656,'1',104,'N'),(15,2259656,'2',208,'N'),(15,2259664,'1',211,'N'),(15,2259664,'2',207,'N'),(15,2259672,'1',333,'N'),(15,2259672,'2',502,'N'),(15,2259680,'1',303,'N'),(15,2259699,'1',9,'N'),(15,2259699,'2',404,'N'),(15,2259702,'1',211,'N'),(15,2259702,'1A',207,'N'),(15,2259702,'2',332,'N'),(15,2259710,'1',215,'N'),(15,2259710,'2',9,'N'),(15,2259745,'1',9,'N'),(15,2259761,'1',103,'N'),(15,2259761,'2',220,'N'),(15,2259770,'1',427,'N'),(15,2259770,'1A',424,'N'),(15,2259770,'2',333,'N'),(15,2259788,'1',102,'N'),(15,2259788,'2',217,'N'),(15,2259796,'1',103,'N'),(15,2259796,'2',102,'N'),(15,2259800,'1',201,'N'),(15,2259800,'1A',216,'N'),(15,2259800,'2',501,'N'),(15,2259818,'1',203,'N'),(15,2259818,'1A',202,'N'),(15,2259818,'2',301,'N'),(15,2259826,'1',202,'N'),(15,2259834,'1',5,'N'),(15,2259834,'2',316,'N'),(15,2259842,'1',103,'N'),(15,2259842,'2',208,'N'),(15,2259850,'1',215,'N'),(15,2259850,'1A',216,'N'),(15,2259850,'2',450,'N'),(15,2259877,'1',213,'N'),(15,2259877,'1A',214,'N'),(15,2259877,'2',211,'N'),(15,2259885,'1',420,'N'),(15,2259885,'2',301,'N'),(15,2259893,'1',203,'N'),(15,2259907,'1',303,'N'),(15,2259907,'2',450,'N'),(15,2259915,'1',214,'N'),(15,2259915,'1A',211,'N'),(15,2259915,'2',217,'N'),(15,2259923,'1',444,'N'),(15,2259923,'2',332,'N'),(15,2259931,'1',326,'N'),(15,2259931,'2',420,'N'),(15,2259940,'1',450,'N'),(15,2259940,'2',310,'N'),(15,2259958,'1',108,'N'),(15,2259958,'2',333,'N'),(15,2259966,'1',317,'N'),(15,2259966,'2',5,'N'),(15,2259974,'1',208,'N'),(15,2259974,'1A',238,'N'),(15,2259974,'2',404,'N'),(15,2259982,'1',103,'N'),(15,2259982,'2',216,'N'),(15,2259990,'1',316,'N'),(15,2259990,'2',301,'N'),(15,2260000,'1',316,'N'),(15,2260000,'2',318,'N'),(15,2260018,'1',303,'N'),(15,2260026,'1',303,'N'),(15,2260026,'2',415,'N'),(15,2260034,'1',216,'N'),(15,2260034,'1A',215,'N'),(15,2260034,'2',211,'N'),(15,2260042,'1',5,'N'),(15,2260042,'2',415,'N'),(15,2260050,'1',207,'N'),(15,2260077,'1',415,'N'),(15,2260077,'2',333,'N'),(15,2260085,'1',216,'N'),(15,2260085,'2',316,'N'),(15,2260093,'1',214,'N'),(15,2260093,'1A',220,'N'),(15,2260093,'2',208,'N'),(15,2260107,'1',103,'N'),(15,2260107,'2',9,'N'),(15,2260115,'1',318,'N'),(15,2260115,'2',304,'N'),(15,2260123,'1',103,'N'),(15,2260131,'1',101,'N'),(15,2260131,'2',423,'N'),(15,2260158,'1',425,'N'),(15,2260158,'1A',428,'N'),(15,2260158,'2',310,'N'),(15,2260166,'1',104,'N'),(15,2260166,'2',215,'N'),(15,2260174,'1',304,'N'),(15,2260174,'2',310,'N'),(15,2260182,'1',316,'N'),(15,2260182,'2',208,'N'),(15,2260190,'1',404,'N'),(15,2260190,'2',421,'N'),(15,2260204,'1',415,'N'),(15,2260204,'2',450,'N'),(15,2260212,'1',303,'N'),(15,2260212,'2',415,'N'),(15,2260220,'1',427,'N'),(15,2260220,'1A',424,'N'),(15,2260220,'2',423,'N'),(15,2260239,'1',103,'N'),(15,2260239,'2',104,'N'),(15,2260247,'1',319,'N'),(15,2260247,'2',444,'N'),(15,2260255,'1',238,'N'),(15,2260255,'2',318,'N'),(15,2260263,'1',103,'N'),(15,2260263,'2',207,'N'),(15,2260271,'1',203,'N'),(15,2260271,'1A',214,'N'),(15,2260271,'2',324,'N'),(15,2260280,'1',318,'N'),(15,2260298,'1',103,'N'),(15,2260298,'2',108,'N'),(15,2260301,'1',214,'N'),(15,2260301,'1A',208,'N'),(15,2260301,'2',203,'N'),(15,2260310,'1',208,'N'),(15,2260310,'1A',238,'N'),(15,2260310,'2',317,'N'),(15,2260328,'1',103,'N'),(15,2260328,'2',303,'N'),(15,2260336,'1',319,'N'),(15,2260336,'2',420,'N'),(15,2260344,'1',238,'N'),(15,2260344,'2',208,'N'),(15,2260352,'1',208,'N'),(15,2260352,'1A',238,'N'),(15,2260352,'2',333,'N'),(15,2260360,'1',303,'N'),(15,2260360,'2',309,'N'),(15,2260379,'1',207,'N'),(15,2260387,'1',310,'N'),(15,2260387,'2',320,'N'),(15,2260395,'1',102,'N'),(15,2260395,'2',339,'N'),(15,2260409,'1',420,'N'),(15,2260409,'2',207,'N'),(15,2260425,'1',424,'N'),(15,2260433,'1',225,'N'),(15,2260433,'2',2,'N'),(15,2260441,'1',207,'N'),(15,2260441,'1A',211,'N'),(15,2260441,'2',420,'N'),(15,2260450,'1',102,'N'),(15,2260450,'2',215,'N'),(15,2260476,'1',211,'N'),(15,2260476,'1A',215,'N'),(15,2260476,'2',216,'N'),(15,2260484,'1',103,'N'),(15,2260484,'2',220,'N'),(15,2260492,'1',303,'N'),(15,2260492,'2',304,'N'),(15,2260506,'1',103,'N'),(15,2260522,'1',451,'N'),(15,2260522,'2',415,'N'),(15,2260530,'1',103,'N'),(15,2260530,'2',104,'N'),(15,2260549,'1',103,'N'),(15,2260549,'2',104,'N'),(15,2260557,'1',201,'N'),(15,2260557,'1A',212,'N'),(15,2260557,'2',444,'N'),(15,2260565,'1',223,'N'),(15,2260565,'2',424,'N'),(15,2260573,'1',302,'N'),(15,2260573,'2',317,'N'),(15,2260581,'1',427,'N'),(15,2260581,'1A',425,'N'),(15,2260581,'2',428,'N'),(15,2260590,'1',220,'N'),(15,2260590,'1A',233,'N'),(15,2260590,'2',215,'N'),(15,2260611,'1',5,'N'),(15,2260611,'2',303,'N'),(15,2260620,'1',102,'N'),(15,2260638,'1',333,'N'),(15,2260638,'2',211,'N'),(15,2260646,'1',420,'N'),(15,2260646,'2',207,'N'),(15,2260654,'1',5,'N'),(15,2260654,'2',9,'N'),(15,2260662,'1',101,'N'),(15,2260662,'2',339,'N'),(15,2260670,'1',207,'N'),(15,2260670,'1A',201,'N'),(15,2260670,'2',420,'N'),(15,2260689,'1',108,'N'),(15,2260689,'2',301,'N'),(15,2260697,'1',103,'N'),(15,2260697,'2',301,'N'),(15,2260700,'1',104,'N'),(15,2260700,'2',108,'N'),(15,2260727,'1',208,'N'),(15,2260727,'1A',238,'N'),(15,2260727,'2',316,'N'),(15,2260735,'1',104,'N'),(15,2260735,'2',238,'N'),(15,2260743,'1',324,'N'),(15,2260743,'2',327,'N'),(15,2260751,'1',103,'N'),(15,2260751,'2',104,'N'),(15,2260760,'1',310,'N'),(15,2260760,'2',327,'N'),(15,2260778,'1',208,'N'),(15,2260778,'2',316,'N'),(15,2260786,'1',301,'N'),(15,2260786,'2',201,'N'),(15,2260794,'1',451,'N'),(15,2260794,'2',426,'N'),(15,2260808,'1',103,'N'),(15,2260808,'2',318,'N'),(15,2260816,'1',324,'N'),(15,2260816,'2',502,'N'),(15,2260824,'1',104,'N'),(15,2260824,'2',212,'N'),(15,2260840,'1',501,'N'),(15,2260840,'2',233,'N'),(15,2260859,'1',303,'N'),(15,2260859,'2',103,'N'),(15,2260867,'1',333,'N'),(15,2260867,'2',108,'N'),(15,2260875,'1',202,'N'),(15,2260875,'1A',220,'N'),(15,2260875,'2',213,'N'),(15,2260883,'1',404,'N'),(15,2260883,'2',423,'N'),(15,2260905,'1',303,'N'),(15,2260905,'2',5,'N'),(15,2260913,'1',211,'N'),(15,2260913,'1A',208,'N'),(15,2260913,'2',223,'N'),(15,2260921,'1',207,'N'),(15,2260921,'1A',211,'N'),(15,2260921,'2',308,'N'),(15,2260930,'1',108,'N'),(15,2260930,'2',9,'N'),(15,2260948,'1',425,'N'),(15,2260948,'1A',426,'N'),(15,2260948,'2',310,'N'),(15,2260956,'1',310,'N'),(15,2260956,'2',425,'N'),(15,2260964,'1',202,'N'),(15,2260964,'2',208,'N'),(15,2260972,'1',444,'N'),(15,2260972,'2',501,'N'),(15,2260980,'1',202,'N'),(15,2260980,'1A',201,'N'),(15,2260980,'2',211,'N'),(15,2260999,'1',208,'N'),(15,2260999,'1A',238,'N'),(15,2260999,'2',316,'N'),(15,2261014,'1',302,'N'),(15,2261014,'2',317,'N'),(15,2261022,'1',327,'N'),(15,2261022,'2',326,'N'),(15,2261030,'1',420,'N'),(15,2261030,'2',207,'N'),(15,2261049,'1',203,'N'),(15,2261049,'1A',214,'N'),(15,2261049,'2',202,'N'),(15,2261057,'1',214,'N'),(15,2261057,'1A',213,'N'),(15,2261057,'2',502,'N'),(15,2261065,'1',203,'N'),(15,2261065,'1A',201,'N'),(15,2261065,'2',301,'N'),(15,2261073,'1',207,'N'),(15,2261073,'2',316,'N'),(15,2261081,'1',316,'N'),(15,2261081,'2',301,'N'),(15,2261090,'1',233,'N'),(15,2261090,'1A',238,'N'),(15,2261090,'2',234,'N'),(15,2261111,'1',216,'N'),(15,2261111,'1A',211,'N'),(15,2261111,'2',108,'N'),(15,2261120,'1',238,'N'),(15,2261120,'1A',208,'N'),(15,2261120,'2',420,'N'),(15,2261138,'1',309,'N'),(15,2261138,'2',501,'N'),(15,2261146,'1',324,'N'),(15,2261146,'2',320,'N'),(15,2261154,'1',233,'N'),(15,2261154,'1A',238,'N'),(15,2261154,'2',303,'N'),(15,2261170,'1',404,'N'),(15,2261170,'2',225,'N'),(15,2261189,'1',2,'N'),(15,2261189,'2',223,'N'),(15,2261197,'1',317,'N'),(15,2261197,'2',318,'N'),(15,2261200,'1',201,'N'),(15,2261200,'1A',211,'N'),(15,2261200,'2',212,'N'),(15,2261219,'1',415,'N'),(15,2261219,'2',333,'N'),(15,2261227,'1',316,'N'),(15,2261227,'2',301,'N'),(15,2261235,'1',104,'N'),(15,2261235,'2',301,'N'),(15,2261243,'1',207,'N'),(15,2261243,'1A',208,'N'),(15,2261243,'2',444,'N'),(15,2261251,'1',301,'N'),(15,2261251,'2',324,'N'),(15,2261260,'1',428,'N'),(15,2261260,'1A',427,'N'),(15,2261260,'2',451,'N'),(15,2261278,'1',301,'N'),(15,2261278,'2',316,'N'),(15,2261286,'1',303,'N'),(15,2261286,'2',9,'N'),(15,2261294,'1',331,'N'),(15,2261294,'2',332,'N'),(15,2261308,'1',450,'N'),(15,2261308,'2',327,'N'),(15,2261324,'1',303,'N'),(15,2261324,'2',424,'N'),(15,2261332,'1',316,'N'),(15,2261332,'2',301,'N'),(15,2261340,'1',108,'N'),(15,2261340,'2',501,'N'),(15,2261359,'1',103,'N'),(15,2261359,'2',319,'N'),(15,2261375,'1',426,'N'),(15,2261375,'1A',428,'N'),(15,2261383,'1',333,'N'),(15,2261383,'2',234,'N'),(15,2261405,'1',211,'N'),(15,2261405,'2',207,'N'),(15,2261421,'1',420,'N'),(15,2261421,'2',211,'N'),(15,2261430,'1',207,'N'),(15,2261430,'2',415,'N'),(15,2261448,'1',103,'N'),(15,2261448,'2',212,'N'),(15,2261456,'1',324,'N'),(15,2261456,'2',339,'N'),(15,2261464,'1',102,'N'),(15,2261464,'2',211,'N'),(15,2261472,'1',103,'N'),(15,2261472,'2',202,'N'),(15,2261480,'1',303,'N'),(15,2261480,'2',304,'N'),(15,2261499,'1',203,'N'),(15,2261499,'1A',208,'N'),(15,2261499,'2',303,'N'),(15,2261502,'1',318,'N'),(15,2261510,'1',424,'N'),(15,2261510,'1A',421,'N'),(15,2261510,'2',423,'N'),(15,2261529,'1',103,'N'),(15,2261529,'2',220,'N'),(15,2261537,'1',103,'N'),(15,2261545,'1',327,'N'),(15,2261553,'1',108,'N'),(15,2261553,'2',502,'N'),(15,2261561,'1',327,'N'),(15,2261561,'2',339,'N'),(15,2261588,'1',328,'N'),(15,2261588,'2',424,'N'),(15,2261596,'1',420,'N'),(15,2261600,'1',238,'N'),(15,2261600,'1A',233,'N'),(15,2261600,'2',319,'N'),(15,2261618,'1',5,'N'),(15,2261634,'1',304,'N'),(15,2261634,'2',301,'N'),(15,2261650,'1',5,'N'),(15,2261650,'2',404,'N'),(15,2261669,'1',425,'N'),(15,2261669,'1A',423,'N'),(15,2261669,'2',328,'N'),(15,2261677,'1',203,'N'),(15,2261677,'1A',214,'N'),(15,2261677,'2',213,'N'),(15,2261685,'1',104,'N'),(15,2261685,'2',103,'N'),(15,2261693,'1',103,'N'),(15,2261693,'2',101,'N'),(15,2261707,'1',303,'N'),(15,2261707,'2',444,'N'),(15,2261715,'1',319,'N'),(15,2261715,'2',316,'N'),(15,2261723,'1',103,'N'),(15,2261723,'2',101,'N'),(15,2261740,'1',501,'N'),(15,2261740,'2',301,'N'),(15,2261758,'1',101,'N'),(15,2261758,'2',102,'N'),(15,2261766,'1',222,'N'),(15,2261766,'2',201,'N'),(15,2261774,'1',238,'N'),(15,2261774,'1A',208,'N'),(15,2261774,'2',225,'N'),(15,2261782,'1',208,'N'),(15,2261782,'1A',238,'N'),(15,2261782,'2',202,'N'),(15,2261790,'1',404,'N'),(15,2261790,'2',444,'N'),(15,2261804,'1',207,'N'),(15,2261804,'1A',201,'N'),(15,2261804,'2',425,'N'),(15,2261812,'1',420,'N'),(15,2261812,'2',207,'N'),(15,2261820,'1',450,'N'),(15,2261820,'2',425,'N'),(15,2261839,'1',450,'N'),(15,2261839,'2',333,'N'),(15,2261847,'1',207,'N'),(15,2261847,'2',304,'N'),(15,2261855,'1',212,'N'),(15,2261855,'1A',207,'N'),(15,2261855,'2',420,'N'),(15,2261863,'1',103,'N'),(15,2261863,'2',101,'N'),(15,2261871,'1',2,'N'),(15,2261871,'2',327,'N'),(15,2261880,'1',326,'N'),(15,2261880,'2',318,'N'),(15,2261898,'1',103,'N'),(15,2261901,'1',425,'N'),(15,2261901,'2',421,'N'),(15,2261910,'1',212,'N'),(15,2261910,'1A',215,'N'),(15,2261910,'2',424,'N'),(15,2261928,'1',102,'N'),(15,2261928,'2',319,'N'),(15,2261936,'1',9,'N'),(15,2261936,'2',101,'N'),(15,2261944,'1',450,'N'),(15,2261944,'2',324,'N'),(15,2261952,'1',332,'N'),(15,2261952,'2',224,'N'),(15,2261960,'1',108,'N'),(15,2261960,'2',211,'N'),(15,2261979,'1',316,'N'),(15,2261979,'2',211,'N'),(15,2261987,'1',5,'N'),(15,2261995,'1',207,'N'),(15,2261995,'2',331,'N'),(15,2262002,'1',203,'N'),(15,2262002,'1A',233,'N'),(15,2262002,'2',2,'N'),(15,2262010,'1',103,'N'),(15,2262029,'1',203,'N'),(15,2262029,'1A',202,'N'),(15,2262029,'2',108,'N'),(15,2262037,'1',501,'N'),(15,2262037,'2',108,'N'),(15,2262045,'1',316,'N'),(15,2262045,'2',304,'N'),(15,2262053,'1',202,'N'),(15,2262053,'1A',233,'N'),(15,2262053,'2',2,'N'),(15,2262061,'1',5,'N'),(15,2262061,'2',303,'N'),(15,2262070,'1',216,'N'),(15,2262070,'1A',215,'N'),(15,2262070,'2',217,'N'),(15,2262088,'1',104,'N'),(15,2262088,'2',304,'N'),(15,2262096,'1',303,'N'),(15,2262096,'2',415,'N'),(15,2262100,'1',318,'N'),(15,2262100,'2',238,'N'),(15,2262118,'1',104,'N'),(15,2262118,'2',207,'N'),(15,2262126,'1',318,'N'),(15,2262126,'2',421,'N'),(15,2262134,'1',208,'N'),(15,2262134,'1A',201,'N'),(15,2262134,'2',213,'N'),(15,2262142,'1',103,'N'),(15,2262142,'2',216,'N'),(15,2262150,'1',202,'N'),(15,2262150,'1A',213,'N'),(15,2262150,'2',220,'N'),(15,2262169,'1',324,'N'),(15,2262169,'2',339,'N'),(15,2262185,'1',104,'N'),(15,2262185,'2',9,'N'),(15,2262193,'1',108,'N'),(15,2262207,'1',415,'N'),(15,2262207,'2',5,'N'),(15,2262215,'1',103,'N'),(15,2262215,'2',316,'N'),(15,2262223,'1',108,'N'),(15,2262223,'2',333,'N'),(15,2262231,'1',208,'N'),(15,2262231,'1A',202,'N'),(15,2262231,'2',201,'N'),(15,2262240,'1',208,'N'),(15,2262240,'1A',238,'N'),(15,2262240,'2',420,'N'),(15,2262258,'1',310,'N'),(15,2262258,'2',319,'N'),(15,2262266,'1',444,'N'),(15,2262266,'2',234,'N'),(15,2262274,'1',103,'N'),(15,2262274,'2',303,'N'),(15,2262282,'1',104,'N'),(15,2262282,'2',220,'N'),(15,2262290,'1',502,'N'),(15,2262290,'2',319,'N'),(15,2262304,'1',5,'N'),(15,2262304,'2',238,'N'),(15,2262312,'1',102,'N'),(15,2262312,'2',9,'N'),(15,2262320,'1',104,'N'),(15,2262320,'2',9,'N'),(15,2262339,'1',103,'N'),(15,2262339,'2',108,'N'),(15,2262347,'1',302,'N'),(15,2262347,'2',303,'N'),(15,2262355,'1',404,'N'),(15,2262355,'2',319,'N'),(15,2262363,'1',420,'N'),(15,2262363,'2',207,'N'),(15,2262371,'1',102,'N'),(15,2262371,'2',501,'N'),(15,2262380,'1',301,'N'),(15,2262380,'2',316,'N'),(15,2262398,'1',212,'N'),(15,2262398,'1A',207,'N'),(15,2262398,'2',104,'N'),(15,2262401,'1',233,'N'),(15,2262401,'1A',211,'N'),(15,2262401,'2',424,'N'),(15,2262410,'1',5,'N'),(15,2262410,'2',320,'N'),(15,2262428,'1',103,'N'),(15,2262436,'1',333,'N'),(15,2262436,'2',108,'N'),(15,2262444,'1',225,'N'),(15,2262444,'2',224,'N'),(15,2262452,'1',201,'N'),(15,2262452,'1A',203,'N'),(15,2262452,'2',215,'N'),(15,2262460,'1',103,'N'),(15,2262460,'2',108,'N'),(15,2262479,'1',5,'N'),(15,2262479,'2',327,'N'),(15,2262495,'1',207,'N'),(15,2262495,'1A',208,'N'),(15,2262495,'2',238,'N'),(15,2262517,'1',420,'N'),(15,2262517,'2',208,'N'),(15,2262525,'1',404,'N'),(15,2262525,'2',301,'N'),(15,2262533,'1',421,'N'),(15,2262533,'1A',429,'N'),(15,2262533,'2',319,'N'),(15,2262541,'1',207,'N'),(15,2262541,'1A',201,'N'),(15,2262541,'2',420,'N'),(15,2262550,'1',450,'N'),(15,2262550,'2',425,'N'),(15,2262568,'1',103,'N'),(15,2262568,'2',104,'N'),(15,2262576,'1',450,'N'),(15,2262576,'2',451,'N'),(15,2262584,'1',211,'N'),(15,2262584,'2',203,'N'),(15,2262592,'1',202,'N'),(15,2262592,'1A',213,'N'),(15,2262592,'2',302,'N'),(15,2262606,'1',208,'N'),(15,2262606,'1A',238,'N'),(15,2262606,'2',301,'N'),(15,2262614,'1',332,'N'),(15,2262614,'2',320,'N'),(15,2262622,'1',316,'N'),(15,2262622,'2',404,'N'),(15,2262630,'1',207,'N'),(15,2262630,'1A',211,'N'),(15,2262649,'1',326,'N'),(15,2262649,'2',331,'N'),(15,2262657,'1',320,'N'),(15,2262657,'2',339,'N'),(15,2262673,'1',302,'N'),(15,2262673,'2',450,'N'),(15,2262681,'1',415,'N'),(15,2262681,'2',319,'N'),(15,2262690,'1',333,'N'),(15,2262690,'2',319,'N'),(15,2262703,'1',309,'N'),(15,2262703,'2',501,'N'),(15,2262711,'1',404,'N'),(15,2262711,'2',339,'N'),(15,2262720,'1',238,'N'),(15,2262720,'2',208,'N'),(15,2262738,'1',303,'N'),(15,2262738,'2',316,'N'),(15,2262746,'1',501,'N'),(15,2262746,'2',423,'N'),(15,2262754,'1',203,'N'),(15,2262754,'2',201,'N'),(15,2262762,'1',444,'N'),(15,2262762,'2',329,'N'),(15,2262797,'1',425,'N'),(15,2262797,'2',224,'N'),(15,2262800,'1',216,'N'),(15,2262800,'1A',233,'N'),(15,2262819,'1',425,'N'),(15,2262819,'1A',424,'N'),(15,2262819,'2',423,'N'),(15,2262827,'1',331,'N'),(15,2262827,'2',333,'N'),(15,2262835,'1',103,'N'),(15,2262835,'2',9,'N'),(15,2262843,'1',5,'N'),(15,2262851,'1',103,'N'),(15,2262851,'2',207,'N'),(15,2262860,'1',303,'N'),(15,2262860,'2',103,'N'),(15,2262878,'1',202,'N'),(15,2262878,'1A',213,'N'),(15,2262878,'2',238,'N'),(15,2262894,'1',208,'N'),(15,2262894,'1A',238,'N'),(15,2262894,'2',420,'N'),(15,2262908,'1',208,'N'),(15,2262908,'1A',220,'N'),(15,2262908,'2',238,'N'),(15,2262916,'1',203,'N'),(15,2262916,'1A',214,'N'),(15,2262916,'2',202,'N'),(15,2262924,'1',203,'N'),(15,2262924,'1A',214,'N'),(15,2262924,'2',333,'N'),(15,2262932,'1',308,'N'),(15,2262932,'2',420,'N'),(15,2262940,'1',103,'N'),(15,2262940,'2',101,'N'),(15,2262959,'1',211,'N'),(15,2262959,'1A',201,'N'),(15,2262959,'2',316,'N'),(15,2262967,'1',501,'N'),(15,2262967,'2',104,'N'),(15,2262975,'1',211,'N'),(15,2262975,'1A',207,'N'),(15,2262975,'2',215,'N'),(15,2262983,'1',203,'N'),(15,2262991,'1',217,'N'),(15,2262991,'2',216,'N'),(15,2263009,'1',103,'N'),(15,2263009,'2',101,'N'),(15,2263017,'1',429,'N'),(15,2263017,'1A',423,'N'),(15,2263017,'2',428,'N'),(15,2263025,'1',103,'N'),(15,2263025,'2',301,'N'),(15,2263041,'1',333,'N'),(15,2263041,'2',108,'N'),(15,2263050,'1',303,'N'),(15,2263050,'2',5,'N'),(15,2263068,'1',318,'N'),(15,2263068,'2',317,'N'),(15,2263076,'1',302,'N'),(15,2263076,'2',316,'N'),(15,2263084,'1',339,'N'),(15,2263084,'2',9,'N'),(15,2263106,'1',427,'N'),(15,2263106,'1A',423,'N'),(15,2263106,'2',429,'N'),(15,2263114,'1',208,'N'),(15,2263114,'1A',238,'N'),(15,2263114,'2',425,'N'),(15,2263122,'1',421,'N'),(15,2263122,'1A',429,'N'),(15,2263122,'2',203,'N'),(15,2263130,'1',208,'N'),(15,2263130,'1A',213,'N'),(15,2263130,'2',301,'N'),(15,2263149,'1',303,'N'),(15,2263149,'2',5,'N'),(15,2263157,'1',104,'N'),(15,2263157,'2',308,'N'),(15,2263165,'1',425,'N'),(15,2263165,'1A',429,'N'),(15,2263165,'2',319,'N'),(15,2263181,'1',103,'N'),(15,2263181,'2',5,'N'),(15,2263190,'1',201,'N'),(15,2263190,'1A',207,'N'),(15,2263190,'2',203,'N'),(15,2263211,'1',103,'N'),(15,2263211,'2',101,'N'),(15,2263220,'1',318,'N'),(15,2263220,'2',421,'N'),(15,2263238,'1',103,'N'),(15,2263238,'2',108,'N'),(15,2263246,'1',333,'N'),(15,2263246,'2',108,'N'),(15,2263254,'1',103,'N'),(15,2263262,'1',104,'N'),(15,2263262,'2',301,'N'),(15,2263270,'1',444,'N'),(15,2263270,'2',309,'N'),(15,2263289,'1',203,'N'),(15,2263289,'1A',207,'N'),(15,2263289,'2',201,'N'),(15,2263297,'1',203,'N'),(15,2263297,'1A',214,'N'),(15,2263297,'2',215,'N'),(15,2263300,'1',333,'N'),(15,2263300,'2',233,'N'),(15,2263319,'1',101,'N'),(15,2263319,'2',423,'N'),(15,2263327,'1',429,'N'),(15,2263327,'1A',423,'N'),(15,2263327,'2',108,'N'),(15,2263335,'1',208,'N'),(15,2263335,'1A',202,'N'),(15,2263335,'2',103,'N'),(15,2263343,'1',203,'N'),(15,2263343,'1A',201,'N'),(15,2263343,'2',202,'N'),(15,2263351,'1',233,'N'),(15,2263351,'1A',220,'N'),(15,2263351,'2',318,'N'),(15,2263360,'1',103,'N'),(15,2263378,'1',102,'N'),(15,2263378,'2',223,'N'),(15,2263386,'1',5,'N'),(15,2263386,'2',104,'N'),(15,2263394,'1',415,'N'),(15,2263394,'2',319,'N'),(15,2263416,'1',5,'N'),(15,2263416,'2',316,'N'),(15,2263424,'1',103,'N'),(15,2263424,'2',108,'N'),(15,2263432,'1',301,'N'),(15,2263432,'2',303,'N'),(15,2263440,'1',214,'N'),(15,2263440,'1A',212,'N'),(15,2263440,'2',238,'N'),(15,2263459,'1',303,'N'),(15,2263459,'2',415,'N'),(15,2263467,'1',421,'N'),(15,2263467,'1A',429,'N'),(15,2263467,'2',329,'N'),(15,2263475,'1',310,'N'),(15,2263475,'2',333,'N'),(15,2263483,'1',5,'N'),(15,2263483,'2',303,'N'),(15,2263491,'1',103,'N'),(15,2263505,'1',420,'N'),(15,2263505,'2',104,'N'),(15,2263513,'1',316,'N'),(15,2263513,'2',5,'N'),(15,2263521,'1',104,'N'),(15,2263521,'2',333,'N'),(15,2263530,'1',501,'N'),(15,2263530,'2',502,'N'),(15,2263548,'1',201,'N'),(15,2263548,'1A',207,'N'),(15,2263548,'2',223,'N'),(15,2263556,'1',104,'N'),(15,2263556,'2',301,'N'),(15,2263564,'1',103,'N'),(15,2263564,'2',216,'N'),(15,2263572,'1',303,'N'),(15,2263572,'2',5,'N'),(15,2263580,'1',5,'N'),(15,2263580,'2',329,'N'),(15,2263599,'1',104,'N'),(15,2263599,'2',207,'N'),(15,2263602,'1',501,'N'),(15,2263602,'2',234,'N'),(15,2263610,'1',203,'N'),(15,2263629,'1',211,'N'),(15,2263629,'1A',216,'N'),(15,2263629,'2',234,'N'),(15,2263637,'1',420,'N'),(15,2263637,'2',444,'N'),(15,2263645,'1',450,'N'),(15,2263645,'2',428,'N'),(15,2263653,'1',208,'N'),(15,2263670,'1',103,'N'),(15,2263670,'2',102,'N'),(15,2263688,'1',317,'N'),(15,2263688,'2',225,'N'),(15,2263696,'1',319,'N'),(15,2263696,'2',308,'N'),(15,2263700,'1',103,'N'),(15,2263700,'2',9,'N'),(15,2263718,'1',450,'N'),(15,2263718,'2',451,'N'),(15,2263726,'1',214,'N'),(15,2263726,'1A',213,'N'),(15,2263726,'2',212,'N'),(15,2263734,'1',302,'N'),(15,2263734,'2',216,'N'),(15,2263742,'1',320,'N'),(15,2263742,'2',327,'N'),(15,2263750,'1',451,'N'),(15,2263750,'2',404,'N'),(15,2263769,'1',225,'N'),(15,2263769,'2',327,'N'),(15,2263777,'1',301,'N'),(15,2263777,'2',316,'N'),(15,2263785,'1',327,'N'),(15,2263785,'2',324,'N'),(15,2263793,'1',319,'N'),(15,2263793,'2',429,'N'),(15,2263807,'1',328,'N'),(15,2263807,'2',502,'N'),(15,2263815,'1',104,'N'),(15,2263815,'2',502,'N'),(15,2263823,'1',214,'N'),(15,2263823,'1A',212,'N'),(15,2263823,'2',316,'N'),(15,2263840,'1',316,'N'),(15,2263840,'2',238,'N'),(15,2263858,'1',208,'N'),(15,2263858,'1A',238,'N'),(15,2263858,'2',324,'N'),(15,2263866,'1',2,'N'),(15,2263866,'2',225,'N'),(15,2263874,'1',201,'N'),(15,2263874,'1A',211,'N'),(15,2263874,'2',420,'N'),(15,2263882,'1',309,'N'),(15,2263882,'2',310,'N'),(15,2263890,'1',101,'N'),(15,2263890,'2',301,'N'),(15,2263912,'1',423,'N'),(15,2263912,'1A',425,'N'),(15,2263912,'2',427,'N'),(15,2263920,'1',5,'N'),(15,2263920,'2',304,'N'),(15,2263939,'1',318,'N'),(15,2263939,'2',316,'N'),(15,2263947,'1',216,'N'),(15,2263947,'1A',215,'N'),(15,2263947,'2',326,'N'),(15,2263955,'1',203,'N'),(15,2263955,'1A',211,'N'),(15,2263955,'2',316,'N'),(15,2263963,'1',404,'N'),(15,2263963,'2',444,'N'),(15,2263971,'1',9,'N'),(15,2263971,'2',215,'N'),(15,2263980,'1',415,'N'),(15,2263998,'1',207,'N'),(15,2263998,'2',203,'N'),(15,2264005,'1',303,'N'),(15,2264005,'2',5,'N'),(15,2264013,'1',103,'N'),(15,2264013,'2',101,'N'),(15,2264048,'1',102,'N'),(15,2264048,'2',318,'N'),(15,2264056,'1',207,'N'),(15,2264056,'1A',215,'N'),(15,2264056,'2',420,'N'),(15,2264064,'1',103,'N'),(15,2264064,'2',203,'N'),(15,2264080,'1',316,'N'),(15,2264080,'2',301,'N'),(15,2264099,'1',425,'N'),(15,2264099,'2',319,'N'),(15,2264102,'1',102,'N'),(15,2264102,'2',108,'N'),(15,2264110,'1',333,'N'),(15,2264110,'2',404,'N'),(15,2264129,'1',420,'N'),(15,2264129,'2',102,'N'),(15,2264137,'1',208,'N'),(15,2264137,'1A',201,'N'),(15,2264137,'2',202,'N'),(15,2264145,'1',5,'N'),(15,2264145,'2',303,'N'),(15,2264161,'1',103,'N'),(15,2264161,'2',5,'N'),(15,2264170,'1',331,'N'),(15,2264170,'2',424,'N'),(15,2264196,'1',501,'N'),(15,2264196,'2',303,'N'),(15,2264200,'1',217,'N'),(15,2264200,'2',223,'N'),(15,2264218,'1',429,'N'),(15,2264218,'1A',425,'N'),(15,2264218,'2',428,'N'),(15,2264226,'1',207,'N'),(15,2264226,'1A',233,'N'),(15,2264234,'1',211,'N'),(15,2264234,'2',108,'N'),(15,2264242,'1',5,'N'),(15,2264242,'2',326,'N'),(15,2264250,'1',502,'N'),(15,2264250,'2',217,'N'),(15,2264269,'1',5,'N'),(15,2264269,'2',319,'N'),(15,2264277,'1',310,'N'),(15,2264277,'2',329,'N'),(15,2264285,'1',215,'N'),(15,2264285,'1A',211,'N'),(15,2264285,'2',326,'N'),(15,2264293,'1',303,'N'),(15,2264293,'2',104,'N'),(15,2264307,'1',318,'N'),(15,2264307,'2',317,'N'),(15,2264315,'1',5,'N'),(15,2264315,'2',316,'N'),(15,2264323,'1',316,'N'),(15,2264323,'2',238,'N'),(15,2264331,'1',319,'N'),(15,2264331,'2',104,'N'),(15,2264340,'1',303,'N'),(15,2264340,'2',5,'N'),(15,2264358,'1',428,'N'),(15,2264358,'1A',429,'N'),(15,2264358,'2',426,'N'),(15,2264366,'1',319,'N'),(15,2264366,'2',310,'N'),(15,2264374,'1',9,'N'),(15,2264374,'2',444,'N'),(15,2264382,'1',108,'N'),(15,2264382,'2',326,'N'),(15,2264390,'1',5,'N'),(15,2264390,'2',303,'N'),(15,2264404,'1',104,'N'),(15,2264404,'2',428,'N'),(15,2264420,'1',203,'N'),(15,2264420,'1A',202,'N'),(15,2264420,'2',213,'N'),(15,2264439,'1',319,'N'),(15,2264439,'2',201,'N'),(15,2264447,'1',301,'N'),(15,2264447,'2',404,'N'),(15,2264455,'1',207,'N'),(15,2264455,'2',301,'N'),(15,2264463,'1',103,'N'),(15,2264463,'2',108,'N'),(15,2264471,'1',103,'N'),(15,2264480,'1',415,'N'),(15,2264480,'2',426,'N'),(15,2264501,'1',5,'N'),(15,2264501,'2',450,'N'),(15,2264510,'1',224,'N'),(15,2264510,'2',207,'N'),(15,2264528,'1',426,'N'),(15,2264528,'1A',423,'N'),(15,2264528,'2',308,'N'),(15,2264536,'1',211,'N'),(15,2264536,'2',212,'N'),(15,2264544,'1',102,'N'),(15,2264544,'2',324,'N'),(15,2264552,'1',9,'N'),(15,2264552,'2',217,'N'),(15,2264560,'1',103,'N'),(15,2264560,'2',319,'N'),(15,2264579,'1',216,'N'),(15,2264579,'1A',215,'N'),(15,2264579,'2',217,'N'),(15,2264587,'1',103,'N'),(15,2264587,'2',216,'N'),(15,2264609,'1',303,'N'),(15,2264609,'2',301,'N'),(15,2264617,'1',420,'N'),(15,2264617,'2',450,'N'),(15,2264625,'1',324,'N'),(15,2264625,'2',425,'N'),(15,2264633,'1',404,'N'),(15,2264633,'2',333,'N'),(15,2264641,'1',319,'N'),(15,2264641,'2',502,'N'),(15,2264650,'1',101,'N'),(15,2264650,'2',215,'N'),(15,2264668,'1',208,'N'),(15,2264668,'1A',238,'N'),(15,2264684,'1',420,'N'),(15,2264684,'2',319,'N'),(15,2264706,'1',222,'N'),(15,2264706,'2',326,'N'),(15,2264714,'1',207,'N'),(15,2264714,'2',104,'N'),(15,2264722,'1',444,'N'),(15,2264722,'2',326,'N'),(15,2264730,'1',207,'N'),(15,2264730,'2',303,'N'),(15,2264749,'1',220,'N'),(15,2264749,'1A',213,'N'),(15,2264749,'2',214,'N'),(15,2264757,'1',5,'N'),(15,2264757,'2',316,'N'),(15,2264773,'1',108,'N'),(15,2264773,'2',327,'N'),(15,2264781,'1',303,'N'),(15,2264781,'2',5,'N'),(15,2264790,'1',5,'N'),(15,2264790,'2',211,'N'),(15,2264803,'1',304,'N'),(15,2264803,'2',309,'N'),(15,2264811,'1',203,'N'),(15,2264811,'2',214,'N'),(15,2264820,'1',203,'N'),(15,2264820,'1A',214,'N'),(15,2264820,'2',216,'N'),(15,2264838,'1',425,'N'),(15,2264838,'1A',427,'N'),(15,2264838,'2',428,'N'),(15,2264846,'1',238,'N'),(15,2264846,'1A',213,'N'),(15,2264846,'2',222,'N'),(15,2264854,'1',5,'N'),(15,2264854,'2',319,'N'),(15,2264862,'1',5,'N'),(15,2264862,'2',201,'N'),(15,2264870,'1',104,'N'),(15,2264870,'2',102,'N'),(15,2264889,'1',318,'N'),(15,2264889,'2',5,'N'),(15,2264897,'1',333,'N'),(15,2264897,'2',332,'N'),(15,2264900,'1',501,'N'),(15,2264900,'2',211,'N'),(15,2264919,'1',303,'N'),(15,2264919,'2',108,'N'),(15,2264927,'1',103,'N'),(15,2264927,'2',319,'N'),(15,2264935,'1',317,'N'),(15,2264935,'2',318,'N'),(15,2264943,'1',303,'N'),(15,2264943,'2',319,'N'),(15,2264951,'1',9,'N'),(15,2264951,'2',101,'N'),(15,2264960,'1',211,'N'),(15,2264960,'1A',216,'N'),(15,2264960,'2',108,'N'),(15,2264986,'1',211,'N'),(15,2264986,'1A',208,'N'),(15,2265001,'1',101,'N'),(15,2265001,'2',331,'N'),(15,2265010,'1',318,'N'),(15,2265010,'2',212,'N'),(15,2265028,'1',208,'N'),(15,2265028,'1A',207,'N'),(15,2265028,'2',420,'N'),(15,2265036,'1',104,'N'),(15,2265036,'2',301,'N'),(15,2265044,'1',450,'N'),(15,2265044,'2',425,'N'),(15,2265052,'1',444,'N'),(15,2265052,'2',404,'N'),(15,2265060,'1',303,'N'),(15,2265060,'2',104,'N'),(15,2265079,'1',301,'N'),(15,2265079,'2',316,'N'),(15,2265087,'1',103,'N'),(15,2265087,'2',104,'N'),(15,2265109,'1',101,'N'),(15,2265109,'2',302,'N'),(15,2265117,'1',429,'N'),(15,2265117,'2',501,'N'),(15,2265125,'1',304,'N'),(15,2265125,'2',318,'N'),(15,2265133,'1',104,'N'),(15,2265133,'2',5,'N'),(15,2265150,'1',301,'N'),(15,2265150,'2',302,'N'),(15,2265168,'1',303,'N'),(15,2265168,'2',310,'N'),(15,2265176,'1',316,'N'),(15,2265176,'2',318,'N'),(15,2265184,'1',333,'N'),(15,2265184,'2',5,'N'),(15,2265192,'1',203,'N'),(15,2265192,'1A',238,'N'),(15,2265192,'2',234,'N'),(15,2265214,'1',203,'N'),(15,2265214,'1A',233,'N'),(15,2265214,'2',201,'N'),(15,2265222,'1',214,'N'),(15,2265222,'1A',203,'N'),(15,2265222,'2',220,'N'),(15,2265230,'1',215,'N'),(15,2265230,'2',501,'N'),(15,2265249,'1',202,'N'),(15,2265249,'1A',220,'N'),(15,2265249,'2',318,'N'),(15,2265257,'1',103,'N'),(15,2265265,'1',326,'N'),(15,2265265,'2',415,'N'),(15,2265273,'1',5,'N'),(15,2265273,'2',339,'N'),(15,2265281,'1',103,'N'),(15,2265281,'2',104,'N'),(15,2265290,'1',420,'N'),(15,2265290,'2',301,'N'),(15,2265303,'1',429,'N'),(15,2265303,'1A',427,'N'),(15,2265303,'2',324,'N'),(15,2265311,'1',444,'N'),(15,2265311,'2',404,'N'),(15,2265320,'1',310,'N'),(15,2265320,'2',327,'N'),(15,2265346,'1',318,'N'),(15,2265346,'2',304,'N'),(15,2265354,'1',203,'N'),(15,2265354,'1A',214,'N'),(15,2265354,'2',202,'N'),(15,2265362,'1',450,'N'),(15,2265362,'2',208,'N'),(15,2265370,'1',217,'N'),(15,2265370,'2',425,'N'),(15,2265389,'1',5,'N'),(15,2265389,'2',224,'N'),(15,2265397,'1',415,'N'),(15,2265397,'2',420,'N'),(15,2265400,'1',217,'N'),(15,2265400,'2',421,'N'),(15,2265419,'1',317,'N'),(15,2265419,'2',224,'N'),(15,2265427,'1',103,'N'),(15,2265427,'2',101,'N'),(15,2265435,'1',102,'N'),(15,2265435,'2',9,'N'),(15,2265443,'1',303,'N'),(15,2265443,'2',324,'N'),(15,2265451,'1',211,'N'),(15,2265451,'1A',238,'N'),(15,2265451,'2',308,'N'),(15,2265460,'1',404,'N'),(15,2265460,'2',451,'N'),(15,2265486,'1',103,'N'),(15,2265486,'2',333,'N'),(15,2265494,'1',451,'N'),(15,2265494,'2',108,'N'),(15,2265508,'1',238,'N'),(15,2265508,'1A',208,'N'),(15,2265508,'2',301,'N'),(15,2265516,'1',444,'N'),(15,2265516,'2',331,'N'),(15,2265524,'1',415,'N'),(15,2265524,'2',316,'N'),(15,2265532,'1',238,'N'),(15,2265532,'1A',208,'N'),(15,2265532,'2',220,'N'),(15,2265540,'1',317,'N'),(15,2265540,'2',208,'N'),(15,2265559,'1',303,'N'),(15,2265559,'2',301,'N'),(15,2265591,'1',316,'N'),(15,2265591,'2',444,'N'),(15,2265605,'1',201,'N'),(15,2265605,'2',303,'N'),(15,2265613,'1',103,'N'),(15,2265613,'2',101,'N'),(15,2265621,'1',225,'N'),(15,2265621,'2',222,'N'),(15,2265630,'1',102,'N'),(15,2265630,'2',332,'N'),(15,2265648,'1',203,'N'),(15,2265648,'1A',214,'N'),(15,2265648,'2',420,'N'),(15,2265656,'1',319,'N'),(15,2265656,'2',308,'N'),(15,2265664,'1',9,'N'),(15,2265664,'2',302,'N'),(15,2265680,'1',104,'N'),(15,2265680,'2',102,'N'),(15,2265699,'1',103,'N'),(15,2265699,'2',420,'N'),(15,2265702,'1',333,'N'),(15,2265702,'2',331,'N'),(15,2265710,'1',303,'N'),(15,2265710,'2',211,'N'),(15,2265729,'1',319,'N'),(15,2265729,'2',332,'N'),(15,2265745,'1',220,'N'),(15,2265745,'1A',201,'N'),(15,2265745,'2',316,'N'),(15,2265753,'1',201,'N'),(15,2265753,'1A',214,'N'),(15,2265753,'2',213,'N'),(15,2265761,'1',203,'N'),(15,2265761,'2',316,'N'),(15,2265770,'1',329,'N'),(15,2265770,'2',320,'N'),(15,2265788,'1',103,'N'),(15,2265788,'2',201,'N'),(15,2265796,'1',318,'N'),(15,2265796,'2',220,'N'),(15,2265800,'1',103,'N'),(15,2265800,'2',102,'N'),(15,2265826,'1',216,'N'),(15,2265826,'1A',211,'N'),(15,2265826,'2',2,'N'),(15,2265842,'1',108,'N'),(15,2265842,'2',328,'N'),(15,2265850,'1',316,'N'),(15,2265850,'2',103,'N'),(15,2265869,'1',103,'N'),(15,2265877,'1',103,'N'),(15,2265877,'2',329,'N'),(15,2265885,'1',304,'N'),(15,2265885,'2',318,'N'),(15,2265893,'1',207,'N'),(15,2265893,'1A',201,'N'),(15,2265893,'2',2,'N'),(15,2265923,'1',317,'N'),(15,2265923,'2',316,'N'),(15,2265931,'1',103,'N'),(15,2265931,'2',104,'N'),(15,2265958,'1',214,'N'),(15,2265958,'1A',203,'N'),(15,2265958,'2',220,'N'),(15,2265966,'1',444,'N'),(15,2265966,'2',207,'N'),(15,2265974,'1',211,'N'),(15,2265974,'2',108,'N'),(15,2265982,'1',333,'N'),(15,2265982,'2',9,'N'),(15,2265990,'1',103,'N'),(15,2265990,'2',104,'N'),(15,2266008,'1',101,'N'),(15,2266008,'2',108,'N'),(15,2266016,'1',104,'N'),(15,2266016,'2',444,'N'),(15,2266032,'1',319,'N'),(15,2266032,'2',308,'N'),(15,2266040,'1',301,'N'),(15,2266040,'2',331,'N'),(15,2266059,'1',201,'N'),(15,2266059,'1A',212,'N'),(15,2266059,'2',223,'N'),(15,2266067,'1',203,'N'),(15,2266067,'1A',214,'N'),(15,2266067,'2',225,'N'),(15,2266083,'1',201,'N'),(15,2266083,'1A',202,'N'),(15,2266083,'2',203,'N'),(15,2266091,'1',108,'N'),(15,2266091,'2',502,'N'),(15,2266105,'1',327,'N'),(15,2266105,'2',329,'N'),(15,2266113,'1',317,'N'),(15,2266113,'2',327,'N'),(15,2266121,'1',103,'N'),(15,2266121,'2',333,'N'),(15,2266130,'1',317,'N'),(15,2266130,'2',238,'N'),(15,2266148,'1',317,'N'),(15,2266148,'2',423,'N'),(15,2266156,'1',317,'N'),(15,2266156,'2',426,'N'),(15,2266164,'1',303,'N'),(15,2266164,'2',222,'N'),(15,2266172,'1',238,'N'),(15,2266172,'1A',214,'N'),(15,2266172,'2',212,'N'),(15,2266180,'1',318,'N'),(15,2266180,'2',224,'N'),(15,2266199,'1',327,'N'),(15,2266199,'2',424,'N'),(15,2266202,'1',103,'N'),(15,2266202,'2',102,'N'),(15,2266210,'1',428,'N'),(15,2266210,'1A',426,'N'),(15,2266210,'2',308,'N'),(15,2266229,'1',319,'N'),(15,2266229,'2',301,'N'),(15,2266237,'1',103,'N'),(15,2266237,'2',104,'N'),(15,2266245,'1',103,'N'),(15,2266245,'2',101,'N'),(15,2266261,'1',214,'N'),(15,2266261,'1A',233,'N'),(15,2266261,'2',213,'N'),(15,2266270,'1',103,'N'),(15,2266270,'2',211,'N'),(15,2266288,'1',104,'N'),(15,2266288,'2',319,'N'),(15,2266300,'1',103,'N'),(15,2266300,'2',101,'N'),(15,2266318,'1',316,'N'),(15,2266318,'2',404,'N'),(15,2266326,'1',103,'N'),(15,2266326,'2',9,'N'),(15,2266334,'1',103,'N'),(15,2266342,'1',333,'N'),(15,2266342,'2',211,'N'),(15,2266369,'1',450,'N'),(15,2266369,'2',451,'N'),(15,2266385,'1',103,'N'),(15,2266385,'2',101,'N'),(15,2266407,'1',316,'N'),(15,2266407,'2',339,'N'),(15,2266415,'1',333,'N'),(15,2266415,'2',234,'N'),(15,2266423,'1',214,'N'),(15,2266423,'1A',203,'N'),(15,2266423,'2',318,'N'),(15,2266431,'1',429,'N'),(15,2266431,'2',450,'N'),(15,2266440,'1',303,'N'),(15,2266440,'2',5,'N'),(15,2266458,'1',103,'N'),(15,2266458,'2',415,'N'),(15,2266466,'1',208,'N'),(15,2266466,'2',301,'N'),(15,2266474,'1',103,'N'),(15,2266482,'1',444,'N'),(15,2266482,'2',324,'N'),(15,2266490,'1',450,'N'),(15,2266490,'2',328,'N'),(15,2266504,'1',308,'N'),(15,2266504,'2',319,'N'),(15,2266512,'1',5,'N'),(15,2266512,'2',316,'N'),(15,2266520,'1',207,'N'),(15,2266520,'1A',216,'N'),(15,2266520,'2',420,'N'),(15,2266539,'1',238,'N'),(15,2266539,'1A',215,'N'),(15,2266539,'2',501,'N'),(15,2266547,'1',238,'N'),(15,2266547,'1A',213,'N'),(15,2266547,'2',225,'N'),(15,2266555,'1',310,'N'),(15,2266555,'2',320,'N'),(15,2266563,'1',104,'N'),(15,2266563,'2',316,'N'),(15,2266571,'1',415,'N'),(15,2266571,'2',426,'N'),(15,2266580,'1',211,'N'),(15,2266580,'2',309,'N'),(15,2266598,'1',203,'N'),(15,2266598,'1A',214,'N'),(15,2266598,'2',220,'N'),(15,2266601,'1',451,'N'),(15,2266601,'2',327,'N'),(15,2266610,'1',101,'N'),(15,2266610,'2',308,'N'),(15,2266628,'1',104,'N'),(15,2266628,'2',9,'N'),(15,2266636,'1',201,'N'),(15,2266636,'1A',203,'N'),(15,2266636,'2',302,'N'),(15,2266644,'1',214,'N'),(15,2266644,'1A',233,'N'),(15,2266644,'2',211,'N'),(15,2266652,'1',103,'N'),(15,2266652,'2',415,'N'),(15,2266660,'1',302,'N'),(15,2266660,'2',217,'N'),(15,2266679,'1',450,'N'),(15,2266679,'2',451,'N'),(15,2266687,'1',103,'N'),(15,2266687,'2',333,'N'),(15,2266709,'1',332,'N'),(15,2266709,'2',331,'N'),(15,2266717,'1',303,'N'),(15,2266733,'1',415,'N'),(15,2266733,'2',450,'N'),(15,2266741,'1',301,'N'),(15,2266741,'2',316,'N'),(15,2266750,'1',316,'N'),(15,2266768,'1',202,'N'),(15,2266768,'1A',213,'N'),(15,2266768,'2',220,'N'),(15,2266776,'1',328,'N'),(15,2266776,'2',329,'N'),(15,2266784,'1',450,'N'),(15,2266784,'2',326,'N'),(15,2266792,'1',426,'N'),(15,2266792,'1A',428,'N'),(15,2266792,'2',425,'N'),(15,2266814,'1',108,'N'),(15,2266814,'2',234,'N'),(15,2266822,'1',201,'N'),(15,2266822,'1A',211,'N'),(15,2266822,'2',101,'N'),(15,2266830,'1',238,'N'),(15,2266830,'1A',213,'N'),(15,2266830,'2',317,'N'),(15,2266849,'1',316,'N'),(15,2266849,'2',303,'N'),(15,2266857,'1',103,'N'),(15,2266857,'2',301,'N'),(15,2266865,'1',108,'N'),(15,2266865,'2',425,'N'),(15,2266873,'1',301,'N'),(15,2266873,'2',304,'N'),(15,2266881,'1',301,'N'),(15,2266890,'1',308,'N'),(15,2266890,'2',316,'N'),(15,2266903,'1',103,'N'),(15,2266903,'2',101,'N'),(15,2266911,'1',207,'N'),(15,2266911,'1A',201,'N'),(15,2266911,'2',212,'N'),(15,2266946,'1',207,'N'),(15,2266946,'1A',201,'N'),(15,2266946,'2',101,'N'),(15,2266954,'1',2,'N'),(15,2266954,'2',222,'N'),(15,2266962,'1',332,'N'),(15,2266962,'2',327,'N'),(15,2266970,'1',212,'N'),(15,2266970,'1A',233,'N'),(15,2266970,'2',304,'N'),(15,2266989,'1',501,'N'),(15,2266989,'2',211,'N'),(15,2266997,'1',318,'N'),(15,2266997,'2',213,'N'),(15,2267004,'1',220,'N'),(15,2267004,'1A',238,'N'),(15,2267004,'2',333,'N'),(15,2267012,'1',202,'N'),(15,2267012,'1A',215,'N'),(15,2267012,'2',222,'N'),(15,2267020,'1',104,'N'),(15,2267020,'2',5,'N'),(15,2267039,'1',5,'N'),(15,2267039,'2',333,'N'),(15,2267047,'1',103,'N'),(15,2267047,'2',104,'N'),(15,2267055,'1',303,'N'),(15,2267055,'2',5,'N'),(15,2267063,'1',102,'N'),(15,2267063,'2',216,'N'),(15,2267071,'1',420,'N'),(15,2267071,'2',201,'N'),(15,2267080,'1',101,'N'),(15,2267080,'2',102,'N'),(15,2267098,'1',420,'N'),(15,2267098,'2',201,'N'),(15,2267101,'1',301,'N'),(15,2267101,'2',316,'N'),(15,2267110,'1',339,'N'),(15,2267110,'2',429,'N'),(15,2267128,'1',502,'N'),(15,2267128,'2',427,'N'),(15,2267136,'1',203,'N'),(15,2267136,'1A',214,'N'),(15,2267136,'2',213,'N'),(15,2267144,'1',5,'N'),(15,2267144,'2',224,'N'),(15,2267152,'1',302,'N'),(15,2267152,'2',301,'N'),(15,2267160,'1',216,'N'),(15,2267160,'1A',201,'N'),(15,2267160,'2',212,'N'),(15,2267187,'1',103,'N'),(15,2267195,'1',5,'N'),(15,2267195,'2',102,'N'),(15,2267209,'1',207,'N'),(15,2267209,'1A',233,'N'),(15,2267209,'2',302,'N'),(15,2267233,'1',207,'N'),(15,2267233,'1A',201,'N'),(15,2267233,'2',420,'N'),(15,2267241,'1',502,'N'),(15,2267250,'1',101,'N'),(15,2267250,'2',103,'N'),(15,2267276,'1',211,'N'),(15,2267276,'1A',220,'N'),(15,2267276,'2',332,'N'),(15,2267292,'1',233,'N'),(15,2267292,'1A',211,'N'),(15,2267292,'2',444,'N'),(15,2267314,'1',404,'N'),(15,2267314,'2',201,'N'),(15,2267330,'1',215,'N'),(15,2267330,'1A',216,'N'),(15,2267330,'2',420,'N'),(15,2267349,'1',327,'N'),(15,2267349,'2',326,'N'),(15,2267357,'1',104,'N'),(15,2267365,'1',301,'N'),(15,2267365,'2',208,'N'),(15,2267381,'1',104,'N'),(15,2267381,'2',234,'N'),(15,2267390,'1',339,'N'),(15,2267390,'2',309,'N'),(15,2267403,'1',101,'N'),(15,2267403,'2',103,'N'),(15,2267420,'1',319,'N'),(15,2267420,'2',450,'N'),(15,2267438,'1',104,'N'),(15,2267438,'2',217,'N'),(15,2267446,'1',317,'N'),(15,2267446,'2',404,'N'),(15,2267454,'1',501,'N'),(15,2267454,'2',304,'N'),(15,2267462,'1',220,'N'),(15,2267470,'1',404,'N'),(15,2267470,'2',428,'N'),(15,2267489,'1',207,'N'),(15,2267489,'1A',201,'N'),(15,2267489,'2',9,'N'),(15,2267497,'1',444,'N'),(15,2267497,'2',333,'N'),(15,2267500,'1',316,'N'),(15,2267500,'2',301,'N'),(15,2267519,'1',339,'N'),(15,2267519,'2',424,'N'),(15,2267527,'1',5,'N'),(15,2267527,'2',339,'N'),(15,2267535,'1',101,'N'),(15,2267535,'2',103,'N'),(15,2267543,'1',208,'N'),(15,2267543,'2',238,'N'),(15,2267551,'1',102,'N'),(15,2267560,'1',203,'N'),(15,2267560,'1A',207,'N'),(15,2267560,'2',201,'N'),(15,2267578,'1',220,'N'),(15,2267578,'2',238,'N'),(15,2267586,'1',108,'N'),(15,2267586,'2',339,'N'),(15,2267594,'1',234,'N'),(15,2267594,'2',444,'N'),(15,2267608,'1',420,'N'),(15,2267608,'2',207,'N'),(15,2267616,'1',103,'N'),(15,2267616,'2',102,'N'),(15,2267624,'1',316,'N'),(15,2267624,'2',502,'N'),(15,2267632,'1',404,'N'),(15,2267632,'2',308,'N'),(15,2267640,'1',304,'N'),(15,2267640,'2',302,'N'),(15,2267659,'1',238,'N'),(15,2267659,'1A',208,'N'),(15,2267659,'2',326,'N'),(15,2267667,'1',502,'N'),(15,2267667,'2',333,'N'),(15,2267675,'1',102,'N'),(15,2267675,'2',101,'N'),(15,2267683,'1',201,'N'),(15,2267683,'1A',212,'N'),(15,2267683,'2',304,'N'),(15,2267691,'1',317,'N'),(15,2267691,'2',302,'N'),(15,2267721,'1',324,'N'),(15,2267721,'2',332,'N'),(15,2267730,'1',104,'N'),(15,2267730,'2',425,'N'),(15,2267748,'1',317,'N'),(15,2267748,'2',427,'N'),(15,2267756,'1',428,'N'),(15,2267756,'1A',424,'N'),(15,2267756,'2',427,'N'),(15,2267764,'1',103,'N'),(15,2267764,'2',101,'N'),(15,2267780,'1',301,'N'),(15,2267780,'2',202,'N'),(15,2267802,'1',103,'N'),(15,2267802,'2',108,'N'),(15,2267810,'1',201,'N'),(15,2267810,'1A',212,'N'),(15,2267810,'2',317,'N'),(15,2267829,'1',220,'N'),(15,2267829,'1A',203,'N'),(15,2267829,'2',103,'N'),(15,2267837,'1',216,'N'),(15,2267837,'1A',207,'N'),(15,2267837,'2',217,'N'),(15,2267845,'1',104,'N'),(15,2267845,'2',102,'N'),(15,2267853,'1',5,'N'),(15,2267853,'2',316,'N'),(15,2267861,'1',333,'N'),(15,2267861,'2',108,'N'),(15,2267888,'1',319,'N'),(15,2267888,'2',103,'N'),(15,2267896,'1',332,'N'),(15,2267896,'2',331,'N'),(15,2267900,'1',101,'N'),(15,2267900,'2',339,'N'),(15,2267918,'1',420,'N'),(15,2267918,'2',320,'N'),(15,2267926,'1',103,'N'),(15,2267926,'2',201,'N'),(15,2267934,'1',211,'N'),(15,2267934,'1A',212,'N'),(15,2267934,'2',224,'N'),(15,2267950,'1',303,'N'),(15,2267950,'2',451,'N'),(15,2267969,'1',201,'N'),(15,2267969,'1A',212,'N'),(15,2267969,'2',427,'N'),(15,2267977,'1',404,'N'),(15,2267977,'2',331,'N'),(15,2267985,'1',5,'N'),(15,2267985,'2',316,'N'),(15,2267993,'1',215,'N'),(15,2267993,'1A',233,'N'),(15,2267993,'2',102,'N'),(15,2268000,'1',211,'N'),(15,2268000,'1A',212,'N'),(15,2268000,'2',304,'N'),(15,2268019,'1',201,'N'),(15,2268019,'1A',213,'N'),(15,2268019,'2',211,'N'),(15,2268035,'1',103,'N'),(15,2268035,'2',102,'N'),(15,2268043,'1',316,'N'),(15,2268043,'2',425,'N'),(15,2268051,'1',208,'N'),(15,2268051,'2',317,'N'),(15,2268060,'1',103,'N'),(15,2268060,'2',102,'N'),(15,2268078,'1',102,'N'),(15,2268078,'2',217,'N'),(15,2268086,'1',203,'N'),(15,2268086,'1A',220,'N'),(15,2268086,'2',214,'N'),(15,2268094,'1',9,'N'),(15,2268094,'2',425,'N'),(15,2268108,'1',327,'N'),(15,2268108,'2',329,'N'),(15,2268116,'1',103,'N'),(15,2268116,'2',444,'N'),(15,2268124,'1',202,'N'),(15,2268124,'1A',208,'N'),(15,2268124,'2',2,'N'),(15,2268132,'1',103,'N'),(15,2268132,'2',102,'N'),(15,2268140,'1',420,'N'),(15,2268140,'2',208,'N'),(15,2268159,'1',203,'N'),(15,2268159,'2',108,'N'),(15,2268167,'1',329,'N'),(15,2268167,'2',328,'N'),(15,2268175,'1',211,'N'),(15,2268175,'1A',214,'N'),(15,2268175,'2',301,'N'),(15,2268183,'1',319,'N'),(15,2268183,'2',428,'N'),(15,2268191,'1',333,'N'),(15,2268191,'2',208,'N'),(15,2268205,'1',207,'N'),(15,2268205,'1A',215,'N'),(15,2268205,'2',428,'N'),(15,2268213,'1',5,'N'),(15,2268213,'2',320,'N'),(15,2268221,'1',203,'N'),(15,2268221,'1A',208,'N'),(15,2268221,'2',238,'N'),(15,2268230,'1',202,'N'),(15,2268230,'2',203,'N'),(15,2268248,'1',324,'N'),(15,2268248,'2',320,'N'),(15,2268256,'1',502,'N'),(15,2268256,'2',423,'N'),(15,2268264,'1',103,'N'),(15,2268264,'2',208,'N'),(15,2268272,'1',103,'N'),(15,2268272,'2',104,'N'),(15,2268280,'1',332,'N'),(15,2268280,'2',333,'N'),(15,2268299,'1',450,'N'),(15,2268299,'2',423,'N'),(15,2268302,'1',207,'N'),(15,2268329,'1',103,'N'),(15,2268329,'2',203,'N'),(15,2268337,'1',415,'N'),(15,2268337,'2',428,'N'),(15,2268345,'1',212,'N'),(15,2268345,'1A',201,'N'),(15,2268345,'2',220,'N'),(15,2268361,'1',332,'N'),(15,2268361,'2',327,'N'),(15,2268370,'1',303,'N'),(15,2268370,'2',207,'N'),(15,2268388,'1',104,'N'),(15,2268388,'2',207,'N'),(15,2268396,'1',319,'N'),(15,2268396,'2',101,'N'),(15,2268400,'1',223,'N'),(15,2268400,'2',222,'N'),(15,2268418,'1',317,'N'),(15,2268418,'2',238,'N'),(15,2268434,'1',103,'N'),(15,2268434,'2',303,'N'),(15,2268442,'1',2,'N'),(15,2268442,'2',202,'N'),(15,2268450,'1',303,'N'),(15,2268450,'2',5,'N'),(15,2268469,'1',425,'N'),(15,2268469,'1A',424,'N'),(15,2268469,'2',428,'N'),(15,2268477,'1',5,'N'),(15,2268477,'2',303,'N'),(15,2268485,'1',211,'N'),(15,2268485,'1A',207,'N'),(15,2268485,'2',108,'N'),(15,2268493,'1',427,'N'),(15,2268493,'1A',429,'N'),(15,2268493,'2',207,'N'),(15,2268507,'1',331,'N'),(15,2268507,'2',451,'N'),(15,2268515,'1',203,'N'),(15,2268515,'1A',201,'N'),(15,2268515,'2',220,'N'),(15,2268523,'1',238,'N'),(15,2268523,'1A',208,'N'),(15,2268523,'2',320,'N'),(15,2268531,'1',326,'N'),(15,2268531,'2',425,'N'),(15,2268540,'1',316,'N'),(15,2268540,'2',420,'N'),(15,2268558,'1',214,'N'),(15,2268558,'2',203,'N'),(15,2268566,'1',220,'N'),(15,2268566,'1A',208,'N'),(15,2268566,'2',238,'N'),(15,2268574,'1',234,'N'),(15,2268574,'2',108,'N'),(15,2268582,'1',220,'N'),(15,2268582,'1A',203,'N'),(15,2268582,'2',214,'N'),(15,2268590,'1',103,'N'),(15,2268590,'2',303,'N'),(15,2268604,'1',301,'N'),(15,2268604,'2',201,'N'),(15,2268612,'1',103,'N'),(15,2268612,'2',101,'N'),(15,2268620,'1',103,'N'),(15,2268620,'2',104,'N'),(15,2268639,'1',208,'N'),(15,2268639,'1A',202,'N'),(15,2268639,'2',104,'N'),(15,2268647,'1',317,'N'),(15,2268647,'2',318,'N'),(15,2268655,'1',216,'N'),(15,2268655,'1A',233,'N'),(15,2268655,'2',217,'N'),(15,2268671,'1',316,'N'),(15,2268671,'2',103,'N'),(15,2268680,'1',316,'N'),(15,2268680,'2',425,'N'),(15,2268698,'1',104,'N'),(15,2268698,'2',202,'N'),(15,2268701,'1',101,'N'),(15,2268701,'2',451,'N'),(15,2268710,'1',303,'N'),(15,2268710,'2',5,'N'),(15,2268728,'1',203,'N'),(15,2268728,'1A',220,'N'),(15,2268728,'2',233,'N'),(15,2268736,'1',224,'N'),(15,2268736,'2',223,'N'),(15,2268744,'1',316,'N'),(15,2268744,'2',318,'N'),(15,2268752,'1',203,'N'),(15,2268752,'1A',233,'N'),(15,2268752,'2',450,'N'),(15,2268760,'1',332,'N'),(15,2268760,'2',211,'N'),(15,2268779,'1',203,'N'),(15,2268779,'2',326,'N'),(15,2268787,'1',103,'N'),(15,2268787,'2',216,'N'),(15,2268795,'1',203,'N'),(15,2268795,'1A',202,'N'),(15,2268795,'2',220,'N'),(15,2268809,'1',319,'N'),(15,2268825,'1',103,'N'),(15,2268825,'2',303,'N'),(15,2268833,'1',207,'N'),(15,2268833,'1A',201,'N'),(15,2268833,'2',420,'N'),(15,2268850,'1',304,'N'),(15,2268850,'2',318,'N'),(15,2268868,'1',203,'N'),(15,2268868,'1A',202,'N'),(15,2268876,'1',5,'N'),(15,2268876,'2',318,'N'),(15,2268884,'1',216,'N'),(15,2268884,'1A',214,'N'),(15,2268884,'2',223,'N'),(15,2268906,'1',103,'N'),(15,2268906,'2',104,'N'),(15,2268914,'1',5,'N'),(15,2268922,'1',5,'N'),(15,2268922,'2',303,'N'),(15,2268949,'1',420,'N'),(15,2268949,'2',303,'N'),(15,2268957,'1',415,'N'),(15,2268957,'2',420,'N'),(15,2268965,'1',104,'N'),(15,2268965,'2',102,'N'),(15,2268973,'1',316,'N'),(15,2268973,'2',301,'N'),(15,2268990,'1',303,'N'),(15,2268990,'2',5,'N'),(15,2269007,'1',319,'N'),(15,2269015,'1',103,'N'),(15,2269015,'2',104,'N'),(15,2269023,'1',317,'N'),(15,2269023,'2',426,'N'),(15,2269031,'1',316,'N'),(15,2269031,'2',224,'N'),(15,2269040,'1',103,'N'),(15,2269040,'2',415,'N'),(15,2269058,'1',9,'N'),(15,2269058,'2',215,'N'),(15,2269066,'1',319,'N'),(15,2269066,'2',303,'N'),(15,2269074,'1',216,'N'),(15,2269074,'2',201,'N'),(15,2269082,'1',303,'N'),(15,2269082,'2',108,'N'),(15,2269090,'1',320,'N'),(15,2269090,'2',310,'N'),(15,2269104,'1',104,'N'),(15,2269104,'2',101,'N'),(15,2269112,'1',501,'N'),(15,2269112,'2',502,'N'),(15,2269120,'1',324,'N'),(15,2269120,'2',225,'N'),(15,2269139,'1',220,'N'),(15,2269139,'1A',214,'N'),(15,2269139,'2',203,'N'),(15,2269155,'1',103,'N'),(15,2269155,'2',202,'N'),(15,2269163,'1',444,'N'),(15,2269163,'2',304,'N'),(15,2269171,'1',333,'N'),(15,2269171,'2',207,'N'),(15,2269180,'1',101,'N'),(15,2269180,'2',211,'N'),(15,2269201,'1',211,'N'),(15,2269201,'1A',207,'N'),(15,2269201,'2',319,'N'),(15,2269210,'1',302,'N'),(15,2269210,'2',304,'N'),(15,2269228,'1',328,'N'),(15,2269228,'2',324,'N'),(15,2269236,'1',9,'N'),(15,2269236,'2',316,'N'),(15,2269244,'1',103,'N'),(15,2269244,'2',104,'N'),(15,2269252,'1',224,'N'),(15,2269252,'2',223,'N'),(15,2269260,'1',5,'N'),(15,2269260,'2',316,'N'),(15,2269279,'1',329,'N'),(15,2269279,'2',108,'N'),(15,2269287,'1',426,'N'),(15,2269287,'1A',428,'N'),(15,2269287,'2',320,'N'),(15,2269295,'1',319,'N'),(15,2269295,'2',103,'N'),(15,2269309,'1',103,'N'),(15,2269309,'2',303,'N'),(15,2269317,'1',301,'N'),(15,2269317,'2',302,'N'),(15,2269325,'1',216,'N'),(15,2269333,'1',415,'N'),(15,2269333,'2',404,'N'),(15,2269341,'1',9,'N'),(15,2269341,'2',319,'N'),(15,2269350,'1',329,'N'),(15,2269350,'2',450,'N'),(15,2269368,'1',404,'N'),(15,2269368,'2',423,'N'),(15,2269376,'1',238,'N'),(15,2269376,'1A',213,'N'),(15,2269376,'2',304,'N'),(15,2269384,'1',102,'N'),(15,2269384,'2',108,'N'),(15,2269392,'1',238,'N'),(15,2269392,'1A',208,'N'),(15,2269392,'2',327,'N'),(15,2269406,'1',502,'N'),(15,2269406,'2',222,'N'),(15,2269414,'1',201,'N'),(15,2269414,'1A',207,'N'),(15,2269414,'2',319,'N'),(15,2269430,'1',9,'N'),(15,2269430,'2',450,'N'),(15,2269449,'1',444,'N'),(15,2269449,'2',339,'N'),(15,2269457,'1',318,'N'),(15,2269457,'2',327,'N'),(15,2269465,'1',329,'N'),(15,2269465,'2',501,'N'),(15,2269473,'1',203,'N'),(15,2269473,'1A',201,'N'),(15,2269473,'2',233,'N'),(15,2269481,'1',215,'N'),(15,2269481,'1A',220,'N'),(15,2269481,'2',9,'N'),(15,2269490,'1',103,'N'),(15,2269490,'2',331,'N'),(15,2269503,'1',102,'N'),(15,2269503,'2',216,'N'),(15,2269511,'1',5,'N'),(15,2269511,'2',415,'N'),(15,2269520,'1',211,'N'),(15,2269520,'1A',215,'N'),(15,2269520,'2',501,'N'),(15,2269546,'1',420,'N'),(15,2269546,'2',333,'N'),(15,2269554,'1',5,'N'),(15,2269554,'2',316,'N'),(15,2269562,'1',329,'N'),(15,2269562,'2',450,'N'),(15,2269589,'1',319,'N'),(15,2269589,'2',501,'N'),(15,2269597,'1',303,'N'),(15,2269597,'2',310,'N'),(15,2269600,'1',415,'N'),(15,2269619,'1',238,'N'),(15,2269619,'1A',208,'N'),(15,2269619,'2',404,'N'),(15,2269627,'1',203,'N'),(15,2269627,'1A',202,'N'),(15,2269627,'2',317,'N'),(15,2269635,'1',217,'N'),(15,2269635,'2',502,'N'),(15,2269643,'1',103,'N'),(15,2269643,'2',108,'N'),(15,2269651,'1',317,'N'),(15,2269651,'2',316,'N'),(15,2269660,'1',104,'N'),(15,2269660,'2',211,'N'),(15,2269678,'1',102,'N'),(15,2269678,'2',339,'N'),(15,2269686,'1',101,'N'),(15,2269686,'2',320,'N'),(15,2269694,'1',404,'N'),(15,2269694,'2',308,'N'),(15,2269708,'1',207,'N'),(15,2269708,'2',301,'N'),(15,2269716,'1',9,'N'),(15,2269716,'2',324,'N'),(15,2269724,'1',316,'N'),(15,2269724,'2',304,'N'),(15,2269732,'1',233,'N'),(15,2269732,'1A',202,'N'),(15,2269732,'2',216,'N'),(15,2269740,'1',317,'N'),(15,2269740,'2',318,'N'),(15,2269759,'1',211,'N'),(15,2269759,'2',404,'N'),(15,2269767,'1',5,'N'),(15,2269767,'2',415,'N'),(15,2269775,'1',201,'N'),(15,2269775,'1A',212,'N'),(15,2269775,'2',233,'N'),(15,2269783,'1',108,'N'),(15,2269783,'2',234,'N'),(15,2269791,'1',308,'N'),(15,2269791,'2',339,'N'),(15,2269805,'1',103,'N'),(15,2269805,'2',101,'N'),(15,2269821,'1',103,'N'),(15,2269821,'2',104,'N'),(15,2269848,'1',108,'N'),(15,2269848,'2',217,'N'),(15,2269856,'1',103,'N'),(15,2269856,'2',211,'N'),(15,2269864,'1',207,'N'),(15,2269864,'1A',201,'N'),(15,2269864,'2',420,'N'),(15,2269872,'1',104,'N'),(15,2269872,'2',319,'N'),(15,2269880,'1',103,'N'),(15,2269899,'1',333,'N'),(15,2269899,'2',501,'N'),(15,2269910,'1',9,'N'),(15,2269910,'2',404,'N'),(15,2269929,'1',331,'N'),(15,2269937,'1',101,'N'),(15,2269937,'2',427,'N'),(15,2269945,'1',103,'N'),(15,2269945,'2',9,'N'),(15,2269961,'1',5,'N'),(15,2269970,'1',211,'N'),(15,2269970,'2',215,'N'),(15,2269988,'1',103,'N'),(15,2269996,'1',103,'N'),(15,2269996,'2',104,'N'),(15,2270005,'1',319,'N'),(15,2270005,'2',104,'N'),(15,2270013,'1',302,'N'),(15,2270013,'2',222,'N'),(15,2270021,'1',103,'N'),(15,2270021,'2',420,'N'),(15,2270030,'1',102,'N'),(15,2270030,'2',216,'N'),(15,2270056,'1',203,'N'),(15,2270056,'1A',201,'N'),(15,2270056,'2',202,'N'),(15,2270064,'1',207,'N'),(15,2270064,'2',420,'N'),(15,2270072,'1',421,'N'),(15,2270072,'1A',427,'N'),(15,2270072,'2',424,'N'),(15,2270099,'1',214,'N'),(15,2270102,'1',201,'N'),(15,2270102,'1A',207,'N'),(15,2270102,'2',208,'N'),(15,2270110,'1',316,'N'),(15,2270110,'2',233,'N'),(15,2270129,'1',211,'N'),(15,2270129,'1A',214,'N'),(15,2270129,'2',212,'N'),(15,2270137,'1',103,'N'),(15,2270137,'2',5,'N'),(15,2270145,'1',333,'N'),(15,2270145,'2',207,'N'),(15,2270153,'1',9,'N'),(15,2270153,'2',428,'N'),(15,2270161,'1',207,'N'),(15,2270161,'2',302,'N'),(15,2270170,'1',319,'N'),(15,2270170,'2',423,'N'),(15,2270188,'1',333,'N'),(15,2270188,'2',211,'N'),(15,2270196,'1',216,'N'),(15,2270196,'1A',215,'N'),(15,2270196,'2',301,'N'),(15,2270200,'1',451,'N'),(15,2270200,'2',450,'N'),(15,2270218,'1',207,'N'),(15,2270218,'1A',201,'N'),(15,2270218,'2',104,'N'),(15,2270226,'1',103,'N'),(15,2270226,'2',5,'N'),(15,2270234,'1',202,'N'),(15,2270234,'1A',203,'N'),(15,2270234,'2',201,'N'),(15,2270242,'1',103,'N'),(15,2270250,'1',420,'N'),(15,2270250,'2',207,'N'),(15,2270277,'1',104,'N'),(15,2270277,'2',102,'N'),(15,2270285,'1',201,'N'),(15,2270285,'1A',212,'N'),(15,2270285,'2',211,'N'),(15,2270293,'1',211,'N'),(15,2270293,'1A',216,'N'),(15,2270293,'2',215,'N'),(15,2270307,'1',103,'N'),(15,2270307,'2',108,'N'),(15,2270315,'1',224,'N'),(15,2270315,'2',222,'N'),(15,2270323,'1',202,'N'),(15,2270323,'1A',208,'N'),(15,2270323,'2',301,'N'),(15,2270331,'1',103,'N'),(15,2270331,'2',108,'N'),(15,2270340,'1',9,'N'),(15,2270358,'1',212,'N'),(15,2270358,'1A',201,'N'),(15,2270358,'2',211,'N'),(15,2270366,'1',102,'N'),(15,2270366,'2',9,'N'),(15,2270374,'1',234,'N'),(15,2270374,'2',326,'N'),(15,2270382,'1',238,'N'),(15,2270382,'1A',208,'N'),(15,2270382,'2',415,'N'),(15,2270412,'1',208,'N'),(15,2270412,'1A',238,'N'),(15,2270412,'2',9,'N'),(15,2270420,'1',103,'N'),(15,2270439,'1',301,'N'),(15,2270439,'2',104,'N'),(15,2270447,'1',420,'N'),(15,2270447,'2',450,'N'),(15,2270455,'1',104,'N'),(15,2270455,'2',215,'N'),(15,2270463,'1',103,'N'),(15,2270463,'2',502,'N'),(15,2270471,'1',104,'N'),(15,2270471,'2',309,'N'),(15,2270480,'1',224,'N'),(15,2270480,'2',222,'N'),(15,2270498,'1',202,'N'),(15,2270498,'1A',213,'N'),(15,2270498,'2',220,'N'),(15,2270501,'1',103,'N'),(15,2270501,'2',201,'N'),(15,2270510,'1',104,'N'),(15,2270510,'2',9,'N'),(15,2270528,'1',103,'N'),(15,2270544,'1',208,'N'),(15,2270544,'2',202,'N'),(15,2270552,'1',501,'N'),(15,2270552,'2',404,'N'),(15,2270560,'1',450,'N'),(15,2270560,'2',421,'N'),(15,2270579,'1',108,'N'),(15,2270579,'2',211,'N'),(15,2270595,'1',316,'N'),(15,2270595,'2',451,'N'),(15,2270609,'1',425,'N'),(15,2270609,'1A',429,'N'),(15,2270609,'2',9,'N'),(15,2270617,'1',303,'N'),(15,2270617,'2',319,'N'),(15,2270625,'1',238,'N'),(15,2270625,'2',339,'N'),(15,2270633,'1',208,'N'),(15,2270633,'1A',238,'N'),(15,2270633,'2',444,'N'),(15,2270641,'1',316,'N'),(15,2270641,'2',420,'N'),(15,2270650,'1',103,'N'),(15,2270650,'2',203,'N'),(15,2270668,'1',103,'N'),(15,2270668,'2',108,'N'),(15,2270676,'1',215,'N'),(15,2270676,'1A',233,'N'),(15,2270676,'2',217,'N'),(15,2270684,'1',103,'N'),(15,2270684,'2',9,'N'),(15,2270692,'1',319,'N'),(15,2270692,'2',108,'N'),(15,2270706,'1',201,'N'),(15,2270706,'1A',238,'N'),(15,2270706,'2',222,'N'),(15,2270714,'1',304,'N'),(15,2270714,'2',318,'N'),(15,2270722,'1',108,'N'),(15,2270722,'2',320,'N'),(15,2270730,'1',201,'N'),(15,2270730,'1A',212,'N'),(15,2270730,'2',202,'N'),(15,2270749,'1',213,'N'),(15,2270749,'1A',238,'N'),(15,2270749,'2',222,'N'),(15,2270773,'1',318,'N'),(15,2270773,'2',404,'N'),(15,2270781,'1',420,'N'),(15,2270781,'2',9,'N'),(15,2270820,'1',220,'N'),(15,2270820,'1A',202,'N'),(15,2270838,'1',203,'N'),(15,2270838,'2',201,'N'),(15,2270846,'1',501,'N'),(15,2270846,'2',324,'N'),(15,2270854,'1',502,'N'),(15,2270854,'2',404,'N'),(15,2270862,'1',203,'N'),(15,2270870,'1',319,'N'),(15,2270870,'2',428,'N'),(15,2270889,'1',203,'N'),(15,2270889,'1A',208,'N'),(15,2270889,'2',201,'N'),(15,2270897,'1',238,'N'),(15,2270897,'1A',213,'N'),(15,2270897,'2',332,'N'),(15,2270900,'1',5,'N'),(15,2270900,'2',425,'N'),(15,2270919,'1',214,'N'),(15,2270919,'2',501,'N'),(15,2270927,'1',301,'N'),(15,2270935,'1',103,'N'),(15,2270935,'2',207,'N'),(15,2270943,'1',319,'N'),(15,2270943,'2',331,'N'),(15,2270951,'1',211,'N'),(15,2270951,'1A',213,'N'),(15,2270951,'2',2,'N'),(15,2270960,'1',103,'N'),(15,2270960,'2',319,'N'),(15,2270978,'1',225,'N'),(15,2270978,'2',327,'N'),(15,2270986,'1',5,'N'),(15,2270986,'2',329,'N'),(15,2270994,'1',214,'N'),(15,2270994,'1A',202,'N'),(15,2271001,'1',238,'N'),(15,2271001,'1A',207,'N'),(15,2271010,'1',420,'N'),(15,2271010,'2',207,'N'),(15,2271036,'1',444,'N'),(15,2271036,'2',333,'N'),(15,2271052,'1',333,'N'),(15,2271052,'2',102,'N'),(15,2271060,'1',317,'N'),(15,2271060,'2',444,'N'),(15,2271079,'1',103,'N'),(15,2271079,'2',104,'N'),(15,2271087,'1',5,'N'),(15,2271087,'2',318,'N'),(15,2271095,'1',214,'N'),(15,2271095,'1A',208,'N'),(15,2271095,'2',2,'N'),(15,2271117,'1',404,'N'),(15,2271117,'2',310,'N'),(15,2271133,'1',450,'N'),(15,2271133,'2',428,'N'),(15,2271141,'1',104,'N'),(15,2271141,'2',301,'N'),(15,2271150,'1',102,'N'),(15,2271150,'2',104,'N'),(15,2271168,'1',103,'N'),(15,2271168,'2',9,'N'),(15,2271176,'1',318,'N'),(15,2271176,'2',316,'N'),(15,2271184,'1',103,'N'),(15,2271184,'2',303,'N'),(15,2271192,'1',202,'N'),(15,2271192,'1A',208,'N'),(15,2271192,'2',201,'N'),(15,2271206,'1',101,'N'),(15,2271206,'2',501,'N'),(15,2271222,'1',420,'N'),(15,2271222,'2',426,'N'),(15,2271230,'1',103,'N'),(15,2271230,'2',327,'N'),(15,2271249,'1',108,'N'),(15,2271249,'2',319,'N'),(15,2271257,'1',327,'N'),(15,2271257,'2',320,'N'),(15,2271265,'1',103,'N'),(15,2271265,'2',102,'N'),(15,2271273,'1',316,'N'),(15,2271273,'2',211,'N'),(15,2271290,'1',304,'N'),(15,2271290,'2',318,'N'),(15,2271303,'1',5,'N'),(15,2271303,'2',319,'N'),(15,2271311,'1',308,'N'),(15,2271311,'2',324,'N'),(15,2271320,'1',339,'N'),(15,2271320,'2',308,'N'),(15,2271338,'1',329,'N'),(15,2271338,'2',426,'N'),(15,2271346,'1',108,'N'),(15,2271346,'2',234,'N'),(15,2271354,'1',103,'N'),(15,2271362,'1',444,'N'),(15,2271362,'2',404,'N'),(15,2271370,'1',331,'N'),(15,2271370,'2',427,'N'),(15,2271389,'1',5,'N'),(15,2271389,'2',415,'N'),(15,2271397,'1',103,'N'),(15,2271400,'1',207,'N'),(15,2271400,'1A',201,'N'),(15,2271400,'2',301,'N'),(15,2271419,'1',303,'N'),(15,2271419,'2',5,'N'),(15,2271427,'1',102,'N'),(15,2271427,'2',217,'N'),(15,2271435,'1',415,'N'),(15,2271435,'2',326,'N'),(15,2271443,'1',319,'N'),(15,2271443,'2',303,'N'),(15,2271451,'1',203,'N'),(15,2271451,'1A',238,'N'),(15,2271451,'2',332,'N'),(15,2271460,'1',103,'N'),(15,2271460,'2',333,'N'),(15,2271478,'1',103,'N'),(15,2271486,'1',103,'N'),(15,2271486,'2',9,'N'),(15,2271494,'1',208,'N'),(15,2271494,'1A',238,'N'),(15,2271494,'2',324,'N'),(15,2271508,'1',332,'N'),(15,2271508,'2',451,'N'),(15,2271516,'1',207,'N'),(15,2271516,'1A',203,'N'),(15,2271516,'2',404,'N'),(15,2271540,'1',303,'N'),(15,2271540,'2',302,'N'),(15,2271559,'1',415,'N'),(15,2271559,'2',201,'N'),(15,2271567,'1',327,'N'),(15,2271567,'2',316,'N'),(15,2271575,'1',317,'N'),(15,2271575,'2',234,'N'),(15,2271583,'1',501,'N'),(15,2271583,'2',108,'N'),(15,2271591,'1',102,'N'),(15,2271591,'2',217,'N'),(15,2271605,'1',425,'N'),(15,2271605,'1A',429,'N'),(15,2271613,'1',429,'N'),(15,2271613,'1A',425,'N'),(15,2271613,'2',327,'N'),(15,2271630,'1',103,'N'),(15,2271630,'2',102,'N'),(15,2271648,'1',108,'N'),(15,2271648,'2',333,'N'),(15,2271656,'1',108,'N'),(15,2271664,'1',333,'N'),(15,2271664,'2',211,'N'),(15,2271672,'1',108,'N'),(15,2271672,'2',211,'N'),(15,2271680,'1',207,'N'),(15,2271680,'1A',208,'N'),(15,2271680,'2',223,'N'),(15,2271699,'1',302,'N'),(15,2271699,'2',222,'N'),(15,2271702,'1',303,'N'),(15,2271702,'2',326,'N'),(15,2271710,'1',101,'N'),(15,2271710,'2',102,'N'),(15,2271729,'1',333,'N'),(15,2271729,'2',211,'N'),(15,2271737,'1',238,'N'),(15,2271737,'1A',208,'N'),(15,2271737,'2',444,'N'),(15,2271745,'1',201,'N'),(15,2271745,'1A',202,'N'),(15,2271745,'2',317,'N'),(15,2271753,'1',9,'N'),(15,2271753,'2',317,'N'),(15,2271761,'1',234,'N'),(15,2271761,'2',223,'N'),(15,2271770,'1',103,'N'),(15,2271788,'1',310,'N'),(15,2271788,'2',320,'N'),(15,2271796,'1',415,'N'),(15,2271796,'2',207,'N'),(15,2271800,'1',103,'N'),(15,2271800,'2',104,'N'),(15,2271818,'1',101,'N'),(15,2271818,'2',102,'N'),(15,2271826,'1',103,'N'),(15,2271826,'2',207,'N'),(15,2271834,'1',327,'N'),(15,2271834,'2',332,'N'),(15,2271842,'1',208,'N'),(15,2271842,'1A',202,'N'),(15,2271850,'1',2,'N'),(15,2271850,'2',415,'N'),(15,2271869,'1',5,'N'),(15,2271869,'2',316,'N'),(15,2271877,'1',207,'N'),(15,2271877,'2',444,'N'),(15,2271885,'1',203,'N'),(15,2271885,'1A',214,'N'),(15,2271885,'2',202,'N'),(15,2271893,'1',238,'N'),(15,2271893,'1A',208,'N'),(15,2271893,'2',316,'N'),(15,2271907,'1',217,'N'),(15,2271907,'2',225,'N'),(15,2271915,'1',103,'N'),(15,2271915,'2',104,'N'),(15,2271923,'1',318,'N'),(15,2271923,'2',316,'N'),(15,2271931,'1',217,'N'),(15,2271931,'2',339,'N'),(15,2271958,'1',415,'N'),(15,2271958,'2',319,'N'),(15,2271966,'1',501,'N'),(15,2271966,'2',320,'N'),(15,2271974,'1',104,'N'),(15,2271974,'2',102,'N'),(15,2271982,'1',234,'N'),(15,2271982,'2',502,'N'),(15,2271990,'1',207,'N'),(15,2271990,'2',332,'N'),(15,2272008,'1',211,'N'),(15,2272008,'1A',207,'N'),(15,2272008,'2',420,'N'),(15,2272016,'1',103,'N'),(15,2272016,'2',303,'N'),(15,2272024,'1',207,'N'),(15,2272024,'1A',220,'N'),(15,2272024,'2',420,'N'),(15,2272040,'1',5,'N'),(15,2272040,'2',303,'N'),(15,2272059,'1',301,'N'),(15,2272059,'2',318,'N'),(15,2272067,'1',216,'N'),(15,2272067,'1A',215,'N'),(15,2272067,'2',316,'N'),(15,2272075,'1',316,'N'),(15,2272075,'2',317,'N'),(15,2272083,'1',317,'N'),(15,2272083,'2',225,'N'),(15,2272091,'1',203,'N'),(15,2272091,'1A',202,'N'),(15,2272091,'2',304,'N'),(15,2272105,'1',203,'N'),(15,2272105,'1A',201,'N'),(15,2272105,'2',214,'N'),(15,2272113,'1',301,'N'),(15,2272113,'2',316,'N'),(15,2272121,'1',103,'N'),(15,2272121,'2',327,'N'),(15,2272130,'1',220,'N'),(15,2272130,'1A',214,'N'),(15,2272130,'2',203,'N'),(15,2272148,'1',5,'N'),(15,2272148,'2',339,'N'),(15,2272156,'1',212,'N'),(15,2272156,'2',301,'N'),(15,2272164,'1',103,'N'),(15,2272164,'2',101,'N'),(15,2272172,'1',238,'N'),(15,2272172,'2',225,'N'),(15,2272180,'1',220,'N'),(15,2272180,'1A',203,'N'),(15,2272180,'2',202,'N'),(15,2272199,'1',108,'N'),(15,2272199,'2',326,'N'),(15,2272202,'1',102,'N'),(15,2272202,'2',211,'N'),(15,2272210,'1',5,'N'),(15,2272210,'2',319,'N'),(15,2272229,'1',108,'N'),(15,2272229,'2',101,'N'),(15,2272253,'1',103,'N'),(15,2272253,'2',501,'N'),(15,2272261,'1',309,'N'),(15,2272261,'2',339,'N'),(15,2272270,'1',427,'N'),(15,2272270,'1A',426,'N'),(15,2272270,'2',302,'N'),(15,2272288,'1',309,'N'),(15,2272288,'2',303,'N'),(15,2272296,'1',103,'N'),(15,2272296,'2',104,'N'),(15,2272300,'1',207,'N'),(15,2272300,'1A',238,'N'),(15,2272300,'2',332,'N'),(15,2272318,'1',220,'N'),(15,2272318,'1A',211,'N'),(15,2272318,'2',201,'N'),(15,2272326,'1',238,'N'),(15,2272326,'1A',208,'N'),(15,2272326,'2',5,'N'),(15,2272334,'1',301,'N'),(15,2272334,'2',326,'N'),(15,2272342,'1',103,'N'),(15,2272342,'2',104,'N'),(15,2272350,'1',329,'N'),(15,2272350,'2',108,'N'),(15,2272369,'1',103,'N'),(15,2272369,'2',333,'N'),(15,2272377,'1',208,'N'),(15,2272377,'1A',238,'N'),(15,2272377,'2',9,'N'),(15,2272393,'1',327,'N'),(15,2272393,'2',320,'N'),(15,2272407,'1',103,'N'),(15,2272407,'2',450,'N'),(15,2272415,'1',212,'N'),(15,2272415,'1A',214,'N'),(15,2272415,'2',234,'N'),(15,2272423,'1',415,'N'),(15,2272423,'2',429,'N'),(15,2272431,'1',103,'N'),(15,2272431,'2',217,'N'),(15,2272440,'1',317,'N'),(15,2272440,'2',329,'N'),(15,2272458,'1',203,'N'),(15,2272458,'1A',202,'N'),(15,2272458,'2',214,'N'),(15,2272466,'1',222,'N'),(15,2272474,'1',211,'N'),(15,2272474,'1A',213,'N'),(15,2272474,'2',216,'N'),(15,2272482,'1',103,'N'),(15,2272490,'1',201,'N'),(15,2272490,'1A',212,'N'),(15,2272490,'2',214,'N'),(15,2272504,'1',212,'N'),(15,2272504,'1A',202,'N'),(15,2272504,'2',318,'N'),(15,2272520,'1',238,'N'),(15,2272520,'1A',208,'N'),(15,2272539,'1',238,'N'),(15,2272539,'1A',216,'N'),(15,2272539,'2',327,'N'),(15,2272547,'1',103,'N'),(15,2272547,'2',217,'N'),(15,2272571,'1',103,'N'),(15,2272571,'2',319,'N'),(15,2272580,'1',331,'N'),(15,2272580,'2',326,'N'),(15,2272598,'1',103,'N'),(15,2272598,'2',217,'N'),(15,2272601,'1',420,'N'),(15,2272601,'2',104,'N'),(15,2272610,'1',319,'N'),(15,2272610,'2',327,'N'),(15,2272628,'1',238,'N'),(15,2272628,'1A',213,'N'),(15,2272628,'2',425,'N'),(15,2272636,'1',320,'N'),(15,2272636,'2',5,'N'),(15,2272644,'1',420,'N'),(15,2272652,'1',303,'N'),(15,2272652,'2',104,'N'),(15,2272660,'1',420,'N'),(15,2272660,'2',203,'N'),(15,2272679,'1',303,'N'),(15,2272679,'2',301,'N'),(15,2272687,'1',103,'N'),(15,2272687,'2',319,'N'),(15,2272695,'1',238,'N'),(15,2272695,'1A',212,'N'),(15,2272695,'2',324,'N'),(15,2272709,'1',501,'N'),(15,2272709,'2',216,'N'),(15,2272725,'1',319,'N'),(15,2272725,'2',333,'N'),(15,2272733,'1',103,'N'),(15,2272733,'2',101,'N'),(15,2272741,'1',104,'N'),(15,2272741,'2',207,'N'),(15,2272750,'1',103,'N'),(15,2272750,'2',102,'N'),(15,2272768,'1',329,'N'),(15,2272768,'2',333,'N'),(15,2272776,'1',103,'N'),(15,2272776,'2',301,'N'),(15,2272784,'1',216,'N'),(15,2272784,'1A',203,'N'),(15,2272784,'2',102,'N'),(15,2272792,'1',5,'N'),(15,2272792,'2',316,'N'),(15,2272806,'1',451,'N'),(15,2272806,'2',329,'N'),(15,2272814,'1',444,'N'),(15,2272814,'2',304,'N'),(15,2272822,'1',238,'N'),(15,2272822,'1A',201,'N'),(15,2272822,'2',316,'N'),(15,2272830,'1',451,'N'),(15,2272830,'2',424,'N'),(15,2272857,'1',103,'N'),(15,2272865,'1',103,'N'),(15,2272865,'2',5,'N'),(15,2272873,'1',316,'N'),(15,2272873,'2',301,'N'),(15,2272881,'1',101,'N'),(15,2272881,'2',9,'N'),(15,2272890,'1',201,'N'),(15,2272890,'1A',202,'N'),(15,2272890,'2',222,'N'),(15,2272903,'1',5,'N'),(15,2272903,'2',207,'N'),(15,2272911,'1',415,'N'),(15,2272911,'2',326,'N'),(15,2272938,'1',103,'N'),(15,2272946,'1',324,'N'),(15,2272946,'2',320,'N'),(15,2272954,'1',103,'N'),(15,2272954,'2',101,'N'),(15,2272962,'1',318,'N'),(15,2272962,'2',217,'N'),(15,2272970,'1',428,'N'),(15,2272970,'1A',426,'N'),(15,2272970,'2',429,'N'),(15,2272997,'1',332,'N'),(15,2272997,'2',102,'N'),(15,2273004,'1',104,'N'),(15,2273004,'2',216,'N'),(15,2273012,'1',333,'N'),(15,2273012,'2',238,'N'),(15,2273020,'1',333,'N'),(15,2273020,'2',326,'N'),(15,2273039,'1',202,'N'),(15,2273039,'1A',233,'N'),(15,2273039,'2',203,'N'),(15,2273047,'1',103,'N'),(15,2273047,'2',9,'N'),(15,2273055,'1',104,'N'),(15,2273055,'2',331,'N'),(15,2273063,'1',207,'N'),(15,2273063,'1A',201,'N'),(15,2273063,'2',308,'N'),(15,2273071,'1',224,'N'),(15,2273071,'2',324,'N'),(15,2273080,'1',103,'N'),(15,2273080,'2',9,'N'),(15,2273098,'1',215,'N'),(15,2273098,'1A',211,'N'),(15,2273098,'2',216,'N'),(15,2273101,'1',201,'N'),(15,2273101,'1A',211,'N'),(15,2273101,'2',215,'N'),(15,2273110,'1',316,'N'),(15,2273110,'2',304,'N'),(15,2273128,'1',203,'N'),(15,2273128,'1A',214,'N'),(15,2273128,'2',233,'N'),(15,2273136,'1',108,'N'),(15,2273136,'2',9,'N'),(15,2273144,'1',316,'N'),(15,2273144,'2',317,'N'),(15,2273152,'1',238,'N'),(15,2273152,'1A',208,'N'),(15,2273152,'2',332,'N'),(15,2273160,'1',103,'N'),(15,2273179,'1',103,'N'),(15,2273179,'2',9,'N'),(15,2273187,'1',216,'N'),(15,2273187,'1A',211,'N'),(15,2273187,'2',220,'N'),(15,2273195,'1',301,'N'),(15,2273195,'2',211,'N'),(15,2273209,'1',339,'N'),(15,2273209,'2',329,'N'),(15,2273217,'1',103,'N'),(15,2273217,'2',303,'N'),(15,2273225,'1',103,'N'),(15,2273225,'2',102,'N'),(15,2273233,'1',104,'N'),(15,2273233,'2',303,'N'),(15,2273241,'1',333,'N'),(15,2273241,'2',234,'N'),(15,2273250,'1',103,'N'),(15,2273268,'1',5,'N'),(15,2273268,'2',318,'N'),(15,2273276,'1',303,'N'),(15,2273276,'2',5,'N'),(15,2273284,'1',450,'N'),(15,2273284,'2',415,'N'),(15,2273292,'1',103,'N'),(15,2273292,'2',101,'N'),(15,2273306,'1',444,'N'),(15,2273306,'2',234,'N'),(15,2273314,'1',103,'N'),(15,2273314,'2',108,'N'),(15,2273322,'1',319,'N'),(15,2273322,'2',9,'N'),(15,2273330,'1',220,'N'),(15,2273330,'1A',203,'N'),(15,2273330,'2',213,'N'),(15,2273349,'1',333,'N'),(15,2273349,'2',108,'N'),(15,2273357,'1',301,'N'),(15,2273357,'2',316,'N'),(15,2273365,'1',104,'N'),(15,2273365,'2',201,'N'),(15,2273373,'1',9,'N'),(15,2273373,'2',301,'N'),(15,2273381,'1',203,'N'),(15,2273381,'2',214,'N'),(15,2273390,'1',103,'N'),(15,2273390,'2',316,'N'),(15,2273411,'1',404,'N'),(15,2273411,'2',339,'N'),(15,2273420,'1',104,'N'),(15,2273420,'2',103,'N'),(15,2273438,'1',303,'N'),(15,2273438,'2',301,'N'),(15,2273446,'1',415,'N'),(15,2273446,'2',444,'N'),(15,2273454,'1',103,'N'),(15,2273454,'2',104,'N'),(15,2273462,'1',420,'N'),(15,2273462,'2',303,'N'),(15,2273470,'1',420,'N'),(15,2273470,'2',332,'N'),(15,2273489,'1',317,'N'),(15,2273489,'2',308,'N'),(15,2273497,'1',415,'N'),(15,2273497,'2',326,'N'),(15,2273500,'1',217,'N'),(15,2273500,'2',102,'N'),(15,2273519,'1',104,'N'),(15,2273527,'1',326,'N'),(15,2273535,'1',501,'N'),(15,2273535,'2',303,'N'),(15,2273543,'1',303,'N'),(15,2273543,'2',5,'N'),(15,2273560,'1',238,'N'),(15,2273560,'1A',208,'N'),(15,2273560,'2',451,'N'),(15,2273578,'1',332,'N'),(15,2273578,'2',333,'N'),(15,2273586,'1',450,'N'),(15,2273586,'2',420,'N'),(15,2273594,'1',104,'N'),(15,2273594,'2',9,'N'),(15,2273608,'1',220,'N'),(15,2273608,'1A',208,'N'),(15,2273608,'2',101,'N'),(15,2273616,'1',420,'N'),(15,2273616,'2',425,'N'),(15,2273632,'1',420,'N'),(15,2273632,'2',415,'N'),(15,2273640,'1',310,'N'),(15,2273640,'2',423,'N'),(15,2273659,'1',302,'N'),(15,2273659,'2',304,'N'),(15,2273667,'1',220,'N'),(15,2273667,'2',333,'N'),(15,2273675,'1',103,'N'),(15,2273675,'2',102,'N'),(15,2273691,'1',316,'N'),(15,2273691,'2',318,'N'),(15,2273705,'1',420,'N'),(15,2273705,'2',201,'N'),(15,2273713,'1',203,'N'),(15,2273713,'1A',202,'N'),(15,2273713,'2',2,'N'),(15,2273721,'1',444,'N'),(15,2273721,'2',501,'N'),(15,2273730,'1',333,'N'),(15,2273730,'2',202,'N'),(15,2273748,'1',9,'N'),(15,2273756,'1',333,'N'),(15,2273756,'2',234,'N'),(15,2273764,'1',211,'N'),(15,2273764,'1A',214,'N'),(15,2273764,'2',201,'N'),(15,2273772,'1',201,'N'),(15,2273772,'1A',202,'N'),(15,2273772,'2',420,'N'),(15,2273780,'1',423,'N'),(15,2273780,'1A',427,'N'),(15,2273780,'2',421,'N'),(15,2273799,'1',5,'N'),(15,2273799,'2',320,'N'),(15,2273802,'1',238,'N'),(15,2273802,'1A',208,'N'),(15,2273802,'2',318,'N'),(15,2273810,'1',316,'N'),(15,2273810,'2',333,'N'),(15,2273837,'1',303,'N'),(15,2273837,'2',310,'N'),(15,2273845,'1',415,'N'),(15,2273853,'1',207,'N'),(15,2273853,'1A',233,'N'),(15,2273853,'2',217,'N'),(15,2273870,'1',102,'N'),(15,2273870,'2',103,'N'),(15,2273900,'1',211,'N'),(15,2273900,'2',329,'N'),(15,2273918,'1',319,'N'),(15,2273918,'2',309,'N'),(15,2273934,'1',303,'N'),(15,2273934,'2',319,'N'),(15,2273942,'1',303,'N'),(15,2273942,'2',333,'N'),(15,2273969,'1',303,'N'),(15,2273969,'2',301,'N'),(15,2273977,'1',316,'N'),(15,2273977,'2',317,'N'),(15,2273985,'1',208,'N'),(15,2273985,'1A',238,'N'),(15,2273985,'2',222,'N'),(15,2273993,'1',316,'N'),(15,2273993,'2',308,'N'),(15,2274000,'1',450,'N'),(15,2274000,'2',208,'N'),(15,2274019,'1',103,'N'),(15,2274019,'2',5,'N'),(15,2274027,'1',301,'N'),(15,2274027,'2',316,'N'),(15,2274035,'1',203,'N'),(15,2274035,'1A',214,'N'),(15,2274035,'2',233,'N'),(15,2274043,'1',207,'N'),(15,2274051,'1',444,'N'),(15,2274051,'2',502,'N'),(15,2274060,'1',216,'N'),(15,2274060,'1A',208,'N'),(15,2274060,'2',217,'N'),(15,2274078,'1',216,'N'),(15,2274078,'1A',215,'N'),(15,2274078,'2',404,'N'),(15,2274086,'1',415,'N'),(15,2274086,'2',2,'N'),(15,2274094,'1',207,'N'),(15,2274094,'1A',208,'N'),(15,2274094,'2',420,'N'),(15,2274108,'1',238,'N'),(15,2274108,'1A',202,'N'),(15,2274108,'2',421,'N'),(15,2274116,'1',103,'N'),(15,2274116,'2',201,'N'),(15,2274124,'1',327,'N'),(15,2274124,'2',5,'N'),(15,2274132,'1',203,'N'),(15,2274132,'1A',220,'N'),(15,2274132,'2',202,'N'),(15,2274140,'1',202,'N'),(15,2274140,'1A',216,'N'),(15,2274140,'2',203,'N'),(15,2274159,'1',103,'N'),(15,2274159,'2',217,'N'),(15,2274167,'1',203,'N'),(15,2274167,'1A',215,'N'),(15,2274167,'2',421,'N'),(15,2274175,'1',5,'N'),(15,2274175,'2',316,'N'),(15,2274183,'1',212,'N'),(15,2274183,'1A',211,'N'),(15,2274183,'2',451,'N'),(15,2274191,'1',316,'N'),(15,2274191,'2',339,'N'),(15,2274205,'1',103,'N'),(15,2274205,'2',339,'N'),(15,2274213,'1',308,'N'),(15,2274213,'2',339,'N'),(15,2274221,'1',429,'N'),(15,2274221,'1A',424,'N'),(15,2274221,'2',502,'N'),(15,2274230,'1',404,'N'),(15,2274230,'2',301,'N'),(15,2274248,'1',5,'N'),(15,2274248,'2',104,'N'),(15,2274256,'1',224,'N'),(15,2274264,'1',303,'N'),(15,2274264,'2',108,'N'),(15,2274272,'1',208,'N'),(15,2274272,'1A',238,'N'),(15,2274272,'2',201,'N'),(15,2274280,'1',208,'N'),(15,2274280,'2',238,'N'),(15,2274299,'1',211,'N'),(15,2274299,'1A',212,'N'),(15,2274299,'2',333,'N'),(15,2274302,'1',103,'N'),(15,2274302,'2',104,'N'),(15,2274310,'1',203,'N'),(15,2274310,'1A',202,'N'),(15,2274310,'2',234,'N'),(15,2274329,'1',424,'N'),(15,2274329,'1A',421,'N'),(15,2274329,'2',301,'N'),(15,2274337,'1',103,'N'),(15,2274345,'1',425,'N'),(15,2274345,'1A',428,'N'),(15,2274345,'2',424,'N'),(15,2274353,'1',207,'N'),(15,2274353,'1A',216,'N'),(15,2274353,'2',415,'N'),(15,2274361,'1',208,'N'),(15,2274361,'1A',238,'N'),(15,2274361,'2',421,'N'),(15,2274370,'1',316,'N'),(15,2274370,'2',333,'N'),(15,2274388,'1',203,'N'),(15,2274388,'1A',220,'N'),(15,2274388,'2',233,'N'),(15,2274396,'1',404,'N'),(15,2274396,'2',308,'N'),(15,2274400,'1',103,'N'),(15,2274400,'2',102,'N'),(15,2274418,'1',201,'N'),(15,2274418,'1A',212,'N'),(15,2274418,'2',207,'N'),(15,2274426,'1',333,'N'),(15,2274426,'2',108,'N'),(15,2274434,'1',444,'N'),(15,2274434,'2',303,'N'),(15,2274442,'1',214,'N'),(15,2274442,'1A',201,'N'),(15,2274442,'2',420,'N'),(15,2274450,'1',202,'N'),(15,2274450,'1A',213,'N'),(15,2274450,'2',2,'N'),(15,2274469,'1',108,'N'),(15,2274469,'2',331,'N'),(15,2274477,'1',103,'N'),(15,2274477,'2',220,'N'),(15,2274485,'1',104,'N'),(15,2274485,'2',319,'N'),(15,2274493,'1',103,'N'),(15,2274493,'2',216,'N'),(15,2274507,'1',327,'N'),(15,2274507,'2',425,'N'),(15,2274515,'1',214,'N'),(15,2274515,'1A',220,'N'),(15,2274515,'2',303,'N'),(15,2274523,'1',420,'N'),(15,2274523,'2',329,'N'),(15,2274531,'1',301,'N'),(15,2274531,'2',326,'N'),(15,2274558,'1',103,'N'),(15,2274558,'2',101,'N'),(15,2274566,'1',207,'N'),(15,2274566,'1A',201,'N'),(15,2274566,'2',212,'N'),(15,2274574,'1',9,'N'),(15,2274574,'2',415,'N'),(15,2274590,'1',103,'N'),(15,2274590,'2',303,'N'),(15,2274604,'1',103,'N'),(15,2274604,'2',101,'N'),(15,2274612,'1',103,'N'),(15,2274612,'2',102,'N'),(15,2274620,'1',339,'N'),(15,2274620,'2',327,'N'),(15,2274639,'1',211,'N'),(15,2274639,'1A',216,'N'),(15,2274639,'2',108,'N'),(15,2274647,'1',318,'N'),(15,2274647,'2',324,'N'),(15,2274655,'1',316,'N'),(15,2274655,'2',318,'N'),(15,2274663,'1',303,'N'),(15,2274663,'2',103,'N'),(15,2274671,'1',108,'N'),(15,2274671,'2',2,'N'),(15,2274680,'1',208,'N'),(15,2274680,'1A',238,'N'),(15,2274680,'2',302,'N'),(15,2274698,'1',104,'N'),(15,2274698,'2',301,'N'),(15,2274701,'1',203,'N'),(15,2274701,'1A',214,'N'),(15,2274701,'2',103,'N'),(15,2274710,'1',319,'N'),(15,2274710,'2',5,'N'),(15,2274728,'1',404,'N'),(15,2274728,'2',103,'N'),(15,2274736,'1',404,'N'),(15,2274736,'2',444,'N'),(15,2274744,'1',9,'N'),(15,2274752,'1',308,'N'),(15,2274752,'2',217,'N'),(15,2274760,'1',103,'N'),(15,2274760,'2',428,'N'),(15,2274779,'1',5,'N'),(15,2274779,'2',102,'N'),(15,2274795,'1',103,'N'),(15,2274809,'1',301,'N'),(15,2274809,'2',331,'N'),(15,2274817,'1',216,'N'),(15,2274825,'1',333,'N'),(15,2274825,'2',502,'N'),(15,2274833,'1',102,'N'),(15,2274833,'2',103,'N'),(15,2274841,'1',404,'N'),(15,2274841,'2',9,'N'),(15,2274850,'1',316,'N'),(15,2274850,'2',317,'N'),(15,2274868,'1',303,'N'),(15,2274868,'2',5,'N'),(15,2274876,'1',426,'N'),(15,2274876,'1A',423,'N'),(15,2274876,'2',451,'N'),(15,2274884,'1',502,'N'),(15,2274884,'2',304,'N'),(15,2274892,'1',214,'N'),(15,2274892,'1A',220,'N'),(15,2274892,'2',216,'N'),(15,2274906,'1',317,'N'),(15,2274906,'2',225,'N'),(15,2274914,'1',104,'N'),(15,2274914,'2',102,'N'),(15,2274922,'1',318,'N'),(15,2274922,'2',101,'N'),(15,2274949,'1',304,'N'),(15,2274949,'2',303,'N'),(15,2274957,'1',208,'N'),(15,2274957,'1A',238,'N'),(15,2274957,'2',425,'N'),(15,2274965,'1',211,'N'),(15,2274965,'1A',215,'N'),(15,2274965,'2',9,'N'),(15,2274973,'1',233,'N'),(15,2274973,'1A',214,'N'),(15,2274973,'2',207,'N'),(15,2274981,'1',319,'N'),(15,2274981,'2',328,'N'),(15,2274990,'1',201,'N'),(15,2274990,'2',212,'N'),(15,2275007,'1',108,'N'),(15,2275007,'2',332,'N'),(15,2275015,'1',316,'N'),(15,2275015,'2',301,'N'),(15,2275023,'1',214,'N'),(15,2275023,'1A',220,'N'),(15,2275023,'2',213,'N'),(15,2275031,'1',220,'N'),(15,2275031,'1A',202,'N'),(15,2275031,'2',208,'N'),(15,2275040,'1',301,'N'),(15,2275040,'2',326,'N'),(15,2275058,'1',201,'N'),(15,2275058,'1A',233,'N'),(15,2275058,'2',302,'N'),(15,2275066,'1',9,'N'),(15,2275074,'1',103,'N'),(15,2275074,'2',101,'N'),(15,2275082,'1',203,'N'),(15,2275082,'1A',216,'N'),(15,2275082,'2',103,'N'),(15,2275090,'1',328,'N'),(15,2275090,'2',415,'N'),(15,2275104,'1',301,'N'),(15,2275104,'2',102,'N'),(15,2275112,'1',423,'N'),(15,2275112,'1A',426,'N'),(15,2275112,'2',339,'N'),(15,2275120,'1',103,'N'),(15,2275120,'2',104,'N'),(15,2275147,'1',201,'N'),(15,2275147,'1A',233,'N'),(15,2275147,'2',212,'N'),(15,2275155,'1',103,'N'),(15,2275155,'2',415,'N'),(15,2275163,'1',103,'N'),(15,2275163,'2',5,'N'),(15,2275180,'1',9,'N'),(15,2275180,'2',102,'N'),(15,2275198,'1',304,'N'),(15,2275201,'1',502,'N'),(15,2275201,'2',211,'N'),(15,2275210,'1',424,'N'),(15,2275210,'1A',426,'N'),(15,2275210,'2',318,'N'),(15,2275228,'1',207,'N'),(15,2275228,'1A',211,'N'),(15,2275228,'2',327,'N'),(15,2275236,'1',303,'N'),(15,2275236,'2',5,'N'),(15,2275244,'1',103,'N'),(15,2275244,'2',104,'N'),(15,2275260,'1',203,'N'),(15,2275260,'1A',207,'N'),(15,2275260,'2',2,'N'),(15,2275279,'1',316,'N'),(15,2275287,'1',302,'N'),(15,2275287,'2',222,'N'),(15,2275309,'1',316,'N'),(15,2275309,'2',318,'N'),(15,2275317,'1',303,'N'),(15,2275317,'2',5,'N'),(15,2275325,'1',316,'N'),(15,2275325,'2',301,'N'),(15,2275333,'1',5,'N'),(15,2275333,'2',224,'N'),(15,2275341,'1',101,'N'),(15,2275341,'2',108,'N'),(15,2275350,'1',201,'N'),(15,2275350,'2',207,'N'),(15,2275368,'1',301,'N'),(15,2275368,'2',415,'N'),(15,2275376,'1',104,'N'),(15,2275376,'2',102,'N'),(15,2275384,'1',102,'N'),(15,2275384,'2',9,'N'),(15,2275392,'1',202,'N'),(15,2275392,'1A',213,'N'),(15,2275392,'2',222,'N'),(15,2275406,'1',303,'N'),(15,2275406,'2',302,'N'),(15,2275414,'1',451,'N'),(15,2275414,'2',427,'N'),(15,2275422,'1',326,'N'),(15,2275422,'2',421,'N'),(15,2275430,'1',444,'N'),(15,2275430,'2',215,'N'),(15,2275449,'1',103,'N'),(15,2275457,'1',103,'N'),(15,2275457,'2',415,'N'),(15,2275465,'1',101,'N'),(15,2275465,'2',108,'N'),(15,2275473,'1',207,'N'),(15,2275473,'1A',211,'N'),(15,2275473,'2',102,'N'),(15,2275481,'1',9,'N'),(15,2275481,'2',108,'N'),(15,2275490,'1',319,'N'),(15,2275490,'2',429,'N'),(15,2275503,'1',216,'N'),(15,2275503,'2',103,'N'),(15,2275511,'1',216,'N'),(15,2275511,'2',108,'N'),(15,2275520,'1',108,'N'),(15,2275520,'2',450,'N'),(15,2275538,'1',9,'N'),(15,2275538,'2',104,'N'),(15,2275546,'1',103,'N'),(15,2275546,'2',9,'N'),(15,2275562,'1',5,'N'),(15,2275562,'2',224,'N'),(15,2275589,'1',444,'N'),(15,2275589,'2',404,'N'),(15,2275597,'1',301,'N'),(15,2275597,'2',302,'N'),(15,2275600,'1',222,'N'),(15,2275600,'2',208,'N'),(15,2275619,'1',215,'N'),(15,2275619,'2',501,'N'),(15,2275627,'1',238,'N'),(15,2275627,'1A',208,'N'),(15,2275627,'2',302,'N'),(15,2275635,'1',224,'N'),(15,2275635,'2',318,'N'),(15,2275651,'1',224,'N'),(15,2275651,'2',225,'N'),(15,2275660,'1',444,'N'),(15,2275660,'2',404,'N'),(15,2275686,'1',103,'N'),(15,2275686,'2',207,'N'),(15,2275694,'1',214,'N'),(15,2275694,'1A',202,'N'),(15,2275694,'2',316,'N'),(15,2275708,'1',501,'N'),(15,2275708,'2',333,'N'),(15,2275716,'1',103,'N'),(15,2275716,'2',319,'N'),(15,2275724,'1',207,'N'),(15,2275724,'1A',220,'N'),(15,2275724,'2',420,'N'),(15,2275732,'1',202,'N'),(15,2275732,'1A',213,'N'),(15,2275732,'2',216,'N'),(15,2275740,'1',238,'N'),(15,2275740,'1A',208,'N'),(15,2275740,'2',415,'N'),(15,2275759,'1',415,'N'),(15,2275759,'2',324,'N'),(15,2275767,'1',333,'N'),(15,2275767,'2',234,'N'),(15,2275775,'1',319,'N'),(15,2275775,'2',339,'N'),(15,2275783,'1',333,'N'),(15,2275783,'2',331,'N'),(15,2275791,'1',429,'N'),(15,2275791,'1A',425,'N'),(15,2275791,'2',451,'N'),(15,2275805,'1',207,'N'),(15,2275805,'1A',203,'N'),(15,2275805,'2',427,'N'),(15,2275813,'1',501,'N'),(15,2275813,'2',108,'N'),(15,2275821,'1',102,'N'),(15,2275821,'2',9,'N'),(15,2275830,'1',425,'N'),(15,2275830,'1A',429,'N'),(15,2275830,'2',502,'N'),(15,2275848,'1',9,'N'),(15,2275848,'2',303,'N'),(15,2275856,'1',415,'N'),(15,2275856,'2',301,'N'),(15,2275864,'1',333,'N'),(15,2275864,'2',201,'N'),(15,2275872,'1',103,'N'),(15,2275872,'2',104,'N'),(15,2275880,'1',324,'N'),(15,2275880,'2',427,'N'),(15,2275899,'1',415,'N'),(15,2275899,'2',5,'N'),(15,2275902,'1',108,'N'),(15,2275902,'2',211,'N'),(15,2275910,'1',415,'N'),(15,2275910,'2',326,'N'),(15,2275937,'1',103,'N'),(15,2275937,'2',451,'N'),(15,2275945,'1',207,'N'),(15,2275953,'1',214,'N'),(15,2275961,'1',103,'N'),(15,2275961,'2',9,'N'),(15,2275970,'1',450,'N'),(15,2275970,'2',5,'N'),(15,2275988,'1',319,'N'),(15,2275988,'2',309,'N'),(15,2275996,'1',102,'N'),(15,2275996,'2',217,'N'),(15,2276003,'1',207,'N'),(15,2276011,'1',316,'N'),(15,2276011,'2',327,'N'),(15,2276020,'1',5,'N'),(15,2276020,'2',217,'N'),(15,2276038,'1',420,'N'),(15,2276038,'2',428,'N'),(15,2276046,'1',303,'N'),(15,2276046,'2',429,'N'),(15,2276054,'1',103,'N'),(15,2276054,'2',501,'N'),(15,2276062,'1',103,'N'),(15,2276062,'2',303,'N'),(15,2276070,'1',211,'N'),(15,2276070,'1A',233,'N'),(15,2276070,'2',316,'N'),(15,2276089,'1',103,'N'),(15,2276089,'2',102,'N'),(15,2276100,'1',301,'N'),(15,2276100,'2',211,'N'),(15,2276119,'1',444,'N'),(15,2276119,'2',404,'N'),(15,2276127,'1',217,'N'),(15,2276127,'2',420,'N'),(15,2276143,'1',104,'N'),(15,2276143,'2',303,'N'),(15,2276160,'1',316,'N'),(15,2276160,'2',301,'N'),(15,2276178,'1',303,'N'),(15,2276178,'2',304,'N'),(15,2276186,'1',332,'N'),(15,2276186,'2',9,'N'),(15,2276194,'1',217,'N'),(15,2276194,'2',223,'N'),(15,2276224,'1',211,'N'),(15,2276224,'1A',207,'N'),(15,2276224,'2',415,'N'),(15,2276232,'1',415,'N'),(15,2276232,'2',320,'N'),(15,2276259,'1',103,'N'),(15,2276267,'1',103,'N'),(15,2276267,'2',9,'N'),(15,2276275,'1',202,'N'),(15,2276275,'1A',213,'N'),(15,2276283,'1',216,'N'),(15,2276283,'1A',215,'N'),(15,2276283,'2',420,'N'),(15,2276291,'1',5,'N'),(15,2276291,'2',318,'N'),(15,2276305,'1',207,'N'),(15,2276305,'1A',216,'N'),(15,2276305,'2',217,'N'),(15,2276313,'1',108,'N'),(15,2276313,'2',211,'N'),(15,2276321,'1',202,'N'),(15,2276321,'1A',203,'N'),(15,2276321,'2',216,'N'),(15,2276330,'1',415,'N'),(15,2276330,'2',108,'N'),(15,2276348,'1',208,'N'),(15,2276348,'1A',238,'N'),(15,2276348,'2',318,'N'),(15,2276364,'1',304,'N'),(15,2276364,'2',302,'N'),(15,2276372,'1',216,'N'),(15,2276372,'1A',215,'N'),(15,2276372,'2',217,'N'),(15,2276399,'1',212,'N'),(15,2276399,'1A',201,'N'),(15,2276399,'2',316,'N'),(15,2276402,'1',104,'N'),(15,2276402,'2',108,'N'),(15,2276410,'1',102,'N'),(15,2276410,'2',101,'N'),(15,2276429,'1',211,'N'),(15,2276429,'1A',213,'N'),(15,2276429,'2',202,'N'),(15,2276437,'1',215,'N'),(15,2276437,'1A',216,'N'),(15,2276437,'2',102,'N'),(15,2276445,'1',104,'N'),(15,2276445,'2',423,'N'),(15,2276453,'1',301,'N'),(15,2276453,'2',317,'N'),(15,2276461,'1',444,'N'),(15,2276461,'2',404,'N'),(15,2276488,'1',104,'N'),(15,2276488,'2',310,'N'),(15,2276496,'1',217,'N'),(15,2276496,'2',339,'N'),(15,2276500,'1',5,'N'),(15,2276500,'2',104,'N'),(15,2276518,'1',303,'N'),(15,2276518,'2',5,'N'),(15,2276526,'1',103,'N'),(15,2276534,'1',220,'N'),(15,2276534,'1A',207,'N'),(15,2276534,'2',201,'N'),(15,2276542,'1',101,'N'),(15,2276542,'2',502,'N'),(15,2276550,'1',220,'N'),(15,2276550,'1A',202,'N'),(15,2276550,'2',225,'N'),(15,2276569,'1',308,'N'),(15,2276569,'2',426,'N'),(15,2276577,'1',238,'N'),(15,2276577,'1A',208,'N'),(15,2276577,'2',213,'N'),(15,2276585,'1',316,'N'),(15,2276585,'2',317,'N'),(15,2276593,'1',333,'N'),(15,2276593,'2',203,'N'),(15,2276607,'1',103,'N'),(15,2276607,'2',104,'N'),(15,2276615,'1',501,'N'),(15,2276615,'2',211,'N'),(15,2276623,'1',216,'N'),(15,2276623,'2',217,'N'),(15,2276631,'1',303,'N'),(15,2276631,'2',202,'N'),(15,2276640,'1',5,'N'),(15,2276640,'2',303,'N'),(15,2276658,'1',404,'N'),(15,2276658,'2',423,'N'),(15,2276666,'1',101,'N'),(15,2276666,'2',9,'N'),(15,2276674,'1',308,'N'),(15,2276674,'2',319,'N'),(15,2276682,'1',303,'N'),(15,2276682,'2',319,'N'),(15,2276690,'1',319,'N'),(15,2276690,'2',444,'N'),(15,2276704,'1',201,'N'),(15,2276704,'1A',203,'N'),(15,2276704,'2',202,'N'),(15,2276712,'1',404,'N'),(15,2276712,'2',324,'N'),(15,2276720,'1',103,'N'),(15,2276720,'2',5,'N'),(15,2276747,'1',207,'N'),(15,2276747,'1A',201,'N'),(15,2276747,'2',420,'N'),(15,2276755,'1',332,'N'),(15,2276755,'2',327,'N'),(15,2276763,'1',329,'N'),(15,2276771,'1',103,'N'),(15,2276771,'2',319,'N'),(15,2276798,'1',319,'N'),(15,2276798,'2',320,'N'),(15,2276801,'1',502,'N'),(15,2276801,'2',301,'N'),(15,2276810,'1',318,'N'),(15,2276810,'2',332,'N'),(15,2276828,'1',104,'N'),(15,2276828,'2',108,'N'),(15,2276836,'1',303,'N'),(15,2276836,'2',5,'N'),(15,2276844,'1',207,'N'),(15,2276844,'1A',201,'N'),(15,2276844,'2',301,'N'),(15,2276852,'1',202,'N'),(15,2276852,'1A',213,'N'),(15,2276852,'2',222,'N'),(15,2276860,'1',420,'N'),(15,2276860,'2',444,'N'),(15,2276879,'1',103,'N'),(15,2276879,'2',108,'N'),(15,2276887,'1',103,'N'),(15,2276887,'2',450,'N'),(15,2276895,'1',318,'N'),(15,2276895,'2',450,'N'),(15,2276909,'1',216,'N'),(15,2276909,'1A',215,'N'),(15,2276909,'2',212,'N'),(15,2276917,'1',207,'N'),(15,2276917,'1A',201,'N'),(15,2276917,'2',423,'N'),(15,2276925,'1',217,'N'),(15,2276925,'2',333,'N'),(15,2276933,'1',103,'N'),(15,2276941,'1',5,'N'),(15,2276941,'2',320,'N'),(15,2276950,'1',331,'N'),(15,2276950,'2',415,'N'),(15,2276968,'1',207,'N'),(15,2276968,'2',420,'N'),(15,2276976,'1',404,'N'),(15,2276976,'2',444,'N'),(15,2276992,'1',203,'N'),(15,2276992,'2',201,'N'),(15,2277034,'1',318,'N'),(15,2277034,'2',304,'N'),(15,2277042,'1',339,'N'),(15,2277042,'2',324,'N'),(15,2277050,'1',102,'N'),(15,2277050,'2',216,'N'),(15,2277069,'1',208,'N'),(15,2277069,'1A',214,'N'),(15,2277069,'2',201,'N'),(15,2277077,'1',103,'N'),(15,2277077,'2',444,'N'),(15,2277085,'1',103,'N'),(15,2277085,'2',217,'N'),(15,2277093,'1',103,'N'),(15,2277093,'2',316,'N'),(15,2277107,'1',9,'N'),(15,2277107,'2',333,'N'),(15,2277123,'1',319,'N'),(15,2277123,'2',9,'N'),(15,2277131,'1',319,'N'),(15,2277131,'2',5,'N'),(15,2277140,'1',211,'N'),(15,2277140,'1A',233,'N'),(15,2277140,'2',333,'N'),(15,2277158,'1',451,'N'),(15,2277158,'2',318,'N'),(15,2277166,'1',2,'N'),(15,2277174,'1',5,'N'),(15,2277174,'2',303,'N'),(15,2277182,'1',202,'N'),(15,2277182,'1A',201,'N'),(15,2277182,'2',302,'N'),(15,2277190,'1',2,'N'),(15,2277190,'2',223,'N'),(15,2277204,'1',339,'N'),(15,2277204,'2',324,'N'),(15,2277212,'1',201,'N'),(15,2277212,'1A',212,'N'),(15,2277212,'2',304,'N'),(15,2277220,'1',103,'N'),(15,2277220,'2',104,'N'),(15,2277239,'1',301,'N'),(15,2277247,'1',214,'N'),(15,2277247,'1A',212,'N'),(15,2277247,'2',213,'N'),(15,2277255,'1',301,'N'),(15,2277255,'2',316,'N'),(15,2277263,'1',213,'N'),(15,2277263,'1A',214,'N'),(15,2277271,'1',201,'N'),(15,2277271,'1A',215,'N'),(15,2277271,'2',224,'N'),(15,2277280,'1',404,'N'),(15,2277280,'2',327,'N'),(15,2277298,'1',308,'N'),(15,2277298,'2',339,'N'),(15,2277301,'1',450,'N'),(15,2277301,'2',319,'N'),(15,2277310,'1',316,'N'),(15,2277310,'2',301,'N'),(15,2277336,'1',211,'N'),(15,2277336,'1A',215,'N'),(15,2277336,'2',9,'N'),(15,2277344,'1',203,'N'),(15,2277344,'1A',207,'N'),(15,2277344,'2',220,'N'),(15,2277352,'1',317,'N'),(15,2277352,'2',324,'N'),(15,2277379,'1',303,'N'),(15,2277379,'2',223,'N'),(15,2277387,'1',303,'N'),(15,2277387,'2',207,'N'),(15,2277409,'1',102,'N'),(15,2277409,'2',309,'N'),(15,2277417,'1',302,'N'),(15,2277417,'2',309,'N'),(15,2277425,'1',428,'N'),(15,2277425,'1A',426,'N'),(15,2277425,'2',326,'N'),(15,2277433,'1',326,'N'),(15,2277433,'2',331,'N'),(15,2277441,'1',224,'N'),(15,2277441,'2',316,'N'),(15,2277468,'1',9,'N'),(15,2277468,'2',333,'N'),(15,2277476,'1',202,'N'),(15,2277476,'1A',208,'N'),(15,2277476,'2',224,'N'),(15,2277492,'1',212,'N'),(15,2277492,'1A',201,'N'),(15,2277492,'2',316,'N'),(15,2277506,'1',444,'N'),(15,2277506,'2',331,'N'),(15,2277514,'1',216,'N'),(15,2277514,'1A',211,'N'),(15,2277514,'2',203,'N'),(15,2277549,'1',103,'N'),(15,2277549,'2',213,'N'),(15,2277557,'1',203,'N'),(15,2277557,'2',201,'N'),(15,2277565,'1',103,'N'),(15,2277565,'2',303,'N'),(15,2277573,'1',316,'N'),(15,2277573,'2',301,'N'),(15,2277581,'1',220,'N'),(15,2277581,'1A',202,'N'),(15,2277581,'2',213,'N'),(15,2277590,'1',202,'N'),(15,2277590,'1A',208,'N'),(15,2277590,'2',238,'N'),(15,2277603,'1',102,'N'),(15,2277603,'2',103,'N'),(15,2277611,'1',216,'N'),(15,2277611,'2',102,'N'),(15,2277620,'1',425,'N'),(15,2277620,'2',429,'N'),(15,2277638,'1',333,'N'),(15,2277638,'2',404,'N'),(15,2277646,'1',5,'N'),(15,2277646,'2',420,'N'),(15,2277654,'1',102,'N'),(15,2277654,'2',108,'N'),(15,2277670,'1',415,'N'),(15,2277670,'2',303,'N'),(15,2277689,'1',332,'N'),(15,2277689,'2',421,'N'),(15,2277697,'1',318,'N'),(15,2277697,'2',316,'N'),(15,2277700,'1',103,'N'),(15,2277700,'2',101,'N'),(15,2277719,'1',501,'N'),(15,2277719,'2',502,'N'),(15,2277727,'1',208,'N'),(15,2277727,'1A',203,'N'),(15,2277727,'2',220,'N'),(15,2277735,'1',103,'N'),(15,2277735,'2',203,'N'),(15,2277743,'1',213,'N'),(15,2277743,'1A',214,'N'),(15,2277743,'2',217,'N'),(15,2277751,'1',103,'N'),(15,2277751,'2',104,'N'),(15,2277778,'1',103,'N'),(15,2277778,'2',216,'N'),(15,2277786,'1',303,'N'),(15,2277786,'2',208,'N'),(15,2277794,'1',102,'N'),(15,2277794,'2',9,'N'),(15,2277816,'1',329,'N'),(15,2277816,'2',328,'N'),(15,2277824,'1',319,'N'),(15,2277824,'2',102,'N'),(15,2277832,'1',207,'N'),(15,2277832,'2',420,'N'),(15,2277859,'1',103,'N'),(15,2277859,'2',301,'N'),(15,2277867,'1',327,'N'),(15,2277867,'2',339,'N'),(15,2277883,'1',2,'N'),(15,2277883,'2',108,'N'),(15,2277891,'1',329,'N'),(15,2277891,'2',328,'N'),(15,2277905,'1',450,'N'),(15,2277905,'2',301,'N'),(15,2277913,'1',329,'N'),(15,2277913,'2',328,'N'),(15,2277921,'1',326,'N'),(15,2277921,'2',328,'N'),(15,2277948,'1',331,'N'),(15,2277948,'2',332,'N'),(15,2277956,'1',108,'N'),(15,2277956,'2',217,'N'),(15,2277964,'1',5,'N'),(15,2277964,'2',317,'N'),(15,2277972,'1',450,'N'),(15,2277980,'1',220,'N'),(15,2277980,'1A',201,'N'),(15,2277980,'2',222,'N'),(15,2277999,'1',102,'N'),(15,2277999,'2',217,'N'),(15,2278006,'1',203,'N'),(15,2278006,'1A',201,'N'),(15,2278006,'2',103,'N'),(15,2278022,'1',201,'N'),(15,2278022,'1A',220,'N'),(15,2278030,'1',420,'N'),(15,2278030,'2',207,'N'),(15,2278049,'1',222,'N'),(15,2278049,'2',2,'N'),(15,2278065,'1',103,'N'),(15,2278073,'1',208,'N'),(15,2278073,'1A',238,'N'),(15,2278073,'2',102,'N'),(15,2278081,'1',208,'N'),(15,2278081,'2',238,'N'),(15,2278090,'1',332,'N'),(15,2278090,'2',234,'N'),(15,2278103,'1',104,'N'),(15,2278103,'2',5,'N'),(15,2278111,'1',310,'N'),(15,2278111,'2',308,'N'),(15,2278120,'1',202,'N'),(15,2278120,'1A',208,'N'),(15,2278120,'2',207,'N'),(15,2278138,'1',309,'N'),(15,2278138,'2',328,'N'),(15,2278146,'1',207,'N'),(15,2278146,'1A',208,'N'),(15,2278146,'2',425,'N'),(15,2278154,'1',451,'N'),(15,2278154,'2',5,'N'),(15,2278162,'1',444,'N'),(15,2278162,'2',404,'N'),(15,2278170,'1',213,'N'),(15,2278170,'1A',220,'N'),(15,2278170,'2',224,'N'),(15,2278189,'1',238,'N'),(15,2278189,'2',317,'N'),(15,2278197,'1',304,'N'),(15,2278197,'2',301,'N'),(15,2278200,'1',102,'N'),(15,2278200,'2',108,'N'),(15,2278227,'1',103,'N'),(15,2278227,'2',9,'N'),(15,2278235,'1',238,'N'),(15,2278235,'1A',208,'N'),(15,2278235,'2',222,'N'),(15,2278243,'1',420,'N'),(15,2278243,'2',450,'N'),(15,2278251,'1',415,'N'),(15,2278251,'2',326,'N'),(15,2278260,'1',326,'N'),(15,2278260,'2',328,'N'),(15,2278278,'1',5,'N'),(15,2278278,'2',404,'N'),(15,2278286,'1',104,'N'),(15,2278286,'2',319,'N'),(15,2278294,'1',103,'N'),(15,2278294,'2',420,'N'),(15,2278308,'1',104,'N'),(15,2278316,'1',303,'N'),(15,2278316,'2',309,'N'),(15,2278324,'1',333,'N'),(15,2278324,'2',329,'N'),(15,2278332,'1',316,'N'),(15,2278332,'2',212,'N'),(15,2278340,'1',103,'N'),(15,2278359,'1',108,'N'),(15,2278359,'2',308,'N'),(15,2278367,'1',103,'N'),(15,2278367,'2',104,'N'),(15,2278375,'1',233,'N'),(15,2278375,'2',214,'N'),(15,2278383,'1',238,'N'),(15,2278383,'1A',208,'N'),(15,2278383,'2',420,'N'),(15,2278391,'1',103,'N'),(15,2278405,'1',238,'N'),(15,2278405,'1A',208,'N'),(15,2278405,'2',317,'N'),(15,2278413,'1',208,'N'),(15,2278413,'1A',238,'N'),(15,2278413,'2',316,'N'),(15,2278421,'1',9,'N'),(15,2278421,'2',102,'N'),(15,2278430,'1',103,'N'),(15,2278448,'1',404,'N'),(15,2278448,'2',301,'N'),(15,2278456,'1',103,'N'),(15,2278456,'2',318,'N'),(15,2278464,'1',211,'N'),(15,2278464,'1A',202,'N'),(15,2278464,'2',223,'N'),(15,2278499,'1',208,'N'),(15,2278499,'1A',238,'N'),(15,2278499,'2',207,'N'),(15,2278502,'1',319,'N'),(15,2278502,'2',108,'N'),(15,2278510,'1',316,'N'),(15,2278510,'2',444,'N'),(15,2278537,'1',203,'N'),(15,2278537,'1A',201,'N'),(15,2278537,'2',220,'N'),(15,2278545,'1',103,'N'),(15,2278545,'2',102,'N'),(15,2278561,'1',317,'N'),(15,2278561,'2',426,'N'),(15,2278588,'1',103,'N'),(15,2278596,'1',102,'N'),(15,2278596,'2',404,'N'),(15,2278600,'1',404,'N'),(15,2278600,'2',444,'N'),(15,2278618,'1',215,'N'),(15,2278618,'1A',211,'N'),(15,2278618,'2',203,'N'),(15,2278626,'1',211,'N'),(15,2278626,'1A',215,'N'),(15,2278626,'2',425,'N'),(15,2278634,'1',103,'N'),(15,2278642,'1',101,'N'),(15,2278642,'2',102,'N'),(15,2278650,'1',415,'N'),(15,2278650,'2',425,'N'),(15,2278669,'1',220,'N'),(15,2278669,'1A',203,'N'),(15,2278669,'2',202,'N'),(15,2278677,'1',103,'N'),(15,2278685,'1',103,'N'),(15,2278685,'2',102,'N'),(15,2278693,'1',5,'N'),(15,2278693,'2',102,'N'),(15,2278707,'1',102,'N'),(15,2278707,'2',108,'N'),(15,2278715,'1',103,'N'),(15,2278731,'1',501,'N'),(15,2278731,'2',502,'N'),(15,2278740,'1',103,'N'),(15,2278758,'1',214,'N'),(15,2278758,'1A',233,'N'),(15,2278758,'2',222,'N'),(15,2278774,'1',318,'N'),(15,2278774,'2',429,'N'),(15,2278790,'1',103,'N'),(15,2278790,'2',329,'N'),(15,2278804,'1',317,'N'),(15,2278804,'2',225,'N'),(15,2278812,'1',304,'N'),(15,2278812,'2',318,'N'),(15,2278820,'1',327,'N'),(15,2278820,'2',316,'N'),(15,2278839,'1',238,'N'),(15,2278839,'1A',208,'N'),(15,2278839,'2',316,'N'),(15,2278847,'1',203,'N'),(15,2278847,'1A',214,'N'),(15,2278847,'2',215,'N'),(15,2278855,'1',203,'N'),(15,2278855,'1A',214,'N'),(15,2278855,'2',333,'N'),(15,2278863,'1',303,'N'),(15,2278863,'2',5,'N'),(15,2278871,'1',318,'N'),(15,2278871,'2',319,'N'),(15,2278880,'1',208,'N'),(15,2278880,'1A',238,'N'),(15,2278880,'2',203,'N'),(15,2278898,'1',5,'N'),(15,2278898,'2',303,'N'),(15,2278901,'1',318,'N'),(15,2278901,'2',317,'N'),(15,2278910,'1',404,'N'),(15,2278910,'2',501,'N'),(15,2278928,'1',212,'N'),(15,2278928,'1A',215,'N'),(15,2278928,'2',339,'N'),(15,2278944,'1',333,'N'),(15,2278944,'2',303,'N'),(15,2278960,'1',415,'N'),(15,2278960,'2',319,'N'),(15,2278979,'1',444,'N'),(15,2278979,'2',404,'N'),(15,2278987,'1',333,'N'),(15,2278987,'2',308,'N'),(15,2278995,'1',429,'N'),(15,2278995,'1A',425,'N'),(15,2278995,'2',316,'N'),(15,2279002,'1',424,'N'),(15,2279002,'1A',427,'N'),(15,2279002,'2',222,'N'),(15,2279029,'1',339,'N'),(15,2279029,'2',333,'N'),(15,2279037,'1',102,'N'),(15,2279037,'2',316,'N'),(15,2279053,'1',103,'N'),(15,2279053,'2',202,'N'),(15,2279061,'1',2,'N'),(15,2279061,'2',328,'N'),(15,2279070,'1',203,'N'),(15,2279070,'1A',202,'N'),(15,2279070,'2',225,'N'),(15,2279088,'1',301,'N'),(15,2279088,'2',316,'N'),(15,2279096,'1',238,'N'),(15,2279096,'1A',203,'N'),(15,2279096,'2',208,'N'),(15,2279100,'1',223,'N'),(15,2279100,'2',217,'N'),(15,2279118,'1',309,'N'),(15,2279118,'2',102,'N'),(15,2279126,'1',327,'N'),(15,2279126,'2',339,'N'),(15,2279134,'1',222,'N'),(15,2279134,'2',223,'N'),(15,2279142,'1',501,'N'),(15,2279142,'2',308,'N'),(15,2279150,'1',425,'N'),(15,2279150,'1A',424,'N'),(15,2279150,'2',103,'N'),(15,2279169,'1',207,'N'),(15,2279169,'2',333,'N'),(15,2279177,'1',304,'N'),(15,2279177,'2',302,'N'),(15,2279185,'1',319,'N'),(15,2279185,'2',308,'N'),(15,2279193,'1',202,'N'),(15,2279193,'2',220,'N'),(15,2279215,'1',211,'N'),(15,2279215,'1A',207,'N'),(15,2279215,'2',339,'N'),(15,2279223,'1',203,'N'),(15,2279223,'1A',214,'N'),(15,2279231,'1',328,'N'),(15,2279231,'2',326,'N'),(15,2279240,'1',103,'N'),(15,2279240,'2',102,'N'),(15,2279258,'1',319,'N'),(15,2279258,'2',326,'N'),(15,2279266,'1',450,'N'),(15,2279266,'2',415,'N'),(15,2279274,'1',207,'N'),(15,2279274,'1A',208,'N'),(15,2279274,'2',420,'N'),(15,2279282,'1',301,'N'),(15,2279282,'2',316,'N'),(15,2279290,'1',426,'N'),(15,2279290,'1A',428,'N'),(15,2279290,'2',316,'N'),(15,2279304,'1',238,'N'),(15,2279304,'1A',208,'N'),(15,2279304,'2',332,'N'),(15,2279312,'1',327,'N'),(15,2279312,'2',308,'N'),(15,2279320,'1',420,'N'),(15,2279320,'2',319,'N'),(15,2279339,'1',108,'N'),(15,2279347,'1',202,'N'),(15,2279347,'2',220,'N'),(15,2279355,'1',216,'N'),(15,2279355,'2',102,'N'),(15,2279363,'1',451,'N'),(15,2279363,'2',319,'N'),(15,2279371,'1',201,'N'),(15,2279371,'1A',207,'N'),(15,2279371,'2',9,'N'),(15,2279380,'1',5,'N'),(15,2279380,'2',424,'N'),(15,2279401,'1',103,'N'),(15,2279410,'1',203,'N'),(15,2279410,'2',301,'N'),(15,2279428,'1',333,'N'),(15,2279428,'2',303,'N'),(15,2279436,'1',326,'N'),(15,2279436,'2',428,'N'),(15,2279444,'1',101,'N'),(15,2279452,'1',201,'N'),(15,2279452,'1A',233,'N'),(15,2279452,'2',501,'N'),(15,2279460,'1',104,'N'),(15,2279460,'2',333,'N'),(15,2279479,'1',428,'N'),(15,2279479,'2',329,'N'),(15,2279487,'1',202,'N'),(15,2279487,'1A',203,'N'),(15,2279487,'2',222,'N'),(15,2279495,'1',415,'N'),(15,2279495,'2',451,'N'),(15,2279509,'1',217,'N'),(15,2279509,'2',216,'N'),(15,2279517,'1',420,'N'),(15,2279517,'2',316,'N'),(15,2279525,'1',316,'N'),(15,2279525,'2',301,'N'),(15,2279533,'1',103,'N'),(15,2279533,'2',104,'N'),(15,2279541,'1',5,'N'),(15,2279541,'2',238,'N'),(15,2279550,'1',9,'N'),(15,2279550,'2',101,'N'),(15,2279568,'1',108,'N'),(15,2279568,'2',333,'N'),(15,2279576,'1',201,'N'),(15,2279576,'1A',214,'N'),(15,2279576,'2',203,'N'),(15,2279584,'1',319,'N'),(15,2279584,'2',9,'N'),(15,2279592,'1',318,'N'),(15,2279592,'2',423,'N'),(15,2279606,'1',5,'N'),(15,2279606,'2',316,'N'),(15,2279614,'1',9,'N'),(15,2279622,'1',104,'N'),(15,2279622,'2',102,'N'),(15,2279630,'1',211,'N'),(15,2279630,'1A',216,'N'),(15,2279630,'2',301,'N'),(15,2279649,'1',203,'N'),(15,2279657,'1',324,'N'),(15,2279657,'2',207,'N'),(15,2279665,'1',207,'N'),(15,2279665,'1A',201,'N'),(15,2279665,'2',420,'N'),(15,2279673,'1',101,'N'),(15,2279673,'2',316,'N'),(15,2279681,'1',5,'N'),(15,2279711,'1',207,'N'),(15,2279711,'1A',201,'N'),(15,2279711,'2',420,'N'),(15,2279720,'1',308,'N'),(15,2279720,'2',426,'N'),(15,2279738,'1',420,'N'),(15,2279738,'2',207,'N'),(15,2279746,'1',303,'N'),(15,2279746,'2',326,'N'),(15,2279754,'1',102,'N'),(15,2279754,'2',501,'N'),(15,2279762,'1',103,'N'),(15,2279762,'2',303,'N'),(15,2279789,'1',108,'N'),(15,2279789,'2',424,'N'),(15,2279797,'1',103,'N'),(15,2279819,'1',451,'N'),(15,2279827,'1',308,'N'),(15,2279827,'2',310,'N'),(15,2279835,'1',316,'N'),(15,2279835,'2',444,'N'),(15,2279843,'1',233,'N'),(15,2279843,'1A',220,'N'),(15,2279843,'2',415,'N'),(15,2279851,'1',316,'N'),(15,2279851,'2',318,'N'),(15,2279860,'1',103,'N'),(15,2279860,'2',216,'N'),(15,2279878,'1',444,'N'),(15,2279878,'2',9,'N'),(15,2279908,'1',214,'N'),(15,2279908,'1A',212,'N'),(15,2279908,'2',326,'N'),(15,2279916,'1',444,'N'),(15,2279916,'2',223,'N'),(15,2279924,'1',104,'N'),(15,2279924,'2',331,'N'),(15,2279932,'1',5,'N'),(15,2279940,'1',304,'N'),(15,2279940,'2',333,'N'),(15,2279959,'1',203,'N'),(15,2279967,'1',103,'N'),(15,2279967,'2',329,'N'),(15,2279975,'1',203,'N'),(15,2279975,'1A',214,'N'),(15,2279975,'2',304,'N'),(15,2279983,'1',316,'N'),(15,2279983,'2',404,'N'),(15,2279991,'1',207,'N'),(15,2279991,'1A',201,'N'),(15,2279991,'2',319,'N'),(15,2280000,'1',5,'N'),(15,2280000,'2',303,'N'),(15,2280019,'1',320,'N'),(15,2280019,'2',327,'N'),(15,2280027,'1',303,'N'),(15,2280027,'2',5,'N'),(15,2280043,'1',316,'N'),(15,2280043,'2',318,'N'),(15,2280051,'1',444,'N'),(15,2280051,'2',102,'N'),(15,2280060,'1',308,'N'),(15,2280060,'2',339,'N'),(15,2280078,'1',329,'N'),(15,2280078,'2',502,'N'),(15,2280086,'1',103,'N'),(15,2280086,'2',333,'N'),(15,2280094,'1',211,'N'),(15,2280094,'2',301,'N'),(15,2280124,'1',333,'N'),(15,2280124,'2',450,'N'),(15,2280132,'1',222,'N'),(15,2280132,'2',2,'N'),(15,2280140,'1',203,'N'),(15,2280140,'1A',220,'N'),(15,2280140,'2',202,'N'),(15,2280159,'1',103,'N'),(15,2280159,'2',104,'N'),(15,2280167,'1',303,'N'),(15,2280167,'2',308,'N'),(15,2280175,'1',310,'N'),(15,2280175,'2',320,'N'),(15,2280183,'1',316,'N'),(15,2280183,'2',211,'N'),(15,2280191,'1',304,'N'),(15,2280191,'2',316,'N'),(15,2280205,'1',316,'N'),(15,2280205,'2',102,'N'),(15,2280213,'1',333,'N'),(15,2280213,'2',444,'N'),(15,2280221,'1',224,'N'),(15,2280221,'2',212,'N'),(15,2280230,'1',207,'N'),(15,2280230,'1A',201,'N'),(15,2280230,'2',501,'N'),(15,2280248,'1',415,'N'),(15,2280248,'2',101,'N'),(15,2280256,'1',103,'N'),(15,2280280,'1',101,'N'),(15,2280280,'2',319,'N'),(15,2280299,'1',308,'N'),(15,2280299,'2',423,'N'),(15,2280302,'1',101,'N'),(15,2280302,'2',339,'N'),(15,2280310,'1',102,'N'),(15,2280310,'2',201,'N'),(15,2280329,'1',103,'N'),(15,2280329,'2',319,'N'),(15,2280337,'1',103,'N'),(15,2280337,'2',427,'N'),(15,2280345,'1',234,'N'),(15,2280345,'2',332,'N'),(15,2280353,'1',319,'N'),(15,2280353,'2',308,'N'),(15,2280361,'1',203,'N'),(15,2280361,'1A',201,'N'),(15,2280370,'1',333,'N'),(15,2280370,'2',429,'N'),(15,2280388,'1',207,'N'),(15,2280388,'1A',201,'N'),(15,2280388,'2',420,'N'),(15,2280396,'1',238,'N'),(15,2280396,'1A',213,'N'),(15,2280396,'2',327,'N'),(15,2280400,'1',415,'N'),(15,2280400,'2',303,'N'),(15,2280418,'1',415,'N'),(15,2280418,'2',331,'N'),(15,2280426,'1',211,'N'),(15,2280426,'1A',238,'N'),(15,2280426,'2',327,'N'),(15,2280434,'1',238,'N'),(15,2280434,'1A',208,'N'),(15,2280434,'2',316,'N'),(15,2280442,'1',238,'N'),(15,2280442,'2',327,'N'),(15,2280469,'1',444,'N'),(15,2280469,'2',404,'N'),(15,2280477,'1',213,'N'),(15,2280477,'1A',202,'N'),(15,2280477,'2',220,'N'),(15,2280485,'1',327,'N'),(15,2280485,'2',426,'N'),(15,2280493,'1',415,'N'),(15,2280493,'2',428,'N'),(15,2280507,'1',308,'N'),(15,2280507,'2',319,'N'),(15,2280515,'1',501,'N'),(15,2280515,'2',502,'N'),(15,2280523,'1',103,'N'),(15,2280523,'2',224,'N'),(15,2280531,'1',233,'N'),(15,2280531,'1A',214,'N'),(15,2280531,'2',212,'N'),(15,2280540,'1',9,'N'),(15,2280540,'2',301,'N'),(15,2280558,'1',201,'N'),(15,2280558,'1A',212,'N'),(15,2280558,'2',319,'N'),(15,2280566,'1',102,'N'),(15,2280566,'2',217,'N'),(15,2280574,'1',415,'N'),(15,2280574,'2',301,'N'),(15,2280582,'1',103,'N'),(15,2280582,'2',420,'N'),(15,2280590,'1',101,'N'),(15,2280590,'2',328,'N'),(15,2280604,'1',103,'N'),(15,2280612,'1',501,'N'),(15,2280612,'2',502,'N'),(15,2280620,'1',203,'N'),(15,2280620,'1A',214,'N'),(15,2280620,'2',212,'N'),(15,2280639,'1',444,'N'),(15,2280639,'2',326,'N'),(15,2280647,'1',444,'N'),(15,2280647,'2',404,'N'),(15,2280655,'1',333,'N'),(15,2280655,'2',328,'N'),(15,2280663,'1',5,'N'),(15,2280663,'2',304,'N'),(15,2280671,'1',104,'N'),(15,2280671,'2',217,'N'),(15,2280680,'1',404,'N'),(15,2280680,'2',444,'N'),(15,2280701,'1',501,'N'),(15,2280701,'2',234,'N'),(15,2280710,'1',501,'N'),(15,2280710,'2',502,'N'),(15,2280728,'1',234,'N'),(15,2280728,'2',424,'N'),(15,2280736,'1',102,'N'),(15,2280736,'2',429,'N'),(15,2280752,'1',319,'N'),(15,2280752,'2',5,'N'),(15,2280760,'1',103,'N'),(15,2280760,'2',303,'N'),(15,2280779,'1',214,'N'),(15,2280779,'2',203,'N'),(15,2280795,'1',203,'N'),(15,2280795,'1A',202,'N'),(15,2280795,'2',214,'N'),(15,2280809,'1',102,'N'),(15,2280809,'2',101,'N'),(15,2280817,'1',211,'N'),(15,2280817,'1A',238,'N'),(15,2280817,'2',339,'N'),(15,2280825,'1',104,'N'),(15,2280825,'2',108,'N'),(15,2280833,'1',108,'N'),(15,2280833,'2',333,'N'),(15,2280841,'1',316,'N'),(15,2280841,'2',102,'N'),(15,2280850,'1',217,'N'),(15,2280850,'2',233,'N'),(15,2280868,'1',319,'N'),(15,2280868,'2',339,'N'),(15,2280876,'1',316,'N'),(15,2280876,'2',404,'N'),(15,2280884,'1',420,'N'),(15,2280884,'2',444,'N'),(15,2280892,'1',5,'N'),(15,2280892,'2',319,'N'),(15,2280906,'1',302,'N'),(15,2280906,'2',102,'N'),(15,2280914,'1',103,'N'),(15,2280922,'1',328,'N'),(15,2280922,'2',329,'N'),(15,2280930,'1',201,'N'),(15,2280930,'1A',213,'N'),(15,2280930,'2',303,'N'),(15,2280949,'1',104,'N'),(15,2280949,'2',201,'N'),(15,2280957,'1',316,'N'),(15,2280957,'2',5,'N'),(15,2280965,'1',201,'N'),(15,2280965,'1A',208,'N'),(15,2280965,'2',326,'N'),(15,2280973,'1',108,'N'),(15,2280981,'1',101,'N'),(15,2280981,'2',9,'N'),(15,2280990,'1',316,'N'),(15,2280990,'2',201,'N'),(15,2281007,'1',103,'N'),(15,2281007,'2',102,'N'),(15,2281015,'1',202,'N'),(15,2281015,'1A',220,'N'),(15,2281015,'2',212,'N'),(15,2281023,'1',207,'N'),(15,2281023,'1A',201,'N'),(15,2281023,'2',316,'N'),(15,2281031,'1',103,'N'),(15,2281031,'2',104,'N'),(15,2281040,'1',102,'N'),(15,2281040,'2',216,'N'),(15,2281066,'1',303,'N'),(15,2281066,'2',5,'N'),(15,2281074,'1',426,'N'),(15,2281074,'1A',428,'N'),(15,2281074,'2',327,'N'),(15,2281082,'1',332,'N'),(15,2281082,'2',327,'N'),(15,2281090,'1',324,'N'),(15,2281090,'2',309,'N'),(15,2281104,'1',208,'N'),(15,2281104,'1A',220,'N'),(15,2281104,'2',213,'N'),(15,2281112,'1',303,'N'),(15,2281112,'2',319,'N'),(15,2281120,'1',103,'N'),(15,2281120,'2',102,'N'),(15,2281139,'1',333,'N'),(15,2281139,'2',450,'N'),(15,2281147,'1',450,'N'),(15,2281147,'2',320,'N'),(15,2281155,'1',329,'N'),(15,2281155,'2',328,'N'),(15,2281163,'1',308,'N'),(15,2281163,'2',5,'N'),(15,2281171,'1',303,'N'),(15,2281171,'2',104,'N'),(15,2281180,'1',319,'N'),(15,2281180,'2',104,'N'),(15,2281198,'1',103,'N'),(15,2281198,'2',108,'N'),(15,2281201,'1',215,'N'),(15,2281201,'1A',216,'N'),(15,2281201,'2',444,'N'),(15,2281210,'1',304,'N'),(15,2281210,'2',424,'N'),(15,2281228,'1',211,'N'),(15,2281228,'1A',220,'N'),(15,2281228,'2',234,'N'),(15,2281244,'1',331,'N'),(15,2281244,'2',301,'N'),(15,2281252,'1',316,'N'),(15,2281260,'1',108,'N'),(15,2281260,'2',501,'N'),(15,2281287,'1',104,'N'),(15,2281287,'2',101,'N'),(15,2281295,'1',425,'N'),(15,2281295,'1A',427,'N'),(15,2281295,'2',424,'N'),(15,2281309,'1',203,'N'),(15,2281309,'2',225,'N'),(15,2281317,'1',103,'N'),(15,2281317,'2',104,'N'),(15,2281325,'1',424,'N'),(15,2281325,'1A',427,'N'),(15,2281325,'2',421,'N'),(15,2281333,'1',103,'N'),(15,2281333,'2',104,'N'),(15,2281350,'1',303,'N'),(15,2281368,'1',101,'N'),(15,2281368,'2',102,'N'),(15,2281376,'1',303,'N'),(15,2281376,'2',208,'N'),(15,2281384,'1',420,'N'),(15,2281384,'2',223,'N'),(15,2281392,'1',303,'N'),(15,2281392,'2',309,'N'),(15,2281406,'1',101,'N'),(15,2281406,'2',211,'N'),(15,2281414,'1',203,'N'),(15,2281414,'1A',214,'N'),(15,2281414,'2',2,'N'),(15,2281422,'1',214,'N'),(15,2281422,'1A',202,'N'),(15,2281422,'2',220,'N'),(15,2281430,'1',5,'N'),(15,2281430,'2',303,'N'),(15,2281449,'1',501,'N'),(15,2281449,'2',319,'N'),(15,2281465,'1',429,'N'),(15,2281465,'1A',423,'N'),(15,2281465,'2',426,'N'),(15,2281481,'1',9,'N'),(15,2281503,'1',304,'N'),(15,2281503,'2',303,'N'),(15,2281511,'1',316,'N'),(15,2281511,'2',420,'N'),(15,2281520,'1',101,'N'),(15,2281520,'2',309,'N'),(15,2281538,'1',425,'N'),(15,2281538,'1A',426,'N'),(15,2281546,'1',333,'N'),(15,2281546,'2',211,'N'),(15,2281554,'1',333,'N'),(15,2281554,'2',215,'N'),(15,2281562,'1',201,'N'),(15,2281562,'1A',202,'N'),(15,2281562,'2',208,'N'),(15,2281570,'1',303,'N'),(15,2281570,'2',316,'N'),(15,2281589,'1',223,'N'),(15,2281589,'2',451,'N'),(15,2281597,'1',331,'N'),(15,2281597,'2',332,'N'),(15,2281600,'1',220,'N'),(15,2281600,'1A',214,'N'),(15,2281600,'2',203,'N'),(15,2281619,'1',103,'N'),(15,2281619,'2',201,'N'),(15,2281627,'1',331,'N'),(15,2281627,'2',223,'N'),(15,2281635,'1',238,'N'),(15,2281635,'1A',208,'N'),(15,2281643,'1',327,'N'),(15,2281643,'2',316,'N'),(15,2281678,'1',213,'N'),(15,2281678,'1A',202,'N'),(15,2281678,'2',225,'N'),(15,2281686,'1',444,'N'),(15,2281686,'2',326,'N'),(15,2281694,'1',332,'N'),(15,2281694,'2',333,'N'),(15,2281708,'1',108,'N'),(15,2281708,'2',429,'N'),(15,2281716,'1',5,'N'),(15,2281716,'2',415,'N'),(15,2281724,'1',202,'N'),(15,2281724,'1A',203,'N'),(15,2281724,'2',318,'N'),(15,2281732,'1',208,'N'),(15,2281732,'2',326,'N'),(15,2281740,'1',104,'N'),(15,2281740,'2',216,'N'),(15,2281767,'1',444,'N'),(15,2281767,'2',224,'N'),(15,2281775,'1',303,'N'),(15,2281775,'2',211,'N'),(15,2281783,'1',103,'N'),(15,2281783,'2',326,'N'),(15,2281791,'1',108,'N'),(15,2281791,'2',333,'N'),(15,2281805,'1',207,'N'),(15,2281805,'1A',202,'N'),(15,2281805,'2',316,'N'),(15,2281813,'1',329,'N'),(15,2281813,'2',328,'N'),(15,2281821,'1',303,'N'),(15,2281821,'2',9,'N'),(15,2281848,'1',331,'N'),(15,2281848,'2',217,'N'),(15,2281856,'1',327,'N'),(15,2281880,'1',302,'N'),(15,2281880,'2',317,'N'),(15,2281899,'1',208,'N'),(15,2281899,'1A',238,'N'),(15,2281899,'2',444,'N'),(15,2281902,'1',317,'N'),(15,2281902,'2',302,'N'),(15,2281910,'1',211,'N'),(15,2281910,'1A',213,'N'),(15,2281910,'2',502,'N'),(15,2281945,'1',220,'N'),(15,2281945,'2',201,'N'),(15,2281953,'1',316,'N'),(15,2281953,'2',201,'N'),(15,2281970,'1',103,'N'),(15,2281970,'2',101,'N'),(15,2281988,'1',308,'N'),(15,2281988,'2',404,'N'),(15,2282003,'1',103,'N'),(15,2282003,'2',303,'N'),(15,2282011,'1',318,'N'),(15,2282011,'2',425,'N'),(15,2282020,'1',103,'N'),(15,2282020,'2',102,'N'),(15,2282038,'1',331,'N'),(15,2282038,'2',332,'N'),(15,2282046,'1',216,'N'),(15,2282046,'1A',214,'N'),(15,2282046,'2',316,'N'),(15,2282054,'1',201,'N'),(15,2282054,'1A',233,'N'),(15,2282054,'2',318,'N'),(15,2282062,'1',103,'N'),(15,2282062,'2',108,'N'),(15,2282070,'1',238,'N'),(15,2282070,'1A',202,'N'),(15,2282070,'2',208,'N'),(15,2282089,'1',103,'N'),(15,2282089,'2',102,'N'),(15,2282097,'1',5,'N'),(15,2282097,'2',102,'N'),(15,2282100,'1',425,'N'),(15,2282100,'1A',421,'N'),(15,2282100,'2',108,'N'),(15,2282119,'1',303,'N'),(15,2282127,'1',103,'N'),(15,2282127,'2',101,'N'),(15,2282135,'1',319,'N'),(15,2282135,'2',327,'N'),(15,2282143,'1',201,'N'),(15,2282143,'1A',203,'N'),(15,2282143,'2',212,'N'),(15,2282151,'1',211,'N'),(15,2282160,'1',103,'N'),(15,2282160,'2',104,'N'),(15,2282178,'1',316,'N'),(15,2282178,'2',301,'N'),(15,2282186,'1',316,'N'),(15,2282186,'2',317,'N'),(15,2282194,'1',316,'N'),(15,2282194,'2',317,'N'),(15,2282208,'1',207,'N'),(15,2282208,'1A',201,'N'),(15,2282208,'2',404,'N'),(15,2282216,'1',102,'N'),(15,2282240,'1',5,'N'),(15,2282240,'2',339,'N'),(15,2282259,'1',108,'N'),(15,2282267,'1',333,'N'),(15,2282267,'2',201,'N'),(15,2282275,'1',444,'N'),(15,2282275,'2',420,'N'),(15,2282283,'1',415,'N'),(15,2282283,'2',301,'N'),(15,2282305,'1',316,'N'),(15,2282305,'2',225,'N'),(15,2282313,'1',201,'N'),(15,2282313,'1A',207,'N'),(15,2282313,'2',202,'N'),(15,2282321,'1',333,'N'),(15,2282321,'2',108,'N'),(15,2282330,'1',308,'N'),(15,2282330,'2',415,'N'),(15,2282348,'1',319,'N'),(15,2282348,'2',339,'N'),(15,2282356,'1',103,'N'),(15,2282364,'1',331,'N'),(15,2282364,'2',327,'N'),(15,2282372,'1',213,'N'),(15,2282372,'1A',233,'N'),(15,2282372,'2',224,'N'),(15,2282380,'1',303,'N'),(15,2282380,'2',5,'N'),(15,2282399,'1',339,'N'),(15,2282399,'2',324,'N'),(15,2282402,'1',103,'N'),(15,2282402,'2',316,'N'),(15,2282429,'1',444,'N'),(15,2282429,'2',501,'N'),(15,2282437,'1',5,'N'),(15,2282437,'2',317,'N'),(15,2282445,'1',316,'N'),(15,2282445,'2',404,'N'),(15,2282453,'1',5,'N'),(15,2282453,'2',451,'N'),(15,2282461,'1',2,'N'),(15,2282461,'2',222,'N'),(15,2282470,'1',501,'N'),(15,2282470,'2',201,'N'),(15,2282496,'1',220,'N'),(15,2282496,'2',203,'N'),(15,2282500,'1',102,'N'),(15,2282500,'2',108,'N'),(15,2282518,'1',444,'N'),(15,2282518,'2',427,'N'),(15,2282526,'1',415,'N'),(15,2282534,'1',215,'N'),(15,2282534,'1A',211,'N'),(15,2282534,'2',9,'N'),(15,2282542,'1',303,'N'),(15,2282542,'2',208,'N'),(15,2282550,'1',211,'N'),(15,2282550,'1A',203,'N'),(15,2282550,'2',103,'N'),(15,2282569,'1',104,'N'),(15,2282569,'2',501,'N'),(15,2282577,'1',316,'N'),(15,2282577,'2',301,'N'),(15,2282585,'1',320,'N'),(15,2282585,'2',423,'N'),(15,2282593,'1',103,'N'),(15,2282593,'2',501,'N'),(15,2282607,'1',333,'N'),(15,2282607,'2',208,'N'),(15,2282623,'1',423,'N'),(15,2282623,'1A',426,'N'),(15,2282623,'2',339,'N'),(15,2282631,'1',302,'N'),(15,2282631,'2',332,'N'),(15,2282640,'1',108,'N'),(15,2282640,'2',224,'N'),(15,2282658,'1',5,'N'),(15,2282658,'2',327,'N'),(15,2282682,'1',501,'N'),(15,2282682,'2',502,'N'),(15,2282690,'1',103,'N'),(15,2282690,'2',101,'N'),(15,2282704,'1',425,'N'),(15,2282704,'1A',429,'N'),(15,2282704,'2',310,'N'),(15,2282712,'1',207,'N'),(15,2282712,'1A',208,'N'),(15,2282720,'1',224,'N'),(15,2282720,'2',426,'N'),(15,2282739,'1',5,'N'),(15,2282739,'2',104,'N'),(15,2282747,'1',308,'N'),(15,2282747,'2',309,'N'),(15,2282755,'1',415,'N'),(15,2282755,'2',108,'N'),(15,2282763,'1',103,'N'),(15,2282771,'1',5,'N'),(15,2282771,'2',303,'N'),(15,2282780,'1',316,'N'),(15,2282780,'2',317,'N'),(15,2282798,'1',213,'N'),(15,2282798,'2',214,'N'),(15,2282801,'1',207,'N'),(15,2282801,'2',420,'N'),(15,2282810,'1',103,'N'),(15,2282828,'1',427,'N'),(15,2282828,'1A',426,'N'),(15,2282828,'2',238,'N'),(15,2282836,'1',309,'N'),(15,2282836,'2',324,'N'),(15,2282852,'1',103,'N'),(15,2282852,'2',108,'N'),(15,2282860,'1',5,'N'),(15,2282860,'2',329,'N'),(15,2282887,'1',326,'N'),(15,2282887,'2',309,'N'),(15,2282895,'1',220,'N'),(15,2282895,'1A',201,'N'),(15,2282895,'2',202,'N'),(15,2282909,'1',302,'N'),(15,2282909,'2',223,'N'),(15,2282917,'1',316,'N'),(15,2282917,'2',324,'N'),(15,2282925,'1',316,'N'),(15,2282925,'2',208,'N'),(15,2282941,'1',316,'N'),(15,2282941,'2',301,'N'),(15,2282950,'1',404,'N'),(15,2282950,'2',302,'N'),(15,2282968,'1',108,'N'),(15,2282968,'2',319,'N'),(15,2282976,'1',222,'N'),(15,2282976,'2',238,'N'),(15,2282984,'1',224,'N'),(15,2282984,'2',316,'N'),(15,2282992,'1',302,'N'),(15,2282992,'2',304,'N'),(15,2283000,'1',211,'N'),(15,2283000,'1A',215,'N'),(15,2283000,'2',223,'N'),(15,2283018,'1',104,'N'),(15,2283018,'2',203,'N'),(15,2283034,'1',211,'N'),(15,2283034,'1A',201,'N'),(15,2283034,'2',5,'N'),(15,2283042,'1',304,'N'),(15,2283042,'2',328,'N'),(15,2283050,'1',103,'N'),(15,2283050,'2',451,'N'),(15,2283069,'1',425,'N'),(15,2283069,'1A',428,'N'),(15,2283069,'2',328,'N'),(15,2283077,'1',9,'N'),(15,2283077,'2',211,'N'),(15,2283085,'1',324,'N'),(15,2283085,'2',332,'N'),(15,2283093,'1',404,'N'),(15,2283093,'2',9,'N'),(15,2283107,'1',316,'N'),(15,2283107,'2',301,'N'),(15,2283115,'1',202,'N'),(15,2283115,'1A',214,'N'),(15,2283115,'2',2,'N'),(15,2283123,'1',318,'N'),(15,2283123,'2',317,'N'),(15,2283131,'1',303,'N'),(15,2283131,'2',319,'N'),(15,2283140,'1',203,'N'),(15,2283140,'1A',214,'N'),(15,2283140,'2',302,'N'),(15,2283158,'1',224,'N'),(15,2283158,'2',320,'N'),(15,2283166,'1',108,'N'),(15,2283166,'2',333,'N'),(15,2283174,'1',2,'N'),(15,2283174,'2',203,'N'),(15,2283182,'1',101,'N'),(15,2283182,'2',324,'N'),(15,2283190,'1',5,'N'),(15,2283190,'2',426,'N'),(15,2283204,'1',420,'N'),(15,2283204,'2',208,'N'),(15,2283220,'1',103,'N'),(15,2283239,'1',108,'N'),(15,2283239,'2',502,'N'),(15,2283255,'1',103,'N'),(15,2283255,'2',303,'N'),(15,2283263,'1',208,'N'),(15,2283263,'1A',203,'N'),(15,2283263,'2',303,'N'),(15,2283271,'1',102,'N'),(15,2283271,'2',217,'N'),(15,2283280,'1',103,'N'),(15,2283298,'1',317,'N'),(15,2283298,'2',238,'N'),(15,2283301,'1',103,'N'),(15,2283301,'2',101,'N'),(15,2283310,'1',501,'N'),(15,2283310,'2',326,'N'),(15,2283328,'1',103,'N'),(15,2283328,'2',201,'N'),(15,2283344,'1',208,'N'),(15,2283344,'1A',238,'N'),(15,2283344,'2',301,'N'),(15,2283352,'1',102,'N'),(15,2283352,'2',501,'N'),(15,2283360,'1',104,'N'),(15,2283360,'2',329,'N'),(15,2283379,'1',501,'N'),(15,2283379,'2',324,'N'),(15,2283387,'1',211,'N'),(15,2283387,'1A',215,'N'),(15,2283387,'2',304,'N'),(15,2283395,'1',304,'N'),(15,2283395,'2',310,'N'),(15,2283409,'1',333,'N'),(15,2283409,'2',201,'N'),(15,2283417,'1',211,'N'),(15,2283417,'2',108,'N'),(15,2283425,'1',304,'N'),(15,2283450,'1',217,'N'),(15,2283450,'2',2,'N'),(15,2283468,'1',451,'N'),(15,2283476,'1',339,'N'),(15,2283484,'1',302,'N'),(15,2283484,'2',317,'N'),(15,2283492,'1',102,'N'),(15,2283492,'2',426,'N'),(15,2283506,'1',103,'N'),(15,2283506,'2',101,'N'),(15,2283514,'1',316,'N'),(15,2283514,'2',502,'N'),(15,2283522,'1',211,'N'),(15,2283522,'1A',207,'N'),(15,2283530,'1',501,'N'),(15,2283530,'2',502,'N'),(15,2283549,'1',103,'N'),(15,2283549,'2',329,'N'),(15,2283557,'1',103,'N'),(15,2283557,'2',104,'N'),(15,2283565,'1',415,'N'),(15,2283565,'2',428,'N'),(15,2283573,'1',318,'N'),(15,2283573,'2',319,'N'),(15,2283581,'1',302,'N'),(15,2283581,'2',303,'N'),(15,2283590,'1',303,'N'),(15,2283590,'2',415,'N'),(15,2283603,'1',104,'N'),(15,2283603,'2',103,'N'),(15,2283611,'1',203,'N'),(15,2283611,'1A',214,'N'),(15,2283611,'2',202,'N'),(15,2283638,'1',333,'N'),(15,2283638,'2',234,'N'),(15,2283646,'1',103,'N'),(15,2283646,'2',333,'N'),(15,2283654,'1',202,'N'),(15,2283654,'1A',213,'N'),(15,2283654,'2',102,'N'),(15,2283662,'1',203,'N'),(15,2283662,'2',202,'N'),(15,2283689,'1',102,'N'),(15,2283689,'2',201,'N'),(15,2283700,'1',333,'N'),(15,2283700,'2',220,'N'),(15,2283727,'1',324,'N'),(15,2283727,'2',502,'N'),(15,2283735,'1',301,'N'),(15,2283735,'2',415,'N'),(15,2283743,'1',216,'N'),(15,2283743,'1A',215,'N'),(15,2283743,'2',333,'N'),(15,2283751,'1',216,'N'),(15,2283760,'1',103,'N'),(15,2283786,'1',104,'N'),(15,2283786,'2',319,'N'),(15,2283794,'1',308,'N'),(15,2283794,'2',339,'N'),(15,2283808,'1',319,'N'),(15,2283808,'2',333,'N'),(15,2283816,'1',101,'N'),(15,2283816,'2',104,'N'),(15,2283832,'1',303,'N'),(15,2283832,'2',310,'N'),(15,2283840,'1',208,'N'),(15,2283840,'1A',203,'N'),(15,2283840,'2',214,'N'),(15,2283859,'1',214,'N'),(15,2283859,'1A',211,'N'),(15,2283859,'2',333,'N'),(15,2283867,'1',339,'N'),(15,2283867,'2',309,'N'),(15,2283875,'1',103,'N'),(15,2283875,'2',207,'N'),(15,2283883,'1',318,'N'),(15,2283883,'2',317,'N'),(15,2283891,'1',318,'N'),(15,2283891,'2',304,'N'),(15,2283905,'1',238,'N'),(15,2283905,'1A',233,'N'),(15,2283905,'2',316,'N'),(15,2283913,'1',225,'N'),(15,2283913,'2',2,'N'),(15,2283921,'1',303,'N'),(15,2283921,'2',108,'N'),(15,2283930,'1',211,'N'),(15,2283930,'1A',213,'N'),(15,2283930,'2',316,'N'),(15,2283948,'1',333,'N'),(15,2283948,'2',108,'N'),(15,2283956,'1',224,'N'),(15,2283956,'2',238,'N'),(15,2283964,'1',5,'N'),(15,2283964,'2',303,'N'),(15,2283972,'1',501,'N'),(15,2283972,'2',502,'N'),(15,2283980,'1',208,'N'),(15,2283980,'1A',202,'N'),(15,2283980,'2',225,'N'),(15,2283999,'1',207,'N'),(15,2284006,'1',104,'N'),(15,2284006,'2',427,'N'),(15,2284014,'1',317,'N'),(15,2284014,'2',316,'N'),(15,2284022,'1',303,'N'),(15,2284022,'2',301,'N'),(15,2284030,'1',301,'N'),(15,2284030,'2',450,'N'),(15,2284049,'1',207,'N'),(15,2284049,'1A',201,'N'),(15,2284049,'2',451,'N'),(15,2284057,'1',327,'N'),(15,2284057,'2',424,'N'),(15,2284065,'1',316,'N'),(15,2284065,'2',444,'N'),(15,2284073,'1',317,'N'),(15,2284081,'1',211,'N'),(15,2284081,'1A',201,'N'),(15,2284081,'2',215,'N'),(15,2284103,'1',423,'N'),(15,2284103,'1A',424,'N'),(15,2284103,'2',415,'N'),(15,2284120,'1',301,'N'),(15,2284120,'2',212,'N'),(15,2284138,'1',319,'N'),(15,2284138,'2',451,'N'),(15,2284146,'1',202,'N'),(15,2284146,'1A',201,'N'),(15,2284146,'2',207,'N'),(15,2284154,'1',214,'N'),(15,2284154,'1A',203,'N'),(15,2284154,'2',213,'N'),(15,2284162,'1',103,'N'),(15,2284162,'2',201,'N'),(15,2284170,'1',208,'N'),(15,2284170,'1A',238,'N'),(15,2284189,'1',5,'N'),(15,2284189,'2',317,'N'),(15,2284197,'1',5,'N'),(15,2284197,'2',502,'N'),(15,2284200,'1',220,'N'),(15,2284200,'1A',208,'N'),(15,2284200,'2',2,'N'),(15,2284219,'1',103,'N'),(15,2284219,'2',9,'N'),(15,2284227,'1',103,'N'),(15,2284227,'2',301,'N'),(15,2284235,'1',202,'N'),(15,2284235,'1A',208,'N'),(15,2284235,'2',203,'N'),(15,2284251,'1',201,'N'),(15,2284251,'1A',207,'N'),(15,2284260,'1',207,'N'),(15,2284260,'2',201,'N'),(15,2284278,'1',201,'N'),(15,2284278,'1A',211,'N'),(15,2284278,'2',420,'N'),(15,2284286,'1',2,'N'),(15,2284286,'2',203,'N'),(15,2284294,'1',303,'N'),(15,2284294,'2',319,'N'),(15,2284308,'1',233,'N'),(15,2284308,'1A',214,'N'),(15,2284308,'2',216,'N'),(15,2284316,'1',326,'N'),(15,2284316,'2',308,'N'),(15,2284324,'1',201,'N'),(15,2284324,'1A',211,'N'),(15,2284324,'2',502,'N'),(15,2284332,'1',339,'N'),(15,2284332,'2',425,'N'),(15,2284340,'1',301,'N'),(15,2284340,'2',316,'N'),(15,2284359,'1',104,'N'),(15,2284359,'2',333,'N'),(15,2284367,'1',451,'N'),(15,2284367,'2',450,'N'),(15,2284375,'1',333,'N'),(15,2284383,'1',104,'N'),(15,2284383,'2',319,'N'),(15,2284391,'1',201,'N'),(15,2284391,'1A',208,'N'),(15,2284391,'2',207,'N'),(15,2284405,'1',9,'N'),(15,2284405,'2',108,'N'),(15,2284413,'1',108,'N'),(15,2284413,'2',333,'N'),(15,2284421,'1',103,'N'),(15,2284421,'2',303,'N'),(15,2284430,'1',9,'N'),(15,2284430,'2',333,'N'),(15,2284448,'1',102,'N'),(15,2284448,'2',9,'N'),(15,2284456,'1',201,'N'),(15,2284456,'1A',212,'N'),(15,2284456,'2',207,'N'),(15,2284464,'1',211,'N'),(15,2284464,'2',216,'N'),(15,2284472,'1',451,'N'),(15,2284480,'1',104,'N'),(15,2284480,'2',9,'N'),(15,2284499,'1',104,'N'),(15,2284499,'2',101,'N'),(15,2284502,'1',238,'N'),(15,2284502,'1A',220,'N'),(15,2284502,'2',316,'N'),(15,2284510,'1',319,'N'),(15,2284510,'2',303,'N'),(15,2284529,'1',5,'N'),(15,2284529,'2',421,'N'),(15,2284537,'1',316,'N'),(15,2284537,'2',224,'N'),(15,2284545,'1',108,'N'),(15,2284545,'2',217,'N'),(15,2284553,'1',5,'N'),(15,2284553,'2',304,'N'),(15,2284561,'1',202,'N'),(15,2284561,'1A',213,'N'),(15,2284561,'2',208,'N'),(15,2284570,'1',224,'N'),(15,2284570,'2',223,'N'),(15,2284588,'1',501,'N'),(15,2284588,'2',211,'N'),(15,2284596,'1',316,'N'),(15,2284596,'2',333,'N'),(15,2284618,'1',102,'N'),(15,2284618,'2',108,'N'),(15,2284626,'1',208,'N'),(15,2284626,'1A',238,'N'),(15,2284626,'2',404,'N'),(15,2284634,'1',103,'N'),(15,2284634,'2',319,'N'),(15,2284650,'1',316,'N'),(15,2284650,'2',5,'N'),(15,2284669,'1',207,'N'),(15,2284669,'1A',214,'N'),(15,2284669,'2',202,'N'),(15,2284677,'1',9,'N'),(15,2284677,'2',319,'N'),(15,2284685,'1',301,'N'),(15,2284685,'2',316,'N'),(15,2284693,'1',5,'N'),(15,2284693,'2',317,'N'),(15,2284707,'1',319,'N'),(15,2284707,'2',333,'N'),(15,2284715,'1',316,'N'),(15,2284715,'2',208,'N'),(15,2284723,'1',103,'N'),(15,2284723,'2',102,'N'),(15,2284740,'1',103,'N'),(15,2284758,'1',302,'N'),(15,2284758,'2',301,'N'),(15,2284766,'1',202,'N'),(15,2284766,'1A',220,'N'),(15,2284766,'2',213,'N'),(15,2284774,'1',103,'N'),(15,2284774,'2',102,'N'),(15,2284782,'1',328,'N'),(15,2284782,'2',324,'N'),(15,2284790,'1',501,'N'),(15,2284790,'2',444,'N'),(15,2284804,'1',211,'N'),(15,2284804,'1A',201,'N'),(15,2284804,'2',234,'N'),(15,2284812,'1',5,'N'),(15,2284812,'2',104,'N'),(15,2284820,'1',214,'N'),(15,2284820,'1A',203,'N'),(15,2284847,'1',104,'N'),(15,2284863,'1',207,'N'),(15,2284863,'2',104,'N'),(15,2284871,'1',501,'N'),(15,2284871,'2',222,'N'),(15,2284880,'1',104,'N'),(15,2284880,'2',309,'N'),(15,2284898,'1',238,'N'),(15,2284898,'1A',208,'N'),(15,2284898,'2',501,'N'),(15,2284901,'1',201,'N'),(15,2284901,'1A',203,'N'),(15,2284901,'2',104,'N'),(15,2284910,'1',108,'N'),(15,2284910,'2',333,'N'),(15,2284928,'1',104,'N'),(15,2284928,'2',327,'N'),(15,2284936,'1',208,'N'),(15,2284936,'1A',216,'N'),(15,2284936,'2',333,'N'),(15,2284944,'1',5,'N'),(15,2284944,'2',303,'N'),(15,2284952,'1',318,'N'),(15,2284987,'1',207,'N'),(15,2284987,'2',103,'N'),(15,2284995,'1',104,'N'),(15,2284995,'2',331,'N'),(15,2285002,'1',238,'N'),(15,2285002,'1A',208,'N'),(15,2285002,'2',420,'N'),(15,2285010,'1',415,'N'),(15,2285029,'1',103,'N'),(15,2285029,'2',301,'N'),(15,2285037,'1',319,'N'),(15,2285037,'2',103,'N'),(15,2285045,'1',5,'N'),(15,2285045,'2',316,'N'),(15,2285053,'1',301,'N'),(15,2285053,'2',420,'N'),(15,2285061,'1',103,'N'),(15,2285070,'1',211,'N'),(15,2285070,'1A',238,'N'),(15,2285070,'2',450,'N'),(15,2285088,'1',316,'N'),(15,2285088,'2',324,'N'),(15,2285096,'1',108,'N'),(15,2285096,'2',502,'N'),(15,2285100,'1',103,'N'),(15,2285100,'2',319,'N'),(15,2285118,'1',104,'N'),(15,2285118,'2',331,'N'),(15,2285126,'1',316,'N'),(15,2285126,'2',501,'N'),(15,2285134,'1',103,'N'),(15,2285134,'2',104,'N'),(15,2285142,'1',420,'N'),(15,2285142,'2',415,'N'),(15,2285150,'1',211,'N'),(15,2285150,'2',104,'N'),(15,2285169,'1',201,'N'),(15,2285169,'1A',211,'N'),(15,2285169,'2',333,'N'),(15,2285177,'1',5,'N'),(15,2285177,'2',327,'N'),(15,2285185,'1',201,'N'),(15,2285185,'1A',216,'N'),(15,2285185,'2',102,'N'),(15,2285193,'1',101,'N'),(15,2285193,'2',428,'N'),(15,2285207,'1',317,'N'),(15,2285207,'2',302,'N'),(15,2285215,'1',103,'N'),(15,2285215,'2',420,'N'),(15,2285223,'1',333,'N'),(15,2285223,'2',108,'N'),(15,2285231,'1',324,'N'),(15,2285231,'2',424,'N'),(15,2285240,'1',104,'N'),(15,2285240,'2',333,'N'),(15,2285258,'1',9,'N'),(15,2285258,'2',404,'N'),(15,2285266,'1',220,'N'),(15,2285266,'1A',207,'N'),(15,2285266,'2',316,'N'),(15,2285274,'1',203,'N'),(15,2285274,'2',225,'N'),(15,2285282,'1',216,'N'),(15,2285282,'1A',202,'N'),(15,2285282,'2',428,'N'),(15,2285290,'1',103,'N'),(15,2285290,'2',9,'N'),(15,2285304,'1',101,'N'),(15,2285304,'2',103,'N'),(15,2285320,'1',201,'N'),(15,2285320,'1A',238,'N'),(15,2285320,'2',2,'N'),(15,2285339,'1',316,'N'),(15,2285339,'2',404,'N'),(15,2285347,'1',404,'N'),(15,2285347,'2',331,'N'),(15,2285355,'1',444,'N'),(15,2285355,'2',324,'N'),(15,2285371,'1',214,'N'),(15,2285371,'1A',213,'N'),(15,2285371,'2',304,'N'),(15,2285380,'1',318,'N'),(15,2285380,'2',304,'N'),(15,2285398,'1',103,'N'),(15,2285398,'2',104,'N'),(15,2285401,'1',5,'N'),(15,2285401,'2',207,'N'),(15,2285410,'1',415,'N'),(15,2285410,'2',428,'N'),(15,2285428,'1',333,'N'),(15,2285428,'2',108,'N'),(15,2285436,'1',103,'N'),(15,2285444,'1',102,'N'),(15,2285444,'2',104,'N'),(15,2285452,'1',102,'N'),(15,2285452,'2',101,'N'),(15,2285460,'1',318,'N'),(15,2285460,'2',304,'N'),(15,2285479,'1',103,'N'),(15,2285479,'2',9,'N'),(15,2285487,'1',214,'N'),(15,2285487,'1A',215,'N'),(15,2285487,'2',203,'N'),(15,2285495,'1',220,'N'),(15,2285495,'1A',208,'N'),(15,2285495,'2',420,'N'),(15,2285509,'1',302,'N'),(15,2285509,'2',304,'N'),(15,2285517,'1',220,'N'),(15,2285517,'1A',207,'N'),(15,2285517,'2',201,'N'),(15,2285525,'1',207,'N'),(15,2285533,'1',333,'N'),(15,2285533,'2',108,'N'),(15,2285541,'1',103,'N'),(15,2285541,'2',201,'N'),(15,2285550,'1',104,'N'),(15,2285550,'2',319,'N'),(15,2285568,'1',213,'N'),(15,2285568,'1A',202,'N'),(15,2285568,'2',102,'N'),(15,2285576,'1',207,'N'),(15,2285576,'2',103,'N'),(15,2285584,'1',333,'N'),(15,2285584,'2',326,'N'),(15,2285606,'1',316,'N'),(15,2285606,'2',317,'N'),(15,2285614,'1',201,'N'),(15,2285614,'1A',233,'N'),(15,2285614,'2',303,'N'),(15,2285630,'1',404,'N'),(15,2285630,'2',319,'N'),(15,2285649,'1',201,'N'),(15,2285649,'1A',207,'N'),(15,2285649,'2',212,'N'),(15,2285657,'1',332,'N'),(15,2285657,'2',333,'N'),(15,2285665,'1',101,'N'),(15,2285665,'2',9,'N'),(15,2285673,'1',103,'N'),(15,2285673,'2',319,'N'),(15,2285681,'1',9,'N'),(15,2285681,'2',333,'N'),(15,2285690,'1',332,'N'),(15,2285690,'2',224,'N'),(15,2285703,'1',103,'N'),(15,2285703,'2',102,'N'),(15,2285711,'1',214,'N'),(15,2285711,'1A',211,'N'),(15,2285711,'2',233,'N'),(15,2285720,'1',102,'N'),(15,2285720,'2',108,'N'),(15,2285738,'1',316,'N'),(15,2285738,'2',324,'N'),(15,2285746,'1',309,'N'),(15,2285746,'2',324,'N'),(15,2285754,'1',303,'N'),(15,2285754,'2',5,'N'),(15,2285762,'1',238,'N'),(15,2285762,'2',324,'N'),(15,2285770,'1',5,'N'),(15,2285770,'2',303,'N'),(15,2285797,'1',5,'N'),(15,2285797,'2',303,'N'),(15,2285800,'1',207,'N'),(15,2285800,'2',429,'N'),(15,2285819,'1',302,'N'),(15,2285819,'2',301,'N'),(15,2285827,'1',316,'N'),(15,2285827,'2',203,'N'),(15,2285835,'1',5,'N'),(15,2285843,'1',207,'N'),(15,2285843,'1A',201,'N'),(15,2285843,'2',420,'N'),(15,2285851,'1',326,'N'),(15,2285851,'2',310,'N'),(15,2285860,'1',104,'N'),(15,2285860,'2',102,'N'),(15,2285878,'1',102,'N'),(15,2285878,'2',215,'N'),(15,2285886,'1',104,'N'),(15,2285886,'2',429,'N'),(15,2285894,'1',316,'N'),(15,2285894,'2',301,'N'),(15,2285908,'1',211,'N'),(15,2285908,'1A',233,'N'),(15,2285908,'2',333,'N'),(15,2285916,'1',332,'N'),(15,2285916,'2',333,'N'),(15,2285924,'1',103,'N'),(15,2285924,'2',320,'N'),(15,2285932,'1',9,'N'),(15,2285959,'1',316,'N'),(15,2285959,'2',415,'N'),(15,2285967,'1',5,'N'),(15,2285967,'2',303,'N'),(15,2285975,'1',327,'N'),(15,2285975,'2',101,'N'),(15,2285991,'1',220,'N'),(15,2285991,'1A',202,'N'),(15,2285991,'2',203,'N'),(15,2286009,'1',303,'N'),(15,2286009,'2',5,'N'),(15,2286017,'1',303,'N'),(15,2286017,'2',211,'N'),(15,2286025,'1',102,'N'),(15,2286025,'2',502,'N'),(15,2286033,'1',103,'N'),(15,2286033,'2',207,'N'),(15,2286041,'1',317,'N'),(15,2286041,'2',318,'N'),(15,2286050,'1',444,'N'),(15,2286050,'2',404,'N'),(15,2286068,'1',316,'N'),(15,2286068,'2',318,'N'),(15,2286076,'1',317,'N'),(15,2286076,'2',318,'N'),(15,2286084,'1',103,'N'),(15,2286084,'2',444,'N'),(15,2286106,'1',108,'N'),(15,2286106,'2',450,'N'),(15,2286114,'1',203,'N'),(15,2286114,'1A',207,'N'),(15,2286114,'2',316,'N'),(15,2286122,'1',233,'N'),(15,2286122,'1A',208,'N'),(15,2286122,'2',420,'N'),(15,2286130,'1',203,'N'),(15,2286130,'1A',214,'N'),(15,2286130,'2',238,'N'),(15,2286149,'1',303,'N'),(15,2286149,'2',104,'N'),(15,2286157,'1',233,'N'),(15,2286157,'2',215,'N'),(15,2286165,'1',225,'N'),(15,2286165,'2',224,'N'),(15,2286173,'1',317,'N'),(15,2286173,'2',318,'N'),(15,2286181,'1',5,'N'),(15,2286181,'2',429,'N'),(15,2286190,'1',207,'N'),(15,2286190,'1A',211,'N'),(15,2286190,'2',102,'N'),(15,2286203,'1',317,'N'),(15,2286203,'2',214,'N'),(15,2286220,'1',202,'N'),(15,2286220,'1A',213,'N'),(15,2286220,'2',327,'N'),(15,2286238,'1',5,'N'),(15,2286238,'2',303,'N'),(15,2286246,'1',103,'N'),(15,2286246,'2',216,'N'),(15,2286254,'1',103,'N'),(15,2286254,'2',303,'N'),(15,2286262,'1',216,'N'),(15,2286262,'2',233,'N'),(15,2286270,'1',103,'N'),(15,2286270,'2',303,'N'),(15,2286289,'1',324,'N'),(15,2286289,'2',316,'N'),(15,2286297,'1',108,'N'),(15,2286297,'2',501,'N'),(15,2286300,'1',214,'N'),(15,2286300,'1A',212,'N'),(15,2286300,'2',203,'N'),(15,2286319,'1',308,'N'),(15,2286319,'2',404,'N'),(15,2286327,'1',208,'N'),(15,2286327,'2',9,'N'),(15,2286335,'1',308,'N'),(15,2286335,'2',207,'N'),(15,2286343,'1',103,'N'),(15,2286343,'2',102,'N'),(15,2286351,'1',220,'N'),(15,2286351,'1A',238,'N'),(15,2286351,'2',208,'N'),(15,2286360,'1',102,'N'),(15,2286360,'2',502,'N'),(15,2286378,'1',316,'N'),(15,2286378,'2',421,'N'),(15,2286386,'1',5,'N'),(15,2286386,'2',103,'N'),(15,2286394,'1',324,'N'),(15,2286394,'2',9,'N'),(15,2286408,'1',103,'N'),(15,2286408,'2',108,'N'),(15,2286416,'1',316,'N'),(15,2286416,'2',301,'N'),(15,2286424,'1',404,'N'),(15,2286424,'2',316,'N'),(15,2286432,'1',301,'N'),(15,2286432,'2',502,'N'),(15,2286440,'1',333,'N'),(15,2286440,'2',302,'N'),(15,2286459,'1',108,'N'),(15,2286459,'2',104,'N'),(15,2286467,'1',103,'N'),(15,2286467,'2',238,'N'),(15,2286475,'1',203,'N'),(15,2286475,'1A',201,'N'),(15,2286475,'2',215,'N'),(15,2286505,'1',215,'N'),(15,2286505,'1A',216,'N'),(15,2286513,'1',332,'N'),(15,2286513,'2',329,'N'),(15,2286521,'1',103,'N'),(15,2286530,'1',104,'N'),(15,2286530,'2',301,'N'),(15,2286548,'1',2,'N'),(15,2286556,'1',211,'N'),(15,2286556,'1A',215,'N'),(15,2286556,'2',501,'N'),(15,2286564,'1',103,'N'),(15,2286564,'2',104,'N'),(15,2286572,'1',423,'N'),(15,2286572,'1A',424,'N'),(15,2286572,'2',215,'N'),(15,2286580,'1',208,'N'),(15,2286580,'1A',201,'N'),(15,2286580,'2',302,'N'),(15,2286599,'1',316,'N'),(15,2286599,'2',301,'N'),(15,2286602,'1',304,'N'),(15,2286602,'2',223,'N'),(15,2286610,'1',233,'N'),(15,2286610,'2',234,'N'),(15,2286629,'1',318,'N'),(15,2286629,'2',201,'N'),(15,2286637,'1',316,'N'),(15,2286637,'2',301,'N'),(15,2286645,'1',103,'N'),(15,2286645,'2',102,'N'),(15,2286653,'1',208,'N'),(15,2286653,'1A',202,'N'),(15,2286653,'2',203,'N'),(15,2286661,'1',203,'N'),(15,2286661,'1A',202,'N'),(15,2286661,'2',201,'N'),(15,2286670,'1',103,'N'),(15,2286670,'2',225,'N'),(15,2286688,'1',303,'N'),(15,2286688,'2',103,'N'),(15,2286696,'1',317,'N'),(15,2286718,'1',5,'N'),(15,2286726,'1',102,'N'),(15,2286726,'2',9,'N'),(15,2286734,'1',316,'N'),(15,2286734,'2',238,'N'),(15,2286750,'1',316,'N'),(15,2286750,'2',301,'N'),(15,2286769,'1',301,'N'),(15,2286769,'2',450,'N'),(15,2286777,'1',103,'N'),(15,2286777,'2',101,'N'),(15,2286785,'1',501,'N'),(15,2286785,'2',415,'N'),(15,2286793,'1',319,'N'),(15,2286793,'2',332,'N'),(15,2286815,'1',103,'N'),(15,2286815,'2',102,'N'),(15,2286823,'1',238,'N'),(15,2286823,'1A',215,'N'),(15,2286823,'2',420,'N'),(15,2286831,'1',223,'N'),(15,2286831,'2',202,'N'),(15,2286840,'1',310,'N'),(15,2286840,'2',309,'N'),(15,2286858,'1',415,'N'),(15,2286858,'2',428,'N'),(15,2286866,'1',216,'N'),(15,2286866,'1A',211,'N'),(15,2286866,'2',233,'N'),(15,2286874,'1',234,'N'),(15,2286882,'1',316,'N'),(15,2286890,'1',101,'N'),(15,2286890,'2',102,'N'),(15,2286904,'1',426,'N'),(15,2286904,'1A',428,'N'),(15,2286904,'2',329,'N'),(15,2286912,'1',9,'N'),(15,2286912,'2',301,'N'),(15,2286920,'1',5,'N'),(15,2286920,'2',333,'N'),(15,2286939,'1',304,'N'),(15,2286939,'2',2,'N'),(15,2286947,'1',333,'N'),(15,2286947,'2',108,'N'),(15,2286955,'1',5,'N'),(15,2286955,'2',429,'N'),(15,2286971,'1',316,'N'),(15,2286971,'2',339,'N'),(15,2286980,'1',317,'N'),(15,2286980,'2',316,'N'),(15,2286998,'1',303,'N'),(15,2286998,'2',444,'N'),(15,2287005,'1',216,'N'),(15,2287005,'2',211,'N'),(15,2287013,'1',238,'N'),(15,2287013,'1A',208,'N'),(15,2287013,'2',224,'N'),(15,2287021,'1',309,'N'),(15,2287021,'2',415,'N'),(15,2287030,'1',301,'N'),(15,2287030,'2',319,'N'),(15,2287048,'1',238,'N'),(15,2287048,'1A',208,'N'),(15,2287048,'2',202,'N'),(15,2287056,'1',201,'N'),(15,2287056,'1A',208,'N'),(15,2287056,'2',216,'N'),(15,2287064,'1',108,'N'),(15,2287064,'2',502,'N'),(15,2287072,'1',5,'N'),(15,2287072,'2',426,'N'),(15,2287080,'1',108,'N'),(15,2287099,'1',103,'N'),(15,2287102,'1',415,'N'),(15,2287102,'2',420,'N'),(15,2287110,'1',207,'N'),(15,2287110,'2',301,'N'),(15,2287129,'1',108,'N'),(15,2287129,'2',326,'N'),(15,2287137,'1',9,'N'),(15,2287137,'2',502,'N'),(15,2287145,'1',217,'N'),(15,2287145,'2',102,'N'),(15,2287153,'1',302,'N'),(15,2287153,'2',317,'N'),(15,2287161,'1',238,'N'),(15,2287161,'1A',220,'N'),(15,2287161,'2',425,'N'),(15,2287170,'1',217,'N'),(15,2287170,'2',421,'N'),(15,2287196,'1',316,'N'),(15,2287196,'2',238,'N'),(15,2287200,'1',102,'N'),(15,2287200,'2',9,'N'),(15,2287218,'1',102,'N'),(15,2287218,'2',217,'N'),(15,2287226,'1',444,'N'),(15,2287226,'2',327,'N'),(15,2287234,'1',238,'N'),(15,2287234,'1A',208,'N'),(15,2287234,'2',429,'N'),(15,2287242,'1',108,'N'),(15,2287242,'2',222,'N'),(15,2287269,'1',303,'N'),(15,2287269,'2',5,'N'),(15,2287293,'1',208,'N'),(15,2287293,'2',324,'N'),(15,2287307,'1',103,'N'),(15,2287307,'2',303,'N'),(15,2287315,'1',202,'N'),(15,2287315,'1A',213,'N'),(15,2287315,'2',203,'N'),(15,2287323,'1',208,'N'),(15,2287323,'1A',238,'N'),(15,2287323,'2',222,'N'),(15,2287331,'1',444,'N'),(15,2287331,'2',9,'N'),(15,2287358,'1',301,'N'),(15,2287358,'2',303,'N'),(15,2287366,'1',215,'N'),(15,2287366,'2',9,'N'),(15,2287374,'1',501,'N'),(15,2287374,'2',327,'N'),(15,2287382,'1',423,'N'),(15,2287382,'1A',428,'N'),(15,2287382,'2',303,'N'),(15,2287390,'1',318,'N'),(15,2287390,'2',333,'N'),(15,2287404,'1',326,'N'),(15,2287404,'2',310,'N'),(15,2287412,'1',220,'N'),(15,2287412,'1A',201,'N'),(15,2287412,'2',203,'N'),(15,2287420,'1',319,'N'),(15,2287420,'2',301,'N'),(15,2287439,'1',316,'N'),(15,2287439,'2',318,'N'),(15,2287447,'1',339,'N'),(15,2287455,'1',207,'N'),(15,2287455,'1A',212,'N'),(15,2287455,'2',450,'N'),(15,2287463,'1',316,'N'),(15,2287463,'2',328,'N'),(15,2287471,'1',404,'N'),(15,2287471,'2',101,'N'),(15,2287480,'1',103,'N'),(15,2287480,'2',102,'N'),(15,2287498,'1',308,'N'),(15,2287498,'2',327,'N'),(15,2287501,'1',212,'N'),(15,2287501,'2',316,'N'),(15,2287528,'1',319,'N'),(15,2287528,'2',329,'N'),(15,2287536,'1',104,'N'),(15,2287536,'2',9,'N'),(15,2287544,'1',423,'N'),(15,2287544,'1A',426,'N'),(15,2287544,'2',308,'N'),(15,2287552,'1',339,'N'),(15,2287552,'2',332,'N'),(15,2287560,'1',224,'N'),(15,2287560,'2',324,'N'),(15,2287579,'1',450,'N'),(15,2287579,'2',451,'N'),(15,2287595,'1',333,'N'),(15,2287595,'2',309,'N'),(15,2287609,'1',104,'N'),(15,2287617,'1',451,'N'),(15,2287617,'2',415,'N'),(15,2287625,'1',103,'N'),(15,2287625,'2',207,'N'),(15,2287641,'1',318,'N'),(15,2287641,'2',301,'N'),(15,2287650,'1',208,'N'),(15,2287650,'1A',238,'N'),(15,2287650,'2',333,'N'),(15,2287668,'1',304,'N'),(15,2287668,'2',207,'N'),(15,2287676,'1',211,'N'),(15,2287676,'1A',203,'N'),(15,2287676,'2',214,'N'),(15,2287684,'1',420,'N'),(15,2287684,'2',207,'N'),(15,2287692,'1',201,'N'),(15,2287692,'1A',202,'N'),(15,2287692,'2',220,'N'),(15,2287706,'1',444,'N'),(15,2287706,'2',404,'N'),(15,2287714,'1',318,'N'),(15,2287714,'2',304,'N'),(15,2287722,'1',319,'N'),(15,2287730,'1',108,'N'),(15,2287730,'2',216,'N'),(15,2287749,'1',425,'N'),(15,2287749,'1A',429,'N'),(15,2287749,'2',234,'N'),(15,2287757,'1',104,'N'),(15,2287757,'2',102,'N'),(15,2287765,'1',203,'N'),(15,2287773,'1',318,'N'),(15,2287781,'1',316,'N'),(15,2287781,'2',324,'N'),(15,2287790,'1',103,'N'),(15,2287790,'2',104,'N'),(15,2287803,'1',316,'N'),(15,2287803,'2',224,'N'),(15,2287811,'1',103,'N'),(15,2287811,'2',101,'N'),(15,2287820,'1',5,'N'),(15,2287820,'2',319,'N'),(15,2287838,'1',103,'N'),(15,2287838,'2',102,'N'),(15,2287846,'1',2,'N'),(15,2287846,'2',327,'N'),(15,2287854,'1',316,'N'),(15,2287854,'2',211,'N'),(15,2287870,'1',220,'N'),(15,2287870,'1A',203,'N'),(15,2287870,'2',214,'N'),(15,2287889,'1',415,'N'),(15,2287889,'2',324,'N'),(15,2287897,'1',303,'N'),(15,2287897,'2',5,'N'),(15,2287900,'1',211,'N'),(15,2287900,'1A',215,'N'),(15,2287927,'1',108,'N'),(15,2287927,'2',404,'N'),(15,2287935,'1',108,'N'),(15,2287935,'2',102,'N'),(15,2287943,'1',333,'N'),(15,2287943,'2',420,'N'),(15,2287951,'1',103,'N'),(15,2287951,'2',5,'N'),(15,2287960,'1',319,'N'),(15,2287960,'2',339,'N'),(15,2287978,'1',308,'N'),(15,2287978,'2',224,'N'),(15,2287994,'1',319,'N'),(15,2287994,'2',428,'N'),(15,2288001,'1',201,'N'),(15,2288001,'1A',212,'N'),(15,2288001,'2',301,'N'),(15,2288010,'1',5,'N'),(15,2288010,'2',303,'N'),(15,2288028,'1',104,'N'),(15,2288036,'1',214,'N'),(15,2288036,'1A',203,'N'),(15,2288036,'2',104,'N'),(15,2288044,'1',5,'N'),(15,2288044,'2',339,'N'),(15,2288052,'1',104,'N'),(15,2288052,'2',308,'N'),(15,2288060,'1',102,'N'),(15,2288060,'2',212,'N'),(15,2288079,'1',104,'N'),(15,2288079,'2',301,'N'),(15,2288087,'1',103,'N'),(15,2288087,'2',309,'N'),(15,2288095,'1',420,'N'),(15,2288095,'2',207,'N'),(15,2288109,'1',202,'N'),(15,2288109,'1A',201,'N'),(15,2288109,'2',225,'N'),(15,2288117,'1',211,'N'),(15,2288117,'2',333,'N'),(15,2288125,'1',316,'N'),(15,2288125,'2',320,'N'),(15,2288133,'1',319,'N'),(15,2288133,'2',404,'N'),(15,2288150,'1',420,'N'),(15,2288150,'2',238,'N'),(15,2288168,'1',444,'N'),(15,2288168,'2',331,'N'),(15,2288176,'1',5,'N'),(15,2288176,'2',303,'N'),(15,2288184,'1',213,'N'),(15,2288184,'1A',212,'N'),(15,2288184,'2',214,'N'),(15,2288192,'1',208,'N'),(15,2288192,'1A',238,'N'),(15,2288192,'2',222,'N'),(15,2288206,'1',103,'N'),(15,2288206,'2',208,'N'),(15,2288214,'1',207,'N'),(15,2288214,'1A',201,'N'),(15,2288214,'2',420,'N'),(15,2288222,'1',102,'N'),(15,2288222,'2',101,'N'),(15,2288230,'1',207,'N'),(15,2288230,'1A',201,'N'),(15,2288230,'2',223,'N'),(15,2288249,'1',309,'N'),(15,2288249,'2',339,'N'),(15,2288257,'1',333,'N'),(15,2288257,'2',301,'N'),(15,2288265,'1',203,'N'),(15,2288265,'1A',233,'N'),(15,2288265,'2',215,'N'),(15,2288273,'1',233,'N'),(15,2288273,'1A',214,'N'),(15,2288273,'2',211,'N'),(15,2288281,'1',303,'N'),(15,2288281,'2',103,'N'),(15,2288290,'1',203,'N'),(15,2288290,'2',316,'N'),(15,2288303,'1',201,'N'),(15,2288303,'1A',215,'N'),(15,2288303,'2',316,'N'),(15,2288311,'1',104,'N'),(15,2288311,'2',326,'N'),(15,2288320,'1',328,'N'),(15,2288320,'2',420,'N'),(15,2288338,'1',214,'N'),(15,2288338,'2',213,'N'),(15,2288346,'1',303,'N'),(15,2288346,'2',202,'N'),(15,2288370,'1',103,'N'),(15,2288370,'2',9,'N'),(15,2288389,'1',103,'N'),(15,2288389,'2',202,'N'),(15,2288397,'1',9,'N'),(15,2288397,'2',404,'N'),(15,2288400,'1',103,'N'),(15,2288400,'2',420,'N'),(15,2288419,'1',216,'N'),(15,2288427,'1',207,'N'),(15,2288427,'1A',201,'N'),(15,2288427,'2',420,'N'),(15,2288435,'1',303,'N'),(15,2288435,'2',207,'N'),(15,2288443,'1',201,'N'),(15,2288443,'1A',212,'N'),(15,2288443,'2',301,'N'),(15,2288451,'1',103,'N'),(15,2288451,'2',5,'N'),(15,2288460,'1',5,'N'),(15,2288460,'2',303,'N'),(15,2288478,'1',201,'N'),(15,2288478,'1A',207,'N'),(15,2288478,'2',202,'N'),(15,2288486,'1',426,'N'),(15,2288486,'1A',423,'N'),(15,2288486,'2',329,'N'),(15,2288494,'1',104,'N'),(15,2288494,'2',319,'N'),(15,2288516,'1',331,'N'),(15,2288516,'2',309,'N'),(15,2288524,'1',103,'N'),(15,2288532,'1',5,'N'),(15,2288532,'2',339,'N'),(15,2288540,'1',103,'N'),(15,2288540,'2',104,'N'),(15,2288567,'1',103,'N'),(15,2288567,'2',108,'N'),(15,2288575,'1',208,'N'),(15,2288575,'2',202,'N'),(15,2288583,'1',319,'N'),(15,2288583,'2',329,'N'),(15,2288591,'1',304,'N'),(15,2288591,'2',318,'N'),(15,2288605,'1',316,'N'),(15,2288605,'2',501,'N'),(15,2288613,'1',234,'N'),(15,2288621,'1',103,'N'),(15,2288621,'2',108,'N'),(15,2288630,'1',104,'N'),(15,2288648,'1',415,'N'),(15,2288648,'2',501,'N'),(15,2288656,'1',208,'N'),(15,2288656,'1A',238,'N'),(15,2288656,'2',317,'N'),(15,2288664,'1',101,'N'),(15,2288664,'2',217,'N'),(15,2288672,'1',501,'N'),(15,2288672,'2',502,'N'),(15,2288699,'1',203,'N'),(15,2288702,'1',444,'N'),(15,2288702,'2',423,'N'),(15,2288710,'1',207,'N'),(15,2288710,'1A',208,'N'),(15,2288710,'2',101,'N'),(15,2288729,'1',333,'N'),(15,2288729,'2',108,'N'),(15,2288737,'1',333,'N'),(15,2288737,'2',318,'N'),(15,2288745,'1',201,'N'),(15,2288745,'1A',212,'N'),(15,2288745,'2',309,'N'),(15,2288753,'1',9,'N'),(15,2288753,'2',444,'N'),(15,2288761,'1',332,'N'),(15,2288761,'2',502,'N'),(15,2288770,'1',103,'N'),(15,2288770,'2',101,'N'),(15,2288788,'1',101,'N'),(15,2288788,'2',309,'N'),(15,2288796,'1',310,'N'),(15,2288796,'2',328,'N'),(15,2288800,'1',211,'N'),(15,2288800,'1A',202,'N'),(15,2288800,'2',444,'N'),(15,2288818,'1',420,'N'),(15,2288826,'1',216,'N'),(15,2288826,'2',202,'N'),(15,2288834,'1',103,'N'),(15,2288834,'2',9,'N'),(15,2288842,'1',220,'N'),(15,2288842,'1A',203,'N'),(15,2288842,'2',208,'N'),(15,2288850,'1',203,'N'),(15,2288850,'1A',202,'N'),(15,2288850,'2',214,'N'),(15,2288869,'1',333,'N'),(15,2288869,'2',502,'N'),(15,2288885,'1',238,'N'),(15,2288885,'2',208,'N'),(15,2288893,'1',207,'N'),(15,2288893,'1A',201,'N'),(15,2288893,'2',450,'N'),(15,2288907,'1',201,'N'),(15,2288907,'2',207,'N'),(15,2288915,'1',501,'N'),(15,2288915,'2',211,'N'),(15,2288923,'1',203,'N'),(15,2288931,'1',211,'N'),(15,2288931,'1A',216,'N'),(15,2288931,'2',108,'N'),(15,2288958,'1',331,'N'),(15,2288958,'2',326,'N'),(15,2288966,'1',332,'N'),(15,2288966,'2',333,'N'),(15,2288974,'1',326,'N'),(15,2288974,'2',425,'N'),(15,2288982,'1',216,'N'),(15,2288982,'1A',238,'N'),(15,2288982,'2',215,'N'),(15,2288990,'1',319,'N'),(15,2288990,'2',404,'N'),(15,2289008,'1',303,'N'),(15,2289008,'2',214,'N'),(15,2289016,'1',502,'N'),(15,2289016,'2',316,'N'),(15,2289024,'1',214,'N'),(15,2289024,'1A',220,'N'),(15,2289024,'2',203,'N'),(15,2289032,'1',102,'N'),(15,2289032,'2',108,'N'),(15,2289040,'1',108,'N'),(15,2289040,'2',319,'N'),(15,2289059,'1',316,'N'),(15,2289059,'2',317,'N'),(15,2289067,'1',319,'N'),(15,2289067,'2',308,'N'),(15,2289083,'1',415,'N'),(15,2289083,'2',327,'N'),(15,2289105,'1',444,'N'),(15,2289105,'2',102,'N'),(15,2289113,'1',425,'N'),(15,2289113,'1A',429,'N'),(15,2289113,'2',319,'N'),(15,2289121,'1',424,'N'),(15,2289121,'1A',421,'N'),(15,2289121,'2',429,'N'),(15,2289130,'1',103,'N'),(15,2289148,'1',238,'N'),(15,2289148,'1A',208,'N'),(15,2289148,'2',222,'N'),(15,2289156,'1',103,'N'),(15,2289156,'2',104,'N'),(15,2289172,'1',104,'N'),(15,2289172,'2',415,'N'),(15,2289180,'1',103,'N'),(15,2289180,'2',101,'N'),(15,2289199,'1',451,'N'),(15,2289199,'2',103,'N'),(15,2289202,'1',103,'N'),(15,2289202,'2',102,'N'),(15,2289210,'1',238,'N'),(15,2289210,'1A',208,'N'),(15,2289210,'2',332,'N'),(15,2289229,'1',332,'N'),(15,2289229,'2',426,'N'),(15,2289237,'1',319,'N'),(15,2289237,'2',501,'N'),(15,2289245,'1',302,'N'),(15,2289245,'2',203,'N'),(15,2289253,'1',415,'N'),(15,2289253,'2',319,'N'),(15,2289270,'1',213,'N'),(15,2289270,'1A',220,'N'),(15,2289270,'2',324,'N'),(15,2289288,'1',217,'N'),(15,2289296,'1',103,'N'),(15,2289296,'2',5,'N'),(15,2289300,'1',317,'N'),(15,2289300,'2',332,'N'),(15,2289318,'1',103,'N'),(15,2289318,'2',104,'N'),(15,2289326,'1',101,'N'),(15,2289326,'2',102,'N'),(15,2289334,'1',104,'N'),(15,2289334,'2',101,'N'),(15,2289342,'1',319,'N'),(15,2289342,'2',327,'N'),(15,2289369,'1',233,'N'),(15,2289369,'1A',216,'N'),(15,2289369,'2',5,'N'),(15,2289377,'1',327,'N'),(15,2289377,'2',329,'N'),(15,2289385,'1',318,'N'),(15,2289385,'2',5,'N'),(15,2289393,'1',9,'N'),(15,2289393,'2',420,'N'),(15,2289407,'1',317,'N'),(15,2289407,'2',327,'N'),(15,2289415,'1',5,'N'),(15,2289415,'2',308,'N'),(15,2289423,'1',303,'N'),(15,2289423,'2',301,'N'),(15,2289431,'1',303,'N'),(15,2289431,'2',5,'N'),(15,2289440,'1',425,'N'),(15,2289440,'1A',429,'N'),(15,2289440,'2',333,'N'),(15,2289458,'1',203,'N'),(15,2289458,'1A',233,'N'),(15,2289458,'2',214,'N'),(15,2289466,'1',102,'N'),(15,2289466,'2',207,'N'),(15,2289482,'1',103,'N'),(15,2289482,'2',203,'N'),(15,2289490,'1',327,'N'),(15,2289490,'2',428,'N'),(15,2289504,'1',202,'N'),(15,2289504,'1A',213,'N'),(15,2289512,'1',222,'N'),(15,2289512,'2',223,'N'),(15,2289520,'1',301,'N'),(15,2289520,'2',302,'N'),(15,2289539,'1',104,'N'),(15,2289539,'2',420,'N'),(15,2289547,'1',333,'N'),(15,2289547,'2',211,'N'),(15,2289555,'1',501,'N'),(15,2289555,'2',207,'N'),(15,2289563,'1',319,'N'),(15,2289563,'2',333,'N'),(15,2289571,'1',5,'N'),(15,2289571,'2',444,'N'),(15,2289598,'1',104,'N'),(15,2289598,'2',502,'N'),(15,2289601,'1',415,'N'),(15,2289601,'2',451,'N'),(15,2289610,'1',501,'N'),(15,2289610,'2',316,'N'),(15,2289628,'1',103,'N'),(15,2289628,'2',212,'N'),(15,2289636,'1',303,'N'),(15,2289636,'2',5,'N'),(15,2289644,'1',103,'N'),(15,2289644,'2',101,'N'),(15,2289660,'1',415,'N'),(15,2289660,'2',202,'N'),(15,2289679,'1',318,'N'),(15,2289679,'2',304,'N'),(15,2289687,'1',102,'N'),(15,2289687,'2',429,'N'),(15,2289695,'1',214,'N'),(15,2289695,'1A',220,'N'),(15,2289695,'2',420,'N'),(15,2289709,'1',333,'N'),(15,2289725,'1',331,'N'),(15,2289725,'2',501,'N'),(15,2289733,'1',428,'N'),(15,2289733,'1A',426,'N'),(15,2289741,'1',333,'N'),(15,2289741,'2',208,'N'),(15,2289750,'1',316,'N'),(15,2289750,'2',317,'N'),(15,2289768,'1',301,'N'),(15,2289768,'2',310,'N'),(15,2289776,'1',320,'N'),(15,2289776,'2',324,'N'),(15,2289784,'1',103,'N'),(15,2289784,'2',104,'N'),(15,2289792,'1',317,'N'),(15,2289792,'2',302,'N'),(15,2289806,'1',318,'N'),(15,2289806,'2',429,'N'),(15,2289814,'1',425,'N'),(15,2289830,'1',202,'N'),(15,2289830,'2',208,'N'),(15,2289857,'1',326,'N'),(15,2289857,'2',331,'N'),(15,2289873,'1',339,'N'),(15,2289873,'2',225,'N'),(15,2289881,'1',203,'N'),(15,2289881,'1A',214,'N'),(15,2289881,'2',333,'N'),(15,2289890,'1',317,'N'),(15,2289890,'2',318,'N'),(15,2289903,'1',201,'N'),(15,2289903,'2',2,'N'),(15,2289920,'1',108,'N'),(15,2289920,'2',333,'N'),(15,2289938,'1',317,'N'),(15,2289938,'2',316,'N'),(15,2289954,'1',211,'N'),(15,2289954,'1A',202,'N'),(15,2289954,'2',333,'N'),(15,2289970,'1',104,'N'),(15,2289970,'2',214,'N'),(15,2289989,'1',211,'N'),(15,2289989,'1A',215,'N'),(15,2289989,'2',207,'N'),(15,2289997,'1',333,'N'),(15,2289997,'2',238,'N'),(15,2290006,'1',318,'N'),(15,2290006,'2',339,'N'),(15,2290014,'1',103,'N'),(15,2290014,'2',101,'N'),(15,2290022,'1',213,'N'),(15,2290022,'1A',220,'N'),(15,2290022,'2',202,'N'),(15,2290030,'1',103,'N'),(15,2290049,'1',201,'N'),(15,2290049,'1A',208,'N'),(15,2290049,'2',301,'N'),(15,2290057,'1',207,'N'),(15,2290057,'1A',201,'N'),(15,2290057,'2',424,'N'),(15,2290065,'1',333,'N'),(15,2290065,'2',108,'N'),(15,2290073,'1',104,'N'),(15,2290081,'1',5,'N'),(15,2290081,'2',404,'N'),(15,2290090,'1',234,'N'),(15,2290090,'2',329,'N'),(15,2290103,'1',214,'N'),(15,2290103,'1A',202,'N'),(15,2290103,'2',220,'N'),(15,2290111,'1',303,'N'),(15,2290111,'2',301,'N'),(15,2290120,'1',333,'N'),(15,2290120,'2',316,'N'),(15,2290138,'1',102,'N'),(15,2290138,'2',217,'N'),(15,2290146,'1',104,'N'),(15,2290146,'2',102,'N'),(15,2290154,'1',301,'N'),(15,2290154,'2',104,'N'),(15,2290162,'1',502,'N'),(15,2290162,'2',317,'N'),(15,2290170,'1',320,'N'),(15,2290170,'2',308,'N'),(15,2290189,'1',104,'N'),(15,2290197,'1',108,'N'),(15,2290197,'2',444,'N'),(15,2290200,'1',316,'N'),(15,2290200,'2',317,'N'),(15,2290219,'1',303,'N'),(15,2290219,'2',5,'N'),(15,2290227,'1',5,'N'),(15,2290227,'2',316,'N'),(15,2290235,'1',207,'N'),(15,2290235,'2',301,'N'),(15,2290243,'1',103,'N'),(15,2290243,'2',101,'N'),(15,2290251,'1',316,'N'),(15,2290251,'2',301,'N'),(15,2290260,'1',203,'N'),(15,2290260,'1A',216,'N'),(15,2290260,'2',202,'N'),(15,2290278,'1',238,'N'),(15,2290278,'1A',208,'N'),(15,2290278,'2',301,'N'),(15,2290286,'1',104,'N'),(15,2290286,'2',415,'N'),(15,2290294,'1',108,'N'),(15,2290294,'2',502,'N'),(15,2290308,'1',423,'N'),(15,2290308,'1A',428,'N'),(15,2290308,'2',415,'N'),(15,2290316,'1',308,'N'),(15,2290316,'2',223,'N'),(15,2290324,'1',320,'N'),(15,2290324,'2',310,'N'),(15,2290340,'1',207,'N'),(15,2290359,'1',104,'N'),(15,2290359,'2',303,'N'),(15,2290367,'1',201,'N'),(15,2290367,'1A',212,'N'),(15,2290375,'1',9,'N'),(15,2290375,'2',319,'N'),(15,2290383,'1',428,'N'),(15,2290383,'1A',423,'N'),(15,2290383,'2',404,'N'),(15,2290391,'1',326,'N'),(15,2290391,'2',310,'N'),(15,2290405,'1',415,'N'),(15,2290405,'2',426,'N'),(15,2290413,'1',316,'N'),(15,2290413,'2',319,'N'),(15,2290421,'1',103,'N'),(15,2290421,'2',444,'N'),(15,2290430,'1',327,'N'),(15,2290430,'2',451,'N'),(15,2290456,'1',224,'N'),(15,2290456,'2',203,'N'),(15,2290464,'1',104,'N'),(15,2290472,'1',317,'N'),(15,2290472,'2',302,'N'),(15,2290480,'1',304,'N'),(15,2290480,'2',502,'N'),(15,2290499,'1',2,'N'),(15,2290499,'2',225,'N'),(15,2290502,'1',339,'N'),(15,2290502,'2',324,'N'),(15,2290510,'1',326,'N'),(15,2290510,'2',327,'N'),(15,2290529,'1',208,'N'),(15,2290529,'1A',238,'N'),(15,2290529,'2',301,'N'),(15,2290537,'1',329,'N'),(15,2290537,'2',320,'N'),(15,2290545,'1',308,'N'),(15,2290545,'2',104,'N'),(15,2290553,'1',404,'N'),(15,2290561,'1',425,'N'),(15,2290561,'2',424,'N'),(15,2290570,'1',425,'N'),(15,2290570,'2',329,'N'),(15,2290588,'1',316,'N'),(15,2290588,'2',317,'N'),(15,2290596,'1',9,'N'),(15,2290596,'2',444,'N'),(15,2290600,'1',404,'N'),(15,2290600,'2',9,'N'),(15,2290618,'1',303,'N'),(15,2290618,'2',429,'N'),(15,2290626,'1',333,'N'),(15,2290626,'2',501,'N'),(15,2290634,'1',5,'N'),(15,2290634,'2',316,'N'),(15,2290642,'1',333,'N'),(15,2290642,'2',339,'N'),(15,2290650,'1',101,'N'),(15,2290650,'2',103,'N'),(15,2290669,'1',333,'N'),(15,2290669,'2',211,'N'),(15,2290677,'1',415,'N'),(15,2290677,'2',424,'N'),(15,2290707,'1',501,'N'),(15,2290707,'2',303,'N'),(15,2290715,'1',5,'N'),(15,2290723,'1',302,'N'),(15,2290723,'2',308,'N'),(15,2290731,'1',320,'N'),(15,2290731,'2',310,'N'),(15,2290740,'1',207,'N'),(15,2290740,'2',420,'N'),(15,2290758,'1',207,'N'),(15,2290758,'1A',201,'N'),(15,2290758,'2',102,'N'),(15,2290766,'1',104,'N'),(15,2290766,'2',201,'N'),(15,2290774,'1',444,'N'),(15,2290774,'2',425,'N'),(15,2290782,'1',5,'N'),(15,2290782,'2',327,'N'),(15,2290790,'1',103,'N'),(15,2290790,'2',104,'N'),(15,2290804,'1',203,'N'),(15,2290804,'1A',233,'N'),(15,2290804,'2',2,'N'),(15,2290812,'1',404,'N'),(15,2290812,'2',238,'N'),(15,2290839,'1',316,'N'),(15,2290839,'2',102,'N'),(15,2290847,'1',333,'N'),(15,2290847,'2',329,'N'),(15,2290855,'1',318,'N'),(15,2290855,'2',216,'N'),(15,2290863,'1',5,'N'),(15,2290863,'2',316,'N'),(15,2290871,'1',207,'N'),(15,2290871,'1A',201,'N'),(15,2290871,'2',420,'N'),(15,2290880,'1',303,'N'),(15,2290880,'2',5,'N'),(15,2290901,'1',104,'N'),(15,2290910,'1',444,'N'),(15,2290910,'2',318,'N'),(15,2290928,'1',103,'N'),(15,2290928,'2',320,'N'),(15,2290936,'1',333,'N'),(15,2290936,'2',501,'N'),(15,2290944,'1',212,'N'),(15,2290944,'1A',201,'N'),(15,2290944,'2',234,'N'),(15,2290952,'1',223,'N'),(15,2290952,'2',224,'N'),(15,2290960,'1',501,'N'),(15,2290960,'2',212,'N'),(15,2290979,'1',318,'N'),(15,2290979,'2',317,'N'),(15,2290987,'1',103,'N'),(15,2290987,'2',203,'N'),(15,2290995,'1',303,'N'),(15,2290995,'2',215,'N'),(15,2291002,'1',103,'N'),(15,2291002,'2',101,'N'),(15,2291010,'1',212,'N'),(15,2291010,'1A',213,'N'),(15,2291010,'2',222,'N'),(15,2291029,'1',108,'N'),(15,2291029,'2',332,'N'),(15,2291037,'1',103,'N'),(15,2291037,'2',9,'N'),(15,2291045,'1',216,'N'),(15,2291045,'1A',233,'N'),(15,2291045,'2',217,'N'),(15,2291053,'1',216,'N'),(15,2291053,'2',215,'N'),(15,2291061,'1',415,'N'),(15,2291061,'2',208,'N'),(15,2291070,'1',202,'N'),(15,2291070,'1A',220,'N'),(15,2291088,'1',327,'N'),(15,2291096,'1',217,'N'),(15,2291096,'2',415,'N'),(15,2291118,'1',203,'N'),(15,2291118,'2',316,'N'),(15,2291142,'1',103,'N'),(15,2291142,'2',101,'N'),(15,2291150,'1',501,'N'),(15,2291150,'2',9,'N'),(15,2291169,'1',220,'N'),(15,2291169,'1A',202,'N'),(15,2291169,'2',213,'N'),(15,2291177,'1',444,'N'),(15,2291177,'2',234,'N'),(15,2291185,'1',302,'N'),(15,2291185,'2',201,'N'),(15,2291193,'1',327,'N'),(15,2291193,'2',222,'N'),(15,2291207,'1',404,'N'),(15,2291207,'2',421,'N'),(15,2291223,'1',5,'N'),(15,2291223,'2',207,'N'),(15,2291240,'1',404,'N'),(15,2291240,'2',444,'N'),(15,2291258,'1',444,'N'),(15,2291258,'2',421,'N'),(15,2291266,'1',451,'N'),(15,2291266,'2',421,'N'),(15,2291274,'1',5,'N'),(15,2291274,'2',333,'N'),(15,2291282,'1',103,'N'),(15,2291282,'2',303,'N'),(15,2291290,'1',5,'N'),(15,2291290,'2',501,'N'),(15,2291312,'1',301,'N'),(15,2291312,'2',420,'N'),(15,2291320,'1',103,'N'),(15,2291320,'2',216,'N'),(15,2291339,'1',207,'N'),(15,2291339,'1A',201,'N'),(15,2291339,'2',324,'N'),(15,2291347,'1',5,'N'),(15,2291347,'2',303,'N'),(15,2291355,'1',326,'N'),(15,2291355,'2',327,'N'),(15,2291363,'1',103,'N'),(15,2291371,'1',211,'N'),(15,2291371,'1A',203,'N'),(15,2291371,'2',501,'N'),(15,2291398,'1',5,'N'),(15,2291398,'2',316,'N'),(15,2291401,'1',451,'N'),(15,2291401,'2',427,'N'),(15,2291410,'1',108,'N'),(15,2291410,'2',101,'N'),(15,2291428,'1',102,'N'),(15,2291428,'2',404,'N'),(15,2291444,'1',202,'N'),(15,2291444,'1A',213,'N'),(15,2291444,'2',214,'N'),(15,2291452,'1',5,'N'),(15,2291452,'2',316,'N'),(15,2291460,'1',502,'N'),(15,2291460,'2',501,'N'),(15,2291479,'1',108,'N'),(15,2291479,'2',420,'N'),(15,2291487,'1',207,'N'),(15,2291509,'1',303,'N'),(15,2291509,'2',207,'N'),(15,2291517,'1',319,'N'),(15,2291517,'2',102,'N'),(15,2291525,'1',212,'N'),(15,2291525,'1A',202,'N'),(15,2291525,'2',302,'N'),(15,2291533,'1',104,'N'),(15,2291533,'2',201,'N'),(15,2291550,'1',501,'N'),(15,2291550,'2',234,'N'),(15,2291568,'1',103,'N'),(15,2291568,'2',101,'N'),(15,2291576,'1',211,'N'),(15,2291576,'1A',220,'N'),(15,2291576,'2',404,'N'),(15,2291584,'1',103,'N'),(15,2291584,'2',104,'N'),(15,2291592,'1',428,'N'),(15,2291592,'1A',423,'N'),(15,2291592,'2',450,'N'),(15,2291606,'1',318,'N'),(15,2291606,'2',324,'N'),(15,2291614,'1',303,'N'),(15,2291614,'2',319,'N'),(15,2291622,'1',316,'N'),(15,2291622,'2',301,'N'),(15,2291630,'1',415,'N'),(15,2291630,'2',420,'N'),(15,2291649,'1',318,'N'),(15,2291649,'2',316,'N'),(15,2291657,'1',5,'N'),(15,2291657,'2',423,'N'),(15,2291665,'1',101,'N'),(15,2291673,'1',318,'N'),(15,2291673,'2',327,'N'),(15,2291681,'1',415,'N'),(15,2291681,'2',444,'N'),(15,2291690,'1',103,'N'),(15,2291690,'2',104,'N'),(15,2291703,'1',310,'N'),(15,2291703,'2',309,'N'),(15,2291711,'1',208,'N'),(15,2291711,'1A',238,'N'),(15,2291711,'2',317,'N'),(15,2291738,'1',211,'N'),(15,2291738,'1A',201,'N'),(15,2291738,'2',415,'N'),(15,2291746,'1',501,'N'),(15,2291746,'2',215,'N'),(15,2291754,'1',216,'N'),(15,2291754,'2',217,'N'),(15,2291762,'1',333,'N'),(15,2291762,'2',501,'N'),(15,2291770,'1',103,'N'),(15,2291770,'2',319,'N'),(15,2291789,'1',103,'N'),(15,2291789,'2',212,'N'),(15,2291797,'1',102,'N'),(15,2291797,'2',339,'N'),(15,2291800,'1',208,'N'),(15,2291800,'1A',238,'N'),(15,2291800,'2',223,'N'),(15,2291819,'1',104,'N'),(15,2291819,'2',326,'N'),(15,2291827,'1',211,'N'),(15,2291827,'1A',215,'N'),(15,2291827,'2',501,'N'),(15,2291835,'1',425,'N'),(15,2291835,'2',420,'N'),(15,2291851,'1',326,'N'),(15,2291851,'2',303,'N'),(15,2291860,'1',308,'N'),(15,2291860,'2',423,'N'),(15,2291878,'1',9,'N'),(15,2291878,'2',309,'N'),(15,2291886,'1',310,'N'),(15,2291894,'1',101,'N'),(15,2291908,'1',220,'N'),(15,2291908,'2',203,'N'),(15,2291916,'1',415,'N'),(15,2291916,'2',326,'N'),(15,2291924,'1',207,'N'),(15,2291924,'1A',212,'N'),(15,2291924,'2',102,'N'),(15,2291932,'1',316,'N'),(15,2291932,'2',415,'N'),(15,2291940,'1',304,'N'),(15,2291940,'2',317,'N'),(15,2291959,'1',224,'N'),(15,2291959,'2',426,'N'),(15,2291967,'1',220,'N'),(15,2291967,'1A',203,'N'),(15,2291967,'2',316,'N'),(15,2291983,'1',5,'N'),(15,2291983,'2',211,'N'),(15,2291991,'1',9,'N'),(15,2291991,'2',104,'N'),(15,2292017,'1',202,'N'),(15,2292017,'1A',203,'N'),(15,2292017,'2',216,'N'),(15,2292025,'1',303,'N'),(15,2292025,'2',5,'N'),(15,2292033,'1',404,'N'),(15,2292033,'2',238,'N'),(15,2292041,'1',304,'N'),(15,2292041,'2',108,'N'),(15,2292050,'1',423,'N'),(15,2292050,'1A',428,'N'),(15,2292050,'2',327,'N'),(15,2292068,'1',326,'N'),(15,2292068,'2',332,'N'),(15,2292076,'1',2,'N'),(15,2292076,'2',450,'N'),(15,2292084,'1',339,'N'),(15,2292084,'2',329,'N'),(15,2292092,'1',103,'N'),(15,2292092,'2',316,'N'),(15,2292106,'1',203,'N'),(15,2292106,'1A',214,'N'),(15,2292106,'2',233,'N'),(15,2292114,'1',103,'N'),(15,2292114,'2',303,'N'),(15,2292122,'1',102,'N'),(15,2292122,'2',217,'N'),(15,2292149,'1',303,'N'),(15,2292149,'2',5,'N'),(15,2292157,'1',103,'N'),(15,2292157,'2',102,'N'),(15,2292181,'1',5,'N'),(15,2292181,'2',317,'N'),(15,2292190,'1',308,'N'),(15,2292190,'2',425,'N'),(15,2292203,'1',201,'N'),(15,2292203,'1A',212,'N'),(15,2292203,'2',211,'N'),(15,2292211,'1',203,'N'),(15,2292211,'1A',220,'N'),(15,2292211,'2',214,'N'),(15,2292220,'1',102,'N'),(15,2292220,'2',444,'N'),(15,2292238,'1',212,'N'),(15,2292238,'1A',215,'N'),(15,2292238,'2',301,'N'),(15,2292246,'1',203,'N'),(15,2292246,'1A',214,'N'),(15,2292254,'1',427,'N'),(15,2292254,'1A',421,'N'),(15,2292254,'2',424,'N'),(15,2292262,'1',103,'N'),(15,2292262,'2',501,'N'),(15,2292289,'1',415,'N'),(15,2292289,'2',327,'N'),(15,2292297,'1',207,'N'),(15,2292297,'1A',212,'N'),(15,2292297,'2',420,'N'),(15,2292300,'1',426,'N'),(15,2292300,'2',415,'N'),(15,2292319,'1',201,'N'),(15,2292319,'1A',208,'N'),(15,2292319,'2',329,'N'),(15,2292327,'1',215,'N'),(15,2292327,'1A',201,'N'),(15,2292327,'2',223,'N'),(15,2292335,'1',5,'N'),(15,2292335,'2',103,'N'),(15,2292343,'1',201,'N'),(15,2292343,'1A',212,'N'),(15,2292343,'2',103,'N'),(15,2292351,'1',207,'N'),(15,2292351,'1A',202,'N'),(15,2292351,'2',331,'N'),(15,2292360,'1',318,'N'),(15,2292360,'2',304,'N'),(15,2292378,'1',5,'N'),(15,2292378,'2',339,'N'),(15,2292386,'1',404,'N'),(15,2292386,'2',316,'N'),(15,2292394,'1',424,'N'),(15,2292394,'2',427,'N'),(15,2292408,'1',302,'N'),(15,2292408,'2',217,'N'),(15,2292416,'1',444,'N'),(15,2292416,'2',309,'N'),(15,2292432,'1',102,'N'),(15,2292432,'2',104,'N'),(15,2292440,'1',103,'N'),(15,2292440,'2',301,'N'),(15,2292459,'1',211,'N'),(15,2292467,'1',339,'N'),(15,2292467,'2',102,'N'),(15,2292475,'1',303,'N'),(15,2292475,'2',102,'N'),(15,2292483,'1',318,'N'),(15,2292483,'2',225,'N'),(15,2292491,'1',303,'N'),(15,2292491,'2',319,'N'),(15,2292505,'1',102,'N'),(15,2292505,'2',339,'N'),(15,2292513,'1',203,'N'),(15,2292513,'2',202,'N'),(15,2292521,'1',103,'N'),(15,2292521,'2',104,'N'),(15,2292530,'1',303,'N'),(15,2292530,'2',304,'N'),(15,2292556,'1',103,'N'),(15,2292564,'1',208,'N'),(15,2292564,'1A',238,'N'),(15,2292564,'2',317,'N'),(15,2292572,'1',308,'N'),(15,2292572,'2',319,'N'),(15,2292580,'1',103,'N'),(15,2292580,'2',101,'N'),(15,2292599,'1',9,'N'),(15,2292599,'2',215,'N'),(15,2292602,'1',404,'N'),(15,2292602,'2',429,'N'),(15,2292610,'1',317,'N'),(15,2292610,'2',208,'N'),(15,2292637,'1',303,'N'),(15,2292637,'2',5,'N'),(15,2292645,'1',101,'N'),(15,2292645,'2',420,'N'),(15,2292653,'1',238,'N'),(15,2292653,'2',208,'N'),(15,2292661,'1',450,'N'),(15,2292661,'2',320,'N'),(15,2292670,'1',208,'N'),(15,2292670,'2',201,'N'),(15,2292688,'1',103,'N'),(15,2292688,'2',211,'N'),(15,2292696,'1',104,'N'),(15,2292696,'2',319,'N'),(15,2292700,'1',211,'N'),(15,2292700,'1A',215,'N'),(15,2292700,'2',333,'N'),(15,2292718,'1',104,'N'),(15,2292718,'2',319,'N'),(15,2292726,'1',415,'N'),(15,2292726,'2',420,'N'),(15,2292742,'1',201,'N'),(15,2292742,'1A',207,'N'),(15,2292742,'2',316,'N'),(15,2292750,'1',208,'N'),(15,2292750,'2',420,'N'),(15,2292777,'1',316,'N'),(15,2292785,'1',303,'N'),(15,2292785,'2',201,'N'),(15,2292793,'1',404,'N'),(15,2292793,'2',444,'N'),(15,2292807,'1',108,'N'),(15,2292823,'1',203,'N'),(15,2292831,'1',103,'N'),(15,2292831,'2',203,'N'),(15,2292840,'1',444,'N'),(15,2292840,'2',9,'N'),(15,2292858,'1',444,'N'),(15,2292858,'2',303,'N'),(15,2292866,'1',319,'N'),(15,2292866,'2',425,'N'),(15,2292874,'1',333,'N'),(15,2292882,'1',220,'N'),(15,2292882,'1A',207,'N'),(15,2292882,'2',222,'N'),(15,2292890,'1',214,'N'),(15,2292890,'1A',203,'N'),(15,2292890,'2',212,'N'),(15,2292904,'1',303,'N'),(15,2292904,'2',415,'N'),(15,2292912,'1',303,'N'),(15,2292912,'2',224,'N'),(15,2292920,'1',303,'N'),(15,2292920,'2',316,'N'),(15,2292939,'1',316,'N'),(15,2292939,'2',223,'N'),(15,2292947,'1',324,'N'),(15,2292947,'2',308,'N'),(15,2292971,'1',316,'N'),(15,2292971,'2',301,'N'),(15,2292998,'1',215,'N'),(15,2292998,'1A',238,'N'),(15,2292998,'2',426,'N'),(15,2293005,'1',234,'N'),(15,2293005,'2',501,'N'),(15,2293013,'1',301,'N'),(15,2293013,'2',233,'N'),(15,2293021,'1',451,'N'),(15,2293021,'2',102,'N'),(15,2293030,'1',5,'N'),(15,2293030,'2',415,'N'),(15,2293048,'1',301,'N'),(15,2293048,'2',316,'N'),(15,2293056,'1',303,'N'),(15,2293056,'2',425,'N'),(15,2293064,'1',211,'N'),(15,2293064,'1A',216,'N'),(15,2293064,'2',501,'N'),(15,2293072,'1',304,'N'),(15,2293072,'2',108,'N'),(15,2293080,'1',207,'N'),(15,2293099,'1',214,'N'),(15,2293099,'1A',233,'N'),(15,2293099,'2',203,'N'),(15,2293102,'1',316,'N'),(15,2293102,'2',327,'N'),(15,2293110,'1',103,'N'),(15,2293110,'2',415,'N'),(15,2293137,'1',103,'N'),(15,2293137,'2',108,'N'),(15,2293145,'1',207,'N'),(15,2293145,'1A',201,'N'),(15,2293145,'2',420,'N'),(15,2293153,'1',201,'N'),(15,2293153,'1A',212,'N'),(15,2293153,'2',203,'N'),(15,2293161,'1',5,'N'),(15,2293161,'2',329,'N'),(15,2293170,'1',5,'N'),(15,2293170,'2',326,'N'),(15,2293188,'1',103,'N'),(15,2293188,'2',9,'N'),(15,2293196,'1',104,'N'),(15,2293196,'2',217,'N'),(15,2293200,'1',319,'N'),(15,2293200,'2',424,'N'),(15,2293218,'1',211,'N'),(15,2293218,'1A',216,'N'),(15,2293218,'2',319,'N'),(15,2293226,'1',201,'N'),(15,2293226,'1A',213,'N'),(15,2293226,'2',222,'N'),(15,2293234,'1',328,'N'),(15,2293234,'2',101,'N'),(15,2293242,'1',5,'N'),(15,2293242,'2',333,'N'),(15,2293250,'1',415,'N'),(15,2293250,'2',420,'N'),(15,2293269,'1',319,'N'),(15,2293269,'2',428,'N'),(15,2293277,'1',309,'N'),(15,2293277,'2',324,'N'),(15,2293285,'1',424,'N'),(15,2293285,'1A',423,'N'),(15,2293285,'2',421,'N'),(15,2293293,'1',202,'N'),(15,2293293,'2',203,'N'),(15,2293307,'1',108,'N'),(15,2293307,'2',316,'N'),(15,2293315,'1',327,'N'),(15,2293315,'2',404,'N'),(15,2293323,'1',301,'N'),(15,2293323,'2',425,'N'),(15,2293331,'1',317,'N'),(15,2293331,'2',324,'N'),(15,2293340,'1',212,'N'),(15,2293340,'1A',207,'N'),(15,2293340,'2',214,'N'),(15,2293358,'1',203,'N'),(15,2293358,'1A',202,'N'),(15,2293358,'2',216,'N'),(15,2293374,'1',103,'N'),(15,2293374,'2',309,'N'),(15,2293382,'1',308,'N'),(15,2293382,'2',320,'N'),(15,2293390,'1',103,'N'),(15,2293390,'2',319,'N'),(15,2293404,'1',211,'N'),(15,2293404,'1A',212,'N'),(15,2293404,'2',233,'N'),(15,2293412,'1',316,'N'),(15,2293412,'2',207,'N'),(15,2293420,'1',208,'N'),(15,2293420,'1A',202,'N'),(15,2293420,'2',203,'N'),(15,2293439,'1',320,'N'),(15,2293439,'2',327,'N'),(15,2293447,'1',5,'N'),(15,2293447,'2',319,'N'),(15,2293455,'1',203,'N'),(15,2293455,'1A',215,'N'),(15,2293455,'2',104,'N'),(15,2293463,'1',316,'N'),(15,2293463,'2',319,'N'),(15,2293471,'1',203,'N'),(15,2293471,'1A',233,'N'),(15,2293471,'2',333,'N'),(15,2293480,'1',103,'N'),(15,2293498,'1',304,'N'),(15,2293498,'2',318,'N'),(15,2293501,'1',103,'N'),(15,2293501,'2',203,'N'),(15,2293510,'1',217,'N'),(15,2293510,'2',424,'N'),(15,2293528,'1',316,'N'),(15,2293528,'2',217,'N'),(15,2293536,'1',211,'N'),(15,2293536,'2',216,'N'),(15,2293544,'1',404,'N'),(15,2293544,'2',444,'N'),(15,2293552,'1',332,'N'),(15,2293552,'2',320,'N'),(15,2293560,'1',425,'N'),(15,2293560,'1A',421,'N'),(15,2293560,'2',427,'N'),(15,2293579,'1',203,'N'),(15,2293579,'2',202,'N'),(15,2293587,'1',316,'N'),(15,2293587,'2',333,'N'),(15,2293595,'1',317,'N'),(15,2293595,'2',320,'N'),(15,2293609,'1',420,'N'),(15,2293609,'2',9,'N'),(15,2293617,'1',319,'N'),(15,2293617,'2',9,'N'),(15,2293625,'1',222,'N'),(15,2293625,'2',233,'N'),(15,2293633,'1',502,'N'),(15,2293633,'2',9,'N'),(15,2293641,'1',104,'N'),(15,2293641,'2',223,'N'),(15,2293650,'1',203,'N'),(15,2293650,'2',214,'N'),(15,2293668,'1',102,'N'),(15,2293668,'2',202,'N'),(15,2293676,'1',208,'N'),(15,2293676,'1A',215,'N'),(15,2293676,'2',308,'N'),(15,2293692,'1',316,'N'),(15,2293692,'2',215,'N'),(15,2293722,'1',103,'N'),(15,2293722,'2',108,'N'),(15,2293730,'1',203,'N'),(15,2293730,'1A',233,'N'),(15,2293730,'2',238,'N'),(15,2293749,'1',303,'N'),(15,2293749,'2',5,'N'),(15,2293765,'1',420,'N'),(15,2293773,'1',316,'N'),(15,2293773,'2',317,'N'),(15,2293781,'1',319,'N'),(15,2293781,'2',308,'N'),(15,2293790,'1',426,'N'),(15,2293803,'1',333,'N'),(15,2293803,'2',234,'N'),(15,2293820,'1',304,'N'),(15,2293820,'2',301,'N'),(15,2293838,'1',108,'N'),(15,2293846,'1',201,'N'),(15,2293846,'1A',212,'N'),(15,2293846,'2',203,'N'),(15,2293854,'1',303,'N'),(15,2293854,'2',104,'N'),(15,2293862,'1',101,'N'),(15,2293870,'1',404,'N'),(15,2293870,'2',339,'N'),(15,2293889,'1',451,'N'),(15,2293889,'2',450,'N'),(15,2293897,'1',103,'N'),(15,2293900,'1',502,'N'),(15,2293900,'2',501,'N'),(15,2293927,'1',415,'N'),(15,2293927,'2',319,'N'),(15,2293935,'1',303,'N'),(15,2293935,'2',319,'N'),(15,2293951,'1',201,'N'),(15,2293951,'1A',208,'N'),(15,2293951,'2',202,'N'),(15,2293960,'1',5,'N'),(15,2293960,'2',420,'N'),(15,2293978,'1',420,'N'),(15,2293978,'2',316,'N'),(15,2294010,'1',214,'N'),(15,2294010,'1A',203,'N'),(15,2294010,'2',220,'N'),(15,2294036,'1',5,'N'),(15,2294036,'2',303,'N'),(15,2294044,'1',103,'N'),(15,2294060,'1',212,'N'),(15,2294060,'1A',207,'N'),(15,2294060,'2',101,'N'),(15,2294087,'1',104,'N'),(15,2294087,'2',102,'N'),(15,2294095,'1',214,'N'),(15,2294095,'1A',233,'N'),(15,2294095,'2',208,'N'),(15,2294109,'1',303,'N'),(15,2294109,'2',301,'N'),(15,2294117,'1',5,'N'),(15,2294117,'2',104,'N'),(15,2294125,'1',5,'N'),(15,2294125,'2',303,'N'),(15,2294133,'1',103,'N'),(15,2294133,'2',319,'N'),(15,2294141,'1',316,'N'),(15,2294141,'2',501,'N'),(15,2294150,'1',238,'N'),(15,2294150,'1A',233,'N'),(15,2294150,'2',421,'N'),(15,2294168,'1',339,'N'),(15,2294168,'2',501,'N'),(15,2294176,'1',326,'N'),(15,2294176,'2',327,'N'),(15,2294184,'1',238,'N'),(15,2294184,'1A',208,'N'),(15,2294184,'2',9,'N'),(15,2294192,'1',301,'N'),(15,2294192,'2',310,'N'),(15,2294206,'1',220,'N'),(15,2294206,'1A',208,'N'),(15,2294206,'2',213,'N'),(15,2294214,'1',426,'N'),(15,2294214,'1A',423,'N'),(15,2294222,'1',424,'N'),(15,2294222,'1A',423,'N'),(15,2294222,'2',426,'N'),(15,2294230,'1',207,'N'),(15,2294230,'1A',201,'N'),(15,2294230,'2',420,'N'),(15,2294249,'1',208,'N'),(15,2294249,'1A',238,'N'),(15,2294249,'2',303,'N'),(15,2294257,'1',102,'N'),(15,2294257,'2',216,'N'),(15,2294265,'1',213,'N'),(15,2294265,'1A',238,'N'),(15,2294265,'2',224,'N'),(15,2294273,'1',302,'N'),(15,2294273,'2',222,'N'),(15,2294281,'1',9,'N'),(15,2294281,'2',215,'N'),(15,2294311,'1',207,'N'),(15,2294311,'1A',212,'N'),(15,2294311,'2',301,'N'),(15,2294320,'1',339,'N'),(15,2294320,'2',324,'N'),(15,2294338,'1',103,'N'),(15,2294346,'1',201,'N'),(15,2294346,'1A',212,'N'),(15,2294346,'2',220,'N'),(15,2294354,'1',450,'N'),(15,2294354,'2',451,'N'),(15,2294362,'1',301,'N'),(15,2294362,'2',316,'N'),(15,2294370,'1',415,'N'),(15,2294370,'2',211,'N'),(15,2294389,'1',425,'N'),(15,2294389,'1A',423,'N'),(15,2294389,'2',420,'N'),(15,2294400,'1',103,'N'),(15,2294400,'2',303,'N'),(15,2294419,'1',104,'N'),(15,2294419,'2',207,'N'),(15,2294427,'1',303,'N'),(15,2294427,'2',5,'N'),(15,2294435,'1',213,'N'),(15,2294435,'1A',211,'N'),(15,2294435,'2',214,'N'),(15,2294443,'1',234,'N'),(15,2294443,'2',302,'N'),(15,2294451,'1',203,'N'),(15,2294451,'1A',214,'N'),(15,2294451,'2',201,'N'),(15,2294460,'1',319,'N'),(15,2294460,'2',303,'N'),(15,2294478,'1',103,'N'),(15,2294478,'2',101,'N'),(15,2294486,'1',103,'N'),(15,2294486,'2',216,'N'),(15,2294494,'1',103,'N'),(15,2294508,'1',501,'N'),(15,2294516,'1',216,'N'),(15,2294516,'1A',233,'N'),(15,2294516,'2',208,'N'),(15,2294524,'1',415,'N'),(15,2294524,'2',451,'N'),(15,2294532,'1',303,'N'),(15,2294532,'2',217,'N'),(15,2294540,'1',301,'N'),(15,2294540,'2',425,'N'),(15,2294559,'1',203,'N'),(15,2294559,'1A',201,'N'),(15,2294559,'2',501,'N'),(15,2294567,'1',303,'N'),(15,2294567,'2',319,'N'),(15,2294575,'1',203,'N'),(15,2294575,'2',216,'N'),(15,2294583,'1',207,'N'),(15,2294583,'1A',208,'N'),(15,2294591,'1',211,'N'),(15,2294591,'1A',201,'N'),(15,2294591,'2',502,'N'),(15,2294605,'1',103,'N'),(15,2294605,'2',333,'N'),(15,2294613,'1',103,'N'),(15,2294613,'2',5,'N'),(15,2294621,'1',415,'N'),(15,2294621,'2',203,'N'),(15,2294630,'1',215,'N'),(15,2294630,'1A',211,'N'),(15,2294630,'2',2,'N'),(15,2294648,'1',207,'N'),(15,2294648,'2',9,'N'),(15,2294672,'1',415,'N'),(15,2294672,'2',103,'N'),(15,2294680,'1',217,'N'),(15,2294699,'1',319,'N'),(15,2294699,'2',103,'N'),(15,2294702,'1',303,'N'),(15,2294702,'2',5,'N'),(15,2294729,'1',302,'N'),(15,2294729,'2',308,'N'),(15,2294737,'1',318,'N'),(15,2294737,'2',317,'N'),(15,2294745,'1',404,'N'),(15,2294745,'2',225,'N'),(15,2294753,'1',415,'N'),(15,2294753,'2',5,'N'),(15,2294761,'1',415,'N'),(15,2294761,'2',207,'N'),(15,2294770,'1',108,'N'),(15,2294770,'2',502,'N'),(15,2294788,'1',103,'N'),(15,2294788,'2',301,'N'),(15,2294796,'1',211,'N'),(15,2294796,'1A',202,'N'),(15,2294796,'2',9,'N'),(15,2294800,'1',207,'N'),(15,2294800,'1A',201,'N'),(15,2294800,'2',215,'N'),(15,2294826,'1',103,'N'),(15,2294826,'2',101,'N'),(15,2294834,'1',308,'N'),(15,2294834,'2',423,'N'),(15,2294842,'1',302,'N'),(15,2294842,'2',304,'N'),(15,2294850,'1',101,'N'),(15,2294850,'2',316,'N'),(15,2294869,'1',202,'N'),(15,2294869,'1A',208,'N'),(15,2294869,'2',5,'N'),(15,2294885,'1',203,'N'),(15,2294885,'1A',202,'N'),(15,2294885,'2',222,'N'),(15,2294893,'1',9,'N'),(15,2294893,'2',420,'N'),(15,2294907,'1',426,'N'),(15,2294907,'1A',429,'N'),(15,2294907,'2',103,'N'),(15,2294915,'1',326,'N'),(15,2294915,'2',327,'N'),(15,2294923,'1',215,'N'),(15,2294923,'2',102,'N'),(15,2294931,'1',103,'N'),(15,2294931,'2',102,'N'),(15,2294940,'1',327,'N'),(15,2294940,'2',415,'N'),(15,2294958,'1',339,'N'),(15,2294958,'2',318,'N'),(15,2294966,'1',214,'N'),(15,2294966,'1A',212,'N'),(15,2294966,'2',316,'N'),(15,2294974,'1',317,'N'),(15,2294974,'2',302,'N'),(15,2294982,'1',309,'N'),(15,2294982,'2',339,'N'),(15,2295008,'1',317,'N'),(15,2295008,'2',339,'N'),(15,2295016,'1',317,'N'),(15,2295016,'2',333,'N'),(15,2295024,'1',333,'N'),(15,2295024,'2',332,'N'),(15,2295032,'1',333,'N'),(15,2295032,'2',203,'N'),(15,2295040,'1',101,'N'),(15,2295040,'2',9,'N'),(15,2295059,'1',201,'N'),(15,2295059,'1A',233,'N'),(15,2295059,'2',329,'N'),(15,2295075,'1',420,'N'),(15,2295075,'2',333,'N'),(15,2295083,'1',303,'N'),(15,2295091,'1',233,'N'),(15,2295091,'1A',214,'N'),(15,2295091,'2',2,'N'),(15,2295105,'1',203,'N'),(15,2295105,'1A',214,'N'),(15,2295105,'2',215,'N'),(15,2295148,'1',201,'N'),(15,2295148,'1A',212,'N'),(15,2295164,'1',217,'N'),(15,2295164,'2',302,'N'),(15,2295172,'1',220,'N'),(15,2295172,'1A',203,'N'),(15,2295172,'2',201,'N'),(15,2295180,'1',9,'N'),(15,2295180,'2',301,'N'),(15,2295199,'1',238,'N'),(15,2295199,'1A',208,'N'),(15,2295199,'2',223,'N'),(15,2295202,'1',309,'N'),(15,2295202,'2',324,'N'),(15,2295210,'1',213,'N'),(15,2295210,'1A',238,'N'),(15,2295210,'2',324,'N'),(15,2295237,'1',203,'N'),(15,2295237,'1A',214,'N'),(15,2295237,'2',202,'N'),(15,2295245,'1',9,'N'),(15,2295245,'2',404,'N'),(15,2295253,'1',319,'N'),(15,2295253,'2',310,'N'),(15,2295261,'1',201,'N'),(15,2295261,'1A',212,'N'),(15,2295261,'2',203,'N'),(15,2295270,'1',426,'N'),(15,2295270,'2',308,'N'),(15,2295288,'1',103,'N'),(15,2295288,'2',208,'N'),(15,2295296,'1',332,'N'),(15,2295300,'1',331,'N'),(15,2295300,'2',108,'N'),(15,2295318,'1',301,'N'),(15,2295318,'2',316,'N'),(15,2295326,'1',9,'N'),(15,2295334,'1',308,'N'),(15,2295334,'2',426,'N'),(15,2295342,'1',5,'N'),(15,2295369,'1',301,'N'),(15,2295369,'2',303,'N'),(15,2295377,'1',318,'N'),(15,2295377,'2',317,'N'),(15,2295385,'1',103,'N'),(15,2295393,'1',207,'N'),(15,2295393,'1A',202,'N'),(15,2295393,'2',216,'N'),(15,2295407,'1',220,'N'),(15,2295407,'1A',207,'N'),(15,2295407,'2',238,'N'),(15,2295415,'1',450,'N'),(15,2295415,'2',415,'N'),(15,2295423,'1',103,'N'),(15,2295431,'1',317,'N'),(15,2295431,'2',316,'N'),(15,2295466,'1',5,'N'),(15,2295466,'2',303,'N'),(15,2295474,'1',103,'N'),(15,2295474,'2',301,'N'),(15,2295482,'1',303,'N'),(15,2295482,'2',104,'N'),(15,2295490,'1',101,'N'),(15,2295490,'2',102,'N'),(15,2295512,'1',103,'N'),(15,2295512,'2',9,'N'),(15,2295520,'1',319,'N'),(15,2295520,'2',308,'N'),(15,2295539,'1',5,'N'),(15,2295539,'2',316,'N'),(15,2295547,'1',404,'N'),(15,2295547,'2',331,'N'),(15,2295555,'1',214,'N'),(15,2295555,'1A',212,'N'),(15,2295555,'2',316,'N'),(15,2295563,'1',101,'N'),(15,2295563,'2',444,'N'),(15,2295571,'1',425,'N'),(15,2295580,'1',211,'N'),(15,2295580,'1A',202,'N'),(15,2295580,'2',331,'N'),(15,2295598,'1',316,'N'),(15,2295598,'2',318,'N'),(15,2295601,'1',103,'N'),(15,2295601,'2',415,'N'),(15,2295610,'1',5,'N'),(15,2295610,'2',319,'N'),(15,2295628,'1',310,'N'),(15,2295628,'2',415,'N'),(15,2295636,'1',339,'N'),(15,2295636,'2',101,'N'),(15,2295644,'1',207,'N'),(15,2295644,'1A',201,'N'),(15,2295644,'2',223,'N'),(15,2295652,'1',415,'N'),(15,2295652,'2',450,'N'),(15,2295687,'1',103,'N'),(15,2295687,'2',303,'N'),(15,2295695,'1',316,'N'),(15,2295709,'1',429,'N'),(15,2295709,'1A',425,'N'),(15,2295709,'2',424,'N'),(15,2295717,'1',502,'N'),(15,2295717,'2',333,'N'),(15,2295733,'1',317,'N'),(15,2295733,'2',318,'N'),(15,2295741,'1',101,'N'),(15,2295741,'2',308,'N'),(15,2295750,'1',308,'N'),(15,2295750,'2',301,'N'),(15,2295768,'1',303,'N'),(15,2295768,'2',415,'N'),(15,2295776,'1',102,'N'),(15,2295776,'2',215,'N'),(15,2295784,'1',103,'N'),(15,2295784,'2',329,'N'),(15,2295792,'1',104,'N'),(15,2295792,'2',215,'N'),(15,2295806,'1',450,'N'),(15,2295806,'2',333,'N'),(15,2295814,'1',201,'N'),(15,2295814,'1A',212,'N'),(15,2295814,'2',5,'N'),(15,2295822,'1',420,'N'),(15,2295822,'2',501,'N'),(15,2295857,'1',420,'N'),(15,2295857,'2',207,'N'),(15,2295865,'1',332,'N'),(15,2295865,'2',238,'N'),(15,2295873,'1',9,'N'),(15,2295881,'1',415,'N'),(15,2295881,'2',5,'N'),(15,2295890,'1',5,'N'),(15,2295890,'2',444,'N'),(15,2295903,'1',320,'N'),(15,2295903,'2',318,'N'),(15,2295938,'1',220,'N'),(15,2295938,'1A',233,'N'),(15,2295938,'2',203,'N'),(15,2295946,'1',302,'N'),(15,2295954,'1',103,'N'),(15,2295962,'1',333,'N'),(15,2295970,'1',404,'N'),(15,2295989,'1',103,'N'),(15,2295997,'1',238,'N'),(15,2295997,'1A',233,'N'),(15,2295997,'2',333,'N'),(15,2296004,'1',444,'N'),(15,2296004,'2',316,'N'),(15,2296012,'1',444,'N'),(15,2296012,'2',331,'N'),(15,2296020,'1',211,'N'),(15,2296020,'2',102,'N'),(15,2296039,'1',103,'N'),(15,2296047,'1',303,'N'),(15,2296047,'2',5,'N'),(15,2296063,'1',104,'N'),(15,2296063,'2',208,'N'),(15,2296071,'1',108,'N'),(15,2296071,'2',215,'N'),(15,2296080,'1',9,'N'),(15,2296080,'2',215,'N'),(15,2296101,'1',220,'N'),(15,2296101,'1A',201,'N'),(15,2296101,'2',5,'N'),(15,2296110,'1',103,'N'),(15,2296110,'2',101,'N'),(15,2296128,'1',329,'N'),(15,2296128,'2',328,'N'),(15,2296136,'1',415,'N'),(15,2296136,'2',308,'N'),(15,2296144,'1',317,'N'),(15,2296144,'2',304,'N'),(15,2296152,'1',415,'N'),(15,2296152,'2',426,'N'),(15,2296160,'1',104,'N'),(15,2296160,'2',420,'N'),(15,2296179,'1',310,'N'),(15,2296179,'2',329,'N'),(15,2296187,'1',333,'N'),(15,2296187,'2',415,'N'),(15,2296195,'1',215,'N'),(15,2296195,'1A',211,'N'),(15,2296195,'2',102,'N'),(15,2296209,'1',316,'N'),(15,2296209,'2',420,'N'),(15,2296217,'1',303,'N'),(15,2296217,'2',9,'N'),(15,2296225,'1',238,'N'),(15,2296241,'1',425,'N'),(15,2296241,'1A',423,'N'),(15,2296241,'2',329,'N'),(15,2296250,'1',5,'N'),(15,2296250,'2',303,'N'),(15,2296268,'1',303,'N'),(15,2296276,'1',215,'N'),(15,2296276,'1A',216,'N'),(15,2296276,'2',211,'N'),(15,2296284,'1',404,'N'),(15,2296284,'2',238,'N'),(15,2296292,'1',207,'N'),(15,2296292,'1A',208,'N'),(15,2296292,'2',316,'N'),(15,2296306,'1',450,'N'),(15,2296306,'2',424,'N'),(15,2296314,'1',207,'N'),(15,2296314,'1A',211,'N'),(15,2296314,'2',333,'N'),(15,2296322,'1',404,'N'),(15,2296322,'2',308,'N'),(15,2296330,'1',333,'N'),(15,2296330,'2',332,'N'),(15,2296349,'1',333,'N'),(15,2296349,'2',331,'N'),(15,2296357,'1',103,'N'),(15,2296365,'1',103,'N'),(15,2296365,'2',214,'N'),(15,2296373,'1',301,'N'),(15,2296373,'2',420,'N'),(15,2296390,'1',404,'N'),(15,2296390,'2',332,'N'),(15,2296403,'1',208,'N'),(15,2296403,'1A',202,'N'),(15,2296403,'2',233,'N'),(15,2296411,'1',203,'N'),(15,2296411,'1A',202,'N'),(15,2296411,'2',450,'N'),(15,2296420,'1',415,'N'),(15,2296420,'2',429,'N'),(15,2296438,'1',5,'N'),(15,2296438,'2',303,'N'),(15,2296446,'1',103,'N'),(15,2296454,'1',429,'N'),(15,2296462,'1',404,'N'),(15,2296462,'2',444,'N'),(15,2296470,'1',444,'N'),(15,2296470,'2',316,'N'),(15,2296489,'1',316,'N'),(15,2296489,'2',211,'N'),(15,2296497,'1',444,'N'),(15,2296497,'2',309,'N'),(15,2296500,'1',102,'N'),(15,2296500,'2',318,'N'),(15,2296519,'1',238,'N'),(15,2296519,'1A',208,'N'),(15,2296519,'2',301,'N'),(15,2296527,'1',207,'N'),(15,2296527,'2',420,'N'),(15,2296535,'1',301,'N'),(15,2296535,'2',303,'N'),(15,2296543,'1',5,'N'),(15,2296543,'2',329,'N'),(15,2296551,'1',303,'N'),(15,2296551,'2',327,'N'),(15,2296560,'1',420,'N'),(15,2296560,'2',450,'N'),(15,2296578,'1',331,'N'),(15,2296578,'2',326,'N'),(15,2296586,'1',211,'N'),(15,2296586,'1A',202,'N'),(15,2296586,'2',103,'N'),(15,2296594,'1',234,'N'),(15,2296594,'2',333,'N'),(15,2296608,'1',213,'N'),(15,2296608,'1A',214,'N'),(15,2296608,'2',233,'N'),(15,2296616,'1',317,'N'),(15,2296616,'2',318,'N'),(15,2296624,'1',308,'N'),(15,2296624,'2',223,'N'),(15,2296632,'1',103,'N'),(15,2296632,'2',501,'N'),(15,2296640,'1',103,'N'),(15,2296640,'2',220,'N'),(15,2296659,'1',207,'N'),(15,2296659,'1A',201,'N'),(15,2296659,'2',301,'N'),(15,2296667,'1',208,'N'),(15,2296667,'1A',238,'N'),(15,2296675,'1',324,'N'),(15,2296675,'2',429,'N'),(15,2296683,'1',207,'N'),(15,2296683,'1A',201,'N'),(15,2296683,'2',429,'N'),(15,2296705,'1',214,'N'),(15,2296705,'1A',220,'N'),(15,2296705,'2',225,'N'),(15,2296713,'1',212,'N'),(15,2296713,'1A',220,'N'),(15,2296713,'2',326,'N'),(15,2296721,'1',444,'N'),(15,2296730,'1',427,'N'),(15,2296730,'1A',424,'N'),(15,2296730,'2',333,'N'),(15,2296748,'1',301,'N'),(15,2296748,'2',304,'N'),(15,2296756,'1',103,'N'),(15,2296756,'2',211,'N'),(15,2296764,'1',415,'N'),(15,2296764,'2',450,'N'),(15,2296772,'1',104,'N'),(15,2296772,'2',415,'N'),(15,2296780,'1',207,'N'),(15,2296780,'2',420,'N'),(15,2296799,'1',319,'N'),(15,2296799,'2',301,'N'),(15,2296802,'1',207,'N'),(15,2296802,'1A',220,'N'),(15,2296802,'2',420,'N'),(15,2296810,'1',301,'N'),(15,2296810,'2',404,'N'),(15,2296837,'1',201,'N'),(15,2296837,'1A',203,'N'),(15,2296837,'2',316,'N'),(15,2296853,'1',303,'N'),(15,2296853,'2',103,'N'),(15,2296870,'1',308,'N'),(15,2296870,'2',302,'N'),(15,2296888,'1',317,'N'),(15,2296888,'2',318,'N'),(15,2296896,'1',211,'N'),(15,2296896,'1A',215,'N'),(15,2296896,'2',301,'N'),(15,2296900,'1',420,'N'),(15,2296900,'2',207,'N'),(15,2296918,'1',5,'N'),(15,2296918,'2',320,'N'),(15,2296934,'1',9,'N'),(15,2296934,'2',333,'N'),(15,2296942,'1',238,'N'),(15,2296942,'1A',208,'N'),(15,2296942,'2',420,'N'),(15,2296950,'1',420,'N'),(15,2296950,'2',207,'N'),(15,2296969,'1',301,'N'),(15,2296969,'2',208,'N'),(15,2296977,'1',211,'N'),(15,2296977,'2',333,'N'),(15,2296985,'1',216,'N'),(15,2296985,'1A',233,'N'),(15,2296985,'2',501,'N'),(15,2296993,'1',103,'N'),(15,2296993,'2',201,'N'),(15,2297000,'1',208,'N'),(15,2297000,'2',404,'N'),(15,2297019,'1',238,'N'),(15,2297019,'1A',208,'N'),(15,2297019,'2',425,'N'),(15,2297027,'1',420,'N'),(15,2297027,'2',213,'N'),(15,2297035,'1',103,'N'),(15,2297035,'2',201,'N'),(15,2297043,'1',103,'N'),(15,2297043,'2',104,'N'),(15,2297051,'1',9,'N'),(15,2297051,'2',108,'N'),(15,2297060,'1',302,'N'),(15,2297060,'2',319,'N'),(15,2297078,'1',202,'N'),(15,2297078,'1A',211,'N'),(15,2297078,'2',501,'N'),(15,2297086,'1',211,'N'),(15,2297086,'1A',215,'N'),(15,2297086,'2',309,'N'),(15,2297094,'1',404,'N'),(15,2297094,'2',425,'N'),(15,2297108,'1',317,'N'),(15,2297108,'2',302,'N'),(15,2297116,'1',318,'N'),(15,2297116,'2',304,'N'),(15,2297124,'1',217,'N'),(15,2297124,'2',302,'N'),(15,2297132,'1',104,'N'),(15,2297132,'2',5,'N'),(15,2297140,'1',103,'N'),(15,2297140,'2',220,'N'),(15,2297159,'1',5,'N'),(15,2297159,'2',320,'N'),(15,2297167,'1',203,'N'),(15,2297167,'1A',214,'N'),(15,2297167,'2',201,'N'),(15,2297175,'1',316,'N'),(15,2297175,'2',332,'N'),(15,2297183,'1',332,'N'),(15,2297183,'2',329,'N'),(15,2297191,'1',426,'N'),(15,2297191,'1A',428,'N'),(15,2297191,'2',108,'N'),(15,2297205,'1',102,'N'),(15,2297205,'2',108,'N'),(15,2297213,'1',333,'N'),(15,2297213,'2',415,'N'),(15,2297221,'1',234,'N'),(15,2297221,'2',211,'N'),(15,2297230,'1',316,'N'),(15,2297248,'1',327,'N'),(15,2297248,'2',415,'N'),(15,2297256,'1',216,'N'),(15,2297264,'1',316,'N'),(15,2297272,'1',104,'N'),(15,2297272,'2',5,'N'),(15,2297280,'1',220,'N'),(15,2297280,'2',301,'N'),(15,2297299,'1',444,'N'),(15,2297299,'2',9,'N'),(15,2297302,'1',339,'N'),(15,2297302,'2',308,'N'),(15,2297310,'1',501,'N'),(15,2297310,'2',211,'N'),(15,2297329,'1',301,'N'),(15,2297329,'2',215,'N'),(15,2297337,'1',223,'N'),(15,2297337,'2',324,'N'),(15,2297345,'1',201,'N'),(15,2297345,'1A',208,'N'),(15,2297345,'2',207,'N'),(15,2297353,'1',233,'N'),(15,2297353,'1A',215,'N'),(15,2297353,'2',333,'N'),(15,2297361,'1',103,'N'),(15,2297361,'2',303,'N'),(15,2297370,'1',103,'N'),(15,2297370,'2',211,'N'),(15,2297388,'1',303,'N'),(15,2297388,'2',326,'N'),(15,2297396,'1',9,'N'),(15,2297400,'1',217,'N'),(15,2297400,'2',339,'N'),(15,2297418,'1',502,'N'),(15,2297426,'1',103,'N'),(15,2297426,'2',425,'N'),(15,2297434,'1',320,'N'),(15,2297434,'2',318,'N'),(15,2297442,'1',327,'N'),(15,2297442,'2',425,'N'),(15,2297450,'1',444,'N'),(15,2297450,'2',238,'N'),(15,2297469,'1',220,'N'),(15,2297469,'1A',202,'N'),(15,2297469,'2',2,'N'),(15,2297477,'1',103,'N'),(15,2297477,'2',319,'N'),(15,2297485,'1',202,'N'),(15,2297493,'1',444,'N'),(15,2297493,'2',316,'N'),(15,2297507,'1',339,'N'),(15,2297507,'2',308,'N'),(15,2297515,'1',216,'N'),(15,2297515,'1A',201,'N'),(15,2297515,'2',304,'N'),(15,2297523,'1',331,'N'),(15,2297523,'2',333,'N'),(15,2297531,'1',333,'N'),(15,2297531,'2',234,'N'),(15,2297540,'1',404,'N'),(15,2297540,'2',420,'N'),(15,2297558,'1',316,'N'),(15,2297558,'2',317,'N'),(15,2297574,'1',415,'N'),(15,2297574,'2',301,'N'),(15,2297582,'1',301,'N'),(15,2297582,'2',316,'N'),(15,2297590,'1',302,'N'),(15,2297590,'2',301,'N'),(15,2297604,'1',224,'N'),(15,2297604,'2',225,'N'),(15,2297612,'1',302,'N'),(15,2297612,'2',108,'N'),(15,2297620,'1',103,'N'),(15,2297620,'2',217,'N'),(15,2297639,'1',450,'N'),(15,2297639,'2',225,'N'),(15,2297647,'1',317,'N'),(15,2297647,'2',327,'N'),(15,2297655,'1',404,'N'),(15,2297655,'2',9,'N'),(15,2297663,'1',104,'N'),(15,2297663,'2',301,'N'),(15,2297671,'1',208,'N'),(15,2297671,'1A',233,'N'),(15,2297671,'2',339,'N'),(15,2297680,'1',444,'N'),(15,2297680,'2',301,'N'),(15,2297698,'1',317,'N'),(15,2297698,'2',316,'N'),(15,2297701,'1',420,'N'),(15,2297701,'2',207,'N'),(15,2297710,'1',316,'N'),(15,2297710,'2',301,'N'),(15,2297728,'1',104,'N'),(15,2297728,'2',101,'N'),(15,2297736,'1',2,'N'),(15,2297736,'2',224,'N'),(15,2297744,'1',220,'N'),(15,2297744,'1A',208,'N'),(15,2297744,'2',332,'N'),(15,2297752,'1',302,'N'),(15,2297752,'2',304,'N'),(15,2297760,'1',309,'N'),(15,2297760,'2',308,'N'),(15,2297779,'1',5,'N'),(15,2297779,'2',502,'N'),(15,2297795,'1',303,'N'),(15,2297795,'2',5,'N'),(15,2297809,'1',202,'N'),(15,2297809,'1A',207,'N'),(15,2297809,'2',317,'N'),(15,2297817,'1',302,'N'),(15,2297817,'2',426,'N'),(15,2297825,'1',333,'N'),(15,2297825,'2',234,'N'),(15,2297833,'1',301,'N'),(15,2297833,'2',108,'N'),(15,2297841,'1',103,'N'),(15,2297841,'2',444,'N'),(15,2297850,'1',317,'N'),(15,2297850,'2',324,'N'),(15,2297868,'1',203,'N'),(15,2297868,'1A',214,'N'),(15,2297868,'2',220,'N'),(15,2297876,'1',308,'N'),(15,2297876,'2',423,'N'),(15,2297884,'1',427,'N'),(15,2297884,'1A',424,'N'),(15,2297884,'2',502,'N'),(15,2297892,'1',213,'N'),(15,2297892,'1A',233,'N'),(15,2297892,'2',224,'N'),(15,2297906,'1',238,'N'),(15,2297906,'1A',220,'N'),(15,2297906,'2',331,'N'),(15,2297914,'1',502,'N'),(15,2297914,'2',450,'N'),(15,2297922,'1',303,'N'),(15,2297922,'2',5,'N'),(15,2297930,'1',102,'N'),(15,2297930,'2',339,'N'),(15,2297949,'1',216,'N'),(15,2297949,'1A',208,'N'),(15,2297949,'2',317,'N'),(15,2297957,'1',319,'N'),(15,2297957,'2',9,'N'),(15,2297965,'1',317,'N'),(15,2297965,'2',302,'N'),(15,2297973,'1',444,'N'),(15,2297973,'2',332,'N'),(15,2297981,'1',224,'N'),(15,2297981,'2',201,'N'),(15,2297990,'1',203,'N'),(15,2297990,'1A',214,'N'),(15,2297990,'2',202,'N'),(15,2298007,'1',207,'N'),(15,2298007,'1A',201,'N'),(15,2298007,'2',420,'N'),(15,2298015,'1',501,'N'),(15,2298015,'2',327,'N'),(15,2298023,'1',207,'N'),(15,2298023,'1A',233,'N'),(15,2298023,'2',420,'N'),(15,2298031,'1',421,'N'),(15,2298031,'2',331,'N'),(15,2298040,'1',309,'N'),(15,2298040,'2',301,'N'),(15,2298058,'1',212,'N'),(15,2298058,'1A',214,'N'),(15,2298058,'2',316,'N'),(15,2298066,'1',233,'N'),(15,2298066,'1A',201,'N'),(15,2298066,'2',212,'N'),(15,2298074,'1',103,'N'),(15,2298074,'2',208,'N'),(15,2298082,'1',9,'N'),(15,2298082,'2',101,'N'),(15,2298104,'1',211,'N'),(15,2298104,'1A',207,'N'),(15,2298104,'2',108,'N'),(15,2298112,'1',444,'N'),(15,2298112,'2',211,'N'),(15,2298120,'1',444,'N'),(15,2298120,'2',301,'N'),(15,2298139,'1',310,'N'),(15,2298139,'2',201,'N'),(15,2298147,'1',317,'N'),(15,2298147,'2',429,'N'),(15,2298155,'1',103,'N'),(15,2298155,'2',329,'N'),(15,2298163,'1',316,'N'),(15,2298163,'2',333,'N'),(15,2298171,'1',324,'N'),(15,2298171,'2',308,'N'),(15,2298198,'1',211,'N'),(15,2298198,'1A',207,'N'),(15,2298198,'2',404,'N'),(15,2298201,'1',318,'N'),(15,2298201,'2',316,'N'),(15,2298210,'1',104,'N'),(15,2298210,'2',317,'N'),(15,2298236,'1',303,'N'),(15,2298236,'2',318,'N'),(15,2298252,'1',203,'N'),(15,2298252,'1A',214,'N'),(15,2298252,'2',104,'N'),(15,2298260,'1',444,'N'),(15,2298260,'2',9,'N'),(15,2298279,'1',339,'N'),(15,2298279,'2',308,'N'),(15,2298287,'1',424,'N'),(15,2298287,'1A',421,'N'),(15,2298287,'2',329,'N'),(15,2298295,'1',327,'N'),(15,2298295,'2',223,'N'),(15,2298309,'1',233,'N'),(15,2298309,'1A',201,'N'),(15,2298309,'2',5,'N'),(15,2298317,'1',303,'N'),(15,2298317,'2',415,'N'),(15,2298325,'1',207,'N'),(15,2298325,'1A',212,'N'),(15,2298325,'2',319,'N'),(15,2298333,'1',201,'N'),(15,2298333,'1A',212,'N'),(15,2298333,'2',211,'N'),(15,2298341,'1',5,'N'),(15,2298341,'2',303,'N'),(15,2298350,'1',317,'N'),(15,2298350,'2',225,'N'),(15,2298368,'1',103,'N'),(15,2298368,'2',319,'N'),(15,2298376,'1',103,'N'),(15,2298376,'2',102,'N'),(15,2298384,'1',238,'N'),(15,2298384,'1A',207,'N'),(15,2298384,'2',415,'N'),(15,2298392,'1',108,'N'),(15,2298392,'2',234,'N'),(15,2298406,'1',310,'N'),(15,2298406,'2',319,'N'),(15,2298414,'1',216,'N'),(15,2298414,'1A',211,'N'),(15,2298414,'2',303,'N'),(15,2298422,'1',333,'N'),(15,2298422,'2',108,'N'),(15,2298449,'1',316,'N'),(15,2298449,'2',317,'N'),(15,2298457,'1',404,'N'),(15,2298457,'2',9,'N'),(15,2298465,'1',444,'N'),(15,2298465,'2',331,'N'),(15,2298473,'1',415,'N'),(15,2298473,'2',303,'N'),(15,2298490,'1',102,'N'),(15,2298490,'2',404,'N'),(15,2298503,'1',102,'N'),(15,2298503,'2',425,'N'),(15,2298511,'1',103,'N'),(15,2298511,'2',216,'N'),(15,2298520,'1',103,'N'),(15,2298520,'2',102,'N'),(15,2298538,'1',104,'N'),(15,2298538,'2',319,'N'),(15,2298546,'1',9,'N'),(15,2298554,'1',415,'N'),(15,2298554,'2',450,'N'),(15,2298562,'1',208,'N'),(15,2298562,'1A',238,'N'),(15,2298562,'2',108,'N'),(15,2298570,'1',207,'N'),(15,2298570,'1A',201,'N'),(15,2298570,'2',420,'N'),(15,2298589,'1',103,'N'),(15,2298589,'2',104,'N'),(15,2298600,'1',444,'N'),(15,2298600,'2',339,'N'),(15,2298619,'1',108,'N'),(15,2298619,'2',333,'N'),(15,2298635,'1',304,'N'),(15,2298635,'2',319,'N'),(15,2298643,'1',207,'N'),(15,2298643,'1A',201,'N'),(15,2298643,'2',420,'N'),(15,2298651,'1',202,'N'),(15,2298651,'1A',216,'N'),(15,2298651,'2',318,'N'),(15,2298660,'1',238,'N'),(15,2298660,'1A',208,'N'),(15,2298686,'1',333,'N'),(15,2298686,'2',502,'N'),(15,2298694,'1',329,'N'),(15,2298694,'2',308,'N'),(15,2298708,'1',216,'N'),(15,2298708,'1A',233,'N'),(15,2298708,'2',303,'N'),(15,2298716,'1',238,'N'),(15,2298716,'1A',215,'N'),(15,2298716,'2',224,'N'),(15,2298740,'1',207,'N'),(15,2298740,'1A',201,'N'),(15,2298740,'2',203,'N'),(15,2298767,'1',332,'N'),(15,2298767,'2',333,'N'),(15,2298775,'1',9,'N'),(15,2298775,'2',339,'N'),(15,2298783,'1',301,'N'),(15,2298783,'2',9,'N'),(15,2298791,'1',303,'N'),(15,2298791,'2',326,'N'),(15,2298805,'1',216,'N'),(15,2298805,'1A',201,'N'),(15,2298805,'2',103,'N'),(15,2298813,'1',103,'N'),(15,2298813,'2',319,'N'),(15,2298848,'1',9,'N'),(15,2298848,'2',319,'N'),(15,2298856,'1',304,'N'),(15,2298856,'2',310,'N'),(15,2298864,'1',9,'N'),(15,2298864,'2',101,'N'),(15,2298880,'1',5,'N'),(15,2298880,'2',451,'N'),(15,2298899,'1',326,'N'),(15,2298899,'2',424,'N'),(15,2298910,'1',318,'N'),(15,2298910,'2',423,'N'),(15,2298929,'1',207,'N'),(15,2298929,'1A',201,'N'),(15,2298929,'2',415,'N'),(15,2298937,'1',207,'N'),(15,2298937,'2',444,'N'),(15,2298945,'1',316,'N'),(15,2298945,'2',318,'N'),(15,2298953,'1',303,'N'),(15,2298953,'2',333,'N'),(15,2298961,'1',104,'N'),(15,2298961,'2',208,'N'),(15,2298970,'1',203,'N'),(15,2298970,'1A',202,'N'),(15,2298970,'2',201,'N'),(15,2298996,'1',103,'N'),(15,2298996,'2',102,'N'),(15,2299003,'1',214,'N'),(15,2299003,'1A',203,'N'),(15,2299003,'2',2,'N'),(15,2299020,'1',319,'N'),(15,2299020,'2',423,'N'),(15,2299038,'1',208,'N'),(15,2299038,'1A',220,'N'),(15,2299038,'2',501,'N'),(15,2299046,'1',216,'N'),(15,2299046,'1A',238,'N'),(15,2299046,'2',201,'N'),(15,2299054,'1',201,'N'),(15,2299054,'1A',212,'N'),(15,2299054,'2',420,'N'),(15,2299062,'1',318,'N'),(15,2299062,'2',421,'N'),(15,2299070,'1',303,'N'),(15,2299070,'2',216,'N'),(15,2299089,'1',316,'N'),(15,2299089,'2',317,'N'),(15,2299097,'1',316,'N'),(15,2299097,'2',317,'N'),(15,2299119,'1',424,'N'),(15,2299119,'1A',421,'N'),(15,2299119,'2',450,'N'),(15,2299127,'1',220,'N'),(15,2299127,'2',202,'N'),(15,2299135,'1',104,'N'),(15,2299135,'2',201,'N'),(15,2299143,'1',301,'N'),(15,2299143,'2',316,'N'),(15,2299151,'1',502,'N'),(15,2299151,'2',501,'N'),(15,2299160,'1',451,'N'),(15,2299160,'2',501,'N'),(15,2299178,'1',327,'N'),(15,2299178,'2',425,'N'),(15,2299186,'1',217,'N'),(15,2299186,'2',427,'N'),(15,2299194,'1',301,'N'),(15,2299194,'2',223,'N'),(15,2299216,'1',103,'N'),(15,2299216,'2',319,'N'),(15,2299232,'1',103,'N'),(15,2299232,'2',104,'N'),(15,2299240,'1',208,'N'),(15,2299240,'1A',220,'N'),(15,2299240,'2',202,'N'),(15,2299259,'1',103,'N'),(15,2299259,'2',102,'N'),(15,2299267,'1',103,'N'),(15,2299267,'2',102,'N'),(15,2299275,'1',202,'N'),(15,2299275,'1A',220,'N'),(15,2299275,'2',203,'N'),(15,2299283,'1',215,'N'),(15,2299283,'1A',233,'N'),(15,2299283,'2',333,'N'),(15,2299305,'1',310,'N'),(15,2299305,'2',428,'N'),(15,2299313,'1',203,'N'),(15,2299313,'1A',238,'N'),(15,2299313,'2',222,'N'),(15,2299321,'1',444,'N'),(15,2299321,'2',404,'N'),(15,2299330,'1',103,'N'),(15,2299330,'2',9,'N'),(15,2299348,'1',202,'N'),(15,2299348,'1A',203,'N'),(15,2299348,'2',333,'N'),(15,2299356,'1',420,'N'),(15,2299356,'2',317,'N'),(15,2299364,'1',316,'N'),(15,2299364,'2',319,'N'),(15,2299372,'1',203,'N'),(15,2299372,'1A',202,'N'),(15,2299372,'2',216,'N'),(15,2299380,'1',333,'N'),(15,2299380,'2',103,'N'),(15,2299399,'1',103,'N'),(15,2299399,'2',319,'N'),(15,2299410,'1',203,'N'),(15,2299410,'1A',238,'N'),(15,2299410,'2',224,'N'),(15,2299429,'1',202,'N'),(15,2299429,'1A',220,'N'),(15,2299429,'2',213,'N'),(15,2299437,'1',103,'N'),(15,2299437,'2',333,'N'),(15,2299445,'1',404,'N'),(15,2299445,'2',101,'N'),(15,2299453,'1',103,'N'),(15,2299453,'2',108,'N'),(15,2299461,'1',202,'N'),(15,2299461,'1A',213,'N'),(15,2299461,'2',318,'N'),(15,2299470,'1',320,'N'),(15,2299470,'2',309,'N'),(15,2299488,'1',303,'N'),(15,2299488,'2',201,'N'),(15,2299500,'1',208,'N'),(15,2299500,'1A',202,'N'),(15,2299500,'2',238,'N'),(15,2299518,'1',233,'N'),(15,2299518,'1A',214,'N'),(15,2299518,'2',212,'N'),(15,2299526,'1',208,'N'),(15,2299526,'2',316,'N'),(15,2299534,'1',301,'N'),(15,2299534,'2',331,'N'),(15,2299542,'1',103,'N'),(15,2299550,'1',207,'N'),(15,2299550,'2',420,'N'),(15,2299569,'1',9,'N'),(15,2299569,'2',108,'N'),(15,2299585,'1',103,'N'),(15,2299585,'2',420,'N'),(15,2299593,'1',102,'N'),(15,2299593,'2',215,'N'),(15,2299615,'1',101,'N'),(15,2299615,'2',331,'N'),(15,2299623,'1',103,'N'),(15,2299623,'2',9,'N'),(15,2299640,'1',103,'N'),(15,2299640,'2',101,'N'),(15,2299658,'1',333,'N'),(15,2299658,'2',423,'N'),(15,2299666,'1',444,'N'),(15,2299666,'2',301,'N'),(15,2299674,'1',215,'N'),(15,2299674,'1A',216,'N'),(15,2299674,'2',217,'N'),(15,2299682,'1',5,'N'),(15,2299682,'2',329,'N'),(15,2299690,'1',5,'N'),(15,2299690,'2',303,'N'),(15,2299704,'1',451,'N'),(15,2299704,'2',423,'N'),(15,2299712,'1',207,'N'),(15,2299712,'1A',201,'N'),(15,2299720,'1',208,'N'),(15,2299720,'2',203,'N'),(15,2299739,'1',339,'N'),(15,2299739,'2',9,'N'),(15,2299747,'1',304,'N'),(15,2299747,'2',450,'N'),(15,2299755,'1',5,'N'),(15,2299755,'2',316,'N'),(15,2299763,'1',320,'N'),(15,2299771,'1',104,'N'),(15,2299771,'2',102,'N'),(15,2299780,'1',420,'N'),(15,2299780,'2',303,'N'),(15,2299798,'1',444,'N'),(15,2299798,'2',420,'N'),(15,2299801,'1',318,'N'),(15,2299801,'2',5,'N'),(15,2299810,'1',104,'N'),(15,2299810,'2',333,'N'),(15,2299828,'1',309,'N'),(15,2299828,'2',423,'N'),(15,2299844,'1',5,'N'),(15,2299844,'2',324,'N'),(15,2299852,'1',103,'N'),(15,2299852,'2',303,'N'),(15,2299860,'1',317,'N'),(15,2299860,'2',318,'N'),(15,2299879,'1',5,'N'),(15,2299887,'1',5,'N'),(15,2299887,'2',316,'N'),(15,2299895,'1',9,'N'),(15,2299895,'2',207,'N'),(15,2299909,'1',304,'N'),(15,2299909,'2',425,'N'),(15,2299917,'1',316,'N'),(15,2299917,'2',451,'N'),(15,2299925,'1',103,'N'),(15,2299925,'2',108,'N'),(15,2299933,'1',333,'N'),(15,2299933,'2',502,'N'),(15,2299941,'1',211,'N'),(15,2299941,'1A',207,'N'),(15,2299941,'2',333,'N'),(15,2299950,'1',220,'N'),(15,2299950,'1A',207,'N'),(15,2299950,'2',238,'N'),(15,2299968,'1',207,'N'),(15,2299968,'2',501,'N'),(15,2299984,'1',102,'N'),(15,2299992,'1',215,'N'),(15,2299992,'1A',233,'N'),(15,2299992,'2',324,'N'),(15,2300001,'1',103,'N'),(15,2300001,'2',303,'N'),(15,2300010,'1',427,'N'),(15,2300010,'1A',429,'N'),(15,2300010,'2',201,'N'),(15,2300028,'1',104,'N'),(15,2300028,'2',216,'N'),(15,2300036,'1',212,'N'),(15,2300036,'1A',238,'N'),(15,2300036,'2',214,'N'),(15,2300052,'1',103,'N'),(15,2300052,'2',303,'N'),(15,2300060,'1',423,'N'),(15,2300060,'1A',427,'N'),(15,2300060,'2',429,'N'),(15,2300079,'1',207,'N'),(15,2300079,'1A',211,'N'),(15,2300079,'2',201,'N'),(15,2300087,'1',208,'N'),(15,2300087,'1A',211,'N'),(15,2300087,'2',316,'N'),(15,2300095,'1',302,'N'),(15,2300095,'2',444,'N'),(15,2300109,'1',501,'N'),(15,2300109,'2',201,'N'),(15,2300117,'1',103,'N'),(15,2300117,'2',203,'N'),(15,2300125,'1',333,'N'),(15,2300125,'2',332,'N'),(15,2300133,'1',425,'N'),(15,2300133,'1A',427,'N'),(15,2300133,'2',326,'N'),(15,2300141,'1',444,'N'),(15,2300141,'2',404,'N'),(15,2300150,'1',319,'N'),(15,2300150,'2',329,'N'),(15,2300168,'1',319,'N'),(15,2300168,'2',502,'N'),(15,2300176,'1',303,'N'),(15,2300176,'2',208,'N'),(15,2300192,'1',103,'N'),(15,2300192,'2',104,'N'),(15,2300206,'1',238,'N'),(15,2300206,'1A',207,'N'),(15,2300206,'2',301,'N'),(15,2300214,'1',103,'N'),(15,2300214,'2',216,'N'),(15,2300222,'1',201,'N'),(15,2300222,'2',444,'N'),(15,2300230,'1',103,'N'),(15,2300249,'1',333,'N'),(15,2300249,'2',104,'N'),(15,2300257,'1',303,'N'),(15,2300257,'2',415,'N'),(15,2300265,'1',420,'N'),(15,2300265,'2',327,'N'),(15,2300273,'1',318,'N'),(15,2300281,'1',444,'N'),(15,2300281,'2',108,'N'),(15,2300290,'1',415,'N'),(15,2300290,'2',5,'N'),(15,2300303,'1',333,'N'),(15,2300303,'2',211,'N'),(15,2300311,'1',233,'N'),(15,2300311,'2',404,'N'),(15,2300320,'1',201,'N'),(15,2300320,'1A',212,'N'),(15,2300320,'2',233,'N'),(15,2300338,'1',216,'N'),(15,2300338,'1A',202,'N'),(15,2300338,'2',217,'N'),(15,2300346,'1',420,'N'),(15,2300346,'2',415,'N'),(15,2300354,'1',220,'N'),(15,2300354,'1A',203,'N'),(15,2300354,'2',208,'N'),(15,2300362,'1',421,'N'),(15,2300362,'1A',425,'N'),(15,2300362,'2',429,'N'),(15,2300370,'1',425,'N'),(15,2300370,'1A',429,'N'),(15,2300370,'2',102,'N'),(15,2300400,'1',208,'N'),(15,2300419,'1',415,'N'),(15,2300419,'2',9,'N'),(15,2300435,'1',202,'N'),(15,2300435,'1A',220,'N'),(15,2300435,'2',213,'N'),(15,2300443,'1',319,'N'),(15,2300443,'2',326,'N'),(15,2300451,'1',220,'N'),(15,2300451,'1A',202,'N'),(15,2300451,'2',213,'N'),(15,2300460,'1',319,'N'),(15,2300460,'2',9,'N'),(15,2300478,'1',103,'N'),(15,2300478,'2',451,'N'),(15,2300486,'1',211,'N'),(15,2300486,'1A',233,'N'),(15,2300486,'2',222,'N'),(15,2300494,'1',301,'N'),(15,2300494,'2',415,'N'),(15,2300508,'1',213,'N'),(15,2300508,'1A',212,'N'),(15,2300508,'2',502,'N'),(15,2300532,'1',103,'N'),(15,2300532,'2',202,'N'),(15,2300540,'1',317,'N'),(15,2300540,'2',316,'N'),(15,2300559,'1',319,'N'),(15,2300559,'2',5,'N'),(15,2300567,'1',318,'N'),(15,2300567,'2',316,'N'),(15,2300575,'1',428,'N'),(15,2300575,'2',319,'N'),(15,2300583,'1',9,'N'),(15,2300583,'2',215,'N'),(15,2300591,'1',501,'N'),(15,2300591,'2',215,'N'),(15,2300605,'1',103,'N'),(15,2300605,'2',9,'N'),(15,2300613,'1',102,'N'),(15,2300613,'2',101,'N'),(15,2300621,'1',310,'N'),(15,2300621,'2',320,'N'),(15,2300630,'1',308,'N'),(15,2300630,'2',324,'N'),(15,2300656,'1',108,'N'),(15,2300656,'2',333,'N'),(15,2300664,'1',404,'N'),(15,2300672,'1',415,'N'),(15,2300672,'2',326,'N'),(15,2300680,'1',302,'N'),(15,2300680,'2',216,'N'),(15,2300699,'1',5,'N'),(15,2300699,'2',316,'N'),(15,2300702,'1',101,'N'),(15,2300702,'2',104,'N'),(15,2300710,'1',324,'N'),(15,2300710,'2',451,'N'),(15,2300729,'1',223,'N'),(15,2300729,'2',324,'N'),(15,2300737,'1',103,'N'),(15,2300737,'2',104,'N'),(15,2300770,'1',444,'N'),(15,2300770,'2',450,'N'),(15,2300788,'1',327,'N'),(15,2300788,'2',331,'N'),(15,2300800,'1',310,'N'),(15,2300800,'2',320,'N'),(15,2300818,'1',333,'N'),(15,2300818,'2',444,'N'),(15,2300826,'1',103,'N'),(15,2300826,'2',303,'N'),(15,2300842,'1',203,'N'),(15,2300842,'1A',201,'N'),(15,2300842,'2',220,'N'),(15,2300850,'1',304,'N'),(15,2300850,'2',427,'N'),(15,2300869,'1',202,'N'),(15,2300869,'1A',220,'N'),(15,2300869,'2',316,'N'),(15,2300877,'1',103,'N'),(15,2300877,'2',212,'N'),(15,2300885,'1',304,'N'),(15,2300885,'2',301,'N'),(15,2300893,'1',316,'N'),(15,2300893,'2',216,'N'),(15,2300907,'1',333,'N'),(15,2300907,'2',301,'N'),(15,2300915,'1',310,'N'),(15,2300915,'2',309,'N'),(15,2300923,'1',211,'N'),(15,2300923,'1A',208,'N'),(15,2300923,'2',102,'N'),(15,2300931,'1',234,'N'),(15,2300931,'2',404,'N'),(15,2300940,'1',208,'N'),(15,2300940,'1A',238,'N'),(15,2300940,'2',420,'N'),(15,2300958,'1',104,'N'),(15,2300958,'2',333,'N'),(15,2300966,'1',501,'N'),(15,2300966,'2',108,'N'),(15,2300974,'1',301,'N'),(15,2300974,'2',316,'N'),(15,2300982,'1',238,'N'),(15,2300982,'1A',208,'N'),(15,2300982,'2',220,'N'),(15,2300990,'1',224,'N'),(15,2300990,'2',225,'N'),(15,2301016,'1',203,'N'),(15,2301016,'1A',214,'N'),(15,2301016,'2',202,'N'),(15,2301024,'1',212,'N'),(15,2301024,'1A',201,'N'),(15,2301024,'2',214,'N'),(15,2301032,'1',301,'N'),(15,2301032,'2',316,'N'),(15,2301067,'1',103,'N'),(15,2301075,'1',5,'N'),(15,2301075,'2',420,'N'),(15,2301083,'1',501,'N'),(15,2301091,'1',207,'N'),(15,2301091,'1A',203,'N'),(15,2301091,'2',501,'N'),(15,2301113,'1',103,'N'),(15,2301113,'2',101,'N'),(15,2301121,'1',5,'N'),(15,2301121,'2',201,'N'),(15,2301130,'1',5,'N'),(15,2301130,'2',9,'N'),(15,2301148,'1',450,'N'),(15,2301148,'2',425,'N'),(15,2301156,'1',329,'N'),(15,2301156,'2',451,'N'),(15,2301172,'1',208,'N'),(15,2301172,'2',220,'N'),(15,2301180,'1',327,'N'),(15,2301180,'2',329,'N'),(15,2301202,'1',316,'N'),(15,2301202,'2',201,'N'),(15,2301229,'1',316,'N'),(15,2301229,'2',301,'N'),(15,2301237,'1',103,'N'),(15,2301237,'2',301,'N'),(15,2301245,'1',103,'N'),(15,2301245,'2',108,'N'),(15,2301253,'1',303,'N'),(15,2301253,'2',201,'N'),(15,2301261,'1',501,'N'),(15,2301261,'2',233,'N'),(15,2301270,'1',404,'N'),(15,2301270,'2',444,'N'),(15,2301288,'1',5,'N'),(15,2301288,'2',415,'N'),(15,2301296,'1',328,'N'),(15,2301296,'2',329,'N'),(15,2301300,'1',5,'N'),(15,2301300,'2',333,'N'),(15,2301318,'1',207,'N'),(15,2301318,'1A',201,'N'),(15,2301318,'2',420,'N'),(15,2301326,'1',304,'N'),(15,2301326,'2',318,'N'),(15,2301334,'1',103,'N'),(15,2301342,'1',103,'N'),(15,2301342,'2',319,'N'),(15,2301350,'1',420,'N'),(15,2301350,'2',415,'N'),(15,2301369,'1',203,'N'),(15,2301369,'2',5,'N'),(15,2301377,'1',9,'N'),(15,2301377,'2',444,'N'),(15,2301385,'1',213,'N'),(15,2301385,'1A',212,'N'),(15,2301385,'2',217,'N'),(15,2301393,'1',319,'N'),(15,2301407,'1',5,'N'),(15,2301407,'2',423,'N'),(15,2301415,'1',201,'N'),(15,2301423,'1',9,'N'),(15,2301423,'2',102,'N'),(15,2301431,'1',328,'N'),(15,2301431,'2',427,'N'),(15,2301458,'1',224,'N'),(15,2301458,'2',222,'N'),(15,2301466,'1',324,'N'),(15,2301466,'2',429,'N'),(15,2301474,'1',2,'N'),(15,2301474,'2',303,'N'),(15,2301482,'1',103,'N'),(15,2301482,'2',207,'N'),(15,2301490,'1',207,'N'),(15,2301490,'1A',201,'N'),(15,2301490,'2',420,'N'),(15,2301504,'1',301,'N'),(15,2301504,'2',238,'N'),(15,2301512,'1',2,'N'),(15,2301512,'2',217,'N'),(15,2301520,'1',316,'N'),(15,2301520,'2',301,'N'),(15,2301539,'1',103,'N'),(15,2301539,'2',207,'N'),(15,2301547,'1',225,'N'),(15,2301547,'2',2,'N'),(15,2301555,'1',103,'N'),(15,2301555,'2',101,'N'),(15,2301563,'1',301,'N'),(15,2301563,'2',333,'N'),(15,2301571,'1',103,'N'),(15,2301571,'2',101,'N'),(15,2301580,'1',327,'N'),(15,2301580,'2',326,'N'),(15,2301598,'1',5,'N'),(15,2301598,'2',415,'N'),(15,2301601,'1',202,'N'),(15,2301601,'1A',208,'N'),(15,2301601,'2',318,'N'),(15,2301628,'1',9,'N'),(15,2301628,'2',301,'N'),(15,2301636,'1',5,'N'),(15,2301636,'2',404,'N'),(15,2301644,'1',420,'N'),(15,2301644,'2',404,'N'),(15,2301652,'1',108,'N'),(15,2301652,'2',333,'N'),(15,2301660,'1',9,'N'),(15,2301660,'2',303,'N'),(15,2301679,'1',103,'N'),(15,2301679,'2',233,'N'),(15,2301687,'1',216,'N'),(15,2301687,'2',317,'N'),(15,2301695,'1',5,'N'),(15,2301695,'2',203,'N'),(15,2301709,'1',211,'N'),(15,2301709,'2',501,'N'),(15,2301717,'1',333,'N'),(15,2301717,'2',234,'N'),(15,2301725,'1',501,'N'),(15,2301725,'2',108,'N'),(15,2301733,'1',103,'N'),(15,2301741,'1',415,'N'),(15,2301741,'2',324,'N'),(15,2301750,'1',202,'N'),(15,2301750,'1A',203,'N'),(15,2301750,'2',201,'N'),(15,2301768,'1',223,'N'),(15,2301768,'2',216,'N'),(15,2301776,'1',203,'N'),(15,2301776,'2',102,'N'),(15,2301784,'1',302,'N'),(15,2301784,'2',317,'N'),(15,2301792,'1',318,'N'),(15,2301792,'2',316,'N'),(15,2301814,'1',201,'N'),(15,2301814,'1A',238,'N'),(15,2301814,'2',224,'N'),(15,2301822,'1',238,'N'),(15,2301822,'1A',208,'N'),(15,2301822,'2',450,'N'),(15,2301830,'1',301,'N'),(15,2301830,'2',310,'N'),(15,2301849,'1',304,'N'),(15,2301849,'2',224,'N'),(15,2301865,'1',207,'N'),(15,2301865,'1A',238,'N'),(15,2301865,'2',327,'N'),(15,2301873,'1',301,'N'),(15,2301873,'2',324,'N'),(15,2301903,'1',220,'N'),(15,2301903,'1A',202,'N'),(15,2301903,'2',203,'N'),(15,2301920,'1',203,'N'),(15,2301920,'1A',201,'N'),(15,2301920,'2',202,'N'),(15,2301938,'1',101,'N'),(15,2301938,'2',319,'N'),(15,2301946,'1',103,'N'),(15,2301946,'2',9,'N'),(15,2301954,'1',415,'N'),(15,2301954,'2',329,'N'),(15,2301962,'1',203,'N'),(15,2301962,'1A',212,'N'),(15,2301962,'2',415,'N'),(15,2301970,'1',420,'N'),(15,2301970,'2',203,'N'),(15,2301989,'1',5,'N'),(15,2301989,'2',333,'N'),(15,2301997,'1',319,'N'),(15,2301997,'2',207,'N'),(15,2302004,'1',211,'N'),(15,2302004,'1A',216,'N'),(15,2302004,'2',201,'N'),(15,2302012,'1',222,'N'),(15,2302012,'2',425,'N'),(15,2302020,'1',301,'N'),(15,2302020,'2',316,'N'),(15,2302039,'1',319,'N'),(15,2302039,'2',339,'N'),(15,2302047,'1',208,'N'),(15,2302047,'1A',238,'N'),(15,2302047,'2',222,'N'),(15,2302055,'1',234,'N'),(15,2302055,'2',211,'N'),(15,2302063,'1',102,'N'),(15,2302063,'2',420,'N'),(15,2302071,'1',444,'N'),(15,2302071,'2',302,'N'),(15,2302080,'1',233,'N'),(15,2302080,'1A',201,'N'),(15,2302080,'2',203,'N'),(15,2302098,'1',215,'N'),(15,2302098,'1A',216,'N'),(15,2302098,'2',501,'N'),(15,2302101,'1',102,'N'),(15,2302101,'2',101,'N'),(15,2302110,'1',203,'N'),(15,2302110,'1A',202,'N'),(15,2302110,'2',238,'N'),(15,2302128,'1',103,'N'),(15,2302128,'2',203,'N'),(15,2302136,'1',304,'N'),(15,2302136,'2',324,'N'),(15,2302144,'1',222,'N'),(15,2302144,'2',324,'N'),(15,2302160,'1',429,'N'),(15,2302160,'1A',425,'N'),(15,2302160,'2',328,'N'),(15,2302187,'1',324,'N'),(15,2302187,'2',423,'N'),(15,2302195,'1',208,'N'),(15,2302195,'1A',238,'N'),(15,2302195,'2',327,'N'),(15,2302217,'1',303,'N'),(15,2302217,'2',301,'N'),(15,2302225,'1',103,'N'),(15,2302225,'2',425,'N'),(15,2302233,'1',327,'N'),(15,2302233,'2',326,'N'),(15,2302250,'1',216,'N'),(15,2302250,'1A',215,'N'),(15,2302250,'2',415,'N'),(15,2302268,'1',220,'N'),(15,2302268,'1A',203,'N'),(15,2302268,'2',214,'N'),(15,2302276,'1',202,'N'),(15,2302276,'1A',213,'N'),(15,2302276,'2',203,'N'),(15,2302284,'1',211,'N'),(15,2302284,'1A',216,'N'),(15,2302284,'2',108,'N'),(15,2302292,'1',332,'N'),(15,2302292,'2',308,'N'),(15,2302306,'1',103,'N'),(15,2302314,'1',501,'N'),(15,2302314,'2',304,'N'),(15,2302322,'1',202,'N'),(15,2302322,'1A',220,'N'),(15,2302322,'2',213,'N'),(15,2302330,'1',103,'N'),(15,2302330,'2',207,'N'),(15,2302349,'1',404,'N'),(15,2302349,'2',444,'N'),(15,2302357,'1',2,'N'),(15,2302357,'2',225,'N'),(15,2302365,'1',103,'N'),(15,2302365,'2',308,'N'),(15,2302373,'1',9,'N'),(15,2302373,'2',103,'N'),(15,2302381,'1',303,'N'),(15,2302381,'2',215,'N'),(15,2302403,'1',102,'N'),(15,2302403,'2',108,'N'),(15,2302420,'1',333,'N'),(15,2302420,'2',415,'N'),(15,2302446,'1',318,'N'),(15,2302462,'1',316,'N'),(15,2302462,'2',216,'N'),(15,2302470,'1',104,'N'),(15,2302470,'2',102,'N'),(15,2302489,'1',103,'N'),(15,2302489,'2',104,'N'),(15,2302500,'1',103,'N'),(15,2302500,'2',303,'N'),(15,2302519,'1',103,'N'),(15,2302519,'2',104,'N'),(15,2302527,'1',320,'N'),(15,2302527,'2',427,'N'),(15,2302535,'1',207,'N'),(15,2302535,'1A',211,'N'),(15,2302535,'2',420,'N'),(15,2302543,'1',302,'N'),(15,2302543,'2',317,'N'),(15,2302551,'1',339,'N'),(15,2302551,'2',450,'N'),(15,2302560,'1',203,'N'),(15,2302560,'1A',220,'N'),(15,2302560,'2',214,'N'),(15,2302578,'1',331,'N'),(15,2302578,'2',501,'N'),(15,2302594,'1',103,'N'),(15,2302594,'2',225,'N'),(15,2302608,'1',309,'N'),(15,2302608,'2',333,'N'),(15,2302616,'1',420,'N'),(15,2302616,'2',451,'N'),(15,2302624,'1',207,'N'),(15,2302624,'1A',212,'N'),(15,2302624,'2',428,'N'),(15,2302632,'1',339,'N'),(15,2302632,'2',451,'N'),(15,2302640,'1',201,'N'),(15,2302640,'1A',212,'N'),(15,2302640,'2',316,'N'),(15,2302659,'1',319,'N'),(15,2302659,'2',308,'N'),(15,2302667,'1',444,'N'),(15,2302667,'2',207,'N'),(15,2302675,'1',103,'N'),(15,2302675,'2',9,'N'),(15,2302683,'1',427,'N'),(15,2302683,'1A',423,'N'),(15,2302683,'2',451,'N'),(15,2302691,'1',216,'N'),(15,2302691,'1A',211,'N'),(15,2302691,'2',203,'N'),(15,2302705,'1',329,'N'),(15,2302705,'2',328,'N'),(15,2302713,'1',420,'N'),(15,2302713,'2',415,'N'),(15,2302721,'1',220,'N'),(15,2302721,'1A',208,'N'),(15,2302721,'2',222,'N'),(15,2302756,'1',339,'N'),(15,2302756,'2',308,'N'),(15,2302772,'1',339,'N'),(15,2302780,'1',324,'N'),(15,2302780,'2',308,'N'),(15,2302799,'1',216,'N'),(15,2302799,'2',211,'N'),(15,2302802,'1',238,'N'),(15,2302802,'1A',208,'N'),(15,2302802,'2',222,'N'),(15,2302810,'1',215,'N'),(15,2302810,'1A',203,'N'),(15,2302810,'2',5,'N'),(15,2302829,'1',415,'N'),(15,2302829,'2',207,'N'),(15,2302837,'1',425,'N'),(15,2302837,'1A',429,'N'),(15,2302837,'2',308,'N'),(15,2302853,'1',320,'N'),(15,2302853,'2',332,'N'),(15,2302861,'1',302,'N'),(15,2302861,'2',404,'N'),(15,2302870,'1',319,'N'),(15,2302870,'2',308,'N'),(15,2302888,'1',202,'N'),(15,2302888,'1A',208,'N'),(15,2302888,'2',404,'N'),(15,2302896,'1',303,'N'),(15,2302896,'2',9,'N'),(15,2302900,'1',101,'N'),(15,2302900,'2',102,'N'),(15,2302918,'1',301,'N'),(15,2302918,'2',214,'N'),(15,2302926,'1',450,'N'),(15,2302926,'2',420,'N'),(15,2302934,'1',217,'N'),(15,2302942,'1',303,'N'),(15,2302942,'2',329,'N'),(15,2302950,'1',203,'N'),(15,2302950,'2',420,'N'),(15,2302969,'1',207,'N'),(15,2302969,'1A',212,'N'),(15,2302969,'2',316,'N'),(15,2302977,'1',429,'N'),(15,2302977,'1A',425,'N'),(15,2302977,'2',324,'N'),(15,2302985,'1',201,'N'),(15,2302985,'1A',207,'N'),(15,2302985,'2',301,'N'),(15,2303000,'1',450,'N'),(15,2303000,'2',327,'N'),(15,2303019,'1',5,'N'),(15,2303019,'2',420,'N'),(15,2303027,'1',317,'N'),(15,2303027,'2',302,'N'),(15,2303035,'1',102,'N'),(15,2303035,'2',301,'N'),(15,2303043,'1',317,'N'),(15,2303043,'2',203,'N'),(15,2303051,'1',103,'N'),(15,2303060,'1',502,'N'),(15,2303060,'2',215,'N'),(15,2303078,'1',208,'N'),(15,2303078,'1A',201,'N'),(15,2303078,'2',304,'N'),(15,2303086,'1',9,'N'),(15,2303086,'2',324,'N'),(15,2303094,'1',104,'N'),(15,2303094,'2',444,'N'),(15,2303108,'1',103,'N'),(15,2303108,'2',333,'N'),(15,2303116,'1',420,'N'),(15,2303116,'2',102,'N'),(15,2303124,'1',501,'N'),(15,2303124,'2',211,'N'),(15,2303132,'1',104,'N'),(15,2303132,'2',211,'N'),(15,2303140,'1',103,'N'),(15,2303140,'2',211,'N'),(15,2303159,'1',304,'N'),(15,2303159,'2',318,'N'),(15,2303167,'1',429,'N'),(15,2303167,'1A',425,'N'),(15,2303167,'2',316,'N'),(15,2303175,'1',501,'N'),(15,2303175,'2',211,'N'),(15,2303191,'1',5,'N'),(15,2303191,'2',327,'N'),(15,2303205,'1',108,'N'),(15,2303205,'2',222,'N'),(15,2303213,'1',207,'N'),(15,2303213,'1A',211,'N'),(15,2303213,'2',451,'N'),(15,2303221,'1',303,'N'),(15,2303221,'2',301,'N'),(15,2303230,'1',318,'N'),(15,2303230,'2',316,'N'),(15,2303248,'1',316,'N'),(15,2303248,'2',238,'N'),(15,2303256,'1',103,'N'),(15,2303264,'1',444,'N'),(15,2303264,'2',102,'N'),(15,2303272,'1',103,'N'),(15,2303272,'2',216,'N'),(15,2303280,'1',9,'N'),(15,2303280,'2',451,'N'),(15,2303302,'1',214,'N'),(15,2303302,'1A',212,'N'),(15,2303302,'2',233,'N'),(15,2303310,'1',215,'N'),(15,2303310,'1A',214,'N'),(15,2303310,'2',451,'N'),(15,2303329,'1',420,'N'),(15,2303329,'2',501,'N'),(15,2303337,'1',102,'N'),(15,2303337,'2',103,'N'),(15,2303345,'1',201,'N'),(15,2303345,'1A',238,'N'),(15,2303345,'2',308,'N'),(15,2303361,'1',415,'N'),(15,2303361,'2',426,'N'),(15,2303388,'1',103,'N'),(15,2303388,'2',101,'N'),(15,2303396,'1',317,'N'),(15,2303396,'2',217,'N'),(15,2303400,'1',5,'N'),(15,2303400,'2',451,'N'),(15,2303418,'1',203,'N'),(15,2303426,'1',103,'N'),(15,2303426,'2',9,'N'),(15,2303434,'1',317,'N'),(15,2303434,'2',444,'N'),(15,2303442,'1',339,'N'),(15,2303442,'2',309,'N'),(15,2303450,'1',303,'N'),(15,2303450,'2',319,'N'),(15,2303469,'1',308,'N'),(15,2303469,'2',309,'N'),(15,2303477,'1',103,'N'),(15,2303485,'1',217,'N'),(15,2303485,'2',222,'N'),(15,2303493,'1',208,'N'),(15,2303493,'1A',238,'N'),(15,2303493,'2',203,'N'),(15,2303507,'1',208,'N'),(15,2303507,'1A',201,'N'),(15,2303507,'2',224,'N'),(15,2303515,'1',104,'N'),(15,2303515,'2',9,'N'),(15,2303523,'1',202,'N'),(15,2303523,'1A',213,'N'),(15,2303523,'2',203,'N'),(15,2303531,'1',301,'N'),(15,2303531,'2',331,'N'),(15,2303540,'1',103,'N'),(15,2303540,'2',333,'N'),(15,2303558,'1',304,'N'),(15,2303558,'2',318,'N'),(15,2303566,'1',104,'N'),(15,2303566,'2',102,'N'),(15,2303574,'1',420,'N'),(15,2303574,'2',9,'N'),(15,2303582,'1',222,'N'),(15,2303582,'2',224,'N'),(15,2303590,'1',451,'N'),(15,2303590,'2',424,'N'),(15,2303604,'1',404,'N'),(15,2303604,'2',5,'N'),(15,2303612,'1',326,'N'),(15,2303612,'2',331,'N'),(15,2303620,'1',103,'N'),(15,2303620,'2',216,'N'),(15,2303655,'1',201,'N'),(15,2303655,'1A',203,'N'),(15,2303655,'2',213,'N'),(15,2303663,'1',103,'N'),(15,2303671,'1',215,'N'),(15,2303671,'1A',216,'N'),(15,2303671,'2',102,'N'),(15,2303680,'1',104,'N'),(15,2303680,'2',102,'N'),(15,2303698,'1',238,'N'),(15,2303698,'1A',208,'N'),(15,2303698,'2',502,'N'),(15,2303701,'1',202,'N'),(15,2303701,'1A',213,'N'),(15,2303701,'2',303,'N'),(15,2303710,'1',303,'N'),(15,2303710,'2',5,'N'),(15,2303728,'1',103,'N'),(15,2303728,'2',319,'N'),(15,2303736,'1',103,'N'),(15,2303736,'2',101,'N'),(15,2303744,'1',104,'N'),(15,2303744,'2',420,'N'),(15,2303752,'1',318,'N'),(15,2303752,'2',316,'N'),(15,2303760,'1',428,'N'),(15,2303760,'1A',426,'N'),(15,2303760,'2',450,'N'),(15,2303779,'1',308,'N'),(15,2303779,'2',324,'N'),(15,2303817,'1',304,'N'),(15,2303817,'2',451,'N'),(15,2303825,'1',207,'N'),(15,2303825,'1A',233,'N'),(15,2303825,'2',420,'N'),(15,2303833,'1',420,'N'),(15,2303833,'2',208,'N'),(15,2303850,'1',223,'N'),(15,2303850,'2',427,'N'),(15,2303868,'1',101,'N'),(15,2303868,'2',5,'N'),(15,2303876,'1',103,'N'),(15,2303876,'2',104,'N'),(15,2303892,'1',220,'N'),(15,2303892,'1A',202,'N'),(15,2303892,'2',329,'N'),(15,2303906,'1',303,'N'),(15,2303906,'2',201,'N'),(15,2303914,'1',415,'N'),(15,2303914,'2',424,'N'),(15,2303922,'1',404,'N'),(15,2303922,'2',303,'N'),(15,2303930,'1',303,'N'),(15,2303930,'2',423,'N'),(15,2303949,'1',238,'N'),(15,2303949,'1A',201,'N'),(15,2303949,'2',327,'N'),(15,2303957,'1',103,'N'),(15,2303957,'2',101,'N'),(15,2303965,'1',103,'N'),(15,2303965,'2',202,'N'),(15,2303973,'1',301,'N'),(15,2303973,'2',444,'N'),(15,2303981,'1',425,'N'),(15,2303981,'1A',426,'N'),(15,2303981,'2',429,'N'),(15,2303990,'1',303,'N'),(15,2303990,'2',214,'N'),(15,2304007,'1',103,'N'),(15,2304007,'2',9,'N'),(15,2304015,'1',214,'N'),(15,2304023,'1',320,'N'),(15,2304023,'2',215,'N'),(15,2304031,'1',451,'N'),(15,2304031,'2',224,'N'),(15,2304040,'1',316,'N'),(15,2304040,'2',317,'N'),(15,2304058,'1',207,'N'),(15,2304058,'1A',208,'N'),(15,2304058,'2',328,'N'),(15,2304066,'1',9,'N'),(15,2304066,'2',319,'N'),(15,2304074,'1',103,'N'),(15,2304074,'2',328,'N'),(15,2304082,'1',220,'N'),(15,2304082,'2',203,'N'),(15,2304090,'1',103,'N'),(15,2304090,'2',415,'N'),(15,2304104,'1',238,'N'),(15,2304104,'1A',212,'N'),(15,2304104,'2',222,'N'),(15,2304112,'1',319,'N'),(15,2304112,'2',420,'N'),(15,2304139,'1',201,'N'),(15,2304139,'1A',202,'N'),(15,2304139,'2',211,'N'),(15,2304147,'1',415,'N'),(15,2304147,'2',327,'N'),(15,2304155,'1',318,'N'),(15,2304155,'2',202,'N'),(15,2304163,'1',104,'N'),(15,2304163,'2',301,'N'),(15,2304180,'1',103,'N'),(15,2304180,'2',104,'N'),(15,2304198,'1',208,'N'),(15,2304198,'1A',238,'N'),(15,2304198,'2',222,'N'),(15,2304201,'1',102,'N'),(15,2304201,'2',502,'N'),(15,2304210,'1',309,'N'),(15,2304210,'2',310,'N'),(15,2304228,'1',429,'N'),(15,2304228,'1A',425,'N'),(15,2304236,'1',207,'N'),(15,2304236,'2',5,'N'),(15,2304244,'1',420,'N'),(15,2304244,'2',450,'N'),(15,2304260,'1',208,'N'),(15,2304260,'1A',238,'N'),(15,2304260,'2',223,'N'),(15,2304279,'1',333,'N'),(15,2304279,'2',108,'N'),(15,2304287,'1',319,'N'),(15,2304287,'2',326,'N'),(15,2304295,'1',333,'N'),(15,2304295,'2',423,'N'),(15,2304309,'1',208,'N'),(15,2304309,'1A',238,'N'),(15,2304309,'2',222,'N'),(15,2304317,'1',238,'N'),(15,2304317,'1A',208,'N'),(15,2304317,'2',316,'N'),(15,2304325,'1',108,'N'),(15,2304325,'2',415,'N'),(15,2304333,'1',425,'N'),(15,2304333,'1A',429,'N'),(15,2304333,'2',415,'N'),(15,2304341,'1',217,'N'),(15,2304341,'2',329,'N'),(15,2304350,'1',303,'N'),(15,2304350,'2',319,'N'),(15,2304368,'1',303,'N'),(15,2304368,'2',302,'N'),(15,2304376,'1',304,'N'),(15,2304376,'2',328,'N'),(15,2304384,'1',303,'N'),(15,2304384,'2',5,'N'),(15,2304392,'1',444,'N'),(15,2304392,'2',108,'N'),(15,2304406,'1',333,'N'),(15,2304406,'2',225,'N'),(15,2304414,'1',450,'N'),(15,2304414,'2',415,'N'),(15,2304422,'1',207,'N'),(15,2304422,'1A',233,'N'),(15,2304422,'2',420,'N'),(15,2304430,'1',319,'N'),(15,2304430,'2',310,'N'),(15,2304449,'1',301,'N'),(15,2304449,'2',316,'N'),(15,2304457,'1',316,'N'),(15,2304457,'2',301,'N'),(15,2304465,'1',103,'N'),(15,2304465,'2',108,'N'),(15,2304473,'1',333,'N'),(15,2304473,'2',332,'N'),(15,2304481,'1',317,'N'),(15,2304481,'2',308,'N'),(15,2304490,'1',220,'N'),(15,2304503,'1',316,'N'),(15,2304503,'2',301,'N'),(15,2304511,'1',201,'N'),(15,2304511,'1A',207,'N'),(15,2304511,'2',316,'N'),(15,2304520,'1',207,'N'),(15,2304520,'1A',201,'N'),(15,2304520,'2',238,'N'),(15,2304538,'1',2,'N'),(15,2304538,'2',223,'N'),(15,2304546,'1',426,'N'),(15,2304546,'1A',425,'N'),(15,2304546,'2',329,'N'),(15,2304554,'1',103,'N'),(15,2304554,'2',102,'N'),(15,2304589,'1',104,'N'),(15,2304589,'2',444,'N'),(15,2304597,'1',203,'N'),(15,2304597,'1A',216,'N'),(15,2304597,'2',444,'N'),(15,2304600,'1',101,'N'),(15,2304600,'2',103,'N'),(15,2304619,'1',326,'N'),(15,2304619,'2',429,'N'),(15,2304627,'1',102,'N'),(15,2304627,'2',101,'N'),(15,2304635,'1',404,'N'),(15,2304635,'2',331,'N'),(15,2304643,'1',444,'N'),(15,2304643,'2',429,'N'),(15,2304660,'1',332,'N'),(15,2304660,'2',224,'N'),(15,2304678,'1',320,'N'),(15,2304678,'2',308,'N'),(15,2304686,'1',103,'N'),(15,2304686,'2',104,'N'),(15,2304694,'1',104,'N'),(15,2304694,'2',309,'N'),(15,2304708,'1',223,'N'),(15,2304708,'2',224,'N'),(15,2304716,'1',104,'N'),(15,2304716,'2',207,'N'),(15,2304724,'1',415,'N'),(15,2304724,'2',320,'N'),(15,2304732,'1',238,'N'),(15,2304732,'1A',212,'N'),(15,2304732,'2',424,'N'),(15,2304740,'1',220,'N'),(15,2304740,'1A',203,'N'),(15,2304740,'2',214,'N'),(15,2304759,'1',238,'N'),(15,2304759,'1A',208,'N'),(15,2304767,'1',502,'N'),(15,2304767,'2',108,'N'),(15,2304775,'1',501,'N'),(15,2304775,'2',502,'N'),(15,2304783,'1',103,'N'),(15,2304783,'2',211,'N'),(15,2304791,'1',103,'N'),(15,2304791,'2',216,'N'),(15,2304805,'1',317,'N'),(15,2304805,'2',327,'N'),(15,2304821,'1',333,'N'),(15,2304821,'2',104,'N'),(15,2304830,'1',329,'N'),(15,2304830,'2',424,'N'),(15,2304848,'1',103,'N'),(15,2304856,'1',102,'N'),(15,2304856,'2',108,'N'),(15,2304864,'1',301,'N'),(15,2304864,'2',316,'N'),(15,2304872,'1',103,'N'),(15,2304880,'1',318,'N'),(15,2304880,'2',211,'N'),(15,2304899,'1',203,'N'),(15,2304899,'1A',220,'N'),(15,2304899,'2',214,'N'),(15,2304902,'1',104,'N'),(15,2304902,'2',212,'N'),(15,2304910,'1',303,'N'),(15,2304910,'2',207,'N'),(15,2304929,'1',451,'N'),(15,2304929,'2',501,'N'),(15,2304937,'1',102,'N'),(15,2304937,'2',9,'N'),(15,2304945,'1',303,'N'),(15,2304945,'2',103,'N'),(15,2304953,'1',303,'N'),(15,2304953,'2',5,'N'),(15,2304970,'1',202,'N'),(15,2304970,'1A',220,'N'),(15,2304970,'2',213,'N'),(15,2304988,'1',316,'N'),(15,2304988,'2',318,'N'),(15,2304996,'1',220,'N'),(15,2304996,'1A',201,'N'),(15,2304996,'2',208,'N'),(15,2305003,'1',319,'N'),(15,2305003,'2',339,'N'),(15,2305011,'1',202,'N'),(15,2305011,'1A',213,'N'),(15,2305011,'2',212,'N'),(15,2305020,'1',5,'N'),(15,2305020,'2',9,'N'),(15,2305038,'1',327,'N'),(15,2305038,'2',324,'N'),(15,2305054,'1',225,'N'),(15,2305054,'2',224,'N'),(15,2305062,'1',203,'N'),(15,2305062,'1A',202,'N'),(15,2305062,'2',220,'N'),(15,2305070,'1',108,'N'),(15,2305070,'2',217,'N'),(15,2305089,'1',415,'N'),(15,2305089,'2',404,'N'),(15,2305097,'1',5,'N'),(15,2305097,'2',304,'N'),(15,2305100,'1',327,'N'),(15,2305100,'2',451,'N'),(15,2305119,'1',333,'N'),(15,2305119,'2',108,'N'),(15,2305127,'1',203,'N'),(15,2305127,'2',202,'N'),(15,2305135,'1',207,'N'),(15,2305135,'2',420,'N'),(15,2305143,'1',303,'N'),(15,2305143,'2',309,'N'),(15,2305151,'1',217,'N'),(15,2305151,'2',2,'N'),(15,2305160,'1',217,'N'),(15,2305160,'2',332,'N'),(15,2305178,'1',102,'N'),(15,2305178,'2',211,'N'),(15,2305186,'1',420,'N'),(15,2305186,'2',207,'N'),(15,2305194,'1',207,'N'),(15,2305194,'2',316,'N'),(15,2305208,'1',333,'N'),(15,2305208,'2',502,'N'),(15,2305224,'1',450,'N'),(15,2305232,'1',213,'N'),(15,2305232,'1A',212,'N'),(15,2305232,'2',214,'N'),(15,2305240,'1',415,'N'),(15,2305240,'2',304,'N'),(15,2305259,'1',5,'N'),(15,2305259,'2',103,'N'),(15,2305267,'1',216,'N'),(15,2305267,'1A',215,'N'),(15,2305267,'2',102,'N'),(15,2305283,'1',213,'N'),(15,2305283,'1A',202,'N'),(15,2305283,'2',211,'N'),(15,2305291,'1',316,'N'),(15,2305291,'2',5,'N'),(15,2305305,'1',329,'N'),(15,2305305,'2',423,'N'),(15,2305313,'1',303,'N'),(15,2305313,'2',5,'N'),(15,2305321,'1',103,'N'),(15,2305330,'1',324,'N'),(15,2305330,'2',309,'N'),(15,2305348,'1',220,'N'),(15,2305348,'1A',214,'N'),(15,2305348,'2',203,'N'),(15,2305364,'1',201,'N'),(15,2305364,'1A',211,'N'),(15,2305364,'2',316,'N'),(15,2305372,'1',319,'N'),(15,2305372,'2',316,'N'),(15,2305380,'1',501,'N'),(15,2305399,'1',103,'N'),(15,2305399,'2',9,'N'),(15,2305402,'1',207,'N'),(15,2305410,'1',304,'N'),(15,2305410,'2',302,'N'),(15,2305429,'1',450,'N'),(15,2305437,'1',213,'N'),(15,2305437,'1A',202,'N'),(15,2305437,'2',302,'N'),(15,2305445,'1',103,'N'),(15,2305445,'2',217,'N'),(15,2305453,'1',333,'N'),(15,2305453,'2',234,'N'),(15,2305461,'1',216,'N'),(15,2305461,'1A',215,'N'),(15,2305461,'2',501,'N'),(15,2305470,'1',444,'N'),(15,2305470,'2',208,'N'),(15,2305488,'1',308,'N'),(15,2305488,'2',339,'N'),(15,2305496,'1',238,'N'),(15,2305496,'1A',208,'N'),(15,2305496,'2',213,'N'),(15,2305500,'1',108,'N'),(15,2305500,'2',9,'N'),(15,2305518,'1',103,'N'),(15,2305518,'2',104,'N'),(15,2305526,'1',211,'N'),(15,2305526,'2',316,'N'),(15,2305534,'1',207,'N'),(15,2305534,'1A',238,'N'),(15,2305534,'2',324,'N'),(15,2305542,'1',203,'N'),(15,2305542,'1A',211,'N'),(15,2305542,'2',234,'N'),(15,2305550,'1',450,'N'),(15,2305550,'2',320,'N'),(15,2305569,'1',5,'N'),(15,2305569,'2',327,'N'),(15,2305577,'1',319,'N'),(15,2305577,'2',301,'N'),(15,2305585,'1',217,'N'),(15,2305585,'2',501,'N'),(15,2305593,'1',317,'N'),(15,2305593,'2',318,'N'),(15,2305607,'1',207,'N'),(15,2305607,'1A',201,'N'),(15,2305607,'2',331,'N'),(15,2305615,'1',203,'N'),(15,2305615,'1A',208,'N'),(15,2305615,'2',220,'N'),(15,2305623,'1',450,'N'),(15,2305623,'2',316,'N'),(15,2305631,'1',220,'N'),(15,2305631,'1A',203,'N'),(15,2305631,'2',202,'N'),(15,2305640,'1',420,'N'),(15,2305640,'2',333,'N'),(15,2305666,'1',102,'N'),(15,2305666,'2',101,'N'),(15,2305674,'1',103,'N'),(15,2305674,'2',9,'N'),(15,2305682,'1',103,'N'),(15,2305682,'2',5,'N'),(15,2305690,'1',316,'N'),(15,2305690,'2',301,'N'),(15,2305704,'1',5,'N'),(15,2305704,'2',424,'N'),(15,2305720,'1',415,'N'),(15,2305739,'1',303,'N'),(15,2305739,'2',302,'N'),(15,2305747,'1',216,'N'),(15,2305747,'1A',201,'N'),(15,2305747,'2',211,'N'),(15,2305755,'1',103,'N'),(15,2305755,'2',104,'N'),(15,2305763,'1',420,'N'),(15,2305763,'2',329,'N'),(15,2305780,'1',301,'N'),(15,2305780,'2',303,'N'),(15,2305798,'1',9,'N'),(15,2305798,'2',104,'N'),(15,2305801,'1',101,'N'),(15,2305801,'2',102,'N'),(15,2305810,'1',301,'N'),(15,2305810,'2',404,'N'),(15,2305828,'1',104,'N'),(15,2305828,'2',211,'N'),(15,2305836,'1',318,'N'),(15,2305836,'2',320,'N'),(15,2305844,'1',426,'N'),(15,2305844,'1A',424,'N'),(15,2305844,'2',217,'N'),(15,2305852,'1',404,'N'),(15,2305852,'2',420,'N'),(15,2305860,'1',316,'N'),(15,2305860,'2',332,'N'),(15,2305879,'1',324,'N'),(15,2305895,'1',224,'N'),(15,2305895,'2',222,'N'),(15,2305909,'1',303,'N'),(15,2305909,'2',211,'N'),(15,2305917,'1',203,'N'),(15,2305917,'1A',214,'N'),(15,2305917,'2',502,'N'),(15,2305933,'1',333,'N'),(15,2305933,'2',332,'N'),(15,2305941,'1',224,'N'),(15,2305941,'2',222,'N'),(15,2305950,'1',415,'N'),(15,2305950,'2',420,'N'),(15,2305968,'1',339,'N'),(15,2305976,'1',208,'N'),(15,2305976,'1A',238,'N'),(15,2305976,'2',222,'N'),(15,2305984,'1',317,'N'),(15,2305984,'2',429,'N'),(15,2305992,'1',319,'N'),(15,2305992,'2',308,'N'),(15,2306018,'1',320,'N'),(15,2306018,'2',425,'N'),(15,2306026,'1',303,'N'),(15,2306026,'2',420,'N'),(15,2306034,'1',333,'N'),(15,2306034,'2',5,'N'),(15,2306042,'1',103,'N'),(15,2306042,'2',104,'N'),(15,2306050,'1',208,'N'),(15,2306050,'1A',213,'N'),(15,2306050,'2',238,'N'),(15,2306069,'1',207,'N'),(15,2306069,'1A',216,'N'),(15,2306069,'2',420,'N'),(15,2306077,'1',220,'N'),(15,2306077,'1A',203,'N'),(15,2306077,'2',216,'N'),(15,2306085,'1',5,'N'),(15,2306085,'2',211,'N'),(15,2306107,'1',415,'N'),(15,2306107,'2',420,'N'),(15,2306115,'1',450,'N'),(15,2306115,'2',415,'N'),(15,2306123,'1',316,'N'),(15,2306123,'2',225,'N'),(15,2306131,'1',450,'N'),(15,2306131,'2',427,'N'),(15,2306140,'1',104,'N'),(15,2306140,'2',5,'N'),(15,2306158,'1',318,'N'),(15,2306158,'2',317,'N'),(15,2306166,'1',103,'N'),(15,2306174,'1',9,'N'),(15,2306174,'2',104,'N'),(15,2306182,'1',238,'N'),(15,2306182,'1A',208,'N'),(15,2306182,'2',332,'N'),(15,2306190,'1',101,'N'),(15,2306190,'2',316,'N'),(15,2306204,'1',327,'N'),(15,2306204,'2',426,'N'),(15,2306212,'1',303,'N'),(15,2306212,'2',215,'N'),(15,2306220,'1',102,'N'),(15,2306220,'2',104,'N'),(15,2306239,'1',102,'N'),(15,2306239,'2',103,'N'),(15,2306247,'1',104,'N'),(15,2306247,'2',102,'N'),(15,2306255,'1',450,'N'),(15,2306263,'1',101,'N'),(15,2306263,'2',102,'N'),(15,2306271,'1',203,'N'),(15,2306271,'1A',202,'N'),(15,2306271,'2',220,'N'),(15,2306280,'1',103,'N'),(15,2306280,'2',102,'N'),(15,2306298,'1',208,'N'),(15,2306298,'1A',238,'N'),(15,2306298,'2',501,'N'),(15,2306301,'1',220,'N'),(15,2306310,'1',214,'N'),(15,2306310,'1A',207,'N'),(15,2306310,'2',238,'N'),(15,2306328,'1',316,'N'),(15,2306328,'2',301,'N'),(15,2306344,'1',214,'N'),(15,2306344,'1A',203,'N'),(15,2306344,'2',301,'N'),(15,2306352,'1',301,'N'),(15,2306352,'2',215,'N'),(15,2306360,'1',220,'N'),(15,2306360,'2',202,'N'),(15,2306379,'1',233,'N'),(15,2306379,'1A',213,'N'),(15,2306379,'2',304,'N'),(15,2306387,'1',104,'N'),(15,2306387,'2',108,'N'),(15,2306395,'1',238,'N'),(15,2306409,'1',415,'N'),(15,2306409,'2',301,'N'),(15,2306417,'1',108,'N'),(15,2306417,'2',211,'N'),(15,2306425,'1',103,'N'),(15,2306433,'1',207,'N'),(15,2306433,'1A',201,'N'),(15,2306433,'2',317,'N'),(15,2306441,'1',317,'N'),(15,2306441,'2',224,'N'),(15,2306450,'1',317,'N'),(15,2306450,'2',320,'N'),(15,2306468,'1',203,'N'),(15,2306468,'1A',220,'N'),(15,2306476,'1',220,'N'),(15,2306476,'1A',203,'N'),(15,2306476,'2',214,'N'),(15,2306492,'1',203,'N'),(15,2306492,'1A',214,'N'),(15,2306492,'2',202,'N'),(15,2306506,'1',103,'N'),(15,2306506,'2',5,'N'),(15,2306514,'1',103,'N'),(15,2306514,'2',9,'N'),(15,2306522,'1',318,'N'),(15,2306522,'2',304,'N'),(15,2306530,'1',333,'N'),(15,2306530,'2',427,'N'),(15,2306549,'1',103,'N'),(15,2306549,'2',104,'N'),(15,2306557,'1',320,'N'),(15,2306557,'2',502,'N'),(15,2306565,'1',207,'N'),(15,2306565,'1A',212,'N'),(15,2306565,'2',101,'N'),(15,2306573,'1',207,'N'),(15,2306573,'2',319,'N'),(15,2306581,'1',207,'N'),(15,2306581,'1A',233,'N'),(15,2306581,'2',304,'N'),(15,2306590,'1',234,'N'),(15,2306603,'1',316,'N'),(15,2306603,'2',451,'N'),(15,2306611,'1',304,'N'),(15,2306611,'2',328,'N'),(15,2306620,'1',211,'N'),(15,2306620,'1A',233,'N'),(15,2306620,'2',216,'N'),(15,2306638,'1',208,'N'),(15,2306638,'2',202,'N'),(15,2306646,'1',317,'N'),(15,2306646,'2',222,'N'),(15,2306654,'1',103,'N'),(15,2306654,'2',108,'N'),(15,2306662,'1',302,'N'),(15,2306662,'2',9,'N'),(15,2306670,'1',108,'N'),(15,2306670,'2',333,'N'),(15,2306689,'1',404,'N'),(15,2306689,'2',316,'N'),(15,2306697,'1',303,'N'),(15,2306697,'2',202,'N'),(15,2306700,'1',5,'N'),(15,2306700,'2',429,'N'),(15,2306727,'1',303,'N'),(15,2306727,'2',425,'N'),(15,2306743,'1',301,'N'),(15,2306743,'2',316,'N'),(15,2306760,'1',201,'N'),(15,2306760,'1A',211,'N'),(15,2306760,'2',501,'N'),(15,2306786,'1',208,'N'),(15,2306786,'1A',201,'N'),(15,2306786,'2',238,'N'),(15,2306794,'1',428,'N'),(15,2306794,'1A',426,'N'),(15,2306794,'2',328,'N'),(15,2306808,'1',316,'N'),(15,2306808,'2',318,'N'),(15,2306816,'1',212,'N'),(15,2306816,'1A',208,'N'),(15,2306816,'2',318,'N'),(15,2306824,'1',203,'N'),(15,2306824,'1A',216,'N'),(15,2306824,'2',319,'N'),(15,2306840,'1',329,'N'),(15,2306840,'2',425,'N'),(15,2306875,'1',5,'N'),(15,2306875,'2',201,'N'),(15,2306891,'1',316,'N'),(15,2306891,'2',339,'N'),(15,2306905,'1',207,'N'),(15,2306905,'1A',203,'N'),(15,2306905,'2',208,'N'),(15,2306913,'1',233,'N'),(15,2306913,'2',225,'N'),(15,2306921,'1',216,'N'),(15,2306921,'2',2,'N'),(15,2306948,'1',216,'N'),(15,2306948,'1A',215,'N'),(15,2306948,'2',501,'N'),(15,2306956,'1',214,'N'),(15,2306956,'1A',233,'N'),(15,2306956,'2',211,'N'),(15,2306972,'1',415,'N'),(15,2306972,'2',424,'N'),(15,2306980,'1',103,'N'),(15,2306980,'2',214,'N'),(15,2306999,'1',103,'N'),(15,2306999,'2',502,'N'),(15,2307006,'1',203,'N'),(15,2307006,'1A',233,'N'),(15,2307006,'2',214,'N'),(15,2307014,'1',327,'N'),(15,2307014,'2',320,'N'),(15,2307022,'1',308,'N'),(15,2307022,'2',339,'N'),(15,2307030,'1',308,'N'),(15,2307030,'2',324,'N'),(15,2307049,'1',103,'N'),(15,2307065,'1',102,'N'),(15,2307065,'2',420,'N'),(15,2307073,'1',420,'N'),(15,2307073,'2',207,'N'),(15,2307081,'1',303,'N'),(15,2307081,'2',208,'N'),(15,2307090,'1',216,'N'),(15,2307090,'2',215,'N'),(15,2307103,'1',332,'N'),(15,2307103,'2',327,'N'),(15,2307111,'1',208,'N'),(15,2307111,'1A',220,'N'),(15,2307111,'2',2,'N'),(15,2307120,'1',502,'N'),(15,2307120,'2',220,'N'),(15,2307138,'1',103,'N'),(15,2307138,'2',104,'N'),(15,2307146,'1',320,'N'),(15,2307146,'2',310,'N'),(15,2307154,'1',303,'N'),(15,2307154,'2',5,'N'),(15,2307162,'1',5,'N'),(15,2307162,'2',215,'N'),(15,2307170,'1',102,'N'),(15,2307170,'2',201,'N'),(15,2307189,'1',333,'N'),(15,2307189,'2',303,'N'),(15,2307200,'1',102,'N'),(15,2307200,'2',319,'N'),(15,2307219,'1',332,'N'),(15,2307219,'2',331,'N'),(15,2307227,'1',216,'N'),(15,2307227,'1A',203,'N'),(15,2307227,'2',208,'N'),(15,2307235,'1',103,'N'),(15,2307235,'2',101,'N'),(15,2307243,'1',302,'N'),(15,2307243,'2',309,'N'),(15,2307251,'1',303,'N'),(15,2307251,'2',424,'N'),(15,2307260,'1',216,'N'),(15,2307260,'1A',203,'N'),(15,2307260,'2',233,'N'),(15,2307286,'1',5,'N'),(15,2307286,'2',326,'N'),(15,2307294,'1',103,'N'),(15,2307294,'2',308,'N'),(15,2307308,'1',444,'N'),(15,2307308,'2',423,'N'),(15,2307316,'1',214,'N'),(15,2307316,'1A',213,'N'),(15,2307316,'2',2,'N'),(15,2307332,'1',426,'N'),(15,2307332,'1A',428,'N'),(15,2307332,'2',427,'N'),(15,2307340,'1',201,'N'),(15,2307340,'1A',212,'N'),(15,2307340,'2',224,'N'),(15,2307359,'1',427,'N'),(15,2307359,'1A',426,'N'),(15,2307359,'2',424,'N'),(15,2307367,'1',220,'N'),(15,2307367,'1A',203,'N'),(15,2307367,'2',202,'N'),(15,2307375,'1',103,'N'),(15,2307375,'2',319,'N'),(15,2307391,'1',5,'N'),(15,2307391,'2',327,'N'),(15,2307405,'1',415,'N'),(15,2307405,'2',450,'N'),(15,2307413,'1',316,'N'),(15,2307413,'2',207,'N'),(15,2307421,'1',213,'N'),(15,2307421,'1A',202,'N'),(15,2307421,'2',2,'N'),(15,2307430,'1',220,'N'),(15,2307430,'1A',214,'N'),(15,2307448,'1',326,'N'),(15,2307448,'2',103,'N'),(15,2307456,'1',104,'N'),(15,2307456,'2',207,'N'),(15,2307464,'1',108,'N'),(15,2307464,'2',502,'N'),(15,2307472,'1',216,'N'),(15,2307472,'1A',214,'N'),(15,2307472,'2',201,'N'),(15,2307480,'1',420,'N'),(15,2307480,'2',207,'N'),(15,2307499,'1',404,'N'),(15,2307499,'2',304,'N'),(15,2307502,'1',203,'N'),(15,2307502,'2',214,'N'),(15,2307510,'1',316,'N'),(15,2307510,'2',222,'N'),(15,2307529,'1',316,'N'),(15,2307529,'2',317,'N'),(15,2307537,'1',428,'N'),(15,2307537,'2',328,'N'),(15,2307545,'1',332,'N'),(15,2307545,'2',324,'N'),(15,2307553,'1',5,'N'),(15,2307553,'2',326,'N'),(15,2307561,'1',404,'N'),(15,2307561,'2',224,'N'),(15,2307570,'1',320,'N'),(15,2307570,'2',202,'N'),(15,2307588,'1',203,'N'),(15,2307588,'1A',207,'N'),(15,2307588,'2',202,'N'),(15,2307596,'1',501,'N'),(15,2307596,'2',201,'N'),(15,2307600,'1',207,'N'),(15,2307600,'1A',201,'N'),(15,2307600,'2',303,'N'),(15,2307618,'1',208,'N'),(15,2307618,'2',319,'N'),(15,2307626,'1',101,'N'),(15,2307626,'2',215,'N'),(15,2307634,'1',223,'N'),(15,2307642,'1',207,'N'),(15,2307642,'2',233,'N'),(15,2307650,'1',5,'N'),(15,2307650,'2',424,'N'),(15,2307669,'1',5,'N'),(15,2307669,'2',415,'N'),(15,2307685,'1',211,'N'),(15,2307685,'1A',207,'N'),(15,2307685,'2',303,'N'),(15,2307693,'1',301,'N'),(15,2307693,'2',316,'N'),(15,2307707,'1',208,'N'),(15,2307707,'1A',238,'N'),(15,2307707,'2',317,'N'),(15,2307715,'1',103,'N'),(15,2307715,'2',108,'N'),(15,2307723,'1',501,'N'),(15,2307723,'2',326,'N'),(15,2307731,'1',426,'N'),(15,2307731,'1A',428,'N'),(15,2307731,'2',224,'N'),(15,2307740,'1',415,'N'),(15,2307758,'1',104,'N'),(15,2307758,'2',319,'N'),(15,2307774,'1',203,'N'),(15,2307774,'1A',202,'N'),(15,2307774,'2',201,'N'),(15,2307782,'1',238,'N'),(15,2307782,'1A',211,'N'),(15,2307782,'2',328,'N'),(15,2307790,'1',102,'N'),(15,2307790,'2',108,'N'),(15,2307812,'1',203,'N'),(15,2307812,'1A',212,'N'),(15,2307812,'2',301,'N'),(15,2307839,'1',103,'N'),(15,2307839,'2',303,'N'),(15,2307847,'1',320,'N'),(15,2307847,'2',329,'N'),(15,2307855,'1',203,'N'),(15,2307855,'1A',201,'N'),(15,2307855,'2',215,'N'),(15,2307863,'1',502,'N'),(15,2307863,'2',234,'N'),(15,2307871,'1',301,'N'),(15,2307871,'2',304,'N'),(15,2307880,'1',317,'N'),(15,2307880,'2',302,'N'),(15,2307898,'1',2,'N'),(15,2307898,'2',301,'N'),(15,2307901,'1',103,'N'),(15,2307901,'2',101,'N'),(15,2307910,'1',234,'N'),(15,2307910,'2',333,'N'),(15,2307928,'1',202,'N'),(15,2307928,'1A',220,'N'),(15,2307928,'2',2,'N'),(15,2307936,'1',502,'N'),(15,2307936,'2',428,'N'),(15,2307952,'1',318,'N'),(15,2307952,'2',429,'N'),(15,2307960,'1',211,'N'),(15,2307960,'1A',201,'N'),(15,2307960,'2',216,'N'),(15,2307979,'1',333,'N'),(15,2307979,'2',211,'N'),(15,2307987,'1',102,'N'),(15,2307987,'2',217,'N'),(15,2307995,'1',329,'N'),(15,2307995,'2',324,'N'),(15,2308010,'1',203,'N'),(15,2308010,'1A',220,'N'),(15,2308010,'2',214,'N'),(15,2308029,'1',317,'N'),(15,2308029,'2',328,'N'),(15,2308045,'1',444,'N'),(15,2308045,'2',333,'N'),(15,2308053,'1',103,'N'),(15,2308053,'2',104,'N'),(15,2308061,'1',208,'N'),(15,2308061,'1A',201,'N'),(15,2308061,'2',316,'N'),(15,2308088,'1',108,'N'),(15,2308100,'1',208,'N'),(15,2308100,'1A',238,'N'),(15,2308134,'1',501,'N'),(15,2308134,'2',502,'N'),(15,2308142,'1',238,'N'),(15,2308142,'1A',211,'N'),(15,2308142,'2',420,'N'),(15,2308150,'1',303,'N'),(15,2308150,'2',5,'N'),(15,2308169,'1',425,'N'),(15,2308169,'1A',429,'N'),(15,2308169,'2',5,'N'),(15,2308177,'1',201,'N'),(15,2308177,'1A',207,'N'),(15,2308177,'2',302,'N'),(15,2308193,'1',303,'N'),(15,2308193,'2',425,'N'),(15,2308207,'1',428,'N'),(15,2308207,'1A',426,'N'),(15,2308207,'2',324,'N'),(15,2308215,'1',5,'N'),(15,2308215,'2',427,'N'),(15,2308223,'1',424,'N'),(15,2308223,'1A',428,'N'),(15,2308223,'2',421,'N'),(15,2308231,'1',319,'N'),(15,2308231,'2',327,'N'),(15,2308240,'1',303,'N'),(15,2308240,'2',203,'N'),(15,2308266,'1',5,'N'),(15,2308266,'2',319,'N'),(15,2308274,'1',303,'N'),(15,2308274,'2',5,'N'),(15,2308282,'1',324,'N'),(15,2308282,'2',420,'N'),(15,2308290,'1',220,'N'),(15,2308290,'1A',203,'N'),(15,2308290,'2',202,'N'),(15,2308304,'1',301,'N'),(15,2308304,'2',310,'N'),(15,2308312,'1',303,'N'),(15,2308320,'1',201,'N'),(15,2308320,'1A',208,'N'),(15,2308320,'2',404,'N'),(15,2308347,'1',303,'N'),(15,2308347,'2',319,'N'),(15,2308355,'1',319,'N'),(15,2308355,'2',308,'N'),(15,2308363,'1',404,'N'),(15,2308363,'2',9,'N'),(15,2308380,'1',207,'N'),(15,2308380,'1A',211,'N'),(15,2308380,'2',108,'N'),(15,2308398,'1',108,'N'),(15,2308398,'2',333,'N'),(15,2308401,'1',203,'N'),(15,2308401,'1A',214,'N'),(15,2308401,'2',220,'N'),(15,2308410,'1',5,'N'),(15,2308410,'2',444,'N'),(15,2308428,'1',303,'N'),(15,2308428,'2',208,'N'),(15,2308460,'1',104,'N'),(15,2308460,'2',216,'N'),(15,2308479,'1',238,'N'),(15,2308479,'1A',211,'N'),(15,2308479,'2',421,'N'),(15,2308487,'1',207,'N'),(15,2308487,'2',420,'N'),(15,2308495,'1',420,'N'),(15,2308495,'2',208,'N'),(15,2308517,'1',216,'N'),(15,2308517,'2',217,'N'),(15,2308525,'1',444,'N'),(15,2308525,'2',404,'N'),(15,2308533,'1',103,'N'),(15,2308541,'1',104,'N'),(15,2308541,'2',425,'N'),(15,2308550,'1',103,'N'),(15,2308550,'2',108,'N'),(15,2308568,'1',203,'N'),(15,2308568,'1A',220,'N'),(15,2308568,'2',214,'N'),(15,2308576,'1',101,'N'),(15,2308576,'2',103,'N'),(15,2308584,'1',333,'N'),(15,2308584,'2',502,'N'),(15,2308592,'1',207,'N'),(15,2308592,'2',212,'N'),(15,2308606,'1',103,'N'),(15,2308606,'2',102,'N'),(15,2308614,'1',207,'N'),(15,2308614,'1A',201,'N'),(15,2308614,'2',223,'N'),(15,2308622,'1',333,'N'),(15,2308622,'2',331,'N'),(15,2308630,'1',339,'N'),(15,2308630,'2',319,'N'),(15,2308649,'1',331,'N'),(15,2308649,'2',415,'N'),(15,2308657,'1',103,'N'),(15,2308657,'2',5,'N'),(15,2308665,'1',103,'N'),(15,2308665,'2',303,'N'),(15,2308673,'1',201,'N'),(15,2308673,'1A',216,'N'),(15,2308673,'2',217,'N'),(15,2308681,'1',220,'N'),(15,2308681,'1A',208,'N'),(15,2308681,'2',203,'N'),(15,2308690,'1',202,'N'),(15,2308690,'1A',213,'N'),(15,2308690,'2',216,'N'),(15,2308720,'1',211,'N'),(15,2308720,'1A',213,'N'),(15,2308720,'2',234,'N'),(15,2308738,'1',103,'N'),(15,2308738,'2',104,'N'),(15,2308746,'1',207,'N'),(15,2308746,'1A',208,'N'),(15,2308746,'2',224,'N'),(15,2308754,'1',317,'N'),(15,2308754,'2',213,'N'),(15,2308762,'1',211,'N'),(15,2308762,'2',501,'N'),(15,2308770,'1',212,'N'),(15,2308770,'1A',207,'N'),(15,2308770,'2',444,'N'),(15,2308789,'1',103,'N'),(15,2308789,'2',101,'N'),(15,2308797,'1',424,'N'),(15,2308797,'1A',425,'N'),(15,2308797,'2',238,'N'),(15,2308800,'1',308,'N'),(15,2308800,'2',423,'N'),(15,2308819,'1',203,'N'),(15,2308819,'1A',208,'N'),(15,2308819,'2',2,'N'),(15,2308827,'1',404,'N'),(15,2308827,'2',327,'N'),(15,2308835,'1',103,'N'),(15,2308835,'2',304,'N'),(15,2308843,'1',103,'N'),(15,2308843,'2',216,'N'),(15,2308851,'1',303,'N'),(15,2308851,'2',5,'N'),(15,2308860,'1',331,'N'),(15,2308860,'2',501,'N'),(15,2308878,'1',104,'N'),(15,2308878,'2',211,'N'),(15,2308886,'1',451,'N'),(15,2308886,'2',429,'N'),(15,2308894,'1',324,'N'),(15,2308894,'2',224,'N'),(15,2308908,'1',104,'N'),(15,2308908,'2',102,'N'),(15,2308916,'1',238,'N'),(15,2308916,'1A',213,'N'),(15,2308916,'2',225,'N'),(15,2308924,'1',318,'N'),(15,2308924,'2',333,'N'),(15,2308932,'1',316,'N'),(15,2308932,'2',339,'N'),(15,2308940,'1',303,'N'),(15,2308940,'2',5,'N'),(15,2308959,'1',333,'N'),(15,2308959,'2',501,'N'),(15,2308975,'1',104,'N'),(15,2308975,'2',217,'N'),(15,2308983,'1',202,'N'),(15,2308983,'1A',238,'N'),(15,2308983,'2',213,'N'),(15,2308991,'1',103,'N'),(15,2308991,'2',333,'N'),(15,2309009,'1',201,'N'),(15,2309009,'1A',238,'N'),(15,2309009,'2',444,'N'),(15,2309017,'1',329,'N'),(15,2309017,'2',428,'N'),(15,2309025,'1',208,'N'),(15,2309025,'1A',202,'N'),(15,2309025,'2',238,'N'),(15,2309033,'1',238,'N'),(15,2309033,'2',404,'N'),(15,2309041,'1',103,'N'),(15,2309041,'2',203,'N'),(15,2309050,'1',444,'N'),(15,2309050,'2',207,'N'),(15,2309068,'1',326,'N'),(15,2309068,'2',202,'N'),(15,2309076,'1',424,'N'),(15,2309076,'1A',426,'N'),(15,2309076,'2',222,'N'),(15,2309084,'1',103,'N'),(15,2309084,'2',420,'N'),(15,2309092,'1',5,'N'),(15,2309092,'2',303,'N'),(15,2309106,'1',444,'N'),(15,2309106,'2',302,'N'),(15,2309114,'1',303,'N'),(15,2309114,'2',103,'N'),(15,2309122,'1',5,'N'),(15,2309122,'2',317,'N'),(15,2309130,'1',223,'N'),(15,2309130,'2',224,'N'),(15,2309149,'1',501,'N'),(15,2309149,'2',333,'N'),(15,2309157,'1',303,'N'),(15,2309157,'2',217,'N'),(15,2309165,'1',318,'N'),(15,2309165,'2',224,'N'),(15,2309173,'1',404,'N'),(15,2309173,'2',339,'N'),(15,2309181,'1',425,'N'),(15,2309181,'1A',429,'N'),(15,2309181,'2',324,'N'),(15,2309190,'1',213,'N'),(15,2309190,'1A',203,'N'),(15,2309190,'2',212,'N'),(15,2309203,'1',103,'N'),(15,2309203,'2',333,'N'),(15,2309211,'1',415,'N'),(15,2309211,'2',451,'N'),(15,2309238,'1',420,'N'),(15,2309238,'2',316,'N'),(15,2309246,'1',317,'N'),(15,2309246,'2',316,'N'),(15,2309254,'1',103,'N'),(15,2309262,'1',104,'N'),(15,2309262,'2',333,'N'),(15,2309270,'1',5,'N'),(15,2309270,'2',317,'N'),(15,2309289,'1',302,'N'),(15,2309289,'2',317,'N'),(15,2309297,'1',216,'N'),(15,2309297,'1A',215,'N'),(15,2309297,'2',217,'N'),(15,2309327,'1',339,'N'),(15,2309327,'2',324,'N'),(15,2309335,'1',203,'N'),(15,2309335,'1A',214,'N'),(15,2309335,'2',317,'N'),(15,2309351,'1',104,'N'),(15,2309351,'2',316,'N'),(15,2309378,'1',238,'N'),(15,2309378,'1A',208,'N'),(15,2309378,'2',329,'N'),(15,2309386,'1',202,'N'),(15,2309386,'1A',214,'N'),(15,2309386,'2',201,'N'),(15,2309394,'1',5,'N'),(15,2309394,'2',332,'N'),(15,2309408,'1',316,'N'),(15,2309408,'2',238,'N'),(15,2309416,'1',214,'N'),(15,2309416,'1A',220,'N'),(15,2309416,'2',203,'N'),(15,2309424,'1',211,'N'),(15,2309424,'1A',233,'N'),(15,2309424,'2',333,'N'),(15,2309432,'1',202,'N'),(15,2309432,'1A',220,'N'),(15,2309432,'2',425,'N'),(15,2309440,'1',308,'N'),(15,2309440,'2',324,'N'),(15,2309459,'1',202,'N'),(15,2309459,'1A',233,'N'),(15,2309459,'2',213,'N'),(15,2309467,'1',319,'N'),(15,2309467,'2',450,'N'),(15,2309475,'1',304,'N'),(15,2309475,'2',222,'N'),(15,2309483,'1',103,'N'),(15,2309483,'2',102,'N'),(15,2309505,'1',301,'N'),(15,2309505,'2',316,'N'),(15,2309513,'1',5,'N'),(15,2309513,'2',202,'N'),(15,2309530,'1',316,'N'),(15,2309530,'2',9,'N'),(15,2309548,'1',108,'N'),(15,2309548,'2',201,'N'),(15,2309564,'1',316,'N'),(15,2309564,'2',331,'N'),(15,2309572,'1',103,'N'),(15,2309572,'2',104,'N'),(15,2309580,'1',208,'N'),(15,2309580,'1A',238,'N'),(15,2309580,'2',326,'N'),(15,2309599,'1',102,'N'),(15,2309599,'2',101,'N'),(15,2309602,'1',217,'N'),(15,2309602,'2',103,'N'),(15,2309610,'1',207,'N'),(15,2309610,'1A',201,'N'),(15,2309610,'2',212,'N'),(15,2309629,'1',501,'N'),(15,2309629,'2',234,'N'),(15,2309637,'1',201,'N'),(15,2309637,'1A',233,'N'),(15,2309637,'2',316,'N'),(15,2309645,'1',222,'N'),(15,2309645,'2',208,'N'),(15,2309661,'1',303,'N'),(15,2309661,'2',329,'N'),(15,2309670,'1',316,'N'),(15,2309670,'2',318,'N'),(15,2309696,'1',9,'N'),(15,2309696,'2',423,'N'),(15,2309700,'1',420,'N'),(15,2309700,'2',207,'N'),(15,2309718,'1',103,'N'),(15,2309726,'1',316,'N'),(15,2309726,'2',319,'N'),(15,2309734,'1',502,'N'),(15,2309734,'2',501,'N'),(15,2309742,'1',108,'N'),(15,2309742,'2',333,'N'),(15,2309750,'1',213,'N'),(15,2309750,'1A',214,'N'),(15,2309750,'2',202,'N'),(15,2309777,'1',415,'N'),(15,2309777,'2',424,'N'),(15,2309785,'1',501,'N'),(15,2309793,'1',316,'N'),(15,2309793,'2',301,'N'),(15,2309807,'1',101,'N'),(15,2309807,'2',404,'N'),(15,2309815,'1',327,'N'),(15,2309815,'2',329,'N'),(15,2309823,'1',303,'N'),(15,2309823,'2',415,'N'),(15,2309831,'1',423,'N'),(15,2309831,'2',308,'N'),(15,2309840,'1',220,'N'),(15,2309840,'1A',203,'N'),(15,2309840,'2',238,'N'),(15,2309858,'1',319,'N'),(15,2309858,'2',301,'N'),(15,2309866,'1',302,'N'),(15,2309866,'2',207,'N'),(15,2309882,'1',211,'N'),(15,2309882,'2',214,'N'),(15,2309890,'1',404,'N'),(15,2309890,'2',308,'N'),(15,2309912,'1',203,'N'),(15,2309912,'1A',201,'N'),(15,2309912,'2',214,'N'),(15,2309920,'1',214,'N'),(15,2309920,'1A',203,'N'),(15,2309920,'2',415,'N'),(15,2309939,'1',316,'N'),(15,2309939,'2',424,'N'),(15,2309947,'1',103,'N'),(15,2309947,'2',319,'N'),(15,2309963,'1',213,'N'),(15,2309963,'1A',202,'N'),(15,2309963,'2',214,'N'),(15,2309971,'1',9,'N'),(15,2309971,'2',101,'N'),(15,2309980,'1',425,'N'),(15,2309980,'1A',426,'N'),(15,2309980,'2',302,'N'),(15,2310007,'1',203,'N'),(15,2310007,'1A',208,'N'),(15,2310007,'2',202,'N'),(15,2310015,'1',318,'N'),(15,2310031,'1',415,'N'),(15,2310031,'2',424,'N'),(15,2310040,'1',318,'N'),(15,2310040,'2',316,'N'),(15,2310066,'1',303,'N'),(15,2310066,'2',5,'N'),(15,2310074,'1',316,'N'),(15,2310074,'2',339,'N'),(15,2310082,'1',501,'N'),(15,2310082,'2',502,'N'),(15,2310090,'1',301,'N'),(15,2310090,'2',316,'N'),(15,2310104,'1',319,'N'),(15,2310104,'2',332,'N'),(15,2310112,'1',211,'N'),(15,2310112,'2',216,'N'),(15,2310120,'1',5,'N'),(15,2310120,'2',425,'N'),(15,2310139,'1',301,'N'),(15,2310139,'2',102,'N'),(15,2310147,'1',103,'N'),(15,2310147,'2',104,'N'),(15,2310155,'1',103,'N'),(15,2310163,'1',444,'N'),(15,2310163,'2',404,'N'),(15,2310171,'1',5,'N'),(15,2310171,'2',224,'N'),(15,2310180,'1',428,'N'),(15,2310180,'1A',421,'N'),(15,2310180,'2',319,'N'),(15,2310198,'1',234,'N'),(15,2310201,'1',420,'N'),(15,2310201,'2',207,'N'),(15,2310210,'1',333,'N'),(15,2310210,'2',108,'N'),(15,2310228,'1',415,'N'),(15,2310228,'2',327,'N'),(15,2310236,'1',301,'N'),(15,2310236,'2',304,'N'),(15,2310244,'1',211,'N'),(15,2310244,'1A',212,'N'),(15,2310244,'2',333,'N'),(15,2310252,'1',415,'N'),(15,2310252,'2',326,'N'),(15,2310260,'1',450,'N'),(15,2310260,'2',326,'N'),(15,2310279,'1',103,'N'),(15,2310279,'2',303,'N'),(15,2310287,'1',201,'N'),(15,2310287,'2',225,'N'),(15,2310295,'1',207,'N'),(15,2310295,'2',301,'N'),(15,2310309,'1',301,'N'),(15,2310309,'2',316,'N'),(15,2310325,'1',215,'N'),(15,2310325,'1A',233,'N'),(15,2310325,'2',501,'N'),(15,2310333,'1',317,'N'),(15,2310333,'2',318,'N'),(15,2310341,'1',216,'N'),(15,2310341,'1A',203,'N'),(15,2310341,'2',301,'N'),(15,2310350,'1',238,'N'),(15,2310350,'1A',215,'N'),(15,2310350,'2',332,'N'),(15,2310368,'1',5,'N'),(15,2310368,'2',317,'N'),(15,2310376,'1',428,'N'),(15,2310376,'1A',426,'N'),(15,2310376,'2',450,'N'),(15,2310384,'1',207,'N'),(15,2310384,'1A',216,'N'),(15,2310384,'2',420,'N'),(15,2310392,'1',310,'N'),(15,2310392,'2',331,'N'),(15,2310406,'1',444,'N'),(15,2310406,'2',415,'N'),(15,2310414,'1',101,'N'),(15,2310414,'2',102,'N'),(15,2310422,'1',301,'N'),(15,2310422,'2',333,'N'),(15,2310430,'1',207,'N'),(15,2310430,'1A',213,'N'),(15,2310430,'2',316,'N'),(15,2310449,'1',211,'N'),(15,2310449,'1A',233,'N'),(15,2310449,'2',333,'N'),(15,2310457,'1',104,'N'),(15,2310457,'2',213,'N'),(15,2310465,'1',427,'N'),(15,2310465,'1A',424,'N'),(15,2310465,'2',421,'N'),(15,2310473,'1',420,'N'),(15,2310473,'2',102,'N'),(15,2310481,'1',425,'N'),(15,2310481,'2',423,'N'),(15,2310490,'1',428,'N'),(15,2310490,'2',331,'N'),(15,2310503,'1',108,'N'),(15,2310503,'2',502,'N'),(15,2310511,'1',303,'N'),(15,2310511,'2',5,'N'),(15,2310520,'1',316,'N'),(15,2310520,'2',317,'N'),(15,2310538,'1',501,'N'),(15,2310538,'2',324,'N'),(15,2310546,'1',220,'N'),(15,2310546,'1A',203,'N'),(15,2310546,'2',208,'N'),(15,2310554,'1',309,'N'),(15,2310554,'2',427,'N'),(15,2310562,'1',207,'N'),(15,2310562,'1A',201,'N'),(15,2310562,'2',104,'N'),(15,2310570,'1',103,'N'),(15,2310570,'2',102,'N'),(15,2310589,'1',304,'N'),(15,2310589,'2',318,'N'),(15,2310600,'1',5,'N'),(15,2310600,'2',426,'N'),(15,2310619,'1',5,'N'),(15,2310619,'2',324,'N'),(15,2310627,'1',223,'N'),(15,2310627,'2',225,'N'),(15,2310635,'1',102,'N'),(15,2310635,'2',333,'N'),(15,2310643,'1',201,'N'),(15,2310643,'1A',233,'N'),(15,2310643,'2',316,'N'),(15,2310651,'1',328,'N'),(15,2310651,'2',424,'N'),(15,2310660,'1',420,'N'),(15,2310660,'2',102,'N'),(15,2310678,'1',318,'N'),(15,2310678,'2',316,'N'),(15,2310686,'1',238,'N'),(15,2310686,'1A',208,'N'),(15,2310686,'2',234,'N'),(15,2310694,'1',207,'N'),(15,2310694,'2',420,'N'),(15,2310708,'1',215,'N'),(15,2310708,'2',404,'N'),(15,2310716,'1',103,'N'),(15,2310716,'2',211,'N'),(15,2310724,'1',339,'N'),(15,2310724,'2',309,'N'),(15,2310732,'1',332,'N'),(15,2310732,'2',238,'N'),(15,2310740,'1',101,'N'),(15,2310740,'2',211,'N'),(15,2310759,'1',301,'N'),(15,2310759,'2',220,'N'),(15,2310767,'1',301,'N'),(15,2310767,'2',444,'N'),(15,2310775,'1',420,'N'),(15,2310775,'2',304,'N'),(15,2310783,'1',420,'N'),(15,2310783,'2',310,'N'),(15,2310791,'1',103,'N'),(15,2310791,'2',102,'N'),(15,2310805,'1',319,'N'),(15,2310805,'2',420,'N'),(15,2310813,'1',450,'N'),(15,2310813,'2',428,'N'),(15,2310821,'1',420,'N'),(15,2310821,'2',208,'N'),(15,2310848,'1',103,'N'),(15,2310848,'2',9,'N'),(15,2310864,'1',308,'N'),(15,2310864,'2',339,'N'),(15,2310872,'1',316,'N'),(15,2310872,'2',301,'N'),(15,2310880,'1',301,'N'),(15,2310880,'2',423,'N'),(15,2310899,'1',425,'N'),(15,2310899,'1A',429,'N'),(15,2310899,'2',320,'N'),(15,2310902,'1',101,'N'),(15,2310902,'2',328,'N'),(15,2310910,'1',208,'N'),(15,2310910,'1A',238,'N'),(15,2310910,'2',202,'N'),(15,2310929,'1',216,'N'),(15,2310929,'1A',215,'N'),(15,2310929,'2',211,'N'),(15,2310937,'1',333,'N'),(15,2310937,'2',427,'N'),(15,2310945,'1',208,'N'),(15,2310945,'2',220,'N'),(15,2310953,'1',5,'N'),(15,2310953,'2',201,'N'),(15,2310996,'1',318,'N'),(15,2310996,'2',324,'N'),(15,2311003,'1',319,'N'),(15,2311003,'2',308,'N'),(15,2311011,'1',415,'N'),(15,2311011,'2',238,'N'),(15,2311038,'1',103,'N'),(15,2311038,'2',102,'N'),(15,2311062,'1',415,'N'),(15,2311062,'2',444,'N'),(15,2311070,'1',331,'N'),(15,2311070,'2',324,'N'),(15,2311089,'1',319,'N'),(15,2311089,'2',308,'N'),(15,2311097,'1',502,'N'),(15,2311097,'2',339,'N'),(15,2311100,'1',5,'N'),(15,2311100,'2',415,'N'),(15,2311119,'1',207,'N'),(15,2311119,'2',420,'N'),(15,2311127,'1',308,'N'),(15,2311127,'2',309,'N'),(15,2311135,'1',309,'N'),(15,2311135,'2',339,'N'),(15,2311143,'1',420,'N'),(15,2311151,'1',224,'N'),(15,2311151,'2',225,'N'),(15,2311160,'1',304,'N'),(15,2311160,'2',317,'N'),(15,2311178,'1',103,'N'),(15,2311178,'2',9,'N'),(15,2311186,'1',501,'N'),(15,2311194,'1',238,'N'),(15,2311194,'1A',203,'N'),(15,2311194,'2',301,'N'),(15,2311208,'1',339,'N'),(15,2311208,'2',324,'N'),(15,2311216,'1',202,'N'),(15,2311216,'2',213,'N'),(15,2311224,'1',203,'N'),(15,2311224,'1A',214,'N'),(15,2311224,'2',202,'N'),(15,2311232,'1',316,'N'),(15,2311232,'2',317,'N'),(15,2311240,'1',208,'N'),(15,2311240,'1A',238,'N'),(15,2311240,'2',5,'N'),(15,2311259,'1',213,'N'),(15,2311259,'1A',212,'N'),(15,2311259,'2',5,'N'),(15,2311267,'1',103,'N'),(15,2311267,'2',303,'N'),(15,2311275,'1',303,'N'),(15,2311275,'2',207,'N'),(15,2311283,'1',103,'N'),(15,2311283,'2',104,'N'),(15,2311305,'1',317,'N'),(15,2311305,'2',451,'N'),(15,2311313,'1',316,'N'),(15,2311313,'2',214,'N'),(15,2311321,'1',201,'N'),(15,2311321,'1A',212,'N'),(15,2311321,'2',202,'N'),(15,2311330,'1',423,'N'),(15,2311330,'1A',428,'N'),(15,2311330,'2',339,'N'),(15,2311348,'1',217,'N'),(15,2311348,'2',329,'N'),(15,2311356,'1',5,'N'),(15,2311356,'2',317,'N'),(15,2311364,'1',332,'N'),(15,2311364,'2',320,'N'),(15,2311372,'1',207,'N'),(15,2311372,'2',501,'N'),(15,2311380,'1',404,'N'),(15,2311380,'2',333,'N'),(15,2311399,'1',238,'N'),(15,2311399,'1A',207,'N'),(15,2311399,'2',333,'N'),(15,2311402,'1',103,'N'),(15,2311410,'1',316,'N'),(15,2311410,'2',317,'N'),(15,2311429,'1',108,'N'),(15,2311429,'2',208,'N'),(15,2311437,'1',316,'N'),(15,2311437,'2',301,'N'),(15,2311453,'1',103,'N'),(15,2311453,'2',102,'N'),(15,2311461,'1',320,'N'),(15,2311461,'2',329,'N'),(15,2311470,'1',308,'N'),(15,2311470,'2',309,'N'),(15,2311488,'1',9,'N'),(15,2311488,'2',5,'N'),(15,2311496,'1',103,'N'),(15,2311496,'2',220,'N'),(15,2311518,'1',207,'N'),(15,2311518,'1A',201,'N'),(15,2311518,'2',211,'N'),(15,2311526,'1',108,'N'),(15,2311526,'2',333,'N'),(15,2311534,'1',103,'N'),(15,2311534,'2',102,'N'),(15,2311542,'1',234,'N'),(15,2311542,'2',502,'N'),(15,2311550,'1',224,'N'),(15,2311550,'2',225,'N'),(15,2311569,'1',301,'N'),(15,2311569,'2',303,'N'),(15,2311577,'1',429,'N'),(15,2311577,'1A',425,'N'),(15,2311577,'2',215,'N'),(15,2311585,'1',327,'N'),(15,2311585,'2',320,'N'),(15,2311593,'1',304,'N'),(15,2311593,'2',318,'N'),(15,2311607,'1',9,'N'),(15,2311607,'2',404,'N'),(15,2311615,'1',108,'N'),(15,2311615,'2',310,'N'),(15,2311623,'1',319,'N'),(15,2311623,'2',308,'N'),(15,2311631,'1',201,'N'),(15,2311631,'1A',212,'N'),(15,2311631,'2',304,'N'),(15,2311640,'1',211,'N'),(15,2311640,'1A',201,'N'),(15,2311640,'2',103,'N'),(15,2311658,'1',103,'N'),(15,2311666,'1',104,'N'),(15,2311666,'2',102,'N'),(15,2311674,'1',5,'N'),(15,2311674,'2',327,'N'),(15,2311682,'1',238,'N'),(15,2311682,'1A',208,'N'),(15,2311682,'2',320,'N'),(15,2311690,'1',326,'N'),(15,2311690,'2',328,'N'),(15,2311704,'1',425,'N'),(15,2311712,'1',303,'N'),(15,2311712,'2',425,'N'),(15,2311720,'1',450,'N'),(15,2311720,'2',331,'N'),(15,2311739,'1',101,'N'),(15,2311747,'1',316,'N'),(15,2311747,'2',332,'N'),(15,2311755,'1',310,'N'),(15,2311755,'2',339,'N'),(15,2311771,'1',329,'N'),(15,2311771,'2',318,'N'),(15,2311780,'1',333,'N'),(15,2311780,'2',327,'N'),(15,2311798,'1',425,'N'),(15,2311798,'1A',429,'N'),(15,2311798,'2',424,'N'),(15,2311801,'1',201,'N'),(15,2311801,'1A',216,'N'),(15,2311801,'2',217,'N'),(15,2311810,'1',316,'N'),(15,2311810,'2',502,'N'),(15,2311828,'1',2,'N'),(15,2311828,'2',303,'N'),(15,2311836,'1',316,'N'),(15,2311836,'2',317,'N'),(15,2311844,'1',203,'N'),(15,2311844,'1A',214,'N'),(15,2311844,'2',326,'N'),(15,2311860,'1',303,'N'),(15,2311860,'2',5,'N'),(15,2311887,'1',427,'N'),(15,2311887,'1A',425,'N'),(15,2311887,'2',428,'N'),(15,2311895,'1',104,'N'),(15,2311895,'2',208,'N'),(15,2311909,'1',415,'N'),(15,2311909,'2',425,'N'),(15,2311925,'1',207,'N'),(15,2311925,'1A',201,'N'),(15,2311925,'2',303,'N'),(15,2311933,'1',318,'N'),(15,2311933,'2',320,'N'),(15,2311941,'1',104,'N'),(15,2311941,'2',9,'N'),(15,2311950,'1',104,'N'),(15,2311950,'2',103,'N'),(15,2311968,'1',2,'N'),(15,2311968,'2',233,'N'),(15,2311976,'1',301,'N'),(15,2311976,'2',207,'N'),(15,2311984,'1',423,'N'),(15,2311984,'1A',421,'N'),(15,2311984,'2',424,'N'),(15,2311992,'1',101,'N'),(15,2311992,'2',308,'N'),(15,2312000,'1',108,'N'),(15,2312000,'2',326,'N'),(15,2312018,'1',319,'N'),(15,2312018,'2',333,'N'),(15,2312034,'1',420,'N'),(15,2312034,'2',2,'N'),(15,2312042,'1',420,'N'),(15,2312042,'2',333,'N'),(15,2312050,'1',318,'N'),(15,2312050,'2',324,'N'),(15,2312069,'1',316,'N'),(15,2312069,'2',501,'N'),(15,2312077,'1',211,'N'),(15,2312077,'2',333,'N'),(15,2312085,'1',316,'N'),(15,2312085,'2',317,'N'),(15,2312107,'1',303,'N'),(15,2312107,'2',9,'N'),(15,2312115,'1',319,'N'),(15,2312115,'2',328,'N'),(15,2312123,'1',502,'N'),(15,2312123,'2',208,'N'),(15,2312131,'1',238,'N'),(15,2312131,'1A',208,'N'),(15,2312131,'2',332,'N'),(15,2312140,'1',425,'N'),(15,2312140,'1A',424,'N'),(15,2312140,'2',333,'N'),(15,2312158,'1',201,'N'),(15,2312158,'1A',233,'N'),(15,2312158,'2',207,'N'),(15,2312166,'1',316,'N'),(15,2312166,'2',301,'N'),(15,2312174,'1',203,'N'),(15,2312174,'1A',233,'N'),(15,2312174,'2',222,'N'),(15,2312182,'1',425,'N'),(15,2312182,'1A',429,'N'),(15,2312182,'2',324,'N'),(15,2312190,'1',103,'N'),(15,2312190,'2',425,'N'),(15,2312204,'1',318,'N'),(15,2312204,'2',316,'N'),(15,2312212,'1',415,'N'),(15,2312220,'1',316,'N'),(15,2312220,'2',308,'N'),(15,2312239,'1',329,'N'),(15,2312239,'2',308,'N'),(15,2312247,'1',316,'N'),(15,2312247,'2',319,'N'),(15,2312255,'1',203,'N'),(15,2312255,'1A',220,'N'),(15,2312255,'2',202,'N'),(15,2312263,'1',318,'N'),(15,2312263,'2',316,'N'),(15,2312301,'1',318,'N'),(15,2312301,'2',333,'N'),(15,2312310,'1',317,'N'),(15,2312328,'1',423,'N'),(15,2312328,'1A',428,'N'),(15,2312328,'2',331,'N'),(15,2312336,'1',319,'N'),(15,2312336,'2',329,'N'),(15,2312344,'1',301,'N'),(15,2312344,'2',108,'N'),(15,2312360,'1',308,'N'),(15,2312360,'2',319,'N'),(15,2312387,'1',303,'N'),(15,2312387,'2',207,'N'),(15,2312395,'1',103,'N'),(15,2312395,'2',102,'N'),(15,2312417,'1',450,'N'),(15,2312417,'2',326,'N'),(15,2312425,'1',318,'N'),(15,2312425,'2',327,'N'),(15,2312441,'1',309,'N'),(15,2312441,'2',502,'N'),(15,2312450,'1',201,'N'),(15,2312450,'1A',207,'N'),(15,2312450,'2',303,'N'),(15,2312468,'1',317,'N'),(15,2312468,'2',316,'N'),(15,2312476,'1',415,'N'),(15,2312484,'1',103,'N'),(15,2312484,'2',215,'N'),(15,2312492,'1',208,'N'),(15,2312492,'1A',202,'N'),(15,2312506,'1',303,'N'),(15,2312506,'2',304,'N'),(15,2312514,'1',415,'N'),(15,2312514,'2',317,'N'),(15,2312522,'1',502,'N'),(15,2312522,'2',234,'N'),(15,2312530,'1',304,'N'),(15,2312530,'2',333,'N'),(15,2312549,'1',201,'N'),(15,2312557,'1',303,'N'),(15,2312557,'2',304,'N'),(15,2312565,'1',103,'N'),(15,2312565,'2',108,'N'),(15,2312573,'1',501,'N'),(15,2312573,'2',102,'N'),(15,2312581,'1',329,'N'),(15,2312581,'2',327,'N'),(15,2312620,'1',2,'N'),(15,2312620,'2',201,'N'),(15,2312638,'1',208,'N'),(15,2312638,'1A',238,'N'),(15,2312638,'2',2,'N'),(15,2312646,'1',103,'N'),(15,2312646,'2',101,'N'),(15,2312654,'1',319,'N'),(15,2312654,'2',451,'N'),(15,2312662,'1',327,'N'),(15,2312662,'2',451,'N'),(15,2312670,'1',108,'N'),(15,2312670,'2',309,'N'),(15,2312689,'1',215,'N'),(15,2312689,'1A',211,'N'),(15,2312689,'2',108,'N'),(15,2312697,'1',404,'N'),(15,2312697,'2',308,'N'),(15,2312700,'1',451,'N'),(15,2312700,'2',327,'N'),(15,2312719,'1',103,'N'),(15,2312719,'2',102,'N'),(15,2312727,'1',103,'N'),(15,2312727,'2',450,'N'),(15,2312735,'1',316,'N'),(15,2312735,'2',5,'N'),(15,2312743,'1',501,'N'),(15,2312743,'2',203,'N'),(15,2312751,'1',211,'N'),(15,2312751,'1A',203,'N'),(15,2312751,'2',222,'N'),(15,2312760,'1',211,'N'),(15,2312760,'1A',207,'N'),(15,2312760,'2',316,'N'),(15,2312778,'1',102,'N'),(15,2312778,'2',444,'N'),(15,2312794,'1',310,'N'),(15,2312794,'2',424,'N'),(15,2312808,'1',201,'N'),(15,2312808,'1A',203,'N'),(15,2312808,'2',202,'N'),(15,2312816,'1',103,'N'),(15,2312816,'2',212,'N'),(15,2312824,'1',103,'N'),(15,2312824,'2',415,'N'),(15,2312859,'1',303,'N'),(15,2312859,'2',211,'N'),(15,2312867,'1',5,'N'),(15,2312867,'2',316,'N'),(15,2312875,'1',318,'N'),(15,2312875,'2',320,'N'),(15,2312883,'1',102,'N'),(15,2312883,'2',108,'N'),(15,2312891,'1',415,'N'),(15,2312891,'2',102,'N'),(15,2312905,'1',215,'N'),(15,2312905,'2',9,'N'),(15,2312913,'1',233,'N'),(15,2312913,'1A',202,'N'),(15,2312913,'2',222,'N'),(15,2312930,'1',429,'N'),(15,2312930,'1A',426,'N'),(15,2312930,'2',327,'N'),(15,2312948,'1',420,'N'),(15,2312948,'2',450,'N'),(15,2312956,'1',420,'N'),(15,2312956,'2',108,'N'),(15,2312964,'1',220,'N'),(15,2312964,'1A',213,'N'),(15,2312964,'2',202,'N'),(15,2312972,'1',216,'N'),(15,2312972,'2',102,'N'),(15,2312980,'1',102,'N'),(15,2312980,'2',451,'N'),(15,2312999,'1',9,'N'),(15,2312999,'2',444,'N'),(15,2313006,'1',423,'N'),(15,2313006,'1A',421,'N'),(15,2313006,'2',301,'N'),(15,2313014,'1',333,'N'),(15,2313014,'2',304,'N'),(15,2313022,'1',415,'N'),(15,2313022,'2',104,'N'),(15,2313030,'1',420,'N'),(15,2313030,'2',208,'N'),(15,2313049,'1',108,'N'),(15,2313049,'2',217,'N'),(15,2313057,'1',103,'N'),(15,2313057,'2',301,'N'),(15,2313065,'1',327,'N'),(15,2313065,'2',420,'N'),(15,2313081,'1',329,'N'),(15,2313081,'2',319,'N'),(15,2313090,'1',328,'N'),(15,2313090,'2',320,'N'),(15,2313103,'1',103,'N'),(15,2313103,'2',5,'N'),(15,2313111,'1',211,'N'),(15,2313111,'1A',233,'N'),(15,2313111,'2',502,'N'),(15,2313138,'1',103,'N'),(15,2313138,'2',102,'N'),(15,2313146,'1',104,'N'),(15,2313146,'2',207,'N'),(15,2313154,'1',104,'N'),(15,2313154,'2',451,'N'),(15,2313162,'1',222,'N'),(15,2313162,'2',217,'N'),(15,2313170,'1',103,'N'),(15,2313170,'2',104,'N'),(15,2313189,'1',420,'N'),(15,2313189,'2',424,'N'),(15,2313197,'1',333,'N'),(15,2313197,'2',104,'N'),(15,2313200,'1',224,'N'),(15,2313200,'2',329,'N'),(15,2313219,'1',415,'N'),(15,2313219,'2',303,'N'),(15,2313227,'1',319,'N'),(15,2313227,'2',333,'N'),(15,2313235,'1',328,'N'),(15,2313235,'2',424,'N'),(15,2313243,'1',303,'N'),(15,2313243,'2',319,'N'),(15,2313251,'1',502,'N'),(15,2313251,'2',415,'N'),(15,2313260,'1',301,'N'),(15,2313278,'1',238,'N'),(15,2313278,'1A',208,'N'),(15,2313278,'2',213,'N'),(15,2313286,'1',331,'N'),(15,2313286,'2',332,'N'),(15,2313294,'1',316,'N'),(15,2313294,'2',425,'N'),(15,2313316,'1',101,'N'),(15,2313316,'2',324,'N'),(15,2313324,'1',101,'N'),(15,2313324,'2',215,'N'),(15,2313332,'1',301,'N'),(15,2313332,'2',316,'N'),(15,2313340,'1',428,'N'),(15,2313340,'1A',426,'N'),(15,2313340,'2',308,'N'),(15,2313359,'1',5,'N'),(15,2313359,'2',211,'N'),(15,2313367,'1',450,'N'),(15,2313367,'2',420,'N'),(15,2313375,'1',424,'N'),(15,2313375,'1A',428,'N'),(15,2313375,'2',319,'N'),(15,2313383,'1',415,'N'),(15,2313383,'2',450,'N'),(15,2313391,'1',103,'N'),(15,2313391,'2',329,'N'),(15,2313405,'1',208,'N'),(15,2313405,'2',222,'N'),(15,2313413,'1',203,'N'),(15,2313413,'2',208,'N'),(15,2313421,'1',420,'N'),(15,2313421,'2',426,'N'),(15,2313430,'1',220,'N'),(15,2313430,'1A',203,'N'),(15,2313430,'2',201,'N'),(15,2313448,'1',415,'N'),(15,2313448,'2',451,'N'),(15,2313456,'1',238,'N'),(15,2313464,'1',329,'N'),(15,2313464,'2',421,'N'),(15,2313472,'1',317,'N'),(15,2313472,'2',318,'N'),(15,2313480,'1',208,'N'),(15,2313480,'1A',202,'N'),(15,2313480,'2',222,'N'),(15,2313510,'1',423,'N'),(15,2313510,'1A',427,'N'),(15,2313510,'2',329,'N'),(15,2313529,'1',308,'N'),(15,2313529,'2',327,'N'),(15,2313537,'1',203,'N'),(15,2313537,'1A',238,'N'),(15,2313545,'1',308,'N'),(15,2313545,'2',108,'N'),(15,2313561,'1',215,'N'),(15,2313561,'2',320,'N'),(15,2313570,'1',309,'N'),(15,2313570,'2',331,'N'),(15,2313588,'1',238,'N'),(15,2313588,'1A',203,'N'),(15,2313588,'2',208,'N'),(15,2313600,'1',103,'N'),(15,2313600,'2',101,'N'),(15,2313618,'1',203,'N'),(15,2313618,'1A',211,'N'),(15,2313618,'2',202,'N'),(15,2313626,'1',318,'N'),(15,2313626,'2',316,'N'),(15,2313634,'1',9,'N'),(15,2313634,'2',415,'N'),(15,2313642,'1',104,'N'),(15,2313642,'2',217,'N'),(15,2313650,'1',102,'N'),(15,2313650,'2',9,'N'),(15,2313669,'1',103,'N'),(15,2313669,'2',104,'N'),(15,2313677,'1',415,'N'),(15,2313677,'2',320,'N'),(15,2313685,'1',303,'N'),(15,2313685,'2',423,'N'),(15,2313693,'1',318,'N'),(15,2313693,'2',501,'N'),(15,2313715,'1',101,'N'),(15,2313715,'2',217,'N'),(15,2313723,'1',415,'N'),(15,2313723,'2',450,'N'),(15,2313731,'1',415,'N'),(15,2313731,'2',104,'N'),(15,2313740,'1',303,'N'),(15,2313740,'2',420,'N'),(15,2313766,'1',202,'N'),(15,2313766,'1A',203,'N'),(15,2313782,'1',5,'N'),(15,2313782,'2',308,'N'),(15,2313790,'1',103,'N'),(15,2313790,'2',208,'N'),(15,2313804,'1',101,'N'),(15,2313804,'2',421,'N'),(15,2313812,'1',103,'N'),(15,2313812,'2',104,'N'),(15,2313839,'1',318,'N'),(15,2313839,'2',429,'N'),(15,2313847,'1',332,'N'),(15,2313847,'2',501,'N'),(15,2313863,'1',319,'N'),(15,2313880,'1',421,'N'),(15,2313880,'1A',429,'N'),(15,2313880,'2',425,'N'),(15,2313898,'1',317,'N'),(15,2313898,'2',318,'N'),(15,2313901,'1',332,'N'),(15,2313901,'2',331,'N'),(15,2313910,'1',326,'N'),(15,2313910,'2',308,'N'),(15,2313928,'1',450,'N'),(15,2313928,'2',319,'N'),(15,2313936,'1',426,'N'),(15,2313936,'1A',428,'N'),(15,2313936,'2',326,'N'),(15,2313944,'1',451,'N'),(15,2313952,'1',319,'N'),(15,2313952,'2',331,'N'),(15,2313960,'1',303,'N'),(15,2313960,'2',301,'N'),(15,2313987,'1',333,'N'),(15,2313987,'2',217,'N'),(15,2313995,'1',501,'N'),(15,2313995,'2',310,'N'),(15,2314002,'1',101,'N'),(15,2314002,'2',103,'N'),(15,2314010,'1',319,'N'),(15,2314010,'2',9,'N'),(15,2314029,'1',238,'N'),(15,2314029,'1A',208,'N'),(15,2314029,'2',324,'N'),(15,2314037,'1',319,'N'),(15,2314037,'2',451,'N'),(15,2314045,'1',5,'N'),(15,2314045,'2',316,'N'),(15,2314053,'1',201,'N'),(15,2314053,'1A',212,'N'),(15,2314053,'2',211,'N'),(15,2314061,'1',301,'N'),(15,2314061,'2',103,'N'),(15,2314070,'1',424,'N'),(15,2314070,'2',427,'N'),(15,2314088,'1',444,'N'),(15,2314096,'1',339,'N'),(15,2314096,'2',5,'N'),(15,2314100,'1',316,'N'),(15,2314100,'2',5,'N'),(15,2314118,'1',303,'N'),(15,2314126,'1',102,'N'),(15,2314126,'2',324,'N'),(15,2314134,'1',319,'N'),(15,2314134,'2',328,'N'),(15,2314142,'1',316,'N'),(15,2314142,'2',339,'N'),(15,2314150,'1',104,'N'),(15,2314150,'2',501,'N'),(15,2314169,'1',203,'N'),(15,2314169,'1A',202,'N'),(15,2314169,'2',214,'N'),(15,2314177,'1',103,'N'),(15,2314177,'2',203,'N'),(15,2314185,'1',308,'N'),(15,2314185,'2',501,'N'),(15,2314193,'1',415,'N'),(15,2314193,'2',428,'N'),(15,2314207,'1',5,'N'),(15,2314207,'2',303,'N'),(15,2314215,'1',208,'N'),(15,2314215,'2',203,'N'),(15,2314240,'1',308,'N'),(15,2314240,'2',427,'N'),(15,2314258,'1',102,'N'),(15,2314258,'2',424,'N'),(15,2314274,'1',424,'N'),(15,2314274,'1A',427,'N'),(15,2314274,'2',421,'N'),(15,2314290,'1',203,'N'),(15,2314290,'1A',233,'N'),(15,2314290,'2',225,'N'),(15,2314304,'1',501,'N'),(15,2314304,'2',211,'N'),(15,2314312,'1',203,'N'),(15,2314312,'1A',202,'N'),(15,2314312,'2',216,'N'),(15,2314320,'1',420,'N'),(15,2314347,'1',102,'N'),(15,2314347,'2',101,'N'),(15,2314355,'1',104,'N'),(15,2314355,'2',207,'N'),(15,2314363,'1',316,'N'),(15,2314363,'2',501,'N'),(15,2314371,'1',316,'N'),(15,2314371,'2',301,'N'),(15,2314380,'1',203,'N'),(15,2314380,'1A',233,'N'),(15,2314380,'2',201,'N'),(15,2314398,'1',103,'N'),(15,2314398,'2',108,'N'),(15,2314401,'1',5,'N'),(15,2314401,'2',327,'N'),(15,2314410,'1',201,'N'),(15,2314410,'1A',211,'N'),(15,2314410,'2',301,'N'),(15,2314436,'1',319,'N'),(15,2314436,'2',234,'N'),(15,2314444,'1',217,'N'),(15,2314444,'2',316,'N'),(15,2314452,'1',103,'N'),(15,2314452,'2',5,'N'),(15,2314460,'1',426,'N'),(15,2314460,'1A',427,'N'),(15,2314460,'2',451,'N'),(15,2314479,'1',201,'N'),(15,2314479,'1A',238,'N'),(15,2314479,'2',234,'N'),(15,2314487,'1',220,'N'),(15,2314487,'1A',202,'N'),(15,2314487,'2',213,'N'),(15,2314509,'1',316,'N'),(15,2314509,'2',207,'N'),(15,2314517,'1',327,'N'),(15,2314517,'2',329,'N'),(15,2314525,'1',201,'N'),(15,2314525,'1A',211,'N'),(15,2314525,'2',502,'N'),(15,2314533,'1',427,'N'),(15,2314533,'1A',421,'N'),(15,2314533,'2',316,'N'),(15,2314541,'1',423,'N'),(15,2314541,'1A',424,'N'),(15,2314541,'2',427,'N'),(15,2314550,'1',103,'N'),(15,2314550,'2',9,'N'),(15,2314568,'1',301,'N'),(15,2314568,'2',316,'N'),(15,2314576,'1',324,'N'),(15,2314576,'2',333,'N'),(15,2314584,'1',319,'N'),(15,2314584,'2',428,'N'),(15,2314592,'1',415,'N'),(15,2314592,'2',327,'N'),(15,2314606,'1',301,'N'),(15,2314606,'2',303,'N'),(15,2314614,'1',5,'N'),(15,2314614,'2',424,'N'),(15,2314622,'1',317,'N'),(15,2314622,'2',318,'N'),(15,2314630,'1',502,'N'),(15,2314630,'2',324,'N'),(15,2314649,'1',220,'N'),(15,2314657,'1',207,'N'),(15,2314657,'1A',201,'N'),(15,2314657,'2',234,'N'),(15,2314665,'1',207,'N'),(15,2314665,'1A',233,'N'),(15,2314665,'2',222,'N'),(15,2314673,'1',309,'N'),(15,2314673,'2',324,'N'),(15,2314681,'1',104,'N'),(15,2314681,'2',103,'N'),(15,2314690,'1',319,'N'),(15,2314690,'2',308,'N'),(15,2314703,'1',428,'N'),(15,2314703,'1A',427,'N'),(15,2314703,'2',424,'N'),(15,2314711,'1',211,'N'),(15,2314711,'1A',233,'N'),(15,2314711,'2',222,'N'),(15,2314738,'1',103,'N'),(15,2314738,'2',426,'N'),(15,2314746,'1',103,'N'),(15,2314746,'2',319,'N'),(15,2314754,'1',225,'N'),(15,2314754,'2',2,'N'),(15,2314762,'1',420,'N'),(15,2314770,'1',2,'N'),(15,2314770,'2',222,'N'),(15,2314797,'1',9,'N'),(15,2314797,'2',101,'N'),(15,2314800,'1',9,'N'),(15,2314819,'1',238,'N'),(15,2314819,'1A',213,'N'),(15,2314819,'2',329,'N'),(15,2314835,'1',424,'N'),(15,2314835,'1A',423,'N'),(15,2314835,'2',429,'N'),(15,2314843,'1',5,'N'),(15,2314843,'2',319,'N'),(15,2314860,'1',319,'N'),(15,2314860,'2',329,'N'),(15,2314878,'1',103,'N'),(15,2314886,'1',316,'N'),(15,2314886,'2',332,'N'),(15,2314894,'1',420,'N'),(15,2314894,'2',207,'N'),(15,2314908,'1',5,'N'),(15,2314908,'2',238,'N'),(15,2314924,'1',326,'N'),(15,2314924,'2',310,'N'),(15,2314932,'1',103,'N'),(15,2314932,'2',102,'N'),(15,2314940,'1',103,'N'),(15,2314940,'2',201,'N'),(15,2314959,'1',102,'N'),(15,2314959,'2',233,'N'),(15,2314967,'1',444,'N'),(15,2314967,'2',404,'N'),(15,2314975,'1',103,'N'),(15,2314975,'2',332,'N'),(15,2314983,'1',319,'N'),(15,2314983,'2',451,'N'),(15,2314991,'1',238,'N'),(15,2314991,'2',222,'N'),(15,2315009,'1',9,'N'),(15,2315009,'2',339,'N'),(15,2315025,'1',451,'N'),(15,2315025,'2',427,'N'),(15,2315033,'1',302,'N'),(15,2315033,'2',304,'N'),(15,2315041,'1',208,'N'),(15,2315041,'1A',238,'N'),(15,2315041,'2',2,'N'),(15,2315050,'1',444,'N'),(15,2315050,'2',211,'N'),(15,2315068,'1',421,'N'),(15,2315068,'1A',425,'N'),(15,2315068,'2',427,'N'),(15,2315076,'1',324,'N'),(15,2315076,'2',329,'N'),(15,2315084,'1',301,'N'),(15,2315084,'2',302,'N'),(15,2315114,'1',201,'N'),(15,2315114,'1A',220,'N'),(15,2315114,'2',233,'N'),(15,2315122,'1',444,'N'),(15,2315122,'2',308,'N'),(15,2315130,'1',108,'N'),(15,2315130,'2',2,'N'),(15,2315149,'1',333,'N'),(15,2315149,'2',501,'N'),(15,2315157,'1',108,'N'),(15,2315157,'2',423,'N'),(15,2315165,'1',327,'N'),(15,2315165,'2',329,'N'),(15,2315173,'1',108,'N'),(15,2315173,'2',2,'N'),(15,2315181,'1',5,'N'),(15,2315181,'2',324,'N'),(15,2315190,'1',103,'N'),(15,2315203,'1',339,'N'),(15,2315203,'2',309,'N'),(15,2315211,'1',103,'N'),(15,2315211,'2',217,'N'),(15,2315220,'1',502,'N'),(15,2315220,'2',501,'N'),(15,2315238,'1',220,'N'),(15,2315238,'1A',215,'N'),(15,2315238,'2',333,'N'),(15,2315246,'1',316,'N'),(15,2315246,'2',201,'N'),(15,2315254,'1',104,'N'),(15,2315254,'2',319,'N'),(15,2315262,'1',316,'N'),(15,2315262,'2',339,'N'),(15,2315270,'1',5,'N'),(15,2315270,'2',320,'N'),(15,2315289,'1',5,'N'),(15,2315289,'2',423,'N'),(15,2315297,'1',207,'N'),(15,2315297,'1A',201,'N'),(15,2315297,'2',211,'N'),(15,2315300,'1',319,'N'),(15,2315300,'2',308,'N'),(15,2315319,'1',502,'N'),(15,2315319,'2',234,'N'),(15,2315327,'1',318,'N'),(15,2315327,'2',303,'N'),(15,2315335,'1',102,'N'),(15,2315335,'2',316,'N'),(15,2315343,'1',215,'N'),(15,2315343,'2',211,'N'),(15,2315351,'1',317,'N'),(15,2315351,'2',316,'N'),(15,2315360,'1',220,'N'),(15,2315360,'1A',233,'N'),(15,2315360,'2',333,'N'),(15,2315378,'1',201,'N'),(15,2315378,'1A',212,'N'),(15,2315378,'2',224,'N'),(15,2315394,'1',303,'N'),(15,2315394,'2',326,'N'),(15,2315408,'1',444,'N'),(15,2315408,'2',303,'N'),(15,2315416,'1',404,'N'),(15,2315424,'1',332,'N'),(15,2315424,'2',319,'N'),(15,2315432,'1',5,'N'),(15,2315432,'2',317,'N'),(15,2315440,'1',332,'N'),(15,2315440,'2',501,'N'),(15,2315459,'1',208,'N'),(15,2315467,'1',108,'N'),(15,2315467,'2',320,'N'),(15,2315475,'1',329,'N'),(15,2315475,'2',328,'N'),(15,2315483,'1',319,'N'),(15,2315483,'2',415,'N'),(15,2315505,'1',201,'N'),(15,2315505,'1A',202,'N'),(15,2315505,'2',444,'N'),(15,2315513,'1',318,'N'),(15,2315513,'2',224,'N'),(15,2315521,'1',333,'N'),(15,2315521,'2',211,'N'),(15,2315530,'1',329,'N'),(15,2315530,'2',426,'N'),(15,2315548,'1',317,'N'),(15,2315548,'2',404,'N'),(15,2315556,'1',207,'N'),(15,2315556,'1A',201,'N'),(15,2315556,'2',420,'N'),(15,2315564,'1',211,'N'),(15,2315564,'1A',212,'N'),(15,2315564,'2',331,'N'),(15,2315572,'1',102,'N'),(15,2315572,'2',308,'N'),(15,2315580,'1',201,'N'),(15,2315580,'1A',215,'N'),(15,2315580,'2',224,'N'),(15,2315599,'1',103,'N'),(15,2315599,'2',420,'N'),(15,2315610,'1',316,'N'),(15,2315610,'2',5,'N'),(15,2315629,'1',201,'N'),(15,2315629,'1A',211,'N'),(15,2315629,'2',102,'N'),(15,2315637,'1',201,'N'),(15,2315637,'2',212,'N'),(15,2315645,'1',234,'N'),(15,2315645,'2',502,'N'),(15,2315653,'1',103,'N'),(15,2315653,'2',9,'N'),(15,2315661,'1',316,'N'),(15,2315661,'2',5,'N'),(15,2315670,'1',215,'N'),(15,2315670,'1A',216,'N'),(15,2315670,'2',104,'N'),(15,2315688,'1',238,'N'),(15,2315688,'2',318,'N'),(15,2315696,'1',238,'N'),(15,2315696,'1A',215,'N'),(15,2315696,'2',425,'N'),(15,2315700,'1',103,'N'),(15,2315726,'1',316,'N'),(15,2315726,'2',429,'N'),(15,2315734,'1',103,'N'),(15,2315734,'2',102,'N'),(15,2315742,'1',444,'N'),(15,2315742,'2',333,'N'),(15,2315750,'1',303,'N'),(15,2315769,'1',420,'N'),(15,2315769,'2',450,'N'),(15,2315777,'1',5,'N'),(15,2315777,'2',425,'N'),(15,2315785,'1',211,'N'),(15,2315785,'1A',207,'N'),(15,2315785,'2',234,'N'),(15,2315793,'1',5,'N'),(15,2315793,'2',339,'N'),(15,2315807,'1',316,'N'),(15,2315807,'2',238,'N'),(15,2315815,'1',421,'N'),(15,2315815,'1A',425,'N'),(15,2315815,'2',423,'N'),(15,2315823,'1',425,'N'),(15,2315823,'1A',424,'N'),(15,2315823,'2',451,'N'),(15,2315831,'1',214,'N'),(15,2315831,'1A',201,'N'),(15,2315831,'2',301,'N'),(15,2315840,'1',316,'N'),(15,2315840,'2',404,'N'),(15,2315858,'1',203,'N'),(15,2315858,'1A',214,'N'),(15,2315858,'2',213,'N'),(15,2315866,'1',212,'N'),(15,2315866,'1A',201,'N'),(15,2315866,'2',415,'N'),(15,2315874,'1',420,'N'),(15,2315874,'2',327,'N'),(15,2315882,'1',101,'N'),(15,2315882,'2',339,'N'),(15,2315890,'1',102,'N'),(15,2315890,'2',101,'N'),(15,2315904,'1',207,'N'),(15,2315904,'2',328,'N'),(15,2315912,'1',301,'N'),(15,2315912,'2',444,'N'),(15,2315920,'1',202,'N'),(15,2315920,'1A',213,'N'),(15,2315939,'1',9,'N'),(15,2315939,'2',317,'N'),(15,2315947,'1',103,'N'),(15,2315947,'2',101,'N'),(15,2315955,'1',316,'N'),(15,2315955,'2',103,'N'),(15,2315963,'1',303,'N'),(15,2315963,'2',404,'N'),(15,2315971,'1',103,'N'),(15,2315971,'2',421,'N'),(15,2315998,'1',104,'N'),(15,2315998,'2',215,'N'),(15,2316005,'1',103,'N'),(15,2316005,'2',319,'N'),(15,2316013,'1',333,'N'),(15,2316013,'2',316,'N'),(15,2316021,'1',319,'N'),(15,2316021,'2',316,'N'),(15,2316030,'1',216,'N'),(15,2316030,'2',215,'N'),(15,2316048,'1',5,'N'),(15,2316048,'2',303,'N'),(15,2316056,'1',103,'N'),(15,2316056,'2',101,'N'),(15,2316064,'1',502,'N'),(15,2316064,'2',318,'N'),(15,2316072,'1',317,'N'),(15,2316072,'2',224,'N'),(15,2316080,'1',327,'N'),(15,2316080,'2',332,'N'),(15,2316099,'1',5,'N'),(15,2316099,'2',320,'N'),(15,2316102,'1',207,'N'),(15,2316102,'1A',201,'N'),(15,2316102,'2',420,'N'),(15,2316110,'1',428,'N'),(15,2316110,'2',202,'N'),(15,2316129,'1',304,'N'),(15,2316137,'1',339,'N'),(15,2316137,'2',211,'N'),(15,2316145,'1',319,'N'),(15,2316145,'2',301,'N'),(15,2316153,'1',501,'N'),(15,2316153,'2',327,'N'),(15,2316161,'1',202,'N'),(15,2316161,'1A',238,'N'),(15,2316161,'2',208,'N'),(15,2316170,'1',103,'N'),(15,2316170,'2',104,'N'),(15,2316188,'1',233,'N'),(15,2316188,'1A',216,'N'),(15,2316188,'2',102,'N'),(15,2316196,'1',304,'N'),(15,2316196,'2',302,'N'),(15,2316200,'1',103,'N'),(15,2316200,'2',5,'N'),(15,2316218,'1',220,'N'),(15,2316218,'1A',215,'N'),(15,2316218,'2',333,'N'),(15,2316226,'1',319,'N'),(15,2316226,'2',450,'N'),(15,2316242,'1',9,'N'),(15,2316242,'2',215,'N'),(15,2316250,'1',211,'N'),(15,2316269,'1',310,'N'),(15,2316269,'2',320,'N'),(15,2316285,'1',238,'N'),(15,2316285,'1A',208,'N'),(15,2316285,'2',420,'N'),(15,2316293,'1',103,'N'),(15,2316293,'2',9,'N'),(15,2316315,'1',103,'N'),(15,2316315,'2',102,'N'),(15,2316323,'1',333,'N'),(15,2316323,'2',332,'N'),(15,2316340,'1',333,'N'),(15,2316340,'2',404,'N'),(15,2316358,'1',216,'N'),(15,2316358,'2',108,'N'),(15,2316366,'1',420,'N'),(15,2316366,'2',108,'N'),(15,2316374,'1',202,'N'),(15,2316374,'1A',203,'N'),(15,2316374,'2',102,'N'),(15,2316382,'1',102,'N'),(15,2316382,'2',9,'N'),(15,2316390,'1',208,'N'),(15,2316390,'2',238,'N'),(15,2316404,'1',101,'N'),(15,2316404,'2',309,'N'),(15,2316420,'1',103,'N'),(15,2316420,'2',333,'N'),(15,2316439,'1',103,'N'),(15,2316439,'2',450,'N'),(15,2316447,'1',238,'N'),(15,2316447,'1A',208,'N'),(15,2316447,'2',222,'N'),(15,2316455,'1',103,'N'),(15,2316455,'2',101,'N'),(15,2316463,'1',9,'N'),(15,2316463,'2',404,'N'),(15,2316471,'1',425,'N'),(15,2316480,'1',108,'N'),(15,2316480,'2',333,'N'),(15,2316498,'1',404,'N'),(15,2316498,'2',425,'N'),(15,2316501,'1',101,'N'),(15,2316501,'2',103,'N'),(15,2316510,'1',5,'N'),(15,2316510,'2',317,'N'),(15,2316528,'1',214,'N'),(15,2316528,'1A',220,'N'),(15,2316528,'2',501,'N'),(15,2316536,'1',309,'N'),(15,2316536,'2',310,'N'),(15,2316544,'1',213,'N'),(15,2316544,'1A',220,'N'),(15,2316544,'2',225,'N'),(15,2316552,'1',207,'N'),(15,2316560,'1',304,'N'),(15,2316560,'2',318,'N'),(15,2316587,'1',208,'N'),(15,2316587,'1A',238,'N'),(15,2316587,'2',222,'N'),(15,2316595,'1',308,'N'),(15,2316609,'1',428,'N'),(15,2316609,'1A',426,'N'),(15,2316609,'2',415,'N'),(15,2316625,'1',238,'N'),(15,2316625,'1A',208,'N'),(15,2316625,'2',225,'N'),(15,2316633,'1',317,'N'),(15,2316633,'2',316,'N'),(15,2316641,'1',5,'N'),(15,2316641,'2',324,'N'),(15,2316650,'1',207,'N'),(15,2316650,'1A',211,'N'),(15,2316650,'2',333,'N'),(15,2316668,'1',404,'N'),(15,2316668,'2',327,'N'),(15,2316676,'1',404,'N'),(15,2316676,'2',324,'N'),(15,2316684,'1',101,'N'),(15,2316684,'2',308,'N'),(15,2316692,'1',103,'N'),(15,2316706,'1',9,'N'),(15,2316706,'2',404,'N'),(15,2316714,'1',2,'N'),(15,2316714,'2',225,'N'),(15,2316722,'1',103,'N'),(15,2316722,'2',319,'N'),(15,2316730,'1',208,'N'),(15,2316730,'1A',238,'N'),(15,2316730,'2',317,'N'),(15,2316749,'1',103,'N'),(15,2316749,'2',303,'N'),(15,2316757,'1',216,'N'),(15,2316757,'1A',212,'N'),(15,2316757,'2',233,'N'),(15,2316765,'1',103,'N'),(15,2316773,'1',108,'N'),(15,2316773,'2',328,'N'),(15,2316781,'1',308,'N'),(15,2316781,'2',426,'N'),(15,2316790,'1',102,'N'),(15,2316790,'2',329,'N'),(15,2316803,'1',211,'N'),(15,2316803,'1A',215,'N'),(15,2316803,'2',502,'N'),(15,2316811,'1',320,'N'),(15,2316811,'2',309,'N'),(15,2316820,'1',420,'N'),(15,2316820,'2',426,'N'),(15,2316838,'1',318,'N'),(15,2316838,'2',333,'N'),(15,2316846,'1',310,'N'),(15,2316846,'2',320,'N'),(15,2316854,'1',104,'N'),(15,2316854,'2',5,'N'),(15,2316862,'1',501,'N'),(15,2316862,'2',316,'N'),(15,2316870,'1',104,'N'),(15,2316870,'2',502,'N'),(15,2316889,'1',451,'N'),(15,2316889,'2',502,'N'),(15,2316897,'1',104,'N'),(15,2316897,'2',301,'N'),(15,2316900,'1',201,'N'),(15,2316900,'1A',207,'N'),(15,2316900,'2',301,'N'),(15,2316919,'1',5,'N'),(15,2316919,'2',333,'N'),(15,2316927,'1',309,'N'),(15,2316927,'2',319,'N'),(15,2316935,'1',308,'N'),(15,2316935,'2',224,'N'),(15,2316943,'1',208,'N'),(15,2316943,'2',201,'N'),(15,2316960,'1',303,'N'),(15,2316960,'2',5,'N'),(15,2316978,'1',328,'N'),(15,2316978,'2',309,'N'),(15,2316986,'1',316,'N'),(15,2316986,'2',213,'N'),(15,2316994,'1',326,'N'),(15,2316994,'2',309,'N'),(15,2317001,'1',207,'N'),(15,2317001,'1A',201,'N'),(15,2317001,'2',502,'N'),(15,2317010,'1',201,'N'),(15,2317010,'1A',238,'N'),(15,2317010,'2',222,'N'),(15,2317028,'1',208,'N'),(15,2317028,'1A',202,'N'),(15,2317028,'2',203,'N'),(15,2317036,'1',415,'N'),(15,2317036,'2',444,'N'),(15,2317044,'1',319,'N'),(15,2317044,'2',327,'N'),(15,2317052,'1',103,'N'),(15,2317052,'2',333,'N'),(15,2317079,'1',101,'N'),(15,2317079,'2',319,'N'),(15,2317087,'1',203,'N'),(15,2317087,'1A',220,'N'),(15,2317087,'2',223,'N'),(15,2317109,'1',308,'N'),(15,2317109,'2',428,'N'),(15,2317117,'1',319,'N'),(15,2317117,'2',424,'N'),(15,2317125,'1',444,'N'),(15,2317125,'2',404,'N'),(15,2317133,'1',415,'N'),(15,2317133,'2',444,'N'),(15,2317141,'1',316,'N'),(15,2317141,'2',320,'N'),(15,2317150,'1',302,'N'),(15,2317150,'2',425,'N'),(15,2317168,'1',238,'N'),(15,2317168,'1A',208,'N'),(15,2317168,'2',302,'N'),(15,2317176,'1',5,'N'),(15,2317176,'2',303,'N'),(15,2317184,'1',214,'N'),(15,2317184,'1A',203,'N'),(15,2317184,'2',220,'N'),(15,2317192,'1',308,'N'),(15,2317192,'2',429,'N'),(15,2317206,'1',208,'N'),(15,2317206,'1A',220,'N'),(15,2317206,'2',501,'N'),(15,2317214,'1',5,'N'),(15,2317214,'2',303,'N'),(15,2317222,'1',103,'N'),(15,2317222,'2',333,'N'),(15,2317230,'1',5,'N'),(15,2317230,'2',326,'N'),(15,2317249,'1',420,'N'),(15,2317249,'2',9,'N'),(15,2317257,'1',303,'N'),(15,2317257,'2',301,'N'),(15,2317265,'1',215,'N'),(15,2317265,'1A',216,'N'),(15,2317265,'2',108,'N'),(15,2317273,'1',207,'N'),(15,2317273,'1A',208,'N'),(15,2317273,'2',420,'N'),(15,2317281,'1',333,'N'),(15,2317281,'2',301,'N'),(15,2317290,'1',220,'N'),(15,2317290,'1A',208,'N'),(15,2317290,'2',203,'N'),(15,2317303,'1',203,'N'),(15,2317303,'2',108,'N'),(15,2317311,'1',103,'N'),(15,2317311,'2',102,'N'),(15,2317320,'1',225,'N'),(15,2317320,'2',2,'N'),(15,2317338,'1',203,'N'),(15,2317338,'1A',212,'N'),(15,2317338,'2',213,'N'),(15,2317346,'1',207,'N'),(15,2317346,'1A',215,'N'),(15,2317346,'2',302,'N'),(15,2317354,'1',5,'N'),(15,2317354,'2',303,'N'),(15,2317362,'1',9,'N'),(15,2317362,'2',316,'N'),(15,2317389,'1',329,'N'),(15,2317389,'2',421,'N'),(15,2317397,'1',104,'N'),(15,2317397,'2',207,'N'),(15,2317400,'1',9,'N'),(15,2317400,'2',319,'N'),(15,2317419,'1',501,'N'),(15,2317419,'2',108,'N'),(15,2317427,'1',103,'N'),(15,2317427,'2',207,'N'),(15,2317435,'1',201,'N'),(15,2317435,'2',415,'N'),(15,2317443,'1',415,'N'),(15,2317443,'2',5,'N'),(15,2317451,'1',301,'N'),(15,2317451,'2',428,'N'),(15,2317460,'1',9,'N'),(15,2317460,'2',301,'N'),(15,2317478,'1',5,'N'),(15,2317478,'2',220,'N'),(15,2317494,'1',103,'N'),(15,2317494,'2',326,'N'),(15,2317508,'1',201,'N'),(15,2317508,'1A',207,'N'),(15,2317508,'2',329,'N'),(15,2317516,'1',102,'N'),(15,2317516,'2',301,'N'),(15,2317524,'1',207,'N'),(15,2317524,'1A',233,'N'),(15,2317524,'2',420,'N'),(15,2317532,'1',207,'N'),(15,2317532,'1A',201,'N'),(15,2317532,'2',238,'N'),(15,2317540,'1',427,'N'),(15,2317540,'1A',423,'N'),(15,2317540,'2',333,'N'),(15,2317559,'1',103,'N'),(15,2317559,'2',301,'N'),(15,2317567,'1',224,'N'),(15,2317567,'2',304,'N'),(15,2317575,'1',217,'N'),(15,2317575,'2',302,'N'),(15,2317583,'1',211,'N'),(15,2317583,'1A',215,'N'),(15,2317583,'2',234,'N'),(15,2317591,'1',238,'N'),(15,2317591,'1A',220,'N'),(15,2317591,'2',333,'N'),(15,2317605,'1',211,'N'),(15,2317605,'1A',207,'N'),(15,2317605,'2',319,'N'),(15,2317613,'1',5,'N'),(15,2317613,'2',329,'N'),(15,2317621,'1',317,'N'),(15,2317621,'2',316,'N'),(15,2317630,'1',333,'N'),(15,2317630,'2',328,'N'),(15,2317648,'1',103,'N'),(15,2317648,'2',415,'N'),(15,2317656,'1',104,'N'),(15,2317656,'2',103,'N'),(15,2317664,'1',319,'N'),(15,2317664,'2',420,'N'),(15,2317672,'1',207,'N'),(15,2317672,'2',420,'N'),(15,2317680,'1',318,'N'),(15,2317680,'2',220,'N'),(15,2317702,'1',208,'N'),(15,2317702,'1A',238,'N'),(15,2317702,'2',333,'N'),(15,2317710,'1',103,'N'),(15,2317710,'2',101,'N'),(15,2317729,'1',103,'N'),(15,2317729,'2',211,'N'),(15,2317737,'1',103,'N'),(15,2317737,'2',238,'N'),(15,2317745,'1',304,'N'),(15,2317745,'2',318,'N'),(15,2317753,'1',203,'N'),(15,2317753,'1A',220,'N'),(15,2317753,'2',214,'N'),(15,2317761,'1',220,'N'),(15,2317761,'1A',203,'N'),(15,2317761,'2',201,'N'),(15,2317770,'1',201,'N'),(15,2317770,'1A',207,'N'),(15,2317770,'2',104,'N'),(15,2317788,'1',450,'N'),(15,2317788,'2',104,'N'),(15,2317796,'1',103,'N'),(15,2317800,'1',2,'N'),(15,2317800,'2',222,'N'),(15,2317818,'1',318,'N'),(15,2317818,'2',304,'N'),(15,2317826,'1',220,'N'),(15,2317826,'2',201,'N'),(15,2317834,'1',108,'N'),(15,2317834,'2',319,'N'),(15,2317842,'1',426,'N'),(15,2317842,'1A',428,'N'),(15,2317842,'2',327,'N'),(15,2317885,'1',203,'N'),(15,2317885,'1A',208,'N'),(15,2317885,'2',502,'N'),(15,2317893,'1',501,'N'),(15,2317893,'2',213,'N'),(15,2317907,'1',207,'N'),(15,2317907,'1A',203,'N'),(15,2317907,'2',301,'N'),(15,2317915,'1',331,'N'),(15,2317915,'2',301,'N'),(15,2317923,'1',203,'N'),(15,2317923,'1A',214,'N'),(15,2317923,'2',238,'N'),(15,2317931,'1',329,'N'),(15,2317931,'2',2,'N'),(15,2317958,'1',211,'N'),(15,2317958,'1A',201,'N'),(15,2317958,'2',233,'N'),(15,2317966,'1',215,'N'),(15,2317966,'1A',233,'N'),(15,2317966,'2',333,'N'),(15,2317974,'1',238,'N'),(15,2317974,'1A',201,'N'),(15,2317974,'2',211,'N'),(15,2317982,'1',332,'N'),(15,2317982,'2',444,'N'),(15,2317990,'1',103,'N'),(15,2317990,'2',101,'N'),(15,2318008,'1',339,'N'),(15,2318008,'2',101,'N'),(15,2318016,'1',451,'N'),(15,2318016,'2',423,'N'),(15,2318024,'1',201,'N'),(15,2318024,'1A',212,'N'),(15,2318024,'2',238,'N'),(15,2318032,'1',207,'N'),(15,2318032,'1A',201,'N'),(15,2318040,'1',103,'N'),(15,2318040,'2',303,'N'),(15,2318059,'1',203,'N'),(15,2318059,'1A',214,'N'),(15,2318059,'2',202,'N'),(15,2318067,'1',316,'N'),(15,2318067,'2',444,'N'),(15,2318075,'1',324,'N'),(15,2318075,'2',308,'N'),(15,2318083,'1',9,'N'),(15,2318083,'2',104,'N'),(15,2318091,'1',103,'N'),(15,2318091,'2',5,'N'),(15,2318105,'1',103,'N'),(15,2318105,'2',217,'N'),(15,2318113,'1',215,'N'),(15,2318113,'1A',238,'N'),(15,2318113,'2',450,'N'),(15,2318130,'1',502,'N'),(15,2318130,'2',501,'N'),(15,2318148,'1',104,'N'),(15,2318148,'2',301,'N'),(15,2318156,'1',104,'N'),(15,2318156,'2',444,'N'),(15,2318164,'1',302,'N'),(15,2318164,'2',304,'N'),(15,2318172,'1',316,'N'),(15,2318172,'2',339,'N'),(15,2318180,'1',104,'N'),(15,2318180,'2',303,'N'),(15,2318199,'1',404,'N'),(15,2318199,'2',333,'N'),(15,2318202,'1',329,'N'),(15,2318202,'2',320,'N'),(15,2318210,'1',215,'N'),(15,2318210,'2',9,'N'),(15,2318229,'1',301,'N'),(15,2318229,'2',217,'N'),(15,2318237,'1',103,'N'),(15,2318237,'2',101,'N'),(15,2318245,'1',220,'N'),(15,2318245,'1A',201,'N'),(15,2318245,'2',223,'N'),(15,2318253,'1',223,'N'),(15,2318253,'2',224,'N'),(15,2318261,'1',502,'N'),(15,2318261,'2',326,'N'),(15,2318270,'1',5,'N'),(15,2318270,'2',104,'N'),(15,2318288,'1',108,'N'),(15,2318288,'2',501,'N'),(15,2318300,'1',103,'N'),(15,2318300,'2',201,'N'),(15,2318318,'1',420,'N'),(15,2318318,'2',238,'N'),(15,2318326,'1',211,'N'),(15,2318326,'2',415,'N'),(15,2318334,'1',203,'N'),(15,2318334,'1A',208,'N'),(15,2318334,'2',5,'N'),(15,2318342,'1',5,'N'),(15,2318342,'2',303,'N'),(15,2318350,'1',427,'N'),(15,2318350,'1A',423,'N'),(15,2318350,'2',425,'N'),(15,2318369,'1',5,'N'),(15,2318369,'2',444,'N'),(15,2318377,'1',303,'N'),(15,2318377,'2',5,'N'),(15,2318385,'1',501,'N'),(15,2318385,'2',327,'N'),(15,2318393,'1',303,'N'),(15,2318393,'2',220,'N'),(15,2318407,'1',202,'N'),(15,2318407,'1A',207,'N'),(15,2318407,'2',444,'N'),(15,2318415,'1',103,'N'),(15,2318415,'2',104,'N'),(15,2318423,'1',308,'N'),(15,2318423,'2',426,'N'),(15,2318431,'1',415,'N'),(15,2318440,'1',328,'N'),(15,2318440,'2',326,'N'),(15,2318458,'1',415,'N'),(15,2318458,'2',420,'N'),(15,2318466,'1',308,'N'),(15,2318466,'2',303,'N'),(15,2318474,'1',238,'N'),(15,2318474,'1A',220,'N'),(15,2318474,'2',444,'N'),(15,2318482,'1',203,'N'),(15,2318482,'1A',220,'N'),(15,2318482,'2',213,'N'),(15,2318490,'1',5,'N'),(15,2318490,'2',208,'N'),(15,2318504,'1',104,'N'),(15,2318504,'2',319,'N'),(15,2318520,'1',103,'N'),(15,2318520,'2',9,'N'),(15,2318539,'1',238,'N'),(15,2318539,'1A',208,'N'),(15,2318539,'2',220,'N'),(15,2318547,'1',102,'N'),(15,2318547,'2',108,'N'),(15,2318555,'1',238,'N'),(15,2318555,'1A',208,'N'),(15,2318555,'2',329,'N'),(15,2318563,'1',203,'N'),(15,2318563,'1A',214,'N'),(15,2318563,'2',220,'N'),(15,2318571,'1',103,'N'),(15,2318571,'2',233,'N'),(15,2318580,'1',317,'N'),(15,2318580,'2',302,'N'),(15,2318598,'1',339,'N'),(15,2318598,'2',316,'N'),(15,2318601,'1',9,'N'),(15,2318601,'2',101,'N'),(15,2318610,'1',102,'N'),(15,2318610,'2',108,'N'),(15,2318628,'1',316,'N'),(15,2318628,'2',317,'N'),(15,2318636,'1',103,'N'),(15,2318636,'2',9,'N'),(15,2318644,'1',5,'N'),(15,2318652,'1',207,'N'),(15,2318652,'1A',201,'N'),(15,2318652,'2',331,'N'),(15,2318679,'1',212,'N'),(15,2318679,'1A',201,'N'),(15,2318679,'2',301,'N'),(15,2318687,'1',9,'N'),(15,2318687,'2',415,'N'),(15,2318695,'1',415,'N'),(15,2318695,'2',207,'N'),(15,2318709,'1',216,'N'),(15,2318709,'1A',233,'N'),(15,2318709,'2',217,'N'),(15,2318717,'1',317,'N'),(15,2318717,'2',332,'N'),(15,2318725,'1',238,'N'),(15,2318725,'1A',208,'N'),(15,2318725,'2',444,'N'),(15,2318733,'1',316,'N'),(15,2318733,'2',327,'N'),(15,2318741,'1',103,'N'),(15,2318741,'2',102,'N'),(15,2318750,'1',420,'N'),(15,2318750,'2',5,'N'),(15,2318768,'1',415,'N'),(15,2318768,'2',333,'N'),(15,2318776,'1',501,'N'),(15,2318776,'2',332,'N'),(15,2318784,'1',415,'N'),(15,2318784,'2',301,'N'),(15,2318792,'1',216,'N'),(15,2318792,'2',333,'N'),(15,2318806,'1',103,'N'),(15,2318806,'2',303,'N'),(15,2318814,'1',303,'N'),(15,2318814,'2',5,'N'),(15,2318830,'1',329,'N'),(15,2318830,'2',222,'N'),(15,2318849,'1',317,'N'),(15,2318849,'2',318,'N'),(15,2318857,'1',104,'N'),(15,2318857,'2',319,'N'),(15,2318865,'1',207,'N'),(15,2318865,'1A',212,'N'),(15,2318865,'2',108,'N'),(15,2318873,'1',207,'N'),(15,2318873,'1A',201,'N'),(15,2318873,'2',444,'N'),(15,2318881,'1',319,'N'),(15,2318881,'2',324,'N'),(15,2318890,'1',220,'N'),(15,2318890,'1A',203,'N'),(15,2318890,'2',316,'N'),(15,2318903,'1',208,'N'),(15,2318903,'1A',202,'N'),(15,2318903,'2',238,'N'),(15,2318911,'1',211,'N'),(15,2318911,'1A',238,'N'),(15,2318911,'2',308,'N'),(15,2318946,'1',203,'N'),(15,2318946,'1A',202,'N'),(15,2318946,'2',214,'N'),(15,2318954,'1',220,'N'),(15,2318954,'1A',202,'N'),(15,2318954,'2',502,'N'),(15,2318962,'1',415,'N'),(15,2318962,'2',327,'N'),(15,2318970,'1',329,'N'),(15,2318970,'2',328,'N'),(15,2318989,'1',234,'N'),(15,2318989,'2',217,'N'),(15,2318997,'1',103,'N'),(15,2319004,'1',104,'N'),(15,2319004,'2',303,'N'),(15,2319012,'1',108,'N'),(15,2319020,'1',202,'N'),(15,2319020,'1A',213,'N'),(15,2319020,'2',108,'N'),(15,2319039,'1',316,'N'),(15,2319039,'2',301,'N'),(15,2319047,'1',217,'N'),(15,2319047,'2',324,'N'),(15,2319063,'1',316,'N'),(15,2319063,'2',301,'N'),(15,2319071,'1',224,'N'),(15,2319071,'2',103,'N'),(15,2319080,'1',415,'N'),(15,2319080,'2',238,'N'),(15,2319098,'1',319,'N'),(15,2319098,'2',103,'N'),(15,2319101,'1',207,'N'),(15,2319101,'2',201,'N'),(15,2319110,'1',207,'N'),(15,2319110,'2',303,'N'),(15,2319128,'1',5,'N'),(15,2319128,'2',450,'N'),(15,2319136,'1',103,'N'),(15,2319144,'1',5,'N'),(15,2319144,'2',303,'N'),(15,2319152,'1',450,'N'),(15,2319152,'2',108,'N'),(15,2319160,'1',214,'N'),(15,2319160,'1A',233,'N'),(15,2319160,'2',444,'N'),(15,2319179,'1',103,'N'),(15,2319179,'2',211,'N'),(15,2319195,'1',444,'N'),(15,2319195,'2',404,'N'),(15,2319209,'1',203,'N'),(15,2319209,'2',220,'N'),(15,2319217,'1',220,'N'),(15,2319217,'1A',214,'N'),(15,2319217,'2',203,'N'),(15,2319225,'1',303,'N'),(15,2319225,'2',309,'N'),(15,2319233,'1',103,'N'),(15,2319233,'2',444,'N'),(15,2319241,'1',103,'N'),(15,2319241,'2',211,'N'),(15,2319250,'1',301,'N'),(15,2319250,'2',421,'N'),(15,2319268,'1',103,'N'),(15,2319268,'2',450,'N'),(15,2319276,'1',103,'N'),(15,2319276,'2',319,'N'),(15,2319292,'1',319,'N'),(15,2319292,'2',9,'N'),(15,2319306,'1',316,'N'),(15,2319306,'2',104,'N'),(15,2319314,'1',303,'N'),(15,2319314,'2',9,'N'),(15,2319322,'1',420,'N'),(15,2319322,'2',319,'N'),(15,2319330,'1',104,'N'),(15,2319330,'2',333,'N'),(15,2319349,'1',207,'N'),(15,2319349,'2',420,'N'),(15,2319357,'1',319,'N'),(15,2319357,'2',303,'N'),(15,2319365,'1',216,'N'),(15,2319365,'1A',211,'N'),(15,2319365,'2',217,'N'),(15,2319373,'1',104,'N'),(15,2319373,'2',215,'N'),(15,2319381,'1',333,'N'),(15,2319381,'2',201,'N'),(15,2319390,'1',201,'N'),(15,2319390,'1A',203,'N'),(15,2319390,'2',316,'N'),(15,2319403,'1',319,'N'),(15,2319403,'2',404,'N'),(15,2319411,'1',108,'N'),(15,2319411,'2',5,'N'),(15,2319420,'1',216,'N'),(15,2319420,'1A',215,'N'),(15,2319420,'2',102,'N'),(15,2319438,'1',316,'N'),(15,2319438,'2',333,'N'),(15,2319446,'1',444,'N'),(15,2319446,'2',404,'N'),(15,2319454,'1',212,'N'),(15,2319454,'1A',208,'N'),(15,2319454,'2',202,'N'),(15,2319462,'1',301,'N'),(15,2319470,'1',103,'N'),(15,2319470,'2',108,'N'),(15,2319489,'1',5,'N'),(15,2319489,'2',450,'N'),(15,2319497,'1',317,'N'),(15,2319497,'2',339,'N'),(15,2319500,'1',234,'N'),(15,2319500,'2',211,'N'),(15,2319519,'1',104,'N'),(15,2319519,'2',108,'N'),(15,2319527,'1',415,'N'),(15,2319527,'2',451,'N'),(15,2319535,'1',208,'N'),(15,2319535,'1A',238,'N'),(15,2319535,'2',333,'N'),(15,2319543,'1',201,'N'),(15,2319543,'1A',202,'N'),(15,2319543,'2',212,'N'),(15,2319551,'1',103,'N'),(15,2319551,'2',5,'N'),(15,2319560,'1',103,'N'),(15,2319560,'2',9,'N'),(15,2319578,'1',103,'N'),(15,2319586,'1',103,'N'),(15,2319586,'2',216,'N'),(15,2319594,'1',319,'N'),(15,2319594,'2',207,'N'),(15,2319608,'1',217,'N'),(15,2319608,'2',502,'N'),(15,2319616,'1',5,'N'),(15,2319616,'2',328,'N'),(15,2319624,'1',424,'N'),(15,2319624,'1A',427,'N'),(15,2319624,'2',217,'N'),(15,2319640,'1',104,'N'),(15,2319640,'2',211,'N'),(15,2319667,'1',301,'N'),(15,2319667,'2',102,'N'),(15,2319675,'1',103,'N'),(15,2319675,'2',303,'N'),(15,2319683,'1',103,'N'),(15,2319683,'2',303,'N'),(15,2319713,'1',103,'N'),(15,2319713,'2',102,'N'),(15,2319730,'1',415,'N'),(15,2319730,'2',444,'N'),(15,2319748,'1',207,'N'),(15,2319748,'1A',201,'N'),(15,2319748,'2',420,'N'),(15,2319756,'1',5,'N'),(15,2319756,'2',316,'N'),(15,2319764,'1',319,'N'),(15,2319764,'2',208,'N'),(15,2319772,'1',203,'N'),(15,2319772,'1A',208,'N'),(15,2319772,'2',202,'N'),(15,2319780,'1',420,'N'),(15,2319780,'2',427,'N'),(15,2319799,'1',308,'N'),(15,2319799,'2',217,'N'),(15,2319802,'1',420,'N'),(15,2319802,'2',203,'N'),(15,2319810,'1',104,'N'),(15,2319810,'2',211,'N'),(15,2319837,'1',327,'N'),(15,2319837,'2',310,'N'),(15,2319845,'1',207,'N'),(15,2319845,'2',420,'N'),(15,2319853,'1',319,'N'),(15,2319853,'2',301,'N'),(15,2319861,'1',501,'N'),(15,2319861,'2',333,'N'),(15,2319870,'1',238,'N'),(15,2319870,'2',404,'N'),(15,2319888,'1',5,'N'),(15,2319888,'2',316,'N'),(15,2319896,'1',101,'N'),(15,2319896,'2',104,'N'),(15,2319918,'1',450,'N'),(15,2319918,'2',326,'N'),(15,2319926,'1',211,'N'),(15,2319926,'2',425,'N'),(15,2319934,'1',103,'N'),(15,2319934,'2',444,'N'),(15,2319942,'1',309,'N'),(15,2319942,'2',319,'N'),(15,2319950,'1',333,'N'),(15,2319950,'2',203,'N'),(15,2319969,'1',303,'N'),(15,2319969,'2',310,'N'),(15,2319977,'1',213,'N'),(15,2319977,'1A',212,'N'),(15,2319977,'2',301,'N'),(15,2319985,'1',108,'N'),(15,2319993,'1',108,'N'),(15,2319993,'2',301,'N'),(15,2320002,'1',5,'N'),(15,2320002,'2',316,'N'),(15,2320010,'1',202,'N'),(15,2320010,'1A',201,'N'),(15,2320010,'2',223,'N'),(15,2320029,'1',108,'N'),(15,2320029,'2',333,'N'),(15,2320037,'1',308,'N'),(15,2320037,'2',238,'N'),(15,2320045,'1',310,'N'),(15,2320045,'2',318,'N'),(15,2320053,'1',212,'N'),(15,2320053,'1A',201,'N'),(15,2320053,'2',208,'N'),(15,2320061,'1',450,'N'),(15,2320061,'2',415,'N'),(15,2320070,'1',444,'N'),(15,2320070,'2',108,'N'),(15,2320088,'1',301,'N'),(15,2320088,'2',108,'N'),(15,2320096,'1',324,'N'),(15,2320100,'1',316,'N'),(15,2320100,'2',502,'N'),(15,2320118,'1',303,'N'),(15,2320118,'2',319,'N'),(15,2320126,'1',5,'N'),(15,2320126,'2',303,'N'),(15,2320134,'1',214,'N'),(15,2320134,'1A',207,'N'),(15,2320134,'2',415,'N'),(15,2320142,'1',319,'N'),(15,2320142,'2',420,'N'),(15,2320150,'1',404,'N'),(15,2320150,'2',324,'N'),(15,2320169,'1',220,'N'),(15,2320169,'1A',202,'N'),(15,2320169,'2',203,'N'),(15,2320177,'1',103,'N'),(15,2320177,'2',316,'N'),(15,2320185,'1',103,'N'),(15,2320185,'2',333,'N'),(15,2320193,'1',304,'N'),(15,2320193,'2',225,'N'),(15,2320207,'1',317,'N'),(15,2320207,'2',224,'N'),(15,2320223,'1',104,'N'),(15,2320223,'2',444,'N'),(15,2320231,'1',420,'N'),(15,2320231,'2',319,'N'),(15,2320240,'1',202,'N'),(15,2320240,'1A',214,'N'),(15,2320240,'2',213,'N'),(15,2320258,'1',108,'N'),(15,2320258,'2',415,'N'),(15,2320266,'1',207,'N'),(15,2320266,'1A',201,'N'),(15,2320266,'2',103,'N'),(15,2320282,'1',208,'N'),(15,2320282,'1A',238,'N'),(15,2320290,'1',216,'N'),(15,2320304,'1',104,'N'),(15,2320304,'2',333,'N'),(15,2320312,'1',5,'N'),(15,2320312,'2',303,'N'),(15,2320320,'1',101,'N'),(15,2320320,'2',224,'N'),(15,2320339,'1',318,'N'),(15,2320339,'2',2,'N'),(15,2320347,'1',415,'N'),(15,2320347,'2',207,'N'),(15,2320363,'1',211,'N'),(15,2320363,'2',234,'N'),(15,2320371,'1',203,'N'),(15,2320371,'1A',238,'N'),(15,2320371,'2',501,'N'),(15,2320380,'1',316,'N'),(15,2320380,'2',324,'N'),(15,2320398,'1',324,'N'),(15,2320398,'2',502,'N'),(15,2320410,'1',415,'N'),(15,2320410,'2',427,'N'),(15,2320428,'1',202,'N'),(15,2320428,'1A',213,'N'),(15,2320428,'2',203,'N'),(15,2320436,'1',339,'N'),(15,2320436,'2',223,'N'),(15,2320444,'1',324,'N'),(15,2320444,'2',309,'N'),(15,2320452,'1',203,'N'),(15,2320452,'1A',201,'N'),(15,2320452,'2',202,'N'),(15,2320460,'1',301,'N'),(15,2320460,'2',310,'N'),(15,2320479,'1',339,'N'),(15,2320479,'2',324,'N'),(15,2320487,'1',220,'N'),(15,2320487,'1A',203,'N'),(15,2320487,'2',214,'N'),(15,2320495,'1',104,'N'),(15,2320495,'2',333,'N'),(15,2320517,'1',201,'N'),(15,2320517,'1A',207,'N'),(15,2320517,'2',327,'N'),(15,2320525,'1',303,'N'),(15,2320525,'2',301,'N'),(15,2320533,'1',208,'N'),(15,2320533,'2',425,'N'),(15,2320541,'1',103,'N'),(15,2320541,'2',2,'N'),(15,2320550,'1',103,'N'),(15,2320550,'2',211,'N'),(15,2320568,'1',102,'N'),(15,2320576,'1',201,'N'),(15,2320576,'1A',202,'N'),(15,2320576,'2',223,'N'),(15,2320584,'1',207,'N'),(15,2320584,'2',420,'N'),(15,2320592,'1',211,'N'),(15,2320592,'1A',208,'N'),(15,2320592,'2',108,'N'),(15,2320606,'1',216,'N'),(15,2320606,'1A',203,'N'),(15,2320606,'2',214,'N'),(15,2320614,'1',303,'N'),(15,2320614,'2',427,'N'),(15,2320622,'1',332,'N'),(15,2320622,'2',331,'N'),(15,2320630,'1',501,'N'),(15,2320630,'2',211,'N'),(15,2320649,'1',415,'N'),(15,2320649,'2',420,'N'),(15,2320657,'1',103,'N'),(15,2320657,'2',444,'N'),(15,2320665,'1',102,'N'),(15,2320665,'2',215,'N'),(15,2320673,'1',317,'N'),(15,2320673,'2',444,'N'),(15,2320681,'1',502,'N'),(15,2320681,'2',501,'N'),(15,2320690,'1',5,'N'),(15,2320690,'2',104,'N'),(15,2320703,'1',103,'N'),(15,2320703,'2',104,'N'),(15,2320738,'1',301,'N'),(15,2320738,'2',316,'N'),(15,2320746,'1',415,'N'),(15,2320746,'2',331,'N'),(15,2320754,'1',5,'N'),(15,2320754,'2',303,'N'),(15,2320762,'1',308,'N'),(15,2320762,'2',309,'N'),(15,2320770,'1',216,'N'),(15,2320770,'2',415,'N'),(15,2320789,'1',108,'N'),(15,2320789,'2',333,'N'),(15,2320797,'1',501,'N'),(15,2320797,'2',502,'N'),(15,2320819,'1',207,'N'),(15,2320819,'1A',201,'N'),(15,2320819,'2',104,'N'),(15,2320827,'1',203,'N'),(15,2320827,'1A',201,'N'),(15,2320827,'2',5,'N'),(15,2320835,'1',320,'N'),(15,2320835,'2',310,'N'),(15,2320843,'1',101,'N'),(15,2320843,'2',9,'N'),(15,2320851,'1',207,'N'),(15,2320851,'1A',201,'N'),(15,2320851,'2',420,'N'),(15,2320860,'1',333,'N'),(15,2320860,'2',301,'N'),(15,2320878,'1',415,'N'),(15,2320878,'2',303,'N'),(15,2320886,'1',103,'N'),(15,2320886,'2',108,'N'),(15,2320894,'1',317,'N'),(15,2320894,'2',223,'N'),(15,2320908,'1',101,'N'),(15,2320916,'1',301,'N'),(15,2320916,'2',420,'N'),(15,2320924,'1',5,'N'),(15,2320924,'2',303,'N'),(15,2320932,'1',103,'N'),(15,2320932,'2',102,'N'),(15,2320940,'1',302,'N'),(15,2320940,'2',304,'N'),(15,2320959,'1',103,'N'),(15,2320967,'1',450,'N'),(15,2320967,'2',451,'N'),(15,2320975,'1',103,'N'),(15,2320975,'2',303,'N'),(15,2320983,'1',318,'N'),(15,2320983,'2',302,'N'),(15,2320991,'1',5,'N'),(15,2320991,'2',502,'N'),(15,2321009,'1',5,'N'),(15,2321009,'2',423,'N'),(15,2321025,'1',319,'N'),(15,2321025,'2',329,'N'),(15,2321033,'1',102,'N'),(15,2321033,'2',103,'N'),(15,2321041,'1',332,'N'),(15,2321041,'2',319,'N'),(15,2321068,'1',103,'N'),(15,2321068,'2',202,'N'),(15,2321076,'1',103,'N'),(15,2321076,'2',104,'N'),(15,2321084,'1',327,'N'),(15,2321084,'2',426,'N'),(15,2321092,'1',202,'N'),(15,2321092,'2',233,'N'),(15,2321106,'1',103,'N'),(15,2321106,'2',104,'N'),(15,2321114,'1',444,'N'),(15,2321114,'2',324,'N'),(15,2321122,'1',320,'N'),(15,2321122,'2',451,'N'),(15,2321130,'1',207,'N'),(15,2321130,'1A',212,'N'),(15,2321130,'2',332,'N'),(15,2321149,'1',102,'N'),(15,2321149,'2',5,'N'),(15,2321157,'1',103,'N'),(15,2321157,'2',202,'N'),(15,2321165,'1',339,'N'),(15,2321165,'2',329,'N'),(15,2321181,'1',415,'N'),(15,2321181,'2',301,'N'),(15,2321190,'1',203,'N'),(15,2321190,'1A',207,'N'),(15,2321190,'2',202,'N'),(15,2321203,'1',103,'N'),(15,2321203,'2',333,'N'),(15,2321211,'1',5,'N'),(15,2321211,'2',316,'N'),(15,2321220,'1',301,'N'),(15,2321220,'2',316,'N'),(15,2321238,'1',101,'N'),(15,2321238,'2',9,'N'),(15,2321246,'1',207,'N'),(15,2321246,'1A',238,'N'),(15,2321246,'2',450,'N'),(15,2321254,'1',303,'N'),(15,2321254,'2',444,'N'),(15,2321262,'1',303,'N'),(15,2321262,'2',420,'N'),(15,2321270,'1',234,'N'),(15,2321270,'2',333,'N'),(15,2321289,'1',427,'N'),(15,2321289,'1A',421,'N'),(15,2321289,'2',425,'N'),(15,2321297,'1',451,'N'),(15,2321297,'2',428,'N'),(15,2321300,'1',5,'N'),(15,2321300,'2',303,'N'),(15,2321319,'1',103,'N'),(15,2321319,'2',502,'N'),(15,2321327,'1',316,'N'),(15,2321327,'2',5,'N'),(15,2321335,'1',5,'N'),(15,2321335,'2',501,'N'),(15,2321343,'1',303,'N'),(15,2321343,'2',319,'N'),(15,2321351,'1',104,'N'),(15,2321351,'2',9,'N'),(15,2321360,'1',208,'N'),(15,2321378,'1',310,'N'),(15,2321378,'2',320,'N'),(15,2321386,'1',108,'N'),(15,2321386,'2',333,'N'),(15,2321394,'1',201,'N'),(15,2321394,'2',5,'N'),(15,2321408,'1',303,'N'),(15,2321408,'2',104,'N'),(15,2321416,'1',103,'N'),(15,2321424,'1',213,'N'),(15,2321424,'2',318,'N'),(15,2321432,'1',203,'N'),(15,2321432,'1A',220,'N'),(15,2321440,'1',316,'N'),(15,2321459,'1',216,'N'),(15,2321459,'1A',233,'N'),(15,2321459,'2',224,'N'),(15,2321467,'1',103,'N'),(15,2321467,'2',303,'N'),(15,2321475,'1',211,'N'),(15,2321475,'1A',214,'N'),(15,2321475,'2',502,'N'),(15,2321483,'1',238,'N'),(15,2321483,'1A',208,'N'),(15,2321483,'2',404,'N'),(15,2321491,'1',207,'N'),(15,2321491,'1A',201,'N'),(15,2321491,'2',420,'N'),(15,2321505,'1',203,'N'),(15,2321505,'1A',201,'N'),(15,2321505,'2',208,'N'),(15,2321513,'1',214,'N'),(15,2321513,'1A',203,'N'),(15,2321513,'2',217,'N'),(15,2321521,'1',103,'N'),(15,2321530,'1',103,'N'),(15,2321530,'2',201,'N'),(15,2321548,'1',5,'N'),(15,2321548,'2',303,'N'),(15,2321556,'1',203,'N'),(15,2321556,'1A',202,'N'),(15,2321556,'2',213,'N'),(15,2321564,'1',319,'N'),(15,2321564,'2',5,'N'),(15,2321580,'1',103,'N'),(15,2321580,'2',303,'N'),(15,2321599,'1',444,'N'),(15,2321599,'2',207,'N'),(15,2321602,'1',303,'N'),(15,2321602,'2',207,'N'),(15,2321610,'1',332,'N'),(15,2321610,'2',222,'N'),(15,2321629,'1',310,'N'),(15,2321629,'2',304,'N'),(15,2321637,'1',404,'N'),(15,2321637,'2',333,'N'),(15,2321645,'1',207,'N'),(15,2321645,'1A',201,'N'),(15,2321645,'2',450,'N'),(15,2321653,'1',329,'N'),(15,2321653,'2',328,'N'),(15,2321661,'1',102,'N'),(15,2321661,'2',108,'N'),(15,2321696,'1',103,'N'),(15,2321696,'2',102,'N'),(15,2321700,'1',201,'N'),(15,2321700,'1A',233,'N'),(15,2321700,'2',444,'N'),(15,2321718,'1',308,'N'),(15,2321726,'1',303,'N'),(15,2321726,'2',301,'N'),(15,2321734,'1',104,'N'),(15,2321734,'2',333,'N'),(15,2321742,'1',304,'N'),(15,2321742,'2',502,'N'),(15,2321750,'1',208,'N'),(15,2321750,'1A',238,'N'),(15,2321750,'2',324,'N'),(15,2321769,'1',310,'N'),(15,2321769,'2',326,'N'),(15,2321777,'1',208,'N'),(15,2321777,'1A',202,'N'),(15,2321777,'2',222,'N'),(15,2321785,'1',102,'N'),(15,2321785,'2',216,'N'),(15,2321793,'1',104,'N'),(15,2321793,'2',9,'N'),(15,2321807,'1',217,'N'),(15,2321807,'2',316,'N'),(15,2321815,'1',2,'N'),(15,2321815,'2',223,'N'),(15,2321823,'1',104,'N'),(15,2321823,'2',207,'N'),(15,2321831,'1',318,'N'),(15,2321831,'2',308,'N'),(15,2321840,'1',5,'N'),(15,2321840,'2',303,'N'),(15,2321866,'1',415,'N'),(15,2321866,'2',316,'N'),(15,2321874,'1',103,'N'),(15,2321874,'2',203,'N'),(15,2321882,'1',103,'N'),(15,2321882,'2',102,'N'),(15,2321890,'1',444,'N'),(15,2321890,'2',102,'N'),(15,2321904,'1',108,'N'),(15,2321904,'2',333,'N'),(15,2321912,'1',424,'N'),(15,2321912,'2',425,'N'),(15,2321920,'1',103,'N'),(15,2321920,'2',101,'N'),(15,2321939,'1',450,'N'),(15,2321939,'2',451,'N'),(15,2321947,'1',501,'N'),(15,2321947,'2',502,'N'),(15,2321963,'1',101,'N'),(15,2321963,'2',316,'N'),(15,2321971,'1',207,'N'),(15,2321980,'1',444,'N'),(15,2321980,'2',319,'N'),(15,2321998,'1',104,'N'),(15,2321998,'2',303,'N'),(15,2322005,'1',103,'N'),(15,2322005,'2',5,'N'),(15,2322013,'1',5,'N'),(15,2322013,'2',333,'N'),(15,2322021,'1',201,'N'),(15,2322030,'1',303,'N'),(15,2322030,'2',203,'N'),(15,2322048,'1',211,'N'),(15,2322048,'2',333,'N'),(15,2322064,'1',308,'N'),(15,2322064,'2',310,'N'),(15,2322072,'1',104,'N'),(15,2322072,'2',303,'N'),(15,2322080,'1',303,'N'),(15,2322080,'2',415,'N'),(15,2322099,'1',103,'N'),(15,2322099,'2',303,'N'),(15,2322102,'1',339,'N'),(15,2322102,'2',426,'N'),(15,2322110,'1',216,'N'),(15,2322110,'1A',215,'N'),(15,2322110,'2',104,'N'),(15,2322129,'1',5,'N'),(15,2322129,'2',317,'N'),(15,2322137,'1',326,'N'),(15,2322137,'2',425,'N'),(15,2322145,'1',329,'N'),(15,2322145,'2',424,'N'),(15,2322153,'1',203,'N'),(15,2322153,'2',208,'N'),(15,2322161,'1',302,'N'),(15,2322161,'2',9,'N'),(15,2322170,'1',5,'N'),(15,2322170,'2',303,'N'),(15,2322188,'1',301,'N'),(15,2322188,'2',324,'N'),(15,2322196,'1',103,'N'),(15,2322196,'2',213,'N'),(15,2322200,'1',316,'N'),(15,2322200,'2',102,'N'),(15,2322234,'1',420,'N'),(15,2322234,'2',102,'N'),(15,2322250,'1',9,'N'),(15,2322250,'2',316,'N'),(15,2322269,'1',420,'N'),(15,2322269,'2',319,'N'),(15,2322277,'1',213,'N'),(15,2322277,'1A',233,'N'),(15,2322277,'2',202,'N'),(15,2322285,'1',318,'N'),(15,2322285,'2',304,'N'),(15,2322293,'1',104,'N'),(15,2322293,'2',5,'N'),(15,2322307,'1',425,'N'),(15,2322307,'1A',426,'N'),(15,2322307,'2',329,'N'),(15,2322323,'1',303,'N'),(15,2322323,'2',5,'N'),(15,2322331,'1',303,'N'),(15,2322331,'2',5,'N'),(15,2322358,'1',333,'N'),(15,2322358,'2',211,'N'),(15,2322366,'1',201,'N'),(15,2322366,'1A',203,'N'),(15,2322366,'2',316,'N'),(15,2322374,'1',303,'N'),(15,2322374,'2',5,'N'),(15,2322382,'1',501,'N'),(15,2322382,'2',317,'N'),(15,2322390,'1',317,'N'),(15,2322390,'2',224,'N'),(15,2322404,'1',450,'N'),(15,2322404,'2',444,'N'),(15,2322412,'1',207,'N'),(15,2322412,'1A',216,'N'),(15,2322412,'2',102,'N'),(15,2322420,'1',233,'N'),(15,2322420,'1A',202,'N'),(15,2322420,'2',108,'N'),(15,2322439,'1',103,'N'),(15,2322439,'2',225,'N'),(15,2322447,'1',308,'N'),(15,2322447,'2',339,'N'),(15,2322455,'1',451,'N'),(15,2322455,'2',339,'N'),(15,2322463,'1',215,'N'),(15,2322463,'1A',211,'N'),(15,2322463,'2',316,'N'),(15,2322471,'1',316,'N'),(15,2322471,'2',304,'N'),(15,2322480,'1',202,'N'),(15,2322480,'1A',213,'N'),(15,2322480,'2',208,'N'),(15,2322498,'1',103,'N'),(15,2322498,'2',427,'N'),(15,2322501,'1',333,'N'),(15,2322501,'2',108,'N'),(15,2322510,'1',501,'N'),(15,2322510,'2',502,'N'),(15,2322536,'1',9,'N'),(15,2322536,'2',309,'N'),(15,2322544,'1',202,'N'),(15,2322544,'1A',211,'N'),(15,2322544,'2',225,'N'),(15,2322552,'1',324,'N'),(15,2322552,'2',207,'N'),(15,2322560,'1',317,'N'),(15,2322560,'2',333,'N'),(15,2322579,'1',104,'N'),(15,2322579,'2',319,'N'),(15,2322587,'1',429,'N'),(15,2322587,'1A',423,'N'),(15,2322587,'2',324,'N'),(15,2322595,'1',316,'N'),(15,2322595,'2',329,'N'),(15,2322609,'1',211,'N'),(15,2322609,'2',319,'N'),(15,2322617,'1',103,'N'),(15,2322617,'2',102,'N'),(15,2322625,'1',103,'N'),(15,2322633,'1',103,'N'),(15,2322633,'2',5,'N'),(15,2322641,'1',207,'N'),(15,2322641,'1A',211,'N'),(15,2322641,'2',450,'N'),(15,2322650,'1',329,'N'),(15,2322650,'2',224,'N'),(15,2322668,'1',333,'N'),(15,2322668,'2',450,'N'),(15,2322676,'1',339,'N'),(15,2322676,'2',404,'N'),(15,2322684,'1',103,'N'),(15,2322684,'2',216,'N'),(15,2322692,'1',238,'N'),(15,2322692,'1A',208,'N'),(15,2322692,'2',425,'N'),(15,2322706,'1',303,'N'),(15,2322706,'2',302,'N'),(15,2322714,'1',429,'N'),(15,2322714,'1A',425,'N'),(15,2322714,'2',339,'N'),(15,2322722,'1',317,'N'),(15,2322722,'2',302,'N'),(15,2322730,'1',9,'N'),(15,2322730,'2',104,'N'),(15,2322749,'1',103,'N'),(15,2322749,'2',108,'N'),(15,2322757,'1',222,'N'),(15,2322757,'2',223,'N'),(15,2322765,'1',339,'N'),(15,2322765,'2',309,'N'),(15,2322781,'1',102,'N'),(15,2322781,'2',101,'N'),(15,2322790,'1',450,'N'),(15,2322790,'2',451,'N'),(15,2322803,'1',501,'N'),(15,2322803,'2',324,'N'),(15,2322811,'1',444,'N'),(15,2322811,'2',208,'N'),(15,2322820,'1',316,'N'),(15,2322820,'2',404,'N'),(15,2322838,'1',203,'N'),(15,2322838,'1A',216,'N'),(15,2322838,'2',201,'N'),(15,2322846,'1',103,'N'),(15,2322846,'2',333,'N'),(15,2322854,'1',304,'N'),(15,2322854,'2',302,'N'),(15,2322862,'1',425,'N'),(15,2322862,'1A',426,'N'),(15,2322862,'2',451,'N'),(15,2322870,'1',502,'N'),(15,2322870,'2',501,'N'),(15,2322889,'1',104,'N'),(15,2322889,'2',301,'N'),(15,2322897,'1',421,'N'),(15,2322897,'1A',426,'N'),(15,2322897,'2',324,'N'),(15,2322900,'1',207,'N'),(15,2322900,'1A',201,'N'),(15,2322900,'2',213,'N'),(15,2322919,'1',425,'N'),(15,2322919,'1A',424,'N'),(15,2322919,'2',319,'N'),(15,2322927,'1',310,'N'),(15,2322927,'2',309,'N'),(15,2322935,'1',5,'N'),(15,2322935,'2',316,'N'),(15,2322943,'1',319,'N'),(15,2322943,'2',329,'N'),(15,2322951,'1',103,'N'),(15,2322951,'2',444,'N'),(15,2322960,'1',450,'N'),(15,2322960,'2',318,'N'),(15,2322978,'1',424,'N'),(15,2322978,'2',428,'N'),(15,2322986,'1',5,'N'),(15,2322986,'2',320,'N'),(15,2322994,'1',213,'N'),(15,2322994,'1A',201,'N'),(15,2322994,'2',316,'N'),(15,2323001,'1',5,'N'),(15,2323001,'2',303,'N'),(15,2323010,'1',220,'N'),(15,2323010,'2',208,'N'),(15,2323028,'1',301,'N'),(15,2323028,'2',302,'N'),(15,2323036,'1',211,'N'),(15,2323036,'1A',233,'N'),(15,2323036,'2',304,'N'),(15,2323044,'1',108,'N'),(15,2323044,'2',331,'N'),(15,2323079,'1',212,'N'),(15,2323079,'1A',201,'N'),(15,2323079,'2',211,'N'),(15,2323095,'1',108,'N'),(15,2323095,'2',331,'N'),(15,2323109,'1',104,'N'),(15,2323109,'2',211,'N'),(15,2323117,'1',104,'N'),(15,2323117,'2',101,'N'),(15,2323125,'1',319,'N'),(15,2323125,'2',301,'N'),(15,2323133,'1',207,'N'),(15,2323133,'1A',238,'N'),(15,2323133,'2',208,'N'),(15,2323141,'1',201,'N'),(15,2323150,'1',233,'N'),(15,2323150,'1A',207,'N'),(15,2323150,'2',450,'N'),(15,2323168,'1',233,'N'),(15,2323168,'1A',203,'N'),(15,2323168,'2',2,'N'),(15,2323184,'1',108,'N'),(15,2323184,'2',339,'N'),(15,2323192,'1',319,'N'),(15,2323192,'2',329,'N'),(15,2323206,'1',203,'N'),(15,2323206,'2',212,'N'),(15,2323214,'1',207,'N'),(15,2323214,'1A',233,'N'),(15,2323214,'2',420,'N'),(15,2323222,'1',333,'N'),(15,2323222,'2',234,'N'),(15,2323249,'1',320,'N'),(15,2323249,'2',327,'N'),(15,2323265,'1',102,'N'),(15,2323265,'2',215,'N'),(15,2323281,'1',425,'N'),(15,2323281,'2',320,'N'),(15,2323290,'1',103,'N'),(15,2323290,'2',201,'N'),(15,2323303,'1',308,'N'),(15,2323303,'2',404,'N'),(15,2323311,'1',103,'N'),(15,2323311,'2',203,'N'),(15,2323320,'1',5,'N'),(15,2323320,'2',316,'N'),(15,2323338,'1',203,'N'),(15,2323338,'1A',214,'N'),(15,2323338,'2',220,'N'),(15,2323346,'1',326,'N'),(15,2323346,'2',415,'N'),(15,2323354,'1',301,'N'),(15,2323354,'2',319,'N'),(15,2323362,'1',333,'N'),(15,2323362,'2',9,'N'),(15,2323370,'1',333,'N'),(15,2323370,'2',108,'N'),(15,2323389,'1',333,'N'),(15,2323397,'1',207,'N'),(15,2323397,'1A',215,'N'),(15,2323397,'2',420,'N'),(15,2323419,'1',303,'N'),(15,2323427,'1',203,'N'),(15,2323427,'1A',214,'N'),(15,2323427,'2',212,'N'),(15,2323435,'1',222,'N'),(15,2323435,'2',238,'N'),(15,2323443,'1',103,'N'),(15,2323443,'2',319,'N'),(15,2323451,'1',327,'N'),(15,2323451,'2',329,'N'),(15,2323460,'1',104,'N'),(15,2323460,'2',444,'N'),(15,2323478,'1',220,'N'),(15,2323478,'1A',213,'N'),(15,2323486,'1',303,'N'),(15,2323486,'2',301,'N'),(15,2323494,'1',333,'N'),(15,2323494,'2',5,'N'),(15,2323508,'1',316,'N'),(15,2323508,'2',317,'N'),(15,2323516,'1',333,'N'),(15,2323516,'2',501,'N'),(15,2323524,'1',201,'N'),(15,2323524,'1A',212,'N'),(15,2323524,'2',420,'N'),(15,2323532,'1',415,'N'),(15,2323540,'1',9,'N'),(15,2323540,'2',104,'N'),(15,2323559,'1',215,'N'),(15,2323559,'1A',233,'N'),(15,2323559,'2',201,'N'),(15,2323567,'1',201,'N'),(15,2323567,'1A',207,'N'),(15,2323567,'2',427,'N'),(15,2323575,'1',316,'N'),(15,2323575,'2',208,'N'),(15,2323583,'1',104,'N'),(15,2323583,'2',319,'N'),(15,2323591,'1',207,'N'),(15,2323591,'2',420,'N'),(15,2323605,'1',5,'N'),(15,2323605,'2',303,'N'),(15,2323613,'1',415,'N'),(15,2323621,'1',316,'N'),(15,2323621,'2',301,'N'),(15,2323630,'1',211,'N'),(15,2323630,'1A',216,'N'),(15,2323630,'2',108,'N'),(15,2323648,'1',444,'N'),(15,2323648,'2',404,'N'),(15,2323664,'1',217,'N'),(15,2323664,'2',329,'N'),(15,2323672,'1',320,'N'),(15,2323680,'1',101,'N'),(15,2323699,'1',103,'N'),(15,2323710,'1',234,'N'),(15,2323710,'2',420,'N'),(15,2323729,'1',103,'N'),(15,2323729,'2',108,'N'),(15,2323737,'1',318,'N'),(15,2323737,'2',320,'N'),(15,2323745,'1',404,'N'),(15,2323745,'2',415,'N'),(15,2323753,'1',203,'N'),(15,2323753,'1A',202,'N'),(15,2323753,'2',201,'N'),(15,2323761,'1',103,'N'),(15,2323788,'1',5,'N'),(15,2323788,'2',103,'N'),(15,2323796,'1',501,'N'),(15,2323796,'2',211,'N'),(15,2323800,'1',104,'N'),(15,2323800,'2',404,'N'),(15,2323818,'1',404,'N'),(15,2323818,'2',444,'N'),(15,2323826,'1',102,'N'),(15,2323834,'1',420,'N'),(15,2323834,'2',9,'N'),(15,2323842,'1',9,'N'),(15,2323850,'1',211,'N'),(15,2323850,'1A',201,'N'),(15,2323850,'2',215,'N'),(15,2323869,'1',234,'N'),(15,2323869,'2',444,'N'),(15,2323877,'1',207,'N'),(15,2323877,'1A',211,'N'),(15,2323877,'2',501,'N'),(15,2323885,'1',5,'N'),(15,2323885,'2',415,'N'),(15,2323893,'1',326,'N'),(15,2323893,'2',331,'N'),(15,2323907,'1',310,'N'),(15,2323907,'2',326,'N'),(15,2323915,'1',425,'N'),(15,2323915,'2',310,'N'),(15,2323923,'1',319,'N'),(15,2323923,'2',415,'N'),(15,2323931,'1',5,'N'),(15,2323931,'2',329,'N'),(15,2323940,'1',501,'N'),(15,2323940,'2',108,'N'),(15,2323958,'1',212,'N'),(15,2323958,'1A',201,'N'),(15,2323958,'2',5,'N'),(15,2323966,'1',238,'N'),(15,2323966,'1A',208,'N'),(15,2323974,'1',103,'N'),(15,2323974,'2',301,'N'),(15,2323982,'1',404,'N'),(15,2323982,'2',415,'N'),(15,2323990,'1',424,'N'),(15,2323990,'1A',426,'N'),(15,2323990,'2',326,'N'),(15,2324008,'1',220,'N'),(15,2324008,'1A',203,'N'),(15,2324008,'2',213,'N'),(15,2324016,'1',444,'N'),(15,2324016,'2',404,'N'),(15,2324024,'1',211,'N'),(15,2324024,'1A',215,'N'),(15,2324024,'2',502,'N'),(15,2324032,'1',104,'N'),(15,2324032,'2',9,'N'),(15,2324040,'1',214,'N'),(15,2324040,'1A',201,'N'),(15,2324040,'2',450,'N'),(15,2324059,'1',103,'N'),(15,2324059,'2',104,'N'),(15,2324075,'1',316,'N'),(15,2324075,'2',317,'N'),(15,2324083,'1',427,'N'),(15,2324083,'2',421,'N'),(15,2324091,'1',339,'N'),(15,2324105,'1',104,'N'),(15,2324105,'2',319,'N'),(15,2324113,'1',420,'N'),(15,2324113,'2',444,'N'),(15,2324148,'1',301,'N'),(15,2324148,'2',316,'N'),(15,2324156,'1',101,'N'),(15,2324156,'2',404,'N'),(15,2324164,'1',303,'N'),(15,2324164,'2',328,'N'),(15,2324172,'1',502,'N'),(15,2324172,'2',427,'N'),(15,2324180,'1',339,'N'),(15,2324180,'2',309,'N'),(15,2324199,'1',2,'N'),(15,2324199,'2',222,'N'),(15,2324202,'1',5,'N'),(15,2324202,'2',425,'N'),(15,2324210,'1',201,'N'),(15,2324210,'1A',211,'N'),(15,2324210,'2',212,'N'),(15,2324229,'1',220,'N'),(15,2324229,'1A',203,'N'),(15,2324237,'1',304,'N'),(15,2324237,'2',444,'N'),(15,2324245,'1',303,'N'),(15,2324245,'2',304,'N'),(15,2324253,'1',423,'N'),(15,2324253,'1A',429,'N'),(15,2324253,'2',339,'N'),(15,2324261,'1',327,'N'),(15,2324261,'2',428,'N'),(15,2324270,'1',501,'N'),(15,2324270,'2',303,'N'),(15,2324288,'1',329,'N'),(15,2324288,'2',424,'N'),(15,2324296,'1',303,'N'),(15,2324296,'2',104,'N'),(15,2324300,'1',310,'N'),(15,2324300,'2',320,'N'),(15,2324318,'1',317,'N'),(15,2324318,'2',404,'N'),(15,2324326,'1',211,'N'),(15,2324326,'1A',215,'N'),(15,2324326,'2',225,'N'),(15,2324334,'1',502,'N'),(15,2324334,'2',501,'N'),(15,2324350,'1',501,'N'),(15,2324350,'2',213,'N'),(15,2324369,'1',207,'N'),(15,2324369,'1A',201,'N'),(15,2324377,'1',333,'N'),(15,2324385,'1',320,'N'),(15,2324385,'2',327,'N'),(15,2324393,'1',211,'N'),(15,2324393,'1A',233,'N'),(15,2324393,'2',213,'N'),(15,2324407,'1',324,'N'),(15,2324407,'2',309,'N'),(15,2324415,'1',103,'N'),(15,2324415,'2',214,'N'),(15,2324423,'1',329,'N'),(15,2324431,'1',216,'N'),(15,2324431,'1A',208,'N'),(15,2324431,'2',2,'N'),(15,2324440,'1',201,'N'),(15,2324440,'1A',213,'N'),(15,2324440,'2',212,'N'),(15,2324458,'1',5,'N'),(15,2324458,'2',103,'N'),(15,2324466,'1',420,'N'),(15,2324466,'2',207,'N'),(15,2324474,'1',328,'N'),(15,2324482,'1',201,'N'),(15,2324482,'2',224,'N'),(15,2324490,'1',333,'N'),(15,2324490,'2',108,'N'),(15,2324504,'1',5,'N'),(15,2324504,'2',302,'N'),(15,2324512,'1',308,'N'),(15,2324512,'2',101,'N'),(15,2324520,'1',444,'N'),(15,2324520,'2',404,'N'),(15,2324539,'1',444,'N'),(15,2324539,'2',404,'N'),(15,2324547,'1',101,'N'),(15,2324547,'2',104,'N'),(15,2324555,'1',220,'N'),(15,2324555,'1A',208,'N'),(15,2324555,'2',202,'N'),(15,2324571,'1',319,'N'),(15,2324571,'2',421,'N'),(15,2324598,'1',103,'N'),(15,2324598,'2',303,'N'),(15,2324601,'1',201,'N'),(15,2324601,'1A',212,'N'),(15,2324601,'2',225,'N'),(15,2324610,'1',202,'N'),(15,2324610,'1A',216,'N'),(15,2324610,'2',212,'N'),(15,2324628,'1',320,'N'),(15,2324628,'2',329,'N'),(15,2324636,'1',103,'N'),(15,2324636,'2',207,'N'),(15,2324644,'1',333,'N'),(15,2324644,'2',234,'N'),(15,2324652,'1',303,'N'),(15,2324652,'2',201,'N'),(15,2324679,'1',103,'N'),(15,2324679,'2',104,'N'),(15,2324687,'1',211,'N'),(15,2324687,'1A',207,'N'),(15,2324687,'2',333,'N'),(15,2324695,'1',333,'N'),(15,2324695,'2',444,'N'),(15,2324709,'1',333,'N'),(15,2324709,'2',102,'N'),(15,2324717,'1',303,'N'),(15,2324717,'2',415,'N'),(15,2324725,'1',215,'N'),(15,2324725,'1A',207,'N'),(15,2324725,'2',332,'N'),(15,2324733,'1',501,'N'),(15,2324741,'1',103,'N'),(15,2324741,'2',333,'N'),(15,2324768,'1',420,'N'),(15,2324768,'2',207,'N'),(15,2324784,'1',103,'N'),(15,2324784,'2',104,'N'),(15,2324792,'1',103,'N'),(15,2324806,'1',208,'N'),(15,2324806,'1A',238,'N'),(15,2324806,'2',420,'N'),(15,2324814,'1',215,'N'),(15,2324814,'1A',211,'N'),(15,2324814,'2',450,'N'),(15,2324822,'1',104,'N'),(15,2324822,'2',502,'N'),(15,2324830,'1',301,'N'),(15,2324830,'2',303,'N'),(15,2324849,'1',216,'N'),(15,2324849,'1A',207,'N'),(15,2324849,'2',420,'N'),(15,2324857,'1',319,'N'),(15,2324865,'1',415,'N'),(15,2324865,'2',319,'N'),(15,2324873,'1',203,'N'),(15,2324873,'2',420,'N'),(15,2324881,'1',233,'N'),(15,2324881,'2',217,'N'),(15,2324890,'1',216,'N'),(15,2324890,'1A',203,'N'),(15,2324903,'1',404,'N'),(15,2324903,'2',339,'N'),(15,2324911,'1',207,'N'),(15,2324911,'1A',201,'N'),(15,2324911,'2',324,'N'),(15,2324920,'1',308,'N'),(15,2324920,'2',339,'N'),(15,2324938,'1',103,'N'),(15,2324938,'2',233,'N'),(15,2324954,'1',303,'N'),(15,2324954,'2',104,'N'),(15,2324962,'1',333,'N'),(15,2324962,'2',108,'N'),(15,2324970,'1',415,'N'),(15,2324970,'2',309,'N'),(15,2324997,'1',101,'N'),(15,2324997,'2',332,'N'),(15,2325004,'1',329,'N'),(15,2325004,'2',451,'N'),(15,2325012,'1',451,'N'),(15,2325012,'2',316,'N'),(15,2325020,'1',303,'N'),(15,2325020,'2',444,'N'),(15,2325039,'1',304,'N'),(15,2325039,'2',404,'N'),(15,2325047,'1',234,'N'),(15,2325047,'2',339,'N'),(15,2325063,'1',303,'N'),(15,2325063,'2',103,'N'),(15,2325071,'1',207,'N'),(15,2325071,'1A',211,'N'),(15,2325071,'2',201,'N'),(15,2325080,'1',238,'N'),(15,2325080,'1A',201,'N'),(15,2325080,'2',207,'N'),(15,2325098,'1',103,'N'),(15,2325098,'2',324,'N'),(15,2325101,'1',207,'N'),(15,2325101,'1A',201,'N'),(15,2325110,'1',103,'N'),(15,2325110,'2',420,'N'),(15,2325128,'1',444,'N'),(15,2325128,'2',333,'N'),(15,2325136,'1',317,'N'),(15,2325136,'2',302,'N'),(15,2325144,'1',326,'N'),(15,2325144,'2',327,'N'),(15,2325152,'1',404,'N'),(15,2325152,'2',444,'N'),(15,2325160,'1',211,'N'),(15,2325160,'1A',233,'N'),(15,2325160,'2',327,'N'),(15,2325179,'1',102,'N'),(15,2325187,'1',428,'N'),(15,2325187,'1A',424,'N'),(15,2325187,'2',328,'N'),(15,2325195,'1',220,'N'),(15,2325195,'1A',203,'N'),(15,2325209,'1',428,'N'),(15,2325209,'1A',426,'N'),(15,2325209,'2',450,'N'),(15,2325217,'1',308,'N'),(15,2325217,'2',451,'N'),(15,2325225,'1',217,'N'),(15,2325225,'2',2,'N'),(15,2325233,'1',333,'N'),(15,2325233,'2',332,'N'),(15,2325241,'1',320,'N'),(15,2325241,'2',426,'N'),(15,2325250,'1',427,'N'),(15,2325250,'1A',425,'N'),(15,2325250,'2',451,'N'),(15,2325268,'1',5,'N'),(15,2325276,'1',208,'N'),(15,2325284,'1',5,'N'),(15,2325284,'2',324,'N'),(15,2325292,'1',103,'N'),(15,2325292,'2',104,'N'),(15,2325314,'1',309,'N'),(15,2325314,'2',308,'N'),(15,2325322,'1',5,'N'),(15,2325330,'1',5,'N'),(15,2325357,'1',301,'N'),(15,2325357,'2',324,'N'),(15,2325365,'1',420,'N'),(15,2325365,'2',333,'N'),(15,2325373,'1',211,'N'),(15,2325373,'1A',212,'N'),(15,2325373,'2',214,'N'),(15,2325381,'1',238,'N'),(15,2325381,'1A',208,'N'),(15,2325381,'2',316,'N'),(15,2325403,'1',238,'N'),(15,2325403,'1A',208,'N'),(15,2325403,'2',318,'N'),(15,2325411,'1',316,'N'),(15,2325411,'2',420,'N'),(15,2325420,'1',9,'N'),(15,2325420,'2',319,'N'),(15,2325438,'1',103,'N'),(15,2325438,'2',333,'N'),(15,2325454,'1',333,'N'),(15,2325454,'2',301,'N'),(15,2325462,'1',108,'N'),(15,2325462,'2',326,'N'),(15,2325489,'1',501,'N'),(15,2325489,'2',326,'N'),(15,2325497,'1',301,'N'),(15,2325497,'2',333,'N'),(15,2325500,'1',5,'N'),(15,2325500,'2',303,'N'),(15,2325519,'1',415,'N'),(15,2325519,'2',333,'N'),(15,2325535,'1',316,'N'),(15,2325535,'2',420,'N'),(15,2325543,'1',404,'N'),(15,2325543,'2',339,'N'),(15,2325551,'1',201,'N'),(15,2325551,'1A',212,'N'),(15,2325551,'2',207,'N'),(15,2325560,'1',203,'N'),(15,2325578,'1',301,'N'),(15,2325578,'2',304,'N'),(15,2325586,'1',303,'N'),(15,2325586,'2',5,'N'),(15,2325594,'1',201,'N'),(15,2325594,'1A',211,'N'),(15,2325594,'2',233,'N'),(15,2325608,'1',316,'N'),(15,2325608,'2',5,'N'),(15,2325616,'1',216,'N'),(15,2325616,'1A',208,'N'),(15,2325616,'2',217,'N'),(15,2325624,'1',238,'N'),(15,2325624,'2',102,'N'),(15,2325632,'1',444,'N'),(15,2325632,'2',208,'N'),(15,2325640,'1',5,'N'),(15,2325640,'2',303,'N'),(15,2325659,'1',420,'N'),(15,2325659,'2',423,'N'),(15,2325667,'1',101,'N'),(15,2325667,'2',201,'N'),(15,2325675,'1',310,'N'),(15,2325675,'2',333,'N'),(15,2325683,'1',425,'N'),(15,2325683,'1A',429,'N'),(15,2325683,'2',332,'N'),(15,2325691,'1',220,'N'),(15,2325691,'2',202,'N'),(15,2325713,'1',333,'N'),(15,2325713,'2',211,'N'),(15,2325721,'1',320,'N'),(15,2325721,'2',331,'N'),(15,2325730,'1',319,'N'),(15,2325730,'2',415,'N'),(15,2325748,'1',208,'N'),(15,2325748,'1A',238,'N'),(15,2325748,'2',502,'N'),(15,2325756,'1',303,'N'),(15,2325756,'2',5,'N'),(15,2325764,'1',301,'N'),(15,2325764,'2',5,'N'),(15,2325772,'1',339,'N'),(15,2325772,'2',9,'N'),(15,2325780,'1',103,'N'),(15,2325780,'2',101,'N'),(15,2325799,'1',103,'N'),(15,2325799,'2',101,'N'),(15,2325802,'1',320,'N'),(15,2325802,'2',425,'N'),(15,2325810,'1',301,'N'),(15,2325810,'2',444,'N'),(15,2325829,'1',233,'N'),(15,2325829,'1A',214,'N'),(15,2325829,'2',216,'N'),(15,2325837,'1',319,'N'),(15,2325837,'2',108,'N'),(15,2325861,'1',5,'N'),(15,2325861,'2',415,'N'),(15,2325870,'1',423,'N'),(15,2325870,'1A',425,'N'),(15,2325870,'2',303,'N'),(15,2325888,'1',238,'N'),(15,2325888,'2',208,'N'),(15,2325896,'1',301,'N'),(15,2325896,'2',234,'N'),(15,2325900,'1',302,'N'),(15,2325900,'2',223,'N'),(15,2325918,'1',501,'N'),(15,2325918,'2',427,'N'),(15,2325926,'1',207,'N'),(15,2325926,'2',328,'N'),(15,2325934,'1',103,'N'),(15,2325934,'2',207,'N'),(15,2325950,'1',5,'N'),(15,2325950,'2',404,'N'),(15,2325969,'1',444,'N'),(15,2325969,'2',302,'N'),(15,2325977,'1',215,'N'),(15,2325977,'1A',216,'N'),(15,2325977,'2',304,'N'),(15,2325985,'1',303,'N'),(15,2325985,'2',9,'N'),(15,2326000,'1',303,'N'),(15,2326000,'2',450,'N'),(15,2326019,'1',9,'N'),(15,2326019,'2',104,'N'),(15,2326027,'1',415,'N'),(15,2326027,'2',339,'N'),(15,2326035,'1',9,'N'),(15,2326035,'2',215,'N'),(15,2326043,'1',5,'N'),(15,2326051,'1',5,'N'),(15,2326051,'2',316,'N'),(15,2326060,'1',319,'N'),(15,2326060,'2',102,'N'),(15,2326078,'1',319,'N'),(15,2326078,'2',404,'N'),(15,2326094,'1',234,'N'),(15,2326094,'2',211,'N'),(15,2326108,'1',103,'N'),(15,2326108,'2',319,'N'),(15,2326116,'1',425,'N'),(15,2326116,'1A',423,'N'),(15,2326116,'2',427,'N'),(15,2326124,'1',5,'N'),(15,2326124,'2',423,'N'),(15,2326132,'1',103,'N'),(15,2326132,'2',502,'N'),(15,2326140,'1',450,'N'),(15,2326167,'1',207,'N'),(15,2326167,'2',415,'N'),(15,2326175,'1',425,'N'),(15,2326175,'1A',423,'N'),(15,2326175,'2',429,'N'),(15,2326183,'1',444,'N'),(15,2326183,'2',415,'N'),(15,2326191,'1',103,'N'),(15,2326205,'1',450,'N'),(15,2326213,'1',211,'N'),(15,2326213,'1A',215,'N'),(15,2326213,'2',339,'N'),(15,2326221,'1',9,'N'),(15,2326221,'2',215,'N'),(15,2326230,'1',316,'N'),(15,2326230,'2',318,'N'),(15,2326264,'1',211,'N'),(15,2326264,'1A',201,'N'),(15,2326264,'2',225,'N'),(15,2326272,'1',303,'N'),(15,2326272,'2',415,'N'),(15,2326280,'1',211,'N'),(15,2326280,'1A',215,'N'),(15,2326280,'2',108,'N'),(15,2326299,'1',9,'N'),(15,2326299,'2',215,'N'),(15,2326302,'1',101,'N'),(15,2326302,'2',9,'N'),(15,2326310,'1',327,'N'),(15,2326310,'2',426,'N'),(15,2326329,'1',9,'N'),(15,2326329,'2',103,'N'),(15,2326337,'1',202,'N'),(15,2326337,'1A',201,'N'),(15,2326337,'2',233,'N'),(15,2326345,'1',319,'N'),(15,2326345,'2',309,'N'),(15,2326361,'1',316,'N'),(15,2326361,'2',308,'N'),(15,2326370,'1',426,'N'),(15,2326370,'1A',428,'N'),(15,2326370,'2',339,'N'),(15,2326388,'1',444,'N'),(15,2326388,'2',333,'N'),(15,2326396,'1',451,'N'),(15,2326396,'2',207,'N'),(15,2326400,'1',103,'N'),(15,2326400,'2',5,'N'),(15,2326418,'1',333,'N'),(15,2326418,'2',502,'N'),(15,2326426,'1',104,'N'),(15,2326426,'2',301,'N'),(15,2326434,'1',5,'N'),(15,2326434,'2',333,'N'),(15,2326442,'1',238,'N'),(15,2326442,'1A',203,'N'),(15,2326442,'2',451,'N'),(15,2326450,'1',104,'N'),(15,2326450,'2',102,'N'),(15,2326469,'1',104,'N'),(15,2326469,'2',9,'N'),(15,2326477,'1',103,'N'),(15,2326477,'2',104,'N'),(15,2326485,'1',420,'N'),(15,2326485,'2',415,'N'),(15,2326493,'1',327,'N'),(15,2326493,'2',424,'N'),(15,2326507,'1',316,'N'),(15,2326507,'2',318,'N'),(15,2326515,'1',103,'N'),(15,2326515,'2',101,'N'),(15,2326523,'1',220,'N'),(15,2326523,'1A',202,'N'),(15,2326523,'2',203,'N'),(15,2326531,'1',103,'N'),(15,2326531,'2',319,'N'),(15,2326540,'1',203,'N'),(15,2326540,'2',214,'N'),(15,2326558,'1',104,'N'),(15,2326558,'2',319,'N'),(15,2326566,'1',207,'N'),(15,2326566,'1A',201,'N'),(15,2326566,'2',212,'N'),(15,2326574,'1',301,'N'),(15,2326574,'2',316,'N'),(15,2326582,'1',207,'N'),(15,2326582,'1A',201,'N'),(15,2326582,'2',319,'N'),(15,2326604,'1',108,'N'),(15,2326604,'2',333,'N'),(15,2326612,'1',303,'N'),(15,2326612,'2',333,'N'),(15,2326620,'1',5,'N'),(15,2326620,'2',201,'N'),(15,2326639,'1',303,'N'),(15,2326639,'2',207,'N'),(15,2326647,'1',304,'N'),(15,2326647,'2',303,'N'),(15,2326655,'1',501,'N'),(15,2326655,'2',234,'N'),(15,2326663,'1',425,'N'),(15,2326663,'1A',427,'N'),(15,2326663,'2',320,'N'),(15,2326698,'1',333,'N'),(15,2326698,'2',310,'N'),(15,2326701,'1',211,'N'),(15,2326701,'1A',207,'N'),(15,2326701,'2',101,'N'),(15,2326710,'1',318,'N'),(15,2326710,'2',234,'N'),(15,2326728,'1',329,'N'),(15,2326728,'2',225,'N'),(15,2326736,'1',319,'N'),(15,2326736,'2',451,'N'),(15,2326760,'1',102,'N'),(15,2326760,'2',217,'N'),(15,2326779,'1',317,'N'),(15,2326779,'2',224,'N'),(15,2326787,'1',234,'N'),(15,2326795,'1',208,'N'),(15,2326795,'1A',238,'N'),(15,2326795,'2',214,'N'),(15,2326809,'1',202,'N'),(15,2326809,'1A',213,'N'),(15,2326809,'2',201,'N'),(15,2326825,'1',333,'N'),(15,2326825,'2',420,'N'),(15,2326833,'1',5,'N'),(15,2326833,'2',303,'N'),(15,2326841,'1',309,'N'),(15,2326841,'2',310,'N'),(15,2326850,'1',108,'N'),(15,2326850,'2',203,'N'),(15,2326868,'1',103,'N'),(15,2326868,'2',207,'N'),(15,2326884,'1',203,'N'),(15,2326884,'1A',202,'N'),(15,2326884,'2',217,'N'),(15,2326892,'1',5,'N'),(15,2326892,'2',324,'N'),(15,2326906,'1',444,'N'),(15,2326914,'1',301,'N'),(15,2326914,'2',316,'N'),(15,2326930,'1',304,'N'),(15,2326930,'2',9,'N'),(15,2326965,'1',318,'N'),(15,2326965,'2',425,'N'),(15,2326973,'1',207,'N'),(15,2326973,'1A',201,'N'),(15,2326973,'2',303,'N'),(15,2326981,'1',203,'N'),(15,2326981,'1A',211,'N'),(15,2326981,'2',214,'N'),(15,2326990,'1',303,'N'),(15,2326990,'2',103,'N'),(15,2327007,'1',451,'N'),(15,2327007,'2',426,'N'),(15,2327015,'1',339,'N'),(15,2327015,'2',318,'N'),(15,2327023,'1',327,'N'),(15,2327023,'2',317,'N'),(15,2327031,'1',415,'N'),(15,2327031,'2',429,'N'),(15,2327040,'1',303,'N'),(15,2327040,'2',5,'N'),(15,2327074,'1',103,'N'),(15,2327074,'2',101,'N'),(15,2327082,'1',5,'N'),(15,2327082,'2',424,'N'),(15,2327090,'1',5,'N'),(15,2327090,'2',425,'N'),(15,2327104,'1',316,'N'),(15,2327104,'2',301,'N'),(15,2327112,'1',420,'N'),(15,2327120,'1',420,'N'),(15,2327120,'2',450,'N'),(15,2327139,'1',425,'N'),(15,2327139,'1A',424,'N'),(15,2327139,'2',421,'N'),(15,2327147,'1',303,'N'),(15,2327147,'2',301,'N'),(15,2327155,'1',102,'N'),(15,2327155,'2',108,'N'),(15,2327163,'1',207,'N'),(15,2327163,'2',9,'N'),(15,2327171,'1',415,'N'),(15,2327171,'2',332,'N'),(15,2327180,'1',103,'N'),(15,2327180,'2',104,'N'),(15,2327198,'1',213,'N'),(15,2327198,'1A',202,'N'),(15,2327198,'2',203,'N'),(15,2327201,'1',102,'N'),(15,2327201,'2',420,'N'),(15,2327210,'1',207,'N'),(15,2327210,'1A',201,'N'),(15,2327210,'2',102,'N'),(15,2327228,'1',103,'N'),(15,2327228,'2',301,'N'),(15,2327236,'1',333,'N'),(15,2327236,'2',327,'N'),(15,2327244,'1',303,'N'),(15,2327260,'1',238,'N'),(15,2327260,'1A',208,'N'),(15,2327260,'2',420,'N'),(15,2327279,'1',316,'N'),(15,2327279,'2',318,'N'),(15,2327287,'1',208,'N'),(15,2327287,'2',404,'N'),(15,2327295,'1',103,'N'),(15,2327295,'2',102,'N'),(15,2327309,'1',318,'N'),(15,2327309,'2',316,'N'),(15,2327317,'1',216,'N'),(15,2327317,'1A',211,'N'),(15,2327317,'2',234,'N'),(15,2327325,'1',428,'N'),(15,2327325,'2',424,'N'),(15,2327333,'1',329,'N'),(15,2327333,'2',424,'N'),(15,2327341,'1',303,'N'),(15,2327341,'2',319,'N'),(15,2327350,'1',333,'N'),(15,2327350,'2',211,'N'),(15,2327368,'1',103,'N'),(15,2327368,'2',101,'N'),(15,2327376,'1',332,'N'),(15,2327376,'2',327,'N'),(15,2327384,'1',320,'N'),(15,2327384,'2',310,'N'),(15,2327392,'1',103,'N'),(15,2327392,'2',303,'N'),(15,2327406,'1',420,'N'),(15,2327406,'2',207,'N'),(15,2327414,'1',103,'N'),(15,2327414,'2',212,'N'),(15,2327422,'1',303,'N'),(15,2327422,'2',310,'N'),(15,2327430,'1',5,'N'),(15,2327457,'1',207,'N'),(15,2327457,'1A',211,'N'),(15,2327457,'2',215,'N'),(15,2327473,'1',207,'N'),(15,2327473,'2',420,'N'),(15,2327481,'1',203,'N'),(15,2327481,'1A',233,'N'),(15,2327481,'2',2,'N'),(15,2327490,'1',424,'N'),(15,2327490,'1A',427,'N'),(15,2327490,'2',451,'N'),(15,2327511,'1',220,'N'),(15,2327511,'1A',213,'N'),(15,2327511,'2',404,'N'),(15,2327520,'1',5,'N'),(15,2327520,'2',201,'N'),(15,2327538,'1',103,'N'),(15,2327538,'2',501,'N'),(15,2327546,'1',502,'N'),(15,2327546,'2',102,'N'),(15,2327554,'1',326,'N'),(15,2327554,'2',327,'N'),(15,2327570,'1',103,'N'),(15,2327589,'1',220,'N'),(15,2327589,'1A',202,'N'),(15,2327589,'2',213,'N'),(15,2327597,'1',103,'N'),(15,2327600,'1',310,'N'),(15,2327627,'1',303,'N'),(15,2327635,'1',316,'N'),(15,2327635,'2',333,'N'),(15,2327643,'1',5,'N'),(15,2327643,'2',425,'N'),(15,2327651,'1',309,'N'),(15,2327651,'2',329,'N'),(15,2327660,'1',5,'N'),(15,2327660,'2',316,'N'),(15,2327678,'1',415,'N'),(15,2327678,'2',108,'N'),(15,2327686,'1',238,'N'),(15,2327686,'2',220,'N'),(15,2327708,'1',103,'N'),(15,2327708,'2',220,'N'),(15,2327724,'1',207,'N'),(15,2327724,'1A',211,'N'),(15,2327724,'2',420,'N'),(15,2327732,'1',303,'N'),(15,2327732,'2',216,'N'),(15,2327740,'1',327,'N'),(15,2327740,'2',339,'N'),(15,2327759,'1',420,'N'),(15,2327759,'2',207,'N'),(15,2327767,'1',428,'N'),(15,2327767,'1A',426,'N'),(15,2327767,'2',423,'N'),(15,2327791,'1',101,'N'),(15,2327791,'2',102,'N'),(15,2327813,'1',214,'N'),(15,2327813,'2',316,'N'),(15,2327821,'1',211,'N'),(15,2327821,'1A',214,'N'),(15,2327821,'2',333,'N'),(15,2327830,'1',203,'N'),(15,2327830,'1A',214,'N'),(15,2327830,'2',420,'N'),(15,2327848,'1',429,'N'),(15,2327848,'1A',427,'N'),(15,2327848,'2',328,'N'),(15,2327856,'1',215,'N'),(15,2327856,'1A',238,'N'),(15,2327856,'2',328,'N'),(15,2327864,'1',316,'N'),(15,2327864,'2',427,'N'),(15,2327872,'1',415,'N'),(15,2327872,'2',450,'N'),(15,2327880,'1',103,'N'),(15,2327880,'2',303,'N'),(15,2327899,'1',5,'N'),(15,2327899,'2',303,'N'),(15,2327902,'1',203,'N'),(15,2327902,'1A',202,'N'),(15,2327902,'2',5,'N'),(15,2327929,'1',208,'N'),(15,2327929,'1A',207,'N'),(15,2327929,'2',420,'N'),(15,2327937,'1',211,'N'),(15,2327937,'1A',203,'N'),(15,2327937,'2',202,'N'),(15,2327945,'1',5,'N'),(15,2327945,'2',327,'N'),(15,2327961,'1',104,'N'),(15,2327961,'2',303,'N'),(15,2327970,'1',103,'N'),(15,2327988,'1',103,'N'),(15,2327988,'2',9,'N'),(15,2327996,'1',103,'N'),(15,2328003,'1',214,'N'),(15,2328003,'1A',211,'N'),(15,2328003,'2',318,'N'),(15,2328011,'1',103,'N'),(15,2328011,'2',104,'N'),(15,2328020,'1',103,'N'),(15,2328020,'2',104,'N'),(15,2328038,'1',339,'N'),(15,2328038,'2',329,'N'),(15,2328054,'1',101,'N'),(15,2328054,'2',425,'N'),(15,2328070,'1',103,'N'),(15,2328097,'1',214,'N'),(15,2328097,'1A',212,'N'),(15,2328097,'2',233,'N'),(15,2328100,'1',103,'N'),(15,2328100,'2',102,'N'),(15,2328119,'1',203,'N'),(15,2328119,'1A',220,'N'),(15,2328119,'2',233,'N'),(15,2328127,'1',331,'N'),(15,2328127,'2',333,'N'),(15,2328143,'1',103,'N'),(15,2328143,'2',104,'N'),(15,2328151,'1',203,'N'),(15,2328151,'1A',214,'N'),(15,2328151,'2',302,'N'),(15,2328160,'1',9,'N'),(15,2328160,'2',104,'N'),(15,2328178,'1',303,'N'),(15,2328178,'2',5,'N'),(15,2328186,'1',233,'N'),(15,2328186,'1A',212,'N'),(15,2328186,'2',201,'N'),(15,2328194,'1',214,'N'),(15,2328194,'1A',211,'N'),(15,2328194,'2',233,'N'),(15,2328208,'1',103,'N'),(15,2328208,'2',203,'N'),(15,2328216,'1',225,'N'),(15,2328216,'2',502,'N'),(15,2328224,'1',103,'N'),(15,2328224,'2',104,'N'),(15,2328232,'1',214,'N'),(15,2328232,'1A',203,'N'),(15,2328232,'2',216,'N'),(15,2328259,'1',223,'N'),(15,2328259,'2',224,'N'),(15,2328275,'1',501,'N'),(15,2328283,'1',104,'N'),(15,2328283,'2',9,'N'),(15,2328291,'1',5,'N'),(15,2328305,'1',316,'N'),(15,2328305,'2',238,'N'),(15,2328313,'1',103,'N'),(15,2328313,'2',102,'N'),(15,2328330,'1',201,'N'),(15,2328330,'1A',212,'N'),(15,2328330,'2',238,'N'),(15,2328348,'1',102,'N'),(15,2328348,'2',104,'N'),(15,2328364,'1',304,'N'),(15,2328364,'2',318,'N'),(15,2328380,'1',103,'N'),(15,2328380,'2',108,'N'),(15,2328399,'1',224,'N'),(15,2328399,'2',225,'N'),(15,2328402,'1',220,'N'),(15,2328402,'1A',214,'N'),(15,2328410,'1',304,'N'),(15,2328410,'2',223,'N'),(15,2328429,'1',103,'N'),(15,2328445,'1',420,'N'),(15,2328445,'2',207,'N'),(15,2328453,'1',103,'N'),(15,2328453,'2',207,'N'),(15,2328461,'1',203,'N'),(15,2328461,'2',202,'N'),(15,2328470,'1',502,'N'),(15,2328470,'2',333,'N'),(15,2328496,'1',427,'N'),(15,2328496,'1A',424,'N'),(15,2328496,'2',326,'N'),(15,2328500,'1',233,'N'),(15,2328500,'1A',203,'N'),(15,2328500,'2',215,'N'),(15,2328518,'1',208,'N'),(15,2328518,'1A',238,'N'),(15,2328518,'2',202,'N'),(15,2328526,'1',201,'N'),(15,2328526,'1A',212,'N'),(15,2328526,'2',220,'N'),(15,2328534,'1',316,'N'),(15,2328534,'2',301,'N'),(15,2328542,'1',303,'N'),(15,2328542,'2',320,'N'),(15,2328550,'1',501,'N'),(15,2328550,'2',331,'N'),(15,2328569,'1',203,'N'),(15,2328569,'1A',214,'N'),(15,2328569,'2',427,'N'),(15,2328577,'1',103,'N'),(15,2328577,'2',101,'N'),(15,2328585,'1',103,'N'),(15,2328585,'2',220,'N'),(15,2328593,'1',420,'N'),(15,2328593,'2',223,'N'),(15,2328631,'1',108,'N'),(15,2328631,'2',502,'N'),(15,2328640,'1',5,'N'),(15,2328640,'2',339,'N'),(15,2328658,'1',303,'N'),(15,2328658,'2',5,'N'),(15,2328666,'1',214,'N'),(15,2328666,'1A',238,'N'),(15,2328666,'2',224,'N'),(15,2328674,'1',301,'N'),(15,2328674,'2',424,'N'),(15,2328682,'1',316,'N'),(15,2328682,'2',501,'N'),(15,2328704,'1',216,'N'),(15,2328704,'2',217,'N'),(15,2328712,'1',104,'N'),(15,2328712,'2',501,'N'),(15,2328720,'1',317,'N'),(15,2328747,'1',211,'N'),(15,2328747,'1A',201,'N'),(15,2328747,'2',502,'N'),(15,2328763,'1',101,'N'),(15,2328763,'2',316,'N'),(15,2328771,'1',208,'N'),(15,2328771,'1A',238,'N'),(15,2328771,'2',103,'N'),(15,2328780,'1',318,'N'),(15,2328780,'2',316,'N'),(15,2328798,'1',201,'N'),(15,2328798,'1A',212,'N'),(15,2328798,'2',207,'N'),(15,2328801,'1',333,'N'),(15,2328801,'2',327,'N'),(15,2328810,'1',215,'N'),(15,2328810,'1A',207,'N'),(15,2328810,'2',5,'N'),(15,2328828,'1',316,'N'),(15,2328828,'2',339,'N'),(15,2328836,'1',316,'N'),(15,2328836,'2',421,'N'),(15,2328844,'1',303,'N'),(15,2328844,'2',328,'N'),(15,2328852,'1',331,'N'),(15,2328852,'2',339,'N'),(15,2328860,'1',238,'N'),(15,2328860,'1A',208,'N'),(15,2328860,'2',216,'N'),(15,2328879,'1',429,'N'),(15,2328879,'1A',427,'N'),(15,2328879,'2',224,'N'),(15,2328887,'1',220,'N'),(15,2328887,'1A',202,'N'),(15,2328887,'2',213,'N'),(15,2328909,'1',103,'N'),(15,2328925,'1',320,'N'),(15,2328925,'2',225,'N'),(15,2328933,'1',103,'N'),(15,2328941,'1',333,'N'),(15,2328941,'2',324,'N'),(15,2328968,'1',302,'N'),(15,2328976,'1',103,'N'),(15,2328976,'2',101,'N'),(15,2328984,'1',429,'N'),(15,2328984,'1A',427,'N'),(15,2328984,'2',424,'N'),(15,2328992,'1',316,'N'),(15,2328992,'2',318,'N'),(15,2329000,'1',451,'N'),(15,2329000,'2',423,'N'),(15,2329018,'1',5,'N'),(15,2329018,'2',303,'N'),(15,2329026,'1',318,'N'),(15,2329026,'2',332,'N'),(15,2329042,'1',103,'N'),(15,2329050,'1',220,'N'),(15,2329050,'1A',203,'N'),(15,2329050,'2',214,'N'),(15,2329069,'1',203,'N'),(15,2329069,'1A',220,'N'),(15,2329069,'2',304,'N'),(15,2329085,'1',108,'N'),(15,2329085,'2',102,'N'),(15,2329093,'1',333,'N'),(15,2329093,'2',421,'N'),(15,2329107,'1',316,'N'),(15,2329107,'2',5,'N'),(15,2329115,'1',451,'N'),(15,2329115,'2',324,'N'),(15,2329123,'1',104,'N'),(15,2329131,'1',5,'N'),(15,2329131,'2',444,'N'),(15,2329140,'1',425,'N'),(15,2329140,'1A',424,'N'),(15,2329140,'2',308,'N'),(15,2329158,'1',5,'N'),(15,2329158,'2',429,'N'),(15,2329166,'1',301,'N'),(15,2329166,'2',302,'N'),(15,2329182,'1',329,'N'),(15,2329182,'2',324,'N'),(15,2329190,'1',203,'N'),(15,2329190,'1A',213,'N'),(15,2329190,'2',420,'N'),(15,2329204,'1',217,'N'),(15,2329204,'2',216,'N'),(15,2329212,'1',103,'N'),(15,2329212,'2',104,'N'),(15,2329239,'1',102,'N'),(15,2329239,'2',304,'N'),(15,2329247,'1',216,'N'),(15,2329247,'1A',211,'N'),(15,2329247,'2',217,'N'),(15,2329255,'1',301,'N'),(15,2329255,'2',420,'N'),(15,2329263,'1',101,'N'),(15,2329263,'2',108,'N'),(15,2329271,'1',202,'N'),(15,2329271,'1A',220,'N'),(15,2329271,'2',426,'N'),(15,2329280,'1',302,'N'),(15,2329280,'2',423,'N'),(15,2329298,'1',201,'N'),(15,2329298,'1A',211,'N'),(15,2329298,'2',212,'N'),(15,2329301,'1',207,'N'),(15,2329301,'2',9,'N'),(15,2329310,'1',316,'N'),(15,2329310,'2',5,'N'),(15,2329328,'1',301,'N'),(15,2329328,'2',316,'N'),(15,2329336,'1',208,'N'),(15,2329336,'1A',238,'N'),(15,2329336,'2',233,'N'),(15,2329344,'1',310,'N'),(15,2329344,'2',320,'N'),(15,2329352,'1',319,'N'),(15,2329352,'2',9,'N'),(15,2329360,'1',233,'N'),(15,2329360,'1A',212,'N'),(15,2329360,'2',214,'N'),(15,2329387,'1',5,'N'),(15,2329387,'2',320,'N'),(15,2329395,'1',104,'N'),(15,2329395,'2',319,'N'),(15,2329409,'1',203,'N'),(15,2329409,'2',420,'N'),(15,2329425,'1',302,'N'),(15,2329425,'2',404,'N'),(15,2329433,'1',501,'N'),(15,2329433,'2',423,'N'),(15,2329441,'1',303,'N'),(15,2329441,'2',301,'N'),(15,2329450,'1',333,'N'),(15,2329450,'2',332,'N'),(15,2329468,'1',319,'N'),(15,2329468,'2',9,'N'),(15,2329476,'1',425,'N'),(15,2329492,'1',450,'N'),(15,2329492,'2',415,'N'),(15,2329506,'1',332,'N'),(15,2329506,'2',327,'N'),(15,2329530,'1',424,'N'),(15,2329530,'1A',421,'N'),(15,2329530,'2',328,'N'),(15,2329549,'1',220,'N'),(15,2329549,'1A',208,'N'),(15,2329549,'2',301,'N'),(15,2329557,'1',319,'N'),(15,2329557,'2',5,'N'),(15,2329573,'1',429,'N'),(15,2329573,'2',339,'N'),(15,2329581,'1',333,'N'),(15,2329581,'2',101,'N'),(15,2329590,'1',203,'N'),(15,2329603,'1',104,'N'),(15,2329603,'2',5,'N'),(15,2329620,'1',103,'N'),(15,2329620,'2',104,'N'),(15,2329638,'1',207,'N'),(15,2329638,'2',201,'N'),(15,2329670,'1',301,'N'),(15,2329670,'2',316,'N'),(15,2329689,'1',415,'N'),(15,2329689,'2',420,'N'),(15,2329697,'1',318,'N'),(15,2329697,'2',320,'N'),(15,2329700,'1',450,'N'),(15,2329700,'2',415,'N'),(15,2329719,'1',208,'N'),(15,2329719,'1A',233,'N'),(15,2329719,'2',222,'N'),(15,2329727,'1',420,'N'),(15,2329727,'2',316,'N'),(15,2329735,'1',103,'N'),(15,2329735,'2',424,'N'),(15,2329743,'1',9,'N'),(15,2329743,'2',333,'N'),(15,2329751,'1',207,'N'),(15,2329751,'1A',233,'N'),(15,2329751,'2',420,'N'),(15,2329760,'1',309,'N'),(15,2329760,'2',339,'N'),(15,2329778,'1',5,'N'),(15,2329778,'2',238,'N'),(15,2329786,'1',451,'N'),(15,2329786,'2',309,'N'),(15,2329794,'1',9,'N'),(15,2329794,'2',502,'N'),(15,2329808,'1',220,'N'),(15,2329808,'1A',201,'N'),(15,2329816,'1',303,'N'),(15,2329816,'2',428,'N'),(15,2329832,'1',224,'N'),(15,2329832,'2',225,'N'),(15,2329840,'1',103,'N'),(15,2329840,'2',424,'N'),(15,2329883,'1',203,'N'),(15,2329883,'1A',220,'N'),(15,2329883,'2',225,'N'),(15,2329891,'1',103,'N'),(15,2329891,'2',450,'N'),(15,2329905,'1',332,'N'),(15,2329905,'2',451,'N'),(15,2329913,'1',303,'N'),(15,2329913,'2',302,'N'),(15,2329921,'1',333,'N'),(15,2329921,'2',415,'N'),(15,2329930,'1',103,'N'),(15,2329930,'2',9,'N'),(15,2329948,'1',309,'N'),(15,2329948,'2',207,'N'),(15,2329956,'1',310,'N'),(15,2329956,'2',326,'N'),(15,2329964,'1',316,'N'),(15,2329964,'2',423,'N'),(15,2329980,'1',303,'N'),(15,2329980,'2',5,'N'),(15,2329999,'1',339,'N'),(15,2329999,'2',224,'N'),(15,2330008,'1',203,'N'),(15,2330008,'1A',202,'N'),(15,2330008,'2',214,'N'),(15,2330016,'1',207,'N'),(15,2330016,'2',201,'N'),(15,2330024,'1',203,'N'),(15,2330024,'1A',214,'N'),(15,2330024,'2',233,'N'),(15,2330032,'1',301,'N'),(15,2330032,'2',102,'N'),(15,2330067,'1',421,'N'),(15,2330067,'1A',425,'N'),(15,2330075,'1',103,'N'),(15,2330075,'2',301,'N'),(15,2330083,'1',303,'N'),(15,2330083,'2',5,'N'),(15,2330091,'1',102,'N'),(15,2330091,'2',333,'N'),(15,2330121,'1',203,'N'),(15,2330121,'1A',202,'N'),(15,2330121,'2',103,'N'),(15,2330130,'1',423,'N'),(15,2330130,'2',308,'N'),(15,2330148,'1',216,'N'),(15,2330148,'1A',201,'N'),(15,2330148,'2',211,'N'),(15,2330156,'1',429,'N'),(15,2330156,'2',451,'N'),(15,2330164,'1',319,'N'),(15,2330164,'2',404,'N'),(15,2330172,'1',201,'N'),(15,2330172,'2',444,'N'),(15,2330202,'1',301,'N'),(15,2330202,'2',216,'N'),(15,2330210,'1',103,'N'),(15,2330210,'2',444,'N'),(15,2330237,'1',102,'N'),(15,2330237,'2',104,'N'),(15,2330245,'1',404,'N'),(15,2330245,'2',332,'N'),(15,2330253,'1',327,'N'),(15,2330253,'2',424,'N'),(15,2330261,'1',316,'N'),(15,2330261,'2',318,'N'),(15,2330288,'1',328,'N'),(15,2330288,'2',425,'N'),(15,2330318,'1',238,'N'),(15,2330318,'1A',208,'N'),(15,2330318,'2',415,'N'),(15,2330326,'1',5,'N'),(15,2330326,'2',303,'N'),(15,2330334,'1',211,'N'),(15,2330334,'1A',207,'N'),(15,2330334,'2',102,'N'),(15,2330350,'1',501,'N'),(15,2330350,'2',426,'N'),(15,2330369,'1',326,'N'),(15,2330369,'2',308,'N'),(15,2330377,'1',207,'N'),(15,2330377,'1A',216,'N'),(15,2330377,'2',333,'N'),(15,2330385,'1',301,'N'),(15,2330385,'2',444,'N'),(15,2330393,'1',208,'N'),(15,2330393,'1A',238,'N'),(15,2330393,'2',420,'N'),(15,2330407,'1',332,'N'),(15,2330407,'2',339,'N'),(15,2330415,'1',201,'N'),(15,2330415,'1A',212,'N'),(15,2330415,'2',233,'N'),(15,2330431,'1',303,'N'),(15,2330431,'2',444,'N'),(15,2330440,'1',208,'N'),(15,2330440,'1A',238,'N'),(15,2330440,'2',108,'N'),(15,2330458,'1',303,'N'),(15,2330458,'2',5,'N'),(15,2330482,'1',103,'N'),(15,2330482,'2',501,'N'),(15,2330504,'1',501,'N'),(15,2330504,'2',234,'N'),(15,2330512,'1',203,'N'),(15,2330512,'1A',214,'N'),(15,2330512,'2',220,'N'),(15,2330520,'1',301,'N'),(15,2330520,'2',425,'N'),(15,2330547,'1',424,'N'),(15,2330547,'1A',421,'N'),(15,2330547,'2',324,'N'),(15,2330571,'1',201,'N'),(15,2330571,'1A',207,'N'),(15,2330571,'2',212,'N'),(15,2330598,'1',203,'N'),(15,2330598,'2',214,'N'),(15,2330601,'1',316,'N'),(15,2330601,'2',327,'N'),(15,2330610,'1',319,'N'),(15,2330610,'2',428,'N'),(15,2330628,'1',201,'N'),(15,2330628,'1A',203,'N'),(15,2330628,'2',404,'N'),(15,2330636,'1',2,'N'),(15,2330636,'2',225,'N'),(15,2330652,'1',317,'N'),(15,2330652,'2',324,'N'),(15,2330660,'1',450,'N'),(15,2330660,'2',420,'N'),(15,2330679,'1',103,'N'),(15,2330679,'2',104,'N'),(15,2330695,'1',211,'N'),(15,2330695,'1A',220,'N'),(15,2330695,'2',202,'N'),(15,2330709,'1',316,'N'),(15,2330709,'2',301,'N'),(15,2330725,'1',208,'N'),(15,2330725,'1A',238,'N'),(15,2330725,'2',301,'N'),(15,2330733,'1',9,'N'),(15,2330750,'1',104,'N'),(15,2330750,'2',101,'N'),(15,2330776,'1',103,'N'),(15,2330814,'1',208,'N'),(15,2330814,'1A',238,'N'),(15,2330849,'1',5,'N'),(15,2330849,'2',303,'N'),(15,2330865,'1',5,'N'),(15,2330865,'2',425,'N'),(15,2330873,'1',301,'N'),(15,2330873,'2',304,'N'),(15,2330890,'1',103,'N'),(15,2330890,'2',102,'N'),(15,2330903,'1',104,'N'),(15,2330903,'2',101,'N'),(15,2330938,'1',103,'N'),(15,2330938,'2',333,'N'),(15,2330946,'1',319,'N'),(15,2330946,'2',310,'N'),(15,2330954,'1',238,'N'),(15,2330954,'2',502,'N'),(15,2330970,'1',415,'N'),(15,2330970,'2',420,'N'),(15,2330989,'1',310,'N'),(15,2330989,'2',320,'N'),(15,2331004,'1',103,'N'),(15,2331039,'1',102,'N'),(15,2331039,'2',201,'N'),(15,2331055,'1',9,'N'),(15,2331055,'2',319,'N'),(15,2331063,'1',420,'N'),(15,2331063,'2',327,'N'),(15,2331101,'1',207,'N'),(15,2331101,'1A',233,'N'),(15,2331101,'2',420,'N'),(15,2331144,'1',207,'N'),(15,2331144,'1A',201,'N'),(15,2331144,'2',333,'N'),(15,2331152,'1',5,'N'),(15,2331152,'2',329,'N'),(15,2331187,'1',103,'N'),(15,2331187,'2',207,'N'),(15,2331195,'1',303,'N'),(15,2331195,'2',5,'N'),(15,2331217,'1',429,'N'),(15,2331217,'1A',425,'N'),(15,2331217,'2',317,'N'),(15,2331241,'1',5,'N'),(15,2331241,'2',303,'N'),(15,2331268,'1',201,'N'),(15,2331268,'2',216,'N'),(15,2331276,'1',103,'N'),(15,2331276,'2',217,'N'),(15,2331292,'1',303,'N'),(15,2331292,'2',208,'N'),(15,2331306,'1',319,'N'),(15,2331306,'2',327,'N'),(15,2331314,'1',103,'N'),(15,2331314,'2',427,'N'),(15,2331330,'1',318,'N'),(15,2331330,'2',324,'N'),(15,2331349,'1',301,'N'),(15,2331349,'2',316,'N'),(15,2331357,'1',203,'N'),(15,2331357,'1A',214,'N'),(15,2331357,'2',301,'N'),(15,2331381,'1',328,'N'),(15,2331381,'2',319,'N'),(15,2331390,'1',102,'N'),(15,2331411,'1',429,'N'),(15,2331411,'1A',425,'N'),(15,2331411,'2',339,'N'),(15,2331420,'1',317,'N'),(15,2331420,'2',302,'N'),(15,2331446,'1',319,'N'),(15,2331446,'2',424,'N'),(15,2331454,'1',103,'N'),(15,2331454,'2',201,'N'),(15,2331470,'1',5,'N'),(15,2331470,'2',444,'N'),(15,2331497,'1',316,'N'),(15,2331497,'2',420,'N'),(15,2331500,'1',211,'N'),(15,2331500,'2',333,'N'),(15,2331519,'1',220,'N'),(15,2331519,'1A',214,'N'),(15,2331519,'2',212,'N'),(15,2331578,'1',208,'N'),(15,2331578,'2',203,'N'),(15,2331608,'1',103,'N'),(15,2331640,'1',103,'N'),(15,2331640,'2',316,'N'),(15,2331659,'1',208,'N'),(15,2331659,'2',238,'N'),(15,2331667,'1',333,'N'),(15,2331667,'2',211,'N'),(15,2331691,'1',203,'N'),(15,2331691,'1A',214,'N'),(15,2331691,'2',324,'N'),(15,2331748,'1',207,'N'),(15,2800004,'1',316,'N'),(15,2800004,'2',308,'N'),(15,2800012,'1',5,'N'),(15,2800012,'2',224,'N'),(15,2800020,'1',339,'N'),(15,2800020,'2',316,'N'),(15,2800039,'1',308,'N'),(15,2800039,'2',317,'N'),(15,2800047,'1',324,'N'),(15,2800047,'2',339,'N'),(15,2800055,'1',404,'N'),(15,2800055,'2',316,'N'),(15,2800063,'1',308,'N'),(15,2800063,'2',324,'N'),(15,2800071,'1',317,'N'),(15,2800071,'2',339,'N'),(15,2800080,'1',451,'N'),(15,2800080,'2',425,'N'),(15,2800098,'1',238,'N'),(15,2800098,'1A',220,'N'),(15,2800098,'2',207,'N'),(15,2800101,'1',404,'N'),(15,2800101,'2',329,'N'),(15,2800110,'1',101,'N'),(15,2800110,'2',339,'N'),(15,2800128,'1',427,'N'),(15,2800128,'2',329,'N'),(15,2800136,'1',238,'N'),(15,2800136,'1A',213,'N'),(15,2800136,'2',331,'N'),(15,2800144,'1',207,'N'),(15,2800144,'1A',201,'N'),(15,2800152,'1',207,'N'),(15,2800152,'1A',202,'N'),(15,2800152,'2',201,'N'),(15,2800160,'1',104,'N'),(15,2800160,'2',224,'N'),(15,2800179,'1',404,'N'),(15,2800179,'2',308,'N'),(15,2800187,'1',317,'N'),(15,2800187,'2',234,'N'),(15,2800195,'1',501,'N'),(15,2800195,'2',332,'N'),(15,2800209,'1',308,'N'),(15,2800209,'2',423,'N'),(15,2800217,'1',339,'N'),(15,2800217,'2',324,'N'),(15,2800225,'1',9,'N'),(15,2800225,'2',102,'N'),(15,2800233,'1',318,'N'),(15,2800233,'2',316,'N'),(15,2800241,'1',225,'N'),(15,2800241,'2',224,'N'),(15,2800250,'1',429,'N'),(15,2800250,'1A',428,'N'),(15,2800250,'2',324,'N'),(15,2800268,'1',101,'N'),(15,2800268,'2',102,'N'),(15,2800276,'1',101,'N'),(15,2800284,'1',216,'N'),(15,2800284,'1A',201,'N'),(15,2800284,'2',215,'N'),(15,2800292,'1',332,'N'),(15,2800292,'2',108,'N'),(15,2800306,'1',317,'N'),(15,2800306,'2',332,'N'),(15,2800314,'1',238,'N'),(15,2800314,'1A',208,'N'),(15,2800314,'2',222,'N'),(15,2800322,'1',202,'N'),(15,2800322,'1A',208,'N'),(15,2800322,'2',213,'N'),(15,2800330,'1',224,'N'),(15,2800330,'2',217,'N'),(15,2800349,'1',415,'N'),(15,2800349,'2',101,'N'),(15,2800357,'1',332,'N'),(15,2800357,'2',320,'N'),(15,2800365,'1',319,'N'),(15,2800365,'2',327,'N'),(15,2800373,'1',203,'N'),(15,2800373,'1A',202,'N'),(15,2800373,'2',238,'N'),(15,2800381,'1',308,'N'),(15,2800390,'1',404,'N'),(15,2800390,'2',339,'N'),(15,2800403,'1',5,'N'),(15,2800403,'2',333,'N'),(15,2800411,'1',426,'N'),(15,2800411,'1A',423,'N'),(15,2800411,'2',308,'N'),(15,2800420,'1',317,'N'),(15,2800420,'2',324,'N'),(15,2800438,'1',404,'N'),(15,2800438,'2',427,'N'),(15,2800446,'1',203,'N'),(15,2800446,'1A',214,'N'),(15,2800446,'2',224,'N'),(15,2800454,'1',309,'N'),(15,2800454,'2',502,'N'),(15,2800462,'1',328,'N'),(15,2800462,'2',208,'N'),(15,2800470,'1',421,'N'),(15,2800470,'2',424,'N'),(15,2800489,'1',451,'N'),(15,2800489,'2',426,'N'),(15,2800497,'1',5,'N'),(15,2800497,'2',339,'N'),(15,2800500,'1',316,'N'),(15,2800500,'2',324,'N'),(15,2800519,'1',211,'N'),(15,2800519,'1A',216,'N'),(15,2800519,'2',234,'N'),(15,2800527,'1',102,'N'),(15,2800527,'2',426,'N'),(15,2800543,'1',319,'N'),(15,2800543,'2',428,'N'),(15,2800551,'1',317,'N'),(15,2800551,'2',224,'N'),(15,2800560,'1',207,'N'),(15,2800560,'1A',211,'N'),(15,2800560,'2',308,'N'),(15,2800578,'1',238,'N'),(15,2800578,'2',308,'N'),(15,2800586,'1',238,'N'),(15,2800586,'1A',208,'N'),(15,2800586,'2',316,'N'),(15,2800594,'1',203,'N'),(15,2800594,'1A',201,'N'),(15,2800594,'2',223,'N'),(15,2800608,'1',203,'N'),(15,2800608,'1A',214,'N'),(15,2800608,'2',202,'N'),(15,2800616,'1',420,'N'),(15,2800616,'2',425,'N'),(15,2800640,'1',215,'N'),(15,2800640,'1A',233,'N'),(15,2800640,'2',217,'N'),(15,2800659,'1',238,'N'),(15,2800659,'1A',233,'N'),(15,2800659,'2',208,'N'),(15,2800667,'1',420,'N'),(15,2800667,'2',329,'N'),(15,2800675,'1',317,'N'),(15,2800675,'2',316,'N'),(15,2800683,'1',404,'N'),(15,2800683,'2',223,'N'),(15,2800691,'1',339,'N'),(15,2800691,'2',324,'N'),(15,2800705,'1',317,'N'),(15,2800705,'2',211,'N'),(15,2800713,'1',309,'N'),(15,2800713,'2',429,'N'),(15,2800721,'1',211,'N'),(15,2800721,'1A',201,'N'),(15,2800721,'2',332,'N'),(15,2800730,'1',404,'N'),(15,2800730,'2',327,'N'),(15,2800748,'1',327,'N'),(15,2800748,'2',225,'N'),(15,2800756,'1',318,'N'),(15,2800756,'2',320,'N'),(15,2800764,'1',317,'N'),(15,2800764,'2',316,'N'),(15,2800772,'1',317,'N'),(15,2800772,'2',404,'N'),(15,2800780,'1',317,'N'),(15,2800780,'2',316,'N'),(15,2800799,'1',317,'N'),(15,2800799,'2',308,'N'),(15,2800802,'1',217,'N'),(15,2800802,'2',327,'N'),(15,2800810,'1',5,'N'),(15,2800810,'2',316,'N'),(15,2800829,'1',424,'N'),(15,2800829,'2',324,'N'),(15,2800837,'1',429,'N'),(15,2800837,'1A',425,'N'),(15,2800837,'2',324,'N'),(15,2800845,'1',404,'N'),(15,2800845,'2',308,'N'),(15,2800853,'1',103,'N'),(15,2800853,'2',5,'N'),(15,2800861,'1',426,'N'),(15,2800861,'1A',425,'N'),(15,2800861,'2',327,'N'),(15,2800870,'1',102,'N'),(15,2800870,'2',339,'N'),(15,2800888,'1',108,'N'),(15,2800888,'2',333,'N'),(15,2800896,'1',429,'N'),(15,2800896,'1A',427,'N'),(15,2800896,'2',426,'N'),(15,2800900,'1',238,'N'),(15,2800900,'1A',208,'N'),(15,2800900,'2',333,'N'),(15,2800918,'1',319,'N'),(15,2800918,'2',333,'N'),(15,2800934,'1',318,'N'),(15,2800934,'2',302,'N'),(15,2800942,'1',333,'N'),(15,2800942,'2',331,'N'),(15,2800950,'1',104,'N'),(15,2800950,'2',332,'N'),(15,2800985,'1',103,'N'),(15,2800985,'2',329,'N'),(15,2800993,'1',308,'N'),(15,2800993,'2',317,'N'),(15,2801000,'1',324,'N'),(15,2801000,'2',224,'N'),(15,2801019,'1',317,'N'),(15,2801019,'2',224,'N'),(15,2801035,'1',318,'N'),(15,2801035,'2',317,'N'),(15,2801043,'1',339,'N'),(15,2801043,'2',324,'N'),(15,2801051,'1',317,'N'),(15,2801051,'2',427,'N'),(15,2801060,'1',332,'N'),(15,2801060,'2',318,'N'),(15,2801086,'1',222,'N'),(15,2801086,'2',328,'N'),(15,2801094,'1',101,'N'),(15,2801094,'2',339,'N'),(15,2801108,'1',9,'N'),(15,2801108,'2',339,'N'),(15,2801116,'1',301,'N'),(15,2801116,'2',309,'N'),(15,2801124,'1',429,'N'),(15,2801124,'1A',423,'N'),(15,2801124,'2',308,'N'),(15,2801132,'1',101,'N'),(15,2801132,'2',404,'N'),(15,2801140,'1',317,'N'),(15,2801140,'2',224,'N'),(15,2801159,'1',501,'N'),(15,2801159,'2',324,'N'),(15,2801167,'1',308,'N'),(15,2801167,'2',324,'N'),(15,2801175,'1',5,'N'),(15,2801175,'2',327,'N'),(15,2801183,'1',101,'N'),(15,2801183,'2',324,'N'),(15,2801191,'1',324,'N'),(15,2801191,'2',339,'N'),(15,2801205,'1',420,'N'),(15,2801205,'2',301,'N'),(15,2801213,'1',102,'N'),(15,2801213,'2',429,'N'),(15,2801221,'1',201,'N'),(15,2801221,'1A',212,'N'),(15,2801221,'2',238,'N'),(15,2801230,'1',429,'N'),(15,2801230,'1A',424,'N'),(15,2801230,'2',427,'N'),(15,2801248,'1',238,'N'),(15,2801248,'1A',213,'N'),(15,2801256,'1',317,'N'),(15,2801256,'2',318,'N'),(15,2801264,'1',316,'N'),(15,2801264,'2',451,'N'),(15,2801272,'1',308,'N'),(15,2801272,'2',339,'N'),(15,2801280,'1',207,'N'),(15,2801280,'1A',211,'N'),(15,2801280,'2',316,'N'),(15,2801299,'1',420,'N'),(15,2801299,'2',324,'N'),(15,2801302,'1',427,'N'),(15,2801302,'1A',429,'N'),(15,2801302,'2',234,'N'),(15,2801310,'1',224,'N'),(15,2801310,'2',308,'N'),(15,2801329,'1',319,'N'),(15,2801329,'2',308,'N'),(15,2801353,'1',316,'N'),(15,2801353,'2',332,'N'),(15,2801361,'1',324,'N'),(15,2801361,'2',339,'N'),(15,2801370,'1',102,'N'),(15,2801370,'2',324,'N'),(15,2801388,'1',304,'N'),(15,2801388,'2',333,'N'),(15,2801396,'1',317,'N'),(15,2801396,'2',404,'N'),(15,2801400,'1',302,'N'),(15,2801400,'2',339,'N'),(15,2801418,'1',317,'N'),(15,2801418,'2',324,'N'),(15,2801426,'1',202,'N'),(15,2801426,'1A',238,'N'),(15,2801426,'2',217,'N'),(15,2801434,'1',501,'N'),(15,2801434,'2',224,'N'),(15,2801442,'1',444,'N'),(15,2801442,'2',217,'N'),(15,2801450,'1',339,'N'),(15,2801469,'1',320,'N'),(15,2801469,'2',317,'N'),(15,2801477,'1',308,'N'),(15,2801477,'2',316,'N'),(15,2801485,'1',329,'N'),(15,2801485,'2',451,'N'),(15,2801493,'1',101,'N'),(15,2801493,'2',324,'N'),(15,2801507,'1',318,'N'),(15,2801507,'2',420,'N'),(15,2801515,'1',238,'N'),(15,2801515,'1A',211,'N'),(15,2801515,'2',108,'N'),(15,2801523,'1',217,'N'),(15,2801523,'2',332,'N'),(15,2801531,'1',404,'N'),(15,2801531,'2',326,'N'),(15,2801540,'1',102,'N'),(15,2801540,'2',339,'N'),(15,2801558,'1',339,'N'),(15,2801566,'1',238,'N'),(15,2801566,'1A',208,'N'),(15,2801566,'2',225,'N'),(15,2801574,'1',217,'N'),(15,2801574,'2',324,'N'),(15,2801582,'1',317,'N'),(15,2801582,'2',224,'N'),(15,2801590,'1',101,'N'),(15,2801590,'2',339,'N'),(15,2801604,'1',320,'N'),(15,2801604,'2',324,'N'),(15,2801612,'1',217,'N'),(15,2801612,'2',333,'N'),(15,2801620,'1',327,'N'),(15,2801620,'2',420,'N'),(15,2801647,'1',329,'N'),(15,2801647,'2',319,'N'),(15,2801655,'1',333,'N'),(15,2801655,'2',2,'N'),(15,2801663,'1',207,'N'),(15,2801663,'1A',201,'N'),(15,2801663,'2',302,'N'),(15,2801671,'1',316,'N'),(15,2801671,'2',201,'N'),(15,2801680,'1',501,'N'),(15,2801680,'2',308,'N'),(15,2801698,'1',238,'N'),(15,2801698,'2',316,'N'),(15,2801701,'1',103,'N'),(15,2801701,'2',101,'N'),(15,2801710,'1',103,'N'),(15,2801710,'2',102,'N'),(15,2801728,'1',207,'N'),(15,2801728,'1A',211,'N'),(15,2801728,'2',333,'N'),(15,2801736,'1',317,'N'),(15,2801736,'2',318,'N'),(15,2801744,'1',101,'N'),(15,2801744,'2',425,'N'),(15,2801752,'1',211,'N'),(15,2801752,'1A',212,'N'),(15,2801752,'2',234,'N'),(15,2801760,'1',202,'N'),(15,2801760,'1A',213,'N'),(15,2801760,'2',225,'N'),(15,2801779,'1',316,'N'),(15,2801779,'2',208,'N'),(15,2801787,'1',327,'N'),(15,2801787,'2',427,'N'),(15,2801795,'1',102,'N'),(15,2801795,'2',217,'N'),(15,2801809,'1',319,'N'),(15,2801809,'2',444,'N'),(15,2801825,'1',501,'N'),(15,2801825,'2',502,'N'),(15,2801833,'1',316,'N'),(15,2801833,'2',318,'N'),(15,2801841,'1',317,'N'),(15,2801841,'2',316,'N'),(15,2801850,'1',324,'N'),(15,2801850,'2',317,'N'),(15,2801868,'1',319,'N'),(15,2801868,'2',9,'N'),(15,2801876,'1',425,'N'),(15,2801876,'1A',429,'N'),(15,2801876,'2',333,'N'),(15,2801884,'1',426,'N'),(15,2801884,'1A',429,'N'),(15,2801884,'2',333,'N'),(15,2801906,'1',316,'N'),(15,2801906,'2',444,'N'),(15,2801914,'1',5,'N'),(15,2801914,'2',102,'N'),(15,2801922,'1',316,'N'),(15,2801930,'1',324,'N'),(15,2801930,'2',326,'N'),(15,2801949,'1',308,'N'),(15,2801949,'2',9,'N'),(15,2801957,'1',317,'N'),(15,2801957,'2',339,'N'),(15,2801965,'1',301,'N'),(15,2801965,'2',208,'N'),(15,2801973,'1',501,'N'),(15,2801973,'2',502,'N'),(15,2801990,'1',217,'N'),(15,2801990,'2',324,'N'),(15,2802007,'1',339,'N'),(15,2802007,'2',318,'N'),(15,2802015,'1',319,'N'),(15,2802015,'2',339,'N'),(15,2802023,'1',233,'N'),(15,2802023,'1A',211,'N'),(15,2802023,'2',331,'N'),(15,2802031,'1',316,'N'),(15,2802031,'2',317,'N'),(15,2802040,'1',238,'N'),(15,2802040,'1A',214,'N'),(15,2802040,'2',224,'N'),(15,2802058,'1',404,'N'),(15,2802058,'2',309,'N'),(15,2802066,'1',220,'N'),(15,2802066,'1A',208,'N'),(15,2802066,'2',201,'N'),(15,2802074,'1',316,'N'),(15,2802074,'2',421,'N'),(15,2802082,'1',332,'N'),(15,2802082,'2',404,'N'),(15,2802090,'1',316,'N'),(15,2802090,'2',451,'N'),(15,2802104,'1',501,'N'),(15,2802104,'2',339,'N'),(15,2802112,'1',444,'N'),(15,2802112,'2',309,'N'),(15,2802120,'1',201,'N'),(15,2802120,'1A',207,'N'),(15,2802120,'2',212,'N'),(15,2802139,'1',501,'N'),(15,2802139,'2',224,'N'),(15,2802147,'1',319,'N'),(15,2802147,'2',425,'N'),(15,2802163,'1',211,'N'),(15,2802163,'1A',215,'N'),(15,2802163,'2',426,'N'),(15,2802171,'1',102,'N'),(15,2802171,'2',104,'N'),(15,2802180,'1',339,'N'),(15,2802180,'2',329,'N'),(15,2802198,'1',502,'N'),(15,2802198,'2',415,'N'),(15,2802201,'1',101,'N'),(15,2802201,'2',404,'N'),(15,2802210,'1',339,'N'),(15,2802210,'2',502,'N'),(15,2802236,'1',317,'N'),(15,2802236,'2',213,'N'),(15,2802244,'1',339,'N'),(15,2802244,'2',9,'N'),(15,2802260,'1',317,'N'),(15,2802260,'2',316,'N'),(15,2802279,'1',501,'N'),(15,2802279,'2',217,'N'),(15,2802287,'1',308,'N'),(15,2802287,'2',339,'N'),(15,2802295,'1',324,'N'),(15,2802295,'2',339,'N'),(15,2802309,'1',316,'N'),(15,2802309,'2',238,'N'),(15,2802317,'1',317,'N'),(15,2802317,'2',339,'N'),(15,2802325,'1',316,'N'),(15,2802325,'2',429,'N'),(15,2802333,'1',332,'N'),(15,2802333,'2',444,'N'),(15,2802341,'1',217,'N'),(15,2802341,'2',102,'N'),(15,2802350,'1',339,'N'),(15,2802350,'2',101,'N'),(15,2802368,'1',316,'N'),(15,2802368,'2',317,'N'),(15,2802376,'1',102,'N'),(15,2802376,'2',316,'N'),(15,2802384,'1',238,'N'),(15,2802384,'1A',208,'N'),(15,2802384,'2',333,'N'),(15,2802392,'1',327,'N'),(15,2802392,'2',324,'N'),(15,2802406,'1',316,'N'),(15,2802406,'2',317,'N'),(15,2802414,'1',308,'N'),(15,2802414,'2',339,'N'),(15,2802422,'1',317,'N'),(15,2802422,'2',234,'N'),(15,2802430,'1',332,'N'),(15,2802430,'2',333,'N'),(15,2802449,'1',501,'N'),(15,2802449,'2',324,'N'),(15,2802457,'1',224,'N'),(15,2802457,'2',318,'N'),(15,2802473,'1',316,'N'),(15,2802473,'2',429,'N'),(15,2802481,'1',102,'N'),(15,2802481,'2',217,'N'),(15,2802503,'1',223,'N'),(15,2802503,'2',225,'N'),(15,2802511,'1',101,'N'),(15,2802511,'2',104,'N'),(15,2802538,'1',302,'N'),(15,2802538,'2',304,'N'),(15,2802546,'1',339,'N'),(15,2802546,'2',324,'N'),(15,2802562,'1',319,'N'),(15,2802562,'2',324,'N'),(15,2802570,'1',224,'N'),(15,2802570,'2',451,'N'),(15,2802589,'1',339,'N'),(15,2802589,'2',102,'N'),(15,2802597,'1',308,'N'),(15,2802597,'2',324,'N'),(15,2802600,'1',328,'N'),(15,2802600,'2',451,'N'),(15,2802619,'1',332,'N'),(15,2802619,'2',329,'N'),(15,2802635,'1',451,'N'),(15,2802635,'2',211,'N'),(15,2802643,'1',224,'N'),(15,2802643,'2',223,'N'),(15,2802651,'1',426,'N'),(15,2802651,'1A',428,'N'),(15,2802651,'2',310,'N'),(15,2802660,'1',327,'N'),(15,2802660,'2',318,'N'),(15,2802678,'1',316,'N'),(15,2802678,'2',317,'N'),(15,2802686,'1',101,'N'),(15,2802686,'2',339,'N'),(15,2802694,'1',317,'N'),(15,2802694,'2',423,'N'),(15,2802708,'1',102,'N'),(15,2802708,'2',234,'N'),(15,2802716,'1',415,'N'),(15,2802716,'2',451,'N'),(15,2802724,'1',317,'N'),(15,2802724,'2',318,'N'),(15,2802732,'1',217,'N'),(15,2802732,'2',421,'N'),(15,2802759,'1',327,'N'),(15,2802759,'2',332,'N'),(15,2802767,'1',5,'N'),(15,2802767,'2',444,'N'),(15,2802775,'1',102,'N'),(15,2802775,'2',217,'N'),(15,2802783,'1',308,'N'),(15,2802783,'2',309,'N'),(15,2802791,'1',425,'N'),(15,2802791,'1A',424,'N'),(15,2802791,'2',319,'N'),(15,2802805,'1',332,'N'),(15,2802805,'2',501,'N'),(15,2802813,'1',317,'N'),(15,2802813,'2',318,'N'),(15,2802821,'1',333,'N'),(15,2802821,'2',502,'N'),(15,2802830,'1',108,'N'),(15,2802830,'2',502,'N'),(15,2802848,'1',328,'N'),(15,2802848,'2',451,'N'),(15,2802856,'1',327,'N'),(15,2802856,'2',308,'N'),(15,2802864,'1',208,'N'),(15,2802864,'2',238,'N'),(15,2802872,'1',316,'N'),(15,2802872,'2',238,'N'),(15,2802880,'1',339,'N'),(15,2802880,'2',101,'N'),(15,2802899,'1',320,'N'),(15,2802899,'2',329,'N'),(15,2802929,'1',317,'N'),(15,2802929,'2',302,'N'),(15,2802937,'1',319,'N'),(15,2802937,'2',451,'N'),(15,2802945,'1',326,'N'),(15,2802945,'2',428,'N'),(15,2802953,'1',101,'N'),(15,2802953,'2',309,'N'),(15,2802961,'1',444,'N'),(15,2802961,'2',331,'N'),(15,2802970,'1',444,'N'),(15,2802988,'1',238,'N'),(15,2802988,'1A',202,'N'),(15,2802988,'2',333,'N'),(15,2802996,'1',332,'N'),(15,2802996,'2',324,'N'),(15,2803003,'1',317,'N'),(15,2803003,'2',320,'N'),(15,2803011,'1',238,'N'),(15,2803011,'2',404,'N'),(15,2803020,'1',238,'N'),(15,2803020,'2',222,'N'),(15,2803038,'1',450,'N'),(15,2803038,'2',326,'N'),(15,2803046,'1',9,'N'),(15,2803046,'2',339,'N'),(15,2803054,'1',429,'N'),(15,2803054,'1A',423,'N'),(15,2803054,'2',324,'N'),(15,2803062,'1',234,'N'),(15,2803062,'2',224,'N'),(15,2803070,'1',404,'N'),(15,2803070,'2',324,'N'),(15,2803089,'1',104,'N'),(15,2803089,'2',101,'N'),(15,2803097,'1',5,'N'),(15,2803097,'2',316,'N'),(15,2803100,'1',324,'N'),(15,2803100,'2',316,'N'),(15,2803119,'1',331,'N'),(15,2803119,'2',108,'N'),(15,2803127,'1',339,'N'),(15,2803127,'2',324,'N'),(15,2803135,'1',425,'N'),(15,2803135,'1A',423,'N'),(15,2803135,'2',424,'N'),(15,2803143,'1',339,'N'),(15,2803143,'2',316,'N'),(15,2803151,'1',429,'N'),(15,2803151,'1A',427,'N'),(15,2803151,'2',424,'N'),(15,2803160,'1',404,'N'),(15,2803160,'2',217,'N'),(15,2803178,'1',319,'N'),(15,2803178,'2',320,'N'),(15,2803186,'1',9,'N'),(15,2803186,'2',102,'N'),(15,2803194,'1',101,'N'),(15,2803194,'2',324,'N'),(15,2803208,'1',427,'N'),(15,2803208,'1A',421,'N'),(15,2803208,'2',324,'N'),(15,2803216,'1',339,'N'),(15,2803216,'2',324,'N'),(15,2803224,'1',238,'N'),(15,2803224,'1A',208,'N'),(15,2803224,'2',316,'N'),(15,2803232,'1',103,'N'),(15,2803232,'2',309,'N'),(15,2803240,'1',238,'N'),(15,2803240,'1A',201,'N'),(15,2803240,'2',429,'N'),(15,2803259,'1',324,'N'),(15,2803259,'2',339,'N'),(15,2803267,'1',108,'N'),(15,2803267,'2',331,'N'),(15,2803275,'1',5,'N'),(15,2803275,'2',316,'N'),(15,2803283,'1',501,'N'),(15,2803283,'2',332,'N'),(15,2803291,'1',201,'N'),(15,2803291,'1A',207,'N'),(15,2803291,'2',320,'N'),(15,2803305,'1',316,'N'),(15,2803305,'2',420,'N'),(15,2803313,'1',404,'N'),(15,2803313,'2',444,'N'),(15,2803321,'1',332,'N'),(15,2803321,'2',238,'N'),(15,2803348,'1',339,'N'),(15,2803348,'2',309,'N'),(15,2803356,'1',317,'N'),(15,2803356,'2',318,'N'),(15,2803364,'1',233,'N'),(15,2803364,'1A',207,'N'),(15,2803364,'2',316,'N'),(15,2803372,'1',333,'N'),(15,2803372,'2',316,'N'),(15,2803380,'1',429,'N'),(15,2803380,'1A',425,'N'),(15,2803380,'2',333,'N'),(15,2803399,'1',331,'N'),(15,2803399,'2',301,'N'),(15,2803402,'1',339,'N'),(15,2803402,'2',324,'N'),(15,2803410,'1',317,'N'),(15,2803410,'2',224,'N'),(15,2803429,'1',301,'N'),(15,2803429,'2',317,'N'),(15,2803437,'1',426,'N'),(15,2803437,'1A',429,'N'),(15,2803437,'2',332,'N'),(15,2803445,'1',317,'N'),(15,2803453,'1',332,'N'),(15,2803453,'2',333,'N'),(15,2803461,'1',324,'N'),(15,2803461,'2',339,'N'),(15,2803470,'1',332,'N'),(15,2803470,'2',339,'N'),(15,2803488,'1',333,'N'),(15,2803488,'2',429,'N'),(15,2803500,'1',318,'N'),(15,2803500,'2',224,'N'),(15,2803518,'1',303,'N'),(15,2803518,'2',444,'N'),(15,2803534,'1',217,'N'),(15,2803534,'2',108,'N'),(15,2803542,'1',217,'N'),(15,2803550,'1',501,'N'),(15,2803550,'2',328,'N'),(15,2803569,'1',502,'N'),(15,2803569,'2',501,'N'),(15,2803577,'1',317,'N'),(15,2803577,'2',318,'N'),(15,2803585,'1',104,'N'),(15,2803585,'2',424,'N'),(15,2803593,'1',203,'N'),(15,2803593,'1A',202,'N'),(15,2803593,'2',224,'N'),(15,2803607,'1',316,'N'),(15,2803607,'2',5,'N'),(15,2803615,'1',5,'N'),(15,2803615,'2',303,'N'),(15,2803623,'1',9,'N'),(15,2803623,'2',317,'N'),(15,2803631,'1',415,'N'),(15,2803631,'2',429,'N'),(15,2803640,'1',238,'N'),(15,2803658,'1',238,'N'),(15,2803658,'1A',208,'N'),(15,2803658,'2',429,'N'),(15,2803666,'1',326,'N'),(15,2803666,'2',328,'N'),(15,2803674,'1',101,'N'),(15,2803674,'2',102,'N'),(15,2803682,'1',317,'N'),(15,2803682,'2',308,'N'),(15,2803690,'1',316,'N'),(15,2803690,'2',317,'N'),(15,2803704,'1',319,'N'),(15,2803704,'2',329,'N'),(15,2803712,'1',238,'N'),(15,2803712,'1A',208,'N'),(15,2803712,'2',318,'N'),(15,2803720,'1',331,'N'),(15,2803720,'2',324,'N'),(15,2803739,'1',327,'N'),(15,2803739,'2',324,'N'),(15,2803747,'1',108,'N'),(15,2803747,'2',327,'N'),(15,2803755,'1',308,'N'),(15,2803755,'2',319,'N'),(15,2803763,'1',238,'N'),(15,2803763,'1A',208,'N'),(15,2803763,'2',317,'N'),(15,2803771,'1',101,'N'),(15,2803771,'2',339,'N'),(15,2803780,'1',327,'N'),(15,2803780,'2',320,'N'),(15,2803798,'1',444,'N'),(15,2803798,'2',234,'N'),(15,2803801,'1',324,'N'),(15,2803801,'2',444,'N'),(15,2803810,'1',309,'N'),(15,2803810,'2',324,'N'),(15,2803828,'1',103,'N'),(15,2803828,'2',101,'N'),(15,2803836,'1',316,'N'),(15,2803836,'2',429,'N'),(15,2803844,'1',316,'N'),(15,2803844,'2',324,'N'),(15,2803852,'1',339,'N'),(15,2803852,'2',324,'N'),(15,2803860,'1',5,'N'),(15,2803860,'2',423,'N'),(15,2803879,'1',316,'N'),(15,2803879,'2',238,'N'),(15,2803887,'1',324,'N'),(15,2803887,'2',217,'N'),(15,2803895,'1',333,'N'),(15,2803895,'2',217,'N'),(15,2803909,'1',316,'N'),(15,2803909,'2',318,'N'),(15,2803917,'1',108,'N'),(15,2803917,'2',415,'N'),(15,2803925,'1',502,'N'),(15,2803925,'2',426,'N'),(15,2803933,'1',324,'N'),(15,2803933,'2',317,'N'),(15,2803941,'1',309,'N'),(15,2803950,'1',103,'N'),(15,2803968,'1',225,'N'),(15,2803968,'2',2,'N'),(15,2803976,'1',309,'N'),(15,2803976,'2',104,'N'),(15,2803984,'1',217,'N'),(15,2803984,'2',224,'N'),(15,2803992,'1',420,'N'),(15,2803992,'2',333,'N'),(15,2804000,'1',444,'N'),(15,2804000,'2',404,'N'),(15,2804018,'1',316,'N'),(15,2804018,'2',317,'N'),(15,2804026,'1',108,'N'),(15,2804026,'2',234,'N'),(15,2804034,'1',339,'N'),(15,2804034,'2',308,'N'),(15,2804042,'1',5,'N'),(15,2804042,'2',427,'N'),(15,2804050,'1',211,'N'),(15,2804050,'1A',215,'N'),(15,2804050,'2',217,'N'),(15,2804069,'1',201,'N'),(15,2804069,'1A',211,'N'),(15,2804069,'2',202,'N'),(15,2804077,'1',308,'N'),(15,2804077,'2',329,'N'),(15,2804085,'1',101,'N'),(15,2804085,'2',102,'N'),(15,2804093,'1',324,'N'),(15,2804093,'2',332,'N'),(15,2804107,'1',223,'N'),(15,2804107,'2',302,'N'),(15,2804115,'1',225,'N'),(15,2804115,'2',217,'N'),(15,2804123,'1',308,'N'),(15,2804123,'2',309,'N'),(15,2804131,'1',220,'N'),(15,2804131,'1A',202,'N'),(15,2804131,'2',2,'N'),(15,2804140,'1',207,'N'),(15,2804140,'1A',208,'N'),(15,2804140,'2',308,'N'),(15,2804158,'1',324,'N'),(15,2804158,'2',225,'N'),(15,2804166,'1',332,'N'),(15,2804166,'2',324,'N'),(15,2804174,'1',339,'N'),(15,2804174,'2',327,'N'),(15,2804190,'1',208,'N'),(15,2804190,'1A',238,'N'),(15,2804190,'2',301,'N'),(15,2804204,'1',318,'N'),(15,2804204,'2',429,'N'),(15,2804212,'1',427,'N'),(15,2804212,'2',326,'N'),(15,2804220,'1',339,'N'),(15,2804220,'2',308,'N'),(15,2804239,'1',320,'N'),(15,2804239,'2',329,'N'),(15,2804247,'1',308,'N'),(15,2804247,'2',224,'N'),(15,2804255,'1',324,'N'),(15,2804255,'2',332,'N'),(15,2804263,'1',331,'N'),(15,2804263,'2',308,'N'),(15,2804271,'1',208,'N'),(15,2804271,'2',222,'N'),(15,2804280,'1',451,'N'),(15,2804280,'2',424,'N'),(15,2804298,'1',319,'N'),(15,2804298,'2',316,'N'),(15,2804301,'1',9,'N'),(15,2804301,'2',444,'N'),(15,2804310,'1',404,'N'),(15,2804310,'2',333,'N'),(15,2804328,'1',304,'N'),(15,2804328,'2',429,'N'),(15,2804336,'1',9,'N'),(15,2804336,'2',502,'N'),(15,2804344,'1',211,'N'),(15,2804344,'1A',220,'N'),(15,2804344,'2',214,'N'),(15,2804352,'1',420,'N'),(15,2804352,'2',319,'N'),(15,2804360,'1',108,'N'),(15,2804360,'2',427,'N'),(15,2804379,'1',326,'N'),(15,2804379,'2',331,'N'),(15,2804387,'1',211,'N'),(15,2804387,'1A',208,'N'),(15,2804387,'2',501,'N'),(15,2804395,'1',222,'N'),(15,2804395,'2',2,'N'),(15,2804409,'1',415,'N'),(15,2804409,'2',450,'N'),(15,2804417,'1',444,'N'),(15,2804417,'2',404,'N'),(15,2804425,'1',404,'N'),(15,2804425,'2',324,'N'),(15,2804433,'1',5,'N'),(15,2804433,'2',429,'N'),(15,2804441,'1',319,'N'),(15,2804441,'2',329,'N'),(15,2804450,'1',212,'N'),(15,2804450,'1A',213,'N'),(15,2804450,'2',316,'N'),(15,2804468,'1',108,'N'),(15,2804468,'2',404,'N'),(15,2804476,'1',302,'N'),(15,2804476,'2',301,'N'),(15,2804484,'1',316,'N'),(15,2804484,'2',318,'N'),(15,2804492,'1',329,'N'),(15,2804492,'2',308,'N'),(15,2804506,'1',332,'N'),(15,2804506,'2',423,'N'),(15,2804514,'1',429,'N'),(15,2804514,'1A',426,'N'),(15,2804514,'2',324,'N'),(15,2804522,'1',318,'N'),(15,2804522,'2',444,'N'),(15,2804530,'1',316,'N'),(15,2804530,'2',238,'N'),(15,2804557,'1',309,'N'),(15,2804557,'2',310,'N'),(15,2804565,'1',327,'N'),(15,2804565,'2',324,'N'),(15,2804573,'1',108,'N'),(15,2804573,'2',502,'N'),(15,2804581,'1',222,'N'),(15,2804581,'2',225,'N'),(15,2804590,'1',309,'N'),(15,2804590,'2',339,'N'),(15,2804611,'1',329,'N'),(15,2804611,'2',502,'N'),(15,2804620,'1',428,'N'),(15,2804620,'1A',423,'N'),(15,2804620,'2',421,'N'),(15,2804638,'1',319,'N'),(15,2804638,'2',238,'N'),(15,2804646,'1',103,'N'),(15,2804646,'2',101,'N'),(15,2804654,'1',326,'N'),(15,2804654,'2',428,'N'),(15,2804662,'1',309,'N'),(15,2804662,'2',101,'N'),(15,2804670,'1',225,'N'),(15,2804670,'2',238,'N'),(15,2804689,'1',213,'N'),(15,2804689,'1A',238,'N'),(15,2804689,'2',225,'N'),(15,2804697,'1',309,'N'),(15,2804697,'2',333,'N'),(15,2804700,'1',427,'N'),(15,2804700,'1A',423,'N'),(15,2804700,'2',327,'N'),(15,2804719,'1',420,'N'),(15,2804719,'2',327,'N'),(15,2804735,'1',444,'N'),(15,2804735,'2',101,'N'),(15,2804751,'1',101,'N'),(15,2804751,'2',427,'N'),(15,2804760,'1',208,'N'),(15,2804760,'1A',238,'N'),(15,2804760,'2',333,'N'),(15,2804778,'1',5,'N'),(15,2804778,'2',339,'N'),(15,2804786,'1',420,'N'),(15,2804786,'2',301,'N'),(15,2804794,'1',207,'N'),(15,2804794,'1A',201,'N'),(15,2804794,'2',301,'N'),(15,2804808,'1',319,'N'),(15,2804808,'2',324,'N'),(15,2804816,'1',103,'N'),(15,2804816,'2',333,'N'),(15,2804824,'1',208,'N'),(15,2804824,'1A',203,'N'),(15,2804824,'2',216,'N'),(15,2804832,'1',316,'N'),(15,2804832,'2',332,'N'),(15,2804840,'1',208,'N'),(15,2804840,'1A',238,'N'),(15,2804840,'2',211,'N'),(15,2804859,'1',324,'N'),(15,2804859,'2',415,'N'),(15,2804867,'1',308,'N'),(15,2804867,'2',339,'N'),(15,2804875,'1',238,'N'),(15,2804875,'1A',208,'N'),(15,2804875,'2',316,'N'),(15,2804883,'1',2,'N'),(15,2804883,'2',423,'N'),(15,2804891,'1',238,'N'),(15,2804891,'1A',211,'N'),(15,2804891,'2',327,'N'),(15,2804905,'1',404,'N'),(15,2804905,'2',339,'N'),(15,2804913,'1',201,'N'),(15,2804913,'1A',207,'N'),(15,2804913,'2',317,'N'),(15,2804921,'1',317,'N'),(15,2804921,'2',316,'N'),(15,2804930,'1',308,'N'),(15,2804930,'2',426,'N'),(15,2804948,'1',201,'N'),(15,2804948,'2',211,'N'),(15,2804956,'1',309,'N'),(15,2804956,'2',217,'N'),(15,2804964,'1',308,'N'),(15,2804964,'2',426,'N'),(15,2804972,'1',308,'N'),(15,2804972,'2',426,'N'),(15,2804980,'1',223,'N'),(15,2804980,'2',225,'N'),(15,2804999,'1',320,'N'),(15,2804999,'2',329,'N'),(15,2805006,'1',427,'N'),(15,2805006,'1A',423,'N'),(15,2805006,'2',329,'N'),(15,2805014,'1',324,'N'),(15,2805014,'2',319,'N'),(15,2805022,'1',308,'N'),(15,2805022,'2',339,'N'),(15,2805030,'1',339,'N'),(15,2805049,'1',333,'N'),(15,2805049,'2',501,'N'),(15,2805065,'1',429,'N'),(15,2805065,'1A',425,'N'),(15,2805065,'2',423,'N'),(15,2805073,'1',317,'N'),(15,2805073,'2',224,'N'),(15,2805081,'1',317,'N'),(15,2805081,'2',319,'N'),(15,2805090,'1',420,'N'),(15,2805090,'2',404,'N'),(15,2805103,'1',317,'N'),(15,2805103,'2',318,'N'),(15,2805111,'1',317,'N'),(15,2805111,'2',203,'N'),(15,2805120,'1',5,'N'),(15,2805120,'2',426,'N'),(15,2805138,'1',217,'N'),(15,2805138,'2',102,'N'),(15,2805146,'1',317,'N'),(15,2805146,'2',224,'N'),(15,2805154,'1',404,'N'),(15,2805154,'2',333,'N'),(15,2805162,'1',404,'N'),(15,2805162,'2',319,'N'),(15,2805170,'1',303,'N'),(15,2805170,'2',428,'N'),(15,2805189,'1',9,'N'),(15,2805189,'2',308,'N'),(15,2805197,'1',316,'N'),(15,2805197,'2',501,'N'),(15,2805200,'1',404,'N'),(15,2805200,'2',201,'N'),(15,2805219,'1',103,'N'),(15,2805219,'2',108,'N'),(15,2805227,'1',201,'N'),(15,2805227,'1A',207,'N'),(15,2805227,'2',224,'N'),(15,2805235,'1',425,'N'),(15,2805235,'1A',429,'N'),(15,2805235,'2',423,'N'),(15,2805243,'1',302,'N'),(15,2805243,'2',317,'N'),(15,2805251,'1',102,'N'),(15,2805251,'2',215,'N'),(15,2805260,'1',316,'N'),(15,2805260,'2',215,'N'),(15,2805278,'1',101,'N'),(15,2805278,'2',217,'N'),(15,2805286,'1',425,'N'),(15,2805286,'1A',429,'N'),(15,2805286,'2',319,'N'),(15,2805294,'1',339,'N'),(15,2805294,'2',327,'N'),(15,2805316,'1',319,'N'),(15,2805316,'2',444,'N'),(15,2805324,'1',333,'N'),(15,2805324,'2',444,'N'),(15,2805332,'1',215,'N'),(15,2805332,'1A',233,'N'),(15,2805332,'2',9,'N'),(15,2805340,'1',5,'N'),(15,2805340,'2',224,'N'),(15,2805359,'1',207,'N'),(15,2805367,'1',327,'N'),(15,2805367,'2',332,'N'),(15,2805375,'1',308,'N'),(15,2805375,'2',427,'N'),(15,2805383,'1',415,'N'),(15,2805383,'2',339,'N'),(15,2805391,'1',101,'N'),(15,2805391,'2',331,'N'),(15,2805405,'1',5,'N'),(15,2805405,'2',318,'N'),(15,2805413,'1',202,'N'),(15,2805413,'1A',213,'N'),(15,2805413,'2',332,'N'),(15,2805421,'1',420,'N'),(15,2805421,'2',324,'N'),(15,2805430,'1',420,'N'),(15,2805430,'2',328,'N'),(15,2805448,'1',301,'N'),(15,2805448,'2',303,'N'),(15,2805456,'1',302,'N'),(15,2805456,'2',324,'N'),(15,2805464,'1',108,'N'),(15,2805464,'2',502,'N'),(15,2805472,'1',339,'N'),(15,2805480,'1',224,'N'),(15,2805480,'2',225,'N'),(15,2805499,'1',339,'N'),(15,2805499,'2',324,'N'),(15,2805502,'1',317,'N'),(15,2805502,'2',318,'N'),(15,2805510,'1',316,'N'),(15,2805510,'2',222,'N'),(15,2805529,'1',317,'N'),(15,2805529,'2',224,'N'),(15,2805537,'1',444,'N'),(15,2805537,'2',316,'N'),(15,2805545,'1',404,'N'),(15,2805545,'2',502,'N'),(15,2805553,'1',428,'N'),(15,2805553,'1A',426,'N'),(15,2805553,'2',502,'N'),(15,2805561,'1',202,'N'),(15,2805561,'1A',213,'N'),(15,2805561,'2',225,'N'),(15,2805570,'1',324,'N'),(15,2805570,'2',310,'N'),(15,2805588,'1',319,'N'),(15,2805588,'2',327,'N'),(15,2805596,'1',426,'N'),(15,2805596,'1A',428,'N'),(15,2805596,'2',327,'N'),(15,2805600,'1',318,'N'),(15,2805600,'2',429,'N'),(15,2805618,'1',101,'N'),(15,2805618,'2',339,'N'),(15,2805626,'1',317,'N'),(15,2805626,'2',318,'N'),(15,2805634,'1',308,'N'),(15,2805634,'2',425,'N'),(15,2805642,'1',324,'N'),(15,2805642,'2',426,'N'),(15,2805650,'1',203,'N'),(15,2805650,'1A',214,'N'),(15,2805650,'2',201,'N'),(15,2805669,'1',327,'N'),(15,2805669,'2',224,'N'),(15,2805677,'1',309,'N'),(15,2805677,'2',326,'N'),(15,2805685,'1',501,'N'),(15,2805685,'2',316,'N'),(15,2805693,'1',309,'N'),(15,2805693,'2',326,'N'),(15,2805707,'1',9,'N'),(15,2805707,'2',101,'N'),(15,2805715,'1',415,'N'),(15,2805715,'2',327,'N'),(15,2805723,'1',238,'N'),(15,2805723,'1A',208,'N'),(15,2805731,'1',203,'N'),(15,2805731,'1A',220,'N'),(15,2805731,'2',450,'N'),(15,2805740,'1',238,'N'),(15,2805740,'1A',233,'N'),(15,2805740,'2',327,'N'),(15,2805758,'1',108,'N'),(15,2805758,'2',2,'N'),(15,2805766,'1',308,'N'),(15,2805766,'2',339,'N'),(15,2805774,'1',332,'N'),(15,2805774,'2',308,'N'),(15,2805782,'1',103,'N'),(15,2805782,'2',108,'N'),(15,2805790,'1',319,'N'),(15,2805790,'2',308,'N'),(15,2805804,'1',308,'N'),(15,2805804,'2',426,'N'),(15,2805812,'1',207,'N'),(15,2805812,'1A',233,'N'),(15,2805812,'2',420,'N'),(15,2805820,'1',208,'N'),(15,2805820,'1A',238,'N'),(15,2805820,'2',324,'N'),(15,2805839,'1',444,'N'),(15,2805839,'2',339,'N'),(15,2805847,'1',333,'N'),(15,2805847,'2',308,'N'),(15,2805855,'1',103,'N'),(15,2805855,'2',427,'N'),(15,2805863,'1',404,'N'),(15,2805863,'2',421,'N'),(15,2805871,'1',426,'N'),(15,2805871,'1A',424,'N'),(15,2805871,'2',327,'N'),(15,2805880,'1',101,'N'),(15,2805880,'2',324,'N'),(15,2805898,'1',5,'N'),(15,2805898,'2',303,'N'),(15,2805910,'1',101,'N'),(15,2805910,'2',103,'N'),(15,2805928,'1',102,'N'),(15,2805928,'2',101,'N'),(15,2805936,'1',319,'N'),(15,2805936,'2',444,'N'),(15,2805944,'1',318,'N'),(15,2805944,'2',316,'N'),(15,2805952,'1',309,'N'),(15,2805952,'2',102,'N'),(15,2805960,'1',333,'N'),(15,2805960,'2',309,'N'),(15,2805979,'1',415,'N'),(15,2805979,'2',5,'N'),(15,2805987,'1',324,'N'),(15,2805987,'2',320,'N'),(15,2805995,'1',302,'N'),(15,2805995,'2',223,'N'),(15,2806002,'1',101,'N'),(15,2806010,'1',324,'N'),(15,2806010,'2',450,'N'),(15,2806029,'1',201,'N'),(15,2806029,'1A',212,'N'),(15,2806029,'2',301,'N'),(15,2806037,'1',404,'N'),(15,2806037,'2',333,'N'),(15,2806045,'1',301,'N'),(15,2806045,'2',316,'N'),(15,2806053,'1',429,'N'),(15,2806053,'1A',423,'N'),(15,2806053,'2',324,'N'),(15,2806061,'1',201,'N'),(15,2806061,'1A',233,'N'),(15,2806061,'2',317,'N'),(15,2806070,'1',332,'N'),(15,2806070,'2',320,'N'),(15,2806096,'1',316,'N'),(15,2806096,'2',404,'N'),(15,2806100,'1',317,'N'),(15,2806100,'2',318,'N'),(15,2806118,'1',339,'N'),(15,2806118,'2',101,'N'),(15,2806126,'1',339,'N'),(15,2806126,'2',308,'N'),(15,2806134,'1',317,'N'),(15,2806134,'2',429,'N'),(15,2806142,'1',324,'N'),(15,2806142,'2',426,'N'),(15,2806150,'1',5,'N'),(15,2806150,'2',327,'N'),(15,2806169,'1',420,'N'),(15,2806169,'2',404,'N'),(15,2806177,'1',404,'N'),(15,2806177,'2',101,'N'),(15,2806185,'1',308,'N'),(15,2806185,'2',339,'N'),(15,2806193,'1',332,'N'),(15,2806193,'2',224,'N'),(15,2806207,'1',320,'N'),(15,2806207,'2',224,'N'),(15,2806215,'1',320,'N'),(15,2806215,'2',327,'N'),(15,2806223,'1',316,'N'),(15,2806223,'2',203,'N'),(15,2806231,'1',317,'N'),(15,2806231,'2',318,'N'),(15,2806240,'1',319,'N'),(15,2806240,'2',9,'N'),(15,2806258,'1',316,'N'),(15,2806258,'2',201,'N'),(15,2806266,'1',316,'N'),(15,2806266,'2',5,'N'),(15,2806274,'1',444,'N'),(15,2806274,'2',404,'N'),(15,2806282,'1',302,'N'),(15,2806282,'2',207,'N'),(15,2806290,'1',217,'N'),(15,2806290,'2',223,'N'),(15,2806304,'1',5,'N'),(15,2806304,'2',339,'N'),(15,2806320,'1',317,'N'),(15,2806320,'2',316,'N'),(15,2806339,'1',309,'N'),(15,2806339,'2',308,'N'),(15,2806347,'1',332,'N'),(15,2806355,'1',429,'N'),(15,2806355,'2',427,'N'),(15,2806363,'1',317,'N'),(15,2806363,'2',339,'N'),(15,2806371,'1',420,'N'),(15,2806371,'2',329,'N'),(15,2806380,'1',329,'N'),(15,2806380,'2',328,'N'),(15,2806398,'1',301,'N'),(15,2806398,'2',302,'N'),(15,2806401,'1',319,'N'),(15,2806401,'2',222,'N'),(15,2806410,'1',9,'N'),(15,2806410,'2',301,'N'),(15,2806428,'1',316,'N'),(15,2806428,'2',9,'N'),(15,2806436,'1',308,'N'),(15,2806436,'2',333,'N'),(15,2806444,'1',308,'N'),(15,2806444,'2',423,'N'),(15,2806452,'1',233,'N'),(15,2806452,'1A',220,'N'),(15,2806452,'2',238,'N'),(15,2806460,'1',217,'N'),(15,2806460,'2',328,'N'),(15,2806479,'1',308,'N'),(15,2806487,'1',317,'N'),(15,2806487,'2',423,'N'),(15,2806495,'1',324,'N'),(15,2806495,'2',308,'N'),(15,2806509,'1',332,'N'),(15,2806509,'2',426,'N'),(15,2806517,'1',303,'N'),(15,2806517,'2',234,'N'),(15,2806525,'1',339,'N'),(15,2806525,'2',327,'N'),(15,2806533,'1',427,'N'),(15,2806533,'1A',424,'N'),(15,2806533,'2',324,'N'),(15,2806541,'1',339,'N'),(15,2806541,'2',320,'N'),(15,2806550,'1',501,'N'),(15,2806550,'2',217,'N'),(15,2806568,'1',404,'N'),(15,2806568,'2',444,'N'),(15,2806576,'1',223,'N'),(15,2806576,'2',2,'N'),(15,2806584,'1',317,'N'),(15,2806584,'2',316,'N'),(15,2806592,'1',207,'N'),(15,2806592,'2',201,'N'),(15,2806606,'1',309,'N'),(15,2806606,'2',308,'N'),(15,2806614,'1',208,'N'),(15,2806614,'2',224,'N'),(15,2806622,'1',201,'N'),(15,2806622,'1A',207,'N'),(15,2806622,'2',317,'N'),(15,2806630,'1',238,'N'),(15,2806630,'1A',202,'N'),(15,2806630,'2',208,'N'),(15,2806649,'1',304,'N'),(15,2806649,'2',222,'N'),(15,2806657,'1',502,'N'),(15,2806657,'2',421,'N'),(15,2806665,'1',319,'N'),(15,2806665,'2',101,'N'),(15,2806681,'1',202,'N'),(15,2806681,'1A',203,'N'),(15,2806681,'2',213,'N'),(15,2806690,'1',308,'N'),(15,2806690,'2',426,'N'),(15,2806711,'1',9,'N'),(15,2806711,'2',101,'N'),(15,2806720,'1',203,'N'),(15,2806720,'1A',214,'N'),(15,2806720,'2',326,'N'),(15,2806738,'1',339,'N'),(15,2806738,'2',324,'N'),(15,2806746,'1',222,'N'),(15,2806754,'1',108,'N'),(15,2806754,'2',502,'N'),(15,2806762,'1',320,'N'),(15,2806770,'1',317,'N'),(15,2806770,'2',2,'N'),(15,2806789,'1',201,'N'),(15,2806789,'1A',207,'N'),(15,2806789,'2',212,'N'),(15,2806797,'1',317,'N'),(15,2806797,'2',427,'N'),(15,2806800,'1',415,'N'),(15,2806800,'2',426,'N'),(15,2806819,'1',319,'N'),(15,2806819,'2',9,'N'),(15,2806827,'1',404,'N'),(15,2806827,'2',308,'N'),(15,2806835,'1',9,'N'),(15,2806835,'2',309,'N'),(15,2806843,'1',331,'N'),(15,2806843,'2',332,'N'),(15,2806860,'1',423,'N'),(15,2806860,'1A',429,'N'),(15,2806860,'2',339,'N'),(15,2806878,'1',404,'N'),(15,2806878,'2',444,'N'),(15,2806886,'1',404,'N'),(15,2806886,'2',444,'N'),(15,2806894,'1',5,'N'),(15,2806894,'2',317,'N'),(15,2806908,'1',238,'N'),(15,2806908,'2',327,'N'),(15,2806916,'1',302,'N'),(15,2806916,'2',339,'N'),(15,2806924,'1',208,'N'),(15,2806924,'1A',201,'N'),(15,2806924,'2',415,'N'),(15,2806932,'1',108,'N'),(15,2806932,'2',301,'N'),(15,2806940,'1',309,'N'),(15,2806940,'2',324,'N'),(15,2806959,'1',9,'N'),(15,2806959,'2',324,'N'),(15,2806967,'1',201,'N'),(15,2806967,'1A',207,'N'),(15,2806967,'2',324,'N'),(15,2806975,'1',238,'N'),(15,2806975,'1A',208,'N'),(15,2806975,'2',316,'N'),(15,2806983,'1',332,'N'),(15,2806983,'2',444,'N'),(15,2806991,'1',339,'N'),(15,2806991,'2',309,'N'),(15,2807009,'1',104,'N'),(15,2807009,'2',101,'N'),(15,2807017,'1',425,'N'),(15,2807017,'1A',423,'N'),(15,2807017,'2',415,'N'),(15,2807025,'1',428,'N'),(15,2807025,'1A',423,'N'),(15,2807025,'2',331,'N'),(15,2807033,'1',304,'N'),(15,2807033,'2',425,'N'),(15,2807041,'1',303,'N'),(15,2807041,'2',319,'N'),(15,2807050,'1',201,'N'),(15,2807050,'1A',207,'N'),(15,2807050,'2',319,'N'),(15,2807068,'1',415,'N'),(15,2807068,'2',425,'N'),(15,2807076,'1',101,'N'),(15,2807076,'2',339,'N'),(15,2807084,'1',217,'N'),(15,2807084,'2',223,'N'),(15,2807092,'1',224,'N'),(15,2807092,'2',327,'N'),(15,2807106,'1',333,'N'),(15,2807106,'2',234,'N'),(15,2807114,'1',309,'N'),(15,2807114,'2',301,'N'),(15,2807122,'1',101,'N'),(15,2807122,'2',108,'N'),(15,2807130,'1',208,'N'),(15,2807130,'1A',202,'N'),(15,2807130,'2',420,'N'),(15,2807149,'1',202,'N'),(15,2807149,'1A',220,'N'),(15,2807149,'2',238,'N'),(15,2807157,'1',217,'N'),(15,2807157,'2',101,'N'),(15,2807165,'1',317,'N'),(15,2807165,'2',318,'N'),(15,2807173,'1',415,'N'),(15,2807173,'2',304,'N'),(15,2807181,'1',303,'N'),(15,2807181,'2',308,'N'),(15,2807190,'1',103,'N'),(15,2807190,'2',101,'N'),(15,2807203,'1',215,'N'),(15,2807203,'1A',211,'N'),(15,2807203,'2',324,'N'),(15,2807211,'1',208,'N'),(15,2807211,'1A',238,'N'),(15,2807211,'2',425,'N'),(15,2807220,'1',202,'N'),(15,2807220,'1A',213,'N'),(15,2807246,'1',224,'N'),(15,2807246,'2',423,'N'),(15,2807254,'1',319,'N'),(15,2807254,'2',339,'N'),(15,2807262,'1',404,'N'),(15,2807262,'2',9,'N'),(15,2807270,'1',317,'N'),(15,2807270,'2',302,'N'),(15,2807289,'1',238,'N'),(15,2807289,'1A',208,'N'),(15,2807289,'2',324,'N'),(15,2807297,'1',201,'N'),(15,2807297,'1A',212,'N'),(15,2807297,'2',222,'N'),(15,2807300,'1',317,'N'),(15,2807300,'2',423,'N'),(15,2807319,'1',238,'N'),(15,2807319,'1A',207,'N'),(15,2807319,'2',328,'N'),(15,2807327,'1',324,'N'),(15,2807327,'2',317,'N'),(15,2807335,'1',102,'N'),(15,2807335,'2',425,'N'),(15,2807343,'1',309,'N'),(15,2807343,'2',326,'N'),(15,2807351,'1',309,'N'),(15,2807351,'2',339,'N'),(15,2807360,'1',101,'N'),(15,2807360,'2',331,'N'),(15,2807378,'1',339,'N'),(15,2807378,'2',101,'N'),(15,2807386,'1',214,'N'),(15,2807386,'1A',211,'N'),(15,2807386,'2',222,'N'),(15,2807394,'1',339,'N'),(15,2807394,'2',324,'N'),(15,2807408,'1',404,'N'),(15,2807408,'2',444,'N'),(15,2807416,'1',339,'N'),(15,2807416,'2',308,'N'),(15,2807424,'1',317,'N'),(15,2807432,'1',317,'N'),(15,2807432,'2',302,'N'),(15,2807440,'1',425,'N'),(15,2807440,'1A',429,'N'),(15,2807440,'2',404,'N'),(15,2807459,'1',101,'N'),(15,2807459,'2',317,'N'),(15,2807467,'1',101,'N'),(15,2807467,'2',102,'N'),(15,2807483,'1',309,'N'),(15,2807483,'2',339,'N'),(15,2807491,'1',302,'N'),(15,2807491,'2',317,'N'),(15,2807505,'1',428,'N'),(15,2807505,'1A',426,'N'),(15,2807505,'2',326,'N'),(15,2807513,'1',308,'N'),(15,2807513,'2',324,'N'),(15,2807521,'1',339,'N'),(15,2807521,'2',451,'N'),(15,2807530,'1',326,'N'),(15,2807530,'2',327,'N'),(15,2807548,'1',317,'N'),(15,2807548,'2',238,'N'),(15,2807556,'1',207,'N'),(15,2807556,'1A',201,'N'),(15,2807556,'2',108,'N'),(15,2807564,'1',333,'N'),(15,2807564,'2',451,'N'),(15,2807572,'1',103,'N'),(15,2807572,'2',104,'N'),(15,2807580,'1',444,'N'),(15,2807580,'2',208,'N'),(15,2807599,'1',233,'N'),(15,2807599,'1A',207,'N'),(15,2807599,'2',333,'N'),(15,2807602,'1',444,'N'),(15,2807602,'2',333,'N'),(15,2807610,'1',332,'N'),(15,2807610,'2',333,'N'),(15,2807629,'1',208,'N'),(15,2807629,'1A',220,'N'),(15,2807629,'2',213,'N'),(15,2807637,'1',309,'N'),(15,2807637,'2',339,'N'),(15,2807645,'1',101,'N'),(15,2807645,'2',309,'N'),(15,2807653,'1',316,'N'),(15,2807653,'2',423,'N'),(15,2807661,'1',333,'N'),(15,2807661,'2',421,'N'),(15,2807670,'1',217,'N'),(15,2807670,'2',319,'N'),(15,2807688,'1',208,'N'),(15,2807688,'1A',201,'N'),(15,2807688,'2',222,'N'),(15,2807696,'1',444,'N'),(15,2807696,'2',404,'N'),(15,2807700,'1',308,'N'),(15,2807700,'2',9,'N'),(15,2807718,'1',238,'N'),(15,2807718,'1A',208,'N'),(15,2807718,'2',444,'N'),(15,2807726,'1',301,'N'),(15,2807726,'2',444,'N'),(15,2807734,'1',302,'N'),(15,2807734,'2',317,'N'),(15,2807742,'1',207,'N'),(15,2807742,'2',302,'N'),(15,2807750,'1',326,'N'),(15,2807750,'2',421,'N'),(15,2807769,'1',108,'N'),(15,2807769,'2',501,'N'),(15,2807777,'1',326,'N'),(15,2807777,'2',308,'N'),(15,2807785,'1',302,'N'),(15,2807785,'2',308,'N'),(15,2807793,'1',302,'N'),(15,2807793,'2',324,'N'),(15,2807807,'1',339,'N'),(15,2807807,'2',320,'N'),(15,2807815,'1',339,'N'),(15,2807815,'2',309,'N'),(15,2807823,'1',101,'N'),(15,2807823,'2',326,'N'),(15,2807831,'1',102,'N'),(15,2807831,'2',211,'N'),(15,2807840,'1',332,'N'),(15,2807840,'2',327,'N'),(15,2807858,'1',217,'N'),(15,2807858,'2',425,'N'),(15,2807866,'1',207,'N'),(15,2807866,'1A',238,'N'),(15,2807866,'2',423,'N'),(15,2807874,'1',308,'N'),(15,2807874,'2',319,'N'),(15,2807882,'1',339,'N'),(15,2807882,'2',9,'N'),(15,2807890,'1',203,'N'),(15,2807890,'2',333,'N'),(15,2807904,'1',5,'N'),(15,2807904,'2',339,'N'),(15,2807912,'1',339,'N'),(15,2807912,'2',9,'N'),(15,2807920,'1',301,'N'),(15,2807920,'2',316,'N'),(15,2807939,'1',451,'N'),(15,2807939,'2',423,'N'),(15,2807947,'1',223,'N'),(15,2807947,'2',224,'N'),(15,2807955,'1',501,'N'),(15,2807955,'2',224,'N'),(15,2807963,'1',423,'N'),(15,2807963,'1A',424,'N'),(15,2807963,'2',217,'N'),(15,2807971,'1',425,'N'),(15,2807971,'1A',429,'N'),(15,2807971,'2',423,'N'),(15,2807980,'1',444,'N'),(15,2807980,'2',308,'N'),(15,2807998,'1',404,'N'),(15,2808005,'1',426,'N'),(15,2808005,'1A',429,'N'),(15,2808005,'2',428,'N'),(15,2808013,'1',317,'N'),(15,2808013,'2',238,'N'),(15,2808021,'1',308,'N'),(15,2808021,'2',339,'N'),(15,2808030,'1',450,'N'),(15,2808030,'2',327,'N'),(15,2808048,'1',339,'N'),(15,2808048,'2',329,'N'),(15,2808056,'1',339,'N'),(15,2808056,'2',404,'N'),(15,2808064,'1',339,'N'),(15,2808064,'2',404,'N'),(15,2808072,'1',317,'N'),(15,2808072,'2',302,'N'),(15,2808080,'1',444,'N'),(15,2808080,'2',201,'N'),(15,2808102,'1',332,'N'),(15,2808102,'2',324,'N'),(15,2808110,'1',211,'N'),(15,2808110,'1A',201,'N'),(15,2808110,'2',319,'N'),(15,2808129,'1',319,'N'),(15,2808129,'2',317,'N'),(15,2808137,'1',317,'N'),(15,2808137,'2',224,'N'),(15,2808145,'1',339,'N'),(15,2808145,'2',423,'N'),(15,2808153,'1',225,'N'),(15,2808153,'2',202,'N'),(15,2808161,'1',501,'N'),(15,2808161,'2',502,'N'),(15,2808170,'1',213,'N'),(15,2808170,'1A',214,'N'),(15,2808170,'2',212,'N'),(15,2808188,'1',213,'N'),(15,2808188,'1A',214,'N'),(15,2808188,'2',5,'N'),(15,2808196,'1',308,'N'),(15,2808196,'2',101,'N'),(15,2808200,'1',5,'N'),(15,2808200,'2',421,'N'),(15,2808218,'1',213,'N'),(15,2808218,'1A',202,'N'),(15,2808218,'2',317,'N'),(15,2808226,'1',339,'N'),(15,2808226,'2',324,'N'),(15,2808234,'1',429,'N'),(15,2808234,'1A',423,'N'),(15,2808234,'2',339,'N'),(15,2808242,'1',339,'N'),(15,2808242,'2',324,'N'),(15,2808250,'1',324,'N'),(15,2808250,'2',423,'N'),(15,2808269,'1',319,'N'),(15,2808269,'2',502,'N'),(15,2808277,'1',415,'N'),(15,2808277,'2',320,'N'),(15,2808285,'1',215,'N'),(15,2808285,'1A',216,'N'),(15,2808285,'2',217,'N'),(15,2808293,'1',320,'N'),(15,2808293,'2',339,'N'),(15,2808307,'1',320,'N'),(15,2808307,'2',426,'N'),(15,2808315,'1',421,'N'),(15,2808315,'1A',427,'N'),(15,2808315,'2',207,'N'),(15,2808323,'1',207,'N'),(15,2808323,'1A',201,'N'),(15,2808323,'2',420,'N'),(15,2808331,'1',424,'N'),(15,2808331,'1A',425,'N'),(15,2808331,'2',427,'N'),(15,2808340,'1',317,'N'),(15,2808340,'2',339,'N'),(15,2808358,'1',339,'N'),(15,2808358,'2',332,'N'),(15,2808366,'1',339,'N'),(15,2808366,'2',327,'N'),(15,2808374,'1',339,'N'),(15,2808374,'2',309,'N'),(15,2808382,'1',332,'N'),(15,2808390,'1',501,'N'),(15,2808390,'2',424,'N'),(15,2808404,'1',339,'N'),(15,2808404,'2',324,'N'),(15,2808412,'1',211,'N'),(15,2808412,'1A',215,'N'),(15,2808412,'2',5,'N'),(15,2808420,'1',451,'N'),(15,2808420,'2',415,'N'),(15,2808439,'1',404,'N'),(15,2808439,'2',319,'N'),(15,2808447,'1',444,'N'),(15,2808447,'2',339,'N'),(15,2808455,'1',308,'N'),(15,2808455,'2',339,'N'),(15,2808463,'1',302,'N'),(15,2808463,'2',427,'N'),(15,2808471,'1',5,'N'),(15,2808471,'2',317,'N'),(15,2808480,'1',339,'N'),(15,2808498,'1',404,'N'),(15,2808498,'2',301,'N'),(15,2808501,'1',317,'N'),(15,2808501,'2',339,'N'),(15,2808510,'1',317,'N'),(15,2808510,'2',327,'N'),(15,2808528,'1',316,'N'),(15,2808528,'2',317,'N'),(15,2808536,'1',222,'N'),(15,2808536,'2',501,'N'),(15,2808544,'1',202,'N'),(15,2808544,'1A',238,'N'),(15,2808544,'2',225,'N'),(15,2808552,'1',102,'N'),(15,2808552,'2',103,'N'),(15,2808560,'1',238,'N'),(15,2808560,'1A',202,'N'),(15,2808560,'2',214,'N'),(15,2808579,'1',501,'N'),(15,2808587,'1',319,'N'),(15,2808587,'2',215,'N'),(15,2808595,'1',103,'N'),(15,2808595,'2',451,'N'),(15,2808609,'1',101,'N'),(15,2808609,'2',324,'N'),(15,2808617,'1',224,'N'),(15,2808617,'2',424,'N'),(15,2808625,'1',327,'N'),(15,2808625,'2',332,'N'),(15,2808633,'1',316,'N'),(15,2808633,'2',301,'N'),(15,2808641,'1',428,'N'),(15,2808641,'1A',423,'N'),(15,2808641,'2',222,'N'),(15,2808650,'1',238,'N'),(15,2808650,'2',423,'N'),(15,2808668,'1',316,'N'),(15,2808668,'2',501,'N'),(15,2808676,'1',238,'N'),(15,2808676,'1A',208,'N'),(15,2808676,'2',220,'N'),(15,2808684,'1',202,'N'),(15,2808684,'1A',213,'N'),(15,2808684,'2',101,'N'),(15,2808692,'1',207,'N'),(15,2808692,'1A',238,'N'),(15,2808692,'2',333,'N'),(15,2808706,'1',108,'N'),(15,2808706,'2',332,'N'),(15,2808714,'1',331,'N'),(15,2808714,'2',217,'N'),(15,2808722,'1',339,'N'),(15,2808722,'2',423,'N'),(15,2808730,'1',302,'N'),(15,2808730,'2',309,'N'),(15,2808749,'1',103,'N'),(15,2808749,'2',502,'N'),(15,2808757,'1',217,'N'),(15,2808757,'2',224,'N'),(15,2808765,'1',451,'N'),(15,2808765,'2',426,'N'),(15,2808773,'1',108,'N'),(15,2808773,'2',333,'N'),(15,2808781,'1',327,'N'),(15,2808781,'2',339,'N'),(15,2808790,'1',324,'N'),(15,2808790,'2',502,'N'),(15,2808803,'1',317,'N'),(15,2808803,'2',316,'N'),(15,2808811,'1',102,'N'),(15,2808811,'2',215,'N'),(15,2808820,'1',426,'N'),(15,2808820,'1A',428,'N'),(15,2808820,'2',332,'N'),(15,2808838,'1',101,'N'),(15,2808838,'2',217,'N'),(15,2808846,'1',444,'N'),(15,2808846,'2',208,'N'),(15,2808854,'1',316,'N'),(15,2808854,'2',317,'N'),(15,2808862,'1',308,'N'),(15,2808862,'2',326,'N'),(15,2808870,'1',222,'N'),(15,2808870,'2',224,'N'),(15,2808889,'1',404,'N'),(15,2808889,'2',327,'N'),(15,2808897,'1',404,'N'),(15,2808897,'2',332,'N'),(15,2808900,'1',332,'N'),(15,2808900,'2',308,'N'),(15,2808919,'1',224,'N'),(15,2808919,'2',222,'N'),(15,2808927,'1',238,'N'),(15,2808927,'1A',212,'N'),(15,2808927,'2',217,'N'),(15,2808935,'1',329,'N'),(15,2808935,'2',320,'N'),(15,2808943,'1',404,'N'),(15,2808943,'2',332,'N'),(15,2808951,'1',332,'N'),(15,2808951,'2',428,'N'),(15,2808960,'1',316,'N'),(15,2808960,'2',324,'N'),(15,2808978,'1',415,'N'),(15,2808978,'2',5,'N'),(15,2808986,'1',207,'N'),(15,2808986,'1A',238,'N'),(15,2808986,'2',451,'N'),(15,2808994,'1',339,'N'),(15,2808994,'2',324,'N'),(15,2809001,'1',317,'N'),(15,2809001,'2',318,'N'),(15,2809010,'1',444,'N'),(15,2809010,'2',404,'N'),(15,2809028,'1',208,'N'),(15,2809028,'2',9,'N'),(15,2809036,'1',207,'N'),(15,2809036,'2',420,'N'),(15,2809044,'1',316,'N'),(15,2809044,'2',318,'N'),(15,2809052,'1',301,'N'),(15,2809052,'2',303,'N'),(15,2809060,'1',103,'N'),(15,2809060,'2',108,'N'),(15,2809079,'1',425,'N'),(15,2809079,'1A',429,'N'),(15,2809079,'2',108,'N'),(15,2809087,'1',339,'N'),(15,2809087,'2',317,'N'),(15,2809095,'1',420,'N'),(15,2809095,'2',108,'N'),(15,2809109,'1',216,'N'),(15,2809109,'1A',211,'N'),(15,2809109,'2',333,'N'),(15,2809117,'1',423,'N'),(15,2809117,'1A',425,'N'),(15,2809117,'2',308,'N'),(15,2809125,'1',324,'N'),(15,2809125,'2',103,'N'),(15,2809133,'1',327,'N'),(15,2809133,'2',425,'N'),(15,2809141,'1',308,'N'),(15,2809141,'2',339,'N'),(15,2809150,'1',426,'N'),(15,2809150,'1A',425,'N'),(15,2809150,'2',339,'N'),(15,2809168,'1',222,'N'),(15,2809168,'2',2,'N'),(15,2809176,'1',5,'N'),(15,2809176,'2',102,'N'),(15,2809184,'1',318,'N'),(15,2809184,'2',427,'N'),(15,2809192,'1',102,'N'),(15,2809192,'2',9,'N'),(15,2809206,'1',324,'N'),(15,2809206,'2',224,'N'),(15,2809214,'1',316,'N'),(15,2809214,'2',301,'N'),(15,2809230,'1',317,'N'),(15,2809230,'2',318,'N'),(15,2809249,'1',429,'N'),(15,2809249,'2',415,'N'),(15,2809257,'1',318,'N'),(15,2809257,'2',225,'N'),(15,2809265,'1',208,'N'),(15,2809265,'1A',238,'N'),(15,2809273,'1',9,'N'),(15,2809273,'2',215,'N'),(15,2809281,'1',308,'N'),(15,2809281,'2',303,'N'),(15,2809290,'1',317,'N'),(15,2809290,'2',318,'N'),(15,2809303,'1',317,'N'),(15,2809303,'2',208,'N'),(15,2809311,'1',324,'N'),(15,2809311,'2',308,'N'),(15,2809320,'1',223,'N'),(15,2809320,'2',225,'N'),(15,2809338,'1',203,'N'),(15,2809338,'1A',233,'N'),(15,2809338,'2',216,'N'),(15,2809346,'1',444,'N'),(15,2809346,'2',318,'N'),(15,2809354,'1',331,'N'),(15,2809354,'2',332,'N'),(15,2809362,'1',404,'N'),(15,2809362,'2',324,'N'),(15,2809370,'1',415,'N'),(15,2809370,'2',450,'N'),(15,2809389,'1',316,'N'),(15,2809389,'2',339,'N'),(15,2809397,'1',108,'N'),(15,2809397,'2',302,'N'),(15,2809400,'1',319,'N'),(15,2809400,'2',328,'N'),(15,2809419,'1',501,'N'),(15,2809419,'2',502,'N'),(15,2809427,'1',5,'N'),(15,2809427,'2',424,'N'),(15,2809435,'1',317,'N'),(15,2809435,'2',224,'N'),(15,2809443,'1',5,'N'),(15,2809443,'2',301,'N'),(15,2809451,'1',332,'N'),(15,2809451,'2',211,'N'),(15,2809478,'1',2,'N'),(15,2809478,'2',225,'N'),(15,2809486,'1',339,'N'),(15,2809486,'2',424,'N'),(15,2809494,'1',319,'N'),(15,2809494,'2',102,'N'),(15,2809508,'1',429,'N'),(15,2809508,'1A',425,'N'),(15,2809508,'2',320,'N'),(15,2809516,'1',101,'N'),(15,2809516,'2',224,'N'),(15,2809524,'1',201,'N'),(15,2809524,'1A',208,'N'),(15,2809524,'2',238,'N'),(15,2809532,'1',444,'N'),(15,2809532,'2',333,'N'),(15,2809540,'1',207,'N'),(15,2809540,'1A',211,'N'),(15,2809540,'2',426,'N'),(15,2809567,'1',324,'N'),(15,2809567,'2',333,'N'),(15,2809575,'1',238,'N'),(15,2809575,'1A',208,'N'),(15,2809575,'2',202,'N'),(15,2809583,'1',502,'N'),(15,2809583,'2',501,'N'),(15,2809591,'1',324,'N'),(15,2809591,'2',223,'N'),(15,2809605,'1',404,'N'),(15,2809605,'2',208,'N'),(15,2809613,'1',339,'N'),(15,2809613,'2',329,'N'),(15,2809621,'1',317,'N'),(15,2809621,'2',224,'N'),(15,2809630,'1',333,'N'),(15,2809630,'2',404,'N'),(15,2809648,'1',329,'N'),(15,2809648,'2',324,'N'),(15,2809656,'1',101,'N'),(15,2809656,'2',102,'N'),(15,2809664,'1',9,'N'),(15,2809664,'2',339,'N'),(15,2809672,'1',426,'N'),(15,2809672,'1A',428,'N'),(15,2809672,'2',415,'N'),(15,2809680,'1',5,'N'),(15,2809699,'1',317,'N'),(15,2809699,'2',233,'N'),(15,2809702,'1',502,'N'),(15,2809702,'2',211,'N'),(15,2809729,'1',320,'N'),(15,2809729,'2',327,'N'),(15,2809737,'1',234,'N'),(15,2809737,'2',217,'N'),(15,2809745,'1',301,'N'),(15,2809745,'2',201,'N'),(15,2809753,'1',316,'N'),(15,2809753,'2',317,'N'),(15,2809761,'1',329,'N'),(15,2809761,'2',327,'N'),(15,2809770,'1',234,'N'),(15,2809770,'2',301,'N'),(15,2809788,'1',308,'N'),(15,2809788,'2',324,'N'),(15,2809796,'1',316,'N'),(15,2809796,'2',426,'N'),(15,2809800,'1',308,'N'),(15,2809800,'2',234,'N'),(15,2809818,'1',201,'N'),(15,2809818,'1A',238,'N'),(15,2809818,'2',324,'N'),(15,2809826,'1',9,'N'),(15,2809826,'2',319,'N'),(15,2809834,'1',320,'N'),(15,2809834,'2',327,'N'),(15,2809842,'1',429,'N'),(15,2809842,'1A',428,'N'),(15,2809842,'2',332,'N'),(15,2809850,'1',316,'N'),(15,2809850,'2',426,'N'),(15,2809869,'1',331,'N'),(15,2809869,'2',301,'N'),(15,2809877,'1',444,'N'),(15,2809877,'2',423,'N'),(15,2809885,'1',103,'N'),(15,2809885,'2',309,'N'),(15,2809893,'1',102,'N'),(15,2809893,'2',332,'N'),(15,2809907,'1',101,'N'),(15,2809907,'2',339,'N'),(15,2809915,'1',201,'N'),(15,2809915,'1A',212,'N'),(15,2809915,'2',238,'N'),(15,2809923,'1',207,'N'),(15,2809923,'1A',201,'N'),(15,2809923,'2',238,'N'),(15,2809931,'1',304,'N'),(15,2809931,'2',318,'N'),(15,2809940,'1',316,'N'),(15,2809940,'2',339,'N'),(15,2809958,'1',101,'N'),(15,2809958,'2',429,'N'),(15,2809966,'1',318,'N'),(15,2809966,'2',339,'N'),(15,2809974,'1',329,'N'),(15,2809974,'2',421,'N'),(15,2809982,'1',339,'N'),(15,2809982,'2',332,'N'),(15,2809990,'1',318,'N'),(15,2809990,'2',316,'N'),(15,2810000,'1',331,'N'),(15,2810000,'2',332,'N'),(15,2810018,'1',428,'N'),(15,2810018,'1A',425,'N'),(15,2810018,'2',310,'N'),(15,2810026,'1',5,'N'),(15,2810026,'2',326,'N'),(15,2810034,'1',326,'N'),(15,2810034,'2',331,'N'),(15,2810042,'1',428,'N'),(15,2810042,'1A',423,'N'),(15,2810042,'2',308,'N'),(15,2810050,'1',326,'N'),(15,2810050,'2',308,'N'),(15,2810069,'1',319,'N'),(15,2810069,'2',316,'N'),(15,2810077,'1',444,'N'),(15,2810077,'2',238,'N'),(15,2810085,'1',238,'N'),(15,2810085,'1A',208,'N'),(15,2810085,'2',339,'N'),(15,2810093,'1',203,'N'),(15,2810093,'1A',214,'N'),(15,2810093,'2',202,'N'),(15,2810107,'1',103,'N'),(15,2810107,'2',104,'N'),(15,2810115,'1',103,'N'),(15,2810115,'2',104,'N'),(15,2810123,'1',238,'N'),(15,2810123,'1A',208,'N'),(15,2810123,'2',217,'N'),(15,2810131,'1',233,'N'),(15,2810131,'1A',212,'N'),(15,2810131,'2',223,'N'),(15,2810158,'1',5,'N'),(15,2810158,'2',444,'N'),(15,2810166,'1',415,'N'),(15,2810166,'2',425,'N'),(15,2810174,'1',208,'N'),(15,2810174,'1A',238,'N'),(15,2810174,'2',2,'N'),(15,2810182,'1',331,'N'),(15,2810182,'2',308,'N'),(15,2810190,'1',309,'N'),(15,2810190,'2',423,'N'),(15,2810212,'1',425,'N'),(15,2810212,'2',423,'N'),(15,2810220,'1',201,'N'),(15,2810220,'1A',212,'N'),(15,2810220,'2',332,'N'),(15,2810239,'1',217,'N'),(15,2810239,'2',421,'N'),(15,2810247,'1',415,'N'),(15,2810247,'2',444,'N'),(15,2810255,'1',428,'N'),(15,2810255,'2',425,'N'),(15,2810263,'1',317,'N'),(15,2810263,'2',327,'N'),(15,2810271,'1',5,'N'),(15,2810271,'2',215,'N'),(15,2810280,'1',108,'N'),(15,2810280,'2',101,'N'),(15,2810298,'1',308,'N'),(15,2810298,'2',423,'N'),(15,2810301,'1',317,'N'),(15,2810301,'2',318,'N'),(15,2810310,'1',317,'N'),(15,2810310,'2',327,'N'),(15,2810328,'1',404,'N'),(15,2810328,'2',332,'N'),(15,2810336,'1',302,'N'),(15,2810336,'2',404,'N'),(15,2810344,'1',324,'N'),(15,2810344,'2',427,'N'),(15,2810352,'1',222,'N'),(15,2810352,'2',425,'N'),(15,2810360,'1',238,'N'),(15,2810360,'1A',208,'N'),(15,2810360,'2',339,'N'),(15,2810379,'1',5,'N'),(15,2810379,'2',316,'N'),(15,2810387,'1',332,'N'),(15,2810387,'2',320,'N'),(15,2810395,'1',404,'N'),(15,2810395,'2',423,'N'),(15,2810409,'1',333,'N'),(15,2810409,'2',444,'N'),(15,2810417,'1',211,'N'),(15,2810417,'1A',201,'N'),(15,2810417,'2',318,'N'),(15,2810425,'1',108,'N'),(15,2810425,'2',211,'N'),(15,2810433,'1',444,'N'),(15,2810433,'2',332,'N'),(15,2810441,'1',444,'N'),(15,2810441,'2',102,'N'),(15,2810450,'1',333,'N'),(15,2810450,'2',328,'N'),(15,2810468,'1',108,'N'),(15,2810468,'2',339,'N'),(15,2810476,'1',211,'N'),(15,2810476,'2',332,'N'),(15,2810484,'1',319,'N'),(15,2810484,'2',329,'N'),(15,2810492,'1',332,'N'),(15,2810492,'2',333,'N'),(15,2810506,'1',101,'N'),(15,2810506,'2',217,'N'),(15,2810514,'1',211,'N'),(15,2810514,'1A',213,'N'),(15,2810514,'2',502,'N'),(15,2810522,'1',225,'N'),(15,2810522,'2',224,'N'),(15,2810530,'1',101,'N'),(15,2810530,'2',327,'N'),(15,2810549,'1',208,'N'),(15,2810549,'2',238,'N'),(15,2810557,'1',211,'N'),(15,2810557,'1A',201,'N'),(15,2810557,'2',234,'N'),(15,2810565,'1',339,'N'),(15,2810565,'2',308,'N'),(15,2810573,'1',101,'N'),(15,2810573,'2',223,'N'),(15,2810581,'1',317,'N'),(15,2810581,'2',224,'N'),(15,2810590,'1',332,'N'),(15,2810590,'2',502,'N'),(15,2810603,'1',444,'N'),(15,2810603,'2',238,'N'),(15,2810611,'1',303,'N'),(15,2810611,'2',428,'N'),(15,2810620,'1',211,'N'),(15,2810620,'1A',208,'N'),(15,2810620,'2',420,'N'),(15,2810638,'1',238,'N'),(15,2810638,'1A',208,'N'),(15,2810638,'2',5,'N'),(15,2810646,'1',101,'N'),(15,2810646,'2',102,'N'),(15,2810654,'1',333,'N'),(15,2810654,'2',332,'N'),(15,2810662,'1',207,'N'),(15,2810662,'1A',211,'N'),(15,2810662,'2',425,'N'),(15,2810670,'1',319,'N'),(15,2810670,'2',327,'N'),(15,2810689,'1',333,'N'),(15,2810689,'2',211,'N'),(15,2810697,'1',319,'N'),(15,2810697,'2',425,'N'),(15,2810700,'1',333,'N'),(15,2810719,'1',421,'N'),(15,2810719,'1A',424,'N'),(15,2810719,'2',332,'N'),(15,2810727,'1',421,'N'),(15,2810727,'1A',429,'N'),(15,2810727,'2',339,'N'),(15,2810735,'1',324,'N'),(15,2810735,'2',308,'N'),(15,2810743,'1',339,'N'),(15,2810743,'2',309,'N'),(15,2810760,'1',444,'N'),(15,2810760,'2',207,'N'),(15,2810778,'1',308,'N'),(15,2810778,'2',426,'N'),(15,2810786,'1',404,'N'),(15,2810786,'2',444,'N'),(15,2810794,'1',207,'N'),(15,2810794,'1A',211,'N'),(15,2810794,'2',420,'N'),(15,2810808,'1',316,'N'),(15,2810808,'2',327,'N'),(15,2810816,'1',309,'N'),(15,2810816,'2',428,'N'),(15,2810824,'1',317,'N'),(15,2810824,'2',224,'N'),(15,2810832,'1',104,'N'),(15,2810832,'2',308,'N'),(15,2810840,'1',201,'N'),(15,2810840,'1A',212,'N'),(15,2810840,'2',220,'N'),(15,2810859,'1',421,'N'),(15,2810859,'1A',424,'N'),(15,2810859,'2',332,'N'),(15,2810867,'1',339,'N'),(15,2810867,'2',309,'N'),(15,2810875,'1',101,'N'),(15,2810875,'2',423,'N'),(15,2810883,'1',223,'N'),(15,2810883,'2',308,'N'),(15,2810891,'1',426,'N'),(15,2810891,'1A',423,'N'),(15,2810891,'2',308,'N'),(15,2810905,'1',429,'N'),(15,2810905,'1A',423,'N'),(15,2810905,'2',318,'N'),(15,2810921,'1',223,'N'),(15,2810921,'2',2,'N'),(15,2810930,'1',208,'N'),(15,2810930,'1A',215,'N'),(15,2810930,'2',202,'N'),(15,2810948,'1',208,'N'),(15,2810948,'2',238,'N'),(15,2810956,'1',316,'N'),(15,2810956,'2',318,'N'),(15,2810972,'1',5,'N'),(15,2810972,'2',303,'N'),(15,2810980,'1',308,'N'),(15,2810980,'2',327,'N'),(15,2811006,'1',339,'N'),(15,2811006,'2',308,'N'),(15,2811014,'1',309,'N'),(15,2811014,'2',303,'N'),(15,2811022,'1',404,'N'),(15,2811022,'2',217,'N'),(15,2811030,'1',9,'N'),(15,2811030,'2',339,'N'),(15,2811049,'1',225,'N'),(15,2811049,'2',328,'N'),(15,2811057,'1',308,'N'),(15,2811057,'2',423,'N'),(15,2811065,'1',217,'N'),(15,2811065,'2',216,'N'),(15,2811073,'1',429,'N'),(15,2811073,'1A',426,'N'),(15,2811073,'2',339,'N'),(15,2811081,'1',201,'N'),(15,2811081,'1A',212,'N'),(15,2811081,'2',501,'N'),(15,2811090,'1',501,'N'),(15,2811090,'2',211,'N'),(15,2811103,'1',317,'N'),(15,2811103,'2',327,'N'),(15,2811111,'1',404,'N'),(15,2811111,'2',444,'N'),(15,2811120,'1',309,'N'),(15,2811120,'2',424,'N'),(15,2811138,'1',102,'N'),(15,2811138,'2',317,'N'),(15,2811146,'1',415,'N'),(15,2811146,'2',303,'N'),(15,2811154,'1',319,'N'),(15,2811154,'2',234,'N'),(15,2811162,'1',102,'N'),(15,2811162,'2',211,'N'),(15,2811170,'1',101,'N'),(15,2811170,'2',502,'N'),(15,2811189,'1',238,'N'),(15,2811189,'1A',208,'N'),(15,2811197,'1',316,'N'),(15,2811197,'2',339,'N'),(15,2811200,'1',451,'N'),(15,2811200,'2',426,'N'),(15,2811219,'1',308,'N'),(15,2811219,'2',339,'N'),(15,2811227,'1',308,'N'),(15,2811227,'2',9,'N'),(15,2811235,'1',211,'N'),(15,2811235,'1A',215,'N'),(15,2811235,'2',2,'N'),(15,2811243,'1',502,'N'),(15,2811243,'2',308,'N'),(15,2811251,'1',211,'N'),(15,2811251,'1A',233,'N'),(15,2811251,'2',501,'N'),(15,2811260,'1',238,'N'),(15,2811260,'1A',208,'N'),(15,2811260,'2',339,'N'),(15,2811278,'1',207,'N'),(15,2811278,'1A',201,'N'),(15,2811294,'1',208,'N'),(15,2811294,'1A',202,'N'),(15,2811294,'2',329,'N'),(15,2811308,'1',308,'N'),(15,2811308,'2',426,'N'),(15,2811316,'1',415,'N'),(15,2811316,'2',320,'N'),(15,2811324,'1',5,'N'),(15,2811324,'2',327,'N'),(15,2811332,'1',326,'N'),(15,2811332,'2',428,'N'),(15,2811340,'1',215,'N'),(15,2811340,'2',9,'N'),(15,2811359,'1',308,'N'),(15,2811359,'2',423,'N'),(15,2811367,'1',324,'N'),(15,2811367,'2',429,'N'),(15,2811375,'1',207,'N'),(15,2811375,'1A',201,'N'),(15,2811375,'2',301,'N'),(15,2811383,'1',101,'N'),(15,2811383,'2',451,'N'),(15,2811391,'1',308,'N'),(15,2811391,'2',339,'N'),(15,2811405,'1',327,'N'),(15,2811405,'2',329,'N'),(15,2811413,'1',101,'N'),(15,2811413,'2',429,'N'),(15,2811421,'1',301,'N'),(15,2811421,'2',101,'N'),(15,2811430,'1',103,'N'),(15,2811430,'2',201,'N'),(15,2811448,'1',317,'N'),(15,2811448,'2',304,'N'),(15,2811456,'1',303,'N'),(15,2811456,'2',319,'N'),(15,2811464,'1',319,'N'),(15,2811472,'1',203,'N'),(15,2811472,'1A',202,'N'),(15,2811472,'2',502,'N'),(15,2811480,'1',103,'N'),(15,2811480,'2',102,'N'),(15,2811499,'1',444,'N'),(15,2811499,'2',316,'N'),(15,2811510,'1',327,'N'),(15,2811510,'2',224,'N'),(15,2811529,'1',444,'N'),(15,2811537,'1',222,'N'),(15,2811537,'2',317,'N'),(15,2811545,'1',317,'N'),(15,2811545,'2',101,'N'),(15,2811553,'1',316,'N'),(15,2811553,'2',201,'N'),(15,2811561,'1',208,'N'),(15,2811561,'1A',238,'N'),(15,2811561,'2',444,'N'),(15,2811570,'1',102,'N'),(15,2811570,'2',108,'N'),(15,2811588,'1',429,'N'),(15,2811588,'2',308,'N'),(15,2811596,'1',327,'N'),(15,2811596,'2',308,'N'),(15,2811600,'1',429,'N'),(15,2811600,'1A',425,'N'),(15,2811600,'2',423,'N'),(15,2811618,'1',316,'N'),(15,2811618,'2',317,'N'),(15,2811626,'1',102,'N'),(15,2811626,'2',217,'N'),(15,2811634,'1',316,'N'),(15,2811634,'2',102,'N'),(15,2811650,'1',103,'N'),(15,2811650,'2',108,'N'),(15,2811669,'1',103,'N'),(15,2811669,'2',101,'N'),(15,2811677,'1',317,'N'),(15,2811677,'2',238,'N'),(15,2811685,'1',103,'N'),(15,2811685,'2',108,'N'),(15,2811693,'1',423,'N'),(15,2811693,'1A',429,'N'),(15,2811693,'2',308,'N'),(15,2811707,'1',318,'N'),(15,2811707,'2',426,'N'),(15,2811715,'1',317,'N'),(15,2811715,'2',324,'N'),(15,2811723,'1',108,'N'),(15,2811723,'2',309,'N'),(15,2811731,'1',320,'N'),(15,2811731,'2',332,'N'),(15,2811740,'1',327,'N'),(15,2811740,'2',324,'N'),(15,2811758,'1',319,'N'),(15,2811758,'2',316,'N'),(15,2811766,'1',220,'N'),(15,2811766,'1A',208,'N'),(15,2811766,'2',238,'N'),(15,2811774,'1',309,'N'),(15,2811774,'2',319,'N'),(15,2811782,'1',404,'N'),(15,2811782,'2',324,'N'),(15,2811790,'1',101,'N'),(15,2811790,'2',331,'N'),(15,2811804,'1',318,'N'),(15,2811804,'2',329,'N'),(15,2811812,'1',308,'N'),(15,2811812,'2',319,'N'),(15,2811820,'1',5,'N'),(15,2811820,'2',217,'N'),(15,2811839,'1',319,'N'),(15,2811839,'2',329,'N'),(15,2811847,'1',309,'N'),(15,2811847,'2',333,'N'),(15,2811855,'1',327,'N'),(15,2811855,'2',428,'N'),(15,2811863,'1',233,'N'),(15,2811863,'2',225,'N'),(15,2811871,'1',303,'N'),(15,2811871,'2',302,'N'),(15,2811880,'1',220,'N'),(15,2811880,'1A',202,'N'),(15,2811880,'2',222,'N'),(15,2811898,'1',301,'N'),(15,2811898,'2',415,'N'),(15,2811901,'1',404,'N'),(15,2811901,'2',324,'N'),(15,2811910,'1',9,'N'),(15,2811910,'2',332,'N'),(15,2811928,'1',223,'N'),(15,2811928,'2',301,'N'),(15,2811936,'1',404,'N'),(15,2811936,'2',308,'N'),(15,2811944,'1',501,'N'),(15,2811944,'2',502,'N'),(15,2811952,'1',318,'N'),(15,2811952,'2',332,'N'),(15,2811960,'1',208,'N'),(15,2811960,'2',238,'N'),(15,2811979,'1',324,'N'),(15,2811979,'2',333,'N'),(15,2811987,'1',450,'N'),(15,2811987,'2',320,'N'),(15,2811995,'1',211,'N'),(15,2811995,'2',423,'N'),(15,2812002,'1',326,'N'),(15,2812002,'2',327,'N'),(15,2812010,'1',423,'N'),(15,2812010,'1A',424,'N'),(15,2812010,'2',329,'N'),(15,2812037,'1',424,'N'),(15,2812037,'1A',427,'N'),(15,2812037,'2',324,'N'),(15,2812045,'1',238,'N'),(15,2812045,'1A',214,'N'),(15,2812045,'2',316,'N'),(15,2812053,'1',444,'N'),(15,2812053,'2',309,'N'),(15,2812061,'1',208,'N'),(15,2812061,'1A',238,'N'),(15,2812061,'2',450,'N'),(15,2812070,'1',444,'N'),(15,2812070,'2',324,'N'),(15,2812088,'1',425,'N'),(15,2812088,'1A',429,'N'),(15,2812088,'2',424,'N'),(15,2812096,'1',324,'N'),(15,2812096,'2',326,'N'),(15,2812100,'1',317,'N'),(15,2812100,'2',324,'N'),(15,2812118,'1',309,'N'),(15,2812118,'2',324,'N'),(15,2812126,'1',208,'N'),(15,2812126,'1A',238,'N'),(15,2812126,'2',329,'N'),(15,2812142,'1',202,'N'),(15,2812142,'1A',238,'N'),(15,2812142,'2',317,'N'),(15,2812150,'1',217,'N'),(15,2812150,'2',309,'N'),(15,2812169,'1',427,'N'),(15,2812169,'1A',423,'N'),(15,2812169,'2',421,'N'),(15,2812177,'1',415,'N'),(15,2812177,'2',426,'N'),(15,2812185,'1',208,'N'),(15,2812185,'1A',220,'N'),(15,2812185,'2',420,'N'),(15,2812193,'1',238,'N'),(15,2812193,'1A',208,'N'),(15,2812193,'2',429,'N'),(15,2812207,'1',339,'N'),(15,2812207,'2',9,'N'),(15,2812215,'1',502,'N'),(15,2812215,'2',333,'N'),(15,2812223,'1',102,'N'),(15,2812223,'2',332,'N'),(15,2812231,'1',316,'N'),(15,2812231,'2',427,'N'),(15,2812240,'1',316,'N'),(15,2812240,'2',317,'N'),(15,2812258,'1',317,'N'),(15,2812258,'2',224,'N'),(15,2812266,'1',426,'N'),(15,2812266,'1A',429,'N'),(15,2812266,'2',308,'N'),(15,2812274,'1',319,'N'),(15,2812274,'2',308,'N'),(15,2812282,'1',108,'N'),(15,2812282,'2',426,'N'),(15,2812290,'1',211,'N'),(15,2812290,'1A',208,'N'),(15,2812290,'2',217,'N'),(15,2812304,'1',223,'N'),(15,2812304,'2',2,'N'),(15,2812312,'1',444,'N'),(15,2812312,'2',309,'N'),(15,2812320,'1',238,'N'),(15,2812320,'2',328,'N'),(15,2812339,'1',308,'N'),(15,2812339,'2',339,'N'),(15,2812347,'1',207,'N'),(15,2812347,'1A',201,'N'),(15,2812347,'2',501,'N'),(15,2812355,'1',207,'N'),(15,2812355,'1A',201,'N'),(15,2812355,'2',502,'N'),(15,2812363,'1',450,'N'),(15,2812363,'2',326,'N'),(15,2812371,'1',304,'N'),(15,2812371,'2',309,'N'),(15,2812380,'1',317,'N'),(15,2812380,'2',308,'N'),(15,2812398,'1',339,'N'),(15,2812398,'2',308,'N'),(15,2812401,'1',308,'N'),(15,2812401,'2',404,'N'),(15,2812410,'1',421,'N'),(15,2812410,'2',427,'N'),(15,2812428,'1',319,'N'),(15,2812428,'2',326,'N'),(15,2812436,'1',208,'N'),(15,2812436,'1A',238,'N'),(15,2812436,'2',213,'N'),(15,2812444,'1',301,'N'),(15,2812444,'2',303,'N'),(15,2812452,'1',203,'N'),(15,2812452,'1A',238,'N'),(15,2812452,'2',2,'N'),(15,2812460,'1',444,'N'),(15,2812460,'2',234,'N'),(15,2812479,'1',104,'N'),(15,2812479,'2',208,'N'),(15,2812487,'1',501,'N'),(15,2812487,'2',211,'N'),(15,2812495,'1',216,'N'),(15,2812495,'1A',208,'N'),(15,2812495,'2',317,'N'),(15,2812509,'1',319,'N'),(15,2812509,'2',308,'N'),(15,2812517,'1',201,'N'),(15,2812517,'1A',214,'N'),(15,2812517,'2',2,'N'),(15,2812525,'1',427,'N'),(15,2812525,'2',426,'N'),(15,2812533,'1',309,'N'),(15,2812541,'1',317,'N'),(15,2812541,'2',224,'N'),(15,2812550,'1',308,'N'),(15,2812550,'2',339,'N'),(15,2812568,'1',101,'N'),(15,2812568,'2',308,'N'),(15,2812576,'1',444,'N'),(15,2812576,'2',324,'N'),(15,2812584,'1',424,'N'),(15,2812584,'1A',421,'N'),(15,2812584,'2',451,'N'),(15,2812592,'1',319,'N'),(15,2812592,'2',308,'N'),(15,2812606,'1',324,'N'),(15,2812606,'2',423,'N'),(15,2812614,'1',234,'N'),(15,2812614,'2',331,'N'),(15,2812622,'1',225,'N'),(15,2812622,'2',425,'N'),(15,2812630,'1',324,'N'),(15,2812630,'2',309,'N'),(15,2812649,'1',326,'N'),(15,2812649,'2',327,'N'),(15,2812657,'1',108,'N'),(15,2812657,'2',333,'N'),(15,2812665,'1',108,'N'),(15,2812665,'2',331,'N'),(15,2812673,'1',502,'N'),(15,2812673,'2',339,'N'),(15,2812681,'1',309,'N'),(15,2812681,'2',319,'N'),(15,2812690,'1',429,'N'),(15,2812690,'1A',425,'N'),(15,2812690,'2',444,'N'),(15,2812703,'1',316,'N'),(15,2812703,'2',317,'N'),(15,2812711,'1',317,'N'),(15,2812720,'1',415,'N'),(15,2812720,'2',208,'N'),(15,2812738,'1',444,'N'),(15,2812738,'2',501,'N'),(15,2812746,'1',108,'N'),(15,2812746,'2',502,'N'),(15,2812754,'1',101,'N'),(15,2812754,'2',102,'N'),(15,2812762,'1',320,'N'),(15,2812762,'2',328,'N'),(15,2812770,'1',207,'N'),(15,2812770,'1A',215,'N'),(15,2812770,'2',225,'N'),(15,2812789,'1',233,'N'),(15,2812789,'1A',216,'N'),(15,2812789,'2',201,'N'),(15,2812797,'1',304,'N'),(15,2812797,'2',318,'N'),(15,2812800,'1',211,'N'),(15,2812800,'1A',201,'N'),(15,2812800,'2',501,'N'),(15,2812819,'1',211,'N'),(15,2812819,'1A',215,'N'),(15,2812819,'2',339,'N'),(15,2812827,'1',327,'N'),(15,2812827,'2',426,'N'),(15,2812835,'1',317,'N'),(15,2812835,'2',304,'N'),(15,2812843,'1',339,'N'),(15,2812843,'2',324,'N'),(15,2812851,'1',420,'N'),(15,2812851,'2',451,'N'),(15,2812860,'1',420,'N'),(15,2812860,'2',103,'N'),(15,2812878,'1',444,'N'),(15,2812878,'2',420,'N'),(15,2812886,'1',444,'N'),(15,2812886,'2',404,'N'),(15,2812894,'1',101,'N'),(15,2812894,'2',234,'N'),(15,2812908,'1',5,'N'),(15,2812908,'2',303,'N'),(15,2812916,'1',319,'N'),(15,2812916,'2',444,'N'),(15,2812924,'1',201,'N'),(15,2812924,'1A',212,'N'),(15,2812924,'2',2,'N'),(15,2812932,'1',316,'N'),(15,2812932,'2',301,'N'),(15,2812940,'1',101,'N'),(15,2812940,'2',224,'N'),(15,2812959,'1',317,'N'),(15,2812959,'2',319,'N'),(15,2812967,'1',220,'N'),(15,2812967,'2',444,'N'),(15,2812983,'1',238,'N'),(15,2812983,'2',316,'N'),(15,2812991,'1',309,'N'),(15,2812991,'2',308,'N'),(15,2813009,'1',324,'N'),(15,2813009,'2',103,'N'),(15,2813017,'1',104,'N'),(15,2813017,'2',404,'N'),(15,2813025,'1',415,'N'),(15,2813025,'2',320,'N'),(15,2813041,'1',208,'N'),(15,2813041,'2',308,'N'),(15,2813050,'1',501,'N'),(15,2813050,'2',234,'N'),(15,2813068,'1',308,'N'),(15,2813068,'2',329,'N'),(15,2813076,'1',208,'N'),(15,2813076,'1A',238,'N'),(15,2813076,'2',225,'N'),(15,2813084,'1',309,'N'),(15,2813084,'2',339,'N'),(15,2813092,'1',320,'N'),(15,2813106,'1',207,'N'),(15,2813106,'2',326,'N'),(15,2813114,'1',222,'N'),(15,2813114,'2',309,'N'),(15,2813122,'1',444,'N'),(15,2813122,'2',404,'N'),(15,2813130,'1',208,'N'),(15,2813130,'1A',238,'N'),(15,2813130,'2',234,'N'),(15,2813149,'1',208,'N'),(15,2813149,'2',324,'N'),(15,2813157,'1',309,'N'),(15,2813157,'2',331,'N'),(15,2813165,'1',318,'N'),(15,2813165,'2',421,'N'),(15,2813173,'1',308,'N'),(15,2813173,'2',324,'N'),(15,2813190,'1',326,'N'),(15,2813190,'2',223,'N'),(15,2813203,'1',426,'N'),(15,2813203,'1A',429,'N'),(15,2813203,'2',320,'N'),(15,2813211,'1',324,'N'),(15,2813211,'2',451,'N'),(15,2813220,'1',317,'N'),(15,2813220,'2',324,'N'),(15,2813238,'1',420,'N'),(15,2813238,'2',426,'N'),(15,2813246,'1',317,'N'),(15,2813246,'2',308,'N'),(15,2813254,'1',339,'N'),(15,2813254,'2',324,'N'),(15,2813262,'1',404,'N'),(15,2813262,'2',329,'N'),(15,2813270,'1',308,'N'),(15,2813270,'2',426,'N'),(15,2813289,'1',103,'N'),(15,2813289,'2',214,'N'),(15,2813297,'1',319,'N'),(15,2813297,'2',339,'N'),(15,2813300,'1',103,'N'),(15,2813300,'2',9,'N'),(15,2813319,'1',404,'N'),(15,2813319,'2',324,'N'),(15,2813327,'1',201,'N'),(15,2813327,'1A',212,'N'),(15,2813327,'2',333,'N'),(15,2813335,'1',324,'N'),(15,2813335,'2',415,'N'),(15,2813343,'1',429,'N'),(15,2813343,'1A',426,'N'),(15,2813343,'2',425,'N'),(15,2813351,'1',303,'N'),(15,2813351,'2',301,'N'),(15,2813360,'1',404,'N'),(15,2813360,'2',421,'N'),(15,2813378,'1',9,'N'),(15,2813378,'2',223,'N'),(15,2813386,'1',104,'N'),(15,2813386,'2',319,'N'),(15,2813394,'1',234,'N'),(15,2813394,'2',329,'N'),(15,2813416,'1',101,'N'),(15,2813416,'2',308,'N'),(15,2813424,'1',208,'N'),(15,2813424,'1A',238,'N'),(15,2813424,'2',425,'N'),(15,2813432,'1',303,'N'),(15,2813432,'2',103,'N'),(15,2813440,'1',316,'N'),(15,2813440,'2',318,'N'),(15,2813459,'1',333,'N'),(15,2813459,'2',108,'N'),(15,2813467,'1',450,'N'),(15,2813467,'2',425,'N'),(15,2813475,'1',316,'N'),(15,2813491,'1',308,'N'),(15,2813491,'2',339,'N'),(15,2813505,'1',308,'N'),(15,2813505,'2',339,'N'),(15,2813513,'1',333,'N'),(15,2813513,'2',339,'N'),(15,2813521,'1',317,'N'),(15,2813521,'2',224,'N'),(15,2813530,'1',211,'N'),(15,2813530,'2',327,'N'),(15,2813548,'1',302,'N'),(15,2813548,'2',223,'N'),(15,2813556,'1',502,'N'),(15,2813556,'2',501,'N'),(15,2813564,'1',308,'N'),(15,2813564,'2',339,'N'),(15,2813572,'1',213,'N'),(15,2813572,'1A',208,'N'),(15,2813572,'2',238,'N'),(15,2813599,'1',308,'N'),(15,2813599,'2',9,'N'),(15,2813602,'1',425,'N'),(15,2813602,'1A',429,'N'),(15,2813602,'2',415,'N'),(15,2813610,'1',238,'N'),(15,2813610,'2',5,'N'),(15,2813629,'1',217,'N'),(15,2813629,'2',501,'N'),(15,2813645,'1',101,'N'),(15,2813645,'2',404,'N'),(15,2813653,'1',420,'N'),(15,2813653,'2',208,'N'),(15,2813661,'1',308,'N'),(15,2813661,'2',339,'N'),(15,2813670,'1',415,'N'),(15,2813670,'2',225,'N'),(15,2813688,'1',208,'N'),(15,2813700,'1',103,'N'),(15,2813700,'2',101,'N'),(15,2813718,'1',202,'N'),(15,2813718,'1A',201,'N'),(15,2813718,'2',501,'N'),(15,2813726,'1',202,'N'),(15,2813726,'1A',213,'N'),(15,2813726,'2',222,'N'),(15,2813734,'1',309,'N'),(15,2813734,'2',339,'N'),(15,2813742,'1',317,'N'),(15,2813742,'2',9,'N'),(15,2813750,'1',309,'N'),(15,2813750,'2',426,'N'),(15,2813769,'1',404,'N'),(15,2813769,'2',308,'N'),(15,2813777,'1',324,'N'),(15,2813777,'2',327,'N'),(15,2813785,'1',224,'N'),(15,2813785,'2',203,'N'),(15,2813793,'1',5,'N'),(15,2813793,'2',303,'N'),(15,2813807,'1',104,'N'),(15,2813807,'2',9,'N'),(15,2813815,'1',302,'N'),(15,2813815,'2',222,'N'),(15,2813831,'1',423,'N'),(15,2813831,'1A',427,'N'),(15,2813831,'2',327,'N'),(15,2813840,'1',101,'N'),(15,2813840,'2',102,'N'),(15,2813858,'1',308,'N'),(15,2813858,'2',423,'N'),(15,2813866,'1',501,'N'),(15,2813866,'2',211,'N'),(15,2813874,'1',317,'N'),(15,2813874,'2',339,'N'),(15,2813882,'1',302,'N'),(15,2813882,'2',423,'N'),(15,2813890,'1',308,'N'),(15,2813890,'2',423,'N'),(15,2813904,'1',303,'N'),(15,2813904,'2',5,'N'),(15,2813912,'1',404,'N'),(15,2813912,'2',502,'N'),(15,2813920,'1',324,'N'),(15,2813920,'2',339,'N'),(15,2813939,'1',316,'N'),(15,2813939,'2',207,'N'),(15,2813947,'1',317,'N'),(15,2813947,'2',332,'N'),(15,2813955,'1',316,'N'),(15,2813955,'2',317,'N'),(15,2813963,'1',233,'N'),(15,2813963,'2',208,'N'),(15,2813971,'1',316,'N'),(15,2813971,'2',317,'N'),(15,2813980,'1',202,'N'),(15,2813980,'2',501,'N'),(15,2813998,'1',104,'N'),(15,2813998,'2',319,'N'),(15,2814005,'1',9,'N'),(15,2814005,'2',327,'N'),(15,2814013,'1',317,'N'),(15,2814013,'2',324,'N'),(15,2814021,'1',301,'N'),(15,2814021,'2',303,'N'),(15,2814030,'1',331,'N'),(15,2814030,'2',324,'N'),(15,2814048,'1',444,'N'),(15,2814048,'2',220,'N'),(15,2814064,'1',5,'N'),(15,2814064,'2',444,'N'),(15,2814072,'1',316,'N'),(15,2814072,'2',318,'N'),(15,2814080,'1',101,'N'),(15,2814080,'2',404,'N'),(15,2814099,'1',317,'N'),(15,2814099,'2',327,'N'),(15,2814102,'1',5,'N'),(15,2814102,'2',202,'N'),(15,2814110,'1',104,'N'),(15,2814110,'2',425,'N'),(15,2814129,'1',415,'N'),(15,2814129,'2',304,'N'),(15,2814137,'1',5,'N'),(15,2814137,'2',316,'N'),(15,2814145,'1',101,'N'),(15,2814145,'2',302,'N'),(15,2814153,'1',319,'N'),(15,2814153,'2',9,'N'),(15,2814161,'1',308,'N'),(15,2814161,'2',426,'N'),(15,2814170,'1',108,'N'),(15,2814170,'2',333,'N'),(15,2814188,'1',202,'N'),(15,2814188,'2',444,'N'),(15,2814196,'1',324,'N'),(15,2814196,'2',339,'N'),(15,2814200,'1',5,'N'),(15,2814200,'2',426,'N'),(15,2814218,'1',319,'N'),(15,2814218,'2',331,'N'),(15,2814226,'1',9,'N'),(15,2814226,'2',444,'N'),(15,2814234,'1',444,'N'),(15,2814234,'2',9,'N'),(15,2814242,'1',216,'N'),(15,2814242,'1A',215,'N'),(15,2814242,'2',217,'N'),(15,2814250,'1',316,'N'),(15,2814250,'2',327,'N'),(15,2814269,'1',426,'N'),(15,2814269,'1A',428,'N'),(15,2814269,'2',324,'N'),(15,2814277,'1',301,'N'),(15,2814277,'2',302,'N'),(15,2814285,'1',225,'N'),(15,2814285,'2',224,'N'),(15,2814293,'1',211,'N'),(15,2814293,'1A',212,'N'),(15,2814293,'2',108,'N'),(15,2814307,'1',103,'N'),(15,2814307,'2',333,'N'),(15,2814315,'1',303,'N'),(15,2814315,'2',223,'N'),(15,2814323,'1',404,'N'),(15,2814323,'2',423,'N'),(15,2814331,'1',319,'N'),(15,2814331,'2',9,'N'),(15,2814340,'1',101,'N'),(15,2814340,'2',103,'N'),(15,2814358,'1',309,'N'),(15,2814358,'2',331,'N'),(15,2814366,'1',319,'N'),(15,2814366,'2',420,'N'),(15,2814374,'1',316,'N'),(15,2814374,'2',213,'N'),(15,2814382,'1',101,'N'),(15,2814382,'2',308,'N'),(15,2814390,'1',213,'N'),(15,2814390,'1A',202,'N'),(15,2814390,'2',404,'N'),(15,2814404,'1',208,'N'),(15,2814404,'1A',238,'N'),(15,2814404,'2',202,'N'),(15,2814412,'1',317,'N'),(15,2814412,'2',318,'N'),(15,2814420,'1',339,'N'),(15,2814420,'2',319,'N'),(15,2814439,'1',101,'N'),(15,2814439,'2',9,'N'),(15,2814447,'1',201,'N'),(15,2814447,'1A',207,'N'),(15,2814447,'2',339,'N'),(15,2814463,'1',404,'N'),(15,2814463,'2',324,'N'),(15,2814471,'1',317,'N'),(15,2814471,'2',316,'N'),(15,2814480,'1',327,'N'),(15,2814480,'2',308,'N'),(15,2814498,'1',308,'N'),(15,2814498,'2',426,'N'),(15,2814510,'1',101,'N'),(15,2814510,'2',318,'N'),(15,2814528,'1',420,'N'),(15,2814528,'2',444,'N'),(15,2814536,'1',208,'N'),(15,2814536,'1A',238,'N'),(15,2814536,'2',301,'N'),(15,2814544,'1',207,'N'),(15,2814544,'1A',215,'N'),(15,2814544,'2',309,'N'),(15,2814552,'1',303,'N'),(15,2814552,'2',5,'N'),(15,2814560,'1',424,'N'),(15,2814560,'1A',423,'N'),(15,2814560,'2',333,'N'),(15,2814579,'1',502,'N'),(15,2814579,'2',501,'N'),(15,2814587,'1',211,'N'),(15,2814587,'1A',215,'N'),(15,2814587,'2',425,'N'),(15,2814595,'1',329,'N'),(15,2814595,'2',339,'N'),(15,2814609,'1',318,'N'),(15,2814609,'2',238,'N'),(15,2814617,'1',421,'N'),(15,2814617,'1A',425,'N'),(15,2814617,'2',427,'N'),(15,2814625,'1',224,'N'),(15,2814625,'2',316,'N'),(15,2814633,'1',217,'N'),(15,2814633,'2',333,'N'),(15,2814641,'1',415,'N'),(15,2814641,'2',428,'N'),(15,2814650,'1',324,'N'),(15,2814650,'2',329,'N'),(15,2814668,'1',308,'N'),(15,2814668,'2',324,'N'),(15,2814676,'1',327,'N'),(15,2814676,'2',324,'N'),(15,2814684,'1',101,'N'),(15,2814684,'2',308,'N'),(15,2814692,'1',9,'N'),(15,2814706,'1',207,'N'),(15,2814706,'1A',201,'N'),(15,2814706,'2',333,'N'),(15,2814714,'1',444,'N'),(15,2814714,'2',451,'N'),(15,2814722,'1',215,'N'),(15,2814722,'2',404,'N'),(15,2814749,'1',309,'N'),(15,2814749,'2',427,'N'),(15,2814757,'1',238,'N'),(15,2814757,'1A',208,'N'),(15,2814757,'2',213,'N'),(15,2814765,'1',316,'N'),(15,2814765,'2',420,'N'),(15,2814773,'1',317,'N'),(15,2814773,'2',318,'N'),(15,2814781,'1',502,'N'),(15,2814781,'2',333,'N'),(15,2814790,'1',5,'N'),(15,2814790,'2',327,'N'),(15,2814803,'1',423,'N'),(15,2814803,'1A',427,'N'),(15,2814803,'2',308,'N'),(15,2814811,'1',319,'N'),(15,2814811,'2',327,'N'),(15,2814820,'1',5,'N'),(15,2814820,'2',324,'N'),(15,2814838,'1',404,'N'),(15,2814838,'2',426,'N'),(15,2814846,'1',316,'N'),(15,2814846,'2',301,'N'),(15,2814854,'1',308,'N'),(15,2814854,'2',421,'N'),(15,2814862,'1',404,'N'),(15,2814862,'2',9,'N'),(15,2814870,'1',238,'N'),(15,2814870,'1A',208,'N'),(15,2814870,'2',324,'N'),(15,2814897,'1',101,'N'),(15,2814897,'2',423,'N'),(15,2814900,'1',317,'N'),(15,2814900,'2',316,'N'),(15,2814919,'1',208,'N'),(15,2814919,'1A',213,'N'),(15,2814919,'2',222,'N'),(15,2814927,'1',415,'N'),(15,2814927,'2',319,'N'),(15,2814935,'1',319,'N'),(15,2814935,'2',444,'N'),(15,2814943,'1',309,'N'),(15,2814943,'2',339,'N'),(15,2814951,'1',308,'N'),(15,2814951,'2',404,'N'),(15,2814960,'1',316,'N'),(15,2814960,'2',238,'N'),(15,2814978,'1',308,'N'),(15,2814978,'2',426,'N'),(15,2814986,'1',324,'N'),(15,2814986,'2',339,'N'),(15,2814994,'1',326,'N'),(15,2814994,'2',331,'N'),(15,2815001,'1',9,'N'),(15,2815001,'2',215,'N'),(15,2815010,'1',326,'N'),(15,2815010,'2',429,'N'),(15,2815036,'1',308,'N'),(15,2815036,'2',309,'N'),(15,2815044,'1',318,'N'),(15,2815044,'2',328,'N'),(15,2815052,'1',421,'N'),(15,2815052,'2',324,'N'),(15,2815060,'1',316,'N'),(15,2815060,'2',318,'N'),(15,2815079,'1',102,'N'),(15,2815079,'2',339,'N'),(15,2815087,'1',424,'N'),(15,2815087,'1A',425,'N'),(15,2815087,'2',104,'N'),(15,2815095,'1',415,'N'),(15,2815109,'1',415,'N'),(15,2815125,'1',217,'N'),(15,2815125,'2',216,'N'),(15,2815133,'1',238,'N'),(15,2815133,'1A',201,'N'),(15,2815133,'2',224,'N'),(15,2815141,'1',203,'N'),(15,2815141,'1A',202,'N'),(15,2815141,'2',333,'N'),(15,2815150,'1',308,'N'),(15,2815150,'2',428,'N'),(15,2815168,'1',339,'N'),(15,2815168,'2',309,'N'),(15,2815176,'1',339,'N'),(15,2815176,'2',324,'N'),(15,2815184,'1',320,'N'),(15,2815184,'2',324,'N'),(15,2815192,'1',5,'N'),(15,2815192,'2',327,'N'),(15,2815206,'1',301,'N'),(15,2815206,'2',324,'N'),(15,2815214,'1',302,'N'),(15,2815214,'2',304,'N'),(15,2815222,'1',428,'N'),(15,2815222,'1A',421,'N'),(15,2815222,'2',324,'N'),(15,2815230,'1',326,'N'),(15,2815230,'2',502,'N'),(15,2815249,'1',429,'N'),(15,2815249,'1A',426,'N'),(15,2815257,'1',224,'N'),(15,2815257,'2',223,'N'),(15,2815265,'1',327,'N'),(15,2815265,'2',332,'N'),(15,2815273,'1',415,'N'),(15,2815273,'2',428,'N'),(15,2815281,'1',327,'N'),(15,2815281,'2',324,'N'),(15,2815290,'1',309,'N'),(15,2815290,'2',324,'N'),(15,2815303,'1',339,'N'),(15,2815303,'2',324,'N'),(15,2815311,'1',324,'N'),(15,2815311,'2',339,'N'),(15,2815320,'1',108,'N'),(15,2815320,'2',423,'N'),(15,2815338,'1',425,'N'),(15,2815338,'1A',424,'N'),(15,2815338,'2',423,'N'),(15,2815346,'1',450,'N'),(15,2815346,'2',420,'N'),(15,2815354,'1',310,'N'),(15,2815354,'2',320,'N'),(15,2815362,'1',102,'N'),(15,2815362,'2',101,'N'),(15,2815370,'1',101,'N'),(15,2815370,'2',102,'N'),(15,2815389,'1',415,'N'),(15,2815389,'2',425,'N'),(15,2815397,'1',308,'N'),(15,2815397,'2',309,'N'),(15,2815400,'1',420,'N'),(15,2815400,'2',207,'N'),(15,2815419,'1',316,'N'),(15,2815419,'2',444,'N'),(15,2815427,'1',215,'N'),(15,2815427,'1A',216,'N'),(15,2815427,'2',9,'N'),(15,2815435,'1',329,'N'),(15,2815435,'2',2,'N'),(15,2815443,'1',217,'N'),(15,2815443,'2',324,'N'),(15,2815451,'1',102,'N'),(15,2815451,'2',301,'N'),(15,2815460,'1',308,'N'),(15,2815460,'2',319,'N'),(15,2815478,'1',316,'N'),(15,2815478,'2',327,'N'),(15,2815486,'1',444,'N'),(15,2815486,'2',324,'N'),(15,2815494,'1',101,'N'),(15,2815494,'2',102,'N'),(15,2815508,'1',317,'N'),(15,2815508,'2',427,'N'),(15,2815516,'1',317,'N'),(15,2815516,'2',316,'N'),(15,2815524,'1',308,'N'),(15,2815524,'2',427,'N'),(15,2815540,'1',327,'N'),(15,2815540,'2',320,'N'),(15,2815559,'1',339,'N'),(15,2815559,'2',238,'N'),(15,2815567,'1',238,'N'),(15,2815567,'1A',208,'N'),(15,2815567,'2',425,'N'),(15,2815575,'1',317,'N'),(15,2815575,'2',318,'N'),(15,2815583,'1',319,'N'),(15,2815583,'2',320,'N'),(15,2815591,'1',318,'N'),(15,2815591,'2',317,'N'),(15,2815605,'1',208,'N'),(15,2815605,'1A',238,'N'),(15,2815605,'2',333,'N'),(15,2815613,'1',108,'N'),(15,2815613,'2',102,'N'),(15,2815621,'1',319,'N'),(15,2815621,'2',224,'N'),(15,2815630,'1',203,'N'),(15,2815630,'1A',202,'N'),(15,2815630,'2',301,'N'),(15,2815648,'1',426,'N'),(15,2815648,'2',308,'N'),(15,2815656,'1',203,'N'),(15,2815656,'1A',202,'N'),(15,2815656,'2',404,'N'),(15,2815664,'1',316,'N'),(15,2815664,'2',320,'N'),(15,2815672,'1',108,'N'),(15,2815672,'2',427,'N'),(15,2815699,'1',415,'N'),(15,2815699,'2',319,'N'),(15,2815702,'1',319,'N'),(15,2815702,'2',420,'N'),(15,2815737,'1',320,'N'),(15,2815737,'2',324,'N'),(15,2815745,'1',207,'N'),(15,2815745,'2',333,'N'),(15,2815753,'1',220,'N'),(15,2815753,'1A',214,'N'),(15,2815753,'2',301,'N'),(15,2815761,'1',101,'N'),(15,2815761,'2',309,'N'),(15,2815770,'1',415,'N'),(15,2815770,'2',339,'N'),(15,2815788,'1',225,'N'),(15,2815788,'2',224,'N'),(15,2815796,'1',208,'N'),(15,2815796,'2',238,'N'),(15,2815800,'1',224,'N'),(15,2815800,'2',238,'N'),(15,2815818,'1',429,'N'),(15,2815818,'1A',426,'N'),(15,2815818,'2',222,'N'),(15,2815826,'1',102,'N'),(15,2815826,'2',101,'N'),(15,2815834,'1',320,'N'),(15,2815842,'1',303,'N'),(15,2815842,'2',320,'N'),(15,2815850,'1',108,'N'),(15,2815850,'2',451,'N'),(15,2815869,'1',207,'N'),(15,2815869,'1A',201,'N'),(15,2815869,'2',444,'N'),(15,2815877,'1',215,'N'),(15,2815877,'1A',233,'N'),(15,2815877,'2',324,'N'),(15,2815885,'1',302,'N'),(15,2815885,'2',223,'N'),(15,2815893,'1',423,'N'),(15,2815893,'1A',427,'N'),(15,2815893,'2',424,'N'),(15,2815907,'1',415,'N'),(15,2815907,'2',316,'N'),(15,2815915,'1',331,'N'),(15,2815915,'2',428,'N'),(15,2815923,'1',203,'N'),(15,2815923,'1A',214,'N'),(15,2815931,'1',223,'N'),(15,2815931,'2',324,'N'),(15,2815940,'1',316,'N'),(15,2815940,'2',425,'N'),(15,2815958,'1',320,'N'),(15,2815958,'2',426,'N'),(15,2815966,'1',404,'N'),(15,2815966,'2',444,'N'),(15,2815974,'1',404,'N'),(15,2815974,'2',428,'N'),(15,2815982,'1',324,'N'),(15,2815982,'2',333,'N'),(15,2815990,'1',304,'N'),(15,2815990,'2',318,'N'),(15,2816008,'1',339,'N'),(15,2816008,'2',327,'N'),(15,2816016,'1',317,'N'),(15,2816016,'2',427,'N'),(15,2816024,'1',203,'N'),(15,2816024,'1A',202,'N'),(15,2816024,'2',225,'N'),(15,2816032,'1',324,'N'),(15,2816032,'2',332,'N'),(15,2816040,'1',326,'N'),(15,2816040,'2',428,'N'),(15,2816059,'1',339,'N'),(15,2816059,'2',324,'N'),(15,2816067,'1',211,'N'),(15,2816067,'1A',203,'N'),(15,2816067,'2',502,'N'),(15,2816075,'1',316,'N'),(15,2816075,'2',317,'N'),(15,2816083,'1',101,'N'),(15,2816083,'2',333,'N'),(15,2816091,'1',103,'N'),(15,2816091,'2',427,'N'),(15,2816105,'1',101,'N'),(15,2816113,'1',211,'N'),(15,2816113,'1A',216,'N'),(15,2816113,'2',316,'N'),(15,2816121,'1',317,'N'),(15,2816121,'2',333,'N'),(15,2816148,'1',339,'N'),(15,2816148,'2',310,'N'),(15,2816156,'1',451,'N'),(15,2816156,'2',324,'N'),(15,2816164,'1',102,'N'),(15,2816164,'2',319,'N'),(15,2816172,'1',202,'N'),(15,2816172,'1A',213,'N'),(15,2816172,'2',444,'N'),(15,2816180,'1',316,'N'),(15,2816180,'2',317,'N'),(15,2816199,'1',308,'N'),(15,2816199,'2',339,'N'),(15,2816202,'1',333,'N'),(15,2816202,'2',420,'N'),(15,2816210,'1',224,'N'),(15,2816210,'2',308,'N'),(15,2816229,'1',328,'N'),(15,2816229,'2',329,'N'),(15,2816237,'1',208,'N'),(15,2816245,'1',404,'N'),(15,2816245,'2',308,'N'),(15,2816253,'1',316,'N'),(15,2816253,'2',301,'N'),(15,2816261,'1',301,'N'),(15,2816261,'2',103,'N'),(15,2816270,'1',420,'N'),(15,2816270,'2',207,'N'),(15,2816288,'1',318,'N'),(15,2816288,'2',238,'N'),(15,2816296,'1',238,'N'),(15,2816296,'1A',208,'N'),(15,2816296,'2',444,'N'),(15,2816300,'1',5,'N'),(15,2816300,'2',415,'N'),(15,2816318,'1',429,'N'),(15,2816318,'2',301,'N'),(15,2816326,'1',339,'N'),(15,2816326,'2',324,'N'),(15,2816334,'1',429,'N'),(15,2816334,'1A',425,'N'),(15,2816342,'1',308,'N'),(15,2816342,'2',339,'N'),(15,2816350,'1',212,'N'),(15,2816350,'1A',233,'N'),(15,2816350,'2',451,'N'),(15,2816369,'1',238,'N'),(15,2816369,'1A',208,'N'),(15,2816369,'2',5,'N'),(15,2816377,'1',316,'N'),(15,2816377,'2',317,'N'),(15,2816385,'1',319,'N'),(15,2816385,'2',332,'N'),(15,2816393,'1',310,'N'),(15,2816393,'2',318,'N'),(15,2816407,'1',308,'N'),(15,2816407,'2',329,'N'),(15,2816415,'1',415,'N'),(15,2816415,'2',310,'N'),(15,2816423,'1',316,'N'),(15,2816423,'2',317,'N'),(15,2816431,'1',308,'N'),(15,2816431,'2',327,'N'),(15,2816440,'1',324,'N'),(15,2816440,'2',309,'N'),(15,2816458,'1',324,'N'),(15,2816458,'2',423,'N'),(15,2816466,'1',103,'N'),(15,2816466,'2',217,'N'),(15,2816474,'1',332,'N'),(15,2816474,'2',333,'N'),(15,2816482,'1',302,'N'),(15,2816482,'2',317,'N'),(15,2816490,'1',332,'N'),(15,2816490,'2',329,'N'),(15,2816504,'1',339,'N'),(15,2816512,'1',324,'N'),(15,2816512,'2',215,'N'),(15,2816520,'1',339,'N'),(15,2816520,'2',5,'N'),(15,2816539,'1',301,'N'),(15,2816539,'2',326,'N'),(15,2816547,'1',415,'N'),(15,2816547,'2',451,'N'),(15,2816555,'1',102,'N'),(15,2816555,'2',324,'N'),(15,2816563,'1',301,'N'),(15,2816563,'2',309,'N'),(15,2816571,'1',208,'N'),(15,2816571,'1A',201,'N'),(15,2816571,'2',301,'N'),(15,2816580,'1',319,'N'),(15,2816580,'2',224,'N'),(15,2816598,'1',317,'N'),(15,2816598,'2',318,'N'),(15,2816601,'1',238,'N'),(15,2816601,'1A',208,'N'),(15,2816601,'2',328,'N'),(15,2816610,'1',224,'N'),(15,2816610,'2',308,'N'),(15,2816628,'1',501,'N'),(15,2816628,'2',327,'N'),(15,2816636,'1',318,'N'),(15,2816636,'2',224,'N'),(15,2816644,'1',101,'N'),(15,2816644,'2',426,'N'),(15,2816652,'1',320,'N'),(15,2816652,'2',502,'N'),(15,2816660,'1',207,'N'),(15,2816660,'1A',201,'N'),(15,2816660,'2',217,'N'),(15,2816679,'1',502,'N'),(15,2816679,'2',501,'N'),(15,2816687,'1',317,'N'),(15,2816687,'2',319,'N'),(15,2816695,'1',308,'N'),(15,2816695,'2',327,'N'),(15,2816709,'1',234,'N'),(15,2816709,'2',423,'N'),(15,2816717,'1',208,'N'),(15,2816717,'1A',238,'N'),(15,2816717,'2',202,'N'),(15,2816725,'1',101,'N'),(15,2816725,'2',301,'N'),(15,2816733,'1',327,'N'),(15,2816733,'2',332,'N'),(15,2816741,'1',317,'N'),(15,2816741,'2',316,'N'),(15,2816750,'1',5,'N'),(15,2816750,'2',444,'N'),(15,2816768,'1',108,'N'),(15,2816768,'2',423,'N'),(15,2816776,'1',332,'N'),(15,2816776,'2',324,'N'),(15,2816784,'1',308,'N'),(15,2816784,'2',423,'N'),(15,2816792,'1',332,'N'),(15,2816792,'2',327,'N'),(15,2816806,'1',444,'N'),(15,2816806,'2',427,'N'),(15,2816814,'1',101,'N'),(15,2816814,'2',324,'N'),(15,2816822,'1',404,'N'),(15,2816822,'2',324,'N'),(15,2816830,'1',333,'N'),(15,2816830,'2',211,'N'),(15,2816849,'1',301,'N'),(15,2816849,'2',404,'N'),(15,2816857,'1',208,'N'),(15,2816857,'1A',202,'N'),(15,2816857,'2',302,'N'),(15,2816865,'1',302,'N'),(15,2816865,'2',102,'N'),(15,2816873,'1',332,'N'),(15,2816881,'1',238,'N'),(15,2816881,'1A',203,'N'),(15,2816881,'2',316,'N'),(15,2816890,'1',309,'N'),(15,2816890,'2',308,'N'),(15,2816903,'1',304,'N'),(15,2816903,'2',332,'N'),(15,2816911,'1',320,'N'),(15,2816911,'2',329,'N'),(15,2816920,'1',317,'N'),(15,2816920,'2',332,'N'),(15,2816938,'1',324,'N'),(15,2816938,'2',424,'N'),(15,2816946,'1',319,'N'),(15,2816946,'2',324,'N'),(15,2816954,'1',108,'N'),(15,2816954,'2',333,'N'),(15,2816962,'1',339,'N'),(15,2816962,'2',327,'N'),(15,2816970,'1',339,'N'),(15,2816970,'2',329,'N'),(15,2816989,'1',333,'N'),(15,2816989,'2',329,'N'),(15,2816997,'1',316,'N'),(15,2816997,'2',339,'N'),(15,2817004,'1',427,'N'),(15,2817004,'1A',429,'N'),(15,2817004,'2',339,'N'),(15,2817012,'1',319,'N'),(15,2817012,'2',415,'N'),(15,2817020,'1',224,'N'),(15,2817020,'2',222,'N'),(15,2817039,'1',211,'N'),(15,2817039,'1A',238,'N'),(15,2817039,'2',108,'N'),(15,2817047,'1',444,'N'),(15,2817047,'2',108,'N'),(15,2817055,'1',404,'N'),(15,2817055,'2',333,'N'),(15,2817063,'1',201,'N'),(15,2817071,'1',303,'N'),(15,2817071,'2',211,'N'),(15,2817080,'1',5,'N'),(15,2817080,'2',327,'N'),(15,2817101,'1',319,'N'),(15,2817101,'2',308,'N'),(15,2817110,'1',101,'N'),(15,2817110,'2',339,'N'),(15,2817128,'1',426,'N'),(15,2817128,'1A',429,'N'),(15,2817128,'2',316,'N'),(15,2817136,'1',332,'N'),(15,2817136,'2',324,'N'),(15,2817144,'1',502,'N'),(15,2817144,'2',333,'N'),(15,2817152,'1',225,'N'),(15,2817152,'2',238,'N'),(15,2817160,'1',207,'N'),(15,2817160,'1A',201,'N'),(15,2817160,'2',420,'N'),(15,2817179,'1',9,'N'),(15,2817179,'2',102,'N'),(15,2817187,'1',101,'N'),(15,2817187,'2',103,'N'),(15,2817195,'1',333,'N'),(15,2817195,'2',108,'N'),(15,2817209,'1',317,'N'),(15,2817209,'2',302,'N'),(15,2817217,'1',308,'N'),(15,2817217,'2',339,'N'),(15,2817233,'1',207,'N'),(15,2817233,'1A',212,'N'),(15,2817233,'2',224,'N'),(15,2817241,'1',309,'N'),(15,2817241,'2',428,'N'),(15,2817250,'1',5,'N'),(15,2817250,'2',333,'N'),(15,2817268,'1',207,'N'),(15,2817268,'1A',215,'N'),(15,2817268,'2',319,'N'),(15,2817276,'1',319,'N'),(15,2817276,'2',238,'N'),(15,2817284,'1',308,'N'),(15,2817284,'2',427,'N'),(15,2817292,'1',316,'N'),(15,2817292,'2',224,'N'),(15,2817306,'1',212,'N'),(15,2817306,'1A',213,'N'),(15,2817306,'2',222,'N'),(15,2817314,'1',308,'N'),(15,2817314,'2',339,'N'),(15,2817322,'1',208,'N'),(15,2817322,'1A',238,'N'),(15,2817322,'2',425,'N'),(15,2817330,'1',317,'N'),(15,2817330,'2',224,'N'),(15,2817349,'1',238,'N'),(15,2817349,'1A',208,'N'),(15,2817349,'2',425,'N'),(15,2817357,'1',501,'N'),(15,2817357,'2',502,'N'),(15,2817365,'1',301,'N'),(15,2817365,'2',101,'N'),(15,2817373,'1',102,'N'),(15,2817373,'2',324,'N'),(15,2817381,'1',425,'N'),(15,2817381,'2',320,'N'),(15,2817390,'1',451,'N'),(15,2817390,'2',404,'N'),(15,2817403,'1',319,'N'),(15,2817403,'2',333,'N'),(15,2817411,'1',202,'N'),(15,2817411,'1A',220,'N'),(15,2817411,'2',208,'N'),(15,2817420,'1',332,'N'),(15,2817420,'2',324,'N'),(15,2817438,'1',103,'N'),(15,2817438,'2',101,'N'),(15,2817446,'1',203,'N'),(15,2817446,'1A',214,'N'),(15,2817446,'2',224,'N'),(15,2817454,'1',316,'N'),(15,2817454,'2',421,'N'),(15,2817462,'1',9,'N'),(15,2817462,'2',102,'N'),(15,2817470,'1',224,'N'),(15,2817470,'2',213,'N'),(15,2817489,'1',208,'N'),(15,2817489,'1A',238,'N'),(15,2817489,'2',222,'N'),(15,2817497,'1',331,'N'),(15,2817497,'2',332,'N'),(15,2817500,'1',308,'N'),(15,2817500,'2',339,'N'),(15,2817519,'1',429,'N'),(15,2817519,'1A',426,'N'),(15,2817519,'2',324,'N'),(15,2817527,'1',233,'N'),(15,2817527,'1A',208,'N'),(15,2817527,'2',324,'N'),(15,2817535,'1',317,'N'),(15,2817535,'2',324,'N'),(15,2817543,'1',319,'N'),(15,2817543,'2',404,'N'),(15,2817551,'1',317,'N'),(15,2817551,'2',339,'N'),(15,2817560,'1',108,'N'),(15,2817560,'2',502,'N'),(15,2817578,'1',217,'N'),(15,2817578,'2',225,'N'),(15,2817586,'1',317,'N'),(15,2817586,'2',316,'N'),(15,2817594,'1',217,'N'),(15,2817594,'2',102,'N'),(15,2817608,'1',425,'N'),(15,2817608,'1A',424,'N'),(15,2817608,'2',427,'N'),(15,2817616,'1',319,'N'),(15,2817616,'2',104,'N'),(15,2817624,'1',320,'N'),(15,2817624,'2',329,'N'),(15,2817640,'1',317,'N'),(15,2817640,'2',324,'N'),(15,2817659,'1',201,'N'),(15,2817659,'2',303,'N'),(15,2817667,'1',444,'N'),(15,2817667,'2',329,'N'),(15,2817675,'1',415,'N'),(15,2817675,'2',207,'N'),(15,2817691,'1',316,'N'),(15,2817691,'2',332,'N'),(15,2817705,'1',9,'N'),(15,2817705,'2',450,'N'),(15,2817713,'1',9,'N'),(15,2817713,'2',309,'N'),(15,2817721,'1',224,'N'),(15,2817721,'2',225,'N'),(15,2817730,'1',238,'N'),(15,2817730,'1A',220,'N'),(15,2817730,'2',5,'N'),(15,2817748,'1',203,'N'),(15,2817748,'1A',214,'N'),(15,2817748,'2',224,'N'),(15,2817756,'1',324,'N'),(15,2817756,'2',2,'N'),(15,2817764,'1',308,'N'),(15,2817764,'2',339,'N'),(15,2817772,'1',308,'N'),(15,2817772,'2',324,'N'),(15,2817780,'1',303,'N'),(15,2817780,'2',5,'N'),(15,2817799,'1',238,'N'),(15,2817799,'1A',233,'N'),(15,2817799,'2',333,'N'),(15,2817802,'1',429,'N'),(15,2817802,'1A',428,'N'),(15,2817802,'2',421,'N'),(15,2817810,'1',425,'N'),(15,2817810,'1A',423,'N'),(15,2817810,'2',316,'N'),(15,2817829,'1',108,'N'),(15,2817829,'2',333,'N'),(15,2817837,'1',207,'N'),(15,2817837,'1A',201,'N'),(15,2817837,'2',316,'N'),(15,2817845,'1',327,'N'),(15,2817845,'2',423,'N'),(15,2817853,'1',420,'N'),(15,2817853,'2',451,'N'),(15,2817861,'1',404,'N'),(15,2817861,'2',426,'N'),(15,2817870,'1',217,'N'),(15,2817870,'2',104,'N'),(15,2817888,'1',420,'N'),(15,2817888,'2',203,'N'),(15,2817896,'1',324,'N'),(15,2817896,'2',332,'N'),(15,2817900,'1',302,'N'),(15,2817900,'2',301,'N'),(15,2817918,'1',308,'N'),(15,2817918,'2',319,'N'),(15,2817926,'1',108,'N'),(15,2817926,'2',324,'N'),(15,2817934,'1',101,'N'),(15,2817934,'2',327,'N'),(15,2817942,'1',201,'N'),(15,2817942,'1A',238,'N'),(15,2817942,'2',324,'N'),(15,2817950,'1',339,'N'),(15,2817950,'2',308,'N'),(15,2817969,'1',201,'N'),(15,2817969,'2',101,'N'),(15,2817977,'1',308,'N'),(15,2817977,'2',428,'N'),(15,2817985,'1',301,'N'),(15,2817985,'2',302,'N'),(15,2817993,'1',108,'N'),(15,2817993,'2',303,'N'),(15,2818000,'1',339,'N'),(15,2818000,'2',426,'N'),(15,2818019,'1',101,'N'),(15,2818019,'2',108,'N'),(15,2818027,'1',415,'N'),(15,2818027,'2',5,'N'),(15,2818035,'1',5,'N'),(15,2818035,'2',303,'N'),(15,2818043,'1',316,'N'),(15,2818043,'2',320,'N'),(15,2818051,'1',103,'N'),(15,2818051,'2',9,'N'),(15,2818060,'1',102,'N'),(15,2818060,'2',101,'N'),(15,2818078,'1',103,'N'),(15,2818078,'2',211,'N'),(15,2818086,'1',404,'N'),(15,2818086,'2',217,'N'),(15,2818094,'1',429,'N'),(15,2818094,'1A',425,'N'),(15,2818094,'2',208,'N'),(15,2818108,'1',423,'N'),(15,2818108,'2',415,'N'),(15,2818116,'1',101,'N'),(15,2818116,'2',444,'N'),(15,2818124,'1',234,'N'),(15,2818124,'2',332,'N'),(15,2818132,'1',5,'N'),(15,2818140,'1',333,'N'),(15,2818140,'2',327,'N'),(15,2818159,'1',319,'N'),(15,2818159,'2',316,'N'),(15,2818167,'1',329,'N'),(15,2818167,'2',327,'N'),(15,2818175,'1',317,'N'),(15,2818175,'2',316,'N'),(15,2818183,'1',320,'N'),(15,2818183,'2',329,'N'),(15,2818191,'1',332,'N'),(15,2818191,'2',333,'N'),(15,2818205,'1',302,'N'),(15,2818205,'2',5,'N'),(15,2818213,'1',326,'N'),(15,2818213,'2',428,'N'),(15,2818221,'1',217,'N'),(15,2818221,'2',425,'N'),(15,2818230,'1',217,'N'),(15,2818230,'2',216,'N'),(15,2818248,'1',319,'N'),(15,2818248,'2',324,'N'),(15,2818256,'1',101,'N'),(15,2818256,'2',102,'N'),(15,2818264,'1',224,'N'),(15,2818264,'2',222,'N'),(15,2818272,'1',224,'N'),(15,2818272,'2',222,'N'),(15,2818280,'1',324,'N'),(15,2818280,'2',339,'N'),(15,2818299,'1',301,'N'),(15,2818299,'2',238,'N'),(15,2818302,'1',208,'N'),(15,2818302,'1A',238,'N'),(15,2818302,'2',2,'N'),(15,2818310,'1',207,'N'),(15,2818310,'1A',211,'N'),(15,2818310,'2',324,'N'),(15,2818329,'1',309,'N'),(15,2818329,'2',326,'N'),(15,2818337,'1',201,'N'),(15,2818337,'1A',212,'N'),(15,2818337,'2',224,'N'),(15,2818345,'1',331,'N'),(15,2818345,'2',324,'N'),(15,2818353,'1',201,'N'),(15,2818353,'1A',215,'N'),(15,2818353,'2',217,'N'),(15,2818361,'1',444,'N'),(15,2818361,'2',324,'N'),(15,2818370,'1',317,'N'),(15,2818370,'2',316,'N'),(15,2818388,'1',5,'N'),(15,2818388,'2',238,'N'),(15,2818396,'1',327,'N'),(15,2818396,'2',326,'N'),(15,2818400,'1',332,'N'),(15,2818400,'2',404,'N'),(15,2818418,'1',101,'N'),(15,2818418,'2',426,'N'),(15,2818426,'1',9,'N'),(15,2818426,'2',501,'N'),(15,2818434,'1',238,'N'),(15,2818434,'2',224,'N'),(15,2818442,'1',339,'N'),(15,2818442,'2',424,'N'),(15,2818450,'1',324,'N'),(15,2818450,'2',332,'N'),(15,2818469,'1',317,'N'),(15,2818469,'2',318,'N'),(15,2818477,'1',308,'N'),(15,2818477,'2',332,'N'),(15,2818485,'1',426,'N'),(15,2818485,'1A',428,'N'),(15,2818485,'2',208,'N'),(15,2818493,'1',329,'N'),(15,2818493,'2',324,'N'),(15,2818507,'1',444,'N'),(15,2818507,'2',420,'N'),(15,2818515,'1',429,'N'),(15,2818515,'2',339,'N'),(15,2818523,'1',2,'N'),(15,2818523,'2',333,'N'),(15,2818531,'1',444,'N'),(15,2818531,'2',327,'N'),(15,2818540,'1',332,'N'),(15,2818540,'2',327,'N'),(15,2818558,'1',316,'N'),(15,2818558,'2',324,'N'),(15,2818566,'1',317,'N'),(15,2818566,'2',224,'N'),(15,2818574,'1',208,'N'),(15,2818574,'2',404,'N'),(15,2818582,'1',426,'N'),(15,2818582,'1A',425,'N'),(15,2818582,'2',320,'N'),(15,2818590,'1',238,'N'),(15,2818590,'1A',208,'N'),(15,2818590,'2',220,'N'),(15,2818604,'1',324,'N'),(15,2818604,'2',339,'N'),(15,2818612,'1',404,'N'),(15,2818612,'2',324,'N'),(15,2818620,'1',317,'N'),(15,2818639,'1',208,'N'),(15,2818639,'1A',202,'N'),(15,2818639,'2',216,'N'),(15,2818647,'1',425,'N'),(15,2818647,'1A',427,'N'),(15,2818647,'2',327,'N'),(15,2818655,'1',317,'N'),(15,2818655,'2',429,'N'),(15,2818663,'1',104,'N'),(15,2818663,'2',309,'N'),(15,2818671,'1',331,'N'),(15,2818671,'2',415,'N'),(15,2818680,'1',324,'N'),(15,2818680,'2',329,'N'),(15,2818698,'1',9,'N'),(15,2818698,'2',444,'N'),(15,2818701,'1',211,'N'),(15,2818701,'1A',215,'N'),(15,2818701,'2',108,'N'),(15,2818710,'1',101,'N'),(15,2818710,'2',501,'N'),(15,2818728,'1',238,'N'),(15,2818728,'1A',208,'N'),(15,2818728,'2',222,'N'),(15,2818736,'1',444,'N'),(15,2818736,'2',424,'N'),(15,2818744,'1',101,'N'),(15,2818744,'2',308,'N'),(15,2818752,'1',444,'N'),(15,2818752,'2',301,'N'),(15,2818760,'1',501,'N'),(15,2818760,'2',308,'N'),(15,2818779,'1',102,'N'),(15,2818779,'2',108,'N'),(15,2818787,'1',102,'N'),(15,2818787,'2',217,'N'),(15,2818795,'1',102,'N'),(15,2818795,'2',429,'N'),(15,2818809,'1',5,'N'),(15,2818809,'2',317,'N'),(15,2818817,'1',404,'N'),(15,2818817,'2',108,'N'),(15,2818825,'1',238,'N'),(15,2818825,'1A',208,'N'),(15,2818825,'2',320,'N'),(15,2818841,'1',319,'N'),(15,2818841,'2',328,'N'),(15,2818850,'1',420,'N'),(15,2818850,'2',451,'N'),(15,2818868,'1',339,'N'),(15,2818868,'2',324,'N'),(15,2818876,'1',332,'N'),(15,2818876,'2',324,'N'),(15,2818884,'1',211,'N'),(15,2818884,'1A',201,'N'),(15,2818884,'2',308,'N'),(15,2818892,'1',427,'N'),(15,2818892,'1A',425,'N'),(15,2818892,'2',415,'N'),(15,2818906,'1',324,'N'),(15,2818906,'2',424,'N'),(15,2818914,'1',316,'N'),(15,2818914,'2',317,'N'),(15,2818922,'1',316,'N'),(15,2818922,'2',317,'N'),(15,2818930,'1',224,'N'),(15,2818930,'2',324,'N'),(15,2818949,'1',316,'N'),(15,2818949,'2',308,'N'),(15,2818957,'1',5,'N'),(15,2818957,'2',303,'N'),(15,2818965,'1',420,'N'),(15,2818965,'2',328,'N'),(15,2818973,'1',319,'N'),(15,2818973,'2',324,'N'),(15,2818981,'1',302,'N'),(15,2818981,'2',223,'N'),(15,2818990,'1',225,'N'),(15,2819007,'1',201,'N'),(15,2819007,'1A',207,'N'),(15,2819007,'2',426,'N'),(15,2819015,'1',233,'N'),(15,2819015,'2',215,'N'),(15,2819023,'1',102,'N'),(15,2819023,'2',217,'N'),(15,2819031,'1',102,'N'),(15,2819031,'2',211,'N'),(15,2819040,'1',201,'N'),(15,2819040,'1A',238,'N'),(15,2819040,'2',224,'N'),(15,2819058,'1',316,'N'),(15,2819058,'2',327,'N'),(15,2819066,'1',404,'N'),(15,2819066,'2',324,'N'),(15,2819074,'1',224,'N'),(15,2819074,'2',201,'N'),(15,2819082,'1',339,'N'),(15,2819082,'2',320,'N'),(15,2819090,'1',444,'N'),(15,2819090,'2',333,'N'),(15,2819104,'1',108,'N'),(15,2819104,'2',404,'N'),(15,2819112,'1',102,'N'),(15,2819112,'2',211,'N'),(15,2819120,'1',208,'N'),(15,2819120,'1A',212,'N'),(15,2819120,'2',201,'N'),(15,2819139,'1',309,'N'),(15,2819139,'2',426,'N'),(15,2819147,'1',333,'N'),(15,2819147,'2',101,'N'),(15,2819171,'1',224,'N'),(15,2819171,'2',225,'N'),(15,2819180,'1',339,'N'),(15,2819180,'2',429,'N'),(15,2819198,'1',324,'N'),(15,2819198,'2',317,'N'),(15,2819201,'1',211,'N'),(15,2819201,'1A',215,'N'),(15,2819210,'1',317,'N'),(15,2819210,'2',316,'N'),(15,2819228,'1',326,'N'),(15,2819228,'2',319,'N'),(15,2819236,'1',215,'N'),(15,2819236,'1A',216,'N'),(15,2819236,'2',217,'N'),(15,2819244,'1',319,'N'),(15,2819244,'2',104,'N'),(15,2819252,'1',426,'N'),(15,2819252,'1A',425,'N'),(15,2819252,'2',327,'N'),(15,2819279,'1',324,'N'),(15,2819279,'2',318,'N'),(15,2819295,'1',317,'N'),(15,2819295,'2',327,'N'),(15,2819309,'1',316,'N'),(15,2819309,'2',404,'N'),(15,2819317,'1',308,'N'),(15,2819317,'2',101,'N'),(15,2819325,'1',317,'N'),(15,2819325,'2',302,'N'),(15,2819333,'1',5,'N'),(15,2819333,'2',426,'N'),(15,2819341,'1',309,'N'),(15,2819341,'2',423,'N'),(15,2819350,'1',316,'N'),(15,2819350,'2',317,'N'),(15,2819368,'1',316,'N'),(15,2819368,'2',108,'N'),(15,2819376,'1',234,'N'),(15,2819384,'1',302,'N'),(15,2819384,'2',208,'N'),(15,2819392,'1',5,'N'),(15,2819392,'2',319,'N'),(15,2819406,'1',303,'N'),(15,2819406,'2',326,'N'),(15,2819414,'1',501,'N'),(15,2819414,'2',427,'N'),(15,2819422,'1',415,'N'),(15,2819422,'2',423,'N'),(15,2819449,'1',317,'N'),(15,2819449,'2',324,'N'),(15,2819457,'1',319,'N'),(15,2819457,'2',444,'N'),(15,2819465,'1',101,'N'),(15,2819465,'2',9,'N'),(15,2819473,'1',108,'N'),(15,2819473,'2',211,'N'),(15,2819481,'1',404,'N'),(15,2819481,'2',316,'N'),(15,2819490,'1',332,'N'),(15,2819490,'2',331,'N'),(15,2819503,'1',217,'N'),(15,2819503,'2',324,'N'),(15,2819511,'1',238,'N'),(15,2819511,'1A',208,'N'),(15,2819511,'2',415,'N'),(15,2819520,'1',303,'N'),(15,2819520,'2',421,'N'),(15,2819538,'1',404,'N'),(15,2819538,'2',339,'N'),(15,2819546,'1',320,'N'),(15,2819546,'2',310,'N'),(15,2819554,'1',451,'N'),(15,2819554,'2',450,'N'),(15,2819562,'1',319,'N'),(15,2819562,'2',451,'N'),(15,2819570,'1',339,'N'),(15,2819570,'2',324,'N'),(15,2819589,'1',317,'N'),(15,2819589,'2',224,'N'),(15,2819597,'1',5,'N'),(15,2819597,'2',339,'N'),(15,2819600,'1',324,'N'),(15,2819600,'2',420,'N'),(15,2819619,'1',415,'N'),(15,2819619,'2',327,'N'),(15,2819627,'1',238,'N'),(15,2819627,'1A',208,'N'),(15,2819635,'1',427,'N'),(15,2819635,'1A',426,'N'),(15,2819635,'2',5,'N'),(15,2819643,'1',208,'N'),(15,2819643,'1A',238,'N'),(15,2819643,'2',202,'N'),(15,2819651,'1',9,'N'),(15,2819651,'2',308,'N'),(15,2819660,'1',320,'N'),(15,2819660,'2',319,'N'),(15,2819678,'1',423,'N'),(15,2819686,'1',301,'N'),(15,2819686,'2',9,'N'),(15,2819694,'1',302,'N'),(15,2819694,'2',317,'N'),(15,2819708,'1',427,'N'),(15,2819708,'2',108,'N'),(15,2819716,'1',309,'N'),(15,2819716,'2',339,'N'),(15,2819724,'1',238,'N'),(15,2819724,'1A',208,'N'),(15,2819724,'2',215,'N'),(15,2819732,'1',238,'N'),(15,2819732,'1A',233,'N'),(15,2819732,'2',316,'N'),(15,2819740,'1',326,'N'),(15,2819740,'2',424,'N'),(15,2819759,'1',502,'N'),(15,2819759,'2',501,'N'),(15,2819767,'1',302,'N'),(15,2819767,'2',339,'N'),(15,2819783,'1',101,'N'),(15,2819783,'2',329,'N'),(15,2819791,'1',208,'N'),(15,2819791,'1A',233,'N'),(15,2819791,'2',331,'N'),(15,2819805,'1',316,'N'),(15,2819805,'2',324,'N'),(15,2819821,'1',425,'N'),(15,2819830,'1',420,'N'),(15,2819830,'2',450,'N'),(15,2819856,'1',444,'N'),(15,2819856,'2',451,'N'),(15,2819872,'1',339,'N'),(15,2819872,'2',324,'N'),(15,2819880,'1',317,'N'),(15,2819880,'2',201,'N'),(15,2819899,'1',309,'N'),(15,2819899,'2',427,'N'),(15,2819902,'1',103,'N'),(15,2819902,'2',104,'N'),(15,2819910,'1',302,'N'),(15,2819910,'2',304,'N'),(15,2819929,'1',329,'N'),(15,2819929,'2',327,'N'),(15,2819937,'1',426,'N'),(15,2819937,'1A',429,'N'),(15,2819937,'2',339,'N'),(15,2819945,'1',424,'N'),(15,2819945,'2',316,'N'),(15,2819953,'1',202,'N'),(15,2819953,'1A',213,'N'),(15,2819953,'2',225,'N'),(15,2819961,'1',429,'N'),(15,2819961,'2',426,'N'),(15,2819970,'1',501,'N'),(15,2819970,'2',217,'N'),(15,2819988,'1',224,'N'),(15,2819988,'2',329,'N'),(15,2819996,'1',332,'N'),(15,2819996,'2',211,'N'),(15,2820005,'1',331,'N'),(15,2820005,'2',339,'N'),(15,2820013,'1',317,'N'),(15,2820013,'2',404,'N'),(15,2820021,'1',317,'N'),(15,2820021,'2',302,'N'),(15,2820030,'1',316,'N'),(15,2820030,'2',339,'N'),(15,2820048,'1',333,'N'),(15,2820048,'2',234,'N'),(15,2820056,'1',308,'N'),(15,2820056,'2',333,'N'),(15,2820064,'1',332,'N'),(15,2820064,'2',426,'N'),(15,2820072,'1',332,'N'),(15,2820072,'2',327,'N'),(15,2820080,'1',234,'N'),(15,2820080,'2',333,'N'),(15,2820099,'1',5,'N'),(15,2820099,'2',316,'N'),(15,2820102,'1',420,'N'),(15,2820102,'2',301,'N'),(15,2820110,'1',317,'N'),(15,2820110,'2',222,'N'),(15,2820129,'1',339,'N'),(15,2820129,'2',308,'N'),(15,2820137,'1',225,'N'),(15,2820137,'2',502,'N'),(15,2820145,'1',332,'N'),(15,2820145,'2',339,'N'),(15,2820153,'1',302,'N'),(15,2820153,'2',426,'N'),(15,2820161,'1',317,'N'),(15,2820161,'2',308,'N'),(15,2820170,'1',102,'N'),(15,2820170,'2',217,'N'),(15,2820188,'1',428,'N'),(15,2820188,'1A',425,'N'),(15,2820188,'2',324,'N'),(15,2820196,'1',215,'N'),(15,2820196,'1A',233,'N'),(15,2820196,'2',333,'N'),(15,2820218,'1',318,'N'),(15,2820218,'2',427,'N'),(15,2820226,'1',329,'N'),(15,2820226,'2',225,'N'),(15,2820234,'1',332,'N'),(15,2820234,'2',327,'N'),(15,2820242,'1',333,'N'),(15,2820242,'2',317,'N'),(15,2820250,'1',502,'N'),(15,2820250,'2',108,'N'),(15,2820269,'1',308,'N'),(15,2820269,'2',339,'N'),(15,2820277,'1',317,'N'),(15,2820277,'2',302,'N'),(15,2820285,'1',319,'N'),(15,2820285,'2',9,'N'),(15,2820293,'1',202,'N'),(15,2820293,'2',203,'N'),(15,2820307,'1',308,'N'),(15,2820315,'1',301,'N'),(15,2820315,'2',420,'N'),(15,2820323,'1',208,'N'),(15,2820331,'1',444,'N'),(15,2820331,'2',102,'N'),(15,2820340,'1',208,'N'),(15,2820340,'2',329,'N'),(15,2820358,'1',101,'N'),(15,2820358,'2',310,'N'),(15,2820366,'1',502,'N'),(15,2820366,'2',102,'N'),(15,2820374,'1',333,'N'),(15,2820374,'2',501,'N'),(15,2820382,'1',316,'N'),(15,2820382,'2',317,'N'),(15,2820390,'1',108,'N'),(15,2820390,'2',328,'N'),(15,2820404,'1',333,'N'),(15,2820404,'2',304,'N'),(15,2820412,'1',5,'N'),(15,2820412,'2',234,'N'),(15,2820439,'1',5,'N'),(15,2820439,'2',316,'N'),(15,2820447,'1',9,'N'),(15,2820447,'2',215,'N'),(15,2820455,'1',308,'N'),(15,2820455,'2',339,'N'),(15,2820463,'1',238,'N'),(15,2820463,'1A',208,'N'),(15,2820463,'2',317,'N'),(15,2820471,'1',316,'N'),(15,2820471,'2',202,'N'),(15,2820480,'1',101,'N'),(15,2820480,'2',215,'N'),(15,2820498,'1',211,'N'),(15,2820498,'1A',212,'N'),(15,2820498,'2',215,'N'),(15,2820501,'1',404,'N'),(15,2820501,'2',451,'N'),(15,2820510,'1',101,'N'),(15,2820510,'2',308,'N'),(15,2820528,'1',103,'N'),(15,2820528,'2',9,'N'),(15,2820536,'1',238,'N'),(15,2820536,'1A',216,'N'),(15,2820536,'2',217,'N'),(15,2820544,'1',339,'N'),(15,2820544,'2',319,'N'),(15,2820552,'1',327,'N'),(15,2820552,'2',332,'N'),(15,2820560,'1',101,'N'),(15,2820560,'2',102,'N'),(15,2820579,'1',327,'N'),(15,2820579,'2',339,'N'),(15,2820587,'1',318,'N'),(15,2820587,'2',317,'N'),(15,2820595,'1',444,'N'),(15,2820595,'2',451,'N'),(15,2820609,'1',426,'N'),(15,2820609,'1A',429,'N'),(15,2820609,'2',332,'N'),(15,2820617,'1',222,'N'),(15,2820617,'2',223,'N'),(15,2820625,'1',319,'N'),(15,2820625,'2',310,'N'),(15,2820633,'1',201,'N'),(15,2820633,'1A',211,'N'),(15,2820633,'2',316,'N'),(15,2820641,'1',203,'N'),(15,2820641,'1A',220,'N'),(15,2820641,'2',234,'N'),(15,2820650,'1',318,'N'),(15,2820650,'2',211,'N'),(15,2820668,'1',316,'N'),(15,2820676,'1',238,'N'),(15,2820676,'1A',208,'N'),(15,2820676,'2',318,'N'),(15,2820684,'1',211,'N'),(15,2820684,'1A',213,'N'),(15,2820684,'2',320,'N'),(15,2820692,'1',316,'N'),(15,2820692,'2',317,'N'),(15,2820706,'1',317,'N'),(15,2820706,'2',316,'N'),(15,2820714,'1',327,'N'),(15,2820714,'2',329,'N'),(15,2820722,'1',317,'N'),(15,2820722,'2',308,'N'),(15,2820730,'1',339,'N'),(15,2820730,'2',423,'N'),(15,2820749,'1',5,'N'),(15,2820749,'2',316,'N'),(15,2820757,'1',451,'N'),(15,2820757,'2',101,'N'),(15,2820765,'1',339,'N'),(15,2820765,'2',320,'N'),(15,2820773,'1',404,'N'),(15,2820773,'2',444,'N'),(15,2820781,'1',331,'N'),(15,2820781,'2',415,'N'),(15,2820790,'1',225,'N'),(15,2820803,'1',238,'N'),(15,2820803,'1A',208,'N'),(15,2820803,'2',5,'N'),(15,2820811,'1',308,'N'),(15,2820811,'2',316,'N'),(15,2820820,'1',317,'N'),(15,2820820,'2',332,'N'),(15,2820838,'1',429,'N'),(15,2820838,'1A',428,'N'),(15,2820838,'2',425,'N'),(15,2820846,'1',102,'N'),(15,2820846,'2',101,'N'),(15,2820854,'1',203,'N'),(15,2820854,'1A',213,'N'),(15,2820854,'2',444,'N'),(15,2820862,'1',324,'N'),(15,2820862,'2',320,'N'),(15,2820870,'1',451,'N'),(15,2820870,'2',308,'N'),(15,2820889,'1',316,'N'),(15,2820889,'2',301,'N'),(15,2820897,'1',304,'N'),(15,2820897,'2',208,'N'),(15,2820900,'1',208,'N'),(15,2820900,'1A',238,'N'),(15,2820900,'2',220,'N'),(15,2820919,'1',501,'N'),(15,2820919,'2',324,'N'),(15,2820927,'1',332,'N'),(15,2820927,'2',324,'N'),(15,2820935,'1',319,'N'),(15,2820935,'2',309,'N'),(15,2820943,'1',339,'N'),(15,2820943,'2',309,'N'),(15,2820951,'1',238,'N'),(15,2820951,'1A',208,'N'),(15,2820951,'2',332,'N'),(15,2820960,'1',103,'N'),(15,2820960,'2',101,'N'),(15,2820978,'1',502,'N'),(15,2820978,'2',333,'N'),(15,2820986,'1',429,'N'),(15,2820986,'1A',424,'N'),(15,2820986,'2',329,'N'),(15,2820994,'1',420,'N'),(15,2820994,'2',207,'N'),(15,2821001,'1',225,'N'),(15,2821001,'2',224,'N'),(15,2821028,'1',101,'N'),(15,2821028,'2',104,'N'),(15,2821036,'1',104,'N'),(15,2821036,'2',333,'N'),(15,2821044,'1',102,'N'),(15,2821044,'2',444,'N'),(15,2821052,'1',308,'N'),(15,2821052,'2',425,'N'),(15,2821087,'1',211,'N'),(15,2821087,'1A',201,'N'),(15,2821087,'2',501,'N'),(15,2821095,'1',329,'N'),(15,2821095,'2',451,'N'),(15,2821109,'1',428,'N'),(15,2821109,'1A',423,'N'),(15,2821109,'2',223,'N'),(15,2821117,'1',317,'N'),(15,2821117,'2',324,'N'),(15,2821125,'1',444,'N'),(15,2821125,'2',103,'N'),(15,2821133,'1',316,'N'),(15,2821133,'2',308,'N'),(15,2821141,'1',208,'N'),(15,2821141,'1A',238,'N'),(15,2821141,'2',202,'N'),(15,2821150,'1',424,'N'),(15,2821150,'1A',427,'N'),(15,2821150,'2',421,'N'),(15,2821168,'1',103,'N'),(15,2821168,'2',102,'N'),(15,2821176,'1',202,'N'),(15,2821176,'1A',201,'N'),(15,2821176,'2',213,'N'),(15,2821184,'1',238,'N'),(15,2821184,'1A',208,'N'),(15,2821192,'1',201,'N'),(15,2821192,'1A',212,'N'),(15,2821192,'2',207,'N'),(15,2821206,'1',308,'N'),(15,2821206,'2',502,'N'),(15,2821214,'1',501,'N'),(15,2821222,'1',429,'N'),(15,2821222,'1A',425,'N'),(15,2821222,'2',451,'N'),(15,2821230,'1',103,'N'),(15,2821230,'2',104,'N'),(15,2821249,'1',5,'N'),(15,2821249,'2',404,'N'),(15,2821257,'1',220,'N'),(15,2821257,'1A',203,'N'),(15,2821257,'2',238,'N'),(15,2821265,'1',103,'N'),(15,2821265,'2',101,'N'),(15,2821273,'1',319,'N'),(15,2821273,'2',9,'N'),(15,2821281,'1',308,'N'),(15,2821281,'2',319,'N'),(15,2821290,'1',301,'N'),(15,2821290,'2',502,'N'),(15,2821303,'1',103,'N'),(15,2821303,'2',5,'N'),(15,2821311,'1',308,'N'),(15,2821311,'2',327,'N'),(15,2821320,'1',208,'N'),(15,2821320,'1A',207,'N'),(15,2821338,'1',332,'N'),(15,2821338,'2',308,'N'),(15,2821346,'1',404,'N'),(15,2821346,'2',332,'N'),(15,2821354,'1',215,'N'),(15,2821354,'2',319,'N'),(15,2821362,'1',201,'N'),(15,2821362,'1A',211,'N'),(15,2821362,'2',104,'N'),(15,2821370,'1',225,'N'),(15,2821370,'2',308,'N'),(15,2821389,'1',332,'N'),(15,2821389,'2',426,'N'),(15,2821397,'1',317,'N'),(15,2821397,'2',302,'N'),(15,2821400,'1',326,'N'),(15,2821400,'2',327,'N'),(15,2821419,'1',103,'N'),(15,2821419,'2',101,'N'),(15,2821427,'1',319,'N'),(15,2821427,'2',404,'N'),(15,2821435,'1',426,'N'),(15,2821435,'1A',428,'N'),(15,2821435,'2',327,'N'),(15,2821443,'1',501,'N'),(15,2821451,'1',9,'N'),(15,2821451,'2',502,'N'),(15,2821460,'1',308,'N'),(15,2821460,'2',428,'N'),(15,2821478,'1',331,'N'),(15,2821478,'2',427,'N'),(15,2821486,'1',426,'N'),(15,2821486,'1A',425,'N'),(15,2821486,'2',308,'N'),(15,2821494,'1',404,'N'),(15,2821494,'2',308,'N'),(15,2821516,'1',404,'N'),(15,2821516,'2',327,'N'),(15,2821524,'1',302,'N'),(15,2821524,'2',324,'N'),(15,2821532,'1',425,'N'),(15,2821532,'1A',424,'N'),(15,2821532,'2',319,'N'),(15,2821540,'1',238,'N'),(15,2821540,'1A',208,'N'),(15,2821559,'1',420,'N'),(15,2821559,'2',502,'N'),(15,2821567,'1',207,'N'),(15,2821567,'2',326,'N'),(15,2821575,'1',404,'N'),(15,2821575,'2',444,'N'),(15,2821583,'1',319,'N'),(15,2821583,'2',308,'N'),(15,2821591,'1',220,'N'),(15,2821591,'1A',208,'N'),(15,2821605,'1',103,'N'),(15,2821613,'1',208,'N'),(15,2821613,'1A',238,'N'),(15,2821613,'2',222,'N'),(15,2821621,'1',201,'N'),(15,2821621,'1A',220,'N'),(15,2821621,'2',316,'N'),(15,2821630,'1',317,'N'),(15,2821630,'2',319,'N'),(15,2821648,'1',103,'N'),(15,2821648,'2',102,'N'),(15,2821656,'1',319,'N'),(15,2821656,'2',309,'N'),(15,2821664,'1',420,'N'),(15,2821664,'2',444,'N'),(15,2821672,'1',451,'N'),(15,2821672,'2',319,'N'),(15,2821680,'1',217,'N'),(15,2821699,'1',444,'N'),(15,2821699,'2',404,'N'),(15,2821702,'1',216,'N'),(15,2821702,'2',303,'N'),(15,2821710,'1',415,'N'),(15,2821710,'2',317,'N'),(15,2821729,'1',103,'N'),(15,2821729,'2',104,'N'),(15,2821737,'1',103,'N'),(15,2821737,'2',451,'N'),(15,2821745,'1',103,'N'),(15,2821745,'2',104,'N'),(15,2821753,'1',304,'N'),(15,2821753,'2',310,'N'),(15,2821761,'1',103,'N'),(15,2821761,'2',101,'N'),(15,2821770,'1',102,'N'),(15,2821770,'2',316,'N'),(15,2821788,'1',104,'N'),(15,2821788,'2',101,'N'),(15,2821796,'1',217,'N'),(15,2821796,'2',211,'N'),(15,2821800,'1',225,'N'),(15,2821800,'2',2,'N'),(15,2821818,'1',501,'N'),(15,2821818,'2',215,'N'),(15,2821826,'1',316,'N'),(15,2821826,'2',318,'N'),(15,2821834,'1',224,'N'),(15,2821834,'2',2,'N'),(15,2821842,'1',9,'N'),(15,2821842,'2',103,'N'),(15,2821869,'1',208,'N'),(15,2821869,'1A',238,'N'),(15,2821869,'2',308,'N'),(15,2821877,'1',420,'N'),(15,2821877,'2',208,'N'),(15,2821885,'1',303,'N'),(15,2821885,'2',301,'N'),(15,2821907,'1',225,'N'),(15,2821907,'2',2,'N'),(15,2821915,'1',222,'N'),(15,2821915,'2',502,'N'),(15,2821923,'1',103,'N'),(15,2821923,'2',424,'N'),(15,2821931,'1',333,'N'),(15,2821931,'2',103,'N'),(15,2821940,'1',217,'N'),(15,2821940,'2',102,'N'),(15,2821958,'1',308,'N'),(15,2821958,'2',415,'N'),(15,2821966,'1',318,'N'),(15,2821966,'2',102,'N'),(15,2821974,'1',319,'N'),(15,2821974,'2',9,'N'),(15,2821982,'1',9,'N'),(15,2821982,'2',339,'N'),(15,2821990,'1',318,'N'),(15,2821990,'2',102,'N'),(15,2822008,'1',103,'N'),(15,2822016,'1',339,'N'),(15,2822016,'2',444,'N'),(15,2822024,'1',333,'N'),(15,2822024,'2',427,'N'),(15,2822032,'1',207,'N'),(15,2822032,'1A',201,'N'),(15,2822032,'2',9,'N'),(15,2822059,'1',303,'N'),(15,2822059,'2',319,'N'),(15,2822067,'1',5,'N'),(15,2822067,'2',425,'N'),(15,2822075,'1',501,'N'),(15,2822075,'2',404,'N'),(15,2822083,'1',201,'N'),(15,2822083,'1A',211,'N'),(15,2822083,'2',501,'N'),(15,2822091,'1',9,'N'),(15,2822091,'2',318,'N'),(15,2822105,'1',319,'N'),(15,2822105,'2',5,'N'),(15,2822113,'1',223,'N'),(15,2822113,'2',202,'N'),(15,2822121,'1',208,'N'),(15,2822121,'1A',238,'N'),(15,2822130,'1',203,'N'),(15,2822130,'1A',214,'N'),(15,2822130,'2',316,'N'),(15,2822156,'1',207,'N'),(15,2822156,'1A',211,'N'),(15,2822156,'2',108,'N'),(15,2822164,'1',103,'N'),(15,2822164,'2',102,'N'),(15,2822172,'1',201,'N'),(15,2822172,'2',207,'N'),(15,2822180,'1',415,'N'),(15,2822180,'2',9,'N'),(15,2822199,'1',450,'N'),(15,2822199,'2',420,'N'),(15,2822202,'1',502,'N'),(15,2822202,'2',501,'N'),(15,2822229,'1',415,'N'),(15,2822237,'1',224,'N'),(15,2822237,'2',225,'N'),(15,2822245,'1',207,'N'),(15,2822245,'2',9,'N'),(15,2822253,'1',102,'N'),(15,2822253,'2',207,'N'),(15,2822261,'1',207,'N'),(15,2822261,'2',420,'N'),(15,2822270,'1',9,'N'),(15,2822270,'2',102,'N'),(15,2822288,'1',301,'N'),(15,2822288,'2',217,'N'),(15,2822296,'1',317,'N'),(15,2822296,'2',318,'N'),(15,2822300,'1',211,'N'),(15,2822300,'1A',216,'N'),(15,2822300,'2',502,'N'),(15,2822318,'1',404,'N'),(15,2822318,'2',451,'N'),(15,2822326,'1',501,'N'),(15,2822326,'2',502,'N'),(15,2822334,'1',108,'N'),(15,2822334,'2',333,'N'),(15,2822342,'1',103,'N'),(15,2822342,'2',9,'N'),(15,2822350,'1',319,'N'),(15,2822350,'2',404,'N'),(15,2822407,'1',415,'N'),(15,2822407,'2',425,'N'),(15,2822415,'1',404,'N'),(15,2822415,'2',444,'N'),(15,2822423,'1',319,'N'),(15,2822423,'2',308,'N'),(15,2822431,'1',319,'N'),(15,2822431,'2',9,'N'),(15,2822458,'1',207,'N'),(15,2822458,'1A',201,'N'),(15,2822458,'2',316,'N'),(15,2822466,'1',319,'N'),(15,2822466,'2',2,'N'),(15,2822490,'1',208,'N'),(15,2822490,'1A',220,'N'),(15,2822490,'2',216,'N'),(15,2822504,'1',102,'N'),(15,2822504,'2',211,'N'),(15,2822520,'1',415,'N'),(15,2822520,'2',327,'N'),(15,2822547,'1',211,'N'),(15,2822547,'2',207,'N'),(15,2822555,'1',501,'N'),(15,2822555,'2',332,'N'),(15,2822563,'1',103,'N'),(15,2822563,'2',101,'N'),(15,2822580,'1',103,'N'),(15,2822580,'2',451,'N'),(15,2822598,'1',333,'N'),(15,2822598,'2',108,'N'),(15,2822601,'1',217,'N'),(15,2822601,'2',208,'N'),(15,2822610,'1',101,'N'),(15,2822610,'2',327,'N'),(15,2822628,'1',216,'N'),(15,2822628,'1A',201,'N'),(15,2822628,'2',217,'N'),(15,2822636,'1',101,'N'),(15,2822636,'2',426,'N'),(15,2822644,'1',316,'N'),(15,2822644,'2',319,'N'),(15,2822660,'1',101,'N'),(15,2822660,'2',444,'N'),(15,2822679,'1',103,'N'),(15,2822679,'2',420,'N'),(15,2822687,'1',316,'N'),(15,2822687,'2',317,'N'),(15,2822695,'1',451,'N'),(15,2822695,'2',420,'N'),(15,2822709,'1',501,'N'),(15,2822709,'2',202,'N'),(15,2822717,'1',215,'N'),(15,2822717,'1A',201,'N'),(15,2822717,'2',207,'N'),(15,2822725,'1',420,'N'),(15,2822725,'2',415,'N'),(15,2822733,'1',303,'N'),(15,2822733,'2',5,'N'),(15,2822741,'1',238,'N'),(15,2822741,'1A',208,'N'),(15,2822741,'2',451,'N'),(15,2822768,'1',303,'N'),(15,2822768,'2',102,'N'),(15,2822776,'1',5,'N'),(15,2822776,'2',420,'N'),(15,2822784,'1',319,'N'),(15,2822784,'2',333,'N'),(15,2822792,'1',333,'N'),(15,2822792,'2',320,'N'),(15,2822806,'1',102,'N'),(15,2822814,'1',224,'N'),(15,2822814,'2',2,'N'),(15,2822822,'1',317,'N'),(15,2822822,'2',318,'N'),(15,2822857,'1',332,'N'),(15,2822857,'2',327,'N'),(15,2822865,'1',333,'N'),(15,2822865,'2',211,'N'),(15,2822873,'1',9,'N'),(15,2822873,'2',102,'N'),(15,2822881,'1',203,'N'),(15,2822881,'1A',211,'N'),(15,2822881,'2',222,'N'),(15,2822890,'1',108,'N'),(15,2822890,'2',316,'N'),(15,2822903,'1',428,'N'),(15,2822903,'2',324,'N'),(15,2822911,'1',5,'N'),(15,2822911,'2',429,'N'),(15,2822920,'1',217,'N'),(15,2822920,'2',211,'N'),(15,2822938,'1',317,'N'),(15,2822938,'2',327,'N'),(15,2822946,'1',101,'N'),(15,2822946,'2',308,'N'),(15,2822954,'1',103,'N'),(15,2822954,'2',217,'N'),(15,2822962,'1',332,'N'),(15,2822962,'2',502,'N'),(15,2822970,'1',339,'N'),(15,2822970,'2',428,'N'),(15,2822989,'1',303,'N'),(15,2822989,'2',103,'N'),(15,2822997,'1',108,'N'),(15,2822997,'2',308,'N'),(15,2823004,'1',108,'N'),(15,2823004,'2',332,'N'),(15,2823012,'1',423,'N'),(15,2823012,'1A',421,'N'),(15,2823012,'2',324,'N'),(15,2823020,'1',5,'N'),(15,2823020,'2',425,'N'),(15,2823039,'1',302,'N'),(15,2823039,'2',428,'N'),(15,2823047,'1',316,'N'),(15,2823047,'2',214,'N'),(15,2823055,'1',303,'N'),(15,2823063,'1',502,'N'),(15,2823063,'2',339,'N'),(15,2823071,'1',5,'N'),(15,2823071,'2',426,'N'),(15,2823080,'1',324,'N'),(15,2823080,'2',225,'N'),(15,2823098,'1',108,'N'),(15,2823098,'2',501,'N'),(15,2823101,'1',332,'N'),(15,2823101,'2',333,'N'),(15,2823110,'1',9,'N'),(15,2823110,'2',238,'N'),(15,2823128,'1',308,'N'),(15,2823128,'2',324,'N'),(15,2823136,'1',429,'N'),(15,2823136,'2',301,'N'),(15,2823144,'1',319,'N'),(15,2823144,'2',424,'N'),(15,2823152,'1',104,'N'),(15,2823152,'2',211,'N'),(15,2823160,'1',444,'N'),(15,2823160,'2',404,'N'),(15,2823179,'1',319,'N'),(15,2823179,'2',9,'N'),(15,2823187,'1',104,'N'),(15,2823187,'2',102,'N'),(15,2823195,'1',216,'N'),(15,2823195,'1A',215,'N'),(15,2823195,'2',217,'N'),(15,2823217,'1',5,'N'),(15,2823217,'2',327,'N'),(15,2823225,'1',316,'N'),(15,2823225,'2',451,'N'),(15,2823233,'1',328,'N'),(15,2823233,'2',326,'N'),(15,2823241,'1',324,'N'),(15,2823241,'2',427,'N'),(15,2823250,'1',324,'N'),(15,2823250,'2',427,'N'),(15,2823268,'1',339,'N'),(15,2823268,'2',224,'N'),(15,2823276,'1',319,'N'),(15,2823276,'2',339,'N'),(15,2823284,'1',234,'N'),(15,2823284,'2',225,'N'),(15,2823292,'1',108,'N'),(15,2823292,'2',424,'N'),(15,2823306,'1',317,'N'),(15,2823306,'2',318,'N'),(15,2823314,'1',308,'N'),(15,2823314,'2',324,'N'),(15,2823322,'1',238,'N'),(15,2823322,'1A',233,'N'),(15,2823322,'2',320,'N'),(15,2823330,'1',308,'N'),(15,2823330,'2',301,'N'),(15,2823349,'1',328,'N'),(15,2823349,'2',319,'N'),(15,2823357,'1',103,'N'),(15,2823357,'2',102,'N'),(15,2823365,'1',450,'N'),(15,2823365,'2',326,'N'),(15,2823373,'1',301,'N'),(15,2823373,'2',208,'N'),(15,2823381,'1',108,'N'),(15,2823381,'2',502,'N'),(15,2823390,'1',101,'N'),(15,2823390,'2',339,'N'),(15,2823403,'1',203,'N'),(15,2823403,'1A',202,'N'),(15,2823403,'2',213,'N'),(15,2823438,'1',327,'N'),(15,2823438,'2',333,'N'),(15,2823446,'1',103,'N'),(15,2823446,'2',104,'N'),(15,2823454,'1',9,'N'),(15,2823454,'2',215,'N'),(15,2823462,'1',217,'N'),(15,2823462,'2',215,'N'),(15,2823470,'1',319,'N'),(15,2823470,'2',424,'N'),(15,2823497,'1',319,'N'),(15,2823497,'2',102,'N'),(15,2823519,'1',103,'N'),(15,2823519,'2',102,'N'),(15,2823527,'1',103,'N'),(15,2823527,'2',102,'N'),(15,2823543,'1',208,'N'),(15,2823543,'1A',238,'N'),(15,2823543,'2',101,'N'),(15,2823551,'1',404,'N'),(15,2823551,'2',423,'N'),(15,2823560,'1',451,'N'),(15,2823560,'2',444,'N'),(15,2823578,'1',420,'N'),(15,2823578,'2',324,'N'),(15,2823586,'1',201,'N'),(15,2823586,'1A',216,'N'),(15,2823586,'2',102,'N'),(15,2823594,'1',101,'N'),(15,2823594,'2',102,'N'),(15,2823608,'1',102,'N'),(15,2823608,'2',103,'N'),(15,2823624,'1',429,'N'),(15,2823624,'1A',425,'N'),(15,2823624,'2',426,'N'),(15,2823632,'1',339,'N'),(15,2823632,'2',310,'N'),(15,2823640,'1',420,'N'),(15,2823640,'2',451,'N'),(15,2823659,'1',339,'N'),(15,2823659,'2',333,'N'),(15,2823667,'1',316,'N'),(15,2823667,'2',429,'N'),(15,2823675,'1',215,'N'),(15,2823675,'1A',233,'N'),(15,2823675,'2',333,'N'),(15,2823683,'1',501,'N'),(15,2823683,'2',108,'N'),(15,2823691,'1',202,'N'),(15,2823691,'1A',213,'N'),(15,2823691,'2',222,'N'),(15,2823705,'1',339,'N'),(15,2823705,'2',427,'N'),(15,2823713,'1',444,'N'),(15,2823713,'2',404,'N'),(15,2823721,'1',102,'N'),(15,2823721,'2',444,'N'),(15,2823730,'1',331,'N'),(15,2823730,'2',2,'N'),(15,2823748,'1',103,'N'),(15,2823748,'2',333,'N'),(15,2823756,'1',426,'N'),(15,2823756,'1A',428,'N'),(15,2823756,'2',324,'N'),(15,2823764,'1',320,'N'),(15,2823764,'2',426,'N'),(15,2823772,'1',339,'N'),(15,2823772,'2',426,'N'),(15,2823780,'1',9,'N'),(15,2823780,'2',102,'N'),(15,2823799,'1',238,'N'),(15,2823799,'2',301,'N'),(15,2823802,'1',327,'N'),(15,2823802,'2',423,'N'),(15,2823829,'1',332,'N'),(15,2823829,'2',2,'N'),(15,2823837,'1',317,'N'),(15,2823837,'2',224,'N'),(15,2823845,'1',101,'N'),(15,2823845,'2',308,'N'),(15,2823853,'1',224,'N'),(15,2823853,'2',324,'N'),(15,2823861,'1',423,'N'),(15,2823861,'1A',428,'N'),(15,2823861,'2',339,'N'),(15,2823870,'1',215,'N'),(15,2823870,'1A',233,'N'),(15,2823870,'2',502,'N'),(15,2823888,'1',5,'N'),(15,2823888,'2',333,'N'),(15,2823896,'1',9,'N'),(15,2823896,'2',502,'N'),(15,2823900,'1',308,'N'),(15,2823900,'2',426,'N'),(15,2823918,'1',317,'N'),(15,2823918,'2',333,'N'),(15,2823926,'1',324,'N'),(15,2823926,'2',225,'N'),(15,2823934,'1',9,'N'),(15,2823934,'2',420,'N'),(15,2823942,'1',319,'N'),(15,2823942,'2',451,'N'),(15,2823950,'1',316,'N'),(15,2823950,'2',339,'N'),(15,2823977,'1',101,'N'),(15,2823977,'2',223,'N'),(15,2823985,'1',108,'N'),(15,2823985,'2',224,'N'),(15,2823993,'1',308,'N'),(15,2824000,'1',425,'N'),(15,2824000,'1A',429,'N'),(15,2824000,'2',424,'N'),(15,2824019,'1',324,'N'),(15,2824019,'2',502,'N'),(15,2824027,'1',429,'N'),(15,2824027,'2',427,'N'),(15,2824035,'1',203,'N'),(15,2824035,'1A',214,'N'),(15,2824035,'2',202,'N'),(15,2824043,'1',207,'N'),(15,2824043,'1A',201,'N'),(15,2824043,'2',203,'N'),(15,2824051,'1',415,'N'),(15,2824051,'2',424,'N'),(15,2824086,'1',316,'N'),(15,2824086,'2',317,'N'),(15,2824094,'1',207,'N'),(15,2824094,'1A',201,'N'),(15,2824094,'2',444,'N'),(15,2824108,'1',316,'N'),(15,2824108,'2',9,'N'),(15,2824116,'1',238,'N'),(15,2824124,'1',502,'N'),(15,2824124,'2',501,'N'),(15,2824132,'1',5,'N'),(15,2824140,'1',102,'N'),(15,2824140,'2',101,'N'),(15,2824159,'1',102,'N'),(15,2824159,'2',319,'N'),(15,2824167,'1',215,'N'),(15,2824167,'1A',211,'N'),(15,2824167,'2',415,'N'),(15,2824175,'1',328,'N'),(15,2824175,'2',326,'N'),(15,2824183,'1',211,'N'),(15,2824183,'1A',202,'N'),(15,2824183,'2',420,'N'),(15,2824191,'1',415,'N'),(15,2824191,'2',423,'N'),(15,2824205,'1',9,'N'),(15,2824205,'2',301,'N'),(15,2824213,'1',5,'N'),(15,2824213,'2',303,'N'),(15,2824230,'1',108,'N'),(15,2824230,'2',5,'N'),(15,2824248,'1',103,'N'),(15,2824248,'2',217,'N'),(15,2824256,'1',217,'N'),(15,2824256,'2',224,'N'),(15,2824264,'1',425,'N'),(15,2824264,'1A',429,'N'),(15,2824264,'2',424,'N'),(15,2824272,'1',203,'N'),(15,2824272,'1A',202,'N'),(15,2824272,'2',2,'N'),(15,2824280,'1',213,'N'),(15,2824299,'1',444,'N'),(15,2824299,'2',308,'N'),(15,2824302,'1',421,'N'),(15,2824302,'1A',423,'N'),(15,2824302,'2',502,'N'),(15,2824310,'1',329,'N'),(15,2824310,'2',324,'N'),(15,2824329,'1',207,'N'),(15,2824329,'1A',201,'N'),(15,2824329,'2',223,'N'),(15,2824337,'1',324,'N'),(15,2824337,'2',222,'N'),(15,2824345,'1',332,'N'),(15,2824345,'2',421,'N'),(15,2824353,'1',238,'N'),(15,2824353,'1A',208,'N'),(15,2824353,'2',444,'N'),(15,2824361,'1',451,'N'),(15,2824361,'2',309,'N'),(15,2824370,'1',444,'N'),(15,2824370,'2',233,'N'),(15,2824388,'1',426,'N'),(15,2824388,'1A',428,'N'),(15,2824388,'2',327,'N'),(15,2824396,'1',317,'N'),(15,2824396,'2',318,'N'),(15,2824400,'1',207,'N'),(15,2824400,'1A',201,'N'),(15,2824400,'2',420,'N'),(15,2824418,'1',103,'N'),(15,2824418,'2',101,'N'),(15,2824426,'1',308,'N'),(15,2824426,'2',339,'N'),(15,2824434,'1',444,'N'),(15,2824434,'2',217,'N'),(15,2824442,'1',339,'N'),(15,2824442,'2',426,'N'),(15,2824450,'1',444,'N'),(15,2824450,'2',326,'N'),(15,2824477,'1',202,'N'),(15,2824477,'1A',238,'N'),(15,2824477,'2',225,'N'),(15,2824485,'1',101,'N'),(15,2824485,'2',308,'N'),(15,2824493,'1',108,'N'),(15,2824493,'2',502,'N'),(15,2824507,'1',501,'N'),(15,2824507,'2',332,'N'),(15,2824515,'1',415,'N'),(15,2824515,'2',9,'N'),(15,2824523,'1',101,'N'),(15,2824523,'2',444,'N'),(15,2824531,'1',404,'N'),(15,2824540,'1',318,'N'),(15,2824540,'2',339,'N'),(15,2824558,'1',101,'N'),(15,2824558,'2',339,'N'),(15,2824566,'1',444,'N'),(15,2824566,'2',9,'N'),(15,2824574,'1',308,'N'),(15,2824574,'2',329,'N'),(15,2824582,'1',9,'N'),(15,2824582,'2',215,'N'),(15,2824590,'1',324,'N'),(15,2824590,'2',427,'N'),(15,2824604,'1',308,'N'),(15,2824604,'2',332,'N'),(15,2824612,'1',333,'N'),(15,2824612,'2',309,'N'),(15,2824620,'1',501,'N'),(15,2824620,'2',108,'N'),(15,2824639,'1',5,'N'),(15,2824639,'2',303,'N'),(15,2824647,'1',415,'N'),(15,2824647,'2',326,'N'),(15,2824655,'1',201,'N'),(15,2824655,'1A',212,'N'),(15,2824655,'2',233,'N'),(15,2824663,'1',102,'N'),(15,2824663,'2',415,'N'),(15,2824671,'1',317,'N'),(15,2824671,'2',201,'N'),(15,2824680,'1',101,'N'),(15,2824680,'2',502,'N'),(15,2824698,'1',308,'N'),(15,2824698,'2',309,'N'),(15,2824710,'1',308,'N'),(15,2824710,'2',324,'N'),(15,2824728,'1',308,'N'),(15,2824728,'2',9,'N'),(15,2824736,'1',308,'N'),(15,2824736,'2',428,'N'),(15,2824744,'1',308,'N'),(15,2824752,'1',326,'N'),(15,2824752,'2',333,'N'),(15,2824760,'1',333,'N'),(15,2824760,'2',108,'N'),(15,2824779,'1',101,'N'),(15,2824779,'2',102,'N'),(15,2824787,'1',207,'N'),(15,2824787,'1A',201,'N'),(15,2824787,'2',420,'N'),(15,2824795,'1',316,'N'),(15,2824795,'2',327,'N'),(15,2824809,'1',5,'N'),(15,2824809,'2',424,'N'),(15,2824817,'1',203,'N'),(15,2824817,'1A',238,'N'),(15,2824817,'2',225,'N'),(15,2824825,'1',302,'N'),(15,2824825,'2',404,'N'),(15,2824833,'1',316,'N'),(15,2824833,'2',224,'N'),(15,2824841,'1',104,'N'),(15,2824841,'2',427,'N'),(15,2824868,'1',339,'N'),(15,2824868,'2',308,'N'),(15,2824876,'1',101,'N'),(15,2824876,'2',102,'N'),(15,2824892,'1',316,'N'),(15,2824892,'2',308,'N'),(15,2824914,'1',308,'N'),(15,2824914,'2',324,'N'),(15,2824922,'1',308,'N'),(15,2824922,'2',339,'N'),(15,2824930,'1',238,'N'),(15,2824930,'2',222,'N'),(15,2824949,'1',404,'N'),(15,2824949,'2',502,'N'),(15,2824957,'1',318,'N'),(15,2824957,'2',421,'N'),(15,2824965,'1',308,'N'),(15,2824965,'2',102,'N'),(15,2824973,'1',339,'N'),(15,2824973,'2',5,'N'),(15,2824981,'1',333,'N'),(15,2824981,'2',301,'N'),(15,2824990,'1',201,'N'),(15,2824990,'1A',207,'N'),(15,2824990,'2',501,'N'),(15,2825007,'1',222,'N'),(15,2825007,'2',224,'N'),(15,2825015,'1',415,'N'),(15,2825015,'2',420,'N'),(15,2825031,'1',324,'N'),(15,2825031,'2',429,'N'),(15,2825040,'1',302,'N'),(15,2825040,'2',223,'N'),(15,2825058,'1',308,'N'),(15,2825058,'2',425,'N'),(15,2825066,'1',425,'N'),(15,2825066,'1A',429,'N'),(15,2825066,'2',208,'N'),(15,2825074,'1',234,'N'),(15,2825074,'2',215,'N'),(15,2825082,'1',404,'N'),(15,2825082,'2',427,'N'),(15,2825090,'1',303,'N'),(15,2825090,'2',319,'N'),(15,2825104,'1',324,'N'),(15,2825104,'2',320,'N'),(15,2825112,'1',333,'N'),(15,2825112,'2',404,'N'),(15,2825120,'1',308,'N'),(15,2825120,'2',324,'N'),(15,2825139,'1',420,'N'),(15,2825139,'2',238,'N'),(15,2825147,'1',333,'N'),(15,2825147,'2',331,'N'),(15,2825155,'1',444,'N'),(15,2825155,'2',404,'N'),(15,2825163,'1',320,'N'),(15,2825163,'2',327,'N'),(15,2825171,'1',308,'N'),(15,2825171,'2',426,'N'),(15,2825198,'1',308,'N'),(15,2825198,'2',423,'N'),(15,2825201,'1',316,'N'),(15,2825201,'2',201,'N'),(15,2825210,'1',444,'N'),(15,2825210,'2',207,'N'),(15,2825228,'1',339,'N'),(15,2825228,'2',320,'N'),(15,2825236,'1',320,'N'),(15,2825236,'2',310,'N'),(15,2825252,'1',222,'N'),(15,2825252,'2',423,'N'),(15,2825260,'1',404,'N'),(15,2825260,'2',222,'N'),(15,2825279,'1',214,'N'),(15,2825279,'1A',203,'N'),(15,2825279,'2',201,'N'),(15,2825287,'1',213,'N'),(15,2825287,'1A',214,'N'),(15,2825287,'2',224,'N'),(15,2825295,'1',451,'N'),(15,2825295,'2',421,'N'),(15,2825309,'1',222,'N'),(15,2825309,'2',208,'N'),(15,2825317,'1',502,'N'),(15,2825317,'2',501,'N'),(15,2825325,'1',502,'N'),(15,2825325,'2',501,'N'),(15,2825333,'1',324,'N'),(15,2825333,'2',327,'N'),(15,2825341,'1',327,'N'),(15,2825341,'2',404,'N'),(15,2825350,'1',208,'N'),(15,2825350,'1A',238,'N'),(15,2825350,'2',302,'N'),(15,2825368,'1',329,'N'),(15,2825368,'2',328,'N'),(15,2825376,'1',5,'N'),(15,2825376,'2',316,'N'),(15,2825384,'1',316,'N'),(15,2825384,'2',501,'N'),(15,2825392,'1',308,'N'),(15,2825392,'2',319,'N'),(15,2825406,'1',5,'N'),(15,2825406,'2',316,'N'),(15,2825414,'1',502,'N'),(15,2825414,'2',501,'N'),(15,2825422,'1',329,'N'),(15,2825422,'2',427,'N'),(15,2825430,'1',5,'N'),(15,2825430,'2',320,'N'),(15,2825449,'1',423,'N'),(15,2825449,'1A',425,'N'),(15,2825449,'2',426,'N'),(15,2825457,'1',420,'N'),(15,2825457,'2',101,'N'),(15,2825465,'1',234,'N'),(15,2825465,'2',501,'N'),(15,2825481,'1',308,'N'),(15,2825481,'2',309,'N'),(15,2825490,'1',303,'N'),(15,2825490,'2',301,'N'),(15,2825511,'1',316,'N'),(15,2825511,'2',238,'N'),(15,2825520,'1',324,'N'),(15,2825520,'2',423,'N'),(15,2825538,'1',208,'N'),(15,2825538,'2',444,'N'),(15,2825546,'1',302,'N'),(15,2825546,'2',324,'N'),(15,2825554,'1',332,'N'),(15,2825554,'2',333,'N'),(15,2825562,'1',404,'N'),(15,2825562,'2',308,'N'),(15,2825570,'1',102,'N'),(15,2825570,'2',101,'N'),(15,2825589,'1',207,'N'),(15,2825589,'1A',202,'N'),(15,2825589,'2',201,'N'),(15,2825597,'1',308,'N'),(15,2825597,'2',324,'N'),(15,2825600,'1',404,'N'),(15,2825600,'2',233,'N'),(15,2825619,'1',223,'N'),(15,2825619,'2',222,'N'),(15,2825627,'1',320,'N'),(15,2825627,'2',429,'N'),(15,2825635,'1',423,'N'),(15,2825635,'1A',428,'N'),(15,2825635,'2',324,'N'),(15,2825651,'1',320,'N'),(15,2825651,'2',327,'N'),(15,2825660,'1',101,'N'),(15,2825660,'2',429,'N'),(16,3000036,'1',319,'N'),(16,3000044,'1',303,'N'),(16,3000060,'1',214,'N'),(16,3000060,'1A',212,'N'),(16,3000079,'1',316,'N'),(16,3000087,'1',318,'N'),(16,3000095,'1',213,'N'),(16,3000095,'1A',202,'N'),(16,3000109,'1',220,'N'),(16,3000109,'1A',201,'N'),(16,3000117,'1',415,'N'),(16,3000125,'1',201,'N'),(16,3000133,'1',428,'N'),(16,3000133,'1A',421,'N'),(16,3000141,'1',415,'N'),(16,3000150,'1',301,'N'),(16,3000168,'1',302,'N'),(16,3000176,'1',316,'N'),(16,3000184,'1',420,'N'),(16,3000192,'1',420,'N'),(16,3000206,'1',302,'N'),(16,3000222,'1',5,'N'),(16,3000230,'1',327,'N'),(16,3000249,'1',303,'N'),(16,3000257,'1',309,'N'),(16,3000265,'1',103,'N'),(16,3000281,'1',207,'N'),(16,3000281,'1A',213,'N'),(16,3000290,'1',101,'N'),(16,3000303,'1',328,'N'),(16,3000311,'1',207,'N'),(16,3000311,'1A',216,'N'),(16,3000320,'1',450,'N'),(16,3000338,'1',216,'N'),(16,3000338,'1A',215,'N'),(16,3000346,'1',340,'N'),(16,3000354,'1',102,'N'),(16,3000362,'1',5,'N'),(16,3000370,'1',444,'N'),(16,3000389,'1',211,'N'),(16,3000389,'1A',216,'N'),(16,3000397,'1',103,'N'),(16,3000400,'1',340,'N'),(16,3000419,'1',103,'N'),(16,3000427,'1',103,'N'),(16,3000460,'1',234,'N'),(16,3000478,'1',214,'N'),(16,3000478,'1A',203,'N'),(16,3000486,'1',213,'N'),(16,3000486,'1A',233,'N'),(16,3000508,'1',102,'N'),(16,3000516,'1',415,'N'),(16,3000524,'1',238,'N'),(16,3000524,'1A',208,'N'),(16,3000540,'1',201,'N'),(16,3000540,'1A',212,'N'),(16,3000567,'1',103,'N'),(16,3000575,'1',319,'N'),(16,3000583,'1',201,'N'),(16,3000583,'1A',213,'N'),(16,3000591,'1',201,'N'),(16,3000591,'1A',212,'N'),(16,3000613,'1',5,'N'),(16,3000630,'1',103,'N'),(16,3000648,'1',103,'N'),(16,3000656,'1',207,'N'),(16,3000656,'1A',201,'N'),(16,3000664,'1',211,'N'),(16,3000664,'1A',220,'N'),(16,3000672,'1',317,'N'),(16,3000699,'1',103,'N'),(16,3000702,'1',104,'N'),(16,3000729,'1',102,'N'),(16,3000737,'1',501,'N'),(16,3000745,'1',103,'N'),(16,3000753,'1',421,'N'),(16,3000753,'1A',427,'N'),(16,3000761,'1',203,'N'),(16,3000761,'1A',233,'N'),(16,3000770,'1',207,'N'),(16,3000770,'1A',201,'N'),(16,3000796,'1',103,'N'),(16,3000800,'1',103,'N'),(16,3000818,'1',103,'N'),(16,3000826,'1',202,'N'),(16,3000826,'1A',213,'N'),(16,3000834,'1',303,'N'),(16,3000842,'1',329,'N'),(16,3000850,'1',214,'N'),(16,3000850,'1A',203,'N'),(16,3000869,'1',333,'N'),(16,3000877,'1',211,'N'),(16,3000877,'1A',215,'N'),(16,3000893,'1',308,'N'),(16,3000907,'1',103,'N'),(16,3000915,'1',213,'N'),(16,3000923,'1',203,'N'),(16,3000923,'1A',201,'N'),(16,3000931,'1',103,'N'),(16,3000940,'1',501,'N'),(16,3000958,'1',302,'N'),(16,3000990,'1',102,'N'),(16,3001008,'1',328,'N'),(16,3001016,'1',316,'N'),(16,3001024,'1',233,'N'),(16,3001024,'1A',208,'N'),(16,3001032,'1',302,'N'),(16,3001040,'1',451,'N'),(16,3001059,'1',103,'N'),(16,3001067,'1',208,'N'),(16,3001067,'1A',238,'N'),(16,3001075,'1',103,'N'),(16,3001083,'1',103,'N'),(16,3001091,'1',103,'N'),(16,3001105,'1',103,'N'),(16,3001130,'1',103,'N'),(16,3001148,'1',303,'N'),(16,3001156,'1',108,'N'),(16,3001164,'1',203,'N'),(16,3001164,'1A',202,'N'),(16,3001172,'1',203,'N'),(16,3001172,'1A',202,'N'),(16,3001180,'1',303,'N'),(16,3001199,'1',103,'N'),(16,3001202,'1',203,'N'),(16,3001202,'1A',202,'N'),(16,3001210,'1',207,'N'),(16,3001237,'1',208,'N'),(16,3001237,'1A',220,'N'),(16,3001245,'1',303,'N'),(16,3001253,'1',303,'N'),(16,3001261,'1',415,'N'),(16,3001270,'1',102,'N'),(16,3001288,'1',415,'N'),(16,3001296,'1',220,'N'),(16,3001296,'1A',203,'N'),(16,3001300,'1',324,'N'),(16,3001318,'1',324,'N'),(16,3001334,'1',201,'N'),(16,3001334,'1A',212,'N'),(16,3001342,'1',303,'N'),(16,3001350,'1',5,'N'),(16,3001369,'1',103,'N'),(16,3001377,'1',102,'N'),(16,3001407,'1',216,'N'),(16,3001415,'1',5,'N'),(16,3001423,'1',103,'N'),(16,3001431,'1',503,'N'),(16,3001458,'1',108,'N'),(16,3001466,'1',201,'N'),(16,3001466,'1A',216,'N'),(16,3001474,'1',216,'N'),(16,3001474,'1A',233,'N'),(16,3001482,'1',303,'N'),(16,3001490,'1',404,'N'),(16,3001504,'1',308,'N'),(16,3001512,'1',501,'N'),(16,3001520,'1',5,'N'),(16,3001539,'1',234,'N'),(16,3001547,'1',450,'N'),(16,3001563,'1',428,'N'),(16,3001563,'1A',425,'N'),(16,3001571,'1',502,'N'),(16,3001580,'1',208,'N'),(16,3001580,'1A',238,'N'),(16,3001598,'1',103,'N'),(16,3001601,'1',319,'N'),(16,3001610,'1',103,'N'),(16,3001652,'1',201,'N'),(16,3001652,'1A',212,'N'),(16,3001660,'1',302,'N'),(16,3001679,'1',215,'N'),(16,3001679,'1A',208,'N'),(16,3001695,'1',238,'N'),(16,3001695,'1A',208,'N'),(16,3001709,'1',9,'N'),(16,3001725,'1',104,'N'),(16,3001733,'1',5,'N'),(16,3001741,'1',108,'N'),(16,3001750,'1',103,'N'),(16,3001768,'1',420,'N'),(16,3001776,'1',310,'N'),(16,3001784,'1',429,'N'),(16,3001784,'1A',425,'N'),(16,3001792,'1',310,'N'),(16,3001830,'1',108,'N'),(16,3001849,'1',303,'N'),(16,3001857,'1',317,'N'),(16,3001865,'1',308,'N'),(16,3001873,'1',102,'N'),(16,3001881,'1',103,'N'),(16,3001890,'1',9,'N'),(16,3001903,'1',225,'N'),(16,3001920,'1',319,'N'),(16,3001946,'1',103,'N'),(16,3001954,'1',318,'N'),(16,3001962,'1',201,'N'),(16,3001962,'1A',207,'N'),(16,3001970,'1',420,'N'),(16,3001997,'1',426,'N'),(16,3001997,'1A',428,'N'),(16,3002004,'1',308,'N'),(16,3002012,'1',108,'N'),(16,3002020,'1',238,'N'),(16,3002020,'1A',208,'N'),(16,3002039,'1',451,'N'),(16,3002047,'1',104,'N'),(16,3002055,'1',104,'N'),(16,3002071,'1',428,'N'),(16,3002071,'1A',425,'N'),(16,3002080,'1',207,'N'),(16,3002080,'1A',201,'N'),(16,3002098,'1',333,'N'),(16,3002101,'1',328,'N'),(16,3002110,'1',103,'N'),(16,3002128,'1',309,'N'),(16,3002144,'1',3,'N'),(16,3002160,'1',303,'N'),(16,3002179,'1',318,'N'),(16,3002187,'1',316,'N'),(16,3002195,'1',203,'N'),(16,3002195,'1A',208,'N'),(16,3002217,'1',103,'N'),(16,3002225,'1',103,'N'),(16,3002233,'1',208,'N'),(16,3002233,'1A',238,'N'),(16,3002241,'1',333,'N'),(16,3002250,'1',201,'N'),(16,3002250,'1A',211,'N'),(16,3002268,'1',302,'N'),(16,3002276,'1',415,'N'),(16,3002292,'1',220,'N'),(16,3002292,'1A',201,'N'),(16,3002306,'1',5,'N'),(16,3002314,'1',223,'N'),(16,3002330,'1',238,'N'),(16,3002330,'1A',208,'N'),(16,3002357,'1',202,'N'),(16,3002357,'1A',213,'N'),(16,3002373,'1',303,'N'),(16,3002381,'1',303,'N'),(16,3002390,'1',211,'N'),(16,3002390,'1A',213,'N'),(16,3002403,'1',324,'N'),(16,3002411,'1',340,'N'),(16,3002420,'1',103,'N'),(16,3002438,'1',103,'N'),(16,3002446,'1',318,'N'),(16,3002454,'1',103,'N'),(16,3002470,'1',502,'N'),(16,3002500,'1',103,'N'),(16,3002527,'1',238,'N'),(16,3002535,'1',207,'N'),(16,3002551,'1',201,'N'),(16,3002551,'1A',212,'N'),(16,3002560,'1',309,'N'),(16,3002578,'1',103,'N'),(16,3002616,'1',238,'N'),(16,3002616,'1A',233,'N'),(16,3002632,'1',103,'N'),(16,3002640,'1',103,'N'),(16,3002659,'1',103,'N'),(16,3002667,'1',211,'N'),(16,3002667,'1A',233,'N'),(16,3002675,'1',215,'N'),(16,3002675,'1A',216,'N'),(16,3002683,'1',501,'N'),(16,3002691,'1',238,'N'),(16,3002691,'1A',213,'N'),(16,3002705,'1',319,'N'),(16,3002713,'1',103,'N'),(16,3002721,'1',317,'N'),(16,3002730,'1',214,'N'),(16,3002730,'1A',233,'N'),(16,3002756,'1',216,'N'),(16,3002756,'1A',215,'N'),(16,3002764,'1',301,'N'),(16,3002780,'1',429,'N'),(16,3002780,'1A',425,'N'),(16,3002802,'1',207,'N'),(16,3002802,'1A',233,'N'),(16,3002810,'1',318,'N'),(16,3002829,'1',201,'N'),(16,3002829,'1A',212,'N'),(16,3002837,'1',319,'N'),(16,3002861,'1',329,'N'),(16,3002888,'1',319,'N'),(16,3002900,'1',216,'N'),(16,3002900,'1A',201,'N'),(16,3002918,'1',103,'N'),(16,3002926,'1',103,'N'),(16,3002934,'1',203,'N'),(16,3002934,'1A',207,'N'),(16,3002942,'1',207,'N'),(16,3002942,'1A',201,'N'),(16,3002950,'1',302,'N'),(16,3002969,'1',103,'N'),(16,3002977,'1',103,'N'),(16,3002993,'1',450,'N'),(16,3003000,'1',429,'N'),(16,3003000,'1A',425,'N'),(16,3003019,'1',319,'N'),(16,3003027,'1',103,'N'),(16,3003035,'1',201,'N'),(16,3003035,'1A',220,'N'),(16,3003043,'1',103,'N'),(16,3003051,'1',331,'N'),(16,3003060,'1',424,'N'),(16,3003060,'1A',423,'N'),(16,3003078,'1',301,'N'),(16,3003086,'1',220,'N'),(16,3003086,'1A',202,'N'),(16,3003108,'1',203,'N'),(16,3003108,'1A',214,'N'),(16,3003116,'1',415,'N'),(16,3003124,'1',104,'N'),(16,3003132,'1',303,'N'),(16,3003159,'1',102,'N'),(16,3003167,'1',207,'N'),(16,3003167,'1A',201,'N'),(16,3003175,'1',104,'N'),(16,3003183,'1',103,'N'),(16,3003191,'1',202,'N'),(16,3003230,'1',450,'N'),(16,3003248,'1',216,'N'),(16,3003248,'1A',211,'N'),(16,3003256,'1',220,'N'),(16,3003256,'1A',207,'N'),(16,3003302,'1',327,'N'),(16,3003310,'1',317,'N'),(16,3003329,'1',214,'N'),(16,3003329,'1A',201,'N'),(16,3003345,'1',103,'N'),(16,3003353,'1',214,'N'),(16,3003353,'1A',212,'N'),(16,3003361,'1',304,'N'),(16,3003370,'1',5,'N'),(16,3003388,'1',103,'N'),(16,3003396,'1',303,'N'),(16,3003400,'1',303,'N'),(16,3003418,'1',103,'N'),(16,3003426,'1',3,'N'),(16,3003442,'1',103,'N'),(16,3003450,'1',333,'N'),(16,3003477,'1',309,'N'),(16,3003485,'1',238,'N'),(16,3003507,'1',102,'N'),(16,3003515,'1',108,'N'),(16,3003523,'1',320,'N'),(16,3003531,'1',9,'N'),(16,3003540,'1',104,'N'),(16,3003558,'1',304,'N'),(16,3003566,'1',319,'N'),(16,3003574,'1',103,'N'),(16,3003582,'1',303,'N'),(16,3003590,'1',202,'N'),(16,3003590,'1A',208,'N'),(16,3003612,'1',9,'N'),(16,3003620,'1',108,'N'),(16,3003639,'1',225,'N'),(16,3003647,'1',101,'N'),(16,3003655,'1',317,'N'),(16,3003671,'1',207,'N'),(16,3003671,'1A',201,'N'),(16,3003680,'1',103,'N'),(16,3003698,'1',301,'N'),(16,3003701,'1',238,'N'),(16,3003701,'1A',208,'N'),(16,3003710,'1',103,'N'),(16,3003736,'1',103,'N'),(16,3003744,'1',317,'N'),(16,3003752,'1',429,'N'),(16,3003752,'1A',425,'N'),(16,3003760,'1',301,'N'),(16,3003779,'1',415,'N'),(16,3003787,'1',303,'N'),(16,3003795,'1',103,'N'),(16,3003809,'1',5,'N'),(16,3003817,'1',216,'N'),(16,3003817,'1A',233,'N'),(16,3003825,'1',216,'N'),(16,3003825,'1A',202,'N'),(16,3003833,'1',103,'N'),(16,3003850,'1',216,'N'),(16,3003876,'1',319,'N'),(16,3003884,'1',222,'N'),(16,3003892,'1',233,'N'),(16,3003892,'1A',213,'N'),(16,3003906,'1',102,'N'),(16,3003914,'1',303,'N'),(16,3003922,'1',201,'N'),(16,3003922,'1A',208,'N'),(16,3003949,'1',102,'N'),(16,3003957,'1',207,'N'),(16,3003957,'1A',211,'N'),(16,3003965,'1',104,'N'),(16,3003973,'1',316,'N'),(16,3003981,'1',502,'N'),(16,3003990,'1',103,'N'),(16,3004007,'1',104,'N'),(16,3004015,'1',211,'N'),(16,3004015,'1A',202,'N'),(16,3004023,'1',303,'N'),(16,3004031,'1',203,'N'),(16,3004031,'1A',220,'N'),(16,3004040,'1',5,'N'),(16,3004058,'1',317,'N'),(16,3004066,'1',103,'N'),(16,3004074,'1',238,'N'),(16,3004074,'1A',214,'N'),(16,3004090,'1',207,'N'),(16,3004090,'1A',215,'N'),(16,3004104,'1',428,'N'),(16,3004104,'1A',425,'N'),(16,3004112,'1',103,'N'),(16,3004139,'1',103,'N'),(16,3004147,'1',214,'N'),(16,3004147,'1A',212,'N'),(16,3004163,'1',216,'N'),(16,3004163,'1A',220,'N'),(16,3004171,'1',103,'N'),(16,3004201,'1',103,'N'),(16,3004244,'1',316,'N'),(16,3004252,'1',103,'N'),(16,3004260,'1',103,'N'),(16,3004279,'1',103,'N'),(16,3004287,'1',201,'N'),(16,3004287,'1A',203,'N'),(16,3004295,'1',327,'N'),(16,3004309,'1',502,'N'),(16,3004317,'1',103,'N'),(16,3004325,'1',201,'N'),(16,3004325,'1A',212,'N'),(16,3004350,'1',201,'N'),(16,3004368,'1',220,'N'),(16,3004368,'1A',208,'N'),(16,3004376,'1',211,'N'),(16,3004376,'1A',201,'N'),(16,3004384,'1',103,'N'),(16,3004392,'1',301,'N'),(16,3004406,'1',104,'N'),(16,3004414,'1',9,'N'),(16,3004422,'1',207,'N'),(16,3004449,'1',220,'N'),(16,3004449,'1A',233,'N'),(16,3004457,'1',415,'N'),(16,3004465,'1',502,'N'),(16,3004481,'1',415,'N'),(16,3004490,'1',214,'N'),(16,3004490,'1A',212,'N'),(16,3004511,'1',316,'N'),(16,3004520,'1',203,'N'),(16,3004520,'1A',238,'N'),(16,3004538,'1',103,'N'),(16,3004546,'1',103,'N'),(16,3004554,'1',340,'N'),(16,3004562,'1',201,'N'),(16,3004562,'1A',213,'N'),(16,3004589,'1',303,'N'),(16,3004597,'1',103,'N'),(16,3004627,'1',503,'N'),(16,3004635,'1',223,'N'),(16,3004643,'1',214,'N'),(16,3004643,'1A',212,'N'),(16,3004651,'1',203,'N'),(16,3004651,'1A',220,'N'),(16,3004660,'1',103,'N'),(16,3004678,'1',319,'N'),(16,3004686,'1',303,'N'),(16,3004694,'1',220,'N'),(16,3004694,'1A',216,'N'),(16,3004708,'1',444,'N'),(16,3004716,'1',216,'N'),(16,3004716,'1A',208,'N'),(16,3004724,'1',301,'N'),(16,3004732,'1',203,'N'),(16,3004732,'1A',220,'N'),(16,3004740,'1',326,'N'),(16,3004759,'1',108,'N'),(16,3004767,'1',208,'N'),(16,3004767,'1A',220,'N'),(16,3004775,'1',316,'N'),(16,3004783,'1',503,'N'),(16,3004791,'1',303,'N'),(16,3004805,'1',319,'N'),(16,3004813,'1',9,'N'),(16,3004821,'1',450,'N'),(16,3004830,'1',310,'N'),(16,3004848,'1',103,'N'),(16,3004856,'1',303,'N'),(16,3004864,'1',103,'N'),(16,3004872,'1',103,'N'),(16,3004880,'1',207,'N'),(16,3004880,'1A',201,'N'),(16,3004899,'1',303,'N'),(16,3004902,'1',308,'N'),(16,3004910,'1',203,'N'),(16,3004910,'1A',208,'N'),(16,3004929,'1',404,'N'),(16,3004937,'1',415,'N'),(16,3004945,'1',9,'N'),(16,3004953,'1',316,'N'),(16,3004961,'1',108,'N'),(16,3004996,'1',214,'N'),(16,3004996,'1A',212,'N'),(16,3005003,'1',108,'N'),(16,3005011,'1',103,'N'),(16,3005038,'1',103,'N'),(16,3005046,'1',211,'N'),(16,3005046,'1A',207,'N'),(16,3005054,'1',102,'N'),(16,3005070,'1',103,'N'),(16,3005089,'1',215,'N'),(16,3005089,'1A',211,'N'),(16,3005097,'1',5,'N'),(16,3005100,'1',421,'N'),(16,3005119,'1',202,'N'),(16,3005119,'1A',220,'N'),(16,3005127,'1',220,'N'),(16,3005127,'1A',203,'N'),(16,3005143,'1',429,'N'),(16,3005143,'1A',426,'N'),(16,3005151,'1',103,'N'),(16,3005160,'1',238,'N'),(16,3005160,'1A',208,'N'),(16,3005178,'1',103,'N'),(16,3005186,'1',426,'N'),(16,3005186,'1A',425,'N'),(16,3005194,'1',420,'N'),(16,3005208,'1',301,'N'),(16,3005216,'1',108,'N'),(16,3005224,'1',501,'N'),(16,3005232,'1',444,'N'),(16,3005240,'1',207,'N'),(16,3005240,'1A',201,'N'),(16,3005259,'1',415,'N'),(16,3005267,'1',3,'N'),(16,3005275,'1',328,'N'),(16,3005291,'1',201,'N'),(16,3005291,'1A',212,'N'),(16,3005305,'1',216,'N'),(16,3005305,'1A',215,'N'),(16,3005313,'1',319,'N'),(16,3005321,'1',9,'N'),(16,3005348,'1',203,'N'),(16,3005348,'1A',220,'N'),(16,3005356,'1',103,'N'),(16,3005364,'1',340,'N'),(16,3005372,'1',302,'N'),(16,3005380,'1',319,'N'),(16,3005402,'1',450,'N'),(16,3005410,'1',207,'N'),(16,3005410,'1A',211,'N'),(16,3005429,'1',5,'N'),(16,3005437,'1',203,'N'),(16,3005437,'1A',214,'N'),(16,3005445,'1',340,'N'),(16,3005453,'1',208,'N'),(16,3005453,'1A',220,'N'),(16,3005461,'1',103,'N'),(16,3005470,'1',211,'N'),(16,3005470,'1A',215,'N'),(16,3005488,'1',5,'N'),(16,3005500,'1',103,'N'),(16,3005518,'1',301,'N'),(16,3005526,'1',212,'N'),(16,3005526,'1A',201,'N'),(16,3005534,'1',310,'N'),(16,3005542,'1',340,'N'),(16,3005550,'1',301,'N'),(16,3005577,'1',304,'N'),(16,3005585,'1',104,'N'),(16,3005593,'1',303,'N'),(16,3005623,'1',9,'N'),(16,3005631,'1',3,'N'),(16,3005640,'1',103,'N'),(16,3005658,'1',220,'N'),(16,3005658,'1A',208,'N'),(16,3005666,'1',233,'N'),(16,3005666,'1A',211,'N'),(16,3005682,'1',450,'N'),(16,3005690,'1',420,'N'),(16,3005704,'1',316,'N'),(16,3005712,'1',103,'N'),(16,3005720,'1',102,'N'),(16,3005739,'1',208,'N'),(16,3005739,'1A',238,'N'),(16,3005747,'1',216,'N'),(16,3005747,'1A',233,'N'),(16,3005755,'1',303,'N'),(16,3005763,'1',103,'N'),(16,3005771,'1',211,'N'),(16,3005771,'1A',233,'N'),(16,3005798,'1',214,'N'),(16,3005798,'1A',208,'N'),(16,3005801,'1',303,'N'),(16,3005810,'1',211,'N'),(16,3005810,'1A',214,'N'),(16,3005828,'1',303,'N'),(16,3005836,'1',211,'N'),(16,3005836,'1A',213,'N'),(16,3005844,'1',420,'N'),(16,3005852,'1',103,'N'),(16,3005860,'1',502,'N'),(16,3005879,'1',103,'N'),(16,3005895,'1',333,'N'),(16,3005909,'1',301,'N'),(16,3005917,'1',203,'N'),(16,3005917,'1A',202,'N'),(16,3005941,'1',220,'N'),(16,3005941,'1A',203,'N'),(16,3005950,'1',428,'N'),(16,3005950,'1A',426,'N'),(16,3005968,'1',103,'N'),(16,3005976,'1',108,'N'),(16,3005984,'1',103,'N'),(16,3006000,'1',303,'N'),(16,3006018,'1',203,'N'),(16,3006034,'1',208,'N'),(16,3006042,'1',211,'N'),(16,3006042,'1A',233,'N'),(16,3006050,'1',415,'N'),(16,3006069,'1',108,'N'),(16,3006077,'1',319,'N'),(16,3006085,'1',420,'N'),(16,3006093,'1',303,'N'),(16,3006107,'1',103,'N'),(16,3006115,'1',5,'N'),(16,3006123,'1',102,'N'),(16,3006131,'1',317,'N'),(16,3006140,'1',340,'N'),(16,3006158,'1',339,'N'),(16,3006166,'1',201,'N'),(16,3006166,'1A',215,'N'),(16,3006174,'1',303,'N'),(16,3006190,'1',304,'N'),(16,3006204,'1',103,'N'),(16,3006212,'1',103,'N'),(16,3006220,'1',302,'N'),(16,3006239,'1',428,'N'),(16,3006239,'1A',423,'N'),(16,3006247,'1',404,'N'),(16,3006255,'1',207,'N'),(16,3006255,'1A',201,'N'),(16,3006263,'1',202,'N'),(16,3006263,'1A',201,'N'),(16,3006298,'1',319,'N'),(16,3006301,'1',103,'N'),(16,3006310,'1',310,'N'),(16,3006328,'1',103,'N'),(16,3006336,'1',453,'N'),(16,3006379,'1',308,'N'),(16,3006387,'1',103,'N'),(16,3006395,'1',103,'N'),(16,3006409,'1',103,'N'),(16,3006417,'1',201,'N'),(16,3006417,'1A',207,'N'),(16,3006425,'1',308,'N'),(16,3006433,'1',207,'N'),(16,3006433,'1A',212,'N'),(16,3006450,'1',320,'N'),(16,3006476,'1',203,'N'),(16,3006476,'1A',208,'N'),(16,3006484,'1',452,'N'),(16,3006506,'1',103,'N'),(16,3006514,'1',215,'N'),(16,3006514,'1A',216,'N'),(16,3006522,'1',303,'N'),(16,3006530,'1',320,'N'),(16,3006549,'1',102,'N'),(16,3006557,'1',203,'N'),(16,3006557,'1A',214,'N'),(16,3006565,'1',103,'N'),(16,3006573,'1',319,'N'),(16,3006590,'1',212,'N'),(16,3006590,'1A',202,'N'),(16,3006603,'1',108,'N'),(16,3006638,'1',220,'N'),(16,3006638,'1A',201,'N'),(16,3006646,'1',207,'N'),(16,3006646,'1A',201,'N'),(16,3006654,'1',340,'N'),(16,3006662,'1',415,'N'),(16,3006670,'1',5,'N'),(16,3006697,'1',340,'N'),(16,3006700,'1',103,'N'),(16,3006727,'1',214,'N'),(16,3006727,'1A',211,'N'),(16,3006735,'1',428,'N'),(16,3006735,'1A',424,'N'),(16,3006751,'1',202,'N'),(16,3006751,'1A',233,'N'),(16,3006760,'1',208,'N'),(16,3006760,'1A',238,'N'),(16,3006778,'1',211,'N'),(16,3006778,'1A',201,'N'),(16,3006786,'1',102,'N'),(16,3006794,'1',101,'N'),(16,3006808,'1',420,'N'),(16,3006816,'1',428,'N'),(16,3006816,'1A',421,'N'),(16,3006824,'1',103,'N'),(16,3006832,'1',103,'N'),(16,3006840,'1',5,'N'),(16,3006859,'1',103,'N'),(16,3006891,'1',211,'N'),(16,3006891,'1A',201,'N'),(16,3006905,'1',208,'N'),(16,3006913,'1',207,'N'),(16,3006913,'1A',215,'N'),(16,3006921,'1',220,'N'),(16,3006921,'1A',203,'N'),(16,3006930,'1',303,'N'),(16,3006948,'1',207,'N'),(16,3006948,'1A',233,'N'),(16,3006956,'1',207,'N'),(16,3006956,'1A',208,'N'),(16,3006964,'1',203,'N'),(16,3006964,'1A',220,'N'),(16,3006972,'1',5,'N'),(16,3006980,'1',103,'N'),(16,3006999,'1',103,'N'),(16,3007014,'1',201,'N'),(16,3007014,'1A',220,'N'),(16,3007022,'1',2,'N'),(16,3007030,'1',424,'N'),(16,3007030,'1A',428,'N'),(16,3007049,'1',103,'N'),(16,3007057,'1',103,'N'),(16,3007065,'1',103,'N'),(16,3007073,'1',103,'N'),(16,3007081,'1',202,'N'),(16,3007081,'1A',213,'N'),(16,3007111,'1',340,'N'),(16,3007120,'1',303,'N'),(16,3007138,'1',5,'N'),(16,3007146,'1',108,'N'),(16,3007162,'1',103,'N'),(16,3007170,'1',216,'N'),(16,3007189,'1',103,'N'),(16,3007197,'1',429,'N'),(16,3007197,'1A',421,'N'),(16,3007200,'1',104,'N'),(16,3007219,'1',316,'N'),(16,3007227,'1',203,'N'),(16,3007235,'1',453,'N'),(16,3007243,'1',301,'N'),(16,3007260,'1',214,'N'),(16,3007260,'1A',212,'N'),(16,3007278,'1',304,'N'),(16,3007286,'1',233,'N'),(16,3007286,'1A',215,'N'),(16,3007316,'1',207,'N'),(16,3007316,'1A',201,'N'),(16,3007332,'1',324,'N'),(16,3007340,'1',211,'N'),(16,3007340,'1A',207,'N'),(16,3007359,'1',308,'N'),(16,3007375,'1',201,'N'),(16,3007375,'1A',212,'N'),(16,3007391,'1',104,'N'),(16,3007405,'1',103,'N'),(16,3007421,'1',5,'N'),(16,3007430,'1',317,'N'),(16,3007448,'1',202,'N'),(16,3007448,'1A',208,'N'),(16,3007456,'1',203,'N'),(16,3007456,'1A',214,'N'),(16,3007472,'1',103,'N'),(16,3007499,'1',201,'N'),(16,3007499,'1A',212,'N'),(16,3007502,'1',317,'N'),(16,3007510,'1',216,'N'),(16,3007510,'1A',233,'N'),(16,3007529,'1',340,'N'),(16,3007537,'1',102,'N'),(16,3007545,'1',501,'N'),(16,3007553,'1',404,'N'),(16,3007561,'1',103,'N'),(16,3007588,'1',320,'N'),(16,3007596,'1',301,'N'),(16,3007600,'1',103,'N'),(16,3007618,'1',415,'N'),(16,3007626,'1',103,'N'),(16,3007650,'1',103,'N'),(16,3007669,'1',201,'N'),(16,3007669,'1A',211,'N'),(16,3007677,'1',201,'N'),(16,3007677,'1A',212,'N'),(16,3007685,'1',340,'N'),(16,3007693,'1',319,'N'),(16,3007707,'1',213,'N'),(16,3007707,'1A',220,'N'),(16,3007715,'1',216,'N'),(16,3007715,'1A',202,'N'),(16,3007723,'1',103,'N'),(16,3007740,'1',101,'N'),(16,3007758,'1',451,'N'),(16,3007766,'1',207,'N'),(16,3007766,'1A',201,'N'),(16,3007774,'1',215,'N'),(16,3007774,'1A',212,'N'),(16,3007790,'1',216,'N'),(16,3007790,'1A',215,'N'),(16,3007804,'1',201,'N'),(16,3007804,'1A',212,'N'),(16,3007839,'1',203,'N'),(16,3007839,'1A',214,'N'),(16,3007847,'1',207,'N'),(16,3007855,'1',319,'N'),(16,3007863,'1',103,'N'),(16,3007880,'1',220,'N'),(16,3007880,'1A',203,'N'),(16,3007898,'1',207,'N'),(16,3007901,'1',310,'N'),(16,3007910,'1',320,'N'),(16,3007928,'1',328,'N'),(16,3007944,'1',103,'N'),(16,3007952,'1',319,'N'),(16,3007960,'1',333,'N'),(16,3007979,'1',101,'N'),(16,3007987,'1',216,'N'),(16,3007987,'1A',201,'N'),(16,3008002,'1',308,'N'),(16,3008010,'1',502,'N'),(16,3008029,'1',303,'N'),(16,3008037,'1',212,'N'),(16,3008037,'1A',201,'N'),(16,3008045,'1',303,'N'),(16,3008061,'1',103,'N'),(16,3008070,'1',103,'N'),(16,3008088,'1',428,'N'),(16,3008088,'1A',424,'N'),(16,3008118,'1',216,'N'),(16,3008126,'1',444,'N'),(16,3008134,'1',5,'N'),(16,3008142,'1',301,'N'),(16,3008150,'1',103,'N'),(16,3008169,'1',103,'N'),(16,3008177,'1',320,'N'),(16,3008193,'1',103,'N'),(16,3008207,'1',319,'N'),(16,3008215,'1',103,'N'),(16,3008223,'1',203,'N'),(16,3008231,'1',450,'N'),(16,3008240,'1',302,'N'),(16,3008258,'1',216,'N'),(16,3008258,'1A',215,'N'),(16,3008266,'1',103,'N'),(16,3008274,'1',104,'N'),(16,3008290,'1',216,'N'),(16,3008290,'1A',215,'N'),(16,3008304,'1',103,'N'),(16,3008312,'1',103,'N'),(16,3008320,'1',302,'N'),(16,3008339,'1',453,'N'),(16,3008363,'1',102,'N'),(16,3008371,'1',108,'N'),(16,3008380,'1',201,'N'),(16,3008380,'1A',212,'N'),(16,3008398,'1',301,'N'),(16,3008401,'1',207,'N'),(16,3008436,'1',103,'N'),(16,3008444,'1',317,'N'),(16,3008452,'1',5,'N'),(16,3008460,'1',501,'N'),(16,3008479,'1',301,'N'),(16,3008487,'1',102,'N'),(16,3008495,'1',238,'N'),(16,3008495,'1A',208,'N'),(16,3008509,'1',202,'N'),(16,3008509,'1A',216,'N'),(16,3008525,'1',201,'N'),(16,3008525,'1A',202,'N'),(16,3008533,'1',503,'N'),(16,3008541,'1',317,'N'),(16,3008550,'1',5,'N'),(16,3008584,'1',103,'N'),(16,3008606,'1',303,'N'),(16,3008622,'1',404,'N'),(16,3008630,'1',103,'N'),(16,3008657,'1',326,'N'),(16,3008665,'1',3,'N'),(16,3008673,'1',103,'N'),(16,3008681,'1',316,'N'),(16,3008690,'1',216,'N'),(16,3008690,'1A',203,'N'),(16,3008703,'1',202,'N'),(16,3008703,'1A',216,'N'),(16,3008711,'1',201,'N'),(16,3008711,'1A',207,'N'),(16,3008720,'1',308,'N'),(16,3008738,'1',309,'N'),(16,3008789,'1',201,'N'),(16,3008789,'1A',212,'N'),(16,3008827,'1',308,'N'),(16,3008835,'1',103,'N'),(16,3008851,'1',214,'N'),(16,3008851,'1A',216,'N'),(16,3008886,'1',211,'N'),(16,3008886,'1A',233,'N'),(16,3008894,'1',333,'N'),(16,3008908,'1',216,'N'),(16,3008908,'1A',215,'N'),(16,3008916,'1',415,'N'),(16,3008924,'1',301,'N'),(16,3008932,'1',220,'N'),(16,3008932,'1A',202,'N'),(16,3008940,'1',104,'N'),(16,3008959,'1',238,'N'),(16,3008959,'1A',208,'N'),(16,3008967,'1',324,'N'),(16,3008975,'1',303,'N'),(16,3008983,'1',303,'N'),(16,3008991,'1',5,'N'),(16,3009009,'1',3,'N'),(16,3009025,'1',420,'N'),(16,3009033,'1',444,'N'),(16,3009041,'1',303,'N'),(16,3009050,'1',233,'N'),(16,3009050,'1A',215,'N'),(16,3009068,'1',303,'N'),(16,3009084,'1',103,'N'),(16,3009092,'1',208,'N'),(16,3009106,'1',215,'N'),(16,3009106,'1A',233,'N'),(16,3009114,'1',319,'N'),(16,3009122,'1',502,'N'),(16,3009130,'1',301,'N'),(16,3009149,'1',103,'N'),(16,3009157,'1',429,'N'),(16,3009157,'1A',426,'N'),(16,3009165,'1',201,'N'),(16,3009165,'1A',233,'N'),(16,3009181,'1',303,'N'),(16,3009190,'1',103,'N'),(16,3009203,'1',203,'N'),(16,3009203,'1A',202,'N'),(16,3009211,'1',207,'N'),(16,3009211,'1A',202,'N'),(16,3009220,'1',309,'N'),(16,3009238,'1',444,'N'),(16,3009254,'1',201,'N'),(16,3009254,'1A',208,'N'),(16,3009262,'1',5,'N'),(16,3009297,'1',104,'N'),(16,3009300,'1',103,'N'),(16,3009319,'1',216,'N'),(16,3009319,'1A',203,'N'),(16,3009327,'1',234,'N'),(16,3009335,'1',415,'N'),(16,3009343,'1',303,'N'),(16,3009351,'1',216,'N'),(16,3009351,'1A',202,'N'),(16,3009360,'1',207,'N'),(16,3009360,'1A',215,'N'),(16,3009378,'1',104,'N'),(16,3009386,'1',201,'N'),(16,3009386,'1A',202,'N'),(16,3009408,'1',103,'N'),(16,3009416,'1',103,'N'),(16,3009424,'1',207,'N'),(16,3009424,'1A',201,'N'),(16,3009432,'1',450,'N'),(16,3009440,'1',101,'N'),(16,3009467,'1',318,'N'),(16,3009475,'1',103,'N'),(16,3009483,'1',101,'N'),(16,3009491,'1',108,'N'),(16,3009505,'1',9,'N'),(16,3009521,'1',103,'N'),(16,3009530,'1',108,'N'),(16,3009548,'1',103,'N'),(16,3009556,'1',233,'N'),(16,3009556,'1A',214,'N'),(16,3009572,'1',103,'N'),(16,3009580,'1',203,'N'),(16,3009580,'1A',202,'N'),(16,3009599,'1',203,'N'),(16,3009599,'1A',201,'N'),(16,3009602,'1',309,'N'),(16,3009610,'1',302,'N'),(16,3009629,'1',103,'N'),(16,3009637,'1',103,'N'),(16,3009645,'1',201,'N'),(16,3009645,'1A',203,'N'),(16,3009653,'1',202,'N'),(16,3009653,'1A',201,'N'),(16,3009661,'1',211,'N'),(16,3009661,'1A',201,'N'),(16,3009670,'1',340,'N'),(16,3009696,'1',103,'N'),(16,3009700,'1',427,'N'),(16,3009718,'1',101,'N'),(16,3009726,'1',444,'N'),(16,3009734,'1',102,'N'),(16,3009742,'1',453,'N'),(16,3009750,'1',302,'N'),(16,3009769,'1',208,'N'),(16,3009769,'1A',213,'N'),(16,3009777,'1',420,'N'),(16,3009785,'1',203,'N'),(16,3009785,'1A',201,'N'),(16,3009807,'1',203,'N'),(16,3009807,'1A',214,'N'),(16,3009815,'1',450,'N'),(16,3009823,'1',5,'N'),(16,3009840,'1',103,'N'),(16,3009858,'1',308,'N'),(16,3009866,'1',103,'N'),(16,3009874,'1',207,'N'),(16,3009874,'1A',233,'N'),(16,3009882,'1',201,'N'),(16,3009882,'1A',207,'N'),(16,3009890,'1',101,'N'),(16,3009904,'1',201,'N'),(16,3009904,'1A',212,'N'),(16,3009912,'1',320,'N'),(16,3009920,'1',203,'N'),(16,3009920,'1A',202,'N'),(16,3009939,'1',103,'N'),(16,3009955,'1',103,'N'),(16,3009980,'1',103,'N'),(16,3009998,'1',201,'N'),(16,3009998,'1A',207,'N'),(16,3010007,'1',502,'N'),(16,3010015,'1',203,'N'),(16,3010015,'1A',233,'N'),(16,3010023,'1',103,'N'),(16,3010031,'1',103,'N'),(16,3010040,'1',103,'N'),(16,3010058,'1',103,'N'),(16,3010066,'1',453,'N'),(16,3010074,'1',201,'N'),(16,3010074,'1A',202,'N'),(16,3010082,'1',5,'N'),(16,3010090,'1',420,'N'),(16,3010104,'1',220,'N'),(16,3010104,'1A',214,'N'),(16,3010112,'1',103,'N'),(16,3010120,'1',415,'N'),(16,3010139,'1',103,'N'),(16,3010147,'1',203,'N'),(16,3010147,'1A',201,'N'),(16,3010155,'1',201,'N'),(16,3010155,'1A',215,'N'),(16,3010163,'1',309,'N'),(16,3010171,'1',501,'N'),(16,3010198,'1',211,'N'),(16,3010198,'1A',201,'N'),(16,3010201,'1',316,'N'),(16,3010210,'1',301,'N'),(16,3010228,'1',103,'N'),(16,3010260,'1',238,'N'),(16,3010260,'1A',208,'N'),(16,3010279,'1',203,'N'),(16,3010279,'1A',214,'N'),(16,3010295,'1',207,'N'),(16,3010295,'1A',213,'N'),(16,3010309,'1',103,'N'),(16,3010325,'1',201,'N'),(16,3010325,'1A',207,'N'),(16,3010341,'1',203,'N'),(16,3010341,'1A',201,'N'),(16,3010368,'1',103,'N'),(16,3010376,'1',302,'N'),(16,3010384,'1',103,'N'),(16,3010392,'1',324,'N'),(16,3010406,'1',103,'N'),(16,3010414,'1',333,'N'),(16,3010422,'1',301,'N'),(16,3010449,'1',104,'N'),(16,3010457,'1',451,'N'),(16,3010465,'1',318,'N'),(16,3010490,'1',103,'N'),(16,3010503,'1',5,'N'),(16,3010511,'1',103,'N'),(16,3010538,'1',208,'N'),(16,3010538,'1A',238,'N'),(16,3010546,'1',103,'N'),(16,3010562,'1',103,'N'),(16,3010570,'1',216,'N'),(16,3010589,'1',303,'N'),(16,3010597,'1',331,'N'),(16,3010600,'1',9,'N'),(16,3010619,'1',304,'N'),(16,3010627,'1',203,'N'),(16,3010627,'1A',233,'N'),(16,3010635,'1',452,'N'),(16,3010643,'1',103,'N'),(16,3010651,'1',303,'N'),(16,3010660,'1',301,'N'),(16,3010678,'1',324,'N'),(16,3010686,'1',333,'N'),(16,3010694,'1',333,'N'),(16,3010708,'1',203,'N'),(16,3010708,'1A',233,'N'),(16,3010724,'1',319,'N'),(16,3010732,'1',5,'N'),(16,3010740,'1',425,'N'),(16,3010740,'1A',429,'N'),(16,3010759,'1',207,'N'),(16,3010759,'1A',201,'N'),(16,3010767,'1',220,'N'),(16,3010767,'1A',202,'N'),(16,3010775,'1',502,'N'),(16,3010783,'1',220,'N'),(16,3010783,'1A',238,'N'),(16,3010791,'1',3,'N'),(16,3010805,'1',331,'N'),(16,3010821,'1',450,'N'),(16,3010848,'1',103,'N'),(16,3010856,'1',324,'N'),(16,3010872,'1',103,'N'),(16,3010880,'1',340,'N'),(16,3010899,'1',340,'N'),(16,3010902,'1',428,'N'),(16,3010902,'1A',426,'N'),(16,3010929,'1',5,'N'),(16,3010937,'1',103,'N'),(16,3010945,'1',103,'N'),(16,3010953,'1',203,'N'),(16,3010953,'1A',202,'N'),(16,3010961,'1',212,'N'),(16,3010961,'1A',213,'N'),(16,3010988,'1',103,'N'),(16,3010996,'1',103,'N'),(16,3011003,'1',340,'N'),(16,3011011,'1',104,'N'),(16,3011020,'1',340,'N'),(16,3011038,'1',331,'N'),(16,3011054,'1',415,'N'),(16,3011062,'1',220,'N'),(16,3011062,'1A',203,'N'),(16,3011070,'1',452,'N'),(16,3011089,'1',319,'N'),(16,3011097,'1',201,'N'),(16,3011097,'1A',203,'N'),(16,3011100,'1',216,'N'),(16,3011100,'1A',215,'N'),(16,3011119,'1',202,'N'),(16,3011119,'1A',213,'N'),(16,3011127,'1',103,'N'),(16,3011135,'1',216,'N'),(16,3011135,'1A',201,'N'),(16,3011143,'1',319,'N'),(16,3011151,'1',340,'N'),(16,3011160,'1',102,'N'),(16,3011178,'1',9,'N'),(16,3011186,'1',207,'N'),(16,3011186,'1A',201,'N'),(16,3011194,'1',310,'N'),(16,3011208,'1',420,'N'),(16,3011216,'1',207,'N'),(16,3011216,'1A',201,'N'),(16,3011224,'1',103,'N'),(16,3011232,'1',303,'N'),(16,3011240,'1',103,'N'),(16,3011275,'1',103,'N'),(16,3011305,'1',103,'N'),(16,3011321,'1',320,'N'),(16,3011330,'1',450,'N'),(16,3011348,'1',333,'N'),(16,3011356,'1',103,'N'),(16,3011364,'1',207,'N'),(16,3011364,'1A',211,'N'),(16,3011372,'1',340,'N'),(16,3011380,'1',319,'N'),(16,3011399,'1',216,'N'),(16,3011399,'1A',215,'N'),(16,3011402,'1',220,'N'),(16,3011402,'1A',203,'N'),(16,3011410,'1',202,'N'),(16,3011410,'1A',203,'N'),(16,3011429,'1',103,'N'),(16,3011437,'1',301,'N'),(16,3011453,'1',203,'N'),(16,3011453,'1A',214,'N'),(16,3011461,'1',220,'N'),(16,3011461,'1A',233,'N'),(16,3011470,'1',103,'N'),(16,3011488,'1',103,'N'),(16,3011496,'1',203,'N'),(16,3011496,'1A',214,'N'),(16,3011500,'1',332,'N'),(16,3011518,'1',216,'N'),(16,3011518,'1A',207,'N'),(16,3011534,'1',108,'N'),(16,3011542,'1',9,'N'),(16,3011550,'1',331,'N'),(16,3011569,'1',303,'N'),(16,3011577,'1',214,'N'),(16,3011577,'1A',203,'N'),(16,3011585,'1',9,'N'),(16,3011593,'1',203,'N'),(16,3011593,'1A',211,'N'),(16,3011607,'1',103,'N'),(16,3011615,'1',2,'N'),(16,3011623,'1',103,'N'),(16,3011631,'1',214,'N'),(16,3011631,'1A',212,'N'),(16,3011640,'1',202,'N'),(16,3011640,'1A',207,'N'),(16,3011658,'1',420,'N'),(16,3011666,'1',444,'N'),(16,3011674,'1',238,'N'),(16,3011682,'1',415,'N'),(16,3011704,'1',103,'N'),(16,3011712,'1',103,'N'),(16,3011720,'1',415,'N'),(16,3011739,'1',302,'N'),(16,3011747,'1',340,'N'),(16,3011763,'1',340,'N'),(16,3011771,'1',103,'N'),(16,3011780,'1',501,'N'),(16,3011798,'1',415,'N'),(16,3011801,'1',9,'N'),(16,3011810,'1',103,'N'),(16,3011828,'1',104,'N'),(16,3011836,'1',214,'N'),(16,3011836,'1A',202,'N'),(16,3011844,'1',103,'N'),(16,3011887,'1',319,'N'),(16,3011895,'1',201,'N'),(16,3011895,'1A',212,'N'),(16,3011909,'1',103,'N'),(16,3011917,'1',233,'N'),(16,3011917,'1A',215,'N'),(16,3011933,'1',225,'N'),(16,3011941,'1',103,'N'),(16,3011950,'1',207,'N'),(16,3011950,'1A',201,'N'),(16,3011976,'1',103,'N'),(16,3011984,'1',502,'N'),(16,3011992,'1',303,'N'),(16,3012000,'1',318,'N'),(16,3012018,'1',420,'N'),(16,3012026,'1',301,'N'),(16,3012034,'1',9,'N'),(16,3012042,'1',207,'N'),(16,3012042,'1A',201,'N'),(16,3012069,'1',101,'N'),(16,3012077,'1',103,'N'),(16,3012085,'1',201,'N'),(16,3012085,'1A',207,'N'),(16,3012093,'1',452,'N'),(16,3012107,'1',215,'N'),(16,3012107,'1A',212,'N'),(16,3012115,'1',103,'N'),(16,3012123,'1',332,'N'),(16,3012140,'1',103,'N'),(16,3012158,'1',201,'N'),(16,3012158,'1A',212,'N'),(16,3012166,'1',234,'N'),(16,3012182,'1',104,'N'),(16,3012190,'1',5,'N'),(16,3012204,'1',207,'N'),(16,3012204,'1A',208,'N'),(16,3012212,'1',425,'N'),(16,3012212,'1A',428,'N'),(16,3012220,'1',238,'N'),(16,3012220,'1A',211,'N'),(16,3012239,'1',203,'N'),(16,3012239,'1A',214,'N'),(16,3012255,'1',103,'N'),(16,3012263,'1',208,'N'),(16,3012263,'1A',238,'N'),(16,3012271,'1',225,'N'),(16,3012298,'1',103,'N'),(16,3012301,'1',103,'N'),(16,3012310,'1',203,'N'),(16,3012310,'1A',202,'N'),(16,3012328,'1',211,'N'),(16,3012328,'1A',202,'N'),(16,3012336,'1',201,'N'),(16,3012336,'1A',207,'N'),(16,3012344,'1',238,'N'),(16,3012344,'1A',233,'N'),(16,3012352,'1',212,'N'),(16,3012352,'1A',201,'N'),(16,3012379,'1',216,'N'),(16,3012379,'1A',211,'N'),(16,3012387,'1',340,'N'),(16,3012395,'1',103,'N'),(16,3012409,'1',220,'N'),(16,3012409,'1A',202,'N'),(16,3012417,'1',415,'N'),(16,3012425,'1',220,'N'),(16,3012425,'1A',216,'N'),(16,3012433,'1',9,'N'),(16,3012450,'1',103,'N'),(16,3012468,'1',201,'N'),(16,3012468,'1A',202,'N'),(16,3012476,'1',103,'N'),(16,3012484,'1',207,'N'),(16,3012492,'1',108,'N'),(16,3012506,'1',203,'N'),(16,3012506,'1A',220,'N'),(16,3012514,'1',340,'N'),(16,3012522,'1',303,'N'),(16,3012530,'1',220,'N'),(16,3012530,'1A',203,'N'),(16,3012549,'1',207,'N'),(16,3012549,'1A',201,'N'),(16,3012557,'1',203,'N'),(16,3012557,'1A',214,'N'),(16,3012573,'1',420,'N'),(16,3012581,'1',319,'N'),(16,3012590,'1',415,'N'),(16,3012603,'1',203,'N'),(16,3012603,'1A',214,'N'),(16,3012611,'1',202,'N'),(16,3012611,'1A',213,'N'),(16,3012620,'1',450,'N'),(16,3012638,'1',420,'N'),(16,3012646,'1',103,'N'),(16,3012654,'1',102,'N'),(16,3012662,'1',103,'N'),(16,3012670,'1',103,'N'),(16,3012689,'1',203,'N'),(16,3012689,'1A',220,'N'),(16,3012697,'1',238,'N'),(16,3012697,'1A',208,'N'),(16,3012719,'1',203,'N'),(16,3012719,'1A',220,'N'),(16,3012735,'1',103,'N'),(16,3012743,'1',103,'N'),(16,3012760,'1',108,'N'),(16,3012786,'1',303,'N'),(16,3012794,'1',211,'N'),(16,3012794,'1A',215,'N'),(16,3012808,'1',211,'N'),(16,3012816,'1',203,'N'),(16,3012816,'1A',233,'N'),(16,3012824,'1',103,'N'),(16,3012832,'1',212,'N'),(16,3012832,'1A',207,'N'),(16,3012840,'1',201,'N'),(16,3012840,'1A',207,'N'),(16,3012859,'1',201,'N'),(16,3012859,'1A',212,'N'),(16,3012867,'1',203,'N'),(16,3012867,'1A',202,'N'),(16,3012875,'1',103,'N'),(16,3012883,'1',207,'N'),(16,3012883,'1A',201,'N'),(16,3012891,'1',103,'N'),(16,3012913,'1',201,'N'),(16,3012913,'1A',207,'N'),(16,3012921,'1',501,'N'),(16,3012930,'1',415,'N'),(16,3012948,'1',450,'N'),(16,3012956,'1',203,'N'),(16,3012956,'1A',201,'N'),(16,3012964,'1',415,'N'),(16,3012972,'1',103,'N'),(16,3012980,'1',202,'N'),(16,3012980,'1A',233,'N'),(16,3012999,'1',318,'N'),(16,3013014,'1',103,'N'),(16,3013030,'1',103,'N'),(16,3013049,'1',319,'N'),(16,3013057,'1',103,'N'),(16,3013065,'1',304,'N'),(16,3013073,'1',332,'N'),(16,3013090,'1',103,'N'),(16,3013103,'1',102,'N'),(16,3013120,'1',444,'N'),(16,3013138,'1',415,'N'),(16,3013146,'1',103,'N'),(16,3013154,'1',319,'N'),(16,3013162,'1',203,'N'),(16,3013162,'1A',202,'N'),(16,3013170,'1',203,'N'),(16,3013189,'1',319,'N'),(16,3013197,'1',103,'N'),(16,3013200,'1',103,'N'),(16,3013219,'1',108,'N'),(16,3013227,'1',415,'N'),(16,3013235,'1',103,'N'),(16,3013243,'1',208,'N'),(16,3013243,'1A',238,'N'),(16,3013251,'1',326,'N'),(16,3013260,'1',103,'N'),(16,3013278,'1',108,'N'),(16,3013308,'1',303,'N'),(16,3013324,'1',203,'N'),(16,3013332,'1',415,'N'),(16,3013340,'1',5,'N'),(16,3013359,'1',208,'N'),(16,3013367,'1',302,'N'),(16,3013375,'1',202,'N'),(16,3013375,'1A',203,'N'),(16,3013383,'1',233,'N'),(16,3013383,'1A',215,'N'),(16,3013391,'1',450,'N'),(16,3013405,'1',216,'N'),(16,3013405,'1A',233,'N'),(16,3013413,'1',420,'N'),(16,3013421,'1',333,'N'),(16,3013430,'1',216,'N'),(16,3013430,'1A',207,'N'),(16,3013448,'1',108,'N'),(16,3013456,'1',202,'N'),(16,3013464,'1',220,'N'),(16,3013464,'1A',213,'N'),(16,3013472,'1',103,'N'),(16,3013499,'1',103,'N'),(16,3013502,'1',103,'N'),(16,3013529,'1',207,'N'),(16,3013529,'1A',201,'N'),(16,3013545,'1',452,'N'),(16,3013553,'1',316,'N'),(16,3013561,'1',201,'N'),(16,3013570,'1',238,'N'),(16,3013570,'1A',207,'N'),(16,3013588,'1',203,'N'),(16,3013596,'1',404,'N'),(16,3013600,'1',216,'N'),(16,3013600,'1A',213,'N'),(16,3013618,'1',103,'N'),(16,3013642,'1',216,'N'),(16,3013642,'1A',207,'N'),(16,3013650,'1',3,'N'),(16,3013669,'1',104,'N'),(16,3013685,'1',211,'N'),(16,3013685,'1A',207,'N'),(16,3013693,'1',216,'N'),(16,3013693,'1A',215,'N'),(16,3013707,'1',319,'N'),(16,3013715,'1',108,'N'),(16,3013723,'1',103,'N'),(16,3013731,'1',201,'N'),(16,3013731,'1A',207,'N'),(16,3013740,'1',103,'N'),(16,3013758,'1',420,'N'),(16,3013766,'1',340,'N'),(16,3013774,'1',201,'N'),(16,3013774,'1A',238,'N'),(16,3013782,'1',108,'N'),(16,3013790,'1',233,'N'),(16,3013790,'1A',203,'N'),(16,3013804,'1',104,'N'),(16,3013820,'1',202,'N'),(16,3013820,'1A',208,'N'),(16,3013839,'1',303,'N'),(16,3013847,'1',238,'N'),(16,3013847,'1A',202,'N'),(16,3013855,'1',308,'N'),(16,3013871,'1',103,'N'),(16,3013880,'1',103,'N'),(16,3013898,'1',326,'N'),(16,3013901,'1',304,'N'),(16,3013910,'1',319,'N'),(16,3013928,'1',207,'N'),(16,3013936,'1',214,'N'),(16,3013936,'1A',212,'N'),(16,3013944,'1',103,'N'),(16,3013979,'1',207,'N'),(16,3013987,'1',103,'N'),(16,3014002,'1',223,'N'),(16,3014029,'1',103,'N'),(16,3014037,'1',108,'N'),(16,3014045,'1',201,'N'),(16,3014045,'1A',238,'N'),(16,3014053,'1',317,'N'),(16,3014061,'1',5,'N'),(16,3014096,'1',214,'N'),(16,3014096,'1A',203,'N'),(16,3014100,'1',326,'N'),(16,3014118,'1',220,'N'),(16,3014118,'1A',203,'N'),(16,3014126,'1',5,'N'),(16,3014134,'1',103,'N'),(16,3014150,'1',202,'N'),(16,3014169,'1',415,'N'),(16,3014177,'1',207,'N'),(16,3014185,'1',207,'N'),(16,3014185,'1A',201,'N'),(16,3014193,'1',319,'N'),(16,3014207,'1',225,'N'),(16,3014215,'1',104,'N'),(16,3014223,'1',102,'N'),(16,3014231,'1',319,'N'),(16,3014240,'1',103,'N'),(16,3014258,'1',444,'N'),(16,3014266,'1',108,'N'),(16,3014274,'1',503,'N'),(16,3014282,'1',316,'N'),(16,3014290,'1',101,'N'),(16,3014304,'1',333,'N'),(16,3014312,'1',233,'N'),(16,3014312,'1A',214,'N'),(16,3014339,'1',316,'N'),(16,3014355,'1',201,'N'),(16,3014355,'1A',207,'N'),(16,3014363,'1',103,'N'),(16,3014371,'1',415,'N'),(16,3014380,'1',213,'N'),(16,3014380,'1A',238,'N'),(16,3014398,'1',331,'N'),(16,3014401,'1',329,'N'),(16,3014410,'1',103,'N'),(16,3014428,'1',103,'N'),(16,3014444,'1',203,'N'),(16,3014444,'1A',202,'N'),(16,3014452,'1',207,'N'),(16,3014452,'1A',201,'N'),(16,3014460,'1',201,'N'),(16,3014460,'1A',207,'N'),(16,3014479,'1',415,'N'),(16,3014487,'1',201,'N'),(16,3014487,'1A',212,'N'),(16,3014495,'1',309,'N'),(16,3014509,'1',203,'N'),(16,3014509,'1A',214,'N'),(16,3014517,'1',327,'N'),(16,3014525,'1',426,'N'),(16,3014525,'1A',425,'N'),(16,3014533,'1',339,'N'),(16,3014541,'1',303,'N'),(16,3014550,'1',108,'N'),(16,3014568,'1',103,'N'),(16,3014576,'1',211,'N'),(16,3014576,'1A',215,'N'),(16,3014584,'1',223,'N'),(16,3014592,'1',103,'N'),(16,3014606,'1',103,'N'),(16,3014614,'1',103,'N'),(16,3014622,'1',211,'N'),(16,3014622,'1A',238,'N'),(16,3014630,'1',103,'N'),(16,3014649,'1',207,'N'),(16,3014649,'1A',201,'N'),(16,3014665,'1',233,'N'),(16,3014665,'1A',238,'N'),(16,3014673,'1',104,'N'),(16,3014681,'1',103,'N'),(16,3014690,'1',207,'N'),(16,3014690,'1A',201,'N'),(16,3014703,'1',333,'N'),(16,3014738,'1',103,'N'),(16,3014746,'1',101,'N'),(16,3014754,'1',102,'N'),(16,3014770,'1',308,'N'),(16,3014797,'1',420,'N'),(16,3014800,'1',214,'N'),(16,3014800,'1A',213,'N'),(16,3014819,'1',203,'N'),(16,3014835,'1',104,'N'),(16,3014843,'1',304,'N'),(16,3014851,'1',103,'N'),(16,3014886,'1',102,'N'),(16,3014894,'1',333,'N'),(16,3014908,'1',415,'N'),(16,3014916,'1',208,'N'),(16,3014924,'1',429,'N'),(16,3014924,'1A',425,'N'),(16,3014932,'1',103,'N'),(16,3014940,'1',216,'N'),(16,3014940,'1A',201,'N'),(16,3014959,'1',220,'N'),(16,3014959,'1A',202,'N'),(16,3014967,'1',103,'N'),(16,3014983,'1',502,'N'),(16,3014991,'1',319,'N'),(16,3015009,'1',101,'N'),(16,3015017,'1',233,'N'),(16,3015017,'1A',214,'N'),(16,3015025,'1',212,'N'),(16,3015025,'1A',211,'N'),(16,3015033,'1',103,'N'),(16,3015050,'1',102,'N'),(16,3015068,'1',415,'N'),(16,3015076,'1',203,'N'),(16,3015076,'1A',201,'N'),(16,3015084,'1',103,'N'),(16,3015092,'1',415,'N'),(16,3015106,'1',303,'N'),(16,3015114,'1',450,'N'),(16,3015122,'1',102,'N'),(16,3015149,'1',201,'N'),(16,3015149,'1A',212,'N'),(16,3015157,'1',415,'N'),(16,3015165,'1',103,'N'),(16,3015173,'1',108,'N'),(16,3015181,'1',215,'N'),(16,3015190,'1',103,'N'),(16,3015203,'1',301,'N'),(16,3015220,'1',5,'N'),(16,3015238,'1',103,'N'),(16,3015246,'1',5,'N'),(16,3015254,'1',301,'N'),(16,3015262,'1',203,'N'),(16,3015262,'1A',201,'N'),(16,3015270,'1',216,'N'),(16,3015270,'1A',215,'N'),(16,3015289,'1',103,'N'),(16,3015300,'1',428,'N'),(16,3015319,'1',103,'N'),(16,3015327,'1',202,'N'),(16,3015327,'1A',203,'N'),(16,3015343,'1',104,'N'),(16,3015351,'1',317,'N'),(16,3015360,'1',220,'N'),(16,3015360,'1A',201,'N'),(16,3015378,'1',303,'N'),(16,3015386,'1',104,'N'),(16,3015408,'1',317,'N'),(16,3015416,'1',404,'N'),(16,3015424,'1',2,'N'),(16,3015432,'1',452,'N'),(16,3015440,'1',502,'N'),(16,3015459,'1',215,'N'),(16,3015459,'1A',216,'N'),(16,3015467,'1',303,'N'),(16,3015475,'1',5,'N'),(16,3015483,'1',207,'N'),(16,3015483,'1A',201,'N'),(16,3015491,'1',203,'N'),(16,3015491,'1A',220,'N'),(16,3015505,'1',102,'N'),(16,3015513,'1',208,'N'),(16,3015513,'1A',238,'N'),(16,3015521,'1',103,'N'),(16,3015530,'1',233,'N'),(16,3015530,'1A',211,'N'),(16,3015548,'1',211,'N'),(16,3015556,'1',331,'N'),(16,3015564,'1',303,'N'),(16,3015572,'1',220,'N'),(16,3015572,'1A',216,'N'),(16,3015580,'1',103,'N'),(16,3015599,'1',303,'N'),(16,3015602,'1',103,'N'),(16,3015629,'1',108,'N'),(16,3015637,'1',5,'N'),(16,3015645,'1',233,'N'),(16,3015645,'1A',214,'N'),(16,3015653,'1',303,'N'),(16,3015661,'1',303,'N'),(16,3015670,'1',329,'N'),(16,3015688,'1',207,'N'),(16,3015688,'1A',201,'N'),(16,3015696,'1',103,'N'),(16,3015700,'1',220,'N'),(16,3015700,'1A',202,'N'),(16,3015726,'1',332,'N'),(16,3015734,'1',103,'N'),(16,3015742,'1',214,'N'),(16,3015742,'1A',220,'N'),(16,3015750,'1',103,'N'),(16,3015769,'1',450,'N'),(16,3015777,'1',501,'N'),(16,3015785,'1',238,'N'),(16,3015785,'1A',203,'N'),(16,3015793,'1',303,'N'),(16,3015815,'1',328,'N'),(16,3015823,'1',103,'N'),(16,3015831,'1',415,'N'),(16,3015840,'1',103,'N'),(16,3015858,'1',220,'N'),(16,3015858,'1A',202,'N'),(16,3015866,'1',340,'N'),(16,3015874,'1',104,'N'),(16,3015882,'1',103,'N'),(16,3015890,'1',5,'N'),(16,3015904,'1',327,'N'),(16,3015912,'1',103,'N'),(16,3015920,'1',216,'N'),(16,3015920,'1A',214,'N'),(16,3015939,'1',211,'N'),(16,3015939,'1A',208,'N'),(16,3015955,'1',415,'N'),(16,3015963,'1',220,'N'),(16,3015963,'1A',208,'N'),(16,3015998,'1',101,'N'),(16,3016013,'1',304,'N'),(16,3016021,'1',207,'N'),(16,3016021,'1A',201,'N'),(16,3016030,'1',319,'N'),(16,3016048,'1',423,'N'),(16,3016056,'1',201,'N'),(16,3016064,'1',201,'N'),(16,3016064,'1A',212,'N'),(16,3016072,'1',103,'N'),(16,3016080,'1',103,'N'),(16,3016099,'1',415,'N'),(16,3016102,'1',215,'N'),(16,3016102,'1A',207,'N'),(16,3016110,'1',238,'N'),(16,3016110,'1A',208,'N'),(16,3016129,'1',303,'N'),(16,3016137,'1',333,'N'),(16,3016145,'1',340,'N'),(16,3016161,'1',211,'N'),(16,3016161,'1A',201,'N'),(16,3016170,'1',212,'N'),(16,3016170,'1A',233,'N'),(16,3016188,'1',208,'N'),(16,3016188,'1A',238,'N'),(16,3016196,'1',310,'N'),(16,3016200,'1',214,'N'),(16,3016200,'1A',203,'N'),(16,3016218,'1',103,'N'),(16,3016234,'1',203,'N'),(16,3016234,'1A',208,'N'),(16,3016250,'1',201,'N'),(16,3016250,'1A',207,'N'),(16,3016269,'1',316,'N'),(16,3016277,'1',328,'N'),(16,3016307,'1',104,'N'),(16,3016315,'1',310,'N'),(16,3016331,'1',5,'N'),(16,3016340,'1',340,'N'),(16,3016358,'1',319,'N'),(16,3016366,'1',103,'N'),(16,3016374,'1',203,'N'),(16,3016374,'1A',202,'N'),(16,3016404,'1',302,'N'),(16,3016412,'1',203,'N'),(16,3016412,'1A',202,'N'),(16,3016420,'1',420,'N'),(16,3016447,'1',233,'N'),(16,3016447,'1A',212,'N'),(16,3016455,'1',213,'N'),(16,3016455,'1A',202,'N'),(16,3016463,'1',415,'N'),(16,3016480,'1',303,'N'),(16,3016498,'1',203,'N'),(16,3016498,'1A',214,'N'),(16,3016501,'1',104,'N'),(16,3016510,'1',303,'N'),(16,3016528,'1',103,'N'),(16,3016536,'1',108,'N'),(16,3016544,'1',103,'N'),(16,3016552,'1',103,'N'),(16,3016560,'1',425,'N'),(16,3016560,'1A',429,'N'),(16,3016579,'1',104,'N'),(16,3016587,'1',340,'N'),(16,3016609,'1',332,'N'),(16,3016617,'1',108,'N'),(16,3016641,'1',104,'N'),(16,3016650,'1',104,'N'),(16,3016668,'1',201,'N'),(16,3016668,'1A',213,'N'),(16,3016676,'1',216,'N'),(16,3016676,'1A',233,'N'),(16,3016684,'1',102,'N'),(16,3016692,'1',211,'N'),(16,3016692,'1A',201,'N'),(16,3016706,'1',316,'N'),(16,3016714,'1',415,'N'),(16,3016730,'1',329,'N'),(16,3016749,'1',201,'N'),(16,3016765,'1',319,'N'),(16,3016781,'1',415,'N'),(16,3016790,'1',303,'N'),(16,3016803,'1',216,'N'),(16,3016803,'1A',233,'N'),(16,3016811,'1',340,'N'),(16,3016820,'1',5,'N'),(16,3016838,'1',103,'N'),(16,3016846,'1',310,'N'),(16,3016862,'1',103,'N'),(16,3016870,'1',425,'N'),(16,3016870,'1A',421,'N'),(16,3016889,'1',502,'N'),(16,3016897,'1',103,'N'),(16,3016927,'1',302,'N'),(16,3016935,'1',103,'N'),(16,3016943,'1',212,'N'),(16,3016943,'1A',214,'N'),(16,3016951,'1',103,'N'),(16,3016960,'1',103,'N'),(16,3016978,'1',5,'N'),(16,3016986,'1',103,'N'),(16,3016994,'1',203,'N'),(16,3016994,'1A',208,'N'),(16,3017001,'1',203,'N'),(16,3017001,'1A',238,'N'),(16,3017010,'1',207,'N'),(16,3017010,'1A',201,'N'),(16,3017028,'1',238,'N'),(16,3017028,'1A',208,'N'),(16,3017036,'1',108,'N'),(16,3017044,'1',340,'N'),(16,3017052,'1',202,'N'),(16,3017060,'1',310,'N'),(16,3017079,'1',304,'N'),(16,3017087,'1',425,'N'),(16,3017095,'1',104,'N'),(16,3017109,'1',208,'N'),(16,3017109,'1A',203,'N'),(16,3017117,'1',319,'N'),(16,3017125,'1',211,'N'),(16,3017125,'1A',201,'N'),(16,3017133,'1',207,'N'),(16,3017133,'1A',201,'N'),(16,3017150,'1',201,'N'),(16,3017150,'1A',207,'N'),(16,3017168,'1',216,'N'),(16,3017168,'1A',211,'N'),(16,3017176,'1',238,'N'),(16,3017176,'1A',208,'N'),(16,3017184,'1',332,'N'),(16,3017192,'1',103,'N'),(16,3017206,'1',212,'N'),(16,3017206,'1A',216,'N'),(16,3017214,'1',450,'N'),(16,3017222,'1',103,'N'),(16,3017230,'1',212,'N'),(16,3017249,'1',452,'N'),(16,3017265,'1',5,'N'),(16,3017273,'1',503,'N'),(16,3017281,'1',238,'N'),(16,3017281,'1A',208,'N'),(16,3017290,'1',213,'N'),(16,3017290,'1A',211,'N'),(16,3017303,'1',303,'N'),(16,3017311,'1',319,'N'),(16,3017338,'1',201,'N'),(16,3017338,'1A',212,'N'),(16,3017346,'1',220,'N'),(16,3017346,'1A',203,'N'),(16,3017354,'1',103,'N'),(16,3017362,'1',214,'N'),(16,3017362,'1A',212,'N'),(16,3017389,'1',5,'N'),(16,3017397,'1',212,'N'),(16,3017397,'1A',213,'N'),(16,3017419,'1',203,'N'),(16,3017419,'1A',233,'N'),(16,3017435,'1',225,'N'),(16,3017443,'1',5,'N'),(16,3017451,'1',207,'N'),(16,3017451,'1A',201,'N'),(16,3017460,'1',103,'N'),(16,3017478,'1',203,'N'),(16,3017478,'1A',220,'N'),(16,3017486,'1',104,'N'),(16,3017494,'1',415,'N'),(16,3017508,'1',103,'N'),(16,3017516,'1',428,'N'),(16,3017516,'1A',429,'N'),(16,3017524,'1',102,'N'),(16,3017532,'1',103,'N'),(16,3017559,'1',301,'N'),(16,3017567,'1',233,'N'),(16,3017567,'1A',208,'N'),(16,3017583,'1',420,'N'),(16,3017591,'1',453,'N'),(16,3017605,'1',238,'N'),(16,3017605,'1A',213,'N'),(16,3017656,'1',303,'N'),(16,3017664,'1',319,'N'),(16,3017672,'1',211,'N'),(16,3017672,'1A',220,'N'),(16,3017680,'1',214,'N'),(16,3017680,'1A',233,'N'),(16,3017699,'1',214,'N'),(16,3017699,'1A',213,'N'),(16,3017702,'1',425,'N'),(16,3017702,'1A',423,'N'),(16,3017710,'1',203,'N'),(16,3017710,'1A',202,'N'),(16,3017729,'1',103,'N'),(16,3017737,'1',207,'N'),(16,3017737,'1A',212,'N'),(16,3017745,'1',104,'N'),(16,3017753,'1',104,'N'),(16,3017761,'1',238,'N'),(16,3017761,'1A',207,'N'),(16,3017788,'1',319,'N'),(16,3017796,'1',104,'N'),(16,3017800,'1',208,'N'),(16,3017800,'1A',238,'N'),(16,3017834,'1',304,'N'),(16,3017842,'1',203,'N'),(16,3017842,'1A',214,'N'),(16,3017850,'1',318,'N'),(16,3017869,'1',303,'N'),(16,3017877,'1',203,'N'),(16,3017877,'1A',214,'N'),(16,3017893,'1',319,'N'),(16,3017907,'1',103,'N'),(16,3017915,'1',207,'N'),(16,3017915,'1A',201,'N'),(16,3017923,'1',211,'N'),(16,3017923,'1A',233,'N'),(16,3017931,'1',103,'N'),(16,3017940,'1',301,'N'),(16,3017966,'1',234,'N'),(16,3017974,'1',103,'N'),(16,3017982,'1',103,'N'),(16,3017990,'1',108,'N'),(16,3018008,'1',222,'N'),(16,3018040,'1',301,'N'),(16,3018067,'1',104,'N'),(16,3018075,'1',203,'N'),(16,3018075,'1A',233,'N'),(16,3018091,'1',104,'N'),(16,3018105,'1',303,'N'),(16,3018113,'1',102,'N'),(16,3018121,'1',415,'N'),(16,3018130,'1',101,'N'),(16,3018148,'1',203,'N'),(16,3018148,'1A',202,'N'),(16,3018156,'1',201,'N'),(16,3018156,'1A',220,'N'),(16,3018164,'1',103,'N'),(16,3018172,'1',333,'N'),(16,3018180,'1',415,'N'),(16,3018199,'1',216,'N'),(16,3018199,'1A',215,'N'),(16,3018202,'1',304,'N'),(16,3018210,'1',316,'N'),(16,3018229,'1',503,'N'),(16,3018237,'1',216,'N'),(16,3018237,'1A',211,'N'),(16,3018245,'1',103,'N'),(16,3018253,'1',103,'N'),(16,3018261,'1',444,'N'),(16,3018296,'1',203,'N'),(16,3018296,'1A',202,'N'),(16,3018300,'1',301,'N'),(16,3018318,'1',203,'N'),(16,3018318,'1A',220,'N'),(16,3018326,'1',103,'N'),(16,3018334,'1',103,'N'),(16,3018342,'1',303,'N'),(16,3018350,'1',104,'N'),(16,3018377,'1',453,'N'),(16,3018385,'1',103,'N'),(16,3018407,'1',103,'N'),(16,3018415,'1',320,'N'),(16,3018423,'1',428,'N'),(16,3018423,'1A',425,'N'),(16,3018440,'1',333,'N'),(16,3018458,'1',317,'N'),(16,3018474,'1',303,'N'),(16,3018482,'1',103,'N'),(16,3018490,'1',450,'N'),(16,3018512,'1',333,'N'),(16,3018520,'1',103,'N'),(16,3018539,'1',203,'N'),(16,3018539,'1A',201,'N'),(16,3018571,'1',103,'N'),(16,3018580,'1',404,'N'),(16,3018610,'1',329,'N'),(16,3018628,'1',103,'N'),(16,3018636,'1',108,'N'),(16,3018644,'1',216,'N'),(16,3018644,'1A',215,'N'),(16,3018679,'1',103,'N'),(16,3018687,'1',320,'N'),(16,3018709,'1',103,'N'),(16,3018717,'1',450,'N'),(16,3018725,'1',453,'N'),(16,3018733,'1',5,'N'),(16,3018741,'1',104,'N'),(16,3018750,'1',202,'N'),(16,3018750,'1A',213,'N'),(16,3018768,'1',340,'N'),(16,3018784,'1',340,'N'),(16,3018792,'1',202,'N'),(16,3018792,'1A',201,'N'),(16,3018806,'1',211,'N'),(16,3018806,'1A',201,'N'),(16,3018814,'1',238,'N'),(16,3018814,'1A',208,'N'),(16,3018830,'1',308,'N'),(16,3018849,'1',333,'N'),(16,3018857,'1',238,'N'),(16,3018857,'1A',216,'N'),(16,3018881,'1',420,'N'),(16,3018890,'1',238,'N'),(16,3018903,'1',9,'N'),(16,3018920,'1',103,'N'),(16,3018938,'1',201,'N'),(16,3018938,'1A',213,'N'),(16,3018954,'1',207,'N'),(16,3018954,'1A',212,'N'),(16,3018970,'1',103,'N'),(16,3018989,'1',415,'N'),(16,3019020,'1',340,'N'),(16,3019039,'1',103,'N'),(16,3019047,'1',303,'N'),(16,3019063,'1',316,'N'),(16,3019071,'1',302,'N'),(16,3019080,'1',328,'N'),(16,3019098,'1',2,'N'),(16,3019101,'1',331,'N'),(16,3019128,'1',453,'N'),(16,3019144,'1',502,'N'),(16,3019152,'1',103,'N'),(16,3019179,'1',301,'N'),(16,3019187,'1',108,'N'),(16,3019195,'1',103,'N'),(16,3019209,'1',304,'N'),(16,3019217,'1',421,'N'),(16,3019217,'1A',428,'N'),(16,3019250,'1',425,'N'),(16,3019250,'1A',421,'N'),(16,3019268,'1',424,'N'),(16,3019268,'1A',425,'N'),(16,3019276,'1',207,'N'),(16,3019276,'1A',201,'N'),(16,3019284,'1',450,'N'),(16,3019292,'1',220,'N'),(16,3019292,'1A',211,'N'),(16,3019314,'1',501,'N'),(16,3019322,'1',203,'N'),(16,3019322,'1A',233,'N'),(16,3019349,'1',203,'N'),(16,3019349,'1A',214,'N'),(16,3019357,'1',428,'N'),(16,3019357,'1A',423,'N'),(16,3019365,'1',216,'N'),(16,3019365,'1A',203,'N'),(16,3019390,'1',211,'N'),(16,3019390,'1A',215,'N'),(16,3019403,'1',103,'N'),(16,3019420,'1',451,'N'),(16,3019438,'1',319,'N'),(16,3019446,'1',444,'N'),(16,3019462,'1',202,'N'),(16,3019462,'1A',203,'N'),(16,3019470,'1',317,'N'),(16,3019489,'1',213,'N'),(16,3019489,'1A',202,'N'),(16,3019497,'1',103,'N'),(16,3019500,'1',318,'N'),(16,3019543,'1',201,'N'),(16,3019543,'1A',220,'N'),(16,3019560,'1',319,'N'),(16,3019578,'1',309,'N'),(16,3019586,'1',233,'N'),(16,3019586,'1A',202,'N'),(16,3019594,'1',203,'N'),(16,3019594,'1A',214,'N'),(16,3019616,'1',238,'N'),(16,3019616,'1A',214,'N'),(16,3019632,'1',108,'N'),(16,3019640,'1',319,'N'),(16,3019659,'1',5,'N'),(16,3019667,'1',450,'N'),(16,3019675,'1',501,'N'),(16,3019683,'1',5,'N'),(16,3019691,'1',444,'N'),(16,3019713,'1',452,'N'),(16,3019721,'1',103,'N'),(16,3019730,'1',303,'N'),(16,3019748,'1',104,'N'),(16,3019764,'1',415,'N'),(16,3019772,'1',103,'N'),(16,3019799,'1',108,'N'),(16,3019802,'1',207,'N'),(16,3019802,'1A',233,'N'),(16,3019837,'1',326,'N'),(16,3019845,'1',444,'N'),(16,3019861,'1',207,'N'),(16,3019861,'1A',201,'N'),(16,3019870,'1',207,'N'),(16,3019888,'1',103,'N'),(16,3019896,'1',320,'N'),(16,3019900,'1',103,'N'),(16,3019918,'1',304,'N'),(16,3019926,'1',103,'N'),(16,3019942,'1',208,'N'),(16,3019950,'1',103,'N'),(16,3019969,'1',104,'N'),(16,3019977,'1',103,'N'),(16,3019985,'1',420,'N'),(16,3019993,'1',201,'N'),(16,3019993,'1A',216,'N'),(16,3020002,'1',207,'N'),(16,3020002,'1A',208,'N'),(16,3020037,'1',301,'N'),(16,3020045,'1',103,'N'),(16,3020061,'1',339,'N'),(16,3020070,'1',320,'N'),(16,3020088,'1',220,'N'),(16,3020088,'1A',208,'N'),(16,3020096,'1',207,'N'),(16,3020118,'1',316,'N'),(16,3020126,'1',2,'N'),(16,3020134,'1',415,'N'),(16,3020169,'1',301,'N'),(16,3020177,'1',2,'N'),(16,3020193,'1',234,'N'),(16,3020207,'1',332,'N'),(16,3020215,'1',303,'N'),(16,3020223,'1',415,'N'),(16,3020240,'1',103,'N'),(16,3020258,'1',216,'N'),(16,3020258,'1A',202,'N'),(16,3020266,'1',103,'N'),(16,3020274,'1',320,'N'),(16,3020290,'1',102,'N'),(16,3020304,'1',102,'N'),(16,3020312,'1',201,'N'),(16,3020312,'1A',207,'N'),(16,3020320,'1',201,'N'),(16,3020320,'1A',212,'N'),(16,3020339,'1',103,'N'),(16,3020347,'1',213,'N'),(16,3020347,'1A',214,'N'),(16,3020355,'1',225,'N'),(16,3020363,'1',211,'N'),(16,3020371,'1',310,'N'),(16,3020380,'1',301,'N'),(16,3020398,'1',451,'N'),(16,3020401,'1',103,'N'),(16,3020410,'1',503,'N'),(16,3020428,'1',340,'N'),(16,3020436,'1',201,'N'),(16,3020436,'1A',203,'N'),(16,3020444,'1',326,'N'),(16,3020452,'1',301,'N'),(16,3020460,'1',317,'N'),(16,3020487,'1',103,'N'),(16,3020495,'1',211,'N'),(16,3020495,'1A',215,'N'),(16,3020509,'1',103,'N'),(16,3020525,'1',103,'N'),(16,3020541,'1',216,'N'),(16,3020541,'1A',215,'N'),(16,3020550,'1',102,'N'),(16,3020576,'1',207,'N'),(16,3020576,'1A',201,'N'),(16,3020584,'1',103,'N'),(16,3020592,'1',404,'N'),(16,3020614,'1',502,'N'),(16,3020622,'1',304,'N'),(16,3020630,'1',103,'N'),(16,3020649,'1',103,'N'),(16,3020657,'1',211,'N'),(16,3020657,'1A',201,'N'),(16,3020665,'1',103,'N'),(16,3020673,'1',238,'N'),(16,3020673,'1A',208,'N'),(16,3020681,'1',318,'N'),(16,3020690,'1',103,'N'),(16,3020703,'1',316,'N'),(16,3020711,'1',108,'N'),(16,3020720,'1',103,'N'),(16,3020738,'1',102,'N'),(16,3020746,'1',326,'N'),(16,3020754,'1',203,'N'),(16,3020754,'1A',201,'N'),(16,3020770,'1',301,'N'),(16,3020789,'1',420,'N'),(16,3020797,'1',215,'N'),(16,3020797,'1A',216,'N'),(16,3020800,'1',203,'N'),(16,3020800,'1A',220,'N'),(16,3020827,'1',103,'N'),(16,3020835,'1',415,'N'),(16,3020860,'1',302,'N'),(16,3020878,'1',207,'N'),(16,3020878,'1A',201,'N'),(16,3020886,'1',101,'N'),(16,3020894,'1',103,'N'),(16,3020908,'1',9,'N'),(16,3020924,'1',207,'N'),(16,3020932,'1',208,'N'),(16,3020932,'1A',238,'N'),(16,3020940,'1',103,'N'),(16,3020959,'1',238,'N'),(16,3020959,'1A',208,'N'),(16,3020975,'1',301,'N'),(16,3020983,'1',104,'N'),(16,3020991,'1',103,'N'),(16,3021009,'1',450,'N'),(16,3021025,'1',340,'N'),(16,3021041,'1',214,'N'),(16,3021041,'1A',203,'N'),(16,3021076,'1',207,'N'),(16,3021076,'1A',211,'N'),(16,3021084,'1',220,'N'),(16,3021084,'1A',203,'N'),(16,3021114,'1',3,'N'),(16,3021122,'1',415,'N'),(16,3021130,'1',238,'N'),(16,3021130,'1A',214,'N'),(16,3021149,'1',103,'N'),(16,3021157,'1',429,'N'),(16,3021157,'1A',425,'N'),(16,3021165,'1',502,'N'),(16,3021173,'1',201,'N'),(16,3021181,'1',415,'N'),(16,3021190,'1',220,'N'),(16,3021190,'1A',202,'N'),(16,3021211,'1',319,'N'),(16,3021220,'1',103,'N'),(16,3021238,'1',203,'N'),(16,3021238,'1A',214,'N'),(16,3021246,'1',104,'N'),(16,3021254,'1',420,'N'),(16,3021262,'1',310,'N'),(16,3021270,'1',103,'N'),(16,3021289,'1',203,'N'),(16,3021289,'1A',214,'N'),(16,3021297,'1',502,'N'),(16,3021300,'1',423,'N'),(16,3021300,'1A',427,'N'),(16,3021319,'1',319,'N'),(16,3021327,'1',501,'N'),(16,3021335,'1',201,'N'),(16,3021335,'1A',208,'N'),(16,3021343,'1',103,'N'),(16,3021351,'1',103,'N'),(16,3021360,'1',425,'N'),(16,3021378,'1',213,'N'),(16,3021378,'1A',214,'N'),(16,3021386,'1',103,'N'),(16,3021394,'1',301,'N'),(16,3021408,'1',211,'N'),(16,3021408,'1A',201,'N'),(16,3021416,'1',103,'N'),(16,3021432,'1',303,'N'),(16,3021440,'1',103,'N'),(16,3021459,'1',2,'N'),(16,3021467,'1',319,'N'),(16,3021475,'1',5,'N'),(16,3021483,'1',319,'N'),(16,3021505,'1',5,'N'),(16,3021521,'1',317,'N'),(16,3021530,'1',103,'N'),(16,3021556,'1',103,'N'),(16,3021564,'1',203,'N'),(16,3021564,'1A',220,'N'),(16,3021572,'1',104,'N'),(16,3021599,'1',201,'N'),(16,3021599,'1A',207,'N'),(16,3021602,'1',103,'N'),(16,3021610,'1',104,'N'),(16,3021637,'1',238,'N'),(16,3021637,'1A',208,'N'),(16,3021645,'1',103,'N'),(16,3021653,'1',404,'N'),(16,3021661,'1',223,'N'),(16,3021688,'1',428,'N'),(16,3021688,'1A',421,'N'),(16,3021700,'1',101,'N'),(16,3021718,'1',208,'N'),(16,3021718,'1A',211,'N'),(16,3021734,'1',319,'N'),(16,3021742,'1',104,'N'),(16,3021750,'1',203,'N'),(16,3021750,'1A',233,'N'),(16,3021769,'1',333,'N'),(16,3021777,'1',450,'N'),(16,3021785,'1',104,'N'),(16,3021793,'1',301,'N'),(16,3021807,'1',103,'N'),(16,3021815,'1',208,'N'),(16,3021815,'1A',216,'N'),(16,3021823,'1',9,'N'),(16,3021840,'1',102,'N'),(16,3021858,'1',103,'N'),(16,3021866,'1',104,'N'),(16,3021874,'1',103,'N'),(16,3021882,'1',103,'N'),(16,3021890,'1',203,'N'),(16,3021890,'1A',216,'N'),(16,3021912,'1',318,'N'),(16,3021920,'1',302,'N'),(16,3021939,'1',203,'N'),(16,3021939,'1A',201,'N'),(16,3021947,'1',213,'N'),(16,3021947,'1A',202,'N'),(16,3021963,'1',203,'N'),(16,3021963,'1A',214,'N'),(16,3021971,'1',103,'N'),(16,3021998,'1',103,'N'),(16,3022005,'1',207,'N'),(16,3022005,'1A',201,'N'),(16,3022021,'1',415,'N'),(16,3022048,'1',5,'N'),(16,3022064,'1',203,'N'),(16,3022064,'1A',202,'N'),(16,3022072,'1',103,'N'),(16,3022099,'1',426,'N'),(16,3022099,'1A',428,'N'),(16,3022102,'1',103,'N'),(16,3022110,'1',103,'N'),(16,3022129,'1',318,'N'),(16,3022137,'1',103,'N'),(16,3022145,'1',103,'N'),(16,3022161,'1',220,'N'),(16,3022161,'1A',203,'N'),(16,3022188,'1',103,'N'),(16,3022226,'1',102,'N'),(16,3022250,'1',303,'N'),(16,3022269,'1',216,'N'),(16,3022269,'1A',211,'N'),(16,3022277,'1',201,'N'),(16,3022277,'1A',207,'N'),(16,3022293,'1',420,'N'),(16,3022315,'1',103,'N'),(16,3022323,'1',108,'N'),(16,3022331,'1',222,'N'),(16,3022340,'1',425,'N'),(16,3022358,'1',450,'N'),(16,3022374,'1',103,'N'),(16,3022382,'1',208,'N'),(16,3022382,'1A',238,'N'),(16,3022390,'1',201,'N'),(16,3022390,'1A',212,'N'),(16,3022404,'1',3,'N'),(16,3022420,'1',207,'N'),(16,3022420,'1A',201,'N'),(16,3022439,'1',103,'N'),(16,3022447,'1',316,'N'),(16,3022455,'1',103,'N'),(16,3022463,'1',415,'N'),(16,3022480,'1',319,'N'),(16,3022501,'1',425,'N'),(16,3022501,'1A',428,'N'),(16,3022510,'1',238,'N'),(16,3022510,'1A',208,'N'),(16,3022528,'1',208,'N'),(16,3022528,'1A',238,'N'),(16,3022536,'1',216,'N'),(16,3022536,'1A',215,'N'),(16,3022544,'1',303,'N'),(16,3022552,'1',103,'N'),(16,3022560,'1',208,'N'),(16,3022560,'1A',238,'N'),(16,3022579,'1',452,'N'),(16,3022587,'1',208,'N'),(16,3022595,'1',308,'N'),(16,3022617,'1',103,'N'),(16,3022625,'1',420,'N'),(16,3022633,'1',207,'N'),(16,3022633,'1A',201,'N'),(16,3022650,'1',201,'N'),(16,3022650,'1A',212,'N'),(16,3022668,'1',415,'N'),(16,3022676,'1',302,'N'),(16,3022692,'1',450,'N'),(16,3022706,'1',415,'N'),(16,3022722,'1',319,'N'),(16,3022749,'1',207,'N'),(16,3022749,'1A',212,'N'),(16,3022757,'1',303,'N'),(16,3022765,'1',428,'N'),(16,3022765,'1A',426,'N'),(16,3022773,'1',103,'N'),(16,3022781,'1',223,'N'),(16,3022790,'1',303,'N'),(16,3022803,'1',207,'N'),(16,3022811,'1',238,'N'),(16,3022811,'1A',208,'N'),(16,3022820,'1',207,'N'),(16,3022820,'1A',201,'N'),(16,3022838,'1',319,'N'),(16,3022846,'1',9,'N'),(16,3022854,'1',319,'N'),(16,3022862,'1',208,'N'),(16,3022862,'1A',238,'N'),(16,3022870,'1',201,'N'),(16,3022870,'1A',233,'N'),(16,3022900,'1',216,'N'),(16,3022900,'1A',211,'N'),(16,3022919,'1',303,'N'),(16,3022927,'1',451,'N'),(16,3022935,'1',203,'N'),(16,3022935,'1A',214,'N'),(16,3022951,'1',214,'N'),(16,3022951,'1A',213,'N'),(16,3022978,'1',103,'N'),(16,3022986,'1',5,'N'),(16,3022994,'1',102,'N'),(16,3023001,'1',207,'N'),(16,3023001,'1A',201,'N'),(16,3023028,'1',238,'N'),(16,3023028,'1A',208,'N'),(16,3023036,'1',302,'N'),(16,3023052,'1',420,'N'),(16,3023079,'1',102,'N'),(16,3023087,'1',207,'N'),(16,3023087,'1A',211,'N'),(16,3023095,'1',425,'N'),(16,3023095,'1A',429,'N'),(16,3023117,'1',420,'N'),(16,3023125,'1',103,'N'),(16,3023133,'1',319,'N'),(16,3023141,'1',303,'N'),(16,3023150,'1',103,'N'),(16,3023168,'1',202,'N'),(16,3023168,'1A',213,'N'),(16,3023176,'1',502,'N'),(16,3023184,'1',420,'N'),(16,3023206,'1',103,'N'),(16,3023214,'1',415,'N'),(16,3023222,'1',103,'N'),(16,3023230,'1',103,'N'),(16,3023257,'1',203,'N'),(16,3023257,'1A',201,'N'),(16,3023273,'1',103,'N'),(16,3023281,'1',420,'N'),(16,3023290,'1',340,'N'),(16,3023303,'1',340,'N'),(16,3023311,'1',207,'N'),(16,3023311,'1A',201,'N'),(16,3023320,'1',453,'N'),(16,3023338,'1',340,'N'),(16,3023354,'1',103,'N'),(16,3023362,'1',301,'N'),(16,3023370,'1',103,'N'),(16,3023389,'1',207,'N'),(16,3023389,'1A',202,'N'),(16,3023397,'1',326,'N'),(16,3023400,'1',301,'N'),(16,3023419,'1',220,'N'),(16,3023427,'1',103,'N'),(16,3023435,'1',453,'N'),(16,3023443,'1',211,'N'),(16,3023443,'1A',215,'N'),(16,3023460,'1',203,'N'),(16,3023460,'1A',214,'N'),(16,3023478,'1',328,'N'),(16,3023486,'1',340,'N'),(16,3023494,'1',340,'N'),(16,3023524,'1',303,'N'),(16,3023532,'1',104,'N'),(16,3023540,'1',214,'N'),(16,3023540,'1A',213,'N'),(16,3023559,'1',103,'N'),(16,3023575,'1',340,'N'),(16,3023591,'1',9,'N'),(16,3023605,'1',103,'N'),(16,3023613,'1',340,'N'),(16,3023621,'1',223,'N'),(16,3023630,'1',104,'N'),(16,3023656,'1',207,'N'),(16,3023656,'1A',208,'N'),(16,3023664,'1',103,'N'),(16,3023672,'1',108,'N'),(16,3023680,'1',310,'N'),(16,3023702,'1',203,'N'),(16,3023702,'1A',202,'N'),(16,3023710,'1',203,'N'),(16,3023710,'1A',214,'N'),(16,3023729,'1',316,'N'),(16,3023737,'1',201,'N'),(16,3023737,'1A',216,'N'),(16,3023745,'1',327,'N'),(16,3023761,'1',207,'N'),(16,3023770,'1',103,'N'),(16,3023788,'1',233,'N'),(16,3023788,'1A',238,'N'),(16,3023796,'1',302,'N'),(16,3023818,'1',318,'N'),(16,3023826,'1',208,'N'),(16,3023826,'1A',238,'N'),(16,3023834,'1',101,'N'),(16,3023842,'1',202,'N'),(16,3023842,'1A',213,'N'),(16,3023850,'1',453,'N'),(16,3023869,'1',103,'N'),(16,3023877,'1',303,'N'),(16,3023885,'1',203,'N'),(16,3023885,'1A',202,'N'),(16,3023893,'1',404,'N'),(16,3023915,'1',503,'N'),(16,3023923,'1',319,'N'),(16,3023931,'1',102,'N'),(16,3023958,'1',5,'N'),(16,3023966,'1',319,'N'),(16,3023982,'1',451,'N'),(16,3023990,'1',317,'N'),(16,3024008,'1',220,'N'),(16,3024016,'1',103,'N'),(16,3024024,'1',220,'N'),(16,3024024,'1A',233,'N'),(16,3024032,'1',103,'N'),(16,3024040,'1',108,'N'),(16,3024059,'1',415,'N'),(16,3024075,'1',216,'N'),(16,3024083,'1',103,'N'),(16,3024091,'1',202,'N'),(16,3024091,'1A',207,'N'),(16,3024105,'1',303,'N'),(16,3024113,'1',103,'N'),(16,3024121,'1',333,'N'),(16,3024130,'1',201,'N'),(16,3024130,'1A',207,'N'),(16,3024148,'1',225,'N'),(16,3024164,'1',103,'N'),(16,3024199,'1',103,'N'),(16,3024202,'1',220,'N'),(16,3024202,'1A',202,'N'),(16,3024210,'1',9,'N'),(16,3024229,'1',5,'N'),(16,3024237,'1',103,'N'),(16,3024245,'1',203,'N'),(16,3024245,'1A',202,'N'),(16,3024253,'1',225,'N'),(16,3024261,'1',453,'N'),(16,3024270,'1',102,'N'),(16,3024288,'1',203,'N'),(16,3024288,'1A',214,'N'),(16,3024300,'1',319,'N'),(16,3024318,'1',502,'N'),(16,3024326,'1',208,'N'),(16,3024326,'1A',238,'N'),(16,3024334,'1',103,'N'),(16,3024342,'1',103,'N'),(16,3024350,'1',327,'N'),(16,3024369,'1',319,'N'),(16,3024377,'1',212,'N'),(16,3024377,'1A',214,'N'),(16,3024385,'1',220,'N'),(16,3024385,'1A',203,'N'),(16,3024407,'1',333,'N'),(16,3024415,'1',103,'N'),(16,3024423,'1',207,'N'),(16,3024423,'1A',201,'N'),(16,3024431,'1',103,'N'),(16,3024458,'1',201,'N'),(16,3024466,'1',234,'N'),(16,3024474,'1',333,'N'),(16,3024482,'1',203,'N'),(16,3024482,'1A',233,'N'),(16,3024490,'1',9,'N'),(16,3024504,'1',203,'N'),(16,3024504,'1A',201,'N'),(16,3024512,'1',429,'N'),(16,3024512,'1A',425,'N'),(16,3024539,'1',502,'N'),(16,3024547,'1',103,'N'),(16,3024555,'1',203,'N'),(16,3024555,'1A',214,'N'),(16,3024563,'1',103,'N'),(16,3024580,'1',216,'N'),(16,3024580,'1A',211,'N'),(16,3024610,'1',104,'N'),(16,3024628,'1',220,'N'),(16,3024628,'1A',216,'N'),(16,3024636,'1',104,'N'),(16,3024644,'1',108,'N'),(16,3024652,'1',207,'N'),(16,3024652,'1A',201,'N'),(16,3024660,'1',203,'N'),(16,3024660,'1A',238,'N'),(16,3024695,'1',223,'N'),(16,3024709,'1',201,'N'),(16,3024709,'1A',212,'N'),(16,3024717,'1',415,'N'),(16,3024725,'1',101,'N'),(16,3024750,'1',303,'N'),(16,3024768,'1',216,'N'),(16,3024776,'1',104,'N'),(16,3024784,'1',103,'N'),(16,3024792,'1',203,'N'),(16,3024792,'1A',201,'N'),(16,3024806,'1',319,'N'),(16,3024814,'1',340,'N'),(16,3024822,'1',220,'N'),(16,3024822,'1A',202,'N'),(16,3024849,'1',104,'N'),(16,3024857,'1',207,'N'),(16,3024857,'1A',208,'N'),(16,3024865,'1',303,'N'),(16,3024873,'1',103,'N'),(16,3024890,'1',103,'N'),(16,3024911,'1',444,'N'),(16,3024920,'1',216,'N'),(16,3024920,'1A',233,'N'),(16,3024938,'1',104,'N'),(16,3024946,'1',428,'N'),(16,3024946,'1A',425,'N'),(16,3024954,'1',103,'N'),(16,3024962,'1',202,'N'),(16,3024962,'1A',213,'N'),(16,3024970,'1',108,'N'),(16,3024989,'1',103,'N'),(16,3024997,'1',108,'N'),(16,3025004,'1',216,'N'),(16,3025004,'1A',207,'N'),(16,3025020,'1',310,'N'),(16,3025047,'1',340,'N'),(16,3025055,'1',212,'N'),(16,3025055,'1A',214,'N'),(16,3025063,'1',309,'N'),(16,3025071,'1',201,'N'),(16,3025080,'1',415,'N'),(16,3025098,'1',103,'N'),(16,3025101,'1',103,'N'),(16,3025128,'1',103,'N'),(16,3025144,'1',501,'N'),(16,3025152,'1',216,'N'),(16,3025152,'1A',208,'N'),(16,3025160,'1',201,'N'),(16,3025160,'1A',203,'N'),(16,3025187,'1',415,'N'),(16,3025195,'1',103,'N'),(16,3025209,'1',415,'N'),(16,3025217,'1',303,'N'),(16,3025225,'1',103,'N'),(16,3025233,'1',207,'N'),(16,3025241,'1',303,'N'),(16,3025276,'1',103,'N'),(16,3025284,'1',319,'N'),(16,3025292,'1',103,'N'),(16,3025306,'1',207,'N'),(16,3025306,'1A',201,'N'),(16,3025314,'1',203,'N'),(16,3025314,'1A',214,'N'),(16,3025322,'1',103,'N'),(16,3025330,'1',415,'N'),(16,3025349,'1',303,'N'),(16,3025357,'1',304,'N'),(16,3025365,'1',201,'N'),(16,3025365,'1A',212,'N'),(16,3025373,'1',104,'N'),(16,3025381,'1',108,'N'),(16,3025390,'1',216,'N'),(16,3025390,'1A',233,'N'),(16,3025403,'1',340,'N'),(16,3025411,'1',203,'N'),(16,3025420,'1',103,'N'),(16,3025446,'1',103,'N'),(16,3025462,'1',207,'N'),(16,3025462,'1A',233,'N'),(16,3025470,'1',103,'N'),(16,3025489,'1',207,'N'),(16,3025489,'1A',201,'N'),(16,3025497,'1',319,'N'),(16,3025519,'1',103,'N'),(16,3025527,'1',303,'N'),(16,3025535,'1',340,'N'),(16,3025543,'1',452,'N'),(16,3025551,'1',216,'N'),(16,3025551,'1A',215,'N'),(16,3025560,'1',103,'N'),(16,3025578,'1',201,'N'),(16,3025578,'1A',207,'N'),(16,3025586,'1',101,'N'),(16,3025594,'1',108,'N'),(16,3025616,'1',108,'N'),(16,3025624,'1',415,'N'),(16,3025632,'1',201,'N'),(16,3025632,'1A',212,'N'),(16,3025640,'1',5,'N'),(16,3025659,'1',420,'N'),(16,3025667,'1',203,'N'),(16,3025667,'1A',202,'N'),(16,3025675,'1',207,'N'),(16,3025675,'1A',201,'N'),(16,3025683,'1',103,'N'),(16,3025691,'1',108,'N'),(16,3025705,'1',9,'N'),(16,3025713,'1',103,'N'),(16,3025721,'1',238,'N'),(16,3025721,'1A',201,'N'),(16,3025730,'1',207,'N'),(16,3025748,'1',102,'N'),(16,3025756,'1',103,'N'),(16,3025764,'1',340,'N'),(16,3025780,'1',444,'N'),(16,3025799,'1',103,'N'),(16,3025802,'1',201,'N'),(16,3025802,'1A',212,'N'),(16,3025810,'1',303,'N'),(16,3025837,'1',202,'N'),(16,3025837,'1A',201,'N'),(16,3025845,'1',103,'N'),(16,3025853,'1',450,'N'),(16,3025861,'1',104,'N'),(16,3025870,'1',108,'N'),(16,3025888,'1',428,'N'),(16,3025888,'1A',425,'N'),(16,3025896,'1',203,'N'),(16,3025896,'1A',220,'N'),(16,3025900,'1',203,'N'),(16,3025900,'1A',233,'N'),(16,3025918,'1',203,'N'),(16,3025918,'1A',238,'N'),(16,3025926,'1',301,'N'),(16,3025934,'1',425,'N'),(16,3025934,'1A',424,'N'),(16,3025942,'1',203,'N'),(16,3025942,'1A',201,'N'),(16,3025977,'1',103,'N'),(16,3025985,'1',202,'N'),(16,3025985,'1A',208,'N'),(16,3025993,'1',420,'N'),(16,3026000,'1',9,'N'),(16,3026019,'1',404,'N'),(16,3026027,'1',103,'N'),(16,3026035,'1',453,'N'),(16,3026051,'1',103,'N'),(16,3026078,'1',102,'N'),(16,3026086,'1',103,'N'),(16,3026094,'1',319,'N'),(16,3026108,'1',316,'N'),(16,3026116,'1',453,'N'),(16,3026124,'1',340,'N'),(16,3026132,'1',103,'N'),(16,3026140,'1',103,'N'),(16,3026159,'1',220,'N'),(16,3026159,'1A',208,'N'),(16,3026167,'1',501,'N'),(16,3026175,'1',202,'N'),(16,3026175,'1A',220,'N'),(16,3026183,'1',301,'N'),(16,3026191,'1',103,'N'),(16,3026213,'1',103,'N'),(16,3026221,'1',208,'N'),(16,3026221,'1A',238,'N'),(16,3026230,'1',5,'N'),(16,3026248,'1',103,'N'),(16,3026256,'1',415,'N'),(16,3026264,'1',319,'N'),(16,3026272,'1',238,'N'),(16,3026272,'1A',208,'N'),(16,3026280,'1',5,'N'),(16,3026299,'1',450,'N'),(16,3026302,'1',340,'N'),(16,3026310,'1',104,'N'),(16,3026345,'1',103,'N'),(16,3026353,'1',5,'N'),(16,3026361,'1',102,'N'),(16,3026370,'1',5,'N'),(16,3026388,'1',9,'N'),(16,3026396,'1',203,'N'),(16,3026396,'1A',233,'N'),(16,3026400,'1',103,'N'),(16,3026418,'1',207,'N'),(16,3026418,'1A',208,'N'),(16,3026434,'1',103,'N'),(16,3026450,'1',103,'N'),(16,3026469,'1',319,'N'),(16,3026477,'1',215,'N'),(16,3026477,'1A',207,'N'),(16,3026485,'1',304,'N'),(16,3026493,'1',415,'N'),(16,3026507,'1',429,'N'),(16,3026507,'1A',424,'N'),(16,3026515,'1',420,'N'),(16,3026523,'1',332,'N'),(16,3026531,'1',415,'N'),(16,3026566,'1',203,'N'),(16,3026566,'1A',214,'N'),(16,3026574,'1',301,'N'),(16,3026582,'1',303,'N'),(16,3026590,'1',201,'N'),(16,3026590,'1A',203,'N'),(16,3026604,'1',103,'N'),(16,3026612,'1',319,'N'),(16,3026620,'1',108,'N'),(16,3026639,'1',304,'N'),(16,3026647,'1',103,'N'),(16,3026655,'1',302,'N'),(16,3026663,'1',207,'N'),(16,3026663,'1A',201,'N'),(16,3026671,'1',220,'N'),(16,3026680,'1',214,'N'),(16,3026680,'1A',238,'N'),(16,3026698,'1',215,'N'),(16,3026698,'1A',207,'N'),(16,3026701,'1',220,'N'),(16,3026701,'1A',202,'N'),(16,3026710,'1',220,'N'),(16,3026710,'1A',201,'N'),(16,3026728,'1',103,'N'),(16,3026736,'1',203,'N'),(16,3026736,'1A',214,'N'),(16,3026744,'1',425,'N'),(16,3026744,'1A',424,'N'),(16,3026752,'1',215,'N'),(16,3026752,'1A',216,'N'),(16,3026760,'1',420,'N'),(16,3026779,'1',340,'N'),(16,3026795,'1',103,'N'),(16,3026817,'1',103,'N'),(16,3026825,'1',5,'N'),(16,3026833,'1',207,'N'),(16,3026833,'1A',201,'N'),(16,3026841,'1',415,'N'),(16,3026850,'1',201,'N'),(16,3026850,'1A',215,'N'),(16,3026876,'1',9,'N'),(16,3026884,'1',103,'N'),(16,3026892,'1',319,'N'),(16,3026914,'1',214,'N'),(16,3026914,'1A',207,'N'),(16,3026922,'1',220,'N'),(16,3026922,'1A',208,'N'),(16,3026930,'1',203,'N'),(16,3026930,'1A',220,'N'),(16,3026949,'1',452,'N'),(16,3026957,'1',207,'N'),(16,3026957,'1A',201,'N'),(16,3026965,'1',308,'N'),(16,3026973,'1',303,'N'),(16,3026990,'1',103,'N'),(16,3027015,'1',302,'N'),(16,3027023,'1',215,'N'),(16,3027023,'1A',211,'N'),(16,3027040,'1',203,'N'),(16,3027040,'1A',214,'N'),(16,3027058,'1',104,'N'),(16,3027066,'1',340,'N'),(16,3027082,'1',444,'N'),(16,3027090,'1',340,'N'),(16,3027104,'1',208,'N'),(16,3027104,'1A',220,'N'),(16,3027112,'1',329,'N'),(16,3027120,'1',203,'N'),(16,3027120,'1A',214,'N'),(16,3027139,'1',309,'N'),(16,3027147,'1',102,'N'),(16,3027155,'1',203,'N'),(16,3027155,'1A',214,'N'),(16,3027163,'1',503,'N'),(16,3027171,'1',103,'N'),(16,3027180,'1',301,'N'),(16,3027198,'1',316,'N'),(16,3027201,'1',3,'N'),(16,3027228,'1',220,'N'),(16,3027228,'1A',202,'N'),(16,3027244,'1',428,'N'),(16,3027244,'1A',429,'N'),(16,3027252,'1',104,'N'),(16,3027260,'1',317,'N'),(16,3027279,'1',203,'N'),(16,3027279,'1A',202,'N'),(16,3027287,'1',238,'N'),(16,3027287,'1A',212,'N'),(16,3027295,'1',203,'N'),(16,3027295,'1A',201,'N'),(16,3027309,'1',301,'N'),(16,3027317,'1',103,'N'),(16,3027325,'1',104,'N'),(16,3027333,'1',207,'N'),(16,3027333,'1A',215,'N'),(16,3027341,'1',103,'N'),(16,3027350,'1',103,'N'),(16,3027368,'1',238,'N'),(16,3027368,'1A',233,'N'),(16,3027376,'1',103,'N'),(16,3027384,'1',207,'N'),(16,3027384,'1A',201,'N'),(16,3027406,'1',203,'N'),(16,3027406,'1A',220,'N'),(16,3027414,'1',420,'N'),(16,3027422,'1',103,'N'),(16,3027430,'1',319,'N'),(16,3027449,'1',201,'N'),(16,3027457,'1',203,'N'),(16,3027457,'1A',216,'N'),(16,3027473,'1',207,'N'),(16,3027473,'1A',201,'N'),(16,3027481,'1',5,'N'),(16,3027490,'1',302,'N'),(16,3027503,'1',203,'N'),(16,3027503,'1A',214,'N'),(16,3027511,'1',101,'N'),(16,3027520,'1',220,'N'),(16,3027520,'1A',233,'N'),(16,3027546,'1',5,'N'),(16,3027554,'1',301,'N'),(16,3027562,'1',340,'N'),(16,3027570,'1',340,'N'),(16,3027589,'1',212,'N'),(16,3027589,'1A',201,'N'),(16,3027597,'1',214,'N'),(16,3027597,'1A',203,'N'),(16,3027600,'1',103,'N'),(16,3027619,'1',202,'N'),(16,3027619,'1A',238,'N'),(16,3027627,'1',211,'N'),(16,3027627,'1A',208,'N'),(16,3027635,'1',233,'N'),(16,3027635,'1A',213,'N'),(16,3027643,'1',103,'N'),(16,3027651,'1',415,'N'),(16,3027660,'1',5,'N'),(16,3027686,'1',216,'N'),(16,3027686,'1A',215,'N'),(16,3027708,'1',415,'N'),(16,3027716,'1',238,'N'),(16,3027716,'1A',208,'N'),(16,3027724,'1',103,'N'),(16,3027740,'1',216,'N'),(16,3027740,'1A',215,'N'),(16,3027759,'1',216,'N'),(16,3027759,'1A',215,'N'),(16,3027767,'1',303,'N'),(16,3027775,'1',103,'N'),(16,3027783,'1',103,'N'),(16,3027791,'1',5,'N'),(16,3027805,'1',207,'N'),(16,3027805,'1A',201,'N'),(16,3027813,'1',340,'N'),(16,3027821,'1',103,'N'),(16,3027830,'1',203,'N'),(16,3027830,'1A',215,'N'),(16,3027848,'1',328,'N'),(16,3027864,'1',207,'N'),(16,3027864,'1A',216,'N'),(16,3027872,'1',101,'N'),(16,3027880,'1',103,'N'),(16,3027899,'1',216,'N'),(16,3027899,'1A',215,'N'),(16,3027910,'1',103,'N'),(16,3027929,'1',103,'N'),(16,3027937,'1',233,'N'),(16,3027937,'1A',216,'N'),(16,3027945,'1',208,'N'),(16,3027945,'1A',201,'N'),(16,3027953,'1',103,'N'),(16,3027961,'1',233,'N'),(16,3027961,'1A',213,'N'),(16,3027970,'1',103,'N'),(16,3027988,'1',103,'N'),(16,3027996,'1',103,'N'),(16,3028003,'1',225,'N'),(16,3028011,'1',425,'N'),(16,3028011,'1A',429,'N'),(16,3028020,'1',9,'N'),(16,3028038,'1',201,'N'),(16,3028038,'1A',211,'N'),(16,3028046,'1',5,'N'),(16,3028054,'1',301,'N'),(16,3028062,'1',108,'N'),(16,3028070,'1',238,'N'),(16,3028070,'1A',208,'N'),(16,3028089,'1',317,'N'),(16,3028097,'1',304,'N'),(16,3028100,'1',203,'N'),(16,3028100,'1A',202,'N'),(16,3028119,'1',216,'N'),(16,3028119,'1A',215,'N'),(16,3028127,'1',103,'N'),(16,3028143,'1',201,'N'),(16,3028143,'1A',203,'N'),(16,3028151,'1',203,'N'),(16,3028151,'1A',214,'N'),(16,3028160,'1',301,'N'),(16,3028178,'1',208,'N'),(16,3028178,'1A',213,'N'),(16,3028194,'1',5,'N'),(16,3028208,'1',203,'N'),(16,3028208,'1A',208,'N'),(16,3028216,'1',103,'N'),(16,3028224,'1',238,'N'),(16,3028224,'1A',233,'N'),(16,3028232,'1',333,'N'),(16,3028240,'1',103,'N'),(16,3028259,'1',208,'N'),(16,3028259,'1A',238,'N'),(16,3028267,'1',303,'N'),(16,3028275,'1',103,'N'),(16,3028283,'1',207,'N'),(16,3028291,'1',103,'N'),(16,3028305,'1',207,'N'),(16,3028305,'1A',201,'N'),(16,3028313,'1',9,'N'),(16,3028321,'1',104,'N'),(16,3028330,'1',216,'N'),(16,3028330,'1A',214,'N'),(16,3028356,'1',233,'N'),(16,3028356,'1A',201,'N'),(16,3028364,'1',203,'N'),(16,3028364,'1A',220,'N'),(16,3028372,'1',103,'N'),(16,3028399,'1',502,'N'),(16,3028402,'1',303,'N'),(16,3028410,'1',326,'N'),(16,3028429,'1',211,'N'),(16,3028429,'1A',208,'N'),(16,3028437,'1',207,'N'),(16,3028437,'1A',201,'N'),(16,3028445,'1',502,'N'),(16,3028453,'1',103,'N'),(16,3028461,'1',340,'N'),(16,3028470,'1',214,'N'),(16,3028470,'1A',201,'N'),(16,3028488,'1',103,'N'),(16,3028496,'1',215,'N'),(16,3028500,'1',216,'N'),(16,3028500,'1A',211,'N'),(16,3028518,'1',222,'N'),(16,3028526,'1',211,'N'),(16,3028526,'1A',233,'N'),(16,3028534,'1',102,'N'),(16,3028542,'1',104,'N'),(16,3028550,'1',420,'N'),(16,3028569,'1',102,'N'),(16,3028577,'1',103,'N'),(16,3028585,'1',301,'N'),(16,3028593,'1',103,'N'),(16,3028607,'1',9,'N'),(16,3028615,'1',202,'N'),(16,3028615,'1A',203,'N'),(16,3028623,'1',207,'N'),(16,3028623,'1A',201,'N'),(16,3028631,'1',207,'N'),(16,3028640,'1',202,'N'),(16,3028640,'1A',213,'N'),(16,3028658,'1',207,'N'),(16,3028658,'1A',201,'N'),(16,3028666,'1',328,'N'),(16,3028674,'1',214,'N'),(16,3028674,'1A',212,'N'),(16,3028682,'1',203,'N'),(16,3028690,'1',103,'N'),(16,3028704,'1',103,'N'),(16,3028720,'1',324,'N'),(16,3028747,'1',326,'N'),(16,3028755,'1',303,'N'),(16,3028763,'1',415,'N'),(16,3028780,'1',428,'N'),(16,3028780,'1A',423,'N'),(16,3028798,'1',327,'N'),(16,3028801,'1',103,'N'),(16,3028810,'1',324,'N'),(16,3028828,'1',340,'N'),(16,3028836,'1',301,'N'),(16,3028844,'1',318,'N'),(16,3028852,'1',201,'N'),(16,3028852,'1A',207,'N'),(16,3028860,'1',5,'N'),(16,3028879,'1',303,'N'),(16,3028887,'1',103,'N'),(16,3028895,'1',207,'N'),(16,3028895,'1A',201,'N'),(16,3028909,'1',108,'N'),(16,3028917,'1',207,'N'),(16,3028917,'1A',201,'N'),(16,3028925,'1',103,'N'),(16,3028941,'1',234,'N'),(16,3028968,'1',202,'N'),(16,3028968,'1A',213,'N'),(16,3028984,'1',9,'N'),(16,3029000,'1',220,'N'),(16,3029000,'1A',203,'N'),(16,3029018,'1',319,'N'),(16,3029026,'1',103,'N'),(16,3029034,'1',340,'N'),(16,3029042,'1',302,'N'),(16,3029050,'1',5,'N'),(16,3029069,'1',202,'N'),(16,3029069,'1A',213,'N'),(16,3029077,'1',340,'N'),(16,3029085,'1',331,'N'),(16,3029093,'1',102,'N'),(16,3029115,'1',103,'N'),(16,3029123,'1',220,'N'),(16,3029123,'1A',208,'N'),(16,3029140,'1',103,'N'),(16,3029158,'1',201,'N'),(16,3029158,'1A',207,'N'),(16,3029166,'1',9,'N'),(16,3029182,'1',215,'N'),(16,3029182,'1A',233,'N'),(16,3029190,'1',415,'N'),(16,3029204,'1',103,'N'),(16,3029212,'1',317,'N'),(16,3029220,'1',208,'N'),(16,3029220,'1A',202,'N'),(16,3029239,'1',340,'N'),(16,3029247,'1',303,'N'),(16,3029255,'1',415,'N'),(16,3029263,'1',104,'N'),(16,3029271,'1',319,'N'),(16,3029280,'1',340,'N'),(16,3029310,'1',103,'N'),(16,3029328,'1',5,'N'),(16,3029336,'1',450,'N'),(16,3029344,'1',318,'N'),(16,3029352,'1',238,'N'),(16,3029352,'1A',201,'N'),(16,3029360,'1',326,'N'),(16,3029379,'1',215,'N'),(16,3029379,'1A',211,'N'),(16,3029387,'1',303,'N'),(16,3029409,'1',103,'N'),(16,3029417,'1',201,'N'),(16,3029417,'1A',207,'N'),(16,3029433,'1',104,'N'),(16,3029441,'1',453,'N'),(16,3029450,'1',103,'N'),(16,3029468,'1',103,'N'),(16,3029484,'1',450,'N'),(16,3029492,'1',303,'N'),(16,3029506,'1',319,'N'),(16,3029514,'1',340,'N'),(16,3029522,'1',324,'N'),(16,3029530,'1',304,'N'),(16,3029549,'1',212,'N'),(16,3029549,'1A',238,'N'),(16,3029557,'1',2,'N'),(16,3029573,'1',103,'N'),(16,3029581,'1',216,'N'),(16,3029581,'1A',214,'N'),(16,3029590,'1',340,'N'),(16,3029603,'1',103,'N'),(16,3029611,'1',103,'N'),(16,3029620,'1',415,'N'),(16,3029654,'1',425,'N'),(16,3029654,'1A',429,'N'),(16,3029670,'1',103,'N'),(16,3029689,'1',340,'N'),(16,3029697,'1',309,'N'),(16,3029727,'1',309,'N'),(16,3029735,'1',425,'N'),(16,3029735,'1A',429,'N'),(16,3029743,'1',103,'N'),(16,3029751,'1',423,'N'),(16,3029751,'1A',428,'N'),(16,3029778,'1',453,'N'),(16,3029786,'1',103,'N'),(16,3029794,'1',202,'N'),(16,3029794,'1A',213,'N'),(16,3029808,'1',103,'N'),(16,3029816,'1',222,'N'),(16,3029824,'1',103,'N'),(16,3029832,'1',104,'N'),(16,3029840,'1',104,'N'),(16,3029859,'1',5,'N'),(16,3029867,'1',5,'N'),(16,3029875,'1',233,'N'),(16,3029875,'1A',216,'N'),(16,3029883,'1',301,'N'),(16,3029891,'1',303,'N'),(16,3029905,'1',103,'N'),(16,3029921,'1',415,'N'),(16,3029930,'1',5,'N'),(16,3029948,'1',208,'N'),(16,3029948,'1A',238,'N'),(16,3029956,'1',501,'N'),(16,3029964,'1',207,'N'),(16,3029964,'1A',215,'N'),(16,3029972,'1',450,'N'),(16,3029999,'1',339,'N'),(16,3030008,'1',319,'N'),(16,3030016,'1',103,'N'),(16,3030024,'1',238,'N'),(16,3030024,'1A',208,'N'),(16,3030032,'1',238,'N'),(16,3030032,'1A',208,'N'),(16,3030040,'1',303,'N'),(16,3030059,'1',207,'N'),(16,3030059,'1A',201,'N'),(16,3030075,'1',211,'N'),(16,3030075,'1A',215,'N'),(16,3030083,'1',404,'N'),(16,3030091,'1',303,'N'),(16,3030130,'1',429,'N'),(16,3030130,'1A',424,'N'),(16,3030148,'1',324,'N'),(16,3030156,'1',324,'N'),(16,3030164,'1',303,'N'),(16,3030172,'1',103,'N'),(16,3030180,'1',216,'N'),(16,3030180,'1A',214,'N'),(16,3030199,'1',303,'N'),(16,3030202,'1',501,'N'),(16,3030210,'1',340,'N'),(16,3030229,'1',308,'N'),(16,3030237,'1',238,'N'),(16,3030237,'1A',208,'N'),(16,3030245,'1',101,'N'),(16,3030261,'1',316,'N'),(16,3030270,'1',238,'N'),(16,3030270,'1A',211,'N'),(16,3030288,'1',103,'N'),(16,3030296,'1',104,'N'),(16,3030300,'1',103,'N'),(16,3030318,'1',103,'N'),(16,3030326,'1',318,'N'),(16,3030342,'1',318,'N'),(16,3030377,'1',302,'N'),(16,3030385,'1',103,'N'),(16,3030393,'1',316,'N'),(16,3030407,'1',103,'N'),(16,3030415,'1',208,'N'),(16,3030415,'1A',238,'N'),(16,3030423,'1',104,'N'),(16,3030431,'1',308,'N'),(16,3030440,'1',223,'N'),(16,3030458,'1',103,'N'),(16,3030474,'1',301,'N'),(16,3030482,'1',5,'N'),(16,3030504,'1',225,'N'),(16,3030512,'1',103,'N'),(16,3030539,'1',216,'N'),(16,3030539,'1A',233,'N'),(16,3030547,'1',202,'N'),(16,3030547,'1A',203,'N'),(16,3030555,'1',201,'N'),(16,3030563,'1',203,'N'),(16,3030563,'1A',214,'N'),(16,3030571,'1',329,'N'),(16,3030636,'1',211,'N'),(16,3030636,'1A',202,'N'),(16,3030644,'1',324,'N'),(16,3030652,'1',203,'N'),(16,3030652,'1A',216,'N'),(16,3030679,'1',308,'N'),(16,3030687,'1',301,'N'),(16,3030725,'1',222,'N'),(16,3030733,'1',333,'N'),(16,3030741,'1',103,'N'),(16,3030750,'1',201,'N'),(16,3030768,'1',317,'N'),(16,3030776,'1',104,'N'),(16,3030792,'1',203,'N'),(16,3030792,'1A',216,'N'),(16,3030806,'1',201,'N'),(16,3030806,'1A',212,'N'),(16,3030814,'1',207,'N'),(16,3030814,'1A',233,'N'),(16,3030849,'1',428,'N'),(16,3030849,'1A',426,'N'),(16,3030857,'1',9,'N'),(16,3030865,'1',303,'N'),(16,3030881,'1',303,'N'),(16,3030890,'1',103,'N'),(16,3030903,'1',420,'N'),(16,3030911,'1',214,'N'),(16,3030911,'1A',213,'N'),(16,3030938,'1',328,'N'),(16,3030946,'1',5,'N'),(16,3030954,'1',501,'N'),(16,3030962,'1',201,'N'),(16,3030962,'1A',216,'N'),(16,3030970,'1',452,'N'),(16,3030989,'1',211,'N'),(16,3030989,'1A',212,'N'),(16,3031004,'1',501,'N'),(16,3031020,'1',103,'N'),(16,3031039,'1',202,'N'),(16,3031039,'1A',201,'N'),(16,3031047,'1',238,'N'),(16,3031047,'1A',208,'N'),(16,3031063,'1',502,'N'),(16,3031071,'1',501,'N'),(16,3031080,'1',319,'N'),(16,3031098,'1',450,'N'),(16,3031110,'1',301,'N'),(16,3031128,'1',452,'N'),(16,3031136,'1',104,'N'),(16,3031144,'1',5,'N'),(16,3031152,'1',103,'N'),(16,3031179,'1',220,'N'),(16,3031179,'1A',202,'N'),(16,3031187,'1',211,'N'),(16,3031187,'1A',216,'N'),(16,3031195,'1',102,'N'),(16,3031209,'1',103,'N'),(16,3031217,'1',316,'N'),(16,3031225,'1',103,'N'),(16,3031241,'1',303,'N'),(16,3031250,'1',5,'N'),(16,3031268,'1',108,'N'),(16,3031276,'1',103,'N'),(16,3031284,'1',103,'N'),(16,3031292,'1',302,'N'),(16,3031306,'1',444,'N'),(16,3031314,'1',104,'N'),(16,3031322,'1',103,'N'),(16,3031349,'1',303,'N'),(16,3031357,'1',207,'N'),(16,3031357,'1A',201,'N'),(16,3031365,'1',201,'N'),(16,3031365,'1A',212,'N'),(16,3031373,'1',211,'N'),(16,3031373,'1A',201,'N'),(16,3031390,'1',238,'N'),(16,3031390,'1A',208,'N'),(16,3031403,'1',211,'N'),(16,3031411,'1',309,'N'),(16,3031420,'1',103,'N'),(16,3031438,'1',203,'N'),(16,3031438,'1A',202,'N'),(16,3031446,'1',9,'N'),(16,3031454,'1',102,'N'),(16,3031462,'1',103,'N'),(16,3031470,'1',426,'N'),(16,3031470,'1A',423,'N'),(16,3031489,'1',104,'N'),(16,3031500,'1',207,'N'),(16,3031500,'1A',201,'N'),(16,3031519,'1',302,'N'),(16,3031527,'1',103,'N'),(16,3031535,'1',203,'N'),(16,3031535,'1A',214,'N'),(16,3031543,'1',216,'N'),(16,3031543,'1A',215,'N'),(16,3031560,'1',103,'N'),(16,3031578,'1',333,'N'),(16,3031586,'1',303,'N'),(16,3031594,'1',108,'N'),(16,3031616,'1',102,'N'),(16,3031624,'1',415,'N'),(16,3031640,'1',203,'N'),(16,3031640,'1A',220,'N'),(16,3031659,'1',201,'N'),(16,3031659,'1A',207,'N'),(16,3031675,'1',103,'N'),(16,3031683,'1',104,'N'),(16,3031691,'1',332,'N'),(16,3031705,'1',220,'N'),(16,3031705,'1A',202,'N'),(16,3031713,'1',211,'N'),(16,3031713,'1A',201,'N'),(16,3031721,'1',301,'N'),(16,3031730,'1',310,'N'),(16,3031748,'1',103,'N'),(16,3031756,'1',103,'N'),(16,3031764,'1',103,'N'),(16,3031772,'1',103,'N'),(16,3031780,'1',207,'N'),(16,3031780,'1A',201,'N'),(16,3031799,'1',301,'N'),(16,3031802,'1',103,'N'),(16,3031810,'1',238,'N'),(16,3031810,'1A',202,'N'),(16,3031829,'1',220,'N'),(16,3031829,'1A',202,'N'),(16,3031837,'1',103,'N'),(16,3031845,'1',303,'N'),(16,3031861,'1',9,'N'),(16,3031888,'1',423,'N'),(16,3031896,'1',317,'N'),(16,3031900,'1',215,'N'),(16,3031918,'1',201,'N'),(16,3031918,'1A',212,'N'),(16,3031926,'1',202,'N'),(16,3031950,'1',214,'N'),(16,3031950,'1A',212,'N'),(16,3031969,'1',450,'N'),(16,3031977,'1',453,'N'),(16,3031985,'1',340,'N'),(16,3031993,'1',224,'N'),(16,3032000,'1',9,'N'),(16,3032019,'1',103,'N'),(16,3032035,'1',203,'N'),(16,3032035,'1A',214,'N'),(16,3032043,'1',203,'N'),(16,3032043,'1A',202,'N'),(16,3032051,'1',501,'N'),(16,3032060,'1',303,'N'),(16,3032078,'1',317,'N'),(16,3032086,'1',238,'N'),(16,3032086,'1A',201,'N'),(16,3032094,'1',103,'N'),(16,3032108,'1',5,'N'),(16,3032116,'1',309,'N'),(16,3032124,'1',202,'N'),(16,3032124,'1A',211,'N'),(16,3032132,'1',202,'N'),(16,3032132,'1A',201,'N'),(16,3032140,'1',453,'N'),(16,3032159,'1',319,'N'),(16,3032167,'1',104,'N'),(16,3032175,'1',450,'N'),(16,3032191,'1',220,'N'),(16,3032191,'1A',203,'N'),(16,3032205,'1',103,'N'),(16,3032213,'1',426,'N'),(16,3032213,'1A',425,'N'),(16,3032221,'1',501,'N'),(16,3032230,'1',101,'N'),(16,3032248,'1',203,'N'),(16,3032248,'1A',202,'N'),(16,3032256,'1',201,'N'),(16,3032256,'1A',202,'N'),(16,3032264,'1',103,'N'),(16,3032272,'1',104,'N'),(16,3032280,'1',108,'N'),(16,3032299,'1',103,'N'),(16,3032310,'1',102,'N'),(16,3032329,'1',201,'N'),(16,3032329,'1A',212,'N'),(16,3032337,'1',428,'N'),(16,3032337,'1A',425,'N'),(16,3032345,'1',5,'N'),(16,3032353,'1',428,'N'),(16,3032353,'1A',427,'N'),(16,3032361,'1',238,'N'),(16,3032361,'1A',208,'N'),(16,3032370,'1',238,'N'),(16,3032370,'1A',208,'N'),(16,3032388,'1',108,'N'),(16,3032396,'1',301,'N'),(16,3032418,'1',101,'N'),(16,3032434,'1',216,'N'),(16,3032434,'1A',207,'N'),(16,3032450,'1',340,'N'),(16,3032477,'1',103,'N'),(16,3032485,'1',2,'N'),(16,3032493,'1',103,'N'),(16,3032507,'1',340,'N'),(16,3032515,'1',103,'N'),(16,3032531,'1',202,'N'),(16,3032531,'1A',213,'N'),(16,3032540,'1',202,'N'),(16,3032540,'1A',213,'N'),(16,3032566,'1',103,'N'),(16,3032574,'1',340,'N'),(16,3032582,'1',212,'N'),(16,3032582,'1A',201,'N'),(16,3032590,'1',238,'N'),(16,3032590,'1A',208,'N'),(16,3032612,'1',318,'N'),(16,3032620,'1',201,'N'),(16,3032620,'1A',207,'N'),(16,3032639,'1',207,'N'),(16,3032639,'1A',212,'N'),(16,3032647,'1',233,'N'),(16,3032647,'1A',216,'N'),(16,3032663,'1',103,'N'),(16,3032671,'1',303,'N'),(16,3032680,'1',425,'N'),(16,3032680,'1A',429,'N'),(16,3032698,'1',428,'N'),(16,3032698,'1A',423,'N'),(16,3032710,'1',207,'N'),(16,3032710,'1A',201,'N'),(16,3032728,'1',103,'N'),(16,3032744,'1',211,'N'),(16,3032744,'1A',201,'N'),(16,3032752,'1',2,'N'),(16,3032787,'1',103,'N'),(16,3032795,'1',102,'N'),(16,3032809,'1',317,'N'),(16,3032817,'1',103,'N'),(16,3032825,'1',103,'N'),(16,3032833,'1',103,'N'),(16,3032841,'1',453,'N'),(16,3032850,'1',201,'N'),(16,3032850,'1A',212,'N'),(16,3032868,'1',453,'N'),(16,3032876,'1',3,'N'),(16,3032892,'1',501,'N'),(16,3032906,'1',319,'N'),(16,3032914,'1',103,'N'),(16,3032922,'1',303,'N'),(16,3032949,'1',309,'N'),(16,3032965,'1',302,'N'),(16,3032981,'1',501,'N'),(16,3032990,'1',103,'N'),(16,3033007,'1',302,'N'),(16,3033015,'1',103,'N'),(16,3033031,'1',5,'N'),(16,3033040,'1',5,'N'),(16,3033066,'1',225,'N'),(16,3033074,'1',207,'N'),(16,3033074,'1A',201,'N'),(16,3033082,'1',103,'N'),(16,3033090,'1',303,'N'),(16,3033104,'1',319,'N'),(16,3033112,'1',203,'N'),(16,3033112,'1A',201,'N'),(16,3033120,'1',201,'N'),(16,3033120,'1A',203,'N'),(16,3033139,'1',203,'N'),(16,3033139,'1A',216,'N'),(16,3033147,'1',426,'N'),(16,3033147,'1A',429,'N'),(16,3033155,'1',415,'N'),(16,3033163,'1',233,'N'),(16,3033163,'1A',201,'N'),(16,3033171,'1',104,'N'),(16,3033198,'1',103,'N'),(16,3033210,'1',207,'N'),(16,3033228,'1',215,'N'),(16,3033252,'1',103,'N'),(16,3033260,'1',333,'N'),(16,3033279,'1',103,'N'),(16,3033287,'1',222,'N'),(16,3033295,'1',103,'N'),(16,3033309,'1',425,'N'),(16,3033309,'1A',427,'N'),(16,3033317,'1',103,'N'),(16,3033333,'1',316,'N'),(16,3033341,'1',101,'N'),(16,3033350,'1',502,'N'),(16,3033368,'1',326,'N'),(16,3033376,'1',103,'N'),(16,3033406,'1',303,'N'),(16,3033414,'1',203,'N'),(16,3033414,'1A',214,'N'),(16,3033422,'1',444,'N'),(16,3033430,'1',103,'N'),(16,3033449,'1',303,'N'),(16,3033465,'1',303,'N'),(16,3033473,'1',220,'N'),(16,3033473,'1A',203,'N'),(16,3033481,'1',216,'N'),(16,3033481,'1A',220,'N'),(16,3033511,'1',225,'N'),(16,3033520,'1',220,'N'),(16,3033538,'1',317,'N'),(16,3033546,'1',207,'N'),(16,3033546,'1A',215,'N'),(16,3033554,'1',5,'N'),(16,3033562,'1',238,'N'),(16,3033562,'1A',213,'N'),(16,3033589,'1',104,'N'),(16,3033597,'1',316,'N'),(16,3033600,'1',203,'N'),(16,3033600,'1A',201,'N'),(16,3033619,'1',103,'N'),(16,3033635,'1',212,'N'),(16,3033635,'1A',213,'N'),(16,3033651,'1',303,'N'),(16,3033660,'1',202,'N'),(16,3033694,'1',104,'N'),(16,3033716,'1',415,'N'),(16,3033724,'1',103,'N'),(16,3033732,'1',201,'N'),(16,3033732,'1A',233,'N'),(16,3033740,'1',208,'N'),(16,3033740,'1A',220,'N'),(16,3033759,'1',214,'N'),(16,3033759,'1A',212,'N'),(16,3033775,'1',203,'N'),(16,3033775,'1A',233,'N'),(16,3033783,'1',333,'N'),(16,3033791,'1',319,'N'),(16,3033813,'1',103,'N'),(16,3033821,'1',103,'N'),(16,3033830,'1',216,'N'),(16,3033830,'1A',233,'N'),(16,3033848,'1',316,'N'),(16,3033856,'1',415,'N'),(16,3033864,'1',233,'N'),(16,3033864,'1A',208,'N'),(16,3033880,'1',103,'N'),(16,3033902,'1',301,'N'),(16,3033937,'1',303,'N'),(16,3033945,'1',108,'N'),(16,3033953,'1',201,'N'),(16,3033953,'1A',212,'N'),(16,3033988,'1',303,'N'),(16,3034003,'1',9,'N'),(16,3034011,'1',5,'N'),(16,3034020,'1',208,'N'),(16,3034020,'1A',238,'N'),(16,3034038,'1',304,'N'),(16,3034046,'1',103,'N'),(16,3034062,'1',202,'N'),(16,3034062,'1A',203,'N'),(16,3034070,'1',103,'N'),(16,3034089,'1',328,'N'),(16,3034097,'1',104,'N'),(16,3034100,'1',103,'N'),(16,3034127,'1',302,'N'),(16,3034135,'1',303,'N'),(16,3034151,'1',450,'N'),(16,3034160,'1',103,'N'),(16,3034178,'1',340,'N'),(16,3034186,'1',453,'N'),(16,3034194,'1',103,'N'),(16,3034208,'1',220,'N'),(16,3034208,'1A',203,'N'),(16,3034216,'1',213,'N'),(16,3034216,'1A',238,'N'),(16,3034224,'1',103,'N'),(16,3034240,'1',304,'N'),(16,3034259,'1',451,'N'),(16,3034267,'1',301,'N'),(16,3034275,'1',5,'N'),(16,3034283,'1',317,'N'),(16,3034291,'1',103,'N'),(16,3034305,'1',203,'N'),(16,3034305,'1A',202,'N'),(16,3034313,'1',428,'N'),(16,3034313,'1A',426,'N'),(16,3034321,'1',220,'N'),(16,3034321,'1A',214,'N'),(16,3034330,'1',303,'N'),(16,3034348,'1',5,'N'),(16,3034356,'1',316,'N'),(16,3034364,'1',303,'N'),(16,3034372,'1',302,'N'),(16,3034399,'1',203,'N'),(16,3034399,'1A',214,'N'),(16,3034402,'1',201,'N'),(16,3034402,'1A',212,'N'),(16,3034410,'1',301,'N'),(16,3034437,'1',108,'N'),(16,3034445,'1',223,'N'),(16,3034453,'1',451,'N'),(16,3034470,'1',203,'N'),(16,3034470,'1A',214,'N'),(16,3034488,'1',340,'N'),(16,3034518,'1',302,'N'),(16,3034534,'1',303,'N'),(16,3034550,'1',103,'N'),(16,3034569,'1',319,'N'),(16,3034577,'1',103,'N'),(16,3034585,'1',216,'N'),(16,3034607,'1',223,'N'),(16,3034615,'1',211,'N'),(16,3034615,'1A',202,'N'),(16,3034623,'1',502,'N'),(16,3034631,'1',207,'N'),(16,3034631,'1A',201,'N'),(16,3034658,'1',233,'N'),(16,3034658,'1A',215,'N'),(16,3034666,'1',101,'N'),(16,3034674,'1',103,'N'),(16,3034682,'1',108,'N'),(16,3034704,'1',319,'N'),(16,3034712,'1',503,'N'),(16,3034720,'1',216,'N'),(16,3034720,'1A',202,'N'),(16,3034739,'1',450,'N'),(16,3034747,'1',340,'N'),(16,3034755,'1',301,'N'),(16,3034763,'1',233,'N'),(16,3034763,'1A',214,'N'),(16,3034771,'1',326,'N'),(16,3034780,'1',108,'N'),(16,3034801,'1',309,'N'),(16,3034810,'1',207,'N'),(16,3034836,'1',319,'N'),(16,3034844,'1',328,'N'),(16,3034852,'1',316,'N'),(16,3034860,'1',503,'N'),(16,3034887,'1',207,'N'),(16,3034887,'1A',211,'N'),(16,3034895,'1',425,'N'),(16,3034895,'1A',429,'N'),(16,3034909,'1',201,'N'),(16,3034909,'1A',212,'N'),(16,3034917,'1',213,'N'),(16,3034917,'1A',202,'N'),(16,3034925,'1',340,'N'),(16,3034933,'1',415,'N'),(16,3034941,'1',340,'N'),(16,3034950,'1',216,'N'),(16,3034968,'1',108,'N'),(16,3034976,'1',453,'N'),(16,3034992,'1',428,'N'),(16,3035000,'1',208,'N'),(16,3035000,'1A',238,'N'),(16,3035026,'1',208,'N'),(16,3035026,'1A',238,'N'),(16,3035034,'1',302,'N'),(16,3035042,'1',502,'N'),(16,3035050,'1',208,'N'),(16,3035050,'1A',238,'N'),(16,3035069,'1',317,'N'),(16,3035077,'1',234,'N'),(16,3035085,'1',103,'N'),(16,3035093,'1',103,'N'),(16,3035107,'1',203,'N'),(16,3035107,'1A',216,'N'),(16,3035115,'1',327,'N'),(16,3035123,'1',502,'N'),(16,3035131,'1',201,'N'),(16,3035131,'1A',207,'N'),(16,3035140,'1',207,'N'),(16,3035140,'1A',220,'N'),(16,3035158,'1',207,'N'),(16,3035158,'1A',201,'N'),(16,3035166,'1',501,'N'),(16,3035174,'1',102,'N'),(16,3035182,'1',318,'N'),(16,3035190,'1',103,'N'),(16,3035204,'1',429,'N'),(16,3035204,'1A',425,'N'),(16,3035212,'1',212,'N'),(16,3035212,'1A',214,'N'),(16,3035220,'1',234,'N'),(16,3035239,'1',303,'N'),(16,3035247,'1',238,'N'),(16,3035247,'1A',208,'N'),(16,3035255,'1',302,'N'),(16,3035271,'1',216,'N'),(16,3035271,'1A',201,'N'),(16,3035280,'1',201,'N'),(16,3035280,'1A',203,'N'),(16,3035298,'1',9,'N'),(16,3035301,'1',207,'N'),(16,3035301,'1A',201,'N'),(16,3035310,'1',203,'N'),(16,3035310,'1A',233,'N'),(16,3035328,'1',207,'N'),(16,3035328,'1A',201,'N'),(16,3035336,'1',103,'N'),(16,3035379,'1',238,'N'),(16,3035379,'1A',208,'N'),(16,3035395,'1',108,'N'),(16,3035409,'1',103,'N'),(16,3035425,'1',317,'N'),(16,3035433,'1',201,'N'),(16,3035433,'1A',212,'N'),(16,3035441,'1',108,'N'),(16,3035450,'1',212,'N'),(16,3035450,'1A',216,'N'),(16,3035476,'1',211,'N'),(16,3035476,'1A',233,'N'),(16,3035484,'1',429,'N'),(16,3035484,'1A',428,'N'),(16,3035506,'1',220,'N'),(16,3035506,'1A',203,'N'),(16,3035514,'1',424,'N'),(16,3035514,'1A',426,'N'),(16,3035530,'1',501,'N'),(16,3035549,'1',203,'N'),(16,3035549,'1A',201,'N'),(16,3035557,'1',103,'N'),(16,3035565,'1',103,'N'),(16,3035573,'1',415,'N'),(16,3035581,'1',301,'N'),(16,3035603,'1',309,'N'),(16,3035611,'1',451,'N'),(16,3035620,'1',502,'N'),(16,3035638,'1',333,'N'),(16,3035662,'1',451,'N'),(16,3035670,'1',211,'N'),(16,3035670,'1A',215,'N'),(16,3035689,'1',501,'N'),(16,3035697,'1',103,'N'),(16,3035719,'1',9,'N'),(16,3035727,'1',207,'N'),(16,3035727,'1A',212,'N'),(16,3035735,'1',201,'N'),(16,3035735,'1A',216,'N'),(16,3035743,'1',216,'N'),(16,3035743,'1A',233,'N'),(16,3035751,'1',329,'N'),(16,3035760,'1',428,'N'),(16,3035760,'1A',427,'N'),(16,3035778,'1',102,'N'),(16,3035786,'1',328,'N'),(16,3035794,'1',108,'N'),(16,3035808,'1',502,'N'),(16,3035832,'1',220,'N'),(16,3035832,'1A',202,'N'),(16,3035859,'1',318,'N'),(16,3035867,'1',216,'N'),(16,3035867,'1A',238,'N'),(16,3035875,'1',103,'N'),(16,3035883,'1',303,'N'),(16,3035905,'1',216,'N'),(16,3035905,'1A',212,'N'),(16,3035913,'1',108,'N'),(16,3035921,'1',103,'N'),(16,3035930,'1',452,'N'),(16,3035948,'1',203,'N'),(16,3035948,'1A',233,'N'),(16,3035956,'1',208,'N'),(16,3035956,'1A',238,'N'),(16,3035980,'1',301,'N'),(16,3035999,'1',216,'N'),(16,3035999,'1A',214,'N'),(16,3036022,'1',108,'N'),(16,3036030,'1',301,'N'),(16,3036049,'1',201,'N'),(16,3036049,'1A',207,'N'),(16,3036057,'1',233,'N'),(16,3036057,'1A',203,'N'),(16,3036065,'1',340,'N'),(16,3036073,'1',103,'N'),(16,3036081,'1',203,'N'),(16,3036081,'1A',202,'N'),(16,3036103,'1',421,'N'),(16,3036103,'1A',425,'N'),(16,3036111,'1',108,'N'),(16,3036138,'1',103,'N'),(16,3036146,'1',420,'N'),(16,3036154,'1',340,'N'),(16,3036162,'1',207,'N'),(16,3036162,'1A',202,'N'),(16,3036170,'1',216,'N'),(16,3036170,'1A',233,'N'),(16,3036189,'1',203,'N'),(16,3036189,'1A',214,'N'),(16,3036227,'1',103,'N'),(16,3036235,'1',303,'N'),(16,3036251,'1',202,'N'),(16,3036251,'1A',213,'N'),(16,3036260,'1',415,'N'),(16,3036286,'1',103,'N'),(16,3036294,'1',211,'N'),(16,3036316,'1',425,'N'),(16,3036316,'1A',429,'N'),(16,3036332,'1',318,'N'),(16,3036340,'1',103,'N'),(16,3036359,'1',108,'N'),(16,3036367,'1',103,'N'),(16,3036375,'1',103,'N'),(16,3036391,'1',9,'N'),(16,3036405,'1',212,'N'),(16,3036405,'1A',213,'N'),(16,3036413,'1',207,'N'),(16,3036421,'1',5,'N'),(16,3036430,'1',103,'N'),(16,3036448,'1',333,'N'),(16,3036456,'1',103,'N'),(16,3036464,'1',203,'N'),(16,3036472,'1',319,'N'),(16,3036480,'1',207,'N'),(16,3036499,'1',318,'N'),(16,3036502,'1',303,'N'),(16,3036510,'1',214,'N'),(16,3036510,'1A',212,'N'),(16,3036545,'1',211,'N'),(16,3036545,'1A',233,'N'),(16,3036553,'1',202,'N'),(16,3036553,'1A',220,'N'),(16,3036561,'1',203,'N'),(16,3036561,'1A',202,'N'),(16,3036570,'1',220,'N'),(16,3036570,'1A',216,'N'),(16,3036588,'1',103,'N'),(16,3036596,'1',211,'N'),(16,3036596,'1A',201,'N'),(16,3036600,'1',304,'N'),(16,3036626,'1',203,'N'),(16,3036626,'1A',214,'N'),(16,3036634,'1',340,'N'),(16,3036642,'1',309,'N'),(16,3036650,'1',203,'N'),(16,3036650,'1A',211,'N'),(16,3036669,'1',108,'N'),(16,3036677,'1',202,'N'),(16,3036677,'1A',213,'N'),(16,3036685,'1',310,'N'),(16,3036693,'1',103,'N'),(16,3036707,'1',224,'N'),(16,3036715,'1',208,'N'),(16,3036715,'1A',238,'N'),(16,3036723,'1',103,'N'),(16,3036731,'1',302,'N'),(16,3036740,'1',103,'N'),(16,3036766,'1',103,'N'),(16,3036774,'1',450,'N'),(16,3036782,'1',318,'N'),(16,3036790,'1',234,'N'),(16,3036804,'1',104,'N'),(16,3036812,'1',444,'N'),(16,3036839,'1',211,'N'),(16,3036839,'1A',201,'N'),(16,3036847,'1',103,'N'),(16,3036855,'1',333,'N'),(16,3036863,'1',201,'N'),(16,3036863,'1A',212,'N'),(16,3036871,'1',202,'N'),(16,3036871,'1A',213,'N'),(16,3036880,'1',316,'N'),(16,3036910,'1',203,'N'),(16,3036910,'1A',202,'N'),(16,3036928,'1',104,'N'),(16,3036944,'1',216,'N'),(16,3036944,'1A',201,'N'),(16,3036952,'1',211,'N'),(16,3036952,'1A',201,'N'),(16,3036960,'1',207,'N'),(16,3036960,'1A',201,'N'),(16,3036979,'1',5,'N'),(16,3036987,'1',340,'N'),(16,3036995,'1',103,'N'),(16,3037002,'1',203,'N'),(16,3037037,'1',101,'N'),(16,3037061,'1',238,'N'),(16,3037061,'1A',213,'N'),(16,3037070,'1',203,'N'),(16,3037070,'1A',220,'N'),(16,3037088,'1',9,'N'),(16,3037096,'1',203,'N'),(16,3037096,'1A',214,'N'),(16,3037100,'1',103,'N'),(16,3037118,'1',207,'N'),(16,3037118,'1A',201,'N'),(16,3037126,'1',301,'N'),(16,3037134,'1',326,'N'),(16,3037150,'1',103,'N'),(16,3037169,'1',303,'N'),(16,3037177,'1',203,'N'),(16,3037177,'1A',214,'N'),(16,3037185,'1',220,'N'),(16,3037185,'1A',203,'N'),(16,3037193,'1',3,'N'),(16,3037207,'1',103,'N'),(16,3037215,'1',304,'N'),(16,3037240,'1',103,'N'),(16,3037258,'1',502,'N'),(16,3037274,'1',101,'N'),(16,3037282,'1',319,'N'),(16,3037290,'1',203,'N'),(16,3037290,'1A',208,'N'),(16,3037312,'1',103,'N'),(16,3037320,'1',103,'N'),(16,3037339,'1',207,'N'),(16,3037347,'1',220,'N'),(16,3037347,'1A',208,'N'),(16,3037355,'1',103,'N'),(16,3037363,'1',216,'N'),(16,3037363,'1A',211,'N'),(16,3037371,'1',303,'N'),(16,3037380,'1',104,'N'),(16,3037398,'1',103,'N'),(16,3037401,'1',216,'N'),(16,3037401,'1A',212,'N'),(16,3037410,'1',102,'N'),(16,3037428,'1',203,'N'),(16,3037436,'1',211,'N'),(16,3037436,'1A',203,'N'),(16,3037444,'1',340,'N'),(16,3037452,'1',453,'N'),(16,3037460,'1',203,'N'),(16,3037460,'1A',220,'N'),(16,3037479,'1',211,'N'),(16,3037479,'1A',202,'N'),(16,3037487,'1',444,'N'),(16,3037495,'1',207,'N'),(16,3037509,'1',3,'N'),(16,3037517,'1',301,'N'),(16,3037525,'1',103,'N'),(16,3037533,'1',214,'N'),(16,3037533,'1A',203,'N'),(16,3037541,'1',201,'N'),(16,3037541,'1A',203,'N'),(16,3037550,'1',453,'N'),(16,3037568,'1',5,'N'),(16,3037576,'1',104,'N'),(16,3037592,'1',216,'N'),(16,3037592,'1A',233,'N'),(16,3037606,'1',234,'N'),(16,3037622,'1',420,'N'),(16,3037630,'1',424,'N'),(16,3037630,'1A',426,'N'),(16,3037665,'1',319,'N'),(16,3037673,'1',303,'N'),(16,3037690,'1',203,'N'),(16,3037690,'1A',220,'N'),(16,3037703,'1',103,'N'),(16,3037746,'1',201,'N'),(16,3037746,'1A',233,'N'),(16,3037754,'1',340,'N'),(16,3037762,'1',220,'N'),(16,3037762,'1A',201,'N'),(16,3037789,'1',216,'N'),(16,3037789,'1A',215,'N'),(16,3037797,'1',220,'N'),(16,3037797,'1A',202,'N'),(16,3037819,'1',108,'N'),(16,3037827,'1',203,'N'),(16,3037827,'1A',201,'N'),(16,3037835,'1',415,'N'),(16,3037851,'1',215,'N'),(16,3037851,'1A',201,'N'),(16,3037886,'1',302,'N'),(16,3037894,'1',424,'N'),(16,3037894,'1A',425,'N'),(16,3037908,'1',103,'N'),(16,3037916,'1',103,'N'),(16,3037924,'1',5,'N'),(16,3037932,'1',2,'N'),(16,3037940,'1',216,'N'),(16,3037940,'1A',203,'N'),(16,3037959,'1',202,'N'),(16,3037959,'1A',220,'N'),(16,3037967,'1',103,'N'),(16,3037975,'1',211,'N'),(16,3037975,'1A',208,'N'),(16,3037983,'1',103,'N'),(16,3038009,'1',301,'N'),(16,3038017,'1',223,'N'),(16,3038025,'1',302,'N'),(16,3038033,'1',103,'N'),(16,3038041,'1',103,'N'),(16,3038050,'1',103,'N'),(16,3038068,'1',104,'N'),(16,3038084,'1',103,'N'),(16,3038092,'1',202,'N'),(16,3038092,'1A',220,'N'),(16,3038106,'1',502,'N'),(16,3038122,'1',301,'N'),(16,3038157,'1',103,'N'),(16,3038165,'1',216,'N'),(16,3038173,'1',501,'N'),(16,3038181,'1',451,'N'),(16,3038190,'1',203,'N'),(16,3038190,'1A',201,'N'),(16,3038203,'1',207,'N'),(16,3038203,'1A',201,'N'),(16,3038211,'1',425,'N'),(16,3038211,'1A',428,'N'),(16,3038220,'1',318,'N'),(16,3038246,'1',444,'N'),(16,3038254,'1',303,'N'),(16,3038262,'1',303,'N'),(16,3038270,'1',103,'N'),(16,3038289,'1',203,'N'),(16,3038289,'1A',214,'N'),(16,3038297,'1',103,'N'),(16,3038300,'1',324,'N'),(16,3038319,'1',208,'N'),(16,3038319,'1A',203,'N'),(16,3038327,'1',103,'N'),(16,3038335,'1',5,'N'),(16,3038343,'1',207,'N'),(16,3038343,'1A',201,'N'),(16,3038360,'1',201,'N'),(16,3038360,'1A',207,'N'),(16,3038378,'1',316,'N'),(16,3038386,'1',103,'N'),(16,3038394,'1',203,'N'),(16,3038394,'1A',202,'N'),(16,3038408,'1',201,'N'),(16,3038408,'1A',212,'N'),(16,3038416,'1',104,'N'),(16,3038424,'1',103,'N'),(16,3038432,'1',103,'N'),(16,3038440,'1',208,'N'),(16,3038440,'1A',238,'N'),(16,3038459,'1',208,'N'),(16,3038459,'1A',203,'N'),(16,3038483,'1',208,'N'),(16,3038483,'1A',203,'N'),(16,3038491,'1',104,'N'),(16,3038505,'1',503,'N'),(16,3038513,'1',415,'N'),(16,3038521,'1',203,'N'),(16,3038521,'1A',214,'N'),(16,3038530,'1',220,'N'),(16,3038530,'1A',202,'N'),(16,3038548,'1',103,'N'),(16,3038564,'1',319,'N'),(16,3038572,'1',415,'N'),(16,3038580,'1',318,'N'),(16,3038599,'1',211,'N'),(16,3038599,'1A',216,'N'),(16,3038610,'1',415,'N'),(16,3038629,'1',302,'N'),(16,3038637,'1',220,'N'),(16,3038637,'1A',214,'N'),(16,3038645,'1',104,'N'),(16,3038653,'1',319,'N'),(16,3038661,'1',216,'N'),(16,3038661,'1A',220,'N'),(16,3038670,'1',317,'N'),(16,3038688,'1',102,'N'),(16,3038696,'1',201,'N'),(16,3038696,'1A',202,'N'),(16,3038700,'1',214,'N'),(16,3038718,'1',340,'N'),(16,3038726,'1',103,'N'),(16,3038750,'1',238,'N'),(16,3038750,'1A',202,'N'),(16,3038769,'1',103,'N'),(16,3038777,'1',326,'N'),(16,3038785,'1',108,'N'),(16,3038793,'1',450,'N'),(16,3038807,'1',316,'N'),(16,3038823,'1',103,'N'),(16,3038831,'1',103,'N'),(16,3038840,'1',211,'N'),(16,3038840,'1A',215,'N'),(16,3038858,'1',103,'N'),(16,3038866,'1',102,'N'),(16,3038874,'1',304,'N'),(16,3038882,'1',3,'N'),(16,3038890,'1',303,'N'),(16,3038904,'1',501,'N'),(16,3038912,'1',104,'N'),(16,3038920,'1',207,'N'),(16,3038920,'1A',201,'N'),(16,3038939,'1',238,'N'),(16,3038939,'1A',208,'N'),(16,3038947,'1',233,'N'),(16,3038947,'1A',214,'N'),(16,3038955,'1',404,'N'),(16,3038963,'1',316,'N'),(16,3038980,'1',201,'N'),(16,3038980,'1A',214,'N'),(16,3038998,'1',238,'N'),(16,3038998,'1A',208,'N'),(16,3039005,'1',211,'N'),(16,3039005,'1A',216,'N'),(16,3039013,'1',304,'N'),(16,3039021,'1',444,'N'),(16,3039030,'1',415,'N'),(16,3039048,'1',303,'N'),(16,3039056,'1',309,'N'),(16,3039064,'1',319,'N'),(16,3039080,'1',103,'N'),(16,3039099,'1',316,'N'),(16,3039102,'1',327,'N'),(16,3039110,'1',304,'N'),(16,3039129,'1',319,'N'),(16,3039137,'1',316,'N'),(16,3039153,'1',212,'N'),(16,3039153,'1A',214,'N'),(16,3039161,'1',428,'N'),(16,3039161,'1A',421,'N'),(16,3039170,'1',450,'N'),(16,3039196,'1',317,'N'),(16,3039200,'1',225,'N'),(16,3039218,'1',207,'N'),(16,3039218,'1A',201,'N'),(16,3039226,'1',208,'N'),(16,3039226,'1A',238,'N'),(16,3039234,'1',450,'N'),(16,3039242,'1',203,'N'),(16,3039242,'1A',213,'N'),(16,3039250,'1',207,'N'),(16,3039250,'1A',201,'N'),(16,3039277,'1',238,'N'),(16,3039285,'1',203,'N'),(16,3039285,'1A',220,'N'),(16,3039293,'1',225,'N'),(16,3039307,'1',317,'N'),(16,3039323,'1',5,'N'),(16,3039331,'1',450,'N'),(16,3039340,'1',318,'N'),(16,3039366,'1',5,'N'),(16,3039374,'1',103,'N'),(16,3039382,'1',215,'N'),(16,3039382,'1A',212,'N'),(16,3039390,'1',303,'N'),(16,3039404,'1',340,'N'),(16,3039420,'1',207,'N'),(16,3039420,'1A',201,'N'),(16,3039439,'1',220,'N'),(16,3039439,'1A',213,'N'),(16,3039447,'1',203,'N'),(16,3039447,'1A',214,'N'),(16,3039471,'1',103,'N'),(16,3039480,'1',316,'N'),(16,3039501,'1',220,'N'),(16,3039501,'1A',203,'N'),(16,3039510,'1',317,'N'),(16,3039528,'1',316,'N'),(16,3039536,'1',101,'N'),(16,3039544,'1',415,'N'),(16,3039552,'1',103,'N'),(16,3039560,'1',303,'N'),(16,3039579,'1',101,'N'),(16,3039587,'1',303,'N'),(16,3039609,'1',103,'N'),(16,3039617,'1',319,'N'),(16,3039625,'1',207,'N'),(16,3039625,'1A',201,'N'),(16,3039633,'1',428,'N'),(16,3039633,'1A',426,'N'),(16,3039641,'1',103,'N'),(16,3039650,'1',103,'N'),(16,3039676,'1',207,'N'),(16,3039676,'1A',201,'N'),(16,3039692,'1',208,'N'),(16,3039692,'1A',238,'N'),(16,3039730,'1',203,'N'),(16,3039730,'1A',214,'N'),(16,3039749,'1',501,'N'),(16,3039757,'1',201,'N'),(16,3039757,'1A',233,'N'),(16,3039765,'1',103,'N'),(16,3039773,'1',103,'N'),(16,3039781,'1',103,'N'),(16,3039790,'1',220,'N'),(16,3039790,'1A',202,'N'),(16,3039803,'1',233,'N'),(16,3039803,'1A',212,'N'),(16,3039811,'1',212,'N'),(16,3039811,'1A',201,'N'),(16,3039838,'1',207,'N'),(16,3039838,'1A',216,'N'),(16,3039846,'1',202,'N'),(16,3039846,'1A',213,'N'),(16,3039854,'1',104,'N'),(16,3039862,'1',452,'N'),(16,3039870,'1',103,'N'),(16,3039897,'1',103,'N'),(16,3039900,'1',104,'N'),(16,3039919,'1',451,'N'),(16,3039927,'1',208,'N'),(16,3039927,'1A',238,'N'),(16,3039935,'1',333,'N'),(16,3039943,'1',453,'N'),(16,3039960,'1',327,'N'),(16,3039978,'1',220,'N'),(16,3039978,'1A',201,'N'),(16,3039986,'1',415,'N'),(16,3039994,'1',224,'N'),(16,3040003,'1',104,'N'),(16,3040011,'1',317,'N'),(16,3040020,'1',213,'N'),(16,3040020,'1A',214,'N'),(16,3040054,'1',103,'N'),(16,3040062,'1',108,'N'),(16,3040070,'1',205,'N'),(16,3040089,'1',9,'N'),(16,3040097,'1',101,'N'),(16,3040119,'1',5,'N'),(16,3040127,'1',103,'N'),(16,3040135,'1',340,'N'),(16,3040143,'1',101,'N'),(16,3040178,'1',103,'N'),(16,3040186,'1',201,'N'),(16,3040194,'1',108,'N'),(16,3040208,'1',103,'N'),(16,3040216,'1',103,'N'),(16,3040224,'1',9,'N'),(16,3040240,'1',202,'N'),(16,3040240,'1A',203,'N'),(16,3040259,'1',331,'N'),(16,3040267,'1',104,'N'),(16,3040283,'1',317,'N'),(16,3040291,'1',214,'N'),(16,3040291,'1A',238,'N'),(16,3040321,'1',333,'N'),(16,3040330,'1',102,'N'),(16,3040348,'1',5,'N'),(16,3040364,'1',208,'N'),(16,3040364,'1A',201,'N'),(16,3040372,'1',220,'N'),(16,3040372,'1A',238,'N'),(16,3040380,'1',304,'N'),(16,3040402,'1',102,'N'),(16,3040410,'1',103,'N'),(16,3040429,'1',103,'N'),(16,3040437,'1',421,'N'),(16,3040437,'1A',424,'N'),(16,3040453,'1',103,'N'),(16,3040496,'1',220,'N'),(16,3040496,'1A',202,'N'),(16,3040500,'1',404,'N'),(16,3040518,'1',108,'N'),(16,3040526,'1',9,'N'),(16,3040534,'1',319,'N'),(16,3040542,'1',214,'N'),(16,3040542,'1A',201,'N'),(16,3040550,'1',104,'N'),(16,3040569,'1',103,'N'),(16,3040577,'1',318,'N'),(16,3040585,'1',301,'N'),(16,3040593,'1',5,'N'),(16,3040607,'1',203,'N'),(16,3040607,'1A',214,'N'),(16,3040615,'1',450,'N'),(16,3040623,'1',203,'N'),(16,3040623,'1A',233,'N'),(16,3040631,'1',453,'N'),(16,3040640,'1',303,'N'),(16,3040658,'1',104,'N'),(16,3040666,'1',103,'N'),(16,3040674,'1',104,'N'),(16,3040682,'1',103,'N'),(16,3040690,'1',207,'N'),(16,3040690,'1A',201,'N'),(16,3040704,'1',207,'N'),(16,3040704,'1A',201,'N'),(16,3040712,'1',216,'N'),(16,3040712,'1A',211,'N'),(16,3040755,'1',303,'N'),(16,3040763,'1',103,'N'),(16,3040771,'1',102,'N'),(16,3040780,'1',9,'N'),(16,3040798,'1',201,'N'),(16,3040798,'1A',215,'N'),(16,3040801,'1',211,'N'),(16,3040801,'1A',233,'N'),(16,3040810,'1',102,'N'),(16,3040828,'1',103,'N'),(16,3040836,'1',9,'N'),(16,3040844,'1',103,'N'),(16,3040852,'1',103,'N'),(16,3040860,'1',103,'N'),(16,3040887,'1',308,'N'),(16,3040909,'1',303,'N'),(16,3040917,'1',103,'N'),(16,3040925,'1',102,'N'),(16,3040933,'1',103,'N'),(16,3040941,'1',213,'N'),(16,3040941,'1A',202,'N'),(16,3040950,'1',103,'N'),(16,3040976,'1',303,'N'),(16,3040984,'1',319,'N'),(16,3040992,'1',108,'N'),(16,3041000,'1',316,'N'),(16,3041018,'1',5,'N'),(16,3041026,'1',220,'N'),(16,3041026,'1A',203,'N'),(16,3041034,'1',5,'N'),(16,3041042,'1',103,'N'),(16,3041050,'1',108,'N'),(16,3041069,'1',103,'N'),(16,3041077,'1',303,'N'),(16,3041085,'1',104,'N'),(16,3041115,'1',503,'N'),(16,3041123,'1',303,'N'),(16,3041131,'1',103,'N'),(16,3041158,'1',208,'N'),(16,3041158,'1A',238,'N'),(16,3041166,'1',319,'N'),(16,3041174,'1',103,'N'),(16,3041182,'1',331,'N'),(16,3041190,'1',308,'N'),(16,3041204,'1',103,'N'),(16,3041212,'1',318,'N'),(16,3041220,'1',203,'N'),(16,3041220,'1A',215,'N'),(16,3041247,'1',304,'N'),(16,3041255,'1',333,'N'),(16,3041271,'1',303,'N'),(16,3041280,'1',425,'N'),(16,3041298,'1',444,'N'),(16,3041301,'1',103,'N'),(16,3041310,'1',220,'N'),(16,3041310,'1A',202,'N'),(16,3041328,'1',423,'N'),(16,3041328,'1A',424,'N'),(16,3041336,'1',201,'N'),(16,3041336,'1A',207,'N'),(16,3041344,'1',103,'N'),(16,3041352,'1',238,'N'),(16,3041352,'1A',208,'N'),(16,3041379,'1',415,'N'),(16,3041387,'1',103,'N'),(16,3041395,'1',304,'N'),(16,3041409,'1',104,'N'),(16,3041417,'1',103,'N'),(16,3041433,'1',216,'N'),(16,3041433,'1A',213,'N'),(16,3041441,'1',327,'N'),(16,3041450,'1',238,'N'),(16,3041450,'1A',208,'N'),(16,3041468,'1',103,'N'),(16,3041476,'1',103,'N'),(16,3041484,'1',425,'N'),(16,3041484,'1A',426,'N'),(16,3041492,'1',304,'N'),(16,3041506,'1',103,'N'),(16,3041514,'1',340,'N'),(16,3041522,'1',103,'N'),(16,3041530,'1',220,'N'),(16,3041530,'1A',201,'N'),(16,3041565,'1',207,'N'),(16,3041565,'1A',201,'N'),(16,3041573,'1',233,'N'),(16,3041573,'1A',238,'N'),(16,3041590,'1',225,'N'),(16,3041638,'1',207,'N'),(16,3041638,'1A',202,'N'),(16,3041654,'1',303,'N'),(16,3041662,'1',103,'N'),(16,3041670,'1',202,'N'),(16,3041670,'1A',201,'N'),(16,3041689,'1',303,'N'),(16,3041697,'1',102,'N'),(16,3041719,'1',215,'N'),(16,3041719,'1A',216,'N'),(16,3041727,'1',103,'N'),(16,3041735,'1',301,'N'),(16,3041743,'1',207,'N'),(16,3041760,'1',213,'N'),(16,3041778,'1',9,'N'),(16,3041794,'1',212,'N'),(16,3041794,'1A',233,'N'),(16,3041808,'1',207,'N'),(16,3041808,'1A',220,'N'),(16,3041824,'1',103,'N'),(16,3041832,'1',103,'N'),(16,3041840,'1',428,'N'),(16,3041840,'1A',424,'N'),(16,3041883,'1',316,'N'),(16,3041891,'1',303,'N'),(16,3041905,'1',202,'N'),(16,3041905,'1A',213,'N'),(16,3041913,'1',102,'N'),(16,3041921,'1',238,'N'),(16,3041921,'1A',201,'N'),(16,3041930,'1',453,'N'),(16,3041956,'1',212,'N'),(16,3041956,'1A',213,'N'),(16,3041964,'1',233,'N'),(16,3041964,'1A',203,'N'),(16,3041972,'1',304,'N'),(16,3041980,'1',426,'N'),(16,3041980,'1A',428,'N'),(16,3041999,'1',404,'N'),(16,3042006,'1',5,'N'),(16,3042014,'1',201,'N'),(16,3042014,'1A',212,'N'),(16,3042022,'1',502,'N'),(16,3042030,'1',316,'N'),(16,3042049,'1',103,'N'),(16,3042065,'1',303,'N'),(16,3042073,'1',319,'N'),(16,3042081,'1',238,'N'),(16,3042081,'1A',208,'N'),(16,3042090,'1',444,'N'),(16,3042103,'1',208,'N'),(16,3042103,'1A',238,'N'),(16,3042111,'1',5,'N'),(16,3042120,'1',415,'N'),(16,3042138,'1',207,'N'),(16,3042162,'1',103,'N'),(16,3042189,'1',211,'N'),(16,3042189,'1A',215,'N'),(16,3042197,'1',207,'N'),(16,3042197,'1A',211,'N'),(16,3042200,'1',103,'N'),(16,3042219,'1',103,'N'),(16,3042227,'1',103,'N'),(16,3042235,'1',103,'N'),(16,3042243,'1',333,'N'),(16,3042251,'1',202,'N'),(16,3042251,'1A',211,'N'),(16,3042260,'1',302,'N'),(16,3042278,'1',201,'N'),(16,3042278,'1A',214,'N'),(16,3042294,'1',203,'N'),(16,3042294,'1A',233,'N'),(16,3042308,'1',214,'N'),(16,3042308,'1A',220,'N'),(16,3042316,'1',9,'N'),(16,3042324,'1',103,'N'),(16,3042332,'1',5,'N'),(16,3042340,'1',302,'N'),(16,3042359,'1',103,'N'),(16,3042367,'1',207,'N'),(16,3042367,'1A',214,'N'),(16,3042375,'1',103,'N'),(16,3042383,'1',201,'N'),(16,3042383,'1A',214,'N'),(16,3042405,'1',220,'N'),(16,3042405,'1A',207,'N'),(16,3042421,'1',303,'N'),(16,3042448,'1',503,'N'),(16,3042456,'1',333,'N'),(16,3042464,'1',201,'N'),(16,3042464,'1A',207,'N'),(16,3042480,'1',303,'N'),(16,3042499,'1',103,'N'),(16,3042502,'1',225,'N'),(16,3042510,'1',450,'N'),(16,3042529,'1',453,'N'),(16,3042537,'1',220,'N'),(16,3042537,'1A',207,'N'),(16,3042545,'1',340,'N'),(16,3042561,'1',220,'N'),(16,3042561,'1A',214,'N'),(16,3042570,'1',316,'N'),(16,3042588,'1',238,'N'),(16,3042588,'1A',201,'N'),(16,3042596,'1',428,'N'),(16,3042596,'1A',421,'N'),(16,3042626,'1',202,'N'),(16,3042626,'1A',238,'N'),(16,3042634,'1',501,'N'),(16,3042650,'1',9,'N'),(16,3042669,'1',216,'N'),(16,3042669,'1A',211,'N'),(16,3042677,'1',103,'N'),(16,3042685,'1',238,'N'),(16,3042685,'1A',208,'N'),(16,3042715,'1',103,'N'),(16,3042723,'1',452,'N'),(16,3042740,'1',108,'N'),(16,3042758,'1',103,'N'),(16,3042766,'1',203,'N'),(16,3042766,'1A',211,'N'),(16,3042774,'1',316,'N'),(16,3042782,'1',202,'N'),(16,3042782,'1A',203,'N'),(16,3042790,'1',5,'N'),(16,3042804,'1',201,'N'),(16,3042804,'1A',212,'N'),(16,3042812,'1',202,'N'),(16,3042812,'1A',238,'N'),(16,3042820,'1',203,'N'),(16,3042820,'1A',214,'N'),(16,3042847,'1',216,'N'),(16,3042847,'1A',203,'N'),(16,3042863,'1',327,'N'),(16,3042871,'1',104,'N'),(16,3042880,'1',328,'N'),(16,3042898,'1',207,'N'),(16,3042898,'1A',201,'N'),(16,3042901,'1',5,'N'),(16,3042910,'1',207,'N'),(16,3042910,'1A',201,'N'),(16,3042936,'1',340,'N'),(16,3042944,'1',301,'N'),(16,3042960,'1',303,'N'),(16,3042979,'1',103,'N'),(16,3042987,'1',331,'N'),(16,3042995,'1',208,'N'),(16,3042995,'1A',203,'N'),(16,3043002,'1',201,'N'),(16,3043002,'1A',212,'N'),(16,3043029,'1',207,'N'),(16,3043037,'1',303,'N'),(16,3043045,'1',5,'N'),(16,3043053,'1',103,'N'),(16,3043061,'1',207,'N'),(16,3043061,'1A',202,'N'),(16,3043070,'1',9,'N'),(16,3043088,'1',103,'N'),(16,3043100,'1',5,'N'),(16,3043118,'1',501,'N'),(16,3043126,'1',415,'N'),(16,3043134,'1',103,'N'),(16,3043142,'1',319,'N'),(16,3043169,'1',302,'N'),(16,3043177,'1',425,'N'),(16,3043177,'1A',429,'N'),(16,3043185,'1',450,'N'),(16,3043193,'1',103,'N'),(16,3043207,'1',340,'N'),(16,3043215,'1',103,'N'),(16,3043231,'1',207,'N'),(16,3043231,'1A',211,'N'),(16,3043240,'1',201,'N'),(16,3043240,'1A',207,'N'),(16,3043258,'1',207,'N'),(16,3043266,'1',103,'N'),(16,3043282,'1',203,'N'),(16,3043282,'1A',202,'N'),(16,3043290,'1',303,'N'),(16,3043304,'1',103,'N'),(16,3043339,'1',340,'N'),(16,3043347,'1',203,'N'),(16,3043347,'1A',214,'N'),(16,3043355,'1',207,'N'),(16,3043355,'1A',211,'N'),(16,3043363,'1',203,'N'),(16,3043363,'1A',208,'N'),(16,3043371,'1',108,'N'),(16,3043380,'1',233,'N'),(16,3043380,'1A',203,'N'),(16,3043398,'1',104,'N'),(16,3043401,'1',103,'N'),(16,3043410,'1',203,'N'),(16,3043410,'1A',216,'N'),(16,3043428,'1',201,'N'),(16,3043428,'1A',214,'N'),(16,3043436,'1',316,'N'),(16,3043444,'1',213,'N'),(16,3043444,'1A',212,'N'),(16,3043452,'1',103,'N'),(16,3043460,'1',220,'N'),(16,3043460,'1A',202,'N'),(16,3043479,'1',104,'N'),(16,3043487,'1',427,'N'),(16,3043495,'1',203,'N'),(16,3043495,'1A',216,'N'),(16,3043509,'1',316,'N'),(16,3043517,'1',450,'N'),(16,3043525,'1',201,'N'),(16,3043525,'1A',212,'N'),(16,3043533,'1',332,'N'),(16,3043541,'1',415,'N'),(16,3043550,'1',319,'N'),(16,3043568,'1',333,'N'),(16,3043576,'1',104,'N'),(16,3043584,'1',220,'N'),(16,3043584,'1A',203,'N'),(16,3043592,'1',108,'N'),(16,3043606,'1',207,'N'),(16,3043606,'1A',201,'N'),(16,3043614,'1',103,'N'),(16,3043622,'1',202,'N'),(16,3043622,'1A',233,'N'),(16,3043630,'1',238,'N'),(16,3043649,'1',203,'N'),(16,3043649,'1A',216,'N'),(16,3043665,'1',428,'N'),(16,3043665,'1A',423,'N'),(16,3043673,'1',103,'N'),(16,3043690,'1',5,'N'),(16,3043703,'1',308,'N'),(16,3043711,'1',220,'N'),(16,3043711,'1A',201,'N'),(16,3043720,'1',3,'N'),(16,3043738,'1',203,'N'),(16,3043738,'1A',208,'N'),(16,3043746,'1',207,'N'),(16,3043746,'1A',208,'N'),(16,3043754,'1',340,'N'),(16,3043762,'1',103,'N'),(16,3043770,'1',303,'N'),(16,3043797,'1',332,'N'),(16,3043800,'1',302,'N'),(16,3043827,'1',103,'N'),(16,3043835,'1',333,'N'),(16,3043843,'1',203,'N'),(16,3043843,'1A',220,'N'),(16,3043851,'1',223,'N'),(16,3043860,'1',223,'N'),(16,3043886,'1',103,'N'),(16,3043908,'1',501,'N'),(16,3043916,'1',319,'N'),(16,3043932,'1',3,'N'),(16,3043967,'1',450,'N'),(16,3043975,'1',428,'N'),(16,3043975,'1A',427,'N'),(16,3043983,'1',420,'N'),(16,3043991,'1',450,'N'),(16,3044017,'1',502,'N'),(16,3044025,'1',303,'N'),(16,3044033,'1',103,'N'),(16,3044041,'1',104,'N'),(16,3044068,'1',103,'N'),(16,3044076,'1',201,'N'),(16,3044076,'1A',212,'N'),(16,3044084,'1',103,'N'),(16,3044106,'1',108,'N'),(16,3044114,'1',103,'N'),(16,3044122,'1',301,'N'),(16,3044130,'1',220,'N'),(16,3044130,'1A',203,'N'),(16,3044149,'1',103,'N'),(16,3044157,'1',103,'N'),(16,3044165,'1',301,'N'),(16,3044173,'1',501,'N'),(16,3044181,'1',201,'N'),(16,3044181,'1A',212,'N'),(16,3044190,'1',211,'N'),(16,3044190,'1A',208,'N'),(16,3044203,'1',303,'N'),(16,3044220,'1',216,'N'),(16,3044220,'1A',211,'N'),(16,3044246,'1',103,'N'),(16,3044254,'1',450,'N'),(16,3044262,'1',340,'N'),(16,3044289,'1',415,'N'),(16,3044297,'1',104,'N'),(16,3044300,'1',207,'N'),(16,3044319,'1',103,'N'),(16,3044327,'1',212,'N'),(16,3044327,'1A',214,'N'),(16,3044335,'1',202,'N'),(16,3044335,'1A',220,'N'),(16,3044343,'1',108,'N'),(16,3044351,'1',203,'N'),(16,3044351,'1A',202,'N'),(16,3044360,'1',201,'N'),(16,3044360,'1A',207,'N'),(16,3044378,'1',212,'N'),(16,3044378,'1A',233,'N'),(16,3044386,'1',423,'N'),(16,3044386,'1A',428,'N'),(16,3044394,'1',212,'N'),(16,3044394,'1A',202,'N'),(16,3044408,'1',214,'N'),(16,3044408,'1A',212,'N'),(16,3044416,'1',108,'N'),(16,3044424,'1',203,'N'),(16,3044424,'1A',214,'N'),(16,3044432,'1',216,'N'),(16,3044459,'1',103,'N'),(16,3044467,'1',420,'N'),(16,3044475,'1',5,'N'),(16,3044483,'1',340,'N'),(16,3044513,'1',233,'N'),(16,3044513,'1A',216,'N'),(16,3044521,'1',340,'N'),(16,3044530,'1',452,'N'),(16,3044548,'1',201,'N'),(16,3044548,'1A',215,'N'),(16,3044556,'1',5,'N'),(16,3044564,'1',102,'N'),(16,3044572,'1',444,'N'),(16,3044580,'1',207,'N'),(16,3044610,'1',304,'N'),(16,3044629,'1',5,'N'),(16,3044645,'1',303,'N'),(16,3044653,'1',317,'N'),(16,3044661,'1',216,'N'),(16,3044670,'1',108,'N'),(16,3044688,'1',225,'N'),(16,3044696,'1',101,'N'),(16,3044700,'1',428,'N'),(16,3044700,'1A',426,'N'),(16,3044718,'1',103,'N'),(16,3044726,'1',201,'N'),(16,3044726,'1A',203,'N'),(16,3044734,'1',331,'N'),(16,3044742,'1',319,'N'),(16,3044750,'1',5,'N'),(16,3044769,'1',301,'N'),(16,3044777,'1',208,'N'),(16,3044777,'1A',238,'N'),(16,3044785,'1',213,'N'),(16,3044785,'1A',220,'N'),(16,3044793,'1',103,'N'),(16,3044807,'1',319,'N'),(16,3044815,'1',201,'N'),(16,3044823,'1',203,'N'),(16,3044823,'1A',201,'N'),(16,3044831,'1',318,'N'),(16,3044840,'1',302,'N'),(16,3044858,'1',2,'N'),(16,3044866,'1',303,'N'),(16,3044874,'1',501,'N'),(16,3044890,'1',103,'N'),(16,3044912,'1',303,'N'),(16,3044920,'1',104,'N'),(16,3044939,'1',214,'N'),(16,3044939,'1A',212,'N'),(16,3044947,'1',5,'N'),(16,3044955,'1',233,'N'),(16,3044955,'1A',215,'N'),(16,3044963,'1',310,'N'),(16,3044971,'1',103,'N'),(16,3044980,'1',425,'N'),(16,3044998,'1',103,'N'),(16,3045005,'1',333,'N'),(16,3045013,'1',238,'N'),(16,3045013,'1A',208,'N'),(16,3045021,'1',220,'N'),(16,3045021,'1A',214,'N'),(16,3045030,'1',103,'N'),(16,3045048,'1',452,'N'),(16,3045056,'1',207,'N'),(16,3045056,'1A',201,'N'),(16,3045064,'1',108,'N'),(16,3045080,'1',303,'N'),(16,3045099,'1',415,'N'),(16,3045102,'1',420,'N'),(16,3045110,'1',103,'N'),(16,3045129,'1',201,'N'),(16,3045129,'1A',203,'N'),(16,3045137,'1',303,'N'),(16,3045153,'1',420,'N'),(16,3045170,'1',302,'N'),(16,3045188,'1',304,'N'),(16,3045196,'1',415,'N'),(16,3045200,'1',502,'N'),(16,3045218,'1',324,'N'),(16,3045226,'1',103,'N'),(16,3045242,'1',211,'N'),(16,3045242,'1A',201,'N'),(16,3045250,'1',5,'N'),(16,3045277,'1',103,'N'),(16,3045293,'1',203,'N'),(16,3045293,'1A',202,'N'),(16,3045307,'1',501,'N'),(16,3045323,'1',302,'N'),(16,3045331,'1',103,'N'),(16,3045340,'1',201,'N'),(16,3045340,'1A',233,'N'),(16,3045366,'1',201,'N'),(16,3045366,'1A',203,'N'),(16,3045374,'1',5,'N'),(16,3045382,'1',317,'N'),(16,3045390,'1',339,'N'),(16,3045404,'1',316,'N'),(16,3045412,'1',103,'N'),(16,3045420,'1',208,'N'),(16,3045420,'1A',238,'N'),(16,3045439,'1',502,'N'),(16,3045447,'1',216,'N'),(16,3045447,'1A',238,'N'),(16,3045455,'1',5,'N'),(16,3045463,'1',103,'N'),(16,3045480,'1',103,'N'),(16,3045498,'1',340,'N'),(16,3045501,'1',216,'N'),(16,3045501,'1A',238,'N'),(16,3045510,'1',233,'N'),(16,3045510,'1A',203,'N'),(16,3045528,'1',318,'N'),(16,3045536,'1',220,'N'),(16,3045536,'1A',202,'N'),(16,3045552,'1',301,'N'),(16,3045560,'1',108,'N'),(16,3045587,'1',103,'N'),(16,3045595,'1',415,'N'),(16,3045609,'1',103,'N'),(16,3045633,'1',202,'N'),(16,3045633,'1A',220,'N'),(16,3045641,'1',2,'N'),(16,3045650,'1',5,'N'),(16,3045668,'1',5,'N'),(16,3045684,'1',103,'N'),(16,3045692,'1',220,'N'),(16,3045692,'1A',201,'N'),(16,3045706,'1',103,'N'),(16,3045714,'1',103,'N'),(16,3045722,'1',331,'N'),(16,3045749,'1',104,'N'),(16,3045757,'1',103,'N'),(16,3045773,'1',103,'N'),(16,3045803,'1',215,'N'),(16,3045803,'1A',201,'N'),(16,3045811,'1',220,'N'),(16,3045838,'1',207,'N'),(16,3045838,'1A',201,'N'),(16,3045846,'1',303,'N'),(16,3045862,'1',5,'N'),(16,3045889,'1',101,'N'),(16,3045897,'1',319,'N'),(16,3045919,'1',309,'N'),(16,3045927,'1',102,'N'),(16,3045935,'1',220,'N'),(16,3045935,'1A',233,'N'),(16,3045943,'1',103,'N'),(16,3045951,'1',319,'N'),(16,3045960,'1',214,'N'),(16,3045960,'1A',233,'N'),(16,3045986,'1',203,'N'),(16,3045986,'1A',220,'N'),(16,3045994,'1',5,'N'),(16,3046001,'1',103,'N'),(16,3046010,'1',215,'N'),(16,3046010,'1A',211,'N'),(16,3046028,'1',415,'N'),(16,3046036,'1',102,'N'),(16,3046052,'1',211,'N'),(16,3046052,'1A',216,'N'),(16,3046060,'1',103,'N'),(16,3046079,'1',303,'N'),(16,3046087,'1',203,'N'),(16,3046087,'1A',202,'N'),(16,3046095,'1',302,'N'),(16,3046109,'1',329,'N'),(16,3046117,'1',3,'N'),(16,3046125,'1',238,'N'),(16,3046125,'1A',208,'N'),(16,3046133,'1',502,'N'),(16,3046141,'1',208,'N'),(16,3046141,'1A',202,'N'),(16,3046150,'1',303,'N'),(16,3046168,'1',452,'N'),(16,3046176,'1',103,'N'),(16,3046184,'1',340,'N'),(16,3046192,'1',340,'N'),(16,3046214,'1',108,'N'),(16,3046230,'1',208,'N'),(16,3046230,'1A',238,'N'),(16,3046257,'1',203,'N'),(16,3046257,'1A',220,'N'),(16,3046265,'1',5,'N'),(16,3046273,'1',207,'N'),(16,3046281,'1',103,'N'),(16,3046290,'1',103,'N'),(16,3046303,'1',101,'N'),(16,3046311,'1',203,'N'),(16,3046311,'1A',214,'N'),(16,3046320,'1',453,'N'),(16,3046338,'1',102,'N'),(16,3046346,'1',215,'N'),(16,3046346,'1A',207,'N'),(16,3046354,'1',340,'N'),(16,3046362,'1',415,'N'),(16,3046370,'1',444,'N'),(16,3046397,'1',108,'N'),(16,3046400,'1',216,'N'),(16,3046400,'1A',233,'N'),(16,3046427,'1',420,'N'),(16,3046435,'1',103,'N'),(16,3046443,'1',203,'N'),(16,3046443,'1A',214,'N'),(16,3046451,'1',203,'N'),(16,3046451,'1A',214,'N'),(16,3046486,'1',201,'N'),(16,3046486,'1A',212,'N'),(16,3046494,'1',203,'N'),(16,3046494,'1A',201,'N'),(16,3046508,'1',203,'N'),(16,3046508,'1A',214,'N'),(16,3046516,'1',453,'N'),(16,3046532,'1',201,'N'),(16,3046532,'1A',216,'N'),(16,3046540,'1',103,'N'),(16,3046559,'1',103,'N'),(16,3046567,'1',207,'N'),(16,3046575,'1',211,'N'),(16,3046591,'1',415,'N'),(16,3046605,'1',319,'N'),(16,3046613,'1',103,'N'),(16,3046621,'1',211,'N'),(16,3046621,'1A',215,'N'),(16,3046630,'1',103,'N'),(16,3046648,'1',302,'N'),(16,3046656,'1',108,'N'),(16,3046664,'1',207,'N'),(16,3046664,'1A',201,'N'),(16,3046672,'1',503,'N'),(16,3046699,'1',203,'N'),(16,3046699,'1A',233,'N'),(16,3046702,'1',202,'N'),(16,3046702,'1A',203,'N'),(16,3046710,'1',103,'N'),(16,3046729,'1',302,'N'),(16,3046745,'1',317,'N'),(16,3046753,'1',202,'N'),(16,3046753,'1A',201,'N'),(16,3046761,'1',208,'N'),(16,3046761,'1A',202,'N'),(16,3046770,'1',202,'N'),(16,3046770,'1A',203,'N'),(16,3046788,'1',429,'N'),(16,3046788,'1A',425,'N'),(16,3046796,'1',5,'N'),(16,3046818,'1',103,'N'),(16,3046826,'1',207,'N'),(16,3046826,'1A',220,'N'),(16,3046834,'1',216,'N'),(16,3046834,'1A',202,'N'),(16,3046842,'1',420,'N'),(16,3046850,'1',303,'N'),(16,3046877,'1',102,'N'),(16,3046885,'1',234,'N'),(16,3046893,'1',220,'N'),(16,3046893,'1A',214,'N'),(16,3046907,'1',216,'N'),(16,3046907,'1A',215,'N'),(16,3046915,'1',207,'N'),(16,3046915,'1A',201,'N'),(16,3046923,'1',101,'N'),(16,3046931,'1',317,'N'),(16,3046940,'1',201,'N'),(16,3046958,'1',103,'N'),(16,3046966,'1',303,'N'),(16,3046974,'1',303,'N'),(16,3046982,'1',303,'N'),(16,3046990,'1',333,'N'),(16,3047008,'1',203,'N'),(16,3047008,'1A',214,'N'),(16,3047016,'1',104,'N'),(16,3047024,'1',207,'N'),(16,3047024,'1A',201,'N'),(16,3047032,'1',207,'N'),(16,3047040,'1',203,'N'),(16,3047040,'1A',233,'N'),(16,3047059,'1',211,'N'),(16,3047059,'1A',208,'N'),(16,3047067,'1',103,'N'),(16,3047075,'1',108,'N'),(16,3047083,'1',103,'N'),(16,3047105,'1',238,'N'),(16,3047105,'1A',208,'N'),(16,3047130,'1',104,'N'),(16,3047148,'1',103,'N'),(16,3047156,'1',104,'N'),(16,3047172,'1',220,'N'),(16,3047172,'1A',202,'N'),(16,3047199,'1',201,'N'),(16,3047199,'1A',213,'N'),(16,3047202,'1',233,'N'),(16,3047202,'1A',215,'N'),(16,3047210,'1',202,'N'),(16,3047210,'1A',213,'N'),(16,3047229,'1',303,'N'),(16,3047245,'1',101,'N'),(16,3047253,'1',101,'N'),(16,3047261,'1',502,'N'),(16,3047270,'1',103,'N'),(16,3047296,'1',102,'N'),(16,3047318,'1',216,'N'),(16,3047318,'1A',201,'N'),(16,3047326,'1',207,'N'),(16,3047326,'1A',201,'N'),(16,3047334,'1',101,'N'),(16,3047342,'1',2,'N'),(16,3047350,'1',103,'N'),(16,3047369,'1',103,'N'),(16,3047377,'1',102,'N'),(16,3047385,'1',108,'N'),(16,3047393,'1',404,'N'),(16,3047407,'1',404,'N'),(16,3047415,'1',444,'N'),(16,3047423,'1',203,'N'),(16,3047423,'1A',208,'N'),(16,3047440,'1',415,'N'),(16,3047458,'1',301,'N'),(16,3047474,'1',101,'N'),(16,3047482,'1',301,'N'),(16,3047490,'1',301,'N'),(16,3047504,'1',103,'N'),(16,3047512,'1',102,'N'),(16,3047520,'1',340,'N'),(16,3047539,'1',320,'N'),(16,3047555,'1',208,'N'),(16,3047555,'1A',238,'N'),(16,3047563,'1',103,'N'),(16,3047580,'1',101,'N'),(16,3047598,'1',317,'N'),(16,3047610,'1',101,'N'),(16,3047636,'1',208,'N'),(16,3047636,'1A',238,'N'),(16,3047652,'1',103,'N'),(16,3047660,'1',308,'N'),(16,3047679,'1',103,'N'),(16,3047687,'1',301,'N'),(16,3047695,'1',340,'N'),(16,3047709,'1',203,'N'),(16,3047717,'1',103,'N'),(16,3047725,'1',103,'N'),(16,3047733,'1',503,'N'),(16,3047741,'1',303,'N'),(16,3047768,'1',9,'N'),(16,3047784,'1',5,'N'),(16,3047792,'1',103,'N'),(16,3047806,'1',203,'N'),(16,3047806,'1A',211,'N'),(16,3047814,'1',201,'N'),(16,3047822,'1',104,'N'),(16,3047830,'1',317,'N'),(16,3047865,'1',103,'N'),(16,3047873,'1',103,'N'),(16,3047881,'1',103,'N'),(16,3047890,'1',5,'N'),(16,3047903,'1',104,'N'),(16,3047911,'1',216,'N'),(16,3047911,'1A',215,'N'),(16,3047920,'1',103,'N'),(16,3047938,'1',103,'N'),(16,3047946,'1',203,'N'),(16,3047946,'1A',211,'N'),(16,3047954,'1',216,'N'),(16,3047954,'1A',233,'N'),(16,3047962,'1',108,'N'),(16,3047970,'1',108,'N'),(16,3047997,'1',215,'N'),(16,3047997,'1A',216,'N'),(16,3048012,'1',103,'N'),(16,3048039,'1',304,'N'),(16,3048055,'1',103,'N'),(16,3048063,'1',103,'N'),(16,3048071,'1',203,'N'),(16,3048071,'1A',220,'N'),(16,3048080,'1',214,'N'),(16,3048080,'1A',201,'N'),(16,3048098,'1',207,'N'),(16,3048098,'1A',201,'N'),(16,3048101,'1',201,'N'),(16,3048101,'1A',220,'N'),(16,3048110,'1',103,'N'),(16,3048136,'1',415,'N'),(16,3048144,'1',319,'N'),(16,3048152,'1',103,'N'),(16,3048160,'1',324,'N'),(16,3048195,'1',302,'N'),(16,3048209,'1',212,'N'),(16,3048217,'1',103,'N'),(16,3048225,'1',208,'N'),(16,3048225,'1A',238,'N'),(16,3048241,'1',216,'N'),(16,3048241,'1A',215,'N'),(16,3048250,'1',415,'N'),(16,3048268,'1',415,'N'),(16,3048276,'1',103,'N'),(16,3048292,'1',301,'N'),(16,3048306,'1',501,'N'),(16,3048314,'1',101,'N'),(16,3048322,'1',203,'N'),(16,3048322,'1A',214,'N'),(16,3048330,'1',201,'N'),(16,3048330,'1A',207,'N'),(16,3048357,'1',452,'N'),(16,3048365,'1',326,'N'),(16,3048373,'1',340,'N'),(16,3048381,'1',415,'N'),(16,3048390,'1',207,'N'),(16,3048390,'1A',201,'N'),(16,3048403,'1',216,'N'),(16,3048403,'1A',215,'N'),(16,3048411,'1',202,'N'),(16,3048411,'1A',201,'N'),(16,3048420,'1',5,'N'),(16,3048454,'1',103,'N'),(16,3048462,'1',9,'N'),(16,3048470,'1',331,'N'),(16,3048489,'1',316,'N'),(16,3048497,'1',103,'N'),(16,3048500,'1',103,'N'),(16,3048519,'1',319,'N'),(16,3048527,'1',207,'N'),(16,3048535,'1',303,'N'),(16,3048543,'1',214,'N'),(16,3048543,'1A',203,'N'),(16,3048551,'1',203,'N'),(16,3048551,'1A',220,'N'),(16,3048560,'1',211,'N'),(16,3048560,'1A',203,'N'),(16,3048578,'1',425,'N'),(16,3048578,'1A',424,'N'),(16,3048594,'1',233,'N'),(16,3048594,'1A',213,'N'),(16,3048616,'1',102,'N'),(16,3048624,'1',103,'N'),(16,3048640,'1',211,'N'),(16,3048675,'1',103,'N'),(16,3048683,'1',453,'N'),(16,3048713,'1',103,'N'),(16,3048730,'1',101,'N'),(16,3048748,'1',201,'N'),(16,3048756,'1',310,'N'),(16,3048764,'1',103,'N'),(16,3048780,'1',302,'N'),(16,3048799,'1',5,'N'),(16,3048802,'1',302,'N'),(16,3048810,'1',211,'N'),(16,3048829,'1',104,'N'),(16,3048837,'1',208,'N'),(16,3048837,'1A',238,'N'),(16,3048845,'1',103,'N'),(16,3048853,'1',214,'N'),(16,3048853,'1A',220,'N'),(16,3048861,'1',233,'N'),(16,3048861,'1A',216,'N'),(16,3048888,'1',103,'N'),(16,3048896,'1',103,'N'),(16,3048900,'1',301,'N'),(16,3048918,'1',201,'N'),(16,3048918,'1A',212,'N'),(16,3048926,'1',103,'N'),(16,3048934,'1',216,'N'),(16,3048934,'1A',212,'N'),(16,3048942,'1',103,'N'),(16,3048950,'1',319,'N'),(16,3048969,'1',208,'N'),(16,3048977,'1',303,'N'),(16,3048985,'1',319,'N'),(16,3048993,'1',304,'N'),(16,3049000,'1',202,'N'),(16,3049000,'1A',213,'N'),(16,3049019,'1',238,'N'),(16,3049019,'1A',208,'N'),(16,3049035,'1',207,'N'),(16,3049035,'1A',203,'N'),(16,3049043,'1',103,'N'),(16,3049051,'1',301,'N'),(16,3049060,'1',302,'N'),(16,3049086,'1',450,'N'),(16,3049094,'1',207,'N'),(16,3049094,'1A',212,'N'),(16,3049108,'1',340,'N'),(16,3049116,'1',425,'N'),(16,3049116,'1A',424,'N'),(16,3049132,'1',103,'N'),(16,3049140,'1',103,'N'),(16,3049159,'1',103,'N'),(16,3049167,'1',216,'N'),(16,3049167,'1A',220,'N'),(16,3049175,'1',202,'N'),(16,3049175,'1A',208,'N'),(16,3049183,'1',103,'N'),(16,3049205,'1',415,'N'),(16,3049213,'1',103,'N'),(16,3049221,'1',452,'N'),(16,3049248,'1',216,'N'),(16,3049248,'1A',211,'N'),(16,3049256,'1',101,'N'),(16,3049264,'1',216,'N'),(16,3049264,'1A',215,'N'),(16,3049272,'1',220,'N'),(16,3049280,'1',216,'N'),(16,3049280,'1A',215,'N'),(16,3049310,'1',444,'N'),(16,3049329,'1',203,'N'),(16,3049329,'1A',208,'N'),(16,3049337,'1',104,'N'),(16,3049345,'1',233,'N'),(16,3049345,'1A',211,'N'),(16,3049361,'1',103,'N'),(16,3049370,'1',103,'N'),(16,3049388,'1',202,'N'),(16,3049388,'1A',213,'N'),(16,3049396,'1',103,'N'),(16,3049400,'1',207,'N'),(16,3049400,'1A',216,'N'),(16,3049418,'1',444,'N'),(16,3049426,'1',103,'N'),(16,3049434,'1',308,'N'),(16,3049450,'1',108,'N'),(16,3049469,'1',201,'N'),(16,3049469,'1A',212,'N'),(16,3049477,'1',301,'N'),(16,3049493,'1',415,'N'),(16,3049507,'1',108,'N'),(16,3049515,'1',103,'N'),(16,3049523,'1',453,'N'),(16,3049531,'1',238,'N'),(16,3049531,'1A',215,'N'),(16,3049540,'1',216,'N'),(16,3049540,'1A',215,'N'),(16,3049558,'1',303,'N'),(16,3049566,'1',340,'N'),(16,3049582,'1',420,'N'),(16,3049590,'1',102,'N'),(16,3049604,'1',220,'N'),(16,3049612,'1',108,'N'),(16,3049620,'1',208,'N'),(16,3049639,'1',303,'N'),(16,3049647,'1',102,'N'),(16,3049655,'1',103,'N'),(16,3049671,'1',238,'N'),(16,3049671,'1A',208,'N'),(16,3049680,'1',216,'N'),(16,3049680,'1A',220,'N'),(16,3049698,'1',104,'N'),(16,3049701,'1',103,'N'),(16,3049710,'1',301,'N'),(16,3049736,'1',103,'N'),(16,3049744,'1',444,'N'),(16,3049752,'1',233,'N'),(16,3049752,'1A',238,'N'),(16,3049760,'1',211,'N'),(16,3049760,'1A',215,'N'),(16,3049779,'1',415,'N'),(16,3049787,'1',102,'N'),(16,3049795,'1',103,'N'),(16,3049809,'1',207,'N'),(16,3049809,'1A',201,'N'),(16,3049817,'1',301,'N'),(16,3049833,'1',5,'N'),(16,3049841,'1',301,'N'),(16,3049850,'1',415,'N'),(16,3049868,'1',450,'N'),(16,3049876,'1',207,'N'),(16,3049876,'1A',201,'N'),(16,3049884,'1',103,'N'),(16,3049892,'1',220,'N'),(16,3049892,'1A',203,'N'),(16,3049906,'1',203,'N'),(16,3049906,'1A',202,'N'),(16,3049914,'1',103,'N'),(16,3049922,'1',207,'N'),(16,3049922,'1A',211,'N'),(16,3049949,'1',340,'N'),(16,3049957,'1',103,'N'),(16,3049965,'1',5,'N'),(16,3049973,'1',203,'N'),(16,3049973,'1A',214,'N'),(16,3049981,'1',303,'N'),(16,3049990,'1',444,'N'),(16,3050009,'1',5,'N'),(16,3050017,'1',304,'N'),(16,3050025,'1',207,'N'),(16,3050025,'1A',211,'N'),(16,3050033,'1',103,'N'),(16,3050068,'1',3,'N'),(16,3050076,'1',104,'N'),(16,3050084,'1',208,'N'),(16,3050084,'1A',238,'N'),(16,3050092,'1',2,'N'),(16,3050106,'1',420,'N'),(16,3050114,'1',9,'N'),(16,3050122,'1',238,'N'),(16,3050122,'1A',208,'N'),(16,3050130,'1',301,'N'),(16,3050157,'1',301,'N'),(16,3050165,'1',333,'N'),(16,3050173,'1',103,'N'),(16,3050181,'1',103,'N'),(16,3050211,'1',340,'N'),(16,3050246,'1',207,'N'),(16,3050246,'1A',201,'N'),(16,3050262,'1',103,'N'),(16,3050289,'1',303,'N'),(16,3050300,'1',103,'N'),(16,3050319,'1',450,'N'),(16,3050327,'1',103,'N'),(16,3050335,'1',108,'N'),(16,3050343,'1',220,'N'),(16,3050343,'1A',208,'N'),(16,3050351,'1',233,'N'),(16,3050351,'1A',215,'N'),(16,3050360,'1',108,'N'),(16,3050378,'1',333,'N'),(16,3050386,'1',103,'N'),(16,3050394,'1',103,'N'),(16,3050408,'1',303,'N'),(16,3050416,'1',202,'N'),(16,3050416,'1A',213,'N'),(16,3050424,'1',303,'N'),(16,3050432,'1',303,'N'),(16,3050440,'1',316,'N'),(16,3050467,'1',9,'N'),(16,3050475,'1',207,'N'),(16,3050475,'1A',233,'N'),(16,3050483,'1',108,'N'),(16,3050505,'1',108,'N'),(16,3050521,'1',103,'N'),(16,3050530,'1',108,'N'),(16,3050548,'1',444,'N'),(16,3050556,'1',103,'N'),(16,3050564,'1',220,'N'),(16,3050564,'1A',202,'N'),(16,3050602,'1',421,'N'),(16,3050602,'1A',425,'N'),(16,3050629,'1',103,'N'),(16,3050637,'1',103,'N'),(16,3050645,'1',452,'N'),(16,3050653,'1',319,'N'),(16,3050688,'1',302,'N'),(16,3050696,'1',332,'N'),(16,3050700,'1',319,'N'),(16,3050718,'1',318,'N'),(16,3050726,'1',202,'N'),(16,3050726,'1A',207,'N'),(16,3050734,'1',103,'N'),(16,3050750,'1',303,'N'),(16,3050769,'1',319,'N'),(16,3050777,'1',220,'N'),(16,3050785,'1',333,'N'),(16,3050793,'1',103,'N'),(16,3050807,'1',216,'N'),(16,3050807,'1A',215,'N'),(16,3050823,'1',340,'N'),(16,3050831,'1',220,'N'),(16,3050831,'1A',203,'N'),(16,3050840,'1',503,'N'),(16,3050858,'1',103,'N'),(16,3050866,'1',103,'N'),(16,3050874,'1',103,'N'),(16,3050882,'1',103,'N'),(16,3050890,'1',103,'N'),(16,3050904,'1',103,'N'),(16,3050912,'1',303,'N'),(16,3050920,'1',103,'N'),(16,3050939,'1',208,'N'),(16,3050939,'1A',202,'N'),(16,3050947,'1',103,'N'),(16,3050955,'1',216,'N'),(16,3050955,'1A',207,'N'),(16,3050971,'1',103,'N'),(16,3050980,'1',203,'N'),(16,3050980,'1A',202,'N'),(16,3051005,'1',301,'N'),(16,3051013,'1',450,'N'),(16,3051021,'1',103,'N'),(16,3051030,'1',103,'N'),(16,3051048,'1',108,'N'),(16,3051056,'1',207,'N'),(16,3051056,'1A',201,'N'),(16,3051064,'1',444,'N'),(16,3051072,'1',215,'N'),(16,3051072,'1A',211,'N'),(16,3051080,'1',317,'N'),(16,3051099,'1',453,'N'),(16,3051102,'1',320,'N'),(16,3051129,'1',415,'N'),(16,3051137,'1',220,'N'),(16,3051137,'1A',216,'N'),(16,3051153,'1',103,'N'),(16,3051161,'1',216,'N'),(16,3051161,'1A',215,'N'),(16,3051170,'1',103,'N'),(16,3051188,'1',316,'N'),(16,3051200,'1',452,'N'),(16,3051218,'1',5,'N'),(16,3051226,'1',501,'N'),(16,3051234,'1',207,'N'),(16,3051234,'1A',201,'N'),(16,3051242,'1',208,'N'),(16,3051269,'1',309,'N'),(16,3051285,'1',207,'N'),(16,3051285,'1A',201,'N'),(16,3051293,'1',207,'N'),(16,3051307,'1',202,'N'),(16,3051307,'1A',208,'N'),(16,3051315,'1',428,'N'),(16,3051315,'1A',426,'N'),(16,3051323,'1',308,'N'),(16,3051331,'1',415,'N'),(16,3051340,'1',103,'N'),(16,3051358,'1',103,'N'),(16,3051374,'1',450,'N'),(16,3051382,'1',201,'N'),(16,3051382,'1A',203,'N'),(16,3051390,'1',211,'N'),(16,3051390,'1A',233,'N'),(16,3051404,'1',201,'N'),(16,3051404,'1A',202,'N'),(16,3051412,'1',444,'N'),(16,3051420,'1',420,'N'),(16,3051439,'1',207,'N'),(16,3051439,'1A',201,'N'),(16,3051447,'1',317,'N'),(16,3051455,'1',453,'N'),(16,3051463,'1',450,'N'),(16,3051471,'1',302,'N'),(16,3051498,'1',103,'N'),(16,3051501,'1',9,'N'),(16,3051510,'1',303,'N'),(16,3051528,'1',214,'N'),(16,3051528,'1A',213,'N'),(16,3051544,'1',102,'N'),(16,3051552,'1',203,'N'),(16,3051552,'1A',207,'N'),(16,3051579,'1',452,'N'),(16,3051587,'1',103,'N'),(16,3051595,'1',503,'N'),(16,3051617,'1',326,'N'),(16,3051625,'1',103,'N'),(16,3051650,'1',103,'N'),(16,3051668,'1',202,'N'),(16,3051668,'1A',213,'N'),(16,3051676,'1',415,'N'),(16,3051684,'1',201,'N'),(16,3051684,'1A',212,'N'),(16,3051692,'1',104,'N'),(16,3051706,'1',208,'N'),(16,3051714,'1',444,'N'),(16,3051722,'1',103,'N'),(16,3051730,'1',103,'N'),(16,3051749,'1',303,'N'),(16,3051757,'1',103,'N'),(16,3051765,'1',103,'N'),(16,3051773,'1',216,'N'),(16,3051773,'1A',233,'N'),(16,3051781,'1',103,'N'),(16,3051790,'1',103,'N'),(16,3051803,'1',203,'N'),(16,3051803,'1A',213,'N'),(16,3051811,'1',203,'N'),(16,3051811,'1A',233,'N'),(16,3051820,'1',303,'N'),(16,3051838,'1',103,'N'),(16,3051846,'1',201,'N'),(16,3051846,'1A',207,'N'),(16,3051854,'1',103,'N'),(16,3051870,'1',108,'N'),(16,3051889,'1',452,'N'),(16,3051897,'1',104,'N'),(16,3051900,'1',316,'N'),(16,3051919,'1',303,'N'),(16,3051927,'1',102,'N'),(16,3051935,'1',103,'N'),(16,3051943,'1',103,'N'),(16,3051960,'1',453,'N'),(16,3051986,'1',103,'N'),(16,3052010,'1',503,'N'),(16,3052028,'1',104,'N'),(16,3052036,'1',301,'N'),(16,3052044,'1',340,'N'),(16,3052060,'1',203,'N'),(16,3052060,'1A',214,'N'),(16,3052079,'1',301,'N'),(16,3052095,'1',304,'N'),(16,3052109,'1',207,'N'),(16,3052109,'1A',211,'N'),(16,3052117,'1',102,'N'),(16,3052125,'1',238,'N'),(16,3052125,'1A',208,'N'),(16,3052133,'1',203,'N'),(16,3052133,'1A',208,'N'),(16,3052150,'1',304,'N'),(16,3052168,'1',103,'N'),(16,3052176,'1',220,'N'),(16,3052176,'1A',203,'N'),(16,3052184,'1',220,'N'),(16,3052184,'1A',213,'N'),(16,3052192,'1',304,'N'),(16,3052206,'1',220,'N'),(16,3052206,'1A',214,'N'),(16,3052214,'1',303,'N'),(16,3052222,'1',201,'N'),(16,3052222,'1A',212,'N'),(16,3052230,'1',211,'N'),(16,3052230,'1A',215,'N'),(16,3052249,'1',103,'N'),(16,3052257,'1',415,'N'),(16,3052265,'1',103,'N'),(16,3052273,'1',415,'N'),(16,3052281,'1',103,'N'),(16,3052290,'1',207,'N'),(16,3052290,'1A',201,'N'),(16,3052303,'1',220,'N'),(16,3052303,'1A',208,'N'),(16,3052311,'1',415,'N'),(16,3052320,'1',303,'N'),(16,3052338,'1',215,'N'),(16,3052338,'1A',208,'N'),(16,3052346,'1',319,'N'),(16,3052354,'1',215,'N'),(16,3052354,'1A',233,'N'),(16,3052362,'1',104,'N'),(16,3052370,'1',5,'N'),(16,3052389,'1',208,'N'),(16,3052389,'1A',220,'N'),(16,3052397,'1',220,'N'),(16,3052397,'1A',203,'N'),(16,3052400,'1',103,'N'),(16,3052427,'1',103,'N'),(16,3052435,'1',103,'N'),(16,3052443,'1',202,'N'),(16,3052443,'1A',201,'N'),(16,3052451,'1',104,'N'),(16,3052460,'1',5,'N'),(16,3052478,'1',340,'N'),(16,3052486,'1',5,'N'),(16,3052494,'1',103,'N'),(16,3052508,'1',103,'N'),(16,3052524,'1',207,'N'),(16,3052524,'1A',201,'N'),(16,3052540,'1',108,'N'),(16,3052559,'1',103,'N'),(16,3052567,'1',103,'N'),(16,3052575,'1',309,'N'),(16,3052591,'1',415,'N'),(16,3052613,'1',208,'N'),(16,3052613,'1A',238,'N'),(16,3052630,'1',415,'N'),(16,3052648,'1',201,'N'),(16,3052648,'1A',207,'N'),(16,3052656,'1',103,'N'),(16,3052664,'1',304,'N'),(16,3052672,'1',203,'N'),(16,3052672,'1A',211,'N'),(16,3052680,'1',203,'N'),(16,3052680,'1A',214,'N'),(16,3052699,'1',103,'N'),(16,3052702,'1',5,'N'),(16,3052710,'1',9,'N'),(16,3052737,'1',103,'N'),(16,3052745,'1',2,'N'),(16,3052753,'1',215,'N'),(16,3052753,'1A',211,'N'),(16,3052761,'1',108,'N'),(16,3052770,'1',316,'N'),(16,3052796,'1',207,'N'),(16,3052796,'1A',215,'N'),(16,3052818,'1',318,'N'),(16,3052826,'1',203,'N'),(16,3052826,'1A',220,'N'),(16,3052834,'1',103,'N'),(16,3052842,'1',212,'N'),(16,3052842,'1A',215,'N'),(16,3052850,'1',303,'N'),(16,3052869,'1',320,'N'),(16,3052877,'1',211,'N'),(16,3052877,'1A',233,'N'),(16,3052885,'1',108,'N'),(16,3052893,'1',103,'N'),(16,3052907,'1',203,'N'),(16,3052907,'1A',202,'N'),(16,3052915,'1',215,'N'),(16,3052915,'1A',216,'N'),(16,3052923,'1',340,'N'),(16,3052931,'1',211,'N'),(16,3052940,'1',104,'N'),(16,3052958,'1',103,'N'),(16,3052966,'1',103,'N'),(16,3052974,'1',202,'N'),(16,3052974,'1A',213,'N'),(16,3052982,'1',421,'N'),(16,3052990,'1',303,'N'),(16,3053008,'1',220,'N'),(16,3053008,'1A',202,'N'),(16,3053024,'1',304,'N'),(16,3053032,'1',213,'N'),(16,3053032,'1A',203,'N'),(16,3053040,'1',201,'N'),(16,3053040,'1A',213,'N'),(16,3053059,'1',415,'N'),(16,3053067,'1',453,'N'),(16,3053075,'1',103,'N'),(16,3053083,'1',333,'N'),(16,3053091,'1',102,'N'),(16,3053113,'1',333,'N'),(16,3053121,'1',303,'N'),(16,3053148,'1',233,'N'),(16,3053148,'1A',216,'N'),(16,3053156,'1',103,'N'),(16,3053164,'1',214,'N'),(16,3053164,'1A',202,'N'),(16,3053172,'1',216,'N'),(16,3053172,'1A',215,'N'),(16,3053202,'1',103,'N'),(16,3053210,'1',103,'N'),(16,3053237,'1',453,'N'),(16,3053245,'1',203,'N'),(16,3053245,'1A',233,'N'),(16,3053253,'1',103,'N'),(16,3053261,'1',3,'N'),(16,3053270,'1',103,'N'),(16,3053288,'1',103,'N'),(16,3053296,'1',340,'N'),(16,3053318,'1',301,'N'),(16,3053326,'1',301,'N'),(16,3053334,'1',211,'N'),(16,3053334,'1A',212,'N'),(16,3053342,'1',2,'N'),(16,3053369,'1',502,'N'),(16,3053385,'1',415,'N'),(16,3053393,'1',108,'N'),(16,3053407,'1',452,'N'),(16,3053415,'1',201,'N'),(16,3053415,'1A',207,'N'),(16,3053423,'1',201,'N'),(16,3053423,'1A',207,'N'),(16,3053431,'1',214,'N'),(16,3053431,'1A',202,'N'),(16,3053458,'1',426,'N'),(16,3053458,'1A',428,'N'),(16,3053466,'1',103,'N'),(16,3053474,'1',317,'N'),(16,3053482,'1',203,'N'),(16,3053482,'1A',202,'N'),(16,3053490,'1',103,'N'),(16,3053504,'1',201,'N'),(16,3053504,'1A',213,'N'),(16,3053512,'1',103,'N'),(16,3053539,'1',303,'N'),(16,3053547,'1',103,'N'),(16,3053563,'1',220,'N'),(16,3053563,'1A',208,'N'),(16,3053571,'1',103,'N'),(16,3053580,'1',201,'N'),(16,3053580,'1A',207,'N'),(16,3053598,'1',103,'N'),(16,3053601,'1',201,'N'),(16,3053628,'1',103,'N'),(16,3053636,'1',102,'N'),(16,3053644,'1',208,'N'),(16,3053644,'1A',238,'N'),(16,3053652,'1',216,'N'),(16,3053652,'1A',233,'N'),(16,3053687,'1',501,'N'),(16,3053695,'1',202,'N'),(16,3053695,'1A',201,'N'),(16,3053709,'1',103,'N'),(16,3053717,'1',103,'N'),(16,3053725,'1',303,'N'),(16,3053733,'1',238,'N'),(16,3053733,'1A',208,'N'),(16,3053741,'1',211,'N'),(16,3053741,'1A',216,'N'),(16,3053750,'1',9,'N'),(16,3053768,'1',208,'N'),(16,3053768,'1A',238,'N'),(16,3053776,'1',303,'N'),(16,3053784,'1',104,'N'),(16,3053792,'1',340,'N'),(16,3053806,'1',303,'N'),(16,3053814,'1',201,'N'),(16,3053814,'1A',215,'N'),(16,3053822,'1',202,'N'),(16,3053822,'1A',203,'N'),(16,3053830,'1',103,'N'),(16,3053849,'1',319,'N'),(16,3053857,'1',340,'N'),(16,3053873,'1',203,'N'),(16,3053873,'1A',201,'N'),(16,3053881,'1',203,'N'),(16,3053881,'1A',214,'N'),(16,3053890,'1',216,'N'),(16,3053890,'1A',201,'N'),(16,3053903,'1',103,'N'),(16,3053911,'1',103,'N'),(16,3053920,'1',318,'N'),(16,3053938,'1',207,'N'),(16,3053938,'1A',215,'N'),(16,3053946,'1',108,'N'),(16,3053962,'1',108,'N'),(16,3053970,'1',104,'N'),(16,3053989,'1',103,'N'),(16,3053997,'1',203,'N'),(16,3053997,'1A',202,'N'),(16,3054004,'1',104,'N'),(16,3054012,'1',103,'N'),(16,3054020,'1',425,'N'),(16,3054039,'1',220,'N'),(16,3054039,'1A',208,'N'),(16,3054047,'1',103,'N'),(16,3054063,'1',207,'N'),(16,3054063,'1A',201,'N'),(16,3054071,'1',201,'N'),(16,3054071,'1A',238,'N'),(16,3054080,'1',103,'N'),(16,3054098,'1',103,'N'),(16,3054101,'1',303,'N'),(16,3054128,'1',203,'N'),(16,3054128,'1A',201,'N'),(16,3054136,'1',340,'N'),(16,3054144,'1',301,'N'),(16,3054152,'1',429,'N'),(16,3054152,'1A',424,'N'),(16,3054160,'1',303,'N'),(16,3054179,'1',101,'N'),(16,3054187,'1',316,'N'),(16,3054195,'1',103,'N'),(16,3054209,'1',220,'N'),(16,3054209,'1A',203,'N'),(16,3054217,'1',319,'N'),(16,3054233,'1',421,'N'),(16,3054233,'1A',427,'N'),(16,3054250,'1',103,'N'),(16,3054268,'1',108,'N'),(16,3054276,'1',104,'N'),(16,3054284,'1',501,'N'),(16,3054292,'1',319,'N'),(16,3054314,'1',310,'N'),(16,3054322,'1',317,'N'),(16,3054330,'1',340,'N'),(16,3054357,'1',303,'N'),(16,3054365,'1',319,'N'),(16,3054373,'1',103,'N'),(16,3054381,'1',108,'N'),(16,3054390,'1',203,'N'),(16,3054403,'1',103,'N'),(16,3054411,'1',207,'N'),(16,3054411,'1A',201,'N'),(16,3054420,'1',104,'N'),(16,3054446,'1',207,'N'),(16,3054446,'1A',238,'N'),(16,3054454,'1',103,'N'),(16,3054462,'1',201,'N'),(16,3054462,'1A',212,'N'),(16,3054470,'1',215,'N'),(16,3054470,'1A',216,'N'),(16,3054489,'1',444,'N'),(16,3054497,'1',103,'N'),(16,3054500,'1',103,'N'),(16,3054519,'1',5,'N'),(16,3054527,'1',103,'N'),(16,3054543,'1',103,'N'),(16,3054560,'1',428,'N'),(16,3054560,'1A',426,'N'),(16,3054586,'1',308,'N'),(16,3054594,'1',103,'N'),(16,3054608,'1',207,'N'),(16,3054608,'1A',201,'N'),(16,3054616,'1',427,'N'),(16,3054616,'1A',428,'N'),(16,3054624,'1',331,'N'),(16,3054632,'1',444,'N'),(16,3054640,'1',103,'N'),(16,3054659,'1',101,'N'),(16,3054667,'1',501,'N'),(16,3054675,'1',319,'N'),(16,3054683,'1',103,'N'),(16,3054691,'1',303,'N'),(16,3054705,'1',339,'N'),(16,3054713,'1',233,'N'),(16,3054713,'1A',201,'N'),(16,3054721,'1',309,'N'),(16,3054730,'1',340,'N'),(16,3054748,'1',103,'N'),(16,3054756,'1',303,'N'),(16,3054764,'1',108,'N'),(16,3054772,'1',450,'N'),(16,3054799,'1',212,'N'),(16,3054799,'1A',233,'N'),(16,3054802,'1',103,'N'),(16,3054829,'1',201,'N'),(16,3054829,'1A',212,'N'),(16,3054837,'1',103,'N'),(16,3054845,'1',102,'N'),(16,3054853,'1',201,'N'),(16,3054861,'1',9,'N'),(16,3054870,'1',340,'N'),(16,3054888,'1',103,'N'),(16,3054918,'1',103,'N'),(16,3054926,'1',340,'N'),(16,3054934,'1',309,'N'),(16,3054942,'1',103,'N'),(16,3054950,'1',211,'N'),(16,3054969,'1',103,'N'),(16,3054985,'1',103,'N'),(16,3054993,'1',207,'N'),(16,3054993,'1A',211,'N'),(16,3055000,'1',450,'N'),(16,3055019,'1',102,'N'),(16,3055027,'1',238,'N'),(16,3055035,'1',3,'N'),(16,3055043,'1',3,'N'),(16,3055051,'1',303,'N'),(16,3055060,'1',207,'N'),(16,3055060,'1A',201,'N'),(16,3055078,'1',202,'N'),(16,3055078,'1A',208,'N'),(16,3055086,'1',103,'N'),(16,3055094,'1',208,'N'),(16,3055094,'1A',238,'N'),(16,3055108,'1',103,'N'),(16,3055116,'1',201,'N'),(16,3055116,'1A',212,'N'),(16,3055124,'1',333,'N'),(16,3055132,'1',5,'N'),(16,3055140,'1',415,'N'),(16,3055159,'1',202,'N'),(16,3055159,'1A',213,'N'),(16,3055167,'1',317,'N'),(16,3055175,'1',302,'N'),(16,3055183,'1',103,'N'),(16,3055205,'1',103,'N'),(16,3055213,'1',319,'N'),(16,3055221,'1',318,'N'),(16,3055230,'1',103,'N'),(16,3055248,'1',103,'N'),(16,3055256,'1',103,'N'),(16,3055272,'1',309,'N'),(16,3055280,'1',202,'N'),(16,3055280,'1A',213,'N'),(16,3055302,'1',108,'N'),(16,3055310,'1',103,'N'),(16,3055329,'1',340,'N'),(16,3055337,'1',211,'N'),(16,3055337,'1A',207,'N'),(16,3055345,'1',103,'N'),(16,3055361,'1',319,'N'),(16,3055370,'1',103,'N'),(16,3055388,'1',303,'N'),(16,3055396,'1',203,'N'),(16,3055396,'1A',214,'N'),(16,3055400,'1',238,'N'),(16,3055400,'1A',208,'N'),(16,3055418,'1',324,'N'),(16,3055426,'1',420,'N'),(16,3055434,'1',444,'N'),(16,3055442,'1',103,'N'),(16,3055450,'1',5,'N'),(16,3055469,'1',202,'N'),(16,3055469,'1A',203,'N'),(16,3055477,'1',340,'N'),(16,3055485,'1',216,'N'),(16,3055485,'1A',211,'N'),(16,3055493,'1',103,'N'),(16,3055507,'1',212,'N'),(16,3055523,'1',301,'N'),(16,3055531,'1',103,'N'),(16,3055540,'1',103,'N'),(16,3055558,'1',103,'N'),(16,3055566,'1',225,'N'),(16,3055574,'1',103,'N'),(16,3055582,'1',2,'N'),(16,3055590,'1',203,'N'),(16,3055590,'1A',214,'N'),(16,3055604,'1',201,'N'),(16,3055604,'1A',212,'N'),(16,3055612,'1',108,'N'),(16,3055620,'1',108,'N'),(16,3055639,'1',415,'N'),(16,3055647,'1',303,'N'),(16,3055655,'1',404,'N'),(16,3055663,'1',103,'N'),(16,3055671,'1',450,'N'),(16,3055680,'1',103,'N'),(16,3055698,'1',444,'N'),(16,3055701,'1',207,'N'),(16,3055701,'1A',238,'N'),(16,3055728,'1',104,'N'),(16,3055744,'1',444,'N'),(16,3055752,'1',238,'N'),(16,3055752,'1A',220,'N'),(16,3055760,'1',102,'N'),(16,3055779,'1',201,'N'),(16,3055779,'1A',212,'N'),(16,3055787,'1',303,'N'),(16,3055795,'1',333,'N'),(16,3055809,'1',103,'N'),(16,3055817,'1',212,'N'),(16,3055817,'1A',214,'N'),(16,3055841,'1',103,'N'),(16,3055850,'1',216,'N'),(16,3055850,'1A',201,'N'),(16,3055868,'1',103,'N'),(16,3055876,'1',103,'N'),(16,3055884,'1',103,'N'),(16,3055892,'1',102,'N'),(16,3055906,'1',108,'N'),(16,3055914,'1',301,'N'),(16,3055922,'1',103,'N'),(16,3055930,'1',503,'N'),(16,3055949,'1',316,'N'),(16,3055965,'1',303,'N'),(16,3055973,'1',103,'N'),(16,3055981,'1',302,'N'),(16,3055990,'1',404,'N'),(16,3056007,'1',201,'N'),(16,3056007,'1A',212,'N'),(16,3056015,'1',102,'N'),(16,3056031,'1',103,'N'),(16,3056058,'1',319,'N'),(16,3056074,'1',103,'N'),(16,3056082,'1',203,'N'),(16,3056082,'1A',202,'N'),(16,3056090,'1',108,'N'),(16,3056104,'1',103,'N'),(16,3056112,'1',216,'N'),(16,3056112,'1A',215,'N'),(16,3056139,'1',202,'N'),(16,3056139,'1A',201,'N'),(16,3056147,'1',207,'N'),(16,3056147,'1A',215,'N'),(16,3056155,'1',340,'N'),(16,3056163,'1',420,'N'),(16,3056171,'1',216,'N'),(16,3056171,'1A',208,'N'),(16,3056201,'1',303,'N'),(16,3056210,'1',103,'N'),(16,3056228,'1',5,'N'),(16,3056236,'1',103,'N'),(16,3056244,'1',5,'N'),(16,3056252,'1',303,'N'),(16,3056260,'1',108,'N'),(16,3056287,'1',103,'N'),(16,3056295,'1',214,'N'),(16,3056295,'1A',212,'N'),(16,3056309,'1',415,'N'),(16,3056317,'1',420,'N'),(16,3056325,'1',5,'N'),(16,3056333,'1',103,'N'),(16,3056350,'1',201,'N'),(16,3056350,'1A',215,'N'),(16,3056368,'1',317,'N'),(16,3056376,'1',450,'N'),(16,3056384,'1',211,'N'),(16,3056392,'1',103,'N'),(16,3056406,'1',103,'N'),(16,3056414,'1',212,'N'),(16,3056414,'1A',201,'N'),(16,3056430,'1',101,'N'),(16,3056449,'1',103,'N'),(16,3056457,'1',404,'N'),(16,3056465,'1',101,'N'),(16,3056481,'1',203,'N'),(16,3056481,'1A',214,'N'),(16,3056490,'1',208,'N'),(16,3056503,'1',103,'N'),(16,3056511,'1',108,'N'),(16,3056520,'1',420,'N'),(16,3056538,'1',303,'N'),(16,3056546,'1',103,'N'),(16,3056562,'1',415,'N'),(16,3056589,'1',332,'N'),(16,3056597,'1',303,'N'),(16,3056600,'1',103,'N'),(16,3056619,'1',211,'N'),(16,3056627,'1',104,'N'),(16,3056635,'1',326,'N'),(16,3056643,'1',310,'N'),(16,3056651,'1',103,'N'),(16,3056660,'1',203,'N'),(16,3056660,'1A',214,'N'),(16,3056678,'1',415,'N'),(16,3056686,'1',503,'N'),(16,3056694,'1',201,'N'),(16,3056694,'1A',212,'N'),(16,3056716,'1',103,'N'),(16,3056724,'1',103,'N'),(16,3056740,'1',207,'N'),(16,3056740,'1A',201,'N'),(16,3056759,'1',420,'N'),(16,3056767,'1',308,'N'),(16,3056775,'1',212,'N'),(16,3056775,'1A',214,'N'),(16,3056783,'1',319,'N'),(16,3056791,'1',216,'N'),(16,3056791,'1A',207,'N'),(16,3056805,'1',103,'N'),(16,3056813,'1',101,'N'),(16,3056821,'1',203,'N'),(16,3056821,'1A',202,'N'),(16,3056830,'1',503,'N'),(16,3056848,'1',207,'N'),(16,3056848,'1A',211,'N'),(16,3056856,'1',102,'N'),(16,3056864,'1',203,'N'),(16,3056864,'1A',214,'N'),(16,3056872,'1',309,'N'),(16,3056880,'1',340,'N'),(16,3056902,'1',238,'N'),(16,3056902,'1A',208,'N'),(16,3056910,'1',104,'N'),(16,3056929,'1',420,'N'),(16,3056961,'1',5,'N'),(16,3056988,'1',301,'N'),(16,3056996,'1',104,'N'),(16,3057003,'1',207,'N'),(16,3057003,'1A',201,'N'),(16,3057011,'1',207,'N'),(16,3057011,'1A',201,'N'),(16,3057020,'1',103,'N'),(16,3057038,'1',103,'N'),(16,3057054,'1',501,'N'),(16,3057062,'1',203,'N'),(16,3057062,'1A',202,'N'),(16,3057089,'1',203,'N'),(16,3057089,'1A',201,'N'),(16,3057097,'1',220,'N'),(16,3057097,'1A',203,'N'),(16,3057100,'1',319,'N'),(16,3057119,'1',216,'N'),(16,3057135,'1',317,'N'),(16,3057143,'1',331,'N'),(16,3057178,'1',301,'N'),(16,3057186,'1',420,'N'),(16,3057194,'1',207,'N'),(16,3057194,'1A',201,'N'),(16,3057208,'1',319,'N'),(16,3057224,'1',103,'N'),(16,3057240,'1',202,'N'),(16,3057240,'1A',213,'N'),(16,3057259,'1',213,'N'),(16,3057259,'1A',212,'N'),(16,3057267,'1',238,'N'),(16,3057267,'1A',208,'N'),(16,3057275,'1',225,'N'),(16,3057283,'1',207,'N'),(16,3057283,'1A',208,'N'),(16,3057291,'1',444,'N'),(16,3057313,'1',201,'N'),(16,3057313,'1A',212,'N'),(16,3057321,'1',303,'N'),(16,3057348,'1',2,'N'),(16,3057356,'1',213,'N'),(16,3057356,'1A',214,'N'),(16,3057364,'1',415,'N'),(16,3057372,'1',207,'N'),(16,3057372,'1A',201,'N'),(16,3057380,'1',220,'N'),(16,3057399,'1',340,'N'),(16,3057429,'1',203,'N'),(16,3057429,'1A',214,'N'),(16,3057437,'1',103,'N'),(16,3057445,'1',201,'N'),(16,3057445,'1A',212,'N'),(16,3057453,'1',340,'N'),(16,3057461,'1',103,'N'),(16,3057470,'1',103,'N'),(16,3057488,'1',208,'N'),(16,3057488,'1A',201,'N'),(16,3057496,'1',213,'N'),(16,3057496,'1A',208,'N'),(16,3057526,'1',309,'N'),(16,3057534,'1',103,'N'),(16,3057542,'1',207,'N'),(16,3057542,'1A',233,'N'),(16,3057577,'1',318,'N'),(16,3057585,'1',429,'N'),(16,3057593,'1',302,'N'),(16,3057607,'1',3,'N'),(16,3057615,'1',103,'N'),(16,3057623,'1',425,'N'),(16,3057623,'1A',421,'N'),(16,3057631,'1',103,'N'),(16,3057640,'1',208,'N'),(16,3057640,'1A',238,'N'),(16,3057658,'1',108,'N'),(16,3057666,'1',103,'N'),(16,3057674,'1',102,'N'),(16,3057682,'1',5,'N'),(16,3057690,'1',211,'N'),(16,3057704,'1',103,'N'),(16,3057712,'1',453,'N'),(16,3057720,'1',326,'N'),(16,3057747,'1',303,'N'),(16,3057755,'1',201,'N'),(16,3057755,'1A',203,'N'),(16,3057763,'1',308,'N'),(16,3057771,'1',301,'N'),(16,3057780,'1',302,'N'),(16,3057810,'1',211,'N'),(16,3057810,'1A',233,'N'),(16,3057828,'1',103,'N'),(16,3057836,'1',207,'N'),(16,3057836,'1A',201,'N'),(16,3057852,'1',101,'N'),(16,3057860,'1',102,'N'),(16,3057879,'1',220,'N'),(16,3057879,'1A',214,'N'),(16,3057887,'1',103,'N'),(16,3057895,'1',207,'N'),(16,3057895,'1A',201,'N'),(16,3057909,'1',304,'N'),(16,3057917,'1',103,'N'),(16,3057925,'1',238,'N'),(16,3057925,'1A',208,'N'),(16,3057933,'1',201,'N'),(16,3057933,'1A',212,'N'),(16,3057950,'1',303,'N'),(16,3057968,'1',215,'N'),(16,3057968,'1A',238,'N'),(16,3057976,'1',404,'N'),(16,3057984,'1',304,'N'),(16,3058000,'1',317,'N'),(16,3058018,'1',234,'N'),(16,3058034,'1',319,'N'),(16,3058069,'1',303,'N'),(16,3058085,'1',201,'N'),(16,3058085,'1A',212,'N'),(16,3058107,'1',212,'N'),(16,3058107,'1A',207,'N'),(16,3058115,'1',214,'N'),(16,3058115,'1A',233,'N'),(16,3058140,'1',310,'N'),(16,3058166,'1',319,'N'),(16,3058174,'1',333,'N'),(16,3058182,'1',202,'N'),(16,3058182,'1A',220,'N'),(16,3058190,'1',316,'N'),(16,3058212,'1',203,'N'),(16,3058220,'1',214,'N'),(16,3058220,'1A',220,'N'),(16,3058239,'1',203,'N'),(16,3058239,'1A',220,'N'),(16,3058247,'1',103,'N'),(16,3058255,'1',108,'N'),(16,3058263,'1',203,'N'),(16,3058263,'1A',202,'N'),(16,3058271,'1',104,'N'),(16,3058280,'1',9,'N'),(16,3058310,'1',502,'N'),(16,3058328,'1',319,'N'),(16,3058336,'1',103,'N'),(16,3058344,'1',426,'N'),(16,3058344,'1A',428,'N'),(16,3058352,'1',328,'N'),(16,3058360,'1',103,'N'),(16,3058379,'1',319,'N'),(16,3058387,'1',103,'N'),(16,3058395,'1',103,'N'),(16,3058417,'1',453,'N'),(16,3058425,'1',318,'N'),(16,3058433,'1',238,'N'),(16,3058433,'1A',208,'N'),(16,3058441,'1',326,'N'),(16,3058450,'1',103,'N'),(16,3058468,'1',303,'N'),(16,3058476,'1',203,'N'),(16,3058484,'1',203,'N'),(16,3058484,'1A',220,'N'),(16,3058492,'1',450,'N'),(16,3058506,'1',316,'N'),(16,3058522,'1',319,'N'),(16,3058530,'1',222,'N'),(16,3058557,'1',310,'N'),(16,3058565,'1',103,'N'),(16,3058573,'1',339,'N'),(16,3058590,'1',303,'N'),(16,3058603,'1',103,'N'),(16,3058620,'1',203,'N'),(16,3058620,'1A',202,'N'),(16,3058654,'1',216,'N'),(16,3058654,'1A',214,'N'),(16,3058662,'1',103,'N'),(16,3058670,'1',415,'N'),(16,3058689,'1',103,'N'),(16,3058697,'1',208,'N'),(16,3058697,'1A',238,'N'),(16,3058700,'1',319,'N'),(16,3058719,'1',103,'N'),(16,3058727,'1',104,'N'),(16,3058735,'1',502,'N'),(16,3058743,'1',103,'N'),(16,3058778,'1',5,'N'),(16,3058786,'1',108,'N'),(16,3058808,'1',211,'N'),(16,3058808,'1A',238,'N'),(16,3058816,'1',329,'N'),(16,3058824,'1',103,'N'),(16,3058832,'1',103,'N'),(16,3058840,'1',103,'N'),(16,3058859,'1',216,'N'),(16,3058859,'1A',213,'N'),(16,3058875,'1',3,'N'),(16,3058891,'1',302,'N'),(16,3058905,'1',103,'N'),(16,3058913,'1',303,'N'),(16,3058921,'1',333,'N'),(16,3058956,'1',5,'N'),(16,3058964,'1',102,'N'),(16,3058980,'1',318,'N'),(16,3058999,'1',234,'N'),(16,3059006,'1',103,'N'),(16,3059014,'1',215,'N'),(16,3059014,'1A',211,'N'),(16,3059022,'1',203,'N'),(16,3059022,'1A',202,'N'),(16,3059030,'1',301,'N'),(16,3059057,'1',202,'N'),(16,3059057,'1A',213,'N'),(16,3059065,'1',108,'N'),(16,3059073,'1',103,'N'),(16,3059081,'1',201,'N'),(16,3059081,'1A',233,'N'),(16,3059103,'1',103,'N'),(16,3059111,'1',108,'N'),(16,3059120,'1',331,'N'),(16,3059138,'1',108,'N'),(16,3059154,'1',316,'N'),(16,3059170,'1',208,'N'),(16,3059170,'1A',216,'N'),(16,3059189,'1',103,'N'),(16,3059197,'1',103,'N'),(16,3059219,'1',207,'N'),(16,3059227,'1',201,'N'),(16,3059227,'1A',212,'N'),(16,3059235,'1',103,'N'),(16,3059243,'1',318,'N'),(16,3059251,'1',9,'N'),(16,3059260,'1',304,'N'),(16,3059278,'1',103,'N'),(16,3059286,'1',333,'N'),(16,3059294,'1',201,'N'),(16,3059294,'1A',212,'N'),(16,3059308,'1',303,'N'),(16,3059316,'1',301,'N'),(16,3059324,'1',301,'N'),(16,3059332,'1',103,'N'),(16,3059340,'1',452,'N'),(16,3059359,'1',103,'N'),(16,3059375,'1',103,'N'),(16,3059383,'1',308,'N'),(16,3059391,'1',302,'N'),(16,3059405,'1',201,'N'),(16,3059405,'1A',207,'N'),(16,3059413,'1',415,'N'),(16,3059421,'1',211,'N'),(16,3059421,'1A',215,'N'),(16,3059430,'1',207,'N'),(16,3059430,'1A',201,'N'),(16,3059448,'1',340,'N'),(16,3059456,'1',103,'N'),(16,3059464,'1',238,'N'),(16,3059464,'1A',208,'N'),(16,3059472,'1',326,'N'),(16,3059499,'1',102,'N'),(16,3059502,'1',220,'N'),(16,3059510,'1',303,'N'),(16,3059529,'1',202,'N'),(16,3059529,'1A',213,'N'),(16,3059537,'1',202,'N'),(16,3059537,'1A',213,'N'),(16,3059545,'1',202,'N'),(16,3059545,'1A',233,'N'),(16,3059561,'1',211,'N'),(16,3059561,'1A',214,'N'),(16,3059570,'1',216,'N'),(16,3059570,'1A',201,'N'),(16,3059588,'1',103,'N'),(16,3059596,'1',103,'N'),(16,3059634,'1',101,'N'),(16,3059642,'1',318,'N'),(16,3059669,'1',104,'N'),(16,3059677,'1',318,'N'),(16,3059685,'1',103,'N'),(16,3059693,'1',103,'N'),(16,3059707,'1',203,'N'),(16,3059707,'1A',214,'N'),(16,3059715,'1',103,'N'),(16,3059723,'1',238,'N'),(16,3059723,'1A',213,'N'),(16,3059731,'1',340,'N'),(16,3059740,'1',220,'N'),(16,3059740,'1A',202,'N'),(16,3059766,'1',301,'N'),(16,3059774,'1',103,'N'),(16,3059782,'1',103,'N'),(16,3059790,'1',318,'N'),(16,3059804,'1',303,'N'),(16,3059812,'1',404,'N'),(16,3059820,'1',103,'N'),(16,3059839,'1',202,'N'),(16,3059839,'1A',201,'N'),(16,3059847,'1',211,'N'),(16,3059847,'1A',214,'N'),(16,3059855,'1',103,'N'),(16,3059863,'1',331,'N'),(16,3059898,'1',423,'N'),(16,3059898,'1A',424,'N'),(16,3059910,'1',421,'N'),(16,3059910,'1A',427,'N'),(16,3059928,'1',238,'N'),(16,3059928,'1A',220,'N'),(16,3059936,'1',103,'N'),(16,3059952,'1',203,'N'),(16,3059960,'1',333,'N'),(16,3059979,'1',103,'N'),(16,3059987,'1',501,'N'),(16,3059995,'1',220,'N'),(16,3060039,'1',103,'N'),(16,3060047,'1',340,'N'),(16,3060063,'1',203,'N'),(16,3060063,'1A',202,'N'),(16,3060080,'1',304,'N'),(16,3060098,'1',318,'N'),(16,3060101,'1',103,'N'),(16,3060128,'1',214,'N'),(16,3060128,'1A',212,'N'),(16,3060136,'1',103,'N'),(16,3060144,'1',415,'N'),(16,3060152,'1',203,'N'),(16,3060152,'1A',214,'N'),(16,3060160,'1',211,'N'),(16,3060160,'1A',207,'N'),(16,3060179,'1',5,'N'),(16,3060195,'1',102,'N'),(16,3060209,'1',223,'N'),(16,3060217,'1',304,'N'),(16,3060225,'1',303,'N'),(16,3060233,'1',103,'N'),(16,3060268,'1',415,'N'),(16,3060276,'1',319,'N'),(16,3060284,'1',308,'N'),(16,3060292,'1',340,'N'),(16,3060306,'1',451,'N'),(16,3060314,'1',5,'N'),(16,3060322,'1',319,'N'),(16,3060330,'1',208,'N'),(16,3060330,'1A',238,'N'),(16,3060357,'1',203,'N'),(16,3060357,'1A',220,'N'),(16,3060365,'1',319,'N'),(16,3060373,'1',415,'N'),(16,3060381,'1',211,'N'),(16,3060390,'1',203,'N'),(16,3060390,'1A',214,'N'),(16,3060403,'1',208,'N'),(16,3060403,'1A',238,'N'),(16,3060411,'1',415,'N'),(16,3060420,'1',501,'N'),(16,3060438,'1',211,'N'),(16,3060438,'1A',212,'N'),(16,3060446,'1',211,'N'),(16,3060446,'1A',216,'N'),(16,3060454,'1',2,'N'),(16,3060462,'1',203,'N'),(16,3060462,'1A',211,'N'),(16,3060489,'1',319,'N'),(16,3060497,'1',502,'N'),(16,3060500,'1',201,'N'),(16,3060500,'1A',212,'N'),(16,3060527,'1',308,'N'),(16,3060535,'1',415,'N'),(16,3060543,'1',212,'N'),(16,3060543,'1A',233,'N'),(16,3060551,'1',301,'N'),(16,3060560,'1',203,'N'),(16,3060560,'1A',220,'N'),(16,3060578,'1',216,'N'),(16,3060578,'1A',233,'N'),(16,3060594,'1',202,'N'),(16,3060594,'1A',213,'N'),(16,3060608,'1',203,'N'),(16,3060608,'1A',214,'N'),(16,3060616,'1',103,'N'),(16,3060624,'1',308,'N'),(16,3060640,'1',5,'N'),(16,3060659,'1',450,'N'),(16,3060675,'1',502,'N'),(16,3060683,'1',319,'N'),(16,3060705,'1',103,'N'),(16,3060713,'1',103,'N'),(16,3060721,'1',316,'N'),(16,3060730,'1',103,'N'),(16,3060756,'1',202,'N'),(16,3060756,'1A',203,'N'),(16,3060764,'1',103,'N'),(16,3060772,'1',220,'N'),(16,3060772,'1A',214,'N'),(16,3060780,'1',104,'N'),(16,3060799,'1',318,'N'),(16,3060802,'1',238,'N'),(16,3060802,'1A',208,'N'),(16,3060829,'1',326,'N'),(16,3060837,'1',301,'N'),(16,3060845,'1',316,'N'),(16,3060853,'1',220,'N'),(16,3060861,'1',453,'N'),(16,3060870,'1',450,'N'),(16,3060888,'1',103,'N'),(16,3060896,'1',203,'N'),(16,3060896,'1A',214,'N'),(16,3060900,'1',108,'N'),(16,3060926,'1',203,'N'),(16,3060926,'1A',201,'N'),(16,3060934,'1',103,'N'),(16,3060950,'1',102,'N'),(16,3060969,'1',104,'N'),(16,3060977,'1',214,'N'),(16,3060977,'1A',213,'N'),(16,3060985,'1',238,'N'),(16,3060985,'1A',208,'N'),(16,3060993,'1',102,'N'),(16,3061000,'1',453,'N'),(16,3061019,'1',103,'N'),(16,3061027,'1',404,'N'),(16,3061035,'1',104,'N'),(16,3061051,'1',309,'N'),(16,3061060,'1',103,'N'),(16,3061086,'1',215,'N'),(16,3061086,'1A',211,'N'),(16,3061094,'1',502,'N'),(16,3061108,'1',103,'N'),(16,3061116,'1',104,'N'),(16,3061124,'1',420,'N'),(16,3061140,'1',302,'N'),(16,3061159,'1',201,'N'),(16,3061159,'1A',233,'N'),(16,3061167,'1',302,'N'),(16,3061175,'1',303,'N'),(16,3061183,'1',103,'N'),(16,3061191,'1',503,'N'),(16,3061205,'1',451,'N'),(16,3061213,'1',326,'N'),(16,3061221,'1',211,'N'),(16,3061221,'1A',208,'N'),(16,3061230,'1',103,'N'),(16,3061248,'1',301,'N'),(16,3061256,'1',201,'N'),(16,3061256,'1A',207,'N'),(16,3061264,'1',332,'N'),(16,3061272,'1',453,'N'),(16,3061280,'1',9,'N'),(16,3061299,'1',103,'N'),(16,3061302,'1',502,'N'),(16,3061310,'1',216,'N'),(16,3061310,'1A',203,'N'),(16,3061329,'1',220,'N'),(16,3061329,'1A',202,'N'),(16,3061337,'1',201,'N'),(16,3061337,'1A',207,'N'),(16,3061345,'1',103,'N'),(16,3061353,'1',319,'N'),(16,3061370,'1',201,'N'),(16,3061370,'1A',212,'N'),(16,3061388,'1',103,'N'),(16,3061396,'1',319,'N'),(16,3061418,'1',103,'N'),(16,3061434,'1',207,'N'),(16,3061434,'1A',201,'N'),(16,3061442,'1',303,'N'),(16,3061450,'1',203,'N'),(16,3061450,'1A',214,'N'),(16,3061469,'1',308,'N'),(16,3061477,'1',316,'N'),(16,3061485,'1',308,'N'),(16,3061493,'1',103,'N'),(16,3061515,'1',201,'N'),(16,3061515,'1A',211,'N'),(16,3061523,'1',203,'N'),(16,3061523,'1A',220,'N'),(16,3061531,'1',340,'N'),(16,3061566,'1',108,'N'),(16,3061574,'1',215,'N'),(16,3061574,'1A',214,'N'),(16,3061590,'1',201,'N'),(16,3061590,'1A',212,'N'),(16,3061604,'1',238,'N'),(16,3061604,'1A',208,'N'),(16,3061612,'1',316,'N'),(16,3061620,'1',340,'N'),(16,3061639,'1',317,'N'),(16,3061655,'1',428,'N'),(16,3061655,'1A',424,'N'),(16,3061663,'1',102,'N'),(16,3061671,'1',420,'N'),(16,3061710,'1',238,'N'),(16,3061710,'1A',208,'N'),(16,3061728,'1',303,'N'),(16,3061736,'1',211,'N'),(16,3061736,'1A',215,'N'),(16,3061744,'1',108,'N'),(16,3061752,'1',103,'N'),(16,3061760,'1',207,'N'),(16,3061760,'1A',211,'N'),(16,3061795,'1',5,'N'),(16,3061809,'1',203,'N'),(16,3061809,'1A',207,'N'),(16,3061825,'1',103,'N'),(16,3061833,'1',103,'N'),(16,3061850,'1',203,'N'),(16,3061850,'1A',202,'N'),(16,3061884,'1',212,'N'),(16,3061884,'1A',214,'N'),(16,3061892,'1',421,'N'),(16,3061892,'1A',424,'N'),(16,3061906,'1',202,'N'),(16,3061914,'1',203,'N'),(16,3061914,'1A',202,'N'),(16,3061922,'1',103,'N'),(16,3061930,'1',103,'N'),(16,3061965,'1',103,'N'),(16,3061973,'1',108,'N'),(16,3061981,'1',303,'N'),(16,3061990,'1',502,'N'),(16,3062015,'1',415,'N'),(16,3062023,'1',211,'N'),(16,3062023,'1A',207,'N'),(16,3062031,'1',214,'N'),(16,3062031,'1A',201,'N'),(16,3062040,'1',104,'N'),(16,3062058,'1',101,'N'),(16,3062066,'1',108,'N'),(16,3062082,'1',103,'N'),(16,3062090,'1',317,'N'),(16,3062104,'1',103,'N'),(16,3062120,'1',424,'N'),(16,3062120,'1A',428,'N'),(16,3062139,'1',101,'N'),(16,3062147,'1',340,'N'),(16,3062155,'1',319,'N'),(16,3062171,'1',207,'N'),(16,3062171,'1A',215,'N'),(16,3062180,'1',452,'N'),(16,3062198,'1',102,'N'),(16,3062201,'1',201,'N'),(16,3062201,'1A',203,'N'),(16,3062210,'1',316,'N'),(16,3062228,'1',102,'N'),(16,3062236,'1',303,'N'),(16,3062244,'1',103,'N'),(16,3062252,'1',318,'N'),(16,3062260,'1',319,'N'),(16,3062279,'1',108,'N'),(16,3062287,'1',501,'N'),(16,3062295,'1',103,'N'),(16,3062317,'1',5,'N'),(16,3062325,'1',310,'N'),(16,3062333,'1',425,'N'),(16,3062333,'1A',429,'N'),(16,3062341,'1',319,'N'),(16,3062350,'1',103,'N'),(16,3062368,'1',207,'N'),(16,3062368,'1A',201,'N'),(16,3062376,'1',215,'N'),(16,3062384,'1',103,'N'),(16,3062392,'1',203,'N'),(16,3062392,'1A',202,'N'),(16,3062406,'1',214,'N'),(16,3062406,'1A',213,'N'),(16,3062422,'1',5,'N'),(16,3062430,'1',201,'N'),(16,3062430,'1A',207,'N'),(16,3062449,'1',201,'N'),(16,3062449,'1A',207,'N'),(16,3062457,'1',303,'N'),(16,3062465,'1',331,'N'),(16,3062503,'1',216,'N'),(16,3062503,'1A',215,'N'),(16,3062511,'1',303,'N'),(16,3062520,'1',308,'N'),(16,3062538,'1',340,'N'),(16,3062546,'1',103,'N'),(16,3062554,'1',301,'N'),(16,3062562,'1',415,'N'),(16,3062570,'1',208,'N'),(16,3062597,'1',415,'N'),(16,3062619,'1',319,'N'),(16,3062643,'1',214,'N'),(16,3062643,'1A',215,'N'),(16,3062651,'1',318,'N'),(16,3062660,'1',201,'N'),(16,3062660,'1A',203,'N'),(16,3062678,'1',104,'N'),(16,3062686,'1',108,'N'),(16,3062694,'1',103,'N'),(16,3062716,'1',214,'N'),(16,3062716,'1A',212,'N'),(16,3062724,'1',208,'N'),(16,3062724,'1A',220,'N'),(16,3062732,'1',203,'N'),(16,3062732,'1A',201,'N'),(16,3062740,'1',327,'N'),(16,3062767,'1',207,'N'),(16,3062767,'1A',201,'N'),(16,3062775,'1',208,'N'),(16,3062775,'1A',203,'N'),(16,3062783,'1',103,'N'),(16,3062791,'1',207,'N'),(16,3062791,'1A',201,'N'),(16,3062805,'1',308,'N'),(16,3062813,'1',303,'N'),(16,3062821,'1',304,'N'),(16,3062848,'1',103,'N'),(16,3062864,'1',420,'N'),(16,3062880,'1',104,'N'),(16,3062902,'1',103,'N'),(16,3062910,'1',316,'N'),(16,3062929,'1',202,'N'),(16,3062929,'1A',208,'N'),(16,3062937,'1',103,'N'),(16,3062945,'1',220,'N'),(16,3062945,'1A',211,'N'),(16,3062953,'1',216,'N'),(16,3062953,'1A',233,'N'),(16,3062961,'1',207,'N'),(16,3062970,'1',303,'N'),(16,3062988,'1',452,'N'),(16,3062996,'1',108,'N'),(16,3063003,'1',103,'N'),(16,3063020,'1',211,'N'),(16,3063020,'1A',233,'N'),(16,3063038,'1',103,'N'),(16,3063046,'1',103,'N'),(16,3063062,'1',308,'N'),(16,3063143,'1',316,'N'),(16,3063151,'1',9,'N'),(16,3063160,'1',203,'N'),(16,3063160,'1A',220,'N'),(16,3063178,'1',103,'N'),(16,3063186,'1',303,'N'),(16,3063194,'1',444,'N'),(16,3063208,'1',339,'N'),(16,3063216,'1',340,'N'),(16,3063224,'1',216,'N'),(16,3063224,'1A',201,'N'),(16,3063240,'1',2,'N'),(16,3063267,'1',426,'N'),(16,3063267,'1A',428,'N'),(16,3063283,'1',203,'N'),(16,3063283,'1A',214,'N'),(16,3063305,'1',103,'N'),(16,3063321,'1',238,'N'),(16,3063321,'1A',208,'N'),(16,3063330,'1',301,'N'),(16,3063348,'1',308,'N'),(16,3063356,'1',207,'N'),(16,3063356,'1A',201,'N'),(16,3063364,'1',108,'N'),(16,3063372,'1',103,'N'),(16,3063402,'1',101,'N'),(16,3063410,'1',103,'N'),(16,3063429,'1',103,'N'),(16,3063437,'1',220,'N'),(16,3063437,'1A',202,'N'),(16,3063445,'1',9,'N'),(16,3063453,'1',327,'N'),(16,3063461,'1',103,'N'),(16,3063470,'1',301,'N'),(16,3063488,'1',207,'N'),(16,3063488,'1A',201,'N'),(16,3063496,'1',225,'N'),(16,3063500,'1',211,'N'),(16,3063500,'1A',213,'N'),(16,3063518,'1',224,'N'),(16,3063534,'1',319,'N'),(16,3063550,'1',102,'N'),(16,3063569,'1',201,'N'),(16,3063569,'1A',207,'N'),(16,3063577,'1',103,'N'),(16,3063585,'1',203,'N'),(16,3063585,'1A',220,'N'),(16,3063607,'1',301,'N'),(16,3063615,'1',102,'N'),(16,3063623,'1',503,'N'),(16,3063631,'1',208,'N'),(16,3063631,'1A',233,'N'),(16,3063640,'1',211,'N'),(16,3063658,'1',207,'N'),(16,3063658,'1A',201,'N'),(16,3063666,'1',103,'N'),(16,3063674,'1',303,'N'),(16,3063682,'1',103,'N'),(16,3063704,'1',211,'N'),(16,3063704,'1A',215,'N'),(16,3063712,'1',404,'N'),(16,3063720,'1',203,'N'),(16,3063720,'1A',220,'N'),(16,3063739,'1',216,'N'),(16,3063739,'1A',233,'N'),(16,3063747,'1',233,'N'),(16,3063747,'1A',238,'N'),(16,3063755,'1',108,'N'),(16,3063763,'1',301,'N'),(16,3063771,'1',309,'N'),(16,3063780,'1',103,'N'),(16,3063798,'1',207,'N'),(16,3063798,'1A',215,'N'),(16,3063801,'1',108,'N'),(16,3063828,'1',304,'N'),(16,3063844,'1',415,'N'),(16,3063860,'1',5,'N'),(16,3063887,'1',216,'N'),(16,3063887,'1A',215,'N'),(16,3063895,'1',201,'N'),(16,3063895,'1A',211,'N'),(16,3063917,'1',207,'N'),(16,3063917,'1A',201,'N'),(16,3063925,'1',303,'N'),(16,3063933,'1',102,'N'),(16,3063941,'1',5,'N'),(16,3063950,'1',320,'N'),(16,3063968,'1',415,'N'),(16,3063976,'1',214,'N'),(16,3063976,'1A',212,'N'),(16,3063984,'1',203,'N'),(16,3063992,'1',5,'N'),(16,3064000,'1',216,'N'),(16,3064000,'1A',215,'N'),(16,3064026,'1',102,'N'),(16,3064034,'1',207,'N'),(16,3064034,'1A',215,'N'),(16,3064042,'1',102,'N'),(16,3064077,'1',318,'N'),(16,3064093,'1',222,'N'),(16,3064107,'1',303,'N'),(16,3064115,'1',103,'N'),(16,3064123,'1',103,'N'),(16,3064131,'1',103,'N'),(16,3064140,'1',340,'N'),(16,3064158,'1',103,'N'),(16,3064166,'1',201,'N'),(16,3064166,'1A',212,'N'),(16,3064174,'1',319,'N'),(16,3064182,'1',340,'N'),(16,3064190,'1',5,'N'),(16,3064212,'1',104,'N'),(16,3064220,'1',340,'N'),(16,3064239,'1',104,'N'),(16,3064255,'1',104,'N'),(16,3064271,'1',103,'N'),(16,3064280,'1',3,'N'),(16,3064301,'1',103,'N'),(16,3064310,'1',104,'N'),(16,3064328,'1',301,'N'),(16,3064336,'1',203,'N'),(16,3064336,'1A',208,'N'),(16,3064344,'1',103,'N'),(16,3064379,'1',207,'N'),(16,3064379,'1A',201,'N'),(16,3064387,'1',415,'N'),(16,3064395,'1',103,'N'),(16,3064409,'1',340,'N'),(16,3064417,'1',308,'N'),(16,3064425,'1',103,'N'),(16,3064433,'1',108,'N'),(16,3064441,'1',301,'N'),(16,3064450,'1',214,'N'),(16,3064450,'1A',212,'N'),(16,3064468,'1',103,'N'),(16,3064476,'1',103,'N'),(16,3064484,'1',303,'N'),(16,3064492,'1',203,'N'),(16,3064492,'1A',201,'N'),(16,3064514,'1',104,'N'),(16,3064522,'1',103,'N'),(16,3064530,'1',5,'N'),(16,3064549,'1',103,'N'),(16,3064557,'1',102,'N'),(16,3064565,'1',201,'N'),(16,3064565,'1A',215,'N'),(16,3064581,'1',415,'N'),(16,3064603,'1',103,'N'),(16,3064620,'1',211,'N'),(16,3064620,'1A',214,'N'),(16,3064638,'1',404,'N'),(16,3064646,'1',201,'N'),(16,3064646,'1A',212,'N'),(16,3064662,'1',103,'N'),(16,3064670,'1',104,'N'),(16,3064689,'1',5,'N'),(16,3064697,'1',333,'N'),(16,3064700,'1',211,'N'),(16,3064719,'1',201,'N'),(16,3064727,'1',310,'N'),(16,3064735,'1',103,'N'),(16,3064743,'1',333,'N'),(16,3064778,'1',404,'N'),(16,3064786,'1',303,'N'),(16,3064794,'1',316,'N'),(16,3064816,'1',340,'N'),(16,3064824,'1',340,'N'),(16,3064840,'1',301,'N'),(16,3064859,'1',333,'N'),(16,3064867,'1',420,'N'),(16,3064883,'1',303,'N'),(16,3064891,'1',201,'N'),(16,3064891,'1A',238,'N'),(16,3064905,'1',503,'N'),(16,3064913,'1',108,'N'),(16,3064930,'1',220,'N'),(16,3064930,'1A',214,'N'),(16,3064948,'1',103,'N'),(16,3064956,'1',103,'N'),(16,3064964,'1',103,'N'),(16,3064972,'1',108,'N'),(16,3064980,'1',207,'N'),(16,3064980,'1A',211,'N'),(16,3064999,'1',303,'N'),(16,3065006,'1',316,'N'),(16,3065014,'1',103,'N'),(16,3065022,'1',501,'N'),(16,3065030,'1',104,'N'),(16,3065049,'1',211,'N'),(16,3065057,'1',214,'N'),(16,3065057,'1A',203,'N'),(16,3065065,'1',220,'N'),(16,3065065,'1A',233,'N'),(16,3065073,'1',103,'N'),(16,3065081,'1',319,'N'),(16,3065090,'1',208,'N'),(16,3065090,'1A',216,'N'),(16,3065103,'1',103,'N'),(16,3065111,'1',303,'N'),(16,3065120,'1',303,'N'),(16,3065146,'1',207,'N'),(16,3065146,'1A',201,'N'),(16,3065154,'1',103,'N'),(16,3065170,'1',203,'N'),(16,3065170,'1A',214,'N'),(16,3065189,'1',3,'N'),(16,3065197,'1',340,'N'),(16,3065200,'1',319,'N'),(16,3065219,'1',328,'N'),(16,3065235,'1',9,'N'),(16,3065243,'1',103,'N'),(16,3065251,'1',331,'N'),(16,3065260,'1',319,'N'),(16,3065278,'1',333,'N'),(16,3065286,'1',208,'N'),(16,3065286,'1A',238,'N'),(16,3065294,'1',220,'N'),(16,3065294,'1A',201,'N'),(16,3065308,'1',104,'N'),(16,3065316,'1',238,'N'),(16,3065324,'1',415,'N'),(16,3065332,'1',452,'N'),(16,3065340,'1',9,'N'),(16,3065359,'1',503,'N'),(16,3065367,'1',103,'N'),(16,3065375,'1',453,'N'),(16,3065383,'1',332,'N'),(16,3065391,'1',208,'N'),(16,3065391,'1A',233,'N'),(16,3065405,'1',201,'N'),(16,3065405,'1A',212,'N'),(16,3065413,'1',203,'N'),(16,3065413,'1A',207,'N'),(16,3065421,'1',103,'N'),(16,3065430,'1',207,'N'),(16,3065448,'1',201,'N'),(16,3065448,'1A',216,'N'),(16,3065456,'1',203,'N'),(16,3065456,'1A',220,'N'),(16,3065464,'1',452,'N'),(16,3065472,'1',104,'N'),(16,3065480,'1',103,'N'),(16,3065502,'1',203,'N'),(16,3065502,'1A',208,'N'),(16,3065510,'1',208,'N'),(16,3065510,'1A',238,'N'),(16,3065529,'1',202,'N'),(16,3065529,'1A',213,'N'),(16,3065537,'1',327,'N'),(16,3065545,'1',303,'N'),(16,3065561,'1',404,'N'),(16,3065588,'1',201,'N'),(16,3065588,'1A',212,'N'),(16,3065596,'1',502,'N'),(16,3065600,'1',329,'N'),(16,3065618,'1',234,'N'),(16,3065626,'1',212,'N'),(16,3065626,'1A',201,'N'),(16,3065634,'1',103,'N'),(16,3065642,'1',9,'N'),(16,3065650,'1',216,'N'),(16,3065650,'1A',208,'N'),(16,3065669,'1',203,'N'),(16,3065669,'1A',214,'N'),(16,3065677,'1',207,'N'),(16,3065677,'1A',201,'N'),(16,3065707,'1',303,'N'),(16,3065715,'1',202,'N'),(16,3065715,'1A',208,'N'),(16,3065723,'1',203,'N'),(16,3065723,'1A',216,'N'),(16,3065731,'1',207,'N'),(16,3065740,'1',319,'N'),(16,3065758,'1',303,'N'),(16,3065766,'1',340,'N'),(16,3065774,'1',340,'N'),(16,3065782,'1',103,'N'),(16,3065790,'1',444,'N'),(16,3065812,'1',303,'N'),(16,3065820,'1',103,'N'),(16,3065839,'1',303,'N'),(16,3065847,'1',108,'N'),(16,3065855,'1',203,'N'),(16,3065855,'1A',216,'N'),(16,3065863,'1',223,'N'),(16,3065871,'1',333,'N'),(16,3065880,'1',340,'N'),(16,3065898,'1',104,'N'),(16,3065901,'1',303,'N'),(16,3065910,'1',220,'N'),(16,3065944,'1',202,'N'),(16,3065944,'1A',213,'N'),(16,3065960,'1',203,'N'),(16,3065960,'1A',233,'N'),(16,3065987,'1',103,'N'),(16,3065995,'1',201,'N'),(16,3065995,'1A',203,'N'),(16,3066010,'1',104,'N'),(16,3066029,'1',103,'N'),(16,3066037,'1',103,'N'),(16,3066045,'1',316,'N'),(16,3066053,'1',450,'N'),(16,3066070,'1',203,'N'),(16,3066070,'1A',201,'N'),(16,3066096,'1',208,'N'),(16,3066096,'1A',238,'N'),(16,3066100,'1',103,'N'),(16,3066118,'1',203,'N'),(16,3066118,'1A',201,'N'),(16,3066126,'1',301,'N'),(16,3066134,'1',203,'N'),(16,3066134,'1A',201,'N'),(16,3066142,'1',303,'N'),(16,3066150,'1',104,'N'),(16,3066185,'1',303,'N'),(16,3066193,'1',103,'N'),(16,3066207,'1',233,'N'),(16,3066207,'1A',214,'N'),(16,3066215,'1',5,'N'),(16,3066223,'1',211,'N'),(16,3066223,'1A',215,'N'),(16,3066231,'1',340,'N'),(16,3066240,'1',211,'N'),(16,3066258,'1',415,'N'),(16,3066266,'1',101,'N'),(16,3066274,'1',2,'N'),(16,3066282,'1',103,'N'),(16,3066290,'1',103,'N'),(16,3066304,'1',5,'N'),(16,3066320,'1',233,'N'),(16,3066320,'1A',220,'N'),(16,3066339,'1',101,'N'),(16,3066347,'1',103,'N'),(16,3066355,'1',203,'N'),(16,3066371,'1',104,'N'),(16,3066380,'1',420,'N'),(16,3066398,'1',203,'N'),(16,3066398,'1A',214,'N'),(16,3066410,'1',5,'N'),(16,3066436,'1',208,'N'),(16,3066436,'1A',238,'N'),(16,3066444,'1',340,'N'),(16,3066452,'1',108,'N'),(16,3066460,'1',309,'N'),(16,3066479,'1',108,'N'),(16,3066487,'1',310,'N'),(16,3066495,'1',203,'N'),(16,3066495,'1A',214,'N'),(16,3066509,'1',317,'N'),(16,3066517,'1',103,'N'),(16,3066525,'1',104,'N'),(16,3066533,'1',108,'N'),(16,3066541,'1',331,'N'),(16,3066550,'1',104,'N'),(16,3066584,'1',501,'N'),(16,3066592,'1',5,'N'),(16,3066606,'1',415,'N'),(16,3066614,'1',340,'N'),(16,3066630,'1',317,'N'),(16,3066657,'1',333,'N'),(16,3066681,'1',108,'N'),(16,3066690,'1',203,'N'),(16,3066690,'1A',201,'N'),(16,3066703,'1',303,'N'),(16,3066711,'1',103,'N'),(16,3066738,'1',303,'N'),(16,3066762,'1',208,'N'),(16,3066789,'1',308,'N'),(16,3066797,'1',108,'N'),(16,3066800,'1',103,'N'),(16,3066819,'1',108,'N'),(16,3066827,'1',103,'N'),(16,3066835,'1',208,'N'),(16,3066835,'1A',238,'N'),(16,3066843,'1',103,'N'),(16,3066851,'1',103,'N'),(16,3066860,'1',444,'N'),(16,3066878,'1',340,'N'),(16,3066916,'1',234,'N'),(16,3066924,'1',5,'N'),(16,3066932,'1',238,'N'),(16,3066932,'1A',208,'N'),(16,3066940,'1',452,'N'),(16,3066983,'1',316,'N'),(16,3067009,'1',420,'N'),(16,3067017,'1',216,'N'),(16,3067017,'1A',233,'N'),(16,3067041,'1',5,'N'),(16,3067050,'1',453,'N'),(16,3067068,'1',319,'N'),(16,3067076,'1',319,'N'),(16,3067084,'1',303,'N'),(16,3067092,'1',103,'N'),(16,3067106,'1',207,'N'),(16,3067106,'1A',201,'N'),(16,3067130,'1',316,'N'),(16,3067157,'1',316,'N'),(16,3067165,'1',103,'N'),(16,3067173,'1',319,'N'),(16,3067181,'1',420,'N'),(16,3067203,'1',318,'N'),(16,3067211,'1',103,'N'),(16,3067238,'1',202,'N'),(16,3067246,'1',103,'N'),(16,3067254,'1',319,'N'),(16,3067262,'1',319,'N'),(16,3067270,'1',503,'N'),(16,3067297,'1',238,'N'),(16,3067297,'1A',208,'N'),(16,3067300,'1',502,'N'),(16,3067319,'1',216,'N'),(16,3067319,'1A',203,'N'),(16,3067327,'1',103,'N'),(16,3067335,'1',203,'N'),(16,3067335,'1A',202,'N'),(16,3067343,'1',207,'N'),(16,3067343,'1A',201,'N'),(16,3067351,'1',103,'N'),(16,3067360,'1',101,'N'),(16,3067378,'1',104,'N'),(16,3067394,'1',302,'N'),(16,3067416,'1',214,'N'),(16,3067416,'1A',238,'N'),(16,3067424,'1',201,'N'),(16,3067424,'1A',212,'N'),(16,3067432,'1',303,'N'),(16,3067467,'1',301,'N'),(16,3067475,'1',203,'N'),(16,3067475,'1A',202,'N'),(16,3067483,'1',333,'N'),(16,3067491,'1',452,'N'),(16,3067505,'1',103,'N'),(16,3067513,'1',201,'N'),(16,3067513,'1A',212,'N'),(16,3067521,'1',220,'N'),(16,3067521,'1A',203,'N'),(16,3067548,'1',103,'N'),(16,3067564,'1',213,'N'),(16,3067564,'1A',220,'N'),(16,3067572,'1',202,'N'),(16,3067572,'1A',213,'N'),(16,3067580,'1',234,'N'),(16,3067602,'1',415,'N'),(16,3067610,'1',102,'N'),(16,3067629,'1',201,'N'),(16,3067629,'1A',212,'N'),(16,3067645,'1',103,'N'),(16,3067653,'1',207,'N'),(16,3067653,'1A',201,'N'),(16,3067661,'1',9,'N'),(16,3067670,'1',301,'N'),(16,3067688,'1',301,'N'),(16,3067696,'1',208,'N'),(16,3067696,'1A',238,'N'),(16,3067718,'1',5,'N'),(16,3067726,'1',103,'N'),(16,3067734,'1',340,'N'),(16,3067742,'1',9,'N'),(16,3067750,'1',203,'N'),(16,3067750,'1A',202,'N'),(16,3067769,'1',453,'N'),(16,3067777,'1',340,'N'),(16,3067807,'1',319,'N'),(16,3067815,'1',317,'N'),(16,3067831,'1',319,'N'),(16,3067840,'1',203,'N'),(16,3067840,'1A',233,'N'),(16,3067874,'1',102,'N'),(16,3067890,'1',207,'N'),(16,3067890,'1A',211,'N'),(16,3067912,'1',103,'N'),(16,3067920,'1',234,'N'),(16,3067939,'1',333,'N'),(16,3067955,'1',102,'N'),(16,3067963,'1',309,'N'),(16,3067971,'1',302,'N'),(16,3067980,'1',302,'N'),(16,3067998,'1',340,'N'),(16,3068005,'1',103,'N'),(16,3068013,'1',103,'N'),(16,3068021,'1',211,'N'),(16,3068021,'1A',215,'N'),(16,3068030,'1',216,'N'),(16,3068030,'1A',201,'N'),(16,3068048,'1',201,'N'),(16,3068048,'1A',212,'N'),(16,3068056,'1',103,'N'),(16,3068064,'1',340,'N'),(16,3068080,'1',104,'N'),(16,3068099,'1',103,'N'),(16,3068110,'1',5,'N'),(16,3068129,'1',104,'N'),(16,3068137,'1',103,'N'),(16,3068145,'1',404,'N'),(16,3068153,'1',216,'N'),(16,3068153,'1A',201,'N'),(16,3068161,'1',207,'N'),(16,3068161,'1A',233,'N'),(16,3068170,'1',331,'N'),(16,3068196,'1',103,'N'),(16,3068200,'1',103,'N'),(16,3068218,'1',201,'N'),(16,3068218,'1A',207,'N'),(16,3068226,'1',318,'N'),(16,3068234,'1',103,'N'),(16,3068250,'1',310,'N'),(16,3068277,'1',9,'N'),(16,3068285,'1',103,'N'),(16,3068293,'1',103,'N'),(16,3068307,'1',450,'N'),(16,3068323,'1',415,'N'),(16,3068340,'1',2,'N'),(16,3068358,'1',201,'N'),(16,3068358,'1A',212,'N'),(16,3068374,'1',103,'N'),(16,3068382,'1',224,'N'),(16,3068390,'1',103,'N'),(16,3068404,'1',444,'N'),(16,3068420,'1',304,'N'),(16,3068439,'1',211,'N'),(16,3068439,'1A',203,'N'),(16,3068447,'1',5,'N'),(16,3068455,'1',103,'N'),(16,3068471,'1',103,'N'),(16,3068480,'1',103,'N'),(16,3068498,'1',502,'N'),(16,3068501,'1',444,'N'),(16,3068510,'1',220,'N'),(16,3068510,'1A',208,'N'),(16,3068528,'1',452,'N'),(16,3068536,'1',501,'N'),(16,3068544,'1',104,'N'),(16,3068552,'1',453,'N'),(16,3068560,'1',201,'N'),(16,3068560,'1A',233,'N'),(16,3068579,'1',220,'N'),(16,3068587,'1',301,'N'),(16,3068595,'1',103,'N'),(16,3068609,'1',207,'N'),(16,3068609,'1A',211,'N'),(16,3068617,'1',220,'N'),(16,3068617,'1A',203,'N'),(16,3068625,'1',103,'N'),(16,3068641,'1',103,'N'),(16,3068676,'1',415,'N'),(16,3068684,'1',103,'N'),(16,3068692,'1',207,'N'),(16,3068692,'1A',212,'N'),(16,3068706,'1',340,'N'),(16,3068714,'1',211,'N'),(16,3068714,'1A',212,'N'),(16,3068722,'1',415,'N'),(16,3068730,'1',238,'N'),(16,3068730,'1A',208,'N'),(16,3068749,'1',203,'N'),(16,3068749,'1A',201,'N'),(16,3068757,'1',216,'N'),(16,3068757,'1A',214,'N'),(16,3068765,'1',103,'N'),(16,3068773,'1',310,'N'),(16,3068781,'1',425,'N'),(16,3068781,'1A',429,'N'),(16,3068790,'1',214,'N'),(16,3068790,'1A',220,'N'),(16,3068811,'1',201,'N'),(16,3068811,'1A',212,'N'),(16,3068820,'1',9,'N'),(16,3068838,'1',208,'N'),(16,3068838,'1A',238,'N'),(16,3068846,'1',108,'N'),(16,3068854,'1',501,'N'),(16,3068862,'1',103,'N'),(16,3068919,'1',211,'N'),(16,3068919,'1A',215,'N'),(16,3068927,'1',203,'N'),(16,3068927,'1A',214,'N'),(16,3068943,'1',211,'N'),(16,3068943,'1A',233,'N'),(16,3068951,'1',103,'N'),(16,3068960,'1',214,'N'),(16,3068960,'1A',216,'N'),(16,3068978,'1',216,'N'),(16,3068986,'1',450,'N'),(16,3068994,'1',102,'N'),(16,3069028,'1',207,'N'),(16,3069028,'1A',233,'N'),(16,3069036,'1',326,'N'),(16,3069044,'1',201,'N'),(16,3069044,'1A',233,'N'),(16,3069052,'1',319,'N'),(16,3069087,'1',213,'N'),(16,3069087,'1A',233,'N'),(16,3069095,'1',5,'N'),(16,3069117,'1',216,'N'),(16,3069117,'1A',233,'N'),(16,3069125,'1',319,'N'),(16,3069133,'1',103,'N'),(16,3069150,'1',340,'N'),(16,3069168,'1',220,'N'),(16,3069168,'1A',213,'N'),(16,3069176,'1',203,'N'),(16,3069176,'1A',214,'N'),(16,3069184,'1',207,'N'),(16,3069184,'1A',212,'N'),(16,3069192,'1',9,'N'),(16,3069206,'1',207,'N'),(16,3069206,'1A',201,'N'),(16,3069222,'1',212,'N'),(16,3069222,'1A',203,'N'),(16,3069230,'1',104,'N'),(16,3069249,'1',340,'N'),(16,3069265,'1',319,'N'),(16,3069273,'1',103,'N'),(16,3069281,'1',301,'N'),(16,3069290,'1',104,'N'),(16,3069303,'1',212,'N'),(16,3069303,'1A',213,'N'),(16,3069320,'1',302,'N'),(16,3069338,'1',9,'N'),(16,3069346,'1',103,'N'),(16,3069354,'1',331,'N'),(16,3069362,'1',415,'N'),(16,3069389,'1',203,'N'),(16,3069389,'1A',214,'N'),(16,3069397,'1',104,'N'),(16,3069400,'1',104,'N'),(16,3069427,'1',503,'N'),(16,3069435,'1',340,'N'),(16,3069443,'1',104,'N'),(16,3069451,'1',101,'N'),(16,3069460,'1',203,'N'),(16,3069460,'1A',233,'N'),(16,3069478,'1',208,'N'),(16,3069478,'1A',238,'N'),(16,3069494,'1',309,'N'),(16,3069508,'1',207,'N'),(16,3069508,'1A',201,'N'),(16,3069516,'1',201,'N'),(16,3069516,'1A',214,'N'),(16,3069524,'1',316,'N'),(16,3069532,'1',103,'N'),(16,3069540,'1',202,'N'),(16,3069540,'1A',220,'N'),(16,3069559,'1',103,'N'),(16,3069567,'1',103,'N'),(16,3069575,'1',103,'N'),(16,3069583,'1',103,'N'),(16,3069591,'1',302,'N'),(16,3069605,'1',201,'N'),(16,3069605,'1A',233,'N'),(16,3069613,'1',303,'N'),(16,3069621,'1',207,'N'),(16,3069621,'1A',216,'N'),(16,3069656,'1',102,'N'),(16,3069664,'1',420,'N'),(16,3069672,'1',316,'N'),(16,3069680,'1',103,'N'),(16,3069699,'1',319,'N'),(16,3069710,'1',103,'N'),(16,3069737,'1',333,'N'),(16,3069753,'1',201,'N'),(16,3069753,'1A',220,'N'),(16,3069761,'1',201,'N'),(16,3069761,'1A',211,'N'),(16,3069770,'1',238,'N'),(16,3069770,'1A',208,'N'),(16,3069788,'1',425,'N'),(16,3069788,'1A',424,'N'),(16,3069796,'1',326,'N'),(16,3069800,'1',301,'N'),(16,3069818,'1',103,'N'),(16,3069826,'1',415,'N'),(16,3069834,'1',319,'N'),(16,3069842,'1',108,'N'),(16,3069850,'1',308,'N'),(16,3069869,'1',329,'N'),(16,3069885,'1',103,'N'),(16,3069893,'1',420,'N'),(16,3069907,'1',415,'N'),(16,3069915,'1',9,'N'),(16,3069931,'1',103,'N'),(16,3069958,'1',103,'N'),(16,3069966,'1',233,'N'),(16,3069966,'1A',215,'N'),(16,3069974,'1',103,'N'),(16,3069982,'1',318,'N'),(16,3070000,'1',201,'N'),(16,3070000,'1A',207,'N'),(16,3070034,'1',303,'N'),(16,3070042,'1',333,'N'),(16,3070050,'1',340,'N'),(16,3070069,'1',207,'N'),(16,3070069,'1A',208,'N'),(16,3070077,'1',415,'N'),(16,3070085,'1',444,'N'),(16,3070093,'1',103,'N'),(16,3070115,'1',103,'N'),(16,3070123,'1',104,'N'),(16,3070131,'1',207,'N'),(16,3070158,'1',303,'N'),(16,3070174,'1',308,'N'),(16,3070182,'1',103,'N'),(16,3070204,'1',3,'N'),(16,3070212,'1',415,'N'),(16,3070239,'1',5,'N'),(16,3070255,'1',201,'N'),(16,3070271,'1',310,'N'),(16,3070298,'1',214,'N'),(16,3070298,'1A',220,'N'),(16,3070301,'1',415,'N'),(16,3070310,'1',103,'N'),(16,3070328,'1',103,'N'),(16,3070336,'1',203,'N'),(16,3070336,'1A',202,'N'),(16,3070379,'1',214,'N'),(16,3070379,'1A',201,'N'),(16,3070387,'1',308,'N'),(16,3070395,'1',104,'N'),(16,3070425,'1',303,'N'),(16,3070441,'1',103,'N'),(16,3070450,'1',340,'N'),(16,3070476,'1',301,'N'),(16,3070492,'1',201,'N'),(16,3070492,'1A',207,'N'),(16,3070514,'1',415,'N'),(16,3070522,'1',303,'N'),(16,3070530,'1',329,'N'),(16,3070549,'1',103,'N'),(16,3070557,'1',238,'N'),(16,3070557,'1A',208,'N'),(16,3070573,'1',340,'N'),(16,3070581,'1',203,'N'),(16,3070581,'1A',233,'N'),(16,3070590,'1',3,'N'),(16,3070603,'1',207,'N'),(16,3070603,'1A',215,'N'),(16,3070611,'1',320,'N'),(16,3070620,'1',5,'N'),(16,3070638,'1',201,'N'),(16,3070638,'1A',238,'N'),(16,3070646,'1',238,'N'),(16,3070646,'1A',208,'N'),(16,3070662,'1',5,'N'),(16,3070670,'1',103,'N'),(16,3070697,'1',340,'N'),(16,3070700,'1',220,'N'),(16,3070700,'1A',202,'N'),(16,3070751,'1',103,'N'),(16,3070760,'1',319,'N'),(16,3070778,'1',108,'N'),(16,3070786,'1',9,'N'),(16,3070794,'1',5,'N'),(16,3070808,'1',108,'N'),(16,3070816,'1',302,'N'),(16,3070824,'1',415,'N'),(16,3070832,'1',220,'N'),(16,3070832,'1A',203,'N'),(16,3070840,'1',202,'N'),(16,3070840,'1A',207,'N'),(16,3070859,'1',103,'N'),(16,3070867,'1',207,'N'),(16,3070867,'1A',216,'N'),(16,3070875,'1',303,'N'),(16,3070891,'1',420,'N'),(16,3070905,'1',103,'N'),(16,3070921,'1',103,'N'),(16,3070930,'1',304,'N'),(16,3070956,'1',207,'N'),(16,3070956,'1A',201,'N'),(16,3070964,'1',319,'N'),(16,3070972,'1',103,'N'),(16,3070980,'1',207,'N'),(16,3070980,'1A',215,'N'),(16,3070999,'1',220,'N'),(16,3070999,'1A',202,'N'),(16,3071006,'1',404,'N'),(16,3071014,'1',203,'N'),(16,3071014,'1A',211,'N'),(16,3071022,'1',503,'N'),(16,3071030,'1',319,'N'),(16,3071049,'1',201,'N'),(16,3071049,'1A',212,'N'),(16,3071057,'1',318,'N'),(16,3071065,'1',453,'N'),(16,3071081,'1',207,'N'),(16,3071081,'1A',201,'N'),(16,3071090,'1',319,'N'),(16,3071103,'1',301,'N'),(16,3071111,'1',303,'N'),(16,3071120,'1',103,'N'),(16,3071138,'1',104,'N'),(16,3071146,'1',103,'N'),(16,3071154,'1',207,'N'),(16,3071154,'1A',201,'N'),(16,3071162,'1',108,'N'),(16,3071170,'1',211,'N'),(16,3071170,'1A',215,'N'),(16,3071189,'1',208,'N'),(16,3071189,'1A',238,'N'),(16,3071197,'1',404,'N'),(16,3071200,'1',2,'N'),(16,3071219,'1',5,'N'),(16,3071235,'1',108,'N'),(16,3071251,'1',302,'N'),(16,3071260,'1',104,'N'),(16,3071278,'1',103,'N'),(16,3071286,'1',415,'N'),(16,3071294,'1',202,'N'),(16,3071294,'1A',208,'N'),(16,3071308,'1',103,'N'),(16,3071332,'1',238,'N'),(16,3071332,'1A',216,'N'),(16,3071340,'1',333,'N'),(16,3071359,'1',415,'N'),(16,3071367,'1',303,'N'),(16,3071383,'1',340,'N'),(16,3071391,'1',103,'N'),(16,3071405,'1',318,'N'),(16,3071413,'1',203,'N'),(16,3071413,'1A',233,'N'),(16,3071421,'1',304,'N'),(16,3071448,'1',103,'N'),(16,3071456,'1',444,'N'),(16,3071464,'1',208,'N'),(16,3071480,'1',309,'N'),(16,3071499,'1',5,'N'),(16,3071502,'1',102,'N'),(16,3071510,'1',103,'N'),(16,3071529,'1',201,'N'),(16,3071529,'1A',211,'N'),(16,3071537,'1',207,'N'),(16,3071537,'1A',201,'N'),(16,3071545,'1',207,'N'),(16,3071545,'1A',211,'N'),(16,3071561,'1',415,'N'),(16,3071570,'1',202,'N'),(16,3071570,'1A',220,'N'),(16,3071596,'1',450,'N'),(16,3071618,'1',214,'N'),(16,3071618,'1A',201,'N'),(16,3071626,'1',103,'N'),(16,3071634,'1',103,'N'),(16,3071642,'1',503,'N'),(16,3071669,'1',103,'N'),(16,3071685,'1',103,'N'),(16,3071693,'1',415,'N'),(16,3071707,'1',444,'N'),(16,3071715,'1',303,'N'),(16,3071731,'1',203,'N'),(16,3071731,'1A',214,'N'),(16,3071766,'1',303,'N'),(16,3071774,'1',302,'N'),(16,3071782,'1',103,'N'),(16,3071790,'1',319,'N'),(16,3071804,'1',212,'N'),(16,3071804,'1A',207,'N'),(16,3071812,'1',309,'N'),(16,3071839,'1',303,'N'),(16,3071847,'1',103,'N'),(16,3071855,'1',303,'N'),(16,3071863,'1',108,'N'),(16,3071871,'1',310,'N'),(16,3071898,'1',203,'N'),(16,3071898,'1A',208,'N'),(16,3071901,'1',203,'N'),(16,3071901,'1A',214,'N'),(16,3071910,'1',213,'N'),(16,3071910,'1A',238,'N'),(16,3071928,'1',425,'N'),(16,3071928,'1A',427,'N'),(16,3071944,'1',207,'N'),(16,3071944,'1A',201,'N'),(16,3071952,'1',213,'N'),(16,3071952,'1A',202,'N'),(16,3071960,'1',326,'N'),(16,3071979,'1',101,'N'),(16,3071987,'1',304,'N'),(16,3071995,'1',429,'N'),(16,3071995,'1A',425,'N'),(16,3072002,'1',302,'N'),(16,3072010,'1',201,'N'),(16,3072010,'1A',202,'N'),(16,3072029,'1',207,'N'),(16,3072029,'1A',233,'N'),(16,3072037,'1',214,'N'),(16,3072037,'1A',212,'N'),(16,3072045,'1',103,'N'),(16,3072053,'1',103,'N'),(16,3072061,'1',104,'N'),(16,3072096,'1',318,'N'),(16,3072100,'1',208,'N'),(16,3072100,'1A',238,'N'),(16,3072118,'1',211,'N'),(16,3072118,'1A',215,'N'),(16,3072126,'1',333,'N'),(16,3072134,'1',103,'N'),(16,3072142,'1',104,'N'),(16,3072150,'1',203,'N'),(16,3072150,'1A',214,'N'),(16,3072177,'1',3,'N'),(16,3072185,'1',302,'N'),(16,3072193,'1',301,'N'),(16,3072207,'1',9,'N'),(16,3072215,'1',223,'N'),(16,3072223,'1',303,'N'),(16,3072231,'1',317,'N'),(16,3072240,'1',301,'N'),(16,3072258,'1',318,'N'),(16,3072274,'1',212,'N'),(16,3072274,'1A',238,'N'),(16,3072282,'1',201,'N'),(16,3072282,'1A',233,'N'),(16,3072290,'1',326,'N'),(16,3072304,'1',202,'N'),(16,3072304,'1A',220,'N'),(16,3072312,'1',452,'N'),(16,3072320,'1',216,'N'),(16,3072320,'1A',212,'N'),(16,3072347,'1',5,'N'),(16,3072355,'1',214,'N'),(16,3072355,'1A',233,'N'),(16,3072363,'1',103,'N'),(16,3072371,'1',339,'N'),(16,3072380,'1',327,'N'),(16,3072398,'1',302,'N'),(16,3072401,'1',215,'N'),(16,3072401,'1A',211,'N'),(16,3072410,'1',415,'N'),(16,3072428,'1',103,'N'),(16,3072436,'1',233,'N'),(16,3072436,'1A',215,'N'),(16,3072444,'1',340,'N'),(16,3072452,'1',103,'N'),(16,3072479,'1',103,'N'),(16,3072495,'1',203,'N'),(16,3072495,'1A',202,'N'),(16,3072517,'1',201,'N'),(16,3072517,'1A',202,'N'),(16,3072525,'1',319,'N'),(16,3072533,'1',340,'N'),(16,3072568,'1',238,'N'),(16,3072568,'1A',208,'N'),(16,3072576,'1',444,'N'),(16,3072584,'1',208,'N'),(16,3072584,'1A',202,'N'),(16,3072592,'1',207,'N'),(16,3072592,'1A',201,'N'),(16,3072606,'1',404,'N'),(16,3072614,'1',202,'N'),(16,3072614,'1A',212,'N'),(16,3072622,'1',220,'N'),(16,3072622,'1A',233,'N'),(16,3072630,'1',102,'N'),(16,3072649,'1',212,'N'),(16,3072649,'1A',213,'N'),(16,3072657,'1',333,'N'),(16,3072665,'1',103,'N'),(16,3072673,'1',103,'N'),(16,3072690,'1',310,'N'),(16,3072703,'1',103,'N'),(16,3072711,'1',420,'N'),(16,3072720,'1',203,'N'),(16,3072720,'1A',212,'N'),(16,3072738,'1',415,'N'),(16,3072754,'1',104,'N'),(16,3072762,'1',220,'N'),(16,3072762,'1A',213,'N'),(16,3072770,'1',5,'N'),(16,3072800,'1',501,'N'),(16,3072819,'1',301,'N'),(16,3072827,'1',309,'N'),(16,3072835,'1',103,'N'),(16,3072843,'1',303,'N'),(16,3072851,'1',103,'N'),(16,3072860,'1',9,'N'),(16,3072878,'1',234,'N'),(16,3072886,'1',216,'N'),(16,3072886,'1A',202,'N'),(16,3072908,'1',102,'N'),(16,3072924,'1',103,'N'),(16,3072932,'1',340,'N'),(16,3072940,'1',444,'N'),(16,3072959,'1',202,'N'),(16,3072959,'1A',208,'N'),(16,3072975,'1',303,'N'),(16,3072983,'1',319,'N'),(16,3072991,'1',331,'N'),(16,3073009,'1',420,'N'),(16,3073033,'1',201,'N'),(16,3073033,'1A',212,'N'),(16,3073041,'1',340,'N'),(16,3073050,'1',215,'N'),(16,3073050,'1A',211,'N'),(16,3073068,'1',108,'N'),(16,3073076,'1',103,'N'),(16,3073084,'1',212,'N'),(16,3073084,'1A',214,'N'),(16,3073092,'1',211,'N'),(16,3073092,'1A',201,'N'),(16,3073106,'1',215,'N'),(16,3073106,'1A',216,'N'),(16,3073122,'1',207,'N'),(16,3073122,'1A',201,'N'),(16,3073130,'1',303,'N'),(16,3073165,'1',103,'N'),(16,3073173,'1',450,'N'),(16,3073181,'1',103,'N'),(16,3073203,'1',216,'N'),(16,3073211,'1',3,'N'),(16,3073220,'1',201,'N'),(16,3073238,'1',207,'N'),(16,3073238,'1A',201,'N'),(16,3073246,'1',220,'N'),(16,3073246,'1A',203,'N'),(16,3073254,'1',424,'N'),(16,3073254,'1A',429,'N'),(16,3073270,'1',9,'N'),(16,3073289,'1',103,'N'),(16,3073297,'1',452,'N'),(16,3073319,'1',103,'N'),(16,3073327,'1',214,'N'),(16,3073327,'1A',203,'N'),(16,3073335,'1',319,'N'),(16,3073343,'1',201,'N'),(16,3073343,'1A',220,'N'),(16,3073351,'1',503,'N'),(16,3073378,'1',220,'N'),(16,3073394,'1',234,'N'),(16,3073408,'1',211,'N'),(16,3073408,'1A',233,'N'),(16,3073424,'1',222,'N'),(16,3073432,'1',103,'N'),(16,3073440,'1',238,'N'),(16,3073459,'1',203,'N'),(16,3073467,'1',450,'N'),(16,3073475,'1',444,'N'),(16,3073483,'1',102,'N'),(16,3073491,'1',5,'N'),(16,3073505,'1',103,'N'),(16,3073513,'1',328,'N'),(16,3073521,'1',215,'N'),(16,3073548,'1',453,'N'),(16,3073556,'1',501,'N'),(16,3073564,'1',202,'N'),(16,3073564,'1A',213,'N'),(16,3073572,'1',201,'N'),(16,3073572,'1A',212,'N'),(16,3073580,'1',303,'N'),(16,3073599,'1',303,'N'),(16,3073602,'1',317,'N'),(16,3073610,'1',223,'N'),(16,3073637,'1',201,'N'),(16,3073637,'1A',212,'N'),(16,3073645,'1',203,'N'),(16,3073645,'1A',220,'N'),(16,3073653,'1',501,'N'),(16,3073661,'1',216,'N'),(16,3073661,'1A',211,'N'),(16,3073688,'1',502,'N'),(16,3073700,'1',103,'N'),(16,3073718,'1',234,'N'),(16,3073734,'1',203,'N'),(16,3073734,'1A',214,'N'),(16,3073742,'1',207,'N'),(16,3073742,'1A',201,'N'),(16,3073750,'1',340,'N'),(16,3073769,'1',103,'N'),(16,3073777,'1',310,'N'),(16,3073793,'1',202,'N'),(16,3073793,'1A',213,'N'),(16,3073831,'1',103,'N'),(16,3073858,'1',104,'N'),(16,3073874,'1',5,'N'),(16,3073882,'1',214,'N'),(16,3073882,'1A',212,'N'),(16,3073912,'1',201,'N'),(16,3073912,'1A',203,'N'),(16,3073920,'1',303,'N'),(16,3073939,'1',319,'N'),(16,3073955,'1',9,'N'),(16,3073963,'1',103,'N'),(16,3073971,'1',103,'N'),(16,3073980,'1',207,'N'),(16,3073980,'1A',212,'N'),(16,3073998,'1',211,'N'),(16,3073998,'1A',215,'N'),(16,3074005,'1',103,'N'),(16,3074013,'1',211,'N'),(16,3074013,'1A',212,'N'),(16,3074048,'1',340,'N'),(16,3074056,'1',328,'N'),(16,3074064,'1',415,'N'),(16,3074080,'1',331,'N'),(16,3074099,'1',421,'N'),(16,3074099,'1A',425,'N'),(16,3074102,'1',103,'N'),(16,3074129,'1',103,'N'),(16,3074137,'1',203,'N'),(16,3074137,'1A',201,'N'),(16,3074145,'1',220,'N'),(16,3074145,'1A',201,'N'),(16,3074153,'1',216,'N'),(16,3074153,'1A',215,'N'),(16,3074161,'1',215,'N'),(16,3074161,'1A',216,'N'),(16,3074170,'1',104,'N'),(16,3074188,'1',103,'N'),(16,3074196,'1',303,'N'),(16,3074200,'1',205,'N'),(16,3074226,'1',453,'N'),(16,3074234,'1',104,'N'),(16,3074250,'1',201,'N'),(16,3074250,'1A',212,'N'),(16,3074269,'1',340,'N'),(16,3074277,'1',340,'N'),(16,3074285,'1',331,'N'),(16,3074323,'1',102,'N'),(16,3074331,'1',317,'N'),(16,3074340,'1',301,'N'),(16,3074358,'1',103,'N'),(16,3074374,'1',103,'N'),(16,3074382,'1',203,'N'),(16,3074382,'1A',214,'N'),(16,3074412,'1',453,'N'),(16,3074439,'1',317,'N'),(16,3074447,'1',201,'N'),(16,3074455,'1',104,'N'),(16,3074463,'1',211,'N'),(16,3074463,'1A',220,'N'),(16,3074471,'1',202,'N'),(16,3074471,'1A',216,'N'),(16,3074480,'1',201,'N'),(16,3074480,'1A',216,'N'),(16,3074498,'1',304,'N'),(16,3074501,'1',326,'N'),(16,3074510,'1',225,'N'),(16,3074528,'1',104,'N'),(16,3074536,'1',415,'N'),(16,3074544,'1',316,'N'),(16,3074552,'1',303,'N'),(16,3074560,'1',415,'N'),(16,3074579,'1',301,'N'),(16,3074587,'1',103,'N'),(16,3074595,'1',203,'N'),(16,3074595,'1A',211,'N'),(16,3074609,'1',103,'N'),(16,3074617,'1',103,'N'),(16,3074625,'1',326,'N'),(16,3074641,'1',214,'N'),(16,3074641,'1A',216,'N'),(16,3074650,'1',404,'N'),(16,3074668,'1',207,'N'),(16,3074676,'1',103,'N'),(16,3074684,'1',207,'N'),(16,3074684,'1A',211,'N'),(16,3074692,'1',208,'N'),(16,3074692,'1A',238,'N'),(16,3074706,'1',103,'N'),(16,3074714,'1',415,'N'),(16,3074730,'1',208,'N'),(16,3074730,'1A',238,'N'),(16,3074749,'1',103,'N'),(16,3074757,'1',103,'N'),(16,3074765,'1',104,'N'),(16,3074773,'1',102,'N'),(16,3074790,'1',302,'N'),(16,3074803,'1',318,'N'),(16,3074820,'1',201,'N'),(16,3074820,'1A',212,'N'),(16,3074838,'1',220,'N'),(16,3074838,'1A',203,'N'),(16,3074854,'1',212,'N'),(16,3074854,'1A',216,'N'),(16,3074862,'1',5,'N'),(16,3074870,'1',208,'N'),(16,3074870,'1A',238,'N'),(16,3074889,'1',203,'N'),(16,3074889,'1A',214,'N'),(16,3074900,'1',103,'N'),(16,3074919,'1',103,'N'),(16,3074927,'1',318,'N'),(16,3074935,'1',203,'N'),(16,3074935,'1A',220,'N'),(16,3074943,'1',103,'N'),(16,3074951,'1',301,'N'),(16,3074960,'1',319,'N'),(16,3074978,'1',304,'N'),(16,3074986,'1',238,'N'),(16,3074986,'1A',207,'N'),(16,3074994,'1',301,'N'),(16,3075001,'1',201,'N'),(16,3075001,'1A',216,'N'),(16,3075010,'1',104,'N'),(16,3075028,'1',303,'N'),(16,3075036,'1',207,'N'),(16,3075036,'1A',201,'N'),(16,3075044,'1',103,'N'),(16,3075052,'1',211,'N'),(16,3075060,'1',9,'N'),(16,3075079,'1',303,'N'),(16,3075087,'1',303,'N'),(16,3075095,'1',207,'N'),(16,3075117,'1',452,'N'),(16,3075133,'1',301,'N'),(16,3075141,'1',103,'N'),(16,3075150,'1',333,'N'),(16,3075168,'1',103,'N'),(16,3075176,'1',108,'N'),(16,3075184,'1',415,'N'),(16,3075192,'1',102,'N'),(16,3075214,'1',5,'N'),(16,3075222,'1',303,'N'),(16,3075230,'1',450,'N'),(16,3075257,'1',201,'N'),(16,3075257,'1A',212,'N'),(16,3075265,'1',104,'N'),(16,3075273,'1',452,'N'),(16,3075281,'1',303,'N'),(16,3075303,'1',303,'N'),(16,3075320,'1',220,'N'),(16,3075320,'1A',203,'N'),(16,3075338,'1',103,'N'),(16,3075346,'1',216,'N'),(16,3075346,'1A',201,'N'),(16,3075354,'1',317,'N'),(16,3075370,'1',211,'N'),(16,3075370,'1A',233,'N'),(16,3075389,'1',220,'N'),(16,3075389,'1A',203,'N'),(16,3075397,'1',303,'N'),(16,3075400,'1',302,'N'),(16,3075419,'1',103,'N'),(16,3075427,'1',301,'N'),(16,3075443,'1',211,'N'),(16,3075443,'1A',215,'N'),(16,3075451,'1',452,'N'),(16,3075460,'1',103,'N'),(16,3075486,'1',104,'N'),(16,3075494,'1',104,'N'),(16,3075508,'1',453,'N'),(16,3075516,'1',302,'N'),(16,3075524,'1',303,'N'),(16,3075532,'1',421,'N'),(16,3075532,'1A',425,'N'),(16,3075540,'1',9,'N'),(16,3075559,'1',220,'N'),(16,3075559,'1A',203,'N'),(16,3075567,'1',103,'N'),(16,3075575,'1',303,'N'),(16,3075591,'1',301,'N'),(16,3075605,'1',303,'N'),(16,3075613,'1',216,'N'),(16,3075613,'1A',211,'N'),(16,3075621,'1',301,'N'),(16,3075648,'1',103,'N'),(16,3075656,'1',104,'N'),(16,3075664,'1',103,'N'),(16,3075672,'1',303,'N'),(16,3075680,'1',340,'N'),(16,3075699,'1',203,'N'),(16,3075699,'1A',214,'N'),(16,3075702,'1',303,'N'),(16,3075710,'1',340,'N'),(16,3075729,'1',102,'N'),(16,3075737,'1',211,'N'),(16,3075745,'1',331,'N'),(16,3075753,'1',202,'N'),(16,3075753,'1A',238,'N'),(16,3075770,'1',103,'N'),(16,3075788,'1',502,'N'),(16,3075796,'1',452,'N'),(16,3075800,'1',429,'N'),(16,3075800,'1A',424,'N'),(16,3075818,'1',450,'N'),(16,3075826,'1',103,'N'),(16,3075834,'1',317,'N'),(16,3075842,'1',317,'N'),(16,3075850,'1',207,'N'),(16,3075850,'1A',201,'N'),(16,3075869,'1',103,'N'),(16,3075877,'1',340,'N'),(16,3075885,'1',102,'N'),(16,3075893,'1',103,'N'),(16,3075915,'1',426,'N'),(16,3075915,'1A',424,'N'),(16,3075923,'1',327,'N'),(16,3075931,'1',216,'N'),(16,3075931,'1A',208,'N'),(16,3075940,'1',444,'N'),(16,3075958,'1',5,'N'),(16,3075966,'1',303,'N'),(16,3075974,'1',308,'N'),(16,3075982,'1',316,'N'),(16,3075990,'1',304,'N'),(16,3076008,'1',108,'N'),(16,3076016,'1',425,'N'),(16,3076016,'1A',429,'N'),(16,3076024,'1',501,'N'),(16,3076032,'1',216,'N'),(16,3076032,'1A',215,'N'),(16,3076040,'1',503,'N'),(16,3076059,'1',207,'N'),(16,3076059,'1A',201,'N'),(16,3076075,'1',340,'N'),(16,3076083,'1',103,'N'),(16,3076091,'1',103,'N'),(16,3076113,'1',201,'N'),(16,3076113,'1A',212,'N'),(16,3076121,'1',104,'N'),(16,3076130,'1',103,'N'),(16,3076148,'1',304,'N'),(16,3076156,'1',302,'N'),(16,3076164,'1',214,'N'),(16,3076164,'1A',201,'N'),(16,3076180,'1',108,'N'),(16,3076199,'1',108,'N'),(16,3076202,'1',201,'N'),(16,3076202,'1A',208,'N'),(16,3076210,'1',207,'N'),(16,3076210,'1A',201,'N'),(16,3076229,'1',220,'N'),(16,3076229,'1A',203,'N'),(16,3076237,'1',211,'N'),(16,3076237,'1A',216,'N'),(16,3076245,'1',216,'N'),(16,3076245,'1A',203,'N'),(16,3076253,'1',329,'N'),(16,3076261,'1',215,'N'),(16,3076261,'1A',233,'N'),(16,3076270,'1',216,'N'),(16,3076270,'1A',215,'N'),(16,3076296,'1',103,'N'),(16,3076300,'1',103,'N'),(16,3076318,'1',203,'N'),(16,3076318,'1A',214,'N'),(16,3076326,'1',238,'N'),(16,3076326,'1A',203,'N'),(16,3076334,'1',303,'N'),(16,3076342,'1',220,'N'),(16,3076342,'1A',202,'N'),(16,3076350,'1',214,'N'),(16,3076350,'1A',220,'N'),(16,3076369,'1',203,'N'),(16,3076369,'1A',201,'N'),(16,3076377,'1',444,'N'),(16,3076385,'1',444,'N'),(16,3076393,'1',201,'N'),(16,3076393,'1A',207,'N'),(16,3076407,'1',415,'N'),(16,3076415,'1',5,'N'),(16,3076423,'1',303,'N'),(16,3076431,'1',427,'N'),(16,3076440,'1',303,'N'),(16,3076474,'1',303,'N'),(16,3076482,'1',103,'N'),(16,3076490,'1',420,'N'),(16,3076504,'1',214,'N'),(16,3076504,'1A',212,'N'),(16,3076512,'1',216,'N'),(16,3076512,'1A',233,'N'),(16,3076520,'1',340,'N'),(16,3076539,'1',3,'N'),(16,3076547,'1',104,'N'),(16,3076555,'1',331,'N'),(16,3076563,'1',103,'N'),(16,3076571,'1',421,'N'),(16,3076580,'1',101,'N'),(16,3076601,'1',201,'N'),(16,3076601,'1A',233,'N'),(16,3076610,'1',207,'N'),(16,3076610,'1A',201,'N'),(16,3076628,'1',238,'N'),(16,3076628,'1A',208,'N'),(16,3076636,'1',319,'N'),(16,3076644,'1',415,'N'),(16,3076652,'1',201,'N'),(16,3076652,'1A',207,'N'),(16,3076679,'1',103,'N'),(16,3076687,'1',201,'N'),(16,3076687,'1A',212,'N'),(16,3076695,'1',103,'N'),(16,3076709,'1',102,'N'),(16,3076717,'1',207,'N'),(16,3076717,'1A',212,'N'),(16,3076725,'1',214,'N'),(16,3076725,'1A',212,'N'),(16,3076733,'1',211,'N'),(16,3076733,'1A',201,'N'),(16,3076741,'1',2,'N'),(16,3076750,'1',103,'N'),(16,3076768,'1',238,'N'),(16,3076768,'1A',208,'N'),(16,3076784,'1',103,'N'),(16,3076792,'1',450,'N'),(16,3076806,'1',329,'N'),(16,3076814,'1',415,'N'),(16,3076830,'1',205,'N'),(16,3076857,'1',340,'N'),(16,3076865,'1',420,'N'),(16,3076873,'1',340,'N'),(16,3076881,'1',103,'N'),(16,3076903,'1',302,'N'),(16,3076911,'1',501,'N'),(16,3076920,'1',214,'N'),(16,3076920,'1A',233,'N'),(16,3076938,'1',331,'N'),(16,3076946,'1',103,'N'),(16,3076954,'1',213,'N'),(16,3076954,'1A',212,'N'),(16,3076970,'1',340,'N'),(16,3076989,'1',9,'N'),(16,3077004,'1',429,'N'),(16,3077004,'1A',425,'N'),(16,3077012,'1',214,'N'),(16,3077012,'1A',201,'N'),(16,3077020,'1',207,'N'),(16,3077020,'1A',233,'N'),(16,3077039,'1',303,'N'),(16,3077047,'1',208,'N'),(16,3077047,'1A',201,'N'),(16,3077055,'1',201,'N'),(16,3077055,'1A',215,'N'),(16,3077063,'1',103,'N'),(16,3077071,'1',203,'N'),(16,3077080,'1',303,'N'),(16,3077098,'1',202,'N'),(16,3077098,'1A',213,'N'),(16,3077110,'1',308,'N'),(16,3077128,'1',103,'N'),(16,3077136,'1',318,'N'),(16,3077144,'1',309,'N'),(16,3077179,'1',5,'N'),(16,3077187,'1',415,'N'),(16,3077195,'1',103,'N'),(16,3077209,'1',201,'N'),(16,3077209,'1A',238,'N'),(16,3077217,'1',429,'N'),(16,3077217,'1A',428,'N'),(16,3077225,'1',211,'N'),(16,3077225,'1A',233,'N'),(16,3077233,'1',104,'N'),(16,3077241,'1',207,'N'),(16,3077241,'1A',201,'N'),(16,3077250,'1',303,'N'),(16,3077268,'1',203,'N'),(16,3077268,'1A',233,'N'),(16,3077276,'1',103,'N'),(16,3077284,'1',415,'N'),(16,3077292,'1',214,'N'),(16,3077292,'1A',203,'N'),(16,3077306,'1',103,'N'),(16,3077314,'1',202,'N'),(16,3077322,'1',211,'N'),(16,3077322,'1A',214,'N'),(16,3077330,'1',216,'N'),(16,3077330,'1A',215,'N'),(16,3077349,'1',415,'N'),(16,3077357,'1',203,'N'),(16,3077357,'1A',202,'N'),(16,3077365,'1',103,'N'),(16,3077373,'1',319,'N'),(16,3077381,'1',420,'N'),(16,3077390,'1',5,'N'),(16,3077403,'1',103,'N'),(16,3077420,'1',207,'N'),(16,3077420,'1A',215,'N'),(16,3077438,'1',501,'N'),(16,3077446,'1',452,'N'),(16,3077454,'1',108,'N'),(16,3077462,'1',103,'N'),(16,3077470,'1',303,'N'),(16,3077489,'1',103,'N'),(16,3077500,'1',444,'N'),(16,3077519,'1',213,'N'),(16,3077519,'1A',238,'N'),(16,3077527,'1',238,'N'),(16,3077527,'1A',208,'N'),(16,3077535,'1',319,'N'),(16,3077551,'1',303,'N'),(16,3077578,'1',428,'N'),(16,3077578,'1A',426,'N'),(16,3077586,'1',415,'N'),(16,3077594,'1',238,'N'),(16,3077594,'1A',208,'N'),(16,3077608,'1',202,'N'),(16,3077616,'1',238,'N'),(16,3077616,'1A',208,'N'),(16,3077632,'1',304,'N'),(16,3077640,'1',201,'N'),(16,3077640,'1A',233,'N'),(16,3077659,'1',452,'N'),(16,3077667,'1',421,'N'),(16,3077667,'1A',424,'N'),(16,3077675,'1',340,'N'),(16,3077691,'1',308,'N'),(16,3077705,'1',203,'N'),(16,3077705,'1A',201,'N'),(16,3077713,'1',211,'N'),(16,3077713,'1A',201,'N'),(16,3077721,'1',5,'N'),(16,3077730,'1',340,'N'),(16,3077748,'1',220,'N'),(16,3077748,'1A',238,'N'),(16,3077756,'1',340,'N'),(16,3077764,'1',327,'N'),(16,3077772,'1',333,'N'),(16,3077780,'1',103,'N'),(16,3077799,'1',104,'N'),(16,3077802,'1',108,'N'),(16,3077810,'1',302,'N'),(16,3077829,'1',103,'N'),(16,3077837,'1',108,'N'),(16,3077845,'1',201,'N'),(16,3077845,'1A',208,'N'),(16,3077853,'1',328,'N'),(16,3077861,'1',103,'N'),(16,3077870,'1',503,'N'),(16,3077896,'1',501,'N'),(16,3077900,'1',238,'N'),(16,3077900,'1A',208,'N'),(16,3077918,'1',211,'N'),(16,3077918,'1A',216,'N'),(16,3077926,'1',450,'N'),(16,3077934,'1',103,'N'),(16,3077950,'1',220,'N'),(16,3077950,'1A',202,'N'),(16,3077969,'1',5,'N'),(16,3077977,'1',103,'N'),(16,3077985,'1',420,'N'),(16,3077993,'1',326,'N'),(16,3078000,'1',211,'N'),(16,3078000,'1A',215,'N'),(16,3078019,'1',303,'N'),(16,3078027,'1',5,'N'),(16,3078035,'1',502,'N'),(16,3078043,'1',103,'N'),(16,3078051,'1',103,'N'),(16,3078060,'1',233,'N'),(16,3078060,'1A',208,'N'),(16,3078078,'1',318,'N'),(16,3078086,'1',215,'N'),(16,3078086,'1A',238,'N'),(16,3078094,'1',301,'N'),(16,3078108,'1',103,'N'),(16,3078124,'1',444,'N'),(16,3078132,'1',207,'N'),(16,3078132,'1A',201,'N'),(16,3078167,'1',208,'N'),(16,3078167,'1A',211,'N'),(16,3078175,'1',301,'N'),(16,3078183,'1',215,'N'),(16,3078183,'1A',216,'N'),(16,3078191,'1',301,'N'),(16,3078205,'1',9,'N'),(16,3078213,'1',316,'N'),(16,3078221,'1',108,'N'),(16,3078230,'1',203,'N'),(16,3078230,'1A',202,'N'),(16,3078248,'1',103,'N'),(16,3078256,'1',9,'N'),(16,3078264,'1',328,'N'),(16,3078272,'1',238,'N'),(16,3078272,'1A',208,'N'),(16,3078280,'1',340,'N'),(16,3078299,'1',103,'N'),(16,3078310,'1',203,'N'),(16,3078329,'1',103,'N'),(16,3078337,'1',426,'N'),(16,3078337,'1A',425,'N'),(16,3078345,'1',9,'N'),(16,3078361,'1',103,'N'),(16,3078370,'1',224,'N'),(16,3078388,'1',452,'N'),(16,3078396,'1',501,'N'),(16,3078400,'1',332,'N'),(16,3078418,'1',301,'N'),(16,3078426,'1',238,'N'),(16,3078426,'1A',208,'N'),(16,3078434,'1',319,'N'),(16,3078442,'1',103,'N'),(16,3078450,'1',208,'N'),(16,3078450,'1A',238,'N'),(16,3078477,'1',103,'N'),(16,3078485,'1',415,'N'),(16,3078493,'1',234,'N'),(16,3078507,'1',103,'N'),(16,3078515,'1',303,'N'),(16,3078523,'1',309,'N'),(16,3078531,'1',451,'N'),(16,3078540,'1',5,'N'),(16,3078566,'1',5,'N'),(16,3078574,'1',102,'N'),(16,3078582,'1',103,'N'),(16,3078590,'1',238,'N'),(16,3078590,'1A',207,'N'),(16,3078604,'1',404,'N'),(16,3078612,'1',103,'N'),(16,3078620,'1',301,'N'),(16,3078639,'1',5,'N'),(16,3078647,'1',216,'N'),(16,3078647,'1A',233,'N'),(16,3078671,'1',103,'N'),(16,3078680,'1',201,'N'),(16,3078680,'1A',203,'N'),(16,3078698,'1',304,'N'),(16,3078701,'1',238,'N'),(16,3078728,'1',316,'N'),(16,3078736,'1',220,'N'),(16,3078736,'1A',214,'N'),(16,3078744,'1',108,'N'),(16,3078752,'1',102,'N'),(16,3078760,'1',103,'N'),(16,3078779,'1',201,'N'),(16,3078779,'1A',233,'N'),(16,3078787,'1',103,'N'),(16,3078795,'1',103,'N'),(16,3078809,'1',2,'N'),(16,3078817,'1',103,'N'),(16,3078841,'1',425,'N'),(16,3078841,'1A',429,'N'),(16,3078850,'1',201,'N'),(16,3078850,'1A',212,'N'),(16,3078868,'1',103,'N'),(16,3078884,'1',303,'N'),(16,3078892,'1',316,'N'),(16,3078914,'1',103,'N'),(16,3078922,'1',103,'N'),(16,3078930,'1',3,'N'),(16,3078949,'1',207,'N'),(16,3078949,'1A',201,'N'),(16,3078957,'1',327,'N'),(16,3078965,'1',303,'N'),(16,3078973,'1',5,'N'),(16,3078981,'1',207,'N'),(16,3078981,'1A',201,'N'),(16,3079007,'1',5,'N'),(16,3079015,'1',201,'N'),(16,3079015,'1A',202,'N'),(16,3079031,'1',202,'N'),(16,3079040,'1',101,'N'),(16,3079058,'1',415,'N'),(16,3079074,'1',201,'N'),(16,3079074,'1A',214,'N'),(16,3079082,'1',212,'N'),(16,3079082,'1A',211,'N'),(16,3079104,'1',301,'N'),(16,3079112,'1',201,'N'),(16,3079112,'1A',233,'N'),(16,3079139,'1',211,'N'),(16,3079139,'1A',202,'N'),(16,3079147,'1',208,'N'),(16,3079147,'1A',202,'N'),(16,3079155,'1',211,'N'),(16,3079155,'1A',201,'N'),(16,3079171,'1',319,'N'),(16,3079180,'1',108,'N'),(16,3079198,'1',5,'N'),(16,3079201,'1',104,'N'),(16,3079210,'1',103,'N'),(16,3079236,'1',5,'N'),(16,3079244,'1',318,'N'),(16,3079260,'1',304,'N'),(16,3079279,'1',444,'N'),(16,3079287,'1',201,'N'),(16,3079287,'1A',207,'N'),(16,3079295,'1',303,'N'),(16,3079309,'1',5,'N'),(16,3079317,'1',317,'N'),(16,3079333,'1',420,'N'),(16,3079341,'1',319,'N'),(16,3079368,'1',101,'N'),(16,3079376,'1',104,'N'),(16,3079384,'1',225,'N'),(16,3079392,'1',415,'N'),(16,3079406,'1',502,'N'),(16,3079414,'1',303,'N'),(16,3079422,'1',208,'N'),(16,3079422,'1A',203,'N'),(16,3079430,'1',208,'N'),(16,3079430,'1A',238,'N'),(16,3079449,'1',207,'N'),(16,3079449,'1A',201,'N'),(16,3079457,'1',225,'N'),(16,3079465,'1',304,'N'),(16,3079473,'1',102,'N'),(16,3079490,'1',316,'N'),(16,3079503,'1',303,'N'),(16,3079511,'1',104,'N'),(16,3079520,'1',452,'N'),(16,3079538,'1',318,'N'),(16,3079554,'1',103,'N'),(16,3079562,'1',201,'N'),(16,3079562,'1A',212,'N'),(16,3079570,'1',216,'N'),(16,3079570,'1A',213,'N'),(16,3079589,'1',215,'N'),(16,3079597,'1',415,'N'),(16,3079619,'1',108,'N'),(16,3079627,'1',404,'N'),(16,3079635,'1',303,'N'),(16,3079643,'1',208,'N'),(16,3079643,'1A',203,'N'),(16,3079651,'1',207,'N'),(16,3079651,'1A',201,'N'),(16,3079678,'1',216,'N'),(16,3079678,'1A',220,'N'),(16,3079686,'1',452,'N'),(16,3079708,'1',208,'N'),(16,3079724,'1',452,'N'),(16,3079759,'1',214,'N'),(16,3079775,'1',201,'N'),(16,3079775,'1A',212,'N'),(16,3079783,'1',452,'N'),(16,3079791,'1',205,'N'),(16,3079805,'1',303,'N'),(16,3079813,'1',303,'N'),(16,3079821,'1',224,'N'),(16,3079830,'1',103,'N'),(16,3079848,'1',5,'N'),(16,3079856,'1',103,'N'),(16,3079864,'1',201,'N'),(16,3079864,'1A',211,'N'),(16,3079872,'1',328,'N'),(16,3079899,'1',103,'N'),(16,3079902,'1',202,'N'),(16,3079902,'1A',208,'N'),(16,3079910,'1',214,'N'),(16,3079910,'1A',213,'N'),(16,3079929,'1',444,'N'),(16,3079953,'1',104,'N'),(16,3079961,'1',303,'N'),(16,3079988,'1',233,'N'),(16,3079988,'1A',213,'N'),(16,3079996,'1',207,'N'),(16,3080005,'1',103,'N'),(16,3080013,'1',103,'N'),(16,3080021,'1',301,'N'),(16,3080030,'1',103,'N'),(16,3080048,'1',301,'N'),(16,3080056,'1',203,'N'),(16,3080056,'1A',233,'N'),(16,3080064,'1',104,'N'),(16,3080072,'1',301,'N'),(16,3080102,'1',207,'N'),(16,3080110,'1',101,'N'),(16,3080129,'1',501,'N'),(16,3080137,'1',201,'N'),(16,3080137,'1A',212,'N'),(16,3080145,'1',201,'N'),(16,3080145,'1A',202,'N'),(16,3080153,'1',501,'N'),(16,3080170,'1',102,'N'),(16,3080188,'1',238,'N'),(16,3080188,'1A',208,'N'),(16,3080196,'1',415,'N'),(16,3080200,'1',203,'N'),(16,3080200,'1A',202,'N'),(16,3080218,'1',103,'N'),(16,3080226,'1',301,'N'),(16,3080234,'1',5,'N'),(16,3080242,'1',5,'N'),(16,3080250,'1',203,'N'),(16,3080250,'1A',214,'N'),(16,3080269,'1',103,'N'),(16,3080277,'1',215,'N'),(16,3080277,'1A',233,'N'),(16,3080285,'1',5,'N'),(16,3080293,'1',203,'N'),(16,3080293,'1A',220,'N'),(16,3080307,'1',203,'N'),(16,3080307,'1A',216,'N'),(16,3080315,'1',234,'N'),(16,3080323,'1',302,'N'),(16,3080331,'1',103,'N'),(16,3080340,'1',319,'N'),(16,3080358,'1',211,'N'),(16,3080358,'1A',215,'N'),(16,3080366,'1',304,'N'),(16,3080374,'1',103,'N'),(16,3080382,'1',203,'N'),(16,3080382,'1A',220,'N'),(16,3080390,'1',207,'N'),(16,3080390,'1A',201,'N'),(16,3080404,'1',103,'N'),(16,3080412,'1',203,'N'),(16,3080412,'1A',214,'N'),(16,3080420,'1',216,'N'),(16,3080420,'1A',213,'N'),(16,3080439,'1',104,'N'),(16,3080447,'1',5,'N'),(16,3080455,'1',302,'N'),(16,3080463,'1',303,'N'),(16,3080480,'1',428,'N'),(16,3080480,'1A',426,'N'),(16,3080498,'1',202,'N'),(16,3080498,'1A',203,'N'),(16,3080501,'1',103,'N'),(16,3080510,'1',212,'N'),(16,3080510,'1A',201,'N'),(16,3080528,'1',415,'N'),(16,3080536,'1',332,'N'),(16,3080544,'1',415,'N'),(16,3080552,'1',208,'N'),(16,3080552,'1A',201,'N'),(16,3080560,'1',202,'N'),(16,3080560,'1A',213,'N'),(16,3080579,'1',317,'N'),(16,3080587,'1',103,'N'),(16,3080595,'1',103,'N'),(16,3080609,'1',108,'N'),(16,3080617,'1',104,'N'),(16,3080625,'1',216,'N'),(16,3080625,'1A',233,'N'),(16,3080633,'1',316,'N'),(16,3080641,'1',103,'N'),(16,3080650,'1',202,'N'),(16,3080650,'1A',213,'N'),(16,3080668,'1',102,'N'),(16,3080684,'1',327,'N'),(16,3080706,'1',103,'N'),(16,3080722,'1',103,'N'),(16,3080749,'1',207,'N'),(16,3080749,'1A',201,'N'),(16,3080757,'1',103,'N'),(16,3080773,'1',103,'N'),(16,3080790,'1',103,'N'),(16,3080803,'1',220,'N'),(16,3080803,'1A',208,'N'),(16,3080838,'1',340,'N'),(16,3080846,'1',303,'N'),(16,3080854,'1',316,'N'),(16,3080862,'1',301,'N'),(16,3080870,'1',202,'N'),(16,3080870,'1A',213,'N'),(16,3080889,'1',103,'N'),(16,3080897,'1',214,'N'),(16,3080897,'1A',212,'N'),(16,3080900,'1',103,'N'),(16,3080919,'1',220,'N'),(16,3080919,'1A',216,'N'),(16,3080927,'1',207,'N'),(16,3080927,'1A',201,'N'),(16,3080935,'1',101,'N'),(16,3080943,'1',211,'N'),(16,3080943,'1A',238,'N'),(16,3080951,'1',5,'N'),(16,3080960,'1',9,'N'),(16,3080978,'1',207,'N'),(16,3080978,'1A',201,'N'),(16,3080986,'1',316,'N'),(16,3080994,'1',103,'N'),(16,3081001,'1',201,'N'),(16,3081001,'1A',208,'N'),(16,3081010,'1',202,'N'),(16,3081010,'1A',238,'N'),(16,3081028,'1',310,'N'),(16,3081036,'1',108,'N'),(16,3081044,'1',303,'N'),(16,3081052,'1',104,'N'),(16,3081060,'1',220,'N'),(16,3081060,'1A',233,'N'),(16,3081087,'1',102,'N'),(16,3081095,'1',225,'N'),(16,3081117,'1',102,'N'),(16,3081125,'1',202,'N'),(16,3081125,'1A',233,'N'),(16,3081133,'1',103,'N'),(16,3081141,'1',102,'N'),(16,3081150,'1',426,'N'),(16,3081150,'1A',429,'N'),(16,3081176,'1',303,'N'),(16,3081184,'1',201,'N'),(16,3081184,'1A',207,'N'),(16,3081206,'1',207,'N'),(16,3081206,'1A',201,'N'),(16,3081214,'1',326,'N'),(16,3081222,'1',234,'N'),(16,3081249,'1',5,'N'),(16,3081273,'1',301,'N'),(16,3081281,'1',207,'N'),(16,3081281,'1A',238,'N'),(16,3081290,'1',9,'N'),(16,3081311,'1',108,'N'),(16,3081320,'1',103,'N'),(16,3081338,'1',104,'N'),(16,3081346,'1',303,'N'),(16,3081362,'1',223,'N'),(16,3081370,'1',453,'N'),(16,3081389,'1',332,'N'),(16,3081400,'1',420,'N'),(16,3081419,'1',301,'N'),(16,3081427,'1',101,'N'),(16,3081451,'1',319,'N'),(16,3081460,'1',302,'N'),(16,3081486,'1',425,'N'),(16,3081486,'1A',424,'N'),(16,3081494,'1',220,'N'),(16,3081494,'1A',202,'N'),(16,3081516,'1',108,'N'),(16,3081524,'1',104,'N'),(16,3081540,'1',3,'N'),(16,3081583,'1',423,'N'),(16,3081583,'1A',428,'N'),(16,3081605,'1',319,'N'),(16,3081613,'1',101,'N'),(16,3081621,'1',339,'N'),(16,3081630,'1',9,'N'),(16,3081648,'1',333,'N'),(16,3081656,'1',208,'N'),(16,3081656,'1A',202,'N'),(16,3081664,'1',103,'N'),(16,3081672,'1',303,'N'),(16,3081710,'1',108,'N'),(16,3081729,'1',444,'N'),(16,3081737,'1',319,'N'),(16,3081753,'1',103,'N'),(16,3081761,'1',303,'N'),(16,3081770,'1',103,'N'),(16,3081796,'1',340,'N'),(16,3081800,'1',103,'N'),(16,3081818,'1',451,'N'),(16,3081826,'1',303,'N'),(16,3081834,'1',103,'N'),(16,3081842,'1',211,'N'),(16,3081842,'1A',233,'N'),(16,3081869,'1',208,'N'),(16,3081869,'1A',203,'N'),(16,3081877,'1',211,'N'),(16,3081877,'1A',201,'N'),(16,3081885,'1',201,'N'),(16,3081893,'1',207,'N'),(16,3081893,'1A',201,'N'),(16,3081923,'1',103,'N'),(16,3081931,'1',429,'N'),(16,3081931,'1A',425,'N'),(16,3081940,'1',301,'N'),(16,3081958,'1',415,'N'),(16,3081966,'1',326,'N'),(16,3081974,'1',103,'N'),(16,3081982,'1',103,'N'),(16,3082008,'1',420,'N'),(16,3082016,'1',303,'N'),(16,3082024,'1',450,'N'),(16,3082032,'1',103,'N'),(16,3082040,'1',301,'N'),(16,3082059,'1',201,'N'),(16,3082059,'1A',207,'N'),(16,3082067,'1',207,'N'),(16,3082067,'1A',238,'N'),(16,3082075,'1',234,'N'),(16,3082083,'1',102,'N'),(16,3082091,'1',108,'N'),(16,3082113,'1',104,'N'),(16,3082121,'1',303,'N'),(16,3082130,'1',103,'N'),(16,3082148,'1',203,'N'),(16,3082148,'1A',216,'N'),(16,3082156,'1',103,'N'),(16,3082202,'1',203,'N'),(16,3082202,'1A',214,'N'),(16,3082210,'1',104,'N'),(16,3082229,'1',213,'N'),(16,3082229,'1A',220,'N'),(16,3082237,'1',203,'N'),(16,3082237,'1A',201,'N'),(16,3082245,'1',103,'N'),(16,3082270,'1',3,'N'),(16,3082288,'1',340,'N'),(16,3082296,'1',415,'N'),(16,3082318,'1',501,'N'),(16,3082326,'1',233,'N'),(16,3082326,'1A',208,'N'),(16,3082342,'1',104,'N'),(16,3082350,'1',301,'N'),(16,3082369,'1',310,'N'),(16,3082377,'1',104,'N'),(16,3082385,'1',5,'N'),(16,3082407,'1',316,'N'),(16,3082415,'1',224,'N'),(16,3082431,'1',104,'N'),(16,3082440,'1',328,'N'),(16,3082458,'1',201,'N'),(16,3082458,'1A',212,'N'),(16,3082466,'1',103,'N'),(16,3082474,'1',103,'N'),(16,3082482,'1',104,'N'),(16,3082490,'1',103,'N'),(16,3082504,'1',303,'N'),(16,3082512,'1',2,'N'),(16,3082520,'1',104,'N'),(16,3082539,'1',201,'N'),(16,3082539,'1A',212,'N'),(16,3082547,'1',103,'N'),(16,3082555,'1',333,'N'),(16,3082563,'1',331,'N'),(16,3082571,'1',309,'N'),(16,3082580,'1',214,'N'),(16,3082580,'1A',212,'N'),(16,3082598,'1',202,'N'),(16,3082598,'1A',238,'N'),(16,3082601,'1',340,'N'),(16,3082610,'1',103,'N'),(16,3082628,'1',302,'N'),(16,3082636,'1',309,'N'),(16,3082644,'1',103,'N'),(16,3082652,'1',453,'N'),(16,3082660,'1',318,'N'),(16,3082679,'1',103,'N'),(16,3082687,'1',103,'N'),(16,3082695,'1',5,'N'),(16,3082709,'1',5,'N'),(16,3082717,'1',102,'N'),(16,3082725,'1',303,'N'),(16,3082733,'1',207,'N'),(16,3082741,'1',225,'N'),(16,3082768,'1',303,'N'),(16,3082776,'1',452,'N'),(16,3082784,'1',415,'N'),(16,3082792,'1',308,'N'),(16,3082806,'1',103,'N'),(16,3082814,'1',103,'N'),(16,3082822,'1',303,'N'),(16,3082830,'1',103,'N'),(16,3082849,'1',452,'N'),(16,3082857,'1',211,'N'),(16,3082857,'1A',215,'N'),(16,3082881,'1',201,'N'),(16,3082881,'1A',212,'N'),(16,3082890,'1',317,'N'),(16,3082903,'1',102,'N'),(16,3082920,'1',415,'N'),(16,3082938,'1',308,'N'),(16,3082946,'1',326,'N'),(16,3082954,'1',424,'N'),(16,3082962,'1',102,'N'),(16,3082970,'1',103,'N'),(16,3082989,'1',238,'N'),(16,3082989,'1A',202,'N'),(16,3082997,'1',103,'N'),(16,3083020,'1',238,'N'),(16,3083020,'1A',208,'N'),(16,3083063,'1',5,'N'),(16,3083071,'1',102,'N'),(16,3083098,'1',203,'N'),(16,3083098,'1A',201,'N'),(16,3083101,'1',211,'N'),(16,3083101,'1A',207,'N'),(16,3083110,'1',103,'N'),(16,3083128,'1',103,'N'),(16,3083136,'1',327,'N'),(16,3083144,'1',501,'N'),(16,3083152,'1',223,'N'),(16,3083160,'1',101,'N'),(16,3083179,'1',103,'N'),(16,3083187,'1',216,'N'),(16,3083187,'1A',220,'N'),(16,3083195,'1',319,'N'),(16,3083209,'1',103,'N'),(16,3083217,'1',220,'N'),(16,3083217,'1A',202,'N'),(16,3083225,'1',103,'N'),(16,3083233,'1',103,'N'),(16,3083241,'1',103,'N'),(16,3083250,'1',303,'N'),(16,3083276,'1',233,'N'),(16,3083276,'1A',216,'N'),(16,3083284,'1',301,'N'),(16,3083292,'1',302,'N'),(16,3083314,'1',502,'N'),(16,3083322,'1',303,'N'),(16,3083349,'1',215,'N'),(16,3083349,'1A',238,'N'),(16,3083357,'1',453,'N'),(16,3083365,'1',103,'N'),(16,3083373,'1',501,'N'),(16,3083390,'1',238,'N'),(16,3083390,'1A',215,'N'),(16,3083403,'1',331,'N'),(16,3083438,'1',103,'N'),(16,3083446,'1',502,'N'),(16,3083454,'1',301,'N'),(16,3083462,'1',203,'N'),(16,3083462,'1A',233,'N'),(16,3083470,'1',211,'N'),(16,3083470,'1A',202,'N'),(16,3083489,'1',207,'N'),(16,3083489,'1A',201,'N'),(16,3083497,'1',302,'N'),(16,3083500,'1',427,'N'),(16,3083500,'1A',429,'N'),(16,3083519,'1',202,'N'),(16,3083519,'1A',220,'N'),(16,3083535,'1',102,'N'),(16,3083543,'1',203,'N'),(16,3083543,'1A',214,'N'),(16,3083551,'1',415,'N'),(16,3083560,'1',203,'N'),(16,3083560,'1A',201,'N'),(16,3083586,'1',303,'N'),(16,3083594,'1',320,'N'),(16,3083608,'1',103,'N'),(16,3083616,'1',415,'N'),(16,3083624,'1',216,'N'),(16,3083624,'1A',215,'N'),(16,3083632,'1',104,'N'),(16,3083659,'1',103,'N'),(16,3083667,'1',3,'N'),(16,3083675,'1',340,'N'),(16,3083683,'1',233,'N'),(16,3083683,'1A',215,'N'),(16,3083691,'1',5,'N'),(16,3083705,'1',324,'N'),(16,3083713,'1',103,'N'),(16,3083721,'1',108,'N'),(16,3083730,'1',415,'N'),(16,3083748,'1',316,'N'),(16,3083756,'1',444,'N'),(16,3083764,'1',202,'N'),(16,3083764,'1A',213,'N'),(16,3083772,'1',103,'N'),(16,3083780,'1',108,'N'),(16,3083799,'1',103,'N'),(16,3083802,'1',427,'N'),(16,3083829,'1',103,'N'),(16,3083837,'1',201,'N'),(16,3083837,'1A',207,'N'),(16,3083845,'1',404,'N'),(16,3083861,'1',308,'N'),(16,3083870,'1',220,'N'),(16,3083870,'1A',203,'N'),(16,3083888,'1',301,'N'),(16,3083896,'1',404,'N'),(16,3083900,'1',211,'N'),(16,3083900,'1A',207,'N'),(16,3083918,'1',101,'N'),(16,3083926,'1',444,'N'),(16,3083934,'1',203,'N'),(16,3083934,'1A',233,'N'),(16,3083950,'1',316,'N'),(16,3083969,'1',415,'N'),(16,3083977,'1',303,'N'),(16,3083985,'1',201,'N'),(16,3083985,'1A',213,'N'),(16,3083993,'1',203,'N'),(16,3083993,'1A',214,'N'),(16,3084000,'1',103,'N'),(16,3084019,'1',5,'N'),(16,3084027,'1',201,'N'),(16,3084027,'1A',203,'N'),(16,3084035,'1',340,'N'),(16,3084043,'1',301,'N'),(16,3084051,'1',102,'N'),(16,3084078,'1',452,'N'),(16,3084086,'1',201,'N'),(16,3084086,'1A',203,'N'),(16,3084094,'1',5,'N'),(16,3084124,'1',303,'N'),(16,3084140,'1',211,'N'),(16,3084140,'1A',208,'N'),(16,3084159,'1',220,'N'),(16,3084159,'1A',214,'N'),(16,3084167,'1',104,'N'),(16,3084175,'1',201,'N'),(16,3084175,'1A',207,'N'),(16,3084183,'1',303,'N'),(16,3084205,'1',103,'N'),(16,3084213,'1',301,'N'),(16,3084221,'1',238,'N'),(16,3084221,'1A',208,'N'),(16,3084230,'1',216,'N'),(16,3084230,'1A',211,'N'),(16,3084248,'1',207,'N'),(16,3084248,'1A',201,'N'),(16,3084256,'1',333,'N'),(16,3084264,'1',103,'N'),(16,3084272,'1',308,'N'),(16,3084280,'1',428,'N'),(16,3084280,'1A',426,'N'),(16,3084302,'1',103,'N'),(16,3084310,'1',222,'N'),(16,3084329,'1',503,'N'),(16,3084337,'1',203,'N'),(16,3084337,'1A',201,'N'),(16,3084345,'1',303,'N'),(16,3084353,'1',201,'N'),(16,3084353,'1A',208,'N'),(16,3084370,'1',203,'N'),(16,3084370,'1A',214,'N'),(16,3084388,'1',420,'N'),(16,3084396,'1',415,'N'),(16,3084400,'1',201,'N'),(16,3084400,'1A',212,'N'),(16,3084418,'1',203,'N'),(16,3084418,'1A',214,'N'),(16,3084426,'1',328,'N'),(16,3084434,'1',103,'N'),(16,3084450,'1',316,'N'),(16,3084469,'1',319,'N'),(16,3084477,'1',103,'N'),(16,3084485,'1',238,'N'),(16,3084485,'1A',208,'N'),(16,3084507,'1',103,'N'),(16,3084515,'1',302,'N'),(16,3084531,'1',415,'N'),(16,3084558,'1',203,'N'),(16,3084558,'1A',202,'N'),(16,3084566,'1',426,'N'),(16,3084566,'1A',423,'N'),(16,3084574,'1',320,'N'),(16,3084582,'1',103,'N'),(16,3084590,'1',234,'N'),(16,3084612,'1',340,'N'),(16,3084620,'1',233,'N'),(16,3084620,'1A',215,'N'),(16,3084639,'1',238,'N'),(16,3084639,'1A',208,'N'),(16,3084647,'1',238,'N'),(16,3084647,'1A',208,'N'),(16,3084655,'1',303,'N'),(16,3084663,'1',104,'N'),(16,3084680,'1',501,'N'),(16,3084698,'1',103,'N'),(16,3084701,'1',333,'N'),(16,3084710,'1',202,'N'),(16,3084710,'1A',213,'N'),(16,3084728,'1',303,'N'),(16,3084736,'1',222,'N'),(16,3084744,'1',340,'N'),(16,3084752,'1',301,'N'),(16,3084779,'1',234,'N'),(16,3084787,'1',220,'N'),(16,3084787,'1A',216,'N'),(16,3084795,'1',303,'N'),(16,3084809,'1',453,'N'),(16,3084817,'1',333,'N'),(16,3084825,'1',103,'N'),(16,3084850,'1',201,'N'),(16,3084850,'1A',202,'N'),(16,3084868,'1',309,'N'),(16,3084876,'1',203,'N'),(16,3084876,'1A',220,'N'),(16,3084884,'1',216,'N'),(16,3084884,'1A',220,'N'),(16,3084906,'1',201,'N'),(16,3084906,'1A',216,'N'),(16,3084930,'1',319,'N'),(16,3084949,'1',415,'N'),(16,3084973,'1',451,'N'),(16,3084981,'1',9,'N'),(16,3084990,'1',222,'N'),(16,3085007,'1',103,'N'),(16,3085015,'1',103,'N'),(16,3085023,'1',216,'N'),(16,3085023,'1A',215,'N'),(16,3085031,'1',5,'N'),(16,3085040,'1',220,'N'),(16,3085040,'1A',203,'N'),(16,3085058,'1',220,'N'),(16,3085058,'1A',202,'N'),(16,3085066,'1',103,'N'),(16,3085074,'1',319,'N'),(16,3085082,'1',316,'N'),(16,3085090,'1',202,'N'),(16,3085090,'1A',238,'N'),(16,3085104,'1',207,'N'),(16,3085104,'1A',215,'N'),(16,3085112,'1',103,'N'),(16,3085139,'1',212,'N'),(16,3085139,'1A',216,'N'),(16,3085147,'1',502,'N'),(16,3085155,'1',5,'N'),(16,3085163,'1',203,'N'),(16,3085163,'1A',233,'N'),(16,3085171,'1',103,'N'),(16,3085180,'1',303,'N'),(16,3085198,'1',207,'N'),(16,3085198,'1A',212,'N'),(16,3085201,'1',202,'N'),(16,3085201,'1A',213,'N'),(16,3085210,'1',207,'N'),(16,3085210,'1A',215,'N'),(16,3085228,'1',415,'N'),(16,3085236,'1',103,'N'),(16,3085244,'1',340,'N'),(16,3085252,'1',108,'N'),(16,3085260,'1',238,'N'),(16,3085260,'1A',208,'N'),(16,3085279,'1',301,'N'),(16,3085287,'1',304,'N'),(16,3085295,'1',5,'N'),(16,3085309,'1',340,'N'),(16,3085317,'1',103,'N'),(16,3085333,'1',212,'N'),(16,3085341,'1',207,'N'),(16,3085341,'1A',211,'N'),(16,3085350,'1',203,'N'),(16,3085350,'1A',214,'N'),(16,3085368,'1',201,'N'),(16,3085368,'1A',203,'N'),(16,3085376,'1',103,'N'),(16,3085392,'1',103,'N'),(16,3085406,'1',202,'N'),(16,3085406,'1A',220,'N'),(16,3085414,'1',103,'N'),(16,3085430,'1',2,'N'),(16,3085449,'1',318,'N'),(16,3085465,'1',211,'N'),(16,3085465,'1A',233,'N'),(16,3085481,'1',423,'N'),(16,3085481,'1A',424,'N'),(16,3085511,'1',104,'N'),(16,3085520,'1',501,'N'),(16,3085538,'1',453,'N'),(16,3085546,'1',103,'N'),(16,3085554,'1',202,'N'),(16,3085554,'1A',208,'N'),(16,3085562,'1',104,'N'),(16,3085570,'1',453,'N'),(16,3085589,'1',203,'N'),(16,3085589,'1A',220,'N'),(16,3085597,'1',502,'N'),(16,3085619,'1',340,'N'),(16,3085627,'1',108,'N'),(16,3085635,'1',103,'N'),(16,3085643,'1',308,'N'),(16,3085651,'1',238,'N'),(16,3085651,'1A',208,'N'),(16,3085660,'1',102,'N'),(16,3085678,'1',425,'N'),(16,3085678,'1A',421,'N'),(16,3085686,'1',340,'N'),(16,3085694,'1',220,'N'),(16,3085694,'1A',208,'N'),(16,3085708,'1',453,'N'),(16,3085716,'1',238,'N'),(16,3085716,'1A',208,'N'),(16,3085740,'1',303,'N'),(16,3085759,'1',216,'N'),(16,3085759,'1A',203,'N'),(16,3085767,'1',425,'N'),(16,3085767,'1A',424,'N'),(16,3085775,'1',238,'N'),(16,3085775,'1A',208,'N'),(16,3085783,'1',201,'N'),(16,3085783,'1A',203,'N'),(16,3085791,'1',340,'N'),(16,3085805,'1',207,'N'),(16,3085805,'1A',201,'N'),(16,3085813,'1',233,'N'),(16,3085813,'1A',202,'N'),(16,3085821,'1',103,'N'),(16,3085830,'1',424,'N'),(16,3085830,'1A',425,'N'),(16,3085856,'1',103,'N'),(16,3085864,'1',103,'N'),(16,3085872,'1',103,'N'),(16,3085880,'1',303,'N'),(16,3085899,'1',502,'N'),(16,3085910,'1',216,'N'),(16,3085910,'1A',215,'N'),(16,3085929,'1',238,'N'),(16,3085929,'1A',202,'N'),(16,3085937,'1',104,'N'),(16,3085945,'1',303,'N'),(16,3085961,'1',103,'N'),(16,3085970,'1',108,'N'),(16,3085988,'1',324,'N'),(16,3085996,'1',316,'N'),(16,3086003,'1',319,'N'),(16,3086011,'1',501,'N'),(16,3086020,'1',103,'N'),(16,3086038,'1',203,'N'),(16,3086038,'1A',202,'N'),(16,3086046,'1',303,'N'),(16,3086070,'1',102,'N'),(16,3086089,'1',316,'N'),(16,3086097,'1',340,'N'),(16,3086100,'1',420,'N'),(16,3086119,'1',215,'N'),(16,3086119,'1A',233,'N'),(16,3086127,'1',104,'N'),(16,3086135,'1',5,'N'),(16,3086143,'1',103,'N'),(16,3086151,'1',203,'N'),(16,3086160,'1',104,'N'),(16,3086178,'1',108,'N'),(16,3086194,'1',340,'N'),(16,3086208,'1',238,'N'),(16,3086208,'1A',208,'N'),(16,3086216,'1',103,'N'),(16,3086224,'1',208,'N'),(16,3086224,'1A',211,'N'),(16,3086232,'1',203,'N'),(16,3086232,'1A',214,'N'),(16,3086240,'1',5,'N'),(16,3086259,'1',301,'N'),(16,3086267,'1',316,'N'),(16,3086283,'1',216,'N'),(16,3086283,'1A',233,'N'),(16,3086291,'1',103,'N'),(16,3086305,'1',301,'N'),(16,3086313,'1',215,'N'),(16,3086321,'1',304,'N'),(16,3086330,'1',308,'N'),(16,3086348,'1',202,'N'),(16,3086348,'1A',208,'N'),(16,3086356,'1',103,'N'),(16,3086364,'1',103,'N'),(16,3086372,'1',451,'N'),(16,3086399,'1',339,'N'),(16,3086402,'1',103,'N'),(16,3086429,'1',103,'N'),(16,3086437,'1',202,'N'),(16,3086437,'1A',238,'N'),(16,3086445,'1',203,'N'),(16,3086445,'1A',220,'N'),(16,3086453,'1',303,'N'),(16,3086461,'1',103,'N'),(16,3086470,'1',201,'N'),(16,3086470,'1A',207,'N'),(16,3086488,'1',103,'N'),(16,3086496,'1',216,'N'),(16,3086496,'1A',214,'N'),(16,3086518,'1',103,'N'),(16,3086526,'1',444,'N'),(16,3086534,'1',104,'N'),(16,3086542,'1',426,'N'),(16,3086542,'1A',428,'N'),(16,3086550,'1',333,'N'),(16,3086569,'1',101,'N'),(16,3086577,'1',301,'N'),(16,3086585,'1',303,'N'),(16,3086593,'1',444,'N'),(16,3086607,'1',318,'N'),(16,3086623,'1',340,'N'),(16,3086631,'1',103,'N'),(16,3086658,'1',203,'N'),(16,3086658,'1A',214,'N'),(16,3086666,'1',303,'N'),(16,3086674,'1',340,'N'),(16,3086690,'1',327,'N'),(16,3086704,'1',304,'N'),(16,3086712,'1',103,'N'),(16,3086720,'1',444,'N'),(16,3086739,'1',332,'N'),(16,3086755,'1',233,'N'),(16,3086755,'1A',214,'N'),(16,3086763,'1',211,'N'),(16,3086763,'1A',213,'N'),(16,3086771,'1',420,'N'),(16,3086780,'1',103,'N'),(16,3086801,'1',216,'N'),(16,3086801,'1A',214,'N'),(16,3086810,'1',404,'N'),(16,3086828,'1',404,'N'),(16,3086836,'1',103,'N'),(16,3086844,'1',102,'N'),(16,3086860,'1',415,'N'),(16,3086887,'1',503,'N'),(16,3086895,'1',9,'N'),(16,3086909,'1',328,'N'),(16,3086917,'1',103,'N'),(16,3086925,'1',203,'N'),(16,3086925,'1A',216,'N'),(16,3086933,'1',319,'N'),(16,3086941,'1',201,'N'),(16,3086941,'1A',214,'N'),(16,3086968,'1',103,'N'),(16,3086992,'1',207,'N'),(16,3086992,'1A',201,'N'),(16,3087000,'1',103,'N'),(16,3087034,'1',310,'N'),(16,3087042,'1',340,'N'),(16,3087050,'1',101,'N'),(16,3087069,'1',404,'N'),(16,3087093,'1',103,'N'),(16,3087107,'1',203,'N'),(16,3087107,'1A',202,'N'),(16,3087115,'1',318,'N'),(16,3087131,'1',453,'N'),(16,3087158,'1',318,'N'),(16,3087174,'1',301,'N'),(16,3087182,'1',103,'N'),(16,3087190,'1',207,'N'),(16,3087190,'1A',201,'N'),(16,3087212,'1',211,'N'),(16,3087212,'1A',215,'N'),(16,3087239,'1',415,'N'),(16,3087247,'1',301,'N'),(16,3087255,'1',103,'N'),(16,3087280,'1',214,'N'),(16,3087280,'1A',213,'N'),(16,3087298,'1',103,'N'),(16,3087301,'1',320,'N'),(16,3087310,'1',202,'N'),(16,3087328,'1',103,'N'),(16,3087336,'1',202,'N'),(16,3087336,'1A',201,'N'),(16,3087352,'1',444,'N'),(16,3087360,'1',215,'N'),(16,3087360,'1A',216,'N'),(16,3087379,'1',202,'N'),(16,3087379,'1A',208,'N'),(16,3087387,'1',425,'N'),(16,3087387,'1A',424,'N'),(16,3087395,'1',203,'N'),(16,3087395,'1A',220,'N'),(16,3087409,'1',301,'N'),(16,3087417,'1',103,'N'),(16,3087425,'1',208,'N'),(16,3087425,'1A',238,'N'),(16,3087441,'1',308,'N'),(16,3087450,'1',216,'N'),(16,3087450,'1A',212,'N'),(16,3087476,'1',317,'N'),(16,3087484,'1',429,'N'),(16,3087492,'1',103,'N'),(16,3087506,'1',316,'N'),(16,3087514,'1',103,'N'),(16,3087522,'1',101,'N'),(16,3087530,'1',5,'N'),(16,3087549,'1',207,'N'),(16,3087549,'1A',201,'N'),(16,3087557,'1',207,'N'),(16,3087557,'1A',201,'N'),(16,3087565,'1',303,'N'),(16,3087573,'1',317,'N'),(16,3087590,'1',207,'N'),(16,3087590,'1A',208,'N'),(16,3087603,'1',415,'N'),(16,3087611,'1',340,'N'),(16,3087620,'1',103,'N'),(16,3087638,'1',108,'N'),(16,3087646,'1',103,'N'),(16,3087654,'1',3,'N'),(16,3087662,'1',103,'N'),(16,3087670,'1',203,'N'),(16,3087670,'1A',202,'N'),(16,3087689,'1',215,'N'),(16,3087689,'1A',216,'N'),(16,3087697,'1',202,'N'),(16,3087697,'1A',203,'N'),(16,3087719,'1',502,'N'),(16,3087735,'1',5,'N'),(16,3087751,'1',207,'N'),(16,3087751,'1A',211,'N'),(16,3087760,'1',223,'N'),(16,3087778,'1',309,'N'),(16,3087786,'1',103,'N'),(16,3087794,'1',340,'N'),(16,3087808,'1',203,'N'),(16,3087808,'1A',214,'N'),(16,3087816,'1',428,'N'),(16,3087816,'1A',426,'N'),(16,3087824,'1',316,'N'),(16,3087832,'1',103,'N'),(16,3087859,'1',340,'N'),(16,3087867,'1',102,'N'),(16,3087891,'1',201,'N'),(16,3087891,'1A',202,'N'),(16,3087905,'1',103,'N'),(16,3087913,'1',303,'N'),(16,3087948,'1',222,'N'),(16,3087956,'1',103,'N'),(16,3087964,'1',340,'N'),(16,3087972,'1',303,'N'),(16,3087980,'1',203,'N'),(16,3087980,'1A',220,'N'),(16,3088006,'1',3,'N'),(16,3088014,'1',212,'N'),(16,3088014,'1A',213,'N'),(16,3088022,'1',103,'N'),(16,3088030,'1',501,'N'),(16,3088049,'1',233,'N'),(16,3088049,'1A',214,'N'),(16,3088057,'1',303,'N'),(16,3088065,'1',201,'N'),(16,3088065,'1A',213,'N'),(16,3088073,'1',104,'N'),(16,3088090,'1',420,'N'),(16,3088103,'1',420,'N'),(16,3088120,'1',203,'N'),(16,3088120,'1A',201,'N'),(16,3088138,'1',104,'N'),(16,3088146,'1',103,'N'),(16,3088154,'1',203,'N'),(16,3088154,'1A',211,'N'),(16,3088170,'1',103,'N'),(16,3088189,'1',101,'N'),(16,3088197,'1',317,'N'),(16,3088200,'1',212,'N'),(16,3088200,'1A',201,'N'),(16,3088219,'1',420,'N'),(16,3088227,'1',207,'N'),(16,3088227,'1A',233,'N'),(16,3088235,'1',102,'N'),(16,3088251,'1',103,'N'),(16,3088260,'1',201,'N'),(16,3088294,'1',108,'N'),(16,3088316,'1',103,'N'),(16,3088324,'1',319,'N'),(16,3088332,'1',207,'N'),(16,3088332,'1A',201,'N'),(16,3088340,'1',5,'N'),(16,3088359,'1',326,'N'),(16,3088367,'1',328,'N'),(16,3088391,'1',309,'N'),(16,3088405,'1',301,'N'),(16,3088413,'1',103,'N'),(16,3088421,'1',104,'N'),(16,3088430,'1',211,'N'),(16,3088430,'1A',207,'N'),(16,3088456,'1',301,'N'),(16,3088464,'1',302,'N'),(16,3088472,'1',303,'N'),(16,3088480,'1',415,'N'),(16,3088499,'1',415,'N'),(16,3088502,'1',415,'N'),(16,3088510,'1',207,'N'),(16,3088510,'1A',201,'N'),(16,3088537,'1',304,'N'),(16,3088545,'1',301,'N'),(16,3088553,'1',303,'N'),(16,3088570,'1',208,'N'),(16,3088570,'1A',212,'N'),(16,3088588,'1',9,'N'),(16,3088596,'1',301,'N'),(16,3088600,'1',103,'N'),(16,3088618,'1',234,'N'),(16,3088626,'1',108,'N'),(16,3088634,'1',108,'N'),(16,3088642,'1',420,'N'),(16,3088669,'1',301,'N'),(16,3088677,'1',207,'N'),(16,3088677,'1A',201,'N'),(16,3088685,'1',103,'N'),(16,3088693,'1',108,'N'),(16,3088707,'1',108,'N'),(16,3088715,'1',501,'N'),(16,3088731,'1',201,'N'),(16,3088731,'1A',211,'N'),(16,3088740,'1',207,'N'),(16,3088758,'1',103,'N'),(16,3088766,'1',102,'N'),(16,3088774,'1',320,'N'),(16,3088782,'1',340,'N'),(16,3088790,'1',234,'N'),(16,3088812,'1',453,'N'),(16,3088820,'1',420,'N'),(16,3088847,'1',216,'N'),(16,3088847,'1A',215,'N'),(16,3088855,'1',502,'N'),(16,3088863,'1',203,'N'),(16,3088863,'1A',220,'N'),(16,3088871,'1',203,'N'),(16,3088871,'1A',201,'N'),(16,3088880,'1',201,'N'),(16,3088880,'1A',202,'N'),(16,3088898,'1',201,'N'),(16,3088898,'1A',233,'N'),(16,3088901,'1',201,'N'),(16,3088901,'1A',202,'N'),(16,3088910,'1',215,'N'),(16,3088910,'1A',201,'N'),(16,3088928,'1',103,'N'),(16,3088936,'1',104,'N'),(16,3088944,'1',238,'N'),(16,3088944,'1A',208,'N'),(16,3088952,'1',420,'N'),(16,3088960,'1',327,'N'),(16,3088979,'1',501,'N'),(16,3088987,'1',317,'N'),(16,3088995,'1',444,'N'),(16,3089002,'1',102,'N'),(16,3089029,'1',102,'N'),(16,3089037,'1',101,'N'),(16,3089045,'1',220,'N'),(16,3089045,'1A',208,'N'),(16,3089053,'1',5,'N'),(16,3089061,'1',303,'N'),(16,3089070,'1',212,'N'),(16,3089088,'1',103,'N'),(16,3089096,'1',202,'N'),(16,3089096,'1A',203,'N'),(16,3089100,'1',212,'N'),(16,3089100,'1A',201,'N'),(16,3089118,'1',332,'N'),(16,3089126,'1',450,'N'),(16,3089134,'1',103,'N'),(16,3089142,'1',320,'N'),(16,3089150,'1',225,'N'),(16,3089169,'1',320,'N'),(16,3089185,'1',304,'N'),(16,3089193,'1',103,'N'),(16,3089207,'1',207,'N'),(16,3089215,'1',102,'N'),(16,3089223,'1',103,'N'),(16,3089231,'1',104,'N'),(16,3089240,'1',5,'N'),(16,3089258,'1',103,'N'),(16,3089266,'1',103,'N'),(16,3089282,'1',101,'N'),(16,3089290,'1',318,'N'),(16,3089304,'1',319,'N'),(16,3089312,'1',223,'N'),(16,3089320,'1',428,'N'),(16,3089320,'1A',427,'N'),(16,3089339,'1',453,'N'),(16,3089347,'1',415,'N'),(16,3089355,'1',503,'N'),(16,3089371,'1',332,'N'),(16,3089380,'1',340,'N'),(16,3089401,'1',211,'N'),(16,3089401,'1A',201,'N'),(16,3089410,'1',104,'N'),(16,3089428,'1',203,'N'),(16,3089428,'1A',211,'N'),(16,3089436,'1',201,'N'),(16,3089436,'1A',207,'N'),(16,3089444,'1',207,'N'),(16,3089444,'1A',201,'N'),(16,3089452,'1',103,'N'),(16,3089460,'1',213,'N'),(16,3089460,'1A',203,'N'),(16,3089487,'1',102,'N'),(16,3089509,'1',316,'N'),(16,3089517,'1',207,'N'),(16,3089517,'1A',211,'N'),(16,3089525,'1',103,'N'),(16,3089568,'1',453,'N'),(16,3089576,'1',211,'N'),(16,3089576,'1A',233,'N'),(16,3089584,'1',216,'N'),(16,3089584,'1A',215,'N'),(16,3089592,'1',201,'N'),(16,3089592,'1A',207,'N'),(16,3089606,'1',404,'N'),(16,3089614,'1',108,'N'),(16,3089622,'1',5,'N'),(16,3089630,'1',212,'N'),(16,3089630,'1A',213,'N'),(16,3089649,'1',207,'N'),(16,3089649,'1A',233,'N'),(16,3089657,'1',103,'N'),(16,3089665,'1',103,'N'),(16,3089673,'1',301,'N'),(16,3089681,'1',5,'N'),(16,3089690,'1',303,'N'),(16,3089703,'1',3,'N'),(16,3089711,'1',103,'N'),(16,3089720,'1',501,'N'),(16,3089738,'1',213,'N'),(16,3089738,'1A',214,'N'),(16,3089746,'1',328,'N'),(16,3089754,'1',3,'N'),(16,3089762,'1',304,'N'),(16,3089770,'1',108,'N'),(16,3089797,'1',340,'N'),(16,3089800,'1',303,'N'),(16,3089819,'1',103,'N'),(16,3089827,'1',425,'N'),(16,3089827,'1A',429,'N'),(16,3089835,'1',203,'N'),(16,3089835,'1A',202,'N'),(16,3089843,'1',103,'N'),(16,3089860,'1',220,'N'),(16,3089860,'1A',203,'N'),(16,3089878,'1',103,'N'),(16,3089886,'1',331,'N'),(16,3089894,'1',103,'N'),(16,3089908,'1',214,'N'),(16,3089908,'1A',202,'N'),(16,3089916,'1',103,'N'),(16,3089932,'1',319,'N'),(16,3089959,'1',202,'N'),(16,3089959,'1A',211,'N'),(16,3089975,'1',214,'N'),(16,3089975,'1A',212,'N'),(16,3089983,'1',340,'N'),(16,3090000,'1',415,'N'),(16,3090019,'1',233,'N'),(16,3090019,'1A',216,'N'),(16,3090027,'1',212,'N'),(16,3090027,'1A',213,'N'),(16,3090035,'1',222,'N'),(16,3090051,'1',103,'N'),(16,3090060,'1',108,'N'),(16,3090078,'1',103,'N'),(16,3090094,'1',207,'N'),(16,3090094,'1A',201,'N'),(16,3090108,'1',303,'N'),(16,3090116,'1',301,'N'),(16,3090140,'1',211,'N'),(16,3090140,'1A',216,'N'),(16,3090159,'1',420,'N'),(16,3090175,'1',212,'N'),(16,3090175,'1A',213,'N'),(16,3090183,'1',215,'N'),(16,3090183,'1A',238,'N'),(16,3090191,'1',102,'N'),(16,3090205,'1',216,'N'),(16,3090205,'1A',215,'N'),(16,3090213,'1',216,'N'),(16,3090213,'1A',215,'N'),(16,3090221,'1',238,'N'),(16,3090221,'1A',208,'N'),(16,3090248,'1',225,'N'),(16,3090256,'1',340,'N'),(16,3090280,'1',203,'N'),(16,3090280,'1A',201,'N'),(16,3090302,'1',303,'N'),(16,3090310,'1',203,'N'),(16,3090310,'1A',216,'N'),(16,3090329,'1',207,'N'),(16,3090329,'1A',201,'N'),(16,3090345,'1',214,'N'),(16,3090345,'1A',212,'N'),(16,3090353,'1',216,'N'),(16,3090370,'1',5,'N'),(16,3090388,'1',453,'N'),(16,3090396,'1',203,'N'),(16,3090396,'1A',220,'N'),(16,3090418,'1',326,'N'),(16,3090426,'1',233,'N'),(16,3090426,'1A',215,'N'),(16,3090434,'1',238,'N'),(16,3090434,'1A',208,'N'),(16,3090442,'1',340,'N'),(16,3090450,'1',302,'N'),(16,3090469,'1',103,'N'),(16,3090477,'1',103,'N'),(16,3090485,'1',319,'N'),(16,3090493,'1',501,'N'),(16,3090507,'1',207,'N'),(16,3090507,'1A',201,'N'),(16,3090523,'1',303,'N'),(16,3090531,'1',303,'N'),(16,3090540,'1',203,'N'),(16,3090540,'1A',216,'N'),(16,3090558,'1',423,'N'),(16,3090558,'1A',428,'N'),(16,3090574,'1',304,'N'),(16,3090582,'1',2,'N'),(16,3090590,'1',202,'N'),(16,3090590,'1A',201,'N'),(16,3090604,'1',320,'N'),(16,3090612,'1',233,'N'),(16,3090612,'1A',201,'N'),(16,3090620,'1',207,'N'),(16,3090620,'1A',201,'N'),(16,3090639,'1',415,'N'),(16,3090647,'1',319,'N'),(16,3090663,'1',103,'N'),(16,3090671,'1',203,'N'),(16,3090671,'1A',220,'N'),(16,3090680,'1',502,'N'),(16,3090701,'1',103,'N'),(16,3090728,'1',103,'N'),(16,3090736,'1',450,'N'),(16,3090744,'1',316,'N'),(16,3090752,'1',501,'N'),(16,3090760,'1',103,'N'),(16,3090779,'1',202,'N'),(16,3090779,'1A',208,'N'),(16,3090787,'1',103,'N'),(16,3090809,'1',220,'N'),(16,3090809,'1A',203,'N'),(16,3090817,'1',202,'N'),(16,3090817,'1A',203,'N'),(16,3090825,'1',203,'N'),(16,3090825,'1A',202,'N'),(16,3090833,'1',104,'N'),(16,3090841,'1',238,'N'),(16,3090841,'1A',208,'N'),(16,3090850,'1',317,'N'),(16,3090868,'1',104,'N'),(16,3090876,'1',233,'N'),(16,3090876,'1A',215,'N'),(16,3090884,'1',319,'N'),(16,3090892,'1',108,'N'),(16,3090906,'1',108,'N'),(16,3090914,'1',203,'N'),(16,3090914,'1A',220,'N'),(16,3090922,'1',103,'N'),(16,3090949,'1',201,'N'),(16,3090949,'1A',212,'N'),(16,3090957,'1',9,'N'),(16,3090965,'1',202,'N'),(16,3090965,'1A',208,'N'),(16,3090973,'1',104,'N'),(16,3090981,'1',444,'N'),(16,3090990,'1',102,'N'),(16,3091007,'1',301,'N'),(16,3091015,'1',202,'N'),(16,3091015,'1A',216,'N'),(16,3091023,'1',319,'N'),(16,3091031,'1',5,'N'),(16,3091040,'1',103,'N'),(16,3091058,'1',108,'N'),(16,3091066,'1',103,'N'),(16,3091074,'1',326,'N'),(16,3091082,'1',103,'N'),(16,3091090,'1',104,'N'),(16,3091104,'1',213,'N'),(16,3091104,'1A',233,'N'),(16,3091112,'1',415,'N'),(16,3091120,'1',340,'N'),(16,3091139,'1',212,'N'),(16,3091139,'1A',238,'N'),(16,3091155,'1',501,'N'),(16,3091171,'1',207,'N'),(16,3091171,'1A',201,'N'),(16,3091180,'1',203,'N'),(16,3091180,'1A',201,'N'),(16,3091198,'1',404,'N'),(16,3091201,'1',203,'N'),(16,3091201,'1A',214,'N'),(16,3091210,'1',103,'N'),(16,3091228,'1',103,'N'),(16,3091244,'1',208,'N'),(16,3091244,'1A',238,'N'),(16,3091260,'1',5,'N'),(16,3091287,'1',308,'N'),(16,3091295,'1',103,'N'),(16,3091309,'1',340,'N'),(16,3091325,'1',103,'N'),(16,3091341,'1',103,'N'),(16,3091350,'1',103,'N'),(16,3091368,'1',103,'N'),(16,3091384,'1',103,'N'),(16,3091406,'1',108,'N'),(16,3091414,'1',103,'N'),(16,3091430,'1',319,'N'),(16,3091449,'1',102,'N'),(16,3091457,'1',333,'N'),(16,3091465,'1',202,'N'),(16,3091465,'1A',208,'N'),(16,3091481,'1',216,'N'),(16,3091481,'1A',215,'N'),(16,3091503,'1',103,'N'),(16,3091511,'1',319,'N'),(16,3091520,'1',310,'N'),(16,3091554,'1',103,'N'),(16,3091562,'1',9,'N'),(16,3091570,'1',207,'N'),(16,3091570,'1A',202,'N'),(16,3091597,'1',103,'N'),(16,3091600,'1',101,'N'),(16,3091619,'1',103,'N'),(16,3091651,'1',301,'N'),(16,3091660,'1',103,'N'),(16,3091678,'1',444,'N'),(16,3091686,'1',5,'N'),(16,3091708,'1',316,'N'),(16,3091716,'1',202,'N'),(16,3091716,'1A',201,'N'),(16,3091732,'1',103,'N'),(16,3091740,'1',101,'N'),(16,3091759,'1',202,'N'),(16,3091759,'1A',220,'N'),(16,3091767,'1',103,'N'),(16,3091775,'1',304,'N'),(16,3091783,'1',302,'N'),(16,3091791,'1',103,'N'),(16,3091805,'1',103,'N'),(16,3091813,'1',103,'N'),(16,3091821,'1',309,'N'),(16,3091830,'1',220,'N'),(16,3091830,'1A',216,'N'),(16,3091856,'1',444,'N'),(16,3091864,'1',201,'N'),(16,3091864,'1A',238,'N'),(16,3091880,'1',303,'N'),(16,3091899,'1',404,'N'),(16,3091910,'1',450,'N'),(16,3091937,'1',108,'N'),(16,3091953,'1',211,'N'),(16,3091953,'1A',201,'N'),(16,3091961,'1',201,'N'),(16,3091961,'1A',212,'N'),(16,3091970,'1',319,'N'),(16,3091988,'1',103,'N'),(16,3092003,'1',317,'N'),(16,3092011,'1',238,'N'),(16,3092011,'1A',208,'N'),(16,3092038,'1',103,'N'),(16,3092046,'1',220,'N'),(16,3092046,'1A',202,'N'),(16,3092054,'1',103,'N'),(16,3092062,'1',101,'N'),(16,3092070,'1',415,'N'),(16,3092089,'1',317,'N'),(16,3092097,'1',211,'N'),(16,3092097,'1A',215,'N'),(16,3092119,'1',303,'N'),(16,3092127,'1',420,'N'),(16,3092135,'1',203,'N'),(16,3092135,'1A',220,'N'),(16,3092143,'1',319,'N'),(16,3092151,'1',104,'N'),(16,3092160,'1',420,'N'),(16,3092178,'1',203,'N'),(16,3092178,'1A',202,'N'),(16,3092186,'1',203,'N'),(16,3092186,'1A',213,'N'),(16,3092194,'1',211,'N'),(16,3092194,'1A',216,'N'),(16,3092208,'1',452,'N'),(16,3092224,'1',216,'N'),(16,3092232,'1',103,'N'),(16,3092240,'1',101,'N'),(16,3092259,'1',223,'N'),(16,3092267,'1',103,'N'),(16,3092275,'1',103,'N'),(16,3092283,'1',415,'N'),(16,3092291,'1',214,'N'),(16,3092291,'1A',213,'N'),(16,3092305,'1',234,'N'),(16,3092313,'1',233,'N'),(16,3092313,'1A',213,'N'),(16,3092321,'1',103,'N'),(16,3092348,'1',301,'N'),(16,3092356,'1',103,'N'),(16,3092372,'1',104,'N'),(16,3092380,'1',233,'N'),(16,3092380,'1A',201,'N'),(16,3092399,'1',320,'N'),(16,3092402,'1',201,'N'),(16,3092402,'1A',212,'N'),(16,3092410,'1',303,'N'),(16,3092437,'1',208,'N'),(16,3092437,'1A',238,'N'),(16,3092445,'1',326,'N'),(16,3092453,'1',303,'N'),(16,3092461,'1',208,'N'),(16,3092461,'1A',238,'N'),(16,3092470,'1',501,'N'),(16,3092488,'1',317,'N'),(16,3092496,'1',304,'N'),(16,3092500,'1',302,'N'),(16,3092518,'1',103,'N'),(16,3092526,'1',103,'N'),(16,3092534,'1',103,'N'),(16,3092542,'1',317,'N'),(16,3092550,'1',317,'N'),(16,3092569,'1',9,'N'),(16,3092577,'1',108,'N'),(16,3092585,'1',444,'N'),(16,3092607,'1',5,'N'),(16,3092615,'1',108,'N'),(16,3092623,'1',101,'N'),(16,3092640,'1',304,'N'),(16,3092658,'1',207,'N'),(16,3092658,'1A',201,'N'),(16,3092666,'1',303,'N'),(16,3092674,'1',415,'N'),(16,3092682,'1',301,'N'),(16,3092690,'1',428,'N'),(16,3092690,'1A',426,'N'),(16,3092704,'1',301,'N'),(16,3092712,'1',234,'N'),(16,3092739,'1',103,'N'),(16,3092755,'1',220,'N'),(16,3092755,'1A',214,'N'),(16,3092763,'1',415,'N'),(16,3092771,'1',104,'N'),(16,3092780,'1',420,'N'),(16,3092801,'1',303,'N'),(16,3092810,'1',203,'N'),(16,3092810,'1A',214,'N'),(16,3092828,'1',415,'N'),(16,3092836,'1',103,'N'),(16,3092844,'1',303,'N'),(16,3092852,'1',201,'N'),(16,3092852,'1A',215,'N'),(16,3092879,'1',201,'N'),(16,3092879,'1A',212,'N'),(16,3092887,'1',3,'N'),(16,3092895,'1',103,'N'),(16,3092909,'1',103,'N'),(16,3092917,'1',201,'N'),(16,3092917,'1A',207,'N'),(16,3092925,'1',216,'N'),(16,3092925,'1A',207,'N'),(16,3092941,'1',203,'N'),(16,3092941,'1A',208,'N'),(16,3092950,'1',103,'N'),(16,3092968,'1',101,'N'),(16,3092976,'1',103,'N'),(16,3092992,'1',202,'N'),(16,3092992,'1A',213,'N'),(16,3093000,'1',303,'N'),(16,3093018,'1',203,'N'),(16,3093018,'1A',214,'N'),(16,3093026,'1',201,'N'),(16,3093026,'1A',208,'N'),(16,3093034,'1',303,'N'),(16,3093042,'1',233,'N'),(16,3093042,'1A',207,'N'),(16,3093050,'1',9,'N'),(16,3093069,'1',415,'N'),(16,3093077,'1',207,'N'),(16,3093077,'1A',238,'N'),(16,3093085,'1',333,'N'),(16,3093093,'1',208,'N'),(16,3093093,'1A',238,'N'),(16,3093107,'1',207,'N'),(16,3093107,'1A',201,'N'),(16,3093115,'1',214,'N'),(16,3093115,'1A',220,'N'),(16,3093123,'1',103,'N'),(16,3093131,'1',303,'N'),(16,3093140,'1',234,'N'),(16,3093158,'1',103,'N'),(16,3093166,'1',103,'N'),(16,3093174,'1',415,'N'),(16,3093190,'1',208,'N'),(16,3093204,'1',340,'N'),(16,3093212,'1',333,'N'),(16,3093220,'1',216,'N'),(16,3093220,'1A',203,'N'),(16,3093239,'1',503,'N'),(16,3093247,'1',103,'N'),(16,3093255,'1',331,'N'),(16,3093263,'1',207,'N'),(16,3093263,'1A',211,'N'),(16,3093271,'1',301,'N'),(16,3093280,'1',103,'N'),(16,3093298,'1',420,'N'),(16,3093301,'1',208,'N'),(16,3093301,'1A',216,'N'),(16,3093310,'1',207,'N'),(16,3093310,'1A',201,'N'),(16,3093328,'1',333,'N'),(16,3093336,'1',220,'N'),(16,3093336,'1A',202,'N'),(16,3093344,'1',415,'N'),(16,3093352,'1',220,'N'),(16,3093352,'1A',214,'N'),(16,3093360,'1',404,'N'),(16,3093379,'1',450,'N'),(16,3093395,'1',444,'N'),(16,3093425,'1',203,'N'),(16,3093425,'1A',207,'N'),(16,3093433,'1',103,'N'),(16,3093441,'1',203,'N'),(16,3093441,'1A',208,'N'),(16,3093450,'1',102,'N'),(16,3093468,'1',319,'N'),(16,3093476,'1',328,'N'),(16,3093484,'1',317,'N'),(16,3093492,'1',428,'N'),(16,3093492,'1A',426,'N'),(16,3093506,'1',333,'N'),(16,3093514,'1',208,'N'),(16,3093514,'1A',212,'N'),(16,3093522,'1',103,'N'),(16,3093530,'1',415,'N'),(16,3093549,'1',9,'N'),(16,3093557,'1',220,'N'),(16,3093557,'1A',203,'N'),(16,3093565,'1',5,'N'),(16,3093573,'1',303,'N'),(16,3093590,'1',103,'N'),(16,3093603,'1',303,'N'),(16,3093611,'1',103,'N'),(16,3093638,'1',104,'N'),(16,3093646,'1',103,'N'),(16,3093662,'1',108,'N'),(16,3093670,'1',415,'N'),(16,3093689,'1',104,'N'),(16,3093697,'1',103,'N'),(16,3093700,'1',5,'N'),(16,3093719,'1',103,'N'),(16,3093727,'1',103,'N'),(16,3093735,'1',225,'N'),(16,3093743,'1',103,'N'),(16,3093751,'1',319,'N'),(16,3093760,'1',103,'N'),(16,3093786,'1',207,'N'),(16,3093786,'1A',201,'N'),(16,3093794,'1',9,'N'),(16,3093808,'1',214,'N'),(16,3093808,'1A',213,'N'),(16,3093816,'1',415,'N'),(16,3093824,'1',5,'N'),(16,3093832,'1',9,'N'),(16,3093840,'1',326,'N'),(16,3093859,'1',103,'N'),(16,3093883,'1',104,'N'),(16,3093905,'1',104,'N'),(16,3093921,'1',103,'N'),(16,3093930,'1',318,'N'),(16,3093948,'1',103,'N'),(16,3093956,'1',404,'N'),(16,3093964,'1',216,'N'),(16,3093964,'1A',202,'N'),(16,3093972,'1',220,'N'),(16,3093972,'1A',203,'N'),(16,3093980,'1',5,'N'),(16,3093999,'1',233,'N'),(16,3093999,'1A',238,'N'),(16,3094006,'1',450,'N'),(16,3094014,'1',108,'N'),(16,3094022,'1',215,'N'),(16,3094022,'1A',208,'N'),(16,3094030,'1',103,'N'),(16,3094049,'1',220,'N'),(16,3094049,'1A',203,'N'),(16,3094065,'1',103,'N'),(16,3094073,'1',103,'N'),(16,3094081,'1',103,'N'),(16,3094103,'1',317,'N'),(16,3094111,'1',5,'N'),(16,3094120,'1',453,'N'),(16,3094138,'1',444,'N'),(16,3094146,'1',103,'N'),(16,3094154,'1',5,'N'),(16,3094162,'1',103,'N'),(16,3094170,'1',415,'N'),(16,3094189,'1',415,'N'),(16,3094197,'1',319,'N'),(16,3094200,'1',317,'N'),(16,3094219,'1',202,'N'),(16,3094219,'1A',215,'N'),(16,3094227,'1',201,'N'),(16,3094227,'1A',216,'N'),(16,3094235,'1',309,'N'),(16,3094243,'1',233,'N'),(16,3094243,'1A',212,'N'),(16,3094251,'1',203,'N'),(16,3094251,'1A',202,'N'),(16,3094286,'1',202,'N'),(16,3094294,'1',102,'N'),(16,3094308,'1',203,'N'),(16,3094316,'1',207,'N'),(16,3094316,'1A',201,'N'),(16,3094324,'1',103,'N'),(16,3094340,'1',203,'N'),(16,3094340,'1A',214,'N'),(16,3094359,'1',301,'N'),(16,3094367,'1',207,'N'),(16,3094367,'1A',201,'N'),(16,3094375,'1',340,'N'),(16,3094383,'1',203,'N'),(16,3094383,'1A',202,'N'),(16,3094391,'1',220,'N'),(16,3094391,'1A',214,'N'),(16,3094413,'1',450,'N'),(16,3094421,'1',103,'N'),(16,3094448,'1',420,'N'),(16,3094464,'1',103,'N'),(16,3094472,'1',103,'N'),(16,3094480,'1',5,'N'),(16,3094502,'1',222,'N'),(16,3094510,'1',108,'N'),(16,3094537,'1',207,'N'),(16,3094545,'1',5,'N'),(16,3094553,'1',502,'N'),(16,3094561,'1',340,'N'),(16,3094570,'1',216,'N'),(16,3094588,'1',501,'N'),(16,3094596,'1',340,'N'),(16,3094600,'1',331,'N'),(16,3094618,'1',201,'N'),(16,3094618,'1A',207,'N'),(16,3094626,'1',103,'N'),(16,3094642,'1',103,'N'),(16,3094650,'1',207,'N'),(16,3094669,'1',316,'N'),(16,3094677,'1',103,'N'),(16,3094685,'1',9,'N'),(16,3094693,'1',328,'N'),(16,3094707,'1',303,'N'),(16,3094715,'1',3,'N'),(16,3094723,'1',316,'N'),(16,3094731,'1',303,'N'),(16,3094740,'1',103,'N'),(16,3094758,'1',201,'N'),(16,3094758,'1A',215,'N'),(16,3094774,'1',423,'N'),(16,3094774,'1A',429,'N'),(16,3094782,'1',211,'N'),(16,3094782,'1A',233,'N'),(16,3094804,'1',303,'N'),(16,3094812,'1',212,'N'),(16,3094812,'1A',201,'N'),(16,3094820,'1',9,'N'),(16,3094839,'1',303,'N'),(16,3094855,'1',225,'N'),(16,3094863,'1',103,'N'),(16,3094871,'1',207,'N'),(16,3094871,'1A',238,'N'),(16,3094880,'1',5,'N'),(16,3094898,'1',103,'N'),(16,3094901,'1',216,'N'),(16,3094901,'1A',211,'N'),(16,3094928,'1',224,'N'),(16,3094936,'1',238,'N'),(16,3094936,'1A',208,'N'),(16,3094944,'1',208,'N'),(16,3094944,'1A',238,'N'),(16,3094952,'1',203,'N'),(16,3094952,'1A',201,'N'),(16,3094979,'1',212,'N'),(16,3094979,'1A',233,'N'),(16,3094987,'1',207,'N'),(16,3094987,'1A',212,'N'),(16,3094995,'1',207,'N'),(16,3094995,'1A',201,'N'),(16,3095002,'1',502,'N'),(16,3095010,'1',302,'N'),(16,3095029,'1',103,'N'),(16,3095037,'1',201,'N'),(16,3095037,'1A',202,'N'),(16,3095045,'1',108,'N'),(16,3095053,'1',203,'N'),(16,3095053,'1A',202,'N'),(16,3095070,'1',503,'N'),(16,3095088,'1',103,'N'),(16,3095100,'1',5,'N'),(16,3095126,'1',103,'N'),(16,3095134,'1',203,'N'),(16,3095134,'1A',220,'N'),(16,3095142,'1',207,'N'),(16,3095150,'1',9,'N'),(16,3095169,'1',203,'N'),(16,3095177,'1',201,'N'),(16,3095177,'1A',212,'N'),(16,3095185,'1',317,'N'),(16,3095193,'1',103,'N'),(16,3095207,'1',108,'N'),(16,3095215,'1',211,'N'),(16,3095215,'1A',215,'N'),(16,3095223,'1',5,'N'),(16,3095240,'1',302,'N'),(16,3095258,'1',333,'N'),(16,3095274,'1',103,'N'),(16,3095282,'1',303,'N'),(16,3095290,'1',331,'N'),(16,3095304,'1',324,'N'),(16,3095312,'1',425,'N'),(16,3095312,'1A',427,'N'),(16,3095320,'1',207,'N'),(16,3095320,'1A',215,'N'),(16,3095339,'1',103,'N'),(16,3095347,'1',310,'N'),(16,3095355,'1',340,'N'),(16,3095371,'1',317,'N'),(16,3095380,'1',216,'N'),(16,3095380,'1A',233,'N'),(16,3095401,'1',404,'N'),(16,3095410,'1',5,'N'),(16,3095428,'1',225,'N'),(16,3095444,'1',303,'N'),(16,3095452,'1',103,'N'),(16,3095460,'1',207,'N'),(16,3095479,'1',103,'N'),(16,3095487,'1',333,'N'),(16,3095495,'1',103,'N'),(16,3095517,'1',3,'N'),(16,3095525,'1',2,'N'),(16,3095533,'1',502,'N'),(16,3095541,'1',450,'N'),(16,3095550,'1',207,'N'),(16,3095568,'1',222,'N'),(16,3095584,'1',420,'N'),(16,3095592,'1',103,'N'),(16,3095606,'1',212,'N'),(16,3095606,'1A',233,'N'),(16,3095614,'1',304,'N'),(16,3095622,'1',326,'N'),(16,3095630,'1',326,'N'),(16,3095657,'1',238,'N'),(16,3095657,'1A',211,'N'),(16,3095665,'1',203,'N'),(16,3095665,'1A',214,'N'),(16,3095673,'1',103,'N'),(16,3095681,'1',103,'N'),(16,3095690,'1',450,'N'),(16,3095703,'1',103,'N'),(16,3095711,'1',203,'N'),(16,3095711,'1A',202,'N'),(16,3095720,'1',5,'N'),(16,3095738,'1',207,'N'),(16,3095738,'1A',212,'N'),(16,3095754,'1',317,'N'),(16,3095762,'1',103,'N'),(16,3095770,'1',5,'N'),(16,3095789,'1',102,'N'),(16,3095797,'1',303,'N'),(16,3095827,'1',327,'N'),(16,3095835,'1',319,'N'),(16,3095843,'1',238,'N'),(16,3095843,'1A',208,'N'),(16,3095851,'1',309,'N'),(16,3095860,'1',104,'N'),(16,3095878,'1',101,'N'),(16,3095886,'1',450,'N'),(16,3095894,'1',104,'N'),(16,3095908,'1',340,'N'),(16,3095916,'1',203,'N'),(16,3095916,'1A',211,'N'),(16,3095924,'1',215,'N'),(16,3095924,'1A',201,'N'),(16,3095940,'1',303,'N'),(16,3095959,'1',103,'N'),(16,3095975,'1',103,'N'),(16,3095983,'1',201,'N'),(16,3095983,'1A',212,'N'),(16,3095991,'1',104,'N'),(16,3096009,'1',201,'N'),(16,3096009,'1A',216,'N'),(16,3096017,'1',326,'N'),(16,3096025,'1',415,'N'),(16,3096033,'1',331,'N'),(16,3096041,'1',202,'N'),(16,3096041,'1A',213,'N'),(16,3096050,'1',108,'N'),(16,3096076,'1',5,'N'),(16,3096092,'1',103,'N'),(16,3096106,'1',103,'N'),(16,3096114,'1',501,'N'),(16,3096122,'1',104,'N'),(16,3096149,'1',203,'N'),(16,3096149,'1A',233,'N'),(16,3096157,'1',103,'N'),(16,3096173,'1',238,'N'),(16,3096173,'1A',208,'N'),(16,3096181,'1',452,'N'),(16,3096190,'1',450,'N'),(16,3096211,'1',9,'N'),(16,3096238,'1',211,'N'),(16,3096238,'1A',208,'N'),(16,3096246,'1',103,'N'),(16,3096254,'1',103,'N'),(16,3096289,'1',502,'N'),(16,3096297,'1',301,'N'),(16,3096300,'1',238,'N'),(16,3096300,'1A',208,'N'),(16,3096319,'1',5,'N'),(16,3096327,'1',102,'N'),(16,3096343,'1',340,'N'),(16,3096351,'1',202,'N'),(16,3096351,'1A',203,'N'),(16,3096360,'1',103,'N'),(16,3096378,'1',103,'N'),(16,3096386,'1',103,'N'),(16,3096394,'1',328,'N'),(16,3096408,'1',103,'N'),(16,3096416,'1',452,'N'),(16,3096424,'1',238,'N'),(16,3096424,'1A',208,'N'),(16,3096432,'1',101,'N'),(16,3096440,'1',429,'N'),(16,3096440,'1A',428,'N'),(16,3096467,'1',103,'N'),(16,3096475,'1',207,'N'),(16,3096475,'1A',215,'N'),(16,3096491,'1',103,'N'),(16,3096505,'1',415,'N'),(16,3096513,'1',238,'N'),(16,3096513,'1A',233,'N'),(16,3096530,'1',103,'N'),(16,3096548,'1',103,'N'),(16,3096556,'1',108,'N'),(16,3096564,'1',103,'N'),(16,3096580,'1',108,'N'),(16,3096599,'1',303,'N'),(16,3096602,'1',216,'N'),(16,3096602,'1A',215,'N'),(16,3096629,'1',319,'N'),(16,3096637,'1',203,'N'),(16,3096637,'1A',213,'N'),(16,3096645,'1',102,'N'),(16,3096670,'1',415,'N'),(16,3096688,'1',207,'N'),(16,3096688,'1A',233,'N'),(16,3096696,'1',415,'N'),(16,3096726,'1',340,'N'),(16,3096734,'1',103,'N'),(16,3096742,'1',415,'N'),(16,3096750,'1',103,'N'),(16,3096777,'1',103,'N'),(16,3096785,'1',103,'N'),(16,3096815,'1',103,'N'),(16,3096823,'1',208,'N'),(16,3096823,'1A',207,'N'),(16,3096831,'1',302,'N'),(16,3096840,'1',103,'N'),(16,3096858,'1',216,'N'),(16,3096858,'1A',233,'N'),(16,3096866,'1',5,'N'),(16,3096874,'1',415,'N'),(16,3096882,'1',203,'N'),(16,3096882,'1A',214,'N'),(16,3096890,'1',5,'N'),(16,3096912,'1',420,'N'),(16,3096920,'1',316,'N'),(16,3096939,'1',301,'N'),(16,3096947,'1',304,'N'),(16,3096955,'1',415,'N'),(16,3096963,'1',203,'N'),(16,3096963,'1A',202,'N'),(16,3096980,'1',207,'N'),(16,3096980,'1A',201,'N'),(16,3096998,'1',5,'N'),(16,3097005,'1',208,'N'),(16,3097005,'1A',238,'N'),(16,3097013,'1',203,'N'),(16,3097013,'1A',233,'N'),(16,3097021,'1',103,'N'),(16,3097030,'1',215,'N'),(16,3097030,'1A',202,'N'),(16,3097064,'1',108,'N'),(16,3097072,'1',203,'N'),(16,3097072,'1A',216,'N'),(16,3097080,'1',103,'N'),(16,3097099,'1',303,'N'),(16,3097110,'1',426,'N'),(16,3097137,'1',319,'N'),(16,3097145,'1',501,'N'),(16,3097153,'1',203,'N'),(16,3097153,'1A',233,'N'),(16,3097161,'1',108,'N'),(16,3097170,'1',103,'N'),(16,3097188,'1',103,'N'),(16,3097196,'1',203,'N'),(16,3097196,'1A',233,'N'),(16,3097200,'1',317,'N'),(16,3097226,'1',103,'N'),(16,3097234,'1',5,'N'),(16,3097242,'1',203,'N'),(16,3097242,'1A',214,'N'),(16,3097250,'1',220,'N'),(16,3097250,'1A',202,'N'),(16,3097269,'1',303,'N'),(16,3097277,'1',203,'N'),(16,3097277,'1A',202,'N'),(16,3097285,'1',103,'N'),(16,3097293,'1',103,'N'),(16,3097307,'1',104,'N'),(16,3097315,'1',208,'N'),(16,3097315,'1A',220,'N'),(16,3097331,'1',9,'N'),(16,3097340,'1',215,'N'),(16,3097358,'1',207,'N'),(16,3097366,'1',502,'N'),(16,3097374,'1',502,'N'),(16,3097382,'1',202,'N'),(16,3097382,'1A',220,'N'),(16,3097390,'1',104,'N'),(16,3097404,'1',214,'N'),(16,3097404,'1A',233,'N'),(16,3097412,'1',208,'N'),(16,3097412,'1A',238,'N'),(16,3097447,'1',104,'N'),(16,3097455,'1',451,'N'),(16,3097463,'1',303,'N'),(16,3097471,'1',104,'N'),(16,3097480,'1',415,'N'),(16,3097498,'1',103,'N'),(16,3097501,'1',104,'N'),(16,3097510,'1',404,'N'),(16,3097528,'1',238,'N'),(16,3097528,'1A',208,'N'),(16,3097536,'1',444,'N'),(16,3097544,'1',104,'N'),(16,3097552,'1',211,'N'),(16,3097552,'1A',212,'N'),(16,3097560,'1',316,'N'),(16,3097579,'1',104,'N'),(16,3097587,'1',103,'N'),(16,3097595,'1',102,'N'),(16,3097609,'1',333,'N'),(16,3097617,'1',319,'N'),(16,3097625,'1',319,'N'),(16,3097633,'1',207,'N'),(16,3097633,'1A',201,'N'),(16,3097641,'1',302,'N'),(16,3097650,'1',103,'N'),(16,3097668,'1',404,'N'),(16,3097676,'1',103,'N'),(16,3097684,'1',203,'N'),(16,3097692,'1',103,'N'),(16,3097706,'1',211,'N'),(16,3097706,'1A',216,'N'),(16,3097714,'1',103,'N'),(16,3097722,'1',108,'N'),(16,3097730,'1',108,'N'),(16,3097749,'1',211,'N'),(16,3097749,'1A',215,'N'),(16,3097757,'1',301,'N'),(16,3097765,'1',103,'N'),(16,3097773,'1',208,'N'),(16,3097773,'1A',238,'N'),(16,3097790,'1',215,'N'),(16,3097790,'1A',233,'N'),(16,3097803,'1',303,'N'),(16,3097811,'1',103,'N'),(16,3097820,'1',404,'N'),(16,3097838,'1',304,'N'),(16,3097846,'1',2,'N'),(16,3097854,'1',310,'N'),(16,3097862,'1',225,'N'),(16,3097889,'1',103,'N'),(16,3097897,'1',420,'N'),(16,3097900,'1',211,'N'),(16,3097900,'1A',207,'N'),(16,3097919,'1',103,'N'),(16,3097927,'1',203,'N'),(16,3097927,'1A',214,'N'),(16,3097943,'1',103,'N'),(16,3097951,'1',202,'N'),(16,3097951,'1A',201,'N'),(16,3097960,'1',102,'N'),(16,3097978,'1',103,'N'),(16,3097986,'1',319,'N'),(16,3098001,'1',224,'N'),(16,3098028,'1',9,'N'),(16,3098036,'1',415,'N'),(16,3098044,'1',316,'N'),(16,3098052,'1',203,'N'),(16,3098052,'1A',202,'N'),(16,3098060,'1',444,'N'),(16,3098079,'1',339,'N'),(16,3098087,'1',9,'N'),(16,3098095,'1',326,'N'),(16,3098117,'1',203,'N'),(16,3098117,'1A',208,'N'),(16,3098125,'1',223,'N'),(16,3098133,'1',415,'N'),(16,3098141,'1',103,'N'),(16,3098150,'1',103,'N'),(16,3098168,'1',103,'N'),(16,3098176,'1',415,'N'),(16,3098184,'1',103,'N'),(16,3098206,'1',211,'N'),(16,3098214,'1',108,'N'),(16,3098222,'1',101,'N'),(16,3098230,'1',102,'N'),(16,3098249,'1',103,'N'),(16,3098257,'1',203,'N'),(16,3098257,'1A',220,'N'),(16,3098265,'1',207,'N'),(16,3098265,'1A',201,'N'),(16,3098281,'1',429,'N'),(16,3098281,'1A',425,'N'),(16,3098290,'1',301,'N'),(16,3098303,'1',238,'N'),(16,3098303,'1A',208,'N'),(16,3098311,'1',103,'N'),(16,3098320,'1',201,'N'),(16,3098320,'1A',213,'N'),(16,3098338,'1',5,'N'),(16,3098346,'1',108,'N'),(16,3098354,'1',216,'N'),(16,3098354,'1A',208,'N'),(16,3098362,'1',102,'N'),(16,3098370,'1',201,'N'),(16,3098370,'1A',233,'N'),(16,3098389,'1',9,'N'),(16,3098397,'1',208,'N'),(16,3098397,'1A',220,'N'),(16,3098419,'1',340,'N'),(16,3098435,'1',304,'N'),(16,3098443,'1',103,'N'),(16,3098451,'1',216,'N'),(16,3098451,'1A',215,'N'),(16,3098460,'1',102,'N'),(16,3098478,'1',103,'N'),(16,3098486,'1',301,'N'),(16,3098494,'1',211,'N'),(16,3098494,'1A',233,'N'),(16,3098508,'1',452,'N'),(16,3098524,'1',319,'N'),(16,3098532,'1',103,'N'),(16,3098540,'1',324,'N'),(16,3098559,'1',103,'N'),(16,3098567,'1',220,'N'),(16,3098567,'1A',201,'N'),(16,3098575,'1',327,'N'),(16,3098583,'1',319,'N'),(16,3098605,'1',501,'N'),(16,3098613,'1',420,'N'),(16,3098621,'1',103,'N'),(16,3098630,'1',213,'N'),(16,3098630,'1A',201,'N'),(16,3098656,'1',201,'N'),(16,3098656,'1A',208,'N'),(16,3098664,'1',201,'N'),(16,3098664,'1A',212,'N'),(16,3098672,'1',316,'N'),(16,3098680,'1',220,'N'),(16,3098680,'1A',233,'N'),(16,3098699,'1',302,'N'),(16,3098702,'1',5,'N'),(16,3098710,'1',104,'N'),(16,3098729,'1',238,'N'),(16,3098729,'1A',208,'N'),(16,3098737,'1',103,'N'),(16,3098745,'1',303,'N'),(16,3098761,'1',103,'N'),(16,3098770,'1',103,'N'),(16,3098788,'1',5,'N'),(16,3098800,'1',102,'N'),(16,3098818,'1',207,'N'),(16,3098826,'1',215,'N'),(16,3098834,'1',203,'N'),(16,3098834,'1A',201,'N'),(16,3098842,'1',103,'N'),(16,3098877,'1',103,'N'),(16,3098885,'1',303,'N'),(16,3098893,'1',102,'N'),(16,3098907,'1',503,'N'),(16,3098915,'1',303,'N'),(16,3098923,'1',207,'N'),(16,3098923,'1A',216,'N'),(16,3098931,'1',308,'N'),(16,3098940,'1',103,'N'),(16,3098958,'1',2,'N'),(16,3098966,'1',501,'N'),(16,3098974,'1',103,'N'),(16,3098982,'1',103,'N'),(16,3098990,'1',103,'N'),(16,3099008,'1',208,'N'),(16,3099008,'1A',238,'N'),(16,3099024,'1',207,'N'),(16,3099024,'1A',212,'N'),(16,3099032,'1',103,'N'),(16,3099040,'1',238,'N'),(16,3099040,'1A',208,'N'),(16,3099059,'1',203,'N'),(16,3099059,'1A',214,'N'),(16,3099067,'1',428,'N'),(16,3099067,'1A',423,'N'),(16,3099075,'1',103,'N'),(16,3099091,'1',103,'N'),(16,3099113,'1',103,'N'),(16,3099121,'1',203,'N'),(16,3099121,'1A',202,'N'),(16,3099130,'1',213,'N'),(16,3099130,'1A',202,'N'),(16,3099148,'1',203,'N'),(16,3099148,'1A',214,'N'),(16,3099156,'1',327,'N'),(16,3099164,'1',501,'N'),(16,3099172,'1',103,'N'),(16,3099180,'1',201,'N'),(16,3099180,'1A',212,'N'),(16,3099199,'1',201,'N'),(16,3099199,'1A',212,'N'),(16,3099202,'1',103,'N'),(16,3099210,'1',103,'N'),(16,3099229,'1',340,'N'),(16,3099237,'1',103,'N'),(16,3099245,'1',103,'N'),(16,3099253,'1',207,'N'),(16,3099253,'1A',233,'N'),(16,3099270,'1',212,'N'),(16,3099270,'1A',201,'N'),(16,3099288,'1',9,'N'),(16,3099300,'1',203,'N'),(16,3099300,'1A',214,'N'),(16,3099318,'1',319,'N'),(16,3099326,'1',207,'N'),(16,3099326,'1A',201,'N'),(16,3099334,'1',220,'N'),(16,3099334,'1A',216,'N'),(16,3099342,'1',203,'N'),(16,3099342,'1A',201,'N'),(16,3099350,'1',220,'N'),(16,3099369,'1',203,'N'),(16,3099369,'1A',201,'N'),(16,3099377,'1',5,'N'),(16,3099385,'1',108,'N'),(16,3099393,'1',333,'N'),(16,3099407,'1',320,'N'),(16,3099415,'1',501,'N'),(16,3099423,'1',104,'N'),(16,3099431,'1',103,'N'),(16,3099440,'1',452,'N'),(16,3099458,'1',340,'N'),(16,3099466,'1',301,'N'),(16,3099474,'1',201,'N'),(16,3099474,'1A',202,'N'),(16,3099482,'1',103,'N'),(16,3099490,'1',108,'N'),(16,3099504,'1',103,'N'),(16,3099512,'1',238,'N'),(16,3099512,'1A',208,'N'),(16,3099520,'1',326,'N'),(16,3099539,'1',203,'N'),(16,3099539,'1A',201,'N'),(16,3099547,'1',103,'N'),(16,3099555,'1',444,'N'),(16,3099563,'1',223,'N'),(16,3099571,'1',103,'N'),(16,3099580,'1',302,'N'),(16,3099598,'1',103,'N'),(16,3099601,'1',215,'N'),(16,3099601,'1A',233,'N'),(16,3099628,'1',303,'N'),(16,3099636,'1',340,'N'),(16,3099652,'1',103,'N'),(16,3099687,'1',304,'N'),(16,3099695,'1',220,'N'),(16,3099695,'1A',202,'N'),(16,3099709,'1',340,'N'),(16,3099725,'1',317,'N'),(16,3099733,'1',103,'N'),(16,3099741,'1',303,'N'),(16,3099750,'1',208,'N'),(16,3099750,'1A',238,'N'),(16,3099776,'1',104,'N'),(16,3099784,'1',316,'N'),(16,3099792,'1',9,'N'),(16,3099806,'1',103,'N'),(16,3099814,'1',207,'N'),(16,3099814,'1A',201,'N'),(16,3099822,'1',502,'N'),(16,3099830,'1',103,'N'),(16,3099849,'1',450,'N'),(16,3099857,'1',212,'N'),(16,3099857,'1A',215,'N'),(16,3099865,'1',103,'N'),(16,3099873,'1',220,'N'),(16,3099873,'1A',203,'N'),(16,3099881,'1',207,'N'),(16,3099881,'1A',201,'N'),(16,3099890,'1',332,'N'),(16,3099903,'1',103,'N'),(16,3099911,'1',302,'N'),(16,3099938,'1',208,'N'),(16,3099938,'1A',216,'N'),(16,3099946,'1',108,'N'),(16,3099954,'1',103,'N'),(16,3099962,'1',207,'N'),(16,3099997,'1',224,'N'),(16,3100006,'1',340,'N'),(16,3100014,'1',103,'N'),(16,3100022,'1',103,'N'),(16,3100030,'1',108,'N'),(16,3100049,'1',450,'N'),(16,3100065,'1',207,'N'),(16,3100065,'1A',201,'N'),(16,3100073,'1',208,'N'),(16,3100073,'1A',201,'N'),(16,3100081,'1',238,'N'),(16,3100081,'1A',208,'N'),(16,3100103,'1',3,'N'),(16,3100111,'1',9,'N'),(16,3100120,'1',332,'N'),(16,3100138,'1',101,'N'),(16,3100146,'1',103,'N'),(16,3100154,'1',103,'N'),(16,3100162,'1',331,'N'),(16,3100170,'1',501,'N'),(16,3100189,'1',103,'N'),(16,3100197,'1',213,'N'),(16,3100197,'1A',202,'N'),(16,3100200,'1',428,'N'),(16,3100200,'1A',426,'N'),(16,3100219,'1',201,'N'),(16,3100219,'1A',212,'N'),(16,3100227,'1',302,'N'),(16,3100243,'1',211,'N'),(16,3100243,'1A',201,'N'),(16,3100251,'1',216,'N'),(16,3100251,'1A',215,'N'),(16,3100260,'1',5,'N'),(16,3100278,'1',5,'N'),(16,3100294,'1',103,'N'),(16,3100308,'1',104,'N'),(16,3100316,'1',108,'N'),(16,3100324,'1',103,'N'),(16,3100332,'1',201,'N'),(16,3100332,'1A',207,'N'),(16,3100340,'1',503,'N'),(16,3100359,'1',503,'N'),(16,3100367,'1',453,'N'),(16,3100375,'1',203,'N'),(16,3100375,'1A',220,'N'),(16,3100383,'1',212,'N'),(16,3100383,'1A',201,'N'),(16,3100391,'1',104,'N'),(16,3100405,'1',201,'N'),(16,3100405,'1A',212,'N'),(16,3100413,'1',203,'N'),(16,3100413,'1A',238,'N'),(16,3100421,'1',212,'N'),(16,3100421,'1A',233,'N'),(16,3100430,'1',502,'N'),(16,3100456,'1',104,'N'),(16,3100472,'1',211,'N'),(16,3100472,'1A',207,'N'),(16,3100480,'1',104,'N'),(16,3100502,'1',202,'N'),(16,3100502,'1A',213,'N'),(16,3100510,'1',453,'N'),(16,3100529,'1',203,'N'),(16,3100529,'1A',214,'N'),(16,3100537,'1',5,'N'),(16,3100545,'1',103,'N'),(16,3100561,'1',103,'N'),(16,3100570,'1',214,'N'),(16,3100570,'1A',212,'N'),(16,3100588,'1',203,'N'),(16,3100596,'1',9,'N'),(16,3100600,'1',415,'N'),(16,3100618,'1',415,'N'),(16,3100626,'1',203,'N'),(16,3100626,'1A',208,'N'),(16,3100642,'1',421,'N'),(16,3100642,'1A',429,'N'),(16,3100650,'1',216,'N'),(16,3100650,'1A',215,'N'),(16,3100669,'1',103,'N'),(16,3100677,'1',103,'N'),(16,3100685,'1',5,'N'),(16,3100693,'1',238,'N'),(16,3100693,'1A',208,'N'),(16,3100707,'1',103,'N'),(16,3100723,'1',203,'N'),(16,3100723,'1A',220,'N'),(16,3100731,'1',420,'N'),(16,3100758,'1',103,'N'),(16,3100766,'1',316,'N'),(16,3100782,'1',319,'N'),(16,3100790,'1',220,'N'),(16,3100790,'1A',214,'N'),(16,3100812,'1',302,'N'),(16,3100820,'1',202,'N'),(16,3100820,'1A',220,'N'),(16,3100839,'1',207,'N'),(16,3100839,'1A',211,'N'),(16,3100847,'1',423,'N'),(16,3100847,'1A',426,'N'),(16,3100855,'1',303,'N'),(16,3100863,'1',103,'N'),(16,3100871,'1',208,'N'),(16,3100871,'1A',216,'N'),(16,3100880,'1',203,'N'),(16,3100880,'1A',202,'N'),(16,3100901,'1',103,'N'),(16,3100910,'1',238,'N'),(16,3100910,'1A',208,'N'),(16,3100928,'1',203,'N'),(16,3100928,'1A',214,'N'),(16,3100936,'1',203,'N'),(16,3100936,'1A',220,'N'),(16,3100944,'1',211,'N'),(16,3100944,'1A',215,'N'),(16,3100952,'1',103,'N'),(16,3100960,'1',101,'N'),(16,3100979,'1',103,'N'),(16,3100987,'1',103,'N'),(16,3100995,'1',9,'N'),(16,3101002,'1',103,'N'),(16,3101010,'1',103,'N'),(16,3101029,'1',103,'N'),(16,3101037,'1',103,'N'),(16,3101045,'1',103,'N'),(16,3101053,'1',103,'N'),(16,3101061,'1',101,'N'),(16,3101070,'1',5,'N'),(16,3101088,'1',202,'N'),(16,3101088,'1A',238,'N'),(16,3101096,'1',5,'N'),(16,3101100,'1',201,'N'),(16,3101100,'1A',207,'N'),(16,3101118,'1',216,'N'),(16,3101118,'1A',233,'N'),(16,3101126,'1',103,'N'),(16,3101134,'1',212,'N'),(16,3101134,'1A',220,'N'),(16,3101142,'1',308,'N'),(16,3101150,'1',452,'N'),(16,3101177,'1',201,'N'),(16,3101185,'1',502,'N'),(16,3101193,'1',415,'N'),(16,3101207,'1',203,'N'),(16,3101215,'1',104,'N'),(16,3101223,'1',303,'N'),(16,3101231,'1',201,'N'),(16,3101231,'1A',211,'N'),(16,3101240,'1',220,'N'),(16,3101240,'1A',202,'N'),(16,3101258,'1',340,'N'),(16,3101266,'1',202,'N'),(16,3101266,'1A',213,'N'),(16,3101274,'1',9,'N'),(16,3101282,'1',340,'N'),(16,3101290,'1',502,'N'),(16,3101304,'1',502,'N'),(16,3101320,'1',203,'N'),(16,3101320,'1A',214,'N'),(16,3101339,'1',5,'N'),(16,3101347,'1',108,'N'),(16,3101371,'1',220,'N'),(16,3101380,'1',201,'N'),(16,3101380,'1A',212,'N'),(16,3101398,'1',216,'N'),(16,3101398,'1A',203,'N'),(16,3101401,'1',201,'N'),(16,3101428,'1',453,'N'),(16,3101436,'1',452,'N'),(16,3101444,'1',220,'N'),(16,3101444,'1A',202,'N'),(16,3101452,'1',208,'N'),(16,3101452,'1A',238,'N'),(16,3101479,'1',216,'N'),(16,3101479,'1A',202,'N'),(16,3101487,'1',103,'N'),(16,3101495,'1',108,'N'),(16,3101509,'1',316,'N'),(16,3101517,'1',303,'N'),(16,3101525,'1',316,'N'),(16,3101533,'1',103,'N'),(16,3101541,'1',102,'N'),(16,3101550,'1',233,'N'),(16,3101550,'1A',208,'N'),(16,3101568,'1',415,'N'),(16,3101576,'1',450,'N'),(16,3101584,'1',103,'N'),(16,3101592,'1',319,'N'),(16,3101606,'1',302,'N'),(16,3101614,'1',319,'N'),(16,3101622,'1',211,'N'),(16,3101622,'1A',201,'N'),(16,3101630,'1',214,'N'),(16,3101630,'1A',201,'N'),(16,3101649,'1',214,'N'),(16,3101649,'1A',212,'N'),(16,3101657,'1',309,'N'),(16,3101665,'1',103,'N'),(16,3101681,'1',303,'N'),(16,3101690,'1',202,'N'),(16,3101690,'1A',233,'N'),(16,3101703,'1',203,'N'),(16,3101703,'1A',214,'N'),(16,3101720,'1',340,'N'),(16,3101746,'1',319,'N'),(16,3101754,'1',104,'N'),(16,3101762,'1',103,'N'),(16,3101770,'1',303,'N'),(16,3101789,'1',103,'N'),(16,3101797,'1',301,'N'),(16,3101800,'1',301,'N'),(16,3101819,'1',301,'N'),(16,3101827,'1',303,'N'),(16,3101835,'1',415,'N'),(16,3101843,'1',332,'N'),(16,3101860,'1',201,'N'),(16,3101860,'1A',212,'N'),(16,3101894,'1',203,'N'),(16,3101894,'1A',214,'N'),(16,3101916,'1',203,'N'),(16,3101916,'1A',201,'N'),(16,3101924,'1',9,'N'),(16,3101932,'1',108,'N'),(16,3101959,'1',328,'N'),(16,3101967,'1',453,'N'),(16,3101975,'1',103,'N'),(16,3101983,'1',103,'N'),(16,3101991,'1',303,'N'),(16,3102017,'1',340,'N'),(16,3102025,'1',103,'N'),(16,3102033,'1',220,'N'),(16,3102033,'1A',203,'N'),(16,3102041,'1',428,'N'),(16,3102041,'1A',426,'N'),(16,3102050,'1',415,'N'),(16,3102068,'1',103,'N'),(16,3102076,'1',415,'N'),(16,3102092,'1',103,'N'),(16,3102106,'1',108,'N'),(16,3102114,'1',103,'N'),(16,3102122,'1',102,'N'),(16,3102130,'1',103,'N'),(16,3102149,'1',201,'N'),(16,3102157,'1',303,'N'),(16,3102165,'1',108,'N'),(16,3102173,'1',340,'N'),(16,3102181,'1',213,'N'),(16,3102181,'1A',216,'N'),(16,3102190,'1',201,'N'),(16,3102190,'1A',212,'N'),(16,3102203,'1',102,'N'),(16,3102211,'1',207,'N'),(16,3102238,'1',214,'N'),(16,3102238,'1A',203,'N'),(16,3102246,'1',211,'N'),(16,3102246,'1A',233,'N'),(16,3102254,'1',102,'N'),(16,3102262,'1',207,'N'),(16,3102262,'1A',201,'N'),(16,3102270,'1',214,'N'),(16,3102270,'1A',233,'N'),(16,3102289,'1',233,'N'),(16,3102289,'1A',215,'N'),(16,3102297,'1',202,'N'),(16,3102297,'1A',213,'N'),(16,3102319,'1',103,'N'),(16,3102327,'1',453,'N'),(16,3102343,'1',319,'N'),(16,3102351,'1',304,'N'),(16,3102360,'1',203,'N'),(16,3102360,'1A',220,'N'),(16,3102378,'1',207,'N'),(16,3102378,'1A',201,'N'),(16,3102386,'1',444,'N'),(16,3102394,'1',103,'N'),(16,3102408,'1',207,'N'),(16,3102416,'1',340,'N'),(16,3102459,'1',308,'N'),(16,3102475,'1',220,'N'),(16,3102475,'1A',214,'N'),(16,3102483,'1',201,'N'),(16,3102483,'1A',215,'N'),(16,3102505,'1',201,'N'),(16,3102505,'1A',212,'N'),(16,3102513,'1',5,'N'),(16,3102521,'1',220,'N'),(16,3102521,'1A',202,'N'),(16,3102530,'1',428,'N'),(16,3102530,'1A',426,'N'),(16,3102556,'1',103,'N'),(16,3102564,'1',203,'N'),(16,3102564,'1A',212,'N'),(16,3102572,'1',103,'N'),(16,3102580,'1',214,'N'),(16,3102580,'1A',213,'N'),(16,3102599,'1',220,'N'),(16,3102599,'1A',202,'N'),(16,3102610,'1',214,'N'),(16,3102610,'1A',238,'N'),(16,3102629,'1',415,'N'),(16,3102645,'1',326,'N'),(16,3102661,'1',238,'N'),(16,3102661,'1A',208,'N'),(16,3102670,'1',420,'N'),(16,3102688,'1',340,'N'),(16,3102700,'1',103,'N'),(16,3102718,'1',103,'N'),(16,3102726,'1',415,'N'),(16,3102734,'1',203,'N'),(16,3102734,'1A',214,'N'),(16,3102742,'1',103,'N'),(16,3102750,'1',103,'N'),(16,3102769,'1',453,'N'),(16,3102777,'1',303,'N'),(16,3102785,'1',103,'N'),(16,3102793,'1',103,'N'),(16,3102807,'1',316,'N'),(16,3102815,'1',103,'N'),(16,3102823,'1',5,'N'),(16,3102831,'1',304,'N'),(16,3102858,'1',502,'N'),(16,3102866,'1',213,'N'),(16,3102866,'1A',208,'N'),(16,3102882,'1',103,'N'),(16,3102890,'1',444,'N'),(16,3102904,'1',233,'N'),(16,3102904,'1A',202,'N'),(16,3102912,'1',203,'N'),(16,3102912,'1A',216,'N'),(16,3102920,'1',340,'N'),(16,3102939,'1',201,'N'),(16,3102939,'1A',216,'N'),(16,3102955,'1',103,'N'),(16,3102963,'1',214,'N'),(16,3102963,'1A',208,'N'),(16,3102971,'1',340,'N'),(16,3102980,'1',5,'N'),(16,3102998,'1',303,'N'),(16,3103021,'1',214,'N'),(16,3103021,'1A',233,'N'),(16,3103030,'1',327,'N'),(16,3103048,'1',101,'N'),(16,3103056,'1',339,'N'),(16,3103072,'1',103,'N'),(16,3103080,'1',220,'N'),(16,3103080,'1A',203,'N'),(16,3103099,'1',220,'N'),(16,3103099,'1A',211,'N'),(16,3103110,'1',317,'N'),(16,3103129,'1',309,'N'),(16,3103137,'1',303,'N'),(16,3103145,'1',103,'N'),(16,3103153,'1',202,'N'),(16,3103153,'1A',213,'N'),(16,3103161,'1',303,'N'),(16,3103170,'1',203,'N'),(16,3103170,'1A',213,'N'),(16,3103188,'1',103,'N'),(16,3103200,'1',303,'N'),(16,3103218,'1',301,'N'),(16,3103226,'1',103,'N'),(16,3103234,'1',103,'N'),(16,3103242,'1',340,'N'),(16,3103250,'1',201,'N'),(16,3103250,'1A',208,'N'),(16,3103269,'1',301,'N'),(16,3103285,'1',102,'N'),(16,3103293,'1',451,'N'),(16,3103307,'1',304,'N'),(16,3103315,'1',201,'N'),(16,3103315,'1A',207,'N'),(16,3103323,'1',103,'N'),(16,3103331,'1',202,'N'),(16,3103331,'1A',213,'N'),(16,3103340,'1',332,'N'),(16,3103358,'1',207,'N'),(16,3103358,'1A',212,'N'),(16,3103366,'1',208,'N'),(16,3103366,'1A',238,'N'),(16,3103374,'1',220,'N'),(16,3103374,'1A',202,'N'),(16,3103382,'1',310,'N'),(16,3103390,'1',320,'N'),(16,3103404,'1',319,'N'),(16,3103412,'1',404,'N'),(16,3103420,'1',404,'N'),(16,3103439,'1',216,'N'),(16,3103439,'1A',208,'N'),(16,3103447,'1',339,'N'),(16,3103455,'1',320,'N'),(16,3103463,'1',452,'N'),(16,3103471,'1',452,'N'),(16,3103480,'1',215,'N'),(16,3103480,'1A',216,'N'),(16,3103498,'1',203,'N'),(16,3103498,'1A',233,'N'),(16,3103501,'1',104,'N'),(16,3103510,'1',317,'N'),(16,3103536,'1',203,'N'),(16,3103536,'1A',233,'N'),(16,3103552,'1',404,'N'),(16,3103560,'1',103,'N'),(16,3103579,'1',101,'N'),(16,3103587,'1',208,'N'),(16,3103587,'1A',238,'N'),(16,3103595,'1',329,'N'),(16,3103617,'1',327,'N'),(16,3103633,'1',326,'N'),(16,3103641,'1',453,'N'),(16,3103676,'1',444,'N'),(16,3103684,'1',216,'N'),(16,3103684,'1A',202,'N'),(16,3103692,'1',108,'N'),(16,3103706,'1',318,'N'),(16,3103714,'1',425,'N'),(16,3103714,'1A',424,'N'),(16,3103722,'1',222,'N'),(16,3103730,'1',103,'N'),(16,3103757,'1',302,'N'),(16,3103765,'1',103,'N'),(16,3103773,'1',103,'N'),(16,3103781,'1',103,'N'),(16,3103790,'1',103,'N'),(16,3103803,'1',303,'N'),(16,3103820,'1',415,'N'),(16,3103838,'1',301,'N'),(16,3103846,'1',103,'N'),(16,3103854,'1',452,'N'),(16,3103862,'1',501,'N'),(16,3103870,'1',102,'N'),(16,3103889,'1',207,'N'),(16,3103889,'1A',201,'N'),(16,3103897,'1',103,'N'),(16,3103919,'1',238,'N'),(16,3103919,'1A',208,'N'),(16,3103927,'1',453,'N'),(16,3103935,'1',333,'N'),(16,3103943,'1',202,'N'),(16,3103943,'1A',203,'N'),(16,3103951,'1',317,'N'),(16,3103960,'1',444,'N'),(16,3103978,'1',308,'N'),(16,3103986,'1',103,'N'),(16,3103994,'1',318,'N'),(16,3104001,'1',211,'N'),(16,3104001,'1A',207,'N'),(16,3104010,'1',340,'N'),(16,3104028,'1',103,'N'),(16,3104036,'1',207,'N'),(16,3104036,'1A',201,'N'),(16,3104044,'1',9,'N'),(16,3104052,'1',203,'N'),(16,3104052,'1A',201,'N'),(16,3104060,'1',429,'N'),(16,3104060,'1A',425,'N'),(16,3104087,'1',319,'N'),(16,3104095,'1',203,'N'),(16,3104095,'1A',202,'N'),(16,3104117,'1',404,'N'),(16,3104133,'1',415,'N'),(16,3104141,'1',453,'N'),(16,3104168,'1',420,'N'),(16,3104176,'1',103,'N'),(16,3104184,'1',103,'N'),(16,3104192,'1',238,'N'),(16,3104192,'1A',207,'N'),(16,3104206,'1',404,'N'),(16,3104214,'1',233,'N'),(16,3104214,'1A',215,'N'),(16,3104222,'1',104,'N'),(16,3104230,'1',304,'N'),(16,3104257,'1',301,'N'),(16,3104273,'1',415,'N'),(16,3104281,'1',319,'N'),(16,3104290,'1',215,'N'),(16,3104290,'1A',211,'N'),(16,3104303,'1',450,'N'),(16,3104311,'1',319,'N'),(16,3104338,'1',5,'N'),(16,3104362,'1',201,'N'),(16,3104362,'1A',216,'N'),(16,3104389,'1',207,'N'),(16,3104389,'1A',201,'N'),(16,3104400,'1',213,'N'),(16,3104400,'1A',212,'N'),(16,3104419,'1',220,'N'),(16,3104419,'1A',201,'N'),(16,3104435,'1',103,'N'),(16,3104451,'1',103,'N'),(16,3104478,'1',309,'N'),(16,3104494,'1',309,'N'),(16,3104508,'1',203,'N'),(16,3104508,'1A',214,'N'),(16,3104516,'1',340,'N'),(16,3104524,'1',201,'N'),(16,3104524,'1A',212,'N'),(16,3104532,'1',202,'N'),(16,3104532,'1A',238,'N'),(16,3104559,'1',301,'N'),(16,3104567,'1',425,'N'),(16,3104567,'1A',429,'N'),(16,3104583,'1',101,'N'),(16,3104605,'1',5,'N'),(16,3104613,'1',5,'N'),(16,3104621,'1',303,'N'),(16,3104648,'1',303,'N'),(16,3104656,'1',302,'N'),(16,3104672,'1',212,'N'),(16,3104672,'1A',215,'N'),(16,3104680,'1',220,'N'),(16,3104680,'1A',203,'N'),(16,3104699,'1',2,'N'),(16,3104702,'1',103,'N'),(16,3104710,'1',208,'N'),(16,3104710,'1A',216,'N'),(16,3104737,'1',415,'N'),(16,3104745,'1',201,'N'),(16,3104745,'1A',203,'N'),(16,3104761,'1',207,'N'),(16,3104761,'1A',201,'N'),(16,3104770,'1',104,'N'),(16,3104788,'1',415,'N'),(16,3104796,'1',5,'N'),(16,3104818,'1',103,'N'),(16,3104826,'1',451,'N'),(16,3104834,'1',103,'N'),(16,3104850,'1',103,'N'),(16,3104869,'1',301,'N'),(16,3104877,'1',202,'N'),(16,3104877,'1A',201,'N'),(16,3104893,'1',104,'N'),(16,3104907,'1',332,'N'),(16,3104915,'1',103,'N'),(16,3104931,'1',201,'N'),(16,3104931,'1A',212,'N'),(16,3104940,'1',103,'N'),(16,3104958,'1',9,'N'),(16,3104966,'1',103,'N'),(16,3104974,'1',208,'N'),(16,3104974,'1A',238,'N'),(16,3104982,'1',5,'N'),(16,3104990,'1',5,'N'),(16,3105008,'1',423,'N'),(16,3105008,'1A',425,'N'),(16,3105016,'1',216,'N'),(16,3105016,'1A',211,'N'),(16,3105024,'1',215,'N'),(16,3105032,'1',104,'N'),(16,3105040,'1',303,'N'),(16,3105059,'1',316,'N'),(16,3105075,'1',103,'N'),(16,3105083,'1',103,'N'),(16,3105091,'1',201,'N'),(16,3105091,'1A',207,'N'),(16,3105105,'1',215,'N'),(16,3105113,'1',103,'N'),(16,3105121,'1',207,'N'),(16,3105121,'1A',213,'N'),(16,3105130,'1',103,'N'),(16,3105148,'1',329,'N'),(16,3105156,'1',103,'N'),(16,3105164,'1',420,'N'),(16,3105172,'1',501,'N'),(16,3105199,'1',207,'N'),(16,3105202,'1',340,'N'),(16,3105210,'1',340,'N'),(16,3105229,'1',340,'N'),(16,3105237,'1',303,'N'),(16,3105245,'1',340,'N'),(16,3105253,'1',339,'N'),(16,3105270,'1',444,'N'),(16,3105288,'1',428,'N'),(16,3105288,'1A',426,'N'),(16,3105296,'1',208,'N'),(16,3105296,'1A',203,'N'),(16,3105300,'1',212,'N'),(16,3105300,'1A',201,'N'),(16,3105318,'1',503,'N'),(16,3105326,'1',3,'N'),(16,3105334,'1',216,'N'),(16,3105334,'1A',201,'N'),(16,3105342,'1',214,'N'),(16,3105342,'1A',213,'N'),(16,3105350,'1',104,'N'),(16,3105369,'1',103,'N'),(16,3105377,'1',203,'N'),(16,3105377,'1A',202,'N'),(16,3105385,'1',333,'N'),(16,3105393,'1',201,'N'),(16,3105393,'1A',212,'N'),(16,3105407,'1',104,'N'),(16,3105415,'1',104,'N'),(16,3105423,'1',304,'N'),(16,3105431,'1',319,'N'),(16,3105440,'1',203,'N'),(16,3105440,'1A',214,'N'),(16,3105458,'1',238,'N'),(16,3105466,'1',202,'N'),(16,3105466,'1A',213,'N'),(16,3105474,'1',104,'N'),(16,3105482,'1',103,'N'),(16,3105490,'1',404,'N'),(16,3105504,'1',103,'N'),(16,3105512,'1',103,'N'),(16,3105520,'1',216,'N'),(16,3105520,'1A',215,'N'),(16,3105539,'1',103,'N'),(16,3105547,'1',201,'N'),(16,3105547,'1A',233,'N'),(16,3105555,'1',207,'N'),(16,3105555,'1A',213,'N'),(16,3105563,'1',211,'N'),(16,3105563,'1A',216,'N'),(16,3105580,'1',5,'N'),(16,3105598,'1',424,'N'),(16,3105598,'1A',428,'N'),(16,3105601,'1',201,'N'),(16,3105601,'1A',212,'N'),(16,3105610,'1',425,'N'),(16,3105610,'1A',429,'N'),(16,3105628,'1',452,'N'),(16,3105636,'1',201,'N'),(16,3105636,'1A',212,'N'),(16,3105644,'1',103,'N'),(16,3105652,'1',207,'N'),(16,3105652,'1A',211,'N'),(16,3105660,'1',108,'N'),(16,3105679,'1',428,'N'),(16,3105679,'1A',426,'N'),(16,3105687,'1',104,'N'),(16,3105695,'1',220,'N'),(16,3105695,'1A',201,'N'),(16,3105717,'1',203,'N'),(16,3105717,'1A',220,'N'),(16,3105725,'1',215,'N'),(16,3105725,'1A',238,'N'),(16,3105733,'1',220,'N'),(16,3105733,'1A',214,'N'),(16,3105741,'1',203,'N'),(16,3105741,'1A',214,'N'),(16,3105750,'1',104,'N'),(16,3105768,'1',103,'N'),(16,3105776,'1',453,'N'),(16,3105792,'1',444,'N'),(16,3105806,'1',220,'N'),(16,3105806,'1A',213,'N'),(16,3105814,'1',340,'N'),(16,3105822,'1',202,'N'),(16,3105822,'1A',208,'N'),(16,3105830,'1',234,'N'),(16,3105849,'1',201,'N'),(16,3105849,'1A',212,'N'),(16,3105857,'1',103,'N'),(16,3105865,'1',234,'N'),(16,3105873,'1',108,'N'),(16,3105890,'1',301,'N'),(16,3105903,'1',316,'N'),(16,3105911,'1',302,'N'),(16,3105920,'1',340,'N'),(16,3105938,'1',453,'N'),(16,3105946,'1',103,'N'),(16,3105954,'1',332,'N'),(16,3105962,'1',211,'N'),(16,3105962,'1A',207,'N'),(16,3105970,'1',339,'N'),(16,3105997,'1',103,'N'),(16,3106004,'1',238,'N'),(16,3106004,'1A',211,'N'),(16,3106012,'1',326,'N'),(16,3106020,'1',304,'N'),(16,3106039,'1',316,'N'),(16,3106047,'1',326,'N'),(16,3106055,'1',203,'N'),(16,3106055,'1A',214,'N'),(16,3106063,'1',207,'N'),(16,3106063,'1A',201,'N'),(16,3106071,'1',301,'N'),(16,3106101,'1',103,'N'),(16,3106110,'1',415,'N'),(16,3106128,'1',310,'N'),(16,3106136,'1',201,'N'),(16,3106136,'1A',212,'N'),(16,3106144,'1',101,'N'),(16,3106160,'1',216,'N'),(16,3106160,'1A',202,'N'),(16,3106179,'1',202,'N'),(16,3106179,'1A',208,'N'),(16,3106187,'1',420,'N'),(16,3106195,'1',103,'N'),(16,3106209,'1',453,'N'),(16,3106217,'1',318,'N'),(16,3106225,'1',501,'N'),(16,3106233,'1',201,'N'),(16,3106241,'1',415,'N'),(16,3106250,'1',2,'N'),(16,3106268,'1',340,'N'),(16,3106284,'1',102,'N'),(16,3106306,'1',103,'N'),(16,3106314,'1',208,'N'),(16,3106314,'1A',207,'N'),(16,3106322,'1',319,'N'),(16,3106330,'1',319,'N'),(16,3106349,'1',108,'N'),(16,3106357,'1',303,'N'),(16,3106365,'1',303,'N'),(16,3106373,'1',108,'N'),(16,3106381,'1',103,'N'),(16,3106390,'1',104,'N'),(16,3106403,'1',207,'N'),(16,3106403,'1A',201,'N'),(16,3106411,'1',503,'N'),(16,3106420,'1',340,'N'),(16,3106438,'1',318,'N'),(16,3106446,'1',103,'N'),(16,3106454,'1',208,'N'),(16,3106470,'1',201,'N'),(16,3106470,'1A',203,'N'),(16,3106489,'1',103,'N'),(16,3106500,'1',9,'N'),(16,3106519,'1',319,'N'),(16,3106527,'1',103,'N'),(16,3106535,'1',316,'N'),(16,3106543,'1',104,'N'),(16,3106551,'1',201,'N'),(16,3106560,'1',453,'N'),(16,3106578,'1',103,'N'),(16,3106586,'1',453,'N'),(16,3106594,'1',104,'N'),(16,3106608,'1',303,'N'),(16,3106616,'1',2,'N'),(16,3106632,'1',340,'N'),(16,3106640,'1',415,'N'),(16,3106659,'1',103,'N'),(16,3106667,'1',207,'N'),(16,3106667,'1A',208,'N'),(16,3106675,'1',203,'N'),(16,3106675,'1A',212,'N'),(16,3106705,'1',303,'N'),(16,3106721,'1',103,'N'),(16,3106748,'1',3,'N'),(16,3106756,'1',303,'N'),(16,3106764,'1',450,'N'),(16,3106772,'1',108,'N'),(16,3106780,'1',303,'N'),(16,3106799,'1',303,'N'),(16,3106810,'1',301,'N'),(16,3106829,'1',415,'N'),(16,3106837,'1',340,'N'),(16,3106845,'1',103,'N'),(16,3106853,'1',103,'N'),(16,3106870,'1',208,'N'),(16,3106870,'1A',238,'N'),(16,3106888,'1',214,'N'),(16,3106888,'1A',203,'N'),(16,3106896,'1',220,'N'),(16,3106900,'1',220,'N'),(16,3106900,'1A',202,'N'),(16,3106918,'1',103,'N'),(16,3106926,'1',103,'N'),(16,3106934,'1',453,'N'),(16,3106977,'1',425,'N'),(16,3106977,'1A',429,'N'),(16,3106985,'1',208,'N'),(16,3106985,'1A',238,'N'),(16,3106993,'1',420,'N'),(16,3107019,'1',303,'N'),(16,3107027,'1',415,'N'),(16,3107035,'1',211,'N'),(16,3107035,'1A',215,'N'),(16,3107043,'1',103,'N'),(16,3107051,'1',319,'N'),(16,3107060,'1',103,'N'),(16,3107078,'1',303,'N'),(16,3107086,'1',303,'N'),(16,3107094,'1',451,'N'),(16,3107108,'1',216,'N'),(16,3107108,'1A',214,'N'),(16,3107116,'1',212,'N'),(16,3107116,'1A',207,'N'),(16,3107124,'1',202,'N'),(16,3107132,'1',3,'N'),(16,3107140,'1',501,'N'),(16,3107175,'1',208,'N'),(16,3107213,'1',108,'N'),(16,3107230,'1',203,'N'),(16,3107248,'1',420,'N'),(16,3107256,'1',304,'N'),(16,3107264,'1',327,'N'),(16,3107280,'1',2,'N'),(16,3107299,'1',207,'N'),(16,3107299,'1A',212,'N'),(16,3107302,'1',102,'N'),(16,3107310,'1',301,'N'),(16,3107329,'1',211,'N'),(16,3107329,'1A',216,'N'),(16,3107337,'1',220,'N'),(16,3107337,'1A',203,'N'),(16,3107345,'1',503,'N'),(16,3107353,'1',420,'N'),(16,3107361,'1',501,'N'),(16,3107370,'1',207,'N'),(16,3107396,'1',203,'N'),(16,3107396,'1A',207,'N'),(16,3107400,'1',102,'N'),(16,3107426,'1',3,'N'),(16,3107442,'1',233,'N'),(16,3107469,'1',302,'N'),(16,3107477,'1',5,'N'),(16,3107485,'1',103,'N'),(16,3107493,'1',201,'N'),(16,3107493,'1A',202,'N'),(16,3107507,'1',203,'N'),(16,3107507,'1A',233,'N'),(16,3107515,'1',444,'N'),(16,3107523,'1',103,'N'),(16,3107531,'1',309,'N'),(16,3107540,'1',201,'N'),(16,3107558,'1',415,'N'),(16,3107566,'1',104,'N'),(16,3107574,'1',202,'N'),(16,3107574,'1A',201,'N'),(16,3107582,'1',101,'N'),(16,3107604,'1',103,'N'),(16,3107612,'1',331,'N'),(16,3107620,'1',103,'N'),(16,3107647,'1',203,'N'),(16,3107647,'1A',202,'N'),(16,3107655,'1',303,'N'),(16,3107663,'1',309,'N'),(16,3107671,'1',238,'N'),(16,3107671,'1A',202,'N'),(16,3107680,'1',415,'N'),(16,3107701,'1',302,'N'),(16,3107728,'1',302,'N'),(16,3107736,'1',340,'N'),(16,3107744,'1',220,'N'),(16,3107760,'1',103,'N'),(16,3107779,'1',216,'N'),(16,3107779,'1A',211,'N'),(16,3107795,'1',238,'N'),(16,3107795,'1A',208,'N'),(16,3107809,'1',214,'N'),(16,3107809,'1A',203,'N'),(16,3107817,'1',201,'N'),(16,3107817,'1A',202,'N'),(16,3107825,'1',104,'N'),(16,3107833,'1',223,'N'),(16,3107841,'1',318,'N'),(16,3107850,'1',103,'N'),(16,3107868,'1',503,'N'),(16,3107876,'1',9,'N'),(16,3107884,'1',104,'N'),(16,3107892,'1',303,'N'),(16,3107906,'1',103,'N'),(16,3107914,'1',424,'N'),(16,3107922,'1',202,'N'),(16,3107922,'1A',201,'N'),(16,3107930,'1',316,'N'),(16,3107949,'1',318,'N'),(16,3107965,'1',103,'N'),(16,3107973,'1',319,'N'),(16,3107981,'1',404,'N'),(16,3108007,'1',108,'N'),(16,3108015,'1',450,'N'),(16,3108023,'1',450,'N'),(16,3108058,'1',316,'N'),(16,3108066,'1',203,'N'),(16,3108066,'1A',202,'N'),(16,3108074,'1',233,'N'),(16,3108074,'1A',215,'N'),(16,3108082,'1',331,'N'),(16,3108104,'1',207,'N'),(16,3108104,'1A',211,'N'),(16,3108112,'1',215,'N'),(16,3108120,'1',404,'N'),(16,3108139,'1',444,'N'),(16,3108147,'1',327,'N'),(16,3108155,'1',5,'N'),(16,3108171,'1',104,'N'),(16,3108180,'1',415,'N'),(16,3108198,'1',211,'N'),(16,3108198,'1A',233,'N'),(16,3108201,'1',211,'N'),(16,3108201,'1A',201,'N'),(16,3108210,'1',9,'N'),(16,3108228,'1',303,'N'),(16,3108236,'1',103,'N'),(16,3108244,'1',503,'N'),(16,3108252,'1',103,'N'),(16,3108260,'1',103,'N'),(16,3108279,'1',103,'N'),(16,3108287,'1',207,'N'),(16,3108287,'1A',201,'N'),(16,3108295,'1',203,'N'),(16,3108295,'1A',202,'N'),(16,3108309,'1',316,'N'),(16,3108317,'1',103,'N'),(16,3108333,'1',453,'N'),(16,3108341,'1',211,'N'),(16,3108341,'1A',238,'N'),(16,3108368,'1',208,'N'),(16,3108376,'1',203,'N'),(16,3108384,'1',316,'N'),(16,3108392,'1',415,'N'),(16,3108406,'1',103,'N'),(16,3108414,'1',108,'N'),(16,3108422,'1',201,'N'),(16,3108422,'1A',207,'N'),(16,3108430,'1',303,'N'),(16,3108449,'1',102,'N'),(16,3108457,'1',103,'N'),(16,3108465,'1',302,'N'),(16,3108473,'1',213,'N'),(16,3108473,'1A',211,'N'),(16,3108481,'1',101,'N'),(16,3108511,'1',103,'N'),(16,3108520,'1',308,'N'),(16,3108538,'1',104,'N'),(16,3108546,'1',201,'N'),(16,3108546,'1A',211,'N'),(16,3108554,'1',103,'N'),(16,3108562,'1',103,'N'),(16,3108570,'1',2,'N'),(16,3108589,'1',328,'N'),(16,3108597,'1',331,'N'),(16,3108600,'1',340,'N'),(16,3108619,'1',301,'N'),(16,3108635,'1',5,'N'),(16,3108643,'1',103,'N'),(16,3108651,'1',216,'N'),(16,3108651,'1A',202,'N'),(16,3108660,'1',103,'N'),(16,3108678,'1',208,'N'),(16,3108686,'1',201,'N'),(16,3108686,'1A',207,'N'),(16,3108694,'1',302,'N'),(16,3108708,'1',316,'N'),(16,3108716,'1',420,'N'),(16,3108724,'1',316,'N'),(16,3108732,'1',207,'N'),(16,3108732,'1A',201,'N'),(16,3108740,'1',211,'N'),(16,3108740,'1A',233,'N'),(16,3108759,'1',215,'N'),(16,3108759,'1A',216,'N'),(16,3108775,'1',103,'N'),(16,3108783,'1',220,'N'),(16,3108791,'1',103,'N'),(16,3108805,'1',301,'N'),(16,3108830,'1',303,'N'),(16,3108848,'1',103,'N'),(16,3108856,'1',234,'N'),(16,3108872,'1',102,'N'),(16,3108880,'1',303,'N'),(16,3108899,'1',103,'N'),(16,3108902,'1',103,'N'),(16,3108910,'1',103,'N'),(16,3108937,'1',303,'N'),(16,3108945,'1',103,'N'),(16,3108953,'1',208,'N'),(16,3108953,'1A',203,'N'),(16,3108961,'1',420,'N'),(16,3108970,'1',103,'N'),(16,3108988,'1',207,'N'),(16,3108988,'1A',201,'N'),(16,3108996,'1',103,'N'),(16,3109003,'1',103,'N'),(16,3109011,'1',103,'N'),(16,3109020,'1',103,'N'),(16,3109038,'1',420,'N'),(16,3109046,'1',301,'N'),(16,3109054,'1',326,'N'),(16,3109062,'1',444,'N'),(16,3109070,'1',424,'N'),(16,3109089,'1',201,'N'),(16,3109089,'1A',211,'N'),(16,3109097,'1',451,'N'),(16,3109100,'1',203,'N'),(16,3109100,'1A',201,'N'),(16,3109119,'1',220,'N'),(16,3109119,'1A',207,'N'),(16,3109127,'1',203,'N'),(16,3109127,'1A',201,'N'),(16,3109135,'1',5,'N'),(16,3109143,'1',212,'N'),(16,3109143,'1A',233,'N'),(16,3109151,'1',102,'N'),(16,3109178,'1',453,'N'),(16,3109186,'1',303,'N'),(16,3109194,'1',5,'N'),(16,3109208,'1',238,'N'),(16,3109208,'1A',208,'N'),(16,3109216,'1',451,'N'),(16,3109224,'1',103,'N'),(16,3109232,'1',333,'N'),(16,3109259,'1',9,'N'),(16,3109267,'1',302,'N'),(16,3109283,'1',103,'N'),(16,3109291,'1',327,'N'),(16,3109305,'1',102,'N'),(16,3109313,'1',108,'N'),(16,3109321,'1',319,'N'),(16,3109330,'1',317,'N'),(16,3109348,'1',453,'N'),(16,3109356,'1',104,'N'),(16,3109364,'1',427,'N'),(16,3109380,'1',103,'N'),(16,3109399,'1',101,'N'),(16,3109402,'1',415,'N'),(16,3109410,'1',102,'N'),(16,3109429,'1',301,'N'),(16,3109437,'1',203,'N'),(16,3109437,'1A',233,'N'),(16,3109445,'1',316,'N'),(16,3109453,'1',202,'N'),(16,3109453,'1A',214,'N'),(16,3109461,'1',108,'N'),(16,3109470,'1',340,'N'),(16,3109496,'1',103,'N'),(16,3109500,'1',301,'N'),(16,3109518,'1',103,'N'),(16,3109526,'1',211,'N'),(16,3109526,'1A',201,'N'),(16,3109534,'1',208,'N'),(16,3109534,'1A',220,'N'),(16,3109550,'1',103,'N'),(16,3109569,'1',319,'N'),(16,3109577,'1',301,'N'),(16,3109585,'1',301,'N'),(16,3109593,'1',326,'N'),(16,3109615,'1',340,'N'),(16,3109623,'1',319,'N'),(16,3109631,'1',212,'N'),(16,3109631,'1A',214,'N'),(16,3109640,'1',216,'N'),(16,3109640,'1A',211,'N'),(16,3109674,'1',101,'N'),(16,3109682,'1',332,'N'),(16,3109704,'1',309,'N'),(16,3109712,'1',103,'N'),(16,3109720,'1',301,'N'),(16,3109739,'1',238,'N'),(16,3109739,'1A',208,'N'),(16,3109755,'1',103,'N'),(16,3109763,'1',101,'N'),(16,3109771,'1',207,'N'),(16,3109771,'1A',238,'N'),(16,3109780,'1',104,'N'),(16,3109798,'1',207,'N'),(16,3109798,'1A',211,'N'),(16,3109801,'1',216,'N'),(16,3109801,'1A',211,'N'),(16,3109828,'1',238,'N'),(16,3109828,'1A',208,'N'),(16,3109836,'1',201,'N'),(16,3109836,'1A',207,'N'),(16,3109844,'1',238,'N'),(16,3109844,'1A',220,'N'),(16,3109852,'1',104,'N'),(16,3109860,'1',203,'N'),(16,3109860,'1A',208,'N'),(16,3109879,'1',208,'N'),(16,3109879,'1A',238,'N'),(16,3109887,'1',9,'N'),(16,3109895,'1',5,'N'),(16,3109909,'1',203,'N'),(16,3109909,'1A',201,'N'),(16,3109917,'1',319,'N'),(16,3109925,'1',316,'N'),(16,3109933,'1',233,'N'),(16,3109933,'1A',211,'N'),(16,3109941,'1',101,'N'),(16,3109950,'1',319,'N'),(16,3109968,'1',103,'N'),(16,3109976,'1',320,'N'),(16,3109984,'1',203,'N'),(16,3109984,'1A',214,'N'),(16,3109992,'1',211,'N'),(16,3109992,'1A',216,'N'),(16,3110001,'1',211,'N'),(16,3110001,'1A',207,'N'),(16,3110010,'1',2,'N'),(16,3110028,'1',211,'N'),(16,3110036,'1',103,'N'),(16,3110044,'1',203,'N'),(16,3110052,'1',201,'N'),(16,3110052,'1A',238,'N'),(16,3110060,'1',308,'N'),(16,3110079,'1',201,'N'),(16,3110079,'1A',203,'N'),(16,3110095,'1',201,'N'),(16,3110095,'1A',216,'N'),(16,3110117,'1',203,'N'),(16,3110117,'1A',201,'N'),(16,3110125,'1',103,'N'),(16,3110133,'1',203,'N'),(16,3110133,'1A',202,'N'),(16,3110150,'1',103,'N'),(16,3110168,'1',207,'N'),(16,3110168,'1A',201,'N'),(16,3110176,'1',104,'N'),(16,3110184,'1',220,'N'),(16,3110184,'1A',216,'N'),(16,3110192,'1',331,'N'),(16,3110206,'1',223,'N'),(16,3110222,'1',205,'N'),(16,3110230,'1',234,'N'),(16,3110249,'1',220,'N'),(16,3110249,'1A',208,'N'),(16,3110265,'1',233,'N'),(16,3110265,'1A',213,'N'),(16,3110273,'1',211,'N'),(16,3110273,'1A',201,'N'),(16,3110281,'1',103,'N'),(16,3110290,'1',207,'N'),(16,3110290,'1A',233,'N'),(16,3110303,'1',303,'N'),(16,3110311,'1',213,'N'),(16,3110311,'1A',202,'N'),(16,3110320,'1',303,'N'),(16,3110338,'1',104,'N'),(16,3110346,'1',212,'N'),(16,3110346,'1A',201,'N'),(16,3110354,'1',238,'N'),(16,3110354,'1A',208,'N'),(16,3110362,'1',301,'N'),(16,3110370,'1',327,'N'),(16,3110389,'1',339,'N'),(16,3110397,'1',9,'N'),(16,3110427,'1',333,'N'),(16,3110443,'1',103,'N'),(16,3110451,'1',333,'N'),(16,3110478,'1',303,'N'),(16,3110486,'1',220,'N'),(16,3110486,'1A',213,'N'),(16,3110494,'1',303,'N'),(16,3110516,'1',304,'N'),(16,3110524,'1',333,'N'),(16,3110532,'1',453,'N'),(16,3110540,'1',102,'N'),(16,3110559,'1',404,'N'),(16,3110575,'1',201,'N'),(16,3110575,'1A',212,'N'),(16,3110583,'1',104,'N'),(16,3110591,'1',303,'N'),(16,3110605,'1',203,'N'),(16,3110605,'1A',214,'N'),(16,3110613,'1',202,'N'),(16,3110621,'1',104,'N'),(16,3110630,'1',201,'N'),(16,3110630,'1A',207,'N'),(16,3110648,'1',304,'N'),(16,3110656,'1',211,'N'),(16,3110656,'1A',216,'N'),(16,3110664,'1',501,'N'),(16,3110680,'1',201,'N'),(16,3110680,'1A',202,'N'),(16,3110699,'1',101,'N'),(16,3110710,'1',216,'N'),(16,3110710,'1A',201,'N'),(16,3110729,'1',208,'N'),(16,3110737,'1',301,'N'),(16,3110745,'1',320,'N'),(16,3110753,'1',108,'N'),(16,3110770,'1',103,'N'),(16,3110788,'1',103,'N'),(16,3110796,'1',303,'N'),(16,3110800,'1',103,'N'),(16,3110818,'1',207,'N'),(16,3110818,'1A',211,'N'),(16,3110834,'1',201,'N'),(16,3110834,'1A',233,'N'),(16,3110842,'1',108,'N'),(16,3110850,'1',103,'N'),(16,3110869,'1',201,'N'),(16,3110869,'1A',202,'N'),(16,3110877,'1',444,'N'),(16,3110885,'1',5,'N'),(16,3110893,'1',319,'N'),(16,3110907,'1',103,'N'),(16,3110915,'1',108,'N'),(16,3110923,'1',501,'N'),(16,3110931,'1',103,'N'),(16,3110940,'1',207,'N'),(16,3110940,'1A',238,'N'),(16,3110958,'1',444,'N'),(16,3110966,'1',215,'N'),(16,3110966,'1A',212,'N'),(16,3110974,'1',303,'N'),(16,3110982,'1',233,'N'),(16,3110982,'1A',238,'N'),(16,3111008,'1',326,'N'),(16,3111016,'1',103,'N'),(16,3111024,'1',303,'N'),(16,3111032,'1',238,'N'),(16,3111032,'1A',216,'N'),(16,3111040,'1',104,'N'),(16,3111059,'1',104,'N'),(16,3111067,'1',340,'N'),(16,3111075,'1',5,'N'),(16,3111083,'1',9,'N'),(16,3111091,'1',220,'N'),(16,3111091,'1A',202,'N'),(16,3111105,'1',207,'N'),(16,3111113,'1',216,'N'),(16,3111113,'1A',215,'N'),(16,3111130,'1',9,'N'),(16,3111148,'1',2,'N'),(16,3111156,'1',103,'N'),(16,3111164,'1',104,'N'),(16,3111172,'1',103,'N'),(16,3111180,'1',103,'N'),(16,3111199,'1',340,'N'),(16,3111202,'1',201,'N'),(16,3111202,'1A',207,'N'),(16,3111210,'1',303,'N'),(16,3111229,'1',9,'N'),(16,3111237,'1',103,'N'),(16,3111245,'1',316,'N'),(16,3111253,'1',320,'N'),(16,3111261,'1',203,'N'),(16,3111288,'1',212,'N'),(16,3111288,'1A',233,'N'),(16,3111296,'1',201,'N'),(16,3111296,'1A',207,'N'),(16,3111300,'1',108,'N'),(16,3111318,'1',207,'N'),(16,3111318,'1A',212,'N'),(16,3111326,'1',103,'N'),(16,3111334,'1',302,'N'),(16,3111342,'1',320,'N'),(16,3111350,'1',103,'N'),(16,3111369,'1',340,'N'),(16,3111377,'1',452,'N'),(16,3111385,'1',340,'N'),(16,3111393,'1',103,'N'),(16,3111407,'1',103,'N'),(16,3111415,'1',201,'N'),(16,3111415,'1A',220,'N'),(16,3111423,'1',213,'N'),(16,3111423,'1A',202,'N'),(16,3111440,'1',201,'N'),(16,3111440,'1A',233,'N'),(16,3111458,'1',103,'N'),(16,3111466,'1',208,'N'),(16,3111466,'1A',238,'N'),(16,3111474,'1',103,'N'),(16,3111482,'1',9,'N'),(16,3111490,'1',201,'N'),(16,3111490,'1A',207,'N'),(16,3111504,'1',304,'N'),(16,3111512,'1',318,'N'),(16,3111520,'1',317,'N'),(16,3111539,'1',320,'N'),(16,3111555,'1',213,'N'),(16,3111555,'1A',214,'N'),(16,3111580,'1',502,'N'),(16,3111598,'1',203,'N'),(16,3111598,'1A',201,'N'),(16,3111601,'1',324,'N'),(16,3111610,'1',502,'N'),(16,3111628,'1',450,'N'),(16,3111636,'1',303,'N'),(16,3111644,'1',203,'N'),(16,3111644,'1A',201,'N'),(16,3111652,'1',103,'N'),(16,3111679,'1',103,'N'),(16,3111687,'1',103,'N'),(16,3111695,'1',103,'N'),(16,3111709,'1',220,'N'),(16,3111709,'1A',208,'N'),(16,3111717,'1',238,'N'),(16,3111717,'1A',208,'N'),(16,3111725,'1',214,'N'),(16,3111725,'1A',213,'N'),(16,3111750,'1',319,'N'),(16,3111768,'1',317,'N'),(16,3111776,'1',104,'N'),(16,3111784,'1',103,'N'),(16,3111792,'1',207,'N'),(16,3111792,'1A',202,'N'),(16,3111806,'1',452,'N'),(16,3111814,'1',415,'N'),(16,3111822,'1',303,'N'),(16,3111830,'1',424,'N'),(16,3111830,'1A',427,'N'),(16,3111857,'1',340,'N'),(16,3111873,'1',108,'N'),(16,3111881,'1',452,'N'),(16,3111890,'1',415,'N'),(16,3111903,'1',301,'N'),(16,3111911,'1',202,'N'),(16,3111911,'1A',203,'N'),(16,3111920,'1',103,'N'),(16,3111938,'1',103,'N'),(16,3111946,'1',203,'N'),(16,3111946,'1A',201,'N'),(16,3111962,'1',220,'N'),(16,3111962,'1A',233,'N'),(16,3111970,'1',207,'N'),(16,3111970,'1A',201,'N'),(16,3111989,'1',201,'N'),(16,3111997,'1',203,'N'),(16,3111997,'1A',214,'N'),(16,3112004,'1',301,'N'),(16,3112012,'1',202,'N'),(16,3112012,'1A',213,'N'),(16,3112020,'1',103,'N'),(16,3112039,'1',3,'N'),(16,3112055,'1',420,'N'),(16,3112071,'1',429,'N'),(16,3112071,'1A',428,'N'),(16,3112098,'1',503,'N'),(16,3112101,'1',201,'N'),(16,3112101,'1A',220,'N'),(16,3112128,'1',216,'N'),(16,3112128,'1A',211,'N'),(16,3112136,'1',104,'N'),(16,3112144,'1',201,'N'),(16,3112144,'1A',212,'N'),(16,3112152,'1',103,'N'),(16,3112160,'1',103,'N'),(16,3112179,'1',331,'N'),(16,3112195,'1',415,'N'),(16,3112209,'1',215,'N'),(16,3112209,'1A',211,'N'),(16,3112217,'1',207,'N'),(16,3112225,'1',340,'N'),(16,3112233,'1',211,'N'),(16,3112233,'1A',215,'N'),(16,3112241,'1',103,'N'),(16,3112268,'1',104,'N'),(16,3112276,'1',214,'N'),(16,3112276,'1A',233,'N'),(16,3112284,'1',103,'N'),(16,3112292,'1',5,'N'),(16,3112306,'1',216,'N'),(16,3112306,'1A',238,'N'),(16,3112314,'1',233,'N'),(16,3112322,'1',301,'N'),(16,3112330,'1',303,'N'),(16,3112349,'1',415,'N'),(16,3112357,'1',103,'N'),(16,3112365,'1',103,'N'),(16,3112373,'1',301,'N'),(16,3112381,'1',211,'N'),(16,3112381,'1A',233,'N'),(16,3112390,'1',452,'N'),(16,3112403,'1',304,'N'),(16,3112411,'1',316,'N'),(16,3112420,'1',303,'N'),(16,3112446,'1',103,'N'),(16,3112454,'1',103,'N'),(16,3112462,'1',415,'N'),(16,3112470,'1',233,'N'),(16,3112470,'1A',214,'N'),(16,3112489,'1',203,'N'),(16,3112489,'1A',202,'N'),(16,3112497,'1',103,'N'),(16,3112500,'1',103,'N'),(16,3112519,'1',303,'N'),(16,3112527,'1',309,'N'),(16,3112535,'1',9,'N'),(16,3112543,'1',453,'N'),(16,3112551,'1',103,'N'),(16,3112586,'1',103,'N'),(16,3112594,'1',319,'N'),(16,3112608,'1',233,'N'),(16,3112608,'1A',202,'N'),(16,3112616,'1',220,'N'),(16,3112616,'1A',203,'N'),(16,3112624,'1',104,'N'),(16,3112632,'1',103,'N'),(16,3112640,'1',301,'N'),(16,3112659,'1',301,'N'),(16,3112667,'1',9,'N'),(16,3112683,'1',308,'N'),(16,3112691,'1',213,'N'),(16,3112691,'1A',202,'N'),(16,3112713,'1',207,'N'),(16,3112713,'1A',233,'N'),(16,3112721,'1',5,'N'),(16,3112730,'1',340,'N'),(16,3112748,'1',502,'N'),(16,3112756,'1',415,'N'),(16,3112764,'1',214,'N'),(16,3112764,'1A',203,'N'),(16,3112772,'1',103,'N'),(16,3112802,'1',453,'N'),(16,3112810,'1',224,'N'),(16,3112829,'1',212,'N'),(16,3112829,'1A',201,'N'),(16,3112837,'1',303,'N'),(16,3112853,'1',9,'N'),(16,3112861,'1',104,'N'),(16,3112870,'1',318,'N'),(16,3112888,'1',211,'N'),(16,3112888,'1A',215,'N'),(16,3112896,'1',340,'N'),(16,3112900,'1',103,'N'),(16,3112934,'1',316,'N'),(16,3112942,'1',203,'N'),(16,3112950,'1',303,'N'),(16,3112969,'1',428,'N'),(16,3112969,'1A',425,'N'),(16,3112977,'1',503,'N'),(16,3112985,'1',103,'N'),(16,3113000,'1',201,'N'),(16,3113000,'1A',203,'N'),(16,3113019,'1',340,'N'),(16,3113027,'1',304,'N'),(16,3113043,'1',203,'N'),(16,3113043,'1A',214,'N'),(16,3113051,'1',103,'N'),(16,3113060,'1',5,'N'),(16,3113078,'1',103,'N'),(16,3113086,'1',220,'N'),(16,3113086,'1A',203,'N'),(16,3113094,'1',234,'N'),(16,3113108,'1',103,'N'),(16,3113116,'1',333,'N'),(16,3113124,'1',304,'N'),(16,3113132,'1',108,'N'),(16,3113140,'1',104,'N'),(16,3113159,'1',304,'N'),(16,3113167,'1',303,'N'),(16,3113175,'1',203,'N'),(16,3113175,'1A',233,'N'),(16,3113183,'1',207,'N'),(16,3113183,'1A',211,'N'),(16,3113191,'1',333,'N'),(16,3113205,'1',9,'N'),(16,3113213,'1',302,'N'),(16,3113221,'1',220,'N'),(16,3113221,'1A',213,'N'),(16,3113230,'1',104,'N'),(16,3113256,'1',415,'N'),(16,3113272,'1',303,'N'),(16,3113280,'1',216,'N'),(16,3113280,'1A',233,'N'),(16,3113299,'1',319,'N'),(16,3113302,'1',104,'N'),(16,3113310,'1',101,'N'),(16,3113329,'1',103,'N'),(16,3113337,'1',202,'N'),(16,3113337,'1A',220,'N'),(16,3113345,'1',103,'N'),(16,3113353,'1',103,'N'),(16,3113388,'1',319,'N'),(16,3113396,'1',203,'N'),(16,3113396,'1A',220,'N'),(16,3113426,'1',304,'N'),(16,3113434,'1',420,'N'),(16,3113442,'1',444,'N'),(16,3113450,'1',450,'N'),(16,3113469,'1',420,'N'),(16,3113477,'1',208,'N'),(16,3113477,'1A',220,'N'),(16,3113485,'1',103,'N'),(16,3113493,'1',2,'N'),(16,3113507,'1',502,'N'),(16,3113523,'1',340,'N'),(16,3113566,'1',302,'N'),(16,3113574,'1',103,'N'),(16,3113582,'1',333,'N'),(16,3113590,'1',320,'N'),(16,3113604,'1',207,'N'),(16,3113612,'1',104,'N'),(16,3113620,'1',238,'N'),(16,3113620,'1A',208,'N'),(16,3113647,'1',444,'N'),(16,3113655,'1',238,'N'),(16,3113655,'1A',202,'N'),(16,3113663,'1',203,'N'),(16,3113663,'1A',201,'N'),(16,3113671,'1',303,'N'),(16,3113680,'1',101,'N'),(16,3113698,'1',203,'N'),(16,3113698,'1A',201,'N'),(16,3113701,'1',415,'N'),(16,3113710,'1',211,'N'),(16,3113728,'1',207,'N'),(16,3113736,'1',103,'N'),(16,3113744,'1',303,'N'),(16,3113752,'1',102,'N'),(16,3113760,'1',238,'N'),(16,3113760,'1A',208,'N'),(16,3113779,'1',328,'N'),(16,3113787,'1',317,'N'),(16,3113795,'1',203,'N'),(16,3113795,'1A',214,'N'),(16,3113809,'1',5,'N'),(16,3113825,'1',103,'N'),(16,3113833,'1',233,'N'),(16,3113833,'1A',216,'N'),(16,3113841,'1',404,'N'),(16,3113850,'1',317,'N'),(16,3113876,'1',327,'N'),(16,3113892,'1',234,'N'),(16,3113914,'1',5,'N'),(16,3113922,'1',415,'N'),(16,3113930,'1',503,'N'),(16,3113949,'1',302,'N'),(16,3113957,'1',207,'N'),(16,3113957,'1A',211,'N'),(16,3113965,'1',234,'N'),(16,3113981,'1',234,'N'),(16,3113990,'1',223,'N'),(16,3114007,'1',234,'N'),(16,3114015,'1',9,'N'),(16,3114031,'1',333,'N'),(16,3114040,'1',450,'N'),(16,3114066,'1',211,'N'),(16,3114066,'1A',215,'N'),(16,3114074,'1',211,'N'),(16,3114074,'1A',233,'N'),(16,3114090,'1',304,'N'),(16,3114112,'1',415,'N'),(16,3114120,'1',103,'N'),(16,3114139,'1',303,'N'),(16,3114147,'1',415,'N'),(16,3114171,'1',238,'N'),(16,3114171,'1A',208,'N'),(16,3114180,'1',502,'N'),(16,3114201,'1',317,'N'),(16,3114210,'1',103,'N'),(16,3114228,'1',415,'N'),(16,3114236,'1',222,'N'),(16,3114260,'1',326,'N'),(16,3114279,'1',103,'N'),(16,3114287,'1',415,'N'),(16,3114309,'1',501,'N'),(16,3114317,'1',301,'N'),(16,3114325,'1',452,'N'),(16,3114333,'1',211,'N'),(16,3114333,'1A',201,'N'),(16,3114341,'1',201,'N'),(16,3114341,'1A',215,'N'),(16,3114350,'1',303,'N'),(16,3114368,'1',103,'N'),(16,3114376,'1',327,'N'),(16,3114384,'1',104,'N'),(16,3114406,'1',202,'N'),(16,3114406,'1A',201,'N'),(16,3114414,'1',420,'N'),(16,3114449,'1',238,'N'),(16,3114457,'1',5,'N'),(16,3114465,'1',303,'N'),(16,3114473,'1',203,'N'),(16,3114473,'1A',214,'N'),(16,3114481,'1',404,'N'),(16,3114490,'1',238,'N'),(16,3114490,'1A',203,'N'),(16,3114503,'1',201,'N'),(16,3114520,'1',5,'N'),(16,3114538,'1',104,'N'),(16,3114546,'1',202,'N'),(16,3114546,'1A',201,'N'),(16,3114554,'1',103,'N'),(16,3114562,'1',308,'N'),(16,3114570,'1',303,'N'),(16,3114589,'1',339,'N'),(16,3114597,'1',216,'N'),(16,3114597,'1A',215,'N'),(16,3114600,'1',238,'N'),(16,3114600,'1A',208,'N'),(16,3114619,'1',453,'N'),(16,3114627,'1',103,'N'),(16,3114635,'1',501,'N'),(16,3114651,'1',302,'N'),(16,3114660,'1',103,'N'),(16,3114686,'1',339,'N'),(16,3114694,'1',103,'N'),(16,3114708,'1',103,'N'),(16,3114716,'1',103,'N'),(16,3114724,'1',216,'N'),(16,3114724,'1A',211,'N'),(16,3114732,'1',103,'N'),(16,3114775,'1',303,'N'),(16,3114783,'1',207,'N'),(16,3114783,'1A',201,'N'),(16,3114791,'1',326,'N'),(16,3114805,'1',415,'N'),(16,3114813,'1',208,'N'),(16,3114813,'1A',238,'N'),(16,3114821,'1',318,'N'),(16,3114830,'1',108,'N'),(16,3114856,'1',340,'N'),(16,3114864,'1',316,'N'),(16,3114872,'1',214,'N'),(16,3114872,'1A',220,'N'),(16,3114880,'1',404,'N'),(16,3114899,'1',503,'N'),(16,3114910,'1',329,'N'),(16,3114929,'1',309,'N'),(16,3114937,'1',104,'N'),(16,3114945,'1',104,'N'),(16,3114953,'1',225,'N'),(16,3114970,'1',503,'N'),(16,3114988,'1',5,'N'),(16,3114996,'1',201,'N'),(16,3115003,'1',302,'N'),(16,3115011,'1',104,'N'),(16,3115020,'1',208,'N'),(16,3115020,'1A',238,'N'),(16,3115038,'1',5,'N'),(16,3115046,'1',302,'N'),(16,3115054,'1',310,'N'),(16,3115062,'1',103,'N'),(16,3115070,'1',201,'N'),(16,3115070,'1A',238,'N'),(16,3115089,'1',301,'N'),(16,3115097,'1',318,'N'),(16,3115100,'1',202,'N'),(16,3115127,'1',453,'N'),(16,3115127,'1A',425,'S'),(16,3115143,'1',216,'N'),(16,3115143,'1A',215,'N'),(16,3115151,'1',103,'N'),(16,3115178,'1',201,'N'),(16,3115178,'1A',203,'N'),(16,3115186,'1',103,'N'),(16,3115194,'1',453,'N'),(16,3115208,'1',103,'N'),(16,3115216,'1',103,'N'),(16,3115224,'1',201,'N'),(16,3115224,'1A',216,'N'),(16,3115232,'1',303,'N'),(16,3115240,'1',212,'N'),(16,3115240,'1A',213,'N'),(16,3115259,'1',415,'N'),(16,3115267,'1',214,'N'),(16,3115267,'1A',233,'N'),(16,3115275,'1',303,'N'),(16,3115283,'1',101,'N'),(16,3115291,'1',215,'N'),(16,3115291,'1A',233,'N'),(16,3115305,'1',207,'N'),(16,3115313,'1',203,'N'),(16,3115313,'1A',201,'N'),(16,3115321,'1',303,'N'),(16,3115330,'1',103,'N'),(16,3115348,'1',203,'N'),(16,3115348,'1A',202,'N'),(16,3115364,'1',103,'N'),(16,3115372,'1',203,'N'),(16,3115372,'1A',214,'N'),(16,3115380,'1',319,'N'),(16,3115399,'1',302,'N'),(16,3115402,'1',233,'N'),(16,3115402,'1A',215,'N'),(16,3115410,'1',103,'N'),(16,3115429,'1',201,'N'),(16,3115429,'1A',212,'N'),(16,3115437,'1',450,'N'),(16,3115453,'1',203,'N'),(16,3115453,'1A',202,'N'),(16,3115461,'1',340,'N'),(16,3115470,'1',303,'N'),(16,3115488,'1',319,'N'),(16,3115496,'1',203,'N'),(16,3115496,'1A',201,'N'),(16,3115500,'1',103,'N'),(16,3115526,'1',103,'N'),(16,3115534,'1',207,'N'),(16,3115534,'1A',201,'N'),(16,3115550,'1',316,'N'),(16,3115569,'1',333,'N'),(16,3115577,'1',103,'N'),(16,3115585,'1',207,'N'),(16,3115585,'1A',201,'N'),(16,3115623,'1',103,'N'),(16,3115631,'1',316,'N'),(16,3115640,'1',207,'N'),(16,3115658,'1',303,'N'),(16,3115666,'1',303,'N'),(16,3115674,'1',301,'N'),(16,3115682,'1',415,'N'),(16,3115704,'1',425,'N'),(16,3115704,'1A',421,'N'),(16,3115712,'1',104,'N'),(16,3115720,'1',444,'N'),(16,3115739,'1',318,'N'),(16,3115747,'1',420,'N'),(16,3115755,'1',223,'N'),(16,3115763,'1',108,'N'),(16,3115771,'1',215,'N'),(16,3115771,'1A',216,'N'),(16,3115798,'1',211,'N'),(16,3115798,'1A',233,'N'),(16,3115801,'1',202,'N'),(16,3115801,'1A',233,'N'),(16,3115828,'1',103,'N'),(16,3115836,'1',211,'N'),(16,3115836,'1A',201,'N'),(16,3115844,'1',104,'N'),(16,3115852,'1',201,'N'),(16,3115852,'1A',212,'N'),(16,3115860,'1',202,'N'),(16,3115860,'1A',203,'N'),(16,3115879,'1',103,'N'),(16,3115887,'1',303,'N'),(16,3115895,'1',104,'N'),(16,3115909,'1',103,'N'),(16,3115917,'1',234,'N'),(16,3115925,'1',207,'N'),(16,3115925,'1A',215,'N'),(16,3115933,'1',201,'N'),(16,3115933,'1A',202,'N'),(16,3115941,'1',103,'N'),(16,3115968,'1',5,'N'),(16,3115976,'1',104,'N'),(16,3115984,'1',201,'N'),(16,3115984,'1A',211,'N'),(16,3115992,'1',303,'N'),(16,3116000,'1',3,'N'),(16,3116018,'1',318,'N'),(16,3116026,'1',332,'N'),(16,3116034,'1',207,'N'),(16,3116034,'1A',215,'N'),(16,3116042,'1',207,'N'),(16,3116050,'1',303,'N'),(16,3116069,'1',303,'N'),(16,3116077,'1',104,'N'),(16,3116085,'1',310,'N'),(16,3116093,'1',203,'N'),(16,3116093,'1A',214,'N'),(16,3116107,'1',9,'N'),(16,3116115,'1',319,'N'),(16,3116123,'1',104,'N'),(16,3116131,'1',208,'N'),(16,3116140,'1',340,'N'),(16,3116158,'1',340,'N'),(16,3116166,'1',103,'N'),(16,3116174,'1',319,'N'),(16,3116182,'1',202,'N'),(16,3116182,'1A',203,'N'),(16,3116190,'1',303,'N'),(16,3116204,'1',207,'N'),(16,3116212,'1',309,'N'),(16,3116220,'1',103,'N'),(16,3116239,'1',301,'N'),(16,3116247,'1',2,'N'),(16,3116255,'1',207,'N'),(16,3116255,'1A',201,'N'),(16,3116263,'1',103,'N'),(16,3116280,'1',202,'N'),(16,3116280,'1A',203,'N'),(16,3116301,'1',214,'N'),(16,3116301,'1A',220,'N'),(16,3116310,'1',326,'N'),(16,3116328,'1',316,'N'),(16,3116344,'1',108,'N'),(16,3116352,'1',214,'N'),(16,3116352,'1A',212,'N'),(16,3116387,'1',103,'N'),(16,3116395,'1',308,'N'),(16,3116409,'1',233,'N'),(16,3116409,'1A',216,'N'),(16,3116425,'1',103,'N'),(16,3116433,'1',207,'N'),(16,3116433,'1A',212,'N'),(16,3116450,'1',308,'N'),(16,3116476,'1',103,'N'),(16,3116484,'1',220,'N'),(16,3116484,'1A',202,'N'),(16,3116492,'1',212,'N'),(16,3116492,'1A',213,'N'),(16,3116506,'1',207,'N'),(16,3116506,'1A',201,'N'),(16,3116514,'1',429,'N'),(16,3116514,'1A',426,'N'),(16,3116522,'1',317,'N'),(16,3116530,'1',103,'N'),(16,3116549,'1',501,'N'),(16,3116557,'1',319,'N'),(16,3116565,'1',426,'N'),(16,3116565,'1A',428,'N'),(16,3116573,'1',450,'N'),(16,3116581,'1',103,'N'),(16,3116590,'1',103,'N'),(16,3116603,'1',340,'N'),(16,3116611,'1',203,'N'),(16,3116611,'1A',216,'N'),(16,3116620,'1',220,'N'),(16,3116620,'1A',203,'N'),(16,3116638,'1',303,'N'),(16,3116646,'1',208,'N'),(16,3116646,'1A',238,'N'),(16,3116654,'1',303,'N'),(16,3116662,'1',103,'N'),(16,3116670,'1',201,'N'),(16,3116670,'1A',212,'N'),(16,3116689,'1',310,'N'),(16,3116697,'1',212,'N'),(16,3116697,'1A',207,'N'),(16,3116719,'1',318,'N'),(16,3116727,'1',452,'N'),(16,3116735,'1',502,'N'),(16,3116743,'1',452,'N'),(16,3116751,'1',319,'N'),(16,3116760,'1',304,'N'),(16,3116778,'1',420,'N'),(16,3116786,'1',207,'N'),(16,3116794,'1',216,'N'),(16,3116794,'1A',208,'N'),(16,3116808,'1',5,'N'),(16,3116816,'1',303,'N'),(16,3116824,'1',303,'N'),(16,3116832,'1',5,'N'),(16,3116840,'1',207,'N'),(16,3116840,'1A',212,'N'),(16,3116859,'1',201,'N'),(16,3116859,'1A',233,'N'),(16,3116875,'1',102,'N'),(16,3116883,'1',203,'N'),(16,3116883,'1A',220,'N'),(16,3116891,'1',9,'N'),(16,3116905,'1',303,'N'),(16,3116913,'1',326,'N'),(16,3116921,'1',208,'N'),(16,3116921,'1A',238,'N'),(16,3116948,'1',420,'N'),(16,3116956,'1',101,'N'),(16,3116964,'1',303,'N'),(16,3116972,'1',104,'N'),(16,3117006,'1',452,'N'),(16,3117030,'1',326,'N'),(16,3117049,'1',428,'N'),(16,3117057,'1',316,'N'),(16,3117073,'1',303,'N'),(16,3117081,'1',426,'N'),(16,3117081,'1A',428,'N'),(16,3117090,'1',203,'N'),(16,3117090,'1A',233,'N'),(16,3117103,'1',450,'N'),(16,3117111,'1',211,'N'),(16,3117111,'1A',201,'N'),(16,3117138,'1',103,'N'),(16,3117146,'1',340,'N'),(16,3117162,'1',5,'N'),(16,3117170,'1',102,'N'),(16,3117189,'1',103,'N'),(16,3117197,'1',104,'N'),(16,3117200,'1',317,'N'),(16,3117219,'1',214,'N'),(16,3117227,'1',102,'N'),(16,3117235,'1',453,'N'),(16,3117243,'1',319,'N'),(16,3117251,'1',103,'N'),(16,3117278,'1',5,'N'),(16,3117286,'1',104,'N'),(16,3117294,'1',415,'N'),(16,3117308,'1',215,'N'),(16,3117308,'1A',233,'N'),(16,3117316,'1',212,'N'),(16,3117316,'1A',201,'N'),(16,3117324,'1',103,'N'),(16,3117332,'1',201,'N'),(16,3117332,'1A',212,'N'),(16,3117340,'1',415,'N'),(16,3117359,'1',317,'N'),(16,3117367,'1',213,'N'),(16,3117367,'1A',202,'N'),(16,3117375,'1',103,'N'),(16,3117383,'1',203,'N'),(16,3117383,'1A',220,'N'),(16,3117391,'1',102,'N'),(16,3117405,'1',203,'N'),(16,3117405,'1A',202,'N'),(16,3117413,'1',326,'N'),(16,3117430,'1',203,'N'),(16,3117430,'1A',238,'N'),(16,3117456,'1',450,'N'),(16,3117472,'1',207,'N'),(16,3117472,'1A',215,'N'),(16,3117480,'1',207,'N'),(16,3117480,'1A',201,'N'),(16,3117499,'1',203,'N'),(16,3117499,'1A',214,'N'),(16,3117502,'1',201,'N'),(16,3117502,'1A',212,'N'),(16,3117510,'1',212,'N'),(16,3117510,'1A',233,'N'),(16,3117537,'1',201,'N'),(16,3117537,'1A',238,'N'),(16,3117545,'1',501,'N'),(16,3117553,'1',428,'N'),(16,3117553,'1A',429,'N'),(16,3117561,'1',103,'N'),(16,3117570,'1',303,'N'),(16,3117588,'1',208,'N'),(16,3117600,'1',103,'N'),(16,3117618,'1',103,'N'),(16,3117626,'1',202,'N'),(16,3117626,'1A',220,'N'),(16,3117634,'1',216,'N'),(16,3117642,'1',103,'N'),(16,3117650,'1',444,'N'),(16,3117669,'1',233,'N'),(16,3117669,'1A',215,'N'),(16,3117677,'1',301,'N'),(16,3117685,'1',301,'N'),(16,3117693,'1',104,'N'),(16,3117715,'1',203,'N'),(16,3117715,'1A',208,'N'),(16,3117723,'1',238,'N'),(16,3117723,'1A',208,'N'),(16,3117731,'1',208,'N'),(16,3117731,'1A',220,'N'),(16,3117740,'1',104,'N'),(16,3117758,'1',319,'N'),(16,3117766,'1',208,'N'),(16,3117766,'1A',201,'N'),(16,3117782,'1',3,'N'),(16,3117790,'1',451,'N'),(16,3117804,'1',104,'N'),(16,3117812,'1',203,'N'),(16,3117812,'1A',214,'N'),(16,3117820,'1',207,'N'),(16,3117820,'1A',233,'N'),(16,3117839,'1',216,'N'),(16,3117839,'1A',202,'N'),(16,3117847,'1',103,'N'),(16,3117855,'1',202,'N'),(16,3117855,'1A',238,'N'),(16,3117863,'1',304,'N'),(16,3117871,'1',450,'N'),(16,3117880,'1',451,'N'),(16,3117910,'1',429,'N'),(16,3117910,'1A',421,'N'),(16,3117936,'1',222,'N'),(16,3117944,'1',108,'N'),(16,3117952,'1',452,'N'),(16,3117960,'1',211,'N'),(16,3117960,'1A',201,'N'),(16,3117979,'1',215,'N'),(16,3117979,'1A',216,'N'),(16,3117987,'1',303,'N'),(16,3118002,'1',103,'N'),(16,3118010,'1',102,'N'),(16,3118029,'1',211,'N'),(16,3118045,'1',216,'N'),(16,3118045,'1A',215,'N'),(16,3118053,'1',303,'N'),(16,3118088,'1',415,'N'),(16,3118118,'1',214,'N'),(16,3118118,'1A',203,'N'),(16,3118126,'1',216,'N'),(16,3118126,'1A',215,'N'),(16,3118134,'1',303,'N'),(16,3118177,'1',103,'N'),(16,3118185,'1',103,'N'),(16,3118193,'1',208,'N'),(16,3118193,'1A',220,'N'),(16,3118207,'1',103,'N'),(16,3118215,'1',429,'N'),(16,3118223,'1',202,'N'),(16,3118223,'1A',213,'N'),(16,3118231,'1',303,'N'),(16,3118240,'1',103,'N'),(16,3118258,'1',103,'N'),(16,3118266,'1',425,'N'),(16,3118266,'1A',429,'N'),(16,3118282,'1',303,'N'),(16,3118290,'1',103,'N'),(16,3118304,'1',214,'N'),(16,3118304,'1A',213,'N'),(16,3118312,'1',202,'N'),(16,3118320,'1',211,'N'),(16,3118320,'1A',215,'N'),(16,3118339,'1',202,'N'),(16,3118339,'1A',233,'N'),(16,3118347,'1',340,'N'),(16,3118355,'1',303,'N'),(16,3118363,'1',415,'N'),(16,3118380,'1',103,'N'),(16,3118398,'1',333,'N'),(16,3118401,'1',223,'N'),(16,3118410,'1',415,'N'),(16,3118428,'1',5,'N'),(16,3118436,'1',207,'N'),(16,3118436,'1A',212,'N'),(16,3118444,'1',444,'N'),(16,3118452,'1',104,'N'),(16,3118460,'1',103,'N'),(16,3118479,'1',103,'N'),(16,3118487,'1',425,'N'),(16,3118487,'1A',429,'N'),(16,3118541,'1',415,'N'),(16,3118550,'1',328,'N'),(16,3118568,'1',220,'N'),(16,3118568,'1A',213,'N'),(16,3118576,'1',201,'N'),(16,3118576,'1A',208,'N'),(16,3118584,'1',316,'N'),(16,3118592,'1',9,'N'),(16,3118622,'1',328,'N'),(16,3118630,'1',103,'N'),(16,3118649,'1',5,'N'),(16,3118657,'1',309,'N'),(16,3118665,'1',203,'N'),(16,3118673,'1',340,'N'),(16,3118681,'1',201,'N'),(16,3118681,'1A',213,'N'),(16,3118690,'1',103,'N'),(16,3118703,'1',216,'N'),(16,3118711,'1',238,'N'),(16,3118711,'1A',208,'N'),(16,3118720,'1',303,'N'),(16,3118746,'1',108,'N'),(16,3118754,'1',420,'N'),(16,3118762,'1',9,'N'),(16,3118789,'1',303,'N'),(16,3118797,'1',319,'N'),(16,3118800,'1',340,'N'),(16,3118819,'1',207,'N'),(16,3118819,'1A',202,'N'),(16,3118827,'1',216,'N'),(16,3118835,'1',301,'N'),(16,3118843,'1',103,'N'),(16,3118851,'1',103,'N'),(16,3118860,'1',215,'N'),(16,3118878,'1',103,'N'),(16,3118886,'1',316,'N'),(16,3118894,'1',220,'N'),(16,3118894,'1A',203,'N'),(16,3118908,'1',103,'N'),(16,3118916,'1',303,'N'),(16,3118924,'1',103,'N'),(16,3118940,'1',303,'N'),(16,3118959,'1',404,'N'),(16,3118967,'1',415,'N'),(16,3118983,'1',2,'N'),(16,3118991,'1',238,'N'),(16,3118991,'1A',213,'N'),(16,3119009,'1',453,'N'),(16,3119017,'1',415,'N'),(16,3119025,'1',208,'N'),(16,3119025,'1A',238,'N'),(16,3119033,'1',215,'N'),(16,3119033,'1A',201,'N'),(16,3119041,'1',102,'N'),(16,3119050,'1',319,'N'),(16,3119068,'1',216,'N'),(16,3119068,'1A',207,'N'),(16,3119076,'1',302,'N'),(16,3119084,'1',103,'N'),(16,3119092,'1',303,'N'),(16,3119106,'1',450,'N'),(16,3119114,'1',502,'N'),(16,3119122,'1',318,'N'),(16,3119130,'1',103,'N'),(16,3119149,'1',208,'N'),(16,3119181,'1',108,'N'),(16,3119190,'1',404,'N'),(16,3119203,'1',216,'N'),(16,3119203,'1A',212,'N'),(16,3119211,'1',201,'N'),(16,3119211,'1A',213,'N'),(16,3119238,'1',301,'N'),(16,3119246,'1',238,'N'),(16,3119246,'1A',208,'N'),(16,3119254,'1',203,'N'),(16,3119254,'1A',202,'N'),(16,3119262,'1',304,'N'),(16,3119270,'1',303,'N'),(16,3119289,'1',103,'N'),(16,3119297,'1',452,'N'),(16,3119300,'1',340,'N'),(16,3119319,'1',238,'N'),(16,3119319,'1A',208,'N'),(16,3119327,'1',319,'N'),(16,3119351,'1',216,'N'),(16,3119351,'1A',233,'N'),(16,3119360,'1',108,'N'),(16,3119378,'1',2,'N'),(16,3119386,'1',207,'N'),(16,3119386,'1A',201,'N'),(16,3119394,'1',103,'N'),(16,3119408,'1',103,'N'),(16,3119416,'1',108,'N'),(16,3119432,'1',302,'N'),(16,3119440,'1',103,'N'),(16,3119459,'1',101,'N'),(16,3119467,'1',202,'N'),(16,3119467,'1A',213,'N'),(16,3119475,'1',234,'N'),(16,3119483,'1',415,'N'),(16,3119491,'1',103,'N'),(16,3119505,'1',304,'N'),(16,3119521,'1',317,'N'),(16,3119530,'1',303,'N'),(16,3119548,'1',203,'N'),(16,3119556,'1',216,'N'),(16,3119556,'1A',215,'N'),(16,3119564,'1',103,'N'),(16,3119572,'1',201,'N'),(16,3119572,'1A',238,'N'),(16,3119599,'1',103,'N'),(16,3119602,'1',211,'N'),(16,3119602,'1A',207,'N'),(16,3119610,'1',319,'N'),(16,3119629,'1',234,'N'),(16,3119637,'1',301,'N'),(16,3119645,'1',332,'N'),(16,3119688,'1',220,'N'),(16,3119696,'1',501,'N'),(16,3119700,'1',308,'N'),(16,3119718,'1',201,'N'),(16,3119726,'1',404,'N'),(16,3119734,'1',5,'N'),(16,3119742,'1',201,'N'),(16,3119742,'1A',203,'N'),(16,3119750,'1',303,'N'),(16,3119769,'1',234,'N'),(16,3119777,'1',452,'N'),(16,3119793,'1',415,'N'),(16,3119807,'1',452,'N'),(16,3119815,'1',108,'N'),(16,3119823,'1',9,'N'),(16,3119831,'1',301,'N'),(16,3119858,'1',103,'N'),(16,3119866,'1',103,'N'),(16,3119874,'1',102,'N'),(16,3119882,'1',211,'N'),(16,3119882,'1A',215,'N'),(16,3119890,'1',452,'N'),(16,3119904,'1',208,'N'),(16,3119904,'1A',238,'N'),(16,3119912,'1',303,'N'),(16,3119920,'1',202,'N'),(16,3119939,'1',207,'N'),(16,3119939,'1A',233,'N'),(16,3119947,'1',102,'N'),(16,3119955,'1',211,'N'),(16,3119955,'1A',216,'N'),(16,3119963,'1',103,'N'),(16,3119971,'1',333,'N'),(16,3119980,'1',103,'N'),(16,3119998,'1',5,'N'),(16,3120007,'1',103,'N'),(16,3120015,'1',301,'N'),(16,3120023,'1',233,'N'),(16,3120023,'1A',214,'N'),(16,3120031,'1',104,'N'),(16,3120074,'1',216,'N'),(16,3120074,'1A',233,'N'),(16,3120082,'1',238,'N'),(16,3120082,'1A',203,'N'),(16,3120090,'1',420,'N'),(16,3120104,'1',420,'N'),(16,3120112,'1',103,'N'),(16,3120120,'1',216,'N'),(16,3120120,'1A',201,'N'),(16,3120139,'1',201,'N'),(16,3120147,'1',207,'N'),(16,3120147,'1A',201,'N'),(16,3120163,'1',327,'N'),(16,3120171,'1',316,'N'),(16,3120180,'1',238,'N'),(16,3120198,'1',339,'N'),(16,3120201,'1',5,'N'),(16,3120210,'1',452,'N'),(16,3120228,'1',212,'N'),(16,3120228,'1A',207,'N'),(16,3120236,'1',103,'N'),(16,3120260,'1',207,'N'),(16,3120260,'1A',201,'N'),(16,3120279,'1',201,'N'),(16,3120279,'1A',207,'N'),(16,3120287,'1',303,'N'),(16,3120295,'1',202,'N'),(16,3120295,'1A',213,'N'),(16,3120309,'1',207,'N'),(16,3120309,'1A',208,'N'),(16,3120317,'1',211,'N'),(16,3120317,'1A',215,'N'),(16,3120325,'1',425,'N'),(16,3120333,'1',502,'N'),(16,3120341,'1',203,'N'),(16,3120341,'1A',214,'N'),(16,3120350,'1',303,'N'),(16,3120368,'1',108,'N'),(16,3120376,'1',5,'N'),(16,3120384,'1',224,'N'),(16,3120392,'1',9,'N'),(16,3120406,'1',207,'N'),(16,3120406,'1A',201,'N'),(16,3120414,'1',238,'N'),(16,3120414,'1A',201,'N'),(16,3120430,'1',103,'N'),(16,3120449,'1',203,'N'),(16,3120449,'1A',213,'N'),(16,3120457,'1',2,'N'),(16,3120465,'1',415,'N'),(16,3120473,'1',303,'N'),(16,3120481,'1',211,'N'),(16,3120481,'1A',216,'N'),(16,3120490,'1',450,'N'),(16,3120503,'1',452,'N'),(16,3120511,'1',502,'N'),(16,3120538,'1',207,'N'),(16,3120538,'1A',201,'N'),(16,3120546,'1',212,'N'),(16,3120546,'1A',214,'N'),(16,3120554,'1',301,'N'),(16,3120562,'1',108,'N'),(16,3120570,'1',501,'N'),(16,3120589,'1',103,'N'),(16,3120597,'1',103,'N'),(16,3120600,'1',214,'N'),(16,3120600,'1A',233,'N'),(16,3120619,'1',104,'N'),(16,3120627,'1',420,'N'),(16,3120635,'1',238,'N'),(16,3120635,'1A',208,'N'),(16,3120643,'1',104,'N'),(16,3120651,'1',238,'N'),(16,3120651,'1A',215,'N'),(16,3120660,'1',211,'N'),(16,3120686,'1',220,'N'),(16,3120686,'1A',202,'N'),(16,3120694,'1',303,'N'),(16,3120708,'1',444,'N'),(16,3120716,'1',103,'N'),(16,3120724,'1',450,'N'),(16,3120732,'1',207,'N'),(16,3120732,'1A',211,'N'),(16,3120759,'1',238,'N'),(16,3120759,'1A',215,'N'),(16,3120767,'1',207,'N'),(16,3120767,'1A',201,'N'),(16,3120775,'1',233,'N'),(16,3120775,'1A',216,'N'),(16,3120783,'1',303,'N'),(16,3120805,'1',415,'N'),(16,3120821,'1',327,'N'),(16,3120830,'1',103,'N'),(16,3120864,'1',303,'N'),(16,3120872,'1',301,'N'),(16,3120880,'1',233,'N'),(16,3120880,'1A',216,'N'),(16,3120899,'1',316,'N'),(16,3120902,'1',319,'N'),(16,3120910,'1',103,'N'),(16,3120929,'1',103,'N'),(16,3120945,'1',316,'N'),(16,3120961,'1',220,'N'),(16,3120961,'1A',201,'N'),(16,3120970,'1',340,'N'),(16,3120996,'1',104,'N'),(16,3121003,'1',5,'N'),(16,3121011,'1',318,'N'),(16,3121020,'1',216,'N'),(16,3121020,'1A',212,'N'),(16,3121038,'1',103,'N'),(16,3121046,'1',220,'N'),(16,3121046,'1A',202,'N'),(16,3121054,'1',103,'N'),(16,3121062,'1',453,'N'),(16,3121070,'1',103,'N'),(16,3121097,'1',233,'N'),(16,3121097,'1A',201,'N'),(16,3121100,'1',331,'N'),(16,3121119,'1',318,'N'),(16,3121135,'1',104,'N'),(16,3121143,'1',220,'N'),(16,3121143,'1A',208,'N'),(16,3121151,'1',203,'N'),(16,3121151,'1A',220,'N'),(16,3121178,'1',216,'N'),(16,3121178,'1A',215,'N'),(16,3121186,'1',301,'N'),(16,3121194,'1',320,'N'),(16,3121208,'1',207,'N'),(16,3121208,'1A',215,'N'),(16,3121216,'1',101,'N'),(16,3121224,'1',317,'N'),(16,3121232,'1',207,'N'),(16,3121232,'1A',201,'N'),(16,3121240,'1',5,'N'),(16,3121259,'1',303,'N'),(16,3121267,'1',108,'N'),(16,3121275,'1',340,'N'),(16,3121283,'1',102,'N'),(16,3121291,'1',415,'N'),(16,3121305,'1',5,'N'),(16,3121313,'1',104,'N'),(16,3121321,'1',201,'N'),(16,3121321,'1A',202,'N'),(16,3121348,'1',220,'N'),(16,3121348,'1A',203,'N'),(16,3121356,'1',425,'N'),(16,3121356,'1A',429,'N'),(16,3121364,'1',304,'N'),(16,3121372,'1',201,'N'),(16,3121372,'1A',212,'N'),(16,3121399,'1',340,'N'),(16,3121402,'1',103,'N'),(16,3121429,'1',201,'N'),(16,3121429,'1A',215,'N'),(16,3121437,'1',208,'N'),(16,3121437,'1A',207,'N'),(16,3121445,'1',203,'N'),(16,3121445,'1A',207,'N'),(16,3121461,'1',207,'N'),(16,3121500,'1',103,'N'),(16,3121518,'1',316,'N'),(16,3121526,'1',103,'N'),(16,3121534,'1',303,'N'),(16,3121542,'1',340,'N'),(16,3121550,'1',420,'N'),(16,3121569,'1',211,'N'),(16,3121569,'1A',216,'N'),(16,3121577,'1',5,'N'),(16,3121585,'1',501,'N'),(16,3121593,'1',103,'N'),(16,3121607,'1',211,'N'),(16,3121607,'1A',201,'N'),(16,3121615,'1',304,'N'),(16,3121623,'1',501,'N'),(16,3121631,'1',201,'N'),(16,3121631,'1A',202,'N'),(16,3121640,'1',329,'N'),(16,3121658,'1',201,'N'),(16,3121658,'1A',233,'N'),(16,3121674,'1',502,'N'),(16,3121682,'1',216,'N'),(16,3121690,'1',103,'N'),(16,3121704,'1',103,'N'),(16,3121712,'1',309,'N'),(16,3121720,'1',5,'N'),(16,3121747,'1',201,'N'),(16,3121747,'1A',214,'N'),(16,3121755,'1',103,'N'),(16,3121763,'1',207,'N'),(16,3121763,'1A',238,'N'),(16,3121771,'1',103,'N'),(16,3121780,'1',108,'N'),(16,3121798,'1',304,'N'),(16,3121801,'1',212,'N'),(16,3121801,'1A',201,'N'),(16,3121810,'1',103,'N'),(16,3121828,'1',214,'N'),(16,3121828,'1A',220,'N'),(16,3121836,'1',201,'N'),(16,3121836,'1A',212,'N'),(16,3121844,'1',327,'N'),(16,3121852,'1',9,'N'),(16,3121860,'1',208,'N'),(16,3121860,'1A',238,'N'),(16,3121879,'1',5,'N'),(16,3121887,'1',216,'N'),(16,3121887,'1A',201,'N'),(16,3121909,'1',101,'N'),(16,3121917,'1',319,'N'),(16,3121925,'1',103,'N'),(16,3121933,'1',238,'N'),(16,3121933,'1A',208,'N'),(16,3121941,'1',319,'N'),(16,3121950,'1',216,'N'),(16,3121950,'1A',215,'N'),(16,3121968,'1',444,'N'),(16,3121976,'1',5,'N'),(16,3121984,'1',103,'N'),(16,3121992,'1',203,'N'),(16,3121992,'1A',220,'N'),(16,3122000,'1',303,'N'),(16,3122018,'1',101,'N'),(16,3122034,'1',208,'N'),(16,3122034,'1A',202,'N'),(16,3122042,'1',216,'N'),(16,3122042,'1A',201,'N'),(16,3122050,'1',208,'N'),(16,3122050,'1A',238,'N'),(16,3122069,'1',303,'N'),(16,3122085,'1',451,'N'),(16,3122093,'1',3,'N'),(16,3122107,'1',452,'N'),(16,3122115,'1',233,'N'),(16,3122123,'1',310,'N'),(16,3122140,'1',501,'N'),(16,3122174,'1',108,'N'),(16,3122204,'1',202,'N'),(16,3122204,'1A',213,'N'),(16,3122212,'1',501,'N'),(16,3122220,'1',301,'N'),(16,3122239,'1',326,'N'),(16,3122247,'1',101,'N'),(16,3122255,'1',203,'N'),(16,3122255,'1A',202,'N'),(16,3122263,'1',234,'N'),(16,3122271,'1',208,'N'),(16,3122271,'1A',220,'N'),(16,3122280,'1',216,'N'),(16,3122280,'1A',211,'N'),(16,3122301,'1',452,'N'),(16,3122310,'1',9,'N'),(16,3122344,'1',203,'N'),(16,3122379,'1',234,'N'),(16,3122387,'1',319,'N'),(16,3122395,'1',101,'N'),(16,3122409,'1',302,'N'),(16,3122417,'1',103,'N'),(16,3122425,'1',103,'N'),(16,3122433,'1',9,'N'),(16,3122441,'1',220,'N'),(16,3122441,'1A',203,'N'),(16,3122476,'1',238,'N'),(16,3122476,'1A',208,'N'),(16,3122484,'1',303,'N'),(16,3122492,'1',102,'N'),(16,3122506,'1',203,'N'),(16,3122506,'1A',211,'N'),(16,3122514,'1',310,'N'),(16,3122522,'1',301,'N'),(16,3122530,'1',212,'N'),(16,3122530,'1A',238,'N'),(16,3122549,'1',202,'N'),(16,3122549,'1A',213,'N'),(16,3122557,'1',208,'N'),(16,3122557,'1A',203,'N'),(16,3122565,'1',316,'N'),(16,3122573,'1',201,'N'),(16,3122573,'1A',212,'N'),(16,3122581,'1',318,'N'),(16,3122590,'1',211,'N'),(16,3122590,'1A',213,'N'),(16,3122662,'1',5,'N'),(16,3122670,'1',318,'N'),(16,3122689,'1',201,'N'),(16,3122689,'1A',207,'N'),(16,3122700,'1',5,'N'),(16,3122719,'1',303,'N'),(16,3122743,'1',428,'N'),(16,3122743,'1A',424,'N'),(16,3122751,'1',317,'N'),(16,3122760,'1',340,'N'),(16,3122778,'1',452,'N'),(16,3122786,'1',501,'N'),(16,3122808,'1',103,'N'),(16,3122816,'1',102,'N'),(16,3122824,'1',207,'N'),(16,3122832,'1',309,'N'),(16,3122840,'1',444,'N'),(16,3122859,'1',301,'N'),(16,3122867,'1',108,'N'),(16,3122875,'1',5,'N'),(16,3122883,'1',424,'N'),(16,3122883,'1A',421,'N'),(16,3122905,'1',316,'N'),(16,3122913,'1',203,'N'),(16,3122913,'1A',214,'N'),(16,3122921,'1',423,'N'),(16,3122921,'1A',424,'N'),(16,3122930,'1',203,'N'),(16,3122930,'1A',233,'N'),(16,3122956,'1',101,'N'),(16,3122972,'1',207,'N'),(16,3122972,'1A',201,'N'),(16,3122980,'1',108,'N'),(16,3122999,'1',233,'N'),(16,3122999,'1A',201,'N'),(16,3123006,'1',208,'N'),(16,3123014,'1',304,'N'),(16,3123022,'1',103,'N'),(16,3123030,'1',319,'N'),(16,3123049,'1',201,'N'),(16,3123049,'1A',207,'N'),(16,3123057,'1',215,'N'),(16,3123057,'1A',211,'N'),(16,3123065,'1',104,'N'),(16,3123073,'1',104,'N'),(16,3123111,'1',212,'N'),(16,3123111,'1A',214,'N'),(16,3123138,'1',103,'N'),(16,3123146,'1',215,'N'),(16,3123154,'1',202,'N'),(16,3123154,'1A',213,'N'),(16,3123162,'1',103,'N'),(16,3123189,'1',103,'N'),(16,3123197,'1',207,'N'),(16,3123197,'1A',238,'N'),(16,3123200,'1',304,'N'),(16,3123219,'1',101,'N'),(16,3123227,'1',234,'N'),(16,3123235,'1',207,'N'),(16,3123235,'1A',211,'N'),(16,3123243,'1',103,'N'),(16,3123251,'1',324,'N'),(16,3123260,'1',211,'N'),(16,3123260,'1A',233,'N'),(16,3123278,'1',303,'N'),(16,3123286,'1',212,'N'),(16,3123286,'1A',207,'N'),(16,3123294,'1',308,'N'),(16,3123316,'1',420,'N'),(16,3123324,'1',103,'N'),(16,3123332,'1',317,'N'),(16,3123340,'1',308,'N'),(16,3123359,'1',203,'N'),(16,3123359,'1A',214,'N'),(16,3123375,'1',214,'N'),(16,3123375,'1A',212,'N'),(16,3123383,'1',103,'N'),(16,3123391,'1',225,'N'),(16,3123405,'1',214,'N'),(16,3123405,'1A',208,'N'),(16,3123421,'1',211,'N'),(16,3123421,'1A',216,'N'),(16,3123430,'1',201,'N'),(16,3123430,'1A',207,'N'),(16,3123448,'1',310,'N'),(16,3123456,'1',103,'N'),(16,3123464,'1',103,'N'),(16,3123472,'1',208,'N'),(16,3123480,'1',207,'N'),(16,3123480,'1A',201,'N'),(16,3123499,'1',428,'N'),(16,3123499,'1A',426,'N'),(16,3123502,'1',304,'N'),(16,3123529,'1',332,'N'),(16,3123537,'1',216,'N'),(16,3123537,'1A',215,'N'),(16,3123561,'1',332,'N'),(16,3123570,'1',302,'N'),(16,3123588,'1',103,'N'),(16,3123596,'1',211,'N'),(16,3123596,'1A',207,'N'),(16,3123600,'1',9,'N'),(16,3123618,'1',222,'N'),(16,3123626,'1',420,'N'),(16,3123634,'1',308,'N'),(16,3123642,'1',211,'N'),(16,3123650,'1',404,'N'),(16,3123677,'1',103,'N'),(16,3123685,'1',9,'N'),(16,3123693,'1',5,'N'),(16,3123715,'1',103,'N'),(16,3123723,'1',327,'N'),(16,3123731,'1',103,'N'),(16,3123740,'1',201,'N'),(16,3123740,'1A',207,'N'),(16,3123758,'1',103,'N'),(16,3123766,'1',444,'N'),(16,3123774,'1',213,'N'),(16,3123774,'1A',202,'N'),(16,3123782,'1',319,'N'),(16,3123790,'1',304,'N'),(16,3123804,'1',318,'N'),(16,3123820,'1',333,'N'),(16,3123839,'1',102,'N'),(16,3123847,'1',201,'N'),(16,3123847,'1A',212,'N'),(16,3123855,'1',103,'N'),(16,3123863,'1',3,'N'),(16,3123871,'1',9,'N'),(16,3123880,'1',202,'N'),(16,3123880,'1A',213,'N'),(16,3123901,'1',303,'N'),(16,3123910,'1',103,'N'),(16,3123936,'1',202,'N'),(16,3123936,'1A',220,'N'),(16,3123944,'1',404,'N'),(16,3123952,'1',5,'N'),(16,3123960,'1',103,'N'),(16,3123979,'1',238,'N'),(16,3123995,'1',317,'N'),(16,3124002,'1',453,'N'),(16,3124010,'1',101,'N'),(16,3124029,'1',208,'N'),(16,3124029,'1A',238,'N'),(16,3124037,'1',5,'N'),(16,3124045,'1',220,'N'),(16,3124045,'1A',203,'N'),(16,3124053,'1',303,'N'),(16,3124061,'1',404,'N'),(16,3124070,'1',220,'N'),(16,3124070,'1A',203,'N'),(16,3124088,'1',316,'N'),(16,3124096,'1',332,'N'),(16,3124100,'1',425,'N'),(16,3124100,'1A',424,'N'),(16,3124118,'1',211,'N'),(16,3124134,'1',327,'N'),(16,3124142,'1',404,'N'),(16,3124150,'1',415,'N'),(16,3124177,'1',326,'N'),(16,3124185,'1',215,'N'),(16,3124185,'1A',233,'N'),(16,3124193,'1',301,'N'),(16,3124223,'1',301,'N'),(16,3124240,'1',302,'N'),(16,3124258,'1',103,'N'),(16,3124266,'1',104,'N'),(16,3124282,'1',340,'N'),(16,3124290,'1',103,'N'),(16,3124304,'1',214,'N'),(16,3124304,'1A',220,'N'),(16,3124312,'1',234,'N'),(16,3124320,'1',308,'N'),(16,3124347,'1',238,'N'),(16,3124347,'1A',208,'N'),(16,3124355,'1',103,'N'),(16,3124371,'1',103,'N'),(16,3124380,'1',501,'N'),(16,3124398,'1',103,'N'),(16,3124401,'1',339,'N'),(16,3124410,'1',220,'N'),(16,3124410,'1A',202,'N'),(16,3124428,'1',415,'N'),(16,3124436,'1',316,'N'),(16,3124452,'1',103,'N'),(16,3124460,'1',101,'N'),(16,3124479,'1',207,'N'),(16,3124479,'1A',211,'N'),(16,3124487,'1',319,'N'),(16,3124495,'1',103,'N'),(16,3124509,'1',103,'N'),(16,3124517,'1',501,'N'),(16,3124525,'1',326,'N'),(16,3124533,'1',301,'N'),(16,3124550,'1',208,'N'),(16,3124550,'1A',220,'N'),(16,3124568,'1',303,'N'),(16,3124576,'1',316,'N'),(16,3124584,'1',319,'N'),(16,3124606,'1',501,'N'),(16,3124614,'1',452,'N'),(16,3124622,'1',103,'N'),(16,3124630,'1',103,'N'),(16,3124649,'1',319,'N'),(16,3124673,'1',304,'N'),(16,3124690,'1',103,'N'),(16,3124703,'1',103,'N'),(16,3124711,'1',203,'N'),(16,3124711,'1A',214,'N'),(16,3124720,'1',316,'N'),(16,3124738,'1',201,'N'),(16,3124738,'1A',238,'N'),(16,3124746,'1',5,'N'),(16,3124754,'1',201,'N'),(16,3124754,'1A',212,'N'),(16,3124762,'1',5,'N'),(16,3124770,'1',9,'N'),(16,3124789,'1',103,'N'),(16,3124797,'1',203,'N'),(16,3124797,'1A',208,'N'),(16,3124800,'1',201,'N'),(16,3124800,'1A',212,'N'),(16,3124819,'1',301,'N'),(16,3124835,'1',317,'N'),(16,3124843,'1',5,'N'),(16,3124851,'1',304,'N'),(16,3124860,'1',444,'N'),(16,3124878,'1',202,'N'),(16,3124878,'1A',213,'N'),(16,3124886,'1',317,'N'),(16,3124894,'1',201,'N'),(16,3124894,'1A',211,'N'),(16,3124908,'1',317,'N'),(16,3124924,'1',9,'N'),(16,3124932,'1',2,'N'),(16,3124940,'1',201,'N'),(16,3124940,'1A',238,'N'),(16,3124959,'1',317,'N'),(16,3124975,'1',201,'N'),(16,3124975,'1A',212,'N'),(16,3124983,'1',102,'N'),(16,3124991,'1',302,'N'),(16,3125009,'1',340,'N'),(16,3125017,'1',103,'N'),(16,3125025,'1',502,'N'),(16,3125033,'1',303,'N'),(16,3125041,'1',211,'N'),(16,3125041,'1A',216,'N'),(16,3125050,'1',301,'N'),(16,3125076,'1',103,'N'),(16,3125084,'1',301,'N'),(16,3125092,'1',214,'N'),(16,3125092,'1A',213,'N'),(16,3125106,'1',424,'N'),(16,3125114,'1',103,'N'),(16,3125122,'1',5,'N'),(16,3125130,'1',203,'N'),(16,3125130,'1A',201,'N'),(16,3125149,'1',415,'N'),(16,3125165,'1',317,'N'),(16,3125173,'1',207,'N'),(16,3125173,'1A',208,'N'),(16,3125181,'1',103,'N'),(16,3125203,'1',425,'N'),(16,3125203,'1A',428,'N'),(16,3125211,'1',216,'N'),(16,3125211,'1A',220,'N'),(16,3125220,'1',101,'N'),(16,3125246,'1',319,'N'),(16,3125254,'1',316,'N'),(16,3125270,'1',320,'N'),(16,3125297,'1',324,'N'),(16,3125319,'1',303,'N'),(16,3125327,'1',208,'N'),(16,3125327,'1A',238,'N'),(16,3125360,'1',216,'N'),(16,3125360,'1A',214,'N'),(16,3125378,'1',207,'N'),(16,3125378,'1A',201,'N'),(16,3125386,'1',415,'N'),(16,3125394,'1',428,'N'),(16,3125394,'1A',424,'N'),(16,3125408,'1',2,'N'),(16,3125416,'1',332,'N'),(16,3125424,'1',319,'N'),(16,3125432,'1',220,'N'),(16,3125432,'1A',201,'N'),(16,3125440,'1',238,'N'),(16,3125440,'1A',208,'N'),(16,3125459,'1',340,'N'),(16,3125467,'1',319,'N'),(16,3125475,'1',318,'N'),(16,3125483,'1',208,'N'),(16,3125483,'1A',238,'N'),(16,3125491,'1',102,'N'),(16,3125505,'1',201,'N'),(16,3125505,'1A',212,'N'),(16,3125513,'1',103,'N'),(16,3125521,'1',203,'N'),(16,3125521,'1A',202,'N'),(16,3125530,'1',319,'N'),(16,3125548,'1',303,'N'),(16,3125556,'1',103,'N'),(16,3125572,'1',202,'N'),(16,3125572,'1A',213,'N'),(16,3125580,'1',340,'N'),(16,3125599,'1',203,'N'),(16,3125599,'1A',202,'N'),(16,3125602,'1',216,'N'),(16,3125602,'1A',215,'N'),(16,3125610,'1',319,'N'),(16,3125629,'1',103,'N'),(16,3125653,'1',108,'N'),(16,3125661,'1',304,'N'),(16,3125670,'1',331,'N'),(16,3125688,'1',103,'N'),(16,3125700,'1',104,'N'),(16,3125718,'1',453,'N'),(16,3125726,'1',415,'N'),(16,3125734,'1',205,'N'),(16,3125742,'1',201,'N'),(16,3125742,'1A',212,'N'),(16,3125750,'1',103,'N'),(16,3125769,'1',211,'N'),(16,3125769,'1A',216,'N'),(16,3125777,'1',415,'N'),(16,3125785,'1',103,'N'),(16,3125793,'1',102,'N'),(16,3125807,'1',302,'N'),(16,3125823,'1',103,'N'),(16,3125831,'1',101,'N'),(16,3125840,'1',211,'N'),(16,3125840,'1A',203,'N'),(16,3125858,'1',5,'N'),(16,3125866,'1',331,'N'),(16,3125874,'1',425,'N'),(16,3125874,'1A',428,'N'),(16,3125882,'1',104,'N'),(16,3125890,'1',5,'N'),(16,3125904,'1',103,'N'),(16,3125920,'1',319,'N'),(16,3125939,'1',233,'N'),(16,3125939,'1A',201,'N'),(16,3125947,'1',303,'N'),(16,3125955,'1',103,'N'),(16,3125963,'1',104,'N'),(16,3126013,'1',5,'N'),(16,3126030,'1',309,'N'),(16,3126048,'1',319,'N'),(16,3126056,'1',207,'N'),(16,3126056,'1A',201,'N'),(16,3126064,'1',203,'N'),(16,3126064,'1A',202,'N'),(16,3126072,'1',216,'N'),(16,3126072,'1A',203,'N'),(16,3126099,'1',203,'N'),(16,3126099,'1A',208,'N'),(16,3126102,'1',404,'N'),(16,3126137,'1',201,'N'),(16,3126137,'1A',203,'N'),(16,3126145,'1',328,'N'),(16,3126153,'1',103,'N'),(16,3126170,'1',102,'N'),(16,3126188,'1',303,'N'),(16,3126196,'1',238,'N'),(16,3126196,'1A',208,'N'),(16,3126218,'1',502,'N'),(16,3126234,'1',103,'N'),(16,3126250,'1',319,'N'),(16,3126285,'1',207,'N'),(16,3126285,'1A',215,'N'),(16,3126293,'1',103,'N'),(16,3126307,'1',103,'N'),(16,3126315,'1',220,'N'),(16,3126315,'1A',202,'N'),(16,3126323,'1',103,'N'),(16,3126331,'1',302,'N'),(16,3126340,'1',103,'N'),(16,3126374,'1',108,'N'),(16,3126382,'1',104,'N'),(16,3126390,'1',101,'N'),(16,3126404,'1',208,'N'),(16,3126404,'1A',216,'N'),(16,3126412,'1',103,'N'),(16,3126420,'1',203,'N'),(16,3126420,'1A',214,'N'),(16,3126439,'1',211,'N'),(16,3126447,'1',303,'N'),(16,3126455,'1',102,'N'),(16,3126463,'1',102,'N'),(16,3126471,'1',102,'N'),(16,3126480,'1',301,'N'),(16,3126501,'1',103,'N'),(16,3126510,'1',103,'N'),(16,3126528,'1',202,'N'),(16,3126528,'1A',201,'N'),(16,3126536,'1',212,'N'),(16,3126536,'1A',207,'N'),(16,3126552,'1',316,'N'),(16,3126560,'1',319,'N'),(16,3126579,'1',201,'N'),(16,3126579,'1A',207,'N'),(16,3126587,'1',428,'N'),(16,3126617,'1',211,'N'),(16,3126617,'1A',207,'N'),(16,3126625,'1',2,'N'),(16,3126633,'1',213,'N'),(16,3126633,'1A',208,'N'),(16,3126641,'1',9,'N'),(16,3126650,'1',340,'N'),(16,3126668,'1',316,'N'),(16,3126676,'1',201,'N'),(16,3126676,'1A',212,'N'),(16,3126684,'1',317,'N'),(16,3126692,'1',404,'N'),(16,3126706,'1',317,'N'),(16,3126714,'1',301,'N'),(16,3126722,'1',404,'N'),(16,3126730,'1',303,'N'),(16,3126749,'1',234,'N'),(16,3126757,'1',102,'N'),(16,3126773,'1',316,'N'),(16,3126781,'1',425,'N'),(16,3126781,'1A',429,'N'),(16,3126790,'1',102,'N'),(16,3126803,'1',451,'N'),(16,3126811,'1',103,'N'),(16,3126820,'1',450,'N'),(16,3126838,'1',103,'N'),(16,3126846,'1',207,'N'),(16,3126846,'1A',212,'N'),(16,3126854,'1',318,'N'),(16,3126862,'1',202,'N'),(16,3126862,'1A',201,'N'),(16,3126870,'1',340,'N'),(16,3126889,'1',207,'N'),(16,3126889,'1A',201,'N'),(16,3126900,'1',104,'N'),(16,3126919,'1',233,'N'),(16,3126919,'1A',214,'N'),(16,3126935,'1',203,'N'),(16,3126935,'1A',233,'N'),(16,3126943,'1',103,'N'),(16,3126951,'1',444,'N'),(16,3126960,'1',451,'N'),(16,3126978,'1',103,'N'),(16,3126986,'1',502,'N'),(16,3126994,'1',211,'N'),(16,3126994,'1A',215,'N'),(16,3127001,'1',216,'N'),(16,3127001,'1A',233,'N'),(16,3127010,'1',317,'N'),(16,3127028,'1',211,'N'),(16,3127028,'1A',238,'N'),(16,3127036,'1',302,'N'),(16,3127044,'1',301,'N'),(16,3127079,'1',103,'N'),(16,3127095,'1',103,'N'),(16,3127109,'1',340,'N'),(16,3127117,'1',104,'N'),(16,3127133,'1',304,'N'),(16,3127141,'1',303,'N'),(16,3127150,'1',203,'N'),(16,3127150,'1A',214,'N'),(16,3127168,'1',216,'N'),(16,3127168,'1A',211,'N'),(16,3127176,'1',103,'N'),(16,3127192,'1',5,'N'),(16,3127206,'1',9,'N'),(16,3127214,'1',333,'N'),(16,3127222,'1',340,'N'),(16,3127230,'1',211,'N'),(16,3127230,'1A',201,'N'),(16,3127249,'1',104,'N'),(16,3127265,'1',429,'N'),(16,3127265,'1A',421,'N'),(16,3127273,'1',238,'N'),(16,3127273,'1A',208,'N'),(16,3127281,'1',201,'N'),(16,3127281,'1A',202,'N'),(16,3127290,'1',303,'N'),(16,3127311,'1',426,'N'),(16,3127311,'1A',428,'N'),(16,3127320,'1',103,'N'),(16,3127346,'1',207,'N'),(16,3127346,'1A',201,'N'),(16,3127354,'1',234,'N'),(16,3127362,'1',303,'N'),(16,3127370,'1',220,'N'),(16,3127370,'1A',202,'N'),(16,3127389,'1',319,'N'),(16,3127397,'1',103,'N'),(16,3127400,'1',211,'N'),(16,3127400,'1A',207,'N'),(16,3127419,'1',207,'N'),(16,3127427,'1',319,'N'),(16,3127435,'1',303,'N'),(16,3127443,'1',215,'N'),(16,3127443,'1A',216,'N'),(16,3127451,'1',216,'N'),(16,3127451,'1A',233,'N'),(16,3127478,'1',302,'N'),(16,3127486,'1',212,'N'),(16,3127486,'1A',213,'N'),(16,3127494,'1',340,'N'),(16,3127508,'1',238,'N'),(16,3127508,'1A',203,'N'),(16,3127516,'1',103,'N'),(16,3127524,'1',220,'N'),(16,3127524,'1A',213,'N'),(16,3127540,'1',502,'N'),(16,3127559,'1',501,'N'),(16,3127567,'1',340,'N'),(16,3127575,'1',331,'N'),(16,3127583,'1',104,'N'),(16,3127621,'1',213,'N'),(16,3127621,'1A',238,'N'),(16,3127630,'1',503,'N'),(16,3127648,'1',207,'N'),(16,3127656,'1',203,'N'),(16,3127656,'1A',214,'N'),(16,3127664,'1',501,'N'),(16,3127672,'1',215,'N'),(16,3127672,'1A',233,'N'),(16,3127680,'1',333,'N'),(16,3127699,'1',108,'N'),(16,3127702,'1',108,'N'),(16,3127710,'1',207,'N'),(16,3127729,'1',301,'N'),(16,3127737,'1',203,'N'),(16,3127737,'1A',214,'N'),(16,3127745,'1',9,'N'),(16,3127753,'1',415,'N'),(16,3127761,'1',220,'N'),(16,3127761,'1A',203,'N'),(16,3127770,'1',214,'N'),(16,3127770,'1A',220,'N'),(16,3127788,'1',207,'N'),(16,3127788,'1A',238,'N'),(16,3127796,'1',207,'N'),(16,3127796,'1A',208,'N'),(16,3127800,'1',301,'N'),(16,3127818,'1',101,'N'),(16,3127826,'1',301,'N'),(16,3127834,'1',224,'N'),(16,3127842,'1',319,'N'),(16,3127850,'1',201,'N'),(16,3127850,'1A',212,'N'),(16,3127869,'1',234,'N'),(16,3127877,'1',103,'N'),(16,3127885,'1',201,'N'),(16,3127885,'1A',233,'N'),(16,3127893,'1',104,'N'),(16,3127907,'1',233,'N'),(16,3127907,'1A',207,'N'),(16,3127915,'1',301,'N'),(16,3127923,'1',340,'N'),(16,3127931,'1',327,'N'),(16,3127940,'1',104,'N'),(16,3127958,'1',201,'N'),(16,3127958,'1A',207,'N'),(16,3127966,'1',201,'N'),(16,3127966,'1A',207,'N'),(16,3127974,'1',103,'N'),(16,3127982,'1',304,'N'),(16,3127990,'1',319,'N'),(16,3128008,'1',201,'N'),(16,3128008,'1A',213,'N'),(16,3128016,'1',451,'N'),(16,3128024,'1',304,'N'),(16,3128032,'1',103,'N'),(16,3128040,'1',304,'N'),(16,3128059,'1',108,'N'),(16,3128067,'1',340,'N'),(16,3128075,'1',327,'N'),(16,3128083,'1',501,'N'),(16,3128091,'1',103,'N'),(16,3128105,'1',103,'N'),(16,3128113,'1',212,'N'),(16,3128113,'1A',201,'N'),(16,3128121,'1',203,'N'),(16,3128121,'1A',220,'N'),(16,3128130,'1',103,'N'),(16,3128148,'1',319,'N'),(16,3128156,'1',201,'N'),(16,3128156,'1A',212,'N'),(16,3128164,'1',103,'N'),(16,3128172,'1',201,'N'),(16,3128172,'1A',207,'N'),(16,3128180,'1',503,'N'),(16,3128199,'1',5,'N'),(16,3128202,'1',215,'N'),(16,3128202,'1A',216,'N'),(16,3128210,'1',450,'N'),(16,3128237,'1',216,'N'),(16,3128237,'1A',202,'N'),(16,3128245,'1',308,'N'),(16,3128253,'1',203,'N'),(16,3128253,'1A',202,'N'),(16,3128261,'1',301,'N'),(16,3128270,'1',238,'N'),(16,3128270,'1A',215,'N'),(16,3128288,'1',102,'N'),(16,3128296,'1',310,'N'),(16,3128300,'1',415,'N'),(16,3128318,'1',302,'N'),(16,3128326,'1',502,'N'),(16,3128342,'1',202,'N'),(16,3128342,'1A',203,'N'),(16,3128350,'1',104,'N'),(16,3128369,'1',303,'N'),(16,3128377,'1',5,'N'),(16,3128385,'1',303,'N'),(16,3128393,'1',340,'N'),(16,3128407,'1',301,'N'),(16,3128415,'1',108,'N'),(16,3128423,'1',207,'N'),(16,3128423,'1A',216,'N'),(16,3128431,'1',415,'N'),(16,3128440,'1',303,'N'),(16,3128458,'1',2,'N'),(16,3128474,'1',326,'N'),(16,3128482,'1',104,'N'),(16,3128490,'1',319,'N'),(16,3128504,'1',303,'N'),(16,3128512,'1',103,'N'),(16,3128520,'1',103,'N'),(16,3128539,'1',103,'N'),(16,3128547,'1',103,'N'),(16,3128555,'1',444,'N'),(16,3128563,'1',203,'N'),(16,3128563,'1A',220,'N'),(16,3128580,'1',331,'N'),(16,3128598,'1',103,'N'),(16,3128601,'1',103,'N'),(16,3128610,'1',207,'N'),(16,3128610,'1A',201,'N'),(16,3128628,'1',203,'N'),(16,3128628,'1A',201,'N'),(16,3128636,'1',211,'N'),(16,3128636,'1A',233,'N'),(16,3128644,'1',101,'N'),(16,3128652,'1',103,'N'),(16,3128660,'1',302,'N'),(16,3128679,'1',9,'N'),(16,3128709,'1',340,'N'),(16,3128717,'1',304,'N'),(16,3128725,'1',319,'N'),(16,3128733,'1',212,'N'),(16,3128733,'1A',213,'N'),(16,3128741,'1',331,'N'),(16,3128750,'1',207,'N'),(16,3128750,'1A',201,'N'),(16,3128768,'1',238,'N'),(16,3128768,'1A',201,'N'),(16,3128776,'1',415,'N'),(16,3128784,'1',103,'N'),(16,3128792,'1',215,'N'),(16,3128792,'1A',216,'N'),(16,3128806,'1',5,'N'),(16,3128814,'1',205,'N'),(16,3128830,'1',415,'N'),(16,3128849,'1',203,'N'),(16,3128849,'1A',233,'N'),(16,3128857,'1',340,'N'),(16,3128873,'1',104,'N'),(16,3128890,'1',316,'N'),(16,3128903,'1',211,'N'),(16,3128903,'1A',213,'N'),(16,3128911,'1',211,'N'),(16,3128911,'1A',201,'N'),(16,3128920,'1',203,'N'),(16,3128920,'1A',214,'N'),(16,3128946,'1',103,'N'),(16,3128954,'1',404,'N'),(16,3128962,'1',103,'N'),(16,3128970,'1',203,'N'),(16,3128970,'1A',214,'N'),(16,3128989,'1',502,'N'),(16,3128997,'1',303,'N'),(16,3129012,'1',216,'N'),(16,3129012,'1A',208,'N'),(16,3129020,'1',201,'N'),(16,3129020,'1A',212,'N'),(16,3129039,'1',303,'N'),(16,3129055,'1',453,'N'),(16,3129071,'1',216,'N'),(16,3129071,'1A',211,'N'),(16,3129080,'1',108,'N'),(16,3129098,'1',212,'N'),(16,3129098,'1A',207,'N'),(16,3129101,'1',103,'N'),(16,3129110,'1',234,'N'),(16,3129128,'1',215,'N'),(16,3129128,'1A',211,'N'),(16,3129136,'1',303,'N'),(16,3129144,'1',303,'N'),(16,3129152,'1',320,'N'),(16,3129160,'1',201,'N'),(16,3129160,'1A',208,'N'),(16,3129179,'1',302,'N'),(16,3129187,'1',327,'N'),(16,3129195,'1',319,'N'),(16,3129209,'1',328,'N'),(16,3129217,'1',318,'N'),(16,3129225,'1',202,'N'),(16,3129225,'1A',213,'N'),(16,3129233,'1',319,'N'),(16,3129250,'1',317,'N'),(16,3129268,'1',208,'N'),(16,3129268,'1A',213,'N'),(16,3129292,'1',104,'N'),(16,3129322,'1',302,'N'),(16,3129330,'1',207,'N'),(16,3129330,'1A',208,'N'),(16,3129349,'1',102,'N'),(16,3129365,'1',203,'N'),(16,3129365,'1A',220,'N'),(16,3129373,'1',303,'N'),(16,3129381,'1',201,'N'),(16,3129403,'1',5,'N'),(16,3129411,'1',207,'N'),(16,3129411,'1A',201,'N'),(16,3129420,'1',207,'N'),(16,3129420,'1A',215,'N'),(16,3129438,'1',213,'N'),(16,3129438,'1A',238,'N'),(16,3129454,'1',103,'N'),(16,3129470,'1',103,'N'),(16,3129489,'1',203,'N'),(16,3129489,'1A',214,'N'),(16,3129497,'1',319,'N'),(16,3129500,'1',301,'N'),(16,3129519,'1',3,'N'),(16,3129535,'1',453,'N'),(16,3129543,'1',215,'N'),(16,3129543,'1A',233,'N'),(16,3129551,'1',108,'N'),(16,3129560,'1',103,'N'),(16,3129586,'1',103,'N'),(16,3129594,'1',104,'N'),(16,3129608,'1',316,'N'),(16,3129616,'1',103,'N'),(16,3129659,'1',207,'N'),(16,3129667,'1',215,'N'),(16,3129667,'1A',207,'N'),(16,3129675,'1',5,'N'),(16,3129683,'1',319,'N'),(16,3129691,'1',212,'N'),(16,3129691,'1A',214,'N'),(16,3129705,'1',201,'N'),(16,3129705,'1A',207,'N'),(16,3129713,'1',415,'N'),(16,3129721,'1',103,'N'),(16,3129730,'1',108,'N'),(16,3129764,'1',501,'N'),(16,3129772,'1',339,'N'),(16,3129780,'1',103,'N'),(16,3129799,'1',301,'N'),(16,3129802,'1',102,'N'),(16,3129810,'1',201,'N'),(16,3129810,'1A',212,'N'),(16,3129829,'1',103,'N'),(16,3129837,'1',303,'N'),(16,3129845,'1',207,'N'),(16,3129845,'1A',212,'N'),(16,3129853,'1',207,'N'),(16,3129853,'1A',208,'N'),(16,3129861,'1',104,'N'),(16,3129870,'1',444,'N'),(16,3129888,'1',103,'N'),(16,3129896,'1',103,'N'),(16,3129900,'1',202,'N'),(16,3129900,'1A',211,'N'),(16,3129918,'1',103,'N'),(16,3129926,'1',104,'N'),(16,3129934,'1',201,'N'),(16,3129934,'1A',213,'N'),(16,3129969,'1',420,'N'),(16,3129977,'1',319,'N'),(16,3129985,'1',452,'N'),(16,3129993,'1',211,'N'),(16,3129993,'1A',238,'N'),(16,3130002,'1',103,'N'),(16,3130010,'1',333,'N'),(16,3130029,'1',212,'N'),(16,3130029,'1A',211,'N'),(16,3130045,'1',203,'N'),(16,3130045,'1A',202,'N'),(16,3130053,'1',317,'N'),(16,3130061,'1',225,'N'),(16,3130070,'1',415,'N'),(16,3130096,'1',203,'N'),(16,3130096,'1A',207,'N'),(16,3130118,'1',207,'N'),(16,3130118,'1A',201,'N'),(16,3130126,'1',220,'N'),(16,3130126,'1A',203,'N'),(16,3130134,'1',303,'N'),(16,3130142,'1',103,'N'),(16,3130150,'1',207,'N'),(16,3130150,'1A',214,'N'),(16,3130169,'1',203,'N'),(16,3130169,'1A',214,'N'),(16,3130177,'1',301,'N'),(16,3130185,'1',207,'N'),(16,3130193,'1',103,'N'),(16,3130215,'1',103,'N'),(16,3130223,'1',5,'N'),(16,3130231,'1',207,'N'),(16,3130240,'1',415,'N'),(16,3130258,'1',5,'N'),(16,3130266,'1',207,'N'),(16,3130274,'1',216,'N'),(16,3130274,'1A',212,'N'),(16,3130290,'1',5,'N'),(16,3130312,'1',214,'N'),(16,3130312,'1A',220,'N'),(16,3130320,'1',203,'N'),(16,3130320,'1A',220,'N'),(16,3130339,'1',207,'N'),(16,3130339,'1A',211,'N'),(16,3130347,'1',502,'N'),(16,3130355,'1',331,'N'),(16,3130363,'1',103,'N'),(16,3130371,'1',211,'N'),(16,3130380,'1',103,'N'),(16,3130398,'1',420,'N'),(16,3130401,'1',208,'N'),(16,3130410,'1',502,'N'),(16,3130428,'1',310,'N'),(16,3130436,'1',331,'N'),(16,3130444,'1',102,'N'),(16,3130460,'1',203,'N'),(16,3130479,'1',102,'N'),(16,3130487,'1',415,'N'),(16,3130495,'1',103,'N'),(16,3130509,'1',404,'N'),(16,3130533,'1',207,'N'),(16,3130533,'1A',201,'N'),(16,3130541,'1',208,'N'),(16,3130541,'1A',238,'N'),(16,3130550,'1',203,'N'),(16,3130550,'1A',202,'N'),(16,3130576,'1',203,'N'),(16,3130576,'1A',201,'N'),(16,3130584,'1',220,'N'),(16,3130584,'1A',202,'N'),(16,3130592,'1',340,'N'),(16,3130606,'1',103,'N'),(16,3130614,'1',308,'N'),(16,3130622,'1',238,'N'),(16,3130622,'1A',208,'N'),(16,3130630,'1',302,'N'),(16,3130649,'1',220,'N'),(16,3130649,'1A',203,'N'),(16,3130657,'1',201,'N'),(16,3130657,'1A',203,'N'),(16,3130665,'1',302,'N'),(16,3130673,'1',453,'N'),(16,3130681,'1',216,'N'),(16,3130681,'1A',211,'N'),(16,3130690,'1',101,'N'),(16,3130711,'1',208,'N'),(16,3130711,'1A',202,'N'),(16,3130720,'1',302,'N'),(16,3130738,'1',103,'N'),(16,3130746,'1',103,'N'),(16,3130754,'1',102,'N'),(16,3130762,'1',302,'N'),(16,3130770,'1',453,'N'),(16,3130797,'1',319,'N'),(16,3130800,'1',208,'N'),(16,3130800,'1A',238,'N'),(16,3130819,'1',303,'N'),(16,3130827,'1',303,'N'),(16,3130835,'1',103,'N'),(16,3130843,'1',103,'N'),(16,3130851,'1',238,'N'),(16,3130851,'1A',208,'N'),(16,3130860,'1',216,'N'),(16,3130860,'1A',220,'N'),(16,3130878,'1',108,'N'),(16,3130894,'1',220,'N'),(16,3130894,'1A',203,'N'),(16,3130908,'1',102,'N'),(16,3130916,'1',103,'N'),(16,3130932,'1',103,'N'),(16,3130940,'1',103,'N'),(16,3130959,'1',103,'N'),(16,3130967,'1',203,'N'),(16,3130967,'1A',220,'N'),(16,3130975,'1',324,'N'),(16,3130991,'1',216,'N'),(16,3130991,'1A',215,'N'),(16,3131009,'1',207,'N'),(16,3131009,'1A',201,'N'),(16,3131017,'1',301,'N'),(16,3131041,'1',303,'N'),(16,3131068,'1',453,'N'),(16,3131076,'1',104,'N'),(16,3131084,'1',331,'N'),(16,3131092,'1',420,'N'),(16,3131106,'1',451,'N'),(16,3131114,'1',5,'N'),(16,3131122,'1',213,'N'),(16,3131122,'1A',238,'N'),(16,3131149,'1',340,'N'),(16,3131157,'1',319,'N'),(16,3131165,'1',202,'N'),(16,3131165,'1A',201,'N'),(16,3131181,'1',101,'N'),(16,3131190,'1',203,'N'),(16,3131190,'1A',202,'N'),(16,3131220,'1',103,'N'),(16,3131238,'1',451,'N'),(16,3131246,'1',238,'N'),(16,3131246,'1A',208,'N'),(16,3131254,'1',340,'N'),(16,3131270,'1',501,'N'),(16,3131289,'1',301,'N'),(16,3131297,'1',103,'N'),(16,3131327,'1',304,'N'),(16,3131335,'1',238,'N'),(16,3131335,'1A',208,'N'),(16,3131343,'1',404,'N'),(16,3131360,'1',214,'N'),(16,3131360,'1A',233,'N'),(16,3131378,'1',404,'N'),(16,3131386,'1',452,'N'),(16,3131394,'1',332,'N'),(16,3131408,'1',415,'N'),(16,3131416,'1',415,'N'),(16,3131424,'1',319,'N'),(16,3131432,'1',303,'N'),(16,3131440,'1',303,'N'),(16,3131459,'1',301,'N'),(16,3131467,'1',301,'N'),(16,3131475,'1',319,'N'),(16,3131483,'1',203,'N'),(16,3131483,'1A',201,'N'),(16,3131491,'1',104,'N'),(16,3131505,'1',420,'N'),(16,3131513,'1',104,'N'),(16,3131521,'1',426,'N'),(16,3131521,'1A',429,'N'),(16,3131548,'1',309,'N'),(16,3131556,'1',103,'N'),(16,3131564,'1',103,'N'),(16,3131580,'1',415,'N'),(16,3131599,'1',214,'N'),(16,3131599,'1A',203,'N'),(16,3131602,'1',212,'N'),(16,3131602,'1A',207,'N'),(16,3131610,'1',5,'N'),(16,3131629,'1',208,'N'),(16,3131629,'1A',238,'N'),(16,3131637,'1',309,'N'),(16,3131645,'1',103,'N'),(16,3131653,'1',316,'N'),(16,3131661,'1',238,'N'),(16,3131661,'1A',208,'N'),(16,3131688,'1',207,'N'),(16,3131688,'1A',201,'N'),(16,3131696,'1',203,'N'),(16,3131696,'1A',201,'N'),(16,3131700,'1',5,'N'),(16,3131718,'1',103,'N'),(16,3131726,'1',451,'N'),(16,3131734,'1',208,'N'),(16,3131734,'1A',233,'N'),(16,3131742,'1',216,'N'),(16,3131742,'1A',203,'N'),(16,3131750,'1',302,'N'),(16,3131777,'1',201,'N'),(16,3131777,'1A',216,'N'),(16,3131785,'1',101,'N'),(16,3131793,'1',453,'N'),(16,3131807,'1',202,'N'),(16,3131807,'1A',213,'N'),(16,3131815,'1',329,'N'),(16,3131823,'1',318,'N'),(16,3131840,'1',304,'N'),(16,3131858,'1',104,'N'),(16,3131866,'1',404,'N'),(16,3131874,'1',103,'N'),(16,3131882,'1',317,'N'),(16,3131890,'1',453,'N'),(16,3131904,'1',234,'N'),(16,3131912,'1',101,'N'),(16,3131920,'1',340,'N'),(16,3131939,'1',103,'N'),(16,3131947,'1',318,'N'),(16,3131955,'1',103,'N'),(16,3131998,'1',340,'N'),(16,3132005,'1',201,'N'),(16,3132005,'1A',211,'N'),(16,3132013,'1',211,'N'),(16,3132013,'1A',207,'N'),(16,3132021,'1',103,'N'),(16,3132030,'1',302,'N'),(16,3132056,'1',238,'N'),(16,3132056,'1A',208,'N'),(16,3132064,'1',103,'N'),(16,3132072,'1',340,'N'),(16,3132080,'1',102,'N'),(16,3132099,'1',211,'N'),(16,3132099,'1A',207,'N'),(16,3132102,'1',103,'N'),(16,3132110,'1',453,'N'),(16,3132129,'1',224,'N'),(16,3132137,'1',102,'N'),(16,3132145,'1',3,'N'),(16,3132161,'1',102,'N'),(16,3132170,'1',103,'N'),(16,3132188,'1',319,'N'),(16,3132196,'1',308,'N'),(16,3132200,'1',207,'N'),(16,3132200,'1A',201,'N'),(16,3132218,'1',301,'N'),(16,3132226,'1',103,'N'),(16,3132242,'1',234,'N'),(16,3132269,'1',201,'N'),(16,3132269,'1A',220,'N'),(16,3132293,'1',317,'N'),(16,3132307,'1',216,'N'),(16,3132315,'1',103,'N'),(16,3132323,'1',303,'N'),(16,3132358,'1',309,'N'),(16,3132366,'1',103,'N'),(16,3132374,'1',303,'N'),(16,3132390,'1',103,'N'),(16,3132404,'1',303,'N'),(16,3132420,'1',211,'N'),(16,3132420,'1A',201,'N'),(16,3132439,'1',103,'N'),(16,3132463,'1',429,'N'),(16,3132463,'1A',425,'N'),(16,3132471,'1',308,'N'),(16,3132480,'1',5,'N'),(16,3132498,'1',233,'N'),(16,3132498,'1A',215,'N'),(16,3132501,'1',223,'N'),(16,3132510,'1',203,'N'),(16,3132510,'1A',201,'N'),(16,3132528,'1',102,'N'),(16,3132536,'1',214,'N'),(16,3132536,'1A',203,'N'),(16,3132552,'1',201,'N'),(16,3132552,'1A',211,'N'),(16,3132560,'1',319,'N'),(16,3132579,'1',104,'N'),(16,3132587,'1',207,'N'),(16,3132587,'1A',201,'N'),(16,3132595,'1',415,'N'),(16,3132609,'1',108,'N'),(16,3132617,'1',303,'N'),(16,3132625,'1',213,'N'),(16,3132625,'1A',220,'N'),(16,3132633,'1',208,'N'),(16,3132633,'1A',238,'N'),(16,3132641,'1',201,'N'),(16,3132641,'1A',203,'N'),(16,3132650,'1',301,'N'),(16,3132668,'1',301,'N'),(16,3132676,'1',238,'N'),(16,3132684,'1',208,'N'),(16,3132684,'1A',211,'N'),(16,3132706,'1',103,'N'),(16,3132722,'1',108,'N'),(16,3132749,'1',415,'N'),(16,3132765,'1',225,'N'),(16,3132773,'1',404,'N'),(16,3132781,'1',215,'N'),(16,3132781,'1A',238,'N'),(16,3132790,'1',104,'N'),(16,3132803,'1',238,'N'),(16,3132803,'1A',208,'N'),(16,3132811,'1',202,'N'),(16,3132811,'1A',238,'N'),(16,3132820,'1',420,'N'),(16,3132838,'1',207,'N'),(16,3132838,'1A',201,'N'),(16,3132854,'1',450,'N'),(16,3132862,'1',211,'N'),(16,3132862,'1A',207,'N'),(16,3132870,'1',103,'N'),(16,3132889,'1',102,'N'),(16,3132897,'1',103,'N'),(16,3132900,'1',211,'N'),(16,3132900,'1A',213,'N'),(16,3132919,'1',103,'N'),(16,3132927,'1',302,'N'),(16,3132935,'1',103,'N'),(16,3132951,'1',304,'N'),(16,3132960,'1',303,'N'),(16,3132978,'1',104,'N'),(16,3132986,'1',303,'N'),(16,3132994,'1',420,'N'),(16,3133001,'1',216,'N');
INSERT INTO opcao_candidato VALUES (16,3133001,'1A',207,'N'),(16,3133010,'1',404,'N'),(16,3133028,'1',303,'N'),(16,3133036,'1',5,'N'),(16,3133060,'1',302,'N'),(16,3133079,'1',450,'N'),(16,3133087,'1',444,'N'),(16,3133109,'1',108,'N'),(16,3133117,'1',103,'N'),(16,3133125,'1',103,'N'),(16,3133133,'1',212,'N'),(16,3133133,'1A',211,'N'),(16,3133141,'1',503,'N'),(16,3133150,'1',207,'N'),(16,3133150,'1A',211,'N'),(16,3133168,'1',108,'N'),(16,3133184,'1',103,'N'),(16,3133192,'1',301,'N'),(16,3133206,'1',5,'N'),(16,3133214,'1',201,'N'),(16,3133214,'1A',207,'N'),(16,3133222,'1',211,'N'),(16,3133222,'1A',207,'N'),(16,3133230,'1',103,'N'),(16,3133249,'1',303,'N'),(16,3133265,'1',211,'N'),(16,3133265,'1A',215,'N'),(16,3133281,'1',207,'N'),(16,3133281,'1A',201,'N'),(16,3133303,'1',501,'N'),(16,3133320,'1',211,'N'),(16,3133320,'1A',238,'N'),(16,3133338,'1',415,'N'),(16,3133346,'1',301,'N'),(16,3133354,'1',103,'N'),(16,3133362,'1',103,'N'),(16,3133370,'1',332,'N'),(16,3133397,'1',207,'N'),(16,3133397,'1A',201,'N'),(16,3133419,'1',201,'N'),(16,3133427,'1',308,'N'),(16,3133435,'1',202,'N'),(16,3133435,'1A',201,'N'),(16,3133443,'1',103,'N'),(16,3133460,'1',203,'N'),(16,3133460,'1A',216,'N'),(16,3133478,'1',103,'N'),(16,3133486,'1',5,'N'),(16,3133494,'1',203,'N'),(16,3133494,'1A',201,'N'),(16,3133508,'1',2,'N'),(16,3133516,'1',211,'N'),(16,3133516,'1A',201,'N'),(16,3133524,'1',453,'N'),(16,3133532,'1',208,'N'),(16,3133532,'1A',238,'N'),(16,3133559,'1',103,'N'),(16,3133567,'1',503,'N'),(16,3133575,'1',426,'N'),(16,3133575,'1A',428,'N'),(16,3133583,'1',415,'N'),(16,3133591,'1',203,'N'),(16,3133605,'1',420,'N'),(16,3133613,'1',223,'N'),(16,3133621,'1',319,'N'),(16,3133630,'1',304,'N'),(16,3133648,'1',201,'N'),(16,3133648,'1A',207,'N'),(16,3133656,'1',303,'N'),(16,3133664,'1',302,'N'),(16,3133672,'1',320,'N'),(16,3133680,'1',340,'N'),(16,3133710,'1',102,'N'),(16,3133737,'1',201,'N'),(16,3133737,'1A',212,'N'),(16,3133745,'1',203,'N'),(16,3133745,'1A',214,'N'),(16,3133761,'1',108,'N'),(16,3133788,'1',303,'N'),(16,3133796,'1',102,'N'),(16,3133800,'1',501,'N'),(16,3133818,'1',301,'N'),(16,3133826,'1',423,'N'),(16,3133826,'1A',426,'N'),(16,3133834,'1',102,'N'),(16,3133842,'1',425,'N'),(16,3133842,'1A',421,'N'),(16,3133850,'1',225,'N'),(16,3133869,'1',201,'N'),(16,3133869,'1A',212,'N'),(16,3133885,'1',501,'N'),(16,3133907,'1',102,'N'),(16,3133923,'1',301,'N'),(16,3133940,'1',319,'N'),(16,3133958,'1',301,'N'),(16,3133966,'1',303,'N'),(16,3133974,'1',415,'N'),(16,3133982,'1',216,'N'),(16,3133982,'1A',211,'N'),(16,3133990,'1',5,'N'),(16,3134008,'1',319,'N'),(16,3134016,'1',238,'N'),(16,3134016,'1A',208,'N'),(16,3134024,'1',102,'N'),(16,3134032,'1',103,'N'),(16,3134059,'1',216,'N'),(16,3134059,'1A',201,'N'),(16,3134067,'1',101,'N'),(16,3134075,'1',103,'N'),(16,3134083,'1',415,'N'),(16,3134091,'1',339,'N'),(16,3134105,'1',5,'N'),(16,3134113,'1',207,'N'),(16,3134113,'1A',211,'N'),(16,3134121,'1',222,'N'),(16,3134130,'1',220,'N'),(16,3134148,'1',103,'N'),(16,3134156,'1',444,'N'),(16,3134164,'1',101,'N'),(16,3134180,'1',309,'N'),(16,3134199,'1',223,'N'),(16,3134202,'1',201,'N'),(16,3134202,'1A',211,'N'),(16,3134210,'1',220,'N'),(16,3134229,'1',201,'N'),(16,3134229,'1A',207,'N'),(16,3134237,'1',220,'N'),(16,3134237,'1A',212,'N'),(16,3134245,'1',103,'N'),(16,3134253,'1',340,'N'),(16,3134261,'1',238,'N'),(16,3134270,'1',103,'N'),(16,3134288,'1',103,'N'),(16,3134296,'1',211,'N'),(16,3134296,'1A',216,'N'),(16,3134300,'1',303,'N'),(16,3134318,'1',203,'N'),(16,3134318,'1A',201,'N'),(16,3134326,'1',103,'N'),(16,3134334,'1',501,'N'),(16,3134342,'1',302,'N'),(16,3134350,'1',216,'N'),(16,3134350,'1A',233,'N'),(16,3134377,'1',103,'N'),(16,3134393,'1',103,'N'),(16,3134407,'1',503,'N'),(16,3134423,'1',211,'N'),(16,3134423,'1A',215,'N'),(16,3134440,'1',317,'N'),(16,3134466,'1',309,'N'),(16,3134474,'1',333,'N'),(16,3134482,'1',303,'N'),(16,3134490,'1',428,'N'),(16,3134490,'1A',426,'N'),(16,3134504,'1',102,'N'),(16,3134512,'1',203,'N'),(16,3134512,'1A',220,'N'),(16,3134539,'1',203,'N'),(16,3134539,'1A',220,'N'),(16,3134547,'1',233,'N'),(16,3134547,'1A',213,'N'),(16,3134563,'1',103,'N'),(16,3134571,'1',103,'N'),(16,3134598,'1',201,'N'),(16,3134598,'1A',212,'N'),(16,3134601,'1',452,'N'),(16,3134628,'1',3,'N'),(16,3134636,'1',503,'N'),(16,3134652,'1',103,'N'),(16,3134660,'1',104,'N'),(16,3134679,'1',415,'N'),(16,3134687,'1',303,'N'),(16,3134695,'1',429,'N'),(16,3134695,'1A',426,'N'),(16,3134709,'1',104,'N'),(16,3134717,'1',102,'N'),(16,3134725,'1',201,'N'),(16,3134725,'1A',212,'N'),(16,3134733,'1',207,'N'),(16,3134733,'1A',201,'N'),(16,3134741,'1',317,'N'),(16,3134750,'1',303,'N'),(16,3134768,'1',501,'N'),(16,3134776,'1',415,'N'),(16,3134784,'1',201,'N'),(16,3134784,'1A',207,'N'),(16,3134792,'1',103,'N'),(16,3134814,'1',452,'N'),(16,3134822,'1',108,'N'),(16,3134849,'1',103,'N'),(16,3134857,'1',309,'N'),(16,3134865,'1',404,'N'),(16,3134873,'1',104,'N'),(16,3134881,'1',303,'N'),(16,3134890,'1',316,'N'),(16,3134903,'1',102,'N'),(16,3134911,'1',101,'N'),(16,3134920,'1',238,'N'),(16,3134920,'1A',208,'N'),(16,3134938,'1',316,'N'),(16,3134946,'1',103,'N'),(16,3134954,'1',224,'N'),(16,3134989,'1',310,'N'),(16,3134997,'1',208,'N'),(16,3134997,'1A',216,'N'),(16,3135004,'1',216,'N'),(16,3135004,'1A',233,'N'),(16,3135020,'1',303,'N'),(16,3135039,'1',303,'N'),(16,3135055,'1',215,'N'),(16,3135055,'1A',233,'N'),(16,3135063,'1',203,'N'),(16,3135063,'1A',208,'N'),(16,3135071,'1',220,'N'),(16,3135071,'1A',202,'N'),(16,3135080,'1',104,'N'),(16,3135098,'1',238,'N'),(16,3135098,'1A',208,'N'),(16,3135101,'1',303,'N'),(16,3135110,'1',211,'N'),(16,3135110,'1A',201,'N'),(16,3135128,'1',201,'N'),(16,3135128,'1A',212,'N'),(16,3135136,'1',308,'N'),(16,3135144,'1',103,'N'),(16,3135152,'1',103,'N'),(16,3135160,'1',450,'N'),(16,3135179,'1',5,'N'),(16,3135195,'1',304,'N'),(16,3135209,'1',103,'N'),(16,3135217,'1',331,'N'),(16,3135225,'1',317,'N'),(16,3135233,'1',103,'N'),(16,3135250,'1',303,'N'),(16,3135268,'1',214,'N'),(16,3135268,'1A',213,'N'),(16,3135276,'1',340,'N'),(16,3135284,'1',301,'N'),(16,3135292,'1',103,'N'),(16,3135314,'1',302,'N'),(16,3135322,'1',9,'N'),(16,3135330,'1',216,'N'),(16,3135349,'1',202,'N'),(16,3135349,'1A',208,'N'),(16,3135357,'1',404,'N'),(16,3135365,'1',103,'N'),(16,3135373,'1',301,'N'),(16,3135381,'1',301,'N'),(16,3135390,'1',234,'N'),(16,3135403,'1',5,'N'),(16,3135411,'1',316,'N'),(16,3135420,'1',316,'N'),(16,3135438,'1',220,'N'),(16,3135438,'1A',201,'N'),(16,3135446,'1',415,'N'),(16,3135454,'1',103,'N'),(16,3135462,'1',309,'N'),(16,3135470,'1',303,'N'),(16,3135489,'1',202,'N'),(16,3135497,'1',319,'N'),(16,3135500,'1',502,'N'),(16,3135527,'1',316,'N'),(16,3135535,'1',214,'N'),(16,3135535,'1A',202,'N'),(16,3135543,'1',104,'N'),(16,3135551,'1',9,'N'),(16,3135560,'1',319,'N'),(16,3135578,'1',102,'N'),(16,3135586,'1',304,'N'),(16,3135608,'1',103,'N'),(16,3135616,'1',452,'N'),(16,3135624,'1',203,'N'),(16,3135624,'1A',214,'N'),(16,3135632,'1',304,'N'),(16,3135640,'1',303,'N'),(16,3135659,'1',5,'N'),(16,3135667,'1',201,'N'),(16,3135667,'1A',211,'N'),(16,3135675,'1',202,'N'),(16,3135675,'1A',213,'N'),(16,3135683,'1',220,'N'),(16,3135683,'1A',216,'N'),(16,3135705,'1',302,'N'),(16,3135713,'1',207,'N'),(16,3135713,'1A',215,'N'),(16,3135721,'1',211,'N'),(16,3135721,'1A',216,'N'),(16,3135756,'1',2,'N'),(16,3135772,'1',223,'N'),(16,3135780,'1',220,'N'),(16,3135780,'1A',214,'N'),(16,3135799,'1',103,'N'),(16,3135802,'1',203,'N'),(16,3135802,'1A',214,'N'),(16,3135829,'1',503,'N'),(16,3135837,'1',104,'N'),(16,3135845,'1',207,'N'),(16,3135845,'1A',201,'N'),(16,3135853,'1',203,'N'),(16,3135853,'1A',214,'N'),(16,3135861,'1',453,'N'),(16,3135888,'1',501,'N'),(16,3135896,'1',444,'N'),(16,3135900,'1',216,'N'),(16,3135900,'1A',211,'N'),(16,3135918,'1',420,'N'),(16,3135926,'1',215,'N'),(16,3135926,'1A',213,'N'),(16,3135934,'1',108,'N'),(16,3135942,'1',103,'N'),(16,3135950,'1',103,'N'),(16,3135977,'1',103,'N'),(16,3135985,'1',201,'N'),(16,3135985,'1A',216,'N'),(16,3136000,'1',207,'N'),(16,3136019,'1',207,'N'),(16,3136027,'1',104,'N'),(16,3136035,'1',503,'N'),(16,3136043,'1',202,'N'),(16,3136043,'1A',213,'N'),(16,3136051,'1',9,'N'),(16,3136060,'1',207,'N'),(16,3136060,'1A',201,'N'),(16,3136078,'1',423,'N'),(16,3136078,'1A',428,'N'),(16,3136094,'1',103,'N'),(16,3136108,'1',238,'N'),(16,3136108,'1A',208,'N'),(16,3136116,'1',301,'N'),(16,3136124,'1',207,'N'),(16,3136124,'1A',201,'N'),(16,3136167,'1',103,'N'),(16,3136175,'1',102,'N'),(16,3136183,'1',104,'N'),(16,3136191,'1',103,'N'),(16,3136205,'1',233,'N'),(16,3136205,'1A',211,'N'),(16,3136213,'1',216,'N'),(16,3136213,'1A',215,'N'),(16,3136221,'1',304,'N'),(16,3136230,'1',320,'N'),(16,3136248,'1',3,'N'),(16,3136256,'1',5,'N'),(16,3136264,'1',102,'N'),(16,3136272,'1',103,'N'),(16,3136280,'1',215,'N'),(16,3136280,'1A',207,'N'),(16,3136299,'1',215,'N'),(16,3136299,'1A',201,'N'),(16,3136302,'1',220,'N'),(16,3136302,'1A',201,'N'),(16,3136310,'1',201,'N'),(16,3136310,'1A',207,'N'),(16,3136329,'1',203,'N'),(16,3136337,'1',216,'N'),(16,3136345,'1',201,'N'),(16,3136345,'1A',207,'N'),(16,3136353,'1',238,'N'),(16,3136353,'1A',212,'N'),(16,3136361,'1',103,'N'),(16,3136370,'1',216,'N'),(16,3136388,'1',318,'N'),(16,3136396,'1',503,'N'),(16,3136400,'1',302,'N'),(16,3136426,'1',2,'N'),(16,3136434,'1',211,'N'),(16,3136434,'1A',215,'N'),(16,3136442,'1',5,'N'),(16,3136450,'1',104,'N'),(16,3136477,'1',103,'N'),(16,3136485,'1',301,'N'),(16,3136493,'1',208,'N'),(16,3136493,'1A',238,'N'),(16,3136515,'1',301,'N'),(16,3136523,'1',103,'N'),(16,3136531,'1',340,'N'),(16,3136540,'1',203,'N'),(16,3136540,'1A',238,'N'),(16,3136558,'1',5,'N'),(16,3136566,'1',102,'N'),(16,3136574,'1',103,'N'),(16,3136590,'1',316,'N'),(16,3136604,'1',501,'N'),(16,3136612,'1',207,'N'),(16,3136612,'1A',201,'N'),(16,3136620,'1',108,'N'),(16,3136639,'1',415,'N'),(16,3136655,'1',444,'N'),(16,3136663,'1',103,'N'),(16,3136671,'1',103,'N'),(16,3136680,'1',104,'N'),(16,3136698,'1',233,'N'),(16,3136698,'1A',215,'N'),(16,3136701,'1',211,'N'),(16,3136701,'1A',215,'N'),(16,3136710,'1',103,'N'),(16,3136728,'1',5,'N'),(16,3136736,'1',234,'N'),(16,3136744,'1',303,'N'),(16,3136752,'1',201,'N'),(16,3136752,'1A',220,'N'),(16,3136779,'1',327,'N'),(16,3136787,'1',208,'N'),(16,3136787,'1A',238,'N'),(16,3136795,'1',103,'N'),(16,3136809,'1',101,'N'),(16,3136817,'1',303,'N'),(16,3136825,'1',104,'N'),(16,3136833,'1',5,'N'),(16,3136841,'1',103,'N'),(16,3136850,'1',103,'N'),(16,3136884,'1',5,'N'),(16,3136892,'1',104,'N'),(16,3136906,'1',3,'N'),(16,3136914,'1',220,'N'),(16,3136914,'1A',233,'N'),(16,3136922,'1',302,'N'),(16,3136930,'1',103,'N'),(16,3136957,'1',211,'N'),(16,3136957,'1A',215,'N'),(16,3136965,'1',301,'N'),(16,3136973,'1',234,'N'),(16,3136981,'1',203,'N'),(16,3136981,'1A',220,'N'),(16,3136990,'1',211,'N'),(16,3136990,'1A',215,'N'),(16,3137007,'1',103,'N'),(16,3137015,'1',214,'N'),(16,3137015,'1A',233,'N'),(16,3137023,'1',103,'N'),(16,3137031,'1',238,'N'),(16,3137058,'1',208,'N'),(16,3137058,'1A',238,'N'),(16,3137066,'1',214,'N'),(16,3137066,'1A',220,'N'),(16,3137074,'1',316,'N'),(16,3137082,'1',211,'N'),(16,3137082,'1A',233,'N'),(16,3137090,'1',216,'N'),(16,3137090,'1A',215,'N'),(16,3137112,'1',108,'N'),(16,3137120,'1',9,'N'),(16,3137139,'1',503,'N'),(16,3137147,'1',425,'N'),(16,3137147,'1A',423,'N'),(16,3137155,'1',207,'N'),(16,3137155,'1A',212,'N'),(16,3137163,'1',2,'N'),(16,3137171,'1',501,'N'),(16,3137198,'1',201,'N'),(16,3137198,'1A',207,'N'),(16,3137201,'1',234,'N'),(16,3137210,'1',302,'N'),(16,3137228,'1',340,'N'),(16,3137236,'1',201,'N'),(16,3137236,'1A',212,'N'),(16,3137244,'1',214,'N'),(16,3137244,'1A',203,'N'),(16,3137252,'1',103,'N'),(16,3137279,'1',208,'N'),(16,3137279,'1A',238,'N'),(16,3137287,'1',201,'N'),(16,3137287,'1A',233,'N'),(16,3137295,'1',207,'N'),(16,3137295,'1A',201,'N'),(16,3137309,'1',216,'N'),(16,3137317,'1',207,'N'),(16,3137325,'1',103,'N'),(16,3137333,'1',429,'N'),(16,3137341,'1',207,'N'),(16,3137350,'1',404,'N'),(16,3137368,'1',2,'N'),(16,3137384,'1',203,'N'),(16,3137384,'1A',214,'N'),(16,3137392,'1',220,'N'),(16,3137392,'1A',202,'N'),(16,3137406,'1',211,'N'),(16,3137406,'1A',215,'N'),(16,3137414,'1',104,'N'),(16,3137422,'1',429,'N'),(16,3137422,'1A',426,'N'),(16,3137430,'1',425,'N'),(16,3137430,'1A',429,'N'),(16,3137449,'1',101,'N'),(16,3137457,'1',316,'N'),(16,3137465,'1',301,'N'),(16,3137473,'1',103,'N'),(16,3137481,'1',9,'N'),(16,3137490,'1',201,'N'),(16,3137490,'1A',203,'N'),(16,3137503,'1',452,'N'),(16,3137511,'1',215,'N'),(16,3137511,'1A',216,'N'),(16,3137520,'1',103,'N'),(16,3137538,'1',103,'N'),(16,3137546,'1',103,'N'),(16,3137554,'1',103,'N'),(16,3137562,'1',203,'N'),(16,3137562,'1A',211,'N'),(16,3137570,'1',104,'N'),(16,3137589,'1',203,'N'),(16,3137589,'1A',201,'N'),(16,3137597,'1',208,'N'),(16,3137597,'1A',238,'N'),(16,3137600,'1',103,'N'),(16,3137619,'1',404,'N'),(16,3137627,'1',303,'N'),(16,3137635,'1',207,'N'),(16,3137635,'1A',201,'N'),(16,3137651,'1',101,'N'),(16,3137660,'1',302,'N'),(16,3137678,'1',103,'N'),(16,3137686,'1',9,'N'),(16,3137694,'1',415,'N'),(16,3137708,'1',103,'N'),(16,3137716,'1',5,'N'),(16,3137724,'1',203,'N'),(16,3137724,'1A',214,'N'),(16,3137740,'1',203,'N'),(16,3137759,'1',301,'N'),(16,3137767,'1',3,'N'),(16,3137775,'1',453,'N'),(16,3137791,'1',103,'N'),(16,3137805,'1',220,'N'),(16,3137805,'1A',214,'N'),(16,3137813,'1',103,'N'),(16,3137821,'1',103,'N'),(16,3137848,'1',103,'N'),(16,3137856,'1',302,'N'),(16,3137864,'1',420,'N'),(16,3137872,'1',319,'N'),(16,3137899,'1',303,'N'),(16,3137910,'1',303,'N'),(16,3137929,'1',332,'N'),(16,3137937,'1',103,'N'),(16,3137953,'1',203,'N'),(16,3137961,'1',214,'N'),(16,3137961,'1A',212,'N'),(16,3137988,'1',207,'N'),(16,3137988,'1A',212,'N'),(16,3137996,'1',5,'N'),(16,3138003,'1',201,'N'),(16,3138003,'1A',212,'N'),(16,3138011,'1',340,'N'),(16,3138038,'1',207,'N'),(16,3138038,'1A',201,'N'),(16,3138062,'1',103,'N'),(16,3138070,'1',103,'N'),(16,3138097,'1',444,'N'),(16,3138119,'1',103,'N'),(16,3138127,'1',203,'N'),(16,3138127,'1A',201,'N'),(16,3138135,'1',211,'N'),(16,3138135,'1A',216,'N'),(16,3138143,'1',208,'N'),(16,3138143,'1A',220,'N'),(16,3138151,'1',103,'N'),(16,3138160,'1',415,'N'),(16,3138178,'1',415,'N'),(16,3138186,'1',103,'N'),(16,3138208,'1',238,'N'),(16,3138208,'1A',208,'N'),(16,3138224,'1',201,'N'),(16,3138224,'1A',212,'N'),(16,3138240,'1',103,'N'),(16,3138259,'1',318,'N'),(16,3138275,'1',103,'N'),(16,3138283,'1',201,'N'),(16,3138283,'1A',202,'N'),(16,3138291,'1',103,'N'),(16,3138321,'1',5,'N'),(16,3138330,'1',303,'N'),(16,3138348,'1',203,'N'),(16,3138348,'1A',214,'N'),(16,3138356,'1',104,'N'),(16,3138364,'1',208,'N'),(16,3138364,'1A',238,'N'),(16,3138372,'1',207,'N'),(16,3138372,'1A',233,'N'),(16,3138380,'1',444,'N'),(16,3138402,'1',207,'N'),(16,3138402,'1A',212,'N'),(16,3138410,'1',207,'N'),(16,3138410,'1A',211,'N'),(16,3138429,'1',304,'N'),(16,3138437,'1',211,'N'),(16,3138437,'1A',201,'N'),(16,3138445,'1',233,'N'),(16,3138445,'1A',211,'N'),(16,3138453,'1',202,'N'),(16,3138453,'1A',201,'N'),(16,3138461,'1',103,'N'),(16,3138470,'1',220,'N'),(16,3138470,'1A',202,'N'),(16,3138488,'1',453,'N'),(16,3138496,'1',222,'N'),(16,3138500,'1',220,'N'),(16,3138500,'1A',208,'N'),(16,3138518,'1',340,'N'),(16,3138526,'1',201,'N'),(16,3138526,'1A',238,'N'),(16,3138534,'1',203,'N'),(16,3138534,'1A',202,'N'),(16,3138542,'1',103,'N'),(16,3138577,'1',5,'N'),(16,3138585,'1',207,'N'),(16,3138585,'1A',201,'N'),(16,3138593,'1',103,'N'),(16,3138607,'1',319,'N'),(16,3138615,'1',103,'N'),(16,3138623,'1',501,'N'),(16,3138631,'1',203,'N'),(16,3138631,'1A',201,'N'),(16,3138658,'1',304,'N'),(16,3138674,'1',103,'N'),(16,3138682,'1',3,'N'),(16,3138690,'1',102,'N'),(16,3138704,'1',203,'N'),(16,3138704,'1A',214,'N'),(16,3138712,'1',108,'N'),(16,3138720,'1',103,'N'),(16,3138739,'1',318,'N'),(16,3138747,'1',304,'N'),(16,3138755,'1',108,'N'),(16,3138763,'1',340,'N'),(16,3138771,'1',103,'N'),(16,3138780,'1',201,'N'),(16,3138780,'1A',213,'N'),(16,3138798,'1',103,'N'),(16,3138810,'1',340,'N'),(16,3138836,'1',444,'N'),(16,3138844,'1',103,'N'),(16,3138852,'1',415,'N'),(16,3138860,'1',103,'N'),(16,3138895,'1',319,'N'),(16,3138909,'1',503,'N'),(16,3138917,'1',340,'N'),(16,3138925,'1',208,'N'),(16,3138925,'1A',238,'N'),(16,3138933,'1',340,'N'),(16,3138941,'1',203,'N'),(16,3138941,'1A',220,'N'),(16,3138950,'1',201,'N'),(16,3138950,'1A',207,'N'),(16,3138968,'1',328,'N'),(16,3138976,'1',310,'N'),(16,3138984,'1',103,'N'),(16,3138992,'1',328,'N'),(16,3139000,'1',211,'N'),(16,3139000,'1A',233,'N'),(16,3139018,'1',340,'N'),(16,3139034,'1',303,'N'),(16,3139042,'1',104,'N'),(16,3139050,'1',104,'N'),(16,3139069,'1',104,'N'),(16,3139077,'1',201,'N'),(16,3139077,'1A',207,'N'),(16,3139085,'1',108,'N'),(16,3139093,'1',429,'N'),(16,3139107,'1',103,'N'),(16,3139115,'1',444,'N'),(16,3139140,'1',303,'N'),(16,3139166,'1',303,'N'),(16,3139174,'1',208,'N'),(16,3139174,'1A',203,'N'),(16,3139182,'1',103,'N'),(16,3139190,'1',303,'N'),(16,3139204,'1',452,'N'),(16,3139212,'1',103,'N'),(16,3139220,'1',424,'N'),(16,3139220,'1A',421,'N'),(16,3139247,'1',103,'N'),(16,3139255,'1',201,'N'),(16,3139255,'1A',212,'N'),(16,3139263,'1',103,'N'),(16,3139280,'1',302,'N'),(16,3139298,'1',319,'N'),(16,3139301,'1',103,'N'),(16,3139310,'1',340,'N'),(16,3139328,'1',214,'N'),(16,3139328,'1A',212,'N'),(16,3139344,'1',303,'N'),(16,3139352,'1',103,'N'),(16,3139379,'1',102,'N'),(16,3139387,'1',222,'N'),(16,3139395,'1',208,'N'),(16,3139395,'1A',211,'N'),(16,3139409,'1',308,'N'),(16,3139417,'1',211,'N'),(16,3139417,'1A',216,'N'),(16,3139425,'1',421,'N'),(16,3139425,'1A',424,'N'),(16,3139433,'1',340,'N'),(16,3139441,'1',339,'N'),(16,3139450,'1',501,'N'),(16,3139476,'1',340,'N'),(16,3139484,'1',317,'N'),(16,3139492,'1',207,'N'),(16,3139492,'1A',201,'N'),(16,3139506,'1',453,'N'),(16,3139522,'1',103,'N'),(16,3139530,'1',318,'N'),(16,3139549,'1',207,'N'),(16,3139549,'1A',233,'N'),(16,3139565,'1',340,'N'),(16,3139581,'1',301,'N'),(16,3139590,'1',224,'N'),(16,3139603,'1',108,'N'),(16,3139620,'1',5,'N'),(16,3139638,'1',103,'N'),(16,3139646,'1',108,'N'),(16,3139654,'1',102,'N'),(16,3139662,'1',3,'N'),(16,3139670,'1',211,'N'),(16,3139670,'1A',220,'N'),(16,3139689,'1',103,'N'),(16,3139697,'1',5,'N'),(16,3139700,'1',103,'N'),(16,3139735,'1',3,'N'),(16,3139743,'1',301,'N'),(16,3139760,'1',211,'N'),(16,3139760,'1A',215,'N'),(16,3139786,'1',319,'N'),(16,3139794,'1',225,'N'),(16,3139824,'1',207,'N'),(16,3139824,'1A',201,'N'),(16,3139859,'1',318,'N'),(16,3139867,'1',5,'N'),(16,3139883,'1',103,'N'),(16,3139891,'1',316,'N'),(16,3139913,'1',207,'N'),(16,3139913,'1A',211,'N'),(16,3139921,'1',238,'N'),(16,3139948,'1',238,'N'),(16,3139948,'1A',208,'N'),(16,3139956,'1',108,'N'),(16,3139972,'1',104,'N'),(16,3139980,'1',104,'N'),(16,3139999,'1',102,'N'),(16,3140016,'1',319,'N'),(16,3140032,'1',453,'N'),(16,3140040,'1',207,'N'),(16,3140040,'1A',201,'N'),(16,3140059,'1',453,'N'),(16,3140067,'1',208,'N'),(16,3140067,'1A',238,'N'),(16,3140075,'1',203,'N'),(16,3140075,'1A',202,'N'),(16,3140091,'1',319,'N'),(16,3140105,'1',317,'N'),(16,3140113,'1',238,'N'),(16,3140113,'1A',208,'N'),(16,3140121,'1',103,'N'),(16,3140130,'1',5,'N'),(16,3140156,'1',340,'N'),(16,3140172,'1',104,'N'),(16,3140180,'1',444,'N'),(16,3140199,'1',214,'N'),(16,3140199,'1A',203,'N'),(16,3140202,'1',340,'N'),(16,3140210,'1',452,'N'),(16,3140229,'1',103,'N'),(16,3140237,'1',428,'N'),(16,3140237,'1A',426,'N'),(16,3140245,'1',502,'N'),(16,3140253,'1',104,'N'),(16,3140261,'1',207,'N'),(16,3140261,'1A',201,'N'),(16,3140270,'1',203,'N'),(16,3140296,'1',208,'N'),(16,3140296,'1A',238,'N'),(16,3140300,'1',103,'N'),(16,3140318,'1',201,'N'),(16,3140318,'1A',212,'N'),(16,3140326,'1',203,'N'),(16,3140326,'1A',214,'N'),(16,3140334,'1',103,'N'),(16,3140342,'1',333,'N'),(16,3140350,'1',303,'N'),(16,3140369,'1',324,'N'),(16,3140385,'1',234,'N'),(16,3140393,'1',103,'N'),(16,3140407,'1',216,'N'),(16,3140407,'1A',201,'N'),(16,3140415,'1',103,'N'),(16,3140431,'1',201,'N'),(16,3140440,'1',207,'N'),(16,3140440,'1A',201,'N'),(16,3140458,'1',201,'N'),(16,3140458,'1A',207,'N'),(16,3140474,'1',238,'N'),(16,3140474,'1A',211,'N'),(16,3140482,'1',211,'N'),(16,3140482,'1A',201,'N'),(16,3140490,'1',319,'N'),(16,3140504,'1',502,'N'),(16,3140512,'1',103,'N'),(16,3140520,'1',302,'N'),(16,3140547,'1',303,'N'),(16,3140555,'1',340,'N'),(16,3140563,'1',215,'N'),(16,3140563,'1A',216,'N'),(16,3140598,'1',103,'N'),(16,3140601,'1',201,'N'),(16,3140601,'1A',208,'N'),(16,3140610,'1',104,'N'),(16,3140628,'1',220,'N'),(16,3140628,'1A',203,'N'),(16,3140644,'1',303,'N'),(16,3140660,'1',207,'N'),(16,3140679,'1',428,'N'),(16,3140679,'1A',426,'N'),(16,3140687,'1',211,'N'),(16,3140687,'1A',202,'N'),(16,3140695,'1',503,'N'),(16,3140709,'1',502,'N'),(16,3140717,'1',233,'N'),(16,3140717,'1A',238,'N'),(16,3140725,'1',103,'N'),(16,3140733,'1',104,'N'),(16,3140741,'1',303,'N'),(16,3140750,'1',404,'N'),(16,3140768,'1',223,'N'),(16,3140776,'1',317,'N'),(16,3140784,'1',503,'N'),(16,3140822,'1',208,'N'),(16,3140822,'1A',238,'N'),(16,3140849,'1',238,'N'),(16,3140849,'1A',208,'N'),(16,3140857,'1',453,'N'),(16,3140865,'1',201,'N'),(16,3140865,'1A',208,'N'),(16,3140903,'1',216,'N'),(16,3140903,'1A',215,'N'),(16,3140911,'1',103,'N'),(16,3140920,'1',101,'N'),(16,3140938,'1',303,'N'),(16,3140946,'1',234,'N'),(16,3140954,'1',208,'N'),(16,3140954,'1A',238,'N'),(16,3140962,'1',103,'N'),(16,3140970,'1',103,'N'),(16,3140989,'1',203,'N'),(16,3140989,'1A',214,'N'),(16,3140997,'1',220,'N'),(16,3140997,'1A',208,'N'),(16,3141004,'1',301,'N'),(16,3141012,'1',104,'N'),(16,3141020,'1',201,'N'),(16,3141020,'1A',212,'N'),(16,3141039,'1',103,'N'),(16,3141055,'1',203,'N'),(16,3141055,'1A',220,'N'),(16,3141063,'1',220,'N'),(16,3141063,'1A',213,'N'),(16,3141071,'1',223,'N'),(16,3141080,'1',501,'N'),(16,3141098,'1',9,'N'),(16,3141101,'1',340,'N'),(16,3141110,'1',214,'N'),(16,3141110,'1A',213,'N'),(16,3141128,'1',102,'N'),(16,3141136,'1',103,'N'),(16,3141144,'1',303,'N'),(16,3141152,'1',201,'N'),(16,3141152,'1A',212,'N'),(16,3141179,'1',203,'N'),(16,3141179,'1A',214,'N'),(16,3141187,'1',103,'N'),(16,3141195,'1',333,'N'),(16,3141217,'1',203,'N'),(16,3141225,'1',103,'N'),(16,3141233,'1',316,'N'),(16,3141241,'1',201,'N'),(16,3141241,'1A',207,'N'),(16,3141250,'1',103,'N'),(16,3141268,'1',310,'N'),(16,3141292,'1',102,'N'),(16,3141306,'1',501,'N'),(16,3141314,'1',9,'N'),(16,3141322,'1',303,'N'),(16,3141330,'1',104,'N'),(16,3141349,'1',9,'N'),(16,3141357,'1',238,'N'),(16,3141357,'1A',233,'N'),(16,3141365,'1',103,'N'),(16,3141373,'1',102,'N'),(16,3141381,'1',212,'N'),(16,3141381,'1A',213,'N'),(16,3141390,'1',444,'N'),(16,3141403,'1',223,'N'),(16,3141411,'1',201,'N'),(16,3141411,'1A',207,'N'),(16,3141420,'1',201,'N'),(16,3141420,'1A',212,'N'),(16,3141438,'1',103,'N'),(16,3141446,'1',203,'N'),(16,3141446,'1A',214,'N'),(16,3141462,'1',238,'N'),(16,3141489,'1',238,'N'),(16,3141497,'1',215,'N'),(16,3141497,'1A',233,'N'),(16,3141500,'1',415,'N'),(16,3141519,'1',216,'N'),(16,3141519,'1A',211,'N'),(16,3141543,'1',207,'N'),(16,3141543,'1A',211,'N'),(16,3141551,'1',103,'N'),(16,3141560,'1',238,'N'),(16,3141560,'1A',233,'N'),(16,3141578,'1',302,'N'),(16,3141586,'1',304,'N'),(16,3141594,'1',333,'N'),(16,3141608,'1',108,'N'),(16,3141624,'1',103,'N'),(16,3141632,'1',104,'N'),(16,3141659,'1',340,'N'),(16,3141667,'1',5,'N'),(16,3141675,'1',216,'N'),(16,3141683,'1',340,'N'),(16,3141691,'1',331,'N'),(16,3141705,'1',5,'N'),(16,3141730,'1',101,'N'),(16,3141756,'1',340,'N'),(16,3141764,'1',103,'N'),(16,3141772,'1',203,'N'),(16,3141772,'1A',214,'N'),(16,3141780,'1',303,'N'),(16,3141799,'1',103,'N'),(16,3141802,'1',103,'N'),(16,3141810,'1',103,'N'),(16,3141829,'1',216,'N'),(16,3141829,'1A',220,'N'),(16,3141837,'1',415,'N'),(16,3141845,'1',302,'N'),(16,3141853,'1',203,'N'),(16,3141853,'1A',214,'N'),(16,3141861,'1',450,'N'),(16,3141870,'1',501,'N'),(16,3141888,'1',2,'N'),(16,3141896,'1',103,'N'),(16,3141918,'1',104,'N'),(16,3141926,'1',108,'N'),(16,3141934,'1',340,'N'),(16,3141942,'1',101,'N'),(16,3141969,'1',224,'N'),(16,3141985,'1',215,'N'),(16,3141985,'1A',233,'N'),(16,3141993,'1',208,'N'),(16,3141993,'1A',238,'N'),(16,3142000,'1',201,'N'),(16,3142000,'1A',233,'N'),(16,3142027,'1',103,'N'),(16,3142043,'1',415,'N'),(16,3142051,'1',201,'N'),(16,3142051,'1A',211,'N'),(16,3142060,'1',319,'N'),(16,3142078,'1',220,'N'),(16,3142078,'1A',203,'N'),(16,3142086,'1',9,'N'),(16,3142094,'1',233,'N'),(16,3142094,'1A',215,'N'),(16,3142108,'1',104,'N'),(16,3142116,'1',103,'N'),(16,3142132,'1',211,'N'),(16,3142132,'1A',215,'N'),(16,3142140,'1',103,'N'),(16,3142159,'1',203,'N'),(16,3142159,'1A',202,'N'),(16,3142167,'1',301,'N'),(16,3142175,'1',203,'N'),(16,3142175,'1A',233,'N'),(16,3142183,'1',103,'N'),(16,3142191,'1',415,'N'),(16,3142213,'1',102,'N'),(16,3142221,'1',220,'N'),(16,3142221,'1A',202,'N'),(16,3142230,'1',103,'N'),(16,3142248,'1',324,'N'),(16,3142256,'1',214,'N'),(16,3142264,'1',303,'N'),(16,3142272,'1',103,'N'),(16,3142280,'1',104,'N'),(16,3142299,'1',103,'N'),(16,3142302,'1',420,'N'),(16,3142310,'1',201,'N'),(16,3142310,'1A',212,'N'),(16,3142329,'1',104,'N'),(16,3142337,'1',502,'N'),(16,3142345,'1',502,'N'),(16,3142353,'1',5,'N'),(16,3142370,'1',327,'N'),(16,3142388,'1',404,'N'),(16,3142396,'1',333,'N'),(16,3142400,'1',318,'N'),(16,3142418,'1',9,'N'),(16,3142426,'1',103,'N'),(16,3142434,'1',444,'N'),(16,3142442,'1',102,'N'),(16,3142469,'1',5,'N'),(16,3142477,'1',9,'N'),(16,3142485,'1',101,'N'),(16,3142493,'1',213,'N'),(16,3142493,'1A',214,'N'),(16,3142507,'1',212,'N'),(16,3142507,'1A',214,'N'),(16,3142515,'1',340,'N'),(16,3142523,'1',308,'N'),(16,3142540,'1',103,'N'),(16,3142558,'1',214,'N'),(16,3142558,'1A',213,'N'),(16,3142566,'1',104,'N'),(16,3142574,'1',216,'N'),(16,3142574,'1A',215,'N'),(16,3142582,'1',303,'N'),(16,3142590,'1',317,'N'),(16,3142604,'1',212,'N'),(16,3142604,'1A',214,'N'),(16,3142612,'1',104,'N'),(16,3142620,'1',101,'N'),(16,3142647,'1',211,'N'),(16,3142647,'1A',233,'N'),(16,3142655,'1',103,'N'),(16,3142663,'1',103,'N'),(16,3142698,'1',108,'N'),(16,3142701,'1',450,'N'),(16,3142710,'1',317,'N'),(16,3142728,'1',502,'N'),(16,3142736,'1',304,'N'),(16,3142744,'1',333,'N'),(16,3142752,'1',220,'N'),(16,3142752,'1A',216,'N'),(16,3142779,'1',220,'N'),(16,3142779,'1A',233,'N'),(16,3142787,'1',308,'N'),(16,3142795,'1',301,'N'),(16,3142809,'1',223,'N'),(16,3142817,'1',427,'N'),(16,3142817,'1A',424,'N'),(16,3142825,'1',215,'N'),(16,3142825,'1A',211,'N'),(16,3142841,'1',104,'N'),(16,3142850,'1',214,'N'),(16,3142850,'1A',201,'N'),(16,3142868,'1',102,'N'),(16,3142884,'1',201,'N'),(16,3142884,'1A',212,'N'),(16,3142892,'1',501,'N'),(16,3142906,'1',415,'N'),(16,3142914,'1',339,'N'),(16,3142957,'1',103,'N'),(16,3142965,'1',104,'N'),(16,3142973,'1',320,'N'),(16,3142981,'1',415,'N'),(16,3142990,'1',103,'N'),(16,3143007,'1',201,'N'),(16,3143007,'1A',207,'N'),(16,3143015,'1',202,'N'),(16,3143015,'1A',238,'N'),(16,3143023,'1',103,'N'),(16,3143031,'1',103,'N'),(16,3143040,'1',5,'N'),(16,3143074,'1',207,'N'),(16,3143074,'1A',220,'N'),(16,3143082,'1',201,'N'),(16,3143082,'1A',212,'N'),(16,3143090,'1',103,'N'),(16,3143104,'1',101,'N'),(16,3143112,'1',207,'N'),(16,3143112,'1A',201,'N'),(16,3143139,'1',108,'N'),(16,3143147,'1',103,'N'),(16,3143155,'1',202,'N'),(16,3143155,'1A',220,'N'),(16,3143163,'1',5,'N'),(16,3143180,'1',214,'N'),(16,3143180,'1A',207,'N'),(16,3143198,'1',103,'N'),(16,3143201,'1',103,'N'),(16,3143210,'1',103,'N'),(16,3143228,'1',108,'N'),(16,3143236,'1',238,'N'),(16,3143236,'1A',208,'N'),(16,3143252,'1',502,'N'),(16,3143260,'1',104,'N'),(16,3143287,'1',303,'N'),(16,3143295,'1',308,'N'),(16,3143309,'1',415,'N'),(16,3143317,'1',202,'N'),(16,3143325,'1',101,'N'),(16,3143350,'1',340,'N'),(16,3143368,'1',303,'N'),(16,3143376,'1',444,'N'),(16,3143384,'1',317,'N'),(16,3143392,'1',319,'N'),(16,3143414,'1',102,'N'),(16,3143422,'1',303,'N'),(16,3143430,'1',303,'N'),(16,3143449,'1',208,'N'),(16,3143449,'1A',203,'N'),(16,3143457,'1',503,'N'),(16,3143465,'1',319,'N'),(16,3143473,'1',208,'N'),(16,3143473,'1A',202,'N'),(16,3143490,'1',220,'N'),(16,3143490,'1A',202,'N'),(16,3143503,'1',316,'N'),(16,3143511,'1',340,'N'),(16,3143520,'1',340,'N'),(16,3143538,'1',9,'N'),(16,3143546,'1',309,'N'),(16,3143554,'1',340,'N'),(16,3143562,'1',319,'N'),(16,3143570,'1',301,'N'),(16,3143589,'1',103,'N'),(16,3143600,'1',103,'N'),(16,3143619,'1',420,'N'),(16,3143627,'1',202,'N'),(16,3143627,'1A',208,'N'),(16,3143635,'1',103,'N'),(16,3143643,'1',215,'N'),(16,3143643,'1A',216,'N'),(16,3143651,'1',453,'N'),(16,3143660,'1',103,'N'),(16,3143678,'1',302,'N'),(16,3143686,'1',103,'N'),(16,3143694,'1',308,'N'),(16,3143708,'1',238,'N'),(16,3143708,'1A',220,'N'),(16,3143716,'1',303,'N'),(16,3143724,'1',108,'N'),(16,3143732,'1',211,'N'),(16,3143740,'1',104,'N'),(16,3143767,'1',103,'N'),(16,3143775,'1',203,'N'),(16,3143775,'1A',202,'N'),(16,3143783,'1',201,'N'),(16,3143783,'1A',212,'N'),(16,3143791,'1',104,'N'),(16,3143805,'1',339,'N'),(16,3143821,'1',420,'N'),(16,3143830,'1',103,'N'),(16,3143848,'1',201,'N'),(16,3143848,'1A',212,'N'),(16,3143856,'1',234,'N'),(16,3143864,'1',103,'N'),(16,3143872,'1',415,'N'),(16,3143880,'1',501,'N'),(16,3143899,'1',501,'N'),(16,3143902,'1',415,'N'),(16,3143910,'1',102,'N'),(16,3143929,'1',450,'N'),(16,3143937,'1',211,'N'),(16,3143937,'1A',215,'N'),(16,3143953,'1',326,'N'),(16,3143961,'1',9,'N'),(16,3143970,'1',302,'N'),(16,3143996,'1',203,'N'),(16,3143996,'1A',216,'N'),(16,3144003,'1',104,'N'),(16,3144038,'1',208,'N'),(16,3144038,'1A',238,'N'),(16,3144046,'1',102,'N'),(16,3144054,'1',203,'N'),(16,3144054,'1A',220,'N'),(16,3144062,'1',301,'N'),(16,3144070,'1',223,'N'),(16,3144089,'1',103,'N'),(16,3144100,'1',201,'N'),(16,3144100,'1A',212,'N'),(16,3144127,'1',216,'N'),(16,3144127,'1A',215,'N'),(16,3144135,'1',303,'N'),(16,3144143,'1',216,'N'),(16,3144143,'1A',238,'N'),(16,3144151,'1',340,'N'),(16,3144186,'1',103,'N'),(16,3144194,'1',238,'N'),(16,3144194,'1A',215,'N'),(16,3144208,'1',302,'N'),(16,3144216,'1',103,'N'),(16,3144224,'1',203,'N'),(16,3144224,'1A',233,'N'),(16,3144232,'1',303,'N'),(16,3144240,'1',101,'N'),(16,3144259,'1',103,'N'),(16,3144267,'1',207,'N'),(16,3144267,'1A',214,'N'),(16,3144283,'1',303,'N'),(16,3144291,'1',215,'N'),(16,3144291,'1A',233,'N'),(16,3144305,'1',215,'N'),(16,3144305,'1A',216,'N'),(16,3144313,'1',103,'N'),(16,3144321,'1',452,'N'),(16,3144348,'1',211,'N'),(16,3144348,'1A',201,'N'),(16,3144356,'1',340,'N'),(16,3144364,'1',103,'N'),(16,3144372,'1',5,'N'),(16,3144380,'1',203,'N'),(16,3144380,'1A',202,'N'),(16,3144399,'1',103,'N'),(16,3144402,'1',309,'N'),(16,3144410,'1',423,'N'),(16,3144410,'1A',428,'N'),(16,3144429,'1',238,'N'),(16,3144429,'1A',208,'N'),(16,3144437,'1',103,'N'),(16,3144445,'1',444,'N'),(16,3144453,'1',102,'N'),(16,3144461,'1',103,'N'),(16,3144470,'1',332,'N'),(16,3144488,'1',207,'N'),(16,3144488,'1A',201,'N'),(16,3144496,'1',420,'N'),(16,3144500,'1',203,'N'),(16,3144500,'1A',216,'N'),(16,3144518,'1',319,'N'),(16,3144542,'1',216,'N'),(16,3144542,'1A',201,'N'),(16,3144550,'1',220,'N'),(16,3144550,'1A',214,'N'),(16,3144569,'1',5,'N'),(16,3144577,'1',203,'N'),(16,3144577,'1A',202,'N'),(16,3144607,'1',233,'N'),(16,3144607,'1A',213,'N'),(16,3144615,'1',214,'N'),(16,3144615,'1A',216,'N'),(16,3144623,'1',201,'N'),(16,3144623,'1A',203,'N'),(16,3144631,'1',333,'N'),(16,3144640,'1',238,'N'),(16,3144640,'1A',208,'N'),(16,3144666,'1',203,'N'),(16,3144666,'1A',214,'N'),(16,3144674,'1',103,'N'),(16,3144682,'1',318,'N'),(16,3144690,'1',3,'N'),(16,3144704,'1',103,'N'),(16,3144712,'1',310,'N'),(16,3144720,'1',202,'N'),(16,3144720,'1A',203,'N'),(16,3144739,'1',214,'N'),(16,3144739,'1A',211,'N'),(16,3144747,'1',103,'N'),(16,3144755,'1',202,'N'),(16,3144755,'1A',213,'N'),(16,3144763,'1',453,'N'),(16,3144771,'1',211,'N'),(16,3144798,'1',327,'N'),(16,3144801,'1',207,'N'),(16,3144801,'1A',201,'N'),(16,3144828,'1',201,'N'),(16,3144828,'1A',212,'N'),(16,3144836,'1',451,'N'),(16,3144844,'1',452,'N'),(16,3144852,'1',9,'N'),(16,3144879,'1',415,'N'),(16,3144895,'1',216,'N'),(16,3144909,'1',303,'N'),(16,3144925,'1',216,'N'),(16,3144933,'1',340,'N'),(16,3144941,'1',216,'N'),(16,3144941,'1A',233,'N'),(16,3144976,'1',203,'N'),(16,3144976,'1A',202,'N'),(16,3144984,'1',238,'N'),(16,3144984,'1A',208,'N'),(16,3144992,'1',301,'N'),(16,3145000,'1',201,'N'),(16,3145000,'1A',212,'N'),(16,3145026,'1',103,'N'),(16,3145034,'1',207,'N'),(16,3145034,'1A',201,'N'),(16,3145077,'1',211,'N'),(16,3145077,'1A',201,'N'),(16,3145093,'1',452,'N'),(16,3145107,'1',222,'N'),(16,3145115,'1',203,'N'),(16,3145123,'1',202,'N'),(16,3145140,'1',201,'N'),(16,3145140,'1A',212,'N'),(16,3145158,'1',302,'N'),(16,3145166,'1',203,'N'),(16,3145166,'1A',201,'N'),(16,3145174,'1',328,'N'),(16,3145182,'1',201,'N'),(16,3145182,'1A',207,'N'),(16,3145190,'1',203,'N'),(16,3145190,'1A',207,'N'),(16,3145204,'1',5,'N'),(16,3145212,'1',225,'N'),(16,3145239,'1',207,'N'),(16,3145247,'1',318,'N'),(16,3145255,'1',451,'N'),(16,3145263,'1',340,'N'),(16,3145280,'1',103,'N'),(16,3145298,'1',203,'N'),(16,3145298,'1A',216,'N'),(16,3145328,'1',502,'N'),(16,3145336,'1',2,'N'),(16,3145344,'1',302,'N'),(16,3145352,'1',103,'N'),(16,3145360,'1',326,'N'),(16,3145379,'1',329,'N'),(16,3145387,'1',303,'N'),(16,3145409,'1',444,'N'),(16,3145417,'1',340,'N'),(16,3145425,'1',308,'N'),(16,3145433,'1',444,'N'),(16,3145441,'1',332,'N'),(16,3145450,'1',211,'N'),(16,3145450,'1A',216,'N'),(16,3145468,'1',340,'N'),(16,3145476,'1',207,'N'),(16,3145476,'1A',216,'N'),(16,3145484,'1',340,'N'),(16,3145506,'1',103,'N'),(16,3145514,'1',103,'N'),(16,3145530,'1',103,'N'),(16,3145549,'1',316,'N'),(16,3145557,'1',202,'N'),(16,3145557,'1A',203,'N'),(16,3145565,'1',301,'N'),(16,3145573,'1',310,'N'),(16,3145581,'1',9,'N'),(16,3145590,'1',340,'N'),(16,3145611,'1',317,'N'),(16,3145620,'1',104,'N'),(16,3145638,'1',103,'N'),(16,3145646,'1',308,'N'),(16,3145654,'1',404,'N'),(16,3145662,'1',207,'N'),(16,3145662,'1A',211,'N'),(16,3145670,'1',201,'N'),(16,3145670,'1A',211,'N'),(16,3145689,'1',233,'N'),(16,3145689,'1A',213,'N'),(16,3145700,'1',426,'N'),(16,3145700,'1A',428,'N'),(16,3145719,'1',103,'N'),(16,3145727,'1',444,'N'),(16,3145743,'1',201,'N'),(16,3145743,'1A',212,'N'),(16,3145751,'1',319,'N'),(16,3145760,'1',453,'N'),(16,3145778,'1',101,'N'),(16,3145786,'1',328,'N'),(16,3145794,'1',223,'N'),(16,3145808,'1',5,'N'),(16,3145816,'1',103,'N'),(16,3145824,'1',223,'N'),(16,3145832,'1',103,'N'),(16,3145840,'1',102,'N'),(16,3145859,'1',202,'N'),(16,3145859,'1A',216,'N'),(16,3145867,'1',103,'N'),(16,3145875,'1',316,'N'),(16,3145891,'1',201,'N'),(16,3145891,'1A',216,'N'),(16,3145921,'1',216,'N'),(16,3145921,'1A',201,'N'),(16,3145930,'1',103,'N'),(16,3145948,'1',5,'N'),(16,3145956,'1',214,'N'),(16,3145956,'1A',238,'N'),(16,3145964,'1',415,'N'),(16,3145972,'1',333,'N'),(16,3145980,'1',233,'N'),(16,3145980,'1A',216,'N'),(16,3145999,'1',207,'N'),(16,3145999,'1A',201,'N'),(16,3146006,'1',333,'N'),(16,3146014,'1',103,'N'),(16,3146030,'1',303,'N'),(16,3146049,'1',207,'N'),(16,3146049,'1A',201,'N'),(16,3146073,'1',5,'N'),(16,3146081,'1',453,'N'),(16,3146090,'1',9,'N'),(16,3146103,'1',208,'N'),(16,3146103,'1A',238,'N'),(16,3146111,'1',201,'N'),(16,3146111,'1A',207,'N'),(16,3146120,'1',331,'N'),(16,3146138,'1',207,'N'),(16,3146146,'1',304,'N'),(16,3146154,'1',340,'N'),(16,3146189,'1',104,'N'),(16,3146197,'1',207,'N'),(16,3146197,'1A',201,'N'),(16,3146200,'1',452,'N'),(16,3146219,'1',319,'N'),(16,3146227,'1',207,'N'),(16,3146227,'1A',201,'N'),(16,3146235,'1',103,'N'),(16,3146251,'1',220,'N'),(16,3146251,'1A',216,'N'),(16,3146260,'1',201,'N'),(16,3146260,'1A',212,'N'),(16,3146278,'1',238,'N'),(16,3146278,'1A',208,'N'),(16,3146286,'1',424,'N'),(16,3146286,'1A',427,'N'),(16,3146294,'1',103,'N'),(16,3146308,'1',324,'N'),(16,3146316,'1',203,'N'),(16,3146316,'1A',216,'N'),(16,3146324,'1',502,'N'),(16,3146340,'1',203,'N'),(16,3146340,'1A',220,'N'),(16,3146359,'1',216,'N'),(16,3146359,'1A',207,'N'),(16,3146375,'1',205,'N'),(16,3146383,'1',340,'N'),(16,3146391,'1',104,'N'),(16,3146405,'1',319,'N'),(16,3146413,'1',317,'N'),(16,3146421,'1',317,'N'),(16,3146448,'1',103,'N'),(16,3146456,'1',450,'N'),(16,3146464,'1',5,'N'),(16,3146472,'1',103,'N'),(16,3146502,'1',425,'N'),(16,3146502,'1A',428,'N'),(16,3146510,'1',108,'N'),(16,3146529,'1',429,'N'),(16,3146529,'1A',426,'N'),(16,3146537,'1',103,'N'),(16,3146545,'1',102,'N'),(16,3146553,'1',203,'N'),(16,3146553,'1A',213,'N'),(16,3146570,'1',501,'N'),(16,3146588,'1',103,'N'),(16,3146596,'1',234,'N'),(16,3146618,'1',207,'N'),(16,3146618,'1A',201,'N'),(16,3146626,'1',316,'N'),(16,3146634,'1',429,'N'),(16,3146634,'1A',425,'N'),(16,3146642,'1',103,'N'),(16,3146650,'1',332,'N'),(16,3146669,'1',501,'N'),(16,3146685,'1',102,'N'),(16,3146693,'1',208,'N'),(16,3146693,'1A',202,'N'),(16,3146707,'1',450,'N'),(16,3146715,'1',203,'N'),(16,3146715,'1A',233,'N'),(16,3146723,'1',102,'N'),(16,3146740,'1',331,'N'),(16,3146758,'1',302,'N'),(16,3146766,'1',208,'N'),(16,3146766,'1A',202,'N'),(16,3146774,'1',5,'N'),(16,3146782,'1',101,'N'),(16,3146790,'1',503,'N'),(16,3146804,'1',103,'N'),(16,3146812,'1',202,'N'),(16,3146812,'1A',233,'N'),(16,3146820,'1',103,'N'),(16,3146847,'1',103,'N'),(16,3146855,'1',108,'N'),(16,3146880,'1',102,'N'),(16,3146898,'1',201,'N'),(16,3146898,'1A',207,'N'),(16,3146901,'1',303,'N'),(16,3146910,'1',309,'N'),(16,3146928,'1',502,'N'),(16,3146944,'1',103,'N'),(16,3146960,'1',234,'N'),(16,3146979,'1',319,'N'),(16,3146987,'1',103,'N'),(16,3147010,'1',203,'N'),(16,3147010,'1A',214,'N'),(16,3147029,'1',103,'N'),(16,3147037,'1',201,'N'),(16,3147037,'1A',213,'N'),(16,3147045,'1',103,'N'),(16,3147070,'1',301,'N'),(16,3147088,'1',203,'N'),(16,3147088,'1A',202,'N'),(16,3147096,'1',415,'N'),(16,3147100,'1',211,'N'),(16,3147118,'1',211,'N'),(16,3147134,'1',103,'N'),(16,3147150,'1',450,'N'),(16,3147169,'1',103,'N'),(16,3147185,'1',404,'N'),(16,3147193,'1',415,'N'),(16,3147207,'1',310,'N'),(16,3147215,'1',234,'N'),(16,3147223,'1',304,'N'),(16,3147231,'1',319,'N'),(16,3147240,'1',5,'N'),(16,3147258,'1',216,'N'),(16,3147258,'1A',211,'N'),(16,3147266,'1',423,'N'),(16,3147266,'1A',421,'N'),(16,3147274,'1',207,'N'),(16,3147274,'1A',201,'N'),(16,3147282,'1',108,'N'),(16,3147290,'1',404,'N'),(16,3147304,'1',103,'N'),(16,3147312,'1',207,'N'),(16,3147320,'1',108,'N'),(16,3147339,'1',211,'N'),(16,3147339,'1A',201,'N'),(16,3147347,'1',104,'N'),(16,3147355,'1',329,'N'),(16,3147363,'1',220,'N'),(16,3147371,'1',103,'N'),(16,3147380,'1',201,'N'),(16,3147380,'1A',207,'N'),(16,3147398,'1',211,'N'),(16,3147398,'1A',233,'N'),(16,3147401,'1',303,'N'),(16,3147428,'1',333,'N'),(16,3147436,'1',203,'N'),(16,3147436,'1A',202,'N'),(16,3147452,'1',104,'N'),(16,3147460,'1',208,'N'),(16,3147460,'1A',238,'N'),(16,3147479,'1',203,'N'),(16,3147479,'1A',220,'N'),(16,3147487,'1',316,'N'),(16,3147495,'1',102,'N'),(16,3147509,'1',238,'N'),(16,3147509,'1A',208,'N'),(16,3147517,'1',310,'N'),(16,3147533,'1',208,'N'),(16,3147533,'1A',214,'N'),(16,3147541,'1',103,'N'),(16,3147550,'1',207,'N'),(16,3147550,'1A',201,'N'),(16,3147568,'1',101,'N'),(16,3147584,'1',233,'N'),(16,3147584,'1A',201,'N'),(16,3147592,'1',103,'N'),(16,3147606,'1',103,'N'),(16,3147614,'1',220,'N'),(16,3147614,'1A',203,'N'),(16,3147630,'1',340,'N'),(16,3147657,'1',103,'N'),(16,3147673,'1',103,'N'),(16,3147681,'1',201,'N'),(16,3147681,'1A',212,'N'),(16,3147690,'1',103,'N'),(16,3147711,'1',9,'N'),(16,3147720,'1',428,'N'),(16,3147720,'1A',426,'N'),(16,3147738,'1',501,'N'),(16,3147746,'1',317,'N'),(16,3147754,'1',302,'N'),(16,3147770,'1',201,'N'),(16,3147770,'1A',212,'N'),(16,3147789,'1',103,'N'),(16,3147797,'1',103,'N'),(16,3147800,'1',331,'N'),(16,3147819,'1',208,'N'),(16,3147819,'1A',238,'N'),(16,3147827,'1',303,'N'),(16,3147835,'1',103,'N'),(16,3147843,'1',501,'N'),(16,3147851,'1',103,'N'),(16,3147860,'1',304,'N'),(16,3147878,'1',208,'N'),(16,3147878,'1A',238,'N'),(16,3147886,'1',207,'N'),(16,3147886,'1A',201,'N'),(16,3147916,'1',103,'N'),(16,3147932,'1',203,'N'),(16,3147932,'1A',216,'N'),(16,3147940,'1',220,'N'),(16,3147940,'1A',233,'N'),(16,3147959,'1',103,'N'),(16,3147967,'1',216,'N'),(16,3147967,'1A',215,'N'),(16,3147975,'1',211,'N'),(16,3147975,'1A',208,'N'),(16,3147983,'1',211,'N'),(16,3147991,'1',108,'N'),(16,3148017,'1',303,'N'),(16,3148025,'1',202,'N'),(16,3148025,'1A',213,'N'),(16,3148033,'1',331,'N'),(16,3148041,'1',5,'N'),(16,3148050,'1',216,'N'),(16,3148050,'1A',215,'N'),(16,3148076,'1',220,'N'),(16,3148076,'1A',203,'N'),(16,3148084,'1',103,'N'),(16,3148092,'1',309,'N'),(16,3148106,'1',103,'N'),(16,3148122,'1',216,'N'),(16,3148122,'1A',215,'N'),(16,3148130,'1',301,'N'),(16,3148149,'1',207,'N'),(16,3148149,'1A',216,'N'),(16,3148157,'1',104,'N'),(16,3148173,'1',444,'N'),(16,3148181,'1',319,'N'),(16,3148190,'1',238,'N'),(16,3148190,'1A',208,'N'),(16,3148211,'1',303,'N'),(16,3148220,'1',301,'N'),(16,3148238,'1',404,'N'),(16,3148246,'1',301,'N'),(16,3148254,'1',340,'N'),(16,3148262,'1',9,'N'),(16,3148270,'1',444,'N'),(16,3148297,'1',303,'N'),(16,3148319,'1',103,'N'),(16,3148327,'1',452,'N'),(16,3148335,'1',202,'N'),(16,3148335,'1A',233,'N'),(16,3148343,'1',202,'N'),(16,3148343,'1A',220,'N'),(16,3148351,'1',108,'N'),(16,3148360,'1',207,'N'),(16,3148360,'1A',216,'N'),(16,3148378,'1',303,'N'),(16,3148386,'1',303,'N'),(16,3148394,'1',208,'N'),(16,3148394,'1A',238,'N'),(16,3148408,'1',102,'N'),(16,3148416,'1',415,'N'),(16,3148424,'1',333,'N'),(16,3148440,'1',423,'N'),(16,3148440,'1A',426,'N'),(16,3148459,'1',220,'N'),(16,3148459,'1A',233,'N'),(16,3148467,'1',103,'N'),(16,3148475,'1',428,'N'),(16,3148475,'1A',425,'N'),(16,3148483,'1',201,'N'),(16,3148483,'1A',233,'N'),(16,3148491,'1',202,'N'),(16,3148491,'1A',214,'N'),(16,3148505,'1',104,'N'),(16,3148513,'1',103,'N'),(16,3148521,'1',238,'N'),(16,3148521,'1A',208,'N'),(16,3148530,'1',104,'N'),(16,3148548,'1',103,'N'),(16,3148556,'1',301,'N'),(16,3148564,'1',103,'N'),(16,3148572,'1',428,'N'),(16,3148572,'1A',427,'N'),(16,3148602,'1',202,'N'),(16,3148602,'1A',213,'N'),(16,3148629,'1',340,'N'),(16,3148637,'1',220,'N'),(16,3148637,'1A',208,'N'),(16,3148645,'1',340,'N'),(16,3148653,'1',301,'N'),(16,3148661,'1',103,'N'),(16,3148670,'1',415,'N'),(16,3148688,'1',108,'N'),(16,3148696,'1',234,'N'),(16,3148700,'1',340,'N'),(16,3148718,'1',103,'N'),(16,3148726,'1',303,'N'),(16,3148734,'1',328,'N'),(16,3148742,'1',9,'N'),(16,3148750,'1',404,'N'),(16,3148769,'1',304,'N'),(16,3148777,'1',415,'N'),(16,3148785,'1',208,'N'),(16,3148785,'1A',201,'N'),(16,3148793,'1',201,'N'),(16,3148793,'1A',211,'N'),(16,3148831,'1',340,'N'),(16,3148858,'1',233,'N'),(16,3148858,'1A',213,'N'),(16,3148866,'1',317,'N'),(16,3148874,'1',103,'N'),(16,3148882,'1',203,'N'),(16,3148882,'1A',202,'N'),(16,3148890,'1',233,'N'),(16,3148890,'1A',215,'N'),(16,3148904,'1',309,'N'),(16,3148912,'1',501,'N'),(16,3148920,'1',214,'N'),(16,3148920,'1A',208,'N'),(16,3148939,'1',102,'N'),(16,3148963,'1',108,'N'),(16,3148971,'1',103,'N'),(16,3148980,'1',333,'N'),(16,3148998,'1',203,'N'),(16,3148998,'1A',214,'N'),(16,3149005,'1',452,'N'),(16,3149013,'1',103,'N'),(16,3149021,'1',208,'N'),(16,3149021,'1A',215,'N'),(16,3149030,'1',108,'N'),(16,3149048,'1',404,'N'),(16,3149056,'1',302,'N'),(16,3149064,'1',319,'N'),(16,3149072,'1',303,'N'),(16,3149080,'1',203,'N'),(16,3149080,'1A',214,'N'),(16,3149099,'1',216,'N'),(16,3149099,'1A',233,'N'),(16,3149102,'1',203,'N'),(16,3149102,'1A',201,'N'),(16,3149110,'1',3,'N'),(16,3149129,'1',303,'N'),(16,3149137,'1',308,'N'),(16,3149161,'1',501,'N'),(16,3149170,'1',212,'N'),(16,3149170,'1A',211,'N'),(16,3149188,'1',211,'N'),(16,3149188,'1A',214,'N'),(16,3149200,'1',404,'N'),(16,3149226,'1',423,'N'),(16,3149226,'1A',421,'N'),(16,3149242,'1',303,'N'),(16,3149250,'1',103,'N'),(16,3149269,'1',103,'N'),(16,3149277,'1',333,'N'),(16,3149285,'1',201,'N'),(16,3149285,'1A',207,'N'),(16,3149307,'1',415,'N'),(16,3149315,'1',104,'N'),(16,3149323,'1',103,'N'),(16,3149331,'1',102,'N'),(16,3149340,'1',203,'N'),(16,3149340,'1A',201,'N'),(16,3149358,'1',503,'N'),(16,3149366,'1',303,'N'),(16,3149374,'1',444,'N'),(16,3149382,'1',201,'N'),(16,3149382,'1A',214,'N'),(16,3149390,'1',103,'N'),(16,3149412,'1',201,'N'),(16,3149412,'1A',207,'N'),(16,3149420,'1',503,'N'),(16,3149439,'1',103,'N'),(16,3149447,'1',203,'N'),(16,3149447,'1A',216,'N'),(16,3149455,'1',102,'N'),(16,3149463,'1',318,'N'),(16,3149471,'1',216,'N'),(16,3149471,'1A',207,'N'),(16,3149480,'1',450,'N'),(16,3149498,'1',201,'N'),(16,3149498,'1A',212,'N'),(16,3149510,'1',211,'N'),(16,3149510,'1A',203,'N'),(16,3149528,'1',103,'N'),(16,3149536,'1',415,'N'),(16,3149544,'1',303,'N'),(16,3149560,'1',340,'N'),(16,3149579,'1',203,'N'),(16,3149579,'1A',212,'N'),(16,3149587,'1',103,'N'),(16,3149595,'1',303,'N'),(16,3149609,'1',208,'N'),(16,3149609,'1A',238,'N'),(16,3149617,'1',216,'N'),(16,3149617,'1A',203,'N'),(16,3149676,'1',303,'N'),(16,3149684,'1',201,'N'),(16,3149684,'1A',213,'N'),(16,3149692,'1',303,'N'),(16,3149722,'1',428,'N'),(16,3149749,'1',103,'N'),(16,3149757,'1',208,'N'),(16,3149757,'1A',238,'N'),(16,3149765,'1',318,'N'),(16,3149773,'1',340,'N'),(16,3149781,'1',302,'N'),(16,3149790,'1',104,'N'),(16,3149803,'1',444,'N'),(16,3149811,'1',201,'N'),(16,3149811,'1A',215,'N'),(16,3149820,'1',220,'N'),(16,3149846,'1',303,'N'),(16,3149854,'1',108,'N'),(16,3149862,'1',103,'N'),(16,3149870,'1',108,'N'),(16,3149889,'1',211,'N'),(16,3149889,'1A',201,'N'),(16,3149900,'1',103,'N'),(16,3149919,'1',103,'N'),(16,3149927,'1',502,'N'),(16,3149935,'1',214,'N'),(16,3149935,'1A',203,'N'),(16,3149943,'1',103,'N'),(16,3149951,'1',502,'N'),(16,3149960,'1',103,'N'),(16,3149978,'1',452,'N'),(16,3149986,'1',420,'N'),(16,3149994,'1',451,'N'),(16,3150003,'1',203,'N'),(16,3150003,'1A',220,'N'),(16,3150011,'1',103,'N'),(16,3150046,'1',103,'N'),(16,3150054,'1',211,'N'),(16,3150062,'1',203,'N'),(16,3150070,'1',420,'N'),(16,3150089,'1',104,'N'),(16,3150097,'1',208,'N'),(16,3150097,'1A',238,'N'),(16,3150100,'1',202,'N'),(16,3150119,'1',216,'N'),(16,3150119,'1A',215,'N'),(16,3150127,'1',103,'N'),(16,3150135,'1',202,'N'),(16,3150143,'1',5,'N'),(16,3150151,'1',103,'N'),(16,3150160,'1',103,'N'),(16,3150178,'1',108,'N'),(16,3150186,'1',102,'N'),(16,3150194,'1',207,'N'),(16,3150194,'1A',201,'N'),(16,3150208,'1',303,'N'),(16,3150216,'1',203,'N'),(16,3150232,'1',319,'N'),(16,3150240,'1',420,'N'),(16,3150259,'1',102,'N'),(16,3150267,'1',424,'N'),(16,3150267,'1A',421,'N'),(16,3150275,'1',208,'N'),(16,3150275,'1A',202,'N'),(16,3150283,'1',340,'N'),(16,3150291,'1',104,'N'),(16,3150305,'1',101,'N'),(16,3150313,'1',5,'N'),(16,3150321,'1',238,'N'),(16,3150321,'1A',203,'N'),(16,3150348,'1',426,'N'),(16,3150348,'1A',424,'N'),(16,3150356,'1',429,'N'),(16,3150356,'1A',425,'N'),(16,3150364,'1',329,'N'),(16,3150372,'1',444,'N'),(16,3150399,'1',103,'N'),(16,3150402,'1',329,'N'),(16,3150410,'1',103,'N'),(16,3150437,'1',104,'N'),(16,3150445,'1',324,'N'),(16,3150453,'1',216,'N'),(16,3150488,'1',103,'N'),(16,3150526,'1',220,'N'),(16,3150526,'1A',211,'N'),(16,3150534,'1',415,'N'),(16,3150542,'1',5,'N'),(16,3150550,'1',452,'N'),(16,3150569,'1',303,'N'),(16,3150577,'1',102,'N'),(16,3150585,'1',234,'N'),(16,3150593,'1',340,'N'),(16,3150607,'1',211,'N'),(16,3150607,'1A',216,'N'),(16,3150615,'1',425,'N'),(16,3150615,'1A',429,'N'),(16,3150623,'1',319,'N'),(16,3150640,'1',208,'N'),(16,3150640,'1A',203,'N'),(16,3150658,'1',203,'N'),(16,3150658,'1A',233,'N'),(16,3150666,'1',319,'N'),(16,3150674,'1',208,'N'),(16,3150674,'1A',238,'N'),(16,3150682,'1',234,'N'),(16,3150690,'1',207,'N'),(16,3150690,'1A',201,'N'),(16,3150704,'1',444,'N'),(16,3150712,'1',425,'N'),(16,3150712,'1A',429,'N'),(16,3150720,'1',318,'N'),(16,3150739,'1',301,'N'),(16,3150747,'1',208,'N'),(16,3150747,'1A',238,'N'),(16,3150755,'1',103,'N'),(16,3150763,'1',303,'N'),(16,3150771,'1',303,'N'),(16,3150780,'1',211,'N'),(16,3150780,'1A',214,'N'),(16,3150798,'1',104,'N'),(16,3150801,'1',452,'N'),(16,3150810,'1',444,'N'),(16,3150828,'1',318,'N'),(16,3150836,'1',103,'N'),(16,3150844,'1',340,'N'),(16,3150852,'1',340,'N'),(16,3150860,'1',428,'N'),(16,3150860,'1A',427,'N'),(16,3150879,'1',103,'N'),(16,3150887,'1',331,'N'),(16,3150895,'1',319,'N'),(16,3150917,'1',104,'N'),(16,3150933,'1',203,'N'),(16,3150933,'1A',201,'N'),(16,3150941,'1',202,'N'),(16,3150950,'1',233,'N'),(16,3150950,'1A',202,'N'),(16,3150968,'1',103,'N'),(16,3150976,'1',220,'N'),(16,3150976,'1A',203,'N'),(16,3150984,'1',103,'N'),(16,3150992,'1',203,'N'),(16,3151000,'1',201,'N'),(16,3151018,'1',103,'N'),(16,3151026,'1',309,'N'),(16,3151042,'1',103,'N'),(16,3151050,'1',201,'N'),(16,3151050,'1A',203,'N'),(16,3151069,'1',201,'N'),(16,3151069,'1A',212,'N'),(16,3151077,'1',103,'N'),(16,3151085,'1',103,'N'),(16,3151093,'1',333,'N'),(16,3151107,'1',207,'N'),(16,3151107,'1A',201,'N'),(16,3151115,'1',203,'N'),(16,3151115,'1A',202,'N'),(16,3151123,'1',211,'N'),(16,3151131,'1',453,'N'),(16,3151158,'1',340,'N'),(16,3151166,'1',103,'N'),(16,3151174,'1',215,'N'),(16,3151182,'1',103,'N'),(16,3151190,'1',216,'N'),(16,3151190,'1A',215,'N'),(16,3151204,'1',211,'N'),(16,3151204,'1A',212,'N'),(16,3151212,'1',320,'N'),(16,3151220,'1',415,'N'),(16,3151239,'1',316,'N'),(16,3151247,'1',211,'N'),(16,3151247,'1A',208,'N'),(16,3151255,'1',214,'N'),(16,3151255,'1A',202,'N'),(16,3151263,'1',428,'N'),(16,3151263,'1A',421,'N'),(16,3151271,'1',319,'N'),(16,3151280,'1',319,'N'),(16,3151298,'1',103,'N'),(16,3151301,'1',201,'N'),(16,3151301,'1A',207,'N'),(16,3151310,'1',9,'N'),(16,3151336,'1',201,'N'),(16,3151336,'1A',207,'N'),(16,3151344,'1',102,'N'),(16,3151352,'1',103,'N'),(16,3151387,'1',340,'N'),(16,3151417,'1',102,'N'),(16,3151425,'1',104,'N'),(16,3151433,'1',207,'N'),(16,3151433,'1A',201,'N'),(16,3151441,'1',103,'N'),(16,3151450,'1',308,'N'),(16,3151468,'1',203,'N'),(16,3151468,'1A',216,'N'),(16,3151476,'1',212,'N'),(16,3151476,'1A',233,'N'),(16,3151484,'1',207,'N'),(16,3151484,'1A',201,'N'),(16,3151492,'1',201,'N'),(16,3151492,'1A',207,'N'),(16,3151506,'1',103,'N'),(16,3151514,'1',211,'N'),(16,3151514,'1A',207,'N'),(16,3151522,'1',332,'N'),(16,3151530,'1',302,'N'),(16,3151549,'1',316,'N'),(16,3151557,'1',319,'N'),(16,3151565,'1',415,'N'),(16,3151573,'1',103,'N'),(16,3151590,'1',340,'N'),(16,3151611,'1',103,'N'),(16,3151638,'1',444,'N'),(16,3151646,'1',103,'N'),(16,3151654,'1',211,'N'),(16,3151654,'1A',212,'N'),(16,3151662,'1',203,'N'),(16,3151662,'1A',214,'N'),(16,3151670,'1',201,'N'),(16,3151670,'1A',207,'N'),(16,3151689,'1',207,'N'),(16,3151689,'1A',211,'N'),(16,3151697,'1',103,'N'),(16,3151700,'1',203,'N'),(16,3151700,'1A',202,'N'),(16,3151719,'1',103,'N'),(16,3151727,'1',340,'N'),(16,3151735,'1',208,'N'),(16,3151735,'1A',207,'N'),(16,3151743,'1',317,'N'),(16,3151751,'1',103,'N'),(16,3151760,'1',214,'N'),(16,3151760,'1A',202,'N'),(16,3151778,'1',103,'N'),(16,3151794,'1',216,'N'),(16,3151794,'1A',215,'N'),(16,3151816,'1',319,'N'),(16,3151840,'1',426,'N'),(16,3151840,'1A',428,'N'),(16,3151859,'1',211,'N'),(16,3151859,'1A',208,'N'),(16,3151867,'1',319,'N'),(16,3151875,'1',428,'N'),(16,3151875,'1A',423,'N'),(16,3151883,'1',103,'N'),(16,3151891,'1',2,'N'),(16,3151905,'1',225,'N'),(16,3151913,'1',201,'N'),(16,3151913,'1A',207,'N'),(16,3151921,'1',104,'N'),(16,3151930,'1',207,'N'),(16,3151930,'1A',211,'N'),(16,3151948,'1',452,'N'),(16,3151964,'1',103,'N'),(16,3151972,'1',103,'N'),(16,3151980,'1',103,'N'),(16,3151999,'1',301,'N'),(16,3152006,'1',308,'N'),(16,3152014,'1',203,'N'),(16,3152014,'1A',202,'N'),(16,3152022,'1',203,'N'),(16,3152022,'1A',214,'N'),(16,3152030,'1',304,'N'),(16,3152049,'1',104,'N'),(16,3152057,'1',309,'N'),(16,3152065,'1',501,'N'),(16,3152073,'1',108,'N'),(16,3152081,'1',207,'N'),(16,3152081,'1A',201,'N'),(16,3152090,'1',316,'N'),(16,3152120,'1',303,'N'),(16,3152138,'1',103,'N'),(16,3152146,'1',319,'N'),(16,3152154,'1',304,'N'),(16,3152162,'1',103,'N'),(16,3152189,'1',211,'N'),(16,3152227,'1',103,'N'),(16,3152235,'1',301,'N'),(16,3152243,'1',207,'N'),(16,3152251,'1',415,'N'),(16,3152260,'1',205,'N'),(16,3152278,'1',453,'N'),(16,3152286,'1',333,'N'),(16,3152294,'1',415,'N'),(16,3152316,'1',9,'N'),(16,3152324,'1',5,'N'),(16,3152340,'1',502,'N'),(16,3152359,'1',453,'N'),(16,3152367,'1',104,'N'),(16,3152375,'1',201,'N'),(16,3152375,'1A',207,'N'),(16,3152383,'1',415,'N'),(16,3152391,'1',103,'N'),(16,3152413,'1',103,'N'),(16,3152421,'1',202,'N'),(16,3152421,'1A',201,'N'),(16,3152430,'1',103,'N'),(16,3152456,'1',302,'N'),(16,3152464,'1',104,'N'),(16,3152472,'1',207,'N'),(16,3152472,'1A',233,'N'),(16,3152499,'1',340,'N'),(16,3152510,'1',203,'N'),(16,3152510,'1A',202,'N'),(16,3152529,'1',103,'N'),(16,3152537,'1',319,'N'),(16,3152545,'1',103,'N'),(16,3152553,'1',304,'N'),(16,3152561,'1',327,'N'),(16,3152570,'1',316,'N'),(16,3152588,'1',420,'N'),(16,3152596,'1',340,'N'),(16,3152600,'1',103,'N'),(16,3152618,'1',301,'N'),(16,3152626,'1',103,'N'),(16,3152634,'1',324,'N'),(16,3152642,'1',214,'N'),(16,3152642,'1A',211,'N'),(16,3152650,'1',308,'N'),(16,3152669,'1',5,'N'),(16,3152677,'1',220,'N'),(16,3152677,'1A',202,'N'),(16,3152685,'1',103,'N'),(16,3152693,'1',301,'N'),(16,3152707,'1',303,'N'),(16,3152715,'1',103,'N'),(16,3152723,'1',203,'N'),(16,3152723,'1A',202,'N'),(16,3152740,'1',103,'N'),(16,3152758,'1',301,'N'),(16,3152766,'1',309,'N'),(16,3152774,'1',303,'N'),(16,3152782,'1',203,'N'),(16,3152782,'1A',214,'N'),(16,3152790,'1',5,'N'),(16,3152804,'1',233,'N'),(16,3152804,'1A',215,'N'),(16,3152812,'1',108,'N'),(16,3152820,'1',309,'N'),(16,3152839,'1',420,'N'),(16,3152847,'1',103,'N'),(16,3152855,'1',214,'N'),(16,3152855,'1A',207,'N'),(16,3152871,'1',428,'N'),(16,3152871,'1A',426,'N'),(16,3152880,'1',425,'N'),(16,3152880,'1A',423,'N'),(16,3152901,'1',303,'N'),(16,3152910,'1',103,'N'),(16,3152928,'1',103,'N'),(16,3152936,'1',207,'N'),(16,3152944,'1',104,'N'),(16,3152952,'1',201,'N'),(16,3152952,'1A',215,'N'),(16,3152960,'1',102,'N'),(16,3152979,'1',103,'N'),(16,3152987,'1',202,'N'),(16,3152987,'1A',208,'N'),(16,3152995,'1',211,'N'),(16,3152995,'1A',215,'N'),(16,3153002,'1',103,'N'),(16,3153010,'1',426,'N'),(16,3153010,'1A',423,'N'),(16,3153029,'1',233,'N'),(16,3153029,'1A',215,'N'),(16,3153037,'1',207,'N'),(16,3153037,'1A',201,'N'),(16,3153045,'1',103,'N'),(16,3153053,'1',103,'N'),(16,3153061,'1',220,'N'),(16,3153061,'1A',202,'N'),(16,3153070,'1',102,'N'),(16,3153088,'1',340,'N'),(16,3153096,'1',103,'N'),(16,3153100,'1',103,'N'),(16,3153126,'1',203,'N'),(16,3153126,'1A',201,'N'),(16,3153134,'1',211,'N'),(16,3153134,'1A',216,'N'),(16,3153150,'1',318,'N'),(16,3153169,'1',103,'N'),(16,3153177,'1',310,'N'),(16,3153185,'1',216,'N'),(16,3153185,'1A',215,'N'),(16,3153193,'1',317,'N'),(16,3153207,'1',103,'N'),(16,3153215,'1',220,'N'),(16,3153215,'1A',201,'N'),(16,3153223,'1',101,'N'),(16,3153231,'1',103,'N'),(16,3153240,'1',444,'N'),(16,3153258,'1',103,'N'),(16,3153266,'1',103,'N'),(16,3153274,'1',103,'N'),(16,3153282,'1',453,'N'),(16,3153290,'1',324,'N'),(16,3153304,'1',101,'N'),(16,3153312,'1',224,'N'),(16,3153320,'1',211,'N'),(16,3153320,'1A',238,'N'),(16,3153339,'1',201,'N'),(16,3153339,'1A',233,'N'),(16,3153347,'1',238,'N'),(16,3153355,'1',333,'N'),(16,3153371,'1',425,'N'),(16,3153371,'1A',428,'N'),(16,3153380,'1',333,'N'),(16,3153398,'1',103,'N'),(16,3153401,'1',102,'N'),(16,3153410,'1',202,'N'),(16,3153410,'1A',201,'N'),(16,3153428,'1',104,'N'),(16,3153436,'1',420,'N'),(16,3153444,'1',444,'N'),(16,3153452,'1',5,'N'),(16,3153479,'1',309,'N'),(16,3153487,'1',503,'N'),(16,3153495,'1',103,'N'),(16,3153509,'1',319,'N'),(16,3153517,'1',332,'N'),(16,3153525,'1',203,'N'),(16,3153525,'1A',214,'N'),(16,3153533,'1',202,'N'),(16,3153533,'1A',213,'N'),(16,3153541,'1',104,'N'),(16,3153550,'1',303,'N'),(16,3153568,'1',220,'N'),(16,3153568,'1A',202,'N'),(16,3153576,'1',103,'N'),(16,3153584,'1',450,'N'),(16,3153592,'1',103,'N'),(16,3153606,'1',108,'N'),(16,3153614,'1',103,'N'),(16,3153622,'1',212,'N'),(16,3153622,'1A',201,'N'),(16,3153630,'1',103,'N'),(16,3153649,'1',101,'N'),(16,3153657,'1',201,'N'),(16,3153657,'1A',212,'N'),(16,3153665,'1',214,'N'),(16,3153665,'1A',202,'N'),(16,3153681,'1',101,'N'),(16,3153690,'1',425,'N'),(16,3153690,'1A',429,'N'),(16,3153703,'1',319,'N'),(16,3153711,'1',203,'N'),(16,3153711,'1A',214,'N'),(16,3153746,'1',211,'N'),(16,3153746,'1A',215,'N'),(16,3153754,'1',301,'N'),(16,3153762,'1',415,'N'),(16,3153770,'1',208,'N'),(16,3153770,'1A',220,'N'),(16,3153789,'1',103,'N'),(16,3153800,'1',103,'N'),(16,3153819,'1',302,'N'),(16,3153827,'1',203,'N'),(16,3153827,'1A',214,'N'),(16,3153835,'1',423,'N'),(16,3153835,'1A',427,'N'),(16,3153843,'1',301,'N'),(16,3153851,'1',220,'N'),(16,3153851,'1A',202,'N'),(16,3153860,'1',201,'N'),(16,3153860,'1A',220,'N'),(16,3153878,'1',319,'N'),(16,3153886,'1',202,'N'),(16,3153894,'1',301,'N'),(16,3153908,'1',444,'N'),(16,3153916,'1',104,'N'),(16,3153924,'1',103,'N'),(16,3153932,'1',207,'N'),(16,3153932,'1A',201,'N'),(16,3153940,'1',303,'N'),(16,3153959,'1',203,'N'),(16,3153959,'1A',220,'N'),(16,3153967,'1',319,'N'),(16,3153975,'1',301,'N'),(16,3153983,'1',304,'N'),(16,3154009,'1',201,'N'),(16,3154009,'1A',212,'N'),(16,3154025,'1',340,'N'),(16,3154033,'1',316,'N'),(16,3154041,'1',301,'N'),(16,3154050,'1',233,'N'),(16,3154050,'1A',211,'N'),(16,3154068,'1',5,'N'),(16,3154076,'1',5,'N'),(16,3154092,'1',326,'N'),(16,3154106,'1',316,'N'),(16,3154122,'1',502,'N'),(16,3154130,'1',9,'N'),(16,3154149,'1',103,'N'),(16,3154165,'1',238,'N'),(16,3154165,'1A',208,'N'),(16,3154181,'1',340,'N'),(16,3154190,'1',207,'N'),(16,3154203,'1',340,'N'),(16,3154211,'1',108,'N'),(16,3154220,'1',104,'N'),(16,3154238,'1',103,'N'),(16,3154246,'1',108,'N'),(16,3154254,'1',103,'N'),(16,3154270,'1',104,'N'),(16,3154289,'1',211,'N'),(16,3154289,'1A',233,'N'),(16,3154297,'1',207,'N'),(16,3154300,'1',103,'N'),(16,3154319,'1',212,'N'),(16,3154319,'1A',211,'N'),(16,3154327,'1',308,'N'),(16,3154335,'1',444,'N'),(16,3154343,'1',212,'N'),(16,3154343,'1A',201,'N'),(16,3154351,'1',420,'N'),(16,3154360,'1',238,'N'),(16,3154360,'1A',208,'N'),(16,3154378,'1',102,'N'),(16,3154386,'1',303,'N'),(16,3154394,'1',238,'N'),(16,3154394,'1A',203,'N'),(16,3154408,'1',5,'N'),(16,3154416,'1',103,'N'),(16,3154424,'1',101,'N'),(16,3154432,'1',103,'N'),(16,3154440,'1',207,'N'),(16,3154440,'1A',201,'N'),(16,3154459,'1',303,'N'),(16,3154467,'1',207,'N'),(16,3154467,'1A',216,'N'),(16,3154475,'1',339,'N'),(16,3154483,'1',211,'N'),(16,3154483,'1A',201,'N'),(16,3154491,'1',214,'N'),(16,3154491,'1A',213,'N'),(16,3154505,'1',103,'N'),(16,3154513,'1',214,'N'),(16,3154513,'1A',213,'N'),(16,3154521,'1',203,'N'),(16,3154521,'1A',214,'N'),(16,3154530,'1',203,'N'),(16,3154530,'1A',214,'N'),(16,3154556,'1',104,'N'),(16,3154564,'1',303,'N'),(16,3154572,'1',207,'N'),(16,3154572,'1A',201,'N'),(16,3154580,'1',103,'N'),(16,3154599,'1',104,'N'),(16,3154602,'1',5,'N'),(16,3154645,'1',319,'N'),(16,3154653,'1',104,'N'),(16,3154661,'1',208,'N'),(16,3154661,'1A',238,'N'),(16,3154670,'1',213,'N'),(16,3154670,'1A',233,'N'),(16,3154688,'1',103,'N'),(16,3154696,'1',303,'N'),(16,3154700,'1',103,'N'),(16,3154718,'1',208,'N'),(16,3154718,'1A',238,'N'),(16,3154726,'1',404,'N'),(16,3154734,'1',319,'N'),(16,3154742,'1',102,'N'),(16,3154750,'1',203,'N'),(16,3154750,'1A',216,'N'),(16,3154769,'1',108,'N'),(16,3154777,'1',103,'N'),(16,3154785,'1',103,'N'),(16,3154793,'1',211,'N'),(16,3154793,'1A',238,'N'),(16,3154807,'1',103,'N'),(16,3154815,'1',203,'N'),(16,3154815,'1A',202,'N'),(16,3154823,'1',502,'N'),(16,3154831,'1',328,'N'),(16,3154840,'1',103,'N'),(16,3154858,'1',216,'N'),(16,3154858,'1A',215,'N'),(16,3154866,'1',340,'N'),(16,3154882,'1',2,'N'),(16,3154890,'1',415,'N'),(16,3154904,'1',207,'N'),(16,3154904,'1A',201,'N'),(16,3154912,'1',415,'N'),(16,3154920,'1',203,'N'),(16,3154920,'1A',214,'N'),(16,3154939,'1',104,'N'),(16,3154947,'1',428,'N'),(16,3154947,'1A',425,'N'),(16,3154955,'1',216,'N'),(16,3154955,'1A',211,'N'),(16,3154963,'1',103,'N'),(16,3154971,'1',207,'N'),(16,3154971,'1A',201,'N'),(16,3154980,'1',104,'N'),(16,3154998,'1',340,'N'),(16,3155013,'1',103,'N'),(16,3155021,'1',450,'N'),(16,3155030,'1',103,'N'),(16,3155048,'1',203,'N'),(16,3155048,'1A',214,'N'),(16,3155064,'1',301,'N'),(16,3155080,'1',9,'N'),(16,3155099,'1',102,'N'),(16,3155102,'1',103,'N'),(16,3155110,'1',319,'N'),(16,3155129,'1',220,'N'),(16,3155129,'1A',212,'N'),(16,3155145,'1',108,'N'),(16,3155153,'1',420,'N'),(16,3155170,'1',316,'N'),(16,3155188,'1',9,'N'),(16,3155196,'1',207,'N'),(16,3155196,'1A',201,'N'),(16,3155200,'1',103,'N'),(16,3155218,'1',201,'N'),(16,3155218,'1A',207,'N'),(16,3155226,'1',316,'N'),(16,3155234,'1',303,'N'),(16,3155250,'1',503,'N'),(16,3155269,'1',424,'N'),(16,3155269,'1A',426,'N'),(16,3155277,'1',101,'N'),(16,3155285,'1',340,'N'),(16,3155293,'1',103,'N'),(16,3155315,'1',233,'N'),(16,3155315,'1A',211,'N'),(16,3155323,'1',207,'N'),(16,3155323,'1A',215,'N'),(16,3155340,'1',302,'N'),(16,3155358,'1',203,'N'),(16,3155358,'1A',233,'N'),(16,3155366,'1',104,'N'),(16,3155374,'1',103,'N'),(16,3155382,'1',215,'N'),(16,3155382,'1A',216,'N'),(16,3155390,'1',202,'N'),(16,3155390,'1A',208,'N'),(16,3155404,'1',302,'N'),(16,3155412,'1',103,'N'),(16,3155420,'1',316,'N'),(16,3155439,'1',211,'N'),(16,3155439,'1A',216,'N'),(16,3155447,'1',108,'N'),(16,3155455,'1',103,'N'),(16,3155463,'1',333,'N'),(16,3155471,'1',2,'N'),(16,3155480,'1',103,'N'),(16,3155498,'1',203,'N'),(16,3155498,'1A',202,'N'),(16,3155501,'1',203,'N'),(16,3155501,'1A',220,'N'),(16,3155510,'1',201,'N'),(16,3155510,'1A',208,'N'),(16,3155536,'1',340,'N'),(16,3155544,'1',404,'N'),(16,3155552,'1',215,'N'),(16,3155552,'1A',238,'N'),(16,3155560,'1',208,'N'),(16,3155560,'1A',238,'N'),(16,3155579,'1',303,'N'),(16,3155587,'1',207,'N'),(16,3155595,'1',5,'N'),(16,3155609,'1',340,'N'),(16,3155617,'1',201,'N'),(16,3155617,'1A',203,'N'),(16,3155625,'1',203,'N'),(16,3155625,'1A',201,'N'),(16,3155633,'1',203,'N'),(16,3155633,'1A',202,'N'),(16,3155641,'1',216,'N'),(16,3155641,'1A',201,'N'),(16,3155650,'1',103,'N'),(16,3155668,'1',5,'N'),(16,3155676,'1',103,'N'),(16,3155692,'1',103,'N'),(16,3155714,'1',316,'N'),(16,3155722,'1',301,'N'),(16,3155730,'1',444,'N'),(16,3155749,'1',103,'N'),(16,3155757,'1',301,'N'),(16,3155765,'1',215,'N'),(16,3155765,'1A',208,'N'),(16,3155773,'1',444,'N'),(16,3155781,'1',103,'N'),(16,3155803,'1',101,'N'),(16,3155811,'1',220,'N'),(16,3155811,'1A',202,'N'),(16,3155838,'1',216,'N'),(16,3155838,'1A',213,'N'),(16,3155846,'1',207,'N'),(16,3155846,'1A',201,'N'),(16,3155854,'1',450,'N'),(16,3155870,'1',208,'N'),(16,3155870,'1A',207,'N'),(16,3155889,'1',103,'N'),(16,3155897,'1',331,'N'),(16,3155900,'1',208,'N'),(16,3155900,'1A',238,'N'),(16,3155919,'1',303,'N'),(16,3155927,'1',103,'N'),(16,3155935,'1',207,'N'),(16,3155935,'1A',211,'N'),(16,3155943,'1',303,'N'),(16,3155951,'1',108,'N'),(16,3155960,'1',340,'N'),(16,3155978,'1',203,'N'),(16,3155978,'1A',214,'N'),(16,3155986,'1',415,'N'),(16,3155994,'1',319,'N'),(16,3156001,'1',503,'N'),(16,3156010,'1',444,'N'),(16,3156028,'1',203,'N'),(16,3156028,'1A',220,'N'),(16,3156036,'1',203,'N'),(16,3156036,'1A',216,'N'),(16,3156044,'1',214,'N'),(16,3156044,'1A',213,'N'),(16,3156052,'1',103,'N'),(16,3156060,'1',202,'N'),(16,3156079,'1',103,'N'),(16,3156087,'1',302,'N'),(16,3156095,'1',207,'N'),(16,3156095,'1A',233,'N'),(16,3156109,'1',203,'N'),(16,3156109,'1A',208,'N'),(16,3156117,'1',234,'N'),(16,3156125,'1',340,'N'),(16,3156133,'1',303,'N'),(16,3156141,'1',211,'N'),(16,3156141,'1A',208,'N'),(16,3156150,'1',301,'N'),(16,3156168,'1',303,'N'),(16,3156176,'1',303,'N'),(16,3156184,'1',103,'N'),(16,3156192,'1',301,'N'),(16,3156206,'1',327,'N'),(16,3156214,'1',108,'N'),(16,3156222,'1',207,'N'),(16,3156222,'1A',201,'N'),(16,3156230,'1',103,'N'),(16,3156249,'1',207,'N'),(16,3156249,'1A',208,'N'),(16,3156257,'1',104,'N'),(16,3156265,'1',319,'N'),(16,3156273,'1',203,'N'),(16,3156273,'1A',202,'N'),(16,3156281,'1',103,'N'),(16,3156290,'1',102,'N'),(16,3156303,'1',207,'N'),(16,3156303,'1A',211,'N'),(16,3156311,'1',103,'N'),(16,3156346,'1',444,'N'),(16,3156354,'1',208,'N'),(16,3156354,'1A',203,'N'),(16,3156362,'1',104,'N'),(16,3156370,'1',327,'N'),(16,3156389,'1',216,'N'),(16,3156389,'1A',233,'N'),(16,3156397,'1',319,'N'),(16,3156400,'1',303,'N'),(16,3156419,'1',303,'N'),(16,3156427,'1',303,'N'),(16,3156435,'1',108,'N'),(16,3156443,'1',104,'N'),(16,3156451,'1',203,'N'),(16,3156460,'1',211,'N'),(16,3156460,'1A',201,'N'),(16,3156478,'1',207,'N'),(16,3156478,'1A',212,'N'),(16,3156486,'1',5,'N'),(16,3156494,'1',220,'N'),(16,3156494,'1A',238,'N'),(16,3156508,'1',203,'N'),(16,3156508,'1A',201,'N'),(16,3156524,'1',214,'N'),(16,3156524,'1A',212,'N'),(16,3156532,'1',428,'N'),(16,3156540,'1',424,'N'),(16,3156540,'1A',421,'N'),(16,3156559,'1',102,'N'),(16,3156567,'1',103,'N'),(16,3156575,'1',238,'N'),(16,3156575,'1A',208,'N'),(16,3156583,'1',103,'N'),(16,3156605,'1',301,'N'),(16,3156613,'1',404,'N'),(16,3156621,'1',415,'N'),(16,3156630,'1',303,'N'),(16,3156648,'1',316,'N'),(16,3156656,'1',233,'N'),(16,3156656,'1A',216,'N'),(16,3156664,'1',104,'N'),(16,3156672,'1',214,'N'),(16,3156672,'1A',203,'N'),(16,3156680,'1',340,'N'),(16,3156699,'1',203,'N'),(16,3156699,'1A',214,'N'),(16,3156702,'1',319,'N'),(16,3156729,'1',208,'N'),(16,3156729,'1A',238,'N'),(16,3156737,'1',103,'N'),(16,3156745,'1',103,'N'),(16,3156761,'1',425,'N'),(16,3156761,'1A',429,'N'),(16,3156770,'1',103,'N'),(16,3156788,'1',103,'N'),(16,3156796,'1',211,'N'),(16,3156796,'1A',208,'N'),(16,3156800,'1',208,'N'),(16,3156800,'1A',238,'N'),(16,3156818,'1',425,'N'),(16,3156818,'1A',429,'N'),(16,3156826,'1',415,'N'),(16,3156834,'1',303,'N'),(16,3156842,'1',216,'N'),(16,3156842,'1A',233,'N'),(16,3156850,'1',216,'N'),(16,3156850,'1A',211,'N'),(16,3156869,'1',214,'N'),(16,3156869,'1A',216,'N'),(16,3156877,'1',444,'N'),(16,3156885,'1',103,'N'),(16,3156893,'1',309,'N'),(16,3156907,'1',317,'N'),(16,3156915,'1',215,'N'),(16,3156915,'1A',212,'N'),(16,3156923,'1',304,'N'),(16,3156931,'1',503,'N'),(16,3156940,'1',319,'N'),(16,3156966,'1',238,'N'),(16,3156974,'1',303,'N'),(16,3156990,'1',309,'N'),(16,3157016,'1',103,'N'),(16,3157024,'1',103,'N'),(16,3157032,'1',103,'N'),(16,3157040,'1',108,'N'),(16,3157067,'1',208,'N'),(16,3157075,'1',214,'N'),(16,3157083,'1',103,'N'),(16,3157091,'1',103,'N'),(16,3157105,'1',203,'N'),(16,3157105,'1A',214,'N'),(16,3157113,'1',104,'N'),(16,3157148,'1',103,'N'),(16,3157156,'1',3,'N'),(16,3157164,'1',103,'N'),(16,3157172,'1',5,'N'),(16,3157180,'1',201,'N'),(16,3157180,'1A',207,'N'),(16,3157202,'1',444,'N'),(16,3157229,'1',101,'N'),(16,3157237,'1',303,'N'),(16,3157245,'1',211,'N'),(16,3157245,'1A',201,'N'),(16,3157253,'1',301,'N'),(16,3157261,'1',102,'N'),(16,3157270,'1',201,'N'),(16,3157288,'1',103,'N'),(16,3157296,'1',103,'N'),(16,3157300,'1',316,'N'),(16,3157318,'1',5,'N'),(16,3157342,'1',444,'N'),(16,3157350,'1',103,'N'),(16,3157369,'1',225,'N'),(16,3157377,'1',415,'N'),(16,3157385,'1',103,'N'),(16,3157407,'1',104,'N'),(16,3157415,'1',103,'N'),(16,3157423,'1',103,'N'),(16,3157431,'1',104,'N'),(16,3157440,'1',234,'N'),(16,3157466,'1',302,'N'),(16,3157474,'1',103,'N'),(16,3157482,'1',340,'N'),(16,3157490,'1',501,'N'),(16,3157504,'1',207,'N'),(16,3157504,'1A',201,'N'),(16,3157520,'1',102,'N'),(16,3157539,'1',201,'N'),(16,3157539,'1A',211,'N'),(16,3157547,'1',501,'N'),(16,3157563,'1',211,'N'),(16,3157563,'1A',233,'N'),(16,3157580,'1',220,'N'),(16,3157580,'1A',203,'N'),(16,3157628,'1',340,'N'),(16,3157636,'1',203,'N'),(16,3157636,'1A',220,'N'),(16,3157644,'1',324,'N'),(16,3157660,'1',324,'N'),(16,3157679,'1',238,'N'),(16,3157679,'1A',208,'N'),(16,3157687,'1',102,'N'),(16,3157709,'1',208,'N'),(16,3157709,'1A',238,'N'),(16,3157717,'1',102,'N'),(16,3157725,'1',340,'N'),(16,3157733,'1',308,'N'),(16,3157741,'1',103,'N'),(16,3157750,'1',223,'N'),(16,3157768,'1',220,'N'),(16,3157768,'1A',208,'N'),(16,3157776,'1',316,'N'),(16,3157784,'1',201,'N'),(16,3157784,'1A',238,'N'),(16,3157792,'1',203,'N'),(16,3157792,'1A',201,'N'),(16,3157806,'1',319,'N'),(16,3157822,'1',426,'N'),(16,3157822,'1A',429,'N'),(16,3157830,'1',5,'N'),(16,3157849,'1',212,'N'),(16,3157849,'1A',233,'N'),(16,3157857,'1',308,'N'),(16,3157873,'1',208,'N'),(16,3157873,'1A',220,'N'),(16,3157881,'1',503,'N'),(16,3157911,'1',426,'N'),(16,3157911,'1A',428,'N'),(16,3157920,'1',340,'N'),(16,3157938,'1',103,'N'),(16,3157946,'1',331,'N'),(16,3157954,'1',214,'N'),(16,3157954,'1A',212,'N'),(16,3157962,'1',103,'N'),(16,3157970,'1',238,'N'),(16,3157970,'1A',208,'N'),(16,3157997,'1',216,'N'),(16,3157997,'1A',203,'N'),(16,3158004,'1',453,'N'),(16,3158012,'1',103,'N'),(16,3158020,'1',202,'N'),(16,3158047,'1',233,'N'),(16,3158047,'1A',216,'N'),(16,3158063,'1',214,'N'),(16,3158063,'1A',213,'N'),(16,3158071,'1',444,'N'),(16,3158080,'1',213,'N'),(16,3158098,'1',303,'N'),(16,3158101,'1',415,'N'),(16,3158110,'1',304,'N'),(16,3158128,'1',216,'N'),(16,3158128,'1A',233,'N'),(16,3158136,'1',233,'N'),(16,3158136,'1A',216,'N'),(16,3158152,'1',103,'N'),(16,3158160,'1',104,'N'),(16,3158179,'1',310,'N'),(16,3158187,'1',9,'N'),(16,3158195,'1',415,'N'),(16,3158209,'1',420,'N'),(16,3158217,'1',304,'N'),(16,3158225,'1',451,'N'),(16,3158233,'1',103,'N'),(16,3158241,'1',309,'N'),(16,3158250,'1',340,'N'),(16,3158276,'1',238,'N'),(16,3158276,'1A',208,'N'),(16,3158284,'1',223,'N'),(16,3158306,'1',340,'N'),(16,3158314,'1',103,'N'),(16,3158322,'1',214,'N'),(16,3158322,'1A',203,'N'),(16,3158330,'1',452,'N'),(16,3158365,'1',201,'N'),(16,3158365,'1A',203,'N'),(16,3158373,'1',208,'N'),(16,3158373,'1A',203,'N'),(16,3158381,'1',301,'N'),(16,3158390,'1',415,'N'),(16,3158403,'1',316,'N'),(16,3158411,'1',421,'N'),(16,3158411,'1A',425,'N'),(16,3158420,'1',103,'N'),(16,3158454,'1',220,'N'),(16,3158454,'1A',214,'N'),(16,3158462,'1',233,'N'),(16,3158462,'1A',201,'N'),(16,3158470,'1',5,'N'),(16,3158489,'1',203,'N'),(16,3158489,'1A',213,'N'),(16,3158497,'1',201,'N'),(16,3158500,'1',103,'N'),(16,3158519,'1',332,'N'),(16,3158527,'1',451,'N'),(16,3158535,'1',203,'N'),(16,3158535,'1A',214,'N'),(16,3158543,'1',207,'N'),(16,3158543,'1A',201,'N'),(16,3158551,'1',340,'N'),(16,3158560,'1',103,'N'),(16,3158578,'1',3,'N'),(16,3158586,'1',238,'N'),(16,3158586,'1A',208,'N'),(16,3158594,'1',212,'N'),(16,3158594,'1A',201,'N'),(16,3158608,'1',453,'N'),(16,3158616,'1',108,'N'),(16,3158632,'1',103,'N'),(16,3158640,'1',103,'N'),(16,3158667,'1',303,'N'),(16,3158675,'1',203,'N'),(16,3158675,'1A',201,'N'),(16,3158683,'1',201,'N'),(16,3158683,'1A',216,'N'),(16,3158691,'1',201,'N'),(16,3158691,'1A',215,'N'),(16,3158705,'1',108,'N'),(16,3158713,'1',203,'N'),(16,3158713,'1A',214,'N'),(16,3158721,'1',103,'N'),(16,3158730,'1',103,'N'),(16,3158748,'1',9,'N'),(16,3158756,'1',108,'N'),(16,3158764,'1',207,'N'),(16,3158764,'1A',201,'N'),(16,3158772,'1',5,'N'),(16,3158780,'1',220,'N'),(16,3158780,'1A',201,'N'),(16,3158799,'1',104,'N'),(16,3158845,'1',103,'N'),(16,3158853,'1',102,'N'),(16,3158861,'1',453,'N'),(16,3158870,'1',208,'N'),(16,3158870,'1A',238,'N'),(16,3158888,'1',415,'N'),(16,3158896,'1',453,'N'),(16,3158900,'1',238,'N'),(16,3158900,'1A',208,'N'),(16,3158918,'1',303,'N'),(16,3158926,'1',203,'N'),(16,3158926,'1A',202,'N'),(16,3158942,'1',2,'N'),(16,3158950,'1',319,'N'),(16,3158977,'1',216,'N'),(16,3158977,'1A',238,'N'),(16,3158985,'1',319,'N'),(16,3159000,'1',201,'N'),(16,3159000,'1A',233,'N'),(16,3159019,'1',103,'N'),(16,3159027,'1',9,'N'),(16,3159035,'1',103,'N'),(16,3159043,'1',220,'N'),(16,3159043,'1A',202,'N'),(16,3159051,'1',103,'N'),(16,3159060,'1',303,'N'),(16,3159086,'1',318,'N'),(16,3159094,'1',9,'N'),(16,3159108,'1',103,'N'),(16,3159116,'1',317,'N'),(16,3159124,'1',326,'N'),(16,3159132,'1',101,'N'),(16,3159140,'1',207,'N'),(16,3159140,'1A',233,'N'),(16,3159159,'1',216,'N'),(16,3159159,'1A',211,'N'),(16,3159167,'1',108,'N'),(16,3159175,'1',104,'N'),(16,3159183,'1',317,'N'),(16,3159191,'1',214,'N'),(16,3159191,'1A',212,'N'),(16,3159205,'1',203,'N'),(16,3159205,'1A',207,'N'),(16,3159213,'1',103,'N'),(16,3159221,'1',316,'N'),(16,3159230,'1',103,'N'),(16,3159256,'1',301,'N'),(16,3159264,'1',214,'N'),(16,3159264,'1A',203,'N'),(16,3159272,'1',404,'N'),(16,3159280,'1',9,'N'),(16,3159299,'1',319,'N'),(16,3159302,'1',303,'N'),(16,3159310,'1',238,'N'),(16,3159310,'1A',208,'N'),(16,3159329,'1',103,'N'),(16,3159337,'1',103,'N'),(16,3159345,'1',103,'N'),(16,3159353,'1',101,'N'),(16,3159361,'1',103,'N'),(16,3159370,'1',3,'N'),(16,3159388,'1',103,'N'),(16,3159396,'1',103,'N'),(16,3159400,'1',215,'N'),(16,3159400,'1A',216,'N'),(16,3159418,'1',103,'N'),(16,3159426,'1',302,'N'),(16,3159434,'1',340,'N'),(16,3159450,'1',301,'N'),(16,3159469,'1',415,'N'),(16,3159477,'1',103,'N'),(16,3159485,'1',301,'N'),(16,3159493,'1',202,'N'),(16,3159493,'1A',220,'N'),(16,3159507,'1',104,'N'),(16,3159515,'1',103,'N'),(16,3159523,'1',103,'N'),(16,3159531,'1',429,'N'),(16,3159531,'1A',425,'N'),(16,3159540,'1',207,'N'),(16,3159540,'1A',216,'N'),(16,3159558,'1',340,'N'),(16,3159566,'1',214,'N'),(16,3159566,'1A',211,'N'),(16,3159574,'1',108,'N'),(16,3159582,'1',420,'N'),(16,3159590,'1',415,'N'),(16,3159612,'1',101,'N'),(16,3159620,'1',420,'N'),(16,3159647,'1',101,'N'),(16,3159655,'1',203,'N'),(16,3159655,'1A',201,'N'),(16,3159663,'1',103,'N'),(16,3159671,'1',211,'N'),(16,3159671,'1A',216,'N'),(16,3159698,'1',103,'N'),(16,3159701,'1',216,'N'),(16,3159701,'1A',211,'N'),(16,3159710,'1',234,'N'),(16,3159728,'1',333,'N'),(16,3159736,'1',203,'N'),(16,3159736,'1A',202,'N'),(16,3159752,'1',5,'N'),(16,3159760,'1',108,'N'),(16,3159779,'1',5,'N'),(16,3159787,'1',201,'N'),(16,3159787,'1A',212,'N'),(16,3159795,'1',208,'N'),(16,3159809,'1',425,'N'),(16,3159809,'1A',424,'N'),(16,3159817,'1',104,'N'),(16,3159825,'1',101,'N'),(16,3159833,'1',108,'N'),(16,3159841,'1',501,'N'),(16,3159850,'1',5,'N'),(16,3159868,'1',103,'N'),(16,3159876,'1',501,'N'),(16,3159884,'1',203,'N'),(16,3159884,'1A',201,'N'),(16,3159906,'1',424,'N'),(16,3159906,'1A',425,'N'),(16,3159914,'1',104,'N'),(16,3159922,'1',103,'N'),(16,3159930,'1',301,'N'),(16,3159949,'1',320,'N'),(16,3159965,'1',103,'N'),(16,3159973,'1',5,'N'),(16,3159981,'1',207,'N'),(16,3159981,'1A',212,'N'),(16,3159990,'1',333,'N'),(16,3160009,'1',203,'N'),(16,3160009,'1A',211,'N'),(16,3160017,'1',103,'N'),(16,3160025,'1',309,'N'),(16,3160033,'1',3,'N'),(16,3160041,'1',103,'N'),(16,3160050,'1',426,'N'),(16,3160050,'1A',423,'N'),(16,3160068,'1',103,'N'),(16,3160076,'1',234,'N'),(16,3160092,'1',238,'N'),(16,3160092,'1A',208,'N'),(16,3160106,'1',238,'N'),(16,3160106,'1A',220,'N'),(16,3160114,'1',103,'N'),(16,3160122,'1',404,'N'),(16,3160130,'1',203,'N'),(16,3160130,'1A',201,'N'),(16,3160157,'1',201,'N'),(16,3160157,'1A',202,'N'),(16,3160165,'1',303,'N'),(16,3160173,'1',212,'N'),(16,3160173,'1A',201,'N'),(16,3160181,'1',203,'N'),(16,3160181,'1A',214,'N'),(16,3160190,'1',108,'N'),(16,3160203,'1',201,'N'),(16,3160203,'1A',213,'N'),(16,3160220,'1',103,'N'),(16,3160238,'1',208,'N'),(16,3160238,'1A',213,'N'),(16,3160254,'1',453,'N'),(16,3160262,'1',201,'N'),(16,3160262,'1A',238,'N'),(16,3160270,'1',303,'N'),(16,3160289,'1',202,'N'),(16,3160289,'1A',238,'N'),(16,3160300,'1',203,'N'),(16,3160300,'1A',201,'N'),(16,3160319,'1',103,'N'),(16,3160327,'1',203,'N'),(16,3160335,'1',207,'N'),(16,3160335,'1A',201,'N'),(16,3160343,'1',302,'N'),(16,3160351,'1',212,'N'),(16,3160351,'1A',215,'N'),(16,3160386,'1',301,'N'),(16,3160394,'1',331,'N'),(16,3160408,'1',203,'N'),(16,3160408,'1A',202,'N'),(16,3160416,'1',333,'N'),(16,3160424,'1',502,'N'),(16,3160432,'1',207,'N'),(16,3160432,'1A',215,'N'),(16,3160440,'1',303,'N'),(16,3160459,'1',340,'N'),(16,3160467,'1',203,'N'),(16,3160467,'1A',214,'N'),(16,3160475,'1',216,'N'),(16,3160475,'1A',201,'N'),(16,3160483,'1',104,'N'),(16,3160491,'1',303,'N'),(16,3160505,'1',103,'N'),(16,3160521,'1',427,'N'),(16,3160521,'1A',425,'N'),(16,3160530,'1',104,'N'),(16,3160548,'1',207,'N'),(16,3160548,'1A',201,'N'),(16,3160556,'1',207,'N'),(16,3160556,'1A',201,'N'),(16,3160564,'1',103,'N'),(16,3160572,'1',201,'N'),(16,3160572,'1A',212,'N'),(16,3160580,'1',103,'N'),(16,3160610,'1',102,'N'),(16,3160637,'1',216,'N'),(16,3160637,'1A',208,'N'),(16,3160645,'1',208,'N'),(16,3160645,'1A',233,'N'),(16,3160661,'1',201,'N'),(16,3160661,'1A',207,'N'),(16,3160670,'1',301,'N'),(16,3160688,'1',103,'N'),(16,3160696,'1',103,'N'),(16,3160700,'1',9,'N'),(16,3160718,'1',5,'N'),(16,3160726,'1',303,'N'),(16,3160734,'1',207,'N'),(16,3160734,'1A',208,'N'),(16,3160742,'1',333,'N'),(16,3160750,'1',203,'N'),(16,3160750,'1A',214,'N'),(16,3160769,'1',3,'N'),(16,3160777,'1',316,'N'),(16,3160785,'1',211,'N'),(16,3160785,'1A',233,'N'),(16,3160793,'1',211,'N'),(16,3160793,'1A',212,'N'),(16,3160807,'1',303,'N'),(16,3160815,'1',220,'N'),(16,3160815,'1A',203,'N'),(16,3160823,'1',308,'N'),(16,3160831,'1',103,'N'),(16,3160840,'1',201,'N'),(16,3160840,'1A',202,'N'),(16,3160858,'1',234,'N'),(16,3160890,'1',2,'N'),(16,3160912,'1',220,'N'),(16,3160920,'1',316,'N'),(16,3160939,'1',233,'N'),(16,3160939,'1A',208,'N'),(16,3160947,'1',103,'N'),(16,3160955,'1',203,'N'),(16,3160955,'1A',214,'N'),(16,3160963,'1',101,'N'),(16,3160971,'1',214,'N'),(16,3160971,'1A',220,'N'),(16,3160980,'1',225,'N'),(16,3160998,'1',415,'N'),(16,3161005,'1',201,'N'),(16,3161005,'1A',207,'N'),(16,3161013,'1',102,'N'),(16,3161021,'1',104,'N'),(16,3161048,'1',503,'N'),(16,3161056,'1',9,'N'),(16,3161064,'1',207,'N'),(16,3161064,'1A',201,'N'),(16,3161072,'1',208,'N'),(16,3161072,'1A',238,'N'),(16,3161080,'1',428,'N'),(16,3161099,'1',340,'N'),(16,3161102,'1',203,'N'),(16,3161102,'1A',207,'N'),(16,3161110,'1',203,'N'),(16,3161129,'1',340,'N'),(16,3161137,'1',9,'N'),(16,3161145,'1',450,'N'),(16,3161153,'1',502,'N'),(16,3161161,'1',208,'N'),(16,3161161,'1A',238,'N'),(16,3161170,'1',102,'N'),(16,3161188,'1',233,'N'),(16,3161188,'1A',216,'N'),(16,3161196,'1',103,'N'),(16,3161200,'1',203,'N'),(16,3161218,'1',222,'N'),(16,3161226,'1',103,'N'),(16,3161234,'1',319,'N'),(16,3161242,'1',208,'N'),(16,3161242,'1A',238,'N'),(16,3161250,'1',207,'N'),(16,3161250,'1A',211,'N'),(16,3161269,'1',5,'N'),(16,3161277,'1',208,'N'),(16,3161277,'1A',201,'N'),(16,3161285,'1',103,'N'),(16,3161293,'1',214,'N'),(16,3161307,'1',203,'N'),(16,3161307,'1A',214,'N'),(16,3161315,'1',404,'N'),(16,3161323,'1',216,'N'),(16,3161323,'1A',233,'N'),(16,3161331,'1',319,'N'),(16,3161340,'1',103,'N'),(16,3161358,'1',503,'N'),(16,3161366,'1',208,'N'),(16,3161366,'1A',214,'N'),(16,3161374,'1',203,'N'),(16,3161374,'1A',214,'N'),(16,3161382,'1',332,'N'),(16,3161390,'1',103,'N'),(16,3161404,'1',201,'N'),(16,3161404,'1A',212,'N'),(16,3161412,'1',340,'N'),(16,3161420,'1',326,'N'),(16,3161447,'1',108,'N'),(16,3161455,'1',104,'N'),(16,3161471,'1',203,'N'),(16,3161471,'1A',202,'N'),(16,3161480,'1',340,'N'),(16,3161498,'1',207,'N'),(16,3161498,'1A',201,'N'),(16,3161501,'1',205,'N'),(16,3161510,'1',201,'N'),(16,3161510,'1A',216,'N'),(16,3161536,'1',444,'N'),(16,3161552,'1',340,'N'),(16,3161560,'1',216,'N'),(16,3161560,'1A',215,'N'),(16,3161579,'1',450,'N'),(16,3161587,'1',501,'N'),(16,3161595,'1',5,'N'),(16,3161609,'1',101,'N'),(16,3161617,'1',502,'N'),(16,3161625,'1',415,'N'),(16,3161633,'1',211,'N'),(16,3161633,'1A',207,'N'),(16,3161641,'1',427,'N'),(16,3161650,'1',450,'N'),(16,3161668,'1',319,'N'),(16,3161676,'1',451,'N'),(16,3161684,'1',103,'N'),(16,3161692,'1',317,'N'),(16,3161706,'1',420,'N'),(16,3161714,'1',203,'N'),(16,3161714,'1A',208,'N'),(16,3161722,'1',215,'N'),(16,3161722,'1A',213,'N'),(16,3161730,'1',303,'N'),(16,3161749,'1',211,'N'),(16,3161749,'1A',208,'N'),(16,3161757,'1',404,'N'),(16,3161765,'1',207,'N'),(16,3161773,'1',317,'N'),(16,3161781,'1',304,'N'),(16,3161790,'1',212,'N'),(16,3161790,'1A',233,'N'),(16,3161803,'1',453,'N'),(16,3161811,'1',340,'N'),(16,3161820,'1',234,'N'),(16,3161838,'1',108,'N'),(16,3161846,'1',103,'N'),(16,3161854,'1',3,'N'),(16,3161870,'1',208,'N'),(16,3161870,'1A',220,'N'),(16,3161889,'1',207,'N'),(16,3161889,'1A',201,'N'),(16,3161897,'1',9,'N'),(16,3161900,'1',103,'N'),(16,3161927,'1',415,'N'),(16,3161935,'1',329,'N'),(16,3161943,'1',207,'N'),(16,3161943,'1A',201,'N'),(16,3161951,'1',216,'N'),(16,3161951,'1A',201,'N'),(16,3161978,'1',103,'N'),(16,3161986,'1',415,'N'),(16,3161994,'1',303,'N'),(16,3162010,'1',220,'N'),(16,3162010,'1A',203,'N'),(16,3162028,'1',103,'N'),(16,3162036,'1',103,'N'),(16,3162044,'1',103,'N'),(16,3162060,'1',207,'N'),(16,3162060,'1A',212,'N'),(16,3162087,'1',302,'N'),(16,3162095,'1',103,'N'),(16,3162109,'1',108,'N'),(16,3162117,'1',339,'N'),(16,3162125,'1',103,'N'),(16,3162141,'1',102,'N'),(16,3162150,'1',104,'N'),(16,3162184,'1',207,'N'),(16,3162184,'1A',201,'N'),(16,3162192,'1',404,'N'),(16,3162206,'1',213,'N'),(16,3162206,'1A',202,'N'),(16,3162214,'1',103,'N'),(16,3162222,'1',103,'N'),(16,3162230,'1',103,'N'),(16,3162249,'1',303,'N'),(16,3162257,'1',201,'N'),(16,3162257,'1A',233,'N'),(16,3162265,'1',207,'N'),(16,3162265,'1A',201,'N'),(16,3162273,'1',415,'N'),(16,3162281,'1',203,'N'),(16,3162281,'1A',214,'N'),(16,3162303,'1',103,'N'),(16,3162311,'1',201,'N'),(16,3162311,'1A',212,'N'),(16,3162320,'1',301,'N'),(16,3162346,'1',317,'N'),(16,3162354,'1',201,'N'),(16,3162354,'1A',212,'N'),(16,3162370,'1',108,'N'),(16,3162389,'1',5,'N'),(16,3162397,'1',310,'N'),(16,3162400,'1',502,'N'),(16,3162419,'1',202,'N'),(16,3162419,'1A',220,'N'),(16,3162427,'1',450,'N'),(16,3162435,'1',102,'N'),(16,3162460,'1',309,'N'),(16,3162478,'1',303,'N'),(16,3162486,'1',103,'N'),(16,3162494,'1',103,'N'),(16,3162508,'1',102,'N'),(16,3162516,'1',301,'N'),(16,3162524,'1',207,'N'),(16,3162524,'1A',233,'N'),(16,3162532,'1',201,'N'),(16,3162532,'1A',202,'N'),(16,3162540,'1',211,'N'),(16,3162540,'1A',215,'N'),(16,3162559,'1',214,'N'),(16,3162559,'1A',203,'N'),(16,3162567,'1',103,'N'),(16,3162575,'1',319,'N'),(16,3162583,'1',104,'N'),(16,3162591,'1',211,'N'),(16,3162591,'1A',201,'N'),(16,3162605,'1',201,'N'),(16,3162605,'1A',212,'N'),(16,3162613,'1',340,'N'),(16,3162621,'1',208,'N'),(16,3162621,'1A',238,'N'),(16,3162630,'1',316,'N'),(16,3162648,'1',233,'N'),(16,3162648,'1A',201,'N'),(16,3162656,'1',102,'N'),(16,3162664,'1',333,'N'),(16,3162672,'1',213,'N'),(16,3162672,'1A',201,'N'),(16,3162680,'1',444,'N'),(16,3162702,'1',319,'N'),(16,3162710,'1',103,'N'),(16,3162729,'1',319,'N'),(16,3162737,'1',9,'N'),(16,3162745,'1',238,'N'),(16,3162753,'1',9,'N'),(16,3162761,'1',201,'N'),(16,3162788,'1',102,'N'),(16,3162796,'1',234,'N'),(16,3162800,'1',303,'N'),(16,3162826,'1',9,'N'),(16,3162834,'1',425,'N'),(16,3162834,'1A',429,'N'),(16,3162842,'1',216,'N'),(16,3162842,'1A',233,'N'),(16,3162850,'1',103,'N'),(16,3162869,'1',415,'N'),(16,3162877,'1',503,'N'),(16,3162885,'1',104,'N'),(16,3162893,'1',211,'N'),(16,3162893,'1A',216,'N'),(16,3162907,'1',450,'N'),(16,3162915,'1',5,'N'),(16,3162923,'1',207,'N'),(16,3162923,'1A',215,'N'),(16,3162931,'1',214,'N'),(16,3162931,'1A',203,'N'),(16,3162940,'1',212,'N'),(16,3162940,'1A',201,'N'),(16,3162958,'1',404,'N'),(16,3162966,'1',207,'N'),(16,3162966,'1A',233,'N'),(16,3162974,'1',340,'N'),(16,3162982,'1',451,'N'),(16,3162990,'1',450,'N'),(16,3163008,'1',203,'N'),(16,3163008,'1A',202,'N'),(16,3163024,'1',415,'N'),(16,3163032,'1',201,'N'),(16,3163032,'1A',213,'N'),(16,3163040,'1',301,'N'),(16,3163059,'1',450,'N'),(16,3163083,'1',103,'N'),(16,3163091,'1',207,'N'),(16,3163091,'1A',201,'N'),(16,3163105,'1',102,'N'),(16,3163113,'1',103,'N'),(16,3163130,'1',238,'N'),(16,3163130,'1A',208,'N'),(16,3163148,'1',301,'N'),(16,3163156,'1',103,'N'),(16,3163164,'1',207,'N'),(16,3163164,'1A',233,'N'),(16,3163172,'1',319,'N'),(16,3163180,'1',103,'N'),(16,3163199,'1',103,'N'),(16,3163202,'1',233,'N'),(16,3163202,'1A',216,'N'),(16,3163210,'1',319,'N'),(16,3163229,'1',201,'N'),(16,3163229,'1A',212,'N'),(16,3163237,'1',222,'N'),(16,3163245,'1',444,'N'),(16,3163253,'1',103,'N'),(16,3163261,'1',233,'N'),(16,3163261,'1A',215,'N'),(16,3163270,'1',103,'N'),(16,3163288,'1',207,'N'),(16,3163288,'1A',201,'N'),(16,3163296,'1',103,'N'),(16,3163318,'1',316,'N'),(16,3163326,'1',201,'N'),(16,3163326,'1A',212,'N'),(16,3163334,'1',202,'N'),(16,3163334,'1A',201,'N'),(16,3163342,'1',333,'N'),(16,3163350,'1',212,'N'),(16,3163350,'1A',201,'N'),(16,3163369,'1',9,'N'),(16,3163377,'1',103,'N'),(16,3163385,'1',303,'N'),(16,3163393,'1',207,'N'),(16,3163393,'1A',201,'N'),(16,3163407,'1',9,'N'),(16,3163415,'1',103,'N'),(16,3163423,'1',5,'N'),(16,3163431,'1',103,'N'),(16,3163440,'1',501,'N'),(16,3163458,'1',212,'N'),(16,3163458,'1A',214,'N'),(16,3163466,'1',503,'N'),(16,3163474,'1',333,'N'),(16,3163490,'1',303,'N'),(16,3163504,'1',201,'N'),(16,3163504,'1A',212,'N'),(16,3163512,'1',207,'N'),(16,3163512,'1A',201,'N'),(16,3163520,'1',201,'N'),(16,3163520,'1A',220,'N'),(16,3163539,'1',9,'N'),(16,3163547,'1',202,'N'),(16,3163547,'1A',220,'N'),(16,3163555,'1',207,'N'),(16,3163563,'1',452,'N'),(16,3163571,'1',203,'N'),(16,3163571,'1A',208,'N'),(16,3163580,'1',420,'N'),(16,3163598,'1',238,'N'),(16,3163598,'1A',203,'N'),(16,3163601,'1',220,'N'),(16,3163601,'1A',203,'N'),(16,3163610,'1',207,'N'),(16,3163610,'1A',201,'N'),(16,3163652,'1',203,'N'),(16,3163652,'1A',214,'N'),(16,3163660,'1',5,'N'),(16,3163679,'1',501,'N'),(16,3163687,'1',234,'N'),(16,3163695,'1',332,'N'),(16,3163709,'1',103,'N'),(16,3163717,'1',207,'N'),(16,3163717,'1A',201,'N'),(16,3163733,'1',104,'N'),(16,3163741,'1',340,'N'),(16,3163750,'1',303,'N'),(16,3163768,'1',103,'N'),(16,3163776,'1',103,'N'),(16,3163784,'1',214,'N'),(16,3163784,'1A',203,'N'),(16,3163792,'1',5,'N'),(16,3163806,'1',340,'N'),(16,3163814,'1',220,'N'),(16,3163814,'1A',202,'N'),(16,3163830,'1',215,'N'),(16,3163830,'1A',207,'N'),(16,3163849,'1',213,'N'),(16,3163849,'1A',202,'N'),(16,3163857,'1',308,'N'),(16,3163865,'1',428,'N'),(16,3163865,'1A',423,'N'),(16,3163873,'1',309,'N'),(16,3163881,'1',103,'N'),(16,3163890,'1',207,'N'),(16,3163890,'1A',201,'N'),(16,3163903,'1',428,'N'),(16,3163903,'1A',426,'N'),(16,3163911,'1',214,'N'),(16,3163911,'1A',201,'N'),(16,3163938,'1',104,'N'),(16,3163946,'1',103,'N'),(16,3163954,'1',220,'N'),(16,3163954,'1A',202,'N'),(16,3163962,'1',233,'N'),(16,3163962,'1A',215,'N'),(16,3163970,'1',302,'N'),(16,3163989,'1',415,'N'),(16,3163997,'1',211,'N'),(16,3164004,'1',103,'N'),(16,3164012,'1',208,'N'),(16,3164012,'1A',238,'N'),(16,3164020,'1',103,'N'),(16,3164039,'1',201,'N'),(16,3164039,'1A',212,'N'),(16,3164055,'1',316,'N'),(16,3164063,'1',102,'N'),(16,3164071,'1',211,'N'),(16,3164071,'1A',203,'N'),(16,3164080,'1',331,'N'),(16,3164098,'1',101,'N'),(16,3164101,'1',9,'N'),(16,3164110,'1',238,'N'),(16,3164110,'1A',208,'N'),(16,3164128,'1',302,'N'),(16,3164136,'1',103,'N'),(16,3164144,'1',333,'N'),(16,3164152,'1',203,'N'),(16,3164152,'1A',214,'N'),(16,3164160,'1',238,'N'),(16,3164160,'1A',208,'N'),(16,3164187,'1',201,'N'),(16,3164187,'1A',207,'N'),(16,3164195,'1',211,'N'),(16,3164195,'1A',207,'N'),(16,3164209,'1',420,'N'),(16,3164217,'1',203,'N'),(16,3164217,'1A',202,'N'),(16,3164225,'1',103,'N'),(16,3164233,'1',103,'N'),(16,3164241,'1',207,'N'),(16,3164241,'1A',201,'N'),(16,3164250,'1',207,'N'),(16,3164250,'1A',215,'N'),(16,3164268,'1',215,'N'),(16,3164268,'1A',216,'N'),(16,3164276,'1',104,'N'),(16,3164292,'1',203,'N'),(16,3164292,'1A',202,'N'),(16,3164306,'1',103,'N'),(16,3164314,'1',103,'N'),(16,3164322,'1',444,'N'),(16,3164330,'1',327,'N'),(16,3164349,'1',202,'N'),(16,3164349,'1A',220,'N'),(16,3164357,'1',5,'N'),(16,3164365,'1',304,'N'),(16,3164373,'1',233,'N'),(16,3164373,'1A',214,'N'),(16,3164381,'1',207,'N'),(16,3164381,'1A',201,'N'),(16,3164390,'1',233,'N'),(16,3164390,'1A',201,'N'),(16,3164411,'1',308,'N'),(16,3164420,'1',238,'N'),(16,3164420,'1A',208,'N'),(16,3164438,'1',207,'N'),(16,3164446,'1',501,'N'),(16,3164454,'1',428,'N'),(16,3164454,'1A',424,'N'),(16,3164462,'1',301,'N'),(16,3164489,'1',340,'N'),(16,3164500,'1',103,'N'),(16,3164527,'1',201,'N'),(16,3164527,'1A',220,'N'),(16,3164543,'1',203,'N'),(16,3164551,'1',301,'N'),(16,3164560,'1',340,'N'),(16,3164578,'1',339,'N'),(16,3164586,'1',340,'N'),(16,3164594,'1',207,'N'),(16,3164608,'1',340,'N'),(16,3164616,'1',501,'N'),(16,3164624,'1',234,'N'),(16,3164632,'1',207,'N'),(16,3164632,'1A',201,'N'),(16,3164640,'1',108,'N'),(16,3164659,'1',415,'N'),(16,3164675,'1',104,'N'),(16,3164683,'1',340,'N'),(16,3164691,'1',203,'N'),(16,3164691,'1A',208,'N'),(16,3164705,'1',5,'N'),(16,3164713,'1',104,'N'),(16,3164730,'1',302,'N'),(16,3164748,'1',319,'N'),(16,3164756,'1',302,'N'),(16,3164802,'1',302,'N'),(16,3164810,'1',103,'N'),(16,3164829,'1',420,'N'),(16,3164845,'1',207,'N'),(16,3164845,'1A',201,'N'),(16,3164853,'1',203,'N'),(16,3164853,'1A',216,'N'),(16,3164870,'1',103,'N'),(16,3164888,'1',303,'N'),(16,3164896,'1',303,'N'),(16,3164900,'1',203,'N'),(16,3164900,'1A',201,'N'),(16,3164918,'1',415,'N'),(16,3164926,'1',5,'N'),(16,3164934,'1',208,'N'),(16,3164934,'1A',238,'N'),(16,3164942,'1',303,'N'),(16,3164950,'1',5,'N'),(16,3164977,'1',101,'N'),(16,3164985,'1',215,'N'),(16,3164985,'1A',216,'N'),(16,3164993,'1',108,'N'),(16,3165000,'1',220,'N'),(16,3165000,'1A',201,'N'),(16,3165019,'1',104,'N'),(16,3165027,'1',203,'N'),(16,3165027,'1A',233,'N'),(16,3165035,'1',319,'N'),(16,3165043,'1',9,'N'),(16,3165051,'1',233,'N'),(16,3165051,'1A',201,'N'),(16,3165060,'1',207,'N'),(16,3165078,'1',103,'N'),(16,3165086,'1',238,'N'),(16,3165086,'1A',208,'N'),(16,3165094,'1',108,'N'),(16,3165108,'1',103,'N'),(16,3165116,'1',303,'N'),(16,3165124,'1',202,'N'),(16,3165124,'1A',203,'N'),(16,3165132,'1',103,'N'),(16,3165140,'1',208,'N'),(16,3165140,'1A',203,'N'),(16,3165159,'1',319,'N'),(16,3165167,'1',103,'N'),(16,3165191,'1',203,'N'),(16,3165191,'1A',214,'N'),(16,3165205,'1',214,'N'),(16,3165205,'1A',213,'N'),(16,3165213,'1',103,'N'),(16,3165230,'1',201,'N'),(16,3165230,'1A',213,'N'),(16,3165248,'1',303,'N'),(16,3165256,'1',5,'N'),(16,3165272,'1',303,'N'),(16,3165280,'1',5,'N'),(16,3165299,'1',404,'N'),(16,3165302,'1',304,'N'),(16,3165329,'1',104,'N'),(16,3165337,'1',203,'N'),(16,3165345,'1',319,'N'),(16,3165353,'1',420,'N'),(16,3165361,'1',201,'N'),(16,3165361,'1A',207,'N'),(16,3165370,'1',103,'N'),(16,3165388,'1',302,'N'),(16,3165396,'1',233,'N'),(16,3165396,'1A',211,'N'),(16,3165400,'1',201,'N'),(16,3165400,'1A',212,'N'),(16,3165426,'1',324,'N'),(16,3165442,'1',303,'N'),(16,3165469,'1',103,'N'),(16,3165477,'1',304,'N'),(16,3165493,'1',303,'N'),(16,3165515,'1',303,'N'),(16,3165523,'1',304,'N'),(16,3165531,'1',203,'N'),(16,3165531,'1A',233,'N'),(16,3165540,'1',302,'N'),(16,3165566,'1',233,'N'),(16,3165566,'1A',216,'N'),(16,3165574,'1',201,'N'),(16,3165574,'1A',212,'N'),(16,3165582,'1',233,'N'),(16,3165582,'1A',215,'N'),(16,3165590,'1',503,'N'),(16,3165612,'1',207,'N'),(16,3165612,'1A',201,'N'),(16,3165620,'1',238,'N'),(16,3165620,'1A',208,'N'),(16,3165639,'1',103,'N'),(16,3165647,'1',224,'N'),(16,3165655,'1',108,'N'),(16,3165663,'1',103,'N'),(16,3165671,'1',444,'N'),(16,3165698,'1',220,'N'),(16,3165698,'1A',202,'N'),(16,3165728,'1',213,'N'),(16,3165728,'1A',233,'N'),(16,3165736,'1',103,'N'),(16,3165744,'1',318,'N'),(16,3165760,'1',318,'N'),(16,3165787,'1',340,'N'),(16,3165795,'1',308,'N'),(16,3165809,'1',212,'N'),(16,3165809,'1A',201,'N'),(16,3165817,'1',303,'N'),(16,3165825,'1',451,'N'),(16,3165841,'1',501,'N'),(16,3165850,'1',303,'N'),(16,3165868,'1',203,'N'),(16,3165868,'1A',214,'N'),(16,3165876,'1',104,'N'),(16,3165884,'1',212,'N'),(16,3165884,'1A',214,'N'),(16,3165892,'1',316,'N'),(16,3165906,'1',309,'N'),(16,3165914,'1',214,'N'),(16,3165914,'1A',207,'N'),(16,3165930,'1',214,'N'),(16,3165930,'1A',211,'N'),(16,3165949,'1',420,'N'),(16,3165965,'1',304,'N'),(16,3165973,'1',415,'N'),(16,3165981,'1',203,'N'),(16,3165981,'1A',202,'N'),(16,3165990,'1',103,'N'),(16,3166007,'1',420,'N'),(16,3166015,'1',203,'N'),(16,3166015,'1A',202,'N'),(16,3166023,'1',415,'N'),(16,3166031,'1',238,'N'),(16,3166031,'1A',208,'N'),(16,3166040,'1',102,'N'),(16,3166066,'1',202,'N'),(16,3166066,'1A',213,'N'),(16,3166074,'1',215,'N'),(16,3166082,'1',211,'N'),(16,3166082,'1A',212,'N'),(16,3166090,'1',203,'N'),(16,3166090,'1A',202,'N'),(16,3166104,'1',207,'N'),(16,3166104,'1A',201,'N'),(16,3166112,'1',303,'N'),(16,3166120,'1',444,'N'),(16,3166139,'1',103,'N'),(16,3166147,'1',340,'N'),(16,3166155,'1',303,'N'),(16,3166163,'1',332,'N'),(16,3166171,'1',502,'N'),(16,3166198,'1',103,'N'),(16,3166201,'1',104,'N'),(16,3166228,'1',238,'N'),(16,3166228,'1A',208,'N'),(16,3166236,'1',421,'N'),(16,3166244,'1',203,'N'),(16,3166244,'1A',201,'N'),(16,3166252,'1',340,'N'),(16,3166260,'1',326,'N'),(16,3166279,'1',208,'N'),(16,3166287,'1',340,'N'),(16,3166295,'1',301,'N'),(16,3166309,'1',103,'N'),(16,3166317,'1',318,'N'),(16,3166325,'1',103,'N'),(16,3166333,'1',203,'N'),(16,3166333,'1A',202,'N'),(16,3166341,'1',452,'N'),(16,3166350,'1',233,'N'),(16,3166368,'1',201,'N'),(16,3166368,'1A',211,'N'),(16,3166376,'1',404,'N'),(16,3166384,'1',428,'N'),(16,3166384,'1A',421,'N'),(16,3166392,'1',202,'N'),(16,3166392,'1A',208,'N'),(16,3166406,'1',317,'N'),(16,3166414,'1',215,'N'),(16,3166414,'1A',233,'N'),(16,3166422,'1',5,'N'),(16,3166430,'1',233,'N'),(16,3166430,'1A',201,'N'),(16,3166449,'1',208,'N'),(16,3166449,'1A',216,'N'),(16,3166457,'1',301,'N'),(16,3166465,'1',201,'N'),(16,3166465,'1A',212,'N'),(16,3166473,'1',202,'N'),(16,3166473,'1A',233,'N'),(16,3166481,'1',216,'N'),(16,3166481,'1A',203,'N'),(16,3166490,'1',104,'N'),(16,3166520,'1',208,'N'),(16,3166520,'1A',238,'N'),(16,3166546,'1',331,'N'),(16,3166554,'1',214,'N'),(16,3166554,'1A',220,'N'),(16,3166562,'1',420,'N'),(16,3166570,'1',220,'N'),(16,3166570,'1A',203,'N'),(16,3166589,'1',220,'N'),(16,3166589,'1A',201,'N'),(16,3166597,'1',503,'N'),(16,3166600,'1',301,'N'),(16,3166627,'1',340,'N'),(16,3166635,'1',5,'N'),(16,3166643,'1',103,'N'),(16,3166651,'1',5,'N'),(16,3166660,'1',103,'N'),(16,3166678,'1',103,'N'),(16,3166694,'1',308,'N'),(16,3166708,'1',453,'N'),(16,3166716,'1',309,'N'),(16,3166724,'1',202,'N'),(16,3166724,'1A',213,'N'),(16,3166732,'1',201,'N'),(16,3166732,'1A',211,'N'),(16,3166740,'1',103,'N'),(16,3166759,'1',340,'N'),(16,3166767,'1',450,'N'),(16,3166783,'1',103,'N'),(16,3166805,'1',319,'N'),(16,3166821,'1',211,'N'),(16,3166821,'1A',201,'N'),(16,3166830,'1',301,'N'),(16,3166848,'1',208,'N'),(16,3166848,'1A',238,'N'),(16,3166856,'1',340,'N'),(16,3166872,'1',5,'N'),(16,3166880,'1',103,'N'),(16,3166899,'1',213,'N'),(16,3166899,'1A',238,'N'),(16,3166902,'1',207,'N'),(16,3166902,'1A',201,'N'),(16,3166910,'1',453,'N'),(16,3166929,'1',301,'N'),(16,3166937,'1',211,'N'),(16,3166937,'1A',233,'N'),(16,3166945,'1',104,'N'),(16,3166953,'1',103,'N'),(16,3166961,'1',208,'N'),(16,3166961,'1A',238,'N'),(16,3166988,'1',421,'N'),(16,3166988,'1A',423,'N'),(16,3167011,'1',211,'N'),(16,3167011,'1A',238,'N'),(16,3167020,'1',309,'N'),(16,3167038,'1',103,'N'),(16,3167046,'1',212,'N'),(16,3167046,'1A',215,'N'),(16,3167054,'1',223,'N'),(16,3167062,'1',333,'N'),(16,3167070,'1',211,'N'),(16,3167070,'1A',201,'N'),(16,3167089,'1',303,'N'),(16,3167097,'1',415,'N'),(16,3167100,'1',103,'N'),(16,3167119,'1',317,'N'),(16,3167127,'1',421,'N'),(16,3167127,'1A',427,'N'),(16,3167135,'1',453,'N'),(16,3167143,'1',216,'N'),(16,3167143,'1A',201,'N'),(16,3167151,'1',208,'N'),(16,3167151,'1A',207,'N'),(16,3167160,'1',102,'N'),(16,3167186,'1',103,'N'),(16,3167208,'1',208,'N'),(16,3167208,'1A',238,'N'),(16,3167216,'1',340,'N'),(16,3167224,'1',103,'N'),(16,3167232,'1',101,'N'),(16,3167259,'1',319,'N'),(16,3167267,'1',208,'N'),(16,3167267,'1A',238,'N'),(16,3167275,'1',234,'N'),(16,3167305,'1',103,'N'),(16,3167313,'1',238,'N'),(16,3167313,'1A',216,'N'),(16,3167330,'1',201,'N'),(16,3167348,'1',203,'N'),(16,3167356,'1',5,'N'),(16,3167364,'1',9,'N'),(16,3167372,'1',428,'N'),(16,3167372,'1A',425,'N'),(16,3167402,'1',302,'N'),(16,3167410,'1',203,'N'),(16,3167410,'1A',233,'N'),(16,3167429,'1',238,'N'),(16,3167429,'1A',208,'N'),(16,3167437,'1',333,'N'),(16,3167445,'1',102,'N'),(16,3167453,'1',102,'N'),(16,3167461,'1',103,'N'),(16,3167470,'1',340,'N'),(16,3167496,'1',316,'N'),(16,3167500,'1',428,'N'),(16,3167500,'1A',426,'N'),(16,3167518,'1',103,'N'),(16,3167526,'1',103,'N'),(16,3167534,'1',202,'N'),(16,3167534,'1A',208,'N'),(16,3167550,'1',450,'N'),(16,3167569,'1',331,'N'),(16,3167577,'1',303,'N'),(16,3167585,'1',214,'N'),(16,3167585,'1A',220,'N'),(16,3167593,'1',301,'N'),(16,3167607,'1',208,'N'),(16,3167607,'1A',238,'N'),(16,3167615,'1',103,'N'),(16,3167623,'1',324,'N'),(16,3167631,'1',103,'N'),(16,3167658,'1',5,'N'),(16,3167682,'1',304,'N'),(16,3167690,'1',202,'N'),(16,3167690,'1A',213,'N'),(16,3167704,'1',207,'N'),(16,3167704,'1A',201,'N'),(16,3167712,'1',215,'N'),(16,3167712,'1A',213,'N'),(16,3167720,'1',203,'N'),(16,3167720,'1A',202,'N'),(16,3167739,'1',309,'N'),(16,3167747,'1',317,'N'),(16,3167755,'1',201,'N'),(16,3167755,'1A',207,'N'),(16,3167763,'1',103,'N'),(16,3167771,'1',326,'N'),(16,3167798,'1',427,'N'),(16,3167801,'1',429,'N'),(16,3167801,'1A',425,'N'),(16,3167810,'1',103,'N'),(16,3167828,'1',208,'N'),(16,3167828,'1A',238,'N'),(16,3167836,'1',332,'N'),(16,3167852,'1',415,'N'),(16,3167860,'1',319,'N'),(16,3167879,'1',332,'N'),(16,3167887,'1',502,'N'),(16,3167895,'1',310,'N'),(16,3167909,'1',212,'N'),(16,3167909,'1A',238,'N'),(16,3167917,'1',207,'N'),(16,3167925,'1',212,'N'),(16,3167925,'1A',233,'N'),(16,3167933,'1',340,'N'),(16,3167950,'1',5,'N'),(16,3167968,'1',303,'N'),(16,3167976,'1',103,'N'),(16,3168018,'1',103,'N'),(16,3168034,'1',103,'N'),(16,3168042,'1',101,'N'),(16,3168050,'1',340,'N'),(16,3168069,'1',103,'N'),(16,3168085,'1',318,'N'),(16,3168093,'1',318,'N'),(16,3168107,'1',220,'N'),(16,3168107,'1A',238,'N'),(16,3168115,'1',211,'N'),(16,3168115,'1A',215,'N'),(16,3168123,'1',302,'N'),(16,3168131,'1',415,'N'),(16,3168140,'1',103,'N'),(16,3168158,'1',302,'N'),(16,3168166,'1',103,'N'),(16,3168174,'1',5,'N'),(16,3168204,'1',203,'N'),(16,3168204,'1A',216,'N'),(16,3168212,'1',319,'N'),(16,3168220,'1',207,'N'),(16,3168239,'1',404,'N'),(16,3168247,'1',207,'N'),(16,3168247,'1A',201,'N'),(16,3168255,'1',333,'N'),(16,3168263,'1',103,'N'),(16,3168271,'1',5,'N'),(16,3168280,'1',238,'N'),(16,3168280,'1A',208,'N'),(16,3168301,'1',404,'N'),(16,3168310,'1',444,'N'),(16,3168328,'1',316,'N'),(16,3168336,'1',203,'N'),(16,3168336,'1A',214,'N'),(16,3168344,'1',340,'N'),(16,3168352,'1',303,'N'),(16,3168360,'1',5,'N'),(16,3168379,'1',302,'N'),(16,3168387,'1',216,'N'),(16,3168387,'1A',211,'N'),(16,3168395,'1',220,'N'),(16,3168395,'1A',214,'N'),(16,3168409,'1',211,'N'),(16,3168409,'1A',238,'N'),(16,3168417,'1',208,'N'),(16,3168417,'1A',238,'N'),(16,3168425,'1',5,'N'),(16,3168433,'1',233,'N'),(16,3168433,'1A',214,'N'),(16,3168441,'1',302,'N'),(16,3168450,'1',316,'N'),(16,3168468,'1',103,'N'),(16,3168476,'1',444,'N'),(16,3168484,'1',302,'N'),(16,3168492,'1',201,'N'),(16,3168492,'1A',212,'N'),(16,3168506,'1',203,'N'),(16,3168506,'1A',214,'N'),(16,3168514,'1',223,'N'),(16,3168522,'1',208,'N'),(16,3168522,'1A',201,'N'),(16,3168530,'1',5,'N'),(16,3168549,'1',216,'N'),(16,3168549,'1A',214,'N'),(16,3168557,'1',216,'N'),(16,3168557,'1A',233,'N'),(16,3168565,'1',316,'N'),(16,3168573,'1',102,'N'),(16,3168581,'1',103,'N'),(16,3168590,'1',103,'N'),(16,3168603,'1',301,'N'),(16,3168611,'1',103,'N'),(16,3168620,'1',326,'N'),(16,3168638,'1',238,'N'),(16,3168638,'1A',208,'N'),(16,3168646,'1',317,'N'),(16,3168654,'1',103,'N'),(16,3168662,'1',103,'N'),(16,3168670,'1',203,'N'),(16,3168670,'1A',214,'N'),(16,3168689,'1',207,'N'),(16,3168689,'1A',201,'N'),(16,3168700,'1',302,'N'),(16,3168719,'1',211,'N'),(16,3168719,'1A',208,'N'),(16,3168727,'1',104,'N'),(16,3168743,'1',103,'N'),(16,3168751,'1',320,'N'),(16,3168760,'1',213,'N'),(16,3168760,'1A',214,'N'),(16,3168778,'1',304,'N'),(16,3168786,'1',309,'N'),(16,3168794,'1',103,'N'),(16,3168808,'1',502,'N'),(16,3168816,'1',212,'N'),(16,3168816,'1A',214,'N'),(16,3168824,'1',104,'N'),(16,3168832,'1',216,'N'),(16,3168832,'1A',207,'N'),(16,3168840,'1',5,'N'),(16,3168867,'1',9,'N'),(16,3168875,'1',223,'N'),(16,3168883,'1',302,'N'),(16,3168905,'1',207,'N'),(16,3168905,'1A',201,'N'),(16,3168921,'1',5,'N'),(16,3168930,'1',103,'N'),(16,3168948,'1',415,'N'),(16,3168956,'1',303,'N'),(16,3168964,'1',108,'N'),(16,3168972,'1',207,'N'),(16,3168972,'1A',201,'N'),(16,3168980,'1',327,'N'),(16,3168999,'1',331,'N'),(16,3169006,'1',234,'N'),(16,3169014,'1',201,'N'),(16,3169014,'1A',207,'N'),(16,3169022,'1',103,'N'),(16,3169030,'1',301,'N'),(16,3169065,'1',301,'N'),(16,3169073,'1',211,'N'),(16,3169073,'1A',207,'N'),(16,3169081,'1',303,'N'),(16,3169090,'1',103,'N'),(16,3169103,'1',5,'N'),(16,3169120,'1',424,'N'),(16,3169120,'1A',428,'N'),(16,3169138,'1',203,'N'),(16,3169138,'1A',233,'N'),(16,3169146,'1',318,'N'),(16,3169154,'1',203,'N'),(16,3169154,'1A',220,'N'),(16,3169162,'1',104,'N'),(16,3169189,'1',207,'N'),(16,3169197,'1',103,'N'),(16,3169200,'1',213,'N'),(16,3169200,'1A',202,'N'),(16,3169219,'1',304,'N'),(16,3169235,'1',339,'N'),(16,3169243,'1',101,'N'),(16,3169260,'1',208,'N'),(16,3169260,'1A',202,'N'),(16,3169286,'1',102,'N'),(16,3169294,'1',9,'N'),(16,3169308,'1',318,'N'),(16,3169316,'1',303,'N'),(16,3169324,'1',103,'N'),(16,3169332,'1',103,'N'),(16,3169340,'1',303,'N'),(16,3169359,'1',207,'N'),(16,3169359,'1A',201,'N'),(16,3169367,'1',213,'N'),(16,3169367,'1A',212,'N'),(16,3169383,'1',453,'N'),(16,3169391,'1',208,'N'),(16,3169391,'1A',238,'N'),(16,3169405,'1',214,'N'),(16,3169405,'1A',203,'N'),(16,3169413,'1',207,'N'),(16,3169413,'1A',212,'N'),(16,3169430,'1',317,'N'),(16,3169448,'1',308,'N'),(16,3169456,'1',201,'N'),(16,3169456,'1A',220,'N'),(16,3169464,'1',103,'N'),(16,3169472,'1',102,'N'),(16,3169480,'1',317,'N'),(16,3169499,'1',104,'N'),(16,3169502,'1',424,'N'),(16,3169502,'1A',421,'N'),(16,3169510,'1',103,'N'),(16,3169529,'1',333,'N'),(16,3169545,'1',319,'N'),(16,3169553,'1',233,'N'),(16,3169553,'1A',238,'N'),(16,3169561,'1',238,'N'),(16,3169561,'1A',203,'N'),(16,3169588,'1',211,'N'),(16,3169588,'1A',215,'N'),(16,3169596,'1',220,'N'),(16,3169596,'1A',233,'N'),(16,3169600,'1',211,'N'),(16,3169600,'1A',201,'N'),(16,3169618,'1',207,'N'),(16,3169618,'1A',201,'N'),(16,3169634,'1',103,'N'),(16,3169642,'1',303,'N'),(16,3169650,'1',5,'N'),(16,3169669,'1',220,'N'),(16,3169669,'1A',201,'N'),(16,3169677,'1',317,'N'),(16,3169685,'1',5,'N'),(16,3169693,'1',223,'N'),(16,3169707,'1',103,'N'),(16,3169715,'1',426,'N'),(16,3169715,'1A',428,'N'),(16,3169723,'1',238,'N'),(16,3169723,'1A',207,'N'),(16,3169731,'1',420,'N'),(16,3169740,'1',502,'N'),(16,3169766,'1',211,'N'),(16,3169766,'1A',201,'N'),(16,3169774,'1',216,'N'),(16,3169774,'1A',220,'N'),(16,3169782,'1',103,'N'),(16,3169790,'1',319,'N'),(16,3169804,'1',102,'N'),(16,3169812,'1',103,'N'),(16,3169820,'1',103,'N'),(16,3169847,'1',340,'N'),(16,3169855,'1',103,'N'),(16,3169863,'1',201,'N'),(16,3169863,'1A',208,'N'),(16,3169871,'1',404,'N'),(16,3169880,'1',317,'N'),(16,3169898,'1',5,'N'),(16,3169901,'1',425,'N'),(16,3169910,'1',201,'N'),(16,3169910,'1A',212,'N'),(16,3169928,'1',203,'N'),(16,3169928,'1A',214,'N'),(16,3169936,'1',327,'N'),(16,3169944,'1',203,'N'),(16,3169944,'1A',202,'N'),(16,3169952,'1',5,'N'),(16,3169960,'1',103,'N'),(16,3169979,'1',103,'N'),(16,3169987,'1',317,'N'),(16,3169995,'1',212,'N'),(16,3169995,'1A',215,'N'),(16,3170004,'1',340,'N'),(16,3170020,'1',339,'N'),(16,3170039,'1',425,'N'),(16,3170039,'1A',429,'N'),(16,3170047,'1',340,'N'),(16,3170055,'1',103,'N'),(16,3170063,'1',317,'N'),(16,3170071,'1',103,'N'),(16,3170080,'1',211,'N'),(16,3170080,'1A',212,'N'),(16,3170098,'1',340,'N'),(16,3170101,'1',104,'N'),(16,3170110,'1',104,'N'),(16,3170128,'1',421,'N'),(16,3170128,'1A',427,'N'),(16,3170136,'1',9,'N'),(16,3170144,'1',309,'N'),(16,3170152,'1',103,'N'),(16,3170160,'1',303,'N'),(16,3170179,'1',201,'N'),(16,3170179,'1A',207,'N'),(16,3170187,'1',104,'N'),(16,3170195,'1',303,'N'),(16,3170209,'1',304,'N'),(16,3170217,'1',328,'N'),(16,3170225,'1',203,'N'),(16,3170225,'1A',202,'N'),(16,3170233,'1',317,'N'),(16,3170241,'1',316,'N'),(16,3170250,'1',450,'N'),(16,3170268,'1',415,'N'),(16,3170276,'1',238,'N'),(16,3170276,'1A',208,'N'),(16,3170284,'1',9,'N'),(16,3170292,'1',213,'N'),(16,3170292,'1A',215,'N'),(16,3170306,'1',320,'N'),(16,3170314,'1',5,'N'),(16,3170322,'1',103,'N'),(16,3170357,'1',103,'N'),(16,3170365,'1',326,'N'),(16,3170373,'1',404,'N'),(16,3170381,'1',452,'N'),(16,3170390,'1',220,'N'),(16,3170390,'1A',213,'N'),(16,3170403,'1',308,'N'),(16,3170411,'1',103,'N'),(16,3170420,'1',103,'N'),(16,3170438,'1',303,'N'),(16,3170454,'1',303,'N'),(16,3170470,'1',428,'N'),(16,3170470,'1A',426,'N'),(16,3170489,'1',220,'N'),(16,3170489,'1A',202,'N'),(16,3170497,'1',211,'N'),(16,3170497,'1A',216,'N'),(16,3170500,'1',340,'N'),(16,3170519,'1',203,'N'),(16,3170519,'1A',202,'N'),(16,3170527,'1',9,'N'),(16,3170535,'1',103,'N'),(16,3170560,'1',301,'N'),(16,3170578,'1',303,'N'),(16,3170586,'1',201,'N'),(16,3170586,'1A',212,'N'),(16,3170594,'1',303,'N'),(16,3170616,'1',104,'N'),(16,3170624,'1',108,'N'),(16,3170632,'1',212,'N'),(16,3170632,'1A',213,'N'),(16,3170640,'1',5,'N'),(16,3170667,'1',9,'N'),(16,3170683,'1',211,'N'),(16,3170683,'1A',233,'N'),(16,3170691,'1',320,'N'),(16,3170705,'1',208,'N'),(16,3170705,'1A',203,'N'),(16,3170713,'1',303,'N'),(16,3170721,'1',216,'N'),(16,3170721,'1A',201,'N'),(16,3170730,'1',319,'N'),(16,3170748,'1',104,'N'),(16,3170756,'1',108,'N'),(16,3170764,'1',333,'N'),(16,3170772,'1',203,'N'),(16,3170772,'1A',202,'N'),(16,3170780,'1',415,'N'),(16,3170799,'1',101,'N'),(16,3170802,'1',304,'N'),(16,3170810,'1',201,'N'),(16,3170810,'1A',233,'N'),(16,3170829,'1',213,'N'),(16,3170837,'1',211,'N'),(16,3170837,'1A',215,'N'),(16,3170845,'1',104,'N'),(16,3170853,'1',216,'N'),(16,3170853,'1A',215,'N'),(16,3170861,'1',319,'N'),(16,3170870,'1',211,'N'),(16,3170870,'1A',215,'N'),(16,3170896,'1',214,'N'),(16,3170896,'1A',212,'N'),(16,3170900,'1',220,'N'),(16,3170900,'1A',215,'N'),(16,3170918,'1',5,'N'),(16,3170926,'1',203,'N'),(16,3170926,'1A',214,'N'),(16,3170934,'1',319,'N'),(16,3170942,'1',339,'N'),(16,3170950,'1',320,'N'),(16,3170977,'1',425,'N'),(16,3170977,'1A',428,'N'),(16,3170985,'1',103,'N'),(16,3170993,'1',201,'N'),(16,3170993,'1A',203,'N'),(16,3171000,'1',201,'N'),(16,3171000,'1A',233,'N'),(16,3171019,'1',203,'N'),(16,3171019,'1A',201,'N'),(16,3171027,'1',317,'N'),(16,3171035,'1',5,'N'),(16,3171043,'1',211,'N'),(16,3171043,'1A',201,'N'),(16,3171051,'1',203,'N'),(16,3171051,'1A',214,'N'),(16,3171078,'1',203,'N'),(16,3171078,'1A',202,'N'),(16,3171086,'1',102,'N'),(16,3171094,'1',303,'N'),(16,3171108,'1',208,'N'),(16,3171108,'1A',212,'N'),(16,3171116,'1',428,'N'),(16,3171116,'1A',426,'N'),(16,3171124,'1',340,'N'),(16,3171132,'1',301,'N'),(16,3171140,'1',102,'N'),(16,3171159,'1',220,'N'),(16,3171159,'1A',203,'N'),(16,3171175,'1',207,'N'),(16,3171175,'1A',211,'N'),(16,3171183,'1',303,'N'),(16,3171191,'1',317,'N'),(16,3171205,'1',303,'N'),(16,3171213,'1',103,'N'),(16,3171221,'1',503,'N'),(16,3171248,'1',215,'N'),(16,3171248,'1A',233,'N'),(16,3171256,'1',327,'N'),(16,3171280,'1',9,'N'),(16,3171299,'1',309,'N'),(16,3171302,'1',103,'N'),(16,3171310,'1',319,'N'),(16,3171329,'1',103,'N'),(16,3171337,'1',108,'N'),(16,3171345,'1',103,'N'),(16,3171353,'1',331,'N'),(16,3171361,'1',201,'N'),(16,3171361,'1A',203,'N'),(16,3171370,'1',302,'N'),(16,3171396,'1',233,'N'),(16,3171396,'1A',215,'N'),(16,3171400,'1',233,'N'),(16,3171400,'1A',201,'N'),(16,3171418,'1',3,'N'),(16,3171434,'1',404,'N'),(16,3171442,'1',103,'N'),(16,3171450,'1',102,'N'),(16,3171469,'1',340,'N'),(16,3171485,'1',104,'N'),(16,3171493,'1',103,'N'),(16,3171507,'1',103,'N'),(16,3171515,'1',303,'N'),(16,3171523,'1',450,'N'),(16,3171531,'1',302,'N'),(16,3171540,'1',102,'N'),(16,3171558,'1',303,'N'),(16,3171566,'1',104,'N'),(16,3171574,'1',108,'N'),(16,3171590,'1',211,'N'),(16,3171590,'1A',215,'N'),(16,3171604,'1',207,'N'),(16,3171604,'1A',211,'N'),(16,3171612,'1',3,'N'),(16,3171620,'1',340,'N'),(16,3171639,'1',452,'N'),(16,3171647,'1',301,'N'),(16,3171655,'1',207,'N'),(16,3171655,'1A',201,'N'),(16,3171663,'1',108,'N'),(16,3171680,'1',302,'N'),(16,3171698,'1',207,'N'),(16,3171698,'1A',233,'N'),(16,3171701,'1',308,'N'),(16,3171736,'1',103,'N'),(16,3171744,'1',101,'N'),(16,3171752,'1',103,'N'),(16,3171760,'1',319,'N'),(16,3171779,'1',216,'N'),(16,3171779,'1A',215,'N'),(16,3171787,'1',103,'N'),(16,3171809,'1',201,'N'),(16,3171809,'1A',211,'N'),(16,3171817,'1',201,'N'),(16,3171817,'1A',207,'N'),(16,3171825,'1',340,'N'),(16,3171833,'1',303,'N'),(16,3171841,'1',415,'N'),(16,3171850,'1',340,'N'),(16,3171868,'1',104,'N'),(16,3171876,'1',214,'N'),(16,3171876,'1A',213,'N'),(16,3171892,'1',420,'N'),(16,3171906,'1',203,'N'),(16,3171906,'1A',201,'N'),(16,3171914,'1',201,'N'),(16,3171914,'1A',212,'N'),(16,3171922,'1',207,'N'),(16,3171922,'1A',201,'N'),(16,3171930,'1',317,'N'),(16,3171949,'1',212,'N'),(16,3171949,'1A',207,'N'),(16,3171957,'1',207,'N'),(16,3171957,'1A',201,'N'),(16,3171965,'1',317,'N'),(16,3171973,'1',450,'N'),(16,3171981,'1',319,'N'),(16,3171990,'1',453,'N'),(16,3172007,'1',420,'N'),(16,3172023,'1',415,'N'),(16,3172031,'1',214,'N'),(16,3172031,'1A',238,'N'),(16,3172040,'1',303,'N'),(16,3172058,'1',214,'N'),(16,3172058,'1A',212,'N'),(16,3172066,'1',103,'N'),(16,3172074,'1',340,'N'),(16,3172082,'1',340,'N'),(16,3172104,'1',319,'N'),(16,3172112,'1',309,'N'),(16,3172120,'1',301,'N'),(16,3172147,'1',108,'N'),(16,3172155,'1',444,'N'),(16,3172163,'1',103,'N'),(16,3172171,'1',207,'N'),(16,3172171,'1A',201,'N'),(16,3172180,'1',207,'N'),(16,3172210,'1',203,'N'),(16,3172210,'1A',202,'N'),(16,3172228,'1',453,'N'),(16,3172236,'1',103,'N'),(16,3172244,'1',104,'N'),(16,3172260,'1',102,'N'),(16,3172279,'1',444,'N'),(16,3172287,'1',103,'N'),(16,3172295,'1',9,'N'),(16,3172317,'1',220,'N'),(16,3172317,'1A',202,'N'),(16,3172325,'1',5,'N'),(16,3172341,'1',201,'N'),(16,3172341,'1A',213,'N'),(16,3172350,'1',329,'N'),(16,3172368,'1',208,'N'),(16,3172368,'1A',238,'N'),(16,3172376,'1',318,'N'),(16,3172384,'1',415,'N'),(16,3172392,'1',3,'N'),(16,3172406,'1',101,'N'),(16,3172414,'1',103,'N'),(16,3172422,'1',102,'N'),(16,3172430,'1',318,'N'),(16,3172449,'1',502,'N'),(16,3172457,'1',415,'N'),(16,3172465,'1',9,'N'),(16,3172473,'1',329,'N'),(16,3172481,'1',303,'N'),(16,3172490,'1',404,'N'),(16,3172511,'1',316,'N'),(16,3172520,'1',319,'N'),(16,3172538,'1',2,'N'),(16,3172546,'1',444,'N'),(16,3172554,'1',214,'N'),(16,3172554,'1A',233,'N'),(16,3172562,'1',103,'N'),(16,3172570,'1',316,'N'),(16,3172589,'1',404,'N'),(16,3172600,'1',426,'N'),(16,3172600,'1A',428,'N'),(16,3172619,'1',202,'N'),(16,3172619,'1A',214,'N'),(16,3172643,'1',303,'N'),(16,3172651,'1',102,'N'),(16,3172660,'1',319,'N'),(16,3172678,'1',104,'N'),(16,3172686,'1',444,'N'),(16,3172694,'1',319,'N'),(16,3172708,'1',425,'N'),(16,3172708,'1A',426,'N'),(16,3172716,'1',216,'N'),(16,3172724,'1',238,'N'),(16,3172724,'1A',208,'N'),(16,3172732,'1',415,'N'),(16,3172740,'1',201,'N'),(16,3172740,'1A',212,'N'),(16,3172759,'1',103,'N'),(16,3172767,'1',201,'N'),(16,3172767,'1A',212,'N'),(16,3172775,'1',420,'N'),(16,3172783,'1',303,'N'),(16,3172791,'1',207,'N'),(16,3172791,'1A',201,'N'),(16,3172805,'1',303,'N'),(16,3172813,'1',5,'N'),(16,3172821,'1',216,'N'),(16,3172821,'1A',201,'N'),(16,3172830,'1',319,'N'),(16,3172848,'1',421,'N'),(16,3172848,'1A',424,'N'),(16,3172856,'1',216,'N'),(16,3172856,'1A',203,'N'),(16,3172864,'1',108,'N'),(16,3172872,'1',223,'N'),(16,3172880,'1',319,'N'),(16,3172899,'1',303,'N'),(16,3172902,'1',102,'N'),(16,3172910,'1',444,'N'),(16,3172929,'1',319,'N'),(16,3172937,'1',207,'N'),(16,3172937,'1A',212,'N'),(16,3172945,'1',201,'N'),(16,3172945,'1A',213,'N'),(16,3172953,'1',207,'N'),(16,3172953,'1A',212,'N'),(16,3172961,'1',103,'N'),(16,3172988,'1',201,'N'),(16,3172988,'1A',212,'N'),(16,3172996,'1',208,'N'),(16,3172996,'1A',238,'N'),(16,3173003,'1',339,'N'),(16,3173011,'1',201,'N'),(16,3173011,'1A',212,'N'),(16,3173020,'1',319,'N'),(16,3173046,'1',333,'N'),(16,3173062,'1',318,'N'),(16,3173070,'1',103,'N'),(16,3173089,'1',212,'N'),(16,3173089,'1A',211,'N'),(16,3173097,'1',319,'N'),(16,3173100,'1',304,'N'),(16,3173119,'1',238,'N'),(16,3173119,'1A',208,'N'),(16,3173135,'1',101,'N'),(16,3173143,'1',234,'N'),(16,3173160,'1',103,'N'),(16,3173178,'1',301,'N'),(16,3173186,'1',415,'N'),(16,3173194,'1',212,'N'),(16,3173194,'1A',213,'N'),(16,3173208,'1',301,'N'),(16,3173216,'1',203,'N'),(16,3173216,'1A',220,'N'),(16,3173224,'1',234,'N'),(16,3173232,'1',215,'N'),(16,3173232,'1A',216,'N'),(16,3173240,'1',304,'N'),(16,3173259,'1',2,'N'),(16,3173267,'1',415,'N'),(16,3173283,'1',207,'N'),(16,3173291,'1',331,'N'),(16,3173305,'1',203,'N'),(16,3173305,'1A',214,'N'),(16,3173313,'1',103,'N'),(16,3173321,'1',308,'N'),(16,3173330,'1',103,'N'),(16,3173348,'1',211,'N'),(16,3173348,'1A',216,'N'),(16,3173356,'1',5,'N'),(16,3173364,'1',101,'N'),(16,3173372,'1',104,'N'),(16,3173380,'1',225,'N'),(16,3173399,'1',303,'N'),(16,3173402,'1',103,'N'),(16,3173410,'1',234,'N'),(16,3173429,'1',450,'N'),(16,3173437,'1',304,'N'),(16,3173445,'1',303,'N'),(16,3173453,'1',207,'N'),(16,3173453,'1A',201,'N'),(16,3173461,'1',201,'N'),(16,3173461,'1A',202,'N'),(16,3173470,'1',317,'N'),(16,3173488,'1',3,'N'),(16,3173496,'1',238,'N'),(16,3173496,'1A',208,'N'),(16,3173500,'1',103,'N'),(16,3173518,'1',3,'N'),(16,3173526,'1',207,'N'),(16,3173526,'1A',211,'N'),(16,3173542,'1',103,'N'),(16,3173550,'1',203,'N'),(16,3173550,'1A',202,'N'),(16,3173569,'1',302,'N'),(16,3173593,'1',316,'N'),(16,3173607,'1',103,'N'),(16,3173615,'1',108,'N'),(16,3173623,'1',214,'N'),(16,3173623,'1A',207,'N'),(16,3173631,'1',420,'N'),(16,3173640,'1',502,'N'),(16,3173658,'1',316,'N'),(16,3173666,'1',301,'N'),(16,3173674,'1',211,'N'),(16,3173674,'1A',201,'N'),(16,3173682,'1',207,'N'),(16,3173682,'1A',215,'N'),(16,3173690,'1',340,'N'),(16,3173704,'1',108,'N'),(16,3173712,'1',104,'N'),(16,3173720,'1',104,'N'),(16,3173747,'1',326,'N'),(16,3173755,'1',319,'N'),(16,3173771,'1',238,'N'),(16,3173771,'1A',208,'N'),(16,3173780,'1',103,'N'),(16,3173798,'1',339,'N'),(16,3173801,'1',201,'N'),(16,3173801,'1A',203,'N'),(16,3173810,'1',310,'N'),(16,3173828,'1',319,'N'),(16,3173836,'1',103,'N'),(16,3173844,'1',319,'N'),(16,3173852,'1',326,'N'),(16,3173860,'1',415,'N'),(16,3173887,'1',201,'N'),(16,3173887,'1A',202,'N'),(16,3173895,'1',104,'N'),(16,3173909,'1',5,'N'),(16,3173917,'1',103,'N'),(16,3173925,'1',333,'N'),(16,3173941,'1',451,'N'),(16,3173950,'1',331,'N'),(16,3173968,'1',5,'N'),(16,3173976,'1',104,'N'),(16,3173984,'1',214,'N'),(16,3173984,'1A',212,'N'),(16,3173992,'1',103,'N'),(16,3174000,'1',103,'N'),(16,3174018,'1',203,'N'),(16,3174018,'1A',214,'N'),(16,3174026,'1',302,'N'),(16,3174034,'1',212,'N'),(16,3174034,'1A',208,'N'),(16,3174050,'1',5,'N'),(16,3174069,'1',202,'N'),(16,3174069,'1A',238,'N'),(16,3174093,'1',304,'N'),(16,3174107,'1',303,'N'),(16,3174115,'1',207,'N'),(16,3174115,'1A',212,'N'),(16,3174158,'1',425,'N'),(16,3174158,'1A',429,'N'),(16,3174174,'1',316,'N'),(16,3174182,'1',103,'N'),(16,3174220,'1',444,'N'),(16,3174239,'1',9,'N'),(16,3174247,'1',212,'N'),(16,3174247,'1A',214,'N'),(16,3174255,'1',3,'N'),(16,3174263,'1',225,'N'),(16,3174271,'1',302,'N'),(16,3174301,'1',108,'N'),(16,3174310,'1',214,'N'),(16,3174310,'1A',213,'N'),(16,3174328,'1',211,'N'),(16,3174328,'1A',215,'N'),(16,3174336,'1',233,'N'),(16,3174336,'1A',201,'N'),(16,3174344,'1',5,'N'),(16,3174360,'1',202,'N'),(16,3174360,'1A',213,'N'),(16,3174395,'1',216,'N'),(16,3174395,'1A',233,'N'),(16,3174409,'1',333,'N'),(16,3174417,'1',303,'N'),(16,3174425,'1',5,'N'),(16,3174433,'1',5,'N'),(16,3174441,'1',301,'N'),(16,3174450,'1',208,'N'),(16,3174450,'1A',215,'N'),(16,3174468,'1',301,'N'),(16,3174476,'1',302,'N'),(16,3174492,'1',444,'N'),(16,3174506,'1',103,'N'),(16,3174522,'1',103,'N'),(16,3174530,'1',427,'N'),(16,3174530,'1A',425,'N'),(16,3174549,'1',316,'N'),(16,3174557,'1',101,'N'),(16,3174565,'1',501,'N'),(16,3174573,'1',201,'N'),(16,3174581,'1',304,'N'),(16,3174590,'1',333,'N'),(16,3174603,'1',317,'N'),(16,3174611,'1',5,'N'),(16,3174620,'1',103,'N'),(16,3174638,'1',450,'N'),(16,3174646,'1',208,'N'),(16,3174646,'1A',202,'N'),(16,3174654,'1',303,'N'),(16,3174662,'1',103,'N'),(16,3174670,'1',203,'N'),(16,3174689,'1',103,'N'),(16,3174697,'1',5,'N'),(16,3174700,'1',450,'N'),(16,3174719,'1',501,'N'),(16,3174727,'1',304,'N'),(16,3174735,'1',308,'N'),(16,3174743,'1',319,'N'),(16,3174751,'1',301,'N'),(16,3174778,'1',103,'N'),(16,3174786,'1',215,'N'),(16,3174786,'1A',233,'N'),(16,3174794,'1',207,'N'),(16,3174794,'1A',201,'N'),(16,3174808,'1',207,'N'),(16,3174816,'1',104,'N'),(16,3174824,'1',319,'N'),(16,3174859,'1',415,'N'),(16,3174875,'1',310,'N'),(16,3174883,'1',211,'N'),(16,3174883,'1A',215,'N'),(16,3174891,'1',451,'N'),(16,3174905,'1',5,'N'),(16,3174921,'1',317,'N'),(16,3174930,'1',429,'N'),(16,3174930,'1A',424,'N'),(16,3174948,'1',301,'N'),(16,3174972,'1',103,'N'),(16,3174980,'1',102,'N'),(16,3174999,'1',201,'N'),(16,3174999,'1A',212,'N'),(16,3175006,'1',318,'N'),(16,3175014,'1',340,'N'),(16,3175022,'1',340,'N'),(16,3175030,'1',207,'N'),(16,3175030,'1A',212,'N'),(16,3175049,'1',103,'N'),(16,3175057,'1',420,'N'),(16,3175081,'1',203,'N'),(16,3175081,'1A',201,'N'),(16,3175103,'1',423,'N'),(16,3175103,'1A',421,'N'),(16,3175111,'1',103,'N'),(16,3175120,'1',104,'N'),(16,3175146,'1',303,'N'),(16,3175162,'1',104,'N'),(16,3175170,'1',104,'N'),(16,3175200,'1',102,'N'),(16,3175219,'1',319,'N'),(16,3175227,'1',215,'N'),(16,3175227,'1A',211,'N'),(16,3175235,'1',220,'N'),(16,3175235,'1A',238,'N'),(16,3175243,'1',5,'N'),(16,3175260,'1',429,'N'),(16,3175278,'1',211,'N'),(16,3175278,'1A',216,'N'),(16,3175286,'1',340,'N'),(16,3175294,'1',451,'N'),(16,3175308,'1',208,'N'),(16,3175308,'1A',238,'N'),(16,3175316,'1',103,'N'),(16,3175324,'1',340,'N'),(16,3175332,'1',212,'N'),(16,3175332,'1A',201,'N'),(16,3175340,'1',103,'N'),(16,3175359,'1',108,'N'),(16,3175367,'1',303,'N'),(16,3175375,'1',103,'N'),(16,3175383,'1',5,'N'),(16,3175391,'1',207,'N'),(16,3175391,'1A',238,'N'),(16,3175413,'1',103,'N'),(16,3175421,'1',103,'N'),(16,3175430,'1',103,'N'),(16,3175448,'1',103,'N'),(16,3175456,'1',301,'N'),(16,3175464,'1',304,'N'),(16,3175472,'1',301,'N'),(16,3175480,'1',328,'N'),(16,3175499,'1',202,'N'),(16,3175499,'1A',213,'N'),(16,3175502,'1',214,'N'),(16,3175502,'1A',233,'N'),(16,3175529,'1',208,'N'),(16,3175529,'1A',238,'N'),(16,3175537,'1',103,'N'),(16,3175545,'1',103,'N'),(16,3175553,'1',108,'N'),(16,3175561,'1',103,'N'),(16,3175570,'1',404,'N'),(16,3175588,'1',303,'N'),(16,3175596,'1',9,'N'),(16,3175600,'1',211,'N'),(16,3175600,'1A',201,'N'),(16,3175626,'1',103,'N'),(16,3175634,'1',220,'N'),(16,3175634,'1A',203,'N'),(16,3175642,'1',303,'N'),(16,3175650,'1',102,'N'),(16,3175669,'1',415,'N'),(16,3175677,'1',201,'N'),(16,3175677,'1A',207,'N'),(16,3175685,'1',108,'N'),(16,3175693,'1',238,'N'),(16,3175693,'1A',208,'N'),(16,3175707,'1',333,'N'),(16,3175715,'1',333,'N'),(16,3175723,'1',203,'N'),(16,3175723,'1A',202,'N'),(16,3175740,'1',444,'N'),(16,3175758,'1',319,'N'),(16,3175766,'1',420,'N'),(16,3175774,'1',104,'N'),(16,3175790,'1',303,'N'),(16,3175804,'1',211,'N'),(16,3175820,'1',201,'N'),(16,3175820,'1A',212,'N'),(16,3175839,'1',104,'N'),(16,3175847,'1',211,'N'),(16,3175847,'1A',202,'N'),(16,3175855,'1',205,'N'),(16,3175863,'1',101,'N'),(16,3175880,'1',203,'N'),(16,3175880,'1A',201,'N'),(16,3175898,'1',415,'N'),(16,3175936,'1',102,'N'),(16,3175944,'1',201,'N'),(16,3175944,'1A',207,'N'),(16,3175952,'1',301,'N'),(16,3175960,'1',303,'N'),(16,3175979,'1',103,'N'),(16,3175987,'1',320,'N'),(16,3175995,'1',201,'N'),(16,3175995,'1A',207,'N'),(16,3176002,'1',319,'N'),(16,3176010,'1',3,'N'),(16,3176029,'1',201,'N'),(16,3176037,'1',303,'N'),(16,3176045,'1',201,'N'),(16,3176045,'1A',233,'N'),(16,3176053,'1',238,'N'),(16,3176053,'1A',208,'N'),(16,3176061,'1',303,'N'),(16,3176088,'1',103,'N'),(16,3176096,'1',203,'N'),(16,3176096,'1A',214,'N'),(16,3176100,'1',203,'N'),(16,3176100,'1A',202,'N'),(16,3176126,'1',234,'N'),(16,3176134,'1',303,'N'),(16,3176142,'1',108,'N'),(16,3176150,'1',502,'N'),(16,3176169,'1',501,'N'),(16,3176177,'1',233,'N'),(16,3176177,'1A',208,'N'),(16,3176185,'1',501,'N'),(16,3176193,'1',5,'N'),(16,3176207,'1',451,'N'),(16,3176215,'1',304,'N'),(16,3176223,'1',212,'N'),(16,3176223,'1A',201,'N'),(16,3176231,'1',202,'N'),(16,3176231,'1A',201,'N'),(16,3176274,'1',216,'N'),(16,3176274,'1A',214,'N'),(16,3176282,'1',103,'N'),(16,3176290,'1',5,'N'),(16,3176304,'1',415,'N'),(16,3176312,'1',308,'N'),(16,3176320,'1',201,'N'),(16,3176320,'1A',212,'N'),(16,3176339,'1',211,'N'),(16,3176339,'1A',201,'N'),(16,3176347,'1',208,'N'),(16,3176347,'1A',201,'N'),(16,3176363,'1',103,'N'),(16,3176371,'1',5,'N'),(16,3176380,'1',203,'N'),(16,3176380,'1A',214,'N'),(16,3176398,'1',301,'N'),(16,3176410,'1',303,'N'),(16,3176428,'1',429,'N'),(16,3176428,'1A',424,'N'),(16,3176436,'1',108,'N'),(16,3176452,'1',216,'N'),(16,3176452,'1A',207,'N'),(16,3176460,'1',316,'N'),(16,3176479,'1',304,'N'),(16,3176487,'1',103,'N'),(16,3176495,'1',303,'N'),(16,3176509,'1',502,'N'),(16,3176517,'1',208,'N'),(16,3176525,'1',207,'N'),(16,3176525,'1A',201,'N'),(16,3176533,'1',103,'N'),(16,3176541,'1',421,'N'),(16,3176541,'1A',429,'N'),(16,3176550,'1',319,'N'),(16,3176568,'1',211,'N'),(16,3176568,'1A',233,'N'),(16,3176576,'1',5,'N'),(16,3176584,'1',103,'N'),(16,3176592,'1',108,'N'),(16,3176606,'1',444,'N'),(16,3176614,'1',317,'N'),(16,3176622,'1',428,'N'),(16,3176622,'1A',429,'N'),(16,3176630,'1',104,'N'),(16,3176649,'1',450,'N'),(16,3176657,'1',208,'N'),(16,3176657,'1A',203,'N'),(16,3176665,'1',317,'N'),(16,3176673,'1',333,'N'),(16,3176681,'1',420,'N'),(16,3176690,'1',302,'N'),(16,3176703,'1',103,'N'),(16,3176711,'1',207,'N'),(16,3176711,'1A',233,'N'),(16,3176720,'1',207,'N'),(16,3176720,'1A',201,'N'),(16,3176738,'1',103,'N'),(16,3176746,'1',103,'N'),(16,3176754,'1',220,'N'),(16,3176754,'1A',202,'N'),(16,3176762,'1',207,'N'),(16,3176762,'1A',201,'N'),(16,3176770,'1',203,'N'),(16,3176770,'1A',216,'N'),(16,3176789,'1',207,'N'),(16,3176797,'1',216,'N'),(16,3176797,'1A',211,'N'),(16,3176800,'1',319,'N'),(16,3176819,'1',331,'N'),(16,3176827,'1',215,'N'),(16,3176827,'1A',213,'N'),(16,3176835,'1',201,'N'),(16,3176835,'1A',208,'N'),(16,3176843,'1',102,'N'),(16,3176851,'1',444,'N'),(16,3176860,'1',216,'N'),(16,3176860,'1A',201,'N'),(16,3176878,'1',201,'N'),(16,3176878,'1A',207,'N'),(16,3176886,'1',301,'N'),(16,3176894,'1',103,'N'),(16,3176908,'1',301,'N'),(16,3176916,'1',9,'N'),(16,3176924,'1',103,'N'),(16,3176932,'1',303,'N'),(16,3176940,'1',203,'N'),(16,3176940,'1A',214,'N'),(16,3176959,'1',324,'N'),(16,3176967,'1',303,'N'),(16,3176975,'1',301,'N'),(16,3176983,'1',5,'N'),(16,3176991,'1',203,'N'),(16,3176991,'1A',207,'N'),(16,3177009,'1',207,'N'),(16,3177009,'1A',201,'N'),(16,3177017,'1',216,'N'),(16,3177017,'1A',202,'N'),(16,3177025,'1',303,'N'),(16,3177041,'1',451,'N'),(16,3177050,'1',301,'N'),(16,3177068,'1',216,'N'),(16,3177068,'1A',201,'N'),(16,3177076,'1',317,'N'),(16,3177084,'1',9,'N'),(16,3177092,'1',103,'N'),(16,3177106,'1',234,'N'),(16,3177114,'1',303,'N'),(16,3177122,'1',303,'N'),(16,3177130,'1',453,'N'),(16,3177149,'1',223,'N'),(16,3177157,'1',319,'N'),(16,3177165,'1',211,'N'),(16,3177173,'1',415,'N'),(16,3177181,'1',201,'N'),(16,3177181,'1A',212,'N'),(16,3177190,'1',9,'N'),(16,3177211,'1',203,'N'),(16,3177211,'1A',214,'N'),(16,3177220,'1',202,'N'),(16,3177220,'1A',201,'N'),(16,3177238,'1',301,'N'),(16,3177246,'1',102,'N'),(16,3177254,'1',319,'N'),(16,3177270,'1',5,'N'),(16,3177289,'1',317,'N'),(16,3177297,'1',104,'N'),(16,3177300,'1',319,'N'),(16,3177319,'1',208,'N'),(16,3177319,'1A',201,'N'),(16,3177327,'1',3,'N'),(16,3177335,'1',103,'N'),(16,3177343,'1',404,'N'),(16,3177351,'1',201,'N'),(16,3177351,'1A',212,'N'),(16,3177360,'1',5,'N'),(16,3177378,'1',207,'N'),(16,3177378,'1A',201,'N'),(16,3177386,'1',5,'N'),(16,3177394,'1',103,'N'),(16,3177416,'1',233,'N'),(16,3177424,'1',318,'N'),(16,3177432,'1',303,'N'),(16,3177440,'1',203,'N'),(16,3177440,'1A',214,'N'),(16,3177459,'1',404,'N'),(16,3177467,'1',205,'N'),(16,3177475,'1',201,'N'),(16,3177475,'1A',215,'N'),(16,3177483,'1',302,'N'),(16,3177491,'1',208,'N'),(16,3177491,'1A',238,'N'),(16,3177505,'1',5,'N'),(16,3177513,'1',104,'N'),(16,3177521,'1',302,'N'),(16,3177530,'1',301,'N'),(16,3177548,'1',303,'N'),(16,3177556,'1',420,'N'),(16,3177564,'1',303,'N'),(16,3177580,'1',103,'N'),(16,3177599,'1',220,'N'),(16,3177599,'1A',214,'N'),(16,3177602,'1',304,'N'),(16,3177610,'1',108,'N'),(16,3177629,'1',214,'N'),(16,3177629,'1A',208,'N'),(16,3177637,'1',320,'N'),(16,3177645,'1',207,'N'),(16,3177645,'1A',201,'N'),(16,3177653,'1',220,'N'),(16,3177653,'1A',238,'N'),(16,3177661,'1',203,'N'),(16,3177661,'1A',202,'N'),(16,3177670,'1',103,'N'),(16,3177688,'1',104,'N'),(16,3177696,'1',101,'N'),(16,3177700,'1',207,'N'),(16,3177718,'1',215,'N'),(16,3177718,'1A',211,'N'),(16,3177726,'1',211,'N'),(16,3177726,'1A',215,'N'),(16,3177734,'1',453,'N'),(16,3177742,'1',326,'N'),(16,3177769,'1',208,'N'),(16,3177769,'1A',238,'N'),(16,3177777,'1',501,'N'),(16,3177785,'1',103,'N'),(16,3177807,'1',220,'N'),(16,3177807,'1A',202,'N'),(16,3177815,'1',308,'N'),(16,3177823,'1',108,'N'),(16,3177831,'1',309,'N'),(16,3177840,'1',301,'N'),(16,3177866,'1',333,'N'),(16,3177874,'1',103,'N'),(16,3177890,'1',103,'N'),(16,3177904,'1',104,'N'),(16,3177912,'1',303,'N'),(16,3177939,'1',301,'N'),(16,3177947,'1',211,'N'),(16,3177947,'1A',233,'N'),(16,3177955,'1',103,'N'),(16,3177963,'1',2,'N'),(16,3177971,'1',103,'N'),(16,3177980,'1',238,'N'),(16,3177980,'1A',213,'N'),(16,3177998,'1',215,'N'),(16,3177998,'1A',207,'N'),(16,3178005,'1',201,'N'),(16,3178005,'1A',212,'N'),(16,3178013,'1',309,'N'),(16,3178021,'1',203,'N'),(16,3178030,'1',207,'N'),(16,3178030,'1A',201,'N'),(16,3178048,'1',202,'N'),(16,3178048,'1A',213,'N'),(16,3178056,'1',214,'N'),(16,3178056,'1A',213,'N'),(16,3178064,'1',103,'N'),(16,3178080,'1',203,'N'),(16,3178080,'1A',220,'N'),(16,3178102,'1',102,'N'),(16,3178110,'1',415,'N'),(16,3178129,'1',104,'N'),(16,3178137,'1',450,'N'),(16,3178145,'1',203,'N'),(16,3178145,'1A',214,'N'),(16,3178153,'1',303,'N'),(16,3178161,'1',3,'N'),(16,3178170,'1',316,'N'),(16,3178188,'1',425,'N'),(16,3178188,'1A',429,'N'),(16,3178196,'1',238,'N'),(16,3178196,'1A',208,'N'),(16,3178200,'1',208,'N'),(16,3178200,'1A',238,'N'),(16,3178218,'1',102,'N'),(16,3178226,'1',103,'N'),(16,3178234,'1',310,'N'),(16,3178242,'1',308,'N'),(16,3178250,'1',303,'N'),(16,3178269,'1',211,'N'),(16,3178269,'1A',215,'N'),(16,3178277,'1',103,'N'),(16,3178293,'1',203,'N'),(16,3178293,'1A',207,'N'),(16,3178307,'1',103,'N'),(16,3178315,'1',415,'N'),(16,3178323,'1',201,'N'),(16,3178323,'1A',212,'N'),(16,3178331,'1',201,'N'),(16,3178331,'1A',233,'N'),(16,3178340,'1',103,'N'),(16,3178358,'1',444,'N'),(16,3178366,'1',319,'N'),(16,3178374,'1',203,'N'),(16,3178374,'1A',214,'N'),(16,3178382,'1',233,'N'),(16,3178382,'1A',216,'N'),(16,3178390,'1',5,'N'),(16,3178404,'1',104,'N'),(16,3178412,'1',225,'N'),(16,3178420,'1',415,'N'),(16,3178439,'1',318,'N'),(16,3178455,'1',340,'N'),(16,3178463,'1',415,'N'),(16,3178471,'1',213,'N'),(16,3178471,'1A',202,'N'),(16,3178498,'1',5,'N'),(16,3178501,'1',327,'N'),(16,3178510,'1',214,'N'),(16,3178510,'1A',203,'N'),(16,3178536,'1',301,'N'),(16,3178544,'1',331,'N'),(16,3178552,'1',208,'N'),(16,3178552,'1A',201,'N'),(16,3178560,'1',101,'N'),(16,3178579,'1',317,'N'),(16,3178587,'1',450,'N'),(16,3178595,'1',317,'N'),(16,3178609,'1',202,'N'),(16,3178609,'1A',213,'N'),(16,3178617,'1',333,'N'),(16,3178625,'1',203,'N'),(16,3178625,'1A',212,'N'),(16,3178633,'1',216,'N'),(16,3178641,'1',318,'N'),(16,3178650,'1',214,'N'),(16,3178650,'1A',216,'N'),(16,3178668,'1',220,'N'),(16,3178668,'1A',208,'N'),(16,3178676,'1',211,'N'),(16,3178676,'1A',207,'N'),(16,3178684,'1',211,'N'),(16,3178684,'1A',201,'N'),(16,3178692,'1',104,'N'),(16,3178706,'1',207,'N'),(16,3178706,'1A',201,'N'),(16,3178714,'1',201,'N'),(16,3178714,'1A',212,'N'),(16,3178722,'1',301,'N'),(16,3178730,'1',302,'N'),(16,3178749,'1',201,'N'),(16,3178749,'1A',208,'N'),(16,3178773,'1',333,'N'),(16,3178781,'1',331,'N'),(16,3178790,'1',503,'N'),(16,3178803,'1',104,'N'),(16,3178811,'1',301,'N'),(16,3178820,'1',9,'N'),(16,3178838,'1',203,'N'),(16,3178838,'1A',201,'N'),(16,3178846,'1',203,'N'),(16,3178846,'1A',201,'N'),(16,3178854,'1',201,'N'),(16,3178854,'1A',211,'N'),(16,3178862,'1',203,'N'),(16,3178862,'1A',220,'N'),(16,3178889,'1',332,'N'),(16,3178897,'1',238,'N'),(16,3178897,'1A',213,'N'),(16,3178900,'1',211,'N'),(16,3178900,'1A',213,'N'),(16,3178919,'1',103,'N'),(16,3178927,'1',216,'N'),(16,3178927,'1A',211,'N'),(16,3178935,'1',415,'N'),(16,3178943,'1',5,'N'),(16,3178951,'1',101,'N'),(16,3178960,'1',340,'N'),(16,3178978,'1',201,'N'),(16,3178978,'1A',211,'N'),(16,3178986,'1',340,'N'),(16,3178994,'1',207,'N'),(16,3178994,'1A',233,'N'),(16,3179001,'1',450,'N'),(16,3179010,'1',103,'N'),(16,3179028,'1',103,'N'),(16,3179044,'1',103,'N'),(16,3179052,'1',234,'N'),(16,3179060,'1',211,'N'),(16,3179060,'1A',207,'N'),(16,3179079,'1',102,'N'),(16,3179087,'1',420,'N'),(16,3179095,'1',103,'N'),(16,3179109,'1',216,'N'),(16,3179109,'1A',238,'N'),(16,3179117,'1',304,'N'),(16,3179125,'1',303,'N'),(16,3179133,'1',415,'N'),(16,3179141,'1',404,'N'),(16,3179168,'1',415,'N'),(16,3179176,'1',415,'N'),(16,3179184,'1',103,'N'),(16,3179192,'1',102,'N'),(16,3179222,'1',444,'N'),(16,3179230,'1',453,'N'),(16,3179257,'1',201,'N'),(16,3179257,'1A',212,'N'),(16,3179265,'1',324,'N'),(16,3179273,'1',203,'N'),(16,3179273,'1A',202,'N'),(16,3179281,'1',108,'N'),(16,3179290,'1',202,'N'),(16,3179290,'1A',208,'N'),(16,3179303,'1',319,'N'),(16,3179311,'1',415,'N'),(16,3179320,'1',103,'N'),(16,3179338,'1',503,'N'),(16,3179346,'1',233,'N'),(16,3179346,'1A',215,'N'),(16,3179354,'1',108,'N'),(16,3179370,'1',103,'N'),(16,3179389,'1',102,'N'),(16,3179397,'1',238,'N'),(16,3179397,'1A',220,'N'),(16,3179400,'1',238,'N'),(16,3179400,'1A',208,'N'),(16,3179419,'1',203,'N'),(16,3179419,'1A',214,'N'),(16,3179427,'1',5,'N'),(16,3179435,'1',101,'N'),(16,3179443,'1',202,'N'),(16,3179443,'1A',208,'N'),(16,3179451,'1',320,'N'),(16,3179460,'1',317,'N'),(16,3179478,'1',201,'N'),(16,3179478,'1A',212,'N'),(16,3179486,'1',211,'N'),(16,3179486,'1A',233,'N'),(16,3179508,'1',103,'N'),(16,3179516,'1',108,'N'),(16,3179532,'1',104,'N'),(16,3179540,'1',317,'N'),(16,3179559,'1',108,'N'),(16,3179567,'1',428,'N'),(16,3179567,'1A',426,'N'),(16,3179575,'1',303,'N'),(16,3179583,'1',208,'N'),(16,3179605,'1',303,'N'),(16,3179613,'1',202,'N'),(16,3179613,'1A',208,'N'),(16,3179621,'1',216,'N'),(16,3179621,'1A',211,'N'),(16,3179648,'1',303,'N'),(16,3179656,'1',202,'N'),(16,3179656,'1A',220,'N'),(16,3179664,'1',207,'N'),(16,3179664,'1A',201,'N'),(16,3179672,'1',104,'N'),(16,3179680,'1',203,'N'),(16,3179680,'1A',220,'N'),(16,3179699,'1',207,'N'),(16,3179702,'1',201,'N'),(16,3179702,'1A',212,'N'),(16,3179729,'1',319,'N'),(16,3179737,'1',502,'N'),(16,3179745,'1',340,'N'),(16,3179753,'1',101,'N'),(16,3179761,'1',224,'N'),(16,3179788,'1',2,'N'),(16,3179796,'1',319,'N'),(16,3179800,'1',103,'N'),(16,3179826,'1',104,'N'),(16,3179842,'1',104,'N'),(16,3179850,'1',324,'N'),(16,3179869,'1',216,'N'),(16,3179869,'1A',203,'N'),(16,3179877,'1',212,'N'),(16,3179877,'1A',233,'N'),(16,3179885,'1',104,'N'),(16,3179907,'1',220,'N'),(16,3179907,'1A',202,'N'),(16,3179915,'1',303,'N'),(16,3179923,'1',238,'N'),(16,3179923,'1A',208,'N'),(16,3179931,'1',208,'N'),(16,3179931,'1A',238,'N'),(16,3179940,'1',216,'N'),(16,3179940,'1A',215,'N'),(16,3179958,'1',303,'N'),(16,3179966,'1',452,'N'),(16,3179982,'1',309,'N'),(16,3179990,'1',103,'N'),(16,3180000,'1',102,'N'),(16,3180018,'1',304,'N'),(16,3180034,'1',213,'N'),(16,3180034,'1A',202,'N'),(16,3180042,'1',238,'N'),(16,3180042,'1A',212,'N'),(16,3180050,'1',444,'N'),(16,3180069,'1',340,'N'),(16,3180077,'1',203,'N'),(16,3180077,'1A',220,'N'),(16,3180085,'1',104,'N'),(16,3180093,'1',453,'N'),(16,3180107,'1',302,'N'),(16,3180115,'1',3,'N'),(16,3180123,'1',201,'N'),(16,3180123,'1A',211,'N'),(16,3180131,'1',420,'N'),(16,3180140,'1',303,'N'),(16,3180158,'1',103,'N'),(16,3180166,'1',103,'N'),(16,3180174,'1',214,'N'),(16,3180174,'1A',212,'N'),(16,3180182,'1',207,'N'),(16,3180182,'1A',220,'N'),(16,3180190,'1',309,'N'),(16,3180204,'1',453,'N'),(16,3180212,'1',309,'N'),(16,3180220,'1',340,'N'),(16,3180239,'1',318,'N'),(16,3180247,'1',340,'N'),(16,3180255,'1',208,'N'),(16,3180263,'1',201,'N'),(16,3180263,'1A',238,'N'),(16,3180280,'1',103,'N'),(16,3180298,'1',340,'N'),(16,3180301,'1',201,'N'),(16,3180310,'1',203,'N'),(16,3180310,'1A',214,'N'),(16,3180328,'1',238,'N'),(16,3180336,'1',233,'N'),(16,3180336,'1A',215,'N'),(16,3180344,'1',202,'N'),(16,3180344,'1A',233,'N'),(16,3180352,'1',101,'N'),(16,3180379,'1',103,'N'),(16,3180387,'1',317,'N'),(16,3180395,'1',103,'N'),(16,3180409,'1',452,'N'),(16,3180417,'1',453,'N'),(16,3180425,'1',215,'N'),(16,3180425,'1A',238,'N'),(16,3180433,'1',329,'N'),(16,3180441,'1',223,'N'),(16,3180450,'1',103,'N'),(16,3180468,'1',214,'N'),(16,3180468,'1A',212,'N'),(16,3180476,'1',238,'N'),(16,3180476,'1A',208,'N'),(16,3180484,'1',104,'N'),(16,3180492,'1',234,'N'),(16,3180506,'1',303,'N'),(16,3180514,'1',212,'N'),(16,3180514,'1A',213,'N'),(16,3180522,'1',319,'N'),(16,3180530,'1',103,'N'),(16,3180557,'1',404,'N'),(16,3180565,'1',310,'N'),(16,3180581,'1',404,'N'),(16,3180590,'1',203,'N'),(16,3180590,'1A',220,'N'),(16,3180611,'1',201,'N'),(16,3180611,'1A',202,'N'),(16,3180638,'1',202,'N'),(16,3180638,'1A',220,'N'),(16,3180646,'1',102,'N'),(16,3180654,'1',238,'N'),(16,3180654,'1A',208,'N'),(16,3180670,'1',304,'N'),(16,3180697,'1',327,'N'),(16,3180700,'1',202,'N'),(16,3180700,'1A',201,'N'),(16,3180727,'1',203,'N'),(16,3180727,'1A',202,'N'),(16,3180735,'1',319,'N'),(16,3180743,'1',317,'N'),(16,3180751,'1',207,'N'),(16,3180751,'1A',238,'N'),(16,3180760,'1',333,'N'),(16,3180778,'1',318,'N'),(16,3180816,'1',238,'N'),(16,3180816,'1A',208,'N'),(16,3180824,'1',213,'N'),(16,3180824,'1A',214,'N'),(16,3180832,'1',310,'N'),(16,3180859,'1',303,'N'),(16,3180867,'1',303,'N'),(16,3180875,'1',421,'N'),(16,3180875,'1A',427,'N'),(16,3180883,'1',202,'N'),(16,3180883,'1A',238,'N'),(16,3180891,'1',428,'N'),(16,3180891,'1A',425,'N'),(16,3180905,'1',103,'N'),(16,3180913,'1',215,'N'),(16,3180930,'1',202,'N'),(16,3180930,'1A',220,'N'),(16,3180964,'1',301,'N'),(16,3180972,'1',102,'N'),(16,3180980,'1',104,'N'),(16,3180999,'1',215,'N'),(16,3180999,'1A',211,'N'),(16,3181006,'1',222,'N'),(16,3181014,'1',331,'N'),(16,3181022,'1',5,'N'),(16,3181030,'1',340,'N'),(16,3181049,'1',203,'N'),(16,3181049,'1A',220,'N'),(16,3181073,'1',301,'N'),(16,3181081,'1',220,'N'),(16,3181081,'1A',202,'N'),(16,3181090,'1',5,'N'),(16,3181103,'1',501,'N'),(16,3181111,'1',451,'N'),(16,3181120,'1',327,'N'),(16,3181138,'1',425,'N'),(16,3181138,'1A',428,'N'),(16,3181146,'1',101,'N'),(16,3181162,'1',5,'N'),(16,3181170,'1',203,'N'),(16,3181170,'1A',214,'N'),(16,3181189,'1',415,'N'),(16,3181197,'1',5,'N'),(16,3181219,'1',404,'N'),(16,3181235,'1',427,'N'),(16,3181235,'1A',428,'N'),(16,3181251,'1',5,'N'),(16,3181260,'1',415,'N'),(16,3181278,'1',214,'N'),(16,3181278,'1A',213,'N'),(16,3181286,'1',202,'N'),(16,3181286,'1A',208,'N'),(16,3181294,'1',104,'N'),(16,3181308,'1',103,'N'),(16,3181316,'1',216,'N'),(16,3181316,'1A',203,'N'),(16,3181332,'1',453,'N'),(16,3181340,'1',104,'N'),(16,3181359,'1',207,'N'),(16,3181359,'1A',212,'N'),(16,3181367,'1',103,'N'),(16,3181375,'1',104,'N'),(16,3181391,'1',103,'N'),(16,3181405,'1',104,'N'),(16,3181413,'1',102,'N'),(16,3181421,'1',103,'N'),(16,3181430,'1',108,'N'),(16,3181448,'1',225,'N'),(16,3181456,'1',453,'N'),(16,3181480,'1',501,'N'),(16,3181499,'1',501,'N'),(16,3181502,'1',317,'N'),(16,3181510,'1',302,'N'),(16,3181529,'1',207,'N'),(16,3181529,'1A',212,'N'),(16,3181537,'1',103,'N'),(16,3181545,'1',423,'N'),(16,3181553,'1',501,'N'),(16,3181561,'1',238,'N'),(16,3181561,'1A',208,'N'),(16,3181588,'1',444,'N'),(16,3181596,'1',5,'N'),(16,3181600,'1',201,'N'),(16,3181600,'1A',207,'N'),(16,3181618,'1',203,'N'),(16,3181618,'1A',211,'N'),(16,3181626,'1',212,'N'),(16,3181626,'1A',207,'N'),(16,3181634,'1',103,'N'),(16,3181642,'1',103,'N'),(16,3181650,'1',333,'N'),(16,3181669,'1',213,'N'),(16,3181669,'1A',238,'N'),(16,3181677,'1',103,'N'),(16,3181685,'1',103,'N'),(16,3181707,'1',104,'N'),(16,3181715,'1',444,'N'),(16,3181723,'1',340,'N'),(16,3181731,'1',103,'N'),(16,3181758,'1',103,'N'),(16,3181782,'1',201,'N'),(16,3181782,'1A',207,'N'),(16,3181804,'1',303,'N'),(16,3181812,'1',103,'N'),(16,3181820,'1',425,'N'),(16,3181820,'1A',424,'N'),(16,3181839,'1',212,'N'),(16,3181839,'1A',201,'N'),(16,3181847,'1',420,'N'),(16,3181855,'1',501,'N'),(16,3181863,'1',216,'N'),(16,3181863,'1A',201,'N'),(16,3181871,'1',233,'N'),(16,3181871,'1A',213,'N'),(16,3181880,'1',103,'N'),(16,3181901,'1',333,'N'),(16,3181910,'1',203,'N'),(16,3181910,'1A',214,'N'),(16,3181928,'1',428,'N'),(16,3181928,'1A',423,'N'),(16,3181936,'1',103,'N'),(16,3181944,'1',238,'N'),(16,3181944,'1A',208,'N'),(16,3181952,'1',319,'N'),(16,3181960,'1',103,'N'),(16,3181987,'1',301,'N'),(16,3181995,'1',103,'N'),(16,3182002,'1',103,'N'),(16,3182010,'1',103,'N'),(16,3182029,'1',9,'N'),(16,3182045,'1',234,'N'),(16,3182053,'1',233,'N'),(16,3182053,'1A',220,'N'),(16,3182061,'1',415,'N'),(16,3182070,'1',502,'N'),(16,3182096,'1',203,'N'),(16,3182096,'1A',220,'N'),(16,3182126,'1',201,'N'),(16,3182126,'1A',207,'N'),(16,3182134,'1',453,'N'),(16,3182142,'1',220,'N'),(16,3182142,'1A',203,'N'),(16,3182150,'1',501,'N'),(16,3182169,'1',203,'N'),(16,3182169,'1A',233,'N'),(16,3182177,'1',233,'N'),(16,3182177,'1A',216,'N'),(16,3182193,'1',5,'N'),(16,3182207,'1',415,'N'),(16,3182215,'1',103,'N'),(16,3182223,'1',316,'N'),(16,3182231,'1',501,'N'),(16,3182240,'1',203,'N'),(16,3182240,'1A',214,'N'),(16,3182258,'1',238,'N'),(16,3182258,'1A',201,'N'),(16,3182266,'1',303,'N'),(16,3182274,'1',415,'N'),(16,3182290,'1',202,'N'),(16,3182290,'1A',220,'N'),(16,3182304,'1',102,'N'),(16,3182312,'1',103,'N'),(16,3182339,'1',444,'N'),(16,3182347,'1',326,'N'),(16,3182363,'1',453,'N'),(16,3182371,'1',5,'N'),(16,3182380,'1',238,'N'),(16,3182398,'1',203,'N'),(16,3182398,'1A',214,'N'),(16,3182401,'1',103,'N'),(16,3182428,'1',451,'N'),(16,3182436,'1',415,'N'),(16,3182460,'1',203,'N'),(16,3182460,'1A',214,'N'),(16,3182479,'1',108,'N'),(16,3182487,'1',425,'N'),(16,3182487,'1A',428,'N'),(16,3182495,'1',501,'N'),(16,3182509,'1',101,'N'),(16,3182517,'1',302,'N'),(16,3182525,'1',220,'N'),(16,3182525,'1A',203,'N'),(16,3182541,'1',333,'N'),(16,3182550,'1',501,'N'),(16,3182576,'1',331,'N'),(16,3182584,'1',303,'N'),(16,3182592,'1',451,'N'),(16,3182606,'1',415,'N'),(16,3182614,'1',103,'N'),(16,3182622,'1',233,'N'),(16,3182622,'1A',201,'N'),(16,3182630,'1',340,'N'),(16,3182649,'1',444,'N'),(16,3182657,'1',203,'N'),(16,3182657,'1A',220,'N'),(16,3182665,'1',9,'N'),(16,3182673,'1',9,'N'),(16,3182681,'1',103,'N'),(16,3182690,'1',103,'N'),(16,3182703,'1',501,'N'),(16,3182720,'1',340,'N'),(16,3182754,'1',9,'N'),(16,3182762,'1',103,'N'),(16,3182789,'1',303,'N'),(16,3182819,'1',103,'N'),(16,3182827,'1',212,'N'),(16,3182827,'1A',213,'N'),(16,3182835,'1',104,'N'),(16,3182843,'1',207,'N'),(16,3182843,'1A',201,'N'),(16,3182851,'1',5,'N'),(16,3182860,'1',9,'N'),(16,3182878,'1',108,'N'),(16,3182886,'1',5,'N'),(16,3182908,'1',103,'N'),(16,3182916,'1',201,'N'),(16,3182916,'1A',207,'N'),(16,3182924,'1',316,'N'),(16,3182940,'1',9,'N'),(16,3182967,'1',207,'N'),(16,3182967,'1A',238,'N'),(16,3182975,'1',238,'N'),(16,3182975,'1A',208,'N'),(16,3183009,'1',308,'N'),(16,3183017,'1',215,'N'),(16,3183017,'1A',216,'N'),(16,3183025,'1',202,'N'),(16,3183025,'1A',208,'N'),(16,3183033,'1',301,'N'),(16,3183041,'1',203,'N'),(16,3183041,'1A',214,'N'),(16,3183050,'1',327,'N'),(16,3183068,'1',207,'N'),(16,3183068,'1A',201,'N'),(16,3183076,'1',214,'N'),(16,3183076,'1A',233,'N'),(16,3183084,'1',324,'N'),(16,3183092,'1',404,'N'),(16,3183122,'1',201,'N'),(16,3183130,'1',317,'N'),(16,3183149,'1',103,'N'),(16,3183157,'1',301,'N'),(16,3183165,'1',444,'N'),(16,3183173,'1',103,'N'),(16,3183181,'1',207,'N'),(16,3183181,'1A',201,'N'),(16,3183190,'1',103,'N'),(16,3183203,'1',203,'N'),(16,3183211,'1',317,'N'),(16,3183220,'1',103,'N'),(16,3183238,'1',104,'N'),(16,3183246,'1',103,'N'),(16,3183254,'1',318,'N'),(16,3183262,'1',9,'N'),(16,3183297,'1',208,'N'),(16,3183297,'1A',220,'N'),(16,3183300,'1',316,'N'),(16,3183319,'1',301,'N'),(16,3183327,'1',216,'N'),(16,3183327,'1A',214,'N'),(16,3183335,'1',324,'N'),(16,3183343,'1',415,'N'),(16,3183351,'1',103,'N'),(16,3183360,'1',428,'N'),(16,3183360,'1A',427,'N'),(16,3183378,'1',103,'N'),(16,3183386,'1',103,'N'),(16,3183394,'1',214,'N'),(16,3183394,'1A',233,'N'),(16,3183408,'1',415,'N'),(16,3183416,'1',332,'N'),(16,3183424,'1',304,'N'),(16,3183440,'1',420,'N'),(16,3183459,'1',207,'N'),(16,3183459,'1A',201,'N'),(16,3183467,'1',208,'N'),(16,3183475,'1',317,'N'),(16,3183483,'1',203,'N'),(16,3183483,'1A',220,'N'),(16,3183491,'1',220,'N'),(16,3183491,'1A',202,'N'),(16,3183505,'1',340,'N'),(16,3183521,'1',214,'N'),(16,3183521,'1A',212,'N'),(16,3183530,'1',308,'N'),(16,3183548,'1',316,'N'),(16,3183556,'1',103,'N'),(16,3183564,'1',303,'N'),(16,3183572,'1',3,'N'),(16,3183580,'1',103,'N'),(16,3183599,'1',415,'N'),(16,3183602,'1',104,'N'),(16,3183610,'1',302,'N'),(16,3183629,'1',303,'N'),(16,3183637,'1',3,'N'),(16,3183645,'1',203,'N'),(16,3183645,'1A',220,'N'),(16,3183653,'1',316,'N'),(16,3183661,'1',214,'N'),(16,3183661,'1A',203,'N'),(16,3183670,'1',426,'N'),(16,3183670,'1A',425,'N'),(16,3183688,'1',326,'N'),(16,3183696,'1',318,'N'),(16,3183718,'1',103,'N'),(16,3183726,'1',339,'N'),(16,3183734,'1',303,'N'),(16,3183742,'1',238,'N'),(16,3183742,'1A',208,'N'),(16,3183750,'1',208,'N'),(16,3183750,'1A',220,'N'),(16,3183769,'1',426,'N'),(16,3183769,'1A',428,'N'),(16,3183777,'1',103,'N'),(16,3183793,'1',427,'N'),(16,3183807,'1',103,'N'),(16,3183815,'1',238,'N'),(16,3183815,'1A',208,'N'),(16,3183823,'1',5,'N'),(16,3183831,'1',203,'N'),(16,3183831,'1A',216,'N'),(16,3183840,'1',303,'N'),(16,3183858,'1',208,'N'),(16,3183858,'1A',238,'N'),(16,3183866,'1',302,'N'),(16,3183874,'1',319,'N'),(16,3183882,'1',103,'N'),(16,3183890,'1',202,'N'),(16,3183904,'1',201,'N'),(16,3183904,'1A',207,'N'),(16,3183912,'1',201,'N'),(16,3183912,'1A',212,'N'),(16,3183920,'1',5,'N'),(16,3183939,'1',415,'N'),(16,3183947,'1',201,'N'),(16,3183947,'1A',212,'N'),(16,3183963,'1',208,'N'),(16,3183963,'1A',238,'N'),(16,3183998,'1',301,'N'),(16,3184005,'1',421,'N'),(16,3184005,'1A',424,'N'),(16,3184021,'1',316,'N'),(16,3184030,'1',450,'N'),(16,3184048,'1',103,'N'),(16,3184064,'1',310,'N'),(16,3184072,'1',208,'N'),(16,3184072,'1A',238,'N'),(16,3184080,'1',317,'N'),(16,3184099,'1',207,'N'),(16,3184102,'1',450,'N'),(16,3184110,'1',308,'N'),(16,3184137,'1',102,'N'),(16,3184145,'1',211,'N'),(16,3184145,'1A',213,'N'),(16,3184153,'1',238,'N'),(16,3184153,'1A',201,'N'),(16,3184161,'1',444,'N'),(16,3184170,'1',104,'N'),(16,3184188,'1',303,'N'),(16,3184200,'1',201,'N'),(16,3184200,'1A',212,'N'),(16,3184218,'1',108,'N'),(16,3184226,'1',216,'N'),(16,3184226,'1A',233,'N'),(16,3184234,'1',453,'N'),(16,3184242,'1',444,'N'),(16,3184250,'1',303,'N'),(16,3184269,'1',103,'N'),(16,3184277,'1',207,'N'),(16,3184277,'1A',201,'N'),(16,3184285,'1',316,'N'),(16,3184293,'1',301,'N'),(16,3184307,'1',208,'N'),(16,3184307,'1A',214,'N'),(16,3184315,'1',202,'N'),(16,3184315,'1A',201,'N'),(16,3184323,'1',211,'N'),(16,3184323,'1A',238,'N'),(16,3184331,'1',233,'N'),(16,3184331,'1A',208,'N'),(16,3184340,'1',425,'N'),(16,3184340,'1A',424,'N'),(16,3184358,'1',207,'N'),(16,3184366,'1',214,'N'),(16,3184366,'1A',212,'N'),(16,3184374,'1',238,'N'),(16,3184374,'1A',208,'N'),(16,3184382,'1',201,'N'),(16,3184382,'1A',202,'N'),(16,3184390,'1',303,'N'),(16,3184404,'1',103,'N'),(16,3184412,'1',103,'N'),(16,3184420,'1',215,'N'),(16,3184420,'1A',216,'N'),(16,3184439,'1',202,'N'),(16,3184439,'1A',208,'N'),(16,3184447,'1',450,'N'),(16,3184455,'1',428,'N'),(16,3184455,'1A',426,'N'),(16,3184463,'1',415,'N'),(16,3184471,'1',332,'N'),(16,3184480,'1',317,'N'),(16,3184501,'1',301,'N'),(16,3184510,'1',328,'N'),(16,3184528,'1',453,'N'),(16,3184536,'1',101,'N'),(16,3184544,'1',331,'N'),(16,3184552,'1',451,'N'),(16,3184560,'1',420,'N'),(16,3184579,'1',340,'N'),(16,3184587,'1',444,'N'),(16,3184595,'1',201,'N'),(16,3184595,'1A',202,'N'),(16,3184609,'1',340,'N'),(16,3184617,'1',104,'N'),(16,3184625,'1',303,'N'),(16,3184633,'1',211,'N'),(16,3184633,'1A',203,'N'),(16,3184641,'1',428,'N'),(16,3184641,'1A',426,'N'),(16,3184650,'1',202,'N'),(16,3184650,'1A',220,'N'),(16,3184668,'1',202,'N'),(16,3184668,'1A',208,'N'),(16,3184676,'1',215,'N'),(16,3184676,'1A',211,'N'),(16,3184684,'1',317,'N'),(16,3184692,'1',233,'N'),(16,3184692,'1A',215,'N'),(16,3184706,'1',211,'N'),(16,3184706,'1A',233,'N'),(16,3184714,'1',503,'N'),(16,3184722,'1',233,'N'),(16,3184722,'1A',238,'N'),(16,3184730,'1',234,'N'),(16,3184749,'1',501,'N'),(16,3184757,'1',211,'N'),(16,3184757,'1A',214,'N'),(16,3184765,'1',201,'N'),(16,3184765,'1A',202,'N'),(16,3184773,'1',225,'N'),(16,3184781,'1',5,'N'),(16,3184790,'1',104,'N'),(16,3184803,'1',425,'N'),(16,3184803,'1A',429,'N'),(16,3184811,'1',103,'N'),(16,3184820,'1',103,'N'),(16,3184838,'1',428,'N'),(16,3184838,'1A',421,'N'),(16,3184846,'1',238,'N'),(16,3184846,'1A',208,'N'),(16,3184854,'1',203,'N'),(16,3184854,'1A',220,'N'),(16,3184862,'1',201,'N'),(16,3184862,'1A',207,'N'),(16,3184870,'1',444,'N'),(16,3184897,'1',207,'N'),(16,3184897,'1A',201,'N'),(16,3184900,'1',201,'N'),(16,3184900,'1A',214,'N'),(16,3184919,'1',316,'N'),(16,3184927,'1',201,'N'),(16,3184927,'1A',212,'N'),(16,3184935,'1',201,'N'),(16,3184935,'1A',203,'N'),(16,3184943,'1',331,'N'),(16,3184951,'1',5,'N'),(16,3184960,'1',101,'N'),(16,3184978,'1',108,'N'),(16,3184986,'1',211,'N'),(16,3184986,'1A',203,'N'),(16,3185001,'1',207,'N'),(16,3185001,'1A',201,'N'),(16,3185028,'1',319,'N'),(16,3185036,'1',103,'N'),(16,3185044,'1',309,'N'),(16,3185052,'1',316,'N'),(16,3185060,'1',208,'N'),(16,3185060,'1A',238,'N'),(16,3185079,'1',208,'N'),(16,3185079,'1A',238,'N'),(16,3185087,'1',233,'N'),(16,3185087,'1A',220,'N'),(16,3185117,'1',316,'N'),(16,3185125,'1',303,'N'),(16,3185133,'1',238,'N'),(16,3185141,'1',216,'N'),(16,3185141,'1A',211,'N'),(16,3185168,'1',103,'N'),(16,3185176,'1',319,'N'),(16,3185192,'1',450,'N'),(16,3185206,'1',303,'N'),(16,3185214,'1',211,'N'),(16,3185214,'1A',216,'N'),(16,3185222,'1',104,'N'),(16,3185230,'1',211,'N'),(16,3185230,'1A',216,'N'),(16,3185249,'1',104,'N'),(16,3185273,'1',3,'N'),(16,3185281,'1',101,'N'),(16,3185290,'1',233,'N'),(16,3185290,'1A',216,'N'),(16,3185303,'1',201,'N'),(16,3185303,'1A',208,'N'),(16,3185311,'1',213,'N'),(16,3185311,'1A',202,'N'),(16,3185320,'1',104,'N'),(16,3185338,'1',329,'N'),(16,3185346,'1',220,'N'),(16,3185346,'1A',208,'N'),(16,3185354,'1',303,'N'),(16,3185362,'1',317,'N'),(16,3185370,'1',103,'N'),(16,3185397,'1',103,'N'),(16,3185400,'1',103,'N'),(16,3185419,'1',303,'N'),(16,3185427,'1',502,'N'),(16,3185435,'1',207,'N'),(16,3185435,'1A',233,'N'),(16,3185443,'1',316,'N'),(16,3185451,'1',103,'N'),(16,3185460,'1',207,'N'),(16,3185486,'1',326,'N'),(16,3185494,'1',207,'N'),(16,3185494,'1A',201,'N'),(16,3185508,'1',428,'N'),(16,3185508,'1A',426,'N'),(16,3185524,'1',103,'N'),(16,3185532,'1',203,'N'),(16,3185532,'1A',214,'N'),(16,3185540,'1',319,'N'),(16,3185559,'1',415,'N'),(16,3185567,'1',304,'N'),(16,3185575,'1',415,'N'),(16,3185583,'1',326,'N'),(16,3185591,'1',329,'N'),(16,3185613,'1',103,'N'),(16,3185621,'1',327,'N'),(16,3185630,'1',327,'N'),(16,3185656,'1',101,'N'),(16,3185672,'1',310,'N'),(16,3185680,'1',302,'N'),(16,3185699,'1',333,'N'),(16,3185702,'1',103,'N'),(16,3185710,'1',425,'N'),(16,3185710,'1A',429,'N'),(16,3185729,'1',317,'N'),(16,3185737,'1',104,'N'),(16,3185761,'1',108,'N'),(16,3185788,'1',103,'N'),(16,3185818,'1',5,'N'),(16,3185826,'1',203,'N'),(16,3185826,'1A',202,'N'),(16,3185834,'1',308,'N'),(16,3185842,'1',208,'N'),(16,3185842,'1A',238,'N'),(16,3185850,'1',316,'N'),(16,3185869,'1',340,'N'),(16,3185877,'1',103,'N'),(16,3185893,'1',425,'N'),(16,3185893,'1A',429,'N'),(16,3185915,'1',238,'N'),(16,3185915,'1A',215,'N'),(16,3185923,'1',220,'N'),(16,3185923,'1A',213,'N'),(16,3185931,'1',319,'N'),(16,3185940,'1',225,'N'),(16,3185958,'1',316,'N'),(16,3185966,'1',103,'N'),(16,3185974,'1',103,'N'),(16,3185982,'1',502,'N'),(16,3185990,'1',415,'N'),(16,3186008,'1',103,'N'),(16,3186016,'1',309,'N'),(16,3186040,'1',316,'N'),(16,3186059,'1',201,'N'),(16,3186059,'1A',212,'N'),(16,3186075,'1',238,'N'),(16,3186075,'1A',208,'N'),(16,3186083,'1',5,'N'),(16,3186091,'1',203,'N'),(16,3186091,'1A',214,'N'),(16,3186105,'1',201,'N'),(16,3186105,'1A',216,'N'),(16,3186113,'1',211,'N'),(16,3186113,'1A',215,'N'),(16,3186130,'1',301,'N'),(16,3186164,'1',444,'N'),(16,3186172,'1',310,'N'),(16,3186180,'1',103,'N'),(16,3186199,'1',319,'N'),(16,3186202,'1',103,'N'),(16,3186210,'1',450,'N'),(16,3186229,'1',108,'N'),(16,3186237,'1',301,'N'),(16,3186253,'1',424,'N'),(16,3186253,'1A',421,'N'),(16,3186261,'1',316,'N'),(16,3186270,'1',201,'N'),(16,3186270,'1A',211,'N'),(16,3186288,'1',207,'N'),(16,3186288,'1A',211,'N'),(16,3186296,'1',201,'N'),(16,3186296,'1A',212,'N'),(16,3186300,'1',233,'N'),(16,3186300,'1A',238,'N'),(16,3186318,'1',103,'N'),(16,3186326,'1',5,'N'),(16,3186334,'1',103,'N'),(16,3186342,'1',203,'N'),(16,3186342,'1A',220,'N'),(16,3186350,'1',429,'N'),(16,3186350,'1A',426,'N'),(16,3186369,'1',238,'N'),(16,3186369,'1A',208,'N'),(16,3186385,'1',104,'N'),(16,3186393,'1',331,'N'),(16,3186407,'1',103,'N'),(16,3186415,'1',427,'N'),(16,3186415,'1A',428,'N'),(16,3186423,'1',104,'N'),(16,3186431,'1',104,'N'),(16,3186440,'1',208,'N'),(16,3186458,'1',203,'N'),(16,3186458,'1A',213,'N'),(16,3186466,'1',303,'N'),(16,3186474,'1',327,'N'),(16,3186482,'1',108,'N'),(16,3186490,'1',102,'N'),(16,3186504,'1',415,'N'),(16,3186512,'1',103,'N'),(16,3186520,'1',108,'N'),(16,3186539,'1',203,'N'),(16,3186539,'1A',220,'N'),(16,3186547,'1',319,'N'),(16,3186555,'1',317,'N'),(16,3186563,'1',332,'N'),(16,3186571,'1',103,'N'),(16,3186598,'1',202,'N'),(16,3186598,'1A',213,'N'),(16,3186601,'1',103,'N'),(16,3186610,'1',426,'N'),(16,3186610,'1A',428,'N'),(16,3186628,'1',303,'N'),(16,3186636,'1',424,'N'),(16,3186636,'1A',427,'N'),(16,3186644,'1',104,'N'),(16,3186652,'1',103,'N'),(16,3186660,'1',102,'N'),(16,3186679,'1',452,'N'),(16,3186687,'1',103,'N'),(16,3186695,'1',9,'N'),(16,3186717,'1',201,'N'),(16,3186717,'1A',233,'N'),(16,3186725,'1',5,'N'),(16,3186733,'1',301,'N'),(16,3186741,'1',5,'N'),(16,3186750,'1',213,'N'),(16,3186750,'1A',238,'N'),(16,3186776,'1',301,'N'),(16,3186792,'1',213,'N'),(16,3186792,'1A',233,'N'),(16,3186806,'1',404,'N'),(16,3186814,'1',415,'N'),(16,3186822,'1',104,'N'),(16,3186830,'1',224,'N'),(16,3186865,'1',103,'N'),(16,3186873,'1',426,'N'),(16,3186881,'1',103,'N'),(16,3186903,'1',103,'N'),(16,3186911,'1',302,'N'),(16,3186920,'1',319,'N'),(16,3186938,'1',238,'N'),(16,3186938,'1A',208,'N'),(16,3186946,'1',340,'N'),(16,3186954,'1',108,'N'),(16,3186962,'1',216,'N'),(16,3186962,'1A',233,'N'),(16,3186970,'1',5,'N'),(16,3186989,'1',102,'N'),(16,3186997,'1',103,'N'),(16,3187004,'1',101,'N'),(16,3187012,'1',212,'N'),(16,3187012,'1A',211,'N'),(16,3187020,'1',303,'N'),(16,3187039,'1',108,'N'),(16,3187047,'1',308,'N'),(16,3187063,'1',444,'N'),(16,3187071,'1',415,'N'),(16,3187080,'1',203,'N'),(16,3187080,'1A',216,'N'),(16,3187098,'1',203,'N'),(16,3187110,'1',328,'N'),(16,3187128,'1',452,'N'),(16,3187144,'1',203,'N'),(16,3187144,'1A',202,'N'),(16,3187160,'1',326,'N'),(16,3187179,'1',444,'N'),(16,3187187,'1',5,'N'),(16,3187195,'1',104,'N'),(16,3187209,'1',319,'N'),(16,3187217,'1',104,'N'),(16,3187225,'1',211,'N'),(16,3187233,'1',207,'N'),(16,3187233,'1A',201,'N'),(16,3187241,'1',301,'N'),(16,3187250,'1',211,'N'),(16,3187250,'1A',215,'N'),(16,3187268,'1',103,'N'),(16,3187284,'1',103,'N'),(16,3187292,'1',202,'N'),(16,3187292,'1A',213,'N'),(16,3187306,'1',104,'N'),(16,3187314,'1',427,'N'),(16,3187314,'1A',425,'N'),(16,3187322,'1',452,'N'),(16,3187330,'1',309,'N'),(16,3187349,'1',302,'N'),(16,3187357,'1',234,'N'),(16,3187373,'1',103,'N'),(16,3187381,'1',207,'N'),(16,3187381,'1A',215,'N'),(16,3187390,'1',216,'N'),(16,3187390,'1A',215,'N'),(16,3187403,'1',208,'N'),(16,3187403,'1A',238,'N'),(16,3187411,'1',104,'N'),(16,3187420,'1',429,'N'),(16,3187420,'1A',425,'N'),(16,3187438,'1',102,'N'),(16,3187446,'1',502,'N'),(16,3187454,'1',333,'N'),(16,3187462,'1',304,'N'),(16,3187470,'1',201,'N'),(16,3187470,'1A',207,'N'),(16,3187489,'1',201,'N'),(16,3187489,'1A',212,'N'),(16,3187500,'1',420,'N'),(16,3187519,'1',104,'N'),(16,3187527,'1',444,'N'),(16,3187535,'1',201,'N'),(16,3187535,'1A',207,'N'),(16,3187543,'1',208,'N'),(16,3187543,'1A',203,'N'),(16,3187551,'1',303,'N'),(16,3187560,'1',415,'N'),(16,3187578,'1',301,'N'),(16,3187586,'1',316,'N'),(16,3187594,'1',340,'N'),(16,3187608,'1',415,'N'),(16,3187616,'1',423,'N'),(16,3187624,'1',223,'N'),(16,3187632,'1',9,'N'),(16,3187640,'1',308,'N'),(16,3187659,'1',303,'N'),(16,3187667,'1',213,'N'),(16,3187667,'1A',214,'N'),(16,3187683,'1',220,'N'),(16,3187683,'1A',213,'N'),(16,3187691,'1',102,'N'),(16,3187705,'1',207,'N'),(16,3187705,'1A',211,'N'),(16,3187713,'1',103,'N'),(16,3187730,'1',101,'N'),(16,3187748,'1',332,'N'),(16,3187756,'1',103,'N'),(16,3187764,'1',211,'N'),(16,3187764,'1A',216,'N'),(16,3187772,'1',404,'N'),(16,3187780,'1',301,'N'),(16,3187799,'1',310,'N'),(16,3187802,'1',5,'N'),(16,3187810,'1',316,'N'),(16,3187829,'1',5,'N'),(16,3187837,'1',303,'N'),(16,3187845,'1',207,'N'),(16,3187845,'1A',201,'N'),(16,3187861,'1',310,'N'),(16,3187870,'1',103,'N'),(16,3187888,'1',201,'N'),(16,3187888,'1A',212,'N'),(16,3187896,'1',238,'N'),(16,3187896,'1A',208,'N'),(16,3187900,'1',203,'N'),(16,3187900,'1A',216,'N'),(16,3187918,'1',9,'N'),(16,3187926,'1',207,'N'),(16,3187926,'1A',211,'N'),(16,3187934,'1',103,'N'),(16,3187942,'1',103,'N'),(16,3187950,'1',103,'N'),(16,3187969,'1',303,'N'),(16,3187977,'1',103,'N'),(16,3187985,'1',203,'N'),(16,3187985,'1A',201,'N'),(16,3187993,'1',304,'N'),(16,3188000,'1',309,'N'),(16,3188019,'1',9,'N'),(16,3188027,'1',339,'N'),(16,3188035,'1',224,'N'),(16,3188043,'1',328,'N'),(16,3188051,'1',104,'N'),(16,3188060,'1',203,'N'),(16,3188060,'1A',214,'N'),(16,3188078,'1',5,'N'),(16,3188086,'1',340,'N'),(16,3188116,'1',216,'N'),(16,3188116,'1A',211,'N'),(16,3188124,'1',102,'N'),(16,3188132,'1',320,'N'),(16,3188140,'1',203,'N'),(16,3188140,'1A',214,'N'),(16,3188159,'1',331,'N'),(16,3188167,'1',220,'N'),(16,3188167,'1A',214,'N'),(16,3188175,'1',203,'N'),(16,3188175,'1A',202,'N'),(16,3188183,'1',103,'N'),(16,3188191,'1',415,'N'),(16,3188205,'1',103,'N'),(16,3188213,'1',316,'N'),(16,3188221,'1',216,'N'),(16,3188221,'1A',215,'N'),(16,3188230,'1',103,'N'),(16,3188248,'1',444,'N'),(16,3188256,'1',103,'N'),(16,3188264,'1',303,'N'),(16,3188272,'1',103,'N'),(16,3188280,'1',301,'N'),(16,3188299,'1',203,'N'),(16,3188299,'1A',238,'N'),(16,3188302,'1',220,'N'),(16,3188302,'1A',202,'N'),(16,3188310,'1',203,'N'),(16,3188310,'1A',208,'N'),(16,3188329,'1',216,'N'),(16,3188329,'1A',212,'N'),(16,3188337,'1',5,'N'),(16,3188345,'1',501,'N'),(16,3188353,'1',214,'N'),(16,3188353,'1A',211,'N'),(16,3188361,'1',501,'N'),(16,3188370,'1',331,'N'),(16,3188388,'1',444,'N'),(16,3188396,'1',101,'N'),(16,3188418,'1',203,'N'),(16,3188418,'1A',238,'N'),(16,3188426,'1',103,'N'),(16,3188442,'1',303,'N'),(16,3188450,'1',502,'N'),(16,3188469,'1',103,'N'),(16,3188477,'1',212,'N'),(16,3188477,'1A',213,'N'),(16,3188493,'1',303,'N'),(16,3188507,'1',101,'N'),(16,3188515,'1',301,'N'),(16,3188523,'1',211,'N'),(16,3188523,'1A',201,'N'),(16,3188531,'1',103,'N'),(16,3188540,'1',429,'N'),(16,3188540,'1A',423,'N'),(16,3188566,'1',444,'N'),(16,3188574,'1',103,'N'),(16,3188582,'1',103,'N'),(16,3188590,'1',316,'N'),(16,3188612,'1',301,'N'),(16,3188620,'1',220,'N'),(16,3188620,'1A',233,'N'),(16,3188639,'1',308,'N'),(16,3188647,'1',201,'N'),(16,3188647,'1A',203,'N'),(16,3188663,'1',207,'N'),(16,3188663,'1A',212,'N'),(16,3188671,'1',216,'N'),(16,3188671,'1A',203,'N'),(16,3188680,'1',444,'N'),(16,3188698,'1',301,'N'),(16,3188710,'1',103,'N'),(16,3188728,'1',444,'N'),(16,3188744,'1',503,'N'),(16,3188752,'1',108,'N'),(16,3188787,'1',5,'N'),(16,3188809,'1',302,'N'),(16,3188825,'1',211,'N'),(16,3188825,'1A',201,'N'),(16,3188833,'1',318,'N'),(16,3188841,'1',215,'N'),(16,3188841,'1A',211,'N'),(16,3188850,'1',302,'N'),(16,3188868,'1',5,'N'),(16,3188876,'1',225,'N'),(16,3188884,'1',233,'N'),(16,3188884,'1A',203,'N'),(16,3188892,'1',302,'N'),(16,3188914,'1',304,'N'),(16,3188930,'1',108,'N'),(16,3188949,'1',207,'N'),(16,3188949,'1A',201,'N'),(16,3188957,'1',233,'N'),(16,3188957,'1A',238,'N'),(16,3188965,'1',208,'N'),(16,3188965,'1A',216,'N'),(16,3188981,'1',304,'N'),(16,3188990,'1',104,'N'),(16,3189015,'1',503,'N'),(16,3189023,'1',326,'N'),(16,3189040,'1',103,'N'),(16,3189058,'1',303,'N'),(16,3189066,'1',301,'N'),(16,3189074,'1',212,'N'),(16,3189074,'1A',201,'N'),(16,3189104,'1',5,'N'),(16,3189112,'1',211,'N'),(16,3189112,'1A',215,'N'),(16,3189120,'1',103,'N'),(16,3189139,'1',203,'N'),(16,3189139,'1A',207,'N'),(16,3189147,'1',207,'N'),(16,3189147,'1A',208,'N'),(16,3189155,'1',104,'N'),(16,3189163,'1',319,'N'),(16,3189171,'1',103,'N'),(16,3189180,'1',103,'N'),(16,3189198,'1',304,'N'),(16,3189201,'1',103,'N'),(16,3189210,'1',203,'N'),(16,3189210,'1A',220,'N'),(16,3189228,'1',233,'N'),(16,3189228,'1A',203,'N'),(16,3189236,'1',201,'N'),(16,3189236,'1A',212,'N'),(16,3189252,'1',429,'N'),(16,3189252,'1A',425,'N'),(16,3189260,'1',201,'N'),(16,3189260,'1A',212,'N'),(16,3189279,'1',303,'N'),(16,3189287,'1',5,'N'),(16,3189295,'1',301,'N'),(16,3189309,'1',216,'N'),(16,3189309,'1A',201,'N'),(16,3189317,'1',451,'N'),(16,3189325,'1',211,'N'),(16,3189325,'1A',233,'N'),(16,3189333,'1',503,'N'),(16,3189341,'1',103,'N'),(16,3189368,'1',301,'N'),(16,3189376,'1',201,'N'),(16,3189376,'1A',220,'N'),(16,3189384,'1',220,'N'),(16,3189384,'1A',201,'N'),(16,3189392,'1',216,'N'),(16,3189392,'1A',208,'N'),(16,3189406,'1',501,'N'),(16,3189414,'1',303,'N'),(16,3189422,'1',207,'N'),(16,3189422,'1A',216,'N'),(16,3189449,'1',317,'N'),(16,3189457,'1',103,'N'),(16,3189465,'1',103,'N'),(16,3189473,'1',101,'N'),(16,3189481,'1',203,'N'),(16,3189481,'1A',214,'N'),(16,3189490,'1',304,'N'),(16,3189503,'1',103,'N'),(16,3189511,'1',207,'N'),(16,3189511,'1A',201,'N'),(16,3189520,'1',3,'N'),(16,3189538,'1',104,'N'),(16,3189546,'1',203,'N'),(16,3189546,'1A',214,'N'),(16,3189554,'1',3,'N'),(16,3189562,'1',103,'N'),(16,3189570,'1',211,'N'),(16,3189570,'1A',233,'N'),(16,3189597,'1',213,'N'),(16,3189597,'1A',233,'N'),(16,3189600,'1',103,'N'),(16,3189619,'1',103,'N'),(16,3189627,'1',103,'N'),(16,3189635,'1',201,'N'),(16,3189635,'1A',212,'N'),(16,3189651,'1',203,'N'),(16,3189651,'1A',208,'N'),(16,3189660,'1',104,'N'),(16,3189678,'1',202,'N'),(16,3189678,'1A',201,'N'),(16,3189686,'1',211,'N'),(16,3189686,'1A',207,'N'),(16,3189694,'1',301,'N'),(16,3189708,'1',103,'N'),(16,3189716,'1',220,'N'),(16,3189716,'1A',202,'N'),(16,3189724,'1',5,'N'),(16,3189732,'1',102,'N'),(16,3189740,'1',429,'N'),(16,3189740,'1A',426,'N'),(16,3189759,'1',103,'N'),(16,3189767,'1',203,'N'),(16,3189767,'1A',208,'N'),(16,3189791,'1',108,'N'),(16,3189805,'1',415,'N'),(16,3189813,'1',404,'N'),(16,3189821,'1',104,'N'),(16,3189848,'1',101,'N'),(16,3189856,'1',103,'N'),(16,3189864,'1',103,'N'),(16,3189872,'1',501,'N'),(16,3189880,'1',304,'N'),(16,3189899,'1',340,'N'),(16,3189902,'1',102,'N'),(16,3189910,'1',302,'N'),(16,3189929,'1',444,'N'),(16,3189937,'1',203,'N'),(16,3189945,'1',103,'N'),(16,3189953,'1',302,'N'),(16,3189961,'1',207,'N'),(16,3189961,'1A',201,'N'),(16,3189970,'1',103,'N'),(16,3189996,'1',103,'N'),(16,3190005,'1',103,'N'),(16,3190013,'1',444,'N'),(16,3190021,'1',303,'N'),(16,3190030,'1',207,'N'),(16,3190030,'1A',201,'N'),(16,3190056,'1',102,'N'),(16,3190064,'1',208,'N'),(16,3190064,'1A',233,'N'),(16,3190072,'1',207,'N'),(16,3190072,'1A',211,'N'),(16,3190102,'1',108,'N'),(16,3190110,'1',302,'N'),(16,3190129,'1',222,'N'),(16,3190137,'1',5,'N'),(16,3190145,'1',319,'N'),(16,3190153,'1',103,'N'),(16,3190161,'1',9,'N'),(16,3190170,'1',214,'N'),(16,3190170,'1A',233,'N'),(16,3190188,'1',427,'N'),(16,3190188,'1A',423,'N'),(16,3190196,'1',340,'N'),(16,3190218,'1',303,'N'),(16,3190226,'1',420,'N'),(16,3190234,'1',207,'N'),(16,3190234,'1A',211,'N'),(16,3190277,'1',339,'N'),(16,3190285,'1',444,'N'),(16,3190293,'1',317,'N'),(16,3190307,'1',501,'N'),(16,3190315,'1',303,'N'),(16,3190323,'1',216,'N'),(16,3190323,'1A',203,'N'),(16,3190331,'1',415,'N'),(16,3190340,'1',104,'N'),(16,3190358,'1',223,'N'),(16,3190366,'1',216,'N'),(16,3190366,'1A',215,'N'),(16,3190374,'1',216,'N'),(16,3190374,'1A',215,'N'),(16,3190382,'1',444,'N'),(16,3190404,'1',103,'N'),(16,3190412,'1',310,'N'),(16,3190420,'1',9,'N'),(16,3190439,'1',103,'N'),(16,3190447,'1',207,'N'),(16,3190447,'1A',238,'N'),(16,3190455,'1',415,'N'),(16,3190463,'1',103,'N'),(16,3190471,'1',207,'N'),(16,3190471,'1A',201,'N'),(16,3190480,'1',203,'N'),(16,3190480,'1A',214,'N'),(16,3190498,'1',302,'N'),(16,3190501,'1',303,'N'),(16,3190528,'1',453,'N'),(16,3190536,'1',415,'N'),(16,3190544,'1',103,'N'),(16,3190552,'1',303,'N'),(16,3190560,'1',319,'N'),(16,3190579,'1',220,'N'),(16,3190579,'1A',201,'N'),(16,3190587,'1',201,'N'),(16,3190587,'1A',202,'N'),(16,3190595,'1',340,'N'),(16,3190609,'1',319,'N'),(16,3190617,'1',208,'N'),(16,3190625,'1',501,'N'),(16,3190633,'1',214,'N'),(16,3190633,'1A',213,'N'),(16,3190650,'1',303,'N'),(16,3190668,'1',224,'N'),(16,3190676,'1',302,'N'),(16,3190684,'1',103,'N'),(16,3190692,'1',450,'N'),(16,3190706,'1',308,'N'),(16,3190714,'1',102,'N'),(16,3190749,'1',103,'N'),(16,3190757,'1',202,'N'),(16,3190757,'1A',203,'N'),(16,3190765,'1',207,'N'),(16,3190765,'1A',201,'N'),(16,3190781,'1',220,'N'),(16,3190781,'1A',202,'N'),(16,3190790,'1',215,'N'),(16,3190790,'1A',216,'N'),(16,3190811,'1',211,'N'),(16,3190811,'1A',215,'N'),(16,3190838,'1',453,'N'),(16,3190862,'1',301,'N'),(16,3190889,'1',202,'N'),(16,3190889,'1A',203,'N'),(16,3190897,'1',103,'N'),(16,3190919,'1',317,'N'),(16,3190927,'1',103,'N'),(16,3190935,'1',201,'N'),(16,3190935,'1A',233,'N'),(16,3190943,'1',104,'N'),(16,3190951,'1',216,'N'),(16,3190978,'1',340,'N'),(16,3190986,'1',220,'N'),(16,3190986,'1A',203,'N'),(16,3190994,'1',319,'N'),(16,3191001,'1',103,'N'),(16,3191010,'1',340,'N'),(16,3191028,'1',238,'N'),(16,3191028,'1A',214,'N'),(16,3191036,'1',103,'N'),(16,3191044,'1',404,'N'),(16,3191052,'1',201,'N'),(16,3191060,'1',103,'N'),(16,3191079,'1',103,'N'),(16,3191087,'1',104,'N'),(16,3191095,'1',308,'N'),(16,3191109,'1',211,'N'),(16,3191109,'1A',215,'N'),(16,3191117,'1',214,'N'),(16,3191117,'1A',216,'N'),(16,3191125,'1',203,'N'),(16,3191133,'1',404,'N'),(16,3191141,'1',303,'N'),(16,3191168,'1',103,'N'),(16,3191184,'1',302,'N'),(16,3191192,'1',103,'N'),(16,3191206,'1',216,'N'),(16,3191206,'1A',233,'N'),(16,3191214,'1',213,'N'),(16,3191214,'1A',220,'N'),(16,3191222,'1',309,'N'),(16,3191230,'1',333,'N'),(16,3191249,'1',340,'N'),(16,3191257,'1',415,'N'),(16,3191265,'1',225,'N'),(16,3191273,'1',103,'N'),(16,3191290,'1',415,'N'),(16,3191311,'1',108,'N'),(16,3191320,'1',303,'N'),(16,3191338,'1',340,'N'),(16,3191346,'1',203,'N'),(16,3191346,'1A',214,'N'),(16,3191354,'1',317,'N'),(16,3191362,'1',308,'N'),(16,3191370,'1',208,'N'),(16,3191370,'1A',238,'N'),(16,3191389,'1',316,'N'),(16,3191397,'1',201,'N'),(16,3191397,'1A',216,'N'),(16,3191400,'1',216,'N'),(16,3191400,'1A',211,'N'),(16,3191419,'1',108,'N'),(16,3191427,'1',108,'N'),(16,3191435,'1',9,'N'),(16,3191443,'1',415,'N'),(16,3191451,'1',103,'N'),(16,3191460,'1',103,'N'),(16,3191478,'1',208,'N'),(16,3191486,'1',211,'N'),(16,3191486,'1A',201,'N'),(16,3191494,'1',203,'N'),(16,3191494,'1A',214,'N'),(16,3191508,'1',102,'N'),(16,3191516,'1',201,'N'),(16,3191524,'1',103,'N'),(16,3191532,'1',203,'N'),(16,3191532,'1A',214,'N'),(16,3191540,'1',216,'N'),(16,3191540,'1A',203,'N'),(16,3191559,'1',333,'N'),(16,3191567,'1',316,'N'),(16,3191575,'1',327,'N'),(16,3191583,'1',102,'N'),(16,3191591,'1',220,'N'),(16,3191591,'1A',203,'N'),(16,3191605,'1',104,'N'),(16,3191613,'1',211,'N'),(16,3191613,'1A',216,'N'),(16,3191621,'1',238,'N'),(16,3191621,'1A',208,'N'),(16,3191648,'1',9,'N'),(16,3191664,'1',211,'N'),(16,3191664,'1A',201,'N'),(16,3191680,'1',420,'N'),(16,3191699,'1',103,'N'),(16,3191702,'1',103,'N'),(16,3191710,'1',211,'N'),(16,3191710,'1A',201,'N'),(16,3191729,'1',203,'N'),(16,3191729,'1A',202,'N'),(16,3191745,'1',216,'N'),(16,3191753,'1',5,'N'),(16,3191761,'1',207,'N'),(16,3191770,'1',453,'N'),(16,3191788,'1',303,'N'),(16,3191796,'1',103,'N'),(16,3191800,'1',420,'N'),(16,3191818,'1',9,'N'),(16,3191826,'1',420,'N'),(16,3191834,'1',340,'N'),(16,3191842,'1',301,'N'),(16,3191869,'1',216,'N'),(16,3191869,'1A',203,'N'),(16,3191877,'1',502,'N'),(16,3191893,'1',207,'N'),(16,3191893,'1A',201,'N'),(16,3191907,'1',220,'N'),(16,3191907,'1A',202,'N'),(16,3191915,'1',211,'N'),(16,3191915,'1A',215,'N'),(16,3191923,'1',103,'N'),(16,3191931,'1',208,'N'),(16,3191931,'1A',238,'N'),(16,3191940,'1',425,'N'),(16,3191940,'1A',429,'N'),(16,3191958,'1',9,'N'),(16,3191966,'1',103,'N'),(16,3191974,'1',303,'N'),(16,3191990,'1',333,'N'),(16,3192016,'1',9,'N'),(16,3192024,'1',415,'N'),(16,3192032,'1',9,'N'),(16,3192040,'1',101,'N'),(16,3192059,'1',220,'N'),(16,3192059,'1A',233,'N'),(16,3192067,'1',5,'N'),(16,3192075,'1',420,'N'),(16,3192083,'1',327,'N'),(16,3192091,'1',304,'N'),(16,3192105,'1',319,'N'),(16,3192113,'1',327,'N'),(16,3192121,'1',340,'N'),(16,3192130,'1',233,'N'),(16,3192130,'1A',215,'N'),(16,3192148,'1',452,'N'),(16,3192156,'1',340,'N'),(16,3192164,'1',201,'N'),(16,3192172,'1',103,'N'),(16,3192180,'1',303,'N'),(16,3192199,'1',202,'N'),(16,3192199,'1A',208,'N'),(16,3192202,'1',318,'N'),(16,3192210,'1',301,'N'),(16,3192229,'1',215,'N'),(16,3192229,'1A',208,'N'),(16,3192237,'1',303,'N'),(16,3192245,'1',104,'N'),(16,3192253,'1',340,'N'),(16,3192261,'1',220,'N'),(16,3192261,'1A',202,'N'),(16,3192270,'1',453,'N'),(16,3192288,'1',101,'N'),(16,3192296,'1',329,'N'),(16,3192300,'1',304,'N'),(16,3192318,'1',5,'N'),(16,3192326,'1',216,'N'),(16,3192326,'1A',201,'N'),(16,3192334,'1',211,'N'),(16,3192334,'1A',233,'N'),(16,3192342,'1',201,'N'),(16,3192342,'1A',207,'N'),(16,3192350,'1',103,'N'),(16,3192369,'1',423,'N'),(16,3192377,'1',208,'N'),(16,3192377,'1A',238,'N'),(16,3192385,'1',208,'N'),(16,3192385,'1A',220,'N'),(16,3192393,'1',201,'N'),(16,3192393,'1A',216,'N'),(16,3192415,'1',201,'N'),(16,3192415,'1A',220,'N'),(16,3192423,'1',103,'N'),(16,3192431,'1',215,'N'),(16,3192431,'1A',233,'N'),(16,3192440,'1',423,'N'),(16,3192440,'1A',428,'N'),(16,3192458,'1',302,'N'),(16,3192466,'1',304,'N'),(16,3192474,'1',9,'N'),(16,3192482,'1',203,'N'),(16,3192482,'1A',214,'N'),(16,3192490,'1',202,'N'),(16,3192490,'1A',213,'N'),(16,3192504,'1',103,'N'),(16,3192512,'1',404,'N'),(16,3192520,'1',104,'N'),(16,3192539,'1',103,'N'),(16,3192547,'1',425,'N'),(16,3192547,'1A',424,'N'),(16,3192555,'1',220,'N'),(16,3192555,'1A',238,'N'),(16,3192580,'1',429,'N'),(16,3192580,'1A',421,'N'),(16,3192598,'1',308,'N'),(16,3192601,'1',340,'N'),(16,3192610,'1',340,'N'),(16,3192628,'1',103,'N'),(16,3192644,'1',104,'N'),(16,3192652,'1',450,'N'),(16,3192660,'1',108,'N'),(16,3192679,'1',103,'N'),(16,3192687,'1',317,'N'),(16,3192695,'1',211,'N'),(16,3192695,'1A',201,'N'),(16,3192709,'1',103,'N'),(16,3192717,'1',201,'N'),(16,3192717,'1A',208,'N'),(16,3192725,'1',501,'N'),(16,3192741,'1',429,'N'),(16,3192750,'1',9,'N'),(16,3192768,'1',303,'N'),(16,3192776,'1',103,'N'),(16,3192784,'1',415,'N'),(16,3192806,'1',214,'N'),(16,3192806,'1A',215,'N'),(16,3192814,'1',103,'N'),(16,3192822,'1',302,'N'),(16,3192830,'1',420,'N'),(16,3192849,'1',201,'N'),(16,3192857,'1',220,'N'),(16,3192857,'1A',201,'N'),(16,3192865,'1',404,'N'),(16,3192873,'1',103,'N'),(16,3192881,'1',103,'N'),(16,3192890,'1',101,'N'),(16,3192903,'1',103,'N'),(16,3192911,'1',233,'N'),(16,3192911,'1A',215,'N'),(16,3192920,'1',333,'N'),(16,3192938,'1',207,'N'),(16,3192938,'1A',211,'N'),(16,3192946,'1',211,'N'),(16,3192946,'1A',215,'N'),(16,3192962,'1',420,'N'),(16,3192970,'1',425,'N'),(16,3192970,'1A',429,'N'),(16,3192989,'1',238,'N'),(16,3192989,'1A',220,'N'),(16,3192997,'1',207,'N'),(16,3192997,'1A',201,'N'),(16,3193012,'1',103,'N'),(16,3193020,'1',501,'N'),(16,3193039,'1',220,'N'),(16,3193039,'1A',214,'N'),(16,3193047,'1',211,'N'),(16,3193047,'1A',233,'N'),(16,3193055,'1',201,'N'),(16,3193055,'1A',203,'N'),(16,3193063,'1',426,'N'),(16,3193063,'1A',429,'N'),(16,3193098,'1',420,'N'),(16,3193101,'1',216,'N'),(16,3193101,'1A',233,'N'),(16,3193128,'1',220,'N'),(16,3193128,'1A',214,'N'),(16,3193136,'1',203,'N'),(16,3193144,'1',238,'N'),(16,3193152,'1',214,'N'),(16,3193152,'1A',213,'N'),(16,3193160,'1',215,'N'),(16,3193160,'1A',202,'N'),(16,3193179,'1',201,'N'),(16,3193187,'1',202,'N'),(16,3193187,'1A',208,'N'),(16,3193195,'1',208,'N'),(16,3193195,'1A',238,'N'),(16,3193209,'1',424,'N'),(16,3193209,'1A',427,'N'),(16,3193217,'1',201,'N'),(16,3193217,'1A',208,'N'),(16,3193225,'1',103,'N'),(16,3193233,'1',5,'N'),(16,3193241,'1',214,'N'),(16,3193250,'1',203,'N'),(16,3193250,'1A',214,'N'),(16,3193268,'1',101,'N'),(16,3193276,'1',340,'N'),(16,3193284,'1',212,'N'),(16,3193284,'1A',213,'N'),(16,3193306,'1',340,'N'),(16,3193314,'1',302,'N'),(16,3193322,'1',9,'N'),(16,3193330,'1',503,'N'),(16,3193349,'1',211,'N'),(16,3193349,'1A',207,'N'),(16,3193357,'1',404,'N'),(16,3193365,'1',215,'N'),(16,3193365,'1A',201,'N'),(16,3193373,'1',340,'N'),(16,3193381,'1',201,'N'),(16,3193381,'1A',212,'N'),(16,3193411,'1',214,'N'),(16,3193411,'1A',203,'N'),(16,3193420,'1',5,'N'),(16,3193438,'1',103,'N'),(16,3193446,'1',102,'N'),(16,3193454,'1',303,'N'),(16,3193462,'1',203,'N'),(16,3193462,'1A',214,'N'),(16,3193470,'1',103,'N'),(16,3193489,'1',207,'N'),(16,3193497,'1',415,'N'),(16,3193527,'1',103,'N'),(16,3193535,'1',425,'N'),(16,3193535,'1A',429,'N'),(16,3193543,'1',220,'N'),(16,3193543,'1A',202,'N'),(16,3193551,'1',220,'N'),(16,3193551,'1A',202,'N'),(16,3193560,'1',238,'N'),(16,3193560,'1A',208,'N'),(16,3193578,'1',5,'N'),(16,3193586,'1',203,'N'),(16,3193586,'1A',214,'N'),(16,3193594,'1',108,'N'),(16,3193608,'1',103,'N'),(16,3193616,'1',326,'N'),(16,3193624,'1',104,'N'),(16,3193632,'1',303,'N'),(16,3193640,'1',9,'N'),(16,3193667,'1',208,'N'),(16,3193667,'1A',238,'N'),(16,3193675,'1',103,'N'),(16,3193683,'1',238,'N'),(16,3193683,'1A',207,'N'),(16,3193691,'1',103,'N'),(16,3193721,'1',304,'N'),(16,3193730,'1',102,'N'),(16,3193748,'1',220,'N'),(16,3193748,'1A',233,'N'),(16,3193756,'1',215,'N'),(16,3193756,'1A',208,'N'),(16,3193764,'1',309,'N'),(16,3193772,'1',103,'N'),(16,3193780,'1',103,'N'),(16,3193799,'1',103,'N'),(16,3193802,'1',103,'N'),(16,3193810,'1',104,'N'),(16,3193829,'1',220,'N'),(16,3193829,'1A',202,'N'),(16,3193837,'1',103,'N'),(16,3193845,'1',207,'N'),(16,3193845,'1A',211,'N'),(16,3193853,'1',202,'N'),(16,3193861,'1',207,'N'),(16,3193861,'1A',201,'N'),(16,3193896,'1',102,'N'),(16,3193900,'1',316,'N'),(16,3193926,'1',108,'N'),(16,3193934,'1',333,'N'),(16,3193942,'1',238,'N'),(16,3193942,'1A',208,'N'),(16,3193950,'1',501,'N'),(16,3193969,'1',103,'N'),(16,3193993,'1',316,'N'),(16,3194000,'1',319,'N'),(16,3194019,'1',103,'N'),(16,3194027,'1',444,'N'),(16,3194051,'1',317,'N'),(16,3194060,'1',453,'N'),(16,3194078,'1',328,'N'),(16,3194086,'1',103,'N'),(16,3194094,'1',223,'N'),(16,3194108,'1',223,'N'),(16,3194116,'1',220,'N'),(16,3194116,'1A',214,'N'),(16,3194124,'1',340,'N'),(16,3194132,'1',5,'N'),(16,3194140,'1',215,'N'),(16,3194140,'1A',216,'N'),(16,3194159,'1',303,'N'),(16,3194167,'1',103,'N'),(16,3194175,'1',425,'N'),(16,3194175,'1A',427,'N'),(16,3194183,'1',333,'N'),(16,3194205,'1',233,'N'),(16,3194205,'1A',201,'N'),(16,3194213,'1',103,'N'),(16,3194221,'1',102,'N'),(16,3194230,'1',103,'N'),(16,3194248,'1',9,'N'),(16,3194256,'1',104,'N'),(16,3194264,'1',5,'N'),(16,3194272,'1',103,'N'),(16,3194280,'1',327,'N'),(16,3194299,'1',214,'N'),(16,3194299,'1A',207,'N'),(16,3194302,'1',103,'N'),(16,3194310,'1',216,'N'),(16,3194310,'1A',220,'N'),(16,3194329,'1',103,'N'),(16,3194345,'1',102,'N'),(16,3194353,'1',211,'N'),(16,3194353,'1A',213,'N'),(16,3194370,'1',208,'N'),(16,3194370,'1A',238,'N'),(16,3194388,'1',304,'N'),(16,3194396,'1',303,'N'),(16,3194400,'1',303,'N'),(16,3194418,'1',5,'N'),(16,3194426,'1',9,'N'),(16,3194434,'1',452,'N'),(16,3194442,'1',452,'N'),(16,3194450,'1',319,'N'),(16,3194469,'1',301,'N'),(16,3194477,'1',215,'N'),(16,3194477,'1A',211,'N'),(16,3194493,'1',103,'N'),(16,3194515,'1',238,'N'),(16,3194515,'1A',208,'N'),(16,3194523,'1',302,'N'),(16,3194531,'1',238,'N'),(16,3194531,'1A',208,'N'),(16,3194540,'1',238,'N'),(16,3194558,'1',216,'N'),(16,3194558,'1A',212,'N'),(16,3194566,'1',207,'N'),(16,3194566,'1A',211,'N'),(16,3194574,'1',233,'N'),(16,3194574,'1A',214,'N'),(16,3194604,'1',453,'N'),(16,3194612,'1',301,'N'),(16,3194639,'1',5,'N'),(16,3194647,'1',302,'N'),(16,3194663,'1',238,'N'),(16,3194663,'1A',208,'N'),(16,3194671,'1',203,'N'),(16,3194671,'1A',214,'N'),(16,3194680,'1',415,'N'),(16,3194698,'1',320,'N'),(16,3194701,'1',450,'N'),(16,3194710,'1',203,'N'),(16,3194710,'1A',214,'N'),(16,3194736,'1',207,'N'),(16,3194744,'1',233,'N'),(16,3194744,'1A',220,'N'),(16,3194752,'1',444,'N'),(16,3194760,'1',5,'N'),(16,3194779,'1',5,'N'),(16,3194809,'1',309,'N'),(16,3194833,'1',301,'N'),(16,3194841,'1',420,'N'),(16,3194850,'1',415,'N'),(16,3194868,'1',207,'N'),(16,3194868,'1A',201,'N'),(16,3194876,'1',421,'N'),(16,3194876,'1A',427,'N'),(16,3194884,'1',425,'N'),(16,3194884,'1A',424,'N'),(16,3194892,'1',340,'N'),(16,3194906,'1',203,'N'),(16,3194914,'1',202,'N'),(16,3194914,'1A',212,'N'),(16,3194922,'1',205,'N'),(16,3194949,'1',301,'N'),(16,3194957,'1',207,'N'),(16,3194957,'1A',208,'N'),(16,3194965,'1',340,'N'),(16,3194973,'1',103,'N'),(16,3194981,'1',212,'N'),(16,3194981,'1A',201,'N'),(16,3194990,'1',503,'N'),(16,3195007,'1',208,'N'),(16,3195007,'1A',238,'N'),(16,3195015,'1',340,'N'),(16,3195031,'1',453,'N'),(16,3195040,'1',316,'N'),(16,3195066,'1',304,'N'),(16,3195074,'1',203,'N'),(16,3195090,'1',225,'N'),(16,3195112,'1',415,'N'),(16,3195120,'1',5,'N'),(16,3195139,'1',453,'N'),(16,3195163,'1',238,'N'),(16,3195163,'1A',208,'N'),(16,3195171,'1',102,'N'),(16,3195180,'1',501,'N'),(16,3195198,'1',327,'N'),(16,3195210,'1',319,'N'),(16,3195228,'1',339,'N'),(16,3195236,'1',333,'N'),(16,3195244,'1',102,'N'),(16,3195252,'1',309,'N'),(16,3195260,'1',212,'N'),(16,3195260,'1A',201,'N'),(16,3195279,'1',202,'N'),(16,3195279,'1A',208,'N'),(16,3195295,'1',333,'N'),(16,3195309,'1',214,'N'),(16,3195309,'1A',203,'N'),(16,3195317,'1',428,'N'),(16,3195317,'1A',425,'N'),(16,3195325,'1',104,'N'),(16,3195333,'1',202,'N'),(16,3195333,'1A',211,'N'),(16,3195341,'1',501,'N'),(16,3195350,'1',101,'N'),(16,3195368,'1',211,'N'),(16,3195368,'1A',213,'N'),(16,3195376,'1',303,'N'),(16,3195384,'1',238,'N'),(16,3195384,'1A',233,'N'),(16,3195392,'1',103,'N'),(16,3195406,'1',103,'N'),(16,3195414,'1',103,'N'),(16,3195422,'1',220,'N'),(16,3195430,'1',303,'N'),(16,3195449,'1',207,'N'),(16,3195449,'1A',208,'N'),(16,3195457,'1',415,'N'),(16,3195465,'1',104,'N'),(16,3195473,'1',103,'N'),(16,3195490,'1',213,'N'),(16,3195490,'1A',202,'N'),(16,3195503,'1',444,'N'),(16,3195520,'1',202,'N'),(16,3195520,'1A',216,'N'),(16,3195538,'1',3,'N'),(16,3195546,'1',104,'N'),(16,3195554,'1',215,'N'),(16,3195554,'1A',211,'N'),(16,3195562,'1',201,'N'),(16,3195562,'1A',212,'N'),(16,3195570,'1',201,'N'),(16,3195570,'1A',202,'N'),(16,3195589,'1',308,'N'),(16,3195597,'1',103,'N'),(16,3195600,'1',103,'N'),(16,3195619,'1',318,'N'),(16,3195635,'1',340,'N'),(16,3195643,'1',308,'N'),(16,3195651,'1',103,'N'),(16,3195660,'1',208,'N'),(16,3195660,'1A',201,'N'),(16,3195678,'1',207,'N'),(16,3195678,'1A',233,'N'),(16,3195686,'1',207,'N'),(16,3195686,'1A',211,'N'),(16,3195694,'1',9,'N'),(16,3195708,'1',303,'N'),(16,3195716,'1',207,'N'),(16,3195716,'1A',201,'N'),(16,3195732,'1',108,'N'),(16,3195740,'1',211,'N'),(16,3195775,'1',326,'N'),(16,3195783,'1',301,'N'),(16,3195821,'1',303,'N'),(16,3195830,'1',326,'N'),(16,3195848,'1',310,'N'),(16,3195856,'1',415,'N'),(16,3195864,'1',453,'N'),(16,3195872,'1',103,'N'),(16,3195880,'1',203,'N'),(16,3195880,'1A',214,'N'),(16,3195899,'1',238,'N'),(16,3195899,'1A',220,'N'),(16,3195902,'1',415,'N'),(16,3195929,'1',234,'N'),(16,3195945,'1',103,'N'),(16,3195953,'1',104,'N'),(16,3195970,'1',444,'N'),(16,3195988,'1',5,'N'),(16,3195996,'1',326,'N'),(16,3196003,'1',318,'N'),(16,3196011,'1',223,'N'),(16,3196020,'1',103,'N'),(16,3196038,'1',208,'N'),(16,3196038,'1A',238,'N'),(16,3196046,'1',102,'N'),(16,3196054,'1',452,'N'),(16,3196062,'1',103,'N'),(16,3196070,'1',203,'N'),(16,3196070,'1A',214,'N'),(16,3196089,'1',108,'N'),(16,3196097,'1',238,'N'),(16,3196097,'1A',208,'N'),(16,3196100,'1',207,'N'),(16,3196119,'1',309,'N'),(16,3196127,'1',201,'N'),(16,3196135,'1',303,'N'),(16,3196143,'1',451,'N'),(16,3196151,'1',220,'N'),(16,3196151,'1A',207,'N'),(16,3196160,'1',203,'N'),(16,3196160,'1A',202,'N'),(16,3196178,'1',103,'N'),(16,3196186,'1',427,'N'),(16,3196194,'1',220,'N'),(16,3196194,'1A',211,'N'),(16,3196208,'1',201,'N'),(16,3196208,'1A',207,'N'),(16,3196224,'1',108,'N'),(16,3196232,'1',303,'N'),(16,3196240,'1',502,'N'),(16,3196259,'1',340,'N'),(16,3196267,'1',404,'N'),(16,3196275,'1',308,'N'),(16,3196283,'1',103,'N'),(16,3196291,'1',316,'N'),(16,3196305,'1',102,'N'),(16,3196313,'1',224,'N'),(16,3196321,'1',309,'N'),(16,3196330,'1',301,'N'),(16,3196348,'1',310,'N'),(16,3196356,'1',103,'N'),(16,3196364,'1',9,'N'),(16,3196372,'1',223,'N'),(16,3196380,'1',9,'N'),(16,3196399,'1',501,'N'),(16,3196410,'1',332,'N'),(16,3196429,'1',317,'N'),(16,3196437,'1',415,'N'),(16,3196445,'1',9,'N'),(16,3196453,'1',501,'N'),(16,3196470,'1',201,'N'),(16,3196470,'1A',207,'N'),(16,3196488,'1',233,'N'),(16,3196488,'1A',215,'N'),(16,3196496,'1',213,'N'),(16,3196496,'1A',220,'N'),(16,3196500,'1',103,'N'),(16,3196518,'1',103,'N'),(16,3196542,'1',332,'N'),(16,3196550,'1',425,'N'),(16,3196569,'1',340,'N'),(16,3196577,'1',415,'N'),(16,3196585,'1',103,'N'),(16,3196593,'1',301,'N'),(16,3196607,'1',502,'N'),(16,3196615,'1',2,'N'),(16,3196631,'1',102,'N'),(16,3196640,'1',108,'N'),(16,3196674,'1',425,'N'),(16,3196674,'1A',424,'N'),(16,3196690,'1',319,'N'),(16,3196704,'1',214,'N'),(16,3196704,'1A',211,'N'),(16,3196720,'1',208,'N'),(16,3196720,'1A',238,'N'),(16,3196739,'1',102,'N'),(16,3196747,'1',5,'N'),(16,3196755,'1',332,'N'),(16,3196763,'1',201,'N'),(16,3196763,'1A',238,'N'),(16,3196771,'1',333,'N'),(16,3196780,'1',202,'N'),(16,3196780,'1A',208,'N'),(16,3196798,'1',234,'N'),(16,3196801,'1',450,'N'),(16,3196810,'1',501,'N'),(16,3196828,'1',103,'N'),(16,3196844,'1',108,'N'),(16,3196852,'1',316,'N'),(16,3196860,'1',103,'N'),(16,3196879,'1',404,'N'),(16,3196887,'1',310,'N'),(16,3196895,'1',208,'N'),(16,3196895,'1A',238,'N'),(16,3196909,'1',301,'N'),(16,3196917,'1',502,'N'),(16,3196925,'1',309,'N'),(16,3196933,'1',215,'N'),(16,3196933,'1A',202,'N'),(16,3196950,'1',203,'N'),(16,3196950,'1A',214,'N'),(16,3196968,'1',304,'N'),(16,3196976,'1',420,'N'),(16,3196984,'1',208,'N'),(16,3196984,'1A',238,'N'),(16,3197000,'1',201,'N'),(16,3197000,'1A',238,'N'),(16,3197018,'1',319,'N'),(16,3197026,'1',211,'N'),(16,3197026,'1A',207,'N'),(16,3197034,'1',102,'N'),(16,3197042,'1',303,'N'),(16,3197050,'1',207,'N'),(16,3197050,'1A',233,'N'),(16,3197069,'1',318,'N'),(16,3197077,'1',302,'N'),(16,3197085,'1',103,'N'),(16,3197093,'1',103,'N'),(16,3197107,'1',324,'N'),(16,3197131,'1',319,'N'),(16,3197158,'1',316,'N'),(16,3197166,'1',220,'N'),(16,3197166,'1A',216,'N'),(16,3197174,'1',207,'N'),(16,3197174,'1A',233,'N'),(16,3197182,'1',5,'N'),(16,3197190,'1',301,'N'),(16,3197220,'1',212,'N'),(16,3197220,'1A',201,'N'),(16,3197239,'1',317,'N'),(16,3197247,'1',104,'N'),(16,3197255,'1',202,'N'),(16,3197255,'1A',203,'N'),(16,3197263,'1',102,'N'),(16,3197271,'1',103,'N'),(16,3197298,'1',203,'N'),(16,3197298,'1A',202,'N'),(16,3197310,'1',5,'N'),(16,3197328,'1',303,'N'),(16,3197336,'1',318,'N'),(16,3197344,'1',302,'N'),(16,3197360,'1',103,'N'),(16,3197379,'1',502,'N'),(16,3197387,'1',103,'N'),(16,3197425,'1',304,'N'),(16,3197468,'1',103,'N'),(16,3197476,'1',202,'N'),(16,3197476,'1A',213,'N'),(16,3197484,'1',108,'N'),(16,3197492,'1',453,'N'),(16,3197506,'1',444,'N'),(16,3197514,'1',501,'N'),(16,3197522,'1',308,'N'),(16,3197530,'1',104,'N'),(16,3197549,'1',303,'N'),(16,3197557,'1',310,'N'),(16,3197565,'1',201,'N'),(16,3197565,'1A',203,'N'),(16,3197581,'1',103,'N'),(16,3197590,'1',104,'N'),(16,3197603,'1',319,'N'),(16,3197611,'1',104,'N'),(16,3197620,'1',501,'N'),(16,3197638,'1',319,'N'),(16,3197646,'1',326,'N'),(16,3197654,'1',9,'N'),(16,3197662,'1',319,'N'),(16,3197689,'1',216,'N'),(16,3197689,'1A',201,'N'),(16,3197697,'1',220,'N'),(16,3197697,'1A',202,'N'),(16,3197700,'1',452,'N'),(16,3197727,'1',9,'N'),(16,3197735,'1',201,'N'),(16,3197735,'1A',202,'N'),(16,3197743,'1',340,'N'),(16,3197751,'1',5,'N'),(16,3197786,'1',303,'N'),(16,3197794,'1',319,'N'),(16,3197808,'1',444,'N'),(16,3197816,'1',211,'N'),(16,3197816,'1A',215,'N'),(16,3197824,'1',216,'N'),(16,3197824,'1A',215,'N'),(16,3197832,'1',331,'N'),(16,3197840,'1',104,'N'),(16,3197859,'1',317,'N'),(16,3197867,'1',340,'N'),(16,3197875,'1',5,'N'),(16,3197891,'1',205,'N'),(16,3197905,'1',429,'N'),(16,3197905,'1A',428,'N'),(16,3197921,'1',415,'N'),(16,3197948,'1',301,'N'),(16,3197956,'1',303,'N'),(16,3197964,'1',201,'N'),(16,3197964,'1A',212,'N'),(16,3197999,'1',103,'N'),(16,3198006,'1',203,'N'),(16,3198006,'1A',220,'N'),(16,3198014,'1',308,'N'),(16,3198022,'1',202,'N'),(16,3198022,'1A',220,'N'),(16,3198030,'1',214,'N'),(16,3198030,'1A',203,'N'),(16,3198049,'1',216,'N'),(16,3198057,'1',220,'N'),(16,3198057,'1A',208,'N'),(16,3198065,'1',304,'N'),(16,3198073,'1',308,'N'),(16,3198081,'1',5,'N'),(16,3198090,'1',103,'N'),(16,3198103,'1',444,'N'),(16,3198111,'1',308,'N'),(16,3198138,'1',415,'N'),(16,3198146,'1',420,'N'),(16,3198154,'1',238,'N'),(16,3198154,'1A',208,'N'),(16,3198162,'1',103,'N'),(16,3198170,'1',203,'N'),(16,3198170,'1A',214,'N'),(16,3198197,'1',310,'N'),(16,3198200,'1',9,'N'),(16,3198219,'1',102,'N'),(16,3198227,'1',317,'N'),(16,3198235,'1',214,'N'),(16,3198235,'1A',212,'N'),(16,3198243,'1',302,'N'),(16,3198251,'1',319,'N'),(16,3198260,'1',201,'N'),(16,3198260,'1A',233,'N'),(16,3198278,'1',238,'N'),(16,3198278,'1A',208,'N'),(16,3198286,'1',317,'N'),(16,3198294,'1',339,'N'),(16,3198316,'1',201,'N'),(16,3198316,'1A',212,'N'),(16,3198324,'1',303,'N'),(16,3198332,'1',103,'N'),(16,3198340,'1',220,'N'),(16,3198340,'1A',203,'N'),(16,3198367,'1',103,'N'),(16,3198375,'1',203,'N'),(16,3198375,'1A',202,'N'),(16,3198383,'1',101,'N'),(16,3198391,'1',5,'N'),(16,3198413,'1',223,'N'),(16,3198421,'1',216,'N'),(16,3198421,'1A',211,'N'),(16,3198430,'1',503,'N'),(16,3198448,'1',214,'N'),(16,3198456,'1',202,'N'),(16,3198456,'1A',214,'N'),(16,3198464,'1',203,'N'),(16,3198464,'1A',233,'N'),(16,3198472,'1',103,'N'),(16,3198480,'1',203,'N'),(16,3198480,'1A',220,'N'),(16,3198499,'1',308,'N'),(16,3198502,'1',5,'N'),(16,3198510,'1',319,'N'),(16,3198529,'1',308,'N'),(16,3198537,'1',451,'N'),(16,3198545,'1',319,'N'),(16,3198553,'1',207,'N'),(16,3198553,'1A',201,'N'),(16,3198570,'1',3,'N'),(16,3198588,'1',201,'N'),(16,3198588,'1A',211,'N'),(16,3198596,'1',303,'N'),(16,3198600,'1',340,'N'),(16,3198618,'1',211,'N'),(16,3198618,'1A',216,'N'),(16,3198626,'1',103,'N'),(16,3198642,'1',501,'N'),(16,3198650,'1',303,'N'),(16,3198669,'1',450,'N'),(16,3198677,'1',303,'N'),(16,3198685,'1',223,'N'),(16,3198693,'1',318,'N'),(16,3198707,'1',108,'N'),(16,3198715,'1',223,'N'),(16,3198723,'1',233,'N'),(16,3198723,'1A',215,'N'),(16,3198731,'1',9,'N'),(16,3198740,'1',103,'N'),(16,3198766,'1',215,'N'),(16,3198766,'1A',238,'N'),(16,3198774,'1',108,'N'),(16,3198782,'1',319,'N'),(16,3198790,'1',207,'N'),(16,3198790,'1A',203,'N'),(16,3198804,'1',104,'N'),(16,3198812,'1',304,'N'),(16,3198820,'1',103,'N'),(16,3198839,'1',208,'N'),(16,3198839,'1A',238,'N'),(16,3198847,'1',208,'N'),(16,3198847,'1A',238,'N'),(16,3198855,'1',223,'N'),(16,3198863,'1',211,'N'),(16,3198863,'1A',216,'N'),(16,3198871,'1',108,'N'),(16,3198898,'1',415,'N'),(16,3198901,'1',303,'N'),(16,3198910,'1',108,'N'),(16,3198936,'1',317,'N'),(16,3198944,'1',103,'N'),(16,3198952,'1',309,'N'),(16,3198960,'1',207,'N'),(16,3198960,'1A',201,'N'),(16,3198979,'1',9,'N'),(16,3198995,'1',201,'N'),(16,3198995,'1A',211,'N'),(16,3199002,'1',207,'N'),(16,3199002,'1A',201,'N'),(16,3199010,'1',103,'N'),(16,3199029,'1',103,'N'),(16,3199037,'1',302,'N'),(16,3199045,'1',234,'N'),(16,3199053,'1',201,'N'),(16,3199053,'1A',212,'N'),(16,3199070,'1',415,'N'),(16,3199100,'1',317,'N'),(16,3199118,'1',415,'N'),(16,3199126,'1',238,'N'),(16,3199126,'1A',208,'N'),(16,3199134,'1',103,'N'),(16,3199142,'1',238,'N'),(16,3199142,'1A',216,'N'),(16,3199150,'1',103,'N'),(16,3199177,'1',203,'N'),(16,3199177,'1A',220,'N'),(16,3199185,'1',301,'N'),(16,3199193,'1',308,'N'),(16,3199215,'1',319,'N'),(16,3199223,'1',104,'N'),(16,3199240,'1',9,'N'),(16,3199258,'1',203,'N'),(16,3199258,'1A',220,'N'),(16,3199266,'1',340,'N'),(16,3199274,'1',238,'N'),(16,3199274,'1A',208,'N'),(16,3199282,'1',207,'N'),(16,3199282,'1A',201,'N'),(16,3199290,'1',451,'N'),(16,3199304,'1',303,'N'),(16,3199312,'1',103,'N'),(16,3199320,'1',326,'N'),(16,3199339,'1',202,'N'),(16,3199339,'1A',212,'N'),(16,3199347,'1',203,'N'),(16,3199347,'1A',220,'N'),(16,3199355,'1',102,'N'),(16,3199371,'1',5,'N'),(16,3199398,'1',207,'N'),(16,3199398,'1A',212,'N'),(16,3199401,'1',316,'N'),(16,3199428,'1',501,'N'),(16,3199436,'1',333,'N'),(16,3199444,'1',238,'N'),(16,3199444,'1A',207,'N'),(16,3199452,'1',502,'N'),(16,3199460,'1',103,'N'),(16,3199479,'1',201,'N'),(16,3199479,'1A',203,'N'),(16,3199487,'1',302,'N'),(16,3199495,'1',453,'N'),(16,3199509,'1',108,'N'),(16,3199517,'1',234,'N'),(16,3199525,'1',303,'N'),(16,3199533,'1',102,'N'),(16,3199541,'1',501,'N'),(16,3199550,'1',203,'N'),(16,3199550,'1A',214,'N'),(16,3199568,'1',211,'N'),(16,3199568,'1A',238,'N'),(16,3199584,'1',207,'N'),(16,3199584,'1A',201,'N'),(16,3199606,'1',103,'N'),(16,3199614,'1',444,'N'),(16,3199622,'1',302,'N'),(16,3199630,'1',238,'N'),(16,3199630,'1A',216,'N'),(16,3199649,'1',207,'N'),(16,3199649,'1A',201,'N'),(16,3199657,'1',202,'N'),(16,3199657,'1A',238,'N'),(16,3199665,'1',501,'N'),(16,3199673,'1',104,'N'),(16,3199681,'1',202,'N'),(16,3199703,'1',303,'N'),(16,3199720,'1',103,'N'),(16,3199738,'1',216,'N'),(16,3199738,'1A',233,'N'),(16,3199746,'1',211,'N'),(16,3199746,'1A',216,'N'),(16,3199754,'1',102,'N'),(16,3199762,'1',102,'N'),(16,3199770,'1',202,'N'),(16,3199789,'1',2,'N'),(16,3199797,'1',303,'N'),(16,3199800,'1',103,'N'),(16,3199819,'1',103,'N'),(16,3199827,'1',103,'N'),(16,3199835,'1',451,'N'),(16,3199843,'1',103,'N'),(16,3199851,'1',220,'N'),(16,3199851,'1A',213,'N'),(16,3199860,'1',103,'N'),(16,3199886,'1',102,'N'),(16,3199894,'1',103,'N'),(16,3199908,'1',103,'N'),(16,3199916,'1',340,'N'),(16,3199924,'1',319,'N'),(16,3199932,'1',207,'N'),(16,3199932,'1A',201,'N'),(16,3199940,'1',102,'N'),(16,3199967,'1',103,'N'),(16,3199975,'1',303,'N'),(16,3199983,'1',102,'N'),(16,3199991,'1',213,'N'),(16,3199991,'1A',202,'N'),(16,3200000,'1',202,'N'),(16,3200000,'1A',208,'N'),(16,3200019,'1',211,'N'),(16,3200019,'1A',207,'N'),(16,3200027,'1',108,'N'),(16,3200035,'1',203,'N'),(16,3200035,'1A',201,'N'),(16,3200060,'1',301,'N'),(16,3200078,'1',103,'N'),(16,3200086,'1',212,'N'),(16,3200086,'1A',201,'N'),(16,3200108,'1',331,'N'),(16,3200116,'1',420,'N'),(16,3200124,'1',220,'N'),(16,3200124,'1A',214,'N'),(16,3200132,'1',238,'N'),(16,3200140,'1',103,'N'),(16,3200159,'1',5,'N'),(16,3200167,'1',101,'N'),(16,3200175,'1',103,'N'),(16,3200183,'1',104,'N'),(16,3200191,'1',303,'N'),(16,3200205,'1',444,'N'),(16,3200213,'1',9,'N'),(16,3200221,'1',215,'N'),(16,3200230,'1',452,'N'),(16,3200248,'1',301,'N'),(16,3200256,'1',333,'N'),(16,3200272,'1',203,'N'),(16,3200272,'1A',201,'N'),(16,3200299,'1',420,'N'),(16,3200302,'1',309,'N'),(16,3200310,'1',9,'N'),(16,3200337,'1',2,'N'),(16,3200345,'1',207,'N'),(16,3200353,'1',103,'N'),(16,3200370,'1',203,'N'),(16,3200370,'1A',208,'N'),(16,3200400,'1',233,'N'),(16,3200400,'1A',215,'N'),(16,3200418,'1',207,'N'),(16,3200418,'1A',201,'N'),(16,3200426,'1',202,'N'),(16,3200426,'1A',220,'N'),(16,3200434,'1',201,'N'),(16,3200434,'1A',212,'N'),(16,3200442,'1',201,'N'),(16,3200469,'1',220,'N'),(16,3200469,'1A',202,'N'),(16,3200477,'1',211,'N'),(16,3200515,'1',234,'N'),(16,3200523,'1',425,'N'),(16,3200523,'1A',428,'N'),(16,3200531,'1',103,'N'),(16,3200540,'1',203,'N'),(16,3200540,'1A',201,'N'),(16,3200558,'1',304,'N'),(16,3200574,'1',103,'N'),(16,3200582,'1',211,'N'),(16,3200582,'1A',215,'N'),(16,3200604,'1',201,'N'),(16,3200604,'1A',212,'N'),(16,3200612,'1',104,'N'),(16,3200620,'1',108,'N'),(16,3200639,'1',203,'N'),(16,3200639,'1A',214,'N'),(16,3200647,'1',320,'N'),(16,3200655,'1',308,'N'),(16,3200663,'1',404,'N'),(16,3200671,'1',207,'N'),(16,3200671,'1A',215,'N'),(16,3200680,'1',211,'N'),(16,3200680,'1A',207,'N'),(16,3200698,'1',308,'N'),(16,3200701,'1',332,'N'),(16,3200710,'1',451,'N'),(16,3200728,'1',301,'N'),(16,3200736,'1',415,'N'),(16,3200744,'1',501,'N'),(16,3200752,'1',303,'N'),(16,3200760,'1',326,'N'),(16,3200779,'1',216,'N'),(16,3200779,'1A',213,'N'),(16,3200787,'1',104,'N'),(16,3200795,'1',303,'N'),(16,3200809,'1',425,'N'),(16,3200809,'1A',429,'N'),(16,3200817,'1',302,'N'),(16,3200833,'1',316,'N'),(16,3200841,'1',203,'N'),(16,3200841,'1A',214,'N'),(16,3200850,'1',233,'N'),(16,3200850,'1A',216,'N'),(16,3200868,'1',9,'N'),(16,3200884,'1',103,'N'),(16,3200906,'1',207,'N'),(16,3200906,'1A',215,'N'),(16,3200914,'1',415,'N'),(16,3200922,'1',332,'N'),(16,3200930,'1',103,'N'),(16,3200949,'1',201,'N'),(16,3200949,'1A',202,'N'),(16,3200957,'1',103,'N'),(16,3200965,'1',501,'N'),(16,3201007,'1',207,'N'),(16,3201007,'1A',201,'N'),(16,3201015,'1',207,'N'),(16,3201015,'1A',201,'N'),(16,3201023,'1',425,'N'),(16,3201023,'1A',426,'N'),(16,3201040,'1',319,'N'),(16,3201058,'1',103,'N'),(16,3201090,'1',328,'N'),(16,3201104,'1',108,'N'),(16,3201120,'1',103,'N'),(16,3201139,'1',303,'N'),(16,3201147,'1',202,'N'),(16,3201155,'1',104,'N'),(16,3201163,'1',220,'N'),(16,3201163,'1A',208,'N'),(16,3201171,'1',208,'N'),(16,3201171,'1A',201,'N'),(16,3201180,'1',203,'N'),(16,3201180,'1A',220,'N'),(16,3201198,'1',501,'N'),(16,3201201,'1',104,'N'),(16,3201210,'1',340,'N'),(16,3201236,'1',101,'N'),(16,3201244,'1',104,'N'),(16,3201260,'1',317,'N'),(16,3201279,'1',103,'N'),(16,3201287,'1',103,'N'),(16,3201295,'1',340,'N'),(16,3201309,'1',340,'N'),(16,3201317,'1',238,'N'),(16,3201317,'1A',208,'N'),(16,3201333,'1',333,'N'),(16,3201341,'1',301,'N'),(16,3201350,'1',102,'N'),(16,3201368,'1',101,'N'),(16,3201376,'1',319,'N'),(16,3201384,'1',503,'N'),(16,3201392,'1',103,'N'),(16,3201406,'1',340,'N'),(16,3201414,'1',103,'N'),(16,3201422,'1',101,'N'),(16,3201430,'1',102,'N'),(16,3201457,'1',428,'N'),(16,3201457,'1A',423,'N'),(16,3201473,'1',103,'N'),(16,3201481,'1',201,'N'),(16,3201481,'1A',212,'N'),(16,3201490,'1',216,'N'),(16,3201490,'1A',215,'N'),(16,3201503,'1',108,'N'),(16,3201511,'1',452,'N'),(16,3201520,'1',216,'N'),(16,3201520,'1A',211,'N'),(16,3201538,'1',102,'N'),(16,3201546,'1',201,'N'),(16,3201546,'1A',212,'N'),(16,3201554,'1',444,'N'),(16,3201562,'1',301,'N'),(16,3201570,'1',102,'N'),(16,3201589,'1',303,'N'),(16,3201597,'1',340,'N'),(16,3201600,'1',304,'N'),(16,3201619,'1',103,'N'),(16,3201627,'1',421,'N'),(16,3201627,'1A',429,'N'),(16,3201635,'1',103,'N'),(16,3201651,'1',316,'N'),(16,3201660,'1',316,'N'),(16,3201678,'1',329,'N'),(16,3201686,'1',102,'N'),(16,3201694,'1',207,'N'),(16,3201694,'1A',215,'N'),(16,3201708,'1',327,'N'),(16,3201716,'1',450,'N'),(16,3201724,'1',203,'N'),(16,3201724,'1A',201,'N'),(16,3201732,'1',224,'N'),(16,3201740,'1',316,'N'),(16,3201759,'1',502,'N'),(16,3201767,'1',103,'N'),(16,3201775,'1',319,'N'),(16,3201805,'1',202,'N'),(16,3201805,'1A',215,'N'),(16,3201813,'1',317,'N'),(16,3201821,'1',207,'N'),(16,3201821,'1A',201,'N'),(16,3201830,'1',501,'N'),(16,3201848,'1',207,'N'),(16,3201848,'1A',201,'N'),(16,3201856,'1',211,'N'),(16,3201856,'1A',216,'N'),(16,3201864,'1',103,'N'),(16,3201872,'1',301,'N'),(16,3201880,'1',202,'N'),(16,3201880,'1A',216,'N'),(16,3201899,'1',103,'N'),(16,3201902,'1',5,'N'),(16,3201910,'1',102,'N'),(16,3201929,'1',304,'N'),(16,3201937,'1',331,'N'),(16,3201945,'1',316,'N'),(16,3201953,'1',214,'N'),(16,3201953,'1A',233,'N'),(16,3201961,'1',329,'N'),(16,3201970,'1',233,'N'),(16,3201970,'1A',214,'N'),(16,3201996,'1',303,'N'),(16,3202003,'1',303,'N'),(16,3202011,'1',340,'N'),(16,3202020,'1',202,'N'),(16,3202020,'1A',220,'N'),(16,3202038,'1',103,'N'),(16,3202046,'1',3,'N'),(16,3202054,'1',103,'N'),(16,3202070,'1',202,'N'),(16,3202070,'1A',213,'N'),(16,3202089,'1',215,'N'),(16,3202089,'1A',216,'N'),(16,3202097,'1',301,'N'),(16,3202100,'1',104,'N'),(16,3202119,'1',308,'N'),(16,3202127,'1',332,'N'),(16,3202135,'1',501,'N'),(16,3202143,'1',319,'N'),(16,3202160,'1',238,'N'),(16,3202160,'1A',208,'N'),(16,3202178,'1',420,'N'),(16,3202186,'1',9,'N'),(16,3202194,'1',309,'N'),(16,3202208,'1',103,'N'),(16,3202216,'1',501,'N'),(16,3202224,'1',211,'N'),(16,3202224,'1A',213,'N'),(16,3202240,'1',324,'N'),(16,3202259,'1',427,'N'),(16,3202259,'1A',424,'N'),(16,3202267,'1',415,'N'),(16,3202275,'1',103,'N'),(16,3202283,'1',444,'N'),(16,3202291,'1',201,'N'),(16,3202291,'1A',216,'N'),(16,3202313,'1',102,'N'),(16,3202321,'1',234,'N'),(16,3202330,'1',308,'N'),(16,3202348,'1',103,'N'),(16,3202356,'1',103,'N'),(16,3202372,'1',102,'N'),(16,3202380,'1',404,'N'),(16,3202402,'1',420,'N'),(16,3202410,'1',101,'N'),(16,3202429,'1',326,'N'),(16,3202437,'1',108,'N'),(16,3202453,'1',316,'N'),(16,3202461,'1',101,'N'),(16,3202470,'1',101,'N'),(16,3202496,'1',203,'N'),(16,3202500,'1',202,'N'),(16,3202500,'1A',201,'N'),(16,3202518,'1',415,'N'),(16,3202526,'1',317,'N'),(16,3202534,'1',302,'N'),(16,3202550,'1',301,'N'),(16,3202569,'1',501,'N'),(16,3202577,'1',103,'N'),(16,3202585,'1',203,'N'),(16,3202585,'1A',201,'N'),(16,3202607,'1',453,'N'),(16,3202615,'1',328,'N'),(16,3202623,'1',108,'N'),(16,3202631,'1',102,'N'),(16,3202640,'1',316,'N'),(16,3202658,'1',103,'N'),(16,3202666,'1',103,'N'),(16,3202674,'1',104,'N'),(16,3202682,'1',104,'N'),(16,3202690,'1',215,'N'),(16,3202690,'1A',208,'N'),(16,3202704,'1',103,'N'),(16,3202712,'1',216,'N'),(16,3202712,'1A',202,'N'),(16,3202739,'1',319,'N'),(16,3202747,'1',201,'N'),(16,3202747,'1A',203,'N'),(16,3202755,'1',103,'N'),(16,3202763,'1',502,'N'),(16,3202771,'1',103,'N'),(16,3202780,'1',103,'N'),(16,3202798,'1',201,'N'),(16,3202798,'1A',203,'N'),(16,3202810,'1',309,'N'),(16,3202836,'1',317,'N'),(16,3202844,'1',404,'N'),(16,3202852,'1',203,'N'),(16,3202852,'1A',201,'N'),(16,3202860,'1',214,'N'),(16,3202860,'1A',213,'N'),(16,3202879,'1',103,'N'),(16,3202887,'1',201,'N'),(16,3202887,'1A',213,'N'),(16,3202895,'1',203,'N'),(16,3202895,'1A',208,'N'),(16,3202909,'1',208,'N'),(16,3202909,'1A',215,'N'),(16,3202917,'1',101,'N'),(16,3202925,'1',319,'N'),(16,3202933,'1',220,'N'),(16,3202933,'1A',233,'N'),(16,3202941,'1',103,'N'),(16,3202950,'1',208,'N'),(16,3202950,'1A',233,'N'),(16,3202968,'1',207,'N'),(16,3202968,'1A',201,'N'),(16,3202976,'1',102,'N'),(16,3202984,'1',316,'N'),(16,3202992,'1',303,'N'),(16,3203018,'1',3,'N'),(16,3203026,'1',208,'N'),(16,3203026,'1A',238,'N'),(16,3203034,'1',317,'N'),(16,3203042,'1',308,'N'),(16,3203050,'1',415,'N'),(16,3203069,'1',203,'N'),(16,3203069,'1A',214,'N'),(16,3203077,'1',501,'N'),(16,3203093,'1',207,'N'),(16,3203093,'1A',214,'N'),(16,3203107,'1',301,'N'),(16,3203115,'1',104,'N'),(16,3203123,'1',301,'N'),(16,3203131,'1',420,'N'),(16,3203140,'1',415,'N'),(16,3203166,'1',213,'N'),(16,3203166,'1A',202,'N'),(16,3203174,'1',427,'N'),(16,3203174,'1A',428,'N'),(16,3203182,'1',207,'N'),(16,3203190,'1',208,'N'),(16,3203190,'1A',238,'N'),(16,3203204,'1',108,'N'),(16,3203212,'1',340,'N'),(16,3203220,'1',333,'N'),(16,3203239,'1',303,'N'),(16,3203247,'1',301,'N'),(16,3203255,'1',103,'N'),(16,3203263,'1',425,'N'),(16,3203263,'1A',429,'N'),(16,3203271,'1',214,'N'),(16,3203271,'1A',220,'N'),(16,3203280,'1',216,'N'),(16,3203280,'1A',211,'N'),(16,3203298,'1',207,'N'),(16,3203298,'1A',201,'N'),(16,3203301,'1',201,'N'),(16,3203301,'1A',207,'N'),(16,3203310,'1',103,'N'),(16,3203328,'1',108,'N'),(16,3203336,'1',104,'N'),(16,3203344,'1',404,'N'),(16,3203352,'1',319,'N'),(16,3203360,'1',108,'N'),(16,3203409,'1',205,'N'),(16,3203417,'1',207,'N'),(16,3203417,'1A',208,'N'),(16,3203433,'1',201,'N'),(16,3203433,'1A',212,'N'),(16,3203441,'1',5,'N'),(16,3203450,'1',103,'N'),(16,3203468,'1',220,'N'),(16,3203468,'1A',203,'N'),(16,3203476,'1',201,'N'),(16,3203476,'1A',212,'N'),(16,3203484,'1',108,'N'),(16,3203492,'1',3,'N'),(16,3203514,'1',208,'N'),(16,3203514,'1A',238,'N'),(16,3203549,'1',9,'N'),(16,3203557,'1',207,'N'),(16,3203565,'1',9,'N'),(16,3203573,'1',103,'N'),(16,3203581,'1',216,'N'),(16,3203581,'1A',202,'N'),(16,3203590,'1',203,'N'),(16,3203590,'1A',216,'N'),(16,3203603,'1',103,'N'),(16,3203620,'1',103,'N'),(16,3203638,'1',203,'N'),(16,3203638,'1A',214,'N'),(16,3203654,'1',103,'N'),(16,3203662,'1',207,'N'),(16,3203662,'1A',211,'N'),(16,3203670,'1',201,'N'),(16,3203670,'1A',207,'N'),(16,3203697,'1',319,'N'),(16,3203700,'1',212,'N'),(16,3203700,'1A',233,'N'),(16,3203719,'1',316,'N'),(16,3203735,'1',444,'N'),(16,3203743,'1',211,'N'),(16,3203743,'1A',215,'N'),(16,3203751,'1',319,'N'),(16,3203760,'1',103,'N'),(16,3203786,'1',203,'N'),(16,3203786,'1A',214,'N'),(16,3203794,'1',103,'N'),(16,3203808,'1',301,'N'),(16,3203816,'1',102,'N'),(16,3203824,'1',103,'N'),(16,3203832,'1',203,'N'),(16,3203832,'1A',220,'N'),(16,3203840,'1',202,'N'),(16,3203840,'1A',213,'N'),(16,3203867,'1',203,'N'),(16,3203867,'1A',220,'N'),(16,3203875,'1',5,'N'),(16,3203883,'1',104,'N'),(16,3203891,'1',451,'N'),(16,3203905,'1',201,'N'),(16,3203905,'1A',212,'N'),(16,3203913,'1',9,'N'),(16,3203921,'1',201,'N'),(16,3203921,'1A',212,'N'),(16,3203930,'1',216,'N'),(16,3203930,'1A',215,'N'),(16,3203948,'1',104,'N'),(16,3203956,'1',9,'N'),(16,3203972,'1',103,'N'),(16,3203980,'1',308,'N'),(16,3203999,'1',5,'N'),(16,3204006,'1',104,'N'),(16,3204014,'1',201,'N'),(16,3204014,'1A',212,'N'),(16,3204022,'1',316,'N'),(16,3204030,'1',420,'N'),(16,3204049,'1',205,'N'),(16,3204057,'1',318,'N'),(16,3204065,'1',208,'N'),(16,3204065,'1A',238,'N'),(16,3204081,'1',201,'N'),(16,3204081,'1A',220,'N'),(16,3204090,'1',320,'N'),(16,3204103,'1',304,'N'),(16,3204111,'1',220,'N'),(16,3204111,'1A',203,'N'),(16,3204120,'1',309,'N'),(16,3204138,'1',103,'N'),(16,3204146,'1',220,'N'),(16,3204146,'1A',213,'N'),(16,3204154,'1',304,'N'),(16,3204162,'1',216,'N'),(16,3204170,'1',452,'N'),(16,3204189,'1',104,'N'),(16,3204200,'1',304,'N'),(16,3204219,'1',328,'N'),(16,3204235,'1',103,'N'),(16,3204243,'1',320,'N'),(16,3204251,'1',501,'N'),(16,3204260,'1',426,'N'),(16,3204260,'1A',425,'N'),(16,3204278,'1',420,'N'),(16,3204286,'1',310,'N'),(16,3204294,'1',102,'N'),(16,3204308,'1',102,'N'),(16,3204316,'1',316,'N'),(16,3204324,'1',220,'N'),(16,3204324,'1A',203,'N'),(16,3204332,'1',214,'N'),(16,3204332,'1A',213,'N'),(16,3204340,'1',103,'N'),(16,3204359,'1',415,'N'),(16,3204367,'1',233,'N'),(16,3204367,'1A',211,'N'),(16,3204375,'1',203,'N'),(16,3204375,'1A',202,'N'),(16,3204383,'1',211,'N'),(16,3204383,'1A',238,'N'),(16,3204391,'1',211,'N'),(16,3204391,'1A',233,'N'),(16,3204413,'1',301,'N'),(16,3204421,'1',2,'N'),(16,3204448,'1',207,'N'),(16,3204448,'1A',212,'N'),(16,3204456,'1',201,'N'),(16,3204472,'1',201,'N'),(16,3204472,'1A',202,'N'),(16,3204480,'1',303,'N'),(16,3204499,'1',103,'N'),(16,3204502,'1',203,'N'),(16,3204502,'1A',202,'N'),(16,3204510,'1',415,'N'),(16,3204529,'1',102,'N'),(16,3204537,'1',104,'N'),(16,3204545,'1',103,'N'),(16,3204553,'1',103,'N'),(16,3204570,'1',201,'N'),(16,3204588,'1',444,'N'),(16,3204600,'1',203,'N'),(16,3204600,'1A',233,'N'),(16,3204618,'1',333,'N'),(16,3204626,'1',215,'N'),(16,3204634,'1',203,'N'),(16,3204634,'1A',233,'N'),(16,3204650,'1',3,'N'),(16,3204669,'1',102,'N'),(16,3204677,'1',3,'N'),(16,3204685,'1',103,'N'),(16,3204693,'1',303,'N'),(16,3204707,'1',203,'N'),(16,3204707,'1A',233,'N'),(16,3204715,'1',302,'N'),(16,3204723,'1',309,'N'),(16,3204731,'1',108,'N'),(16,3204740,'1',211,'N'),(16,3204740,'1A',201,'N'),(16,3204758,'1',9,'N'),(16,3204766,'1',108,'N'),(16,3204774,'1',308,'N'),(16,3204782,'1',233,'N'),(16,3204790,'1',340,'N'),(16,3204804,'1',303,'N'),(16,3204812,'1',303,'N'),(16,3204820,'1',202,'N'),(16,3204839,'1',203,'N'),(16,3204839,'1A',201,'N'),(16,3204847,'1',208,'N'),(16,3204847,'1A',238,'N'),(16,3204855,'1',238,'N'),(16,3204855,'1A',208,'N'),(16,3204863,'1',301,'N'),(16,3204871,'1',340,'N'),(16,3204880,'1',318,'N'),(16,3204898,'1',420,'N'),(16,3204901,'1',214,'N'),(16,3204901,'1A',212,'N'),(16,3204910,'1',501,'N'),(16,3204928,'1',429,'N'),(16,3204928,'1A',425,'N'),(16,3204936,'1',339,'N'),(16,3204944,'1',303,'N'),(16,3204952,'1',238,'N'),(16,3204952,'1A',212,'N'),(16,3204960,'1',5,'N'),(16,3204979,'1',415,'N'),(16,3204995,'1',216,'N'),(16,3204995,'1A',233,'N'),(16,3205002,'1',501,'N'),(16,3205010,'1',203,'N'),(16,3205010,'1A',211,'N'),(16,3205029,'1',211,'N'),(16,3205029,'1A',201,'N'),(16,3205037,'1',103,'N'),(16,3205045,'1',301,'N'),(16,3205061,'1',332,'N'),(16,3205070,'1',103,'N'),(16,3205088,'1',102,'N'),(16,3205096,'1',203,'N'),(16,3205096,'1A',214,'N'),(16,3205100,'1',211,'N'),(16,3205100,'1A',215,'N'),(16,3205126,'1',340,'N'),(16,3205134,'1',319,'N'),(16,3205142,'1',444,'N'),(16,3205150,'1',203,'N'),(16,3205150,'1A',233,'N'),(16,3205169,'1',238,'N'),(16,3205169,'1A',208,'N'),(16,3205177,'1',5,'N'),(16,3205185,'1',207,'N'),(16,3205185,'1A',201,'N'),(16,3205193,'1',326,'N'),(16,3205207,'1',103,'N'),(16,3205215,'1',214,'N'),(16,3205215,'1A',220,'N'),(16,3205223,'1',103,'N'),(16,3205231,'1',501,'N'),(16,3205240,'1',207,'N'),(16,3205240,'1A',211,'N'),(16,3205258,'1',203,'N'),(16,3205258,'1A',214,'N'),(16,3205266,'1',319,'N'),(16,3205282,'1',503,'N'),(16,3205290,'1',104,'N'),(16,3205304,'1',5,'N'),(16,3205312,'1',444,'N'),(16,3205320,'1',207,'N'),(16,3205320,'1A',201,'N'),(16,3205347,'1',207,'N'),(16,3205347,'1A',215,'N'),(16,3205355,'1',203,'N'),(16,3205355,'1A',214,'N'),(16,3205371,'1',103,'N'),(16,3205380,'1',501,'N'),(16,3205398,'1',201,'N'),(16,3205401,'1',103,'N'),(16,3205410,'1',9,'N'),(16,3205428,'1',502,'N'),(16,3205436,'1',203,'N'),(16,3205444,'1',502,'N'),(16,3205452,'1',108,'N'),(16,3205460,'1',108,'N'),(16,3205479,'1',216,'N'),(16,3205479,'1A',203,'N'),(16,3205487,'1',332,'N'),(16,3205509,'1',201,'N'),(16,3205509,'1A',211,'N'),(16,3205517,'1',103,'N'),(16,3205525,'1',103,'N'),(16,3205533,'1',203,'N'),(16,3205533,'1A',220,'N'),(16,3205541,'1',303,'N'),(16,3205550,'1',340,'N'),(16,3205568,'1',303,'N'),(16,3205576,'1',303,'N'),(16,3205592,'1',301,'N'),(16,3205606,'1',207,'N'),(16,3205606,'1A',201,'N'),(16,3205614,'1',340,'N'),(16,3205622,'1',203,'N'),(16,3205649,'1',201,'N'),(16,3205649,'1A',208,'N'),(16,3205657,'1',103,'N'),(16,3205665,'1',203,'N'),(16,3205665,'1A',214,'N'),(16,3205673,'1',420,'N'),(16,3205681,'1',453,'N'),(16,3205690,'1',340,'N'),(16,3205703,'1',201,'N'),(16,3205703,'1A',212,'N'),(16,3205711,'1',103,'N'),(16,3205720,'1',103,'N'),(16,3205738,'1',301,'N'),(16,3205746,'1',223,'N'),(16,3205754,'1',319,'N'),(16,3205770,'1',216,'N'),(16,3205770,'1A',215,'N'),(16,3205789,'1',333,'N'),(16,3205797,'1',340,'N'),(16,3205800,'1',103,'N'),(16,3205819,'1',203,'N'),(16,3205819,'1A',220,'N'),(16,3205827,'1',104,'N'),(16,3205835,'1',108,'N'),(16,3205843,'1',340,'N'),(16,3205851,'1',304,'N'),(16,3205860,'1',453,'N'),(16,3205878,'1',207,'N'),(16,3205878,'1A',201,'N'),(16,3205886,'1',203,'N'),(16,3205886,'1A',214,'N'),(16,3205894,'1',102,'N'),(16,3205908,'1',103,'N'),(16,3205916,'1',301,'N'),(16,3205924,'1',102,'N'),(16,3205932,'1',301,'N'),(16,3205940,'1',104,'N'),(16,3205959,'1',104,'N'),(16,3205967,'1',201,'N'),(16,3205967,'1A',203,'N'),(16,3205975,'1',303,'N'),(16,3205983,'1',220,'N'),(16,3205983,'1A',202,'N'),(16,3205991,'1',208,'N'),(16,3205991,'1A',238,'N'),(16,3206009,'1',201,'N'),(16,3206009,'1A',215,'N'),(16,3206017,'1',424,'N'),(16,3206017,'1A',429,'N'),(16,3206025,'1',316,'N'),(16,3206033,'1',5,'N'),(16,3206041,'1',453,'N'),(16,3206050,'1',340,'N'),(16,3206068,'1',103,'N'),(16,3206076,'1',207,'N'),(16,3206076,'1A',202,'N'),(16,3206084,'1',103,'N'),(16,3206092,'1',503,'N'),(16,3206106,'1',208,'N'),(16,3206114,'1',201,'N'),(16,3206114,'1A',208,'N'),(16,3206122,'1',103,'N'),(16,3206157,'1',326,'N'),(16,3206165,'1',103,'N'),(16,3206173,'1',203,'N'),(16,3206173,'1A',220,'N'),(16,3206181,'1',303,'N'),(16,3206190,'1',309,'N'),(16,3206203,'1',203,'N'),(16,3206203,'1A',214,'N'),(16,3206211,'1',103,'N'),(16,3206220,'1',220,'N'),(16,3206220,'1A',208,'N'),(16,3206238,'1',103,'N'),(16,3206246,'1',326,'N'),(16,3206254,'1',303,'N'),(16,3206262,'1',202,'N'),(16,3206262,'1A',238,'N'),(16,3206270,'1',215,'N'),(16,3206270,'1A',211,'N'),(16,3206289,'1',9,'N'),(16,3206297,'1',425,'N'),(16,3206297,'1A',423,'N'),(16,3206300,'1',203,'N'),(16,3206300,'1A',201,'N'),(16,3206319,'1',103,'N'),(16,3206327,'1',201,'N'),(16,3206335,'1',208,'N'),(16,3206335,'1A',238,'N'),(16,3206351,'1',318,'N'),(16,3206360,'1',318,'N'),(16,3206378,'1',220,'N'),(16,3206378,'1A',214,'N'),(16,3206394,'1',220,'N'),(16,3206394,'1A',202,'N'),(16,3206408,'1',501,'N'),(16,3206416,'1',301,'N'),(16,3206432,'1',207,'N'),(16,3206440,'1',103,'N'),(16,3206467,'1',103,'N'),(16,3206475,'1',202,'N'),(16,3206475,'1A',203,'N'),(16,3206483,'1',304,'N'),(16,3206491,'1',301,'N'),(16,3206505,'1',340,'N'),(16,3206521,'1',211,'N'),(16,3206521,'1A',216,'N'),(16,3206530,'1',453,'N'),(16,3206548,'1',103,'N'),(16,3206556,'1',104,'N'),(16,3206564,'1',201,'N'),(16,3206564,'1A',208,'N'),(16,3206572,'1',207,'N'),(16,3206572,'1A',201,'N'),(16,3206599,'1',308,'N'),(16,3206602,'1',203,'N'),(16,3206602,'1A',202,'N'),(16,3206610,'1',326,'N'),(16,3206629,'1',503,'N'),(16,3206637,'1',415,'N'),(16,3206645,'1',2,'N'),(16,3206653,'1',104,'N'),(16,3206661,'1',9,'N'),(16,3206670,'1',404,'N'),(16,3206700,'1',103,'N'),(16,3206718,'1',201,'N'),(16,3206718,'1A',207,'N'),(16,3206726,'1',216,'N'),(16,3206734,'1',203,'N'),(16,3206734,'1A',233,'N'),(16,3206742,'1',303,'N'),(16,3206750,'1',234,'N'),(16,3206769,'1',302,'N'),(16,3206777,'1',104,'N'),(16,3206785,'1',211,'N'),(16,3206785,'1A',215,'N'),(16,3206793,'1',203,'N'),(16,3206793,'1A',214,'N'),(16,3206807,'1',332,'N'),(16,3206815,'1',203,'N'),(16,3206815,'1A',238,'N'),(16,3206823,'1',324,'N'),(16,3206831,'1',415,'N'),(16,3206840,'1',301,'N'),(16,3206858,'1',102,'N'),(16,3206866,'1',103,'N'),(16,3206874,'1',211,'N'),(16,3206882,'1',303,'N'),(16,3206890,'1',420,'N'),(16,3206904,'1',102,'N'),(16,3206912,'1',415,'N'),(16,3206920,'1',444,'N'),(16,3206939,'1',220,'N'),(16,3206939,'1A',203,'N'),(16,3206947,'1',234,'N'),(16,3206955,'1',340,'N'),(16,3206971,'1',103,'N'),(16,3206980,'1',103,'N'),(16,3206998,'1',201,'N'),(16,3206998,'1A',208,'N'),(16,3207005,'1',202,'N'),(16,3207005,'1A',213,'N'),(16,3207013,'1',9,'N'),(16,3207021,'1',103,'N'),(16,3207030,'1',220,'N'),(16,3207030,'1A',233,'N'),(16,3207048,'1',216,'N'),(16,3207048,'1A',201,'N'),(16,3207056,'1',205,'N'),(16,3207064,'1',316,'N'),(16,3207072,'1',101,'N'),(16,3207080,'1',103,'N'),(16,3207099,'1',223,'N'),(16,3207102,'1',238,'N'),(16,3207102,'1A',208,'N'),(16,3207110,'1',208,'N'),(16,3207110,'1A',201,'N'),(16,3207137,'1',215,'N'),(16,3207137,'1A',211,'N'),(16,3207145,'1',215,'N'),(16,3207145,'1A',201,'N'),(16,3207153,'1',207,'N'),(16,3207153,'1A',212,'N'),(16,3207161,'1',108,'N'),(16,3207170,'1',203,'N'),(16,3207170,'1A',220,'N'),(16,3207188,'1',201,'N'),(16,3207188,'1A',211,'N'),(16,3207196,'1',203,'N'),(16,3207196,'1A',220,'N'),(16,3207200,'1',301,'N'),(16,3207218,'1',5,'N'),(16,3207234,'1',302,'N'),(16,3207242,'1',201,'N'),(16,3207242,'1A',207,'N'),(16,3207250,'1',415,'N'),(16,3207269,'1',104,'N'),(16,3207277,'1',220,'N'),(16,3207277,'1A',203,'N'),(16,3207285,'1',303,'N'),(16,3207293,'1',102,'N'),(16,3207307,'1',215,'N'),(16,3207307,'1A',207,'N'),(16,3207315,'1',207,'N'),(16,3207315,'1A',201,'N'),(16,3207331,'1',415,'N'),(16,3207340,'1',202,'N'),(16,3207340,'1A',207,'N'),(16,3207382,'1',308,'N'),(16,3207390,'1',201,'N'),(16,3207390,'1A',211,'N'),(16,3207404,'1',415,'N'),(16,3207420,'1',5,'N'),(16,3207439,'1',444,'N'),(16,3207447,'1',303,'N'),(16,3207455,'1',211,'N'),(16,3207463,'1',207,'N'),(16,3207463,'1A',201,'N'),(16,3207471,'1',103,'N'),(16,3207480,'1',340,'N'),(16,3207498,'1',404,'N'),(16,3207501,'1',5,'N'),(16,3207510,'1',420,'N'),(16,3207536,'1',415,'N'),(16,3207544,'1',208,'N'),(16,3207544,'1A',207,'N'),(16,3207552,'1',103,'N'),(16,3207560,'1',103,'N'),(16,3207579,'1',333,'N'),(16,3207587,'1',421,'N'),(16,3207587,'1A',427,'N'),(16,3207595,'1',215,'N'),(16,3207595,'1A',213,'N'),(16,3207609,'1',316,'N'),(16,3207617,'1',104,'N'),(16,3207625,'1',234,'N'),(16,3207633,'1',238,'N'),(16,3207641,'1',327,'N'),(16,3207650,'1',207,'N'),(16,3207650,'1A',202,'N'),(16,3207668,'1',216,'N'),(16,3207668,'1A',213,'N'),(16,3207676,'1',9,'N'),(16,3207684,'1',103,'N'),(16,3207692,'1',2,'N'),(16,3207706,'1',103,'N'),(16,3207714,'1',303,'N'),(16,3207722,'1',451,'N'),(16,3207730,'1',216,'N'),(16,3207730,'1A',211,'N'),(16,3207749,'1',304,'N'),(16,3207757,'1',211,'N'),(16,3207757,'1A',238,'N'),(16,3207765,'1',103,'N'),(16,3207773,'1',211,'N'),(16,3207773,'1A',215,'N'),(16,3207781,'1',104,'N'),(16,3207790,'1',103,'N'),(16,3207803,'1',328,'N'),(16,3207811,'1',327,'N'),(16,3207820,'1',303,'N'),(16,3207838,'1',452,'N'),(16,3207846,'1',222,'N'),(16,3207854,'1',302,'N'),(16,3207870,'1',203,'N'),(16,3207870,'1A',202,'N'),(16,3207889,'1',332,'N'),(16,3207897,'1',103,'N'),(16,3207900,'1',208,'N'),(16,3207900,'1A',215,'N'),(16,3207919,'1',301,'N'),(16,3207927,'1',444,'N'),(16,3207935,'1',207,'N'),(16,3207935,'1A',201,'N'),(16,3207943,'1',425,'N'),(16,3207951,'1',308,'N'),(16,3207978,'1',423,'N'),(16,3207978,'1A',421,'N'),(16,3207986,'1',5,'N'),(16,3208001,'1',302,'N'),(16,3208010,'1',103,'N'),(16,3208028,'1',215,'N'),(16,3208028,'1A',216,'N'),(16,3208036,'1',5,'N'),(16,3208044,'1',103,'N'),(16,3208052,'1',5,'N'),(16,3208060,'1',502,'N'),(16,3208079,'1',207,'N'),(16,3208079,'1A',201,'N'),(16,3208087,'1',450,'N'),(16,3208095,'1',108,'N'),(16,3208109,'1',208,'N'),(16,3208109,'1A',203,'N'),(16,3208117,'1',103,'N'),(16,3208125,'1',207,'N'),(16,3208125,'1A',212,'N'),(16,3208133,'1',104,'N'),(16,3208141,'1',423,'N'),(16,3208141,'1A',428,'N'),(16,3208150,'1',103,'N'),(16,3208168,'1',9,'N'),(16,3208176,'1',233,'N'),(16,3208176,'1A',214,'N'),(16,3208184,'1',303,'N'),(16,3208192,'1',303,'N'),(16,3208214,'1',205,'N'),(16,3208222,'1',215,'N'),(16,3208222,'1A',233,'N'),(16,3208230,'1',203,'N'),(16,3208230,'1A',207,'N'),(16,3208257,'1',108,'N'),(16,3208265,'1',501,'N'),(16,3208273,'1',208,'N'),(16,3208273,'1A',238,'N'),(16,3208281,'1',319,'N'),(16,3208290,'1',216,'N'),(16,3208290,'1A',202,'N'),(16,3208303,'1',233,'N'),(16,3208303,'1A',215,'N'),(16,3208320,'1',444,'N'),(16,3208338,'1',211,'N'),(16,3208338,'1A',212,'N'),(16,3208346,'1',450,'N'),(16,3208354,'1',501,'N'),(16,3208362,'1',211,'N'),(16,3208362,'1A',214,'N'),(16,3208370,'1',103,'N'),(16,3208389,'1',333,'N'),(16,3208397,'1',216,'N'),(16,3208397,'1A',201,'N'),(16,3208400,'1',310,'N'),(16,3208419,'1',108,'N'),(16,3208427,'1',444,'N'),(16,3208435,'1',415,'N'),(16,3208443,'1',426,'N'),(16,3208443,'1A',424,'N'),(16,3208451,'1',234,'N'),(16,3208460,'1',339,'N'),(16,3208478,'1',102,'N'),(16,3208486,'1',5,'N'),(16,3208494,'1',213,'N'),(16,3208508,'1',201,'N'),(16,3208508,'1A',203,'N'),(16,3208516,'1',108,'N'),(16,3208524,'1',450,'N'),(16,3208532,'1',303,'N'),(16,3208540,'1',220,'N'),(16,3208540,'1A',203,'N'),(16,3208559,'1',211,'N'),(16,3208559,'1A',201,'N'),(16,3208567,'1',301,'N'),(16,3208583,'1',202,'N'),(16,3208583,'1A',213,'N'),(16,3208591,'1',207,'N'),(16,3208591,'1A',211,'N'),(16,3208605,'1',104,'N'),(16,3208613,'1',421,'N'),(16,3208621,'1',201,'N'),(16,3208621,'1A',213,'N'),(16,3208630,'1',103,'N'),(16,3208656,'1',201,'N'),(16,3208656,'1A',203,'N'),(16,3208672,'1',428,'N'),(16,3208672,'1A',423,'N'),(16,3208680,'1',428,'N'),(16,3208680,'1A',425,'N'),(16,3208699,'1',101,'N'),(16,3208702,'1',234,'N'),(16,3208710,'1',404,'N'),(16,3208729,'1',308,'N'),(16,3208737,'1',318,'N'),(16,3208745,'1',103,'N'),(16,3208753,'1',304,'N'),(16,3208761,'1',103,'N'),(16,3208770,'1',213,'N'),(16,3208770,'1A',212,'N'),(16,3208788,'1',207,'N'),(16,3208788,'1A',201,'N'),(16,3208800,'1',340,'N'),(16,3208818,'1',303,'N'),(16,3208826,'1',304,'N'),(16,3208834,'1',108,'N'),(16,3208850,'1',429,'N'),(16,3208850,'1A',425,'N'),(16,3208869,'1',104,'N'),(16,3208877,'1',103,'N'),(16,3208885,'1',211,'N'),(16,3208893,'1',233,'N'),(16,3208893,'1A',238,'N'),(16,3208915,'1',332,'N'),(16,3208923,'1',501,'N'),(16,3208931,'1',301,'N'),(16,3208940,'1',102,'N'),(16,3208974,'1',203,'N'),(16,3208974,'1A',207,'N'),(16,3208990,'1',324,'N'),(16,3209008,'1',301,'N'),(16,3209016,'1',104,'N'),(16,3209024,'1',207,'N'),(16,3209024,'1A',201,'N'),(16,3209032,'1',215,'N'),(16,3209032,'1A',201,'N'),(16,3209040,'1',453,'N'),(16,3209075,'1',501,'N'),(16,3209091,'1',415,'N'),(16,3209105,'1',220,'N'),(16,3209105,'1A',201,'N'),(16,3209113,'1',316,'N'),(16,3209121,'1',428,'N'),(16,3209121,'1A',426,'N'),(16,3209130,'1',201,'N'),(16,3209130,'1A',207,'N'),(16,3209156,'1',208,'N'),(16,3209180,'1',451,'N'),(16,3209210,'1',215,'N'),(16,3209210,'1A',212,'N'),(16,3209229,'1',421,'N'),(16,3209229,'1A',426,'N'),(16,3209237,'1',425,'N'),(16,3209245,'1',333,'N'),(16,3209261,'1',303,'N'),(16,3209270,'1',319,'N'),(16,3209300,'1',316,'N'),(16,3209318,'1',319,'N'),(16,3209326,'1',103,'N'),(16,3209350,'1',215,'N'),(16,3209350,'1A',212,'N'),(16,3209377,'1',220,'N'),(16,3209377,'1A',238,'N'),(16,3209385,'1',103,'N'),(16,3209393,'1',301,'N'),(16,3209407,'1',103,'N'),(16,3209415,'1',340,'N'),(16,3209423,'1',502,'N'),(16,3209431,'1',332,'N'),(16,3209440,'1',220,'N'),(16,3209440,'1A',213,'N'),(16,3209458,'1',203,'N'),(16,3209458,'1A',202,'N'),(16,3209466,'1',220,'N'),(16,3209466,'1A',208,'N'),(16,3209474,'1',103,'N'),(16,3209482,'1',103,'N'),(16,3209490,'1',103,'N'),(16,3209512,'1',103,'N'),(16,3209539,'1',216,'N'),(16,3209539,'1A',215,'N'),(16,3209555,'1',201,'N'),(16,3209555,'1A',203,'N'),(16,3209563,'1',404,'N'),(16,3209571,'1',301,'N'),(16,3209580,'1',102,'N'),(16,3209598,'1',202,'N'),(16,3209598,'1A',238,'N'),(16,3209601,'1',103,'N'),(16,3209610,'1',108,'N'),(16,3209636,'1',452,'N'),(16,3209644,'1',108,'N'),(16,3209652,'1',301,'N'),(16,3209660,'1',5,'N'),(16,3209679,'1',103,'N'),(16,3209687,'1',428,'N'),(16,3209687,'1A',425,'N'),(16,3209695,'1',425,'N'),(16,3209695,'1A',429,'N'),(16,3209709,'1',316,'N'),(16,3209717,'1',5,'N'),(16,3209725,'1',415,'N'),(16,3209733,'1',420,'N'),(16,3209741,'1',503,'N'),(16,3209768,'1',318,'N'),(16,3209776,'1',301,'N'),(16,3209784,'1',225,'N'),(16,3209806,'1',220,'N'),(16,3209806,'1A',213,'N'),(16,3209814,'1',452,'N'),(16,3209822,'1',428,'N'),(16,3209822,'1A',424,'N'),(16,3209857,'1',103,'N'),(16,3209865,'1',302,'N'),(16,3209873,'1',208,'N'),(16,3209873,'1A',238,'N'),(16,3209881,'1',103,'N'),(16,3209890,'1',203,'N'),(16,3209890,'1A',214,'N'),(16,3209903,'1',332,'N'),(16,3209911,'1',234,'N'),(16,3209920,'1',207,'N'),(16,3209920,'1A',201,'N'),(16,3209946,'1',3,'N'),(16,3209954,'1',212,'N'),(16,3209954,'1A',233,'N'),(16,3209962,'1',103,'N'),(16,3209970,'1',202,'N'),(16,3209970,'1A',213,'N'),(16,3209997,'1',220,'N'),(16,3209997,'1A',203,'N'),(16,3210006,'1',333,'N'),(16,3210014,'1',103,'N'),(16,3210022,'1',103,'N'),(16,3210057,'1',103,'N'),(16,3210065,'1',104,'N'),(16,3210073,'1',108,'N'),(16,3210090,'1',308,'N'),(16,3210103,'1',303,'N'),(16,3210111,'1',207,'N'),(16,3210111,'1A',201,'N'),(16,3210120,'1',415,'N'),(16,3210146,'1',301,'N'),(16,3210154,'1',423,'N'),(16,3210154,'1A',427,'N'),(16,3210162,'1',319,'N'),(16,3210170,'1',104,'N'),(16,3210189,'1',103,'N'),(16,3210197,'1',211,'N'),(16,3210197,'1A',216,'N'),(16,3210200,'1',207,'N'),(16,3210200,'1A',201,'N'),(16,3210243,'1',103,'N'),(16,3210251,'1',103,'N'),(16,3210260,'1',102,'N'),(16,3210278,'1',316,'N'),(16,3210286,'1',426,'N'),(16,3210286,'1A',429,'N'),(16,3210294,'1',104,'N'),(16,3210308,'1',103,'N'),(16,3210316,'1',104,'N'),(16,3210324,'1',9,'N'),(16,3210332,'1',104,'N'),(16,3210340,'1',318,'N'),(16,3210367,'1',202,'N'),(16,3210367,'1A',201,'N'),(16,3210375,'1',329,'N'),(16,3210383,'1',203,'N'),(16,3210383,'1A',238,'N'),(16,3210391,'1',319,'N'),(16,3210405,'1',211,'N'),(16,3210405,'1A',208,'N'),(16,3210413,'1',220,'N'),(16,3210413,'1A',214,'N'),(16,3210421,'1',213,'N'),(16,3210421,'1A',214,'N'),(16,3210448,'1',453,'N'),(16,3210456,'1',301,'N'),(16,3210464,'1',202,'N'),(16,3210464,'1A',220,'N'),(16,3210472,'1',207,'N'),(16,3210472,'1A',201,'N'),(16,3210499,'1',5,'N'),(16,3210502,'1',104,'N'),(16,3210510,'1',317,'N'),(16,3210529,'1',318,'N'),(16,3210537,'1',9,'N'),(16,3210545,'1',5,'N'),(16,3210553,'1',102,'N'),(16,3210561,'1',404,'N'),(16,3210570,'1',103,'N'),(16,3210596,'1',324,'N'),(16,3210600,'1',202,'N'),(16,3210600,'1A',213,'N'),(16,3210618,'1',303,'N'),(16,3210626,'1',104,'N'),(16,3210634,'1',220,'N'),(16,3210634,'1A',202,'N'),(16,3210642,'1',203,'N'),(16,3210642,'1A',201,'N'),(16,3210650,'1',220,'N'),(16,3210650,'1A',203,'N'),(16,3210669,'1',225,'N'),(16,3210677,'1',203,'N'),(16,3210677,'1A',202,'N'),(16,3210685,'1',203,'N'),(16,3210685,'1A',214,'N'),(16,3210693,'1',303,'N'),(16,3210707,'1',319,'N'),(16,3210715,'1',501,'N'),(16,3210723,'1',301,'N'),(16,3210731,'1',103,'N'),(16,3210740,'1',501,'N'),(16,3210766,'1',201,'N'),(16,3210766,'1A',212,'N'),(16,3210774,'1',340,'N'),(16,3210790,'1',102,'N'),(16,3210804,'1',207,'N'),(16,3210812,'1',108,'N'),(16,3210820,'1',103,'N'),(16,3210839,'1',102,'N'),(16,3210847,'1',201,'N'),(16,3210847,'1A',212,'N'),(16,3210855,'1',453,'N'),(16,3210863,'1',103,'N'),(16,3210871,'1',103,'N'),(16,3210880,'1',216,'N'),(16,3210880,'1A',203,'N'),(16,3210898,'1',303,'N'),(16,3210901,'1',319,'N'),(16,3210910,'1',201,'N'),(16,3210910,'1A',207,'N'),(16,3210936,'1',234,'N'),(16,3210944,'1',309,'N'),(16,3210952,'1',103,'N'),(16,3210960,'1',502,'N'),(16,3210979,'1',303,'N'),(16,3210987,'1',316,'N'),(16,3210995,'1',103,'N'),(16,3211002,'1',203,'N'),(16,3211002,'1A',202,'N'),(16,3211010,'1',220,'N'),(16,3211010,'1A',238,'N'),(16,3211029,'1',216,'N'),(16,3211029,'1A',202,'N'),(16,3211037,'1',103,'N'),(16,3211045,'1',328,'N'),(16,3211053,'1',444,'N'),(16,3211061,'1',301,'N'),(16,3211070,'1',425,'N'),(16,3211070,'1A',423,'N'),(16,3211096,'1',214,'N'),(16,3211096,'1A',201,'N'),(16,3211100,'1',102,'N'),(16,3211118,'1',216,'N'),(16,3211118,'1A',233,'N'),(16,3211126,'1',5,'N'),(16,3211142,'1',301,'N'),(16,3211150,'1',3,'N'),(16,3211169,'1',453,'N'),(16,3211177,'1',207,'N'),(16,3211177,'1A',201,'N'),(16,3211185,'1',444,'N'),(16,3211193,'1',502,'N'),(16,3211207,'1',208,'N'),(16,3211207,'1A',238,'N'),(16,3211215,'1',208,'N'),(16,3211215,'1A',238,'N'),(16,3211223,'1',5,'N'),(16,3211231,'1',415,'N'),(16,3211240,'1',404,'N'),(16,3211258,'1',444,'N'),(16,3211266,'1',331,'N'),(16,3211274,'1',234,'N'),(16,3211282,'1',207,'N'),(16,3211282,'1A',201,'N'),(16,3211290,'1',318,'N'),(16,3211304,'1',103,'N'),(16,3211312,'1',202,'N'),(16,3211312,'1A',207,'N'),(16,3211320,'1',444,'N'),(16,3211339,'1',216,'N'),(16,3211339,'1A',220,'N'),(16,3211347,'1',203,'N'),(16,3211347,'1A',201,'N'),(16,3211355,'1',202,'N'),(16,3211355,'1A',203,'N'),(16,3211363,'1',208,'N'),(16,3211363,'1A',202,'N'),(16,3211371,'1',102,'N'),(16,3211398,'1',103,'N'),(16,3211401,'1',203,'N'),(16,3211401,'1A',214,'N'),(16,3211410,'1',310,'N'),(16,3211428,'1',301,'N'),(16,3211436,'1',333,'N'),(16,3211444,'1',201,'N'),(16,3211444,'1A',207,'N'),(16,3211452,'1',207,'N'),(16,3211452,'1A',208,'N'),(16,3211460,'1',415,'N'),(16,3211479,'1',420,'N'),(16,3211487,'1',108,'N'),(16,3211495,'1',501,'N'),(16,3211509,'1',318,'N'),(16,3211517,'1',340,'N'),(16,3211533,'1',333,'N'),(16,3211541,'1',214,'N'),(16,3211550,'1',9,'N'),(16,3211568,'1',103,'N'),(16,3211576,'1',420,'N'),(16,3211584,'1',102,'N'),(16,3211592,'1',329,'N'),(16,3211606,'1',5,'N'),(16,3211614,'1',203,'N'),(16,3211614,'1A',214,'N'),(16,3211622,'1',103,'N'),(16,3211649,'1',319,'N'),(16,3211657,'1',420,'N'),(16,3211665,'1',427,'N'),(16,3211665,'1A',424,'N'),(16,3211673,'1',302,'N'),(16,3211681,'1',208,'N'),(16,3211690,'1',9,'N'),(16,3211703,'1',201,'N'),(16,3211703,'1A',202,'N'),(16,3211711,'1',207,'N'),(16,3211711,'1A',202,'N'),(16,3211720,'1',301,'N'),(16,3211738,'1',415,'N'),(16,3211746,'1',308,'N'),(16,3211754,'1',208,'N'),(16,3211754,'1A',238,'N'),(16,3211762,'1',108,'N'),(16,3211770,'1',5,'N'),(16,3211789,'1',211,'N'),(16,3211789,'1A',212,'N'),(16,3211797,'1',501,'N'),(16,3211800,'1',104,'N'),(16,3211819,'1',203,'N'),(16,3211819,'1A',220,'N'),(16,3211827,'1',429,'N'),(16,3211835,'1',333,'N'),(16,3211843,'1',203,'N'),(16,3211843,'1A',220,'N'),(16,3211851,'1',415,'N'),(16,3211878,'1',421,'N'),(16,3211878,'1A',427,'N'),(16,3211886,'1',215,'N'),(16,3211886,'1A',201,'N'),(16,3211908,'1',340,'N'),(16,3211916,'1',104,'N'),(16,3211924,'1',103,'N'),(16,3211932,'1',453,'N'),(16,3211959,'1',328,'N'),(16,3211975,'1',444,'N'),(16,3211983,'1',103,'N'),(16,3212009,'1',207,'N'),(16,3212009,'1A',211,'N'),(16,3212017,'1',201,'N'),(16,3212017,'1A',212,'N'),(16,3212033,'1',202,'N'),(16,3212033,'1A',201,'N'),(16,3212041,'1',201,'N'),(16,3212041,'1A',208,'N'),(16,3212050,'1',238,'N'),(16,3212050,'1A',208,'N'),(16,3212068,'1',333,'N'),(16,3212084,'1',333,'N'),(16,3212106,'1',102,'N'),(16,3212122,'1',420,'N'),(16,3212130,'1',5,'N'),(16,3212149,'1',103,'N'),(16,3212157,'1',208,'N'),(16,3212157,'1A',238,'N'),(16,3212165,'1',234,'N'),(16,3212173,'1',108,'N'),(16,3212181,'1',339,'N'),(16,3212190,'1',5,'N'),(16,3212203,'1',5,'N'),(16,3212211,'1',201,'N'),(16,3212211,'1A',202,'N'),(16,3212220,'1',103,'N'),(16,3212238,'1',201,'N'),(16,3212238,'1A',212,'N'),(16,3212254,'1',301,'N'),(16,3212262,'1',5,'N'),(16,3212270,'1',303,'N'),(16,3212289,'1',225,'N'),(16,3212297,'1',201,'N'),(16,3212297,'1A',215,'N'),(16,3212300,'1',333,'N'),(16,3212319,'1',316,'N'),(16,3212327,'1',316,'N'),(16,3212335,'1',202,'N'),(16,3212343,'1',303,'N'),(16,3212351,'1',201,'N'),(16,3212351,'1A',208,'N'),(16,3212360,'1',214,'N'),(16,3212360,'1A',207,'N'),(16,3212378,'1',333,'N'),(16,3212386,'1',211,'N'),(16,3212386,'1A',220,'N'),(16,3212394,'1',104,'N'),(16,3212408,'1',501,'N'),(16,3212416,'1',207,'N'),(16,3212416,'1A',201,'N'),(16,3212424,'1',9,'N'),(16,3212432,'1',207,'N'),(16,3212432,'1A',201,'N'),(16,3212440,'1',309,'N'),(16,3212459,'1',201,'N'),(16,3212459,'1A',212,'N'),(16,3212467,'1',211,'N'),(16,3212467,'1A',215,'N'),(16,3212475,'1',238,'N'),(16,3212483,'1',340,'N'),(16,3212505,'1',102,'N'),(16,3212513,'1',211,'N'),(16,3212513,'1A',216,'N'),(16,3212521,'1',102,'N'),(16,3212530,'1',302,'N'),(16,3212548,'1',303,'N'),(16,3212556,'1',301,'N'),(16,3212564,'1',303,'N'),(16,3212572,'1',203,'N'),(16,3212572,'1A',214,'N'),(16,3212580,'1',103,'N'),(16,3212599,'1',203,'N'),(16,3212599,'1A',233,'N'),(16,3212602,'1',502,'N'),(16,3212610,'1',103,'N'),(16,3212629,'1',317,'N'),(16,3212637,'1',104,'N'),(16,3212645,'1',202,'N'),(16,3212645,'1A',213,'N'),(16,3212653,'1',501,'N'),(16,3212661,'1',415,'N'),(16,3212670,'1',316,'N'),(16,3212688,'1',103,'N'),(16,3212696,'1',103,'N'),(16,3212718,'1',326,'N'),(16,3212726,'1',216,'N'),(16,3212726,'1A',202,'N'),(16,3212734,'1',5,'N'),(16,3212742,'1',415,'N'),(16,3212750,'1',211,'N'),(16,3212750,'1A',238,'N'),(16,3212769,'1',103,'N'),(16,3212777,'1',415,'N'),(16,3212785,'1',423,'N'),(16,3212785,'1A',425,'N'),(16,3212793,'1',316,'N'),(16,3212807,'1',304,'N'),(16,3212823,'1',301,'N'),(16,3212831,'1',211,'N'),(16,3212831,'1A',212,'N'),(16,3212840,'1',102,'N'),(16,3212858,'1',444,'N'),(16,3212866,'1',103,'N'),(16,3212874,'1',103,'N'),(16,3212882,'1',326,'N'),(16,3212890,'1',215,'N'),(16,3212890,'1A',216,'N'),(16,3212904,'1',101,'N'),(16,3212920,'1',340,'N'),(16,3212939,'1',202,'N'),(16,3212939,'1A',213,'N'),(16,3212947,'1',301,'N'),(16,3212955,'1',233,'N'),(16,3212955,'1A',215,'N'),(16,3212980,'1',108,'N'),(16,3212998,'1',203,'N'),(16,3212998,'1A',208,'N'),(16,3213013,'1',501,'N'),(16,3213021,'1',3,'N'),(16,3213048,'1',102,'N'),(16,3213056,'1',444,'N'),(16,3213064,'1',301,'N'),(16,3213072,'1',234,'N'),(16,3213099,'1',425,'N'),(16,3213099,'1A',429,'N'),(16,3213102,'1',108,'N'),(16,3213110,'1',102,'N'),(16,3213129,'1',328,'N'),(16,3213145,'1',203,'N'),(16,3213145,'1A',220,'N'),(16,3213153,'1',103,'N'),(16,3213161,'1',5,'N'),(16,3213170,'1',238,'N'),(16,3213170,'1A',208,'N'),(16,3213200,'1',303,'N'),(16,3213218,'1',319,'N'),(16,3213226,'1',502,'N'),(16,3213234,'1',501,'N'),(16,3213242,'1',451,'N'),(16,3213269,'1',203,'N'),(16,3213269,'1A',208,'N'),(16,3213277,'1',327,'N'),(16,3213285,'1',9,'N'),(16,3213307,'1',340,'N'),(16,3213315,'1',201,'N'),(16,3213315,'1A',215,'N'),(16,3213323,'1',208,'N'),(16,3213323,'1A',238,'N'),(16,3213331,'1',103,'N'),(16,3213340,'1',104,'N'),(16,3213358,'1',108,'N'),(16,3213366,'1',303,'N'),(16,3213374,'1',103,'N'),(16,3213390,'1',207,'N'),(16,3213390,'1A',201,'N'),(16,3213404,'1',316,'N'),(16,3213412,'1',201,'N'),(16,3213412,'1A',207,'N'),(16,3213420,'1',309,'N'),(16,3213439,'1',501,'N'),(16,3213447,'1',340,'N'),(16,3213455,'1',319,'N'),(16,3213463,'1',208,'N'),(16,3213480,'1',103,'N'),(16,3213498,'1',104,'N'),(16,3213501,'1',308,'N'),(16,3213510,'1',103,'N'),(16,3213528,'1',201,'N'),(16,3213528,'1A',207,'N'),(16,3213544,'1',207,'N'),(16,3213544,'1A',233,'N'),(16,3213560,'1',108,'N'),(16,3213579,'1',501,'N'),(16,3213587,'1',308,'N'),(16,3213595,'1',103,'N'),(16,3213609,'1',453,'N'),(16,3213617,'1',303,'N'),(16,3213625,'1',332,'N'),(16,3213633,'1',202,'N'),(16,3213633,'1A',208,'N'),(16,3213641,'1',415,'N'),(16,3213650,'1',503,'N'),(16,3213668,'1',303,'N'),(16,3213676,'1',103,'N'),(16,3213692,'1',220,'N'),(16,3213706,'1',201,'N'),(16,3213706,'1A',211,'N'),(16,3213714,'1',103,'N'),(16,3213722,'1',103,'N'),(16,3213730,'1',9,'N'),(16,3213749,'1',102,'N'),(16,3213757,'1',423,'N'),(16,3213757,'1A',424,'N'),(16,3213773,'1',5,'N'),(16,3213781,'1',104,'N'),(16,3213790,'1',216,'N'),(16,3213790,'1A',215,'N'),(16,3213803,'1',201,'N'),(16,3213803,'1A',207,'N'),(16,3213811,'1',103,'N'),(16,3213820,'1',207,'N'),(16,3213846,'1',332,'N'),(16,3213854,'1',214,'N'),(16,3213854,'1A',212,'N'),(16,3213862,'1',302,'N'),(16,3213870,'1',303,'N'),(16,3213889,'1',208,'N'),(16,3213889,'1A',238,'N'),(16,3213897,'1',207,'N'),(16,3213897,'1A',201,'N'),(16,3213900,'1',331,'N'),(16,3213919,'1',103,'N'),(16,3213927,'1',103,'N'),(16,3213935,'1',104,'N'),(16,3213943,'1',303,'N'),(16,3213951,'1',415,'N'),(16,3213960,'1',308,'N'),(16,3213978,'1',301,'N'),(16,3213986,'1',203,'N'),(16,3213986,'1A',220,'N'),(16,3213994,'1',5,'N'),(16,3214001,'1',5,'N'),(16,3214010,'1',302,'N'),(16,3214028,'1',429,'N'),(16,3214028,'1A',425,'N'),(16,3214036,'1',326,'N'),(16,3214044,'1',201,'N'),(16,3214044,'1A',212,'N'),(16,3214052,'1',201,'N'),(16,3214060,'1',503,'N'),(16,3214079,'1',332,'N'),(16,3214087,'1',316,'N'),(16,3214095,'1',9,'N'),(16,3214109,'1',102,'N'),(16,3214117,'1',104,'N'),(16,3214133,'1',201,'N'),(16,3214133,'1A',212,'N'),(16,3214141,'1',340,'N'),(16,3214150,'1',301,'N'),(16,3214168,'1',103,'N'),(16,3214176,'1',319,'N'),(16,3214184,'1',212,'N'),(16,3214184,'1A',213,'N'),(16,3214192,'1',103,'N'),(16,3214206,'1',452,'N'),(16,3214214,'1',450,'N'),(16,3214222,'1',104,'N'),(16,3214230,'1',203,'N'),(16,3214230,'1A',214,'N'),(16,3214249,'1',420,'N'),(16,3214257,'1',103,'N'),(16,3214265,'1',108,'N'),(16,3214273,'1',103,'N'),(16,3214281,'1',452,'N'),(16,3214290,'1',444,'N'),(16,3214303,'1',501,'N'),(16,3214311,'1',216,'N'),(16,3214311,'1A',207,'N'),(16,3214338,'1',303,'N'),(16,3214354,'1',429,'N'),(16,3214354,'1A',425,'N'),(16,3214362,'1',304,'N'),(16,3214370,'1',207,'N'),(16,3214389,'1',302,'N'),(16,3214397,'1',220,'N'),(16,3214397,'1A',233,'N'),(16,3214427,'1',428,'N'),(16,3214427,'1A',429,'N'),(16,3214435,'1',444,'N'),(16,3214443,'1',452,'N'),(16,3214451,'1',453,'N'),(16,3214460,'1',444,'N'),(16,3214478,'1',203,'N'),(16,3214478,'1A',220,'N'),(16,3214486,'1',319,'N'),(16,3214494,'1',309,'N'),(16,3214508,'1',216,'N'),(16,3214508,'1A',211,'N'),(16,3214516,'1',103,'N'),(16,3214524,'1',303,'N'),(16,3214532,'1',329,'N'),(16,3214540,'1',444,'N'),(16,3214559,'1',310,'N'),(16,3214567,'1',450,'N'),(16,3214583,'1',5,'N'),(16,3214591,'1',220,'N'),(16,3214591,'1A',216,'N'),(16,3214605,'1',207,'N'),(16,3214613,'1',5,'N'),(16,3214630,'1',216,'N'),(16,3214630,'1A',233,'N'),(16,3214648,'1',102,'N'),(16,3214656,'1',202,'N'),(16,3214656,'1A',213,'N'),(16,3214664,'1',318,'N'),(16,3214672,'1',211,'N'),(16,3214672,'1A',215,'N'),(16,3214680,'1',103,'N'),(16,3214699,'1',444,'N'),(16,3214702,'1',201,'N'),(16,3214702,'1A',212,'N'),(16,3214729,'1',201,'N'),(16,3214729,'1A',207,'N'),(16,3214737,'1',324,'N'),(16,3214745,'1',5,'N'),(16,3214753,'1',317,'N'),(16,3214761,'1',429,'N'),(16,3214761,'1A',423,'N'),(16,3214770,'1',415,'N'),(16,3214796,'1',211,'N'),(16,3214796,'1A',216,'N'),(16,3214800,'1',211,'N'),(16,3214800,'1A',201,'N'),(16,3214818,'1',208,'N'),(16,3214818,'1A',207,'N'),(16,3214826,'1',319,'N'),(16,3214834,'1',201,'N'),(16,3214842,'1',238,'N'),(16,3214842,'1A',208,'N'),(16,3214850,'1',340,'N'),(16,3214869,'1',238,'N'),(16,3214869,'1A',208,'N'),(16,3214877,'1',404,'N'),(16,3214885,'1',103,'N'),(16,3214893,'1',108,'N'),(16,3214907,'1',216,'N'),(16,3214907,'1A',214,'N'),(16,3214915,'1',202,'N'),(16,3214915,'1A',201,'N'),(16,3214923,'1',5,'N'),(16,3214931,'1',5,'N'),(16,3214940,'1',103,'N'),(16,3214958,'1',202,'N'),(16,3214958,'1A',238,'N'),(16,3214966,'1',216,'N'),(16,3214974,'1',208,'N'),(16,3214974,'1A',203,'N'),(16,3214982,'1',301,'N'),(16,3214990,'1',108,'N'),(16,3215008,'1',108,'N'),(16,3215032,'1',404,'N'),(16,3215059,'1',207,'N'),(16,3215059,'1A',201,'N'),(16,3215067,'1',424,'N'),(16,3215067,'1A',427,'N'),(16,3215075,'1',102,'N'),(16,3215083,'1',103,'N'),(16,3215091,'1',301,'N'),(16,3215105,'1',207,'N'),(16,3215105,'1A',201,'N'),(16,3215113,'1',220,'N'),(16,3215121,'1',340,'N'),(16,3215130,'1',220,'N'),(16,3215130,'1A',203,'N'),(16,3215148,'1',308,'N'),(16,3215156,'1',404,'N'),(16,3215164,'1',201,'N'),(16,3215164,'1A',203,'N'),(16,3215172,'1',202,'N'),(16,3215172,'1A',213,'N'),(16,3215180,'1',201,'N'),(16,3215180,'1A',215,'N'),(16,3215199,'1',203,'N'),(16,3215199,'1A',214,'N'),(16,3215202,'1',208,'N'),(16,3215202,'1A',238,'N'),(16,3215210,'1',203,'N'),(16,3215210,'1A',202,'N'),(16,3215229,'1',103,'N'),(16,3215237,'1',452,'N'),(16,3215245,'1',203,'N'),(16,3215245,'1A',202,'N'),(16,3215253,'1',203,'N'),(16,3215253,'1A',208,'N'),(16,3215261,'1',301,'N'),(16,3215270,'1',201,'N'),(16,3215270,'1A',207,'N'),(16,3215288,'1',501,'N'),(16,3215300,'1',9,'N'),(16,3215318,'1',201,'N'),(16,3215342,'1',5,'N'),(16,3215350,'1',104,'N'),(16,3215369,'1',333,'N'),(16,3215377,'1',103,'N'),(16,3215385,'1',501,'N'),(16,3215393,'1',301,'N'),(16,3215407,'1',103,'N'),(16,3215415,'1',102,'N'),(16,3215423,'1',452,'N'),(16,3215431,'1',103,'N'),(16,3215440,'1',220,'N'),(16,3215440,'1A',202,'N'),(16,3215458,'1',429,'N'),(16,3215458,'1A',425,'N'),(16,3215466,'1',201,'N'),(16,3215466,'1A',208,'N'),(16,3215474,'1',216,'N'),(16,3215474,'1A',233,'N'),(16,3215482,'1',303,'N'),(16,3215490,'1',303,'N'),(16,3215504,'1',201,'N'),(16,3215504,'1A',207,'N'),(16,3215512,'1',103,'N'),(16,3215520,'1',319,'N'),(16,3215539,'1',203,'N'),(16,3215539,'1A',202,'N'),(16,3215547,'1',501,'N'),(16,3215555,'1',503,'N'),(16,3215563,'1',216,'N'),(16,3215571,'1',318,'N'),(16,3215580,'1',103,'N'),(16,3215598,'1',103,'N'),(16,3215601,'1',238,'N'),(16,3215610,'1',103,'N'),(16,3215628,'1',317,'N'),(16,3215636,'1',425,'N'),(16,3215636,'1A',424,'N'),(16,3215644,'1',326,'N'),(16,3215652,'1',223,'N'),(16,3215660,'1',103,'N'),(16,3215679,'1',203,'N'),(16,3215679,'1A',208,'N'),(16,3215687,'1',220,'N'),(16,3215687,'1A',214,'N'),(16,3215695,'1',303,'N'),(16,3215709,'1',202,'N'),(16,3215709,'1A',220,'N'),(16,3215717,'1',103,'N'),(16,3215725,'1',202,'N'),(16,3215733,'1',340,'N'),(16,3215741,'1',201,'N'),(16,3215741,'1A',207,'N'),(16,3215750,'1',326,'N'),(16,3215768,'1',103,'N'),(16,3215776,'1',203,'N'),(16,3215776,'1A',220,'N'),(16,3215784,'1',303,'N'),(16,3215792,'1',205,'N'),(16,3215806,'1',301,'N'),(16,3215814,'1',5,'N'),(16,3215822,'1',103,'N'),(16,3215830,'1',207,'N'),(16,3215830,'1A',201,'N'),(16,3215849,'1',203,'N'),(16,3215849,'1A',202,'N'),(16,3215857,'1',301,'N'),(16,3215865,'1',103,'N'),(16,3215873,'1',202,'N'),(16,3215873,'1A',213,'N'),(16,3215881,'1',304,'N'),(16,3215890,'1',103,'N'),(16,3215920,'1',102,'N'),(16,3215938,'1',207,'N'),(16,3215946,'1',108,'N'),(16,3215954,'1',201,'N'),(16,3215954,'1A',207,'N'),(16,3215970,'1',303,'N'),(16,3215989,'1',103,'N'),(16,3215997,'1',5,'N'),(16,3216004,'1',444,'N'),(16,3216012,'1',203,'N'),(16,3216012,'1A',220,'N'),(16,3216047,'1',326,'N'),(16,3216055,'1',102,'N'),(16,3216063,'1',103,'N'),(16,3216071,'1',220,'N'),(16,3216071,'1A',216,'N'),(16,3216080,'1',208,'N'),(16,3216080,'1A',202,'N'),(16,3216098,'1',104,'N'),(16,3216101,'1',415,'N'),(16,3216110,'1',426,'N'),(16,3216136,'1',415,'N'),(16,3216144,'1',340,'N'),(16,3216152,'1',303,'N'),(16,3216160,'1',303,'N'),(16,3216179,'1',301,'N'),(16,3216217,'1',108,'N'),(16,3216225,'1',211,'N'),(16,3216225,'1A',238,'N'),(16,3216233,'1',501,'N'),(16,3216241,'1',208,'N'),(16,3216241,'1A',238,'N'),(16,3216250,'1',208,'N'),(16,3216250,'1A',211,'N'),(16,3216276,'1',103,'N'),(16,3216284,'1',214,'N'),(16,3216284,'1A',212,'N'),(16,3216292,'1',103,'N'),(16,3216306,'1',103,'N'),(16,3216314,'1',211,'N'),(16,3216314,'1A',215,'N'),(16,3216322,'1',108,'N'),(16,3216330,'1',108,'N'),(16,3216349,'1',426,'N'),(16,3216357,'1',216,'N'),(16,3216357,'1A',208,'N'),(16,3216365,'1',220,'N'),(16,3216365,'1A',213,'N'),(16,3216373,'1',501,'N'),(16,3216381,'1',207,'N'),(16,3216381,'1A',215,'N'),(16,3216403,'1',301,'N'),(16,3216411,'1',5,'N'),(16,3216420,'1',108,'N'),(16,3216438,'1',503,'N'),(16,3216446,'1',310,'N'),(16,3216462,'1',501,'N'),(16,3216470,'1',502,'N'),(16,3216489,'1',103,'N'),(16,3216497,'1',316,'N'),(16,3216500,'1',233,'N'),(16,3216500,'1A',203,'N'),(16,3216519,'1',208,'N'),(16,3216519,'1A',201,'N'),(16,3216527,'1',303,'N'),(16,3216535,'1',333,'N'),(16,3216543,'1',316,'N'),(16,3216551,'1',303,'N'),(16,3216560,'1',103,'N'),(16,3216578,'1',103,'N'),(16,3216586,'1',502,'N'),(16,3216594,'1',103,'N'),(16,3216608,'1',319,'N'),(16,3216616,'1',444,'N'),(16,3216624,'1',203,'N'),(16,3216624,'1A',202,'N'),(16,3216632,'1',203,'N'),(16,3216632,'1A',202,'N'),(16,3216640,'1',220,'N'),(16,3216640,'1A',202,'N'),(16,3216659,'1',453,'N'),(16,3216667,'1',502,'N'),(16,3216675,'1',303,'N'),(16,3216683,'1',220,'N'),(16,3216683,'1A',214,'N'),(16,3216691,'1',201,'N'),(16,3216691,'1A',202,'N'),(16,3216705,'1',108,'N'),(16,3216713,'1',103,'N'),(16,3216721,'1',5,'N'),(16,3216730,'1',340,'N'),(16,3216756,'1',302,'N'),(16,3216764,'1',207,'N'),(16,3216764,'1A',201,'N'),(16,3216780,'1',103,'N'),(16,3216799,'1',317,'N'),(16,3216802,'1',103,'N'),(16,3216810,'1',104,'N'),(16,3216837,'1',211,'N'),(16,3216845,'1',208,'N'),(16,3216845,'1A',238,'N'),(16,3216853,'1',319,'N'),(16,3216870,'1',216,'N'),(16,3216888,'1',103,'N'),(16,3216896,'1',205,'N'),(16,3216900,'1',201,'N'),(16,3216900,'1A',216,'N'),(16,3216918,'1',208,'N'),(16,3216918,'1A',238,'N'),(16,3216926,'1',450,'N'),(16,3216934,'1',203,'N'),(16,3216934,'1A',201,'N'),(16,3216942,'1',103,'N'),(16,3216950,'1',103,'N'),(16,3216977,'1',215,'N'),(16,3216977,'1A',216,'N'),(16,3216985,'1',211,'N'),(16,3216985,'1A',212,'N'),(16,3216993,'1',201,'N'),(16,3216993,'1A',212,'N'),(16,3217000,'1',310,'N'),(16,3217019,'1',201,'N'),(16,3217019,'1A',207,'N'),(16,3217027,'1',426,'N'),(16,3217027,'1A',424,'N'),(16,3217035,'1',340,'N'),(16,3217043,'1',444,'N'),(16,3217051,'1',201,'N'),(16,3217051,'1A',202,'N'),(16,3217078,'1',420,'N'),(16,3217086,'1',420,'N'),(16,3217094,'1',3,'N'),(16,3217116,'1',308,'N'),(16,3217124,'1',238,'N'),(16,3217124,'1A',208,'N'),(16,3217132,'1',303,'N'),(16,3217159,'1',303,'N'),(16,3217167,'1',5,'N'),(16,3217175,'1',103,'N'),(16,3217213,'1',103,'N'),(16,3217230,'1',108,'N'),(16,3217248,'1',444,'N'),(16,3217272,'1',211,'N'),(16,3217280,'1',104,'N'),(16,3217299,'1',214,'N'),(16,3217299,'1A',233,'N'),(16,3217302,'1',415,'N'),(16,3217329,'1',303,'N'),(16,3217337,'1',103,'N'),(16,3217361,'1',216,'N'),(16,3217361,'1A',233,'N'),(16,3217370,'1',203,'N'),(16,3217370,'1A',214,'N'),(16,3217388,'1',103,'N'),(16,3217396,'1',304,'N'),(16,3217400,'1',453,'N'),(16,3217418,'1',333,'N'),(16,3217426,'1',203,'N'),(16,3217426,'1A',220,'N'),(16,3217434,'1',302,'N'),(16,3217442,'1',103,'N'),(16,3217450,'1',103,'N'),(16,3217469,'1',207,'N'),(16,3217469,'1A',201,'N'),(16,3217477,'1',202,'N'),(16,3217477,'1A',216,'N'),(16,3217485,'1',201,'N'),(16,3217485,'1A',212,'N'),(16,3217493,'1',303,'N'),(16,3217507,'1',404,'N'),(16,3217515,'1',340,'N'),(16,3217531,'1',220,'N'),(16,3217531,'1A',213,'N'),(16,3217540,'1',420,'N'),(16,3217558,'1',318,'N'),(16,3217566,'1',238,'N'),(16,3217566,'1A',208,'N'),(16,3217574,'1',301,'N'),(16,3217582,'1',424,'N'),(16,3217582,'1A',425,'N'),(16,3217590,'1',203,'N'),(16,3217590,'1A',233,'N'),(16,3217612,'1',452,'N'),(16,3217647,'1',415,'N'),(16,3217655,'1',104,'N'),(16,3217663,'1',425,'N'),(16,3217663,'1A',429,'N'),(16,3217671,'1',202,'N'),(16,3217671,'1A',213,'N'),(16,3217680,'1',207,'N'),(16,3217680,'1A',208,'N'),(16,3217698,'1',423,'N'),(16,3217698,'1A',428,'N'),(16,3217736,'1',238,'N'),(16,3217736,'1A',208,'N'),(16,3217744,'1',9,'N'),(16,3217752,'1',203,'N'),(16,3217752,'1A',233,'N'),(16,3217779,'1',404,'N'),(16,3217787,'1',203,'N'),(16,3217787,'1A',211,'N'),(16,3217809,'1',5,'N'),(16,3217817,'1',453,'N'),(16,3217825,'1',103,'N'),(16,3217833,'1',420,'N'),(16,3217841,'1',301,'N'),(16,3217868,'1',212,'N'),(16,3217868,'1A',214,'N'),(16,3217876,'1',310,'N'),(16,3217892,'1',444,'N'),(16,3217906,'1',332,'N'),(16,3217914,'1',202,'N'),(16,3217914,'1A',213,'N'),(16,3217922,'1',208,'N'),(16,3217922,'1A',238,'N'),(16,3217949,'1',103,'N'),(16,3217957,'1',415,'N'),(16,3217965,'1',103,'N'),(16,3217973,'1',317,'N'),(16,3217981,'1',208,'N'),(16,3217981,'1A',238,'N'),(16,3217990,'1',201,'N'),(16,3217990,'1A',211,'N'),(16,3218007,'1',444,'N'),(16,3218015,'1',103,'N'),(16,3218031,'1',103,'N'),(16,3218040,'1',5,'N'),(16,3218058,'1',203,'N'),(16,3218058,'1A',238,'N'),(16,3218074,'1',103,'N'),(16,3218082,'1',9,'N'),(16,3218090,'1',225,'N'),(16,3218104,'1',317,'N'),(16,3218112,'1',9,'N'),(16,3218120,'1',415,'N'),(16,3218139,'1',238,'N'),(16,3218139,'1A',208,'N'),(16,3218155,'1',208,'N'),(16,3218155,'1A',238,'N'),(16,3218171,'1',103,'N'),(16,3218180,'1',103,'N'),(16,3218198,'1',428,'N'),(16,3218198,'1A',429,'N'),(16,3218201,'1',301,'N'),(16,3218210,'1',332,'N'),(16,3218228,'1',208,'N'),(16,3218228,'1A',202,'N'),(16,3218236,'1',319,'N'),(16,3218279,'1',318,'N'),(16,3218287,'1',103,'N'),(16,3218309,'1',213,'N'),(16,3218309,'1A',202,'N'),(16,3218325,'1',316,'N'),(16,3218333,'1',5,'N'),(16,3218341,'1',203,'N'),(16,3218341,'1A',214,'N'),(16,3218376,'1',103,'N'),(16,3218384,'1',212,'N'),(16,3218384,'1A',214,'N'),(16,3218406,'1',102,'N'),(16,3218414,'1',234,'N'),(16,3218422,'1',319,'N'),(16,3218430,'1',207,'N'),(16,3218430,'1A',215,'N'),(16,3218449,'1',340,'N'),(16,3218457,'1',103,'N'),(16,3218465,'1',102,'N'),(16,3218481,'1',328,'N'),(16,3218503,'1',415,'N'),(16,3218511,'1',220,'N'),(16,3218511,'1A',202,'N'),(16,3218520,'1',103,'N'),(16,3218538,'1',216,'N'),(16,3218538,'1A',203,'N'),(16,3218546,'1',103,'N'),(16,3218554,'1',5,'N'),(16,3218562,'1',317,'N'),(16,3218570,'1',216,'N'),(16,3218570,'1A',215,'N'),(16,3218589,'1',213,'N'),(16,3218589,'1A',233,'N'),(16,3218600,'1',203,'N'),(16,3218619,'1',202,'N'),(16,3218627,'1',201,'N'),(16,3218635,'1',213,'N'),(16,3218635,'1A',212,'N'),(16,3218643,'1',216,'N'),(16,3218643,'1A',233,'N'),(16,3218651,'1',203,'N'),(16,3218651,'1A',214,'N'),(16,3218660,'1',108,'N'),(16,3218678,'1',301,'N'),(16,3218686,'1',102,'N'),(16,3218708,'1',340,'N'),(16,3218716,'1',213,'N'),(16,3218716,'1A',203,'N'),(16,3218724,'1',304,'N'),(16,3218732,'1',203,'N'),(16,3218732,'1A',201,'N'),(16,3218740,'1',333,'N'),(16,3218759,'1',2,'N'),(16,3218767,'1',340,'N'),(16,3218775,'1',201,'N'),(16,3218775,'1A',212,'N'),(16,3218783,'1',316,'N'),(16,3218791,'1',203,'N'),(16,3218805,'1',207,'N'),(16,3218805,'1A',211,'N'),(16,3218821,'1',216,'N'),(16,3218821,'1A',203,'N'),(16,3218830,'1',102,'N'),(16,3218848,'1',316,'N'),(16,3218856,'1',340,'N'),(16,3218864,'1',211,'N'),(16,3218864,'1A',202,'N'),(16,3218880,'1',340,'N'),(16,3218899,'1',303,'N'),(16,3218902,'1',212,'N'),(16,3218902,'1A',215,'N'),(16,3218937,'1',340,'N'),(16,3218945,'1',108,'N'),(16,3218953,'1',215,'N'),(16,3218953,'1A',216,'N'),(16,3218970,'1',9,'N'),(16,3218988,'1',103,'N'),(16,3218996,'1',203,'N'),(16,3218996,'1A',214,'N'),(16,3219003,'1',102,'N'),(16,3219011,'1',215,'N'),(16,3219011,'1A',208,'N'),(16,3219020,'1',103,'N'),(16,3219038,'1',103,'N'),(16,3219046,'1',308,'N'),(16,3219054,'1',415,'N'),(16,3219062,'1',238,'N'),(16,3219062,'1A',208,'N'),(16,3219070,'1',301,'N'),(16,3219089,'1',203,'N'),(16,3219089,'1A',201,'N'),(16,3219097,'1',202,'N'),(16,3219097,'1A',208,'N'),(16,3219100,'1',238,'N'),(16,3219100,'1A',208,'N'),(16,3219127,'1',103,'N'),(16,3219135,'1',203,'N'),(16,3219143,'1',103,'N'),(16,3219151,'1',103,'N'),(16,3219160,'1',215,'N'),(16,3219160,'1A',216,'N'),(16,3219178,'1',201,'N'),(16,3219178,'1A',212,'N'),(16,3219186,'1',452,'N'),(16,3219194,'1',415,'N'),(16,3219208,'1',2,'N'),(16,3219216,'1',103,'N'),(16,3219224,'1',428,'N'),(16,3219224,'1A',426,'N'),(16,3219232,'1',103,'N'),(16,3219259,'1',208,'N'),(16,3219259,'1A',220,'N'),(16,3219267,'1',103,'N'),(16,3219275,'1',332,'N'),(16,3219283,'1',103,'N'),(16,3219291,'1',208,'N'),(16,3219291,'1A',216,'N'),(16,3219305,'1',203,'N'),(16,3219305,'1A',202,'N'),(16,3219313,'1',333,'N'),(16,3219321,'1',310,'N'),(16,3219330,'1',216,'N'),(16,3219348,'1',214,'N'),(16,3219348,'1A',220,'N'),(16,3219356,'1',319,'N'),(16,3219364,'1',453,'N'),(16,3219372,'1',301,'N'),(16,3219380,'1',203,'N'),(16,3219380,'1A',214,'N'),(16,3219399,'1',319,'N'),(16,3219402,'1',207,'N'),(16,3219402,'1A',211,'N'),(16,3219410,'1',339,'N'),(16,3219429,'1',103,'N'),(16,3219437,'1',303,'N'),(16,3219445,'1',301,'N'),(16,3219453,'1',211,'N'),(16,3219461,'1',310,'N'),(16,3219470,'1',103,'N'),(16,3219488,'1',501,'N'),(16,3219496,'1',5,'N'),(16,3219500,'1',238,'N'),(16,3219518,'1',201,'N'),(16,3219518,'1A',233,'N'),(16,3219526,'1',211,'N'),(16,3219526,'1A',201,'N'),(16,3219534,'1',420,'N'),(16,3219542,'1',103,'N'),(16,3219550,'1',309,'N'),(16,3219585,'1',9,'N'),(16,3219593,'1',215,'N'),(16,3219593,'1A',216,'N'),(16,3219607,'1',211,'N'),(16,3219607,'1A',207,'N'),(16,3219615,'1',238,'N'),(16,3219615,'1A',208,'N'),(16,3219623,'1',216,'N'),(16,3219623,'1A',215,'N'),(16,3219631,'1',103,'N'),(16,3219658,'1',238,'N'),(16,3219658,'1A',208,'N'),(16,3219674,'1',102,'N'),(16,3219682,'1',444,'N'),(16,3219690,'1',103,'N'),(16,3219704,'1',420,'N'),(16,3219712,'1',318,'N'),(16,3219720,'1',103,'N'),(16,3219739,'1',301,'N'),(16,3219747,'1',207,'N'),(16,3219755,'1',452,'N'),(16,3219771,'1',224,'N'),(16,3219780,'1',203,'N'),(16,3219780,'1A',208,'N'),(16,3219801,'1',319,'N'),(16,3219810,'1',203,'N'),(16,3219810,'1A',202,'N'),(16,3219828,'1',452,'N'),(16,3219836,'1',207,'N'),(16,3219836,'1A',201,'N'),(16,3219844,'1',108,'N'),(16,3219852,'1',302,'N'),(16,3219860,'1',103,'N'),(16,3219879,'1',501,'N'),(16,3219887,'1',303,'N'),(16,3219895,'1',108,'N'),(16,3219925,'1',238,'N'),(16,3219925,'1A',208,'N'),(16,3219933,'1',333,'N'),(16,3219941,'1',303,'N'),(16,3219950,'1',320,'N'),(16,3219968,'1',104,'N'),(16,3219984,'1',238,'N'),(16,3219984,'1A',216,'N'),(16,3219992,'1',220,'N'),(16,3219992,'1A',214,'N'),(16,3220001,'1',102,'N'),(16,3220010,'1',404,'N'),(16,3220028,'1',203,'N'),(16,3220028,'1A',215,'N'),(16,3220044,'1',211,'N'),(16,3220044,'1A',208,'N'),(16,3220052,'1',318,'N'),(16,3220060,'1',340,'N'),(16,3220079,'1',103,'N'),(16,3220087,'1',304,'N'),(16,3220095,'1',5,'N'),(16,3220109,'1',415,'N'),(16,3220117,'1',103,'N'),(16,3220125,'1',101,'N'),(16,3220133,'1',329,'N'),(16,3220141,'1',201,'N'),(16,3220141,'1A',212,'N'),(16,3220150,'1',103,'N'),(16,3220168,'1',207,'N'),(16,3220168,'1A',201,'N'),(16,3220176,'1',301,'N'),(16,3220192,'1',9,'N'),(16,3220206,'1',203,'N'),(16,3220206,'1A',201,'N'),(16,3220214,'1',223,'N'),(16,3220222,'1',216,'N'),(16,3220222,'1A',215,'N'),(16,3220230,'1',2,'N'),(16,3220249,'1',420,'N'),(16,3220257,'1',317,'N'),(16,3220273,'1',103,'N'),(16,3220290,'1',208,'N'),(16,3220290,'1A',238,'N'),(16,3220303,'1',234,'N'),(16,3220311,'1',302,'N'),(16,3220320,'1',238,'N'),(16,3220320,'1A',208,'N'),(16,3220338,'1',303,'N'),(16,3220346,'1',238,'N'),(16,3220346,'1A',202,'N'),(16,3220362,'1',203,'N'),(16,3220362,'1A',213,'N'),(16,3220370,'1',319,'N'),(16,3220389,'1',317,'N'),(16,3220397,'1',211,'N'),(16,3220397,'1A',207,'N'),(16,3220400,'1',5,'N'),(16,3220419,'1',103,'N'),(16,3220427,'1',212,'N'),(16,3220427,'1A',201,'N'),(16,3220435,'1',317,'N'),(16,3220443,'1',301,'N'),(16,3220451,'1',108,'N'),(16,3220460,'1',333,'N'),(16,3220478,'1',220,'N'),(16,3220478,'1A',202,'N'),(16,3220486,'1',220,'N'),(16,3220486,'1A',202,'N'),(16,3220494,'1',214,'N'),(16,3220494,'1A',203,'N'),(16,3220508,'1',340,'N'),(16,3220516,'1',207,'N'),(16,3220516,'1A',201,'N'),(16,3220524,'1',201,'N'),(16,3220524,'1A',212,'N'),(16,3220532,'1',5,'N'),(16,3220559,'1',444,'N'),(16,3220575,'1',303,'N'),(16,3220583,'1',340,'N'),(16,3220591,'1',303,'N'),(16,3220621,'1',103,'N'),(16,3220648,'1',103,'N'),(16,3220664,'1',108,'N'),(16,3220672,'1',103,'N'),(16,3220680,'1',5,'N'),(16,3220699,'1',340,'N'),(16,3220702,'1',5,'N'),(16,3220710,'1',108,'N'),(16,3220729,'1',502,'N'),(16,3220737,'1',333,'N'),(16,3220745,'1',223,'N'),(16,3220753,'1',415,'N'),(16,3220761,'1',331,'N'),(16,3220770,'1',502,'N'),(16,3220788,'1',415,'N'),(16,3220800,'1',103,'N'),(16,3220818,'1',420,'N'),(16,3220826,'1',303,'N'),(16,3220834,'1',220,'N'),(16,3220834,'1A',201,'N'),(16,3220842,'1',214,'N'),(16,3220842,'1A',203,'N'),(16,3220850,'1',301,'N'),(16,3220869,'1',102,'N'),(16,3220877,'1',103,'N'),(16,3220885,'1',316,'N'),(16,3220893,'1',452,'N'),(16,3220907,'1',404,'N'),(16,3220915,'1',340,'N'),(16,3220923,'1',103,'N'),(16,3220940,'1',303,'N'),(16,3220958,'1',103,'N'),(16,3220974,'1',213,'N'),(16,3220974,'1A',215,'N'),(16,3220982,'1',103,'N'),(16,3221008,'1',104,'N'),(16,3221016,'1',451,'N'),(16,3221032,'1',101,'N'),(16,3221040,'1',5,'N'),(16,3221083,'1',211,'N'),(16,3221083,'1A',215,'N'),(16,3221091,'1',104,'N'),(16,3221105,'1',301,'N'),(16,3221113,'1',207,'N'),(16,3221121,'1',208,'N'),(16,3221121,'1A',202,'N'),(16,3221130,'1',340,'N'),(16,3221148,'1',216,'N'),(16,3221148,'1A',211,'N'),(16,3221156,'1',108,'N'),(16,3221164,'1',201,'N'),(16,3221164,'1A',212,'N'),(16,3221172,'1',103,'N'),(16,3221180,'1',104,'N'),(16,3221199,'1',444,'N'),(16,3221202,'1',224,'N'),(16,3221210,'1',214,'N'),(16,3221210,'1A',201,'N'),(16,3221229,'1',301,'N'),(16,3221237,'1',316,'N'),(16,3221245,'1',501,'N'),(16,3221253,'1',103,'N'),(16,3221270,'1',103,'N'),(16,3221288,'1',102,'N'),(16,3221296,'1',318,'N'),(16,3221300,'1',303,'N'),(16,3221318,'1',301,'N'),(16,3221326,'1',102,'N'),(16,3221342,'1',450,'N'),(16,3221350,'1',238,'N'),(16,3221369,'1',340,'N'),(16,3221377,'1',201,'N'),(16,3221377,'1A',238,'N'),(16,3221385,'1',203,'N'),(16,3221385,'1A',211,'N'),(16,3221393,'1',214,'N'),(16,3221393,'1A',212,'N'),(16,3221407,'1',207,'N'),(16,3221407,'1A',201,'N'),(16,3221415,'1',202,'N'),(16,3221415,'1A',213,'N'),(16,3221423,'1',201,'N'),(16,3221423,'1A',238,'N'),(16,3221458,'1',207,'N'),(16,3221458,'1A',208,'N'),(16,3221466,'1',425,'N'),(16,3221466,'1A',424,'N'),(16,3221474,'1',208,'N'),(16,3221474,'1A',201,'N'),(16,3221482,'1',333,'N'),(16,3221504,'1',202,'N'),(16,3221504,'1A',203,'N'),(16,3221512,'1',213,'N'),(16,3221512,'1A',202,'N'),(16,3221520,'1',201,'N'),(16,3221520,'1A',211,'N'),(16,3221539,'1',303,'N'),(16,3221547,'1',340,'N'),(16,3221555,'1',317,'N'),(16,3221563,'1',501,'N'),(16,3221580,'1',201,'N'),(16,3221580,'1A',212,'N'),(16,3221598,'1',207,'N'),(16,3221598,'1A',201,'N'),(16,3221601,'1',201,'N'),(16,3221601,'1A',212,'N'),(16,3221610,'1',103,'N'),(16,3221628,'1',103,'N'),(16,3221636,'1',450,'N'),(16,3221644,'1',420,'N'),(16,3221652,'1',103,'N'),(16,3221679,'1',453,'N'),(16,3221687,'1',3,'N'),(16,3221695,'1',423,'N'),(16,3221695,'1A',428,'N'),(16,3221709,'1',302,'N'),(16,3221717,'1',207,'N'),(16,3221717,'1A',201,'N'),(16,3221725,'1',103,'N'),(16,3221733,'1',108,'N'),(16,3221741,'1',103,'N'),(16,3221750,'1',207,'N'),(16,3221750,'1A',203,'N'),(16,3221776,'1',211,'N'),(16,3221784,'1',317,'N'),(16,3221792,'1',501,'N'),(16,3221806,'1',103,'N'),(16,3221814,'1',233,'N'),(16,3221814,'1A',201,'N'),(16,3221822,'1',103,'N'),(16,3221830,'1',319,'N'),(16,3221857,'1',340,'N'),(16,3221865,'1',103,'N'),(16,3221873,'1',212,'N'),(16,3221873,'1A',213,'N'),(16,3221881,'1',238,'N'),(16,3221881,'1A',208,'N'),(16,3221903,'1',340,'N'),(16,3221911,'1',216,'N'),(16,3221911,'1A',207,'N'),(16,3221920,'1',102,'N'),(16,3221938,'1',444,'N'),(16,3221946,'1',103,'N'),(16,3221954,'1',415,'N'),(16,3221970,'1',207,'N'),(16,3221970,'1A',233,'N'),(16,3221989,'1',108,'N'),(16,3221997,'1',103,'N'),(16,3222012,'1',101,'N'),(16,3222020,'1',104,'N'),(16,3222039,'1',5,'N'),(16,3222047,'1',108,'N'),(16,3222055,'1',103,'N'),(16,3222063,'1',103,'N'),(16,3222071,'1',214,'N'),(16,3222071,'1A',203,'N'),(16,3222080,'1',201,'N'),(16,3222080,'1A',211,'N'),(16,3222101,'1',103,'N'),(16,3222110,'1',203,'N'),(16,3222110,'1A',220,'N'),(16,3222128,'1',301,'N'),(16,3222144,'1',303,'N'),(16,3222152,'1',317,'N'),(16,3222160,'1',2,'N'),(16,3222179,'1',302,'N'),(16,3222195,'1',340,'N'),(16,3222209,'1',208,'N'),(16,3222209,'1A',238,'N'),(16,3222217,'1',207,'N'),(16,3222217,'1A',211,'N'),(16,3222225,'1',318,'N'),(16,3222233,'1',203,'N'),(16,3222233,'1A',214,'N'),(16,3222241,'1',303,'N'),(16,3222268,'1',104,'N'),(16,3222276,'1',415,'N'),(16,3222292,'1',202,'N'),(16,3222292,'1A',213,'N'),(16,3222306,'1',319,'N'),(16,3222314,'1',421,'N'),(16,3222314,'1A',424,'N'),(16,3222322,'1',238,'N'),(16,3222322,'1A',208,'N'),(16,3222330,'1',423,'N'),(16,3222330,'1A',425,'N'),(16,3222349,'1',216,'N'),(16,3222349,'1A',233,'N'),(16,3222357,'1',2,'N'),(16,3222373,'1',103,'N'),(16,3222381,'1',301,'N'),(16,3222390,'1',340,'N'),(16,3222403,'1',201,'N'),(16,3222411,'1',103,'N'),(16,3222420,'1',203,'N'),(16,3222420,'1A',201,'N'),(16,3222438,'1',3,'N'),(16,3222446,'1',453,'N'),(16,3222454,'1',421,'N'),(16,3222454,'1A',427,'N'),(16,3222462,'1',340,'N'),(16,3222470,'1',9,'N'),(16,3222489,'1',501,'N'),(16,3222497,'1',103,'N'),(16,3222500,'1',5,'N'),(16,3222519,'1',202,'N'),(16,3222519,'1A',212,'N'),(16,3222535,'1',450,'N'),(16,3222551,'1',211,'N'),(16,3222551,'1A',216,'N'),(16,3222560,'1',103,'N'),(16,3222586,'1',201,'N'),(16,3222586,'1A',212,'N'),(16,3222594,'1',316,'N'),(16,3222608,'1',426,'N'),(16,3222608,'1A',423,'N'),(16,3222616,'1',340,'N'),(16,3222624,'1',320,'N'),(16,3222632,'1',201,'N'),(16,3222632,'1A',220,'N'),(16,3222640,'1',220,'N'),(16,3222640,'1A',203,'N'),(16,3222659,'1',319,'N'),(16,3222667,'1',415,'N'),(16,3222683,'1',103,'N'),(16,3222691,'1',203,'N'),(16,3222691,'1A',214,'N'),(16,3222705,'1',317,'N'),(16,3222721,'1',316,'N'),(16,3222730,'1',501,'N'),(16,3222756,'1',215,'N'),(16,3222756,'1A',238,'N'),(16,3222764,'1',103,'N'),(16,3222772,'1',103,'N'),(16,3222780,'1',104,'N'),(16,3222799,'1',303,'N'),(16,3222802,'1',202,'N'),(16,3222802,'1A',203,'N'),(16,3222829,'1',303,'N'),(16,3222837,'1',301,'N'),(16,3222845,'1',216,'N'),(16,3222845,'1A',202,'N'),(16,3222853,'1',108,'N'),(16,3222861,'1',451,'N'),(16,3222870,'1',208,'N'),(16,3222888,'1',9,'N'),(16,3222896,'1',5,'N'),(16,3222900,'1',319,'N'),(16,3222918,'1',223,'N'),(16,3222926,'1',333,'N'),(16,3222934,'1',208,'N'),(16,3222934,'1A',203,'N'),(16,3222950,'1',317,'N'),(16,3222977,'1',301,'N'),(16,3222993,'1',211,'N'),(16,3222993,'1A',202,'N'),(16,3223000,'1',212,'N'),(16,3223000,'1A',213,'N'),(16,3223019,'1',101,'N'),(16,3223027,'1',340,'N'),(16,3223035,'1',302,'N'),(16,3223043,'1',103,'N'),(16,3223051,'1',103,'N'),(16,3223060,'1',5,'N'),(16,3223078,'1',103,'N'),(16,3223086,'1',103,'N'),(16,3223094,'1',303,'N'),(16,3223108,'1',340,'N'),(16,3223124,'1',5,'N'),(16,3223140,'1',214,'N'),(16,3223140,'1A',203,'N'),(16,3223159,'1',103,'N'),(16,3223175,'1',303,'N'),(16,3223183,'1',103,'N'),(16,3223205,'1',420,'N'),(16,3223213,'1',201,'N'),(16,3223213,'1A',208,'N'),(16,3223221,'1',316,'N'),(16,3223230,'1',207,'N'),(16,3223230,'1A',208,'N'),(16,3223248,'1',203,'N'),(16,3223248,'1A',202,'N'),(16,3223256,'1',450,'N'),(16,3223264,'1',202,'N'),(16,3223264,'1A',203,'N'),(16,3223299,'1',215,'N'),(16,3223299,'1A',207,'N'),(16,3223310,'1',103,'N'),(16,3223329,'1',207,'N'),(16,3223329,'1A',203,'N'),(16,3223337,'1',212,'N'),(16,3223337,'1A',201,'N'),(16,3223345,'1',421,'N'),(16,3223345,'1A',428,'N'),(16,3223361,'1',503,'N'),(16,3223370,'1',316,'N'),(16,3223388,'1',103,'N'),(16,3223396,'1',103,'N'),(16,3223400,'1',233,'N'),(16,3223418,'1',207,'N'),(16,3223418,'1A',201,'N'),(16,3223426,'1',103,'N'),(16,3223434,'1',203,'N'),(16,3223434,'1A',233,'N'),(16,3223442,'1',211,'N'),(16,3223442,'1A',215,'N'),(16,3223450,'1',207,'N'),(16,3223450,'1A',201,'N'),(16,3223477,'1',207,'N'),(16,3223477,'1A',212,'N'),(16,3223493,'1',213,'N'),(16,3223493,'1A',212,'N'),(16,3223507,'1',203,'N'),(16,3223507,'1A',220,'N'),(16,3223515,'1',223,'N'),(16,3223523,'1',303,'N'),(16,3223531,'1',103,'N'),(16,3223540,'1',404,'N'),(16,3223558,'1',103,'N'),(16,3223566,'1',501,'N'),(16,3223574,'1',101,'N'),(16,3223582,'1',214,'N'),(16,3223582,'1A',238,'N'),(16,3223590,'1',404,'N'),(16,3223604,'1',201,'N'),(16,3223604,'1A',212,'N'),(16,3223612,'1',340,'N'),(16,3223620,'1',340,'N'),(16,3223639,'1',201,'N'),(16,3223639,'1A',212,'N'),(16,3223647,'1',502,'N'),(16,3223655,'1',208,'N'),(16,3223655,'1A',238,'N'),(16,3223663,'1',303,'N'),(16,3223671,'1',211,'N'),(16,3223671,'1A',201,'N'),(16,3223698,'1',303,'N'),(16,3223701,'1',301,'N'),(16,3223728,'1',103,'N'),(16,3223736,'1',233,'N'),(16,3223736,'1A',203,'N'),(16,3223744,'1',207,'N'),(16,3223744,'1A',211,'N'),(16,3223779,'1',103,'N'),(16,3223787,'1',318,'N'),(16,3223795,'1',102,'N'),(16,3223809,'1',302,'N'),(16,3223817,'1',415,'N'),(16,3223825,'1',303,'N'),(16,3223833,'1',309,'N'),(16,3223841,'1',201,'N'),(16,3223841,'1A',207,'N'),(16,3223850,'1',103,'N'),(16,3223868,'1',303,'N'),(16,3223876,'1',103,'N'),(16,3223884,'1',216,'N'),(16,3223892,'1',103,'N'),(16,3223914,'1',103,'N'),(16,3223922,'1',103,'N'),(16,3223930,'1',216,'N'),(16,3223930,'1A',211,'N'),(16,3223949,'1',319,'N'),(16,3223957,'1',207,'N'),(16,3223957,'1A',201,'N'),(16,3223965,'1',207,'N'),(16,3223965,'1A',212,'N'),(16,3223973,'1',415,'N'),(16,3223981,'1',303,'N'),(16,3223990,'1',453,'N'),(16,3224007,'1',303,'N'),(16,3224015,'1',303,'N'),(16,3224023,'1',104,'N'),(16,3224031,'1',340,'N'),(16,3224040,'1',207,'N'),(16,3224040,'1A',201,'N'),(16,3224058,'1',208,'N'),(16,3224058,'1A',238,'N'),(16,3224082,'1',9,'N'),(16,3224112,'1',208,'N'),(16,3224112,'1A',201,'N'),(16,3224120,'1',9,'N'),(16,3224139,'1',319,'N'),(16,3224147,'1',502,'N'),(16,3224155,'1',201,'N'),(16,3224155,'1A',212,'N'),(16,3224171,'1',220,'N'),(16,3224198,'1',220,'N'),(16,3224198,'1A',202,'N'),(16,3224201,'1',308,'N'),(16,3224210,'1',103,'N'),(16,3224236,'1',333,'N'),(16,3224244,'1',103,'N'),(16,3224260,'1',329,'N'),(16,3224279,'1',102,'N'),(16,3224287,'1',102,'N'),(16,3224295,'1',213,'N'),(16,3224295,'1A',220,'N'),(16,3224317,'1',340,'N'),(16,3224325,'1',207,'N'),(16,3224325,'1A',215,'N'),(16,3224333,'1',3,'N'),(16,3224350,'1',201,'N'),(16,3224350,'1A',202,'N'),(16,3224368,'1',9,'N'),(16,3224376,'1',203,'N'),(16,3224376,'1A',233,'N'),(16,3224384,'1',103,'N'),(16,3224392,'1',340,'N'),(16,3224406,'1',103,'N'),(16,3224414,'1',102,'N'),(16,3224422,'1',309,'N'),(16,3224430,'1',207,'N'),(16,3224430,'1A',212,'N'),(16,3224465,'1',201,'N'),(16,3224465,'1A',212,'N'),(16,3224473,'1',104,'N'),(16,3224481,'1',212,'N'),(16,3224481,'1A',213,'N'),(16,3224490,'1',453,'N'),(16,3224503,'1',103,'N'),(16,3224511,'1',220,'N'),(16,3224511,'1A',203,'N'),(16,3224538,'1',216,'N'),(16,3224538,'1A',211,'N'),(16,3224546,'1',101,'N'),(16,3224554,'1',451,'N'),(16,3224562,'1',104,'N'),(16,3224570,'1',103,'N'),(16,3224589,'1',415,'N'),(16,3224597,'1',220,'N'),(16,3224597,'1A',208,'N'),(16,3224600,'1',102,'N'),(16,3224627,'1',415,'N'),(16,3224635,'1',207,'N'),(16,3224635,'1A',211,'N'),(16,3224643,'1',5,'N'),(16,3224651,'1',103,'N'),(16,3224660,'1',304,'N'),(16,3224678,'1',415,'N'),(16,3224686,'1',215,'N'),(16,3224686,'1A',216,'N'),(16,3224694,'1',308,'N'),(16,3224708,'1',301,'N'),(16,3224724,'1',103,'N'),(16,3224732,'1',415,'N'),(16,3224740,'1',9,'N'),(16,3224759,'1',102,'N'),(16,3224767,'1',327,'N'),(16,3224775,'1',340,'N'),(16,3224783,'1',103,'N'),(16,3224791,'1',103,'N'),(16,3224805,'1',108,'N'),(16,3224813,'1',429,'N'),(16,3224813,'1A',425,'N'),(16,3224821,'1',310,'N'),(16,3224830,'1',207,'N'),(16,3224830,'1A',201,'N'),(16,3224848,'1',103,'N'),(16,3224856,'1',103,'N'),(16,3224864,'1',104,'N'),(16,3224872,'1',326,'N'),(16,3224880,'1',103,'N'),(16,3224902,'1',214,'N'),(16,3224902,'1A',233,'N'),(16,3224910,'1',103,'N'),(16,3224929,'1',103,'N'),(16,3224945,'1',103,'N'),(16,3224953,'1',212,'N'),(16,3224953,'1A',201,'N'),(16,3224961,'1',5,'N'),(16,3224970,'1',103,'N'),(16,3225003,'1',201,'N'),(16,3225003,'1A',216,'N'),(16,3225011,'1',319,'N'),(16,3225020,'1',201,'N'),(16,3225020,'1A',211,'N'),(16,3225038,'1',103,'N'),(16,3225046,'1',208,'N'),(16,3225046,'1A',238,'N'),(16,3225054,'1',225,'N'),(16,3225062,'1',108,'N'),(16,3225089,'1',215,'N'),(16,3225089,'1A',233,'N'),(16,3225097,'1',453,'N'),(16,3225100,'1',103,'N'),(16,3225119,'1',5,'N'),(16,3225127,'1',415,'N'),(16,3225135,'1',201,'N'),(16,3225135,'1A',207,'N'),(16,3225143,'1',303,'N'),(16,3225151,'1',320,'N'),(16,3225160,'1',320,'N'),(16,3225178,'1',215,'N'),(16,3225178,'1A',208,'N'),(16,3225194,'1',340,'N'),(16,3225216,'1',103,'N'),(16,3225224,'1',453,'N'),(16,3225240,'1',104,'N'),(16,3225267,'1',415,'N'),(16,3225275,'1',303,'N'),(16,3225283,'1',5,'N'),(16,3225291,'1',103,'N'),(16,3225305,'1',339,'N'),(16,3225313,'1',103,'N'),(16,3225321,'1',317,'N'),(16,3225330,'1',103,'N'),(16,3225348,'1',216,'N'),(16,3225348,'1A',201,'N'),(16,3225356,'1',302,'N'),(16,3225364,'1',301,'N'),(16,3225372,'1',103,'N'),(16,3225380,'1',444,'N'),(16,3225399,'1',201,'N'),(16,3225399,'1A',212,'N'),(16,3225402,'1',444,'N'),(16,3225410,'1',444,'N'),(16,3225453,'1',104,'N'),(16,3225461,'1',101,'N'),(16,3225470,'1',220,'N'),(16,3225470,'1A',202,'N'),(16,3225488,'1',303,'N'),(16,3225496,'1',103,'N'),(16,3225500,'1',339,'N'),(16,3225518,'1',104,'N'),(16,3225526,'1',103,'N'),(16,3225534,'1',9,'N'),(16,3225542,'1',303,'N'),(16,3225550,'1',103,'N'),(16,3225569,'1',103,'N'),(16,3225577,'1',103,'N'),(16,3225585,'1',215,'N'),(16,3225585,'1A',233,'N'),(16,3225593,'1',453,'N'),(16,3225607,'1',340,'N'),(16,3225615,'1',316,'N'),(16,3225640,'1',203,'N'),(16,3225658,'1',216,'N'),(16,3225658,'1A',215,'N'),(16,3225666,'1',216,'N'),(16,3225666,'1A',233,'N'),(16,3225674,'1',415,'N'),(16,3225682,'1',108,'N'),(16,3225690,'1',103,'N'),(16,3225704,'1',301,'N'),(16,3225712,'1',208,'N'),(16,3225712,'1A',238,'N'),(16,3225747,'1',308,'N'),(16,3225755,'1',452,'N'),(16,3225763,'1',208,'N'),(16,3225763,'1A',238,'N'),(16,3225780,'1',203,'N'),(16,3225780,'1A',216,'N'),(16,3225798,'1',203,'N'),(16,3225801,'1',420,'N'),(16,3225810,'1',303,'N'),(16,3225844,'1',415,'N'),(16,3225852,'1',303,'N'),(16,3225860,'1',222,'N'),(16,3225879,'1',103,'N'),(16,3225887,'1',238,'N'),(16,3225887,'1A',212,'N'),(16,3225895,'1',103,'N'),(16,3225917,'1',103,'N'),(16,3225925,'1',212,'N'),(16,3225925,'1A',213,'N'),(16,3225941,'1',425,'N'),(16,3225941,'1A',423,'N'),(16,3225950,'1',225,'N'),(16,3225968,'1',208,'N'),(16,3225968,'1A',203,'N'),(16,3225976,'1',103,'N'),(16,3225984,'1',207,'N'),(16,3225984,'1A',215,'N'),(16,3225992,'1',103,'N'),(16,3226000,'1',415,'N'),(16,3226026,'1',340,'N'),(16,3226050,'1',309,'N'),(16,3226077,'1',102,'N'),(16,3226085,'1',103,'N'),(16,3226093,'1',101,'N'),(16,3226107,'1',103,'N'),(16,3226115,'1',202,'N'),(16,3226115,'1A',213,'N'),(16,3226123,'1',203,'N'),(16,3226123,'1A',214,'N'),(16,3226131,'1',103,'N'),(16,3226140,'1',302,'N'),(16,3226158,'1',340,'N'),(16,3226166,'1',303,'N'),(16,3226174,'1',103,'N'),(16,3226182,'1',211,'N'),(16,3226182,'1A',215,'N'),(16,3226190,'1',104,'N'),(16,3226204,'1',104,'N'),(16,3226212,'1',101,'N'),(16,3226239,'1',102,'N'),(16,3226247,'1',302,'N'),(16,3226255,'1',425,'N'),(16,3226263,'1',103,'N'),(16,3226271,'1',103,'N'),(16,3226298,'1',104,'N'),(16,3226301,'1',103,'N'),(16,3226310,'1',207,'N'),(16,3226328,'1',415,'N'),(16,3226336,'1',451,'N'),(16,3226344,'1',5,'N'),(16,3226352,'1',203,'N'),(16,3226352,'1A',202,'N'),(16,3226360,'1',3,'N'),(16,3226387,'1',319,'N'),(16,3226395,'1',9,'N'),(16,3226409,'1',303,'N'),(16,3226417,'1',103,'N'),(16,3226425,'1',332,'N'),(16,3226433,'1',234,'N'),(16,3226441,'1',220,'N'),(16,3226441,'1A',214,'N'),(16,3226450,'1',203,'N'),(16,3226450,'1A',220,'N'),(16,3226476,'1',233,'N'),(16,3226476,'1A',213,'N'),(16,3226484,'1',301,'N'),(16,3226506,'1',222,'N'),(16,3226514,'1',304,'N'),(16,3226522,'1',103,'N'),(16,3226530,'1',444,'N'),(16,3226549,'1',303,'N'),(16,3226557,'1',216,'N'),(16,3226557,'1A',201,'N'),(16,3226565,'1',102,'N'),(16,3226573,'1',503,'N'),(16,3226581,'1',103,'N'),(16,3226590,'1',233,'N'),(16,3226590,'1A',216,'N'),(16,3226603,'1',103,'N'),(16,3226611,'1',103,'N'),(16,3226620,'1',203,'N'),(16,3226620,'1A',238,'N'),(16,3226638,'1',216,'N'),(16,3226638,'1A',211,'N'),(16,3226654,'1',101,'N'),(16,3226662,'1',220,'N'),(16,3226662,'1A',203,'N'),(16,3226689,'1',303,'N'),(16,3226697,'1',5,'N'),(16,3226700,'1',207,'N'),(16,3226719,'1',404,'N'),(16,3226727,'1',203,'N'),(16,3226735,'1',340,'N'),(16,3226743,'1',201,'N'),(16,3226743,'1A',207,'N'),(16,3226751,'1',302,'N'),(16,3226760,'1',303,'N'),(16,3226778,'1',103,'N'),(16,3226786,'1',316,'N'),(16,3226794,'1',203,'N'),(16,3226794,'1A',214,'N'),(16,3226808,'1',103,'N'),(16,3226816,'1',340,'N'),(16,3226824,'1',102,'N'),(16,3226832,'1',340,'N'),(16,3226840,'1',340,'N'),(16,3226859,'1',104,'N'),(16,3226867,'1',303,'N'),(16,3226875,'1',233,'N'),(16,3226875,'1A',212,'N'),(16,3226891,'1',103,'N'),(16,3226905,'1',423,'N'),(16,3226905,'1A',427,'N'),(16,3226913,'1',103,'N'),(16,3226921,'1',301,'N'),(16,3226930,'1',3,'N'),(16,3226948,'1',303,'N'),(16,3226964,'1',207,'N'),(16,3226964,'1A',201,'N'),(16,3226972,'1',103,'N'),(16,3226980,'1',104,'N'),(16,3226999,'1',211,'N'),(16,3226999,'1A',215,'N'),(16,3227006,'1',103,'N'),(16,3227030,'1',415,'N'),(16,3227049,'1',404,'N'),(16,3227065,'1',104,'N'),(16,3227073,'1',104,'N'),(16,3227081,'1',203,'N'),(16,3227081,'1A',201,'N'),(16,3227090,'1',103,'N'),(16,3227103,'1',316,'N'),(16,3227111,'1',203,'N'),(16,3227111,'1A',201,'N'),(16,3227120,'1',103,'N'),(16,3227138,'1',207,'N'),(16,3227138,'1A',201,'N'),(16,3227146,'1',450,'N'),(16,3227154,'1',103,'N'),(16,3227162,'1',216,'N'),(16,3227189,'1',103,'N'),(16,3227197,'1',238,'N'),(16,3227197,'1A',208,'N'),(16,3227200,'1',104,'N'),(16,3227219,'1',103,'N'),(16,3227227,'1',428,'N'),(16,3227227,'1A',427,'N'),(16,3227235,'1',207,'N'),(16,3227235,'1A',215,'N'),(16,3227243,'1',233,'N'),(16,3227243,'1A',212,'N'),(16,3227251,'1',104,'N'),(16,3227260,'1',103,'N'),(16,3227278,'1',108,'N'),(16,3227286,'1',216,'N'),(16,3227286,'1A',208,'N'),(16,3227294,'1',201,'N'),(16,3227294,'1A',220,'N'),(16,3227308,'1',220,'N'),(16,3227308,'1A',203,'N'),(16,3227316,'1',333,'N'),(16,3227324,'1',9,'N'),(16,3227359,'1',316,'N'),(16,3227367,'1',103,'N'),(16,3227375,'1',203,'N'),(16,3227375,'1A',214,'N'),(16,3227383,'1',234,'N'),(16,3227391,'1',9,'N'),(16,3227405,'1',207,'N'),(16,3227405,'1A',201,'N'),(16,3227413,'1',453,'N'),(16,3227421,'1',501,'N'),(16,3227430,'1',201,'N'),(16,3227430,'1A',207,'N'),(16,3227448,'1',108,'N'),(16,3227456,'1',103,'N'),(16,3227480,'1',216,'N'),(16,3227480,'1A',201,'N'),(16,3227499,'1',212,'N'),(16,3227499,'1A',211,'N'),(16,3227502,'1',326,'N'),(16,3227510,'1',301,'N'),(16,3227529,'1',303,'N'),(16,3227537,'1',5,'N'),(16,3227545,'1',220,'N'),(16,3227545,'1A',202,'N'),(16,3227553,'1',333,'N'),(16,3227570,'1',332,'N'),(16,3227588,'1',339,'N'),(16,3227596,'1',303,'N'),(16,3227626,'1',308,'N'),(16,3227642,'1',103,'N'),(16,3227650,'1',501,'N'),(16,3227669,'1',103,'N'),(16,3227677,'1',317,'N'),(16,3227685,'1',103,'N'),(16,3227693,'1',201,'N'),(16,3227693,'1A',212,'N'),(16,3227715,'1',329,'N'),(16,3227723,'1',203,'N'),(16,3227731,'1',208,'N'),(16,3227731,'1A',238,'N'),(16,3227740,'1',103,'N'),(16,3227758,'1',331,'N'),(16,3227766,'1',5,'N'),(16,3227790,'1',9,'N'),(16,3227804,'1',238,'N'),(16,3227804,'1A',208,'N'),(16,3227812,'1',340,'N'),(16,3227820,'1',220,'N'),(16,3227839,'1',103,'N'),(16,3227847,'1',214,'N'),(16,3227847,'1A',233,'N'),(16,3227863,'1',233,'N'),(16,3227863,'1A',238,'N'),(16,3227871,'1',238,'N'),(16,3227871,'1A',208,'N'),(16,3227880,'1',202,'N'),(16,3227880,'1A',213,'N'),(16,3227898,'1',320,'N'),(16,3227901,'1',201,'N'),(16,3227901,'1A',211,'N'),(16,3227928,'1',207,'N'),(16,3227928,'1A',215,'N'),(16,3227936,'1',202,'N'),(16,3227936,'1A',207,'N'),(16,3227944,'1',502,'N'),(16,3227952,'1',214,'N'),(16,3227952,'1A',211,'N'),(16,3227960,'1',309,'N'),(16,3227979,'1',233,'N'),(16,3227979,'1A',211,'N'),(16,3227995,'1',211,'N'),(16,3227995,'1A',233,'N'),(16,3228002,'1',324,'N'),(16,3228010,'1',301,'N'),(16,3228029,'1',5,'N'),(16,3228037,'1',303,'N'),(16,3228045,'1',203,'N'),(16,3228045,'1A',201,'N'),(16,3228070,'1',101,'N'),(16,3228088,'1',216,'N'),(16,3228088,'1A',201,'N'),(16,3228096,'1',309,'N'),(16,3228100,'1',340,'N'),(16,3228118,'1',203,'N'),(16,3228118,'1A',208,'N'),(16,3228126,'1',103,'N'),(16,3228142,'1',303,'N'),(16,3228150,'1',333,'N'),(16,3228169,'1',444,'N'),(16,3228177,'1',211,'N'),(16,3228177,'1A',216,'N'),(16,3228185,'1',451,'N'),(16,3228207,'1',201,'N'),(16,3228207,'1A',203,'N'),(16,3228215,'1',108,'N'),(16,3228223,'1',201,'N'),(16,3228223,'1A',212,'N'),(16,3228231,'1',303,'N'),(16,3228258,'1',104,'N'),(16,3228266,'1',103,'N'),(16,3228282,'1',103,'N'),(16,3228290,'1',211,'N'),(16,3228290,'1A',215,'N'),(16,3228304,'1',303,'N'),(16,3228320,'1',303,'N'),(16,3228339,'1',303,'N'),(16,3228347,'1',103,'N'),(16,3228355,'1',303,'N'),(16,3228363,'1',203,'N'),(16,3228363,'1A',214,'N'),(16,3228371,'1',453,'N'),(16,3228380,'1',415,'N'),(16,3228401,'1',201,'N'),(16,3228401,'1A',220,'N'),(16,3228410,'1',444,'N'),(16,3228428,'1',103,'N'),(16,3228436,'1',2,'N'),(16,3228444,'1',103,'N'),(16,3228452,'1',328,'N'),(16,3228460,'1',101,'N'),(16,3228479,'1',214,'N'),(16,3228479,'1A',220,'N'),(16,3228487,'1',103,'N'),(16,3228495,'1',5,'N'),(16,3228509,'1',211,'N'),(16,3228509,'1A',215,'N'),(16,3228517,'1',203,'N'),(16,3228517,'1A',201,'N'),(16,3228525,'1',420,'N'),(16,3228533,'1',103,'N'),(16,3228541,'1',428,'N'),(16,3228541,'1A',429,'N'),(16,3228550,'1',104,'N'),(16,3228568,'1',103,'N'),(16,3228584,'1',201,'N'),(16,3228584,'1A',203,'N'),(16,3228592,'1',212,'N'),(16,3228592,'1A',213,'N'),(16,3228606,'1',5,'N'),(16,3228614,'1',238,'N'),(16,3228614,'1A',208,'N'),(16,3228622,'1',101,'N'),(16,3228630,'1',103,'N'),(16,3228649,'1',220,'N'),(16,3228649,'1A',214,'N'),(16,3228657,'1',211,'N'),(16,3228657,'1A',203,'N'),(16,3228673,'1',340,'N'),(16,3228681,'1',103,'N'),(16,3228690,'1',103,'N'),(16,3228703,'1',324,'N'),(16,3228711,'1',301,'N'),(16,3228720,'1',216,'N'),(16,3228720,'1A',233,'N'),(16,3228738,'1',103,'N'),(16,3228746,'1',103,'N'),(16,3228754,'1',340,'N'),(16,3228762,'1',319,'N'),(16,3228770,'1',304,'N'),(16,3228789,'1',201,'N'),(16,3228789,'1A',211,'N'),(16,3228797,'1',103,'N'),(16,3228800,'1',303,'N'),(16,3228827,'1',203,'N'),(16,3228827,'1A',233,'N'),(16,3228835,'1',3,'N'),(16,3228851,'1',203,'N'),(16,3228851,'1A',202,'N'),(16,3228860,'1',103,'N'),(16,3228878,'1',208,'N'),(16,3228878,'1A',220,'N'),(16,3228894,'1',9,'N'),(16,3228916,'1',208,'N'),(16,3228916,'1A',213,'N'),(16,3228924,'1',101,'N'),(16,3228932,'1',108,'N'),(16,3228940,'1',428,'N'),(16,3228959,'1',102,'N'),(16,3228975,'1',301,'N'),(16,3228983,'1',201,'N'),(16,3228983,'1A',207,'N'),(16,3228991,'1',238,'N'),(16,3228991,'1A',208,'N'),(16,3229009,'1',450,'N'),(16,3229025,'1',415,'N'),(16,3229033,'1',428,'N'),(16,3229033,'1A',424,'N'),(16,3229041,'1',103,'N'),(16,3229050,'1',503,'N'),(16,3229068,'1',9,'N'),(16,3229076,'1',301,'N'),(16,3229084,'1',333,'N'),(16,3229106,'1',303,'N'),(16,3229114,'1',234,'N'),(16,3229130,'1',303,'N'),(16,3229149,'1',103,'N'),(16,3229157,'1',452,'N'),(16,3229165,'1',415,'N'),(16,3229181,'1',429,'N'),(16,3229181,'1A',426,'N'),(16,3229190,'1',203,'N'),(16,3229190,'1A',201,'N'),(16,3229211,'1',234,'N'),(16,3229220,'1',211,'N'),(16,3229220,'1A',233,'N'),(16,3229238,'1',103,'N'),(16,3229246,'1',103,'N'),(16,3229254,'1',451,'N'),(16,3229270,'1',301,'N'),(16,3229289,'1',103,'N'),(16,3229297,'1',404,'N'),(16,3229300,'1',302,'N'),(16,3229319,'1',216,'N'),(16,3229319,'1A',211,'N'),(16,3229327,'1',333,'N'),(16,3229335,'1',501,'N'),(16,3229351,'1',453,'N'),(16,3229360,'1',108,'N'),(16,3229378,'1',324,'N'),(16,3229386,'1',203,'N'),(16,3229386,'1A',233,'N'),(16,3229394,'1',203,'N'),(16,3229394,'1A',214,'N'),(16,3229408,'1',201,'N'),(16,3229408,'1A',203,'N'),(16,3229416,'1',317,'N'),(16,3229424,'1',101,'N'),(16,3229440,'1',327,'N'),(16,3229467,'1',211,'N'),(16,3229475,'1',203,'N'),(16,3229475,'1A',214,'N'),(16,3229483,'1',102,'N'),(16,3229491,'1',301,'N'),(16,3229505,'1',207,'N'),(16,3229505,'1A',201,'N'),(16,3229513,'1',203,'N'),(16,3229513,'1A',214,'N'),(16,3229521,'1',2,'N'),(16,3229530,'1',220,'N'),(16,3229530,'1A',208,'N'),(16,3229548,'1',108,'N'),(16,3229556,'1',429,'N'),(16,3229564,'1',233,'N'),(16,3229564,'1A',213,'N'),(16,3229580,'1',211,'N'),(16,3229580,'1A',212,'N'),(16,3229599,'1',301,'N'),(16,3229602,'1',340,'N'),(16,3229610,'1',103,'N'),(16,3229629,'1',201,'N'),(16,3229629,'1A',203,'N'),(16,3229637,'1',102,'N'),(16,3229645,'1',207,'N'),(16,3229645,'1A',201,'N'),(16,3229653,'1',203,'N'),(16,3229653,'1A',214,'N'),(16,3229661,'1',301,'N'),(16,3229670,'1',104,'N'),(16,3229688,'1',415,'N'),(16,3229696,'1',103,'N'),(16,3229700,'1',333,'N'),(16,3229718,'1',215,'N'),(16,3229718,'1A',212,'N'),(16,3229726,'1',103,'N'),(16,3229734,'1',444,'N'),(16,3229742,'1',203,'N'),(16,3229742,'1A',201,'N'),(16,3229750,'1',101,'N'),(16,3229769,'1',201,'N'),(16,3229769,'1A',214,'N'),(16,3229777,'1',423,'N'),(16,3229777,'1A',424,'N'),(16,3229785,'1',102,'N'),(16,3229793,'1',220,'N'),(16,3229793,'1A',208,'N'),(16,3229807,'1',340,'N'),(16,3229815,'1',203,'N'),(16,3229815,'1A',202,'N'),(16,3229823,'1',301,'N'),(16,3229840,'1',327,'N'),(16,3229866,'1',421,'N'),(16,3229866,'1A',424,'N'),(16,3229874,'1',301,'N'),(16,3229882,'1',103,'N'),(16,3229890,'1',415,'N'),(16,3229904,'1',202,'N'),(16,3229904,'1A',233,'N'),(16,3229912,'1',301,'N'),(16,3229947,'1',103,'N'),(16,3229955,'1',101,'N'),(16,3229963,'1',214,'N'),(16,3229963,'1A',220,'N'),(16,3229971,'1',303,'N'),(16,3229980,'1',238,'N'),(16,3229980,'1A',201,'N'),(16,3229998,'1',340,'N'),(16,3230007,'1',501,'N'),(16,3230015,'1',308,'N'),(16,3230023,'1',211,'N'),(16,3230023,'1A',215,'N'),(16,3230031,'1',103,'N'),(16,3230074,'1',103,'N'),(16,3230082,'1',5,'N'),(16,3230090,'1',214,'N'),(16,3230090,'1A',213,'N'),(16,3230104,'1',302,'N'),(16,3230112,'1',303,'N'),(16,3230120,'1',502,'N'),(16,3230139,'1',3,'N'),(16,3230147,'1',340,'N'),(16,3230155,'1',203,'N'),(16,3230155,'1A',233,'N'),(16,3230163,'1',340,'N'),(16,3230171,'1',211,'N'),(16,3230171,'1A',216,'N'),(16,3230180,'1',453,'N'),(16,3230198,'1',201,'N'),(16,3230198,'1A',214,'N'),(16,3230201,'1',340,'N'),(16,3230210,'1',203,'N'),(16,3230210,'1A',214,'N'),(16,3230228,'1',3,'N'),(16,3230236,'1',303,'N'),(16,3230244,'1',9,'N'),(16,3230252,'1',5,'N'),(16,3230260,'1',404,'N'),(16,3230279,'1',214,'N'),(16,3230287,'1',302,'N'),(16,3230309,'1',103,'N'),(16,3230317,'1',316,'N'),(16,3230333,'1',103,'N'),(16,3230341,'1',451,'N'),(16,3230350,'1',318,'N'),(16,3230368,'1',207,'N'),(16,3230368,'1A',211,'N'),(16,3230384,'1',238,'N'),(16,3230384,'1A',208,'N'),(16,3230392,'1',5,'N'),(16,3230406,'1',102,'N'),(16,3230414,'1',201,'N'),(16,3230422,'1',216,'N'),(16,3230422,'1A',215,'N'),(16,3230430,'1',103,'N'),(16,3230449,'1',104,'N'),(16,3230457,'1',108,'N'),(16,3230465,'1',9,'N'),(16,3230473,'1',238,'N'),(16,3230473,'1A',203,'N'),(16,3230481,'1',103,'N'),(16,3230490,'1',207,'N'),(16,3230490,'1A',233,'N'),(16,3230511,'1',212,'N'),(16,3230511,'1A',215,'N'),(16,3230520,'1',5,'N'),(16,3230538,'1',101,'N'),(16,3230546,'1',103,'N'),(16,3230554,'1',5,'N'),(16,3230562,'1',216,'N'),(16,3230562,'1A',233,'N'),(16,3230570,'1',427,'N'),(16,3230570,'1A',423,'N'),(16,3230589,'1',340,'N'),(16,3230597,'1',103,'N'),(16,3230619,'1',103,'N'),(16,3230627,'1',103,'N'),(16,3230635,'1',424,'N'),(16,3230635,'1A',421,'N'),(16,3230643,'1',201,'N'),(16,3230643,'1A',212,'N'),(16,3230660,'1',316,'N'),(16,3230678,'1',303,'N'),(16,3230686,'1',340,'N'),(16,3230694,'1',214,'N'),(16,3230694,'1A',212,'N'),(16,3230708,'1',208,'N'),(16,3230708,'1A',201,'N'),(16,3230716,'1',444,'N'),(16,3230724,'1',103,'N'),(16,3230740,'1',104,'N'),(16,3230759,'1',319,'N'),(16,3230767,'1',103,'N'),(16,3230775,'1',303,'N'),(16,3230783,'1',201,'N'),(16,3230783,'1A',238,'N'),(16,3230791,'1',501,'N'),(16,3230805,'1',103,'N'),(16,3230813,'1',309,'N'),(16,3230821,'1',103,'N'),(16,3230830,'1',304,'N'),(16,3230848,'1',302,'N'),(16,3230856,'1',501,'N'),(16,3230864,'1',301,'N'),(16,3230872,'1',224,'N'),(16,3230880,'1',331,'N'),(16,3230899,'1',103,'N'),(16,3230902,'1',103,'N'),(16,3230910,'1',9,'N'),(16,3230929,'1',103,'N'),(16,3230937,'1',101,'N'),(16,3230945,'1',319,'N'),(16,3230953,'1',208,'N'),(16,3230953,'1A',238,'N'),(16,3230961,'1',104,'N'),(16,3230970,'1',103,'N'),(16,3230996,'1',340,'N'),(16,3231003,'1',203,'N'),(16,3231003,'1A',214,'N'),(16,3231020,'1',444,'N'),(16,3231046,'1',301,'N'),(16,3231054,'1',103,'N'),(16,3231062,'1',233,'N'),(16,3231062,'1A',220,'N'),(16,3231070,'1',207,'N'),(16,3231070,'1A',201,'N'),(16,3231097,'1',316,'N'),(16,3231100,'1',203,'N'),(16,3231100,'1A',202,'N'),(16,3231119,'1',102,'N'),(16,3231127,'1',103,'N'),(16,3231135,'1',104,'N'),(16,3231143,'1',216,'N'),(16,3231143,'1A',202,'N'),(16,3231151,'1',212,'N'),(16,3231151,'1A',216,'N'),(16,3231160,'1',103,'N'),(16,3231178,'1',103,'N'),(16,3231186,'1',103,'N'),(16,3231194,'1',103,'N'),(16,3231208,'1',202,'N'),(16,3231208,'1A',213,'N'),(16,3231224,'1',303,'N'),(16,3231240,'1',303,'N'),(16,3231259,'1',103,'N'),(16,3231267,'1',103,'N'),(16,3231275,'1',207,'N'),(16,3231275,'1A',211,'N'),(16,3231283,'1',108,'N'),(16,3231291,'1',451,'N'),(16,3231305,'1',5,'N'),(16,3231313,'1',203,'N'),(16,3231313,'1A',238,'N'),(16,3231321,'1',103,'N'),(16,3231330,'1',216,'N'),(16,3231330,'1A',215,'N'),(16,3231348,'1',5,'N'),(16,3231356,'1',201,'N'),(16,3231356,'1A',207,'N'),(16,3231364,'1',103,'N'),(16,3231372,'1',103,'N'),(16,3231399,'1',207,'N'),(16,3231399,'1A',238,'N'),(16,3231402,'1',316,'N'),(16,3231410,'1',211,'N'),(16,3231429,'1',404,'N'),(16,3231437,'1',102,'N'),(16,3231445,'1',213,'N'),(16,3231445,'1A',202,'N'),(16,3231453,'1',104,'N'),(16,3231461,'1',5,'N'),(16,3231470,'1',211,'N'),(16,3231470,'1A',215,'N'),(16,3231488,'1',203,'N'),(16,3231488,'1A',201,'N'),(16,3231496,'1',103,'N'),(16,3231500,'1',103,'N'),(16,3231518,'1',415,'N'),(16,3231526,'1',301,'N'),(16,3231542,'1',103,'N'),(16,3231550,'1',104,'N'),(16,3231569,'1',2,'N'),(16,3231577,'1',450,'N'),(16,3231585,'1',318,'N'),(16,3231593,'1',303,'N'),(16,3231607,'1',332,'N'),(16,3231615,'1',102,'N'),(16,3231623,'1',104,'N'),(16,3231631,'1',303,'N'),(16,3231658,'1',333,'N'),(16,3231666,'1',207,'N'),(16,3231666,'1A',201,'N'),(16,3231674,'1',340,'N'),(16,3231682,'1',453,'N'),(16,3231690,'1',220,'N'),(16,3231690,'1A',203,'N'),(16,3231704,'1',429,'N'),(16,3231704,'1A',425,'N'),(16,3231712,'1',104,'N'),(16,3231747,'1',327,'N'),(16,3231755,'1',216,'N'),(16,3231755,'1A',203,'N'),(16,3231763,'1',340,'N'),(16,3231771,'1',333,'N'),(16,3231798,'1',207,'N'),(16,3231798,'1A',201,'N'),(16,3231801,'1',207,'N'),(16,3231801,'1A',201,'N'),(16,3231810,'1',201,'N'),(16,3231810,'1A',212,'N'),(16,3231828,'1',340,'N'),(16,3231844,'1',103,'N'),(16,3231852,'1',103,'N'),(16,3231860,'1',301,'N'),(16,3231887,'1',223,'N'),(16,3231895,'1',211,'N'),(16,3231895,'1A',215,'N'),(16,3231909,'1',220,'N'),(16,3231909,'1A',202,'N'),(16,3231917,'1',223,'N'),(16,3231941,'1',333,'N'),(16,3231950,'1',5,'N'),(16,3231968,'1',207,'N'),(16,3231968,'1A',201,'N'),(16,3231976,'1',216,'N'),(16,3231976,'1A',233,'N'),(16,3231984,'1',103,'N'),(16,3231992,'1',212,'N'),(16,3231992,'1A',233,'N'),(16,3232018,'1',108,'N'),(16,3232026,'1',102,'N'),(16,3232034,'1',317,'N'),(16,3232042,'1',108,'N'),(16,3232050,'1',104,'N'),(16,3232069,'1',301,'N'),(16,3232085,'1',108,'N'),(16,3232093,'1',213,'N'),(16,3232093,'1A',212,'N'),(16,3232107,'1',211,'N'),(16,3232107,'1A',233,'N'),(16,3232123,'1',501,'N'),(16,3232131,'1',202,'N'),(16,3232131,'1A',238,'N'),(16,3232140,'1',108,'N'),(16,3232158,'1',103,'N'),(16,3232166,'1',319,'N'),(16,3232174,'1',108,'N'),(16,3232182,'1',201,'N'),(16,3232190,'1',216,'N'),(16,3232190,'1A',211,'N'),(16,3232212,'1',104,'N'),(16,3232220,'1',319,'N'),(16,3232239,'1',103,'N'),(16,3232247,'1',203,'N'),(16,3232247,'1A',214,'N'),(16,3232255,'1',103,'N'),(16,3232263,'1',303,'N'),(16,3232271,'1',502,'N'),(16,3232280,'1',104,'N'),(16,3232298,'1',444,'N'),(16,3232301,'1',202,'N'),(16,3232301,'1A',201,'N'),(16,3232310,'1',103,'N'),(16,3232328,'1',425,'N'),(16,3232328,'1A',429,'N'),(16,3232336,'1',302,'N'),(16,3232344,'1',104,'N'),(16,3232352,'1',304,'N'),(16,3232360,'1',103,'N'),(16,3232379,'1',102,'N'),(16,3232387,'1',103,'N'),(16,3232409,'1',101,'N'),(16,3232417,'1',233,'N'),(16,3232417,'1A',238,'N'),(16,3232425,'1',304,'N'),(16,3232433,'1',216,'N'),(16,3232433,'1A',211,'N'),(16,3232441,'1',216,'N'),(16,3232441,'1A',207,'N'),(16,3232450,'1',303,'N'),(16,3232468,'1',317,'N'),(16,3232476,'1',207,'N'),(16,3232476,'1A',211,'N'),(16,3232484,'1',203,'N'),(16,3232484,'1A',214,'N'),(16,3232492,'1',5,'N'),(16,3232506,'1',103,'N'),(16,3232514,'1',103,'N'),(16,3232522,'1',5,'N'),(16,3232530,'1',211,'N'),(16,3232530,'1A',215,'N'),(16,3232549,'1',201,'N'),(16,3232549,'1A',215,'N'),(16,3232557,'1',301,'N'),(16,3232573,'1',453,'N'),(16,3232581,'1',302,'N'),(16,3232590,'1',303,'N'),(16,3232603,'1',102,'N'),(16,3232611,'1',303,'N'),(16,3232620,'1',220,'N'),(16,3232620,'1A',233,'N'),(16,3232638,'1',452,'N'),(16,3232654,'1',308,'N'),(16,3232662,'1',316,'N'),(16,3232670,'1',332,'N'),(16,3232689,'1',302,'N'),(16,3232700,'1',103,'N'),(16,3232719,'1',301,'N'),(16,3232727,'1',201,'N'),(16,3232727,'1A',211,'N'),(16,3232735,'1',208,'N'),(16,3232735,'1A',220,'N'),(16,3232743,'1',201,'N'),(16,3232743,'1A',202,'N'),(16,3232751,'1',302,'N'),(16,3232760,'1',203,'N'),(16,3232760,'1A',208,'N'),(16,3232778,'1',211,'N'),(16,3232778,'1A',215,'N'),(16,3232786,'1',103,'N'),(16,3232794,'1',301,'N'),(16,3232808,'1',103,'N'),(16,3232816,'1',501,'N'),(16,3232824,'1',207,'N'),(16,3232824,'1A',201,'N'),(16,3232832,'1',319,'N'),(16,3232840,'1',103,'N'),(16,3232859,'1',5,'N'),(16,3232867,'1',9,'N'),(16,3232875,'1',103,'N'),(16,3232883,'1',301,'N'),(16,3232891,'1',104,'N'),(16,3232905,'1',238,'N'),(16,3232905,'1A',208,'N'),(16,3232913,'1',5,'N'),(16,3232948,'1',103,'N'),(16,3232956,'1',201,'N'),(16,3232956,'1A',211,'N'),(16,3232964,'1',2,'N'),(16,3232972,'1',5,'N'),(16,3232980,'1',103,'N'),(16,3232999,'1',103,'N'),(16,3233006,'1',207,'N'),(16,3233006,'1A',201,'N'),(16,3233014,'1',103,'N'),(16,3233022,'1',203,'N'),(16,3233022,'1A',214,'N'),(16,3233030,'1',301,'N'),(16,3233057,'1',103,'N'),(16,3233065,'1',317,'N'),(16,3233073,'1',9,'N'),(16,3233081,'1',332,'N'),(16,3233090,'1',415,'N'),(16,3233103,'1',319,'N'),(16,3233111,'1',201,'N'),(16,3233111,'1A',212,'N'),(16,3233120,'1',103,'N'),(16,3233138,'1',333,'N'),(16,3233146,'1',340,'N'),(16,3233154,'1',340,'N'),(16,3233162,'1',340,'N'),(16,3233170,'1',420,'N'),(16,3233197,'1',207,'N'),(16,3233197,'1A',238,'N'),(16,3233200,'1',103,'N'),(16,3233219,'1',303,'N'),(16,3233227,'1',318,'N'),(16,3233235,'1',303,'N'),(16,3233243,'1',101,'N'),(16,3233260,'1',203,'N'),(16,3233278,'1',415,'N'),(16,3233286,'1',301,'N'),(16,3233294,'1',319,'N'),(16,3233308,'1',101,'N'),(16,3233316,'1',220,'N'),(16,3233316,'1A',203,'N'),(16,3233324,'1',308,'N'),(16,3233332,'1',301,'N'),(16,3233340,'1',316,'N'),(16,3233359,'1',207,'N'),(16,3233359,'1A',211,'N'),(16,3233367,'1',103,'N'),(16,3233375,'1',238,'N'),(16,3233375,'1A',208,'N'),(16,3233383,'1',302,'N'),(16,3233391,'1',203,'N'),(16,3233391,'1A',216,'N'),(16,3233405,'1',201,'N'),(16,3233405,'1A',212,'N'),(16,3233413,'1',104,'N'),(16,3233421,'1',327,'N'),(16,3233430,'1',450,'N'),(16,3233448,'1',328,'N'),(16,3233456,'1',302,'N'),(16,3233464,'1',326,'N'),(16,3233472,'1',425,'N'),(16,3233472,'1A',429,'N'),(16,3233480,'1',220,'N'),(16,3233480,'1A',214,'N'),(16,3233499,'1',201,'N'),(16,3233499,'1A',202,'N'),(16,3233502,'1',421,'N'),(16,3233502,'1A',429,'N'),(16,3233510,'1',415,'N'),(16,3233529,'1',207,'N'),(16,3233529,'1A',215,'N'),(16,3233537,'1',103,'N'),(16,3233545,'1',304,'N'),(16,3233553,'1',3,'N'),(16,3233561,'1',103,'N'),(16,3233570,'1',103,'N'),(16,3233588,'1',213,'N'),(16,3233588,'1A',202,'N'),(16,3233596,'1',103,'N'),(16,3233600,'1',103,'N'),(16,3233618,'1',340,'N'),(16,3233626,'1',201,'N'),(16,3233626,'1A',207,'N'),(16,3233634,'1',5,'N'),(16,3233642,'1',214,'N'),(16,3233642,'1A',220,'N'),(16,3233650,'1',324,'N'),(16,3233669,'1',216,'N'),(16,3233669,'1A',215,'N'),(16,3233677,'1',233,'N'),(16,3233677,'1A',215,'N'),(16,3233707,'1',452,'N'),(16,3233715,'1',216,'N'),(16,3233715,'1A',233,'N'),(16,3233723,'1',302,'N'),(16,3233731,'1',238,'N'),(16,3233731,'1A',208,'N'),(16,3233740,'1',308,'N'),(16,3233758,'1',108,'N'),(16,3233766,'1',332,'N'),(16,3233774,'1',202,'N'),(16,3233774,'1A',203,'N'),(16,3233790,'1',5,'N'),(16,3233804,'1',9,'N'),(16,3233812,'1',103,'N'),(16,3233820,'1',319,'N'),(16,3233839,'1',102,'N'),(16,3233855,'1',233,'N'),(16,3233855,'1A',220,'N'),(16,3233871,'1',502,'N'),(16,3233880,'1',103,'N'),(16,3233898,'1',102,'N'),(16,3233901,'1',303,'N'),(16,3233910,'1',103,'N'),(16,3233936,'1',303,'N'),(16,3233944,'1',303,'N'),(16,3233952,'1',328,'N'),(16,3233960,'1',216,'N'),(16,3233960,'1A',212,'N'),(16,3233987,'1',201,'N'),(16,3233987,'1A',203,'N'),(16,3233995,'1',5,'N'),(16,3234010,'1',340,'N'),(16,3234029,'1',208,'N'),(16,3234029,'1A',220,'N'),(16,3234037,'1',103,'N'),(16,3234045,'1',340,'N'),(16,3234053,'1',103,'N'),(16,3234070,'1',207,'N'),(16,3234070,'1A',201,'N'),(16,3234088,'1',238,'N'),(16,3234088,'1A',208,'N'),(16,3234096,'1',103,'N'),(16,3234100,'1',103,'N'),(16,3234118,'1',201,'N'),(16,3234118,'1A',233,'N'),(16,3234126,'1',302,'N'),(16,3234142,'1',238,'N'),(16,3234142,'1A',208,'N'),(16,3234150,'1',103,'N'),(16,3234169,'1',303,'N'),(16,3234185,'1',208,'N'),(16,3234185,'1A',213,'N'),(16,3234193,'1',309,'N'),(16,3234207,'1',104,'N'),(16,3234215,'1',211,'N'),(16,3234215,'1A',233,'N'),(16,3234223,'1',303,'N'),(16,3234231,'1',202,'N'),(16,3234231,'1A',213,'N'),(16,3234240,'1',220,'N'),(16,3234240,'1A',214,'N'),(16,3234258,'1',304,'N'),(16,3234266,'1',103,'N'),(16,3234274,'1',201,'N'),(16,3234274,'1A',203,'N'),(16,3234290,'1',103,'N'),(16,3234304,'1',301,'N'),(16,3234312,'1',103,'N'),(16,3234320,'1',304,'N'),(16,3234347,'1',302,'N'),(16,3234355,'1',303,'N'),(16,3234363,'1',103,'N'),(16,3234371,'1',201,'N'),(16,3234371,'1A',207,'N'),(16,3234380,'1',215,'N'),(16,3234380,'1A',213,'N'),(16,3234398,'1',303,'N'),(16,3234401,'1',317,'N'),(16,3234410,'1',404,'N'),(16,3234436,'1',340,'N'),(16,3234444,'1',404,'N'),(16,3234452,'1',319,'N'),(16,3234460,'1',108,'N'),(16,3234487,'1',220,'N'),(16,3234487,'1A',203,'N'),(16,3234509,'1',216,'N'),(16,3234509,'1A',203,'N'),(16,3234517,'1',203,'N'),(16,3234517,'1A',220,'N'),(16,3234533,'1',103,'N'),(16,3234550,'1',302,'N'),(16,3234568,'1',103,'N'),(16,3234576,'1',108,'N'),(16,3234584,'1',502,'N'),(16,3234606,'1',319,'N'),(16,3234614,'1',103,'N'),(16,3234622,'1',211,'N'),(16,3234622,'1A',212,'N'),(16,3234630,'1',308,'N'),(16,3234649,'1',207,'N'),(16,3234649,'1A',201,'N'),(16,3234657,'1',207,'N'),(16,3234657,'1A',201,'N'),(16,3234665,'1',316,'N'),(16,3234673,'1',103,'N'),(16,3234681,'1',202,'N'),(16,3234681,'1A',233,'N'),(16,3234690,'1',102,'N'),(16,3234703,'1',303,'N'),(16,3234711,'1',303,'N'),(16,3234720,'1',215,'N'),(16,3234720,'1A',207,'N'),(16,3234738,'1',201,'N'),(16,3234738,'1A',203,'N'),(16,3234746,'1',103,'N'),(16,3234754,'1',303,'N'),(16,3234762,'1',340,'N'),(16,3234770,'1',214,'N'),(16,3234770,'1A',203,'N'),(16,3234789,'1',428,'N'),(16,3234789,'1A',426,'N'),(16,3234797,'1',238,'N'),(16,3234800,'1',319,'N'),(16,3234827,'1',220,'N'),(16,3234827,'1A',208,'N'),(16,3234835,'1',238,'N'),(16,3234835,'1A',208,'N'),(16,3234843,'1',303,'N'),(16,3234851,'1',502,'N'),(16,3234878,'1',453,'N'),(16,3234886,'1',223,'N'),(16,3234894,'1',309,'N'),(16,3234908,'1',5,'N'),(16,3234916,'1',103,'N'),(16,3234924,'1',208,'N'),(16,3234924,'1A',238,'N'),(16,3234932,'1',103,'N'),(16,3234959,'1',201,'N'),(16,3234959,'1A',212,'N'),(16,3234967,'1',309,'N'),(16,3234975,'1',9,'N'),(16,3234983,'1',103,'N'),(16,3234991,'1',308,'N'),(16,3235009,'1',103,'N'),(16,3235017,'1',319,'N'),(16,3235025,'1',426,'N'),(16,3235025,'1A',425,'N'),(16,3235033,'1',103,'N'),(16,3235041,'1',5,'N'),(16,3235050,'1',207,'N'),(16,3235050,'1A',201,'N'),(16,3235076,'1',453,'N'),(16,3235084,'1',216,'N'),(16,3235084,'1A',207,'N'),(16,3235092,'1',215,'N'),(16,3235092,'1A',212,'N'),(16,3235106,'1',415,'N'),(16,3235114,'1',301,'N'),(16,3235122,'1',304,'N'),(16,3235130,'1',202,'N'),(16,3235130,'1A',208,'N'),(16,3235149,'1',207,'N'),(16,3235157,'1',324,'N'),(16,3235165,'1',238,'N'),(16,3235165,'1A',201,'N'),(16,3235173,'1',340,'N'),(16,3235181,'1',103,'N'),(16,3235190,'1',108,'N'),(16,3235211,'1',319,'N'),(16,3235220,'1',104,'N'),(16,3235238,'1',318,'N'),(16,3235246,'1',201,'N'),(16,3235246,'1A',207,'N'),(16,3235254,'1',9,'N'),(16,3235262,'1',238,'N'),(16,3235262,'1A',213,'N'),(16,3235270,'1',103,'N'),(16,3235289,'1',203,'N'),(16,3235289,'1A',214,'N'),(16,3235297,'1',103,'N'),(16,3235300,'1',101,'N'),(16,3235319,'1',103,'N'),(16,3235327,'1',308,'N'),(16,3235335,'1',203,'N'),(16,3235335,'1A',208,'N'),(16,3235351,'1',104,'N'),(16,3235378,'1',103,'N'),(16,3235386,'1',452,'N'),(16,3235394,'1',203,'N'),(16,3235394,'1A',216,'N'),(16,3235416,'1',238,'N'),(16,3235416,'1A',201,'N'),(16,3235424,'1',207,'N'),(16,3235424,'1A',201,'N'),(16,3235432,'1',211,'N'),(16,3235432,'1A',215,'N'),(16,3235440,'1',309,'N'),(16,3235459,'1',211,'N'),(16,3235459,'1A',216,'N'),(16,3235467,'1',203,'N'),(16,3235467,'1A',207,'N'),(16,3235475,'1',303,'N'),(16,3235483,'1',421,'N'),(16,3235483,'1A',425,'N'),(16,3235491,'1',103,'N'),(16,3235505,'1',103,'N'),(16,3235513,'1',238,'N'),(16,3235513,'1A',211,'N'),(16,3235521,'1',108,'N'),(16,3235548,'1',220,'N'),(16,3235548,'1A',216,'N'),(16,3235556,'1',213,'N'),(16,3235556,'1A',233,'N'),(16,3235564,'1',450,'N'),(16,3235572,'1',332,'N'),(16,3235580,'1',103,'N'),(16,3235599,'1',301,'N'),(16,3235602,'1',103,'N'),(16,3235629,'1',220,'N'),(16,3235629,'1A',203,'N'),(16,3235637,'1',316,'N'),(16,3235645,'1',233,'N'),(16,3235645,'1A',212,'N'),(16,3235653,'1',103,'N'),(16,3235661,'1',103,'N'),(16,3235670,'1',340,'N'),(16,3235696,'1',103,'N'),(16,3235700,'1',208,'N'),(16,3235700,'1A',203,'N'),(16,3235718,'1',108,'N'),(16,3235726,'1',316,'N'),(16,3235734,'1',203,'N'),(16,3235734,'1A',214,'N'),(16,3235742,'1',104,'N'),(16,3235750,'1',104,'N'),(16,3235769,'1',216,'N'),(16,3235769,'1A',215,'N'),(16,3235777,'1',320,'N'),(16,3235785,'1',502,'N'),(16,3235793,'1',207,'N'),(16,3235793,'1A',212,'N'),(16,3235807,'1',103,'N'),(16,3235815,'1',216,'N'),(16,3235815,'1A',202,'N'),(16,3235831,'1',201,'N'),(16,3235831,'1A',208,'N'),(16,3235858,'1',301,'N'),(16,3235866,'1',304,'N'),(16,3235874,'1',208,'N'),(16,3235874,'1A',238,'N'),(16,3235882,'1',303,'N'),(16,3235890,'1',404,'N'),(16,3235904,'1',207,'N'),(16,3235904,'1A',201,'N'),(16,3235912,'1',104,'N'),(16,3235920,'1',103,'N'),(16,3235939,'1',103,'N'),(16,3235947,'1',202,'N'),(16,3235947,'1A',213,'N'),(16,3235963,'1',340,'N'),(16,3235971,'1',207,'N'),(16,3235971,'1A',201,'N'),(16,3235980,'1',213,'N'),(16,3235980,'1A',202,'N'),(16,3235998,'1',202,'N'),(16,3235998,'1A',238,'N'),(16,3236005,'1',208,'N'),(16,3236005,'1A',238,'N'),(16,3236013,'1',203,'N'),(16,3236013,'1A',202,'N'),(16,3236021,'1',201,'N'),(16,3236021,'1A',203,'N'),(16,3236030,'1',103,'N'),(16,3236048,'1',423,'N'),(16,3236048,'1A',425,'N'),(16,3236056,'1',103,'N'),(16,3236064,'1',207,'N'),(16,3236064,'1A',208,'N'),(16,3236072,'1',208,'N'),(16,3236072,'1A',238,'N'),(16,3236102,'1',309,'N'),(16,3236110,'1',103,'N'),(16,3236129,'1',211,'N'),(16,3236129,'1A',233,'N'),(16,3236137,'1',101,'N'),(16,3236153,'1',404,'N'),(16,3236161,'1',201,'N'),(16,3236161,'1A',212,'N'),(16,3236170,'1',207,'N'),(16,3236170,'1A',201,'N'),(16,3236188,'1',103,'N'),(16,3236196,'1',238,'N'),(16,3236196,'1A',208,'N'),(16,3236200,'1',202,'N'),(16,3236200,'1A',233,'N'),(16,3236218,'1',211,'N'),(16,3236218,'1A',212,'N'),(16,3236226,'1',104,'N'),(16,3236234,'1',301,'N'),(16,3236242,'1',103,'N'),(16,3236250,'1',234,'N'),(16,3236269,'1',207,'N'),(16,3236269,'1A',238,'N'),(16,3236277,'1',234,'N'),(16,3236307,'1',207,'N'),(16,3236307,'1A',201,'N'),(16,3236323,'1',207,'N'),(16,3236323,'1A',211,'N'),(16,3236331,'1',212,'N'),(16,3236340,'1',103,'N'),(16,3236358,'1',103,'N'),(16,3236366,'1',201,'N'),(16,3236366,'1A',214,'N'),(16,3236374,'1',502,'N'),(16,3236390,'1',207,'N'),(16,3236390,'1A',201,'N'),(16,3236412,'1',215,'N'),(16,3236420,'1',207,'N'),(16,3236447,'1',415,'N'),(16,3236463,'1',103,'N'),(16,3236471,'1',238,'N'),(16,3236471,'1A',208,'N'),(16,3236480,'1',103,'N'),(16,3236498,'1',301,'N'),(16,3236501,'1',503,'N'),(16,3236510,'1',208,'N'),(16,3236510,'1A',238,'N'),(16,3236528,'1',207,'N'),(16,3236528,'1A',233,'N'),(16,3236536,'1',104,'N'),(16,3236544,'1',103,'N'),(16,3236552,'1',5,'N'),(16,3236560,'1',3,'N'),(16,3236579,'1',303,'N'),(16,3236587,'1',104,'N'),(16,3236595,'1',103,'N'),(16,3236609,'1',103,'N'),(16,3236617,'1',203,'N'),(16,3236617,'1A',214,'N'),(16,3236625,'1',208,'N'),(16,3236625,'1A',238,'N'),(16,3236633,'1',103,'N'),(16,3236641,'1',340,'N'),(16,3236650,'1',103,'N'),(16,3236668,'1',339,'N'),(16,3236676,'1',103,'N'),(16,3236684,'1',211,'N'),(16,3236684,'1A',212,'N'),(16,3236692,'1',203,'N'),(16,3236692,'1A',220,'N'),(16,3236706,'1',220,'N'),(16,3236714,'1',225,'N'),(16,3236730,'1',331,'N'),(16,3236749,'1',404,'N'),(16,3236757,'1',238,'N'),(16,3236757,'1A',208,'N'),(16,3236765,'1',208,'N'),(16,3236773,'1',216,'N'),(16,3236773,'1A',215,'N'),(16,3236790,'1',103,'N'),(16,3236803,'1',329,'N'),(16,3236820,'1',104,'N'),(16,3236838,'1',340,'N'),(16,3236846,'1',502,'N'),(16,3236854,'1',420,'N'),(16,3236862,'1',501,'N'),(16,3236870,'1',211,'N'),(16,3236870,'1A',215,'N'),(16,3236889,'1',103,'N'),(16,3236897,'1',428,'N'),(16,3236897,'1A',429,'N'),(16,3236900,'1',333,'N'),(16,3236919,'1',207,'N'),(16,3236919,'1A',214,'N'),(16,3236927,'1',202,'N'),(16,3236927,'1A',203,'N'),(16,3236935,'1',316,'N'),(16,3236943,'1',451,'N'),(16,3236951,'1',216,'N'),(16,3236951,'1A',215,'N'),(16,3236960,'1',207,'N'),(16,3236960,'1A',212,'N'),(16,3236978,'1',319,'N'),(16,3236986,'1',303,'N'),(16,3236994,'1',102,'N'),(16,3237001,'1',220,'N'),(16,3237001,'1A',203,'N'),(16,3237010,'1',223,'N'),(16,3237028,'1',234,'N'),(16,3237036,'1',224,'N'),(16,3237044,'1',103,'N'),(16,3237052,'1',104,'N'),(16,3237060,'1',220,'N'),(16,3237060,'1A',203,'N'),(16,3237079,'1',103,'N'),(16,3237087,'1',303,'N'),(16,3237095,'1',103,'N'),(16,3237117,'1',318,'N'),(16,3237125,'1',103,'N'),(16,3237133,'1',450,'N'),(16,3237141,'1',303,'N'),(16,3237150,'1',103,'N'),(16,3237168,'1',309,'N'),(16,3237176,'1',303,'N'),(16,3237184,'1',303,'N'),(16,3237192,'1',220,'N'),(16,3237192,'1A',202,'N'),(16,3237206,'1',103,'N'),(16,3237214,'1',203,'N'),(16,3237214,'1A',214,'N'),(16,3237222,'1',302,'N'),(16,3237249,'1',103,'N'),(16,3237257,'1',340,'N'),(16,3237265,'1',103,'N'),(16,3237281,'1',5,'N'),(16,3237290,'1',103,'N'),(16,3237303,'1',203,'N'),(16,3237303,'1A',202,'N'),(16,3237311,'1',415,'N'),(16,3237320,'1',211,'N'),(16,3237320,'1A',208,'N'),(16,3237338,'1',452,'N'),(16,3237354,'1',428,'N'),(16,3237354,'1A',424,'N'),(16,3237362,'1',301,'N'),(16,3237370,'1',450,'N'),(16,3237400,'1',203,'N'),(16,3237400,'1A',202,'N'),(16,3237427,'1',303,'N'),(16,3237435,'1',102,'N'),(16,3237443,'1',103,'N'),(16,3237451,'1',104,'N'),(16,3237460,'1',102,'N'),(16,3237478,'1',220,'N'),(16,3237478,'1A',203,'N'),(16,3237486,'1',317,'N'),(16,3237494,'1',503,'N'),(16,3237516,'1',425,'N'),(16,3237524,'1',207,'N'),(16,3237524,'1A',211,'N'),(16,3237540,'1',301,'N'),(16,3237559,'1',104,'N'),(16,3237567,'1',318,'N'),(16,3237575,'1',317,'N'),(16,3237583,'1',104,'N'),(16,3237591,'1',310,'N'),(16,3237605,'1',238,'N'),(16,3237605,'1A',208,'N'),(16,3237613,'1',502,'N'),(16,3237630,'1',451,'N'),(16,3237648,'1',301,'N'),(16,3237664,'1',2,'N'),(16,3237672,'1',303,'N'),(16,3237680,'1',425,'N'),(16,3237680,'1A',426,'N'),(16,3237702,'1',103,'N'),(16,3237710,'1',450,'N'),(16,3237729,'1',208,'N'),(16,3237729,'1A',214,'N'),(16,3237737,'1',453,'N'),(16,3237745,'1',420,'N'),(16,3237753,'1',101,'N'),(16,3237761,'1',302,'N'),(16,3237770,'1',103,'N'),(16,3237788,'1',451,'N'),(16,3237796,'1',214,'N'),(16,3237796,'1A',203,'N'),(16,3237800,'1',233,'N'),(16,3237800,'1A',211,'N'),(16,3237826,'1',103,'N'),(16,3237842,'1',203,'N'),(16,3237850,'1',208,'N'),(16,3237850,'1A',238,'N'),(16,3237869,'1',423,'N'),(16,3237869,'1A',429,'N'),(16,3237877,'1',103,'N'),(16,3237885,'1',339,'N'),(16,3237893,'1',340,'N'),(16,3237907,'1',211,'N'),(16,3237907,'1A',207,'N'),(16,3237915,'1',326,'N'),(16,3237923,'1',202,'N'),(16,3237931,'1',317,'N'),(16,3237940,'1',103,'N'),(16,3237958,'1',103,'N'),(16,3237966,'1',103,'N'),(16,3237974,'1',429,'N'),(16,3237974,'1A',424,'N'),(16,3237982,'1',309,'N'),(16,3237990,'1',5,'N'),(16,3238008,'1',225,'N'),(16,3238016,'1',103,'N'),(16,3238024,'1',9,'N'),(16,3238032,'1',317,'N'),(16,3238040,'1',317,'N'),(16,3238059,'1',308,'N'),(16,3238067,'1',420,'N'),(16,3238075,'1',220,'N'),(16,3238075,'1A',202,'N'),(16,3238083,'1',103,'N'),(16,3238091,'1',317,'N'),(16,3238105,'1',304,'N'),(16,3238121,'1',404,'N'),(16,3238130,'1',317,'N'),(16,3238148,'1',238,'N'),(16,3238148,'1A',208,'N'),(16,3238156,'1',328,'N'),(16,3238164,'1',207,'N'),(16,3238164,'1A',201,'N'),(16,3238172,'1',101,'N'),(16,3238180,'1',326,'N'),(16,3238199,'1',103,'N'),(16,3238202,'1',301,'N'),(16,3238229,'1',103,'N'),(16,3238237,'1',2,'N'),(16,3238245,'1',104,'N'),(16,3238253,'1',104,'N'),(16,3238261,'1',302,'N'),(16,3238270,'1',220,'N'),(16,3238270,'1A',208,'N'),(16,3238288,'1',404,'N'),(16,3238296,'1',103,'N'),(16,3238300,'1',208,'N'),(16,3238300,'1A',238,'N'),(16,3238318,'1',101,'N'),(16,3238326,'1',103,'N'),(16,3238334,'1',103,'N'),(16,3238342,'1',301,'N'),(16,3238350,'1',333,'N'),(16,3238369,'1',329,'N'),(16,3238377,'1',429,'N'),(16,3238377,'1A',428,'N'),(16,3238385,'1',450,'N'),(16,3238393,'1',201,'N'),(16,3238393,'1A',211,'N'),(16,3238407,'1',101,'N'),(16,3238415,'1',208,'N'),(16,3238415,'1A',238,'N'),(16,3238423,'1',103,'N'),(16,3238458,'1',103,'N'),(16,3238466,'1',318,'N'),(16,3238474,'1',415,'N'),(16,3238482,'1',421,'N'),(16,3238482,'1A',427,'N'),(16,3238490,'1',212,'N'),(16,3238490,'1A',207,'N'),(16,3238504,'1',222,'N'),(16,3238512,'1',103,'N'),(16,3238520,'1',304,'N'),(16,3238539,'1',320,'N'),(16,3238555,'1',103,'N'),(16,3238563,'1',316,'N'),(16,3238571,'1',304,'N'),(16,3238580,'1',415,'N'),(16,3238598,'1',223,'N'),(16,3238601,'1',208,'N'),(16,3238601,'1A',238,'N'),(16,3238610,'1',9,'N'),(16,3238628,'1',101,'N'),(16,3238636,'1',103,'N'),(16,3238644,'1',103,'N'),(16,3238652,'1',102,'N'),(16,3238660,'1',203,'N'),(16,3238660,'1A',233,'N'),(16,3238679,'1',329,'N'),(16,3238687,'1',101,'N'),(16,3238695,'1',303,'N'),(16,3238709,'1',309,'N'),(16,3238717,'1',308,'N'),(16,3238725,'1',5,'N'),(16,3238733,'1',319,'N'),(16,3238741,'1',233,'N'),(16,3238741,'1A',211,'N'),(16,3238750,'1',238,'N'),(16,3238750,'1A',208,'N'),(16,3238768,'1',339,'N'),(16,3238776,'1',319,'N'),(16,3238784,'1',319,'N'),(16,3238792,'1',103,'N'),(16,3238806,'1',404,'N'),(16,3238814,'1',207,'N'),(16,3238814,'1A',212,'N'),(16,3238822,'1',207,'N'),(16,3238822,'1A',212,'N'),(16,3238830,'1',316,'N'),(16,3238849,'1',301,'N'),(16,3238857,'1',222,'N'),(16,3238865,'1',316,'N'),(16,3238873,'1',304,'N'),(16,3238881,'1',308,'N'),(16,3238903,'1',453,'N'),(16,3238911,'1',238,'N'),(16,3238911,'1A',208,'N'),(16,3238920,'1',304,'N'),(16,3238938,'1',316,'N'),(16,3238946,'1',225,'N'),(16,3238954,'1',303,'N'),(16,3238962,'1',208,'N'),(16,3238962,'1A',238,'N'),(16,3238970,'1',317,'N'),(16,3238989,'1',339,'N'),(16,3238997,'1',101,'N'),(16,3239004,'1',333,'N'),(16,3239020,'1',104,'N'),(16,3239039,'1',201,'N'),(16,3239039,'1A',212,'N'),(16,3239047,'1',310,'N'),(16,3239055,'1',103,'N'),(16,3239071,'1',103,'N'),(16,3239080,'1',318,'N'),(16,3239098,'1',103,'N'),(16,3239101,'1',208,'N'),(16,3239101,'1A',233,'N'),(16,3239110,'1',320,'N'),(16,3239128,'1',302,'N'),(16,3239136,'1',103,'N'),(16,3239144,'1',211,'N'),(16,3239144,'1A',214,'N'),(16,3239152,'1',340,'N'),(16,3239179,'1',424,'N'),(16,3239187,'1',211,'N'),(16,3239187,'1A',216,'N'),(16,3239195,'1',429,'N'),(16,3239217,'1',212,'N'),(16,3239217,'1A',216,'N'),(16,3239233,'1',310,'N'),(16,3239241,'1',415,'N'),(16,3239250,'1',104,'N'),(16,3239268,'1',340,'N'),(16,3239276,'1',420,'N'),(16,3239284,'1',425,'N'),(16,3239284,'1A',429,'N'),(16,3239292,'1',103,'N'),(16,3239306,'1',319,'N'),(16,3239314,'1',316,'N'),(16,3239322,'1',103,'N'),(16,3239330,'1',304,'N'),(16,3239349,'1',303,'N'),(16,3239357,'1',303,'N'),(16,3239365,'1',318,'N'),(16,3239373,'1',332,'N'),(16,3239381,'1',108,'N'),(16,3239390,'1',213,'N'),(16,3239390,'1A',233,'N'),(16,3239403,'1',103,'N'),(16,3239411,'1',104,'N'),(16,3239420,'1',302,'N'),(16,3239438,'1',103,'N'),(16,3239446,'1',223,'N'),(16,3239462,'1',103,'N'),(16,3239470,'1',340,'N'),(16,3239489,'1',450,'N'),(16,3239497,'1',201,'N'),(16,3239497,'1A',212,'N'),(16,3239500,'1',453,'N'),(16,3239519,'1',324,'N'),(16,3239527,'1',103,'N'),(16,3239535,'1',328,'N'),(16,3239543,'1',238,'N'),(16,3239543,'1A',208,'N'),(16,3239551,'1',302,'N'),(16,3239560,'1',103,'N'),(16,3239578,'1',450,'N'),(16,3239586,'1',201,'N'),(16,3239586,'1A',212,'N'),(16,3239594,'1',501,'N'),(16,3239608,'1',302,'N'),(16,3239616,'1',214,'N'),(16,3239616,'1A',212,'N'),(16,3239624,'1',102,'N'),(16,3239632,'1',420,'N'),(16,3239640,'1',5,'N'),(16,3239659,'1',103,'N'),(16,3239667,'1',103,'N'),(16,3239675,'1',103,'N'),(16,3239683,'1',211,'N'),(16,3239683,'1A',208,'N'),(16,3239713,'1',104,'N'),(16,3239721,'1',223,'N'),(16,3239730,'1',444,'N'),(16,3239748,'1',318,'N'),(16,3239756,'1',207,'N'),(16,3239764,'1',450,'N'),(16,3239772,'1',452,'N'),(16,3239780,'1',207,'N'),(16,3239780,'1A',201,'N'),(16,3239799,'1',333,'N'),(16,3239802,'1',420,'N'),(16,3239810,'1',104,'N'),(16,3239829,'1',303,'N'),(16,3239837,'1',207,'N'),(16,3239837,'1A',233,'N'),(16,3239845,'1',103,'N'),(16,3239853,'1',304,'N'),(16,3239861,'1',9,'N'),(16,3239870,'1',340,'N'),(16,3239888,'1',333,'N'),(16,3239896,'1',319,'N'),(16,3239918,'1',320,'N'),(16,3239926,'1',421,'N'),(16,3239926,'1A',428,'N'),(16,3239934,'1',103,'N'),(16,3239942,'1',320,'N'),(16,3239950,'1',316,'N'),(16,3239969,'1',238,'N'),(16,3239969,'1A',208,'N'),(16,3239977,'1',103,'N'),(16,3239985,'1',212,'N'),(16,3239985,'1A',211,'N'),(16,3239993,'1',213,'N'),(16,3239993,'1A',220,'N'),(16,3240002,'1',301,'N'),(16,3240010,'1',5,'N'),(16,3240029,'1',103,'N'),(16,3240037,'1',304,'N'),(16,3240045,'1',103,'N'),(16,3240053,'1',303,'N'),(16,3240061,'1',444,'N'),(16,3240070,'1',101,'N'),(16,3240088,'1',303,'N'),(16,3240096,'1',213,'N'),(16,3240100,'1',201,'N'),(16,3240100,'1A',214,'N'),(16,3240118,'1',208,'N'),(16,3240118,'1A',238,'N'),(16,3240126,'1',415,'N'),(16,3240134,'1',453,'N'),(16,3240142,'1',319,'N'),(16,3240150,'1',301,'N'),(16,3240169,'1',103,'N'),(16,3240177,'1',234,'N'),(16,3240185,'1',316,'N'),(16,3240193,'1',327,'N'),(16,3240207,'1',427,'N'),(16,3240215,'1',103,'N'),(16,3240223,'1',234,'N'),(16,3240231,'1',104,'N'),(16,3240240,'1',203,'N'),(16,3240240,'1A',233,'N'),(16,3240258,'1',444,'N'),(16,3240266,'1',328,'N'),(16,3240274,'1',238,'N'),(16,3240274,'1A',211,'N'),(16,3240282,'1',207,'N'),(16,3240282,'1A',211,'N'),(16,3240290,'1',340,'N'),(16,3240304,'1',203,'N'),(16,3240304,'1A',214,'N'),(16,3240312,'1',223,'N'),(16,3240320,'1',238,'N'),(16,3240320,'1A',208,'N'),(16,3240339,'1',309,'N'),(16,3240347,'1',103,'N'),(16,3240363,'1',220,'N'),(16,3240363,'1A',202,'N'),(16,3240380,'1',201,'N'),(16,3240380,'1A',212,'N'),(16,3240398,'1',208,'N'),(16,3240398,'1A',207,'N'),(16,3240401,'1',234,'N'),(16,3240410,'1',208,'N'),(16,3240444,'1',103,'N'),(16,3240452,'1',425,'N'),(16,3240452,'1A',428,'N'),(16,3240460,'1',225,'N'),(16,3240487,'1',420,'N'),(16,3240495,'1',444,'N'),(16,3240517,'1',302,'N'),(16,3240525,'1',303,'N'),(16,3240541,'1',103,'N'),(16,3240568,'1',340,'N'),(16,3240576,'1',103,'N'),(16,3240584,'1',103,'N'),(16,3240592,'1',207,'N'),(16,3240592,'1A',211,'N'),(16,3240630,'1',223,'N'),(16,3240649,'1',233,'N'),(16,3240649,'1A',215,'N'),(16,3240657,'1',225,'N'),(16,3240665,'1',415,'N'),(16,3240673,'1',340,'N'),(16,3240681,'1',233,'N'),(16,3240690,'1',103,'N'),(16,3240703,'1',108,'N'),(16,3240711,'1',234,'N'),(16,3240720,'1',333,'N'),(16,3240738,'1',340,'N'),(16,3240746,'1',303,'N'),(16,3240754,'1',234,'N'),(16,3240762,'1',207,'N'),(16,3240762,'1A',201,'N'),(16,3240770,'1',220,'N'),(16,3240770,'1A',238,'N'),(16,3240789,'1',5,'N'),(16,3240797,'1',340,'N'),(16,3240800,'1',318,'N'),(16,3240819,'1',223,'N'),(16,3240835,'1',103,'N'),(16,3240843,'1',103,'N'),(16,3240851,'1',5,'N'),(16,3240860,'1',319,'N'),(16,3240886,'1',207,'N'),(16,3240886,'1A',201,'N'),(16,3240894,'1',426,'N'),(16,3240894,'1A',429,'N'),(16,3240908,'1',340,'N'),(16,3240916,'1',201,'N'),(16,3240916,'1A',212,'N'),(16,3240932,'1',220,'N'),(16,3240932,'1A',203,'N'),(16,3240940,'1',450,'N'),(16,3240959,'1',201,'N'),(16,3240959,'1A',212,'N'),(16,3240967,'1',207,'N'),(16,3240967,'1A',201,'N'),(16,3240975,'1',304,'N'),(16,3240983,'1',303,'N'),(16,3240991,'1',303,'N'),(16,3241017,'1',103,'N'),(16,3241025,'1',102,'N'),(16,3241033,'1',201,'N'),(16,3241033,'1A',220,'N'),(16,3241041,'1',501,'N'),(16,3241050,'1',212,'N'),(16,3241050,'1A',211,'N'),(16,3241068,'1',103,'N'),(16,3241076,'1',302,'N'),(16,3241084,'1',108,'N'),(16,3241092,'1',304,'N'),(16,3241106,'1',103,'N'),(16,3241114,'1',103,'N'),(16,3241122,'1',333,'N'),(16,3241130,'1',444,'N'),(16,3241149,'1',103,'N'),(16,3241157,'1',5,'N'),(16,3241165,'1',327,'N'),(16,3241173,'1',104,'N'),(16,3241181,'1',502,'N'),(16,3241190,'1',301,'N'),(16,3241211,'1',211,'N'),(16,3241211,'1A',215,'N'),(16,3241220,'1',316,'N'),(16,3241238,'1',340,'N'),(16,3241254,'1',9,'N'),(16,3241262,'1',103,'N'),(16,3241270,'1',103,'N'),(16,3241289,'1',103,'N'),(16,3241297,'1',202,'N'),(16,3241297,'1A',213,'N'),(16,3241300,'1',202,'N'),(16,3241300,'1A',203,'N'),(16,3241335,'1',104,'N'),(16,3241343,'1',238,'N'),(16,3241343,'1A',208,'N'),(16,3241351,'1',201,'N'),(16,3241351,'1A',211,'N'),(16,3241378,'1',205,'N'),(16,3241386,'1',201,'N'),(16,3241386,'1A',207,'N'),(16,3241408,'1',444,'N'),(16,3241416,'1',415,'N'),(16,3241424,'1',203,'N'),(16,3241424,'1A',213,'N'),(16,3241432,'1',5,'N'),(16,3241459,'1',324,'N'),(16,3241467,'1',426,'N'),(16,3241467,'1A',423,'N'),(16,3241483,'1',216,'N'),(16,3241491,'1',302,'N'),(16,3241505,'1',214,'N'),(16,3241505,'1A',233,'N'),(16,3241513,'1',453,'N'),(16,3241521,'1',316,'N'),(16,3241530,'1',308,'N'),(16,3241556,'1',316,'N'),(16,3241564,'1',208,'N'),(16,3241564,'1A',238,'N'),(16,3241572,'1',216,'N'),(16,3241572,'1A',207,'N'),(16,3241580,'1',103,'N'),(16,3241599,'1',303,'N'),(16,3241602,'1',207,'N'),(16,3241602,'1A',201,'N'),(16,3241610,'1',308,'N'),(16,3241629,'1',103,'N'),(16,3241637,'1',303,'N'),(16,3241645,'1',301,'N'),(16,3241670,'1',103,'N'),(16,3241688,'1',340,'N'),(16,3241696,'1',102,'N'),(16,3241700,'1',324,'N'),(16,3241718,'1',304,'N'),(16,3241726,'1',319,'N'),(16,3241734,'1',444,'N'),(16,3241742,'1',216,'N'),(16,3241742,'1A',233,'N'),(16,3241750,'1',201,'N'),(16,3241750,'1A',207,'N'),(16,3241777,'1',103,'N'),(16,3241785,'1',304,'N'),(16,3241793,'1',444,'N'),(16,3241807,'1',103,'N'),(16,3241815,'1',103,'N'),(16,3241823,'1',103,'N'),(16,3241831,'1',340,'N'),(16,3241840,'1',238,'N'),(16,3241840,'1A',214,'N'),(16,3241858,'1',201,'N'),(16,3241858,'1A',203,'N'),(16,3241866,'1',340,'N'),(16,3241874,'1',208,'N'),(16,3241882,'1',420,'N'),(16,3241904,'1',202,'N'),(16,3241904,'1A',201,'N'),(16,3241912,'1',103,'N'),(16,3241920,'1',316,'N'),(16,3241939,'1',301,'N'),(16,3241947,'1',208,'N'),(16,3241947,'1A',238,'N'),(16,3241955,'1',444,'N'),(16,3241963,'1',319,'N'),(16,3241971,'1',104,'N'),(16,3241980,'1',501,'N'),(16,3241998,'1',103,'N'),(16,3242005,'1',203,'N'),(16,3242005,'1A',202,'N'),(16,3242013,'1',103,'N'),(16,3242021,'1',420,'N'),(16,3242030,'1',339,'N'),(16,3242048,'1',207,'N'),(16,3242064,'1',452,'N'),(16,3242072,'1',415,'N'),(16,3242080,'1',320,'N'),(16,3242099,'1',201,'N'),(16,3242099,'1A',216,'N'),(16,3242102,'1',501,'N'),(16,3242110,'1',304,'N'),(16,3242129,'1',103,'N'),(16,3242153,'1',340,'N'),(16,3242161,'1',103,'N'),(16,3242170,'1',103,'N'),(16,3242188,'1',303,'N'),(16,3242196,'1',104,'N'),(16,3242200,'1',103,'N'),(16,3242218,'1',101,'N'),(16,3242234,'1',428,'N'),(16,3242234,'1A',421,'N'),(16,3242242,'1',2,'N'),(16,3242250,'1',101,'N'),(16,3242269,'1',444,'N'),(16,3242277,'1',103,'N'),(16,3242293,'1',302,'N'),(16,3242307,'1',404,'N'),(16,3242315,'1',103,'N'),(16,3242323,'1',103,'N'),(16,3242331,'1',340,'N'),(16,3242340,'1',103,'N'),(16,3242358,'1',211,'N'),(16,3242358,'1A',216,'N'),(16,3242366,'1',420,'N'),(16,3242374,'1',108,'N'),(16,3242390,'1',420,'N'),(16,3242404,'1',415,'N'),(16,3242412,'1',3,'N'),(16,3242420,'1',207,'N'),(16,3242439,'1',213,'N'),(16,3242439,'1A',202,'N'),(16,3242447,'1',453,'N'),(16,3242455,'1',215,'N'),(16,3242455,'1A',233,'N'),(16,3242463,'1',216,'N'),(16,3242463,'1A',212,'N'),(16,3242471,'1',215,'N'),(16,3242471,'1A',216,'N'),(16,3242480,'1',304,'N'),(16,3242498,'1',207,'N'),(16,3242498,'1A',201,'N'),(16,3242501,'1',207,'N'),(16,3242501,'1A',201,'N'),(16,3242510,'1',316,'N'),(16,3242528,'1',233,'N'),(16,3242528,'1A',201,'N'),(16,3242536,'1',108,'N'),(16,3242544,'1',216,'N'),(16,3242544,'1A',215,'N'),(16,3242552,'1',238,'N'),(16,3242552,'1A',213,'N'),(16,3242579,'1',103,'N'),(16,3242587,'1',420,'N'),(16,3242595,'1',451,'N'),(16,3242609,'1',309,'N'),(16,3242617,'1',5,'N'),(16,3242633,'1',203,'N'),(16,3242633,'1A',220,'N'),(16,3242650,'1',415,'N'),(16,3242676,'1',310,'N'),(16,3242684,'1',318,'N'),(16,3242692,'1',501,'N'),(16,3242714,'1',207,'N'),(16,3242722,'1',308,'N'),(16,3242730,'1',404,'N'),(16,3242749,'1',103,'N'),(16,3242757,'1',104,'N'),(16,3242765,'1',103,'N'),(16,3242773,'1',340,'N'),(16,3242781,'1',301,'N'),(16,3242790,'1',318,'N'),(16,3242803,'1',234,'N'),(16,3242811,'1',301,'N'),(16,3242820,'1',103,'N'),(16,3242846,'1',301,'N'),(16,3242854,'1',502,'N'),(16,3242862,'1',207,'N'),(16,3242870,'1',238,'N'),(16,3242889,'1',304,'N'),(16,3242897,'1',203,'N'),(16,3242900,'1',211,'N'),(16,3242900,'1A',216,'N'),(16,3242919,'1',211,'N'),(16,3242919,'1A',215,'N'),(16,3242927,'1',103,'N'),(16,3242935,'1',102,'N'),(16,3242943,'1',216,'N'),(16,3242943,'1A',202,'N'),(16,3242951,'1',503,'N'),(16,3242960,'1',9,'N'),(16,3242978,'1',101,'N'),(16,3242986,'1',301,'N'),(16,3242994,'1',102,'N'),(16,3243001,'1',224,'N'),(16,3243010,'1',340,'N'),(16,3243028,'1',404,'N'),(16,3243036,'1',104,'N'),(16,3243052,'1',3,'N'),(16,3243060,'1',202,'N'),(16,3243060,'1A',213,'N'),(16,3243079,'1',203,'N'),(16,3243079,'1A',208,'N'),(16,3243087,'1',211,'N'),(16,3243087,'1A',216,'N'),(16,3243095,'1',207,'N'),(16,3243109,'1',101,'N'),(16,3243117,'1',423,'N'),(16,3243125,'1',238,'N'),(16,3243125,'1A',208,'N'),(16,3243133,'1',340,'N'),(16,3243141,'1',415,'N'),(16,3243150,'1',233,'N'),(16,3243150,'1A',214,'N'),(16,3243176,'1',103,'N'),(16,3243184,'1',340,'N'),(16,3243192,'1',212,'N'),(16,3243192,'1A',238,'N'),(16,3243214,'1',201,'N'),(16,3243222,'1',5,'N'),(16,3243230,'1',301,'N'),(16,3243249,'1',233,'N'),(16,3243257,'1',103,'N'),(16,3243265,'1',203,'N'),(16,3243265,'1A',202,'N'),(16,3243273,'1',212,'N'),(16,3243273,'1A',203,'N'),(16,3243281,'1',5,'N'),(16,3243290,'1',318,'N'),(16,3243303,'1',102,'N'),(16,3243311,'1',102,'N'),(16,3243320,'1',428,'N'),(16,3243320,'1A',424,'N'),(16,3243338,'1',211,'N'),(16,3243338,'1A',215,'N'),(16,3243346,'1',328,'N'),(16,3243354,'1',332,'N'),(16,3243362,'1',238,'N'),(16,3243362,'1A',208,'N'),(16,3243370,'1',102,'N'),(16,3243389,'1',3,'N'),(16,3243397,'1',420,'N'),(16,3243400,'1',103,'N'),(16,3243419,'1',415,'N'),(16,3243427,'1',233,'N'),(16,3243427,'1A',201,'N'),(16,3243451,'1',303,'N'),(16,3243460,'1',211,'N'),(16,3243460,'1A',203,'N'),(16,3243478,'1',201,'N'),(16,3243478,'1A',212,'N'),(16,3243486,'1',207,'N'),(16,3243486,'1A',201,'N'),(16,3243494,'1',207,'N'),(16,3243494,'1A',201,'N'),(16,3243508,'1',415,'N'),(16,3243516,'1',339,'N'),(16,3243524,'1',211,'N'),(16,3243540,'1',450,'N'),(16,3243559,'1',316,'N'),(16,3243567,'1',212,'N'),(16,3243567,'1A',201,'N'),(16,3243591,'1',5,'N'),(16,3243605,'1',317,'N'),(16,3243613,'1',5,'N'),(16,3243621,'1',303,'N'),(16,3243630,'1',203,'N'),(16,3243630,'1A',214,'N'),(16,3243648,'1',203,'N'),(16,3243648,'1A',201,'N'),(16,3243656,'1',214,'N'),(16,3243656,'1A',212,'N'),(16,3243664,'1',238,'N'),(16,3243664,'1A',214,'N'),(16,3243672,'1',327,'N'),(16,3243680,'1',216,'N'),(16,3243680,'1A',207,'N'),(16,3243699,'1',216,'N'),(16,3243699,'1A',233,'N'),(16,3243702,'1',104,'N'),(16,3243710,'1',207,'N'),(16,3243710,'1A',215,'N'),(16,3243729,'1',108,'N'),(16,3243737,'1',224,'N'),(16,3243745,'1',233,'N'),(16,3243745,'1A',211,'N'),(16,3243753,'1',5,'N'),(16,3243761,'1',216,'N'),(16,3243761,'1A',208,'N'),(16,3243770,'1',104,'N'),(16,3243788,'1',201,'N'),(16,3243788,'1A',203,'N'),(16,3243818,'1',5,'N'),(16,3243826,'1',203,'N'),(16,3243826,'1A',202,'N'),(16,3243834,'1',5,'N'),(16,3243842,'1',216,'N'),(16,3243842,'1A',233,'N'),(16,3243869,'1',201,'N'),(16,3243869,'1A',212,'N'),(16,3243877,'1',319,'N'),(16,3243893,'1',9,'N'),(16,3243907,'1',103,'N'),(16,3243915,'1',340,'N'),(16,3243923,'1',101,'N'),(16,3243931,'1',316,'N'),(16,3243940,'1',327,'N'),(16,3243958,'1',103,'N'),(16,3243966,'1',333,'N'),(16,3243974,'1',310,'N'),(16,3243990,'1',308,'N'),(16,3244008,'1',327,'N'),(16,3244016,'1',208,'N'),(16,3244024,'1',320,'N'),(16,3244032,'1',103,'N'),(16,3244040,'1',339,'N'),(16,3244067,'1',303,'N'),(16,3244075,'1',103,'N'),(16,3244083,'1',202,'N'),(16,3244083,'1A',201,'N'),(16,3244091,'1',201,'N'),(16,3244091,'1A',212,'N'),(16,3244105,'1',316,'N'),(16,3244113,'1',201,'N'),(16,3244113,'1A',212,'N'),(16,3244130,'1',316,'N'),(16,3244148,'1',220,'N'),(16,3244148,'1A',213,'N'),(16,3244156,'1',304,'N'),(16,3244164,'1',340,'N'),(16,3244172,'1',238,'N'),(16,3244172,'1A',208,'N'),(16,3244180,'1',328,'N'),(16,3244199,'1',103,'N'),(16,3244202,'1',404,'N'),(16,3244210,'1',216,'N'),(16,3244210,'1A',201,'N'),(16,3244229,'1',423,'N'),(16,3244229,'1A',426,'N'),(16,3244237,'1',208,'N'),(16,3244237,'1A',207,'N'),(16,3244245,'1',238,'N'),(16,3244245,'1A',202,'N'),(16,3244253,'1',201,'N'),(16,3244253,'1A',207,'N'),(16,3244261,'1',220,'N'),(16,3244261,'1A',233,'N'),(16,3244270,'1',302,'N'),(16,3244288,'1',201,'N'),(16,3244288,'1A',207,'N'),(16,3244296,'1',316,'N'),(16,3244300,'1',5,'N'),(16,3244326,'1',340,'N'),(16,3244334,'1',203,'N'),(16,3244342,'1',340,'N'),(16,3244369,'1',103,'N'),(16,3244377,'1',415,'N'),(16,3244385,'1',234,'N'),(16,3244393,'1',333,'N'),(16,3244407,'1',332,'N'),(16,3244415,'1',103,'N'),(16,3244423,'1',211,'N'),(16,3244423,'1A',216,'N'),(16,3244440,'1',316,'N'),(16,3244458,'1',101,'N'),(16,3244466,'1',318,'N'),(16,3244474,'1',451,'N'),(16,3244482,'1',303,'N'),(16,3244490,'1',212,'N'),(16,3244504,'1',340,'N'),(16,3244512,'1',207,'N'),(16,3244512,'1A',201,'N'),(16,3244520,'1',103,'N'),(16,3244547,'1',503,'N'),(16,3244555,'1',303,'N'),(16,3244563,'1',317,'N'),(16,3244571,'1',339,'N'),(16,3244580,'1',102,'N'),(16,3244598,'1',9,'N'),(16,3244601,'1',208,'N'),(16,3244636,'1',340,'N'),(16,3244644,'1',225,'N'),(16,3244652,'1',5,'N'),(16,3244660,'1',317,'N'),(16,3244679,'1',328,'N'),(16,3244687,'1',2,'N'),(16,3244717,'1',215,'N'),(16,3244717,'1A',207,'N'),(16,3244725,'1',201,'N'),(16,3244725,'1A',207,'N'),(16,3244733,'1',201,'N'),(16,3244733,'1A',238,'N'),(16,3244741,'1',211,'N'),(16,3244750,'1',203,'N'),(16,3244750,'1A',208,'N'),(16,3244776,'1',207,'N'),(16,3244776,'1A',211,'N'),(16,3244784,'1',5,'N'),(16,3244792,'1',329,'N'),(16,3244806,'1',216,'N'),(16,3244806,'1A',220,'N'),(16,3244814,'1',207,'N'),(16,3244822,'1',103,'N'),(16,3244830,'1',420,'N'),(16,3244849,'1',329,'N'),(16,3244857,'1',5,'N'),(16,3244865,'1',452,'N'),(16,3244873,'1',319,'N'),(16,3244890,'1',201,'N'),(16,3244890,'1A',202,'N'),(16,3244903,'1',103,'N'),(16,3244911,'1',318,'N'),(16,3244920,'1',216,'N'),(16,3244920,'1A',220,'N'),(16,3244938,'1',201,'N'),(16,3244938,'1A',215,'N'),(16,3244946,'1',9,'N'),(16,3244954,'1',303,'N'),(16,3244962,'1',103,'N'),(16,3244970,'1',215,'N'),(16,3244970,'1A',211,'N'),(16,3244989,'1',104,'N'),(16,3245004,'1',103,'N'),(16,3245012,'1',103,'N'),(16,3245020,'1',319,'N'),(16,3245039,'1',301,'N'),(16,3245055,'1',103,'N'),(16,3245063,'1',211,'N'),(16,3245071,'1',103,'N'),(16,3245080,'1',216,'N'),(16,3245080,'1A',203,'N'),(16,3245098,'1',211,'N'),(16,3245098,'1A',233,'N'),(16,3245101,'1',340,'N'),(16,3245110,'1',201,'N'),(16,3245110,'1A',238,'N'),(16,3245128,'1',207,'N'),(16,3245128,'1A',201,'N'),(16,3245136,'1',310,'N'),(16,3245152,'1',211,'N'),(16,3245160,'1',428,'N'),(16,3245160,'1A',425,'N'),(16,3245179,'1',316,'N'),(16,3245187,'1',103,'N'),(16,3245217,'1',216,'N'),(16,3245225,'1',207,'N'),(16,3245225,'1A',211,'N'),(16,3245241,'1',203,'N'),(16,3245241,'1A',214,'N'),(16,3245250,'1',201,'N'),(16,3245250,'1A',212,'N'),(16,3245268,'1',108,'N'),(16,3245276,'1',208,'N'),(16,3245276,'1A',202,'N'),(16,3245284,'1',101,'N'),(16,3245292,'1',103,'N'),(16,3245322,'1',201,'N'),(16,3245322,'1A',207,'N'),(16,3245330,'1',203,'N'),(16,3245330,'1A',201,'N'),(16,3245349,'1',453,'N'),(16,3245357,'1',104,'N'),(16,3245365,'1',212,'N'),(16,3245365,'1A',214,'N'),(16,3245373,'1',319,'N'),(16,3245381,'1',425,'N'),(16,3245381,'1A',429,'N'),(16,3245390,'1',421,'N'),(16,3245390,'1A',425,'N'),(16,3245403,'1',340,'N'),(16,3245411,'1',332,'N'),(16,3245420,'1',103,'N'),(16,3245438,'1',415,'N'),(16,3245446,'1',233,'N'),(16,3245446,'1A',202,'N'),(16,3245454,'1',319,'N'),(16,3245462,'1',5,'N'),(16,3245489,'1',201,'N'),(16,3245489,'1A',233,'N'),(16,3245497,'1',102,'N'),(16,3245500,'1',102,'N'),(16,3245519,'1',103,'N'),(16,3245527,'1',101,'N'),(16,3245535,'1',207,'N'),(16,3245535,'1A',201,'N'),(16,3245543,'1',102,'N'),(16,3245551,'1',444,'N'),(16,3245560,'1',317,'N'),(16,3245578,'1',303,'N'),(16,3245594,'1',329,'N'),(16,3245616,'1',103,'N'),(16,3245624,'1',234,'N'),(16,3245632,'1',301,'N'),(16,3245640,'1',303,'N'),(16,3245667,'1',102,'N'),(16,3245675,'1',103,'N'),(16,3245683,'1',326,'N'),(16,3245691,'1',302,'N'),(16,3245705,'1',103,'N'),(16,3245713,'1',201,'N'),(16,3245713,'1A',211,'N'),(16,3245721,'1',333,'N'),(16,3245730,'1',102,'N'),(16,3245748,'1',302,'N'),(16,3245756,'1',340,'N'),(16,3245764,'1',301,'N'),(16,3245772,'1',5,'N'),(16,3245780,'1',203,'N'),(16,3245780,'1A',214,'N'),(16,3245799,'1',104,'N'),(16,3245802,'1',103,'N'),(16,3245810,'1',319,'N'),(16,3245829,'1',420,'N'),(16,3245837,'1',5,'N'),(16,3245845,'1',340,'N'),(16,3245853,'1',208,'N'),(16,3245853,'1A',203,'N'),(16,3245861,'1',425,'N'),(16,3245861,'1A',428,'N'),(16,3245870,'1',238,'N'),(16,3245888,'1',207,'N'),(16,3245888,'1A',208,'N'),(16,3245900,'1',415,'N'),(16,3245918,'1',421,'N'),(16,3245926,'1',333,'N'),(16,3245934,'1',318,'N'),(16,3245942,'1',103,'N'),(16,3245950,'1',5,'N'),(16,3245969,'1',207,'N'),(16,3245969,'1A',202,'N'),(16,3245977,'1',215,'N'),(16,3245985,'1',426,'N'),(16,3245993,'1',420,'N'),(16,3246000,'1',207,'N'),(16,3246019,'1',103,'N'),(16,3246027,'1',5,'N'),(16,3246035,'1',316,'N'),(16,3246043,'1',102,'N'),(16,3246060,'1',207,'N'),(16,3246060,'1A',201,'N'),(16,3246078,'1',302,'N'),(16,3246086,'1',216,'N'),(16,3246086,'1A',215,'N'),(16,3246094,'1',103,'N'),(16,3246108,'1',328,'N'),(16,3246116,'1',103,'N'),(16,3246124,'1',301,'N'),(16,3246140,'1',238,'N'),(16,3246140,'1A',208,'N'),(16,3246159,'1',452,'N'),(16,3246167,'1',426,'N'),(16,3246167,'1A',421,'N'),(16,3246175,'1',319,'N'),(16,3246183,'1',103,'N'),(16,3246205,'1',5,'N'),(16,3246213,'1',5,'N'),(16,3246221,'1',108,'N'),(16,3246230,'1',319,'N'),(16,3246248,'1',220,'N'),(16,3246248,'1A',203,'N'),(16,3246256,'1',211,'N'),(16,3246256,'1A',207,'N'),(16,3246264,'1',104,'N'),(16,3246272,'1',501,'N'),(16,3246280,'1',308,'N'),(16,3246299,'1',5,'N'),(16,3246302,'1',316,'N'),(16,3246310,'1',332,'N'),(16,3246337,'1',238,'N'),(16,3246337,'1A',208,'N'),(16,3246345,'1',415,'N'),(16,3246353,'1',103,'N'),(16,3246361,'1',220,'N'),(16,3246361,'1A',203,'N'),(16,3246370,'1',424,'N'),(16,3246370,'1A',425,'N'),(16,3246388,'1',224,'N'),(16,3246396,'1',320,'N'),(16,3246418,'1',108,'N'),(16,3246426,'1',104,'N'),(16,3246434,'1',3,'N'),(16,3246442,'1',103,'N'),(16,3246469,'1',302,'N'),(16,3246477,'1',319,'N'),(16,3246485,'1',104,'N'),(16,3246493,'1',201,'N'),(16,3246493,'1A',212,'N'),(16,3246507,'1',103,'N'),(16,3246515,'1',238,'N'),(16,3246515,'1A',214,'N'),(16,3246523,'1',103,'N'),(16,3246531,'1',5,'N'),(16,3246540,'1',444,'N'),(16,3246558,'1',201,'N'),(16,3246558,'1A',203,'N'),(16,3246566,'1',216,'N'),(16,3246566,'1A',238,'N'),(16,3246574,'1',103,'N'),(16,3246582,'1',423,'N'),(16,3246582,'1A',428,'N'),(16,3246604,'1',208,'N'),(16,3246604,'1A',238,'N'),(16,3246612,'1',104,'N'),(16,3246620,'1',216,'N'),(16,3246620,'1A',201,'N'),(16,3246639,'1',340,'N'),(16,3246647,'1',501,'N'),(16,3246655,'1',103,'N'),(16,3246698,'1',201,'N'),(16,3246698,'1A',203,'N'),(16,3246710,'1',502,'N'),(16,3246728,'1',211,'N'),(16,3246728,'1A',238,'N'),(16,3246736,'1',103,'N'),(16,3246744,'1',104,'N'),(16,3246752,'1',331,'N'),(16,3246760,'1',301,'N'),(16,3246787,'1',310,'N'),(16,3246795,'1',303,'N'),(16,3246817,'1',234,'N'),(16,3246825,'1',333,'N'),(16,3246833,'1',215,'N'),(16,3246833,'1A',233,'N'),(16,3246841,'1',303,'N'),(16,3246850,'1',333,'N'),(16,3246868,'1',103,'N'),(16,3246884,'1',502,'N'),(16,3246892,'1',9,'N'),(16,3246914,'1',208,'N'),(16,3246914,'1A',238,'N'),(16,3246922,'1',5,'N'),(16,3246930,'1',104,'N'),(16,3246949,'1',211,'N'),(16,3246949,'1A',202,'N'),(16,3246957,'1',340,'N'),(16,3246965,'1',502,'N'),(16,3246973,'1',207,'N'),(16,3246973,'1A',201,'N'),(16,3246981,'1',316,'N'),(16,3246990,'1',216,'N'),(16,3246990,'1A',233,'N'),(16,3247031,'1',103,'N'),(16,3247040,'1',301,'N'),(16,3247058,'1',301,'N'),(16,3247066,'1',340,'N'),(16,3247074,'1',208,'N'),(16,3247074,'1A',238,'N'),(16,3247082,'1',304,'N'),(16,3247090,'1',309,'N'),(16,3247112,'1',425,'N'),(16,3247120,'1',103,'N'),(16,3247147,'1',9,'N'),(16,3247155,'1',451,'N'),(16,3247163,'1',340,'N'),(16,3247171,'1',103,'N'),(16,3247180,'1',5,'N'),(16,3247198,'1',203,'N'),(16,3247198,'1A',207,'N'),(16,3247201,'1',303,'N'),(16,3247210,'1',207,'N'),(16,3247210,'1A',201,'N'),(16,3247228,'1',301,'N'),(16,3247236,'1',108,'N'),(16,3247244,'1',340,'N'),(16,3247252,'1',214,'N'),(16,3247252,'1A',233,'N'),(16,3247260,'1',211,'N'),(16,3247260,'1A',201,'N'),(16,3247279,'1',208,'N'),(16,3247279,'1A',238,'N'),(16,3247287,'1',223,'N'),(16,3247295,'1',104,'N'),(16,3247309,'1',103,'N'),(16,3247317,'1',303,'N'),(16,3247325,'1',318,'N'),(16,3247341,'1',207,'N'),(16,3247350,'1',208,'N'),(16,3247350,'1A',215,'N'),(16,3247368,'1',304,'N'),(16,3247376,'1',103,'N'),(16,3247384,'1',103,'N'),(16,3247392,'1',301,'N'),(16,3247406,'1',326,'N'),(16,3247414,'1',301,'N'),(16,3247422,'1',319,'N'),(16,3247430,'1',201,'N'),(16,3247430,'1A',212,'N'),(16,3247457,'1',421,'N'),(16,3247457,'1A',427,'N'),(16,3247465,'1',211,'N'),(16,3247465,'1A',207,'N'),(16,3247473,'1',303,'N'),(16,3247481,'1',303,'N'),(16,3247490,'1',103,'N'),(16,3247503,'1',324,'N'),(16,3247511,'1',212,'N'),(16,3247511,'1A',201,'N'),(16,3247520,'1',316,'N'),(16,3247538,'1',103,'N'),(16,3247546,'1',5,'N'),(16,3247554,'1',202,'N'),(16,3247554,'1A',213,'N'),(16,3247562,'1',238,'N'),(16,3247562,'1A',208,'N'),(16,3247570,'1',215,'N'),(16,3247570,'1A',233,'N'),(16,3247589,'1',207,'N'),(16,3247600,'1',216,'N'),(16,3247600,'1A',233,'N'),(16,3247619,'1',303,'N'),(16,3247627,'1',207,'N'),(16,3247627,'1A',212,'N'),(16,3247635,'1',102,'N'),(16,3247643,'1',450,'N'),(16,3247651,'1',201,'N'),(16,3247651,'1A',207,'N'),(16,3247660,'1',225,'N'),(16,3247678,'1',503,'N'),(16,3247686,'1',5,'N'),(16,3247694,'1',104,'N'),(16,3247708,'1',404,'N'),(16,3247716,'1',420,'N'),(16,3247724,'1',103,'N'),(16,3247732,'1',223,'N'),(16,3247740,'1',216,'N'),(16,3247740,'1A',203,'N'),(16,3247759,'1',103,'N'),(16,3247767,'1',101,'N'),(16,3247783,'1',444,'N'),(16,3247791,'1',302,'N'),(16,3247805,'1',316,'N'),(16,3247813,'1',207,'N'),(16,3247813,'1A',216,'N'),(16,3247821,'1',103,'N'),(16,3247830,'1',220,'N'),(16,3247830,'1A',202,'N'),(16,3247848,'1',310,'N'),(16,3247856,'1',308,'N'),(16,3247864,'1',319,'N'),(16,3247872,'1',202,'N'),(16,3247872,'1A',213,'N'),(16,3247880,'1',317,'N'),(16,3247902,'1',101,'N'),(16,3247910,'1',220,'N'),(16,3247910,'1A',238,'N'),(16,3247929,'1',102,'N'),(16,3247937,'1',220,'N'),(16,3247937,'1A',238,'N'),(16,3247945,'1',317,'N'),(16,3247953,'1',103,'N'),(16,3247961,'1',104,'N'),(16,3247970,'1',317,'N'),(16,3247996,'1',308,'N'),(16,3248003,'1',203,'N'),(16,3248003,'1A',214,'N'),(16,3248011,'1',103,'N'),(16,3248020,'1',207,'N'),(16,3248020,'1A',201,'N'),(16,3248038,'1',238,'N'),(16,3248054,'1',103,'N'),(16,3248062,'1',404,'N'),(16,3248089,'1',452,'N'),(16,3248100,'1',205,'N'),(16,3248119,'1',203,'N'),(16,3248119,'1A',211,'N'),(16,3248127,'1',208,'N'),(16,3248127,'1A',203,'N'),(16,3248135,'1',303,'N'),(16,3248143,'1',201,'N'),(16,3248143,'1A',211,'N'),(16,3248151,'1',108,'N'),(16,3248160,'1',331,'N'),(16,3248178,'1',444,'N'),(16,3248186,'1',104,'N'),(16,3248194,'1',327,'N'),(16,3248208,'1',104,'N'),(16,3248216,'1',451,'N'),(16,3248224,'1',332,'N'),(16,3248232,'1',238,'N'),(16,3248232,'1A',213,'N'),(16,3248240,'1',104,'N'),(16,3248259,'1',207,'N'),(16,3248267,'1',202,'N'),(16,3248267,'1A',213,'N'),(16,3248275,'1',104,'N'),(16,3248283,'1',101,'N'),(16,3248291,'1',104,'N'),(16,3248321,'1',103,'N'),(16,3248330,'1',415,'N'),(16,3248348,'1',238,'N'),(16,3248348,'1A',208,'N'),(16,3248356,'1',214,'N'),(16,3248356,'1A',212,'N'),(16,3248364,'1',102,'N'),(16,3248372,'1',451,'N'),(16,3248380,'1',453,'N'),(16,3248399,'1',103,'N'),(16,3248429,'1',103,'N'),(16,3248437,'1',425,'N'),(16,3248453,'1',207,'N'),(16,3248453,'1A',201,'N'),(16,3248461,'1',444,'N'),(16,3248470,'1',319,'N'),(16,3248488,'1',316,'N'),(16,3248496,'1',203,'N'),(16,3248496,'1A',214,'N'),(16,3248500,'1',208,'N'),(16,3248500,'1A',201,'N'),(16,3248518,'1',212,'N'),(16,3248518,'1A',201,'N'),(16,3248526,'1',215,'N'),(16,3248526,'1A',216,'N'),(16,3248534,'1',102,'N'),(16,3248550,'1',207,'N'),(16,3248550,'1A',211,'N'),(16,3248569,'1',301,'N'),(16,3248577,'1',207,'N'),(16,3248585,'1',444,'N'),(16,3248593,'1',304,'N'),(16,3248607,'1',103,'N'),(16,3248615,'1',208,'N'),(16,3248615,'1A',238,'N'),(16,3248623,'1',212,'N'),(16,3248623,'1A',211,'N'),(16,3248631,'1',319,'N'),(16,3248640,'1',420,'N'),(16,3248658,'1',333,'N'),(16,3248666,'1',450,'N'),(16,3248674,'1',326,'N'),(16,3248682,'1',203,'N'),(16,3248682,'1A',201,'N'),(16,3248690,'1',215,'N'),(16,3248704,'1',329,'N'),(16,3248712,'1',207,'N'),(16,3248712,'1A',201,'N'),(16,3248720,'1',420,'N'),(16,3248739,'1',303,'N'),(16,3248755,'1',216,'N'),(16,3248755,'1A',211,'N'),(16,3248763,'1',450,'N'),(16,3248771,'1',233,'N'),(16,3248771,'1A',220,'N'),(16,3248780,'1',213,'N'),(16,3248798,'1',415,'N'),(16,3248801,'1',102,'N'),(16,3248810,'1',207,'N'),(16,3248810,'1A',201,'N'),(16,3248828,'1',319,'N'),(16,3248836,'1',205,'N'),(16,3248844,'1',103,'N'),(16,3248860,'1',103,'N'),(16,3248879,'1',103,'N'),(16,3248887,'1',238,'N'),(16,3248895,'1',104,'N'),(16,3248909,'1',502,'N'),(16,3248917,'1',501,'N'),(16,3248925,'1',103,'N'),(16,3248933,'1',103,'N'),(16,3248941,'1',103,'N'),(16,3248950,'1',101,'N'),(16,3248968,'1',450,'N'),(16,3248976,'1',238,'N'),(16,3248976,'1A',208,'N'),(16,3248984,'1',340,'N'),(16,3248992,'1',238,'N'),(16,3248992,'1A',208,'N'),(16,3249000,'1',333,'N'),(16,3249026,'1',453,'N'),(16,3249042,'1',9,'N'),(16,3249050,'1',317,'N'),(16,3249077,'1',104,'N'),(16,3249085,'1',308,'N'),(16,3249093,'1',340,'N'),(16,3249107,'1',319,'N'),(16,3249115,'1',103,'N'),(16,3249123,'1',103,'N'),(16,3249131,'1',103,'N'),(16,3249140,'1',207,'N'),(16,3249158,'1',103,'N'),(16,3249166,'1',425,'N'),(16,3249166,'1A',421,'N'),(16,3249174,'1',201,'N'),(16,3249174,'1A',207,'N'),(16,3249182,'1',103,'N'),(16,3249190,'1',215,'N'),(16,3249190,'1A',203,'N'),(16,3249204,'1',108,'N'),(16,3249212,'1',225,'N'),(16,3249220,'1',103,'N'),(16,3249239,'1',104,'N'),(16,3249247,'1',5,'N'),(16,3249255,'1',104,'N'),(16,3249271,'1',302,'N'),(16,3249280,'1',234,'N'),(16,3249298,'1',201,'N'),(16,3249298,'1A',220,'N'),(16,3249301,'1',501,'N'),(16,3249328,'1',326,'N'),(16,3249336,'1',103,'N'),(16,3249344,'1',103,'N'),(16,3249352,'1',415,'N'),(16,3249360,'1',103,'N'),(16,3249387,'1',211,'N'),(16,3249387,'1A',207,'N'),(16,3249395,'1',3,'N'),(16,3249409,'1',214,'N'),(16,3249409,'1A',212,'N'),(16,3249417,'1',234,'N'),(16,3249425,'1',103,'N'),(16,3249433,'1',5,'N'),(16,3249441,'1',102,'N'),(16,3249450,'1',340,'N'),(16,3249468,'1',104,'N'),(16,3249476,'1',503,'N'),(16,3249484,'1',208,'N'),(16,3249506,'1',304,'N'),(16,3249522,'1',5,'N'),(16,3249530,'1',319,'N'),(16,3249549,'1',450,'N'),(16,3249565,'1',301,'N'),(16,3249573,'1',303,'N'),(16,3249581,'1',340,'N'),(16,3249590,'1',103,'N'),(16,3249603,'1',302,'N'),(16,3249620,'1',2,'N'),(16,3249638,'1',215,'N'),(16,3249638,'1A',233,'N'),(16,3249646,'1',220,'N'),(16,3249646,'1A',208,'N'),(16,3249654,'1',304,'N'),(16,3249670,'1',103,'N'),(16,3249689,'1',302,'N'),(16,3249697,'1',216,'N'),(16,3249697,'1A',233,'N'),(16,3249700,'1',233,'N'),(16,3249700,'1A',214,'N'),(16,3249719,'1',9,'N'),(16,3249735,'1',303,'N'),(16,3249743,'1',301,'N'),(16,3249751,'1',101,'N'),(16,3249760,'1',214,'N'),(16,3249760,'1A',216,'N'),(16,3249778,'1',444,'N'),(16,3249786,'1',208,'N'),(16,3249786,'1A',202,'N'),(16,3249794,'1',207,'N'),(16,3249794,'1A',211,'N'),(16,3249808,'1',103,'N'),(16,3249816,'1',103,'N'),(16,3249832,'1',9,'N'),(16,3249840,'1',103,'N'),(16,3249859,'1',316,'N'),(16,3249883,'1',303,'N'),(16,3249891,'1',211,'N'),(16,3249891,'1A',215,'N'),(16,3249905,'1',5,'N'),(16,3249930,'1',317,'N'),(16,3249948,'1',103,'N'),(16,3249956,'1',103,'N'),(16,3249964,'1',211,'N'),(16,3249964,'1A',207,'N'),(16,3249972,'1',326,'N'),(16,3249980,'1',317,'N'),(16,3249999,'1',202,'N'),(16,3249999,'1A',203,'N'),(16,3250008,'1',208,'N'),(16,3250008,'1A',238,'N'),(16,3250016,'1',5,'N'),(16,3250024,'1',310,'N'),(16,3250032,'1',201,'N'),(16,3250032,'1A',212,'N'),(16,3250040,'1',102,'N'),(16,3250091,'1',326,'N'),(16,3250105,'1',104,'N'),(16,3250113,'1',213,'N'),(16,3250113,'1A',202,'N'),(16,3250121,'1',103,'N'),(16,3250130,'1',301,'N'),(16,3250148,'1',211,'N'),(16,3250156,'1',203,'N'),(16,3250156,'1A',233,'N'),(16,3250164,'1',301,'N'),(16,3250172,'1',104,'N'),(16,3250199,'1',212,'N'),(16,3250199,'1A',207,'N'),(16,3250202,'1',303,'N'),(16,3250210,'1',202,'N'),(16,3250210,'1A',213,'N'),(16,3250229,'1',203,'N'),(16,3250229,'1A',220,'N'),(16,3250237,'1',404,'N'),(16,3250245,'1',427,'N'),(16,3250245,'1A',424,'N'),(16,3250253,'1',451,'N'),(16,3250261,'1',502,'N'),(16,3250270,'1',9,'N'),(16,3250288,'1',103,'N'),(16,3250296,'1',104,'N'),(16,3250300,'1',501,'N'),(16,3250318,'1',102,'N'),(16,3250326,'1',5,'N'),(16,3250334,'1',103,'N'),(16,3250342,'1',238,'N'),(16,3250342,'1A',208,'N'),(16,3250350,'1',502,'N'),(16,3250369,'1',103,'N'),(16,3250377,'1',301,'N'),(16,3250385,'1',212,'N'),(16,3250385,'1A',207,'N'),(16,3250393,'1',317,'N'),(16,3250407,'1',202,'N'),(16,3250407,'1A',220,'N'),(16,3250415,'1',201,'N'),(16,3250415,'1A',207,'N'),(16,3250431,'1',103,'N'),(16,3250440,'1',207,'N'),(16,3250440,'1A',201,'N'),(16,3250458,'1',201,'N'),(16,3250458,'1A',212,'N'),(16,3250466,'1',309,'N'),(16,3250482,'1',415,'N'),(16,3250490,'1',420,'N'),(16,3250504,'1',333,'N'),(16,3250512,'1',103,'N'),(16,3250520,'1',211,'N'),(16,3250520,'1A',215,'N'),(16,3250539,'1',9,'N'),(16,3250555,'1',214,'N'),(16,3250555,'1A',208,'N'),(16,3250571,'1',208,'N'),(16,3250580,'1',103,'N'),(16,3250598,'1',309,'N'),(16,3250601,'1',303,'N'),(16,3250610,'1',103,'N'),(16,3250644,'1',328,'N'),(16,3250660,'1',5,'N'),(16,3250679,'1',104,'N'),(16,3250687,'1',207,'N'),(16,3250709,'1',103,'N'),(16,3250717,'1',453,'N'),(16,3250725,'1',103,'N'),(16,3250733,'1',318,'N'),(16,3250741,'1',303,'N'),(16,3250750,'1',404,'N'),(16,3250768,'1',450,'N'),(16,3250792,'1',216,'N'),(16,3250792,'1A',215,'N'),(16,3250814,'1',303,'N'),(16,3250822,'1',108,'N'),(16,3250830,'1',216,'N'),(16,3250830,'1A',211,'N'),(16,3250849,'1',216,'N'),(16,3250849,'1A',201,'N'),(16,3250857,'1',207,'N'),(16,3250857,'1A',201,'N'),(16,3250865,'1',108,'N'),(16,3250873,'1',108,'N'),(16,3250881,'1',202,'N'),(16,3250881,'1A',233,'N'),(16,3250890,'1',339,'N'),(16,3250903,'1',211,'N'),(16,3250911,'1',326,'N'),(16,3250920,'1',444,'N'),(16,3250946,'1',453,'N'),(16,3250962,'1',103,'N'),(16,3250970,'1',339,'N'),(16,3250997,'1',220,'N'),(16,3250997,'1A',213,'N'),(16,3251012,'1',451,'N'),(16,3251020,'1',103,'N'),(16,3251039,'1',207,'N'),(16,3251039,'1A',201,'N'),(16,3251047,'1',202,'N'),(16,3251055,'1',102,'N'),(16,3251063,'1',303,'N'),(16,3251071,'1',211,'N'),(16,3251071,'1A',215,'N'),(16,3251080,'1',104,'N'),(16,3251098,'1',340,'N'),(16,3251101,'1',103,'N'),(16,3251128,'1',303,'N'),(16,3251136,'1',208,'N'),(16,3251136,'1A',220,'N'),(16,3251144,'1',103,'N'),(16,3251152,'1',329,'N'),(16,3251160,'1',339,'N'),(16,3251179,'1',108,'N'),(16,3251187,'1',3,'N'),(16,3251195,'1',327,'N'),(16,3251209,'1',201,'N'),(16,3251209,'1A',207,'N'),(16,3251217,'1',340,'N'),(16,3251225,'1',101,'N'),(16,3251233,'1',309,'N'),(16,3251241,'1',302,'N'),(16,3251250,'1',108,'N'),(16,3251268,'1',202,'N'),(16,3251268,'1A',203,'N'),(16,3251276,'1',444,'N'),(16,3251284,'1',319,'N'),(16,3251292,'1',333,'N'),(16,3251306,'1',215,'N'),(16,3251306,'1A',211,'N'),(16,3251314,'1',103,'N'),(16,3251330,'1',103,'N'),(16,3251349,'1',452,'N'),(16,3251357,'1',450,'N'),(16,3251365,'1',102,'N'),(16,3251373,'1',225,'N'),(16,3251381,'1',207,'N'),(16,3251390,'1',103,'N'),(16,3251411,'1',103,'N'),(16,3251438,'1',329,'N'),(16,3251446,'1',205,'N'),(16,3251454,'1',203,'N'),(16,3251454,'1A',202,'N'),(16,3251462,'1',450,'N'),(16,3251470,'1',202,'N'),(16,3251470,'1A',213,'N'),(16,3251489,'1',301,'N'),(16,3251497,'1',103,'N'),(16,3251500,'1',201,'N'),(16,3251500,'1A',208,'N'),(16,3251519,'1',331,'N'),(16,3251527,'1',108,'N'),(16,3251543,'1',319,'N'),(16,3251560,'1',220,'N'),(16,3251560,'1A',208,'N'),(16,3251578,'1',212,'N'),(16,3251578,'1A',201,'N'),(16,3251586,'1',215,'N'),(16,3251586,'1A',213,'N'),(16,3251608,'1',9,'N'),(16,3251616,'1',316,'N'),(16,3251624,'1',318,'N'),(16,3251632,'1',303,'N'),(16,3251640,'1',9,'N'),(16,3251659,'1',205,'N'),(16,3251667,'1',234,'N'),(16,3251675,'1',103,'N'),(16,3251691,'1',201,'N'),(16,3251691,'1A',207,'N'),(16,3251705,'1',310,'N'),(16,3251713,'1',216,'N'),(16,3251713,'1A',201,'N'),(16,3251721,'1',316,'N'),(16,3251730,'1',203,'N'),(16,3251730,'1A',214,'N'),(16,3251748,'1',103,'N'),(16,3251756,'1',102,'N'),(16,3251772,'1',303,'N'),(16,3251799,'1',104,'N'),(16,3251802,'1',207,'N'),(16,3251802,'1A',201,'N'),(16,3251810,'1',104,'N'),(16,3251829,'1',428,'N'),(16,3251829,'1A',429,'N'),(16,3251837,'1',108,'N'),(16,3251845,'1',326,'N'),(16,3251853,'1',208,'N'),(16,3251853,'1A',238,'N'),(16,3251870,'1',303,'N'),(16,3251888,'1',216,'N'),(16,3251896,'1',103,'N'),(16,3251900,'1',415,'N'),(16,3251918,'1',103,'N'),(16,3251926,'1',203,'N'),(16,3251926,'1A',202,'N'),(16,3251934,'1',103,'N'),(16,3251942,'1',340,'N'),(16,3251950,'1',103,'N'),(16,3251969,'1',340,'N'),(16,3251977,'1',101,'N'),(16,3251985,'1',319,'N'),(16,3251993,'1',211,'N'),(16,3251993,'1A',233,'N'),(16,3252000,'1',302,'N'),(16,3252019,'1',453,'N'),(16,3252027,'1',303,'N'),(16,3252035,'1',101,'N'),(16,3252043,'1',212,'N'),(16,3252043,'1A',215,'N'),(16,3252060,'1',102,'N'),(16,3252078,'1',103,'N'),(16,3252086,'1',420,'N'),(16,3252094,'1',303,'N'),(16,3252108,'1',450,'N'),(16,3252116,'1',501,'N'),(16,3252124,'1',203,'N'),(16,3252124,'1A',201,'N'),(16,3252132,'1',208,'N'),(16,3252132,'1A',238,'N'),(16,3252140,'1',304,'N'),(16,3252159,'1',203,'N'),(16,3252159,'1A',214,'N'),(16,3252167,'1',238,'N'),(16,3252167,'1A',208,'N'),(16,3252175,'1',5,'N'),(16,3252183,'1',5,'N'),(16,3252191,'1',215,'N'),(16,3252191,'1A',216,'N'),(16,3252205,'1',340,'N'),(16,3252213,'1',303,'N'),(16,3252221,'1',223,'N'),(16,3252230,'1',301,'N'),(16,3252256,'1',207,'N'),(16,3252256,'1A',201,'N'),(16,3252264,'1',220,'N'),(16,3252264,'1A',203,'N'),(16,3252272,'1',203,'N'),(16,3252272,'1A',214,'N'),(16,3252280,'1',301,'N'),(16,3252302,'1',452,'N'),(16,3252310,'1',404,'N'),(16,3252329,'1',316,'N'),(16,3252337,'1',201,'N'),(16,3252337,'1A',208,'N'),(16,3252345,'1',102,'N'),(16,3252353,'1',303,'N'),(16,3252370,'1',3,'N'),(16,3252396,'1',103,'N'),(16,3252400,'1',234,'N'),(16,3252426,'1',203,'N'),(16,3252426,'1A',201,'N'),(16,3252434,'1',318,'N'),(16,3252442,'1',317,'N'),(16,3252450,'1',103,'N'),(16,3252477,'1',207,'N'),(16,3252477,'1A',208,'N'),(16,3252485,'1',108,'N'),(16,3252493,'1',103,'N'),(16,3252507,'1',233,'N'),(16,3252507,'1A',215,'N'),(16,3252515,'1',404,'N'),(16,3252523,'1',103,'N'),(16,3252531,'1',502,'N'),(16,3252540,'1',208,'N'),(16,3252540,'1A',238,'N'),(16,3252558,'1',420,'N'),(16,3252566,'1',108,'N'),(16,3252574,'1',103,'N'),(16,3252582,'1',103,'N'),(16,3252590,'1',317,'N'),(16,3252604,'1',340,'N'),(16,3252612,'1',238,'N'),(16,3252612,'1A',208,'N'),(16,3252639,'1',309,'N'),(16,3252647,'1',328,'N'),(16,3252655,'1',103,'N'),(16,3252663,'1',203,'N'),(16,3252663,'1A',216,'N'),(16,3252671,'1',238,'N'),(16,3252671,'1A',208,'N'),(16,3252680,'1',415,'N'),(16,3252698,'1',331,'N'),(16,3252701,'1',207,'N'),(16,3252701,'1A',201,'N'),(16,3252710,'1',108,'N'),(16,3252728,'1',301,'N'),(16,3252736,'1',211,'N'),(16,3252736,'1A',212,'N'),(16,3252744,'1',332,'N'),(16,3252752,'1',104,'N'),(16,3252779,'1',104,'N'),(16,3252787,'1',201,'N'),(16,3252787,'1A',203,'N'),(16,3252795,'1',303,'N'),(16,3252809,'1',213,'N'),(16,3252809,'1A',212,'N'),(16,3252817,'1',415,'N'),(16,3252825,'1',101,'N'),(16,3252833,'1',428,'N'),(16,3252833,'1A',426,'N'),(16,3252841,'1',203,'N'),(16,3252850,'1',303,'N'),(16,3252868,'1',103,'N'),(16,3252876,'1',103,'N'),(16,3252884,'1',203,'N'),(16,3252884,'1A',202,'N'),(16,3252906,'1',415,'N'),(16,3252914,'1',205,'N'),(16,3252922,'1',9,'N'),(16,3252930,'1',225,'N'),(16,3252949,'1',208,'N'),(16,3252949,'1A',214,'N'),(16,3252957,'1',103,'N'),(16,3252965,'1',216,'N'),(16,3252965,'1A',238,'N'),(16,3252990,'1',201,'N'),(16,3252990,'1A',207,'N'),(16,3253015,'1',102,'N'),(16,3253031,'1',319,'N'),(16,3253040,'1',5,'N'),(16,3253058,'1',318,'N'),(16,3253066,'1',211,'N'),(16,3253066,'1A',215,'N'),(16,3253074,'1',103,'N'),(16,3253082,'1',452,'N'),(16,3253090,'1',202,'N'),(16,3253104,'1',103,'N'),(16,3253112,'1',208,'N'),(16,3253112,'1A',201,'N'),(16,3253120,'1',202,'N'),(16,3253120,'1A',213,'N'),(16,3253139,'1',102,'N'),(16,3253147,'1',104,'N'),(16,3253155,'1',201,'N'),(16,3253155,'1A',202,'N'),(16,3253171,'1',212,'N'),(16,3253171,'1A',213,'N'),(16,3253180,'1',326,'N'),(16,3253198,'1',214,'N'),(16,3253198,'1A',212,'N'),(16,3253201,'1',212,'N'),(16,3253201,'1A',214,'N'),(16,3253210,'1',316,'N'),(16,3253228,'1',103,'N'),(16,3253236,'1',444,'N'),(16,3253244,'1',207,'N'),(16,3253244,'1A',201,'N'),(16,3253252,'1',5,'N'),(16,3253260,'1',326,'N'),(16,3253279,'1',202,'N'),(16,3253279,'1A',211,'N'),(16,3253287,'1',415,'N'),(16,3253295,'1',308,'N'),(16,3253317,'1',453,'N'),(16,3253325,'1',303,'N'),(16,3253333,'1',415,'N'),(16,3253341,'1',303,'N'),(16,3253350,'1',201,'N'),(16,3253350,'1A',203,'N'),(16,3253368,'1',201,'N'),(16,3253368,'1A',207,'N'),(16,3253376,'1',103,'N'),(16,3253384,'1',333,'N'),(16,3253392,'1',9,'N'),(16,3253414,'1',301,'N'),(16,3253422,'1',104,'N'),(16,3253449,'1',233,'N'),(16,3253449,'1A',238,'N'),(16,3253457,'1',102,'N'),(16,3253465,'1',304,'N'),(16,3253473,'1',317,'N'),(16,3253481,'1',223,'N'),(16,3253490,'1',103,'N'),(16,3253503,'1',328,'N'),(16,3253511,'1',102,'N'),(16,3253520,'1',303,'N'),(16,3253546,'1',303,'N'),(16,3253554,'1',102,'N'),(16,3253562,'1',316,'N'),(16,3253570,'1',331,'N'),(16,3253589,'1',101,'N'),(16,3253597,'1',103,'N'),(16,3253600,'1',103,'N'),(16,3253619,'1',317,'N'),(16,3253627,'1',450,'N'),(16,3253635,'1',5,'N'),(16,3253643,'1',104,'N'),(16,3253651,'1',211,'N'),(16,3253651,'1A',203,'N'),(16,3253678,'1',303,'N'),(16,3253686,'1',103,'N'),(16,3253694,'1',203,'N'),(16,3253694,'1A',202,'N'),(16,3253708,'1',203,'N'),(16,3253708,'1A',208,'N'),(16,3253716,'1',333,'N'),(16,3253724,'1',303,'N'),(16,3253732,'1',207,'N'),(16,3253740,'1',202,'N'),(16,3253740,'1A',213,'N'),(16,3253759,'1',303,'N'),(16,3253767,'1',317,'N'),(16,3253775,'1',310,'N'),(16,3253791,'1',303,'N'),(16,3253805,'1',203,'N'),(16,3253805,'1A',202,'N'),(16,3253813,'1',201,'N'),(16,3253813,'1A',207,'N'),(16,3253821,'1',108,'N'),(16,3253830,'1',220,'N'),(16,3253830,'1A',208,'N'),(16,3253864,'1',301,'N'),(16,3253872,'1',5,'N'),(16,3253880,'1',233,'N'),(16,3253880,'1A',216,'N'),(16,3253902,'1',201,'N'),(16,3253902,'1A',212,'N'),(16,3253910,'1',103,'N'),(16,3253953,'1',316,'N'),(16,3253961,'1',103,'N'),(16,3253970,'1',103,'N'),(16,3253988,'1',303,'N'),(16,3253996,'1',420,'N'),(16,3254003,'1',501,'N'),(16,3254011,'1',203,'N'),(16,3254011,'1A',220,'N'),(16,3254020,'1',2,'N'),(16,3254038,'1',425,'N'),(16,3254038,'1A',429,'N'),(16,3254046,'1',303,'N'),(16,3254054,'1',503,'N'),(16,3254062,'1',301,'N'),(16,3254089,'1',502,'N'),(16,3254100,'1',318,'N'),(16,3254127,'1',308,'N'),(16,3254135,'1',214,'N'),(16,3254135,'1A',203,'N'),(16,3254143,'1',425,'N'),(16,3254151,'1',207,'N'),(16,3254151,'1A',201,'N'),(16,3254160,'1',420,'N'),(16,3254178,'1',213,'N'),(16,3254178,'1A',202,'N'),(16,3254186,'1',201,'N'),(16,3254186,'1A',211,'N'),(16,3254208,'1',102,'N'),(16,3254224,'1',203,'N'),(16,3254224,'1A',202,'N'),(16,3254232,'1',103,'N'),(16,3254240,'1',339,'N'),(16,3254259,'1',103,'N'),(16,3254267,'1',331,'N'),(16,3254283,'1',319,'N'),(16,3254291,'1',207,'N'),(16,3254291,'1A',201,'N'),(16,3254305,'1',207,'N'),(16,3254313,'1',453,'N'),(16,3254321,'1',102,'N'),(16,3254330,'1',340,'N'),(16,3254348,'1',103,'N'),(16,3254356,'1',420,'N'),(16,3254364,'1',203,'N'),(16,3254364,'1A',214,'N'),(16,3254372,'1',201,'N'),(16,3254372,'1A',207,'N'),(16,3254380,'1',326,'N'),(16,3254399,'1',220,'N'),(16,3254399,'1A',208,'N'),(16,3254402,'1',103,'N'),(16,3254410,'1',319,'N'),(16,3254429,'1',103,'N'),(16,3254437,'1',208,'N'),(16,3254437,'1A',214,'N'),(16,3254453,'1',102,'N'),(16,3254461,'1',207,'N'),(16,3254470,'1',103,'N'),(16,3254488,'1',216,'N'),(16,3254488,'1A',208,'N'),(16,3254496,'1',203,'N'),(16,3254496,'1A',202,'N'),(16,3254500,'1',420,'N'),(16,3254518,'1',220,'N'),(16,3254518,'1A',203,'N'),(16,3254526,'1',215,'N'),(16,3254526,'1A',216,'N'),(16,3254534,'1',501,'N'),(16,3254550,'1',104,'N'),(16,3254569,'1',404,'N'),(16,3254577,'1',426,'N'),(16,3254577,'1A',424,'N'),(16,3254585,'1',104,'N'),(16,3254593,'1',328,'N'),(16,3254607,'1',238,'N'),(16,3254607,'1A',208,'N'),(16,3254615,'1',303,'N'),(16,3254623,'1',301,'N'),(16,3254640,'1',340,'N'),(16,3254658,'1',220,'N'),(16,3254658,'1A',208,'N'),(16,3254666,'1',303,'N'),(16,3254674,'1',102,'N'),(16,3254682,'1',222,'N'),(16,3254690,'1',103,'N'),(16,3254704,'1',326,'N'),(16,3254712,'1',340,'N'),(16,3254720,'1',452,'N'),(16,3254739,'1',203,'N'),(16,3254739,'1A',214,'N'),(16,3254747,'1',301,'N'),(16,3254755,'1',301,'N'),(16,3254763,'1',103,'N'),(16,3254771,'1',301,'N'),(16,3254780,'1',103,'N'),(16,3254798,'1',215,'N'),(16,3254798,'1A',220,'N'),(16,3254801,'1',308,'N'),(16,3254810,'1',207,'N'),(16,3254810,'1A',201,'N'),(16,3254836,'1',5,'N'),(16,3254844,'1',203,'N'),(16,3254844,'1A',214,'N'),(16,3254852,'1',404,'N'),(16,3254860,'1',234,'N'),(16,3254879,'1',304,'N'),(16,3254887,'1',9,'N'),(16,3254895,'1',207,'N'),(16,3254909,'1',104,'N'),(16,3254917,'1',103,'N'),(16,3254925,'1',203,'N'),(16,3254925,'1A',201,'N'),(16,3254933,'1',303,'N'),(16,3254941,'1',216,'N'),(16,3254941,'1A',213,'N'),(16,3254950,'1',304,'N'),(16,3254976,'1',308,'N'),(16,3254984,'1',303,'N'),(16,3254992,'1',104,'N'),(16,3255000,'1',3,'N'),(16,3255018,'1',450,'N'),(16,3255026,'1',101,'N'),(16,3255034,'1',201,'N'),(16,3255034,'1A',212,'N'),(16,3255042,'1',340,'N'),(16,3255050,'1',220,'N'),(16,3255050,'1A',208,'N'),(16,3255069,'1',317,'N'),(16,3255077,'1',453,'N'),(16,3255085,'1',308,'N'),(16,3255093,'1',453,'N'),(16,3255107,'1',207,'N'),(16,3255107,'1A',211,'N'),(16,3255123,'1',415,'N'),(16,3255131,'1',208,'N'),(16,3255131,'1A',238,'N'),(16,3255140,'1',104,'N'),(16,3255158,'1',208,'N'),(16,3255158,'1A',203,'N'),(16,3255174,'1',104,'N'),(16,3255182,'1',211,'N'),(16,3255182,'1A',216,'N'),(16,3255190,'1',207,'N'),(16,3255190,'1A',201,'N'),(16,3255204,'1',304,'N'),(16,3255212,'1',317,'N'),(16,3255220,'1',203,'N'),(16,3255220,'1A',207,'N'),(16,3255239,'1',216,'N'),(16,3255239,'1A',233,'N'),(16,3255247,'1',420,'N'),(16,3255271,'1',303,'N'),(16,3255280,'1',302,'N'),(16,3255298,'1',319,'N'),(16,3255301,'1',5,'N'),(16,3255310,'1',444,'N'),(16,3255328,'1',319,'N'),(16,3255336,'1',216,'N'),(16,3255336,'1A',203,'N'),(16,3255352,'1',316,'N'),(16,3255360,'1',303,'N'),(16,3255379,'1',220,'N'),(16,3255379,'1A',208,'N'),(16,3255395,'1',233,'N'),(16,3255395,'1A',215,'N'),(16,3255417,'1',103,'N'),(16,3255425,'1',9,'N'),(16,3255433,'1',503,'N'),(16,3255441,'1',303,'N'),(16,3255450,'1',304,'N'),(16,3255468,'1',238,'N'),(16,3255468,'1A',208,'N'),(16,3255476,'1',212,'N'),(16,3255476,'1A',211,'N'),(16,3255484,'1',104,'N'),(16,3255492,'1',103,'N'),(16,3255506,'1',225,'N'),(16,3255514,'1',214,'N'),(16,3255514,'1A',212,'N'),(16,3255522,'1',103,'N'),(16,3255549,'1',238,'N'),(16,3255549,'1A',208,'N'),(16,3255557,'1',214,'N'),(16,3255557,'1A',212,'N'),(16,3255565,'1',212,'N'),(16,3255565,'1A',238,'N'),(16,3255581,'1',207,'N'),(16,3255581,'1A',201,'N'),(16,3255590,'1',5,'N'),(16,3255603,'1',234,'N'),(16,3255611,'1',502,'N'),(16,3255620,'1',213,'N'),(16,3255620,'1A',212,'N'),(16,3255638,'1',103,'N'),(16,3255646,'1',220,'N'),(16,3255646,'1A',216,'N'),(16,3255654,'1',103,'N'),(16,3255662,'1',303,'N'),(16,3255689,'1',103,'N'),(16,3255697,'1',319,'N'),(16,3255719,'1',103,'N'),(16,3255727,'1',215,'N'),(16,3255727,'1A',211,'N'),(16,3255735,'1',104,'N'),(16,3255743,'1',332,'N'),(16,3255751,'1',216,'N'),(16,3255751,'1A',233,'N'),(16,3255760,'1',444,'N'),(16,3255778,'1',212,'N'),(16,3255778,'1A',208,'N'),(16,3255794,'1',425,'N'),(16,3255794,'1A',423,'N'),(16,3255808,'1',103,'N'),(16,3255816,'1',203,'N'),(16,3255816,'1A',214,'N'),(16,3255824,'1',103,'N'),(16,3255832,'1',302,'N'),(16,3255840,'1',319,'N'),(16,3255859,'1',340,'N'),(16,3255867,'1',211,'N'),(16,3255867,'1A',214,'N'),(16,3255875,'1',103,'N'),(16,3255883,'1',331,'N'),(16,3255891,'1',502,'N'),(16,3255905,'1',103,'N'),(16,3255930,'1',104,'N'),(16,3255956,'1',2,'N'),(16,3255964,'1',108,'N'),(16,3255980,'1',104,'N'),(16,3255999,'1',102,'N'),(16,3256006,'1',216,'N'),(16,3256006,'1A',201,'N'),(16,3256014,'1',103,'N'),(16,3256022,'1',215,'N'),(16,3256030,'1',104,'N'),(16,3256049,'1',9,'N'),(16,3256057,'1',301,'N'),(16,3256065,'1',104,'N'),(16,3256081,'1',444,'N'),(16,3256090,'1',444,'N'),(16,3256103,'1',103,'N'),(16,3256111,'1',303,'N'),(16,3256120,'1',316,'N'),(16,3256138,'1',104,'N'),(16,3256146,'1',302,'N'),(16,3256154,'1',216,'N'),(16,3256154,'1A',233,'N'),(16,3256162,'1',415,'N'),(16,3256170,'1',103,'N'),(16,3256189,'1',103,'N'),(16,3256197,'1',340,'N'),(16,3256200,'1',103,'N'),(16,3256219,'1',310,'N'),(16,3256227,'1',212,'N'),(16,3256227,'1A',233,'N'),(16,3256235,'1',108,'N'),(16,3256243,'1',303,'N'),(16,3256251,'1',303,'N'),(16,3256260,'1',301,'N'),(16,3256278,'1',501,'N'),(16,3256286,'1',201,'N'),(16,3256286,'1A',212,'N'),(16,3256294,'1',415,'N'),(16,3256308,'1',104,'N'),(16,3256316,'1',319,'N'),(16,3256332,'1',501,'N'),(16,3256340,'1',208,'N'),(16,3256340,'1A',238,'N'),(16,3256359,'1',5,'N'),(16,3256367,'1',207,'N'),(16,3256367,'1A',216,'N'),(16,3256383,'1',103,'N'),(16,3256391,'1',319,'N'),(16,3256405,'1',213,'N'),(16,3256405,'1A',238,'N'),(16,3256413,'1',108,'N'),(16,3256421,'1',444,'N'),(16,3256430,'1',420,'N'),(16,3256448,'1',201,'N'),(16,3256448,'1A',213,'N'),(16,3256456,'1',420,'N'),(16,3256464,'1',309,'N'),(16,3256472,'1',316,'N'),(16,3256480,'1',213,'N'),(16,3256480,'1A',202,'N'),(16,3256499,'1',216,'N'),(16,3256499,'1A',202,'N'),(16,3256502,'1',201,'N'),(16,3256529,'1',302,'N'),(16,3256537,'1',501,'N'),(16,3256545,'1',203,'N'),(16,3256545,'1A',202,'N'),(16,3256553,'1',103,'N'),(16,3256561,'1',304,'N'),(16,3256570,'1',340,'N'),(16,3256588,'1',415,'N'),(16,3256596,'1',103,'N'),(16,3256600,'1',5,'N'),(16,3256618,'1',207,'N'),(16,3256618,'1A',201,'N'),(16,3256626,'1',222,'N'),(16,3256634,'1',444,'N'),(16,3256642,'1',104,'N'),(16,3256669,'1',103,'N'),(16,3256685,'1',103,'N'),(16,3256693,'1',316,'N'),(16,3256715,'1',425,'N'),(16,3256723,'1',319,'N'),(16,3256731,'1',202,'N'),(16,3256731,'1A',203,'N'),(16,3256740,'1',207,'N'),(16,3256740,'1A',201,'N'),(16,3256758,'1',238,'N'),(16,3256758,'1A',212,'N'),(16,3256766,'1',301,'N'),(16,3256774,'1',207,'N'),(16,3256774,'1A',201,'N'),(16,3256782,'1',317,'N'),(16,3256790,'1',103,'N'),(16,3256804,'1',201,'N'),(16,3256804,'1A',203,'N'),(16,3256812,'1',233,'N'),(16,3256812,'1A',220,'N'),(16,3256839,'1',207,'N'),(16,3256839,'1A',201,'N'),(16,3256863,'1',104,'N'),(16,3256871,'1',238,'N'),(16,3256871,'1A',220,'N'),(16,3256880,'1',303,'N'),(16,3256898,'1',415,'N'),(16,3256901,'1',340,'N'),(16,3256928,'1',103,'N'),(16,3256936,'1',103,'N'),(16,3256944,'1',319,'N'),(16,3256952,'1',302,'N'),(16,3256979,'1',103,'N'),(16,3256987,'1',301,'N'),(16,3257002,'1',211,'N'),(16,3257002,'1A',215,'N'),(16,3257010,'1',308,'N'),(16,3257029,'1',103,'N'),(16,3257037,'1',301,'N'),(16,3257045,'1',9,'N'),(16,3257053,'1',213,'N'),(16,3257053,'1A',214,'N'),(16,3257061,'1',208,'N'),(16,3257061,'1A',238,'N'),(16,3257070,'1',331,'N'),(16,3257088,'1',404,'N'),(16,3257096,'1',208,'N'),(16,3257096,'1A',238,'N'),(16,3257100,'1',103,'N'),(16,3257118,'1',326,'N'),(16,3257126,'1',324,'N'),(16,3257134,'1',5,'N'),(16,3257142,'1',201,'N'),(16,3257142,'1A',212,'N'),(16,3257150,'1',103,'N'),(16,3257169,'1',450,'N'),(16,3257177,'1',326,'N'),(16,3257185,'1',308,'N'),(16,3257207,'1',103,'N'),(16,3257215,'1',102,'N'),(16,3257223,'1',303,'N'),(16,3257231,'1',302,'N'),(16,3257240,'1',103,'N'),(16,3257258,'1',220,'N'),(16,3257258,'1A',214,'N'),(16,3257266,'1',108,'N'),(16,3257274,'1',208,'N'),(16,3257274,'1A',238,'N'),(16,3257282,'1',207,'N'),(16,3257290,'1',103,'N'),(16,3257304,'1',212,'N'),(16,3257312,'1',331,'N'),(16,3257347,'1',201,'N'),(16,3257347,'1A',212,'N'),(16,3257355,'1',220,'N'),(16,3257363,'1',103,'N'),(16,3257380,'1',318,'N'),(16,3257398,'1',216,'N'),(16,3257398,'1A',215,'N'),(16,3257401,'1',203,'N'),(16,3257401,'1A',202,'N'),(16,3257428,'1',207,'N'),(16,3257428,'1A',201,'N'),(16,3257436,'1',420,'N'),(16,3257444,'1',208,'N'),(16,3257444,'1A',207,'N'),(16,3257452,'1',103,'N'),(16,3257460,'1',103,'N'),(16,3257479,'1',301,'N'),(16,3257487,'1',215,'N'),(16,3257487,'1A',203,'N'),(16,3257495,'1',303,'N'),(16,3257509,'1',415,'N'),(16,3257517,'1',103,'N'),(16,3257525,'1',202,'N'),(16,3257525,'1A',213,'N'),(16,3257533,'1',208,'N'),(16,3257533,'1A',202,'N'),(16,3257541,'1',102,'N'),(16,3257550,'1',101,'N'),(16,3257568,'1',203,'N'),(16,3257568,'1A',220,'N'),(16,3257576,'1',216,'N'),(16,3257576,'1A',233,'N'),(16,3257584,'1',220,'N'),(16,3257584,'1A',211,'N'),(16,3257592,'1',103,'N'),(16,3257622,'1',452,'N'),(16,3257630,'1',5,'N'),(16,3257649,'1',207,'N'),(16,3257649,'1A',201,'N'),(16,3257657,'1',302,'N'),(16,3257665,'1',303,'N'),(16,3257673,'1',303,'N'),(16,3257681,'1',415,'N'),(16,3257690,'1',216,'N'),(16,3257690,'1A',212,'N'),(16,3257703,'1',428,'N'),(16,3257711,'1',211,'N'),(16,3257711,'1A',215,'N'),(16,3257720,'1',108,'N'),(16,3257738,'1',104,'N'),(16,3257746,'1',103,'N'),(16,3257754,'1',415,'N'),(16,3257770,'1',103,'N'),(16,3257789,'1',316,'N'),(16,3257797,'1',103,'N'),(16,3257800,'1',303,'N'),(16,3257819,'1',303,'N'),(16,3257827,'1',203,'N'),(16,3257827,'1A',214,'N'),(16,3257835,'1',101,'N'),(16,3257843,'1',444,'N'),(16,3257851,'1',102,'N'),(16,3257860,'1',207,'N'),(16,3257860,'1A',211,'N'),(16,3257878,'1',208,'N'),(16,3257878,'1A',238,'N'),(16,3257886,'1',317,'N'),(16,3257894,'1',302,'N'),(16,3257908,'1',201,'N'),(16,3257908,'1A',213,'N'),(16,3257916,'1',203,'N'),(16,3257916,'1A',201,'N'),(16,3257924,'1',326,'N'),(16,3257932,'1',208,'N'),(16,3257932,'1A',212,'N'),(16,3257940,'1',415,'N'),(16,3257959,'1',103,'N'),(16,3257967,'1',103,'N'),(16,3257975,'1',207,'N'),(16,3257975,'1A',233,'N'),(16,3257983,'1',234,'N'),(16,3257991,'1',211,'N'),(16,3257991,'1A',203,'N'),(16,3258009,'1',340,'N'),(16,3258017,'1',201,'N'),(16,3258017,'1A',208,'N'),(16,3258025,'1',415,'N'),(16,3258033,'1',202,'N'),(16,3258033,'1A',201,'N'),(16,3258068,'1',328,'N'),(16,3258076,'1',101,'N'),(16,3258084,'1',326,'N'),(16,3258092,'1',108,'N'),(16,3258106,'1',212,'N'),(16,3258106,'1A',211,'N'),(16,3258122,'1',216,'N'),(16,3258130,'1',203,'N'),(16,3258130,'1A',214,'N'),(16,3258149,'1',317,'N'),(16,3258165,'1',212,'N'),(16,3258165,'1A',201,'N'),(16,3258173,'1',202,'N'),(16,3258173,'1A',213,'N'),(16,3258181,'1',340,'N'),(16,3258190,'1',212,'N'),(16,3258190,'1A',201,'N'),(16,3258203,'1',213,'N'),(16,3258203,'1A',202,'N'),(16,3258211,'1',427,'N'),(16,3258220,'1',316,'N'),(16,3258238,'1',302,'N'),(16,3258246,'1',420,'N'),(16,3258254,'1',212,'N'),(16,3258254,'1A',201,'N'),(16,3258262,'1',317,'N'),(16,3258270,'1',220,'N'),(16,3258270,'1A',202,'N'),(16,3258289,'1',207,'N'),(16,3258297,'1',203,'N'),(16,3258297,'1A',201,'N'),(16,3258319,'1',104,'N'),(16,3258327,'1',108,'N'),(16,3258335,'1',404,'N'),(16,3258343,'1',238,'N'),(16,3258343,'1A',208,'N'),(16,3258351,'1',444,'N'),(16,3258360,'1',201,'N'),(16,3258360,'1A',212,'N'),(16,3258378,'1',301,'N'),(16,3258386,'1',211,'N'),(16,3258386,'1A',215,'N'),(16,3258408,'1',207,'N'),(16,3258408,'1A',201,'N'),(16,3258416,'1',404,'N'),(16,3258424,'1',202,'N'),(16,3258424,'1A',220,'N'),(16,3258432,'1',208,'N'),(16,3258432,'1A',238,'N'),(16,3258440,'1',201,'N'),(16,3258440,'1A',203,'N'),(16,3258459,'1',216,'N'),(16,3258459,'1A',215,'N'),(16,3258467,'1',238,'N'),(16,3258467,'1A',202,'N'),(16,3258475,'1',415,'N'),(16,3258491,'1',202,'N'),(16,3258491,'1A',233,'N'),(16,3258513,'1',201,'N'),(16,3258513,'1A',212,'N'),(16,3258521,'1',333,'N'),(16,3258530,'1',238,'N'),(16,3258530,'1A',208,'N'),(16,3258548,'1',502,'N'),(16,3258556,'1',104,'N'),(16,3258564,'1',5,'N'),(16,3258572,'1',453,'N'),(16,3258580,'1',203,'N'),(16,3258580,'1A',214,'N'),(16,3258599,'1',102,'N'),(16,3258602,'1',316,'N'),(16,3258610,'1',425,'N'),(16,3258610,'1A',429,'N'),(16,3258629,'1',415,'N'),(16,3258645,'1',238,'N'),(16,3258645,'1A',207,'N'),(16,3258653,'1',9,'N'),(16,3258661,'1',216,'N'),(16,3258661,'1A',215,'N'),(16,3258670,'1',208,'N'),(16,3258670,'1A',233,'N'),(16,3258688,'1',404,'N'),(16,3258696,'1',202,'N'),(16,3258696,'1A',213,'N'),(16,3258700,'1',304,'N'),(16,3258718,'1',404,'N'),(16,3258726,'1',316,'N'),(16,3258734,'1',5,'N'),(16,3258742,'1',213,'N'),(16,3258742,'1A',215,'N'),(16,3258750,'1',331,'N'),(16,3258769,'1',303,'N'),(16,3258777,'1',203,'N'),(16,3258777,'1A',208,'N'),(16,3258785,'1',102,'N'),(16,3258793,'1',444,'N'),(16,3258807,'1',3,'N'),(16,3258815,'1',453,'N'),(16,3258831,'1',202,'N'),(16,3258831,'1A',220,'N'),(16,3258840,'1',318,'N'),(16,3258858,'1',108,'N'),(16,3258866,'1',215,'N'),(16,3258866,'1A',211,'N'),(16,3258874,'1',208,'N'),(16,3258874,'1A',202,'N'),(16,3258882,'1',316,'N'),(16,3258890,'1',501,'N'),(16,3258904,'1',426,'N'),(16,3258904,'1A',423,'N'),(16,3258912,'1',224,'N'),(16,3258920,'1',203,'N'),(16,3258920,'1A',208,'N'),(16,3258939,'1',103,'N'),(16,3258947,'1',103,'N'),(16,3258955,'1',233,'N'),(16,3258955,'1A',207,'N'),(16,3258963,'1',302,'N'),(16,3258971,'1',421,'N'),(16,3258971,'1A',424,'N'),(16,3258980,'1',5,'N'),(16,3258998,'1',103,'N'),(16,3259005,'1',202,'N'),(16,3259005,'1A',220,'N'),(16,3259013,'1',424,'N'),(16,3259013,'1A',427,'N'),(16,3259021,'1',201,'N'),(16,3259021,'1A',207,'N'),(16,3259030,'1',303,'N'),(16,3259048,'1',328,'N'),(16,3259056,'1',303,'N'),(16,3259064,'1',220,'N'),(16,3259064,'1A',202,'N'),(16,3259080,'1',453,'N'),(16,3259099,'1',331,'N'),(16,3259102,'1',103,'N'),(16,3259110,'1',316,'N'),(16,3259137,'1',104,'N'),(16,3259145,'1',327,'N'),(16,3259153,'1',301,'N'),(16,3259170,'1',203,'N'),(16,3259170,'1A',214,'N'),(16,3259196,'1',234,'N'),(16,3259218,'1',211,'N'),(16,3259218,'1A',203,'N'),(16,3259226,'1',301,'N'),(16,3259234,'1',5,'N'),(16,3259242,'1',234,'N'),(16,3259250,'1',453,'N'),(16,3259285,'1',444,'N'),(16,3259293,'1',5,'N'),(16,3259307,'1',103,'N'),(16,3259331,'1',5,'N'),(16,3259340,'1',425,'N'),(16,3259340,'1A',427,'N'),(16,3259358,'1',101,'N'),(16,3259366,'1',444,'N'),(16,3259374,'1',420,'N'),(16,3259390,'1',207,'N'),(16,3259390,'1A',211,'N'),(16,3259412,'1',303,'N'),(16,3259420,'1',208,'N'),(16,3259439,'1',502,'N'),(16,3259447,'1',428,'N'),(16,3259447,'1A',426,'N'),(16,3259455,'1',215,'N'),(16,3259455,'1A',211,'N'),(16,3259463,'1',444,'N'),(16,3259471,'1',238,'N'),(16,3259471,'1A',208,'N'),(16,3259480,'1',327,'N'),(16,3259498,'1',329,'N'),(16,3259501,'1',304,'N'),(16,3259510,'1',201,'N'),(16,3259528,'1',103,'N'),(16,3259544,'1',104,'N'),(16,3259552,'1',224,'N'),(16,3259560,'1',102,'N'),(16,3259579,'1',211,'N'),(16,3259579,'1A',220,'N'),(16,3259587,'1',103,'N'),(16,3259595,'1',452,'N'),(16,3259617,'1',201,'N'),(16,3259617,'1A',212,'N'),(16,3259625,'1',102,'N'),(16,3259641,'1',238,'N'),(16,3259641,'1A',208,'N'),(16,3259650,'1',415,'N'),(16,3259676,'1',319,'N'),(16,3259684,'1',5,'N'),(16,3259692,'1',103,'N'),(16,3259706,'1',214,'N'),(16,3259714,'1',3,'N'),(16,3259722,'1',208,'N'),(16,3259722,'1A',215,'N'),(16,3259730,'1',452,'N'),(16,3259765,'1',103,'N'),(16,3259773,'1',208,'N'),(16,3259773,'1A',238,'N'),(16,3259781,'1',216,'N'),(16,3259781,'1A',215,'N'),(16,3259790,'1',214,'N'),(16,3259790,'1A',233,'N'),(16,3259803,'1',317,'N'),(16,3259811,'1',310,'N'),(16,3259820,'1',319,'N'),(16,3259846,'1',444,'N'),(16,3259854,'1',103,'N'),(16,3259870,'1',301,'N'),(16,3259897,'1',103,'N'),(16,3259900,'1',5,'N'),(16,3259927,'1',501,'N'),(16,3259935,'1',203,'N'),(16,3259935,'1A',220,'N'),(16,3259943,'1',310,'N'),(16,3259951,'1',101,'N'),(16,3259960,'1',339,'N'),(16,3259978,'1',103,'N'),(16,3259994,'1',320,'N'),(16,3260003,'1',308,'N'),(16,3260011,'1',208,'N'),(16,3260011,'1A',238,'N'),(16,3260020,'1',331,'N'),(16,3260038,'1',302,'N'),(16,3260046,'1',5,'N'),(16,3260062,'1',203,'N'),(16,3260062,'1A',220,'N'),(16,3260070,'1',201,'N'),(16,3260070,'1A',212,'N'),(16,3260100,'1',234,'N'),(16,3260119,'1',426,'N'),(16,3260119,'1A',425,'N'),(16,3260143,'1',304,'N'),(16,3260151,'1',224,'N'),(16,3260160,'1',104,'N'),(16,3260178,'1',308,'N'),(16,3260186,'1',224,'N'),(16,3260194,'1',203,'N'),(16,3260216,'1',234,'N'),(16,3260224,'1',453,'N'),(16,3260240,'1',201,'N'),(16,3260240,'1A',238,'N'),(16,3260259,'1',202,'N'),(16,3260259,'1A',213,'N'),(16,3260267,'1',5,'N'),(16,3260275,'1',428,'N'),(16,3260283,'1',302,'N'),(16,3260291,'1',103,'N'),(16,3260305,'1',211,'N'),(16,3260305,'1A',215,'N'),(16,3260313,'1',203,'N'),(16,3260313,'1A',202,'N'),(16,3260321,'1',238,'N'),(16,3260330,'1',339,'N'),(16,3260348,'1',207,'N'),(16,3260348,'1A',201,'N'),(16,3260356,'1',208,'N'),(16,3260364,'1',211,'N'),(16,3260364,'1A',215,'N'),(16,3260372,'1',103,'N'),(16,3260380,'1',201,'N'),(16,3260380,'1A',216,'N'),(16,3260410,'1',208,'N'),(16,3260410,'1A',203,'N'),(16,3260429,'1',318,'N'),(16,3260437,'1',320,'N'),(16,3260453,'1',503,'N'),(16,3260461,'1',103,'N'),(16,3260470,'1',453,'N'),(16,3260488,'1',238,'N'),(16,3260496,'1',319,'N'),(16,3260518,'1',103,'N'),(16,3260526,'1',101,'N'),(16,3260542,'1',216,'N'),(16,3260542,'1A',203,'N'),(16,3260550,'1',211,'N'),(16,3260550,'1A',207,'N'),(16,3260569,'1',201,'N'),(16,3260569,'1A',203,'N'),(16,3260577,'1',201,'N'),(16,3260577,'1A',220,'N'),(16,3260585,'1',103,'N'),(16,3260615,'1',238,'N'),(16,3260615,'1A',208,'N'),(16,3260623,'1',207,'N'),(16,3260623,'1A',233,'N'),(16,3260640,'1',444,'N'),(16,3260666,'1',425,'N'),(16,3260666,'1A',427,'N'),(16,3260674,'1',103,'N'),(16,3260682,'1',208,'N'),(16,3260682,'1A',220,'N'),(16,3260690,'1',208,'N'),(16,3260690,'1A',238,'N'),(16,3260704,'1',203,'N'),(16,3260704,'1A',202,'N'),(16,3260712,'1',319,'N'),(16,3260720,'1',318,'N'),(16,3260739,'1',333,'N'),(16,3260763,'1',211,'N'),(16,3260771,'1',429,'N'),(16,3260771,'1A',427,'N'),(16,3260780,'1',429,'N'),(16,3260780,'1A',428,'N'),(16,3260798,'1',103,'N'),(16,3260801,'1',104,'N'),(16,3260828,'1',103,'N'),(16,3260836,'1',101,'N'),(16,3260844,'1',333,'N'),(16,3260852,'1',225,'N'),(16,3260879,'1',502,'N'),(16,3260909,'1',103,'N'),(16,3260917,'1',103,'N'),(16,3260925,'1',309,'N'),(16,3260933,'1',425,'N'),(16,3260933,'1A',429,'N'),(16,3260941,'1',301,'N'),(16,3260950,'1',201,'N'),(16,3260950,'1A',207,'N'),(16,3260968,'1',201,'N'),(16,3260968,'1A',212,'N'),(16,3260976,'1',303,'N'),(16,3260992,'1',103,'N'),(16,3261000,'1',207,'N'),(16,3261000,'1A',201,'N'),(16,3261018,'1',104,'N'),(16,3261026,'1',308,'N'),(16,3261034,'1',502,'N'),(16,3261042,'1',102,'N'),(16,3261050,'1',103,'N'),(16,3261069,'1',319,'N'),(16,3261077,'1',331,'N'),(16,3261085,'1',310,'N'),(16,3261093,'1',5,'N'),(16,3261107,'1',5,'N'),(16,3261115,'1',103,'N'),(16,3261123,'1',220,'N'),(16,3261123,'1A',202,'N'),(16,3261131,'1',415,'N'),(16,3261140,'1',444,'N'),(16,3261158,'1',233,'N'),(16,3261158,'1A',212,'N'),(16,3261166,'1',103,'N'),(16,3261174,'1',108,'N'),(16,3261182,'1',415,'N'),(16,3261212,'1',333,'N'),(16,3261220,'1',426,'N'),(16,3261220,'1A',428,'N'),(16,3261239,'1',108,'N'),(16,3261247,'1',211,'N'),(16,3261247,'1A',208,'N'),(16,3261255,'1',317,'N'),(16,3261263,'1',415,'N'),(16,3261271,'1',5,'N'),(16,3261298,'1',5,'N'),(16,3261301,'1',234,'N'),(16,3261310,'1',308,'N'),(16,3261328,'1',234,'N'),(16,3261336,'1',309,'N'),(16,3261344,'1',207,'N'),(16,3261344,'1A',201,'N'),(16,3261352,'1',103,'N'),(16,3261360,'1',202,'N'),(16,3261387,'1',225,'N'),(16,3261395,'1',203,'N'),(16,3261395,'1A',207,'N'),(16,3261409,'1',317,'N'),(16,3261417,'1',303,'N'),(16,3261425,'1',5,'N'),(16,3261433,'1',203,'N'),(16,3261433,'1A',220,'N'),(16,3261441,'1',216,'N'),(16,3261441,'1A',215,'N'),(16,3261450,'1',102,'N'),(16,3261468,'1',503,'N'),(16,3261476,'1',317,'N'),(16,3261484,'1',450,'N'),(16,3261492,'1',103,'N'),(16,3261506,'1',214,'N'),(16,3261506,'1A',212,'N'),(16,3261514,'1',101,'N'),(16,3261522,'1',319,'N'),(16,3261530,'1',453,'N'),(16,3261549,'1',426,'N'),(16,3261549,'1A',429,'N'),(16,3261557,'1',340,'N'),(16,3261565,'1',328,'N'),(16,3261573,'1',234,'N'),(16,3261581,'1',308,'N'),(16,3261590,'1',5,'N'),(16,3261603,'1',320,'N'),(16,3261620,'1',316,'N'),(16,3261638,'1',452,'N'),(16,3261646,'1',104,'N'),(16,3261654,'1',5,'N'),(16,3261662,'1',103,'N'),(16,3261670,'1',317,'N'),(16,3261689,'1',103,'N'),(16,3261697,'1',103,'N'),(16,3261700,'1',340,'N'),(16,3261719,'1',202,'N'),(16,3261719,'1A',208,'N'),(16,3261727,'1',215,'N'),(16,3261727,'1A',233,'N'),(16,3261735,'1',101,'N'),(16,3261743,'1',208,'N'),(16,3261751,'1',201,'N'),(16,3261751,'1A',212,'N'),(16,3261760,'1',331,'N'),(16,3261778,'1',310,'N'),(16,3261794,'1',104,'N'),(16,3261808,'1',450,'N'),(16,3261816,'1',102,'N'),(16,3261859,'1',102,'N'),(16,3261867,'1',319,'N'),(16,3261875,'1',304,'N'),(16,3261883,'1',212,'N'),(16,3261883,'1A',213,'N'),(16,3261891,'1',103,'N'),(16,3261905,'1',103,'N'),(16,3261913,'1',103,'N'),(16,3261921,'1',5,'N'),(16,3261930,'1',103,'N'),(16,3261948,'1',203,'N'),(16,3261956,'1',429,'N'),(16,3261972,'1',203,'N'),(16,3261972,'1A',201,'N'),(16,3261980,'1',225,'N'),(16,3261999,'1',316,'N'),(16,3262006,'1',103,'N'),(16,3262014,'1',318,'N'),(16,3262022,'1',404,'N'),(16,3262065,'1',208,'N'),(16,3262065,'1A',203,'N'),(16,3262073,'1',303,'N'),(16,3262081,'1',103,'N'),(16,3262090,'1',429,'N'),(16,3262090,'1A',425,'N'),(16,3262103,'1',201,'N'),(16,3262111,'1',444,'N'),(16,3262120,'1',211,'N'),(16,3262120,'1A',238,'N'),(16,3262138,'1',9,'N'),(16,3262146,'1',234,'N'),(16,3262154,'1',316,'N'),(16,3262170,'1',327,'N'),(16,3262189,'1',333,'N'),(16,3262200,'1',220,'N'),(16,3262200,'1A',233,'N'),(16,3262219,'1',3,'N'),(16,3262227,'1',108,'N'),(16,3262235,'1',309,'N'),(16,3262243,'1',317,'N'),(16,3262251,'1',201,'N'),(16,3262251,'1A',207,'N'),(16,3262260,'1',420,'N'),(16,3262278,'1',301,'N'),(16,3262286,'1',302,'N'),(16,3262294,'1',301,'N'),(16,3262308,'1',450,'N'),(16,3262316,'1',309,'N'),(16,3262324,'1',207,'N'),(16,3262324,'1A',238,'N'),(16,3262332,'1',324,'N'),(16,3262340,'1',444,'N'),(16,3262359,'1',501,'N'),(16,3262367,'1',203,'N'),(16,3262367,'1A',214,'N'),(16,3262375,'1',301,'N'),(16,3262383,'1',234,'N'),(16,3262391,'1',450,'N'),(16,3262405,'1',303,'N'),(16,3262413,'1',103,'N'),(16,3262421,'1',421,'N'),(16,3262421,'1A',424,'N'),(16,3262430,'1',319,'N'),(16,3262448,'1',103,'N'),(16,3262456,'1',108,'N'),(16,3262464,'1',203,'N'),(16,3262464,'1A',208,'N'),(16,3262472,'1',302,'N'),(16,3262480,'1',415,'N'),(16,3262510,'1',2,'N'),(16,3262529,'1',103,'N'),(16,3262537,'1',316,'N'),(16,3262545,'1',103,'N'),(16,3262553,'1',211,'N'),(16,3262553,'1A',233,'N'),(16,3262561,'1',317,'N'),(16,3262570,'1',317,'N'),(16,3262588,'1',203,'N'),(16,3262588,'1A',214,'N'),(16,3262596,'1',207,'N'),(16,3262596,'1A',215,'N'),(16,3262600,'1',316,'N'),(16,3262626,'1',103,'N'),(16,3262634,'1',301,'N'),(16,3262642,'1',103,'N'),(16,3262650,'1',103,'N'),(16,3262669,'1',303,'N'),(16,3262677,'1',301,'N'),(16,3262685,'1',316,'N'),(16,3262693,'1',234,'N'),(16,3262707,'1',340,'N'),(16,3262715,'1',238,'N'),(16,3262715,'1A',208,'N'),(16,3262731,'1',5,'N'),(16,3262740,'1',451,'N'),(16,3262758,'1',207,'N'),(16,3262758,'1A',201,'N'),(16,3262766,'1',103,'N'),(16,3262774,'1',201,'N'),(16,3262774,'1A',212,'N'),(16,3262782,'1',303,'N'),(16,3262790,'1',108,'N'),(16,3262804,'1',103,'N'),(16,3262812,'1',103,'N'),(16,3262820,'1',5,'N'),(16,3262839,'1',238,'N'),(16,3262847,'1',234,'N'),(16,3262855,'1',404,'N'),(16,3262863,'1',207,'N'),(16,3262863,'1A',201,'N'),(16,3262871,'1',201,'N'),(16,3262871,'1A',212,'N'),(16,3262880,'1',208,'N'),(16,3262901,'1',103,'N'),(16,3262910,'1',102,'N'),(16,3262928,'1',215,'N'),(16,3262928,'1A',216,'N'),(16,3262936,'1',203,'N'),(16,3262936,'1A',213,'N'),(16,3262944,'1',421,'N'),(16,3262944,'1A',429,'N'),(16,3262952,'1',207,'N'),(16,3262952,'1A',201,'N'),(16,3262960,'1',101,'N'),(16,3262987,'1',301,'N'),(16,3262995,'1',103,'N'),(16,3263002,'1',102,'N'),(16,3263010,'1',404,'N'),(16,3263029,'1',104,'N'),(16,3263037,'1',104,'N'),(16,3263045,'1',5,'N'),(16,3263070,'1',319,'N'),(16,3263088,'1',220,'N'),(16,3263088,'1A',202,'N'),(16,3263118,'1',201,'N'),(16,3263118,'1A',220,'N'),(16,3263126,'1',108,'N'),(16,3263134,'1',318,'N'),(16,3263142,'1',451,'N'),(16,3263150,'1',5,'N'),(16,3263169,'1',303,'N'),(16,3263177,'1',238,'N'),(16,3263177,'1A',216,'N'),(16,3263185,'1',415,'N'),(16,3263193,'1',415,'N'),(16,3263207,'1',301,'N'),(16,3263215,'1',201,'N'),(16,3263215,'1A',233,'N'),(16,3263223,'1',340,'N'),(16,3263231,'1',223,'N'),(16,3263240,'1',108,'N'),(16,3263258,'1',301,'N'),(16,3263274,'1',319,'N'),(16,3263282,'1',316,'N'),(16,3263290,'1',308,'N'),(16,3263304,'1',503,'N'),(16,3263312,'1',207,'N'),(16,3263312,'1A',201,'N'),(16,3263320,'1',5,'N'),(16,3263347,'1',310,'N'),(16,3263355,'1',453,'N'),(16,3263363,'1',207,'N'),(16,3263363,'1A',201,'N'),(16,3263371,'1',404,'N'),(16,3263380,'1',404,'N'),(16,3263398,'1',428,'N'),(16,3263398,'1A',426,'N'),(16,3263401,'1',220,'N'),(16,3263401,'1A',203,'N'),(16,3263410,'1',5,'N'),(16,3263428,'1',208,'N'),(16,3263428,'1A',238,'N'),(16,3263436,'1',301,'N'),(16,3263444,'1',102,'N'),(16,3263452,'1',303,'N'),(16,3263460,'1',207,'N'),(16,3263460,'1A',211,'N'),(16,3263479,'1',102,'N'),(16,3263487,'1',5,'N'),(16,3263495,'1',202,'N'),(16,3263495,'1A',213,'N'),(16,3263509,'1',104,'N'),(16,3263517,'1',444,'N'),(16,3263525,'1',101,'N'),(16,3263533,'1',415,'N'),(16,3263541,'1',420,'N'),(16,3263550,'1',102,'N'),(16,3263568,'1',234,'N'),(16,3263576,'1',103,'N'),(16,3263584,'1',501,'N'),(16,3263592,'1',103,'N'),(16,3263606,'1',208,'N'),(16,3263606,'1A',238,'N'),(16,3263622,'1',404,'N'),(16,3263630,'1',319,'N'),(16,3263649,'1',207,'N'),(16,3263649,'1A',201,'N'),(16,3263657,'1',303,'N'),(16,3263665,'1',103,'N'),(16,3263673,'1',303,'N'),(16,3263681,'1',211,'N'),(16,3263681,'1A',201,'N'),(16,3263690,'1',331,'N'),(16,3263703,'1',234,'N'),(16,3263711,'1',103,'N'),(16,3263720,'1',211,'N'),(16,3263738,'1',404,'N'),(16,3263746,'1',212,'N'),(16,3263746,'1A',238,'N'),(16,3263754,'1',238,'N'),(16,3263754,'1A',207,'N'),(16,3263762,'1',201,'N'),(16,3263789,'1',234,'N'),(16,3263797,'1',101,'N'),(16,3263800,'1',316,'N'),(16,3263819,'1',302,'N'),(16,3263827,'1',423,'N'),(16,3263827,'1A',426,'N'),(16,3263843,'1',9,'N'),(16,3263851,'1',326,'N'),(16,3263878,'1',203,'N'),(16,3263878,'1A',202,'N'),(16,3263894,'1',103,'N'),(16,3263908,'1',104,'N'),(16,3263916,'1',216,'N'),(16,3263916,'1A',208,'N'),(16,3263924,'1',453,'N'),(16,3263932,'1',340,'N'),(16,3263940,'1',101,'N'),(16,3263959,'1',318,'N'),(16,3263967,'1',238,'N'),(16,3263967,'1A',208,'N'),(16,3263975,'1',317,'N'),(16,3263983,'1',415,'N'),(16,3264009,'1',207,'N'),(16,3264009,'1A',201,'N'),(16,3264025,'1',9,'N'),(16,3264033,'1',207,'N'),(16,3264033,'1A',203,'N'),(16,3264041,'1',328,'N'),(16,3264050,'1',207,'N'),(16,3264050,'1A',201,'N'),(16,3264068,'1',213,'N'),(16,3264068,'1A',208,'N'),(16,3264076,'1',216,'N'),(16,3264076,'1A',201,'N'),(16,3264084,'1',329,'N'),(16,3264092,'1',5,'N'),(16,3264106,'1',211,'N'),(16,3264106,'1A',203,'N'),(16,3264114,'1',450,'N'),(16,3264122,'1',301,'N'),(16,3264130,'1',207,'N'),(16,3264130,'1A',201,'N'),(16,3264149,'1',203,'N'),(16,3264149,'1A',220,'N'),(16,3264157,'1',444,'N'),(16,3264165,'1',103,'N'),(16,3264173,'1',220,'N'),(16,3264173,'1A',233,'N'),(16,3264181,'1',501,'N'),(16,3264190,'1',303,'N'),(16,3264203,'1',103,'N'),(16,3264211,'1',301,'N'),(16,3264220,'1',216,'N'),(16,3264238,'1',103,'N'),(16,3264246,'1',203,'N'),(16,3264254,'1',208,'N'),(16,3264254,'1A',238,'N'),(16,3264262,'1',216,'N'),(16,3264262,'1A',214,'N'),(16,3264270,'1',104,'N'),(16,3264289,'1',301,'N'),(16,3264297,'1',201,'N'),(16,3264297,'1A',213,'N'),(16,3264300,'1',212,'N'),(16,3264300,'1A',214,'N'),(16,3264319,'1',208,'N'),(16,3264319,'1A',238,'N'),(16,3264327,'1',9,'N'),(16,3264335,'1',316,'N'),(16,3264343,'1',201,'N'),(16,3264343,'1A',203,'N'),(16,3264351,'1',216,'N'),(16,3264360,'1',303,'N'),(16,3264378,'1',103,'N'),(16,3264386,'1',340,'N'),(16,3264394,'1',303,'N'),(16,3264408,'1',101,'N'),(16,3264424,'1',327,'N'),(16,3264432,'1',216,'N'),(16,3264432,'1A',202,'N'),(16,3264440,'1',203,'N'),(16,3264440,'1A',201,'N'),(16,3264467,'1',424,'N'),(16,3264467,'1A',423,'N'),(16,3264475,'1',238,'N'),(16,3264475,'1A',208,'N'),(16,3264483,'1',3,'N'),(16,3264505,'1',301,'N'),(16,3264513,'1',214,'N'),(16,3264513,'1A',216,'N'),(16,3264521,'1',319,'N'),(16,3264530,'1',425,'N'),(16,3264530,'1A',423,'N'),(16,3264548,'1',103,'N'),(16,3264556,'1',208,'N'),(16,3264556,'1A',203,'N'),(16,3264564,'1',301,'N'),(16,3264572,'1',103,'N'),(16,3264602,'1',108,'N'),(16,3264610,'1',428,'N'),(16,3264610,'1A',426,'N'),(16,3264629,'1',317,'N'),(16,3264637,'1',220,'N'),(16,3264637,'1A',214,'N'),(16,3264645,'1',234,'N'),(16,3264653,'1',503,'N'),(16,3264661,'1',103,'N'),(16,3264670,'1',203,'N'),(16,3264670,'1A',216,'N'),(16,3264696,'1',108,'N'),(16,3264700,'1',207,'N'),(16,3264700,'1A',211,'N'),(16,3264718,'1',415,'N'),(16,3264726,'1',303,'N'),(16,3264734,'1',202,'N'),(16,3264734,'1A',213,'N'),(16,3264742,'1',319,'N'),(16,3264750,'1',444,'N'),(16,3264769,'1',101,'N'),(16,3264777,'1',318,'N'),(16,3264785,'1',415,'N'),(16,3264793,'1',103,'N'),(16,3264807,'1',201,'N'),(16,3264807,'1A',202,'N'),(16,3264815,'1',304,'N'),(16,3264823,'1',201,'N'),(16,3264823,'1A',203,'N'),(16,3264840,'1',103,'N'),(16,3264858,'1',503,'N'),(16,3264866,'1',301,'N'),(16,3264874,'1',309,'N'),(16,3264882,'1',208,'N'),(16,3264890,'1',319,'N'),(16,3264912,'1',5,'N'),(16,3264920,'1',104,'N'),(16,3264939,'1',5,'N'),(16,3264955,'1',415,'N'),(16,3264963,'1',318,'N'),(16,3264971,'1',220,'N'),(16,3264971,'1A',203,'N'),(16,3264980,'1',444,'N'),(16,3264998,'1',444,'N'),(16,3265005,'1',103,'N'),(16,3265013,'1',108,'N'),(16,3265021,'1',103,'N'),(16,3265030,'1',453,'N'),(16,3265048,'1',452,'N'),(16,3265056,'1',319,'N'),(16,3265064,'1',238,'N'),(16,3265064,'1A',233,'N'),(16,3265072,'1',103,'N'),(16,3265080,'1',214,'N'),(16,3265080,'1A',203,'N'),(16,3265099,'1',333,'N'),(16,3265102,'1',331,'N'),(16,3265110,'1',452,'N'),(16,3265129,'1',415,'N'),(16,3265137,'1',303,'N'),(16,3265153,'1',208,'N'),(16,3265153,'1A',238,'N'),(16,3265161,'1',302,'N'),(16,3265170,'1',211,'N'),(16,3265170,'1A',233,'N'),(16,3265188,'1',220,'N'),(16,3265188,'1A',203,'N'),(16,3265196,'1',104,'N'),(16,3265200,'1',104,'N'),(16,3265218,'1',108,'N'),(16,3265226,'1',108,'N'),(16,3265234,'1',316,'N'),(16,3265242,'1',103,'N'),(16,3265250,'1',319,'N'),(16,3265269,'1',501,'N'),(16,3265277,'1',9,'N'),(16,3265285,'1',216,'N'),(16,3265285,'1A',215,'N'),(16,3265293,'1',207,'N'),(16,3265293,'1A',201,'N'),(16,3265315,'1',103,'N'),(16,3265323,'1',304,'N'),(16,3265331,'1',103,'N'),(16,3265340,'1',215,'N'),(16,3265340,'1A',216,'N'),(16,3265358,'1',444,'N'),(16,3265366,'1',102,'N'),(16,3265374,'1',203,'N'),(16,3265374,'1A',216,'N'),(16,3265382,'1',103,'N'),(16,3265404,'1',203,'N'),(16,3265404,'1A',201,'N'),(16,3265412,'1',103,'N'),(16,3265420,'1',201,'N'),(16,3265420,'1A',212,'N'),(16,3265439,'1',428,'N'),(16,3265455,'1',223,'N'),(16,3265463,'1',452,'N'),(16,3265480,'1',503,'N'),(16,3265498,'1',211,'N'),(16,3265498,'1A',233,'N'),(16,3265501,'1',102,'N'),(16,3265528,'1',212,'N'),(16,3265528,'1A',214,'N'),(16,3265544,'1',207,'N'),(16,3265544,'1A',201,'N'),(16,3265560,'1',317,'N'),(16,3265587,'1',317,'N'),(16,3265595,'1',238,'N'),(16,3265595,'1A',208,'N'),(16,3265609,'1',216,'N'),(16,3265609,'1A',220,'N'),(16,3265617,'1',212,'N'),(16,3265617,'1A',233,'N'),(16,3265625,'1',333,'N'),(16,3265633,'1',222,'N'),(16,3265641,'1',103,'N'),(16,3265650,'1',333,'N'),(16,3265668,'1',303,'N'),(16,3265676,'1',101,'N'),(16,3265684,'1',216,'N'),(16,3265684,'1A',233,'N'),(16,3265692,'1',103,'N'),(16,3265706,'1',301,'N'),(16,3265714,'1',220,'N'),(16,3265714,'1A',213,'N'),(16,3265722,'1',207,'N'),(16,3265722,'1A',211,'N'),(16,3265757,'1',452,'N'),(16,3265765,'1',326,'N'),(16,3265773,'1',208,'N'),(16,3265773,'1A',238,'N'),(16,3265781,'1',201,'N'),(16,3265781,'1A',212,'N'),(16,3265790,'1',453,'N'),(16,3265803,'1',304,'N'),(16,3265811,'1',319,'N'),(16,3265820,'1',340,'N'),(16,3265838,'1',203,'N'),(16,3265838,'1A',214,'N'),(16,3265846,'1',201,'N'),(16,3265846,'1A',207,'N'),(16,3265854,'1',304,'N'),(16,3265862,'1',450,'N'),(16,3265870,'1',326,'N'),(16,3265889,'1',103,'N'),(16,3265897,'1',3,'N'),(16,3265900,'1',404,'N'),(16,3265919,'1',214,'N'),(16,3265919,'1A',233,'N'),(16,3265927,'1',102,'N'),(16,3265935,'1',104,'N'),(16,3265943,'1',332,'N'),(16,3265951,'1',238,'N'),(16,3265951,'1A',201,'N'),(16,3265960,'1',415,'N'),(16,3265978,'1',104,'N'),(16,3265986,'1',238,'N'),(16,3265986,'1A',208,'N'),(16,3265994,'1',103,'N'),(16,3266001,'1',3,'N'),(16,3266010,'1',203,'N'),(16,3266010,'1A',214,'N'),(16,3266028,'1',203,'N'),(16,3266028,'1A',212,'N'),(16,3266036,'1',303,'N'),(16,3266044,'1',319,'N'),(16,3266052,'1',238,'N'),(16,3266052,'1A',208,'N'),(16,3266060,'1',212,'N'),(16,3266060,'1A',233,'N'),(16,3266087,'1',317,'N'),(16,3266095,'1',103,'N'),(16,3266117,'1',201,'N'),(16,3266117,'1A',207,'N'),(16,3266125,'1',104,'N'),(16,3266133,'1',238,'N'),(16,3266133,'1A',202,'N'),(16,3266141,'1',212,'N'),(16,3266141,'1A',201,'N'),(16,3266150,'1',303,'N'),(16,3266168,'1',202,'N'),(16,3266168,'1A',207,'N'),(16,3266176,'1',303,'N'),(16,3266184,'1',104,'N'),(16,3266192,'1',5,'N'),(16,3266206,'1',451,'N'),(16,3266214,'1',317,'N'),(16,3266222,'1',216,'N'),(16,3266249,'1',103,'N'),(16,3266257,'1',211,'N'),(16,3266257,'1A',214,'N'),(16,3266265,'1',304,'N'),(16,3266273,'1',103,'N'),(16,3266281,'1',317,'N'),(16,3266290,'1',103,'N'),(16,3266303,'1',103,'N'),(16,3266311,'1',103,'N'),(16,3266320,'1',104,'N'),(16,3266346,'1',9,'N'),(16,3266354,'1',309,'N'),(16,3266362,'1',108,'N'),(16,3266370,'1',203,'N'),(16,3266370,'1A',208,'N'),(16,3266389,'1',233,'N'),(16,3266389,'1A',215,'N'),(16,3266397,'1',103,'N'),(16,3266400,'1',501,'N'),(16,3266419,'1',2,'N'),(16,3266427,'1',444,'N'),(16,3266435,'1',420,'N'),(16,3266443,'1',318,'N'),(16,3266451,'1',103,'N'),(16,3266460,'1',220,'N'),(16,3266460,'1A',202,'N'),(16,3266486,'1',212,'N'),(16,3266486,'1A',201,'N'),(16,3266494,'1',103,'N'),(16,3266508,'1',211,'N'),(16,3266508,'1A',216,'N'),(16,3266516,'1',309,'N'),(16,3266524,'1',329,'N'),(16,3266532,'1',308,'N'),(16,3266540,'1',451,'N'),(16,3266559,'1',303,'N'),(16,3266567,'1',104,'N'),(16,3266575,'1',102,'N'),(16,3266583,'1',328,'N'),(16,3266591,'1',302,'N'),(16,3266605,'1',316,'N'),(16,3266621,'1',103,'N'),(16,3266630,'1',103,'N'),(16,3266648,'1',103,'N'),(16,3266656,'1',201,'N'),(16,3266656,'1A',233,'N'),(16,3266664,'1',319,'N'),(16,3266672,'1',103,'N'),(16,3266680,'1',203,'N'),(16,3266680,'1A',202,'N'),(16,3266702,'1',332,'N'),(16,3266710,'1',303,'N'),(16,3266729,'1',216,'N'),(16,3266729,'1A',202,'N'),(16,3266753,'1',9,'N'),(16,3266761,'1',3,'N'),(16,3266770,'1',303,'N'),(16,3266788,'1',103,'N'),(16,3266796,'1',333,'N'),(16,3266818,'1',220,'N'),(16,3266818,'1A',214,'N'),(16,3266826,'1',201,'N'),(16,3266826,'1A',212,'N'),(16,3266834,'1',207,'N'),(16,3266834,'1A',203,'N'),(16,3266842,'1',316,'N'),(16,3266850,'1',214,'N'),(16,3266850,'1A',203,'N'),(16,3266869,'1',103,'N'),(16,3266877,'1',301,'N'),(16,3266885,'1',207,'N'),(16,3266885,'1A',201,'N'),(16,3266893,'1',108,'N'),(16,3266907,'1',220,'N'),(16,3266907,'1A',202,'N'),(16,3266915,'1',5,'N'),(16,3266923,'1',203,'N'),(16,3266923,'1A',208,'N'),(16,3266931,'1',5,'N'),(16,3266940,'1',201,'N'),(16,3266940,'1A',216,'N'),(16,3266958,'1',332,'N'),(16,3266966,'1',316,'N'),(16,3266974,'1',302,'N'),(16,3266982,'1',5,'N'),(16,3266990,'1',214,'N'),(16,3266990,'1A',213,'N'),(16,3267016,'1',104,'N'),(16,3267024,'1',404,'N'),(16,3267032,'1',444,'N'),(16,3267040,'1',501,'N'),(16,3267059,'1',208,'N'),(16,3267067,'1',503,'N'),(16,3267075,'1',104,'N'),(16,3267083,'1',103,'N'),(16,3267091,'1',201,'N'),(16,3267091,'1A',207,'N'),(16,3267105,'1',301,'N'),(16,3267113,'1',428,'N'),(16,3267113,'1A',427,'N'),(16,3267121,'1',301,'N'),(16,3267130,'1',103,'N'),(16,3267148,'1',207,'N'),(16,3267148,'1A',208,'N'),(16,3267156,'1',502,'N'),(16,3267164,'1',326,'N'),(16,3267172,'1',451,'N'),(16,3267199,'1',303,'N'),(16,3267202,'1',302,'N'),(16,3267210,'1',211,'N'),(16,3267210,'1A',216,'N'),(16,3267229,'1',302,'N'),(16,3267237,'1',415,'N'),(16,3267245,'1',101,'N'),(16,3267253,'1',318,'N'),(16,3267261,'1',214,'N'),(16,3267261,'1A',212,'N'),(16,3267270,'1',220,'N'),(16,3267270,'1A',203,'N'),(16,3267288,'1',207,'N'),(16,3267288,'1A',201,'N'),(16,3267300,'1',101,'N'),(16,3267326,'1',415,'N'),(16,3267334,'1',404,'N'),(16,3267342,'1',319,'N'),(16,3267350,'1',202,'N'),(16,3267350,'1A',213,'N'),(16,3267369,'1',302,'N'),(16,3267377,'1',5,'N'),(16,3267385,'1',304,'N'),(16,3267393,'1',103,'N'),(16,3267407,'1',5,'N'),(16,3267415,'1',340,'N'),(16,3267423,'1',103,'N'),(16,3267431,'1',207,'N'),(16,3267431,'1A',215,'N'),(16,3267440,'1',202,'N'),(16,3267440,'1A',208,'N'),(16,3267458,'1',415,'N'),(16,3267466,'1',319,'N'),(16,3267482,'1',207,'N'),(16,3267482,'1A',201,'N'),(16,3267490,'1',302,'N'),(16,3267520,'1',429,'N'),(16,3267520,'1A',427,'N'),(16,3267539,'1',201,'N'),(16,3267539,'1A',207,'N'),(16,3267547,'1',103,'N'),(16,3267555,'1',220,'N'),(16,3267555,'1A',201,'N'),(16,3267563,'1',5,'N'),(16,3267571,'1',203,'N'),(16,3267571,'1A',202,'N'),(16,3267598,'1',303,'N'),(16,3267601,'1',103,'N'),(16,3267610,'1',303,'N'),(16,3267628,'1',103,'N'),(16,3267652,'1',415,'N'),(16,3267660,'1',102,'N'),(16,3267679,'1',424,'N'),(16,3267679,'1A',421,'N'),(16,3267687,'1',238,'N'),(16,3267695,'1',444,'N'),(16,3267709,'1',201,'N'),(16,3267709,'1A',212,'N'),(16,3267717,'1',103,'N'),(16,3267741,'1',9,'N'),(16,3267750,'1',415,'N'),(16,3267768,'1',308,'N'),(16,3267776,'1',318,'N'),(16,3267784,'1',102,'N'),(16,3267792,'1',333,'N'),(16,3267806,'1',421,'N'),(16,3267806,'1A',425,'N'),(16,3267814,'1',304,'N'),(16,3267822,'1',103,'N'),(16,3267830,'1',104,'N'),(16,3267849,'1',303,'N'),(16,3267857,'1',320,'N'),(16,3267865,'1',423,'N'),(16,3267865,'1A',427,'N'),(16,3267873,'1',316,'N'),(16,3267881,'1',340,'N'),(16,3267890,'1',331,'N'),(16,3267903,'1',101,'N'),(16,3267911,'1',108,'N'),(16,3267938,'1',303,'N'),(16,3267946,'1',444,'N'),(16,3267954,'1',108,'N'),(16,3267962,'1',319,'N'),(16,3267970,'1',333,'N'),(16,3267989,'1',203,'N'),(16,3267989,'1A',214,'N'),(16,3267997,'1',102,'N'),(16,3268004,'1',340,'N'),(16,3268012,'1',223,'N'),(16,3268020,'1',108,'N'),(16,3268039,'1',211,'N'),(16,3268039,'1A',215,'N'),(16,3268047,'1',104,'N'),(16,3268055,'1',103,'N'),(16,3268063,'1',211,'N'),(16,3268063,'1A',207,'N'),(16,3268071,'1',203,'N'),(16,3268071,'1A',214,'N'),(16,3268080,'1',340,'N'),(16,3268098,'1',103,'N'),(16,3268110,'1',214,'N'),(16,3268110,'1A',203,'N'),(16,3268128,'1',444,'N'),(16,3268144,'1',216,'N'),(16,3268144,'1A',211,'N'),(16,3268160,'1',451,'N'),(16,3268179,'1',201,'N'),(16,3268179,'1A',238,'N'),(16,3268187,'1',5,'N'),(16,3268195,'1',207,'N'),(16,3268195,'1A',201,'N'),(16,3268209,'1',320,'N'),(16,3268217,'1',216,'N'),(16,3268225,'1',340,'N'),(16,3268233,'1',103,'N'),(16,3268241,'1',451,'N'),(16,3268250,'1',108,'N'),(16,3268268,'1',103,'N'),(16,3268276,'1',301,'N'),(16,3268284,'1',319,'N'),(16,3268292,'1',303,'N'),(16,3268306,'1',211,'N'),(16,3268306,'1A',233,'N'),(16,3268322,'1',501,'N'),(16,3268330,'1',103,'N'),(16,3268349,'1',340,'N'),(16,3268373,'1',104,'N'),(16,3268381,'1',103,'N'),(16,3268390,'1',301,'N'),(16,3268411,'1',211,'N'),(16,3268411,'1A',215,'N'),(16,3268420,'1',214,'N'),(16,3268420,'1A',201,'N'),(16,3268446,'1',303,'N'),(16,3268454,'1',317,'N'),(16,3268462,'1',5,'N'),(16,3268470,'1',103,'N'),(16,3268489,'1',340,'N'),(16,3268497,'1',238,'N'),(16,3268497,'1A',208,'N'),(16,3268500,'1',502,'N'),(16,3268519,'1',340,'N'),(16,3268527,'1',102,'N'),(16,3268535,'1',444,'N'),(16,3268551,'1',104,'N'),(16,3268560,'1',425,'N'),(16,3268560,'1A',429,'N'),(16,3268578,'1',303,'N'),(16,3268586,'1',208,'N'),(16,3268586,'1A',203,'N'),(16,3268594,'1',103,'N'),(16,3268608,'1',234,'N'),(16,3268616,'1',220,'N'),(16,3268616,'1A',202,'N'),(16,3268624,'1',316,'N'),(16,3268632,'1',420,'N'),(16,3268640,'1',104,'N'),(16,3268659,'1',215,'N'),(16,3268659,'1A',212,'N'),(16,3268667,'1',327,'N'),(16,3268675,'1',212,'N'),(16,3268675,'1A',201,'N'),(16,3268683,'1',415,'N'),(16,3268691,'1',201,'N'),(16,3268691,'1A',212,'N'),(16,3268713,'1',303,'N'),(16,3268721,'1',103,'N'),(16,3268730,'1',108,'N'),(16,3268748,'1',104,'N'),(16,3268756,'1',103,'N'),(16,3268772,'1',211,'N'),(16,3268772,'1A',233,'N'),(16,3268780,'1',207,'N'),(16,3268799,'1',101,'N'),(16,3268810,'1',303,'N'),(16,3268829,'1',103,'N'),(16,3268837,'1',102,'N'),(16,3268845,'1',201,'N'),(16,3268845,'1A',212,'N'),(16,3268853,'1',304,'N'),(16,3268861,'1',201,'N'),(16,3268861,'1A',208,'N'),(16,3268870,'1',501,'N'),(16,3268896,'1',503,'N'),(16,3268918,'1',301,'N'),(16,3268926,'1',304,'N'),(16,3268934,'1',202,'N'),(16,3268934,'1A',214,'N'),(16,3268942,'1',216,'N'),(16,3268942,'1A',233,'N'),(16,3268950,'1',211,'N'),(16,3268950,'1A',203,'N'),(16,3268969,'1',215,'N'),(16,3268969,'1A',212,'N'),(16,3268985,'1',326,'N'),(16,3268993,'1',211,'N'),(16,3268993,'1A',207,'N'),(16,3269000,'1',428,'N'),(16,3269000,'1A',423,'N'),(16,3269019,'1',208,'N'),(16,3269019,'1A',238,'N'),(16,3269027,'1',5,'N'),(16,3269035,'1',5,'N'),(16,3269043,'1',101,'N'),(16,3269051,'1',103,'N'),(16,3269060,'1',103,'N'),(16,3269078,'1',319,'N'),(16,3269086,'1',104,'N'),(16,3269108,'1',104,'N'),(16,3269124,'1',103,'N'),(16,3269132,'1',201,'N'),(16,3269132,'1A',212,'N'),(16,3269140,'1',5,'N'),(16,3269159,'1',316,'N'),(16,3269167,'1',238,'N'),(16,3269167,'1A',208,'N'),(16,3269183,'1',303,'N'),(16,3269205,'1',202,'N'),(16,3269205,'1A',213,'N'),(16,3269213,'1',207,'N'),(16,3269213,'1A',211,'N'),(16,3269221,'1',211,'N'),(16,3269221,'1A',201,'N'),(16,3269230,'1',211,'N'),(16,3269230,'1A',202,'N'),(16,3269248,'1',103,'N'),(16,3269256,'1',102,'N'),(16,3269264,'1',205,'N'),(16,3269272,'1',415,'N'),(16,3269280,'1',220,'N'),(16,3269280,'1A',202,'N'),(16,3269299,'1',309,'N'),(16,3269302,'1',326,'N'),(16,3269310,'1',303,'N'),(16,3269329,'1',108,'N'),(16,3269337,'1',303,'N'),(16,3269353,'1',301,'N'),(16,3269370,'1',5,'N'),(16,3269388,'1',5,'N'),(16,3269396,'1',103,'N'),(16,3269400,'1',303,'N'),(16,3269418,'1',301,'N'),(16,3269426,'1',103,'N'),(16,3269434,'1',501,'N'),(16,3269450,'1',501,'N'),(16,3269469,'1',333,'N'),(16,3269477,'1',103,'N'),(16,3269485,'1',201,'N'),(16,3269485,'1A',203,'N'),(16,3269493,'1',5,'N'),(16,3269507,'1',303,'N'),(16,3269515,'1',103,'N'),(16,3269523,'1',301,'N'),(16,3269531,'1',5,'N'),(16,3269558,'1',102,'N'),(16,3269566,'1',309,'N'),(16,3269582,'1',214,'N'),(16,3269582,'1A',207,'N'),(16,3269590,'1',103,'N'),(16,3269604,'1',207,'N'),(16,3269612,'1',102,'N'),(16,3269620,'1',201,'N'),(16,3269620,'1A',212,'N'),(16,3269639,'1',301,'N'),(16,3269647,'1',103,'N'),(16,3269655,'1',319,'N'),(16,3269663,'1',502,'N'),(16,3269671,'1',211,'N'),(16,3269671,'1A',216,'N'),(16,3269680,'1',108,'N'),(16,3269698,'1',216,'N'),(16,3269698,'1A',215,'N'),(16,3269701,'1',233,'N'),(16,3269701,'1A',207,'N'),(16,3269710,'1',303,'N'),(16,3269728,'1',319,'N'),(16,3269736,'1',103,'N'),(16,3269760,'1',103,'N'),(16,3269779,'1',103,'N'),(16,3269787,'1',103,'N'),(16,3269795,'1',203,'N'),(16,3269795,'1A',201,'N'),(16,3269809,'1',102,'N'),(16,3269817,'1',301,'N'),(16,3269833,'1',103,'N'),(16,3269841,'1',340,'N'),(16,3269868,'1',103,'N'),(16,3269884,'1',316,'N'),(16,3269906,'1',103,'N'),(16,3269914,'1',452,'N'),(16,3269930,'1',319,'N'),(16,3269949,'1',104,'N'),(16,3269957,'1',208,'N'),(16,3269965,'1',208,'N'),(16,3269973,'1',104,'N'),(16,3269981,'1',220,'N'),(16,3269981,'1A',212,'N'),(16,3269990,'1',103,'N'),(16,3270009,'1',208,'N'),(16,3270017,'1',340,'N'),(16,3270025,'1',201,'N'),(16,3270025,'1A',207,'N'),(16,3270033,'1',423,'N'),(16,3270033,'1A',428,'N'),(16,3270041,'1',104,'N'),(16,3270050,'1',201,'N'),(16,3270050,'1A',233,'N'),(16,3270068,'1',201,'N'),(16,3270068,'1A',207,'N'),(16,3270076,'1',415,'N'),(16,3270084,'1',208,'N'),(16,3270084,'1A',214,'N'),(16,3270092,'1',301,'N'),(16,3270114,'1',207,'N'),(16,3270114,'1A',201,'N'),(16,3270122,'1',308,'N'),(16,3270130,'1',220,'N'),(16,3270130,'1A',202,'N'),(16,3270149,'1',319,'N'),(16,3270157,'1',208,'N'),(16,3270157,'1A',203,'N'),(16,3270165,'1',316,'N'),(16,3270181,'1',415,'N'),(16,3270190,'1',5,'N'),(16,3270203,'1',104,'N'),(16,3270220,'1',224,'N'),(16,3270238,'1',424,'N'),(16,3270238,'1A',423,'N'),(16,3270246,'1',303,'N'),(16,3270254,'1',102,'N'),(16,3270262,'1',216,'N'),(16,3270262,'1A',215,'N'),(16,3270289,'1',310,'N'),(16,3270319,'1',340,'N'),(16,3270327,'1',303,'N'),(16,3270335,'1',207,'N'),(16,3270335,'1A',201,'N'),(16,3270343,'1',103,'N'),(16,3270351,'1',303,'N'),(16,3270360,'1',213,'N'),(16,3270360,'1A',202,'N'),(16,3270378,'1',238,'N'),(16,3270378,'1A',233,'N'),(16,3270386,'1',404,'N'),(16,3270408,'1',202,'N'),(16,3270408,'1A',213,'N'),(16,3270416,'1',103,'N'),(16,3270424,'1',207,'N'),(16,3270424,'1A',212,'N'),(16,3270432,'1',304,'N'),(16,3270440,'1',212,'N'),(16,3270440,'1A',233,'N'),(16,3270459,'1',207,'N'),(16,3270467,'1',304,'N'),(16,3270475,'1',108,'N'),(16,3270483,'1',225,'N'),(16,3270491,'1',201,'N'),(16,3270491,'1A',211,'N'),(16,3270505,'1',207,'N'),(16,3270505,'1A',201,'N'),(16,3270521,'1',452,'N'),(16,3270530,'1',211,'N'),(16,3270530,'1A',208,'N'),(16,3270548,'1',444,'N'),(16,3270556,'1',202,'N'),(16,3270564,'1',216,'N'),(16,3270564,'1A',215,'N'),(16,3270572,'1',102,'N'),(16,3270580,'1',104,'N'),(16,3270599,'1',211,'N'),(16,3270599,'1A',216,'N'),(16,3270602,'1',5,'N'),(16,3270610,'1',3,'N'),(16,3270629,'1',212,'N'),(16,3270629,'1A',201,'N'),(16,3270637,'1',444,'N'),(16,3270645,'1',103,'N'),(16,3270653,'1',216,'N'),(16,3270653,'1A',215,'N'),(16,3270661,'1',301,'N'),(16,3270670,'1',302,'N'),(16,3270688,'1',324,'N'),(16,3270696,'1',304,'N'),(16,3270700,'1',203,'N'),(16,3270700,'1A',201,'N'),(16,3270718,'1',428,'N'),(16,3270726,'1',202,'N'),(16,3270726,'1A',201,'N'),(16,3270734,'1',301,'N'),(16,3270742,'1',104,'N'),(16,3270769,'1',103,'N'),(16,3270777,'1',326,'N'),(16,3270785,'1',202,'N'),(16,3270785,'1A',201,'N'),(16,3270793,'1',303,'N'),(16,3270807,'1',216,'N'),(16,3270807,'1A',202,'N'),(16,3270815,'1',444,'N'),(16,3270823,'1',207,'N'),(16,3270823,'1A',201,'N'),(16,3270831,'1',5,'N'),(16,3270840,'1',103,'N'),(16,3270866,'1',415,'N'),(16,3270874,'1',216,'N'),(16,3270874,'1A',201,'N'),(16,3270882,'1',238,'N'),(16,3270890,'1',207,'N'),(16,3270890,'1A',233,'N'),(16,3270904,'1',425,'N'),(16,3270904,'1A',424,'N'),(16,3270912,'1',333,'N'),(16,3270920,'1',451,'N'),(16,3270939,'1',303,'N'),(16,3270947,'1',423,'N'),(16,3270947,'1A',429,'N'),(16,3270955,'1',201,'N'),(16,3270955,'1A',233,'N'),(16,3270963,'1',207,'N'),(16,3270963,'1A',211,'N'),(16,3270971,'1',415,'N'),(16,3270980,'1',303,'N'),(16,3270998,'1',415,'N'),(16,3271005,'1',214,'N'),(16,3271005,'1A',203,'N'),(16,3271013,'1',303,'N'),(16,3271030,'1',301,'N'),(16,3271048,'1',3,'N'),(16,3271056,'1',108,'N'),(16,3271064,'1',317,'N'),(16,3271072,'1',104,'N'),(16,3271099,'1',213,'N'),(16,3271099,'1A',211,'N'),(16,3271102,'1',425,'N'),(16,3271110,'1',316,'N'),(16,3271137,'1',216,'N'),(16,3271137,'1A',215,'N'),(16,3271145,'1',103,'N'),(16,3271153,'1',5,'N'),(16,3271161,'1',303,'N'),(16,3271170,'1',220,'N'),(16,3271170,'1A',203,'N'),(16,3271188,'1',329,'N'),(16,3271196,'1',319,'N'),(16,3271200,'1',207,'N'),(16,3271200,'1A',201,'N'),(16,3271218,'1',233,'N'),(16,3271218,'1A',211,'N'),(16,3271234,'1',415,'N'),(16,3271269,'1',5,'N'),(16,3271277,'1',2,'N'),(16,3271285,'1',302,'N'),(16,3271293,'1',202,'N'),(16,3271315,'1',501,'N'),(16,3271331,'1',211,'N'),(16,3271340,'1',310,'N'),(16,3271358,'1',415,'N'),(16,3271366,'1',103,'N'),(16,3271374,'1',304,'N'),(16,3271382,'1',104,'N'),(16,3271390,'1',207,'N'),(16,3271390,'1A',201,'N'),(16,3271404,'1',101,'N'),(16,3271420,'1',201,'N'),(16,3271439,'1',9,'N'),(16,3271455,'1',216,'N'),(16,3271455,'1A',238,'N'),(16,3271463,'1',301,'N'),(16,3271471,'1',108,'N'),(16,3271480,'1',103,'N'),(16,3271498,'1',303,'N'),(16,3271501,'1',415,'N'),(16,3271510,'1',421,'N'),(16,3271510,'1A',426,'N'),(16,3271528,'1',301,'N'),(16,3271544,'1',340,'N'),(16,3271552,'1',103,'N'),(16,3271560,'1',224,'N'),(16,3271579,'1',208,'N'),(16,3271579,'1A',201,'N'),(16,3271587,'1',424,'N'),(16,3271587,'1A',426,'N'),(16,3271595,'1',453,'N'),(16,3271617,'1',5,'N'),(16,3271625,'1',108,'N'),(16,3271633,'1',103,'N'),(16,3271650,'1',3,'N'),(16,3271668,'1',327,'N'),(16,3271684,'1',102,'N'),(16,3271692,'1',303,'N'),(16,3271706,'1',415,'N'),(16,3271714,'1',103,'N'),(16,3271722,'1',303,'N'),(16,3271730,'1',326,'N'),(16,3271749,'1',203,'N'),(16,3271749,'1A',201,'N'),(16,3271757,'1',223,'N'),(16,3271765,'1',103,'N'),(16,3271773,'1',319,'N'),(16,3271781,'1',340,'N'),(16,3271790,'1',444,'N'),(16,3271803,'1',207,'N'),(16,3271803,'1A',203,'N'),(16,3271811,'1',9,'N'),(16,3271820,'1',238,'N'),(16,3271820,'1A',208,'N'),(16,3271838,'1',329,'N'),(16,3271846,'1',340,'N'),(16,3271854,'1',316,'N'),(16,3271862,'1',223,'N'),(16,3271870,'1',328,'N'),(16,3271889,'1',304,'N'),(16,3271897,'1',207,'N'),(16,3271897,'1A',215,'N'),(16,3271900,'1',303,'N'),(16,3271919,'1',5,'N'),(16,3271927,'1',104,'N'),(16,3271951,'1',501,'N'),(16,3271960,'1',327,'N'),(16,3271978,'1',207,'N'),(16,3271978,'1A',212,'N'),(16,3271986,'1',415,'N'),(16,3272001,'1',420,'N'),(16,3272028,'1',108,'N'),(16,3272044,'1',201,'N'),(16,3272044,'1A',207,'N'),(16,3272052,'1',103,'N'),(16,3272060,'1',303,'N'),(16,3272079,'1',108,'N'),(16,3272087,'1',310,'N'),(16,3272095,'1',5,'N'),(16,3272109,'1',220,'N'),(16,3272109,'1A',202,'N'),(16,3272117,'1',303,'N'),(16,3272125,'1',5,'N'),(16,3272133,'1',102,'N'),(16,3272141,'1',340,'N'),(16,3272150,'1',203,'N'),(16,3272150,'1A',214,'N'),(16,3272168,'1',340,'N'),(16,3272176,'1',201,'N'),(16,3272176,'1A',220,'N'),(16,3272184,'1',103,'N'),(16,3272192,'1',326,'N'),(16,3272206,'1',203,'N'),(16,3272206,'1A',208,'N'),(16,3272214,'1',451,'N'),(16,3272222,'1',319,'N'),(16,3272230,'1',303,'N'),(16,3272249,'1',201,'N'),(16,3272249,'1A',207,'N'),(16,3272257,'1',214,'N'),(16,3272257,'1A',216,'N'),(16,3272265,'1',103,'N'),(16,3272273,'1',333,'N'),(16,3272281,'1',421,'N'),(16,3272281,'1A',429,'N'),(16,3272290,'1',404,'N'),(16,3272303,'1',5,'N'),(16,3272311,'1',503,'N'),(16,3272320,'1',420,'N'),(16,3272338,'1',452,'N'),(16,3272346,'1',208,'N'),(16,3272346,'1A',238,'N'),(16,3272354,'1',303,'N'),(16,3272362,'1',102,'N'),(16,3272370,'1',103,'N'),(16,3272389,'1',453,'N'),(16,3272397,'1',214,'N'),(16,3272400,'1',203,'N'),(16,3272400,'1A',201,'N'),(16,3272419,'1',303,'N'),(16,3272427,'1',333,'N'),(16,3272443,'1',202,'N'),(16,3272451,'1',104,'N'),(16,3272460,'1',201,'N'),(16,3272460,'1A',207,'N'),(16,3272478,'1',319,'N'),(16,3272486,'1',103,'N'),(16,3272508,'1',225,'N'),(16,3272516,'1',201,'N'),(16,3272516,'1A',214,'N'),(16,3272532,'1',303,'N'),(16,3272540,'1',303,'N'),(16,3272559,'1',420,'N'),(16,3272567,'1',308,'N'),(16,3272575,'1',308,'N'),(16,3272583,'1',308,'N'),(16,3272605,'1',502,'N'),(16,3272613,'1',5,'N'),(16,3272621,'1',5,'N'),(16,3272630,'1',317,'N'),(16,3272656,'1',208,'N'),(16,3272656,'1A',238,'N'),(16,3272664,'1',303,'N'),(16,3272680,'1',233,'N'),(16,3272699,'1',503,'N'),(16,3272729,'1',453,'N'),(16,3272753,'1',452,'N'),(16,3272761,'1',301,'N'),(16,3272770,'1',503,'N'),(16,3272796,'1',319,'N'),(16,3272818,'1',207,'N'),(16,3272818,'1A',201,'N'),(16,3272826,'1',103,'N'),(16,3272834,'1',103,'N'),(16,3272842,'1',212,'N'),(16,3272842,'1A',201,'N'),(16,3272850,'1',103,'N'),(16,3272869,'1',404,'N'),(16,3272877,'1',5,'N'),(16,3272885,'1',207,'N'),(16,3272885,'1A',201,'N'),(16,3272893,'1',201,'N'),(16,3272893,'1A',207,'N'),(16,3272907,'1',444,'N'),(16,3272915,'1',214,'N'),(16,3272915,'1A',203,'N'),(16,3272923,'1',201,'N'),(16,3272923,'1A',203,'N'),(16,3272940,'1',444,'N'),(16,3272966,'1',9,'N'),(16,3272974,'1',319,'N'),(16,3272982,'1',202,'N'),(16,3272982,'1A',203,'N'),(16,3272990,'1',317,'N'),(16,3273008,'1',203,'N'),(16,3273008,'1A',220,'N'),(16,3273016,'1',415,'N'),(16,3273024,'1',5,'N'),(16,3273032,'1',301,'N'),(16,3273059,'1',316,'N'),(16,3273067,'1',429,'N'),(16,3273067,'1A',425,'N'),(16,3273075,'1',302,'N'),(16,3273083,'1',5,'N'),(16,3273091,'1',501,'N'),(16,3273105,'1',103,'N'),(16,3273121,'1',340,'N'),(16,3273130,'1',333,'N'),(16,3273148,'1',415,'N'),(16,3273164,'1',211,'N'),(16,3273164,'1A',215,'N'),(16,3273172,'1',3,'N'),(16,3273180,'1',103,'N'),(16,3273199,'1',207,'N'),(16,3273199,'1A',201,'N'),(16,3273202,'1',101,'N'),(16,3273210,'1',234,'N'),(16,3273229,'1',5,'N'),(16,3273245,'1',428,'N'),(16,3273245,'1A',426,'N'),(16,3273253,'1',319,'N'),(16,3273261,'1',104,'N'),(16,3273270,'1',501,'N'),(16,3273296,'1',5,'N'),(16,3273300,'1',207,'N'),(16,3273300,'1A',201,'N'),(16,3273326,'1',303,'N'),(16,3273334,'1',301,'N'),(16,3273350,'1',202,'N'),(16,3273350,'1A',213,'N'),(16,3273377,'1',216,'N'),(16,3273377,'1A',207,'N'),(16,3273385,'1',103,'N'),(16,3273393,'1',444,'N'),(16,3273407,'1',207,'N'),(16,3273407,'1A',201,'N'),(16,3273423,'1',103,'N'),(16,3273431,'1',102,'N'),(16,3273440,'1',211,'N'),(16,3273440,'1A',203,'N'),(16,3273466,'1',340,'N'),(16,3273474,'1',211,'N'),(16,3273474,'1A',208,'N'),(16,3273482,'1',103,'N'),(16,3273490,'1',415,'N'),(16,3273504,'1',101,'N'),(16,3273512,'1',203,'N'),(16,3273512,'1A',233,'N'),(16,3273520,'1',340,'N'),(16,3273539,'1',303,'N'),(16,3273547,'1',319,'N'),(16,3273555,'1',326,'N'),(16,3273563,'1',108,'N'),(16,3273571,'1',108,'N'),(16,3273580,'1',208,'N'),(16,3273580,'1A',203,'N'),(16,3273598,'1',502,'N'),(16,3273610,'1',203,'N'),(16,3273610,'1A',202,'N'),(16,3273628,'1',220,'N'),(16,3273628,'1A',216,'N'),(16,3273636,'1',333,'N'),(16,3273644,'1',103,'N'),(16,3273652,'1',201,'N'),(16,3273652,'1A',212,'N'),(16,3273660,'1',340,'N'),(16,3273679,'1',301,'N'),(16,3273687,'1',223,'N'),(16,3273695,'1',9,'N'),(16,3273709,'1',220,'N'),(16,3273709,'1A',216,'N'),(16,3273717,'1',201,'N'),(16,3273717,'1A',216,'N'),(16,3273725,'1',212,'N'),(16,3273725,'1A',233,'N'),(16,3273733,'1',103,'N'),(16,3273750,'1',333,'N'),(16,3273768,'1',501,'N'),(16,3273776,'1',207,'N'),(16,3273776,'1A',208,'N'),(16,3273784,'1',501,'N'),(16,3273806,'1',318,'N'),(16,3273814,'1',103,'N'),(16,3273822,'1',103,'N'),(16,3273830,'1',333,'N'),(16,3273849,'1',220,'N'),(16,3273857,'1',103,'N'),(16,3273865,'1',424,'N'),(16,3273865,'1A',423,'N'),(16,3273873,'1',5,'N'),(16,3273890,'1',9,'N'),(16,3273903,'1',104,'N'),(16,3273911,'1',103,'N'),(16,3273938,'1',428,'N'),(16,3273938,'1A',425,'N'),(16,3273946,'1',452,'N'),(16,3273954,'1',103,'N'),(16,3273962,'1',202,'N'),(16,3273962,'1A',213,'N'),(16,3273970,'1',238,'N'),(16,3273989,'1',453,'N'),(16,3273997,'1',207,'N'),(16,3273997,'1A',201,'N'),(16,3274004,'1',304,'N'),(16,3274012,'1',301,'N'),(16,3274020,'1',203,'N'),(16,3274020,'1A',201,'N'),(16,3274039,'1',320,'N'),(16,3274047,'1',103,'N'),(16,3274055,'1',303,'N'),(16,3274063,'1',207,'N'),(16,3274080,'1',103,'N'),(16,3274098,'1',103,'N'),(16,3274110,'1',201,'N'),(16,3274110,'1A',208,'N'),(16,3274128,'1',108,'N'),(16,3274144,'1',332,'N'),(16,3274152,'1',103,'N'),(16,3274160,'1',501,'N'),(16,3274179,'1',201,'N'),(16,3274179,'1A',212,'N'),(16,3274187,'1',201,'N'),(16,3274187,'1A',212,'N'),(16,3274195,'1',102,'N'),(16,3274209,'1',214,'N'),(16,3274225,'1',339,'N'),(16,3274233,'1',319,'N'),(16,3274241,'1',340,'N'),(16,3274250,'1',309,'N'),(16,3274268,'1',332,'N'),(16,3274276,'1',208,'N'),(16,3274276,'1A',238,'N'),(16,3274284,'1',453,'N'),(16,3274292,'1',103,'N'),(16,3274306,'1',207,'N'),(16,3274306,'1A',215,'N'),(16,3274314,'1',201,'N'),(16,3274314,'1A',207,'N'),(16,3274349,'1',207,'N'),(16,3274349,'1A',201,'N'),(16,3274365,'1',104,'N'),(16,3274373,'1',420,'N'),(16,3274381,'1',207,'N'),(16,3274381,'1A',201,'N'),(16,3274390,'1',317,'N'),(16,3274403,'1',103,'N'),(16,3274411,'1',102,'N'),(16,3274420,'1',212,'N'),(16,3274420,'1A',215,'N'),(16,3274438,'1',303,'N'),(16,3274446,'1',102,'N'),(16,3274454,'1',207,'N'),(16,3274454,'1A',201,'N'),(16,3274470,'1',319,'N'),(16,3274489,'1',214,'N'),(16,3274497,'1',103,'N'),(16,3274500,'1',327,'N'),(16,3274519,'1',220,'N'),(16,3274527,'1',103,'N'),(16,3274535,'1',453,'N'),(16,3274543,'1',3,'N'),(16,3274551,'1',208,'N'),(16,3274551,'1A',202,'N'),(16,3274560,'1',309,'N'),(16,3274578,'1',203,'N'),(16,3274578,'1A',220,'N'),(16,3274586,'1',233,'N'),(16,3274586,'1A',215,'N'),(16,3274594,'1',304,'N'),(16,3274608,'1',420,'N'),(16,3274616,'1',215,'N'),(16,3274616,'1A',212,'N'),(16,3274624,'1',220,'N'),(16,3274624,'1A',212,'N'),(16,3274632,'1',103,'N'),(16,3274640,'1',2,'N'),(16,3274659,'1',103,'N'),(16,3274667,'1',212,'N'),(16,3274667,'1A',211,'N'),(16,3274683,'1',108,'N'),(16,3274691,'1',103,'N'),(16,3274705,'1',208,'N'),(16,3274705,'1A',238,'N'),(16,3274721,'1',220,'N'),(16,3274721,'1A',203,'N'),(16,3274730,'1',317,'N'),(16,3274748,'1',211,'N'),(16,3274756,'1',303,'N'),(16,3274764,'1',103,'N'),(16,3274772,'1',2,'N'),(16,3274780,'1',301,'N'),(16,3274799,'1',103,'N'),(16,3274802,'1',304,'N'),(16,3274810,'1',103,'N'),(16,3274829,'1',103,'N'),(16,3274837,'1',103,'N'),(16,3274845,'1',103,'N'),(16,3274861,'1',316,'N'),(16,3274870,'1',201,'N'),(16,3274870,'1A',207,'N'),(16,3274888,'1',319,'N'),(16,3274918,'1',415,'N'),(16,3274950,'1',103,'N'),(16,3274969,'1',426,'N'),(16,3274969,'1A',427,'N'),(16,3274977,'1',201,'N'),(16,3274977,'1A',211,'N'),(16,3274993,'1',202,'N'),(16,3274993,'1A',203,'N'),(16,3275000,'1',415,'N'),(16,3275019,'1',222,'N'),(16,3275027,'1',201,'N'),(16,3275027,'1A',220,'N'),(16,3275035,'1',207,'N'),(16,3275035,'1A',233,'N'),(16,3275051,'1',103,'N'),(16,3275078,'1',103,'N'),(16,3275086,'1',304,'N'),(16,3275094,'1',211,'N'),(16,3275094,'1A',208,'N'),(16,3275108,'1',222,'N'),(16,3275124,'1',203,'N'),(16,3275124,'1A',202,'N'),(16,3275132,'1',201,'N'),(16,3275132,'1A',202,'N'),(16,3275140,'1',301,'N'),(16,3275159,'1',108,'N'),(16,3275167,'1',333,'N'),(16,3275175,'1',303,'N'),(16,3275183,'1',234,'N'),(16,3275191,'1',319,'N'),(16,3275205,'1',9,'N'),(16,3275213,'1',104,'N'),(16,3275221,'1',301,'N'),(16,3275230,'1',223,'N'),(16,3275248,'1',102,'N'),(16,3275256,'1',103,'N'),(16,3275264,'1',211,'N'),(16,3275264,'1A',213,'N'),(16,3275272,'1',215,'N'),(16,3275280,'1',211,'N'),(16,3275280,'1A',201,'N'),(16,3275299,'1',304,'N'),(16,3275302,'1',309,'N'),(16,3275310,'1',104,'N'),(16,3275329,'1',302,'N'),(16,3275337,'1',101,'N'),(16,3275345,'1',319,'N'),(16,3275361,'1',301,'N'),(16,3275370,'1',101,'N'),(16,3275388,'1',238,'N'),(16,3275388,'1A',212,'N'),(16,3275396,'1',452,'N'),(16,3275400,'1',102,'N'),(16,3275418,'1',103,'N'),(16,3275426,'1',203,'N'),(16,3275426,'1A',214,'N'),(16,3275434,'1',453,'N'),(16,3275442,'1',503,'N'),(16,3275450,'1',203,'N'),(16,3275450,'1A',202,'N'),(16,3275477,'1',301,'N'),(16,3275485,'1',309,'N'),(16,3275493,'1',216,'N'),(16,3275507,'1',316,'N'),(16,3275515,'1',207,'N'),(16,3275515,'1A',201,'N'),(16,3275523,'1',9,'N'),(16,3275531,'1',103,'N'),(16,3275540,'1',214,'N'),(16,3275540,'1A',233,'N'),(16,3275566,'1',103,'N'),(16,3275574,'1',220,'N'),(16,3275574,'1A',214,'N'),(16,3275582,'1',220,'N'),(16,3275582,'1A',203,'N'),(16,3275590,'1',103,'N'),(16,3275612,'1',103,'N'),(16,3275620,'1',324,'N'),(16,3275663,'1',333,'N'),(16,3275671,'1',303,'N'),(16,3275680,'1',318,'N'),(16,3275698,'1',103,'N'),(16,3275701,'1',203,'N'),(16,3275701,'1A',215,'N'),(16,3275710,'1',453,'N'),(16,3275728,'1',303,'N'),(16,3275736,'1',203,'N'),(16,3275736,'1A',202,'N'),(16,3275744,'1',201,'N'),(16,3275744,'1A',207,'N'),(16,3275752,'1',5,'N'),(16,3275779,'1',103,'N'),(16,3275795,'1',201,'N'),(16,3275795,'1A',214,'N'),(16,3275809,'1',103,'N'),(16,3275817,'1',502,'N'),(16,3275825,'1',103,'N'),(16,3275833,'1',103,'N'),(16,3275841,'1',207,'N'),(16,3275850,'1',340,'N'),(16,3275876,'1',453,'N'),(16,3275884,'1',309,'N'),(16,3275892,'1',103,'N'),(16,3275906,'1',301,'N'),(16,3275914,'1',317,'N'),(16,3275930,'1',302,'N'),(16,3275949,'1',212,'N'),(16,3275949,'1A',213,'N'),(16,3275957,'1',333,'N'),(16,3275965,'1',444,'N'),(16,3275973,'1',326,'N'),(16,3275981,'1',453,'N'),(16,3275990,'1',104,'N'),(16,3276007,'1',404,'N'),(16,3276015,'1',201,'N'),(16,3276015,'1A',211,'N'),(16,3276023,'1',103,'N'),(16,3276031,'1',301,'N'),(16,3276040,'1',108,'N'),(16,3276058,'1',102,'N'),(16,3276066,'1',234,'N'),(16,3276074,'1',201,'N'),(16,3276074,'1A',216,'N'),(16,3276082,'1',203,'N'),(16,3276090,'1',302,'N'),(16,3276104,'1',104,'N'),(16,3276112,'1',108,'N'),(16,3276120,'1',104,'N'),(16,3276139,'1',220,'N'),(16,3276139,'1A',214,'N'),(16,3276147,'1',5,'N'),(16,3276155,'1',202,'N'),(16,3276155,'1A',220,'N'),(16,3276163,'1',404,'N'),(16,3276171,'1',501,'N'),(16,3276180,'1',201,'N'),(16,3276180,'1A',233,'N'),(16,3276201,'1',326,'N'),(16,3276210,'1',207,'N'),(16,3276210,'1A',212,'N'),(16,3276236,'1',201,'N'),(16,3276236,'1A',212,'N'),(16,3276252,'1',503,'N'),(16,3276260,'1',9,'N'),(16,3276279,'1',201,'N'),(16,3276279,'1A',211,'N'),(16,3276287,'1',332,'N'),(16,3276295,'1',102,'N'),(16,3276309,'1',104,'N'),(16,3276325,'1',201,'N'),(16,3276325,'1A',212,'N'),(16,3276333,'1',214,'N'),(16,3276333,'1A',215,'N'),(16,3276341,'1',102,'N'),(16,3276350,'1',333,'N'),(16,3276368,'1',203,'N'),(16,3276368,'1A',238,'N'),(16,3276376,'1',310,'N'),(16,3276384,'1',302,'N'),(16,3276406,'1',233,'N'),(16,3276406,'1A',215,'N'),(16,3276414,'1',5,'N'),(16,3276430,'1',201,'N'),(16,3276430,'1A',212,'N'),(16,3276449,'1',301,'N'),(16,3276457,'1',234,'N'),(16,3276465,'1',316,'N'),(16,3276473,'1',216,'N'),(16,3276473,'1A',213,'N'),(16,3276481,'1',103,'N'),(16,3276490,'1',316,'N'),(16,3276503,'1',103,'N'),(16,3276511,'1',5,'N'),(16,3276520,'1',104,'N'),(16,3276538,'1',203,'N'),(16,3276538,'1A',207,'N'),(16,3276546,'1',108,'N'),(16,3276554,'1',216,'N'),(16,3276554,'1A',211,'N'),(16,3276562,'1',326,'N'),(16,3276570,'1',203,'N'),(16,3276570,'1A',214,'N'),(16,3276589,'1',103,'N'),(16,3276619,'1',316,'N'),(16,3276627,'1',207,'N'),(16,3276627,'1A',201,'N'),(16,3276635,'1',103,'N'),(16,3276643,'1',214,'N'),(16,3276643,'1A',203,'N'),(16,3276651,'1',451,'N'),(16,3276660,'1',216,'N'),(16,3276660,'1A',233,'N'),(16,3276678,'1',233,'N'),(16,3276678,'1A',213,'N'),(16,3276686,'1',501,'N'),(16,3276694,'1',332,'N'),(16,3276708,'1',238,'N'),(16,3276708,'1A',216,'N'),(16,3276716,'1',304,'N'),(16,3276724,'1',208,'N'),(16,3276724,'1A',201,'N'),(16,3276732,'1',207,'N'),(16,3276740,'1',415,'N'),(16,3276759,'1',202,'N'),(16,3276759,'1A',220,'N'),(16,3276767,'1',3,'N'),(16,3276775,'1',404,'N'),(16,3276783,'1',103,'N'),(16,3276791,'1',203,'N'),(16,3276791,'1A',202,'N'),(16,3276805,'1',223,'N'),(16,3276813,'1',207,'N'),(16,3276813,'1A',201,'N'),(16,3276821,'1',108,'N'),(16,3276830,'1',426,'N'),(16,3276830,'1A',429,'N'),(16,3276848,'1',108,'N'),(16,3276856,'1',225,'N'),(16,3276864,'1',340,'N'),(16,3276872,'1',103,'N'),(16,3276880,'1',340,'N'),(16,3276899,'1',415,'N'),(16,3276902,'1',201,'N'),(16,3276902,'1A',207,'N'),(16,3276910,'1',103,'N'),(16,3276929,'1',429,'N'),(16,3276937,'1',201,'N'),(16,3276937,'1A',238,'N'),(16,3276945,'1',103,'N'),(16,3276953,'1',201,'N'),(16,3276953,'1A',207,'N'),(16,3276961,'1',501,'N'),(16,3276970,'1',103,'N'),(16,3276988,'1',9,'N'),(16,3276996,'1',301,'N'),(16,3277003,'1',302,'N'),(16,3277011,'1',301,'N'),(16,3277020,'1',211,'N'),(16,3277020,'1A',203,'N'),(16,3277038,'1',501,'N'),(16,3277054,'1',452,'N'),(16,3277062,'1',238,'N'),(16,3277062,'1A',208,'N'),(16,3277070,'1',415,'N'),(16,3277089,'1',104,'N'),(16,3277097,'1',104,'N'),(16,3277119,'1',238,'N'),(16,3277119,'1A',208,'N'),(16,3277127,'1',103,'N'),(16,3277143,'1',208,'N'),(16,3277143,'1A',201,'N'),(16,3277160,'1',103,'N'),(16,3277178,'1',316,'N'),(16,3277186,'1',304,'N'),(16,3277194,'1',103,'N'),(16,3277208,'1',5,'N'),(16,3277216,'1',207,'N'),(16,3277216,'1A',216,'N'),(16,3277224,'1',213,'N'),(16,3277224,'1A',233,'N'),(16,3277232,'1',340,'N'),(16,3277240,'1',319,'N'),(16,3277259,'1',102,'N'),(16,3277267,'1',319,'N'),(16,3277275,'1',108,'N'),(16,3277283,'1',5,'N'),(16,3277291,'1',103,'N'),(16,3277305,'1',208,'N'),(16,3277305,'1A',238,'N'),(16,3277313,'1',214,'N'),(16,3277313,'1A',233,'N'),(16,3277321,'1',340,'N'),(16,3277330,'1',202,'N'),(16,3277330,'1A',213,'N'),(16,3277356,'1',503,'N'),(16,3277372,'1',103,'N'),(16,3277399,'1',233,'N'),(16,3277399,'1A',201,'N'),(16,3277402,'1',501,'N'),(16,3277410,'1',316,'N'),(16,3277429,'1',224,'N'),(16,3277437,'1',216,'N'),(16,3277437,'1A',207,'N'),(16,3277445,'1',233,'N'),(16,3277445,'1A',201,'N'),(16,3277453,'1',216,'N'),(16,3277461,'1',2,'N'),(16,3277470,'1',301,'N'),(16,3277488,'1',103,'N'),(16,3277496,'1',5,'N'),(16,3277500,'1',102,'N'),(16,3277518,'1',317,'N'),(16,3277534,'1',104,'N'),(16,3277542,'1',103,'N'),(16,3277550,'1',340,'N'),(16,3277569,'1',208,'N'),(16,3277569,'1A',220,'N'),(16,3277577,'1',102,'N'),(16,3277585,'1',444,'N'),(16,3277593,'1',201,'N'),(16,3277593,'1A',203,'N'),(16,3277607,'1',333,'N'),(16,3277615,'1',103,'N'),(16,3277623,'1',452,'N'),(16,3277631,'1',216,'N'),(16,3277631,'1A',215,'N'),(16,3277640,'1',103,'N'),(16,3277658,'1',214,'N'),(16,3277658,'1A',201,'N'),(16,3277666,'1',502,'N'),(16,3277674,'1',103,'N'),(16,3277682,'1',301,'N'),(16,3277690,'1',208,'N'),(16,3277704,'1',103,'N'),(16,3277712,'1',102,'N'),(16,3277720,'1',444,'N'),(16,3277739,'1',501,'N'),(16,3277747,'1',502,'N'),(16,3277755,'1',453,'N'),(16,3277763,'1',220,'N'),(16,3277771,'1',208,'N'),(16,3277771,'1A',238,'N'),(16,3277780,'1',340,'N'),(16,3277798,'1',102,'N'),(16,3277810,'1',302,'N'),(16,3277828,'1',104,'N'),(16,3277836,'1',205,'N'),(16,3277844,'1',304,'N'),(16,3277852,'1',318,'N'),(16,3277879,'1',238,'N'),(16,3277879,'1A',208,'N'),(16,3277887,'1',103,'N'),(16,3277895,'1',203,'N'),(16,3277895,'1A',220,'N'),(16,3277909,'1',216,'N'),(16,3277909,'1A',212,'N'),(16,3277917,'1',303,'N'),(16,3277925,'1',316,'N'),(16,3277933,'1',303,'N'),(16,3277941,'1',426,'N'),(16,3277941,'1A',427,'N'),(16,3277950,'1',308,'N'),(16,3277968,'1',202,'N'),(16,3277968,'1A',213,'N'),(16,3277976,'1',103,'N'),(16,3277984,'1',9,'N'),(16,3277992,'1',340,'N'),(16,3278000,'1',425,'N'),(16,3278000,'1A',423,'N'),(16,3278018,'1',103,'N'),(16,3278026,'1',420,'N'),(16,3278034,'1',238,'N'),(16,3278034,'1A',208,'N'),(16,3278042,'1',203,'N'),(16,3278042,'1A',202,'N'),(16,3278069,'1',208,'N'),(16,3278069,'1A',238,'N'),(16,3278077,'1',301,'N'),(16,3278085,'1',103,'N'),(16,3278093,'1',340,'N'),(16,3278107,'1',301,'N'),(16,3278115,'1',101,'N'),(16,3278123,'1',428,'N'),(16,3278123,'1A',424,'N'),(16,3278140,'1',234,'N'),(16,3278166,'1',303,'N'),(16,3278174,'1',303,'N'),(16,3278182,'1',340,'N'),(16,3278190,'1',212,'N'),(16,3278190,'1A',214,'N'),(16,3278204,'1',303,'N'),(16,3278212,'1',234,'N'),(16,3278220,'1',214,'N'),(16,3278220,'1A',216,'N'),(16,3278239,'1',318,'N'),(16,3278247,'1',104,'N'),(16,3278255,'1',238,'N'),(16,3278255,'1A',208,'N'),(16,3278263,'1',205,'N'),(16,3278271,'1',415,'N'),(16,3278280,'1',103,'N'),(16,3278298,'1',207,'N'),(16,3278298,'1A',201,'N'),(16,3278301,'1',207,'N'),(16,3278301,'1A',233,'N'),(16,3278310,'1',103,'N'),(16,3278328,'1',415,'N'),(16,3278336,'1',340,'N'),(16,3278344,'1',211,'N'),(16,3278344,'1A',233,'N'),(16,3278352,'1',208,'N'),(16,3278360,'1',404,'N'),(16,3278379,'1',216,'N'),(16,3278379,'1A',215,'N'),(16,3278387,'1',503,'N'),(16,3278395,'1',428,'N'),(16,3278395,'1A',424,'N'),(16,3278409,'1',108,'N'),(16,3278417,'1',103,'N'),(16,3278425,'1',340,'N'),(16,3278433,'1',202,'N'),(16,3278450,'1',103,'N'),(16,3278468,'1',103,'N'),(16,3278476,'1',103,'N'),(16,3278484,'1',415,'N'),(16,3278492,'1',207,'N'),(16,3278492,'1A',201,'N'),(16,3278514,'1',205,'N'),(16,3278522,'1',201,'N'),(16,3278530,'1',304,'N'),(16,3278549,'1',238,'N'),(16,3278549,'1A',208,'N'),(16,3278557,'1',415,'N'),(16,3278565,'1',316,'N'),(16,3278573,'1',216,'N'),(16,3278573,'1A',203,'N'),(16,3278581,'1',9,'N'),(16,3278590,'1',301,'N'),(16,3278603,'1',207,'N'),(16,3278611,'1',201,'N'),(16,3278611,'1A',212,'N'),(16,3278620,'1',215,'N'),(16,3278620,'1A',207,'N'),(16,3278638,'1',415,'N'),(16,3278654,'1',415,'N'),(16,3278662,'1',201,'N'),(16,3278662,'1A',233,'N'),(16,3278670,'1',211,'N'),(16,3278670,'1A',203,'N'),(16,3278697,'1',319,'N'),(16,3278719,'1',453,'N'),(16,3278743,'1',450,'N'),(16,3278751,'1',415,'N'),(16,3278760,'1',326,'N'),(16,3278778,'1',201,'N'),(16,3278778,'1A',212,'N'),(16,3278786,'1',327,'N'),(16,3278794,'1',103,'N'),(16,3278808,'1',233,'N'),(16,3278808,'1A',216,'N'),(16,3278816,'1',103,'N'),(16,3278824,'1',326,'N'),(16,3278832,'1',340,'N'),(16,3278840,'1',5,'N'),(16,3278859,'1',103,'N'),(16,3278867,'1',203,'N'),(16,3278875,'1',238,'N'),(16,3278875,'1A',208,'N'),(16,3278883,'1',212,'N'),(16,3278883,'1A',211,'N'),(16,3278891,'1',211,'N'),(16,3278891,'1A',201,'N'),(16,3278905,'1',340,'N'),(16,3278913,'1',103,'N'),(16,3278921,'1',9,'N'),(16,3278930,'1',324,'N'),(16,3278948,'1',220,'N'),(16,3278948,'1A',238,'N'),(16,3278980,'1',340,'N'),(16,3278999,'1',103,'N'),(16,3279006,'1',102,'N'),(16,3279014,'1',103,'N'),(16,3279022,'1',108,'N'),(16,3279057,'1',501,'N'),(16,3279065,'1',303,'N'),(16,3279081,'1',201,'N'),(16,3279081,'1A',207,'N'),(16,3279090,'1',214,'N'),(16,3279090,'1A',213,'N'),(16,3279103,'1',317,'N'),(16,3279111,'1',340,'N'),(16,3279120,'1',302,'N'),(16,3279138,'1',450,'N'),(16,3279146,'1',301,'N'),(16,3279154,'1',5,'N'),(16,3279162,'1',104,'N'),(16,3279170,'1',201,'N'),(16,3279170,'1A',203,'N'),(16,3279189,'1',103,'N'),(16,3279197,'1',450,'N'),(16,3279200,'1',415,'N'),(16,3279219,'1',340,'N'),(16,3279235,'1',302,'N'),(16,3279243,'1',303,'N'),(16,3279251,'1',207,'N'),(16,3279251,'1A',201,'N'),(16,3279260,'1',103,'N'),(16,3279278,'1',207,'N'),(16,3279278,'1A',201,'N'),(16,3279286,'1',103,'N'),(16,3279294,'1',453,'N'),(16,3279308,'1',203,'N'),(16,3279308,'1A',233,'N'),(16,3279316,'1',202,'N'),(16,3279324,'1',502,'N'),(16,3279332,'1',453,'N'),(16,3279359,'1',201,'N'),(16,3279359,'1A',212,'N'),(16,3279367,'1',207,'N'),(16,3279367,'1A',201,'N'),(16,3279375,'1',103,'N'),(16,3279383,'1',202,'N'),(16,3279383,'1A',233,'N'),(16,3279405,'1',103,'N'),(16,3279413,'1',302,'N'),(16,3279421,'1',203,'N'),(16,3279421,'1A',201,'N'),(16,3279430,'1',234,'N'),(16,3279448,'1',104,'N'),(16,3279456,'1',207,'N'),(16,3279464,'1',220,'N'),(16,3279464,'1A',202,'N'),(16,3279472,'1',102,'N'),(16,3279480,'1',450,'N'),(16,3279499,'1',103,'N'),(16,3279502,'1',211,'N'),(16,3279510,'1',203,'N'),(16,3279510,'1A',214,'N'),(16,3279529,'1',104,'N'),(16,3279537,'1',104,'N'),(16,3279545,'1',420,'N'),(16,3279553,'1',316,'N'),(16,3279570,'1',101,'N'),(16,3279588,'1',319,'N'),(16,3279596,'1',317,'N'),(16,3279600,'1',5,'N'),(16,3279618,'1',103,'N'),(16,3279626,'1',501,'N'),(16,3279634,'1',103,'N'),(16,3279650,'1',201,'N'),(16,3279650,'1A',207,'N'),(16,3279669,'1',103,'N'),(16,3279685,'1',103,'N'),(16,3279693,'1',238,'N'),(16,3279693,'1A',208,'N'),(16,3279707,'1',207,'N'),(16,3279707,'1A',201,'N'),(16,3279715,'1',420,'N'),(16,3279723,'1',103,'N'),(16,3279731,'1',340,'N'),(16,3279740,'1',340,'N'),(16,3279766,'1',205,'N'),(16,3279774,'1',101,'N'),(16,3279782,'1',501,'N'),(16,3279790,'1',104,'N'),(16,3279812,'1',415,'N'),(16,3279820,'1',9,'N'),(16,3279839,'1',103,'N'),(16,3279847,'1',108,'N'),(16,3279863,'1',501,'N'),(16,3279880,'1',301,'N'),(16,3279898,'1',216,'N'),(16,3279901,'1',203,'N'),(16,3279901,'1A',214,'N'),(16,3279910,'1',339,'N'),(16,3279928,'1',238,'N'),(16,3279928,'1A',208,'N'),(16,3279944,'1',211,'N'),(16,3279944,'1A',212,'N'),(16,3279952,'1',340,'N'),(16,3279960,'1',223,'N'),(16,3279979,'1',340,'N'),(16,3279987,'1',203,'N'),(16,3279987,'1A',214,'N'),(16,3279995,'1',340,'N'),(16,3280004,'1',340,'N'),(16,3280012,'1',3,'N'),(16,3280020,'1',108,'N'),(16,3280039,'1',319,'N'),(16,3280047,'1',103,'N'),(16,3280055,'1',303,'N'),(16,3280063,'1',428,'N'),(16,3280063,'1A',426,'N'),(16,3280071,'1',452,'N'),(16,3280080,'1',214,'N'),(16,3280080,'1A',238,'N'),(16,3280098,'1',233,'N'),(16,3280101,'1',415,'N'),(16,3280110,'1',103,'N'),(16,3280128,'1',2,'N'),(16,3280136,'1',214,'N'),(16,3280136,'1A',213,'N'),(16,3280144,'1',104,'N'),(16,3280152,'1',404,'N'),(16,3280160,'1',452,'N'),(16,3280179,'1',103,'N'),(16,3280187,'1',103,'N'),(16,3280195,'1',304,'N'),(16,3280209,'1',308,'N'),(16,3280217,'1',9,'N'),(16,3280225,'1',202,'N'),(16,3280225,'1A',201,'N'),(16,3280233,'1',301,'N'),(16,3280241,'1',404,'N'),(16,3280250,'1',103,'N'),(16,3280276,'1',104,'N'),(16,3280284,'1',301,'N'),(16,3280292,'1',212,'N'),(16,3280292,'1A',233,'N'),(16,3280306,'1',201,'N'),(16,3280306,'1A',203,'N'),(16,3280314,'1',216,'N'),(16,3280314,'1A',207,'N'),(16,3280322,'1',203,'N'),(16,3280322,'1A',214,'N'),(16,3280330,'1',103,'N'),(16,3280357,'1',103,'N'),(16,3280365,'1',216,'N'),(16,3280365,'1A',207,'N'),(16,3280373,'1',328,'N'),(16,3280381,'1',428,'N'),(16,3280381,'1A',424,'N'),(16,3280390,'1',316,'N'),(16,3280403,'1',429,'N'),(16,3280403,'1A',427,'N'),(16,3280411,'1',215,'N'),(16,3280411,'1A',211,'N'),(16,3280420,'1',9,'N'),(16,3280446,'1',104,'N'),(16,3280454,'1',303,'N'),(16,3280470,'1',319,'N'),(16,3280489,'1',238,'N'),(16,3280500,'1',450,'N'),(16,3280519,'1',309,'N'),(16,3280527,'1',101,'N'),(16,3280535,'1',102,'N'),(16,3280543,'1',104,'N'),(16,3280551,'1',220,'N'),(16,3280551,'1A',215,'N'),(16,3280560,'1',208,'N'),(16,3280578,'1',453,'N'),(16,3280586,'1',103,'N'),(16,3280594,'1',5,'N'),(16,3280608,'1',420,'N'),(16,3280616,'1',220,'N'),(16,3280616,'1A',213,'N'),(16,3280624,'1',319,'N'),(16,3280632,'1',211,'N'),(16,3280632,'1A',233,'N'),(16,3280640,'1',101,'N'),(16,3280659,'1',202,'N'),(16,3280659,'1A',213,'N'),(16,3280675,'1',238,'N'),(16,3280683,'1',104,'N'),(16,3280691,'1',213,'N'),(16,3280691,'1A',212,'N'),(16,3280705,'1',104,'N'),(16,3280713,'1',103,'N'),(16,3280721,'1',207,'N'),(16,3280721,'1A',201,'N'),(16,3280730,'1',207,'N'),(16,3280730,'1A',201,'N'),(16,3280748,'1',216,'N'),(16,3280748,'1A',215,'N'),(16,3280756,'1',303,'N'),(16,3280764,'1',332,'N'),(16,3280772,'1',9,'N'),(16,3280780,'1',104,'N'),(16,3280799,'1',501,'N'),(16,3280802,'1',415,'N'),(16,3280810,'1',104,'N'),(16,3280829,'1',425,'N'),(16,3280829,'1A',421,'N'),(16,3280837,'1',202,'N'),(16,3280845,'1',103,'N'),(16,3280853,'1',216,'N'),(16,3280853,'1A',203,'N'),(16,3280861,'1',301,'N'),(16,3280870,'1',429,'N'),(16,3280888,'1',451,'N'),(16,3280896,'1',238,'N'),(16,3280896,'1A',208,'N'),(16,3280900,'1',503,'N'),(16,3280918,'1',317,'N'),(16,3280926,'1',327,'N'),(16,3280934,'1',429,'N'),(16,3280934,'1A',425,'N'),(16,3280942,'1',331,'N'),(16,3280950,'1',333,'N'),(16,3280985,'1',104,'N'),(16,3280993,'1',238,'N'),(16,3280993,'1A',213,'N'),(16,3281000,'1',302,'N'),(16,3281019,'1',211,'N'),(16,3281027,'1',203,'N'),(16,3281035,'1',303,'N'),(16,3281043,'1',207,'N'),(16,3281043,'1A',238,'N'),(16,3281051,'1',9,'N'),(16,3281078,'1',103,'N'),(16,3281086,'1',502,'N'),(16,3281094,'1',304,'N'),(16,3281108,'1',415,'N'),(16,3281116,'1',108,'N'),(16,3281124,'1',301,'N'),(16,3281132,'1',102,'N'),(16,3281140,'1',203,'N'),(16,3281140,'1A',208,'N'),(16,3281167,'1',503,'N'),(16,3281183,'1',310,'N'),(16,3281191,'1',501,'N'),(16,3281205,'1',225,'N'),(16,3281213,'1',103,'N'),(16,3281221,'1',216,'N'),(16,3281221,'1A',211,'N'),(16,3281230,'1',103,'N'),(16,3281256,'1',340,'N'),(16,3281264,'1',317,'N'),(16,3281272,'1',444,'N'),(16,3281280,'1',103,'N'),(16,3281299,'1',303,'N'),(16,3281302,'1',333,'N'),(16,3281310,'1',303,'N'),(16,3281329,'1',108,'N'),(16,3281337,'1',415,'N'),(16,3281345,'1',303,'N'),(16,3281353,'1',415,'N'),(16,3281361,'1',303,'N'),(16,3281370,'1',234,'N'),(16,3281388,'1',301,'N'),(16,3281396,'1',316,'N'),(16,3281400,'1',5,'N'),(16,3281418,'1',103,'N'),(16,3281426,'1',203,'N'),(16,3281426,'1A',202,'N'),(16,3281434,'1',316,'N'),(16,3281442,'1',108,'N'),(16,3281450,'1',319,'N'),(16,3281469,'1',421,'N'),(16,3281469,'1A',427,'N'),(16,3281477,'1',450,'N'),(16,3281485,'1',302,'N'),(16,3281493,'1',415,'N'),(16,3281507,'1',420,'N'),(16,3281515,'1',501,'N'),(16,3281531,'1',203,'N'),(16,3281531,'1A',214,'N'),(16,3281558,'1',207,'N'),(16,3281558,'1A',233,'N'),(16,3281566,'1',215,'N'),(16,3281566,'1A',233,'N'),(16,3281574,'1',318,'N'),(16,3281582,'1',453,'N'),(16,3281590,'1',331,'N'),(16,3281604,'1',208,'N'),(16,3281604,'1A',238,'N'),(16,3281612,'1',103,'N'),(16,3281620,'1',103,'N'),(16,3281639,'1',328,'N'),(16,3281647,'1',415,'N'),(16,3281655,'1',203,'N'),(16,3281655,'1A',214,'N'),(16,3281663,'1',102,'N'),(16,3281671,'1',103,'N'),(16,3281680,'1',201,'N'),(16,3281680,'1A',233,'N'),(16,3281698,'1',420,'N'),(16,3281701,'1',340,'N'),(16,3281728,'1',428,'N'),(16,3281728,'1A',424,'N'),(16,3281736,'1',220,'N'),(16,3281736,'1A',208,'N'),(16,3281744,'1',225,'N'),(16,3281752,'1',444,'N'),(16,3281760,'1',317,'N'),(16,3281779,'1',303,'N'),(16,3281787,'1',202,'N'),(16,3281787,'1A',233,'N'),(16,3281795,'1',103,'N'),(16,3281809,'1',103,'N'),(16,3281817,'1',9,'N'),(16,3281825,'1',203,'N'),(16,3281825,'1A',211,'N'),(16,3281833,'1',316,'N'),(16,3281841,'1',202,'N'),(16,3281841,'1A',220,'N'),(16,3281850,'1',238,'N'),(16,3281850,'1A',208,'N'),(16,3281876,'1',104,'N'),(16,3281884,'1',103,'N'),(16,3281892,'1',404,'N'),(16,3281906,'1',103,'N'),(16,3281914,'1',5,'N'),(16,3281922,'1',318,'N'),(16,3281930,'1',203,'N'),(16,3281949,'1',319,'N'),(16,3281957,'1',104,'N'),(16,3281965,'1',108,'N'),(16,3281981,'1',425,'N'),(16,3281981,'1A',421,'N'),(16,3281990,'1',103,'N'),(16,3282007,'1',108,'N'),(16,3282015,'1',444,'N'),(16,3282023,'1',208,'N'),(16,3282023,'1A',238,'N'),(16,3282031,'1',103,'N'),(16,3282040,'1',316,'N'),(16,3282058,'1',202,'N'),(16,3282058,'1A',208,'N'),(16,3282066,'1',501,'N'),(16,3282074,'1',421,'N'),(16,3282074,'1A',427,'N'),(16,3282090,'1',415,'N'),(16,3282104,'1',103,'N'),(16,3282112,'1',317,'N'),(16,3282120,'1',103,'N'),(16,3282139,'1',332,'N'),(16,3282147,'1',104,'N'),(16,3282155,'1',216,'N'),(16,3282155,'1A',202,'N'),(16,3282163,'1',309,'N'),(16,3282171,'1',201,'N'),(16,3282171,'1A',211,'N'),(16,3282180,'1',203,'N'),(16,3282180,'1A',202,'N'),(16,3282198,'1',103,'N'),(16,3282201,'1',5,'N'),(16,3282210,'1',212,'N'),(16,3282210,'1A',215,'N'),(16,3282228,'1',450,'N'),(16,3282236,'1',301,'N'),(16,3282244,'1',425,'N'),(16,3282252,'1',223,'N'),(16,3282279,'1',9,'N'),(16,3282287,'1',301,'N'),(16,3282295,'1',319,'N'),(16,3282309,'1',103,'N'),(16,3282317,'1',319,'N'),(16,3282325,'1',104,'N'),(16,3282333,'1',303,'N'),(16,3282368,'1',301,'N'),(16,3282376,'1',103,'N'),(16,3282384,'1',202,'N'),(16,3282384,'1A',216,'N'),(16,3282392,'1',415,'N'),(16,3282406,'1',9,'N'),(16,3282414,'1',203,'N'),(16,3282414,'1A',202,'N'),(16,3282422,'1',207,'N'),(16,3282430,'1',333,'N'),(16,3282449,'1',201,'N'),(16,3282449,'1A',212,'N'),(16,3282457,'1',238,'N'),(16,3282457,'1A',208,'N'),(16,3282473,'1',102,'N'),(16,3282490,'1',208,'N'),(16,3282490,'1A',203,'N'),(16,3282503,'1',340,'N'),(16,3282511,'1',444,'N'),(16,3282520,'1',207,'N'),(16,3282520,'1A',238,'N'),(16,3282538,'1',318,'N'),(16,3282546,'1',212,'N'),(16,3282546,'1A',208,'N'),(16,3282554,'1',202,'N'),(16,3282554,'1A',208,'N'),(16,3282562,'1',319,'N'),(16,3282589,'1',208,'N'),(16,3282589,'1A',202,'N'),(16,3282597,'1',5,'N'),(16,3282600,'1',108,'N'),(16,3282619,'1',220,'N'),(16,3282619,'1A',208,'N'),(16,3282627,'1',203,'N'),(16,3282627,'1A',207,'N'),(16,3282635,'1',220,'N'),(16,3282635,'1A',208,'N'),(16,3282643,'1',318,'N'),(16,3282660,'1',9,'N'),(16,3282678,'1',501,'N'),(16,3282686,'1',301,'N'),(16,3282694,'1',301,'N'),(16,3282708,'1',303,'N'),(16,3282716,'1',108,'N'),(16,3282740,'1',223,'N'),(16,3282759,'1',415,'N'),(16,3282767,'1',415,'N'),(16,3282775,'1',316,'N'),(16,3282783,'1',224,'N'),(16,3282791,'1',201,'N'),(16,3282791,'1A',208,'N'),(16,3282805,'1',211,'N'),(16,3282805,'1A',201,'N'),(16,3282813,'1',319,'N'),(16,3282821,'1',103,'N'),(16,3282830,'1',207,'N'),(16,3282830,'1A',201,'N'),(16,3282848,'1',104,'N'),(16,3282856,'1',304,'N'),(16,3282864,'1',5,'N'),(16,3282872,'1',301,'N'),(16,3282880,'1',316,'N'),(16,3282899,'1',101,'N'),(16,3282929,'1',425,'N'),(16,3282929,'1A',429,'N'),(16,3282937,'1',316,'N'),(16,3282945,'1',316,'N'),(16,3282953,'1',320,'N'),(16,3282961,'1',103,'N'),(16,3282988,'1',303,'N'),(16,3282996,'1',103,'N'),(16,3283003,'1',211,'N'),(16,3283003,'1A',216,'N'),(16,3283011,'1',202,'N'),(16,3283011,'1A',213,'N'),(16,3283020,'1',207,'N'),(16,3283020,'1A',212,'N'),(16,3283038,'1',104,'N'),(16,3283046,'1',203,'N'),(16,3283046,'1A',220,'N'),(16,3283054,'1',202,'N'),(16,3283054,'1A',213,'N'),(16,3283062,'1',238,'N'),(16,3283062,'1A',208,'N'),(16,3283070,'1',203,'N'),(16,3283070,'1A',201,'N'),(16,3283089,'1',201,'N'),(16,3283089,'1A',212,'N'),(16,3283100,'1',203,'N'),(16,3283100,'1A',220,'N'),(16,3283119,'1',319,'N'),(16,3283127,'1',304,'N'),(16,3283135,'1',317,'N'),(16,3283143,'1',329,'N'),(16,3283151,'1',103,'N'),(16,3283178,'1',203,'N'),(16,3283178,'1A',214,'N'),(16,3283186,'1',108,'N'),(16,3283194,'1',3,'N'),(16,3283208,'1',5,'N'),(16,3283216,'1',208,'N'),(16,3283216,'1A',238,'N'),(16,3283224,'1',450,'N'),(16,3283232,'1',101,'N'),(16,3283240,'1',503,'N'),(16,3283267,'1',103,'N'),(16,3283291,'1',317,'N'),(16,3283305,'1',103,'N'),(16,3283313,'1',316,'N'),(16,3283321,'1',303,'N'),(16,3283330,'1',225,'N'),(16,3283348,'1',340,'N'),(16,3283356,'1',214,'N'),(16,3283356,'1A',203,'N'),(16,3283372,'1',304,'N'),(16,3283380,'1',415,'N'),(16,3283399,'1',201,'N'),(16,3283399,'1A',212,'N'),(16,3283402,'1',103,'N'),(16,3283410,'1',319,'N'),(16,3283429,'1',5,'N'),(16,3283437,'1',202,'N'),(16,3283437,'1A',238,'N'),(16,3283445,'1',103,'N'),(16,3283453,'1',101,'N'),(16,3283461,'1',332,'N'),(16,3283470,'1',319,'N'),(16,3283488,'1',223,'N'),(16,3283496,'1',238,'N'),(16,3283496,'1A',211,'N'),(16,3283500,'1',502,'N'),(16,3283518,'1',3,'N'),(16,3283534,'1',316,'N'),(16,3283542,'1',225,'N'),(16,3283550,'1',5,'N'),(16,3283569,'1',317,'N'),(16,3283577,'1',103,'N'),(16,3283585,'1',331,'N'),(16,3283607,'1',103,'N'),(16,3283615,'1',340,'N'),(16,3283631,'1',303,'N'),(16,3283640,'1',202,'N'),(16,3283640,'1A',213,'N'),(16,3283666,'1',303,'N'),(16,3283674,'1',420,'N'),(16,3283682,'1',425,'N'),(16,3283682,'1A',429,'N'),(16,3283690,'1',238,'N'),(16,3283690,'1A',208,'N'),(16,3283712,'1',207,'N'),(16,3283720,'1',211,'N'),(16,3283720,'1A',201,'N'),(16,3283739,'1',103,'N'),(16,3283747,'1',326,'N'),(16,3283755,'1',5,'N'),(16,3283763,'1',502,'N'),(16,3283771,'1',339,'N'),(16,3283780,'1',211,'N'),(16,3283780,'1A',201,'N'),(16,3283798,'1',223,'N'),(16,3283801,'1',302,'N'),(16,3283810,'1',212,'N'),(16,3283810,'1A',213,'N'),(16,3283828,'1',207,'N'),(16,3283828,'1A',238,'N'),(16,3283836,'1',404,'N'),(16,3283844,'1',424,'N'),(16,3283844,'1A',428,'N'),(16,3283852,'1',316,'N'),(16,3283879,'1',212,'N'),(16,3283879,'1A',216,'N'),(16,3283887,'1',303,'N'),(16,3283895,'1',202,'N'),(16,3283895,'1A',211,'N'),(16,3283909,'1',301,'N'),(16,3283917,'1',203,'N'),(16,3283917,'1A',214,'N'),(16,3283925,'1',317,'N'),(16,3283933,'1',415,'N'),(16,3283941,'1',317,'N'),(16,3283968,'1',301,'N'),(16,3283976,'1',303,'N'),(16,3283984,'1',340,'N'),(16,3283992,'1',201,'N'),(16,3283992,'1A',203,'N'),(16,3284018,'1',319,'N'),(16,3284034,'1',309,'N'),(16,3284042,'1',233,'N'),(16,3284042,'1A',215,'N'),(16,3284050,'1',103,'N'),(16,3284069,'1',301,'N'),(16,3284077,'1',316,'N'),(16,3284093,'1',303,'N'),(16,3284107,'1',234,'N'),(16,3284115,'1',503,'N'),(16,3284123,'1',304,'N'),(16,3284131,'1',103,'N'),(16,3284140,'1',319,'N'),(16,3284158,'1',5,'N'),(16,3284166,'1',5,'N'),(16,3284174,'1',202,'N'),(16,3284174,'1A',213,'N'),(16,3284190,'1',104,'N'),(16,3284204,'1',223,'N'),(16,3284212,'1',103,'N'),(16,3284220,'1',203,'N'),(16,3284220,'1A',220,'N'),(16,3284239,'1',208,'N'),(16,3284239,'1A',220,'N'),(16,3284255,'1',340,'N'),(16,3284263,'1',303,'N'),(16,3284271,'1',326,'N'),(16,3284280,'1',421,'N'),(16,3284280,'1A',423,'N'),(16,3284298,'1',428,'N'),(16,3284298,'1A',426,'N'),(16,3284301,'1',103,'N'),(16,3284310,'1',502,'N'),(16,3284328,'1',423,'N'),(16,3284344,'1',103,'N'),(16,3284352,'1',102,'N'),(16,3284360,'1',103,'N'),(16,3284379,'1',103,'N'),(16,3284387,'1',201,'N'),(16,3284387,'1A',207,'N'),(16,3284409,'1',103,'N'),(16,3284417,'1',208,'N'),(16,3284417,'1A',238,'N'),(16,3284433,'1',201,'N'),(16,3284433,'1A',207,'N'),(16,3284441,'1',340,'N'),(16,3284450,'1',444,'N'),(16,3284468,'1',301,'N'),(16,3284476,'1',201,'N'),(16,3284492,'1',340,'N'),(16,3284506,'1',5,'N'),(16,3284514,'1',404,'N'),(16,3284522,'1',318,'N'),(16,3284530,'1',501,'N'),(16,3284549,'1',108,'N'),(16,3284557,'1',103,'N'),(16,3284565,'1',205,'N'),(16,3284573,'1',423,'N'),(16,3284573,'1A',425,'N'),(16,3284581,'1',339,'N'),(16,3284590,'1',333,'N'),(16,3284603,'1',502,'N'),(16,3284611,'1',453,'N'),(16,3284620,'1',421,'N'),(16,3284620,'1A',425,'N'),(16,3284638,'1',201,'N'),(16,3284638,'1A',212,'N'),(16,3284646,'1',319,'N'),(16,3284654,'1',424,'N'),(16,3284662,'1',444,'N'),(16,3284670,'1',319,'N'),(16,3284689,'1',220,'N'),(16,3284689,'1A',208,'N'),(16,3284697,'1',238,'N'),(16,3284697,'1A',208,'N'),(16,3284700,'1',225,'N'),(16,3284719,'1',207,'N'),(16,3284719,'1A',201,'N'),(16,3284727,'1',331,'N'),(16,3284735,'1',223,'N'),(16,3284743,'1',203,'N'),(16,3284743,'1A',220,'N'),(16,3284778,'1',211,'N'),(16,3284778,'1A',215,'N'),(16,3284786,'1',302,'N'),(16,3284794,'1',224,'N'),(16,3284816,'1',301,'N'),(16,3284824,'1',452,'N'),(16,3284832,'1',333,'N'),(16,3284840,'1',207,'N'),(16,3284840,'1A',233,'N'),(16,3284859,'1',301,'N'),(16,3284867,'1',103,'N'),(16,3284875,'1',108,'N'),(16,3284883,'1',420,'N'),(16,3284891,'1',208,'N'),(16,3284891,'1A',238,'N'),(16,3284905,'1',103,'N'),(16,3284913,'1',104,'N'),(16,3284930,'1',216,'N'),(16,3284948,'1',101,'N'),(16,3284956,'1',340,'N'),(16,3284972,'1',503,'N'),(16,3284999,'1',303,'N'),(16,3285006,'1',215,'N'),(16,3285006,'1A',207,'N'),(16,3285022,'1',301,'N'),(16,3285030,'1',339,'N'),(16,3285049,'1',5,'N'),(16,3285057,'1',207,'N'),(16,3285065,'1',238,'N'),(16,3285065,'1A',213,'N'),(16,3285073,'1',426,'N'),(16,3285073,'1A',428,'N'),(16,3285081,'1',340,'N'),(16,3285090,'1',303,'N'),(16,3285111,'1',303,'N'),(16,3285120,'1',108,'N'),(16,3285138,'1',208,'N'),(16,3285138,'1A',238,'N'),(16,3285146,'1',302,'N'),(16,3285154,'1',214,'N'),(16,3285154,'1A',233,'N'),(16,3285170,'1',211,'N'),(16,3285189,'1',208,'N'),(16,3285189,'1A',233,'N'),(16,3285200,'1',415,'N'),(16,3285219,'1',203,'N'),(16,3285219,'1A',214,'N'),(16,3285227,'1',317,'N'),(16,3285235,'1',318,'N'),(16,3285243,'1',103,'N'),(16,3285251,'1',205,'N'),(16,3285260,'1',101,'N'),(16,3285278,'1',203,'N'),(16,3285278,'1A',212,'N'),(16,3285286,'1',108,'N'),(16,3285324,'1',301,'N'),(16,3285340,'1',415,'N'),(16,3285367,'1',216,'N'),(16,3285367,'1A',215,'N'),(16,3285383,'1',501,'N'),(16,3285391,'1',103,'N'),(16,3285405,'1',211,'N'),(16,3285405,'1A',215,'N'),(16,3285413,'1',304,'N'),(16,3285421,'1',103,'N'),(16,3285430,'1',202,'N'),(16,3285430,'1A',201,'N'),(16,3285448,'1',108,'N'),(16,3285464,'1',420,'N'),(16,3285472,'1',331,'N'),(16,3285480,'1',415,'N'),(16,3285499,'1',316,'N'),(16,3285502,'1',329,'N'),(16,3285510,'1',303,'N'),(16,3285529,'1',202,'N'),(16,3285529,'1A',220,'N'),(16,3285537,'1',317,'N'),(16,3285545,'1',5,'N'),(16,3285553,'1',104,'N'),(16,3285561,'1',202,'N'),(16,3285570,'1',108,'N'),(16,3285588,'1',301,'N'),(16,3285596,'1',102,'N'),(16,3285600,'1',203,'N'),(16,3285600,'1A',214,'N'),(16,3285618,'1',304,'N'),(16,3285626,'1',203,'N'),(16,3285626,'1A',233,'N'),(16,3285634,'1',319,'N'),(16,3285650,'1',103,'N'),(16,3285669,'1',208,'N'),(16,3285669,'1A',238,'N'),(16,3285677,'1',329,'N'),(16,3285685,'1',108,'N'),(16,3285693,'1',301,'N'),(16,3285707,'1',216,'N'),(16,3285707,'1A',201,'N'),(16,3285723,'1',503,'N'),(16,3285731,'1',102,'N'),(16,3285740,'1',202,'N'),(16,3285740,'1A',220,'N'),(16,3285758,'1',404,'N'),(16,3285766,'1',238,'N'),(16,3285766,'1A',213,'N'),(16,3285774,'1',5,'N'),(16,3285782,'1',324,'N'),(16,3285804,'1',332,'N'),(16,3285812,'1',302,'N'),(16,3285820,'1',302,'N'),(16,3285839,'1',503,'N'),(16,3285855,'1',339,'N'),(16,3285871,'1',224,'N'),(16,3285898,'1',103,'N'),(16,3285901,'1',303,'N'),(16,3285910,'1',101,'N'),(16,3285928,'1',428,'N'),(16,3285928,'1A',425,'N'),(16,3285936,'1',207,'N'),(16,3285936,'1A',201,'N'),(16,3285952,'1',208,'N'),(16,3285952,'1A',238,'N'),(16,3285960,'1',207,'N'),(16,3285960,'1A',211,'N'),(16,3285979,'1',103,'N'),(16,3285987,'1',108,'N'),(16,3285995,'1',102,'N'),(16,3286002,'1',318,'N'),(16,3286010,'1',220,'N'),(16,3286010,'1A',214,'N'),(16,3286029,'1',404,'N'),(16,3286045,'1',404,'N'),(16,3286053,'1',304,'N'),(16,3286061,'1',234,'N'),(16,3286070,'1',102,'N'),(16,3286088,'1',5,'N'),(16,3286096,'1',103,'N'),(16,3286100,'1',234,'N'),(16,3286126,'1',207,'N'),(16,3286126,'1A',212,'N'),(16,3286134,'1',303,'N'),(16,3286150,'1',404,'N'),(16,3286169,'1',450,'N'),(16,3286177,'1',453,'N'),(16,3286185,'1',303,'N'),(16,3286193,'1',501,'N'),(16,3286207,'1',102,'N'),(16,3286215,'1',9,'N'),(16,3286223,'1',453,'N'),(16,3286231,'1',502,'N'),(16,3286240,'1',324,'N'),(16,3286258,'1',340,'N'),(16,3286274,'1',428,'N'),(16,3286274,'1A',423,'N'),(16,3286282,'1',339,'N'),(16,3286290,'1',340,'N'),(16,3286304,'1',103,'N'),(16,3286320,'1',216,'N'),(16,3286320,'1A',207,'N'),(16,3286347,'1',333,'N'),(16,3286355,'1',103,'N'),(16,3286363,'1',415,'N'),(16,3286371,'1',103,'N'),(16,3286380,'1',103,'N'),(16,3286398,'1',339,'N'),(16,3286410,'1',332,'N'),(16,3286428,'1',316,'N'),(16,3286436,'1',104,'N'),(16,3286444,'1',103,'N'),(16,3286452,'1',424,'N'),(16,3286452,'1A',421,'N'),(16,3286460,'1',5,'N'),(16,3286479,'1',9,'N'),(16,3286487,'1',428,'N'),(16,3286495,'1',234,'N'),(16,3286517,'1',216,'N'),(16,3286517,'1A',211,'N'),(16,3286541,'1',303,'N'),(16,3286550,'1',502,'N'),(16,3286568,'1',103,'N'),(16,3286576,'1',216,'N'),(16,3286576,'1A',215,'N'),(16,3286584,'1',450,'N'),(16,3286592,'1',103,'N'),(16,3286606,'1',428,'N'),(16,3286606,'1A',429,'N'),(16,3286614,'1',319,'N'),(16,3286622,'1',316,'N'),(16,3286630,'1',103,'N'),(16,3286649,'1',340,'N'),(16,3286657,'1',304,'N'),(16,3286665,'1',102,'N'),(16,3286673,'1',303,'N'),(16,3286681,'1',304,'N'),(16,3286690,'1',103,'N'),(16,3286703,'1',208,'N'),(16,3286703,'1A',238,'N'),(16,3286711,'1',103,'N'),(16,3286720,'1',103,'N'),(16,3286738,'1',317,'N'),(16,3286746,'1',201,'N'),(16,3286746,'1A',207,'N'),(16,3286754,'1',420,'N'),(16,3286762,'1',425,'N'),(16,3286762,'1A',428,'N'),(16,3286770,'1',103,'N'),(16,3286797,'1',308,'N'),(16,3286819,'1',453,'N'),(16,3286827,'1',214,'N'),(16,3286827,'1A',201,'N'),(16,3286835,'1',318,'N'),(16,3286843,'1',9,'N'),(16,3286860,'1',5,'N'),(16,3286878,'1',404,'N'),(16,3286886,'1',301,'N'),(16,3286908,'1',302,'N'),(16,3286916,'1',429,'N'),(16,3286916,'1A',425,'N'),(16,3286924,'1',319,'N'),(16,3286932,'1',320,'N'),(16,3286940,'1',318,'N'),(16,3286959,'1',207,'N'),(16,3286967,'1',303,'N'),(16,3286975,'1',421,'N'),(16,3286975,'1A',427,'N'),(16,3286983,'1',426,'N'),(16,3286983,'1A',428,'N'),(16,3286991,'1',319,'N'),(16,3287017,'1',302,'N'),(16,3287025,'1',101,'N'),(16,3287033,'1',2,'N'),(16,3287041,'1',103,'N'),(16,3287068,'1',104,'N'),(16,3287076,'1',427,'N'),(16,3287076,'1A',423,'N'),(16,3287084,'1',320,'N'),(16,3287092,'1',501,'N'),(16,3287106,'1',340,'N'),(16,3287114,'1',318,'N'),(16,3287122,'1',102,'N'),(16,3287130,'1',103,'N'),(16,3287149,'1',301,'N'),(16,3287157,'1',319,'N'),(16,3287165,'1',213,'N'),(16,3287165,'1A',212,'N'),(16,3287173,'1',339,'N'),(16,3287203,'1',333,'N'),(16,3287211,'1',207,'N'),(16,3287211,'1A',211,'N'),(16,3287220,'1',208,'N'),(16,3287220,'1A',238,'N'),(16,3287238,'1',333,'N'),(16,3287254,'1',302,'N'),(16,3287262,'1',238,'N'),(16,3287262,'1A',211,'N'),(16,3287270,'1',303,'N'),(16,3287289,'1',102,'N'),(16,3287297,'1',339,'N'),(16,3287300,'1',212,'N'),(16,3287300,'1A',233,'N'),(16,3287319,'1',220,'N'),(16,3287319,'1A',214,'N'),(16,3287327,'1',501,'N'),(16,3287335,'1',208,'N'),(16,3287335,'1A',207,'N'),(16,3287343,'1',429,'N'),(16,3287343,'1A',428,'N'),(16,3287351,'1',301,'N'),(16,3287378,'1',203,'N'),(16,3287378,'1A',214,'N'),(16,3287386,'1',104,'N'),(16,3287394,'1',453,'N'),(16,3287408,'1',222,'N'),(16,3287416,'1',103,'N'),(16,3287424,'1',317,'N'),(16,3287432,'1',302,'N'),(16,3287440,'1',303,'N'),(16,3287459,'1',108,'N'),(16,3287467,'1',415,'N'),(16,3287475,'1',103,'N'),(16,3287483,'1',238,'N'),(16,3287491,'1',104,'N'),(16,3287505,'1',318,'N'),(16,3287513,'1',415,'N'),(16,3287530,'1',340,'N'),(16,3287548,'1',103,'N'),(16,3287564,'1',103,'N'),(16,3287572,'1',214,'N'),(16,3287572,'1A',212,'N'),(16,3287599,'1',450,'N'),(16,3287602,'1',308,'N'),(16,3287610,'1',415,'N'),(16,3287629,'1',302,'N'),(16,3287637,'1',238,'N'),(16,3287637,'1A',208,'N'),(16,3287645,'1',319,'N'),(16,3287661,'1',103,'N'),(16,3287696,'1',301,'N'),(16,3287700,'1',303,'N'),(16,3287718,'1',202,'N'),(16,3287718,'1A',203,'N'),(16,3287726,'1',207,'N'),(16,3287726,'1A',201,'N'),(16,3287742,'1',333,'N'),(16,3287769,'1',203,'N'),(16,3287769,'1A',216,'N'),(16,3287777,'1',201,'N'),(16,3287777,'1A',212,'N'),(16,3287785,'1',303,'N'),(16,3287793,'1',103,'N'),(16,3287807,'1',211,'N'),(16,3287807,'1A',201,'N'),(16,3287815,'1',223,'N'),(16,3287823,'1',415,'N'),(16,3287831,'1',9,'N'),(16,3287840,'1',203,'N'),(16,3287840,'1A',214,'N'),(16,3287858,'1',310,'N'),(16,3287866,'1',202,'N'),(16,3287866,'1A',238,'N'),(16,3287874,'1',503,'N'),(16,3287882,'1',302,'N'),(16,3287890,'1',223,'N'),(16,3287904,'1',319,'N'),(16,3287912,'1',103,'N'),(16,3287920,'1',9,'N'),(16,3287947,'1',340,'N'),(16,3287955,'1',304,'N'),(16,3287971,'1',225,'N'),(16,3287980,'1',103,'N'),(16,3287998,'1',103,'N'),(16,3288021,'1',104,'N'),(16,3288048,'1',303,'N'),(16,3288056,'1',326,'N'),(16,3288064,'1',303,'N'),(16,3288072,'1',316,'N'),(16,3288080,'1',201,'N'),(16,3288080,'1A',238,'N'),(16,3288099,'1',211,'N'),(16,3288099,'1A',216,'N'),(16,3288102,'1',103,'N'),(16,3288110,'1',238,'N'),(16,3288129,'1',444,'N'),(16,3288137,'1',316,'N'),(16,3288145,'1',319,'N'),(16,3288153,'1',501,'N'),(16,3288161,'1',444,'N'),(16,3288170,'1',214,'N'),(16,3288170,'1A',201,'N'),(16,3288188,'1',215,'N'),(16,3288188,'1A',207,'N'),(16,3288200,'1',103,'N'),(16,3288226,'1',444,'N'),(16,3288242,'1',317,'N'),(16,3288250,'1',103,'N'),(16,3288269,'1',9,'N'),(16,3288277,'1',202,'N'),(16,3288277,'1A',201,'N'),(16,3288285,'1',103,'N'),(16,3288293,'1',415,'N'),(16,3288307,'1',103,'N'),(16,3288315,'1',202,'N'),(16,3288315,'1A',207,'N'),(16,3288323,'1',301,'N'),(16,3288331,'1',214,'N'),(16,3288331,'1A',220,'N'),(16,3288340,'1',423,'N'),(16,3288340,'1A',425,'N'),(16,3288358,'1',202,'N'),(16,3288358,'1A',213,'N'),(16,3288366,'1',211,'N'),(16,3288366,'1A',215,'N'),(16,3288374,'1',203,'N'),(16,3288374,'1A',216,'N'),(16,3288382,'1',428,'N'),(16,3288390,'1',102,'N'),(16,3288404,'1',223,'N'),(16,3288412,'1',103,'N'),(16,3288420,'1',103,'N'),(16,3288439,'1',207,'N'),(16,3288439,'1A',201,'N'),(16,3288447,'1',340,'N'),(16,3288455,'1',452,'N'),(16,3288463,'1',220,'N'),(16,3288463,'1A',233,'N'),(16,3288471,'1',444,'N'),(16,3288480,'1',103,'N'),(16,3288498,'1',444,'N'),(16,3288501,'1',101,'N'),(16,3288510,'1',101,'N'),(16,3288528,'1',415,'N'),(16,3288536,'1',214,'N'),(16,3288536,'1A',233,'N'),(16,3288544,'1',302,'N'),(16,3288552,'1',303,'N'),(16,3288560,'1',333,'N'),(16,3288579,'1',9,'N'),(16,3288587,'1',207,'N'),(16,3288587,'1A',201,'N'),(16,3288595,'1',308,'N'),(16,3288609,'1',404,'N'),(16,3288625,'1',302,'N'),(16,3288633,'1',202,'N'),(16,3288633,'1A',211,'N'),(16,3288641,'1',211,'N'),(16,3288641,'1A',201,'N'),(16,3288650,'1',316,'N'),(16,3288668,'1',317,'N'),(16,3288676,'1',220,'N'),(16,3288676,'1A',216,'N'),(16,3288684,'1',101,'N'),(16,3288692,'1',425,'N'),(16,3288706,'1',208,'N'),(16,3288706,'1A',238,'N'),(16,3288714,'1',201,'N'),(16,3288714,'1A',207,'N'),(16,3288722,'1',201,'N'),(16,3288722,'1A',233,'N'),(16,3288730,'1',201,'N'),(16,3288730,'1A',202,'N'),(16,3288749,'1',444,'N'),(16,3288757,'1',103,'N'),(16,3288765,'1',103,'N'),(16,3288781,'1',203,'N'),(16,3288781,'1A',233,'N'),(16,3288790,'1',316,'N'),(16,3288803,'1',9,'N'),(16,3288811,'1',104,'N'),(16,3288820,'1',103,'N'),(16,3288838,'1',340,'N'),(16,3288846,'1',103,'N'),(16,3288854,'1',104,'N'),(16,3288862,'1',304,'N'),(16,3288870,'1',450,'N'),(16,3288889,'1',303,'N'),(16,3288897,'1',213,'N'),(16,3288897,'1A',212,'N'),(16,3288900,'1',340,'N'),(16,3288919,'1',212,'N'),(16,3288919,'1A',233,'N'),(16,3288927,'1',201,'N'),(16,3288927,'1A',203,'N'),(16,3288935,'1',101,'N'),(16,3288943,'1',501,'N'),(16,3288951,'1',502,'N'),(16,3288960,'1',415,'N'),(16,3288978,'1',102,'N'),(16,3288986,'1',415,'N'),(16,3288994,'1',208,'N'),(16,3288994,'1A',238,'N'),(16,3289010,'1',104,'N'),(16,3289028,'1',207,'N'),(16,3289028,'1A',233,'N'),(16,3289036,'1',203,'N'),(16,3289036,'1A',220,'N'),(16,3289044,'1',214,'N'),(16,3289044,'1A',203,'N'),(16,3289052,'1',202,'N'),(16,3289052,'1A',203,'N'),(16,3289060,'1',103,'N'),(16,3289079,'1',3,'N'),(16,3289087,'1',202,'N'),(16,3289087,'1A',203,'N'),(16,3289095,'1',211,'N'),(16,3289095,'1A',215,'N'),(16,3289109,'1',234,'N'),(16,3289125,'1',103,'N'),(16,3289133,'1',503,'N'),(16,3289141,'1',201,'N'),(16,3289150,'1',3,'N'),(16,3289168,'1',233,'N'),(16,3289168,'1A',216,'N'),(16,3289184,'1',103,'N'),(16,3289192,'1',444,'N'),(16,3289206,'1',302,'N'),(16,3289214,'1',104,'N'),(16,3289222,'1',316,'N'),(16,3289230,'1',304,'N'),(16,3289249,'1',404,'N'),(16,3289257,'1',101,'N'),(16,3289265,'1',103,'N'),(16,3289281,'1',316,'N'),(16,3289311,'1',208,'N'),(16,3289311,'1A',238,'N'),(16,3289320,'1',501,'N'),(16,3289338,'1',216,'N'),(16,3289338,'1A',214,'N'),(16,3289346,'1',303,'N'),(16,3289354,'1',415,'N'),(16,3289362,'1',303,'N'),(16,3289370,'1',103,'N'),(16,3289389,'1',203,'N'),(16,3289389,'1A',214,'N'),(16,3289397,'1',203,'N'),(16,3289397,'1A',201,'N'),(16,3289400,'1',340,'N'),(16,3289419,'1',108,'N'),(16,3289427,'1',207,'N'),(16,3289427,'1A',201,'N'),(16,3289435,'1',340,'N'),(16,3289443,'1',452,'N'),(16,3289451,'1',404,'N'),(16,3289460,'1',238,'N'),(16,3289460,'1A',208,'N'),(16,3289478,'1',316,'N'),(16,3289486,'1',214,'N'),(16,3289486,'1A',201,'N'),(16,3289494,'1',203,'N'),(16,3289494,'1A',220,'N'),(16,3289516,'1',104,'N'),(16,3289524,'1',103,'N'),(16,3289532,'1',444,'N'),(16,3289540,'1',501,'N'),(16,3289559,'1',502,'N'),(16,3289567,'1',104,'N'),(16,3289575,'1',208,'N'),(16,3289575,'1A',207,'N'),(16,3289583,'1',5,'N'),(16,3289591,'1',212,'N'),(16,3289591,'1A',214,'N'),(16,3289613,'1',212,'N'),(16,3289613,'1A',208,'N'),(16,3289621,'1',214,'N'),(16,3289621,'1A',216,'N'),(16,3289630,'1',318,'N'),(16,3289648,'1',203,'N'),(16,3289648,'1A',214,'N'),(16,3289672,'1',101,'N'),(16,3289680,'1',103,'N'),(16,3289699,'1',207,'N'),(16,3289699,'1A',201,'N'),(16,3289702,'1',207,'N'),(16,3289702,'1A',211,'N'),(16,3289710,'1',103,'N'),(16,3289729,'1',203,'N'),(16,3289729,'1A',208,'N'),(16,3289737,'1',303,'N'),(16,3289745,'1',331,'N'),(16,3289753,'1',316,'N'),(16,3289770,'1',453,'N'),(16,3289788,'1',316,'N'),(16,3289796,'1',303,'N'),(16,3289800,'1',309,'N'),(16,3289818,'1',320,'N'),(16,3289826,'1',302,'N'),(16,3289834,'1',425,'N'),(16,3289834,'1A',424,'N'),(16,3289842,'1',317,'N'),(16,3289850,'1',425,'N'),(16,3289850,'1A',424,'N'),(16,3289869,'1',103,'N'),(16,3289877,'1',201,'N'),(16,3289877,'1A',207,'N'),(16,3289885,'1',104,'N'),(16,3289893,'1',234,'N'),(16,3289915,'1',340,'N'),(16,3289923,'1',444,'N'),(16,3289940,'1',103,'N'),(16,3289966,'1',201,'N'),(16,3289966,'1A',211,'N'),(16,3289974,'1',102,'N'),(16,3289982,'1',104,'N'),(16,3289990,'1',302,'N'),(16,3290018,'1',202,'N'),(16,3290018,'1A',213,'N'),(16,3290026,'1',319,'N'),(16,3290034,'1',316,'N'),(16,3290050,'1',104,'N'),(16,3290069,'1',331,'N'),(16,3290077,'1',201,'N'),(16,3290077,'1A',207,'N'),(16,3290085,'1',104,'N'),(16,3290093,'1',103,'N'),(16,3290115,'1',208,'N'),(16,3290115,'1A',207,'N'),(16,3290123,'1',501,'N'),(16,3290131,'1',302,'N'),(16,3290140,'1',503,'N'),(16,3290158,'1',326,'N'),(16,3290166,'1',220,'N'),(16,3290166,'1A',202,'N'),(16,3290174,'1',220,'N'),(16,3290174,'1A',208,'N'),(16,3290182,'1',427,'N'),(16,3290190,'1',104,'N'),(16,3290220,'1',453,'N'),(16,3290239,'1',303,'N'),(16,3290247,'1',317,'N'),(16,3290255,'1',201,'N'),(16,3290255,'1A',207,'N'),(16,3290263,'1',319,'N'),(16,3290271,'1',5,'N'),(16,3290301,'1',103,'N'),(16,3290310,'1',318,'N'),(16,3290328,'1',333,'N'),(16,3290336,'1',3,'N'),(16,3290344,'1',327,'N'),(16,3290352,'1',212,'N'),(16,3290352,'1A',201,'N'),(16,3290360,'1',444,'N'),(16,3290379,'1',301,'N'),(16,3290387,'1',301,'N'),(16,3290395,'1',425,'N'),(16,3290395,'1A',429,'N'),(16,3290409,'1',303,'N'),(16,3290417,'1',207,'N'),(16,3290417,'1A',201,'N'),(16,3290425,'1',301,'N'),(16,3290441,'1',102,'N'),(16,3290450,'1',108,'N'),(16,3290468,'1',426,'N'),(16,3290468,'1A',428,'N'),(16,3290476,'1',103,'N'),(16,3290484,'1',207,'N'),(16,3290484,'1A',212,'N'),(16,3290492,'1',214,'N'),(16,3290492,'1A',213,'N'),(16,3290506,'1',201,'N'),(16,3290506,'1A',212,'N'),(16,3290514,'1',103,'N'),(16,3290522,'1',205,'N'),(16,3290530,'1',214,'N'),(16,3290530,'1A',238,'N'),(16,3290549,'1',5,'N'),(16,3290565,'1',301,'N'),(16,3290573,'1',503,'N'),(16,3290581,'1',326,'N'),(16,3290590,'1',238,'N'),(16,3290590,'1A',208,'N'),(16,3290603,'1',415,'N'),(16,3290611,'1',207,'N'),(16,3290611,'1A',201,'N'),(16,3290638,'1',103,'N'),(16,3290646,'1',203,'N'),(16,3290646,'1A',233,'N'),(16,3290654,'1',201,'N'),(16,3290654,'1A',211,'N'),(16,3290662,'1',319,'N'),(16,3290670,'1',318,'N'),(16,3290689,'1',101,'N'),(16,3290697,'1',207,'N'),(16,3290697,'1A',201,'N'),(16,3290719,'1',319,'N'),(16,3290727,'1',310,'N'),(16,3290735,'1',302,'N'),(16,3290743,'1',501,'N'),(16,3290751,'1',203,'N'),(16,3290751,'1A',214,'N'),(16,3290760,'1',203,'N'),(16,3290778,'1',211,'N'),(16,3290786,'1',101,'N'),(16,3290794,'1',104,'N'),(16,3290808,'1',103,'N'),(16,3290816,'1',444,'N'),(16,3290824,'1',501,'N'),(16,3290832,'1',103,'N'),(16,3290840,'1',215,'N'),(16,3290859,'1',207,'N'),(16,3290875,'1',104,'N'),(16,3290883,'1',319,'N'),(16,3290913,'1',103,'N'),(16,3290921,'1',214,'N'),(16,3290930,'1',301,'N'),(16,3290948,'1',451,'N'),(16,3290956,'1',207,'N'),(16,3290956,'1A',201,'N'),(16,3290964,'1',104,'N'),(16,3290972,'1',201,'N'),(16,3290972,'1A',211,'N'),(16,3290999,'1',103,'N'),(16,3291006,'1',211,'N'),(16,3291006,'1A',213,'N'),(16,3291014,'1',201,'N'),(16,3291014,'1A',212,'N'),(16,3291022,'1',201,'N'),(16,3291022,'1A',212,'N'),(16,3291030,'1',318,'N'),(16,3291049,'1',202,'N'),(16,3291049,'1A',212,'N'),(16,3291057,'1',201,'N'),(16,3291057,'1A',207,'N'),(16,3291065,'1',233,'N'),(16,3291065,'1A',215,'N'),(16,3291081,'1',103,'N'),(16,3291090,'1',328,'N'),(16,3291103,'1',233,'N'),(16,3291103,'1A',211,'N'),(16,3291111,'1',424,'N'),(16,3291111,'1A',427,'N'),(16,3291120,'1',103,'N'),(16,3291138,'1',331,'N'),(16,3291146,'1',5,'N'),(16,3291154,'1',102,'N'),(16,3291162,'1',201,'N'),(16,3291162,'1A',214,'N'),(16,3291170,'1',211,'N'),(16,3291189,'1',201,'N'),(16,3291189,'1A',233,'N'),(16,3291197,'1',208,'N'),(16,3291197,'1A',238,'N'),(16,3291200,'1',201,'N'),(16,3291200,'1A',238,'N'),(16,3291227,'1',444,'N'),(16,3291235,'1',207,'N'),(16,3291235,'1A',201,'N'),(16,3291243,'1',302,'N'),(16,3291251,'1',104,'N'),(16,3291260,'1',101,'N'),(16,3291278,'1',201,'N'),(16,3291278,'1A',207,'N'),(16,3291286,'1',420,'N'),(16,3291294,'1',501,'N'),(16,3291308,'1',208,'N'),(16,3291316,'1',308,'N'),(16,3291324,'1',450,'N'),(16,3291332,'1',203,'N'),(16,3291332,'1A',214,'N'),(16,3291340,'1',404,'N'),(16,3291359,'1',103,'N'),(16,3291375,'1',415,'N'),(16,3291383,'1',415,'N'),(16,3291391,'1',211,'N'),(16,3291405,'1',104,'N'),(16,3291413,'1',329,'N'),(16,3291421,'1',426,'N'),(16,3291421,'1A',428,'N'),(16,3291430,'1',103,'N'),(16,3291448,'1',319,'N'),(16,3291456,'1',220,'N'),(16,3291456,'1A',233,'N'),(16,3291464,'1',310,'N'),(16,3291472,'1',213,'N'),(16,3291472,'1A',233,'N'),(16,3291480,'1',452,'N'),(16,3291499,'1',223,'N'),(16,3291502,'1',223,'N'),(16,3291510,'1',318,'N'),(16,3291529,'1',316,'N'),(16,3291537,'1',201,'N'),(16,3291537,'1A',233,'N'),(16,3291553,'1',420,'N'),(16,3291561,'1',102,'N'),(16,3291588,'1',303,'N'),(16,3291596,'1',308,'N'),(16,3291618,'1',203,'N'),(16,3291618,'1A',208,'N'),(16,3291626,'1',214,'N'),(16,3291626,'1A',212,'N'),(16,3291634,'1',203,'N'),(16,3291634,'1A',214,'N'),(16,3291642,'1',201,'N'),(16,3291642,'1A',233,'N'),(16,3291650,'1',328,'N'),(16,3291669,'1',102,'N'),(16,3291677,'1',428,'N'),(16,3291685,'1',303,'N'),(16,3291693,'1',316,'N'),(16,3291707,'1',102,'N'),(16,3291715,'1',304,'N'),(16,3291723,'1',301,'N'),(16,3291740,'1',103,'N'),(16,3291758,'1',202,'N'),(16,3291758,'1A',213,'N'),(16,3291766,'1',301,'N'),(16,3291774,'1',2,'N'),(16,3291782,'1',444,'N'),(16,3291790,'1',303,'N'),(16,3291804,'1',331,'N'),(16,3291812,'1',203,'N'),(16,3291812,'1A',233,'N'),(16,3291820,'1',319,'N'),(16,3291839,'1',207,'N'),(16,3291839,'1A',201,'N'),(16,3291847,'1',328,'N'),(16,3291863,'1',5,'N'),(16,3291871,'1',208,'N'),(16,3291871,'1A',238,'N'),(16,3291898,'1',108,'N'),(16,3291901,'1',309,'N'),(16,3291910,'1',238,'N'),(16,3291910,'1A',214,'N'),(16,3291928,'1',103,'N'),(16,3291936,'1',303,'N'),(16,3291944,'1',102,'N'),(16,3291952,'1',318,'N'),(16,3291960,'1',103,'N'),(16,3291987,'1',308,'N'),(16,3291995,'1',103,'N'),(16,3292002,'1',103,'N'),(16,3292029,'1',212,'N'),(16,3292029,'1A',201,'N'),(16,3292037,'1',201,'N'),(16,3292037,'1A',208,'N'),(16,3292045,'1',319,'N'),(16,3292053,'1',420,'N'),(16,3292061,'1',220,'N'),(16,3292061,'1A',203,'N'),(16,3292088,'1',203,'N'),(16,3292088,'1A',211,'N'),(16,3292096,'1',304,'N'),(16,3292100,'1',103,'N'),(16,3292118,'1',303,'N'),(16,3292126,'1',450,'N'),(16,3292134,'1',108,'N'),(16,3292142,'1',329,'N'),(16,3292150,'1',301,'N'),(16,3292169,'1',5,'N'),(16,3292177,'1',207,'N'),(16,3292177,'1A',201,'N'),(16,3292185,'1',5,'N'),(16,3292193,'1',103,'N'),(16,3292207,'1',102,'N'),(16,3292215,'1',103,'N'),(16,3292223,'1',415,'N'),(16,3292231,'1',303,'N'),(16,3292258,'1',301,'N'),(16,3292266,'1',304,'N'),(16,3292282,'1',319,'N'),(16,3292290,'1',301,'N'),(16,3292304,'1',2,'N'),(16,3292312,'1',5,'N'),(16,3292320,'1',450,'N'),(16,3292339,'1',103,'N'),(16,3292347,'1',404,'N'),(16,3292355,'1',304,'N'),(16,3292363,'1',103,'N'),(16,3292371,'1',104,'N'),(16,3292380,'1',103,'N'),(16,3292398,'1',425,'N'),(16,3292398,'1A',424,'N'),(16,3292410,'1',444,'N'),(16,3292428,'1',103,'N'),(16,3292436,'1',404,'N'),(16,3292444,'1',211,'N'),(16,3292444,'1A',233,'N'),(16,3292452,'1',103,'N'),(16,3292479,'1',428,'N'),(16,3292479,'1A',421,'N'),(16,3292495,'1',5,'N'),(16,3292509,'1',202,'N'),(16,3292509,'1A',213,'N'),(16,3292525,'1',328,'N'),(16,3292533,'1',108,'N'),(16,3292541,'1',201,'N'),(16,3292541,'1A',238,'N'),(16,3292550,'1',201,'N'),(16,3292576,'1',201,'N'),(16,3292576,'1A',212,'N'),(16,3292592,'1',102,'N'),(16,3292614,'1',103,'N'),(16,3292622,'1',9,'N'),(16,3292649,'1',444,'N'),(16,3292657,'1',316,'N'),(16,3292665,'1',201,'N'),(16,3292665,'1A',207,'N'),(16,3292673,'1',233,'N'),(16,3292673,'1A',214,'N'),(16,3292703,'1',212,'N'),(16,3292703,'1A',214,'N'),(16,3292711,'1',201,'N'),(16,3292720,'1',301,'N'),(16,3292738,'1',208,'N'),(16,3292738,'1A',238,'N'),(16,3292746,'1',331,'N'),(16,3292754,'1',2,'N'),(16,3292789,'1',207,'N'),(16,3292789,'1A',201,'N'),(16,3292797,'1',444,'N'),(16,3292819,'1',429,'N'),(16,3292819,'1A',425,'N'),(16,3292827,'1',208,'N'),(16,3292827,'1A',238,'N'),(16,3292835,'1',103,'N'),(16,3292843,'1',225,'N'),(16,3292851,'1',453,'N'),(16,3292878,'1',102,'N'),(16,3292886,'1',331,'N'),(16,3292894,'1',340,'N'),(16,3292908,'1',333,'N'),(16,3292916,'1',450,'N'),(16,3292940,'1',103,'N'),(16,3292959,'1',103,'N'),(16,3292967,'1',317,'N'),(16,3292975,'1',426,'N'),(16,3292983,'1',453,'N'),(16,3293009,'1',9,'N'),(16,3293025,'1',216,'N'),(16,3293025,'1A',211,'N'),(16,3293041,'1',404,'N'),(16,3293050,'1',316,'N'),(16,3293068,'1',420,'N'),(16,3293076,'1',220,'N'),(16,3293076,'1A',214,'N'),(16,3293092,'1',425,'N'),(16,3293092,'1A',424,'N'),(16,3293106,'1',444,'N'),(16,3293114,'1',5,'N'),(16,3293122,'1',339,'N'),(16,3293130,'1',9,'N'),(16,3293157,'1',340,'N'),(16,3293173,'1',340,'N'),(16,3293181,'1',420,'N'),(16,3293190,'1',103,'N'),(16,3293203,'1',415,'N'),(16,3293211,'1',316,'N'),(16,3293220,'1',108,'N'),(16,3293238,'1',317,'N'),(16,3293246,'1',318,'N'),(16,3293254,'1',203,'N'),(16,3293262,'1',318,'N'),(16,3293270,'1',332,'N'),(16,3293297,'1',208,'N'),(16,3293297,'1A',201,'N'),(16,3293300,'1',220,'N'),(16,3293300,'1A',203,'N'),(16,3293327,'1',104,'N'),(16,3293335,'1',103,'N'),(16,3293351,'1',201,'N'),(16,3293351,'1A',207,'N'),(16,3293360,'1',238,'N'),(16,3293360,'1A',211,'N'),(16,3293378,'1',207,'N'),(16,3293378,'1A',215,'N'),(16,3293386,'1',102,'N'),(16,3293394,'1',103,'N'),(16,3293408,'1',340,'N'),(16,3293416,'1',340,'N'),(16,3293432,'1',331,'N'),(16,3293440,'1',501,'N'),(16,3293459,'1',103,'N'),(16,3293467,'1',303,'N'),(16,3293475,'1',108,'N'),(16,3293483,'1',104,'N'),(16,3293491,'1',309,'N'),(16,3293505,'1',5,'N'),(16,3293521,'1',450,'N'),(16,3293530,'1',205,'N'),(16,3293548,'1',333,'N'),(16,3293556,'1',104,'N'),(16,3293564,'1',324,'N'),(16,3293572,'1',304,'N'),(16,3293580,'1',104,'N'),(16,3293599,'1',216,'N'),(16,3293599,'1A',233,'N'),(16,3293602,'1',201,'N'),(16,3293602,'1A',211,'N'),(16,3293610,'1',208,'N'),(16,3293610,'1A',238,'N'),(16,3293637,'1',108,'N'),(16,3293645,'1',328,'N'),(16,3293653,'1',203,'N'),(16,3293653,'1A',211,'N'),(16,3293688,'1',207,'N'),(16,3293688,'1A',211,'N'),(16,3293696,'1',319,'N'),(16,3293700,'1',201,'N'),(16,3293700,'1A',208,'N'),(16,3293718,'1',2,'N'),(16,3293726,'1',3,'N'),(16,3293734,'1',501,'N'),(16,3293742,'1',101,'N'),(16,3293750,'1',222,'N'),(16,3293785,'1',101,'N'),(16,3293807,'1',333,'N'),(16,3293815,'1',103,'N'),(16,3293823,'1',103,'N'),(16,3293831,'1',207,'N'),(16,3293831,'1A',201,'N'),(16,3293840,'1',211,'N'),(16,3293840,'1A',201,'N'),(16,3293858,'1',103,'N'),(16,3293866,'1',319,'N'),(16,3293874,'1',331,'N'),(16,3293882,'1',450,'N'),(16,3293890,'1',207,'N'),(16,3293890,'1A',201,'N'),(16,3293904,'1',104,'N'),(16,3293920,'1',5,'N'),(16,3293939,'1',202,'N'),(16,3293939,'1A',213,'N'),(16,3293947,'1',331,'N'),(16,3293955,'1',309,'N'),(16,3293963,'1',234,'N'),(16,3293971,'1',203,'N'),(16,3293971,'1A',214,'N'),(16,3293980,'1',339,'N'),(16,3293998,'1',303,'N'),(16,3294005,'1',452,'N'),(16,3294013,'1',304,'N'),(16,3294021,'1',207,'N'),(16,3294021,'1A',201,'N'),(16,3294030,'1',103,'N'),(16,3294048,'1',304,'N'),(16,3294056,'1',320,'N'),(16,3294064,'1',3,'N'),(16,3294072,'1',340,'N'),(16,3294080,'1',102,'N'),(16,3294099,'1',415,'N'),(16,3294129,'1',104,'N'),(16,3294137,'1',201,'N'),(16,3294137,'1A',211,'N'),(16,3294145,'1',333,'N'),(16,3294153,'1',503,'N'),(16,3294161,'1',453,'N'),(16,3294170,'1',103,'N'),(16,3294188,'1',103,'N'),(16,3294196,'1',5,'N'),(16,3294200,'1',319,'N'),(16,3294218,'1',310,'N'),(16,3294226,'1',415,'N'),(16,3294234,'1',2,'N'),(16,3294250,'1',207,'N'),(16,3294250,'1A',201,'N'),(16,3294269,'1',319,'N'),(16,3294277,'1',444,'N'),(16,3294285,'1',302,'N'),(16,3294293,'1',444,'N'),(16,3294307,'1',203,'N'),(16,3294307,'1A',201,'N'),(16,3294323,'1',103,'N'),(16,3294331,'1',101,'N'),(16,3294340,'1',319,'N'),(16,3294358,'1',301,'N'),(16,3294366,'1',331,'N'),(16,3294374,'1',9,'N'),(16,3294382,'1',309,'N'),(16,3294390,'1',304,'N'),(16,3294404,'1',333,'N'),(16,3294412,'1',103,'N'),(16,3294420,'1',451,'N'),(16,3294439,'1',5,'N'),(16,3294447,'1',415,'N'),(16,3294455,'1',329,'N'),(16,3294463,'1',103,'N'),(16,3294471,'1',5,'N'),(16,3294498,'1',213,'N'),(16,3294498,'1A',202,'N'),(16,3294501,'1',234,'N'),(16,3294510,'1',205,'N'),(16,3294528,'1',415,'N'),(16,3294536,'1',415,'N'),(16,3294544,'1',324,'N'),(16,3294560,'1',316,'N'),(16,3294579,'1',9,'N'),(16,3294587,'1',103,'N'),(16,3294595,'1',333,'N'),(16,3294609,'1',415,'N'),(16,3294617,'1',203,'N'),(16,3294617,'1A',216,'N'),(16,3294625,'1',316,'N'),(16,3294633,'1',452,'N'),(16,3294641,'1',425,'N'),(16,3294650,'1',316,'N'),(16,3294668,'1',319,'N'),(16,3294676,'1',501,'N'),(16,3294684,'1',301,'N'),(16,3294692,'1',238,'N'),(16,3294692,'1A',208,'N'),(16,3294706,'1',333,'N'),(16,3294714,'1',103,'N'),(16,3294722,'1',310,'N'),(16,3294730,'1',103,'N'),(16,3294749,'1',303,'N'),(16,3294757,'1',220,'N'),(16,3294757,'1A',238,'N'),(16,3294765,'1',319,'N'),(16,3294773,'1',103,'N'),(16,3294781,'1',319,'N'),(16,3294803,'1',503,'N'),(16,3294811,'1',317,'N'),(16,3294820,'1',340,'N'),(16,3294838,'1',444,'N'),(16,3294846,'1',301,'N'),(16,3294854,'1',103,'N'),(16,3294862,'1',308,'N'),(16,3294870,'1',427,'N'),(16,3294870,'1A',425,'N'),(16,3294889,'1',233,'N'),(16,3294897,'1',103,'N'),(16,3294900,'1',214,'N'),(16,3294900,'1A',233,'N'),(16,3294919,'1',319,'N'),(16,3294927,'1',102,'N'),(16,3294935,'1',216,'N'),(16,3294943,'1',339,'N'),(16,3294951,'1',5,'N'),(16,3294960,'1',103,'N'),(16,3294978,'1',444,'N'),(16,3294986,'1',450,'N'),(16,3295001,'1',303,'N'),(16,3295010,'1',453,'N'),(16,3295028,'1',333,'N'),(16,3295036,'1',103,'N'),(16,3295052,'1',103,'N'),(16,3295060,'1',216,'N'),(16,3295060,'1A',215,'N'),(16,3295079,'1',202,'N'),(16,3295079,'1A',201,'N'),(16,3295087,'1',223,'N'),(16,3295095,'1',415,'N'),(16,3295109,'1',104,'N'),(16,3295117,'1',340,'N'),(16,3295125,'1',450,'N'),(16,3295133,'1',450,'N'),(16,3295150,'1',103,'N'),(16,3295168,'1',304,'N'),(16,3295176,'1',108,'N'),(16,3295184,'1',220,'N'),(16,3295184,'1A',216,'N'),(16,3295192,'1',303,'N'),(16,3295206,'1',222,'N'),(16,3295214,'1',108,'N'),(16,3295222,'1',208,'N'),(16,3295222,'1A',238,'N'),(16,3295230,'1',426,'N'),(16,3295230,'1A',428,'N'),(16,3295249,'1',211,'N'),(16,3295249,'1A',201,'N'),(16,3295265,'1',203,'N'),(16,3295281,'1',233,'N'),(16,3295281,'1A',213,'N'),(16,3295303,'1',101,'N'),(16,3295311,'1',103,'N'),(16,3295320,'1',220,'N'),(16,3295320,'1A',214,'N'),(16,3295354,'1',303,'N'),(16,3295362,'1',207,'N'),(16,3295362,'1A',215,'N'),(16,3295370,'1',203,'N'),(16,3295370,'1A',213,'N'),(16,3295389,'1',220,'N'),(16,3295389,'1A',203,'N'),(16,3295397,'1',216,'N'),(16,3295397,'1A',211,'N'),(16,3295400,'1',223,'N'),(16,3295419,'1',301,'N'),(16,3295427,'1',302,'N'),(16,3295435,'1',203,'N'),(16,3295435,'1A',207,'N'),(16,3295451,'1',444,'N'),(16,3295460,'1',502,'N'),(16,3295478,'1',316,'N'),(16,3295516,'1',108,'N'),(16,3295524,'1',101,'N'),(16,3295532,'1',319,'N'),(16,3295540,'1',426,'N'),(16,3295559,'1',318,'N'),(16,3295567,'1',310,'N'),(16,3295575,'1',317,'N'),(16,3295583,'1',329,'N'),(16,3295591,'1',5,'N'),(16,3295605,'1',328,'N'),(16,3295613,'1',302,'N'),(16,3295621,'1',5,'N'),(16,3295630,'1',303,'N'),(16,3295648,'1',415,'N'),(16,3295656,'1',103,'N'),(16,3295672,'1',220,'N'),(16,3295672,'1A',212,'N'),(16,3295680,'1',303,'N'),(16,3295699,'1',501,'N'),(16,3295710,'1',450,'N'),(16,3295729,'1',340,'N'),(16,3295737,'1',303,'N'),(16,3295745,'1',340,'N'),(16,3295753,'1',5,'N'),(16,3295761,'1',103,'N'),(16,3295770,'1',223,'N'),(16,3295788,'1',5,'N'),(16,3295800,'1',215,'N'),(16,3295800,'1A',216,'N'),(16,3295818,'1',101,'N'),(16,3295826,'1',102,'N'),(16,3295834,'1',103,'N'),(16,3295842,'1',104,'N'),(16,3295850,'1',103,'N'),(16,3295869,'1',316,'N'),(16,3295877,'1',104,'N'),(16,3295885,'1',5,'N'),(16,3295893,'1',212,'N'),(16,3295893,'1A',201,'N'),(16,3295923,'1',201,'N'),(16,3295923,'1A',212,'N'),(16,3295931,'1',301,'N'),(16,3295940,'1',301,'N'),(16,3295958,'1',326,'N'),(16,3295966,'1',223,'N'),(16,3295982,'1',318,'N'),(16,3295990,'1',318,'N'),(16,3296008,'1',203,'N'),(16,3296008,'1A',212,'N'),(16,3296016,'1',201,'N'),(16,3296016,'1A',208,'N'),(16,3296024,'1',208,'N'),(16,3296024,'1A',201,'N'),(16,3296032,'1',220,'N'),(16,3296032,'1A',202,'N'),(16,3296040,'1',202,'N'),(16,3296040,'1A',207,'N'),(16,3296059,'1',5,'N'),(16,3296075,'1',333,'N'),(16,3296083,'1',103,'N'),(16,3296105,'1',2,'N'),(16,3296113,'1',220,'N'),(16,3296113,'1A',202,'N'),(16,3296121,'1',102,'N'),(16,3296130,'1',234,'N'),(16,3296148,'1',101,'N'),(16,3296156,'1',208,'N'),(16,3296164,'1',104,'N'),(16,3296172,'1',103,'N'),(16,3296180,'1',302,'N'),(16,3296199,'1',101,'N'),(16,3296210,'1',203,'N'),(16,3296210,'1A',238,'N'),(16,3296229,'1',329,'N'),(16,3296237,'1',319,'N'),(16,3296245,'1',201,'N'),(16,3296245,'1A',202,'N'),(16,3296253,'1',501,'N'),(16,3296261,'1',308,'N'),(16,3296270,'1',201,'N'),(16,3296270,'1A',215,'N'),(16,3296288,'1',202,'N'),(16,3296296,'1',212,'N'),(16,3296296,'1A',220,'N'),(16,3296300,'1',201,'N'),(16,3296300,'1A',207,'N'),(16,3296318,'1',103,'N'),(16,3296342,'1',301,'N'),(16,3296350,'1',211,'N'),(16,3296377,'1',220,'N'),(16,3296377,'1A',202,'N'),(16,3296385,'1',304,'N'),(16,3296393,'1',233,'N'),(16,3296393,'1A',216,'N'),(16,3296415,'1',415,'N'),(16,3296423,'1',2,'N'),(16,3296440,'1',214,'N'),(16,3296440,'1A',220,'N'),(16,3296458,'1',238,'N'),(16,3296458,'1A',208,'N'),(16,3296474,'1',103,'N'),(16,3296504,'1',208,'N'),(16,3296504,'1A',203,'N'),(16,3296512,'1',207,'N'),(16,3296512,'1A',215,'N'),(16,3296520,'1',340,'N'),(16,3296539,'1',101,'N'),(16,3296547,'1',502,'N'),(16,3296555,'1',103,'N'),(16,3296563,'1',428,'N'),(16,3296563,'1A',424,'N'),(16,3296571,'1',453,'N'),(16,3296580,'1',316,'N'),(16,3296598,'1',203,'N'),(16,3296598,'1A',238,'N'),(16,3296601,'1',5,'N'),(16,3296628,'1',420,'N'),(16,3296636,'1',238,'N'),(16,3296636,'1A',208,'N'),(16,3296644,'1',303,'N'),(16,3296652,'1',415,'N'),(16,3296660,'1',213,'N'),(16,3296660,'1A',202,'N'),(16,3296679,'1',207,'N'),(16,3296679,'1A',203,'N'),(16,3296687,'1',501,'N'),(16,3296695,'1',340,'N'),(16,3296709,'1',317,'N'),(16,3296717,'1',301,'N'),(16,3296725,'1',324,'N'),(16,3296741,'1',215,'N'),(16,3296741,'1A',211,'N'),(16,3296768,'1',103,'N'),(16,3296792,'1',108,'N'),(16,3296806,'1',340,'N'),(16,3296814,'1',233,'N'),(16,3296814,'1A',211,'N'),(16,3296822,'1',303,'N'),(16,3296830,'1',415,'N'),(16,3296865,'1',212,'N'),(16,3296865,'1A',201,'N'),(16,3296873,'1',319,'N'),(16,3296881,'1',308,'N'),(16,3296890,'1',9,'N'),(16,3296903,'1',415,'N'),(16,3296911,'1',238,'N'),(16,3296911,'1A',208,'N'),(16,3296920,'1',5,'N'),(16,3296938,'1',103,'N'),(16,3296954,'1',319,'N'),(16,3296962,'1',340,'N'),(16,3296970,'1',102,'N'),(16,3296997,'1',104,'N'),(16,3297004,'1',108,'N'),(16,3297012,'1',404,'N'),(16,3297039,'1',103,'N'),(16,3297047,'1',103,'N'),(16,3297055,'1',207,'N'),(16,3297055,'1A',216,'N'),(16,3297063,'1',201,'N'),(16,3297063,'1A',212,'N'),(16,3297071,'1',302,'N'),(16,3297098,'1',444,'N'),(16,3297101,'1',220,'N'),(16,3297101,'1A',233,'N'),(16,3297110,'1',340,'N'),(16,3297136,'1',238,'N'),(16,3297144,'1',309,'N'),(16,3297152,'1',339,'N'),(16,3297160,'1',9,'N'),(16,3297179,'1',213,'N'),(16,3297179,'1A',208,'N'),(16,3297187,'1',104,'N'),(16,3297195,'1',340,'N'),(16,3297209,'1',102,'N'),(16,3297225,'1',211,'N'),(16,3297225,'1A',213,'N'),(16,3297233,'1',207,'N'),(16,3297233,'1A',215,'N'),(16,3297241,'1',316,'N'),(16,3297250,'1',9,'N'),(16,3297276,'1',103,'N'),(16,3297284,'1',101,'N'),(16,3297292,'1',201,'N'),(16,3297292,'1A',212,'N'),(16,3297306,'1',427,'N'),(16,3297306,'1A',429,'N'),(16,3297314,'1',340,'N'),(16,3297330,'1',102,'N'),(16,3297349,'1',415,'N'),(16,3297357,'1',303,'N'),(16,3297365,'1',453,'N'),(16,3297381,'1',340,'N'),(16,3297390,'1',214,'N'),(16,3297390,'1A',212,'N'),(16,3297403,'1',340,'N'),(16,3297411,'1',5,'N'),(16,3297420,'1',211,'N'),(16,3297438,'1',9,'N'),(16,3297446,'1',9,'N'),(16,3297454,'1',415,'N'),(16,3297462,'1',208,'N'),(16,3297462,'1A',238,'N'),(16,3297470,'1',212,'N'),(16,3297470,'1A',201,'N'),(16,3297489,'1',203,'N'),(16,3297489,'1A',220,'N'),(16,3297497,'1',216,'N'),(16,3297497,'1A',207,'N'),(16,3297500,'1',207,'N'),(16,3297519,'1',203,'N'),(16,3297519,'1A',233,'N'),(16,3297527,'1',108,'N'),(16,3297535,'1',327,'N'),(16,3297543,'1',216,'N'),(16,3297543,'1A',201,'N'),(16,3297551,'1',102,'N'),(16,3297560,'1',103,'N'),(16,3297578,'1',5,'N'),(16,3297586,'1',201,'N'),(16,3297586,'1A',212,'N'),(16,3297594,'1',103,'N'),(16,3297616,'1',308,'N'),(16,3297624,'1',303,'N'),(16,3297632,'1',103,'N'),(16,3297640,'1',211,'N'),(16,3297640,'1A',202,'N'),(16,3297659,'1',429,'N'),(16,3297659,'1A',425,'N'),(16,3297667,'1',108,'N'),(16,3297675,'1',303,'N'),(16,3297683,'1',304,'N'),(16,3297705,'1',303,'N'),(16,3297713,'1',420,'N'),(16,3297721,'1',202,'N'),(16,3297721,'1A',220,'N'),(16,3297730,'1',207,'N'),(16,3297730,'1A',211,'N'),(16,3297748,'1',303,'N'),(16,3297756,'1',415,'N'),(16,3297764,'1',5,'N'),(16,3297772,'1',201,'N'),(16,3297780,'1',9,'N'),(16,3297802,'1',216,'N'),(16,3297802,'1A',215,'N'),(16,3297810,'1',103,'N'),(16,3297829,'1',309,'N'),(16,3297837,'1',319,'N'),(16,3297845,'1',103,'N'),(16,3297853,'1',101,'N'),(16,3297870,'1',5,'N'),(16,3297888,'1',421,'N'),(16,3297888,'1A',427,'N'),(16,3297896,'1',5,'N'),(16,3297900,'1',326,'N'),(16,3297918,'1',201,'N'),(16,3297918,'1A',212,'N'),(16,3297926,'1',333,'N'),(16,3297934,'1',302,'N'),(16,3297969,'1',319,'N'),(16,3297977,'1',421,'N'),(16,3297977,'1A',427,'N'),(16,3297985,'1',317,'N'),(16,3298000,'1',415,'N'),(16,3298027,'1',424,'N'),(16,3298027,'1A',421,'N'),(16,3298035,'1',340,'N'),(16,3298043,'1',319,'N'),(16,3298060,'1',453,'N'),(16,3298078,'1',216,'N'),(16,3298078,'1A',215,'N'),(16,3298086,'1',103,'N'),(16,3298094,'1',220,'N'),(16,3298094,'1A',203,'N'),(16,3298116,'1',333,'N'),(16,3298124,'1',103,'N'),(16,3298132,'1',108,'N'),(16,3298140,'1',317,'N'),(16,3298159,'1',211,'N'),(16,3298159,'1A',213,'N'),(16,3298167,'1',301,'N'),(16,3298175,'1',304,'N'),(16,3298191,'1',103,'N'),(16,3298205,'1',304,'N'),(16,3298213,'1',308,'N'),(16,3298248,'1',319,'N'),(16,3298256,'1',203,'N'),(16,3298272,'1',103,'N'),(16,3298280,'1',331,'N'),(16,3298299,'1',415,'N'),(16,3298302,'1',427,'N'),(16,3298302,'1A',421,'N'),(16,3298310,'1',340,'N'),(16,3298337,'1',317,'N'),(16,3298345,'1',404,'N'),(16,3298353,'1',220,'N'),(16,3298353,'1A',214,'N'),(16,3298361,'1',444,'N'),(16,3298370,'1',103,'N'),(16,3298396,'1',103,'N'),(16,3298400,'1',426,'N'),(16,3298418,'1',444,'N'),(16,3298426,'1',5,'N'),(16,3298434,'1',103,'N'),(16,3298442,'1',103,'N'),(16,3298477,'1',326,'N'),(16,3298485,'1',327,'N'),(16,3298493,'1',223,'N'),(16,3298507,'1',207,'N'),(16,3298507,'1A',201,'N'),(16,3298515,'1',233,'N'),(16,3298515,'1A',220,'N'),(16,3298523,'1',303,'N'),(16,3298540,'1',108,'N'),(16,3298558,'1',308,'N'),(16,3298566,'1',303,'N'),(16,3298574,'1',444,'N'),(16,3298582,'1',404,'N'),(16,3298590,'1',415,'N'),(16,3298604,'1',450,'N'),(16,3298612,'1',444,'N'),(16,3298620,'1',211,'N'),(16,3298620,'1A',208,'N'),(16,3298639,'1',316,'N'),(16,3298647,'1',108,'N'),(16,3298655,'1',501,'N'),(16,3298680,'1',502,'N'),(16,3298698,'1',207,'N'),(16,3298698,'1A',215,'N'),(16,3298701,'1',426,'N'),(16,3298701,'1A',423,'N'),(16,3298710,'1',202,'N'),(16,3298710,'1A',238,'N'),(16,3298728,'1',222,'N'),(16,3298736,'1',201,'N'),(16,3298736,'1A',212,'N'),(16,3298744,'1',103,'N'),(16,3298752,'1',102,'N'),(16,3298760,'1',203,'N'),(16,3298760,'1A',214,'N'),(16,3298779,'1',444,'N'),(16,3298787,'1',5,'N'),(16,3298795,'1',309,'N'),(16,3298809,'1',103,'N'),(16,3298817,'1',308,'N'),(16,3298825,'1',104,'N'),(16,3298833,'1',318,'N'),(16,3298868,'1',207,'N'),(16,3298876,'1',207,'N'),(16,3298876,'1A',201,'N'),(16,3298892,'1',404,'N'),(16,3298906,'1',207,'N'),(16,3298906,'1A',215,'N'),(16,3298914,'1',453,'N'),(16,3298922,'1',302,'N'),(16,3298930,'1',453,'N'),(16,3298949,'1',104,'N'),(16,3298957,'1',203,'N'),(16,3298957,'1A',207,'N'),(16,3298965,'1',501,'N'),(16,3298973,'1',339,'N'),(16,3298981,'1',103,'N'),(16,3298990,'1',103,'N'),(16,3299007,'1',415,'N'),(16,3299015,'1',213,'N'),(16,3299015,'1A',238,'N'),(16,3299023,'1',303,'N'),(16,3299031,'1',319,'N'),(16,3299040,'1',444,'N'),(16,3299058,'1',102,'N'),(16,3299066,'1',304,'N'),(16,3299074,'1',238,'N'),(16,3299074,'1A',208,'N'),(16,3299082,'1',211,'N'),(16,3299082,'1A',212,'N'),(16,3299090,'1',203,'N'),(16,3299090,'1A',201,'N'),(16,3299104,'1',317,'N'),(16,3299112,'1',301,'N'),(16,3299120,'1',420,'N'),(16,3299139,'1',103,'N'),(16,3299147,'1',104,'N'),(16,3299155,'1',317,'N'),(16,3299163,'1',103,'N'),(16,3299171,'1',203,'N'),(16,3299171,'1A',214,'N'),(16,3299180,'1',316,'N'),(16,3299198,'1',426,'N'),(16,3299198,'1A',429,'N'),(16,3299201,'1',308,'N'),(16,3299210,'1',103,'N'),(16,3299228,'1',103,'N'),(16,3299236,'1',216,'N'),(16,3299236,'1A',220,'N'),(16,3299244,'1',303,'N'),(16,3299252,'1',201,'N'),(16,3299252,'1A',216,'N'),(16,3299260,'1',108,'N'),(16,3299287,'1',339,'N'),(16,3299295,'1',9,'N'),(16,3299317,'1',319,'N'),(16,3299325,'1',201,'N'),(16,3299325,'1A',207,'N'),(16,3299333,'1',103,'N'),(16,3299341,'1',207,'N'),(16,3299341,'1A',212,'N'),(16,3299350,'1',327,'N'),(16,3299368,'1',203,'N'),(16,3299368,'1A',214,'N'),(16,3299376,'1',207,'N'),(16,3299376,'1A',211,'N'),(16,3299384,'1',404,'N'),(16,3299392,'1',9,'N'),(16,3299406,'1',104,'N'),(16,3299414,'1',9,'N'),(16,3299430,'1',319,'N'),(16,3299449,'1',216,'N'),(16,3299449,'1A',215,'N'),(16,3299457,'1',103,'N'),(16,3299465,'1',216,'N'),(16,3299465,'1A',202,'N'),(16,3299473,'1',310,'N'),(16,3299481,'1',225,'N'),(16,3299490,'1',201,'N'),(16,3299490,'1A',233,'N'),(16,3299503,'1',303,'N'),(16,3299511,'1',303,'N'),(16,3299546,'1',415,'N'),(16,3299554,'1',301,'N'),(16,3299562,'1',104,'N'),(16,3299570,'1',339,'N'),(16,3299589,'1',303,'N'),(16,3299600,'1',103,'N'),(16,3299619,'1',444,'N'),(16,3299627,'1',302,'N'),(16,3299635,'1',450,'N'),(16,3299643,'1',428,'N'),(16,3299643,'1A',429,'N'),(16,3299651,'1',450,'N'),(16,3299660,'1',103,'N'),(16,3299694,'1',207,'N'),(16,3299708,'1',202,'N'),(16,3299708,'1A',213,'N'),(16,3299716,'1',103,'N'),(16,3299724,'1',213,'N'),(16,3299732,'1',420,'N'),(16,3299740,'1',211,'N'),(16,3299759,'1',332,'N'),(16,3299767,'1',104,'N'),(16,3299775,'1',220,'N'),(16,3299775,'1A',202,'N'),(16,3299783,'1',201,'N'),(16,3299783,'1A',212,'N'),(16,3299791,'1',340,'N'),(16,3299805,'1',203,'N'),(16,3299805,'1A',233,'N'),(16,3299813,'1',316,'N'),(16,3299821,'1',202,'N'),(16,3299821,'1A',213,'N'),(16,3299848,'1',104,'N'),(16,3299856,'1',238,'N'),(16,3299864,'1',207,'N'),(16,3299880,'1',238,'N'),(16,3299880,'1A',201,'N'),(16,3299899,'1',301,'N'),(16,3299902,'1',318,'N'),(16,3299910,'1',303,'N'),(16,3299937,'1',215,'N'),(16,3299937,'1A',207,'N'),(16,3299945,'1',103,'N'),(16,3299953,'1',309,'N'),(16,3299961,'1',207,'N'),(16,3299961,'1A',203,'N'),(16,3299970,'1',319,'N'),(16,3299988,'1',9,'N'),(16,3299996,'1',201,'N'),(16,3300005,'1',238,'N'),(16,3300005,'1A',208,'N'),(16,3300013,'1',319,'N'),(16,3300021,'1',333,'N'),(16,3300048,'1',108,'N'),(16,3300056,'1',501,'N'),(16,3300064,'1',203,'N'),(16,3300064,'1A',214,'N'),(16,3300072,'1',103,'N'),(16,3300080,'1',207,'N'),(16,3300080,'1A',220,'N'),(16,3300099,'1',5,'N'),(16,3300102,'1',104,'N'),(16,3300110,'1',103,'N'),(16,3300137,'1',103,'N'),(16,3300145,'1',308,'N'),(16,3300153,'1',319,'N'),(16,3300161,'1',333,'N'),(16,3300170,'1',103,'N'),(16,3300188,'1',319,'N'),(16,3300196,'1',316,'N'),(16,3300200,'1',340,'N'),(16,3300218,'1',450,'N'),(16,3300226,'1',216,'N'),(16,3300226,'1A',207,'N'),(16,3300234,'1',104,'N'),(16,3300242,'1',503,'N'),(16,3300250,'1',319,'N'),(16,3300269,'1',303,'N'),(16,3300285,'1',104,'N'),(16,3300293,'1',103,'N'),(16,3300315,'1',103,'N'),(16,3300323,'1',104,'N'),(16,3300331,'1',214,'N'),(16,3300331,'1A',213,'N'),(16,3300340,'1',203,'N'),(16,3300340,'1A',202,'N'),(16,3300358,'1',207,'N'),(16,3300358,'1A',201,'N'),(16,3300366,'1',304,'N'),(16,3300404,'1',103,'N'),(16,3300412,'1',201,'N'),(16,3300412,'1A',207,'N'),(16,3300420,'1',444,'N'),(16,3300439,'1',501,'N'),(16,3300455,'1',208,'N'),(16,3300455,'1A',203,'N'),(16,3300480,'1',5,'N'),(16,3300498,'1',103,'N'),(16,3300501,'1',104,'N'),(16,3300510,'1',215,'N'),(16,3300510,'1A',207,'N'),(16,3300536,'1',327,'N'),(16,3300544,'1',302,'N'),(16,3300552,'1',316,'N'),(16,3300560,'1',223,'N'),(16,3300579,'1',333,'N'),(16,3300587,'1',327,'N'),(16,3300595,'1',207,'N'),(16,3300595,'1A',201,'N'),(16,3300609,'1',103,'N'),(16,3300617,'1',332,'N'),(16,3300625,'1',103,'N'),(16,3300633,'1',340,'N'),(16,3300641,'1',211,'N'),(16,3300641,'1A',216,'N'),(16,3300650,'1',425,'N'),(16,3300650,'1A',429,'N'),(16,3300668,'1',103,'N'),(16,3300676,'1',304,'N'),(16,3300684,'1',415,'N'),(16,3300692,'1',103,'N'),(16,3300706,'1',103,'N'),(16,3300714,'1',220,'N'),(16,3300714,'1A',202,'N'),(16,3300722,'1',103,'N'),(16,3300749,'1',420,'N'),(16,3300757,'1',333,'N'),(16,3300765,'1',220,'N'),(16,3300765,'1A',201,'N'),(16,3300773,'1',103,'N'),(16,3300781,'1',201,'N'),(16,3300781,'1A',207,'N'),(16,3300790,'1',101,'N'),(16,3300803,'1',201,'N'),(16,3300803,'1A',208,'N'),(16,3300811,'1',425,'N'),(16,3300811,'1A',421,'N'),(16,3300820,'1',103,'N'),(16,3300838,'1',318,'N'),(16,3300846,'1',303,'N'),(16,3300854,'1',317,'N'),(16,3300862,'1',207,'N'),(16,3300862,'1A',211,'N'),(16,3300870,'1',104,'N'),(16,3300889,'1',340,'N'),(16,3300900,'1',340,'N'),(16,3300919,'1',202,'N'),(16,3300919,'1A',220,'N'),(16,3300927,'1',103,'N'),(16,3300935,'1',102,'N'),(16,3300943,'1',303,'N'),(16,3300951,'1',340,'N'),(16,3300960,'1',203,'N'),(16,3300960,'1A',214,'N'),(16,3300978,'1',103,'N'),(16,3300994,'1',201,'N'),(16,3300994,'1A',207,'N'),(16,3301001,'1',451,'N'),(16,3301010,'1',201,'N'),(16,3301028,'1',319,'N'),(16,3301036,'1',415,'N'),(16,3301044,'1',207,'N'),(16,3301044,'1A',233,'N'),(16,3301052,'1',301,'N'),(16,3301060,'1',339,'N'),(16,3301079,'1',428,'N'),(16,3301079,'1A',426,'N'),(16,3301087,'1',208,'N'),(16,3301087,'1A',201,'N'),(16,3301095,'1',303,'N'),(16,3301109,'1',211,'N'),(16,3301109,'1A',208,'N'),(16,3301117,'1',5,'N'),(16,3301125,'1',302,'N'),(16,3301141,'1',415,'N'),(16,3301150,'1',103,'N'),(16,3301168,'1',5,'N'),(16,3301176,'1',318,'N'),(16,3301184,'1',303,'N'),(16,3301192,'1',212,'N'),(16,3301192,'1A',220,'N'),(16,3301206,'1',332,'N'),(16,3301222,'1',415,'N'),(16,3301230,'1',101,'N'),(16,3301257,'1',202,'N'),(16,3301257,'1A',208,'N'),(16,3301265,'1',415,'N'),(16,3301281,'1',420,'N'),(16,3301303,'1',302,'N'),(16,3301311,'1',207,'N'),(16,3301311,'1A',208,'N'),(16,3301320,'1',318,'N'),(16,3301338,'1',102,'N'),(16,3301346,'1',332,'N'),(16,3301354,'1',201,'N'),(16,3301354,'1A',212,'N'),(16,3301362,'1',207,'N'),(16,3301370,'1',203,'N'),(16,3301370,'1A',214,'N'),(16,3301389,'1',317,'N'),(16,3301397,'1',103,'N'),(16,3301400,'1',5,'N'),(16,3301419,'1',103,'N'),(16,3301427,'1',303,'N'),(16,3301435,'1',103,'N'),(16,3301443,'1',101,'N'),(16,3301451,'1',303,'N'),(16,3301460,'1',332,'N'),(16,3301478,'1',3,'N'),(16,3301494,'1',332,'N'),(16,3301508,'1',207,'N'),(16,3301508,'1A',214,'N'),(16,3301516,'1',103,'N'),(16,3301524,'1',108,'N'),(16,3301532,'1',220,'N'),(16,3301532,'1A',208,'N'),(16,3301540,'1',326,'N'),(16,3301559,'1',238,'N'),(16,3301559,'1A',208,'N'),(16,3301567,'1',9,'N'),(16,3301575,'1',331,'N'),(16,3301583,'1',310,'N'),(16,3301591,'1',202,'N'),(16,3301591,'1A',213,'N'),(16,3301605,'1',415,'N'),(16,3301613,'1',203,'N'),(16,3301613,'1A',214,'N'),(16,3301621,'1',103,'N'),(16,3301656,'1',303,'N'),(16,3301664,'1',5,'N'),(16,3301672,'1',104,'N'),(16,3301680,'1',301,'N'),(16,3301702,'1',5,'N'),(16,3301710,'1',319,'N'),(16,3301729,'1',216,'N'),(16,3301729,'1A',215,'N'),(16,3301745,'1',301,'N'),(16,3301753,'1',444,'N'),(16,3301761,'1',212,'N'),(16,3301761,'1A',238,'N'),(16,3301770,'1',319,'N'),(16,3301788,'1',308,'N'),(16,3301796,'1',319,'N'),(16,3301818,'1',429,'N'),(16,3301818,'1A',425,'N'),(16,3301826,'1',203,'N'),(16,3301834,'1',424,'N'),(16,3301834,'1A',427,'N'),(16,3301842,'1',103,'N'),(16,3301850,'1',502,'N'),(16,3301877,'1',208,'N'),(16,3301877,'1A',238,'N'),(16,3301885,'1',108,'N'),(16,3301893,'1',415,'N'),(16,3301907,'1',333,'N'),(16,3301915,'1',103,'N'),(16,3301923,'1',327,'N'),(16,3301931,'1',303,'N'),(16,3301940,'1',103,'N'),(16,3301958,'1',220,'N'),(16,3301958,'1A',203,'N'),(16,3301966,'1',425,'N'),(16,3301974,'1',319,'N'),(16,3301982,'1',444,'N'),(16,3301990,'1',103,'N'),(16,3302008,'1',103,'N'),(16,3302016,'1',421,'N'),(16,3302016,'1A',424,'N'),(16,3302024,'1',103,'N'),(16,3302032,'1',102,'N'),(16,3302040,'1',9,'N'),(16,3302059,'1',108,'N'),(16,3302067,'1',328,'N'),(16,3302075,'1',301,'N'),(16,3302083,'1',201,'N'),(16,3302083,'1A',233,'N'),(16,3302091,'1',301,'N'),(16,3302105,'1',207,'N'),(16,3302105,'1A',201,'N'),(16,3302121,'1',207,'N'),(16,3302121,'1A',201,'N'),(16,3302130,'1',103,'N'),(16,3302156,'1',327,'N'),(16,3302172,'1',201,'N'),(16,3302172,'1A',207,'N'),(16,3302180,'1',9,'N'),(16,3302210,'1',304,'N'),(16,3302229,'1',207,'N'),(16,3302229,'1A',211,'N'),(16,3302237,'1',108,'N'),(16,3302245,'1',208,'N'),(16,3302245,'1A',238,'N'),(16,3302253,'1',203,'N'),(16,3302253,'1A',214,'N'),(16,3302261,'1',212,'N'),(16,3302261,'1A',233,'N'),(16,3302296,'1',220,'N'),(16,3302296,'1A',238,'N'),(16,3302318,'1',415,'N'),(16,3302326,'1',207,'N'),(16,3302326,'1A',201,'N'),(16,3302334,'1',225,'N'),(16,3302342,'1',333,'N'),(16,3302350,'1',332,'N'),(16,3302369,'1',333,'N'),(16,3302377,'1',451,'N'),(16,3302385,'1',108,'N'),(16,3302393,'1',404,'N'),(16,3302407,'1',103,'N'),(16,3302415,'1',211,'N'),(16,3302415,'1A',201,'N'),(16,3302423,'1',318,'N'),(16,3302440,'1',216,'N'),(16,3302458,'1',453,'N'),(16,3302466,'1',319,'N'),(16,3302474,'1',201,'N'),(16,3302482,'1',316,'N'),(16,3302490,'1',319,'N'),(16,3302504,'1',207,'N'),(16,3302504,'1A',215,'N'),(16,3302512,'1',203,'N'),(16,3302512,'1A',201,'N'),(16,3302520,'1',308,'N'),(16,3302539,'1',103,'N'),(16,3302547,'1',207,'N'),(16,3302555,'1',103,'N'),(16,3302563,'1',101,'N'),(16,3302571,'1',103,'N'),(16,3302580,'1',424,'N'),(16,3302580,'1A',427,'N'),(16,3302598,'1',5,'N'),(16,3302601,'1',207,'N'),(16,3302601,'1A',201,'N'),(16,3302610,'1',203,'N'),(16,3302610,'1A',207,'N'),(16,3302628,'1',304,'N'),(16,3302636,'1',102,'N'),(16,3302644,'1',103,'N'),(16,3302652,'1',201,'N'),(16,3302652,'1A',211,'N'),(16,3302660,'1',220,'N'),(16,3302660,'1A',238,'N'),(16,3302679,'1',420,'N'),(16,3302687,'1',501,'N'),(16,3302695,'1',213,'N'),(16,3302695,'1A',202,'N'),(16,3302717,'1',201,'N'),(16,3302717,'1A',207,'N'),(16,3302733,'1',340,'N'),(16,3302741,'1',216,'N'),(16,3302741,'1A',215,'N'),(16,3302750,'1',340,'N'),(16,3302768,'1',340,'N'),(16,3302792,'1',340,'N'),(16,3302806,'1',308,'N'),(16,3302814,'1',201,'N'),(16,3302814,'1A',233,'N'),(16,3302822,'1',203,'N'),(16,3302822,'1A',201,'N'),(16,3302830,'1',201,'N'),(16,3302830,'1A',207,'N'),(16,3302849,'1',201,'N'),(16,3302849,'1A',220,'N'),(16,3302865,'1',203,'N'),(16,3302865,'1A',214,'N'),(16,3302873,'1',203,'N'),(16,3302873,'1A',214,'N'),(16,3302881,'1',207,'N'),(16,3302881,'1A',201,'N'),(16,3302890,'1',207,'N'),(16,3302890,'1A',201,'N'),(16,3302903,'1',201,'N'),(16,3302903,'1A',212,'N'),(16,3302911,'1',207,'N'),(16,3302911,'1A',201,'N'),(16,3302920,'1',103,'N'),(16,3302938,'1',453,'N'),(16,3302946,'1',103,'N'),(16,3302954,'1',309,'N'),(16,3302970,'1',225,'N'),(16,3302989,'1',214,'N'),(16,3302989,'1A',212,'N'),(16,3302997,'1',103,'N'),(16,3303012,'1',5,'N'),(16,3303020,'1',103,'N'),(16,3303039,'1',304,'N'),(16,3303047,'1',103,'N'),(16,3303055,'1',450,'N'),(16,3303063,'1',450,'N'),(16,3303071,'1',102,'N'),(16,3303080,'1',423,'N'),(16,3303080,'1A',426,'N'),(16,3303098,'1',450,'N'),(16,3303101,'1',207,'N'),(16,3303101,'1A',208,'N'),(16,3303110,'1',101,'N'),(16,3303128,'1',103,'N'),(16,3303136,'1',238,'N'),(16,3303136,'1A',211,'N'),(16,3303144,'1',340,'N'),(16,3303152,'1',304,'N'),(16,3303179,'1',501,'N'),(16,3303187,'1',103,'N'),(16,3303195,'1',208,'N'),(16,3303195,'1A',238,'N'),(16,3303209,'1',304,'N'),(16,3303217,'1',303,'N'),(16,3303225,'1',201,'N'),(16,3303225,'1A',202,'N'),(16,3303233,'1',450,'N'),(16,3303241,'1',104,'N'),(16,3303250,'1',102,'N'),(16,3303284,'1',319,'N'),(16,3303292,'1',303,'N'),(16,3303306,'1',421,'N'),(16,3303306,'1A',426,'N'),(16,3303322,'1',203,'N'),(16,3303322,'1A',220,'N'),(16,3303330,'1',238,'N'),(16,3303330,'1A',208,'N'),(16,3303349,'1',103,'N'),(16,3303357,'1',103,'N'),(16,3303365,'1',302,'N'),(16,3303373,'1',303,'N'),(16,3303381,'1',103,'N'),(16,3303390,'1',316,'N'),(16,3303403,'1',103,'N'),(16,3303411,'1',428,'N'),(16,3303411,'1A',426,'N'),(16,3303420,'1',303,'N'),(16,3303438,'1',302,'N'),(16,3303446,'1',104,'N'),(16,3303454,'1',208,'N'),(16,3303462,'1',425,'N'),(16,3303462,'1A',429,'N'),(16,3303470,'1',216,'N'),(16,3303470,'1A',215,'N'),(16,3303489,'1',444,'N'),(16,3303497,'1',340,'N'),(16,3303500,'1',211,'N'),(16,3303500,'1A',212,'N'),(16,3303519,'1',103,'N'),(16,3303527,'1',233,'N'),(16,3303527,'1A',213,'N'),(16,3303543,'1',316,'N'),(16,3303551,'1',451,'N'),(16,3303560,'1',103,'N'),(16,3303586,'1',207,'N'),(16,3303586,'1A',201,'N'),(16,3303608,'1',303,'N'),(16,3303616,'1',201,'N'),(16,3303632,'1',424,'N'),(16,3303640,'1',202,'N'),(16,3303640,'1A',213,'N'),(16,3303659,'1',319,'N'),(16,3303667,'1',318,'N'),(16,3303675,'1',207,'N'),(16,3303675,'1A',216,'N'),(16,3303691,'1',222,'N'),(16,3303713,'1',324,'N'),(16,3303721,'1',420,'N'),(16,3303730,'1',211,'N'),(16,3303730,'1A',201,'N'),(16,3303748,'1',211,'N'),(16,3303748,'1A',215,'N'),(16,3303756,'1',502,'N'),(16,3303772,'1',207,'N'),(16,3303772,'1A',201,'N'),(16,3303780,'1',201,'N'),(16,3303780,'1A',212,'N'),(16,3303799,'1',340,'N'),(16,3303802,'1',216,'N'),(16,3303802,'1A',233,'N'),(16,3303810,'1',501,'N'),(16,3303829,'1',452,'N'),(16,3303837,'1',216,'N'),(16,3303837,'1A',233,'N'),(16,3303845,'1',318,'N'),(16,3303861,'1',211,'N'),(16,3303861,'1A',215,'N'),(16,3303870,'1',301,'N'),(16,3303888,'1',5,'N'),(16,3303896,'1',317,'N'),(16,3303918,'1',103,'N'),(16,3303942,'1',208,'N'),(16,3303942,'1A',238,'N'),(16,3303950,'1',309,'N'),(16,3303969,'1',302,'N'),(16,3303977,'1',303,'N'),(16,3303985,'1',203,'N'),(16,3303985,'1A',201,'N'),(16,3303993,'1',339,'N'),(16,3304027,'1',310,'N'),(16,3304035,'1',216,'N'),(16,3304035,'1A',201,'N'),(16,3304043,'1',103,'N'),(16,3304051,'1',329,'N'),(16,3304060,'1',207,'N'),(16,3304060,'1A',201,'N'),(16,3304078,'1',303,'N'),(16,3304086,'1',503,'N'),(16,3304094,'1',415,'N'),(16,3304108,'1',501,'N'),(16,3304116,'1',103,'N'),(16,3304132,'1',203,'N'),(16,3304132,'1A',201,'N'),(16,3304140,'1',212,'N'),(16,3304140,'1A',215,'N'),(16,3304159,'1',340,'N'),(16,3304167,'1',328,'N'),(16,3304183,'1',102,'N'),(16,3304191,'1',203,'N'),(16,3304205,'1',309,'N'),(16,3304213,'1',420,'N'),(16,3304221,'1',238,'N'),(16,3304230,'1',5,'N'),(16,3304248,'1',104,'N'),(16,3304256,'1',103,'N'),(16,3304264,'1',425,'N'),(16,3304264,'1A',423,'N'),(16,3304280,'1',238,'N'),(16,3304280,'1A',208,'N'),(16,3304299,'1',9,'N'),(16,3304302,'1',211,'N'),(16,3304302,'1A',215,'N'),(16,3304310,'1',233,'N'),(16,3304310,'1A',215,'N'),(16,3304329,'1',103,'N'),(16,3304337,'1',203,'N'),(16,3304337,'1A',214,'N'),(16,3304345,'1',451,'N'),(16,3304353,'1',224,'N'),(16,3304361,'1',444,'N'),(16,3304388,'1',203,'N'),(16,3304388,'1A',201,'N'),(16,3304396,'1',103,'N'),(16,3304400,'1',304,'N'),(16,3304426,'1',104,'N'),(16,3304434,'1',201,'N'),(16,3304434,'1A',207,'N'),(16,3304442,'1',333,'N'),(16,3304469,'1',104,'N'),(16,3304477,'1',424,'N'),(16,3304477,'1A',426,'N'),(16,3304523,'1',103,'N'),(16,3304531,'1',201,'N'),(16,3304531,'1A',207,'N'),(16,3304558,'1',103,'N'),(16,3304566,'1',415,'N'),(16,3304574,'1',420,'N'),(16,3304590,'1',203,'N'),(16,3304590,'1A',214,'N'),(16,3304604,'1',420,'N'),(16,3304612,'1',9,'N'),(16,3304620,'1',303,'N'),(16,3304647,'1',301,'N'),(16,3304655,'1',331,'N'),(16,3304663,'1',104,'N'),(16,3304671,'1',208,'N'),(16,3304671,'1A',238,'N'),(16,3304680,'1',318,'N'),(16,3304698,'1',103,'N'),(16,3304701,'1',103,'N'),(16,3304710,'1',201,'N'),(16,3304710,'1A',216,'N'),(16,3304728,'1',453,'N'),(16,3304736,'1',104,'N'),(16,3304744,'1',316,'N'),(16,3304752,'1',208,'N'),(16,3304752,'1A',238,'N'),(16,3304760,'1',317,'N'),(16,3304787,'1',102,'N'),(16,3304795,'1',103,'N'),(16,3304809,'1',201,'N'),(16,3304809,'1A',212,'N'),(16,3304817,'1',420,'N'),(16,3304825,'1',425,'N'),(16,3304825,'1A',429,'N'),(16,3304841,'1',103,'N'),(16,3304850,'1',310,'N'),(16,3304868,'1',304,'N'),(16,3304876,'1',203,'N'),(16,3304876,'1A',216,'N'),(16,3304884,'1',203,'N'),(16,3304884,'1A',233,'N'),(16,3304892,'1',201,'N'),(16,3304892,'1A',207,'N'),(16,3304914,'1',214,'N'),(16,3304914,'1A',213,'N'),(16,3304922,'1',3,'N'),(16,3304930,'1',333,'N'),(16,3304949,'1',220,'N'),(16,3304949,'1A',203,'N'),(16,3304957,'1',103,'N'),(16,3304965,'1',103,'N'),(16,3304981,'1',318,'N'),(16,3305007,'1',104,'N'),(16,3305015,'1',208,'N'),(16,3305015,'1A',202,'N'),(16,3305023,'1',102,'N'),(16,3305040,'1',301,'N'),(16,3305066,'1',101,'N'),(16,3305074,'1',5,'N'),(16,3305082,'1',104,'N'),(16,3305090,'1',5,'N'),(16,3305104,'1',304,'N'),(16,3305120,'1',103,'N'),(16,3305139,'1',103,'N'),(16,3305147,'1',301,'N'),(16,3305163,'1',202,'N'),(16,3305163,'1A',233,'N'),(16,3305171,'1',5,'N'),(16,3305180,'1',208,'N'),(16,3305180,'1A',211,'N'),(16,3305198,'1',329,'N'),(16,3305210,'1',207,'N'),(16,3305244,'1',103,'N'),(16,3305252,'1',101,'N'),(16,3305279,'1',316,'N'),(16,3305287,'1',207,'N'),(16,3305295,'1',9,'N'),(16,3305309,'1',319,'N'),(16,3305325,'1',415,'N'),(16,3305333,'1',103,'N'),(16,3305341,'1',108,'N'),(16,3305350,'1',208,'N'),(16,3305350,'1A',202,'N'),(16,3305368,'1',203,'N'),(16,3305368,'1A',208,'N'),(16,3305376,'1',207,'N'),(16,3305376,'1A',211,'N'),(16,3305384,'1',207,'N'),(16,3305392,'1',339,'N'),(16,3305414,'1',450,'N'),(16,3305422,'1',319,'N'),(16,3305430,'1',415,'N'),(16,3305449,'1',303,'N'),(16,3305457,'1',201,'N'),(16,3305457,'1A',211,'N'),(16,3305465,'1',415,'N'),(16,3305473,'1',104,'N'),(16,3305481,'1',103,'N'),(16,3305490,'1',238,'N'),(16,3305490,'1A',208,'N'),(16,3305511,'1',103,'N'),(16,3305520,'1',103,'N'),(16,3305538,'1',103,'N'),(16,3305546,'1',225,'N'),(16,3305554,'1',215,'N'),(16,3305562,'1',502,'N'),(16,3305597,'1',303,'N'),(16,3305600,'1',308,'N'),(16,3305619,'1',103,'N'),(16,3305627,'1',211,'N'),(16,3305627,'1A',207,'N'),(16,3305635,'1',340,'N'),(16,3305651,'1',104,'N'),(16,3305660,'1',207,'N'),(16,3305660,'1A',201,'N'),(16,3305678,'1',211,'N'),(16,3305694,'1',211,'N'),(16,3305694,'1A',201,'N'),(16,3305708,'1',103,'N'),(16,3305716,'1',201,'N'),(16,3305716,'1A',233,'N'),(16,3305732,'1',303,'N'),(16,3305740,'1',303,'N'),(16,3305759,'1',303,'N'),(16,3305767,'1',214,'N'),(16,3305767,'1A',212,'N'),(16,3305791,'1',220,'N'),(16,3305791,'1A',201,'N'),(16,3305813,'1',340,'N'),(16,3305830,'1',309,'N'),(16,3305848,'1',319,'N'),(16,3305856,'1',201,'N'),(16,3305856,'1A',207,'N'),(16,3305864,'1',316,'N'),(16,3305872,'1',304,'N'),(16,3305880,'1',212,'N'),(16,3305880,'1A',201,'N'),(16,3305899,'1',215,'N'),(16,3305899,'1A',211,'N'),(16,3305910,'1',103,'N'),(16,3305929,'1',309,'N'),(16,3305937,'1',211,'N'),(16,3305937,'1A',202,'N'),(16,3305953,'1',234,'N'),(16,3305961,'1',102,'N'),(16,3305970,'1',108,'N'),(16,3305988,'1',310,'N'),(16,3305996,'1',104,'N'),(16,3306003,'1',215,'N'),(16,3306003,'1A',211,'N'),(16,3306011,'1',201,'N'),(16,3306011,'1A',203,'N'),(16,3306020,'1',103,'N'),(16,3306038,'1',215,'N'),(16,3306038,'1A',212,'N'),(16,3306046,'1',318,'N'),(16,3306054,'1',207,'N'),(16,3306054,'1A',201,'N'),(16,3306062,'1',301,'N'),(16,3306070,'1',214,'N'),(16,3306070,'1A',202,'N'),(16,3306089,'1',207,'N'),(16,3306089,'1A',201,'N'),(16,3306097,'1',302,'N'),(16,3306100,'1',340,'N'),(16,3306119,'1',303,'N'),(16,3306127,'1',309,'N'),(16,3306135,'1',201,'N'),(16,3306135,'1A',212,'N'),(16,3306143,'1',340,'N'),(16,3306151,'1',9,'N'),(16,3306160,'1',211,'N'),(16,3306160,'1A',215,'N'),(16,3306178,'1',211,'N'),(16,3306178,'1A',212,'N'),(16,3306186,'1',103,'N'),(16,3306194,'1',302,'N'),(16,3306208,'1',3,'N'),(16,3306216,'1',404,'N'),(16,3306224,'1',319,'N'),(16,3306232,'1',2,'N'),(16,3306240,'1',324,'N'),(16,3306267,'1',201,'N'),(16,3306267,'1A',212,'N'),(16,3306275,'1',202,'N'),(16,3306275,'1A',203,'N'),(16,3306291,'1',502,'N'),(16,3306305,'1',216,'N'),(16,3306305,'1A',207,'N'),(16,3306313,'1',215,'N'),(16,3306313,'1A',216,'N'),(16,3306321,'1',208,'N'),(16,3306330,'1',326,'N'),(16,3306356,'1',104,'N'),(16,3306364,'1',444,'N'),(16,3306372,'1',316,'N'),(16,3306380,'1',316,'N'),(16,3306402,'1',453,'N'),(16,3306410,'1',316,'N'),(16,3306429,'1',103,'N'),(16,3306437,'1',5,'N'),(16,3306445,'1',103,'N'),(16,3306453,'1',207,'N'),(16,3306453,'1A',208,'N'),(16,3306461,'1',233,'N'),(16,3306461,'1A',220,'N'),(16,3306470,'1',104,'N'),(16,3306488,'1',303,'N'),(16,3306496,'1',202,'N'),(16,3306496,'1A',233,'N'),(16,3306500,'1',425,'N'),(16,3306500,'1A',427,'N'),(16,3306518,'1',203,'N'),(16,3306518,'1A',220,'N'),(16,3306526,'1',207,'N'),(16,3306526,'1A',201,'N'),(16,3306542,'1',5,'N'),(16,3306550,'1',103,'N'),(16,3306569,'1',339,'N'),(16,3306577,'1',420,'N'),(16,3306585,'1',207,'N'),(16,3306585,'1A',201,'N'),(16,3306593,'1',103,'N'),(16,3306615,'1',340,'N'),(16,3306623,'1',102,'N'),(16,3306631,'1',415,'N'),(16,3306640,'1',420,'N'),(16,3306658,'1',415,'N'),(16,3306674,'1',444,'N'),(16,3306682,'1',316,'N'),(16,3306690,'1',420,'N'),(16,3306704,'1',211,'N'),(16,3306704,'1A',215,'N'),(16,3306712,'1',207,'N'),(16,3306712,'1A',203,'N'),(16,3306720,'1',5,'N'),(16,3306739,'1',332,'N'),(16,3306755,'1',501,'N'),(16,3306763,'1',103,'N'),(16,3306771,'1',104,'N'),(16,3306780,'1',203,'N'),(16,3306780,'1A',214,'N'),(16,3306798,'1',216,'N'),(16,3306798,'1A',203,'N'),(16,3306801,'1',211,'N'),(16,3306801,'1A',215,'N'),(16,3306810,'1',103,'N'),(16,3306828,'1',317,'N'),(16,3306836,'1',303,'N'),(16,3306844,'1',5,'N'),(16,3306852,'1',308,'N'),(16,3306860,'1',203,'N'),(16,3306860,'1A',214,'N'),(16,3306895,'1',444,'N'),(16,3306909,'1',203,'N'),(16,3306909,'1A',202,'N'),(16,3306917,'1',103,'N'),(16,3306925,'1',211,'N'),(16,3306925,'1A',207,'N'),(16,3306933,'1',102,'N'),(16,3306941,'1',303,'N'),(16,3306968,'1',208,'N'),(16,3306968,'1A',211,'N'),(16,3306976,'1',220,'N'),(16,3306976,'1A',203,'N'),(16,3306992,'1',208,'N'),(16,3306992,'1A',201,'N'),(16,3307000,'1',503,'N'),(16,3307018,'1',429,'N'),(16,3307018,'1A',425,'N'),(16,3307034,'1',213,'N'),(16,3307034,'1A',233,'N'),(16,3307069,'1',316,'N'),(16,3307085,'1',319,'N'),(16,3307093,'1',316,'N'),(16,3307107,'1',104,'N'),(16,3307115,'1',211,'N'),(16,3307115,'1A',201,'N'),(16,3307123,'1',301,'N'),(16,3307131,'1',420,'N'),(16,3307140,'1',5,'N'),(16,3307158,'1',208,'N'),(16,3307158,'1A',238,'N'),(16,3307174,'1',450,'N'),(16,3307190,'1',2,'N'),(16,3307204,'1',102,'N'),(16,3307212,'1',211,'N'),(16,3307212,'1A',212,'N'),(16,3307220,'1',208,'N'),(16,3307220,'1A',238,'N'),(16,3307239,'1',201,'N'),(16,3307239,'1A',208,'N'),(16,3307247,'1',340,'N'),(16,3307255,'1',319,'N'),(16,3307263,'1',444,'N'),(16,3307271,'1',415,'N'),(16,3307280,'1',502,'N'),(16,3307298,'1',319,'N'),(16,3307301,'1',318,'N'),(16,3307310,'1',303,'N'),(16,3307328,'1',207,'N'),(16,3307336,'1',207,'N'),(16,3307336,'1A',201,'N'),(16,3307344,'1',420,'N'),(16,3307352,'1',444,'N'),(16,3307360,'1',233,'N'),(16,3307360,'1A',215,'N'),(16,3307379,'1',5,'N'),(16,3307387,'1',203,'N'),(16,3307387,'1A',202,'N'),(16,3307417,'1',103,'N'),(16,3307425,'1',450,'N'),(16,3307433,'1',104,'N'),(16,3307441,'1',304,'N'),(16,3307450,'1',207,'N'),(16,3307450,'1A',201,'N'),(16,3307468,'1',317,'N'),(16,3307476,'1',220,'N'),(16,3307476,'1A',202,'N'),(16,3307484,'1',223,'N'),(16,3307492,'1',339,'N'),(16,3307506,'1',103,'N'),(16,3307522,'1',326,'N'),(16,3307530,'1',301,'N'),(16,3307549,'1',415,'N'),(16,3307557,'1',207,'N'),(16,3307557,'1A',220,'N'),(16,3307565,'1',444,'N'),(16,3307573,'1',108,'N'),(16,3307581,'1',302,'N'),(16,3307590,'1',318,'N'),(16,3307603,'1',201,'N'),(16,3307603,'1A',207,'N'),(16,3307611,'1',104,'N'),(16,3307620,'1',444,'N'),(16,3307638,'1',415,'N'),(16,3307646,'1',201,'N'),(16,3307646,'1A',220,'N'),(16,3307654,'1',333,'N'),(16,3307662,'1',415,'N'),(16,3307697,'1',103,'N'),(16,3307700,'1',317,'N'),(16,3307719,'1',102,'N'),(16,3307727,'1',205,'N'),(16,3307735,'1',207,'N'),(16,3307735,'1A',208,'N'),(16,3307743,'1',104,'N'),(16,3307751,'1',207,'N'),(16,3307751,'1A',208,'N'),(16,3307760,'1',203,'N'),(16,3307760,'1A',212,'N'),(16,3307786,'1',309,'N'),(16,3307794,'1',108,'N'),(16,3307808,'1',302,'N'),(16,3307816,'1',103,'N'),(16,3307824,'1',103,'N'),(16,3307832,'1',317,'N'),(16,3307840,'1',5,'N'),(16,3307859,'1',451,'N'),(16,3307867,'1',207,'N'),(16,3307867,'1A',201,'N'),(16,3307883,'1',212,'N'),(16,3307883,'1A',211,'N'),(16,3307891,'1',340,'N'),(16,3307905,'1',103,'N'),(16,3307913,'1',103,'N'),(16,3307921,'1',428,'N'),(16,3307921,'1A',427,'N'),(16,3307930,'1',339,'N'),(16,3307948,'1',425,'N'),(16,3307948,'1A',429,'N'),(16,3307956,'1',233,'N'),(16,3307956,'1A',215,'N'),(16,3307964,'1',319,'N'),(16,3307972,'1',103,'N'),(16,3307980,'1',404,'N'),(16,3307999,'1',211,'N'),(16,3307999,'1A',212,'N'),(16,3308006,'1',308,'N'),(16,3308014,'1',207,'N'),(16,3308014,'1A',208,'N'),(16,3308022,'1',108,'N'),(16,3308030,'1',320,'N'),(16,3308049,'1',203,'N'),(16,3308049,'1A',220,'N'),(16,3308057,'1',203,'N'),(16,3308057,'1A',214,'N'),(16,3308065,'1',404,'N'),(16,3308073,'1',316,'N'),(16,3308081,'1',201,'N'),(16,3308081,'1A',211,'N'),(16,3308090,'1',103,'N'),(16,3308111,'1',103,'N'),(16,3308120,'1',318,'N'),(16,3308138,'1',319,'N'),(16,3308146,'1',201,'N'),(16,3308146,'1A',207,'N'),(16,3308154,'1',103,'N'),(16,3308162,'1',329,'N'),(16,3308170,'1',203,'N'),(16,3308170,'1A',202,'N'),(16,3308189,'1',103,'N'),(16,3308197,'1',415,'N'),(16,3308200,'1',103,'N'),(16,3308227,'1',201,'N'),(16,3308235,'1',104,'N'),(16,3308251,'1',103,'N'),(16,3308260,'1',319,'N'),(16,3308278,'1',450,'N'),(16,3308286,'1',453,'N'),(16,3308294,'1',333,'N'),(16,3308308,'1',415,'N'),(16,3308324,'1',103,'N'),(16,3308340,'1',201,'N'),(16,3308340,'1A',207,'N'),(16,3308359,'1',424,'N'),(16,3308367,'1',223,'N'),(16,3308375,'1',202,'N'),(16,3308375,'1A',208,'N'),(16,3308391,'1',108,'N'),(16,3308405,'1',340,'N'),(16,3308421,'1',303,'N'),(16,3308430,'1',103,'N'),(16,3308448,'1',207,'N'),(16,3308448,'1A',201,'N'),(16,3308456,'1',308,'N'),(16,3308464,'1',444,'N'),(16,3308472,'1',319,'N'),(16,3308480,'1',208,'N'),(16,3308480,'1A',238,'N'),(16,3308499,'1',503,'N'),(16,3308510,'1',101,'N'),(16,3308529,'1',103,'N'),(16,3308537,'1',303,'N'),(16,3308553,'1',303,'N'),(16,3308561,'1',103,'N'),(16,3308570,'1',340,'N'),(16,3308588,'1',340,'N'),(16,3308596,'1',201,'N'),(16,3308596,'1A',202,'N'),(16,3308600,'1',103,'N'),(16,3308618,'1',5,'N'),(16,3308626,'1',103,'N'),(16,3308634,'1',309,'N'),(16,3308642,'1',103,'N'),(16,3308650,'1',452,'N'),(16,3308669,'1',316,'N'),(16,3308685,'1',340,'N'),(16,3308693,'1',316,'N'),(16,3308715,'1',302,'N'),(16,3308723,'1',208,'N'),(16,3308723,'1A',202,'N'),(16,3308740,'1',415,'N'),(16,3308758,'1',201,'N'),(16,3308758,'1A',207,'N'),(16,3308766,'1',303,'N'),(16,3308774,'1',101,'N'),(16,3308782,'1',3,'N'),(16,3308804,'1',9,'N'),(16,3308812,'1',103,'N'),(16,3308820,'1',340,'N'),(16,3308839,'1',103,'N'),(16,3308847,'1',340,'N'),(16,3308863,'1',452,'N'),(16,3308871,'1',5,'N'),(16,3308880,'1',301,'N'),(16,3308898,'1',211,'N'),(16,3308901,'1',202,'N'),(16,3308901,'1A',203,'N'),(16,3308910,'1',316,'N'),(16,3308928,'1',103,'N'),(16,3308936,'1',203,'N'),(16,3308936,'1A',213,'N'),(16,3308952,'1',331,'N'),(16,3308960,'1',238,'N'),(16,3308960,'1A',202,'N'),(16,3308979,'1',201,'N'),(16,3308979,'1A',212,'N'),(16,3308995,'1',421,'N'),(16,3308995,'1A',425,'N'),(16,3309002,'1',220,'N'),(16,3309002,'1A',214,'N'),(16,3309010,'1',104,'N'),(16,3309029,'1',103,'N'),(16,3309037,'1',103,'N'),(16,3309045,'1',444,'N'),(16,3309053,'1',103,'N'),(16,3309061,'1',214,'N'),(16,3309061,'1A',212,'N'),(16,3309070,'1',202,'N'),(16,3309070,'1A',201,'N'),(16,3309088,'1',108,'N'),(16,3309100,'1',208,'N'),(16,3309100,'1A',238,'N'),(16,3309118,'1',428,'N'),(16,3309118,'1A',423,'N'),(16,3309126,'1',501,'N'),(16,3309134,'1',340,'N'),(16,3309169,'1',103,'N'),(16,3309177,'1',427,'N'),(16,3309177,'1A',421,'N'),(16,3309193,'1',329,'N'),(16,3309207,'1',404,'N'),(16,3309215,'1',318,'N'),(16,3309223,'1',201,'N'),(16,3309223,'1A',207,'N'),(16,3309231,'1',415,'N'),(16,3309240,'1',317,'N'),(16,3309258,'1',216,'N'),(16,3309258,'1A',203,'N'),(16,3309282,'1',301,'N'),(16,3309290,'1',301,'N'),(16,3309304,'1',207,'N'),(16,3309304,'1A',201,'N'),(16,3309320,'1',233,'N'),(16,3309320,'1A',213,'N'),(16,3309339,'1',304,'N'),(16,3309347,'1',102,'N'),(16,3309355,'1',3,'N'),(16,3309363,'1',340,'N'),(16,3309371,'1',317,'N'),(16,3309380,'1',203,'N'),(16,3309380,'1A',202,'N'),(16,3309398,'1',316,'N'),(16,3309401,'1',404,'N'),(16,3309410,'1',202,'N'),(16,3309410,'1A',213,'N'),(16,3309444,'1',202,'N'),(16,3309444,'1A',201,'N'),(16,3309452,'1',420,'N'),(16,3309460,'1',211,'N'),(16,3309460,'1A',216,'N'),(16,3309479,'1',102,'N'),(16,3309495,'1',201,'N'),(16,3309495,'1A',212,'N'),(16,3309509,'1',415,'N'),(16,3309517,'1',203,'N'),(16,3309517,'1A',202,'N'),(16,3309533,'1',201,'N'),(16,3309533,'1A',207,'N'),(16,3309550,'1',303,'N'),(16,3309568,'1',404,'N'),(16,3309576,'1',108,'N'),(16,3309584,'1',103,'N'),(16,3309592,'1',340,'N'),(16,3309614,'1',203,'N'),(16,3309614,'1A',233,'N'),(16,3309657,'1',340,'N'),(16,3309665,'1',103,'N'),(16,3309673,'1',324,'N'),(16,3309681,'1',339,'N'),(16,3309690,'1',208,'N'),(16,3309690,'1A',238,'N'),(16,3309703,'1',203,'N'),(16,3309703,'1A',201,'N'),(16,3309711,'1',211,'N'),(16,3309711,'1A',238,'N'),(16,3309720,'1',207,'N'),(16,3309720,'1A',201,'N'),(16,3309738,'1',103,'N'),(16,3309746,'1',103,'N'),(16,3309754,'1',207,'N'),(16,3309762,'1',301,'N'),(16,3309770,'1',207,'N'),(16,3309770,'1A',233,'N'),(16,3309789,'1',212,'N'),(16,3309789,'1A',201,'N'),(16,3309797,'1',319,'N'),(16,3309800,'1',303,'N'),(16,3309819,'1',319,'N'),(16,3309827,'1',317,'N'),(16,3309835,'1',429,'N'),(16,3309835,'1A',425,'N'),(16,3309843,'1',201,'N'),(16,3309843,'1A',215,'N'),(16,3309851,'1',103,'N'),(16,3309860,'1',201,'N'),(16,3309860,'1A',202,'N'),(16,3309878,'1',421,'N'),(16,3309878,'1A',425,'N'),(16,3309886,'1',238,'N'),(16,3309886,'1A',208,'N'),(16,3309894,'1',202,'N'),(16,3309894,'1A',213,'N'),(16,3309908,'1',428,'N'),(16,3309908,'1A',424,'N'),(16,3309916,'1',102,'N'),(16,3309924,'1',301,'N'),(16,3309932,'1',202,'N'),(16,3309932,'1A',233,'N'),(16,3309940,'1',415,'N'),(16,3309959,'1',318,'N'),(16,3309967,'1',220,'N'),(16,3309967,'1A',202,'N'),(16,3309975,'1',211,'N'),(16,3309975,'1A',207,'N'),(16,3309983,'1',9,'N'),(16,3309991,'1',101,'N'),(16,3310000,'1',238,'N'),(16,3310000,'1A',211,'N'),(16,3310019,'1',333,'N'),(16,3310027,'1',301,'N'),(16,3310035,'1',318,'N'),(16,3310043,'1',502,'N'),(16,3310051,'1',104,'N'),(16,3310060,'1',103,'N'),(16,3310078,'1',104,'N'),(16,3310086,'1',207,'N'),(16,3310094,'1',103,'N'),(16,3310108,'1',316,'N'),(16,3310116,'1',104,'N'),(16,3310124,'1',103,'N'),(16,3310140,'1',340,'N'),(16,3310159,'1',103,'N'),(16,3310167,'1',502,'N'),(16,3310183,'1',404,'N'),(16,3310191,'1',308,'N'),(16,3310205,'1',203,'N'),(16,3310205,'1A',207,'N'),(16,3310213,'1',501,'N'),(16,3310221,'1',318,'N'),(16,3310230,'1',453,'N'),(16,3310248,'1',216,'N'),(16,3310248,'1A',201,'N'),(16,3310256,'1',103,'N'),(16,3310264,'1',103,'N'),(16,3310272,'1',326,'N'),(16,3310280,'1',108,'N'),(16,3310299,'1',340,'N'),(16,3310310,'1',211,'N'),(16,3310310,'1A',207,'N'),(16,3310329,'1',103,'N'),(16,3310337,'1',203,'N'),(16,3310345,'1',303,'N'),(16,3310353,'1',318,'N'),(16,3310361,'1',319,'N'),(16,3310370,'1',102,'N'),(16,3310388,'1',331,'N'),(16,3310396,'1',3,'N'),(16,3310400,'1',203,'N'),(16,3310400,'1A',214,'N'),(16,3310418,'1',425,'N'),(16,3310418,'1A',421,'N'),(16,3310426,'1',301,'N'),(16,3310434,'1',450,'N'),(16,3310442,'1',340,'N'),(16,3310450,'1',301,'N'),(16,3310469,'1',238,'N'),(16,3310469,'1A',201,'N'),(16,3310477,'1',340,'N'),(16,3310485,'1',103,'N'),(16,3310515,'1',319,'N'),(16,3310523,'1',104,'N'),(16,3310531,'1',234,'N'),(16,3310540,'1',104,'N'),(16,3310558,'1',303,'N'),(16,3310566,'1',103,'N'),(16,3310582,'1',9,'N'),(16,3310590,'1',415,'N'),(16,3310604,'1',316,'N'),(16,3310620,'1',316,'N'),(16,3310639,'1',425,'N'),(16,3310639,'1A',428,'N'),(16,3310647,'1',208,'N'),(16,3310647,'1A',238,'N'),(16,3310655,'1',317,'N'),(16,3310663,'1',453,'N'),(16,3310671,'1',214,'N'),(16,3310680,'1',207,'N'),(16,3310680,'1A',201,'N'),(16,3310698,'1',331,'N'),(16,3310701,'1',320,'N'),(16,3310710,'1',301,'N'),(16,3310728,'1',317,'N'),(16,3310736,'1',214,'N'),(16,3310744,'1',103,'N'),(16,3310760,'1',501,'N'),(16,3310779,'1',216,'N'),(16,3310787,'1',339,'N'),(16,3310795,'1',208,'N'),(16,3310809,'1',216,'N'),(16,3310809,'1A',233,'N'),(16,3310825,'1',319,'N'),(16,3310833,'1',501,'N'),(16,3310850,'1',5,'N'),(16,3310892,'1',309,'N'),(16,3310906,'1',208,'N'),(16,3310906,'1A',238,'N'),(16,3310914,'1',340,'N'),(16,3310957,'1',404,'N'),(16,3310965,'1',340,'N'),(16,3310973,'1',212,'N'),(16,3310973,'1A',213,'N'),(16,3310981,'1',238,'N'),(16,3310981,'1A',220,'N'),(16,3310990,'1',428,'N'),(16,3310990,'1A',425,'N'),(16,3311007,'1',303,'N'),(16,3311015,'1',429,'N'),(16,3311023,'1',201,'N'),(16,3311023,'1A',207,'N'),(16,3311040,'1',326,'N'),(16,3311058,'1',212,'N'),(16,3311058,'1A',238,'N'),(16,3311066,'1',404,'N'),(16,3311074,'1',415,'N'),(16,3311104,'1',415,'N'),(16,3311120,'1',220,'N'),(16,3311120,'1A',203,'N'),(16,3311139,'1',104,'N'),(16,3311147,'1',201,'N'),(16,3311155,'1',318,'N'),(16,3311163,'1',207,'N'),(16,3311171,'1',340,'N'),(16,3311180,'1',225,'N'),(16,3311198,'1',203,'N'),(16,3311210,'1',304,'N'),(16,3311228,'1',320,'N'),(16,3311236,'1',202,'N'),(16,3311236,'1A',208,'N'),(16,3311244,'1',220,'N'),(16,3311244,'1A',233,'N'),(16,3311252,'1',223,'N'),(16,3311260,'1',238,'N'),(16,3311260,'1A',208,'N'),(16,3311287,'1',404,'N'),(16,3311295,'1',317,'N'),(16,3311317,'1',103,'N'),(16,3311325,'1',216,'N'),(16,3311325,'1A',233,'N'),(16,3311333,'1',317,'N'),(16,3311368,'1',103,'N'),(16,3311376,'1',333,'N'),(16,3311384,'1',220,'N'),(16,3311384,'1A',208,'N'),(16,3311392,'1',102,'N'),(16,3311406,'1',102,'N'),(16,3311414,'1',238,'N'),(16,3311414,'1A',208,'N'),(16,3311422,'1',216,'N'),(16,3311422,'1A',208,'N'),(16,3311430,'1',415,'N'),(16,3311449,'1',324,'N'),(16,3311457,'1',444,'N'),(16,3311465,'1',426,'N'),(16,3311465,'1A',421,'N'),(16,3311473,'1',201,'N'),(16,3311481,'1',212,'N'),(16,3311481,'1A',201,'N'),(16,3311490,'1',5,'N'),(16,3311503,'1',103,'N'),(16,3311511,'1',207,'N'),(16,3311511,'1A',208,'N'),(16,3311520,'1',331,'N'),(16,3311538,'1',208,'N'),(16,3311538,'1A',238,'N'),(16,3311546,'1',429,'N'),(16,3311546,'1A',425,'N'),(16,3311562,'1',207,'N'),(16,3311562,'1A',203,'N'),(16,3311589,'1',415,'N'),(16,3311597,'1',102,'N'),(16,3311600,'1',207,'N'),(16,3311600,'1A',201,'N'),(16,3311619,'1',320,'N'),(16,3311627,'1',223,'N'),(16,3311635,'1',203,'N'),(16,3311635,'1A',216,'N'),(16,3311643,'1',103,'N'),(16,3311651,'1',212,'N'),(16,3311651,'1A',202,'N'),(16,3311686,'1',327,'N'),(16,3311694,'1',216,'N'),(16,3311716,'1',317,'N'),(16,3311724,'1',319,'N'),(16,3311740,'1',9,'N'),(16,3311759,'1',309,'N'),(16,3311775,'1',428,'N'),(16,3311775,'1A',424,'N'),(16,3311783,'1',203,'N'),(16,3311783,'1A',201,'N'),(16,3311791,'1',103,'N'),(16,3311813,'1',301,'N'),(16,3311821,'1',426,'N'),(16,3311821,'1A',428,'N'),(16,3311830,'1',318,'N'),(16,3311848,'1',333,'N'),(16,3311856,'1',309,'N'),(16,3311864,'1',304,'N'),(16,3311872,'1',329,'N'),(16,3311880,'1',202,'N'),(16,3311880,'1A',213,'N'),(16,3311899,'1',220,'N'),(16,3311899,'1A',201,'N'),(16,3311902,'1',103,'N'),(16,3311910,'1',214,'N'),(16,3311910,'1A',203,'N'),(16,3311929,'1',301,'N'),(16,3311937,'1',207,'N'),(16,3311937,'1A',201,'N'),(16,3311945,'1',303,'N'),(16,3311953,'1',444,'N'),(16,3311961,'1',316,'N'),(16,3311988,'1',208,'N'),(16,3311988,'1A',202,'N'),(16,3312003,'1',420,'N'),(16,3312011,'1',301,'N'),(16,3312020,'1',310,'N'),(16,3312038,'1',208,'N'),(16,3312038,'1A',238,'N'),(16,3312046,'1',309,'N'),(16,3312054,'1',453,'N'),(16,3312062,'1',339,'N'),(16,3312070,'1',332,'N'),(16,3312089,'1',329,'N'),(16,3312119,'1',317,'N'),(16,3312127,'1',444,'N'),(16,3312135,'1',331,'N'),(16,3312151,'1',225,'N'),(16,3312160,'1',332,'N'),(16,3312186,'1',425,'N'),(16,3312194,'1',333,'N'),(16,3312208,'1',205,'N'),(16,3312216,'1',301,'N'),(16,3312224,'1',425,'N'),(16,3312224,'1A',424,'N'),(16,3312232,'1',340,'N'),(16,3312240,'1',304,'N'),(16,3312259,'1',331,'N'),(16,3312267,'1',208,'N'),(16,3312267,'1A',238,'N'),(16,3312275,'1',444,'N'),(16,3312283,'1',103,'N'),(16,3312305,'1',303,'N'),(16,3312313,'1',318,'N'),(16,3312321,'1',501,'N'),(16,3312356,'1',103,'N'),(16,3312364,'1',103,'N'),(16,3312380,'1',318,'N'),(16,3312399,'1',301,'N'),(16,3312402,'1',103,'N'),(16,3312410,'1',320,'N'),(16,3312429,'1',103,'N'),(16,3312445,'1',103,'N'),(16,3312453,'1',103,'N'),(16,3312461,'1',303,'N'),(16,3312470,'1',103,'N'),(16,3312488,'1',101,'N'),(16,3312518,'1',426,'N'),(16,3312518,'1A',428,'N'),(16,3312534,'1',220,'N'),(16,3312534,'1A',202,'N'),(16,3312550,'1',103,'N'),(16,3312569,'1',421,'N'),(16,3312569,'1A',423,'N'),(16,3312577,'1',340,'N'),(16,3312585,'1',309,'N'),(16,3312593,'1',238,'N'),(16,3312593,'1A',208,'N'),(16,3312607,'1',234,'N'),(16,3312615,'1',5,'N'),(16,3312623,'1',211,'N'),(16,3312623,'1A',208,'N'),(16,3312640,'1',501,'N'),(16,3312658,'1',301,'N'),(16,3312666,'1',301,'N'),(16,3312682,'1',304,'N'),(16,3312690,'1',102,'N'),(16,3312712,'1',415,'N'),(16,3312720,'1',309,'N'),(16,3312739,'1',220,'N'),(16,3312747,'1',308,'N'),(16,3312755,'1',318,'N'),(16,3312763,'1',326,'N'),(16,3312771,'1',238,'N'),(16,3312771,'1A',207,'N'),(16,3312780,'1',205,'N'),(16,3312810,'1',501,'N'),(16,3312828,'1',5,'N'),(16,3312836,'1',9,'N'),(16,3312844,'1',421,'N'),(16,3312844,'1A',427,'N'),(16,3312852,'1',310,'N'),(16,3312860,'1',333,'N'),(16,3312879,'1',207,'N'),(16,3312879,'1A',201,'N'),(16,3312887,'1',102,'N'),(16,3312895,'1',201,'N'),(16,3312895,'1A',202,'N'),(16,3312909,'1',301,'N'),(16,3312917,'1',426,'N'),(16,3312917,'1A',425,'N'),(16,3312925,'1',103,'N'),(16,3312933,'1',5,'N'),(16,3312941,'1',450,'N'),(16,3312950,'1',5,'N'),(16,3312976,'1',104,'N'),(16,3312992,'1',450,'N'),(16,3313000,'1',103,'N'),(16,3313026,'1',214,'N'),(16,3313026,'1A',203,'N'),(16,3313034,'1',5,'N'),(16,3313050,'1',103,'N'),(16,3313077,'1',444,'N'),(16,3313085,'1',215,'N'),(16,3313085,'1A',214,'N'),(16,3313093,'1',421,'N'),(16,3313093,'1A',427,'N'),(16,3313107,'1',212,'N'),(16,3313107,'1A',201,'N'),(16,3313115,'1',211,'N'),(16,3313115,'1A',208,'N'),(16,3313123,'1',238,'N'),(16,3313123,'1A',208,'N'),(16,3313131,'1',104,'N'),(16,3313140,'1',303,'N'),(16,3313158,'1',5,'N'),(16,3313166,'1',319,'N'),(16,3313182,'1',303,'N'),(16,3313190,'1',429,'N'),(16,3313190,'1A',425,'N'),(16,3313204,'1',415,'N'),(16,3313212,'1',203,'N'),(16,3313212,'1A',214,'N'),(16,3313220,'1',404,'N'),(16,3313239,'1',9,'N'),(16,3313263,'1',238,'N'),(16,3313271,'1',327,'N'),(16,3313280,'1',5,'N'),(16,3313298,'1',301,'N'),(16,3313301,'1',320,'N'),(16,3313310,'1',316,'N'),(16,3313328,'1',309,'N'),(16,3313336,'1',303,'N'),(16,3313344,'1',5,'N'),(16,3313352,'1',102,'N'),(16,3313360,'1',316,'N'),(16,3313379,'1',308,'N'),(16,3313387,'1',233,'N'),(16,3313387,'1A',238,'N'),(16,3313395,'1',103,'N'),(16,3313409,'1',5,'N'),(16,3313425,'1',428,'N'),(16,3313425,'1A',426,'N'),(16,3313433,'1',5,'N'),(16,3313441,'1',9,'N'),(16,3313450,'1',102,'N'),(16,3313468,'1',207,'N'),(16,3313468,'1A',201,'N'),(16,3313476,'1',201,'N'),(16,3313476,'1A',212,'N'),(16,3313484,'1',220,'N'),(16,3313484,'1A',202,'N'),(16,3313492,'1',301,'N'),(16,3313506,'1',404,'N'),(16,3313514,'1',238,'N'),(16,3313514,'1A',208,'N'),(16,3313522,'1',303,'N'),(16,3313530,'1',202,'N'),(16,3313530,'1A',201,'N'),(16,3313549,'1',319,'N'),(16,3313565,'1',316,'N'),(16,3313573,'1',331,'N'),(16,3313581,'1',319,'N'),(16,3313590,'1',101,'N'),(16,3313603,'1',319,'N'),(16,3313611,'1',318,'N'),(16,3313620,'1',203,'N'),(16,3313620,'1A',201,'N'),(16,3313646,'1',317,'N'),(16,3313654,'1',108,'N'),(16,3313662,'1',207,'N'),(16,3313662,'1A',201,'N'),(16,3313670,'1',101,'N'),(16,3313689,'1',108,'N'),(16,3313697,'1',5,'N'),(16,3313700,'1',333,'N'),(16,3313719,'1',214,'N'),(16,3313719,'1A',220,'N'),(16,3313727,'1',333,'N'),(16,3313735,'1',202,'N'),(16,3313735,'1A',213,'N'),(16,3313743,'1',309,'N'),(16,3313778,'1',340,'N'),(16,3313786,'1',238,'N'),(16,3313786,'1A',208,'N'),(16,3313794,'1',316,'N'),(16,3313808,'1',423,'N'),(16,3313808,'1A',426,'N'),(16,3313816,'1',101,'N'),(16,3313824,'1',5,'N'),(16,3313832,'1',234,'N'),(16,3313840,'1',201,'N'),(16,3313840,'1A',212,'N'),(16,3313867,'1',420,'N'),(16,3313875,'1',429,'N'),(16,3313875,'1A',423,'N'),(16,3313883,'1',207,'N'),(16,3313891,'1',501,'N'),(16,3313905,'1',319,'N'),(16,3313913,'1',332,'N'),(16,3313921,'1',104,'N'),(16,3313930,'1',108,'N'),(16,3313948,'1',501,'N'),(16,3313956,'1',238,'N'),(16,3313956,'1A',208,'N'),(16,3313964,'1',423,'N'),(16,3313964,'1A',427,'N'),(16,3313972,'1',340,'N'),(16,3313980,'1',202,'N'),(16,3313980,'1A',213,'N'),(16,3313999,'1',303,'N'),(16,3314006,'1',214,'N'),(16,3314006,'1A',211,'N'),(16,3314014,'1',103,'N'),(16,3314030,'1',304,'N'),(16,3314049,'1',444,'N'),(16,3314057,'1',103,'N'),(16,3314065,'1',339,'N'),(16,3314073,'1',103,'N'),(16,3314081,'1',104,'N'),(16,3314090,'1',5,'N'),(16,3314111,'1',310,'N'),(16,3314146,'1',428,'N'),(16,3314146,'1A',421,'N'),(16,3314154,'1',340,'N'),(16,3314162,'1',102,'N'),(16,3314170,'1',103,'N'),(16,3314189,'1',301,'N'),(16,3314200,'1',324,'N'),(16,3314219,'1',332,'N'),(16,3314227,'1',101,'N'),(16,3314243,'1',220,'N'),(16,3314243,'1A',216,'N'),(16,3314251,'1',102,'N'),(16,3314260,'1',316,'N'),(16,3314278,'1',301,'N'),(16,3314286,'1',309,'N'),(16,3314294,'1',207,'N'),(16,3314294,'1A',211,'N'),(16,3314308,'1',318,'N'),(16,3314316,'1',5,'N'),(16,3314324,'1',444,'N'),(16,3314332,'1',238,'N'),(16,3314332,'1A',212,'N'),(16,3314340,'1',303,'N'),(16,3314359,'1',207,'N'),(16,3314367,'1',444,'N'),(16,3314375,'1',450,'N'),(16,3314383,'1',340,'N'),(16,3314391,'1',213,'N'),(16,3314391,'1A',212,'N'),(16,3314405,'1',5,'N'),(16,3314413,'1',319,'N'),(16,3314421,'1',201,'N'),(16,3314421,'1A',212,'N'),(16,3314430,'1',9,'N'),(16,3314456,'1',340,'N'),(16,3314464,'1',208,'N'),(16,3314464,'1A',238,'N'),(16,3314472,'1',101,'N'),(16,3314480,'1',103,'N'),(16,3314499,'1',9,'N'),(16,3314502,'1',329,'N'),(16,3314510,'1',326,'N'),(16,3314529,'1',104,'N'),(16,3314537,'1',103,'N'),(16,3314545,'1',103,'N'),(16,3314561,'1',108,'N'),(16,3314570,'1',201,'N'),(16,3314570,'1A',212,'N'),(16,3314588,'1',201,'N'),(16,3314588,'1A',212,'N'),(16,3314596,'1',420,'N'),(16,3314600,'1',207,'N'),(16,3314600,'1A',201,'N'),(16,3314618,'1',208,'N'),(16,3314618,'1A',238,'N'),(16,3314626,'1',340,'N'),(16,3314634,'1',233,'N'),(16,3314634,'1A',215,'N'),(16,3314642,'1',303,'N'),(16,3314650,'1',340,'N'),(16,3314669,'1',453,'N'),(16,3314677,'1',415,'N'),(16,3314685,'1',308,'N'),(16,3314693,'1',103,'N'),(16,3314707,'1',317,'N'),(16,3314715,'1',103,'N'),(16,3314723,'1',108,'N'),(16,3314731,'1',301,'N'),(16,3314740,'1',103,'N'),(16,3314766,'1',303,'N'),(16,3314774,'1',320,'N'),(16,3314790,'1',103,'N'),(16,3314804,'1',501,'N'),(16,3314812,'1',220,'N'),(16,3314812,'1A',202,'N'),(16,3314839,'1',103,'N'),(16,3314855,'1',501,'N'),(16,3314863,'1',301,'N'),(16,3314871,'1',238,'N'),(16,3314871,'1A',208,'N'),(16,3314880,'1',316,'N'),(16,3314898,'1',304,'N'),(16,3314901,'1',316,'N'),(16,3314910,'1',340,'N'),(16,3314936,'1',103,'N'),(16,3314944,'1',301,'N'),(16,3314960,'1',501,'N'),(16,3314979,'1',202,'N'),(16,3314979,'1A',203,'N'),(16,3314987,'1',319,'N'),(16,3314995,'1',318,'N'),(16,3315002,'1',203,'N'),(16,3315002,'1A',207,'N'),(16,3315010,'1',216,'N'),(16,3315010,'1A',203,'N'),(16,3315029,'1',214,'N'),(16,3315029,'1A',211,'N'),(16,3315037,'1',303,'N'),(16,3315045,'1',309,'N'),(16,3315053,'1',211,'N'),(16,3315053,'1A',208,'N'),(16,3315061,'1',426,'N'),(16,3315070,'1',303,'N'),(16,3315096,'1',225,'N'),(16,3315100,'1',316,'N'),(16,3315118,'1',208,'N'),(16,3315118,'1A',238,'N'),(16,3315126,'1',302,'N'),(16,3315134,'1',5,'N'),(16,3315142,'1',502,'N'),(16,3315150,'1',333,'N'),(16,3315169,'1',3,'N'),(16,3315177,'1',203,'N'),(16,3315185,'1',213,'N'),(16,3315185,'1A',211,'N'),(16,3315193,'1',425,'N'),(16,3315193,'1A',424,'N'),(16,3315207,'1',404,'N'),(16,3315215,'1',103,'N'),(16,3315223,'1',5,'N'),(16,3315240,'1',332,'N'),(16,3315258,'1',332,'N'),(16,3315266,'1',213,'N'),(16,3315282,'1',444,'N'),(16,3315290,'1',5,'N'),(16,3315312,'1',5,'N'),(16,3315339,'1',233,'N'),(16,3315339,'1A',212,'N'),(16,3315347,'1',303,'N'),(16,3315355,'1',318,'N'),(16,3315363,'1',202,'N'),(16,3315363,'1A',203,'N'),(16,3315371,'1',103,'N'),(16,3315380,'1',301,'N'),(16,3315398,'1',104,'N'),(16,3315401,'1',309,'N'),(16,3315410,'1',203,'N'),(16,3315410,'1A',207,'N'),(16,3315428,'1',425,'N'),(16,3315428,'1A',424,'N'),(16,3315436,'1',319,'N'),(16,3315444,'1',451,'N'),(16,3315452,'1',451,'N'),(16,3315460,'1',201,'N'),(16,3315460,'1A',212,'N'),(16,3315479,'1',318,'N'),(16,3315487,'1',207,'N'),(16,3315495,'1',316,'N'),(16,3315509,'1',5,'N'),(16,3315517,'1',332,'N'),(16,3315533,'1',444,'N'),(16,3315541,'1',104,'N'),(16,3315550,'1',319,'N'),(16,3315568,'1',316,'N'),(16,3315576,'1',5,'N'),(16,3315584,'1',339,'N'),(16,3315592,'1',420,'N'),(16,3315606,'1',203,'N'),(16,3315606,'1A',214,'N'),(16,3315622,'1',444,'N'),(16,3315630,'1',104,'N'),(16,3315649,'1',340,'N'),(16,3315657,'1',103,'N'),(16,3315665,'1',103,'N'),(16,3315681,'1',502,'N'),(16,3315703,'1',214,'N'),(16,3315703,'1A',220,'N'),(16,3315711,'1',308,'N'),(16,3315720,'1',103,'N'),(16,3315738,'1',316,'N'),(16,3315746,'1',101,'N'),(16,3315754,'1',201,'N'),(16,3315754,'1A',207,'N'),(16,3315762,'1',220,'N'),(16,3315762,'1A',203,'N'),(16,3315770,'1',453,'N'),(16,3315789,'1',216,'N'),(16,3315789,'1A',215,'N'),(16,3315819,'1',103,'N'),(16,3315843,'1',103,'N'),(16,3315851,'1',101,'N'),(16,3315860,'1',444,'N'),(16,3315878,'1',308,'N'),(16,3315886,'1',208,'N'),(16,3315886,'1A',238,'N'),(16,3315894,'1',308,'N'),(16,3315908,'1',211,'N'),(16,3315908,'1A',207,'N'),(16,3315916,'1',103,'N'),(16,3315924,'1',302,'N'),(16,3315932,'1',304,'N'),(16,3315959,'1',103,'N'),(16,3315975,'1',303,'N'),(16,3315983,'1',201,'N'),(16,3315983,'1A',238,'N'),(16,3316009,'1',220,'N'),(16,3316017,'1',316,'N'),(16,3316025,'1',329,'N'),(16,3316033,'1',202,'N'),(16,3316033,'1A',211,'N'),(16,3316041,'1',308,'N'),(16,3316050,'1',415,'N'),(16,3316068,'1',103,'N'),(16,3316076,'1',304,'N'),(16,3316084,'1',339,'N'),(16,3316092,'1',208,'N'),(16,3316092,'1A',238,'N'),(16,3316106,'1',318,'N'),(16,3316114,'1',213,'N'),(16,3316114,'1A',238,'N'),(16,3316122,'1',207,'N'),(16,3316122,'1A',216,'N'),(16,3316130,'1',104,'N'),(16,3316149,'1',421,'N'),(16,3316157,'1',304,'N'),(16,3316165,'1',453,'N'),(16,3316203,'1',429,'N'),(16,3316203,'1A',423,'N'),(16,3316211,'1',104,'N'),(16,3316220,'1',318,'N'),(16,3316238,'1',340,'N'),(16,3316246,'1',214,'N'),(16,3316246,'1A',212,'N'),(16,3316254,'1',234,'N'),(16,3316262,'1',108,'N'),(16,3316270,'1',301,'N'),(16,3316289,'1',316,'N'),(16,3316297,'1',103,'N'),(16,3316300,'1',318,'N'),(16,3316319,'1',103,'N'),(16,3316327,'1',233,'N'),(16,3316327,'1A',201,'N'),(16,3316335,'1',319,'N'),(16,3316343,'1',428,'N'),(16,3316343,'1A',421,'N'),(16,3316351,'1',332,'N'),(16,3316360,'1',320,'N'),(16,3316378,'1',5,'N'),(16,3316386,'1',224,'N'),(16,3316394,'1',103,'N'),(16,3316408,'1',404,'N'),(16,3316416,'1',103,'N'),(16,3316424,'1',319,'N'),(16,3316459,'1',104,'N'),(16,3316483,'1',238,'N'),(16,3316483,'1A',208,'N'),(16,3316491,'1',103,'N'),(16,3316505,'1',211,'N'),(16,3316505,'1A',201,'N'),(16,3316513,'1',319,'N'),(16,3316521,'1',327,'N'),(16,3316548,'1',5,'N'),(16,3316556,'1',317,'N'),(16,3316564,'1',207,'N'),(16,3316564,'1A',238,'N'),(16,3316572,'1',208,'N'),(16,3316572,'1A',202,'N'),(16,3316580,'1',211,'N'),(16,3316580,'1A',208,'N'),(16,3316599,'1',212,'N'),(16,3316599,'1A',213,'N'),(16,3316610,'1',340,'N'),(16,3316629,'1',303,'N'),(16,3316637,'1',309,'N'),(16,3316645,'1',308,'N'),(16,3316653,'1',319,'N'),(16,3316670,'1',303,'N'),(16,3316688,'1',301,'N'),(16,3316696,'1',216,'N'),(16,3316696,'1A',211,'N'),(16,3316700,'1',207,'N'),(16,3316700,'1A',201,'N'),(16,3316718,'1',319,'N'),(16,3316726,'1',234,'N'),(16,3316734,'1',318,'N'),(16,3316742,'1',211,'N'),(16,3316742,'1A',216,'N'),(16,3316750,'1',220,'N'),(16,3316750,'1A',212,'N'),(16,3316769,'1',301,'N'),(16,3316777,'1',428,'N'),(16,3316785,'1',317,'N'),(16,3316793,'1',333,'N'),(16,3316807,'1',216,'N'),(16,3316807,'1A',201,'N'),(16,3316815,'1',220,'N'),(16,3316815,'1A',211,'N'),(16,3316823,'1',340,'N'),(16,3316831,'1',220,'N'),(16,3316831,'1A',203,'N'),(16,3316858,'1',103,'N'),(16,3316866,'1',216,'N'),(16,3316874,'1',103,'N'),(16,3316882,'1',108,'N'),(16,3316890,'1',9,'N'),(16,3316904,'1',316,'N'),(16,3316920,'1',215,'N'),(16,3316920,'1A',233,'N'),(16,3316947,'1',319,'N'),(16,3316955,'1',302,'N'),(16,3316963,'1',301,'N'),(16,3316971,'1',303,'N'),(16,3316980,'1',303,'N'),(16,3317005,'1',428,'N'),(16,3317005,'1A',423,'N'),(16,3317013,'1',2,'N'),(16,3317021,'1',332,'N'),(16,3317030,'1',103,'N'),(16,3317048,'1',319,'N'),(16,3317056,'1',501,'N'),(16,3317064,'1',224,'N'),(16,3317080,'1',103,'N'),(16,3317099,'1',203,'N'),(16,3317099,'1A',214,'N'),(16,3317102,'1',303,'N'),(16,3317110,'1',318,'N'),(16,3317129,'1',207,'N'),(16,3317129,'1A',201,'N'),(16,3317137,'1',426,'N'),(16,3317137,'1A',428,'N'),(16,3317145,'1',5,'N'),(16,3317153,'1',301,'N'),(16,3317161,'1',302,'N'),(16,3317170,'1',308,'N'),(16,3317188,'1',102,'N'),(16,3317196,'1',332,'N'),(16,3317200,'1',103,'N'),(16,3317226,'1',103,'N'),(16,3317242,'1',238,'N'),(16,3317250,'1',5,'N'),(16,3317269,'1',310,'N'),(16,3317285,'1',324,'N'),(16,3317293,'1',101,'N'),(16,3317307,'1',316,'N'),(16,3317315,'1',203,'N'),(16,3317315,'1A',233,'N'),(16,3317331,'1',415,'N'),(16,3317358,'1',326,'N'),(16,3317366,'1',238,'N'),(16,3317366,'1A',215,'N'),(16,3317374,'1',318,'N'),(16,3317382,'1',502,'N'),(16,3317390,'1',103,'N'),(16,3317404,'1',415,'N'),(16,3317412,'1',303,'N'),(16,3317439,'1',423,'N'),(16,3317439,'1A',426,'N'),(16,3317447,'1',319,'N'),(16,3317455,'1',444,'N'),(16,3317463,'1',450,'N'),(16,3317471,'1',215,'N'),(16,3317471,'1A',207,'N'),(16,3317480,'1',453,'N'),(16,3317498,'1',302,'N'),(16,3317501,'1',415,'N'),(16,3317528,'1',203,'N'),(16,3317536,'1',302,'N'),(16,3317544,'1',415,'N'),(16,3317560,'1',103,'N'),(16,3317579,'1',238,'N'),(16,3317579,'1A',208,'N'),(16,3317587,'1',225,'N'),(16,3317595,'1',201,'N'),(16,3317595,'1A',211,'N'),(16,3317609,'1',5,'N'),(16,3317617,'1',316,'N'),(16,3317625,'1',316,'N'),(16,3317633,'1',103,'N'),(16,3317641,'1',103,'N'),(16,3317668,'1',318,'N'),(16,3317676,'1',207,'N'),(16,3317684,'1',214,'N'),(16,3317684,'1A',203,'N'),(16,3317692,'1',404,'N'),(16,3317706,'1',5,'N'),(16,3317722,'1',502,'N'),(16,3317730,'1',201,'N'),(16,3317730,'1A',203,'N'),(16,3317757,'1',420,'N'),(16,3317765,'1',207,'N'),(16,3317773,'1',201,'N'),(16,3317773,'1A',211,'N'),(16,3317781,'1',208,'N'),(16,3317781,'1A',201,'N'),(16,3317790,'1',444,'N'),(16,3317803,'1',103,'N'),(16,3317811,'1',203,'N'),(16,3317811,'1A',202,'N'),(16,3317820,'1',103,'N'),(16,3317838,'1',216,'N'),(16,3317846,'1',319,'N'),(16,3317862,'1',103,'N'),(16,3317870,'1',303,'N'),(16,3317889,'1',5,'N'),(16,3317897,'1',214,'N'),(16,3317897,'1A',201,'N'),(16,3317900,'1',301,'N'),(16,3317919,'1',328,'N'),(16,3317927,'1',425,'N'),(16,3317927,'1A',427,'N'),(16,3317935,'1',208,'N'),(16,3317935,'1A',201,'N'),(16,3317943,'1',103,'N'),(16,3317951,'1',202,'N'),(16,3317978,'1',103,'N'),(16,3317986,'1',5,'N'),(16,3317994,'1',303,'N'),(16,3318001,'1',103,'N'),(16,3318010,'1',329,'N'),(16,3318028,'1',502,'N'),(16,3318036,'1',103,'N'),(16,3318044,'1',103,'N'),(16,3318052,'1',453,'N'),(16,3318060,'1',310,'N'),(16,3318079,'1',428,'N'),(16,3318079,'1A',426,'N'),(16,3318087,'1',103,'N'),(16,3318095,'1',423,'N'),(16,3318109,'1',319,'N'),(16,3318117,'1',208,'N'),(16,3318117,'1A',238,'N'),(16,3318133,'1',103,'N'),(16,3318141,'1',319,'N'),(16,3318168,'1',202,'N'),(16,3318168,'1A',208,'N'),(16,3318176,'1',333,'N'),(16,3318184,'1',424,'N'),(16,3318184,'1A',428,'N'),(16,3318206,'1',102,'N'),(16,3318214,'1',101,'N'),(16,3318222,'1',101,'N'),(16,3318230,'1',203,'N'),(16,3318249,'1',303,'N'),(16,3318265,'1',214,'N'),(16,3318265,'1A',203,'N'),(16,3318273,'1',301,'N'),(16,3318281,'1',404,'N'),(16,3318290,'1',225,'N'),(16,3318311,'1',9,'N'),(16,3318320,'1',451,'N'),(16,3318338,'1',425,'N'),(16,3318338,'1A',429,'N'),(16,3318346,'1',103,'N'),(16,3318362,'1',211,'N'),(16,3318362,'1A',201,'N'),(16,3318370,'1',201,'N'),(16,3318370,'1A',212,'N'),(16,3318389,'1',319,'N'),(16,3318397,'1',233,'N'),(16,3318397,'1A',211,'N'),(16,3318400,'1',316,'N'),(16,3318419,'1',415,'N'),(16,3318427,'1',308,'N'),(16,3318435,'1',444,'N'),(16,3318443,'1',211,'N'),(16,3318443,'1A',201,'N'),(16,3318451,'1',103,'N'),(16,3318460,'1',207,'N'),(16,3318460,'1A',215,'N'),(16,3318478,'1',339,'N'),(16,3318486,'1',208,'N'),(16,3318494,'1',317,'N'),(16,3318516,'1',220,'N'),(16,3318516,'1A',216,'N'),(16,3318524,'1',340,'N'),(16,3318540,'1',104,'N'),(16,3318559,'1',317,'N'),(16,3318567,'1',450,'N'),(16,3318575,'1',101,'N'),(16,3318583,'1',216,'N'),(16,3318583,'1A',203,'N'),(16,3318591,'1',103,'N'),(16,3318605,'1',320,'N'),(16,3318613,'1',308,'N'),(16,3318621,'1',233,'N'),(16,3318621,'1A',211,'N'),(16,3318630,'1',331,'N'),(16,3318648,'1',103,'N'),(16,3318656,'1',201,'N'),(16,3318656,'1A',203,'N'),(16,3318664,'1',208,'N'),(16,3318664,'1A',201,'N'),(16,3318672,'1',316,'N'),(16,3318680,'1',213,'N'),(16,3318680,'1A',238,'N'),(16,3318699,'1',202,'N'),(16,3318699,'1A',238,'N'),(16,3318710,'1',327,'N'),(16,3318729,'1',102,'N'),(16,3318745,'1',426,'N'),(16,3318745,'1A',427,'N'),(16,3318753,'1',103,'N'),(16,3318761,'1',5,'N'),(16,3318770,'1',205,'N'),(16,3318788,'1',103,'N'),(16,3318800,'1',104,'N'),(16,3318818,'1',316,'N'),(16,3318826,'1',201,'N'),(16,3318826,'1A',212,'N'),(16,3318834,'1',316,'N'),(16,3318842,'1',5,'N'),(16,3318850,'1',104,'N'),(16,3318877,'1',207,'N'),(16,3318885,'1',3,'N'),(16,3318893,'1',201,'N'),(16,3318893,'1A',202,'N'),(16,3318907,'1',103,'N'),(16,3318915,'1',420,'N'),(16,3318923,'1',331,'N'),(16,3318931,'1',303,'N'),(16,3318940,'1',303,'N'),(16,3318958,'1',202,'N'),(16,3318958,'1A',213,'N'),(16,3318966,'1',238,'N'),(16,3318966,'1A',208,'N'),(16,3318974,'1',303,'N'),(16,3318982,'1',5,'N'),(16,3318990,'1',451,'N'),(16,3319016,'1',415,'N'),(16,3319024,'1',429,'N'),(16,3319032,'1',201,'N'),(16,3319032,'1A',207,'N'),(16,3319040,'1',303,'N'),(16,3319059,'1',5,'N'),(16,3319067,'1',214,'N'),(16,3319067,'1A',213,'N'),(16,3319075,'1',201,'N'),(16,3319075,'1A',211,'N'),(16,3319083,'1',201,'N'),(16,3319083,'1A',207,'N'),(16,3319091,'1',207,'N'),(16,3319091,'1A',211,'N'),(16,3319105,'1',5,'N'),(16,3319113,'1',340,'N'),(16,3319121,'1',444,'N'),(16,3319130,'1',501,'N'),(16,3319148,'1',421,'N'),(16,3319148,'1A',427,'N'),(16,3319156,'1',102,'N'),(16,3319164,'1',203,'N'),(16,3319164,'1A',202,'N'),(16,3319172,'1',303,'N'),(16,3319199,'1',220,'N'),(16,3319199,'1A',238,'N'),(16,3319210,'1',216,'N'),(16,3319210,'1A',211,'N'),(16,3319229,'1',104,'N'),(16,3319237,'1',207,'N'),(16,3319237,'1A',233,'N'),(16,3319245,'1',301,'N'),(16,3319261,'1',201,'N'),(16,3319261,'1A',212,'N'),(16,3319270,'1',444,'N'),(16,3319288,'1',3,'N'),(16,3319300,'1',301,'N'),(16,3319318,'1',317,'N'),(16,3319326,'1',103,'N'),(16,3319350,'1',415,'N'),(16,3319369,'1',207,'N'),(16,3319369,'1A',201,'N'),(16,3319377,'1',303,'N'),(16,3319385,'1',103,'N'),(16,3319393,'1',103,'N'),(16,3319407,'1',223,'N'),(16,3319415,'1',207,'N'),(16,3319415,'1A',201,'N'),(16,3319423,'1',212,'N'),(16,3319423,'1A',201,'N'),(16,3319431,'1',340,'N'),(16,3319440,'1',207,'N'),(16,3319440,'1A',208,'N'),(16,3319458,'1',304,'N'),(16,3319466,'1',340,'N'),(16,3319474,'1',208,'N'),(16,3319474,'1A',238,'N'),(16,3319482,'1',301,'N'),(16,3319504,'1',102,'N'),(16,3319512,'1',317,'N'),(16,3319520,'1',211,'N'),(16,3319520,'1A',207,'N'),(16,3319539,'1',103,'N'),(16,3319555,'1',5,'N'),(16,3319580,'1',238,'N'),(16,3319580,'1A',208,'N'),(16,3319598,'1',304,'N'),(16,3319601,'1',340,'N'),(16,3319610,'1',208,'N'),(16,3319610,'1A',207,'N'),(16,3319628,'1',202,'N'),(16,3319628,'1A',238,'N'),(16,3319636,'1',453,'N'),(16,3319644,'1',5,'N'),(16,3319652,'1',2,'N'),(16,3319679,'1',207,'N'),(16,3319679,'1A',202,'N'),(16,3319687,'1',103,'N'),(16,3319695,'1',225,'N'),(16,3319709,'1',501,'N'),(16,3319717,'1',319,'N'),(16,3319725,'1',207,'N'),(16,3319733,'1',103,'N'),(16,3319741,'1',303,'N'),(16,3319768,'1',201,'N'),(16,3319776,'1',203,'N'),(16,3319776,'1A',216,'N'),(16,3319784,'1',5,'N'),(16,3319792,'1',309,'N'),(16,3319806,'1',103,'N'),(16,3319814,'1',203,'N'),(16,3319814,'1A',201,'N'),(16,3319822,'1',319,'N'),(16,3319830,'1',103,'N'),(16,3319849,'1',103,'N'),(16,3319865,'1',207,'N'),(16,3319865,'1A',201,'N'),(16,3319873,'1',404,'N'),(16,3319881,'1',420,'N'),(16,3319890,'1',207,'N'),(16,3319890,'1A',201,'N'),(16,3319903,'1',340,'N'),(16,3319920,'1',214,'N'),(16,3319920,'1A',212,'N'),(16,3319938,'1',317,'N'),(16,3319946,'1',404,'N'),(16,3319954,'1',316,'N'),(16,3319962,'1',202,'N'),(16,3319962,'1A',212,'N'),(16,3319970,'1',220,'N'),(16,3319970,'1A',201,'N'),(16,3319989,'1',303,'N'),(16,3319997,'1',207,'N'),(16,3319997,'1A',216,'N'),(16,3320006,'1',103,'N'),(16,3320022,'1',317,'N'),(16,3320030,'1',302,'N'),(16,3320049,'1',501,'N'),(16,3320057,'1',203,'N'),(16,3320057,'1A',212,'N'),(16,3320065,'1',502,'N'),(16,3320073,'1',216,'N'),(16,3320073,'1A',215,'N'),(16,3320081,'1',319,'N'),(16,3320090,'1',103,'N'),(16,3320111,'1',404,'N'),(16,3320138,'1',404,'N'),(16,3320146,'1',303,'N'),(16,3320154,'1',202,'N'),(16,3320154,'1A',213,'N'),(16,3320162,'1',316,'N'),(16,3320170,'1',208,'N'),(16,3320170,'1A',214,'N'),(16,3320189,'1',216,'N'),(16,3320189,'1A',211,'N'),(16,3320197,'1',238,'N'),(16,3320197,'1A',208,'N'),(16,3320200,'1',202,'N'),(16,3320200,'1A',220,'N'),(16,3320219,'1',5,'N'),(16,3320227,'1',502,'N'),(16,3320235,'1',102,'N'),(16,3320251,'1',444,'N'),(16,3320260,'1',108,'N'),(16,3320278,'1',238,'N'),(16,3320278,'1A',208,'N'),(16,3320286,'1',425,'N'),(16,3320286,'1A',429,'N'),(16,3320294,'1',220,'N'),(16,3320294,'1A',203,'N'),(16,3320308,'1',425,'N'),(16,3320308,'1A',424,'N'),(16,3320316,'1',220,'N'),(16,3320332,'1',201,'N'),(16,3320332,'1A',238,'N'),(16,3320340,'1',308,'N'),(16,3320359,'1',104,'N'),(16,3320367,'1',320,'N'),(16,3320375,'1',220,'N'),(16,3320383,'1',103,'N'),(16,3320405,'1',201,'N'),(16,3320405,'1A',203,'N'),(16,3320413,'1',203,'N'),(16,3320413,'1A',216,'N'),(16,3320421,'1',3,'N'),(16,3320430,'1',103,'N'),(16,3320448,'1',420,'N'),(16,3320456,'1',303,'N'),(16,3320464,'1',303,'N'),(16,3320472,'1',303,'N'),(16,3320480,'1',103,'N'),(16,3320499,'1',340,'N'),(16,3320502,'1',425,'N'),(16,3320502,'1A',426,'N'),(16,3320510,'1',310,'N'),(16,3320537,'1',103,'N'),(16,3320545,'1',207,'N'),(16,3320545,'1A',201,'N'),(16,3320553,'1',211,'N'),(16,3320553,'1A',216,'N'),(16,3320561,'1',301,'N'),(16,3320570,'1',420,'N'),(16,3320588,'1',5,'N'),(16,3320596,'1',207,'N'),(16,3320596,'1A',233,'N'),(16,3320600,'1',216,'N'),(16,3320600,'1A',214,'N'),(16,3320626,'1',5,'N'),(16,3320634,'1',102,'N'),(16,3320642,'1',220,'N'),(16,3320642,'1A',214,'N'),(16,3320650,'1',317,'N'),(16,3320669,'1',501,'N'),(16,3320677,'1',309,'N'),(16,3320715,'1',308,'N'),(16,3320723,'1',238,'N'),(16,3320723,'1A',233,'N'),(16,3320731,'1',415,'N'),(16,3320758,'1',2,'N'),(16,3320766,'1',101,'N'),(16,3320774,'1',316,'N'),(16,3320782,'1',329,'N'),(16,3320790,'1',223,'N'),(16,3320804,'1',108,'N'),(16,3320812,'1',333,'N'),(16,3320820,'1',428,'N'),(16,3320820,'1A',425,'N'),(16,3320839,'1',415,'N'),(16,3320847,'1',103,'N'),(16,3320855,'1',5,'N'),(16,3320863,'1',214,'N'),(16,3320863,'1A',212,'N'),(16,3320871,'1',103,'N'),(16,3320880,'1',9,'N'),(16,3320901,'1',207,'N'),(16,3320901,'1A',201,'N'),(16,3320910,'1',302,'N'),(16,3320928,'1',317,'N'),(16,3320936,'1',3,'N'),(16,3320944,'1',103,'N'),(16,3320952,'1',301,'N'),(16,3320979,'1',501,'N'),(16,3320987,'1',340,'N'),(16,3320995,'1',5,'N'),(16,3321002,'1',301,'N'),(16,3321010,'1',207,'N'),(16,3321010,'1A',201,'N'),(16,3321029,'1',103,'N'),(16,3321037,'1',453,'N'),(16,3321045,'1',5,'N'),(16,3321061,'1',103,'N'),(16,3321070,'1',234,'N'),(16,3321096,'1',208,'N'),(16,3321096,'1A',238,'N'),(16,3321100,'1',316,'N'),(16,3321118,'1',207,'N'),(16,3321118,'1A',202,'N'),(16,3321126,'1',502,'N'),(16,3321134,'1',420,'N'),(16,3321142,'1',502,'N'),(16,3321150,'1',5,'N'),(16,3321169,'1',326,'N'),(16,3321177,'1',201,'N'),(16,3321177,'1A',211,'N'),(16,3321185,'1',303,'N'),(16,3321193,'1',304,'N'),(16,3321207,'1',426,'N'),(16,3321207,'1A',428,'N'),(16,3321215,'1',332,'N'),(16,3321223,'1',103,'N'),(16,3321231,'1',450,'N'),(16,3321240,'1',101,'N'),(16,3321258,'1',319,'N'),(16,3321266,'1',415,'N'),(16,3321282,'1',207,'N'),(16,3321282,'1A',216,'N'),(16,3321290,'1',238,'N'),(16,3321290,'1A',208,'N'),(16,3321304,'1',404,'N'),(16,3321312,'1',423,'N'),(16,3321312,'1A',427,'N'),(16,3321320,'1',220,'N'),(16,3321320,'1A',203,'N'),(16,3321339,'1',103,'N'),(16,3321355,'1',201,'N'),(16,3321355,'1A',207,'N'),(16,3321363,'1',502,'N'),(16,3321380,'1',502,'N'),(16,3321398,'1',103,'N'),(16,3321401,'1',425,'N'),(16,3321410,'1',103,'N'),(16,3321436,'1',451,'N'),(16,3321444,'1',501,'N'),(16,3321452,'1',424,'N'),(16,3321452,'1A',425,'N'),(16,3321460,'1',318,'N'),(16,3321487,'1',340,'N'),(16,3321495,'1',316,'N'),(16,3321509,'1',423,'N'),(16,3321509,'1A',428,'N'),(16,3321517,'1',5,'N'),(16,3321525,'1',201,'N'),(16,3321525,'1A',203,'N'),(16,3321533,'1',103,'N'),(16,3321541,'1',233,'N'),(16,3321541,'1A',207,'N'),(16,3321550,'1',301,'N'),(16,3321576,'1',452,'N'),(16,3321584,'1',333,'N'),(16,3321606,'1',5,'N'),(16,3321614,'1',103,'N'),(16,3321622,'1',453,'N'),(16,3321630,'1',208,'N'),(16,3321649,'1',303,'N'),(16,3321657,'1',319,'N'),(16,3321665,'1',202,'N'),(16,3321665,'1A',213,'N'),(16,3321673,'1',304,'N'),(16,3321681,'1',420,'N'),(16,3321703,'1',5,'N'),(16,3321711,'1',415,'N'),(16,3321720,'1',201,'N'),(16,3321720,'1A',216,'N'),(16,3321738,'1',203,'N'),(16,3321738,'1A',207,'N'),(16,3321746,'1',103,'N'),(16,3321754,'1',104,'N'),(16,3321762,'1',208,'N'),(16,3321789,'1',5,'N'),(16,3321797,'1',5,'N'),(16,3321800,'1',201,'N'),(16,3321800,'1A',216,'N'),(16,3321819,'1',301,'N'),(16,3321835,'1',101,'N'),(16,3321851,'1',404,'N'),(16,3321886,'1',103,'N'),(16,3321894,'1',340,'N'),(16,3321908,'1',333,'N'),(16,3321916,'1',5,'N'),(16,3321940,'1',207,'N'),(16,3321940,'1A',201,'N'),(16,3321959,'1',339,'N'),(16,3321983,'1',316,'N'),(16,3322009,'1',5,'N'),(16,3322017,'1',207,'N'),(16,3322017,'1A',201,'N'),(16,3322025,'1',340,'N'),(16,3322033,'1',452,'N'),(16,3322041,'1',421,'N'),(16,3322050,'1',318,'N'),(16,3322068,'1',223,'N'),(16,3322076,'1',202,'N'),(16,3322076,'1A',213,'N'),(16,3322084,'1',301,'N'),(16,3322092,'1',216,'N'),(16,3322092,'1A',215,'N'),(16,3322106,'1',207,'N'),(16,3322106,'1A',201,'N'),(16,3322114,'1',103,'N'),(16,3322122,'1',201,'N'),(16,3322130,'1',316,'N'),(16,3322157,'1',316,'N'),(16,3322165,'1',316,'N'),(16,3322173,'1',220,'N'),(16,3322173,'1A',203,'N'),(16,3322181,'1',304,'N'),(16,3322190,'1',201,'N'),(16,3322190,'1A',214,'N'),(16,3322203,'1',202,'N'),(16,3322203,'1A',203,'N'),(16,3322211,'1',320,'N'),(16,3322220,'1',328,'N'),(16,3322238,'1',215,'N'),(16,3322238,'1A',208,'N'),(16,3322246,'1',428,'N'),(16,3322254,'1',103,'N'),(16,3322262,'1',301,'N'),(16,3322270,'1',319,'N'),(16,3322289,'1',214,'N'),(16,3322289,'1A',211,'N'),(16,3322300,'1',450,'N'),(16,3322327,'1',5,'N'),(16,3322335,'1',309,'N'),(16,3322343,'1',238,'N'),(16,3322343,'1A',208,'N'),(16,3322351,'1',501,'N'),(16,3322360,'1',103,'N'),(16,3322378,'1',420,'N'),(16,3322386,'1',108,'N'),(16,3322394,'1',444,'N'),(16,3322408,'1',103,'N'),(16,3322416,'1',103,'N'),(16,3322424,'1',103,'N'),(16,3322432,'1',103,'N'),(16,3322440,'1',108,'N'),(16,3322467,'1',301,'N'),(16,3322475,'1',502,'N'),(16,3322483,'1',444,'N'),(16,3322521,'1',207,'N'),(16,3322521,'1A',201,'N'),(16,3322530,'1',103,'N'),(16,3322548,'1',303,'N'),(16,3322556,'1',316,'N'),(16,3322564,'1',201,'N'),(16,3322572,'1',222,'N'),(16,3322580,'1',103,'N'),(16,3322599,'1',103,'N'),(16,3322602,'1',220,'N'),(16,3322610,'1',101,'N'),(16,3322629,'1',238,'N'),(16,3322629,'1A',220,'N'),(16,3322637,'1',303,'N'),(16,3322645,'1',304,'N'),(16,3322653,'1',203,'N'),(16,3322653,'1A',216,'N'),(16,3322661,'1',103,'N'),(16,3322670,'1',220,'N'),(16,3322670,'1A',212,'N'),(16,3322696,'1',5,'N'),(16,3322700,'1',425,'N'),(16,3322718,'1',103,'N'),(16,3322726,'1',316,'N'),(16,3322734,'1',332,'N'),(16,3322742,'1',201,'N'),(16,3322742,'1A',203,'N'),(16,3322750,'1',327,'N'),(16,3322777,'1',233,'N'),(16,3322777,'1A',215,'N'),(16,3322785,'1',104,'N'),(16,3322793,'1',9,'N'),(16,3322807,'1',303,'N'),(16,3322815,'1',453,'N'),(16,3322831,'1',451,'N'),(16,3322840,'1',104,'N'),(16,3322858,'1',203,'N'),(16,3322858,'1A',214,'N'),(16,3322866,'1',207,'N'),(16,3322866,'1A',216,'N'),(16,3322874,'1',415,'N'),(16,3322882,'1',201,'N'),(16,3322882,'1A',212,'N'),(16,3322890,'1',309,'N'),(16,3322904,'1',108,'N'),(16,3322912,'1',319,'N'),(16,3322920,'1',318,'N'),(16,3322939,'1',339,'N'),(16,3322955,'1',302,'N'),(16,3322971,'1',202,'N'),(16,3322971,'1A',208,'N'),(16,3322980,'1',102,'N'),(16,3322998,'1',201,'N'),(16,3322998,'1A',212,'N'),(16,3323005,'1',208,'N'),(16,3323005,'1A',238,'N'),(16,3323013,'1',103,'N'),(16,3323030,'1',223,'N'),(16,3323048,'1',316,'N'),(16,3323056,'1',404,'N'),(16,3323064,'1',101,'N'),(16,3323072,'1',328,'N'),(16,3323080,'1',207,'N'),(16,3323080,'1A',211,'N'),(16,3323099,'1',103,'N'),(16,3323102,'1',303,'N'),(16,3323110,'1',207,'N'),(16,3323129,'1',208,'N'),(16,3323129,'1A',238,'N'),(16,3323137,'1',220,'N'),(16,3323137,'1A',212,'N'),(16,3323145,'1',318,'N'),(16,3323161,'1',317,'N'),(16,3323170,'1',216,'N'),(16,3323170,'1A',208,'N'),(16,3323188,'1',223,'N'),(16,3323200,'1',5,'N'),(16,3323218,'1',404,'N'),(16,3323226,'1',103,'N'),(16,3323234,'1',332,'N'),(16,3323242,'1',404,'N'),(16,3323250,'1',222,'N'),(16,3323269,'1',444,'N'),(16,3323277,'1',328,'N'),(16,3323293,'1',101,'N'),(16,3323315,'1',220,'N'),(16,3323315,'1A',202,'N'),(16,3323323,'1',102,'N'),(16,3323331,'1',201,'N'),(16,3323331,'1A',203,'N'),(16,3323340,'1',426,'N'),(16,3323358,'1',103,'N'),(16,3323382,'1',225,'N'),(16,3323390,'1',103,'N'),(16,3323412,'1',304,'N'),(16,3323420,'1',201,'N'),(16,3323420,'1A',212,'N'),(16,3323447,'1',202,'N'),(16,3323447,'1A',213,'N'),(16,3323455,'1',108,'N'),(16,3323463,'1',103,'N'),(16,3323471,'1',5,'N'),(16,3323480,'1',450,'N'),(16,3323498,'1',501,'N'),(16,3323501,'1',234,'N'),(16,3323536,'1',415,'N'),(16,3323544,'1',331,'N'),(16,3323552,'1',207,'N'),(16,3323552,'1A',211,'N'),(16,3323560,'1',104,'N'),(16,3323587,'1',103,'N'),(16,3323609,'1',203,'N'),(16,3323609,'1A',214,'N'),(16,3323617,'1',301,'N'),(16,3323625,'1',303,'N'),(16,3323633,'1',202,'N'),(16,3323641,'1',415,'N'),(16,3323650,'1',233,'N'),(16,3323650,'1A',216,'N'),(16,3323668,'1',211,'N'),(16,3323668,'1A',233,'N'),(16,3323676,'1',415,'N'),(16,3323684,'1',304,'N'),(16,3323692,'1',415,'N'),(16,3323706,'1',103,'N'),(16,3323722,'1',211,'N'),(16,3323722,'1A',214,'N'),(16,3323749,'1',238,'N'),(16,3323749,'1A',208,'N'),(16,3323757,'1',108,'N'),(16,3323773,'1',215,'N'),(16,3323773,'1A',216,'N'),(16,3323781,'1',103,'N'),(16,3323790,'1',208,'N'),(16,3323790,'1A',238,'N'),(16,3323803,'1',201,'N'),(16,3323803,'1A',212,'N'),(16,3323811,'1',205,'N'),(16,3323820,'1',302,'N'),(16,3323838,'1',201,'N'),(16,3323838,'1A',213,'N'),(16,3323854,'1',303,'N'),(16,3323862,'1',211,'N'),(16,3323862,'1A',215,'N'),(16,3323870,'1',108,'N'),(16,3323889,'1',208,'N'),(16,3323889,'1A',238,'N'),(16,3323897,'1',203,'N'),(16,3323900,'1',303,'N'),(16,3323919,'1',103,'N'),(16,3323927,'1',501,'N'),(16,3323935,'1',207,'N'),(16,3323935,'1A',233,'N'),(16,3323943,'1',340,'N'),(16,3323951,'1',331,'N'),(16,3323960,'1',425,'N'),(16,3323960,'1A',429,'N'),(16,3323978,'1',415,'N'),(16,3323986,'1',5,'N'),(16,3323994,'1',202,'N'),(16,3323994,'1A',213,'N'),(16,3324001,'1',103,'N'),(16,3324010,'1',340,'N'),(16,3324028,'1',103,'N'),(16,3324036,'1',450,'N'),(16,3324044,'1',301,'N'),(16,3324052,'1',225,'N'),(16,3324079,'1',303,'N'),(16,3324087,'1',201,'N'),(16,3324087,'1A',203,'N'),(16,3324095,'1',103,'N'),(16,3324109,'1',308,'N'),(16,3324117,'1',103,'N'),(16,3324125,'1',421,'N'),(16,3324141,'1',203,'N'),(16,3324141,'1A',202,'N'),(16,3324150,'1',317,'N'),(16,3324168,'1',303,'N'),(16,3324192,'1',103,'N'),(16,3324206,'1',303,'N'),(16,3324222,'1',333,'N'),(16,3324230,'1',9,'N'),(16,3324257,'1',301,'N'),(16,3324265,'1',501,'N'),(16,3324273,'1',340,'N'),(16,3324281,'1',103,'N'),(16,3324290,'1',301,'N'),(16,3324303,'1',103,'N'),(16,3324311,'1',428,'N'),(16,3324311,'1A',427,'N'),(16,3324320,'1',103,'N'),(16,3324338,'1',212,'N'),(16,3324338,'1A',201,'N'),(16,3324354,'1',213,'N'),(16,3324354,'1A',233,'N'),(16,3324362,'1',415,'N'),(16,3324370,'1',310,'N'),(16,3324389,'1',316,'N'),(16,3324397,'1',201,'N'),(16,3324397,'1A',212,'N'),(16,3324400,'1',415,'N'),(16,3324419,'1',211,'N'),(16,3324419,'1A',208,'N'),(16,3324427,'1',452,'N'),(16,3324443,'1',303,'N'),(16,3324451,'1',502,'N'),(16,3324460,'1',339,'N'),(16,3324478,'1',303,'N'),(16,3324486,'1',211,'N'),(16,3324494,'1',415,'N'),(16,3324516,'1',103,'N'),(16,3324524,'1',2,'N'),(16,3324532,'1',308,'N'),(16,3324540,'1',216,'N'),(16,3324540,'1A',214,'N'),(16,3324559,'1',103,'N'),(16,3324567,'1',428,'N'),(16,3324567,'1A',426,'N'),(16,3324575,'1',207,'N'),(16,3324575,'1A',201,'N'),(16,3324583,'1',328,'N'),(16,3324591,'1',202,'N'),(16,3324591,'1A',213,'N'),(16,3324613,'1',220,'N'),(16,3324613,'1A',201,'N'),(16,3324621,'1',101,'N'),(16,3324630,'1',404,'N'),(16,3324648,'1',415,'N'),(16,3324656,'1',453,'N'),(16,3324672,'1',339,'N'),(16,3324680,'1',108,'N'),(16,3324699,'1',340,'N'),(16,3324710,'1',104,'N'),(16,3324729,'1',211,'N'),(16,3324729,'1A',207,'N'),(16,3324737,'1',9,'N'),(16,3324745,'1',207,'N'),(16,3324745,'1A',203,'N'),(16,3324753,'1',302,'N'),(16,3324761,'1',333,'N'),(16,3324770,'1',207,'N'),(16,3324770,'1A',201,'N'),(16,3324788,'1',420,'N'),(16,3324796,'1',309,'N'),(16,3324800,'1',101,'N'),(16,3324818,'1',103,'N'),(16,3324826,'1',444,'N'),(16,3324842,'1',216,'N'),(16,3324842,'1A',201,'N'),(16,3324850,'1',103,'N'),(16,3324869,'1',203,'N'),(16,3324869,'1A',202,'N'),(16,3324877,'1',202,'N'),(16,3324877,'1A',214,'N'),(16,3324885,'1',208,'N'),(16,3324885,'1A',238,'N'),(16,3324893,'1',103,'N'),(16,3324915,'1',102,'N'),(16,3324923,'1',103,'N'),(16,3324931,'1',319,'N'),(16,3324966,'1',301,'N'),(16,3324974,'1',220,'N'),(16,3324974,'1A',201,'N'),(16,3324982,'1',224,'N'),(16,3325008,'1',444,'N'),(16,3325016,'1',201,'N'),(16,3325016,'1A',202,'N'),(16,3325040,'1',301,'N'),(16,3325059,'1',327,'N'),(16,3325067,'1',5,'N'),(16,3325075,'1',5,'N'),(16,3325083,'1',208,'N'),(16,3325083,'1A',238,'N'),(16,3325105,'1',327,'N'),(16,3325113,'1',303,'N'),(16,3325121,'1',304,'N'),(16,3325130,'1',303,'N'),(16,3325148,'1',2,'N'),(16,3325156,'1',502,'N'),(16,3325164,'1',328,'N'),(16,3325172,'1',212,'N'),(16,3325172,'1A',201,'N'),(16,3325199,'1',423,'N'),(16,3325199,'1A',427,'N'),(16,3325202,'1',428,'N'),(16,3325202,'1A',425,'N'),(16,3325210,'1',103,'N'),(16,3325229,'1',340,'N'),(16,3325237,'1',304,'N'),(16,3325253,'1',319,'N'),(16,3325261,'1',208,'N'),(16,3325261,'1A',238,'N'),(16,3325296,'1',103,'N'),(16,3325318,'1',203,'N'),(16,3325318,'1A',214,'N'),(16,3325326,'1',3,'N'),(16,3325334,'1',234,'N'),(16,3325369,'1',425,'N'),(16,3325369,'1A',423,'N'),(16,3325377,'1',327,'N'),(16,3325385,'1',423,'N'),(16,3325385,'1A',424,'N'),(16,3325407,'1',108,'N'),(16,3325415,'1',501,'N'),(16,3325423,'1',203,'N'),(16,3325423,'1A',214,'N'),(16,3325431,'1',332,'N'),(16,3325440,'1',317,'N'),(16,3325458,'1',207,'N'),(16,3325458,'1A',215,'N'),(16,3325482,'1',211,'N'),(16,3325482,'1A',201,'N'),(16,3325490,'1',2,'N'),(16,3325504,'1',404,'N'),(16,3325512,'1',453,'N'),(16,3325520,'1',331,'N'),(16,3325539,'1',328,'N'),(16,3325547,'1',339,'N'),(16,3325555,'1',309,'N'),(16,3325563,'1',238,'N'),(16,3325563,'1A',213,'N'),(16,3325571,'1',332,'N'),(16,3325580,'1',5,'N'),(16,3325598,'1',421,'N'),(16,3325598,'1A',428,'N'),(16,3325601,'1',340,'N'),(16,3325610,'1',316,'N'),(16,3325636,'1',103,'N'),(16,3325644,'1',211,'N'),(16,3325652,'1',103,'N'),(16,3325660,'1',203,'N'),(16,3325660,'1A',202,'N'),(16,3325679,'1',214,'N'),(16,3325679,'1A',208,'N'),(16,3325695,'1',201,'N'),(16,3325695,'1A',212,'N'),(16,3325709,'1',207,'N'),(16,3325709,'1A',203,'N'),(16,3325717,'1',327,'N'),(16,3325725,'1',103,'N'),(16,3325733,'1',9,'N'),(16,3325741,'1',220,'N'),(16,3325741,'1A',203,'N'),(16,3325750,'1',302,'N'),(16,3325768,'1',201,'N'),(16,3325768,'1A',207,'N'),(16,3325776,'1',303,'N'),(16,3325784,'1',303,'N'),(16,3325792,'1',316,'N'),(16,3325806,'1',340,'N'),(16,3325814,'1',303,'N'),(16,3325830,'1',104,'N'),(16,3325849,'1',103,'N'),(16,3325865,'1',212,'N'),(16,3325865,'1A',211,'N'),(16,3325873,'1',5,'N'),(16,3325881,'1',301,'N'),(16,3325911,'1',404,'N'),(16,3325920,'1',503,'N'),(16,3325938,'1',5,'N'),(16,3325946,'1',201,'N'),(16,3325946,'1A',212,'N'),(16,3325954,'1',309,'N'),(16,3325962,'1',103,'N'),(16,3325989,'1',102,'N'),(16,3326004,'1',103,'N'),(16,3326012,'1',203,'N'),(16,3326012,'1A',233,'N'),(16,3326020,'1',213,'N'),(16,3326020,'1A',212,'N'),(16,3326039,'1',103,'N'),(16,3326047,'1',302,'N'),(16,3326055,'1',327,'N'),(16,3326063,'1',103,'N'),(16,3326071,'1',304,'N'),(16,3326080,'1',207,'N'),(16,3326098,'1',104,'N'),(16,3326101,'1',211,'N'),(16,3326101,'1A',233,'N'),(16,3326110,'1',502,'N'),(16,3326128,'1',103,'N'),(16,3326136,'1',318,'N'),(16,3326152,'1',102,'N'),(16,3326179,'1',302,'N'),(16,3326187,'1',103,'N'),(16,3326195,'1',211,'N'),(16,3326195,'1A',201,'N'),(16,3326217,'1',326,'N'),(16,3326225,'1',9,'N'),(16,3326233,'1',317,'N'),(16,3326250,'1',103,'N'),(16,3326276,'1',450,'N'),(16,3326292,'1',103,'N'),(16,3326306,'1',201,'N'),(16,3326306,'1A',220,'N'),(16,3326314,'1',2,'N'),(16,3326322,'1',9,'N'),(16,3326330,'1',444,'N'),(16,3326349,'1',207,'N'),(16,3326349,'1A',201,'N'),(16,3326365,'1',214,'N'),(16,3326365,'1A',216,'N'),(16,3326373,'1',310,'N'),(16,3326390,'1',201,'N'),(16,3326390,'1A',208,'N'),(16,3326403,'1',9,'N'),(16,3326411,'1',425,'N'),(16,3326411,'1A',429,'N'),(16,3326420,'1',316,'N'),(16,3326438,'1',203,'N'),(16,3326438,'1A',233,'N'),(16,3326446,'1',303,'N'),(16,3326470,'1',216,'N'),(16,3326470,'1A',201,'N'),(16,3326489,'1',5,'N'),(16,3326497,'1',302,'N'),(16,3326500,'1',103,'N'),(16,3326519,'1',304,'N'),(16,3326535,'1',318,'N'),(16,3326551,'1',201,'N'),(16,3326560,'1',5,'N'),(16,3326578,'1',103,'N'),(16,3326586,'1',324,'N'),(16,3326594,'1',103,'N'),(16,3326608,'1',426,'N'),(16,3326608,'1A',424,'N'),(16,3326616,'1',102,'N'),(16,3326624,'1',404,'N'),(16,3326632,'1',103,'N'),(16,3326640,'1',415,'N'),(16,3326659,'1',2,'N'),(16,3326667,'1',332,'N'),(16,3326683,'1',9,'N'),(16,3326691,'1',207,'N'),(16,3326691,'1A',201,'N'),(16,3326713,'1',301,'N'),(16,3326721,'1',103,'N'),(16,3326730,'1',301,'N'),(16,3326748,'1',340,'N'),(16,3326764,'1',225,'N'),(16,3326772,'1',103,'N'),(16,3326780,'1',415,'N'),(16,3326799,'1',103,'N'),(16,3326802,'1',308,'N'),(16,3326810,'1',304,'N'),(16,3326829,'1',212,'N'),(16,3326829,'1A',238,'N'),(16,3326845,'1',318,'N'),(16,3326853,'1',319,'N'),(16,3326861,'1',203,'N'),(16,3326861,'1A',233,'N'),(16,3326870,'1',319,'N'),(16,3326888,'1',103,'N'),(16,3326896,'1',415,'N'),(16,3326900,'1',444,'N'),(16,3326918,'1',103,'N'),(16,3326926,'1',450,'N'),(16,3326934,'1',238,'N'),(16,3326934,'1A',208,'N'),(16,3326950,'1',5,'N'),(16,3326969,'1',201,'N'),(16,3326969,'1A',212,'N'),(16,3326977,'1',301,'N'),(16,3326985,'1',103,'N'),(16,3326993,'1',213,'N'),(16,3326993,'1A',202,'N'),(16,3327000,'1',214,'N'),(16,3327000,'1A',220,'N'),(16,3327019,'1',451,'N'),(16,3327035,'1',303,'N'),(16,3327043,'1',103,'N'),(16,3327051,'1',108,'N'),(16,3327060,'1',302,'N'),(16,3327078,'1',320,'N'),(16,3327086,'1',103,'N'),(16,3327094,'1',310,'N'),(16,3327108,'1',340,'N'),(16,3327124,'1',103,'N'),(16,3327132,'1',5,'N'),(16,3327140,'1',327,'N'),(16,3327167,'1',215,'N'),(16,3327183,'1',302,'N'),(16,3327191,'1',444,'N'),(16,3327205,'1',308,'N'),(16,3327230,'1',103,'N'),(16,3327248,'1',208,'N'),(16,3327256,'1',202,'N'),(16,3327256,'1A',201,'N'),(16,3327264,'1',201,'N'),(16,3327264,'1A',203,'N'),(16,3327272,'1',102,'N'),(16,3327280,'1',108,'N'),(16,3327299,'1',5,'N'),(16,3327329,'1',103,'N'),(16,3327337,'1',415,'N'),(16,3327345,'1',316,'N'),(16,3327353,'1',425,'N'),(16,3327353,'1A',429,'N'),(16,3327361,'1',238,'N'),(16,3327361,'1A',208,'N'),(16,3327388,'1',103,'N'),(16,3327400,'1',108,'N'),(16,3327418,'1',444,'N'),(16,3327426,'1',420,'N'),(16,3327434,'1',9,'N'),(16,3327442,'1',450,'N'),(16,3327450,'1',301,'N'),(16,3327469,'1',425,'N'),(16,3327469,'1A',423,'N'),(16,3327477,'1',213,'N'),(16,3327485,'1',223,'N'),(16,3327493,'1',444,'N'),(16,3327523,'1',339,'N'),(16,3327531,'1',318,'N'),(16,3327540,'1',103,'N'),(16,3327558,'1',202,'N'),(16,3327558,'1A',220,'N'),(16,3327566,'1',208,'N'),(16,3327566,'1A',203,'N'),(16,3327574,'1',104,'N'),(16,3327582,'1',103,'N'),(16,3327590,'1',317,'N'),(16,3327620,'1',103,'N'),(16,3327639,'1',326,'N'),(16,3327647,'1',211,'N'),(16,3327647,'1A',207,'N'),(16,3327655,'1',201,'N'),(16,3327655,'1A',212,'N'),(16,3327671,'1',108,'N'),(16,3327680,'1',5,'N'),(16,3327698,'1',302,'N'),(16,3327701,'1',319,'N'),(16,3327710,'1',103,'N'),(16,3327736,'1',420,'N'),(16,3327760,'1',303,'N'),(16,3327787,'1',216,'N'),(16,3327795,'1',103,'N'),(16,3327809,'1',316,'N'),(16,3327817,'1',319,'N'),(16,3327833,'1',326,'N'),(16,3327841,'1',202,'N'),(16,3327841,'1A',213,'N'),(16,3327868,'1',5,'N'),(16,3327884,'1',201,'N'),(16,3327884,'1A',211,'N'),(16,3327906,'1',103,'N'),(16,3327914,'1',317,'N'),(16,3327922,'1',201,'N'),(16,3327922,'1A',203,'N'),(16,3327949,'1',340,'N'),(16,3327957,'1',103,'N'),(16,3327965,'1',212,'N'),(16,3327965,'1A',211,'N'),(16,3327973,'1',103,'N'),(16,3327981,'1',425,'N'),(16,3327981,'1A',429,'N'),(16,3327990,'1',215,'N'),(16,3327990,'1A',211,'N'),(16,3328015,'1',201,'N'),(16,3328015,'1A',211,'N'),(16,3328023,'1',103,'N'),(16,3328040,'1',427,'N'),(16,3328040,'1A',424,'N'),(16,3328058,'1',202,'N'),(16,3328058,'1A',208,'N'),(16,3328066,'1',318,'N'),(16,3328074,'1',103,'N'),(16,3328090,'1',208,'N'),(16,3328090,'1A',238,'N'),(16,3328104,'1',316,'N'),(16,3328112,'1',102,'N'),(16,3328139,'1',203,'N'),(16,3328139,'1A',216,'N'),(16,3328147,'1',202,'N'),(16,3328147,'1A',208,'N'),(16,3328163,'1',415,'N'),(16,3328171,'1',453,'N'),(16,3328180,'1',301,'N'),(16,3328198,'1',103,'N'),(16,3328201,'1',5,'N'),(16,3328210,'1',5,'N'),(16,3328228,'1',310,'N'),(16,3328236,'1',303,'N'),(16,3328244,'1',301,'N'),(16,3328260,'1',420,'N'),(16,3328279,'1',207,'N'),(16,3328295,'1',301,'N'),(16,3328309,'1',420,'N'),(16,3328325,'1',9,'N'),(16,3328333,'1',102,'N'),(16,3328341,'1',207,'N'),(16,3328350,'1',420,'N'),(16,3328368,'1',316,'N'),(16,3328376,'1',332,'N'),(16,3328384,'1',207,'N'),(16,3328384,'1A',201,'N'),(16,3328392,'1',104,'N'),(16,3328406,'1',233,'N'),(16,3328406,'1A',216,'N'),(16,3328430,'1',319,'N'),(16,3328449,'1',421,'N'),(16,3328449,'1A',425,'N'),(16,3328457,'1',310,'N'),(16,3328465,'1',103,'N'),(16,3328473,'1',450,'N'),(16,3328481,'1',215,'N'),(16,3328481,'1A',211,'N'),(16,3328490,'1',103,'N'),(16,3328511,'1',420,'N'),(16,3328520,'1',2,'N'),(16,3328538,'1',103,'N'),(16,3328546,'1',316,'N'),(16,3328554,'1',104,'N'),(16,3328570,'1',108,'N'),(16,3328589,'1',452,'N'),(16,3328597,'1',303,'N'),(16,3328600,'1',203,'N'),(16,3328600,'1A',215,'N'),(16,3328627,'1',5,'N'),(16,3328643,'1',202,'N'),(16,3328651,'1',203,'N'),(16,3328651,'1A',202,'N'),(16,3328660,'1',104,'N'),(16,3328678,'1',103,'N'),(16,3328686,'1',234,'N'),(16,3328694,'1',303,'N'),(16,3328716,'1',301,'N'),(16,3328732,'1',9,'N'),(16,3328740,'1',103,'N'),(16,3328759,'1',207,'N'),(16,3328759,'1A',215,'N'),(16,3328767,'1',9,'N'),(16,3328775,'1',203,'N'),(16,3328775,'1A',201,'N'),(16,3328783,'1',450,'N'),(16,3328791,'1',5,'N'),(16,3328805,'1',425,'N'),(16,3328805,'1A',429,'N'),(16,3328821,'1',316,'N'),(16,3328830,'1',340,'N'),(16,3328848,'1',233,'N'),(16,3328848,'1A',220,'N'),(16,3328872,'1',238,'N'),(16,3328872,'1A',208,'N'),(16,3328910,'1',5,'N'),(16,3328929,'1',208,'N'),(16,3328929,'1A',238,'N'),(16,3328937,'1',215,'N'),(16,3328937,'1A',201,'N'),(16,3328945,'1',238,'N'),(16,3328945,'1A',203,'N'),(16,3328953,'1',332,'N'),(16,3328961,'1',309,'N'),(16,3328970,'1',415,'N'),(16,3328988,'1',501,'N'),(16,3328996,'1',301,'N'),(16,3329003,'1',201,'N'),(16,3329003,'1A',207,'N'),(16,3329020,'1',428,'N'),(16,3329020,'1A',421,'N'),(16,3329046,'1',425,'N'),(16,3329046,'1A',429,'N'),(16,3329054,'1',103,'N'),(16,3329062,'1',415,'N'),(16,3329089,'1',340,'N'),(16,3329119,'1',238,'N'),(16,3329119,'1A',220,'N'),(16,3329127,'1',303,'N'),(16,3329135,'1',404,'N'),(16,3329143,'1',427,'N'),(16,3329143,'1A',421,'N'),(16,3329151,'1',208,'N'),(16,3329151,'1A',207,'N'),(16,3329160,'1',103,'N'),(16,3329178,'1',303,'N'),(16,3329186,'1',233,'N'),(16,3329186,'1A',214,'N'),(16,3329194,'1',101,'N'),(16,3329208,'1',103,'N'),(16,3329216,'1',9,'N'),(16,3329224,'1',5,'N'),(16,3329240,'1',223,'N'),(16,3329259,'1',103,'N'),(16,3329267,'1',207,'N'),(16,3329267,'1A',201,'N'),(16,3329275,'1',103,'N'),(16,3329283,'1',428,'N'),(16,3329283,'1A',426,'N'),(16,3329305,'1',319,'N'),(16,3329313,'1',103,'N'),(16,3329321,'1',308,'N'),(16,3329348,'1',103,'N'),(16,3329356,'1',421,'N'),(16,3329356,'1A',424,'N'),(16,3329372,'1',301,'N'),(16,3329380,'1',5,'N'),(16,3329399,'1',319,'N'),(16,3329410,'1',9,'N'),(16,3329437,'1',208,'N'),(16,3329437,'1A',238,'N'),(16,3329445,'1',328,'N'),(16,3329453,'1',318,'N'),(16,3329461,'1',308,'N'),(16,3329470,'1',317,'N'),(16,3329488,'1',238,'N'),(16,3329488,'1A',208,'N'),(16,3329496,'1',415,'N'),(16,3329518,'1',103,'N'),(16,3329526,'1',5,'N'),(16,3329534,'1',319,'N'),(16,3329542,'1',310,'N'),(16,3329569,'1',203,'N'),(16,3329585,'1',331,'N'),(16,3329593,'1',208,'N'),(16,3329607,'1',304,'N'),(16,3329615,'1',211,'N'),(16,3329623,'1',404,'N'),(16,3329631,'1',104,'N'),(16,3329666,'1',211,'N'),(16,3329666,'1A',208,'N'),(16,3329682,'1',318,'N'),(16,3329690,'1',452,'N'),(16,3329704,'1',318,'N'),(16,3329712,'1',214,'N'),(16,3329712,'1A',233,'N'),(16,3329739,'1',103,'N'),(16,3329747,'1',103,'N'),(16,3329755,'1',214,'N'),(16,3329755,'1A',203,'N'),(16,3329763,'1',103,'N'),(16,3329771,'1',108,'N'),(16,3329780,'1',207,'N'),(16,3329780,'1A',201,'N'),(16,3329798,'1',428,'N'),(16,3329798,'1A',426,'N'),(16,3329801,'1',450,'N'),(16,3329810,'1',201,'N'),(16,3329810,'1A',207,'N'),(16,3329828,'1',102,'N'),(16,3329844,'1',103,'N'),(16,3329852,'1',207,'N'),(16,3329852,'1A',201,'N'),(16,3329860,'1',103,'N'),(16,3329879,'1',214,'N'),(16,3329879,'1A',233,'N'),(16,3329909,'1',103,'N'),(16,3329917,'1',202,'N'),(16,3329925,'1',451,'N'),(16,3329941,'1',303,'N'),(16,3329950,'1',415,'N'),(16,3329976,'1',301,'N'),(16,3329984,'1',207,'N'),(16,3329984,'1A',201,'N'),(16,3330001,'1',317,'N'),(16,3330028,'1',215,'N'),(16,3330028,'1A',211,'N'),(16,3330052,'1',207,'N'),(16,3330052,'1A',211,'N'),(16,3330060,'1',202,'N'),(16,3330060,'1A',203,'N'),(16,3330117,'1',101,'N'),(16,3330125,'1',203,'N'),(16,3330133,'1',103,'N'),(16,3330141,'1',202,'N'),(16,3330141,'1A',220,'N'),(16,3330150,'1',5,'N'),(16,3330168,'1',317,'N'),(16,3330176,'1',316,'N'),(16,3330184,'1',103,'N'),(16,3330192,'1',303,'N'),(16,3330206,'1',208,'N'),(16,3330206,'1A',207,'N'),(16,3330222,'1',308,'N'),(16,3330230,'1',104,'N'),(16,3330249,'1',316,'N'),(16,3330265,'1',9,'N'),(16,3330273,'1',103,'N'),(16,3330281,'1',452,'N'),(16,3330290,'1',207,'N'),(16,3330311,'1',420,'N'),(16,3330320,'1',420,'N'),(16,3330338,'1',310,'N'),(16,3330346,'1',502,'N'),(16,3330354,'1',108,'N'),(16,3330370,'1',340,'N'),(16,3330389,'1',108,'N'),(16,3330397,'1',216,'N'),(16,3330397,'1A',220,'N'),(16,3330400,'1',319,'N'),(16,3330427,'1',5,'N'),(16,3330435,'1',211,'N'),(16,3330435,'1A',215,'N'),(16,3330460,'1',319,'N'),(16,3330478,'1',5,'N'),(16,3330486,'1',328,'N'),(16,3330494,'1',103,'N'),(16,3330508,'1',310,'N'),(16,3330524,'1',201,'N'),(16,3330524,'1A',202,'N'),(16,3330532,'1',319,'N'),(16,3330540,'1',415,'N'),(16,3330567,'1',220,'N'),(16,3330567,'1A',213,'N'),(16,3330591,'1',5,'N'),(16,3330605,'1',203,'N'),(16,3330605,'1A',215,'N'),(16,3330613,'1',5,'N'),(16,3330621,'1',207,'N'),(16,3330621,'1A',216,'N'),(16,3330630,'1',102,'N'),(16,3330648,'1',214,'N'),(16,3330648,'1A',203,'N'),(16,3330656,'1',301,'N'),(16,3330664,'1',317,'N'),(16,3330672,'1',201,'N'),(16,3330672,'1A',207,'N'),(16,3330680,'1',211,'N'),(16,3330680,'1A',201,'N'),(16,3330702,'1',415,'N'),(16,3330710,'1',103,'N'),(16,3330737,'1',214,'N'),(16,3330737,'1A',203,'N'),(16,3330745,'1',5,'N'),(16,3330761,'1',216,'N'),(16,3330761,'1A',215,'N'),(16,3330770,'1',5,'N'),(16,3330788,'1',203,'N'),(16,3330788,'1A',202,'N'),(16,3330796,'1',340,'N'),(16,3330800,'1',201,'N'),(16,3330800,'1A',212,'N'),(16,3330818,'1',331,'N'),(16,3330826,'1',202,'N'),(16,3330826,'1A',203,'N'),(16,3330850,'1',224,'N'),(16,3330869,'1',103,'N'),(16,3330877,'1',340,'N'),(16,3330885,'1',202,'N'),(16,3330885,'1A',203,'N'),(16,3330893,'1',234,'N'),(16,3330907,'1',102,'N'),(16,3330915,'1',212,'N'),(16,3330915,'1A',216,'N'),(16,3330923,'1',5,'N'),(16,3330931,'1',108,'N'),(16,3330966,'1',202,'N'),(16,3330966,'1A',233,'N'),(16,3330974,'1',103,'N'),(16,3330982,'1',211,'N'),(16,3330982,'1A',215,'N'),(16,3331024,'1',444,'N'),(16,3331032,'1',220,'N'),(16,3331032,'1A',214,'N'),(16,3331040,'1',340,'N'),(16,3331059,'1',216,'N'),(16,3331059,'1A',211,'N'),(16,3331075,'1',339,'N'),(16,3331083,'1',3,'N'),(16,3331113,'1',203,'N'),(16,3331113,'1A',214,'N'),(16,3331130,'1',5,'N'),(16,3331148,'1',304,'N'),(16,3331156,'1',104,'N'),(16,3331164,'1',101,'N'),(16,3331172,'1',303,'N'),(16,3331180,'1',201,'N'),(16,3331180,'1A',212,'N'),(16,3331199,'1',220,'N'),(16,3331199,'1A',213,'N'),(16,3331202,'1',207,'N'),(16,3331202,'1A',201,'N'),(16,3331210,'1',5,'N'),(16,3331229,'1',502,'N'),(16,3331245,'1',308,'N'),(16,3331253,'1',501,'N'),(16,3331288,'1',452,'N'),(16,3331300,'1',316,'N'),(16,3331318,'1',340,'N'),(16,3331326,'1',302,'N'),(16,3331334,'1',201,'N'),(16,3331334,'1A',207,'N'),(16,3331342,'1',104,'N'),(16,3331350,'1',201,'N'),(16,3331350,'1A',220,'N'),(16,3331369,'1',317,'N'),(16,3331377,'1',502,'N'),(16,3331431,'1',340,'N'),(16,3331440,'1',211,'N'),(16,3331440,'1A',215,'N'),(16,3331466,'1',303,'N'),(16,3331482,'1',225,'N'),(16,3331490,'1',444,'N'),(16,3331504,'1',444,'N'),(16,3331520,'1',333,'N'),(16,3331547,'1',215,'N'),(16,3331547,'1A',233,'N'),(16,3331555,'1',208,'N'),(16,3331555,'1A',238,'N'),(16,3331563,'1',331,'N'),(16,3331571,'1',208,'N'),(16,3331571,'1A',213,'N'),(16,3331580,'1',340,'N'),(16,3331598,'1',103,'N'),(16,3331601,'1',104,'N'),(16,3331610,'1',203,'N'),(16,3331610,'1A',233,'N'),(16,3331628,'1',9,'N'),(16,3331636,'1',309,'N'),(16,3331644,'1',238,'N'),(16,3331644,'1A',208,'N'),(16,3331652,'1',103,'N'),(16,3331660,'1',103,'N'),(16,3331687,'1',201,'N'),(16,3331687,'1A',233,'N'),(16,3331695,'1',317,'N'),(16,3331709,'1',317,'N'),(16,3331717,'1',208,'N'),(16,3331717,'1A',238,'N'),(16,3331725,'1',309,'N'),(16,3331733,'1',214,'N'),(16,3331733,'1A',202,'N'),(16,3331741,'1',101,'N'),(16,3331750,'1',216,'N'),(16,3331750,'1A',203,'N'),(16,3331768,'1',303,'N'),(16,3331776,'1',238,'N'),(16,3331776,'1A',208,'N'),(16,3331784,'1',426,'N'),(16,3331784,'1A',429,'N'),(16,3331792,'1',103,'N'),(16,3331806,'1',318,'N'),(16,3331814,'1',316,'N'),(16,3331822,'1',301,'N'),(16,3331849,'1',203,'N'),(16,3331849,'1A',215,'N'),(16,3331857,'1',103,'N'),(16,3331865,'1',211,'N'),(16,3331865,'1A',220,'N'),(16,3331873,'1',415,'N'),(16,3331881,'1',340,'N'),(16,3331890,'1',104,'N'),(16,3331911,'1',207,'N'),(16,3331911,'1A',201,'N'),(16,3331920,'1',108,'N'),(16,3331938,'1',103,'N'),(16,3331946,'1',203,'N'),(16,3331946,'1A',214,'N'),(16,3331954,'1',303,'N'),(16,3331970,'1',103,'N'),(16,3331989,'1',303,'N'),(16,3331997,'1',309,'N'),(16,3332004,'1',320,'N'),(16,3332012,'1',203,'N'),(16,3332012,'1A',201,'N'),(16,3332039,'1',102,'N'),(16,3332063,'1',201,'N'),(16,3332063,'1A',207,'N'),(16,3332080,'1',205,'N'),(16,3332098,'1',201,'N'),(16,3332098,'1A',212,'N'),(16,3332101,'1',301,'N'),(16,3332110,'1',329,'N'),(16,3332136,'1',332,'N'),(16,3332144,'1',303,'N'),(16,3332152,'1',9,'N'),(16,3332160,'1',220,'N'),(16,3332160,'1A',233,'N'),(16,3332187,'1',451,'N'),(16,3332195,'1',103,'N'),(16,3332217,'1',319,'N'),(16,3332233,'1',428,'N'),(16,3332233,'1A',426,'N'),(16,3332241,'1',238,'N'),(16,3332241,'1A',208,'N'),(16,3332250,'1',5,'N'),(16,3332268,'1',429,'N'),(16,3332276,'1',103,'N'),(16,3332284,'1',223,'N'),(16,3332292,'1',309,'N'),(16,3332314,'1',415,'N'),(16,3332322,'1',303,'N'),(16,3332330,'1',452,'N'),(16,3332373,'1',207,'N'),(16,3332373,'1A',201,'N'),(16,3332381,'1',339,'N'),(16,3332403,'1',103,'N'),(16,3332411,'1',101,'N'),(16,3332420,'1',103,'N'),(16,3332438,'1',451,'N'),(16,3332454,'1',201,'N'),(16,3332454,'1A',207,'N'),(16,3332470,'1',212,'N'),(16,3332470,'1A',214,'N'),(16,3332489,'1',421,'N'),(16,3332489,'1A',425,'N'),(16,3332497,'1',238,'N'),(16,3332500,'1',319,'N'),(16,3332535,'1',211,'N'),(16,3332535,'1A',207,'N'),(16,3332543,'1',415,'N'),(16,3332551,'1',103,'N'),(16,3332578,'1',503,'N'),(16,3332594,'1',5,'N'),(16,3332608,'1',319,'N'),(16,3332624,'1',5,'N'),(16,3332640,'1',108,'N'),(16,3332659,'1',216,'N'),(16,3332659,'1A',203,'N'),(16,3332675,'1',5,'N'),(16,3332683,'1',317,'N'),(16,3332705,'1',326,'N'),(16,3332713,'1',104,'N'),(16,3332721,'1',215,'N'),(16,3332721,'1A',238,'N'),(16,3332730,'1',101,'N'),(16,3332748,'1',301,'N'),(16,3332764,'1',501,'N'),(16,3332772,'1',104,'N'),(16,3332799,'1',202,'N'),(16,3332799,'1A',233,'N'),(16,3332810,'1',444,'N'),(16,3332837,'1',427,'N'),(16,3332837,'1A',424,'N'),(16,3332853,'1',233,'N'),(16,3332870,'1',103,'N'),(16,3332896,'1',502,'N'),(16,3332900,'1',213,'N'),(16,3332900,'1A',214,'N'),(16,3332926,'1',101,'N'),(16,3332934,'1',216,'N'),(16,3332934,'1A',211,'N'),(16,3332942,'1',104,'N'),(16,3332950,'1',214,'N'),(16,3332950,'1A',220,'N'),(16,3332977,'1',220,'N'),(16,3332977,'1A',211,'N'),(16,3332985,'1',340,'N'),(16,3332993,'1',207,'N'),(16,3333019,'1',104,'N'),(16,3333035,'1',9,'N'),(16,3333043,'1',201,'N'),(16,3333043,'1A',214,'N'),(16,3333051,'1',450,'N'),(16,3333060,'1',453,'N'),(16,3333078,'1',453,'N'),(16,3333086,'1',225,'N'),(16,3333108,'1',207,'N'),(16,3333108,'1A',211,'N'),(16,3333132,'1',9,'N'),(16,3333159,'1',238,'N'),(16,3333159,'1A',208,'N'),(16,3333167,'1',103,'N'),(16,3333175,'1',502,'N'),(16,3333191,'1',103,'N'),(16,3333205,'1',103,'N'),(16,3333221,'1',316,'N'),(16,3333230,'1',103,'N'),(16,3333256,'1',211,'N'),(16,3333256,'1A',215,'N'),(16,3333264,'1',301,'N'),(16,3333302,'1',203,'N'),(16,3333302,'1A',220,'N'),(16,3333310,'1',104,'N'),(16,3333329,'1',207,'N'),(16,3333329,'1A',201,'N'),(16,3333337,'1',302,'N'),(16,3333345,'1',103,'N'),(16,3333353,'1',316,'N'),(16,3333370,'1',450,'N'),(16,3333396,'1',319,'N'),(16,3333400,'1',220,'N'),(16,3333400,'1A',208,'N'),(16,3333426,'1',301,'N'),(16,3333434,'1',103,'N'),(16,3333442,'1',203,'N'),(16,3333442,'1A',201,'N'),(16,3333450,'1',5,'N'),(16,3333469,'1',310,'N'),(16,3333485,'1',303,'N'),(16,3333493,'1',332,'N'),(16,3333507,'1',452,'N'),(16,3333515,'1',108,'N'),(16,3333531,'1',207,'N'),(16,3333540,'1',319,'N'),(16,3333558,'1',104,'N'),(16,3333574,'1',103,'N'),(16,3333582,'1',303,'N'),(16,3333604,'1',215,'N'),(16,3333604,'1A',216,'N'),(16,3333639,'1',302,'N'),(16,3333647,'1',316,'N'),(16,3333655,'1',451,'N'),(16,3333663,'1',203,'N'),(16,3333663,'1A',202,'N'),(16,3333671,'1',214,'N'),(16,3333671,'1A',220,'N'),(16,3333680,'1',5,'N'),(16,3333698,'1',102,'N'),(16,3333701,'1',201,'N'),(16,3333701,'1A',208,'N'),(16,3333710,'1',103,'N'),(16,3333728,'1',207,'N'),(16,3333728,'1A',233,'N'),(16,3333736,'1',103,'N'),(16,3333744,'1',223,'N'),(16,3333752,'1',316,'N'),(16,3333779,'1',104,'N'),(16,3333787,'1',223,'N'),(16,3333817,'1',308,'N'),(16,3333850,'1',303,'N'),(16,3333876,'1',444,'N'),(16,3333884,'1',207,'N'),(16,3333884,'1A',201,'N'),(16,3333906,'1',201,'N'),(16,3333906,'1A',207,'N'),(16,3333914,'1',303,'N'),(16,3333922,'1',211,'N'),(16,3333922,'1A',201,'N'),(16,3333930,'1',216,'N'),(16,3333930,'1A',214,'N'),(16,3333949,'1',208,'N'),(16,3333965,'1',316,'N'),(16,3333973,'1',303,'N'),(16,3333990,'1',310,'N'),(16,3334007,'1',503,'N'),(16,3334015,'1',103,'N'),(16,3334023,'1',308,'N'),(16,3334031,'1',404,'N'),(16,3334040,'1',238,'N'),(16,3334040,'1A',208,'N'),(16,3334058,'1',5,'N'),(16,3334066,'1',452,'N'),(16,3334074,'1',451,'N'),(16,3334082,'1',340,'N'),(16,3334090,'1',102,'N'),(16,3334104,'1',220,'N'),(16,3334104,'1A',202,'N'),(16,3334112,'1',103,'N'),(16,3334120,'1',208,'N'),(16,3334139,'1',332,'N'),(16,3334155,'1',451,'N'),(16,3334163,'1',303,'N'),(16,3334171,'1',203,'N'),(16,3334171,'1A',220,'N'),(16,3334180,'1',340,'N'),(16,3334201,'1',333,'N'),(16,3334210,'1',211,'N'),(16,3334210,'1A',216,'N'),(16,3334236,'1',215,'N'),(16,3334236,'1A',212,'N'),(16,3334244,'1',103,'N'),(16,3334252,'1',304,'N'),(16,3334260,'1',207,'N'),(16,3334260,'1A',211,'N'),(16,3334287,'1',108,'N'),(16,3334309,'1',415,'N'),(16,3334325,'1',340,'N'),(16,3334333,'1',319,'N'),(16,3334341,'1',103,'N'),(16,3334350,'1',317,'N'),(16,3334376,'1',303,'N'),(16,3334384,'1',301,'N'),(16,3334392,'1',303,'N'),(16,3334406,'1',429,'N'),(16,3334406,'1A',425,'N'),(16,3334414,'1',207,'N'),(16,3334414,'1A',201,'N'),(16,3334449,'1',5,'N'),(16,3334457,'1',5,'N'),(16,3334465,'1',214,'N'),(16,3334465,'1A',213,'N'),(16,3334473,'1',103,'N'),(16,3334490,'1',339,'N'),(16,3334503,'1',225,'N'),(16,3334520,'1',317,'N'),(16,3334538,'1',303,'N'),(16,3334546,'1',444,'N'),(16,3334554,'1',207,'N'),(16,3334554,'1A',238,'N'),(16,3334562,'1',319,'N'),(16,3334570,'1',303,'N'),(16,3334589,'1',303,'N'),(16,3334597,'1',319,'N'),(16,3334600,'1',103,'N'),(16,3334619,'1',104,'N'),(16,3334627,'1',340,'N'),(16,3334635,'1',304,'N'),(16,3334643,'1',207,'N'),(16,3334643,'1A',212,'N'),(16,3334660,'1',103,'N'),(16,3334678,'1',303,'N'),(16,3334686,'1',208,'N'),(16,3334686,'1A',238,'N'),(16,3334694,'1',428,'N'),(16,3334694,'1A',425,'N'),(16,3334716,'1',415,'N'),(16,3334740,'1',103,'N'),(16,3334759,'1',452,'N'),(16,3334775,'1',426,'N'),(16,3334775,'1A',428,'N'),(16,3334791,'1',316,'N'),(16,3334805,'1',303,'N'),(16,3334813,'1',104,'N'),(16,3334848,'1',319,'N'),(16,3334856,'1',404,'N'),(16,3334880,'1',429,'N'),(16,3334880,'1A',425,'N'),(16,3334899,'1',304,'N'),(16,3334902,'1',503,'N'),(16,3334910,'1',102,'N'),(16,3334937,'1',108,'N'),(16,3334945,'1',108,'N'),(16,3334953,'1',201,'N'),(16,3334953,'1A',207,'N'),(16,3334961,'1',303,'N'),(16,3335011,'1',309,'N'),(16,3335020,'1',2,'N'),(16,3335038,'1',301,'N'),(16,3335046,'1',316,'N'),(16,3335054,'1',451,'N'),(16,3335062,'1',103,'N'),(16,3335070,'1',317,'N'),(16,3335089,'1',303,'N'),(16,3335100,'1',420,'N'),(16,3335127,'1',501,'N'),(16,3335135,'1',318,'N'),(16,3335151,'1',9,'N'),(16,3335160,'1',207,'N'),(16,3335160,'1A',211,'N'),(16,3335178,'1',211,'N'),(16,3335178,'1A',201,'N'),(16,3335186,'1',450,'N'),(16,3335194,'1',211,'N'),(16,3335216,'1',316,'N'),(16,3335224,'1',103,'N'),(16,3335267,'1',211,'N'),(16,3335267,'1A',215,'N'),(16,3335275,'1',202,'N'),(16,3335275,'1A',213,'N'),(16,3335283,'1',103,'N'),(16,3335291,'1',415,'N'),(16,3335305,'1',303,'N'),(16,3335313,'1',316,'N'),(16,3335321,'1',333,'N'),(16,3335348,'1',318,'N'),(16,3335356,'1',301,'N'),(16,3335364,'1',5,'N'),(16,3335372,'1',201,'N'),(16,3335372,'1A',202,'N'),(16,3335380,'1',318,'N'),(16,3335410,'1',415,'N'),(16,3335429,'1',317,'N'),(16,3335437,'1',203,'N'),(16,3335445,'1',201,'N'),(16,3335445,'1A',211,'N'),(16,3335453,'1',9,'N'),(16,3335461,'1',201,'N'),(16,3335461,'1A',207,'N'),(16,3335470,'1',201,'N'),(16,3335470,'1A',211,'N'),(16,3335500,'1',103,'N'),(16,3335518,'1',420,'N'),(16,3335526,'1',5,'N'),(16,3335534,'1',9,'N'),(16,3335550,'1',203,'N'),(16,3335550,'1A',220,'N'),(16,3335569,'1',104,'N'),(16,3335585,'1',331,'N'),(16,3335593,'1',310,'N'),(16,3335607,'1',203,'N'),(16,3335607,'1A',202,'N'),(16,3335623,'1',207,'N'),(16,3335623,'1A',201,'N'),(16,3335631,'1',203,'N'),(16,3335631,'1A',214,'N'),(16,3335658,'1',103,'N'),(16,3335666,'1',207,'N'),(16,3335666,'1A',201,'N'),(16,3335674,'1',404,'N'),(16,3335682,'1',104,'N'),(16,3335690,'1',303,'N'),(16,3335704,'1',420,'N'),(16,3335712,'1',340,'N'),(16,3335720,'1',428,'N'),(16,3335720,'1A',424,'N'),(16,3335739,'1',103,'N'),(16,3335747,'1',103,'N'),(16,3335755,'1',203,'N'),(16,3335755,'1A',214,'N'),(16,3335771,'1',501,'N'),(16,3335780,'1',238,'N'),(16,3335780,'1A',213,'N'),(16,3335798,'1',404,'N'),(16,3335801,'1',216,'N'),(16,3335801,'1A',215,'N'),(16,3335810,'1',415,'N'),(16,3335836,'1',425,'N'),(16,3335860,'1',5,'N'),(16,3335879,'1',319,'N'),(16,3335887,'1',309,'N'),(16,3335895,'1',214,'N'),(16,3335895,'1A',220,'N'),(16,3335917,'1',303,'N'),(16,3335925,'1',9,'N'),(16,3335933,'1',202,'N'),(16,3335933,'1A',216,'N'),(16,3335941,'1',318,'N'),(16,3335950,'1',103,'N'),(16,3335968,'1',103,'N'),(16,3335984,'1',301,'N'),(16,3335992,'1',203,'N'),(16,3336000,'1',308,'N'),(16,3336018,'1',5,'N'),(16,3336026,'1',203,'N'),(16,3336026,'1A',202,'N'),(16,3336034,'1',238,'N'),(16,3336050,'1',225,'N'),(16,3336077,'1',102,'N'),(16,3336093,'1',309,'N'),(16,3336123,'1',340,'N'),(16,3336131,'1',302,'N'),(16,3336140,'1',319,'N'),(16,3336166,'1',319,'N'),(16,3336174,'1',328,'N'),(16,3336182,'1',103,'N'),(16,3336190,'1',207,'N'),(16,3336190,'1A',211,'N'),(16,3336212,'1',103,'N'),(16,3336239,'1',207,'N'),(16,3336239,'1A',212,'N'),(16,3336247,'1',103,'N'),(16,3336255,'1',103,'N'),(16,3336271,'1',301,'N'),(16,3336280,'1',340,'N'),(16,3336301,'1',5,'N'),(16,3336310,'1',301,'N'),(16,3336336,'1',301,'N'),(16,3336344,'1',201,'N'),(16,3336344,'1A',207,'N'),(16,3336352,'1',238,'N'),(16,3336352,'1A',211,'N'),(16,3336395,'1',211,'N'),(16,3336395,'1A',201,'N'),(16,3336409,'1',207,'N'),(16,3336409,'1A',201,'N'),(16,3336425,'1',201,'N'),(16,3336425,'1A',212,'N'),(16,3336433,'1',101,'N'),(16,3336441,'1',207,'N'),(16,3336441,'1A',201,'N'),(16,3336468,'1',324,'N'),(16,3336492,'1',238,'N'),(16,3336506,'1',214,'N'),(16,3336506,'1A',233,'N'),(16,3336530,'1',207,'N'),(16,3336530,'1A',201,'N'),(16,3336557,'1',5,'N'),(16,3336565,'1',103,'N'),(16,3336573,'1',303,'N'),(16,3336603,'1',103,'N'),(16,3336611,'1',503,'N'),(16,3336620,'1',303,'N'),(16,3336646,'1',208,'N'),(16,3336646,'1A',238,'N'),(16,3336654,'1',103,'N'),(16,3336662,'1',303,'N'),(16,3336670,'1',301,'N'),(16,3336689,'1',340,'N'),(16,3336700,'1',103,'N'),(16,3336719,'1',220,'N'),(16,3336719,'1A',213,'N'),(16,3336727,'1',211,'N'),(16,3336727,'1A',201,'N'),(16,3336735,'1',103,'N'),(16,3336743,'1',332,'N'),(16,3336778,'1',340,'N'),(16,3336786,'1',211,'N'),(16,3336786,'1A',215,'N'),(16,3336816,'1',213,'N'),(16,3336816,'1A',212,'N'),(16,3336824,'1',201,'N'),(16,3336824,'1A',212,'N'),(16,3336840,'1',5,'N'),(16,3336859,'1',203,'N'),(16,3336859,'1A',208,'N'),(16,3336875,'1',103,'N'),(16,3336883,'1',332,'N'),(16,3336891,'1',301,'N'),(16,3336913,'1',444,'N'),(16,3336921,'1',501,'N'),(16,3336956,'1',425,'N'),(16,3336956,'1A',428,'N'),(16,3336964,'1',103,'N'),(16,3336972,'1',207,'N'),(16,3337006,'1',303,'N'),(16,3337014,'1',202,'N'),(16,3337014,'1A',220,'N'),(16,3337022,'1',202,'N'),(16,3337022,'1A',220,'N'),(16,3337057,'1',319,'N'),(16,3337090,'1',316,'N'),(16,3337111,'1',415,'N'),(16,3337120,'1',427,'N'),(16,3337120,'1A',425,'N'),(16,3337138,'1',103,'N'),(16,3337146,'1',104,'N'),(16,3337170,'1',103,'N'),(16,3337189,'1',301,'N'),(16,3337219,'1',317,'N'),(16,3337227,'1',103,'N'),(16,3337235,'1',201,'N'),(16,3337235,'1A',211,'N'),(16,3337243,'1',302,'N'),(16,3337251,'1',103,'N'),(16,3337316,'1',103,'N'),(16,3337324,'1',201,'N'),(16,3337324,'1A',207,'N'),(16,3337340,'1',202,'N'),(16,3337359,'1',108,'N'),(16,3337375,'1',453,'N'),(16,3337405,'1',207,'N'),(16,3337405,'1A',238,'N'),(16,3337413,'1',216,'N'),(16,3337413,'1A',215,'N'),(16,3337421,'1',331,'N'),(16,3337430,'1',5,'N'),(16,3337448,'1',316,'N'),(16,3337464,'1',428,'N'),(16,3337480,'1',207,'N'),(16,3337499,'1',238,'N'),(16,3337499,'1A',233,'N'),(16,3337510,'1',104,'N'),(16,3337529,'1',201,'N'),(16,3337529,'1A',208,'N'),(16,3337537,'1',318,'N'),(16,3337545,'1',103,'N'),(16,3337553,'1',208,'N'),(16,3337553,'1A',238,'N'),(16,3337561,'1',5,'N'),(16,3337570,'1',103,'N'),(16,3337588,'1',103,'N'),(16,3337596,'1',211,'N'),(16,3337618,'1',104,'N'),(16,3337626,'1',201,'N'),(16,3337626,'1A',212,'N'),(16,3337634,'1',319,'N'),(16,3337642,'1',104,'N'),(16,3337650,'1',102,'N'),(16,3337669,'1',103,'N'),(16,3337677,'1',303,'N'),(16,3337685,'1',316,'N'),(16,3337693,'1',103,'N'),(16,3337707,'1',103,'N'),(16,3337715,'1',238,'N'),(16,3337715,'1A',208,'N'),(16,3337731,'1',317,'N'),(16,3337740,'1',104,'N'),(16,3337766,'1',444,'N'),(16,3337774,'1',213,'N'),(16,3337774,'1A',214,'N'),(16,3337804,'1',212,'N'),(16,3337804,'1A',201,'N'),(16,3337812,'1',207,'N'),(16,3337812,'1A',201,'N'),(16,3337820,'1',211,'N'),(16,3337820,'1A',202,'N'),(16,3337839,'1',404,'N'),(16,3337847,'1',207,'N'),(16,3337847,'1A',212,'N'),(16,3337863,'1',328,'N'),(16,3337880,'1',104,'N'),(16,3337898,'1',324,'N'),(16,3337910,'1',234,'N'),(16,3337928,'1',404,'N'),(16,3337936,'1',444,'N'),(16,3337944,'1',5,'N'),(16,3337952,'1',101,'N'),(16,3337979,'1',451,'N'),(16,3337987,'1',207,'N'),(16,3337987,'1A',201,'N'),(16,3337995,'1',9,'N'),(16,3338002,'1',304,'N'),(16,3338029,'1',104,'N'),(16,3338037,'1',444,'N'),(16,3338045,'1',103,'N'),(16,3338070,'1',208,'N'),(16,3338070,'1A',202,'N'),(16,3338088,'1',415,'N'),(16,3338096,'1',319,'N'),(16,3338100,'1',103,'N'),(16,3338118,'1',5,'N'),(16,3338126,'1',103,'N'),(16,3338134,'1',5,'N'),(16,3338142,'1',102,'N'),(16,3338185,'1',103,'N'),(16,3338193,'1',238,'N'),(16,3338193,'1A',208,'N'),(16,3338215,'1',220,'N'),(16,3338215,'1A',203,'N'),(16,3338231,'1',201,'N'),(16,3338231,'1A',212,'N'),(16,3338240,'1',103,'N'),(16,3338258,'1',5,'N'),(16,3338266,'1',224,'N'),(16,3338274,'1',202,'N'),(16,3338274,'1A',220,'N'),(16,3338282,'1',101,'N'),(16,3338290,'1',444,'N'),(16,3338304,'1',5,'N'),(16,3338320,'1',301,'N'),(16,3338339,'1',102,'N'),(16,3338363,'1',332,'N'),(16,3338380,'1',203,'N'),(16,3338380,'1A',202,'N'),(16,3338401,'1',317,'N'),(16,3338410,'1',503,'N'),(16,3338436,'1',104,'N'),(16,3338452,'1',103,'N'),(16,3338479,'1',203,'N'),(16,3338479,'1A',214,'N'),(16,3338487,'1',203,'N'),(16,3338487,'1A',220,'N'),(16,3338495,'1',424,'N'),(16,3338509,'1',201,'N'),(16,3338509,'1A',238,'N'),(16,3338517,'1',203,'N'),(16,3338517,'1A',220,'N'),(16,3338525,'1',404,'N'),(16,3338533,'1',501,'N'),(16,3338550,'1',340,'N'),(16,3338568,'1',108,'N'),(16,3338576,'1',201,'N'),(16,3338576,'1A',212,'N'),(16,3338592,'1',203,'N'),(16,3338592,'1A',214,'N'),(16,3338606,'1',103,'N'),(16,3338614,'1',223,'N'),(16,3338622,'1',203,'N'),(16,3338622,'1A',220,'N'),(16,3338630,'1',317,'N'),(16,3338657,'1',317,'N'),(16,3338690,'1',304,'N'),(16,3338720,'1',303,'N'),(16,3338738,'1',202,'N'),(16,3338738,'1A',203,'N'),(16,3338746,'1',428,'N'),(16,3338746,'1A',425,'N'),(16,3338770,'1',318,'N'),(16,3338789,'1',415,'N'),(16,3338800,'1',310,'N'),(16,3338819,'1',5,'N'),(16,3338827,'1',203,'N'),(16,3338827,'1A',214,'N'),(16,3338843,'1',451,'N'),(16,3338851,'1',211,'N'),(16,3338851,'1A',212,'N'),(16,3338860,'1',428,'N'),(16,3338860,'1A',423,'N'),(16,3338878,'1',423,'N'),(16,3338878,'1A',425,'N'),(16,3338894,'1',103,'N'),(16,3338908,'1',5,'N'),(16,3338916,'1',308,'N'),(16,3338924,'1',203,'N'),(16,3338924,'1A',220,'N'),(16,3338940,'1',238,'N'),(16,3338940,'1A',208,'N'),(16,3338959,'1',308,'N'),(16,3338967,'1',103,'N'),(16,3338975,'1',329,'N'),(16,3338991,'1',326,'N'),(16,3339009,'1',103,'N'),(16,3339025,'1',425,'N'),(16,3339025,'1A',429,'N'),(16,3339033,'1',503,'N'),(16,3339041,'1',310,'N'),(16,3339050,'1',9,'N'),(16,3339068,'1',208,'N'),(16,3339068,'1A',201,'N'),(16,3339084,'1',103,'N'),(16,3339092,'1',103,'N'),(16,3339106,'1',319,'N'),(16,3339122,'1',238,'N'),(16,3339122,'1A',208,'N'),(16,3339130,'1',303,'N'),(16,3339149,'1',201,'N'),(16,3339149,'1A',207,'N'),(16,3339157,'1',215,'N'),(16,3339157,'1A',201,'N'),(16,3339165,'1',308,'N'),(16,3339190,'1',319,'N'),(16,3339203,'1',316,'N'),(16,3339211,'1',333,'N'),(16,3339220,'1',103,'N'),(16,3339238,'1',301,'N'),(16,3339246,'1',213,'N'),(16,3339246,'1A',208,'N'),(16,3339262,'1',5,'N'),(16,3339270,'1',103,'N'),(16,3339289,'1',101,'N'),(16,3339297,'1',423,'N'),(16,3339297,'1A',429,'N'),(16,3339319,'1',220,'N'),(16,3339319,'1A',202,'N'),(16,3339327,'1',420,'N'),(16,3339335,'1',203,'N'),(16,3339335,'1A',214,'N'),(16,3339386,'1',201,'N'),(16,3339394,'1',340,'N'),(16,3339408,'1',301,'N'),(16,3339416,'1',103,'N'),(16,3339424,'1',420,'N'),(16,3339432,'1',404,'N'),(16,3339467,'1',340,'N'),(16,3339475,'1',103,'N'),(16,3339483,'1',5,'N'),(16,3800008,'1',101,'N'),(16,3800016,'1',317,'N'),(16,3800024,'1',319,'N'),(16,3800032,'1',202,'N'),(16,3800032,'1A',213,'N'),(16,3800040,'1',501,'N'),(16,3800067,'1',415,'N'),(16,3800075,'1',101,'N'),(16,3800083,'1',9,'N'),(16,3800091,'1',502,'N'),(16,3800105,'1',101,'N'),(16,3800113,'1',208,'N'),(16,3800113,'1A',238,'N'),(16,3800121,'1',310,'N'),(16,3800130,'1',202,'N'),(16,3800130,'1A',208,'N'),(16,3800156,'1',103,'N'),(16,3800164,'1',326,'N'),(16,3800172,'1',103,'N'),(16,3800180,'1',238,'N'),(16,3800180,'1A',208,'N'),(16,3800202,'1',203,'N'),(16,3800202,'1A',220,'N'),(16,3800229,'1',208,'N'),(16,3800229,'1A',220,'N'),(16,3800237,'1',102,'N'),(16,3800245,'1',220,'N'),(16,3800245,'1A',233,'N'),(16,3800270,'1',207,'N'),(16,3800270,'1A',211,'N'),(16,3800288,'1',310,'N'),(16,3800296,'1',317,'N'),(16,3800300,'1',316,'N'),(16,3800318,'1',302,'N'),(16,3800326,'1',319,'N'),(16,3800342,'1',308,'N'),(16,3800350,'1',308,'N'),(16,3800377,'1',238,'N'),(16,3800377,'1A',208,'N'),(16,3800407,'1',428,'N'),(16,3800407,'1A',426,'N'),(16,3800415,'1',317,'N'),(16,3800423,'1',101,'N'),(16,3800431,'1',202,'N'),(16,3800431,'1A',203,'N'),(16,3800440,'1',302,'N'),(16,3800458,'1',304,'N'),(16,3800466,'1',301,'N'),(16,3800474,'1',103,'N'),(16,3800482,'1',301,'N'),(16,3800490,'1',404,'N'),(16,3800504,'1',317,'N'),(16,3800512,'1',302,'N'),(16,3800520,'1',316,'N'),(16,3800539,'1',426,'N'),(16,3800539,'1A',425,'N'),(16,3800547,'1',426,'N'),(16,3800547,'1A',425,'N'),(16,3800555,'1',331,'N'),(16,3800563,'1',316,'N'),(16,3800580,'1',502,'N'),(16,3800598,'1',310,'N'),(16,3800601,'1',101,'N'),(16,3800610,'1',318,'N'),(16,3800628,'1',308,'N'),(16,3800636,'1',503,'N'),(16,3800644,'1',103,'N'),(16,3800652,'1',9,'N'),(16,3800660,'1',304,'N'),(16,3800679,'1',420,'N'),(16,3800687,'1',201,'N'),(16,3800687,'1A',202,'N'),(16,3800695,'1',9,'N'),(16,3800709,'1',319,'N'),(16,3800717,'1',423,'N'),(16,3800717,'1A',427,'N'),(16,3800725,'1',5,'N'),(16,3800733,'1',304,'N'),(16,3800741,'1',309,'N'),(16,3800750,'1',302,'N'),(16,3800776,'1',207,'N'),(16,3800776,'1A',203,'N'),(16,3800784,'1',326,'N'),(16,3800792,'1',205,'N'),(16,3800806,'1',208,'N'),(16,3800806,'1A',238,'N'),(16,3800814,'1',238,'N'),(16,3800814,'1A',208,'N'),(16,3800822,'1',3,'N'),(16,3800830,'1',302,'N'),(16,3800849,'1',301,'N'),(16,3800857,'1',318,'N'),(16,3800865,'1',339,'N'),(16,3800873,'1',208,'N'),(16,3800881,'1',339,'N'),(16,3800890,'1',404,'N'),(16,3800903,'1',238,'N'),(16,3800903,'1A',208,'N'),(16,3800911,'1',339,'N'),(16,3800920,'1',453,'N'),(16,3800938,'1',318,'N'),(16,3800946,'1',213,'N'),(16,3800946,'1A',202,'N'),(16,3800954,'1',101,'N'),(16,3800962,'1',309,'N'),(16,3800970,'1',233,'N'),(16,3800970,'1A',207,'N'),(16,3800989,'1',309,'N'),(16,3801012,'1',332,'N'),(16,3801020,'1',423,'N'),(16,3801020,'1A',427,'N'),(16,3801039,'1',444,'N'),(16,3801047,'1',319,'N'),(16,3801055,'1',429,'N'),(16,3801055,'1A',423,'N'),(16,3801063,'1',9,'N'),(16,3801071,'1',202,'N'),(16,3801071,'1A',216,'N'),(16,3801080,'1',9,'N'),(16,3801098,'1',427,'N'),(16,3801098,'1A',428,'N'),(16,3801101,'1',318,'N'),(16,3801110,'1',301,'N'),(16,3801128,'1',214,'N'),(16,3801128,'1A',203,'N'),(16,3801144,'1',503,'N'),(16,3801152,'1',213,'N'),(16,3801152,'1A',202,'N'),(16,3801160,'1',328,'N'),(16,3801179,'1',309,'N'),(16,3801187,'1',104,'N'),(16,3801209,'1',214,'N'),(16,3801209,'1A',203,'N'),(16,3801217,'1',5,'N'),(16,3801225,'1',339,'N'),(16,3801233,'1',303,'N'),(16,3801241,'1',104,'N'),(16,3801250,'1',426,'N'),(16,3801250,'1A',423,'N'),(16,3801268,'1',223,'N'),(16,3801276,'1',202,'N'),(16,3801276,'1A',213,'N'),(16,3801292,'1',309,'N'),(16,3801306,'1',317,'N'),(16,3801314,'1',238,'N'),(16,3801314,'1A',208,'N'),(16,3801322,'1',208,'N'),(16,3801322,'1A',202,'N'),(16,3801330,'1',308,'N'),(16,3801349,'1',502,'N'),(16,3801365,'1',503,'N'),(16,3801373,'1',339,'N'),(16,3801381,'1',425,'N'),(16,3801390,'1',207,'N'),(16,3801390,'1A',201,'N'),(16,3801403,'1',317,'N'),(16,3801411,'1',101,'N'),(16,3801420,'1',429,'N'),(16,3801420,'1A',425,'N'),(16,3801438,'1',102,'N'),(16,3801446,'1',5,'N'),(16,3801470,'1',332,'N'),(16,3801497,'1',238,'N'),(16,3801497,'1A',208,'N'),(16,3801500,'1',216,'N'),(16,3801500,'1A',214,'N'),(16,3801519,'1',303,'N'),(16,3801527,'1',429,'N'),(16,3801527,'1A',427,'N'),(16,3801535,'1',420,'N'),(16,3801543,'1',317,'N'),(16,3801560,'1',103,'N'),(16,3801578,'1',319,'N'),(16,3801586,'1',224,'N'),(16,3801594,'1',302,'N'),(16,3801616,'1',332,'N'),(16,3801624,'1',502,'N'),(16,3801632,'1',421,'N'),(16,3801632,'1A',426,'N'),(16,3801659,'1',234,'N'),(16,3801691,'1',302,'N'),(16,3801705,'1',238,'N'),(16,3801713,'1',339,'N'),(16,3801721,'1',451,'N'),(16,3801730,'1',102,'N'),(16,3801756,'1',317,'N'),(16,3801764,'1',238,'N'),(16,3801764,'1A',202,'N'),(16,3801772,'1',104,'N'),(16,3801780,'1',220,'N'),(16,3801780,'1A',202,'N'),(16,3801799,'1',3,'N'),(16,3801802,'1',425,'N'),(16,3801802,'1A',423,'N'),(16,3801810,'1',302,'N'),(16,3801829,'1',104,'N'),(16,3801837,'1',308,'N'),(16,3801845,'1',339,'N'),(16,3801853,'1',324,'N'),(16,3801861,'1',316,'N'),(16,3801870,'1',428,'N'),(16,3801870,'1A',426,'N'),(16,3801888,'1',309,'N'),(16,3801896,'1',304,'N'),(16,3801900,'1',223,'N'),(16,3801926,'1',101,'N'),(16,3801934,'1',425,'N'),(16,3801934,'1A',424,'N'),(16,3801942,'1',234,'N'),(16,3801950,'1',324,'N'),(16,3801969,'1',238,'N'),(16,3801969,'1A',207,'N'),(16,3801977,'1',453,'N'),(16,3801985,'1',316,'N'),(16,3801993,'1',320,'N'),(16,3802000,'1',5,'N'),(16,3802019,'1',319,'N'),(16,3802027,'1',415,'N'),(16,3802035,'1',332,'N'),(16,3802051,'1',102,'N'),(16,3802060,'1',303,'N'),(16,3802078,'1',324,'N'),(16,3802086,'1',339,'N'),(16,3802094,'1',207,'N'),(16,3802094,'1A',201,'N'),(16,3802108,'1',428,'N'),(16,3802108,'1A',421,'N'),(16,3802116,'1',304,'N'),(16,3802124,'1',301,'N'),(16,3802132,'1',301,'N'),(16,3802140,'1',309,'N'),(16,3802159,'1',309,'N'),(16,3802167,'1',108,'N'),(16,3802175,'1',301,'N'),(16,3802183,'1',104,'N'),(16,3802205,'1',223,'N'),(16,3802213,'1',332,'N'),(16,3802221,'1',503,'N'),(16,3802230,'1',317,'N'),(16,3802248,'1',428,'N'),(16,3802248,'1A',426,'N'),(16,3802256,'1',301,'N'),(16,3802264,'1',301,'N'),(16,3802272,'1',324,'N'),(16,3802280,'1',214,'N'),(16,3802280,'1A',201,'N'),(16,3802299,'1',203,'N'),(16,3802299,'1A',201,'N'),(16,3802302,'1',108,'N'),(16,3802310,'1',428,'N'),(16,3802310,'1A',427,'N'),(16,3802329,'1',304,'N'),(16,3802337,'1',5,'N'),(16,3802345,'1',9,'N'),(16,3802353,'1',207,'N'),(16,3802353,'1A',201,'N'),(16,3802361,'1',101,'N'),(16,3802370,'1',317,'N'),(16,3802388,'1',319,'N'),(16,3802396,'1',9,'N'),(16,3802400,'1',3,'N'),(16,3802426,'1',317,'N'),(16,3802434,'1',309,'N'),(16,3802450,'1',453,'N'),(16,3802469,'1',301,'N'),(16,3802477,'1',101,'N'),(16,3802485,'1',214,'N'),(16,3802485,'1A',201,'N'),(16,3802493,'1',234,'N'),(16,3802507,'1',428,'N'),(16,3802531,'1',5,'N'),(16,3802540,'1',201,'N'),(16,3802540,'1A',203,'N'),(16,3802566,'1',238,'N'),(16,3802574,'1',303,'N'),(16,3802582,'1',224,'N'),(16,3802590,'1',301,'N'),(16,3802604,'1',501,'N'),(16,3802612,'1',332,'N'),(16,3802620,'1',211,'N'),(16,3802620,'1A',215,'N'),(16,3802639,'1',238,'N'),(16,3802639,'1A',208,'N'),(16,3802647,'1',224,'N'),(16,3802655,'1',444,'N'),(16,3802663,'1',5,'N'),(16,3802671,'1',101,'N'),(16,3802680,'1',302,'N'),(16,3802698,'1',316,'N'),(16,3802701,'1',9,'N'),(16,3802728,'1',103,'N'),(16,3802736,'1',331,'N'),(16,3802744,'1',101,'N'),(16,3802752,'1',201,'N'),(16,3802752,'1A',214,'N'),(16,3802760,'1',308,'N'),(16,3802779,'1',301,'N'),(16,3802787,'1',201,'N'),(16,3802787,'1A',203,'N'),(16,3802809,'1',309,'N'),(16,3802817,'1',332,'N'),(16,3802825,'1',327,'N'),(16,3802841,'1',238,'N'),(16,3802841,'1A',208,'N'),(16,3802850,'1',429,'N'),(16,3802850,'1A',426,'N'),(16,3802876,'1',404,'N'),(16,3802884,'1',319,'N'),(16,3802906,'1',303,'N'),(16,3802914,'1',213,'N'),(16,3802914,'1A',202,'N'),(16,3802922,'1',333,'N'),(16,3802930,'1',428,'N'),(16,3802949,'1',501,'N'),(16,3802957,'1',103,'N'),(16,3802965,'1',324,'N'),(16,3802973,'1',211,'N'),(16,3802973,'1A',207,'N'),(16,3802981,'1',404,'N'),(16,3802990,'1',102,'N'),(16,3803007,'1',225,'N'),(16,3803015,'1',423,'N'),(16,3803015,'1A',425,'N'),(16,3803023,'1',102,'N'),(16,3803031,'1',104,'N'),(16,3803040,'1',327,'N'),(16,3803058,'1',202,'N'),(16,3803058,'1A',201,'N'),(16,3803074,'1',326,'N'),(16,3803082,'1',301,'N'),(16,3803104,'1',220,'N'),(16,3803112,'1',5,'N'),(16,3803147,'1',450,'N'),(16,3803155,'1',404,'N'),(16,3803163,'1',303,'N'),(16,3803171,'1',211,'N'),(16,3803171,'1A',214,'N'),(16,3803180,'1',202,'N'),(16,3803180,'1A',214,'N'),(16,3803198,'1',9,'N'),(16,3803201,'1',208,'N'),(16,3803201,'1A',216,'N'),(16,3803210,'1',207,'N'),(16,3803210,'1A',201,'N'),(16,3803228,'1',428,'N'),(16,3803228,'1A',425,'N'),(16,3803236,'1',316,'N'),(16,3803244,'1',428,'N'),(16,3803244,'1A',425,'N'),(16,3803252,'1',426,'N'),(16,3803252,'1A',425,'N'),(16,3803260,'1',332,'N'),(16,3803287,'1',234,'N'),(16,3803295,'1',340,'N'),(16,3803309,'1',318,'N'),(16,3803317,'1',301,'N'),(16,3803325,'1',102,'N'),(16,3803333,'1',207,'N'),(16,3803333,'1A',201,'N'),(16,3803341,'1',238,'N'),(16,3803341,'1A',211,'N'),(16,3803350,'1',304,'N'),(16,3803368,'1',317,'N'),(16,3803376,'1',238,'N'),(16,3803376,'1A',201,'N'),(16,3803384,'1',424,'N'),(16,3803384,'1A',427,'N'),(16,3803406,'1',319,'N'),(16,3803414,'1',319,'N'),(16,3803422,'1',203,'N'),(16,3803422,'1A',208,'N'),(16,3803449,'1',5,'N'),(16,3803457,'1',425,'N'),(16,3803457,'1A',423,'N'),(16,3803465,'1',301,'N'),(16,3803473,'1',303,'N'),(16,3803481,'1',310,'N'),(16,3803490,'1',333,'N'),(16,3803520,'1',404,'N'),(16,3803538,'1',5,'N'),(16,3803546,'1',308,'N'),(16,3803554,'1',108,'N'),(16,3803562,'1',309,'N'),(16,3803570,'1',302,'N'),(16,3803589,'1',415,'N'),(16,3803597,'1',317,'N'),(16,3803600,'1',316,'N'),(16,3803619,'1',101,'N'),(16,3803627,'1',301,'N'),(16,3803635,'1',211,'N'),(16,3803635,'1A',215,'N'),(16,3803643,'1',212,'N'),(16,3803660,'1',220,'N'),(16,3803660,'1A',202,'N'),(16,3803678,'1',301,'N'),(16,3803686,'1',301,'N'),(16,3803716,'1',415,'N'),(16,3803732,'1',215,'N'),(16,3803732,'1A',201,'N'),(16,3803740,'1',308,'N'),(16,3803759,'1',216,'N'),(16,3803759,'1A',215,'N'),(16,3803767,'1',201,'N'),(16,3803767,'1A',207,'N'),(16,3803775,'1',415,'N'),(16,3803783,'1',103,'N'),(16,3803791,'1',317,'N'),(16,3803805,'1',208,'N'),(16,3803813,'1',211,'N'),(16,3803813,'1A',207,'N'),(16,3803821,'1',101,'N'),(16,3803830,'1',201,'N'),(16,3803830,'1A',212,'N'),(16,3803848,'1',214,'N'),(16,3803848,'1A',212,'N'),(16,3803856,'1',303,'N'),(16,3803864,'1',220,'N'),(16,3803872,'1',316,'N'),(16,3803880,'1',317,'N'),(16,3803899,'1',301,'N'),(16,3803910,'1',207,'N'),(16,3803910,'1A',238,'N'),(16,3803929,'1',207,'N'),(16,3803937,'1',208,'N'),(16,3803937,'1A',238,'N'),(16,3803945,'1',501,'N'),(16,3803953,'1',320,'N'),(16,3803961,'1',308,'N'),(16,3803988,'1',238,'N'),(16,3803988,'1A',208,'N'),(16,3803996,'1',101,'N'),(16,3804003,'1',9,'N'),(16,3804011,'1',103,'N'),(16,3804020,'1',501,'N'),(16,3804038,'1',339,'N'),(16,3804046,'1',301,'N'),(16,3804054,'1',317,'N'),(16,3804062,'1',103,'N'),(16,3804070,'1',328,'N'),(16,3804097,'1',318,'N'),(16,3804100,'1',308,'N'),(16,3804119,'1',102,'N'),(16,3804127,'1',501,'N'),(16,3804143,'1',5,'N'),(16,3804151,'1',301,'N'),(16,3804160,'1',301,'N'),(16,3804178,'1',211,'N'),(16,3804178,'1A',201,'N'),(16,3804186,'1',5,'N'),(16,3804194,'1',428,'N'),(16,3804194,'1A',427,'N'),(16,3804208,'1',104,'N'),(16,3804216,'1',317,'N'),(16,3804232,'1',3,'N'),(16,3804240,'1',102,'N'),(16,3804259,'1',103,'N'),(16,3804267,'1',415,'N'),(16,3804275,'1',201,'N'),(16,3804275,'1A',212,'N'),(16,3804283,'1',225,'N'),(16,3804291,'1',9,'N'),(16,3804305,'1',425,'N'),(16,3804305,'1A',428,'N'),(16,3804313,'1',429,'N'),(16,3804313,'1A',423,'N'),(16,3804321,'1',303,'N'),(16,3804330,'1',327,'N'),(16,3804348,'1',5,'N'),(16,3804364,'1',207,'N'),(16,3804364,'1A',201,'N'),(16,3804372,'1',339,'N'),(16,3804380,'1',501,'N'),(16,3804399,'1',444,'N'),(16,3804410,'1',415,'N'),(16,3804429,'1',317,'N'),(16,3804437,'1',415,'N'),(16,3804445,'1',101,'N'),(16,3804453,'1',216,'N'),(16,3804453,'1A',212,'N'),(16,3804461,'1',329,'N'),(16,3804470,'1',502,'N'),(16,3804488,'1',503,'N'),(16,3804496,'1',426,'N'),(16,3804500,'1',303,'N'),(16,3804518,'1',318,'N'),(16,3804526,'1',238,'N'),(16,3804526,'1A',208,'N'),(16,3804534,'1',453,'N'),(16,3804542,'1',423,'N'),(16,3804542,'1A',428,'N'),(16,3804550,'1',310,'N'),(16,3804569,'1',101,'N'),(16,3804577,'1',238,'N'),(16,3804577,'1A',208,'N'),(16,3804593,'1',331,'N'),(16,3804607,'1',211,'N'),(16,3804607,'1A',215,'N'),(16,3804615,'1',102,'N'),(16,3804623,'1',303,'N'),(16,3804631,'1',212,'N'),(16,3804631,'1A',238,'N'),(16,3804640,'1',316,'N'),(16,3804658,'1',108,'N'),(16,3804666,'1',444,'N'),(16,3804674,'1',104,'N'),(16,3804682,'1',302,'N'),(16,3804690,'1',309,'N'),(16,3804704,'1',207,'N'),(16,3804704,'1A',201,'N'),(16,3804712,'1',104,'N'),(16,3804720,'1',5,'N'),(16,3804739,'1',102,'N'),(16,3804747,'1',103,'N'),(16,3804755,'1',302,'N'),(16,3804763,'1',415,'N'),(16,3804771,'1',318,'N'),(16,3804780,'1',215,'N'),(16,3804780,'1A',233,'N'),(16,3804798,'1',220,'N'),(16,3804801,'1',309,'N'),(16,3804810,'1',211,'N'),(16,3804810,'1A',215,'N'),(16,3804828,'1',310,'N'),(16,3804836,'1',233,'N'),(16,3804836,'1A',216,'N'),(16,3804844,'1',238,'N'),(16,3804844,'1A',207,'N'),(16,3804852,'1',316,'N'),(16,3804860,'1',424,'N'),(16,3804860,'1A',427,'N'),(16,3804879,'1',316,'N'),(16,3804887,'1',202,'N'),(16,3804887,'1A',238,'N'),(16,3804895,'1',302,'N'),(16,3804917,'1',317,'N'),(16,3804925,'1',415,'N'),(16,3804933,'1',104,'N'),(16,3804941,'1',331,'N'),(16,3804950,'1',316,'N'),(16,3804968,'1',216,'N'),(16,3804968,'1A',208,'N'),(16,3804976,'1',319,'N'),(16,3804984,'1',302,'N'),(16,3804992,'1',331,'N'),(16,3805000,'1',423,'N'),(16,3805000,'1A',424,'N'),(16,3805018,'1',304,'N'),(16,3805026,'1',316,'N'),(16,3805034,'1',339,'N'),(16,3805042,'1',316,'N'),(16,3805050,'1',339,'N'),(16,3805069,'1',308,'N'),(16,3805077,'1',225,'N'),(16,3805085,'1',207,'N'),(16,3805085,'1A',208,'N'),(16,3805093,'1',308,'N'),(16,3805107,'1',425,'N'),(16,3805107,'1A',429,'N'),(16,3805115,'1',103,'N'),(16,3805123,'1',324,'N'),(16,3805131,'1',501,'N'),(16,3805158,'1',319,'N'),(16,3805166,'1',108,'N'),(16,3805174,'1',319,'N'),(16,3805182,'1',212,'N'),(16,3805182,'1A',214,'N'),(16,3805190,'1',201,'N'),(16,3805190,'1A',212,'N'),(16,3805212,'1',317,'N'),(16,3805220,'1',427,'N'),(16,3805220,'1A',426,'N'),(16,3805239,'1',425,'N'),(16,3805239,'1A',429,'N'),(16,3805247,'1',304,'N'),(16,3805255,'1',308,'N'),(16,3805263,'1',317,'N'),(16,3805271,'1',316,'N'),(16,3805280,'1',425,'N'),(16,3805280,'1A',429,'N'),(16,3805298,'1',317,'N'),(16,3805301,'1',222,'N'),(16,3805336,'1',101,'N'),(16,3805344,'1',212,'N'),(16,3805344,'1A',207,'N'),(16,3805352,'1',304,'N'),(16,3805360,'1',316,'N'),(16,3805379,'1',214,'N'),(16,3805379,'1A',233,'N'),(16,3805387,'1',208,'N'),(16,3805387,'1A',238,'N'),(16,3805409,'1',339,'N'),(16,3805425,'1',5,'N'),(16,3805433,'1',339,'N'),(16,3805441,'1',309,'N'),(16,3805450,'1',202,'N'),(16,3805450,'1A',238,'N'),(16,3805468,'1',319,'N'),(16,3805476,'1',5,'N'),(16,3805484,'1',301,'N'),(16,3805492,'1',502,'N'),(16,3805506,'1',238,'N'),(16,3805522,'1',317,'N'),(16,3805549,'1',301,'N'),(16,3805557,'1',340,'N'),(16,3805573,'1',339,'N'),(16,3805581,'1',317,'N'),(16,3805590,'1',104,'N'),(16,3805603,'1',108,'N'),(16,3805620,'1',304,'N'),(16,3805638,'1',310,'N'),(16,3805646,'1',223,'N'),(16,3805654,'1',207,'N'),(16,3805654,'1A',201,'N'),(16,3805662,'1',238,'N'),(16,3805662,'1A',208,'N'),(16,3805670,'1',317,'N'),(16,3805697,'1',302,'N'),(16,3805700,'1',331,'N'),(16,3805719,'1',103,'N'),(16,3805727,'1',201,'N'),(16,3805727,'1A',212,'N'),(16,3805735,'1',339,'N'),(16,3805743,'1',444,'N'),(16,3805751,'1',223,'N'),(16,3805760,'1',316,'N'),(16,3805778,'1',211,'N'),(16,3805778,'1A',201,'N'),(16,3805794,'1',201,'N'),(16,3805794,'1A',207,'N'),(16,3805808,'1',207,'N'),(16,3805808,'1A',201,'N'),(16,3805816,'1',303,'N'),(16,3805824,'1',308,'N'),(16,3805832,'1',308,'N'),(16,3805840,'1',451,'N'),(16,3805859,'1',201,'N'),(16,3805859,'1A',202,'N'),(16,3805875,'1',212,'N'),(16,3805875,'1A',207,'N'),(16,3805883,'1',238,'N'),(16,3805883,'1A',213,'N'),(16,3805891,'1',302,'N'),(16,3805905,'1',332,'N'),(16,3805913,'1',108,'N'),(16,3805921,'1',324,'N'),(16,3805930,'1',201,'N'),(16,3805930,'1A',207,'N'),(16,3805948,'1',316,'N'),(16,3805956,'1',420,'N'),(16,3805964,'1',301,'N'),(16,3805972,'1',201,'N'),(16,3805972,'1A',212,'N'),(16,3805980,'1',303,'N'),(16,3806006,'1',318,'N'),(16,3806014,'1',428,'N'),(16,3806022,'1',238,'N'),(16,3806022,'1A',220,'N'),(16,3806030,'1',324,'N'),(16,3806057,'1',2,'N'),(16,3806065,'1',201,'N'),(16,3806065,'1A',211,'N'),(16,3806073,'1',301,'N'),(16,3806081,'1',203,'N'),(16,3806081,'1A',214,'N'),(16,3806090,'1',427,'N'),(16,3806090,'1A',429,'N'),(16,3806103,'1',101,'N'),(16,3806111,'1',9,'N'),(16,3806120,'1',303,'N'),(16,3806138,'1',103,'N'),(16,3806146,'1',327,'N'),(16,3806154,'1',444,'N'),(16,3806162,'1',102,'N'),(16,3806170,'1',211,'N'),(16,3806170,'1A',215,'N'),(16,3806189,'1',404,'N'),(16,3806197,'1',102,'N'),(16,3806200,'1',444,'N'),(16,3806219,'1',214,'N'),(16,3806219,'1A',233,'N'),(16,3806227,'1',5,'N'),(16,3806243,'1',5,'N'),(16,3806251,'1',207,'N'),(16,3806260,'1',101,'N'),(16,3806278,'1',213,'N'),(16,3806278,'1A',202,'N'),(16,3806286,'1',211,'N'),(16,3806286,'1A',233,'N'),(16,3806294,'1',309,'N'),(16,3806308,'1',102,'N'),(16,3806316,'1',427,'N'),(16,3806316,'1A',424,'N'),(16,3806324,'1',425,'N'),(16,3806324,'1A',428,'N'),(16,3806359,'1',202,'N'),(16,3806359,'1A',220,'N'),(16,3806367,'1',101,'N'),(16,3806375,'1',3,'N'),(16,3806383,'1',238,'N'),(16,3806383,'1A',211,'N'),(16,3806391,'1',303,'N'),(16,3806405,'1',5,'N'),(16,3806413,'1',238,'N'),(16,3806413,'1A',215,'N'),(16,3806421,'1',224,'N'),(16,3806430,'1',320,'N'),(16,3806448,'1',444,'N'),(16,3806456,'1',103,'N'),(16,3806464,'1',450,'N'),(16,3806472,'1',103,'N'),(16,3806480,'1',5,'N'),(16,3806499,'1',450,'N'),(16,3806502,'1',502,'N'),(16,3806510,'1',415,'N'),(16,3806529,'1',319,'N'),(16,3806537,'1',503,'N'),(16,3806545,'1',234,'N'),(16,3806553,'1',9,'N'),(16,3806561,'1',320,'N'),(16,3806570,'1',302,'N'),(16,3806588,'1',103,'N'),(16,3806596,'1',3,'N'),(16,3806600,'1',238,'N'),(16,3806600,'1A',208,'N'),(16,3806618,'1',224,'N'),(16,3806626,'1',207,'N'),(16,3806626,'1A',201,'N'),(16,3806634,'1',211,'N'),(16,3806634,'1A',202,'N'),(16,3806642,'1',428,'N'),(16,3806642,'1A',426,'N'),(16,3806650,'1',339,'N'),(16,3806677,'1',423,'N'),(16,3806677,'1A',429,'N'),(16,3806685,'1',304,'N'),(16,3806693,'1',238,'N'),(16,3806693,'1A',215,'N'),(16,3806715,'1',339,'N'),(16,3806723,'1',303,'N'),(16,3806731,'1',301,'N'),(16,3806758,'1',318,'N'),(16,3806766,'1',502,'N'),(16,3806774,'1',303,'N'),(16,3806782,'1',201,'N'),(16,3806782,'1A',207,'N'),(16,3806790,'1',103,'N'),(16,3806804,'1',424,'N'),(16,3806804,'1A',429,'N'),(16,3806812,'1',302,'N'),(16,3806820,'1',207,'N'),(16,3806820,'1A',212,'N'),(16,3806839,'1',420,'N'),(16,3806855,'1',103,'N'),(16,3806863,'1',208,'N'),(16,3806880,'1',332,'N'),(16,3806898,'1',420,'N'),(16,3806901,'1',415,'N'),(16,3806910,'1',501,'N'),(16,3806928,'1',301,'N'),(16,3806936,'1',101,'N'),(16,3806944,'1',207,'N'),(16,3806944,'1A',212,'N'),(16,3806952,'1',208,'N'),(16,3806952,'1A',238,'N'),(16,3806960,'1',301,'N'),(16,3806979,'1',238,'N'),(16,3806979,'1A',208,'N'),(16,3806987,'1',420,'N'),(16,3806995,'1',319,'N'),(16,3807002,'1',339,'N'),(16,3807010,'1',317,'N'),(16,3807037,'1',208,'N'),(16,3807037,'1A',207,'N'),(16,3807045,'1',308,'N'),(16,3807053,'1',238,'N'),(16,3807053,'1A',207,'N'),(16,3807061,'1',309,'N'),(16,3807070,'1',103,'N'),(16,3807088,'1',425,'N'),(16,3807088,'1A',429,'N'),(16,3807096,'1',333,'N'),(16,3807118,'1',202,'N'),(16,3807118,'1A',203,'N'),(16,3807126,'1',319,'N'),(16,3807134,'1',208,'N'),(16,3807134,'1A',238,'N'),(16,3807142,'1',339,'N'),(16,3807150,'1',426,'N'),(16,3807150,'1A',428,'N'),(16,3807169,'1',208,'N'),(16,3807169,'1A',202,'N'),(16,3807185,'1',327,'N'),(16,3807193,'1',5,'N'),(16,3807207,'1',324,'N'),(16,3807215,'1',207,'N'),(16,3807215,'1A',211,'N'),(16,3807223,'1',9,'N'),(16,3807231,'1',212,'N'),(16,3807231,'1A',213,'N'),(16,3807240,'1',425,'N'),(16,3807258,'1',201,'N'),(16,3807258,'1A',212,'N'),(16,3807282,'1',238,'N'),(16,3807282,'1A',208,'N'),(16,3807290,'1',223,'N'),(16,3807304,'1',207,'N'),(16,3807304,'1A',211,'N'),(16,3807312,'1',238,'N'),(16,3807312,'1A',208,'N'),(16,3807320,'1',303,'N'),(16,3807339,'1',207,'N'),(16,3807339,'1A',212,'N'),(16,3807347,'1',301,'N'),(16,3807355,'1',450,'N'),(16,3807363,'1',318,'N'),(16,3807371,'1',201,'N'),(16,3807371,'1A',203,'N'),(16,3807380,'1',233,'N'),(16,3807380,'1A',211,'N'),(16,3807398,'1',238,'N'),(16,3807398,'1A',208,'N'),(16,3807401,'1',301,'N'),(16,3807410,'1',450,'N'),(16,3807428,'1',444,'N'),(16,3807436,'1',208,'N'),(16,3807436,'1A',238,'N'),(16,3807444,'1',234,'N'),(16,3807452,'1',302,'N'),(16,3807460,'1',201,'N'),(16,3807460,'1A',207,'N'),(16,3807479,'1',238,'N'),(16,3807487,'1',429,'N'),(16,3807487,'1A',425,'N'),(16,3807495,'1',108,'N'),(16,3807509,'1',5,'N'),(16,3807525,'1',404,'N'),(16,3807541,'1',301,'N'),(16,3807550,'1',444,'N'),(16,3807568,'1',302,'N'),(16,3807576,'1',5,'N'),(16,3807584,'1',429,'N'),(16,3807584,'1A',426,'N'),(16,3807592,'1',324,'N'),(16,3807606,'1',308,'N'),(16,3807614,'1',233,'N'),(16,3807614,'1A',208,'N'),(16,3807622,'1',301,'N'),(16,3807630,'1',317,'N'),(16,3807649,'1',429,'N'),(16,3807649,'1A',425,'N'),(16,3807657,'1',304,'N'),(16,3807673,'1',302,'N'),(16,3807681,'1',444,'N'),(16,3807690,'1',317,'N'),(16,3807711,'1',207,'N'),(16,3807711,'1A',211,'N'),(16,3807720,'1',425,'N'),(16,3807738,'1',308,'N'),(16,3807746,'1',302,'N'),(16,3807754,'1',211,'N'),(16,3807754,'1A',208,'N'),(16,3807762,'1',201,'N'),(16,3807762,'1A',212,'N'),(16,3807770,'1',238,'N'),(16,3807770,'1A',208,'N'),(16,3807789,'1',211,'N'),(16,3807789,'1A',203,'N'),(16,3807797,'1',104,'N'),(16,3807819,'1',319,'N'),(16,3807827,'1',308,'N'),(16,3807835,'1',339,'N'),(16,3807843,'1',9,'N'),(16,3807851,'1',503,'N'),(16,3807860,'1',404,'N'),(16,3807878,'1',501,'N'),(16,3807886,'1',324,'N'),(16,3807894,'1',309,'N'),(16,3807916,'1',214,'N'),(16,3807916,'1A',212,'N'),(16,3807924,'1',453,'N'),(16,3807932,'1',102,'N'),(16,3807940,'1',208,'N'),(16,3807940,'1A',238,'N'),(16,3807959,'1',319,'N'),(16,3807967,'1',316,'N'),(16,3807983,'1',303,'N'),(16,3807991,'1',301,'N'),(16,3808009,'1',309,'N'),(16,3808025,'1',444,'N'),(16,3808033,'1',304,'N'),(16,3808041,'1',102,'N'),(16,3808050,'1',308,'N'),(16,3808068,'1',304,'N'),(16,3808076,'1',316,'N'),(16,3808084,'1',202,'N'),(16,3808084,'1A',213,'N'),(16,3808092,'1',224,'N'),(16,3808106,'1',339,'N'),(16,3808114,'1',339,'N'),(16,3808122,'1',225,'N'),(16,3808130,'1',425,'N'),(16,3808130,'1A',424,'N'),(16,3808149,'1',501,'N'),(16,3808165,'1',425,'N'),(16,3808165,'1A',429,'N'),(16,3808173,'1',211,'N'),(16,3808173,'1A',215,'N'),(16,3808181,'1',103,'N'),(16,3808190,'1',428,'N'),(16,3808190,'1A',426,'N'),(16,3808203,'1',5,'N'),(16,3808211,'1',301,'N'),(16,3808220,'1',425,'N'),(16,3808220,'1A',429,'N'),(16,3808246,'1',324,'N'),(16,3808254,'1',302,'N'),(16,3808262,'1',339,'N'),(16,3808270,'1',301,'N'),(16,3808289,'1',316,'N'),(16,3808297,'1',309,'N'),(16,3808300,'1',316,'N'),(16,3808319,'1',234,'N'),(16,3808327,'1',102,'N'),(16,3808335,'1',339,'N'),(16,3808351,'1',316,'N'),(16,3808360,'1',9,'N'),(16,3808378,'1',201,'N'),(16,3808378,'1A',208,'N'),(16,3808386,'1',318,'N'),(16,3808394,'1',425,'N'),(16,3808394,'1A',423,'N'),(16,3808408,'1',238,'N'),(16,3808408,'1A',208,'N'),(16,3808416,'1',101,'N'),(16,3808424,'1',324,'N'),(16,3808432,'1',421,'N'),(16,3808440,'1',216,'N'),(16,3808440,'1A',211,'N'),(16,3808459,'1',404,'N'),(16,3808467,'1',332,'N'),(16,3808483,'1',101,'N'),(16,3808491,'1',5,'N'),(16,3808505,'1',452,'N'),(16,3808521,'1',215,'N'),(16,3808521,'1A',212,'N'),(16,3808530,'1',339,'N'),(16,3808548,'1',202,'N'),(16,3808548,'1A',208,'N'),(16,3808556,'1',203,'N'),(16,3808556,'1A',208,'N'),(16,3808564,'1',101,'N'),(16,3808572,'1',316,'N'),(16,3808580,'1',327,'N'),(16,3808602,'1',452,'N'),(16,3808610,'1',203,'N'),(16,3808610,'1A',201,'N'),(16,3808629,'1',415,'N'),(16,3808637,'1',309,'N'),(16,3808653,'1',308,'N'),(16,3808661,'1',428,'N'),(16,3808661,'1A',425,'N'),(16,3808670,'1',404,'N'),(16,3808688,'1',318,'N'),(16,3808696,'1',316,'N'),(16,3808700,'1',207,'N'),(16,3808700,'1A',201,'N'),(16,3808718,'1',310,'N'),(16,3808726,'1',211,'N'),(16,3808726,'1A',215,'N'),(16,3808734,'1',451,'N'),(16,3808742,'1',339,'N'),(16,3808750,'1',108,'N'),(16,3808769,'1',301,'N'),(16,3808777,'1',339,'N'),(16,3808807,'1',201,'N'),(16,3808807,'1A',207,'N'),(16,3808815,'1',332,'N'),(16,3808823,'1',420,'N'),(16,3808831,'1',319,'N'),(16,3808840,'1',339,'N'),(16,3808858,'1',103,'N'),(16,3808866,'1',423,'N'),(16,3808866,'1A',425,'N'),(16,3808874,'1',317,'N'),(16,3808882,'1',425,'N'),(16,3808882,'1A',428,'N'),(16,3808890,'1',428,'N'),(16,3808890,'1A',423,'N'),(16,3808904,'1',316,'N'),(16,3808912,'1',301,'N'),(16,3808920,'1',326,'N'),(16,3808939,'1',501,'N'),(16,3808947,'1',5,'N'),(16,3808963,'1',429,'N'),(16,3808963,'1A',425,'N'),(16,3808971,'1',317,'N'),(16,3808980,'1',316,'N'),(16,3808998,'1',316,'N'),(16,3809005,'1',223,'N'),(16,3809013,'1',309,'N'),(16,3809021,'1',310,'N'),(16,3809030,'1',308,'N'),(16,3809048,'1',309,'N'),(16,3809056,'1',317,'N'),(16,3809064,'1',214,'N'),(16,3809064,'1A',215,'N'),(16,3809072,'1',339,'N'),(16,3809080,'1',5,'N'),(16,3809099,'1',103,'N'),(16,3809102,'1',310,'N'),(16,3809110,'1',208,'N'),(16,3809129,'1',207,'N'),(16,3809137,'1',238,'N'),(16,3809145,'1',415,'N'),(16,3809161,'1',340,'N'),(16,3809170,'1',5,'N'),(16,3809188,'1',339,'N'),(16,3809196,'1',420,'N'),(16,3809200,'1',326,'N'),(16,3809218,'1',332,'N'),(16,3809226,'1',326,'N'),(16,3809234,'1',502,'N'),(16,3809242,'1',319,'N'),(16,3809250,'1',301,'N'),(16,3809269,'1',429,'N'),(16,3809269,'1A',423,'N'),(16,3809277,'1',202,'N'),(16,3809277,'1A',213,'N'),(16,3809293,'1',308,'N'),(16,3809307,'1',201,'N'),(16,3809307,'1A',213,'N'),(16,3809315,'1',301,'N'),(16,3809323,'1',327,'N'),(16,3809331,'1',301,'N'),(16,3809340,'1',102,'N'),(16,3809366,'1',316,'N'),(16,3809382,'1',5,'N'),(16,3809390,'1',304,'N'),(16,3809404,'1',302,'N'),(16,3809420,'1',108,'N'),(16,3809439,'1',316,'N'),(16,3809447,'1',207,'N'),(16,3809455,'1',303,'N'),(16,3809463,'1',303,'N'),(16,3809471,'1',102,'N'),(16,3809480,'1',302,'N'),(16,3809498,'1',415,'N'),(16,3809501,'1',233,'N'),(16,3809501,'1A',203,'N'),(16,3809510,'1',333,'N'),(16,3809536,'1',308,'N'),(16,3809544,'1',340,'N'),(16,3809552,'1',426,'N'),(16,3809552,'1A',427,'N'),(16,3809579,'1',324,'N'),(16,3809587,'1',317,'N'),(16,3809595,'1',429,'N'),(16,3809595,'1A',423,'N'),(16,3809617,'1',203,'N'),(16,3809617,'1A',202,'N'),(16,3809625,'1',420,'N'),(16,3809633,'1',427,'N'),(16,3809633,'1A',421,'N'),(16,3809641,'1',108,'N'),(16,3809650,'1',108,'N'),(16,3809668,'1',101,'N'),(16,3809676,'1',225,'N'),(16,3809684,'1',444,'N'),(16,3809692,'1',324,'N'),(16,3809706,'1',316,'N'),(16,3809714,'1',234,'N'),(16,3809722,'1',216,'N'),(16,3809722,'1A',211,'N'),(16,3809730,'1',451,'N'),(16,3809749,'1',316,'N'),(16,3809757,'1',317,'N'),(16,3809765,'1',420,'N'),(16,3809773,'1',202,'N'),(16,3809773,'1A',208,'N'),(16,3809781,'1',208,'N'),(16,3809781,'1A',238,'N'),(16,3809790,'1',102,'N'),(16,3809838,'1',453,'N'),(16,3809846,'1',104,'N'),(16,3809862,'1',207,'N'),(16,3809862,'1A',201,'N'),(16,3809870,'1',426,'N'),(16,3809870,'1A',425,'N'),(16,3809889,'1',102,'N'),(16,3809897,'1',444,'N'),(16,3809900,'1',202,'N'),(16,3809900,'1A',220,'N'),(16,3809919,'1',304,'N'),(16,3809943,'1',317,'N'),(16,3809951,'1',428,'N'),(16,3809960,'1',319,'N'),(16,3809978,'1',207,'N'),(16,3809978,'1A',201,'N'),(16,3809986,'1',301,'N'),(16,3809994,'1',444,'N'),(16,3810003,'1',423,'N'),(16,3810011,'1',327,'N'),(16,3810020,'1',309,'N'),(16,3810038,'1',317,'N'),(16,3810046,'1',201,'N'),(16,3810046,'1A',212,'N'),(16,3810054,'1',339,'N'),(16,3810062,'1',303,'N'),(16,3810070,'1',309,'N'),(16,3810089,'1',101,'N'),(16,3810097,'1',108,'N'),(16,3810100,'1',452,'N'),(16,3810119,'1',5,'N'),(16,3810127,'1',316,'N'),(16,3810135,'1',309,'N'),(16,3810143,'1',501,'N'),(16,3810151,'1',101,'N'),(16,3810160,'1',214,'N'),(16,3810160,'1A',212,'N'),(16,3810178,'1',332,'N'),(16,3810186,'1',425,'N'),(16,3810186,'1A',429,'N'),(16,3810208,'1',502,'N'),(16,3810216,'1',225,'N'),(16,3810224,'1',225,'N'),(16,3810232,'1',339,'N'),(16,3810240,'1',452,'N'),(16,3810259,'1',301,'N'),(16,3810267,'1',310,'N'),(16,3810275,'1',317,'N'),(16,3810283,'1',301,'N'),(16,3810291,'1',423,'N'),(16,3810291,'1A',424,'N'),(16,3810305,'1',207,'N'),(16,3810305,'1A',201,'N'),(16,3810313,'1',317,'N'),(16,3810321,'1',423,'N'),(16,3810321,'1A',425,'N'),(16,3810330,'1',415,'N'),(16,3810348,'1',327,'N'),(16,3810364,'1',501,'N'),(16,3810372,'1',316,'N'),(16,3810410,'1',208,'N'),(16,3810410,'1A',214,'N'),(16,3810429,'1',317,'N'),(16,3810437,'1',304,'N'),(16,3810445,'1',225,'N'),(16,3810453,'1',3,'N'),(16,3810461,'1',333,'N'),(16,3810470,'1',238,'N'),(16,3810470,'1A',208,'N'),(16,3810488,'1',317,'N'),(16,3810500,'1',101,'N'),(16,3810518,'1',301,'N'),(16,3810526,'1',207,'N'),(16,3810526,'1A',201,'N'),(16,3810534,'1',333,'N'),(16,3810542,'1',304,'N'),(16,3810550,'1',317,'N'),(16,3810569,'1',320,'N'),(16,3810577,'1',234,'N'),(16,3810585,'1',234,'N'),(16,3810593,'1',324,'N'),(16,3810607,'1',333,'N'),(16,3810615,'1',324,'N'),(16,3810623,'1',502,'N'),(16,3810631,'1',223,'N'),(16,3810640,'1',303,'N'),(16,3810658,'1',339,'N'),(16,3810666,'1',428,'N'),(16,3810674,'1',429,'N'),(16,3810674,'1A',425,'N'),(16,3810682,'1',101,'N'),(16,3810690,'1',304,'N'),(16,3810704,'1',208,'N'),(16,3810704,'1A',238,'N'),(16,3810712,'1',208,'N'),(16,3810712,'1A',238,'N'),(16,3810720,'1',101,'N'),(16,3810739,'1',309,'N'),(16,3810747,'1',427,'N'),(16,3810747,'1A',426,'N'),(16,3810755,'1',319,'N'),(16,3810763,'1',425,'N'),(16,3810763,'1A',428,'N'),(16,3810771,'1',444,'N'),(16,3810780,'1',333,'N'),(16,3810810,'1',317,'N'),(16,3810828,'1',211,'N'),(16,3810828,'1A',216,'N'),(16,3810844,'1',502,'N'),(16,3810852,'1',310,'N'),(16,3810860,'1',444,'N'),(16,3810879,'1',450,'N'),(16,3810887,'1',316,'N'),(16,3810895,'1',503,'N'),(16,3810909,'1',308,'N'),(16,3810917,'1',339,'N'),(16,3810925,'1',302,'N'),(16,3810933,'1',220,'N'),(16,3810933,'1A',214,'N'),(16,3810941,'1',101,'N'),(16,3810950,'1',426,'N'),(16,3810950,'1A',423,'N'),(16,3810968,'1',429,'N'),(16,3810968,'1A',425,'N'),(16,3810976,'1',214,'N'),(16,3810976,'1A',208,'N'),(16,3810984,'1',317,'N'),(16,3810992,'1',319,'N'),(16,3811000,'1',304,'N'),(16,3811018,'1',309,'N'),(16,3811026,'1',317,'N'),(16,3811042,'1',319,'N'),(16,3811050,'1',303,'N'),(16,3811069,'1',316,'N'),(16,3811077,'1',316,'N'),(16,3811085,'1',303,'N'),(16,3811107,'1',302,'N'),(16,3811115,'1',327,'N'),(16,3811123,'1',101,'N'),(16,3811131,'1',201,'N'),(16,3811131,'1A',207,'N'),(16,3811158,'1',327,'N'),(16,3811166,'1',340,'N'),(16,3811174,'1',304,'N'),(16,3811182,'1',423,'N'),(16,3811182,'1A',426,'N'),(16,3811190,'1',101,'N'),(16,3811204,'1',404,'N'),(16,3811212,'1',423,'N'),(16,3811212,'1A',425,'N'),(16,3811220,'1',309,'N'),(16,3811247,'1',421,'N'),(16,3811247,'1A',428,'N'),(16,3811255,'1',301,'N'),(16,3811263,'1',201,'N'),(16,3811263,'1A',212,'N'),(16,3811271,'1',303,'N'),(16,3811280,'1',303,'N'),(16,3811298,'1',233,'N'),(16,3811298,'1A',212,'N'),(16,3811301,'1',303,'N'),(16,3811310,'1',303,'N'),(16,3811328,'1',212,'N'),(16,3811328,'1A',215,'N'),(16,3811336,'1',233,'N'),(16,3811336,'1A',214,'N'),(16,3811344,'1',203,'N'),(16,3811344,'1A',214,'N'),(16,3811352,'1',444,'N'),(16,3811360,'1',329,'N'),(16,3811379,'1',333,'N'),(16,3811387,'1',444,'N'),(16,3811395,'1',207,'N'),(16,3811395,'1A',201,'N'),(16,3811409,'1',425,'N'),(16,3811409,'1A',429,'N'),(16,3811417,'1',319,'N'),(16,3811425,'1',102,'N'),(16,3811433,'1',201,'N'),(16,3811433,'1A',202,'N'),(16,3811441,'1',202,'N'),(16,3811441,'1A',213,'N'),(16,3811450,'1',201,'N'),(16,3811450,'1A',216,'N'),(16,3811468,'1',207,'N'),(16,3811468,'1A',201,'N'),(16,3811476,'1',234,'N'),(16,3811484,'1',502,'N'),(16,3811492,'1',212,'N'),(16,3811492,'1A',213,'N'),(16,3811506,'1',203,'N'),(16,3811506,'1A',214,'N'),(16,3811514,'1',309,'N'),(16,3811522,'1',324,'N'),(16,3811530,'1',203,'N'),(16,3811530,'1A',214,'N'),(16,3811549,'1',310,'N'),(16,3811565,'1',238,'N'),(16,3811565,'1A',208,'N'),(16,3811573,'1',203,'N'),(16,3811573,'1A',214,'N'),(16,3811581,'1',420,'N'),(16,3811603,'1',309,'N'),(16,3811611,'1',329,'N'),(16,3811620,'1',328,'N'),(16,3811638,'1',421,'N'),(16,3811638,'1A',428,'N'),(16,3811646,'1',234,'N'),(16,3811654,'1',303,'N'),(16,3811662,'1',234,'N'),(16,3811670,'1',234,'N'),(16,3811689,'1',207,'N'),(16,3811689,'1A',201,'N'),(16,3811697,'1',234,'N'),(16,3811700,'1',203,'N'),(16,3811700,'1A',212,'N'),(16,3811719,'1',404,'N'),(16,3811727,'1',202,'N'),(16,3811727,'1A',203,'N'),(16,3811735,'1',211,'N'),(16,3811735,'1A',233,'N'),(16,3811743,'1',5,'N'),(16,3811760,'1',450,'N'),(16,3811778,'1',450,'N'),(16,3811786,'1',333,'N'),(16,3811794,'1',316,'N'),(16,3811808,'1',423,'N'),(16,3811808,'1A',424,'N'),(16,3811816,'1',233,'N'),(16,3811816,'1A',214,'N'),(16,3811824,'1',238,'N'),(16,3811824,'1A',202,'N'),(16,3811832,'1',220,'N'),(16,3811832,'1A',233,'N'),(16,3811840,'1',444,'N'),(16,3811859,'1',108,'N'),(16,3811867,'1',201,'N'),(16,3811867,'1A',212,'N'),(16,3811875,'1',317,'N'),(16,3811883,'1',316,'N'),(16,3811891,'1',444,'N'),(16,3811905,'1',103,'N'),(16,3811913,'1',203,'N'),(16,3811913,'1A',214,'N'),(16,3811921,'1',103,'N'),(16,3811948,'1',425,'N'),(16,3811948,'1A',429,'N'),(16,3811956,'1',216,'N'),(16,3811956,'1A',215,'N'),(16,3811964,'1',238,'N'),(16,3811964,'1A',208,'N'),(16,3811972,'1',452,'N'),(16,3811980,'1',304,'N'),(16,3811999,'1',103,'N'),(16,3812006,'1',220,'N'),(16,3812006,'1A',238,'N'),(16,3812014,'1',308,'N'),(16,3812022,'1',310,'N'),(16,3812030,'1',225,'N'),(16,3812065,'1',104,'N'),(16,3812073,'1',302,'N'),(16,3812081,'1',327,'N'),(16,3812090,'1',304,'N'),(16,3812103,'1',302,'N'),(16,3812111,'1',103,'N'),(16,3812120,'1',238,'N'),(16,3812120,'1A',208,'N'),(16,3812138,'1',415,'N'),(16,3812146,'1',415,'N'),(16,3812154,'1',214,'N'),(16,3812154,'1A',233,'N'),(16,3812162,'1',220,'N'),(16,3812162,'1A',203,'N'),(16,3812170,'1',212,'N'),(16,3812170,'1A',215,'N'),(16,3812189,'1',3,'N'),(16,3812197,'1',201,'N'),(16,3812197,'1A',212,'N'),(16,3812200,'1',201,'N'),(16,3812200,'1A',216,'N'),(16,3812219,'1',103,'N'),(16,3812227,'1',404,'N'),(16,3812235,'1',317,'N'),(16,3812243,'1',404,'N'),(16,3812251,'1',207,'N'),(16,3812251,'1A',201,'N'),(16,3812260,'1',309,'N'),(16,3812278,'1',324,'N'),(16,3812286,'1',108,'N'),(16,3812294,'1',5,'N'),(16,3812308,'1',309,'N'),(16,3812316,'1',208,'N'),(16,3812316,'1A',207,'N'),(16,3812324,'1',207,'N'),(16,3812324,'1A',201,'N'),(16,3812332,'1',103,'N'),(16,3812340,'1',238,'N'),(16,3812340,'1A',208,'N'),(16,3812359,'1',317,'N'),(16,3812367,'1',450,'N'),(16,3812375,'1',320,'N'),(16,3812391,'1',201,'N'),(16,3812391,'1A',212,'N'),(16,3812405,'1',224,'N'),(16,3812413,'1',318,'N'),(16,3812421,'1',310,'N'),(16,3812430,'1',234,'N'),(16,3812448,'1',102,'N'),(16,3812456,'1',101,'N'),(16,3812472,'1',301,'N'),(16,3812480,'1',102,'N'),(16,3812502,'1',444,'N'),(16,3812510,'1',9,'N'),(16,3812529,'1',207,'N'),(16,3812529,'1A',201,'N'),(16,3812537,'1',302,'N'),(16,3812553,'1',421,'N'),(16,3812553,'1A',425,'N'),(16,3812561,'1',301,'N'),(16,3812570,'1',207,'N'),(16,3812570,'1A',201,'N'),(16,3812588,'1',102,'N'),(16,3812596,'1',319,'N'),(16,3812600,'1',201,'N'),(16,3812600,'1A',214,'N'),(16,3812618,'1',201,'N'),(16,3812618,'1A',207,'N'),(16,3812626,'1',415,'N'),(16,3812634,'1',220,'N'),(16,3812634,'1A',201,'N'),(16,3812642,'1',201,'N'),(16,3812642,'1A',207,'N'),(16,3812669,'1',415,'N'),(16,3812677,'1',103,'N'),(16,3812685,'1',319,'N'),(16,3812693,'1',501,'N'),(16,3812707,'1',404,'N'),(16,3812715,'1',301,'N'),(16,3812723,'1',429,'N'),(16,3812723,'1A',425,'N'),(16,3812731,'1',9,'N'),(16,3812740,'1',101,'N'),(16,3812758,'1',5,'N'),(16,3812766,'1',327,'N'),(16,3812782,'1',202,'N'),(16,3812782,'1A',208,'N'),(16,3812790,'1',103,'N'),(16,3812820,'1',319,'N'),(16,3812839,'1',201,'N'),(16,3812839,'1A',203,'N'),(16,3812847,'1',333,'N'),(16,3812855,'1',215,'N'),(16,3812855,'1A',208,'N'),(16,3812871,'1',309,'N'),(16,3812898,'1',428,'N'),(16,3812898,'1A',426,'N'),(16,3812901,'1',333,'N'),(16,3812910,'1',201,'N'),(16,3812910,'1A',207,'N'),(16,3812936,'1',333,'N'),(16,3812944,'1',303,'N'),(16,3812952,'1',103,'N'),(16,3812960,'1',427,'N'),(16,3812960,'1A',426,'N'),(16,3812979,'1',320,'N'),(16,3812987,'1',404,'N'),(16,3812995,'1',5,'N'),(16,3813002,'1',207,'N'),(16,3813002,'1A',201,'N'),(16,3813010,'1',327,'N'),(16,3813029,'1',207,'N'),(16,3813029,'1A',203,'N'),(16,3813037,'1',238,'N'),(16,3813037,'1A',208,'N'),(16,3813045,'1',208,'N'),(16,3813045,'1A',238,'N'),(16,3813053,'1',339,'N'),(16,3813061,'1',103,'N'),(16,3813088,'1',233,'N'),(16,3813088,'1A',215,'N'),(16,3813096,'1',302,'N'),(16,3813100,'1',451,'N'),(16,3813118,'1',316,'N'),(16,3813126,'1',423,'N'),(16,3813134,'1',238,'N'),(16,3813134,'1A',208,'N'),(16,3813169,'1',501,'N'),(16,3813185,'1',302,'N'),(16,3813193,'1',340,'N'),(16,3813207,'1',238,'N'),(16,3813207,'1A',233,'N'),(16,3813215,'1',9,'N'),(16,3813223,'1',415,'N'),(16,3813231,'1',451,'N'),(16,3813240,'1',3,'N'),(16,3813258,'1',316,'N'),(16,3813266,'1',339,'N'),(16,3813274,'1',103,'N'),(16,3813282,'1',103,'N'),(16,3813290,'1',340,'N'),(16,3813304,'1',5,'N'),(16,3813312,'1',429,'N'),(16,3813312,'1A',428,'N'),(16,3813320,'1',3,'N'),(16,3813339,'1',444,'N'),(16,3813347,'1',223,'N'),(16,3813355,'1',5,'N'),(16,3813363,'1',233,'N'),(16,3813363,'1A',203,'N'),(16,3813371,'1',202,'N'),(16,3813371,'1A',213,'N'),(16,3813380,'1',202,'N'),(16,3813380,'1A',238,'N'),(16,3813398,'1',502,'N'),(16,3813401,'1',203,'N'),(16,3813401,'1A',202,'N'),(16,3813410,'1',108,'N'),(16,3813428,'1',214,'N'),(16,3813428,'1A',216,'N'),(16,3813436,'1',429,'N'),(16,3813436,'1A',425,'N'),(16,3813444,'1',201,'N'),(16,3813444,'1A',212,'N'),(16,3813452,'1',328,'N'),(16,3813460,'1',222,'N'),(16,3813487,'1',317,'N'),(16,3813509,'1',339,'N'),(16,3813525,'1',238,'N'),(16,3813525,'1A',208,'N'),(16,3813533,'1',225,'N'),(16,3813541,'1',233,'N'),(16,3813541,'1A',238,'N'),(16,3813550,'1',428,'N'),(16,3813550,'1A',425,'N'),(16,3813568,'1',216,'N'),(16,3813568,'1A',215,'N'),(16,3813576,'1',318,'N'),(16,3813584,'1',415,'N'),(16,3813592,'1',202,'N'),(16,3813592,'1A',203,'N'),(16,3813606,'1',415,'N'),(16,3813614,'1',415,'N'),(16,3813622,'1',201,'N'),(16,3813622,'1A',203,'N'),(16,3813630,'1',215,'N'),(16,3813630,'1A',208,'N'),(16,3813649,'1',202,'N'),(16,3813649,'1A',208,'N'),(16,3813657,'1',309,'N'),(16,3813665,'1',301,'N'),(16,3813673,'1',317,'N'),(16,3813681,'1',317,'N'),(16,3813690,'1',316,'N'),(16,3813703,'1',426,'N'),(16,3813703,'1A',423,'N'),(16,3813711,'1',238,'N'),(16,3813711,'1A',208,'N'),(16,3813720,'1',320,'N'),(16,3813738,'1',201,'N'),(16,3813738,'1A',207,'N'),(16,3813746,'1',316,'N'),(16,3813754,'1',319,'N'),(16,3813762,'1',103,'N'),(16,3813770,'1',302,'N'),(16,3813789,'1',301,'N'),(16,3813797,'1',340,'N'),(16,3813827,'1',340,'N'),(16,3813851,'1',201,'N'),(16,3813851,'1A',213,'N'),(16,3813860,'1',201,'N'),(16,3813860,'1A',212,'N'),(16,3813878,'1',320,'N'),(16,3813886,'1',9,'N'),(16,3813916,'1',318,'N'),(16,3813940,'1',304,'N'),(16,3813967,'1',214,'N'),(16,3813967,'1A',216,'N'),(16,3813975,'1',103,'N'),(16,3813991,'1',233,'N'),(16,3813991,'1A',207,'N'),(16,3814017,'1',216,'N'),(16,3814017,'1A',215,'N'),(16,3814041,'1',326,'N'),(16,3814076,'1',308,'N'),(16,3814106,'1',104,'N'),(16,3814130,'1',103,'N'),(16,3814149,'1',331,'N'),(16,3814165,'1',310,'N'),(16,3814181,'1',426,'N'),(16,3814181,'1A',425,'N'),(16,3814190,'1',425,'N'),(16,3814203,'1',201,'N'),(16,3814203,'1A',207,'N'),(16,3814211,'1',303,'N'),(16,3814238,'1',421,'N'),(16,3814238,'1A',423,'N'),(16,3814246,'1',427,'N'),(16,3814262,'1',301,'N'),(16,3814270,'1',5,'N'),(16,3814289,'1',310,'N'),(16,3814327,'1',318,'N'),(16,3814343,'1',234,'N'),(16,3814351,'1',303,'N'),(16,3814360,'1',207,'N'),(16,3814378,'1',327,'N'),(16,3814386,'1',224,'N'),(16,3814394,'1',202,'N'),(16,3814394,'1A',201,'N'),(16,3814408,'1',3,'N'),(16,3814416,'1',103,'N'),(16,3814424,'1',316,'N'),(16,3814432,'1',453,'N'),(16,3814440,'1',428,'N'),(16,3814440,'1A',421,'N'),(16,3814459,'1',302,'N'),(16,3814467,'1',326,'N'),(16,3814475,'1',429,'N'),(16,3814483,'1',425,'N'),(16,3814483,'1A',429,'N'),(16,3814491,'1',425,'N'),(16,3814491,'1A',424,'N'),(16,3814505,'1',103,'N'),(16,3814521,'1',301,'N'),(16,3814530,'1',225,'N'),(16,3814548,'1',102,'N'),(16,3814556,'1',9,'N'),(16,3814564,'1',328,'N'),(16,3814572,'1',423,'N'),(16,3814572,'1A',428,'N'),(16,3814580,'1',303,'N'),(16,3814599,'1',332,'N'),(16,3814602,'1',309,'N'),(16,3814610,'1',426,'N'),(16,3814610,'1A',423,'N'),(16,3814629,'1',303,'N'),(16,3814645,'1',317,'N'),(16,3814653,'1',9,'N'),(16,3814661,'1',5,'N'),(16,3814670,'1',316,'N'),(16,3814688,'1',502,'N'),(16,3814700,'1',308,'N'),(16,3814718,'1',501,'N'),(16,3814726,'1',426,'N'),(16,3814726,'1A',428,'N'),(16,3814734,'1',233,'N'),(16,3814734,'1A',212,'N'),(16,3814742,'1',233,'N'),(16,3814750,'1',303,'N'),(16,3814769,'1',2,'N'),(16,3814777,'1',301,'N'),(16,3814785,'1',103,'N'),(16,3814793,'1',404,'N'),(16,3814807,'1',303,'N'),(16,3814815,'1',101,'N'),(16,3814823,'1',320,'N'),(16,3814831,'1',5,'N'),(16,3814840,'1',103,'N'),(16,3814858,'1',102,'N'),(16,3814866,'1',303,'N'),(16,3814874,'1',318,'N'),(16,3814882,'1',317,'N'),(16,3814890,'1',309,'N'),(16,3814904,'1',220,'N'),(16,3814904,'1A',202,'N'),(16,3814912,'1',103,'N'),(16,3814920,'1',339,'N'),(16,3814939,'1',9,'N'),(16,3814947,'1',207,'N'),(16,3814947,'1A',208,'N'),(16,3814955,'1',304,'N'),(16,3814963,'1',9,'N'),(16,3814971,'1',238,'N'),(16,3814971,'1A',208,'N'),(16,3814980,'1',202,'N'),(16,3814980,'1A',213,'N'),(16,3814998,'1',5,'N'),(16,3815005,'1',318,'N'),(16,3815013,'1',220,'N'),(16,3815013,'1A',201,'N'),(16,3815030,'1',328,'N'),(16,3815048,'1',211,'N'),(16,3815048,'1A',201,'N'),(16,3815064,'1',214,'N'),(16,3815064,'1A',213,'N'),(16,3815072,'1',102,'N'),(16,3815080,'1',502,'N'),(16,3815099,'1',444,'N'),(16,3815102,'1',316,'N'),(16,3815110,'1',309,'N'),(16,3815129,'1',220,'N'),(16,3815129,'1A',214,'N'),(16,3815161,'1',316,'N'),(16,3815170,'1',5,'N'),(16,3815200,'1',101,'N'),(16,3815218,'1',108,'N'),(16,3815226,'1',450,'N'),(16,3815234,'1',324,'N'),(16,3815242,'1',5,'N'),(16,3815250,'1',208,'N'),(16,3815250,'1A',211,'N'),(16,3815269,'1',444,'N'),(16,3815277,'1',214,'N'),(16,3815277,'1A',220,'N'),(16,3815293,'1',103,'N'),(16,3815307,'1',104,'N'),(16,3815315,'1',428,'N'),(16,3815315,'1A',423,'N'),(16,3815323,'1',103,'N'),(16,3815331,'1',207,'N'),(16,3815331,'1A',201,'N'),(16,3815340,'1',415,'N'),(16,3815358,'1',502,'N'),(16,3815366,'1',332,'N'),(16,3815374,'1',208,'N'),(16,3815374,'1A',202,'N'),(16,3815382,'1',103,'N'),(16,3815390,'1',201,'N'),(16,3815390,'1A',207,'N'),(16,3815404,'1',225,'N'),(16,3815412,'1',202,'N'),(16,3815412,'1A',238,'N'),(16,3815420,'1',238,'N'),(16,3815420,'1A',207,'N'),(16,3815439,'1',223,'N'),(16,3815447,'1',207,'N'),(16,3815447,'1A',211,'N'),(16,3815455,'1',208,'N'),(16,3815455,'1A',202,'N'),(16,3815471,'1',319,'N'),(16,3815480,'1',201,'N'),(16,3815480,'1A',203,'N'),(16,3815498,'1',238,'N'),(16,3815498,'1A',208,'N'),(16,3815501,'1',223,'N'),(16,3815510,'1',339,'N'),(16,3815528,'1',108,'N'),(16,3815536,'1',324,'N'),(16,3815544,'1',102,'N'),(16,3815552,'1',103,'N'),(16,3815560,'1',207,'N'),(16,3815560,'1A',201,'N'),(16,3815587,'1',208,'N'),(16,3815587,'1A',238,'N'),(16,3815595,'1',103,'N'),(16,3815609,'1',404,'N'),(16,3815617,'1',318,'N'),(16,3815625,'1',339,'N'),(16,3815641,'1',223,'N'),(16,3815650,'1',223,'N'),(16,3815668,'1',324,'N'),(16,3815676,'1',208,'N'),(16,3815676,'1A',214,'N'),(16,3815684,'1',238,'N'),(16,3815684,'1A',233,'N'),(16,3815692,'1',308,'N'),(16,3815706,'1',503,'N'),(16,3815714,'1',501,'N'),(16,3815722,'1',208,'N'),(16,3815722,'1A',238,'N'),(16,3815730,'1',316,'N'),(16,3815749,'1',101,'N'),(16,3815757,'1',420,'N'),(16,3815773,'1',316,'N'),(16,3815781,'1',421,'N'),(16,3815781,'1A',427,'N'),(16,3815790,'1',301,'N'),(16,3815803,'1',201,'N'),(16,3815803,'1A',214,'N'),(16,3815811,'1',453,'N'),(16,3815820,'1',103,'N'),(16,3815838,'1',308,'N'),(16,3815846,'1',429,'N'),(16,3815846,'1A',425,'N'),(16,3815854,'1',319,'N'),(16,3815862,'1',5,'N'),(16,3815870,'1',444,'N'),(16,3815889,'1',453,'N'),(16,3815897,'1',301,'N'),(16,3815900,'1',102,'N'),(16,3815919,'1',426,'N'),(16,3815919,'1A',429,'N'),(16,3815927,'1',319,'N'),(16,3815935,'1',310,'N'),(16,3815943,'1',301,'N'),(16,3815951,'1',426,'N'),(16,3815951,'1A',423,'N'),(16,3815960,'1',211,'N'),(16,3815960,'1A',233,'N'),(16,3815978,'1',302,'N'),(16,3815986,'1',317,'N'),(16,3815994,'1',308,'N'),(16,3816001,'1',101,'N'),(16,3816010,'1',101,'N'),(16,3816028,'1',328,'N'),(16,3816036,'1',225,'N'),(16,3816044,'1',308,'N'),(16,3816052,'1',444,'N'),(16,3816060,'1',319,'N'),(16,3816079,'1',308,'N'),(16,3816087,'1',426,'N'),(16,3816087,'1A',425,'N'),(16,3816095,'1',317,'N'),(16,3816109,'1',340,'N'),(16,3816117,'1',420,'N'),(16,3816125,'1',404,'N'),(16,3816133,'1',423,'N'),(16,3816133,'1A',429,'N'),(16,3816141,'1',308,'N'),(16,3816150,'1',303,'N'),(16,3816168,'1',208,'N'),(16,3816168,'1A',202,'N'),(16,3816176,'1',420,'N'),(16,3816184,'1',404,'N'),(16,3816192,'1',309,'N'),(16,3816206,'1',316,'N'),(16,3816214,'1',318,'N'),(16,3816222,'1',501,'N'),(16,3816230,'1',103,'N'),(16,3816249,'1',104,'N'),(16,3816257,'1',201,'N'),(16,3816257,'1A',212,'N'),(16,3816265,'1',108,'N'),(16,3816281,'1',327,'N'),(16,3816303,'1',316,'N'),(16,3816311,'1',319,'N'),(16,3816320,'1',317,'N'),(16,3816338,'1',211,'N'),(16,3816338,'1A',215,'N'),(16,3816346,'1',108,'N'),(16,3816354,'1',102,'N'),(16,3816362,'1',303,'N'),(16,3816370,'1',302,'N'),(16,3816389,'1',207,'N'),(16,3816389,'1A',201,'N'),(16,3816397,'1',428,'N'),(16,3816400,'1',324,'N'),(16,3816419,'1',201,'N'),(16,3816419,'1A',211,'N'),(16,3816427,'1',340,'N'),(16,3816435,'1',301,'N'),(16,3816443,'1',103,'N'),(16,3816451,'1',502,'N'),(16,3816460,'1',332,'N'),(16,3816478,'1',301,'N'),(16,3816486,'1',309,'N'),(16,3816494,'1',301,'N'),(16,3816508,'1',424,'N'),(16,3816508,'1A',428,'N'),(16,3816516,'1',213,'N'),(16,3816516,'1A',211,'N'),(16,3816532,'1',220,'N'),(16,3816532,'1A',208,'N'),(16,3816540,'1',238,'N'),(16,3816540,'1A',208,'N'),(16,3816567,'1',207,'N'),(16,3816567,'1A',215,'N'),(16,3816575,'1',238,'N'),(16,3816575,'1A',208,'N'),(16,3816583,'1',333,'N'),(16,3816591,'1',452,'N'),(16,3816605,'1',316,'N'),(16,3816613,'1',319,'N'),(16,3816621,'1',303,'N'),(16,3816630,'1',319,'N'),(16,3816648,'1',423,'N'),(16,3816648,'1A',428,'N'),(16,3816656,'1',302,'N'),(16,3816664,'1',301,'N'),(16,3816672,'1',503,'N'),(16,3816680,'1',333,'N'),(16,3816699,'1',301,'N'),(16,3816702,'1',331,'N'),(16,3816710,'1',302,'N'),(16,3816745,'1',316,'N'),(16,3816761,'1',415,'N'),(16,3816770,'1',420,'N'),(16,3816796,'1',203,'N'),(16,3816796,'1A',202,'N'),(16,3816800,'1',453,'N'),(16,3816818,'1',203,'N'),(16,3816818,'1A',220,'N'),(16,3816826,'1',207,'N'),(16,3816826,'1A',201,'N'),(16,3816834,'1',103,'N'),(16,3816842,'1',425,'N'),(16,3816842,'1A',424,'N'),(16,3816850,'1',340,'N'),(16,3816869,'1',234,'N'),(16,3816877,'1',319,'N'),(16,3816885,'1',103,'N'),(16,3816893,'1',316,'N'),(16,3816907,'1',318,'N'),(16,3816915,'1',429,'N'),(16,3816915,'1A',425,'N'),(16,3816923,'1',421,'N'),(16,3816923,'1A',428,'N'),(16,3816931,'1',208,'N'),(16,3816931,'1A',238,'N'),(16,3816940,'1',108,'N'),(16,3816958,'1',317,'N'),(16,3816966,'1',331,'N'),(16,3816974,'1',238,'N'),(16,3816974,'1A',208,'N'),(16,3816982,'1',308,'N'),(16,3816990,'1',238,'N'),(16,3816990,'1A',208,'N'),(16,3817008,'1',5,'N'),(16,3817016,'1',423,'N'),(16,3817024,'1',420,'N'),(16,3817032,'1',214,'N'),(16,3817032,'1A',202,'N'),(16,3817040,'1',415,'N'),(16,3817067,'1',308,'N'),(16,3817075,'1',102,'N'),(16,3817083,'1',303,'N'),(16,3817091,'1',420,'N'),(16,3817105,'1',309,'N'),(16,3817113,'1',203,'N'),(16,3817113,'1A',202,'N'),(16,3817121,'1',201,'N'),(16,3817121,'1A',203,'N'),(16,3817164,'1',502,'N'),(16,3817172,'1',316,'N'),(16,3817180,'1',429,'N'),(16,3817180,'1A',426,'N'),(16,3817199,'1',203,'N'),(16,3817199,'1A',220,'N'),(16,3817202,'1',9,'N'),(16,3817210,'1',108,'N'),(16,3817237,'1',3,'N'),(16,3817245,'1',302,'N'),(16,3817253,'1',304,'N'),(16,3817261,'1',316,'N'),(16,3817288,'1',225,'N'),(16,3817296,'1',429,'N'),(16,3817296,'1A',426,'N'),(16,3817300,'1',103,'N'),(16,3817326,'1',423,'N'),(16,3817326,'1A',425,'N'),(16,3817334,'1',423,'N'),(16,3817334,'1A',426,'N'),(16,3817342,'1',421,'N'),(16,3817342,'1A',426,'N'),(16,3817350,'1',320,'N'),(16,3817377,'1',309,'N'),(16,3817385,'1',108,'N'),(16,3817393,'1',225,'N'),(16,3817407,'1',208,'N'),(16,3817407,'1A',216,'N'),(16,3817415,'1',444,'N'),(16,3817423,'1',104,'N'),(16,3817431,'1',331,'N'),(16,3817440,'1',5,'N'),(16,3817458,'1',108,'N'),(16,3817466,'1',223,'N'),(16,3817474,'1',404,'N'),(16,3817482,'1',316,'N'),(16,3817490,'1',101,'N'),(16,3817504,'1',303,'N'),(16,3817512,'1',404,'N'),(16,3817520,'1',309,'N'),(16,3817539,'1',212,'N'),(16,3817539,'1A',220,'N'),(16,3817547,'1',5,'N'),(16,3817571,'1',404,'N'),(16,3817580,'1',309,'N'),(16,3817598,'1',103,'N'),(16,3817610,'1',301,'N'),(16,3817628,'1',101,'N'),(16,3817636,'1',220,'N'),(16,3817636,'1A',215,'N'),(16,3817644,'1',309,'N'),(16,3817652,'1',213,'N'),(16,3817652,'1A',215,'N'),(16,3817660,'1',319,'N'),(16,3817679,'1',415,'N'),(16,3817687,'1',452,'N'),(16,3817709,'1',214,'N'),(16,3817709,'1A',212,'N'),(16,3817717,'1',9,'N'),(16,3817725,'1',102,'N'),(16,3817733,'1',326,'N'),(16,3817741,'1',213,'N'),(16,3817741,'1A',212,'N'),(16,3817776,'1',103,'N'),(16,3817784,'1',9,'N'),(16,3817806,'1',428,'N'),(16,3817806,'1A',426,'N'),(16,3817814,'1',302,'N'),(16,3817822,'1',451,'N'),(16,3817830,'1',320,'N'),(16,3817849,'1',420,'N'),(16,3817857,'1',415,'N'),(16,3817865,'1',238,'N'),(16,3817865,'1A',208,'N'),(16,3817873,'1',429,'N'),(16,3817873,'1A',425,'N'),(16,3817881,'1',316,'N'),(16,3817890,'1',316,'N'),(16,3817903,'1',211,'N'),(16,3817903,'1A',214,'N'),(16,3817911,'1',331,'N'),(16,3817920,'1',308,'N'),(16,3817938,'1',308,'N'),(16,3817946,'1',421,'N'),(16,3817946,'1A',427,'N'),(16,3817954,'1',324,'N'),(16,3817962,'1',103,'N'),(16,3817970,'1',301,'N'),(16,3817989,'1',316,'N'),(16,3817997,'1',302,'N'),(16,3818004,'1',316,'N'),(16,3818012,'1',318,'N'),(16,3818020,'1',326,'N'),(16,3818039,'1',309,'N'),(16,3818047,'1',214,'N'),(16,3818047,'1A',238,'N'),(16,3818055,'1',238,'N'),(16,3818055,'1A',211,'N'),(16,3818063,'1',223,'N'),(16,3818071,'1',225,'N'),(16,3818080,'1',319,'N'),(16,3818098,'1',339,'N'),(16,3818101,'1',326,'N'),(16,3818110,'1',102,'N'),(16,3818128,'1',327,'N'),(16,3818136,'1',103,'N'),(16,3818144,'1',301,'N'),(16,3818152,'1',318,'N'),(16,3818160,'1',104,'N'),(16,3818179,'1',316,'N'),(16,3818187,'1',339,'N'),(16,3818195,'1',5,'N'),(16,3818209,'1',303,'N'),(16,3818217,'1',453,'N'),(16,3818225,'1',101,'N'),(16,3818233,'1',452,'N'),(16,3818241,'1',208,'N'),(16,3818241,'1A',238,'N'),(16,3818250,'1',317,'N'),(16,3818268,'1',3,'N'),(16,3818276,'1',220,'N'),(16,3818276,'1A',238,'N'),(16,3818284,'1',332,'N'),(16,3818292,'1',444,'N'),(16,3818306,'1',326,'N'),(16,3818314,'1',318,'N'),(16,3818322,'1',451,'N'),(16,3818349,'1',308,'N'),(16,3818357,'1',420,'N'),(16,3818365,'1',102,'N'),(16,3818373,'1',103,'N'),(16,3818381,'1',234,'N'),(16,3818390,'1',340,'N'),(16,3818403,'1',303,'N'),(16,3818411,'1',201,'N'),(16,3818411,'1A',208,'N'),(16,3818420,'1',208,'N'),(16,3818420,'1A',201,'N'),(16,3818438,'1',3,'N'),(16,3818446,'1',318,'N'),(16,3818454,'1',212,'N'),(16,3818454,'1A',233,'N'),(16,3818462,'1',319,'N'),(16,3818470,'1',234,'N'),(16,3818489,'1',203,'N'),(16,3818489,'1A',238,'N'),(16,3818500,'1',404,'N'),(16,3818519,'1',310,'N'),(16,3818527,'1',205,'N'),(16,3818535,'1',216,'N'),(16,3818535,'1A',215,'N'),(16,3818551,'1',216,'N'),(16,3818560,'1',103,'N'),(16,3818578,'1',415,'N'),(16,3818594,'1',308,'N'),(16,3818608,'1',222,'N'),(16,3818616,'1',5,'N'),(16,3818624,'1',426,'N'),(16,3818624,'1A',423,'N'),(16,3818632,'1',207,'N'),(16,3818632,'1A',208,'N'),(16,3818640,'1',423,'N'),(16,3818640,'1A',426,'N'),(16,3818659,'1',202,'N'),(16,3818659,'1A',238,'N'),(16,3818667,'1',234,'N'),(16,3818675,'1',5,'N'),(16,3818683,'1',203,'N'),(16,3818683,'1A',214,'N'),(16,3818691,'1',303,'N'),(16,3818705,'1',319,'N'),(16,3818713,'1',404,'N'),(16,3818721,'1',101,'N'),(16,3818730,'1',104,'N'),(16,3818748,'1',319,'N'),(16,3818756,'1',320,'N'),(16,3818764,'1',234,'N'),(16,3818780,'1',327,'N'),(16,3818799,'1',9,'N'),(16,3818802,'1',202,'N'),(16,3818802,'1A',203,'N'),(16,3818810,'1',220,'N'),(16,3818810,'1A',203,'N'),(16,3818837,'1',234,'N'),(16,3818845,'1',214,'N'),(16,3818845,'1A',211,'N'),(16,3818853,'1',303,'N'),(16,3818870,'1',102,'N'),(16,3818888,'1',333,'N'),(16,3818900,'1',316,'N'),(16,3818918,'1',211,'N'),(16,3818918,'1A',215,'N'),(16,3818926,'1',212,'N'),(16,3818926,'1A',201,'N'),(16,3818942,'1',316,'N'),(16,3818950,'1',404,'N'),(16,3818969,'1',308,'N'),(16,3818977,'1',303,'N'),(16,3818985,'1',420,'N'),(16,3818993,'1',211,'N'),(16,3818993,'1A',201,'N'),(16,3819000,'1',238,'N'),(16,3819000,'1A',208,'N'),(16,3819019,'1',104,'N'),(16,3819027,'1',103,'N'),(16,3819035,'1',208,'N'),(16,3819035,'1A',238,'N'),(16,3819043,'1',308,'N'),(16,3819051,'1',503,'N'),(16,3819060,'1',220,'N'),(16,3819060,'1A',214,'N'),(16,3819078,'1',108,'N'),(16,3819086,'1',428,'N'),(16,3819086,'1A',424,'N'),(16,3819094,'1',327,'N'),(16,3819108,'1',104,'N'),(16,3819116,'1',327,'N'),(16,3819124,'1',308,'N'),(16,3819132,'1',331,'N'),(16,3819140,'1',102,'N'),(16,3819159,'1',333,'N'),(16,3819167,'1',103,'N'),(16,3819175,'1',5,'N'),(16,3819183,'1',317,'N'),(16,3819191,'1',202,'N'),(16,3819191,'1A',208,'N'),(16,3819205,'1',202,'N'),(16,3819205,'1A',207,'N'),(16,3819213,'1',309,'N'),(16,3819230,'1',3,'N'),(16,3819256,'1',308,'N'),(16,3819264,'1',101,'N'),(16,3819272,'1',404,'N'),(16,3819280,'1',201,'N'),(16,3819280,'1A',212,'N'),(16,3819299,'1',420,'N'),(16,3819302,'1',309,'N'),(16,3819310,'1',238,'N'),(16,3819310,'1A',208,'N'),(16,3819329,'1',310,'N'),(16,3819337,'1',103,'N'),(16,3819345,'1',319,'N'),(16,3819353,'1',428,'N'),(16,3819353,'1A',426,'N'),(16,3819370,'1',339,'N'),(16,3819388,'1',203,'N'),(16,3819396,'1',102,'N'),(16,3819418,'1',103,'N'),(16,3819426,'1',203,'N'),(16,3819426,'1A',214,'N'),(16,3819434,'1',207,'N'),(16,3819434,'1A',238,'N'),(16,3819442,'1',207,'N'),(16,3819442,'1A',201,'N'),(16,3819469,'1',202,'N'),(16,3819469,'1A',213,'N'),(16,3819477,'1',203,'N'),(16,3819477,'1A',201,'N'),(16,3819485,'1',238,'N'),(16,3819507,'1',425,'N'),(16,3819507,'1A',429,'N'),(16,3819515,'1',2,'N'),(16,3819531,'1',205,'N'),(16,3819558,'1',317,'N'),(16,3819566,'1',102,'N'),(16,3819574,'1',103,'N'),(16,3819582,'1',302,'N'),(16,3819590,'1',207,'N'),(16,3819590,'1A',201,'N'),(16,3819604,'1',103,'N'),(16,3819612,'1',103,'N'),(16,3819620,'1',103,'N'),(16,3819639,'1',327,'N'),(16,3819647,'1',207,'N'),(16,3819647,'1A',220,'N'),(16,3819671,'1',211,'N'),(16,3819671,'1A',216,'N'),(16,3819680,'1',319,'N'),(16,3819698,'1',324,'N'),(16,3819701,'1',102,'N'),(16,3819710,'1',103,'N'),(16,3819736,'1',225,'N'),(16,3819744,'1',503,'N'),(16,3819752,'1',426,'N'),(16,3819752,'1A',423,'N'),(16,3819760,'1',303,'N'),(16,3819779,'1',316,'N'),(16,3819787,'1',104,'N'),(16,3819809,'1',308,'N'),(16,3819817,'1',108,'N'),(16,3819825,'1',203,'N'),(16,3819825,'1A',214,'N'),(16,3819833,'1',426,'N'),(16,3819833,'1A',428,'N'),(16,3819841,'1',426,'N'),(16,3819841,'1A',425,'N'),(16,3819850,'1',329,'N'),(16,3819884,'1',301,'N'),(16,3819892,'1',308,'N'),(16,3819906,'1',319,'N'),(16,3819914,'1',108,'N'),(16,3819922,'1',303,'N'),(16,3819949,'1',316,'N'),(16,3819957,'1',319,'N'),(16,3819965,'1',214,'N'),(16,3819965,'1A',212,'N'),(16,3819973,'1',317,'N'),(16,3819981,'1',316,'N'),(16,3819990,'1',108,'N'),(16,3820009,'1',103,'N'),(16,3820017,'1',238,'N'),(16,3820017,'1A',212,'N'),(16,3820025,'1',502,'N'),(16,3820041,'1',233,'N'),(16,3820041,'1A',203,'N'),(16,3820050,'1',102,'N'),(16,3820068,'1',501,'N'),(16,3820076,'1',320,'N'),(16,3820084,'1',501,'N'),(16,3820106,'1',424,'N'),(16,3820106,'1A',429,'N'),(16,3820114,'1',304,'N'),(16,3820130,'1',423,'N'),(16,3820130,'1A',425,'N'),(16,3820149,'1',201,'N'),(16,3820149,'1A',216,'N'),(16,3820157,'1',101,'N'),(16,3820165,'1',103,'N'),(16,3820173,'1',327,'N'),(16,3820181,'1',319,'N'),(16,3820190,'1',501,'N'),(16,3820203,'1',101,'N'),(16,3820238,'1',102,'N'),(16,3820246,'1',404,'N'),(16,3820254,'1',207,'N'),(16,3820254,'1A',203,'N'),(16,3820270,'1',301,'N'),(16,3820300,'1',452,'N'),(16,3820319,'1',303,'N'),(16,3820327,'1',238,'N'),(16,3820327,'1A',207,'N'),(16,3820343,'1',5,'N'),(16,3820351,'1',208,'N'),(16,3820351,'1A',238,'N'),(16,3820360,'1',316,'N'),(16,3820378,'1',423,'N'),(16,3820378,'1A',426,'N'),(16,3820386,'1',317,'N'),(16,3820394,'1',9,'N'),(16,3820408,'1',502,'N'),(16,3820416,'1',108,'N'),(16,3820424,'1',207,'N'),(16,3820424,'1A',201,'N'),(16,3820432,'1',104,'N'),(16,3820440,'1',444,'N'),(16,3820459,'1',316,'N'),(16,3820467,'1',208,'N'),(16,3820467,'1A',202,'N'),(16,3820475,'1',301,'N'),(16,3820483,'1',428,'N'),(16,3820483,'1A',426,'N'),(16,3820491,'1',216,'N'),(16,3820491,'1A',203,'N'),(16,3820505,'1',103,'N'),(16,3820521,'1',216,'N'),(16,3820521,'1A',233,'N'),(16,3820530,'1',102,'N'),(16,3820548,'1',326,'N'),(16,3820556,'1',333,'N'),(16,3820564,'1',444,'N'),(16,3820572,'1',415,'N'),(16,3820599,'1',340,'N'),(16,3820602,'1',202,'N'),(16,3820602,'1A',213,'N'),(16,3820610,'1',301,'N'),(16,3820629,'1',404,'N'),(16,3820637,'1',328,'N'),(16,3820645,'1',444,'N'),(16,3820653,'1',424,'N'),(16,3820653,'1A',428,'N'),(16,3820670,'1',9,'N'),(16,3820688,'1',320,'N'),(16,3820700,'1',316,'N'),(16,3820718,'1',102,'N'),(16,3820726,'1',404,'N'),(16,3820734,'1',220,'N'),(16,3820734,'1A',203,'N'),(16,3820769,'1',339,'N'),(16,3820777,'1',103,'N'),(16,3820785,'1',214,'N'),(16,3820785,'1A',203,'N'),(16,3820793,'1',103,'N'),(16,3820807,'1',201,'N'),(16,3820815,'1',425,'N'),(16,3820815,'1A',423,'N'),(16,3820823,'1',303,'N'),(16,3820831,'1',444,'N'),(16,3820840,'1',502,'N'),(16,3820858,'1',503,'N'),(16,3820874,'1',238,'N'),(16,3820874,'1A',208,'N'),(16,3820882,'1',327,'N'),(16,3820890,'1',216,'N'),(16,3820890,'1A',213,'N'),(16,3820912,'1',103,'N'),(16,3820939,'1',308,'N'),(16,3820947,'1',301,'N'),(16,3820955,'1',211,'N'),(16,3820955,'1A',207,'N'),(16,3820963,'1',333,'N'),(16,3820971,'1',108,'N'),(16,3820980,'1',317,'N'),(16,3820998,'1',308,'N'),(16,3821005,'1',450,'N'),(16,3821013,'1',425,'N'),(16,3821013,'1A',428,'N'),(16,3821021,'1',319,'N'),(16,3821030,'1',103,'N'),(16,3821048,'1',103,'N'),(16,3821056,'1',9,'N'),(16,3821064,'1',103,'N'),(16,3821072,'1',220,'N'),(16,3821072,'1A',233,'N'),(16,3821080,'1',2,'N'),(16,3821099,'1',201,'N'),(16,3821099,'1A',203,'N'),(16,3821102,'1',201,'N'),(16,3821102,'1A',207,'N'),(16,3821129,'1',326,'N'),(16,3821137,'1',207,'N'),(16,3821137,'1A',201,'N'),(16,3821145,'1',104,'N'),(16,3821153,'1',415,'N'),(16,3821170,'1',225,'N'),(16,3821188,'1',207,'N'),(16,3821200,'1',450,'N'),(16,3821218,'1',102,'N'),(16,3821285,'1',208,'N'),(16,3821285,'1A',203,'N'),(16,3821323,'1',238,'N'),(16,3821323,'1A',208,'N'),(16,3821340,'1',340,'N'),(16,3821366,'1',428,'N'),(16,3821366,'1A',423,'N'),(16,3821374,'1',423,'N'),(16,3821374,'1A',428,'N'),(16,3821382,'1',339,'N'),(16,3821390,'1',428,'N'),(16,3821390,'1A',423,'N'),(16,3821404,'1',102,'N'),(16,3821412,'1',327,'N'),(16,3821439,'1',104,'N'),(16,3821447,'1',301,'N'),(16,3821455,'1',238,'N'),(16,3821455,'1A',208,'N'),(16,3821463,'1',9,'N'),(16,3821471,'1',303,'N'),(16,3821498,'1',5,'N'),(16,3821501,'1',9,'N'),(16,3821510,'1',3,'N'),(16,3821536,'1',201,'N'),(16,3821536,'1A',207,'N'),(16,3821552,'1',428,'N'),(16,3821552,'1A',426,'N'),(16,3821560,'1',303,'N'),(16,3821609,'1',503,'N'),(16,3821617,'1',319,'N'),(16,3821625,'1',207,'N'),(16,3821625,'1A',201,'N'),(16,3821633,'1',340,'N'),(16,3821641,'1',101,'N'),(16,3821650,'1',207,'N'),(16,3821650,'1A',201,'N'),(16,3821668,'1',9,'N'),(16,3821676,'1',5,'N'),(16,3821684,'1',202,'N'),(16,3821684,'1A',211,'N'),(16,3821692,'1',415,'N'),(16,3821706,'1',207,'N'),(16,3821714,'1',101,'N'),(16,3821722,'1',501,'N'),(16,3821730,'1',9,'N'),(16,3821749,'1',302,'N'),(16,3821757,'1',2,'N'),(16,3821765,'1',201,'N'),(16,3821765,'1A',212,'N'),(16,3821773,'1',216,'N'),(16,3821773,'1A',215,'N'),(16,3821781,'1',201,'N'),(16,3821781,'1A',220,'N'),(16,3821790,'1',310,'N'),(16,3821803,'1',318,'N'),(16,3821811,'1',309,'N'),(16,3821820,'1',316,'N'),(16,3821838,'1',427,'N'),(16,3821838,'1A',421,'N'),(16,3821846,'1',453,'N'),(16,3821854,'1',103,'N'),(16,3821870,'1',319,'N'),(16,3821889,'1',238,'N'),(16,3821889,'1A',208,'N'),(16,3821900,'1',102,'N'),(16,3821919,'1',101,'N'),(16,3821927,'1',3,'N'),(16,3821935,'1',2,'N'),(16,3821943,'1',318,'N'),(16,3821951,'1',301,'N'),(16,3821960,'1',327,'N'),(16,3821978,'1',5,'N'),(16,3821986,'1',201,'N'),(16,3821986,'1A',207,'N'),(16,3822001,'1',316,'N'),(16,3822010,'1',104,'N'),(16,3822028,'1',103,'N'),(16,3822036,'1',234,'N'),(16,3822044,'1',211,'N'),(16,3822044,'1A',233,'N'),(16,3822052,'1',202,'N'),(16,3822052,'1A',213,'N'),(16,3822060,'1',202,'N'),(16,3822060,'1A',213,'N'),(16,3822079,'1',5,'N'),(16,3822087,'1',301,'N'),(16,3822095,'1',211,'N'),(16,3822095,'1A',202,'N'),(16,3822109,'1',301,'N'),(16,3822133,'1',5,'N'),(16,3822141,'1',317,'N'),(16,3822168,'1',201,'N'),(16,3822168,'1A',233,'N'),(16,3822176,'1',108,'N'),(16,3822184,'1',301,'N'),(16,3822192,'1',308,'N'),(16,3822214,'1',423,'N'),(16,3822222,'1',450,'N'),(16,3822230,'1',5,'N'),(16,3822249,'1',238,'N'),(16,3822249,'1A',208,'N'),(16,3822257,'1',238,'N'),(16,3822265,'1',317,'N'),(16,3822273,'1',308,'N'),(16,3822281,'1',317,'N'),(16,3822290,'1',102,'N'),(16,3822303,'1',9,'N'),(16,3822311,'1',303,'N'),(16,3822320,'1',103,'N'),(16,3822338,'1',101,'N'),(16,3822346,'1',238,'N'),(16,3822346,'1A',208,'N'),(16,3822354,'1',415,'N'),(16,3822362,'1',415,'N'),(16,3822370,'1',301,'N'),(16,3822389,'1',104,'N'),(16,3822397,'1',320,'N'),(16,3822400,'1',328,'N'),(16,3822419,'1',424,'N'),(16,3822419,'1A',425,'N'),(16,3822427,'1',303,'N'),(16,3822435,'1',326,'N'),(16,3822443,'1',309,'N'),(16,3822451,'1',451,'N'),(16,3822460,'1',319,'N'),(16,3822478,'1',319,'N'),(16,3822486,'1',234,'N'),(16,3822494,'1',332,'N'),(16,3822508,'1',238,'N'),(16,3822508,'1A',215,'N'),(16,3822516,'1',340,'N'),(16,3822524,'1',214,'N'),(16,3822524,'1A',233,'N'),(16,3822532,'1',208,'N'),(16,3822532,'1A',238,'N'),(16,3822540,'1',309,'N'),(16,3822559,'1',327,'N'),(16,3822567,'1',316,'N'),(16,3822575,'1',207,'N'),(16,3822575,'1A',211,'N'),(16,3822583,'1',211,'N'),(16,3822583,'1A',215,'N'),(16,3822591,'1',309,'N'),(16,3822605,'1',303,'N'),(16,3822613,'1',301,'N'),(16,3822621,'1',101,'N'),(16,3822630,'1',424,'N'),(16,3822630,'1A',427,'N'),(16,3822648,'1',423,'N'),(16,3822648,'1A',428,'N'),(16,3822656,'1',425,'N'),(16,3822656,'1A',428,'N'),(16,3822664,'1',309,'N'),(16,3822672,'1',329,'N'),(16,3822680,'1',316,'N'),(16,3822699,'1',503,'N'),(16,3822702,'1',208,'N'),(16,3822702,'1A',238,'N'),(16,3822710,'1',317,'N'),(16,3822729,'1',331,'N'),(16,3822737,'1',101,'N'),(16,3822745,'1',316,'N'),(16,3822753,'1',308,'N'),(16,3822761,'1',225,'N'),(16,3822770,'1',301,'N'),(16,3822788,'1',317,'N'),(16,3822796,'1',420,'N'),(16,3822800,'1',108,'N'),(16,3822818,'1',103,'N'),(16,3822826,'1',304,'N'),(16,3822834,'1',233,'N'),(16,3822834,'1A',214,'N'),(16,3822842,'1',101,'N'),(16,3822850,'1',308,'N'),(16,3822869,'1',316,'N'),(16,3822877,'1',101,'N'),(16,3822885,'1',326,'N'),(16,3822893,'1',5,'N'),(16,3822907,'1',2,'N'),(16,3822915,'1',415,'N'),(16,3822923,'1',309,'N'),(16,3822931,'1',234,'N'),(16,3822940,'1',102,'N'),(16,3822958,'1',203,'N'),(16,3822958,'1A',214,'N'),(16,3822966,'1',332,'N'),(16,3822974,'1',316,'N'),(16,3822982,'1',301,'N'),(16,3822990,'1',324,'N'),(16,3823008,'1',332,'N'),(16,3823016,'1',339,'N'),(16,3823024,'1',224,'N'),(16,3823032,'1',303,'N'),(16,3823040,'1',301,'N'),(16,3823059,'1',207,'N'),(16,3823059,'1A',201,'N'),(16,3823067,'1',444,'N'),(16,3823075,'1',309,'N'),(16,3823083,'1',339,'N'),(16,3823091,'1',223,'N'),(16,3823105,'1',238,'N'),(16,3823105,'1A',233,'N'),(16,3823113,'1',301,'N'),(16,3823121,'1',101,'N'),(16,3823130,'1',234,'N'),(16,3823148,'1',9,'N'),(16,3823156,'1',501,'N'),(16,3823164,'1',302,'N'),(16,3823172,'1',309,'N'),(16,3823180,'1',332,'N'),(16,3823199,'1',233,'N'),(16,3823199,'1A',211,'N'),(16,3823202,'1',319,'N'),(16,3823210,'1',102,'N'),(16,3823229,'1',301,'N'),(16,3823237,'1',426,'N'),(16,3823237,'1A',429,'N'),(16,3823245,'1',301,'N'),(16,3823253,'1',501,'N'),(16,3823261,'1',423,'N'),(16,3823270,'1',339,'N'),(16,3823288,'1',320,'N'),(16,3823296,'1',203,'N'),(16,3823296,'1A',214,'N'),(16,3823300,'1',207,'N'),(16,3823300,'1A',211,'N'),(16,3823318,'1',108,'N'),(16,3823326,'1',332,'N'),(16,3823334,'1',420,'N'),(16,3823342,'1',201,'N'),(16,3823342,'1A',202,'N'),(16,3823350,'1',318,'N'),(16,3823369,'1',238,'N'),(16,3823369,'1A',208,'N'),(16,3823377,'1',102,'N'),(16,3823385,'1',501,'N'),(16,3823407,'1',308,'N'),(16,3823415,'1',9,'N'),(16,3823423,'1',420,'N'),(16,3823431,'1',404,'N'),(16,3823440,'1',308,'N'),(16,3823458,'1',316,'N'),(16,3823466,'1',103,'N'),(16,3823474,'1',501,'N'),(16,3823482,'1',339,'N'),(16,3823490,'1',202,'N'),(16,3823490,'1A',213,'N'),(16,3823504,'1',317,'N'),(16,3823512,'1',212,'N'),(16,3823512,'1A',207,'N'),(16,3823520,'1',324,'N'),(16,3823547,'1',317,'N'),(16,3823555,'1',453,'N'),(16,3823563,'1',319,'N'),(16,3823571,'1',317,'N'),(16,3823580,'1',303,'N'),(16,3823598,'1',429,'N'),(16,3823598,'1A',426,'N'),(16,3823601,'1',310,'N'),(16,3823610,'1',108,'N'),(16,3823628,'1',104,'N'),(16,3823636,'1',320,'N'),(16,3823644,'1',224,'N'),(16,3823660,'1',316,'N'),(16,3823679,'1',238,'N'),(16,3823679,'1A',208,'N'),(16,3823687,'1',317,'N'),(16,3823695,'1',424,'N'),(16,3823695,'1A',426,'N'),(16,3823709,'1',339,'N'),(16,3823717,'1',329,'N'),(16,3823725,'1',316,'N'),(16,3823733,'1',309,'N'),(16,3823741,'1',225,'N'),(16,3823750,'1',404,'N'),(16,3823768,'1',309,'N'),(16,3823776,'1',3,'N'),(16,3823784,'1',9,'N'),(16,3823792,'1',404,'N'),(16,3823814,'1',404,'N'),(16,3823822,'1',233,'N'),(16,3823822,'1A',211,'N'),(16,3823830,'1',309,'N'),(16,3823849,'1',309,'N'),(16,3823857,'1',339,'N'),(16,3823865,'1',339,'N'),(16,3823873,'1',501,'N'),(16,3823881,'1',103,'N'),(16,3823890,'1',101,'N'),(16,3823903,'1',319,'N'),(16,3823911,'1',103,'N'),(16,3823920,'1',224,'N'),(16,3823938,'1',501,'N'),(16,3823946,'1',9,'N'),(16,3823954,'1',316,'N'),(16,3823962,'1',316,'N'),(16,3823970,'1',9,'N'),(16,3823989,'1',101,'N'),(16,3823997,'1',319,'N'),(16,3824004,'1',318,'N'),(16,3824012,'1',317,'N'),(16,3824020,'1',502,'N'),(16,3824039,'1',104,'N'),(16,3824047,'1',301,'N'),(16,3824055,'1',316,'N'),(16,3824063,'1',302,'N'),(16,3824071,'1',444,'N'),(16,3824080,'1',319,'N'),(16,3824098,'1',404,'N'),(16,3824101,'1',223,'N'),(16,3824110,'1',317,'N'),(16,3824128,'1',415,'N'),(16,3824136,'1',339,'N'),(16,3824144,'1',415,'N'),(16,3824160,'1',208,'N'),(16,3824179,'1',332,'N'),(16,3824187,'1',207,'N'),(16,3824187,'1A',201,'N'),(16,3824195,'1',324,'N'),(16,3824209,'1',420,'N'),(16,3824217,'1',9,'N'),(16,3824225,'1',317,'N'),(16,3824233,'1',319,'N'),(16,3824241,'1',309,'N'),(16,3824250,'1',429,'N'),(16,3824250,'1A',425,'N'),(16,3824268,'1',319,'N'),(16,3824276,'1',427,'N'),(16,3824276,'1A',423,'N'),(16,3824284,'1',207,'N'),(16,3824284,'1A',201,'N'),(16,3824292,'1',207,'N'),(16,3824292,'1A',201,'N'),(16,3824306,'1',308,'N'),(16,3824314,'1',234,'N'),(16,3824322,'1',420,'N'),(16,3824330,'1',102,'N'),(16,3824349,'1',215,'N'),(16,3824349,'1A',212,'N'),(16,3824357,'1',208,'N'),(16,3824357,'1A',238,'N'),(16,3824365,'1',444,'N'),(16,3824373,'1',101,'N'),(16,3824381,'1',332,'N'),(16,3824390,'1',104,'N'),(16,3824403,'1',304,'N'),(16,3824411,'1',503,'N'),(16,3824420,'1',319,'N'),(16,3824438,'1',102,'N'),(16,3824446,'1',501,'N'),(16,3824454,'1',331,'N'),(16,3824462,'1',211,'N'),(16,3824462,'1A',216,'N'),(16,3824470,'1',332,'N'),(16,3824489,'1',318,'N'),(16,3824497,'1',423,'N'),(16,3824497,'1A',426,'N'),(16,3824500,'1',207,'N'),(16,3824500,'1A',201,'N'),(16,3824519,'1',208,'N'),(16,3824519,'1A',220,'N'),(16,3824527,'1',223,'N'),(16,3824535,'1',319,'N'),(16,3824543,'1',309,'N'),(16,3824551,'1',319,'N'),(16,3824560,'1',501,'N'),(16,3824578,'1',234,'N'),(16,3824594,'1',215,'N'),(16,3824594,'1A',211,'N'),(16,3824608,'1',207,'N'),(16,3824608,'1A',233,'N'),(16,3824616,'1',404,'N'),(16,3824624,'1',452,'N'),(16,3824632,'1',234,'N'),(16,3824640,'1',233,'N'),(16,3824640,'1A',214,'N'),(16,3824659,'1',101,'N'),(16,3824667,'1',238,'N'),(16,3824675,'1',238,'N'),(16,3824675,'1A',208,'N'),(16,3824683,'1',103,'N'),(16,3824691,'1',332,'N'),(16,3824705,'1',224,'N'),(16,3824713,'1',444,'N'),(16,3824721,'1',444,'N'),(16,3824730,'1',104,'N'),(16,3824748,'1',309,'N'),(16,3824756,'1',238,'N'),(16,3824756,'1A',208,'N'),(16,3824772,'1',316,'N'),(16,3824780,'1',444,'N'),(16,3824799,'1',332,'N'),(16,3824802,'1',309,'N'),(16,3824810,'1',104,'N'),(16,3824829,'1',103,'N'),(16,3824837,'1',444,'N'),(16,3824845,'1',308,'N'),(16,3824853,'1',304,'N'),(16,3824861,'1',317,'N'),(16,3824870,'1',404,'N'),(16,3824888,'1',301,'N'),(16,3824896,'1',444,'N'),(16,3824900,'1',404,'N'),(16,3824918,'1',5,'N'),(16,3824926,'1',304,'N'),(16,3824934,'1',234,'N'),(16,3824942,'1',103,'N'),(16,3824950,'1',224,'N'),(16,3824969,'1',5,'N'),(16,3824977,'1',340,'N'),(16,3824985,'1',5,'N'),(16,3825000,'1',324,'N'),(16,3825019,'1',108,'N'),(16,3825027,'1',503,'N'),(16,3825035,'1',303,'N'),(16,3825043,'1',415,'N'),(16,3825051,'1',9,'N'),(16,3825060,'1',339,'N'),(16,3825078,'1',429,'N'),(16,3825086,'1',211,'N'),(16,3825086,'1A',201,'N'),(16,3825094,'1',208,'N'),(16,3825094,'1A',238,'N'),(16,3825108,'1',203,'N'),(16,3825108,'1A',214,'N'),(16,3825116,'1',404,'N'),(16,3825124,'1',103,'N'),(16,3825140,'1',301,'N'),(16,3825159,'1',452,'N'),(16,3825167,'1',225,'N'),(16,3825175,'1',5,'N'),(16,3825183,'1',201,'N'),(16,3825183,'1A',216,'N'),(16,3825191,'1',428,'N'),(16,3825191,'1A',426,'N'),(16,3825205,'1',318,'N'),(16,3825213,'1',104,'N'),(16,3825221,'1',319,'N'),(16,3825230,'1',207,'N'),(16,3825230,'1A',233,'N'),(16,3825248,'1',234,'N'),(16,3825256,'1',234,'N'),(16,3825264,'1',421,'N'),(16,3825272,'1',340,'N'),(16,3825280,'1',332,'N'),(16,3825299,'1',452,'N'),(16,3825302,'1',428,'N'),(16,3825302,'1A',429,'N'),(16,3825329,'1',339,'N'),(16,3825337,'1',331,'N'),(16,3825345,'1',426,'N'),(16,3825345,'1A',429,'N'),(16,3825353,'1',320,'N'),(16,3825361,'1',444,'N'),(16,3825370,'1',444,'N'),(16,3825388,'1',5,'N'),(16,3825396,'1',208,'N'),(16,3825396,'1A',238,'N'),(16,3825400,'1',301,'N'),(16,3825418,'1',9,'N'),(16,3825426,'1',104,'N'),(16,3825434,'1',317,'N'),(16,3825442,'1',302,'N'),(16,3825450,'1',207,'N'),(16,3825450,'1A',208,'N'),(16,3825469,'1',5,'N'),(16,3825485,'1',317,'N'),(16,3825493,'1',316,'N'),(16,3825507,'1',317,'N'),(16,3825515,'1',316,'N'),(16,3825523,'1',234,'N'),(16,3825531,'1',3,'N'),(16,3825540,'1',238,'N'),(16,3825558,'1',316,'N'),(16,3825566,'1',211,'N'),(16,3825566,'1A',212,'N'),(16,3825574,'1',429,'N'),(16,3825574,'1A',425,'N'),(16,3825582,'1',316,'N'),(16,3825590,'1',224,'N'),(16,3825604,'1',215,'N'),(16,3825604,'1A',233,'N'),(16,3825612,'1',324,'N'),(16,3825620,'1',5,'N'),(16,3825639,'1',319,'N'),(16,3825647,'1',302,'N'),(16,3825655,'1',320,'N'),(16,3825663,'1',108,'N'),(16,3825671,'1',404,'N'),(16,3825680,'1',317,'N'),(16,3825698,'1',201,'N'),(16,3825698,'1A',207,'N'),(16,3825701,'1',308,'N'),(16,3825710,'1',501,'N'),(16,3825728,'1',238,'N'),(16,3825736,'1',425,'N'),(16,3825736,'1A',429,'N'),(16,3825744,'1',404,'N'),(16,3825752,'1',316,'N'),(16,3825760,'1',425,'N'),(16,3825760,'1A',427,'N'),(16,3825787,'1',319,'N'),(16,3825795,'1',211,'N'),(16,3825795,'1A',215,'N'),(16,3825809,'1',316,'N'),(16,3825817,'1',327,'N'),(16,3825825,'1',420,'N'),(16,3825833,'1',404,'N'),(16,3825841,'1',211,'N'),(16,3825841,'1A',215,'N'),(16,3825850,'1',319,'N'),(16,3825868,'1',317,'N'),(16,3825884,'1',317,'N'),(16,3825892,'1',302,'N'),(16,3825906,'1',203,'N'),(16,3825906,'1A',201,'N'),(16,3825914,'1',301,'N'),(16,3825922,'1',333,'N'),(16,3825930,'1',101,'N'),(16,3825949,'1',101,'N'),(16,3825957,'1',103,'N'),(16,3825965,'1',233,'N'),(16,3825965,'1A',214,'N'),(16,3825973,'1',211,'N'),(16,3825973,'1A',212,'N'),(16,3825981,'1',332,'N'),(16,3825990,'1',238,'N'),(16,3825990,'1A',208,'N'),(16,3826007,'1',444,'N'),(16,3826015,'1',339,'N'),(16,3826023,'1',340,'N'),(16,3826031,'1',428,'N'),(16,3826031,'1A',423,'N'),(16,3826040,'1',108,'N'),(16,3826058,'1',404,'N'),(16,3826066,'1',327,'N'),(16,3826074,'1',214,'N'),(16,3826074,'1A',213,'N'),(16,3826082,'1',308,'N'),(16,3826090,'1',224,'N'),(16,3826104,'1',503,'N'),(16,3826112,'1',108,'N'),(16,3826120,'1',317,'N'),(16,3826139,'1',327,'N'),(16,3826147,'1',450,'N'),(16,3826163,'1',501,'N'),(16,3826171,'1',444,'N'),(16,3826180,'1',318,'N'),(16,3826198,'1',2,'N'),(16,3826201,'1',308,'N'),(16,3826210,'1',238,'N'),(16,3826210,'1A',208,'N'),(16,3826228,'1',301,'N'),(16,3826236,'1',428,'N'),(16,3826236,'1A',425,'N'),(16,3826244,'1',453,'N'),(16,3826252,'1',101,'N'),(16,3826260,'1',238,'N'),(16,3826260,'1A',208,'N'),(16,3826279,'1',453,'N'),(16,3826287,'1',223,'N'),(16,3826295,'1',428,'N'),(16,3826295,'1A',423,'N'),(16,3826309,'1',317,'N'),(16,3826317,'1',234,'N'),(16,3826325,'1',108,'N'),(16,3826333,'1',317,'N'),(16,3826341,'1',502,'N'),(16,3826350,'1',308,'N'),(16,3826368,'1',102,'N'),(16,3826376,'1',318,'N'),(16,3826384,'1',216,'N'),(16,3826384,'1A',215,'N'),(16,3826406,'1',9,'N'),(16,3826414,'1',339,'N'),(16,3826422,'1',302,'N'),(16,3826430,'1',207,'N'),(16,3826449,'1',216,'N'),(16,3826449,'1A',233,'N'),(16,3826457,'1',238,'N'),(16,3826457,'1A',208,'N'),(16,3826465,'1',339,'N'),(16,3826473,'1',420,'N'),(16,3826481,'1',502,'N'),(16,3826490,'1',444,'N'),(16,3826503,'1',415,'N'),(16,3826511,'1',318,'N'),(16,3826520,'1',207,'N'),(16,3826520,'1A',211,'N'),(16,3826538,'1',328,'N'),(16,3826546,'1',450,'N'),(16,3826589,'1',103,'N'),(16,3826597,'1',101,'N'),(16,3826600,'1',233,'N'),(16,3826600,'1A',214,'N'),(16,3826619,'1',451,'N'),(16,3826627,'1',309,'N'),(16,3826643,'1',444,'N'),(16,3826651,'1',234,'N'),(16,3826660,'1',420,'N'),(16,3826678,'1',327,'N'),(16,3826708,'1',233,'N'),(16,3826708,'1A',214,'N'),(16,3826716,'1',415,'N'),(16,3826724,'1',201,'N'),(16,3826724,'1A',238,'N'),(16,3826732,'1',224,'N'),(16,3826740,'1',238,'N'),(16,3826740,'1A',201,'N'),(16,3826759,'1',108,'N'),(16,3826767,'1',501,'N'),(16,3826775,'1',404,'N'),(16,3826783,'1',309,'N'),(16,3826791,'1',317,'N'),(16,3826805,'1',425,'N'),(16,3826805,'1A',423,'N'),(16,3826813,'1',212,'N'),(16,3826813,'1A',220,'N'),(16,3826821,'1',302,'N'),(16,3826830,'1',316,'N'),(16,3826848,'1',9,'N'),(16,3826856,'1',501,'N'),(16,3826864,'1',207,'N'),(16,3826864,'1A',215,'N'),(16,3826872,'1',234,'N'),(16,3826880,'1',102,'N'),(16,3826899,'1',444,'N'),(16,3826902,'1',316,'N'),(16,3826910,'1',301,'N'),(16,3826929,'1',319,'N'),(16,3826937,'1',319,'N'),(16,3826945,'1',316,'N'),(16,3826953,'1',316,'N'),(16,3826970,'1',108,'N'),(16,3826988,'1',327,'N'),(16,3826996,'1',104,'N'),(16,3827003,'1',327,'N'),(16,3827011,'1',207,'N'),(16,3827011,'1A',201,'N'),(16,3827020,'1',339,'N'),(16,3827038,'1',308,'N'),(16,3827046,'1',316,'N'),(16,3827054,'1',415,'N'),(16,3827062,'1',420,'N'),(16,3827089,'1',309,'N'),(16,3827097,'1',420,'N'),(16,3827100,'1',234,'N'),(16,3827119,'1',429,'N'),(16,3827119,'1A',424,'N'),(16,3827127,'1',310,'N'),(16,3827135,'1',427,'N'),(16,3827135,'1A',421,'N'),(16,3827143,'1',501,'N'),(16,3827151,'1',104,'N'),(16,3827160,'1',404,'N'),(16,3827178,'1',202,'N'),(16,3827178,'1A',203,'N'),(16,3827186,'1',308,'N'),(16,3827194,'1',220,'N'),(16,3827194,'1A',214,'N'),(16,3827224,'1',301,'N'),(16,3827232,'1',303,'N'),(16,3827240,'1',317,'N'),(16,3827259,'1',211,'N'),(16,3827259,'1A',202,'N'),(16,3827267,'1',317,'N'),(16,3827275,'1',404,'N'),(16,3827283,'1',429,'N'),(16,3827283,'1A',426,'N'),(16,3827291,'1',9,'N'),(16,3827305,'1',308,'N'),(16,3827313,'1',404,'N'),(16,3827321,'1',308,'N'),(16,3827330,'1',223,'N'),(16,3827348,'1',425,'N'),(16,3827348,'1A',426,'N'),(16,3827364,'1',308,'N'),(16,3827372,'1',224,'N'),(16,3827380,'1',428,'N'),(16,3827380,'1A',423,'N'),(16,3827399,'1',201,'N'),(16,3827399,'1A',220,'N'),(16,3827402,'1',501,'N'),(16,3827429,'1',444,'N'),(16,3827437,'1',101,'N'),(16,3827445,'1',108,'N'),(16,3827453,'1',103,'N'),(16,3827461,'1',420,'N'),(16,3827470,'1',208,'N'),(16,3827470,'1A',238,'N'),(16,3827488,'1',316,'N'),(16,3827496,'1',104,'N'),(16,3827500,'1',303,'N'),(16,3827518,'1',317,'N'),(16,3827526,'1',201,'N'),(16,3827526,'1A',207,'N'),(16,3827534,'1',202,'N'),(16,3827534,'1A',208,'N'),(16,3827542,'1',318,'N'),(16,3827550,'1',101,'N'),(16,3827569,'1',320,'N'),(16,3827585,'1',415,'N'),(16,3827593,'1',318,'N'),(16,3827607,'1',216,'N'),(16,3827607,'1A',212,'N'),(16,3827615,'1',207,'N'),(16,3827623,'1',208,'N'),(16,3827623,'1A',214,'N'),(16,3827631,'1',207,'N'),(16,3827631,'1A',201,'N'),(16,3827640,'1',202,'N'),(16,3827640,'1A',238,'N'),(16,3827658,'1',102,'N'),(16,3827666,'1',303,'N'),(16,3827674,'1',216,'N'),(16,3827674,'1A',214,'N'),(16,3827690,'1',316,'N'),(16,3827704,'1',201,'N'),(16,3827704,'1A',212,'N'),(16,3827712,'1',103,'N'),(16,3827720,'1',9,'N'),(16,3827739,'1',301,'N'),(16,3827755,'1',316,'N'),(16,3827763,'1',319,'N'),(16,3827771,'1',501,'N'),(16,3827780,'1',220,'N'),(16,3827780,'1A',214,'N'),(16,3827798,'1',332,'N'),(16,3827801,'1',308,'N'),(16,3827810,'1',318,'N'),(16,3827828,'1',319,'N'),(16,3827844,'1',316,'N'),(16,3827852,'1',203,'N'),(16,3827852,'1A',208,'N'),(16,3827860,'1',9,'N'),(16,3827879,'1',201,'N'),(16,3827879,'1A',211,'N'),(16,3827887,'1',214,'N'),(16,3827887,'1A',208,'N'),(16,3827895,'1',103,'N'),(16,3827909,'1',310,'N'),(16,3827925,'1',316,'N'),(16,3827941,'1',101,'N'),(16,3827950,'1',207,'N'),(16,3827950,'1A',211,'N'),(16,3827968,'1',501,'N'),(16,3827992,'1',415,'N'),(16,3828026,'1',101,'N'),(16,3828034,'1',501,'N'),(16,3828042,'1',333,'N'),(16,3828050,'1',404,'N'),(16,3828069,'1',238,'N'),(16,3828069,'1A',208,'N'),(16,3828077,'1',201,'N'),(16,3828077,'1A',203,'N'),(16,3828093,'1',215,'N'),(16,3828107,'1',319,'N'),(16,3828115,'1',316,'N'),(16,3828131,'1',205,'N'),(16,3828140,'1',415,'N'),(16,3828158,'1',319,'N'),(16,3828166,'1',332,'N'),(16,3828174,'1',318,'N'),(16,3828182,'1',303,'N'),(16,3828190,'1',317,'N'),(16,3828204,'1',415,'N'),(16,3828212,'1',5,'N'),(16,3828220,'1',316,'N'),(16,3828239,'1',3,'N'),(16,3828247,'1',452,'N'),(16,3828255,'1',101,'N'),(16,3828263,'1',421,'N'),(16,3828263,'1A',428,'N'),(16,3828271,'1',101,'N'),(16,3828280,'1',101,'N'),(16,3828298,'1',101,'N'),(16,3828301,'1',502,'N'),(16,3828310,'1',420,'N'),(16,3828379,'1',453,'N'),(16,3828387,'1',319,'N'),(20,5000009,'1',303,'N'),(20,5000017,'1',427,'N'),(20,5000017,'1A',424,'N'),(20,5000033,'1',503,'N'),(20,5000041,'1',415,'N'),(20,5000050,'1',652,'N'),(20,5000050,'1A',651,'N'),(20,5000068,'1',302,'N'),(20,5000092,'1',103,'N'),(20,5000114,'1',319,'N'),(20,5000122,'1',220,'N'),(20,5000122,'1A',208,'N'),(20,5000157,'1',318,'N'),(20,5000165,'1',340,'N'),(20,5000181,'1',220,'N'),(20,5000181,'1A',203,'N'),(20,5000190,'1',216,'N'),(20,5000190,'1A',215,'N'),(20,5000203,'1',5,'N'),(20,5000211,'1',301,'N'),(20,5000246,'1',319,'N'),(20,5000254,'1',103,'N'),(20,5000262,'1',201,'N'),(20,5000262,'1A',212,'N'),(20,5000270,'1',309,'N'),(20,5000289,'1',5,'N'),(20,5000297,'1',103,'N'),(20,5000319,'1',103,'N'),(20,5000343,'1',5,'N'),(20,5000351,'1',5,'N'),(20,5000360,'1',201,'N'),(20,5000360,'1A',203,'N'),(20,5000386,'1',235,'N'),(20,5000386,'1A',202,'N'),(20,5000394,'1',101,'N'),(20,5000408,'1',103,'N'),(20,5000416,'1',202,'N'),(20,5000416,'1A',235,'N'),(20,5000424,'1',320,'N'),(20,5000432,'1',318,'N'),(20,5000440,'1',201,'N'),(20,5000440,'1A',203,'N'),(20,5000467,'1',103,'N'),(20,5000475,'1',101,'N'),(20,5000483,'1',103,'N'),(20,5000491,'1',207,'N'),(20,5000491,'1A',201,'N'),(20,5000513,'1',501,'N'),(20,5000530,'1',103,'N'),(20,5000548,'1',103,'N'),(20,5000556,'1',233,'N'),(20,5000556,'1A',216,'N'),(20,5000564,'1',214,'N'),(20,5000564,'1A',212,'N'),(20,5000572,'1',202,'N'),(20,5000572,'1A',208,'N'),(20,5000580,'1',319,'N'),(20,5000599,'1',5,'N'),(20,5000602,'1',9,'N'),(20,5000629,'1',103,'N'),(20,5000637,'1',3,'N'),(20,5000645,'1',103,'N'),(20,5000653,'1',103,'N'),(20,5000670,'1',102,'N'),(20,5000688,'1',207,'N'),(20,5000696,'1',5,'N'),(20,5000700,'1',208,'N'),(20,5000700,'1A',238,'N'),(20,5000718,'1',415,'N'),(20,5000734,'1',104,'N'),(20,5000742,'1',316,'N'),(20,5000750,'1',103,'N'),(20,5000769,'1',303,'N'),(20,5000777,'1',225,'N'),(20,5000785,'1',201,'N'),(20,5000785,'1A',212,'N'),(20,5000793,'1',215,'N'),(20,5000793,'1A',216,'N'),(20,5000807,'1',207,'N'),(20,5000807,'1A',201,'N'),(20,5000815,'1',102,'N'),(20,5000823,'1',203,'N'),(20,5000823,'1A',202,'N'),(20,5000831,'1',102,'N'),(20,5000840,'1',102,'N'),(20,5000858,'1',316,'N'),(20,5000874,'1',207,'N'),(20,5000874,'1A',212,'N'),(20,5000882,'1',429,'N'),(20,5000882,'1A',425,'N'),(20,5000890,'1',308,'N'),(20,5000904,'1',203,'N'),(20,5000904,'1A',220,'N'),(20,5000912,'1',102,'N'),(20,5000920,'1',202,'N'),(20,5000920,'1A',235,'N'),(20,5000939,'1',103,'N'),(20,5000955,'1',317,'N'),(20,5000963,'1',450,'N'),(20,5000980,'1',420,'N'),(20,5000998,'1',444,'N'),(20,5001013,'1',340,'N'),(20,5001021,'1',103,'N'),(20,5001030,'1',319,'N'),(20,5001064,'1',333,'N'),(20,5001072,'1',214,'N'),(20,5001072,'1A',203,'N'),(20,5001080,'1',103,'N'),(20,5001099,'1',103,'N'),(20,5001102,'1',5,'N'),(20,5001110,'1',415,'N'),(20,5001137,'1',429,'N'),(20,5001137,'1A',425,'N'),(20,5001145,'1',103,'N'),(20,5001153,'1',103,'N'),(20,5001161,'1',319,'N'),(20,5001170,'1',304,'N'),(20,5001188,'1',103,'N'),(20,5001200,'1',103,'N'),(20,5001218,'1',212,'N'),(20,5001218,'1A',213,'N'),(20,5001226,'1',214,'N'),(20,5001226,'1A',202,'N'),(20,5001234,'1',304,'N'),(20,5001242,'1',103,'N'),(20,5001250,'1',3,'N'),(20,5001277,'1',336,'N'),(20,5001285,'1',653,'N'),(20,5001285,'1A',652,'N'),(20,5001293,'1',332,'N'),(20,5001307,'1',104,'N'),(20,5001315,'1',415,'N'),(20,5001331,'1',103,'N'),(20,5001340,'1',203,'N'),(20,5001340,'1A',220,'N'),(20,5001358,'1',234,'N'),(20,5001374,'1',501,'N'),(20,5001382,'1',324,'N'),(20,5001390,'1',234,'N'),(20,5001404,'1',340,'N'),(20,5001412,'1',601,'N'),(20,5001412,'1A',201,'N'),(20,5001439,'1',2,'N'),(20,5001447,'1',103,'N'),(20,5001455,'1',108,'N'),(20,5001463,'1',450,'N'),(20,5001471,'1',302,'N'),(20,5001480,'1',103,'N'),(20,5001498,'1',103,'N'),(20,5001501,'1',425,'N'),(20,5001501,'1A',421,'N'),(20,5001510,'1',220,'N'),(20,5001510,'1A',201,'N'),(20,5001528,'1',429,'N'),(20,5001528,'1A',425,'N'),(20,5001536,'1',9,'N'),(20,5001544,'1',102,'N'),(20,5001552,'1',5,'N'),(20,5001560,'1',207,'N'),(20,5001560,'1A',211,'N'),(20,5001579,'1',103,'N'),(20,5001595,'1',5,'N'),(20,5001625,'1',319,'N'),(20,5001633,'1',103,'N'),(20,5001641,'1',103,'N'),(20,5001684,'1',207,'N'),(20,5001706,'1',215,'N'),(20,5001706,'1A',211,'N'),(20,5001714,'1',207,'N'),(20,5001722,'1',103,'N'),(20,5001730,'1',203,'N'),(20,5001730,'1A',233,'N'),(20,5001749,'1',201,'N'),(20,5001749,'1A',207,'N'),(20,5001757,'1',423,'N'),(20,5001757,'1A',426,'N'),(20,5001765,'1',216,'N'),(20,5001765,'1A',233,'N'),(20,5001773,'1',451,'N'),(20,5001790,'1',429,'N'),(20,5001790,'1A',425,'N'),(20,5001803,'1',103,'N'),(20,5001811,'1',103,'N'),(20,5001820,'1',103,'N'),(20,5001854,'1',208,'N'),(20,5001862,'1',324,'N'),(20,5001870,'1',103,'N'),(20,5001900,'1',203,'N'),(20,5001900,'1A',235,'N'),(20,5001919,'1',215,'N'),(20,5001919,'1A',216,'N'),(20,5001943,'1',103,'N'),(20,5001951,'1',233,'N'),(20,5001951,'1A',215,'N'),(20,5001960,'1',203,'N'),(20,5001994,'1',203,'N'),(20,5001994,'1A',653,'N'),(20,5002001,'1',103,'N'),(20,5002028,'1',203,'N'),(20,5002028,'1A',215,'N'),(20,5002036,'1',201,'N'),(20,5002036,'1A',233,'N'),(20,5002052,'1',103,'N'),(20,5002060,'1',103,'N'),(20,5002095,'1',216,'N'),(20,5002095,'1A',233,'N'),(20,5002109,'1',601,'N'),(20,5002109,'1A',233,'N'),(20,5002125,'1',5,'N'),(20,5002133,'1',202,'N'),(20,5002133,'1A',213,'N'),(20,5002141,'1',2,'N'),(20,5002150,'1',333,'N'),(20,5002168,'1',415,'N'),(20,5002176,'1',103,'N'),(20,5002206,'1',501,'N'),(20,5002214,'1',320,'N'),(20,5002222,'1',304,'N'),(20,5002230,'1',233,'N'),(20,5002230,'1A',208,'N'),(20,5002249,'1',104,'N'),(20,5002257,'1',103,'N'),(20,5002265,'1',318,'N'),(20,5002273,'1',108,'N'),(20,5002281,'1',208,'N'),(20,5002281,'1A',238,'N'),(20,5002290,'1',337,'N'),(20,5002303,'1',238,'N'),(20,5002303,'1A',201,'N'),(20,5002311,'1',319,'N'),(20,5002320,'1',202,'N'),(20,5002320,'1A',213,'N'),(20,5002338,'1',317,'N'),(20,5002346,'1',327,'N'),(20,5002354,'1',104,'N'),(20,5002362,'1',103,'N'),(20,5002389,'1',104,'N'),(20,5002397,'1',428,'N'),(20,5002397,'1A',426,'N'),(20,5002400,'1',103,'N'),(20,5002419,'1',208,'N'),(20,5002419,'1A',238,'N'),(20,5002427,'1',238,'N'),(20,5002427,'1A',208,'N'),(20,5002435,'1',101,'N'),(20,5002443,'1',5,'N'),(20,5002451,'1',415,'N'),(20,5002460,'1',450,'N'),(20,5002478,'1',103,'N'),(20,5002486,'1',101,'N'),(20,5002494,'1',103,'N'),(20,5002508,'1',203,'N'),(20,5002508,'1A',213,'N'),(20,5002516,'1',238,'N'),(20,5002516,'1A',208,'N'),(20,5002524,'1',103,'N'),(20,5002532,'1',207,'N'),(20,5002532,'1A',215,'N'),(20,5002559,'1',103,'N'),(20,5002567,'1',303,'N'),(20,5002575,'1',103,'N'),(20,5002583,'1',102,'N'),(20,5002591,'1',201,'N'),(20,5002591,'1A',212,'N'),(20,5002621,'1',103,'N'),(20,5002630,'1',101,'N'),(20,5002664,'1',103,'N'),(20,5002672,'1',203,'N'),(20,5002672,'1A',220,'N'),(20,5002680,'1',103,'N'),(20,5002699,'1',220,'N'),(20,5002702,'1',104,'N'),(20,5002729,'1',103,'N'),(20,5002737,'1',304,'N'),(20,5002753,'1',203,'N'),(20,5002753,'1A',214,'N'),(20,5002761,'1',201,'N'),(20,5002761,'1A',235,'N'),(20,5002796,'1',324,'N'),(20,5002800,'1',103,'N'),(20,5002826,'1',103,'N'),(20,5002834,'1',453,'N'),(20,5002842,'1',101,'N'),(20,5002850,'1',450,'N'),(20,5002869,'1',104,'N'),(20,5002877,'1',238,'N'),(20,5002877,'1A',208,'N'),(20,5002885,'1',301,'N'),(20,5002893,'1',340,'N'),(20,5002907,'1',216,'N'),(20,5002907,'1A',201,'N'),(20,5002915,'1',415,'N'),(20,5002923,'1',201,'N'),(20,5002923,'1A',203,'N'),(20,5002940,'1',501,'N'),(20,5002958,'1',103,'N'),(20,5002966,'1',203,'N'),(20,5002966,'1A',220,'N'),(20,5002974,'1',103,'N'),(20,5002982,'1',238,'N'),(20,5002982,'1A',211,'N'),(20,5003008,'1',214,'N'),(20,5003008,'1A',213,'N'),(20,5003016,'1',104,'N'),(20,5003032,'1',450,'N'),(20,5003040,'1',450,'N'),(20,5003059,'1',303,'N'),(20,5003067,'1',653,'N'),(20,5003067,'1A',652,'N'),(20,5003075,'1',103,'N'),(20,5003083,'1',309,'N'),(20,5003091,'1',216,'N'),(20,5003091,'1A',208,'N'),(20,5003105,'1',5,'N'),(20,5003113,'1',319,'N'),(20,5003121,'1',104,'N'),(20,5003130,'1',302,'N'),(20,5003148,'1',104,'N'),(20,5003156,'1',103,'N'),(20,5003164,'1',233,'N'),(20,5003164,'1A',238,'N'),(20,5003172,'1',3,'N'),(20,5003180,'1',201,'N'),(20,5003180,'1A',212,'N'),(20,5003199,'1',208,'N'),(20,5003199,'1A',216,'N'),(20,5003202,'1',108,'N'),(20,5003210,'1',601,'N'),(20,5003210,'1A',208,'N'),(20,5003229,'1',234,'N'),(20,5003237,'1',429,'N'),(20,5003237,'1A',425,'N'),(20,5003245,'1',502,'N'),(20,5003253,'1',216,'N'),(20,5003261,'1',207,'N'),(20,5003261,'1A',201,'N'),(20,5003270,'1',5,'N'),(20,5003296,'1',238,'N'),(20,5003296,'1A',208,'N'),(20,5003300,'1',238,'N'),(20,5003300,'1A',208,'N'),(20,5003334,'1',319,'N'),(20,5003342,'1',319,'N'),(20,5003350,'1',502,'N'),(20,5003369,'1',420,'N'),(20,5003377,'1',216,'N'),(20,5003377,'1A',233,'N'),(20,5003407,'1',340,'N'),(20,5003415,'1',203,'N'),(20,5003415,'1A',214,'N'),(20,5003423,'1',103,'N'),(20,5003431,'1',108,'N'),(20,5003440,'1',216,'N'),(20,5003440,'1A',202,'N'),(20,5003458,'1',103,'N'),(20,5003466,'1',308,'N'),(20,5003474,'1',104,'N'),(20,5003482,'1',103,'N'),(20,5003490,'1',339,'N'),(20,5003504,'1',501,'N'),(20,5003512,'1',216,'N'),(20,5003512,'1A',233,'N'),(20,5003520,'1',451,'N'),(20,5003539,'1',102,'N'),(20,5003547,'1',450,'N'),(20,5003555,'1',452,'N'),(20,5003571,'1',340,'N'),(20,5003580,'1',103,'N'),(20,5003598,'1',207,'N'),(20,5003598,'1A',201,'N'),(20,5003601,'1',104,'N'),(20,5003610,'1',326,'N'),(20,5003628,'1',103,'N'),(20,5003636,'1',9,'N'),(20,5003644,'1',423,'N'),(20,5003644,'1A',428,'N'),(20,5003652,'1',207,'N'),(20,5003652,'1A',211,'N'),(20,5003660,'1',5,'N'),(20,5003679,'1',327,'N'),(20,5003687,'1',201,'N'),(20,5003687,'1A',212,'N'),(20,5003695,'1',425,'N'),(20,5003695,'1A',423,'N'),(20,5003709,'1',331,'N'),(20,5003717,'1',104,'N'),(20,5003725,'1',214,'N'),(20,5003725,'1A',213,'N'),(20,5003733,'1',340,'N'),(20,5003741,'1',415,'N'),(20,5003750,'1',652,'N'),(20,5003750,'1A',653,'N'),(20,5003768,'1',5,'N'),(20,5003776,'1',104,'N'),(20,5003784,'1',5,'N'),(20,5003814,'1',415,'N'),(20,5003822,'1',203,'N'),(20,5003822,'1A',214,'N'),(20,5003830,'1',216,'N'),(20,5003830,'1A',215,'N'),(20,5003849,'1',420,'N'),(20,5003857,'1',103,'N'),(20,5003865,'1',207,'N'),(20,5003865,'1A',233,'N'),(20,5003873,'1',301,'N'),(20,5003881,'1',234,'N'),(20,5003890,'1',103,'N'),(20,5003903,'1',103,'N'),(20,5003911,'1',103,'N'),(20,5003920,'1',302,'N'),(20,5003938,'1',317,'N'),(20,5003946,'1',103,'N'),(20,5003954,'1',203,'N'),(20,5003954,'1A',201,'N'),(20,5003962,'1',104,'N'),(20,5003989,'1',201,'N'),(20,5003989,'1A',207,'N'),(20,5004004,'1',203,'N'),(20,5004004,'1A',238,'N'),(20,5004020,'1',203,'N'),(20,5004020,'1A',202,'N'),(20,5004039,'1',208,'N'),(20,5004047,'1',318,'N'),(20,5004055,'1',223,'N'),(20,5004063,'1',319,'N'),(20,5004071,'1',203,'N'),(20,5004080,'1',110,'N'),(20,5004098,'1',340,'N'),(20,5004101,'1',326,'N'),(20,5004110,'1',601,'N'),(20,5004110,'1A',203,'N'),(20,5004128,'1',429,'N'),(20,5004136,'1',102,'N'),(20,5004160,'1',203,'N'),(20,5004160,'1A',220,'N'),(20,5004179,'1',450,'N'),(20,5004187,'1',304,'N'),(20,5004209,'1',103,'N'),(20,5004225,'1',340,'N'),(20,5004233,'1',208,'N'),(20,5004233,'1A',201,'N'),(20,5004241,'1',211,'N'),(20,5004241,'1A',201,'N'),(20,5004250,'1',202,'N'),(20,5004250,'1A',235,'N'),(20,5004268,'1',103,'N'),(20,5004276,'1',303,'N'),(20,5004284,'1',103,'N'),(20,5004292,'1',452,'N'),(20,5004306,'1',340,'N'),(20,5004314,'1',333,'N'),(20,5004330,'1',102,'N'),(20,5004349,'1',103,'N'),(20,5004373,'1',5,'N'),(20,5004381,'1',326,'N'),(20,5004390,'1',453,'N'),(20,5004411,'1',319,'N'),(20,5004438,'1',102,'N'),(20,5004446,'1',103,'N'),(20,5004454,'1',201,'N'),(20,5004454,'1A',601,'N'),(20,5004462,'1',207,'N'),(20,5004462,'1A',212,'N'),(20,5004470,'1',340,'N'),(20,5004489,'1',104,'N'),(20,5004497,'1',103,'N'),(20,5004500,'1',103,'N'),(20,5004519,'1',319,'N'),(20,5004543,'1',415,'N'),(20,5004551,'1',212,'N'),(20,5004551,'1A',235,'N'),(20,5004560,'1',340,'N'),(20,5004578,'1',103,'N'),(20,5004586,'1',103,'N'),(20,5004594,'1',103,'N'),(20,5004608,'1',340,'N'),(20,5004624,'1',103,'N'),(20,5004632,'1',9,'N'),(20,5004640,'1',220,'N'),(20,5004640,'1A',203,'N'),(20,5004659,'1',235,'N'),(20,5004659,'1A',202,'N'),(20,5004667,'1',108,'N'),(20,5004675,'1',103,'N'),(20,5004691,'1',103,'N'),(20,5004705,'1',103,'N'),(20,5004713,'1',303,'N'),(20,5004721,'1',303,'N'),(20,5004748,'1',601,'N'),(20,5004748,'1A',202,'N'),(20,5004756,'1',452,'N'),(20,5004764,'1',429,'N'),(20,5004764,'1A',424,'N'),(20,5004772,'1',420,'N'),(20,5004780,'1',211,'N'),(20,5004799,'1',103,'N'),(20,5004802,'1',103,'N'),(20,5004810,'1',329,'N'),(20,5004837,'1',213,'N'),(20,5004837,'1A',214,'N'),(20,5004845,'1',333,'N'),(20,5004861,'1',324,'N'),(20,5004870,'1',103,'N'),(20,5004888,'1',202,'N'),(20,5004888,'1A',208,'N'),(20,5004896,'1',108,'N'),(20,5004918,'1',339,'N'),(20,5004926,'1',103,'N'),(20,5004942,'1',202,'N'),(20,5004942,'1A',213,'N'),(20,5004950,'1',207,'N'),(20,5004977,'1',203,'N'),(20,5004977,'1A',202,'N'),(20,5004985,'1',450,'N'),(20,5004993,'1',653,'N'),(20,5004993,'1A',201,'N'),(20,5005019,'1',653,'N'),(20,5005019,'1A',651,'N'),(20,5005035,'1',425,'N'),(20,5005035,'1A',429,'N'),(20,5005043,'1',340,'N'),(20,5005051,'1',103,'N'),(20,5005060,'1',333,'N'),(20,5005078,'1',450,'N'),(20,5005108,'1',201,'N'),(20,5005108,'1A',212,'N'),(20,5005116,'1',203,'N'),(20,5005116,'1A',202,'N'),(20,5005132,'1',238,'N'),(20,5005132,'1A',208,'N'),(20,5005140,'1',225,'N'),(20,5005167,'1',316,'N'),(20,5005175,'1',2,'N'),(20,5005183,'1',444,'N'),(20,5005191,'1',103,'N'),(20,5005205,'1',207,'N'),(20,5005205,'1A',601,'N'),(20,5005213,'1',5,'N'),(20,5005221,'1',503,'N'),(20,5005230,'1',203,'N'),(20,5005230,'1A',216,'N'),(20,5005248,'1',215,'N'),(20,5005248,'1A',207,'N'),(20,5005256,'1',103,'N'),(20,5005272,'1',203,'N'),(20,5005272,'1A',214,'N'),(20,5005280,'1',502,'N'),(20,5005299,'1',339,'N'),(20,5005302,'1',103,'N'),(20,5005329,'1',201,'N'),(20,5005329,'1A',212,'N'),(20,5005337,'1',220,'N'),(20,5005337,'1A',203,'N'),(20,5005361,'1',501,'N'),(20,5005370,'1',308,'N'),(20,5005388,'1',303,'N'),(20,5005400,'1',103,'N'),(20,5005418,'1',103,'N'),(20,5005434,'1',201,'N'),(20,5005434,'1A',212,'N'),(20,5005442,'1',203,'N'),(20,5005442,'1A',216,'N'),(20,5005450,'1',103,'N'),(20,5005469,'1',340,'N'),(20,5005477,'1',452,'N'),(20,5005485,'1',216,'N'),(20,5005485,'1A',601,'N'),(20,5005493,'1',202,'N'),(20,5005493,'1A',213,'N'),(20,5005507,'1',601,'N'),(20,5005507,'1A',215,'N'),(20,5005515,'1',308,'N'),(20,5005540,'1',304,'N'),(20,5005558,'1',9,'N'),(20,5005566,'1',103,'N'),(20,5005574,'1',233,'N'),(20,5005574,'1A',202,'N'),(20,5005604,'1',319,'N'),(20,5005612,'1',207,'N'),(20,5005612,'1A',201,'N'),(20,5005639,'1',319,'N'),(20,5005647,'1',601,'N'),(20,5005655,'1',340,'N'),(20,5005663,'1',103,'N'),(20,5005671,'1',102,'N'),(20,5005680,'1',103,'N'),(20,5005698,'1',103,'N'),(20,5005701,'1',302,'N'),(20,5005710,'1',104,'N'),(20,5005736,'1',211,'N'),(20,5005736,'1A',216,'N'),(20,5005744,'1',102,'N'),(20,5005752,'1',102,'N'),(20,5005760,'1',103,'N'),(20,5005795,'1',337,'N'),(20,5005809,'1',427,'N'),(20,5005809,'1A',424,'N'),(20,5005817,'1',319,'N'),(20,5005825,'1',108,'N'),(20,5005833,'1',9,'N'),(20,5005841,'1',301,'N'),(20,5005850,'1',415,'N'),(20,5005868,'1',110,'N'),(20,5005876,'1',212,'N'),(20,5005876,'1A',202,'N'),(20,5005884,'1',333,'N'),(20,5005892,'1',203,'N'),(20,5005906,'1',211,'N'),(20,5005906,'1A',653,'N'),(20,5005914,'1',2,'N'),(20,5005922,'1',102,'N'),(20,5005930,'1',203,'N'),(20,5005949,'1',216,'N'),(20,5005949,'1A',211,'N'),(20,5005965,'1',235,'N'),(20,5005965,'1A',238,'N'),(20,5005973,'1',216,'N'),(20,5005973,'1A',215,'N'),(20,5005981,'1',220,'N'),(20,5005981,'1A',203,'N'),(20,5005990,'1',238,'N'),(20,5005990,'1A',208,'N'),(20,5006007,'1',503,'N'),(20,5006015,'1',103,'N'),(20,5006040,'1',340,'N'),(20,5006066,'1',214,'N'),(20,5006066,'1A',211,'N'),(20,5006082,'1',101,'N'),(20,5006104,'1',317,'N'),(20,5006112,'1',420,'N'),(20,5006120,'1',103,'N'),(20,5006139,'1',201,'N'),(20,5006139,'1A',208,'N'),(20,5006155,'1',108,'N'),(20,5006163,'1',339,'N'),(20,5006171,'1',5,'N'),(20,5006180,'1',9,'N'),(20,5006198,'1',103,'N'),(20,5006201,'1',103,'N'),(20,5006210,'1',207,'N'),(20,5006228,'1',303,'N'),(20,5006236,'1',9,'N'),(20,5006244,'1',5,'N'),(20,5006260,'1',202,'N'),(20,5006260,'1A',213,'N'),(20,5006279,'1',103,'N'),(20,5006287,'1',201,'N'),(20,5006287,'1A',211,'N'),(20,5006333,'1',340,'N'),(20,5006341,'1',9,'N'),(20,5006350,'1',5,'N'),(20,5006368,'1',214,'N'),(20,5006368,'1A',233,'N'),(20,5006376,'1',501,'N'),(20,5006384,'1',103,'N'),(20,5006392,'1',201,'N'),(20,5006392,'1A',215,'N'),(20,5006414,'1',601,'N'),(20,5006414,'1A',233,'N'),(20,5006422,'1',203,'N'),(20,5006422,'1A',653,'N'),(20,5006430,'1',5,'N'),(20,5006449,'1',208,'N'),(20,5006449,'1A',238,'N'),(20,5006457,'1',201,'N'),(20,5006457,'1A',207,'N'),(20,5006473,'1',303,'N'),(20,5006481,'1',301,'N'),(20,5006490,'1',103,'N'),(20,5006503,'1',103,'N'),(20,5006511,'1',213,'N'),(20,5006511,'1A',235,'N'),(20,5006520,'1',319,'N'),(20,5006538,'1',450,'N'),(20,5006546,'1',103,'N'),(20,5006554,'1',103,'N'),(20,5006562,'1',103,'N'),(20,5006570,'1',203,'N'),(20,5006570,'1A',202,'N'),(20,5006589,'1',223,'N'),(20,5006600,'1',319,'N'),(20,5006619,'1',103,'N'),(20,5006627,'1',207,'N'),(20,5006627,'1A',201,'N'),(20,5006635,'1',207,'N'),(20,5006635,'1A',601,'N'),(20,5006643,'1',103,'N'),(20,5006651,'1',211,'N'),(20,5006651,'1A',653,'N'),(20,5006660,'1',207,'N'),(20,5006660,'1A',201,'N'),(20,5006678,'1',103,'N'),(20,5006686,'1',233,'N'),(20,5006686,'1A',216,'N'),(20,5006694,'1',452,'N'),(20,5006708,'1',318,'N'),(20,5006716,'1',339,'N'),(20,5006724,'1',216,'N'),(20,5006724,'1A',233,'N'),(20,5006732,'1',211,'N'),(20,5006732,'1A',207,'N'),(20,5006740,'1',319,'N'),(20,5006775,'1',333,'N'),(20,5006783,'1',2,'N'),(20,5006791,'1',215,'N'),(20,5006791,'1A',233,'N'),(20,5006805,'1',303,'N'),(20,5006813,'1',501,'N'),(20,5006821,'1',444,'N'),(20,5006830,'1',103,'N'),(20,5006848,'1',203,'N'),(20,5006848,'1A',214,'N'),(20,5006856,'1',216,'N'),(20,5006864,'1',102,'N'),(20,5006872,'1',318,'N'),(20,5006880,'1',103,'N'),(20,5006899,'1',326,'N'),(20,5006902,'1',310,'N'),(20,5006910,'1',324,'N'),(20,5006929,'1',108,'N'),(20,5006961,'1',201,'N'),(20,5006961,'1A',238,'N'),(20,5006970,'1',201,'N'),(20,5006970,'1A',212,'N'),(20,5006988,'1',211,'N'),(20,5006988,'1A',216,'N'),(20,5006996,'1',428,'N'),(20,5006996,'1A',426,'N'),(20,5007003,'1',304,'N'),(20,5007011,'1',103,'N'),(20,5007046,'1',420,'N'),(20,5007062,'1',201,'N'),(20,5007062,'1A',208,'N'),(20,5007070,'1',453,'N'),(20,5007097,'1',501,'N'),(20,5007100,'1',205,'N'),(20,5007119,'1',103,'N'),(20,5007127,'1',5,'N'),(20,5007135,'1',450,'N'),(20,5007143,'1',235,'N'),(20,5007143,'1A',202,'N'),(20,5007151,'1',225,'N'),(20,5007160,'1',502,'N'),(20,5007178,'1',303,'N'),(20,5007194,'1',333,'N'),(20,5007208,'1',453,'N'),(20,5007216,'1',303,'N'),(20,5007224,'1',303,'N'),(20,5007240,'1',202,'N'),(20,5007240,'1A',235,'N'),(20,5007267,'1',214,'N'),(20,5007267,'1A',203,'N'),(20,5007291,'1',103,'N'),(20,5007305,'1',103,'N'),(20,5007313,'1',302,'N'),(20,5007330,'1',340,'N'),(20,5007356,'1',425,'N'),(20,5007356,'1A',428,'N'),(20,5007372,'1',103,'N'),(20,5007380,'1',220,'N'),(20,5007380,'1A',601,'N'),(20,5007399,'1',415,'N'),(20,5007402,'1',103,'N'),(20,5007410,'1',304,'N'),(20,5007429,'1',502,'N'),(20,5007437,'1',453,'N'),(20,5007445,'1',335,'N'),(20,5007453,'1',303,'N'),(20,5007461,'1',303,'N'),(20,5007488,'1',103,'N'),(20,5007496,'1',501,'N'),(20,5007500,'1',214,'N'),(20,5007500,'1A',235,'N'),(20,5007526,'1',207,'N'),(20,5007526,'1A',201,'N'),(20,5007534,'1',5,'N'),(20,5007542,'1',340,'N'),(20,5007550,'1',316,'N'),(20,5007569,'1',303,'N'),(20,5007577,'1',318,'N'),(20,5007593,'1',103,'N'),(20,5007607,'1',303,'N'),(20,5007615,'1',216,'N'),(20,5007615,'1A',212,'N'),(20,5007623,'1',328,'N'),(20,5007640,'1',201,'N'),(20,5007640,'1A',208,'N'),(20,5007658,'1',103,'N'),(20,5007666,'1',303,'N'),(20,5007674,'1',2,'N'),(20,5007682,'1',103,'N'),(20,5007690,'1',202,'N'),(20,5007690,'1A',213,'N'),(20,5007704,'1',501,'N'),(20,5007712,'1',103,'N'),(20,5007720,'1',303,'N'),(20,5007739,'1',326,'N'),(20,5007755,'1',109,'N'),(20,5007763,'1',502,'N'),(20,5007771,'1',327,'N'),(20,5007780,'1',103,'N'),(20,5007798,'1',202,'N'),(20,5007798,'1A',213,'N'),(20,5007801,'1',319,'N'),(20,5007828,'1',404,'N'),(20,5007836,'1',103,'N'),(20,5007879,'1',444,'N'),(20,5007887,'1',319,'N'),(20,5007895,'1',103,'N'),(20,5007909,'1',428,'N'),(20,5007909,'1A',426,'N'),(20,5007917,'1',415,'N'),(20,5007925,'1',108,'N'),(20,5007933,'1',103,'N'),(20,5007941,'1',103,'N'),(20,5007950,'1',5,'N'),(20,5007976,'1',103,'N'),(20,5008000,'1',340,'N'),(20,5008018,'1',5,'N'),(20,5008026,'1',331,'N'),(20,5008042,'1',303,'N'),(20,5008050,'1',203,'N'),(20,5008050,'1A',202,'N'),(20,5008069,'1',223,'N'),(20,5008077,'1',319,'N'),(20,5008085,'1',103,'N'),(20,5008093,'1',651,'N'),(20,5008093,'1A',653,'N'),(20,5008107,'1',103,'N'),(20,5008115,'1',9,'N'),(20,5008131,'1',205,'N'),(20,5008140,'1',103,'N'),(20,5008158,'1',326,'N'),(20,5008166,'1',5,'N'),(20,5008182,'1',303,'N'),(20,5008190,'1',216,'N'),(20,5008190,'1A',207,'N'),(20,5008204,'1',301,'N'),(20,5008247,'1',235,'N'),(20,5008247,'1A',203,'N'),(20,5008255,'1',319,'N'),(20,5008263,'1',203,'N'),(20,5008263,'1A',214,'N'),(20,5008271,'1',5,'N'),(20,5008280,'1',104,'N'),(20,5008298,'1',503,'N'),(20,5008301,'1',333,'N'),(20,5008310,'1',302,'N'),(20,5008328,'1',104,'N'),(20,5008336,'1',103,'N'),(20,5008360,'1',302,'N'),(20,5008379,'1',333,'N'),(20,5008387,'1',203,'N'),(20,5008387,'1A',202,'N'),(20,5008409,'1',220,'N'),(20,5008409,'1A',202,'N'),(20,5008425,'1',103,'N'),(20,5008450,'1',420,'N'),(20,5008468,'1',207,'N'),(20,5008468,'1A',212,'N'),(20,5008476,'1',317,'N'),(20,5008484,'1',5,'N'),(20,5008492,'1',208,'N'),(20,5008492,'1A',203,'N'),(20,5008506,'1',303,'N'),(20,5008514,'1',303,'N'),(20,5008522,'1',601,'N'),(20,5008522,'1A',233,'N'),(20,5008530,'1',108,'N'),(20,5008549,'1',336,'N'),(20,5008557,'1',103,'N'),(20,5008565,'1',310,'N'),(20,5008573,'1',103,'N'),(20,5008581,'1',503,'N'),(20,5008590,'1',304,'N'),(20,5008603,'1',9,'N'),(20,5008611,'1',201,'N'),(20,5008611,'1A',216,'N'),(20,5008620,'1',202,'N'),(20,5008620,'1A',233,'N'),(20,5008638,'1',103,'N'),(20,5008646,'1',303,'N'),(20,5008662,'1',319,'N'),(20,5008670,'1',336,'N'),(20,5008689,'1',340,'N'),(20,5008697,'1',9,'N'),(20,5008700,'1',317,'N'),(20,5008719,'1',326,'N'),(20,5008727,'1',452,'N'),(20,5008735,'1',104,'N'),(20,5008760,'1',203,'N'),(20,5008760,'1A',233,'N'),(20,5008786,'1',303,'N'),(20,5008794,'1',415,'N'),(20,5008808,'1',319,'N'),(20,5008816,'1',216,'N'),(20,5008816,'1A',214,'N'),(20,5008824,'1',103,'N'),(20,5008832,'1',333,'N'),(20,5008840,'1',103,'N'),(20,5008867,'1',404,'N'),(20,5008875,'1',453,'N'),(20,5008883,'1',233,'N'),(20,5008883,'1A',214,'N'),(20,5008905,'1',601,'N'),(20,5008913,'1',103,'N'),(20,5008921,'1',208,'N'),(20,5008921,'1A',238,'N'),(20,5008930,'1',329,'N'),(20,5008972,'1',103,'N'),(20,5008980,'1',103,'N'),(20,5008999,'1',340,'N'),(20,5009006,'1',5,'N'),(20,5009014,'1',110,'N'),(20,5009022,'1',452,'N'),(20,5009030,'1',103,'N'),(20,5009049,'1',216,'N'),(20,5009049,'1A',215,'N'),(20,5009057,'1',319,'N'),(20,5009065,'1',104,'N'),(20,5009073,'1',319,'N'),(20,5009090,'1',216,'N'),(20,5009090,'1A',601,'N'),(20,5009111,'1',108,'N'),(20,5009120,'1',601,'N'),(20,5009120,'1A',207,'N'),(20,5009146,'1',340,'N'),(20,5009154,'1',302,'N'),(20,5009162,'1',420,'N'),(20,5009170,'1',101,'N'),(20,5009197,'1',207,'N'),(20,5009197,'1A',201,'N'),(20,5009200,'1',203,'N'),(20,5009200,'1A',233,'N'),(20,5009219,'1',207,'N'),(20,5009219,'1A',238,'N'),(20,5009227,'1',429,'N'),(20,5009227,'1A',425,'N'),(20,5009243,'1',103,'N'),(20,5009251,'1',103,'N'),(20,5009260,'1',103,'N'),(20,5009278,'1',207,'N'),(20,5009278,'1A',201,'N'),(20,5009286,'1',2,'N'),(20,5009294,'1',103,'N'),(20,5009308,'1',203,'N'),(20,5009308,'1A',233,'N'),(20,5009316,'1',214,'N'),(20,5009316,'1A',220,'N'),(20,5009324,'1',216,'N'),(20,5009324,'1A',233,'N'),(20,5009332,'1',9,'N'),(20,5009340,'1',103,'N'),(20,5009359,'1',3,'N'),(20,5009367,'1',340,'N'),(20,5009383,'1',332,'N'),(20,5009391,'1',601,'N'),(20,5009391,'1A',201,'N'),(20,5009405,'1',104,'N'),(20,5009413,'1',208,'N'),(20,5009413,'1A',238,'N'),(20,5009421,'1',332,'N'),(20,5009430,'1',450,'N'),(20,5009448,'1',207,'N'),(20,5009448,'1A',233,'N'),(20,5009464,'1',103,'N'),(20,5009502,'1',103,'N'),(20,5009510,'1',201,'N'),(20,5009510,'1A',235,'N'),(20,5009529,'1',103,'N'),(20,5009553,'1',2,'N'),(20,5009570,'1',207,'N'),(20,5009570,'1A',201,'N'),(20,5009588,'1',215,'N'),(20,5009588,'1A',233,'N'),(20,5009600,'1',452,'N'),(20,5009618,'1',103,'N'),(20,5009626,'1',415,'N'),(20,5009634,'1',211,'N'),(20,5009634,'1A',215,'N'),(20,5009642,'1',103,'N'),(20,5009650,'1',233,'N'),(20,5009650,'1A',203,'N'),(20,5009677,'1',207,'N'),(20,5009677,'1A',201,'N'),(20,5009685,'1',103,'N'),(20,5009707,'1',103,'N'),(20,5009715,'1',103,'N'),(20,5009740,'1',9,'N'),(20,5009758,'1',214,'N'),(20,5009758,'1A',212,'N'),(20,5009766,'1',211,'N'),(20,5009766,'1A',207,'N'),(20,5009774,'1',103,'N'),(20,5009782,'1',301,'N'),(20,5009790,'1',207,'N'),(20,5009790,'1A',201,'N'),(20,5009812,'1',453,'N'),(20,5009820,'1',452,'N'),(20,5009839,'1',415,'N'),(20,5009847,'1',601,'N'),(20,5009855,'1',223,'N'),(20,5009863,'1',103,'N'),(20,5009871,'1',303,'N'),(20,5009880,'1',234,'N'),(20,5009898,'1',340,'N'),(20,5009901,'1',220,'N'),(20,5009901,'1A',202,'N'),(20,5009910,'1',340,'N'),(20,5009936,'1',103,'N'),(20,5009944,'1',320,'N'),(20,5009952,'1',214,'N'),(20,5009952,'1A',201,'N'),(20,5009960,'1',303,'N'),(20,5009979,'1',102,'N'),(20,5009995,'1',9,'N'),(20,5010004,'1',301,'N'),(20,5010012,'1',302,'N'),(20,5010020,'1',453,'N'),(20,5010039,'1',215,'N'),(20,5010039,'1A',201,'N'),(20,5010047,'1',103,'N'),(20,5010055,'1',203,'N'),(20,5010055,'1A',220,'N'),(20,5010063,'1',101,'N'),(20,5010071,'1',320,'N'),(20,5010080,'1',303,'N'),(20,5010098,'1',216,'N'),(20,5010098,'1A',211,'N'),(20,5010101,'1',5,'N'),(20,5010110,'1',104,'N'),(20,5010128,'1',103,'N'),(20,5010136,'1',201,'N'),(20,5010136,'1A',207,'N'),(20,5010144,'1',103,'N'),(20,5010152,'1',331,'N'),(20,5010160,'1',653,'N'),(20,5010160,'1A',203,'N'),(20,5010179,'1',203,'N'),(20,5010195,'1',327,'N'),(20,5010209,'1',340,'N'),(20,5010217,'1',501,'N'),(20,5010225,'1',213,'N'),(20,5010225,'1A',203,'N'),(20,5010241,'1',207,'N'),(20,5010241,'1A',208,'N'),(20,5010250,'1',207,'N'),(20,5010250,'1A',201,'N'),(20,5010268,'1',103,'N'),(20,5010276,'1',103,'N'),(20,5010292,'1',203,'N'),(20,5010306,'1',216,'N'),(20,5010306,'1A',233,'N'),(20,5010314,'1',104,'N'),(20,5010322,'1',238,'N'),(20,5010322,'1A',652,'N'),(20,5010330,'1',103,'N'),(20,5010349,'1',103,'N'),(20,5010357,'1',207,'N'),(20,5010357,'1A',211,'N'),(20,5010373,'1',110,'N'),(20,5010381,'1',103,'N'),(20,5010403,'1',551,'N'),(20,5010411,'1',212,'N'),(20,5010411,'1A',211,'N'),(20,5010420,'1',211,'N'),(20,5010420,'1A',601,'N'),(20,5010438,'1',203,'N'),(20,5010438,'1A',201,'N'),(20,5010446,'1',207,'N'),(20,5010446,'1A',201,'N'),(20,5010489,'1',103,'N'),(20,5010497,'1',238,'N'),(20,5010497,'1A',208,'N'),(20,5010500,'1',202,'N'),(20,5010500,'1A',220,'N'),(20,5010535,'1',301,'N'),(20,5010551,'1',201,'N'),(20,5010551,'1A',212,'N'),(20,5010560,'1',103,'N'),(20,5010578,'1',104,'N'),(20,5010586,'1',104,'N'),(20,5010594,'1',101,'N'),(20,5010608,'1',103,'N'),(20,5010616,'1',340,'N'),(20,5010624,'1',238,'N'),(20,5010624,'1A',235,'N'),(20,5010632,'1',207,'N'),(20,5010632,'1A',212,'N'),(20,5010640,'1',5,'N'),(20,5010659,'1',103,'N'),(20,5010667,'1',103,'N'),(20,5010675,'1',5,'N'),(20,5010683,'1',202,'N'),(20,5010683,'1A',213,'N'),(20,5010691,'1',216,'N'),(20,5010691,'1A',233,'N'),(20,5010721,'1',213,'N'),(20,5010721,'1A',202,'N'),(20,5010730,'1',102,'N'),(20,5010748,'1',103,'N'),(20,5010756,'1',104,'N'),(20,5010764,'1',103,'N'),(20,5010772,'1',238,'N'),(20,5010772,'1A',652,'N'),(20,5010780,'1',652,'N'),(20,5010780,'1A',653,'N'),(20,5010799,'1',108,'N'),(20,5010802,'1',211,'N'),(20,5010802,'1A',207,'N'),(20,5010810,'1',326,'N'),(20,5010837,'1',340,'N'),(20,5010870,'1',104,'N'),(20,5010896,'1',502,'N'),(20,5010918,'1',103,'N'),(20,5010926,'1',202,'N'),(20,5010926,'1A',215,'N'),(20,5010934,'1',318,'N'),(20,5010942,'1',301,'N'),(20,5010950,'1',203,'N'),(20,5010950,'1A',214,'N'),(20,5010969,'1',211,'N'),(20,5010969,'1A',216,'N'),(20,5010977,'1',201,'N'),(20,5010977,'1A',211,'N'),(20,5010985,'1',103,'N'),(20,5011019,'1',336,'N'),(20,5011027,'1',108,'N'),(20,5011035,'1',2,'N'),(20,5011043,'1',5,'N'),(20,5011051,'1',103,'N'),(20,5011060,'1',103,'N'),(20,5011078,'1',211,'N'),(20,5011078,'1A',215,'N'),(20,5011086,'1',320,'N'),(20,5011094,'1',415,'N'),(20,5011108,'1',103,'N'),(20,5011116,'1',450,'N'),(20,5011124,'1',303,'N'),(20,5011132,'1',318,'N'),(20,5011140,'1',211,'N'),(20,5011140,'1A',215,'N'),(20,5011159,'1',207,'N'),(20,5011159,'1A',233,'N'),(20,5011167,'1',103,'N'),(20,5011175,'1',503,'N'),(20,5011183,'1',420,'N'),(20,5011191,'1',103,'N'),(20,5011205,'1',301,'N'),(20,5011213,'1',337,'N'),(20,5011221,'1',201,'N'),(20,5011221,'1A',202,'N'),(20,5011230,'1',207,'N'),(20,5011230,'1A',201,'N'),(20,5011248,'1',502,'N'),(20,5011256,'1',9,'N'),(20,5011264,'1',208,'N'),(20,5011264,'1A',238,'N'),(20,5011272,'1',203,'N'),(20,5011272,'1A',214,'N'),(20,5011280,'1',103,'N'),(20,5011299,'1',211,'N'),(20,5011299,'1A',215,'N'),(20,5011302,'1',103,'N'),(20,5011310,'1',238,'N'),(20,5011310,'1A',208,'N'),(20,5011329,'1',203,'N'),(20,5011329,'1A',201,'N'),(20,5011345,'1',340,'N'),(20,5011353,'1',103,'N'),(20,5011361,'1',108,'N'),(20,5011370,'1',108,'N'),(20,5011388,'1',601,'N'),(20,5011388,'1A',203,'N'),(20,5011396,'1',302,'N'),(20,5011400,'1',108,'N'),(20,5011418,'1',234,'N'),(20,5011426,'1',103,'N'),(20,5011434,'1',104,'N'),(20,5011442,'1',316,'N'),(20,5011450,'1',201,'N'),(20,5011450,'1A',233,'N'),(20,5011469,'1',301,'N'),(20,5011477,'1',450,'N'),(20,5011485,'1',203,'N'),(20,5011485,'1A',207,'N'),(20,5011493,'1',207,'N'),(20,5011507,'1',103,'N'),(20,5011540,'1',103,'N'),(20,5011558,'1',429,'N'),(20,5011558,'1A',425,'N'),(20,5011566,'1',420,'N'),(20,5011574,'1',415,'N'),(20,5011582,'1',501,'N'),(20,5011604,'1',108,'N'),(20,5011612,'1',501,'N'),(20,5011620,'1',340,'N'),(20,5011647,'1',202,'N'),(20,5011647,'1A',601,'N'),(20,5011655,'1',327,'N'),(20,5011663,'1',303,'N'),(20,5011671,'1',425,'N'),(20,5011671,'1A',424,'N'),(20,5011680,'1',103,'N'),(20,5011698,'1',203,'N'),(20,5011698,'1A',601,'N'),(20,5011701,'1',340,'N'),(20,5011710,'1',208,'N'),(20,5011710,'1A',207,'N'),(20,5011728,'1',202,'N'),(20,5011728,'1A',213,'N'),(20,5011736,'1',303,'N'),(20,5011760,'1',103,'N'),(20,5011787,'1',215,'N'),(20,5011787,'1A',216,'N'),(20,5011809,'1',104,'N'),(20,5011817,'1',103,'N'),(20,5011825,'1',340,'N'),(20,5011833,'1',5,'N'),(20,5011841,'1',420,'N'),(20,5011850,'1',103,'N'),(20,5011868,'1',415,'N'),(20,5011876,'1',208,'N'),(20,5011876,'1A',238,'N'),(20,5011892,'1',203,'N'),(20,5011892,'1A',601,'N'),(20,5011906,'1',216,'N'),(20,5011906,'1A',201,'N'),(20,5011914,'1',101,'N'),(20,5011922,'1',303,'N'),(20,5011949,'1',201,'N'),(20,5011949,'1A',207,'N'),(20,5011957,'1',5,'N'),(20,5011965,'1',415,'N'),(20,5011973,'1',103,'N'),(20,5011981,'1',301,'N'),(20,5011990,'1',215,'N'),(20,5011990,'1A',212,'N'),(20,5012007,'1',320,'N'),(20,5012015,'1',326,'N'),(20,5012031,'1',303,'N'),(20,5012040,'1',102,'N'),(20,5012058,'1',9,'N'),(20,5012066,'1',333,'N'),(20,5012074,'1',201,'N'),(20,5012074,'1A',212,'N'),(20,5012082,'1',5,'N'),(20,5012090,'1',450,'N'),(20,5012104,'1',203,'N'),(20,5012104,'1A',202,'N'),(20,5012112,'1',316,'N'),(20,5012120,'1',201,'N'),(20,5012120,'1A',653,'N'),(20,5012139,'1',220,'N'),(20,5012139,'1A',203,'N'),(20,5012155,'1',103,'N'),(20,5012163,'1',203,'N'),(20,5012163,'1A',233,'N'),(20,5012171,'1',202,'N'),(20,5012171,'1A',207,'N'),(20,5012198,'1',207,'N'),(20,5012198,'1A',201,'N'),(20,5012201,'1',201,'N'),(20,5012210,'1',452,'N'),(20,5012228,'1',223,'N'),(20,5012236,'1',333,'N'),(20,5012252,'1',501,'N'),(20,5012260,'1',340,'N'),(20,5012279,'1',103,'N'),(20,5012287,'1',452,'N'),(20,5012295,'1',316,'N'),(20,5012309,'1',220,'N'),(20,5012309,'1A',235,'N'),(20,5012317,'1',425,'N'),(20,5012317,'1A',429,'N'),(20,5012325,'1',103,'N'),(20,5012341,'1',5,'N'),(20,5012350,'1',450,'N'),(20,5012368,'1',453,'N'),(20,5012376,'1',102,'N'),(20,5012384,'1',340,'N'),(20,5012392,'1',215,'N'),(20,5012392,'1A',216,'N'),(20,5012406,'1',103,'N'),(20,5012414,'1',101,'N'),(20,5012422,'1',316,'N'),(20,5012430,'1',303,'N'),(20,5012449,'1',202,'N'),(20,5012449,'1A',203,'N'),(20,5012465,'1',9,'N'),(20,5012481,'1',103,'N'),(20,5012490,'1',108,'N'),(20,5012511,'1',415,'N'),(20,5012520,'1',5,'N'),(20,5012546,'1',214,'N'),(20,5012546,'1A',213,'N'),(20,5012554,'1',103,'N'),(20,5012562,'1',415,'N'),(20,5012570,'1',503,'N'),(20,5012597,'1',201,'N'),(20,5012597,'1A',233,'N'),(20,5012600,'1',319,'N'),(20,5012627,'1',308,'N'),(20,5012635,'1',420,'N'),(20,5012643,'1',9,'N'),(20,5012651,'1',201,'N'),(20,5012651,'1A',238,'N'),(20,5012660,'1',203,'N'),(20,5012660,'1A',601,'N'),(20,5012678,'1',201,'N'),(20,5012678,'1A',202,'N'),(20,5012686,'1',233,'N'),(20,5012686,'1A',601,'N'),(20,5012694,'1',103,'N'),(20,5012716,'1',103,'N'),(20,5012732,'1',211,'N'),(20,5012740,'1',208,'N'),(20,5012740,'1A',238,'N'),(20,5012767,'1',103,'N'),(20,5012783,'1',103,'N'),(20,5012791,'1',233,'N'),(20,5012805,'1',238,'N'),(20,5012805,'1A',208,'N'),(20,5012813,'1',104,'N'),(20,5012821,'1',103,'N'),(20,5012830,'1',201,'N'),(20,5012830,'1A',238,'N'),(20,5012848,'1',5,'N'),(20,5012856,'1',202,'N'),(20,5012856,'1A',213,'N'),(20,5012864,'1',207,'N'),(20,5012864,'1A',233,'N'),(20,5012872,'1',303,'N'),(20,5012880,'1',208,'N'),(20,5012899,'1',429,'N'),(20,5012899,'1A',425,'N'),(20,5012902,'1',303,'N'),(20,5012910,'1',103,'N'),(20,5012929,'1',601,'N'),(20,5012929,'1A',202,'N'),(20,5012937,'1',238,'N'),(20,5012937,'1A',208,'N'),(20,5012945,'1',5,'N'),(20,5012953,'1',302,'N'),(20,5012961,'1',453,'N'),(20,5012970,'1',216,'N'),(20,5012970,'1A',211,'N'),(20,5012988,'1',319,'N'),(20,5012996,'1',103,'N'),(20,5013003,'1',103,'N'),(20,5013011,'1',103,'N'),(20,5013020,'1',207,'N'),(20,5013038,'1',304,'N'),(20,5013046,'1',303,'N'),(20,5013054,'1',208,'N'),(20,5013054,'1A',215,'N'),(20,5013062,'1',5,'N'),(20,5013070,'1',601,'N'),(20,5013070,'1A',233,'N'),(20,5013089,'1',233,'N'),(20,5013089,'1A',215,'N'),(20,5013100,'1',207,'N'),(20,5013100,'1A',238,'N'),(20,5013119,'1',102,'N'),(20,5013127,'1',333,'N'),(20,5013135,'1',301,'N'),(20,5013143,'1',103,'N'),(20,5013151,'1',103,'N'),(20,5013160,'1',207,'N'),(20,5013160,'1A',201,'N'),(20,5013178,'1',415,'N'),(20,5013186,'1',208,'N'),(20,5013186,'1A',238,'N'),(20,5013194,'1',103,'N'),(20,5013208,'1',104,'N'),(20,5013216,'1',103,'N'),(20,5013224,'1',340,'N'),(20,5013232,'1',108,'N'),(20,5013240,'1',450,'N'),(20,5013259,'1',234,'N'),(20,5013267,'1',319,'N'),(20,5013275,'1',102,'N'),(20,5013283,'1',452,'N'),(20,5013291,'1',333,'N'),(20,5013305,'1',103,'N'),(20,5013313,'1',103,'N'),(20,5013321,'1',103,'N'),(20,5013330,'1',450,'N'),(20,5013348,'1',310,'N'),(20,5013364,'1',203,'N'),(20,5013364,'1A',220,'N'),(20,5013380,'1',103,'N'),(20,5013429,'1',103,'N'),(20,5013437,'1',207,'N'),(20,5013437,'1A',201,'N'),(20,5013445,'1',103,'N'),(20,5013461,'1',319,'N'),(20,5013470,'1',207,'N'),(20,5013488,'1',220,'N'),(20,5013488,'1A',235,'N'),(20,5013496,'1',238,'N'),(20,5013496,'1A',202,'N'),(20,5013500,'1',103,'N'),(20,5013518,'1',216,'N'),(20,5013518,'1A',215,'N'),(20,5013526,'1',103,'N'),(20,5013534,'1',428,'N'),(20,5013534,'1A',423,'N'),(20,5013542,'1',5,'N'),(20,5013550,'1',224,'N'),(20,5013569,'1',103,'N'),(20,5013577,'1',103,'N'),(20,5013585,'1',104,'N'),(20,5013593,'1',3,'N'),(20,5013607,'1',103,'N'),(20,5013631,'1',5,'N'),(20,5013640,'1',103,'N'),(20,5013658,'1',102,'N'),(20,5013666,'1',103,'N'),(20,5013674,'1',202,'N'),(20,5013674,'1A',213,'N'),(20,5013682,'1',233,'N'),(20,5013682,'1A',601,'N'),(20,5013690,'1',303,'N'),(20,5013712,'1',9,'N'),(20,5013720,'1',208,'N'),(20,5013720,'1A',201,'N'),(20,5013739,'1',5,'N'),(20,5013747,'1',103,'N'),(20,5013755,'1',340,'N'),(20,5013763,'1',453,'N'),(20,5013771,'1',103,'N'),(20,5013780,'1',103,'N'),(20,5013798,'1',9,'N'),(20,5013801,'1',201,'N'),(20,5013801,'1A',208,'N'),(20,5013810,'1',103,'N'),(20,5013828,'1',303,'N'),(20,5013836,'1',331,'N'),(20,5013844,'1',102,'N'),(20,5013852,'1',340,'N'),(20,5013879,'1',211,'N'),(20,5013879,'1A',216,'N'),(20,5013887,'1',201,'N'),(20,5013887,'1A',216,'N'),(20,5013895,'1',202,'N'),(20,5013895,'1A',203,'N'),(20,5013909,'1',336,'N'),(20,5013917,'1',103,'N'),(20,5013933,'1',201,'N'),(20,5013933,'1A',216,'N'),(20,5013941,'1',309,'N'),(20,5013976,'1',324,'N'),(20,5013984,'1',102,'N'),(20,5013992,'1',303,'N'),(20,5014000,'1',103,'N'),(20,5014018,'1',103,'N'),(20,5014026,'1',502,'N'),(20,5014042,'1',233,'N'),(20,5014042,'1A',215,'N'),(20,5014050,'1',238,'N'),(20,5014050,'1A',202,'N'),(20,5014069,'1',444,'N'),(20,5014085,'1',220,'N'),(20,5014085,'1A',235,'N'),(20,5014093,'1',303,'N'),(20,5014115,'1',103,'N'),(20,5014131,'1',202,'N'),(20,5014131,'1A',235,'N'),(20,5014140,'1',103,'N'),(20,5014158,'1',208,'N'),(20,5014158,'1A',238,'N'),(20,5014166,'1',215,'N'),(20,5014166,'1A',216,'N'),(20,5014174,'1',103,'N'),(20,5014182,'1',220,'N'),(20,5014182,'1A',235,'N'),(20,5014190,'1',5,'N'),(20,5014204,'1',5,'N'),(20,5014212,'1',301,'N'),(20,5014220,'1',420,'N'),(20,5014239,'1',102,'N'),(20,5014247,'1',340,'N'),(20,5014255,'1',653,'N'),(20,5014255,'1A',652,'N'),(20,5014263,'1',103,'N'),(20,5014280,'1',318,'N'),(20,5014298,'1',101,'N'),(20,5014301,'1',340,'N'),(20,5014310,'1',103,'N'),(20,5014336,'1',340,'N'),(20,5014344,'1',101,'N'),(20,5014352,'1',103,'N'),(20,5014379,'1',211,'N'),(20,5014379,'1A',207,'N'),(20,5014395,'1',503,'N'),(20,5014409,'1',207,'N'),(20,5014409,'1A',201,'N'),(20,5014417,'1',303,'N'),(20,5014425,'1',211,'N'),(20,5014425,'1A',201,'N'),(20,5014433,'1',203,'N'),(20,5014433,'1A',238,'N'),(20,5014441,'1',340,'N'),(20,5014450,'1',9,'N'),(20,5014468,'1',318,'N'),(20,5014476,'1',103,'N'),(20,5014484,'1',203,'N'),(20,5014484,'1A',202,'N'),(20,5014492,'1',9,'N'),(20,5014506,'1',220,'N'),(20,5014514,'1',319,'N'),(20,5014522,'1',340,'N'),(20,5014530,'1',108,'N'),(20,5014549,'1',109,'N'),(20,5014557,'1',211,'N'),(20,5014557,'1A',233,'N'),(20,5014565,'1',215,'N'),(20,5014565,'1A',202,'N'),(20,5014581,'1',303,'N'),(20,5014590,'1',420,'N'),(20,5014603,'1',203,'N'),(20,5014603,'1A',202,'N'),(20,5014620,'1',452,'N'),(20,5014638,'1',103,'N'),(20,5014646,'1',201,'N'),(20,5014646,'1A',208,'N'),(20,5014654,'1',452,'N'),(20,5014662,'1',303,'N'),(20,5014670,'1',203,'N'),(20,5014689,'1',103,'N'),(20,5014697,'1',238,'N'),(20,5014700,'1',103,'N'),(20,5014719,'1',211,'N'),(20,5014719,'1A',216,'N'),(20,5014735,'1',216,'N'),(20,5014735,'1A',203,'N'),(20,5014743,'1',104,'N'),(20,5014751,'1',216,'N'),(20,5014760,'1',216,'N'),(20,5014760,'1A',202,'N'),(20,5014778,'1',201,'N'),(20,5014778,'1A',653,'N'),(20,5014786,'1',234,'N'),(20,5014794,'1',211,'N'),(20,5014794,'1A',215,'N'),(20,5014808,'1',415,'N'),(20,5014816,'1',304,'N'),(20,5014824,'1',103,'N'),(20,5014832,'1',215,'N'),(20,5014832,'1A',216,'N'),(20,5014840,'1',653,'N'),(20,5014840,'1A',652,'N'),(20,5014859,'1',201,'N'),(20,5014859,'1A',212,'N'),(20,5014867,'1',429,'N'),(20,5014867,'1A',425,'N'),(20,5014883,'1',103,'N'),(20,5014891,'1',303,'N'),(20,5014905,'1',103,'N'),(20,5014913,'1',428,'N'),(20,5014913,'1A',424,'N'),(20,5014921,'1',501,'N'),(20,5014948,'1',9,'N'),(20,5014964,'1',340,'N'),(20,5014972,'1',452,'N'),(20,5014980,'1',9,'N'),(20,5014999,'1',203,'N'),(20,5014999,'1A',207,'N'),(20,5015006,'1',203,'N'),(20,5015006,'1A',214,'N'),(20,5015014,'1',103,'N'),(20,5015022,'1',102,'N'),(20,5015030,'1',103,'N'),(20,5015049,'1',103,'N'),(20,5015057,'1',103,'N'),(20,5015065,'1',216,'N'),(20,5015065,'1A',211,'N'),(20,5015073,'1',303,'N'),(20,5015081,'1',103,'N'),(20,5015090,'1',5,'N'),(20,5015103,'1',420,'N'),(20,5015111,'1',216,'N'),(20,5015120,'1',203,'N'),(20,5015120,'1A',201,'N'),(20,5015138,'1',415,'N'),(20,5015154,'1',108,'N'),(20,5015170,'1',415,'N'),(20,5015189,'1',308,'N'),(20,5015197,'1',101,'N'),(20,5015200,'1',103,'N'),(20,5015219,'1',103,'N'),(20,5015227,'1',103,'N'),(20,5015235,'1',104,'N'),(20,5015243,'1',303,'N'),(20,5015251,'1',103,'N'),(20,5015260,'1',216,'N'),(20,5015278,'1',208,'N'),(20,5015278,'1A',238,'N'),(20,5015286,'1',415,'N'),(20,5015294,'1',103,'N'),(20,5015308,'1',103,'N'),(20,5015316,'1',340,'N'),(20,5015324,'1',653,'N'),(20,5015324,'1A',652,'N'),(20,5015332,'1',211,'N'),(20,5015332,'1A',207,'N'),(20,5015367,'1',103,'N'),(20,5015375,'1',303,'N'),(20,5015383,'1',211,'N'),(20,5015383,'1A',216,'N'),(20,5015391,'1',501,'N'),(20,5015405,'1',316,'N'),(20,5015413,'1',216,'N'),(20,5015421,'1',453,'N'),(20,5015430,'1',214,'N'),(20,5015430,'1A',201,'N'),(20,5015448,'1',319,'N'),(20,5015456,'1',301,'N'),(20,5015464,'1',203,'N'),(20,5015464,'1A',214,'N'),(20,5015472,'1',216,'N'),(20,5015480,'1',203,'N'),(20,5015480,'1A',214,'N'),(20,5015499,'1',215,'N'),(20,5015499,'1A',211,'N'),(20,5015510,'1',340,'N'),(20,5015529,'1',103,'N'),(20,5015537,'1',211,'N'),(20,5015537,'1A',215,'N'),(20,5015553,'1',103,'N'),(20,5015570,'1',415,'N'),(20,5015588,'1',108,'N'),(20,5015596,'1',212,'N'),(20,5015596,'1A',213,'N'),(20,5015600,'1',211,'N'),(20,5015600,'1A',653,'N'),(20,5015618,'1',205,'N'),(20,5015626,'1',201,'N'),(20,5015626,'1A',212,'N'),(20,5015634,'1',601,'N'),(20,5015642,'1',103,'N'),(20,5015669,'1',303,'N'),(20,5015677,'1',340,'N'),(20,5015685,'1',208,'N'),(20,5015685,'1A',202,'N'),(20,5015693,'1',333,'N'),(20,5015707,'1',329,'N'),(20,5015715,'1',215,'N'),(20,5015715,'1A',207,'N'),(20,5015723,'1',207,'N'),(20,5015723,'1A',201,'N'),(20,5015731,'1',320,'N'),(20,5015740,'1',215,'N'),(20,5015740,'1A',211,'N'),(20,5015758,'1',303,'N'),(20,5015766,'1',103,'N'),(20,5015774,'1',5,'N'),(20,5015782,'1',202,'N'),(20,5015782,'1A',220,'N'),(20,5015790,'1',103,'N'),(20,5015804,'1',303,'N'),(20,5015812,'1',207,'N'),(20,5015812,'1A',212,'N'),(20,5015820,'1',319,'N'),(20,5015839,'1',108,'N'),(20,5015847,'1',601,'N'),(20,5015847,'1A',203,'N'),(20,5015855,'1',340,'N'),(20,5015863,'1',103,'N'),(20,5015871,'1',207,'N'),(20,5015871,'1A',215,'N'),(20,5015880,'1',415,'N'),(20,5015898,'1',303,'N'),(20,5015901,'1',5,'N'),(20,5015910,'1',216,'N'),(20,5015910,'1A',233,'N'),(20,5015928,'1',420,'N'),(20,5015952,'1',303,'N'),(20,5015960,'1',207,'N'),(20,5015960,'1A',201,'N'),(20,5015979,'1',404,'N'),(20,5015987,'1',303,'N'),(20,5015995,'1',5,'N'),(20,5016002,'1',103,'N'),(20,5016029,'1',319,'N'),(20,5016037,'1',428,'N'),(20,5016037,'1A',424,'N'),(20,5016053,'1',317,'N'),(20,5016061,'1',103,'N'),(20,5016088,'1',103,'N'),(20,5016096,'1',203,'N'),(20,5016096,'1A',202,'N'),(20,5016100,'1',340,'N'),(20,5016118,'1',103,'N'),(20,5016126,'1',103,'N'),(20,5016134,'1',211,'N'),(20,5016134,'1A',201,'N'),(20,5016142,'1',103,'N'),(20,5016150,'1',415,'N'),(20,5016169,'1',652,'N'),(20,5016169,'1A',653,'N'),(20,5016177,'1',452,'N'),(20,5016185,'1',103,'N'),(20,5016193,'1',201,'N'),(20,5016193,'1A',601,'N'),(20,5016207,'1',303,'N'),(20,5016215,'1',340,'N'),(20,5016223,'1',103,'N'),(20,5016231,'1',207,'N'),(20,5016231,'1A',201,'N'),(20,5016240,'1',102,'N'),(20,5016266,'1',340,'N'),(20,5016274,'1',301,'N'),(20,5016282,'1',103,'N'),(20,5016290,'1',208,'N'),(20,5016290,'1A',238,'N'),(20,5016304,'1',420,'N'),(20,5016312,'1',303,'N'),(20,5016320,'1',201,'N'),(20,5016320,'1A',233,'N'),(20,5016347,'1',211,'N'),(20,5016347,'1A',207,'N'),(20,5016355,'1',303,'N'),(20,5016363,'1',318,'N'),(20,5016380,'1',203,'N'),(20,5016380,'1A',233,'N'),(20,5016398,'1',503,'N'),(20,5016401,'1',601,'N'),(20,5016410,'1',103,'N'),(20,5016428,'1',207,'N'),(20,5016428,'1A',208,'N'),(20,5016436,'1',601,'N'),(20,5016452,'1',215,'N'),(20,5016452,'1A',214,'N'),(20,5016460,'1',317,'N'),(20,5016479,'1',110,'N'),(20,5016487,'1',103,'N'),(20,5016495,'1',452,'N'),(20,5016509,'1',303,'N'),(20,5016525,'1',103,'N'),(20,5016533,'1',103,'N'),(20,5016541,'1',303,'N'),(20,5016568,'1',211,'N'),(20,5016568,'1A',652,'N'),(20,5016576,'1',216,'N'),(20,5016576,'1A',215,'N'),(20,5016584,'1',233,'N'),(20,5016584,'1A',601,'N'),(20,5016592,'1',9,'N'),(20,5016606,'1',203,'N'),(20,5016606,'1A',202,'N'),(20,5016614,'1',103,'N'),(20,5016622,'1',108,'N'),(20,5016630,'1',103,'N'),(20,5016649,'1',601,'N'),(20,5016649,'1A',202,'N'),(20,5016657,'1',316,'N'),(20,5016665,'1',326,'N'),(20,5016673,'1',203,'N'),(20,5016673,'1A',201,'N'),(20,5016681,'1',203,'N'),(20,5016690,'1',102,'N'),(20,5016703,'1',302,'N'),(20,5016711,'1',215,'N'),(20,5016711,'1A',216,'N'),(20,5016720,'1',103,'N'),(20,5016738,'1',215,'N'),(20,5016738,'1A',212,'N'),(20,5016746,'1',203,'N'),(20,5016746,'1A',220,'N'),(20,5016754,'1',201,'N'),(20,5016754,'1A',207,'N'),(20,5016762,'1',103,'N'),(20,5016770,'1',316,'N'),(20,5016797,'1',216,'N'),(20,5016797,'1A',215,'N'),(20,5016800,'1',103,'N'),(20,5016819,'1',319,'N'),(20,5016827,'1',207,'N'),(20,5016827,'1A',201,'N'),(20,5016835,'1',2,'N'),(20,5016843,'1',336,'N'),(20,5016851,'1',103,'N'),(20,5016860,'1',207,'N'),(20,5016860,'1A',233,'N'),(20,5016878,'1',220,'N'),(20,5016878,'1A',601,'N'),(20,5016886,'1',327,'N'),(20,5016894,'1',316,'N'),(20,5016908,'1',207,'N'),(20,5016908,'1A',201,'N'),(20,5016916,'1',103,'N'),(20,5016924,'1',103,'N'),(20,5016932,'1',103,'N'),(20,5016959,'1',3,'N'),(20,5016967,'1',212,'N'),(20,5016967,'1A',201,'N'),(20,5016983,'1',303,'N'),(20,5016991,'1',207,'N'),(20,5016991,'1A',208,'N'),(20,5017009,'1',319,'N'),(20,5017017,'1',238,'N'),(20,5017017,'1A',233,'N'),(20,5017025,'1',333,'N'),(20,5017033,'1',207,'N'),(20,5017033,'1A',201,'N'),(20,5017041,'1',450,'N'),(20,5017076,'1',214,'N'),(20,5017076,'1A',213,'N'),(20,5017084,'1',317,'N'),(20,5017092,'1',420,'N'),(20,5017106,'1',110,'N'),(20,5017114,'1',102,'N'),(20,5017122,'1',103,'N'),(20,5017149,'1',202,'N'),(20,5017149,'1A',653,'N'),(20,5017157,'1',104,'N'),(20,5017165,'1',102,'N'),(20,5017173,'1',201,'N'),(20,5017173,'1A',212,'N'),(20,5017181,'1',203,'N'),(20,5017181,'1A',214,'N'),(20,5017190,'1',207,'N'),(20,5017190,'1A',201,'N'),(20,5017203,'1',103,'N'),(20,5017211,'1',201,'N'),(20,5017211,'1A',202,'N'),(20,5017220,'1',327,'N'),(20,5017238,'1',108,'N'),(20,5017246,'1',453,'N'),(20,5017254,'1',103,'N'),(20,5017270,'1',319,'N'),(20,5017289,'1',5,'N'),(20,5017297,'1',216,'N'),(20,5017297,'1A',207,'N'),(20,5017319,'1',103,'N'),(20,5017343,'1',425,'N'),(20,5017378,'1',203,'N'),(20,5017378,'1A',601,'N'),(20,5017386,'1',502,'N'),(20,5017394,'1',103,'N'),(20,5017408,'1',103,'N'),(20,5017424,'1',103,'N'),(20,5017432,'1',653,'N'),(20,5017432,'1A',652,'N'),(20,5017440,'1',234,'N'),(20,5017459,'1',103,'N'),(20,5017483,'1',205,'N'),(20,5017491,'1',220,'N'),(20,5017491,'1A',203,'N'),(20,5017505,'1',319,'N'),(20,5017521,'1',103,'N'),(20,5017530,'1',103,'N'),(20,5017556,'1',308,'N'),(20,5017564,'1',216,'N'),(20,5017564,'1A',215,'N'),(20,5017580,'1',203,'N'),(20,5017580,'1A',202,'N'),(20,5017599,'1',235,'N'),(20,5017602,'1',5,'N'),(20,5017610,'1',104,'N'),(20,5017629,'1',201,'N'),(20,5017629,'1A',202,'N'),(20,5017637,'1',104,'N'),(20,5017645,'1',207,'N'),(20,5017645,'1A',208,'N'),(20,5017653,'1',102,'N'),(20,5017661,'1',103,'N'),(20,5017670,'1',104,'N'),(20,5017688,'1',103,'N'),(20,5017700,'1',102,'N'),(20,5017718,'1',9,'N'),(20,5017726,'1',103,'N'),(20,5017734,'1',103,'N'),(20,5017742,'1',203,'N'),(20,5017742,'1A',220,'N'),(20,5017750,'1',212,'N'),(20,5017750,'1A',214,'N'),(20,5017769,'1',211,'N'),(20,5017769,'1A',215,'N'),(20,5017777,'1',103,'N'),(20,5017785,'1',108,'N'),(20,5017793,'1',415,'N'),(20,5017807,'1',108,'N'),(20,5017823,'1',103,'N'),(20,5017840,'1',452,'N'),(20,5017858,'1',108,'N'),(20,5017866,'1',201,'N'),(20,5017866,'1A',202,'N'),(20,5017874,'1',5,'N'),(20,5017890,'1',203,'N'),(20,5017890,'1A',601,'N'),(20,5017904,'1',103,'N'),(20,5017912,'1',420,'N'),(20,5017939,'1',104,'N'),(20,5017947,'1',319,'N'),(20,5017955,'1',319,'N'),(20,5017971,'1',103,'N'),(20,5017980,'1',104,'N'),(20,5017998,'1',415,'N'),(20,5018005,'1',103,'N'),(20,5018013,'1',103,'N'),(20,5018021,'1',208,'N'),(20,5018021,'1A',238,'N'),(20,5018030,'1',103,'N'),(20,5018056,'1',450,'N'),(20,5018064,'1',453,'N'),(20,5018072,'1',103,'N'),(20,5018080,'1',333,'N'),(20,5018102,'1',103,'N'),(20,5018110,'1',235,'N'),(20,5018110,'1A',214,'N'),(20,5018129,'1',103,'N'),(20,5018137,'1',216,'N'),(20,5018137,'1A',202,'N'),(20,5018153,'1',203,'N'),(20,5018153,'1A',220,'N'),(20,5018161,'1',420,'N'),(20,5018170,'1',9,'N'),(20,5018188,'1',103,'N'),(20,5018196,'1',316,'N'),(20,5018200,'1',340,'N'),(20,5018218,'1',444,'N'),(20,5018226,'1',5,'N'),(20,5018234,'1',103,'N'),(20,5018242,'1',340,'N'),(20,5018250,'1',207,'N'),(20,5018250,'1A',201,'N'),(20,5018277,'1',216,'N'),(20,5018277,'1A',233,'N'),(20,5018285,'1',211,'N'),(20,5018285,'1A',215,'N'),(20,5018307,'1',317,'N'),(20,5018315,'1',202,'N'),(20,5018315,'1A',235,'N'),(20,5018323,'1',101,'N'),(20,5018331,'1',211,'N'),(20,5018331,'1A',235,'N'),(20,5018358,'1',102,'N'),(20,5018366,'1',103,'N'),(20,5018374,'1',207,'N'),(20,5018374,'1A',211,'N'),(20,5018382,'1',601,'N'),(20,5018382,'1A',201,'N'),(20,5018390,'1',103,'N'),(20,5018404,'1',201,'N'),(20,5018404,'1A',233,'N'),(20,5018412,'1',333,'N'),(20,5018420,'1',214,'N'),(20,5018420,'1A',203,'N'),(20,5018439,'1',108,'N'),(20,5018447,'1',340,'N'),(20,5018455,'1',104,'N'),(20,5018463,'1',303,'N'),(20,5018480,'1',216,'N'),(20,5018498,'1',324,'N'),(20,5018501,'1',103,'N'),(20,5018510,'1',103,'N'),(20,5018528,'1',415,'N'),(20,5018544,'1',103,'N'),(20,5018552,'1',420,'N'),(20,5018579,'1',207,'N'),(20,5018579,'1A',201,'N'),(20,5018587,'1',103,'N'),(20,5018595,'1',303,'N'),(20,5018609,'1',207,'N'),(20,5018609,'1A',201,'N'),(20,5018617,'1',340,'N'),(20,5018625,'1',451,'N'),(20,5018633,'1',104,'N'),(20,5018668,'1',103,'N'),(20,5018676,'1',424,'N'),(20,5018676,'1A',427,'N'),(20,5018684,'1',211,'N'),(20,5018684,'1A',212,'N'),(20,5018692,'1',216,'N'),(20,5018692,'1A',203,'N'),(20,5018706,'1',211,'N'),(20,5018706,'1A',201,'N'),(20,5018714,'1',404,'N'),(20,5018730,'1',444,'N'),(20,5018749,'1',103,'N'),(20,5018757,'1',316,'N'),(20,5018781,'1',211,'N'),(20,5018781,'1A',233,'N'),(20,5018790,'1',211,'N'),(20,5018790,'1A',215,'N'),(20,5018803,'1',214,'N'),(20,5018803,'1A',212,'N'),(20,5018811,'1',207,'N'),(20,5018811,'1A',201,'N'),(20,5018820,'1',203,'N'),(20,5018820,'1A',214,'N'),(20,5018862,'1',103,'N'),(20,5018870,'1',326,'N'),(20,5018889,'1',3,'N'),(20,5018897,'1',501,'N'),(20,5018919,'1',203,'N'),(20,5018919,'1A',220,'N'),(20,5018927,'1',319,'N'),(20,5018935,'1',301,'N'),(20,5018951,'1',203,'N'),(20,5018951,'1A',214,'N'),(20,5018960,'1',102,'N'),(20,5018986,'1',103,'N'),(20,5018994,'1',103,'N'),(20,5019001,'1',103,'N'),(20,5019010,'1',203,'N'),(20,5019028,'1',216,'N'),(20,5019028,'1A',233,'N'),(20,5019036,'1',103,'N'),(20,5019044,'1',316,'N'),(20,5019052,'1',319,'N'),(20,5019060,'1',207,'N'),(20,5019079,'1',9,'N'),(20,5019087,'1',103,'N'),(20,5019095,'1',3,'N'),(20,5019117,'1',104,'N'),(20,5019125,'1',320,'N'),(20,5019133,'1',108,'N'),(20,5019141,'1',103,'N'),(20,5019168,'1',429,'N'),(20,5019168,'1A',425,'N'),(20,5019176,'1',340,'N'),(20,5019184,'1',108,'N'),(20,5019192,'1',5,'N'),(20,5019206,'1',220,'N'),(20,5019206,'1A',202,'N'),(20,5019214,'1',501,'N'),(20,5019230,'1',207,'N'),(20,5019230,'1A',201,'N'),(20,5019249,'1',340,'N'),(20,5019257,'1',103,'N'),(20,5019265,'1',5,'N'),(20,5019281,'1',215,'N'),(20,5019281,'1A',201,'N'),(20,5019290,'1',425,'N'),(20,5019290,'1A',429,'N'),(20,5019303,'1',234,'N'),(20,5019320,'1',104,'N'),(20,5019338,'1',208,'N'),(20,5019338,'1A',207,'N'),(20,5019346,'1',207,'N'),(20,5019346,'1A',201,'N'),(20,5019362,'1',238,'N'),(20,5019362,'1A',208,'N'),(20,5019370,'1',102,'N'),(20,5019397,'1',101,'N'),(20,5019427,'1',333,'N'),(20,5019435,'1',103,'N'),(20,5019443,'1',207,'N'),(20,5019443,'1A',201,'N'),(20,5019460,'1',103,'N'),(20,5019478,'1',103,'N'),(20,5019486,'1',303,'N'),(20,5019494,'1',215,'N'),(20,5019494,'1A',216,'N'),(20,5019508,'1',201,'N'),(20,5019508,'1A',212,'N'),(20,5019516,'1',102,'N'),(20,5019524,'1',103,'N'),(20,5019567,'1',103,'N'),(20,5019575,'1',319,'N'),(20,5019583,'1',103,'N'),(20,5019591,'1',108,'N'),(20,5019605,'1',214,'N'),(20,5019605,'1A',233,'N'),(20,5019648,'1',201,'N'),(20,5019648,'1A',202,'N'),(20,5019656,'1',601,'N'),(20,5019656,'1A',203,'N'),(20,5019664,'1',201,'N'),(20,5019664,'1A',601,'N'),(20,5019672,'1',103,'N'),(20,5019699,'1',103,'N'),(20,5019702,'1',103,'N'),(20,5019710,'1',216,'N'),(20,5019710,'1A',653,'N'),(20,5019729,'1',103,'N'),(20,5019737,'1',303,'N'),(20,5019745,'1',5,'N'),(20,5019753,'1',104,'N'),(20,5019761,'1',5,'N'),(20,5019788,'1',102,'N'),(20,5019818,'1',103,'N'),(20,5019826,'1',108,'N'),(20,5019842,'1',5,'N'),(20,5019850,'1',103,'N'),(20,5019869,'1',601,'N'),(20,5019869,'1A',208,'N'),(20,5019877,'1',103,'N'),(20,5019885,'1',103,'N'),(20,5019893,'1',103,'N'),(20,5019907,'1',108,'N'),(20,5019915,'1',301,'N'),(20,5019931,'1',207,'N'),(20,5019931,'1A',201,'N'),(20,5019940,'1',103,'N'),(20,5019958,'1',326,'N'),(20,5019974,'1',211,'N'),(20,5019974,'1A',201,'N'),(20,5019982,'1',415,'N'),(20,5019990,'1',235,'N'),(20,5019990,'1A',233,'N'),(20,5020000,'1',238,'N'),(20,5020000,'1A',202,'N'),(20,5020018,'1',103,'N'),(20,5020026,'1',450,'N'),(20,5020034,'1',238,'N'),(20,5020034,'1A',235,'N'),(20,5020042,'1',103,'N'),(20,5020050,'1',203,'N'),(20,5020050,'1A',601,'N'),(20,5020069,'1',651,'N'),(20,5020069,'1A',653,'N'),(20,5020077,'1',103,'N'),(20,5020085,'1',216,'N'),(20,5020085,'1A',215,'N'),(20,5020093,'1',502,'N'),(20,5020107,'1',108,'N'),(20,5020115,'1',201,'N'),(20,5020115,'1A',207,'N'),(20,5020131,'1',444,'N'),(20,5020140,'1',104,'N'),(20,5020158,'1',331,'N'),(20,5020166,'1',404,'N'),(20,5020174,'1',214,'N'),(20,5020174,'1A',233,'N'),(20,5020182,'1',326,'N'),(20,5020204,'1',103,'N'),(20,5020212,'1',316,'N'),(20,5020220,'1',340,'N'),(20,5020255,'1',238,'N'),(20,5020263,'1',103,'N'),(20,5020271,'1',5,'N'),(20,5020298,'1',215,'N'),(20,5020298,'1A',211,'N'),(20,5020301,'1',211,'N'),(20,5020301,'1A',201,'N'),(20,5020310,'1',234,'N'),(20,5020328,'1',203,'N'),(20,5020328,'1A',214,'N'),(20,5020336,'1',319,'N'),(20,5020352,'1',415,'N'),(20,5020360,'1',103,'N'),(20,5020379,'1',340,'N'),(20,5020387,'1',328,'N'),(20,5020395,'1',333,'N'),(20,5020409,'1',203,'N'),(20,5020425,'1',103,'N'),(20,5020433,'1',103,'N'),(20,5020441,'1',101,'N'),(20,5020450,'1',203,'N'),(20,5020450,'1A',601,'N'),(20,5020492,'1',207,'N'),(20,5020492,'1A',212,'N'),(20,5020506,'1',103,'N'),(20,5020514,'1',103,'N'),(20,5020530,'1',301,'N'),(20,5020565,'1',450,'N'),(20,5020573,'1',104,'N'),(20,5020581,'1',316,'N'),(20,5020603,'1',415,'N'),(20,5020646,'1',103,'N'),(20,5020662,'1',551,'N'),(20,5020689,'1',302,'N'),(20,5020697,'1',653,'N'),(20,5020697,'1A',652,'N'),(20,5020719,'1',332,'N'),(20,5020727,'1',333,'N'),(20,5020735,'1',316,'N'),(20,5020751,'1',208,'N'),(20,5020751,'1A',238,'N'),(20,5020786,'1',319,'N'),(20,5020808,'1',202,'N'),(20,5020808,'1A',235,'N'),(20,5020832,'1',103,'N'),(20,5020840,'1',326,'N'),(20,5020859,'1',501,'N'),(20,5020867,'1',103,'N'),(20,5020875,'1',404,'N'),(20,5020883,'1',103,'N'),(20,5020891,'1',301,'N'),(20,5020905,'1',316,'N'),(20,5020913,'1',415,'N'),(20,5020921,'1',319,'N'),(20,5020930,'1',415,'N'),(20,5020948,'1',103,'N'),(20,5020956,'1',316,'N'),(20,5020964,'1',214,'N'),(20,5020964,'1A',212,'N'),(20,5020980,'1',450,'N'),(20,5020999,'1',220,'N'),(20,5020999,'1A',235,'N'),(20,5021006,'1',102,'N'),(20,5021014,'1',425,'N'),(20,5021049,'1',303,'N'),(20,5021057,'1',103,'N'),(20,5021073,'1',320,'N'),(20,5021081,'1',203,'N'),(20,5021081,'1A',207,'N'),(20,5021103,'1',444,'N'),(20,5021111,'1',235,'N'),(20,5021111,'1A',202,'N'),(20,5021120,'1',503,'N'),(20,5021138,'1',207,'N'),(20,5021146,'1',208,'N'),(20,5021162,'1',304,'N'),(20,5021197,'1',222,'N'),(20,5021200,'1',319,'N'),(20,5021219,'1',308,'N'),(20,5021235,'1',223,'N'),(20,5021260,'1',303,'N'),(20,5021278,'1',317,'N'),(20,5021286,'1',102,'N'),(20,5021294,'1',331,'N'),(20,5021308,'1',238,'N'),(20,5021308,'1A',203,'N'),(20,5021316,'1',233,'N'),(20,5021316,'1A',213,'N'),(20,5021324,'1',302,'N'),(20,5021332,'1',426,'N'),(20,5021332,'1A',428,'N'),(20,5021359,'1',109,'N'),(20,5021367,'1',208,'N'),(20,5021367,'1A',238,'N'),(20,5021375,'1',103,'N'),(20,5021383,'1',103,'N'),(20,5021391,'1',5,'N'),(20,5021405,'1',211,'N'),(20,5021405,'1A',215,'N'),(20,5021421,'1',103,'N'),(20,5021430,'1',319,'N'),(20,5021448,'1',203,'N'),(20,5021448,'1A',233,'N'),(20,5021456,'1',203,'N'),(20,5021456,'1A',211,'N'),(20,5021464,'1',404,'N'),(20,5021472,'1',223,'N'),(20,5021480,'1',208,'N'),(20,5021480,'1A',238,'N'),(20,5021499,'1',428,'N'),(20,5021502,'1',3,'N'),(20,5021510,'1',203,'N'),(20,5021510,'1A',235,'N'),(20,5021529,'1',415,'N'),(20,5021537,'1',340,'N'),(20,5021545,'1',333,'N'),(20,5021588,'1',102,'N'),(20,5021618,'1',424,'N'),(20,5021618,'1A',423,'N'),(20,5021634,'1',429,'N'),(20,5021634,'1A',425,'N'),(20,5021669,'1',103,'N'),(20,5021685,'1',238,'N'),(20,5021685,'1A',201,'N'),(20,5021693,'1',207,'N'),(20,5021693,'1A',201,'N'),(20,5021707,'1',101,'N'),(20,5021731,'1',214,'N'),(20,5021731,'1A',213,'N'),(20,5021740,'1',103,'N'),(20,5021758,'1',212,'N'),(20,5021758,'1A',201,'N'),(20,5021766,'1',5,'N'),(20,5021782,'1',207,'N'),(20,5021782,'1A',201,'N'),(20,5021790,'1',302,'N'),(20,5021804,'1',103,'N'),(20,5021820,'1',103,'N'),(20,5021839,'1',103,'N'),(20,5021847,'1',103,'N'),(20,5021855,'1',104,'N'),(20,5021863,'1',340,'N'),(20,5021871,'1',216,'N'),(20,5021871,'1A',215,'N'),(20,5021898,'1',501,'N'),(20,5021901,'1',207,'N'),(20,5021901,'1A',201,'N'),(20,5021910,'1',340,'N'),(20,5021928,'1',238,'N'),(20,5021928,'1A',233,'N'),(20,5021944,'1',9,'N'),(20,5021952,'1',303,'N'),(20,5021960,'1',331,'N'),(20,5021987,'1',207,'N'),(20,5021987,'1A',211,'N'),(20,5021995,'1',104,'N'),(20,5022002,'1',214,'N'),(20,5022002,'1A',208,'N'),(20,5022037,'1',102,'N'),(20,5022053,'1',220,'N'),(20,5022053,'1A',202,'N'),(20,5022070,'1',303,'N'),(20,5022088,'1',223,'N'),(20,5022096,'1',5,'N'),(20,5022100,'1',415,'N'),(20,5022118,'1',103,'N'),(20,5022126,'1',215,'N'),(20,5022126,'1A',207,'N'),(20,5022134,'1',103,'N'),(20,5022142,'1',103,'N'),(20,5022150,'1',207,'N'),(20,5022150,'1A',201,'N'),(20,5022169,'1',502,'N'),(20,5022177,'1',319,'N'),(20,5022185,'1',5,'N'),(20,5022193,'1',327,'N'),(20,5022258,'1',5,'N'),(20,5022266,'1',450,'N'),(20,5022274,'1',212,'N'),(20,5022274,'1A',215,'N'),(20,5022282,'1',208,'N'),(20,5022282,'1A',207,'N'),(20,5022304,'1',340,'N'),(20,5022312,'1',303,'N'),(20,5022320,'1',324,'N'),(20,5022347,'1',301,'N'),(20,5022355,'1',5,'N'),(20,5022371,'1',201,'N'),(20,5022371,'1A',211,'N'),(20,5022380,'1',202,'N'),(20,5022380,'1A',215,'N'),(20,5022401,'1',102,'N'),(20,5022428,'1',102,'N'),(20,5022436,'1',450,'N'),(20,5022444,'1',104,'N'),(20,5022479,'1',108,'N'),(20,5022487,'1',404,'N'),(20,5022495,'1',303,'N'),(20,5022509,'1',238,'N'),(20,5022509,'1A',208,'N'),(20,5022517,'1',103,'N'),(20,5022533,'1',203,'N'),(20,5022533,'1A',214,'N'),(20,5022541,'1',310,'N'),(20,5022568,'1',212,'N'),(20,5022568,'1A',215,'N'),(20,5022576,'1',103,'N'),(20,5022606,'1',104,'N'),(20,5022614,'1',329,'N'),(20,5022622,'1',5,'N'),(20,5022630,'1',103,'N'),(20,5022657,'1',452,'N'),(20,5022665,'1',415,'N'),(20,5022673,'1',103,'N'),(20,5022681,'1',108,'N'),(20,5022703,'1',103,'N'),(20,5022711,'1',103,'N'),(20,5022738,'1',319,'N'),(20,5022746,'1',340,'N'),(20,5022754,'1',302,'N'),(20,5022789,'1',207,'N'),(20,5022789,'1A',216,'N'),(20,5022797,'1',451,'N'),(20,5022800,'1',103,'N'),(20,5022819,'1',101,'N'),(20,5022827,'1',102,'N'),(20,5022843,'1',420,'N'),(20,5022851,'1',317,'N'),(20,5022860,'1',501,'N'),(20,5022878,'1',216,'N'),(20,5022878,'1A',215,'N'),(20,5022886,'1',103,'N'),(20,5022894,'1',332,'N'),(20,5022908,'1',201,'N'),(20,5022908,'1A',207,'N'),(20,5022916,'1',5,'N'),(20,5022932,'1',333,'N'),(20,5022959,'1',103,'N'),(20,5022975,'1',207,'N'),(20,5022975,'1A',212,'N'),(20,5022983,'1',9,'N'),(20,5022991,'1',340,'N'),(20,5023009,'1',103,'N'),(20,5023017,'1',304,'N'),(20,5023033,'1',426,'N'),(20,5023033,'1A',429,'N'),(20,5023041,'1',5,'N'),(20,5023068,'1',207,'N'),(20,5023076,'1',415,'N'),(20,5023084,'1',420,'N'),(20,5023092,'1',103,'N'),(20,5023106,'1',319,'N'),(20,5023114,'1',601,'N'),(20,5023114,'1A',201,'N'),(20,5023122,'1',207,'N'),(20,5023122,'1A',201,'N'),(20,5023130,'1',212,'N'),(20,5023130,'1A',213,'N'),(20,5023149,'1',201,'N'),(20,5023149,'1A',207,'N'),(20,5023157,'1',103,'N'),(20,5023165,'1',304,'N'),(20,5023173,'1',101,'N'),(20,5023181,'1',238,'N'),(20,5023181,'1A',208,'N'),(20,5023211,'1',5,'N'),(20,5023220,'1',235,'N'),(20,5023220,'1A',202,'N'),(20,5023238,'1',303,'N'),(20,5023246,'1',207,'N'),(20,5023246,'1A',211,'N'),(20,5023254,'1',652,'N'),(20,5023262,'1',216,'N'),(20,5023262,'1A',215,'N'),(20,5023270,'1',103,'N'),(20,5023289,'1',103,'N'),(20,5023297,'1',202,'N'),(20,5023297,'1A',201,'N'),(20,5023319,'1',208,'N'),(20,5023319,'1A',238,'N'),(20,5023327,'1',303,'N'),(20,5023335,'1',103,'N'),(20,5023343,'1',238,'N'),(20,5023343,'1A',208,'N'),(20,5023351,'1',3,'N'),(20,5023360,'1',415,'N'),(20,5023378,'1',201,'N'),(20,5023378,'1A',202,'N'),(20,5023386,'1',302,'N'),(20,5023394,'1',502,'N'),(20,5023408,'1',203,'N'),(20,5023408,'1A',212,'N'),(20,5023416,'1',208,'N'),(20,5023416,'1A',238,'N'),(20,5023424,'1',317,'N'),(20,5023432,'1',103,'N'),(20,5023440,'1',103,'N'),(20,5023459,'1',317,'N'),(20,5023467,'1',340,'N'),(20,5023475,'1',220,'N'),(20,5023475,'1A',203,'N'),(20,5023491,'1',444,'N'),(20,5023505,'1',103,'N'),(20,5023513,'1',215,'N'),(20,5023513,'1A',233,'N'),(20,5023521,'1',103,'N'),(20,5023530,'1',104,'N'),(20,5023548,'1',215,'N'),(20,5023548,'1A',216,'N'),(20,5023556,'1',202,'N'),(20,5023556,'1A',213,'N'),(20,5023564,'1',203,'N'),(20,5023564,'1A',214,'N'),(20,5023572,'1',301,'N'),(20,5023580,'1',222,'N'),(20,5023599,'1',301,'N'),(20,5023602,'1',302,'N'),(20,5023610,'1',9,'N'),(20,5023637,'1',103,'N'),(20,5023645,'1',339,'N'),(20,5023661,'1',233,'N'),(20,5023661,'1A',211,'N'),(20,5023670,'1',103,'N'),(20,5023696,'1',104,'N'),(20,5023700,'1',601,'N'),(20,5023700,'1A',202,'N'),(20,5023718,'1',101,'N'),(20,5023726,'1',108,'N'),(20,5023742,'1',103,'N'),(20,5023750,'1',211,'N'),(20,5023750,'1A',216,'N'),(20,5023769,'1',319,'N'),(20,5023777,'1',317,'N'),(20,5023785,'1',216,'N'),(20,5023785,'1A',207,'N'),(20,5023793,'1',201,'N'),(20,5023793,'1A',202,'N'),(20,5023807,'1',201,'N'),(20,5023807,'1A',202,'N'),(20,5023823,'1',317,'N'),(20,5023866,'1',103,'N'),(20,5023882,'1',601,'N'),(20,5023882,'1A',207,'N'),(20,5023890,'1',108,'N'),(20,5023904,'1',303,'N'),(20,5023920,'1',103,'N'),(20,5023963,'1',103,'N'),(20,5023971,'1',340,'N'),(20,5023980,'1',453,'N'),(20,5023998,'1',103,'N'),(20,5024005,'1',216,'N'),(20,5024013,'1',216,'N'),(20,5024013,'1A',233,'N'),(20,5024021,'1',216,'N'),(20,5024021,'1A',203,'N'),(20,5024030,'1',207,'N'),(20,5024048,'1',319,'N'),(20,5024056,'1',501,'N'),(20,5024080,'1',303,'N'),(20,5024099,'1',653,'N'),(20,5024099,'1A',652,'N'),(20,5024102,'1',203,'N'),(20,5024102,'1A',214,'N'),(20,5024110,'1',429,'N'),(20,5024110,'1A',425,'N'),(20,5024129,'1',103,'N'),(20,5024137,'1',201,'N'),(20,5024137,'1A',203,'N'),(20,5024153,'1',332,'N'),(20,5024161,'1',201,'N'),(20,5024161,'1A',211,'N'),(20,5024170,'1',333,'N'),(20,5024196,'1',203,'N'),(20,5024196,'1A',214,'N'),(20,5024218,'1',319,'N'),(20,5024226,'1',502,'N'),(20,5024234,'1',415,'N'),(20,5024242,'1',216,'N'),(20,5024242,'1A',203,'N'),(20,5024250,'1',319,'N'),(20,5024269,'1',5,'N'),(20,5024277,'1',213,'N'),(20,5024277,'1A',238,'N'),(20,5024285,'1',444,'N'),(20,5024293,'1',201,'N'),(20,5024293,'1A',214,'N'),(20,5024307,'1',103,'N'),(20,5024315,'1',103,'N'),(20,5024323,'1',303,'N'),(20,5024331,'1',220,'N'),(20,5024331,'1A',213,'N'),(20,5024340,'1',316,'N'),(20,5024358,'1',103,'N'),(20,5024366,'1',450,'N'),(20,5024404,'1',103,'N'),(20,5024412,'1',415,'N'),(20,5024420,'1',201,'N'),(20,5024420,'1A',208,'N'),(20,5024439,'1',103,'N'),(20,5024447,'1',211,'N'),(20,5024455,'1',318,'N'),(20,5024463,'1',415,'N'),(20,5024471,'1',103,'N'),(20,5024480,'1',303,'N'),(20,5024498,'1',216,'N'),(20,5024498,'1A',203,'N'),(20,5024501,'1',101,'N'),(20,5024510,'1',224,'N'),(20,5024528,'1',203,'N'),(20,5024528,'1A',202,'N'),(20,5024536,'1',233,'N'),(20,5024536,'1A',601,'N'),(20,5024544,'1',301,'N'),(20,5024552,'1',303,'N'),(20,5024560,'1',308,'N'),(20,5024579,'1',3,'N'),(20,5024587,'1',104,'N'),(20,5024595,'1',319,'N'),(20,5024609,'1',303,'N'),(20,5024625,'1',103,'N'),(20,5024641,'1',203,'N'),(20,5024641,'1A',202,'N'),(20,5024650,'1',103,'N'),(20,5024668,'1',333,'N'),(20,5024676,'1',212,'N'),(20,5024676,'1A',201,'N'),(20,5024684,'1',317,'N'),(20,5024692,'1',203,'N'),(20,5024692,'1A',213,'N'),(20,5024706,'1',103,'N'),(20,5024714,'1',103,'N'),(20,5024722,'1',415,'N'),(20,5024749,'1',5,'N'),(20,5024757,'1',202,'N'),(20,5024757,'1A',203,'N'),(20,5024765,'1',238,'N'),(20,5024765,'1A',208,'N'),(20,5024773,'1',201,'N'),(20,5024781,'1',103,'N'),(20,5024811,'1',104,'N'),(20,5024820,'1',103,'N'),(20,5024838,'1',103,'N'),(20,5024846,'1',501,'N'),(20,5024854,'1',319,'N'),(20,5024862,'1',103,'N'),(20,5024870,'1',502,'N'),(20,5024889,'1',103,'N'),(20,5024897,'1',104,'N'),(20,5024900,'1',303,'N'),(20,5024919,'1',303,'N'),(20,5024927,'1',211,'N'),(20,5024927,'1A',653,'N'),(20,5024935,'1',601,'N'),(20,5024935,'1A',213,'N'),(20,5024951,'1',303,'N'),(20,5024960,'1',103,'N'),(20,5024978,'1',501,'N'),(20,5024994,'1',601,'N'),(20,5024994,'1A',201,'N'),(20,5025001,'1',303,'N'),(20,5025010,'1',207,'N'),(20,5025010,'1A',201,'N'),(20,5025028,'1',103,'N'),(20,5025036,'1',216,'N'),(20,5025036,'1A',201,'N'),(20,5025044,'1',601,'N'),(20,5025044,'1A',213,'N'),(20,5025052,'1',5,'N'),(20,5025079,'1',103,'N'),(20,5025087,'1',303,'N'),(20,5025109,'1',207,'N'),(20,5025109,'1A',201,'N'),(20,5025117,'1',102,'N'),(20,5025133,'1',201,'N'),(20,5025133,'1A',212,'N'),(20,5025141,'1',103,'N'),(20,5025168,'1',103,'N'),(20,5025176,'1',103,'N'),(20,5025184,'1',420,'N'),(20,5025192,'1',108,'N'),(20,5025206,'1',201,'N'),(20,5025206,'1A',212,'N'),(20,5025214,'1',103,'N'),(20,5025222,'1',301,'N'),(20,5025230,'1',208,'N'),(20,5025230,'1A',214,'N'),(20,5025249,'1',303,'N'),(20,5025257,'1',303,'N'),(20,5025265,'1',303,'N'),(20,5025273,'1',653,'N'),(20,5025290,'1',103,'N'),(20,5025311,'1',316,'N'),(20,5025320,'1',202,'N'),(20,5025320,'1A',201,'N'),(20,5025346,'1',222,'N'),(20,5025354,'1',104,'N'),(20,5025362,'1',108,'N'),(20,5025397,'1',201,'N'),(20,5025397,'1A',212,'N'),(20,5025400,'1',103,'N'),(20,5025419,'1',103,'N'),(20,5025427,'1',201,'N'),(20,5025427,'1A',215,'N'),(20,5025435,'1',211,'N'),(20,5025443,'1',215,'N'),(20,5025443,'1A',211,'N'),(20,5025451,'1',308,'N'),(20,5025460,'1',103,'N'),(20,5025478,'1',316,'N'),(20,5025486,'1',202,'N'),(20,5025486,'1A',214,'N'),(20,5025494,'1',201,'N'),(20,5025494,'1A',207,'N'),(20,5025508,'1',303,'N'),(20,5025516,'1',103,'N'),(20,5025524,'1',317,'N'),(20,5025532,'1',103,'N'),(20,5025559,'1',203,'N'),(20,5025559,'1A',220,'N'),(20,5025567,'1',103,'N'),(20,5025575,'1',3,'N'),(20,5025583,'1',450,'N'),(20,5025591,'1',427,'N'),(20,5025591,'1A',421,'N'),(20,5025621,'1',203,'N'),(20,5025621,'1A',202,'N'),(20,5025630,'1',201,'N'),(20,5025630,'1A',212,'N'),(20,5025648,'1',203,'N'),(20,5025648,'1A',216,'N'),(20,5025656,'1',601,'N'),(20,5025656,'1A',203,'N'),(20,5025664,'1',203,'N'),(20,5025664,'1A',214,'N'),(20,5025672,'1',103,'N'),(20,5025699,'1',340,'N'),(20,5025702,'1',208,'N'),(20,5025702,'1A',238,'N'),(20,5025710,'1',201,'N'),(20,5025710,'1A',212,'N'),(20,5025745,'1',216,'N'),(20,5025745,'1A',208,'N'),(20,5025753,'1',320,'N'),(20,5025761,'1',303,'N'),(20,5025770,'1',233,'N'),(20,5025770,'1A',601,'N'),(20,5025788,'1',601,'N'),(20,5025788,'1A',214,'N'),(20,5025796,'1',215,'N'),(20,5025796,'1A',216,'N'),(20,5025800,'1',103,'N'),(20,5025818,'1',303,'N'),(20,5025826,'1',103,'N'),(20,5025834,'1',103,'N'),(20,5025850,'1',340,'N'),(20,5025869,'1',303,'N'),(20,5025885,'1',415,'N'),(20,5025893,'1',207,'N'),(20,5025907,'1',415,'N'),(20,5025915,'1',103,'N'),(20,5025931,'1',103,'N'),(20,5025940,'1',103,'N'),(20,5025966,'1',103,'N'),(20,5025974,'1',303,'N'),(20,5025982,'1',450,'N'),(20,5025990,'1',420,'N'),(20,5026008,'1',303,'N'),(20,5026016,'1',101,'N'),(20,5026024,'1',234,'N'),(20,5026032,'1',103,'N'),(20,5026040,'1',233,'N'),(20,5026040,'1A',235,'N'),(20,5026059,'1',444,'N'),(20,5026067,'1',301,'N'),(20,5026075,'1',331,'N'),(20,5026083,'1',601,'N'),(20,5026083,'1A',202,'N'),(20,5026091,'1',601,'N'),(20,5026113,'1',108,'N'),(20,5026121,'1',319,'N'),(20,5026130,'1',103,'N'),(20,5026148,'1',452,'N'),(20,5026164,'1',332,'N'),(20,5026172,'1',103,'N'),(20,5026180,'1',9,'N'),(20,5026202,'1',216,'N'),(20,5026202,'1A',215,'N'),(20,5026229,'1',104,'N'),(20,5026237,'1',103,'N'),(20,5026245,'1',104,'N'),(20,5026253,'1',103,'N'),(20,5026261,'1',203,'N'),(20,5026261,'1A',207,'N'),(20,5026288,'1',103,'N'),(20,5026296,'1',216,'N'),(20,5026296,'1A',651,'N'),(20,5026318,'1',104,'N'),(20,5026326,'1',103,'N'),(20,5026342,'1',203,'N'),(20,5026342,'1A',202,'N'),(20,5026350,'1',452,'N'),(20,5026369,'1',201,'N'),(20,5026369,'1A',207,'N'),(20,5026377,'1',215,'N'),(20,5026377,'1A',233,'N'),(20,5026393,'1',203,'N'),(20,5026393,'1A',202,'N'),(20,5026407,'1',303,'N'),(20,5026415,'1',211,'N'),(20,5026415,'1A',233,'N'),(20,5026423,'1',319,'N'),(20,5026431,'1',319,'N'),(20,5026474,'1',103,'N'),(20,5026482,'1',103,'N'),(20,5026490,'1',5,'N'),(20,5026504,'1',214,'N'),(20,5026504,'1A',213,'N'),(20,5026512,'1',319,'N'),(20,5026520,'1',333,'N'),(20,5026539,'1',324,'N'),(20,5026547,'1',238,'N'),(20,5026547,'1A',208,'N'),(20,5026555,'1',601,'N'),(20,5026563,'1',5,'N'),(20,5026571,'1',102,'N'),(20,5026598,'1',444,'N'),(20,5026601,'1',103,'N'),(20,5026610,'1',415,'N'),(20,5026636,'1',103,'N'),(20,5026644,'1',103,'N'),(20,5026652,'1',211,'N'),(20,5026652,'1A',216,'N'),(20,5026660,'1',319,'N'),(20,5026679,'1',421,'N'),(20,5026687,'1',102,'N'),(20,5026695,'1',223,'N'),(20,5026709,'1',222,'N'),(20,5026717,'1',216,'N'),(20,5026717,'1A',653,'N'),(20,5026733,'1',319,'N'),(20,5026750,'1',327,'N'),(20,5026768,'1',211,'N'),(20,5026768,'1A',653,'N'),(20,5026776,'1',303,'N'),(20,5026784,'1',415,'N'),(20,5026792,'1',340,'N'),(20,5026806,'1',216,'N'),(20,5026806,'1A',211,'N'),(20,5026814,'1',327,'N'),(20,5026849,'1',103,'N'),(20,5026857,'1',333,'N'),(20,5026865,'1',333,'N'),(20,5026873,'1',319,'N'),(20,5026881,'1',207,'N'),(20,5026890,'1',303,'N'),(20,5026911,'1',317,'N'),(20,5026920,'1',216,'N'),(20,5026920,'1A',215,'N'),(20,5026938,'1',201,'N'),(20,5026938,'1A',212,'N'),(20,5026946,'1',308,'N'),(20,5026954,'1',203,'N'),(20,5026954,'1A',201,'N'),(20,5026962,'1',427,'N'),(20,5026970,'1',102,'N'),(20,5026989,'1',103,'N'),(20,5026997,'1',5,'N'),(20,5027004,'1',108,'N'),(20,5027012,'1',425,'N'),(20,5027012,'1A',426,'N'),(20,5027020,'1',303,'N'),(20,5027039,'1',9,'N'),(20,5027047,'1',207,'N'),(20,5027047,'1A',201,'N'),(20,5027055,'1',201,'N'),(20,5027055,'1A',207,'N'),(20,5027063,'1',450,'N'),(20,5027071,'1',421,'N'),(20,5027071,'1A',428,'N'),(20,5027080,'1',340,'N'),(20,5027098,'1',333,'N'),(20,5027101,'1',452,'N'),(20,5027136,'1',319,'N'),(20,5027144,'1',214,'N'),(20,5027144,'1A',233,'N'),(20,5027152,'1',317,'N'),(20,5027160,'1',303,'N'),(20,5027179,'1',336,'N'),(20,5027187,'1',238,'N'),(20,5027187,'1A',216,'N'),(20,5027195,'1',207,'N'),(20,5027217,'1',216,'N'),(20,5027217,'1A',211,'N'),(20,5027225,'1',318,'N'),(20,5027241,'1',103,'N'),(20,5027250,'1',415,'N'),(20,5027276,'1',207,'N'),(20,5027276,'1A',208,'N'),(20,5027292,'1',103,'N'),(20,5027306,'1',328,'N'),(20,5027314,'1',201,'N'),(20,5027322,'1',203,'N'),(20,5027322,'1A',212,'N'),(20,5027330,'1',216,'N'),(20,5027330,'1A',201,'N'),(20,5027349,'1',316,'N'),(20,5027357,'1',103,'N'),(20,5027373,'1',103,'N'),(20,5027381,'1',103,'N'),(20,5027390,'1',338,'N'),(20,5027403,'1',103,'N'),(20,5027411,'1',103,'N'),(20,5027420,'1',5,'N'),(20,5027438,'1',103,'N'),(20,5027462,'1',103,'N'),(20,5027470,'1',653,'N'),(20,5027470,'1A',652,'N'),(20,5027489,'1',5,'N'),(20,5027497,'1',216,'N'),(20,5027497,'1A',233,'N'),(20,5027519,'1',213,'N'),(20,5027519,'1A',601,'N'),(20,5027535,'1',301,'N'),(20,5027543,'1',601,'N'),(20,5027543,'1A',203,'N'),(20,5027551,'1',310,'N'),(20,5027560,'1',303,'N'),(20,5027578,'1',103,'N'),(20,5027586,'1',208,'N'),(20,5027586,'1A',235,'N'),(20,5027594,'1',9,'N'),(20,5027616,'1',303,'N'),(20,5027632,'1',453,'N'),(20,5027640,'1',340,'N'),(20,5027659,'1',103,'N'),(20,5027667,'1',108,'N'),(20,5027675,'1',425,'N'),(20,5027683,'1',2,'N'),(20,5027691,'1',220,'N'),(20,5027691,'1A',214,'N'),(20,5027705,'1',326,'N'),(20,5027721,'1',104,'N'),(20,5027730,'1',5,'N'),(20,5027748,'1',502,'N'),(20,5027756,'1',220,'N'),(20,5027756,'1A',203,'N'),(20,5027764,'1',208,'N'),(20,5027764,'1A',238,'N'),(20,5027780,'1',203,'N'),(20,5027780,'1A',214,'N'),(20,5027810,'1',207,'N'),(20,5027829,'1',319,'N'),(20,5027837,'1',202,'N'),(20,5027837,'1A',213,'N'),(20,5027845,'1',319,'N'),(20,5027870,'1',103,'N'),(20,5027888,'1',340,'N'),(20,5027896,'1',310,'N'),(20,5027926,'1',104,'N'),(20,5027942,'1',452,'N'),(20,5027950,'1',103,'N'),(20,5027969,'1',108,'N'),(20,5027977,'1',102,'N'),(20,5027985,'1',316,'N'),(20,5028019,'1',201,'N'),(20,5028019,'1A',233,'N'),(20,5028043,'1',318,'N'),(20,5028051,'1',211,'N'),(20,5028086,'1',102,'N'),(20,5028094,'1',316,'N'),(20,5028108,'1',202,'N'),(20,5028108,'1A',235,'N'),(20,5028116,'1',9,'N'),(20,5028132,'1',453,'N'),(20,5028140,'1',104,'N'),(20,5028159,'1',333,'N'),(20,5028167,'1',103,'N'),(20,5028175,'1',103,'N'),(20,5028191,'1',340,'N'),(20,5028205,'1',208,'N'),(20,5028205,'1A',235,'N'),(20,5028213,'1',415,'N'),(20,5028221,'1',203,'N'),(20,5028221,'1A',214,'N'),(20,5028248,'1',103,'N'),(20,5028264,'1',103,'N'),(20,5028280,'1',9,'N'),(20,5028299,'1',213,'N'),(20,5028299,'1A',215,'N'),(20,5028302,'1',220,'N'),(20,5028302,'1A',601,'N'),(20,5028310,'1',303,'N'),(20,5028329,'1',216,'N'),(20,5028329,'1A',201,'N'),(20,5028337,'1',103,'N'),(20,5028353,'1',5,'N'),(20,5028361,'1',303,'N'),(20,5028370,'1',238,'N'),(20,5028370,'1A',233,'N'),(20,5028396,'1',238,'N'),(20,5028396,'1A',211,'N'),(20,5028418,'1',103,'N'),(20,5028426,'1',340,'N'),(20,5028434,'1',404,'N'),(20,5028442,'1',103,'N'),(20,5028450,'1',103,'N'),(20,5028469,'1',103,'N'),(20,5028477,'1',102,'N'),(20,5028485,'1',103,'N'),(20,5028493,'1',211,'N'),(20,5028493,'1A',233,'N'),(20,5028507,'1',202,'N'),(20,5028507,'1A',653,'N'),(20,5028515,'1',404,'N'),(20,5028523,'1',5,'N'),(20,5028531,'1',5,'N'),(20,5028540,'1',303,'N'),(20,5028558,'1',203,'N'),(20,5028558,'1A',220,'N'),(20,5028566,'1',103,'N'),(20,5028574,'1',601,'N'),(20,5028574,'1A',203,'N'),(20,5028582,'1',303,'N'),(20,5028604,'1',303,'N'),(20,5028620,'1',213,'N'),(20,5028620,'1A',216,'N'),(20,5028639,'1',319,'N'),(20,5028647,'1',203,'N'),(20,5028647,'1A',201,'N'),(20,5028655,'1',220,'N'),(20,5028655,'1A',203,'N'),(20,5028671,'1',207,'N'),(20,5028671,'1A',233,'N'),(20,5028680,'1',103,'N'),(20,5028710,'1',207,'N'),(20,5028710,'1A',211,'N'),(20,5028728,'1',102,'N'),(20,5028736,'1',103,'N'),(20,5028744,'1',103,'N'),(20,5028752,'1',415,'N'),(20,5028760,'1',303,'N'),(20,5028779,'1',301,'N'),(20,5028787,'1',103,'N'),(20,5028795,'1',319,'N'),(20,5028809,'1',208,'N'),(20,5028809,'1A',235,'N'),(20,5028817,'1',309,'N'),(20,5028825,'1',212,'N'),(20,5028825,'1A',201,'N'),(20,5028833,'1',320,'N'),(20,5028841,'1',339,'N'),(20,5028850,'1',332,'N'),(20,5028868,'1',415,'N'),(20,5028876,'1',319,'N'),(20,5028892,'1',207,'N'),(20,5028906,'1',207,'N'),(20,5028906,'1A',201,'N'),(20,5028922,'1',207,'N'),(20,5028922,'1A',215,'N'),(20,5028930,'1',451,'N'),(20,5028949,'1',319,'N'),(20,5028957,'1',238,'N'),(20,5028957,'1A',220,'N'),(20,5028965,'1',103,'N'),(20,5028973,'1',103,'N'),(20,5028981,'1',103,'N'),(20,5028990,'1',104,'N'),(20,5029007,'1',203,'N'),(20,5029007,'1A',214,'N'),(20,5029015,'1',201,'N'),(20,5029023,'1',207,'N'),(20,5029031,'1',103,'N'),(20,5029040,'1',103,'N'),(20,5029058,'1',5,'N'),(20,5029066,'1',103,'N'),(20,5029082,'1',207,'N'),(20,5029082,'1A',216,'N'),(20,5029090,'1',103,'N'),(20,5029104,'1',3,'N'),(20,5029112,'1',340,'N'),(20,5029120,'1',103,'N'),(20,5029139,'1',103,'N'),(20,5029147,'1',316,'N'),(20,5029155,'1',103,'N'),(20,5029163,'1',5,'N'),(20,5029171,'1',453,'N'),(20,5029198,'1',207,'N'),(20,5029201,'1',211,'N'),(20,5029201,'1A',215,'N'),(20,5029210,'1',220,'N'),(20,5029210,'1A',235,'N'),(20,5029236,'1',104,'N'),(20,5029244,'1',335,'N'),(20,5029260,'1',303,'N'),(20,5029279,'1',316,'N'),(20,5029287,'1',103,'N'),(20,5029309,'1',201,'N'),(20,5029309,'1A',233,'N'),(20,5029317,'1',319,'N'),(20,5029325,'1',501,'N'),(20,5029333,'1',340,'N'),(20,5029341,'1',5,'N'),(20,5029350,'1',415,'N'),(20,5029368,'1',103,'N'),(20,5029376,'1',103,'N'),(20,5029384,'1',203,'N'),(20,5029384,'1A',214,'N'),(20,5029392,'1',425,'N'),(20,5029406,'1',333,'N'),(20,5029414,'1',214,'N'),(20,5029414,'1A',203,'N'),(20,5029422,'1',102,'N'),(20,5029430,'1',103,'N'),(20,5029449,'1',2,'N'),(20,5029457,'1',5,'N'),(20,5029465,'1',103,'N'),(20,5029473,'1',450,'N'),(20,5029481,'1',233,'N'),(20,5029481,'1A',214,'N'),(20,5029490,'1',319,'N'),(20,5029503,'1',207,'N'),(20,5029503,'1A',208,'N'),(20,5029511,'1',201,'N'),(20,5029511,'1A',233,'N'),(20,5029520,'1',103,'N'),(20,5029554,'1',104,'N'),(20,5029562,'1',211,'N'),(20,5029562,'1A',216,'N'),(20,5029570,'1',319,'N'),(20,5029589,'1',215,'N'),(20,5029589,'1A',653,'N'),(20,5029597,'1',444,'N'),(20,5029600,'1',103,'N'),(20,5029627,'1',9,'N'),(20,5029635,'1',301,'N'),(20,5029643,'1',340,'N'),(20,5029651,'1',501,'N'),(20,5029660,'1',103,'N'),(20,5029686,'1',207,'N'),(20,5029686,'1A',202,'N'),(20,5029694,'1',201,'N'),(20,5029694,'1A',207,'N'),(20,5029708,'1',103,'N'),(20,5029724,'1',104,'N'),(20,5029732,'1',316,'N'),(20,5029740,'1',103,'N'),(20,5029759,'1',103,'N'),(20,5029767,'1',652,'N'),(20,5029767,'1A',653,'N'),(20,5029783,'1',103,'N'),(20,5029805,'1',216,'N'),(20,5029805,'1A',233,'N'),(20,5029813,'1',103,'N'),(20,5029821,'1',103,'N'),(20,5029830,'1',103,'N'),(20,5029848,'1',319,'N'),(20,5029872,'1',103,'N'),(20,5029880,'1',104,'N'),(20,5029899,'1',201,'N'),(20,5029899,'1A',202,'N'),(20,5029902,'1',404,'N'),(20,5029910,'1',319,'N'),(20,5029929,'1',103,'N'),(20,5029937,'1',103,'N'),(20,5029945,'1',103,'N'),(20,5029953,'1',104,'N'),(20,5029961,'1',207,'N'),(20,5029961,'1A',211,'N'),(20,5029988,'1',110,'N'),(20,5029996,'1',104,'N'),(20,5030005,'1',453,'N'),(20,5030013,'1',233,'N'),(20,5030013,'1A',215,'N'),(20,5030021,'1',303,'N'),(20,5030030,'1',207,'N'),(20,5030030,'1A',216,'N'),(20,5030048,'1',303,'N'),(20,5030056,'1',103,'N'),(20,5030064,'1',103,'N'),(20,5030072,'1',202,'N'),(20,5030072,'1A',213,'N'),(20,5030080,'1',5,'N'),(20,5030102,'1',108,'N'),(20,5030110,'1',207,'N'),(20,5030110,'1A',201,'N'),(20,5030129,'1',103,'N'),(20,5030137,'1',101,'N'),(20,5030145,'1',103,'N'),(20,5030153,'1',103,'N'),(20,5030161,'1',103,'N'),(20,5030188,'1',103,'N'),(20,5030196,'1',452,'N'),(20,5030200,'1',5,'N'),(20,5030218,'1',601,'N'),(20,5030218,'1A',211,'N'),(20,5030226,'1',213,'N'),(20,5030226,'1A',212,'N'),(20,5030234,'1',452,'N'),(20,5030242,'1',211,'N'),(20,5030242,'1A',201,'N'),(20,5030250,'1',303,'N'),(20,5030269,'1',216,'N'),(20,5030277,'1',216,'N'),(20,5030277,'1A',233,'N'),(20,5030293,'1',103,'N'),(20,5030307,'1',303,'N'),(20,5030315,'1',2,'N'),(20,5030323,'1',404,'N'),(20,5030331,'1',211,'N'),(20,5030340,'1',207,'N'),(20,5030358,'1',103,'N'),(20,5030366,'1',9,'N'),(20,5030374,'1',103,'N'),(20,5030390,'1',103,'N'),(20,5030404,'1',303,'N'),(20,5030412,'1',216,'N'),(20,5030412,'1A',233,'N'),(20,5030420,'1',103,'N'),(20,5030439,'1',336,'N'),(20,5030447,'1',103,'N'),(20,5030455,'1',211,'N'),(20,5030463,'1',103,'N'),(20,5030471,'1',208,'N'),(20,5030471,'1A',201,'N'),(20,5030480,'1',201,'N'),(20,5030480,'1A',212,'N'),(20,5030498,'1',415,'N'),(20,5030510,'1',601,'N'),(20,5030510,'1A',207,'N'),(20,5030528,'1',450,'N'),(20,5030536,'1',502,'N'),(20,5030544,'1',207,'N'),(20,5030552,'1',453,'N'),(20,5030560,'1',103,'N'),(20,5030579,'1',333,'N'),(20,5030587,'1',201,'N'),(20,5030587,'1A',212,'N'),(20,5030595,'1',103,'N'),(20,5030617,'1',340,'N'),(20,5030625,'1',205,'N'),(20,5030633,'1',340,'N'),(20,5030641,'1',9,'N'),(20,5030650,'1',415,'N'),(20,5030668,'1',233,'N'),(20,5030668,'1A',215,'N'),(20,5030676,'1',453,'N'),(20,5030684,'1',103,'N'),(20,5030692,'1',207,'N'),(20,5030692,'1A',201,'N'),(20,5030714,'1',215,'N'),(20,5030722,'1',104,'N'),(20,5030749,'1',102,'N'),(20,5030757,'1',5,'N'),(20,5030765,'1',109,'N'),(20,5030773,'1',415,'N'),(20,5030781,'1',103,'N'),(20,5030790,'1',103,'N'),(20,5030803,'1',103,'N'),(20,5030811,'1',207,'N'),(20,5030811,'1A',201,'N'),(20,5030820,'1',303,'N'),(20,5030838,'1',340,'N'),(20,5030846,'1',103,'N'),(20,5030854,'1',102,'N'),(20,5030862,'1',103,'N'),(20,5030870,'1',103,'N'),(20,5030889,'1',216,'N'),(20,5030889,'1A',233,'N'),(20,5030897,'1',103,'N'),(20,5030900,'1',340,'N'),(20,5030927,'1',214,'N'),(20,5030927,'1A',216,'N'),(20,5030943,'1',5,'N'),(20,5030951,'1',201,'N'),(20,5030951,'1A',233,'N'),(20,5030978,'1',208,'N'),(20,5030978,'1A',238,'N'),(20,5030994,'1',9,'N'),(20,5031001,'1',201,'N'),(20,5031001,'1A',207,'N'),(20,5031010,'1',103,'N'),(20,5031028,'1',103,'N'),(20,5031036,'1',333,'N'),(20,5031044,'1',102,'N'),(20,5031052,'1',339,'N'),(20,5031060,'1',104,'N'),(20,5031095,'1',103,'N'),(20,5031109,'1',207,'N'),(20,5031109,'1A',201,'N'),(20,5031117,'1',108,'N'),(20,5031133,'1',302,'N'),(20,5031141,'1',5,'N'),(20,5031168,'1',653,'N'),(20,5031168,'1A',652,'N'),(20,5031176,'1',309,'N'),(20,5031184,'1',302,'N'),(20,5031192,'1',207,'N'),(20,5031192,'1A',201,'N'),(20,5031206,'1',601,'N'),(20,5031206,'1A',207,'N'),(20,5031214,'1',103,'N'),(20,5031230,'1',216,'N'),(20,5031230,'1A',203,'N'),(20,5031249,'1',316,'N'),(20,5031257,'1',308,'N'),(20,5031265,'1',103,'N'),(20,5031273,'1',303,'N'),(20,5031281,'1',238,'N'),(20,5031290,'1',452,'N'),(20,5031303,'1',331,'N'),(20,5031311,'1',201,'N'),(20,5031311,'1A',207,'N'),(20,5031338,'1',103,'N'),(20,5031346,'1',452,'N'),(20,5031354,'1',452,'N'),(20,5031370,'1',216,'N'),(20,5031370,'1A',207,'N'),(20,5031389,'1',207,'N'),(20,5031389,'1A',212,'N'),(20,5031397,'1',316,'N'),(20,5031400,'1',104,'N'),(20,5031419,'1',302,'N'),(20,5031435,'1',103,'N'),(20,5031451,'1',303,'N'),(20,5031460,'1',415,'N'),(20,5031478,'1',301,'N'),(20,5031486,'1',203,'N'),(20,5031486,'1A',214,'N'),(20,5031494,'1',216,'N'),(20,5031494,'1A',203,'N'),(20,5031516,'1',302,'N'),(20,5031524,'1',340,'N'),(20,5031532,'1',444,'N'),(20,5031540,'1',319,'N'),(20,5031559,'1',301,'N'),(20,5031567,'1',318,'N'),(20,5031575,'1',103,'N'),(20,5031583,'1',103,'N'),(20,5031591,'1',202,'N'),(20,5031591,'1A',220,'N'),(20,5031605,'1',216,'N'),(20,5031605,'1A',235,'N'),(20,5031613,'1',103,'N'),(20,5031630,'1',207,'N'),(20,5031630,'1A',215,'N'),(20,5031672,'1',9,'N'),(20,5031680,'1',102,'N'),(20,5031699,'1',102,'N'),(20,5031702,'1',303,'N'),(20,5031710,'1',103,'N'),(20,5031729,'1',103,'N'),(20,5031737,'1',103,'N'),(20,5031745,'1',340,'N'),(20,5031761,'1',103,'N'),(20,5031770,'1',104,'N'),(20,5031788,'1',324,'N'),(20,5031796,'1',207,'N'),(20,5031796,'1A',201,'N'),(20,5031800,'1',5,'N'),(20,5031826,'1',238,'N'),(20,5031826,'1A',208,'N'),(20,5031834,'1',103,'N'),(20,5031850,'1',211,'N'),(20,5031850,'1A',213,'N'),(20,5031869,'1',5,'N'),(20,5031877,'1',303,'N'),(20,5031885,'1',214,'N'),(20,5031885,'1A',601,'N'),(20,5031893,'1',201,'N'),(20,5031893,'1A',216,'N'),(20,5031907,'1',203,'N'),(20,5031907,'1A',214,'N'),(20,5031915,'1',103,'N'),(20,5031923,'1',318,'N'),(20,5031931,'1',103,'N'),(20,5031958,'1',201,'N'),(20,5031958,'1A',212,'N'),(20,5031966,'1',203,'N'),(20,5031966,'1A',220,'N'),(20,5031974,'1',103,'N'),(20,5031982,'1',5,'N'),(20,5031990,'1',601,'N'),(20,5031990,'1A',238,'N'),(20,5032008,'1',103,'N'),(20,5032016,'1',502,'N'),(20,5032024,'1',319,'N'),(20,5032040,'1',5,'N'),(20,5032067,'1',201,'N'),(20,5032067,'1A',212,'N'),(20,5032083,'1',108,'N'),(20,5032091,'1',203,'N'),(20,5032091,'1A',202,'N'),(20,5032105,'1',415,'N'),(20,5032113,'1',101,'N'),(20,5032121,'1',102,'N'),(20,5032130,'1',340,'N'),(20,5032148,'1',451,'N'),(20,5032156,'1',340,'N'),(20,5032164,'1',234,'N'),(20,5032172,'1',316,'N'),(20,5032199,'1',653,'N'),(20,5032199,'1A',652,'N'),(20,5032202,'1',108,'N'),(20,5032210,'1',103,'N'),(20,5032229,'1',201,'N'),(20,5032229,'1A',212,'N'),(20,5032237,'1',201,'N'),(20,5032237,'1A',212,'N'),(20,5032245,'1',319,'N'),(20,5032253,'1',103,'N'),(20,5032261,'1',301,'N'),(20,5032270,'1',104,'N'),(20,5032296,'1',303,'N'),(20,5032300,'1',304,'N'),(20,5032318,'1',202,'N'),(20,5032318,'1A',213,'N'),(20,5032326,'1',103,'N'),(20,5032334,'1',103,'N'),(20,5032342,'1',316,'N'),(20,5032350,'1',103,'N'),(20,5032369,'1',103,'N'),(20,5032377,'1',108,'N'),(20,5032385,'1',319,'N'),(20,5032393,'1',201,'N'),(20,5032393,'1A',653,'N'),(20,5032407,'1',102,'N'),(20,5032415,'1',415,'N'),(20,5032423,'1',214,'N'),(20,5032423,'1A',212,'N'),(20,5032440,'1',103,'N'),(20,5032458,'1',319,'N'),(20,5032466,'1',211,'N'),(20,5032466,'1A',203,'N'),(20,5032482,'1',216,'N'),(20,5032490,'1',102,'N'),(20,5032504,'1',103,'N'),(20,5032512,'1',103,'N'),(20,5032520,'1',310,'N'),(20,5032539,'1',103,'N'),(20,5032547,'1',203,'N'),(20,5032547,'1A',214,'N'),(20,5032571,'1',103,'N'),(20,5032580,'1',220,'N'),(20,5032580,'1A',203,'N'),(20,5032598,'1',103,'N'),(20,5032601,'1',302,'N'),(20,5032610,'1',103,'N'),(20,5032636,'1',103,'N'),(20,5032652,'1',215,'N'),(20,5032652,'1A',216,'N'),(20,5032679,'1',211,'N'),(20,5032679,'1A',601,'N'),(20,5032687,'1',208,'N'),(20,5032687,'1A',238,'N'),(20,5032695,'1',453,'N'),(20,5032709,'1',104,'N'),(20,5032725,'1',301,'N'),(20,5032733,'1',103,'N'),(20,5032741,'1',234,'N'),(20,5032750,'1',103,'N'),(20,5032768,'1',216,'N'),(20,5032768,'1A',215,'N'),(20,5032784,'1',303,'N'),(20,5032792,'1',201,'N'),(20,5032792,'1A',212,'N'),(20,5032806,'1',103,'N'),(20,5032814,'1',318,'N'),(20,5032822,'1',104,'N'),(20,5032830,'1',201,'N'),(20,5032830,'1A',233,'N'),(20,5032865,'1',108,'N'),(20,5032873,'1',211,'N'),(20,5032873,'1A',215,'N'),(20,5032881,'1',202,'N'),(20,5032881,'1A',238,'N'),(20,5032890,'1',103,'N'),(20,5032911,'1',103,'N'),(20,5032920,'1',203,'N'),(20,5032920,'1A',214,'N'),(20,5032938,'1',202,'N'),(20,5032938,'1A',203,'N'),(20,5032962,'1',104,'N'),(20,5032970,'1',336,'N'),(20,5032989,'1',203,'N'),(20,5032997,'1',238,'N'),(20,5033004,'1',201,'N'),(20,5033004,'1A',233,'N'),(20,5033012,'1',207,'N'),(20,5033012,'1A',201,'N'),(20,5033020,'1',333,'N'),(20,5033047,'1',203,'N'),(20,5033047,'1A',653,'N'),(20,5033055,'1',207,'N'),(20,5033055,'1A',233,'N'),(20,5033063,'1',337,'N'),(20,5033071,'1',303,'N'),(20,5033080,'1',234,'N'),(20,5033098,'1',103,'N'),(20,5033101,'1',308,'N'),(20,5033110,'1',103,'N'),(20,5033128,'1',103,'N'),(20,5033136,'1',340,'N'),(20,5033152,'1',202,'N'),(20,5033152,'1A',235,'N'),(20,5033160,'1',5,'N'),(20,5033179,'1',103,'N'),(20,5033187,'1',450,'N'),(20,5033195,'1',104,'N'),(20,5033209,'1',328,'N'),(20,5033225,'1',103,'N'),(20,5033233,'1',211,'N'),(20,5033233,'1A',213,'N'),(20,5033241,'1',450,'N'),(20,5033268,'1',203,'N'),(20,5033268,'1A',214,'N'),(20,5033284,'1',101,'N'),(20,5033292,'1',103,'N'),(20,5033314,'1',5,'N'),(20,5033322,'1',103,'N'),(20,5033330,'1',5,'N'),(20,5033349,'1',220,'N'),(20,5033349,'1A',202,'N'),(20,5033373,'1',302,'N'),(20,5033381,'1',453,'N'),(20,5033390,'1',203,'N'),(20,5033390,'1A',208,'N'),(20,5033403,'1',220,'N'),(20,5033403,'1A',214,'N'),(20,5033411,'1',653,'N'),(20,5033411,'1A',203,'N'),(20,5033420,'1',216,'N'),(20,5033420,'1A',201,'N'),(20,5033438,'1',216,'N'),(20,5033438,'1A',215,'N'),(20,5033446,'1',211,'N'),(20,5033446,'1A',215,'N'),(20,5033454,'1',220,'N'),(20,5033454,'1A',203,'N'),(20,5033462,'1',235,'N'),(20,5033462,'1A',202,'N'),(20,5033489,'1',502,'N'),(20,5033497,'1',319,'N'),(20,5033500,'1',211,'N'),(20,5033500,'1A',220,'N'),(20,5033519,'1',103,'N'),(20,5033527,'1',103,'N'),(20,5033535,'1',104,'N'),(20,5033543,'1',316,'N'),(20,5033551,'1',340,'N'),(20,5033560,'1',450,'N'),(20,5033578,'1',103,'N'),(20,5033586,'1',203,'N'),(20,5033586,'1A',201,'N'),(20,5033594,'1',103,'N'),(20,5033608,'1',103,'N'),(20,5033616,'1',216,'N'),(20,5033616,'1A',215,'N'),(20,5033624,'1',101,'N'),(20,5033640,'1',101,'N'),(20,5033659,'1',333,'N'),(20,5033667,'1',340,'N'),(20,5033683,'1',208,'N'),(20,5033683,'1A',235,'N'),(20,5033691,'1',444,'N'),(20,5033721,'1',601,'N'),(20,5033721,'1A',216,'N'),(20,5033730,'1',303,'N'),(20,5033748,'1',426,'N'),(20,5033748,'1A',423,'N'),(20,5033756,'1',238,'N'),(20,5033756,'1A',208,'N'),(20,5033764,'1',340,'N'),(20,5033780,'1',201,'N'),(20,5033780,'1A',203,'N'),(20,5033829,'1',450,'N'),(20,5033837,'1',326,'N'),(20,5033845,'1',5,'N'),(20,5033853,'1',308,'N'),(20,5033870,'1',339,'N'),(20,5033888,'1',427,'N'),(20,5033888,'1A',423,'N'),(20,5033896,'1',316,'N'),(20,5033900,'1',103,'N'),(20,5033918,'1',208,'N'),(20,5033918,'1A',238,'N'),(20,5033926,'1',103,'N'),(20,5033934,'1',207,'N'),(20,5033934,'1A',201,'N'),(20,5033942,'1',103,'N'),(20,5033950,'1',103,'N'),(20,5033977,'1',220,'N'),(20,5033977,'1A',211,'N'),(20,5033993,'1',212,'N'),(20,5033993,'1A',211,'N'),(20,5034019,'1',220,'N'),(20,5034019,'1A',203,'N'),(20,5034027,'1',103,'N'),(20,5034035,'1',5,'N'),(20,5034043,'1',316,'N'),(20,5034051,'1',103,'N'),(20,5034078,'1',303,'N'),(20,5034094,'1',203,'N'),(20,5034094,'1A',208,'N'),(20,5034116,'1',203,'N'),(20,5034116,'1A',653,'N'),(20,5034132,'1',103,'N'),(20,5034140,'1',203,'N'),(20,5034159,'1',326,'N'),(20,5034167,'1',319,'N'),(20,5034183,'1',319,'N'),(20,5034191,'1',233,'N'),(20,5034191,'1A',601,'N'),(20,5034205,'1',207,'N'),(20,5034205,'1A',215,'N'),(20,5034213,'1',316,'N'),(20,5034221,'1',101,'N'),(20,5034230,'1',216,'N'),(20,5034256,'1',214,'N'),(20,5034256,'1A',212,'N'),(20,5034264,'1',316,'N'),(20,5034272,'1',201,'N'),(20,5034299,'1',103,'N'),(20,5034302,'1',316,'N'),(20,5034310,'1',207,'N'),(20,5034310,'1A',201,'N'),(20,5034329,'1',453,'N'),(20,5034337,'1',109,'N'),(20,5034353,'1',103,'N'),(20,5034370,'1',317,'N'),(20,5034396,'1',415,'N'),(20,5034418,'1',208,'N'),(20,5034418,'1A',238,'N'),(20,5034426,'1',202,'N'),(20,5034426,'1A',201,'N'),(20,5034434,'1',216,'N'),(20,5034434,'1A',203,'N'),(20,5034442,'1',103,'N'),(20,5034469,'1',404,'N'),(20,5034477,'1',103,'N'),(20,5034493,'1',103,'N'),(20,5034507,'1',207,'N'),(20,5034515,'1',336,'N'),(20,5034523,'1',202,'N'),(20,5034523,'1A',213,'N'),(20,5034531,'1',653,'N'),(20,5034531,'1A',652,'N'),(20,5034540,'1',304,'N'),(20,5034558,'1',214,'N'),(20,5034558,'1A',212,'N'),(20,5034566,'1',5,'N'),(20,5034574,'1',317,'N'),(20,5034582,'1',5,'N'),(20,5034590,'1',103,'N'),(20,5034604,'1',216,'N'),(20,5034604,'1A',215,'N'),(20,5034612,'1',303,'N'),(20,5034620,'1',332,'N'),(20,5034639,'1',316,'N'),(20,5034647,'1',104,'N'),(20,5034663,'1',104,'N'),(20,5034671,'1',303,'N'),(20,5034680,'1',303,'N'),(20,5034710,'1',103,'N'),(20,5034728,'1',103,'N'),(20,5034736,'1',103,'N'),(20,5034744,'1',301,'N'),(20,5034752,'1',104,'N'),(20,5034779,'1',103,'N'),(20,5034795,'1',207,'N'),(20,5034809,'1',104,'N'),(20,5034817,'1',103,'N'),(20,5034825,'1',101,'N'),(20,5034833,'1',651,'N'),(20,5034833,'1A',208,'N'),(20,5034841,'1',238,'N'),(20,5034850,'1',207,'N'),(20,5034850,'1A',201,'N'),(20,5034868,'1',101,'N'),(20,5034884,'1',444,'N'),(20,5034906,'1',103,'N'),(20,5034922,'1',103,'N'),(20,5034930,'1',101,'N'),(20,5034957,'1',103,'N'),(20,5034965,'1',453,'N'),(20,5034973,'1',235,'N'),(20,5034973,'1A',201,'N'),(20,5034990,'1',317,'N'),(20,5035007,'1',203,'N'),(20,5035007,'1A',208,'N'),(20,5035015,'1',653,'N'),(20,5035015,'1A',202,'N'),(20,5035031,'1',415,'N'),(20,5035040,'1',101,'N'),(20,5035058,'1',301,'N'),(20,5035066,'1',208,'N'),(20,5035066,'1A',238,'N'),(20,5035090,'1',211,'N'),(20,5035090,'1A',601,'N'),(20,5035112,'1',317,'N'),(20,5035120,'1',212,'N'),(20,5035120,'1A',601,'N'),(20,5035139,'1',103,'N'),(20,5035147,'1',653,'N'),(20,5035147,'1A',652,'N'),(20,5035155,'1',207,'N'),(20,5035155,'1A',208,'N'),(20,5035163,'1',201,'N'),(20,5035163,'1A',203,'N'),(20,5035171,'1',319,'N'),(20,5035180,'1',103,'N'),(20,5035198,'1',303,'N'),(20,5035201,'1',108,'N'),(20,5035210,'1',102,'N'),(20,5035228,'1',452,'N'),(20,5035236,'1',234,'N'),(20,5035244,'1',316,'N'),(20,5035252,'1',9,'N'),(20,5035260,'1',215,'N'),(20,5035260,'1A',211,'N'),(20,5035279,'1',340,'N'),(20,5035287,'1',319,'N'),(20,5035309,'1',202,'N'),(20,5035325,'1',428,'N'),(20,5035325,'1A',429,'N'),(20,5035333,'1',415,'N'),(20,5035341,'1',103,'N'),(20,5035368,'1',601,'N'),(20,5035384,'1',451,'N'),(20,5035392,'1',653,'N'),(20,5035392,'1A',652,'N'),(20,5035406,'1',453,'N'),(20,5035414,'1',333,'N'),(20,5035430,'1',103,'N'),(20,5035449,'1',103,'N'),(20,5035457,'1',211,'N'),(20,5035457,'1A',213,'N'),(20,5035465,'1',5,'N'),(20,5035473,'1',101,'N'),(20,5035481,'1',103,'N'),(20,5035490,'1',340,'N'),(20,5035503,'1',208,'N'),(20,5035503,'1A',213,'N'),(20,5035511,'1',103,'N'),(20,5035520,'1',103,'N'),(20,5035538,'1',222,'N'),(20,5035546,'1',103,'N'),(20,5035570,'1',302,'N'),(20,5035589,'1',202,'N'),(20,5035589,'1A',213,'N'),(20,5035597,'1',340,'N'),(20,5035600,'1',103,'N'),(20,5035627,'1',208,'N'),(20,5035627,'1A',238,'N'),(20,5035643,'1',202,'N'),(20,5035643,'1A',207,'N'),(20,5035660,'1',103,'N'),(20,5035678,'1',319,'N'),(20,5035694,'1',551,'N'),(20,5035708,'1',336,'N'),(20,5035716,'1',318,'N'),(20,5035724,'1',207,'N'),(20,5035724,'1A',212,'N'),(20,5035732,'1',453,'N'),(20,5035740,'1',303,'N'),(20,5035759,'1',302,'N'),(20,5035767,'1',220,'N'),(20,5035767,'1A',203,'N'),(20,5035775,'1',303,'N'),(20,5035783,'1',103,'N'),(20,5035791,'1',404,'N'),(20,5035821,'1',319,'N'),(20,5035830,'1',340,'N'),(20,5035856,'1',427,'N'),(20,5035856,'1A',423,'N'),(20,5035864,'1',301,'N'),(20,5035872,'1',5,'N'),(20,5035880,'1',303,'N'),(20,5035899,'1',303,'N'),(20,5035929,'1',303,'N'),(20,5035953,'1',234,'N'),(20,5035961,'1',213,'N'),(20,5035961,'1A',233,'N'),(20,5035988,'1',103,'N'),(20,5035996,'1',332,'N'),(20,5036038,'1',104,'N'),(20,5036054,'1',336,'N'),(20,5036062,'1',453,'N'),(20,5036097,'1',103,'N'),(20,5036100,'1',103,'N'),(20,5036127,'1',208,'N'),(20,5036127,'1A',203,'N'),(20,5036135,'1',444,'N'),(20,5036143,'1',103,'N'),(20,5036151,'1',303,'N'),(20,5036160,'1',103,'N'),(20,5036178,'1',220,'N'),(20,5036178,'1A',233,'N'),(20,5036186,'1',203,'N'),(20,5036186,'1A',220,'N'),(20,5036194,'1',103,'N'),(20,5036208,'1',201,'N'),(20,5036208,'1A',212,'N'),(20,5036216,'1',103,'N'),(20,5036224,'1',452,'N'),(20,5036232,'1',220,'N'),(20,5036232,'1A',202,'N'),(20,5036240,'1',202,'N'),(20,5036240,'1A',213,'N'),(20,5036267,'1',207,'N'),(20,5036267,'1A',212,'N'),(20,5036283,'1',104,'N'),(20,5036291,'1',201,'N'),(20,5036291,'1A',207,'N'),(20,5036305,'1',453,'N'),(20,5036313,'1',304,'N'),(20,5036321,'1',101,'N'),(20,5036330,'1',501,'N'),(20,5036348,'1',104,'N'),(20,5036356,'1',102,'N'),(20,5036364,'1',103,'N'),(20,5036372,'1',102,'N'),(20,5036380,'1',103,'N'),(20,5036399,'1',501,'N'),(20,5036402,'1',5,'N'),(20,5036410,'1',331,'N'),(20,5036429,'1',211,'N'),(20,5036429,'1A',203,'N'),(20,5036437,'1',333,'N'),(20,5036445,'1',208,'N'),(20,5036445,'1A',238,'N'),(20,5036470,'1',202,'N'),(20,5036470,'1A',203,'N'),(20,5036488,'1',103,'N'),(20,5036500,'1',5,'N'),(20,5036518,'1',501,'N'),(20,5036526,'1',108,'N'),(20,5036534,'1',211,'N'),(20,5036542,'1',238,'N'),(20,5036542,'1A',216,'N'),(20,5036550,'1',5,'N'),(20,5036569,'1',103,'N'),(20,5036577,'1',5,'N'),(20,5036585,'1',501,'N'),(20,5036593,'1',333,'N'),(20,5036615,'1',404,'N'),(20,5036623,'1',303,'N'),(20,5036631,'1',216,'N'),(20,5036631,'1A',220,'N'),(20,5036640,'1',101,'N'),(20,5036658,'1',103,'N'),(20,5036666,'1',103,'N'),(20,5036674,'1',426,'N'),(20,5036674,'1A',423,'N'),(20,5036682,'1',5,'N'),(20,5036690,'1',340,'N'),(20,5036704,'1',103,'N'),(20,5036739,'1',203,'N'),(20,5036739,'1A',601,'N'),(20,5036747,'1',415,'N'),(20,5036755,'1',310,'N'),(20,5036771,'1',203,'N'),(20,5036771,'1A',233,'N'),(20,5036780,'1',452,'N'),(20,5036801,'1',316,'N'),(20,5036810,'1',214,'N'),(20,5036810,'1A',235,'N'),(20,5036828,'1',216,'N'),(20,5036828,'1A',203,'N'),(20,5036836,'1',103,'N'),(20,5036844,'1',216,'N'),(20,5036844,'1A',208,'N'),(20,5036852,'1',303,'N'),(20,5036860,'1',103,'N'),(20,5036879,'1',452,'N'),(20,5036887,'1',108,'N'),(20,5036909,'1',317,'N'),(20,5036917,'1',201,'N'),(20,5036917,'1A',202,'N'),(20,5036925,'1',103,'N'),(20,5036933,'1',108,'N'),(20,5036941,'1',103,'N'),(20,5036950,'1',601,'N'),(20,5036976,'1',427,'N'),(20,5036976,'1A',428,'N'),(20,5037000,'1',215,'N'),(20,5037000,'1A',216,'N'),(20,5037018,'1',103,'N'),(20,5037026,'1',103,'N'),(20,5037034,'1',103,'N'),(20,5037042,'1',415,'N'),(20,5037050,'1',303,'N'),(20,5037069,'1',601,'N'),(20,5037069,'1A',201,'N'),(20,5037077,'1',207,'N'),(20,5037077,'1A',211,'N'),(20,5037093,'1',302,'N'),(20,5037107,'1',301,'N'),(20,5037115,'1',103,'N'),(20,5037123,'1',103,'N'),(20,5037131,'1',220,'N'),(20,5037131,'1A',235,'N'),(20,5037158,'1',303,'N'),(20,5037166,'1',319,'N'),(20,5037174,'1',222,'N'),(20,5037182,'1',103,'N'),(20,5037190,'1',303,'N'),(20,5037204,'1',320,'N'),(20,5037212,'1',207,'N'),(20,5037212,'1A',212,'N'),(20,5037220,'1',207,'N'),(20,5037220,'1A',212,'N'),(20,5037255,'1',444,'N'),(20,5037271,'1',340,'N'),(20,5037280,'1',319,'N'),(20,5037298,'1',501,'N'),(20,5037301,'1',340,'N'),(20,5037310,'1',444,'N'),(20,5037328,'1',208,'N'),(20,5037344,'1',103,'N'),(20,5037352,'1',220,'N'),(20,5037352,'1A',208,'N'),(20,5037379,'1',450,'N'),(20,5037387,'1',320,'N'),(20,5037395,'1',103,'N'),(20,5037409,'1',5,'N'),(20,5037425,'1',220,'N'),(20,5037425,'1A',214,'N'),(20,5037433,'1',424,'N'),(20,5037433,'1A',425,'N'),(20,5037441,'1',316,'N'),(20,5037450,'1',303,'N'),(20,5037468,'1',103,'N'),(20,5037476,'1',207,'N'),(20,5037476,'1A',201,'N'),(20,5037484,'1',214,'N'),(20,5037484,'1A',203,'N'),(20,5037492,'1',333,'N'),(20,5037514,'1',444,'N'),(20,5037522,'1',103,'N'),(20,5037530,'1',103,'N'),(20,5037549,'1',207,'N'),(20,5037557,'1',207,'N'),(20,5037557,'1A',212,'N'),(20,5037565,'1',103,'N'),(20,5037573,'1',103,'N'),(20,5037590,'1',212,'N'),(20,5037590,'1A',201,'N'),(20,5037620,'1',207,'N'),(20,5037638,'1',340,'N'),(20,5037654,'1',340,'N'),(20,5037662,'1',453,'N'),(20,5037670,'1',316,'N'),(20,5037689,'1',303,'N'),(20,5037697,'1',203,'N'),(20,5037697,'1A',214,'N'),(20,5037700,'1',216,'N'),(20,5037727,'1',309,'N'),(20,5037735,'1',103,'N'),(20,5037751,'1',103,'N'),(20,5037760,'1',214,'N'),(20,5037760,'1A',202,'N'),(20,5037778,'1',225,'N'),(20,5037786,'1',340,'N'),(20,5037840,'1',601,'N'),(20,5037840,'1A',201,'N'),(20,5037859,'1',211,'N'),(20,5037859,'1A',238,'N'),(20,5037867,'1',316,'N'),(20,5037891,'1',211,'N'),(20,5037891,'1A',201,'N'),(20,5037905,'1',103,'N'),(20,5037913,'1',404,'N'),(20,5037948,'1',108,'N'),(20,5037956,'1',501,'N'),(20,5037972,'1',207,'N'),(20,5037972,'1A',201,'N'),(20,5037980,'1',404,'N'),(20,5037999,'1',201,'N'),(20,5037999,'1A',207,'N'),(20,5038006,'1',303,'N'),(20,5038014,'1',450,'N'),(20,5038030,'1',332,'N'),(20,5038073,'1',340,'N'),(20,5038081,'1',103,'N'),(20,5038103,'1',203,'N'),(20,5038103,'1A',233,'N'),(20,5038111,'1',331,'N'),(20,5038138,'1',103,'N'),(20,5038146,'1',340,'N'),(20,5038154,'1',9,'N'),(20,5038162,'1',220,'N'),(20,5038162,'1A',214,'N'),(20,5038170,'1',444,'N'),(20,5038197,'1',303,'N'),(20,5038200,'1',304,'N'),(20,5038227,'1',103,'N'),(20,5038243,'1',103,'N'),(20,5038251,'1',501,'N'),(20,5038260,'1',211,'N'),(20,5038260,'1A',215,'N'),(20,5038286,'1',216,'N'),(20,5038286,'1A',203,'N'),(20,5038324,'1',427,'N'),(20,5038324,'1A',423,'N'),(20,5038332,'1',340,'N'),(20,5038375,'1',220,'N'),(20,5038383,'1',5,'N'),(20,5038391,'1',103,'N'),(20,5038405,'1',207,'N'),(20,5038405,'1A',201,'N'),(20,5038413,'1',103,'N'),(20,5038421,'1',216,'N'),(20,5038421,'1A',653,'N'),(20,5038448,'1',203,'N'),(20,5038448,'1A',202,'N'),(20,5038456,'1',428,'N'),(20,5038456,'1A',426,'N'),(20,5038464,'1',103,'N'),(20,5038480,'1',317,'N'),(20,5038499,'1',101,'N'),(20,5038510,'1',103,'N'),(20,5038529,'1',2,'N'),(20,5038545,'1',207,'N'),(20,5038553,'1',301,'N'),(20,5038561,'1',420,'N'),(20,5038570,'1',5,'N'),(20,5038596,'1',425,'N'),(20,5038596,'1A',426,'N'),(20,5038600,'1',601,'N'),(20,5038600,'1A',214,'N'),(20,5038618,'1',336,'N'),(20,5038626,'1',340,'N'),(20,5038634,'1',201,'N'),(20,5038634,'1A',203,'N'),(20,5038642,'1',502,'N'),(20,5038650,'1',103,'N'),(20,5038669,'1',329,'N'),(20,5038685,'1',101,'N'),(20,5038707,'1',220,'N'),(20,5038715,'1',429,'N'),(20,5038715,'1A',425,'N'),(20,5038723,'1',303,'N'),(20,5038731,'1',201,'N'),(20,5038731,'1A',212,'N'),(20,5038758,'1',5,'N'),(20,5038766,'1',429,'N'),(20,5038766,'1A',428,'N'),(20,5038774,'1',207,'N'),(20,5038774,'1A',201,'N'),(20,5038782,'1',202,'N'),(20,5038790,'1',103,'N'),(20,5038804,'1',103,'N'),(20,5038812,'1',453,'N'),(20,5038820,'1',220,'N'),(20,5038820,'1A',201,'N'),(20,5038839,'1',316,'N'),(20,5038863,'1',340,'N'),(20,5038871,'1',103,'N'),(20,5038880,'1',103,'N'),(20,5038910,'1',601,'N'),(20,5038910,'1A',202,'N'),(20,5038944,'1',201,'N'),(20,5038944,'1A',215,'N'),(20,5038952,'1',502,'N'),(20,5038960,'1',319,'N'),(20,5038979,'1',415,'N'),(20,5038995,'1',317,'N'),(20,5039002,'1',9,'N'),(20,5039045,'1',103,'N'),(20,5039053,'1',216,'N'),(20,5039053,'1A',203,'N'),(20,5039061,'1',207,'N'),(20,5039061,'1A',201,'N'),(20,5039088,'1',333,'N'),(20,5039096,'1',213,'N'),(20,5039096,'1A',214,'N'),(20,5039100,'1',303,'N'),(20,5039118,'1',303,'N'),(20,5039126,'1',207,'N'),(20,5039126,'1A',201,'N'),(20,5039134,'1',333,'N'),(20,5039142,'1',212,'N'),(20,5039142,'1A',201,'N'),(20,5039150,'1',453,'N'),(20,5039169,'1',104,'N'),(20,5039177,'1',308,'N'),(20,5039185,'1',207,'N'),(20,5039185,'1A',201,'N'),(20,5039193,'1',304,'N'),(20,5039207,'1',601,'N'),(20,5039215,'1',103,'N'),(20,5039223,'1',103,'N'),(20,5039240,'1',304,'N'),(20,5039266,'1',340,'N'),(20,5039274,'1',203,'N'),(20,5039274,'1A',233,'N'),(20,5039282,'1',202,'N'),(20,5039282,'1A',216,'N'),(20,5039290,'1',103,'N'),(20,5039304,'1',415,'N'),(20,5039347,'1',104,'N'),(20,5039355,'1',214,'N'),(20,5039355,'1A',203,'N'),(20,5039363,'1',303,'N'),(20,5039371,'1',318,'N'),(20,5039380,'1',326,'N'),(20,5039398,'1',303,'N'),(20,5039401,'1',102,'N'),(20,5039436,'1',303,'N'),(20,5039444,'1',103,'N'),(20,5039452,'1',340,'N'),(20,5039460,'1',340,'N'),(20,5039479,'1',501,'N'),(20,5039487,'1',450,'N'),(20,5039495,'1',201,'N'),(20,5039509,'1',202,'N'),(20,5039509,'1A',203,'N'),(20,5039517,'1',415,'N'),(20,5039525,'1',103,'N'),(20,5039533,'1',103,'N'),(20,5039541,'1',211,'N'),(20,5039541,'1A',207,'N'),(20,5039550,'1',207,'N'),(20,5039568,'1',5,'N'),(20,5039576,'1',302,'N'),(20,5039584,'1',103,'N'),(20,5039614,'1',103,'N'),(20,5039622,'1',201,'N'),(20,5039622,'1A',211,'N'),(20,5039630,'1',220,'N'),(20,5039630,'1A',238,'N'),(20,5039649,'1',9,'N'),(20,5039657,'1',601,'N'),(20,5039657,'1A',201,'N'),(20,5039665,'1',302,'N'),(20,5039673,'1',340,'N'),(20,5039681,'1',327,'N'),(20,5039711,'1',203,'N'),(20,5039720,'1',103,'N'),(20,5039738,'1',103,'N'),(20,5039754,'1',451,'N'),(20,5039762,'1',103,'N'),(20,5039770,'1',103,'N'),(20,5039789,'1',310,'N'),(20,5039800,'1',207,'N'),(20,5039827,'1',451,'N'),(20,5039835,'1',304,'N'),(20,5039843,'1',233,'N'),(20,5039843,'1A',214,'N'),(20,5039851,'1',103,'N'),(20,5039860,'1',103,'N'),(20,5039878,'1',103,'N'),(20,5039894,'1',201,'N'),(20,5039894,'1A',601,'N'),(20,5039908,'1',318,'N'),(20,5039916,'1',303,'N'),(20,5039924,'1',103,'N'),(20,5039932,'1',104,'N'),(20,5039940,'1',104,'N'),(20,5039959,'1',103,'N'),(20,5039967,'1',309,'N'),(20,5039975,'1',103,'N'),(20,5039983,'1',103,'N'),(20,5039991,'1',318,'N'),(20,5040000,'1',102,'N'),(20,5040019,'1',201,'N'),(20,5040019,'1A',212,'N'),(20,5040027,'1',103,'N'),(20,5040035,'1',103,'N'),(20,5040051,'1',109,'N'),(20,5040060,'1',201,'N'),(20,5040060,'1A',211,'N'),(20,5040078,'1',333,'N'),(20,5040086,'1',303,'N'),(20,5040094,'1',452,'N'),(20,5040108,'1',103,'N'),(20,5040116,'1',338,'N'),(20,5040132,'1',326,'N'),(20,5040167,'1',316,'N'),(20,5040175,'1',301,'N'),(20,5040183,'1',216,'N'),(20,5040183,'1A',201,'N'),(20,5040191,'1',103,'N'),(20,5040205,'1',601,'N'),(20,5040205,'1A',207,'N'),(20,5040213,'1',103,'N'),(20,5040230,'1',103,'N'),(20,5040248,'1',303,'N'),(20,5040256,'1',327,'N'),(20,5040264,'1',108,'N'),(20,5040280,'1',415,'N'),(20,5040302,'1',103,'N'),(20,5040310,'1',103,'N'),(20,5040329,'1',103,'N'),(20,5040337,'1',101,'N'),(20,5040345,'1',103,'N'),(20,5040353,'1',5,'N'),(20,5040361,'1',203,'N'),(20,5040361,'1A',211,'N'),(20,5040396,'1',103,'N'),(20,5040400,'1',203,'N'),(20,5040400,'1A',201,'N'),(20,5040418,'1',103,'N'),(20,5040434,'1',207,'N'),(20,5040434,'1A',215,'N'),(20,5040442,'1',103,'N'),(20,5040450,'1',238,'N'),(20,5040450,'1A',208,'N'),(20,5040469,'1',203,'N'),(20,5040469,'1A',214,'N'),(20,5040485,'1',103,'N'),(20,5040493,'1',207,'N'),(20,5040493,'1A',211,'N'),(20,5040507,'1',102,'N'),(20,5040515,'1',103,'N'),(20,5040523,'1',103,'N'),(20,5040531,'1',5,'N'),(20,5040540,'1',415,'N'),(20,5040558,'1',104,'N'),(20,5040566,'1',201,'N'),(20,5040566,'1A',202,'N'),(20,5040574,'1',333,'N'),(20,5040582,'1',450,'N'),(20,5040604,'1',103,'N'),(20,5040612,'1',103,'N'),(20,5040620,'1',233,'N'),(20,5040639,'1',220,'N'),(20,5040639,'1A',235,'N'),(20,5040647,'1',319,'N'),(20,5040663,'1',103,'N'),(20,5040680,'1',104,'N'),(20,5040698,'1',103,'N'),(20,5040701,'1',212,'N'),(20,5040701,'1A',235,'N'),(20,5040728,'1',103,'N'),(20,5040736,'1',103,'N'),(20,5040744,'1',103,'N'),(20,5040752,'1',301,'N'),(20,5040760,'1',415,'N'),(20,5040779,'1',5,'N'),(20,5040787,'1',340,'N'),(20,5040795,'1',216,'N'),(20,5040795,'1A',201,'N'),(20,5040809,'1',303,'N'),(20,5040817,'1',9,'N'),(20,5040825,'1',601,'N'),(20,5040833,'1',103,'N'),(20,5040850,'1',203,'N'),(20,5040868,'1',427,'N'),(20,5040868,'1A',421,'N'),(20,5040876,'1',340,'N'),(20,5040884,'1',420,'N'),(20,5040892,'1',224,'N'),(20,5040906,'1',9,'N'),(20,5040922,'1',340,'N'),(20,5040949,'1',203,'N'),(20,5040949,'1A',233,'N'),(20,5040957,'1',103,'N'),(20,5040965,'1',103,'N'),(20,5040973,'1',451,'N'),(20,5040981,'1',318,'N'),(20,5040990,'1',203,'N'),(20,5040990,'1A',214,'N'),(20,5041007,'1',103,'N'),(20,5041015,'1',453,'N'),(20,5041031,'1',404,'N'),(20,5041040,'1',235,'N'),(20,5041040,'1A',202,'N'),(20,5041074,'1',301,'N'),(20,5041090,'1',202,'N'),(20,5041090,'1A',208,'N'),(20,5041112,'1',103,'N'),(20,5041139,'1',424,'N'),(20,5041139,'1A',429,'N'),(20,5041147,'1',103,'N'),(20,5041155,'1',308,'N'),(20,5041171,'1',319,'N'),(20,5041198,'1',102,'N'),(20,5041201,'1',601,'N'),(20,5041201,'1A',216,'N'),(20,5041210,'1',340,'N'),(20,5041228,'1',203,'N'),(20,5041228,'1A',214,'N'),(20,5041236,'1',103,'N'),(20,5041244,'1',5,'N'),(20,5041252,'1',103,'N'),(20,5041260,'1',333,'N'),(20,5041279,'1',336,'N'),(20,5041287,'1',108,'N'),(20,5041295,'1',3,'N'),(20,5041309,'1',5,'N'),(20,5041317,'1',302,'N'),(20,5041333,'1',207,'N'),(20,5041341,'1',207,'N'),(20,5041341,'1A',211,'N'),(20,5041350,'1',207,'N'),(20,5041350,'1A',201,'N'),(20,5041376,'1',453,'N'),(20,5041384,'1',103,'N'),(20,5041392,'1',319,'N'),(20,5041406,'1',207,'N'),(20,5041406,'1A',211,'N'),(20,5041414,'1',233,'N'),(20,5041414,'1A',213,'N'),(20,5041422,'1',104,'N'),(20,5041457,'1',103,'N'),(20,5041465,'1',309,'N'),(20,5041473,'1',104,'N'),(20,5041490,'1',207,'N'),(20,5041490,'1A',201,'N'),(20,5041511,'1',103,'N'),(20,5041520,'1',108,'N'),(20,5041538,'1',452,'N'),(20,5041546,'1',104,'N'),(20,5041554,'1',301,'N'),(20,5041562,'1',207,'N'),(20,5041562,'1A',201,'N'),(20,5041570,'1',103,'N'),(20,5041589,'1',303,'N'),(20,5041597,'1',450,'N'),(20,5041600,'1',203,'N'),(20,5041600,'1A',220,'N'),(20,5041619,'1',102,'N'),(20,5041627,'1',415,'N'),(20,5041635,'1',108,'N'),(20,5041643,'1',203,'N'),(20,5041643,'1A',202,'N'),(20,5041651,'1',429,'N'),(20,5041651,'1A',424,'N'),(20,5041660,'1',9,'N'),(20,5041678,'1',103,'N'),(20,5041694,'1',3,'N'),(20,5041732,'1',201,'N'),(20,5041732,'1A',601,'N'),(20,5041740,'1',201,'N'),(20,5041740,'1A',213,'N'),(20,5041759,'1',303,'N'),(20,5041767,'1',201,'N'),(20,5041767,'1A',207,'N'),(20,5041783,'1',303,'N'),(20,5041791,'1',301,'N'),(20,5041805,'1',303,'N'),(20,5041830,'1',302,'N'),(20,5041848,'1',303,'N'),(20,5041856,'1',303,'N'),(20,5041864,'1',207,'N'),(20,5041864,'1A',201,'N'),(20,5041872,'1',215,'N'),(20,5041872,'1A',207,'N'),(20,5041899,'1',103,'N'),(20,5041902,'1',201,'N'),(20,5041910,'1',331,'N'),(20,5041937,'1',653,'N'),(20,5041937,'1A',652,'N'),(20,5041953,'1',103,'N'),(20,5041961,'1',103,'N'),(20,5041970,'1',201,'N'),(20,5041970,'1A',207,'N'),(20,5041988,'1',235,'N'),(20,5041988,'1A',202,'N'),(20,5041996,'1',205,'N'),(20,5042003,'1',207,'N'),(20,5042003,'1A',233,'N'),(20,5042020,'1',502,'N'),(20,5042038,'1',201,'N'),(20,5042038,'1A',211,'N'),(20,5042046,'1',339,'N'),(20,5042054,'1',501,'N'),(20,5042070,'1',103,'N'),(20,5042100,'1',336,'N'),(20,5042127,'1',103,'N'),(20,5042135,'1',103,'N'),(20,5042143,'1',340,'N'),(20,5042178,'1',601,'N'),(20,5042178,'1A',216,'N'),(20,5042186,'1',103,'N'),(20,5042208,'1',103,'N'),(20,5042224,'1',340,'N'),(20,5042232,'1',214,'N'),(20,5042232,'1A',233,'N'),(20,5042259,'1',103,'N'),(20,5042267,'1',317,'N'),(20,5042275,'1',320,'N'),(20,5042283,'1',211,'N'),(20,5042283,'1A',201,'N'),(20,5042291,'1',108,'N'),(20,5042305,'1',103,'N'),(20,5042313,'1',101,'N'),(20,5042321,'1',5,'N'),(20,5042330,'1',225,'N'),(20,5042348,'1',220,'N'),(20,5042348,'1A',211,'N'),(20,5042364,'1',317,'N'),(20,5042372,'1',207,'N'),(20,5042372,'1A',201,'N'),(20,5042380,'1',5,'N'),(20,5042399,'1',103,'N'),(20,5042402,'1',453,'N'),(20,5042429,'1',301,'N'),(20,5042445,'1',303,'N'),(20,5042453,'1',444,'N'),(20,5042461,'1',103,'N'),(20,5042470,'1',301,'N'),(20,5042488,'1',502,'N'),(20,5042496,'1',103,'N'),(20,5042500,'1',319,'N'),(20,5042518,'1',324,'N'),(20,5042534,'1',103,'N'),(20,5042542,'1',104,'N'),(20,5042577,'1',103,'N'),(20,5042585,'1',303,'N'),(20,5042593,'1',201,'N'),(20,5042593,'1A',207,'N'),(20,5042607,'1',225,'N'),(20,5042615,'1',103,'N'),(20,5042623,'1',211,'N'),(20,5042623,'1A',233,'N'),(20,5042631,'1',104,'N'),(20,5042640,'1',420,'N'),(20,5042682,'1',319,'N'),(20,5042704,'1',211,'N'),(20,5042704,'1A',653,'N'),(20,5042712,'1',103,'N'),(20,5042720,'1',453,'N'),(20,5042739,'1',233,'N'),(20,5042739,'1A',211,'N'),(20,5042747,'1',317,'N'),(20,5042755,'1',301,'N'),(20,5042763,'1',333,'N'),(20,5042771,'1',502,'N'),(20,5042798,'1',653,'N'),(20,5042801,'1',214,'N'),(20,5042801,'1A',201,'N'),(20,5042828,'1',319,'N'),(20,5042836,'1',216,'N'),(20,5042836,'1A',212,'N'),(20,5042844,'1',453,'N'),(20,5042852,'1',201,'N'),(20,5042852,'1A',203,'N'),(20,5042860,'1',103,'N'),(20,5042879,'1',103,'N'),(20,5042895,'1',108,'N'),(20,5042909,'1',319,'N'),(20,5042917,'1',653,'N'),(20,5042917,'1A',652,'N'),(20,5042925,'1',203,'N'),(20,5042925,'1A',214,'N'),(20,5042933,'1',340,'N'),(20,5042968,'1',103,'N'),(20,5042984,'1',5,'N'),(20,5042992,'1',103,'N'),(20,5043018,'1',103,'N'),(20,5043026,'1',104,'N'),(20,5043034,'1',103,'N'),(20,5043050,'1',238,'N'),(20,5043050,'1A',208,'N'),(20,5043069,'1',319,'N'),(20,5043077,'1',316,'N'),(20,5043085,'1',103,'N'),(20,5043093,'1',201,'N'),(20,5043093,'1A',212,'N'),(20,5043107,'1',333,'N'),(20,5043115,'1',301,'N'),(20,5043123,'1',216,'N'),(20,5043123,'1A',215,'N'),(20,5043131,'1',208,'N'),(20,5043140,'1',207,'N'),(20,5043140,'1A',211,'N'),(20,5043158,'1',103,'N'),(20,5043174,'1',301,'N'),(20,5043182,'1',420,'N'),(20,5043190,'1',320,'N'),(20,5043220,'1',103,'N'),(20,5043247,'1',234,'N'),(20,5043255,'1',103,'N'),(20,5043271,'1',214,'N'),(20,5043271,'1A',212,'N'),(20,5043280,'1',302,'N'),(20,5043298,'1',103,'N'),(20,5043301,'1',5,'N'),(20,5043310,'1',425,'N'),(20,5043310,'1A',424,'N'),(20,5043328,'1',103,'N'),(20,5043336,'1',102,'N'),(20,5043352,'1',220,'N'),(20,5043352,'1A',235,'N'),(20,5043360,'1',202,'N'),(20,5043360,'1A',213,'N'),(20,5043379,'1',103,'N'),(20,5043409,'1',103,'N'),(20,5043417,'1',319,'N'),(20,5043425,'1',304,'N'),(20,5043433,'1',203,'N'),(20,5043433,'1A',233,'N'),(20,5043441,'1',103,'N'),(20,5043450,'1',201,'N'),(20,5043468,'1',104,'N'),(20,5043484,'1',415,'N'),(20,5043492,'1',340,'N'),(20,5043514,'1',427,'N'),(20,5043514,'1A',426,'N'),(20,5043522,'1',207,'N'),(20,5043530,'1',103,'N'),(20,5043549,'1',501,'N'),(20,5043557,'1',333,'N'),(20,5043565,'1',340,'N'),(20,5043573,'1',316,'N'),(20,5043581,'1',340,'N'),(20,5043590,'1',340,'N'),(20,5043603,'1',333,'N'),(20,5043611,'1',103,'N'),(20,5043620,'1',340,'N'),(20,5043638,'1',203,'N'),(20,5043638,'1A',202,'N'),(20,5043646,'1',103,'N'),(20,5043654,'1',104,'N'),(20,5043662,'1',503,'N'),(20,5043670,'1',421,'N'),(20,5043670,'1A',427,'N'),(20,5043689,'1',202,'N'),(20,5043689,'1A',213,'N'),(20,5043700,'1',103,'N'),(20,5043719,'1',340,'N'),(20,5043727,'1',333,'N'),(20,5043735,'1',103,'N'),(20,5043743,'1',452,'N'),(20,5043760,'1',109,'N'),(20,5043786,'1',303,'N'),(20,5043794,'1',5,'N'),(20,5043808,'1',451,'N'),(20,5043824,'1',215,'N'),(20,5043824,'1A',212,'N'),(20,5043832,'1',5,'N'),(20,5043840,'1',220,'N'),(20,5043840,'1A',216,'N'),(20,5043859,'1',317,'N'),(20,5043867,'1',103,'N'),(20,5043875,'1',319,'N'),(20,5043891,'1',220,'N'),(20,5043891,'1A',203,'N'),(20,5043905,'1',238,'N'),(20,5043905,'1A',215,'N'),(20,5043913,'1',301,'N'),(20,5043921,'1',5,'N'),(20,5043948,'1',102,'N'),(20,5043956,'1',208,'N'),(20,5043956,'1A',238,'N'),(20,5043964,'1',426,'N'),(20,5043964,'1A',425,'N'),(20,5043972,'1',238,'N'),(20,5043972,'1A',208,'N'),(20,5043980,'1',110,'N'),(20,5043999,'1',103,'N'),(20,5044006,'1',420,'N'),(20,5044014,'1',303,'N'),(20,5044022,'1',301,'N'),(20,5044057,'1',502,'N'),(20,5044065,'1',208,'N'),(20,5044065,'1A',202,'N'),(20,5044103,'1',301,'N'),(20,5044111,'1',201,'N'),(20,5044111,'1A',203,'N'),(20,5044120,'1',333,'N'),(20,5044138,'1',425,'N'),(20,5044138,'1A',424,'N'),(20,5044146,'1',303,'N'),(20,5044154,'1',103,'N'),(20,5044170,'1',444,'N'),(20,5044189,'1',303,'N'),(20,5044200,'1',207,'N'),(20,5044200,'1A',201,'N'),(20,5044219,'1',103,'N'),(20,5044235,'1',211,'N'),(20,5044235,'1A',233,'N'),(20,5044243,'1',303,'N'),(20,5044251,'1',303,'N'),(20,5044260,'1',103,'N'),(20,5044278,'1',308,'N'),(20,5044286,'1',103,'N'),(20,5044294,'1',329,'N'),(20,5044308,'1',220,'N'),(20,5044316,'1',103,'N'),(20,5044324,'1',207,'N'),(20,5044324,'1A',212,'N'),(20,5044340,'1',103,'N'),(20,5044359,'1',425,'N'),(20,5044367,'1',103,'N'),(20,5044375,'1',415,'N'),(20,5044383,'1',201,'N'),(20,5044383,'1A',212,'N'),(20,5044405,'1',103,'N'),(20,5044413,'1',203,'N'),(20,5044413,'1A',214,'N'),(20,5044421,'1',340,'N'),(20,5044456,'1',502,'N'),(20,5044464,'1',503,'N'),(20,5044472,'1',103,'N'),(20,5044480,'1',310,'N'),(20,5044499,'1',340,'N'),(20,5044502,'1',333,'N'),(20,5044510,'1',103,'N'),(20,5044529,'1',103,'N'),(20,5044537,'1',301,'N'),(20,5044545,'1',340,'N'),(20,5044553,'1',103,'N'),(20,5044561,'1',203,'N'),(20,5044561,'1A',214,'N'),(20,5044570,'1',103,'N'),(20,5044588,'1',103,'N'),(20,5044596,'1',220,'N'),(20,5044596,'1A',203,'N'),(20,5044600,'1',103,'N'),(20,5044618,'1',201,'N'),(20,5044618,'1A',235,'N'),(20,5044626,'1',203,'N'),(20,5044626,'1A',214,'N'),(20,5044634,'1',103,'N'),(20,5044642,'1',340,'N'),(20,5044650,'1',501,'N'),(20,5044677,'1',102,'N'),(20,5044685,'1',238,'N'),(20,5044685,'1A',208,'N'),(20,5044707,'1',103,'N'),(20,5044715,'1',340,'N'),(20,5044723,'1',103,'N'),(20,5044731,'1',301,'N'),(20,5044740,'1',103,'N'),(20,5044758,'1',207,'N'),(20,5044758,'1A',201,'N'),(20,5044766,'1',203,'N'),(20,5044774,'1',214,'N'),(20,5044774,'1A',212,'N'),(20,5044782,'1',207,'N'),(20,5044782,'1A',201,'N'),(20,5044790,'1',203,'N'),(20,5044790,'1A',220,'N'),(20,5044812,'1',302,'N'),(20,5044839,'1',104,'N'),(20,5044847,'1',103,'N'),(20,5044855,'1',208,'N'),(20,5044855,'1A',220,'N'),(20,5044863,'1',103,'N'),(20,5044871,'1',340,'N'),(20,5044880,'1',212,'N'),(20,5044880,'1A',214,'N'),(20,5044898,'1',3,'N'),(20,5044901,'1',208,'N'),(20,5044901,'1A',651,'N'),(20,5044910,'1',203,'N'),(20,5044936,'1',102,'N'),(20,5044944,'1',212,'N'),(20,5044944,'1A',213,'N'),(20,5044979,'1',104,'N'),(20,5044987,'1',103,'N'),(20,5045010,'1',103,'N'),(20,5045037,'1',203,'N'),(20,5045037,'1A',653,'N'),(20,5045053,'1',103,'N'),(20,5045061,'1',101,'N'),(20,5045070,'1',216,'N'),(20,5045070,'1A',601,'N'),(20,5045088,'1',104,'N'),(20,5045118,'1',203,'N'),(20,5045118,'1A',202,'N'),(20,5045126,'1',207,'N'),(20,5045134,'1',207,'N'),(20,5045150,'1',103,'N'),(20,5045169,'1',601,'N'),(20,5045169,'1A',201,'N'),(20,5045177,'1',502,'N'),(20,5045193,'1',450,'N'),(20,5045207,'1',415,'N'),(20,5045215,'1',223,'N'),(20,5045223,'1',5,'N'),(20,5045240,'1',339,'N'),(20,5045258,'1',453,'N'),(20,5045266,'1',208,'N'),(20,5045274,'1',9,'N'),(20,5045282,'1',326,'N'),(20,5045290,'1',303,'N'),(20,5045304,'1',415,'N'),(20,5045320,'1',103,'N'),(20,5045339,'1',103,'N'),(20,5045347,'1',303,'N'),(20,5045355,'1',103,'N'),(20,5045363,'1',211,'N'),(20,5045363,'1A',201,'N'),(20,5045371,'1',207,'N'),(20,5045371,'1A',201,'N'),(20,5045380,'1',208,'N'),(20,5045380,'1A',238,'N'),(20,5045398,'1',103,'N'),(20,5045401,'1',5,'N'),(20,5045410,'1',601,'N'),(20,5045410,'1A',207,'N'),(20,5045428,'1',333,'N'),(20,5045436,'1',301,'N'),(20,5045444,'1',108,'N'),(20,5045452,'1',103,'N'),(20,5045479,'1',324,'N'),(20,5045487,'1',216,'N'),(20,5045487,'1A',203,'N'),(20,5045495,'1',103,'N'),(20,5045509,'1',319,'N'),(20,5045517,'1',450,'N'),(20,5045525,'1',235,'N'),(20,5045525,'1A',220,'N'),(20,5045533,'1',201,'N'),(20,5045533,'1A',212,'N'),(20,5045541,'1',207,'N'),(20,5045541,'1A',201,'N'),(20,5045550,'1',238,'N'),(20,5045550,'1A',208,'N'),(20,5045568,'1',601,'N'),(20,5045576,'1',304,'N'),(20,5045584,'1',501,'N'),(20,5045614,'1',103,'N'),(20,5045622,'1',202,'N'),(20,5045622,'1A',235,'N'),(20,5045630,'1',103,'N'),(20,5045657,'1',207,'N'),(20,5045657,'1A',201,'N'),(20,5045673,'1',103,'N'),(20,5045690,'1',103,'N'),(20,5045703,'1',213,'N'),(20,5045703,'1A',214,'N'),(20,5045711,'1',320,'N'),(20,5045738,'1',103,'N'),(20,5045746,'1',501,'N'),(20,5045754,'1',103,'N'),(20,5045789,'1',220,'N'),(20,5045789,'1A',601,'N'),(20,5045797,'1',303,'N'),(20,5045819,'1',103,'N'),(20,5045827,'1',101,'N'),(20,5045843,'1',302,'N'),(20,5045851,'1',103,'N'),(20,5045860,'1',5,'N'),(20,5045878,'1',415,'N'),(20,5045886,'1',104,'N'),(20,5045894,'1',108,'N'),(20,5045908,'1',203,'N'),(20,5045908,'1A',202,'N'),(20,5045916,'1',207,'N'),(20,5045916,'1A',211,'N'),(20,5045924,'1',225,'N'),(20,5045932,'1',102,'N'),(20,5045940,'1',303,'N'),(20,5045959,'1',301,'N'),(20,5045967,'1',202,'N'),(20,5045967,'1A',203,'N'),(20,5045975,'1',303,'N'),(20,5045983,'1',108,'N'),(20,5045991,'1',201,'N'),(20,5045991,'1A',203,'N'),(20,5046009,'1',212,'N'),(20,5046009,'1A',213,'N'),(20,5046017,'1',103,'N'),(20,5046025,'1',450,'N'),(20,5046033,'1',202,'N'),(20,5046033,'1A',220,'N'),(20,5046041,'1',201,'N'),(20,5046041,'1A',207,'N'),(20,5046076,'1',5,'N'),(20,5046084,'1',108,'N'),(20,5046092,'1',340,'N'),(20,5046106,'1',303,'N'),(20,5046114,'1',234,'N'),(20,5046157,'1',203,'N'),(20,5046157,'1A',208,'N'),(20,5046173,'1',238,'N'),(20,5046173,'1A',208,'N'),(20,5046181,'1',601,'N'),(20,5046190,'1',103,'N'),(20,5046203,'1',318,'N'),(20,5046211,'1',302,'N'),(20,5046220,'1',303,'N'),(20,5046238,'1',212,'N'),(20,5046238,'1A',215,'N'),(20,5046246,'1',303,'N'),(20,5046254,'1',453,'N'),(20,5046289,'1',214,'N'),(20,5046289,'1A',220,'N'),(20,5046297,'1',203,'N'),(20,5046297,'1A',220,'N'),(20,5046300,'1',303,'N'),(20,5046319,'1',233,'N'),(20,5046319,'1A',213,'N'),(20,5046327,'1',340,'N'),(20,5046335,'1',318,'N'),(20,5046343,'1',212,'N'),(20,5046343,'1A',207,'N'),(20,5046351,'1',103,'N'),(20,5046360,'1',103,'N'),(20,5046378,'1',233,'N'),(20,5046378,'1A',216,'N'),(20,5046386,'1',203,'N'),(20,5046386,'1A',201,'N'),(20,5046394,'1',201,'N'),(20,5046394,'1A',212,'N'),(20,5046408,'1',420,'N'),(20,5046416,'1',5,'N'),(20,5046440,'1',501,'N'),(20,5046459,'1',103,'N'),(20,5046475,'1',233,'N'),(20,5046475,'1A',213,'N'),(20,5046483,'1',5,'N'),(20,5046491,'1',103,'N'),(20,5046505,'1',235,'N'),(20,5046505,'1A',202,'N'),(20,5046513,'1',333,'N'),(20,5046521,'1',216,'N'),(20,5046521,'1A',203,'N'),(20,5046548,'1',340,'N'),(20,5046556,'1',103,'N'),(20,5046564,'1',5,'N'),(20,5046572,'1',208,'N'),(20,5046572,'1A',238,'N'),(20,5046599,'1',336,'N'),(20,5046610,'1',415,'N'),(20,5046637,'1',5,'N'),(20,5046645,'1',103,'N'),(20,5046653,'1',103,'N'),(20,5046661,'1',501,'N'),(20,5046670,'1',318,'N'),(20,5046688,'1',208,'N'),(20,5046688,'1A',220,'N'),(20,5046700,'1',101,'N'),(20,5046769,'1',103,'N'),(20,5046777,'1',333,'N'),(20,5046785,'1',238,'N'),(20,5046785,'1A',208,'N'),(20,5046793,'1',103,'N'),(20,5046815,'1',207,'N'),(20,5046815,'1A',201,'N'),(20,5046840,'1',108,'N'),(20,5046858,'1',308,'N'),(20,5046866,'1',109,'N'),(20,5046874,'1',103,'N'),(20,5046890,'1',207,'N'),(20,5046890,'1A',201,'N'),(20,5046904,'1',216,'N'),(20,5046904,'1A',220,'N'),(20,5046939,'1',103,'N'),(20,5046955,'1',415,'N'),(20,5046963,'1',203,'N'),(20,5046963,'1A',601,'N'),(20,5046971,'1',203,'N'),(20,5046971,'1A',214,'N'),(20,5046980,'1',103,'N'),(20,5046998,'1',450,'N'),(20,5047005,'1',101,'N'),(20,5047013,'1',340,'N'),(20,5047030,'1',103,'N'),(20,5047048,'1',319,'N'),(20,5047056,'1',319,'N'),(20,5047064,'1',319,'N'),(20,5047072,'1',225,'N'),(20,5047099,'1',201,'N'),(20,5047099,'1A',212,'N'),(20,5047110,'1',103,'N'),(20,5047137,'1',201,'N'),(20,5047137,'1A',207,'N'),(20,5047153,'1',103,'N'),(20,5047161,'1',503,'N'),(20,5047188,'1',551,'N'),(20,5047200,'1',103,'N'),(20,5047218,'1',501,'N'),(20,5047226,'1',103,'N'),(20,5047234,'1',103,'N'),(20,5047242,'1',340,'N'),(20,5047250,'1',203,'N'),(20,5047250,'1A',202,'N'),(20,5047323,'1',319,'N'),(20,5047331,'1',103,'N'),(20,5047340,'1',601,'N'),(20,5047340,'1A',214,'N'),(20,5047358,'1',238,'N'),(20,5047358,'1A',208,'N'),(20,5047366,'1',601,'N'),(20,5047374,'1',201,'N'),(20,5047374,'1A',212,'N'),(20,5047382,'1',324,'N'),(20,5047404,'1',451,'N'),(20,5047412,'1',5,'N'),(20,5047439,'1',103,'N'),(20,5047455,'1',415,'N'),(20,5047480,'1',301,'N'),(20,5047498,'1',101,'N'),(20,5047501,'1',304,'N'),(20,5047528,'1',102,'N'),(20,5047536,'1',303,'N'),(20,5047552,'1',233,'N'),(20,5047552,'1A',202,'N'),(20,5047560,'1',103,'N'),(20,5047579,'1',426,'N'),(20,5047579,'1A',428,'N'),(20,5047587,'1',214,'N'),(20,5047587,'1A',212,'N'),(20,5047595,'1',103,'N'),(20,5047617,'1',415,'N'),(20,5047625,'1',333,'N'),(20,5047633,'1',207,'N'),(20,5047633,'1A',212,'N'),(20,5047641,'1',201,'N'),(20,5047641,'1A',211,'N'),(20,5047650,'1',214,'N'),(20,5047650,'1A',213,'N'),(20,5047668,'1',238,'N'),(20,5047668,'1A',208,'N'),(20,5047676,'1',9,'N'),(20,5047684,'1',201,'N'),(20,5047684,'1A',601,'N'),(20,5047706,'1',104,'N'),(20,5047722,'1',340,'N'),(20,5047749,'1',207,'N'),(20,5047749,'1A',201,'N'),(20,5047765,'1',340,'N'),(20,5047773,'1',103,'N'),(20,5047790,'1',110,'N'),(20,5047803,'1',5,'N'),(20,5047811,'1',319,'N'),(20,5047820,'1',303,'N'),(20,5047838,'1',5,'N'),(20,5047846,'1',103,'N'),(20,5047862,'1',216,'N'),(20,5047862,'1A',203,'N'),(20,5047870,'1',652,'N'),(20,5047870,'1A',651,'N'),(20,5047897,'1',103,'N'),(20,5047900,'1',103,'N'),(20,5047927,'1',104,'N'),(20,5047935,'1',318,'N'),(20,5047943,'1',319,'N'),(20,5047951,'1',203,'N'),(20,5047951,'1A',202,'N'),(20,5047960,'1',108,'N'),(20,5047986,'1',208,'N'),(20,5047994,'1',339,'N'),(20,5048001,'1',102,'N'),(20,5048010,'1',103,'N'),(20,5048028,'1',319,'N'),(20,5048044,'1',601,'N'),(20,5048052,'1',9,'N'),(20,5048060,'1',415,'N'),(20,5048079,'1',104,'N'),(20,5048087,'1',104,'N'),(20,5048109,'1',451,'N'),(20,5048117,'1',104,'N'),(20,5048125,'1',207,'N'),(20,5048125,'1A',201,'N'),(20,5048133,'1',104,'N'),(20,5048141,'1',336,'N'),(20,5048150,'1',201,'N'),(20,5048150,'1A',235,'N'),(20,5048176,'1',207,'N'),(20,5048192,'1',316,'N'),(20,5048206,'1',108,'N'),(20,5048214,'1',201,'N'),(20,5048214,'1A',202,'N'),(20,5048222,'1',428,'N'),(20,5048222,'1A',424,'N'),(20,5048230,'1',103,'N'),(20,5048257,'1',104,'N'),(20,5048273,'1',103,'N'),(20,5048311,'1',502,'N'),(20,5048320,'1',303,'N'),(20,5048346,'1',103,'N'),(20,5048354,'1',331,'N'),(20,5048362,'1',203,'N'),(20,5048362,'1A',214,'N'),(20,5048370,'1',103,'N'),(20,5048389,'1',340,'N'),(20,5048400,'1',104,'N'),(20,5048427,'1',303,'N'),(20,5048435,'1',302,'N'),(20,5048443,'1',103,'N'),(20,5048451,'1',103,'N'),(20,5048460,'1',233,'N'),(20,5048460,'1A',203,'N'),(20,5048478,'1',501,'N'),(20,5048486,'1',319,'N'),(20,5048508,'1',601,'N'),(20,5048508,'1A',203,'N'),(20,5048524,'1',450,'N'),(20,5048532,'1',429,'N'),(20,5048532,'1A',425,'N'),(20,5048540,'1',220,'N'),(20,5048559,'1',201,'N'),(20,5048559,'1A',203,'N'),(20,5048567,'1',103,'N'),(20,5048575,'1',9,'N'),(20,5048583,'1',103,'N'),(20,5048591,'1',109,'N'),(20,5048613,'1',336,'N'),(20,5048621,'1',208,'N'),(20,5048630,'1',103,'N'),(20,5048648,'1',201,'N'),(20,5048648,'1A',601,'N'),(20,5048656,'1',103,'N'),(20,5048664,'1',207,'N'),(20,5048664,'1A',201,'N'),(20,5048672,'1',238,'N'),(20,5048672,'1A',652,'N'),(20,5048680,'1',103,'N'),(20,5048702,'1',450,'N'),(20,5048710,'1',103,'N'),(20,5048729,'1',233,'N'),(20,5048729,'1A',211,'N'),(20,5048737,'1',103,'N'),(20,5048753,'1',429,'N'),(20,5048761,'1',103,'N'),(20,5048770,'1',211,'N'),(20,5048770,'1A',233,'N'),(20,5048788,'1',316,'N'),(20,5048796,'1',233,'N'),(20,5048796,'1A',215,'N'),(20,5048800,'1',203,'N'),(20,5048800,'1A',214,'N'),(20,5048826,'1',234,'N'),(20,5048842,'1',452,'N'),(20,5048850,'1',452,'N'),(20,5048869,'1',444,'N'),(20,5048877,'1',5,'N'),(20,5048885,'1',404,'N'),(20,5048915,'1',103,'N'),(20,5048923,'1',103,'N'),(20,5048931,'1',104,'N'),(20,5048940,'1',333,'N'),(20,5048958,'1',302,'N'),(20,5048966,'1',501,'N'),(20,5048974,'1',339,'N'),(20,5048990,'1',415,'N'),(20,5049008,'1',3,'N'),(20,5049016,'1',201,'N'),(20,5049016,'1A',601,'N'),(20,5049024,'1',201,'N'),(20,5049024,'1A',203,'N'),(20,5049032,'1',104,'N'),(20,5049040,'1',103,'N'),(20,5049059,'1',207,'N'),(20,5049059,'1A',601,'N'),(20,5049067,'1',303,'N'),(20,5049075,'1',201,'N'),(20,5049075,'1A',214,'N'),(20,5049083,'1',103,'N'),(20,5049091,'1',303,'N'),(20,5049105,'1',103,'N'),(20,5049113,'1',207,'N'),(20,5049113,'1A',233,'N'),(20,5049130,'1',316,'N'),(20,5049156,'1',103,'N'),(20,5049164,'1',317,'N'),(20,5049172,'1',308,'N'),(20,5049180,'1',207,'N'),(20,5049180,'1A',201,'N'),(20,5049199,'1',303,'N'),(20,5049202,'1',207,'N'),(20,5049210,'1',317,'N'),(20,5049229,'1',108,'N'),(20,5049237,'1',220,'N'),(20,5049237,'1A',235,'N'),(20,5049245,'1',103,'N'),(20,5049253,'1',103,'N'),(20,5049261,'1',201,'N'),(20,5049261,'1A',203,'N'),(20,5049270,'1',551,'N'),(20,5049288,'1',108,'N'),(20,5049296,'1',103,'N'),(20,5049300,'1',451,'N'),(20,5049326,'1',103,'N'),(20,5049334,'1',203,'N'),(20,5049334,'1A',214,'N'),(20,5049342,'1',103,'N'),(20,5049369,'1',201,'N'),(20,5049369,'1A',216,'N'),(20,5049377,'1',103,'N'),(20,5049393,'1',5,'N'),(20,5049407,'1',501,'N'),(20,5049415,'1',5,'N'),(20,5049423,'1',102,'N'),(20,5049431,'1',207,'N'),(20,5049431,'1A',211,'N'),(20,5049440,'1',103,'N'),(20,5049458,'1',103,'N'),(20,5049466,'1',103,'N'),(20,5049474,'1',202,'N'),(20,5049474,'1A',235,'N'),(20,5049482,'1',303,'N'),(20,5049490,'1',103,'N'),(20,5049504,'1',203,'N'),(20,5049504,'1A',207,'N'),(20,5049512,'1',103,'N'),(20,5049547,'1',211,'N'),(20,5049555,'1',653,'N'),(20,5049563,'1',103,'N'),(20,5049571,'1',104,'N'),(20,5049580,'1',202,'N'),(20,5049580,'1A',203,'N'),(20,5049598,'1',103,'N'),(20,5049601,'1',453,'N'),(20,5049610,'1',103,'N'),(20,5049628,'1',501,'N'),(20,5049636,'1',212,'N'),(20,5049636,'1A',233,'N'),(20,5049644,'1',205,'N'),(20,5049652,'1',103,'N'),(20,5049660,'1',102,'N'),(20,5049679,'1',328,'N'),(20,5049687,'1',316,'N'),(20,5049717,'1',103,'N'),(20,5049725,'1',503,'N'),(20,5049741,'1',301,'N'),(20,5049750,'1',225,'N'),(20,5049768,'1',101,'N'),(20,5049776,'1',303,'N'),(20,5049784,'1',207,'N'),(20,5049784,'1A',201,'N'),(20,5049792,'1',102,'N'),(20,5049806,'1',207,'N'),(20,5049806,'1A',601,'N'),(20,5049814,'1',201,'N'),(20,5049814,'1A',215,'N'),(20,5049822,'1',202,'N'),(20,5049822,'1A',601,'N'),(20,5049830,'1',103,'N'),(20,5049849,'1',216,'N'),(20,5049849,'1A',214,'N'),(20,5049857,'1',203,'N'),(20,5049857,'1A',220,'N'),(20,5049865,'1',203,'N'),(20,5049865,'1A',201,'N'),(20,5049873,'1',653,'N'),(20,5049873,'1A',652,'N'),(20,5049881,'1',303,'N'),(20,5049903,'1',103,'N'),(20,5049920,'1',203,'N'),(20,5049920,'1A',201,'N'),(20,5049938,'1',207,'N'),(20,5049938,'1A',233,'N'),(20,5049946,'1',103,'N'),(20,5049954,'1',103,'N'),(20,5049962,'1',340,'N'),(20,5049970,'1',303,'N'),(20,5049989,'1',451,'N'),(20,5049997,'1',103,'N'),(20,5050006,'1',331,'N'),(20,5050014,'1',108,'N'),(20,5050049,'1',104,'N'),(20,5050065,'1',308,'N'),(20,5050081,'1',103,'N'),(20,5050090,'1',453,'N'),(20,5050103,'1',103,'N'),(20,5050111,'1',502,'N'),(20,5050120,'1',208,'N'),(20,5050120,'1A',238,'N'),(20,5050138,'1',103,'N'),(20,5050154,'1',103,'N'),(20,5050162,'1',203,'N'),(20,5050162,'1A',213,'N'),(20,5050170,'1',201,'N'),(20,5050170,'1A',233,'N'),(20,5050189,'1',415,'N'),(20,5050200,'1',5,'N'),(20,5050219,'1',216,'N'),(20,5050219,'1A',215,'N'),(20,5050227,'1',304,'N'),(20,5050235,'1',202,'N'),(20,5050235,'1A',215,'N'),(20,5050251,'1',103,'N'),(20,5050260,'1',103,'N'),(20,5050278,'1',601,'N'),(20,5050278,'1A',220,'N'),(20,5050308,'1',207,'N'),(20,5050308,'1A',201,'N'),(20,5050316,'1',103,'N'),(20,5050324,'1',317,'N'),(20,5050332,'1',233,'N'),(20,5050332,'1A',203,'N'),(20,5050340,'1',340,'N'),(20,5050359,'1',317,'N'),(20,5050367,'1',203,'N'),(20,5050367,'1A',202,'N'),(20,5050383,'1',108,'N'),(20,5050391,'1',104,'N'),(20,5050405,'1',211,'N'),(20,5050413,'1',203,'N'),(20,5050413,'1A',202,'N'),(20,5050430,'1',304,'N'),(20,5050448,'1',104,'N'),(20,5050456,'1',601,'N'),(20,5050456,'1A',201,'N'),(20,5050464,'1',319,'N'),(20,5050480,'1',415,'N'),(20,5050510,'1',110,'N'),(20,5050529,'1',103,'N'),(20,5050570,'1',103,'N'),(20,5050588,'1',101,'N'),(20,5050596,'1',104,'N'),(20,5050600,'1',102,'N'),(20,5050618,'1',207,'N'),(20,5050618,'1A',215,'N'),(20,5050626,'1',201,'N'),(20,5050626,'1A',212,'N'),(20,5050634,'1',222,'N'),(20,5050642,'1',104,'N'),(20,5050650,'1',653,'N'),(20,5050650,'1A',651,'N'),(20,5050685,'1',108,'N'),(20,5050693,'1',304,'N'),(20,5050723,'1',415,'N'),(20,5050731,'1',207,'N'),(20,5050731,'1A',201,'N'),(20,5050740,'1',9,'N'),(20,5050758,'1',212,'N'),(20,5050758,'1A',214,'N'),(20,5050766,'1',452,'N'),(20,5050774,'1',444,'N'),(20,5050790,'1',201,'N'),(20,5050790,'1A',212,'N'),(20,5050804,'1',450,'N'),(20,5050812,'1',319,'N'),(20,5050820,'1',103,'N'),(20,5050839,'1',207,'N'),(20,5050839,'1A',201,'N'),(20,5050847,'1',303,'N'),(20,5050855,'1',201,'N'),(20,5050855,'1A',203,'N'),(20,5050880,'1',213,'N'),(20,5050880,'1A',202,'N'),(20,5050898,'1',104,'N'),(20,5050901,'1',207,'N'),(20,5050901,'1A',201,'N'),(20,5050910,'1',216,'N'),(20,5050910,'1A',601,'N'),(20,5050928,'1',201,'N'),(20,5050928,'1A',212,'N'),(20,5050944,'1',423,'N'),(20,5050944,'1A',426,'N'),(20,5050960,'1',103,'N'),(20,5050979,'1',9,'N'),(20,5050987,'1',225,'N'),(20,5050995,'1',203,'N'),(20,5051002,'1',103,'N'),(20,5051029,'1',108,'N'),(20,5051045,'1',208,'N'),(20,5051045,'1A',238,'N'),(20,5051061,'1',108,'N'),(20,5051096,'1',103,'N'),(20,5051100,'1',601,'N'),(20,5051118,'1',205,'N'),(20,5051126,'1',5,'N'),(20,5051134,'1',340,'N'),(20,5051142,'1',211,'N'),(20,5051150,'1',207,'N'),(20,5051150,'1A',201,'N'),(20,5051169,'1',302,'N'),(20,5051177,'1',327,'N'),(20,5051185,'1',216,'N'),(20,5051185,'1A',215,'N'),(20,5051193,'1',103,'N'),(20,5051207,'1',339,'N'),(20,5051215,'1',551,'N'),(20,5051223,'1',103,'N'),(20,5051258,'1',452,'N'),(20,5051266,'1',5,'N'),(20,5051274,'1',216,'N'),(20,5051274,'1A',215,'N'),(20,5051282,'1',203,'N'),(20,5051282,'1A',202,'N'),(20,5051290,'1',450,'N'),(20,5051304,'1',234,'N'),(20,5051312,'1',444,'N'),(20,5051320,'1',103,'N'),(20,5051339,'1',202,'N'),(20,5051339,'1A',235,'N'),(20,5051347,'1',104,'N'),(20,5051355,'1',103,'N'),(20,5051363,'1',308,'N'),(20,5051371,'1',301,'N'),(20,5051398,'1',5,'N'),(20,5051410,'1',103,'N'),(20,5051428,'1',450,'N'),(20,5051436,'1',216,'N'),(20,5051436,'1A',203,'N'),(20,5051444,'1',103,'N'),(20,5051452,'1',5,'N'),(20,5051460,'1',103,'N'),(20,5051479,'1',301,'N'),(20,5051487,'1',452,'N'),(20,5051495,'1',103,'N'),(20,5051509,'1',316,'N'),(20,5051517,'1',202,'N'),(20,5051517,'1A',235,'N'),(20,5051525,'1',220,'N'),(20,5051525,'1A',214,'N'),(20,5051533,'1',215,'N'),(20,5051533,'1A',233,'N'),(20,5051550,'1',451,'N'),(20,5051568,'1',216,'N'),(20,5051568,'1A',211,'N'),(20,5051584,'1',303,'N'),(20,5051606,'1',303,'N'),(20,5051614,'1',426,'N'),(20,5051614,'1A',428,'N'),(20,5051622,'1',501,'N'),(20,5051630,'1',103,'N'),(20,5051649,'1',215,'N'),(20,5051649,'1A',216,'N'),(20,5051657,'1',208,'N'),(20,5051657,'1A',216,'N'),(20,5051665,'1',207,'N'),(20,5051681,'1',333,'N'),(20,5051690,'1',103,'N'),(20,5051703,'1',109,'N'),(20,5051711,'1',103,'N'),(20,5051720,'1',216,'N'),(20,5051720,'1A',201,'N'),(20,5051746,'1',303,'N'),(20,5051754,'1',103,'N'),(20,5051762,'1',103,'N'),(20,5051770,'1',301,'N'),(20,5051789,'1',207,'N'),(20,5051789,'1A',201,'N'),(20,5051797,'1',303,'N'),(20,5051800,'1',203,'N'),(20,5051800,'1A',233,'N'),(20,5051819,'1',202,'N'),(20,5051819,'1A',235,'N'),(20,5051851,'1',103,'N'),(20,5051878,'1',103,'N'),(20,5051886,'1',319,'N'),(20,5051894,'1',214,'N'),(20,5051894,'1A',212,'N'),(20,5051908,'1',223,'N'),(20,5051916,'1',212,'N'),(20,5051916,'1A',233,'N'),(20,5051924,'1',426,'N'),(20,5051924,'1A',428,'N'),(20,5051932,'1',201,'N'),(20,5051932,'1A',212,'N'),(20,5051959,'1',303,'N'),(20,5051967,'1',309,'N'),(20,5051975,'1',104,'N'),(20,5051991,'1',317,'N'),(20,5052017,'1',316,'N'),(20,5052025,'1',601,'N'),(20,5052025,'1A',220,'N'),(20,5052033,'1',301,'N'),(20,5052041,'1',103,'N'),(20,5052050,'1',234,'N'),(20,5052068,'1',103,'N'),(20,5052084,'1',203,'N'),(20,5052084,'1A',201,'N'),(20,5052092,'1',303,'N'),(20,5052106,'1',103,'N'),(20,5052114,'1',103,'N'),(20,5052122,'1',103,'N'),(20,5052130,'1',103,'N'),(20,5052157,'1',104,'N'),(20,5052165,'1',103,'N'),(20,5052173,'1',103,'N'),(20,5052181,'1',103,'N'),(20,5052190,'1',9,'N'),(20,5052203,'1',415,'N'),(20,5052220,'1',216,'N'),(20,5052220,'1A',233,'N'),(20,5052238,'1',207,'N'),(20,5052238,'1A',201,'N'),(20,5052246,'1',201,'N'),(20,5052246,'1A',216,'N'),(20,5052254,'1',216,'N'),(20,5052254,'1A',211,'N'),(20,5052262,'1',201,'N'),(20,5052262,'1A',207,'N'),(20,5052270,'1',103,'N'),(20,5052289,'1',103,'N'),(20,5052297,'1',336,'N'),(20,5052300,'1',103,'N'),(20,5052319,'1',308,'N'),(20,5052327,'1',103,'N'),(20,5052335,'1',339,'N'),(20,5052343,'1',9,'N'),(20,5052351,'1',103,'N'),(20,5052360,'1',329,'N'),(20,5052378,'1',452,'N'),(20,5052386,'1',303,'N'),(20,5052394,'1',103,'N'),(20,5052408,'1',207,'N'),(20,5052408,'1A',201,'N'),(20,5052416,'1',201,'N'),(20,5052416,'1A',212,'N'),(20,5052424,'1',340,'N'),(20,5052440,'1',103,'N'),(20,5052467,'1',103,'N'),(20,5052475,'1',102,'N'),(20,5052483,'1',215,'N'),(20,5052483,'1A',211,'N'),(20,5052491,'1',216,'N'),(20,5052491,'1A',203,'N'),(20,5052505,'1',601,'N'),(20,5052505,'1A',653,'N'),(20,5052513,'1',103,'N'),(20,5052521,'1',103,'N'),(20,5052530,'1',303,'N'),(20,5052572,'1',316,'N'),(20,5052580,'1',317,'N'),(20,5052599,'1',319,'N'),(20,5052602,'1',203,'N'),(20,5052602,'1A',201,'N'),(20,5052610,'1',238,'N'),(20,5052610,'1A',208,'N'),(20,5052629,'1',201,'N'),(20,5052629,'1A',202,'N'),(20,5052645,'1',103,'N'),(20,5052653,'1',102,'N'),(20,5052661,'1',320,'N'),(20,5052696,'1',203,'N'),(20,5052696,'1A',220,'N'),(20,5052700,'1',103,'N'),(20,5052718,'1',201,'N'),(20,5052718,'1A',212,'N'),(20,5052726,'1',207,'N'),(20,5052726,'1A',201,'N'),(20,5052734,'1',104,'N'),(20,5052742,'1',201,'N'),(20,5052742,'1A',212,'N'),(20,5052750,'1',103,'N'),(20,5052769,'1',220,'N'),(20,5052769,'1A',213,'N'),(20,5052785,'1',103,'N'),(20,5052793,'1',203,'N'),(20,5052793,'1A',233,'N'),(20,5052807,'1',103,'N'),(20,5052815,'1',208,'N'),(20,5052815,'1A',202,'N'),(20,5052823,'1',207,'N'),(20,5052831,'1',238,'N'),(20,5052831,'1A',208,'N'),(20,5052840,'1',202,'N'),(20,5052840,'1A',211,'N'),(20,5052858,'1',216,'N'),(20,5052858,'1A',215,'N'),(20,5052866,'1',103,'N'),(20,5052874,'1',207,'N'),(20,5052874,'1A',233,'N'),(20,5052882,'1',211,'N'),(20,5052904,'1',203,'N'),(20,5052904,'1A',214,'N'),(20,5052912,'1',450,'N'),(20,5052920,'1',104,'N'),(20,5052939,'1',450,'N'),(20,5052955,'1',233,'N'),(20,5052955,'1A',601,'N'),(20,5052971,'1',207,'N'),(20,5052971,'1A',233,'N'),(20,5052980,'1',319,'N'),(20,5052998,'1',5,'N'),(20,5053005,'1',336,'N'),(20,5053021,'1',207,'N'),(20,5053021,'1A',208,'N'),(20,5053030,'1',303,'N'),(20,5053056,'1',203,'N'),(20,5053056,'1A',214,'N'),(20,5053080,'1',103,'N'),(20,5053099,'1',103,'N'),(20,5053102,'1',201,'N'),(20,5053102,'1A',601,'N'),(20,5053110,'1',216,'N'),(20,5053110,'1A',601,'N'),(20,5053129,'1',202,'N'),(20,5053129,'1A',208,'N'),(20,5053137,'1',502,'N'),(20,5053145,'1',101,'N'),(20,5053153,'1',216,'N'),(20,5053153,'1A',235,'N'),(20,5053161,'1',103,'N'),(20,5053170,'1',302,'N'),(20,5053188,'1',5,'N'),(20,5053200,'1',213,'N'),(20,5053200,'1A',212,'N'),(20,5053218,'1',501,'N'),(20,5053226,'1',103,'N'),(20,5053234,'1',207,'N'),(20,5053234,'1A',201,'N'),(20,5053242,'1',103,'N'),(20,5053269,'1',450,'N'),(20,5053277,'1',103,'N'),(20,5053285,'1',5,'N'),(20,5053293,'1',102,'N'),(20,5053307,'1',103,'N'),(20,5053315,'1',102,'N'),(20,5053323,'1',203,'N'),(20,5053323,'1A',235,'N'),(20,5053340,'1',502,'N'),(20,5053358,'1',201,'N'),(20,5053374,'1',224,'N'),(20,5053382,'1',216,'N'),(20,5053382,'1A',211,'N'),(20,5053390,'1',108,'N'),(20,5053404,'1',201,'N'),(20,5053404,'1A',212,'N'),(20,5053412,'1',340,'N'),(20,5053439,'1',207,'N'),(20,5053439,'1A',201,'N'),(20,5053447,'1',103,'N'),(20,5053455,'1',104,'N'),(20,5053463,'1',103,'N'),(20,5053471,'1',103,'N'),(20,5053480,'1',201,'N'),(20,5053510,'1',238,'N'),(20,5053510,'1A',201,'N'),(20,5053536,'1',208,'N'),(20,5053536,'1A',216,'N'),(20,5053544,'1',103,'N'),(20,5053552,'1',319,'N'),(20,5053560,'1',304,'N'),(20,5053579,'1',103,'N'),(20,5053587,'1',452,'N'),(20,5053595,'1',211,'N'),(20,5053595,'1A',215,'N'),(20,5053617,'1',319,'N'),(20,5053625,'1',238,'N'),(20,5053625,'1A',208,'N'),(20,5053633,'1',101,'N'),(20,5053641,'1',220,'N'),(20,5053641,'1A',214,'N'),(20,5053650,'1',308,'N'),(20,5053668,'1',103,'N'),(20,5053676,'1',203,'N'),(20,5053676,'1A',214,'N'),(20,5053684,'1',340,'N'),(20,5053706,'1',103,'N'),(20,5053714,'1',453,'N'),(20,5053722,'1',333,'N'),(20,5053749,'1',103,'N'),(20,5053757,'1',207,'N'),(20,5053757,'1A',233,'N'),(20,5053765,'1',332,'N'),(20,5053773,'1',216,'N'),(20,5053773,'1A',601,'N'),(20,5053781,'1',104,'N'),(20,5053803,'1',316,'N'),(20,5053811,'1',415,'N'),(20,5053838,'1',103,'N'),(20,5053846,'1',203,'N'),(20,5053846,'1A',214,'N'),(20,5053870,'1',212,'N'),(20,5053870,'1A',233,'N'),(20,5053889,'1',103,'N'),(20,5053897,'1',601,'N'),(20,5053897,'1A',203,'N'),(20,5053900,'1',333,'N'),(20,5053919,'1',453,'N'),(20,5053927,'1',201,'N'),(20,5053927,'1A',216,'N'),(20,5053935,'1',103,'N'),(20,5053943,'1',202,'N'),(20,5053943,'1A',203,'N'),(20,5053951,'1',101,'N'),(20,5053960,'1',201,'N'),(20,5053978,'1',415,'N'),(20,5053986,'1',103,'N'),(20,5053994,'1',103,'N'),(20,5054001,'1',303,'N'),(20,5054010,'1',103,'N'),(20,5054028,'1',201,'N'),(20,5054028,'1A',207,'N'),(20,5054036,'1',340,'N'),(20,5054044,'1',103,'N'),(20,5054052,'1',109,'N'),(20,5054079,'1',340,'N'),(20,5054087,'1',101,'N'),(20,5054095,'1',201,'N'),(20,5054095,'1A',202,'N'),(20,5054109,'1',211,'N'),(20,5054109,'1A',207,'N'),(20,5054117,'1',303,'N'),(20,5054125,'1',212,'N'),(20,5054125,'1A',233,'N'),(20,5054133,'1',103,'N'),(20,5054150,'1',216,'N'),(20,5054168,'1',303,'N'),(20,5054176,'1',404,'N'),(20,5054184,'1',103,'N'),(20,5054192,'1',324,'N'),(20,5054230,'1',102,'N'),(20,5054257,'1',201,'N'),(20,5054257,'1A',233,'N'),(20,5054265,'1',103,'N'),(20,5054273,'1',5,'N'),(20,5054281,'1',201,'N'),(20,5054281,'1A',215,'N'),(20,5054290,'1',103,'N'),(20,5054303,'1',9,'N'),(20,5054311,'1',340,'N'),(20,5054320,'1',5,'N'),(20,5054338,'1',453,'N'),(20,5054346,'1',213,'N'),(20,5054346,'1A',214,'N'),(20,5054362,'1',333,'N'),(20,5054370,'1',203,'N'),(20,5054370,'1A',201,'N'),(20,5054419,'1',302,'N'),(20,5054443,'1',3,'N'),(20,5054451,'1',308,'N'),(20,5054460,'1',104,'N'),(20,5054486,'1',425,'N'),(20,5054486,'1A',429,'N'),(20,5054494,'1',303,'N'),(20,5054508,'1',103,'N'),(20,5054516,'1',103,'N'),(20,5054524,'1',303,'N'),(20,5054540,'1',5,'N'),(20,5054567,'1',207,'N'),(20,5054567,'1A',201,'N'),(20,5054575,'1',201,'N'),(20,5054575,'1A',212,'N'),(20,5054583,'1',222,'N'),(20,5054591,'1',103,'N'),(20,5054605,'1',108,'N'),(20,5054613,'1',211,'N'),(20,5054613,'1A',216,'N'),(20,5054621,'1',425,'N'),(20,5054621,'1A',429,'N'),(20,5054630,'1',207,'N'),(20,5054630,'1A',238,'N'),(20,5054656,'1',207,'N'),(20,5054656,'1A',601,'N'),(20,5054672,'1',102,'N'),(20,5054680,'1',316,'N'),(20,5054702,'1',501,'N'),(20,5054710,'1',428,'N'),(20,5054710,'1A',421,'N'),(20,5054729,'1',309,'N'),(20,5054737,'1',301,'N'),(20,5054753,'1',331,'N'),(20,5054761,'1',5,'N'),(20,5054788,'1',104,'N'),(20,5054796,'1',103,'N'),(20,5054800,'1',207,'N'),(20,5054800,'1A',201,'N'),(20,5054818,'1',208,'N'),(20,5054818,'1A',238,'N'),(20,5054826,'1',216,'N'),(20,5054826,'1A',207,'N'),(20,5054834,'1',103,'N'),(20,5054842,'1',214,'N'),(20,5054842,'1A',213,'N'),(20,5054850,'1',103,'N'),(20,5054869,'1',424,'N'),(20,5054869,'1A',427,'N'),(20,5054877,'1',103,'N'),(20,5054885,'1',103,'N'),(20,5054893,'1',103,'N'),(20,5054907,'1',216,'N'),(20,5054907,'1A',215,'N'),(20,5054915,'1',201,'N'),(20,5054923,'1',551,'N'),(20,5054931,'1',110,'N'),(20,5054940,'1',450,'N'),(20,5054958,'1',207,'N'),(20,5054958,'1A',201,'N'),(20,5054974,'1',601,'N'),(20,5054974,'1A',207,'N'),(20,5054982,'1',9,'N'),(20,5054990,'1',501,'N'),(20,5055008,'1',207,'N'),(20,5055008,'1A',215,'N'),(20,5055016,'1',103,'N'),(20,5055024,'1',503,'N'),(20,5055032,'1',103,'N'),(20,5055040,'1',316,'N'),(20,5055059,'1',233,'N'),(20,5055059,'1A',213,'N'),(20,5055067,'1',203,'N'),(20,5055075,'1',203,'N'),(20,5055075,'1A',220,'N'),(20,5055083,'1',108,'N'),(20,5055113,'1',103,'N'),(20,5055121,'1',203,'N'),(20,5055121,'1A',220,'N'),(20,5055130,'1',103,'N'),(20,5055156,'1',9,'N'),(20,5055164,'1',235,'N'),(20,5055164,'1A',214,'N'),(20,5055172,'1',225,'N'),(20,5055180,'1',201,'N'),(20,5055180,'1A',203,'N'),(20,5055199,'1',303,'N'),(20,5055202,'1',303,'N'),(20,5055210,'1',103,'N'),(20,5055229,'1',340,'N'),(20,5055237,'1',102,'N'),(20,5055245,'1',429,'N'),(20,5055245,'1A',427,'N'),(20,5055253,'1',103,'N'),(20,5055288,'1',201,'N'),(20,5055288,'1A',202,'N'),(20,5055296,'1',103,'N'),(20,5055300,'1',103,'N'),(20,5055318,'1',103,'N'),(20,5055326,'1',203,'N'),(20,5055326,'1A',233,'N'),(20,5055334,'1',326,'N'),(20,5055342,'1',103,'N'),(20,5055350,'1',225,'N'),(20,5055369,'1',233,'N'),(20,5055369,'1A',214,'N'),(20,5055377,'1',303,'N'),(20,5055385,'1',303,'N'),(20,5055393,'1',238,'N'),(20,5055393,'1A',233,'N'),(20,5055407,'1',104,'N'),(20,5055423,'1',201,'N'),(20,5055423,'1A',212,'N'),(20,5055431,'1',319,'N'),(20,5055466,'1',301,'N'),(20,5055474,'1',201,'N'),(20,5055474,'1A',216,'N'),(20,5055482,'1',429,'N'),(20,5055482,'1A',425,'N'),(20,5055490,'1',340,'N'),(20,5055504,'1',103,'N'),(20,5055512,'1',415,'N'),(20,5055520,'1',303,'N'),(20,5055547,'1',103,'N'),(20,5055555,'1',9,'N'),(20,5055563,'1',303,'N'),(20,5055571,'1',203,'N'),(20,5055571,'1A',201,'N'),(20,5055580,'1',103,'N'),(20,5055598,'1',202,'N'),(20,5055598,'1A',235,'N'),(20,5055601,'1',213,'N'),(20,5055601,'1A',214,'N'),(20,5055610,'1',108,'N'),(20,5055628,'1',5,'N'),(20,5055636,'1',308,'N'),(20,5055644,'1',103,'N'),(20,5055652,'1',103,'N'),(20,5055679,'1',601,'N'),(20,5055679,'1A',201,'N'),(20,5055695,'1',319,'N'),(20,5055709,'1',201,'N'),(20,5055709,'1A',211,'N'),(20,5055717,'1',207,'N'),(20,5055725,'1',203,'N'),(20,5055725,'1A',202,'N'),(20,5055733,'1',203,'N'),(20,5055733,'1A',202,'N'),(20,5055741,'1',104,'N'),(20,5055750,'1',318,'N'),(20,5055768,'1',103,'N'),(20,5055776,'1',208,'N'),(20,5055776,'1A',238,'N'),(20,5055784,'1',203,'N'),(20,5055784,'1A',214,'N'),(20,5055792,'1',303,'N'),(20,5055806,'1',102,'N'),(20,5055814,'1',220,'N'),(20,5055814,'1A',207,'N'),(20,5055822,'1',215,'N'),(20,5055822,'1A',233,'N'),(20,5055830,'1',108,'N'),(20,5055849,'1',103,'N'),(20,5055857,'1',103,'N'),(20,5055865,'1',103,'N'),(20,5055873,'1',108,'N'),(20,5055890,'1',208,'N'),(20,5055890,'1A',238,'N'),(20,5055903,'1',103,'N'),(20,5055911,'1',317,'N'),(20,5055920,'1',103,'N'),(20,5055946,'1',220,'N'),(20,5055946,'1A',238,'N'),(20,5055954,'1',238,'N'),(20,5055954,'1A',208,'N'),(20,5055970,'1',216,'N'),(20,5055970,'1A',201,'N'),(20,5055989,'1',103,'N'),(20,5055997,'1',601,'N'),(20,5056004,'1',316,'N'),(20,5056012,'1',317,'N'),(20,5056020,'1',5,'N'),(20,5056039,'1',103,'N'),(20,5056047,'1',103,'N'),(20,5056055,'1',201,'N'),(20,5056055,'1A',212,'N'),(20,5056063,'1',303,'N'),(20,5056071,'1',501,'N'),(20,5056080,'1',214,'N'),(20,5056080,'1A',213,'N'),(20,5056098,'1',319,'N'),(20,5056101,'1',420,'N'),(20,5056110,'1',444,'N'),(20,5056136,'1',208,'N'),(20,5056144,'1',302,'N'),(20,5056187,'1',103,'N'),(20,5056195,'1',5,'N'),(20,5056209,'1',103,'N'),(20,5056217,'1',501,'N'),(20,5056233,'1',201,'N'),(20,5056233,'1A',601,'N'),(20,5056241,'1',301,'N'),(20,5056250,'1',303,'N'),(20,5056276,'1',103,'N'),(20,5056284,'1',601,'N'),(20,5056284,'1A',213,'N'),(20,5056292,'1',5,'N'),(20,5056306,'1',203,'N'),(20,5056306,'1A',214,'N'),(20,5056314,'1',101,'N'),(20,5056330,'1',201,'N'),(20,5056330,'1A',212,'N'),(20,5056349,'1',203,'N'),(20,5056349,'1A',214,'N'),(20,5056357,'1',103,'N'),(20,5056373,'1',9,'N'),(20,5056390,'1',5,'N'),(20,5056403,'1',303,'N'),(20,5056411,'1',103,'N'),(20,5056420,'1',103,'N'),(20,5056438,'1',340,'N'),(20,5056446,'1',601,'N'),(20,5056446,'1A',203,'N'),(20,5056454,'1',208,'N'),(20,5056454,'1A',238,'N'),(20,5056462,'1',303,'N'),(20,5056470,'1',211,'N'),(20,5056470,'1A',216,'N'),(20,5056489,'1',103,'N'),(20,5056500,'1',319,'N'),(20,5056519,'1',5,'N'),(20,5056527,'1',203,'N'),(20,5056527,'1A',202,'N'),(20,5056551,'1',203,'N'),(20,5056551,'1A',220,'N'),(20,5056594,'1',420,'N'),(20,5056608,'1',340,'N'),(20,5056616,'1',103,'N'),(20,5056632,'1',103,'N'),(20,5056640,'1',420,'N'),(20,5056659,'1',203,'N'),(20,5056659,'1A',214,'N'),(20,5056667,'1',340,'N'),(20,5056675,'1',212,'N'),(20,5056675,'1A',213,'N'),(20,5056691,'1',207,'N'),(20,5056691,'1A',215,'N'),(20,5056713,'1',3,'N'),(20,5056721,'1',214,'N'),(20,5056721,'1A',201,'N'),(20,5056730,'1',429,'N'),(20,5056730,'1A',425,'N'),(20,5056748,'1',201,'N'),(20,5056748,'1A',601,'N'),(20,5056756,'1',415,'N'),(20,5056772,'1',452,'N'),(20,5056780,'1',103,'N'),(20,5056802,'1',108,'N'),(20,5056810,'1',103,'N'),(20,5056829,'1',207,'N'),(20,5056829,'1A',211,'N'),(20,5056837,'1',5,'N'),(20,5056861,'1',304,'N'),(20,5056888,'1',328,'N'),(20,5056896,'1',340,'N'),(20,5056900,'1',211,'N'),(20,5056900,'1A',215,'N'),(20,5056918,'1',601,'N'),(20,5056918,'1A',203,'N'),(20,5056926,'1',233,'N'),(20,5056926,'1A',216,'N'),(20,5056934,'1',9,'N'),(20,5056942,'1',103,'N'),(20,5056969,'1',103,'N'),(20,5056977,'1',220,'N'),(20,5056977,'1A',235,'N'),(20,5056985,'1',203,'N'),(20,5056985,'1A',220,'N'),(20,5057000,'1',331,'N'),(20,5057019,'1',208,'N'),(20,5057019,'1A',238,'N'),(20,5057035,'1',101,'N'),(20,5057043,'1',303,'N'),(20,5057051,'1',216,'N'),(20,5057051,'1A',201,'N'),(20,5057060,'1',404,'N'),(20,5057078,'1',103,'N'),(20,5057086,'1',5,'N'),(20,5057094,'1',104,'N'),(20,5057108,'1',103,'N'),(20,5057116,'1',415,'N'),(20,5057124,'1',104,'N'),(20,5057132,'1',202,'N'),(20,5057132,'1A',213,'N'),(20,5057140,'1',108,'N'),(20,5057159,'1',319,'N'),(20,5057167,'1',211,'N'),(20,5057167,'1A',215,'N'),(20,5057175,'1',201,'N'),(20,5057175,'1A',207,'N'),(20,5057183,'1',301,'N'),(20,5057191,'1',319,'N'),(20,5057213,'1',5,'N'),(20,5057230,'1',444,'N'),(20,5057248,'1',103,'N'),(20,5057256,'1',340,'N'),(20,5057264,'1',333,'N'),(20,5057272,'1',207,'N'),(20,5057272,'1A',208,'N'),(20,5057280,'1',303,'N'),(20,5057302,'1',207,'N'),(20,5057302,'1A',215,'N'),(20,5057310,'1',103,'N'),(20,5057329,'1',103,'N'),(20,5057337,'1',216,'N'),(20,5057337,'1A',211,'N'),(20,5057345,'1',331,'N'),(20,5057353,'1',233,'N'),(20,5057353,'1A',213,'N'),(20,5057370,'1',104,'N'),(20,5057388,'1',601,'N'),(20,5057388,'1A',216,'N'),(20,5057396,'1',420,'N'),(20,5057400,'1',235,'N'),(20,5057400,'1A',202,'N'),(20,5057418,'1',333,'N'),(20,5057426,'1',303,'N'),(20,5057434,'1',108,'N'),(20,5057442,'1',103,'N'),(20,5057450,'1',211,'N'),(20,5057450,'1A',233,'N'),(20,5057477,'1',208,'N'),(20,5057477,'1A',238,'N'),(20,5057485,'1',103,'N'),(20,5057507,'1',5,'N'),(20,5057515,'1',103,'N'),(20,5057523,'1',415,'N'),(20,5057531,'1',234,'N'),(20,5057540,'1',5,'N'),(20,5057558,'1',103,'N'),(20,5057566,'1',104,'N'),(20,5057574,'1',103,'N'),(20,5057582,'1',207,'N'),(20,5057590,'1',207,'N'),(20,5057604,'1',303,'N'),(20,5057620,'1',336,'N'),(20,5057639,'1',309,'N'),(20,5057655,'1',216,'N'),(20,5057655,'1A',233,'N'),(20,5057671,'1',303,'N'),(20,5057680,'1',551,'N'),(20,5057701,'1',216,'N'),(20,5057701,'1A',211,'N'),(20,5057710,'1',202,'N'),(20,5057710,'1A',211,'N'),(20,5057728,'1',103,'N'),(20,5057736,'1',215,'N'),(20,5057736,'1A',216,'N'),(20,5057752,'1',103,'N'),(20,5057779,'1',302,'N'),(20,5057795,'1',207,'N'),(20,5057795,'1A',201,'N'),(20,5057809,'1',102,'N'),(20,5057817,'1',420,'N'),(20,5057833,'1',202,'N'),(20,5057833,'1A',213,'N'),(20,5057841,'1',303,'N'),(20,5057850,'1',203,'N'),(20,5057850,'1A',220,'N'),(20,5057876,'1',238,'N'),(20,5057876,'1A',208,'N'),(20,5057884,'1',213,'N'),(20,5057884,'1A',214,'N'),(20,5057892,'1',319,'N'),(20,5057906,'1',208,'N'),(20,5057906,'1A',220,'N'),(20,5057914,'1',319,'N'),(20,5057922,'1',207,'N'),(20,5057930,'1',216,'N'),(20,5057930,'1A',208,'N'),(20,5057949,'1',203,'N'),(20,5057949,'1A',214,'N'),(20,5057957,'1',103,'N'),(20,5057973,'1',340,'N'),(20,5057981,'1',304,'N'),(20,5057990,'1',444,'N'),(20,5058007,'1',202,'N'),(20,5058007,'1A',213,'N'),(20,5058015,'1',303,'N'),(20,5058023,'1',3,'N'),(20,5058031,'1',340,'N'),(20,5058040,'1',340,'N'),(20,5058058,'1',303,'N'),(20,5058066,'1',301,'N'),(20,5058074,'1',103,'N'),(20,5058090,'1',103,'N'),(20,5058104,'1',103,'N'),(20,5058112,'1',404,'N'),(20,5058120,'1',103,'N'),(20,5058139,'1',211,'N'),(20,5058139,'1A',216,'N'),(20,5058171,'1',103,'N'),(20,5058180,'1',103,'N'),(20,5058198,'1',216,'N'),(20,5058198,'1A',203,'N'),(20,5058210,'1',333,'N'),(20,5058228,'1',211,'N'),(20,5058228,'1A',207,'N'),(20,5058236,'1',103,'N'),(20,5058244,'1',452,'N'),(20,5058252,'1',303,'N'),(20,5058260,'1',317,'N'),(20,5058279,'1',420,'N'),(20,5058287,'1',203,'N'),(20,5058287,'1A',235,'N'),(20,5058309,'1',103,'N'),(20,5058317,'1',101,'N'),(20,5058325,'1',103,'N'),(20,5058333,'1',426,'N'),(20,5058333,'1A',428,'N'),(20,5058341,'1',103,'N'),(20,5058350,'1',207,'N'),(20,5058350,'1A',201,'N'),(20,5058368,'1',310,'N'),(20,5058376,'1',201,'N'),(20,5058376,'1A',233,'N'),(20,5058384,'1',301,'N'),(20,5058406,'1',214,'N'),(20,5058406,'1A',233,'N'),(20,5058414,'1',208,'N'),(20,5058414,'1A',238,'N'),(20,5058422,'1',103,'N'),(20,5058430,'1',201,'N'),(20,5058457,'1',103,'N'),(20,5058473,'1',103,'N'),(20,5058490,'1',301,'N'),(20,5058503,'1',108,'N'),(20,5058511,'1',201,'N'),(20,5058511,'1A',601,'N'),(20,5058520,'1',201,'N'),(20,5058520,'1A',211,'N'),(20,5058538,'1',103,'N'),(20,5058546,'1',103,'N'),(20,5058554,'1',103,'N'),(20,5058562,'1',415,'N'),(20,5058589,'1',203,'N'),(20,5058589,'1A',201,'N'),(20,5058597,'1',420,'N'),(20,5058600,'1',303,'N'),(20,5058619,'1',203,'N'),(20,5058619,'1A',214,'N'),(20,5058635,'1',103,'N'),(20,5058651,'1',203,'N'),(20,5058651,'1A',220,'N'),(20,5058686,'1',303,'N'),(20,5058694,'1',319,'N'),(20,5058708,'1',201,'N'),(20,5058708,'1A',212,'N'),(20,5058716,'1',103,'N'),(20,5058724,'1',102,'N'),(20,5058732,'1',317,'N'),(20,5058740,'1',404,'N'),(20,5058759,'1',308,'N'),(20,5058767,'1',301,'N'),(20,5058775,'1',201,'N'),(20,5058775,'1A',235,'N'),(20,5058783,'1',104,'N'),(20,5058805,'1',329,'N'),(20,5058813,'1',103,'N'),(20,5058821,'1',201,'N'),(20,5058821,'1A',212,'N'),(20,5058830,'1',203,'N'),(20,5058848,'1',203,'N'),(20,5058848,'1A',216,'N'),(20,5058856,'1',303,'N'),(20,5058872,'1',426,'N'),(20,5058872,'1A',428,'N'),(20,5058880,'1',201,'N'),(20,5058880,'1A',215,'N'),(20,5058899,'1',444,'N'),(20,5058902,'1',103,'N'),(20,5058910,'1',9,'N'),(20,5058929,'1',303,'N'),(20,5058945,'1',215,'N'),(20,5058945,'1A',202,'N'),(20,5058953,'1',420,'N'),(20,5058961,'1',331,'N'),(20,5058970,'1',428,'N'),(20,5058970,'1A',426,'N'),(20,5058988,'1',201,'N'),(20,5058988,'1A',207,'N'),(20,5058996,'1',551,'N'),(20,5059011,'1',233,'N'),(20,5059011,'1A',211,'N'),(20,5059038,'1',213,'N'),(20,5059038,'1A',220,'N'),(20,5059046,'1',9,'N'),(20,5059054,'1',420,'N'),(20,5059062,'1',201,'N'),(20,5059062,'1A',202,'N'),(20,5059070,'1',444,'N'),(20,5059089,'1',103,'N'),(20,5059097,'1',101,'N'),(20,5059100,'1',102,'N'),(20,5059119,'1',103,'N'),(20,5059127,'1',103,'N'),(20,5059143,'1',104,'N'),(20,5059151,'1',103,'N'),(20,5059160,'1',202,'N'),(20,5059160,'1A',213,'N'),(20,5059186,'1',203,'N'),(20,5059186,'1A',202,'N'),(20,5059208,'1',103,'N'),(20,5059216,'1',103,'N'),(20,5059224,'1',653,'N'),(20,5059224,'1A',202,'N'),(20,5059240,'1',216,'N'),(20,5059240,'1A',203,'N'),(20,5059259,'1',202,'N'),(20,5059259,'1A',220,'N'),(20,5059267,'1',9,'N'),(20,5059275,'1',316,'N'),(20,5059283,'1',103,'N'),(20,5059305,'1',220,'N'),(20,5059305,'1A',202,'N'),(20,5059313,'1',103,'N'),(20,5059321,'1',103,'N'),(20,5059356,'1',207,'N'),(20,5059356,'1A',238,'N'),(20,5059364,'1',308,'N'),(20,5059372,'1',208,'N'),(20,5059380,'1',207,'N'),(20,5059380,'1A',201,'N'),(20,5059399,'1',108,'N'),(20,5059410,'1',333,'N'),(20,5059429,'1',103,'N'),(20,5059437,'1',216,'N'),(20,5059437,'1A',208,'N'),(20,5059453,'1',316,'N'),(20,5059461,'1',203,'N'),(20,5059461,'1A',216,'N'),(20,5059470,'1',103,'N'),(20,5059488,'1',303,'N'),(20,5059496,'1',103,'N'),(20,5059500,'1',233,'N'),(20,5059500,'1A',601,'N'),(20,5059518,'1',308,'N'),(20,5059526,'1',317,'N'),(20,5059534,'1',601,'N'),(20,5059534,'1A',201,'N'),(20,5059550,'1',102,'N'),(20,5059569,'1',108,'N'),(20,5059577,'1',203,'N'),(20,5059577,'1A',201,'N'),(20,5059585,'1',238,'N'),(20,5059585,'1A',203,'N'),(20,5059593,'1',501,'N'),(20,5059607,'1',103,'N'),(20,5059623,'1',653,'N'),(20,5059623,'1A',652,'N'),(20,5059631,'1',103,'N'),(20,5059640,'1',207,'N'),(20,5059658,'1',103,'N'),(20,5059666,'1',208,'N'),(20,5059666,'1A',238,'N'),(20,5059674,'1',235,'N'),(20,5059674,'1A',203,'N'),(20,5059682,'1',201,'N'),(20,5059682,'1A',235,'N'),(20,5059690,'1',103,'N'),(20,5059712,'1',319,'N'),(20,5059720,'1',317,'N'),(20,5059739,'1',103,'N'),(20,5059747,'1',302,'N'),(20,5059755,'1',9,'N'),(20,5059763,'1',103,'N'),(20,5059771,'1',201,'N'),(20,5059771,'1A',212,'N'),(20,5059780,'1',601,'N'),(20,5059798,'1',9,'N'),(20,5059801,'1',653,'N'),(20,5059801,'1A',652,'N'),(20,5059810,'1',103,'N'),(20,5059836,'1',108,'N'),(20,5059852,'1',303,'N'),(20,5059860,'1',452,'N'),(20,5059879,'1',103,'N'),(20,5059887,'1',216,'N'),(20,5059887,'1A',203,'N'),(20,5059895,'1',303,'N'),(20,5059909,'1',9,'N'),(20,5059917,'1',340,'N'),(20,5059976,'1',319,'N'),(20,5059984,'1',303,'N'),(20,5059992,'1',103,'N'),(20,5060001,'1',103,'N'),(20,5060010,'1',103,'N'),(20,5060028,'1',303,'N'),(20,5060036,'1',103,'N'),(20,5060044,'1',103,'N'),(20,5060052,'1',304,'N'),(20,5060060,'1',420,'N'),(20,5060079,'1',203,'N'),(20,5060079,'1A',601,'N'),(20,5060087,'1',503,'N'),(20,5060095,'1',301,'N'),(20,5060117,'1',207,'N'),(20,5060117,'1A',211,'N'),(20,5060125,'1',103,'N'),(20,5060141,'1',503,'N'),(20,5060150,'1',202,'N'),(20,5060150,'1A',203,'N'),(20,5060176,'1',220,'N'),(20,5060176,'1A',208,'N'),(20,5060184,'1',203,'N'),(20,5060184,'1A',220,'N'),(20,5060192,'1',201,'N'),(20,5060192,'1A',207,'N'),(20,5060206,'1',103,'N'),(20,5060214,'1',233,'N'),(20,5060214,'1A',220,'N'),(20,5060222,'1',103,'N'),(20,5060230,'1',238,'N'),(20,5060230,'1A',213,'N'),(20,5060257,'1',216,'N'),(20,5060273,'1',103,'N'),(20,5060281,'1',415,'N'),(20,5060320,'1',420,'N'),(20,5060346,'1',319,'N'),(20,5060354,'1',103,'N'),(20,5060362,'1',202,'N'),(20,5060362,'1A',235,'N'),(20,5060370,'1',302,'N'),(20,5060389,'1',108,'N'),(20,5060400,'1',103,'N'),(20,5060419,'1',201,'N'),(20,5060419,'1A',203,'N'),(20,5060435,'1',207,'N'),(20,5060435,'1A',211,'N'),(20,5060443,'1',201,'N'),(20,5060443,'1A',212,'N'),(20,5060451,'1',327,'N'),(20,5060478,'1',103,'N'),(20,5060486,'1',5,'N'),(20,5060494,'1',216,'N'),(20,5060494,'1A',235,'N'),(20,5060508,'1',207,'N'),(20,5060508,'1A',212,'N'),(20,5060516,'1',208,'N'),(20,5060516,'1A',214,'N'),(20,5060524,'1',102,'N'),(20,5060532,'1',303,'N'),(20,5060540,'1',201,'N'),(20,5060540,'1A',212,'N'),(20,5060567,'1',207,'N'),(20,5060575,'1',103,'N'),(20,5060583,'1',103,'N'),(20,5060605,'1',208,'N'),(20,5060605,'1A',220,'N'),(20,5060613,'1',340,'N'),(20,5060621,'1',104,'N'),(20,5060630,'1',501,'N'),(20,5060648,'1',103,'N'),(20,5060664,'1',220,'N'),(20,5060664,'1A',213,'N'),(20,5060672,'1',103,'N'),(20,5060699,'1',103,'N'),(20,5060702,'1',203,'N'),(20,5060702,'1A',214,'N'),(20,5060710,'1',103,'N'),(20,5060729,'1',207,'N'),(20,5060729,'1A',212,'N'),(20,5060737,'1',103,'N'),(20,5060745,'1',214,'N'),(20,5060745,'1A',211,'N'),(20,5060753,'1',501,'N'),(20,5060761,'1',220,'N'),(20,5060761,'1A',203,'N'),(20,5060770,'1',208,'N'),(20,5060770,'1A',238,'N'),(20,5060788,'1',103,'N'),(20,5060796,'1',302,'N'),(20,5060800,'1',103,'N'),(20,5060826,'1',103,'N'),(20,5060842,'1',503,'N'),(20,5060850,'1',429,'N'),(20,5060850,'1A',428,'N'),(20,5060869,'1',103,'N'),(20,5060877,'1',108,'N'),(20,5060893,'1',415,'N'),(20,5060907,'1',216,'N'),(20,5060907,'1A',233,'N'),(20,5060915,'1',103,'N'),(20,5060923,'1',601,'N'),(20,5060923,'1A',203,'N'),(20,5060931,'1',214,'N'),(20,5060931,'1A',601,'N'),(20,5060940,'1',102,'N'),(20,5060958,'1',103,'N'),(20,5060966,'1',103,'N'),(20,5060974,'1',211,'N'),(20,5060974,'1A',201,'N'),(20,5060982,'1',203,'N'),(20,5060982,'1A',202,'N'),(20,5060990,'1',103,'N'),(20,5061008,'1',203,'N'),(20,5061008,'1A',214,'N'),(20,5061016,'1',207,'N'),(20,5061016,'1A',201,'N'),(20,5061032,'1',327,'N'),(20,5061040,'1',104,'N'),(20,5061067,'1',103,'N'),(20,5061075,'1',103,'N'),(20,5061083,'1',333,'N'),(20,5061091,'1',444,'N'),(20,5061105,'1',211,'N'),(20,5061105,'1A',216,'N'),(20,5061113,'1',601,'N'),(20,5061113,'1A',202,'N'),(20,5061121,'1',203,'N'),(20,5061121,'1A',214,'N'),(20,5061130,'1',103,'N'),(20,5061148,'1',103,'N'),(20,5061156,'1',201,'N'),(20,5061156,'1A',220,'N'),(20,5061164,'1',103,'N'),(20,5061172,'1',103,'N'),(20,5061180,'1',202,'N'),(20,5061180,'1A',213,'N'),(20,5061199,'1',415,'N'),(20,5061202,'1',211,'N'),(20,5061202,'1A',216,'N'),(20,5061210,'1',5,'N'),(20,5061229,'1',103,'N'),(20,5061237,'1',201,'N'),(20,5061237,'1A',203,'N'),(20,5061245,'1',103,'N'),(20,5061253,'1',103,'N'),(20,5061261,'1',103,'N'),(20,5061270,'1',320,'N'),(20,5061288,'1',103,'N'),(20,5061296,'1',207,'N'),(20,5061296,'1A',235,'N'),(20,5061300,'1',420,'N'),(20,5061318,'1',103,'N'),(20,5061326,'1',424,'N'),(20,5061326,'1A',421,'N'),(20,5061334,'1',103,'N'),(20,5061342,'1',104,'N'),(20,5061350,'1',601,'N'),(20,5061350,'1A',215,'N'),(20,5061369,'1',214,'N'),(20,5061369,'1A',220,'N'),(20,5061377,'1',207,'N'),(20,5061377,'1A',201,'N'),(20,5061385,'1',103,'N'),(20,5061393,'1',340,'N'),(20,5061407,'1',103,'N'),(20,5061415,'1',207,'N'),(20,5061415,'1A',201,'N'),(20,5061423,'1',103,'N'),(20,5061431,'1',103,'N'),(20,5061440,'1',103,'N'),(20,5061458,'1',103,'N'),(20,5061466,'1',211,'N'),(20,5061466,'1A',215,'N'),(20,5061474,'1',453,'N'),(20,5061482,'1',316,'N'),(20,5061490,'1',336,'N'),(20,5061504,'1',108,'N'),(20,5061520,'1',103,'N'),(20,5061539,'1',103,'N'),(20,5061547,'1',340,'N'),(20,5061563,'1',201,'N'),(20,5061563,'1A',216,'N'),(20,5061571,'1',415,'N'),(20,5061580,'1',233,'N'),(20,5061580,'1A',203,'N'),(20,5061598,'1',103,'N'),(20,5061601,'1',103,'N'),(20,5061610,'1',404,'N'),(20,5061628,'1',211,'N'),(20,5061628,'1A',202,'N'),(20,5061652,'1',103,'N'),(20,5061679,'1',103,'N'),(20,5061687,'1',103,'N'),(20,5061695,'1',653,'N'),(20,5061709,'1',104,'N'),(20,5061717,'1',104,'N'),(20,5061733,'1',108,'N'),(20,5061741,'1',551,'N'),(20,5061750,'1',103,'N'),(20,5061768,'1',103,'N'),(20,5061776,'1',340,'N'),(20,5061784,'1',103,'N'),(20,5061792,'1',308,'N'),(20,5061806,'1',303,'N'),(20,5061814,'1',203,'N'),(20,5061814,'1A',216,'N'),(20,5061822,'1',203,'N'),(20,5061822,'1A',202,'N'),(20,5061830,'1',420,'N'),(20,5061865,'1',340,'N'),(20,5061881,'1',103,'N'),(20,5061890,'1',310,'N'),(20,5061903,'1',316,'N'),(20,5061911,'1',103,'N'),(20,5061938,'1',108,'N'),(20,5061962,'1',444,'N'),(20,5061970,'1',103,'N'),(20,5061989,'1',102,'N'),(20,5062012,'1',102,'N'),(20,5062020,'1',203,'N'),(20,5062020,'1A',214,'N'),(20,5062047,'1',207,'N'),(20,5062047,'1A',208,'N'),(20,5062071,'1',202,'N'),(20,5062071,'1A',235,'N'),(20,5062080,'1',103,'N'),(20,5062098,'1',201,'N'),(20,5062098,'1A',601,'N'),(20,5062101,'1',404,'N'),(20,5062110,'1',601,'N'),(20,5062110,'1A',203,'N'),(20,5062128,'1',324,'N'),(20,5062136,'1',103,'N'),(20,5062152,'1',104,'N'),(20,5062160,'1',303,'N'),(20,5062179,'1',203,'N'),(20,5062179,'1A',214,'N'),(20,5062187,'1',108,'N'),(20,5062195,'1',303,'N'),(20,5062209,'1',238,'N'),(20,5062209,'1A',208,'N'),(20,5062217,'1',203,'N'),(20,5062217,'1A',214,'N'),(20,5062225,'1',205,'N'),(20,5062233,'1',423,'N'),(20,5062233,'1A',427,'N'),(20,5062250,'1',5,'N'),(20,5062276,'1',220,'N'),(20,5062276,'1A',203,'N'),(20,5062284,'1',207,'N'),(20,5062284,'1A',211,'N'),(20,5062292,'1',101,'N'),(20,5062306,'1',5,'N'),(20,5062322,'1',103,'N'),(20,5062330,'1',104,'N'),(20,5062349,'1',103,'N'),(20,5062357,'1',103,'N'),(20,5062365,'1',420,'N'),(20,5062373,'1',5,'N'),(20,5062390,'1',103,'N'),(20,5062403,'1',103,'N'),(20,5062411,'1',207,'N'),(20,5062411,'1A',211,'N'),(20,5062420,'1',104,'N'),(20,5062438,'1',302,'N'),(20,5062446,'1',103,'N'),(20,5062454,'1',103,'N'),(20,5062470,'1',302,'N'),(20,5062489,'1',103,'N'),(20,5062497,'1',108,'N'),(20,5062500,'1',103,'N'),(20,5062519,'1',301,'N'),(20,5062527,'1',102,'N'),(20,5062535,'1',238,'N'),(20,5062535,'1A',208,'N'),(20,5062543,'1',340,'N'),(20,5062551,'1',103,'N'),(20,5062560,'1',103,'N'),(20,5062578,'1',220,'N'),(20,5062578,'1A',203,'N'),(20,5062586,'1',103,'N'),(20,5062594,'1',109,'N'),(20,5062616,'1',301,'N'),(20,5062624,'1',103,'N'),(20,5062632,'1',303,'N'),(20,5062640,'1',103,'N'),(20,5062675,'1',233,'N'),(20,5062675,'1A',215,'N'),(20,5062683,'1',104,'N'),(20,5062691,'1',103,'N'),(20,5062705,'1',216,'N'),(20,5062705,'1A',203,'N'),(20,5062713,'1',220,'N'),(20,5062713,'1A',216,'N'),(20,5062721,'1',238,'N'),(20,5062730,'1',220,'N'),(20,5062730,'1A',202,'N'),(20,5062756,'1',320,'N'),(20,5062764,'1',203,'N'),(20,5062764,'1A',202,'N'),(20,5062772,'1',103,'N'),(20,5062780,'1',103,'N'),(20,5062799,'1',601,'N'),(20,5062799,'1A',201,'N'),(20,5062802,'1',104,'N'),(20,5062829,'1',303,'N'),(20,5062837,'1',9,'N'),(20,5062845,'1',450,'N'),(20,5062861,'1',103,'N'),(20,5062870,'1',415,'N'),(20,5062888,'1',211,'N'),(20,5062888,'1A',216,'N'),(20,5062896,'1',201,'N'),(20,5062896,'1A',212,'N'),(20,5062900,'1',427,'N'),(20,5062934,'1',103,'N'),(20,5062942,'1',5,'N'),(20,5062969,'1',316,'N'),(20,5062977,'1',425,'N'),(20,5062977,'1A',424,'N'),(20,5062985,'1',203,'N'),(20,5062985,'1A',601,'N'),(20,5062993,'1',203,'N'),(20,5062993,'1A',220,'N'),(20,5063000,'1',103,'N'),(20,5063019,'1',301,'N'),(20,5063027,'1',201,'N'),(20,5063027,'1A',238,'N'),(20,5063035,'1',104,'N'),(20,5063043,'1',5,'N'),(20,5063051,'1',103,'N'),(20,5063060,'1',103,'N'),(20,5063078,'1',103,'N'),(20,5063086,'1',201,'N'),(20,5063094,'1',102,'N'),(20,5063108,'1',102,'N'),(20,5063116,'1',103,'N'),(20,5063124,'1',317,'N'),(20,5063132,'1',309,'N'),(20,5063140,'1',103,'N'),(20,5063159,'1',103,'N'),(20,5063167,'1',601,'N'),(20,5063167,'1A',233,'N'),(20,5063175,'1',103,'N'),(20,5063183,'1',234,'N'),(20,5063191,'1',238,'N'),(20,5063191,'1A',215,'N'),(20,5063213,'1',319,'N'),(20,5063221,'1',234,'N'),(20,5063248,'1',103,'N'),(20,5063256,'1',303,'N'),(20,5063264,'1',319,'N'),(20,5063272,'1',215,'N'),(20,5063272,'1A',216,'N'),(20,5063280,'1',235,'N'),(20,5063280,'1A',208,'N'),(20,5063299,'1',220,'N'),(20,5063299,'1A',214,'N'),(20,5063302,'1',501,'N'),(20,5063310,'1',340,'N'),(20,5063329,'1',303,'N'),(20,5063337,'1',235,'N'),(20,5063337,'1A',202,'N'),(20,5063345,'1',202,'N'),(20,5063345,'1A',213,'N'),(20,5063353,'1',304,'N'),(20,5063400,'1',340,'N'),(20,5063418,'1',103,'N'),(20,5063426,'1',103,'N'),(20,5063434,'1',420,'N'),(20,5063442,'1',207,'N'),(20,5063442,'1A',201,'N'),(20,5063469,'1',333,'N'),(20,5063485,'1',103,'N'),(20,5063493,'1',301,'N'),(20,5063507,'1',108,'N'),(20,5063515,'1',201,'N'),(20,5063515,'1A',207,'N'),(20,5063523,'1',340,'N'),(20,5063540,'1',201,'N'),(20,5063540,'1A',212,'N'),(20,5063558,'1',207,'N'),(20,5063558,'1A',233,'N'),(20,5063574,'1',103,'N'),(20,5063590,'1',214,'N'),(20,5063590,'1A',233,'N'),(20,5063604,'1',103,'N'),(20,5063612,'1',211,'N'),(20,5063612,'1A',215,'N'),(20,5063639,'1',103,'N'),(20,5063655,'1',103,'N'),(20,5063663,'1',303,'N'),(20,5063671,'1',5,'N'),(20,5063680,'1',203,'N'),(20,5063680,'1A',220,'N'),(20,5063698,'1',215,'N'),(20,5063698,'1A',211,'N'),(20,5063701,'1',216,'N'),(20,5063728,'1',103,'N'),(20,5063736,'1',216,'N'),(20,5063736,'1A',201,'N'),(20,5063744,'1',203,'N'),(20,5063744,'1A',214,'N'),(20,5063752,'1',303,'N'),(20,5063760,'1',452,'N'),(20,5063779,'1',420,'N'),(20,5063787,'1',103,'N'),(20,5063809,'1',303,'N'),(20,5063817,'1',110,'N'),(20,5063825,'1',234,'N'),(20,5063833,'1',103,'N'),(20,5063841,'1',104,'N'),(20,5063868,'1',319,'N'),(20,5063884,'1',216,'N'),(20,5063884,'1A',220,'N'),(20,5063906,'1',207,'N'),(20,5063906,'1A',215,'N'),(20,5063914,'1',103,'N'),(20,5063922,'1',207,'N'),(20,5063922,'1A',201,'N'),(20,5063930,'1',324,'N'),(20,5063949,'1',331,'N'),(20,5063957,'1',203,'N'),(20,5063957,'1A',214,'N'),(20,5063965,'1',303,'N'),(20,5063973,'1',103,'N'),(20,5063981,'1',301,'N'),(20,5063990,'1',601,'N'),(20,5063990,'1A',203,'N'),(20,5064007,'1',404,'N'),(20,5064015,'1',103,'N'),(20,5064023,'1',214,'N'),(20,5064023,'1A',213,'N'),(20,5064031,'1',452,'N'),(20,5064040,'1',216,'N'),(20,5064058,'1',216,'N'),(20,5064058,'1A',201,'N'),(20,5064066,'1',203,'N'),(20,5064066,'1A',202,'N'),(20,5064074,'1',104,'N'),(20,5064082,'1',103,'N'),(20,5064090,'1',340,'N'),(20,5064104,'1',216,'N'),(20,5064104,'1A',220,'N'),(20,5064112,'1',208,'N'),(20,5064112,'1A',238,'N'),(20,5064120,'1',103,'N'),(20,5064139,'1',601,'N'),(20,5064139,'1A',216,'N'),(20,5064147,'1',601,'N'),(20,5064147,'1A',653,'N'),(20,5064171,'1',5,'N'),(20,5064180,'1',452,'N'),(20,5064201,'1',9,'N'),(20,5064210,'1',216,'N'),(20,5064210,'1A',233,'N'),(20,5064228,'1',502,'N'),(20,5064236,'1',214,'N'),(20,5064236,'1A',212,'N'),(20,5064244,'1',203,'N'),(20,5064244,'1A',233,'N'),(20,5064252,'1',211,'N'),(20,5064252,'1A',207,'N'),(20,5064260,'1',444,'N'),(20,5064279,'1',319,'N'),(20,5064287,'1',103,'N'),(20,5064309,'1',103,'N'),(20,5064317,'1',201,'N'),(20,5064317,'1A',207,'N'),(20,5064325,'1',202,'N'),(20,5064325,'1A',213,'N'),(20,5064333,'1',103,'N'),(20,5064341,'1',319,'N'),(20,5064368,'1',233,'N'),(20,5064368,'1A',601,'N'),(20,5064376,'1',104,'N'),(20,5064384,'1',651,'N'),(20,5064384,'1A',653,'N'),(20,5064392,'1',103,'N'),(20,5064406,'1',201,'N'),(20,5064406,'1A',212,'N'),(20,5064414,'1',208,'N'),(20,5064414,'1A',238,'N'),(20,5064422,'1',103,'N'),(20,5064430,'1',103,'N'),(20,5064449,'1',201,'N'),(20,5064449,'1A',216,'N'),(20,5064457,'1',320,'N'),(20,5064465,'1',5,'N'),(20,5064481,'1',103,'N'),(20,5064490,'1',207,'N'),(20,5064503,'1',103,'N'),(20,5064511,'1',320,'N'),(20,5064520,'1',103,'N'),(20,5064538,'1',444,'N'),(20,5064546,'1',233,'N'),(20,5064546,'1A',212,'N'),(20,5064562,'1',203,'N'),(20,5064562,'1A',201,'N'),(20,5064570,'1',103,'N'),(20,5064589,'1',103,'N'),(20,5064597,'1',420,'N'),(20,5064600,'1',420,'N'),(20,5064627,'1',103,'N'),(20,5064635,'1',103,'N'),(20,5064643,'1',303,'N'),(20,5064651,'1',301,'N'),(20,5064660,'1',103,'N'),(20,5064678,'1',420,'N'),(20,5064686,'1',201,'N'),(20,5064686,'1A',203,'N'),(20,5064694,'1',428,'N'),(20,5064694,'1A',426,'N'),(20,5064724,'1',234,'N'),(20,5064740,'1',103,'N'),(20,5064759,'1',103,'N'),(20,5064767,'1',103,'N'),(20,5064775,'1',103,'N'),(20,5064783,'1',103,'N'),(20,5064805,'1',103,'N'),(20,5064813,'1',5,'N'),(20,5064821,'1',207,'N'),(20,5064821,'1A',201,'N'),(20,5064830,'1',5,'N'),(20,5064848,'1',101,'N'),(20,5064856,'1',215,'N'),(20,5064856,'1A',233,'N'),(20,5064864,'1',102,'N'),(20,5064872,'1',103,'N'),(20,5064880,'1',104,'N'),(20,5064899,'1',201,'N'),(20,5064899,'1A',233,'N'),(20,5064902,'1',102,'N'),(20,5064929,'1',214,'N'),(20,5064929,'1A',212,'N'),(20,5064937,'1',203,'N'),(20,5064937,'1A',220,'N'),(20,5064945,'1',450,'N'),(20,5064953,'1',214,'N'),(20,5064953,'1A',216,'N'),(20,5064961,'1',201,'N'),(20,5064961,'1A',212,'N'),(20,5064988,'1',3,'N'),(20,5064996,'1',103,'N'),(20,5065011,'1',103,'N'),(20,5065020,'1',103,'N'),(20,5065038,'1',103,'N'),(20,5065046,'1',103,'N'),(20,5065054,'1',415,'N'),(20,5065062,'1',308,'N'),(20,5065070,'1',103,'N'),(20,5065089,'1',303,'N'),(20,5065097,'1',336,'N'),(20,5065100,'1',303,'N'),(20,5065127,'1',103,'N'),(20,5065135,'1',202,'N'),(20,5065135,'1A',213,'N'),(20,5065143,'1',444,'N'),(20,5065151,'1',207,'N'),(20,5065151,'1A',214,'N'),(20,5065160,'1',103,'N'),(20,5065178,'1',207,'N'),(20,5065178,'1A',201,'N'),(20,5065186,'1',103,'N'),(20,5065208,'1',303,'N'),(20,5065216,'1',5,'N'),(20,5065224,'1',5,'N'),(20,5065232,'1',203,'N'),(20,5065232,'1A',235,'N'),(20,5065240,'1',301,'N'),(20,5065267,'1',304,'N'),(20,5065275,'1',103,'N'),(20,5065291,'1',214,'N'),(20,5065291,'1A',202,'N'),(20,5065305,'1',108,'N'),(20,5065313,'1',215,'N'),(20,5065313,'1A',213,'N'),(20,5065321,'1',420,'N'),(20,5065330,'1',216,'N'),(20,5065330,'1A',201,'N'),(20,5065356,'1',103,'N'),(20,5065364,'1',319,'N'),(20,5065372,'1',103,'N'),(20,5065380,'1',340,'N'),(20,5065402,'1',103,'N'),(20,5065410,'1',104,'N'),(20,5065429,'1',453,'N'),(20,5065437,'1',102,'N'),(20,5065445,'1',208,'N'),(20,5065445,'1A',238,'N'),(20,5065453,'1',333,'N'),(20,5065461,'1',5,'N'),(20,5065470,'1',203,'N'),(20,5065470,'1A',220,'N'),(20,5065488,'1',301,'N'),(20,5065526,'1',450,'N'),(20,5065534,'1',316,'N'),(20,5065550,'1',103,'N'),(20,5065569,'1',301,'N'),(20,5065577,'1',103,'N'),(20,5065585,'1',103,'N'),(20,5065593,'1',108,'N'),(20,5065607,'1',201,'N'),(20,5065607,'1A',207,'N'),(20,5065623,'1',202,'N'),(20,5065623,'1A',203,'N'),(20,5065631,'1',340,'N'),(20,5065640,'1',303,'N'),(20,5065666,'1',211,'N'),(20,5065666,'1A',216,'N'),(20,5065674,'1',203,'N'),(20,5065674,'1A',220,'N'),(20,5065682,'1',103,'N'),(20,5065690,'1',103,'N'),(20,5065704,'1',203,'N'),(20,5065704,'1A',216,'N'),(20,5065712,'1',415,'N'),(20,5065739,'1',317,'N'),(20,5065747,'1',103,'N'),(20,5065755,'1',450,'N'),(20,5065763,'1',108,'N'),(20,5065771,'1',205,'N'),(20,5065798,'1',340,'N'),(20,5065801,'1',415,'N'),(20,5065810,'1',102,'N'),(20,5065828,'1',303,'N'),(20,5065836,'1',501,'N'),(20,5065844,'1',304,'N'),(20,5065860,'1',214,'N'),(20,5065860,'1A',235,'N'),(20,5065879,'1',104,'N'),(20,5065887,'1',103,'N'),(20,5065909,'1',425,'N'),(20,5065909,'1A',428,'N'),(20,5065917,'1',203,'N'),(20,5065917,'1A',601,'N'),(20,5065933,'1',108,'N'),(20,5065941,'1',425,'N'),(20,5065941,'1A',424,'N'),(20,5065950,'1',319,'N'),(20,5065968,'1',216,'N'),(20,5065968,'1A',202,'N'),(20,5065976,'1',103,'N'),(20,5065984,'1',223,'N'),(20,5065992,'1',234,'N'),(20,5066000,'1',207,'N'),(20,5066000,'1A',201,'N'),(20,5066026,'1',103,'N'),(20,5066034,'1',601,'N'),(20,5066034,'1A',201,'N'),(20,5066042,'1',5,'N'),(20,5066050,'1',103,'N'),(20,5066069,'1',103,'N'),(20,5066077,'1',103,'N'),(20,5066085,'1',103,'N'),(20,5066093,'1',201,'N'),(20,5066093,'1A',207,'N'),(20,5066107,'1',216,'N'),(20,5066107,'1A',208,'N'),(20,5066115,'1',211,'N'),(20,5066131,'1',5,'N'),(20,5066140,'1',238,'N'),(20,5066140,'1A',208,'N'),(20,5066158,'1',220,'N'),(20,5066158,'1A',203,'N'),(20,5066166,'1',601,'N'),(20,5066166,'1A',203,'N'),(20,5066174,'1',502,'N'),(20,5066182,'1',208,'N'),(20,5066182,'1A',238,'N'),(20,5066190,'1',104,'N'),(20,5066212,'1',104,'N'),(20,5066220,'1',103,'N'),(20,5066239,'1',216,'N'),(20,5066239,'1A',233,'N'),(20,5066247,'1',103,'N'),(20,5066255,'1',304,'N'),(20,5066263,'1',104,'N'),(20,5066280,'1',304,'N'),(20,5066298,'1',103,'N'),(20,5066310,'1',201,'N'),(20,5066310,'1A',212,'N'),(20,5066328,'1',103,'N'),(20,5066336,'1',103,'N'),(20,5066344,'1',203,'N'),(20,5066344,'1A',214,'N'),(20,5066379,'1',428,'N'),(20,5066379,'1A',423,'N'),(20,5066387,'1',333,'N'),(20,5066395,'1',103,'N'),(20,5066409,'1',201,'N'),(20,5066409,'1A',601,'N'),(20,5066417,'1',303,'N'),(20,5066425,'1',207,'N'),(20,5066425,'1A',233,'N'),(20,5066433,'1',103,'N'),(20,5066441,'1',103,'N'),(20,5066450,'1',201,'N'),(20,5066450,'1A',233,'N'),(20,5066468,'1',3,'N'),(20,5066476,'1',103,'N'),(20,5066484,'1',103,'N'),(20,5066492,'1',420,'N'),(20,5066506,'1',340,'N'),(20,5066514,'1',216,'N'),(20,5066514,'1A',211,'N'),(20,5066522,'1',207,'N'),(20,5066522,'1A',653,'N'),(20,5066530,'1',202,'N'),(20,5066530,'1A',235,'N'),(20,5066549,'1',203,'N'),(20,5066557,'1',103,'N'),(20,5066565,'1',415,'N'),(20,5066581,'1',103,'N'),(20,5066590,'1',444,'N'),(20,5066603,'1',238,'N'),(20,5066603,'1A',208,'N'),(20,5066611,'1',103,'N'),(20,5066620,'1',103,'N'),(20,5066638,'1',5,'N'),(20,5066654,'1',238,'N'),(20,5066654,'1A',208,'N'),(20,5066689,'1',103,'N'),(20,5066697,'1',103,'N'),(20,5066700,'1',103,'N'),(20,5066719,'1',201,'N'),(20,5066719,'1A',202,'N'),(20,5066727,'1',328,'N'),(20,5066735,'1',336,'N'),(20,5066743,'1',203,'N'),(20,5066743,'1A',214,'N'),(20,5066751,'1',103,'N'),(20,5066760,'1',501,'N'),(20,5066778,'1',238,'N'),(20,5066778,'1A',208,'N'),(20,5066786,'1',317,'N'),(20,5066808,'1',103,'N'),(20,5066824,'1',301,'N'),(20,5066832,'1',216,'N'),(20,5066832,'1A',215,'N'),(20,5066840,'1',429,'N'),(20,5066840,'1A',425,'N'),(20,5066859,'1',103,'N'),(20,5066875,'1',104,'N'),(20,5066883,'1',301,'N'),(20,5066891,'1',316,'N'),(20,5066905,'1',216,'N'),(20,5066905,'1A',201,'N'),(20,5066913,'1',211,'N'),(20,5066913,'1A',212,'N'),(20,5066921,'1',502,'N'),(20,5066948,'1',108,'N'),(20,5066956,'1',601,'N'),(20,5066956,'1A',201,'N'),(20,5066964,'1',301,'N'),(20,5066972,'1',103,'N'),(20,5066999,'1',238,'N'),(20,5066999,'1A',212,'N'),(20,5067006,'1',303,'N'),(20,5067014,'1',211,'N'),(20,5067022,'1',201,'N'),(20,5067022,'1A',207,'N'),(20,5067030,'1',303,'N'),(20,5067049,'1',103,'N'),(20,5067057,'1',103,'N'),(20,5067065,'1',101,'N'),(20,5067073,'1',203,'N'),(20,5067073,'1A',201,'N'),(20,5067081,'1',103,'N'),(20,5067090,'1',340,'N'),(20,5067103,'1',308,'N'),(20,5067111,'1',203,'N'),(20,5067111,'1A',202,'N'),(20,5067138,'1',103,'N'),(20,5067146,'1',103,'N'),(20,5067154,'1',103,'N'),(20,5067189,'1',319,'N'),(20,5067197,'1',103,'N'),(20,5067200,'1',5,'N'),(20,5067219,'1',316,'N'),(20,5067235,'1',215,'N'),(20,5067235,'1A',216,'N'),(20,5067243,'1',103,'N'),(20,5067251,'1',103,'N'),(20,5067278,'1',108,'N'),(20,5067294,'1',5,'N'),(20,5067308,'1',502,'N'),(20,5067332,'1',103,'N'),(20,5067340,'1',103,'N'),(20,5067359,'1',207,'N'),(20,5067359,'1A',201,'N'),(20,5067367,'1',9,'N'),(20,5067375,'1',317,'N'),(20,5067383,'1',103,'N'),(20,5067391,'1',3,'N'),(20,5067405,'1',238,'N'),(20,5067405,'1A',208,'N'),(20,5067413,'1',104,'N'),(20,5067421,'1',216,'N'),(20,5067421,'1A',233,'N'),(20,5067456,'1',203,'N'),(20,5067456,'1A',220,'N'),(20,5067464,'1',103,'N'),(20,5067472,'1',216,'N'),(20,5067472,'1A',233,'N'),(20,5067480,'1',316,'N'),(20,5067499,'1',103,'N'),(20,5067502,'1',415,'N'),(20,5067510,'1',207,'N'),(20,5067510,'1A',201,'N'),(20,5067529,'1',103,'N'),(20,5067537,'1',103,'N'),(20,5067553,'1',202,'N'),(20,5067553,'1A',238,'N'),(20,5067561,'1',451,'N'),(20,5067570,'1',103,'N'),(20,5067588,'1',103,'N'),(20,5067596,'1',501,'N'),(20,5067600,'1',444,'N'),(20,5067618,'1',453,'N'),(20,5067626,'1',201,'N'),(20,5067626,'1A',212,'N'),(20,5067634,'1',203,'N'),(20,5067634,'1A',233,'N'),(20,5067642,'1',304,'N'),(20,5067650,'1',220,'N'),(20,5067650,'1A',203,'N'),(20,5067669,'1',429,'N'),(20,5067669,'1A',425,'N'),(20,5067677,'1',103,'N'),(20,5067685,'1',103,'N'),(20,5067693,'1',453,'N'),(20,5067707,'1',318,'N'),(20,5067715,'1',340,'N'),(20,5067723,'1',102,'N'),(20,5067731,'1',103,'N'),(20,5067740,'1',207,'N'),(20,5067758,'1',103,'N'),(20,5067774,'1',211,'N'),(20,5067774,'1A',215,'N'),(20,5067782,'1',108,'N'),(20,5067790,'1',238,'N'),(20,5067790,'1A',208,'N'),(20,5067804,'1',9,'N'),(20,5067812,'1',103,'N'),(20,5067820,'1',203,'N'),(20,5067820,'1A',214,'N'),(20,5067839,'1',501,'N'),(20,5067847,'1',303,'N'),(20,5067855,'1',2,'N'),(20,5067871,'1',303,'N'),(20,5067880,'1',336,'N'),(20,5067898,'1',103,'N'),(20,5067901,'1',101,'N'),(20,5067910,'1',415,'N'),(20,5067928,'1',201,'N'),(20,5067928,'1A',215,'N'),(20,5067936,'1',103,'N'),(20,5067944,'1',215,'N'),(20,5067952,'1',207,'N'),(20,5067952,'1A',233,'N'),(20,5067960,'1',5,'N'),(20,5067979,'1',452,'N'),(20,5067987,'1',333,'N'),(20,5067995,'1',103,'N'),(20,5068002,'1',103,'N'),(20,5068037,'1',207,'N'),(20,5068037,'1A',215,'N'),(20,5068045,'1',103,'N'),(20,5068053,'1',601,'N'),(20,5068061,'1',103,'N'),(20,5068070,'1',303,'N'),(20,5068088,'1',103,'N'),(20,5068096,'1',450,'N'),(20,5068100,'1',103,'N'),(20,5068118,'1',316,'N'),(20,5068126,'1',103,'N'),(20,5068142,'1',302,'N'),(20,5068150,'1',103,'N'),(20,5068177,'1',103,'N'),(20,5068185,'1',5,'N'),(20,5068193,'1',233,'N'),(20,5068193,'1A',215,'N'),(20,5068207,'1',103,'N'),(20,5068215,'1',304,'N'),(20,5068223,'1',103,'N'),(20,5068231,'1',601,'N'),(20,5068231,'1A',203,'N'),(20,5068240,'1',103,'N'),(20,5068258,'1',216,'N'),(20,5068258,'1A',233,'N'),(20,5068266,'1',216,'N'),(20,5068266,'1A',215,'N'),(20,5068274,'1',103,'N'),(20,5068290,'1',202,'N'),(20,5068290,'1A',233,'N'),(20,5068304,'1',303,'N'),(20,5068312,'1',502,'N'),(20,5068320,'1',103,'N'),(20,5068347,'1',220,'N'),(20,5068347,'1A',202,'N'),(20,5068355,'1',201,'N'),(20,5068355,'1A',208,'N'),(20,5068363,'1',316,'N'),(20,5068371,'1',420,'N'),(20,5068398,'1',340,'N'),(20,5068401,'1',303,'N'),(20,5068410,'1',103,'N'),(20,5068428,'1',208,'N'),(20,5068428,'1A',203,'N'),(20,5068436,'1',102,'N'),(20,5068444,'1',320,'N'),(20,5068452,'1',303,'N'),(20,5068460,'1',103,'N'),(20,5068479,'1',451,'N'),(20,5068487,'1',320,'N'),(20,5068495,'1',453,'N'),(20,5068509,'1',103,'N'),(20,5068517,'1',103,'N'),(20,5068525,'1',303,'N'),(20,5068533,'1',103,'N'),(20,5068541,'1',216,'N'),(20,5068541,'1A',233,'N'),(20,5068550,'1',202,'N'),(20,5068550,'1A',213,'N'),(20,5068568,'1',103,'N'),(20,5068576,'1',211,'N'),(20,5068576,'1A',215,'N'),(20,5068584,'1',333,'N'),(20,5068592,'1',103,'N'),(20,5068606,'1',104,'N'),(20,5068614,'1',103,'N'),(20,5068622,'1',201,'N'),(20,5068622,'1A',216,'N'),(20,5068630,'1',203,'N'),(20,5068649,'1',103,'N'),(20,5068657,'1',317,'N'),(20,5068665,'1',308,'N'),(20,5068673,'1',203,'N'),(20,5068673,'1A',201,'N'),(20,5068681,'1',103,'N'),(20,5068690,'1',103,'N'),(20,5068703,'1',103,'N'),(20,5068720,'1',207,'N'),(20,5068720,'1A',233,'N'),(20,5068738,'1',415,'N'),(20,5068746,'1',501,'N'),(20,5068754,'1',320,'N'),(20,5068762,'1',103,'N'),(20,5068770,'1',233,'N'),(20,5068770,'1A',601,'N'),(20,5068789,'1',326,'N'),(20,5068797,'1',203,'N'),(20,5068797,'1A',202,'N'),(20,5068800,'1',216,'N'),(20,5068800,'1A',220,'N'),(20,5068819,'1',340,'N'),(20,5068827,'1',207,'N'),(20,5068827,'1A',202,'N'),(20,5068835,'1',301,'N'),(20,5068843,'1',103,'N'),(20,5068851,'1',5,'N'),(20,5068860,'1',601,'N'),(20,5068860,'1A',653,'N'),(20,5068886,'1',303,'N'),(20,5068908,'1',208,'N'),(20,5068908,'1A',238,'N'),(20,5068916,'1',103,'N'),(20,5068924,'1',333,'N'),(20,5068940,'1',103,'N'),(20,5068959,'1',103,'N'),(20,5068967,'1',502,'N'),(20,5068975,'1',104,'N'),(20,5068983,'1',502,'N'),(20,5069017,'1',316,'N'),(20,5069025,'1',3,'N'),(20,5069033,'1',103,'N'),(20,5069041,'1',207,'N'),(20,5069041,'1A',201,'N'),(20,5069050,'1',450,'N'),(20,5069068,'1',103,'N'),(20,5069076,'1',5,'N'),(20,5069084,'1',103,'N'),(20,5069092,'1',103,'N'),(20,5069106,'1',103,'N'),(20,5069114,'1',201,'N'),(20,5069114,'1A',212,'N'),(20,5069122,'1',108,'N'),(20,5069130,'1',110,'N'),(20,5069149,'1',340,'N'),(20,5069157,'1',103,'N'),(20,5069165,'1',3,'N'),(20,5069173,'1',326,'N'),(20,5069181,'1',216,'N'),(20,5069181,'1A',203,'N'),(20,5069190,'1',207,'N'),(20,5069211,'1',2,'N'),(20,5069220,'1',203,'N'),(20,5069220,'1A',235,'N'),(20,5069238,'1',415,'N'),(20,5069254,'1',103,'N'),(20,5069262,'1',207,'N'),(20,5069262,'1A',208,'N'),(20,5069289,'1',103,'N'),(20,5069297,'1',203,'N'),(20,5069297,'1A',216,'N'),(20,5069300,'1',201,'N'),(20,5069300,'1A',212,'N'),(20,5069319,'1',340,'N'),(20,5069327,'1',332,'N'),(20,5069335,'1',601,'N'),(20,5069343,'1',220,'N'),(20,5069343,'1A',203,'N'),(20,5069351,'1',340,'N'),(20,5069360,'1',103,'N'),(20,5069378,'1',429,'N'),(20,5069378,'1A',428,'N'),(20,5069386,'1',211,'N'),(20,5069386,'1A',215,'N'),(20,5069394,'1',317,'N'),(20,5069408,'1',103,'N'),(20,5069416,'1',303,'N'),(20,5069424,'1',103,'N'),(20,5069432,'1',212,'N'),(20,5069432,'1A',601,'N'),(20,5069440,'1',207,'N'),(20,5069440,'1A',211,'N'),(20,5069459,'1',201,'N'),(20,5069459,'1A',212,'N'),(20,5069467,'1',216,'N'),(20,5069467,'1A',203,'N'),(20,5069475,'1',220,'N'),(20,5069475,'1A',203,'N'),(20,5069483,'1',103,'N'),(20,5069491,'1',103,'N'),(20,5069513,'1',103,'N'),(20,5069521,'1',216,'N'),(20,5069530,'1',415,'N'),(20,5069548,'1',420,'N'),(20,5069556,'1',103,'N'),(20,5069564,'1',5,'N'),(20,5069572,'1',429,'N'),(20,5069572,'1A',425,'N'),(20,5069580,'1',450,'N'),(20,5069599,'1',421,'N'),(20,5069599,'1A',425,'N'),(20,5069602,'1',319,'N'),(20,5069629,'1',551,'N'),(20,5069645,'1',340,'N'),(20,5069653,'1',203,'N'),(20,5069653,'1A',216,'N'),(20,5069661,'1',207,'N'),(20,5069661,'1A',201,'N'),(20,5069670,'1',203,'N'),(20,5069670,'1A',216,'N'),(20,5069688,'1',404,'N'),(20,5069696,'1',102,'N'),(20,5069700,'1',301,'N'),(20,5069718,'1',108,'N'),(20,5069726,'1',319,'N'),(20,5069734,'1',303,'N'),(20,5069750,'1',319,'N'),(20,5069769,'1',101,'N'),(20,5069777,'1',9,'N'),(20,5069793,'1',211,'N'),(20,5069793,'1A',207,'N'),(20,5069815,'1',108,'N'),(20,5069831,'1',338,'N'),(20,5069840,'1',319,'N'),(20,5069858,'1',203,'N'),(20,5069858,'1A',214,'N'),(20,5069866,'1',653,'N'),(20,5069866,'1A',203,'N'),(20,5069874,'1',103,'N'),(20,5069882,'1',415,'N'),(20,5069890,'1',320,'N'),(20,5069904,'1',103,'N'),(20,5069920,'1',220,'N'),(20,5069920,'1A',203,'N'),(20,5069939,'1',319,'N'),(20,5069947,'1',207,'N'),(20,5069947,'1A',212,'N'),(20,5069955,'1',404,'N'),(20,5069963,'1',104,'N'),(20,5069971,'1',303,'N'),(20,5069980,'1',103,'N'),(20,5069998,'1',103,'N'),(20,5070007,'1',303,'N'),(20,5070015,'1',303,'N'),(20,5070023,'1',303,'N'),(20,5070031,'1',103,'N'),(20,5070040,'1',207,'N'),(20,5070040,'1A',233,'N'),(20,5070058,'1',211,'N'),(20,5070058,'1A',207,'N'),(20,5070066,'1',108,'N'),(20,5070074,'1',332,'N'),(20,5070090,'1',103,'N'),(20,5070104,'1',340,'N'),(20,5070120,'1',103,'N'),(20,5070139,'1',316,'N'),(20,5070147,'1',202,'N'),(20,5070147,'1A',213,'N'),(20,5070155,'1',202,'N'),(20,5070155,'1A',213,'N'),(20,5070163,'1',103,'N'),(20,5070171,'1',103,'N'),(20,5070180,'1',108,'N'),(20,5070198,'1',303,'N'),(20,5070201,'1',303,'N'),(20,5070210,'1',327,'N'),(20,5070228,'1',103,'N'),(20,5070236,'1',444,'N'),(20,5070244,'1',420,'N'),(20,5070252,'1',214,'N'),(20,5070252,'1A',203,'N'),(20,5070260,'1',103,'N'),(20,5070279,'1',201,'N'),(20,5070279,'1A',233,'N'),(20,5070287,'1',102,'N'),(20,5070295,'1',201,'N'),(20,5070295,'1A',212,'N'),(20,5070309,'1',316,'N'),(20,5070325,'1',103,'N'),(20,5070333,'1',103,'N'),(20,5070341,'1',103,'N'),(20,5070350,'1',212,'N'),(20,5070350,'1A',213,'N'),(20,5070368,'1',207,'N'),(20,5070376,'1',216,'N'),(20,5070384,'1',501,'N'),(20,5070430,'1',103,'N'),(20,5070449,'1',215,'N'),(20,5070449,'1A',203,'N'),(20,5070457,'1',101,'N'),(20,5070465,'1',303,'N'),(20,5070481,'1',216,'N'),(20,5070481,'1A',201,'N'),(20,5070490,'1',215,'N'),(20,5070490,'1A',216,'N'),(20,5070503,'1',5,'N'),(20,5070511,'1',103,'N'),(20,5070538,'1',201,'N'),(20,5070538,'1A',216,'N'),(20,5070546,'1',212,'N'),(20,5070546,'1A',201,'N'),(20,5070554,'1',2,'N'),(20,5070562,'1',103,'N'),(20,5070570,'1',429,'N'),(20,5070570,'1A',424,'N'),(20,5070589,'1',450,'N'),(20,5070597,'1',5,'N'),(20,5070600,'1',444,'N'),(20,5070627,'1',215,'N'),(20,5070627,'1A',211,'N'),(20,5070635,'1',5,'N'),(20,5070643,'1',5,'N'),(20,5070651,'1',103,'N'),(20,5070660,'1',340,'N'),(20,5070686,'1',425,'N'),(20,5070686,'1A',421,'N'),(20,5070694,'1',320,'N'),(20,5070708,'1',208,'N'),(20,5070708,'1A',235,'N'),(20,5070716,'1',450,'N'),(20,5070724,'1',201,'N'),(20,5070724,'1A',207,'N'),(20,5070732,'1',103,'N'),(20,5070740,'1',327,'N'),(20,5070759,'1',601,'N'),(20,5070759,'1A',211,'N'),(20,5070767,'1',103,'N'),(20,5070775,'1',453,'N'),(20,5070783,'1',216,'N'),(20,5070783,'1A',211,'N'),(20,5070805,'1',404,'N'),(20,5070848,'1',319,'N'),(20,5070864,'1',203,'N'),(20,5070864,'1A',601,'N'),(20,5070872,'1',333,'N'),(20,5070880,'1',103,'N'),(20,5070899,'1',103,'N'),(20,5070902,'1',203,'N'),(20,5070902,'1A',235,'N'),(20,5070910,'1',103,'N'),(20,5070929,'1',103,'N'),(20,5070937,'1',234,'N'),(20,5070953,'1',319,'N'),(20,5070961,'1',426,'N'),(20,5070961,'1A',429,'N'),(20,5070970,'1',103,'N'),(20,5070996,'1',103,'N'),(20,5071011,'1',202,'N'),(20,5071011,'1A',238,'N'),(20,5071020,'1',208,'N'),(20,5071038,'1',207,'N'),(20,5071038,'1A',201,'N'),(20,5071046,'1',444,'N'),(20,5071054,'1',301,'N'),(20,5071062,'1',340,'N'),(20,5071070,'1',308,'N'),(20,5071097,'1',502,'N'),(20,5071100,'1',328,'N'),(20,5071119,'1',104,'N'),(20,5071135,'1',202,'N'),(20,5071135,'1A',213,'N'),(20,5071151,'1',203,'N'),(20,5071151,'1A',233,'N'),(20,5071160,'1',103,'N'),(20,5071178,'1',234,'N'),(20,5071194,'1',108,'N'),(20,5071208,'1',317,'N'),(20,5071216,'1',103,'N'),(20,5071224,'1',501,'N'),(20,5071232,'1',5,'N'),(20,5071240,'1',339,'N'),(20,5071259,'1',324,'N'),(20,5071267,'1',225,'N'),(20,5071275,'1',213,'N'),(20,5071283,'1',216,'N'),(20,5071283,'1A',212,'N'),(20,5071291,'1',103,'N'),(20,5071305,'1',103,'N'),(20,5071313,'1',428,'N'),(20,5071313,'1A',429,'N'),(20,5071330,'1',103,'N'),(20,5071348,'1',340,'N'),(20,5071356,'1',201,'N'),(20,5071356,'1A',207,'N'),(20,5071364,'1',103,'N'),(20,5071372,'1',207,'N'),(20,5071380,'1',502,'N'),(20,5071402,'1',319,'N'),(20,5071410,'1',103,'N'),(20,5071429,'1',420,'N'),(20,5071437,'1',103,'N'),(20,5071445,'1',317,'N'),(20,5071461,'1',104,'N'),(20,5071470,'1',326,'N'),(20,5071488,'1',318,'N'),(20,5071496,'1',5,'N'),(20,5071500,'1',404,'N'),(20,5071518,'1',108,'N'),(20,5071526,'1',212,'N'),(20,5071526,'1A',201,'N'),(20,5071534,'1',601,'N'),(20,5071534,'1A',203,'N'),(20,5071542,'1',316,'N'),(20,5071550,'1',103,'N'),(20,5071585,'1',336,'N'),(20,5071593,'1',202,'N'),(20,5071593,'1A',235,'N'),(20,5071615,'1',202,'N'),(20,5071615,'1A',235,'N'),(20,5071640,'1',429,'N'),(20,5071640,'1A',427,'N'),(20,5071658,'1',302,'N'),(20,5071674,'1',238,'N'),(20,5071674,'1A',208,'N'),(20,5071682,'1',103,'N'),(20,5071712,'1',501,'N'),(20,5071739,'1',450,'N'),(20,5071747,'1',340,'N'),(20,5071755,'1',303,'N'),(20,5071763,'1',202,'N'),(20,5071763,'1A',213,'N'),(20,5071771,'1',303,'N'),(20,5071798,'1',203,'N'),(20,5071798,'1A',202,'N'),(20,5071801,'1',202,'N'),(20,5071801,'1A',238,'N'),(20,5071810,'1',501,'N'),(20,5071828,'1',203,'N'),(20,5071828,'1A',216,'N'),(20,5071836,'1',103,'N'),(20,5071852,'1',425,'N'),(20,5071852,'1A',429,'N'),(20,5071860,'1',216,'N'),(20,5071860,'1A',601,'N'),(20,5071879,'1',214,'N'),(20,5071879,'1A',220,'N'),(20,5071887,'1',103,'N'),(20,5071895,'1',428,'N'),(20,5071895,'1A',423,'N'),(20,5071909,'1',425,'N'),(20,5071909,'1A',424,'N'),(20,5071925,'1',301,'N'),(20,5071941,'1',216,'N'),(20,5071941,'1A',215,'N'),(20,5071950,'1',326,'N'),(20,5071968,'1',108,'N'),(20,5071976,'1',207,'N'),(20,5071976,'1A',201,'N'),(20,5071984,'1',5,'N'),(20,5071992,'1',303,'N'),(20,5072000,'1',319,'N'),(20,5072034,'1',303,'N'),(20,5072042,'1',103,'N'),(20,5072050,'1',207,'N'),(20,5072050,'1A',201,'N'),(20,5072069,'1',340,'N'),(20,5072085,'1',215,'N'),(20,5072085,'1A',211,'N'),(20,5072093,'1',103,'N'),(20,5072107,'1',319,'N'),(20,5072123,'1',208,'N'),(20,5072123,'1A',238,'N'),(20,5072131,'1',110,'N'),(20,5072158,'1',326,'N'),(20,5072166,'1',202,'N'),(20,5072166,'1A',213,'N'),(20,5072174,'1',201,'N'),(20,5072174,'1A',211,'N'),(20,5072182,'1',444,'N'),(20,5072190,'1',320,'N'),(20,5072204,'1',303,'N'),(20,5072220,'1',103,'N'),(20,5072239,'1',103,'N'),(20,5072247,'1',110,'N'),(20,5072255,'1',319,'N'),(20,5072263,'1',303,'N'),(20,5072280,'1',340,'N'),(20,5072298,'1',202,'N'),(20,5072298,'1A',213,'N'),(20,5072310,'1',450,'N'),(20,5072328,'1',103,'N'),(20,5072344,'1',203,'N'),(20,5072344,'1A',214,'N'),(20,5072360,'1',319,'N'),(20,5072379,'1',207,'N'),(20,5072379,'1A',201,'N'),(20,5072387,'1',103,'N'),(20,5072409,'1',203,'N'),(20,5072417,'1',103,'N'),(20,5072425,'1',5,'N'),(20,5072433,'1',207,'N'),(20,5072433,'1A',208,'N'),(20,5072450,'1',5,'N'),(20,5072476,'1',101,'N'),(20,5072484,'1',336,'N'),(20,5072492,'1',103,'N'),(20,5072506,'1',103,'N'),(20,5072530,'1',331,'N'),(20,5072549,'1',309,'N'),(20,5072565,'1',108,'N'),(20,5072573,'1',340,'N'),(20,5072581,'1',303,'N'),(20,5072590,'1',444,'N'),(20,5072603,'1',207,'N'),(20,5072603,'1A',201,'N'),(20,5072611,'1',428,'N'),(20,5072646,'1',302,'N'),(20,5072654,'1',415,'N'),(20,5072662,'1',452,'N'),(20,5072670,'1',234,'N'),(20,5072689,'1',203,'N'),(20,5072689,'1A',216,'N'),(20,5072697,'1',201,'N'),(20,5072697,'1A',214,'N'),(20,5072700,'1',103,'N'),(20,5072727,'1',404,'N'),(20,5072735,'1',203,'N'),(20,5072743,'1',211,'N'),(20,5072743,'1A',214,'N'),(20,5072760,'1',444,'N'),(20,5072786,'1',103,'N'),(20,5072794,'1',212,'N'),(20,5072794,'1A',201,'N'),(20,5072808,'1',212,'N'),(20,5072808,'1A',215,'N'),(20,5072816,'1',202,'N'),(20,5072816,'1A',201,'N'),(20,5072824,'1',336,'N'),(20,5072832,'1',420,'N'),(20,5072840,'1',202,'N'),(20,5072840,'1A',213,'N'),(20,5072867,'1',103,'N'),(20,5072883,'1',214,'N'),(20,5072883,'1A',235,'N'),(20,5072891,'1',303,'N'),(20,5072905,'1',108,'N'),(20,5072921,'1',303,'N'),(20,5072930,'1',308,'N'),(20,5072948,'1',303,'N'),(20,5072956,'1',108,'N'),(20,5072964,'1',238,'N'),(20,5072964,'1A',208,'N'),(20,5072972,'1',201,'N'),(20,5072972,'1A',235,'N'),(20,5072980,'1',340,'N'),(20,5073014,'1',304,'N'),(20,5073022,'1',211,'N'),(20,5073022,'1A',215,'N'),(20,5073030,'1',103,'N'),(20,5073049,'1',319,'N'),(20,5073057,'1',102,'N'),(20,5073065,'1',451,'N'),(20,5073073,'1',103,'N'),(20,5073081,'1',316,'N'),(20,5073090,'1',103,'N'),(20,5073103,'1',453,'N'),(20,5073120,'1',207,'N'),(20,5073120,'1A',201,'N'),(20,5073138,'1',319,'N'),(20,5073146,'1',215,'N'),(20,5073146,'1A',233,'N'),(20,5073154,'1',103,'N'),(20,5073162,'1',201,'N'),(20,5073162,'1A',208,'N'),(20,5073170,'1',103,'N'),(20,5073189,'1',201,'N'),(20,5073189,'1A',208,'N'),(20,5073197,'1',5,'N'),(20,5073200,'1',201,'N'),(20,5073200,'1A',202,'N'),(20,5073219,'1',320,'N'),(20,5073235,'1',101,'N'),(20,5073243,'1',103,'N'),(20,5073251,'1',427,'N'),(20,5073251,'1A',423,'N'),(20,5073260,'1',211,'N'),(20,5073260,'1A',207,'N'),(20,5073278,'1',103,'N'),(20,5073286,'1',415,'N'),(20,5073294,'1',601,'N'),(20,5073308,'1',415,'N'),(20,5073324,'1',5,'N'),(20,5073332,'1',203,'N'),(20,5073332,'1A',202,'N'),(20,5073340,'1',103,'N'),(20,5073359,'1',216,'N'),(20,5073359,'1A',215,'N'),(20,5073375,'1',201,'N'),(20,5073375,'1A',203,'N'),(20,5073383,'1',319,'N'),(20,5073391,'1',415,'N'),(20,5073413,'1',319,'N'),(20,5073421,'1',328,'N'),(20,5073430,'1',103,'N'),(20,5073464,'1',216,'N'),(20,5073464,'1A',233,'N'),(20,5073480,'1',103,'N'),(20,5073499,'1',102,'N'),(20,5073502,'1',301,'N'),(20,5073529,'1',319,'N'),(20,5073537,'1',108,'N'),(20,5073545,'1',201,'N'),(20,5073545,'1A',203,'N'),(20,5073553,'1',318,'N'),(20,5073561,'1',429,'N'),(20,5073561,'1A',425,'N'),(20,5073570,'1',109,'N'),(20,5073588,'1',203,'N'),(20,5073588,'1A',201,'N'),(20,5073596,'1',201,'N'),(20,5073596,'1A',212,'N'),(20,5073600,'1',202,'N'),(20,5073600,'1A',203,'N'),(20,5073618,'1',301,'N'),(20,5073626,'1',303,'N'),(20,5073634,'1',5,'N'),(20,5073642,'1',415,'N'),(20,5073650,'1',215,'N'),(20,5073650,'1A',211,'N'),(20,5073669,'1',203,'N'),(20,5073669,'1A',235,'N'),(20,5073685,'1',220,'N'),(20,5073685,'1A',235,'N'),(20,5073693,'1',424,'N'),(20,5073693,'1A',427,'N'),(20,5073715,'1',340,'N'),(20,5073723,'1',444,'N'),(20,5073731,'1',426,'N'),(20,5073731,'1A',421,'N'),(20,5073740,'1',340,'N'),(20,5073758,'1',601,'N'),(20,5073758,'1A',208,'N'),(20,5073766,'1',317,'N'),(20,5073774,'1',9,'N'),(20,5073790,'1',201,'N'),(20,5073790,'1A',238,'N'),(20,5073804,'1',103,'N'),(20,5073820,'1',317,'N'),(20,5073839,'1',103,'N'),(20,5073847,'1',211,'N'),(20,5073847,'1A',215,'N'),(20,5073863,'1',340,'N'),(20,5073871,'1',303,'N'),(20,5073880,'1',103,'N'),(20,5073898,'1',5,'N'),(20,5073901,'1',220,'N'),(20,5073901,'1A',203,'N'),(20,5073910,'1',303,'N'),(20,5073928,'1',110,'N'),(20,5073936,'1',340,'N'),(20,5073944,'1',103,'N'),(20,5073952,'1',316,'N'),(20,5073960,'1',103,'N'),(20,5073979,'1',102,'N'),(20,5074002,'1',103,'N'),(20,5074010,'1',9,'N'),(20,5074029,'1',502,'N'),(20,5074037,'1',203,'N'),(20,5074037,'1A',214,'N'),(20,5074053,'1',108,'N'),(20,5074088,'1',601,'N'),(20,5074088,'1A',211,'N'),(20,5074100,'1',201,'N'),(20,5074100,'1A',211,'N'),(20,5074118,'1',103,'N'),(20,5074126,'1',108,'N'),(20,5074134,'1',201,'N'),(20,5074134,'1A',601,'N'),(20,5074142,'1',201,'N'),(20,5074142,'1A',212,'N'),(20,5074169,'1',234,'N'),(20,5074177,'1',303,'N'),(20,5074185,'1',103,'N'),(20,5074193,'1',328,'N'),(20,5074207,'1',201,'N'),(20,5074207,'1A',211,'N'),(20,5074223,'1',234,'N'),(20,5074240,'1',304,'N'),(20,5074258,'1',324,'N'),(20,5074266,'1',429,'N'),(20,5074266,'1A',425,'N'),(20,5074274,'1',203,'N'),(20,5074274,'1A',214,'N'),(20,5074282,'1',601,'N'),(20,5074282,'1A',203,'N'),(20,5074290,'1',333,'N'),(20,5074304,'1',308,'N'),(20,5074312,'1',208,'N'),(20,5074312,'1A',238,'N'),(20,5074339,'1',104,'N'),(20,5074347,'1',103,'N'),(20,5074363,'1',5,'N'),(20,5074371,'1',208,'N'),(20,5074371,'1A',215,'N'),(20,5074380,'1',103,'N'),(20,5074398,'1',103,'N'),(20,5074401,'1',103,'N'),(20,5074410,'1',453,'N'),(20,5074436,'1',420,'N'),(20,5074444,'1',203,'N'),(20,5074452,'1',220,'N'),(20,5074452,'1A',208,'N'),(20,5074479,'1',103,'N'),(20,5074487,'1',333,'N'),(20,5074495,'1',108,'N'),(20,5074509,'1',202,'N'),(20,5074509,'1A',235,'N'),(20,5074517,'1',303,'N'),(20,5074525,'1',429,'N'),(20,5074525,'1A',425,'N'),(20,5074533,'1',207,'N'),(20,5074541,'1',301,'N'),(20,5074550,'1',207,'N'),(20,5074568,'1',301,'N'),(20,5074576,'1',450,'N'),(20,5074584,'1',208,'N'),(20,5074584,'1A',220,'N'),(20,5074592,'1',502,'N'),(20,5074606,'1',303,'N'),(20,5074614,'1',102,'N'),(20,5074622,'1',103,'N'),(20,5074630,'1',211,'N'),(20,5074630,'1A',233,'N'),(20,5074649,'1',428,'N'),(20,5074649,'1A',424,'N'),(20,5074657,'1',444,'N'),(20,5074673,'1',301,'N'),(20,5074681,'1',207,'N'),(20,5074681,'1A',211,'N'),(20,5074711,'1',202,'N'),(20,5074711,'1A',235,'N'),(20,5074720,'1',207,'N'),(20,5074720,'1A',215,'N'),(20,5074738,'1',207,'N'),(20,5074738,'1A',233,'N'),(20,5074746,'1',207,'N'),(20,5074746,'1A',201,'N'),(20,5074754,'1',201,'N'),(20,5074754,'1A',203,'N'),(20,5074762,'1',211,'N'),(20,5074762,'1A',215,'N'),(20,5074770,'1',207,'N'),(20,5074770,'1A',212,'N'),(20,5074789,'1',303,'N'),(20,5074797,'1',207,'N'),(20,5074797,'1A',201,'N'),(20,5074800,'1',420,'N'),(20,5074827,'1',101,'N'),(20,5074835,'1',104,'N'),(20,5074843,'1',103,'N'),(20,5074851,'1',316,'N'),(20,5074860,'1',453,'N'),(20,5074878,'1',207,'N'),(20,5074886,'1',319,'N'),(20,5074894,'1',203,'N'),(20,5074894,'1A',214,'N'),(20,5074908,'1',216,'N'),(20,5074908,'1A',215,'N'),(20,5074916,'1',317,'N'),(20,5074924,'1',103,'N'),(20,5074932,'1',319,'N'),(20,5074940,'1',203,'N'),(20,5074940,'1A',216,'N'),(20,5074983,'1',103,'N'),(20,5074991,'1',208,'N'),(20,5074991,'1A',238,'N'),(20,5075009,'1',103,'N'),(20,5075017,'1',104,'N'),(20,5075050,'1',216,'N'),(20,5075050,'1A',233,'N'),(20,5075068,'1',404,'N'),(20,5075076,'1',216,'N'),(20,5075076,'1A',601,'N'),(20,5075092,'1',331,'N'),(20,5075106,'1',333,'N'),(20,5075114,'1',203,'N'),(20,5075114,'1A',220,'N'),(20,5075122,'1',110,'N'),(20,5075149,'1',601,'N'),(20,5075149,'1A',201,'N'),(20,5075157,'1',103,'N'),(20,5075238,'1',103,'N'),(20,5075246,'1',304,'N'),(20,5075254,'1',653,'N'),(20,5075254,'1A',211,'N'),(20,5075262,'1',317,'N'),(20,5075270,'1',303,'N'),(20,5075289,'1',452,'N'),(20,5075297,'1',304,'N'),(20,5075300,'1',503,'N'),(20,5075319,'1',207,'N'),(20,5075319,'1A',201,'N'),(20,5075327,'1',216,'N'),(20,5075327,'1A',215,'N'),(20,5075335,'1',202,'N'),(20,5075335,'1A',235,'N'),(20,5075343,'1',5,'N'),(20,5075351,'1',103,'N'),(20,5075360,'1',5,'N'),(20,5075378,'1',304,'N'),(20,5075386,'1',426,'N'),(20,5075386,'1A',428,'N'),(20,5075394,'1',103,'N'),(20,5075416,'1',207,'N'),(20,5075416,'1A',201,'N'),(20,5075424,'1',428,'N'),(20,5075424,'1A',426,'N'),(20,5075432,'1',207,'N'),(20,5075432,'1A',212,'N'),(20,5075440,'1',320,'N'),(20,5075459,'1',328,'N'),(20,5075467,'1',104,'N'),(20,5075475,'1',420,'N'),(20,5075483,'1',327,'N'),(20,5075491,'1',216,'N'),(20,5075491,'1A',238,'N'),(20,5075505,'1',211,'N'),(20,5075505,'1A',215,'N'),(20,5075513,'1',102,'N'),(20,5075521,'1',415,'N'),(20,5075530,'1',202,'N'),(20,5075530,'1A',220,'N'),(20,5075548,'1',201,'N'),(20,5075548,'1A',203,'N'),(20,5075556,'1',327,'N'),(20,5075564,'1',317,'N'),(20,5075580,'1',652,'N'),(20,5075599,'1',9,'N'),(20,5075602,'1',303,'N'),(20,5075610,'1',303,'N'),(20,5075629,'1',331,'N'),(20,5075637,'1',207,'N'),(20,5075645,'1',103,'N'),(20,5075653,'1',316,'N'),(20,5075661,'1',103,'N'),(20,5075670,'1',207,'N'),(20,5075670,'1A',212,'N'),(20,5075688,'1',103,'N'),(20,5075696,'1',103,'N'),(20,5075700,'1',103,'N'),(20,5075718,'1',103,'N'),(20,5075726,'1',420,'N'),(20,5075734,'1',101,'N'),(20,5075742,'1',502,'N'),(20,5075750,'1',103,'N'),(20,5075777,'1',220,'N'),(20,5075777,'1A',214,'N'),(20,5075785,'1',316,'N'),(20,5075793,'1',108,'N'),(20,5075823,'1',216,'N'),(20,5075823,'1A',215,'N'),(20,5075840,'1',203,'N'),(20,5075840,'1A',214,'N'),(20,5075858,'1',340,'N'),(20,5075866,'1',208,'N'),(20,5075866,'1A',238,'N'),(20,5075890,'1',415,'N'),(20,5075904,'1',109,'N'),(20,5075912,'1',102,'N'),(20,5075920,'1',104,'N'),(20,5075939,'1',216,'N'),(20,5075939,'1A',202,'N'),(20,5075947,'1',203,'N'),(20,5075947,'1A',207,'N'),(20,5075955,'1',203,'N'),(20,5075955,'1A',214,'N'),(20,5075980,'1',238,'N'),(20,5075980,'1A',208,'N'),(20,5076005,'1',102,'N'),(20,5076021,'1',103,'N'),(20,5076030,'1',103,'N'),(20,5076048,'1',103,'N'),(20,5076056,'1',108,'N'),(20,5076072,'1',103,'N'),(20,5076102,'1',2,'N'),(20,5076110,'1',211,'N'),(20,5076110,'1A',233,'N'),(20,5076129,'1',103,'N'),(20,5076137,'1',238,'N'),(20,5076170,'1',103,'N'),(20,5076196,'1',453,'N'),(20,5076200,'1',303,'N'),(20,5076218,'1',103,'N'),(20,5076226,'1',201,'N'),(20,5076226,'1A',207,'N'),(20,5076234,'1',340,'N'),(20,5076242,'1',104,'N'),(20,5076269,'1',211,'N'),(20,5076269,'1A',233,'N'),(20,5076285,'1',216,'N'),(20,5076285,'1A',215,'N'),(20,5076293,'1',220,'N'),(20,5076293,'1A',203,'N'),(20,5076307,'1',316,'N'),(20,5076331,'1',103,'N'),(20,5076340,'1',103,'N'),(20,5076358,'1',453,'N'),(20,5076366,'1',211,'N'),(20,5076366,'1A',233,'N'),(20,5076382,'1',103,'N'),(20,5076390,'1',319,'N'),(20,5076404,'1',302,'N'),(20,5076412,'1',316,'N'),(20,5076420,'1',103,'N'),(20,5076447,'1',5,'N'),(20,5076455,'1',203,'N'),(20,5076455,'1A',212,'N'),(20,5076463,'1',203,'N'),(20,5076463,'1A',216,'N'),(20,5076471,'1',319,'N'),(20,5076480,'1',316,'N'),(20,5076498,'1',501,'N'),(20,5076501,'1',211,'N'),(20,5076501,'1A',207,'N'),(20,5076510,'1',203,'N'),(20,5076510,'1A',214,'N'),(20,5076528,'1',238,'N'),(20,5076536,'1',332,'N'),(20,5076544,'1',303,'N'),(20,5076552,'1',201,'N'),(20,5076552,'1A',653,'N'),(20,5076560,'1',415,'N'),(20,5076579,'1',303,'N'),(20,5076595,'1',201,'N'),(20,5076595,'1A',212,'N'),(20,5076609,'1',333,'N'),(20,5076617,'1',5,'N'),(20,5076625,'1',316,'N'),(20,5076633,'1',319,'N'),(20,5076641,'1',103,'N'),(20,5076650,'1',336,'N'),(20,5076668,'1',108,'N'),(20,5076684,'1',103,'N'),(20,5076692,'1',201,'N'),(20,5076692,'1A',212,'N'),(20,5076706,'1',503,'N'),(20,5076714,'1',9,'N'),(20,5076722,'1',203,'N'),(20,5076722,'1A',235,'N'),(20,5076730,'1',309,'N'),(20,5076749,'1',340,'N'),(20,5076757,'1',415,'N'),(20,5076765,'1',202,'N'),(20,5076765,'1A',213,'N'),(20,5076773,'1',5,'N'),(20,5076781,'1',103,'N'),(20,5076790,'1',211,'N'),(20,5076790,'1A',216,'N'),(20,5076803,'1',501,'N'),(20,5076820,'1',333,'N'),(20,5076838,'1',329,'N'),(20,5076846,'1',238,'N'),(20,5076846,'1A',652,'N'),(20,5076854,'1',203,'N'),(20,5076854,'1A',215,'N'),(20,5076862,'1',207,'N'),(20,5076862,'1A',211,'N'),(20,5076870,'1',331,'N'),(20,5076897,'1',333,'N'),(20,5076900,'1',340,'N'),(20,5076919,'1',207,'N'),(20,5076919,'1A',203,'N'),(20,5076927,'1',203,'N'),(20,5076927,'1A',208,'N'),(20,5076935,'1',103,'N'),(20,5076943,'1',319,'N'),(20,5076951,'1',103,'N'),(20,5076960,'1',103,'N'),(20,5076978,'1',5,'N'),(20,5076986,'1',201,'N'),(20,5076986,'1A',207,'N'),(20,5076994,'1',340,'N'),(20,5077001,'1',216,'N'),(20,5077001,'1A',215,'N'),(20,5077010,'1',104,'N'),(20,5077028,'1',102,'N'),(20,5077036,'1',103,'N'),(20,5077044,'1',214,'N'),(20,5077044,'1A',213,'N'),(20,5077052,'1',108,'N'),(20,5077060,'1',213,'N'),(20,5077060,'1A',653,'N'),(20,5077087,'1',216,'N'),(20,5077087,'1A',233,'N'),(20,5077095,'1',220,'N'),(20,5077095,'1A',235,'N'),(20,5077125,'1',423,'N'),(20,5077125,'1A',424,'N'),(20,5077133,'1',103,'N'),(20,5077141,'1',336,'N'),(20,5077150,'1',103,'N'),(20,5077168,'1',444,'N'),(20,5077176,'1',404,'N'),(20,5077184,'1',9,'N'),(20,5077192,'1',318,'N'),(20,5077206,'1',301,'N'),(20,5077214,'1',201,'N'),(20,5077214,'1A',216,'N'),(20,5077222,'1',203,'N'),(20,5077222,'1A',214,'N'),(20,5077249,'1',238,'N'),(20,5077265,'1',319,'N'),(20,5077273,'1',319,'N'),(20,5077281,'1',601,'N'),(20,5077281,'1A',214,'N'),(20,5077290,'1',103,'N'),(20,5077303,'1',303,'N'),(20,5077311,'1',103,'N'),(20,5077320,'1',420,'N'),(20,5077338,'1',3,'N'),(20,5077346,'1',103,'N'),(20,5077354,'1',502,'N'),(20,5077362,'1',104,'N'),(20,5077370,'1',309,'N'),(20,5077389,'1',3,'N'),(20,5077397,'1',340,'N'),(20,5077400,'1',201,'N'),(20,5077400,'1A',203,'N'),(20,5077419,'1',415,'N'),(20,5077427,'1',207,'N'),(20,5077427,'1A',201,'N'),(20,5077435,'1',303,'N'),(20,5077443,'1',216,'N'),(20,5077443,'1A',211,'N'),(20,5077451,'1',301,'N'),(20,5077460,'1',318,'N'),(20,5077486,'1',211,'N'),(20,5077494,'1',452,'N'),(20,5077516,'1',303,'N'),(20,5077532,'1',103,'N'),(20,5077540,'1',213,'N'),(20,5077540,'1A',214,'N'),(20,5077559,'1',202,'N'),(20,5077559,'1A',213,'N'),(20,5077575,'1',207,'N'),(20,5077575,'1A',201,'N'),(20,5077583,'1',103,'N'),(20,5077591,'1',216,'N'),(20,5077591,'1A',211,'N'),(20,5077605,'1',103,'N'),(20,5077621,'1',215,'N'),(20,5077621,'1A',207,'N'),(20,5077630,'1',103,'N'),(20,5077648,'1',101,'N'),(20,5077656,'1',207,'N'),(20,5077664,'1',103,'N'),(20,5077672,'1',301,'N'),(20,5077699,'1',103,'N'),(20,5077702,'1',110,'N'),(20,5077710,'1',103,'N'),(20,5077729,'1',103,'N'),(20,5077737,'1',453,'N'),(20,5077753,'1',316,'N'),(20,5077761,'1',319,'N'),(20,5077788,'1',101,'N'),(20,5077796,'1',103,'N'),(20,5077800,'1',207,'N'),(20,5077800,'1A',238,'N'),(20,5077818,'1',103,'N'),(20,5077826,'1',101,'N'),(20,5077842,'1',5,'N'),(20,5077850,'1',415,'N'),(20,5077869,'1',103,'N'),(20,5077877,'1',103,'N'),(20,5077885,'1',551,'N'),(20,5077893,'1',340,'N'),(20,5077907,'1',104,'N'),(20,5077915,'1',103,'N'),(20,5077923,'1',233,'N'),(20,5077923,'1A',216,'N'),(20,5077931,'1',103,'N'),(20,5077940,'1',103,'N'),(20,5077966,'1',340,'N'),(20,5077974,'1',102,'N'),(20,5077982,'1',103,'N'),(20,5077990,'1',220,'N'),(20,5077990,'1A',203,'N'),(20,5078008,'1',207,'N'),(20,5078008,'1A',201,'N'),(20,5078016,'1',104,'N'),(20,5078024,'1',103,'N'),(20,5078032,'1',216,'N'),(20,5078032,'1A',203,'N'),(20,5078059,'1',211,'N'),(20,5078059,'1A',201,'N'),(20,5078067,'1',203,'N'),(20,5078067,'1A',214,'N'),(20,5078075,'1',303,'N'),(20,5078083,'1',102,'N'),(20,5078091,'1',104,'N'),(20,5078105,'1',601,'N'),(20,5078113,'1',103,'N'),(20,5078121,'1',103,'N'),(20,5078148,'1',332,'N'),(20,5078156,'1',203,'N'),(20,5078156,'1A',201,'N'),(20,5078172,'1',450,'N'),(20,5078199,'1',103,'N'),(20,5078202,'1',319,'N'),(20,5078210,'1',326,'N'),(20,5078229,'1',233,'N'),(20,5078229,'1A',215,'N'),(20,5078237,'1',651,'N'),(20,5078237,'1A',653,'N'),(20,5078245,'1',332,'N'),(20,5078253,'1',103,'N'),(20,5078261,'1',5,'N'),(20,5078270,'1',220,'N'),(20,5078270,'1A',213,'N'),(20,5078300,'1',452,'N'),(20,5078318,'1',216,'N'),(20,5078318,'1A',202,'N'),(20,5078326,'1',333,'N'),(20,5078342,'1',103,'N'),(20,5078350,'1',653,'N'),(20,5078350,'1A',652,'N'),(20,5078369,'1',238,'N'),(20,5078369,'1A',208,'N'),(20,5078377,'1',304,'N'),(20,5078385,'1',303,'N'),(20,5078393,'1',9,'N'),(20,5078407,'1',238,'N'),(20,5078407,'1A',208,'N'),(20,5078423,'1',203,'N'),(20,5078423,'1A',214,'N'),(20,5078431,'1',103,'N'),(20,5078440,'1',103,'N'),(20,5078458,'1',104,'N'),(20,5078466,'1',203,'N'),(20,5078466,'1A',214,'N'),(20,5078474,'1',216,'N'),(20,5078474,'1A',215,'N'),(20,5078482,'1',238,'N'),(20,5078482,'1A',213,'N'),(20,5078490,'1',2,'N'),(20,5078512,'1',103,'N'),(20,5078520,'1',207,'N'),(20,5078520,'1A',201,'N'),(20,5078539,'1',303,'N'),(20,5078547,'1',103,'N'),(20,5078555,'1',444,'N'),(20,5078563,'1',207,'N'),(20,5078563,'1A',214,'N'),(20,5078571,'1',415,'N'),(20,5078580,'1',101,'N'),(20,5078598,'1',452,'N'),(20,5078601,'1',302,'N'),(20,5078610,'1',208,'N'),(20,5078628,'1',201,'N'),(20,5078628,'1A',212,'N'),(20,5078644,'1',201,'N'),(20,5078644,'1A',207,'N'),(20,5078652,'1',340,'N'),(20,5078660,'1',502,'N'),(20,5078679,'1',3,'N'),(20,5078687,'1',420,'N'),(20,5078695,'1',320,'N'),(20,5078709,'1',101,'N'),(20,5078717,'1',5,'N'),(20,5078725,'1',211,'N'),(20,5078725,'1A',202,'N'),(20,5078733,'1',601,'N'),(20,5078741,'1',103,'N'),(20,5078750,'1',104,'N'),(20,5078768,'1',201,'N'),(20,5078768,'1A',212,'N'),(20,5078776,'1',103,'N'),(20,5078784,'1',452,'N'),(20,5078806,'1',319,'N'),(20,5078814,'1',203,'N'),(20,5078814,'1A',214,'N'),(20,5078830,'1',9,'N'),(20,5078849,'1',103,'N'),(20,5078865,'1',212,'N'),(20,5078865,'1A',211,'N'),(20,5078873,'1',104,'N'),(20,5078881,'1',5,'N'),(20,5078903,'1',103,'N'),(20,5078911,'1',233,'N'),(20,5078911,'1A',208,'N'),(20,5078946,'1',453,'N'),(20,5078954,'1',301,'N'),(20,5078962,'1',340,'N'),(20,5078970,'1',103,'N'),(20,5078989,'1',5,'N'),(20,5078997,'1',103,'N'),(20,5079004,'1',450,'N'),(20,5079012,'1',304,'N'),(20,5079020,'1',103,'N'),(20,5079039,'1',215,'N'),(20,5079039,'1A',212,'N'),(20,5079047,'1',329,'N'),(20,5079055,'1',110,'N'),(20,5079071,'1',340,'N'),(20,5079080,'1',301,'N'),(20,5079101,'1',103,'N'),(20,5079110,'1',103,'N'),(20,5079128,'1',302,'N'),(20,5079144,'1',220,'N'),(20,5079144,'1A',203,'N'),(20,5079152,'1',220,'N'),(20,5079152,'1A',653,'N'),(20,5079160,'1',103,'N'),(20,5079179,'1',303,'N'),(20,5079209,'1',216,'N'),(20,5079209,'1A',203,'N'),(20,5079217,'1',303,'N'),(20,5079225,'1',340,'N'),(20,5079233,'1',103,'N'),(20,5079241,'1',103,'N'),(20,5079268,'1',420,'N'),(20,5079276,'1',207,'N'),(20,5079276,'1A',216,'N'),(20,5079284,'1',304,'N'),(20,5079292,'1',3,'N'),(20,5079306,'1',303,'N'),(20,5079314,'1',104,'N'),(20,5079322,'1',3,'N'),(20,5079330,'1',202,'N'),(20,5079330,'1A',213,'N'),(20,5079349,'1',451,'N'),(20,5079357,'1',203,'N'),(20,5079357,'1A',201,'N'),(20,5079365,'1',216,'N'),(20,5079365,'1A',201,'N'),(20,5079373,'1',601,'N'),(20,5079373,'1A',216,'N'),(20,5079390,'1',203,'N'),(20,5079390,'1A',214,'N'),(20,5079411,'1',104,'N'),(20,5079420,'1',415,'N'),(20,5079438,'1',5,'N'),(20,5079446,'1',216,'N'),(20,5079446,'1A',211,'N'),(20,5079454,'1',340,'N'),(20,5079470,'1',103,'N'),(20,5079489,'1',207,'N'),(20,5079489,'1A',238,'N'),(20,5079497,'1',211,'N'),(20,5079500,'1',203,'N'),(20,5079500,'1A',202,'N'),(20,5079519,'1',103,'N'),(20,5079535,'1',238,'N'),(20,5079535,'1A',208,'N'),(20,5079543,'1',333,'N'),(20,5079551,'1',104,'N'),(20,5079560,'1',340,'N'),(20,5079578,'1',453,'N'),(20,5079608,'1',303,'N'),(20,5079624,'1',238,'N'),(20,5079624,'1A',213,'N'),(20,5079640,'1',216,'N'),(20,5079640,'1A',212,'N'),(20,5079659,'1',103,'N'),(20,5079667,'1',203,'N'),(20,5079667,'1A',220,'N'),(20,5079675,'1',601,'N'),(20,5079675,'1A',220,'N'),(20,5079683,'1',103,'N'),(20,5079691,'1',101,'N'),(20,5079705,'1',108,'N'),(20,5079713,'1',203,'N'),(20,5079713,'1A',201,'N'),(20,5079721,'1',103,'N'),(20,5079730,'1',444,'N'),(20,5079748,'1',303,'N'),(20,5079756,'1',207,'N'),(20,5079756,'1A',212,'N'),(20,5079764,'1',103,'N'),(20,5079799,'1',208,'N'),(20,5079802,'1',207,'N'),(20,5079802,'1A',201,'N'),(20,5079810,'1',653,'N'),(20,5079829,'1',103,'N'),(20,5079837,'1',207,'N'),(20,5079837,'1A',233,'N'),(20,5079845,'1',108,'N'),(20,5079853,'1',108,'N'),(20,5079861,'1',9,'N'),(20,5079870,'1',211,'N'),(20,5079870,'1A',215,'N'),(20,5079888,'1',201,'N'),(20,5079888,'1A',214,'N'),(20,5079896,'1',103,'N'),(20,5079900,'1',234,'N'),(20,5079926,'1',213,'N'),(20,5079926,'1A',201,'N'),(20,5079934,'1',103,'N'),(20,5079942,'1',103,'N'),(20,5079969,'1',201,'N'),(20,5079969,'1A',211,'N'),(20,5079985,'1',5,'N'),(20,5079993,'1',340,'N'),(20,5080002,'1',201,'N'),(20,5080002,'1A',212,'N'),(20,5080010,'1',103,'N'),(20,5080029,'1',208,'N'),(20,5080029,'1A',203,'N'),(20,5080037,'1',104,'N'),(20,5080045,'1',103,'N'),(20,5080053,'1',233,'N'),(20,5080053,'1A',601,'N'),(20,5080061,'1',103,'N'),(20,5080070,'1',207,'N'),(20,5080070,'1A',201,'N'),(20,5080088,'1',108,'N'),(20,5080096,'1',340,'N'),(20,5080100,'1',103,'N'),(20,5080118,'1',103,'N'),(20,5080134,'1',652,'N'),(20,5080134,'1A',653,'N'),(20,5080142,'1',211,'N'),(20,5080142,'1A',233,'N'),(20,5080150,'1',104,'N'),(20,5080169,'1',303,'N'),(20,5080177,'1',340,'N'),(20,5080185,'1',3,'N'),(20,5080193,'1',450,'N'),(20,5080207,'1',304,'N'),(20,5080215,'1',5,'N'),(20,5080223,'1',319,'N'),(20,5080240,'1',214,'N'),(20,5080240,'1A',212,'N'),(20,5080258,'1',203,'N'),(20,5080258,'1A',211,'N'),(20,5080266,'1',211,'N'),(20,5080266,'1A',214,'N'),(20,5080274,'1',340,'N'),(20,5080282,'1',601,'N'),(20,5080290,'1',103,'N'),(20,5080312,'1',3,'N'),(20,5080320,'1',214,'N'),(20,5080320,'1A',213,'N'),(20,5080347,'1',303,'N'),(20,5080355,'1',202,'N'),(20,5080355,'1A',235,'N'),(20,5080363,'1',108,'N'),(20,5080371,'1',103,'N'),(20,5080380,'1',301,'N'),(20,5080410,'1',5,'N'),(20,5080428,'1',103,'N'),(20,5080436,'1',103,'N'),(20,5080444,'1',104,'N'),(20,5080452,'1',103,'N'),(20,5080460,'1',216,'N'),(20,5080460,'1A',215,'N'),(20,5080479,'1',340,'N'),(20,5080495,'1',103,'N'),(20,5080509,'1',303,'N'),(20,5080517,'1',601,'N'),(20,5080517,'1A',203,'N'),(20,5080525,'1',326,'N'),(20,5080533,'1',653,'N'),(20,5080541,'1',103,'N'),(20,5080550,'1',415,'N'),(20,5080568,'1',340,'N'),(20,5080576,'1',103,'N'),(20,5080584,'1',103,'N'),(20,5080592,'1',451,'N'),(20,5080606,'1',318,'N'),(20,5080614,'1',212,'N'),(20,5080614,'1A',213,'N'),(20,5080622,'1',103,'N'),(20,5080630,'1',340,'N'),(20,5080649,'1',340,'N'),(20,5080657,'1',205,'N'),(20,5080673,'1',207,'N'),(20,5080673,'1A',201,'N'),(20,5080681,'1',103,'N'),(20,5080690,'1',318,'N'),(20,5080703,'1',103,'N'),(20,5080711,'1',202,'N'),(20,5080711,'1A',211,'N'),(20,5080720,'1',201,'N'),(20,5080720,'1A',212,'N'),(20,5080738,'1',103,'N'),(20,5080746,'1',103,'N'),(20,5080762,'1',601,'N'),(20,5080762,'1A',220,'N'),(20,5080789,'1',303,'N'),(20,5080797,'1',103,'N'),(20,5080800,'1',302,'N'),(20,5080819,'1',203,'N'),(20,5080819,'1A',214,'N'),(20,5080827,'1',301,'N'),(20,5080835,'1',103,'N'),(20,5080843,'1',429,'N'),(20,5080843,'1A',426,'N'),(20,5080851,'1',103,'N'),(20,5080860,'1',319,'N'),(20,5080878,'1',238,'N'),(20,5080878,'1A',208,'N'),(20,5080886,'1',452,'N'),(20,5080894,'1',103,'N'),(20,5080908,'1',103,'N'),(20,5080916,'1',234,'N'),(20,5080932,'1',202,'N'),(20,5080932,'1A',213,'N'),(20,5080940,'1',220,'N'),(20,5080940,'1A',202,'N'),(20,5080959,'1',103,'N'),(20,5080967,'1',302,'N'),(20,5080975,'1',301,'N'),(20,5080983,'1',207,'N'),(20,5080983,'1A',215,'N'),(20,5080991,'1',102,'N'),(20,5081009,'1',415,'N'),(20,5081017,'1',207,'N'),(20,5081017,'1A',211,'N'),(20,5081025,'1',104,'N'),(20,5081041,'1',201,'N'),(20,5081041,'1A',212,'N'),(20,5081050,'1',103,'N'),(20,5081068,'1',201,'N'),(20,5081068,'1A',215,'N'),(20,5081076,'1',453,'N'),(20,5081092,'1',453,'N'),(20,5081114,'1',103,'N'),(20,5081122,'1',420,'N'),(20,5081130,'1',415,'N'),(20,5081149,'1',203,'N'),(20,5081149,'1A',214,'N'),(20,5081157,'1',203,'N'),(20,5081157,'1A',214,'N'),(20,5081165,'1',101,'N'),(20,5081173,'1',420,'N'),(20,5081181,'1',319,'N'),(20,5081203,'1',652,'N'),(20,5081203,'1A',653,'N'),(20,5081220,'1',104,'N'),(20,5081238,'1',302,'N'),(20,5081254,'1',103,'N'),(20,5081262,'1',316,'N'),(20,5081270,'1',326,'N'),(20,5081289,'1',415,'N'),(20,5081297,'1',340,'N'),(20,5081319,'1',340,'N'),(20,5081327,'1',103,'N'),(20,5081335,'1',450,'N'),(20,5081351,'1',207,'N'),(20,5081351,'1A',201,'N'),(20,5081360,'1',207,'N'),(20,5081360,'1A',201,'N'),(20,5081378,'1',415,'N'),(20,5081386,'1',429,'N'),(20,5081386,'1A',425,'N'),(20,5081416,'1',103,'N'),(20,5081424,'1',326,'N'),(20,5081440,'1',235,'N'),(20,5081440,'1A',202,'N'),(20,5081459,'1',220,'N'),(20,5081459,'1A',202,'N'),(20,5081467,'1',5,'N'),(20,5081475,'1',201,'N'),(20,5081475,'1A',207,'N'),(20,5081483,'1',420,'N'),(20,5081491,'1',103,'N'),(20,5081505,'1',5,'N'),(20,5081513,'1',211,'N'),(20,5081513,'1A',216,'N'),(20,5081521,'1',451,'N'),(20,5081530,'1',207,'N'),(20,5081548,'1',309,'N'),(20,5081564,'1',212,'N'),(20,5081564,'1A',201,'N'),(20,5081572,'1',203,'N'),(20,5081572,'1A',201,'N'),(20,5081580,'1',317,'N'),(20,5081610,'1',201,'N'),(20,5081610,'1A',220,'N'),(20,5081629,'1',201,'N'),(20,5081629,'1A',212,'N'),(20,5081645,'1',216,'N'),(20,5081653,'1',651,'N'),(20,5081653,'1A',652,'N'),(20,5081661,'1',207,'N'),(20,5081661,'1A',201,'N'),(20,5081670,'1',203,'N'),(20,5081696,'1',328,'N'),(20,5081700,'1',301,'N'),(20,5081718,'1',201,'N'),(20,5081718,'1A',212,'N'),(20,5081726,'1',201,'N'),(20,5081726,'1A',212,'N'),(20,5081734,'1',103,'N'),(20,5081742,'1',5,'N'),(20,5081750,'1',103,'N'),(20,5081769,'1',415,'N'),(20,5081785,'1',201,'N'),(20,5081785,'1A',207,'N'),(20,5081807,'1',103,'N'),(20,5081815,'1',203,'N'),(20,5081831,'1',303,'N'),(20,5081840,'1',103,'N'),(20,5081858,'1',104,'N'),(20,5081866,'1',103,'N'),(20,5081874,'1',207,'N'),(20,5081882,'1',101,'N'),(20,5081890,'1',103,'N'),(20,5081904,'1',214,'N'),(20,5081904,'1A',212,'N'),(20,5081920,'1',103,'N'),(20,5081939,'1',429,'N'),(20,5081939,'1A',428,'N'),(20,5081947,'1',203,'N'),(20,5081947,'1A',216,'N'),(20,5081963,'1',220,'N'),(20,5081963,'1A',238,'N'),(20,5081971,'1',212,'N'),(20,5081971,'1A',601,'N'),(20,5081998,'1',220,'N'),(20,5081998,'1A',202,'N'),(20,5082005,'1',203,'N'),(20,5082005,'1A',214,'N'),(20,5082013,'1',234,'N'),(20,5082021,'1',303,'N'),(20,5082030,'1',207,'N'),(20,5082030,'1A',201,'N'),(20,5082048,'1',103,'N'),(20,5082056,'1',103,'N'),(20,5082064,'1',329,'N'),(20,5082072,'1',103,'N'),(20,5082080,'1',452,'N'),(20,5082099,'1',452,'N'),(20,5082102,'1',103,'N'),(20,5082110,'1',234,'N'),(20,5082129,'1',340,'N'),(20,5082137,'1',102,'N'),(20,5082145,'1',238,'N'),(20,5082145,'1A',208,'N'),(20,5082153,'1',450,'N'),(20,5082161,'1',203,'N'),(20,5082161,'1A',214,'N'),(20,5082170,'1',340,'N'),(20,5082188,'1',108,'N'),(20,5082196,'1',103,'N'),(20,5082200,'1',103,'N'),(20,5082226,'1',303,'N'),(20,5082234,'1',303,'N'),(20,5082250,'1',103,'N'),(20,5082269,'1',103,'N'),(20,5082277,'1',103,'N'),(20,5082285,'1',103,'N'),(20,5082293,'1',202,'N'),(20,5082293,'1A',235,'N'),(20,5082307,'1',202,'N'),(20,5082307,'1A',601,'N'),(20,5082323,'1',216,'N'),(20,5082323,'1A',201,'N'),(20,5082331,'1',108,'N'),(20,5082340,'1',444,'N'),(20,5082358,'1',444,'N'),(20,5082366,'1',201,'N'),(20,5082366,'1A',202,'N'),(20,5082374,'1',103,'N'),(20,5082382,'1',103,'N'),(20,5082390,'1',319,'N'),(20,5082404,'1',201,'N'),(20,5082404,'1A',212,'N'),(20,5082412,'1',234,'N'),(20,5082420,'1',216,'N'),(20,5082420,'1A',201,'N'),(20,5082439,'1',220,'N'),(20,5082439,'1A',203,'N'),(20,5082447,'1',340,'N'),(20,5082463,'1',203,'N'),(20,5082471,'1',103,'N'),(20,5082480,'1',211,'N'),(20,5082480,'1A',201,'N'),(20,5082501,'1',103,'N'),(20,5082510,'1',303,'N'),(20,5082544,'1',103,'N'),(20,5082552,'1',452,'N'),(20,5082560,'1',211,'N'),(20,5082579,'1',333,'N'),(20,5082587,'1',216,'N'),(20,5082587,'1A',653,'N'),(20,5082595,'1',214,'N'),(20,5082595,'1A',220,'N'),(20,5082609,'1',103,'N'),(20,5082617,'1',201,'N'),(20,5082617,'1A',212,'N'),(20,5082625,'1',109,'N'),(20,5082633,'1',501,'N'),(20,5082641,'1',216,'N'),(20,5082641,'1A',601,'N'),(20,5082650,'1',333,'N'),(20,5082668,'1',326,'N'),(20,5082676,'1',207,'N'),(20,5082676,'1A',211,'N'),(20,5082684,'1',103,'N'),(20,5082692,'1',444,'N'),(20,5082706,'1',211,'N'),(20,5082706,'1A',216,'N'),(20,5082714,'1',108,'N'),(20,5082730,'1',207,'N'),(20,5082730,'1A',212,'N'),(20,5082749,'1',216,'N'),(20,5082749,'1A',211,'N'),(20,5082790,'1',303,'N'),(20,5082803,'1',302,'N'),(20,5082811,'1',601,'N'),(20,5082820,'1',415,'N'),(20,5082838,'1',202,'N'),(20,5082838,'1A',203,'N'),(20,5082846,'1',103,'N'),(20,5082854,'1',207,'N'),(20,5082854,'1A',201,'N'),(20,5082870,'1',207,'N'),(20,5082870,'1A',211,'N'),(20,5082889,'1',205,'N'),(20,5082897,'1',451,'N'),(20,5082900,'1',501,'N'),(20,5082919,'1',203,'N'),(20,5082919,'1A',216,'N'),(20,5082927,'1',223,'N'),(20,5082935,'1',101,'N'),(20,5082943,'1',316,'N'),(20,5082951,'1',501,'N'),(20,5082960,'1',444,'N'),(20,5082994,'1',201,'N'),(20,5082994,'1A',214,'N'),(20,5083001,'1',333,'N'),(20,5083036,'1',420,'N'),(20,5083060,'1',103,'N'),(20,5083087,'1',103,'N'),(20,5083109,'1',450,'N'),(20,5083117,'1',216,'N'),(20,5083117,'1A',653,'N'),(20,5083125,'1',103,'N'),(20,5083133,'1',3,'N'),(20,5083141,'1',304,'N'),(20,5083176,'1',103,'N'),(20,5083192,'1',203,'N'),(20,5083192,'1A',201,'N'),(20,5083214,'1',208,'N'),(20,5083214,'1A',651,'N'),(20,5083222,'1',202,'N'),(20,5083222,'1A',235,'N'),(20,5083230,'1',333,'N'),(20,5083257,'1',235,'N'),(20,5083257,'1A',202,'N'),(20,5083265,'1',103,'N'),(20,5083273,'1',5,'N'),(20,5083320,'1',202,'N'),(20,5083320,'1A',213,'N'),(20,5083338,'1',207,'N'),(20,5083354,'1',238,'N'),(20,5083362,'1',103,'N'),(20,5083370,'1',104,'N'),(20,5083389,'1',103,'N'),(20,5083397,'1',201,'N'),(20,5083397,'1A',203,'N'),(20,5083400,'1',5,'N'),(20,5083419,'1',103,'N'),(20,5083427,'1',103,'N'),(20,5083435,'1',103,'N'),(20,5083443,'1',551,'N'),(20,5083478,'1',340,'N'),(20,5083486,'1',301,'N'),(20,5083508,'1',316,'N'),(20,5083516,'1',453,'N'),(20,5083524,'1',303,'N'),(20,5083532,'1',103,'N'),(20,5083540,'1',103,'N'),(20,5083559,'1',5,'N'),(20,5083575,'1',215,'N'),(20,5083575,'1A',216,'N'),(20,5083583,'1',319,'N'),(20,5083591,'1',208,'N'),(20,5083605,'1',103,'N'),(20,5083613,'1',108,'N'),(20,5083630,'1',238,'N'),(20,5083630,'1A',208,'N'),(20,5083648,'1',103,'N'),(20,5083656,'1',103,'N'),(20,5083672,'1',103,'N'),(20,5083680,'1',601,'N'),(20,5083680,'1A',235,'N'),(20,5083699,'1',201,'N'),(20,5083699,'1A',212,'N'),(20,5083702,'1',601,'N'),(20,5083702,'1A',201,'N'),(20,5083710,'1',329,'N'),(20,5083729,'1',103,'N'),(20,5083737,'1',303,'N'),(20,5083753,'1',216,'N'),(20,5083753,'1A',202,'N'),(20,5083761,'1',207,'N'),(20,5083761,'1A',211,'N'),(20,5083788,'1',317,'N'),(20,5083796,'1',336,'N'),(20,5083800,'1',5,'N'),(20,5083818,'1',319,'N'),(20,5083826,'1',308,'N'),(20,5083850,'1',104,'N'),(20,5083869,'1',233,'N'),(20,5083869,'1A',207,'N'),(20,5083877,'1',103,'N'),(20,5083885,'1',303,'N'),(20,5083893,'1',220,'N'),(20,5083893,'1A',213,'N'),(20,5083907,'1',207,'N'),(20,5083907,'1A',211,'N'),(20,5083915,'1',317,'N'),(20,5083923,'1',203,'N'),(20,5083923,'1A',214,'N'),(20,5083931,'1',203,'N'),(20,5083931,'1A',202,'N'),(20,5083958,'1',225,'N'),(20,5083966,'1',103,'N'),(20,5083974,'1',103,'N'),(20,5083982,'1',102,'N'),(20,5084008,'1',207,'N'),(20,5084008,'1A',201,'N'),(20,5084016,'1',302,'N'),(20,5084024,'1',329,'N'),(20,5084032,'1',102,'N'),(20,5084040,'1',103,'N'),(20,5084059,'1',211,'N'),(20,5084059,'1A',215,'N'),(20,5084075,'1',216,'N'),(20,5084075,'1A',233,'N'),(20,5084091,'1',103,'N'),(20,5084105,'1',450,'N'),(20,5084113,'1',224,'N'),(20,5084121,'1',234,'N'),(20,5084130,'1',303,'N'),(20,5084148,'1',103,'N'),(20,5084164,'1',426,'N'),(20,5084164,'1A',425,'N'),(20,5084180,'1',301,'N'),(20,5084202,'1',303,'N'),(20,5084210,'1',103,'N'),(20,5084229,'1',103,'N'),(20,5084237,'1',103,'N'),(20,5084253,'1',207,'N'),(20,5084253,'1A',233,'N'),(20,5084261,'1',103,'N'),(20,5084296,'1',103,'N'),(20,5084318,'1',103,'N'),(20,5084326,'1',415,'N'),(20,5084334,'1',201,'N'),(20,5084342,'1',103,'N'),(20,5084377,'1',233,'N'),(20,5084377,'1A',216,'N'),(20,5084385,'1',108,'N'),(20,5084393,'1',9,'N'),(20,5084415,'1',201,'N'),(20,5084415,'1A',211,'N'),(20,5084423,'1',5,'N'),(20,5084440,'1',220,'N'),(20,5084440,'1A',203,'N'),(20,5084458,'1',318,'N'),(20,5084490,'1',320,'N'),(20,5084504,'1',201,'N'),(20,5084504,'1A',212,'N'),(20,5084512,'1',340,'N'),(20,5084520,'1',201,'N'),(20,5084520,'1A',207,'N'),(20,5084547,'1',103,'N'),(20,5084555,'1',333,'N'),(20,5084571,'1',304,'N'),(20,5084580,'1',103,'N'),(20,5084598,'1',207,'N'),(20,5084598,'1A',201,'N'),(20,5084601,'1',208,'N'),(20,5084601,'1A',202,'N'),(20,5084610,'1',101,'N'),(20,5084628,'1',102,'N'),(20,5084652,'1',501,'N'),(20,5084695,'1',319,'N'),(20,5084709,'1',103,'N'),(20,5084725,'1',415,'N'),(20,5084733,'1',5,'N'),(20,5084741,'1',103,'N'),(20,5084750,'1',317,'N'),(20,5084768,'1',340,'N'),(20,5084776,'1',102,'N'),(20,5084784,'1',108,'N'),(20,5084792,'1',103,'N'),(20,5084806,'1',444,'N'),(20,5084814,'1',103,'N'),(20,5084822,'1',333,'N'),(20,5084849,'1',202,'N'),(20,5084849,'1A',216,'N'),(20,5084857,'1',103,'N'),(20,5084873,'1',9,'N'),(20,5084881,'1',103,'N'),(20,5084890,'1',203,'N'),(20,5084890,'1A',220,'N'),(20,5084920,'1',103,'N'),(20,5084938,'1',415,'N'),(20,5084954,'1',103,'N'),(20,5084962,'1',103,'N'),(20,5084970,'1',216,'N'),(20,5084970,'1A',211,'N'),(20,5084989,'1',304,'N'),(20,5085004,'1',319,'N'),(20,5085012,'1',319,'N'),(20,5085020,'1',108,'N'),(20,5085039,'1',216,'N'),(20,5085047,'1',301,'N'),(20,5085055,'1',103,'N'),(20,5085071,'1',211,'N'),(20,5085071,'1A',215,'N'),(20,5085080,'1',103,'N'),(20,5085101,'1',207,'N'),(20,5085101,'1A',238,'N'),(20,5085136,'1',103,'N'),(20,5085144,'1',103,'N'),(20,5085152,'1',318,'N'),(20,5085160,'1',234,'N'),(20,5085179,'1',308,'N'),(20,5085187,'1',333,'N'),(20,5085195,'1',233,'N'),(20,5085195,'1A',216,'N'),(20,5085217,'1',316,'N'),(20,5085225,'1',216,'N'),(20,5085241,'1',103,'N'),(20,5085250,'1',319,'N'),(20,5085268,'1',211,'N'),(20,5085268,'1A',653,'N'),(20,5085276,'1',103,'N'),(20,5085284,'1',424,'N'),(20,5085284,'1A',428,'N'),(20,5085292,'1',207,'N'),(20,5085292,'1A',203,'N'),(20,5085306,'1',324,'N'),(20,5085314,'1',102,'N'),(20,5085322,'1',101,'N'),(20,5085330,'1',601,'N'),(20,5085330,'1A',208,'N'),(20,5085349,'1',308,'N'),(20,5085357,'1',203,'N'),(20,5085357,'1A',214,'N'),(20,5085365,'1',202,'N'),(20,5085365,'1A',235,'N'),(20,5085373,'1',304,'N'),(20,5085403,'1',201,'N'),(20,5085403,'1A',207,'N'),(20,5085420,'1',216,'N'),(20,5085420,'1A',233,'N'),(20,5085438,'1',102,'N'),(20,5085446,'1',207,'N'),(20,5085446,'1A',201,'N'),(20,5085454,'1',415,'N'),(20,5085470,'1',104,'N'),(20,5085497,'1',103,'N'),(20,5085500,'1',316,'N'),(20,5085519,'1',212,'N'),(20,5085519,'1A',201,'N'),(20,5085527,'1',103,'N'),(20,5085543,'1',201,'N'),(20,5085543,'1A',601,'N'),(20,5085551,'1',450,'N'),(20,5085560,'1',104,'N'),(20,5085578,'1',216,'N'),(20,5085578,'1A',233,'N'),(20,5085594,'1',426,'N'),(20,5085594,'1A',428,'N'),(20,5085608,'1',216,'N'),(20,5085608,'1A',203,'N'),(20,5085616,'1',216,'N'),(20,5085624,'1',340,'N'),(20,5085632,'1',103,'N'),(20,5085640,'1',329,'N'),(20,5085659,'1',103,'N'),(20,5085667,'1',103,'N'),(20,5085675,'1',452,'N'),(20,5085683,'1',211,'N'),(20,5085683,'1A',201,'N'),(20,5085691,'1',103,'N'),(20,5085705,'1',301,'N'),(20,5085713,'1',103,'N'),(20,5085721,'1',235,'N'),(20,5085721,'1A',208,'N'),(20,5085748,'1',103,'N'),(20,5085756,'1',103,'N'),(20,5085764,'1',331,'N'),(20,5085772,'1',319,'N'),(20,5085780,'1',317,'N'),(20,5085799,'1',304,'N'),(20,5085802,'1',203,'N'),(20,5085802,'1A',201,'N'),(20,5085810,'1',316,'N'),(20,5085837,'1',103,'N'),(20,5085845,'1',103,'N'),(20,5085853,'1',203,'N'),(20,5085853,'1A',216,'N'),(20,5085861,'1',207,'N'),(20,5085861,'1A',215,'N'),(20,5085888,'1',303,'N'),(20,5085896,'1',211,'N'),(20,5085896,'1A',201,'N'),(20,5085900,'1',104,'N'),(20,5085926,'1',452,'N'),(20,5085934,'1',340,'N'),(20,5085942,'1',429,'N'),(20,5085942,'1A',425,'N'),(20,5085969,'1',220,'N'),(20,5085993,'1',109,'N'),(20,5086019,'1',303,'N'),(20,5086027,'1',317,'N'),(20,5086051,'1',203,'N'),(20,5086051,'1A',202,'N'),(20,5086060,'1',203,'N'),(20,5086060,'1A',201,'N'),(20,5086078,'1',316,'N'),(20,5086108,'1',316,'N'),(20,5086116,'1',103,'N'),(20,5086124,'1',331,'N'),(20,5086132,'1',103,'N'),(20,5086140,'1',301,'N'),(20,5086159,'1',103,'N'),(20,5086183,'1',214,'N'),(20,5086183,'1A',203,'N'),(20,5086191,'1',319,'N'),(20,5086205,'1',340,'N'),(20,5086213,'1',201,'N'),(20,5086213,'1A',212,'N'),(20,5086230,'1',5,'N'),(20,5086248,'1',103,'N'),(20,5086256,'1',452,'N'),(20,5086264,'1',340,'N'),(20,5086272,'1',207,'N'),(20,5086280,'1',207,'N'),(20,5086280,'1A',216,'N'),(20,5086299,'1',301,'N'),(20,5086302,'1',103,'N'),(20,5086310,'1',216,'N'),(20,5086329,'1',201,'N'),(20,5086337,'1',420,'N'),(20,5086345,'1',340,'N'),(20,5086353,'1',203,'N'),(20,5086353,'1A',201,'N'),(20,5086361,'1',208,'N'),(20,5086361,'1A',238,'N'),(20,5086370,'1',420,'N'),(20,5086388,'1',651,'N'),(20,5086388,'1A',653,'N'),(20,5086400,'1',3,'N'),(20,5086418,'1',424,'N'),(20,5086418,'1A',428,'N'),(20,5086426,'1',327,'N'),(20,5086434,'1',415,'N'),(20,5086450,'1',103,'N'),(20,5086469,'1',207,'N'),(20,5086469,'1A',201,'N'),(20,5086477,'1',601,'N'),(20,5086477,'1A',203,'N'),(20,5086485,'1',207,'N'),(20,5086485,'1A',201,'N'),(20,5086493,'1',326,'N'),(20,5086507,'1',201,'N'),(20,5086507,'1A',212,'N'),(20,5086523,'1',444,'N'),(20,5086531,'1',203,'N'),(20,5086531,'1A',213,'N'),(20,5086540,'1',601,'N'),(20,5086540,'1A',214,'N'),(20,5086558,'1',103,'N'),(20,5086574,'1',319,'N'),(20,5086582,'1',652,'N'),(20,5086582,'1A',653,'N'),(20,5086590,'1',316,'N'),(20,5086604,'1',452,'N'),(20,5086612,'1',425,'N'),(20,5086612,'1A',429,'N'),(20,5086620,'1',207,'N'),(20,5086620,'1A',201,'N'),(20,5086639,'1',450,'N'),(20,5086647,'1',103,'N'),(20,5086663,'1',304,'N'),(20,5086680,'1',429,'N'),(20,5086680,'1A',425,'N'),(20,5086698,'1',207,'N'),(20,5086698,'1A',201,'N'),(20,5086701,'1',452,'N'),(20,5086744,'1',317,'N'),(20,5086760,'1',234,'N'),(20,5086787,'1',216,'N'),(20,5086787,'1A',215,'N'),(20,5086795,'1',207,'N'),(20,5086795,'1A',216,'N'),(20,5086809,'1',316,'N'),(20,5086817,'1',102,'N'),(20,5086825,'1',201,'N'),(20,5086825,'1A',212,'N'),(20,5086850,'1',102,'N'),(20,5086884,'1',301,'N'),(20,5086892,'1',317,'N'),(20,5086906,'1',213,'N'),(20,5086906,'1A',202,'N'),(20,5086922,'1',203,'N'),(20,5086922,'1A',235,'N'),(20,5086930,'1',102,'N'),(20,5086949,'1',103,'N'),(20,5086965,'1',319,'N'),(20,5086973,'1',201,'N'),(20,5086973,'1A',203,'N'),(20,5087007,'1',201,'N'),(20,5087007,'1A',215,'N'),(20,5087015,'1',316,'N'),(20,5087023,'1',108,'N'),(20,5087031,'1',201,'N'),(20,5087040,'1',222,'N'),(20,5087066,'1',415,'N'),(20,5087074,'1',211,'N'),(20,5087074,'1A',207,'N'),(20,5087082,'1',201,'N'),(20,5087082,'1A',211,'N'),(20,5087090,'1',5,'N'),(20,5087104,'1',233,'N'),(20,5087104,'1A',216,'N'),(20,5087112,'1',201,'N'),(20,5087112,'1A',233,'N'),(20,5087120,'1',332,'N'),(20,5087139,'1',316,'N'),(20,5087155,'1',234,'N'),(20,5087163,'1',333,'N'),(20,5087171,'1',234,'N'),(20,5087180,'1',301,'N'),(20,5087198,'1',103,'N'),(20,5087201,'1',317,'N'),(20,5087210,'1',202,'N'),(20,5087210,'1A',213,'N'),(20,5087228,'1',207,'N'),(20,5087228,'1A',201,'N'),(20,5087236,'1',103,'N'),(20,5087260,'1',108,'N'),(20,5087279,'1',303,'N'),(20,5087287,'1',304,'N'),(20,5087295,'1',103,'N'),(20,5087325,'1',203,'N'),(20,5087325,'1A',220,'N'),(20,5087341,'1',238,'N'),(20,5087341,'1A',208,'N'),(20,5087350,'1',211,'N'),(20,5087350,'1A',220,'N'),(20,5087376,'1',103,'N'),(20,5087384,'1',316,'N'),(20,5087406,'1',103,'N'),(20,5087414,'1',452,'N'),(20,5087422,'1',103,'N'),(20,5087430,'1',238,'N'),(20,5087430,'1A',208,'N'),(20,5087457,'1',5,'N'),(20,5087465,'1',202,'N'),(20,5087465,'1A',213,'N'),(20,5087473,'1',104,'N'),(20,5087490,'1',103,'N'),(20,5087503,'1',102,'N'),(20,5087511,'1',652,'N'),(20,5087511,'1A',653,'N'),(20,5087538,'1',404,'N'),(20,5087554,'1',103,'N'),(20,5087562,'1',303,'N'),(20,5087570,'1',318,'N'),(20,5087597,'1',303,'N'),(20,5087600,'1',104,'N'),(20,5087619,'1',224,'N'),(20,5087627,'1',452,'N'),(20,5087635,'1',201,'N'),(20,5087635,'1A',212,'N'),(20,5087651,'1',207,'N'),(20,5087660,'1',202,'N'),(20,5087660,'1A',235,'N'),(20,5087678,'1',212,'N'),(20,5087678,'1A',201,'N'),(20,5087694,'1',319,'N'),(20,5087716,'1',317,'N'),(20,5087724,'1',317,'N'),(20,5087732,'1',103,'N'),(20,5087767,'1',450,'N'),(20,5087783,'1',234,'N'),(20,5087791,'1',201,'N'),(20,5087791,'1A',203,'N'),(20,5087805,'1',207,'N'),(20,5087805,'1A',201,'N'),(20,5087813,'1',420,'N'),(20,5087830,'1',238,'N'),(20,5087830,'1A',208,'N'),(20,5087848,'1',502,'N'),(20,5087864,'1',102,'N'),(20,5087872,'1',103,'N'),(20,5087880,'1',103,'N'),(20,5087899,'1',103,'N'),(20,5087902,'1',502,'N'),(20,5087910,'1',235,'N'),(20,5087910,'1A',202,'N'),(20,5087937,'1',451,'N'),(20,5087945,'1',103,'N'),(20,5087953,'1',207,'N'),(20,5087953,'1A',201,'N'),(20,5087961,'1',331,'N'),(20,5087970,'1',103,'N'),(20,5088003,'1',103,'N'),(20,5088011,'1',9,'N'),(20,5088020,'1',333,'N'),(20,5088038,'1',238,'N'),(20,5088038,'1A',601,'N'),(20,5088062,'1',601,'N'),(20,5088062,'1A',203,'N'),(20,5088070,'1',444,'N'),(20,5088089,'1',103,'N'),(20,5088097,'1',451,'N'),(20,5088119,'1',103,'N'),(20,5088127,'1',404,'N'),(20,5088135,'1',108,'N'),(20,5088143,'1',207,'N'),(20,5088143,'1A',233,'N'),(20,5088160,'1',319,'N'),(20,5088178,'1',238,'N'),(20,5088178,'1A',208,'N'),(20,5088186,'1',316,'N'),(20,5088194,'1',103,'N'),(20,5088208,'1',103,'N'),(20,5088216,'1',102,'N'),(20,5088224,'1',303,'N'),(20,5088240,'1',203,'N'),(20,5088240,'1A',233,'N'),(20,5088259,'1',502,'N'),(20,5088267,'1',103,'N'),(20,5088275,'1',214,'N'),(20,5088275,'1A',233,'N'),(20,5088283,'1',203,'N'),(20,5088283,'1A',653,'N'),(20,5088291,'1',304,'N'),(20,5088305,'1',203,'N'),(20,5088305,'1A',214,'N'),(20,5088313,'1',331,'N'),(20,5088321,'1',104,'N'),(20,5088330,'1',340,'N'),(20,5088348,'1',233,'N'),(20,5088348,'1A',216,'N'),(20,5088356,'1',103,'N'),(20,5088364,'1',215,'N'),(20,5088364,'1A',207,'N'),(20,5088380,'1',103,'N'),(20,5088399,'1',316,'N'),(20,5088410,'1',103,'N'),(20,5088429,'1',103,'N'),(20,5088437,'1',233,'N'),(20,5088437,'1A',216,'N'),(20,5088445,'1',301,'N'),(20,5088453,'1',103,'N'),(20,5088461,'1',211,'N'),(20,5088461,'1A',213,'N'),(20,5088488,'1',429,'N'),(20,5088488,'1A',427,'N'),(20,5088496,'1',208,'N'),(20,5088496,'1A',238,'N'),(20,5088500,'1',316,'N'),(20,5088526,'1',103,'N'),(20,5088550,'1',301,'N'),(20,5088569,'1',101,'N'),(20,5088577,'1',212,'N'),(20,5088577,'1A',213,'N'),(20,5088585,'1',103,'N'),(20,5088593,'1',428,'N'),(20,5088593,'1A',426,'N'),(20,5088607,'1',214,'N'),(20,5088607,'1A',212,'N'),(20,5088615,'1',316,'N'),(20,5088640,'1',503,'N'),(20,5088666,'1',103,'N'),(20,5088704,'1',211,'N'),(20,5088704,'1A',201,'N'),(20,5088712,'1',103,'N'),(20,5088720,'1',216,'N'),(20,5088720,'1A',220,'N'),(20,5088739,'1',207,'N'),(20,5088739,'1A',215,'N'),(20,5088747,'1',104,'N'),(20,5088755,'1',208,'N'),(20,5088755,'1A',238,'N'),(20,5088763,'1',203,'N'),(20,5088763,'1A',214,'N'),(20,5088771,'1',5,'N'),(20,5088780,'1',503,'N'),(20,5088798,'1',301,'N'),(20,5088801,'1',429,'N'),(20,5088801,'1A',425,'N'),(20,5088810,'1',238,'N'),(20,5088810,'1A',220,'N'),(20,5088836,'1',303,'N'),(20,5088844,'1',5,'N'),(20,5088852,'1',319,'N'),(20,5088860,'1',327,'N'),(20,5088879,'1',103,'N'),(20,5088887,'1',320,'N'),(20,5088895,'1',216,'N'),(20,5088895,'1A',220,'N'),(20,5088909,'1',220,'N'),(20,5088909,'1A',601,'N'),(20,5088925,'1',319,'N'),(20,5088933,'1',208,'N'),(20,5088950,'1',207,'N'),(20,5088950,'1A',203,'N'),(20,5088976,'1',319,'N'),(20,5088992,'1',326,'N'),(20,5089000,'1',103,'N'),(20,5089018,'1',220,'N'),(20,5089018,'1A',235,'N'),(20,5089026,'1',304,'N'),(20,5089042,'1',425,'N'),(20,5089042,'1A',428,'N'),(20,5089050,'1',102,'N'),(20,5089069,'1',404,'N'),(20,5089077,'1',216,'N'),(20,5089077,'1A',201,'N'),(20,5089085,'1',201,'N'),(20,5089085,'1A',212,'N'),(20,5089107,'1',319,'N'),(20,5089115,'1',102,'N'),(20,5089123,'1',207,'N'),(20,5089123,'1A',201,'N'),(20,5089166,'1',320,'N'),(20,5089190,'1',340,'N'),(20,5089204,'1',216,'N'),(20,5089212,'1',211,'N'),(20,5089212,'1A',201,'N'),(20,5089220,'1',203,'N'),(20,5089220,'1A',201,'N'),(20,5089239,'1',103,'N'),(20,5089255,'1',420,'N'),(20,5089263,'1',216,'N'),(20,5089263,'1A',203,'N'),(20,5089271,'1',5,'N'),(20,5089280,'1',201,'N'),(20,5089280,'1A',211,'N'),(20,5089298,'1',340,'N'),(20,5089310,'1',203,'N'),(20,5089310,'1A',208,'N'),(20,5089328,'1',301,'N'),(20,5089344,'1',103,'N'),(20,5089360,'1',211,'N'),(20,5089360,'1A',233,'N'),(20,5089387,'1',201,'N'),(20,5089387,'1A',216,'N'),(20,5089409,'1',9,'N'),(20,5089425,'1',103,'N'),(20,5089450,'1',104,'N'),(20,5089468,'1',110,'N'),(20,5089484,'1',336,'N'),(20,5089492,'1',238,'N'),(20,5089492,'1A',215,'N'),(20,5089506,'1',316,'N'),(20,5089514,'1',103,'N'),(20,5089522,'1',216,'N'),(20,5089530,'1',444,'N'),(20,5089549,'1',208,'N'),(20,5089549,'1A',203,'N'),(20,5089557,'1',302,'N'),(20,5089565,'1',103,'N'),(20,5089573,'1',103,'N'),(20,5089590,'1',501,'N'),(20,5089620,'1',652,'N'),(20,5089620,'1A',653,'N'),(20,5089638,'1',103,'N'),(20,5089654,'1',203,'N'),(20,5089662,'1',238,'N'),(20,5089662,'1A',651,'N'),(20,5089689,'1',318,'N'),(20,5089700,'1',601,'N'),(20,5089700,'1A',203,'N'),(20,5089719,'1',5,'N'),(20,5089727,'1',9,'N'),(20,5089751,'1',201,'N'),(20,5089751,'1A',212,'N'),(20,5089778,'1',104,'N'),(20,5089794,'1',404,'N'),(20,5089808,'1',233,'N'),(20,5089808,'1A',202,'N'),(20,5089824,'1',203,'N'),(20,5089824,'1A',201,'N'),(20,5089832,'1',233,'N'),(20,5089832,'1A',203,'N'),(20,5089840,'1',303,'N'),(20,5089859,'1',316,'N'),(20,5089867,'1',304,'N'),(20,5089883,'1',103,'N'),(20,5089891,'1',317,'N'),(20,5089905,'1',214,'N'),(20,5089905,'1A',212,'N'),(20,5089913,'1',103,'N'),(20,5089921,'1',103,'N'),(20,5089930,'1',103,'N'),(20,5089948,'1',501,'N'),(20,5089964,'1',103,'N'),(20,5089972,'1',102,'N'),(20,5089980,'1',103,'N'),(20,5089999,'1',103,'N'),(20,5090008,'1',203,'N'),(20,5090008,'1A',235,'N'),(20,5090016,'1',301,'N'),(20,5090024,'1',653,'N'),(20,5090032,'1',103,'N'),(20,5090040,'1',216,'N'),(20,5090040,'1A',213,'N'),(20,5090059,'1',336,'N'),(20,5090067,'1',201,'N'),(20,5090067,'1A',220,'N'),(20,5090075,'1',103,'N'),(20,5090083,'1',324,'N'),(20,5090091,'1',103,'N'),(20,5090113,'1',103,'N'),(20,5090121,'1',101,'N'),(20,5090156,'1',103,'N'),(20,5090164,'1',429,'N'),(20,5090164,'1A',425,'N'),(20,5090172,'1',104,'N'),(20,5090180,'1',103,'N'),(20,5090199,'1',103,'N'),(20,5090202,'1',103,'N'),(20,5090210,'1',444,'N'),(20,5090229,'1',238,'N'),(20,5090229,'1A',208,'N'),(20,5090245,'1',415,'N'),(20,5090261,'1',103,'N'),(20,5090270,'1',216,'N'),(20,5090270,'1A',215,'N'),(20,5090296,'1',653,'N'),(20,5090296,'1A',651,'N'),(20,5090300,'1',108,'N'),(20,5090318,'1',201,'N'),(20,5090318,'1A',653,'N'),(20,5090326,'1',211,'N'),(20,5090326,'1A',207,'N'),(20,5090334,'1',103,'N'),(20,5090342,'1',203,'N'),(20,5090342,'1A',653,'N'),(20,5090350,'1',201,'N'),(20,5090350,'1A',208,'N'),(20,5090369,'1',103,'N'),(20,5090377,'1',213,'N'),(20,5090377,'1A',238,'N'),(20,5090385,'1',108,'N'),(20,5090393,'1',224,'N'),(20,5090407,'1',303,'N'),(20,5090415,'1',304,'N'),(20,5090423,'1',207,'N'),(20,5090423,'1A',216,'N'),(20,5090431,'1',652,'N'),(20,5090431,'1A',653,'N'),(20,5090440,'1',103,'N'),(20,5090458,'1',103,'N'),(20,5090466,'1',340,'N'),(20,5090474,'1',450,'N'),(20,5090482,'1',5,'N'),(20,5090490,'1',103,'N'),(20,5090504,'1',201,'N'),(20,5090504,'1A',212,'N'),(20,5090520,'1',213,'N'),(20,5090520,'1A',235,'N'),(20,5090539,'1',429,'N'),(20,5090539,'1A',425,'N'),(20,5090547,'1',103,'N'),(20,5090555,'1',303,'N'),(20,5090563,'1',303,'N'),(20,5090571,'1',415,'N'),(20,5090580,'1',450,'N'),(20,5090598,'1',340,'N'),(20,5090636,'1',207,'N'),(20,5090636,'1A',212,'N'),(20,5090644,'1',202,'N'),(20,5090644,'1A',211,'N'),(20,5090652,'1',453,'N'),(20,5090660,'1',101,'N'),(20,5090687,'1',103,'N'),(20,5090717,'1',103,'N'),(20,5090733,'1',104,'N'),(20,5090750,'1',103,'N'),(20,5090776,'1',453,'N'),(20,5090792,'1',501,'N'),(20,5090806,'1',103,'N'),(20,5090814,'1',103,'N'),(20,5090822,'1',104,'N'),(20,5090830,'1',451,'N'),(20,5090865,'1',331,'N'),(20,5090881,'1',103,'N'),(20,5090890,'1',5,'N'),(20,5090903,'1',238,'N'),(20,5090903,'1A',208,'N'),(20,5090911,'1',420,'N'),(20,5090920,'1',103,'N'),(20,5090938,'1',104,'N'),(20,5090946,'1',103,'N'),(20,5090954,'1',103,'N'),(20,5090962,'1',319,'N'),(20,5090989,'1',211,'N'),(20,5090989,'1A',212,'N'),(20,5091004,'1',201,'N'),(20,5091004,'1A',212,'N'),(20,5091012,'1',101,'N'),(20,5091020,'1',103,'N'),(20,5091039,'1',103,'N'),(20,5091047,'1',501,'N'),(20,5091055,'1',316,'N'),(20,5091071,'1',208,'N'),(20,5091080,'1',501,'N'),(20,5091098,'1',501,'N'),(20,5091101,'1',303,'N'),(20,5091110,'1',601,'N'),(20,5091110,'1A',201,'N'),(20,5091128,'1',202,'N'),(20,5091136,'1',215,'N'),(20,5091136,'1A',233,'N'),(20,5091144,'1',340,'N'),(20,5091152,'1',326,'N'),(20,5091160,'1',212,'N'),(20,5091160,'1A',201,'N'),(20,5091179,'1',320,'N'),(20,5091187,'1',420,'N'),(20,5091195,'1',108,'N'),(20,5091209,'1',501,'N'),(20,5091217,'1',336,'N'),(20,5091225,'1',316,'N'),(20,5091233,'1',103,'N'),(20,5091241,'1',104,'N'),(20,5091250,'1',215,'N'),(20,5091250,'1A',216,'N'),(20,5091276,'1',340,'N'),(20,5091284,'1',108,'N'),(20,5091292,'1',103,'N'),(20,5091306,'1',318,'N'),(20,5091314,'1',220,'N'),(20,5091314,'1A',202,'N'),(20,5091322,'1',5,'N'),(20,5091330,'1',103,'N'),(20,5091349,'1',5,'N'),(20,5091357,'1',101,'N'),(20,5091365,'1',601,'N'),(20,5091365,'1A',653,'N'),(20,5091373,'1',415,'N'),(20,5091381,'1',103,'N'),(20,5091390,'1',233,'N'),(20,5091390,'1A',202,'N'),(20,5091403,'1',319,'N'),(20,5091411,'1',103,'N'),(20,5091438,'1',316,'N'),(20,5091446,'1',303,'N'),(20,5091454,'1',5,'N'),(20,5091470,'1',103,'N'),(20,5091497,'1',320,'N'),(20,5091500,'1',340,'N'),(20,5091519,'1',203,'N'),(20,5091519,'1A',207,'N'),(20,5091535,'1',104,'N'),(20,5091543,'1',220,'N'),(20,5091543,'1A',208,'N'),(20,5091560,'1',340,'N'),(20,5091578,'1',211,'N'),(20,5091578,'1A',203,'N'),(20,5091586,'1',103,'N'),(20,5091594,'1',235,'N'),(20,5091594,'1A',208,'N'),(20,5091608,'1',601,'N'),(20,5091608,'1A',203,'N'),(20,5091616,'1',104,'N'),(20,5091624,'1',103,'N'),(20,5091632,'1',103,'N'),(20,5091659,'1',3,'N'),(20,5091667,'1',9,'N'),(20,5091683,'1',318,'N'),(20,5091691,'1',301,'N'),(20,5091705,'1',103,'N'),(20,5091713,'1',327,'N'),(20,5091721,'1',103,'N'),(20,5091730,'1',103,'N'),(20,5091748,'1',320,'N'),(20,5091756,'1',238,'N'),(20,5091756,'1A',208,'N'),(20,5091764,'1',103,'N'),(20,5091772,'1',333,'N'),(20,5091799,'1',103,'N'),(20,5091802,'1',103,'N'),(20,5091810,'1',319,'N'),(20,5091829,'1',211,'N'),(20,5091829,'1A',203,'N'),(20,5091837,'1',333,'N'),(20,5091853,'1',103,'N'),(20,5091870,'1',201,'N'),(20,5091870,'1A',203,'N'),(20,5091896,'1',214,'N'),(20,5091896,'1A',601,'N'),(20,5091900,'1',202,'N'),(20,5091900,'1A',213,'N'),(20,5091918,'1',103,'N'),(20,5091926,'1',101,'N'),(20,5091934,'1',428,'N'),(20,5091934,'1A',426,'N'),(20,5091942,'1',216,'N'),(20,5091942,'1A',211,'N'),(20,5091950,'1',203,'N'),(20,5091950,'1A',202,'N'),(20,5091969,'1',216,'N'),(20,5091977,'1',103,'N'),(20,5091985,'1',103,'N'),(20,5091993,'1',318,'N'),(20,5092000,'1',103,'N'),(20,5092019,'1',203,'N'),(20,5092019,'1A',235,'N'),(20,5092027,'1',103,'N'),(20,5092035,'1',238,'N'),(20,5092035,'1A',208,'N'),(20,5092051,'1',303,'N'),(20,5092086,'1',415,'N'),(20,5092094,'1',303,'N'),(20,5092108,'1',103,'N'),(20,5092116,'1',453,'N'),(20,5092124,'1',201,'N'),(20,5092124,'1A',212,'N'),(20,5092167,'1',201,'N'),(20,5092167,'1A',207,'N'),(20,5092183,'1',203,'N'),(20,5092183,'1A',201,'N'),(20,5092191,'1',101,'N'),(20,5092205,'1',319,'N'),(20,5092213,'1',202,'N'),(20,5092213,'1A',220,'N'),(20,5092221,'1',303,'N'),(20,5092230,'1',220,'N'),(20,5092230,'1A',233,'N'),(20,5092248,'1',103,'N'),(20,5092256,'1',340,'N'),(20,5092264,'1',211,'N'),(20,5092264,'1A',233,'N'),(20,5092302,'1',216,'N'),(20,5092302,'1A',201,'N'),(20,5092310,'1',5,'N'),(20,5092329,'1',202,'N'),(20,5092329,'1A',213,'N'),(20,5092345,'1',220,'N'),(20,5092345,'1A',203,'N'),(20,5092353,'1',336,'N'),(20,5092370,'1',220,'N'),(20,5092370,'1A',203,'N'),(20,5092388,'1',202,'N'),(20,5092396,'1',201,'N'),(20,5092396,'1A',211,'N'),(20,5092400,'1',303,'N'),(20,5092418,'1',220,'N'),(20,5092418,'1A',202,'N'),(20,5092426,'1',103,'N'),(20,5092434,'1',108,'N'),(20,5092442,'1',103,'N'),(20,5092469,'1',214,'N'),(20,5092469,'1A',212,'N'),(20,5092477,'1',108,'N'),(20,5092485,'1',303,'N'),(20,5092507,'1',5,'N'),(20,5092515,'1',216,'N'),(20,5092523,'1',331,'N'),(20,5092531,'1',103,'N'),(20,5092540,'1',327,'N'),(20,5092558,'1',303,'N'),(20,5092566,'1',318,'N'),(20,5092590,'1',303,'N'),(20,5092604,'1',103,'N'),(20,5092612,'1',103,'N'),(20,5092620,'1',653,'N'),(20,5092639,'1',327,'N'),(20,5092647,'1',235,'N'),(20,5092647,'1A',202,'N'),(20,5092655,'1',501,'N'),(20,5092663,'1',601,'N'),(20,5092663,'1A',212,'N'),(20,5092671,'1',216,'N'),(20,5092671,'1A',203,'N'),(20,5092680,'1',201,'N'),(20,5092680,'1A',233,'N'),(20,5092698,'1',601,'N'),(20,5092698,'1A',202,'N'),(20,5092701,'1',201,'N'),(20,5092701,'1A',202,'N'),(20,5092710,'1',103,'N'),(20,5092744,'1',319,'N'),(20,5092752,'1',103,'N'),(20,5092760,'1',103,'N'),(20,5092779,'1',339,'N'),(20,5092787,'1',309,'N'),(20,5092795,'1',103,'N'),(20,5092809,'1',415,'N'),(20,5092817,'1',207,'N'),(20,5092817,'1A',201,'N'),(20,5092825,'1',103,'N'),(20,5092833,'1',103,'N'),(20,5092841,'1',215,'N'),(20,5092841,'1A',233,'N'),(20,5092850,'1',207,'N'),(20,5092850,'1A',208,'N'),(20,5092868,'1',203,'N'),(20,5092868,'1A',214,'N'),(20,5092884,'1',444,'N'),(20,5092892,'1',207,'N'),(20,5092892,'1A',215,'N'),(20,5092906,'1',103,'N'),(20,5092914,'1',103,'N'),(20,5092922,'1',303,'N'),(20,5092949,'1',103,'N'),(20,5092965,'1',103,'N'),(20,5092973,'1',201,'N'),(20,5092973,'1A',212,'N'),(20,5092981,'1',108,'N'),(20,5092990,'1',201,'N'),(20,5092990,'1A',203,'N'),(20,5093007,'1',203,'N'),(20,5093007,'1A',216,'N'),(20,5093015,'1',207,'N'),(20,5093023,'1',420,'N'),(20,5093031,'1',303,'N'),(20,5093040,'1',404,'N'),(20,5093058,'1',203,'N'),(20,5093058,'1A',601,'N'),(20,5093066,'1',340,'N'),(20,5093074,'1',302,'N'),(20,5093082,'1',340,'N'),(20,5093090,'1',216,'N'),(20,5093090,'1A',233,'N'),(20,5093120,'1',104,'N'),(20,5093139,'1',213,'N'),(20,5093139,'1A',220,'N'),(20,5093155,'1',103,'N'),(20,5093163,'1',220,'N'),(20,5093163,'1A',202,'N'),(20,5093180,'1',103,'N'),(20,5093210,'1',326,'N'),(20,5093228,'1',103,'N'),(20,5093236,'1',103,'N'),(20,5093244,'1',404,'N'),(20,5093252,'1',238,'N'),(20,5093252,'1A',208,'N'),(20,5093260,'1',103,'N'),(20,5093279,'1',452,'N'),(20,5093287,'1',5,'N'),(20,5093295,'1',415,'N'),(20,5093309,'1',303,'N'),(20,5093317,'1',333,'N'),(20,5093325,'1',103,'N'),(20,5093333,'1',601,'N'),(20,5093333,'1A',212,'N'),(20,5093341,'1',214,'N'),(20,5093341,'1A',220,'N'),(20,5093350,'1',103,'N'),(20,5093368,'1',207,'N'),(20,5093368,'1A',201,'N'),(20,5093376,'1',208,'N'),(20,5093376,'1A',235,'N'),(20,5093392,'1',216,'N'),(20,5093392,'1A',215,'N'),(20,5093406,'1',340,'N'),(20,5093422,'1',103,'N'),(20,5093430,'1',201,'N'),(20,5093430,'1A',238,'N'),(20,5093449,'1',215,'N'),(20,5093449,'1A',216,'N'),(20,5093457,'1',601,'N'),(20,5093465,'1',203,'N'),(20,5093465,'1A',201,'N'),(20,5093473,'1',501,'N'),(20,5093481,'1',103,'N'),(20,5093490,'1',234,'N'),(20,5093503,'1',450,'N'),(20,5093511,'1',220,'N'),(20,5093511,'1A',238,'N'),(20,5093520,'1',103,'N'),(20,5093538,'1',303,'N'),(20,5093546,'1',203,'N'),(20,5093546,'1A',216,'N'),(20,5093554,'1',453,'N'),(20,5093562,'1',340,'N'),(20,5093570,'1',103,'N'),(20,5093589,'1',201,'N'),(20,5093589,'1A',212,'N'),(20,5093597,'1',303,'N'),(20,5093600,'1',601,'N'),(20,5093600,'1A',214,'N'),(20,5093627,'1',340,'N'),(20,5093635,'1',207,'N'),(20,5093635,'1A',215,'N'),(20,5093643,'1',201,'N'),(20,5093643,'1A',207,'N'),(20,5093651,'1',103,'N'),(20,5093660,'1',453,'N'),(20,5093678,'1',103,'N'),(20,5093686,'1',216,'N'),(20,5093686,'1A',233,'N'),(20,5093694,'1',208,'N'),(20,5093694,'1A',238,'N'),(20,5093708,'1',201,'N'),(20,5093708,'1A',233,'N'),(20,5093716,'1',103,'N'),(20,5093724,'1',444,'N'),(20,5093732,'1',452,'N'),(20,5093740,'1',103,'N'),(20,5093767,'1',102,'N'),(20,5093775,'1',103,'N'),(20,5093783,'1',203,'N'),(20,5093783,'1A',201,'N'),(20,5093791,'1',319,'N'),(20,5093805,'1',102,'N'),(20,5093813,'1',415,'N'),(20,5093821,'1',238,'N'),(20,5093830,'1',103,'N'),(20,5093848,'1',340,'N'),(20,5093856,'1',103,'N'),(20,5093864,'1',208,'N'),(20,5093864,'1A',238,'N'),(20,5093872,'1',207,'N'),(20,5093872,'1A',201,'N'),(20,5093880,'1',103,'N'),(20,5093902,'1',101,'N'),(20,5093929,'1',453,'N'),(20,5093945,'1',103,'N'),(20,5093953,'1',202,'N'),(20,5093953,'1A',235,'N'),(20,5093961,'1',653,'N'),(20,5093988,'1',103,'N'),(20,5094003,'1',203,'N'),(20,5094003,'1A',201,'N'),(20,5094011,'1',220,'N'),(20,5094011,'1A',203,'N'),(20,5094020,'1',201,'N'),(20,5094020,'1A',212,'N'),(20,5094038,'1',653,'N'),(20,5094046,'1',301,'N'),(20,5094089,'1',318,'N'),(20,5094097,'1',216,'N'),(20,5094097,'1A',233,'N'),(20,5094100,'1',301,'N'),(20,5094119,'1',208,'N'),(20,5094119,'1A',238,'N'),(20,5094127,'1',415,'N'),(20,5094135,'1',340,'N'),(20,5094143,'1',303,'N'),(20,5094160,'1',201,'N'),(20,5094160,'1A',203,'N'),(20,5094186,'1',203,'N'),(20,5094186,'1A',216,'N'),(20,5094194,'1',238,'N'),(20,5094194,'1A',208,'N'),(20,5094208,'1',211,'N'),(20,5094208,'1A',216,'N'),(20,5094216,'1',103,'N'),(20,5094224,'1',415,'N'),(20,5094232,'1',415,'N'),(20,5094240,'1',207,'N'),(20,5094240,'1A',203,'N'),(20,5094259,'1',316,'N'),(20,5094267,'1',201,'N'),(20,5094267,'1A',207,'N'),(20,5094275,'1',452,'N'),(20,5094283,'1',303,'N'),(20,5094291,'1',207,'N'),(20,5094291,'1A',201,'N'),(20,5094305,'1',302,'N'),(20,5094321,'1',233,'N'),(20,5094321,'1A',202,'N'),(20,5094348,'1',233,'N'),(20,5094348,'1A',213,'N'),(20,5094356,'1',233,'N'),(20,5094356,'1A',201,'N'),(20,5094372,'1',212,'N'),(20,5094372,'1A',214,'N'),(20,5094380,'1',207,'N'),(20,5094380,'1A',201,'N'),(20,5094410,'1',103,'N'),(20,5094429,'1',653,'N'),(20,5094429,'1A',651,'N'),(20,5094453,'1',220,'N'),(20,5094461,'1',213,'N'),(20,5094461,'1A',235,'N'),(20,5094470,'1',207,'N'),(20,5094470,'1A',212,'N'),(20,5094496,'1',108,'N'),(20,5094500,'1',216,'N'),(20,5094500,'1A',233,'N'),(20,5094518,'1',103,'N'),(20,5094526,'1',103,'N'),(20,5094534,'1',601,'N'),(20,5094534,'1A',203,'N'),(20,5094542,'1',233,'N'),(20,5094550,'1',303,'N'),(20,5094569,'1',103,'N'),(20,5094585,'1',104,'N'),(20,5094607,'1',424,'N'),(20,5094607,'1A',428,'N'),(20,5094615,'1',304,'N'),(20,5094623,'1',551,'N'),(20,5094631,'1',202,'N'),(20,5094631,'1A',213,'N'),(20,5094640,'1',212,'N'),(20,5094640,'1A',207,'N'),(20,5094658,'1',304,'N'),(20,5094666,'1',316,'N'),(20,5094682,'1',444,'N'),(20,5094712,'1',216,'N'),(20,5094712,'1A',212,'N'),(20,5094720,'1',103,'N'),(20,5094739,'1',5,'N'),(20,5094755,'1',326,'N'),(20,5094763,'1',451,'N'),(20,5094771,'1',303,'N'),(20,5094780,'1',452,'N'),(20,5094798,'1',103,'N'),(20,5094801,'1',415,'N'),(20,5094836,'1',303,'N'),(20,5094844,'1',103,'N'),(20,5094852,'1',415,'N'),(20,5094879,'1',327,'N'),(20,5094887,'1',5,'N'),(20,5094895,'1',220,'N'),(20,5094895,'1A',211,'N'),(20,5094909,'1',103,'N'),(20,5094917,'1',103,'N'),(20,5094933,'1',103,'N'),(20,5094941,'1',103,'N'),(20,5094950,'1',327,'N'),(20,5094968,'1',203,'N'),(20,5094968,'1A',233,'N'),(20,5094976,'1',340,'N'),(20,5094984,'1',318,'N'),(20,5094992,'1',108,'N'),(20,5095000,'1',203,'N'),(20,5095000,'1A',202,'N'),(20,5095026,'1',207,'N'),(20,5095026,'1A',215,'N'),(20,5095034,'1',211,'N'),(20,5095034,'1A',653,'N'),(20,5095042,'1',238,'N'),(20,5095042,'1A',201,'N'),(20,5095069,'1',103,'N'),(20,5095077,'1',327,'N'),(20,5095085,'1',203,'N'),(20,5095085,'1A',220,'N'),(20,5095093,'1',108,'N'),(20,5095107,'1',303,'N'),(20,5095115,'1',104,'N'),(20,5095131,'1',103,'N'),(20,5095140,'1',103,'N'),(20,5095174,'1',104,'N'),(20,5095190,'1',109,'N'),(20,5095204,'1',103,'N'),(20,5095212,'1',108,'N'),(20,5095220,'1',202,'N'),(20,5095220,'1A',213,'N'),(20,5095239,'1',202,'N'),(20,5095239,'1A',235,'N'),(20,5095247,'1',340,'N'),(20,5095255,'1',208,'N'),(20,5095255,'1A',202,'N'),(20,5095271,'1',208,'N'),(20,5095271,'1A',235,'N'),(20,5095280,'1',203,'N'),(20,5095280,'1A',208,'N'),(20,5095310,'1',103,'N'),(20,5095328,'1',653,'N'),(20,5095344,'1',103,'N'),(20,5095379,'1',303,'N'),(20,5095387,'1',309,'N'),(20,5095395,'1',208,'N'),(20,5095395,'1A',201,'N'),(20,5095417,'1',9,'N'),(20,5095425,'1',220,'N'),(20,5095425,'1A',202,'N'),(20,5095433,'1',303,'N'),(20,5095450,'1',203,'N'),(20,5095450,'1A',233,'N'),(20,5095468,'1',444,'N'),(20,5095492,'1',207,'N'),(20,5095492,'1A',212,'N'),(20,5095506,'1',220,'N'),(20,5095506,'1A',202,'N'),(20,5095514,'1',103,'N'),(20,5095530,'1',202,'N'),(20,5095530,'1A',213,'N'),(20,5095549,'1',215,'N'),(20,5095549,'1A',211,'N'),(20,5095565,'1',201,'N'),(20,5095565,'1A',203,'N'),(20,5095573,'1',207,'N'),(20,5095573,'1A',201,'N'),(20,5095590,'1',304,'N'),(20,5095603,'1',104,'N'),(20,5095611,'1',329,'N'),(20,5095620,'1',216,'N'),(20,5095620,'1A',202,'N'),(20,5095638,'1',108,'N'),(20,5095646,'1',103,'N'),(20,5095654,'1',317,'N'),(20,5095662,'1',208,'N'),(20,5095662,'1A',238,'N'),(20,5095670,'1',316,'N'),(20,5095689,'1',319,'N'),(20,5095697,'1',220,'N'),(20,5095697,'1A',202,'N'),(20,5095700,'1',318,'N'),(20,5095719,'1',103,'N'),(20,5095727,'1',201,'N'),(20,5095727,'1A',601,'N'),(20,5095735,'1',212,'N'),(20,5095735,'1A',215,'N'),(20,5095743,'1',220,'N'),(20,5095743,'1A',202,'N'),(20,5095751,'1',207,'N'),(20,5095751,'1A',233,'N'),(20,5095760,'1',319,'N'),(20,5095778,'1',103,'N'),(20,5095786,'1',319,'N'),(20,5095794,'1',207,'N'),(20,5095816,'1',203,'N'),(20,5095816,'1A',202,'N'),(20,5095832,'1',104,'N'),(20,5095840,'1',415,'N'),(20,5095859,'1',220,'N'),(20,5095859,'1A',203,'N'),(20,5095867,'1',214,'N'),(20,5095867,'1A',601,'N'),(20,5095875,'1',340,'N'),(20,5095883,'1',103,'N'),(20,5095905,'1',203,'N'),(20,5095905,'1A',202,'N'),(20,5095913,'1',109,'N'),(20,5095921,'1',108,'N'),(20,5095930,'1',429,'N'),(20,5095930,'1A',423,'N'),(20,5095948,'1',429,'N'),(20,5095948,'1A',425,'N'),(20,5095956,'1',201,'N'),(20,5095956,'1A',216,'N'),(20,5095964,'1',319,'N'),(20,5095972,'1',202,'N'),(20,5095972,'1A',213,'N'),(20,5095999,'1',220,'N'),(20,5095999,'1A',202,'N'),(20,5096006,'1',423,'N'),(20,5096006,'1A',426,'N'),(20,5096022,'1',108,'N'),(20,5096049,'1',203,'N'),(20,5096049,'1A',235,'N'),(20,5096065,'1',234,'N'),(20,5096073,'1',340,'N'),(20,5096081,'1',103,'N'),(20,5096090,'1',108,'N'),(20,5096111,'1',501,'N'),(20,5096138,'1',316,'N'),(20,5096154,'1',5,'N'),(20,5096170,'1',601,'N'),(20,5096170,'1A',233,'N'),(20,5096189,'1',103,'N'),(20,5096200,'1',453,'N'),(20,5096219,'1',103,'N'),(20,5096235,'1',303,'N'),(20,5096243,'1',301,'N'),(20,5096251,'1',451,'N'),(20,5096278,'1',102,'N'),(20,5096286,'1',424,'N'),(20,5096286,'1A',427,'N'),(20,5096316,'1',303,'N'),(20,5096324,'1',420,'N'),(20,5096340,'1',3,'N'),(20,5096359,'1',238,'N'),(20,5096359,'1A',208,'N'),(20,5096367,'1',103,'N'),(20,5096383,'1',103,'N'),(20,5096391,'1',102,'N'),(20,5096405,'1',316,'N'),(20,5096413,'1',429,'N'),(20,5096413,'1A',427,'N'),(20,5096430,'1',238,'N'),(20,5096430,'1A',208,'N'),(20,5096472,'1',103,'N'),(20,5096480,'1',426,'N'),(20,5096480,'1A',429,'N'),(20,5096499,'1',103,'N'),(20,5096502,'1',9,'N'),(20,5096510,'1',207,'N'),(20,5096510,'1A',208,'N'),(20,5096529,'1',103,'N'),(20,5096537,'1',101,'N'),(20,5096545,'1',103,'N'),(20,5096553,'1',503,'N'),(20,5096570,'1',452,'N'),(20,5096588,'1',333,'N'),(20,5096596,'1',101,'N'),(20,5096618,'1',108,'N'),(20,5096626,'1',501,'N'),(20,5096634,'1',203,'N'),(20,5096634,'1A',202,'N'),(20,5096669,'1',109,'N'),(20,5096677,'1',216,'N'),(20,5096685,'1',420,'N'),(20,5096715,'1',301,'N'),(20,5096723,'1',426,'N'),(20,5096723,'1A',428,'N'),(20,5096731,'1',453,'N'),(20,5096740,'1',234,'N'),(20,5096758,'1',104,'N'),(20,5096766,'1',404,'N'),(20,5096774,'1',318,'N'),(20,5096790,'1',425,'N'),(20,5096790,'1A',429,'N'),(20,5096804,'1',502,'N'),(20,5096812,'1',308,'N'),(20,5096839,'1',103,'N'),(20,5096847,'1',208,'N'),(20,5096847,'1A',238,'N'),(20,5096855,'1',452,'N'),(20,5096863,'1',317,'N'),(20,5096880,'1',5,'N'),(20,5096898,'1',108,'N'),(20,5096901,'1',103,'N'),(20,5096910,'1',103,'N'),(20,5096936,'1',103,'N'),(20,5096952,'1',340,'N'),(20,5096960,'1',319,'N'),(20,5096979,'1',201,'N'),(20,5096979,'1A',213,'N'),(20,5096987,'1',336,'N'),(20,5096995,'1',424,'N'),(20,5096995,'1A',426,'N'),(20,5097002,'1',203,'N'),(20,5097002,'1A',214,'N'),(20,5097010,'1',103,'N'),(20,5097045,'1',103,'N'),(20,5097053,'1',336,'N'),(20,5097061,'1',201,'N'),(20,5097061,'1A',203,'N'),(20,5097070,'1',216,'N'),(20,5097070,'1A',203,'N'),(20,5097134,'1',103,'N'),(20,5097142,'1',220,'N'),(20,5097142,'1A',208,'N'),(20,5097150,'1',327,'N'),(20,5097169,'1',336,'N'),(20,5097177,'1',225,'N'),(20,5097185,'1',208,'N'),(20,5097193,'1',233,'N'),(20,5097193,'1A',601,'N'),(20,5097207,'1',103,'N'),(20,5097215,'1',103,'N'),(20,5097223,'1',104,'N'),(20,5097231,'1',103,'N'),(20,5097240,'1',303,'N'),(20,5097258,'1',5,'N'),(20,5097266,'1',452,'N'),(20,5097274,'1',103,'N'),(20,5097282,'1',203,'N'),(20,5097282,'1A',207,'N'),(20,5097290,'1',301,'N'),(20,5097312,'1',103,'N'),(20,5097320,'1',303,'N'),(20,5097339,'1',101,'N'),(20,5097355,'1',503,'N'),(20,5097371,'1',340,'N'),(20,5097380,'1',319,'N'),(20,5097398,'1',103,'N'),(20,5097401,'1',319,'N'),(20,5097410,'1',303,'N'),(20,5097428,'1',303,'N'),(20,5097436,'1',207,'N'),(20,5097436,'1A',201,'N'),(20,5097444,'1',103,'N'),(20,5097452,'1',317,'N'),(20,5097460,'1',103,'N'),(20,5097487,'1',108,'N'),(20,5097495,'1',203,'N'),(20,5097495,'1A',214,'N'),(20,5097509,'1',234,'N'),(20,5097517,'1',103,'N'),(20,5097525,'1',336,'N'),(20,5097533,'1',103,'N'),(20,5097541,'1',103,'N'),(20,5097550,'1',203,'N'),(20,5097568,'1',316,'N'),(20,5097576,'1',102,'N'),(20,5097584,'1',103,'N'),(20,5097606,'1',108,'N'),(20,5097614,'1',103,'N'),(20,5097622,'1',301,'N'),(20,5097630,'1',101,'N'),(20,5097649,'1',203,'N'),(20,5097649,'1A',235,'N'),(20,5097657,'1',103,'N'),(20,5097665,'1',452,'N'),(20,5097690,'1',103,'N'),(20,5097703,'1',203,'N'),(20,5097703,'1A',212,'N'),(20,5097711,'1',103,'N'),(20,5097720,'1',317,'N'),(20,5097746,'1',103,'N'),(20,5097754,'1',317,'N'),(20,5097762,'1',9,'N'),(20,5097789,'1',319,'N'),(20,5097835,'1',207,'N'),(20,5097835,'1A',215,'N'),(20,5097843,'1',2,'N'),(20,5097851,'1',340,'N'),(20,5097878,'1',104,'N'),(20,5097886,'1',220,'N'),(20,5097886,'1A',214,'N'),(20,5097908,'1',103,'N'),(20,5097924,'1',303,'N'),(20,5097940,'1',203,'N'),(20,5097940,'1A',202,'N'),(20,5097959,'1',201,'N'),(20,5097959,'1A',203,'N'),(20,5097967,'1',316,'N'),(20,5097975,'1',426,'N'),(20,5097975,'1A',428,'N'),(20,5097983,'1',103,'N'),(20,5098009,'1',103,'N'),(20,5098017,'1',316,'N'),(20,5098025,'1',652,'N'),(20,5098025,'1A',653,'N'),(20,5098033,'1',319,'N'),(20,5098041,'1',216,'N'),(20,5098041,'1A',653,'N'),(20,5098050,'1',303,'N'),(20,5098076,'1',102,'N'),(20,5098092,'1',415,'N'),(20,5098106,'1',103,'N'),(20,5098122,'1',303,'N'),(20,5098130,'1',9,'N'),(20,5098149,'1',9,'N'),(20,5098157,'1',103,'N'),(20,5098165,'1',601,'N'),(20,5098165,'1A',233,'N'),(20,5098181,'1',102,'N'),(20,5098190,'1',304,'N'),(20,5098203,'1',103,'N'),(20,5098220,'1',415,'N'),(20,5098238,'1',201,'N'),(20,5098246,'1',103,'N'),(20,5098254,'1',103,'N'),(20,5098297,'1',201,'N'),(20,5098297,'1A',207,'N'),(20,5098300,'1',102,'N'),(20,5098319,'1',201,'N'),(20,5098319,'1A',601,'N'),(20,5098327,'1',207,'N'),(20,5098327,'1A',201,'N'),(20,5098335,'1',501,'N'),(20,5098343,'1',207,'N'),(20,5098343,'1A',215,'N'),(20,5098351,'1',211,'N'),(20,5098351,'1A',215,'N'),(20,5098378,'1',103,'N'),(20,5098386,'1',220,'N'),(20,5098386,'1A',653,'N'),(20,5098394,'1',203,'N'),(20,5098394,'1A',201,'N'),(20,5098408,'1',452,'N'),(20,5098432,'1',340,'N'),(20,5098459,'1',103,'N'),(20,5098467,'1',333,'N'),(20,5098483,'1',103,'N'),(20,5098491,'1',216,'N'),(20,5098491,'1A',215,'N'),(20,5098521,'1',207,'N'),(20,5098521,'1A',212,'N'),(20,5098530,'1',203,'N'),(20,5098530,'1A',214,'N'),(20,5098556,'1',501,'N'),(20,5098564,'1',104,'N'),(20,5098572,'1',303,'N'),(20,5098580,'1',203,'N'),(20,5098580,'1A',207,'N'),(20,5098599,'1',103,'N'),(20,5098602,'1',207,'N'),(20,5098602,'1A',201,'N'),(20,5098610,'1',651,'N'),(20,5098610,'1A',653,'N'),(20,5098629,'1',216,'N'),(20,5098629,'1A',202,'N'),(20,5098637,'1',207,'N'),(20,5098637,'1A',201,'N'),(20,5098645,'1',601,'N'),(20,5098645,'1A',213,'N'),(20,5098661,'1',238,'N'),(20,5098661,'1A',208,'N'),(20,5098670,'1',201,'N'),(20,5098670,'1A',216,'N'),(20,5098696,'1',301,'N'),(20,5098700,'1',103,'N'),(20,5098726,'1',453,'N'),(20,5098734,'1',203,'N'),(20,5098734,'1A',207,'N'),(20,5098750,'1',104,'N'),(20,5098769,'1',208,'N'),(20,5098769,'1A',238,'N'),(20,5098777,'1',202,'N'),(20,5098777,'1A',238,'N'),(20,5098785,'1',216,'N'),(20,5098785,'1A',215,'N'),(20,5098793,'1',202,'N'),(20,5098807,'1',103,'N'),(20,5098815,'1',103,'N'),(20,5098823,'1',103,'N'),(20,5098831,'1',303,'N'),(20,5098858,'1',320,'N'),(20,5098874,'1',319,'N'),(20,5098882,'1',238,'N'),(20,5098882,'1A',208,'N'),(20,5098890,'1',319,'N'),(20,5098920,'1',601,'N'),(20,5098920,'1A',201,'N'),(20,5098947,'1',103,'N'),(20,5098955,'1',207,'N'),(20,5098963,'1',103,'N'),(20,5098998,'1',203,'N'),(20,5098998,'1A',202,'N'),(20,5099005,'1',340,'N'),(20,5099030,'1',216,'N'),(20,5099030,'1A',653,'N'),(20,5099048,'1',214,'N'),(20,5099048,'1A',203,'N'),(20,5099056,'1',425,'N'),(20,5099056,'1A',428,'N'),(20,5099064,'1',104,'N'),(20,5099099,'1',103,'N'),(20,5099110,'1',420,'N'),(20,5099129,'1',211,'N'),(20,5099129,'1A',233,'N'),(20,5099137,'1',211,'N'),(20,5099137,'1A',201,'N'),(20,5099145,'1',318,'N'),(20,5099153,'1',104,'N'),(20,5099161,'1',316,'N'),(20,5099170,'1',326,'N'),(20,5099188,'1',212,'N'),(20,5099188,'1A',211,'N'),(20,5099200,'1',203,'N'),(20,5099200,'1A',202,'N'),(20,5099218,'1',303,'N'),(20,5099226,'1',303,'N'),(20,5099242,'1',103,'N'),(20,5099250,'1',316,'N'),(20,5099277,'1',317,'N'),(20,5099285,'1',211,'N'),(20,5099285,'1A',215,'N'),(20,5099293,'1',453,'N'),(20,5099307,'1',331,'N'),(20,5099323,'1',103,'N'),(20,5099331,'1',104,'N'),(20,5099340,'1',301,'N'),(20,5099358,'1',203,'N'),(20,5099358,'1A',207,'N'),(20,5099366,'1',103,'N'),(20,5099374,'1',103,'N'),(20,5099382,'1',415,'N'),(20,5099390,'1',103,'N'),(20,5099404,'1',104,'N'),(20,5099412,'1',103,'N'),(20,5099420,'1',420,'N'),(20,5099439,'1',103,'N'),(20,5099447,'1',222,'N'),(20,5099455,'1',103,'N'),(20,5099463,'1',213,'N'),(20,5099471,'1',208,'N'),(20,5099471,'1A',238,'N'),(20,5099498,'1',319,'N'),(20,5099501,'1',303,'N'),(20,5099510,'1',103,'N'),(20,5099528,'1',108,'N'),(20,5099544,'1',102,'N'),(20,5099552,'1',103,'N'),(20,5099560,'1',202,'N'),(20,5099560,'1A',220,'N'),(20,5099579,'1',333,'N'),(20,5099609,'1',103,'N'),(20,5099617,'1',207,'N'),(20,5099617,'1A',201,'N'),(20,5099625,'1',339,'N'),(20,5099633,'1',320,'N'),(20,5099641,'1',340,'N'),(20,5099650,'1',340,'N'),(20,5099668,'1',317,'N'),(20,5099676,'1',319,'N'),(20,5099684,'1',238,'N'),(20,5099692,'1',319,'N'),(20,5099706,'1',211,'N'),(20,5099706,'1A',207,'N'),(20,5099722,'1',501,'N'),(20,5099730,'1',424,'N'),(20,5099730,'1A',425,'N'),(20,5099757,'1',103,'N'),(20,5099773,'1',326,'N'),(20,5099781,'1',103,'N'),(20,5099803,'1',103,'N'),(20,5099820,'1',103,'N'),(20,5099838,'1',207,'N'),(20,5099838,'1A',215,'N'),(20,5099846,'1',207,'N'),(20,5099846,'1A',652,'N'),(20,5099854,'1',316,'N'),(20,5099862,'1',233,'N'),(20,5099862,'1A',215,'N'),(20,5099870,'1',327,'N'),(20,5099889,'1',201,'N'),(20,5099889,'1A',207,'N'),(20,5099897,'1',208,'N'),(20,5099900,'1',404,'N'),(20,5099919,'1',211,'N'),(20,5099919,'1A',215,'N'),(20,5099927,'1',5,'N'),(20,5099935,'1',302,'N'),(20,5099943,'1',303,'N'),(20,5099951,'1',304,'N'),(20,5099960,'1',340,'N'),(20,5099978,'1',426,'N'),(20,5099978,'1A',428,'N'),(20,5099986,'1',340,'N'),(20,5099994,'1',201,'N'),(20,5099994,'1A',207,'N'),(20,5100003,'1',207,'N'),(20,5100003,'1A',201,'N'),(20,5100011,'1',103,'N'),(20,5100038,'1',5,'N'),(20,5100046,'1',429,'N'),(20,5100046,'1A',428,'N'),(20,5100054,'1',317,'N'),(20,5100062,'1',5,'N'),(20,5100089,'1',103,'N'),(20,5100100,'1',101,'N'),(20,5100119,'1',108,'N'),(20,5100127,'1',101,'N'),(20,5100135,'1',319,'N'),(20,5100151,'1',208,'N'),(20,5100151,'1A',235,'N'),(20,5100160,'1',336,'N'),(20,5100186,'1',103,'N'),(20,5100194,'1',216,'N'),(20,5100194,'1A',201,'N'),(20,5100208,'1',316,'N'),(20,5100224,'1',317,'N'),(20,5100232,'1',317,'N'),(20,5100240,'1',208,'N'),(20,5100240,'1A',238,'N'),(20,5100259,'1',103,'N'),(20,5100275,'1',308,'N'),(20,5100283,'1',103,'N'),(20,5100291,'1',316,'N'),(20,5100305,'1',103,'N'),(20,5100313,'1',104,'N'),(20,5100321,'1',202,'N'),(20,5100321,'1A',201,'N'),(20,5100330,'1',503,'N'),(20,5100348,'1',303,'N'),(20,5100356,'1',211,'N'),(20,5100356,'1A',601,'N'),(20,5100372,'1',208,'N'),(20,5100380,'1',201,'N'),(20,5100380,'1A',212,'N'),(20,5100402,'1',104,'N'),(20,5100410,'1',216,'N'),(20,5100410,'1A',215,'N'),(20,5100429,'1',317,'N'),(20,5100437,'1',316,'N'),(20,5100445,'1',503,'N'),(20,5100453,'1',103,'N'),(20,5100461,'1',201,'N'),(20,5100461,'1A',203,'N'),(20,5100470,'1',203,'N'),(20,5100470,'1A',202,'N'),(20,5100488,'1',104,'N'),(20,5100496,'1',301,'N'),(20,5100500,'1',424,'N'),(20,5100500,'1A',429,'N'),(20,5100526,'1',340,'N'),(20,5100534,'1',502,'N'),(20,5100542,'1',316,'N'),(20,5100550,'1',203,'N'),(20,5100550,'1A',201,'N'),(20,5100569,'1',444,'N'),(20,5100577,'1',333,'N'),(20,5100585,'1',103,'N'),(20,5100593,'1',444,'N'),(20,5100623,'1',329,'N'),(20,5100631,'1',319,'N'),(20,5100640,'1',102,'N'),(20,5100658,'1',404,'N'),(20,5100666,'1',339,'N'),(20,5100674,'1',340,'N'),(20,5100682,'1',108,'N'),(20,5100690,'1',303,'N'),(20,5100704,'1',5,'N'),(20,5100712,'1',108,'N'),(20,5100720,'1',302,'N'),(20,5100739,'1',201,'N'),(20,5100747,'1',444,'N'),(20,5100755,'1',207,'N'),(20,5100755,'1A',215,'N'),(20,5100763,'1',101,'N'),(20,5100771,'1',108,'N'),(20,5100780,'1',9,'N'),(20,5100798,'1',502,'N'),(20,5100810,'1',453,'N'),(20,5100828,'1',103,'N'),(20,5100836,'1',215,'N'),(20,5100836,'1A',233,'N'),(20,5100852,'1',203,'N'),(20,5100852,'1A',214,'N'),(20,5100879,'1',316,'N'),(20,5100887,'1',201,'N'),(20,5100887,'1A',211,'N'),(20,5100895,'1',108,'N'),(20,5100909,'1',333,'N'),(20,5100917,'1',327,'N'),(20,5100925,'1',308,'N'),(20,5100933,'1',201,'N'),(20,5100933,'1A',211,'N'),(20,5100950,'1',2,'N'),(20,5100976,'1',224,'N'),(20,5100984,'1',9,'N'),(20,5100992,'1',301,'N'),(20,5101000,'1',319,'N'),(20,5101018,'1',303,'N'),(20,5101034,'1',301,'N'),(20,5101042,'1',103,'N'),(20,5101077,'1',316,'N'),(20,5101085,'1',5,'N'),(20,5101093,'1',108,'N'),(20,5101115,'1',103,'N'),(20,5101123,'1',103,'N'),(20,5101140,'1',207,'N'),(20,5101140,'1A',211,'N'),(20,5101158,'1',103,'N'),(20,5101174,'1',103,'N'),(20,5101182,'1',233,'N'),(20,5101182,'1A',207,'N'),(20,5101190,'1',5,'N'),(20,5101204,'1',103,'N'),(20,5101212,'1',103,'N'),(20,5101220,'1',103,'N'),(20,5101247,'1',216,'N'),(20,5101247,'1A',202,'N'),(20,5101255,'1',103,'N'),(20,5101263,'1',415,'N'),(20,5101271,'1',202,'N'),(20,5101271,'1A',233,'N'),(20,5101298,'1',303,'N'),(20,5101301,'1',340,'N'),(20,5101310,'1',340,'N'),(20,5101328,'1',207,'N'),(20,5101328,'1A',201,'N'),(20,5101336,'1',310,'N'),(20,5101344,'1',211,'N'),(20,5101344,'1A',216,'N'),(20,5101352,'1',238,'N'),(20,5101352,'1A',208,'N'),(20,5101360,'1',211,'N'),(20,5101360,'1A',213,'N'),(20,5101379,'1',102,'N'),(20,5101387,'1',319,'N'),(20,5101409,'1',318,'N'),(20,5101417,'1',103,'N'),(20,5101433,'1',319,'N'),(20,5101476,'1',103,'N'),(20,5101484,'1',601,'N'),(20,5101492,'1',103,'N'),(20,5101506,'1',203,'N'),(20,5101514,'1',103,'N'),(20,5101522,'1',303,'N'),(20,5101549,'1',103,'N'),(20,5101557,'1',207,'N'),(20,5101557,'1A',201,'N'),(20,5101565,'1',451,'N'),(20,5101573,'1',340,'N'),(20,5101581,'1',303,'N'),(20,5101611,'1',317,'N'),(20,5101620,'1',319,'N'),(20,5101646,'1',103,'N'),(20,5101654,'1',103,'N'),(20,5101670,'1',319,'N'),(20,5101689,'1',203,'N'),(20,5101689,'1A',202,'N'),(20,5101697,'1',203,'N'),(20,5101697,'1A',201,'N'),(20,5101735,'1',319,'N'),(20,5101743,'1',304,'N'),(20,5101751,'1',452,'N'),(20,5101794,'1',213,'N'),(20,5101794,'1A',212,'N'),(20,5101808,'1',201,'N'),(20,5101808,'1A',220,'N'),(20,5101816,'1',103,'N'),(20,5101840,'1',223,'N'),(20,5101859,'1',104,'N'),(20,5101867,'1',208,'N'),(20,5101867,'1A',203,'N'),(20,5101875,'1',233,'N'),(20,5101875,'1A',212,'N'),(20,5101883,'1',415,'N'),(20,5101891,'1',103,'N'),(20,5101921,'1',103,'N'),(20,5101948,'1',302,'N'),(20,5101972,'1',109,'N'),(20,5101980,'1',5,'N'),(20,5101999,'1',303,'N'),(20,5102006,'1',216,'N'),(20,5102006,'1A',235,'N'),(20,5102014,'1',220,'N'),(20,5102014,'1A',203,'N'),(20,5102030,'1',450,'N'),(20,5102049,'1',415,'N'),(20,5102057,'1',208,'N'),(20,5102057,'1A',203,'N'),(20,5102065,'1',211,'N'),(20,5102065,'1A',233,'N'),(20,5102073,'1',452,'N'),(20,5102081,'1',420,'N'),(20,5102090,'1',208,'N'),(20,5102090,'1A',238,'N'),(20,5102103,'1',103,'N'),(20,5102111,'1',319,'N'),(20,5102120,'1',103,'N'),(20,5102138,'1',103,'N'),(20,5102146,'1',207,'N'),(20,5102146,'1A',211,'N'),(20,5102162,'1',238,'N'),(20,5102162,'1A',208,'N'),(20,5102170,'1',103,'N'),(20,5102189,'1',452,'N'),(20,5102200,'1',304,'N'),(20,5102219,'1',316,'N'),(20,5102227,'1',316,'N'),(20,5102235,'1',208,'N'),(20,5102235,'1A',238,'N'),(20,5102243,'1',340,'N'),(20,5102251,'1',303,'N'),(20,5102278,'1',201,'N'),(20,5102278,'1A',212,'N'),(20,5102286,'1',301,'N'),(20,5102294,'1',319,'N'),(20,5102308,'1',601,'N'),(20,5102308,'1A',212,'N'),(20,5102316,'1',450,'N'),(20,5102324,'1',103,'N'),(20,5102332,'1',108,'N'),(20,5102340,'1',339,'N'),(20,5102359,'1',340,'N'),(20,5102367,'1',103,'N'),(20,5102383,'1',103,'N'),(20,5102391,'1',109,'N'),(20,5102413,'1',103,'N'),(20,5102448,'1',653,'N'),(20,5102464,'1',336,'N'),(20,5102472,'1',303,'N'),(20,5102480,'1',102,'N'),(20,5102499,'1',340,'N'),(20,5102510,'1',317,'N'),(20,5102529,'1',340,'N'),(20,5102537,'1',317,'N'),(20,5102545,'1',453,'N'),(20,5102553,'1',205,'N'),(20,5102561,'1',108,'N'),(20,5102588,'1',415,'N'),(20,5102596,'1',208,'N'),(20,5102596,'1A',238,'N'),(20,5102618,'1',223,'N'),(20,5102626,'1',207,'N'),(20,5102626,'1A',211,'N'),(20,5102634,'1',108,'N'),(20,5102642,'1',653,'N'),(20,5102642,'1A',202,'N'),(20,5102650,'1',103,'N'),(20,5102669,'1',308,'N'),(20,5102685,'1',333,'N'),(20,5102693,'1',319,'N'),(20,5102707,'1',103,'N'),(20,5102715,'1',5,'N'),(20,5102723,'1',103,'N'),(20,5102731,'1',104,'N'),(20,5102740,'1',203,'N'),(20,5102740,'1A',233,'N'),(20,5102758,'1',212,'N'),(20,5102758,'1A',201,'N'),(20,5102766,'1',103,'N'),(20,5102774,'1',317,'N'),(20,5102782,'1',103,'N'),(20,5102790,'1',207,'N'),(20,5102790,'1A',201,'N'),(20,5102812,'1',203,'N'),(20,5102812,'1A',220,'N'),(20,5102820,'1',103,'N'),(20,5102839,'1',303,'N'),(20,5102847,'1',601,'N'),(20,5102847,'1A',214,'N'),(20,5102871,'1',303,'N'),(20,5102880,'1',302,'N'),(20,5102901,'1',104,'N'),(20,5102910,'1',5,'N'),(20,5102936,'1',103,'N'),(20,5102944,'1',103,'N'),(20,5102960,'1',103,'N'),(20,5102979,'1',211,'N'),(20,5102979,'1A',215,'N'),(20,5102987,'1',103,'N'),(20,5102995,'1',103,'N'),(20,5103002,'1',108,'N'),(20,5103010,'1',103,'N'),(20,5103029,'1',201,'N'),(20,5103029,'1A',601,'N'),(20,5103037,'1',207,'N'),(20,5103037,'1A',233,'N'),(20,5103045,'1',103,'N'),(20,5103053,'1',108,'N'),(20,5103061,'1',103,'N'),(20,5103096,'1',303,'N'),(20,5103100,'1',420,'N'),(20,5103118,'1',5,'N'),(20,5103126,'1',420,'N'),(20,5103134,'1',102,'N'),(20,5103142,'1',203,'N'),(20,5103142,'1A',214,'N'),(20,5103193,'1',453,'N'),(20,5103207,'1',103,'N'),(20,5103223,'1',103,'N'),(20,5103231,'1',5,'N'),(20,5103240,'1',415,'N'),(20,5103258,'1',201,'N'),(20,5103258,'1A',212,'N'),(20,5103266,'1',316,'N'),(20,5103274,'1',201,'N'),(20,5103274,'1A',216,'N'),(20,5103282,'1',238,'N'),(20,5103282,'1A',220,'N'),(20,5103290,'1',207,'N'),(20,5103290,'1A',201,'N'),(20,5103320,'1',102,'N'),(20,5103339,'1',234,'N'),(20,5103347,'1',208,'N'),(20,5103347,'1A',201,'N'),(20,5103355,'1',444,'N'),(20,5103363,'1',235,'N'),(20,5103363,'1A',208,'N'),(20,5103371,'1',301,'N'),(20,5103398,'1',103,'N'),(20,5103401,'1',238,'N'),(20,5103401,'1A',208,'N'),(20,5103410,'1',103,'N'),(20,5103428,'1',203,'N'),(20,5103428,'1A',214,'N'),(20,5103444,'1',404,'N'),(20,5103452,'1',420,'N'),(20,5103460,'1',336,'N'),(20,5103487,'1',5,'N'),(20,5103495,'1',103,'N'),(20,5103517,'1',104,'N'),(20,5103525,'1',201,'N'),(20,5103525,'1A',213,'N'),(20,5103533,'1',233,'N'),(20,5103533,'1A',211,'N'),(20,5103550,'1',103,'N'),(20,5103568,'1',202,'N'),(20,5103568,'1A',235,'N'),(20,5103576,'1',501,'N'),(20,5103584,'1',303,'N'),(20,5103592,'1',9,'N'),(20,5103614,'1',216,'N'),(20,5103614,'1A',211,'N'),(20,5103622,'1',415,'N'),(20,5103630,'1',415,'N'),(20,5103649,'1',203,'N'),(20,5103649,'1A',201,'N'),(20,5103665,'1',319,'N'),(20,5103681,'1',201,'N'),(20,5103681,'1A',214,'N'),(20,5103690,'1',108,'N'),(20,5103703,'1',103,'N'),(20,5103711,'1',103,'N'),(20,5103720,'1',319,'N'),(20,5103738,'1',211,'N'),(20,5103738,'1A',201,'N'),(20,5103746,'1',207,'N'),(20,5103746,'1A',212,'N'),(20,5103754,'1',308,'N'),(20,5103762,'1',452,'N'),(20,5103770,'1',238,'N'),(20,5103770,'1A',207,'N'),(20,5103789,'1',336,'N'),(20,5103819,'1',303,'N'),(20,5103827,'1',103,'N'),(20,5103835,'1',308,'N'),(20,5103843,'1',444,'N'),(20,5103851,'1',208,'N'),(20,5103860,'1',103,'N'),(20,5103878,'1',503,'N'),(20,5103894,'1',103,'N'),(20,5103908,'1',327,'N'),(20,5103924,'1',340,'N'),(20,5103932,'1',601,'N'),(20,5103940,'1',211,'N'),(20,5103940,'1A',215,'N'),(20,5103959,'1',331,'N'),(20,5103967,'1',415,'N'),(20,5103983,'1',102,'N'),(20,5104017,'1',5,'N'),(20,5104025,'1',103,'N'),(20,5104033,'1',103,'N'),(20,5104050,'1',103,'N'),(20,5104068,'1',215,'N'),(20,5104068,'1A',233,'N'),(20,5104084,'1',203,'N'),(20,5104084,'1A',202,'N'),(20,5104092,'1',319,'N'),(20,5104106,'1',238,'N'),(20,5104106,'1A',211,'N'),(20,5104122,'1',317,'N'),(20,5104149,'1',303,'N'),(20,5104157,'1',103,'N'),(20,5104181,'1',428,'N'),(20,5104181,'1A',426,'N'),(20,5104190,'1',103,'N'),(20,5104203,'1',203,'N'),(20,5104203,'1A',208,'N'),(20,5104211,'1',203,'N'),(20,5104211,'1A',220,'N'),(20,5104220,'1',425,'N'),(20,5104220,'1A',429,'N'),(20,5104238,'1',211,'N'),(20,5104238,'1A',201,'N'),(20,5104246,'1',208,'N'),(20,5104246,'1A',220,'N'),(20,5104254,'1',109,'N'),(20,5104262,'1',201,'N'),(20,5104262,'1A',220,'N'),(20,5104270,'1',207,'N'),(20,5104270,'1A',201,'N'),(20,5104289,'1',103,'N'),(20,5104297,'1',329,'N'),(20,5104300,'1',102,'N'),(20,5104319,'1',324,'N'),(20,5104327,'1',104,'N'),(20,5104343,'1',551,'N'),(20,5104351,'1',319,'N'),(20,5104360,'1',103,'N'),(20,5104378,'1',301,'N'),(20,5104416,'1',203,'N'),(20,5104416,'1A',216,'N'),(20,5104424,'1',303,'N'),(20,5104432,'1',104,'N'),(20,5104440,'1',331,'N'),(20,5104459,'1',103,'N'),(20,5104475,'1',103,'N'),(20,5104505,'1',103,'N'),(20,5104513,'1',103,'N'),(20,5104521,'1',318,'N'),(20,5104548,'1',108,'N'),(20,5104564,'1',103,'N'),(20,5104572,'1',103,'N'),(20,5104580,'1',340,'N'),(20,5104599,'1',303,'N'),(20,5104602,'1',103,'N'),(20,5104610,'1',501,'N'),(20,5104629,'1',304,'N'),(20,5104637,'1',304,'N'),(20,5104645,'1',207,'N'),(20,5104645,'1A',215,'N'),(20,5104653,'1',451,'N'),(20,5104661,'1',303,'N'),(20,5104688,'1',103,'N'),(20,5104696,'1',201,'N'),(20,5104696,'1A',211,'N'),(20,5104700,'1',202,'N'),(20,5104700,'1A',216,'N'),(20,5104718,'1',303,'N'),(20,5104734,'1',103,'N'),(20,5104750,'1',333,'N'),(20,5104769,'1',453,'N'),(20,5104777,'1',103,'N'),(20,5104785,'1',201,'N'),(20,5104785,'1A',212,'N'),(20,5104807,'1',102,'N'),(20,5104815,'1',601,'N'),(20,5104815,'1A',203,'N'),(20,5104823,'1',108,'N'),(20,5104831,'1',103,'N'),(20,5104840,'1',5,'N'),(20,5104858,'1',415,'N'),(20,5104882,'1',501,'N'),(20,5104890,'1',207,'N'),(20,5104904,'1',103,'N'),(20,5104912,'1',103,'N'),(20,5104920,'1',203,'N'),(20,5104920,'1A',220,'N'),(20,5104947,'1',5,'N'),(20,5104955,'1',301,'N'),(20,5104963,'1',203,'N'),(20,5104963,'1A',202,'N'),(20,5104971,'1',327,'N'),(20,5104998,'1',216,'N'),(20,5105013,'1',340,'N'),(20,5105021,'1',203,'N'),(20,5105021,'1A',214,'N'),(20,5105030,'1',201,'N'),(20,5105048,'1',215,'N'),(20,5105048,'1A',216,'N'),(20,5105056,'1',327,'N'),(20,5105064,'1',203,'N'),(20,5105064,'1A',214,'N'),(20,5105072,'1',103,'N'),(20,5105080,'1',220,'N'),(20,5105080,'1A',203,'N'),(20,5105099,'1',103,'N'),(20,5105102,'1',340,'N'),(20,5105110,'1',5,'N'),(20,5105129,'1',234,'N'),(20,5105137,'1',9,'N'),(20,5105145,'1',303,'N'),(20,5105153,'1',108,'N'),(20,5105161,'1',102,'N'),(20,5105170,'1',340,'N'),(20,5105188,'1',215,'N'),(20,5105188,'1A',235,'N'),(20,5105196,'1',340,'N'),(20,5105200,'1',208,'N'),(20,5105200,'1A',202,'N'),(20,5105218,'1',340,'N'),(20,5105234,'1',201,'N'),(20,5105234,'1A',211,'N'),(20,5105242,'1',336,'N'),(20,5105269,'1',304,'N'),(20,5105285,'1',103,'N'),(20,5105293,'1',425,'N'),(20,5105293,'1A',429,'N'),(20,5105307,'1',203,'N'),(20,5105307,'1A',201,'N'),(20,5105315,'1',201,'N'),(20,5105315,'1A',211,'N'),(20,5105323,'1',103,'N'),(20,5105331,'1',104,'N'),(20,5105340,'1',103,'N'),(20,5105358,'1',2,'N'),(20,5105366,'1',415,'N'),(20,5105374,'1',324,'N'),(20,5105382,'1',103,'N'),(20,5105390,'1',103,'N'),(20,5105404,'1',5,'N'),(20,5105412,'1',304,'N'),(20,5105420,'1',425,'N'),(20,5105420,'1A',429,'N'),(20,5105439,'1',205,'N'),(20,5105447,'1',340,'N'),(20,5105455,'1',501,'N'),(20,5105463,'1',5,'N'),(20,5105471,'1',201,'N'),(20,5105471,'1A',203,'N'),(20,5105480,'1',9,'N'),(20,5105498,'1',9,'N'),(20,5105510,'1',207,'N'),(20,5105510,'1A',651,'N'),(20,5105528,'1',203,'N'),(20,5105528,'1A',214,'N'),(20,5105536,'1',103,'N'),(20,5105544,'1',308,'N'),(20,5105552,'1',340,'N'),(20,5105560,'1',207,'N'),(20,5105579,'1',103,'N'),(20,5105587,'1',233,'N'),(20,5105587,'1A',238,'N'),(20,5105595,'1',336,'N'),(20,5105609,'1',103,'N'),(20,5105617,'1',103,'N'),(20,5105625,'1',104,'N'),(20,5105633,'1',316,'N'),(20,5105641,'1',103,'N'),(20,5105650,'1',303,'N'),(20,5105668,'1',326,'N'),(20,5105676,'1',201,'N'),(20,5105676,'1A',207,'N'),(20,5105684,'1',211,'N'),(20,5105684,'1A',215,'N'),(20,5105692,'1',301,'N'),(20,5105706,'1',103,'N'),(20,5105714,'1',3,'N'),(20,5105722,'1',303,'N'),(20,5105730,'1',303,'N'),(20,5105749,'1',205,'N'),(20,5105757,'1',326,'N'),(20,5105765,'1',103,'N'),(20,5105781,'1',207,'N'),(20,5105781,'1A',233,'N'),(20,5105803,'1',453,'N'),(20,5105811,'1',601,'N'),(20,5105820,'1',108,'N'),(20,5105846,'1',340,'N'),(20,5105854,'1',208,'N'),(20,5105854,'1A',220,'N'),(20,5105862,'1',103,'N'),(20,5105870,'1',216,'N'),(20,5105870,'1A',201,'N'),(20,5105889,'1',104,'N'),(20,5105897,'1',301,'N'),(20,5105900,'1',203,'N'),(20,5105935,'1',207,'N'),(20,5105935,'1A',211,'N'),(20,5105943,'1',203,'N'),(20,5105943,'1A',214,'N'),(20,5105978,'1',203,'N'),(20,5105978,'1A',201,'N'),(20,5105986,'1',653,'N'),(20,5105986,'1A',652,'N'),(20,5105994,'1',238,'N'),(20,5105994,'1A',212,'N'),(20,5106010,'1',203,'N'),(20,5106010,'1A',214,'N'),(20,5106028,'1',316,'N'),(20,5106036,'1',5,'N'),(20,5106044,'1',333,'N'),(20,5106052,'1',103,'N'),(20,5106087,'1',501,'N'),(20,5106117,'1',301,'N'),(20,5106125,'1',220,'N'),(20,5106125,'1A',238,'N'),(20,5106133,'1',301,'N'),(20,5106141,'1',303,'N'),(20,5106150,'1',201,'N'),(20,5106168,'1',216,'N'),(20,5106168,'1A',235,'N'),(20,5106176,'1',303,'N'),(20,5106192,'1',309,'N'),(20,5106206,'1',207,'N'),(20,5106214,'1',444,'N'),(20,5106230,'1',319,'N'),(20,5106249,'1',202,'N'),(20,5106249,'1A',214,'N'),(20,5106265,'1',202,'N'),(20,5106265,'1A',235,'N'),(20,5106273,'1',207,'N'),(20,5106273,'1A',215,'N'),(20,5106281,'1',302,'N'),(20,5106303,'1',207,'N'),(20,5106303,'1A',201,'N'),(20,5106311,'1',103,'N'),(20,5106320,'1',103,'N'),(20,5106338,'1',5,'N'),(20,5106346,'1',317,'N'),(20,5106354,'1',203,'N'),(20,5106354,'1A',235,'N'),(20,5106362,'1',319,'N'),(20,5106370,'1',601,'N'),(20,5106389,'1',203,'N'),(20,5106389,'1A',208,'N'),(20,5106397,'1',103,'N'),(20,5106400,'1',103,'N'),(20,5106419,'1',601,'N'),(20,5106419,'1A',201,'N'),(20,5106427,'1',103,'N'),(20,5106435,'1',319,'N'),(20,5106443,'1',103,'N'),(20,5106451,'1',425,'N'),(20,5106451,'1A',429,'N'),(20,5106460,'1',203,'N'),(20,5106460,'1A',202,'N'),(20,5106486,'1',103,'N'),(20,5106508,'1',340,'N'),(20,5106524,'1',201,'N'),(20,5106524,'1A',203,'N'),(20,5106559,'1',103,'N'),(20,5106567,'1',207,'N'),(20,5106567,'1A',212,'N'),(20,5106575,'1',103,'N'),(20,5106583,'1',502,'N'),(20,5106591,'1',340,'N'),(20,5106605,'1',317,'N'),(20,5106613,'1',103,'N'),(20,5106621,'1',303,'N'),(20,5106630,'1',420,'N'),(20,5106656,'1',303,'N'),(20,5106664,'1',215,'N'),(20,5106664,'1A',216,'N'),(20,5106672,'1',211,'N'),(20,5106672,'1A',216,'N'),(20,5106680,'1',303,'N'),(20,5106699,'1',420,'N'),(20,5106710,'1',201,'N'),(20,5106710,'1A',601,'N'),(20,5106729,'1',102,'N'),(20,5106745,'1',108,'N'),(20,5106753,'1',303,'N'),(20,5106761,'1',103,'N'),(20,5106770,'1',5,'N'),(20,5106788,'1',5,'N'),(20,5106796,'1',108,'N'),(20,5106800,'1',319,'N'),(20,5106818,'1',9,'N'),(20,5106834,'1',207,'N'),(20,5106834,'1A',215,'N'),(20,5106842,'1',5,'N'),(20,5106850,'1',3,'N'),(20,5106877,'1',303,'N'),(20,5106885,'1',216,'N'),(20,5106885,'1A',215,'N'),(20,5106907,'1',201,'N'),(20,5106907,'1A',601,'N'),(20,5106915,'1',220,'N'),(20,5106915,'1A',203,'N'),(20,5106923,'1',202,'N'),(20,5106923,'1A',213,'N'),(20,5106931,'1',340,'N'),(20,5106940,'1',103,'N'),(20,5106958,'1',220,'N'),(20,5106958,'1A',202,'N'),(20,5106974,'1',319,'N'),(20,5106982,'1',216,'N'),(20,5106982,'1A',203,'N'),(20,5106990,'1',303,'N'),(20,5107024,'1',103,'N'),(20,5107032,'1',5,'N'),(20,5107059,'1',103,'N'),(20,5107067,'1',332,'N'),(20,5107075,'1',301,'N'),(20,5107083,'1',202,'N'),(20,5107083,'1A',201,'N'),(20,5107113,'1',103,'N'),(20,5107121,'1',653,'N'),(20,5107121,'1A',202,'N'),(20,5107130,'1',103,'N'),(20,5107148,'1',103,'N'),(20,5107156,'1',203,'N'),(20,5107156,'1A',214,'N'),(20,5107164,'1',103,'N'),(20,5107172,'1',203,'N'),(20,5107172,'1A',201,'N'),(20,5107180,'1',420,'N'),(20,5107199,'1',103,'N'),(20,5107202,'1',201,'N'),(20,5107202,'1A',207,'N'),(20,5107229,'1',103,'N'),(20,5107237,'1',207,'N'),(20,5107237,'1A',201,'N'),(20,5107245,'1',103,'N'),(20,5107253,'1',451,'N'),(20,5107261,'1',501,'N'),(20,5107270,'1',9,'N'),(20,5107300,'1',319,'N'),(20,5107334,'1',5,'N'),(20,5107342,'1',103,'N'),(20,5107393,'1',502,'N'),(20,5107415,'1',102,'N'),(20,5107423,'1',5,'N'),(20,5107431,'1',302,'N'),(20,5107466,'1',103,'N'),(20,5107474,'1',101,'N'),(20,5107482,'1',220,'N'),(20,5107482,'1A',202,'N'),(20,5107490,'1',202,'N'),(20,5107490,'1A',213,'N'),(20,5107520,'1',207,'N'),(20,5107555,'1',103,'N'),(20,5107563,'1',208,'N'),(20,5107563,'1A',238,'N'),(20,5107571,'1',238,'N'),(20,5107571,'1A',652,'N'),(20,5107580,'1',238,'N'),(20,5107601,'1',103,'N'),(20,5107610,'1',331,'N'),(20,5107628,'1',203,'N'),(20,5107628,'1A',201,'N'),(20,5107636,'1',103,'N'),(20,5107652,'1',201,'N'),(20,5107652,'1A',207,'N'),(20,5107660,'1',103,'N'),(20,5107679,'1',203,'N'),(20,5107679,'1A',202,'N'),(20,5107695,'1',207,'N'),(20,5107695,'1A',202,'N'),(20,5107709,'1',108,'N'),(20,5107717,'1',304,'N'),(20,5107725,'1',108,'N'),(20,5107733,'1',103,'N'),(20,5107741,'1',103,'N'),(20,5107750,'1',103,'N'),(20,5107776,'1',238,'N'),(20,5107776,'1A',207,'N'),(20,5107784,'1',103,'N'),(20,5107792,'1',207,'N'),(20,5107792,'1A',211,'N'),(20,5107806,'1',201,'N'),(20,5107806,'1A',207,'N'),(20,5107814,'1',103,'N'),(20,5107822,'1',503,'N'),(20,5107830,'1',103,'N'),(20,5107865,'1',211,'N'),(20,5107865,'1A',207,'N'),(20,5107873,'1',208,'N'),(20,5107873,'1A',235,'N'),(20,5107890,'1',415,'N'),(20,5107903,'1',103,'N'),(20,5107911,'1',202,'N'),(20,5107911,'1A',216,'N'),(20,5107920,'1',103,'N'),(20,5107938,'1',233,'N'),(20,5107938,'1A',211,'N'),(20,5107946,'1',201,'N'),(20,5107946,'1A',203,'N'),(20,5107954,'1',452,'N'),(20,5107962,'1',339,'N'),(20,5107970,'1',103,'N'),(20,5107989,'1',102,'N'),(20,5108004,'1',103,'N'),(20,5108012,'1',103,'N'),(20,5108020,'1',450,'N'),(20,5108039,'1',316,'N'),(20,5108055,'1',102,'N'),(20,5108063,'1',303,'N'),(20,5108080,'1',429,'N'),(20,5108080,'1A',424,'N'),(20,5108101,'1',104,'N'),(20,5108144,'1',201,'N'),(20,5108144,'1A',213,'N'),(20,5108160,'1',304,'N'),(20,5108179,'1',302,'N'),(20,5108195,'1',207,'N'),(20,5108195,'1A',201,'N'),(20,5108209,'1',326,'N'),(20,5108217,'1',103,'N'),(20,5108233,'1',201,'N'),(20,5108233,'1A',235,'N'),(20,5108241,'1',601,'N'),(20,5108241,'1A',238,'N'),(20,5108268,'1',317,'N'),(20,5108276,'1',216,'N'),(20,5108276,'1A',211,'N'),(20,5108284,'1',601,'N'),(20,5108284,'1A',233,'N'),(20,5108306,'1',201,'N'),(20,5108306,'1A',207,'N'),(20,5108349,'1',201,'N'),(20,5108349,'1A',212,'N'),(20,5108357,'1',316,'N'),(20,5108381,'1',103,'N'),(20,5108390,'1',452,'N'),(20,5108403,'1',103,'N'),(20,5108411,'1',207,'N'),(20,5108411,'1A',601,'N'),(20,5108420,'1',103,'N'),(20,5108438,'1',340,'N'),(20,5108446,'1',103,'N'),(20,5108454,'1',652,'N'),(20,5108454,'1A',653,'N'),(20,5108462,'1',102,'N'),(20,5108470,'1',601,'N'),(20,5108470,'1A',201,'N'),(20,5108489,'1',303,'N'),(20,5108497,'1',211,'N'),(20,5108497,'1A',201,'N'),(20,5108500,'1',501,'N'),(20,5108527,'1',216,'N'),(20,5108527,'1A',208,'N'),(20,5108535,'1',415,'N'),(20,5108543,'1',211,'N'),(20,5108551,'1',316,'N'),(20,5108560,'1',415,'N'),(20,5108586,'1',108,'N'),(20,5108594,'1',317,'N'),(20,5108608,'1',103,'N'),(20,5108616,'1',103,'N'),(20,5108624,'1',319,'N'),(20,5108632,'1',103,'N'),(20,5108659,'1',653,'N'),(20,5108659,'1A',651,'N'),(20,5108675,'1',420,'N'),(20,5108683,'1',327,'N'),(20,5108691,'1',104,'N'),(20,5108705,'1',207,'N'),(20,5108705,'1A',211,'N'),(20,5108713,'1',103,'N'),(20,5108721,'1',415,'N'),(20,5108748,'1',103,'N'),(20,5108756,'1',103,'N'),(20,5108772,'1',333,'N'),(20,5108780,'1',317,'N'),(20,5108799,'1',222,'N'),(20,5108829,'1',235,'N'),(20,5108829,'1A',202,'N'),(20,5108845,'1',201,'N'),(20,5108845,'1A',212,'N'),(20,5108870,'1',339,'N'),(20,5108888,'1',5,'N'),(20,5108896,'1',319,'N'),(20,5108918,'1',207,'N'),(20,5108926,'1',420,'N'),(20,5108934,'1',108,'N'),(20,5108950,'1',453,'N'),(20,5108969,'1',452,'N'),(20,5109000,'1',415,'N'),(20,5109019,'1',216,'N'),(20,5109019,'1A',211,'N'),(20,5109027,'1',103,'N'),(20,5109043,'1',317,'N'),(20,5109094,'1',203,'N'),(20,5109124,'1',427,'N'),(20,5109124,'1A',423,'N'),(20,5109132,'1',308,'N'),(20,5109159,'1',103,'N'),(20,5109167,'1',103,'N'),(20,5109175,'1',103,'N'),(20,5109183,'1',203,'N'),(20,5109183,'1A',233,'N'),(20,5109191,'1',301,'N'),(20,5109205,'1',207,'N'),(20,5109205,'1A',201,'N'),(20,5109213,'1',103,'N'),(20,5109221,'1',101,'N'),(20,5109230,'1',9,'N'),(20,5109248,'1',333,'N'),(20,5109256,'1',203,'N'),(20,5109256,'1A',201,'N'),(20,5109264,'1',320,'N'),(20,5109272,'1',444,'N'),(20,5109280,'1',103,'N'),(20,5109302,'1',301,'N'),(20,5109310,'1',319,'N'),(20,5109329,'1',207,'N'),(20,5109329,'1A',211,'N'),(20,5109337,'1',208,'N'),(20,5109337,'1A',235,'N'),(20,5109345,'1',238,'N'),(20,5109345,'1A',651,'N'),(20,5109353,'1',103,'N'),(20,5109388,'1',103,'N'),(20,5109396,'1',304,'N'),(20,5109400,'1',201,'N'),(20,5109400,'1A',601,'N'),(20,5109418,'1',319,'N'),(20,5109442,'1',104,'N'),(20,5109477,'1',429,'N'),(20,5109477,'1A',425,'N'),(20,5109485,'1',332,'N'),(20,5109493,'1',216,'N'),(20,5109493,'1A',207,'N'),(20,5109523,'1',203,'N'),(20,5109523,'1A',202,'N'),(20,5109531,'1',103,'N'),(20,5109540,'1',223,'N'),(20,5109558,'1',103,'N'),(20,5109566,'1',326,'N'),(20,5109574,'1',423,'N'),(20,5109574,'1A',425,'N'),(20,5109582,'1',501,'N'),(20,5109590,'1',211,'N'),(20,5109590,'1A',233,'N'),(20,5109604,'1',103,'N'),(20,5109612,'1',202,'N'),(20,5109612,'1A',208,'N'),(20,5109620,'1',203,'N'),(20,5109620,'1A',214,'N'),(20,5109655,'1',208,'N'),(20,5109655,'1A',201,'N'),(20,5109663,'1',103,'N'),(20,5109680,'1',424,'N'),(20,5109680,'1A',425,'N'),(20,5109701,'1',208,'N'),(20,5109701,'1A',201,'N'),(20,5109710,'1',207,'N'),(20,5109710,'1A',201,'N'),(20,5109728,'1',235,'N'),(20,5109728,'1A',208,'N'),(20,5109736,'1',653,'N'),(20,5109736,'1A',652,'N'),(20,5109744,'1',317,'N'),(20,5109752,'1',103,'N'),(20,5109760,'1',207,'N'),(20,5109760,'1A',201,'N'),(20,5109795,'1',309,'N'),(20,5109809,'1',220,'N'),(20,5109809,'1A',235,'N'),(20,5109825,'1',316,'N'),(20,5109833,'1',207,'N'),(20,5109833,'1A',201,'N'),(20,5109841,'1',319,'N'),(20,5109850,'1',235,'N'),(20,5109850,'1A',203,'N'),(20,5109876,'1',103,'N'),(20,5109892,'1',216,'N'),(20,5109892,'1A',235,'N'),(20,5109914,'1',453,'N'),(20,5109922,'1',452,'N'),(20,5109930,'1',420,'N'),(20,5109965,'1',339,'N'),(20,5109973,'1',304,'N'),(20,5109981,'1',336,'N'),(20,5110009,'1',103,'N'),(20,5110017,'1',208,'N'),(20,5110017,'1A',651,'N'),(20,5110025,'1',9,'N'),(20,5110033,'1',104,'N'),(20,5110041,'1',104,'N'),(20,5110092,'1',302,'N'),(20,5110106,'1',316,'N'),(20,5110114,'1',319,'N'),(20,5110122,'1',215,'N'),(20,5110122,'1A',214,'N'),(20,5110130,'1',333,'N'),(20,5110149,'1',103,'N'),(20,5110173,'1',104,'N'),(20,5110181,'1',404,'N'),(20,5110190,'1',101,'N'),(20,5110203,'1',318,'N'),(20,5110211,'1',601,'N'),(20,5110211,'1A',203,'N'),(20,5110220,'1',3,'N'),(20,5110246,'1',5,'N'),(20,5110254,'1',207,'N'),(20,5110254,'1A',201,'N'),(20,5110262,'1',201,'N'),(20,5110262,'1A',208,'N'),(20,5110270,'1',317,'N'),(20,5110289,'1',104,'N'),(20,5110300,'1',108,'N'),(20,5110319,'1',102,'N'),(20,5110327,'1',103,'N'),(20,5110335,'1',303,'N'),(20,5110343,'1',415,'N'),(20,5110386,'1',103,'N'),(20,5110394,'1',103,'N'),(20,5110408,'1',333,'N'),(20,5110416,'1',429,'N'),(20,5110416,'1A',425,'N'),(20,5110424,'1',318,'N'),(20,5110432,'1',652,'N'),(20,5110432,'1A',651,'N'),(20,5110440,'1',318,'N'),(20,5110467,'1',203,'N'),(20,5110467,'1A',233,'N'),(20,5110475,'1',5,'N'),(20,5110483,'1',336,'N'),(20,5110505,'1',3,'N'),(20,5110521,'1',203,'N'),(20,5110521,'1A',201,'N'),(20,5110530,'1',444,'N'),(20,5110548,'1',103,'N'),(20,5110556,'1',202,'N'),(20,5110556,'1A',201,'N'),(20,5110572,'1',211,'N'),(20,5110572,'1A',201,'N'),(20,5110599,'1',420,'N'),(20,5110602,'1',303,'N'),(20,5110610,'1',450,'N'),(20,5110645,'1',303,'N'),(20,5110653,'1',501,'N'),(20,5110661,'1',103,'N'),(20,5110688,'1',108,'N'),(20,5110696,'1',202,'N'),(20,5110696,'1A',653,'N'),(20,5110718,'1',444,'N'),(20,5110726,'1',103,'N'),(20,5110734,'1',452,'N'),(20,5110750,'1',5,'N'),(20,5110769,'1',335,'N'),(20,5110777,'1',103,'N'),(20,5110793,'1',207,'N'),(20,5110793,'1A',201,'N'),(20,5110807,'1',102,'N'),(20,5110815,'1',203,'N'),(20,5110823,'1',103,'N'),(20,5110831,'1',220,'N'),(20,5110831,'1A',212,'N'),(20,5110840,'1',104,'N'),(20,5110866,'1',303,'N'),(20,5110882,'1',333,'N'),(20,5110890,'1',233,'N'),(20,5110890,'1A',238,'N'),(20,5110904,'1',207,'N'),(20,5110912,'1',214,'N'),(20,5110912,'1A',211,'N'),(20,5110920,'1',208,'N'),(20,5110920,'1A',235,'N'),(20,5110939,'1',301,'N'),(20,5110947,'1',340,'N'),(20,5110963,'1',501,'N'),(20,5110971,'1',216,'N'),(20,5110971,'1A',233,'N'),(20,5110980,'1',425,'N'),(20,5110980,'1A',429,'N'),(20,5110998,'1',108,'N'),(20,5111005,'1',207,'N'),(20,5111013,'1',339,'N'),(20,5111021,'1',216,'N'),(20,5111021,'1A',208,'N'),(20,5111030,'1',450,'N'),(20,5111056,'1',340,'N'),(20,5111064,'1',103,'N'),(20,5111110,'1',220,'N'),(20,5111110,'1A',202,'N'),(20,5111129,'1',450,'N'),(20,5111137,'1',452,'N'),(20,5111145,'1',104,'N'),(20,5111153,'1',211,'N'),(20,5111153,'1A',207,'N'),(20,5111170,'1',103,'N'),(20,5111188,'1',318,'N'),(20,5111196,'1',201,'N'),(20,5111196,'1A',207,'N'),(20,5111200,'1',303,'N'),(20,5111218,'1',102,'N'),(20,5111234,'1',108,'N'),(20,5111242,'1',104,'N'),(20,5111250,'1',301,'N'),(20,5111269,'1',340,'N'),(20,5111277,'1',220,'N'),(20,5111277,'1A',207,'N'),(20,5111285,'1',103,'N'),(20,5111293,'1',339,'N'),(20,5111307,'1',211,'N'),(20,5111307,'1A',601,'N'),(20,5111323,'1',207,'N'),(20,5111323,'1A',212,'N'),(20,5111331,'1',319,'N'),(20,5111340,'1',103,'N'),(20,5111358,'1',202,'N'),(20,5111358,'1A',220,'N'),(20,5111366,'1',238,'N'),(20,5111366,'1A',651,'N'),(20,5111374,'1',601,'N'),(20,5111374,'1A',233,'N'),(20,5111390,'1',415,'N'),(20,5111404,'1',103,'N'),(20,5111412,'1',103,'N'),(20,5111439,'1',103,'N'),(20,5111455,'1',415,'N'),(20,5111463,'1',101,'N'),(20,5111480,'1',452,'N'),(20,5111498,'1',108,'N'),(20,5111501,'1',103,'N'),(20,5111510,'1',203,'N'),(20,5111510,'1A',233,'N'),(20,5111528,'1',103,'N'),(20,5111536,'1',201,'N'),(20,5111536,'1A',207,'N'),(20,5111544,'1',109,'N'),(20,5111560,'1',201,'N'),(20,5111560,'1A',212,'N'),(20,5111579,'1',238,'N'),(20,5111609,'1',415,'N'),(20,5111617,'1',211,'N'),(20,5111617,'1A',201,'N'),(20,5111625,'1',103,'N'),(20,5111633,'1',103,'N'),(20,5111641,'1',2,'N'),(20,5111668,'1',304,'N'),(20,5111676,'1',326,'N'),(20,5111692,'1',102,'N'),(20,5111706,'1',5,'N'),(20,5111714,'1',104,'N'),(20,5111722,'1',103,'N'),(20,5111730,'1',304,'N'),(20,5111749,'1',103,'N'),(20,5111765,'1',203,'N'),(20,5111765,'1A',220,'N'),(20,5111773,'1',103,'N'),(20,5111781,'1',104,'N'),(20,5111790,'1',415,'N'),(20,5111811,'1',238,'N'),(20,5111811,'1A',208,'N'),(20,5111820,'1',317,'N'),(20,5111838,'1',103,'N'),(20,5111846,'1',207,'N'),(20,5111846,'1A',201,'N'),(20,5111854,'1',214,'N'),(20,5111854,'1A',202,'N'),(20,5111862,'1',203,'N'),(20,5111862,'1A',214,'N'),(20,5111870,'1',220,'N'),(20,5111870,'1A',235,'N'),(20,5111889,'1',319,'N'),(20,5111897,'1',103,'N'),(20,5111900,'1',220,'N'),(20,5111900,'1A',214,'N'),(20,5111927,'1',103,'N'),(20,5111935,'1',333,'N'),(20,5111943,'1',426,'N'),(20,5111943,'1A',428,'N'),(20,5111960,'1',303,'N'),(20,5111978,'1',211,'N'),(20,5111978,'1A',215,'N'),(20,5111986,'1',203,'N'),(20,5111986,'1A',201,'N'),(20,5112001,'1',328,'N'),(20,5112010,'1',320,'N'),(20,5112028,'1',101,'N'),(20,5112036,'1',444,'N'),(20,5112044,'1',551,'N'),(20,5112052,'1',425,'N'),(20,5112052,'1A',423,'N'),(20,5112060,'1',103,'N'),(20,5112079,'1',220,'N'),(20,5112079,'1A',203,'N'),(20,5112087,'1',420,'N'),(20,5112095,'1',234,'N'),(20,5112109,'1',103,'N'),(20,5112117,'1',104,'N'),(20,5112125,'1',203,'N'),(20,5112125,'1A',601,'N'),(20,5112133,'1',333,'N'),(20,5112141,'1',333,'N'),(20,5112150,'1',103,'N'),(20,5112176,'1',211,'N'),(20,5112176,'1A',201,'N'),(20,5112184,'1',103,'N'),(20,5112192,'1',205,'N'),(20,5112206,'1',207,'N'),(20,5112206,'1A',233,'N'),(20,5112214,'1',207,'N'),(20,5112214,'1A',201,'N'),(20,5112230,'1',103,'N'),(20,5112257,'1',220,'N'),(20,5112257,'1A',203,'N'),(20,5112265,'1',319,'N'),(20,5112273,'1',420,'N'),(20,5112281,'1',220,'N'),(20,5112281,'1A',203,'N'),(20,5112290,'1',302,'N'),(20,5112303,'1',203,'N'),(20,5112303,'1A',220,'N'),(20,5112320,'1',5,'N'),(20,5112346,'1',303,'N'),(20,5112354,'1',302,'N'),(20,5112362,'1',103,'N'),(20,5112370,'1',303,'N'),(20,5112389,'1',213,'N'),(20,5112389,'1A',202,'N'),(20,5112397,'1',9,'N'),(20,5112400,'1',234,'N'),(20,5112419,'1',215,'N'),(20,5112419,'1A',211,'N'),(20,5112427,'1',104,'N'),(20,5112435,'1',211,'N'),(20,5112443,'1',203,'N'),(20,5112443,'1A',235,'N'),(20,5112460,'1',303,'N'),(20,5112486,'1',103,'N'),(20,5112494,'1',333,'N'),(20,5112508,'1',103,'N'),(20,5112516,'1',207,'N'),(20,5112516,'1A',201,'N'),(20,5112532,'1',5,'N'),(20,5112540,'1',201,'N'),(20,5112540,'1A',212,'N'),(20,5112567,'1',331,'N'),(20,5112575,'1',109,'N'),(20,5112583,'1',103,'N'),(20,5112591,'1',425,'N'),(20,5112591,'1A',428,'N'),(20,5112605,'1',207,'N'),(20,5112605,'1A',208,'N'),(20,5112613,'1',652,'N'),(20,5112613,'1A',653,'N'),(20,5112621,'1',103,'N'),(20,5112630,'1',102,'N'),(20,5112648,'1',215,'N'),(20,5112648,'1A',216,'N'),(20,5112664,'1',5,'N'),(20,5112672,'1',103,'N'),(20,5112680,'1',5,'N'),(20,5112699,'1',653,'N'),(20,5112699,'1A',652,'N'),(20,5112702,'1',201,'N'),(20,5112702,'1A',211,'N'),(20,5112710,'1',103,'N'),(20,5112729,'1',103,'N'),(20,5112737,'1',303,'N'),(20,5112745,'1',340,'N'),(20,5112753,'1',201,'N'),(20,5112753,'1A',208,'N'),(20,5112761,'1',103,'N'),(20,5112770,'1',303,'N'),(20,5112788,'1',452,'N'),(20,5112796,'1',103,'N'),(20,5112818,'1',208,'N'),(20,5112818,'1A',238,'N'),(20,5112826,'1',318,'N'),(20,5112834,'1',103,'N'),(20,5112842,'1',444,'N'),(20,5112850,'1',201,'N'),(20,5112850,'1A',207,'N'),(20,5112877,'1',340,'N'),(20,5112907,'1',318,'N'),(20,5112915,'1',444,'N'),(20,5112923,'1',103,'N'),(20,5112931,'1',207,'N'),(20,5112940,'1',102,'N'),(20,5112958,'1',238,'N'),(20,5112958,'1A',208,'N'),(20,5112966,'1',203,'N'),(20,5112966,'1A',202,'N'),(20,5112974,'1',304,'N'),(20,5112990,'1',303,'N'),(20,5113016,'1',303,'N'),(20,5113024,'1',202,'N'),(20,5113024,'1A',235,'N'),(20,5113040,'1',452,'N'),(20,5113059,'1',201,'N'),(20,5113067,'1',102,'N'),(20,5113083,'1',201,'N'),(20,5113083,'1A',212,'N'),(20,5113091,'1',103,'N'),(20,5113113,'1',103,'N'),(20,5113121,'1',327,'N'),(20,5113130,'1',103,'N'),(20,5113172,'1',340,'N'),(20,5113180,'1',201,'N'),(20,5113180,'1A',212,'N'),(20,5113199,'1',103,'N'),(20,5113210,'1',211,'N'),(20,5113210,'1A',214,'N'),(20,5113229,'1',339,'N'),(20,5113237,'1',103,'N'),(20,5113245,'1',103,'N'),(20,5113253,'1',233,'N'),(20,5113270,'1',340,'N'),(20,5113288,'1',215,'N'),(20,5113288,'1A',601,'N'),(20,5113296,'1',5,'N'),(20,5113300,'1',308,'N'),(20,5113318,'1',207,'N'),(20,5113318,'1A',201,'N'),(20,5113326,'1',5,'N'),(20,5113334,'1',317,'N'),(20,5113342,'1',103,'N'),(20,5113350,'1',301,'N'),(20,5113369,'1',203,'N'),(20,5113369,'1A',220,'N'),(20,5113377,'1',108,'N'),(20,5113385,'1',103,'N'),(20,5113423,'1',601,'N'),(20,5113423,'1A',214,'N'),(20,5113431,'1',203,'N'),(20,5113431,'1A',601,'N'),(20,5113440,'1',301,'N'),(20,5113458,'1',103,'N'),(20,5113466,'1',207,'N'),(20,5113466,'1A',201,'N'),(20,5113474,'1',207,'N'),(20,5113474,'1A',212,'N'),(20,5113482,'1',207,'N'),(20,5113482,'1A',201,'N'),(20,5113520,'1',208,'N'),(20,5113520,'1A',238,'N'),(20,5113539,'1',203,'N'),(20,5113539,'1A',202,'N'),(20,5113547,'1',303,'N'),(20,5113555,'1',503,'N'),(20,5113563,'1',103,'N'),(20,5113571,'1',212,'N'),(20,5113571,'1A',207,'N'),(20,5113580,'1',211,'N'),(20,5113580,'1A',238,'N'),(20,5113598,'1',108,'N'),(20,5113628,'1',303,'N'),(20,5113636,'1',317,'N'),(20,5113644,'1',102,'N'),(20,5113652,'1',211,'N'),(20,5113652,'1A',601,'N'),(20,5113660,'1',215,'N'),(20,5113660,'1A',216,'N'),(20,5113679,'1',103,'N'),(20,5113687,'1',224,'N'),(20,5113709,'1',238,'N'),(20,5113709,'1A',208,'N'),(20,5113717,'1',103,'N'),(20,5113725,'1',303,'N'),(20,5113733,'1',103,'N'),(20,5113741,'1',329,'N'),(20,5113750,'1',103,'N'),(20,5113768,'1',202,'N'),(20,5113768,'1A',203,'N'),(20,5113776,'1',340,'N'),(20,5113784,'1',444,'N'),(20,5113806,'1',308,'N'),(20,5113814,'1',220,'N'),(20,5113814,'1A',216,'N'),(20,5113822,'1',327,'N'),(20,5113849,'1',415,'N'),(20,5113857,'1',303,'N'),(20,5113865,'1',103,'N'),(20,5113881,'1',103,'N'),(20,5113890,'1',207,'N'),(20,5113903,'1',103,'N'),(20,5113911,'1',302,'N'),(20,5113920,'1',601,'N'),(20,5113920,'1A',203,'N'),(20,5113938,'1',201,'N'),(20,5113938,'1A',216,'N'),(20,5113954,'1',201,'N'),(20,5113954,'1A',207,'N'),(20,5113970,'1',202,'N'),(20,5113970,'1A',213,'N'),(20,5113989,'1',103,'N'),(20,5113997,'1',5,'N'),(20,5114004,'1',104,'N'),(20,5114012,'1',103,'N'),(20,5114020,'1',415,'N'),(20,5114039,'1',340,'N'),(20,5114055,'1',103,'N'),(20,5114063,'1',415,'N'),(20,5114080,'1',450,'N'),(20,5114101,'1',211,'N'),(20,5114101,'1A',653,'N'),(20,5114110,'1',319,'N'),(20,5114128,'1',108,'N'),(20,5114136,'1',303,'N'),(20,5114144,'1',103,'N'),(20,5114152,'1',5,'N'),(20,5114160,'1',420,'N'),(20,5114179,'1',444,'N'),(20,5114187,'1',202,'N'),(20,5114187,'1A',235,'N'),(20,5114195,'1',318,'N'),(20,5114209,'1',651,'N'),(20,5114209,'1A',653,'N'),(20,5114217,'1',103,'N'),(20,5114225,'1',211,'N'),(20,5114225,'1A',653,'N'),(20,5114250,'1',316,'N'),(20,5114284,'1',215,'N'),(20,5114314,'1',651,'N'),(20,5114314,'1A',653,'N'),(20,5114322,'1',404,'N'),(20,5114349,'1',202,'N'),(20,5114349,'1A',211,'N'),(20,5114357,'1',101,'N'),(20,5114365,'1',415,'N'),(20,5114373,'1',303,'N'),(20,5114381,'1',207,'N'),(20,5114381,'1A',211,'N'),(20,5114390,'1',211,'N'),(20,5114390,'1A',215,'N'),(20,5114403,'1',425,'N'),(20,5114403,'1A',429,'N'),(20,5114420,'1',319,'N'),(20,5114438,'1',3,'N'),(20,5114446,'1',316,'N'),(20,5114454,'1',103,'N'),(20,5114462,'1',450,'N'),(20,5114470,'1',103,'N'),(20,5114489,'1',451,'N'),(20,5114497,'1',415,'N'),(20,5114519,'1',302,'N'),(20,5114527,'1',207,'N'),(20,5114527,'1A',201,'N'),(20,5114535,'1',103,'N'),(20,5114543,'1',108,'N'),(20,5114551,'1',310,'N'),(20,5114560,'1',444,'N'),(20,5114578,'1',428,'N'),(20,5114578,'1A',426,'N'),(20,5114586,'1',340,'N'),(20,5114594,'1',103,'N'),(20,5114624,'1',103,'N'),(20,5114632,'1',103,'N'),(20,5114640,'1',303,'N'),(20,5114659,'1',415,'N'),(20,5114675,'1',208,'N'),(20,5114675,'1A',220,'N'),(20,5114683,'1',301,'N'),(20,5114705,'1',203,'N'),(20,5114705,'1A',208,'N'),(20,5114721,'1',317,'N'),(20,5114730,'1',103,'N'),(20,5114748,'1',213,'N'),(20,5114748,'1A',235,'N'),(20,5114756,'1',103,'N'),(20,5114764,'1',319,'N'),(20,5114780,'1',103,'N'),(20,5114799,'1',216,'N'),(20,5114799,'1A',202,'N'),(20,5114802,'1',104,'N'),(20,5114810,'1',420,'N'),(20,5114829,'1',415,'N'),(20,5114837,'1',503,'N'),(20,5114845,'1',214,'N'),(20,5114845,'1A',212,'N'),(20,5114853,'1',601,'N'),(20,5114853,'1A',211,'N'),(20,5114861,'1',103,'N'),(20,5114870,'1',653,'N'),(20,5114870,'1A',652,'N'),(20,5114900,'1',503,'N'),(20,5114918,'1',316,'N'),(20,5114926,'1',653,'N'),(20,5114934,'1',238,'N'),(20,5114934,'1A',208,'N'),(20,5114942,'1',420,'N'),(20,5114950,'1',201,'N'),(20,5114950,'1A',212,'N'),(20,5114969,'1',103,'N'),(20,5114977,'1',103,'N'),(20,5114985,'1',235,'N'),(20,5114985,'1A',202,'N'),(20,5114993,'1',415,'N'),(20,5115019,'1',103,'N'),(20,5115027,'1',304,'N'),(20,5115035,'1',103,'N'),(20,5115043,'1',316,'N'),(20,5115078,'1',207,'N'),(20,5115078,'1A',211,'N'),(20,5115086,'1',5,'N'),(20,5115094,'1',303,'N'),(20,5115116,'1',220,'N'),(20,5115116,'1A',601,'N'),(20,5115124,'1',302,'N'),(20,5115132,'1',5,'N'),(20,5115140,'1',551,'N'),(20,5115159,'1',207,'N'),(20,5115159,'1A',201,'N'),(20,5115175,'1',220,'N'),(20,5115175,'1A',203,'N'),(20,5115205,'1',340,'N'),(20,5115221,'1',208,'N'),(20,5115221,'1A',203,'N'),(20,5115230,'1',211,'N'),(20,5115230,'1A',208,'N'),(20,5115248,'1',329,'N'),(20,5115256,'1',103,'N'),(20,5115264,'1',103,'N'),(20,5115280,'1',103,'N'),(20,5115299,'1',222,'N'),(20,5115302,'1',316,'N'),(20,5115337,'1',103,'N'),(20,5115345,'1',203,'N'),(20,5115345,'1A',212,'N'),(20,5115353,'1',304,'N'),(20,5115361,'1',203,'N'),(20,5115361,'1A',214,'N'),(20,5115370,'1',103,'N'),(20,5115388,'1',220,'N'),(20,5115388,'1A',203,'N'),(20,5115396,'1',501,'N'),(20,5115400,'1',104,'N'),(20,5115418,'1',301,'N'),(20,5115426,'1',301,'N'),(20,5115434,'1',501,'N'),(20,5115442,'1',303,'N'),(20,5115450,'1',201,'N'),(20,5115450,'1A',212,'N'),(20,5115469,'1',103,'N'),(20,5115477,'1',103,'N'),(20,5115485,'1',102,'N'),(20,5115493,'1',336,'N'),(20,5115515,'1',5,'N'),(20,5115523,'1',303,'N'),(20,5115531,'1',207,'N'),(20,5115531,'1A',201,'N'),(20,5115540,'1',3,'N'),(20,5115566,'1',551,'N'),(20,5115582,'1',103,'N'),(20,5115590,'1',103,'N'),(20,5115604,'1',303,'N'),(20,5115612,'1',316,'N'),(20,5115620,'1',336,'N'),(20,5115647,'1',108,'N'),(20,5115663,'1',303,'N'),(20,5115671,'1',103,'N'),(20,5115680,'1',103,'N'),(20,5115698,'1',201,'N'),(20,5115698,'1A',233,'N'),(20,5115701,'1',103,'N'),(20,5115710,'1',207,'N'),(20,5115710,'1A',201,'N'),(20,5115736,'1',103,'N'),(20,5115744,'1',103,'N'),(20,5115752,'1',340,'N'),(20,5115760,'1',101,'N'),(20,5115779,'1',101,'N'),(20,5115787,'1',207,'N'),(20,5115787,'1A',212,'N'),(20,5115817,'1',203,'N'),(20,5115817,'1A',214,'N'),(20,5115825,'1',108,'N'),(20,5115833,'1',340,'N'),(20,5115841,'1',103,'N'),(20,5115850,'1',303,'N'),(20,5115868,'1',103,'N'),(20,5115876,'1',203,'N'),(20,5115876,'1A',214,'N'),(20,5115884,'1',303,'N'),(20,5115892,'1',207,'N'),(20,5115892,'1A',201,'N'),(20,5115906,'1',207,'N'),(20,5115906,'1A',201,'N'),(20,5115914,'1',203,'N'),(20,5115914,'1A',211,'N'),(20,5115922,'1',103,'N'),(20,5115930,'1',103,'N'),(20,5115949,'1',203,'N'),(20,5115949,'1A',214,'N'),(20,5115957,'1',415,'N'),(20,5115965,'1',5,'N'),(20,5115981,'1',103,'N'),(20,5116007,'1',103,'N'),(20,5116023,'1',212,'N'),(20,5116023,'1A',220,'N'),(20,5116040,'1',404,'N'),(20,5116058,'1',103,'N'),(20,5116074,'1',103,'N'),(20,5116082,'1',103,'N'),(20,5116090,'1',208,'N'),(20,5116090,'1A',238,'N'),(20,5116104,'1',203,'N'),(20,5116112,'1',103,'N'),(20,5116120,'1',103,'N'),(20,5116139,'1',108,'N'),(20,5116147,'1',203,'N'),(20,5116147,'1A',214,'N'),(20,5116155,'1',203,'N'),(20,5116171,'1',109,'N'),(20,5116198,'1',601,'N'),(20,5116198,'1A',201,'N'),(20,5116201,'1',340,'N'),(20,5116228,'1',601,'N'),(20,5116236,'1',201,'N'),(20,5116236,'1A',212,'N'),(20,5116244,'1',304,'N'),(20,5116252,'1',303,'N'),(20,5116279,'1',317,'N'),(20,5116287,'1',333,'N'),(20,5116309,'1',220,'N'),(20,5116309,'1A',202,'N'),(20,5116317,'1',108,'N'),(20,5116333,'1',103,'N'),(20,5116350,'1',208,'N'),(20,5116368,'1',319,'N'),(20,5116384,'1',238,'N'),(20,5116384,'1A',208,'N'),(20,5116392,'1',318,'N'),(20,5116406,'1',207,'N'),(20,5116406,'1A',211,'N'),(20,5116414,'1',327,'N'),(20,5116422,'1',316,'N'),(20,5116430,'1',216,'N'),(20,5116430,'1A',203,'N'),(20,5116449,'1',420,'N'),(20,5116457,'1',203,'N'),(20,5116457,'1A',214,'N'),(20,5116465,'1',423,'N'),(20,5116465,'1A',426,'N'),(20,5116481,'1',404,'N'),(20,5116490,'1',233,'N'),(20,5116490,'1A',207,'N'),(20,5116511,'1',9,'N'),(20,5116520,'1',333,'N'),(20,5116554,'1',216,'N'),(20,5116554,'1A',211,'N'),(20,5116562,'1',103,'N'),(20,5116619,'1',201,'N'),(20,5116619,'1A',208,'N'),(20,5116627,'1',216,'N'),(20,5116627,'1A',215,'N'),(20,5116635,'1',303,'N'),(20,5116643,'1',309,'N'),(20,5116651,'1',303,'N'),(20,5116678,'1',104,'N'),(20,5116686,'1',104,'N'),(20,5116694,'1',238,'N'),(20,5116694,'1A',208,'N'),(20,5116708,'1',319,'N'),(20,5116716,'1',452,'N'),(20,5116724,'1',104,'N'),(20,5116732,'1',203,'N'),(20,5116732,'1A',220,'N'),(20,5116740,'1',103,'N'),(20,5116767,'1',203,'N'),(20,5116767,'1A',214,'N'),(20,5116775,'1',207,'N'),(20,5116775,'1A',201,'N'),(20,5116783,'1',238,'N'),(20,5116783,'1A',208,'N'),(20,5116791,'1',216,'N'),(20,5116791,'1A',233,'N'),(20,5116805,'1',340,'N'),(20,5116813,'1',103,'N'),(20,5116821,'1',207,'N'),(20,5116821,'1A',201,'N'),(20,5116830,'1',103,'N'),(20,5116848,'1',103,'N'),(20,5116856,'1',103,'N'),(20,5116872,'1',238,'N'),(20,5116872,'1A',208,'N'),(20,5116880,'1',302,'N'),(20,5116899,'1',108,'N'),(20,5116902,'1',316,'N'),(20,5116910,'1',102,'N'),(20,5116929,'1',104,'N'),(20,5116937,'1',319,'N'),(20,5116945,'1',336,'N'),(20,5116953,'1',308,'N'),(20,5116961,'1',207,'N'),(20,5116961,'1A',215,'N'),(20,5116970,'1',103,'N'),(20,5116996,'1',303,'N'),(20,5117011,'1',203,'N'),(20,5117011,'1A',214,'N'),(20,5117020,'1',201,'N'),(20,5117020,'1A',601,'N'),(20,5117038,'1',103,'N'),(20,5117046,'1',103,'N'),(20,5117054,'1',208,'N'),(20,5117054,'1A',202,'N'),(20,5117070,'1',5,'N'),(20,5117089,'1',5,'N'),(20,5117100,'1',103,'N'),(20,5117119,'1',415,'N'),(20,5117127,'1',104,'N'),(20,5117135,'1',202,'N'),(20,5117135,'1A',235,'N'),(20,5117143,'1',203,'N'),(20,5117143,'1A',214,'N'),(20,5117151,'1',340,'N'),(20,5117160,'1',103,'N'),(20,5117194,'1',415,'N'),(20,5117208,'1',103,'N'),(20,5117216,'1',216,'N'),(20,5117216,'1A',203,'N'),(20,5117232,'1',9,'N'),(20,5117240,'1',5,'N'),(20,5117259,'1',201,'N'),(20,5117259,'1A',212,'N'),(20,5117275,'1',207,'N'),(20,5117275,'1A',211,'N'),(20,5117283,'1',102,'N'),(20,5117291,'1',103,'N'),(20,5117305,'1',103,'N'),(20,5117330,'1',238,'N'),(20,5117330,'1A',208,'N'),(20,5117348,'1',316,'N'),(20,5117356,'1',103,'N'),(20,5117364,'1',303,'N'),(20,5117380,'1',103,'N'),(20,5117399,'1',238,'N'),(20,5117399,'1A',207,'N'),(20,5117437,'1',216,'N'),(20,5117437,'1A',201,'N'),(20,5117445,'1',303,'N'),(20,5117453,'1',104,'N'),(20,5117461,'1',5,'N'),(20,5117470,'1',220,'N'),(20,5117470,'1A',233,'N'),(20,5117488,'1',303,'N'),(20,5117500,'1',203,'N'),(20,5117500,'1A',601,'N'),(20,5117518,'1',108,'N'),(20,5117526,'1',201,'N'),(20,5117526,'1A',212,'N'),(20,5117534,'1',238,'N'),(20,5117569,'1',453,'N'),(20,5117577,'1',601,'N'),(20,5117585,'1',211,'N'),(20,5117607,'1',420,'N'),(20,5117615,'1',220,'N'),(20,5117615,'1A',214,'N'),(20,5117623,'1',319,'N'),(20,5117631,'1',207,'N'),(20,5117631,'1A',201,'N'),(20,5117640,'1',203,'N'),(20,5117640,'1A',238,'N'),(20,5117658,'1',316,'N'),(20,5117666,'1',444,'N'),(20,5117674,'1',103,'N'),(20,5117682,'1',5,'N'),(20,5117690,'1',415,'N'),(20,5117704,'1',333,'N'),(20,5117712,'1',5,'N'),(20,5117720,'1',102,'N'),(20,5117739,'1',308,'N'),(20,5117747,'1',317,'N'),(20,5117755,'1',202,'N'),(20,5117755,'1A',235,'N'),(20,5117763,'1',452,'N'),(20,5117771,'1',203,'N'),(20,5117771,'1A',214,'N'),(20,5117780,'1',415,'N'),(20,5117801,'1',207,'N'),(20,5117801,'1A',201,'N'),(20,5117844,'1',420,'N'),(20,5117852,'1',103,'N'),(20,5117860,'1',201,'N'),(20,5117860,'1A',216,'N'),(20,5117887,'1',333,'N'),(20,5117895,'1',211,'N'),(20,5117895,'1A',201,'N'),(20,5117909,'1',319,'N'),(20,5117941,'1',103,'N'),(20,5117950,'1',238,'N'),(20,5117950,'1A',208,'N'),(20,5117968,'1',103,'N'),(20,5117976,'1',211,'N'),(20,5117976,'1A',653,'N'),(20,5117984,'1',333,'N'),(20,5117992,'1',208,'N'),(20,5118000,'1',319,'N'),(20,5118018,'1',103,'N'),(20,5118026,'1',103,'N'),(20,5118034,'1',303,'N'),(20,5118042,'1',444,'N'),(20,5118069,'1',207,'N'),(20,5118069,'1A',215,'N'),(20,5118077,'1',101,'N'),(20,5118085,'1',203,'N'),(20,5118085,'1A',201,'N'),(20,5118093,'1',108,'N'),(20,5118107,'1',451,'N'),(20,5118140,'1',316,'N'),(20,5118158,'1',108,'N'),(20,5118166,'1',326,'N'),(20,5118182,'1',502,'N'),(20,5118190,'1',224,'N'),(20,5118212,'1',101,'N'),(20,5118220,'1',421,'N'),(20,5118220,'1A',425,'N'),(20,5118239,'1',303,'N'),(20,5118247,'1',501,'N'),(20,5118263,'1',207,'N'),(20,5118263,'1A',201,'N'),(20,5118271,'1',208,'N'),(20,5118271,'1A',238,'N'),(20,5118280,'1',103,'N'),(20,5118301,'1',207,'N'),(20,5118301,'1A',201,'N'),(20,5118310,'1',316,'N'),(20,5118328,'1',202,'N'),(20,5118328,'1A',213,'N'),(20,5118336,'1',320,'N'),(20,5118352,'1',103,'N'),(20,5118360,'1',104,'N'),(20,5118379,'1',340,'N'),(20,5118409,'1',203,'N'),(20,5118409,'1A',201,'N'),(20,5118417,'1',201,'N'),(20,5118417,'1A',214,'N'),(20,5118425,'1',103,'N'),(20,5118450,'1',453,'N'),(20,5118468,'1',103,'N'),(20,5118476,'1',103,'N'),(20,5118484,'1',238,'N'),(20,5118484,'1A',208,'N'),(20,5118492,'1',324,'N'),(20,5118506,'1',310,'N'),(20,5118514,'1',103,'N'),(20,5118522,'1',428,'N'),(20,5118522,'1A',424,'N'),(20,5118530,'1',211,'N'),(20,5118530,'1A',216,'N'),(20,5118549,'1',103,'N'),(20,5118557,'1',103,'N'),(20,5118565,'1',223,'N'),(20,5118573,'1',340,'N'),(20,5118581,'1',103,'N'),(20,5118590,'1',108,'N'),(20,5118603,'1',340,'N'),(20,5118611,'1',318,'N'),(20,5118646,'1',5,'N'),(20,5118654,'1',336,'N'),(20,5118662,'1',233,'N'),(20,5118662,'1A',653,'N'),(20,5118670,'1',340,'N'),(20,5118689,'1',5,'N'),(20,5118697,'1',601,'N'),(20,5118700,'1',404,'N'),(20,5118719,'1',303,'N'),(20,5118727,'1',103,'N'),(20,5118743,'1',223,'N'),(20,5118751,'1',213,'N'),(20,5118751,'1A',214,'N'),(20,5118760,'1',201,'N'),(20,5118760,'1A',207,'N'),(20,5118778,'1',336,'N'),(20,5118786,'1',103,'N'),(20,5118794,'1',420,'N'),(20,5118808,'1',238,'N'),(20,5118808,'1A',202,'N'),(20,5118816,'1',103,'N'),(20,5118824,'1',601,'N'),(20,5118859,'1',331,'N'),(20,5118875,'1',340,'N'),(20,5118883,'1',340,'N'),(20,5118891,'1',201,'N'),(20,5118891,'1A',212,'N'),(20,5118905,'1',104,'N'),(20,5118913,'1',444,'N'),(20,5118930,'1',211,'N'),(20,5118930,'1A',207,'N'),(20,5118948,'1',103,'N'),(20,5118956,'1',415,'N'),(20,5118964,'1',301,'N'),(20,5118972,'1',103,'N'),(20,5118980,'1',316,'N'),(20,5118999,'1',303,'N'),(20,5119022,'1',303,'N'),(20,5119030,'1',333,'N'),(20,5119049,'1',415,'N'),(20,5119057,'1',215,'N'),(20,5119057,'1A',212,'N'),(20,5119073,'1',103,'N'),(20,5119081,'1',215,'N'),(20,5119103,'1',415,'N'),(20,5119120,'1',201,'N'),(20,5119120,'1A',212,'N'),(20,5119138,'1',220,'N'),(20,5119138,'1A',203,'N'),(20,5119146,'1',332,'N'),(20,5119154,'1',9,'N'),(20,5119162,'1',103,'N'),(20,5119170,'1',203,'N'),(20,5119170,'1A',211,'N'),(20,5119189,'1',103,'N'),(20,5119197,'1',303,'N'),(20,5119200,'1',340,'N'),(20,5119219,'1',208,'N'),(20,5119219,'1A',238,'N'),(20,5119227,'1',301,'N'),(20,5119235,'1',103,'N'),(20,5119243,'1',213,'N'),(20,5119243,'1A',211,'N'),(20,5119251,'1',310,'N'),(20,5119260,'1',101,'N'),(20,5119278,'1',216,'N'),(20,5119278,'1A',212,'N'),(20,5119308,'1',215,'N'),(20,5119308,'1A',211,'N'),(20,5119324,'1',103,'N'),(20,5119332,'1',316,'N'),(20,5119340,'1',103,'N'),(20,5119359,'1',5,'N'),(20,5119367,'1',3,'N'),(20,5119375,'1',316,'N'),(20,5119391,'1',310,'N'),(20,5119413,'1',201,'N'),(20,5119413,'1A',212,'N'),(20,5119421,'1',415,'N'),(20,5119430,'1',102,'N'),(20,5119448,'1',211,'N'),(20,5119448,'1A',207,'N'),(20,5119456,'1',201,'N'),(20,5119456,'1A',202,'N'),(20,5119464,'1',452,'N'),(20,5119472,'1',103,'N'),(20,5119480,'1',5,'N'),(20,5119499,'1',103,'N'),(20,5119502,'1',501,'N'),(20,5119510,'1',102,'N'),(20,5119537,'1',201,'N'),(20,5119537,'1A',207,'N'),(20,5119545,'1',103,'N'),(20,5119561,'1',303,'N'),(20,5119570,'1',216,'N'),(20,5119570,'1A',212,'N'),(20,5119588,'1',601,'N'),(20,5119588,'1A',203,'N'),(20,5119596,'1',303,'N'),(20,5119600,'1',5,'N'),(20,5119618,'1',551,'N'),(20,5119626,'1',216,'N'),(20,5119626,'1A',212,'N'),(20,5119634,'1',207,'N'),(20,5119634,'1A',201,'N'),(20,5119642,'1',103,'N'),(20,5119650,'1',340,'N'),(20,5119669,'1',103,'N'),(20,5119685,'1',303,'N'),(20,5119693,'1',340,'N'),(20,5119707,'1',103,'N'),(20,5119715,'1',404,'N'),(20,5119723,'1',222,'N'),(20,5119731,'1',203,'N'),(20,5119740,'1',208,'N'),(20,5119740,'1A',220,'N'),(20,5119758,'1',444,'N'),(20,5119766,'1',203,'N'),(20,5119766,'1A',201,'N'),(20,5119782,'1',103,'N'),(20,5119790,'1',214,'N'),(20,5119790,'1A',203,'N'),(20,5119839,'1',103,'N'),(20,5119847,'1',340,'N'),(20,5119855,'1',108,'N'),(20,5119863,'1',207,'N'),(20,5119863,'1A',201,'N'),(20,5119871,'1',211,'N'),(20,5119871,'1A',207,'N'),(20,5119910,'1',319,'N'),(20,5119928,'1',425,'N'),(20,5119928,'1A',423,'N'),(20,5119936,'1',108,'N'),(20,5119944,'1',207,'N'),(20,5119944,'1A',201,'N'),(20,5119952,'1',207,'N'),(20,5119952,'1A',201,'N'),(20,5119960,'1',103,'N'),(20,5119979,'1',652,'N'),(20,5119995,'1',103,'N'),(20,5120004,'1',203,'N'),(20,5120004,'1A',202,'N'),(20,5120012,'1',238,'N'),(20,5120012,'1A',215,'N'),(20,5120020,'1',103,'N'),(20,5120039,'1',103,'N'),(20,5120047,'1',501,'N'),(20,5120063,'1',319,'N'),(20,5120080,'1',415,'N'),(20,5120098,'1',415,'N'),(20,5120101,'1',103,'N'),(20,5120110,'1',103,'N'),(20,5120136,'1',3,'N'),(20,5120144,'1',429,'N'),(20,5120144,'1A',425,'N'),(20,5120152,'1',103,'N'),(20,5120160,'1',333,'N'),(20,5120179,'1',301,'N'),(20,5120187,'1',303,'N'),(20,5120195,'1',425,'N'),(20,5120195,'1A',429,'N'),(20,5120209,'1',203,'N'),(20,5120209,'1A',202,'N'),(20,5120217,'1',501,'N'),(20,5120233,'1',103,'N'),(20,5120241,'1',316,'N'),(20,5120250,'1',103,'N'),(20,5120276,'1',425,'N'),(20,5120276,'1A',421,'N'),(20,5120284,'1',444,'N'),(20,5120292,'1',302,'N'),(20,5120314,'1',215,'N'),(20,5120322,'1',301,'N'),(20,5120330,'1',220,'N'),(20,5120330,'1A',208,'N'),(20,5120349,'1',2,'N'),(20,5120357,'1',316,'N'),(20,5120365,'1',103,'N'),(20,5120381,'1',110,'N'),(20,5120390,'1',319,'N'),(20,5120403,'1',103,'N'),(20,5120411,'1',216,'N'),(20,5120411,'1A',233,'N'),(20,5120420,'1',415,'N'),(20,5120438,'1',101,'N'),(20,5120446,'1',103,'N'),(20,5120462,'1',207,'N'),(20,5120489,'1',103,'N'),(20,5120497,'1',318,'N'),(20,5120500,'1',108,'N'),(20,5120519,'1',103,'N'),(20,5120527,'1',444,'N'),(20,5120535,'1',201,'N'),(20,5120535,'1A',207,'N'),(20,5120543,'1',103,'N'),(20,5120560,'1',319,'N'),(20,5120578,'1',104,'N'),(20,5120586,'1',203,'N'),(20,5120586,'1A',214,'N'),(20,5120608,'1',202,'N'),(20,5120608,'1A',215,'N'),(20,5120632,'1',427,'N'),(20,5120632,'1A',424,'N'),(20,5120659,'1',238,'N'),(20,5120659,'1A',208,'N'),(20,5120667,'1',9,'N'),(20,5120713,'1',452,'N'),(20,5120721,'1',324,'N'),(20,5120730,'1',103,'N'),(20,5120748,'1',109,'N'),(20,5120756,'1',340,'N'),(20,5120764,'1',103,'N'),(20,5120772,'1',103,'N'),(20,5120780,'1',318,'N'),(20,5120799,'1',216,'N'),(20,5120799,'1A',215,'N'),(20,5120802,'1',327,'N'),(20,5120810,'1',429,'N'),(20,5120810,'1A',425,'N'),(20,5120829,'1',104,'N'),(20,5120861,'1',427,'N'),(20,5120861,'1A',426,'N'),(20,5120870,'1',103,'N'),(20,5120896,'1',103,'N'),(20,5120900,'1',316,'N'),(20,5120918,'1',201,'N'),(20,5120918,'1A',212,'N'),(20,5120926,'1',319,'N'),(20,5120934,'1',450,'N'),(20,5120942,'1',336,'N'),(20,5120977,'1',103,'N'),(20,5120985,'1',203,'N'),(20,5120985,'1A',233,'N'),(20,5121019,'1',103,'N'),(20,5121027,'1',104,'N'),(20,5121035,'1',317,'N'),(20,5121051,'1',303,'N'),(20,5121086,'1',238,'N'),(20,5121086,'1A',652,'N'),(20,5121094,'1',415,'N'),(20,5121108,'1',203,'N'),(20,5121108,'1A',215,'N'),(20,5121116,'1',308,'N'),(20,5121132,'1',208,'N'),(20,5121140,'1',319,'N'),(20,5121159,'1',340,'N'),(20,5121167,'1',201,'N'),(20,5121167,'1A',207,'N'),(20,5121183,'1',326,'N'),(20,5121191,'1',108,'N'),(20,5121205,'1',202,'N'),(20,5121213,'1',5,'N'),(20,5121256,'1',108,'N'),(20,5121299,'1',9,'N'),(20,5121302,'1',5,'N'),(20,5121310,'1',215,'N'),(20,5121310,'1A',233,'N'),(20,5121329,'1',201,'N'),(20,5121337,'1',212,'N'),(20,5121337,'1A',211,'N'),(20,5121345,'1',316,'N'),(20,5121353,'1',316,'N'),(20,5121361,'1',238,'N'),(20,5121361,'1A',208,'N'),(20,5121370,'1',103,'N'),(20,5121388,'1',208,'N'),(20,5121418,'1',220,'N'),(20,5121418,'1A',202,'N'),(20,5121434,'1',103,'N'),(20,5121442,'1',333,'N'),(20,5121450,'1',415,'N'),(20,5121469,'1',503,'N'),(20,5121477,'1',208,'N'),(20,5121477,'1A',238,'N'),(20,5121485,'1',420,'N'),(20,5121493,'1',238,'N'),(20,5121493,'1A',208,'N'),(20,5121515,'1',304,'N'),(20,5121523,'1',220,'N'),(20,5121523,'1A',203,'N'),(20,5121531,'1',202,'N'),(20,5121531,'1A',233,'N'),(20,5121540,'1',316,'N'),(20,5121558,'1',103,'N'),(20,5121566,'1',340,'N'),(20,5121574,'1',203,'N'),(20,5121574,'1A',202,'N'),(20,5121582,'1',235,'N'),(20,5121582,'1A',203,'N'),(20,5121590,'1',452,'N'),(20,5121604,'1',201,'N'),(20,5121604,'1A',212,'N'),(20,5121612,'1',202,'N'),(20,5121612,'1A',235,'N'),(20,5121620,'1',103,'N'),(20,5121639,'1',201,'N'),(20,5121639,'1A',214,'N'),(20,5121655,'1',207,'N'),(20,5121655,'1A',215,'N'),(20,5121663,'1',9,'N'),(20,5121671,'1',201,'N'),(20,5121671,'1A',207,'N'),(20,5121680,'1',425,'N'),(20,5121680,'1A',429,'N'),(20,5121698,'1',216,'N'),(20,5121698,'1A',203,'N'),(20,5121710,'1',317,'N'),(20,5121736,'1',104,'N'),(20,5121744,'1',319,'N'),(20,5121779,'1',103,'N'),(20,5121787,'1',215,'N'),(20,5121787,'1A',233,'N'),(20,5121795,'1',103,'N'),(20,5121809,'1',303,'N'),(20,5121817,'1',303,'N'),(20,5121825,'1',9,'N'),(20,5121833,'1',201,'N'),(20,5121833,'1A',212,'N'),(20,5121841,'1',104,'N'),(20,5121850,'1',444,'N'),(20,5121876,'1',202,'N'),(20,5121876,'1A',203,'N'),(20,5121884,'1',109,'N'),(20,5121892,'1',108,'N'),(20,5121906,'1',203,'N'),(20,5121906,'1A',214,'N'),(20,5121922,'1',201,'N'),(20,5121922,'1A',212,'N'),(20,5121930,'1',452,'N'),(20,5121949,'1',420,'N'),(20,5121957,'1',425,'N'),(20,5121957,'1A',429,'N'),(20,5121965,'1',203,'N'),(20,5121965,'1A',214,'N'),(20,5121973,'1',220,'N'),(20,5121973,'1A',208,'N'),(20,5121981,'1',319,'N'),(20,5121990,'1',208,'N'),(20,5121990,'1A',201,'N'),(20,5122007,'1',103,'N'),(20,5122015,'1',423,'N'),(20,5122015,'1A',424,'N'),(20,5122023,'1',235,'N'),(20,5122023,'1A',201,'N'),(20,5122031,'1',316,'N'),(20,5122040,'1',103,'N'),(20,5122058,'1',103,'N'),(20,5122074,'1',309,'N'),(20,5122104,'1',309,'N'),(20,5122112,'1',301,'N'),(20,5122120,'1',103,'N'),(20,5122139,'1',5,'N'),(20,5122147,'1',425,'N'),(20,5122147,'1A',421,'N'),(20,5122171,'1',238,'N'),(20,5122171,'1A',208,'N'),(20,5122180,'1',108,'N'),(20,5122198,'1',222,'N'),(20,5122244,'1',340,'N'),(20,5122252,'1',207,'N'),(20,5122252,'1A',201,'N'),(20,5122287,'1',444,'N'),(20,5122295,'1',201,'N'),(20,5122295,'1A',202,'N'),(20,5122309,'1',103,'N'),(20,5122317,'1',207,'N'),(20,5122317,'1A',238,'N'),(20,5122333,'1',5,'N'),(20,5122341,'1',101,'N'),(20,5122350,'1',102,'N'),(20,5122376,'1',319,'N'),(20,5122392,'1',5,'N'),(20,5122406,'1',103,'N'),(20,5122414,'1',453,'N'),(20,5122430,'1',220,'N'),(20,5122430,'1A',235,'N'),(20,5122465,'1',203,'N'),(20,5122465,'1A',214,'N'),(20,5122473,'1',207,'N'),(20,5122473,'1A',201,'N'),(20,5122481,'1',502,'N'),(20,5122503,'1',207,'N'),(20,5122503,'1A',201,'N'),(20,5122511,'1',203,'N'),(20,5122511,'1A',216,'N'),(20,5122538,'1',103,'N'),(20,5122546,'1',103,'N'),(20,5122554,'1',415,'N'),(20,5122562,'1',340,'N'),(20,5122597,'1',103,'N'),(20,5122619,'1',238,'N'),(20,5122619,'1A',208,'N'),(20,5122627,'1',326,'N'),(20,5122635,'1',211,'N'),(20,5122635,'1A',208,'N'),(20,5122643,'1',104,'N'),(20,5122651,'1',220,'N'),(20,5122651,'1A',235,'N'),(20,5122660,'1',340,'N'),(20,5122678,'1',208,'N'),(20,5122678,'1A',238,'N'),(20,5122694,'1',421,'N'),(20,5122694,'1A',424,'N'),(20,5122708,'1',103,'N'),(20,5122716,'1',207,'N'),(20,5122716,'1A',238,'N'),(20,5122724,'1',220,'N'),(20,5122724,'1A',233,'N'),(20,5122732,'1',103,'N'),(20,5122740,'1',404,'N'),(20,5122759,'1',207,'N'),(20,5122759,'1A',208,'N'),(20,5122767,'1',303,'N'),(20,5122775,'1',201,'N'),(20,5122775,'1A',203,'N'),(20,5122783,'1',444,'N'),(20,5122813,'1',214,'N'),(20,5122813,'1A',203,'N'),(20,5122848,'1',429,'N'),(20,5122848,'1A',425,'N'),(20,5122856,'1',216,'N'),(20,5122856,'1A',233,'N'),(20,5122864,'1',216,'N'),(20,5122864,'1A',233,'N'),(20,5122872,'1',103,'N'),(20,5122880,'1',5,'N'),(20,5122899,'1',213,'N'),(20,5122899,'1A',208,'N'),(20,5122902,'1',420,'N'),(20,5122929,'1',5,'N'),(20,5122937,'1',103,'N'),(20,5122945,'1',108,'N'),(20,5122953,'1',404,'N'),(20,5122961,'1',339,'N'),(20,5122988,'1',208,'N'),(20,5122988,'1A',201,'N'),(20,5122996,'1',207,'N'),(20,5122996,'1A',201,'N'),(20,5123003,'1',5,'N'),(20,5123020,'1',303,'N'),(20,5123038,'1',238,'N'),(20,5123038,'1A',208,'N'),(20,5123046,'1',103,'N'),(20,5123054,'1',108,'N'),(20,5123062,'1',101,'N'),(20,5123070,'1',216,'N'),(20,5123070,'1A',207,'N'),(20,5123089,'1',9,'N'),(20,5123100,'1',318,'N'),(20,5123119,'1',316,'N'),(20,5123127,'1',103,'N'),(20,5123135,'1',404,'N'),(20,5123143,'1',303,'N'),(20,5123151,'1',551,'N'),(20,5123160,'1',303,'N'),(20,5123178,'1',327,'N'),(20,5123186,'1',421,'N'),(20,5123186,'1A',424,'N'),(20,5123194,'1',214,'N'),(20,5123194,'1A',233,'N'),(20,5123208,'1',215,'N'),(20,5123208,'1A',201,'N'),(20,5123240,'1',202,'N'),(20,5123240,'1A',213,'N'),(20,5123259,'1',329,'N'),(20,5123267,'1',103,'N'),(20,5123291,'1',329,'N'),(20,5123305,'1',103,'N'),(20,5123313,'1',317,'N'),(20,5123321,'1',501,'N'),(20,5123330,'1',653,'N'),(20,5123348,'1',319,'N'),(20,5123356,'1',332,'N'),(20,5123364,'1',215,'N'),(20,5123364,'1A',216,'N'),(20,5123372,'1',3,'N'),(20,5123380,'1',216,'N'),(20,5123380,'1A',215,'N'),(20,5123402,'1',103,'N'),(20,5123410,'1',104,'N'),(20,5123437,'1',203,'N'),(20,5123437,'1A',220,'N'),(20,5123461,'1',303,'N'),(20,5123470,'1',320,'N'),(20,5123488,'1',216,'N'),(20,5123488,'1A',215,'N'),(20,5123500,'1',201,'N'),(20,5123500,'1A',207,'N'),(20,5123518,'1',340,'N'),(20,5123526,'1',5,'N'),(20,5123534,'1',103,'N'),(20,5123542,'1',207,'N'),(20,5123542,'1A',238,'N'),(20,5123550,'1',103,'N'),(20,5123569,'1',103,'N'),(20,5123577,'1',103,'N'),(20,5123585,'1',653,'N'),(20,5123585,'1A',214,'N'),(20,5123593,'1',319,'N'),(20,5123607,'1',215,'N'),(20,5123607,'1A',216,'N'),(20,5123615,'1',110,'N'),(20,5123623,'1',308,'N'),(20,5123631,'1',211,'N'),(20,5123631,'1A',216,'N'),(20,5123640,'1',238,'N'),(20,5123640,'1A',208,'N'),(20,5123658,'1',102,'N'),(20,5123666,'1',103,'N'),(20,5123674,'1',301,'N'),(20,5123682,'1',103,'N'),(20,5123690,'1',103,'N'),(20,5123704,'1',103,'N'),(20,5123712,'1',103,'N'),(20,5123720,'1',308,'N'),(20,5123739,'1',5,'N'),(20,5123747,'1',103,'N'),(20,5123763,'1',339,'N'),(20,5123771,'1',103,'N'),(20,5123780,'1',216,'N'),(20,5123780,'1A',233,'N'),(20,5123798,'1',211,'N'),(20,5123798,'1A',216,'N'),(20,5123801,'1',324,'N'),(20,5123810,'1',223,'N'),(20,5123828,'1',316,'N'),(20,5123836,'1',9,'N'),(20,5123844,'1',303,'N'),(20,5123852,'1',103,'N'),(20,5123860,'1',303,'N'),(20,5123887,'1',317,'N'),(20,5123895,'1',319,'N'),(20,5123909,'1',207,'N'),(20,5123909,'1A',202,'N'),(20,5123917,'1',303,'N'),(20,5123933,'1',333,'N'),(20,5123941,'1',211,'N'),(20,5123941,'1A',201,'N'),(20,5123950,'1',319,'N'),(20,5123968,'1',202,'N'),(20,5123968,'1A',235,'N'),(20,5123976,'1',103,'N'),(20,5123984,'1',103,'N'),(20,5123992,'1',103,'N'),(20,5124000,'1',207,'N'),(20,5124000,'1A',201,'N'),(20,5124018,'1',102,'N'),(20,5124026,'1',103,'N'),(20,5124034,'1',653,'N'),(20,5124042,'1',103,'N'),(20,5124050,'1',103,'N'),(20,5124069,'1',207,'N'),(20,5124069,'1A',201,'N'),(20,5124077,'1',303,'N'),(20,5124085,'1',103,'N'),(20,5124107,'1',234,'N'),(20,5124115,'1',103,'N'),(20,5124123,'1',108,'N'),(20,5124131,'1',425,'N'),(20,5124131,'1A',427,'N'),(20,5124140,'1',207,'N'),(20,5124140,'1A',201,'N'),(20,5124158,'1',202,'N'),(20,5124158,'1A',213,'N'),(20,5124166,'1',203,'N'),(20,5124166,'1A',235,'N'),(20,5124174,'1',103,'N'),(20,5124190,'1',102,'N'),(20,5124212,'1',235,'N'),(20,5124212,'1A',208,'N'),(20,5124220,'1',340,'N'),(20,5124239,'1',201,'N'),(20,5124239,'1A',601,'N'),(20,5124247,'1',103,'N'),(20,5124263,'1',201,'N'),(20,5124263,'1A',202,'N'),(20,5124271,'1',336,'N'),(20,5124298,'1',203,'N'),(20,5124298,'1A',233,'N'),(20,5124301,'1',303,'N'),(20,5124310,'1',207,'N'),(20,5124310,'1A',201,'N'),(20,5124328,'1',207,'N'),(20,5124328,'1A',212,'N'),(20,5124336,'1',333,'N'),(20,5124344,'1',103,'N'),(20,5124352,'1',303,'N'),(20,5124360,'1',108,'N'),(20,5124379,'1',223,'N'),(20,5124387,'1',207,'N'),(20,5124387,'1A',203,'N'),(20,5124395,'1',453,'N'),(20,5124409,'1',303,'N'),(20,5124417,'1',208,'N'),(20,5124417,'1A',238,'N'),(20,5124425,'1',208,'N'),(20,5124425,'1A',238,'N'),(20,5124468,'1',103,'N'),(20,5124476,'1',103,'N'),(20,5124484,'1',225,'N'),(20,5124492,'1',415,'N'),(20,5124506,'1',601,'N'),(20,5124506,'1A',203,'N'),(20,5124514,'1',203,'N'),(20,5124514,'1A',233,'N'),(20,5124522,'1',102,'N'),(20,5124530,'1',415,'N'),(20,5124557,'1',103,'N'),(20,5124565,'1',653,'N'),(20,5124573,'1',9,'N'),(20,5124581,'1',303,'N'),(20,5124590,'1',103,'N'),(20,5124603,'1',415,'N'),(20,5124611,'1',103,'N'),(20,5124620,'1',103,'N'),(20,5124638,'1',208,'N'),(20,5124638,'1A',235,'N'),(20,5124654,'1',5,'N'),(20,5124662,'1',103,'N'),(20,5124697,'1',551,'N'),(20,5124700,'1',316,'N'),(20,5124719,'1',103,'N'),(20,5124727,'1',103,'N'),(20,5124735,'1',103,'N'),(20,5124743,'1',420,'N'),(20,5124751,'1',233,'N'),(20,5124751,'1A',202,'N'),(20,5124760,'1',303,'N'),(20,5124778,'1',9,'N'),(20,5124786,'1',220,'N'),(20,5124794,'1',203,'N'),(20,5124794,'1A',214,'N'),(20,5124808,'1',452,'N'),(20,5124816,'1',103,'N'),(20,5124824,'1',3,'N'),(20,5124832,'1',201,'N'),(20,5124832,'1A',202,'N'),(20,5124840,'1',109,'N'),(20,5124859,'1',203,'N'),(20,5124859,'1A',235,'N'),(20,5124875,'1',216,'N'),(20,5124875,'1A',215,'N'),(20,5124883,'1',601,'N'),(20,5124891,'1',319,'N'),(20,5124905,'1',324,'N'),(20,5124913,'1',316,'N'),(20,5124921,'1',301,'N'),(20,5124930,'1',333,'N'),(20,5124972,'1',234,'N'),(20,5124980,'1',233,'N'),(20,5124980,'1A',212,'N'),(20,5124999,'1',103,'N'),(20,5125006,'1',101,'N'),(20,5125014,'1',220,'N'),(20,5125014,'1A',214,'N'),(20,5125022,'1',103,'N'),(20,5125030,'1',415,'N'),(20,5125049,'1',103,'N'),(20,5125057,'1',336,'N'),(20,5125073,'1',333,'N'),(20,5125081,'1',108,'N'),(20,5125090,'1',324,'N'),(20,5125103,'1',103,'N'),(20,5125120,'1',9,'N'),(20,5125138,'1',503,'N'),(20,5125154,'1',551,'N'),(20,5125170,'1',203,'N'),(20,5125170,'1A',214,'N'),(20,5125189,'1',203,'N'),(20,5125189,'1A',601,'N'),(20,5125197,'1',211,'N'),(20,5125197,'1A',208,'N'),(20,5125200,'1',212,'N'),(20,5125200,'1A',201,'N'),(20,5125219,'1',203,'N'),(20,5125219,'1A',208,'N'),(20,5125227,'1',318,'N'),(20,5125235,'1',207,'N'),(20,5125243,'1',5,'N'),(20,5125260,'1',103,'N'),(20,5125278,'1',202,'N'),(20,5125278,'1A',214,'N'),(20,5125286,'1',303,'N'),(20,5125294,'1',201,'N'),(20,5125294,'1A',202,'N'),(20,5125316,'1',310,'N'),(20,5125359,'1',208,'N'),(20,5125359,'1A',238,'N'),(20,5125367,'1',103,'N'),(20,5125375,'1',103,'N'),(20,5125405,'1',108,'N'),(20,5125413,'1',303,'N'),(20,5125421,'1',103,'N'),(20,5125430,'1',238,'N'),(20,5125430,'1A',208,'N'),(20,5125448,'1',317,'N'),(20,5125456,'1',201,'N'),(20,5125464,'1',108,'N'),(20,5125472,'1',301,'N'),(20,5125480,'1',109,'N'),(20,5125499,'1',326,'N'),(20,5125502,'1',429,'N'),(20,5125502,'1A',425,'N'),(20,5125510,'1',103,'N'),(20,5125529,'1',3,'N'),(20,5125545,'1',415,'N'),(20,5125553,'1',220,'N'),(20,5125553,'1A',208,'N'),(20,5125561,'1',207,'N'),(20,5125570,'1',332,'N'),(20,5125588,'1',233,'N'),(20,5125596,'1',103,'N'),(20,5125600,'1',415,'N'),(20,5125618,'1',238,'N'),(20,5125618,'1A',208,'N'),(20,5125626,'1',303,'N'),(20,5125634,'1',201,'N'),(20,5125634,'1A',207,'N'),(20,5125669,'1',235,'N'),(20,5125669,'1A',202,'N'),(20,5125677,'1',201,'N'),(20,5125677,'1A',202,'N'),(20,5125685,'1',404,'N'),(20,5125693,'1',201,'N'),(20,5125693,'1A',203,'N'),(20,5125707,'1',238,'N'),(20,5125707,'1A',208,'N'),(20,5125715,'1',420,'N'),(20,5125723,'1',108,'N'),(20,5125731,'1',203,'N'),(20,5125731,'1A',213,'N'),(20,5125740,'1',420,'N'),(20,5125758,'1',304,'N'),(20,5125766,'1',2,'N'),(20,5125774,'1',202,'N'),(20,5125774,'1A',203,'N'),(20,5125782,'1',203,'N'),(20,5125782,'1A',201,'N'),(20,5125790,'1',308,'N'),(20,5125820,'1',216,'N'),(20,5125839,'1',103,'N'),(20,5125847,'1',452,'N'),(20,5125855,'1',211,'N'),(20,5125855,'1A',203,'N'),(20,5125863,'1',103,'N'),(20,5125880,'1',339,'N'),(20,5125898,'1',108,'N'),(20,5125901,'1',211,'N'),(20,5125901,'1A',215,'N'),(20,5125910,'1',5,'N'),(20,5125928,'1',301,'N'),(20,5125936,'1',319,'N'),(20,5125952,'1',425,'N'),(20,5125952,'1A',429,'N'),(20,5125987,'1',108,'N'),(20,5126002,'1',203,'N'),(20,5126002,'1A',208,'N'),(20,5126010,'1',103,'N'),(20,5126037,'1',301,'N'),(20,5126053,'1',415,'N'),(20,5126061,'1',103,'N'),(20,5126088,'1',211,'N'),(20,5126088,'1A',215,'N'),(20,5126100,'1',103,'N'),(20,5126126,'1',5,'N'),(20,5126134,'1',103,'N'),(20,5126142,'1',103,'N'),(20,5126169,'1',310,'N'),(20,5126193,'1',601,'N'),(20,5126193,'1A',212,'N'),(20,5126215,'1',207,'N'),(20,5126215,'1A',211,'N'),(20,5126223,'1',303,'N'),(20,5126240,'1',201,'N'),(20,5126240,'1A',208,'N'),(20,5126258,'1',203,'N'),(20,5126258,'1A',214,'N'),(20,5126266,'1',501,'N'),(20,5126274,'1',340,'N'),(20,5126282,'1',319,'N'),(20,5126290,'1',425,'N'),(20,5126290,'1A',428,'N'),(20,5126304,'1',340,'N'),(20,5126312,'1',303,'N'),(20,5126320,'1',452,'N'),(20,5126339,'1',318,'N'),(20,5126347,'1',201,'N'),(20,5126347,'1A',212,'N'),(20,5126355,'1',303,'N'),(20,5126363,'1',451,'N'),(20,5126371,'1',203,'N'),(20,5126371,'1A',220,'N'),(20,5126380,'1',452,'N'),(20,5126398,'1',215,'N'),(20,5126398,'1A',233,'N'),(20,5126436,'1',301,'N'),(20,5126452,'1',5,'N'),(20,5126460,'1',103,'N'),(20,5126495,'1',452,'N'),(20,5126509,'1',211,'N'),(20,5126509,'1A',601,'N'),(20,5126517,'1',103,'N'),(20,5126525,'1',5,'N'),(20,5126541,'1',201,'N'),(20,5126541,'1A',203,'N'),(20,5126550,'1',308,'N'),(20,5126568,'1',103,'N'),(20,5126576,'1',211,'N'),(20,5126576,'1A',215,'N'),(20,5126584,'1',207,'N'),(20,5126584,'1A',201,'N'),(20,5126592,'1',220,'N'),(20,5126592,'1A',203,'N'),(20,5126614,'1',103,'N'),(20,5126622,'1',301,'N'),(20,5126630,'1',2,'N'),(20,5126649,'1',104,'N'),(20,5126657,'1',238,'N'),(20,5126657,'1A',208,'N'),(20,5126665,'1',102,'N'),(20,5126673,'1',319,'N'),(20,5126681,'1',333,'N'),(20,5126690,'1',103,'N'),(20,5126703,'1',215,'N'),(20,5126703,'1A',233,'N'),(20,5126711,'1',340,'N'),(20,5126720,'1',9,'N'),(20,5126738,'1',503,'N'),(20,5126746,'1',340,'N'),(20,5126762,'1',238,'N'),(20,5126762,'1A',202,'N'),(20,5126770,'1',5,'N'),(20,5126789,'1',301,'N'),(20,5126797,'1',207,'N'),(20,5126797,'1A',201,'N'),(20,5126800,'1',340,'N'),(20,5126819,'1',451,'N'),(20,5126827,'1',304,'N'),(20,5126843,'1',425,'N'),(20,5126843,'1A',427,'N'),(20,5126860,'1',201,'N'),(20,5126860,'1A',651,'N'),(20,5126878,'1',108,'N'),(20,5126886,'1',235,'N'),(20,5126886,'1A',202,'N'),(20,5126894,'1',319,'N'),(20,5126908,'1',317,'N'),(20,5126924,'1',340,'N'),(20,5126932,'1',216,'N'),(20,5126932,'1A',215,'N'),(20,5126940,'1',202,'N'),(20,5126940,'1A',213,'N'),(20,5126959,'1',317,'N'),(20,5126975,'1',214,'N'),(20,5126975,'1A',213,'N'),(20,5126983,'1',233,'N'),(20,5126983,'1A',203,'N'),(20,5127009,'1',103,'N'),(20,5127025,'1',103,'N'),(20,5127041,'1',103,'N'),(20,5127050,'1',601,'N'),(20,5127050,'1A',220,'N'),(20,5127068,'1',103,'N'),(20,5127084,'1',303,'N'),(20,5127092,'1',415,'N'),(20,5127106,'1',207,'N'),(20,5127106,'1A',211,'N'),(20,5127114,'1',103,'N'),(20,5127122,'1',310,'N'),(20,5127130,'1',426,'N'),(20,5127130,'1A',425,'N'),(20,5127149,'1',425,'N'),(20,5127149,'1A',429,'N'),(20,5127157,'1',104,'N'),(20,5127173,'1',319,'N'),(20,5127181,'1',103,'N'),(20,5127190,'1',444,'N'),(20,5127203,'1',203,'N'),(20,5127203,'1A',214,'N'),(20,5127220,'1',601,'N'),(20,5127246,'1',211,'N'),(20,5127246,'1A',215,'N'),(20,5127254,'1',216,'N'),(20,5127254,'1A',235,'N'),(20,5127262,'1',5,'N'),(20,5127270,'1',103,'N'),(20,5127289,'1',316,'N'),(20,5127297,'1',104,'N'),(20,5127319,'1',3,'N'),(20,5127327,'1',333,'N'),(20,5127335,'1',201,'N'),(20,5127335,'1A',653,'N'),(20,5127343,'1',207,'N'),(20,5127343,'1A',201,'N'),(20,5127360,'1',104,'N'),(20,5127386,'1',319,'N'),(20,5127394,'1',329,'N'),(20,5127408,'1',238,'N'),(20,5127408,'1A',213,'N'),(20,5127416,'1',103,'N'),(20,5127424,'1',104,'N'),(20,5127440,'1',103,'N'),(20,5127459,'1',601,'N'),(20,5127467,'1',101,'N'),(20,5127475,'1',601,'N'),(20,5127483,'1',238,'N'),(20,5127483,'1A',208,'N'),(20,5127491,'1',207,'N'),(20,5127491,'1A',201,'N'),(20,5127505,'1',303,'N'),(20,5127521,'1',415,'N'),(20,5127530,'1',601,'N'),(20,5127556,'1',108,'N'),(20,5127572,'1',452,'N'),(20,5127580,'1',238,'N'),(20,5127580,'1A',208,'N'),(20,5127599,'1',103,'N'),(20,5127602,'1',303,'N'),(20,5127610,'1',103,'N'),(20,5127629,'1',103,'N'),(20,5127637,'1',103,'N'),(20,5127645,'1',303,'N'),(20,5127696,'1',207,'N'),(20,5127696,'1A',211,'N'),(20,5127718,'1',103,'N'),(20,5127742,'1',103,'N'),(20,5127750,'1',103,'N'),(20,5127769,'1',304,'N'),(20,5127777,'1',208,'N'),(20,5127777,'1A',207,'N'),(20,5127785,'1',108,'N'),(20,5127793,'1',319,'N'),(20,5127807,'1',207,'N'),(20,5127807,'1A',212,'N'),(20,5127815,'1',220,'N'),(20,5127815,'1A',235,'N'),(20,5127823,'1',102,'N'),(20,5127831,'1',103,'N'),(20,5127840,'1',103,'N'),(20,5127858,'1',103,'N'),(20,5127866,'1',501,'N'),(20,5127890,'1',340,'N'),(20,5127904,'1',415,'N'),(20,5127912,'1',5,'N'),(20,5127939,'1',211,'N'),(20,5127939,'1A',207,'N'),(20,5127947,'1',103,'N'),(20,5127955,'1',103,'N'),(20,5127963,'1',203,'N'),(20,5127963,'1A',201,'N'),(20,5127971,'1',201,'N'),(20,5127971,'1A',207,'N'),(20,5127980,'1',203,'N'),(20,5127980,'1A',233,'N'),(20,5127998,'1',316,'N'),(20,5128005,'1',103,'N'),(20,5128013,'1',9,'N'),(20,5128021,'1',104,'N'),(20,5128048,'1',103,'N'),(20,5128056,'1',319,'N'),(20,5128072,'1',208,'N'),(20,5128072,'1A',238,'N'),(20,5128080,'1',9,'N'),(20,5128102,'1',316,'N'),(20,5128110,'1',208,'N'),(20,5128110,'1A',201,'N'),(20,5128129,'1',208,'N'),(20,5128129,'1A',238,'N'),(20,5128137,'1',207,'N'),(20,5128137,'1A',201,'N'),(20,5128145,'1',103,'N'),(20,5128153,'1',503,'N'),(20,5128161,'1',103,'N'),(20,5128188,'1',103,'N'),(20,5128196,'1',201,'N'),(20,5128196,'1A',207,'N'),(20,5128218,'1',304,'N'),(20,5128226,'1',103,'N'),(20,5128234,'1',420,'N'),(20,5128242,'1',203,'N'),(20,5128242,'1A',201,'N'),(20,5128250,'1',104,'N'),(20,5128269,'1',222,'N'),(20,5128285,'1',208,'N'),(20,5128285,'1A',207,'N'),(20,5128293,'1',103,'N'),(20,5128315,'1',340,'N'),(20,5128323,'1',316,'N'),(20,5128331,'1',319,'N'),(20,5128340,'1',653,'N'),(20,5128340,'1A',201,'N'),(20,5128358,'1',601,'N'),(20,5128358,'1A',233,'N'),(20,5128366,'1',215,'N'),(20,5128382,'1',108,'N'),(20,5128390,'1',104,'N'),(20,5128404,'1',329,'N'),(20,5128412,'1',601,'N'),(20,5128412,'1A',213,'N'),(20,5128420,'1',501,'N'),(20,5128439,'1',203,'N'),(20,5128439,'1A',214,'N'),(20,5128447,'1',108,'N'),(20,5128455,'1',201,'N'),(20,5128455,'1A',211,'N'),(20,5128463,'1',316,'N'),(20,5128471,'1',104,'N'),(20,5128480,'1',201,'N'),(20,5128480,'1A',212,'N'),(20,5128498,'1',601,'N'),(20,5128498,'1A',214,'N'),(20,5128510,'1',207,'N'),(20,5128510,'1A',211,'N'),(20,5128528,'1',103,'N'),(20,5128536,'1',9,'N'),(20,5128544,'1',104,'N'),(20,5128579,'1',5,'N'),(20,5128587,'1',103,'N'),(20,5128595,'1',207,'N'),(20,5128595,'1A',211,'N'),(20,5128609,'1',211,'N'),(20,5128609,'1A',201,'N'),(20,5128617,'1',301,'N'),(20,5128633,'1',109,'N'),(20,5128641,'1',207,'N'),(20,5128650,'1',103,'N'),(20,5128668,'1',103,'N'),(20,5128684,'1',103,'N'),(20,5128692,'1',420,'N'),(20,5128706,'1',450,'N'),(20,5128714,'1',108,'N'),(20,5128730,'1',203,'N'),(20,5128730,'1A',214,'N'),(20,5128757,'1',5,'N'),(20,5128765,'1',108,'N'),(20,5128773,'1',201,'N'),(20,5128773,'1A',212,'N'),(20,5128781,'1',404,'N'),(20,5128790,'1',215,'N'),(20,5128790,'1A',213,'N'),(20,5128803,'1',201,'N'),(20,5128803,'1A',212,'N'),(20,5128811,'1',103,'N'),(20,5128820,'1',5,'N'),(20,5128838,'1',502,'N'),(20,5128846,'1',203,'N'),(20,5128846,'1A',202,'N'),(20,5128862,'1',317,'N'),(20,5128889,'1',5,'N'),(20,5128897,'1',201,'N'),(20,5128897,'1A',212,'N'),(20,5128900,'1',301,'N'),(20,5128919,'1',319,'N'),(20,5128927,'1',324,'N'),(20,5128943,'1',103,'N'),(20,5128960,'1',303,'N'),(20,5128978,'1',420,'N'),(20,5128986,'1',502,'N'),(20,5129001,'1',451,'N'),(20,5129010,'1',5,'N'),(20,5129028,'1',301,'N'),(20,5129044,'1',340,'N'),(20,5129052,'1',203,'N'),(20,5129052,'1A',233,'N'),(20,5129060,'1',340,'N'),(20,5129079,'1',203,'N'),(20,5129079,'1A',202,'N'),(20,5129087,'1',104,'N'),(20,5129095,'1',103,'N'),(20,5129109,'1',319,'N'),(20,5129117,'1',103,'N'),(20,5129125,'1',104,'N'),(20,5129133,'1',319,'N'),(20,5129141,'1',103,'N'),(20,5129168,'1',207,'N'),(20,5129168,'1A',201,'N'),(20,5129176,'1',201,'N'),(20,5129176,'1A',203,'N'),(20,5129184,'1',202,'N'),(20,5129184,'1A',213,'N'),(20,5129192,'1',601,'N'),(20,5129206,'1',203,'N'),(20,5129206,'1A',214,'N'),(20,5129214,'1',104,'N'),(20,5129230,'1',103,'N'),(20,5129249,'1',601,'N'),(20,5129249,'1A',215,'N'),(20,5129265,'1',316,'N'),(20,5129273,'1',216,'N'),(20,5129273,'1A',235,'N'),(20,5129281,'1',233,'N'),(20,5129281,'1A',215,'N'),(20,5129290,'1',339,'N'),(20,5129303,'1',9,'N'),(20,5129311,'1',327,'N'),(20,5129346,'1',301,'N'),(20,5129354,'1',103,'N'),(20,5129362,'1',203,'N'),(20,5129362,'1A',214,'N'),(20,5129397,'1',340,'N'),(20,5129419,'1',101,'N'),(20,5129435,'1',501,'N'),(20,5129443,'1',103,'N'),(20,5129451,'1',103,'N'),(20,5129460,'1',103,'N'),(20,5129478,'1',102,'N'),(20,5129486,'1',415,'N'),(20,5129494,'1',207,'N'),(20,5129494,'1A',201,'N'),(20,5129508,'1',220,'N'),(20,5129508,'1A',235,'N'),(20,5129516,'1',201,'N'),(20,5129516,'1A',207,'N'),(20,5129524,'1',201,'N'),(20,5129524,'1A',212,'N'),(20,5129559,'1',303,'N'),(20,5129567,'1',404,'N'),(20,5129575,'1',423,'N'),(20,5129575,'1A',429,'N'),(20,5129591,'1',233,'N'),(20,5129591,'1A',211,'N'),(20,5129605,'1',5,'N'),(20,5129613,'1',103,'N'),(20,5129621,'1',451,'N'),(20,5129648,'1',316,'N'),(20,5129656,'1',203,'N'),(20,5129656,'1A',214,'N'),(20,5129664,'1',103,'N'),(20,5129680,'1',103,'N'),(20,5129702,'1',103,'N'),(20,5129710,'1',103,'N'),(20,5129729,'1',335,'N'),(20,5129737,'1',201,'N'),(20,5129737,'1A',211,'N'),(20,5129745,'1',208,'N'),(20,5129745,'1A',238,'N'),(20,5129761,'1',501,'N'),(20,5129770,'1',502,'N'),(20,5129788,'1',102,'N'),(20,5129800,'1',104,'N'),(20,5129818,'1',103,'N'),(20,5129826,'1',203,'N'),(20,5129826,'1A',201,'N'),(20,5129834,'1',453,'N'),(20,5129842,'1',340,'N'),(20,5129850,'1',104,'N'),(20,5129869,'1',211,'N'),(20,5129869,'1A',235,'N'),(20,5129877,'1',238,'N'),(20,5129877,'1A',213,'N'),(20,5129885,'1',9,'N'),(20,5129893,'1',207,'N'),(20,5129907,'1',415,'N'),(20,5129915,'1',319,'N'),(20,5129923,'1',203,'N'),(20,5129923,'1A',220,'N'),(20,5129940,'1',303,'N'),(20,5129958,'1',214,'N'),(20,5129958,'1A',215,'N'),(20,5129974,'1',103,'N'),(20,5129990,'1',340,'N'),(20,5130018,'1',5,'N'),(20,5130026,'1',103,'N'),(20,5130050,'1',103,'N'),(20,5130069,'1',444,'N'),(20,5130085,'1',301,'N'),(20,5130093,'1',429,'N'),(20,5130093,'1A',424,'N'),(20,5130115,'1',207,'N'),(20,5130115,'1A',208,'N'),(20,5130123,'1',104,'N'),(20,5130131,'1',318,'N'),(20,5130140,'1',103,'N'),(20,5130166,'1',340,'N'),(20,5130174,'1',303,'N'),(20,5130182,'1',103,'N'),(20,5130190,'1',303,'N'),(20,5130204,'1',303,'N'),(20,5130220,'1',216,'N'),(20,5130220,'1A',207,'N'),(20,5130255,'1',102,'N'),(20,5130263,'1',601,'N'),(20,5130263,'1A',238,'N'),(20,5130271,'1',203,'N'),(20,5130271,'1A',235,'N'),(20,5130280,'1',103,'N'),(20,5130301,'1',317,'N'),(20,5130310,'1',301,'N'),(20,5130336,'1',420,'N'),(20,5130344,'1',415,'N'),(20,5130352,'1',207,'N'),(20,5130352,'1A',201,'N'),(20,5130360,'1',303,'N'),(20,5130379,'1',109,'N'),(20,5130387,'1',103,'N'),(20,5130395,'1',103,'N'),(20,5130409,'1',103,'N'),(20,5130417,'1',208,'N'),(20,5130417,'1A',201,'N'),(20,5130425,'1',103,'N'),(20,5130433,'1',340,'N'),(20,5130468,'1',317,'N'),(20,5130476,'1',207,'N'),(20,5130476,'1A',201,'N'),(20,5130484,'1',220,'N'),(20,5130484,'1A',213,'N'),(20,5130492,'1',324,'N'),(20,5130506,'1',103,'N'),(20,5130514,'1',103,'N'),(20,5130530,'1',102,'N'),(20,5130557,'1',233,'N'),(20,5130557,'1A',214,'N'),(20,5130581,'1',103,'N'),(20,5130603,'1',415,'N'),(20,5130611,'1',108,'N'),(20,5130620,'1',212,'N'),(20,5130620,'1A',214,'N'),(20,5130638,'1',103,'N'),(20,5130646,'1',216,'N'),(20,5130646,'1A',215,'N'),(20,5130662,'1',103,'N'),(20,5130670,'1',319,'N'),(20,5130697,'1',103,'N'),(20,5130700,'1',211,'N'),(20,5130727,'1',104,'N'),(20,5130735,'1',501,'N'),(20,5130743,'1',425,'N'),(20,5130743,'1A',424,'N'),(20,5130760,'1',103,'N'),(20,5130778,'1',202,'N'),(20,5130778,'1A',213,'N'),(20,5130794,'1',203,'N'),(20,5130824,'1',103,'N'),(20,5130832,'1',415,'N'),(20,5130840,'1',310,'N'),(20,5130859,'1',207,'N'),(20,5130859,'1A',238,'N'),(20,5130875,'1',216,'N'),(20,5130875,'1A',220,'N'),(20,5130883,'1',320,'N'),(20,5130891,'1',220,'N'),(20,5130891,'1A',201,'N'),(20,5130913,'1',319,'N'),(20,5130921,'1',203,'N'),(20,5130921,'1A',220,'N'),(20,5130930,'1',103,'N'),(20,5130948,'1',450,'N'),(20,5130956,'1',203,'N'),(20,5130956,'1A',201,'N'),(20,5130972,'1',203,'N'),(20,5130972,'1A',202,'N'),(20,5130980,'1',103,'N'),(20,5130999,'1',316,'N'),(20,5131006,'1',238,'N'),(20,5131006,'1A',208,'N'),(20,5131014,'1',503,'N'),(20,5131030,'1',103,'N'),(20,5131049,'1',444,'N'),(20,5131073,'1',103,'N'),(20,5131081,'1',211,'N'),(20,5131081,'1A',202,'N'),(20,5131090,'1',208,'N'),(20,5131090,'1A',238,'N'),(20,5131103,'1',319,'N'),(20,5131111,'1',201,'N'),(20,5131111,'1A',202,'N'),(20,5131120,'1',207,'N'),(20,5131120,'1A',201,'N'),(20,5131138,'1',103,'N'),(20,5131146,'1',103,'N'),(20,5131154,'1',207,'N'),(20,5131154,'1A',201,'N'),(20,5131162,'1',203,'N'),(20,5131162,'1A',201,'N'),(20,5131170,'1',238,'N'),(20,5131170,'1A',208,'N'),(20,5131189,'1',103,'N'),(20,5131197,'1',103,'N'),(20,5131200,'1',220,'N'),(20,5131200,'1A',653,'N'),(20,5131219,'1',451,'N'),(20,5131227,'1',415,'N'),(20,5131235,'1',5,'N'),(20,5131243,'1',216,'N'),(20,5131243,'1A',211,'N'),(20,5131251,'1',103,'N'),(20,5131278,'1',103,'N'),(20,5131286,'1',208,'N'),(20,5131286,'1A',216,'N'),(20,5131294,'1',233,'N'),(20,5131294,'1A',601,'N'),(20,5131308,'1',203,'N'),(20,5131308,'1A',214,'N'),(20,5131316,'1',216,'N'),(20,5131316,'1A',202,'N'),(20,5131324,'1',318,'N'),(20,5131332,'1',103,'N'),(20,5131340,'1',108,'N'),(20,5131359,'1',450,'N'),(20,5131375,'1',103,'N'),(20,5131383,'1',201,'N'),(20,5131383,'1A',207,'N'),(20,5131391,'1',103,'N'),(20,5131405,'1',220,'N'),(20,5131405,'1A',208,'N'),(20,5131421,'1',103,'N'),(20,5131430,'1',340,'N'),(20,5131448,'1',203,'N'),(20,5131448,'1A',214,'N'),(20,5131456,'1',103,'N'),(20,5131464,'1',5,'N'),(20,5131480,'1',601,'N'),(20,5131480,'1A',203,'N'),(20,5131499,'1',103,'N'),(20,5131502,'1',103,'N'),(20,5131510,'1',216,'N'),(20,5131529,'1',103,'N'),(20,5131545,'1',319,'N'),(20,5131553,'1',103,'N'),(20,5131561,'1',420,'N'),(20,5131570,'1',103,'N'),(20,5131596,'1',103,'N'),(20,5131600,'1',225,'N'),(20,5131618,'1',203,'N'),(20,5131618,'1A',215,'N'),(20,5131634,'1',328,'N'),(20,5131642,'1',319,'N'),(20,5131650,'1',319,'N'),(20,5131669,'1',220,'N'),(20,5131669,'1A',213,'N'),(20,5131677,'1',203,'N'),(20,5131677,'1A',215,'N'),(20,5131685,'1',103,'N'),(20,5131693,'1',103,'N'),(20,5131723,'1',207,'N'),(20,5131723,'1A',212,'N'),(20,5131731,'1',450,'N'),(20,5131740,'1',103,'N'),(20,5131758,'1',104,'N'),(20,5131766,'1',303,'N'),(20,5131774,'1',201,'N'),(20,5131774,'1A',233,'N'),(20,5131782,'1',9,'N'),(20,5131804,'1',238,'N'),(20,5131804,'1A',208,'N'),(20,5131812,'1',103,'N'),(20,5131820,'1',319,'N'),(20,5131839,'1',302,'N'),(20,5131847,'1',238,'N'),(20,5131855,'1',212,'N'),(20,5131855,'1A',208,'N'),(20,5131863,'1',318,'N'),(20,5131871,'1',207,'N'),(20,5131871,'1A',212,'N'),(20,5131880,'1',303,'N'),(20,5131898,'1',5,'N'),(20,5131901,'1',333,'N'),(20,5131910,'1',211,'N'),(20,5131910,'1A',215,'N'),(20,5131936,'1',444,'N'),(20,5131944,'1',302,'N'),(20,5131979,'1',220,'N'),(20,5131979,'1A',235,'N'),(20,5131987,'1',319,'N'),(20,5131995,'1',203,'N'),(20,5131995,'1A',213,'N'),(20,5132010,'1',211,'N'),(20,5132010,'1A',203,'N'),(20,5132029,'1',309,'N'),(20,5132037,'1',103,'N'),(20,5132053,'1',214,'N'),(20,5132053,'1A',601,'N'),(20,5132061,'1',336,'N'),(20,5132088,'1',103,'N'),(20,5132096,'1',103,'N'),(20,5132100,'1',215,'N'),(20,5132100,'1A',653,'N'),(20,5132118,'1',103,'N'),(20,5132126,'1',213,'N'),(20,5132126,'1A',235,'N'),(20,5132134,'1',601,'N'),(20,5132142,'1',201,'N'),(20,5132150,'1',103,'N'),(20,5132169,'1',103,'N'),(20,5132177,'1',104,'N'),(20,5132185,'1',415,'N'),(20,5132193,'1',216,'N'),(20,5132193,'1A',211,'N'),(20,5132207,'1',220,'N'),(20,5132207,'1A',233,'N'),(20,5132215,'1',103,'N'),(20,5132223,'1',415,'N'),(20,5132231,'1',301,'N'),(20,5132240,'1',233,'N'),(20,5132240,'1A',215,'N'),(20,5132274,'1',201,'N'),(20,5132274,'1A',233,'N'),(20,5132282,'1',211,'N'),(20,5132282,'1A',653,'N'),(20,5132290,'1',303,'N'),(20,5132304,'1',207,'N'),(20,5132304,'1A',212,'N'),(20,5132312,'1',415,'N'),(20,5132320,'1',203,'N'),(20,5132320,'1A',201,'N'),(20,5132339,'1',238,'N'),(20,5132339,'1A',201,'N'),(20,5132347,'1',5,'N'),(20,5132363,'1',333,'N'),(20,5132371,'1',102,'N'),(20,5132398,'1',2,'N'),(20,5132401,'1',316,'N'),(20,5132410,'1',340,'N'),(20,5132436,'1',203,'N'),(20,5132436,'1A',202,'N'),(20,5132444,'1',103,'N'),(20,5132479,'1',215,'N'),(20,5132479,'1A',211,'N'),(20,5132495,'1',214,'N'),(20,5132495,'1A',216,'N'),(20,5132509,'1',103,'N'),(20,5132517,'1',103,'N'),(20,5132525,'1',201,'N'),(20,5132525,'1A',212,'N'),(20,5132533,'1',503,'N'),(20,5132541,'1',104,'N'),(20,5132550,'1',103,'N'),(20,5132568,'1',5,'N'),(20,5132576,'1',444,'N'),(20,5132614,'1',333,'N'),(20,5132622,'1',340,'N'),(20,5132630,'1',103,'N'),(20,5132649,'1',340,'N'),(20,5132657,'1',212,'N'),(20,5132657,'1A',211,'N'),(20,5132665,'1',318,'N'),(20,5132673,'1',317,'N'),(20,5132681,'1',335,'N'),(20,5132690,'1',102,'N'),(20,5132703,'1',103,'N'),(20,5132711,'1',103,'N'),(20,5132720,'1',208,'N'),(20,5132746,'1',103,'N'),(20,5132754,'1',103,'N'),(20,5132762,'1',601,'N'),(20,5132762,'1A',203,'N'),(20,5132770,'1',340,'N'),(20,5132789,'1',203,'N'),(20,5132789,'1A',233,'N'),(20,5132797,'1',202,'N'),(20,5132797,'1A',203,'N'),(20,5132800,'1',104,'N'),(20,5132819,'1',3,'N'),(20,5132835,'1',5,'N'),(20,5132843,'1',415,'N'),(20,5132851,'1',201,'N'),(20,5132851,'1A',601,'N'),(20,5132860,'1',103,'N'),(20,5132886,'1',303,'N'),(20,5132916,'1',103,'N'),(20,5132924,'1',108,'N'),(20,5132932,'1',340,'N'),(20,5132940,'1',304,'N'),(20,5132959,'1',452,'N'),(20,5132967,'1',317,'N'),(20,5132975,'1',319,'N'),(20,5132983,'1',103,'N'),(20,5132991,'1',319,'N'),(20,5133009,'1',202,'N'),(20,5133009,'1A',213,'N'),(20,5133017,'1',104,'N'),(20,5133025,'1',327,'N'),(20,5133033,'1',216,'N'),(20,5133033,'1A',203,'N'),(20,5133041,'1',103,'N'),(20,5133050,'1',319,'N'),(20,5133068,'1',319,'N'),(20,5133076,'1',104,'N'),(20,5133084,'1',103,'N'),(20,5133092,'1',301,'N'),(20,5133106,'1',102,'N'),(20,5133114,'1',340,'N'),(20,5133122,'1',340,'N'),(20,5133130,'1',203,'N'),(20,5133130,'1A',220,'N'),(20,5133149,'1',5,'N'),(20,5133157,'1',310,'N'),(20,5133165,'1',340,'N'),(20,5133173,'1',202,'N'),(20,5133173,'1A',208,'N'),(20,5133181,'1',103,'N'),(20,5133203,'1',201,'N'),(20,5133211,'1',450,'N'),(20,5133220,'1',104,'N'),(20,5133238,'1',203,'N'),(20,5133238,'1A',214,'N'),(20,5133246,'1',203,'N'),(20,5133246,'1A',214,'N'),(20,5133254,'1',207,'N'),(20,5133270,'1',103,'N'),(20,5133289,'1',317,'N'),(20,5133300,'1',103,'N'),(20,5133319,'1',214,'N'),(20,5133319,'1A',212,'N'),(20,5133327,'1',421,'N'),(20,5133327,'1A',428,'N'),(20,5133335,'1',303,'N'),(20,5133343,'1',601,'N'),(20,5133343,'1A',220,'N'),(20,5133351,'1',208,'N'),(20,5133351,'1A',601,'N'),(20,5133360,'1',104,'N'),(20,5133378,'1',420,'N'),(20,5133386,'1',601,'N'),(20,5133386,'1A',203,'N'),(20,5133394,'1',103,'N'),(20,5133408,'1',103,'N'),(20,5133416,'1',340,'N'),(20,5133432,'1',333,'N'),(20,5133440,'1',303,'N'),(20,5133459,'1',501,'N'),(20,5133467,'1',102,'N'),(20,5133475,'1',203,'N'),(20,5133475,'1A',214,'N'),(20,5133483,'1',201,'N'),(20,5133483,'1A',212,'N'),(20,5133505,'1',103,'N'),(20,5133513,'1',104,'N'),(20,5133530,'1',501,'N'),(20,5133564,'1',336,'N'),(20,5133572,'1',304,'N'),(20,5133580,'1',404,'N'),(20,5133599,'1',103,'N'),(20,5133602,'1',340,'N'),(20,5133610,'1',5,'N'),(20,5133629,'1',207,'N'),(20,5133629,'1A',201,'N'),(20,5133637,'1',103,'N'),(20,5133645,'1',303,'N'),(20,5133661,'1',201,'N'),(20,5133661,'1A',235,'N'),(20,5133670,'1',326,'N'),(20,5133688,'1',104,'N'),(20,5133696,'1',333,'N'),(20,5133700,'1',103,'N'),(20,5133718,'1',317,'N'),(20,5133726,'1',301,'N'),(20,5133734,'1',103,'N'),(20,5133742,'1',318,'N'),(20,5133769,'1',5,'N'),(20,5133785,'1',103,'N'),(20,5133793,'1',319,'N'),(20,5133807,'1',104,'N'),(20,5133815,'1',203,'N'),(20,5133815,'1A',201,'N'),(20,5133823,'1',303,'N'),(20,5133858,'1',211,'N'),(20,5133858,'1A',201,'N'),(20,5133866,'1',216,'N'),(20,5133866,'1A',233,'N'),(20,5133874,'1',103,'N'),(20,5133882,'1',233,'N'),(20,5133882,'1A',207,'N'),(20,5133904,'1',303,'N'),(20,5133912,'1',103,'N'),(20,5133963,'1',316,'N'),(20,5133971,'1',103,'N'),(20,5133980,'1',104,'N'),(20,5134005,'1',102,'N'),(20,5134013,'1',103,'N'),(20,5134021,'1',220,'N'),(20,5134021,'1A',203,'N'),(20,5134030,'1',211,'N'),(20,5134030,'1A',201,'N'),(20,5134048,'1',103,'N'),(20,5134056,'1',452,'N'),(20,5134072,'1',103,'N'),(20,5134080,'1',214,'N'),(20,5134080,'1A',203,'N'),(20,5134099,'1',207,'N'),(20,5134099,'1A',201,'N'),(20,5134102,'1',340,'N'),(20,5134110,'1',103,'N'),(20,5134137,'1',201,'N'),(20,5134137,'1A',215,'N'),(20,5134145,'1',339,'N'),(20,5134153,'1',202,'N'),(20,5134153,'1A',213,'N'),(20,5134161,'1',223,'N'),(20,5134188,'1',5,'N'),(20,5134200,'1',212,'N'),(20,5134200,'1A',233,'N'),(20,5134218,'1',238,'N'),(20,5134218,'1A',208,'N'),(20,5134234,'1',216,'N'),(20,5134234,'1A',211,'N'),(20,5134242,'1',103,'N'),(20,5134250,'1',3,'N'),(20,5134269,'1',202,'N'),(20,5134269,'1A',235,'N'),(20,5134277,'1',5,'N'),(20,5134285,'1',103,'N'),(20,5134293,'1',303,'N'),(20,5134307,'1',415,'N'),(20,5134315,'1',220,'N'),(20,5134323,'1',104,'N'),(20,5134340,'1',201,'N'),(20,5134340,'1A',233,'N'),(20,5134366,'1',102,'N'),(20,5134374,'1',103,'N'),(20,5134382,'1',201,'N'),(20,5134382,'1A',202,'N'),(20,5134390,'1',104,'N'),(20,5134404,'1',103,'N'),(20,5134412,'1',201,'N'),(20,5134412,'1A',203,'N'),(20,5134420,'1',216,'N'),(20,5134420,'1A',215,'N'),(20,5134439,'1',340,'N'),(20,5134447,'1',103,'N'),(20,5134455,'1',104,'N'),(20,5134463,'1',233,'N'),(20,5134463,'1A',208,'N'),(20,5134471,'1',415,'N'),(20,5134480,'1',103,'N'),(20,5134498,'1',207,'N'),(20,5134498,'1A',201,'N'),(20,5134510,'1',317,'N'),(20,5134528,'1',207,'N'),(20,5134528,'1A',201,'N'),(20,5134536,'1',103,'N'),(20,5134544,'1',201,'N'),(20,5134544,'1A',601,'N'),(20,5134552,'1',9,'N'),(20,5134560,'1',304,'N'),(20,5134579,'1',203,'N'),(20,5134579,'1A',208,'N'),(20,5134587,'1',503,'N'),(20,5134595,'1',208,'N'),(20,5134595,'1A',601,'N'),(20,5134609,'1',103,'N'),(20,5134617,'1',452,'N'),(20,5134625,'1',234,'N'),(20,5134668,'1',333,'N'),(20,5134692,'1',216,'N'),(20,5134692,'1A',203,'N'),(20,5134706,'1',211,'N'),(20,5134706,'1A',215,'N'),(20,5134749,'1',601,'N'),(20,5134749,'1A',238,'N'),(20,5134757,'1',103,'N'),(20,5134765,'1',103,'N'),(20,5134773,'1',202,'N'),(20,5134773,'1A',213,'N'),(20,5134781,'1',420,'N'),(20,5134790,'1',601,'N'),(20,5134790,'1A',201,'N'),(20,5134803,'1',5,'N'),(20,5134811,'1',304,'N'),(20,5134820,'1',213,'N'),(20,5134820,'1A',238,'N'),(20,5134838,'1',303,'N'),(20,5134846,'1',103,'N'),(20,5134862,'1',452,'N'),(20,5134870,'1',653,'N'),(20,5134870,'1A',651,'N'),(20,5134889,'1',340,'N'),(20,5134897,'1',601,'N'),(20,5134900,'1',501,'N'),(20,5134919,'1',501,'N'),(20,5134927,'1',201,'N'),(20,5134927,'1A',216,'N'),(20,5134935,'1',103,'N'),(20,5134943,'1',303,'N'),(20,5134951,'1',201,'N'),(20,5134951,'1A',202,'N'),(20,5134960,'1',201,'N'),(20,5134960,'1A',212,'N'),(20,5134978,'1',103,'N'),(20,5134986,'1',216,'N'),(20,5134994,'1',103,'N'),(20,5135001,'1',103,'N'),(20,5135010,'1',303,'N'),(20,5135028,'1',302,'N'),(20,5135036,'1',103,'N'),(20,5135044,'1',211,'N'),(20,5135044,'1A',203,'N'),(20,5135052,'1',103,'N'),(20,5135060,'1',303,'N'),(20,5135079,'1',207,'N'),(20,5135079,'1A',233,'N'),(20,5135087,'1',201,'N'),(20,5135087,'1A',202,'N'),(20,5135095,'1',103,'N'),(20,5135117,'1',328,'N'),(20,5135133,'1',420,'N'),(20,5135150,'1',202,'N'),(20,5135150,'1A',203,'N'),(20,5135176,'1',304,'N'),(20,5135184,'1',207,'N'),(20,5135184,'1A',201,'N'),(20,5135192,'1',301,'N'),(20,5135206,'1',103,'N'),(20,5135214,'1',9,'N'),(20,5135222,'1',103,'N'),(20,5135230,'1',201,'N'),(20,5135230,'1A',208,'N'),(20,5135265,'1',333,'N'),(20,5135273,'1',216,'N'),(20,5135273,'1A',208,'N'),(20,5135281,'1',339,'N'),(20,5135303,'1',601,'N'),(20,5135311,'1',501,'N'),(20,5135320,'1',215,'N'),(20,5135320,'1A',601,'N'),(20,5135338,'1',308,'N'),(20,5135362,'1',103,'N'),(20,5135389,'1',103,'N'),(20,5135397,'1',601,'N'),(20,5135397,'1A',653,'N'),(20,5135400,'1',216,'N'),(20,5135400,'1A',203,'N'),(20,5135419,'1',103,'N'),(20,5135427,'1',203,'N'),(20,5135427,'1A',220,'N'),(20,5135443,'1',103,'N'),(20,5135451,'1',415,'N'),(20,5135460,'1',203,'N'),(20,5135460,'1A',235,'N'),(20,5135478,'1',103,'N'),(20,5135486,'1',216,'N'),(20,5135486,'1A',203,'N'),(20,5135494,'1',201,'N'),(20,5135494,'1A',214,'N'),(20,5135508,'1',308,'N'),(20,5135524,'1',453,'N'),(20,5135532,'1',207,'N'),(20,5135532,'1A',201,'N'),(20,5135540,'1',207,'N'),(20,5135540,'1A',201,'N'),(20,5135567,'1',428,'N'),(20,5135575,'1',207,'N'),(20,5135575,'1A',211,'N'),(20,5135583,'1',202,'N'),(20,5135583,'1A',235,'N'),(20,5135591,'1',303,'N'),(20,5135605,'1',429,'N'),(20,5135605,'1A',426,'N'),(20,5135613,'1',103,'N'),(20,5135621,'1',302,'N'),(20,5135648,'1',333,'N'),(20,5135656,'1',301,'N'),(20,5135664,'1',3,'N'),(20,5135672,'1',450,'N'),(20,5135699,'1',303,'N'),(20,5135702,'1',425,'N'),(20,5135702,'1A',424,'N'),(20,5135729,'1',103,'N'),(20,5135737,'1',103,'N'),(20,5135745,'1',203,'N'),(20,5135745,'1A',214,'N'),(20,5135753,'1',424,'N'),(20,5135753,'1A',423,'N'),(20,5135761,'1',316,'N'),(20,5135788,'1',301,'N'),(20,5135796,'1',103,'N'),(20,5135800,'1',103,'N'),(20,5135826,'1',216,'N'),(20,5135826,'1A',233,'N'),(20,5135834,'1',302,'N'),(20,5135842,'1',501,'N'),(20,5135850,'1',601,'N'),(20,5135850,'1A',213,'N'),(20,5135869,'1',340,'N'),(20,5135877,'1',223,'N'),(20,5135885,'1',329,'N'),(20,5135893,'1',103,'N'),(20,5135907,'1',331,'N'),(20,5135923,'1',214,'N'),(20,5135923,'1A',213,'N'),(20,5135931,'1',103,'N'),(20,5135940,'1',309,'N'),(20,5135958,'1',103,'N'),(20,5135966,'1',108,'N'),(20,5135974,'1',212,'N'),(20,5135974,'1A',213,'N'),(20,5135982,'1',303,'N'),(20,5135990,'1',103,'N'),(20,5136008,'1',329,'N'),(20,5136016,'1',317,'N'),(20,5136024,'1',103,'N'),(20,5136032,'1',205,'N'),(20,5136040,'1',202,'N'),(20,5136040,'1A',201,'N'),(20,5136059,'1',452,'N'),(20,5136067,'1',303,'N'),(20,5136075,'1',303,'N'),(20,5136083,'1',201,'N'),(20,5136083,'1A',212,'N'),(20,5136091,'1',444,'N'),(20,5136105,'1',103,'N'),(20,5136113,'1',103,'N'),(20,5136121,'1',215,'N'),(20,5136121,'1A',207,'N'),(20,5136148,'1',211,'N'),(20,5136148,'1A',216,'N'),(20,5136156,'1',340,'N'),(20,5136164,'1',103,'N'),(20,5136172,'1',203,'N'),(20,5136172,'1A',208,'N'),(20,5136180,'1',444,'N'),(20,5136199,'1',316,'N'),(20,5136202,'1',201,'N'),(20,5136202,'1A',220,'N'),(20,5136210,'1',551,'N'),(20,5136229,'1',303,'N'),(20,5136237,'1',502,'N'),(20,5136245,'1',5,'N'),(20,5136253,'1',5,'N'),(20,5136261,'1',333,'N'),(20,5136270,'1',203,'N'),(20,5136270,'1A',202,'N'),(20,5136288,'1',103,'N'),(20,5136296,'1',601,'N'),(20,5136296,'1A',211,'N'),(20,5136300,'1',103,'N'),(20,5136318,'1',103,'N'),(20,5136326,'1',331,'N'),(20,5136334,'1',303,'N'),(20,5136342,'1',203,'N'),(20,5136342,'1A',214,'N'),(20,5136350,'1',207,'N'),(20,5136350,'1A',201,'N'),(20,5136369,'1',103,'N'),(20,5136377,'1',103,'N'),(20,5136385,'1',9,'N'),(20,5136393,'1',103,'N'),(20,5136407,'1',303,'N'),(20,5136415,'1',207,'N'),(20,5136423,'1',225,'N'),(20,5136431,'1',319,'N'),(20,5136440,'1',201,'N'),(20,5136440,'1A',235,'N'),(20,5136458,'1',203,'N'),(20,5136458,'1A',216,'N'),(20,5136466,'1',201,'N'),(20,5136466,'1A',207,'N'),(20,5136474,'1',103,'N'),(20,5136482,'1',103,'N'),(20,5136490,'1',201,'N'),(20,5136490,'1A',207,'N'),(20,5136504,'1',103,'N'),(20,5136547,'1',108,'N'),(20,5136555,'1',420,'N'),(20,5136563,'1',415,'N'),(20,5136571,'1',238,'N'),(20,5136571,'1A',208,'N'),(20,5136580,'1',103,'N'),(20,5136598,'1',340,'N'),(20,5136601,'1',316,'N'),(20,5136610,'1',212,'N'),(20,5136610,'1A',238,'N'),(20,5136628,'1',302,'N'),(20,5136636,'1',103,'N'),(20,5136644,'1',104,'N'),(20,5136652,'1',5,'N'),(20,5136660,'1',331,'N'),(20,5136687,'1',103,'N'),(20,5136695,'1',212,'N'),(20,5136695,'1A',207,'N'),(20,5136709,'1',207,'N'),(20,5136709,'1A',201,'N'),(20,5136717,'1',501,'N'),(20,5136725,'1',203,'N'),(20,5136725,'1A',201,'N'),(20,5136733,'1',103,'N'),(20,5136741,'1',103,'N'),(20,5136750,'1',216,'N'),(20,5136750,'1A',214,'N'),(20,5136768,'1',103,'N'),(20,5136784,'1',303,'N'),(20,5136792,'1',103,'N'),(20,5136806,'1',103,'N'),(20,5136822,'1',415,'N'),(20,5136830,'1',451,'N'),(20,5136849,'1',220,'N'),(20,5136857,'1',104,'N'),(20,5136865,'1',207,'N'),(20,5136865,'1A',201,'N'),(20,5136873,'1',104,'N'),(20,5136890,'1',225,'N'),(20,5136903,'1',103,'N'),(20,5136911,'1',103,'N'),(20,5136920,'1',5,'N'),(20,5136938,'1',202,'N'),(20,5136938,'1A',213,'N'),(20,5136946,'1',104,'N'),(20,5136954,'1',103,'N'),(20,5136989,'1',5,'N'),(20,5136997,'1',318,'N'),(20,5137004,'1',201,'N'),(20,5137004,'1A',207,'N'),(20,5137012,'1',425,'N'),(20,5137012,'1A',429,'N'),(20,5137020,'1',201,'N'),(20,5137020,'1A',212,'N'),(20,5137039,'1',316,'N'),(20,5137047,'1',207,'N'),(20,5137047,'1A',201,'N'),(20,5137063,'1',103,'N'),(20,5137071,'1',212,'N'),(20,5137071,'1A',233,'N'),(20,5137080,'1',2,'N'),(20,5137098,'1',202,'N'),(20,5137098,'1A',235,'N'),(20,5137101,'1',415,'N'),(20,5137110,'1',9,'N'),(20,5137128,'1',201,'N'),(20,5137128,'1A',212,'N'),(20,5137136,'1',211,'N'),(20,5137136,'1A',216,'N'),(20,5137152,'1',103,'N'),(20,5137160,'1',420,'N'),(20,5137179,'1',103,'N'),(20,5137187,'1',208,'N'),(20,5137187,'1A',238,'N'),(20,5137195,'1',301,'N'),(20,5137217,'1',450,'N'),(20,5137225,'1',103,'N'),(20,5137233,'1',207,'N'),(20,5137233,'1A',201,'N'),(20,5137241,'1',9,'N'),(20,5137250,'1',303,'N'),(20,5137268,'1',203,'N'),(20,5137268,'1A',214,'N'),(20,5137276,'1',503,'N'),(20,5137284,'1',601,'N'),(20,5137284,'1A',211,'N'),(20,5137306,'1',220,'N'),(20,5137306,'1A',202,'N'),(20,5137314,'1',213,'N'),(20,5137314,'1A',653,'N'),(20,5137322,'1',103,'N'),(20,5137330,'1',211,'N'),(20,5137330,'1A',208,'N'),(20,5137349,'1',317,'N'),(20,5137357,'1',9,'N'),(20,5137365,'1',103,'N'),(20,5137373,'1',103,'N'),(20,5137381,'1',103,'N'),(20,5137390,'1',103,'N'),(20,5137403,'1',324,'N'),(20,5137411,'1',102,'N'),(20,5137420,'1',453,'N'),(20,5137438,'1',303,'N'),(20,5137446,'1',309,'N'),(20,5137454,'1',202,'N'),(20,5137454,'1A',213,'N'),(20,5137462,'1',104,'N'),(20,5137470,'1',103,'N'),(20,5137489,'1',203,'N'),(20,5137489,'1A',220,'N'),(20,5137497,'1',103,'N'),(20,5137500,'1',201,'N'),(20,5137500,'1A',212,'N'),(20,5137527,'1',104,'N'),(20,5137535,'1',301,'N'),(20,5137543,'1',220,'N'),(20,5137543,'1A',208,'N'),(20,5137551,'1',415,'N'),(20,5137578,'1',207,'N'),(20,5137578,'1A',201,'N'),(20,5137586,'1',2,'N'),(20,5137594,'1',216,'N'),(20,5137608,'1',103,'N'),(20,5137616,'1',214,'N'),(20,5137616,'1A',216,'N'),(20,5137624,'1',108,'N'),(20,5137659,'1',451,'N'),(20,5137667,'1',103,'N'),(20,5137675,'1',235,'N'),(20,5137675,'1A',208,'N'),(20,5137683,'1',103,'N'),(20,5137705,'1',220,'N'),(20,5137705,'1A',235,'N'),(20,5137713,'1',220,'N'),(20,5137713,'1A',235,'N'),(20,5137721,'1',453,'N'),(20,5137730,'1',425,'N'),(20,5137730,'1A',429,'N'),(20,5137748,'1',9,'N'),(20,5137756,'1',103,'N'),(20,5137764,'1',103,'N'),(20,5137772,'1',103,'N'),(20,5137799,'1',319,'N'),(20,5137802,'1',203,'N'),(20,5137802,'1A',233,'N'),(20,5137810,'1',103,'N'),(20,5137829,'1',308,'N'),(20,5137837,'1',551,'N'),(20,5137845,'1',238,'N'),(20,5137845,'1A',208,'N'),(20,5137861,'1',238,'N'),(20,5137861,'1A',208,'N'),(20,5137870,'1',220,'N'),(20,5137870,'1A',235,'N'),(20,5137896,'1',2,'N'),(20,5137900,'1',601,'N'),(20,5137900,'1A',235,'N'),(20,5137918,'1',103,'N'),(20,5137926,'1',601,'N'),(20,5137934,'1',220,'N'),(20,5137934,'1A',203,'N'),(20,5137942,'1',103,'N'),(20,5137950,'1',238,'N'),(20,5137950,'1A',208,'N'),(20,5137969,'1',202,'N'),(20,5137969,'1A',213,'N'),(20,5137977,'1',203,'N'),(20,5137977,'1A',202,'N'),(20,5137985,'1',317,'N'),(20,5137993,'1',103,'N'),(20,5138000,'1',103,'N'),(20,5138019,'1',551,'N'),(20,5138027,'1',201,'N'),(20,5138027,'1A',203,'N'),(20,5138035,'1',9,'N'),(20,5138051,'1',5,'N'),(20,5138060,'1',213,'N'),(20,5138060,'1A',233,'N'),(20,5138078,'1',333,'N'),(20,5138086,'1',420,'N'),(20,5138094,'1',5,'N'),(20,5138108,'1',103,'N'),(20,5138116,'1',201,'N'),(20,5138116,'1A',213,'N'),(20,5138124,'1',319,'N'),(20,5138132,'1',404,'N'),(20,5138140,'1',207,'N'),(20,5138159,'1',9,'N'),(20,5138167,'1',303,'N'),(20,5138175,'1',214,'N'),(20,5138175,'1A',212,'N'),(20,5138183,'1',202,'N'),(20,5138191,'1',216,'N'),(20,5138191,'1A',233,'N'),(20,5138205,'1',207,'N'),(20,5138213,'1',427,'N'),(20,5138213,'1A',429,'N'),(20,5138221,'1',329,'N'),(20,5138230,'1',103,'N'),(20,5138248,'1',216,'N'),(20,5138248,'1A',201,'N'),(20,5138272,'1',201,'N'),(20,5138272,'1A',212,'N'),(20,5138280,'1',104,'N'),(20,5138299,'1',404,'N'),(20,5138302,'1',103,'N'),(20,5138310,'1',103,'N'),(20,5138329,'1',216,'N'),(20,5138329,'1A',211,'N'),(20,5138345,'1',103,'N'),(20,5138361,'1',9,'N'),(20,5138370,'1',103,'N'),(20,5138388,'1',653,'N'),(20,5138388,'1A',202,'N'),(20,5138396,'1',238,'N'),(20,5138396,'1A',233,'N'),(20,5138400,'1',502,'N'),(20,5138418,'1',103,'N'),(20,5138434,'1',215,'N'),(20,5138434,'1A',233,'N'),(20,5138442,'1',103,'N'),(20,5138450,'1',203,'N'),(20,5138450,'1A',201,'N'),(20,5138477,'1',203,'N'),(20,5138477,'1A',201,'N'),(20,5138485,'1',215,'N'),(20,5138485,'1A',653,'N'),(20,5138493,'1',340,'N'),(20,5138507,'1',303,'N'),(20,5138540,'1',216,'N'),(20,5138540,'1A',215,'N'),(20,5138558,'1',207,'N'),(20,5138558,'1A',201,'N'),(20,5138566,'1',340,'N'),(20,5138574,'1',203,'N'),(20,5138574,'1A',201,'N'),(20,5138582,'1',207,'N'),(20,5138582,'1A',211,'N'),(20,5138590,'1',301,'N'),(20,5138612,'1',317,'N'),(20,5138620,'1',5,'N'),(20,5138647,'1',215,'N'),(20,5138647,'1A',211,'N'),(20,5138655,'1',103,'N'),(20,5138663,'1',102,'N'),(20,5138671,'1',203,'N'),(20,5138671,'1A',601,'N'),(20,5138701,'1',451,'N'),(20,5138710,'1',301,'N'),(20,5138728,'1',216,'N'),(20,5138728,'1A',215,'N'),(20,5138736,'1',103,'N'),(20,5138744,'1',104,'N'),(20,5138752,'1',303,'N'),(20,5138760,'1',103,'N'),(20,5138779,'1',216,'N'),(20,5138779,'1A',601,'N'),(20,5138787,'1',450,'N'),(20,5138795,'1',451,'N'),(20,5138817,'1',103,'N'),(20,5138825,'1',216,'N'),(20,5138825,'1A',233,'N'),(20,5138833,'1',104,'N'),(20,5138850,'1',201,'N'),(20,5138850,'1A',202,'N'),(20,5138868,'1',5,'N'),(20,5138876,'1',103,'N'),(20,5138884,'1',303,'N'),(20,5138892,'1',216,'N'),(20,5138892,'1A',215,'N'),(20,5138906,'1',103,'N'),(20,5138914,'1',208,'N'),(20,5138914,'1A',202,'N'),(20,5138922,'1',420,'N'),(20,5138930,'1',208,'N'),(20,5138949,'1',103,'N'),(20,5138957,'1',103,'N'),(20,5138965,'1',103,'N'),(20,5138981,'1',601,'N'),(20,5138981,'1A',202,'N'),(20,5138990,'1',340,'N'),(20,5139007,'1',404,'N'),(20,5139015,'1',215,'N'),(20,5139015,'1A',201,'N'),(20,5139040,'1',225,'N'),(20,5139066,'1',103,'N'),(20,5139074,'1',404,'N'),(20,5139082,'1',216,'N'),(20,5139090,'1',301,'N'),(20,5139104,'1',301,'N'),(20,5139112,'1',301,'N'),(20,5139139,'1',201,'N'),(20,5139139,'1A',203,'N'),(20,5139155,'1',203,'N'),(20,5139155,'1A',202,'N'),(20,5139163,'1',420,'N'),(20,5139171,'1',235,'N'),(20,5139171,'1A',202,'N'),(20,5139180,'1',304,'N'),(20,5139198,'1',104,'N'),(20,5139201,'1',201,'N'),(20,5139201,'1A',601,'N'),(20,5139210,'1',301,'N'),(20,5139228,'1',104,'N'),(20,5139236,'1',444,'N'),(20,5139244,'1',214,'N'),(20,5139244,'1A',220,'N'),(20,5139252,'1',301,'N'),(20,5139279,'1',320,'N'),(20,5139295,'1',102,'N'),(20,5139317,'1',304,'N'),(20,5139325,'1',211,'N'),(20,5139325,'1A',207,'N'),(20,5139333,'1',203,'N'),(20,5139333,'1A',653,'N'),(20,5139341,'1',303,'N'),(20,5139350,'1',9,'N'),(20,5139368,'1',103,'N'),(20,5139376,'1',201,'N'),(20,5139376,'1A',212,'N'),(20,5139384,'1',336,'N'),(20,5139392,'1',233,'N'),(20,5139392,'1A',601,'N'),(20,5139414,'1',303,'N'),(20,5139422,'1',103,'N'),(20,5139430,'1',427,'N'),(20,5139430,'1A',425,'N'),(20,5139457,'1',203,'N'),(20,5139457,'1A',214,'N'),(20,5139473,'1',303,'N'),(20,5139490,'1',216,'N'),(20,5139490,'1A',213,'N'),(20,5139503,'1',318,'N'),(20,5139511,'1',501,'N'),(20,5139520,'1',326,'N'),(20,5139538,'1',404,'N'),(20,5139546,'1',208,'N'),(20,5139546,'1A',238,'N'),(20,5139554,'1',110,'N'),(20,5139562,'1',104,'N'),(20,5139570,'1',103,'N'),(20,5139589,'1',5,'N'),(20,5139597,'1',211,'N'),(20,5139597,'1A',216,'N'),(20,5139600,'1',103,'N'),(20,5139619,'1',104,'N'),(20,5139627,'1',211,'N'),(20,5139627,'1A',215,'N'),(20,5139635,'1',452,'N'),(20,5139643,'1',103,'N'),(20,5139651,'1',303,'N'),(20,5139686,'1',108,'N'),(20,5139694,'1',233,'N'),(20,5139694,'1A',216,'N'),(20,5139708,'1',303,'N'),(20,5139716,'1',108,'N'),(20,5139724,'1',5,'N'),(20,5139732,'1',103,'N'),(20,5139740,'1',212,'N'),(20,5139740,'1A',201,'N'),(20,5139767,'1',103,'N'),(20,5139775,'1',316,'N'),(20,5139783,'1',212,'N'),(20,5139783,'1A',233,'N'),(20,5139791,'1',102,'N'),(20,5139805,'1',201,'N'),(20,5139805,'1A',601,'N'),(20,5139813,'1',301,'N'),(20,5139821,'1',415,'N'),(20,5139830,'1',452,'N'),(20,5139856,'1',337,'N'),(20,5139864,'1',211,'N'),(20,5139864,'1A',215,'N'),(20,5139880,'1',310,'N'),(20,5139899,'1',202,'N'),(20,5139899,'1A',213,'N'),(20,5139937,'1',652,'N'),(20,5139937,'1A',201,'N'),(20,5139945,'1',326,'N'),(20,5139953,'1',501,'N'),(20,5139970,'1',5,'N'),(20,5139988,'1',103,'N'),(20,5139996,'1',5,'N'),(20,5140005,'1',233,'N'),(20,5140005,'1A',216,'N'),(20,5140013,'1',203,'N'),(20,5140013,'1A',220,'N'),(20,5140021,'1',326,'N'),(20,5140030,'1',332,'N'),(20,5140048,'1',103,'N'),(20,5140056,'1',103,'N'),(20,5140072,'1',3,'N'),(20,5140080,'1',203,'N'),(20,5140099,'1',303,'N'),(20,5140102,'1',235,'N'),(20,5140102,'1A',202,'N'),(20,5140110,'1',415,'N'),(20,5140137,'1',425,'N'),(20,5140137,'1A',423,'N'),(20,5140145,'1',103,'N'),(20,5140161,'1',203,'N'),(20,5140161,'1A',220,'N'),(20,5140170,'1',104,'N'),(20,5140196,'1',404,'N'),(20,5140200,'1',429,'N'),(20,5140200,'1A',425,'N'),(20,5140226,'1',319,'N'),(20,5140234,'1',303,'N'),(20,5140250,'1',103,'N'),(20,5140269,'1',601,'N'),(20,5140269,'1A',203,'N'),(20,5140277,'1',103,'N'),(20,5140293,'1',336,'N'),(20,5140307,'1',201,'N'),(20,5140315,'1',336,'N'),(20,5140323,'1',404,'N'),(20,5140331,'1',235,'N'),(20,5140340,'1',503,'N'),(20,5140358,'1',103,'N'),(20,5140366,'1',316,'N'),(20,5140374,'1',101,'N'),(20,5140390,'1',104,'N'),(20,5140412,'1',5,'N'),(20,5140420,'1',303,'N'),(20,5140447,'1',213,'N'),(20,5140447,'1A',601,'N'),(20,5140455,'1',104,'N'),(20,5140463,'1',302,'N'),(20,5140471,'1',207,'N'),(20,5140471,'1A',238,'N'),(20,5140480,'1',103,'N'),(20,5140501,'1',103,'N'),(20,5140528,'1',103,'N'),(20,5140544,'1',104,'N'),(20,5140552,'1',3,'N'),(20,5140560,'1',332,'N'),(20,5140595,'1',102,'N'),(20,5140617,'1',103,'N'),(20,5140633,'1',451,'N'),(20,5140641,'1',103,'N'),(20,5140650,'1',426,'N'),(20,5140650,'1A',428,'N'),(20,5140668,'1',214,'N'),(20,5140668,'1A',201,'N'),(20,5140676,'1',653,'N'),(20,5140676,'1A',216,'N'),(20,5140692,'1',104,'N'),(20,5140706,'1',3,'N'),(20,5140714,'1',303,'N'),(20,5140722,'1',425,'N'),(20,5140722,'1A',428,'N'),(20,5140730,'1',201,'N'),(20,5140730,'1A',235,'N'),(20,5140757,'1',103,'N'),(20,5140773,'1',203,'N'),(20,5140773,'1A',220,'N'),(20,5140781,'1',201,'N'),(20,5140781,'1A',212,'N'),(20,5140803,'1',452,'N'),(20,5140838,'1',104,'N'),(20,5140862,'1',340,'N'),(20,5140870,'1',450,'N'),(20,5140889,'1',211,'N'),(20,5140889,'1A',601,'N'),(20,5140897,'1',444,'N'),(20,5140919,'1',424,'N'),(20,5140919,'1A',428,'N'),(20,5140927,'1',404,'N'),(20,5140935,'1',320,'N'),(20,5140951,'1',101,'N'),(20,5140978,'1',415,'N'),(20,5140986,'1',103,'N'),(20,5141001,'1',5,'N'),(20,5141010,'1',340,'N'),(20,5141036,'1',5,'N'),(20,5141044,'1',103,'N'),(20,5141052,'1',340,'N'),(20,5141060,'1',304,'N'),(20,5141079,'1',103,'N'),(20,5141095,'1',452,'N'),(20,5141109,'1',501,'N'),(20,5141117,'1',316,'N'),(20,5141125,'1',319,'N'),(20,5141141,'1',304,'N'),(20,5141176,'1',103,'N'),(20,5141192,'1',201,'N'),(20,5141192,'1A',202,'N'),(20,5141206,'1',102,'N'),(20,5141222,'1',9,'N'),(20,5141230,'1',214,'N'),(20,5141230,'1A',212,'N'),(20,5141273,'1',202,'N'),(20,5141273,'1A',213,'N'),(20,5141281,'1',5,'N'),(20,5141303,'1',5,'N'),(20,5141311,'1',316,'N'),(20,5141320,'1',214,'N'),(20,5141320,'1A',213,'N'),(20,5141346,'1',451,'N'),(20,5141354,'1',212,'N'),(20,5141354,'1A',211,'N'),(20,5141370,'1',102,'N'),(20,5141389,'1',208,'N'),(20,5141389,'1A',238,'N'),(20,5141397,'1',415,'N'),(20,5141419,'1',103,'N'),(20,5141427,'1',102,'N'),(20,5141435,'1',425,'N'),(20,5141435,'1A',421,'N'),(20,5141451,'1',9,'N'),(20,5141460,'1',103,'N'),(20,5141478,'1',5,'N'),(20,5141486,'1',327,'N'),(20,5141494,'1',207,'N'),(20,5141494,'1A',233,'N'),(20,5141508,'1',103,'N'),(20,5141516,'1',501,'N'),(20,5141524,'1',318,'N'),(20,5141532,'1',201,'N'),(20,5141532,'1A',212,'N'),(20,5141540,'1',333,'N'),(20,5141559,'1',202,'N'),(20,5141559,'1A',235,'N'),(20,5141567,'1',207,'N'),(20,5141567,'1A',215,'N'),(20,5141605,'1',103,'N'),(20,5141613,'1',319,'N'),(20,5141621,'1',303,'N'),(20,5141630,'1',220,'N'),(20,5141630,'1A',208,'N'),(20,5141648,'1',238,'N'),(20,5141648,'1A',208,'N'),(20,5141656,'1',453,'N'),(20,5141699,'1',103,'N'),(20,5141702,'1',444,'N'),(20,5141729,'1',303,'N'),(20,5141737,'1',5,'N'),(20,5141745,'1',103,'N'),(20,5141753,'1',207,'N'),(20,5141770,'1',601,'N'),(20,5141770,'1A',203,'N'),(20,5141788,'1',9,'N'),(20,5141800,'1',420,'N'),(20,5141826,'1',309,'N'),(20,5141834,'1',429,'N'),(20,5141834,'1A',425,'N'),(20,5141842,'1',5,'N'),(20,5141850,'1',420,'N'),(20,5141869,'1',5,'N'),(20,5141877,'1',202,'N'),(20,5141877,'1A',215,'N');
INSERT INTO opcao_candidato VALUES (20,5141885,'1',224,'N'),(20,5141893,'1',205,'N'),(20,5141915,'1',103,'N'),(20,5141931,'1',5,'N'),(20,5141940,'1',101,'N'),(20,5141958,'1',201,'N'),(20,5141958,'1A',207,'N'),(20,5141982,'1',108,'N'),(20,5141990,'1',444,'N'),(20,5142008,'1',208,'N'),(20,5142008,'1A',238,'N'),(20,5142016,'1',238,'N'),(20,5142016,'1A',211,'N'),(20,5142024,'1',103,'N'),(20,5142032,'1',501,'N'),(20,5142040,'1',450,'N'),(20,5142059,'1',303,'N'),(20,5142067,'1',207,'N'),(20,5142067,'1A',201,'N'),(20,5142075,'1',214,'N'),(20,5142075,'1A',216,'N'),(20,5142083,'1',302,'N'),(20,5142091,'1',452,'N'),(20,5142105,'1',333,'N'),(20,5142113,'1',202,'N'),(20,5142113,'1A',213,'N'),(20,5142121,'1',103,'N'),(20,5142130,'1',216,'N'),(20,5142130,'1A',233,'N'),(20,5142148,'1',103,'N'),(20,5142156,'1',302,'N'),(20,5142180,'1',235,'N'),(20,5142180,'1A',203,'N'),(20,5142199,'1',202,'N'),(20,5142199,'1A',233,'N'),(20,5142202,'1',207,'N'),(20,5142202,'1A',201,'N'),(20,5142210,'1',110,'N'),(20,5142237,'1',203,'N'),(20,5142237,'1A',214,'N'),(20,5142245,'1',302,'N'),(20,5142253,'1',302,'N'),(20,5142270,'1',340,'N'),(20,5142296,'1',501,'N'),(20,5142300,'1',238,'N'),(20,5142300,'1A',208,'N'),(20,5142318,'1',502,'N'),(20,5142326,'1',331,'N'),(20,5142334,'1',301,'N'),(20,5142342,'1',415,'N'),(20,5142369,'1',108,'N'),(20,5142377,'1',427,'N'),(20,5142377,'1A',424,'N'),(20,5142385,'1',203,'N'),(20,5142385,'1A',214,'N'),(20,5142393,'1',103,'N'),(20,5142407,'1',103,'N'),(20,5142423,'1',203,'N'),(20,5142423,'1A',601,'N'),(20,5142431,'1',601,'N'),(20,5142431,'1A',202,'N'),(20,5142440,'1',202,'N'),(20,5142440,'1A',216,'N'),(20,5142458,'1',202,'N'),(20,5142458,'1A',213,'N'),(20,5142474,'1',203,'N'),(20,5142474,'1A',214,'N'),(20,5142482,'1',653,'N'),(20,5142482,'1A',652,'N'),(20,5142490,'1',203,'N'),(20,5142490,'1A',201,'N'),(20,5142504,'1',5,'N'),(20,5142512,'1',103,'N'),(20,5142539,'1',340,'N'),(20,5142547,'1',444,'N'),(20,5142563,'1',203,'N'),(20,5142563,'1A',214,'N'),(20,5142571,'1',5,'N'),(20,5142580,'1',103,'N'),(20,5142598,'1',208,'N'),(20,5142601,'1',103,'N'),(20,5142628,'1',328,'N'),(20,5142636,'1',103,'N'),(20,5142644,'1',333,'N'),(20,5142652,'1',203,'N'),(20,5142652,'1A',201,'N'),(20,5142660,'1',316,'N'),(20,5142679,'1',327,'N'),(20,5142687,'1',340,'N'),(20,5142695,'1',420,'N'),(20,5142709,'1',453,'N'),(20,5142717,'1',319,'N'),(20,5142725,'1',201,'N'),(20,5142741,'1',340,'N'),(20,5142750,'1',109,'N'),(20,5142768,'1',444,'N'),(20,5142784,'1',451,'N'),(20,5142792,'1',213,'N'),(20,5142792,'1A',238,'N'),(20,5142814,'1',103,'N'),(20,5142830,'1',201,'N'),(20,5142830,'1A',207,'N'),(20,5142849,'1',102,'N'),(20,5142865,'1',316,'N'),(20,5142873,'1',332,'N'),(20,5142881,'1',327,'N'),(20,5142903,'1',216,'N'),(20,5142903,'1A',235,'N'),(20,5142911,'1',301,'N'),(20,5142938,'1',202,'N'),(20,5142938,'1A',220,'N'),(20,5142946,'1',310,'N'),(20,5142954,'1',208,'N'),(20,5142954,'1A',207,'N'),(20,5142989,'1',212,'N'),(20,5142989,'1A',233,'N'),(20,5142997,'1',103,'N'),(20,5143004,'1',201,'N'),(20,5143012,'1',303,'N'),(20,5143039,'1',302,'N'),(20,5143055,'1',103,'N'),(20,5143063,'1',238,'N'),(20,5143063,'1A',208,'N'),(20,5143071,'1',103,'N'),(20,5143080,'1',415,'N'),(20,5143098,'1',103,'N'),(20,5143101,'1',104,'N'),(20,5143110,'1',203,'N'),(20,5143110,'1A',202,'N'),(20,5143128,'1',5,'N'),(20,5143136,'1',5,'N'),(20,5143144,'1',2,'N'),(20,5143152,'1',207,'N'),(20,5143152,'1A',216,'N'),(20,5143160,'1',2,'N'),(20,5143195,'1',238,'N'),(20,5143195,'1A',208,'N'),(20,5143209,'1',5,'N'),(20,5143217,'1',9,'N'),(20,5143225,'1',327,'N'),(20,5143233,'1',340,'N'),(20,5143241,'1',337,'N'),(20,5143250,'1',336,'N'),(20,5143268,'1',9,'N'),(20,5143284,'1',340,'N'),(20,5143292,'1',316,'N'),(20,5143306,'1',318,'N'),(20,5143314,'1',207,'N'),(20,5143314,'1A',235,'N'),(20,5143322,'1',340,'N'),(20,5143330,'1',216,'N'),(20,5143330,'1A',653,'N'),(20,5143349,'1',316,'N'),(20,5143357,'1',203,'N'),(20,5143365,'1',201,'N'),(20,5143373,'1',211,'N'),(20,5143373,'1A',213,'N'),(20,5143381,'1',103,'N'),(20,5143390,'1',301,'N'),(20,5143403,'1',203,'N'),(20,5143411,'1',216,'N'),(20,5143411,'1A',212,'N'),(20,5143420,'1',216,'N'),(20,5143420,'1A',211,'N'),(20,5143438,'1',309,'N'),(20,5143454,'1',444,'N'),(20,5143470,'1',327,'N'),(20,5143497,'1',420,'N'),(20,5143500,'1',653,'N'),(20,5143500,'1A',211,'N'),(20,5143519,'1',5,'N'),(20,5143527,'1',316,'N'),(20,5143535,'1',103,'N'),(20,5143543,'1',503,'N'),(20,5143551,'1',316,'N'),(20,5143560,'1',426,'N'),(20,5143560,'1A',429,'N'),(20,5143578,'1',215,'N'),(20,5143586,'1',451,'N'),(20,5143594,'1',201,'N'),(20,5143594,'1A',212,'N'),(20,5143608,'1',202,'N'),(20,5143608,'1A',235,'N'),(20,5143616,'1',318,'N'),(20,5143624,'1',304,'N'),(20,5143632,'1',103,'N'),(20,5143640,'1',103,'N'),(20,5143659,'1',601,'N'),(20,5143659,'1A',238,'N'),(20,5143667,'1',303,'N'),(20,5143683,'1',9,'N'),(20,5143691,'1',428,'N'),(20,5143691,'1A',423,'N'),(20,5143713,'1',415,'N'),(20,5143721,'1',450,'N'),(20,5143730,'1',207,'N'),(20,5143748,'1',503,'N'),(20,5143756,'1',203,'N'),(20,5143756,'1A',601,'N'),(20,5143764,'1',103,'N'),(20,5143772,'1',3,'N'),(20,5143780,'1',316,'N'),(20,5143799,'1',201,'N'),(20,5143799,'1A',203,'N'),(20,5143802,'1',205,'N'),(20,5143829,'1',211,'N'),(20,5143829,'1A',212,'N'),(20,5143837,'1',404,'N'),(20,5143845,'1',303,'N'),(20,5143853,'1',318,'N'),(20,5143861,'1',317,'N'),(20,5143870,'1',201,'N'),(20,5143896,'1',452,'N'),(20,5143918,'1',337,'N'),(20,5143926,'1',201,'N'),(20,5143926,'1A',207,'N'),(20,5143934,'1',420,'N'),(20,5143942,'1',208,'N'),(20,5143942,'1A',651,'N'),(20,5143950,'1',450,'N'),(20,5143977,'1',444,'N'),(20,5143985,'1',9,'N'),(20,5143993,'1',103,'N'),(20,5144019,'1',103,'N'),(20,5144027,'1',450,'N'),(20,5144035,'1',103,'N'),(20,5144043,'1',207,'N'),(20,5144043,'1A',201,'N'),(20,5144051,'1',102,'N'),(20,5144078,'1',453,'N'),(20,5144086,'1',2,'N'),(20,5144094,'1',653,'N'),(20,5144094,'1A',652,'N'),(20,5144116,'1',340,'N'),(20,5144124,'1',103,'N'),(20,5144132,'1',308,'N'),(20,5144159,'1',340,'N'),(20,5144167,'1',5,'N'),(20,5144191,'1',201,'N'),(20,5144191,'1A',214,'N'),(20,5144213,'1',5,'N'),(20,5144221,'1',9,'N'),(20,5144256,'1',303,'N'),(20,5144264,'1',329,'N'),(20,5144272,'1',103,'N'),(20,5144299,'1',318,'N'),(20,5144337,'1',103,'N'),(20,5144345,'1',450,'N'),(20,5144353,'1',303,'N'),(20,5144361,'1',103,'N'),(20,5144370,'1',303,'N'),(20,5144388,'1',216,'N'),(20,5144388,'1A',202,'N'),(20,5144396,'1',320,'N'),(20,5144400,'1',653,'N'),(20,5144400,'1A',652,'N'),(20,5144418,'1',202,'N'),(20,5144418,'1A',203,'N'),(20,5144426,'1',103,'N'),(20,5144434,'1',103,'N'),(20,5144450,'1',211,'N'),(20,5144450,'1A',233,'N'),(20,5144469,'1',103,'N'),(20,5144477,'1',208,'N'),(20,5144477,'1A',651,'N'),(20,5144485,'1',319,'N'),(20,5144493,'1',212,'N'),(20,5144493,'1A',201,'N'),(20,5144523,'1',404,'N'),(20,5144531,'1',108,'N'),(20,5144540,'1',301,'N'),(20,5144558,'1',316,'N'),(20,5144574,'1',5,'N'),(20,5144582,'1',104,'N'),(20,5144590,'1',103,'N'),(20,5144612,'1',333,'N'),(20,5144620,'1',103,'N'),(20,5144639,'1',103,'N'),(20,5144647,'1',317,'N'),(20,5144655,'1',108,'N'),(20,5144663,'1',316,'N'),(20,5144671,'1',501,'N'),(20,5144680,'1',211,'N'),(20,5144680,'1A',233,'N'),(20,5144701,'1',3,'N'),(20,5144736,'1',601,'N'),(20,5144744,'1',601,'N'),(20,5144744,'1A',216,'N'),(20,5144752,'1',214,'N'),(20,5144752,'1A',213,'N'),(20,5144787,'1',103,'N'),(20,5144795,'1',319,'N'),(20,5144817,'1',201,'N'),(20,5144817,'1A',207,'N'),(20,5144841,'1',319,'N'),(20,5144850,'1',104,'N'),(20,5144868,'1',203,'N'),(20,5144876,'1',303,'N'),(20,5144892,'1',202,'N'),(20,5144892,'1A',235,'N'),(20,5144906,'1',103,'N'),(20,5144922,'1',108,'N'),(20,5144930,'1',420,'N'),(20,5144949,'1',9,'N'),(20,5144957,'1',207,'N'),(20,5144973,'1',450,'N'),(20,5144981,'1',9,'N'),(20,5144990,'1',424,'N'),(20,5144990,'1A',427,'N'),(20,5145007,'1',207,'N'),(20,5145015,'1',103,'N'),(20,5145031,'1',103,'N'),(20,5145058,'1',415,'N'),(20,5145066,'1',220,'N'),(20,5145066,'1A',208,'N'),(20,5145074,'1',207,'N'),(20,5145074,'1A',201,'N'),(20,5145090,'1',103,'N'),(20,5145104,'1',5,'N'),(20,5145112,'1',216,'N'),(20,5145112,'1A',233,'N'),(20,5145120,'1',601,'N'),(20,5145155,'1',108,'N'),(20,5145163,'1',450,'N'),(20,5145171,'1',340,'N'),(20,5145180,'1',309,'N'),(20,5145198,'1',319,'N'),(20,5145210,'1',220,'N'),(20,5145210,'1A',216,'N'),(20,5145228,'1',303,'N'),(20,5145236,'1',103,'N'),(20,5145244,'1',415,'N'),(20,5145260,'1',502,'N'),(20,5145279,'1',304,'N'),(20,5145287,'1',319,'N'),(20,5145295,'1',103,'N'),(20,5145309,'1',201,'N'),(20,5145309,'1A',203,'N'),(20,5145317,'1',316,'N'),(20,5145333,'1',103,'N'),(20,5145341,'1',203,'N'),(20,5145341,'1A',211,'N'),(20,5145350,'1',103,'N'),(20,5145376,'1',203,'N'),(20,5145376,'1A',208,'N'),(20,5145384,'1',103,'N'),(20,5145392,'1',340,'N'),(20,5145406,'1',207,'N'),(20,5145430,'1',216,'N'),(20,5145430,'1A',202,'N'),(20,5145449,'1',5,'N'),(20,5145457,'1',103,'N'),(20,5145465,'1',103,'N'),(20,5145473,'1',601,'N'),(20,5145473,'1A',215,'N'),(20,5145490,'1',333,'N'),(20,5145503,'1',415,'N'),(20,5145511,'1',340,'N'),(20,5145520,'1',201,'N'),(20,5145520,'1A',207,'N'),(20,5145538,'1',303,'N'),(20,5145546,'1',444,'N'),(20,5145554,'1',102,'N'),(20,5145570,'1',5,'N'),(20,5145589,'1',101,'N'),(20,5145597,'1',318,'N'),(20,5145600,'1',333,'N'),(20,5145627,'1',501,'N'),(20,5145635,'1',319,'N'),(20,5145643,'1',316,'N'),(20,5145660,'1',101,'N'),(20,5145678,'1',103,'N'),(20,5145686,'1',103,'N'),(20,5145694,'1',201,'N'),(20,5145694,'1A',212,'N'),(20,5145716,'1',201,'N'),(20,5145716,'1A',203,'N'),(20,5145724,'1',551,'N'),(20,5145732,'1',5,'N'),(20,5145740,'1',201,'N'),(20,5145759,'1',103,'N'),(20,5145767,'1',201,'N'),(20,5145775,'1',216,'N'),(20,5145775,'1A',202,'N'),(20,5145783,'1',103,'N'),(20,5145805,'1',415,'N'),(20,5145813,'1',103,'N'),(20,5145821,'1',3,'N'),(20,5145830,'1',601,'N'),(20,5145848,'1',102,'N'),(20,5145902,'1',301,'N'),(20,5145910,'1',428,'N'),(20,5145910,'1A',424,'N'),(20,5145945,'1',104,'N'),(20,5145953,'1',103,'N'),(20,5145961,'1',208,'N'),(20,5145961,'1A',235,'N'),(20,5145970,'1',424,'N'),(20,5145970,'1A',427,'N'),(20,5145988,'1',201,'N'),(20,5145988,'1A',212,'N'),(20,5146003,'1',103,'N'),(20,5146020,'1',601,'N'),(20,5146020,'1A',201,'N'),(20,5146038,'1',108,'N'),(20,5146046,'1',316,'N'),(20,5146070,'1',316,'N'),(20,5146089,'1',340,'N'),(20,5146097,'1',103,'N'),(20,5146100,'1',653,'N'),(20,5146100,'1A',652,'N'),(20,5146119,'1',103,'N'),(20,5146135,'1',201,'N'),(20,5146135,'1A',212,'N'),(20,5146143,'1',211,'N'),(20,5146143,'1A',601,'N'),(20,5146160,'1',327,'N'),(20,5146178,'1',233,'N'),(20,5146178,'1A',207,'N'),(20,5146186,'1',103,'N'),(20,5146194,'1',653,'N'),(20,5146194,'1A',207,'N'),(20,5146208,'1',336,'N'),(20,5146216,'1',331,'N'),(20,5146224,'1',103,'N'),(20,5146232,'1',551,'N'),(20,5146240,'1',207,'N'),(20,5146240,'1A',202,'N'),(20,5146259,'1',104,'N'),(20,5146267,'1',102,'N'),(20,5146275,'1',201,'N'),(20,5146275,'1A',207,'N'),(20,5146291,'1',301,'N'),(20,5146305,'1',333,'N'),(20,5146313,'1',316,'N'),(20,5146330,'1',415,'N'),(20,5146348,'1',302,'N'),(20,5146356,'1',303,'N'),(20,5146364,'1',104,'N'),(20,5146380,'1',415,'N'),(20,5146402,'1',103,'N'),(20,5146410,'1',201,'N'),(20,5146410,'1A',653,'N'),(20,5146429,'1',316,'N'),(20,5146437,'1',317,'N'),(20,5146445,'1',308,'N'),(20,5146453,'1',103,'N'),(20,5146461,'1',235,'N'),(20,5146461,'1A',202,'N'),(20,5146470,'1',103,'N'),(20,5146488,'1',201,'N'),(20,5146488,'1A',233,'N'),(20,5146500,'1',336,'N'),(20,5146526,'1',201,'N'),(20,5146526,'1A',207,'N'),(20,5146550,'1',201,'N'),(20,5146550,'1A',207,'N'),(20,5146569,'1',425,'N'),(20,5146569,'1A',423,'N'),(20,5146577,'1',233,'N'),(20,5146577,'1A',215,'N'),(20,5146585,'1',653,'N'),(20,5146585,'1A',652,'N'),(20,5146593,'1',103,'N'),(20,5146607,'1',103,'N'),(20,5146623,'1',319,'N'),(20,5146640,'1',216,'N'),(20,5146640,'1A',215,'N'),(20,5146674,'1',110,'N'),(20,5146682,'1',319,'N'),(20,5146690,'1',316,'N'),(20,5146704,'1',103,'N'),(20,5146712,'1',333,'N'),(20,5146720,'1',450,'N'),(20,5146739,'1',319,'N'),(20,5146747,'1',103,'N'),(20,5146755,'1',216,'N'),(20,5146755,'1A',233,'N'),(20,5146763,'1',238,'N'),(20,5146763,'1A',208,'N'),(20,5146780,'1',319,'N'),(20,5146798,'1',319,'N'),(20,5146801,'1',233,'N'),(20,5146801,'1A',207,'N'),(20,5146828,'1',503,'N'),(20,5146836,'1',319,'N'),(20,5146844,'1',103,'N'),(20,5146860,'1',5,'N'),(20,5146879,'1',222,'N'),(20,5146895,'1',5,'N'),(20,5146909,'1',340,'N'),(20,5146925,'1',453,'N'),(20,5146933,'1',319,'N'),(20,5146941,'1',103,'N'),(20,5146968,'1',233,'N'),(20,5146968,'1A',238,'N'),(20,5146976,'1',203,'N'),(20,5146976,'1A',202,'N'),(20,5146984,'1',208,'N'),(20,5146984,'1A',653,'N'),(20,5146992,'1',108,'N'),(20,5147000,'1',207,'N'),(20,5147000,'1A',201,'N'),(20,5147018,'1',103,'N'),(20,5147026,'1',429,'N'),(20,5147026,'1A',425,'N'),(20,5147042,'1',203,'N'),(20,5147042,'1A',601,'N'),(20,5147050,'1',103,'N'),(20,5147069,'1',303,'N'),(20,5147085,'1',5,'N'),(20,5147093,'1',601,'N'),(20,5147093,'1A',203,'N'),(20,5147107,'1',3,'N'),(20,5147115,'1',215,'N'),(20,5147115,'1A',216,'N'),(20,5147123,'1',104,'N'),(20,5147131,'1',340,'N'),(20,5147140,'1',103,'N'),(20,5147158,'1',216,'N'),(20,5147158,'1A',233,'N'),(20,5147166,'1',653,'N'),(20,5147166,'1A',652,'N'),(20,5147174,'1',211,'N'),(20,5147174,'1A',215,'N'),(20,5147182,'1',319,'N'),(20,5147190,'1',201,'N'),(20,5147190,'1A',207,'N'),(20,5147204,'1',5,'N'),(20,5147212,'1',216,'N'),(20,5147212,'1A',233,'N'),(20,5147239,'1',203,'N'),(20,5147239,'1A',201,'N'),(20,5147247,'1',320,'N'),(20,5147255,'1',214,'N'),(20,5147255,'1A',212,'N'),(20,5147263,'1',326,'N'),(20,5147271,'1',216,'N'),(20,5147271,'1A',233,'N'),(20,5147298,'1',208,'N'),(20,5147298,'1A',238,'N'),(20,5147301,'1',108,'N'),(20,5147328,'1',326,'N'),(20,5147336,'1',103,'N'),(20,5147344,'1',5,'N'),(20,5147360,'1',318,'N'),(20,5147395,'1',333,'N'),(20,5147417,'1',103,'N'),(20,5147425,'1',316,'N'),(20,5147433,'1',3,'N'),(20,5147441,'1',216,'N'),(20,5147441,'1A',215,'N'),(20,5147468,'1',9,'N'),(20,5147476,'1',102,'N'),(20,5147484,'1',303,'N'),(20,5147492,'1',333,'N'),(20,5147514,'1',303,'N'),(20,5147530,'1',103,'N'),(20,5147549,'1',201,'N'),(20,5147549,'1A',212,'N'),(20,5147573,'1',234,'N'),(20,5147581,'1',103,'N'),(20,5147590,'1',102,'N'),(20,5147603,'1',207,'N'),(20,5147603,'1A',201,'N'),(20,5147620,'1',103,'N'),(20,5147638,'1',216,'N'),(20,5147638,'1A',215,'N'),(20,5147646,'1',5,'N'),(20,5147654,'1',234,'N'),(20,5147662,'1',215,'N'),(20,5147662,'1A',207,'N'),(20,5147689,'1',103,'N'),(20,5147697,'1',3,'N'),(20,5147700,'1',653,'N'),(20,5147700,'1A',652,'N'),(20,5147719,'1',201,'N'),(20,5147719,'1A',601,'N'),(20,5147735,'1',103,'N'),(20,5147751,'1',203,'N'),(20,5147751,'1A',216,'N'),(20,5147760,'1',108,'N'),(20,5147778,'1',303,'N'),(20,5147786,'1',444,'N'),(20,5147794,'1',203,'N'),(20,5147808,'1',233,'N'),(20,5147808,'1A',238,'N'),(20,5147816,'1',211,'N'),(20,5147816,'1A',233,'N'),(20,5147824,'1',103,'N'),(20,5147832,'1',103,'N'),(20,5147840,'1',238,'N'),(20,5147840,'1A',233,'N'),(20,5147875,'1',103,'N'),(20,5147891,'1',303,'N'),(20,5147913,'1',103,'N'),(20,5147921,'1',201,'N'),(20,5147921,'1A',601,'N'),(20,5147930,'1',207,'N'),(20,5147948,'1',415,'N'),(20,5147980,'1',428,'N'),(20,5147980,'1A',425,'N'),(20,5147999,'1',304,'N'),(20,5148006,'1',233,'N'),(20,5148006,'1A',201,'N'),(20,5148014,'1',220,'N'),(20,5148014,'1A',214,'N'),(20,5148022,'1',653,'N'),(20,5148022,'1A',652,'N'),(20,5148030,'1',203,'N'),(20,5148030,'1A',201,'N'),(20,5148057,'1',207,'N'),(20,5148057,'1A',215,'N'),(20,5148065,'1',339,'N'),(20,5148073,'1',9,'N'),(20,5148081,'1',103,'N'),(20,5148103,'1',303,'N'),(20,5148120,'1',304,'N'),(20,5148138,'1',207,'N'),(20,5148138,'1A',201,'N'),(20,5148146,'1',336,'N'),(20,5148170,'1',453,'N'),(20,5148189,'1',207,'N'),(20,5148189,'1A',208,'N'),(20,5148197,'1',9,'N'),(20,5148219,'1',103,'N'),(20,5148227,'1',108,'N'),(20,5148235,'1',601,'N'),(20,5148235,'1A',212,'N'),(20,5148251,'1',201,'N'),(20,5148251,'1A',215,'N'),(20,5148260,'1',202,'N'),(20,5148260,'1A',213,'N'),(20,5148278,'1',203,'N'),(20,5148278,'1A',214,'N'),(20,5148286,'1',103,'N'),(20,5148294,'1',103,'N'),(20,5148308,'1',216,'N'),(20,5148316,'1',203,'N'),(20,5148316,'1A',202,'N'),(20,5148332,'1',104,'N'),(20,5148340,'1',303,'N'),(20,5148359,'1',319,'N'),(20,5148367,'1',215,'N'),(20,5148367,'1A',233,'N'),(20,5148375,'1',208,'N'),(20,5148375,'1A',653,'N'),(20,5148383,'1',203,'N'),(20,5148383,'1A',653,'N'),(20,5148391,'1',108,'N'),(20,5148405,'1',5,'N'),(20,5148413,'1',336,'N'),(20,5148421,'1',404,'N'),(20,5148448,'1',303,'N'),(20,5148456,'1',450,'N'),(20,5148464,'1',103,'N'),(20,5148499,'1',103,'N'),(20,5148502,'1',216,'N'),(20,5148502,'1A',233,'N'),(20,5148510,'1',653,'N'),(20,5148510,'1A',216,'N'),(20,5148529,'1',201,'N'),(20,5148529,'1A',601,'N'),(20,5148537,'1',502,'N'),(20,5148545,'1',340,'N'),(20,5148553,'1',214,'N'),(20,5148553,'1A',215,'N'),(20,5148561,'1',201,'N'),(20,5148561,'1A',211,'N'),(20,5148570,'1',317,'N'),(20,5148588,'1',102,'N'),(20,5148596,'1',103,'N'),(20,5148600,'1',317,'N'),(20,5148618,'1',208,'N'),(20,5148618,'1A',203,'N'),(20,5148626,'1',101,'N'),(20,5148634,'1',108,'N'),(20,5148642,'1',452,'N'),(20,5148650,'1',213,'N'),(20,5148650,'1A',202,'N'),(20,5148669,'1',303,'N'),(20,5148677,'1',108,'N'),(20,5148693,'1',203,'N'),(20,5148693,'1A',201,'N'),(20,5148707,'1',301,'N'),(20,5148715,'1',601,'N'),(20,5148715,'1A',211,'N'),(20,5148723,'1',452,'N'),(20,5148731,'1',5,'N'),(20,5148740,'1',201,'N'),(20,5148740,'1A',212,'N'),(20,5148766,'1',319,'N'),(20,5148774,'1',5,'N'),(20,5148782,'1',316,'N'),(20,5148790,'1',420,'N'),(20,5148804,'1',453,'N'),(20,5148812,'1',216,'N'),(20,5148812,'1A',201,'N'),(20,5148820,'1',208,'N'),(20,5148820,'1A',203,'N'),(20,5148839,'1',319,'N'),(20,5148847,'1',216,'N'),(20,5148847,'1A',233,'N'),(20,5148855,'1',332,'N'),(20,5148871,'1',201,'N'),(20,5148871,'1A',212,'N'),(20,5148898,'1',319,'N'),(20,5148901,'1',5,'N'),(20,5148928,'1',207,'N'),(20,5148928,'1A',212,'N'),(20,5148936,'1',213,'N'),(20,5148936,'1A',203,'N'),(20,5148944,'1',5,'N'),(20,5148952,'1',201,'N'),(20,5148952,'1A',220,'N'),(20,5148960,'1',103,'N'),(20,5148979,'1',211,'N'),(20,5148979,'1A',203,'N'),(20,5148995,'1',238,'N'),(20,5148995,'1A',208,'N'),(20,5149002,'1',208,'N'),(20,5149002,'1A',238,'N'),(20,5149029,'1',212,'N'),(20,5149029,'1A',213,'N'),(20,5149045,'1',404,'N'),(20,5149053,'1',103,'N'),(20,5149096,'1',310,'N'),(20,5149100,'1',303,'N'),(20,5149118,'1',333,'N'),(20,5149126,'1',103,'N'),(20,5149134,'1',415,'N'),(20,5149142,'1',101,'N'),(20,5149150,'1',340,'N'),(20,5149177,'1',103,'N'),(20,5149185,'1',224,'N'),(20,5149215,'1',427,'N'),(20,5149215,'1A',424,'N'),(20,5149223,'1',316,'N'),(20,5149274,'1',503,'N'),(20,5149282,'1',425,'N'),(20,5149290,'1',316,'N'),(20,5149304,'1',331,'N'),(20,5149312,'1',103,'N'),(20,5149320,'1',5,'N'),(20,5149339,'1',103,'N'),(20,5149347,'1',208,'N'),(20,5149363,'1',317,'N'),(20,5149371,'1',202,'N'),(20,5149371,'1A',213,'N'),(20,5149398,'1',303,'N'),(20,5149410,'1',652,'N'),(20,5149410,'1A',653,'N'),(20,5149428,'1',238,'N'),(20,5149428,'1A',208,'N'),(20,5149436,'1',426,'N'),(20,5149436,'1A',423,'N'),(20,5149444,'1',101,'N'),(20,5149460,'1',103,'N'),(20,5149479,'1',318,'N'),(20,5149487,'1',104,'N'),(20,5149517,'1',652,'N'),(20,5149517,'1A',651,'N'),(20,5149525,'1',203,'N'),(20,5149525,'1A',211,'N'),(20,5149550,'1',103,'N'),(20,5149568,'1',601,'N'),(20,5149576,'1',103,'N'),(20,5149584,'1',328,'N'),(20,5149592,'1',503,'N'),(20,5149606,'1',551,'N'),(20,5149622,'1',203,'N'),(20,5149622,'1A',214,'N'),(20,5149630,'1',444,'N'),(20,5149649,'1',214,'N'),(20,5149649,'1A',213,'N'),(20,5149673,'1',336,'N'),(20,5149681,'1',103,'N'),(20,5149690,'1',317,'N'),(20,5149703,'1',336,'N'),(20,5149711,'1',444,'N'),(20,5149720,'1',420,'N'),(20,5149738,'1',238,'N'),(20,5149738,'1A',201,'N'),(20,5149746,'1',103,'N'),(20,5149754,'1',103,'N'),(20,5149762,'1',453,'N'),(20,5149819,'1',103,'N'),(20,5149827,'1',211,'N'),(20,5149843,'1',302,'N'),(20,5149851,'1',5,'N'),(20,5149860,'1',203,'N'),(20,5149860,'1A',214,'N'),(20,5149878,'1',103,'N'),(20,5149886,'1',103,'N'),(20,5149908,'1',319,'N'),(20,5149924,'1',339,'N'),(20,5149932,'1',301,'N'),(20,5149959,'1',108,'N'),(20,5149975,'1',340,'N'),(20,5149991,'1',102,'N'),(20,5150000,'1',303,'N'),(20,5150019,'1',103,'N'),(20,5150027,'1',103,'N'),(20,5150043,'1',103,'N'),(20,5150051,'1',211,'N'),(20,5150051,'1A',601,'N'),(20,5150060,'1',5,'N'),(20,5150078,'1',203,'N'),(20,5150078,'1A',208,'N'),(20,5150086,'1',103,'N'),(20,5150108,'1',108,'N'),(20,5150124,'1',207,'N'),(20,5150124,'1A',211,'N'),(20,5150132,'1',425,'N'),(20,5150132,'1A',429,'N'),(20,5150167,'1',302,'N'),(20,5150175,'1',336,'N'),(20,5150183,'1',101,'N'),(20,5150191,'1',426,'N'),(20,5150191,'1A',421,'N'),(20,5150205,'1',103,'N'),(20,5150213,'1',201,'N'),(20,5150213,'1A',220,'N'),(20,5150221,'1',233,'N'),(20,5150221,'1A',215,'N'),(20,5150230,'1',103,'N'),(20,5150248,'1',425,'N'),(20,5150248,'1A',428,'N'),(20,5150256,'1',104,'N'),(20,5150264,'1',5,'N'),(20,5150272,'1',220,'N'),(20,5150272,'1A',203,'N'),(20,5150280,'1',202,'N'),(20,5150280,'1A',233,'N'),(20,5150302,'1',5,'N'),(20,5150310,'1',453,'N'),(20,5150337,'1',220,'N'),(20,5150337,'1A',233,'N'),(20,5150345,'1',211,'N'),(20,5150345,'1A',215,'N'),(20,5150370,'1',501,'N'),(20,5150388,'1',303,'N'),(20,5150396,'1',5,'N'),(20,5150400,'1',104,'N'),(20,5150418,'1',501,'N'),(20,5150426,'1',103,'N'),(20,5150434,'1',104,'N'),(20,5150442,'1',220,'N'),(20,5150442,'1A',201,'N'),(20,5150450,'1',318,'N'),(20,5150477,'1',103,'N'),(20,5150485,'1',425,'N'),(20,5150485,'1A',429,'N'),(20,5150493,'1',326,'N'),(20,5150507,'1',108,'N'),(20,5150531,'1',101,'N'),(20,5150540,'1',317,'N'),(20,5150566,'1',5,'N'),(20,5150574,'1',340,'N'),(20,5150612,'1',103,'N'),(20,5150620,'1',501,'N'),(20,5150639,'1',551,'N'),(20,5150647,'1',207,'N'),(20,5150647,'1A',216,'N'),(20,5150663,'1',336,'N'),(20,5150680,'1',601,'N'),(20,5150680,'1A',214,'N'),(20,5150698,'1',5,'N'),(20,5150701,'1',5,'N'),(20,5150710,'1',203,'N'),(20,5150710,'1A',214,'N'),(20,5150736,'1',201,'N'),(20,5150736,'1A',212,'N'),(20,5150744,'1',103,'N'),(20,5150760,'1',425,'N'),(20,5150760,'1A',429,'N'),(20,5150779,'1',109,'N'),(20,5150787,'1',309,'N'),(20,5150795,'1',103,'N'),(20,5150809,'1',424,'N'),(20,5150809,'1A',423,'N'),(20,5150817,'1',5,'N'),(20,5150833,'1',444,'N'),(20,5150841,'1',207,'N'),(20,5150850,'1',5,'N'),(20,5150868,'1',216,'N'),(20,5150868,'1A',220,'N'),(20,5150876,'1',238,'N'),(20,5150876,'1A',208,'N'),(20,5150884,'1',103,'N'),(20,5150906,'1',104,'N'),(20,5150914,'1',103,'N'),(20,5150922,'1',211,'N'),(20,5150930,'1',444,'N'),(20,5150949,'1',201,'N'),(20,5150949,'1A',212,'N'),(20,5150965,'1',207,'N'),(20,5150965,'1A',201,'N'),(20,5150990,'1',340,'N'),(20,5151007,'1',208,'N'),(20,5151015,'1',103,'N'),(20,5151023,'1',201,'N'),(20,5151023,'1A',202,'N'),(20,5151031,'1',203,'N'),(20,5151031,'1A',208,'N'),(20,5151040,'1',301,'N'),(20,5151066,'1',317,'N'),(20,5151074,'1',5,'N'),(20,5151082,'1',103,'N'),(20,5151090,'1',317,'N'),(20,5151104,'1',444,'N'),(20,5151112,'1',103,'N'),(20,5151120,'1',103,'N'),(20,5151139,'1',108,'N'),(20,5151147,'1',104,'N'),(20,5151163,'1',201,'N'),(20,5151163,'1A',203,'N'),(20,5151198,'1',207,'N'),(20,5151198,'1A',601,'N'),(20,5151201,'1',421,'N'),(20,5151201,'1A',424,'N'),(20,5151210,'1',601,'N'),(20,5151228,'1',103,'N'),(20,5151236,'1',336,'N'),(20,5151244,'1',601,'N'),(20,5151244,'1A',201,'N'),(20,5151252,'1',214,'N'),(20,5151252,'1A',213,'N'),(20,5151260,'1',444,'N'),(20,5151279,'1',207,'N'),(20,5151279,'1A',201,'N'),(20,5151287,'1',302,'N'),(20,5151295,'1',316,'N'),(20,5151309,'1',340,'N'),(20,5151317,'1',310,'N'),(20,5151333,'1',320,'N'),(20,5151368,'1',320,'N'),(20,5151376,'1',444,'N'),(20,5151384,'1',202,'N'),(20,5151384,'1A',213,'N'),(20,5151392,'1',108,'N'),(20,5151406,'1',207,'N'),(20,5151422,'1',9,'N'),(20,5151430,'1',404,'N'),(20,5151449,'1',301,'N'),(20,5151457,'1',103,'N'),(20,5151473,'1',319,'N'),(20,5151481,'1',420,'N'),(20,5151503,'1',103,'N'),(20,5151511,'1',235,'N'),(20,5151511,'1A',202,'N'),(20,5151520,'1',213,'N'),(20,5151520,'1A',233,'N'),(20,5151538,'1',324,'N'),(20,5151546,'1',211,'N'),(20,5151546,'1A',215,'N'),(20,5151562,'1',450,'N'),(20,5151570,'1',317,'N'),(20,5151589,'1',203,'N'),(20,5151589,'1A',235,'N'),(20,5151597,'1',103,'N'),(20,5151619,'1',103,'N'),(20,5151627,'1',302,'N'),(20,5151660,'1',207,'N'),(20,5151660,'1A',201,'N'),(20,5151678,'1',303,'N'),(20,5151686,'1',415,'N'),(20,5151694,'1',202,'N'),(20,5151694,'1A',203,'N'),(20,5151708,'1',203,'N'),(20,5151708,'1A',214,'N'),(20,5151716,'1',335,'N'),(20,5151724,'1',340,'N'),(20,5151732,'1',103,'N'),(20,5151759,'1',214,'N'),(20,5151759,'1A',212,'N'),(20,5151775,'1',453,'N'),(20,5151783,'1',317,'N'),(20,5151791,'1',104,'N'),(20,5151805,'1',104,'N'),(20,5151813,'1',103,'N'),(20,5151821,'1',601,'N'),(20,5151821,'1A',653,'N'),(20,5151830,'1',301,'N'),(20,5151856,'1',301,'N'),(20,5151864,'1',102,'N'),(20,5151872,'1',104,'N'),(20,5151880,'1',103,'N'),(20,5151899,'1',303,'N'),(20,5151902,'1',2,'N'),(20,5151910,'1',103,'N'),(20,5151929,'1',205,'N'),(20,5151937,'1',103,'N'),(20,5151953,'1',303,'N'),(20,5151961,'1',216,'N'),(20,5151961,'1A',233,'N'),(20,5151970,'1',203,'N'),(20,5151970,'1A',233,'N'),(20,5151996,'1',216,'N'),(20,5151996,'1A',215,'N'),(20,5152003,'1',103,'N'),(20,5152020,'1',316,'N'),(20,5152038,'1',310,'N'),(20,5152046,'1',211,'N'),(20,5152046,'1A',215,'N'),(20,5152054,'1',102,'N'),(20,5152070,'1',444,'N'),(20,5152089,'1',9,'N'),(20,5152127,'1',103,'N'),(20,5152135,'1',108,'N'),(20,5152143,'1',415,'N'),(20,5152151,'1',103,'N'),(20,5152186,'1',415,'N'),(20,5152194,'1',319,'N'),(20,5152208,'1',220,'N'),(20,5152208,'1A',215,'N'),(20,5152224,'1',220,'N'),(20,5152224,'1A',601,'N'),(20,5152232,'1',103,'N'),(20,5152240,'1',203,'N'),(20,5152240,'1A',202,'N'),(20,5152259,'1',5,'N'),(20,5152267,'1',208,'N'),(20,5152267,'1A',216,'N'),(20,5152275,'1',450,'N'),(20,5152291,'1',5,'N'),(20,5152305,'1',319,'N'),(20,5152330,'1',340,'N'),(20,5152348,'1',340,'N'),(20,5152356,'1',340,'N'),(20,5152364,'1',202,'N'),(20,5152364,'1A',235,'N'),(20,5152372,'1',103,'N'),(20,5152399,'1',202,'N'),(20,5152399,'1A',235,'N'),(20,5152402,'1',101,'N'),(20,5152429,'1',103,'N'),(20,5152437,'1',415,'N'),(20,5152445,'1',233,'N'),(20,5152445,'1A',211,'N'),(20,5152453,'1',444,'N'),(20,5152461,'1',103,'N'),(20,5152470,'1',212,'N'),(20,5152470,'1A',220,'N'),(20,5152488,'1',207,'N'),(20,5152488,'1A',201,'N'),(20,5152496,'1',103,'N'),(20,5152500,'1',103,'N'),(20,5152518,'1',208,'N'),(20,5152526,'1',301,'N'),(20,5152542,'1',501,'N'),(20,5152550,'1',203,'N'),(20,5152550,'1A',601,'N'),(20,5152569,'1',303,'N'),(20,5152577,'1',303,'N'),(20,5152585,'1',211,'N'),(20,5152585,'1A',216,'N'),(20,5152607,'1',201,'N'),(20,5152607,'1A',212,'N'),(20,5152623,'1',104,'N'),(20,5152631,'1',103,'N'),(20,5152640,'1',216,'N'),(20,5152640,'1A',201,'N'),(20,5152658,'1',319,'N'),(20,5152666,'1',103,'N'),(20,5152674,'1',601,'N'),(20,5152674,'1A',201,'N'),(20,5152712,'1',202,'N'),(20,5152712,'1A',233,'N'),(20,5152720,'1',652,'N'),(20,5152720,'1A',653,'N'),(20,5152739,'1',5,'N'),(20,5152755,'1',303,'N'),(20,5152763,'1',201,'N'),(20,5152763,'1A',215,'N'),(20,5152771,'1',503,'N'),(20,5152798,'1',103,'N'),(20,5152801,'1',309,'N'),(20,5152810,'1',423,'N'),(20,5152810,'1A',428,'N'),(20,5152828,'1',319,'N'),(20,5152836,'1',303,'N'),(20,5152844,'1',319,'N'),(20,5152852,'1',203,'N'),(20,5152852,'1A',233,'N'),(20,5152879,'1',211,'N'),(20,5152879,'1A',216,'N'),(20,5152887,'1',318,'N'),(20,5152895,'1',103,'N'),(20,5152933,'1',104,'N'),(20,5152941,'1',501,'N'),(20,5152950,'1',102,'N'),(20,5152968,'1',319,'N'),(20,5152984,'1',202,'N'),(20,5152984,'1A',235,'N'),(20,5153018,'1',109,'N'),(20,5153026,'1',426,'N'),(20,5153026,'1A',428,'N'),(20,5153042,'1',415,'N'),(20,5153050,'1',103,'N'),(20,5153069,'1',104,'N'),(20,5153085,'1',211,'N'),(20,5153085,'1A',201,'N'),(20,5153115,'1',103,'N'),(20,5153131,'1',304,'N'),(20,5153140,'1',303,'N'),(20,5153158,'1',103,'N'),(20,5153174,'1',233,'N'),(20,5153174,'1A',216,'N'),(20,5153182,'1',425,'N'),(20,5153182,'1A',423,'N'),(20,5153239,'1',5,'N'),(20,5153247,'1',5,'N'),(20,5153263,'1',415,'N'),(20,5153271,'1',102,'N'),(20,5153280,'1',452,'N'),(20,5153298,'1',211,'N'),(20,5153298,'1A',201,'N'),(20,5153301,'1',103,'N'),(20,5153328,'1',103,'N'),(20,5153344,'1',331,'N'),(20,5153352,'1',415,'N'),(20,5153360,'1',207,'N'),(20,5153379,'1',319,'N'),(20,5153395,'1',103,'N'),(20,5153409,'1',216,'N'),(20,5153417,'1',103,'N'),(20,5153425,'1',320,'N'),(20,5153433,'1',216,'N'),(20,5153433,'1A',233,'N'),(20,5153441,'1',9,'N'),(20,5153450,'1',103,'N'),(20,5153468,'1',103,'N'),(20,5153476,'1',103,'N'),(20,5153484,'1',451,'N'),(20,5153506,'1',108,'N'),(20,5153522,'1',9,'N'),(20,5153530,'1',108,'N'),(20,5153549,'1',102,'N'),(20,5153557,'1',444,'N'),(20,5153565,'1',303,'N'),(20,5153573,'1',104,'N'),(20,5153581,'1',220,'N'),(20,5153638,'1',316,'N'),(20,5153646,'1',103,'N'),(20,5153654,'1',303,'N'),(20,5153662,'1',215,'N'),(20,5153662,'1A',211,'N'),(20,5153670,'1',103,'N'),(20,5153697,'1',336,'N'),(20,5153727,'1',203,'N'),(20,5153727,'1A',235,'N'),(20,5153735,'1',301,'N'),(20,5153743,'1',202,'N'),(20,5153743,'1A',208,'N'),(20,5153751,'1',202,'N'),(20,5153751,'1A',213,'N'),(20,5153760,'1',103,'N'),(20,5153778,'1',303,'N'),(20,5153786,'1',211,'N'),(20,5153786,'1A',215,'N'),(20,5153808,'1',201,'N'),(20,5153808,'1A',238,'N'),(20,5153816,'1',103,'N'),(20,5153824,'1',319,'N'),(20,5153832,'1',207,'N'),(20,5153832,'1A',201,'N'),(20,5153859,'1',502,'N'),(20,5153867,'1',102,'N'),(20,5153883,'1',451,'N'),(20,5153891,'1',103,'N'),(20,5153905,'1',102,'N'),(20,5153913,'1',103,'N'),(20,5153921,'1',327,'N'),(20,5153930,'1',5,'N'),(20,5153956,'1',103,'N'),(20,5153964,'1',201,'N'),(20,5153964,'1A',212,'N'),(20,5153972,'1',103,'N'),(20,5153980,'1',207,'N'),(20,5153980,'1A',215,'N'),(20,5153999,'1',302,'N'),(20,5154006,'1',103,'N'),(20,5154030,'1',336,'N'),(20,5154049,'1',103,'N'),(20,5154057,'1',324,'N'),(20,5154065,'1',9,'N'),(20,5154073,'1',103,'N'),(20,5154081,'1',211,'N'),(20,5154081,'1A',653,'N'),(20,5154090,'1',339,'N'),(20,5154103,'1',318,'N'),(20,5154111,'1',304,'N'),(20,5154120,'1',102,'N'),(20,5154138,'1',203,'N'),(20,5154138,'1A',215,'N'),(20,5154154,'1',103,'N'),(20,5154170,'1',104,'N'),(20,5154189,'1',301,'N'),(20,5154200,'1',103,'N'),(20,5154219,'1',309,'N'),(20,5154235,'1',415,'N'),(20,5154243,'1',108,'N'),(20,5154260,'1',203,'N'),(20,5154260,'1A',207,'N'),(20,5154278,'1',203,'N'),(20,5154278,'1A',220,'N'),(20,5154286,'1',103,'N'),(20,5154294,'1',5,'N'),(20,5154308,'1',103,'N'),(20,5154316,'1',5,'N'),(20,5154324,'1',201,'N'),(20,5154359,'1',327,'N'),(20,5154367,'1',502,'N'),(20,5154375,'1',238,'N'),(20,5154375,'1A',207,'N'),(20,5154405,'1',202,'N'),(20,5154405,'1A',201,'N'),(20,5154413,'1',502,'N'),(20,5154421,'1',502,'N'),(20,5154448,'1',103,'N'),(20,5154456,'1',336,'N'),(20,5154464,'1',404,'N'),(20,5154472,'1',104,'N'),(20,5154480,'1',316,'N'),(20,5154502,'1',109,'N'),(20,5154510,'1',101,'N'),(20,5154529,'1',220,'N'),(20,5154529,'1A',203,'N'),(20,5154537,'1',104,'N'),(20,5154545,'1',211,'N'),(20,5154545,'1A',214,'N'),(20,5154553,'1',213,'N'),(20,5154553,'1A',211,'N'),(20,5154561,'1',211,'N'),(20,5154561,'1A',215,'N'),(20,5154588,'1',208,'N'),(20,5154596,'1',216,'N'),(20,5154596,'1A',233,'N'),(20,5154600,'1',104,'N'),(20,5154618,'1',304,'N'),(20,5154642,'1',303,'N'),(20,5154650,'1',103,'N'),(20,5154669,'1',201,'N'),(20,5154669,'1A',212,'N'),(20,5154677,'1',319,'N'),(20,5154685,'1',303,'N'),(20,5154693,'1',103,'N'),(20,5154707,'1',601,'N'),(20,5154715,'1',303,'N'),(20,5154723,'1',501,'N'),(20,5154731,'1',326,'N'),(20,5154740,'1',203,'N'),(20,5154740,'1A',201,'N'),(20,5154758,'1',452,'N'),(20,5154790,'1',208,'N'),(20,5154790,'1A',235,'N'),(20,5154804,'1',203,'N'),(20,5154804,'1A',208,'N'),(20,5154820,'1',238,'N'),(20,5154820,'1A',653,'N'),(20,5154839,'1',213,'N'),(20,5154839,'1A',238,'N'),(20,5154847,'1',103,'N'),(20,5154855,'1',203,'N'),(20,5154855,'1A',601,'N'),(20,5154863,'1',203,'N'),(20,5154871,'1',5,'N'),(20,5154880,'1',104,'N'),(20,5154898,'1',103,'N'),(20,5154928,'1',452,'N'),(20,5154936,'1',452,'N'),(20,5154944,'1',303,'N'),(20,5154952,'1',103,'N'),(20,5154960,'1',319,'N'),(20,5154979,'1',103,'N'),(20,5154995,'1',103,'N'),(20,5155002,'1',301,'N'),(20,5155010,'1',201,'N'),(20,5155010,'1A',207,'N'),(20,5155029,'1',303,'N'),(20,5155037,'1',331,'N'),(20,5155045,'1',102,'N'),(20,5155070,'1',201,'N'),(20,5155070,'1A',212,'N'),(20,5155088,'1',103,'N'),(20,5155096,'1',207,'N'),(20,5155096,'1A',212,'N'),(20,5155100,'1',103,'N'),(20,5155118,'1',303,'N'),(20,5155126,'1',103,'N'),(20,5155134,'1',108,'N'),(20,5155142,'1',340,'N'),(20,5155150,'1',103,'N'),(20,5155169,'1',308,'N'),(20,5155177,'1',203,'N'),(20,5155177,'1A',201,'N'),(20,5155185,'1',103,'N'),(20,5155193,'1',103,'N'),(20,5155207,'1',108,'N'),(20,5155215,'1',207,'N'),(20,5155223,'1',211,'N'),(20,5155223,'1A',233,'N'),(20,5155231,'1',415,'N'),(20,5155240,'1',216,'N'),(20,5155240,'1A',203,'N'),(20,5155258,'1',201,'N'),(20,5155258,'1A',207,'N'),(20,5155266,'1',304,'N'),(20,5155274,'1',316,'N'),(20,5155290,'1',333,'N'),(20,5155312,'1',102,'N'),(20,5155339,'1',3,'N'),(20,5155347,'1',303,'N'),(20,5155355,'1',238,'N'),(20,5155355,'1A',208,'N'),(20,5155363,'1',238,'N'),(20,5155363,'1A',215,'N'),(20,5155380,'1',316,'N'),(20,5155398,'1',316,'N'),(20,5155401,'1',201,'N'),(20,5155428,'1',103,'N'),(20,5155444,'1',103,'N'),(20,5155452,'1',104,'N'),(20,5155479,'1',108,'N'),(20,5155495,'1',340,'N'),(20,5155509,'1',238,'N'),(20,5155509,'1A',208,'N'),(20,5155517,'1',103,'N'),(20,5155525,'1',102,'N'),(20,5155541,'1',652,'N'),(20,5155541,'1A',653,'N'),(20,5155550,'1',203,'N'),(20,5155550,'1A',208,'N'),(20,5155568,'1',207,'N'),(20,5155568,'1A',233,'N'),(20,5155576,'1',310,'N'),(20,5155584,'1',420,'N'),(20,5155592,'1',203,'N'),(20,5155592,'1A',202,'N'),(20,5155606,'1',103,'N'),(20,5155614,'1',203,'N'),(20,5155614,'1A',201,'N'),(20,5155622,'1',103,'N'),(20,5155630,'1',108,'N'),(20,5155657,'1',316,'N'),(20,5155665,'1',303,'N'),(20,5155681,'1',340,'N'),(20,5155690,'1',103,'N'),(20,5155703,'1',234,'N'),(20,5155711,'1',108,'N'),(20,5155720,'1',104,'N'),(20,5155738,'1',423,'N'),(20,5155738,'1A',424,'N'),(20,5155746,'1',203,'N'),(20,5155746,'1A',202,'N'),(20,5155754,'1',326,'N'),(20,5155770,'1',5,'N'),(20,5155789,'1',222,'N'),(20,5155797,'1',340,'N'),(20,5155819,'1',103,'N'),(20,5155827,'1',326,'N'),(20,5155835,'1',203,'N'),(20,5155835,'1A',214,'N'),(20,5155851,'1',102,'N'),(20,5155860,'1',207,'N'),(20,5155860,'1A',201,'N'),(20,5155878,'1',207,'N'),(20,5155878,'1A',201,'N'),(20,5155886,'1',304,'N'),(20,5155916,'1',104,'N'),(20,5155924,'1',220,'N'),(20,5155924,'1A',214,'N'),(20,5155940,'1',203,'N'),(20,5155940,'1A',211,'N'),(20,5155959,'1',203,'N'),(20,5155967,'1',331,'N'),(20,5155975,'1',316,'N'),(20,5155983,'1',103,'N'),(20,5155991,'1',5,'N'),(20,5156017,'1',302,'N'),(20,5156033,'1',201,'N'),(20,5156033,'1A',207,'N'),(20,5156041,'1',302,'N'),(20,5156050,'1',103,'N'),(20,5156068,'1',601,'N'),(20,5156068,'1A',201,'N'),(20,5156076,'1',452,'N'),(20,5156084,'1',207,'N'),(20,5156084,'1A',201,'N'),(20,5156092,'1',238,'N'),(20,5156092,'1A',601,'N'),(20,5156114,'1',208,'N'),(20,5156114,'1A',238,'N'),(20,5156122,'1',203,'N'),(20,5156122,'1A',214,'N'),(20,5156130,'1',212,'N'),(20,5156130,'1A',201,'N'),(20,5156149,'1',103,'N'),(20,5156157,'1',103,'N'),(20,5156165,'1',103,'N'),(20,5156173,'1',103,'N'),(20,5156181,'1',501,'N'),(20,5156190,'1',103,'N'),(20,5156203,'1',202,'N'),(20,5156203,'1A',213,'N'),(20,5156211,'1',103,'N'),(20,5156238,'1',326,'N'),(20,5156246,'1',104,'N'),(20,5156254,'1',108,'N'),(20,5156262,'1',103,'N'),(20,5156270,'1',214,'N'),(20,5156270,'1A',213,'N'),(20,5156289,'1',214,'N'),(20,5156289,'1A',601,'N'),(20,5156297,'1',415,'N'),(20,5156300,'1',5,'N'),(20,5156319,'1',404,'N'),(20,5156327,'1',103,'N'),(20,5156335,'1',415,'N'),(20,5156343,'1',102,'N'),(20,5156351,'1',103,'N'),(20,5156386,'1',5,'N'),(20,5156394,'1',207,'N'),(20,5156394,'1A',201,'N'),(20,5156408,'1',207,'N'),(20,5156408,'1A',211,'N'),(20,5156440,'1',317,'N'),(20,5156459,'1',329,'N'),(20,5156467,'1',103,'N'),(20,5156475,'1',302,'N'),(20,5156491,'1',303,'N'),(20,5156505,'1',216,'N'),(20,5156505,'1A',215,'N'),(20,5156513,'1',208,'N'),(20,5156521,'1',319,'N'),(20,5156530,'1',103,'N'),(20,5156548,'1',303,'N'),(20,5156556,'1',302,'N'),(20,5156564,'1',303,'N'),(20,5156572,'1',415,'N'),(20,5156580,'1',211,'N'),(20,5156580,'1A',215,'N'),(20,5156599,'1',340,'N'),(20,5156602,'1',329,'N'),(20,5156610,'1',208,'N'),(20,5156610,'1A',238,'N'),(20,5156629,'1',203,'N'),(20,5156629,'1A',214,'N'),(20,5156637,'1',103,'N'),(20,5156645,'1',203,'N'),(20,5156645,'1A',202,'N'),(20,5156653,'1',9,'N'),(20,5156661,'1',428,'N'),(20,5156661,'1A',425,'N'),(20,5156670,'1',103,'N'),(20,5156688,'1',103,'N'),(20,5156700,'1',214,'N'),(20,5156700,'1A',233,'N'),(20,5156718,'1',201,'N'),(20,5156718,'1A',211,'N'),(20,5156726,'1',103,'N'),(20,5156734,'1',201,'N'),(20,5156734,'1A',207,'N'),(20,5156742,'1',203,'N'),(20,5156742,'1A',233,'N'),(20,5156750,'1',9,'N'),(20,5156769,'1',103,'N'),(20,5156777,'1',302,'N'),(20,5156785,'1',216,'N'),(20,5156793,'1',340,'N'),(20,5156815,'1',101,'N'),(20,5156823,'1',601,'N'),(20,5156823,'1A',201,'N'),(20,5156831,'1',453,'N'),(20,5156840,'1',207,'N'),(20,5156840,'1A',208,'N'),(20,5156858,'1',103,'N'),(20,5156866,'1',304,'N'),(20,5156874,'1',208,'N'),(20,5156874,'1A',235,'N'),(20,5156890,'1',303,'N'),(20,5156904,'1',238,'N'),(20,5156904,'1A',208,'N'),(20,5156912,'1',653,'N'),(20,5156912,'1A',652,'N'),(20,5156920,'1',216,'N'),(20,5156920,'1A',207,'N'),(20,5156939,'1',303,'N'),(20,5156955,'1',203,'N'),(20,5156971,'1',108,'N'),(20,5156998,'1',203,'N'),(20,5156998,'1A',220,'N'),(20,5157005,'1',103,'N'),(20,5157013,'1',332,'N'),(20,5157021,'1',303,'N'),(20,5157064,'1',5,'N'),(20,5157072,'1',501,'N'),(20,5157099,'1',301,'N'),(20,5157102,'1',103,'N'),(20,5157110,'1',444,'N'),(20,5157129,'1',211,'N'),(20,5157129,'1A',215,'N'),(20,5157137,'1',103,'N'),(20,5157145,'1',452,'N'),(20,5157153,'1',319,'N'),(20,5157161,'1',203,'N'),(20,5157161,'1A',201,'N'),(20,5157196,'1',103,'N'),(20,5157200,'1',502,'N'),(20,5157218,'1',212,'N'),(20,5157218,'1A',203,'N'),(20,5157234,'1',103,'N'),(20,5157242,'1',103,'N'),(20,5157269,'1',301,'N'),(20,5157277,'1',316,'N'),(20,5157285,'1',103,'N'),(20,5157293,'1',103,'N'),(20,5157307,'1',415,'N'),(20,5157323,'1',103,'N'),(20,5157331,'1',101,'N'),(20,5157358,'1',103,'N'),(20,5157366,'1',103,'N'),(20,5157374,'1',103,'N'),(20,5157382,'1',426,'N'),(20,5157382,'1A',429,'N'),(20,5157390,'1',303,'N'),(20,5157404,'1',201,'N'),(20,5157404,'1A',203,'N'),(20,5157412,'1',203,'N'),(20,5157412,'1A',214,'N'),(20,5157420,'1',303,'N'),(20,5157439,'1',103,'N'),(20,5157447,'1',103,'N'),(20,5157455,'1',301,'N'),(20,5157471,'1',216,'N'),(20,5157471,'1A',211,'N'),(20,5157480,'1',319,'N'),(20,5157498,'1',103,'N'),(20,5157501,'1',201,'N'),(20,5157501,'1A',220,'N'),(20,5157510,'1',211,'N'),(20,5157510,'1A',653,'N'),(20,5157528,'1',452,'N'),(20,5157536,'1',3,'N'),(20,5157544,'1',303,'N'),(20,5157552,'1',303,'N'),(20,5157579,'1',214,'N'),(20,5157579,'1A',208,'N'),(20,5157587,'1',102,'N'),(20,5157595,'1',303,'N'),(20,5157609,'1',301,'N'),(20,5157617,'1',201,'N'),(20,5157617,'1A',601,'N'),(20,5157625,'1',108,'N'),(20,5157641,'1',502,'N'),(20,5157668,'1',201,'N'),(20,5157668,'1A',211,'N'),(20,5157684,'1',444,'N'),(20,5157706,'1',220,'N'),(20,5157706,'1A',601,'N'),(20,5157730,'1',103,'N'),(20,5157757,'1',453,'N'),(20,5157773,'1',103,'N'),(20,5157781,'1',103,'N'),(20,5157811,'1',103,'N'),(20,5157846,'1',104,'N'),(20,5157862,'1',333,'N'),(20,5157870,'1',103,'N'),(20,5157889,'1',316,'N'),(20,5157897,'1',202,'N'),(20,5157897,'1A',235,'N'),(20,5157919,'1',5,'N'),(20,5157927,'1',601,'N'),(20,5157935,'1',326,'N'),(20,5157943,'1',444,'N'),(20,5157951,'1',203,'N'),(20,5157951,'1A',201,'N'),(20,5157960,'1',201,'N'),(20,5157960,'1A',233,'N'),(20,5157978,'1',303,'N'),(20,5157986,'1',203,'N'),(20,5157986,'1A',201,'N'),(20,5157994,'1',103,'N'),(20,5158010,'1',103,'N'),(20,5158028,'1',235,'N'),(20,5158028,'1A',213,'N'),(20,5158044,'1',104,'N'),(20,5158052,'1',207,'N'),(20,5158052,'1A',211,'N'),(20,5158060,'1',103,'N'),(20,5158079,'1',425,'N'),(20,5158109,'1',207,'N'),(20,5158109,'1A',211,'N'),(20,5158117,'1',653,'N'),(20,5158117,'1A',601,'N'),(20,5158125,'1',303,'N'),(20,5158133,'1',551,'N'),(20,5158141,'1',203,'N'),(20,5158141,'1A',214,'N'),(20,5158150,'1',425,'N'),(20,5158150,'1A',429,'N'),(20,5158168,'1',2,'N'),(20,5158176,'1',220,'N'),(20,5158176,'1A',208,'N'),(20,5158192,'1',212,'N'),(20,5158192,'1A',201,'N'),(20,5158214,'1',5,'N'),(20,5158222,'1',207,'N'),(20,5158222,'1A',201,'N'),(20,5158249,'1',102,'N'),(20,5158265,'1',9,'N'),(20,5158273,'1',203,'N'),(20,5158273,'1A',211,'N'),(20,5158281,'1',207,'N'),(20,5158281,'1A',211,'N'),(20,5158290,'1',303,'N'),(20,5158303,'1',3,'N'),(20,5158311,'1',420,'N'),(20,5158320,'1',103,'N'),(20,5158346,'1',2,'N'),(20,5158354,'1',5,'N'),(20,5158362,'1',215,'N'),(20,5158362,'1A',216,'N'),(20,5158370,'1',103,'N'),(20,5158397,'1',9,'N'),(20,5158419,'1',103,'N'),(20,5158427,'1',211,'N'),(20,5158427,'1A',215,'N'),(20,5158435,'1',212,'N'),(20,5158435,'1A',202,'N'),(20,5158443,'1',103,'N'),(20,5158451,'1',453,'N'),(20,5158460,'1',103,'N'),(20,5158478,'1',420,'N'),(20,5158486,'1',340,'N'),(20,5158494,'1',102,'N'),(20,5158508,'1',326,'N'),(20,5158516,'1',207,'N'),(20,5158524,'1',5,'N'),(20,5158540,'1',203,'N'),(20,5158540,'1A',202,'N'),(20,5158559,'1',238,'N'),(20,5158567,'1',203,'N'),(20,5158567,'1A',235,'N'),(20,5158583,'1',201,'N'),(20,5158605,'1',103,'N'),(20,5158613,'1',101,'N'),(20,5158621,'1',303,'N'),(20,5158630,'1',103,'N'),(20,5158648,'1',103,'N'),(20,5158656,'1',302,'N'),(20,5158699,'1',316,'N'),(20,5158702,'1',208,'N'),(20,5158710,'1',203,'N'),(20,5158710,'1A',214,'N'),(20,5158729,'1',103,'N'),(20,5158745,'1',103,'N'),(20,5158753,'1',211,'N'),(20,5158753,'1A',208,'N'),(20,5158761,'1',502,'N'),(20,5158770,'1',203,'N'),(20,5158770,'1A',202,'N'),(20,5158788,'1',211,'N'),(20,5158788,'1A',203,'N'),(20,5158796,'1',317,'N'),(20,5158800,'1',212,'N'),(20,5158800,'1A',214,'N'),(20,5158818,'1',103,'N'),(20,5158826,'1',103,'N'),(20,5158834,'1',201,'N'),(20,5158834,'1A',212,'N'),(20,5158842,'1',319,'N'),(20,5158850,'1',238,'N'),(20,5158850,'1A',208,'N'),(20,5158877,'1',340,'N'),(20,5158885,'1',404,'N'),(20,5158893,'1',211,'N'),(20,5158893,'1A',215,'N'),(20,5158907,'1',216,'N'),(20,5158907,'1A',233,'N'),(20,5158915,'1',320,'N'),(20,5158923,'1',331,'N'),(20,5158931,'1',333,'N'),(20,5158940,'1',444,'N'),(20,5158958,'1',501,'N'),(20,5158966,'1',212,'N'),(20,5158966,'1A',213,'N'),(20,5158990,'1',203,'N'),(20,5158990,'1A',201,'N'),(20,5159008,'1',203,'N'),(20,5159016,'1',444,'N'),(20,5159024,'1',220,'N'),(20,5159024,'1A',235,'N'),(20,5159032,'1',429,'N'),(20,5159032,'1A',423,'N'),(20,5159040,'1',213,'N'),(20,5159040,'1A',214,'N'),(20,5159059,'1',108,'N'),(20,5159067,'1',104,'N'),(20,5159075,'1',214,'N'),(20,5159075,'1A',220,'N'),(20,5159083,'1',304,'N'),(20,5159091,'1',5,'N'),(20,5159105,'1',426,'N'),(20,5159105,'1A',428,'N'),(20,5159113,'1',340,'N'),(20,5159121,'1',2,'N'),(20,5159130,'1',444,'N'),(20,5159148,'1',651,'N'),(20,5159148,'1A',653,'N'),(20,5159156,'1',303,'N'),(20,5159164,'1',233,'N'),(20,5159164,'1A',213,'N'),(20,5159172,'1',207,'N'),(20,5159172,'1A',201,'N'),(20,5159180,'1',103,'N'),(20,5159199,'1',202,'N'),(20,5159199,'1A',203,'N'),(20,5159202,'1',108,'N'),(20,5159237,'1',502,'N'),(20,5159245,'1',103,'N'),(20,5159253,'1',103,'N'),(20,5159261,'1',452,'N'),(20,5159288,'1',238,'N'),(20,5159288,'1A',211,'N'),(20,5159300,'1',103,'N'),(20,5159318,'1',220,'N'),(20,5159318,'1A',203,'N'),(20,5159326,'1',238,'N'),(20,5159326,'1A',235,'N'),(20,5159342,'1',103,'N'),(20,5159350,'1',5,'N'),(20,5159369,'1',207,'N'),(20,5159369,'1A',201,'N'),(20,5159377,'1',444,'N'),(20,5159393,'1',319,'N'),(20,5159407,'1',101,'N'),(20,5159423,'1',601,'N'),(20,5159423,'1A',220,'N'),(20,5159431,'1',201,'N'),(20,5159431,'1A',220,'N'),(20,5159440,'1',450,'N'),(20,5159474,'1',102,'N'),(20,5159482,'1',104,'N'),(20,5159504,'1',201,'N'),(20,5159504,'1A',207,'N'),(20,5159520,'1',202,'N'),(20,5159520,'1A',220,'N'),(20,5159539,'1',238,'N'),(20,5159539,'1A',208,'N'),(20,5159563,'1',502,'N'),(20,5159598,'1',103,'N'),(20,5159601,'1',108,'N'),(20,5159610,'1',103,'N'),(20,5159628,'1',453,'N'),(20,5159644,'1',5,'N'),(20,5159652,'1',103,'N'),(20,5159660,'1',103,'N'),(20,5159725,'1',103,'N'),(20,5159750,'1',415,'N'),(20,5159768,'1',301,'N'),(20,5159776,'1',201,'N'),(20,5159776,'1A',212,'N'),(20,5159784,'1',203,'N'),(20,5159792,'1',108,'N'),(20,5159806,'1',203,'N'),(20,5159814,'1',225,'N'),(20,5159822,'1',339,'N'),(20,5159830,'1',103,'N'),(20,5159881,'1',103,'N'),(20,5159920,'1',103,'N'),(20,5159946,'1',301,'N'),(20,5159954,'1',104,'N'),(20,5159962,'1',5,'N'),(20,5159970,'1',238,'N'),(20,5159970,'1A',208,'N'),(20,5159989,'1',103,'N'),(20,5159997,'1',302,'N'),(20,5160022,'1',303,'N'),(20,5160030,'1',238,'N'),(20,5160030,'1A',208,'N'),(20,5160049,'1',207,'N'),(20,5160049,'1A',212,'N'),(20,5160103,'1',208,'N'),(20,5160103,'1A',238,'N'),(20,5160111,'1',420,'N'),(20,5160146,'1',211,'N'),(20,5160146,'1A',216,'N'),(20,5160154,'1',207,'N'),(20,5160154,'1A',201,'N'),(20,5160162,'1',103,'N'),(20,5160170,'1',501,'N'),(20,5160189,'1',319,'N'),(20,5160197,'1',653,'N'),(20,5160227,'1',326,'N'),(20,5160235,'1',212,'N'),(20,5160235,'1A',601,'N'),(20,5160243,'1',103,'N'),(20,5160260,'1',652,'N'),(20,5160260,'1A',653,'N'),(20,5160286,'1',203,'N'),(20,5160286,'1A',214,'N'),(20,5160359,'1',203,'N'),(20,5160359,'1A',601,'N'),(20,5160367,'1',233,'N'),(20,5160367,'1A',211,'N'),(20,5160383,'1',215,'N'),(20,5160383,'1A',211,'N'),(20,5160391,'1',601,'N'),(20,5160391,'1A',213,'N'),(20,5160421,'1',238,'N'),(20,5160421,'1A',208,'N'),(20,5160480,'1',452,'N'),(20,5160499,'1',103,'N'),(20,5160502,'1',501,'N'),(20,5160510,'1',103,'N'),(20,5160529,'1',309,'N'),(20,5160537,'1',235,'N'),(20,5160537,'1A',220,'N'),(20,5160553,'1',452,'N'),(20,5160561,'1',202,'N'),(20,5160561,'1A',216,'N'),(20,5160570,'1',203,'N'),(20,5160570,'1A',201,'N'),(20,5160588,'1',503,'N'),(20,5160596,'1',328,'N'),(20,5160600,'1',340,'N'),(20,5160618,'1',211,'N'),(20,5160618,'1A',216,'N'),(20,5160634,'1',326,'N'),(20,5160642,'1',303,'N'),(20,5160669,'1',101,'N'),(20,5160677,'1',238,'N'),(20,5160677,'1A',215,'N'),(20,5160685,'1',103,'N'),(20,5160693,'1',318,'N'),(20,5160715,'1',216,'N'),(20,5160715,'1A',211,'N'),(20,5160774,'1',308,'N'),(20,5160782,'1',9,'N'),(20,5160790,'1',316,'N'),(20,5160812,'1',205,'N'),(20,5160820,'1',319,'N'),(20,5160839,'1',444,'N'),(20,5160863,'1',424,'N'),(20,5160863,'1A',425,'N'),(20,5160871,'1',216,'N'),(20,5160871,'1A',211,'N'),(20,5160880,'1',216,'N'),(20,5160880,'1A',207,'N'),(20,5160898,'1',5,'N'),(20,5160901,'1',101,'N'),(20,5160910,'1',203,'N'),(20,5160910,'1A',235,'N'),(20,5160936,'1',5,'N'),(20,5160952,'1',316,'N'),(20,5160979,'1',651,'N'),(20,5160979,'1A',652,'N'),(20,5160987,'1',333,'N'),(20,5160995,'1',301,'N'),(20,5161002,'1',207,'N'),(20,5161002,'1A',212,'N'),(20,5161037,'1',420,'N'),(20,5161045,'1',102,'N'),(20,5161061,'1',201,'N'),(20,5161061,'1A',208,'N'),(20,5161070,'1',233,'N'),(20,5161070,'1A',214,'N'),(20,5161088,'1',501,'N'),(20,5161118,'1',201,'N'),(20,5161118,'1A',208,'N'),(20,5161134,'1',301,'N'),(20,5161142,'1',653,'N'),(20,5161142,'1A',216,'N'),(20,5161150,'1',103,'N'),(20,5161177,'1',103,'N'),(20,5161185,'1',303,'N'),(20,5161207,'1',551,'N'),(20,5161215,'1',304,'N'),(20,5161231,'1',444,'N'),(20,5161258,'1',102,'N'),(20,5161266,'1',5,'N'),(20,5161274,'1',9,'N'),(20,5161304,'1',103,'N'),(20,5161312,'1',303,'N'),(20,5161320,'1',216,'N'),(20,5161320,'1A',233,'N'),(20,5161339,'1',108,'N'),(20,5161355,'1',103,'N'),(20,5161363,'1',103,'N'),(20,5161371,'1',211,'N'),(20,5161371,'1A',201,'N'),(20,5161398,'1',207,'N'),(20,5161398,'1A',211,'N'),(20,5161401,'1',207,'N'),(20,5161401,'1A',201,'N'),(20,5161410,'1',303,'N'),(20,5161444,'1',201,'N'),(20,5161444,'1A',208,'N'),(20,5161452,'1',326,'N'),(20,5161487,'1',319,'N'),(20,5161509,'1',108,'N'),(20,5161525,'1',9,'N'),(20,5161541,'1',318,'N'),(20,5161576,'1',319,'N'),(20,5161584,'1',301,'N'),(20,5161606,'1',340,'N'),(20,5161614,'1',316,'N'),(20,5161657,'1',423,'N'),(20,5161657,'1A',428,'N'),(20,5161665,'1',103,'N'),(20,5161673,'1',451,'N'),(20,5161681,'1',103,'N'),(20,5161690,'1',502,'N'),(20,5161703,'1',424,'N'),(20,5161703,'1A',429,'N'),(20,5161711,'1',102,'N'),(20,5161720,'1',216,'N'),(20,5161720,'1A',207,'N'),(20,5161738,'1',108,'N'),(20,5161746,'1',103,'N'),(20,5161754,'1',202,'N'),(20,5161754,'1A',233,'N'),(20,5161762,'1',5,'N'),(20,5161789,'1',503,'N'),(20,5161797,'1',103,'N'),(20,5161800,'1',238,'N'),(20,5161800,'1A',208,'N'),(20,5161819,'1',216,'N'),(20,5161835,'1',103,'N'),(20,5161843,'1',339,'N'),(20,5161851,'1',103,'N'),(20,5161860,'1',211,'N'),(20,5161860,'1A',216,'N'),(20,5161878,'1',103,'N'),(20,5161894,'1',212,'N'),(20,5161894,'1A',207,'N'),(20,5161908,'1',303,'N'),(20,5161916,'1',103,'N'),(20,5161924,'1',451,'N'),(20,5161932,'1',207,'N'),(20,5161940,'1',415,'N'),(20,5161959,'1',304,'N'),(20,5161967,'1',5,'N'),(20,5161975,'1',103,'N'),(20,5161983,'1',450,'N'),(20,5161991,'1',102,'N'),(20,5162009,'1',103,'N'),(20,5162017,'1',220,'N'),(20,5162017,'1A',202,'N'),(20,5162025,'1',103,'N'),(20,5162033,'1',502,'N'),(20,5162041,'1',103,'N'),(20,5162050,'1',601,'N'),(20,5162050,'1A',201,'N'),(20,5162068,'1',450,'N'),(20,5162076,'1',653,'N'),(20,5162084,'1',201,'N'),(20,5162092,'1',340,'N'),(20,5162106,'1',452,'N'),(20,5162122,'1',653,'N'),(20,5162122,'1A',652,'N'),(20,5162130,'1',317,'N'),(20,5162149,'1',215,'N'),(20,5162149,'1A',233,'N'),(20,5162157,'1',104,'N'),(20,5162165,'1',222,'N'),(20,5162173,'1',214,'N'),(20,5162173,'1A',233,'N'),(20,5162181,'1',317,'N'),(20,5162190,'1',103,'N'),(20,5162203,'1',103,'N'),(20,5162211,'1',451,'N'),(20,5162238,'1',201,'N'),(20,5162238,'1A',207,'N'),(20,5162246,'1',103,'N'),(20,5162254,'1',203,'N'),(20,5162254,'1A',201,'N'),(20,5162262,'1',103,'N'),(20,5162270,'1',103,'N'),(20,5162289,'1',450,'N'),(20,5162297,'1',103,'N'),(20,5162300,'1',340,'N'),(20,5162319,'1',101,'N'),(20,5162327,'1',108,'N'),(20,5162335,'1',108,'N'),(20,5162351,'1',444,'N'),(20,5162360,'1',327,'N'),(20,5162378,'1',102,'N'),(20,5162386,'1',425,'N'),(20,5162386,'1A',427,'N'),(20,5162394,'1',415,'N'),(20,5162408,'1',215,'N'),(20,5162408,'1A',216,'N'),(20,5162416,'1',310,'N'),(20,5162424,'1',103,'N'),(20,5162432,'1',101,'N'),(20,5162459,'1',318,'N'),(20,5162467,'1',319,'N'),(20,5162483,'1',340,'N'),(20,5162491,'1',211,'N'),(20,5162491,'1A',207,'N'),(20,5162513,'1',303,'N'),(20,5162521,'1',601,'N'),(20,5162521,'1A',653,'N'),(20,5162530,'1',103,'N'),(20,5162548,'1',215,'N'),(20,5162548,'1A',216,'N'),(20,5162572,'1',501,'N'),(20,5162599,'1',211,'N'),(20,5162599,'1A',216,'N'),(20,5162602,'1',201,'N'),(20,5162602,'1A',211,'N'),(20,5162610,'1',103,'N'),(20,5162629,'1',415,'N'),(20,5162637,'1',429,'N'),(20,5162637,'1A',421,'N'),(20,5162645,'1',5,'N'),(20,5162653,'1',201,'N'),(20,5162653,'1A',203,'N'),(20,5162661,'1',316,'N'),(20,5162670,'1',108,'N'),(20,5162696,'1',108,'N'),(20,5162700,'1',238,'N'),(20,5162700,'1A',208,'N'),(20,5162718,'1',201,'N'),(20,5162718,'1A',212,'N'),(20,5162726,'1',208,'N'),(20,5162726,'1A',238,'N'),(20,5162734,'1',103,'N'),(20,5162742,'1',103,'N'),(20,5162769,'1',103,'N'),(20,5162777,'1',450,'N'),(20,5162793,'1',103,'N'),(20,5162807,'1',108,'N'),(20,5162815,'1',238,'N'),(20,5162815,'1A',653,'N'),(20,5162831,'1',238,'N'),(20,5162831,'1A',208,'N'),(20,5162840,'1',336,'N'),(20,5162866,'1',103,'N'),(20,5162874,'1',103,'N'),(20,5162882,'1',5,'N'),(20,5162890,'1',327,'N'),(20,5162904,'1',420,'N'),(20,5162912,'1',324,'N'),(20,5162920,'1',103,'N'),(20,5162939,'1',238,'N'),(20,5162939,'1A',208,'N'),(20,5162947,'1',104,'N'),(20,5162955,'1',304,'N'),(20,5162971,'1',302,'N'),(20,5162980,'1',103,'N'),(20,5162998,'1',301,'N'),(20,5163005,'1',316,'N'),(20,5163013,'1',320,'N'),(20,5163021,'1',103,'N'),(20,5163030,'1',415,'N'),(20,5163048,'1',404,'N'),(20,5163056,'1',203,'N'),(20,5163056,'1A',601,'N'),(20,5163064,'1',316,'N'),(20,5163072,'1',429,'N'),(20,5163072,'1A',426,'N'),(20,5163080,'1',444,'N'),(20,5163102,'1',103,'N'),(20,5163110,'1',103,'N'),(20,5163129,'1',5,'N'),(20,5163137,'1',103,'N'),(20,5163145,'1',327,'N'),(20,5163153,'1',103,'N'),(20,5163161,'1',104,'N'),(20,5163170,'1',223,'N'),(20,5163188,'1',301,'N'),(20,5163200,'1',316,'N'),(20,5163218,'1',207,'N'),(20,5163218,'1A',201,'N'),(20,5163234,'1',207,'N'),(20,5163250,'1',444,'N'),(20,5163269,'1',207,'N'),(20,5163269,'1A',201,'N'),(20,5163277,'1',420,'N'),(20,5163285,'1',601,'N'),(20,5163285,'1A',214,'N'),(20,5163307,'1',426,'N'),(20,5163315,'1',340,'N'),(20,5163323,'1',332,'N'),(20,5163331,'1',317,'N'),(20,5163340,'1',103,'N'),(20,5163358,'1',201,'N'),(20,5163358,'1A',235,'N'),(20,5163366,'1',302,'N'),(20,5163382,'1',324,'N'),(20,5163390,'1',238,'N'),(20,5163390,'1A',207,'N'),(20,5163404,'1',201,'N'),(20,5163404,'1A',207,'N'),(20,5163412,'1',333,'N'),(20,5163439,'1',203,'N'),(20,5163439,'1A',220,'N'),(20,5163455,'1',220,'N'),(20,5163455,'1A',203,'N'),(20,5163463,'1',601,'N'),(20,5163480,'1',201,'N'),(20,5163480,'1A',212,'N'),(20,5163498,'1',103,'N'),(20,5163501,'1',5,'N'),(20,5163528,'1',319,'N'),(20,5163536,'1',501,'N'),(20,5163544,'1',216,'N'),(20,5163544,'1A',215,'N'),(20,5163560,'1',308,'N'),(20,5163587,'1',340,'N'),(20,5163595,'1',303,'N'),(20,5163609,'1',203,'N'),(20,5163609,'1A',214,'N'),(20,5163617,'1',318,'N'),(20,5163625,'1',310,'N'),(20,5163641,'1',207,'N'),(20,5163641,'1A',201,'N'),(20,5163650,'1',108,'N'),(20,5163668,'1',207,'N'),(20,5163668,'1A',214,'N'),(20,5163692,'1',601,'N'),(20,5163692,'1A',653,'N'),(20,5163714,'1',214,'N'),(20,5163714,'1A',212,'N'),(20,5163722,'1',103,'N'),(20,5163730,'1',316,'N'),(20,5163749,'1',103,'N'),(20,5163757,'1',317,'N'),(20,5163765,'1',216,'N'),(20,5163765,'1A',601,'N'),(20,5163781,'1',304,'N'),(20,5163790,'1',308,'N'),(20,5163811,'1',444,'N'),(20,5163838,'1',104,'N'),(20,5163846,'1',324,'N'),(20,5163870,'1',5,'N'),(20,5163897,'1',3,'N'),(20,5163900,'1',404,'N'),(20,5163919,'1',108,'N'),(20,5163927,'1',201,'N'),(20,5163927,'1A',601,'N'),(20,5163951,'1',333,'N'),(20,5163960,'1',103,'N'),(20,5163978,'1',503,'N'),(20,5163986,'1',326,'N'),(20,5163994,'1',104,'N'),(20,5164001,'1',319,'N'),(20,5164028,'1',103,'N'),(20,5164036,'1',333,'N'),(20,5164044,'1',319,'N'),(20,5164060,'1',216,'N'),(20,5164060,'1A',203,'N'),(20,5164079,'1',201,'N'),(20,5164079,'1A',208,'N'),(20,5164087,'1',103,'N'),(20,5164095,'1',208,'N'),(20,5164095,'1A',238,'N'),(20,5164109,'1',317,'N'),(20,5164117,'1',103,'N'),(20,5164125,'1',503,'N'),(20,5164133,'1',316,'N'),(20,5164141,'1',104,'N'),(20,5164150,'1',5,'N'),(20,5164168,'1',208,'N'),(20,5164168,'1A',214,'N'),(20,5164184,'1',9,'N'),(20,5164192,'1',501,'N'),(20,5164206,'1',420,'N'),(20,5164214,'1',216,'N'),(20,5164214,'1A',201,'N'),(20,5164249,'1',103,'N'),(20,5164257,'1',303,'N'),(20,5164265,'1',303,'N'),(20,5164273,'1',340,'N'),(20,5164281,'1',203,'N'),(20,5164281,'1A',214,'N'),(20,5164290,'1',102,'N'),(20,5164303,'1',102,'N'),(20,5164311,'1',202,'N'),(20,5164311,'1A',235,'N'),(20,5164320,'1',203,'N'),(20,5164320,'1A',202,'N'),(20,5164346,'1',327,'N'),(20,5164354,'1',215,'N'),(20,5164354,'1A',208,'N'),(20,5164362,'1',207,'N'),(20,5164362,'1A',201,'N'),(20,5164370,'1',316,'N'),(20,5164389,'1',452,'N'),(20,5164397,'1',319,'N'),(20,5164400,'1',203,'N'),(20,5164400,'1A',208,'N'),(20,5164443,'1',301,'N'),(20,5164451,'1',104,'N'),(20,5164460,'1',207,'N'),(20,5164478,'1',319,'N'),(20,5164494,'1',415,'N'),(20,5164508,'1',5,'N'),(20,5164516,'1',101,'N'),(20,5164532,'1',103,'N'),(20,5164540,'1',103,'N'),(20,5164559,'1',319,'N'),(20,5164567,'1',234,'N'),(20,5164575,'1',207,'N'),(20,5164575,'1A',238,'N'),(20,5164583,'1',421,'N'),(20,5164583,'1A',429,'N'),(20,5164591,'1',104,'N'),(20,5164613,'1',303,'N'),(20,5164621,'1',5,'N'),(20,5164630,'1',301,'N'),(20,5164648,'1',453,'N'),(20,5164656,'1',238,'N'),(20,5164656,'1A',208,'N'),(20,5164672,'1',103,'N'),(20,5164702,'1',202,'N'),(20,5164702,'1A',216,'N'),(20,5164710,'1',340,'N'),(20,5164737,'1',238,'N'),(20,5164737,'1A',207,'N'),(20,5164745,'1',301,'N'),(20,5164753,'1',103,'N'),(20,5164761,'1',450,'N'),(20,5164770,'1',327,'N'),(20,5164788,'1',203,'N'),(20,5164788,'1A',214,'N'),(20,5164796,'1',318,'N'),(20,5164800,'1',9,'N'),(20,5164818,'1',103,'N'),(20,5164826,'1',304,'N'),(20,5164834,'1',103,'N'),(20,5164842,'1',2,'N'),(20,5164850,'1',444,'N'),(20,5164869,'1',104,'N'),(20,5164877,'1',415,'N'),(20,5164885,'1',207,'N'),(20,5164885,'1A',201,'N'),(20,5164915,'1',103,'N'),(20,5164923,'1',601,'N'),(20,5164966,'1',211,'N'),(20,5164966,'1A',201,'N'),(20,5164974,'1',9,'N'),(20,5164982,'1',207,'N'),(20,5164982,'1A',653,'N'),(20,5164990,'1',303,'N'),(20,5165016,'1',5,'N'),(20,5165024,'1',453,'N'),(20,5165032,'1',404,'N'),(20,5165059,'1',653,'N'),(20,5165067,'1',103,'N'),(20,5165075,'1',207,'N'),(20,5165075,'1A',201,'N'),(20,5165083,'1',415,'N'),(20,5165091,'1',301,'N'),(20,5165105,'1',104,'N'),(20,5165121,'1',319,'N'),(20,5165130,'1',424,'N'),(20,5165130,'1A',425,'N'),(20,5165148,'1',308,'N'),(20,5165172,'1',415,'N'),(20,5165180,'1',208,'N'),(20,5165180,'1A',238,'N'),(20,5165199,'1',203,'N'),(20,5165202,'1',501,'N'),(20,5165210,'1',103,'N'),(20,5165237,'1',216,'N'),(20,5165237,'1A',653,'N'),(20,5165245,'1',203,'N'),(20,5165253,'1',203,'N'),(20,5165253,'1A',233,'N'),(20,5165270,'1',216,'N'),(20,5165270,'1A',215,'N'),(20,5165288,'1',104,'N'),(20,5165296,'1',5,'N'),(20,5165300,'1',324,'N'),(20,5165318,'1',303,'N'),(20,5165326,'1',2,'N'),(20,5165334,'1',453,'N'),(20,5165350,'1',104,'N'),(20,5165369,'1',103,'N'),(20,5165377,'1',336,'N'),(20,5165385,'1',424,'N'),(20,5165385,'1A',427,'N'),(20,5165407,'1',104,'N'),(20,5165423,'1',303,'N'),(20,5165431,'1',303,'N'),(20,5165440,'1',101,'N'),(20,5165466,'1',303,'N'),(20,5165482,'1',224,'N'),(20,5165490,'1',337,'N'),(20,5165504,'1',207,'N'),(20,5165504,'1A',201,'N'),(20,5165539,'1',301,'N'),(20,5165547,'1',326,'N'),(20,5165555,'1',103,'N'),(20,5165563,'1',104,'N'),(20,5165571,'1',319,'N'),(20,5165580,'1',215,'N'),(20,5165580,'1A',238,'N'),(20,5165598,'1',103,'N'),(20,5165601,'1',203,'N'),(20,5165601,'1A',214,'N'),(20,5165610,'1',301,'N'),(20,5165628,'1',203,'N'),(20,5165628,'1A',220,'N'),(20,5165636,'1',425,'N'),(20,5165636,'1A',423,'N'),(20,5165660,'1',653,'N'),(20,5165660,'1A',201,'N'),(20,5165679,'1',103,'N'),(20,5165687,'1',103,'N'),(20,5165695,'1',340,'N'),(20,5165709,'1',503,'N'),(20,5165717,'1',340,'N'),(20,5165725,'1',203,'N'),(20,5165725,'1A',220,'N'),(20,5165733,'1',238,'N'),(20,5165733,'1A',208,'N'),(20,5165784,'1',220,'N'),(20,5165784,'1A',214,'N'),(20,5165792,'1',103,'N'),(20,5165806,'1',301,'N'),(20,5165814,'1',303,'N'),(20,5165830,'1',653,'N'),(20,5165830,'1A',652,'N'),(20,5165849,'1',327,'N'),(20,5165857,'1',103,'N'),(20,5165873,'1',316,'N'),(20,5165890,'1',101,'N'),(20,5165911,'1',429,'N'),(20,5165911,'1A',425,'N'),(20,5165962,'1',601,'N'),(20,5165962,'1A',201,'N'),(20,5165997,'1',316,'N'),(20,5166004,'1',103,'N'),(20,5166020,'1',5,'N'),(20,5166039,'1',103,'N'),(20,5166055,'1',415,'N'),(20,5166063,'1',207,'N'),(20,5166063,'1A',216,'N'),(20,5166098,'1',103,'N'),(20,5166101,'1',319,'N'),(20,5166110,'1',103,'N'),(20,5166128,'1',208,'N'),(20,5166128,'1A',235,'N'),(20,5166136,'1',101,'N'),(20,5166144,'1',103,'N'),(20,5166152,'1',453,'N'),(20,5166160,'1',108,'N'),(20,5166179,'1',104,'N'),(20,5166187,'1',3,'N'),(20,5166209,'1',238,'N'),(20,5166209,'1A',208,'N'),(20,5166217,'1',103,'N'),(20,5166225,'1',103,'N'),(20,5166241,'1',208,'N'),(20,5166241,'1A',652,'N'),(20,5166250,'1',303,'N'),(20,5166268,'1',332,'N'),(20,5166276,'1',103,'N'),(20,5166284,'1',9,'N'),(20,5166292,'1',103,'N'),(20,5166306,'1',452,'N'),(20,5166314,'1',108,'N'),(20,5166330,'1',301,'N'),(20,5166349,'1',601,'N'),(20,5166349,'1A',207,'N'),(20,5166357,'1',104,'N'),(20,5166365,'1',103,'N'),(20,5166373,'1',308,'N'),(20,5166381,'1',202,'N'),(20,5166381,'1A',201,'N'),(20,5166390,'1',326,'N'),(20,5166403,'1',201,'N'),(20,5166403,'1A',207,'N'),(20,5166420,'1',208,'N'),(20,5166420,'1A',238,'N'),(20,5166438,'1',201,'N'),(20,5166438,'1A',212,'N'),(20,5166446,'1',453,'N'),(20,5166454,'1',102,'N'),(20,5166462,'1',415,'N'),(20,5166470,'1',103,'N'),(20,5166489,'1',207,'N'),(20,5166489,'1A',233,'N'),(20,5166497,'1',103,'N'),(20,5166500,'1',108,'N'),(20,5166519,'1',5,'N'),(20,5166527,'1',5,'N'),(20,5166535,'1',203,'N'),(20,5166535,'1A',202,'N'),(20,5166543,'1',207,'N'),(20,5166543,'1A',208,'N'),(20,5166560,'1',333,'N'),(20,5166578,'1',318,'N'),(20,5166586,'1',238,'N'),(20,5166586,'1A',208,'N'),(20,5166608,'1',316,'N'),(20,5166616,'1',424,'N'),(20,5166616,'1A',425,'N'),(20,5166624,'1',103,'N'),(20,5166632,'1',103,'N'),(20,5166667,'1',201,'N'),(20,5166667,'1A',216,'N'),(20,5166683,'1',103,'N'),(20,5166691,'1',103,'N'),(20,5166705,'1',340,'N'),(20,5166713,'1',203,'N'),(20,5166713,'1A',214,'N'),(20,5166730,'1',415,'N'),(20,5166756,'1',326,'N'),(20,5166764,'1',102,'N'),(20,5166772,'1',452,'N'),(20,5166780,'1',203,'N'),(20,5166780,'1A',208,'N'),(20,5166799,'1',316,'N'),(20,5166810,'1',220,'N'),(20,5166810,'1A',208,'N'),(20,5166829,'1',203,'N'),(20,5166829,'1A',201,'N'),(20,5166837,'1',238,'N'),(20,5166837,'1A',208,'N'),(20,5166845,'1',220,'N'),(20,5166845,'1A',203,'N'),(20,5166870,'1',429,'N'),(20,5166870,'1A',428,'N'),(20,5166888,'1',303,'N'),(20,5166896,'1',316,'N'),(20,5166900,'1',309,'N'),(20,5166918,'1',319,'N'),(20,5166934,'1',319,'N'),(20,5166942,'1',101,'N'),(20,5166950,'1',211,'N'),(20,5166950,'1A',216,'N'),(20,5166985,'1',207,'N'),(20,5167000,'1',318,'N'),(20,5167019,'1',104,'N'),(20,5167027,'1',501,'N'),(20,5167043,'1',207,'N'),(20,5167043,'1A',211,'N'),(20,5167051,'1',103,'N'),(20,5167060,'1',203,'N'),(20,5167060,'1A',233,'N'),(20,5167078,'1',103,'N'),(20,5167086,'1',319,'N'),(20,5167094,'1',653,'N'),(20,5167094,'1A',651,'N'),(20,5167108,'1',207,'N'),(20,5167108,'1A',201,'N'),(20,5167116,'1',104,'N'),(20,5167124,'1',103,'N'),(20,5167132,'1',302,'N'),(20,5167167,'1',336,'N'),(20,5167175,'1',102,'N'),(20,5167183,'1',202,'N'),(20,5167183,'1A',203,'N'),(20,5167191,'1',225,'N'),(20,5167205,'1',318,'N'),(20,5167213,'1',203,'N'),(20,5167213,'1A',201,'N'),(20,5167230,'1',103,'N'),(20,5167248,'1',424,'N'),(20,5167248,'1A',421,'N'),(20,5167264,'1',316,'N'),(20,5167272,'1',103,'N'),(20,5167299,'1',216,'N'),(20,5167299,'1A',215,'N'),(20,5167302,'1',317,'N'),(20,5167310,'1',207,'N'),(20,5167310,'1A',201,'N'),(20,5167329,'1',653,'N'),(20,5167329,'1A',601,'N'),(20,5167337,'1',319,'N'),(20,5167345,'1',101,'N'),(20,5167353,'1',104,'N'),(20,5167361,'1',201,'N'),(20,5167361,'1A',207,'N'),(20,5167370,'1',102,'N'),(20,5167388,'1',103,'N'),(20,5167396,'1',340,'N'),(20,5167400,'1',420,'N'),(20,5167434,'1',326,'N'),(20,5167442,'1',101,'N'),(20,5167450,'1',302,'N'),(20,5167469,'1',214,'N'),(20,5167469,'1A',233,'N'),(20,5167477,'1',202,'N'),(20,5167477,'1A',235,'N'),(20,5167485,'1',103,'N'),(20,5167493,'1',101,'N'),(20,5167507,'1',5,'N'),(20,5167523,'1',201,'N'),(20,5167523,'1A',207,'N'),(20,5167531,'1',332,'N'),(20,5167540,'1',451,'N'),(20,5167566,'1',203,'N'),(20,5167566,'1A',214,'N'),(20,5167574,'1',404,'N'),(20,5167582,'1',5,'N'),(20,5167590,'1',302,'N'),(20,5167604,'1',215,'N'),(20,5167604,'1A',202,'N'),(20,5167612,'1',301,'N'),(20,5167620,'1',208,'N'),(20,5167620,'1A',238,'N'),(20,5167639,'1',302,'N'),(20,5167647,'1',340,'N'),(20,5167655,'1',329,'N'),(20,5167663,'1',301,'N'),(20,5167671,'1',211,'N'),(20,5167671,'1A',208,'N'),(20,5167680,'1',103,'N'),(20,5167698,'1',214,'N'),(20,5167698,'1A',235,'N'),(20,5167710,'1',452,'N'),(20,5167728,'1',5,'N'),(20,5167736,'1',207,'N'),(20,5167736,'1A',238,'N'),(20,5167744,'1',3,'N'),(20,5167752,'1',301,'N'),(20,5167760,'1',5,'N'),(20,5167787,'1',5,'N'),(20,5167795,'1',203,'N'),(20,5167795,'1A',233,'N'),(20,5167809,'1',326,'N'),(20,5167817,'1',103,'N'),(20,5167825,'1',5,'N'),(20,5167833,'1',103,'N'),(20,5167850,'1',203,'N'),(20,5167850,'1A',216,'N'),(20,5167868,'1',428,'N'),(20,5167868,'1A',425,'N'),(20,5167876,'1',207,'N'),(20,5167876,'1A',212,'N'),(20,5167884,'1',340,'N'),(20,5167892,'1',103,'N'),(20,5167906,'1',103,'N'),(20,5167914,'1',425,'N'),(20,5167914,'1A',428,'N'),(20,5167922,'1',103,'N'),(20,5167930,'1',216,'N'),(20,5167930,'1A',211,'N'),(20,5167949,'1',216,'N'),(20,5167949,'1A',233,'N'),(20,5167965,'1',207,'N'),(20,5167965,'1A',215,'N'),(20,5167973,'1',316,'N'),(20,5167990,'1',502,'N'),(20,5168007,'1',5,'N'),(20,5168015,'1',501,'N'),(20,5168023,'1',201,'N'),(20,5168023,'1A',207,'N'),(20,5168040,'1',5,'N'),(20,5168058,'1',103,'N'),(20,5168066,'1',238,'N'),(20,5168066,'1A',220,'N'),(20,5168074,'1',201,'N'),(20,5168074,'1A',212,'N'),(20,5168104,'1',333,'N'),(20,5168112,'1',208,'N'),(20,5168112,'1A',238,'N'),(20,5168120,'1',202,'N'),(20,5168120,'1A',235,'N'),(20,5168139,'1',216,'N'),(20,5168139,'1A',207,'N'),(20,5168147,'1',103,'N'),(20,5168155,'1',207,'N'),(20,5168155,'1A',216,'N'),(20,5168163,'1',316,'N'),(20,5168171,'1',426,'N'),(20,5168171,'1A',428,'N'),(20,5168180,'1',601,'N'),(20,5168180,'1A',216,'N'),(20,5168210,'1',201,'N'),(20,5168210,'1A',207,'N'),(20,5168228,'1',101,'N'),(20,5168236,'1',502,'N'),(20,5168252,'1',104,'N'),(20,5168260,'1',303,'N'),(20,5168279,'1',415,'N'),(20,5168295,'1',501,'N'),(20,5168309,'1',211,'N'),(20,5168309,'1A',202,'N'),(20,5168317,'1',324,'N'),(20,5168333,'1',303,'N'),(20,5168341,'1',207,'N'),(20,5168341,'1A',201,'N'),(20,5168350,'1',503,'N'),(20,5168368,'1',207,'N'),(20,5168368,'1A',215,'N'),(20,5168376,'1',5,'N'),(20,5168384,'1',207,'N'),(20,5168392,'1',319,'N'),(20,5168406,'1',5,'N'),(20,5168414,'1',328,'N'),(20,5168422,'1',103,'N'),(20,5168430,'1',453,'N'),(20,5168449,'1',103,'N'),(20,5168457,'1',220,'N'),(20,5168457,'1A',203,'N'),(20,5168473,'1',103,'N'),(20,5168503,'1',319,'N'),(20,5168511,'1',201,'N'),(20,5168511,'1A',212,'N'),(20,5168520,'1',215,'N'),(20,5168520,'1A',211,'N'),(20,5168538,'1',224,'N'),(20,5168546,'1',319,'N'),(20,5168570,'1',103,'N'),(20,5168589,'1',103,'N'),(20,5168619,'1',103,'N'),(20,5168627,'1',415,'N'),(20,5168635,'1',340,'N'),(20,5168643,'1',208,'N'),(20,5168660,'1',336,'N'),(20,5168678,'1',415,'N'),(20,5168686,'1',203,'N'),(20,5168694,'1',216,'N'),(20,5168694,'1A',203,'N'),(20,5168708,'1',220,'N'),(20,5168708,'1A',601,'N'),(20,5168716,'1',220,'N'),(20,5168716,'1A',235,'N'),(20,5168724,'1',108,'N'),(20,5168732,'1',450,'N'),(20,5168759,'1',415,'N'),(20,5168767,'1',303,'N'),(20,5168783,'1',104,'N'),(20,5168791,'1',501,'N'),(20,5168805,'1',225,'N'),(20,5168813,'1',5,'N'),(20,5168821,'1',109,'N'),(20,5168856,'1',214,'N'),(20,5168856,'1A',213,'N'),(20,5168864,'1',452,'N'),(20,5168872,'1',203,'N'),(20,5168872,'1A',202,'N'),(20,5168880,'1',5,'N'),(20,5168899,'1',444,'N'),(20,5168910,'1',201,'N'),(20,5168937,'1',501,'N'),(20,5168945,'1',201,'N'),(20,5168953,'1',214,'N'),(20,5168953,'1A',212,'N'),(20,5168961,'1',103,'N'),(20,5168970,'1',319,'N'),(20,5168988,'1',208,'N'),(20,5168988,'1A',235,'N'),(20,5168996,'1',203,'N'),(20,5168996,'1A',235,'N'),(20,5169003,'1',316,'N'),(20,5169011,'1',304,'N'),(20,5169020,'1',304,'N'),(20,5169038,'1',203,'N'),(20,5169038,'1A',601,'N'),(20,5169046,'1',208,'N'),(20,5169046,'1A',203,'N'),(20,5169054,'1',203,'N'),(20,5169054,'1A',238,'N'),(20,5169070,'1',201,'N'),(20,5169070,'1A',202,'N'),(20,5169089,'1',201,'N'),(20,5169089,'1A',212,'N'),(20,5169097,'1',202,'N'),(20,5169097,'1A',216,'N'),(20,5169100,'1',216,'N'),(20,5169100,'1A',211,'N'),(20,5169119,'1',103,'N'),(20,5169127,'1',216,'N'),(20,5169127,'1A',211,'N'),(20,5169135,'1',101,'N'),(20,5169143,'1',103,'N'),(20,5169151,'1',103,'N'),(20,5169160,'1',224,'N'),(20,5169178,'1',444,'N'),(20,5169186,'1',444,'N'),(20,5169194,'1',303,'N'),(20,5169208,'1',104,'N'),(20,5169216,'1',214,'N'),(20,5169216,'1A',203,'N'),(20,5169224,'1',203,'N'),(20,5169224,'1A',214,'N'),(20,5169240,'1',108,'N'),(20,5169259,'1',308,'N'),(20,5169291,'1',102,'N'),(20,5169305,'1',212,'N'),(20,5169305,'1A',220,'N'),(20,5169313,'1',216,'N'),(20,5169313,'1A',215,'N'),(20,5169321,'1',104,'N'),(20,5169330,'1',453,'N'),(20,5169348,'1',203,'N'),(20,5169348,'1A',235,'N'),(20,5169372,'1',103,'N'),(20,5169380,'1',216,'N'),(20,5169399,'1',201,'N'),(20,5169399,'1A',203,'N'),(20,5169402,'1',9,'N'),(20,5169410,'1',103,'N'),(20,5169429,'1',103,'N'),(20,5169437,'1',224,'N'),(20,5169453,'1',326,'N'),(20,5169461,'1',319,'N'),(20,5169470,'1',233,'N'),(20,5169470,'1A',220,'N'),(20,5169496,'1',201,'N'),(20,5169496,'1A',653,'N'),(20,5169518,'1',103,'N'),(20,5169526,'1',103,'N'),(20,5169542,'1',103,'N'),(20,5169569,'1',203,'N'),(20,5169569,'1A',201,'N'),(20,5169577,'1',103,'N'),(20,5169585,'1',207,'N'),(20,5169593,'1',601,'N'),(20,5169593,'1A',202,'N'),(20,5169607,'1',207,'N'),(20,5169615,'1',103,'N'),(20,5169623,'1',501,'N'),(20,5169631,'1',215,'N'),(20,5169631,'1A',216,'N'),(20,5169640,'1',316,'N'),(20,5169658,'1',103,'N'),(20,5169666,'1',502,'N'),(20,5169674,'1',103,'N'),(20,5169682,'1',208,'N'),(20,5169682,'1A',238,'N'),(20,5169690,'1',319,'N'),(20,5169704,'1',324,'N'),(20,5169720,'1',103,'N'),(20,5169739,'1',317,'N'),(20,5169747,'1',319,'N'),(20,5169763,'1',427,'N'),(20,5169763,'1A',424,'N'),(20,5169771,'1',208,'N'),(20,5169771,'1A',203,'N'),(20,5169780,'1',238,'N'),(20,5169780,'1A',208,'N'),(20,5169798,'1',303,'N'),(20,5169801,'1',103,'N'),(20,5169810,'1',319,'N'),(20,5169836,'1',420,'N'),(20,5169844,'1',303,'N'),(20,5169852,'1',426,'N'),(20,5169852,'1A',425,'N'),(20,5169860,'1',101,'N'),(20,5169879,'1',203,'N'),(20,5169879,'1A',220,'N'),(20,5169887,'1',103,'N'),(20,5169895,'1',340,'N'),(20,5169909,'1',415,'N'),(20,5169917,'1',207,'N'),(20,5169917,'1A',201,'N'),(20,5169925,'1',234,'N'),(20,5169968,'1',415,'N'),(20,5169976,'1',207,'N'),(20,5169976,'1A',233,'N'),(20,5170001,'1',102,'N'),(20,5170010,'1',333,'N'),(20,5170036,'1',452,'N'),(20,5170044,'1',102,'N'),(20,5170052,'1',444,'N'),(20,5170060,'1',317,'N'),(20,5170109,'1',502,'N'),(20,5170125,'1',452,'N'),(20,5170133,'1',207,'N'),(20,5170133,'1A',201,'N'),(20,5170141,'1',317,'N'),(20,5170150,'1',333,'N'),(20,5170168,'1',207,'N'),(20,5170168,'1A',211,'N'),(20,5170176,'1',303,'N'),(20,5170192,'1',308,'N'),(20,5170206,'1',103,'N'),(20,5170214,'1',501,'N'),(20,5170230,'1',303,'N'),(20,5170249,'1',104,'N'),(20,5170257,'1',9,'N'),(20,5170265,'1',316,'N'),(20,5170290,'1',101,'N'),(20,5170311,'1',207,'N'),(20,5170311,'1A',211,'N'),(20,5170320,'1',216,'N'),(20,5170320,'1A',601,'N'),(20,5170338,'1',317,'N'),(20,5170346,'1',103,'N'),(20,5170362,'1',103,'N'),(20,5170370,'1',451,'N'),(20,5170389,'1',207,'N'),(20,5170389,'1A',201,'N'),(20,5170400,'1',5,'N'),(20,5170419,'1',340,'N'),(20,5170427,'1',331,'N'),(20,5170435,'1',316,'N'),(20,5170451,'1',423,'N'),(20,5170451,'1A',427,'N'),(20,5170460,'1',450,'N'),(20,5170478,'1',108,'N'),(20,5170486,'1',103,'N'),(20,5170494,'1',103,'N'),(20,5170559,'1',103,'N'),(20,5170575,'1',316,'N'),(20,5170583,'1',202,'N'),(20,5170583,'1A',216,'N'),(20,5170630,'1',453,'N'),(20,5170664,'1',415,'N'),(20,5170702,'1',103,'N'),(20,5170710,'1',103,'N'),(20,5170729,'1',103,'N'),(20,5170737,'1',103,'N'),(20,5170745,'1',201,'N'),(20,5170745,'1A',212,'N'),(20,5170761,'1',318,'N'),(20,5170770,'1',303,'N'),(20,5170788,'1',103,'N'),(20,5170800,'1',215,'N'),(20,5170800,'1A',233,'N'),(20,5170818,'1',340,'N'),(20,5170826,'1',301,'N'),(20,5170834,'1',207,'N'),(20,5170834,'1A',201,'N'),(20,5170842,'1',103,'N'),(20,5170850,'1',211,'N'),(20,5170850,'1A',233,'N'),(20,5170869,'1',103,'N'),(20,5170877,'1',201,'N'),(20,5170877,'1A',208,'N'),(20,5170885,'1',301,'N'),(20,5170907,'1',103,'N'),(20,5170966,'1',201,'N'),(20,5170966,'1A',212,'N'),(20,5170974,'1',201,'N'),(20,5170974,'1A',207,'N'),(20,5170982,'1',103,'N'),(20,5171008,'1',428,'N'),(20,5171008,'1A',426,'N'),(20,5171016,'1',233,'N'),(20,5171016,'1A',214,'N'),(20,5171024,'1',101,'N'),(20,5171032,'1',415,'N'),(20,5171040,'1',235,'N'),(20,5171040,'1A',202,'N'),(20,5171059,'1',319,'N'),(20,5171067,'1',327,'N'),(20,5171075,'1',103,'N'),(20,5171091,'1',216,'N'),(20,5171091,'1A',201,'N'),(20,5171121,'1',9,'N'),(20,5171130,'1',207,'N'),(20,5171130,'1A',201,'N'),(20,5171164,'1',451,'N'),(20,5171172,'1',303,'N'),(20,5171180,'1',202,'N'),(20,5171180,'1A',235,'N'),(20,5171199,'1',103,'N'),(20,5171202,'1',429,'N'),(20,5171210,'1',108,'N'),(20,5171229,'1',429,'N'),(20,5171229,'1A',423,'N'),(20,5171237,'1',103,'N'),(20,5171245,'1',216,'N'),(20,5171253,'1',415,'N'),(20,5171270,'1',429,'N'),(20,5171270,'1A',425,'N'),(20,5171288,'1',225,'N'),(20,5171296,'1',316,'N'),(20,5171300,'1',207,'N'),(20,5171300,'1A',212,'N'),(20,5171326,'1',220,'N'),(20,5171326,'1A',203,'N'),(20,5171342,'1',421,'N'),(20,5171342,'1A',424,'N'),(20,5171350,'1',202,'N'),(20,5171350,'1A',213,'N'),(20,5171369,'1',444,'N'),(20,5171377,'1',303,'N'),(20,5171407,'1',444,'N'),(20,5171415,'1',308,'N'),(20,5171431,'1',336,'N'),(20,5171440,'1',336,'N'),(20,5171458,'1',201,'N'),(20,5171458,'1A',212,'N'),(20,5171482,'1',104,'N'),(20,5171490,'1',340,'N'),(20,5171504,'1',319,'N'),(20,5171520,'1',340,'N'),(20,5171555,'1',233,'N'),(20,5171555,'1A',215,'N'),(20,5171580,'1',303,'N'),(20,5171610,'1',216,'N'),(20,5171610,'1A',235,'N'),(20,5171628,'1',326,'N'),(20,5171636,'1',104,'N'),(20,5171644,'1',103,'N'),(20,5171652,'1',340,'N'),(20,5171660,'1',103,'N'),(20,5171679,'1',203,'N'),(20,5171679,'1A',214,'N'),(20,5171695,'1',404,'N'),(20,5171709,'1',108,'N'),(20,5171725,'1',104,'N'),(20,5171750,'1',450,'N'),(20,5171768,'1',303,'N'),(20,5171784,'1',333,'N'),(20,5171792,'1',216,'N'),(20,5171806,'1',453,'N'),(20,5171822,'1',340,'N'),(20,5171830,'1',5,'N'),(20,5171857,'1',103,'N'),(20,5171865,'1',234,'N'),(20,5171873,'1',101,'N'),(20,5171881,'1',333,'N'),(20,5171938,'1',310,'N'),(20,5171954,'1',108,'N'),(20,5171970,'1',238,'N'),(20,5171970,'1A',202,'N'),(20,5171997,'1',201,'N'),(20,5171997,'1A',211,'N'),(20,5172004,'1',104,'N'),(20,5172012,'1',301,'N'),(20,5172020,'1',103,'N'),(20,5172039,'1',225,'N'),(20,5172071,'1',5,'N'),(20,5172080,'1',212,'N'),(20,5172080,'1A',651,'N'),(20,5172101,'1',103,'N'),(20,5172110,'1',340,'N'),(20,5172128,'1',5,'N'),(20,5172152,'1',429,'N'),(20,5172152,'1A',425,'N'),(20,5172160,'1',317,'N'),(20,5172179,'1',425,'N'),(20,5172179,'1A',429,'N'),(20,5172187,'1',333,'N'),(20,5172209,'1',340,'N'),(20,5172217,'1',103,'N'),(20,5172225,'1',415,'N'),(20,5172233,'1',103,'N'),(20,5172241,'1',238,'N'),(20,5172250,'1',303,'N'),(20,5172268,'1',103,'N'),(20,5172276,'1',103,'N'),(20,5172306,'1',233,'N'),(20,5172306,'1A',215,'N'),(20,5172314,'1',220,'N'),(20,5172314,'1A',208,'N'),(20,5172322,'1',450,'N'),(20,5172330,'1',303,'N'),(20,5172349,'1',303,'N'),(20,5172365,'1',238,'N'),(20,5172365,'1A',208,'N'),(20,5172373,'1',316,'N'),(20,5172381,'1',238,'N'),(20,5172381,'1A',208,'N'),(20,5172403,'1',201,'N'),(20,5172403,'1A',207,'N'),(20,5172411,'1',103,'N'),(20,5172420,'1',420,'N'),(20,5172438,'1',332,'N'),(20,5172462,'1',320,'N'),(20,5172470,'1',503,'N'),(20,5172497,'1',653,'N'),(20,5172500,'1',303,'N'),(20,5172519,'1',104,'N'),(20,5172527,'1',404,'N'),(20,5172551,'1',103,'N'),(20,5172560,'1',415,'N'),(20,5172578,'1',420,'N'),(20,5172586,'1',653,'N'),(20,5172594,'1',101,'N'),(20,5172608,'1',502,'N'),(20,5172624,'1',103,'N'),(20,5172632,'1',319,'N'),(20,5172640,'1',103,'N'),(20,5172659,'1',319,'N'),(20,5172667,'1',103,'N'),(20,5172675,'1',203,'N'),(20,5172675,'1A',214,'N'),(20,5172691,'1',234,'N'),(20,5172705,'1',216,'N'),(20,5172721,'1',301,'N'),(20,5172730,'1',203,'N'),(20,5172730,'1A',220,'N'),(20,5172748,'1',203,'N'),(20,5172748,'1A',220,'N'),(20,5172756,'1',9,'N'),(20,5172764,'1',333,'N'),(20,5172780,'1',327,'N'),(20,5172802,'1',213,'N'),(20,5172802,'1A',215,'N'),(20,5172810,'1',101,'N'),(20,5172845,'1',201,'N'),(20,5172845,'1A',207,'N'),(20,5172861,'1',501,'N'),(20,5172870,'1',207,'N'),(20,5172870,'1A',201,'N'),(20,5172896,'1',5,'N'),(20,5172900,'1',329,'N'),(20,5172926,'1',415,'N'),(20,5172934,'1',103,'N'),(20,5172950,'1',220,'N'),(20,5172950,'1A',235,'N'),(20,5172969,'1',453,'N'),(20,5172993,'1',103,'N'),(20,5173000,'1',303,'N'),(20,5173019,'1',202,'N'),(20,5173019,'1A',235,'N'),(20,5173027,'1',207,'N'),(20,5173060,'1',333,'N'),(20,5173086,'1',302,'N'),(20,5173094,'1',425,'N'),(20,5173094,'1A',424,'N'),(20,5173108,'1',333,'N'),(20,5173116,'1',303,'N'),(20,5173124,'1',201,'N'),(20,5173124,'1A',207,'N'),(20,5173132,'1',207,'N'),(20,5173132,'1A',201,'N'),(20,5173140,'1',101,'N'),(20,5173167,'1',104,'N'),(20,5173175,'1',316,'N'),(20,5173183,'1',103,'N'),(20,5173191,'1',429,'N'),(20,5173191,'1A',428,'N'),(20,5173213,'1',216,'N'),(20,5173213,'1A',214,'N'),(20,5173221,'1',340,'N'),(20,5173248,'1',103,'N'),(20,5173256,'1',103,'N'),(20,5173280,'1',207,'N'),(20,5173280,'1A',208,'N'),(20,5173299,'1',303,'N'),(20,5173302,'1',103,'N'),(20,5173310,'1',420,'N'),(20,5173337,'1',103,'N'),(20,5173361,'1',453,'N'),(20,5173370,'1',653,'N'),(20,5173370,'1A',208,'N'),(20,5173400,'1',216,'N'),(20,5173400,'1A',212,'N'),(20,5173426,'1',216,'N'),(20,5173426,'1A',211,'N'),(20,5173434,'1',207,'N'),(20,5173434,'1A',208,'N'),(20,5173442,'1',327,'N'),(20,5173469,'1',103,'N'),(20,5173485,'1',108,'N'),(20,5173515,'1',415,'N'),(20,5173531,'1',452,'N'),(20,5173574,'1',9,'N'),(20,5173582,'1',103,'N'),(20,5173620,'1',316,'N'),(20,5173647,'1',601,'N'),(20,5173663,'1',104,'N'),(20,5173671,'1',501,'N'),(20,5173680,'1',207,'N'),(20,5173698,'1',316,'N'),(20,5173701,'1',103,'N'),(20,5173710,'1',309,'N'),(20,5173728,'1',238,'N'),(20,5173728,'1A',208,'N'),(20,5173736,'1',103,'N'),(20,5173744,'1',103,'N'),(20,5173752,'1',3,'N'),(20,5173760,'1',201,'N'),(20,5173760,'1A',211,'N'),(20,5173787,'1',316,'N'),(20,5173795,'1',108,'N'),(20,5173809,'1',208,'N'),(20,5173809,'1A',211,'N'),(20,5173817,'1',601,'N'),(20,5173817,'1A',201,'N'),(20,5173833,'1',103,'N'),(20,5173850,'1',319,'N'),(20,5173892,'1',9,'N'),(20,5173906,'1',108,'N'),(20,5173949,'1',208,'N'),(20,5173949,'1A',238,'N'),(20,5173957,'1',208,'N'),(20,5173957,'1A',238,'N'),(20,5173981,'1',103,'N'),(20,5173990,'1',316,'N'),(20,5174007,'1',216,'N'),(20,5174007,'1A',215,'N'),(20,5174023,'1',103,'N'),(20,5174031,'1',319,'N'),(20,5174040,'1',103,'N'),(20,5174058,'1',201,'N'),(20,5174058,'1A',207,'N'),(20,5174074,'1',211,'N'),(20,5174074,'1A',215,'N'),(20,5174090,'1',415,'N'),(20,5174112,'1',101,'N'),(20,5174120,'1',104,'N'),(20,5174155,'1',238,'N'),(20,5174171,'1',303,'N'),(20,5174198,'1',5,'N'),(20,5174210,'1',103,'N'),(20,5174228,'1',502,'N'),(20,5174236,'1',429,'N'),(20,5174236,'1A',425,'N'),(20,5174244,'1',317,'N'),(20,5174287,'1',103,'N'),(20,5174309,'1',103,'N'),(20,5174317,'1',203,'N'),(20,5174317,'1A',601,'N'),(20,5174325,'1',415,'N'),(20,5174333,'1',103,'N'),(20,5174341,'1',501,'N'),(20,5174368,'1',444,'N'),(20,5174384,'1',108,'N'),(20,5174392,'1',104,'N'),(20,5174414,'1',327,'N'),(20,5174422,'1',319,'N'),(20,5174430,'1',317,'N'),(20,5174457,'1',103,'N'),(20,5174473,'1',103,'N'),(20,5174503,'1',415,'N'),(20,5174520,'1',502,'N'),(20,5174538,'1',101,'N'),(20,5174554,'1',216,'N'),(20,5174562,'1',415,'N'),(20,5174589,'1',215,'N'),(20,5174589,'1A',216,'N'),(20,5174597,'1',103,'N'),(20,5174600,'1',103,'N'),(20,5174619,'1',203,'N'),(20,5174619,'1A',235,'N'),(20,5174635,'1',316,'N'),(20,5174643,'1',103,'N'),(20,5174651,'1',207,'N'),(20,5174651,'1A',235,'N'),(20,5174660,'1',601,'N'),(20,5174660,'1A',214,'N'),(20,5174678,'1',601,'N'),(20,5174678,'1A',216,'N'),(20,5174686,'1',202,'N'),(20,5174686,'1A',235,'N'),(20,5174708,'1',451,'N'),(20,5174716,'1',103,'N'),(20,5174724,'1',501,'N'),(20,5174732,'1',104,'N'),(20,5174740,'1',103,'N'),(20,5174759,'1',404,'N'),(20,5174767,'1',303,'N'),(20,5174775,'1',220,'N'),(20,5174775,'1A',208,'N'),(20,5174805,'1',104,'N'),(20,5174813,'1',103,'N'),(20,5174821,'1',452,'N'),(20,5174856,'1',103,'N'),(20,5174864,'1',316,'N'),(20,5174872,'1',208,'N'),(20,5174872,'1A',238,'N'),(20,5174899,'1',103,'N'),(20,5174902,'1',234,'N'),(20,5174910,'1',308,'N'),(20,5174945,'1',415,'N'),(20,5174953,'1',103,'N'),(20,5174961,'1',203,'N'),(20,5174961,'1A',201,'N'),(20,5174970,'1',207,'N'),(20,5174970,'1A',201,'N'),(20,5174996,'1',601,'N'),(20,5175003,'1',318,'N'),(20,5175011,'1',452,'N'),(20,5175020,'1',5,'N'),(20,5175038,'1',301,'N'),(20,5175046,'1',238,'N'),(20,5175046,'1A',208,'N'),(20,5175062,'1',103,'N'),(20,5175070,'1',201,'N'),(20,5175070,'1A',207,'N'),(20,5175089,'1',203,'N'),(20,5175089,'1A',214,'N'),(20,5175097,'1',420,'N'),(20,5175100,'1',303,'N'),(20,5175119,'1',211,'N'),(20,5175119,'1A',214,'N'),(20,5175143,'1',5,'N'),(20,5175151,'1',103,'N'),(20,5175160,'1',415,'N'),(20,5175178,'1',415,'N'),(20,5175186,'1',310,'N'),(20,5175194,'1',104,'N'),(20,5175208,'1',5,'N'),(20,5175216,'1',216,'N'),(20,5175216,'1A',601,'N'),(20,5175240,'1',103,'N'),(20,5175259,'1',208,'N'),(20,5175259,'1A',238,'N'),(20,5175283,'1',110,'N'),(20,5175291,'1',220,'N'),(20,5175291,'1A',202,'N'),(20,5175305,'1',103,'N'),(20,5175313,'1',102,'N'),(20,5175330,'1',453,'N'),(20,5175356,'1',103,'N'),(20,5175364,'1',415,'N'),(20,5175372,'1',450,'N'),(20,5175380,'1',9,'N'),(20,5175399,'1',303,'N'),(20,5175402,'1',302,'N'),(20,5175410,'1',103,'N'),(20,5175437,'1',103,'N'),(20,5175445,'1',109,'N'),(20,5175470,'1',652,'N'),(20,5175470,'1A',653,'N'),(20,5175488,'1',428,'N'),(20,5175488,'1A',423,'N'),(20,5175496,'1',420,'N'),(20,5175500,'1',301,'N'),(20,5175526,'1',427,'N'),(20,5175526,'1A',425,'N'),(20,5175534,'1',317,'N'),(20,5175542,'1',201,'N'),(20,5175542,'1A',212,'N'),(20,5175550,'1',103,'N'),(20,5175569,'1',316,'N'),(20,5175577,'1',303,'N'),(20,5175585,'1',103,'N'),(20,5175593,'1',319,'N'),(20,5175607,'1',452,'N'),(20,5175623,'1',424,'N'),(20,5175623,'1A',427,'N'),(20,5175631,'1',103,'N'),(20,5175640,'1',319,'N'),(20,5175658,'1',103,'N'),(20,5175666,'1',238,'N'),(20,5175682,'1',601,'N'),(20,5175682,'1A',214,'N'),(20,5175690,'1',9,'N'),(20,5175704,'1',302,'N'),(20,5175739,'1',316,'N'),(20,5175747,'1',429,'N'),(20,5175747,'1A',426,'N'),(20,5175763,'1',203,'N'),(20,5175763,'1A',201,'N'),(20,5175771,'1',319,'N'),(20,5175801,'1',653,'N'),(20,5175801,'1A',652,'N'),(20,5175810,'1',203,'N'),(20,5175810,'1A',201,'N'),(20,5175828,'1',336,'N'),(20,5175836,'1',340,'N'),(20,5175844,'1',216,'N'),(20,5175844,'1A',211,'N'),(20,5175852,'1',404,'N'),(20,5175860,'1',101,'N'),(20,5175879,'1',235,'N'),(20,5175879,'1A',202,'N'),(20,5175887,'1',452,'N'),(20,5175895,'1',319,'N'),(20,5175925,'1',103,'N'),(20,5175941,'1',423,'N'),(20,5175941,'1A',427,'N'),(20,5175950,'1',211,'N'),(20,5175950,'1A',215,'N'),(20,5175968,'1',207,'N'),(20,5175968,'1A',211,'N'),(20,5175984,'1',319,'N'),(20,5176000,'1',5,'N'),(20,5176018,'1',102,'N'),(20,5176026,'1',103,'N'),(20,5176034,'1',319,'N'),(20,5176042,'1',201,'N'),(20,5176077,'1',452,'N'),(20,5176085,'1',104,'N'),(20,5176107,'1',101,'N'),(20,5176115,'1',336,'N'),(20,5176123,'1',652,'N'),(20,5176131,'1',319,'N'),(20,5176140,'1',201,'N'),(20,5176140,'1A',601,'N'),(20,5176166,'1',103,'N'),(20,5176174,'1',103,'N'),(20,5176182,'1',203,'N'),(20,5176182,'1A',235,'N'),(20,5176212,'1',103,'N'),(20,5176220,'1',103,'N'),(20,5176247,'1',301,'N'),(20,5176255,'1',102,'N'),(20,5176263,'1',319,'N'),(20,5176271,'1',415,'N'),(20,5176280,'1',304,'N'),(20,5176298,'1',302,'N'),(20,5176328,'1',653,'N'),(20,5176328,'1A',652,'N'),(20,5176336,'1',203,'N'),(20,5176336,'1A',213,'N'),(20,5176344,'1',415,'N'),(20,5176360,'1',318,'N'),(20,5176379,'1',451,'N'),(20,5176387,'1',203,'N'),(20,5176387,'1A',214,'N'),(20,5176395,'1',319,'N'),(20,5176409,'1',203,'N'),(20,5176409,'1A',214,'N'),(20,5176417,'1',551,'N'),(20,5176425,'1',452,'N'),(20,5176450,'1',103,'N'),(20,5176468,'1',331,'N'),(20,5176476,'1',316,'N'),(20,5176484,'1',103,'N'),(20,5176492,'1',103,'N'),(20,5176514,'1',103,'N'),(20,5176522,'1',101,'N'),(20,5176530,'1',211,'N'),(20,5176549,'1',302,'N'),(20,5176557,'1',331,'N'),(20,5176565,'1',444,'N'),(20,5176573,'1',207,'N'),(20,5176581,'1',340,'N'),(20,5176590,'1',316,'N'),(20,5176603,'1',9,'N'),(20,5176611,'1',202,'N'),(20,5176611,'1A',653,'N'),(20,5176620,'1',233,'N'),(20,5176620,'1A',601,'N'),(20,5176638,'1',211,'N'),(20,5176646,'1',208,'N'),(20,5176654,'1',216,'N'),(20,5176654,'1A',211,'N'),(20,5176662,'1',207,'N'),(20,5176662,'1A',201,'N'),(20,5176670,'1',316,'N'),(20,5176697,'1',304,'N'),(20,5176700,'1',103,'N'),(20,5176735,'1',223,'N'),(20,5176751,'1',5,'N'),(20,5176760,'1',103,'N'),(20,5176786,'1',216,'N'),(20,5176786,'1A',203,'N'),(20,5176794,'1',653,'N'),(20,5176794,'1A',652,'N'),(20,5176808,'1',207,'N'),(20,5176808,'1A',212,'N'),(20,5176824,'1',102,'N'),(20,5176832,'1',201,'N'),(20,5176832,'1A',233,'N'),(20,5176840,'1',340,'N'),(20,5176859,'1',501,'N'),(20,5176867,'1',653,'N'),(20,5176867,'1A',207,'N'),(20,5176875,'1',318,'N'),(20,5176883,'1',215,'N'),(20,5176883,'1A',211,'N'),(20,5176891,'1',301,'N'),(20,5176905,'1',503,'N'),(20,5176921,'1',211,'N'),(20,5176921,'1A',233,'N'),(20,5176930,'1',444,'N'),(20,5176956,'1',103,'N'),(20,5176972,'1',103,'N'),(20,5176980,'1',103,'N'),(20,5176999,'1',303,'N'),(20,5177014,'1',103,'N'),(20,5177030,'1',211,'N'),(20,5177030,'1A',238,'N'),(20,5177049,'1',423,'N'),(20,5177049,'1A',425,'N'),(20,5177057,'1',501,'N'),(20,5177065,'1',102,'N'),(20,5177073,'1',103,'N'),(20,5177081,'1',452,'N'),(20,5177103,'1',335,'N'),(20,5177111,'1',203,'N'),(20,5177111,'1A',214,'N'),(20,5177120,'1',216,'N'),(20,5177120,'1A',215,'N'),(20,5177138,'1',301,'N'),(20,5177146,'1',224,'N'),(20,5177154,'1',214,'N'),(20,5177154,'1A',203,'N'),(20,5177162,'1',340,'N'),(20,5177170,'1',212,'N'),(20,5177170,'1A',215,'N'),(20,5177189,'1',2,'N'),(20,5177197,'1',331,'N'),(20,5177200,'1',428,'N'),(20,5177219,'1',104,'N'),(20,5177227,'1',108,'N'),(20,5177243,'1',340,'N'),(20,5177251,'1',340,'N'),(20,5177260,'1',233,'N'),(20,5177278,'1',327,'N'),(20,5177286,'1',333,'N'),(20,5177308,'1',336,'N'),(20,5177316,'1',452,'N'),(20,5177324,'1',109,'N'),(20,5177332,'1',103,'N'),(20,5177340,'1',207,'N'),(20,5177340,'1A',215,'N'),(20,5177359,'1',302,'N'),(20,5177367,'1',205,'N'),(20,5177375,'1',502,'N'),(20,5177383,'1',103,'N'),(20,5177391,'1',207,'N'),(20,5177391,'1A',201,'N'),(20,5177413,'1',424,'N'),(20,5177413,'1A',428,'N'),(20,5177421,'1',234,'N'),(20,5177430,'1',215,'N'),(20,5177430,'1A',233,'N'),(20,5177472,'1',101,'N'),(20,5177480,'1',216,'N'),(20,5177480,'1A',201,'N'),(20,5177499,'1',404,'N'),(20,5177510,'1',108,'N'),(20,5177537,'1',415,'N'),(20,5177545,'1',336,'N'),(20,5177553,'1',216,'N'),(20,5177553,'1A',601,'N'),(20,5177570,'1',104,'N'),(20,5177588,'1',203,'N'),(20,5177588,'1A',211,'N'),(20,5177596,'1',502,'N'),(20,5177600,'1',103,'N'),(20,5177626,'1',203,'N'),(20,5177626,'1A',235,'N'),(20,5177634,'1',203,'N'),(20,5177634,'1A',214,'N'),(20,5177642,'1',216,'N'),(20,5177642,'1A',215,'N'),(20,5177650,'1',452,'N'),(20,5177669,'1',108,'N'),(20,5177677,'1',203,'N'),(20,5177677,'1A',208,'N'),(20,5177685,'1',104,'N'),(20,5177693,'1',5,'N'),(20,5177715,'1',212,'N'),(20,5177715,'1A',601,'N'),(20,5177723,'1',301,'N'),(20,5177731,'1',220,'N'),(20,5177731,'1A',202,'N'),(20,5177740,'1',238,'N'),(20,5177740,'1A',208,'N'),(20,5177758,'1',316,'N'),(20,5177774,'1',108,'N'),(20,5177790,'1',415,'N'),(20,5177804,'1',653,'N'),(20,5177804,'1A',652,'N'),(20,5177812,'1',331,'N'),(20,5177820,'1',318,'N'),(20,5177839,'1',301,'N'),(20,5177847,'1',303,'N'),(20,5177855,'1',103,'N'),(20,5177871,'1',103,'N'),(20,5177880,'1',103,'N'),(20,5177898,'1',208,'N'),(20,5177898,'1A',203,'N'),(20,5177901,'1',216,'N'),(20,5177901,'1A',215,'N'),(20,5177910,'1',103,'N'),(20,5177928,'1',301,'N'),(20,5177936,'1',238,'N'),(20,5177936,'1A',208,'N'),(20,5177944,'1',301,'N'),(20,5177952,'1',420,'N'),(20,5177960,'1',103,'N'),(20,5177987,'1',9,'N'),(20,5178002,'1',103,'N'),(20,5178010,'1',103,'N'),(20,5178029,'1',303,'N'),(20,5178037,'1',318,'N'),(20,5178045,'1',103,'N'),(20,5178061,'1',201,'N'),(20,5178061,'1A',203,'N'),(20,5178070,'1',238,'N'),(20,5178070,'1A',208,'N'),(20,5178088,'1',103,'N'),(20,5178096,'1',551,'N'),(20,5178100,'1',316,'N'),(20,5178118,'1',444,'N'),(20,5178142,'1',9,'N'),(20,5178150,'1',303,'N'),(20,5178169,'1',104,'N'),(20,5178185,'1',452,'N'),(20,5178193,'1',212,'N'),(20,5178193,'1A',601,'N'),(20,5178207,'1',302,'N'),(20,5178223,'1',104,'N'),(20,5178240,'1',103,'N'),(20,5178258,'1',301,'N'),(20,5178266,'1',109,'N'),(20,5178282,'1',425,'N'),(20,5178282,'1A',428,'N'),(20,5178304,'1',316,'N'),(20,5178312,'1',444,'N'),(20,5178339,'1',102,'N'),(20,5178347,'1',108,'N'),(20,5178355,'1',103,'N'),(20,5178363,'1',453,'N'),(20,5178371,'1',450,'N'),(20,5178398,'1',317,'N'),(20,5178401,'1',203,'N'),(20,5178401,'1A',220,'N'),(20,5178410,'1',450,'N'),(20,5178436,'1',425,'N'),(20,5178436,'1A',429,'N'),(20,5178444,'1',108,'N'),(20,5178452,'1',103,'N'),(20,5178460,'1',103,'N'),(20,5178479,'1',336,'N'),(20,5178487,'1',102,'N'),(20,5178495,'1',103,'N'),(20,5178509,'1',444,'N'),(20,5178517,'1',308,'N'),(20,5178525,'1',214,'N'),(20,5178525,'1A',201,'N'),(20,5178533,'1',5,'N'),(20,5178568,'1',5,'N'),(20,5178576,'1',317,'N'),(20,5178584,'1',444,'N'),(20,5178592,'1',104,'N'),(20,5178606,'1',303,'N'),(20,5178614,'1',208,'N'),(20,5178614,'1A',238,'N'),(20,5178622,'1',208,'N'),(20,5178630,'1',303,'N'),(20,5178649,'1',319,'N'),(20,5178657,'1',301,'N'),(20,5178681,'1',103,'N'),(20,5178690,'1',333,'N'),(20,5178703,'1',501,'N'),(20,5178711,'1',340,'N'),(20,5178720,'1',108,'N'),(20,5178746,'1',201,'N'),(20,5178746,'1A',238,'N'),(20,5178754,'1',316,'N'),(20,5178762,'1',340,'N'),(20,5178789,'1',207,'N'),(20,5178797,'1',333,'N'),(20,5178800,'1',453,'N'),(20,5178827,'1',301,'N'),(20,5178835,'1',452,'N'),(20,5178843,'1',213,'N'),(20,5178843,'1A',208,'N'),(20,5178851,'1',108,'N'),(20,5178860,'1',302,'N'),(20,5178878,'1',201,'N'),(20,5178878,'1A',208,'N'),(20,5178886,'1',5,'N'),(20,5178916,'1',220,'N'),(20,5178916,'1A',208,'N'),(20,5178924,'1',601,'N'),(20,5178924,'1A',216,'N'),(20,5178932,'1',103,'N'),(20,5178967,'1',303,'N'),(20,5178975,'1',420,'N'),(20,5178983,'1',205,'N'),(20,5178991,'1',301,'N'),(20,5179009,'1',103,'N'),(20,5179017,'1',104,'N'),(20,5179050,'1',3,'N'),(20,5179068,'1',201,'N'),(20,5179068,'1A',212,'N'),(20,5179084,'1',326,'N'),(20,5179092,'1',501,'N'),(20,5179106,'1',444,'N'),(20,5179114,'1',103,'N'),(20,5179122,'1',238,'N'),(20,5179122,'1A',208,'N'),(20,5179130,'1',5,'N'),(20,5179149,'1',103,'N'),(20,5179157,'1',211,'N'),(20,5179165,'1',201,'N'),(20,5179165,'1A',207,'N'),(20,5179173,'1',223,'N'),(20,5179203,'1',103,'N'),(20,5179211,'1',103,'N'),(20,5179220,'1',102,'N'),(20,5179238,'1',104,'N'),(20,5179246,'1',234,'N'),(20,5179254,'1',202,'N'),(20,5179254,'1A',201,'N'),(20,5179262,'1',5,'N'),(20,5179270,'1',104,'N'),(20,5179297,'1',428,'N'),(20,5179297,'1A',423,'N'),(20,5179300,'1',108,'N'),(20,5179319,'1',104,'N'),(20,5179327,'1',101,'N'),(20,5179335,'1',303,'N'),(20,5179351,'1',238,'N'),(20,5179351,'1A',208,'N'),(20,5179360,'1',103,'N'),(20,5179378,'1',340,'N'),(20,5179386,'1',203,'N'),(20,5179386,'1A',238,'N'),(20,5179394,'1',103,'N'),(20,5179408,'1',333,'N'),(20,5179416,'1',452,'N'),(20,5179424,'1',333,'N'),(20,5179432,'1',203,'N'),(20,5179432,'1A',233,'N'),(20,5179440,'1',103,'N'),(20,5179459,'1',303,'N'),(20,5179475,'1',653,'N'),(20,5179475,'1A',652,'N'),(20,5179491,'1',444,'N'),(20,5179505,'1',329,'N'),(20,5179513,'1',235,'N'),(20,5179513,'1A',202,'N'),(20,5179530,'1',216,'N'),(20,5179530,'1A',207,'N'),(20,5179548,'1',104,'N'),(20,5179556,'1',235,'N'),(20,5179556,'1A',220,'N'),(20,5179564,'1',238,'N'),(20,5179564,'1A',208,'N'),(20,5179572,'1',9,'N'),(20,5179599,'1',450,'N'),(20,5179602,'1',451,'N'),(20,5179610,'1',452,'N'),(20,5179629,'1',103,'N'),(20,5179645,'1',303,'N'),(20,5179653,'1',103,'N'),(20,5179670,'1',103,'N'),(20,5179688,'1',303,'N'),(20,5179700,'1',302,'N'),(20,5179718,'1',319,'N'),(20,5179726,'1',208,'N'),(20,5179726,'1A',235,'N'),(20,5179750,'1',108,'N'),(20,5179769,'1',103,'N'),(20,5179785,'1',429,'N'),(20,5179785,'1A',425,'N'),(20,5179793,'1',104,'N'),(20,5179807,'1',104,'N'),(20,5179815,'1',103,'N'),(20,5179823,'1',425,'N'),(20,5179823,'1A',429,'N'),(20,5179831,'1',427,'N'),(20,5179831,'1A',428,'N'),(20,5179840,'1',310,'N'),(20,5179866,'1',9,'N'),(20,5179882,'1',201,'N'),(20,5179882,'1A',207,'N'),(20,5179890,'1',316,'N'),(20,5179904,'1',5,'N'),(20,5179912,'1',326,'N'),(20,5179920,'1',104,'N'),(20,5179939,'1',108,'N'),(20,5179947,'1',302,'N'),(20,5179955,'1',444,'N'),(20,5179963,'1',5,'N'),(20,5179971,'1',207,'N'),(20,5179971,'1A',201,'N'),(20,5179980,'1',103,'N'),(20,5180007,'1',108,'N'),(20,5180015,'1',301,'N'),(20,5180023,'1',238,'N'),(20,5180023,'1A',208,'N'),(20,5180031,'1',238,'N'),(20,5180031,'1A',208,'N'),(20,5180040,'1',104,'N'),(20,5180066,'1',452,'N'),(20,5180082,'1',208,'N'),(20,5180082,'1A',201,'N'),(20,5180090,'1',223,'N'),(20,5180104,'1',108,'N'),(20,5180112,'1',201,'N'),(20,5180112,'1A',207,'N'),(20,5180120,'1',207,'N'),(20,5180155,'1',301,'N'),(20,5180163,'1',326,'N'),(20,5180171,'1',103,'N'),(20,5180180,'1',327,'N'),(20,5180201,'1',103,'N'),(20,5180228,'1',103,'N'),(20,5180260,'1',501,'N'),(20,5180287,'1',235,'N'),(20,5180287,'1A',213,'N'),(20,5180295,'1',5,'N'),(20,5180309,'1',101,'N'),(20,5180317,'1',212,'N'),(20,5180317,'1A',216,'N'),(20,5180325,'1',103,'N'),(20,5180333,'1',339,'N'),(20,5180341,'1',501,'N'),(20,5180376,'1',339,'N'),(20,5180384,'1',503,'N'),(20,5180392,'1',238,'N'),(20,5180392,'1A',208,'N'),(20,5180414,'1',340,'N'),(20,5180422,'1',104,'N'),(20,5180465,'1',220,'N'),(20,5180465,'1A',202,'N'),(20,5180481,'1',309,'N'),(20,5180503,'1',316,'N'),(20,5180538,'1',444,'N'),(20,5180554,'1',3,'N'),(20,5180562,'1',5,'N'),(20,5180597,'1',326,'N'),(20,5180619,'1',301,'N'),(20,5180627,'1',324,'N'),(20,5180635,'1',103,'N'),(20,5180643,'1',238,'N'),(20,5180643,'1A',208,'N'),(20,5180651,'1',233,'N'),(20,5180651,'1A',213,'N'),(20,5180660,'1',316,'N'),(20,5180678,'1',238,'N'),(20,5180678,'1A',208,'N'),(20,5180686,'1',102,'N'),(20,5180694,'1',319,'N'),(20,5180708,'1',316,'N'),(20,5180716,'1',213,'N'),(20,5180724,'1',203,'N'),(20,5180724,'1A',202,'N'),(20,5180759,'1',5,'N'),(20,5180767,'1',653,'N'),(20,5180783,'1',103,'N'),(20,5180813,'1',303,'N'),(20,5180821,'1',420,'N'),(20,5180830,'1',502,'N'),(20,5180899,'1',301,'N'),(20,5180902,'1',211,'N'),(20,5180902,'1A',235,'N'),(20,5180929,'1',103,'N'),(20,5180937,'1',203,'N'),(20,5180937,'1A',220,'N'),(20,5180961,'1',103,'N'),(20,5180970,'1',208,'N'),(20,5180996,'1',5,'N'),(20,5181003,'1',301,'N'),(20,5181020,'1',103,'N'),(20,5181046,'1',207,'N'),(20,5181046,'1A',201,'N'),(20,5181062,'1',103,'N'),(20,5181070,'1',450,'N'),(20,5181089,'1',5,'N'),(20,5181100,'1',326,'N'),(20,5181119,'1',203,'N'),(20,5181127,'1',202,'N'),(20,5181127,'1A',233,'N'),(20,5181135,'1',339,'N'),(20,5181143,'1',103,'N'),(20,5181160,'1',103,'N'),(20,5181186,'1',103,'N'),(20,5181194,'1',316,'N'),(20,5181208,'1',208,'N'),(20,5181208,'1A',216,'N'),(20,5181216,'1',207,'N'),(20,5181216,'1A',201,'N'),(20,5181224,'1',316,'N'),(20,5181232,'1',404,'N'),(20,5181240,'1',201,'N'),(20,5181240,'1A',211,'N'),(20,5181267,'1',207,'N'),(20,5181267,'1A',212,'N'),(20,5181275,'1',308,'N'),(20,5181283,'1',308,'N'),(20,5181291,'1',319,'N'),(20,5181305,'1',324,'N'),(20,5181313,'1',203,'N'),(20,5181313,'1A',202,'N'),(20,5181330,'1',303,'N'),(20,5181348,'1',103,'N'),(20,5181356,'1',238,'N'),(20,5181356,'1A',208,'N'),(20,5181364,'1',451,'N'),(20,5181372,'1',324,'N'),(20,5181380,'1',103,'N'),(20,5181399,'1',212,'N'),(20,5181399,'1A',211,'N'),(20,5181402,'1',108,'N'),(20,5181429,'1',5,'N'),(20,5181437,'1',319,'N'),(20,5181445,'1',316,'N'),(20,5181453,'1',103,'N'),(20,5181488,'1',103,'N'),(20,5181496,'1',653,'N'),(20,5181496,'1A',652,'N'),(20,5181500,'1',421,'N'),(20,5181500,'1A',424,'N'),(20,5181518,'1',202,'N'),(20,5181518,'1A',213,'N'),(20,5181526,'1',653,'N'),(20,5181526,'1A',652,'N'),(20,5181534,'1',302,'N'),(20,5181542,'1',104,'N'),(20,5181550,'1',220,'N'),(20,5181550,'1A',235,'N'),(20,5181569,'1',103,'N'),(20,5181593,'1',202,'N'),(20,5181593,'1A',238,'N'),(20,5181607,'1',502,'N'),(20,5181615,'1',426,'N'),(20,5181615,'1A',425,'N'),(20,5181623,'1',303,'N'),(20,5181640,'1',317,'N'),(20,5181658,'1',653,'N'),(20,5181658,'1A',652,'N'),(20,5181674,'1',5,'N'),(20,5181682,'1',103,'N'),(20,5181690,'1',103,'N'),(20,5181704,'1',208,'N'),(20,5181704,'1A',238,'N'),(20,5181712,'1',103,'N'),(20,5181739,'1',108,'N'),(20,5181747,'1',303,'N'),(20,5181755,'1',103,'N'),(20,5181771,'1',207,'N'),(20,5181798,'1',425,'N'),(20,5181798,'1A',423,'N'),(20,5181801,'1',104,'N'),(20,5181810,'1',301,'N'),(20,5181828,'1',340,'N'),(20,5181836,'1',103,'N'),(20,5181844,'1',238,'N'),(20,5181852,'1',102,'N'),(20,5181860,'1',316,'N'),(20,5181879,'1',207,'N'),(20,5181879,'1A',208,'N'),(20,5181887,'1',103,'N'),(20,5181895,'1',207,'N'),(20,5181909,'1',103,'N'),(20,5181917,'1',444,'N'),(20,5181925,'1',5,'N'),(20,5181933,'1',317,'N'),(20,5181941,'1',5,'N'),(20,5181950,'1',103,'N'),(20,5181968,'1',551,'N'),(20,5181992,'1',103,'N'),(20,5182018,'1',216,'N'),(20,5182026,'1',319,'N'),(20,5182042,'1',103,'N'),(20,5182050,'1',5,'N'),(20,5182069,'1',108,'N'),(20,5182077,'1',208,'N'),(20,5182077,'1A',201,'N'),(20,5182085,'1',420,'N'),(20,5182093,'1',451,'N'),(20,5182115,'1',5,'N'),(20,5182123,'1',308,'N'),(20,5182140,'1',601,'N'),(20,5182140,'1A',202,'N'),(20,5182166,'1',9,'N'),(20,5182174,'1',316,'N'),(20,5182182,'1',308,'N'),(20,5182190,'1',316,'N'),(20,5182212,'1',235,'N'),(20,5182212,'1A',202,'N'),(20,5182220,'1',301,'N'),(20,5182263,'1',203,'N'),(20,5182263,'1A',211,'N'),(20,5182271,'1',103,'N'),(20,5182280,'1',319,'N'),(20,5182310,'1',208,'N'),(20,5182310,'1A',238,'N'),(20,5182336,'1',308,'N'),(20,5182344,'1',336,'N'),(20,5182352,'1',103,'N'),(20,5182387,'1',104,'N'),(20,5182395,'1',102,'N'),(20,5182409,'1',216,'N'),(20,5182409,'1A',212,'N'),(20,5182417,'1',103,'N'),(20,5182425,'1',104,'N'),(20,5182433,'1',103,'N'),(20,5182441,'1',104,'N'),(20,5182468,'1',103,'N'),(20,5182476,'1',103,'N'),(20,5182484,'1',216,'N'),(20,5182484,'1A',653,'N'),(20,5182492,'1',233,'N'),(20,5182492,'1A',213,'N'),(20,5182514,'1',501,'N'),(20,5182522,'1',110,'N'),(20,5182530,'1',103,'N'),(20,5182557,'1',220,'N'),(20,5182557,'1A',233,'N'),(20,5182565,'1',426,'N'),(20,5182565,'1A',428,'N'),(20,5182573,'1',208,'N'),(20,5182573,'1A',238,'N'),(20,5182581,'1',203,'N'),(20,5182581,'1A',220,'N'),(20,5182590,'1',501,'N'),(20,5182603,'1',238,'N'),(20,5182603,'1A',235,'N'),(20,5182611,'1',333,'N'),(20,5182620,'1',208,'N'),(20,5182620,'1A',238,'N'),(20,5182646,'1',201,'N'),(20,5182646,'1A',233,'N'),(20,5182662,'1',333,'N'),(20,5182670,'1',303,'N'),(20,5182689,'1',103,'N'),(20,5182697,'1',316,'N'),(20,5182719,'1',211,'N'),(20,5182719,'1A',215,'N'),(20,5182727,'1',426,'N'),(20,5182727,'1A',428,'N'),(20,5182735,'1',238,'N'),(20,5182735,'1A',208,'N'),(20,5182751,'1',103,'N'),(20,5182760,'1',103,'N'),(20,5182786,'1',319,'N'),(20,5182794,'1',201,'N'),(20,5182794,'1A',207,'N'),(20,5182808,'1',202,'N'),(20,5182808,'1A',235,'N'),(20,5182816,'1',103,'N'),(20,5182824,'1',201,'N'),(20,5182824,'1A',212,'N'),(20,5182832,'1',302,'N'),(20,5182840,'1',201,'N'),(20,5182840,'1A',203,'N'),(20,5182859,'1',303,'N'),(20,5182867,'1',220,'N'),(20,5182867,'1A',208,'N'),(20,5182891,'1',215,'N'),(20,5182891,'1A',211,'N'),(20,5182905,'1',303,'N'),(20,5182921,'1',501,'N'),(20,5182948,'1',653,'N'),(20,5182948,'1A',652,'N'),(20,5182964,'1',652,'N'),(20,5182964,'1A',653,'N'),(20,5182972,'1',103,'N'),(20,5182980,'1',339,'N'),(20,5183006,'1',203,'N'),(20,5183006,'1A',202,'N'),(20,5183014,'1',103,'N'),(20,5183022,'1',207,'N'),(20,5183022,'1A',201,'N'),(20,5183030,'1',331,'N'),(20,5183049,'1',103,'N'),(20,5183057,'1',502,'N'),(20,5183073,'1',103,'N'),(20,5183081,'1',202,'N'),(20,5183081,'1A',220,'N'),(20,5183090,'1',103,'N'),(20,5183111,'1',303,'N'),(20,5183120,'1',202,'N'),(20,5183120,'1A',208,'N'),(20,5183138,'1',103,'N'),(20,5183154,'1',9,'N'),(20,5183170,'1',103,'N'),(20,5183189,'1',329,'N'),(20,5183197,'1',420,'N'),(20,5183200,'1',333,'N'),(20,5183219,'1',108,'N'),(20,5183227,'1',103,'N'),(20,5183243,'1',202,'N'),(20,5183243,'1A',201,'N'),(20,5183251,'1',216,'N'),(20,5183251,'1A',220,'N'),(20,5183260,'1',426,'N'),(20,5183260,'1A',423,'N'),(20,5183278,'1',212,'N'),(20,5183278,'1A',201,'N'),(20,5183286,'1',601,'N'),(20,5183286,'1A',233,'N'),(20,5183294,'1',340,'N'),(20,5183308,'1',304,'N'),(20,5183332,'1',203,'N'),(20,5183332,'1A',201,'N'),(20,5183340,'1',429,'N'),(20,5183340,'1A',424,'N'),(20,5183367,'1',333,'N'),(20,5183375,'1',211,'N'),(20,5183375,'1A',202,'N'),(20,5183391,'1',203,'N'),(20,5183413,'1',238,'N'),(20,5183413,'1A',213,'N'),(20,5183421,'1',201,'N'),(20,5183421,'1A',212,'N'),(20,5183430,'1',444,'N'),(20,5183448,'1',104,'N'),(20,5183456,'1',301,'N'),(20,5183464,'1',216,'N'),(20,5183464,'1A',215,'N'),(20,5183480,'1',235,'N'),(20,5183480,'1A',202,'N'),(20,5183502,'1',318,'N'),(20,5183529,'1',216,'N'),(20,5183529,'1A',233,'N'),(20,5183553,'1',103,'N'),(20,5183570,'1',450,'N'),(20,5183588,'1',104,'N'),(20,5183596,'1',203,'N'),(20,5183596,'1A',202,'N'),(20,5183600,'1',201,'N'),(20,5183600,'1A',212,'N'),(20,5183618,'1',104,'N'),(20,5183626,'1',211,'N'),(20,5183626,'1A',238,'N'),(20,5183634,'1',101,'N'),(20,5183669,'1',212,'N'),(20,5183669,'1A',233,'N'),(20,5183677,'1',103,'N'),(20,5183685,'1',207,'N'),(20,5183685,'1A',201,'N'),(20,5183693,'1',202,'N'),(20,5183693,'1A',203,'N'),(20,5183723,'1',207,'N'),(20,5183723,'1A',201,'N'),(20,5183740,'1',601,'N'),(20,5183740,'1A',233,'N'),(20,5183758,'1',103,'N'),(20,5183766,'1',2,'N'),(20,5183774,'1',601,'N'),(20,5183774,'1A',213,'N'),(20,5183790,'1',214,'N'),(20,5183790,'1A',212,'N'),(20,5183804,'1',212,'N'),(20,5183804,'1A',214,'N'),(20,5183839,'1',317,'N'),(20,5183847,'1',103,'N'),(20,5183855,'1',320,'N'),(20,5183863,'1',303,'N'),(20,5183871,'1',103,'N'),(20,5183880,'1',103,'N'),(20,5183901,'1',340,'N'),(20,5183910,'1',207,'N'),(20,5183928,'1',5,'N'),(20,5183936,'1',108,'N'),(20,5183944,'1',103,'N'),(20,5183952,'1',202,'N'),(20,5183952,'1A',235,'N'),(20,5183960,'1',108,'N'),(20,5183979,'1',502,'N'),(20,5183987,'1',104,'N'),(20,5184002,'1',103,'N'),(20,5184010,'1',103,'N'),(20,5184029,'1',103,'N'),(20,5184045,'1',201,'N'),(20,5184045,'1A',202,'N'),(20,5184061,'1',212,'N'),(20,5184061,'1A',211,'N'),(20,5184070,'1',450,'N'),(20,5184088,'1',103,'N'),(20,5184096,'1',103,'N'),(20,5184100,'1',211,'N'),(20,5184100,'1A',215,'N'),(20,5184118,'1',5,'N'),(20,5184126,'1',444,'N'),(20,5184177,'1',103,'N'),(20,5184185,'1',207,'N'),(20,5184185,'1A',215,'N'),(20,5184193,'1',103,'N'),(20,5184215,'1',201,'N'),(20,5184215,'1A',211,'N'),(20,5184223,'1',333,'N'),(20,5184231,'1',108,'N'),(20,5184258,'1',201,'N'),(20,5184258,'1A',212,'N'),(20,5184274,'1',340,'N'),(20,5184290,'1',2,'N'),(20,5184304,'1',5,'N'),(20,5184312,'1',108,'N'),(20,5184320,'1',601,'N'),(20,5184320,'1A',220,'N'),(20,5184339,'1',216,'N'),(20,5184339,'1A',653,'N'),(20,5184355,'1',501,'N'),(20,5184363,'1',212,'N'),(20,5184363,'1A',203,'N'),(20,5184371,'1',104,'N'),(20,5184380,'1',238,'N'),(20,5184380,'1A',208,'N'),(20,5184398,'1',444,'N'),(20,5184401,'1',104,'N'),(20,5184410,'1',601,'N'),(20,5184410,'1A',211,'N'),(20,5184428,'1',333,'N'),(20,5184460,'1',203,'N'),(20,5184460,'1A',202,'N'),(20,5184479,'1',103,'N'),(20,5184487,'1',215,'N'),(20,5184487,'1A',238,'N'),(20,5184509,'1',331,'N'),(20,5184525,'1',415,'N'),(20,5184533,'1',103,'N'),(20,5184568,'1',601,'N'),(20,5184568,'1A',220,'N'),(20,5184584,'1',104,'N'),(20,5184622,'1',103,'N'),(20,5184630,'1',303,'N'),(20,5184649,'1',452,'N'),(20,5184665,'1',601,'N'),(20,5184665,'1A',212,'N'),(20,5184690,'1',339,'N'),(20,5184711,'1',415,'N'),(20,5184738,'1',317,'N'),(20,5184746,'1',103,'N'),(20,5184754,'1',444,'N'),(20,5184762,'1',5,'N'),(20,5184770,'1',104,'N'),(20,5184789,'1',101,'N'),(20,5184797,'1',203,'N'),(20,5184797,'1A',214,'N'),(20,5184819,'1',103,'N'),(20,5184827,'1',319,'N'),(20,5184843,'1',211,'N'),(20,5184851,'1',332,'N'),(20,5184860,'1',318,'N'),(20,5184878,'1',103,'N'),(20,5184894,'1',452,'N'),(20,5184908,'1',303,'N'),(20,5184916,'1',201,'N'),(20,5184916,'1A',214,'N'),(20,5184924,'1',211,'N'),(20,5184924,'1A',202,'N'),(20,5184932,'1',208,'N'),(20,5184940,'1',551,'N'),(20,5184959,'1',109,'N'),(20,5184967,'1',211,'N'),(20,5184967,'1A',216,'N'),(20,5184975,'1',103,'N'),(20,5184983,'1',220,'N'),(20,5184983,'1A',202,'N'),(20,5184991,'1',303,'N'),(20,5185009,'1',103,'N'),(20,5185017,'1',319,'N'),(20,5185025,'1',103,'N'),(20,5185041,'1',108,'N'),(20,5185050,'1',328,'N'),(20,5185068,'1',202,'N'),(20,5185068,'1A',220,'N'),(20,5185076,'1',303,'N'),(20,5185092,'1',202,'N'),(20,5185092,'1A',203,'N'),(20,5185106,'1',104,'N'),(20,5185114,'1',303,'N'),(20,5185122,'1',103,'N'),(20,5185130,'1',103,'N'),(20,5185149,'1',238,'N'),(20,5185149,'1A',208,'N'),(20,5185165,'1',9,'N'),(20,5185173,'1',103,'N'),(20,5185181,'1',653,'N'),(20,5185181,'1A',202,'N'),(20,5185190,'1',207,'N'),(20,5185190,'1A',203,'N'),(20,5185203,'1',108,'N'),(20,5185211,'1',103,'N'),(20,5185220,'1',318,'N'),(20,5185246,'1',104,'N'),(20,5185254,'1',502,'N'),(20,5185270,'1',319,'N'),(20,5185289,'1',103,'N'),(20,5185297,'1',203,'N'),(20,5185297,'1A',220,'N'),(20,5185319,'1',216,'N'),(20,5185319,'1A',215,'N'),(20,5185327,'1',601,'N'),(20,5185335,'1',601,'N'),(20,5185335,'1A',201,'N'),(20,5185343,'1',203,'N'),(20,5185343,'1A',233,'N'),(20,5185351,'1',424,'N'),(20,5185351,'1A',427,'N'),(20,5185360,'1',207,'N'),(20,5185360,'1A',208,'N'),(20,5185378,'1',320,'N'),(20,5185386,'1',425,'N'),(20,5185386,'1A',424,'N'),(20,5185394,'1',203,'N'),(20,5185394,'1A',202,'N'),(20,5185408,'1',103,'N'),(20,5185424,'1',220,'N'),(20,5185424,'1A',235,'N'),(20,5185440,'1',317,'N'),(20,5185467,'1',425,'N'),(20,5185467,'1A',427,'N'),(20,5185483,'1',103,'N'),(20,5185491,'1',450,'N'),(20,5185513,'1',220,'N'),(20,5185513,'1A',208,'N'),(20,5185521,'1',503,'N'),(20,5185548,'1',653,'N'),(20,5185548,'1A',216,'N'),(20,5185556,'1',302,'N'),(20,5185572,'1',104,'N'),(20,5185580,'1',103,'N'),(20,5185602,'1',444,'N'),(20,5185610,'1',332,'N'),(20,5185629,'1',108,'N'),(20,5185645,'1',104,'N'),(20,5185661,'1',203,'N'),(20,5185670,'1',303,'N'),(20,5185688,'1',203,'N'),(20,5185688,'1A',220,'N'),(20,5185696,'1',101,'N'),(20,5185700,'1',415,'N'),(20,5185718,'1',103,'N'),(20,5185726,'1',103,'N'),(20,5185742,'1',317,'N'),(20,5185750,'1',103,'N'),(20,5185769,'1',103,'N'),(20,5185777,'1',103,'N'),(20,5185785,'1',319,'N'),(20,5185793,'1',317,'N'),(20,5185823,'1',340,'N'),(20,5185840,'1',339,'N'),(20,5185858,'1',103,'N'),(20,5185874,'1',304,'N'),(20,5185890,'1',203,'N'),(20,5185890,'1A',214,'N'),(20,5185904,'1',201,'N'),(20,5185904,'1A',202,'N'),(20,5185912,'1',420,'N'),(20,5185920,'1',103,'N'),(20,5185939,'1',5,'N'),(20,5185947,'1',220,'N'),(20,5185947,'1A',203,'N'),(20,5185955,'1',316,'N'),(20,5185963,'1',103,'N'),(20,5185998,'1',109,'N'),(20,5186005,'1',551,'N'),(20,5186013,'1',108,'N'),(20,5186030,'1',207,'N'),(20,5186030,'1A',201,'N'),(20,5186048,'1',303,'N'),(20,5186056,'1',202,'N'),(20,5186056,'1A',216,'N'),(20,5186080,'1',415,'N'),(20,5186102,'1',318,'N'),(20,5186110,'1',103,'N'),(20,5186129,'1',233,'N'),(20,5186129,'1A',201,'N'),(20,5186137,'1',201,'N'),(20,5186137,'1A',202,'N'),(20,5186145,'1',333,'N'),(20,5186153,'1',103,'N'),(20,5186161,'1',207,'N'),(20,5186170,'1',216,'N'),(20,5186196,'1',428,'N'),(20,5186196,'1A',423,'N'),(20,5186218,'1',220,'N'),(20,5186218,'1A',203,'N'),(20,5186234,'1',104,'N'),(20,5186242,'1',303,'N'),(20,5186250,'1',104,'N'),(20,5186269,'1',415,'N'),(20,5186277,'1',203,'N'),(20,5186277,'1A',601,'N'),(20,5186285,'1',203,'N'),(20,5186285,'1A',601,'N'),(20,5186293,'1',108,'N'),(20,5186307,'1',202,'N'),(20,5186307,'1A',211,'N'),(20,5186315,'1',303,'N'),(20,5186331,'1',103,'N'),(20,5186340,'1',201,'N'),(20,5186340,'1A',202,'N'),(20,5186358,'1',202,'N'),(20,5186358,'1A',235,'N'),(20,5186374,'1',319,'N'),(20,5186382,'1',216,'N'),(20,5186382,'1A',212,'N'),(20,5186390,'1',326,'N'),(20,5186404,'1',215,'N'),(20,5186404,'1A',216,'N'),(20,5186412,'1',103,'N'),(20,5186420,'1',404,'N'),(20,5186447,'1',452,'N'),(20,5186455,'1',203,'N'),(20,5186455,'1A',201,'N'),(20,5186463,'1',202,'N'),(20,5186463,'1A',601,'N'),(20,5186480,'1',214,'N'),(20,5186480,'1A',212,'N'),(20,5186498,'1',453,'N'),(20,5186501,'1',404,'N'),(20,5186510,'1',328,'N'),(20,5186528,'1',103,'N'),(20,5186536,'1',429,'N'),(20,5186536,'1A',425,'N'),(20,5186544,'1',216,'N'),(20,5186544,'1A',238,'N'),(20,5186552,'1',2,'N'),(20,5186560,'1',415,'N'),(20,5186579,'1',103,'N'),(20,5186587,'1',5,'N'),(20,5186609,'1',601,'N'),(20,5186609,'1A',214,'N'),(20,5186617,'1',3,'N'),(20,5186633,'1',208,'N'),(20,5186633,'1A',238,'N'),(20,5186641,'1',103,'N'),(20,5186650,'1',103,'N'),(20,5186668,'1',340,'N'),(20,5186684,'1',444,'N'),(20,5186692,'1',551,'N'),(20,5186706,'1',429,'N'),(20,5186706,'1A',426,'N'),(20,5186722,'1',103,'N'),(20,5186749,'1',203,'N'),(20,5186749,'1A',201,'N'),(20,5186757,'1',429,'N'),(20,5186757,'1A',427,'N'),(20,5186765,'1',103,'N'),(20,5186781,'1',652,'N'),(20,5186781,'1A',653,'N'),(20,5186811,'1',318,'N'),(20,5186820,'1',331,'N'),(20,5186838,'1',427,'N'),(20,5186838,'1A',424,'N'),(20,5186846,'1',103,'N'),(20,5186862,'1',5,'N'),(20,5186870,'1',216,'N'),(20,5186870,'1A',233,'N'),(20,5186889,'1',103,'N'),(20,5186897,'1',340,'N'),(20,5186919,'1',340,'N'),(20,5186935,'1',2,'N'),(20,5186951,'1',303,'N'),(20,5186960,'1',103,'N'),(20,5186978,'1',104,'N'),(20,5186986,'1',216,'N'),(20,5186986,'1A',211,'N'),(20,5186994,'1',5,'N'),(20,5187001,'1',340,'N'),(20,5187010,'1',103,'N'),(20,5187028,'1',201,'N'),(20,5187028,'1A',212,'N'),(20,5187052,'1',301,'N'),(20,5187079,'1',104,'N'),(20,5187109,'1',202,'N'),(20,5187109,'1A',201,'N'),(20,5187117,'1',318,'N'),(20,5187125,'1',207,'N'),(20,5187125,'1A',215,'N'),(20,5187133,'1',220,'N'),(20,5187133,'1A',202,'N'),(20,5187141,'1',201,'N'),(20,5187141,'1A',208,'N'),(20,5187150,'1',327,'N'),(20,5187176,'1',420,'N'),(20,5187184,'1',216,'N'),(20,5187184,'1A',214,'N'),(20,5187192,'1',103,'N'),(20,5187206,'1',203,'N'),(20,5187206,'1A',601,'N'),(20,5187214,'1',303,'N'),(20,5187230,'1',501,'N'),(20,5187249,'1',103,'N'),(20,5187257,'1',450,'N'),(20,5187273,'1',238,'N'),(20,5187273,'1A',233,'N'),(20,5187281,'1',303,'N'),(20,5187290,'1',203,'N'),(20,5187303,'1',213,'N'),(20,5187303,'1A',211,'N'),(20,5187311,'1',415,'N'),(20,5187320,'1',303,'N'),(20,5187338,'1',102,'N'),(20,5187346,'1',444,'N'),(20,5187362,'1',319,'N'),(20,5187370,'1',653,'N'),(20,5187370,'1A',216,'N'),(20,5187389,'1',310,'N'),(20,5187397,'1',103,'N'),(20,5187400,'1',216,'N'),(20,5187400,'1A',215,'N'),(20,5187419,'1',428,'N'),(20,5187419,'1A',424,'N'),(20,5187427,'1',103,'N'),(20,5187435,'1',319,'N'),(20,5187451,'1',238,'N'),(20,5187451,'1A',208,'N'),(20,5187460,'1',203,'N'),(20,5187460,'1A',214,'N'),(20,5187478,'1',415,'N'),(20,5187486,'1',216,'N'),(20,5187486,'1A',233,'N'),(20,5187508,'1',319,'N'),(20,5187524,'1',303,'N'),(20,5187532,'1',301,'N'),(20,5187540,'1',103,'N'),(20,5187559,'1',101,'N'),(20,5187575,'1',201,'N'),(20,5187575,'1A',211,'N'),(20,5187583,'1',234,'N'),(20,5187591,'1',202,'N'),(20,5187591,'1A',211,'N'),(20,5187613,'1',415,'N'),(20,5187621,'1',203,'N'),(20,5187621,'1A',233,'N'),(20,5187630,'1',453,'N'),(20,5187648,'1',201,'N'),(20,5187648,'1A',216,'N'),(20,5187656,'1',203,'N'),(20,5187656,'1A',216,'N'),(20,5187664,'1',303,'N'),(20,5187702,'1',340,'N'),(20,5187710,'1',202,'N'),(20,5187710,'1A',213,'N'),(20,5187729,'1',110,'N'),(20,5187737,'1',220,'N'),(20,5187737,'1A',201,'N'),(20,5187745,'1',102,'N'),(20,5187753,'1',201,'N'),(20,5187753,'1A',212,'N'),(20,5187761,'1',207,'N'),(20,5187761,'1A',212,'N'),(20,5187770,'1',216,'N'),(20,5187770,'1A',202,'N'),(20,5187788,'1',452,'N'),(20,5187800,'1',451,'N'),(20,5187818,'1',501,'N'),(20,5187826,'1',340,'N'),(20,5187842,'1',303,'N'),(20,5187850,'1',326,'N'),(20,5187869,'1',207,'N'),(20,5187869,'1A',201,'N'),(20,5187877,'1',309,'N'),(20,5187893,'1',110,'N'),(20,5187907,'1',203,'N'),(20,5187907,'1A',208,'N'),(20,5187915,'1',333,'N'),(20,5187923,'1',208,'N'),(20,5187923,'1A',238,'N'),(20,5187931,'1',207,'N'),(20,5187931,'1A',201,'N'),(20,5187940,'1',220,'N'),(20,5187958,'1',652,'N'),(20,5187958,'1A',207,'N'),(20,5187966,'1',5,'N'),(20,5187974,'1',103,'N'),(20,5187982,'1',102,'N'),(20,5187990,'1',203,'N'),(20,5187990,'1A',233,'N'),(20,5188008,'1',216,'N'),(20,5188008,'1A',215,'N'),(20,5188016,'1',203,'N'),(20,5188016,'1A',235,'N'),(20,5188032,'1',103,'N'),(20,5188040,'1',301,'N'),(20,5188059,'1',601,'N'),(20,5188059,'1A',201,'N'),(20,5188067,'1',103,'N'),(20,5188075,'1',404,'N'),(20,5188083,'1',211,'N'),(20,5188083,'1A',215,'N'),(20,5188091,'1',303,'N'),(20,5188105,'1',103,'N'),(20,5188113,'1',202,'N'),(20,5188113,'1A',238,'N'),(20,5188121,'1',333,'N'),(20,5188130,'1',203,'N'),(20,5188156,'1',415,'N'),(20,5188164,'1',327,'N'),(20,5188172,'1',103,'N'),(20,5188199,'1',216,'N'),(20,5188199,'1A',601,'N'),(20,5188210,'1',444,'N'),(20,5188229,'1',103,'N'),(20,5188237,'1',415,'N'),(20,5188245,'1',103,'N'),(20,5188253,'1',103,'N'),(20,5188261,'1',225,'N'),(20,5188270,'1',5,'N'),(20,5188288,'1',103,'N'),(20,5188296,'1',318,'N'),(20,5188300,'1',415,'N'),(20,5188318,'1',304,'N'),(20,5188342,'1',104,'N'),(20,5188350,'1',340,'N'),(20,5188369,'1',303,'N'),(20,5188377,'1',104,'N'),(20,5188385,'1',203,'N'),(20,5188385,'1A',214,'N'),(20,5188407,'1',302,'N'),(20,5188415,'1',224,'N'),(20,5188423,'1',303,'N'),(20,5188431,'1',428,'N'),(20,5188458,'1',216,'N'),(20,5188458,'1A',601,'N'),(20,5188466,'1',103,'N'),(20,5188474,'1',103,'N'),(20,5188482,'1',238,'N'),(20,5188482,'1A',211,'N'),(20,5188490,'1',415,'N'),(20,5188504,'1',5,'N'),(20,5188512,'1',316,'N'),(20,5188520,'1',103,'N'),(20,5188539,'1',212,'N'),(20,5188539,'1A',214,'N'),(20,5188547,'1',201,'N'),(20,5188547,'1A',216,'N'),(20,5188555,'1',103,'N'),(20,5188563,'1',207,'N'),(20,5188571,'1',103,'N'),(20,5188580,'1',207,'N'),(20,5188580,'1A',212,'N'),(20,5188598,'1',103,'N'),(20,5188601,'1',202,'N'),(20,5188601,'1A',208,'N'),(20,5188610,'1',340,'N'),(20,5188628,'1',451,'N'),(20,5188636,'1',104,'N'),(20,5188644,'1',104,'N'),(20,5188652,'1',211,'N'),(20,5188660,'1',103,'N'),(20,5188679,'1',450,'N'),(20,5188687,'1',601,'N'),(20,5188695,'1',420,'N'),(20,5188709,'1',104,'N'),(20,5188717,'1',316,'N'),(20,5188725,'1',103,'N'),(20,5188733,'1',207,'N'),(20,5188733,'1A',201,'N'),(20,5188750,'1',319,'N'),(20,5188768,'1',340,'N'),(20,5188776,'1',207,'N'),(20,5188776,'1A',211,'N'),(20,5188784,'1',104,'N'),(20,5188792,'1',103,'N'),(20,5188806,'1',207,'N'),(20,5188806,'1A',201,'N'),(20,5188814,'1',104,'N'),(20,5188822,'1',103,'N'),(20,5188830,'1',303,'N'),(20,5188849,'1',216,'N'),(20,5188849,'1A',238,'N'),(20,5188857,'1',103,'N'),(20,5188873,'1',452,'N'),(20,5188881,'1',502,'N'),(20,5188890,'1',331,'N'),(20,5188903,'1',303,'N'),(20,5188911,'1',104,'N'),(20,5188920,'1',3,'N'),(20,5188938,'1',220,'N'),(20,5188938,'1A',235,'N'),(20,5188946,'1',213,'N'),(20,5188946,'1A',233,'N'),(20,5188954,'1',103,'N'),(20,5188970,'1',203,'N'),(20,5188970,'1A',220,'N'),(20,5188997,'1',308,'N'),(20,5189004,'1',333,'N'),(20,5189012,'1',207,'N'),(20,5189012,'1A',201,'N'),(20,5189039,'1',340,'N'),(20,5189055,'1',303,'N'),(20,5189071,'1',651,'N'),(20,5189071,'1A',652,'N'),(20,5189080,'1',104,'N'),(20,5189098,'1',233,'N'),(20,5189098,'1A',212,'N'),(20,5189101,'1',503,'N'),(20,5189128,'1',103,'N'),(20,5189136,'1',225,'N'),(20,5189144,'1',202,'N'),(20,5189144,'1A',207,'N'),(20,5189152,'1',102,'N'),(20,5189179,'1',103,'N'),(20,5189187,'1',103,'N'),(20,5189195,'1',9,'N'),(20,5189209,'1',203,'N'),(20,5189209,'1A',214,'N'),(20,5189217,'1',201,'N'),(20,5189217,'1A',207,'N'),(20,5189225,'1',103,'N'),(20,5189233,'1',103,'N'),(20,5189241,'1',207,'N'),(20,5189241,'1A',201,'N'),(20,5189250,'1',103,'N'),(20,5189268,'1',104,'N'),(20,5189284,'1',319,'N'),(20,5189292,'1',5,'N'),(20,5189306,'1',404,'N'),(20,5189322,'1',423,'N'),(20,5189330,'1',316,'N'),(20,5189357,'1',340,'N'),(20,5189365,'1',102,'N'),(20,5189373,'1',102,'N'),(20,5189381,'1',103,'N'),(20,5189390,'1',103,'N'),(20,5189403,'1',104,'N'),(20,5189420,'1',415,'N'),(20,5189438,'1',220,'N'),(20,5189438,'1A',216,'N'),(20,5189446,'1',102,'N'),(20,5189454,'1',203,'N'),(20,5189454,'1A',214,'N'),(20,5189462,'1',216,'N'),(20,5189462,'1A',211,'N'),(20,5189470,'1',103,'N'),(20,5189489,'1',203,'N'),(20,5189489,'1A',202,'N'),(20,5189497,'1',103,'N'),(20,5189519,'1',9,'N'),(20,5189535,'1',319,'N'),(20,5189551,'1',104,'N'),(20,5189578,'1',327,'N'),(20,5189594,'1',202,'N'),(20,5189594,'1A',208,'N'),(20,5189608,'1',222,'N'),(20,5189616,'1',340,'N'),(20,5189624,'1',103,'N'),(20,5189640,'1',103,'N'),(20,5189667,'1',202,'N'),(20,5189667,'1A',213,'N'),(20,5189675,'1',103,'N'),(20,5189683,'1',224,'N'),(20,5189691,'1',203,'N'),(20,5189691,'1A',201,'N'),(20,5189705,'1',103,'N'),(20,5189713,'1',201,'N'),(20,5189713,'1A',211,'N'),(20,5189721,'1',103,'N'),(20,5189730,'1',324,'N'),(20,5189748,'1',451,'N'),(20,5189756,'1',336,'N'),(20,5189764,'1',331,'N'),(20,5189772,'1',452,'N'),(20,5189799,'1',211,'N'),(20,5189799,'1A',215,'N'),(20,5189802,'1',238,'N'),(20,5189802,'1A',208,'N'),(20,5189810,'1',103,'N'),(20,5189837,'1',304,'N'),(20,5189845,'1',108,'N'),(20,5189853,'1',340,'N'),(20,5189870,'1',103,'N'),(20,5189888,'1',302,'N'),(20,5189896,'1',103,'N'),(20,5189900,'1',308,'N'),(20,5189918,'1',104,'N'),(20,5189926,'1',501,'N'),(20,5189934,'1',202,'N'),(20,5189934,'1A',203,'N'),(20,5189942,'1',103,'N'),(20,5189969,'1',420,'N'),(20,5189977,'1',208,'N'),(20,5189977,'1A',235,'N'),(20,5189993,'1',203,'N'),(20,5189993,'1A',201,'N'),(20,5190002,'1',320,'N'),(20,5190010,'1',651,'N'),(20,5190010,'1A',652,'N'),(20,5190037,'1',103,'N'),(20,5190045,'1',103,'N'),(20,5190053,'1',424,'N'),(20,5190061,'1',104,'N'),(20,5190070,'1',653,'N'),(20,5190070,'1A',202,'N'),(20,5190088,'1',444,'N'),(20,5190100,'1',304,'N'),(20,5190118,'1',207,'N'),(20,5190118,'1A',201,'N'),(20,5190126,'1',103,'N'),(20,5190134,'1',108,'N'),(20,5190142,'1',233,'N'),(20,5190142,'1A',201,'N'),(20,5190150,'1',103,'N'),(20,5190169,'1',503,'N'),(20,5190177,'1',104,'N'),(20,5190185,'1',101,'N'),(20,5190193,'1',653,'N'),(20,5190193,'1A',214,'N'),(20,5190207,'1',103,'N'),(20,5190215,'1',225,'N'),(20,5190223,'1',211,'N'),(20,5190223,'1A',215,'N'),(20,5190231,'1',238,'N'),(20,5190231,'1A',208,'N'),(20,5190240,'1',110,'N'),(20,5190258,'1',9,'N'),(20,5190266,'1',103,'N'),(20,5190274,'1',103,'N'),(20,5190282,'1',340,'N'),(20,5190312,'1',317,'N'),(20,5190320,'1',103,'N'),(20,5190339,'1',551,'N'),(20,5190347,'1',318,'N'),(20,5190355,'1',303,'N'),(20,5190371,'1',207,'N'),(20,5190371,'1A',233,'N'),(20,5190380,'1',5,'N'),(20,5190398,'1',404,'N'),(20,5190401,'1',201,'N'),(20,5190401,'1A',601,'N'),(20,5190428,'1',103,'N'),(20,5190436,'1',103,'N'),(20,5190452,'1',103,'N'),(20,5190460,'1',103,'N'),(20,5190479,'1',220,'N'),(20,5190479,'1A',202,'N'),(20,5190487,'1',423,'N'),(20,5190487,'1A',428,'N'),(20,5190495,'1',208,'N'),(20,5190495,'1A',238,'N'),(20,5190509,'1',207,'N'),(20,5190509,'1A',201,'N'),(20,5190517,'1',304,'N'),(20,5190525,'1',103,'N'),(20,5190533,'1',213,'N'),(20,5190533,'1A',202,'N'),(20,5190541,'1',340,'N'),(20,5190550,'1',201,'N'),(20,5190550,'1A',653,'N'),(20,5190568,'1',415,'N'),(20,5190576,'1',207,'N'),(20,5190576,'1A',212,'N'),(20,5190584,'1',201,'N'),(20,5190584,'1A',212,'N'),(20,5190592,'1',103,'N'),(20,5190606,'1',2,'N'),(20,5190614,'1',340,'N'),(20,5190622,'1',104,'N'),(20,5190630,'1',103,'N'),(20,5190649,'1',420,'N'),(20,5190657,'1',319,'N'),(20,5190665,'1',452,'N'),(20,5190673,'1',103,'N'),(20,5190681,'1',5,'N'),(20,5190690,'1',207,'N'),(20,5190690,'1A',201,'N'),(20,5190703,'1',301,'N'),(20,5190711,'1',103,'N'),(20,5190738,'1',415,'N'),(20,5190746,'1',601,'N'),(20,5190746,'1A',216,'N'),(20,5190754,'1',103,'N'),(20,5190762,'1',103,'N'),(20,5190800,'1',103,'N'),(20,5190819,'1',201,'N'),(20,5190819,'1A',207,'N'),(20,5190827,'1',207,'N'),(20,5190827,'1A',201,'N'),(20,5190835,'1',202,'N'),(20,5190835,'1A',203,'N'),(20,5190851,'1',207,'N'),(20,5190851,'1A',201,'N'),(20,5190878,'1',214,'N'),(20,5190878,'1A',212,'N'),(20,5190894,'1',415,'N'),(20,5190916,'1',5,'N'),(20,5190932,'1',103,'N'),(20,5190940,'1',103,'N'),(20,5190959,'1',103,'N'),(20,5190967,'1',336,'N'),(20,5190975,'1',201,'N'),(20,5190975,'1A',235,'N'),(20,5190983,'1',415,'N'),(20,5190991,'1',104,'N'),(20,5191009,'1',318,'N'),(20,5191025,'1',216,'N'),(20,5191025,'1A',211,'N'),(20,5191033,'1',501,'N'),(20,5191041,'1',104,'N'),(20,5191076,'1',5,'N'),(20,5191084,'1',404,'N'),(20,5191092,'1',501,'N'),(20,5191106,'1',452,'N'),(20,5191114,'1',213,'N'),(20,5191114,'1A',214,'N'),(20,5191149,'1',215,'N'),(20,5191149,'1A',211,'N'),(20,5191157,'1',103,'N'),(20,5191165,'1',103,'N'),(20,5191173,'1',420,'N'),(20,5191181,'1',207,'N'),(20,5191181,'1A',216,'N'),(20,5191190,'1',102,'N'),(20,5191203,'1',203,'N'),(20,5191203,'1A',202,'N'),(20,5191211,'1',308,'N'),(20,5191220,'1',103,'N'),(20,5191238,'1',220,'N'),(20,5191238,'1A',203,'N'),(20,5191246,'1',103,'N'),(20,5191254,'1',103,'N'),(20,5191262,'1',103,'N'),(20,5191270,'1',102,'N'),(20,5191297,'1',425,'N'),(20,5191297,'1A',424,'N'),(20,5191319,'1',202,'N'),(20,5191319,'1A',235,'N'),(20,5191327,'1',303,'N'),(20,5191335,'1',319,'N'),(20,5191343,'1',103,'N'),(20,5191360,'1',201,'N'),(20,5191360,'1A',216,'N'),(20,5191378,'1',103,'N'),(20,5191386,'1',103,'N'),(20,5191394,'1',9,'N'),(20,5191408,'1',5,'N'),(20,5191416,'1',303,'N'),(20,5191432,'1',502,'N'),(20,5191440,'1',207,'N'),(20,5191440,'1A',201,'N'),(20,5191459,'1',103,'N'),(20,5191467,'1',201,'N'),(20,5191467,'1A',207,'N'),(20,5191475,'1',201,'N'),(20,5191475,'1A',238,'N'),(20,5191483,'1',5,'N'),(20,5191491,'1',103,'N'),(20,5191505,'1',104,'N'),(20,5191513,'1',211,'N'),(20,5191513,'1A',233,'N'),(20,5191521,'1',213,'N'),(20,5191521,'1A',233,'N'),(20,5191530,'1',102,'N'),(20,5191556,'1',103,'N'),(20,5191564,'1',103,'N'),(20,5191580,'1',103,'N'),(20,5191602,'1',215,'N'),(20,5191602,'1A',233,'N'),(20,5191610,'1',201,'N'),(20,5191610,'1A',212,'N'),(20,5191629,'1',453,'N'),(20,5191645,'1',303,'N'),(20,5191653,'1',450,'N'),(20,5191661,'1',207,'N'),(20,5191661,'1A',201,'N'),(20,5191688,'1',103,'N'),(20,5191696,'1',208,'N'),(20,5191696,'1A',235,'N'),(20,5191700,'1',223,'N'),(20,5191726,'1',5,'N'),(20,5191742,'1',103,'N'),(20,5191750,'1',319,'N'),(20,5191769,'1',103,'N'),(20,5191777,'1',308,'N'),(20,5191793,'1',103,'N'),(20,5191823,'1',304,'N'),(20,5191831,'1',444,'N'),(20,5191840,'1',103,'N'),(20,5191858,'1',340,'N'),(20,5191866,'1',329,'N'),(20,5191874,'1',415,'N'),(20,5191882,'1',317,'N'),(20,5191890,'1',103,'N'),(20,5191904,'1',201,'N'),(20,5191904,'1A',203,'N'),(20,5191912,'1',423,'N'),(20,5191912,'1A',426,'N'),(20,5191920,'1',207,'N'),(20,5191920,'1A',203,'N'),(20,5191939,'1',103,'N'),(20,5191947,'1',103,'N'),(20,5191955,'1',225,'N'),(20,5191971,'1',340,'N'),(20,5191980,'1',104,'N'),(20,5192005,'1',340,'N'),(20,5192013,'1',3,'N'),(20,5192021,'1',301,'N'),(20,5192030,'1',601,'N'),(20,5192048,'1',108,'N'),(20,5192056,'1',201,'N'),(20,5192056,'1A',212,'N'),(20,5192064,'1',326,'N'),(20,5192072,'1',104,'N'),(20,5192080,'1',201,'N'),(20,5192080,'1A',215,'N'),(20,5192099,'1',340,'N'),(20,5192110,'1',103,'N'),(20,5192129,'1',238,'N'),(20,5192129,'1A',208,'N'),(20,5192137,'1',104,'N'),(20,5192145,'1',103,'N'),(20,5192153,'1',415,'N'),(20,5192161,'1',202,'N'),(20,5192161,'1A',653,'N'),(20,5192170,'1',308,'N'),(20,5192188,'1',208,'N'),(20,5192188,'1A',238,'N'),(20,5192196,'1',108,'N'),(20,5192200,'1',201,'N'),(20,5192200,'1A',220,'N'),(20,5192218,'1',103,'N'),(20,5192226,'1',208,'N'),(20,5192226,'1A',215,'N'),(20,5192242,'1',216,'N'),(20,5192242,'1A',215,'N'),(20,5192250,'1',203,'N'),(20,5192250,'1A',601,'N'),(20,5192269,'1',5,'N'),(20,5192285,'1',317,'N'),(20,5192293,'1',213,'N'),(20,5192293,'1A',235,'N'),(20,5192315,'1',207,'N'),(20,5192315,'1A',201,'N'),(20,5192323,'1',203,'N'),(20,5192323,'1A',201,'N'),(20,5192331,'1',308,'N'),(20,5192340,'1',3,'N'),(20,5192358,'1',101,'N'),(20,5192366,'1',303,'N'),(20,5192374,'1',2,'N'),(20,5192390,'1',319,'N'),(20,5192404,'1',328,'N'),(20,5192412,'1',303,'N'),(20,5192420,'1',207,'N'),(20,5192420,'1A',201,'N'),(20,5192439,'1',601,'N'),(20,5192439,'1A',653,'N'),(20,5192447,'1',102,'N'),(20,5192455,'1',601,'N'),(20,5192455,'1A',203,'N'),(20,5192471,'1',103,'N'),(20,5192480,'1',425,'N'),(20,5192480,'1A',427,'N'),(20,5192501,'1',103,'N'),(20,5192528,'1',5,'N'),(20,5192536,'1',215,'N'),(20,5192536,'1A',216,'N'),(20,5192544,'1',340,'N'),(20,5192552,'1',319,'N'),(20,5192579,'1',2,'N'),(20,5192595,'1',317,'N'),(20,5192609,'1',207,'N'),(20,5192609,'1A',201,'N'),(20,5192617,'1',103,'N'),(20,5192625,'1',429,'N'),(20,5192625,'1A',425,'N'),(20,5192633,'1',203,'N'),(20,5192633,'1A',214,'N'),(20,5192641,'1',104,'N'),(20,5192668,'1',201,'N'),(20,5192668,'1A',202,'N'),(20,5192676,'1',333,'N'),(20,5192684,'1',5,'N'),(20,5192692,'1',102,'N'),(20,5192706,'1',103,'N'),(20,5192714,'1',201,'N'),(20,5192714,'1A',211,'N'),(20,5192722,'1',103,'N'),(20,5192730,'1',329,'N'),(20,5192749,'1',202,'N'),(20,5192749,'1A',235,'N'),(20,5192781,'1',501,'N'),(20,5192790,'1',208,'N'),(20,5192803,'1',5,'N'),(20,5192811,'1',340,'N'),(20,5192820,'1',207,'N'),(20,5192820,'1A',212,'N'),(20,5192838,'1',316,'N'),(20,5192846,'1',303,'N'),(20,5192854,'1',316,'N'),(20,5192862,'1',5,'N'),(20,5192870,'1',318,'N'),(20,5192897,'1',103,'N'),(20,5192900,'1',304,'N'),(20,5192919,'1',103,'N'),(20,5192927,'1',224,'N'),(20,5192943,'1',216,'N'),(20,5192943,'1A',203,'N'),(20,5192951,'1',104,'N'),(20,5192978,'1',203,'N'),(20,5192978,'1A',220,'N'),(20,5192986,'1',340,'N'),(20,5193052,'1',303,'N'),(20,5193060,'1',316,'N'),(20,5193079,'1',303,'N'),(20,5193087,'1',103,'N'),(20,5193095,'1',319,'N'),(20,5193109,'1',317,'N'),(20,5193125,'1',104,'N'),(20,5193133,'1',207,'N'),(20,5193133,'1A',201,'N'),(20,5193141,'1',303,'N'),(20,5193150,'1',333,'N'),(20,5193168,'1',103,'N'),(20,5193176,'1',103,'N'),(20,5193184,'1',201,'N'),(20,5193184,'1A',207,'N'),(20,5193192,'1',108,'N'),(20,5193206,'1',103,'N'),(20,5193214,'1',202,'N'),(20,5193214,'1A',233,'N'),(20,5193222,'1',103,'N'),(20,5193230,'1',203,'N'),(20,5193230,'1A',214,'N'),(20,5193249,'1',103,'N'),(20,5193265,'1',215,'N'),(20,5193265,'1A',216,'N'),(20,5193281,'1',211,'N'),(20,5193281,'1A',207,'N'),(20,5193290,'1',103,'N'),(20,5193303,'1',310,'N'),(20,5193311,'1',340,'N'),(20,5193320,'1',103,'N'),(20,5193338,'1',301,'N'),(20,5193354,'1',317,'N'),(20,5193362,'1',102,'N'),(20,5193370,'1',207,'N'),(20,5193370,'1A',233,'N'),(20,5193389,'1',201,'N'),(20,5193389,'1A',215,'N'),(20,5193397,'1',415,'N'),(20,5193400,'1',331,'N'),(20,5193427,'1',103,'N'),(20,5193435,'1',103,'N'),(20,5193443,'1',601,'N'),(20,5193443,'1A',211,'N'),(20,5193451,'1',211,'N'),(20,5193451,'1A',201,'N'),(20,5193460,'1',103,'N'),(20,5193478,'1',103,'N'),(20,5193486,'1',103,'N'),(20,5193494,'1',333,'N'),(20,5193508,'1',340,'N'),(20,5193516,'1',201,'N'),(20,5193516,'1A',235,'N'),(20,5193524,'1',201,'N'),(20,5193524,'1A',212,'N'),(20,5193532,'1',304,'N'),(20,5193540,'1',317,'N'),(20,5193559,'1',5,'N'),(20,5193567,'1',420,'N'),(20,5193575,'1',207,'N'),(20,5193575,'1A',215,'N'),(20,5193583,'1',333,'N'),(20,5193605,'1',303,'N'),(20,5193613,'1',238,'N'),(20,5193613,'1A',208,'N'),(20,5193621,'1',201,'N'),(20,5193621,'1A',233,'N'),(20,5193630,'1',5,'N'),(20,5193648,'1',108,'N'),(20,5193664,'1',420,'N'),(20,5193672,'1',102,'N'),(20,5193699,'1',201,'N'),(20,5193699,'1A',212,'N'),(20,5193729,'1',303,'N'),(20,5193737,'1',103,'N'),(20,5193745,'1',309,'N'),(20,5193753,'1',9,'N'),(20,5193761,'1',9,'N'),(20,5193770,'1',103,'N'),(20,5193788,'1',216,'N'),(20,5193788,'1A',233,'N'),(20,5193796,'1',103,'N'),(20,5193800,'1',108,'N'),(20,5193826,'1',5,'N'),(20,5193834,'1',502,'N'),(20,5193842,'1',207,'N'),(20,5193842,'1A',201,'N'),(20,5193850,'1',329,'N'),(20,5193877,'1',201,'N'),(20,5193877,'1A',212,'N'),(20,5193885,'1',103,'N'),(20,5193893,'1',216,'N'),(20,5193893,'1A',215,'N'),(20,5193907,'1',203,'N'),(20,5193907,'1A',601,'N'),(20,5193915,'1',327,'N'),(20,5193931,'1',103,'N'),(20,5193940,'1',421,'N'),(20,5193940,'1A',424,'N'),(20,5193966,'1',207,'N'),(20,5193966,'1A',201,'N'),(20,5193982,'1',9,'N'),(20,5194024,'1',238,'N'),(20,5194024,'1A',208,'N'),(20,5194032,'1',102,'N'),(20,5194040,'1',109,'N'),(20,5194059,'1',653,'N'),(20,5194059,'1A',651,'N'),(20,5194075,'1',208,'N'),(20,5194075,'1A',238,'N'),(20,5194083,'1',103,'N'),(20,5194091,'1',203,'N'),(20,5194091,'1A',233,'N'),(20,5194105,'1',340,'N'),(20,5194113,'1',2,'N'),(20,5194121,'1',444,'N'),(20,5194130,'1',207,'N'),(20,5194130,'1A',201,'N'),(20,5194148,'1',108,'N'),(20,5194156,'1',201,'N'),(20,5194156,'1A',212,'N'),(20,5194180,'1',216,'N'),(20,5194180,'1A',201,'N'),(20,5194199,'1',103,'N'),(20,5194202,'1',103,'N'),(20,5194210,'1',103,'N'),(20,5194237,'1',103,'N'),(20,5194253,'1',208,'N'),(20,5194253,'1A',238,'N'),(20,5194261,'1',108,'N'),(20,5194270,'1',9,'N'),(20,5194288,'1',108,'N'),(20,5194300,'1',304,'N'),(20,5194318,'1',238,'N'),(20,5194318,'1A',201,'N'),(20,5194326,'1',108,'N'),(20,5194334,'1',9,'N'),(20,5194342,'1',340,'N'),(20,5194350,'1',103,'N'),(20,5194369,'1',308,'N'),(20,5194385,'1',211,'N'),(20,5194385,'1A',215,'N'),(20,5194393,'1',201,'N'),(20,5194393,'1A',207,'N'),(20,5194415,'1',203,'N'),(20,5194415,'1A',601,'N'),(20,5194423,'1',415,'N'),(20,5194431,'1',301,'N'),(20,5194440,'1',308,'N'),(20,5194458,'1',102,'N'),(20,5194466,'1',216,'N'),(20,5194466,'1A',215,'N'),(20,5194474,'1',216,'N'),(20,5194482,'1',336,'N'),(20,5194490,'1',415,'N'),(20,5194504,'1',318,'N'),(20,5194512,'1',234,'N'),(20,5194520,'1',103,'N'),(20,5194547,'1',213,'N'),(20,5194547,'1A',220,'N'),(20,5194555,'1',238,'N'),(20,5194555,'1A',208,'N'),(20,5194571,'1',103,'N'),(20,5194580,'1',319,'N'),(20,5194598,'1',203,'N'),(20,5194598,'1A',202,'N'),(20,5194601,'1',425,'N'),(20,5194601,'1A',429,'N'),(20,5194628,'1',238,'N'),(20,5194628,'1A',208,'N'),(20,5194644,'1',308,'N'),(20,5194652,'1',5,'N'),(20,5194660,'1',3,'N'),(20,5194679,'1',201,'N'),(20,5194679,'1A',207,'N'),(20,5194687,'1',201,'N'),(20,5194687,'1A',207,'N'),(20,5194695,'1',220,'N'),(20,5194695,'1A',202,'N'),(20,5194741,'1',201,'N'),(20,5194741,'1A',212,'N'),(20,5194750,'1',216,'N'),(20,5194750,'1A',215,'N'),(20,5194768,'1',103,'N'),(20,5194776,'1',103,'N'),(20,5194784,'1',216,'N'),(20,5194784,'1A',233,'N'),(20,5194792,'1',220,'N'),(20,5194792,'1A',203,'N'),(20,5194806,'1',202,'N'),(20,5194806,'1A',601,'N'),(20,5194814,'1',103,'N'),(20,5194822,'1',103,'N'),(20,5194830,'1',103,'N'),(20,5194849,'1',103,'N'),(20,5194857,'1',103,'N'),(20,5194865,'1',319,'N'),(20,5194873,'1',104,'N'),(20,5194881,'1',104,'N'),(20,5194890,'1',303,'N'),(20,5194911,'1',303,'N'),(20,5194920,'1',9,'N'),(20,5194946,'1',203,'N'),(20,5194946,'1A',233,'N'),(20,5194954,'1',301,'N'),(20,5194962,'1',601,'N'),(20,5194962,'1A',201,'N'),(20,5194970,'1',202,'N'),(20,5194970,'1A',213,'N'),(20,5194989,'1',327,'N'),(20,5194997,'1',415,'N'),(20,5195004,'1',308,'N'),(20,5195012,'1',103,'N'),(20,5195020,'1',319,'N'),(20,5195039,'1',502,'N'),(20,5195047,'1',103,'N'),(20,5195055,'1',216,'N'),(20,5195063,'1',301,'N'),(20,5195071,'1',104,'N'),(20,5195098,'1',101,'N'),(20,5195101,'1',339,'N'),(20,5195110,'1',103,'N'),(20,5195128,'1',103,'N'),(20,5195136,'1',340,'N'),(20,5195144,'1',203,'N'),(20,5195144,'1A',235,'N'),(20,5195160,'1',103,'N'),(20,5195179,'1',201,'N'),(20,5195179,'1A',208,'N'),(20,5195187,'1',203,'N'),(20,5195187,'1A',201,'N'),(20,5195195,'1',103,'N'),(20,5195209,'1',316,'N'),(20,5195217,'1',104,'N'),(20,5195225,'1',303,'N'),(20,5195250,'1',103,'N'),(20,5195268,'1',333,'N'),(20,5195276,'1',216,'N'),(20,5195276,'1A',215,'N'),(20,5195284,'1',319,'N'),(20,5195292,'1',103,'N'),(20,5195306,'1',102,'N'),(20,5195314,'1',420,'N'),(20,5195330,'1',328,'N'),(20,5195349,'1',316,'N'),(20,5195365,'1',108,'N'),(20,5195381,'1',103,'N'),(20,5195390,'1',5,'N'),(20,5195403,'1',420,'N'),(20,5195411,'1',103,'N'),(20,5195438,'1',103,'N'),(20,5195454,'1',238,'N'),(20,5195454,'1A',220,'N'),(20,5195462,'1',216,'N'),(20,5195462,'1A',233,'N'),(20,5195470,'1',203,'N'),(20,5195470,'1A',201,'N'),(20,5195489,'1',201,'N'),(20,5195489,'1A',215,'N'),(20,5195497,'1',104,'N'),(20,5195500,'1',225,'N'),(20,5195527,'1',103,'N'),(20,5195535,'1',5,'N'),(20,5195543,'1',317,'N'),(20,5195551,'1',207,'N'),(20,5195560,'1',319,'N'),(20,5195578,'1',444,'N'),(20,5195586,'1',103,'N'),(20,5195594,'1',653,'N'),(20,5195594,'1A',211,'N'),(20,5195608,'1',233,'N'),(20,5195616,'1',317,'N'),(20,5195624,'1',9,'N'),(20,5195632,'1',108,'N'),(20,5195640,'1',211,'N'),(20,5195640,'1A',216,'N'),(20,5195659,'1',103,'N'),(20,5195667,'1',103,'N'),(20,5195675,'1',201,'N'),(20,5195675,'1A',212,'N'),(20,5195683,'1',303,'N'),(20,5195691,'1',103,'N'),(20,5195705,'1',316,'N'),(20,5195721,'1',5,'N'),(20,5195730,'1',340,'N'),(20,5195764,'1',318,'N'),(20,5195772,'1',211,'N'),(20,5195772,'1A',233,'N'),(20,5195780,'1',451,'N'),(20,5195799,'1',103,'N'),(20,5195802,'1',303,'N'),(20,5195810,'1',316,'N'),(20,5195829,'1',214,'N'),(20,5195829,'1A',213,'N'),(20,5195837,'1',301,'N'),(20,5195845,'1',201,'N'),(20,5195845,'1A',212,'N'),(20,5195853,'1',201,'N'),(20,5195853,'1A',202,'N'),(20,5195861,'1',9,'N'),(20,5195870,'1',320,'N'),(20,5195888,'1',207,'N'),(20,5195888,'1A',212,'N'),(20,5195896,'1',415,'N'),(20,5195918,'1',201,'N'),(20,5195918,'1A',207,'N'),(20,5195926,'1',103,'N'),(20,5195942,'1',201,'N'),(20,5195942,'1A',207,'N'),(20,5195950,'1',426,'N'),(20,5195950,'1A',425,'N'),(20,5195969,'1',9,'N'),(20,5195985,'1',452,'N'),(20,5196000,'1',101,'N'),(20,5196019,'1',203,'N'),(20,5196019,'1A',214,'N'),(20,5196035,'1',103,'N'),(20,5196043,'1',103,'N'),(20,5196051,'1',450,'N'),(20,5196078,'1',202,'N'),(20,5196078,'1A',653,'N'),(20,5196086,'1',103,'N'),(20,5196094,'1',220,'N'),(20,5196108,'1',103,'N'),(20,5196116,'1',103,'N'),(20,5196124,'1',103,'N'),(20,5196132,'1',103,'N'),(20,5196140,'1',203,'N'),(20,5196140,'1A',207,'N'),(20,5196159,'1',103,'N'),(20,5196167,'1',211,'N'),(20,5196167,'1A',201,'N'),(20,5196175,'1',319,'N'),(20,5196191,'1',319,'N'),(20,5196205,'1',303,'N'),(20,5196213,'1',207,'N'),(20,5196221,'1',428,'N'),(20,5196221,'1A',424,'N'),(20,5196230,'1',104,'N'),(20,5196248,'1',303,'N'),(20,5196256,'1',103,'N'),(20,5196264,'1',238,'N'),(20,5196264,'1A',208,'N'),(20,5196272,'1',201,'N'),(20,5196272,'1A',212,'N'),(20,5196280,'1',103,'N'),(20,5196299,'1',103,'N'),(20,5196302,'1',223,'N'),(20,5196310,'1',103,'N'),(20,5196329,'1',103,'N'),(20,5196337,'1',103,'N'),(20,5196345,'1',104,'N'),(20,5196353,'1',340,'N'),(20,5196361,'1',207,'N'),(20,5196370,'1',303,'N'),(20,5196388,'1',102,'N'),(20,5196396,'1',103,'N'),(20,5196400,'1',5,'N'),(20,5196418,'1',103,'N'),(20,5196426,'1',103,'N'),(20,5196434,'1',108,'N'),(20,5196442,'1',220,'N'),(20,5196442,'1A',233,'N'),(20,5196469,'1',104,'N'),(20,5196477,'1',303,'N'),(20,5196485,'1',108,'N'),(20,5196493,'1',327,'N'),(20,5196507,'1',444,'N'),(20,5196515,'1',303,'N'),(20,5196531,'1',103,'N'),(20,5196566,'1',108,'N'),(20,5196574,'1',501,'N'),(20,5196582,'1',103,'N'),(20,5196590,'1',336,'N'),(20,5196604,'1',303,'N'),(20,5196612,'1',203,'N'),(20,5196612,'1A',220,'N'),(20,5196639,'1',201,'N'),(20,5196639,'1A',208,'N'),(20,5196647,'1',101,'N'),(20,5196663,'1',103,'N'),(20,5196671,'1',303,'N'),(20,5196680,'1',103,'N'),(20,5196698,'1',104,'N'),(20,5196701,'1',203,'N'),(20,5196701,'1A',202,'N'),(20,5196710,'1',214,'N'),(20,5196710,'1A',213,'N'),(20,5196728,'1',601,'N'),(20,5196728,'1A',214,'N'),(20,5196744,'1',203,'N'),(20,5196744,'1A',220,'N'),(20,5196752,'1',103,'N'),(20,5196760,'1',336,'N'),(20,5196779,'1',103,'N'),(20,5196795,'1',103,'N'),(20,5196817,'1',104,'N'),(20,5196825,'1',207,'N'),(20,5196825,'1A',211,'N'),(20,5196833,'1',201,'N'),(20,5196833,'1A',601,'N'),(20,5196841,'1',319,'N'),(20,5196868,'1',303,'N'),(20,5196876,'1',335,'N'),(20,5196884,'1',303,'N'),(20,5196892,'1',303,'N'),(20,5196906,'1',331,'N'),(20,5196914,'1',103,'N'),(20,5196922,'1',420,'N'),(20,5196930,'1',103,'N'),(20,5196957,'1',201,'N'),(20,5196957,'1A',212,'N'),(20,5196965,'1',207,'N'),(20,5196965,'1A',201,'N'),(20,5196973,'1',103,'N'),(20,5196981,'1',415,'N'),(20,5196990,'1',104,'N'),(20,5197007,'1',103,'N'),(20,5197015,'1',328,'N'),(20,5197023,'1',303,'N'),(20,5197066,'1',102,'N'),(20,5197082,'1',340,'N'),(20,5197090,'1',207,'N'),(20,5197104,'1',224,'N'),(20,5197112,'1',340,'N'),(20,5197120,'1',452,'N'),(20,5197147,'1',215,'N'),(20,5197147,'1A',213,'N'),(20,5197163,'1',233,'N'),(20,5197163,'1A',203,'N'),(20,5197171,'1',5,'N'),(20,5197180,'1',601,'N'),(20,5197180,'1A',220,'N'),(20,5197198,'1',335,'N'),(20,5197210,'1',207,'N'),(20,5197228,'1',331,'N'),(20,5197236,'1',211,'N'),(20,5197236,'1A',233,'N'),(20,5197244,'1',201,'N'),(20,5197244,'1A',212,'N'),(20,5197252,'1',304,'N'),(20,5197260,'1',103,'N'),(20,5197279,'1',201,'N'),(20,5197279,'1A',216,'N'),(20,5197287,'1',233,'N'),(20,5197287,'1A',208,'N'),(20,5197295,'1',102,'N'),(20,5197309,'1',103,'N'),(20,5197317,'1',450,'N'),(20,5197325,'1',340,'N'),(20,5197333,'1',224,'N'),(20,5197341,'1',203,'N'),(20,5197341,'1A',214,'N'),(20,5197350,'1',103,'N'),(20,5197376,'1',201,'N'),(20,5197376,'1A',207,'N'),(20,5197392,'1',203,'N'),(20,5197392,'1A',201,'N'),(20,5197406,'1',103,'N'),(20,5197414,'1',211,'N'),(20,5197414,'1A',216,'N'),(20,5197422,'1',207,'N'),(20,5197422,'1A',233,'N'),(20,5197430,'1',203,'N'),(20,5197430,'1A',201,'N'),(20,5197449,'1',202,'N'),(20,5197449,'1A',220,'N'),(20,5197457,'1',319,'N'),(20,5197465,'1',5,'N'),(20,5197481,'1',103,'N'),(20,5197490,'1',108,'N'),(20,5197503,'1',340,'N'),(20,5197511,'1',333,'N'),(20,5197520,'1',320,'N'),(20,5197538,'1',319,'N'),(20,5197546,'1',453,'N'),(20,5197554,'1',104,'N'),(20,5197570,'1',103,'N'),(20,5197597,'1',220,'N'),(20,5197600,'1',103,'N'),(20,5197619,'1',238,'N'),(20,5197619,'1A',208,'N'),(20,5197635,'1',319,'N'),(20,5197643,'1',319,'N'),(20,5197651,'1',108,'N'),(20,5197660,'1',102,'N'),(20,5197678,'1',104,'N'),(20,5197686,'1',103,'N'),(20,5197694,'1',207,'N'),(20,5197694,'1A',201,'N'),(20,5197716,'1',103,'N'),(20,5197724,'1',453,'N'),(20,5197732,'1',207,'N'),(20,5197732,'1A',213,'N'),(20,5197740,'1',201,'N'),(20,5197740,'1A',202,'N'),(20,5197759,'1',103,'N'),(20,5197767,'1',103,'N'),(20,5197775,'1',103,'N'),(20,5197791,'1',212,'N'),(20,5197791,'1A',201,'N'),(20,5197805,'1',201,'N'),(20,5197805,'1A',207,'N'),(20,5197813,'1',104,'N'),(20,5197821,'1',203,'N'),(20,5197821,'1A',233,'N'),(20,5197864,'1',220,'N'),(20,5197864,'1A',202,'N'),(20,5197872,'1',203,'N'),(20,5197872,'1A',201,'N'),(20,5197880,'1',207,'N'),(20,5197880,'1A',201,'N'),(20,5197899,'1',207,'N'),(20,5197899,'1A',208,'N'),(20,5197902,'1',235,'N'),(20,5197902,'1A',202,'N'),(20,5197910,'1',324,'N'),(20,5197937,'1',319,'N'),(20,5197945,'1',233,'N'),(20,5197945,'1A',213,'N'),(20,5197953,'1',653,'N'),(20,5197953,'1A',202,'N'),(20,5197961,'1',202,'N'),(20,5197961,'1A',213,'N'),(20,5197970,'1',415,'N'),(20,5197988,'1',103,'N'),(20,5197996,'1',653,'N'),(20,5198003,'1',327,'N'),(20,5198046,'1',103,'N'),(20,5198054,'1',102,'N'),(20,5198089,'1',501,'N'),(20,5198097,'1',601,'N'),(20,5198097,'1A',653,'N'),(20,5198100,'1',208,'N'),(20,5198100,'1A',238,'N'),(20,5198127,'1',103,'N'),(20,5198143,'1',103,'N'),(20,5198151,'1',103,'N'),(20,5198194,'1',452,'N'),(20,5198208,'1',220,'N'),(20,5198216,'1',208,'N'),(20,5198216,'1A',238,'N'),(20,5198224,'1',9,'N'),(20,5198232,'1',104,'N'),(20,5198240,'1',238,'N'),(20,5198259,'1',103,'N'),(20,5198267,'1',329,'N'),(20,5198275,'1',203,'N'),(20,5198275,'1A',201,'N'),(20,5198283,'1',318,'N'),(20,5198305,'1',203,'N'),(20,5198305,'1A',214,'N'),(20,5198313,'1',5,'N'),(20,5198330,'1',5,'N'),(20,5198348,'1',103,'N'),(20,5198356,'1',212,'N'),(20,5198356,'1A',213,'N'),(20,5198364,'1',238,'N'),(20,5198364,'1A',601,'N'),(20,5198372,'1',103,'N'),(20,5198380,'1',103,'N'),(20,5198399,'1',601,'N'),(20,5198399,'1A',203,'N'),(20,5198410,'1',203,'N'),(20,5198410,'1A',214,'N'),(20,5198429,'1',238,'N'),(20,5198429,'1A',208,'N'),(20,5198437,'1',502,'N'),(20,5198445,'1',203,'N'),(20,5198445,'1A',220,'N'),(20,5198453,'1',109,'N'),(20,5198461,'1',108,'N'),(20,5198470,'1',303,'N'),(20,5198488,'1',103,'N'),(20,5198500,'1',103,'N'),(20,5198526,'1',103,'N'),(20,5198534,'1',652,'N'),(20,5198577,'1',450,'N'),(20,5198585,'1',238,'N'),(20,5198585,'1A',202,'N'),(20,5198593,'1',205,'N'),(20,5198631,'1',207,'N'),(20,5198658,'1',216,'N'),(20,5198658,'1A',215,'N'),(20,5198666,'1',303,'N'),(20,5198674,'1',308,'N'),(20,5198682,'1',203,'N'),(20,5198682,'1A',601,'N'),(20,5198739,'1',103,'N'),(20,5198747,'1',202,'N'),(20,5198747,'1A',220,'N'),(20,5198755,'1',103,'N'),(20,5198763,'1',653,'N'),(20,5198763,'1A',202,'N'),(20,5198771,'1',208,'N'),(20,5198771,'1A',238,'N'),(20,5198798,'1',310,'N'),(20,5198801,'1',203,'N'),(20,5198801,'1A',233,'N'),(20,5198810,'1',103,'N'),(20,5198828,'1',5,'N'),(20,5198836,'1',302,'N'),(20,5198844,'1',103,'N'),(20,5198852,'1',203,'N'),(20,5198879,'1',503,'N'),(20,5198887,'1',201,'N'),(20,5198887,'1A',207,'N'),(20,5198895,'1',551,'N'),(20,5198917,'1',333,'N'),(20,5198933,'1',103,'N'),(20,5198976,'1',203,'N'),(20,5198976,'1A',233,'N'),(20,5198992,'1',424,'N'),(20,5199000,'1',5,'N'),(20,5199034,'1',415,'N'),(20,5199042,'1',423,'N'),(20,5199042,'1A',427,'N'),(20,5199050,'1',222,'N'),(20,5199069,'1',103,'N'),(20,5199077,'1',404,'N'),(20,5199085,'1',103,'N'),(20,5199093,'1',238,'N'),(20,5199093,'1A',201,'N'),(20,5199107,'1',102,'N'),(20,5199115,'1',551,'N'),(20,5199123,'1',425,'N'),(20,5199123,'1A',429,'N'),(20,5199131,'1',103,'N'),(20,5199140,'1',9,'N'),(20,5199174,'1',215,'N'),(20,5199174,'1A',211,'N'),(20,5199182,'1',102,'N'),(20,5199190,'1',318,'N'),(20,5199204,'1',319,'N'),(20,5199263,'1',238,'N'),(20,5199263,'1A',235,'N'),(20,5199271,'1',103,'N'),(20,5199298,'1',103,'N'),(20,5199301,'1',103,'N'),(20,5199328,'1',101,'N'),(20,5199336,'1',324,'N'),(20,5199344,'1',318,'N'),(20,5199360,'1',427,'N'),(20,5199360,'1A',425,'N'),(20,5199387,'1',103,'N'),(20,5199395,'1',5,'N'),(20,5199409,'1',332,'N'),(20,5199425,'1',5,'N'),(20,5199433,'1',102,'N'),(20,5199441,'1',319,'N'),(20,5199476,'1',214,'N'),(20,5199476,'1A',212,'N'),(20,5199484,'1',502,'N'),(20,5199492,'1',103,'N'),(20,5199506,'1',316,'N'),(20,5199514,'1',316,'N'),(20,5199522,'1',303,'N'),(20,5199530,'1',333,'N'),(20,5199549,'1',423,'N'),(20,5199549,'1A',424,'N'),(20,5199557,'1',207,'N'),(20,5199557,'1A',201,'N'),(20,5199565,'1',319,'N'),(20,5199581,'1',202,'N'),(20,5199581,'1A',215,'N'),(20,5199590,'1',9,'N'),(20,5199603,'1',102,'N'),(20,5199611,'1',415,'N'),(20,5199620,'1',103,'N'),(20,5199654,'1',207,'N'),(20,5199654,'1A',201,'N'),(20,5199689,'1',201,'N'),(20,5199697,'1',103,'N'),(20,5199735,'1',319,'N'),(20,5199751,'1',319,'N'),(20,5199760,'1',5,'N'),(20,5199778,'1',101,'N'),(20,5199786,'1',202,'N'),(20,5199786,'1A',235,'N'),(20,5199808,'1',336,'N'),(20,5199824,'1',318,'N'),(20,5199840,'1',316,'N'),(20,5199859,'1',415,'N'),(20,5199867,'1',319,'N'),(20,5199875,'1',415,'N'),(20,5199883,'1',208,'N'),(20,5199883,'1A',238,'N'),(20,5199891,'1',103,'N'),(20,5199905,'1',208,'N'),(20,5199905,'1A',216,'N'),(20,5199913,'1',102,'N'),(20,5199921,'1',653,'N'),(20,5199921,'1A',651,'N'),(20,5199930,'1',308,'N'),(20,5199948,'1',5,'N'),(20,5199964,'1',103,'N'),(20,5199972,'1',103,'N'),(20,5199980,'1',415,'N'),(20,5199999,'1',201,'N'),(20,5199999,'1A',233,'N'),(20,5200016,'1',327,'N'),(20,5200024,'1',316,'N'),(20,5200032,'1',316,'N'),(20,5200059,'1',103,'N'),(20,5200067,'1',238,'N'),(20,5200067,'1A',208,'N'),(20,5200075,'1',103,'N'),(20,5200083,'1',233,'N'),(20,5200083,'1A',214,'N'),(20,5200091,'1',216,'N'),(20,5200091,'1A',201,'N'),(20,5200130,'1',425,'N'),(20,5200130,'1A',424,'N'),(20,5200148,'1',103,'N'),(20,5200156,'1',103,'N'),(20,5200172,'1',332,'N'),(20,5200180,'1',216,'N'),(20,5200180,'1A',215,'N'),(20,5200199,'1',340,'N'),(20,5200202,'1',103,'N'),(20,5200210,'1',316,'N'),(20,5200229,'1',103,'N'),(20,5200237,'1',320,'N'),(20,5200245,'1',104,'N'),(20,5200253,'1',601,'N'),(20,5200253,'1A',203,'N'),(20,5200261,'1',208,'N'),(20,5200270,'1',202,'N'),(20,5200270,'1A',203,'N'),(20,5200288,'1',319,'N'),(20,5200296,'1',450,'N'),(20,5200300,'1',108,'N'),(20,5200326,'1',425,'N'),(20,5200326,'1A',428,'N'),(20,5200334,'1',3,'N'),(20,5200342,'1',452,'N'),(20,5200369,'1',104,'N'),(20,5200377,'1',103,'N'),(20,5200385,'1',103,'N'),(20,5200393,'1',201,'N'),(20,5200407,'1',104,'N'),(20,5200415,'1',5,'N'),(20,5200423,'1',220,'N'),(20,5200423,'1A',653,'N'),(20,5200431,'1',103,'N'),(20,5200440,'1',110,'N'),(20,5200458,'1',415,'N'),(20,5200466,'1',103,'N'),(20,5200474,'1',303,'N'),(20,5200482,'1',201,'N'),(20,5200490,'1',233,'N'),(20,5200490,'1A',220,'N'),(20,5200504,'1',502,'N'),(20,5200512,'1',214,'N'),(20,5200512,'1A',212,'N'),(20,5200520,'1',444,'N'),(20,5200539,'1',103,'N'),(20,5200547,'1',452,'N'),(20,5200555,'1',103,'N'),(20,5200563,'1',332,'N'),(20,5200580,'1',340,'N'),(20,5200598,'1',317,'N'),(20,5200601,'1',303,'N'),(20,5200610,'1',102,'N'),(20,5200628,'1',326,'N'),(20,5200636,'1',103,'N'),(20,5200644,'1',103,'N'),(20,5200652,'1',103,'N'),(20,5200660,'1',450,'N'),(20,5200679,'1',103,'N'),(20,5200687,'1',453,'N'),(20,5200695,'1',238,'N'),(20,5200695,'1A',652,'N'),(20,5200709,'1',225,'N'),(20,5200717,'1',207,'N'),(20,5200717,'1A',208,'N'),(20,5200733,'1',208,'N'),(20,5200733,'1A',238,'N'),(20,5200741,'1',444,'N'),(20,5200750,'1',9,'N'),(20,5200768,'1',103,'N'),(20,5200776,'1',104,'N'),(20,5200784,'1',2,'N'),(20,5200792,'1',103,'N'),(20,5200806,'1',340,'N'),(20,5200822,'1',301,'N'),(20,5200830,'1',103,'N'),(20,5200849,'1',302,'N'),(20,5200857,'1',336,'N'),(20,5200865,'1',207,'N'),(20,5200865,'1A',201,'N'),(20,5200873,'1',319,'N'),(20,5200881,'1',340,'N'),(20,5200890,'1',103,'N'),(20,5200911,'1',340,'N'),(20,5200920,'1',404,'N'),(20,5200938,'1',5,'N'),(20,5200946,'1',601,'N'),(20,5200946,'1A',201,'N'),(20,5200962,'1',208,'N'),(20,5200962,'1A',238,'N'),(20,5200970,'1',5,'N'),(20,5200989,'1',415,'N'),(20,5201004,'1',601,'N'),(20,5201004,'1A',201,'N'),(20,5201012,'1',303,'N'),(20,5201020,'1',5,'N'),(20,5201039,'1',420,'N'),(20,5201047,'1',201,'N'),(20,5201047,'1A',212,'N'),(20,5201071,'1',110,'N'),(20,5201080,'1',5,'N'),(20,5201098,'1',425,'N'),(20,5201098,'1A',423,'N'),(20,5201101,'1',337,'N'),(20,5201110,'1',303,'N'),(20,5201128,'1',208,'N'),(20,5201128,'1A',235,'N'),(20,5201136,'1',336,'N'),(20,5201144,'1',201,'N'),(20,5201144,'1A',207,'N'),(20,5201160,'1',303,'N'),(20,5201179,'1',5,'N'),(20,5201187,'1',428,'N'),(20,5201187,'1A',426,'N'),(20,5201195,'1',319,'N'),(20,5201209,'1',211,'N'),(20,5201209,'1A',216,'N'),(20,5201217,'1',238,'N'),(20,5201217,'1A',235,'N'),(20,5201233,'1',103,'N'),(20,5201241,'1',103,'N'),(20,5201250,'1',225,'N'),(20,5201268,'1',444,'N'),(20,5201276,'1',103,'N'),(20,5201292,'1',303,'N'),(20,5201306,'1',5,'N'),(20,5201314,'1',103,'N'),(20,5201322,'1',203,'N'),(20,5201322,'1A',208,'N'),(20,5201349,'1',101,'N'),(20,5201365,'1',424,'N'),(20,5201365,'1A',428,'N'),(20,5201381,'1',208,'N'),(20,5201381,'1A',238,'N'),(20,5201390,'1',103,'N'),(20,5201403,'1',319,'N'),(20,5201411,'1',103,'N'),(20,5201420,'1',103,'N'),(20,5201446,'1',339,'N'),(20,5201454,'1',103,'N'),(20,5201462,'1',102,'N'),(20,5201489,'1',502,'N'),(20,5201500,'1',202,'N'),(20,5201500,'1A',235,'N'),(20,5201527,'1',103,'N'),(20,5201535,'1',238,'N'),(20,5201551,'1',551,'N'),(20,5201560,'1',452,'N'),(20,5201578,'1',203,'N'),(20,5201578,'1A',235,'N'),(20,5201586,'1',216,'N'),(20,5201608,'1',224,'N'),(20,5201616,'1',5,'N'),(20,5201624,'1',103,'N'),(20,5201632,'1',328,'N'),(20,5201640,'1',303,'N'),(20,5201659,'1',203,'N'),(20,5201659,'1A',214,'N'),(20,5201667,'1',316,'N'),(20,5201675,'1',420,'N'),(20,5201683,'1',327,'N'),(20,5201691,'1',101,'N'),(20,5201705,'1',302,'N'),(20,5201713,'1',444,'N'),(20,5201721,'1',216,'N'),(20,5201721,'1A',215,'N'),(20,5201730,'1',317,'N'),(20,5201748,'1',340,'N'),(20,5201756,'1',450,'N'),(20,5201764,'1',103,'N'),(20,5201772,'1',104,'N'),(20,5201780,'1',215,'N'),(20,5201780,'1A',216,'N'),(20,5201802,'1',201,'N'),(20,5201802,'1A',207,'N'),(20,5201829,'1',103,'N'),(20,5201837,'1',103,'N'),(20,5201845,'1',103,'N'),(20,5201861,'1',450,'N'),(20,5201870,'1',211,'N'),(20,5201888,'1',104,'N'),(20,5201918,'1',601,'N'),(20,5201918,'1A',203,'N'),(20,5201942,'1',103,'N'),(20,5201950,'1',316,'N'),(20,5201969,'1',208,'N'),(20,5201969,'1A',207,'N'),(20,5201977,'1',208,'N'),(20,5201977,'1A',203,'N'),(20,5201985,'1',332,'N'),(20,5201993,'1',319,'N'),(20,5202000,'1',309,'N'),(20,5202035,'1',501,'N'),(20,5202043,'1',202,'N'),(20,5202043,'1A',213,'N'),(20,5202051,'1',208,'N'),(20,5202051,'1A',238,'N'),(20,5202060,'1',104,'N'),(20,5202078,'1',340,'N'),(20,5202086,'1',103,'N'),(20,5202094,'1',103,'N'),(20,5202116,'1',103,'N'),(20,5202124,'1',201,'N'),(20,5202124,'1A',207,'N'),(20,5202159,'1',103,'N'),(20,5202175,'1',103,'N'),(20,5202183,'1',303,'N'),(20,5202191,'1',215,'N'),(20,5202205,'1',108,'N'),(20,5202213,'1',103,'N'),(20,5202230,'1',333,'N'),(20,5202248,'1',207,'N'),(20,5202248,'1A',201,'N'),(20,5202256,'1',208,'N'),(20,5202256,'1A',211,'N'),(20,5202264,'1',203,'N'),(20,5202264,'1A',201,'N'),(20,5202272,'1',420,'N'),(20,5202280,'1',451,'N'),(20,5202299,'1',303,'N'),(20,5202302,'1',317,'N'),(20,5202310,'1',201,'N'),(20,5202329,'1',501,'N'),(20,5202337,'1',103,'N'),(20,5202345,'1',101,'N'),(20,5202353,'1',203,'N'),(20,5202353,'1A',214,'N'),(20,5202361,'1',340,'N'),(20,5202370,'1',211,'N'),(20,5202370,'1A',653,'N'),(20,5202388,'1',501,'N'),(20,5202396,'1',319,'N'),(20,5202400,'1',453,'N'),(20,5202426,'1',103,'N'),(20,5202434,'1',207,'N'),(20,5202442,'1',203,'N'),(20,5202442,'1A',235,'N'),(20,5202450,'1',103,'N'),(20,5202477,'1',201,'N'),(20,5202477,'1A',207,'N'),(20,5202485,'1',324,'N'),(20,5202493,'1',5,'N'),(20,5202507,'1',316,'N'),(20,5202515,'1',302,'N'),(20,5202523,'1',5,'N'),(20,5202531,'1',103,'N'),(20,5202558,'1',103,'N'),(20,5202566,'1',211,'N'),(20,5202566,'1A',201,'N'),(20,5202574,'1',326,'N'),(20,5202582,'1',326,'N'),(20,5202590,'1',301,'N'),(20,5202604,'1',208,'N'),(20,5202604,'1A',220,'N'),(20,5202639,'1',340,'N'),(20,5202647,'1',103,'N'),(20,5202655,'1',207,'N'),(20,5202655,'1A',201,'N'),(20,5202663,'1',103,'N'),(20,5202671,'1',340,'N'),(20,5202680,'1',316,'N'),(20,5202698,'1',303,'N'),(20,5202710,'1',103,'N'),(20,5202728,'1',203,'N'),(20,5202728,'1A',202,'N'),(20,5202744,'1',108,'N'),(20,5202752,'1',601,'N'),(20,5202752,'1A',207,'N'),(20,5202760,'1',104,'N'),(20,5202779,'1',101,'N'),(20,5202787,'1',324,'N'),(20,5202795,'1',426,'N'),(20,5202795,'1A',421,'N'),(20,5202809,'1',211,'N'),(20,5202809,'1A',214,'N'),(20,5202817,'1',333,'N'),(20,5202825,'1',103,'N'),(20,5202833,'1',215,'N'),(20,5202833,'1A',235,'N'),(20,5202841,'1',316,'N'),(20,5202868,'1',424,'N'),(20,5202868,'1A',423,'N'),(20,5202892,'1',103,'N'),(20,5202906,'1',450,'N'),(20,5202922,'1',103,'N'),(20,5202930,'1',103,'N'),(20,5202957,'1',103,'N'),(20,5202965,'1',101,'N'),(20,5202973,'1',103,'N'),(20,5202981,'1',450,'N'),(20,5202990,'1',452,'N'),(20,5203007,'1',103,'N'),(20,5203015,'1',220,'N'),(20,5203015,'1A',233,'N'),(20,5203031,'1',203,'N'),(20,5203031,'1A',202,'N'),(20,5203040,'1',201,'N'),(20,5203040,'1A',207,'N'),(20,5203066,'1',333,'N'),(20,5203074,'1',101,'N'),(20,5203090,'1',425,'N'),(20,5203090,'1A',424,'N'),(20,5203112,'1',103,'N'),(20,5203120,'1',308,'N'),(20,5203139,'1',333,'N'),(20,5203163,'1',103,'N'),(20,5203171,'1',103,'N'),(20,5203180,'1',316,'N'),(20,5203198,'1',429,'N'),(20,5203198,'1A',428,'N'),(20,5203201,'1',301,'N'),(20,5203244,'1',238,'N'),(20,5203244,'1A',208,'N'),(20,5203252,'1',103,'N'),(20,5203260,'1',201,'N'),(20,5203260,'1A',212,'N'),(20,5203287,'1',340,'N'),(20,5203309,'1',450,'N'),(20,5203317,'1',207,'N'),(20,5203317,'1A',211,'N'),(20,5203325,'1',308,'N'),(20,5203341,'1',214,'N'),(20,5203341,'1A',213,'N'),(20,5203350,'1',451,'N'),(20,5203368,'1',333,'N'),(20,5203376,'1',324,'N'),(20,5203384,'1',319,'N'),(20,5203392,'1',303,'N'),(20,5203422,'1',103,'N'),(20,5203430,'1',5,'N'),(20,5203449,'1',103,'N'),(20,5203457,'1',5,'N'),(20,5203465,'1',233,'N'),(20,5203465,'1A',208,'N'),(20,5203473,'1',103,'N'),(20,5203481,'1',5,'N'),(20,5203503,'1',332,'N'),(20,5203520,'1',223,'N'),(20,5203538,'1',103,'N'),(20,5203546,'1',327,'N'),(20,5203554,'1',103,'N'),(20,5203562,'1',9,'N'),(20,5203570,'1',104,'N'),(20,5203589,'1',203,'N'),(20,5203589,'1A',202,'N'),(20,5203597,'1',301,'N'),(20,5203600,'1',340,'N'),(20,5203619,'1',216,'N'),(20,5203619,'1A',215,'N'),(20,5203627,'1',207,'N'),(20,5203627,'1A',201,'N'),(20,5203635,'1',318,'N'),(20,5203643,'1',101,'N'),(20,5203651,'1',444,'N'),(20,5203678,'1',304,'N'),(20,5203686,'1',202,'N'),(20,5203686,'1A',235,'N'),(20,5203694,'1',103,'N'),(20,5203708,'1',319,'N'),(20,5203716,'1',108,'N'),(20,5203724,'1',328,'N'),(20,5203732,'1',103,'N'),(20,5203759,'1',303,'N'),(20,5203767,'1',103,'N'),(20,5203775,'1',103,'N'),(20,5203791,'1',216,'N'),(20,5203791,'1A',211,'N'),(20,5203805,'1',415,'N'),(20,5203813,'1',5,'N'),(20,5203830,'1',104,'N'),(20,5203848,'1',340,'N'),(20,5203856,'1',304,'N'),(20,5203864,'1',213,'N'),(20,5203864,'1A',238,'N'),(20,5203872,'1',103,'N'),(20,5203899,'1',103,'N'),(20,5203929,'1',5,'N'),(20,5203937,'1',319,'N'),(20,5203945,'1',302,'N'),(20,5203953,'1',319,'N'),(20,5203961,'1',103,'N'),(20,5203970,'1',103,'N'),(20,5203988,'1',340,'N'),(20,5203996,'1',234,'N'),(20,5204003,'1',324,'N'),(20,5204011,'1',201,'N'),(20,5204020,'1',9,'N'),(20,5204038,'1',212,'N'),(20,5204038,'1A',233,'N'),(20,5204046,'1',103,'N'),(20,5204054,'1',320,'N'),(20,5204062,'1',9,'N'),(20,5204070,'1',333,'N'),(20,5204089,'1',103,'N'),(20,5204100,'1',103,'N'),(20,5204119,'1',601,'N'),(20,5204119,'1A',233,'N'),(20,5204127,'1',208,'N'),(20,5204135,'1',233,'N'),(20,5204135,'1A',216,'N'),(20,5204143,'1',216,'N'),(20,5204143,'1A',653,'N'),(20,5204151,'1',201,'N'),(20,5204151,'1A',207,'N'),(20,5204160,'1',207,'N'),(20,5204160,'1A',201,'N'),(20,5204178,'1',5,'N'),(20,5204186,'1',207,'N'),(20,5204186,'1A',233,'N'),(20,5204194,'1',326,'N'),(20,5204208,'1',108,'N'),(20,5204216,'1',5,'N'),(20,5204224,'1',202,'N'),(20,5204224,'1A',203,'N'),(20,5204232,'1',201,'N'),(20,5204232,'1A',207,'N'),(20,5204240,'1',103,'N'),(20,5204259,'1',426,'N'),(20,5204267,'1',101,'N'),(20,5204275,'1',207,'N'),(20,5204283,'1',201,'N'),(20,5204283,'1A',212,'N'),(20,5204291,'1',207,'N'),(20,5204291,'1A',201,'N'),(20,5204305,'1',316,'N'),(20,5204330,'1',103,'N'),(20,5204348,'1',103,'N'),(20,5204364,'1',302,'N'),(20,5204372,'1',319,'N'),(20,5204402,'1',104,'N'),(20,5204437,'1',207,'N'),(20,5204437,'1A',212,'N'),(20,5204445,'1',451,'N'),(20,5204453,'1',103,'N'),(20,5204461,'1',319,'N'),(20,5204470,'1',444,'N'),(20,5204488,'1',103,'N'),(20,5204496,'1',340,'N'),(20,5204500,'1',103,'N'),(20,5204518,'1',651,'N'),(20,5204518,'1A',238,'N'),(20,5204526,'1',103,'N'),(20,5204534,'1',316,'N'),(20,5204542,'1',207,'N'),(20,5204542,'1A',220,'N'),(20,5204550,'1',9,'N'),(20,5204569,'1',319,'N'),(20,5204577,'1',103,'N'),(20,5204593,'1',9,'N'),(20,5204607,'1',303,'N'),(20,5204615,'1',316,'N'),(20,5204623,'1',103,'N'),(20,5204631,'1',101,'N'),(20,5204640,'1',212,'N'),(20,5204640,'1A',207,'N'),(20,5204690,'1',103,'N'),(20,5204704,'1',104,'N'),(20,5204712,'1',308,'N'),(20,5204739,'1',2,'N'),(20,5204755,'1',211,'N'),(20,5204755,'1A',233,'N'),(20,5204763,'1',427,'N'),(20,5204763,'1A',424,'N'),(20,5204780,'1',220,'N'),(20,5204780,'1A',202,'N'),(20,5204801,'1',103,'N'),(20,5204810,'1',317,'N'),(20,5204828,'1',303,'N'),(20,5204836,'1',9,'N'),(20,5204844,'1',103,'N'),(20,5204852,'1',238,'N'),(20,5204852,'1A',208,'N'),(20,5204860,'1',103,'N'),(20,5204887,'1',444,'N'),(20,5204895,'1',103,'N'),(20,5204909,'1',320,'N'),(20,5204933,'1',5,'N'),(20,5204941,'1',326,'N'),(20,5204950,'1',103,'N'),(20,5204968,'1',103,'N'),(20,5204976,'1',103,'N'),(20,5204984,'1',108,'N'),(20,5204992,'1',108,'N'),(20,5205000,'1',103,'N'),(20,5205018,'1',216,'N'),(20,5205026,'1',207,'N'),(20,5205026,'1A',201,'N'),(20,5205034,'1',214,'N'),(20,5205042,'1',317,'N'),(20,5205050,'1',308,'N'),(20,5205069,'1',234,'N'),(20,5205077,'1',317,'N'),(20,5205085,'1',103,'N'),(20,5205093,'1',103,'N'),(20,5205140,'1',303,'N'),(20,5205166,'1',201,'N'),(20,5205174,'1',2,'N'),(20,5205182,'1',317,'N'),(20,5205204,'1',104,'N'),(20,5205212,'1',427,'N'),(20,5205212,'1A',426,'N'),(20,5205220,'1',102,'N'),(20,5205247,'1',303,'N'),(20,5205255,'1',220,'N'),(20,5205255,'1A',203,'N'),(20,5205263,'1',653,'N'),(20,5205271,'1',425,'N'),(20,5205271,'1A',428,'N'),(20,5205280,'1',5,'N'),(20,5205298,'1',340,'N'),(20,5205301,'1',203,'N'),(20,5205301,'1A',220,'N'),(20,5205310,'1',101,'N'),(20,5205328,'1',303,'N'),(20,5205336,'1',340,'N'),(20,5205344,'1',303,'N'),(20,5205360,'1',450,'N'),(20,5205379,'1',326,'N'),(20,5205387,'1',103,'N'),(20,5205395,'1',9,'N'),(20,5205409,'1',233,'N'),(20,5205409,'1A',214,'N'),(20,5205417,'1',103,'N'),(20,5205425,'1',220,'N'),(20,5205425,'1A',235,'N'),(20,5205441,'1',450,'N'),(20,5205450,'1',238,'N'),(20,5205450,'1A',208,'N'),(20,5205476,'1',336,'N'),(20,5205484,'1',102,'N'),(20,5205506,'1',207,'N'),(20,5205506,'1A',202,'N'),(20,5205514,'1',207,'N'),(20,5205514,'1A',211,'N'),(20,5205522,'1',202,'N'),(20,5205522,'1A',213,'N'),(20,5205557,'1',444,'N'),(20,5205565,'1',103,'N'),(20,5205573,'1',103,'N'),(20,5205581,'1',103,'N'),(20,5205590,'1',601,'N'),(20,5205590,'1A',651,'N'),(20,5205603,'1',203,'N'),(20,5205603,'1A',202,'N'),(20,5205611,'1',301,'N'),(20,5205620,'1',420,'N'),(20,5205638,'1',9,'N'),(20,5205654,'1',303,'N'),(20,5205662,'1',415,'N'),(20,5205670,'1',220,'N'),(20,5205670,'1A',203,'N'),(20,5205689,'1',103,'N'),(20,5205697,'1',203,'N'),(20,5205697,'1A',202,'N'),(20,5205700,'1',338,'N'),(20,5205719,'1',340,'N'),(20,5205727,'1',205,'N'),(20,5205743,'1',203,'N'),(20,5205743,'1A',220,'N'),(20,5205751,'1',208,'N'),(20,5205751,'1A',238,'N'),(20,5205760,'1',5,'N'),(20,5205786,'1',103,'N'),(20,5205794,'1',102,'N'),(20,5205808,'1',102,'N'),(20,5205816,'1',208,'N'),(20,5205832,'1',319,'N'),(20,5205840,'1',316,'N'),(20,5205859,'1',450,'N'),(20,5205867,'1',2,'N'),(20,5205875,'1',238,'N'),(20,5205875,'1A',208,'N'),(20,5205883,'1',203,'N'),(20,5205883,'1A',202,'N'),(20,5205891,'1',318,'N'),(20,5205905,'1',415,'N'),(20,5205913,'1',103,'N'),(20,5205921,'1',453,'N'),(20,5205956,'1',202,'N'),(20,5205956,'1A',601,'N'),(20,5205964,'1',213,'N'),(20,5205964,'1A',202,'N'),(20,5205972,'1',327,'N'),(20,5205980,'1',5,'N'),(20,5206006,'1',5,'N'),(20,5206014,'1',415,'N'),(20,5206022,'1',203,'N'),(20,5206022,'1A',220,'N'),(20,5206030,'1',340,'N'),(20,5206049,'1',444,'N'),(20,5206057,'1',108,'N'),(20,5206065,'1',103,'N'),(20,5206081,'1',108,'N'),(20,5206090,'1',103,'N'),(20,5206103,'1',101,'N'),(20,5206111,'1',423,'N'),(20,5206111,'1A',425,'N'),(20,5206120,'1',201,'N'),(20,5206120,'1A',211,'N'),(20,5206138,'1',216,'N'),(20,5206138,'1A',215,'N'),(20,5206154,'1',9,'N'),(20,5206189,'1',415,'N'),(20,5206197,'1',207,'N'),(20,5206197,'1A',201,'N'),(20,5206200,'1',103,'N'),(20,5206219,'1',301,'N'),(20,5206235,'1',317,'N'),(20,5206243,'1',207,'N'),(20,5206243,'1A',215,'N'),(20,5206260,'1',319,'N'),(20,5206278,'1',103,'N'),(20,5206286,'1',320,'N'),(20,5206294,'1',301,'N'),(20,5206316,'1',103,'N'),(20,5206324,'1',308,'N'),(20,5206359,'1',216,'N'),(20,5206359,'1A',214,'N'),(20,5206367,'1',214,'N'),(20,5206367,'1A',216,'N'),(20,5206375,'1',103,'N'),(20,5206405,'1',425,'N'),(20,5206405,'1A',424,'N'),(20,5206421,'1',234,'N'),(20,5206448,'1',318,'N'),(20,5206456,'1',333,'N'),(20,5206464,'1',452,'N'),(20,5206472,'1',319,'N'),(20,5206480,'1',203,'N'),(20,5206480,'1A',202,'N'),(20,5206499,'1',203,'N'),(20,5206499,'1A',216,'N'),(20,5206502,'1',103,'N'),(20,5206510,'1',203,'N'),(20,5206510,'1A',233,'N'),(20,5206529,'1',501,'N'),(20,5206537,'1',238,'N'),(20,5206537,'1A',213,'N'),(20,5206545,'1',404,'N'),(20,5206553,'1',207,'N'),(20,5206553,'1A',233,'N'),(20,5206561,'1',5,'N'),(20,5206570,'1',103,'N'),(20,5206588,'1',601,'N'),(20,5206588,'1A',202,'N'),(20,5206596,'1',308,'N'),(20,5206600,'1',9,'N'),(20,5206618,'1',203,'N'),(20,5206618,'1A',216,'N'),(20,5206626,'1',320,'N'),(20,5206650,'1',338,'N'),(20,5206677,'1',103,'N'),(20,5206685,'1',339,'N'),(20,5206707,'1',103,'N'),(20,5206731,'1',103,'N'),(20,5206758,'1',203,'N'),(20,5206766,'1',452,'N'),(20,5206774,'1',5,'N'),(20,5206782,'1',103,'N'),(20,5206790,'1',103,'N'),(20,5206812,'1',201,'N'),(20,5206812,'1A',207,'N'),(20,5206839,'1',103,'N'),(20,5206847,'1',103,'N'),(20,5206855,'1',104,'N'),(20,5206863,'1',214,'N'),(20,5206863,'1A',233,'N'),(20,5206871,'1',224,'N'),(20,5206880,'1',317,'N'),(20,5206898,'1',108,'N'),(20,5206901,'1',207,'N'),(20,5206910,'1',238,'N'),(20,5206910,'1A',208,'N'),(20,5206928,'1',103,'N'),(20,5206936,'1',208,'N'),(20,5206936,'1A',203,'N'),(20,5206952,'1',103,'N'),(20,5206960,'1',103,'N'),(20,5206987,'1',452,'N'),(20,5207002,'1',102,'N'),(20,5207010,'1',220,'N'),(20,5207010,'1A',202,'N'),(20,5207029,'1',103,'N'),(20,5207045,'1',302,'N'),(20,5207053,'1',103,'N'),(20,5207061,'1',202,'N'),(20,5207061,'1A',203,'N'),(20,5207070,'1',303,'N'),(20,5207088,'1',102,'N'),(20,5207096,'1',238,'N'),(20,5207096,'1A',208,'N'),(20,5207100,'1',324,'N'),(20,5207118,'1',201,'N'),(20,5207118,'1A',207,'N'),(20,5207126,'1',103,'N'),(20,5207134,'1',103,'N'),(20,5207150,'1',201,'N'),(20,5207150,'1A',207,'N'),(20,5207177,'1',9,'N'),(20,5207193,'1',220,'N'),(20,5207193,'1A',203,'N'),(20,5207207,'1',317,'N'),(20,5207215,'1',102,'N'),(20,5207223,'1',201,'N'),(20,5207223,'1A',203,'N'),(20,5207231,'1',340,'N'),(20,5207258,'1',201,'N'),(20,5207258,'1A',207,'N'),(20,5207266,'1',201,'N'),(20,5207266,'1A',238,'N'),(20,5207274,'1',102,'N'),(20,5207282,'1',301,'N'),(20,5207290,'1',207,'N'),(20,5207290,'1A',212,'N'),(20,5207304,'1',103,'N'),(20,5207312,'1',211,'N'),(20,5207312,'1A',213,'N'),(20,5207320,'1',653,'N'),(20,5207320,'1A',201,'N'),(20,5207363,'1',220,'N'),(20,5207363,'1A',238,'N'),(20,5207371,'1',340,'N'),(20,5207380,'1',220,'N'),(20,5207380,'1A',214,'N'),(20,5207398,'1',503,'N'),(20,5207401,'1',103,'N'),(20,5207410,'1',103,'N'),(20,5207436,'1',233,'N'),(20,5207436,'1A',211,'N'),(20,5207444,'1',319,'N'),(20,5207460,'1',301,'N'),(20,5207487,'1',601,'N'),(20,5207487,'1A',203,'N'),(20,5207509,'1',5,'N'),(20,5207525,'1',426,'N'),(20,5207525,'1A',423,'N'),(20,5207533,'1',202,'N'),(20,5207533,'1A',213,'N'),(20,5207541,'1',415,'N'),(20,5207550,'1',103,'N'),(20,5207568,'1',207,'N'),(20,5207568,'1A',651,'N'),(20,5207576,'1',216,'N'),(20,5207576,'1A',233,'N'),(20,5207606,'1',222,'N'),(20,5207614,'1',103,'N'),(20,5207622,'1',340,'N'),(20,5207657,'1',303,'N'),(20,5207673,'1',444,'N'),(20,5207681,'1',103,'N'),(20,5207690,'1',103,'N'),(20,5207703,'1',420,'N'),(20,5207711,'1',104,'N'),(20,5207720,'1',104,'N'),(20,5207738,'1',340,'N'),(20,5207746,'1',316,'N'),(20,5207762,'1',308,'N'),(20,5207770,'1',501,'N'),(20,5207789,'1',207,'N'),(20,5207789,'1A',601,'N'),(20,5207797,'1',207,'N'),(20,5207800,'1',103,'N'),(20,5207819,'1',303,'N'),(20,5207827,'1',203,'N'),(20,5207827,'1A',202,'N'),(20,5207835,'1',233,'N'),(20,5207835,'1A',216,'N'),(20,5207843,'1',103,'N'),(20,5207851,'1',233,'N'),(20,5207851,'1A',235,'N'),(20,5207860,'1',2,'N'),(20,5207878,'1',207,'N'),(20,5207878,'1A',201,'N'),(20,5207908,'1',208,'N'),(20,5207908,'1A',207,'N'),(20,5207916,'1',453,'N'),(20,5207924,'1',103,'N'),(20,5207932,'1',303,'N'),(20,5207959,'1',653,'N'),(20,5207959,'1A',652,'N'),(20,5207967,'1',302,'N'),(20,5207975,'1',316,'N'),(20,5207983,'1',202,'N'),(20,5207983,'1A',235,'N'),(20,5208009,'1',319,'N'),(20,5208025,'1',216,'N'),(20,5208025,'1A',233,'N'),(20,5208050,'1',110,'N'),(20,5208068,'1',203,'N'),(20,5208068,'1A',208,'N'),(20,5208084,'1',201,'N'),(20,5208084,'1A',212,'N'),(20,5208092,'1',303,'N'),(20,5208106,'1',211,'N'),(20,5208106,'1A',216,'N'),(20,5208130,'1',216,'N'),(20,5208149,'1',103,'N'),(20,5208157,'1',303,'N'),(20,5208165,'1',340,'N'),(20,5208173,'1',303,'N'),(20,5208190,'1',316,'N'),(20,5208203,'1',211,'N'),(20,5208203,'1A',601,'N'),(20,5208220,'1',203,'N'),(20,5208220,'1A',216,'N'),(20,5208238,'1',216,'N'),(20,5208238,'1A',211,'N'),(20,5208246,'1',318,'N'),(20,5208254,'1',415,'N'),(20,5208262,'1',103,'N'),(20,5208270,'1',301,'N'),(20,5208289,'1',444,'N'),(20,5208297,'1',340,'N'),(20,5208300,'1',452,'N'),(20,5208327,'1',319,'N'),(20,5208343,'1',102,'N'),(20,5208360,'1',340,'N'),(20,5208378,'1',207,'N'),(20,5208378,'1A',201,'N'),(20,5208386,'1',301,'N'),(20,5208394,'1',502,'N'),(20,5208416,'1',320,'N'),(20,5208424,'1',5,'N'),(20,5208432,'1',502,'N'),(20,5208459,'1',316,'N'),(20,5208483,'1',103,'N'),(20,5208505,'1',301,'N'),(20,5208513,'1',336,'N'),(20,5208521,'1',202,'N'),(20,5208521,'1A',203,'N'),(20,5208530,'1',340,'N'),(20,5208548,'1',101,'N'),(20,5208556,'1',333,'N'),(20,5208564,'1',103,'N'),(20,5208572,'1',501,'N'),(20,5208580,'1',205,'N'),(20,5208599,'1',208,'N'),(20,5208599,'1A',201,'N'),(20,5208602,'1',103,'N'),(20,5208610,'1',207,'N'),(20,5208610,'1A',201,'N'),(20,5208629,'1',201,'N'),(20,5208629,'1A',211,'N'),(20,5208637,'1',338,'N'),(20,5208645,'1',103,'N'),(20,5208653,'1',220,'N'),(20,5208653,'1A',208,'N'),(20,5208670,'1',234,'N'),(20,5208688,'1',103,'N'),(20,5208696,'1',5,'N'),(20,5208700,'1',304,'N'),(20,5208718,'1',220,'N'),(20,5208718,'1A',601,'N'),(20,5208726,'1',207,'N'),(20,5208726,'1A',201,'N'),(20,5208734,'1',318,'N'),(20,5208742,'1',336,'N'),(20,5208750,'1',103,'N'),(20,5208769,'1',316,'N'),(20,5208785,'1',103,'N'),(20,5208815,'1',207,'N'),(20,5208815,'1A',211,'N'),(20,5208823,'1',333,'N'),(20,5208831,'1',103,'N'),(20,5208840,'1',103,'N'),(20,5208858,'1',103,'N'),(20,5208874,'1',308,'N'),(20,5208882,'1',319,'N'),(20,5208890,'1',214,'N'),(20,5208890,'1A',212,'N'),(20,5208904,'1',109,'N'),(20,5208920,'1',303,'N'),(20,5208939,'1',336,'N'),(20,5208947,'1',340,'N'),(20,5208971,'1',108,'N'),(20,5209013,'1',103,'N'),(20,5209021,'1',103,'N'),(20,5209030,'1',317,'N'),(20,5209056,'1',303,'N'),(20,5209064,'1',101,'N'),(20,5209080,'1',211,'N'),(20,5209080,'1A',215,'N'),(20,5209099,'1',238,'N'),(20,5209099,'1A',216,'N'),(20,5209102,'1',444,'N'),(20,5209110,'1',201,'N'),(20,5209110,'1A',208,'N'),(20,5209129,'1',201,'N'),(20,5209129,'1A',653,'N'),(20,5209145,'1',102,'N'),(20,5209153,'1',207,'N'),(20,5209153,'1A',201,'N'),(20,5209161,'1',108,'N'),(20,5209170,'1',103,'N'),(20,5209188,'1',652,'N'),(20,5209196,'1',425,'N'),(20,5209200,'1',216,'N'),(20,5209200,'1A',211,'N'),(20,5209226,'1',444,'N'),(20,5209234,'1',108,'N'),(20,5209242,'1',233,'N'),(20,5209242,'1A',216,'N'),(20,5209250,'1',340,'N'),(20,5209307,'1',324,'N'),(20,5209331,'1',215,'N'),(20,5209331,'1A',233,'N'),(20,5209340,'1',303,'N'),(20,5209358,'1',233,'N'),(20,5209358,'1A',212,'N'),(20,5209374,'1',329,'N'),(20,5209390,'1',103,'N'),(20,5209404,'1',103,'N'),(20,5209412,'1',301,'N'),(20,5209420,'1',101,'N'),(20,5209439,'1',444,'N'),(20,5209447,'1',5,'N'),(20,5209455,'1',220,'N'),(20,5209455,'1A',203,'N'),(20,5209471,'1',103,'N'),(20,5209480,'1',302,'N'),(20,5209498,'1',207,'N'),(20,5209498,'1A',201,'N'),(20,5209501,'1',103,'N'),(20,5209510,'1',103,'N'),(20,5209528,'1',332,'N'),(20,5209536,'1',453,'N'),(20,5209552,'1',502,'N'),(20,5209579,'1',303,'N'),(20,5209587,'1',103,'N'),(20,5209595,'1',450,'N'),(20,5209617,'1',415,'N'),(20,5209625,'1',203,'N'),(20,5209625,'1A',201,'N'),(20,5209641,'1',103,'N'),(20,5209650,'1',9,'N'),(20,5209668,'1',214,'N'),(20,5209684,'1',502,'N'),(20,5209692,'1',302,'N'),(20,5209706,'1',444,'N'),(20,5209722,'1',303,'N'),(20,5209730,'1',340,'N'),(20,5209749,'1',415,'N'),(20,5209757,'1',340,'N'),(20,5209765,'1',214,'N'),(20,5209765,'1A',238,'N'),(20,5209773,'1',324,'N'),(20,5209790,'1',104,'N'),(20,5209803,'1',450,'N'),(20,5209811,'1',415,'N'),(20,5209820,'1',551,'N'),(20,5209838,'1',201,'N'),(20,5209838,'1A',212,'N'),(20,5209846,'1',303,'N'),(20,5209862,'1',207,'N'),(20,5209862,'1A',215,'N'),(20,5209870,'1',302,'N'),(20,5209889,'1',653,'N'),(20,5209889,'1A',652,'N'),(20,5209897,'1',201,'N'),(20,5209897,'1A',207,'N'),(20,5209900,'1',303,'N'),(20,5209927,'1',333,'N'),(20,5209935,'1',238,'N'),(20,5209935,'1A',208,'N'),(20,5209943,'1',207,'N'),(20,5209943,'1A',202,'N'),(20,5209951,'1',103,'N'),(20,5209960,'1',444,'N'),(20,5209978,'1',208,'N'),(20,5209978,'1A',238,'N'),(20,5209994,'1',211,'N'),(20,5209994,'1A',653,'N'),(20,5210003,'1',207,'N'),(20,5210003,'1A',201,'N'),(20,5210020,'1',5,'N'),(20,5210038,'1',319,'N'),(20,5210046,'1',211,'N'),(20,5210046,'1A',215,'N'),(20,5210054,'1',103,'N'),(20,5210062,'1',103,'N'),(20,5210070,'1',201,'N'),(20,5210070,'1A',212,'N'),(20,5210089,'1',5,'N'),(20,5210097,'1',212,'N'),(20,5210097,'1A',214,'N'),(20,5210100,'1',201,'N'),(20,5210100,'1A',216,'N'),(20,5210119,'1',101,'N'),(20,5210127,'1',103,'N'),(20,5210135,'1',421,'N'),(20,5210135,'1A',425,'N'),(20,5210143,'1',103,'N'),(20,5210151,'1',103,'N'),(20,5210160,'1',318,'N'),(20,5210178,'1',104,'N'),(20,5210186,'1',303,'N'),(20,5210194,'1',208,'N'),(20,5210194,'1A',233,'N'),(20,5210208,'1',103,'N'),(20,5210216,'1',211,'N'),(20,5210216,'1A',233,'N'),(20,5210232,'1',101,'N'),(20,5210240,'1',428,'N'),(20,5210240,'1A',426,'N'),(20,5210259,'1',319,'N'),(20,5210275,'1',329,'N'),(20,5210283,'1',103,'N'),(20,5210291,'1',216,'N'),(20,5210305,'1',212,'N'),(20,5210305,'1A',213,'N'),(20,5210313,'1',103,'N'),(20,5210321,'1',601,'N'),(20,5210321,'1A',653,'N'),(20,5210348,'1',103,'N'),(20,5210364,'1',318,'N'),(20,5210372,'1',220,'N'),(20,5210372,'1A',233,'N'),(20,5210380,'1',212,'N'),(20,5210380,'1A',213,'N'),(20,5210399,'1',216,'N'),(20,5210402,'1',203,'N'),(20,5210402,'1A',220,'N'),(20,5210429,'1',103,'N'),(20,5210437,'1',103,'N'),(20,5210445,'1',103,'N'),(20,5210453,'1',340,'N'),(20,5210470,'1',203,'N'),(20,5210470,'1A',220,'N'),(20,5210496,'1',2,'N'),(20,5210500,'1',428,'N'),(20,5210500,'1A',426,'N'),(20,5210518,'1',5,'N'),(20,5210526,'1',222,'N'),(20,5210534,'1',203,'N'),(20,5210534,'1A',208,'N'),(20,5210542,'1',103,'N'),(20,5210550,'1',653,'N'),(20,5210577,'1',319,'N'),(20,5210585,'1',238,'N'),(20,5210585,'1A',208,'N'),(20,5210593,'1',103,'N'),(20,5210623,'1',208,'N'),(20,5210623,'1A',203,'N'),(20,5210631,'1',103,'N'),(20,5210640,'1',653,'N'),(20,5210640,'1A',601,'N'),(20,5210658,'1',103,'N'),(20,5210674,'1',316,'N'),(20,5210682,'1',101,'N'),(20,5210704,'1',501,'N'),(20,5210720,'1',108,'N'),(20,5210755,'1',324,'N'),(20,5210763,'1',301,'N'),(20,5210771,'1',208,'N'),(20,5210798,'1',215,'N'),(20,5210798,'1A',233,'N'),(20,5210810,'1',308,'N'),(20,5210828,'1',211,'N'),(20,5210828,'1A',215,'N'),(20,5210836,'1',225,'N'),(20,5210844,'1',327,'N'),(20,5210852,'1',329,'N'),(20,5210887,'1',103,'N'),(20,5210895,'1',238,'N'),(20,5210895,'1A',207,'N'),(20,5210917,'1',207,'N'),(20,5210917,'1A',208,'N'),(20,5210925,'1',103,'N'),(20,5210941,'1',222,'N'),(20,5210950,'1',429,'N'),(20,5210950,'1A',423,'N'),(20,5210968,'1',207,'N'),(20,5210968,'1A',201,'N'),(20,5210976,'1',203,'N'),(20,5210976,'1A',216,'N'),(20,5210984,'1',211,'N'),(20,5210984,'1A',203,'N'),(20,5210992,'1',302,'N'),(20,5211018,'1',452,'N'),(20,5211034,'1',318,'N'),(20,5211069,'1',340,'N'),(20,5211077,'1',444,'N'),(20,5211085,'1',103,'N'),(20,5211123,'1',319,'N'),(20,5211140,'1',319,'N'),(20,5211166,'1',3,'N'),(20,5211174,'1',302,'N'),(20,5211204,'1',5,'N'),(20,5211212,'1',103,'N'),(20,5211220,'1',404,'N'),(20,5211239,'1',104,'N'),(20,5211247,'1',5,'N'),(20,5211255,'1',601,'N'),(20,5211255,'1A',220,'N'),(20,5211271,'1',103,'N'),(20,5211280,'1',501,'N'),(20,5211301,'1',327,'N'),(20,5211328,'1',450,'N'),(20,5211336,'1',551,'N'),(20,5211352,'1',238,'N'),(20,5211352,'1A',208,'N'),(20,5211360,'1',318,'N'),(20,5211379,'1',238,'N'),(20,5211379,'1A',208,'N'),(20,5211387,'1',201,'N'),(20,5211387,'1A',207,'N'),(20,5211417,'1',103,'N'),(20,5211441,'1',303,'N'),(20,5211476,'1',208,'N'),(20,5211476,'1A',238,'N'),(20,5211492,'1',103,'N'),(20,5211514,'1',319,'N'),(20,5211522,'1',208,'N'),(20,5211522,'1A',651,'N'),(20,5211530,'1',326,'N'),(20,5211557,'1',103,'N'),(20,5211565,'1',224,'N'),(20,5211573,'1',104,'N'),(20,5211581,'1',340,'N'),(20,5211590,'1',103,'N'),(20,5211603,'1',5,'N'),(20,5211646,'1',103,'N'),(20,5211654,'1',415,'N'),(20,5211670,'1',318,'N'),(20,5211689,'1',453,'N'),(20,5211700,'1',102,'N'),(20,5211735,'1',444,'N'),(20,5211743,'1',653,'N'),(20,5211743,'1A',652,'N'),(20,5211751,'1',303,'N'),(20,5211786,'1',303,'N'),(20,5211808,'1',303,'N'),(20,5211824,'1',426,'N'),(20,5211824,'1A',425,'N'),(20,5211832,'1',428,'N'),(20,5211832,'1A',426,'N'),(20,5211840,'1',103,'N'),(20,5211867,'1',103,'N'),(20,5211875,'1',103,'N'),(20,5211883,'1',337,'N'),(20,5211891,'1',303,'N'),(20,5211913,'1',319,'N'),(20,5211921,'1',201,'N'),(20,5211921,'1A',212,'N'),(20,5211930,'1',5,'N'),(20,5211948,'1',201,'N'),(20,5211948,'1A',207,'N'),(20,5211956,'1',327,'N'),(20,5211964,'1',103,'N'),(20,5211972,'1',220,'N'),(20,5211972,'1A',203,'N'),(20,5212006,'1',303,'N'),(20,5212022,'1',103,'N'),(20,5212065,'1',103,'N'),(20,5212073,'1',103,'N'),(20,5212103,'1',420,'N'),(20,5212111,'1',103,'N'),(20,5212138,'1',451,'N'),(20,5212146,'1',301,'N'),(20,5212154,'1',208,'N'),(20,5212154,'1A',238,'N'),(20,5212162,'1',304,'N'),(20,5212170,'1',201,'N'),(20,5212170,'1A',233,'N'),(20,5212189,'1',426,'N'),(20,5212189,'1A',429,'N'),(20,5212200,'1',103,'N'),(20,5212219,'1',317,'N'),(20,5212235,'1',101,'N'),(20,5212243,'1',108,'N'),(20,5212260,'1',2,'N'),(20,5212278,'1',203,'N'),(20,5212278,'1A',211,'N'),(20,5212286,'1',103,'N'),(20,5212294,'1',201,'N'),(20,5212294,'1A',207,'N'),(20,5212308,'1',340,'N'),(20,5212316,'1',318,'N'),(20,5212324,'1',207,'N'),(20,5212324,'1A',201,'N'),(20,5212332,'1',304,'N'),(20,5212359,'1',201,'N'),(20,5212359,'1A',208,'N'),(20,5212367,'1',103,'N'),(20,5212375,'1',427,'N'),(20,5212375,'1A',424,'N'),(20,5212383,'1',423,'N'),(20,5212383,'1A',428,'N'),(20,5212391,'1',340,'N'),(20,5212405,'1',233,'N'),(20,5212405,'1A',216,'N'),(20,5212421,'1',2,'N'),(20,5212430,'1',233,'N'),(20,5212430,'1A',601,'N'),(20,5212448,'1',103,'N'),(20,5212456,'1',103,'N'),(20,5212464,'1',331,'N'),(20,5212472,'1',310,'N'),(20,5212480,'1',9,'N'),(20,5212499,'1',201,'N'),(20,5212499,'1A',202,'N'),(20,5212502,'1',101,'N'),(20,5212510,'1',104,'N'),(20,5212529,'1',332,'N'),(20,5212553,'1',303,'N'),(20,5212561,'1',333,'N'),(20,5212570,'1',208,'N'),(20,5212588,'1',318,'N'),(20,5212596,'1',9,'N'),(20,5212600,'1',9,'N'),(20,5212618,'1',103,'N'),(20,5212626,'1',103,'N'),(20,5212634,'1',109,'N'),(20,5212642,'1',310,'N'),(20,5212650,'1',222,'N'),(20,5212669,'1',452,'N'),(20,5212677,'1',308,'N'),(20,5212693,'1',203,'N'),(20,5212693,'1A',201,'N'),(20,5212707,'1',103,'N'),(20,5212715,'1',404,'N'),(20,5212731,'1',316,'N'),(20,5212740,'1',301,'N'),(20,5212758,'1',337,'N'),(20,5212766,'1',326,'N'),(20,5212782,'1',444,'N'),(20,5212790,'1',415,'N'),(20,5212804,'1',238,'N'),(20,5212812,'1',103,'N'),(20,5212820,'1',103,'N'),(20,5212839,'1',238,'N'),(20,5212839,'1A',208,'N'),(20,5212847,'1',452,'N'),(20,5212855,'1',108,'N'),(20,5212863,'1',216,'N'),(20,5212863,'1A',215,'N'),(20,5212871,'1',316,'N'),(20,5212880,'1',404,'N'),(20,5212898,'1',340,'N'),(20,5212901,'1',207,'N'),(20,5212901,'1A',201,'N'),(20,5212910,'1',316,'N'),(20,5212928,'1',108,'N'),(20,5212936,'1',103,'N'),(20,5212944,'1',316,'N'),(20,5212960,'1',108,'N'),(20,5212979,'1',211,'N'),(20,5212979,'1A',601,'N'),(20,5212987,'1',102,'N'),(20,5212995,'1',428,'N'),(20,5212995,'1A',423,'N'),(20,5213002,'1',102,'N'),(20,5213010,'1',316,'N'),(20,5213029,'1',103,'N'),(20,5213037,'1',424,'N'),(20,5213037,'1A',425,'N'),(20,5213045,'1',336,'N'),(20,5213053,'1',222,'N'),(20,5213061,'1',104,'N'),(20,5213070,'1',201,'N'),(20,5213070,'1A',207,'N'),(20,5213096,'1',102,'N'),(20,5213100,'1',339,'N'),(20,5213118,'1',103,'N'),(20,5213126,'1',452,'N'),(20,5213134,'1',301,'N'),(20,5213142,'1',301,'N'),(20,5213150,'1',103,'N'),(20,5213169,'1',213,'N'),(20,5213169,'1A',235,'N'),(20,5213177,'1',426,'N'),(20,5213177,'1A',428,'N'),(20,5213185,'1',103,'N'),(20,5213193,'1',420,'N'),(20,5213207,'1',319,'N'),(20,5213215,'1',303,'N'),(20,5213223,'1',501,'N'),(20,5213231,'1',103,'N'),(20,5213240,'1',103,'N'),(20,5213258,'1',426,'N'),(20,5213258,'1A',429,'N'),(20,5213266,'1',238,'N'),(20,5213266,'1A',208,'N'),(20,5213274,'1',551,'N'),(20,5213282,'1',234,'N'),(20,5213290,'1',102,'N'),(20,5213304,'1',451,'N'),(20,5213312,'1',301,'N'),(20,5213320,'1',103,'N'),(20,5213339,'1',103,'N'),(20,5213347,'1',102,'N'),(20,5213355,'1',203,'N'),(20,5213355,'1A',201,'N'),(20,5213363,'1',319,'N'),(20,5213371,'1',102,'N'),(20,5213380,'1',324,'N'),(20,5213398,'1',309,'N'),(20,5213401,'1',203,'N'),(20,5213401,'1A',214,'N'),(20,5213410,'1',324,'N'),(20,5213428,'1',203,'N'),(20,5213428,'1A',214,'N'),(20,5213436,'1',101,'N'),(20,5213444,'1',201,'N'),(20,5213444,'1A',207,'N'),(20,5213460,'1',653,'N'),(20,5213479,'1',415,'N'),(20,5213487,'1',102,'N'),(20,5213495,'1',104,'N'),(20,5213509,'1',308,'N'),(20,5213517,'1',404,'N'),(20,5213525,'1',201,'N'),(20,5213525,'1A',233,'N'),(20,5213533,'1',339,'N'),(20,5213541,'1',222,'N'),(20,5213576,'1',308,'N'),(20,5213584,'1',202,'N'),(20,5213584,'1A',601,'N'),(20,5213606,'1',303,'N'),(20,5213614,'1',309,'N'),(20,5213622,'1',601,'N'),(20,5213622,'1A',207,'N'),(20,5213630,'1',104,'N'),(20,5213649,'1',425,'N'),(20,5213649,'1A',429,'N'),(20,5213657,'1',5,'N'),(20,5213665,'1',5,'N'),(20,5213673,'1',332,'N'),(20,5213681,'1',3,'N'),(20,5213690,'1',103,'N'),(20,5213703,'1',601,'N'),(20,5213703,'1A',211,'N'),(20,5213711,'1',207,'N'),(20,5213711,'1A',208,'N'),(20,5213720,'1',336,'N'),(20,5213738,'1',303,'N'),(20,5213746,'1',216,'N'),(20,5213754,'1',103,'N'),(20,5213762,'1',235,'N'),(20,5213762,'1A',201,'N'),(20,5213770,'1',101,'N'),(20,5213789,'1',238,'N'),(20,5213789,'1A',208,'N'),(20,5213797,'1',450,'N'),(20,5213800,'1',303,'N'),(20,5213835,'1',501,'N'),(20,5213843,'1',212,'N'),(20,5213843,'1A',238,'N'),(20,5213851,'1',103,'N'),(20,5213860,'1',501,'N'),(20,5213878,'1',429,'N'),(20,5213878,'1A',425,'N'),(20,5213886,'1',238,'N'),(20,5213886,'1A',208,'N'),(20,5213894,'1',238,'N'),(20,5213894,'1A',201,'N'),(20,5213908,'1',503,'N'),(20,5213916,'1',332,'N'),(20,5213924,'1',201,'N'),(20,5213924,'1A',212,'N'),(20,5213932,'1',103,'N'),(20,5213940,'1',104,'N'),(20,5213959,'1',108,'N'),(20,5213967,'1',103,'N'),(20,5213975,'1',9,'N'),(20,5213991,'1',5,'N'),(20,5214009,'1',216,'N'),(20,5214009,'1A',207,'N'),(20,5214017,'1',317,'N'),(20,5214025,'1',415,'N'),(20,5214033,'1',103,'N'),(20,5214041,'1',104,'N'),(20,5214068,'1',302,'N'),(20,5214084,'1',501,'N'),(20,5214092,'1',318,'N'),(20,5214106,'1',415,'N'),(20,5214114,'1',404,'N'),(20,5214122,'1',9,'N'),(20,5214130,'1',425,'N'),(20,5214130,'1A',428,'N'),(20,5214149,'1',308,'N'),(20,5214157,'1',601,'N'),(20,5214165,'1',302,'N'),(20,5214173,'1',324,'N'),(20,5214181,'1',317,'N'),(20,5214190,'1',207,'N'),(20,5214203,'1',301,'N'),(20,5214211,'1',203,'N'),(20,5214211,'1A',601,'N'),(20,5214220,'1',332,'N'),(20,5214238,'1',501,'N'),(20,5214246,'1',103,'N'),(20,5214254,'1',234,'N'),(20,5214262,'1',319,'N'),(20,5214270,'1',203,'N'),(20,5214270,'1A',214,'N'),(20,5214300,'1',208,'N'),(20,5214300,'1A',238,'N'),(20,5214319,'1',203,'N'),(20,5214319,'1A',214,'N'),(20,5214327,'1',5,'N'),(20,5214335,'1',216,'N'),(20,5214335,'1A',201,'N'),(20,5214343,'1',452,'N'),(20,5214351,'1',202,'N'),(20,5214351,'1A',208,'N'),(20,5214360,'1',318,'N'),(20,5214378,'1',207,'N'),(20,5214378,'1A',211,'N'),(20,5214386,'1',212,'N'),(20,5214386,'1A',201,'N'),(20,5214394,'1',601,'N'),(20,5214394,'1A',220,'N'),(20,5214408,'1',216,'N'),(20,5214408,'1A',233,'N'),(20,5214416,'1',426,'N'),(20,5214416,'1A',429,'N'),(20,5214424,'1',316,'N'),(20,5214432,'1',501,'N'),(20,5214440,'1',103,'N'),(20,5214467,'1',425,'N'),(20,5214467,'1A',424,'N'),(20,5214475,'1',203,'N'),(20,5214475,'1A',216,'N'),(20,5214483,'1',501,'N'),(20,5214491,'1',424,'N'),(20,5214491,'1A',429,'N'),(20,5214505,'1',601,'N'),(20,5214513,'1',415,'N'),(20,5214521,'1',5,'N'),(20,5214530,'1',207,'N'),(20,5214530,'1A',208,'N'),(20,5214548,'1',333,'N'),(20,5214556,'1',415,'N'),(20,5214564,'1',108,'N'),(20,5214572,'1',102,'N'),(20,5214580,'1',103,'N'),(20,5214599,'1',103,'N'),(20,5214602,'1',103,'N'),(20,5214610,'1',452,'N'),(20,5214629,'1',5,'N'),(20,5214637,'1',303,'N'),(20,5214645,'1',102,'N'),(20,5214653,'1',5,'N'),(20,5214661,'1',103,'N'),(20,5214670,'1',319,'N'),(20,5214688,'1',103,'N'),(20,5214696,'1',327,'N'),(20,5214700,'1',444,'N'),(20,5214718,'1',211,'N'),(20,5214718,'1A',653,'N'),(20,5214726,'1',203,'N'),(20,5214726,'1A',601,'N'),(20,5214750,'1',318,'N'),(20,5214769,'1',317,'N'),(20,5214777,'1',601,'N'),(20,5214777,'1A',211,'N'),(20,5214785,'1',316,'N'),(20,5214793,'1',340,'N'),(20,5214807,'1',301,'N'),(20,5214815,'1',201,'N'),(20,5214815,'1A',203,'N'),(20,5214831,'1',428,'N'),(20,5214831,'1A',426,'N'),(20,5214840,'1',333,'N'),(20,5214866,'1',329,'N'),(20,5214874,'1',216,'N'),(20,5214874,'1A',233,'N'),(20,5214890,'1',101,'N'),(20,5214904,'1',340,'N'),(20,5214912,'1',301,'N'),(20,5214920,'1',103,'N'),(20,5214939,'1',211,'N'),(20,5214939,'1A',201,'N'),(20,5214947,'1',326,'N'),(20,5214955,'1',316,'N'),(20,5214963,'1',202,'N'),(20,5214963,'1A',213,'N'),(20,5214971,'1',324,'N'),(20,5214980,'1',102,'N'),(20,5215005,'1',429,'N'),(20,5215005,'1A',423,'N'),(20,5215013,'1',203,'N'),(20,5215030,'1',5,'N'),(20,5215056,'1',302,'N'),(20,5215064,'1',428,'N'),(20,5215064,'1A',426,'N'),(20,5215072,'1',234,'N'),(20,5215080,'1',201,'N'),(20,5215099,'1',238,'N'),(20,5215099,'1A',216,'N'),(20,5215110,'1',103,'N'),(20,5215129,'1',333,'N'),(20,5215145,'1',318,'N'),(20,5215153,'1',234,'N'),(20,5215161,'1',103,'N'),(20,5215200,'1',5,'N'),(20,5215218,'1',302,'N'),(20,5215226,'1',225,'N'),(20,5215242,'1',201,'N'),(20,5215242,'1A',212,'N'),(20,5215250,'1',220,'N'),(20,5215250,'1A',601,'N'),(20,5215269,'1',101,'N'),(20,5215277,'1',103,'N'),(20,5215285,'1',104,'N'),(20,5215293,'1',501,'N'),(20,5215315,'1',9,'N'),(20,5215323,'1',203,'N'),(20,5215323,'1A',214,'N'),(20,5215331,'1',103,'N'),(20,5215340,'1',102,'N'),(20,5215358,'1',103,'N'),(20,5215366,'1',203,'N'),(20,5215366,'1A',202,'N'),(20,5215374,'1',216,'N'),(20,5215374,'1A',202,'N'),(20,5215382,'1',2,'N'),(20,5215404,'1',324,'N'),(20,5215412,'1',425,'N'),(20,5215420,'1',303,'N'),(20,5215447,'1',109,'N'),(20,5215455,'1',103,'N'),(20,5215463,'1',308,'N'),(20,5215471,'1',234,'N'),(20,5215480,'1',110,'N'),(20,5215498,'1',5,'N'),(20,5215501,'1',5,'N'),(20,5215510,'1',207,'N'),(20,5215510,'1A',201,'N'),(20,5215528,'1',451,'N'),(20,5215536,'1',104,'N'),(20,5215544,'1',216,'N'),(20,5215544,'1A',601,'N'),(20,5215552,'1',103,'N'),(20,5215560,'1',216,'N'),(20,5215560,'1A',238,'N'),(20,5215579,'1',103,'N'),(20,5215595,'1',303,'N'),(20,5215609,'1',303,'N'),(20,5215617,'1',208,'N'),(20,5215625,'1',214,'N'),(20,5215625,'1A',220,'N'),(20,5215633,'1',211,'N'),(20,5215633,'1A',212,'N'),(20,5215650,'1',653,'N'),(20,5215650,'1A',651,'N'),(20,5215668,'1',207,'N'),(20,5215668,'1A',201,'N'),(20,5215676,'1',333,'N'),(20,5215684,'1',444,'N'),(20,5215692,'1',317,'N'),(20,5215706,'1',201,'N'),(20,5215706,'1A',212,'N'),(20,5215714,'1',319,'N'),(20,5215722,'1',109,'N'),(20,5215730,'1',103,'N'),(20,5215749,'1',211,'N'),(20,5215749,'1A',215,'N'),(20,5215757,'1',415,'N'),(20,5215765,'1',208,'N'),(20,5215765,'1A',238,'N'),(20,5215773,'1',429,'N'),(20,5215790,'1',103,'N'),(20,5215803,'1',303,'N'),(20,5215820,'1',317,'N'),(20,5215838,'1',404,'N'),(20,5215846,'1',201,'N'),(20,5215846,'1A',212,'N'),(20,5215862,'1',327,'N'),(20,5215870,'1',303,'N'),(20,5215889,'1',5,'N'),(20,5215897,'1',452,'N'),(20,5215919,'1',335,'N'),(20,5215927,'1',317,'N'),(20,5215935,'1',339,'N'),(20,5215943,'1',109,'N'),(20,5215951,'1',238,'N'),(20,5215951,'1A',208,'N'),(20,5215960,'1',201,'N'),(20,5215960,'1A',601,'N'),(20,5215978,'1',420,'N'),(20,5215986,'1',234,'N'),(20,5215994,'1',211,'N'),(20,5216001,'1',108,'N'),(20,5216010,'1',340,'N'),(20,5216028,'1',404,'N'),(20,5216052,'1',340,'N'),(20,5216060,'1',104,'N'),(20,5216079,'1',319,'N'),(20,5216087,'1',214,'N'),(20,5216087,'1A',212,'N'),(20,5216095,'1',601,'N'),(20,5216095,'1A',212,'N'),(20,5216109,'1',301,'N'),(20,5216117,'1',303,'N'),(20,5216125,'1',203,'N'),(20,5216125,'1A',214,'N'),(20,5216133,'1',5,'N'),(20,5216141,'1',337,'N'),(20,5216150,'1',303,'N'),(20,5216168,'1',203,'N'),(20,5216168,'1A',220,'N'),(20,5216176,'1',108,'N'),(20,5216184,'1',452,'N'),(20,5216192,'1',109,'N'),(20,5216206,'1',103,'N'),(20,5216214,'1',303,'N'),(20,5216222,'1',103,'N'),(20,5216230,'1',308,'N'),(20,5216249,'1',108,'N'),(20,5216257,'1',601,'N'),(20,5216257,'1A',215,'N'),(20,5216265,'1',501,'N'),(20,5216273,'1',415,'N'),(20,5216281,'1',423,'N'),(20,5216281,'1A',421,'N'),(20,5216290,'1',5,'N'),(20,5216303,'1',103,'N'),(20,5216311,'1',214,'N'),(20,5216311,'1A',212,'N'),(20,5216320,'1',108,'N'),(20,5216338,'1',420,'N'),(20,5216354,'1',202,'N'),(20,5216354,'1A',235,'N'),(20,5216362,'1',103,'N'),(20,5216370,'1',224,'N'),(20,5216389,'1',429,'N'),(20,5216389,'1A',426,'N'),(20,5216397,'1',103,'N'),(20,5216400,'1',103,'N'),(20,5216427,'1',340,'N'),(20,5216435,'1',9,'N'),(20,5216443,'1',207,'N'),(20,5216443,'1A',201,'N'),(20,5216451,'1',102,'N'),(20,5216460,'1',450,'N'),(20,5216478,'1',503,'N'),(20,5216486,'1',207,'N'),(20,5216486,'1A',201,'N'),(20,5216494,'1',404,'N'),(20,5216508,'1',303,'N'),(20,5216516,'1',415,'N'),(20,5216524,'1',103,'N'),(20,5216532,'1',340,'N'),(20,5216540,'1',340,'N'),(20,5216567,'1',103,'N'),(20,5216575,'1',452,'N'),(20,5216583,'1',103,'N'),(20,5216591,'1',201,'N'),(20,5216591,'1A',238,'N'),(20,5216605,'1',303,'N'),(20,5216613,'1',340,'N'),(20,5216621,'1',102,'N'),(20,5216630,'1',324,'N'),(20,5216648,'1',444,'N'),(20,5216656,'1',308,'N'),(20,5216664,'1',427,'N'),(20,5216664,'1A',421,'N'),(20,5216672,'1',103,'N'),(20,5216680,'1',303,'N'),(20,5216699,'1',424,'N'),(20,5216699,'1A',426,'N'),(20,5216702,'1',302,'N'),(20,5216729,'1',317,'N'),(20,5216745,'1',453,'N'),(20,5216753,'1',5,'N'),(20,5216761,'1',103,'N'),(20,5216770,'1',220,'N'),(20,5216770,'1A',201,'N'),(20,5216788,'1',453,'N'),(20,5216796,'1',203,'N'),(20,5216796,'1A',213,'N'),(20,5216800,'1',316,'N'),(20,5216818,'1',103,'N'),(20,5216826,'1',207,'N'),(20,5216826,'1A',201,'N'),(20,5216834,'1',5,'N'),(20,5216842,'1',453,'N'),(20,5216869,'1',327,'N'),(20,5216877,'1',103,'N'),(20,5216885,'1',426,'N'),(20,5216885,'1A',428,'N'),(20,5216893,'1',426,'N'),(20,5216893,'1A',428,'N'),(20,5216907,'1',308,'N'),(20,5216915,'1',335,'N'),(20,5216923,'1',425,'N'),(20,5216923,'1A',423,'N'),(20,5216931,'1',427,'N'),(20,5216931,'1A',424,'N'),(20,5216940,'1',316,'N'),(20,5216958,'1',110,'N'),(20,5216966,'1',207,'N'),(20,5216966,'1A',202,'N'),(20,5216974,'1',303,'N'),(20,5216982,'1',316,'N'),(20,5217008,'1',103,'N'),(20,5217016,'1',339,'N'),(20,5217024,'1',208,'N'),(20,5217024,'1A',201,'N'),(20,5217032,'1',302,'N'),(20,5217040,'1',301,'N'),(20,5217059,'1',319,'N'),(20,5217067,'1',108,'N'),(20,5217083,'1',450,'N'),(20,5217091,'1',339,'N'),(20,5217105,'1',309,'N'),(20,5217113,'1',103,'N'),(20,5217121,'1',104,'N'),(20,5217130,'1',103,'N'),(20,5217148,'1',103,'N'),(20,5217156,'1',316,'N'),(20,5217172,'1',103,'N'),(20,5217180,'1',5,'N'),(20,5217199,'1',110,'N'),(20,5217202,'1',102,'N'),(20,5217210,'1',103,'N'),(20,5217229,'1',5,'N'),(20,5217245,'1',302,'N'),(20,5217253,'1',103,'N'),(20,5217261,'1',207,'N'),(20,5217261,'1A',215,'N'),(20,5217270,'1',5,'N'),(20,5217288,'1',332,'N'),(20,5217296,'1',316,'N'),(20,5217300,'1',339,'N'),(20,5217318,'1',5,'N'),(20,5217326,'1',427,'N'),(20,5217326,'1A',421,'N'),(20,5217342,'1',5,'N'),(20,5217369,'1',336,'N'),(20,5217377,'1',203,'N'),(20,5217377,'1A',214,'N'),(20,5217385,'1',653,'N'),(20,5217385,'1A',601,'N'),(20,5217407,'1',340,'N'),(20,5217423,'1',336,'N'),(20,5217431,'1',9,'N'),(20,5217440,'1',102,'N'),(20,5217458,'1',103,'N'),(20,5217482,'1',101,'N'),(20,5217490,'1',326,'N'),(20,5217504,'1',9,'N'),(20,5217512,'1',303,'N'),(20,5217520,'1',110,'N'),(20,5217539,'1',103,'N'),(20,5217547,'1',415,'N'),(20,5217555,'1',308,'N'),(20,5217563,'1',109,'N'),(20,5217571,'1',203,'N'),(20,5217571,'1A',214,'N'),(20,5217598,'1',103,'N'),(20,5217601,'1',238,'N'),(20,5217601,'1A',208,'N'),(20,5217610,'1',309,'N'),(20,5217628,'1',428,'N'),(20,5217628,'1A',426,'N'),(20,5217636,'1',223,'N'),(20,5217644,'1',108,'N'),(20,5217679,'1',5,'N'),(20,5217687,'1',501,'N'),(20,5217695,'1',501,'N'),(20,5217709,'1',301,'N'),(20,5217717,'1',3,'N'),(20,5217725,'1',202,'N'),(20,5217725,'1A',213,'N'),(20,5217741,'1',452,'N'),(20,5217750,'1',103,'N'),(20,5217768,'1',102,'N'),(20,5217776,'1',326,'N'),(20,5217784,'1',316,'N'),(20,5217792,'1',103,'N'),(20,5217806,'1',104,'N'),(20,5217814,'1',103,'N'),(20,5217830,'1',340,'N'),(20,5217849,'1',424,'N'),(20,5217849,'1A',425,'N'),(20,5217865,'1',212,'N'),(20,5217865,'1A',233,'N'),(20,5217881,'1',318,'N'),(20,5217890,'1',444,'N'),(20,5217903,'1',103,'N'),(20,5217911,'1',308,'N'),(20,5217920,'1',308,'N'),(20,5217946,'1',324,'N'),(20,5217954,'1',238,'N'),(20,5217954,'1A',208,'N'),(20,5217962,'1',316,'N'),(20,5217970,'1',104,'N'),(20,5217989,'1',317,'N'),(20,5217997,'1',220,'N'),(20,5217997,'1A',208,'N'),(20,5218004,'1',336,'N'),(20,5218012,'1',103,'N'),(20,5218020,'1',233,'N'),(20,5218020,'1A',601,'N'),(20,5218047,'1',203,'N'),(20,5218047,'1A',214,'N'),(20,5218055,'1',9,'N'),(20,5218063,'1',316,'N'),(20,5218071,'1',331,'N'),(20,5218080,'1',340,'N'),(20,5218098,'1',319,'N'),(20,5218101,'1',303,'N'),(20,5218110,'1',5,'N'),(20,5218136,'1',316,'N'),(20,5218152,'1',110,'N'),(20,5218160,'1',108,'N'),(20,5218179,'1',211,'N'),(20,5218179,'1A',207,'N'),(20,5218187,'1',450,'N'),(20,5218209,'1',103,'N'),(20,5218217,'1',320,'N'),(20,5218225,'1',238,'N'),(20,5218225,'1A',208,'N'),(20,5218250,'1',103,'N'),(20,5218268,'1',238,'N'),(20,5218276,'1',415,'N'),(20,5218292,'1',9,'N'),(20,5218306,'1',424,'N'),(20,5218306,'1A',427,'N'),(20,5218314,'1',327,'N'),(20,5218322,'1',320,'N'),(20,5218330,'1',207,'N'),(20,5218330,'1A',211,'N'),(20,5218349,'1',316,'N'),(20,5218357,'1',104,'N'),(20,5218365,'1',340,'N'),(20,5218373,'1',207,'N'),(20,5218381,'1',601,'N'),(20,5218381,'1A',212,'N'),(20,5218390,'1',104,'N'),(20,5218403,'1',211,'N'),(20,5218403,'1A',233,'N'),(20,5218411,'1',301,'N'),(20,5218420,'1',3,'N'),(20,5218438,'1',201,'N'),(20,5218438,'1A',211,'N'),(20,5218446,'1',420,'N'),(20,5218454,'1',5,'N'),(20,5218462,'1',201,'N'),(20,5218462,'1A',220,'N'),(20,5218489,'1',444,'N'),(20,5218497,'1',3,'N'),(20,5218500,'1',103,'N'),(20,5218519,'1',201,'N'),(20,5218519,'1A',601,'N'),(20,5218527,'1',207,'N'),(20,5218527,'1A',201,'N'),(20,5218535,'1',339,'N'),(20,5218560,'1',103,'N'),(20,5218586,'1',310,'N'),(20,5218594,'1',103,'N'),(20,5218608,'1',303,'N'),(20,5218616,'1',601,'N'),(20,5218616,'1A',203,'N'),(20,5218632,'1',238,'N'),(20,5218632,'1A',208,'N'),(20,5218640,'1',207,'N'),(20,5218640,'1A',201,'N'),(20,5218659,'1',207,'N'),(20,5218667,'1',208,'N'),(20,5218667,'1A',238,'N'),(20,5218675,'1',324,'N'),(20,5218683,'1',104,'N'),(20,5218691,'1',444,'N'),(20,5218705,'1',301,'N'),(20,5218713,'1',316,'N'),(20,5218730,'1',108,'N'),(20,5218748,'1',303,'N'),(20,5218756,'1',103,'N'),(20,5218764,'1',317,'N'),(20,5218772,'1',319,'N'),(20,5218780,'1',303,'N'),(20,5218799,'1',5,'N'),(20,5218802,'1',220,'N'),(20,5218802,'1A',203,'N'),(20,5218810,'1',333,'N'),(20,5218829,'1',102,'N'),(20,5218837,'1',333,'N'),(20,5218845,'1',303,'N'),(20,5218853,'1',452,'N'),(20,5218861,'1',103,'N'),(20,5218870,'1',425,'N'),(20,5218870,'1A',428,'N'),(20,5218888,'1',444,'N'),(20,5218896,'1',201,'N'),(20,5218896,'1A',212,'N'),(20,5218900,'1',317,'N'),(20,5218918,'1',415,'N'),(20,5218926,'1',220,'N'),(20,5218926,'1A',208,'N'),(20,5218934,'1',319,'N'),(20,5218942,'1',108,'N'),(20,5218950,'1',444,'N'),(20,5218977,'1',207,'N'),(20,5218977,'1A',201,'N'),(20,5218985,'1',101,'N'),(20,5218993,'1',501,'N'),(20,5219000,'1',337,'N'),(20,5219019,'1',101,'N'),(20,5219027,'1',428,'N'),(20,5219027,'1A',426,'N'),(20,5219035,'1',104,'N'),(20,5219043,'1',225,'N'),(20,5219051,'1',316,'N'),(20,5219078,'1',103,'N'),(20,5219086,'1',201,'N'),(20,5219086,'1A',653,'N'),(20,5219094,'1',308,'N'),(20,5219116,'1',203,'N'),(20,5219116,'1A',202,'N'),(20,5219124,'1',415,'N'),(20,5219132,'1',207,'N'),(20,5219132,'1A',216,'N'),(20,5219140,'1',103,'N'),(20,5219159,'1',207,'N'),(20,5219159,'1A',212,'N'),(20,5219167,'1',238,'N'),(20,5219175,'1',332,'N'),(20,5219183,'1',103,'N'),(20,5219191,'1',103,'N'),(20,5219205,'1',303,'N'),(20,5219213,'1',3,'N'),(20,5219221,'1',203,'N'),(20,5219221,'1A',220,'N'),(20,5219230,'1',103,'N'),(20,5219248,'1',339,'N'),(20,5219264,'1',420,'N'),(20,5219272,'1',444,'N'),(20,5219280,'1',238,'N'),(20,5219280,'1A',235,'N'),(20,5219299,'1',5,'N'),(20,5219302,'1',215,'N'),(20,5219302,'1A',233,'N'),(20,5219310,'1',415,'N'),(20,5219329,'1',208,'N'),(20,5219329,'1A',235,'N'),(20,5219345,'1',601,'N'),(20,5219345,'1A',202,'N'),(20,5219361,'1',238,'N'),(20,5219361,'1A',235,'N'),(20,5219370,'1',5,'N'),(20,5219388,'1',5,'N'),(20,5219396,'1',103,'N'),(20,5219400,'1',103,'N'),(20,5219418,'1',415,'N'),(20,5219426,'1',103,'N'),(20,5219442,'1',203,'N'),(20,5219442,'1A',214,'N'),(20,5219450,'1',235,'N'),(20,5219450,'1A',203,'N'),(20,5219469,'1',319,'N'),(20,5219477,'1',3,'N'),(20,5219485,'1',103,'N'),(20,5219493,'1',102,'N'),(20,5219507,'1',108,'N'),(20,5219515,'1',103,'N'),(20,5219523,'1',452,'N'),(20,5219531,'1',103,'N'),(20,5219540,'1',211,'N'),(20,5219540,'1A',212,'N'),(20,5219558,'1',104,'N'),(20,5219566,'1',415,'N'),(20,5219574,'1',201,'N'),(20,5219574,'1A',203,'N'),(20,5219582,'1',317,'N'),(20,5219590,'1',103,'N'),(20,5219604,'1',216,'N'),(20,5219604,'1A',211,'N'),(20,5219612,'1',319,'N'),(20,5219639,'1',207,'N'),(20,5219639,'1A',201,'N'),(20,5219647,'1',5,'N'),(20,5219655,'1',212,'N'),(20,5219655,'1A',201,'N'),(20,5219663,'1',103,'N'),(20,5219671,'1',429,'N'),(20,5219671,'1A',421,'N'),(20,5219680,'1',103,'N'),(20,5219698,'1',103,'N'),(20,5219701,'1',104,'N'),(20,5219710,'1',203,'N'),(20,5219710,'1A',238,'N'),(20,5219728,'1',202,'N'),(20,5219728,'1A',233,'N'),(20,5219736,'1',327,'N'),(20,5219744,'1',109,'N'),(20,5219752,'1',202,'N'),(20,5219752,'1A',233,'N'),(20,5219760,'1',103,'N'),(20,5219779,'1',415,'N'),(20,5219787,'1',420,'N'),(20,5219795,'1',303,'N'),(20,5219809,'1',337,'N'),(20,5219817,'1',233,'N'),(20,5219817,'1A',213,'N'),(20,5219825,'1',5,'N'),(20,5219833,'1',207,'N'),(20,5219833,'1A',201,'N'),(20,5219841,'1',208,'N'),(20,5219841,'1A',238,'N'),(20,5219850,'1',102,'N'),(20,5219868,'1',103,'N'),(20,5219876,'1',202,'N'),(20,5219876,'1A',235,'N'),(20,5219884,'1',340,'N'),(20,5219892,'1',203,'N'),(20,5219914,'1',653,'N'),(20,5219914,'1A',652,'N'),(20,5219930,'1',102,'N'),(20,5219957,'1',404,'N'),(20,5219965,'1',415,'N'),(20,5219981,'1',103,'N'),(20,5219990,'1',103,'N'),(20,5220009,'1',333,'N'),(20,5220017,'1',303,'N'),(20,5220025,'1',428,'N'),(20,5220025,'1A',426,'N'),(20,5220033,'1',2,'N'),(20,5220050,'1',333,'N'),(20,5220068,'1',215,'N'),(20,5220084,'1',318,'N'),(20,5220092,'1',102,'N'),(20,5220106,'1',303,'N'),(20,5220114,'1',327,'N'),(20,5220130,'1',224,'N'),(20,5220149,'1',302,'N'),(20,5220157,'1',220,'N'),(20,5220165,'1',213,'N'),(20,5220165,'1A',601,'N'),(20,5220173,'1',319,'N'),(20,5220181,'1',211,'N'),(20,5220181,'1A',216,'N'),(20,5220190,'1',316,'N'),(20,5220203,'1',103,'N'),(20,5220211,'1',309,'N'),(20,5220220,'1',319,'N'),(20,5220254,'1',653,'N'),(20,5220262,'1',234,'N'),(20,5220270,'1',238,'N'),(20,5220270,'1A',208,'N'),(20,5220289,'1',5,'N'),(20,5220297,'1',238,'N'),(20,5220297,'1A',235,'N'),(20,5220300,'1',551,'N'),(20,5220319,'1',102,'N'),(20,5220327,'1',223,'N'),(20,5220335,'1',103,'N'),(20,5220343,'1',103,'N'),(20,5220351,'1',318,'N'),(20,5220360,'1',224,'N'),(20,5220378,'1',101,'N'),(20,5220386,'1',601,'N'),(20,5220386,'1A',208,'N'),(20,5220408,'1',201,'N'),(20,5220408,'1A',212,'N'),(20,5220416,'1',205,'N'),(20,5220424,'1',208,'N'),(20,5220424,'1A',238,'N'),(20,5220432,'1',202,'N'),(20,5220432,'1A',653,'N'),(20,5220440,'1',502,'N'),(20,5220459,'1',502,'N'),(20,5220467,'1',653,'N'),(20,5220467,'1A',651,'N'),(20,5220475,'1',652,'N'),(20,5220475,'1A',653,'N'),(20,5220483,'1',103,'N'),(20,5220491,'1',103,'N'),(20,5220505,'1',324,'N'),(20,5220513,'1',101,'N'),(20,5220521,'1',207,'N'),(20,5220521,'1A',215,'N'),(20,5220530,'1',317,'N'),(20,5220548,'1',333,'N'),(20,5220556,'1',208,'N'),(20,5220556,'1A',238,'N'),(20,5220564,'1',216,'N'),(20,5220564,'1A',212,'N'),(20,5220572,'1',5,'N'),(20,5220580,'1',103,'N'),(20,5220610,'1',207,'N'),(20,5220610,'1A',201,'N'),(20,5220629,'1',301,'N'),(20,5220645,'1',502,'N'),(20,5220653,'1',220,'N'),(20,5220653,'1A',203,'N'),(20,5220661,'1',326,'N'),(20,5220670,'1',653,'N'),(20,5220670,'1A',652,'N'),(20,5220688,'1',308,'N'),(20,5220696,'1',404,'N'),(20,5220718,'1',303,'N'),(20,5220726,'1',103,'N'),(20,5220734,'1',102,'N'),(20,5220742,'1',103,'N'),(20,5220750,'1',304,'N'),(20,5220769,'1',452,'N'),(20,5220777,'1',420,'N'),(20,5220785,'1',318,'N'),(20,5220793,'1',103,'N'),(20,5220807,'1',207,'N'),(20,5220807,'1A',201,'N'),(20,5220815,'1',333,'N'),(20,5220823,'1',319,'N'),(20,5220831,'1',601,'N'),(20,5220831,'1A',212,'N'),(20,5220840,'1',103,'N'),(20,5220858,'1',216,'N'),(20,5220858,'1A',202,'N'),(20,5220866,'1',5,'N'),(20,5220874,'1',224,'N'),(20,5220882,'1',103,'N'),(20,5220890,'1',203,'N'),(20,5220890,'1A',201,'N'),(20,5220904,'1',9,'N'),(20,5220912,'1',207,'N'),(20,5220912,'1A',238,'N'),(20,5220920,'1',238,'N'),(20,5220920,'1A',208,'N'),(20,5220939,'1',333,'N'),(20,5220955,'1',220,'N'),(20,5220955,'1A',233,'N'),(20,5220963,'1',207,'N'),(20,5220971,'1',301,'N'),(20,5220980,'1',203,'N'),(20,5220980,'1A',233,'N'),(20,5220998,'1',337,'N'),(20,5221005,'1',319,'N'),(20,5221013,'1',213,'N'),(20,5221013,'1A',202,'N'),(20,5221021,'1',415,'N'),(20,5221030,'1',5,'N'),(20,5221048,'1',316,'N'),(20,5221056,'1',309,'N'),(20,5221064,'1',108,'N'),(20,5221072,'1',316,'N'),(20,5221080,'1',211,'N'),(20,5221080,'1A',208,'N'),(20,5221099,'1',109,'N'),(20,5221102,'1',425,'N'),(20,5221102,'1A',423,'N'),(20,5221110,'1',103,'N'),(20,5221129,'1',207,'N'),(20,5221129,'1A',201,'N'),(20,5221137,'1',215,'N'),(20,5221137,'1A',233,'N'),(20,5221145,'1',201,'N'),(20,5221153,'1',103,'N'),(20,5221161,'1',340,'N'),(20,5221170,'1',215,'N'),(20,5221170,'1A',653,'N'),(20,5221188,'1',503,'N'),(20,5221196,'1',103,'N'),(20,5221200,'1',317,'N'),(20,5221218,'1',103,'N'),(20,5221226,'1',5,'N'),(20,5221234,'1',203,'N'),(20,5221234,'1A',220,'N'),(20,5221242,'1',5,'N'),(20,5221250,'1',317,'N'),(20,5221269,'1',216,'N'),(20,5221269,'1A',215,'N'),(20,5221277,'1',331,'N'),(20,5221285,'1',203,'N'),(20,5221285,'1A',214,'N'),(20,5221293,'1',103,'N'),(20,5221307,'1',238,'N'),(20,5221307,'1A',208,'N'),(20,5221315,'1',601,'N'),(20,5221323,'1',103,'N'),(20,5221331,'1',103,'N'),(20,5221340,'1',452,'N'),(20,5221358,'1',220,'N'),(20,5221358,'1A',202,'N'),(20,5221366,'1',207,'N'),(20,5221374,'1',339,'N'),(20,5221382,'1',203,'N'),(20,5221382,'1A',202,'N'),(20,5221404,'1',303,'N'),(20,5221439,'1',103,'N'),(20,5221447,'1',103,'N'),(20,5221455,'1',9,'N'),(20,5221463,'1',103,'N'),(20,5221471,'1',326,'N'),(20,5221480,'1',203,'N'),(20,5221480,'1A',220,'N'),(20,5221498,'1',220,'N'),(20,5221498,'1A',211,'N'),(20,5221501,'1',102,'N'),(20,5221510,'1',319,'N'),(20,5221528,'1',211,'N'),(20,5221528,'1A',215,'N'),(20,5221544,'1',103,'N'),(20,5221552,'1',429,'N'),(20,5221552,'1A',427,'N'),(20,5221560,'1',102,'N'),(20,5221579,'1',316,'N'),(20,5221587,'1',327,'N'),(20,5221595,'1',310,'N'),(20,5221609,'1',601,'N'),(20,5221609,'1A',214,'N'),(20,5221617,'1',103,'N'),(20,5221625,'1',103,'N'),(20,5221641,'1',109,'N'),(20,5221650,'1',215,'N'),(20,5221650,'1A',216,'N'),(20,5221668,'1',320,'N'),(20,5221676,'1',444,'N'),(20,5221684,'1',103,'N'),(20,5221692,'1',102,'N'),(20,5221706,'1',224,'N'),(20,5221722,'1',238,'N'),(20,5221722,'1A',208,'N'),(20,5221730,'1',303,'N'),(20,5221749,'1',103,'N'),(20,5221757,'1',9,'N'),(20,5221765,'1',304,'N'),(20,5221773,'1',9,'N'),(20,5221781,'1',601,'N'),(20,5221781,'1A',233,'N'),(20,5221790,'1',601,'N'),(20,5221790,'1A',203,'N'),(20,5221803,'1',423,'N'),(20,5221803,'1A',427,'N'),(20,5221811,'1',211,'N'),(20,5221811,'1A',216,'N'),(20,5221820,'1',404,'N'),(20,5221838,'1',453,'N'),(20,5221846,'1',319,'N'),(20,5221854,'1',303,'N'),(20,5221862,'1',651,'N'),(20,5221870,'1',318,'N'),(20,5221889,'1',317,'N'),(20,5221919,'1',203,'N'),(20,5221919,'1A',601,'N'),(20,5221927,'1',502,'N'),(20,5221935,'1',225,'N'),(20,5221986,'1',319,'N'),(20,5221994,'1',503,'N'),(20,5222010,'1',319,'N'),(20,5222028,'1',3,'N'),(20,5222036,'1',653,'N'),(20,5222044,'1',207,'N'),(20,5222044,'1A',233,'N'),(20,5222052,'1',207,'N'),(20,5222087,'1',103,'N'),(20,5222095,'1',103,'N'),(20,5222109,'1',104,'N'),(20,5222117,'1',104,'N'),(20,5222125,'1',207,'N'),(20,5222141,'1',337,'N'),(20,5222150,'1',103,'N'),(20,5222168,'1',214,'N'),(20,5222168,'1A',207,'N'),(20,5222176,'1',103,'N'),(20,5222192,'1',324,'N'),(20,5222206,'1',415,'N'),(20,5222222,'1',207,'N'),(20,5222222,'1A',211,'N'),(20,5222230,'1',103,'N'),(20,5222249,'1',5,'N'),(20,5222257,'1',201,'N'),(20,5222265,'1',202,'N'),(20,5222265,'1A',213,'N'),(20,5222273,'1',404,'N'),(20,5222281,'1',5,'N'),(20,5222290,'1',415,'N'),(20,5222303,'1',216,'N'),(20,5222303,'1A',233,'N'),(20,5222320,'1',317,'N'),(20,5222338,'1',103,'N'),(20,5222354,'1',303,'N'),(20,5222362,'1',601,'N'),(20,5222362,'1A',203,'N'),(20,5222370,'1',103,'N'),(20,5222389,'1',303,'N'),(20,5222397,'1',316,'N'),(20,5222400,'1',451,'N'),(20,5222419,'1',103,'N'),(20,5222427,'1',303,'N'),(20,5222435,'1',216,'N'),(20,5222435,'1A',201,'N'),(20,5222443,'1',103,'N'),(20,5222460,'1',103,'N'),(20,5222486,'1',108,'N'),(20,5222494,'1',203,'N'),(20,5222494,'1A',202,'N'),(20,5222508,'1',319,'N'),(20,5222516,'1',303,'N'),(20,5222524,'1',303,'N'),(20,5222532,'1',211,'N'),(20,5222532,'1A',233,'N'),(20,5222540,'1',327,'N'),(20,5222575,'1',303,'N'),(20,5222591,'1',202,'N'),(20,5222591,'1A',213,'N'),(20,5222605,'1',336,'N'),(20,5222613,'1',102,'N'),(20,5222621,'1',340,'N'),(20,5222630,'1',318,'N'),(20,5222648,'1',101,'N'),(20,5222656,'1',103,'N'),(20,5222664,'1',102,'N'),(20,5222672,'1',320,'N'),(20,5222680,'1',316,'N'),(20,5222699,'1',211,'N'),(20,5222699,'1A',233,'N'),(20,5222702,'1',103,'N'),(20,5222710,'1',222,'N'),(20,5222729,'1',303,'N'),(20,5222737,'1',452,'N'),(20,5222745,'1',324,'N'),(20,5222761,'1',208,'N'),(20,5222761,'1A',238,'N'),(20,5222770,'1',502,'N'),(20,5222788,'1',303,'N'),(20,5222796,'1',207,'N'),(20,5222796,'1A',201,'N'),(20,5222800,'1',319,'N'),(20,5222818,'1',103,'N'),(20,5222826,'1',551,'N'),(20,5222834,'1',425,'N'),(20,5222834,'1A',423,'N'),(20,5222842,'1',336,'N'),(20,5222869,'1',303,'N'),(20,5222877,'1',203,'N'),(20,5222877,'1A',235,'N'),(20,5222885,'1',320,'N'),(20,5222893,'1',214,'N'),(20,5222893,'1A',601,'N'),(20,5222915,'1',5,'N'),(20,5222923,'1',302,'N'),(20,5222931,'1',601,'N'),(20,5222931,'1A',233,'N'),(20,5222940,'1',303,'N'),(20,5222974,'1',203,'N'),(20,5222974,'1A',202,'N'),(20,5222982,'1',308,'N'),(20,5222990,'1',9,'N'),(20,5223016,'1',303,'N'),(20,5223024,'1',502,'N'),(20,5223032,'1',207,'N'),(20,5223032,'1A',201,'N'),(20,5223040,'1',104,'N'),(20,5223059,'1',9,'N'),(20,5223067,'1',502,'N'),(20,5223075,'1',415,'N'),(20,5223083,'1',211,'N'),(20,5223083,'1A',201,'N'),(20,5223091,'1',319,'N'),(20,5223113,'1',108,'N'),(20,5223121,'1',303,'N'),(20,5223130,'1',303,'N'),(20,5223148,'1',103,'N'),(20,5223156,'1',317,'N'),(20,5223164,'1',203,'N'),(20,5223164,'1A',202,'N'),(20,5223172,'1',102,'N'),(20,5223180,'1',203,'N'),(20,5223180,'1A',214,'N'),(20,5223199,'1',101,'N'),(20,5223202,'1',316,'N'),(20,5223210,'1',420,'N'),(20,5223237,'1',222,'N'),(20,5223253,'1',453,'N'),(20,5223261,'1',319,'N'),(20,5223270,'1',101,'N'),(20,5223288,'1',108,'N'),(20,5223296,'1',303,'N'),(20,5223300,'1',103,'N'),(20,5223318,'1',601,'N'),(20,5223318,'1A',235,'N'),(20,5223326,'1',451,'N'),(20,5223334,'1',303,'N'),(20,5223342,'1',102,'N'),(20,5223350,'1',238,'N'),(20,5223350,'1A',201,'N'),(20,5223377,'1',216,'N'),(20,5223377,'1A',211,'N'),(20,5223393,'1',214,'N'),(20,5223393,'1A',203,'N'),(20,5223407,'1',303,'N'),(20,5223415,'1',103,'N'),(20,5223431,'1',2,'N'),(20,5223440,'1',303,'N'),(20,5223458,'1',653,'N'),(20,5223458,'1A',215,'N'),(20,5223466,'1',207,'N'),(20,5223466,'1A',233,'N'),(20,5223490,'1',9,'N'),(20,5223504,'1',503,'N'),(20,5223520,'1',225,'N'),(20,5223539,'1',601,'N'),(20,5223539,'1A',212,'N'),(20,5223547,'1',103,'N'),(20,5223555,'1',302,'N'),(20,5223563,'1',108,'N'),(20,5223601,'1',103,'N'),(20,5223610,'1',233,'N'),(20,5223610,'1A',601,'N'),(20,5223628,'1',103,'N'),(20,5223636,'1',652,'N'),(20,5223644,'1',5,'N'),(20,5223652,'1',201,'N'),(20,5223652,'1A',212,'N'),(20,5223660,'1',415,'N'),(20,5223679,'1',103,'N'),(20,5223687,'1',302,'N'),(20,5223695,'1',415,'N'),(20,5223709,'1',222,'N'),(20,5223717,'1',301,'N'),(20,5223725,'1',652,'N'),(20,5223725,'1A',201,'N'),(20,5223733,'1',108,'N'),(20,5223741,'1',207,'N'),(20,5223741,'1A',211,'N'),(20,5223784,'1',238,'N'),(20,5223784,'1A',208,'N'),(20,5223792,'1',201,'N'),(20,5223792,'1A',202,'N'),(20,5223814,'1',233,'N'),(20,5223814,'1A',212,'N'),(20,5223822,'1',216,'N'),(20,5223822,'1A',233,'N'),(20,5223830,'1',653,'N'),(20,5223830,'1A',202,'N'),(20,5223849,'1',212,'N'),(20,5223849,'1A',211,'N'),(20,5223857,'1',201,'N'),(20,5223857,'1A',207,'N'),(20,5223865,'1',216,'N'),(20,5223865,'1A',215,'N'),(20,5223873,'1',103,'N'),(20,5223881,'1',103,'N'),(20,5223890,'1',653,'N'),(20,5223890,'1A',651,'N'),(20,5223903,'1',5,'N'),(20,5223920,'1',324,'N'),(20,5223938,'1',103,'N'),(20,5223946,'1',103,'N'),(20,5223954,'1',203,'N'),(20,5223954,'1A',216,'N'),(20,5223962,'1',340,'N'),(20,5223970,'1',444,'N'),(20,5223989,'1',444,'N'),(20,5223997,'1',420,'N'),(20,5224004,'1',203,'N'),(20,5224004,'1A',235,'N'),(20,5224012,'1',108,'N'),(20,5224020,'1',207,'N'),(20,5224020,'1A',201,'N'),(20,5224047,'1',103,'N'),(20,5224055,'1',415,'N'),(20,5224071,'1',301,'N'),(20,5224080,'1',202,'N'),(20,5224080,'1A',653,'N'),(20,5224098,'1',303,'N'),(20,5224101,'1',303,'N'),(20,5224110,'1',103,'N'),(20,5224128,'1',225,'N'),(20,5224136,'1',211,'N'),(20,5224136,'1A',214,'N'),(20,5224144,'1',301,'N'),(20,5224152,'1',201,'N'),(20,5224152,'1A',211,'N'),(20,5224160,'1',207,'N'),(20,5224160,'1A',213,'N'),(20,5224179,'1',103,'N'),(20,5224187,'1',420,'N'),(20,5224209,'1',103,'N'),(20,5224217,'1',415,'N'),(20,5224225,'1',453,'N'),(20,5224233,'1',211,'N'),(20,5224233,'1A',216,'N'),(20,5224241,'1',207,'N'),(20,5224241,'1A',201,'N'),(20,5224250,'1',303,'N'),(20,5224276,'1',103,'N'),(20,5224292,'1',9,'N'),(20,5224306,'1',320,'N'),(20,5224314,'1',201,'N'),(20,5224314,'1A',202,'N'),(20,5224322,'1',103,'N'),(20,5224330,'1',211,'N'),(20,5224330,'1A',233,'N'),(20,5224349,'1',103,'N'),(20,5224365,'1',316,'N'),(20,5224373,'1',326,'N'),(20,5224381,'1',102,'N'),(20,5224390,'1',453,'N'),(20,5224403,'1',302,'N'),(20,5224411,'1',103,'N'),(20,5224420,'1',103,'N'),(20,5224438,'1',103,'N'),(20,5224446,'1',415,'N'),(20,5224454,'1',333,'N'),(20,5224462,'1',5,'N'),(20,5224489,'1',103,'N'),(20,5224497,'1',103,'N'),(20,5224500,'1',420,'N'),(20,5224519,'1',201,'N'),(20,5224519,'1A',211,'N'),(20,5224527,'1',5,'N'),(20,5224543,'1',201,'N'),(20,5224543,'1A',211,'N'),(20,5224551,'1',428,'N'),(20,5224551,'1A',423,'N'),(20,5224560,'1',207,'N'),(20,5224560,'1A',201,'N'),(20,5224578,'1',103,'N'),(20,5224586,'1',207,'N'),(20,5224586,'1A',211,'N'),(20,5224594,'1',303,'N'),(20,5224608,'1',220,'N'),(20,5224608,'1A',202,'N'),(20,5224616,'1',2,'N'),(20,5224624,'1',103,'N'),(20,5224640,'1',214,'N'),(20,5224640,'1A',203,'N'),(20,5224659,'1',9,'N'),(20,5224667,'1',103,'N'),(20,5224675,'1',238,'N'),(20,5224675,'1A',208,'N'),(20,5224683,'1',653,'N'),(20,5224683,'1A',652,'N'),(20,5224691,'1',302,'N'),(20,5224705,'1',216,'N'),(20,5224705,'1A',211,'N'),(20,5224713,'1',216,'N'),(20,5224713,'1A',233,'N'),(20,5224721,'1',203,'N'),(20,5224721,'1A',201,'N'),(20,5224730,'1',444,'N'),(20,5224748,'1',428,'N'),(20,5224756,'1',5,'N'),(20,5224772,'1',340,'N'),(20,5224780,'1',303,'N'),(20,5224802,'1',5,'N'),(20,5224829,'1',319,'N'),(20,5224837,'1',103,'N'),(20,5224845,'1',340,'N'),(20,5224853,'1',329,'N'),(20,5224861,'1',316,'N'),(20,5224870,'1',214,'N'),(20,5224870,'1A',203,'N'),(20,5224888,'1',201,'N'),(20,5224888,'1A',212,'N'),(20,5224896,'1',415,'N'),(20,5224900,'1',339,'N'),(20,5224918,'1',303,'N'),(20,5224926,'1',208,'N'),(20,5224926,'1A',201,'N'),(20,5224942,'1',203,'N'),(20,5224942,'1A',601,'N'),(20,5224950,'1',203,'N'),(20,5224950,'1A',214,'N'),(20,5224977,'1',103,'N'),(20,5224985,'1',309,'N'),(20,5225000,'1',333,'N'),(20,5225019,'1',203,'N'),(20,5225019,'1A',214,'N'),(20,5225027,'1',424,'N'),(20,5225027,'1A',426,'N'),(20,5225035,'1',235,'N'),(20,5225035,'1A',202,'N'),(20,5225043,'1',317,'N'),(20,5225051,'1',207,'N'),(20,5225051,'1A',201,'N'),(20,5225086,'1',303,'N'),(20,5225094,'1',501,'N'),(20,5225116,'1',9,'N'),(20,5225124,'1',428,'N'),(20,5225124,'1A',425,'N'),(20,5225132,'1',308,'N'),(20,5225140,'1',652,'N'),(20,5225140,'1A',653,'N'),(20,5225159,'1',326,'N'),(20,5225183,'1',103,'N'),(20,5225191,'1',453,'N'),(20,5225221,'1',317,'N'),(20,5225248,'1',317,'N'),(20,5225256,'1',201,'N'),(20,5225256,'1A',203,'N'),(20,5225264,'1',301,'N'),(20,5225280,'1',319,'N'),(20,5225299,'1',108,'N'),(20,5225302,'1',453,'N'),(20,5225310,'1',102,'N'),(20,5225329,'1',340,'N'),(20,5225337,'1',110,'N'),(20,5225345,'1',201,'N'),(20,5225345,'1A',238,'N'),(20,5225353,'1',211,'N'),(20,5225361,'1',316,'N'),(20,5225370,'1',5,'N'),(20,5225388,'1',203,'N'),(20,5225396,'1',201,'N'),(20,5225396,'1A',212,'N'),(20,5225400,'1',216,'N'),(20,5225400,'1A',233,'N'),(20,5225418,'1',333,'N'),(20,5225426,'1',5,'N'),(20,5225434,'1',5,'N'),(20,5225442,'1',208,'N'),(20,5225442,'1A',238,'N'),(20,5225450,'1',319,'N'),(20,5225485,'1',201,'N'),(20,5225485,'1A',211,'N'),(20,5225493,'1',108,'N'),(20,5225507,'1',214,'N'),(20,5225507,'1A',203,'N'),(20,5225523,'1',103,'N'),(20,5225531,'1',103,'N'),(20,5225540,'1',303,'N'),(20,5225558,'1',336,'N'),(20,5225566,'1',324,'N'),(20,5225574,'1',202,'N'),(20,5225574,'1A',235,'N'),(20,5225582,'1',101,'N'),(20,5225590,'1',201,'N'),(20,5225590,'1A',212,'N'),(20,5225612,'1',425,'N'),(20,5225612,'1A',426,'N'),(20,5225620,'1',420,'N'),(20,5225639,'1',653,'N'),(20,5225639,'1A',652,'N'),(20,5225647,'1',103,'N'),(20,5225663,'1',207,'N'),(20,5225663,'1A',238,'N'),(20,5225671,'1',103,'N'),(20,5225698,'1',102,'N'),(20,5225701,'1',317,'N'),(20,5225728,'1',103,'N'),(20,5225736,'1',319,'N'),(20,5225744,'1',102,'N'),(20,5225752,'1',5,'N'),(20,5225760,'1',327,'N'),(20,5225779,'1',203,'N'),(20,5225779,'1A',235,'N'),(20,5225787,'1',303,'N'),(20,5225795,'1',653,'N'),(20,5225809,'1',404,'N'),(20,5225817,'1',415,'N'),(20,5225825,'1',319,'N'),(20,5225833,'1',9,'N'),(20,5225841,'1',110,'N'),(20,5225850,'1',303,'N'),(20,5225868,'1',201,'N'),(20,5225868,'1A',207,'N'),(20,5225876,'1',318,'N'),(20,5225884,'1',238,'N'),(20,5225884,'1A',208,'N'),(20,5225906,'1',211,'N'),(20,5225906,'1A',215,'N'),(20,5225914,'1',339,'N'),(20,5225922,'1',2,'N'),(20,5225930,'1',103,'N'),(20,5225957,'1',103,'N'),(20,5225981,'1',319,'N'),(20,5225990,'1',303,'N'),(20,5226007,'1',601,'N'),(20,5226007,'1A',216,'N'),(20,5226015,'1',220,'N'),(20,5226015,'1A',203,'N'),(20,5226023,'1',103,'N'),(20,5226031,'1',308,'N'),(20,5226040,'1',5,'N'),(20,5226058,'1',103,'N'),(20,5226066,'1',212,'N'),(20,5226066,'1A',214,'N'),(20,5226074,'1',420,'N'),(20,5226082,'1',303,'N'),(20,5226090,'1',5,'N'),(20,5226104,'1',5,'N'),(20,5226112,'1',103,'N'),(20,5226120,'1',216,'N'),(20,5226120,'1A',235,'N'),(20,5226139,'1',216,'N'),(20,5226147,'1',215,'N'),(20,5226147,'1A',201,'N'),(20,5226155,'1',207,'N'),(20,5226155,'1A',212,'N'),(20,5226163,'1',320,'N'),(20,5226171,'1',5,'N'),(20,5226180,'1',208,'N'),(20,5226180,'1A',238,'N'),(20,5226201,'1',108,'N'),(20,5226210,'1',308,'N'),(20,5226228,'1',5,'N'),(20,5226236,'1',104,'N'),(20,5226244,'1',208,'N'),(20,5226252,'1',340,'N'),(20,5226260,'1',339,'N'),(20,5226279,'1',317,'N'),(20,5226287,'1',404,'N'),(20,5226309,'1',233,'N'),(20,5226309,'1A',215,'N'),(20,5226317,'1',5,'N'),(20,5226325,'1',316,'N'),(20,5226333,'1',108,'N'),(20,5226341,'1',214,'N'),(20,5226341,'1A',201,'N'),(20,5226350,'1',5,'N'),(20,5226368,'1',224,'N'),(20,5226376,'1',551,'N'),(20,5226384,'1',104,'N'),(20,5226392,'1',2,'N'),(20,5226406,'1',238,'N'),(20,5226406,'1A',208,'N'),(20,5226430,'1',208,'N'),(20,5226430,'1A',238,'N'),(20,5226449,'1',5,'N'),(20,5226457,'1',103,'N'),(20,5226465,'1',429,'N'),(20,5226465,'1A',425,'N'),(20,5226473,'1',332,'N'),(20,5226481,'1',208,'N'),(20,5226481,'1A',235,'N'),(20,5226490,'1',415,'N'),(20,5226503,'1',333,'N'),(20,5226511,'1',5,'N'),(20,5226520,'1',233,'N'),(20,5226520,'1A',216,'N'),(20,5226554,'1',337,'N'),(20,5226589,'1',317,'N'),(20,5226597,'1',215,'N'),(20,5226597,'1A',211,'N'),(20,5226600,'1',450,'N'),(20,5226619,'1',103,'N'),(20,5226651,'1',205,'N'),(20,5226678,'1',303,'N'),(20,5226686,'1',9,'N'),(20,5226694,'1',5,'N'),(20,5226708,'1',601,'N'),(20,5226716,'1',207,'N'),(20,5226732,'1',303,'N'),(20,5226740,'1',420,'N'),(20,5226759,'1',207,'N'),(20,5226759,'1A',203,'N'),(20,5226767,'1',404,'N'),(20,5226775,'1',5,'N'),(20,5226783,'1',110,'N'),(20,5226791,'1',216,'N'),(20,5226791,'1A',215,'N'),(20,5226805,'1',215,'N'),(20,5226805,'1A',213,'N'),(20,5226813,'1',5,'N'),(20,5226821,'1',103,'N'),(20,5226830,'1',324,'N'),(20,5226848,'1',420,'N'),(20,5226856,'1',309,'N'),(20,5226864,'1',319,'N'),(20,5226872,'1',201,'N'),(20,5226872,'1A',207,'N'),(20,5226880,'1',103,'N'),(20,5226899,'1',101,'N'),(20,5226902,'1',104,'N'),(20,5226910,'1',319,'N'),(20,5226937,'1',103,'N'),(20,5226945,'1',316,'N'),(20,5226953,'1',104,'N'),(20,5226961,'1',425,'N'),(20,5226961,'1A',423,'N'),(20,5226970,'1',317,'N'),(20,5226988,'1',213,'N'),(20,5226988,'1A',202,'N'),(20,5226996,'1',317,'N'),(20,5227003,'1',103,'N'),(20,5227011,'1',207,'N'),(20,5227011,'1A',212,'N'),(20,5227020,'1',303,'N'),(20,5227046,'1',103,'N'),(20,5227062,'1',309,'N'),(20,5227070,'1',203,'N'),(20,5227089,'1',317,'N'),(20,5227100,'1',110,'N'),(20,5227119,'1',214,'N'),(20,5227119,'1A',203,'N'),(20,5227127,'1',317,'N'),(20,5227135,'1',303,'N'),(20,5227151,'1',301,'N'),(20,5227160,'1',424,'N'),(20,5227160,'1A',423,'N'),(20,5227178,'1',319,'N'),(20,5227186,'1',316,'N'),(20,5227194,'1',452,'N'),(20,5227208,'1',428,'N'),(20,5227208,'1A',425,'N'),(20,5227216,'1',429,'N'),(20,5227216,'1A',426,'N'),(20,5227224,'1',103,'N'),(20,5227232,'1',103,'N'),(20,5227240,'1',234,'N'),(20,5227259,'1',415,'N'),(20,5227267,'1',103,'N'),(20,5227275,'1',324,'N'),(20,5227283,'1',104,'N'),(20,5227291,'1',324,'N'),(20,5227305,'1',339,'N'),(20,5227313,'1',303,'N'),(20,5227321,'1',316,'N'),(20,5227330,'1',501,'N'),(20,5227348,'1',205,'N'),(20,5227356,'1',317,'N'),(20,5227364,'1',428,'N'),(20,5227364,'1A',423,'N'),(20,5227372,'1',104,'N'),(20,5227380,'1',207,'N'),(20,5227380,'1A',215,'N'),(20,5227399,'1',653,'N'),(20,5227399,'1A',651,'N'),(20,5227402,'1',316,'N'),(20,5227410,'1',103,'N'),(20,5227429,'1',316,'N'),(20,5227445,'1',103,'N'),(20,5227453,'1',404,'N'),(20,5227461,'1',327,'N'),(20,5227470,'1',503,'N'),(20,5227488,'1',103,'N'),(20,5227500,'1',103,'N'),(20,5227518,'1',316,'N'),(20,5227534,'1',103,'N'),(20,5227542,'1',310,'N'),(20,5227569,'1',5,'N'),(20,5227577,'1',211,'N'),(20,5227593,'1',104,'N'),(20,5227607,'1',427,'N'),(20,5227607,'1A',421,'N'),(20,5227615,'1',101,'N'),(20,5227623,'1',316,'N'),(20,5227631,'1',102,'N'),(20,5227640,'1',212,'N'),(20,5227640,'1A',653,'N'),(20,5227658,'1',101,'N'),(20,5227666,'1',103,'N'),(20,5227674,'1',9,'N'),(20,5227682,'1',103,'N'),(20,5227690,'1',103,'N'),(20,5227704,'1',428,'N'),(20,5227704,'1A',426,'N'),(20,5227712,'1',316,'N'),(20,5227720,'1',319,'N'),(20,5227739,'1',103,'N'),(20,5227747,'1',238,'N'),(20,5227747,'1A',215,'N'),(20,5227755,'1',551,'N'),(20,5227763,'1',233,'N'),(20,5227763,'1A',216,'N'),(20,5227771,'1',420,'N'),(20,5227780,'1',208,'N'),(20,5227798,'1',103,'N'),(20,5227801,'1',551,'N'),(20,5227810,'1',103,'N'),(20,5227828,'1',201,'N'),(20,5227828,'1A',207,'N'),(20,5227836,'1',108,'N'),(20,5227844,'1',318,'N'),(20,5227860,'1',316,'N'),(20,5227879,'1',425,'N'),(20,5227879,'1A',429,'N'),(20,5227887,'1',318,'N'),(20,5227895,'1',301,'N'),(20,5227909,'1',5,'N'),(20,5227917,'1',425,'N'),(20,5227917,'1A',429,'N'),(20,5227925,'1',3,'N'),(20,5227933,'1',211,'N'),(20,5227933,'1A',212,'N'),(20,5227941,'1',102,'N'),(20,5227950,'1',235,'N'),(20,5227950,'1A',653,'N'),(20,5227968,'1',319,'N'),(20,5227976,'1',208,'N'),(20,5227976,'1A',238,'N'),(20,5227984,'1',104,'N'),(20,5228000,'1',9,'N'),(20,5228018,'1',428,'N'),(20,5228018,'1A',426,'N'),(20,5228026,'1',451,'N'),(20,5228034,'1',207,'N'),(20,5228034,'1A',233,'N'),(20,5228050,'1',101,'N'),(20,5228077,'1',101,'N'),(20,5228085,'1',327,'N'),(20,5228093,'1',103,'N'),(20,5228107,'1',319,'N'),(20,5228115,'1',224,'N'),(20,5228123,'1',103,'N'),(20,5228131,'1',428,'N'),(20,5228131,'1A',426,'N'),(20,5228140,'1',453,'N'),(20,5228158,'1',319,'N'),(20,5228166,'1',103,'N'),(20,5228174,'1',5,'N'),(20,5228182,'1',9,'N'),(20,5228204,'1',202,'N'),(20,5228204,'1A',213,'N'),(20,5228212,'1',339,'N'),(20,5228220,'1',202,'N'),(20,5228220,'1A',213,'N'),(20,5228239,'1',103,'N'),(20,5228247,'1',203,'N'),(20,5228255,'1',317,'N'),(20,5228263,'1',211,'N'),(20,5228263,'1A',653,'N'),(20,5228271,'1',201,'N'),(20,5228271,'1A',207,'N'),(20,5228280,'1',303,'N'),(20,5228298,'1',9,'N'),(20,5228310,'1',302,'N'),(20,5228328,'1',225,'N'),(20,5228336,'1',339,'N'),(20,5228352,'1',103,'N'),(20,5228360,'1',316,'N'),(20,5228379,'1',428,'N'),(20,5228379,'1A',426,'N'),(20,5228387,'1',103,'N'),(20,5228395,'1',101,'N'),(20,5228409,'1',501,'N'),(20,5228417,'1',216,'N'),(20,5228417,'1A',202,'N'),(20,5228425,'1',502,'N'),(20,5228433,'1',302,'N'),(20,5228441,'1',208,'N'),(20,5228441,'1A',202,'N'),(20,5228450,'1',303,'N'),(20,5228468,'1',238,'N'),(20,5228468,'1A',208,'N'),(20,5228492,'1',444,'N'),(20,5228506,'1',317,'N'),(20,5228514,'1',201,'N'),(20,5228514,'1A',216,'N'),(20,5228522,'1',101,'N'),(20,5228530,'1',101,'N'),(20,5228549,'1',207,'N'),(20,5228549,'1A',201,'N'),(20,5228557,'1',319,'N'),(20,5228565,'1',207,'N'),(20,5228565,'1A',201,'N'),(20,5228590,'1',104,'N'),(20,5228603,'1',211,'N'),(20,5228603,'1A',215,'N'),(20,5228611,'1',303,'N'),(20,5228620,'1',238,'N'),(20,5228620,'1A',208,'N'),(20,5228638,'1',108,'N'),(20,5228646,'1',220,'N'),(20,5228646,'1A',233,'N'),(20,5228654,'1',224,'N'),(20,5228662,'1',327,'N'),(20,5228670,'1',235,'N'),(20,5228670,'1A',238,'N'),(20,5228689,'1',211,'N'),(20,5228689,'1A',207,'N'),(20,5228697,'1',103,'N'),(20,5228700,'1',238,'N'),(20,5228700,'1A',208,'N'),(20,5228719,'1',211,'N'),(20,5228719,'1A',208,'N'),(20,5228735,'1',601,'N'),(20,5228735,'1A',202,'N'),(20,5228743,'1',601,'N'),(20,5228743,'1A',203,'N'),(20,5228751,'1',238,'N'),(20,5228751,'1A',208,'N'),(20,5228760,'1',425,'N'),(20,5228760,'1A',424,'N'),(20,5228778,'1',205,'N'),(20,5228786,'1',429,'N'),(20,5228786,'1A',428,'N'),(20,5228794,'1',601,'N'),(20,5228808,'1',332,'N'),(20,5228824,'1',309,'N'),(20,5228859,'1',319,'N'),(20,5228867,'1',208,'N'),(20,5228867,'1A',203,'N'),(20,5228875,'1',101,'N'),(20,5228883,'1',110,'N'),(20,5228891,'1',415,'N'),(20,5228913,'1',5,'N'),(20,5228921,'1',304,'N'),(20,5228930,'1',428,'N'),(20,5228930,'1A',427,'N'),(20,5228948,'1',319,'N'),(20,5228956,'1',104,'N'),(20,5228964,'1',327,'N'),(20,5228972,'1',103,'N'),(20,5228980,'1',102,'N'),(20,5228999,'1',202,'N'),(20,5228999,'1A',220,'N'),(20,5229006,'1',453,'N'),(20,5229014,'1',332,'N'),(20,5229049,'1',415,'N'),(20,5229057,'1',331,'N'),(20,5229073,'1',429,'N'),(20,5229073,'1A',424,'N'),(20,5229081,'1',207,'N'),(20,5229081,'1A',208,'N'),(20,5229090,'1',207,'N'),(20,5229090,'1A',211,'N'),(20,5229111,'1',316,'N'),(20,5229138,'1',103,'N'),(20,5229146,'1',5,'N'),(20,5229154,'1',238,'N'),(20,5229154,'1A',208,'N'),(20,5229170,'1',429,'N'),(20,5229170,'1A',426,'N'),(20,5229189,'1',102,'N'),(20,5229197,'1',103,'N'),(20,5229200,'1',108,'N'),(20,5229227,'1',103,'N'),(20,5229235,'1',215,'N'),(20,5229235,'1A',211,'N'),(20,5229251,'1',103,'N'),(20,5229260,'1',332,'N'),(20,5229278,'1',502,'N'),(20,5229286,'1',302,'N'),(20,5229294,'1',220,'N'),(20,5229294,'1A',233,'N'),(20,5229316,'1',234,'N'),(20,5229324,'1',103,'N'),(20,5229332,'1',310,'N'),(20,5229340,'1',104,'N'),(20,5229359,'1',103,'N'),(20,5229367,'1',103,'N'),(20,5229375,'1',332,'N'),(20,5229383,'1',317,'N'),(20,5229391,'1',324,'N'),(20,5229413,'1',104,'N'),(20,5229421,'1',214,'N'),(20,5229421,'1A',212,'N'),(20,5229430,'1',651,'N'),(20,5229430,'1A',653,'N'),(20,5229448,'1',502,'N'),(20,5229456,'1',340,'N'),(20,5229464,'1',324,'N'),(20,5229472,'1',103,'N'),(20,5229480,'1',425,'N'),(20,5229480,'1A',427,'N'),(20,5229499,'1',503,'N'),(20,5229502,'1',203,'N'),(20,5229502,'1A',214,'N'),(20,5229510,'1',317,'N'),(20,5229529,'1',103,'N'),(20,5229537,'1',326,'N'),(20,5229553,'1',101,'N'),(20,5229561,'1',211,'N'),(20,5229561,'1A',233,'N'),(20,5229570,'1',336,'N'),(20,5229588,'1',102,'N'),(20,5229596,'1',5,'N'),(20,5229600,'1',451,'N'),(20,5229618,'1',103,'N'),(20,5229626,'1',319,'N'),(20,5229634,'1',420,'N'),(20,5229642,'1',103,'N'),(20,5229650,'1',103,'N'),(20,5229669,'1',308,'N'),(20,5229677,'1',2,'N'),(20,5229685,'1',108,'N'),(20,5229693,'1',208,'N'),(20,5229693,'1A',238,'N'),(20,5229707,'1',5,'N'),(20,5229723,'1',601,'N'),(20,5229723,'1A',653,'N'),(20,5229740,'1',303,'N'),(20,5229766,'1',303,'N'),(20,5229774,'1',420,'N'),(20,5229782,'1',653,'N'),(20,5229782,'1A',652,'N'),(20,5229790,'1',109,'N'),(20,5229812,'1',216,'N'),(20,5229812,'1A',215,'N'),(20,5229820,'1',5,'N'),(20,5229839,'1',451,'N'),(20,5229855,'1',337,'N'),(20,5229863,'1',225,'N'),(20,5229871,'1',103,'N'),(20,5229880,'1',304,'N'),(20,5229898,'1',103,'N'),(20,5229901,'1',316,'N'),(20,5229910,'1',103,'N'),(20,5229928,'1',317,'N'),(20,5229936,'1',201,'N'),(20,5229936,'1A',207,'N'),(20,5229944,'1',301,'N'),(20,5229952,'1',318,'N'),(20,5229960,'1',324,'N'),(20,5229979,'1',303,'N'),(20,5229987,'1',339,'N'),(20,5229995,'1',101,'N'),(20,5230004,'1',601,'N'),(20,5230004,'1A',233,'N'),(20,5230012,'1',332,'N'),(20,5230039,'1',207,'N'),(20,5230039,'1A',201,'N'),(20,5230047,'1',104,'N'),(20,5230055,'1',415,'N'),(20,5230063,'1',333,'N'),(20,5230071,'1',340,'N'),(20,5230101,'1',238,'N'),(20,5230101,'1A',208,'N'),(20,5230110,'1',211,'N'),(20,5230110,'1A',207,'N'),(20,5230128,'1',201,'N'),(20,5230144,'1',5,'N'),(20,5230152,'1',301,'N'),(20,5230179,'1',320,'N'),(20,5230187,'1',104,'N'),(20,5230195,'1',103,'N'),(20,5230209,'1',301,'N'),(20,5230217,'1',216,'N'),(20,5230217,'1A',215,'N'),(20,5230225,'1',201,'N'),(20,5230225,'1A',212,'N'),(20,5230233,'1',317,'N'),(20,5230241,'1',303,'N'),(20,5230250,'1',238,'N'),(20,5230250,'1A',652,'N'),(20,5230268,'1',302,'N'),(20,5230276,'1',103,'N'),(20,5230284,'1',103,'N'),(20,5230292,'1',211,'N'),(20,5230292,'1A',201,'N'),(20,5230306,'1',103,'N'),(20,5230314,'1',213,'N'),(20,5230314,'1A',215,'N'),(20,5230322,'1',104,'N'),(20,5230330,'1',233,'N'),(20,5230330,'1A',207,'N'),(20,5230349,'1',601,'N'),(20,5230349,'1A',233,'N'),(20,5230357,'1',103,'N'),(20,5230365,'1',109,'N'),(20,5230381,'1',316,'N'),(20,5230390,'1',5,'N'),(20,5230403,'1',104,'N'),(20,5230411,'1',101,'N'),(20,5230420,'1',327,'N'),(20,5230438,'1',104,'N'),(20,5230446,'1',212,'N'),(20,5230446,'1A',201,'N'),(20,5230454,'1',5,'N'),(20,5230462,'1',429,'N'),(20,5230462,'1A',425,'N'),(20,5230470,'1',450,'N'),(20,5230489,'1',340,'N'),(20,5230500,'1',425,'N'),(20,5230500,'1A',429,'N'),(20,5230535,'1',207,'N'),(20,5230535,'1A',201,'N'),(20,5230543,'1',109,'N'),(20,5230560,'1',423,'N'),(20,5230560,'1A',424,'N'),(20,5230578,'1',103,'N'),(20,5230586,'1',340,'N'),(20,5230594,'1',102,'N'),(20,5230608,'1',235,'N'),(20,5230608,'1A',213,'N'),(20,5230616,'1',220,'N'),(20,5230616,'1A',202,'N'),(20,5230624,'1',103,'N'),(20,5230632,'1',340,'N'),(20,5230640,'1',207,'N'),(20,5230640,'1A',201,'N'),(20,5230659,'1',301,'N'),(20,5230683,'1',207,'N'),(20,5230683,'1A',201,'N'),(20,5230691,'1',301,'N'),(20,5230705,'1',317,'N'),(20,5230713,'1',207,'N'),(20,5230713,'1A',212,'N'),(20,5230721,'1',309,'N'),(20,5230730,'1',103,'N'),(20,5230748,'1',201,'N'),(20,5230748,'1A',203,'N'),(20,5230756,'1',103,'N'),(20,5230764,'1',201,'N'),(20,5230764,'1A',220,'N'),(20,5230772,'1',203,'N'),(20,5230780,'1',201,'N'),(20,5230780,'1A',212,'N'),(20,5230799,'1',304,'N'),(20,5230802,'1',220,'N'),(20,5230802,'1A',202,'N'),(20,5230810,'1',5,'N'),(20,5230829,'1',103,'N'),(20,5230837,'1',225,'N'),(20,5230845,'1',203,'N'),(20,5230845,'1A',214,'N'),(20,5230853,'1',316,'N'),(20,5230861,'1',207,'N'),(20,5230861,'1A',201,'N'),(20,5230870,'1',104,'N'),(20,5230888,'1',453,'N'),(20,5230896,'1',333,'N'),(20,5230900,'1',653,'N'),(20,5230926,'1',308,'N'),(20,5230934,'1',324,'N'),(20,5230942,'1',340,'N'),(20,5230969,'1',326,'N'),(20,5230977,'1',319,'N'),(20,5230985,'1',104,'N'),(20,5230993,'1',316,'N'),(20,5231000,'1',103,'N'),(20,5231019,'1',220,'N'),(20,5231019,'1A',235,'N'),(20,5231027,'1',211,'N'),(20,5231027,'1A',214,'N'),(20,5231035,'1',207,'N'),(20,5231035,'1A',211,'N'),(20,5231043,'1',103,'N'),(20,5231051,'1',201,'N'),(20,5231051,'1A',601,'N'),(20,5231060,'1',421,'N'),(20,5231060,'1A',429,'N'),(20,5231094,'1',302,'N'),(20,5231108,'1',103,'N'),(20,5231116,'1',653,'N'),(20,5231116,'1A',652,'N'),(20,5231124,'1',103,'N'),(20,5231132,'1',420,'N'),(20,5231140,'1',332,'N'),(20,5231159,'1',501,'N'),(20,5231167,'1',319,'N'),(20,5231175,'1',203,'N'),(20,5231175,'1A',214,'N'),(20,5231183,'1',103,'N'),(20,5231191,'1',208,'N'),(20,5231191,'1A',238,'N'),(20,5231205,'1',203,'N'),(20,5231205,'1A',233,'N'),(20,5231213,'1',501,'N'),(20,5231221,'1',415,'N'),(20,5231230,'1',104,'N'),(20,5231248,'1',103,'N'),(20,5231256,'1',205,'N'),(20,5231264,'1',301,'N'),(20,5231272,'1',103,'N'),(20,5231280,'1',303,'N'),(20,5231299,'1',340,'N'),(20,5231302,'1',103,'N'),(20,5231310,'1',220,'N'),(20,5231310,'1A',202,'N'),(20,5231337,'1',2,'N'),(20,5231345,'1',319,'N'),(20,5231353,'1',103,'N'),(20,5231361,'1',101,'N'),(20,5231388,'1',5,'N'),(20,5231396,'1',207,'N'),(20,5231396,'1A',208,'N'),(20,5231400,'1',103,'N'),(20,5231418,'1',102,'N'),(20,5231426,'1',452,'N'),(20,5231434,'1',101,'N'),(20,5231442,'1',202,'N'),(20,5231442,'1A',213,'N'),(20,5231450,'1',337,'N'),(20,5231477,'1',103,'N'),(20,5231485,'1',501,'N'),(20,5231493,'1',429,'N'),(20,5231493,'1A',425,'N'),(20,5231507,'1',450,'N'),(20,5231515,'1',601,'N'),(20,5231523,'1',551,'N'),(20,5231531,'1',103,'N'),(20,5231540,'1',104,'N'),(20,5231558,'1',103,'N'),(20,5231566,'1',5,'N'),(20,5231574,'1',328,'N'),(20,5231582,'1',339,'N'),(20,5231590,'1',452,'N'),(20,5231604,'1',203,'N'),(20,5231604,'1A',214,'N'),(20,5231612,'1',502,'N'),(20,5231620,'1',203,'N'),(20,5231620,'1A',201,'N'),(20,5231639,'1',211,'N'),(20,5231639,'1A',653,'N'),(20,5231655,'1',317,'N'),(20,5231663,'1',101,'N'),(20,5231671,'1',424,'N'),(20,5231671,'1A',427,'N'),(20,5231680,'1',319,'N'),(20,5231698,'1',452,'N'),(20,5231701,'1',316,'N'),(20,5231710,'1',104,'N'),(20,5231728,'1',503,'N'),(20,5231736,'1',316,'N'),(20,5231744,'1',201,'N'),(20,5231744,'1A',207,'N'),(20,5231752,'1',101,'N'),(20,5231760,'1',103,'N'),(20,5231779,'1',203,'N'),(20,5231787,'1',5,'N'),(20,5231795,'1',103,'N'),(20,5231809,'1',444,'N'),(20,5231817,'1',333,'N'),(20,5231825,'1',319,'N'),(20,5231833,'1',201,'N'),(20,5231833,'1A',212,'N'),(20,5231841,'1',450,'N'),(20,5231850,'1',202,'N'),(20,5231850,'1A',208,'N'),(20,5231868,'1',420,'N'),(20,5231876,'1',208,'N'),(20,5231876,'1A',214,'N'),(20,5231884,'1',316,'N'),(20,5231892,'1',238,'N'),(20,5231892,'1A',208,'N'),(20,5231914,'1',303,'N'),(20,5231922,'1',201,'N'),(20,5231922,'1A',238,'N'),(20,5231930,'1',453,'N'),(20,5231949,'1',201,'N'),(20,5231957,'1',202,'N'),(20,5231957,'1A',212,'N'),(20,5231965,'1',102,'N'),(20,5231973,'1',233,'N'),(20,5231973,'1A',201,'N'),(20,5231981,'1',601,'N'),(20,5231981,'1A',214,'N'),(20,5231990,'1',318,'N'),(20,5232007,'1',651,'N'),(20,5232007,'1A',653,'N'),(20,5232015,'1',211,'N'),(20,5232015,'1A',601,'N'),(20,5232023,'1',201,'N'),(20,5232023,'1A',207,'N'),(20,5232031,'1',207,'N'),(20,5232031,'1A',201,'N'),(20,5232040,'1',420,'N'),(20,5232058,'1',108,'N'),(20,5232066,'1',324,'N'),(20,5232082,'1',444,'N'),(20,5232090,'1',653,'N'),(20,5232090,'1A',652,'N'),(20,5232104,'1',103,'N'),(20,5232120,'1',103,'N'),(20,5232139,'1',309,'N'),(20,5232147,'1',9,'N'),(20,5232155,'1',303,'N'),(20,5232163,'1',3,'N'),(20,5232171,'1',212,'N'),(20,5232171,'1A',208,'N'),(20,5232180,'1',109,'N'),(20,5232198,'1',316,'N'),(20,5232210,'1',340,'N'),(20,5232228,'1',601,'N'),(20,5232228,'1A',233,'N'),(20,5232236,'1',220,'N'),(20,5232236,'1A',203,'N'),(20,5232244,'1',201,'N'),(20,5232244,'1A',207,'N'),(20,5232252,'1',211,'N'),(20,5232260,'1',501,'N'),(20,5232279,'1',415,'N'),(20,5232287,'1',224,'N'),(20,5232295,'1',103,'N'),(20,5232309,'1',207,'N'),(20,5232309,'1A',201,'N'),(20,5232317,'1',103,'N'),(20,5232325,'1',104,'N'),(20,5232333,'1',301,'N'),(20,5232341,'1',103,'N'),(20,5232350,'1',319,'N'),(20,5232368,'1',309,'N'),(20,5232376,'1',205,'N'),(20,5232392,'1',304,'N'),(20,5232414,'1',310,'N'),(20,5232422,'1',652,'N'),(20,5232422,'1A',653,'N'),(20,5232430,'1',201,'N'),(20,5232430,'1A',212,'N'),(20,5232449,'1',207,'N'),(20,5232449,'1A',201,'N'),(20,5232465,'1',207,'N'),(20,5232465,'1A',201,'N'),(20,5232481,'1',101,'N'),(20,5232490,'1',108,'N'),(20,5232503,'1',304,'N'),(20,5232511,'1',339,'N'),(20,5232520,'1',224,'N'),(20,5232538,'1',339,'N'),(20,5232546,'1',103,'N'),(20,5232554,'1',303,'N'),(20,5232570,'1',316,'N'),(20,5232589,'1',652,'N'),(20,5232589,'1A',653,'N'),(20,5232597,'1',450,'N'),(20,5232600,'1',336,'N'),(20,5232619,'1',108,'N'),(20,5232627,'1',201,'N'),(20,5232635,'1',318,'N'),(20,5232643,'1',331,'N'),(20,5232651,'1',103,'N'),(20,5232660,'1',551,'N'),(20,5232678,'1',102,'N'),(20,5232686,'1',5,'N'),(20,5232694,'1',101,'N'),(20,5232708,'1',340,'N'),(20,5232716,'1',303,'N'),(20,5232724,'1',238,'N'),(20,5232724,'1A',203,'N'),(20,5232740,'1',233,'N'),(20,5232740,'1A',215,'N'),(20,5232759,'1',103,'N'),(20,5232767,'1',220,'N'),(20,5232767,'1A',214,'N'),(20,5232783,'1',201,'N'),(20,5232783,'1A',207,'N'),(20,5232791,'1',238,'N'),(20,5232791,'1A',208,'N'),(20,5232813,'1',5,'N'),(20,5232830,'1',2,'N'),(20,5232848,'1',427,'N'),(20,5232848,'1A',423,'N'),(20,5232856,'1',103,'N'),(20,5232864,'1',238,'N'),(20,5232864,'1A',220,'N'),(20,5232872,'1',302,'N'),(20,5232880,'1',331,'N'),(20,5232899,'1',5,'N'),(20,5232902,'1',308,'N'),(20,5232910,'1',336,'N'),(20,5232937,'1',208,'N'),(20,5232937,'1A',238,'N'),(20,5232945,'1',103,'N'),(20,5232953,'1',319,'N'),(20,5232961,'1',104,'N'),(20,5232970,'1',103,'N'),(20,5232988,'1',551,'N'),(20,5232996,'1',308,'N'),(20,5233003,'1',339,'N'),(20,5233011,'1',202,'N'),(20,5233011,'1A',235,'N'),(20,5233020,'1',104,'N'),(20,5233046,'1',450,'N'),(20,5233054,'1',340,'N'),(20,5233062,'1',420,'N'),(20,5233070,'1',336,'N'),(20,5233089,'1',318,'N'),(20,5233100,'1',216,'N'),(20,5233100,'1A',235,'N'),(20,5233119,'1',103,'N'),(20,5233127,'1',203,'N'),(20,5233127,'1A',214,'N'),(20,5233135,'1',601,'N'),(20,5233135,'1A',215,'N'),(20,5233143,'1',103,'N'),(20,5233151,'1',415,'N'),(20,5233160,'1',453,'N'),(20,5233178,'1',309,'N'),(20,5233186,'1',340,'N'),(20,5233194,'1',207,'N'),(20,5233208,'1',420,'N'),(20,5233216,'1',601,'N'),(20,5233216,'1A',216,'N'),(20,5233224,'1',317,'N'),(20,5233232,'1',208,'N'),(20,5233232,'1A',203,'N'),(20,5233240,'1',203,'N'),(20,5233240,'1A',214,'N'),(20,5233259,'1',415,'N'),(20,5233267,'1',101,'N'),(20,5233275,'1',427,'N'),(20,5233275,'1A',423,'N'),(20,5233283,'1',101,'N'),(20,5233291,'1',444,'N'),(20,5233305,'1',319,'N'),(20,5233313,'1',223,'N'),(20,5233348,'1',103,'N'),(20,5233364,'1',329,'N'),(20,5233372,'1',339,'N'),(20,5233402,'1',501,'N'),(20,5233410,'1',108,'N'),(20,5233429,'1',319,'N'),(20,5233437,'1',201,'N'),(20,5233445,'1',451,'N'),(20,5233453,'1',202,'N'),(20,5233453,'1A',213,'N'),(20,5233461,'1',102,'N'),(20,5233470,'1',103,'N'),(20,5233488,'1',201,'N'),(20,5233488,'1A',212,'N'),(20,5233496,'1',450,'N'),(20,5233518,'1',223,'N'),(20,5233526,'1',201,'N'),(20,5233526,'1A',212,'N'),(20,5233542,'1',103,'N'),(20,5233550,'1',203,'N'),(20,5233550,'1A',235,'N'),(20,5233577,'1',103,'N'),(20,5233585,'1',202,'N'),(20,5233585,'1A',208,'N'),(20,5233607,'1',207,'N'),(20,5233607,'1A',201,'N'),(20,5233615,'1',309,'N'),(20,5233623,'1',302,'N'),(20,5233631,'1',238,'N'),(20,5233631,'1A',235,'N'),(20,5233640,'1',5,'N'),(20,5233666,'1',320,'N'),(20,5233674,'1',329,'N'),(20,5233682,'1',302,'N'),(20,5233690,'1',301,'N'),(20,5233704,'1',5,'N'),(20,5233712,'1',420,'N'),(20,5233720,'1',102,'N'),(20,5233739,'1',316,'N'),(20,5233747,'1',203,'N'),(20,5233747,'1A',201,'N'),(20,5233755,'1',420,'N'),(20,5233763,'1',328,'N'),(20,5233771,'1',319,'N'),(20,5233780,'1',444,'N'),(20,5233798,'1',202,'N'),(20,5233810,'1',103,'N'),(20,5233828,'1',318,'N'),(20,5233836,'1',310,'N'),(20,5233852,'1',319,'N'),(20,5233879,'1',103,'N'),(20,5233895,'1',216,'N'),(20,5233895,'1A',203,'N'),(20,5233909,'1',103,'N'),(20,5233917,'1',103,'N'),(20,5233941,'1',5,'N'),(20,5233950,'1',320,'N'),(20,5233968,'1',316,'N'),(20,5233976,'1',316,'N'),(20,5233984,'1',238,'N'),(20,5233984,'1A',202,'N'),(20,5233992,'1',233,'N'),(20,5233992,'1A',211,'N'),(20,5234018,'1',103,'N'),(20,5234026,'1',9,'N'),(20,5234034,'1',103,'N'),(20,5234042,'1',9,'N'),(20,5234050,'1',104,'N'),(20,5234069,'1',309,'N'),(20,5234077,'1',303,'N'),(20,5234085,'1',5,'N'),(20,5234093,'1',420,'N'),(20,5234107,'1',201,'N'),(20,5234107,'1A',220,'N'),(20,5234115,'1',451,'N'),(20,5234123,'1',207,'N'),(20,5234131,'1',208,'N'),(20,5234131,'1A',238,'N'),(20,5234140,'1',316,'N'),(20,5234158,'1',301,'N'),(20,5234166,'1',404,'N'),(20,5234174,'1',223,'N'),(20,5234182,'1',215,'N'),(20,5234182,'1A',207,'N'),(20,5234190,'1',302,'N'),(20,5234204,'1',102,'N'),(20,5234212,'1',2,'N'),(20,5234220,'1',340,'N'),(20,5234239,'1',301,'N'),(20,5234247,'1',103,'N'),(20,5234263,'1',319,'N'),(20,5234271,'1',302,'N'),(20,5234280,'1',201,'N'),(20,5234280,'1A',212,'N'),(20,5234298,'1',303,'N'),(20,5234301,'1',203,'N'),(20,5234310,'1',9,'N'),(20,5234328,'1',551,'N'),(20,5234336,'1',340,'N'),(20,5234344,'1',203,'N'),(20,5234344,'1A',214,'N'),(20,5234352,'1',451,'N'),(20,5234360,'1',3,'N'),(20,5234387,'1',201,'N'),(20,5234387,'1A',207,'N'),(20,5234395,'1',203,'N'),(20,5234395,'1A',214,'N'),(20,5234409,'1',103,'N'),(20,5234417,'1',103,'N'),(20,5234433,'1',5,'N'),(20,5234441,'1',208,'N'),(20,5234441,'1A',238,'N'),(20,5234450,'1',207,'N'),(20,5234450,'1A',201,'N'),(20,5234468,'1',652,'N'),(20,5234476,'1',450,'N'),(20,5234484,'1',316,'N'),(20,5234492,'1',224,'N'),(20,5234506,'1',340,'N'),(20,5234514,'1',5,'N'),(20,5234522,'1',103,'N'),(20,5234530,'1',103,'N'),(20,5234549,'1',316,'N'),(20,5234557,'1',601,'N'),(20,5234557,'1A',202,'N'),(20,5234565,'1',324,'N'),(20,5234581,'1',101,'N'),(20,5234590,'1',102,'N'),(20,5234603,'1',203,'N'),(20,5234611,'1',214,'N'),(20,5234620,'1',340,'N'),(20,5234638,'1',103,'N'),(20,5234646,'1',103,'N'),(20,5234654,'1',203,'N'),(20,5234654,'1A',601,'N'),(20,5234662,'1',102,'N'),(20,5234689,'1',103,'N'),(20,5234697,'1',109,'N'),(20,5234700,'1',301,'N'),(20,5234719,'1',103,'N'),(20,5234727,'1',216,'N'),(20,5234735,'1',326,'N'),(20,5234743,'1',501,'N'),(20,5234751,'1',201,'N'),(20,5234751,'1A',203,'N'),(20,5234760,'1',207,'N'),(20,5234760,'1A',201,'N'),(20,5234778,'1',233,'N'),(20,5234778,'1A',216,'N'),(20,5234786,'1',5,'N'),(20,5234794,'1',303,'N'),(20,5234816,'1',303,'N'),(20,5234832,'1',207,'N'),(20,5234832,'1A',201,'N'),(20,5234840,'1',201,'N'),(20,5234859,'1',103,'N'),(20,5234867,'1',103,'N'),(20,5234883,'1',213,'N'),(20,5234883,'1A',233,'N'),(20,5234905,'1',103,'N'),(20,5234921,'1',5,'N'),(20,5234930,'1',238,'N'),(20,5234930,'1A',208,'N'),(20,5234948,'1',108,'N'),(20,5234956,'1',102,'N'),(20,5234964,'1',211,'N'),(20,5234964,'1A',233,'N'),(20,5234972,'1',444,'N'),(20,5234980,'1',102,'N'),(20,5234999,'1',653,'N'),(20,5234999,'1A',652,'N'),(20,5235006,'1',601,'N'),(20,5235014,'1',339,'N'),(20,5235022,'1',333,'N'),(20,5235030,'1',208,'N'),(20,5235030,'1A',238,'N'),(20,5235049,'1',214,'N'),(20,5235049,'1A',233,'N'),(20,5235057,'1',316,'N'),(20,5235065,'1',3,'N'),(20,5235073,'1',108,'N'),(20,5235081,'1',101,'N'),(20,5235090,'1',308,'N'),(20,5235103,'1',502,'N'),(20,5235111,'1',201,'N'),(20,5235111,'1A',202,'N'),(20,5235120,'1',503,'N'),(20,5235138,'1',104,'N'),(20,5235146,'1',205,'N'),(20,5235154,'1',317,'N'),(20,5235162,'1',302,'N'),(20,5235170,'1',309,'N'),(20,5235189,'1',501,'N'),(20,5235197,'1',207,'N'),(20,5235197,'1A',201,'N'),(20,5235200,'1',316,'N'),(20,5235219,'1',207,'N'),(20,5235219,'1A',201,'N'),(20,5235227,'1',103,'N'),(20,5235235,'1',202,'N'),(20,5235243,'1',653,'N'),(20,5235251,'1',452,'N'),(20,5235260,'1',103,'N'),(20,5235278,'1',429,'N'),(20,5235278,'1A',425,'N'),(20,5235286,'1',109,'N'),(20,5235294,'1',211,'N'),(20,5235308,'1',5,'N'),(20,5235316,'1',202,'N'),(20,5235324,'1',3,'N'),(20,5235332,'1',203,'N'),(20,5235332,'1A',214,'N'),(20,5235340,'1',319,'N'),(20,5235359,'1',319,'N'),(20,5235367,'1',203,'N'),(20,5235367,'1A',201,'N'),(20,5235375,'1',103,'N'),(20,5235383,'1',212,'N'),(20,5235383,'1A',207,'N'),(20,5235391,'1',103,'N'),(20,5235413,'1',5,'N'),(20,5235421,'1',444,'N'),(20,5235430,'1',303,'N'),(20,5235456,'1',212,'N'),(20,5235456,'1A',235,'N'),(20,5235464,'1',203,'N'),(20,5235464,'1A',233,'N'),(20,5235472,'1',331,'N'),(20,5235480,'1',303,'N'),(20,5235529,'1',601,'N'),(20,5235529,'1A',201,'N'),(20,5235537,'1',452,'N'),(20,5235545,'1',203,'N'),(20,5235545,'1A',202,'N'),(20,5235553,'1',108,'N'),(20,5235561,'1',502,'N'),(20,5235570,'1',233,'N'),(20,5235570,'1A',212,'N'),(20,5235588,'1',404,'N'),(20,5235596,'1',3,'N'),(20,5235600,'1',201,'N'),(20,5235600,'1A',211,'N'),(20,5235618,'1',103,'N'),(20,5235626,'1',220,'N'),(20,5235626,'1A',235,'N'),(20,5235634,'1',103,'N'),(20,5235642,'1',9,'N'),(20,5235650,'1',301,'N'),(20,5235669,'1',101,'N'),(20,5235677,'1',101,'N'),(20,5235707,'1',103,'N'),(20,5235715,'1',220,'N'),(20,5235715,'1A',235,'N'),(20,5235723,'1',103,'N'),(20,5235731,'1',201,'N'),(20,5235731,'1A',212,'N'),(20,5235740,'1',203,'N'),(20,5235740,'1A',201,'N'),(20,5235758,'1',101,'N'),(20,5235766,'1',110,'N'),(20,5235782,'1',101,'N'),(20,5235790,'1',103,'N'),(20,5235804,'1',216,'N'),(20,5235804,'1A',215,'N'),(20,5235812,'1',103,'N'),(20,5235820,'1',104,'N'),(20,5235839,'1',303,'N'),(20,5235871,'1',208,'N'),(20,5235871,'1A',235,'N'),(20,5235880,'1',207,'N'),(20,5235880,'1A',201,'N'),(20,5235928,'1',203,'N'),(20,5235928,'1A',202,'N'),(20,5235936,'1',104,'N'),(20,5235944,'1',238,'N'),(20,5235952,'1',5,'N'),(20,5235960,'1',303,'N'),(20,5235987,'1',501,'N'),(20,5235995,'1',450,'N'),(20,5236002,'1',213,'N'),(20,5236002,'1A',238,'N'),(20,5236010,'1',5,'N'),(20,5236029,'1',207,'N'),(20,5236029,'1A',216,'N'),(20,5236037,'1',329,'N'),(20,5236053,'1',203,'N'),(20,5236053,'1A',201,'N'),(20,5236061,'1',303,'N'),(20,5236070,'1',103,'N'),(20,5236088,'1',214,'N'),(20,5236088,'1A',203,'N'),(20,5236096,'1',207,'N'),(20,5236096,'1A',201,'N'),(20,5236118,'1',108,'N'),(20,5236126,'1',211,'N'),(20,5236126,'1A',215,'N'),(20,5236134,'1',651,'N'),(20,5236142,'1',102,'N'),(20,5236150,'1',316,'N'),(20,5236169,'1',303,'N'),(20,5236177,'1',103,'N'),(20,5236185,'1',102,'N'),(20,5236207,'1',303,'N'),(20,5236215,'1',103,'N'),(20,5236223,'1',415,'N'),(20,5236231,'1',201,'N'),(20,5236231,'1A',220,'N'),(20,5236240,'1',336,'N'),(20,5236258,'1',216,'N'),(20,5236266,'1',5,'N'),(20,5236290,'1',233,'N'),(20,5236290,'1A',211,'N'),(20,5236312,'1',208,'N'),(20,5236312,'1A',238,'N'),(20,5236320,'1',103,'N'),(20,5236339,'1',104,'N'),(20,5236347,'1',303,'N'),(20,5236355,'1',220,'N'),(20,5236355,'1A',238,'N'),(20,5236363,'1',444,'N'),(20,5236371,'1',235,'N'),(20,5236371,'1A',203,'N'),(20,5236380,'1',601,'N'),(20,5236380,'1A',201,'N'),(20,5236398,'1',103,'N'),(20,5236401,'1',5,'N'),(20,5236410,'1',326,'N'),(20,5236436,'1',103,'N'),(20,5236444,'1',303,'N'),(20,5236452,'1',110,'N'),(20,5236460,'1',235,'N'),(20,5236460,'1A',653,'N'),(20,5236479,'1',652,'N'),(20,5236479,'1A',653,'N'),(20,5236487,'1',216,'N'),(20,5236487,'1A',202,'N'),(20,5236495,'1',336,'N'),(20,5236509,'1',318,'N'),(20,5236517,'1',415,'N'),(20,5236533,'1',308,'N'),(20,5236541,'1',103,'N'),(20,5236550,'1',207,'N'),(20,5236550,'1A',201,'N'),(20,5236568,'1',103,'N'),(20,5236576,'1',319,'N'),(20,5236592,'1',108,'N'),(20,5236606,'1',451,'N'),(20,5236614,'1',103,'N'),(20,5236630,'1',404,'N'),(20,5236649,'1',103,'N'),(20,5236657,'1',303,'N'),(20,5236665,'1',503,'N'),(20,5236673,'1',207,'N'),(20,5236673,'1A',201,'N'),(20,5236681,'1',551,'N'),(20,5236690,'1',317,'N'),(20,5236703,'1',404,'N'),(20,5236711,'1',235,'N'),(20,5236711,'1A',202,'N'),(20,5236720,'1',601,'N'),(20,5236720,'1A',203,'N'),(20,5236738,'1',220,'N'),(20,5236738,'1A',203,'N'),(20,5236746,'1',211,'N'),(20,5236746,'1A',207,'N'),(20,5236754,'1',332,'N'),(20,5236762,'1',103,'N'),(20,5236770,'1',103,'N'),(20,5236789,'1',318,'N'),(20,5236797,'1',551,'N'),(20,5236800,'1',9,'N'),(20,5236819,'1',303,'N'),(20,5236827,'1',109,'N'),(20,5236835,'1',101,'N'),(20,5236851,'1',420,'N'),(20,5236860,'1',216,'N'),(20,5236860,'1A',202,'N'),(20,5236878,'1',103,'N'),(20,5236886,'1',404,'N'),(20,5236894,'1',340,'N'),(20,5236916,'1',450,'N'),(20,5236924,'1',452,'N'),(20,5236932,'1',316,'N'),(20,5236959,'1',339,'N'),(20,5236967,'1',201,'N'),(20,5236967,'1A',211,'N'),(20,5236975,'1',5,'N'),(20,5236983,'1',301,'N'),(20,5236991,'1',420,'N'),(20,5237009,'1',404,'N'),(20,5237025,'1',304,'N'),(20,5237041,'1',103,'N'),(20,5237050,'1',103,'N'),(20,5237068,'1',201,'N'),(20,5237068,'1A',207,'N'),(20,5237076,'1',203,'N'),(20,5237084,'1',201,'N'),(20,5237084,'1A',207,'N'),(20,5237092,'1',303,'N'),(20,5237106,'1',104,'N'),(20,5237122,'1',104,'N'),(20,5237130,'1',208,'N'),(20,5237130,'1A',238,'N'),(20,5237149,'1',453,'N'),(20,5237157,'1',103,'N'),(20,5237165,'1',429,'N'),(20,5237165,'1A',426,'N'),(20,5237173,'1',452,'N'),(20,5237181,'1',238,'N'),(20,5237181,'1A',201,'N'),(20,5237190,'1',103,'N'),(20,5237203,'1',201,'N'),(20,5237203,'1A',207,'N'),(20,5237211,'1',451,'N'),(20,5237220,'1',101,'N'),(20,5237238,'1',103,'N'),(20,5237246,'1',103,'N'),(20,5237254,'1',208,'N'),(20,5237254,'1A',202,'N'),(20,5237262,'1',309,'N'),(20,5237270,'1',652,'N'),(20,5237270,'1A',653,'N'),(20,5237289,'1',415,'N'),(20,5237297,'1',309,'N'),(20,5237300,'1',103,'N'),(20,5237319,'1',102,'N'),(20,5237335,'1',211,'N'),(20,5237335,'1A',201,'N'),(20,5237343,'1',424,'N'),(20,5237343,'1A',421,'N'),(20,5237351,'1',208,'N'),(20,5237351,'1A',220,'N'),(20,5237360,'1',103,'N'),(20,5237378,'1',318,'N'),(20,5237386,'1',452,'N'),(20,5237394,'1',103,'N'),(20,5237408,'1',201,'N'),(20,5237408,'1A',653,'N'),(20,5237416,'1',211,'N'),(20,5237416,'1A',233,'N'),(20,5237424,'1',216,'N'),(20,5237424,'1A',215,'N'),(20,5237432,'1',103,'N'),(20,5237440,'1',316,'N'),(20,5237459,'1',316,'N'),(20,5237467,'1',420,'N'),(20,5237475,'1',207,'N'),(20,5237483,'1',103,'N'),(20,5237491,'1',316,'N'),(20,5237505,'1',428,'N'),(20,5237505,'1A',427,'N'),(20,5237513,'1',103,'N'),(20,5237521,'1',202,'N'),(20,5237521,'1A',220,'N'),(20,5237530,'1',216,'N'),(20,5237530,'1A',207,'N'),(20,5237548,'1',302,'N'),(20,5237564,'1',303,'N'),(20,5237572,'1',601,'N'),(20,5237572,'1A',212,'N'),(20,5237580,'1',450,'N'),(20,5237599,'1',601,'N'),(20,5237599,'1A',220,'N'),(20,5237602,'1',203,'N'),(20,5237602,'1A',235,'N'),(20,5237610,'1',453,'N'),(20,5237629,'1',453,'N'),(20,5237637,'1',425,'N'),(20,5237637,'1A',426,'N'),(20,5237645,'1',101,'N'),(20,5237653,'1',202,'N'),(20,5237653,'1A',214,'N'),(20,5237670,'1',5,'N'),(20,5237688,'1',103,'N'),(20,5237696,'1',316,'N'),(20,5237718,'1',202,'N'),(20,5237718,'1A',235,'N'),(20,5237726,'1',215,'N'),(20,5237726,'1A',201,'N'),(20,5237734,'1',653,'N'),(20,5237734,'1A',201,'N'),(20,5237742,'1',103,'N'),(20,5237750,'1',207,'N'),(20,5237750,'1A',212,'N'),(20,5237769,'1',501,'N'),(20,5237777,'1',551,'N'),(20,5237785,'1',220,'N'),(20,5237785,'1A',203,'N'),(20,5237807,'1',420,'N'),(20,5237815,'1',303,'N'),(20,5237823,'1',207,'N'),(20,5237823,'1A',201,'N'),(20,5237831,'1',319,'N'),(20,5237840,'1',653,'N'),(20,5237840,'1A',208,'N'),(20,5237858,'1',101,'N'),(20,5237866,'1',103,'N'),(20,5237874,'1',104,'N'),(20,5237882,'1',308,'N'),(20,5237890,'1',201,'N'),(20,5237890,'1A',207,'N'),(20,5237912,'1',104,'N'),(20,5237920,'1',420,'N'),(20,5237939,'1',104,'N'),(20,5237947,'1',208,'N'),(20,5237947,'1A',215,'N'),(20,5237963,'1',337,'N'),(20,5237971,'1',207,'N'),(20,5237971,'1A',201,'N'),(20,5237998,'1',103,'N'),(20,5238005,'1',108,'N'),(20,5238013,'1',653,'N'),(20,5238021,'1',444,'N'),(20,5238030,'1',102,'N'),(20,5238048,'1',207,'N'),(20,5238048,'1A',215,'N'),(20,5238056,'1',201,'N'),(20,5238056,'1A',233,'N'),(20,5238064,'1',211,'N'),(20,5238064,'1A',207,'N'),(20,5238080,'1',208,'N'),(20,5238080,'1A',238,'N'),(20,5238102,'1',451,'N'),(20,5238110,'1',301,'N'),(20,5238129,'1',551,'N'),(20,5238137,'1',420,'N'),(20,5238145,'1',551,'N'),(20,5238161,'1',101,'N'),(20,5238170,'1',201,'N'),(20,5238170,'1A',601,'N'),(20,5238188,'1',203,'N'),(20,5238188,'1A',233,'N'),(20,5238196,'1',502,'N'),(20,5238218,'1',339,'N'),(20,5238226,'1',327,'N'),(20,5238242,'1',2,'N'),(20,5238250,'1',301,'N'),(20,5238269,'1',653,'N'),(20,5238277,'1',207,'N'),(20,5238277,'1A',201,'N'),(20,5238285,'1',316,'N'),(20,5238307,'1',103,'N'),(20,5238315,'1',333,'N'),(20,5238323,'1',102,'N'),(20,5238331,'1',429,'N'),(20,5238331,'1A',425,'N'),(20,5238340,'1',319,'N'),(20,5238358,'1',5,'N'),(20,5238366,'1',103,'N'),(20,5238374,'1',451,'N'),(20,5238382,'1',303,'N'),(20,5238390,'1',103,'N'),(20,5238404,'1',211,'N'),(20,5238404,'1A',207,'N'),(20,5238412,'1',327,'N'),(20,5238420,'1',207,'N'),(20,5238420,'1A',601,'N'),(20,5238439,'1',103,'N'),(20,5238447,'1',110,'N'),(20,5238455,'1',102,'N'),(20,5238463,'1',233,'N'),(20,5238463,'1A',208,'N'),(20,5238480,'1',215,'N'),(20,5238480,'1A',216,'N'),(20,5238498,'1',333,'N'),(20,5238501,'1',301,'N'),(20,5238510,'1',303,'N'),(20,5238528,'1',318,'N'),(20,5238536,'1',212,'N'),(20,5238536,'1A',233,'N'),(20,5238544,'1',201,'N'),(20,5238544,'1A',233,'N'),(20,5238552,'1',339,'N'),(20,5238560,'1',303,'N'),(20,5238579,'1',316,'N'),(20,5238587,'1',223,'N'),(20,5238595,'1',216,'N'),(20,5238595,'1A',220,'N'),(20,5238609,'1',501,'N'),(20,5238617,'1',451,'N'),(20,5238625,'1',238,'N'),(20,5238625,'1A',208,'N'),(20,5238633,'1',103,'N'),(20,5238641,'1',101,'N'),(20,5238650,'1',652,'N'),(20,5238650,'1A',653,'N'),(20,5238668,'1',428,'N'),(20,5238668,'1A',426,'N'),(20,5238676,'1',103,'N'),(20,5238684,'1',203,'N'),(20,5238684,'1A',214,'N'),(20,5238692,'1',238,'N'),(20,5238692,'1A',208,'N'),(20,5238706,'1',203,'N'),(20,5238706,'1A',238,'N'),(20,5238714,'1',450,'N'),(20,5238722,'1',201,'N'),(20,5238722,'1A',208,'N'),(20,5238730,'1',301,'N'),(20,5238757,'1',108,'N'),(20,5238765,'1',203,'N'),(20,5238765,'1A',208,'N'),(20,5238773,'1',103,'N'),(20,5238781,'1',216,'N'),(20,5238781,'1A',214,'N'),(20,5238790,'1',415,'N'),(20,5238803,'1',309,'N'),(20,5238811,'1',103,'N'),(20,5238820,'1',451,'N'),(20,5238838,'1',335,'N'),(20,5238854,'1',429,'N'),(20,5238854,'1A',425,'N'),(20,5238862,'1',211,'N'),(20,5238862,'1A',201,'N'),(20,5238889,'1',201,'N'),(20,5238889,'1A',213,'N'),(20,5238897,'1',207,'N'),(20,5238897,'1A',201,'N'),(20,5238900,'1',427,'N'),(20,5238900,'1A',424,'N'),(20,5238919,'1',108,'N'),(20,5238927,'1',302,'N'),(20,5238935,'1',327,'N'),(20,5238943,'1',301,'N'),(20,5238951,'1',316,'N'),(20,5238960,'1',452,'N'),(20,5238978,'1',429,'N'),(20,5238986,'1',207,'N'),(20,5238986,'1A',651,'N'),(20,5239001,'1',103,'N'),(20,5239010,'1',501,'N'),(20,5239028,'1',208,'N'),(20,5239036,'1',201,'N'),(20,5239036,'1A',212,'N'),(20,5239044,'1',103,'N'),(20,5239052,'1',220,'N'),(20,5239052,'1A',203,'N'),(20,5239060,'1',303,'N'),(20,5239079,'1',215,'N'),(20,5239079,'1A',211,'N'),(20,5239125,'1',5,'N'),(20,5239141,'1',104,'N'),(20,5239150,'1',201,'N'),(20,5239150,'1A',207,'N'),(20,5239168,'1',302,'N'),(20,5239176,'1',5,'N'),(20,5239184,'1',9,'N'),(20,5239192,'1',208,'N'),(20,5239192,'1A',238,'N'),(20,5239206,'1',301,'N'),(20,5239214,'1',653,'N'),(20,5239214,'1A',652,'N'),(20,5239222,'1',5,'N'),(20,5239249,'1',214,'N'),(20,5239249,'1A',233,'N'),(20,5239265,'1',203,'N'),(20,5239265,'1A',202,'N'),(20,5239273,'1',303,'N'),(20,5239281,'1',444,'N'),(20,5239290,'1',103,'N'),(20,5239303,'1',207,'N'),(20,5239311,'1',303,'N'),(20,5239320,'1',340,'N'),(20,5239338,'1',332,'N'),(20,5239354,'1',103,'N'),(20,5239362,'1',101,'N'),(20,5239370,'1',452,'N'),(20,5239389,'1',208,'N'),(20,5239389,'1A',238,'N'),(20,5239397,'1',223,'N'),(20,5239400,'1',415,'N'),(20,5239419,'1',450,'N'),(20,5239427,'1',301,'N'),(20,5239443,'1',452,'N'),(20,5239451,'1',103,'N'),(20,5239460,'1',104,'N'),(20,5239478,'1',207,'N'),(20,5239478,'1A',201,'N'),(20,5239486,'1',328,'N'),(20,5239494,'1',238,'N'),(20,5239494,'1A',208,'N'),(20,5239524,'1',453,'N'),(20,5239540,'1',5,'N'),(20,5239559,'1',601,'N'),(20,5239567,'1',104,'N'),(20,5239575,'1',303,'N'),(20,5239583,'1',207,'N'),(20,5239583,'1A',201,'N'),(20,5239591,'1',203,'N'),(20,5239605,'1',202,'N'),(20,5239605,'1A',220,'N'),(20,5239613,'1',202,'N'),(20,5239613,'1A',201,'N'),(20,5239621,'1',202,'N'),(20,5239621,'1A',213,'N'),(20,5239630,'1',327,'N'),(20,5239648,'1',304,'N'),(20,5239656,'1',201,'N'),(20,5239656,'1A',211,'N'),(20,5239664,'1',301,'N'),(20,5239672,'1',303,'N'),(20,5239680,'1',108,'N'),(20,5239699,'1',324,'N'),(20,5239702,'1',103,'N'),(20,5239710,'1',220,'N'),(20,5239710,'1A',208,'N'),(20,5239729,'1',101,'N'),(20,5239737,'1',340,'N'),(20,5239745,'1',301,'N'),(20,5239753,'1',652,'N'),(20,5239753,'1A',653,'N'),(20,5239761,'1',316,'N'),(20,5239770,'1',103,'N'),(20,5239788,'1',207,'N'),(20,5239788,'1A',233,'N'),(20,5239818,'1',302,'N'),(20,5239826,'1',238,'N'),(20,5239826,'1A',208,'N'),(20,5239850,'1',415,'N'),(20,5239869,'1',103,'N'),(20,5239893,'1',317,'N'),(20,5239915,'1',109,'N'),(20,5239923,'1',214,'N'),(20,5239923,'1A',220,'N'),(20,5239931,'1',319,'N'),(20,5239940,'1',303,'N'),(20,5239958,'1',207,'N'),(20,5239958,'1A',201,'N'),(20,5239974,'1',234,'N'),(20,5239990,'1',319,'N'),(20,5240000,'1',316,'N'),(20,5240018,'1',319,'N'),(20,5240026,'1',103,'N'),(20,5240034,'1',428,'N'),(20,5240034,'1A',426,'N'),(20,5240042,'1',340,'N'),(20,5240085,'1',103,'N'),(20,5240093,'1',103,'N'),(20,5240107,'1',415,'N'),(20,5240115,'1',103,'N'),(20,5240123,'1',652,'N'),(20,5240123,'1A',653,'N'),(20,5240131,'1',5,'N'),(20,5240158,'1',104,'N'),(20,5240166,'1',444,'N'),(20,5240174,'1',337,'N'),(20,5240182,'1',9,'N'),(20,5240190,'1',103,'N'),(20,5240204,'1',103,'N'),(20,5240212,'1',108,'N'),(20,5240239,'1',302,'N'),(20,5240255,'1',201,'N'),(20,5240255,'1A',202,'N'),(20,5240263,'1',316,'N'),(20,5240271,'1',207,'N'),(20,5240271,'1A',211,'N'),(20,5240280,'1',316,'N'),(20,5240298,'1',203,'N'),(20,5240298,'1A',601,'N'),(20,5240310,'1',415,'N'),(20,5240328,'1',215,'N'),(20,5240344,'1',450,'N'),(20,5240379,'1',653,'N'),(20,5240379,'1A',651,'N'),(20,5240387,'1',216,'N'),(20,5240387,'1A',238,'N'),(20,5240395,'1',207,'N'),(20,5240395,'1A',216,'N'),(20,5240409,'1',103,'N'),(20,5240417,'1',208,'N'),(20,5240417,'1A',235,'N'),(20,5240425,'1',201,'N'),(20,5240425,'1A',212,'N'),(20,5240433,'1',101,'N'),(20,5240441,'1',207,'N'),(20,5240441,'1A',201,'N'),(20,5240450,'1',444,'N'),(20,5240468,'1',207,'N'),(20,5240476,'1',103,'N'),(20,5240484,'1',103,'N'),(20,5240506,'1',318,'N'),(20,5240522,'1',103,'N'),(20,5240549,'1',203,'N'),(20,5240549,'1A',202,'N'),(20,5240565,'1',208,'N'),(20,5240565,'1A',238,'N'),(20,5240573,'1',203,'N'),(20,5240573,'1A',202,'N'),(20,5240581,'1',9,'N'),(20,5240590,'1',303,'N'),(20,5240611,'1',103,'N'),(20,5240620,'1',336,'N'),(20,5240662,'1',301,'N'),(20,5240670,'1',103,'N'),(20,5240689,'1',211,'N'),(20,5240689,'1A',653,'N'),(20,5240697,'1',340,'N'),(20,5240719,'1',333,'N'),(20,5240727,'1',108,'N'),(20,5240735,'1',653,'N'),(20,5240735,'1A',202,'N'),(20,5240743,'1',303,'N'),(20,5240751,'1',220,'N'),(20,5240760,'1',5,'N'),(20,5240786,'1',601,'N'),(20,5240786,'1A',202,'N'),(20,5240794,'1',316,'N'),(20,5240808,'1',208,'N'),(20,5240808,'1A',220,'N'),(20,5240816,'1',104,'N'),(20,5240824,'1',103,'N'),(20,5240832,'1',104,'N'),(20,5240859,'1',201,'N'),(20,5240859,'1A',212,'N'),(20,5240867,'1',5,'N'),(20,5240875,'1',103,'N'),(20,5240883,'1',203,'N'),(20,5240883,'1A',220,'N'),(20,5240891,'1',211,'N'),(20,5240891,'1A',215,'N'),(20,5240905,'1',220,'N'),(20,5240905,'1A',213,'N'),(20,5240913,'1',201,'N'),(20,5240913,'1A',216,'N'),(20,5240921,'1',216,'N'),(20,5240921,'1A',235,'N'),(20,5240948,'1',201,'N'),(20,5240948,'1A',202,'N'),(20,5240956,'1',214,'N'),(20,5240956,'1A',212,'N'),(20,5240964,'1',211,'N'),(20,5240964,'1A',207,'N'),(20,5240972,'1',103,'N'),(20,5240980,'1',336,'N'),(20,5240999,'1',301,'N'),(20,5241030,'1',214,'N'),(20,5241030,'1A',216,'N'),(20,5241049,'1',103,'N'),(20,5241057,'1',203,'N'),(20,5241057,'1A',214,'N'),(20,5241065,'1',103,'N'),(20,5241073,'1',308,'N'),(20,5241081,'1',103,'N'),(20,5241090,'1',203,'N'),(20,5241090,'1A',212,'N'),(20,5241103,'1',211,'N'),(20,5241103,'1A',207,'N'),(20,5241111,'1',2,'N'),(20,5241120,'1',103,'N'),(20,5241138,'1',652,'N'),(20,5241138,'1A',208,'N'),(20,5241146,'1',103,'N'),(20,5241154,'1',103,'N'),(20,5241170,'1',302,'N'),(20,5241189,'1',103,'N'),(20,5241227,'1',316,'N'),(20,5241235,'1',103,'N'),(20,5241260,'1',5,'N'),(20,5241278,'1',207,'N'),(20,5241294,'1',104,'N'),(20,5241308,'1',207,'N'),(20,5241308,'1A',201,'N'),(20,5241316,'1',415,'N'),(20,5241324,'1',444,'N'),(20,5241332,'1',424,'N'),(20,5241332,'1A',427,'N'),(20,5241340,'1',201,'N'),(20,5241340,'1A',207,'N'),(20,5241359,'1',104,'N'),(20,5241375,'1',201,'N'),(20,5241375,'1A',212,'N'),(20,5241383,'1',207,'N'),(20,5241383,'1A',201,'N'),(20,5241391,'1',103,'N'),(20,5241405,'1',207,'N'),(20,5241405,'1A',213,'N'),(20,5241413,'1',104,'N'),(20,5241421,'1',303,'N'),(20,5241448,'1',601,'N'),(20,5241448,'1A',220,'N'),(20,5241456,'1',404,'N'),(20,5241464,'1',5,'N'),(20,5241472,'1',316,'N'),(20,5241480,'1',220,'N'),(20,5241480,'1A',202,'N'),(20,5241502,'1',424,'N'),(20,5241502,'1A',421,'N'),(20,5241510,'1',103,'N'),(20,5241529,'1',101,'N'),(20,5241537,'1',207,'N'),(20,5241537,'1A',220,'N'),(20,5241545,'1',104,'N'),(20,5241553,'1',211,'N'),(20,5241553,'1A',207,'N'),(20,5241561,'1',324,'N'),(20,5241570,'1',103,'N'),(20,5241588,'1',319,'N'),(20,5241596,'1',303,'N'),(20,5241600,'1',317,'N'),(20,5241618,'1',202,'N'),(20,5241618,'1A',213,'N'),(20,5241626,'1',331,'N'),(20,5241634,'1',601,'N'),(20,5241634,'1A',235,'N'),(20,5241650,'1',317,'N'),(20,5241669,'1',9,'N'),(20,5241685,'1',5,'N'),(20,5241693,'1',101,'N'),(20,5241707,'1',201,'N'),(20,5241707,'1A',233,'N'),(20,5241731,'1',103,'N'),(20,5241740,'1',110,'N'),(20,5241758,'1',452,'N'),(20,5241774,'1',103,'N'),(20,5241782,'1',551,'N'),(20,5241790,'1',205,'N'),(20,5241804,'1',339,'N'),(20,5241812,'1',9,'N'),(20,5241820,'1',103,'N'),(20,5241839,'1',102,'N'),(20,5241847,'1',653,'N'),(20,5241847,'1A',207,'N'),(20,5241855,'1',104,'N'),(20,5241863,'1',308,'N'),(20,5241871,'1',451,'N'),(20,5241880,'1',324,'N'),(20,5241901,'1',207,'N'),(20,5241901,'1A',208,'N'),(20,5241910,'1',203,'N'),(20,5241910,'1A',220,'N'),(20,5241928,'1',203,'N'),(20,5241928,'1A',220,'N'),(20,5241936,'1',318,'N'),(20,5241944,'1',201,'N'),(20,5241944,'1A',202,'N'),(20,5241952,'1',302,'N'),(20,5241960,'1',201,'N'),(20,5241960,'1A',211,'N'),(20,5241979,'1',316,'N'),(20,5241987,'1',201,'N'),(20,5241987,'1A',207,'N'),(20,5241995,'1',340,'N'),(20,5242002,'1',208,'N'),(20,5242002,'1A',651,'N'),(20,5242010,'1',203,'N'),(20,5242010,'1A',214,'N'),(20,5242037,'1',420,'N'),(20,5242045,'1',201,'N'),(20,5242045,'1A',212,'N'),(20,5242053,'1',203,'N'),(20,5242053,'1A',202,'N'),(20,5242061,'1',207,'N'),(20,5242061,'1A',201,'N'),(20,5242070,'1',215,'N'),(20,5242088,'1',103,'N'),(20,5242100,'1',9,'N'),(20,5242118,'1',103,'N'),(20,5242134,'1',238,'N'),(20,5242134,'1A',208,'N'),(20,5242142,'1',207,'N'),(20,5242142,'1A',201,'N'),(20,5242150,'1',303,'N'),(20,5242169,'1',238,'N'),(20,5242169,'1A',220,'N'),(20,5242177,'1',319,'N'),(20,5242185,'1',213,'N'),(20,5242185,'1A',238,'N'),(20,5242193,'1',308,'N'),(20,5242215,'1',235,'N'),(20,5242215,'1A',202,'N'),(20,5242223,'1',316,'N'),(20,5242231,'1',420,'N'),(20,5242240,'1',207,'N'),(20,5242240,'1A',211,'N'),(20,5242258,'1',201,'N'),(20,5242258,'1A',212,'N'),(20,5242266,'1',333,'N'),(20,5242274,'1',212,'N'),(20,5242274,'1A',213,'N'),(20,5242282,'1',212,'N'),(20,5242282,'1A',214,'N'),(20,5242304,'1',207,'N'),(20,5242304,'1A',201,'N'),(20,5242312,'1',201,'N'),(20,5242312,'1A',212,'N'),(20,5242320,'1',331,'N'),(20,5242339,'1',103,'N'),(20,5242347,'1',224,'N'),(20,5242355,'1',318,'N'),(20,5242363,'1',303,'N'),(20,5242371,'1',103,'N'),(20,5242380,'1',103,'N'),(20,5242398,'1',310,'N'),(20,5242401,'1',103,'N'),(20,5242410,'1',316,'N'),(20,5242428,'1',5,'N'),(20,5242436,'1',5,'N'),(20,5242460,'1',425,'N'),(20,5242460,'1A',429,'N'),(20,5242479,'1',5,'N'),(20,5242487,'1',208,'N'),(20,5242487,'1A',201,'N'),(20,5242509,'1',108,'N'),(20,5242525,'1',5,'N'),(20,5242533,'1',203,'N'),(20,5242533,'1A',233,'N'),(20,5242541,'1',3,'N'),(20,5242550,'1',102,'N'),(20,5242568,'1',451,'N'),(20,5242576,'1',103,'N'),(20,5242584,'1',103,'N'),(20,5242592,'1',207,'N'),(20,5242592,'1A',215,'N'),(20,5242606,'1',202,'N'),(20,5242606,'1A',213,'N'),(20,5242614,'1',220,'N'),(20,5242614,'1A',203,'N'),(20,5242622,'1',201,'N'),(20,5242622,'1A',235,'N'),(20,5242630,'1',103,'N'),(20,5242649,'1',304,'N'),(20,5242657,'1',426,'N'),(20,5242657,'1A',429,'N'),(20,5242665,'1',301,'N'),(20,5242673,'1',103,'N'),(20,5242681,'1',211,'N'),(20,5242681,'1A',201,'N'),(20,5242690,'1',501,'N'),(20,5242703,'1',301,'N'),(20,5242711,'1',211,'N'),(20,5242711,'1A',212,'N'),(20,5242720,'1',319,'N'),(20,5242738,'1',103,'N'),(20,5242746,'1',203,'N'),(20,5242746,'1A',202,'N'),(20,5242754,'1',444,'N'),(20,5242762,'1',316,'N'),(20,5242770,'1',103,'N'),(20,5242789,'1',103,'N'),(20,5242797,'1',203,'N'),(20,5242797,'1A',202,'N'),(20,5242800,'1',340,'N'),(20,5242819,'1',201,'N'),(20,5242819,'1A',212,'N'),(20,5242827,'1',103,'N'),(20,5242835,'1',103,'N'),(20,5242843,'1',420,'N'),(20,5242851,'1',423,'N'),(20,5242851,'1A',421,'N'),(20,5242860,'1',103,'N'),(20,5242878,'1',9,'N'),(20,5242886,'1',216,'N'),(20,5242886,'1A',211,'N'),(20,5242908,'1',9,'N'),(20,5242916,'1',212,'N'),(20,5242916,'1A',213,'N'),(20,5242924,'1',211,'N'),(20,5242924,'1A',215,'N'),(20,5242932,'1',214,'N'),(20,5242932,'1A',213,'N'),(20,5242940,'1',103,'N'),(20,5242959,'1',208,'N'),(20,5242959,'1A',235,'N'),(20,5242967,'1',318,'N'),(20,5242975,'1',450,'N'),(20,5242983,'1',319,'N'),(20,5242991,'1',319,'N'),(20,5243009,'1',225,'N'),(20,5243017,'1',452,'N'),(20,5243025,'1',104,'N'),(20,5243041,'1',501,'N'),(20,5243050,'1',207,'N'),(20,5243068,'1',601,'N'),(20,5243068,'1A',653,'N'),(20,5243076,'1',208,'N'),(20,5243076,'1A',238,'N'),(20,5243106,'1',303,'N'),(20,5243114,'1',336,'N'),(20,5243122,'1',212,'N'),(20,5243130,'1',444,'N'),(20,5243157,'1',331,'N'),(20,5243165,'1',451,'N'),(20,5243173,'1',5,'N'),(20,5243181,'1',203,'N'),(20,5243181,'1A',213,'N'),(20,5243190,'1',203,'N'),(20,5243190,'1A',214,'N'),(20,5243203,'1',103,'N'),(20,5243211,'1',404,'N'),(20,5243220,'1',104,'N'),(20,5243238,'1',326,'N'),(20,5243246,'1',303,'N'),(20,5243254,'1',601,'N'),(20,5243262,'1',235,'N'),(20,5243262,'1A',202,'N'),(20,5243270,'1',316,'N'),(20,5243300,'1',203,'N'),(20,5243300,'1A',214,'N'),(20,5243335,'1',340,'N'),(20,5243343,'1',332,'N'),(20,5243351,'1',101,'N'),(20,5243360,'1',319,'N'),(20,5243378,'1',103,'N'),(20,5243394,'1',110,'N'),(20,5243416,'1',201,'N'),(20,5243432,'1',339,'N'),(20,5243440,'1',429,'N'),(20,5243440,'1A',425,'N'),(20,5243459,'1',601,'N'),(20,5243459,'1A',214,'N'),(20,5243467,'1',234,'N'),(20,5243475,'1',340,'N'),(20,5243483,'1',327,'N'),(20,5243491,'1',653,'N'),(20,5243491,'1A',652,'N'),(20,5243505,'1',333,'N'),(20,5243513,'1',110,'N'),(20,5243530,'1',234,'N'),(20,5243556,'1',308,'N'),(20,5243564,'1',327,'N'),(20,5243572,'1',201,'N'),(20,5243572,'1A',601,'N'),(20,5243599,'1',651,'N'),(20,5243599,'1A',238,'N'),(20,5243602,'1',201,'N'),(20,5243602,'1A',207,'N'),(20,5243629,'1',103,'N'),(20,5243645,'1',216,'N'),(20,5243645,'1A',233,'N'),(20,5243653,'1',601,'N'),(20,5243670,'1',453,'N'),(20,5243696,'1',101,'N'),(20,5243700,'1',427,'N'),(20,5243700,'1A',423,'N'),(20,5243718,'1',5,'N'),(20,5243726,'1',9,'N'),(20,5243734,'1',201,'N'),(20,5243734,'1A',208,'N'),(20,5243742,'1',317,'N'),(20,5243750,'1',303,'N'),(20,5243777,'1',320,'N'),(20,5243785,'1',339,'N'),(20,5243793,'1',319,'N'),(20,5243807,'1',238,'N'),(20,5243807,'1A',207,'N'),(20,5243823,'1',101,'N'),(20,5243831,'1',103,'N'),(20,5243840,'1',415,'N'),(20,5243858,'1',428,'N'),(20,5243858,'1A',426,'N'),(20,5243866,'1',225,'N'),(20,5243882,'1',104,'N'),(20,5243890,'1',303,'N'),(20,5243904,'1',308,'N'),(20,5243920,'1',340,'N'),(20,5243939,'1',428,'N'),(20,5243939,'1A',426,'N'),(20,5243947,'1',238,'N'),(20,5243947,'1A',208,'N'),(20,5243955,'1',337,'N'),(20,5243963,'1',103,'N'),(20,5243971,'1',238,'N'),(20,5243980,'1',327,'N'),(20,5243998,'1',327,'N'),(20,5244005,'1',9,'N'),(20,5244013,'1',316,'N'),(20,5244021,'1',320,'N'),(20,5244030,'1',103,'N'),(20,5244048,'1',101,'N'),(20,5244056,'1',501,'N'),(20,5244064,'1',109,'N'),(20,5244072,'1',103,'N'),(20,5244080,'1',329,'N'),(20,5244099,'1',5,'N'),(20,5244102,'1',653,'N'),(20,5244102,'1A',652,'N'),(20,5244110,'1',216,'N'),(20,5244110,'1A',211,'N'),(20,5244129,'1',333,'N'),(20,5244170,'1',317,'N'),(20,5244188,'1',327,'N'),(20,5244218,'1',319,'N'),(20,5244242,'1',502,'N'),(20,5244269,'1',104,'N'),(20,5244277,'1',103,'N'),(20,5244285,'1',316,'N'),(20,5244293,'1',415,'N'),(20,5244307,'1',339,'N'),(20,5244315,'1',201,'N'),(20,5244315,'1A',207,'N'),(20,5244323,'1',213,'N'),(20,5244323,'1A',202,'N'),(20,5244331,'1',201,'N'),(20,5244331,'1A',207,'N'),(20,5244340,'1',317,'N'),(20,5244358,'1',320,'N'),(20,5244366,'1',429,'N'),(20,5244374,'1',429,'N'),(20,5244374,'1A',424,'N'),(20,5244382,'1',211,'N'),(20,5244382,'1A',233,'N'),(20,5244390,'1',324,'N'),(20,5244404,'1',103,'N'),(20,5244412,'1',225,'N'),(20,5244420,'1',302,'N'),(20,5244447,'1',216,'N'),(20,5244447,'1A',235,'N'),(20,5244455,'1',425,'N'),(20,5244455,'1A',429,'N'),(20,5244463,'1',5,'N'),(20,5244471,'1',339,'N'),(20,5244480,'1',301,'N'),(20,5244498,'1',103,'N'),(20,5244510,'1',203,'N'),(20,5244510,'1A',201,'N'),(20,5244528,'1',104,'N'),(20,5244536,'1',101,'N'),(20,5244544,'1',211,'N'),(20,5244544,'1A',212,'N'),(20,5244552,'1',317,'N'),(20,5244560,'1',213,'N'),(20,5244560,'1A',653,'N'),(20,5244579,'1',404,'N'),(20,5244595,'1',103,'N'),(20,5244609,'1',317,'N'),(20,5244625,'1',207,'N'),(20,5244633,'1',103,'N'),(20,5244641,'1',340,'N'),(20,5244668,'1',103,'N'),(20,5244676,'1',340,'N'),(20,5244684,'1',502,'N'),(20,5244692,'1',551,'N'),(20,5244706,'1',103,'N'),(20,5244714,'1',318,'N'),(20,5244722,'1',101,'N'),(20,5244749,'1',103,'N'),(20,5244757,'1',202,'N'),(20,5244757,'1A',216,'N'),(20,5244765,'1',310,'N'),(20,5244773,'1',601,'N'),(20,5244773,'1A',201,'N'),(20,5244781,'1',103,'N'),(20,5244790,'1',102,'N'),(20,5244803,'1',207,'N'),(20,5244803,'1A',201,'N'),(20,5244820,'1',208,'N'),(20,5244820,'1A',220,'N'),(20,5244838,'1',340,'N'),(20,5244854,'1',103,'N'),(20,5244862,'1',426,'N'),(20,5244862,'1A',429,'N'),(20,5244870,'1',336,'N'),(20,5244897,'1',203,'N'),(20,5244897,'1A',214,'N'),(20,5244919,'1',103,'N'),(20,5244927,'1',103,'N'),(20,5244935,'1',9,'N'),(20,5244943,'1',415,'N'),(20,5244951,'1',302,'N'),(20,5244960,'1',3,'N'),(20,5244978,'1',652,'N'),(20,5244986,'1',103,'N'),(20,5244994,'1',421,'N'),(20,5244994,'1A',428,'N'),(20,5245001,'1',301,'N'),(20,5245010,'1',108,'N'),(20,5245028,'1',415,'N'),(20,5245044,'1',5,'N'),(20,5245052,'1',303,'N'),(20,5245079,'1',238,'N'),(20,5245079,'1A',208,'N'),(20,5245087,'1',103,'N'),(20,5245095,'1',421,'N'),(20,5245095,'1A',425,'N'),(20,5245109,'1',103,'N'),(20,5245117,'1',453,'N'),(20,5245125,'1',452,'N'),(20,5245133,'1',233,'N'),(20,5245133,'1A',202,'N'),(20,5245141,'1',317,'N'),(20,5245168,'1',339,'N'),(20,5245176,'1',235,'N'),(20,5245176,'1A',203,'N'),(20,5245184,'1',501,'N'),(20,5245192,'1',201,'N'),(20,5245192,'1A',233,'N'),(20,5245206,'1',551,'N'),(20,5245214,'1',316,'N'),(20,5245222,'1',317,'N'),(20,5245230,'1',213,'N'),(20,5245230,'1A',202,'N'),(20,5245257,'1',103,'N'),(20,5245265,'1',308,'N'),(20,5245281,'1',103,'N'),(20,5245290,'1',102,'N'),(20,5245303,'1',303,'N'),(20,5245311,'1',9,'N'),(20,5245320,'1',452,'N'),(20,5245338,'1',108,'N'),(20,5245346,'1',337,'N'),(20,5245354,'1',216,'N'),(20,5245354,'1A',211,'N'),(20,5245362,'1',502,'N'),(20,5245370,'1',326,'N'),(20,5245389,'1',238,'N'),(20,5245389,'1A',208,'N'),(20,5245397,'1',202,'N'),(20,5245397,'1A',235,'N'),(20,5245400,'1',103,'N'),(20,5245419,'1',208,'N'),(20,5245419,'1A',238,'N'),(20,5245427,'1',203,'N'),(20,5245427,'1A',601,'N'),(20,5245443,'1',216,'N'),(20,5245443,'1A',214,'N'),(20,5245451,'1',216,'N'),(20,5245451,'1A',203,'N'),(20,5245478,'1',319,'N'),(20,5245486,'1',109,'N'),(20,5245494,'1',207,'N'),(20,5245508,'1',201,'N'),(20,5245508,'1A',212,'N'),(20,5245516,'1',238,'N'),(20,5245516,'1A',208,'N'),(20,5245524,'1',404,'N'),(20,5245532,'1',302,'N'),(20,5245540,'1',316,'N'),(20,5245559,'1',201,'N'),(20,5245559,'1A',207,'N'),(20,5245567,'1',5,'N'),(20,5245575,'1',103,'N'),(20,5245583,'1',340,'N'),(20,5245591,'1',238,'N'),(20,5245591,'1A',235,'N'),(20,5245605,'1',208,'N'),(20,5245605,'1A',235,'N'),(20,5245621,'1',5,'N'),(20,5245630,'1',501,'N'),(20,5245648,'1',9,'N'),(20,5245656,'1',404,'N'),(20,5245672,'1',208,'N'),(20,5245672,'1A',216,'N'),(20,5245699,'1',238,'N'),(20,5245699,'1A',208,'N'),(20,5245710,'1',103,'N'),(20,5245737,'1',203,'N'),(20,5245737,'1A',208,'N'),(20,5245745,'1',339,'N'),(20,5245753,'1',331,'N'),(20,5245770,'1',103,'N'),(20,5245788,'1',103,'N'),(20,5245796,'1',317,'N'),(20,5245800,'1',216,'N'),(20,5245800,'1A',233,'N'),(20,5245818,'1',308,'N'),(20,5245826,'1',104,'N'),(20,5245834,'1',110,'N'),(20,5245842,'1',429,'N'),(20,5245842,'1A',424,'N'),(20,5245869,'1',5,'N'),(20,5245885,'1',339,'N'),(20,5245893,'1',201,'N'),(20,5245893,'1A',212,'N'),(20,5245907,'1',203,'N'),(20,5245907,'1A',213,'N'),(20,5245915,'1',211,'N'),(20,5245915,'1A',233,'N'),(20,5245923,'1',103,'N'),(20,5245931,'1',316,'N'),(20,5245940,'1',103,'N'),(20,5245982,'1',104,'N'),(20,5245990,'1',320,'N'),(20,5246008,'1',340,'N'),(20,5246016,'1',201,'N'),(20,5246016,'1A',212,'N'),(20,5246024,'1',316,'N'),(20,5246032,'1',208,'N'),(20,5246032,'1A',215,'N'),(20,5246040,'1',319,'N'),(20,5246059,'1',317,'N'),(20,5246067,'1',104,'N'),(20,5246075,'1',101,'N'),(20,5246083,'1',207,'N'),(20,5246083,'1A',201,'N'),(20,5246091,'1',415,'N'),(20,5246105,'1',3,'N'),(20,5246113,'1',108,'N'),(20,5246121,'1',340,'N'),(20,5246130,'1',327,'N'),(20,5246148,'1',415,'N'),(20,5246156,'1',207,'N'),(20,5246156,'1A',201,'N'),(20,5246164,'1',109,'N'),(20,5246172,'1',103,'N'),(20,5246180,'1',303,'N'),(20,5246199,'1',238,'N'),(20,5246199,'1A',235,'N'),(20,5246202,'1',201,'N'),(20,5246202,'1A',203,'N'),(20,5246210,'1',5,'N'),(20,5246229,'1',333,'N'),(20,5246245,'1',103,'N'),(20,5246253,'1',317,'N'),(20,5246261,'1',333,'N'),(20,5246270,'1',301,'N'),(20,5246296,'1',203,'N'),(20,5246296,'1A',202,'N'),(20,5246300,'1',103,'N'),(20,5246318,'1',238,'N'),(20,5246318,'1A',213,'N'),(20,5246334,'1',103,'N'),(20,5246342,'1',2,'N'),(20,5246350,'1',302,'N'),(20,5246369,'1',238,'N'),(20,5246369,'1A',208,'N'),(20,5246377,'1',104,'N'),(20,5246385,'1',601,'N'),(20,5246385,'1A',211,'N'),(20,5246393,'1',339,'N'),(20,5246415,'1',331,'N'),(20,5246423,'1',453,'N'),(20,5246431,'1',203,'N'),(20,5246431,'1A',216,'N'),(20,5246440,'1',2,'N'),(20,5246466,'1',201,'N'),(20,5246466,'1A',207,'N'),(20,5246474,'1',104,'N'),(20,5246482,'1',208,'N'),(20,5246490,'1',404,'N'),(20,5246504,'1',324,'N'),(20,5246512,'1',303,'N'),(20,5246520,'1',3,'N'),(20,5246539,'1',207,'N'),(20,5246539,'1A',201,'N'),(20,5246547,'1',425,'N'),(20,5246547,'1A',426,'N'),(20,5246555,'1',238,'N'),(20,5246555,'1A',208,'N'),(20,5246563,'1',303,'N'),(20,5246571,'1',216,'N'),(20,5246571,'1A',203,'N'),(20,5246598,'1',103,'N'),(20,5246601,'1',421,'N'),(20,5246601,'1A',424,'N'),(20,5246610,'1',316,'N'),(20,5246636,'1',103,'N'),(20,5246644,'1',203,'N'),(20,5246644,'1A',216,'N'),(20,5246652,'1',326,'N'),(20,5246660,'1',103,'N'),(20,5246679,'1',5,'N'),(20,5246687,'1',5,'N'),(20,5246695,'1',103,'N'),(20,5246709,'1',203,'N'),(20,5246717,'1',103,'N'),(20,5246725,'1',9,'N'),(20,5246733,'1',103,'N'),(20,5246741,'1',415,'N'),(20,5246750,'1',3,'N'),(20,5246768,'1',319,'N'),(20,5246776,'1',104,'N'),(20,5246784,'1',425,'N'),(20,5246784,'1A',424,'N'),(20,5246792,'1',317,'N'),(20,5246806,'1',5,'N'),(20,5246814,'1',215,'N'),(20,5246822,'1',501,'N'),(20,5246830,'1',444,'N'),(20,5246857,'1',9,'N'),(20,5246865,'1',207,'N'),(20,5246865,'1A',203,'N'),(20,5246873,'1',415,'N'),(20,5246881,'1',201,'N'),(20,5246881,'1A',211,'N'),(20,5246890,'1',303,'N'),(20,5246903,'1',601,'N'),(20,5246903,'1A',220,'N'),(20,5246911,'1',207,'N'),(20,5246911,'1A',215,'N'),(20,5246920,'1',102,'N'),(20,5246938,'1',452,'N'),(20,5246946,'1',453,'N'),(20,5246954,'1',429,'N'),(20,5246954,'1A',426,'N'),(20,5246962,'1',444,'N'),(20,5246970,'1',102,'N'),(20,5246997,'1',304,'N'),(20,5247004,'1',102,'N'),(20,5247012,'1',103,'N'),(20,5247020,'1',308,'N'),(20,5247039,'1',327,'N'),(20,5247063,'1',103,'N'),(20,5247071,'1',215,'N'),(20,5247080,'1',207,'N'),(20,5247080,'1A',201,'N'),(20,5247098,'1',101,'N'),(20,5247110,'1',202,'N'),(20,5247110,'1A',212,'N'),(20,5247128,'1',103,'N'),(20,5247144,'1',303,'N'),(20,5247152,'1',415,'N'),(20,5247160,'1',103,'N'),(20,5247179,'1',317,'N'),(20,5247195,'1',109,'N'),(20,5247209,'1',5,'N'),(20,5247217,'1',101,'N'),(20,5247225,'1',104,'N'),(20,5247233,'1',103,'N'),(20,5247241,'1',238,'N'),(20,5247241,'1A',208,'N'),(20,5247250,'1',316,'N'),(20,5247268,'1',103,'N'),(20,5247276,'1',319,'N'),(20,5247292,'1',428,'N'),(20,5247292,'1A',426,'N'),(20,5247306,'1',5,'N'),(20,5247314,'1',5,'N'),(20,5247322,'1',5,'N'),(20,5247330,'1',301,'N'),(20,5247349,'1',5,'N'),(20,5247357,'1',103,'N'),(20,5247365,'1',453,'N'),(20,5247373,'1',337,'N'),(20,5247381,'1',2,'N'),(20,5247390,'1',103,'N'),(20,5247403,'1',201,'N'),(20,5247403,'1A',601,'N'),(20,5247411,'1',303,'N'),(20,5247420,'1',301,'N'),(20,5247438,'1',212,'N'),(20,5247438,'1A',215,'N'),(20,5247446,'1',420,'N'),(20,5247462,'1',201,'N'),(20,5247462,'1A',212,'N'),(20,5247470,'1',316,'N'),(20,5247489,'1',340,'N'),(20,5247497,'1',103,'N'),(20,5247500,'1',203,'N'),(20,5247500,'1A',201,'N'),(20,5247519,'1',208,'N'),(20,5247519,'1A',238,'N'),(20,5247527,'1',103,'N'),(20,5247535,'1',216,'N'),(20,5247535,'1A',215,'N'),(20,5247551,'1',302,'N'),(20,5247560,'1',108,'N'),(20,5247578,'1',319,'N'),(20,5247594,'1',220,'N'),(20,5247594,'1A',214,'N'),(20,5247608,'1',5,'N'),(20,5247616,'1',103,'N'),(20,5247624,'1',103,'N'),(20,5247632,'1',336,'N'),(20,5247640,'1',103,'N'),(20,5247659,'1',103,'N'),(20,5247667,'1',652,'N'),(20,5247667,'1A',653,'N'),(20,5247675,'1',110,'N'),(20,5247691,'1',308,'N'),(20,5247713,'1',201,'N'),(20,5247713,'1A',215,'N'),(20,5247721,'1',102,'N'),(20,5247730,'1',316,'N'),(20,5247748,'1',202,'N'),(20,5247748,'1A',213,'N'),(20,5247756,'1',201,'N'),(20,5247756,'1A',212,'N'),(20,5247764,'1',601,'N'),(20,5247764,'1A',201,'N'),(20,5247772,'1',103,'N'),(20,5247780,'1',202,'N'),(20,5247780,'1A',203,'N'),(20,5247799,'1',331,'N'),(20,5247802,'1',653,'N'),(20,5247802,'1A',216,'N'),(20,5247829,'1',331,'N'),(20,5247845,'1',336,'N'),(20,5247853,'1',318,'N'),(20,5247861,'1',103,'N'),(20,5247870,'1',208,'N'),(20,5247870,'1A',238,'N'),(20,5247888,'1',5,'N'),(20,5247896,'1',309,'N'),(20,5247900,'1',234,'N'),(20,5247918,'1',110,'N'),(20,5247934,'1',653,'N'),(20,5247934,'1A',652,'N'),(20,5247942,'1',208,'N'),(20,5247942,'1A',601,'N'),(20,5247950,'1',103,'N'),(20,5247969,'1',104,'N'),(20,5247977,'1',201,'N'),(20,5247977,'1A',202,'N'),(20,5247985,'1',238,'N'),(20,5247985,'1A',208,'N'),(20,5247993,'1',207,'N'),(20,5247993,'1A',208,'N'),(20,5248000,'1',404,'N'),(20,5248019,'1',103,'N'),(20,5248027,'1',103,'N'),(20,5248035,'1',203,'N'),(20,5248035,'1A',208,'N'),(20,5248051,'1',2,'N'),(20,5248060,'1',216,'N'),(20,5248078,'1',316,'N'),(20,5248086,'1',101,'N'),(20,5248094,'1',104,'N'),(20,5248108,'1',201,'N'),(20,5248108,'1A',212,'N'),(20,5248116,'1',332,'N'),(20,5248124,'1',216,'N'),(20,5248124,'1A',201,'N'),(20,5248132,'1',102,'N'),(20,5248159,'1',451,'N'),(20,5248167,'1',238,'N'),(20,5248175,'1',340,'N'),(20,5248183,'1',340,'N'),(20,5248191,'1',601,'N'),(20,5248191,'1A',653,'N'),(20,5248205,'1',212,'N'),(20,5248205,'1A',214,'N'),(20,5248213,'1',501,'N'),(20,5248221,'1',404,'N'),(20,5248230,'1',327,'N'),(20,5248248,'1',103,'N'),(20,5248256,'1',104,'N'),(20,5248264,'1',103,'N'),(20,5248272,'1',9,'N'),(20,5248299,'1',103,'N'),(20,5248329,'1',551,'N'),(20,5248353,'1',201,'N'),(20,5248353,'1A',207,'N'),(20,5248361,'1',103,'N'),(20,5248388,'1',316,'N'),(20,5248400,'1',652,'N'),(20,5248400,'1A',653,'N'),(20,5248418,'1',103,'N'),(20,5248426,'1',327,'N'),(20,5248434,'1',415,'N'),(20,5248442,'1',451,'N'),(20,5248450,'1',316,'N'),(20,5248469,'1',415,'N'),(20,5248485,'1',2,'N'),(20,5248493,'1',551,'N'),(20,5248507,'1',216,'N'),(20,5248507,'1A',653,'N'),(20,5248523,'1',214,'N'),(20,5248523,'1A',203,'N'),(20,5248531,'1',103,'N'),(20,5248540,'1',103,'N'),(20,5248558,'1',211,'N'),(20,5248558,'1A',215,'N'),(20,5248566,'1',5,'N'),(20,5248582,'1',220,'N'),(20,5248582,'1A',208,'N'),(20,5248590,'1',108,'N'),(20,5248604,'1',108,'N'),(20,5248612,'1',5,'N'),(20,5248620,'1',103,'N'),(20,5248639,'1',216,'N'),(20,5248639,'1A',601,'N'),(20,5248647,'1',103,'N'),(20,5248655,'1',444,'N'),(20,5248663,'1',327,'N'),(20,5248698,'1',653,'N'),(20,5248698,'1A',651,'N'),(20,5248701,'1',319,'N'),(20,5248710,'1',103,'N'),(20,5248728,'1',320,'N'),(20,5248736,'1',103,'N'),(20,5248744,'1',224,'N'),(20,5248752,'1',404,'N'),(20,5248760,'1',103,'N'),(20,5248779,'1',427,'N'),(20,5248779,'1A',423,'N'),(20,5248787,'1',102,'N'),(20,5248795,'1',103,'N'),(20,5248809,'1',103,'N'),(20,5248817,'1',104,'N'),(20,5248825,'1',404,'N'),(20,5248833,'1',404,'N'),(20,5248841,'1',109,'N'),(20,5248850,'1',108,'N'),(20,5248868,'1',303,'N'),(20,5248876,'1',601,'N'),(20,5248876,'1A',216,'N'),(20,5248884,'1',452,'N'),(20,5248892,'1',238,'N'),(20,5248892,'1A',208,'N'),(20,5248906,'1',222,'N'),(20,5248914,'1',404,'N'),(20,5248930,'1',203,'N'),(20,5248930,'1A',201,'N'),(20,5248949,'1',453,'N'),(20,5248965,'1',301,'N'),(20,5248973,'1',426,'N'),(20,5248973,'1A',428,'N'),(20,5248981,'1',103,'N'),(20,5248990,'1',238,'N'),(20,5248990,'1A',211,'N'),(20,5249007,'1',203,'N'),(20,5249007,'1A',214,'N'),(20,5249015,'1',444,'N'),(20,5249023,'1',425,'N'),(20,5249023,'1A',429,'N'),(20,5249031,'1',201,'N'),(20,5249031,'1A',207,'N'),(20,5249058,'1',103,'N'),(20,5249066,'1',302,'N'),(20,5249074,'1',316,'N'),(20,5249082,'1',203,'N'),(20,5249082,'1A',214,'N'),(20,5249090,'1',101,'N'),(20,5249112,'1',104,'N'),(20,5249139,'1',501,'N'),(20,5249147,'1',5,'N'),(20,5249155,'1',303,'N'),(20,5249163,'1',211,'N'),(20,5249163,'1A',216,'N'),(20,5249171,'1',301,'N'),(20,5249180,'1',303,'N'),(20,5249198,'1',551,'N'),(20,5249201,'1',205,'N'),(20,5249210,'1',301,'N'),(20,5249228,'1',207,'N'),(20,5249228,'1A',201,'N'),(20,5249236,'1',501,'N'),(20,5249244,'1',104,'N'),(20,5249252,'1',103,'N'),(20,5249260,'1',103,'N'),(20,5249279,'1',501,'N'),(20,5249287,'1',103,'N'),(20,5249309,'1',453,'N'),(20,5249317,'1',5,'N'),(20,5249325,'1',103,'N'),(20,5249333,'1',205,'N'),(20,5249341,'1',103,'N'),(20,5249376,'1',319,'N'),(20,5249384,'1',201,'N'),(20,5249384,'1A',212,'N'),(20,5249392,'1',333,'N'),(20,5249406,'1',101,'N'),(20,5249414,'1',301,'N'),(20,5249422,'1',339,'N'),(20,5249449,'1',201,'N'),(20,5249449,'1A',212,'N'),(20,5249457,'1',225,'N'),(20,5249465,'1',327,'N'),(20,5249473,'1',103,'N'),(20,5249481,'1',316,'N'),(20,5249490,'1',327,'N'),(20,5249503,'1',104,'N'),(20,5249538,'1',103,'N'),(20,5249546,'1',450,'N'),(20,5249562,'1',327,'N'),(20,5249570,'1',238,'N'),(20,5249570,'1A',208,'N'),(20,5249589,'1',3,'N'),(20,5249619,'1',201,'N'),(20,5249619,'1A',212,'N'),(20,5249627,'1',103,'N'),(20,5249635,'1',103,'N'),(20,5249643,'1',326,'N'),(20,5249651,'1',238,'N'),(20,5249651,'1A',235,'N'),(20,5249660,'1',301,'N'),(20,5249678,'1',501,'N'),(20,5249686,'1',104,'N'),(20,5249694,'1',337,'N'),(20,5249708,'1',333,'N'),(20,5249716,'1',415,'N'),(20,5249724,'1',551,'N'),(20,5249732,'1',453,'N'),(20,5249740,'1',303,'N'),(20,5249759,'1',339,'N'),(20,5249767,'1',308,'N'),(20,5249775,'1',340,'N'),(20,5249791,'1',303,'N'),(20,5249830,'1',202,'N'),(20,5249830,'1A',220,'N'),(20,5249848,'1',309,'N'),(20,5249856,'1',103,'N'),(20,5249864,'1',203,'N'),(20,5249864,'1A',601,'N'),(20,5249872,'1',421,'N'),(20,5249872,'1A',424,'N'),(20,5249880,'1',214,'N'),(20,5249880,'1A',203,'N'),(20,5249902,'1',2,'N'),(20,5249910,'1',324,'N'),(20,5249929,'1',201,'N'),(20,5249929,'1A',212,'N'),(20,5249937,'1',424,'N'),(20,5249937,'1A',427,'N'),(20,5249945,'1',108,'N'),(20,5249953,'1',202,'N'),(20,5249953,'1A',214,'N'),(20,5249961,'1',103,'N'),(20,5249988,'1',101,'N'),(20,5249996,'1',428,'N'),(20,5249996,'1A',424,'N'),(20,5250005,'1',208,'N'),(20,5250013,'1',103,'N'),(20,5250021,'1',336,'N'),(20,5250030,'1',336,'N'),(20,5250048,'1',316,'N'),(20,5250056,'1',102,'N'),(20,5250064,'1',319,'N'),(20,5250072,'1',208,'N'),(20,5250072,'1A',235,'N'),(20,5250099,'1',333,'N'),(20,5250110,'1',415,'N'),(20,5250129,'1',103,'N'),(20,5250137,'1',301,'N'),(20,5250153,'1',104,'N'),(20,5250161,'1',103,'N'),(20,5250170,'1',502,'N'),(20,5250196,'1',103,'N'),(20,5250200,'1',205,'N'),(20,5250218,'1',309,'N'),(20,5250226,'1',101,'N'),(20,5250234,'1',103,'N'),(20,5250242,'1',108,'N'),(20,5250250,'1',103,'N'),(20,5250277,'1',102,'N'),(20,5250285,'1',318,'N'),(20,5250293,'1',319,'N'),(20,5250307,'1',5,'N'),(20,5250315,'1',207,'N'),(20,5250315,'1A',201,'N'),(20,5250323,'1',238,'N'),(20,5250323,'1A',208,'N'),(20,5250331,'1',316,'N'),(20,5250340,'1',201,'N'),(20,5250340,'1A',207,'N'),(20,5250366,'1',222,'N'),(20,5250374,'1',9,'N'),(20,5250390,'1',340,'N'),(20,5250404,'1',303,'N'),(20,5250412,'1',201,'N'),(20,5250412,'1A',233,'N'),(20,5250420,'1',102,'N'),(20,5250439,'1',108,'N'),(20,5250447,'1',9,'N'),(20,5250455,'1',104,'N'),(20,5250463,'1',225,'N'),(20,5250471,'1',201,'N'),(20,5250471,'1A',207,'N'),(20,5250480,'1',212,'N'),(20,5250480,'1A',653,'N'),(20,5250498,'1',303,'N'),(20,5250501,'1',203,'N'),(20,5250501,'1A',220,'N'),(20,5250536,'1',202,'N'),(20,5250536,'1A',213,'N'),(20,5250552,'1',551,'N'),(20,5250560,'1',453,'N'),(20,5250579,'1',427,'N'),(20,5250579,'1A',423,'N'),(20,5250595,'1',653,'N'),(20,5250609,'1',233,'N'),(20,5250609,'1A',235,'N'),(20,5250617,'1',340,'N'),(20,5250625,'1',326,'N'),(20,5250633,'1',201,'N'),(20,5250633,'1A',653,'N'),(20,5250650,'1',340,'N'),(20,5250668,'1',501,'N'),(20,5250676,'1',216,'N'),(20,5250684,'1',317,'N'),(20,5250692,'1',216,'N'),(20,5250692,'1A',215,'N'),(20,5250706,'1',211,'N'),(20,5250706,'1A',212,'N'),(20,5250714,'1',215,'N'),(20,5250714,'1A',653,'N'),(20,5250722,'1',301,'N'),(20,5250730,'1',5,'N'),(20,5250749,'1',319,'N'),(20,5250757,'1',327,'N'),(20,5250765,'1',453,'N'),(20,5250773,'1',317,'N'),(20,5250781,'1',420,'N'),(20,5250838,'1',211,'N'),(20,5250838,'1A',233,'N'),(20,5250846,'1',551,'N'),(20,5250854,'1',319,'N'),(20,5250870,'1',652,'N'),(20,5250897,'1',224,'N'),(20,5250900,'1',302,'N'),(20,5250919,'1',340,'N'),(20,5250927,'1',103,'N'),(20,5250935,'1',216,'N'),(20,5250935,'1A',202,'N'),(20,5250943,'1',319,'N'),(20,5250951,'1',102,'N'),(20,5250960,'1',220,'N'),(20,5250960,'1A',216,'N'),(20,5250978,'1',450,'N'),(20,5250986,'1',336,'N'),(20,5250994,'1',452,'N'),(20,5251001,'1',207,'N'),(20,5251001,'1A',201,'N'),(20,5251010,'1',304,'N'),(20,5251036,'1',207,'N'),(20,5251036,'1A',220,'N'),(20,5251044,'1',551,'N'),(20,5251052,'1',316,'N'),(20,5251060,'1',502,'N'),(20,5251079,'1',220,'N'),(20,5251079,'1A',203,'N'),(20,5251087,'1',601,'N'),(20,5251087,'1A',235,'N'),(20,5251095,'1',207,'N'),(20,5251095,'1A',201,'N'),(20,5251109,'1',102,'N'),(20,5251117,'1',220,'N'),(20,5251117,'1A',238,'N'),(20,5251125,'1',5,'N'),(20,5251133,'1',316,'N'),(20,5251141,'1',207,'N'),(20,5251150,'1',503,'N'),(20,5251168,'1',339,'N'),(20,5251184,'1',103,'N'),(20,5251192,'1',302,'N'),(20,5251206,'1',404,'N'),(20,5251214,'1',329,'N'),(20,5251222,'1',303,'N'),(20,5251230,'1',103,'N'),(20,5251249,'1',426,'N'),(20,5251249,'1A',427,'N'),(20,5251265,'1',214,'N'),(20,5251265,'1A',203,'N'),(20,5251273,'1',424,'N'),(20,5251273,'1A',425,'N'),(20,5251290,'1',444,'N'),(20,5251303,'1',426,'N'),(20,5251303,'1A',429,'N'),(20,5251311,'1',207,'N'),(20,5251311,'1A',212,'N'),(20,5251320,'1',601,'N'),(20,5251320,'1A',233,'N'),(20,5251338,'1',316,'N'),(20,5251346,'1',201,'N'),(20,5251346,'1A',601,'N'),(20,5251354,'1',216,'N'),(20,5251354,'1A',215,'N'),(20,5251362,'1',423,'N'),(20,5251370,'1',103,'N'),(20,5251400,'1',103,'N'),(20,5251419,'1',301,'N'),(20,5251427,'1',444,'N'),(20,5251435,'1',207,'N'),(20,5251435,'1A',211,'N'),(20,5251443,'1',303,'N'),(20,5251451,'1',104,'N'),(20,5251460,'1',238,'N'),(20,5251460,'1A',208,'N'),(20,5251478,'1',333,'N'),(20,5251486,'1',207,'N'),(20,5251486,'1A',238,'N'),(20,5251508,'1',104,'N'),(20,5251516,'1',207,'N'),(20,5251524,'1',327,'N'),(20,5251532,'1',103,'N'),(20,5251540,'1',220,'N'),(20,5251540,'1A',203,'N'),(20,5251559,'1',324,'N'),(20,5251567,'1',302,'N'),(20,5251575,'1',428,'N'),(20,5251575,'1A',426,'N'),(20,5251583,'1',303,'N'),(20,5251591,'1',201,'N'),(20,5251591,'1A',213,'N'),(20,5251605,'1',319,'N'),(20,5251630,'1',319,'N'),(20,5251648,'1',201,'N'),(20,5251648,'1A',601,'N'),(20,5251656,'1',101,'N'),(20,5251664,'1',207,'N'),(20,5251664,'1A',211,'N'),(20,5251672,'1',104,'N'),(20,5251680,'1',103,'N'),(20,5251702,'1',308,'N'),(20,5251710,'1',202,'N'),(20,5251710,'1A',235,'N'),(20,5251729,'1',653,'N'),(20,5251729,'1A',211,'N'),(20,5251737,'1',423,'N'),(20,5251737,'1A',429,'N'),(20,5251753,'1',220,'N'),(20,5251753,'1A',213,'N'),(20,5251761,'1',5,'N'),(20,5251770,'1',238,'N'),(20,5251770,'1A',208,'N'),(20,5251788,'1',453,'N'),(20,5251796,'1',303,'N'),(20,5251800,'1',453,'N'),(20,5251818,'1',104,'N'),(20,5251826,'1',327,'N'),(20,5251834,'1',309,'N'),(20,5251842,'1',5,'N'),(20,5251850,'1',103,'N'),(20,5251869,'1',331,'N'),(20,5251877,'1',302,'N'),(20,5251885,'1',201,'N'),(20,5251885,'1A',207,'N'),(20,5251893,'1',110,'N'),(20,5251907,'1',215,'N'),(20,5251907,'1A',211,'N'),(20,5251923,'1',207,'N'),(20,5251923,'1A',601,'N'),(20,5251931,'1',421,'N'),(20,5251931,'1A',423,'N'),(20,5251940,'1',103,'N'),(20,5251958,'1',319,'N'),(20,5251966,'1',326,'N'),(20,5251974,'1',108,'N'),(20,5251982,'1',201,'N'),(20,5251982,'1A',202,'N'),(20,5251990,'1',453,'N'),(20,5252008,'1',415,'N'),(20,5252016,'1',333,'N'),(20,5252024,'1',451,'N'),(20,5252040,'1',233,'N'),(20,5252040,'1A',216,'N'),(20,5252059,'1',301,'N'),(20,5252067,'1',103,'N'),(20,5252075,'1',444,'N'),(20,5252091,'1',225,'N'),(20,5252105,'1',301,'N'),(20,5252113,'1',104,'N'),(20,5252121,'1',102,'N'),(20,5252130,'1',319,'N'),(20,5252148,'1',340,'N'),(20,5252156,'1',103,'N'),(20,5252172,'1',202,'N'),(20,5252172,'1A',201,'N'),(20,5252180,'1',551,'N'),(20,5252199,'1',9,'N'),(20,5252210,'1',452,'N'),(20,5252229,'1',326,'N'),(20,5252245,'1',103,'N'),(20,5252253,'1',224,'N'),(20,5252261,'1',103,'N'),(20,5252270,'1',415,'N'),(20,5252288,'1',340,'N'),(20,5252296,'1',104,'N'),(20,5252300,'1',301,'N'),(20,5252318,'1',415,'N'),(20,5252326,'1',104,'N'),(20,5252342,'1',207,'N'),(20,5252342,'1A',201,'N'),(20,5252350,'1',104,'N'),(20,5252369,'1',201,'N'),(20,5252369,'1A',238,'N'),(20,5252377,'1',214,'N'),(20,5252377,'1A',211,'N'),(20,5252385,'1',310,'N'),(20,5252393,'1',303,'N'),(20,5252407,'1',108,'N'),(20,5252415,'1',9,'N'),(20,5252423,'1',235,'N'),(20,5252423,'1A',208,'N'),(20,5252431,'1',304,'N'),(20,5252440,'1',103,'N'),(20,5252458,'1',319,'N'),(20,5252466,'1',211,'N'),(20,5252466,'1A',212,'N'),(20,5252474,'1',420,'N'),(20,5252482,'1',103,'N'),(20,5252490,'1',444,'N'),(20,5252504,'1',316,'N'),(20,5252512,'1',208,'N'),(20,5252512,'1A',238,'N'),(20,5252520,'1',103,'N'),(20,5252547,'1',201,'N'),(20,5252547,'1A',212,'N'),(20,5252555,'1',303,'N'),(20,5252571,'1',238,'N'),(20,5252580,'1',303,'N'),(20,5252598,'1',103,'N'),(20,5252601,'1',102,'N'),(20,5252610,'1',104,'N'),(20,5252628,'1',5,'N'),(20,5252636,'1',203,'N'),(20,5252636,'1A',220,'N'),(20,5252644,'1',404,'N'),(20,5252652,'1',415,'N'),(20,5252660,'1',203,'N'),(20,5252660,'1A',214,'N'),(20,5252679,'1',208,'N'),(20,5252687,'1',103,'N'),(20,5252695,'1',324,'N'),(20,5252709,'1',404,'N'),(20,5252717,'1',444,'N'),(20,5252725,'1',319,'N'),(20,5252733,'1',340,'N'),(20,5252750,'1',302,'N'),(20,5252768,'1',404,'N'),(20,5252776,'1',420,'N'),(20,5252784,'1',103,'N'),(20,5252792,'1',103,'N'),(20,5252806,'1',340,'N'),(20,5252814,'1',207,'N'),(20,5252814,'1A',201,'N'),(20,5252822,'1',328,'N'),(20,5252830,'1',423,'N'),(20,5252849,'1',319,'N'),(20,5252865,'1',652,'N'),(20,5252873,'1',601,'N'),(20,5252873,'1A',203,'N'),(20,5252890,'1',429,'N'),(20,5252890,'1A',427,'N'),(20,5252903,'1',308,'N'),(20,5252920,'1',203,'N'),(20,5252920,'1A',220,'N'),(20,5252954,'1',104,'N'),(20,5252962,'1',415,'N'),(20,5252970,'1',103,'N'),(20,5252997,'1',103,'N'),(20,5253004,'1',5,'N'),(20,5253020,'1',444,'N'),(20,5253039,'1',103,'N'),(20,5253047,'1',303,'N'),(20,5253055,'1',205,'N'),(20,5253063,'1',302,'N'),(20,5253071,'1',415,'N'),(20,5253080,'1',216,'N'),(20,5253098,'1',208,'N'),(20,5253098,'1A',220,'N'),(20,5253101,'1',653,'N'),(20,5253101,'1A',233,'N'),(20,5253110,'1',208,'N'),(20,5253110,'1A',216,'N'),(20,5253128,'1',208,'N'),(20,5253128,'1A',238,'N'),(20,5253136,'1',201,'N'),(20,5253136,'1A',207,'N'),(20,5253144,'1',5,'N'),(20,5253152,'1',207,'N'),(20,5253152,'1A',211,'N'),(20,5253160,'1',207,'N'),(20,5253160,'1A',601,'N'),(20,5253179,'1',404,'N'),(20,5253187,'1',103,'N'),(20,5253195,'1',104,'N'),(20,5253209,'1',301,'N'),(20,5253217,'1',103,'N'),(20,5253225,'1',404,'N'),(20,5253233,'1',109,'N'),(20,5253241,'1',5,'N'),(20,5253250,'1',214,'N'),(20,5253250,'1A',238,'N'),(20,5253284,'1',214,'N'),(20,5253284,'1A',216,'N'),(20,5253292,'1',203,'N'),(20,5253292,'1A',233,'N'),(20,5253306,'1',452,'N'),(20,5253314,'1',103,'N'),(20,5253322,'1',5,'N'),(20,5253330,'1',319,'N'),(20,5253349,'1',303,'N'),(20,5253365,'1',212,'N'),(20,5253365,'1A',211,'N'),(20,5253373,'1',103,'N'),(20,5253381,'1',415,'N'),(20,5253390,'1',103,'N'),(20,5253403,'1',201,'N'),(20,5253403,'1A',207,'N'),(20,5253411,'1',108,'N'),(20,5253420,'1',220,'N'),(20,5253420,'1A',203,'N'),(20,5253438,'1',501,'N'),(20,5253446,'1',303,'N'),(20,5253454,'1',102,'N'),(20,5253462,'1',304,'N'),(20,5253489,'1',201,'N'),(20,5253489,'1A',203,'N'),(20,5253497,'1',451,'N'),(20,5253519,'1',103,'N'),(20,5253527,'1',201,'N'),(20,5253527,'1A',203,'N'),(20,5253535,'1',216,'N'),(20,5253543,'1',319,'N'),(20,5253551,'1',108,'N'),(20,5253578,'1',102,'N'),(20,5253586,'1',109,'N'),(20,5253608,'1',338,'N'),(20,5253616,'1',651,'N'),(20,5253616,'1A',653,'N'),(20,5253624,'1',203,'N'),(20,5253624,'1A',211,'N'),(20,5253632,'1',201,'N'),(20,5253632,'1A',216,'N'),(20,5253640,'1',2,'N'),(20,5253659,'1',331,'N'),(20,5253667,'1',203,'N'),(20,5253667,'1A',214,'N'),(20,5253675,'1',103,'N'),(20,5253683,'1',203,'N'),(20,5253683,'1A',214,'N'),(20,5253691,'1',452,'N'),(20,5253705,'1',428,'N'),(20,5253705,'1A',426,'N'),(20,5253713,'1',216,'N'),(20,5253713,'1A',208,'N'),(20,5253721,'1',207,'N'),(20,5253721,'1A',238,'N'),(20,5253730,'1',216,'N'),(20,5253748,'1',103,'N'),(20,5253756,'1',319,'N'),(20,5253764,'1',652,'N'),(20,5253764,'1A',653,'N'),(20,5253772,'1',324,'N'),(20,5253780,'1',103,'N'),(20,5253802,'1',108,'N'),(20,5253829,'1',303,'N'),(20,5253837,'1',601,'N'),(20,5253837,'1A',213,'N'),(20,5253845,'1',224,'N'),(20,5253853,'1',103,'N'),(20,5253870,'1',318,'N'),(20,5253888,'1',101,'N'),(20,5253896,'1',316,'N'),(20,5253900,'1',203,'N'),(20,5253900,'1A',214,'N'),(20,5253918,'1',103,'N'),(20,5253934,'1',103,'N'),(20,5253942,'1',108,'N'),(20,5253950,'1',102,'N'),(20,5253969,'1',319,'N'),(20,5253977,'1',601,'N'),(20,5253977,'1A',208,'N'),(20,5253985,'1',103,'N'),(20,5253993,'1',424,'N'),(20,5253993,'1A',428,'N'),(20,5254000,'1',238,'N'),(20,5254000,'1A',208,'N'),(20,5254019,'1',340,'N'),(20,5254027,'1',103,'N'),(20,5254035,'1',301,'N'),(20,5254043,'1',101,'N'),(20,5254060,'1',201,'N'),(20,5254060,'1A',215,'N'),(20,5254078,'1',415,'N'),(20,5254086,'1',601,'N'),(20,5254086,'1A',653,'N'),(20,5254094,'1',332,'N'),(20,5254116,'1',216,'N'),(20,5254116,'1A',601,'N'),(20,5254132,'1',103,'N'),(20,5254140,'1',201,'N'),(20,5254140,'1A',211,'N'),(20,5254159,'1',238,'N'),(20,5254159,'1A',208,'N'),(20,5254175,'1',207,'N'),(20,5254175,'1A',211,'N'),(20,5254191,'1',2,'N'),(20,5254221,'1',304,'N'),(20,5254230,'1',202,'N'),(20,5254230,'1A',233,'N'),(20,5254248,'1',303,'N'),(20,5254256,'1',104,'N'),(20,5254272,'1',9,'N'),(20,5254280,'1',303,'N'),(20,5254299,'1',202,'N'),(20,5254299,'1A',220,'N'),(20,5254329,'1',207,'N'),(20,5254329,'1A',215,'N'),(20,5254337,'1',233,'N'),(20,5254337,'1A',216,'N'),(20,5254345,'1',103,'N'),(20,5254353,'1',201,'N'),(20,5254361,'1',452,'N'),(20,5254370,'1',2,'N'),(20,5254388,'1',220,'N'),(20,5254388,'1A',233,'N'),(20,5254396,'1',102,'N'),(20,5254400,'1',501,'N'),(20,5254418,'1',103,'N'),(20,5254426,'1',415,'N'),(20,5254434,'1',9,'N'),(20,5254442,'1',216,'N'),(20,5254442,'1A',233,'N'),(20,5254450,'1',207,'N'),(20,5254450,'1A',201,'N'),(20,5254469,'1',601,'N'),(20,5254469,'1A',202,'N'),(20,5254477,'1',303,'N'),(20,5254485,'1',103,'N'),(20,5254493,'1',9,'N'),(20,5254507,'1',103,'N'),(20,5254515,'1',216,'N'),(20,5254515,'1A',207,'N'),(20,5254523,'1',103,'N'),(20,5254531,'1',415,'N'),(20,5254558,'1',103,'N'),(20,5254566,'1',102,'N'),(20,5254574,'1',503,'N'),(20,5254582,'1',5,'N'),(20,5254590,'1',104,'N'),(20,5254604,'1',201,'N'),(20,5254604,'1A',207,'N'),(20,5254612,'1',303,'N'),(20,5254620,'1',202,'N'),(20,5254620,'1A',213,'N'),(20,5254639,'1',317,'N'),(20,5254647,'1',303,'N'),(20,5254655,'1',203,'N'),(20,5254655,'1A',233,'N'),(20,5254663,'1',216,'N'),(20,5254663,'1A',213,'N'),(20,5254680,'1',207,'N'),(20,5254680,'1A',216,'N'),(20,5254701,'1',202,'N'),(20,5254701,'1A',213,'N'),(20,5254710,'1',203,'N'),(20,5254710,'1A',233,'N'),(20,5254736,'1',203,'N'),(20,5254736,'1A',208,'N'),(20,5254744,'1',501,'N'),(20,5254752,'1',302,'N'),(20,5254760,'1',211,'N'),(20,5254760,'1A',207,'N'),(20,5254779,'1',103,'N'),(20,5254787,'1',2,'N'),(20,5254795,'1',303,'N'),(20,5254809,'1',216,'N'),(20,5254809,'1A',202,'N'),(20,5254817,'1',303,'N'),(20,5254825,'1',202,'N'),(20,5254825,'1A',235,'N'),(20,5254833,'1',220,'N'),(20,5254833,'1A',202,'N'),(20,5254841,'1',104,'N'),(20,5254868,'1',9,'N'),(20,5254876,'1',202,'N'),(20,5254876,'1A',203,'N'),(20,5254884,'1',308,'N'),(20,5254892,'1',103,'N'),(20,5254906,'1',103,'N'),(20,5254914,'1',208,'N'),(20,5254922,'1',103,'N'),(20,5254930,'1',339,'N'),(20,5254957,'1',215,'N'),(20,5254957,'1A',216,'N'),(20,5254965,'1',309,'N'),(20,5254973,'1',317,'N'),(20,5254981,'1',216,'N'),(20,5254981,'1A',211,'N'),(20,5254990,'1',110,'N'),(20,5255007,'1',103,'N'),(20,5255023,'1',326,'N'),(20,5255031,'1',103,'N'),(20,5255040,'1',110,'N'),(20,5255058,'1',104,'N'),(20,5255074,'1',103,'N'),(20,5255082,'1',104,'N'),(20,5255090,'1',415,'N'),(20,5255104,'1',415,'N'),(20,5255139,'1',301,'N'),(20,5255147,'1',301,'N'),(20,5255155,'1',303,'N'),(20,5255163,'1',103,'N'),(20,5255171,'1',201,'N'),(20,5255171,'1A',216,'N'),(20,5255180,'1',503,'N'),(20,5255198,'1',216,'N'),(20,5255198,'1A',233,'N'),(20,5255201,'1',238,'N'),(20,5255201,'1A',208,'N'),(20,5255210,'1',103,'N'),(20,5255228,'1',207,'N'),(20,5255228,'1A',201,'N'),(20,5255252,'1',207,'N'),(20,5255252,'1A',201,'N'),(20,5255260,'1',201,'N'),(20,5255260,'1A',212,'N'),(20,5255279,'1',103,'N'),(20,5255287,'1',208,'N'),(20,5255287,'1A',652,'N'),(20,5255295,'1',451,'N'),(20,5255309,'1',233,'N'),(20,5255309,'1A',215,'N'),(20,5255317,'1',103,'N'),(20,5255325,'1',103,'N'),(20,5255341,'1',103,'N'),(20,5255350,'1',103,'N'),(20,5255376,'1',234,'N'),(20,5255384,'1',215,'N'),(20,5255384,'1A',216,'N'),(20,5255392,'1',208,'N'),(20,5255392,'1A',220,'N'),(20,5255406,'1',101,'N'),(20,5255414,'1',428,'N'),(20,5255414,'1A',426,'N'),(20,5255422,'1',101,'N'),(20,5255430,'1',108,'N'),(20,5255449,'1',103,'N'),(20,5255457,'1',238,'N'),(20,5255457,'1A',208,'N'),(20,5255465,'1',110,'N'),(20,5255473,'1',303,'N'),(20,5255481,'1',336,'N'),(20,5255490,'1',103,'N'),(20,5255503,'1',319,'N'),(20,5255511,'1',103,'N'),(20,5255520,'1',203,'N'),(20,5255520,'1A',201,'N'),(20,5255538,'1',103,'N'),(20,5255546,'1',415,'N'),(20,5255554,'1',233,'N'),(20,5255554,'1A',212,'N'),(20,5255562,'1',303,'N'),(20,5255570,'1',103,'N'),(20,5255589,'1',551,'N'),(20,5255597,'1',207,'N'),(20,5255597,'1A',238,'N'),(20,5255600,'1',340,'N'),(20,5255627,'1',207,'N'),(20,5255627,'1A',201,'N'),(20,5255643,'1',103,'N'),(20,5255651,'1',103,'N'),(20,5255660,'1',203,'N'),(20,5255660,'1A',601,'N'),(20,5255678,'1',103,'N'),(20,5255694,'1',316,'N'),(20,5255716,'1',103,'N'),(20,5255724,'1',103,'N'),(20,5255759,'1',201,'N'),(20,5255759,'1A',214,'N'),(20,5255767,'1',220,'N'),(20,5255767,'1A',235,'N'),(20,5255783,'1',203,'N'),(20,5255783,'1A',207,'N'),(20,5255791,'1',108,'N'),(20,5255813,'1',207,'N'),(20,5255813,'1A',211,'N'),(20,5255821,'1',303,'N'),(20,5255830,'1',103,'N'),(20,5255848,'1',102,'N'),(20,5255856,'1',423,'N'),(20,5255856,'1A',429,'N'),(20,5255872,'1',103,'N'),(20,5255880,'1',103,'N'),(20,5255899,'1',238,'N'),(20,5255899,'1A',235,'N'),(20,5255902,'1',601,'N'),(20,5255902,'1A',211,'N'),(20,5255910,'1',216,'N'),(20,5255910,'1A',215,'N'),(20,5255945,'1',104,'N'),(20,5255953,'1',108,'N'),(20,5255961,'1',108,'N'),(20,5255988,'1',201,'N'),(20,5255988,'1A',212,'N'),(20,5256003,'1',301,'N'),(20,5256011,'1',420,'N'),(20,5256020,'1',103,'N'),(20,5256038,'1',103,'N'),(20,5256046,'1',303,'N'),(20,5256054,'1',201,'N'),(20,5256054,'1A',207,'N'),(20,5256070,'1',208,'N'),(20,5256070,'1A',238,'N'),(20,5256089,'1',324,'N'),(20,5256100,'1',103,'N'),(20,5256119,'1',211,'N'),(20,5256127,'1',103,'N'),(20,5256135,'1',102,'N'),(20,5256143,'1',302,'N'),(20,5256151,'1',215,'N'),(20,5256151,'1A',233,'N'),(20,5256160,'1',103,'N'),(20,5256178,'1',301,'N'),(20,5256186,'1',103,'N'),(20,5256216,'1',652,'N'),(20,5256216,'1A',653,'N'),(20,5256232,'1',303,'N'),(20,5256240,'1',201,'N'),(20,5256240,'1A',212,'N'),(20,5256259,'1',653,'N'),(20,5256259,'1A',652,'N'),(20,5256267,'1',601,'N'),(20,5256283,'1',208,'N'),(20,5256291,'1',108,'N'),(20,5256305,'1',5,'N'),(20,5256313,'1',202,'N'),(20,5256313,'1A',203,'N'),(20,5256321,'1',309,'N'),(20,5256330,'1',103,'N'),(20,5256348,'1',103,'N'),(20,5256356,'1',501,'N'),(20,5256364,'1',324,'N'),(20,5256372,'1',340,'N'),(20,5256380,'1',5,'N'),(20,5256399,'1',103,'N'),(20,5256402,'1',451,'N'),(20,5256410,'1',102,'N'),(20,5256429,'1',420,'N'),(20,5256437,'1',653,'N'),(20,5256437,'1A',652,'N'),(20,5256445,'1',103,'N'),(20,5256461,'1',5,'N'),(20,5256470,'1',103,'N'),(20,5256488,'1',340,'N'),(20,5256496,'1',331,'N'),(20,5256518,'1',103,'N'),(20,5256526,'1',222,'N'),(20,5256550,'1',444,'N'),(20,5256577,'1',420,'N'),(20,5256585,'1',5,'N'),(20,5256593,'1',5,'N'),(20,5256615,'1',601,'N'),(20,5256615,'1A',213,'N'),(20,5256623,'1',303,'N'),(20,5256640,'1',326,'N'),(20,5256658,'1',444,'N'),(20,5256666,'1',101,'N'),(20,5256682,'1',216,'N'),(20,5256682,'1A',201,'N'),(20,5256690,'1',308,'N'),(20,5256704,'1',301,'N'),(20,5256712,'1',216,'N'),(20,5256712,'1A',212,'N'),(20,5256720,'1',233,'N'),(20,5256720,'1A',216,'N'),(20,5256739,'1',452,'N'),(20,5256747,'1',215,'N'),(20,5256747,'1A',233,'N'),(20,5256763,'1',216,'N'),(20,5256763,'1A',238,'N'),(20,5256771,'1',102,'N'),(20,5256801,'1',444,'N'),(20,5256810,'1',201,'N'),(20,5256810,'1A',214,'N'),(20,5256828,'1',103,'N'),(20,5256836,'1',316,'N'),(20,5256844,'1',208,'N'),(20,5256844,'1A',207,'N'),(20,5256852,'1',103,'N'),(20,5256860,'1',103,'N'),(20,5256879,'1',318,'N'),(20,5256887,'1',203,'N'),(20,5256887,'1A',201,'N'),(20,5256909,'1',336,'N'),(20,5256917,'1',102,'N'),(20,5256933,'1',207,'N'),(20,5256933,'1A',203,'N'),(20,5256968,'1',202,'N'),(20,5256968,'1A',235,'N'),(20,5256976,'1',108,'N'),(20,5256984,'1',201,'N'),(20,5256984,'1A',211,'N'),(20,5256992,'1',9,'N'),(20,5257000,'1',104,'N'),(20,5257018,'1',551,'N'),(20,5257034,'1',238,'N'),(20,5257042,'1',101,'N'),(20,5257069,'1',103,'N'),(20,5257077,'1',339,'N'),(20,5257085,'1',208,'N'),(20,5257085,'1A',238,'N'),(20,5257093,'1',103,'N'),(20,5257107,'1',202,'N'),(20,5257107,'1A',601,'N'),(20,5257131,'1',103,'N'),(20,5257140,'1',103,'N'),(20,5257158,'1',213,'N'),(20,5257158,'1A',238,'N'),(20,5257166,'1',316,'N'),(20,5257174,'1',601,'N'),(20,5257174,'1A',214,'N'),(20,5257182,'1',9,'N'),(20,5257190,'1',203,'N'),(20,5257190,'1A',201,'N'),(20,5257204,'1',203,'N'),(20,5257204,'1A',214,'N'),(20,5257212,'1',304,'N'),(20,5257220,'1',9,'N'),(20,5257239,'1',340,'N'),(20,5257247,'1',339,'N'),(20,5257255,'1',333,'N'),(20,5257263,'1',103,'N'),(20,5257271,'1',316,'N'),(20,5257298,'1',103,'N'),(20,5257301,'1',421,'N'),(20,5257301,'1A',424,'N'),(20,5257310,'1',404,'N'),(20,5257328,'1',216,'N'),(20,5257328,'1A',208,'N'),(20,5257336,'1',301,'N'),(20,5257344,'1',551,'N'),(20,5257360,'1',303,'N'),(20,5257379,'1',339,'N'),(20,5257387,'1',103,'N'),(20,5257395,'1',238,'N'),(20,5257395,'1A',651,'N'),(20,5257409,'1',444,'N'),(20,5257417,'1',101,'N'),(20,5257433,'1',215,'N'),(20,5257433,'1A',216,'N'),(20,5257441,'1',303,'N'),(20,5257450,'1',340,'N'),(20,5257468,'1',103,'N'),(20,5257476,'1',302,'N'),(20,5257484,'1',201,'N'),(20,5257484,'1A',601,'N'),(20,5257492,'1',327,'N'),(20,5257506,'1',317,'N'),(20,5257514,'1',301,'N'),(20,5257522,'1',103,'N'),(20,5257549,'1',319,'N'),(20,5257557,'1',301,'N'),(20,5257565,'1',103,'N'),(20,5257573,'1',415,'N'),(20,5257581,'1',503,'N'),(20,5257590,'1',3,'N'),(20,5257603,'1',203,'N'),(20,5257603,'1A',202,'N'),(20,5257620,'1',308,'N'),(20,5257638,'1',333,'N'),(20,5257646,'1',301,'N'),(20,5257654,'1',301,'N'),(20,5257662,'1',452,'N'),(20,5257670,'1',101,'N'),(20,5257689,'1',2,'N'),(20,5257697,'1',203,'N'),(20,5257697,'1A',220,'N'),(20,5257700,'1',211,'N'),(20,5257700,'1A',235,'N'),(20,5257719,'1',336,'N'),(20,5257727,'1',5,'N'),(20,5257735,'1',320,'N'),(20,5257751,'1',211,'N'),(20,5257760,'1',5,'N'),(20,5257778,'1',103,'N'),(20,5257786,'1',451,'N'),(20,5257794,'1',215,'N'),(20,5257794,'1A',211,'N'),(20,5257808,'1',2,'N'),(20,5257816,'1',429,'N'),(20,5257816,'1A',425,'N'),(20,5257824,'1',5,'N'),(20,5257832,'1',653,'N'),(20,5257832,'1A',652,'N'),(20,5257840,'1',301,'N'),(20,5257859,'1',301,'N'),(20,5257867,'1',104,'N'),(20,5257875,'1',208,'N'),(20,5257875,'1A',238,'N'),(20,5257883,'1',551,'N'),(20,5257891,'1',208,'N'),(20,5257891,'1A',238,'N'),(20,5257905,'1',444,'N'),(20,5257913,'1',327,'N'),(20,5257921,'1',223,'N'),(20,5257930,'1',211,'N'),(20,5257930,'1A',601,'N'),(20,5257948,'1',238,'N'),(20,5257948,'1A',233,'N'),(20,5257956,'1',303,'N'),(20,5257964,'1',102,'N'),(20,5257980,'1',215,'N'),(20,5257980,'1A',211,'N'),(20,5257999,'1',320,'N'),(20,5258006,'1',216,'N'),(20,5258006,'1A',233,'N'),(20,5258014,'1',211,'N'),(20,5258014,'1A',233,'N'),(20,5258030,'1',214,'N'),(20,5258057,'1',319,'N'),(20,5258065,'1',211,'N'),(20,5258065,'1A',215,'N'),(20,5258073,'1',211,'N'),(20,5258081,'1',308,'N'),(20,5258090,'1',601,'N'),(20,5258090,'1A',214,'N'),(20,5258111,'1',104,'N'),(20,5258120,'1',220,'N'),(20,5258120,'1A',208,'N'),(20,5258154,'1',501,'N'),(20,5258197,'1',301,'N'),(20,5258200,'1',551,'N'),(20,5258219,'1',216,'N'),(20,5258243,'1',103,'N'),(20,5258251,'1',101,'N'),(20,5258294,'1',101,'N'),(20,5258316,'1',208,'N'),(20,5258316,'1A',238,'N'),(20,5258324,'1',201,'N'),(20,5258324,'1A',211,'N'),(20,5258332,'1',216,'N'),(20,5258332,'1A',207,'N'),(20,5258340,'1',220,'N'),(20,5258340,'1A',208,'N'),(20,5258367,'1',108,'N'),(20,5258375,'1',104,'N'),(20,5258383,'1',339,'N'),(20,5258391,'1',203,'N'),(20,5258391,'1A',211,'N'),(20,5258405,'1',551,'N'),(20,5258413,'1',415,'N'),(20,5258421,'1',332,'N'),(20,5258448,'1',5,'N'),(20,5258456,'1',601,'N'),(20,5258472,'1',425,'N'),(20,5258472,'1A',429,'N'),(20,5258480,'1',103,'N'),(20,5258499,'1',501,'N'),(20,5258502,'1',501,'N'),(20,5258510,'1',653,'N'),(20,5258510,'1A',651,'N'),(20,5258529,'1',404,'N'),(20,5258537,'1',453,'N'),(20,5258545,'1',201,'N'),(20,5258545,'1A',207,'N'),(20,5258570,'1',501,'N'),(20,5258588,'1',103,'N'),(20,5258596,'1',2,'N'),(20,5258600,'1',2,'N'),(20,5258618,'1',2,'N'),(20,5258626,'1',428,'N'),(20,5258626,'1A',426,'N'),(20,5258642,'1',103,'N'),(20,5258669,'1',220,'N'),(20,5258669,'1A',216,'N'),(20,5258677,'1',224,'N'),(20,5258685,'1',207,'N'),(20,5258693,'1',336,'N'),(20,5258715,'1',201,'N'),(20,5258715,'1A',601,'N'),(20,5258723,'1',103,'N'),(20,5258731,'1',102,'N'),(20,5258758,'1',303,'N'),(20,5258766,'1',103,'N'),(20,5258774,'1',336,'N'),(20,5258782,'1',331,'N'),(20,5258790,'1',201,'N'),(20,5258790,'1A',207,'N'),(20,5258804,'1',109,'N'),(20,5258820,'1',201,'N'),(20,5258820,'1A',601,'N'),(20,5258839,'1',102,'N'),(20,5258847,'1',5,'N'),(20,5258855,'1',601,'N'),(20,5258855,'1A',214,'N'),(20,5258863,'1',207,'N'),(20,5258863,'1A',201,'N'),(20,5258871,'1',340,'N'),(20,5258880,'1',324,'N'),(20,5258898,'1',5,'N'),(20,5258901,'1',415,'N'),(20,5258910,'1',303,'N'),(20,5258928,'1',104,'N'),(20,5258936,'1',316,'N'),(20,5258944,'1',220,'N'),(20,5258944,'1A',601,'N'),(20,5258952,'1',601,'N'),(20,5258952,'1A',202,'N'),(20,5258960,'1',5,'N'),(20,5258979,'1',425,'N'),(20,5258979,'1A',423,'N'),(20,5258987,'1',103,'N'),(20,5258995,'1',103,'N'),(20,5259002,'1',317,'N'),(20,5259029,'1',102,'N'),(20,5259053,'1',327,'N'),(20,5259061,'1',207,'N'),(20,5259061,'1A',201,'N'),(20,5259070,'1',318,'N'),(20,5259088,'1',453,'N'),(20,5259100,'1',3,'N'),(20,5259118,'1',339,'N'),(20,5259134,'1',317,'N'),(20,5259142,'1',318,'N'),(20,5259150,'1',216,'N'),(20,5259150,'1A',202,'N'),(20,5259177,'1',444,'N'),(20,5259185,'1',202,'N'),(20,5259185,'1A',213,'N'),(20,5259193,'1',103,'N'),(20,5259207,'1',316,'N'),(20,5259215,'1',429,'N'),(20,5259215,'1A',428,'N'),(20,5259223,'1',102,'N'),(20,5259231,'1',202,'N'),(20,5259231,'1A',601,'N'),(20,5259258,'1',103,'N'),(20,5259274,'1',103,'N'),(20,5259282,'1',212,'N'),(20,5259290,'1',233,'N'),(20,5259290,'1A',653,'N'),(20,5259304,'1',5,'N'),(20,5259312,'1',309,'N'),(20,5259320,'1',101,'N'),(20,5259339,'1',203,'N'),(20,5259339,'1A',601,'N'),(20,5259347,'1',208,'N'),(20,5259355,'1',104,'N'),(20,5259363,'1',103,'N'),(20,5259371,'1',220,'N'),(20,5259371,'1A',208,'N'),(20,5259380,'1',103,'N'),(20,5259398,'1',317,'N'),(20,5259401,'1',652,'N'),(20,5259401,'1A',651,'N'),(20,5259410,'1',332,'N'),(20,5259428,'1',551,'N'),(20,5259436,'1',304,'N'),(20,5259444,'1',308,'N'),(20,5259452,'1',108,'N'),(20,5259460,'1',103,'N'),(20,5259479,'1',238,'N'),(20,5259479,'1A',208,'N'),(20,5259487,'1',103,'N'),(20,5259495,'1',207,'N'),(20,5259495,'1A',201,'N'),(20,5259509,'1',316,'N'),(20,5259517,'1',652,'N'),(20,5259533,'1',551,'N'),(20,5259541,'1',301,'N'),(20,5259550,'1',429,'N'),(20,5259550,'1A',426,'N'),(20,5259568,'1',103,'N'),(20,5259576,'1',5,'N'),(20,5259584,'1',202,'N'),(20,5259584,'1A',235,'N'),(20,5259592,'1',316,'N'),(20,5259606,'1',453,'N'),(20,5259614,'1',216,'N'),(20,5259614,'1A',215,'N'),(20,5259622,'1',203,'N'),(20,5259622,'1A',214,'N'),(20,5259649,'1',225,'N'),(20,5259657,'1',503,'N'),(20,5259673,'1',103,'N'),(20,5259681,'1',340,'N'),(20,5259690,'1',238,'N'),(20,5259690,'1A',208,'N'),(20,5259703,'1',5,'N'),(20,5259720,'1',211,'N'),(20,5259738,'1',207,'N'),(20,5259746,'1',302,'N'),(20,5259754,'1',103,'N'),(20,5259762,'1',319,'N'),(20,5259770,'1',238,'N'),(20,5259770,'1A',208,'N'),(20,5259789,'1',453,'N'),(20,5259797,'1',5,'N'),(20,5259800,'1',5,'N'),(20,5259819,'1',216,'N'),(20,5259819,'1A',215,'N'),(20,5259835,'1',108,'N'),(20,5259843,'1',238,'N'),(20,5259843,'1A',652,'N'),(20,5259851,'1',238,'N'),(20,5259851,'1A',208,'N'),(20,5259878,'1',103,'N'),(20,5259886,'1',103,'N'),(20,5259894,'1',108,'N'),(20,5259908,'1',103,'N'),(20,5259916,'1',103,'N'),(20,5259924,'1',501,'N'),(20,5259932,'1',103,'N'),(20,5259940,'1',103,'N'),(20,5259967,'1',9,'N'),(20,5259975,'1',211,'N'),(20,5259975,'1A',233,'N'),(20,5259983,'1',104,'N'),(20,5259991,'1',5,'N'),(20,5260000,'1',301,'N'),(20,5260019,'1',404,'N'),(20,5260035,'1',333,'N'),(20,5260043,'1',103,'N'),(20,5260051,'1',104,'N'),(20,5260060,'1',415,'N'),(20,5260086,'1',651,'N'),(20,5260086,'1A',653,'N'),(20,5260094,'1',453,'N'),(20,5260108,'1',303,'N'),(20,5260116,'1',502,'N'),(20,5260132,'1',318,'N'),(20,5260159,'1',331,'N'),(20,5260167,'1',103,'N'),(20,5260175,'1',103,'N'),(20,5260183,'1',203,'N'),(20,5260183,'1A',202,'N'),(20,5260191,'1',103,'N'),(20,5260213,'1',211,'N'),(20,5260213,'1A',233,'N'),(20,5260221,'1',423,'N'),(20,5260248,'1',201,'N'),(20,5260248,'1A',211,'N'),(20,5260256,'1',104,'N'),(20,5260280,'1',426,'N'),(20,5260280,'1A',423,'N'),(20,5260299,'1',336,'N'),(20,5260302,'1',425,'N'),(20,5260302,'1A',423,'N'),(20,5260310,'1',340,'N'),(20,5260329,'1',308,'N'),(20,5260337,'1',404,'N'),(20,5260345,'1',332,'N'),(20,5260353,'1',103,'N'),(20,5260361,'1',317,'N'),(20,5260370,'1',203,'N'),(20,5260370,'1A',202,'N'),(20,5260388,'1',103,'N'),(20,5260396,'1',426,'N'),(20,5260396,'1A',428,'N'),(20,5260400,'1',301,'N'),(20,5260418,'1',103,'N'),(20,5260434,'1',201,'N'),(20,5260434,'1A',233,'N'),(20,5260442,'1',415,'N'),(20,5260450,'1',238,'N'),(20,5260450,'1A',208,'N'),(20,5260469,'1',453,'N'),(20,5260477,'1',103,'N'),(20,5260485,'1',340,'N'),(20,5260493,'1',103,'N'),(20,5260507,'1',216,'N'),(20,5260507,'1A',214,'N'),(20,5260515,'1',601,'N'),(20,5260515,'1A',216,'N'),(20,5260523,'1',316,'N'),(20,5260531,'1',301,'N'),(20,5260540,'1',415,'N'),(20,5260558,'1',551,'N'),(20,5260574,'1',104,'N'),(20,5260582,'1',201,'N'),(20,5260582,'1A',233,'N'),(20,5260590,'1',203,'N'),(20,5260590,'1A',202,'N'),(20,5260604,'1',551,'N'),(20,5260612,'1',336,'N'),(20,5260620,'1',103,'N'),(20,5260639,'1',110,'N'),(20,5260647,'1',303,'N'),(20,5260655,'1',316,'N'),(20,5260663,'1',501,'N'),(20,5260671,'1',319,'N'),(20,5260680,'1',224,'N'),(20,5260698,'1',102,'N'),(20,5260701,'1',216,'N'),(20,5260701,'1A',201,'N'),(20,5260710,'1',318,'N'),(20,5260728,'1',222,'N'),(20,5260736,'1',653,'N'),(20,5260736,'1A',601,'N'),(20,5260744,'1',404,'N'),(20,5260760,'1',103,'N'),(20,5260779,'1',5,'N'),(20,5260787,'1',421,'N'),(20,5260787,'1A',425,'N'),(20,5260795,'1',308,'N'),(20,5260809,'1',103,'N'),(20,5260817,'1',303,'N'),(20,5260825,'1',201,'N'),(20,5260825,'1A',208,'N'),(20,5260833,'1',203,'N'),(20,5260833,'1A',214,'N'),(20,5260841,'1',317,'N'),(20,5260850,'1',653,'N'),(20,5260850,'1A',652,'N'),(20,5260876,'1',319,'N'),(20,5260884,'1',220,'N'),(20,5260884,'1A',208,'N'),(20,5260892,'1',503,'N'),(20,5260906,'1',318,'N'),(20,5260922,'1',108,'N'),(20,5260930,'1',211,'N'),(20,5260930,'1A',216,'N'),(20,5260949,'1',102,'N'),(20,5260957,'1',235,'N'),(20,5260957,'1A',207,'N'),(20,5260965,'1',333,'N'),(20,5260973,'1',108,'N'),(20,5260981,'1',5,'N'),(20,5260990,'1',336,'N'),(20,5261007,'1',320,'N'),(20,5261015,'1',317,'N'),(20,5261023,'1',238,'N'),(20,5261031,'1',426,'N'),(20,5261031,'1A',428,'N'),(20,5261040,'1',327,'N'),(20,5261058,'1',444,'N'),(20,5261066,'1',452,'N'),(20,5261074,'1',653,'N'),(20,5261074,'1A',651,'N'),(20,5261090,'1',103,'N'),(20,5261104,'1',103,'N'),(20,5261112,'1',303,'N'),(20,5261120,'1',220,'N'),(20,5261120,'1A',235,'N'),(20,5261139,'1',5,'N'),(20,5261147,'1',214,'N'),(20,5261147,'1A',213,'N'),(20,5261155,'1',203,'N'),(20,5261155,'1A',214,'N'),(20,5261163,'1',308,'N'),(20,5261171,'1',222,'N'),(20,5261198,'1',238,'N'),(20,5261198,'1A',220,'N'),(20,5261201,'1',202,'N'),(20,5261201,'1A',201,'N'),(20,5261210,'1',444,'N'),(20,5261228,'1',103,'N'),(20,5261236,'1',3,'N'),(20,5261244,'1',104,'N'),(20,5261252,'1',215,'N'),(20,5261252,'1A',211,'N'),(20,5261260,'1',101,'N'),(20,5261279,'1',238,'N'),(20,5261279,'1A',201,'N'),(20,5261287,'1',444,'N'),(20,5261295,'1',333,'N'),(20,5261325,'1',5,'N'),(20,5261333,'1',103,'N'),(20,5261341,'1',109,'N'),(20,5261350,'1',103,'N'),(20,5261368,'1',316,'N'),(20,5261376,'1',202,'N'),(20,5261376,'1A',213,'N'),(20,5261384,'1',203,'N'),(20,5261384,'1A',235,'N'),(20,5261414,'1',404,'N'),(20,5261422,'1',5,'N'),(20,5261430,'1',415,'N'),(20,5261449,'1',303,'N'),(20,5261457,'1',316,'N'),(20,5261465,'1',208,'N'),(20,5261465,'1A',238,'N'),(20,5261473,'1',501,'N'),(20,5261481,'1',103,'N'),(20,5261490,'1',320,'N'),(20,5261503,'1',317,'N'),(20,5261511,'1',452,'N'),(20,5261520,'1',324,'N'),(20,5261538,'1',211,'N'),(20,5261538,'1A',652,'N'),(20,5261546,'1',235,'N'),(20,5261546,'1A',203,'N'),(20,5261562,'1',103,'N'),(20,5261570,'1',207,'N'),(20,5261570,'1A',233,'N'),(20,5261589,'1',238,'N'),(20,5261589,'1A',208,'N'),(20,5261597,'1',103,'N'),(20,5261600,'1',652,'N'),(20,5261600,'1A',653,'N'),(20,5261619,'1',332,'N'),(20,5261627,'1',651,'N'),(20,5261635,'1',404,'N'),(20,5261643,'1',203,'N'),(20,5261643,'1A',201,'N'),(20,5261651,'1',319,'N'),(20,5261660,'1',340,'N'),(20,5261678,'1',216,'N'),(20,5261678,'1A',203,'N'),(20,5261686,'1',102,'N'),(20,5261694,'1',215,'N'),(20,5261694,'1A',211,'N'),(20,5261716,'1',201,'N'),(20,5261724,'1',102,'N'),(20,5261732,'1',326,'N'),(20,5261740,'1',103,'N'),(20,5261759,'1',203,'N'),(20,5261759,'1A',202,'N'),(20,5261767,'1',404,'N'),(20,5261775,'1',303,'N'),(20,5261783,'1',104,'N'),(20,5261791,'1',104,'N'),(20,5261805,'1',103,'N'),(20,5261813,'1',324,'N'),(20,5261821,'1',404,'N'),(20,5261830,'1',103,'N'),(20,5261848,'1',333,'N'),(20,5261856,'1',207,'N'),(20,5261856,'1A',215,'N'),(20,5261864,'1',103,'N'),(20,5261872,'1',103,'N'),(20,5261880,'1',211,'N'),(20,5261880,'1A',215,'N'),(20,5261902,'1',235,'N'),(20,5261902,'1A',203,'N'),(20,5261910,'1',103,'N'),(20,5261929,'1',303,'N'),(20,5261937,'1',319,'N'),(20,5261945,'1',340,'N'),(20,5261953,'1',5,'N'),(20,5261961,'1',208,'N'),(20,5261961,'1A',203,'N'),(20,5261970,'1',310,'N'),(20,5261988,'1',501,'N'),(20,5261996,'1',201,'N'),(20,5261996,'1A',220,'N'),(20,5262003,'1',302,'N'),(20,5262011,'1',318,'N'),(20,5262020,'1',216,'N'),(20,5262020,'1A',207,'N'),(20,5262038,'1',207,'N'),(20,5262046,'1',450,'N'),(20,5262054,'1',216,'N'),(20,5262062,'1',103,'N'),(20,5262070,'1',103,'N'),(20,5262089,'1',420,'N'),(20,5262097,'1',303,'N'),(20,5262100,'1',653,'N'),(20,5262100,'1A',202,'N'),(20,5262119,'1',103,'N'),(20,5262127,'1',601,'N'),(20,5262135,'1',213,'N'),(20,5262135,'1A',235,'N'),(20,5262143,'1',215,'N'),(20,5262143,'1A',653,'N'),(20,5262151,'1',101,'N'),(20,5262160,'1',601,'N'),(20,5262160,'1A',213,'N'),(20,5262178,'1',103,'N'),(20,5262194,'1',336,'N'),(20,5262208,'1',104,'N'),(20,5262216,'1',103,'N'),(20,5262224,'1',103,'N'),(20,5262232,'1',340,'N'),(20,5262240,'1',102,'N'),(20,5262259,'1',101,'N'),(20,5262267,'1',207,'N'),(20,5262267,'1A',201,'N'),(20,5262275,'1',220,'N'),(20,5262275,'1A',202,'N'),(20,5262283,'1',203,'N'),(20,5262283,'1A',601,'N'),(20,5262305,'1',203,'N'),(20,5262305,'1A',202,'N'),(20,5262313,'1',302,'N'),(20,5262321,'1',653,'N'),(20,5262321,'1A',652,'N'),(20,5262330,'1',5,'N'),(20,5262348,'1',301,'N'),(20,5262356,'1',317,'N'),(20,5262364,'1',108,'N'),(20,5262372,'1',317,'N'),(20,5262399,'1',9,'N'),(20,5262402,'1',211,'N'),(20,5262402,'1A',207,'N'),(20,5262410,'1',103,'N'),(20,5262429,'1',339,'N'),(20,5262453,'1',302,'N'),(20,5262461,'1',103,'N'),(20,5262470,'1',5,'N'),(20,5262488,'1',103,'N'),(20,5262496,'1',428,'N'),(20,5262496,'1A',424,'N'),(20,5262500,'1',333,'N'),(20,5262518,'1',214,'N'),(20,5262518,'1A',211,'N'),(20,5262526,'1',316,'N'),(20,5262534,'1',103,'N'),(20,5262542,'1',101,'N'),(20,5262550,'1',104,'N'),(20,5262569,'1',225,'N'),(20,5262577,'1',203,'N'),(20,5262577,'1A',208,'N'),(20,5262585,'1',302,'N'),(20,5262593,'1',103,'N'),(20,5262615,'1',653,'N'),(20,5262623,'1',208,'N'),(20,5262623,'1A',202,'N'),(20,5262640,'1',5,'N'),(20,5262658,'1',110,'N'),(20,5262666,'1',103,'N'),(20,5262674,'1',207,'N'),(20,5262682,'1',216,'N'),(20,5262682,'1A',201,'N'),(20,5262690,'1',303,'N'),(20,5262704,'1',103,'N'),(20,5262712,'1',207,'N'),(20,5262712,'1A',233,'N'),(20,5262720,'1',320,'N'),(20,5262739,'1',420,'N'),(20,5262747,'1',501,'N'),(20,5262755,'1',332,'N'),(20,5262763,'1',601,'N'),(20,5262763,'1A',211,'N'),(20,5262780,'1',9,'N'),(20,5262798,'1',216,'N'),(20,5262798,'1A',201,'N'),(20,5262801,'1',104,'N'),(20,5262810,'1',233,'N'),(20,5262810,'1A',238,'N'),(20,5262836,'1',103,'N'),(20,5262844,'1',216,'N'),(20,5262844,'1A',201,'N'),(20,5262852,'1',303,'N'),(20,5262860,'1',208,'N'),(20,5262879,'1',340,'N'),(20,5262887,'1',103,'N'),(20,5262895,'1',303,'N'),(20,5262909,'1',319,'N'),(20,5262917,'1',303,'N'),(20,5262925,'1',103,'N'),(20,5262933,'1',216,'N'),(20,5262933,'1A',213,'N'),(20,5262941,'1',201,'N'),(20,5262941,'1A',238,'N'),(20,5262950,'1',104,'N'),(20,5262968,'1',5,'N'),(20,5262984,'1',302,'N'),(20,5262992,'1',103,'N'),(20,5263000,'1',503,'N'),(20,5263018,'1',201,'N'),(20,5263018,'1A',207,'N'),(20,5263026,'1',207,'N'),(20,5263026,'1A',233,'N'),(20,5263034,'1',207,'N'),(20,5263034,'1A',201,'N'),(20,5263069,'1',340,'N'),(20,5263077,'1',238,'N'),(20,5263077,'1A',208,'N'),(20,5263085,'1',302,'N'),(20,5263093,'1',108,'N'),(20,5263107,'1',102,'N'),(20,5263115,'1',551,'N'),(20,5263123,'1',103,'N'),(20,5263158,'1',102,'N'),(20,5263166,'1',301,'N'),(20,5263174,'1',338,'N'),(20,5263182,'1',302,'N'),(20,5263190,'1',333,'N'),(20,5263204,'1',103,'N'),(20,5263212,'1',316,'N'),(20,5263239,'1',201,'N'),(20,5263239,'1A',203,'N'),(20,5263247,'1',415,'N'),(20,5263263,'1',101,'N'),(20,5263271,'1',216,'N'),(20,5263271,'1A',233,'N'),(20,5263280,'1',450,'N'),(20,5263298,'1',103,'N'),(20,5263301,'1',103,'N'),(20,5263310,'1',551,'N'),(20,5263328,'1',425,'N'),(20,5263328,'1A',423,'N'),(20,5263336,'1',653,'N'),(20,5263336,'1A',652,'N'),(20,5263344,'1',208,'N'),(20,5263352,'1',220,'N'),(20,5263352,'1A',208,'N'),(20,5263360,'1',203,'N'),(20,5263360,'1A',213,'N'),(20,5263387,'1',101,'N'),(20,5263395,'1',103,'N'),(20,5263425,'1',103,'N'),(20,5263441,'1',340,'N'),(20,5263450,'1',551,'N'),(20,5263468,'1',201,'N'),(20,5263468,'1A',233,'N'),(20,5263476,'1',5,'N'),(20,5263484,'1',203,'N'),(20,5263484,'1A',202,'N'),(20,5263492,'1',340,'N'),(20,5263514,'1',404,'N'),(20,5263522,'1',452,'N'),(20,5263530,'1',415,'N'),(20,5263557,'1',202,'N'),(20,5263557,'1A',203,'N'),(20,5263573,'1',207,'N'),(20,5263581,'1',308,'N'),(20,5263590,'1',211,'N'),(20,5263590,'1A',216,'N'),(20,5263603,'1',501,'N'),(20,5263611,'1',208,'N'),(20,5263611,'1A',238,'N'),(20,5263620,'1',303,'N'),(20,5263638,'1',5,'N'),(20,5263646,'1',331,'N'),(20,5263654,'1',502,'N'),(20,5263662,'1',309,'N'),(20,5263670,'1',201,'N'),(20,5263670,'1A',233,'N'),(20,5263689,'1',601,'N'),(20,5263697,'1',216,'N'),(20,5263697,'1A',215,'N'),(20,5263700,'1',551,'N'),(20,5263719,'1',5,'N'),(20,5263727,'1',303,'N'),(20,5263735,'1',216,'N'),(20,5263735,'1A',214,'N'),(20,5263743,'1',202,'N'),(20,5263743,'1A',235,'N'),(20,5263751,'1',103,'N'),(20,5263760,'1',332,'N'),(20,5263778,'1',104,'N'),(20,5263808,'1',316,'N'),(20,5263816,'1',203,'N'),(20,5263816,'1A',202,'N'),(20,5263824,'1',652,'N'),(20,5263824,'1A',653,'N'),(20,5263832,'1',601,'N'),(20,5263840,'1',301,'N'),(20,5263859,'1',308,'N'),(20,5263875,'1',420,'N'),(20,5263883,'1',5,'N'),(20,5263905,'1',201,'N'),(20,5263905,'1A',207,'N'),(20,5263921,'1',332,'N'),(20,5263930,'1',104,'N'),(20,5263948,'1',404,'N'),(20,5263956,'1',233,'N'),(20,5263956,'1A',202,'N'),(20,5263964,'1',319,'N'),(20,5263972,'1',207,'N'),(20,5263972,'1A',215,'N'),(20,5263980,'1',601,'N'),(20,5263980,'1A',653,'N'),(20,5263999,'1',340,'N'),(20,5264006,'1',339,'N'),(20,5264022,'1',203,'N'),(20,5264022,'1A',202,'N'),(20,5264049,'1',420,'N'),(20,5264057,'1',201,'N'),(20,5264065,'1',601,'N'),(20,5264065,'1A',203,'N'),(20,5264073,'1',104,'N'),(20,5264081,'1',551,'N'),(20,5264090,'1',103,'N'),(20,5264103,'1',308,'N'),(20,5264111,'1',501,'N'),(20,5264120,'1',104,'N'),(20,5264146,'1',332,'N'),(20,5264154,'1',103,'N'),(20,5264162,'1',340,'N'),(20,5264170,'1',203,'N'),(20,5264170,'1A',238,'N'),(20,5264189,'1',9,'N'),(20,5264197,'1',207,'N'),(20,5264197,'1A',216,'N'),(20,5264200,'1',336,'N'),(20,5264227,'1',421,'N'),(20,5264227,'1A',428,'N'),(20,5264243,'1',214,'N'),(20,5264243,'1A',238,'N'),(20,5264251,'1',318,'N'),(20,5264260,'1',103,'N'),(20,5264278,'1',102,'N'),(20,5264286,'1',103,'N'),(20,5264308,'1',207,'N'),(20,5264308,'1A',201,'N'),(20,5264316,'1',319,'N'),(20,5264324,'1',216,'N'),(20,5264324,'1A',213,'N'),(20,5264332,'1',404,'N'),(20,5264340,'1',104,'N'),(20,5264367,'1',320,'N'),(20,5264375,'1',319,'N'),(20,5264383,'1',319,'N'),(20,5264391,'1',103,'N'),(20,5264405,'1',103,'N'),(20,5264413,'1',101,'N'),(20,5264421,'1',101,'N'),(20,5264448,'1',308,'N'),(20,5264456,'1',207,'N'),(20,5264456,'1A',201,'N'),(20,5264464,'1',501,'N'),(20,5264472,'1',601,'N'),(20,5264480,'1',304,'N'),(20,5264499,'1',103,'N'),(20,5264502,'1',238,'N'),(20,5264502,'1A',202,'N'),(20,5264510,'1',211,'N'),(20,5264510,'1A',201,'N'),(20,5264529,'1',303,'N'),(20,5264537,'1',336,'N'),(20,5264545,'1',103,'N'),(20,5264553,'1',444,'N'),(20,5264561,'1',110,'N'),(20,5264588,'1',102,'N'),(20,5264596,'1',104,'N'),(20,5264600,'1',104,'N'),(20,5264618,'1',309,'N'),(20,5264626,'1',102,'N'),(20,5264634,'1',502,'N'),(20,5264642,'1',415,'N'),(20,5264650,'1',453,'N'),(20,5264669,'1',233,'N'),(20,5264669,'1A',220,'N'),(20,5264677,'1',601,'N'),(20,5264685,'1',203,'N'),(20,5264685,'1A',220,'N'),(20,5264693,'1',3,'N'),(20,5264715,'1',102,'N'),(20,5264723,'1',103,'N'),(20,5264740,'1',102,'N'),(20,5264758,'1',103,'N'),(20,5264766,'1',450,'N'),(20,5264774,'1',201,'N'),(20,5264774,'1A',215,'N'),(20,5264782,'1',415,'N'),(20,5264804,'1',214,'N'),(20,5264804,'1A',233,'N'),(20,5264812,'1',5,'N'),(20,5264820,'1',102,'N'),(20,5264839,'1',339,'N'),(20,5264847,'1',335,'N'),(20,5264863,'1',653,'N'),(20,5264863,'1A',202,'N'),(20,5264871,'1',109,'N'),(20,5264880,'1',103,'N'),(20,5264898,'1',503,'N'),(20,5264910,'1',652,'N'),(20,5264910,'1A',651,'N'),(20,5264936,'1',104,'N'),(20,5264944,'1',340,'N'),(20,5264952,'1',201,'N'),(20,5264952,'1A',212,'N'),(20,5264960,'1',103,'N'),(20,5264979,'1',319,'N'),(20,5264987,'1',331,'N'),(20,5264995,'1',502,'N'),(20,5265002,'1',235,'N'),(20,5265002,'1A',202,'N'),(20,5265010,'1',102,'N'),(20,5265037,'1',301,'N'),(20,5265053,'1',444,'N'),(20,5265061,'1',212,'N'),(20,5265061,'1A',213,'N'),(20,5265070,'1',333,'N'),(20,5265088,'1',326,'N'),(20,5265096,'1',103,'N'),(20,5265100,'1',201,'N'),(20,5265100,'1A',212,'N'),(20,5265126,'1',304,'N'),(20,5265134,'1',103,'N'),(20,5265142,'1',103,'N'),(20,5265150,'1',103,'N'),(20,5265169,'1',103,'N'),(20,5265177,'1',207,'N'),(20,5265185,'1',216,'N'),(20,5265185,'1A',215,'N'),(20,5265193,'1',420,'N'),(20,5265215,'1',103,'N'),(20,5265223,'1',207,'N'),(20,5265223,'1A',233,'N'),(20,5265231,'1',103,'N'),(20,5265258,'1',207,'N'),(20,5265258,'1A',653,'N'),(20,5265266,'1',103,'N'),(20,5265274,'1',450,'N'),(20,5265282,'1',331,'N'),(20,5265304,'1',319,'N'),(20,5265320,'1',103,'N'),(20,5265339,'1',425,'N'),(20,5265339,'1A',429,'N'),(20,5265347,'1',336,'N'),(20,5265363,'1',103,'N'),(20,5265371,'1',404,'N'),(20,5265380,'1',302,'N'),(20,5265398,'1',208,'N'),(20,5265398,'1A',202,'N'),(20,5265401,'1',103,'N'),(20,5265410,'1',303,'N'),(20,5265428,'1',103,'N'),(20,5265436,'1',429,'N'),(20,5265436,'1A',425,'N'),(20,5265444,'1',303,'N'),(20,5265452,'1',202,'N'),(20,5265452,'1A',235,'N'),(20,5265460,'1',103,'N'),(20,5265479,'1',103,'N'),(20,5265495,'1',318,'N'),(20,5265509,'1',103,'N'),(20,5265517,'1',9,'N'),(20,5265525,'1',212,'N'),(20,5265525,'1A',211,'N'),(20,5265533,'1',103,'N'),(20,5265541,'1',333,'N'),(20,5265550,'1',238,'N'),(20,5265550,'1A',207,'N'),(20,5265568,'1',103,'N'),(20,5265584,'1',103,'N'),(20,5265592,'1',453,'N'),(20,5265606,'1',216,'N'),(20,5265606,'1A',214,'N'),(20,5265614,'1',601,'N'),(20,5265614,'1A',215,'N'),(20,5265622,'1',103,'N'),(20,5265630,'1',103,'N'),(20,5265649,'1',326,'N'),(20,5265657,'1',203,'N'),(20,5265657,'1A',216,'N'),(20,5265665,'1',329,'N'),(20,5265673,'1',211,'N'),(20,5265673,'1A',215,'N'),(20,5265681,'1',415,'N'),(20,5265703,'1',319,'N'),(20,5265711,'1',220,'N'),(20,5265711,'1A',215,'N'),(20,5265720,'1',211,'N'),(20,5265720,'1A',215,'N'),(20,5265738,'1',201,'N'),(20,5265738,'1A',214,'N'),(20,5265746,'1',201,'N'),(20,5265746,'1A',212,'N'),(20,5265754,'1',238,'N'),(20,5265754,'1A',220,'N'),(20,5265762,'1',420,'N'),(20,5265770,'1',308,'N'),(20,5265789,'1',5,'N'),(20,5265800,'1',103,'N'),(20,5265827,'1',208,'N'),(20,5265827,'1A',652,'N'),(20,5265835,'1',339,'N'),(20,5265843,'1',9,'N'),(20,5265851,'1',103,'N'),(20,5265860,'1',316,'N'),(20,5265878,'1',211,'N'),(20,5265878,'1A',216,'N'),(20,5265886,'1',233,'N'),(20,5265886,'1A',211,'N'),(20,5265916,'1',238,'N'),(20,5265916,'1A',208,'N'),(20,5265932,'1',208,'N'),(20,5265932,'1A',201,'N'),(20,5265940,'1',301,'N'),(20,5265959,'1',104,'N'),(20,5265967,'1',103,'N'),(20,5265975,'1',303,'N'),(20,5265983,'1',103,'N'),(20,5265991,'1',340,'N'),(20,5266009,'1',207,'N'),(20,5266017,'1',203,'N'),(20,5266017,'1A',214,'N'),(20,5266025,'1',201,'N'),(20,5266025,'1A',207,'N'),(20,5266033,'1',207,'N'),(20,5266033,'1A',201,'N'),(20,5266041,'1',653,'N'),(20,5266041,'1A',651,'N'),(20,5266050,'1',5,'N'),(20,5266068,'1',211,'N'),(20,5266068,'1A',216,'N'),(20,5266076,'1',201,'N'),(20,5266076,'1A',211,'N'),(20,5266084,'1',103,'N'),(20,5266092,'1',201,'N'),(20,5266092,'1A',207,'N'),(20,5266106,'1',329,'N'),(20,5266114,'1',201,'N'),(20,5266114,'1A',207,'N'),(20,5266122,'1',233,'N'),(20,5266122,'1A',213,'N'),(20,5266130,'1',103,'N'),(20,5266149,'1',108,'N'),(20,5266157,'1',326,'N'),(20,5266165,'1',201,'N'),(20,5266165,'1A',212,'N'),(20,5266173,'1',202,'N'),(20,5266173,'1A',211,'N'),(20,5266181,'1',601,'N'),(20,5266190,'1',319,'N'),(20,5266203,'1',103,'N'),(20,5266211,'1',108,'N'),(20,5266220,'1',302,'N'),(20,5266246,'1',309,'N'),(20,5266254,'1',103,'N'),(20,5266262,'1',103,'N'),(20,5266270,'1',317,'N'),(20,5266289,'1',207,'N'),(20,5266289,'1A',212,'N'),(20,5266297,'1',201,'N'),(20,5266297,'1A',214,'N'),(20,5266300,'1',207,'N'),(20,5266300,'1A',201,'N'),(20,5266319,'1',653,'N'),(20,5266319,'1A',651,'N'),(20,5266327,'1',207,'N'),(20,5266335,'1',207,'N'),(20,5266335,'1A',201,'N'),(20,5266343,'1',207,'N'),(20,5266343,'1A',233,'N'),(20,5266351,'1',110,'N'),(20,5266360,'1',207,'N'),(20,5266386,'1',303,'N'),(20,5266394,'1',340,'N'),(20,5266408,'1',216,'N'),(20,5266408,'1A',203,'N'),(20,5266424,'1',103,'N'),(20,5266432,'1',110,'N'),(20,5266440,'1',310,'N'),(20,5266459,'1',203,'N'),(20,5266459,'1A',202,'N'),(20,5266467,'1',551,'N'),(20,5266475,'1',104,'N'),(20,5266483,'1',340,'N'),(20,5266491,'1',303,'N'),(20,5266505,'1',652,'N'),(20,5266513,'1',340,'N'),(20,5266521,'1',203,'N'),(20,5266521,'1A',201,'N'),(20,5266530,'1',203,'N'),(20,5266530,'1A',212,'N'),(20,5266548,'1',103,'N'),(20,5266556,'1',104,'N'),(20,5266572,'1',5,'N'),(20,5266599,'1',208,'N'),(20,5266599,'1A',238,'N'),(20,5266602,'1',103,'N'),(20,5266610,'1',103,'N'),(20,5266629,'1',108,'N'),(20,5266653,'1',319,'N'),(20,5266661,'1',104,'N'),(20,5266670,'1',428,'N'),(20,5266670,'1A',426,'N'),(20,5266688,'1',101,'N'),(20,5266726,'1',103,'N'),(20,5266734,'1',202,'N'),(20,5266734,'1A',213,'N'),(20,5266742,'1',203,'N'),(20,5266769,'1',444,'N'),(20,5266777,'1',415,'N'),(20,5266793,'1',309,'N'),(20,5266807,'1',215,'N'),(20,5266807,'1A',216,'N'),(20,5266815,'1',427,'N'),(20,5266815,'1A',425,'N'),(20,5266823,'1',320,'N'),(20,5266831,'1',103,'N'),(20,5266840,'1',104,'N'),(20,5266858,'1',103,'N'),(20,5266866,'1',340,'N'),(20,5266874,'1',203,'N'),(20,5266874,'1A',201,'N'),(20,5266882,'1',303,'N'),(20,5266890,'1',103,'N'),(20,5266904,'1',303,'N'),(20,5266912,'1',316,'N'),(20,5266920,'1',103,'N'),(20,5266939,'1',104,'N'),(20,5266947,'1',340,'N'),(20,5266955,'1',238,'N'),(20,5266955,'1A',208,'N'),(20,5266971,'1',207,'N'),(20,5266971,'1A',215,'N'),(20,5266980,'1',303,'N'),(20,5266998,'1',233,'N'),(20,5266998,'1A',202,'N'),(20,5267005,'1',211,'N'),(20,5267005,'1A',214,'N'),(20,5267013,'1',415,'N'),(20,5267021,'1',319,'N'),(20,5267048,'1',104,'N'),(20,5267056,'1',201,'N'),(20,5267056,'1A',213,'N'),(20,5267064,'1',201,'N'),(20,5267064,'1A',211,'N'),(20,5267080,'1',103,'N'),(20,5267099,'1',203,'N'),(20,5267099,'1A',214,'N'),(20,5267102,'1',103,'N'),(20,5267129,'1',203,'N'),(20,5267129,'1A',201,'N'),(20,5267137,'1',104,'N'),(20,5267145,'1',5,'N'),(20,5267153,'1',103,'N'),(20,5267161,'1',450,'N'),(20,5267170,'1',318,'N'),(20,5267188,'1',103,'N'),(20,5267196,'1',202,'N'),(20,5267196,'1A',235,'N'),(20,5267218,'1',103,'N'),(20,5267226,'1',103,'N'),(20,5267234,'1',9,'N'),(20,5267242,'1',103,'N'),(20,5267250,'1',653,'N'),(20,5267250,'1A',203,'N'),(20,5267269,'1',303,'N'),(20,5267277,'1',201,'N'),(20,5267277,'1A',653,'N'),(20,5267285,'1',201,'N'),(20,5267285,'1A',202,'N'),(20,5267293,'1',303,'N'),(20,5267315,'1',202,'N'),(20,5267315,'1A',203,'N'),(20,5267323,'1',317,'N'),(20,5267331,'1',5,'N'),(20,5267340,'1',103,'N'),(20,5267358,'1',215,'N'),(20,5267366,'1',233,'N'),(20,5267366,'1A',208,'N'),(20,5267382,'1',103,'N'),(20,5267390,'1',102,'N'),(20,5267404,'1',102,'N'),(20,5267412,'1',102,'N'),(20,5267439,'1',103,'N'),(20,5267455,'1',302,'N'),(20,5267463,'1',103,'N'),(20,5267471,'1',103,'N'),(20,5267498,'1',104,'N'),(20,5267501,'1',319,'N'),(20,5267528,'1',103,'N'),(20,5267536,'1',238,'N'),(20,5267560,'1',415,'N'),(20,5267579,'1',211,'N'),(20,5267579,'1A',233,'N'),(20,5267595,'1',202,'N'),(20,5267595,'1A',653,'N'),(20,5267609,'1',5,'N'),(20,5267617,'1',216,'N'),(20,5267617,'1A',653,'N'),(20,5267625,'1',601,'N'),(20,5267633,'1',234,'N'),(20,5267641,'1',103,'N'),(20,5267650,'1',211,'N'),(20,5267650,'1A',233,'N'),(20,5267668,'1',203,'N'),(20,5267668,'1A',220,'N'),(20,5267676,'1',103,'N'),(20,5267684,'1',108,'N'),(20,5267692,'1',103,'N'),(20,5267730,'1',207,'N'),(20,5267730,'1A',211,'N'),(20,5267749,'1',102,'N'),(20,5267757,'1',502,'N'),(20,5267765,'1',3,'N'),(20,5267790,'1',103,'N'),(20,5267803,'1',103,'N'),(20,5267820,'1',207,'N'),(20,5267820,'1A',216,'N'),(20,5267838,'1',203,'N'),(20,5267838,'1A',214,'N'),(20,5267846,'1',444,'N'),(20,5267854,'1',319,'N'),(20,5267862,'1',103,'N'),(20,5267870,'1',207,'N'),(20,5267870,'1A',201,'N'),(20,5267889,'1',103,'N'),(20,5267897,'1',327,'N'),(20,5267927,'1',103,'N'),(20,5267935,'1',233,'N'),(20,5267935,'1A',601,'N'),(20,5267943,'1',337,'N'),(20,5267951,'1',203,'N'),(20,5267960,'1',215,'N'),(20,5267960,'1A',208,'N'),(20,5267978,'1',104,'N'),(20,5267986,'1',104,'N'),(20,5267994,'1',301,'N'),(20,5268001,'1',222,'N'),(20,5268028,'1',551,'N'),(20,5268036,'1',103,'N'),(20,5268044,'1',303,'N'),(20,5268052,'1',103,'N'),(20,5268087,'1',207,'N'),(20,5268087,'1A',211,'N'),(20,5268095,'1',103,'N'),(20,5268109,'1',103,'N'),(20,5268117,'1',103,'N'),(20,5268125,'1',103,'N'),(20,5268133,'1',303,'N'),(20,5268150,'1',104,'N'),(20,5268168,'1',103,'N'),(20,5268176,'1',207,'N'),(20,5268192,'1',336,'N'),(20,5268206,'1',202,'N'),(20,5268206,'1A',203,'N'),(20,5268214,'1',102,'N'),(20,5268222,'1',316,'N'),(20,5268249,'1',653,'N'),(20,5268249,'1A',652,'N'),(20,5268265,'1',103,'N'),(20,5268273,'1',303,'N'),(20,5268281,'1',452,'N'),(20,5268290,'1',104,'N'),(20,5268303,'1',415,'N'),(20,5268311,'1',103,'N'),(20,5268320,'1',301,'N'),(20,5268338,'1',301,'N'),(20,5268346,'1',201,'N'),(20,5268354,'1',303,'N'),(20,5268362,'1',308,'N'),(20,5268370,'1',3,'N'),(20,5268389,'1',216,'N'),(20,5268389,'1A',653,'N'),(20,5268397,'1',103,'N'),(20,5268400,'1',207,'N'),(20,5268400,'1A',201,'N'),(20,5268419,'1',103,'N'),(20,5268427,'1',501,'N'),(20,5268435,'1',551,'N'),(20,5268443,'1',333,'N'),(20,5268460,'1',203,'N'),(20,5268478,'1',303,'N'),(20,5268486,'1',340,'N'),(20,5268508,'1',303,'N'),(20,5268516,'1',333,'N'),(20,5268524,'1',301,'N'),(20,5268532,'1',5,'N'),(20,5268540,'1',201,'N'),(20,5268540,'1A',212,'N'),(20,5268559,'1',426,'N'),(20,5268559,'1A',425,'N'),(20,5268575,'1',451,'N'),(20,5268583,'1',316,'N'),(20,5268591,'1',104,'N'),(20,5268605,'1',103,'N'),(20,5268613,'1',332,'N'),(20,5268621,'1',215,'N'),(20,5268621,'1A',216,'N'),(20,5268630,'1',103,'N'),(20,5268648,'1',207,'N'),(20,5268656,'1',318,'N'),(20,5268672,'1',651,'N'),(20,5268672,'1A',652,'N'),(20,5268680,'1',208,'N'),(20,5268702,'1',429,'N'),(20,5268702,'1A',425,'N'),(20,5268710,'1',452,'N'),(20,5268729,'1',103,'N'),(20,5268737,'1',415,'N'),(20,5268745,'1',327,'N'),(20,5268753,'1',333,'N'),(20,5268761,'1',601,'N'),(20,5268761,'1A',214,'N'),(20,5268770,'1',103,'N'),(20,5268788,'1',233,'N'),(20,5268788,'1A',220,'N'),(20,5268796,'1',653,'N'),(20,5268796,'1A',652,'N'),(20,5268800,'1',216,'N'),(20,5268800,'1A',211,'N'),(20,5268818,'1',207,'N'),(20,5268818,'1A',215,'N'),(20,5268826,'1',201,'N'),(20,5268826,'1A',203,'N'),(20,5268834,'1',415,'N'),(20,5268850,'1',317,'N'),(20,5268869,'1',320,'N'),(20,5268877,'1',5,'N'),(20,5268885,'1',103,'N'),(20,5268893,'1',303,'N'),(20,5268915,'1',203,'N'),(20,5268915,'1A',202,'N'),(20,5268923,'1',451,'N'),(20,5268931,'1',328,'N'),(20,5268940,'1',425,'N'),(20,5268940,'1A',428,'N'),(20,5268958,'1',103,'N'),(20,5268974,'1',211,'N'),(20,5268974,'1A',238,'N'),(20,5268982,'1',340,'N'),(20,5268990,'1',104,'N'),(20,5269008,'1',211,'N'),(20,5269008,'1A',215,'N'),(20,5269016,'1',207,'N'),(20,5269016,'1A',203,'N'),(20,5269024,'1',102,'N'),(20,5269032,'1',214,'N'),(20,5269032,'1A',213,'N'),(20,5269040,'1',551,'N'),(20,5269059,'1',103,'N'),(20,5269067,'1',103,'N'),(20,5269083,'1',104,'N'),(20,5269091,'1',220,'N'),(20,5269091,'1A',201,'N'),(20,5269105,'1',202,'N'),(20,5269105,'1A',220,'N'),(20,5269113,'1',653,'N'),(20,5269130,'1',203,'N'),(20,5269148,'1',103,'N'),(20,5269156,'1',103,'N'),(20,5269164,'1',451,'N'),(20,5269172,'1',551,'N'),(20,5269180,'1',502,'N'),(20,5269199,'1',104,'N'),(20,5269202,'1',301,'N'),(20,5269210,'1',302,'N'),(20,5269229,'1',103,'N'),(20,5269237,'1',103,'N'),(20,5269245,'1',320,'N'),(20,5269253,'1',319,'N'),(20,5269261,'1',301,'N'),(20,5269288,'1',203,'N'),(20,5269288,'1A',214,'N'),(20,5269296,'1',333,'N'),(20,5269300,'1',216,'N'),(20,5269300,'1A',207,'N'),(20,5269326,'1',415,'N'),(20,5269334,'1',103,'N'),(20,5269342,'1',207,'N'),(20,5269342,'1A',201,'N'),(20,5269350,'1',9,'N'),(20,5269369,'1',208,'N'),(20,5269393,'1',340,'N'),(20,5269407,'1',202,'N'),(20,5269407,'1A',601,'N'),(20,5269415,'1',207,'N'),(20,5269423,'1',103,'N'),(20,5269431,'1',103,'N'),(20,5269458,'1',103,'N'),(20,5269466,'1',103,'N'),(20,5269490,'1',216,'N'),(20,5269490,'1A',211,'N'),(20,5269512,'1',103,'N'),(20,5269520,'1',238,'N'),(20,5269520,'1A',208,'N'),(20,5269539,'1',201,'N'),(20,5269539,'1A',212,'N'),(20,5269555,'1',415,'N'),(20,5269563,'1',220,'N'),(20,5269563,'1A',203,'N'),(20,5269571,'1',317,'N'),(20,5269580,'1',303,'N'),(20,5269598,'1',329,'N'),(20,5269601,'1',102,'N'),(20,5269610,'1',102,'N'),(20,5269628,'1',110,'N'),(20,5269636,'1',5,'N'),(20,5269652,'1',207,'N'),(20,5269652,'1A',601,'N'),(20,5269687,'1',423,'N'),(20,5269687,'1A',428,'N'),(20,5269695,'1',317,'N'),(20,5269709,'1',318,'N'),(20,5269717,'1',320,'N'),(20,5269725,'1',453,'N'),(20,5269733,'1',420,'N'),(20,5269741,'1',103,'N'),(20,5269768,'1',207,'N'),(20,5269768,'1A',203,'N'),(20,5269776,'1',216,'N'),(20,5269776,'1A',208,'N'),(20,5269784,'1',308,'N'),(20,5269792,'1',304,'N'),(20,5269806,'1',235,'N'),(20,5269806,'1A',220,'N'),(20,5269814,'1',103,'N'),(20,5269849,'1',308,'N'),(20,5269857,'1',102,'N'),(20,5269865,'1',238,'N'),(20,5269873,'1',103,'N'),(20,5269881,'1',303,'N'),(20,5269903,'1',211,'N'),(20,5269903,'1A',216,'N'),(20,5269911,'1',220,'N'),(20,5269911,'1A',201,'N'),(20,5269938,'1',601,'N'),(20,5269954,'1',601,'N'),(20,5269954,'1A',203,'N'),(20,5269970,'1',234,'N'),(20,5270014,'1',319,'N'),(20,5270022,'1',203,'N'),(20,5270030,'1',103,'N'),(20,5270049,'1',103,'N'),(20,5270057,'1',201,'N'),(20,5270057,'1A',203,'N'),(20,5270065,'1',207,'N'),(20,5270065,'1A',211,'N'),(20,5270073,'1',415,'N'),(20,5270081,'1',5,'N'),(20,5270090,'1',324,'N'),(20,5270103,'1',201,'N'),(20,5270103,'1A',207,'N'),(20,5270120,'1',102,'N'),(20,5270138,'1',103,'N'),(20,5270146,'1',203,'N'),(20,5270146,'1A',214,'N'),(20,5270162,'1',651,'N'),(20,5270162,'1A',652,'N'),(20,5270170,'1',420,'N'),(20,5270189,'1',104,'N'),(20,5270200,'1',203,'N'),(20,5270200,'1A',233,'N'),(20,5270219,'1',103,'N'),(20,5270227,'1',336,'N'),(20,5270235,'1',108,'N'),(20,5270243,'1',316,'N'),(20,5270260,'1',203,'N'),(20,5270260,'1A',601,'N'),(20,5270286,'1',303,'N'),(20,5270294,'1',5,'N'),(20,5270308,'1',201,'N'),(20,5270308,'1A',212,'N'),(20,5270316,'1',103,'N'),(20,5270332,'1',501,'N'),(20,5270359,'1',211,'N'),(20,5270359,'1A',653,'N'),(20,5270367,'1',324,'N'),(20,5270383,'1',319,'N'),(20,5270391,'1',104,'N'),(20,5270405,'1',216,'N'),(20,5270405,'1A',233,'N'),(20,5270413,'1',103,'N'),(20,5270421,'1',653,'N'),(20,5270421,'1A',652,'N'),(20,5270448,'1',108,'N'),(20,5270456,'1',3,'N'),(20,5270464,'1',453,'N'),(20,5270472,'1',202,'N'),(20,5270472,'1A',235,'N'),(20,5270480,'1',202,'N'),(20,5270499,'1',104,'N'),(20,5270502,'1',103,'N'),(20,5270510,'1',103,'N'),(20,5270529,'1',340,'N'),(20,5270545,'1',224,'N'),(20,5270553,'1',501,'N'),(20,5270570,'1',101,'N'),(20,5270588,'1',205,'N'),(20,5270596,'1',201,'N'),(20,5270596,'1A',215,'N'),(20,5270600,'1',103,'N'),(20,5270618,'1',5,'N'),(20,5270626,'1',444,'N'),(20,5270634,'1',652,'N'),(20,5270634,'1A',653,'N'),(20,5270650,'1',220,'N'),(20,5270650,'1A',214,'N'),(20,5270669,'1',303,'N'),(20,5270677,'1',316,'N'),(20,5270693,'1',103,'N'),(20,5270707,'1',103,'N'),(20,5270715,'1',652,'N'),(20,5270723,'1',214,'N'),(20,5270723,'1A',211,'N'),(20,5270740,'1',316,'N'),(20,5270774,'1',103,'N'),(20,5270782,'1',317,'N'),(20,5270790,'1',339,'N'),(20,5270804,'1',207,'N'),(20,5270804,'1A',201,'N'),(20,5270812,'1',317,'N'),(20,5270820,'1',316,'N'),(20,5270839,'1',340,'N'),(20,5270847,'1',238,'N'),(20,5270847,'1A',208,'N'),(20,5270871,'1',201,'N'),(20,5270871,'1A',653,'N'),(20,5270880,'1',103,'N'),(20,5270898,'1',601,'N'),(20,5270901,'1',207,'N'),(20,5270901,'1A',201,'N'),(20,5270910,'1',207,'N'),(20,5270910,'1A',201,'N'),(20,5270928,'1',102,'N'),(20,5270936,'1',653,'N'),(20,5270944,'1',108,'N'),(20,5270960,'1',340,'N'),(20,5270979,'1',653,'N'),(20,5270979,'1A',652,'N'),(20,5270987,'1',308,'N'),(20,5271002,'1',104,'N'),(20,5271029,'1',238,'N'),(20,5271037,'1',214,'N'),(20,5271037,'1A',213,'N'),(20,5271053,'1',108,'N'),(20,5271061,'1',551,'N'),(20,5271070,'1',101,'N'),(20,5271088,'1',319,'N'),(20,5271096,'1',238,'N'),(20,5271096,'1A',208,'N'),(20,5271100,'1',207,'N'),(20,5271100,'1A',201,'N'),(20,5271118,'1',340,'N'),(20,5271126,'1',201,'N'),(20,5271126,'1A',207,'N'),(20,5271134,'1',3,'N'),(20,5271150,'1',415,'N'),(20,5271169,'1',5,'N'),(20,5271185,'1',234,'N'),(20,5271193,'1',108,'N'),(20,5271207,'1',215,'N'),(20,5271207,'1A',233,'N'),(20,5271215,'1',103,'N'),(20,5271223,'1',216,'N'),(20,5271223,'1A',215,'N'),(20,5271231,'1',5,'N'),(20,5271240,'1',203,'N'),(20,5271240,'1A',201,'N'),(20,5271258,'1',213,'N'),(20,5271258,'1A',653,'N'),(20,5271266,'1',103,'N'),(20,5271274,'1',201,'N'),(20,5271274,'1A',212,'N'),(20,5271282,'1',5,'N'),(20,5271290,'1',216,'N'),(20,5271304,'1',444,'N'),(20,5271320,'1',327,'N'),(20,5271347,'1',203,'N'),(20,5271347,'1A',220,'N'),(20,5271355,'1',238,'N'),(20,5271355,'1A',208,'N'),(20,5271363,'1',601,'N'),(20,5271363,'1A',653,'N'),(20,5271371,'1',303,'N'),(20,5271398,'1',103,'N'),(20,5271401,'1',501,'N'),(20,5271410,'1',316,'N'),(20,5271428,'1',444,'N'),(20,5271436,'1',501,'N'),(20,5271444,'1',201,'N'),(20,5271444,'1A',212,'N'),(20,5271452,'1',103,'N'),(20,5271460,'1',108,'N'),(20,5271479,'1',103,'N'),(20,5271487,'1',301,'N'),(20,5271509,'1',303,'N'),(20,5271517,'1',333,'N'),(20,5271533,'1',415,'N'),(20,5271550,'1',213,'N'),(20,5271550,'1A',601,'N'),(20,5271568,'1',429,'N'),(20,5271568,'1A',427,'N'),(20,5271576,'1',103,'N'),(20,5271584,'1',329,'N'),(20,5271592,'1',428,'N'),(20,5271592,'1A',426,'N'),(20,5271606,'1',103,'N'),(20,5271614,'1',108,'N'),(20,5271622,'1',108,'N'),(20,5271630,'1',316,'N'),(20,5271649,'1',324,'N'),(20,5271665,'1',319,'N'),(20,5271673,'1',207,'N'),(20,5271673,'1A',208,'N'),(20,5271681,'1',103,'N'),(20,5271690,'1',5,'N'),(20,5271703,'1',234,'N'),(20,5271711,'1',303,'N'),(20,5271738,'1',339,'N'),(20,5271746,'1',238,'N'),(20,5271746,'1A',202,'N'),(20,5271754,'1',103,'N'),(20,5271762,'1',329,'N'),(20,5271770,'1',211,'N'),(20,5271770,'1A',215,'N'),(20,5271789,'1',653,'N'),(20,5271797,'1',319,'N'),(20,5271800,'1',203,'N'),(20,5271800,'1A',601,'N'),(20,5271819,'1',103,'N'),(20,5271827,'1',207,'N'),(20,5271827,'1A',201,'N'),(20,5271835,'1',203,'N'),(20,5271835,'1A',235,'N'),(20,5271851,'1',201,'N'),(20,5271851,'1A',212,'N'),(20,5271860,'1',453,'N'),(20,5271878,'1',104,'N'),(20,5271886,'1',214,'N'),(20,5271886,'1A',212,'N'),(20,5271894,'1',331,'N'),(20,5271916,'1',102,'N'),(20,5271924,'1',207,'N'),(20,5271932,'1',201,'N'),(20,5271932,'1A',207,'N'),(20,5271940,'1',415,'N'),(20,5271959,'1',103,'N'),(20,5271967,'1',415,'N'),(20,5271983,'1',207,'N'),(20,5271983,'1A',208,'N'),(20,5271991,'1',551,'N'),(20,5272009,'1',201,'N'),(20,5272009,'1A',207,'N'),(20,5272017,'1',103,'N'),(20,5272025,'1',103,'N'),(20,5272033,'1',308,'N'),(20,5272041,'1',103,'N'),(20,5272050,'1',450,'N'),(20,5272076,'1',303,'N'),(20,5272084,'1',216,'N'),(20,5272084,'1A',208,'N'),(20,5272092,'1',302,'N'),(20,5272106,'1',225,'N'),(20,5272114,'1',303,'N'),(20,5272122,'1',424,'N'),(20,5272122,'1A',429,'N'),(20,5272130,'1',333,'N'),(20,5272157,'1',238,'N'),(20,5272157,'1A',208,'N'),(20,5272165,'1',450,'N'),(20,5272173,'1',203,'N'),(20,5272181,'1',404,'N'),(20,5272190,'1',303,'N'),(20,5272211,'1',444,'N'),(20,5272220,'1',103,'N'),(20,5272238,'1',444,'N'),(20,5272246,'1',235,'N'),(20,5272246,'1A',202,'N'),(20,5272262,'1',415,'N'),(20,5272270,'1',427,'N'),(20,5272270,'1A',424,'N'),(20,5272289,'1',340,'N'),(20,5272327,'1',103,'N'),(20,5272335,'1',202,'N'),(20,5272335,'1A',213,'N'),(20,5272343,'1',319,'N'),(20,5272351,'1',203,'N'),(20,5272351,'1A',220,'N'),(20,5272360,'1',317,'N'),(20,5272386,'1',319,'N'),(20,5272394,'1',332,'N'),(20,5272408,'1',103,'N'),(20,5272416,'1',318,'N'),(20,5272424,'1',202,'N'),(20,5272424,'1A',201,'N'),(20,5272432,'1',213,'N'),(20,5272432,'1A',215,'N'),(20,5272440,'1',104,'N'),(20,5272459,'1',103,'N'),(20,5272467,'1',415,'N'),(20,5272475,'1',103,'N'),(20,5272483,'1',5,'N'),(20,5272505,'1',301,'N'),(20,5272513,'1',302,'N'),(20,5272521,'1',451,'N'),(20,5272530,'1',424,'N'),(20,5272530,'1A',425,'N'),(20,5272556,'1',214,'N'),(20,5272556,'1A',212,'N'),(20,5272564,'1',103,'N'),(20,5272572,'1',103,'N'),(20,5272580,'1',220,'N'),(20,5272580,'1A',202,'N'),(20,5272599,'1',303,'N'),(20,5272602,'1',102,'N'),(20,5272610,'1',201,'N'),(20,5272610,'1A',212,'N'),(20,5272629,'1',103,'N'),(20,5272637,'1',425,'N'),(20,5272637,'1A',423,'N'),(20,5272645,'1',340,'N'),(20,5272653,'1',333,'N'),(20,5272661,'1',220,'N'),(20,5272661,'1A',202,'N'),(20,5272670,'1',238,'N'),(20,5272670,'1A',651,'N'),(20,5272688,'1',420,'N'),(20,5272696,'1',103,'N'),(20,5272700,'1',103,'N'),(20,5272718,'1',103,'N'),(20,5272726,'1',5,'N'),(20,5272734,'1',317,'N'),(20,5272742,'1',201,'N'),(20,5272742,'1A',215,'N'),(20,5272750,'1',108,'N'),(20,5272769,'1',201,'N'),(20,5272769,'1A',202,'N'),(20,5272777,'1',103,'N'),(20,5272785,'1',103,'N'),(20,5272793,'1',9,'N'),(20,5272807,'1',103,'N'),(20,5272815,'1',327,'N'),(20,5272823,'1',9,'N'),(20,5272831,'1',423,'N'),(20,5272831,'1A',424,'N'),(20,5272840,'1',652,'N'),(20,5272840,'1A',238,'N'),(20,5272858,'1',205,'N'),(20,5272866,'1',5,'N'),(20,5272874,'1',652,'N'),(20,5272874,'1A',651,'N'),(20,5272890,'1',333,'N'),(20,5272904,'1',5,'N'),(20,5272912,'1',202,'N'),(20,5272912,'1A',201,'N'),(20,5272920,'1',103,'N'),(20,5272939,'1',303,'N'),(20,5272947,'1',5,'N'),(20,5272955,'1',103,'N'),(20,5272963,'1',104,'N'),(20,5272971,'1',9,'N'),(20,5272980,'1',208,'N'),(20,5272980,'1A',238,'N'),(20,5272998,'1',303,'N'),(20,5273005,'1',203,'N'),(20,5273005,'1A',202,'N'),(20,5273013,'1',101,'N'),(20,5273021,'1',103,'N'),(20,5273030,'1',207,'N'),(20,5273030,'1A',201,'N'),(20,5273048,'1',103,'N'),(20,5273056,'1',214,'N'),(20,5273056,'1A',220,'N'),(20,5273064,'1',207,'N'),(20,5273064,'1A',201,'N'),(20,5273080,'1',203,'N'),(20,5273080,'1A',220,'N'),(20,5273099,'1',451,'N'),(20,5273102,'1',104,'N'),(20,5273129,'1',103,'N'),(20,5273137,'1',103,'N'),(20,5273153,'1',502,'N'),(20,5273161,'1',452,'N'),(20,5273170,'1',103,'N'),(20,5273188,'1',104,'N'),(20,5273196,'1',201,'N'),(20,5273196,'1A',215,'N'),(20,5273200,'1',340,'N'),(20,5273218,'1',203,'N'),(20,5273218,'1A',213,'N'),(20,5273226,'1',207,'N'),(20,5273234,'1',302,'N'),(20,5273242,'1',415,'N'),(20,5273269,'1',212,'N'),(20,5273277,'1',103,'N'),(20,5273285,'1',102,'N'),(20,5273293,'1',207,'N'),(20,5273293,'1A',201,'N'),(20,5273307,'1',302,'N'),(20,5273331,'1',601,'N'),(20,5273331,'1A',220,'N'),(20,5273340,'1',102,'N'),(20,5273358,'1',108,'N'),(20,5273366,'1',404,'N'),(20,5273374,'1',428,'N'),(20,5273374,'1A',421,'N'),(20,5273382,'1',207,'N'),(20,5273382,'1A',238,'N'),(20,5273390,'1',103,'N'),(20,5273404,'1',302,'N'),(20,5273412,'1',215,'N'),(20,5273412,'1A',211,'N'),(20,5273420,'1',415,'N'),(20,5273439,'1',110,'N'),(20,5273447,'1',202,'N'),(20,5273447,'1A',235,'N'),(20,5273455,'1',207,'N'),(20,5273455,'1A',201,'N'),(20,5273471,'1',318,'N'),(20,5273498,'1',2,'N'),(20,5273501,'1',103,'N'),(20,5273510,'1',103,'N'),(20,5273528,'1',238,'N'),(20,5273528,'1A',208,'N'),(20,5273536,'1',319,'N'),(20,5273544,'1',216,'N'),(20,5273544,'1A',653,'N'),(20,5273552,'1',653,'N'),(20,5273560,'1',225,'N'),(20,5273579,'1',103,'N'),(20,5273587,'1',208,'N'),(20,5273595,'1',238,'N'),(20,5273595,'1A',208,'N'),(20,5273609,'1',203,'N'),(20,5273609,'1A',207,'N'),(20,5273625,'1',203,'N'),(20,5273625,'1A',212,'N'),(20,5273641,'1',216,'N'),(20,5273641,'1A',201,'N'),(20,5273668,'1',220,'N'),(20,5273668,'1A',653,'N'),(20,5273676,'1',103,'N'),(20,5273684,'1',238,'N'),(20,5273684,'1A',213,'N'),(20,5273692,'1',103,'N'),(20,5273706,'1',9,'N'),(20,5273714,'1',208,'N'),(20,5273722,'1',103,'N'),(20,5273730,'1',5,'N'),(20,5273749,'1',103,'N'),(20,5273765,'1',103,'N'),(20,5273781,'1',423,'N'),(20,5273781,'1A',421,'N'),(20,5273790,'1',327,'N'),(20,5273803,'1',238,'N'),(20,5273803,'1A',202,'N'),(20,5273811,'1',215,'N'),(20,5273811,'1A',211,'N'),(20,5273838,'1',103,'N'),(20,5273846,'1',302,'N'),(20,5273854,'1',103,'N'),(20,5273862,'1',201,'N'),(20,5273862,'1A',208,'N'),(20,5273870,'1',212,'N'),(20,5273870,'1A',201,'N'),(20,5273889,'1',404,'N'),(20,5273897,'1',423,'N'),(20,5273897,'1A',424,'N'),(20,5273900,'1',103,'N'),(20,5273919,'1',451,'N'),(20,5273927,'1',319,'N'),(20,5273935,'1',103,'N'),(20,5273951,'1',451,'N'),(20,5273960,'1',203,'N'),(20,5273960,'1A',201,'N'),(20,5273986,'1',203,'N'),(20,5273986,'1A',214,'N'),(20,5273994,'1',319,'N'),(20,5274001,'1',316,'N'),(20,5274010,'1',425,'N'),(20,5274010,'1A',429,'N'),(20,5274028,'1',201,'N'),(20,5274028,'1A',212,'N'),(20,5274044,'1',103,'N'),(20,5274052,'1',302,'N'),(20,5274060,'1',216,'N'),(20,5274060,'1A',211,'N'),(20,5274087,'1',103,'N'),(20,5274095,'1',211,'N'),(20,5274095,'1A',216,'N'),(20,5274109,'1',101,'N'),(20,5274117,'1',303,'N'),(20,5274125,'1',319,'N'),(20,5274133,'1',301,'N'),(20,5274141,'1',310,'N'),(20,5274150,'1',326,'N'),(20,5274168,'1',340,'N'),(20,5274176,'1',104,'N'),(20,5274184,'1',103,'N'),(20,5274192,'1',331,'N'),(20,5274206,'1',309,'N'),(20,5274214,'1',301,'N'),(20,5274222,'1',103,'N'),(20,5274249,'1',5,'N'),(20,5274257,'1',103,'N'),(20,5274265,'1',502,'N'),(20,5274273,'1',202,'N'),(20,5274281,'1',103,'N'),(20,5274290,'1',340,'N'),(20,5274311,'1',211,'N'),(20,5274338,'1',220,'N'),(20,5274338,'1A',203,'N'),(20,5274346,'1',310,'N'),(20,5274354,'1',103,'N'),(20,5274362,'1',208,'N'),(20,5274362,'1A',238,'N'),(20,5274370,'1',102,'N'),(20,5274389,'1',103,'N'),(20,5274397,'1',301,'N'),(20,5274400,'1',104,'N'),(20,5274419,'1',5,'N'),(20,5274427,'1',108,'N'),(20,5274435,'1',339,'N'),(20,5274460,'1',324,'N'),(20,5274478,'1',220,'N'),(20,5274478,'1A',202,'N'),(20,5274486,'1',110,'N'),(20,5274494,'1',103,'N'),(20,5274508,'1',9,'N'),(20,5274516,'1',102,'N'),(20,5274524,'1',102,'N'),(20,5274532,'1',201,'N'),(20,5274532,'1A',601,'N'),(20,5274559,'1',653,'N'),(20,5274559,'1A',652,'N'),(20,5274567,'1',303,'N'),(20,5274575,'1',103,'N'),(20,5274583,'1',9,'N'),(20,5274613,'1',444,'N'),(20,5274621,'1',216,'N'),(20,5274621,'1A',215,'N'),(20,5274630,'1',103,'N'),(20,5274648,'1',102,'N'),(20,5274656,'1',201,'N'),(20,5274664,'1',202,'N'),(20,5274664,'1A',201,'N'),(20,5274672,'1',103,'N'),(20,5274680,'1',103,'N'),(20,5274699,'1',235,'N'),(20,5274699,'1A',203,'N'),(20,5274710,'1',104,'N'),(20,5274729,'1',103,'N'),(20,5274737,'1',5,'N'),(20,5274745,'1',103,'N'),(20,5274753,'1',216,'N'),(20,5274753,'1A',212,'N'),(20,5274761,'1',551,'N'),(20,5274770,'1',551,'N'),(20,5274788,'1',103,'N'),(20,5274796,'1',103,'N'),(20,5274800,'1',201,'N'),(20,5274800,'1A',212,'N'),(20,5274818,'1',216,'N'),(20,5274818,'1A',215,'N'),(20,5274834,'1',103,'N'),(20,5274842,'1',324,'N'),(20,5274850,'1',502,'N'),(20,5274869,'1',220,'N'),(20,5274869,'1A',203,'N'),(20,5274877,'1',317,'N'),(20,5274885,'1',208,'N'),(20,5274893,'1',103,'N'),(20,5274907,'1',308,'N'),(20,5274915,'1',9,'N'),(20,5274923,'1',308,'N'),(20,5274931,'1',238,'N'),(20,5274931,'1A',208,'N'),(20,5274940,'1',103,'N'),(20,5274958,'1',103,'N'),(20,5274974,'1',220,'N'),(20,5274974,'1A',203,'N'),(20,5274982,'1',202,'N'),(20,5274982,'1A',208,'N'),(20,5274990,'1',103,'N'),(20,5275008,'1',651,'N'),(20,5275008,'1A',652,'N'),(20,5275016,'1',208,'N'),(20,5275016,'1A',238,'N'),(20,5275024,'1',201,'N'),(20,5275024,'1A',216,'N'),(20,5275032,'1',211,'N'),(20,5275032,'1A',201,'N'),(20,5275040,'1',220,'N'),(20,5275040,'1A',208,'N'),(20,5275059,'1',503,'N'),(20,5275075,'1',319,'N'),(20,5275083,'1',201,'N'),(20,5275083,'1A',212,'N'),(20,5275091,'1',215,'N'),(20,5275091,'1A',211,'N'),(20,5275105,'1',208,'N'),(20,5275105,'1A',238,'N'),(20,5275113,'1',5,'N'),(20,5275121,'1',420,'N'),(20,5275130,'1',303,'N'),(20,5275148,'1',238,'N'),(20,5275148,'1A',208,'N'),(20,5275164,'1',103,'N'),(20,5275172,'1',103,'N'),(20,5275180,'1',318,'N'),(20,5275199,'1',103,'N'),(20,5275202,'1',333,'N'),(20,5275210,'1',404,'N'),(20,5275229,'1',202,'N'),(20,5275229,'1A',212,'N'),(20,5275245,'1',208,'N'),(20,5275245,'1A',235,'N'),(20,5275253,'1',203,'N'),(20,5275253,'1A',233,'N'),(20,5275270,'1',103,'N'),(20,5275288,'1',301,'N'),(20,5275296,'1',3,'N'),(20,5275300,'1',303,'N'),(20,5275318,'1',211,'N'),(20,5275318,'1A',201,'N'),(20,5275334,'1',302,'N'),(20,5275342,'1',104,'N'),(20,5275350,'1',333,'N'),(20,5275369,'1',203,'N'),(20,5275369,'1A',235,'N'),(20,5275377,'1',103,'N'),(20,5275385,'1',108,'N'),(20,5275393,'1',317,'N'),(20,5275407,'1',303,'N'),(20,5275415,'1',319,'N'),(20,5275423,'1',233,'N'),(20,5275431,'1',207,'N'),(20,5275431,'1A',201,'N'),(20,5275440,'1',233,'N'),(20,5275440,'1A',213,'N'),(20,5275458,'1',444,'N'),(20,5275466,'1',220,'N'),(20,5275466,'1A',202,'N'),(20,5275474,'1',317,'N'),(20,5275482,'1',339,'N'),(20,5275490,'1',420,'N'),(20,5275504,'1',103,'N'),(20,5275512,'1',203,'N'),(20,5275512,'1A',220,'N'),(20,5275520,'1',224,'N'),(20,5275539,'1',203,'N'),(20,5275539,'1A',601,'N'),(20,5275547,'1',324,'N'),(20,5275555,'1',203,'N'),(20,5275555,'1A',201,'N'),(20,5275563,'1',103,'N'),(20,5275571,'1',216,'N'),(20,5275571,'1A',211,'N'),(20,5275580,'1',207,'N'),(20,5275580,'1A',201,'N'),(20,5275598,'1',501,'N'),(20,5275610,'1',2,'N'),(20,5275628,'1',108,'N'),(20,5275636,'1',201,'N'),(20,5275636,'1A',238,'N'),(20,5275644,'1',102,'N'),(20,5275660,'1',336,'N'),(20,5275687,'1',318,'N'),(20,5275695,'1',318,'N'),(20,5275709,'1',308,'N'),(20,5275725,'1',103,'N'),(20,5275733,'1',223,'N'),(20,5275741,'1',201,'N'),(20,5275741,'1A',207,'N'),(20,5275750,'1',5,'N'),(20,5275776,'1',202,'N'),(20,5275776,'1A',213,'N'),(20,5275784,'1',214,'N'),(20,5275784,'1A',212,'N'),(20,5275792,'1',316,'N'),(20,5275806,'1',103,'N'),(20,5275814,'1',317,'N'),(20,5275822,'1',203,'N'),(20,5275822,'1A',216,'N'),(20,5275830,'1',103,'N'),(20,5275849,'1',303,'N'),(20,5275857,'1',501,'N'),(20,5275873,'1',212,'N'),(20,5275873,'1A',202,'N'),(20,5275881,'1',404,'N'),(20,5275911,'1',303,'N'),(20,5275920,'1',208,'N'),(20,5275920,'1A',238,'N'),(20,5275938,'1',319,'N'),(20,5275946,'1',336,'N'),(20,5275954,'1',429,'N'),(20,5275954,'1A',423,'N'),(20,5275962,'1',420,'N'),(20,5275970,'1',301,'N'),(20,5275989,'1',104,'N'),(20,5275997,'1',452,'N'),(20,5276004,'1',110,'N'),(20,5276012,'1',104,'N'),(20,5276020,'1',301,'N'),(20,5276039,'1',415,'N'),(20,5276047,'1',5,'N'),(20,5276063,'1',319,'N'),(20,5276071,'1',332,'N'),(20,5276098,'1',103,'N'),(20,5276101,'1',601,'N'),(20,5276110,'1',108,'N'),(20,5276128,'1',211,'N'),(20,5276128,'1A',216,'N'),(20,5276136,'1',103,'N'),(20,5276144,'1',103,'N'),(20,5276160,'1',420,'N'),(20,5276179,'1',102,'N'),(20,5276187,'1',213,'N'),(20,5276187,'1A',202,'N'),(20,5276195,'1',5,'N'),(20,5276209,'1',450,'N'),(20,5276225,'1',316,'N'),(20,5276233,'1',336,'N'),(20,5276250,'1',415,'N'),(20,5276268,'1',103,'N'),(20,5276276,'1',223,'N'),(20,5276292,'1',503,'N'),(20,5276306,'1',235,'N'),(20,5276306,'1A',238,'N'),(20,5276314,'1',420,'N'),(20,5276322,'1',103,'N'),(20,5276330,'1',9,'N'),(20,5276357,'1',103,'N'),(20,5276365,'1',211,'N'),(20,5276365,'1A',203,'N'),(20,5276373,'1',211,'N'),(20,5276373,'1A',238,'N'),(20,5276381,'1',329,'N'),(20,5276390,'1',216,'N'),(20,5276390,'1A',215,'N'),(20,5276403,'1',336,'N'),(20,5276411,'1',302,'N'),(20,5276420,'1',319,'N'),(20,5276438,'1',429,'N'),(20,5276438,'1A',427,'N'),(20,5276446,'1',211,'N'),(20,5276446,'1A',213,'N'),(20,5276454,'1',201,'N'),(20,5276454,'1A',653,'N'),(20,5276462,'1',103,'N'),(20,5276470,'1',103,'N'),(20,5276489,'1',9,'N'),(20,5276497,'1',503,'N'),(20,5276519,'1',316,'N'),(20,5276527,'1',103,'N'),(20,5276543,'1',324,'N'),(20,5276560,'1',653,'N'),(20,5276586,'1',104,'N'),(20,5276594,'1',238,'N'),(20,5276594,'1A',208,'N'),(20,5276608,'1',331,'N'),(20,5276616,'1',202,'N'),(20,5276616,'1A',213,'N'),(20,5276624,'1',103,'N'),(20,5276632,'1',211,'N'),(20,5276632,'1A',652,'N'),(20,5276640,'1',103,'N'),(20,5276659,'1',333,'N'),(20,5276667,'1',104,'N'),(20,5276683,'1',327,'N'),(20,5276691,'1',215,'N'),(20,5276691,'1A',216,'N'),(20,5276705,'1',5,'N'),(20,5276713,'1',329,'N'),(20,5276730,'1',303,'N'),(20,5276748,'1',319,'N'),(20,5276756,'1',333,'N'),(20,5276764,'1',103,'N'),(20,5276772,'1',452,'N'),(20,5276780,'1',220,'N'),(20,5276780,'1A',213,'N'),(20,5276799,'1',235,'N'),(20,5276799,'1A',215,'N'),(20,5276802,'1',103,'N'),(20,5276810,'1',317,'N'),(20,5276829,'1',201,'N'),(20,5276829,'1A',207,'N'),(20,5276837,'1',103,'N'),(20,5276845,'1',339,'N'),(20,5276853,'1',303,'N'),(20,5276861,'1',216,'N'),(20,5276861,'1A',203,'N'),(20,5276888,'1',601,'N'),(20,5276896,'1',652,'N'),(20,5276896,'1A',651,'N'),(20,5276900,'1',201,'N'),(20,5276900,'1A',203,'N'),(20,5276926,'1',216,'N'),(20,5276926,'1A',233,'N'),(20,5276934,'1',103,'N'),(20,5276942,'1',452,'N'),(20,5276950,'1',5,'N'),(20,5276969,'1',207,'N'),(20,5276969,'1A',215,'N'),(20,5276977,'1',103,'N'),(20,5276985,'1',238,'N'),(20,5276985,'1A',208,'N'),(20,5276993,'1',103,'N'),(20,5277000,'1',103,'N'),(20,5277019,'1',103,'N'),(20,5277027,'1',104,'N'),(20,5277035,'1',103,'N'),(20,5277043,'1',220,'N'),(20,5277051,'1',104,'N'),(20,5277060,'1',103,'N'),(20,5277078,'1',450,'N'),(20,5277086,'1',104,'N'),(20,5277094,'1',103,'N'),(20,5277108,'1',211,'N'),(20,5277108,'1A',213,'N'),(20,5277116,'1',9,'N'),(20,5277124,'1',207,'N'),(20,5277124,'1A',201,'N'),(20,5277159,'1',309,'N'),(20,5277167,'1',103,'N'),(20,5277175,'1',653,'N'),(20,5277183,'1',301,'N'),(20,5277191,'1',103,'N'),(20,5277221,'1',429,'N'),(20,5277221,'1A',426,'N'),(20,5277230,'1',303,'N'),(20,5277248,'1',216,'N'),(20,5277248,'1A',215,'N'),(20,5277256,'1',201,'N'),(20,5277256,'1A',212,'N'),(20,5277264,'1',340,'N'),(20,5277272,'1',652,'N'),(20,5277272,'1A',653,'N'),(20,5277280,'1',203,'N'),(20,5277280,'1A',601,'N'),(20,5277302,'1',316,'N'),(20,5277310,'1',423,'N'),(20,5277310,'1A',425,'N'),(20,5277337,'1',404,'N'),(20,5277345,'1',425,'N'),(20,5277345,'1A',424,'N'),(20,5277353,'1',103,'N'),(20,5277361,'1',452,'N'),(20,5277370,'1',103,'N'),(20,5277388,'1',235,'N'),(20,5277388,'1A',203,'N'),(20,5277396,'1',110,'N'),(20,5277400,'1',108,'N'),(20,5277426,'1',103,'N'),(20,5277442,'1',202,'N'),(20,5277442,'1A',235,'N'),(20,5277450,'1',103,'N'),(20,5277469,'1',336,'N'),(20,5277477,'1',103,'N'),(20,5277485,'1',103,'N'),(20,5277493,'1',203,'N'),(20,5277493,'1A',202,'N'),(20,5277507,'1',415,'N'),(20,5277515,'1',551,'N'),(20,5277523,'1',212,'N'),(20,5277523,'1A',215,'N'),(20,5277540,'1',201,'N'),(20,5277540,'1A',207,'N'),(20,5277558,'1',208,'N'),(20,5277558,'1A',235,'N'),(20,5277566,'1',202,'N'),(20,5277566,'1A',213,'N'),(20,5277574,'1',303,'N'),(20,5277582,'1',103,'N'),(20,5277590,'1',9,'N'),(20,5277604,'1',216,'N'),(20,5277604,'1A',214,'N'),(20,5277620,'1',103,'N'),(20,5277639,'1',220,'N'),(20,5277639,'1A',203,'N'),(20,5277647,'1',317,'N'),(20,5277655,'1',103,'N'),(20,5277663,'1',318,'N'),(20,5277671,'1',319,'N'),(20,5277698,'1',303,'N'),(20,5277710,'1',310,'N'),(20,5277744,'1',319,'N'),(20,5277752,'1',103,'N'),(20,5277760,'1',340,'N'),(20,5277779,'1',238,'N'),(20,5277779,'1A',208,'N'),(20,5277787,'1',428,'N'),(20,5277787,'1A',425,'N'),(20,5277795,'1',108,'N'),(20,5277809,'1',203,'N'),(20,5277809,'1A',202,'N'),(20,5277817,'1',451,'N'),(20,5277825,'1',203,'N'),(20,5277825,'1A',220,'N'),(20,5277841,'1',215,'N'),(20,5277841,'1A',207,'N'),(20,5277850,'1',201,'N'),(20,5277850,'1A',202,'N'),(20,5277868,'1',207,'N'),(20,5277868,'1A',201,'N'),(20,5277876,'1',308,'N'),(20,5277884,'1',310,'N'),(20,5277892,'1',302,'N'),(20,5277906,'1',331,'N'),(20,5277914,'1',103,'N'),(20,5277922,'1',203,'N'),(20,5277922,'1A',233,'N'),(20,5277930,'1',103,'N'),(20,5277949,'1',308,'N'),(20,5277957,'1',601,'N'),(20,5277957,'1A',215,'N'),(20,5277965,'1',303,'N'),(20,5277973,'1',5,'N'),(20,5277981,'1',102,'N'),(20,5277990,'1',202,'N'),(20,5277990,'1A',201,'N'),(20,5278007,'1',103,'N'),(20,5278023,'1',103,'N'),(20,5278031,'1',108,'N'),(20,5278058,'1',450,'N'),(20,5278066,'1',319,'N'),(20,5278074,'1',214,'N'),(20,5278074,'1A',212,'N'),(20,5278082,'1',103,'N'),(20,5278090,'1',5,'N'),(20,5278104,'1',212,'N'),(20,5278104,'1A',214,'N'),(20,5278112,'1',452,'N'),(20,5278120,'1',428,'N'),(20,5278120,'1A',426,'N'),(20,5278139,'1',203,'N'),(20,5278139,'1A',202,'N'),(20,5278147,'1',320,'N'),(20,5278155,'1',303,'N'),(20,5278163,'1',601,'N'),(20,5278163,'1A',238,'N'),(20,5278171,'1',340,'N'),(20,5278180,'1',404,'N'),(20,5278201,'1',103,'N'),(20,5278210,'1',214,'N'),(20,5278210,'1A',212,'N'),(20,5278228,'1',202,'N'),(20,5278228,'1A',235,'N'),(20,5278236,'1',202,'N'),(20,5278236,'1A',213,'N'),(20,5278244,'1',103,'N'),(20,5278252,'1',453,'N'),(20,5278260,'1',302,'N'),(20,5278279,'1',108,'N'),(20,5278287,'1',651,'N'),(20,5278287,'1A',653,'N'),(20,5278295,'1',238,'N'),(20,5278295,'1A',202,'N'),(20,5278309,'1',104,'N'),(20,5278317,'1',653,'N'),(20,5278317,'1A',211,'N'),(20,5278333,'1',216,'N'),(20,5278333,'1A',220,'N'),(20,5278341,'1',103,'N'),(20,5278350,'1',201,'N'),(20,5278350,'1A',212,'N'),(20,5278368,'1',316,'N'),(20,5278376,'1',332,'N'),(20,5278384,'1',208,'N'),(20,5278384,'1A',238,'N'),(20,5278406,'1',319,'N'),(20,5278414,'1',108,'N'),(20,5278422,'1',208,'N'),(20,5278449,'1',103,'N'),(20,5278465,'1',319,'N'),(20,5278481,'1',103,'N'),(20,5278511,'1',216,'N'),(20,5278511,'1A',215,'N'),(20,5278520,'1',203,'N'),(20,5278520,'1A',233,'N'),(20,5278538,'1',203,'N'),(20,5278538,'1A',653,'N'),(20,5278546,'1',340,'N'),(20,5278554,'1',103,'N'),(20,5278562,'1',216,'N'),(20,5278562,'1A',211,'N'),(20,5278597,'1',110,'N'),(20,5278619,'1',201,'N'),(20,5278619,'1A',212,'N'),(20,5278627,'1',202,'N'),(20,5278627,'1A',653,'N'),(20,5278635,'1',318,'N'),(20,5278643,'1',103,'N'),(20,5278651,'1',340,'N'),(20,5278660,'1',203,'N'),(20,5278660,'1A',601,'N'),(20,5278678,'1',103,'N'),(20,5278686,'1',601,'N'),(20,5278694,'1',108,'N'),(20,5278708,'1',203,'N'),(20,5278708,'1A',216,'N'),(20,5278716,'1',108,'N'),(20,5278732,'1',208,'N'),(20,5278732,'1A',238,'N'),(20,5278740,'1',104,'N'),(20,5278767,'1',319,'N'),(20,5278775,'1',301,'N'),(20,5278805,'1',423,'N'),(20,5278805,'1A',428,'N'),(20,5278813,'1',220,'N'),(20,5278813,'1A',216,'N'),(20,5278821,'1',201,'N'),(20,5278821,'1A',207,'N'),(20,5278848,'1',501,'N'),(20,5278856,'1',426,'N'),(20,5278856,'1A',429,'N'),(20,5278864,'1',201,'N'),(20,5278864,'1A',212,'N'),(20,5278872,'1',104,'N'),(20,5278880,'1',318,'N'),(20,5278902,'1',211,'N'),(20,5278902,'1A',201,'N'),(20,5278910,'1',424,'N'),(20,5278910,'1A',423,'N'),(20,5278929,'1',109,'N'),(20,5278937,'1',5,'N'),(20,5278945,'1',103,'N'),(20,5278953,'1',201,'N'),(20,5278961,'1',303,'N'),(20,5278970,'1',103,'N'),(20,5278988,'1',302,'N'),(20,5278996,'1',303,'N'),(20,5279011,'1',103,'N'),(20,5279020,'1',415,'N'),(20,5279038,'1',202,'N'),(20,5279038,'1A',652,'N'),(20,5279046,'1',340,'N'),(20,5279054,'1',319,'N'),(20,5279062,'1',103,'N'),(20,5279070,'1',425,'N'),(20,5279089,'1',450,'N'),(20,5279100,'1',203,'N'),(20,5279100,'1A',214,'N'),(20,5279127,'1',103,'N'),(20,5279135,'1',103,'N'),(20,5279143,'1',238,'N'),(20,5279143,'1A',653,'N'),(20,5279151,'1',327,'N'),(20,5279160,'1',551,'N'),(20,5279186,'1',304,'N'),(20,5279194,'1',309,'N'),(20,5279216,'1',303,'N'),(20,5279224,'1',103,'N'),(20,5279232,'1',9,'N'),(20,5279240,'1',339,'N'),(20,5279259,'1',304,'N'),(20,5279267,'1',207,'N'),(20,5279267,'1A',201,'N'),(20,5279275,'1',238,'N'),(20,5279275,'1A',208,'N'),(20,5279283,'1',5,'N'),(20,5279291,'1',103,'N'),(20,5279305,'1',302,'N'),(20,5279313,'1',404,'N'),(20,5279330,'1',502,'N'),(20,5279348,'1',201,'N'),(20,5279348,'1A',207,'N'),(20,5279356,'1',301,'N'),(20,5279364,'1',5,'N'),(20,5279372,'1',104,'N'),(20,5279380,'1',333,'N'),(20,5279399,'1',103,'N'),(20,5279402,'1',333,'N'),(20,5279429,'1',318,'N'),(20,5279437,'1',103,'N'),(20,5279445,'1',103,'N'),(20,5279453,'1',444,'N'),(20,5279461,'1',301,'N'),(20,5279470,'1',211,'N'),(20,5279470,'1A',215,'N'),(20,5279496,'1',103,'N'),(20,5279500,'1',303,'N'),(20,5279518,'1',203,'N'),(20,5279518,'1A',215,'N'),(20,5279526,'1',319,'N'),(20,5279534,'1',310,'N'),(20,5279550,'1',203,'N'),(20,5279550,'1A',601,'N'),(20,5279577,'1',301,'N'),(20,5279585,'1',103,'N'),(20,5279593,'1',103,'N'),(20,5279607,'1',110,'N'),(20,5279615,'1',5,'N'),(20,5279623,'1',103,'N'),(20,5279631,'1',103,'N'),(20,5279640,'1',103,'N'),(20,5279658,'1',5,'N'),(20,5279666,'1',308,'N'),(20,5279674,'1',108,'N'),(20,5279682,'1',319,'N'),(20,5279690,'1',453,'N'),(20,5279704,'1',201,'N'),(20,5279704,'1A',207,'N'),(20,5279712,'1',216,'N'),(20,5279712,'1A',653,'N'),(20,5279720,'1',339,'N'),(20,5279739,'1',304,'N'),(20,5279747,'1',103,'N'),(20,5279755,'1',201,'N'),(20,5279755,'1A',214,'N'),(20,5279763,'1',303,'N'),(20,5279771,'1',5,'N'),(20,5279780,'1',103,'N'),(20,5279798,'1',104,'N'),(20,5279810,'1',201,'N'),(20,5279810,'1A',207,'N'),(20,5279828,'1',415,'N'),(20,5279836,'1',301,'N'),(20,5279852,'1',238,'N'),(20,5279852,'1A',213,'N'),(20,5279860,'1',303,'N'),(20,5279879,'1',201,'N'),(20,5279879,'1A',207,'N'),(20,5279895,'1',103,'N'),(20,5279909,'1',301,'N'),(20,5279917,'1',238,'N'),(20,5279917,'1A',233,'N'),(20,5279925,'1',450,'N'),(20,5279933,'1',203,'N'),(20,5279933,'1A',201,'N'),(20,5279941,'1',103,'N'),(20,5279950,'1',103,'N'),(20,5279968,'1',102,'N'),(20,5279976,'1',444,'N'),(20,5279992,'1',415,'N'),(20,5280001,'1',201,'N'),(20,5280001,'1A',212,'N'),(20,5280010,'1',336,'N'),(20,5280028,'1',214,'N'),(20,5280028,'1A',213,'N'),(20,5280036,'1',333,'N'),(20,5280044,'1',103,'N'),(20,5280052,'1',216,'N'),(20,5280052,'1A',203,'N'),(20,5280060,'1',211,'N'),(20,5280060,'1A',213,'N'),(20,5280079,'1',108,'N'),(20,5280095,'1',601,'N'),(20,5280109,'1',207,'N'),(20,5280117,'1',429,'N'),(20,5280117,'1A',424,'N'),(20,5280125,'1',317,'N'),(20,5280133,'1',208,'N'),(20,5280133,'1A',238,'N'),(20,5280141,'1',103,'N'),(20,5280150,'1',303,'N'),(20,5280168,'1',103,'N'),(20,5280176,'1',103,'N'),(20,5280184,'1',103,'N'),(20,5280206,'1',211,'N'),(20,5280206,'1A',216,'N'),(20,5280214,'1',202,'N'),(20,5280214,'1A',235,'N'),(20,5280222,'1',208,'N'),(20,5280222,'1A',238,'N'),(20,5280230,'1',103,'N'),(20,5280249,'1',444,'N'),(20,5280257,'1',444,'N'),(20,5280273,'1',103,'N'),(20,5280281,'1',202,'N'),(20,5280281,'1A',233,'N'),(20,5280290,'1',601,'N'),(20,5280290,'1A',220,'N'),(20,5280303,'1',103,'N'),(20,5280311,'1',103,'N'),(20,5280320,'1',308,'N'),(20,5280338,'1',303,'N'),(20,5280346,'1',203,'N'),(20,5280346,'1A',201,'N'),(20,5280354,'1',238,'N'),(20,5280354,'1A',208,'N'),(20,5280362,'1',101,'N'),(20,5280370,'1',319,'N'),(20,5280389,'1',333,'N'),(20,5280397,'1',5,'N'),(20,5280400,'1',103,'N'),(20,5280419,'1',211,'N'),(20,5280419,'1A',601,'N'),(20,5280427,'1',503,'N'),(20,5280435,'1',303,'N'),(20,5280443,'1',103,'N'),(20,5280451,'1',108,'N'),(20,5280478,'1',319,'N'),(20,5280486,'1',202,'N'),(20,5280486,'1A',213,'N'),(20,5280494,'1',317,'N'),(20,5280516,'1',109,'N'),(20,5280524,'1',201,'N'),(20,5280524,'1A',215,'N'),(20,5280532,'1',9,'N'),(20,5280540,'1',224,'N'),(20,5280559,'1',207,'N'),(20,5280559,'1A',211,'N'),(20,5280583,'1',3,'N'),(20,5280591,'1',203,'N'),(20,5280591,'1A',214,'N'),(20,5280605,'1',109,'N'),(20,5280613,'1',337,'N'),(20,5280621,'1',303,'N'),(20,5280630,'1',201,'N'),(20,5280630,'1A',207,'N'),(20,5280656,'1',429,'N'),(20,5280656,'1A',425,'N'),(20,5280664,'1',103,'N'),(20,5280672,'1',102,'N'),(20,5280680,'1',201,'N'),(20,5280680,'1A',203,'N'),(20,5280699,'1',234,'N'),(20,5280702,'1',319,'N'),(20,5280710,'1',444,'N'),(20,5280729,'1',208,'N'),(20,5280729,'1A',238,'N'),(20,5280737,'1',5,'N'),(20,5280745,'1',103,'N'),(20,5280753,'1',220,'N'),(20,5280753,'1A',202,'N'),(20,5280770,'1',333,'N'),(20,5280788,'1',339,'N'),(20,5280796,'1',453,'N'),(20,5280800,'1',5,'N'),(20,5280818,'1',601,'N'),(20,5280818,'1A',653,'N'),(20,5280826,'1',104,'N'),(20,5280834,'1',211,'N'),(20,5280834,'1A',216,'N'),(20,5280842,'1',5,'N'),(20,5280850,'1',451,'N'),(20,5280869,'1',208,'N'),(20,5280869,'1A',238,'N'),(20,5280877,'1',653,'N'),(20,5280877,'1A',211,'N'),(20,5280885,'1',233,'N'),(20,5280885,'1A',215,'N'),(20,5280893,'1',308,'N'),(20,5280907,'1',234,'N'),(20,5280915,'1',452,'N'),(20,5280923,'1',9,'N'),(20,5280931,'1',103,'N'),(20,5280940,'1',444,'N'),(20,5280958,'1',201,'N'),(20,5280958,'1A',212,'N'),(20,5280966,'1',103,'N'),(20,5280974,'1',104,'N'),(20,5280990,'1',103,'N'),(20,5281008,'1',415,'N'),(20,5281016,'1',201,'N'),(20,5281016,'1A',208,'N'),(20,5281024,'1',103,'N'),(20,5281032,'1',301,'N'),(20,5281040,'1',103,'N'),(20,5281059,'1',103,'N'),(20,5281067,'1',110,'N'),(20,5281075,'1',108,'N'),(20,5281083,'1',319,'N'),(20,5281091,'1',207,'N'),(20,5281091,'1A',201,'N'),(20,5281105,'1',339,'N'),(20,5281121,'1',331,'N'),(20,5281130,'1',303,'N'),(20,5281148,'1',316,'N'),(20,5281156,'1',303,'N'),(20,5281164,'1',220,'N'),(20,5281164,'1A',203,'N'),(20,5281172,'1',223,'N'),(20,5281180,'1',216,'N'),(20,5281202,'1',235,'N'),(20,5281202,'1A',238,'N'),(20,5281210,'1',9,'N'),(20,5281229,'1',103,'N'),(20,5281237,'1',234,'N'),(20,5281245,'1',207,'N'),(20,5281245,'1A',201,'N'),(20,5281253,'1',103,'N'),(20,5281261,'1',3,'N'),(20,5281270,'1',202,'N'),(20,5281288,'1',104,'N'),(20,5281296,'1',201,'N'),(20,5281296,'1A',208,'N'),(20,5281300,'1',336,'N'),(20,5281318,'1',103,'N'),(20,5281326,'1',104,'N'),(20,5281334,'1',318,'N'),(20,5281342,'1',201,'N'),(20,5281342,'1A',233,'N'),(20,5281350,'1',212,'N'),(20,5281350,'1A',207,'N'),(20,5281377,'1',103,'N'),(20,5281385,'1',201,'N'),(20,5281385,'1A',212,'N'),(20,5281393,'1',5,'N'),(20,5281407,'1',104,'N'),(20,5281415,'1',453,'N'),(20,5281431,'1',329,'N'),(20,5281440,'1',451,'N'),(20,5281458,'1',452,'N'),(20,5281466,'1',308,'N'),(20,5281474,'1',551,'N'),(20,5281482,'1',452,'N'),(20,5281490,'1',324,'N'),(20,5281504,'1',103,'N'),(20,5281512,'1',326,'N'),(20,5281520,'1',303,'N'),(20,5281539,'1',425,'N'),(20,5281539,'1A',429,'N'),(20,5281547,'1',201,'N'),(20,5281547,'1A',202,'N'),(20,5281555,'1',501,'N'),(20,5281563,'1',103,'N'),(20,5281571,'1',233,'N'),(20,5281571,'1A',214,'N'),(20,5281580,'1',103,'N'),(20,5281598,'1',203,'N'),(20,5281598,'1A',201,'N'),(20,5281601,'1',103,'N'),(20,5281610,'1',427,'N'),(20,5281610,'1A',424,'N'),(20,5281628,'1',216,'N'),(20,5281628,'1A',233,'N'),(20,5281636,'1',233,'N'),(20,5281636,'1A',211,'N'),(20,5281644,'1',103,'N'),(20,5281652,'1',103,'N'),(20,5281660,'1',5,'N'),(20,5281679,'1',426,'N'),(20,5281679,'1A',428,'N'),(20,5281687,'1',202,'N'),(20,5281687,'1A',235,'N'),(20,5281709,'1',415,'N'),(20,5281717,'1',103,'N'),(20,5281725,'1',5,'N'),(20,5281733,'1',427,'N'),(20,5281733,'1A',424,'N'),(20,5281750,'1',2,'N'),(20,5281776,'1',103,'N'),(20,5281784,'1',234,'N'),(20,5281792,'1',301,'N'),(20,5281806,'1',340,'N'),(20,5281814,'1',303,'N'),(20,5281822,'1',102,'N'),(20,5281830,'1',332,'N'),(20,5281849,'1',103,'N'),(20,5281857,'1',201,'N'),(20,5281857,'1A',212,'N'),(20,5281873,'1',103,'N'),(20,5281881,'1',303,'N'),(20,5281890,'1',5,'N'),(20,5281903,'1',216,'N'),(20,5281903,'1A',201,'N'),(20,5281911,'1',103,'N'),(20,5281920,'1',103,'N'),(20,5281938,'1',203,'N'),(20,5281938,'1A',202,'N'),(20,5281946,'1',425,'N'),(20,5281946,'1A',429,'N'),(20,5281954,'1',316,'N'),(20,5281962,'1',103,'N'),(20,5281989,'1',427,'N'),(20,5281989,'1A',424,'N'),(20,5281997,'1',207,'N'),(20,5281997,'1A',208,'N'),(20,5282004,'1',103,'N'),(20,5282012,'1',103,'N'),(20,5282020,'1',103,'N'),(20,5282039,'1',103,'N'),(20,5282047,'1',238,'N'),(20,5282055,'1',601,'N'),(20,5282063,'1',208,'N'),(20,5282063,'1A',212,'N'),(20,5282071,'1',103,'N'),(20,5282098,'1',340,'N'),(20,5282101,'1',502,'N'),(20,5282110,'1',208,'N'),(20,5282110,'1A',238,'N'),(20,5282128,'1',216,'N'),(20,5282128,'1A',208,'N'),(20,5282136,'1',5,'N'),(20,5282144,'1',333,'N'),(20,5282152,'1',302,'N'),(20,5282160,'1',301,'N'),(20,5282179,'1',220,'N'),(20,5282179,'1A',202,'N'),(20,5282187,'1',339,'N'),(20,5282195,'1',319,'N'),(20,5282209,'1',103,'N'),(20,5282217,'1',104,'N'),(20,5282225,'1',202,'N'),(20,5282225,'1A',201,'N'),(20,5282233,'1',501,'N'),(20,5282241,'1',2,'N'),(20,5282250,'1',304,'N'),(20,5282268,'1',336,'N'),(20,5282276,'1',316,'N'),(20,5282284,'1',103,'N'),(20,5282292,'1',5,'N'),(20,5282306,'1',301,'N'),(20,5282314,'1',404,'N'),(20,5282322,'1',201,'N'),(20,5282322,'1A',207,'N'),(20,5282330,'1',208,'N'),(20,5282330,'1A',235,'N'),(20,5282357,'1',201,'N'),(20,5282357,'1A',212,'N'),(20,5282365,'1',102,'N'),(20,5282373,'1',653,'N'),(20,5282373,'1A',601,'N'),(20,5282381,'1',103,'N'),(20,5282390,'1',319,'N'),(20,5282403,'1',303,'N'),(20,5282411,'1',339,'N'),(20,5282420,'1',201,'N'),(20,5282420,'1A',238,'N'),(20,5282438,'1',601,'N'),(20,5282438,'1A',215,'N'),(20,5282446,'1',102,'N'),(20,5282462,'1',415,'N'),(20,5282470,'1',201,'N'),(20,5282489,'1',201,'N'),(20,5282489,'1A',233,'N'),(20,5282497,'1',104,'N'),(20,5282500,'1',103,'N'),(20,5282519,'1',303,'N'),(20,5282527,'1',319,'N'),(20,5282535,'1',303,'N'),(20,5282543,'1',225,'N'),(20,5282551,'1',301,'N'),(20,5282560,'1',340,'N'),(20,5282578,'1',303,'N'),(20,5282586,'1',5,'N'),(20,5282608,'1',203,'N'),(20,5282608,'1A',214,'N'),(20,5282616,'1',208,'N'),(20,5282616,'1A',201,'N'),(20,5282624,'1',444,'N'),(20,5282632,'1',103,'N'),(20,5282640,'1',309,'N'),(20,5282659,'1',415,'N'),(20,5282667,'1',235,'N'),(20,5282667,'1A',213,'N'),(20,5282675,'1',203,'N'),(20,5282675,'1A',214,'N'),(20,5282683,'1',103,'N'),(20,5282691,'1',103,'N'),(20,5282705,'1',309,'N'),(20,5282713,'1',5,'N'),(20,5282721,'1',103,'N'),(20,5282730,'1',208,'N'),(20,5282730,'1A',238,'N'),(20,5282748,'1',103,'N'),(20,5282756,'1',103,'N'),(20,5282764,'1',9,'N'),(20,5282772,'1',652,'N'),(20,5282772,'1A',651,'N'),(20,5282780,'1',103,'N'),(20,5282802,'1',103,'N'),(20,5282810,'1',104,'N'),(20,5282829,'1',303,'N'),(20,5282837,'1',208,'N'),(20,5282837,'1A',238,'N'),(20,5282845,'1',9,'N'),(20,5282853,'1',5,'N'),(20,5282870,'1',316,'N'),(20,5282888,'1',103,'N'),(20,5282896,'1',211,'N'),(20,5282896,'1A',216,'N'),(20,5282900,'1',103,'N'),(20,5282918,'1',201,'N'),(20,5282918,'1A',235,'N'),(20,5282926,'1',103,'N'),(20,5282934,'1',103,'N'),(20,5282942,'1',444,'N'),(20,5282950,'1',102,'N'),(20,5282969,'1',103,'N'),(20,5282977,'1',104,'N'),(20,5282985,'1',103,'N'),(20,5283000,'1',238,'N'),(20,5283000,'1A',216,'N'),(20,5283019,'1',301,'N'),(20,5283035,'1',103,'N'),(20,5283060,'1',319,'N'),(20,5283086,'1',238,'N'),(20,5283094,'1',324,'N'),(20,5283108,'1',103,'N'),(20,5283116,'1',319,'N'),(20,5283124,'1',304,'N'),(20,5283132,'1',601,'N'),(20,5283132,'1A',203,'N'),(20,5283140,'1',103,'N'),(20,5283159,'1',103,'N'),(20,5283167,'1',316,'N'),(20,5283175,'1',203,'N'),(20,5283175,'1A',214,'N'),(20,5283191,'1',651,'N'),(20,5283191,'1A',652,'N'),(20,5283205,'1',427,'N'),(20,5283205,'1A',423,'N'),(20,5283221,'1',324,'N'),(20,5283230,'1',202,'N'),(20,5283230,'1A',235,'N'),(20,5283248,'1',103,'N'),(20,5283256,'1',326,'N'),(20,5283264,'1',103,'N'),(20,5283272,'1',103,'N'),(20,5283280,'1',212,'N'),(20,5283280,'1A',233,'N'),(20,5283299,'1',207,'N'),(20,5283299,'1A',201,'N'),(20,5283302,'1',9,'N'),(20,5283310,'1',316,'N'),(20,5283329,'1',340,'N'),(20,5283337,'1',103,'N'),(20,5283345,'1',103,'N'),(20,5283353,'1',103,'N'),(20,5283361,'1',216,'N'),(20,5283361,'1A',211,'N'),(20,5283370,'1',216,'N'),(20,5283370,'1A',211,'N'),(20,5283388,'1',9,'N'),(20,5283400,'1',326,'N'),(20,5283418,'1',208,'N'),(20,5283426,'1',601,'N'),(20,5283426,'1A',214,'N'),(20,5283434,'1',101,'N'),(20,5283450,'1',207,'N'),(20,5283450,'1A',201,'N'),(20,5283469,'1',326,'N'),(20,5283507,'1',5,'N'),(20,5283515,'1',207,'N'),(20,5283515,'1A',212,'N'),(20,5283523,'1',319,'N'),(20,5283531,'1',303,'N'),(20,5283540,'1',415,'N'),(20,5283558,'1',208,'N'),(20,5283558,'1A',238,'N'),(20,5283566,'1',2,'N'),(20,5283574,'1',336,'N'),(20,5283582,'1',316,'N'),(20,5283590,'1',212,'N'),(20,5283590,'1A',207,'N'),(20,5283604,'1',103,'N'),(20,5283612,'1',211,'N'),(20,5283612,'1A',213,'N'),(20,5283620,'1',303,'N'),(20,5283639,'1',303,'N'),(20,5283647,'1',601,'N'),(20,5283647,'1A',653,'N'),(20,5283655,'1',308,'N'),(20,5283663,'1',109,'N'),(20,5283671,'1',207,'N'),(20,5283680,'1',451,'N'),(20,5283698,'1',103,'N'),(20,5283701,'1',301,'N'),(20,5283710,'1',102,'N'),(20,5283728,'1',302,'N'),(20,5283736,'1',335,'N'),(20,5283760,'1',203,'N'),(20,5283760,'1A',216,'N'),(20,5283779,'1',103,'N'),(20,5283787,'1',215,'N'),(20,5283787,'1A',207,'N'),(20,5283795,'1',304,'N'),(20,5283809,'1',415,'N'),(20,5283817,'1',208,'N'),(20,5283817,'1A',651,'N'),(20,5283825,'1',103,'N'),(20,5283841,'1',103,'N'),(20,5283850,'1',103,'N'),(20,5283868,'1',425,'N'),(20,5283868,'1A',429,'N'),(20,5283884,'1',444,'N'),(20,5283892,'1',103,'N'),(20,5283914,'1',319,'N'),(20,5283922,'1',340,'N'),(20,5283930,'1',453,'N'),(20,5283949,'1',340,'N'),(20,5283957,'1',103,'N'),(20,5283965,'1',103,'N'),(20,5283973,'1',5,'N'),(20,5283981,'1',450,'N'),(20,5283990,'1',601,'N'),(20,5283990,'1A',214,'N'),(20,5284007,'1',653,'N'),(20,5284007,'1A',652,'N'),(20,5284015,'1',103,'N'),(20,5284023,'1',203,'N'),(20,5284023,'1A',601,'N'),(20,5284031,'1',9,'N'),(20,5284040,'1',103,'N'),(20,5284058,'1',211,'N'),(20,5284058,'1A',216,'N'),(20,5284066,'1',203,'N'),(20,5284066,'1A',202,'N'),(20,5284074,'1',319,'N'),(20,5284082,'1',103,'N'),(20,5284090,'1',425,'N'),(20,5284090,'1A',429,'N'),(20,5284112,'1',104,'N'),(20,5284139,'1',303,'N'),(20,5284147,'1',3,'N'),(20,5284155,'1',102,'N'),(20,5284163,'1',339,'N'),(20,5284171,'1',339,'N'),(20,5284180,'1',211,'N'),(20,5284180,'1A',233,'N'),(20,5284198,'1',213,'N'),(20,5284198,'1A',202,'N'),(20,5284201,'1',103,'N'),(20,5284210,'1',220,'N'),(20,5284210,'1A',203,'N'),(20,5284228,'1',103,'N'),(20,5284236,'1',601,'N'),(20,5284236,'1A',213,'N'),(20,5284252,'1',103,'N'),(20,5284260,'1',238,'N'),(20,5284279,'1',320,'N'),(20,5284287,'1',502,'N'),(20,5284295,'1',316,'N'),(20,5284317,'1',319,'N'),(20,5284325,'1',320,'N'),(20,5284333,'1',5,'N'),(20,5284350,'1',331,'N'),(20,5284376,'1',339,'N'),(20,5284384,'1',339,'N'),(20,5284392,'1',103,'N'),(20,5284406,'1',202,'N'),(20,5284406,'1A',201,'N'),(20,5284414,'1',427,'N'),(20,5284422,'1',501,'N'),(20,5284430,'1',207,'N'),(20,5284430,'1A',201,'N'),(20,5284449,'1',316,'N'),(20,5284465,'1',212,'N'),(20,5284473,'1',450,'N'),(20,5284481,'1',324,'N'),(20,5284490,'1',234,'N'),(20,5284503,'1',222,'N'),(20,5284511,'1',233,'N'),(20,5284511,'1A',220,'N'),(20,5284520,'1',108,'N'),(20,5284562,'1',316,'N'),(20,5284570,'1',420,'N'),(20,5284597,'1',103,'N'),(20,5284600,'1',103,'N'),(20,5284619,'1',309,'N'),(20,5284627,'1',103,'N'),(20,5284635,'1',216,'N'),(20,5284635,'1A',233,'N'),(20,5284643,'1',404,'N'),(20,5284651,'1',5,'N'),(20,5284660,'1',103,'N'),(20,5284678,'1',302,'N'),(20,5284686,'1',203,'N'),(20,5284694,'1',340,'N'),(20,5284708,'1',225,'N'),(20,5284724,'1',316,'N'),(20,5284732,'1',103,'N'),(20,5284740,'1',207,'N'),(20,5284740,'1A',201,'N'),(20,5284759,'1',303,'N'),(20,5284767,'1',216,'N'),(20,5284767,'1A',214,'N'),(20,5284775,'1',333,'N'),(20,5284783,'1',502,'N'),(20,5284791,'1',340,'N'),(20,5284805,'1',101,'N'),(20,5284813,'1',214,'N'),(20,5284813,'1A',213,'N'),(20,5284821,'1',308,'N'),(20,5284830,'1',3,'N'),(20,5284848,'1',102,'N'),(20,5284856,'1',103,'N'),(20,5284864,'1',444,'N'),(20,5284872,'1',104,'N'),(20,5284880,'1',203,'N'),(20,5284899,'1',202,'N'),(20,5284899,'1A',213,'N'),(20,5284902,'1',103,'N'),(20,5284910,'1',201,'N'),(20,5284910,'1A',212,'N'),(20,5284937,'1',103,'N'),(20,5284945,'1',203,'N'),(20,5284945,'1A',220,'N'),(20,5284953,'1',301,'N'),(20,5284961,'1',308,'N'),(20,5284988,'1',215,'N'),(20,5284988,'1A',201,'N'),(20,5284996,'1',104,'N'),(20,5285011,'1',103,'N'),(20,5285020,'1',310,'N'),(20,5285054,'1',319,'N'),(20,5285062,'1',316,'N'),(20,5285089,'1',317,'N'),(20,5285097,'1',103,'N'),(20,5285100,'1',317,'N'),(20,5285119,'1',109,'N'),(20,5285127,'1',101,'N'),(20,5285135,'1',3,'N'),(20,5285143,'1',316,'N'),(20,5285151,'1',331,'N'),(20,5285160,'1',211,'N'),(20,5285160,'1A',215,'N'),(20,5285178,'1',340,'N'),(20,5285186,'1',103,'N'),(20,5285194,'1',201,'N'),(20,5285194,'1A',220,'N'),(20,5285208,'1',110,'N'),(20,5285224,'1',212,'N'),(20,5285224,'1A',213,'N'),(20,5285232,'1',453,'N'),(20,5285240,'1',207,'N'),(20,5285240,'1A',201,'N'),(20,5285259,'1',208,'N'),(20,5285259,'1A',601,'N'),(20,5285267,'1',103,'N'),(20,5285275,'1',316,'N'),(20,5285283,'1',304,'N'),(20,5285291,'1',201,'N'),(20,5285291,'1A',207,'N'),(20,5285305,'1',319,'N'),(20,5285321,'1',103,'N'),(20,5285330,'1',304,'N'),(20,5285348,'1',327,'N'),(20,5285356,'1',336,'N'),(20,5285364,'1',203,'N'),(20,5285364,'1A',233,'N'),(20,5285372,'1',309,'N'),(20,5285380,'1',234,'N'),(20,5285399,'1',501,'N'),(20,5285410,'1',301,'N'),(20,5285429,'1',104,'N'),(20,5285437,'1',339,'N'),(20,5285445,'1',216,'N'),(20,5285445,'1A',215,'N'),(20,5285453,'1',220,'N'),(20,5285453,'1A',216,'N'),(20,5285461,'1',339,'N'),(20,5285488,'1',203,'N'),(20,5285488,'1A',213,'N'),(20,5285500,'1',301,'N'),(20,5285518,'1',103,'N'),(20,5285550,'1',328,'N'),(20,5285577,'1',201,'N'),(20,5285577,'1A',202,'N'),(20,5285585,'1',203,'N'),(20,5285585,'1A',601,'N'),(20,5285593,'1',203,'N'),(20,5285593,'1A',201,'N'),(20,5285607,'1',238,'N'),(20,5285607,'1A',201,'N'),(20,5285615,'1',213,'N'),(20,5285615,'1A',202,'N'),(20,5285623,'1',316,'N'),(20,5285631,'1',103,'N'),(20,5285640,'1',327,'N'),(20,5285666,'1',211,'N'),(20,5285666,'1A',238,'N'),(20,5285674,'1',404,'N'),(20,5285690,'1',301,'N'),(20,5285704,'1',501,'N'),(20,5285712,'1',452,'N'),(20,5285720,'1',104,'N'),(20,5285739,'1',220,'N'),(20,5285739,'1A',203,'N'),(20,5285747,'1',214,'N'),(20,5285747,'1A',213,'N'),(20,5285755,'1',319,'N'),(20,5285763,'1',302,'N'),(20,5285771,'1',207,'N'),(20,5285771,'1A',201,'N'),(20,5285780,'1',319,'N'),(20,5285798,'1',601,'N'),(20,5285798,'1A',202,'N'),(20,5285810,'1',5,'N'),(20,5285828,'1',103,'N'),(20,5285836,'1',309,'N'),(20,5285844,'1',601,'N'),(20,5285852,'1',216,'N'),(20,5285852,'1A',211,'N'),(20,5285860,'1',207,'N'),(20,5285860,'1A',208,'N'),(20,5285879,'1',216,'N'),(20,5285879,'1A',215,'N'),(20,5285895,'1',336,'N'),(20,5285909,'1',601,'N'),(20,5285909,'1A',214,'N'),(20,5285917,'1',109,'N'),(20,5285925,'1',103,'N'),(20,5285941,'1',207,'N'),(20,5285950,'1',207,'N'),(20,5285950,'1A',212,'N'),(20,5285968,'1',404,'N'),(20,5285976,'1',103,'N'),(20,5285984,'1',103,'N'),(20,5286000,'1',211,'N'),(20,5286000,'1A',601,'N'),(20,5286018,'1',202,'N'),(20,5286018,'1A',201,'N'),(20,5286026,'1',301,'N'),(20,5286034,'1',339,'N'),(20,5286042,'1',303,'N'),(20,5286050,'1',203,'N'),(20,5286050,'1A',214,'N'),(20,5286069,'1',238,'N'),(20,5286069,'1A',208,'N'),(20,5286085,'1',202,'N'),(20,5286085,'1A',203,'N'),(20,5286093,'1',238,'N'),(20,5286093,'1A',208,'N'),(20,5286107,'1',320,'N'),(20,5286115,'1',601,'N'),(20,5286123,'1',444,'N'),(20,5286131,'1',5,'N'),(20,5286140,'1',303,'N'),(20,5286158,'1',339,'N'),(20,5286166,'1',103,'N'),(20,5286174,'1',103,'N'),(20,5286182,'1',103,'N'),(20,5286190,'1',551,'N'),(20,5286204,'1',308,'N'),(20,5286212,'1',421,'N'),(20,5286220,'1',303,'N'),(20,5286239,'1',211,'N'),(20,5286239,'1A',212,'N'),(20,5286247,'1',103,'N'),(20,5286263,'1',201,'N'),(20,5286263,'1A',212,'N'),(20,5286271,'1',201,'N'),(20,5286271,'1A',212,'N'),(20,5286298,'1',103,'N'),(20,5286301,'1',220,'N'),(20,5286301,'1A',203,'N'),(20,5286310,'1',103,'N'),(20,5286328,'1',103,'N'),(20,5286336,'1',103,'N'),(20,5286344,'1',103,'N'),(20,5286352,'1',104,'N'),(20,5286360,'1',235,'N'),(20,5286360,'1A',202,'N'),(20,5286379,'1',101,'N'),(20,5286387,'1',203,'N'),(20,5286387,'1A',220,'N'),(20,5286395,'1',211,'N'),(20,5286395,'1A',207,'N'),(20,5286409,'1',332,'N'),(20,5286417,'1',103,'N'),(20,5286425,'1',201,'N'),(20,5286425,'1A',215,'N'),(20,5286433,'1',415,'N'),(20,5286441,'1',303,'N'),(20,5286468,'1',319,'N'),(20,5286476,'1',212,'N'),(20,5286476,'1A',214,'N'),(20,5286484,'1',5,'N'),(20,5286506,'1',653,'N'),(20,5286506,'1A',203,'N'),(20,5286514,'1',336,'N'),(20,5286522,'1',103,'N'),(20,5286530,'1',212,'N'),(20,5286530,'1A',214,'N'),(20,5286549,'1',212,'N'),(20,5286549,'1A',214,'N'),(20,5286557,'1',452,'N'),(20,5286565,'1',423,'N'),(20,5286565,'1A',425,'N'),(20,5286573,'1',317,'N'),(20,5286581,'1',207,'N'),(20,5286581,'1A',211,'N'),(20,5286603,'1',303,'N'),(20,5286611,'1',452,'N'),(20,5286620,'1',301,'N'),(20,5286638,'1',452,'N'),(20,5286646,'1',103,'N'),(20,5286654,'1',601,'N'),(20,5286654,'1A',203,'N'),(20,5286662,'1',108,'N'),(20,5286689,'1',415,'N'),(20,5286697,'1',332,'N'),(20,5286700,'1',214,'N'),(20,5286700,'1A',212,'N'),(20,5286719,'1',215,'N'),(20,5286719,'1A',235,'N'),(20,5286727,'1',103,'N'),(20,5286743,'1',211,'N'),(20,5286743,'1A',203,'N'),(20,5286751,'1',208,'N'),(20,5286751,'1A',203,'N'),(20,5286760,'1',652,'N'),(20,5286778,'1',212,'N'),(20,5286778,'1A',201,'N'),(20,5286786,'1',404,'N'),(20,5286794,'1',103,'N'),(20,5286808,'1',420,'N'),(20,5286816,'1',108,'N'),(20,5286824,'1',215,'N'),(20,5286824,'1A',652,'N'),(20,5286832,'1',319,'N'),(20,5286840,'1',207,'N'),(20,5286840,'1A',201,'N'),(20,5286859,'1',452,'N'),(20,5286867,'1',452,'N'),(20,5286875,'1',316,'N'),(20,5286883,'1',207,'N'),(20,5286883,'1A',201,'N'),(20,5286891,'1',102,'N'),(20,5286905,'1',202,'N'),(20,5286905,'1A',208,'N'),(20,5286913,'1',101,'N'),(20,5286921,'1',211,'N'),(20,5286921,'1A',215,'N'),(20,5286930,'1',652,'N'),(20,5286930,'1A',651,'N'),(20,5286948,'1',316,'N'),(20,5286956,'1',214,'N'),(20,5286956,'1A',216,'N'),(20,5286964,'1',214,'N'),(20,5286964,'1A',212,'N'),(20,5286972,'1',319,'N'),(20,5286980,'1',103,'N'),(20,5286999,'1',103,'N'),(20,5287006,'1',415,'N'),(20,5287022,'1',233,'N'),(20,5287022,'1A',235,'N'),(20,5287030,'1',104,'N'),(20,5287049,'1',502,'N'),(20,5287057,'1',331,'N'),(20,5287065,'1',303,'N'),(20,5287073,'1',444,'N'),(20,5287111,'1',301,'N'),(20,5287120,'1',216,'N'),(20,5287120,'1A',203,'N'),(20,5287138,'1',337,'N'),(20,5287146,'1',319,'N'),(20,5287154,'1',301,'N'),(20,5287162,'1',333,'N'),(20,5287170,'1',502,'N'),(20,5287189,'1',220,'N'),(20,5287189,'1A',201,'N'),(20,5287197,'1',238,'N'),(20,5287197,'1A',208,'N'),(20,5287200,'1',319,'N'),(20,5287219,'1',214,'N'),(20,5287219,'1A',233,'N'),(20,5287227,'1',208,'N'),(20,5287227,'1A',238,'N'),(20,5287243,'1',207,'N'),(20,5287243,'1A',601,'N'),(20,5287251,'1',319,'N'),(20,5287260,'1',319,'N'),(20,5287278,'1',103,'N'),(20,5287286,'1',301,'N'),(20,5287294,'1',103,'N'),(20,5287308,'1',317,'N'),(20,5287316,'1',316,'N'),(20,5287324,'1',103,'N'),(20,5287332,'1',339,'N'),(20,5287340,'1',211,'N'),(20,5287340,'1A',215,'N'),(20,5287359,'1',301,'N'),(20,5287367,'1',5,'N'),(20,5287375,'1',319,'N'),(20,5287383,'1',104,'N'),(20,5287391,'1',304,'N'),(20,5287405,'1',104,'N'),(20,5287421,'1',302,'N'),(20,5287430,'1',601,'N'),(20,5287430,'1A',203,'N'),(20,5287448,'1',339,'N'),(20,5287456,'1',201,'N'),(20,5287456,'1A',212,'N'),(20,5287472,'1',211,'N'),(20,5287472,'1A',201,'N'),(20,5287480,'1',238,'N'),(20,5287480,'1A',652,'N'),(20,5287499,'1',5,'N'),(20,5287502,'1',203,'N'),(20,5287502,'1A',220,'N'),(20,5287510,'1',302,'N'),(20,5287537,'1',103,'N'),(20,5287545,'1',404,'N'),(20,5287553,'1',303,'N'),(20,5287561,'1',203,'N'),(20,5287561,'1A',214,'N'),(20,5287570,'1',201,'N'),(20,5287570,'1A',211,'N'),(20,5287588,'1',203,'N'),(20,5287588,'1A',214,'N'),(20,5287596,'1',502,'N'),(20,5287600,'1',207,'N'),(20,5287600,'1A',211,'N'),(20,5287618,'1',212,'N'),(20,5287618,'1A',213,'N'),(20,5287626,'1',212,'N'),(20,5287626,'1A',208,'N'),(20,5287634,'1',319,'N'),(20,5287642,'1',9,'N'),(20,5287650,'1',104,'N'),(20,5287669,'1',103,'N'),(20,5287685,'1',238,'N'),(20,5287685,'1A',208,'N'),(20,5287693,'1',429,'N'),(20,5287693,'1A',425,'N'),(20,5287707,'1',220,'N'),(20,5287707,'1A',203,'N'),(20,5287715,'1',426,'N'),(20,5287715,'1A',423,'N'),(20,5287723,'1',203,'N'),(20,5287723,'1A',601,'N'),(20,5287731,'1',102,'N'),(20,5287740,'1',103,'N'),(20,5287758,'1',452,'N'),(20,5287766,'1',202,'N'),(20,5287766,'1A',601,'N'),(20,5287774,'1',233,'N'),(20,5287774,'1A',601,'N'),(20,5287782,'1',103,'N'),(20,5287804,'1',302,'N'),(20,5287820,'1',213,'N'),(20,5287820,'1A',211,'N'),(20,5287839,'1',102,'N'),(20,5287847,'1',103,'N'),(20,5287855,'1',103,'N'),(20,5287863,'1',208,'N'),(20,5287863,'1A',238,'N'),(20,5287871,'1',213,'N'),(20,5287871,'1A',214,'N'),(20,5287898,'1',103,'N'),(20,5287910,'1',319,'N'),(20,5287928,'1',340,'N'),(20,5287936,'1',216,'N'),(20,5287936,'1A',215,'N'),(20,5287944,'1',103,'N'),(20,5287952,'1',103,'N'),(20,5287960,'1',103,'N'),(20,5287979,'1',238,'N'),(20,5287979,'1A',208,'N'),(20,5287987,'1',501,'N'),(20,5287995,'1',238,'N'),(20,5287995,'1A',208,'N'),(20,5288002,'1',5,'N'),(20,5288010,'1',333,'N'),(20,5288029,'1',103,'N'),(20,5288037,'1',316,'N'),(20,5288045,'1',5,'N'),(20,5288053,'1',5,'N'),(20,5288070,'1',304,'N'),(20,5288088,'1',340,'N'),(20,5288096,'1',308,'N'),(20,5288100,'1',214,'N'),(20,5288100,'1A',601,'N'),(20,5288118,'1',238,'N'),(20,5288118,'1A',208,'N'),(20,5288126,'1',601,'N'),(20,5288126,'1A',208,'N'),(20,5288134,'1',5,'N'),(20,5288142,'1',202,'N'),(20,5288142,'1A',213,'N'),(20,5288150,'1',653,'N'),(20,5288150,'1A',652,'N'),(20,5288169,'1',103,'N'),(20,5288177,'1',103,'N'),(20,5288185,'1',203,'N'),(20,5288185,'1A',220,'N'),(20,5288193,'1',104,'N'),(20,5288207,'1',452,'N'),(20,5288240,'1',103,'N'),(20,5288258,'1',103,'N'),(20,5288266,'1',203,'N'),(20,5288266,'1A',211,'N'),(20,5288282,'1',316,'N'),(20,5288304,'1',103,'N'),(20,5288312,'1',203,'N'),(20,5288312,'1A',214,'N'),(20,5288320,'1',214,'N'),(20,5288320,'1A',203,'N'),(20,5288339,'1',302,'N'),(20,5288347,'1',102,'N'),(20,5288355,'1',415,'N'),(20,5288363,'1',201,'N'),(20,5288363,'1A',203,'N'),(20,5288371,'1',340,'N'),(20,5288380,'1',203,'N'),(20,5288380,'1A',213,'N'),(20,5288398,'1',428,'N'),(20,5288398,'1A',426,'N'),(20,5288401,'1',501,'N'),(20,5288410,'1',316,'N'),(20,5288428,'1',333,'N'),(20,5288436,'1',5,'N'),(20,5288444,'1',502,'N'),(20,5288452,'1',601,'N'),(20,5288452,'1A',202,'N'),(20,5288460,'1',103,'N'),(20,5288479,'1',3,'N'),(20,5288495,'1',207,'N'),(20,5288509,'1',309,'N'),(20,5288517,'1',333,'N'),(20,5288525,'1',104,'N'),(20,5288533,'1',501,'N'),(20,5288541,'1',304,'N'),(20,5288550,'1',216,'N'),(20,5288550,'1A',215,'N'),(20,5288568,'1',319,'N'),(20,5288576,'1',207,'N'),(20,5288584,'1',216,'N'),(20,5288584,'1A',201,'N'),(20,5288592,'1',211,'N'),(20,5288592,'1A',215,'N'),(20,5288606,'1',101,'N'),(20,5288614,'1',415,'N'),(20,5288622,'1',203,'N'),(20,5288622,'1A',216,'N'),(20,5288630,'1',426,'N'),(20,5288630,'1A',423,'N'),(20,5288649,'1',208,'N'),(20,5288649,'1A',238,'N'),(20,5288665,'1',9,'N'),(20,5288673,'1',222,'N'),(20,5288681,'1',9,'N'),(20,5288690,'1',333,'N'),(20,5288703,'1',551,'N'),(20,5288711,'1',501,'N'),(20,5288720,'1',110,'N'),(20,5288738,'1',452,'N'),(20,5288746,'1',320,'N'),(20,5288762,'1',103,'N'),(20,5288770,'1',101,'N'),(20,5288789,'1',452,'N'),(20,5288797,'1',201,'N'),(20,5288797,'1A',215,'N'),(20,5288835,'1',211,'N'),(20,5288835,'1A',238,'N'),(20,5288843,'1',103,'N'),(20,5288860,'1',215,'N'),(20,5288860,'1A',207,'N'),(20,5288878,'1',327,'N'),(20,5288886,'1',303,'N'),(20,5288894,'1',429,'N'),(20,5288908,'1',211,'N'),(20,5288908,'1A',215,'N'),(20,5288916,'1',501,'N'),(20,5288924,'1',104,'N'),(20,5288932,'1',103,'N'),(20,5288967,'1',303,'N'),(20,5288975,'1',303,'N'),(20,5288983,'1',452,'N'),(20,5288991,'1',318,'N'),(20,5289009,'1',101,'N'),(20,5289017,'1',103,'N'),(20,5289025,'1',212,'N'),(20,5289025,'1A',213,'N'),(20,5289041,'1',212,'N'),(20,5289041,'1A',201,'N'),(20,5289050,'1',103,'N'),(20,5289068,'1',103,'N'),(20,5289084,'1',214,'N'),(20,5289084,'1A',601,'N'),(20,5289092,'1',303,'N'),(20,5289106,'1',301,'N'),(20,5289114,'1',208,'N'),(20,5289114,'1A',238,'N'),(20,5289122,'1',103,'N'),(20,5289130,'1',216,'N'),(20,5289130,'1A',215,'N'),(20,5289149,'1',101,'N'),(20,5289157,'1',9,'N'),(20,5289165,'1',103,'N'),(20,5289173,'1',404,'N'),(20,5289190,'1',101,'N'),(20,5289203,'1',309,'N'),(20,5289211,'1',238,'N'),(20,5289211,'1A',235,'N'),(20,5289220,'1',205,'N'),(20,5289238,'1',601,'N'),(20,5289238,'1A',211,'N'),(20,5289246,'1',3,'N'),(20,5289254,'1',452,'N'),(20,5289262,'1',318,'N'),(20,5289270,'1',103,'N'),(20,5289297,'1',208,'N'),(20,5289297,'1A',238,'N'),(20,5289300,'1',208,'N'),(20,5289319,'1',336,'N'),(20,5289327,'1',9,'N'),(20,5289335,'1',340,'N'),(20,5289343,'1',319,'N'),(20,5289351,'1',238,'N'),(20,5289351,'1A',208,'N'),(20,5289360,'1',103,'N'),(20,5289378,'1',103,'N'),(20,5289386,'1',452,'N'),(20,5289394,'1',304,'N'),(20,5289408,'1',104,'N'),(20,5289416,'1',103,'N'),(20,5289424,'1',104,'N'),(20,5289432,'1',103,'N'),(20,5289440,'1',103,'N'),(20,5289459,'1',203,'N'),(20,5289459,'1A',214,'N'),(20,5289475,'1',601,'N'),(20,5289475,'1A',233,'N'),(20,5289483,'1',340,'N'),(20,5289491,'1',103,'N'),(20,5289505,'1',444,'N'),(20,5289513,'1',211,'N'),(20,5289513,'1A',233,'N'),(20,5289521,'1',5,'N'),(20,5289548,'1',9,'N'),(20,5289556,'1',340,'N'),(20,5289564,'1',5,'N'),(20,5289580,'1',101,'N'),(20,5289599,'1',452,'N'),(20,5289602,'1',301,'N'),(20,5289610,'1',450,'N'),(20,5289629,'1',340,'N'),(20,5289637,'1',207,'N'),(20,5289637,'1A',211,'N'),(20,5289645,'1',326,'N'),(20,5289653,'1',653,'N'),(20,5289653,'1A',651,'N'),(20,5289661,'1',429,'N'),(20,5289661,'1A',423,'N'),(20,5289670,'1',333,'N'),(20,5289688,'1',415,'N'),(20,5289696,'1',551,'N'),(20,5289700,'1',203,'N'),(20,5289700,'1A',202,'N'),(20,5289718,'1',207,'N'),(20,5289726,'1',103,'N'),(20,5289734,'1',303,'N'),(20,5289742,'1',316,'N'),(20,5289750,'1',303,'N'),(20,5289769,'1',103,'N'),(20,5289777,'1',103,'N'),(20,5289785,'1',220,'N'),(20,5289785,'1A',201,'N'),(20,5289793,'1',103,'N'),(20,5289807,'1',103,'N'),(20,5289815,'1',235,'N'),(20,5289815,'1A',238,'N'),(20,5289823,'1',213,'N'),(20,5289823,'1A',208,'N'),(20,5289858,'1',452,'N'),(20,5289866,'1',103,'N'),(20,5289882,'1',215,'N'),(20,5289882,'1A',212,'N'),(20,5289890,'1',318,'N'),(20,5289904,'1',108,'N'),(20,5289912,'1',103,'N'),(20,5289920,'1',303,'N'),(20,5289939,'1',3,'N'),(20,5289947,'1',103,'N'),(20,5289971,'1',238,'N'),(20,5289971,'1A',208,'N'),(20,5289980,'1',415,'N'),(20,5289998,'1',340,'N'),(20,5290007,'1',319,'N'),(20,5290015,'1',238,'N'),(20,5290015,'1A',208,'N'),(20,5290031,'1',319,'N'),(20,5290040,'1',9,'N'),(20,5290058,'1',109,'N'),(20,5290066,'1',202,'N'),(20,5290066,'1A',208,'N'),(20,5290074,'1',415,'N'),(20,5290090,'1',316,'N'),(20,5290104,'1',453,'N'),(20,5290112,'1',3,'N'),(20,5290120,'1',201,'N'),(20,5290155,'1',452,'N'),(20,5290163,'1',207,'N'),(20,5290163,'1A',235,'N'),(20,5290171,'1',453,'N'),(20,5290180,'1',201,'N'),(20,5290180,'1A',212,'N'),(20,5290198,'1',207,'N'),(20,5290198,'1A',211,'N'),(20,5290201,'1',303,'N'),(20,5290210,'1',653,'N'),(20,5290210,'1A',652,'N'),(20,5290228,'1',208,'N'),(20,5290236,'1',103,'N'),(20,5290244,'1',203,'N'),(20,5290244,'1A',214,'N'),(20,5290252,'1',103,'N'),(20,5290260,'1',404,'N'),(20,5290279,'1',444,'N'),(20,5290287,'1',103,'N'),(20,5290295,'1',103,'N'),(20,5290317,'1',103,'N'),(20,5290325,'1',652,'N'),(20,5290325,'1A',653,'N'),(20,5290333,'1',340,'N'),(20,5290341,'1',104,'N'),(20,5290350,'1',103,'N'),(20,5290368,'1',316,'N'),(20,5290376,'1',104,'N'),(20,5290384,'1',216,'N'),(20,5290384,'1A',220,'N'),(20,5290392,'1',333,'N'),(20,5290406,'1',302,'N'),(20,5290414,'1',453,'N'),(20,5290422,'1',318,'N'),(20,5290430,'1',103,'N'),(20,5290457,'1',103,'N'),(20,5290465,'1',103,'N'),(20,5290473,'1',103,'N'),(20,5290481,'1',238,'N'),(20,5290481,'1A',208,'N'),(20,5290490,'1',201,'N'),(20,5290490,'1A',207,'N'),(20,5290503,'1',103,'N'),(20,5290511,'1',404,'N'),(20,5290520,'1',216,'N'),(20,5290520,'1A',202,'N'),(20,5290538,'1',238,'N'),(20,5290538,'1A',208,'N'),(20,5290546,'1',333,'N'),(20,5290554,'1',103,'N'),(20,5290562,'1',551,'N'),(20,5290570,'1',316,'N'),(20,5290589,'1',324,'N'),(20,5290597,'1',5,'N'),(20,5290600,'1',208,'N'),(20,5290600,'1A',238,'N'),(20,5290619,'1',302,'N'),(20,5290627,'1',501,'N'),(20,5290635,'1',103,'N'),(20,5290643,'1',207,'N'),(20,5290643,'1A',211,'N'),(20,5290651,'1',110,'N'),(20,5290660,'1',450,'N'),(20,5290678,'1',303,'N'),(20,5290686,'1',238,'N'),(20,5290686,'1A',202,'N'),(20,5290694,'1',203,'N'),(20,5290708,'1',5,'N'),(20,5290716,'1',238,'N'),(20,5290716,'1A',208,'N'),(20,5290724,'1',109,'N'),(20,5290732,'1',5,'N'),(20,5290740,'1',333,'N'),(20,5290759,'1',215,'N'),(20,5290759,'1A',208,'N'),(20,5290767,'1',103,'N'),(20,5290775,'1',104,'N'),(20,5290783,'1',301,'N'),(20,5290821,'1',203,'N'),(20,5290821,'1A',202,'N'),(20,5290830,'1',211,'N'),(20,5290830,'1A',653,'N'),(20,5290848,'1',339,'N'),(20,5290864,'1',103,'N'),(20,5290872,'1',327,'N'),(20,5290899,'1',5,'N'),(20,5290902,'1',214,'N'),(20,5290910,'1',103,'N'),(20,5290945,'1',415,'N'),(20,5290953,'1',319,'N'),(20,5290961,'1',101,'N'),(20,5290970,'1',108,'N'),(20,5290988,'1',103,'N'),(20,5290996,'1',214,'N'),(20,5291003,'1',301,'N'),(20,5291020,'1',202,'N'),(20,5291020,'1A',201,'N'),(20,5291038,'1',303,'N'),(20,5291046,'1',101,'N'),(20,5291054,'1',211,'N'),(20,5291054,'1A',202,'N'),(20,5291062,'1',208,'N'),(20,5291062,'1A',238,'N'),(20,5291089,'1',302,'N'),(20,5291097,'1',238,'N'),(20,5291097,'1A',233,'N'),(20,5291100,'1',103,'N'),(20,5291119,'1',103,'N'),(20,5291127,'1',225,'N'),(20,5291135,'1',108,'N'),(20,5291143,'1',303,'N'),(20,5291151,'1',452,'N'),(20,5291160,'1',318,'N'),(20,5291178,'1',415,'N'),(20,5291186,'1',501,'N'),(20,5291194,'1',203,'N'),(20,5291194,'1A',214,'N'),(20,5291208,'1',102,'N'),(20,5291216,'1',103,'N'),(20,5291232,'1',238,'N'),(20,5291240,'1',108,'N'),(20,5291259,'1',104,'N'),(20,5291267,'1',103,'N'),(20,5291275,'1',451,'N'),(20,5291283,'1',9,'N'),(20,5291291,'1',203,'N'),(20,5291291,'1A',214,'N'),(20,5291305,'1',444,'N'),(20,5291313,'1',207,'N'),(20,5291313,'1A',215,'N'),(20,5291321,'1',235,'N'),(20,5291321,'1A',203,'N'),(20,5291330,'1',103,'N'),(20,5291348,'1',216,'N'),(20,5291348,'1A',208,'N'),(20,5291356,'1',333,'N'),(20,5291364,'1',104,'N'),(20,5291372,'1',601,'N'),(20,5291372,'1A',211,'N'),(20,5291380,'1',303,'N'),(20,5291402,'1',103,'N'),(20,5291437,'1',203,'N'),(20,5291437,'1A',220,'N'),(20,5291445,'1',103,'N'),(20,5291453,'1',103,'N'),(20,5291461,'1',317,'N'),(20,5291470,'1',420,'N'),(20,5291488,'1',233,'N'),(20,5291488,'1A',235,'N'),(20,5291500,'1',9,'N'),(20,5291518,'1',103,'N'),(20,5291526,'1',319,'N'),(20,5291534,'1',207,'N'),(20,5291534,'1A',201,'N'),(20,5291542,'1',5,'N'),(20,5291550,'1',201,'N'),(20,5291550,'1A',207,'N'),(20,5291569,'1',238,'N'),(20,5291569,'1A',213,'N'),(20,5291577,'1',207,'N'),(20,5291577,'1A',201,'N'),(20,5291585,'1',110,'N'),(20,5291615,'1',319,'N'),(20,5291623,'1',215,'N'),(20,5291623,'1A',238,'N'),(20,5291631,'1',653,'N'),(20,5291640,'1',208,'N'),(20,5291640,'1A',213,'N'),(20,5291666,'1',208,'N'),(20,5291666,'1A',238,'N'),(20,5291674,'1',233,'N'),(20,5291674,'1A',238,'N'),(20,5291682,'1',207,'N'),(20,5291682,'1A',201,'N'),(20,5291690,'1',103,'N'),(20,5291704,'1',238,'N'),(20,5291704,'1A',208,'N'),(20,5291712,'1',211,'N'),(20,5291712,'1A',215,'N'),(20,5291720,'1',224,'N'),(20,5291739,'1',102,'N'),(20,5291747,'1',103,'N'),(20,5291755,'1',207,'N'),(20,5291755,'1A',235,'N'),(20,5291763,'1',404,'N'),(20,5291771,'1',238,'N'),(20,5291771,'1A',235,'N'),(20,5291780,'1',103,'N'),(20,5291798,'1',303,'N'),(20,5291801,'1',108,'N'),(20,5291810,'1',103,'N'),(20,5291828,'1',203,'N'),(20,5291828,'1A',202,'N'),(20,5291836,'1',203,'N'),(20,5291836,'1A',214,'N'),(20,5291844,'1',108,'N'),(20,5291852,'1',319,'N'),(20,5291860,'1',208,'N'),(20,5291860,'1A',238,'N'),(20,5291879,'1',104,'N'),(20,5291887,'1',103,'N'),(20,5291895,'1',101,'N'),(20,5291917,'1',207,'N'),(20,5291917,'1A',601,'N'),(20,5291925,'1',103,'N'),(20,5291933,'1',319,'N'),(20,5291941,'1',103,'N'),(20,5291950,'1',317,'N'),(20,5291968,'1',202,'N'),(20,5291968,'1A',238,'N'),(20,5291976,'1',9,'N'),(20,5291984,'1',238,'N'),(20,5291992,'1',404,'N'),(20,5292018,'1',5,'N'),(20,5292026,'1',238,'N'),(20,5292026,'1A',208,'N'),(20,5292034,'1',103,'N'),(20,5292042,'1',423,'N'),(20,5292050,'1',453,'N'),(20,5292077,'1',103,'N'),(20,5292085,'1',103,'N'),(20,5292107,'1',103,'N'),(20,5292115,'1',220,'N'),(20,5292115,'1A',202,'N'),(20,5292131,'1',103,'N'),(20,5292158,'1',653,'N'),(20,5292158,'1A',652,'N'),(20,5292174,'1',202,'N'),(20,5292174,'1A',213,'N'),(20,5292182,'1',415,'N'),(20,5292190,'1',104,'N'),(20,5292204,'1',415,'N'),(20,5292220,'1',326,'N'),(20,5292239,'1',5,'N'),(20,5292247,'1',103,'N'),(20,5292255,'1',103,'N'),(20,5292263,'1',103,'N'),(20,5292271,'1',5,'N'),(20,5292280,'1',9,'N'),(20,5292298,'1',303,'N'),(20,5292301,'1',303,'N'),(20,5292310,'1',318,'N'),(20,5292328,'1',303,'N'),(20,5292336,'1',601,'N'),(20,5292336,'1A',207,'N'),(20,5292344,'1',207,'N'),(20,5292344,'1A',235,'N'),(20,5292360,'1',444,'N'),(20,5292387,'1',501,'N'),(20,5292395,'1',238,'N'),(20,5292395,'1A',651,'N'),(20,5292409,'1',340,'N'),(20,5292417,'1',203,'N'),(20,5292417,'1A',201,'N'),(20,5292425,'1',103,'N'),(20,5292433,'1',203,'N'),(20,5292433,'1A',235,'N'),(20,5292441,'1',303,'N'),(20,5292450,'1',103,'N'),(20,5292468,'1',222,'N'),(20,5292476,'1',340,'N'),(20,5292484,'1',103,'N'),(20,5292492,'1',104,'N'),(20,5292506,'1',222,'N'),(20,5292514,'1',304,'N'),(20,5292522,'1',103,'N'),(20,5292530,'1',309,'N'),(20,5292549,'1',429,'N'),(20,5292549,'1A',427,'N'),(20,5292557,'1',601,'N'),(20,5292557,'1A',207,'N'),(20,5292565,'1',5,'N'),(20,5292573,'1',301,'N'),(20,5292581,'1',303,'N'),(20,5292590,'1',201,'N'),(20,5292603,'1',103,'N'),(20,5292611,'1',103,'N'),(20,5292620,'1',103,'N'),(20,5292638,'1',103,'N'),(20,5292646,'1',326,'N'),(20,5292662,'1',423,'N'),(20,5292662,'1A',428,'N'),(20,5292670,'1',220,'N'),(20,5292670,'1A',213,'N'),(20,5292689,'1',333,'N'),(20,5292697,'1',216,'N'),(20,5292697,'1A',215,'N'),(20,5292700,'1',302,'N'),(20,5292719,'1',340,'N'),(20,5292735,'1',9,'N'),(20,5292743,'1',303,'N'),(20,5292751,'1',216,'N'),(20,5292751,'1A',215,'N'),(20,5292760,'1',501,'N'),(20,5292778,'1',108,'N'),(20,5292786,'1',203,'N'),(20,5292786,'1A',235,'N'),(20,5292794,'1',326,'N'),(20,5292808,'1',301,'N'),(20,5292816,'1',103,'N'),(20,5292832,'1',326,'N'),(20,5292840,'1',404,'N'),(20,5292859,'1',103,'N'),(20,5292867,'1',333,'N'),(20,5292875,'1',336,'N'),(20,5292883,'1',319,'N'),(20,5292891,'1',423,'N'),(20,5292891,'1A',428,'N'),(20,5292905,'1',301,'N'),(20,5292913,'1',212,'N'),(20,5292913,'1A',207,'N'),(20,5292921,'1',103,'N'),(20,5292930,'1',303,'N'),(20,5292948,'1',103,'N'),(20,5292956,'1',316,'N'),(20,5292964,'1',444,'N'),(20,5292980,'1',303,'N'),(20,5292999,'1',103,'N'),(20,5293014,'1',104,'N'),(20,5293030,'1',103,'N'),(20,5293049,'1',451,'N'),(20,5293057,'1',103,'N'),(20,5293065,'1',452,'N'),(20,5293073,'1',222,'N'),(20,5293081,'1',201,'N'),(20,5293081,'1A',203,'N'),(20,5293090,'1',420,'N'),(20,5293111,'1',203,'N'),(20,5293111,'1A',201,'N'),(20,5293120,'1',235,'N'),(20,5293120,'1A',208,'N'),(20,5293138,'1',104,'N'),(20,5293146,'1',211,'N'),(20,5293146,'1A',216,'N'),(20,5293162,'1',5,'N'),(20,5293170,'1',201,'N'),(20,5293170,'1A',208,'N'),(20,5293189,'1',103,'N'),(20,5293197,'1',501,'N'),(20,5293200,'1',207,'N'),(20,5293219,'1',426,'N'),(20,5293219,'1A',429,'N'),(20,5293235,'1',220,'N'),(20,5293235,'1A',235,'N'),(20,5293243,'1',308,'N'),(20,5293251,'1',316,'N'),(20,5293278,'1',207,'N'),(20,5293278,'1A',238,'N'),(20,5293286,'1',216,'N'),(20,5293308,'1',208,'N'),(20,5293316,'1',316,'N'),(20,5293324,'1',201,'N'),(20,5293324,'1A',212,'N'),(20,5293340,'1',301,'N'),(20,5293359,'1',652,'N'),(20,5293359,'1A',651,'N'),(20,5293367,'1',318,'N'),(20,5293375,'1',103,'N'),(20,5293383,'1',102,'N'),(20,5293391,'1',551,'N'),(20,5293405,'1',203,'N'),(20,5293405,'1A',601,'N'),(20,5293413,'1',5,'N'),(20,5293421,'1',216,'N'),(20,5293421,'1A',233,'N'),(20,5293430,'1',102,'N'),(20,5293448,'1',304,'N'),(20,5293456,'1',203,'N'),(20,5293456,'1A',238,'N'),(20,5293464,'1',201,'N'),(20,5293464,'1A',207,'N'),(20,5293472,'1',238,'N'),(20,5293472,'1A',235,'N'),(20,5293480,'1',303,'N'),(20,5293499,'1',5,'N'),(20,5293502,'1',301,'N'),(20,5293510,'1',103,'N'),(20,5293537,'1',103,'N'),(20,5293545,'1',238,'N'),(20,5293545,'1A',213,'N'),(20,5293553,'1',207,'N'),(20,5293561,'1',233,'N'),(20,5293561,'1A',203,'N'),(20,5293570,'1',202,'N'),(20,5293570,'1A',213,'N'),(20,5293588,'1',303,'N'),(20,5293596,'1',222,'N'),(20,5293600,'1',202,'N'),(20,5293600,'1A',201,'N'),(20,5293618,'1',108,'N'),(20,5293626,'1',103,'N'),(20,5293634,'1',425,'N'),(20,5293634,'1A',421,'N'),(20,5293642,'1',501,'N'),(20,5293650,'1',303,'N'),(20,5293677,'1',101,'N'),(20,5293685,'1',213,'N'),(20,5293685,'1A',233,'N'),(20,5293693,'1',317,'N'),(20,5293707,'1',216,'N'),(20,5293707,'1A',215,'N'),(20,5293715,'1',202,'N'),(20,5293715,'1A',213,'N'),(20,5293723,'1',452,'N'),(20,5293731,'1',103,'N'),(20,5293740,'1',415,'N'),(20,5293758,'1',103,'N'),(20,5293766,'1',9,'N'),(20,5293774,'1',317,'N'),(20,5293782,'1',317,'N'),(20,5293790,'1',211,'N'),(20,5293790,'1A',216,'N'),(20,5293804,'1',5,'N'),(20,5293812,'1',5,'N'),(20,5293820,'1',103,'N'),(20,5293839,'1',319,'N'),(20,5293847,'1',201,'N'),(20,5293847,'1A',202,'N'),(20,5293855,'1',339,'N'),(20,5293880,'1',203,'N'),(20,5293880,'1A',212,'N'),(20,5293898,'1',310,'N'),(20,5293901,'1',207,'N'),(20,5293901,'1A',201,'N'),(20,5293910,'1',601,'N'),(20,5293928,'1',214,'N'),(20,5293928,'1A',212,'N'),(20,5293936,'1',501,'N'),(20,5293944,'1',653,'N'),(20,5293944,'1A',211,'N'),(20,5293952,'1',501,'N'),(20,5293960,'1',301,'N'),(20,5293979,'1',201,'N'),(20,5293979,'1A',207,'N'),(20,5293995,'1',103,'N'),(20,5294002,'1',5,'N'),(20,5294010,'1',203,'N'),(20,5294010,'1A',213,'N'),(20,5294029,'1',3,'N'),(20,5294037,'1',103,'N'),(20,5294053,'1',104,'N'),(20,5294061,'1',201,'N'),(20,5294061,'1A',212,'N'),(20,5294088,'1',233,'N'),(20,5294088,'1A',214,'N'),(20,5294096,'1',303,'N'),(20,5294100,'1',214,'N'),(20,5294100,'1A',213,'N'),(20,5294118,'1',103,'N'),(20,5294126,'1',203,'N'),(20,5294126,'1A',233,'N'),(20,5294142,'1',207,'N'),(20,5294142,'1A',238,'N'),(20,5294150,'1',404,'N'),(20,5294177,'1',102,'N'),(20,5294193,'1',316,'N'),(20,5294207,'1',201,'N'),(20,5294207,'1A',207,'N'),(20,5294215,'1',108,'N'),(20,5294223,'1',303,'N'),(20,5294231,'1',601,'N'),(20,5294231,'1A',214,'N'),(20,5294240,'1',452,'N'),(20,5294258,'1',208,'N'),(20,5294258,'1A',202,'N'),(20,5294266,'1',207,'N'),(20,5294266,'1A',201,'N'),(20,5294274,'1',216,'N'),(20,5294274,'1A',201,'N'),(20,5294282,'1',216,'N'),(20,5294282,'1A',201,'N'),(20,5294290,'1',104,'N'),(20,5294304,'1',502,'N'),(20,5294312,'1',415,'N'),(20,5294320,'1',102,'N'),(20,5294339,'1',501,'N'),(20,5294347,'1',103,'N'),(20,5294363,'1',201,'N'),(20,5294363,'1A',207,'N'),(20,5294371,'1',333,'N'),(20,5294380,'1',103,'N'),(20,5294401,'1',338,'N'),(20,5294410,'1',502,'N'),(20,5294428,'1',103,'N'),(20,5294436,'1',303,'N'),(20,5294444,'1',211,'N'),(20,5294444,'1A',653,'N'),(20,5294452,'1',225,'N'),(20,5294460,'1',103,'N'),(20,5294479,'1',316,'N'),(20,5294487,'1',338,'N'),(20,5294495,'1',301,'N'),(20,5294509,'1',202,'N'),(20,5294509,'1A',203,'N'),(20,5294517,'1',103,'N'),(20,5294525,'1',502,'N'),(20,5294533,'1',601,'N'),(20,5294533,'1A',208,'N'),(20,5294541,'1',102,'N'),(20,5294568,'1',104,'N'),(20,5294592,'1',103,'N'),(20,5294606,'1',337,'N'),(20,5294614,'1',103,'N'),(20,5294630,'1',211,'N'),(20,5294630,'1A',653,'N'),(20,5294649,'1',201,'N'),(20,5294649,'1A',216,'N'),(20,5294665,'1',317,'N'),(20,5294673,'1',201,'N'),(20,5294673,'1A',212,'N'),(20,5294681,'1',214,'N'),(20,5294681,'1A',215,'N'),(20,5294690,'1',3,'N'),(20,5294703,'1',310,'N'),(20,5294720,'1',101,'N'),(20,5294738,'1',303,'N'),(20,5294746,'1',214,'N'),(20,5294746,'1A',212,'N'),(20,5294770,'1',317,'N'),(20,5294789,'1',103,'N'),(20,5294797,'1',103,'N'),(20,5294800,'1',301,'N'),(20,5294819,'1',427,'N'),(20,5294819,'1A',424,'N'),(20,5294827,'1',453,'N'),(20,5294835,'1',202,'N'),(20,5294835,'1A',235,'N'),(20,5294843,'1',302,'N'),(20,5294851,'1',303,'N'),(20,5294860,'1',415,'N'),(20,5294878,'1',302,'N'),(20,5294886,'1',302,'N'),(20,5294894,'1',220,'N'),(20,5294894,'1A',214,'N'),(20,5294932,'1',201,'N'),(20,5294932,'1A',207,'N'),(20,5294940,'1',333,'N'),(20,5294959,'1',302,'N'),(20,5294967,'1',5,'N'),(20,5294983,'1',317,'N'),(20,5294991,'1',303,'N'),(20,5295009,'1',103,'N'),(20,5295017,'1',103,'N'),(20,5295025,'1',317,'N'),(20,5295033,'1',203,'N'),(20,5295041,'1',234,'N'),(20,5295050,'1',202,'N'),(20,5295050,'1A',220,'N'),(20,5295068,'1',309,'N'),(20,5295084,'1',108,'N'),(20,5295092,'1',207,'N'),(20,5295092,'1A',211,'N'),(20,5295106,'1',450,'N'),(20,5295114,'1',303,'N'),(20,5295122,'1',103,'N'),(20,5295130,'1',453,'N'),(20,5295149,'1',201,'N'),(20,5295149,'1A',207,'N'),(20,5295173,'1',103,'N'),(20,5295181,'1',203,'N'),(20,5295181,'1A',214,'N'),(20,5295190,'1',450,'N'),(20,5295203,'1',103,'N'),(20,5295211,'1',103,'N'),(20,5295220,'1',444,'N'),(20,5295238,'1',201,'N'),(20,5295238,'1A',207,'N'),(20,5295246,'1',316,'N'),(20,5295254,'1',103,'N'),(20,5295262,'1',310,'N'),(20,5295270,'1',207,'N'),(20,5295270,'1A',233,'N'),(20,5295289,'1',201,'N'),(20,5295289,'1A',207,'N'),(20,5295297,'1',103,'N'),(20,5295300,'1',103,'N'),(20,5295319,'1',308,'N'),(20,5295327,'1',303,'N'),(20,5295335,'1',404,'N'),(20,5295343,'1',103,'N'),(20,5295351,'1',211,'N'),(20,5295351,'1A',215,'N'),(20,5295360,'1',303,'N'),(20,5295378,'1',103,'N'),(20,5295386,'1',103,'N'),(20,5295394,'1',103,'N'),(20,5295408,'1',203,'N'),(20,5295408,'1A',601,'N'),(20,5295416,'1',103,'N'),(20,5295424,'1',303,'N'),(20,5295432,'1',208,'N'),(20,5295432,'1A',235,'N'),(20,5295440,'1',208,'N'),(20,5295459,'1',301,'N'),(20,5295467,'1',103,'N'),(20,5295475,'1',340,'N'),(20,5295483,'1',319,'N'),(20,5295491,'1',201,'N'),(20,5295491,'1A',207,'N'),(20,5295505,'1',336,'N'),(20,5295513,'1',103,'N'),(20,5295521,'1',309,'N'),(20,5295530,'1',201,'N'),(20,5295530,'1A',216,'N'),(20,5295548,'1',203,'N'),(20,5295548,'1A',220,'N'),(20,5295556,'1',201,'N'),(20,5295556,'1A',233,'N'),(20,5295564,'1',216,'N'),(20,5295564,'1A',220,'N'),(20,5295572,'1',103,'N'),(20,5295580,'1',501,'N'),(20,5295599,'1',5,'N'),(20,5295602,'1',420,'N'),(20,5295610,'1',601,'N'),(20,5295610,'1A',235,'N'),(20,5295637,'1',103,'N'),(20,5295645,'1',316,'N'),(20,5295653,'1',103,'N'),(20,5295661,'1',102,'N'),(20,5295670,'1',104,'N'),(20,5295688,'1',340,'N'),(20,5295696,'1',420,'N'),(20,5295700,'1',318,'N'),(20,5295718,'1',404,'N'),(20,5295726,'1',5,'N'),(20,5295734,'1',208,'N'),(20,5295734,'1A',238,'N'),(20,5295742,'1',340,'N'),(20,5295750,'1',109,'N'),(20,5295769,'1',340,'N'),(20,5295777,'1',203,'N'),(20,5295777,'1A',214,'N'),(20,5295785,'1',424,'N'),(20,5295785,'1A',427,'N'),(20,5295793,'1',337,'N'),(20,5295807,'1',302,'N'),(20,5295815,'1',5,'N'),(20,5295823,'1',340,'N'),(20,5295831,'1',444,'N'),(20,5295858,'1',103,'N'),(20,5295866,'1',333,'N'),(20,5295874,'1',208,'N'),(20,5295874,'1A',238,'N'),(20,5295882,'1',424,'N'),(20,5295890,'1',319,'N'),(20,5295912,'1',235,'N'),(20,5295912,'1A',201,'N'),(20,5295920,'1',328,'N'),(20,5295939,'1',103,'N'),(20,5295947,'1',103,'N'),(20,5295955,'1',9,'N'),(20,5295963,'1',103,'N'),(20,5295971,'1',104,'N'),(20,5295980,'1',103,'N'),(20,5295998,'1',103,'N'),(20,5296005,'1',103,'N'),(20,5296013,'1',103,'N'),(20,5296021,'1',303,'N'),(20,5296030,'1',304,'N'),(20,5296048,'1',201,'N'),(20,5296048,'1A',212,'N'),(20,5296056,'1',103,'N'),(20,5296064,'1',215,'N'),(20,5296064,'1A',207,'N'),(20,5296072,'1',103,'N'),(20,5296080,'1',201,'N'),(20,5296080,'1A',207,'N'),(20,5296099,'1',601,'N'),(20,5296102,'1',208,'N'),(20,5296102,'1A',238,'N'),(20,5296110,'1',301,'N'),(20,5296129,'1',203,'N'),(20,5296129,'1A',207,'N'),(20,5296137,'1',5,'N'),(20,5296145,'1',302,'N'),(20,5296153,'1',201,'N'),(20,5296161,'1',203,'N'),(20,5296161,'1A',220,'N'),(20,5296170,'1',104,'N'),(20,5296188,'1',652,'N'),(20,5296188,'1A',653,'N'),(20,5296196,'1',213,'N'),(20,5296196,'1A',201,'N'),(20,5296200,'1',450,'N'),(20,5296218,'1',404,'N'),(20,5296226,'1',103,'N'),(20,5296234,'1',302,'N'),(20,5296242,'1',501,'N'),(20,5296250,'1',103,'N'),(20,5296277,'1',551,'N'),(20,5296285,'1',235,'N'),(20,5296285,'1A',653,'N'),(20,5296293,'1',224,'N'),(20,5296307,'1',304,'N'),(20,5296315,'1',103,'N'),(20,5296323,'1',202,'N'),(20,5296323,'1A',201,'N'),(20,5296331,'1',203,'N'),(20,5296331,'1A',238,'N'),(20,5296358,'1',203,'N'),(20,5296358,'1A',220,'N'),(20,5296366,'1',302,'N'),(20,5296374,'1',3,'N'),(20,5296382,'1',444,'N'),(20,5296390,'1',318,'N'),(20,5296404,'1',319,'N'),(20,5296412,'1',103,'N'),(20,5296420,'1',201,'N'),(20,5296420,'1A',212,'N'),(20,5296447,'1',336,'N'),(20,5296455,'1',302,'N'),(20,5296463,'1',203,'N'),(20,5296471,'1',331,'N'),(20,5296480,'1',301,'N'),(20,5296498,'1',103,'N'),(20,5296501,'1',207,'N'),(20,5296501,'1A',201,'N'),(20,5296536,'1',211,'N'),(20,5296536,'1A',213,'N'),(20,5296544,'1',5,'N'),(20,5296552,'1',326,'N'),(20,5296560,'1',103,'N'),(20,5296579,'1',450,'N'),(20,5296587,'1',103,'N'),(20,5296595,'1',103,'N'),(20,5296609,'1',203,'N'),(20,5296609,'1A',601,'N'),(20,5296617,'1',207,'N'),(20,5296617,'1A',215,'N'),(20,5296625,'1',201,'N'),(20,5296625,'1A',202,'N'),(20,5296633,'1',216,'N'),(20,5296633,'1A',203,'N'),(20,5296641,'1',303,'N'),(20,5296650,'1',9,'N'),(20,5296668,'1',303,'N'),(20,5296676,'1',103,'N'),(20,5296684,'1',420,'N'),(20,5296692,'1',108,'N'),(20,5296706,'1',104,'N'),(20,5296714,'1',203,'N'),(20,5296714,'1A',208,'N'),(20,5296722,'1',203,'N'),(20,5296722,'1A',653,'N'),(20,5296730,'1',320,'N'),(20,5296749,'1',104,'N'),(20,5296757,'1',201,'N'),(20,5296757,'1A',212,'N'),(20,5296773,'1',201,'N'),(20,5296773,'1A',207,'N'),(20,5296781,'1',502,'N'),(20,5296790,'1',317,'N'),(20,5296803,'1',208,'N'),(20,5296803,'1A',235,'N'),(20,5296811,'1',238,'N'),(20,5296811,'1A',208,'N'),(20,5296820,'1',103,'N'),(20,5296838,'1',652,'N'),(20,5296838,'1A',653,'N'),(20,5296854,'1',301,'N'),(20,5296862,'1',452,'N'),(20,5296870,'1',103,'N'),(20,5296889,'1',103,'N'),(20,5296897,'1',103,'N'),(20,5296900,'1',340,'N'),(20,5296919,'1',303,'N'),(20,5296927,'1',201,'N'),(20,5296927,'1A',601,'N'),(20,5296935,'1',316,'N'),(20,5296943,'1',102,'N'),(20,5296951,'1',104,'N'),(20,5296978,'1',444,'N'),(20,5296986,'1',208,'N'),(20,5296986,'1A',238,'N'),(20,5296994,'1',102,'N'),(20,5297001,'1',3,'N'),(20,5297010,'1',208,'N'),(20,5297010,'1A',238,'N'),(20,5297028,'1',301,'N'),(20,5297036,'1',109,'N'),(20,5297044,'1',420,'N'),(20,5297052,'1',103,'N'),(20,5297079,'1',238,'N'),(20,5297079,'1A',235,'N'),(20,5297095,'1',238,'N'),(20,5297109,'1',302,'N'),(20,5297117,'1',203,'N'),(20,5297117,'1A',201,'N'),(20,5297125,'1',101,'N'),(20,5297133,'1',202,'N'),(20,5297141,'1',103,'N'),(20,5297150,'1',201,'N'),(20,5297150,'1A',212,'N'),(20,5297168,'1',103,'N'),(20,5297176,'1',203,'N'),(20,5297176,'1A',214,'N'),(20,5297184,'1',333,'N'),(20,5297192,'1',203,'N'),(20,5297192,'1A',220,'N'),(20,5297206,'1',104,'N'),(20,5297214,'1',452,'N'),(20,5297222,'1',208,'N'),(20,5297222,'1A',211,'N'),(20,5297230,'1',5,'N'),(20,5297257,'1',450,'N'),(20,5297265,'1',303,'N'),(20,5297273,'1',5,'N'),(20,5297281,'1',303,'N'),(20,5297290,'1',450,'N'),(20,5297303,'1',424,'N'),(20,5297303,'1A',427,'N'),(20,5297311,'1',2,'N'),(20,5297320,'1',101,'N'),(20,5297338,'1',103,'N'),(20,5297346,'1',420,'N'),(20,5297354,'1',301,'N'),(20,5297362,'1',103,'N'),(20,5297370,'1',9,'N'),(20,5297389,'1',104,'N'),(20,5297400,'1',404,'N'),(20,5297419,'1',103,'N'),(20,5297427,'1',103,'N'),(20,5297435,'1',103,'N'),(20,5297443,'1',316,'N'),(20,5297451,'1',103,'N'),(20,5297478,'1',201,'N'),(20,5297478,'1A',216,'N'),(20,5297486,'1',336,'N'),(20,5297494,'1',203,'N'),(20,5297494,'1A',214,'N'),(20,5297508,'1',104,'N'),(20,5297516,'1',201,'N'),(20,5297516,'1A',212,'N'),(20,5297524,'1',303,'N'),(20,5297532,'1',103,'N'),(20,5297540,'1',207,'N'),(20,5297540,'1A',211,'N'),(20,5297559,'1',207,'N'),(20,5297559,'1A',208,'N'),(20,5297567,'1',207,'N'),(20,5297567,'1A',238,'N'),(20,5297575,'1',319,'N'),(20,5297591,'1',203,'N'),(20,5297591,'1A',235,'N'),(20,5297605,'1',207,'N'),(20,5297605,'1A',201,'N'),(20,5297613,'1',104,'N'),(20,5297621,'1',303,'N'),(20,5297630,'1',319,'N'),(20,5297648,'1',5,'N'),(20,5297656,'1',203,'N'),(20,5297656,'1A',208,'N'),(20,5297664,'1',238,'N'),(20,5297664,'1A',208,'N'),(20,5297672,'1',103,'N'),(20,5297680,'1',102,'N'),(20,5297699,'1',103,'N'),(20,5297702,'1',103,'N'),(20,5297710,'1',103,'N'),(20,5297729,'1',5,'N'),(20,5297737,'1',103,'N'),(20,5297745,'1',238,'N'),(20,5297745,'1A',208,'N'),(20,5297753,'1',653,'N'),(20,5297753,'1A',214,'N'),(20,5297770,'1',333,'N'),(20,5297788,'1',102,'N'),(20,5297796,'1',101,'N'),(20,5297818,'1',233,'N'),(20,5297818,'1A',207,'N'),(20,5297826,'1',324,'N'),(20,5297834,'1',104,'N'),(20,5297842,'1',103,'N'),(20,5297869,'1',103,'N'),(20,5297877,'1',304,'N'),(20,5297893,'1',104,'N'),(20,5297907,'1',201,'N'),(20,5297907,'1A',213,'N'),(20,5297923,'1',316,'N'),(20,5297931,'1',326,'N'),(20,5297940,'1',316,'N'),(20,5297958,'1',104,'N'),(20,5297966,'1',103,'N'),(20,5297974,'1',317,'N'),(20,5297982,'1',316,'N'),(20,5297990,'1',103,'N'),(20,5298008,'1',207,'N'),(20,5298008,'1A',201,'N'),(20,5298016,'1',220,'N'),(20,5298016,'1A',208,'N'),(20,5298024,'1',303,'N'),(20,5298032,'1',211,'N'),(20,5298032,'1A',207,'N'),(20,5298040,'1',450,'N'),(20,5298059,'1',304,'N'),(20,5298067,'1',103,'N'),(20,5298075,'1',103,'N'),(20,5298083,'1',104,'N'),(20,5298091,'1',103,'N'),(20,5298105,'1',211,'N'),(20,5298105,'1A',215,'N'),(20,5298113,'1',340,'N'),(20,5298130,'1',5,'N'),(20,5298148,'1',207,'N'),(20,5298156,'1',339,'N'),(20,5298164,'1',336,'N'),(20,5298172,'1',453,'N'),(20,5298180,'1',320,'N'),(20,5298199,'1',319,'N'),(20,5298202,'1',212,'N'),(20,5298202,'1A',216,'N'),(20,5298210,'1',104,'N'),(20,5298229,'1',207,'N'),(20,5298229,'1A',201,'N'),(20,5298237,'1',203,'N'),(20,5298237,'1A',220,'N'),(20,5298245,'1',208,'N'),(20,5298245,'1A',203,'N'),(20,5298253,'1',316,'N'),(20,5298261,'1',201,'N'),(20,5298261,'1A',207,'N'),(20,5298270,'1',201,'N'),(20,5298270,'1A',212,'N'),(20,5298288,'1',201,'N'),(20,5298288,'1A',207,'N'),(20,5298300,'1',207,'N'),(20,5298300,'1A',212,'N'),(20,5298318,'1',404,'N'),(20,5298326,'1',5,'N'),(20,5298334,'1',216,'N'),(20,5298334,'1A',201,'N'),(20,5298342,'1',318,'N'),(20,5298350,'1',501,'N'),(20,5298369,'1',5,'N'),(20,5298385,'1',308,'N'),(20,5298393,'1',203,'N'),(20,5298393,'1A',202,'N'),(20,5298407,'1',3,'N'),(20,5298415,'1',340,'N'),(20,5298423,'1',5,'N'),(20,5298431,'1',103,'N'),(20,5298440,'1',203,'N'),(20,5298458,'1',103,'N'),(20,5298466,'1',601,'N'),(20,5298466,'1A',653,'N'),(20,5298474,'1',207,'N'),(20,5298474,'1A',216,'N'),(20,5298482,'1',103,'N'),(20,5298490,'1',319,'N'),(20,5298504,'1',208,'N'),(20,5298504,'1A',238,'N'),(20,5298520,'1',202,'N'),(20,5298520,'1A',653,'N'),(20,5298539,'1',5,'N'),(20,5298547,'1',444,'N'),(20,5298555,'1',103,'N'),(20,5298563,'1',5,'N'),(20,5298571,'1',213,'N'),(20,5298571,'1A',235,'N'),(20,5298580,'1',450,'N'),(20,5298598,'1',601,'N'),(20,5298601,'1',216,'N'),(20,5298601,'1A',215,'N'),(20,5298610,'1',339,'N'),(20,5298628,'1',601,'N'),(20,5298628,'1A',212,'N'),(20,5298636,'1',316,'N'),(20,5298644,'1',5,'N'),(20,5298652,'1',215,'N'),(20,5298660,'1',213,'N'),(20,5298660,'1A',202,'N'),(20,5298687,'1',207,'N'),(20,5298687,'1A',208,'N'),(20,5298695,'1',326,'N'),(20,5298709,'1',234,'N'),(20,5298717,'1',316,'N'),(20,5298725,'1',103,'N'),(20,5298733,'1',303,'N'),(20,5298741,'1',103,'N'),(20,5298750,'1',336,'N'),(20,5298768,'1',318,'N'),(20,5298776,'1',5,'N'),(20,5298784,'1',103,'N'),(20,5298792,'1',101,'N'),(20,5298806,'1',104,'N'),(20,5298814,'1',303,'N'),(20,5298822,'1',653,'N'),(20,5298830,'1',451,'N'),(20,5298849,'1',220,'N'),(20,5298849,'1A',202,'N'),(20,5298857,'1',102,'N'),(20,5298865,'1',303,'N'),(20,5298873,'1',301,'N'),(20,5298881,'1',301,'N'),(20,5298890,'1',420,'N'),(20,5298903,'1',5,'N'),(20,5298911,'1',337,'N'),(20,5298920,'1',103,'N'),(20,5298938,'1',103,'N'),(20,5298954,'1',503,'N'),(20,5298962,'1',415,'N'),(20,5298970,'1',103,'N'),(20,5298989,'1',102,'N'),(20,5298997,'1',338,'N'),(20,5299004,'1',222,'N'),(20,5299012,'1',202,'N'),(20,5299012,'1A',601,'N'),(20,5299039,'1',450,'N'),(20,5299047,'1',238,'N'),(20,5299055,'1',103,'N'),(20,5299063,'1',207,'N'),(20,5299063,'1A',201,'N'),(20,5299071,'1',201,'N'),(20,5299071,'1A',202,'N'),(20,5299080,'1',318,'N'),(20,5299098,'1',108,'N'),(20,5299101,'1',302,'N'),(20,5299110,'1',415,'N'),(20,5299128,'1',103,'N'),(20,5299136,'1',331,'N'),(20,5299144,'1',103,'N'),(20,5299152,'1',225,'N'),(20,5299160,'1',207,'N'),(20,5299160,'1A',201,'N'),(20,5299179,'1',108,'N'),(20,5299187,'1',450,'N'),(20,5299195,'1',450,'N'),(20,5299209,'1',203,'N'),(20,5299217,'1',203,'N'),(20,5299225,'1',9,'N'),(20,5299233,'1',421,'N'),(20,5299241,'1',319,'N'),(20,5299250,'1',108,'N'),(20,5299268,'1',317,'N'),(20,5299284,'1',238,'N'),(20,5299284,'1A',208,'N'),(20,5299292,'1',216,'N'),(20,5299292,'1A',215,'N'),(20,5299306,'1',303,'N'),(20,5299314,'1',302,'N'),(20,5299322,'1',104,'N'),(20,5299330,'1',316,'N'),(20,5299349,'1',203,'N'),(20,5299357,'1',108,'N'),(20,5299373,'1',103,'N'),(20,5299381,'1',203,'N'),(20,5299390,'1',201,'N'),(20,5299390,'1A',202,'N'),(20,5299403,'1',303,'N'),(20,5299411,'1',103,'N'),(20,5299420,'1',201,'N'),(20,5299420,'1A',203,'N'),(20,5299438,'1',104,'N'),(20,5299454,'1',415,'N'),(20,5299470,'1',103,'N'),(20,5299500,'1',104,'N'),(20,5299519,'1',103,'N'),(20,5299527,'1',203,'N'),(20,5299527,'1A',202,'N'),(20,5299535,'1',216,'N'),(20,5299535,'1A',203,'N'),(20,5299543,'1',501,'N'),(20,5299551,'1',316,'N'),(20,5299578,'1',309,'N'),(20,5299586,'1',421,'N'),(20,5299586,'1A',429,'N'),(20,5299594,'1',203,'N'),(20,5299594,'1A',233,'N'),(20,5299608,'1',317,'N'),(20,5299616,'1',104,'N'),(20,5299624,'1',316,'N'),(20,5299659,'1',453,'N'),(20,5299667,'1',316,'N'),(20,5299675,'1',103,'N'),(20,5299683,'1',220,'N'),(20,5299683,'1A',203,'N'),(20,5299691,'1',453,'N'),(20,5299705,'1',103,'N'),(20,5299713,'1',340,'N'),(20,5299721,'1',316,'N'),(20,5299730,'1',426,'N'),(20,5299730,'1A',429,'N'),(20,5299748,'1',501,'N'),(20,5299756,'1',103,'N'),(20,5299764,'1',653,'N'),(20,5299764,'1A',652,'N'),(20,5299772,'1',203,'N'),(20,5299772,'1A',212,'N'),(20,5299799,'1',339,'N'),(20,5299802,'1',103,'N'),(20,5299810,'1',203,'N'),(20,5299810,'1A',215,'N'),(20,5299829,'1',316,'N'),(20,5299837,'1',104,'N'),(20,5299845,'1',316,'N'),(20,5299853,'1',203,'N'),(20,5299853,'1A',202,'N'),(20,5299870,'1',211,'N'),(20,5299870,'1A',207,'N'),(20,5299888,'1',103,'N'),(20,5299896,'1',339,'N'),(20,5299900,'1',501,'N'),(20,5299918,'1',103,'N'),(20,5299926,'1',203,'N'),(20,5299934,'1',501,'N'),(20,5299942,'1',224,'N'),(20,5299950,'1',310,'N'),(20,5299969,'1',3,'N'),(20,5299977,'1',452,'N'),(20,5299985,'1',103,'N'),(20,5299993,'1',201,'N'),(20,5299993,'1A',233,'N'),(20,5300002,'1',225,'N'),(20,5300010,'1',308,'N'),(20,5300029,'1',103,'N'),(20,5300045,'1',303,'N'),(20,5300061,'1',339,'N'),(20,5300070,'1',103,'N'),(20,5300088,'1',104,'N'),(20,5300100,'1',203,'N'),(20,5300100,'1A',202,'N'),(20,5300118,'1',104,'N'),(20,5300126,'1',214,'N'),(20,5300126,'1A',601,'N'),(20,5300134,'1',444,'N'),(20,5300142,'1',103,'N'),(20,5300150,'1',103,'N'),(20,5300169,'1',302,'N'),(20,5300177,'1',453,'N'),(20,5300193,'1',337,'N'),(20,5300207,'1',208,'N'),(20,5300207,'1A',201,'N'),(20,5300215,'1',316,'N'),(20,5300223,'1',302,'N'),(20,5300231,'1',103,'N'),(20,5300240,'1',502,'N'),(20,5300258,'1',316,'N'),(20,5300266,'1',551,'N'),(20,5300274,'1',501,'N'),(20,5300282,'1',501,'N'),(20,5300290,'1',3,'N'),(20,5300304,'1',340,'N'),(20,5300312,'1',235,'N'),(20,5300312,'1A',211,'N'),(20,5300320,'1',201,'N'),(20,5300320,'1A',207,'N'),(20,5300339,'1',201,'N'),(20,5300339,'1A',212,'N'),(20,5300347,'1',5,'N'),(20,5300355,'1',501,'N'),(20,5300363,'1',429,'N'),(20,5300363,'1A',425,'N'),(20,5300371,'1',601,'N'),(20,5300371,'1A',203,'N'),(20,5300380,'1',304,'N'),(20,5300398,'1',301,'N'),(20,5300410,'1',205,'N'),(20,5300428,'1',601,'N'),(20,5300428,'1A',213,'N'),(20,5300436,'1',103,'N'),(20,5300444,'1',103,'N'),(20,5300460,'1',103,'N'),(20,5300479,'1',429,'N'),(20,5300479,'1A',425,'N'),(20,5300487,'1',216,'N'),(20,5300487,'1A',215,'N'),(20,5300495,'1',327,'N'),(20,5300509,'1',333,'N'),(20,5300517,'1',103,'N'),(20,5300525,'1',303,'N'),(20,5300533,'1',501,'N'),(20,5300541,'1',103,'N'),(20,5300568,'1',415,'N'),(20,5300576,'1',211,'N'),(20,5300576,'1A',207,'N'),(20,5300584,'1',5,'N'),(20,5300592,'1',453,'N'),(20,5300606,'1',104,'N'),(20,5300614,'1',103,'N'),(20,5300622,'1',102,'N'),(20,5300630,'1',444,'N'),(20,5300657,'1',302,'N'),(20,5300665,'1',303,'N'),(20,5300673,'1',425,'N'),(20,5300673,'1A',424,'N'),(20,5300681,'1',103,'N'),(20,5300690,'1',317,'N'),(20,5300703,'1',103,'N'),(20,5300711,'1',450,'N'),(20,5300720,'1',207,'N'),(20,5300720,'1A',201,'N'),(20,5300738,'1',303,'N'),(20,5300746,'1',103,'N'),(20,5300754,'1',601,'N'),(20,5300754,'1A',203,'N'),(20,5300762,'1',233,'N'),(20,5300762,'1A',208,'N'),(20,5300770,'1',108,'N'),(20,5300789,'1',201,'N'),(20,5300789,'1A',212,'N'),(20,5300797,'1',104,'N'),(20,5300800,'1',220,'N'),(20,5300800,'1A',201,'N'),(20,5300819,'1',310,'N'),(20,5300827,'1',5,'N'),(20,5300835,'1',201,'N'),(20,5300835,'1A',211,'N'),(20,5300843,'1',103,'N'),(20,5300851,'1',331,'N'),(20,5300860,'1',102,'N'),(20,5300878,'1',233,'N'),(20,5300878,'1A',216,'N'),(20,5300886,'1',301,'N'),(20,5300894,'1',308,'N'),(20,5300908,'1',212,'N'),(20,5300908,'1A',233,'N'),(20,5300916,'1',207,'N'),(20,5300916,'1A',211,'N'),(20,5300932,'1',207,'N'),(20,5300932,'1A',211,'N'),(20,5300940,'1',201,'N'),(20,5300940,'1A',203,'N'),(20,5300959,'1',203,'N'),(20,5300959,'1A',233,'N'),(20,5300975,'1',202,'N'),(20,5300975,'1A',238,'N'),(20,5300983,'1',103,'N'),(20,5300991,'1',103,'N'),(20,5301009,'1',420,'N'),(20,5301017,'1',340,'N'),(20,5301025,'1',208,'N'),(20,5301025,'1A',238,'N'),(20,5301033,'1',213,'N'),(20,5301033,'1A',212,'N'),(20,5301041,'1',215,'N'),(20,5301041,'1A',216,'N'),(20,5301050,'1',109,'N'),(20,5301068,'1',503,'N'),(20,5301076,'1',333,'N'),(20,5301084,'1',211,'N'),(20,5301084,'1A',216,'N'),(20,5301092,'1',316,'N'),(20,5301106,'1',208,'N'),(20,5301106,'1A',202,'N'),(20,5301114,'1',319,'N'),(20,5301122,'1',103,'N'),(20,5301130,'1',429,'N'),(20,5301130,'1A',423,'N'),(20,5301149,'1',203,'N'),(20,5301149,'1A',601,'N'),(20,5301157,'1',319,'N'),(20,5301165,'1',331,'N'),(20,5301173,'1',336,'N'),(20,5301181,'1',201,'N'),(20,5301181,'1A',238,'N'),(20,5301190,'1',318,'N'),(20,5301203,'1',201,'N'),(20,5301203,'1A',212,'N'),(20,5301220,'1',653,'N'),(20,5301220,'1A',652,'N'),(20,5301238,'1',303,'N'),(20,5301246,'1',103,'N'),(20,5301254,'1',103,'N'),(20,5301262,'1',103,'N'),(20,5301270,'1',214,'N'),(20,5301270,'1A',201,'N'),(20,5301289,'1',238,'N'),(20,5301289,'1A',208,'N'),(20,5301297,'1',303,'N'),(20,5301300,'1',238,'N'),(20,5301300,'1A',208,'N'),(20,5301319,'1',5,'N'),(20,5301327,'1',415,'N'),(20,5301335,'1',5,'N'),(20,5301343,'1',303,'N'),(20,5301351,'1',415,'N'),(20,5301360,'1',203,'N'),(20,5301360,'1A',235,'N'),(20,5301378,'1',223,'N'),(20,5301386,'1',108,'N'),(20,5301394,'1',340,'N'),(20,5301416,'1',319,'N'),(20,5301424,'1',104,'N'),(20,5301432,'1',103,'N'),(20,5301440,'1',450,'N'),(20,5301459,'1',339,'N'),(20,5301467,'1',5,'N'),(20,5301475,'1',340,'N'),(20,5301483,'1',415,'N'),(20,5301491,'1',340,'N'),(20,5301513,'1',202,'N'),(20,5301513,'1A',235,'N'),(20,5301521,'1',207,'N'),(20,5301521,'1A',201,'N'),(20,5301530,'1',303,'N'),(20,5301548,'1',103,'N'),(20,5301556,'1',103,'N'),(20,5301564,'1',327,'N'),(20,5301572,'1',327,'N'),(20,5301580,'1',103,'N'),(20,5301599,'1',208,'N'),(20,5301599,'1A',238,'N'),(20,5301602,'1',101,'N'),(20,5301610,'1',301,'N'),(20,5301629,'1',501,'N'),(20,5301637,'1',303,'N'),(20,5301645,'1',5,'N'),(20,5301661,'1',444,'N'),(20,5301670,'1',339,'N'),(20,5301688,'1',208,'N'),(20,5301688,'1A',238,'N'),(20,5301696,'1',207,'N'),(20,5301696,'1A',201,'N'),(20,5301700,'1',103,'N'),(20,5301718,'1',302,'N'),(20,5301726,'1',104,'N'),(20,5301734,'1',336,'N'),(20,5301742,'1',5,'N'),(20,5301750,'1',340,'N'),(20,5301769,'1',601,'N'),(20,5301769,'1A',201,'N'),(20,5301777,'1',452,'N'),(20,5301785,'1',207,'N'),(20,5301785,'1A',208,'N'),(20,5301793,'1',203,'N'),(20,5301793,'1A',208,'N'),(20,5301807,'1',316,'N'),(20,5301815,'1',502,'N'),(20,5301823,'1',202,'N'),(20,5301823,'1A',213,'N'),(20,5301831,'1',215,'N'),(20,5301831,'1A',211,'N'),(20,5301840,'1',303,'N'),(20,5301866,'1',652,'N'),(20,5301866,'1A',651,'N'),(20,5301874,'1',201,'N'),(20,5301874,'1A',207,'N'),(20,5301882,'1',316,'N'),(20,5301890,'1',317,'N'),(20,5301904,'1',103,'N'),(20,5301912,'1',332,'N'),(20,5301920,'1',319,'N'),(20,5301939,'1',220,'N'),(20,5301939,'1A',203,'N'),(20,5301963,'1',234,'N'),(20,5301971,'1',201,'N'),(20,5301971,'1A',211,'N'),(20,5301980,'1',340,'N'),(20,5301998,'1',601,'N'),(20,5301998,'1A',220,'N'),(20,5302005,'1',238,'N'),(20,5302013,'1',415,'N'),(20,5302021,'1',103,'N'),(20,5302030,'1',238,'N'),(20,5302030,'1A',208,'N'),(20,5302048,'1',203,'N'),(20,5302048,'1A',202,'N'),(20,5302064,'1',205,'N'),(20,5302072,'1',103,'N'),(20,5302080,'1',451,'N'),(20,5302099,'1',426,'N'),(20,5302099,'1A',429,'N'),(20,5302102,'1',303,'N'),(20,5302110,'1',212,'N'),(20,5302110,'1A',233,'N'),(20,5302137,'1',211,'N'),(20,5302137,'1A',215,'N'),(20,5302145,'1',303,'N'),(20,5302153,'1',340,'N'),(20,5302161,'1',5,'N'),(20,5302170,'1',308,'N'),(20,5302188,'1',652,'N'),(20,5302196,'1',304,'N'),(20,5302200,'1',104,'N'),(20,5302218,'1',103,'N'),(20,5302226,'1',104,'N'),(20,5302234,'1',340,'N'),(20,5302242,'1',104,'N'),(20,5302250,'1',5,'N'),(20,5302269,'1',103,'N'),(20,5302277,'1',309,'N'),(20,5302285,'1',5,'N'),(20,5302293,'1',318,'N'),(20,5302307,'1',303,'N'),(20,5302315,'1',202,'N'),(20,5302315,'1A',211,'N'),(20,5302323,'1',5,'N'),(20,5302331,'1',301,'N'),(20,5302358,'1',201,'N'),(20,5302358,'1A',207,'N'),(20,5302366,'1',415,'N'),(20,5302374,'1',319,'N'),(20,5302382,'1',220,'N'),(20,5302382,'1A',212,'N'),(20,5302390,'1',653,'N'),(20,5302390,'1A',652,'N'),(20,5302404,'1',302,'N'),(20,5302412,'1',316,'N'),(20,5302420,'1',103,'N'),(20,5302439,'1',101,'N'),(20,5302447,'1',103,'N'),(20,5302455,'1',207,'N'),(20,5302455,'1A',215,'N'),(20,5302463,'1',104,'N'),(20,5302471,'1',203,'N'),(20,5302471,'1A',235,'N'),(20,5302480,'1',234,'N'),(20,5302498,'1',212,'N'),(20,5302498,'1A',201,'N'),(20,5302501,'1',404,'N'),(20,5302510,'1',207,'N'),(20,5302528,'1',444,'N'),(20,5302536,'1',102,'N'),(20,5302544,'1',653,'N'),(20,5302544,'1A',652,'N'),(20,5302552,'1',234,'N'),(20,5302560,'1',207,'N'),(20,5302560,'1A',202,'N'),(20,5302579,'1',653,'N'),(20,5302587,'1',208,'N'),(20,5302595,'1',324,'N'),(20,5302609,'1',601,'N'),(20,5302609,'1A',202,'N'),(20,5302617,'1',601,'N'),(20,5302625,'1',203,'N'),(20,5302625,'1A',208,'N'),(20,5302633,'1',551,'N'),(20,5302641,'1',309,'N'),(20,5302650,'1',332,'N'),(20,5302676,'1',319,'N'),(20,5302684,'1',308,'N'),(20,5302692,'1',207,'N'),(20,5302706,'1',332,'N'),(20,5302722,'1',5,'N'),(20,5302730,'1',211,'N'),(20,5302730,'1A',215,'N'),(20,5302749,'1',301,'N'),(20,5302757,'1',651,'N'),(20,5302757,'1A',653,'N'),(20,5302765,'1',234,'N'),(20,5302773,'1',5,'N'),(20,5302781,'1',601,'N'),(20,5302790,'1',103,'N'),(20,5302803,'1',103,'N'),(20,5302811,'1',103,'N'),(20,5302820,'1',444,'N'),(20,5302838,'1',316,'N'),(20,5302846,'1',331,'N'),(20,5302854,'1',207,'N'),(20,5302854,'1A',201,'N'),(20,5302862,'1',216,'N'),(20,5302862,'1A',208,'N'),(20,5302870,'1',103,'N'),(20,5302889,'1',207,'N'),(20,5302889,'1A',212,'N'),(20,5302900,'1',205,'N'),(20,5302919,'1',203,'N'),(20,5302919,'1A',202,'N'),(20,5302927,'1',101,'N'),(20,5302935,'1',103,'N'),(20,5302943,'1',319,'N'),(20,5302960,'1',319,'N'),(20,5302978,'1',103,'N'),(20,5302986,'1',103,'N'),(20,5302994,'1',320,'N'),(20,5303001,'1',202,'N'),(20,5303001,'1A',213,'N'),(20,5303036,'1',303,'N'),(20,5303052,'1',207,'N'),(20,5303052,'1A',216,'N'),(20,5303060,'1',326,'N'),(20,5303079,'1',316,'N'),(20,5303087,'1',201,'N'),(20,5303087,'1A',203,'N'),(20,5303095,'1',326,'N'),(20,5303109,'1',415,'N'),(20,5303117,'1',303,'N'),(20,5303133,'1',340,'N'),(20,5303141,'1',108,'N'),(20,5303150,'1',216,'N'),(20,5303150,'1A',203,'N'),(20,5303168,'1',317,'N'),(20,5303176,'1',103,'N'),(20,5303184,'1',103,'N'),(20,5303206,'1',103,'N'),(20,5303214,'1',336,'N'),(20,5303222,'1',216,'N'),(20,5303230,'1',317,'N'),(20,5303257,'1',316,'N'),(20,5303265,'1',220,'N'),(20,5303265,'1A',203,'N'),(20,5303273,'1',5,'N'),(20,5303303,'1',103,'N'),(20,5303311,'1',653,'N'),(20,5303311,'1A',651,'N'),(20,5303320,'1',102,'N'),(20,5303338,'1',316,'N'),(20,5303346,'1',329,'N'),(20,5303354,'1',652,'N'),(20,5303362,'1',108,'N'),(20,5303370,'1',415,'N'),(20,5303389,'1',102,'N'),(20,5303397,'1',102,'N'),(20,5303400,'1',103,'N'),(20,5303419,'1',652,'N'),(20,5303419,'1A',651,'N'),(20,5303427,'1',103,'N'),(20,5303435,'1',220,'N'),(20,5303435,'1A',238,'N'),(20,5303443,'1',301,'N'),(20,5303451,'1',503,'N'),(20,5303460,'1',429,'N'),(20,5303460,'1A',427,'N'),(20,5303478,'1',103,'N'),(20,5303486,'1',420,'N'),(20,5303494,'1',3,'N'),(20,5303508,'1',420,'N'),(20,5303516,'1',104,'N'),(20,5303524,'1',103,'N'),(20,5303532,'1',201,'N'),(20,5303532,'1A',202,'N'),(20,5303540,'1',5,'N'),(20,5303567,'1',340,'N'),(20,5303583,'1',215,'N'),(20,5303591,'1',601,'N'),(20,5303605,'1',212,'N'),(20,5303605,'1A',201,'N'),(20,5303613,'1',340,'N'),(20,5303621,'1',551,'N'),(20,5303630,'1',101,'N'),(20,5303648,'1',415,'N'),(20,5303656,'1',316,'N'),(20,5303664,'1',103,'N'),(20,5303672,'1',453,'N'),(20,5303680,'1',103,'N'),(20,5303699,'1',212,'N'),(20,5303699,'1A',201,'N'),(20,5303710,'1',212,'N'),(20,5303710,'1A',201,'N'),(20,5303729,'1',103,'N'),(20,5303737,'1',203,'N'),(20,5303737,'1A',214,'N'),(20,5303753,'1',214,'N'),(20,5303753,'1A',211,'N'),(20,5303770,'1',103,'N'),(20,5303796,'1',318,'N'),(20,5303800,'1',201,'N'),(20,5303800,'1A',233,'N'),(20,5303818,'1',103,'N'),(20,5303826,'1',5,'N'),(20,5303834,'1',340,'N'),(20,5303842,'1',238,'N'),(20,5303842,'1A',208,'N'),(20,5303869,'1',551,'N'),(20,5303877,'1',339,'N'),(20,5303885,'1',201,'N'),(20,5303885,'1A',212,'N'),(20,5303893,'1',104,'N'),(20,5303907,'1',302,'N'),(20,5303915,'1',102,'N'),(20,5303923,'1',453,'N'),(20,5303931,'1',201,'N'),(20,5303931,'1A',212,'N'),(20,5303958,'1',502,'N'),(20,5303966,'1',104,'N'),(20,5303974,'1',201,'N'),(20,5303974,'1A',233,'N'),(20,5303982,'1',318,'N'),(20,5303990,'1',216,'N'),(20,5303990,'1A',203,'N'),(20,5304008,'1',318,'N'),(20,5304016,'1',215,'N'),(20,5304016,'1A',211,'N'),(20,5304032,'1',207,'N'),(20,5304032,'1A',208,'N'),(20,5304040,'1',208,'N'),(20,5304040,'1A',238,'N'),(20,5304059,'1',220,'N'),(20,5304059,'1A',203,'N'),(20,5304067,'1',235,'N'),(20,5304067,'1A',202,'N'),(20,5304075,'1',101,'N'),(20,5304083,'1',415,'N'),(20,5304091,'1',102,'N'),(20,5304105,'1',208,'N'),(20,5304113,'1',319,'N'),(20,5304121,'1',214,'N'),(20,5304121,'1A',212,'N'),(20,5304130,'1',102,'N'),(20,5304148,'1',303,'N'),(20,5304156,'1',103,'N'),(20,5304172,'1',308,'N'),(20,5304180,'1',319,'N'),(20,5304199,'1',308,'N'),(20,5304202,'1',104,'N'),(20,5304210,'1',207,'N'),(20,5304210,'1A',208,'N'),(20,5304229,'1',501,'N'),(20,5304237,'1',103,'N'),(20,5304245,'1',339,'N'),(20,5304253,'1',324,'N'),(20,5304261,'1',302,'N'),(20,5304270,'1',423,'N'),(20,5304288,'1',238,'N'),(20,5304288,'1A',208,'N'),(20,5304296,'1',234,'N'),(20,5304300,'1',201,'N'),(20,5304300,'1A',207,'N'),(20,5304318,'1',302,'N'),(20,5304334,'1',424,'N'),(20,5304334,'1A',423,'N'),(20,5304342,'1',333,'N'),(20,5304350,'1',201,'N'),(20,5304350,'1A',212,'N'),(20,5304369,'1',103,'N'),(20,5304377,'1',101,'N'),(20,5304385,'1',207,'N'),(20,5304385,'1A',201,'N'),(20,5304393,'1',318,'N'),(20,5304407,'1',319,'N'),(20,5304415,'1',415,'N'),(20,5304440,'1',202,'N'),(20,5304440,'1A',213,'N'),(20,5304458,'1',424,'N'),(20,5304458,'1A',429,'N'),(20,5304466,'1',108,'N'),(20,5304474,'1',103,'N'),(20,5304482,'1',303,'N'),(20,5304490,'1',301,'N'),(20,5304504,'1',451,'N'),(20,5304512,'1',103,'N'),(20,5304520,'1',201,'N'),(20,5304520,'1A',212,'N'),(20,5304547,'1',238,'N'),(20,5304547,'1A',208,'N'),(20,5304555,'1',103,'N'),(20,5304563,'1',303,'N'),(20,5304571,'1',208,'N'),(20,5304580,'1',213,'N'),(20,5304580,'1A',201,'N'),(20,5304598,'1',450,'N'),(20,5304601,'1',103,'N'),(20,5304610,'1',503,'N'),(20,5304628,'1',207,'N'),(20,5304628,'1A',233,'N'),(20,5304636,'1',452,'N'),(20,5304652,'1',220,'N'),(20,5304652,'1A',203,'N'),(20,5304679,'1',429,'N'),(20,5304679,'1A',425,'N'),(20,5304687,'1',103,'N'),(20,5304695,'1',318,'N'),(20,5304717,'1',601,'N'),(20,5304717,'1A',208,'N'),(20,5304725,'1',502,'N'),(20,5304733,'1',103,'N'),(20,5304741,'1',224,'N'),(20,5304750,'1',451,'N'),(20,5304768,'1',415,'N'),(20,5304776,'1',415,'N'),(20,5304784,'1',303,'N'),(20,5304792,'1',103,'N'),(20,5304806,'1',317,'N'),(20,5304814,'1',425,'N'),(20,5304814,'1A',427,'N'),(20,5304822,'1',238,'N'),(20,5304822,'1A',208,'N'),(20,5304830,'1',201,'N'),(20,5304830,'1A',203,'N'),(20,5304849,'1',5,'N'),(20,5304857,'1',652,'N'),(20,5304857,'1A',201,'N'),(20,5304865,'1',303,'N'),(20,5304873,'1',316,'N'),(20,5304881,'1',326,'N'),(20,5304890,'1',501,'N'),(20,5304903,'1',9,'N'),(20,5304920,'1',104,'N'),(20,5304938,'1',425,'N'),(20,5304938,'1A',421,'N'),(20,5304946,'1',303,'N'),(20,5304954,'1',301,'N'),(20,5304962,'1',2,'N'),(20,5304970,'1',5,'N'),(20,5304989,'1',104,'N'),(20,5304997,'1',212,'N'),(20,5304997,'1A',216,'N'),(20,5305004,'1',104,'N'),(20,5305012,'1',601,'N'),(20,5305012,'1A',203,'N'),(20,5305020,'1',424,'N'),(20,5305020,'1A',423,'N'),(20,5305039,'1',207,'N'),(20,5305039,'1A',215,'N'),(20,5305047,'1',104,'N'),(20,5305055,'1',450,'N'),(20,5305063,'1',424,'N'),(20,5305063,'1A',427,'N'),(20,5305071,'1',453,'N'),(20,5305080,'1',451,'N'),(20,5305098,'1',103,'N'),(20,5305101,'1',102,'N'),(20,5305110,'1',104,'N'),(20,5305136,'1',653,'N'),(20,5305136,'1A',203,'N'),(20,5305179,'1',653,'N'),(20,5305187,'1',214,'N'),(20,5305187,'1A',203,'N'),(20,5305209,'1',214,'N'),(20,5305209,'1A',211,'N'),(20,5305217,'1',203,'N'),(20,5305217,'1A',202,'N'),(20,5305225,'1',205,'N'),(20,5305233,'1',339,'N'),(20,5305241,'1',9,'N'),(20,5305250,'1',502,'N'),(20,5305268,'1',420,'N'),(20,5305276,'1',211,'N'),(20,5305276,'1A',214,'N'),(20,5305284,'1',203,'N'),(20,5305284,'1A',202,'N'),(20,5305292,'1',103,'N'),(20,5305306,'1',103,'N'),(20,5305314,'1',303,'N'),(20,5305322,'1',5,'N'),(20,5305330,'1',301,'N'),(20,5305349,'1',208,'N'),(20,5305349,'1A',235,'N'),(20,5305357,'1',340,'N'),(20,5305365,'1',103,'N'),(20,5305373,'1',423,'N'),(20,5305381,'1',103,'N'),(20,5305390,'1',3,'N'),(20,5305403,'1',103,'N'),(20,5305411,'1',103,'N'),(20,5305420,'1',415,'N'),(20,5305438,'1',103,'N'),(20,5305446,'1',201,'N'),(20,5305446,'1A',202,'N'),(20,5305454,'1',425,'N'),(20,5305454,'1A',427,'N'),(20,5305462,'1',3,'N'),(20,5305470,'1',340,'N'),(20,5305489,'1',426,'N'),(20,5305489,'1A',428,'N'),(20,5305497,'1',103,'N'),(20,5305500,'1',324,'N'),(20,5305519,'1',203,'N'),(20,5305519,'1A',601,'N'),(20,5305535,'1',302,'N'),(20,5305543,'1',109,'N'),(20,5305551,'1',207,'N'),(20,5305551,'1A',212,'N'),(20,5305560,'1',101,'N'),(20,5305578,'1',303,'N'),(20,5305586,'1',326,'N'),(20,5305594,'1',501,'N'),(20,5305608,'1',9,'N'),(20,5305624,'1',340,'N'),(20,5305632,'1',108,'N'),(20,5305640,'1',316,'N'),(20,5305659,'1',501,'N'),(20,5305667,'1',103,'N'),(20,5305675,'1',319,'N'),(20,5305683,'1',303,'N'),(20,5305691,'1',501,'N'),(20,5305705,'1',5,'N'),(20,5305713,'1',101,'N'),(20,5305721,'1',215,'N'),(20,5305721,'1A',216,'N'),(20,5305730,'1',301,'N'),(20,5305748,'1',238,'N'),(20,5305748,'1A',215,'N'),(20,5305756,'1',415,'N'),(20,5305764,'1',551,'N'),(20,5305772,'1',420,'N'),(20,5305780,'1',109,'N'),(20,5305799,'1',103,'N'),(20,5305802,'1',450,'N'),(20,5305829,'1',103,'N'),(20,5305837,'1',201,'N'),(20,5305837,'1A',212,'N'),(20,5305845,'1',340,'N'),(20,5305861,'1',9,'N'),(20,5305870,'1',601,'N'),(20,5305870,'1A',211,'N'),(20,5305888,'1',103,'N'),(20,5305896,'1',319,'N'),(20,5305900,'1',103,'N'),(20,5305918,'1',207,'N'),(20,5305918,'1A',201,'N'),(20,5305926,'1',317,'N'),(20,5305934,'1',5,'N'),(20,5305942,'1',104,'N'),(20,5305950,'1',303,'N'),(20,5305969,'1',211,'N'),(20,5305969,'1A',212,'N'),(20,5305977,'1',503,'N'),(20,5305985,'1',601,'N'),(20,5305985,'1A',215,'N'),(20,5305993,'1',201,'N'),(20,5305993,'1A',208,'N'),(20,5306000,'1',220,'N'),(20,5306000,'1A',235,'N'),(20,5306019,'1',2,'N'),(20,5306027,'1',319,'N'),(20,5306035,'1',103,'N'),(20,5306043,'1',207,'N'),(20,5306043,'1A',211,'N'),(20,5306051,'1',103,'N'),(20,5306060,'1',103,'N'),(20,5306078,'1',340,'N'),(20,5306094,'1',320,'N'),(20,5306108,'1',429,'N'),(20,5306108,'1A',428,'N'),(20,5306116,'1',205,'N'),(20,5306124,'1',415,'N'),(20,5306132,'1',103,'N'),(20,5306140,'1',208,'N'),(20,5306140,'1A',238,'N'),(20,5306159,'1',301,'N'),(20,5306167,'1',308,'N'),(20,5306175,'1',103,'N'),(20,5306183,'1',109,'N'),(20,5306191,'1',501,'N'),(20,5306205,'1',326,'N'),(20,5306213,'1',238,'N'),(20,5306213,'1A',208,'N'),(20,5306221,'1',212,'N'),(20,5306221,'1A',233,'N'),(20,5306230,'1',103,'N'),(20,5306248,'1',503,'N'),(20,5306256,'1',103,'N'),(20,5306272,'1',653,'N'),(20,5306272,'1A',651,'N'),(20,5306299,'1',316,'N'),(20,5306302,'1',301,'N'),(20,5306329,'1',103,'N'),(20,5306337,'1',444,'N'),(20,5306361,'1',303,'N'),(20,5306370,'1',203,'N'),(20,5306370,'1A',216,'N'),(20,5306388,'1',333,'N'),(20,5306396,'1',201,'N'),(20,5306396,'1A',202,'N'),(20,5306418,'1',201,'N'),(20,5306418,'1A',601,'N'),(20,5306426,'1',415,'N'),(20,5306434,'1',308,'N'),(20,5306442,'1',340,'N'),(20,5306450,'1',452,'N'),(20,5306469,'1',302,'N'),(20,5306477,'1',103,'N'),(20,5306493,'1',316,'N'),(20,5306507,'1',103,'N'),(20,5306515,'1',202,'N'),(20,5306515,'1A',213,'N'),(20,5306523,'1',340,'N'),(20,5306531,'1',208,'N'),(20,5306531,'1A',238,'N'),(20,5306540,'1',318,'N'),(20,5306558,'1',302,'N'),(20,5306566,'1',108,'N'),(20,5306574,'1',102,'N'),(20,5306590,'1',104,'N'),(20,5306604,'1',303,'N'),(20,5306612,'1',203,'N'),(20,5306612,'1A',214,'N'),(20,5306620,'1',101,'N'),(20,5306639,'1',101,'N'),(20,5306647,'1',308,'N'),(20,5306663,'1',427,'N'),(20,5306663,'1A',421,'N'),(20,5306671,'1',332,'N'),(20,5306680,'1',216,'N'),(20,5306680,'1A',215,'N'),(20,5306698,'1',108,'N'),(20,5306701,'1',103,'N'),(20,5306710,'1',302,'N'),(20,5306736,'1',103,'N'),(20,5306744,'1',303,'N'),(20,5306752,'1',318,'N'),(20,5306760,'1',103,'N'),(20,5306779,'1',202,'N'),(20,5306779,'1A',233,'N'),(20,5306787,'1',103,'N'),(20,5306809,'1',215,'N'),(20,5306809,'1A',211,'N'),(20,5306817,'1',104,'N'),(20,5306833,'1',203,'N'),(20,5306833,'1A',202,'N'),(20,5306850,'1',238,'N'),(20,5306850,'1A',208,'N'),(20,5306868,'1',103,'N'),(20,5306876,'1',308,'N'),(20,5306884,'1',205,'N'),(20,5306892,'1',103,'N'),(20,5306906,'1',423,'N'),(20,5306914,'1',452,'N'),(20,5306922,'1',103,'N'),(20,5306930,'1',316,'N'),(20,5306949,'1',319,'N'),(20,5306957,'1',103,'N'),(20,5306965,'1',103,'N'),(20,5306973,'1',103,'N'),(20,5306981,'1',5,'N'),(20,5307007,'1',5,'N'),(20,5307015,'1',316,'N'),(20,5307023,'1',103,'N'),(20,5307031,'1',215,'N'),(20,5307031,'1A',211,'N'),(20,5307040,'1',238,'N'),(20,5307040,'1A',208,'N'),(20,5307058,'1',332,'N'),(20,5307066,'1',420,'N'),(20,5307074,'1',205,'N'),(20,5307090,'1',103,'N'),(20,5307104,'1',5,'N'),(20,5307112,'1',103,'N'),(20,5307155,'1',319,'N'),(20,5307163,'1',5,'N'),(20,5307171,'1',319,'N'),(20,5307180,'1',203,'N'),(20,5307180,'1A',220,'N'),(20,5307198,'1',207,'N'),(20,5307198,'1A',233,'N'),(20,5307201,'1',211,'N'),(20,5307201,'1A',212,'N'),(20,5307210,'1',103,'N'),(20,5307228,'1',340,'N'),(20,5307236,'1',201,'N'),(20,5307236,'1A',212,'N'),(20,5307244,'1',224,'N'),(20,5307252,'1',203,'N'),(20,5307252,'1A',214,'N'),(20,5307260,'1',103,'N'),(20,5307279,'1',211,'N'),(20,5307279,'1A',601,'N'),(20,5307287,'1',222,'N'),(20,5307295,'1',202,'N'),(20,5307295,'1A',213,'N'),(20,5307309,'1',453,'N'),(20,5307317,'1',203,'N'),(20,5307317,'1A',220,'N'),(20,5307325,'1',303,'N'),(20,5307333,'1',452,'N'),(20,5307350,'1',318,'N'),(20,5307368,'1',415,'N'),(20,5307376,'1',208,'N'),(20,5307376,'1A',238,'N'),(20,5307384,'1',201,'N'),(20,5307384,'1A',207,'N'),(20,5307422,'1',208,'N'),(20,5307422,'1A',238,'N'),(20,5307430,'1',223,'N'),(20,5307457,'1',319,'N'),(20,5307465,'1',207,'N'),(20,5307465,'1A',203,'N'),(20,5307473,'1',208,'N'),(20,5307481,'1',102,'N'),(20,5307490,'1',202,'N'),(20,5307490,'1A',651,'N'),(20,5307503,'1',453,'N'),(20,5307511,'1',103,'N'),(20,5307520,'1',103,'N'),(20,5307538,'1',340,'N'),(20,5307546,'1',202,'N'),(20,5307546,'1A',213,'N'),(20,5307554,'1',5,'N'),(20,5307562,'1',301,'N'),(20,5307570,'1',212,'N'),(20,5307570,'1A',214,'N'),(20,5307589,'1',233,'N'),(20,5307589,'1A',213,'N'),(20,5307597,'1',103,'N'),(20,5307600,'1',203,'N'),(20,5307600,'1A',201,'N'),(20,5307619,'1',201,'N'),(20,5307619,'1A',207,'N'),(20,5307627,'1',224,'N'),(20,5307635,'1',233,'N'),(20,5307635,'1A',211,'N'),(20,5307643,'1',104,'N'),(20,5307651,'1',404,'N'),(20,5307660,'1',3,'N'),(20,5307678,'1',103,'N'),(20,5307686,'1',104,'N'),(20,5307694,'1',9,'N'),(20,5307708,'1',318,'N'),(20,5307716,'1',103,'N'),(20,5307724,'1',308,'N'),(20,5307740,'1',211,'N'),(20,5307740,'1A',601,'N'),(20,5307767,'1',340,'N'),(20,5307775,'1',429,'N'),(20,5307775,'1A',425,'N'),(20,5307805,'1',308,'N'),(20,5307813,'1',340,'N'),(20,5307821,'1',207,'N'),(20,5307821,'1A',211,'N'),(20,5307830,'1',203,'N'),(20,5307830,'1A',214,'N'),(20,5307848,'1',339,'N'),(20,5307856,'1',238,'N'),(20,5307856,'1A',208,'N'),(20,5307864,'1',103,'N'),(20,5307872,'1',319,'N'),(20,5307880,'1',303,'N'),(20,5307902,'1',108,'N'),(20,5307910,'1',215,'N'),(20,5307910,'1A',207,'N'),(20,5307929,'1',207,'N'),(20,5307929,'1A',215,'N'),(20,5307937,'1',103,'N'),(20,5307953,'1',453,'N'),(20,5307961,'1',444,'N'),(20,5307970,'1',208,'N'),(20,5307970,'1A',235,'N'),(20,5307988,'1',103,'N'),(20,5307996,'1',104,'N'),(20,5308011,'1',333,'N'),(20,5308020,'1',207,'N'),(20,5308020,'1A',201,'N'),(20,5308046,'1',211,'N'),(20,5308046,'1A',215,'N'),(20,5308054,'1',451,'N'),(20,5308062,'1',103,'N'),(20,5308070,'1',329,'N'),(20,5308089,'1',308,'N'),(20,5308097,'1',652,'N'),(20,5308097,'1A',653,'N'),(20,5308100,'1',415,'N'),(20,5308119,'1',207,'N'),(20,5308127,'1',404,'N'),(20,5308135,'1',103,'N'),(20,5308143,'1',5,'N'),(20,5308151,'1',103,'N'),(20,5308160,'1',103,'N'),(20,5308178,'1',104,'N'),(20,5308186,'1',2,'N'),(20,5308194,'1',103,'N'),(20,5308208,'1',3,'N'),(20,5308224,'1',213,'N'),(20,5308224,'1A',202,'N'),(20,5308240,'1',340,'N'),(20,5308259,'1',318,'N'),(20,5308275,'1',309,'N'),(20,5308283,'1',653,'N'),(20,5308283,'1A',202,'N'),(20,5308291,'1',340,'N'),(20,5308305,'1',201,'N'),(20,5308305,'1A',212,'N'),(20,5308313,'1',104,'N'),(20,5308321,'1',201,'N'),(20,5308321,'1A',208,'N'),(20,5308330,'1',551,'N'),(20,5308348,'1',444,'N'),(20,5308356,'1',404,'N'),(20,5308364,'1',316,'N'),(20,5308399,'1',601,'N'),(20,5308402,'1',5,'N'),(20,5308410,'1',224,'N'),(20,5308429,'1',238,'N'),(20,5308429,'1A',208,'N'),(20,5308437,'1',332,'N'),(20,5308445,'1',103,'N'),(20,5308453,'1',303,'N'),(20,5308461,'1',211,'N'),(20,5308461,'1A',233,'N'),(20,5308470,'1',653,'N'),(20,5308470,'1A',652,'N'),(20,5308488,'1',302,'N'),(20,5308496,'1',451,'N'),(20,5308500,'1',104,'N'),(20,5308518,'1',103,'N'),(20,5308526,'1',5,'N'),(20,5308534,'1',103,'N'),(20,5308542,'1',651,'N'),(20,5308542,'1A',653,'N'),(20,5308569,'1',339,'N'),(20,5308577,'1',653,'N'),(20,5308577,'1A',652,'N'),(20,5308585,'1',103,'N'),(20,5308607,'1',103,'N'),(20,5308615,'1',453,'N'),(20,5308623,'1',211,'N'),(20,5308623,'1A',201,'N'),(20,5308631,'1',502,'N'),(20,5308658,'1',333,'N'),(20,5308682,'1',324,'N'),(20,5308690,'1',238,'N'),(20,5308690,'1A',208,'N'),(20,5308712,'1',211,'N'),(20,5308712,'1A',207,'N'),(20,5308720,'1',109,'N'),(20,5308739,'1',9,'N'),(20,5308747,'1',103,'N'),(20,5308755,'1',103,'N'),(20,5308771,'1',415,'N'),(20,5308780,'1',203,'N'),(20,5308780,'1A',235,'N'),(20,5308798,'1',309,'N'),(20,5308801,'1',303,'N'),(20,5308828,'1',103,'N'),(20,5308836,'1',203,'N'),(20,5308836,'1A',601,'N'),(20,5308844,'1',340,'N'),(20,5308852,'1',103,'N'),(20,5308860,'1',302,'N'),(20,5308879,'1',207,'N'),(20,5308879,'1A',201,'N'),(20,5308895,'1',501,'N'),(20,5308917,'1',203,'N'),(20,5308917,'1A',202,'N'),(20,5308925,'1',2,'N'),(20,5308933,'1',201,'N'),(20,5308933,'1A',207,'N'),(20,5308941,'1',222,'N'),(20,5308950,'1',103,'N'),(20,5308968,'1',104,'N'),(20,5308976,'1',103,'N'),(20,5308984,'1',201,'N'),(20,5308984,'1A',207,'N'),(20,5308992,'1',301,'N'),(20,5309000,'1',109,'N'),(20,5309018,'1',216,'N'),(20,5309018,'1A',233,'N'),(20,5309026,'1',233,'N'),(20,5309026,'1A',211,'N'),(20,5309042,'1',333,'N'),(20,5309050,'1',103,'N'),(20,5309077,'1',551,'N'),(20,5309085,'1',5,'N'),(20,5309093,'1',318,'N'),(20,5309107,'1',103,'N'),(20,5309115,'1',316,'N'),(20,5309123,'1',104,'N'),(20,5309131,'1',103,'N'),(20,5309140,'1',104,'N'),(20,5309158,'1',101,'N'),(20,5309166,'1',551,'N'),(20,5309174,'1',103,'N'),(20,5309182,'1',601,'N'),(20,5309182,'1A',203,'N'),(20,5309190,'1',2,'N'),(20,5309204,'1',404,'N'),(20,5309212,'1',319,'N'),(20,5309220,'1',102,'N'),(20,5309239,'1',103,'N'),(20,5309247,'1',201,'N'),(20,5309247,'1A',212,'N'),(20,5309255,'1',104,'N'),(20,5309271,'1',415,'N'),(20,5309280,'1',303,'N'),(20,5309301,'1',551,'N'),(20,5309310,'1',303,'N'),(20,5309328,'1',216,'N'),(20,5309328,'1A',203,'N'),(20,5309344,'1',333,'N'),(20,5309352,'1',207,'N'),(20,5309352,'1A',211,'N'),(20,5309360,'1',601,'N'),(20,5309360,'1A',201,'N'),(20,5309379,'1',301,'N'),(20,5309387,'1',303,'N'),(20,5309395,'1',103,'N'),(20,5309409,'1',428,'N'),(20,5309409,'1A',424,'N'),(20,5309417,'1',103,'N'),(20,5309425,'1',216,'N'),(20,5309433,'1',103,'N'),(20,5309441,'1',211,'N'),(20,5309441,'1A',201,'N'),(20,5309450,'1',316,'N'),(20,5309468,'1',202,'N'),(20,5309476,'1',308,'N'),(20,5309484,'1',208,'N'),(20,5309484,'1A',238,'N'),(20,5309492,'1',303,'N'),(20,5309506,'1',234,'N'),(20,5309514,'1',208,'N'),(20,5309514,'1A',238,'N'),(20,5309522,'1',453,'N'),(20,5309530,'1',551,'N'),(20,5309557,'1',103,'N'),(20,5309565,'1',304,'N'),(20,5309573,'1',319,'N'),(20,5309581,'1',310,'N'),(20,5309590,'1',502,'N'),(20,5309603,'1',203,'N'),(20,5309603,'1A',216,'N'),(20,5309611,'1',203,'N'),(20,5309611,'1A',202,'N'),(20,5309620,'1',213,'N'),(20,5309620,'1A',233,'N'),(20,5309638,'1',103,'N'),(20,5309646,'1',450,'N'),(20,5309654,'1',201,'N'),(20,5309654,'1A',203,'N'),(20,5309670,'1',317,'N'),(20,5309689,'1',502,'N'),(20,5309697,'1',208,'N'),(20,5309697,'1A',235,'N'),(20,5309700,'1',207,'N'),(20,5309700,'1A',201,'N'),(20,5309719,'1',203,'N'),(20,5309719,'1A',201,'N'),(20,5309735,'1',238,'N'),(20,5309735,'1A',652,'N'),(20,5309743,'1',104,'N'),(20,5309760,'1',215,'N'),(20,5309760,'1A',233,'N'),(20,5309778,'1',453,'N'),(20,5309786,'1',201,'N'),(20,5309786,'1A',207,'N'),(20,5309808,'1',340,'N'),(20,5309816,'1',201,'N'),(20,5309816,'1A',211,'N'),(20,5309824,'1',404,'N'),(20,5309832,'1',104,'N'),(20,5309840,'1',5,'N'),(20,5309867,'1',103,'N'),(20,5309875,'1',301,'N'),(20,5309905,'1',203,'N'),(20,5309905,'1A',208,'N'),(20,5309913,'1',333,'N'),(20,5309930,'1',651,'N'),(20,5309930,'1A',652,'N'),(20,5309948,'1',208,'N'),(20,5309956,'1',109,'N'),(20,5309964,'1',316,'N'),(20,5309972,'1',340,'N'),(20,5309980,'1',201,'N'),(20,5309980,'1A',203,'N'),(20,5309999,'1',317,'N'),(20,5310008,'1',238,'N'),(20,5310008,'1A',208,'N'),(20,5310024,'1',336,'N'),(20,5310032,'1',501,'N'),(20,5310040,'1',104,'N'),(20,5310059,'1',423,'N'),(20,5310075,'1',303,'N'),(20,5310083,'1',451,'N'),(20,5310091,'1',316,'N'),(20,5310105,'1',425,'N'),(20,5310105,'1A',421,'N'),(20,5310121,'1',339,'N'),(20,5310156,'1',103,'N'),(20,5310164,'1',301,'N'),(20,5310172,'1',223,'N'),(20,5310180,'1',340,'N'),(20,5310199,'1',103,'N'),(20,5310202,'1',309,'N'),(20,5310210,'1',404,'N'),(20,5310229,'1',203,'N'),(20,5310237,'1',103,'N'),(20,5310245,'1',104,'N'),(20,5310253,'1',9,'N'),(20,5310261,'1',202,'N'),(20,5310261,'1A',235,'N'),(20,5310270,'1',3,'N'),(20,5310288,'1',238,'N'),(20,5310288,'1A',208,'N'),(20,5310300,'1',327,'N'),(20,5310318,'1',316,'N'),(20,5310326,'1',450,'N'),(20,5310334,'1',302,'N'),(20,5310342,'1',601,'N'),(20,5310342,'1A',203,'N'),(20,5310350,'1',205,'N'),(20,5310369,'1',444,'N'),(20,5310377,'1',450,'N'),(20,5310385,'1',207,'N'),(20,5310385,'1A',201,'N'),(20,5310393,'1',103,'N'),(20,5310415,'1',303,'N'),(20,5310423,'1',319,'N'),(20,5310440,'1',551,'N'),(20,5310458,'1',319,'N'),(20,5310466,'1',103,'N'),(20,5310474,'1',203,'N'),(20,5310474,'1A',220,'N'),(20,5310482,'1',103,'N'),(20,5310490,'1',103,'N'),(20,5310504,'1',301,'N'),(20,5310512,'1',601,'N'),(20,5310512,'1A',213,'N'),(20,5310520,'1',102,'N'),(20,5310539,'1',5,'N'),(20,5310547,'1',104,'N'),(20,5310555,'1',208,'N'),(20,5310563,'1',308,'N'),(20,5310580,'1',215,'N'),(20,5310580,'1A',201,'N'),(20,5310598,'1',220,'N'),(20,5310598,'1A',208,'N'),(20,5310601,'1',453,'N'),(20,5310610,'1',103,'N'),(20,5310628,'1',319,'N'),(20,5310644,'1',203,'N'),(20,5310644,'1A',201,'N'),(20,5310652,'1',203,'N'),(20,5310652,'1A',201,'N'),(20,5310660,'1',216,'N'),(20,5310660,'1A',207,'N'),(20,5310679,'1',202,'N'),(20,5310679,'1A',208,'N'),(20,5310687,'1',303,'N'),(20,5310695,'1',212,'N'),(20,5310695,'1A',213,'N'),(20,5310709,'1',103,'N'),(20,5310717,'1',203,'N'),(20,5310717,'1A',201,'N'),(20,5310725,'1',316,'N'),(20,5310733,'1',319,'N'),(20,5310741,'1',103,'N'),(20,5310750,'1',201,'N'),(20,5310750,'1A',216,'N'),(20,5310768,'1',103,'N'),(20,5310776,'1',207,'N'),(20,5310776,'1A',201,'N'),(20,5310784,'1',5,'N'),(20,5310792,'1',309,'N'),(20,5310806,'1',404,'N'),(20,5310822,'1',102,'N'),(20,5310830,'1',5,'N'),(20,5310849,'1',310,'N'),(20,5310857,'1',652,'N'),(20,5310857,'1A',653,'N'),(20,5310865,'1',220,'N'),(20,5310865,'1A',208,'N'),(20,5310873,'1',203,'N'),(20,5310873,'1A',652,'N'),(20,5310881,'1',103,'N'),(20,5310890,'1',103,'N'),(20,5310903,'1',501,'N'),(20,5310911,'1',108,'N'),(20,5310920,'1',336,'N'),(20,5310938,'1',103,'N'),(20,5310946,'1',9,'N'),(20,5310954,'1',303,'N'),(20,5310962,'1',207,'N'),(20,5310962,'1A',238,'N'),(20,5310989,'1',103,'N'),(20,5311004,'1',103,'N'),(20,5311012,'1',104,'N'),(20,5311047,'1',309,'N'),(20,5311055,'1',316,'N'),(20,5311063,'1',317,'N'),(20,5311071,'1',329,'N'),(20,5311080,'1',103,'N'),(20,5311098,'1',202,'N'),(20,5311098,'1A',203,'N'),(20,5311101,'1',214,'N'),(20,5311101,'1A',203,'N'),(20,5311110,'1',235,'N'),(20,5311110,'1A',202,'N'),(20,5311128,'1',103,'N'),(20,5311136,'1',404,'N'),(20,5311144,'1',235,'N'),(20,5311144,'1A',202,'N'),(20,5311152,'1',303,'N'),(20,5311160,'1',324,'N'),(20,5311179,'1',103,'N'),(20,5311187,'1',316,'N'),(20,5311195,'1',444,'N'),(20,5311209,'1',216,'N'),(20,5311209,'1A',215,'N'),(20,5311217,'1',450,'N'),(20,5311225,'1',317,'N'),(20,5311233,'1',103,'N'),(20,5311241,'1',201,'N'),(20,5311241,'1A',233,'N'),(20,5311250,'1',303,'N'),(20,5311268,'1',211,'N'),(20,5311268,'1A',216,'N'),(20,5311276,'1',303,'N'),(20,5311284,'1',301,'N'),(20,5311292,'1',214,'N'),(20,5311292,'1A',213,'N'),(20,5311306,'1',301,'N'),(20,5311314,'1',207,'N'),(20,5311314,'1A',201,'N'),(20,5311322,'1',502,'N'),(20,5311330,'1',5,'N'),(20,5311349,'1',203,'N'),(20,5311349,'1A',238,'N'),(20,5311357,'1',233,'N'),(20,5311357,'1A',213,'N'),(20,5311365,'1',303,'N'),(20,5311373,'1',201,'N'),(20,5311373,'1A',212,'N'),(20,5311381,'1',601,'N'),(20,5311381,'1A',202,'N'),(20,5311390,'1',215,'N'),(20,5311390,'1A',216,'N'),(20,5311411,'1',5,'N'),(20,5311420,'1',301,'N'),(20,5311438,'1',103,'N'),(20,5311446,'1',215,'N'),(20,5311446,'1A',233,'N'),(20,5311454,'1',317,'N'),(20,5311462,'1',208,'N'),(20,5311470,'1',5,'N'),(20,5311489,'1',103,'N'),(20,5311497,'1',420,'N'),(20,5311500,'1',201,'N'),(20,5311500,'1A',207,'N'),(20,5311519,'1',103,'N'),(20,5311527,'1',340,'N'),(20,5311535,'1',238,'N'),(20,5311535,'1A',233,'N'),(20,5311543,'1',425,'N'),(20,5311551,'1',101,'N'),(20,5311560,'1',212,'N'),(20,5311560,'1A',601,'N'),(20,5311578,'1',420,'N'),(20,5311586,'1',308,'N'),(20,5311594,'1',203,'N'),(20,5311594,'1A',202,'N'),(20,5311616,'1',216,'N'),(20,5311616,'1A',201,'N'),(20,5311624,'1',104,'N'),(20,5311632,'1',404,'N'),(20,5311640,'1',103,'N'),(20,5311659,'1',5,'N'),(20,5311667,'1',319,'N'),(20,5311675,'1',207,'N'),(20,5311675,'1A',211,'N'),(20,5311683,'1',211,'N'),(20,5311705,'1',415,'N'),(20,5311713,'1',339,'N'),(20,5311721,'1',331,'N'),(20,5311730,'1',103,'N'),(20,5311748,'1',9,'N'),(20,5311772,'1',601,'N'),(20,5311772,'1A',216,'N'),(20,5311799,'1',551,'N'),(20,5311802,'1',601,'N'),(20,5311802,'1A',201,'N'),(20,5311810,'1',301,'N'),(20,5311829,'1',220,'N'),(20,5311829,'1A',601,'N'),(20,5311845,'1',211,'N'),(20,5311845,'1A',215,'N'),(20,5311853,'1',316,'N'),(20,5311861,'1',327,'N'),(20,5311888,'1',303,'N'),(20,5311900,'1',103,'N'),(20,5311918,'1',103,'N'),(20,5311934,'1',452,'N'),(20,5311942,'1',203,'N'),(20,5311942,'1A',202,'N'),(20,5311969,'1',103,'N'),(20,5311977,'1',108,'N'),(20,5311985,'1',214,'N'),(20,5311993,'1',3,'N'),(20,5312000,'1',319,'N'),(20,5312019,'1',103,'N'),(20,5312027,'1',104,'N'),(20,5312035,'1',319,'N'),(20,5312051,'1',104,'N'),(20,5312060,'1',233,'N'),(20,5312060,'1A',201,'N'),(20,5312078,'1',201,'N'),(20,5312078,'1A',212,'N'),(20,5312086,'1',203,'N'),(20,5312086,'1A',214,'N'),(20,5312094,'1',324,'N'),(20,5312108,'1',208,'N'),(20,5312108,'1A',238,'N'),(20,5312124,'1',233,'N'),(20,5312124,'1A',213,'N'),(20,5312132,'1',102,'N'),(20,5312140,'1',301,'N'),(20,5312159,'1',103,'N'),(20,5312167,'1',103,'N'),(20,5312175,'1',428,'N'),(20,5312175,'1A',426,'N'),(20,5312183,'1',103,'N'),(20,5312205,'1',319,'N'),(20,5312213,'1',202,'N'),(20,5312213,'1A',235,'N'),(20,5312221,'1',308,'N'),(20,5312230,'1',303,'N'),(20,5312248,'1',207,'N'),(20,5312256,'1',339,'N'),(20,5312264,'1',103,'N'),(20,5312272,'1',212,'N'),(20,5312272,'1A',601,'N'),(20,5312280,'1',103,'N'),(20,5312299,'1',317,'N'),(20,5312310,'1',428,'N'),(20,5312310,'1A',425,'N'),(20,5312329,'1',333,'N'),(20,5312337,'1',104,'N'),(20,5312345,'1',203,'N'),(20,5312345,'1A',201,'N'),(20,5312353,'1',201,'N'),(20,5312353,'1A',213,'N'),(20,5312361,'1',5,'N'),(20,5312370,'1',104,'N'),(20,5312388,'1',427,'N'),(20,5312388,'1A',424,'N'),(20,5312396,'1',103,'N'),(20,5312400,'1',103,'N'),(20,5312434,'1',203,'N'),(20,5312434,'1A',214,'N'),(20,5312442,'1',202,'N'),(20,5312442,'1A',235,'N'),(20,5312469,'1',205,'N'),(20,5312477,'1',340,'N'),(20,5312493,'1',201,'N'),(20,5312493,'1A',214,'N'),(20,5312507,'1',340,'N'),(20,5312523,'1',102,'N'),(20,5312531,'1',102,'N'),(20,5312540,'1',301,'N'),(20,5312558,'1',104,'N'),(20,5312574,'1',201,'N'),(20,5312582,'1',104,'N'),(20,5312590,'1',201,'N'),(20,5312590,'1A',216,'N'),(20,5312620,'1',9,'N'),(20,5312639,'1',108,'N'),(20,5312647,'1',214,'N'),(20,5312647,'1A',213,'N'),(20,5312655,'1',201,'N'),(20,5312655,'1A',233,'N'),(20,5312663,'1',404,'N'),(20,5312671,'1',102,'N'),(20,5312680,'1',316,'N'),(20,5312698,'1',452,'N'),(20,5312701,'1',233,'N'),(20,5312701,'1A',201,'N'),(20,5312710,'1',336,'N'),(20,5312728,'1',5,'N'),(20,5312736,'1',103,'N'),(20,5312744,'1',501,'N'),(20,5312752,'1',103,'N'),(20,5312760,'1',332,'N'),(20,5312779,'1',501,'N'),(20,5312787,'1',104,'N'),(20,5312795,'1',453,'N'),(20,5312809,'1',103,'N'),(20,5312817,'1',104,'N'),(20,5312825,'1',203,'N'),(20,5312825,'1A',202,'N'),(20,5312833,'1',104,'N'),(20,5312841,'1',601,'N'),(20,5312841,'1A',233,'N'),(20,5312850,'1',238,'N'),(20,5312850,'1A',208,'N'),(20,5312868,'1',551,'N'),(20,5312876,'1',317,'N'),(20,5312884,'1',303,'N'),(20,5312892,'1',304,'N'),(20,5312906,'1',453,'N'),(20,5312922,'1',202,'N'),(20,5312922,'1A',213,'N'),(20,5312930,'1',202,'N'),(20,5312930,'1A',213,'N'),(20,5312957,'1',103,'N'),(20,5312973,'1',601,'N'),(20,5312973,'1A',203,'N'),(20,5312981,'1',329,'N'),(20,5312990,'1',212,'N'),(20,5312990,'1A',201,'N'),(20,5313007,'1',653,'N'),(20,5313007,'1A',652,'N'),(20,5313015,'1',329,'N'),(20,5313023,'1',103,'N'),(20,5313040,'1',205,'N'),(20,5313058,'1',205,'N'),(20,5313074,'1',5,'N'),(20,5313082,'1',319,'N'),(20,5313090,'1',415,'N'),(20,5313104,'1',423,'N'),(20,5313104,'1A',424,'N'),(20,5313112,'1',5,'N'),(20,5313120,'1',103,'N'),(20,5313139,'1',415,'N'),(20,5313147,'1',653,'N'),(20,5313147,'1A',207,'N'),(20,5313155,'1',551,'N'),(20,5313163,'1',301,'N'),(20,5313171,'1',103,'N'),(20,5313180,'1',103,'N'),(20,5313198,'1',303,'N'),(20,5313201,'1',420,'N'),(20,5313210,'1',318,'N'),(20,5313228,'1',444,'N'),(20,5313236,'1',303,'N'),(20,5313244,'1',320,'N'),(20,5313252,'1',5,'N'),(20,5313260,'1',203,'N'),(20,5313260,'1A',214,'N'),(20,5313279,'1',207,'N'),(20,5313279,'1A',201,'N'),(20,5313287,'1',108,'N'),(20,5313295,'1',214,'N'),(20,5313295,'1A',233,'N'),(20,5313309,'1',5,'N'),(20,5313317,'1',203,'N'),(20,5313317,'1A',202,'N'),(20,5313325,'1',316,'N'),(20,5313333,'1',333,'N'),(20,5313368,'1',444,'N'),(20,5313376,'1',415,'N'),(20,5313384,'1',238,'N'),(20,5313384,'1A',208,'N'),(20,5313392,'1',216,'N'),(20,5313392,'1A',212,'N'),(20,5313406,'1',108,'N'),(20,5313422,'1',211,'N'),(20,5313449,'1',201,'N'),(20,5313449,'1A',202,'N'),(20,5313457,'1',415,'N'),(20,5313465,'1',201,'N'),(20,5313465,'1A',213,'N'),(20,5313473,'1',316,'N'),(20,5313481,'1',5,'N'),(20,5313490,'1',5,'N'),(20,5313503,'1',109,'N'),(20,5313511,'1',340,'N'),(20,5313538,'1',303,'N'),(20,5313546,'1',5,'N'),(20,5313554,'1',424,'N'),(20,5313554,'1A',429,'N'),(20,5313562,'1',318,'N'),(20,5313570,'1',216,'N'),(20,5313570,'1A',233,'N'),(20,5313589,'1',303,'N'),(20,5313600,'1',317,'N'),(20,5313619,'1',103,'N'),(20,5313627,'1',207,'N'),(20,5313643,'1',652,'N'),(20,5313643,'1A',653,'N'),(20,5313651,'1',5,'N'),(20,5313660,'1',203,'N'),(20,5313660,'1A',220,'N'),(20,5313678,'1',201,'N'),(20,5313678,'1A',203,'N'),(20,5313686,'1',208,'N'),(20,5313694,'1',103,'N'),(20,5313708,'1',601,'N'),(20,5313708,'1A',212,'N'),(20,5313716,'1',415,'N'),(20,5313724,'1',103,'N'),(20,5313732,'1',316,'N'),(20,5313740,'1',102,'N'),(20,5313759,'1',203,'N'),(20,5313759,'1A',214,'N'),(20,5313767,'1',103,'N'),(20,5313783,'1',601,'N'),(20,5313783,'1A',203,'N'),(20,5313791,'1',101,'N'),(20,5313813,'1',103,'N'),(20,5313821,'1',302,'N'),(20,5313830,'1',103,'N'),(20,5313856,'1',340,'N'),(20,5313864,'1',331,'N'),(20,5313872,'1',303,'N'),(20,5313880,'1',9,'N'),(20,5313899,'1',5,'N'),(20,5313902,'1',444,'N'),(20,5313910,'1',320,'N'),(20,5313937,'1',211,'N'),(20,5313937,'1A',216,'N'),(20,5313953,'1',220,'N'),(20,5313953,'1A',203,'N'),(20,5313961,'1',203,'N'),(20,5313961,'1A',201,'N'),(20,5313988,'1',220,'N'),(20,5313996,'1',103,'N'),(20,5314003,'1',340,'N'),(20,5314011,'1',103,'N'),(20,5314020,'1',444,'N'),(20,5314038,'1',203,'N'),(20,5314038,'1A',214,'N'),(20,5314046,'1',216,'N'),(20,5314046,'1A',212,'N'),(20,5314054,'1',109,'N'),(20,5314062,'1',208,'N'),(20,5314062,'1A',203,'N'),(20,5314070,'1',5,'N'),(20,5314097,'1',316,'N'),(20,5314135,'1',444,'N'),(20,5314143,'1',103,'N'),(20,5314151,'1',238,'N'),(20,5314151,'1A',208,'N'),(20,5314160,'1',103,'N'),(20,5314178,'1',103,'N'),(20,5314186,'1',102,'N'),(20,5314194,'1',203,'N'),(20,5314194,'1A',202,'N'),(20,5314208,'1',103,'N'),(20,5314216,'1',104,'N'),(20,5314224,'1',309,'N'),(20,5314232,'1',211,'N'),(20,5314232,'1A',213,'N'),(20,5314240,'1',102,'N'),(20,5314259,'1',215,'N'),(20,5314259,'1A',211,'N'),(20,5314267,'1',340,'N'),(20,5314275,'1',108,'N'),(20,5314283,'1',103,'N'),(20,5314291,'1',101,'N'),(20,5314305,'1',201,'N'),(20,5314305,'1A',207,'N'),(20,5314313,'1',2,'N'),(20,5314321,'1',303,'N'),(20,5314330,'1',340,'N'),(20,5314348,'1',652,'N'),(20,5314348,'1A',653,'N'),(20,5314356,'1',238,'N'),(20,5314356,'1A',208,'N'),(20,5314364,'1',103,'N'),(20,5314372,'1',103,'N'),(20,5314380,'1',103,'N'),(20,5314399,'1',420,'N'),(20,5314402,'1',104,'N'),(20,5314410,'1',653,'N'),(20,5314410,'1A',652,'N'),(20,5314429,'1',104,'N'),(20,5314445,'1',207,'N'),(20,5314445,'1A',238,'N'),(20,5314453,'1',423,'N'),(20,5314453,'1A',425,'N'),(20,5314461,'1',103,'N'),(20,5314470,'1',5,'N'),(20,5314488,'1',318,'N'),(20,5314496,'1',317,'N'),(20,5314500,'1',103,'N'),(20,5314518,'1',327,'N'),(20,5314526,'1',5,'N'),(20,5314542,'1',235,'N'),(20,5314542,'1A',653,'N'),(20,5314550,'1',428,'N'),(20,5314550,'1A',424,'N'),(20,5314569,'1',203,'N'),(20,5314569,'1A',653,'N'),(20,5314577,'1',316,'N'),(20,5314585,'1',203,'N'),(20,5314585,'1A',214,'N'),(20,5314593,'1',5,'N'),(20,5314607,'1',301,'N'),(20,5314615,'1',103,'N'),(20,5314631,'1',309,'N'),(20,5314640,'1',103,'N'),(20,5314658,'1',5,'N'),(20,5314666,'1',5,'N'),(20,5314682,'1',212,'N'),(20,5314682,'1A',213,'N'),(20,5314704,'1',202,'N'),(20,5314704,'1A',213,'N'),(20,5314712,'1',208,'N'),(20,5314712,'1A',235,'N'),(20,5314720,'1',309,'N'),(20,5314739,'1',214,'N'),(20,5314739,'1A',203,'N'),(20,5314747,'1',319,'N'),(20,5314755,'1',103,'N'),(20,5314763,'1',103,'N'),(20,5314771,'1',238,'N'),(20,5314771,'1A',208,'N'),(20,5314780,'1',222,'N'),(20,5314798,'1',340,'N'),(20,5314810,'1',207,'N'),(20,5314810,'1A',201,'N'),(20,5314828,'1',420,'N'),(20,5314844,'1',238,'N'),(20,5314844,'1A',208,'N'),(20,5314852,'1',502,'N'),(20,5314860,'1',102,'N'),(20,5314879,'1',316,'N'),(20,5314887,'1',103,'N'),(20,5314895,'1',103,'N'),(20,5314909,'1',109,'N'),(20,5314917,'1',212,'N'),(20,5314917,'1A',601,'N'),(20,5314925,'1',104,'N'),(20,5314933,'1',429,'N'),(20,5314933,'1A',426,'N'),(20,5314941,'1',601,'N'),(20,5314941,'1A',213,'N'),(20,5314950,'1',5,'N'),(20,5314968,'1',333,'N'),(20,5314976,'1',201,'N'),(20,5314976,'1A',212,'N'),(20,5314984,'1',233,'N'),(20,5314984,'1A',601,'N'),(20,5314992,'1',201,'N'),(20,5314992,'1A',235,'N'),(20,5315000,'1',317,'N'),(20,5315018,'1',103,'N'),(20,5315026,'1',207,'N'),(20,5315034,'1',551,'N'),(20,5315042,'1',302,'N'),(20,5315050,'1',420,'N'),(20,5315069,'1',207,'N'),(20,5315069,'1A',201,'N'),(20,5315077,'1',309,'N'),(20,5315085,'1',201,'N'),(20,5315085,'1A',207,'N'),(20,5315107,'1',316,'N'),(20,5315115,'1',503,'N'),(20,5315123,'1',301,'N'),(20,5315131,'1',103,'N'),(20,5315140,'1',415,'N'),(20,5315158,'1',201,'N'),(20,5315158,'1A',207,'N'),(20,5315174,'1',333,'N'),(20,5315182,'1',301,'N'),(20,5315190,'1',444,'N'),(20,5315204,'1',216,'N'),(20,5315204,'1A',201,'N'),(20,5315212,'1',103,'N'),(20,5315220,'1',103,'N'),(20,5315239,'1',339,'N'),(20,5315255,'1',316,'N'),(20,5315263,'1',103,'N'),(20,5315271,'1',9,'N'),(20,5315336,'1',238,'N'),(20,5315336,'1A',208,'N'),(20,5315352,'1',420,'N'),(20,5315360,'1',101,'N'),(20,5315379,'1',207,'N'),(20,5315387,'1',304,'N'),(20,5315395,'1',108,'N'),(20,5315409,'1',501,'N'),(20,5315417,'1',103,'N'),(20,5315425,'1',5,'N'),(20,5315433,'1',301,'N'),(20,5315441,'1',201,'N'),(20,5315441,'1A',207,'N'),(20,5315450,'1',423,'N'),(20,5315450,'1A',428,'N'),(20,5315468,'1',324,'N'),(20,5315476,'1',420,'N'),(20,5315484,'1',444,'N'),(20,5315492,'1',303,'N'),(20,5315506,'1',203,'N'),(20,5315506,'1A',201,'N'),(20,5315514,'1',5,'N'),(20,5315530,'1',223,'N'),(20,5315549,'1',201,'N'),(20,5315549,'1A',202,'N'),(20,5315557,'1',103,'N'),(20,5315565,'1',9,'N'),(20,5315573,'1',340,'N'),(20,5315590,'1',207,'N'),(20,5315590,'1A',201,'N'),(20,5315603,'1',104,'N'),(20,5315611,'1',104,'N'),(20,5315620,'1',340,'N'),(20,5315638,'1',103,'N'),(20,5315646,'1',601,'N'),(20,5315646,'1A',220,'N'),(20,5315662,'1',5,'N'),(20,5315689,'1',428,'N'),(20,5315689,'1A',426,'N'),(20,5315719,'1',211,'N'),(20,5315719,'1A',652,'N'),(20,5315727,'1',103,'N'),(20,5315735,'1',104,'N'),(20,5315743,'1',601,'N'),(20,5315743,'1A',203,'N'),(20,5315751,'1',320,'N'),(20,5315760,'1',103,'N'),(20,5315778,'1',319,'N'),(20,5315794,'1',102,'N'),(20,5315808,'1',235,'N'),(20,5315808,'1A',202,'N'),(20,5315824,'1',207,'N'),(20,5315824,'1A',201,'N'),(20,5315832,'1',212,'N'),(20,5315832,'1A',207,'N'),(20,5315859,'1',309,'N'),(20,5315875,'1',104,'N'),(20,5315883,'1',9,'N'),(20,5315891,'1',216,'N'),(20,5315891,'1A',215,'N'),(20,5315905,'1',201,'N'),(20,5315905,'1A',203,'N'),(20,5315913,'1',303,'N'),(20,5315921,'1',320,'N'),(20,5315930,'1',222,'N'),(20,5315948,'1',216,'N'),(20,5315948,'1A',215,'N'),(20,5315956,'1',450,'N'),(20,5315964,'1',5,'N'),(20,5315972,'1',102,'N'),(20,5315980,'1',308,'N'),(20,5316014,'1',102,'N'),(20,5316022,'1',103,'N'),(20,5316030,'1',211,'N'),(20,5316030,'1A',215,'N'),(20,5316049,'1',303,'N'),(20,5316057,'1',216,'N'),(20,5316057,'1A',208,'N'),(20,5316065,'1',238,'N'),(20,5316065,'1A',651,'N'),(20,5316073,'1',319,'N'),(20,5316081,'1',303,'N'),(20,5316090,'1',551,'N'),(20,5316103,'1',207,'N'),(20,5316103,'1A',216,'N'),(20,5316111,'1',339,'N'),(20,5316120,'1',339,'N'),(20,5316138,'1',103,'N'),(20,5316154,'1',652,'N'),(20,5316154,'1A',651,'N'),(20,5316162,'1',215,'N'),(20,5316162,'1A',233,'N'),(20,5316170,'1',103,'N'),(20,5316189,'1',329,'N'),(20,5316197,'1',203,'N'),(20,5316197,'1A',202,'N'),(20,5316200,'1',109,'N'),(20,5316219,'1',201,'N'),(20,5316219,'1A',211,'N'),(20,5316227,'1',423,'N'),(20,5316227,'1A',429,'N'),(20,5316243,'1',319,'N'),(20,5316251,'1',102,'N'),(20,5316278,'1',429,'N'),(20,5316294,'1',340,'N'),(20,5316316,'1',304,'N'),(20,5316324,'1',103,'N'),(20,5316332,'1',425,'N'),(20,5316332,'1A',424,'N'),(20,5316340,'1',203,'N'),(20,5316359,'1',501,'N'),(20,5316367,'1',5,'N'),(20,5316375,'1',601,'N'),(20,5316391,'1',333,'N'),(20,5316405,'1',103,'N'),(20,5316413,'1',5,'N'),(20,5316421,'1',207,'N'),(20,5316421,'1A',601,'N'),(20,5316430,'1',319,'N'),(20,5316448,'1',5,'N'),(20,5316456,'1',220,'N'),(20,5316456,'1A',235,'N'),(20,5316472,'1',303,'N'),(20,5316480,'1',101,'N'),(20,5316499,'1',103,'N'),(20,5316502,'1',103,'N'),(20,5316510,'1',103,'N'),(20,5316529,'1',415,'N'),(20,5316537,'1',103,'N'),(20,5316545,'1',333,'N'),(20,5316553,'1',502,'N'),(20,5316561,'1',9,'N'),(20,5316570,'1',9,'N'),(20,5316596,'1',415,'N'),(20,5316600,'1',317,'N'),(20,5316618,'1',450,'N'),(20,5316626,'1',453,'N'),(20,5316634,'1',207,'N'),(20,5316634,'1A',215,'N'),(20,5316642,'1',201,'N'),(20,5316642,'1A',212,'N'),(20,5316650,'1',215,'N'),(20,5316650,'1A',213,'N'),(20,5316669,'1',502,'N'),(20,5316677,'1',450,'N'),(20,5316685,'1',317,'N'),(20,5316693,'1',104,'N'),(20,5316707,'1',5,'N'),(20,5316723,'1',207,'N'),(20,5316723,'1A',201,'N'),(20,5316731,'1',104,'N'),(20,5316740,'1',103,'N'),(20,5316758,'1',103,'N'),(20,5316766,'1',108,'N'),(20,5316774,'1',207,'N'),(20,5316774,'1A',203,'N'),(20,5316804,'1',203,'N'),(20,5316804,'1A',214,'N'),(20,5316812,'1',101,'N'),(20,5316820,'1',415,'N'),(20,5316839,'1',303,'N'),(20,5316847,'1',452,'N'),(20,5316855,'1',415,'N'),(20,5316863,'1',109,'N'),(20,5316871,'1',101,'N'),(20,5316880,'1',103,'N'),(20,5316898,'1',333,'N'),(20,5316901,'1',201,'N'),(20,5316901,'1A',208,'N'),(20,5316910,'1',103,'N'),(20,5316928,'1',216,'N'),(20,5316928,'1A',215,'N'),(20,5316936,'1',428,'N'),(20,5316936,'1A',426,'N'),(20,5316944,'1',404,'N'),(20,5316960,'1',301,'N'),(20,5316979,'1',101,'N'),(20,5316987,'1',104,'N'),(20,5316995,'1',319,'N'),(20,5317010,'1',601,'N'),(20,5317010,'1A',208,'N'),(20,5317037,'1',301,'N'),(20,5317045,'1',103,'N'),(20,5317053,'1',103,'N'),(20,5317070,'1',601,'N'),(20,5317070,'1A',215,'N'),(20,5317088,'1',9,'N'),(20,5317096,'1',329,'N'),(20,5317100,'1',319,'N'),(20,5317118,'1',404,'N'),(20,5317126,'1',104,'N'),(20,5317134,'1',103,'N'),(20,5317142,'1',202,'N'),(20,5317142,'1A',213,'N'),(20,5317150,'1',303,'N'),(20,5317177,'1',336,'N'),(20,5317185,'1',420,'N'),(20,5317193,'1',207,'N'),(20,5317193,'1A',201,'N'),(20,5317207,'1',108,'N'),(20,5317215,'1',103,'N'),(20,5317223,'1',425,'N'),(20,5317223,'1A',428,'N'),(20,5317231,'1',319,'N'),(20,5317240,'1',103,'N'),(20,5317258,'1',324,'N'),(20,5317266,'1',103,'N'),(20,5317274,'1',109,'N'),(20,5317282,'1',333,'N'),(20,5317290,'1',216,'N'),(20,5317290,'1A',201,'N'),(20,5317304,'1',5,'N'),(20,5317312,'1',201,'N'),(20,5317312,'1A',207,'N'),(20,5317320,'1',338,'N'),(20,5317339,'1',9,'N'),(20,5317347,'1',404,'N'),(20,5317355,'1',404,'N'),(20,5317363,'1',451,'N'),(20,5317371,'1',211,'N'),(20,5317380,'1',103,'N'),(20,5317398,'1',452,'N'),(20,5317401,'1',211,'N'),(20,5317410,'1',203,'N'),(20,5317410,'1A',220,'N'),(20,5317428,'1',207,'N'),(20,5317428,'1A',201,'N'),(20,5317436,'1',651,'N'),(20,5317436,'1A',652,'N'),(20,5317444,'1',502,'N'),(20,5317452,'1',103,'N'),(20,5317460,'1',103,'N'),(20,5317479,'1',9,'N'),(20,5317495,'1',103,'N'),(20,5317509,'1',444,'N'),(20,5317517,'1',303,'N'),(20,5317550,'1',207,'N'),(20,5317550,'1A',216,'N'),(20,5317568,'1',102,'N'),(20,5317576,'1',601,'N'),(20,5317576,'1A',207,'N'),(20,5317584,'1',450,'N'),(20,5317592,'1',301,'N'),(20,5317606,'1',201,'N'),(20,5317606,'1A',220,'N'),(20,5317614,'1',103,'N'),(20,5317630,'1',319,'N'),(20,5317649,'1',9,'N'),(20,5317665,'1',336,'N'),(20,5317690,'1',5,'N'),(20,5317703,'1',213,'N'),(20,5317703,'1A',208,'N'),(20,5317720,'1',235,'N'),(20,5317720,'1A',202,'N'),(20,5317746,'1',303,'N'),(20,5317754,'1',318,'N'),(20,5317762,'1',5,'N'),(20,5317789,'1',201,'N'),(20,5317789,'1A',601,'N'),(20,5317800,'1',450,'N'),(20,5317827,'1',103,'N'),(20,5317835,'1',5,'N'),(20,5317843,'1',211,'N'),(20,5317843,'1A',216,'N'),(20,5317851,'1',5,'N'),(20,5317860,'1',303,'N'),(20,5317878,'1',207,'N'),(20,5317878,'1A',212,'N'),(20,5317886,'1',103,'N'),(20,5317894,'1',420,'N'),(20,5317908,'1',207,'N'),(20,5317908,'1A',201,'N'),(20,5317916,'1',332,'N'),(20,5317924,'1',415,'N'),(20,5317932,'1',327,'N'),(20,5317940,'1',301,'N'),(20,5317959,'1',104,'N'),(20,5317967,'1',404,'N'),(20,5317983,'1',308,'N'),(20,5317991,'1',103,'N'),(20,5318009,'1',452,'N'),(20,5318017,'1',453,'N'),(20,5318025,'1',319,'N'),(20,5318033,'1',308,'N'),(20,5318050,'1',103,'N'),(20,5318068,'1',103,'N'),(20,5318076,'1',103,'N'),(20,5318084,'1',5,'N'),(20,5318106,'1',201,'N'),(20,5318106,'1A',207,'N'),(20,5318122,'1',453,'N'),(20,5318130,'1',104,'N'),(20,5318149,'1',101,'N'),(20,5318157,'1',319,'N'),(20,5318165,'1',108,'N'),(20,5318181,'1',208,'N'),(20,5318203,'1',317,'N'),(20,5318211,'1',201,'N'),(20,5318211,'1A',235,'N'),(20,5318220,'1',104,'N'),(20,5318238,'1',103,'N'),(20,5318246,'1',207,'N'),(20,5318246,'1A',238,'N'),(20,5318254,'1',420,'N'),(20,5318262,'1',339,'N'),(20,5318270,'1',207,'N'),(20,5318270,'1A',208,'N'),(20,5318289,'1',103,'N'),(20,5318297,'1',103,'N'),(20,5318300,'1',103,'N'),(20,5318319,'1',309,'N'),(20,5318327,'1',327,'N'),(20,5318335,'1',201,'N'),(20,5318335,'1A',212,'N'),(20,5318343,'1',415,'N'),(20,5318351,'1',652,'N'),(20,5318351,'1A',653,'N'),(20,5318360,'1',215,'N'),(20,5318360,'1A',216,'N'),(20,5318394,'1',425,'N'),(20,5318416,'1',103,'N'),(20,5318432,'1',452,'N'),(20,5318440,'1',5,'N'),(20,5318475,'1',501,'N'),(20,5318491,'1',207,'N'),(20,5318491,'1A',651,'N'),(20,5318505,'1',304,'N'),(20,5318513,'1',415,'N'),(20,5318521,'1',501,'N'),(20,5318530,'1',404,'N'),(20,5318548,'1',336,'N'),(20,5318564,'1',9,'N'),(20,5318572,'1',104,'N'),(20,5318580,'1',318,'N'),(20,5318599,'1',103,'N'),(20,5318602,'1',104,'N'),(20,5318629,'1',308,'N'),(20,5318637,'1',103,'N'),(20,5318645,'1',318,'N'),(20,5318653,'1',9,'N'),(20,5318661,'1',103,'N'),(20,5318670,'1',329,'N'),(20,5318688,'1',5,'N'),(20,5318696,'1',103,'N'),(20,5318700,'1',103,'N'),(20,5318734,'1',212,'N'),(20,5318734,'1A',213,'N'),(20,5318742,'1',203,'N'),(20,5318742,'1A',235,'N'),(20,5318750,'1',104,'N'),(20,5318769,'1',103,'N'),(20,5318777,'1',103,'N'),(20,5318785,'1',203,'N'),(20,5318785,'1A',201,'N'),(20,5318793,'1',429,'N'),(20,5318807,'1',601,'N'),(20,5318807,'1A',201,'N'),(20,5318815,'1',318,'N'),(20,5318823,'1',103,'N'),(20,5318831,'1',103,'N'),(20,5318840,'1',109,'N'),(20,5318858,'1',103,'N'),(20,5318866,'1',238,'N'),(20,5318866,'1A',211,'N'),(20,5318874,'1',110,'N'),(20,5318882,'1',404,'N'),(20,5318904,'1',235,'N'),(20,5318904,'1A',220,'N'),(20,5318912,'1',208,'N'),(20,5318912,'1A',238,'N'),(20,5318920,'1',303,'N'),(20,5318939,'1',338,'N'),(20,5318947,'1',318,'N'),(20,5318955,'1',220,'N'),(20,5318955,'1A',202,'N'),(20,5318980,'1',102,'N'),(20,5318998,'1',601,'N'),(20,5318998,'1A',203,'N'),(20,5319005,'1',211,'N'),(20,5319005,'1A',207,'N'),(20,5319013,'1',601,'N'),(20,5319013,'1A',214,'N'),(20,5319021,'1',238,'N'),(20,5319048,'1',208,'N'),(20,5319048,'1A',215,'N'),(20,5319064,'1',103,'N'),(20,5319072,'1',235,'N'),(20,5319072,'1A',201,'N'),(20,5319099,'1',501,'N'),(20,5319102,'1',601,'N'),(20,5319102,'1A',653,'N'),(20,5319110,'1',220,'N'),(20,5319110,'1A',238,'N'),(20,5319129,'1',216,'N'),(20,5319129,'1A',215,'N'),(20,5319137,'1',324,'N'),(20,5319145,'1',201,'N'),(20,5319153,'1',340,'N'),(20,5319161,'1',316,'N'),(20,5319170,'1',207,'N'),(20,5319170,'1A',203,'N'),(20,5319200,'1',103,'N'),(20,5319218,'1',415,'N'),(20,5319226,'1',320,'N'),(20,5319234,'1',5,'N'),(20,5319242,'1',450,'N'),(20,5319250,'1',317,'N'),(20,5319269,'1',103,'N'),(20,5319277,'1',444,'N'),(20,5319285,'1',238,'N'),(20,5319293,'1',109,'N'),(20,5319307,'1',453,'N'),(20,5319315,'1',101,'N'),(20,5319323,'1',103,'N'),(20,5319331,'1',303,'N'),(20,5319358,'1',103,'N'),(20,5319366,'1',103,'N'),(20,5319374,'1',301,'N'),(20,5319382,'1',652,'N'),(20,5319382,'1A',653,'N'),(20,5319390,'1',108,'N'),(20,5319404,'1',317,'N'),(20,5319412,'1',207,'N'),(20,5319412,'1A',233,'N'),(20,5319420,'1',103,'N'),(20,5319439,'1',207,'N'),(20,5319439,'1A',201,'N'),(20,5319447,'1',340,'N'),(20,5319455,'1',207,'N'),(20,5319455,'1A',233,'N'),(20,5319463,'1',216,'N'),(20,5319463,'1A',201,'N'),(20,5319471,'1',340,'N'),(20,5319480,'1',415,'N'),(20,5319498,'1',5,'N'),(20,5319501,'1',207,'N'),(20,5319501,'1A',201,'N'),(20,5319528,'1',104,'N'),(20,5319536,'1',103,'N'),(20,5319544,'1',452,'N'),(20,5319579,'1',201,'N'),(20,5319579,'1A',601,'N'),(20,5319587,'1',320,'N'),(20,5319595,'1',429,'N'),(20,5319595,'1A',427,'N'),(20,5319609,'1',101,'N'),(20,5319625,'1',316,'N'),(20,5319633,'1',450,'N'),(20,5319641,'1',601,'N'),(20,5319641,'1A',216,'N'),(20,5319650,'1',9,'N'),(20,5319668,'1',601,'N'),(20,5319668,'1A',653,'N'),(20,5319676,'1',212,'N'),(20,5319676,'1A',214,'N'),(20,5319684,'1',103,'N'),(20,5319692,'1',327,'N'),(20,5319706,'1',5,'N'),(20,5319714,'1',208,'N'),(20,5319714,'1A',238,'N'),(20,5319722,'1',212,'N'),(20,5319722,'1A',208,'N'),(20,5319730,'1',333,'N'),(20,5319749,'1',304,'N'),(20,5319757,'1',302,'N'),(20,5319765,'1',319,'N'),(20,5319773,'1',301,'N'),(20,5319781,'1',103,'N'),(20,5319790,'1',3,'N'),(20,5319803,'1',212,'N'),(20,5319803,'1A',233,'N'),(20,5319811,'1',333,'N'),(20,5319820,'1',316,'N'),(20,5319838,'1',415,'N'),(20,5319854,'1',303,'N'),(20,5319862,'1',653,'N'),(20,5319862,'1A',652,'N'),(20,5319889,'1',404,'N'),(20,5319897,'1',203,'N'),(20,5319897,'1A',214,'N'),(20,5319900,'1',444,'N'),(20,5319919,'1',5,'N'),(20,5319935,'1',601,'N'),(20,5319935,'1A',203,'N'),(20,5319951,'1',208,'N'),(20,5319951,'1A',238,'N'),(20,5319960,'1',103,'N'),(20,5319978,'1',202,'N'),(20,5319978,'1A',235,'N'),(20,5319986,'1',101,'N'),(20,5319994,'1',216,'N'),(20,5319994,'1A',202,'N'),(20,5320003,'1',5,'N'),(20,5320020,'1',208,'N'),(20,5320020,'1A',238,'N'),(20,5320038,'1',319,'N'),(20,5320046,'1',211,'N'),(20,5320046,'1A',207,'N'),(20,5320054,'1',5,'N'),(20,5320062,'1',211,'N'),(20,5320062,'1A',203,'N'),(20,5320070,'1',317,'N'),(20,5320097,'1',303,'N'),(20,5320119,'1',212,'N'),(20,5320119,'1A',201,'N'),(20,5320135,'1',103,'N'),(20,5320160,'1',333,'N'),(20,5320178,'1',207,'N'),(20,5320178,'1A',212,'N'),(20,5320186,'1',425,'N'),(20,5320186,'1A',426,'N'),(20,5320194,'1',103,'N'),(20,5320208,'1',331,'N'),(20,5320216,'1',103,'N'),(20,5320224,'1',104,'N'),(20,5320232,'1',103,'N'),(20,5320259,'1',103,'N'),(20,5320267,'1',316,'N'),(20,5320275,'1',216,'N'),(20,5320275,'1A',653,'N'),(20,5320283,'1',103,'N'),(20,5320291,'1',420,'N'),(20,5320313,'1',220,'N'),(20,5320313,'1A',203,'N'),(20,5320321,'1',103,'N'),(20,5320330,'1',425,'N'),(20,5320330,'1A',428,'N'),(20,5320356,'1',216,'N'),(20,5320356,'1A',208,'N'),(20,5320364,'1',103,'N'),(20,5320372,'1',216,'N'),(20,5320372,'1A',202,'N'),(20,5320380,'1',319,'N'),(20,5320399,'1',103,'N'),(20,5320402,'1',103,'N'),(20,5320410,'1',211,'N'),(20,5320410,'1A',238,'N'),(20,5320429,'1',103,'N'),(20,5320445,'1',233,'N'),(20,5320445,'1A',202,'N'),(20,5320453,'1',420,'N'),(20,5320461,'1',653,'N'),(20,5320461,'1A',213,'N'),(20,5320470,'1',332,'N'),(20,5320488,'1',103,'N'),(20,5320496,'1',5,'N'),(20,5320500,'1',202,'N'),(20,5320518,'1',110,'N'),(20,5320526,'1',601,'N'),(20,5320534,'1',303,'N'),(20,5320542,'1',301,'N'),(20,5320550,'1',201,'N'),(20,5320550,'1A',238,'N'),(20,5320569,'1',5,'N'),(20,5320577,'1',317,'N'),(20,5320585,'1',318,'N'),(20,5320593,'1',452,'N'),(20,5320607,'1',110,'N'),(20,5320615,'1',102,'N'),(20,5320623,'1',329,'N'),(20,5320631,'1',451,'N'),(20,5320640,'1',101,'N'),(20,5320658,'1',103,'N'),(20,5320666,'1',212,'N'),(20,5320666,'1A',203,'N'),(20,5320674,'1',551,'N'),(20,5320704,'1',316,'N'),(20,5320712,'1',103,'N'),(20,5320720,'1',324,'N'),(20,5320739,'1',103,'N'),(20,5320747,'1',104,'N'),(20,5320763,'1',316,'N'),(20,5320780,'1',103,'N'),(20,5320798,'1',103,'N'),(20,5320801,'1',203,'N'),(20,5320801,'1A',202,'N'),(20,5320810,'1',301,'N'),(20,5320828,'1',104,'N'),(20,5320836,'1',653,'N'),(20,5320836,'1A',652,'N'),(20,5320844,'1',501,'N'),(20,5320852,'1',444,'N'),(20,5320860,'1',420,'N'),(20,5320879,'1',309,'N'),(20,5320887,'1',103,'N'),(20,5320895,'1',208,'N'),(20,5320895,'1A',235,'N'),(20,5320909,'1',5,'N'),(20,5320917,'1',220,'N'),(20,5320917,'1A',235,'N'),(20,5320925,'1',216,'N'),(20,5320925,'1A',214,'N'),(20,5320933,'1',5,'N'),(20,5320941,'1',301,'N'),(20,5320950,'1',104,'N'),(20,5320968,'1',444,'N'),(20,5320984,'1',5,'N'),(20,5320992,'1',201,'N'),(20,5320992,'1A',212,'N'),(20,5321000,'1',203,'N'),(20,5321000,'1A',214,'N'),(20,5321018,'1',203,'N'),(20,5321018,'1A',653,'N'),(20,5321026,'1',452,'N'),(20,5321034,'1',101,'N'),(20,5321042,'1',316,'N'),(20,5321050,'1',104,'N'),(20,5321069,'1',652,'N'),(20,5321069,'1A',653,'N'),(20,5321085,'1',316,'N'),(20,5321093,'1',201,'N'),(20,5321093,'1A',214,'N'),(20,5321115,'1',103,'N'),(20,5321123,'1',216,'N'),(20,5321123,'1A',215,'N'),(20,5321131,'1',103,'N'),(20,5321140,'1',110,'N'),(20,5321158,'1',336,'N'),(20,5321166,'1',652,'N'),(20,5321166,'1A',651,'N'),(20,5321174,'1',303,'N'),(20,5321182,'1',302,'N'),(20,5321190,'1',201,'N'),(20,5321190,'1A',203,'N'),(20,5321204,'1',201,'N'),(20,5321204,'1A',233,'N'),(20,5321212,'1',103,'N'),(20,5321239,'1',452,'N'),(20,5321247,'1',201,'N'),(20,5321247,'1A',211,'N'),(20,5321255,'1',103,'N'),(20,5321263,'1',303,'N'),(20,5321271,'1',108,'N'),(20,5321280,'1',5,'N'),(20,5321298,'1',103,'N'),(20,5321301,'1',233,'N'),(20,5321301,'1A',601,'N'),(20,5321336,'1',201,'N'),(20,5321336,'1A',202,'N'),(20,5321344,'1',340,'N'),(20,5321352,'1',653,'N'),(20,5321360,'1',238,'N'),(20,5321360,'1A',203,'N'),(20,5321387,'1',203,'N'),(20,5321387,'1A',208,'N'),(20,5321409,'1',317,'N'),(20,5321417,'1',103,'N'),(20,5321425,'1',216,'N'),(20,5321425,'1A',215,'N'),(20,5321433,'1',216,'N'),(20,5321433,'1A',207,'N'),(20,5321441,'1',235,'N'),(20,5321441,'1A',212,'N'),(20,5321450,'1',104,'N'),(20,5321468,'1',108,'N'),(20,5321476,'1',220,'N'),(20,5321476,'1A',601,'N'),(20,5321484,'1',326,'N'),(20,5321492,'1',101,'N'),(20,5321506,'1',103,'N'),(20,5321514,'1',238,'N'),(20,5321514,'1A',207,'N'),(20,5321530,'1',303,'N'),(20,5321549,'1',103,'N'),(20,5321557,'1',450,'N'),(20,5321565,'1',110,'N'),(20,5321573,'1',302,'N'),(20,5321581,'1',601,'N'),(20,5321581,'1A',201,'N'),(20,5321590,'1',103,'N'),(20,5321603,'1',103,'N'),(20,5321620,'1',103,'N'),(20,5321638,'1',207,'N'),(20,5321638,'1A',201,'N'),(20,5321646,'1',303,'N'),(20,5321654,'1',104,'N'),(20,5321662,'1',103,'N'),(20,5321697,'1',208,'N'),(20,5321697,'1A',202,'N'),(20,5321700,'1',103,'N'),(20,5321719,'1',103,'N'),(20,5321743,'1',303,'N'),(20,5321751,'1',223,'N'),(20,5321760,'1',415,'N'),(20,5321778,'1',324,'N'),(20,5321786,'1',220,'N'),(20,5321786,'1A',211,'N'),(20,5321794,'1',319,'N'),(20,5321808,'1',208,'N'),(20,5321808,'1A',202,'N'),(20,5321816,'1',103,'N'),(20,5321840,'1',103,'N'),(20,5321859,'1',104,'N'),(20,5321867,'1',103,'N'),(20,5321875,'1',104,'N'),(20,5321883,'1',316,'N'),(20,5321891,'1',108,'N'),(20,5321905,'1',201,'N'),(20,5321905,'1A',207,'N'),(20,5321921,'1',339,'N'),(20,5321930,'1',5,'N'),(20,5321948,'1',103,'N'),(20,5321956,'1',316,'N'),(20,5321972,'1',327,'N'),(20,5321980,'1',316,'N'),(20,5321999,'1',207,'N'),(20,5321999,'1A',201,'N'),(20,5322006,'1',319,'N'),(20,5322014,'1',9,'N'),(20,5322022,'1',234,'N'),(20,5322030,'1',103,'N'),(20,5322065,'1',3,'N'),(20,5322073,'1',316,'N'),(20,5322081,'1',429,'N'),(20,5322081,'1A',425,'N'),(20,5322090,'1',502,'N'),(20,5322103,'1',103,'N'),(20,5322111,'1',404,'N'),(20,5322120,'1',444,'N'),(20,5322138,'1',216,'N'),(20,5322138,'1A',653,'N'),(20,5322146,'1',317,'N'),(20,5322154,'1',201,'N'),(20,5322154,'1A',212,'N'),(20,5322170,'1',339,'N'),(20,5322189,'1',233,'N'),(20,5322189,'1A',215,'N'),(20,5322197,'1',102,'N'),(20,5322200,'1',502,'N'),(20,5322219,'1',101,'N'),(20,5322227,'1',220,'N'),(20,5322227,'1A',203,'N'),(20,5322243,'1',201,'N'),(20,5322243,'1A',653,'N'),(20,5322260,'1',103,'N'),(20,5322294,'1',651,'N'),(20,5322294,'1A',653,'N'),(20,5322308,'1',320,'N'),(20,5322316,'1',318,'N'),(20,5322324,'1',502,'N'),(20,5322332,'1',652,'N'),(20,5322332,'1A',653,'N'),(20,5322340,'1',207,'N'),(20,5322340,'1A',201,'N'),(20,5322359,'1',340,'N'),(20,5322367,'1',339,'N'),(20,5322375,'1',207,'N'),(20,5322375,'1A',238,'N'),(20,5322383,'1',9,'N'),(20,5322391,'1',104,'N'),(20,5322405,'1',201,'N'),(20,5322405,'1A',208,'N'),(20,5322413,'1',103,'N'),(20,5322448,'1',207,'N'),(20,5322448,'1A',201,'N'),(20,5322456,'1',301,'N'),(20,5322472,'1',303,'N'),(20,5322480,'1',103,'N'),(20,5322499,'1',502,'N'),(20,5322502,'1',301,'N'),(20,5322510,'1',101,'N'),(20,5322529,'1',340,'N'),(20,5322537,'1',207,'N'),(20,5322537,'1A',201,'N'),(20,5322553,'1',319,'N'),(20,5322561,'1',551,'N'),(20,5322570,'1',9,'N'),(20,5322588,'1',301,'N'),(20,5322618,'1',302,'N'),(20,5322626,'1',202,'N'),(20,5322626,'1A',215,'N'),(20,5322634,'1',103,'N'),(20,5322642,'1',104,'N'),(20,5322669,'1',319,'N'),(20,5322677,'1',319,'N'),(20,5322685,'1',212,'N'),(20,5322685,'1A',235,'N'),(20,5322693,'1',103,'N'),(20,5322715,'1',103,'N'),(20,5322723,'1',301,'N'),(20,5322758,'1',216,'N'),(20,5322758,'1A',202,'N'),(20,5322766,'1',211,'N'),(20,5322766,'1A',212,'N'),(20,5322774,'1',502,'N'),(20,5322782,'1',203,'N'),(20,5322782,'1A',220,'N'),(20,5322790,'1',5,'N'),(20,5322804,'1',104,'N'),(20,5322812,'1',103,'N'),(20,5322820,'1',303,'N'),(20,5322839,'1',103,'N'),(20,5322847,'1',211,'N'),(20,5322855,'1',203,'N'),(20,5322863,'1',5,'N'),(20,5322871,'1',452,'N'),(20,5322880,'1',104,'N'),(20,5322898,'1',211,'N'),(20,5322898,'1A',233,'N'),(20,5322901,'1',103,'N'),(20,5322910,'1',303,'N'),(20,5322928,'1',318,'N'),(20,5322936,'1',103,'N'),(20,5322944,'1',103,'N'),(20,5322952,'1',319,'N'),(20,5322960,'1',336,'N'),(20,5322979,'1',501,'N'),(20,5322987,'1',404,'N'),(20,5322995,'1',201,'N'),(20,5322995,'1A',601,'N'),(20,5323002,'1',235,'N'),(20,5323002,'1A',202,'N'),(20,5323010,'1',423,'N'),(20,5323010,'1A',428,'N'),(20,5323029,'1',3,'N'),(20,5323037,'1',103,'N'),(20,5323045,'1',103,'N'),(20,5323053,'1',303,'N'),(20,5323061,'1',317,'N'),(20,5323070,'1',339,'N'),(20,5323088,'1',203,'N'),(20,5323088,'1A',220,'N'),(20,5323100,'1',428,'N'),(20,5323100,'1A',426,'N'),(20,5323118,'1',103,'N'),(20,5323134,'1',316,'N'),(20,5323142,'1',420,'N'),(20,5323150,'1',207,'N'),(20,5323150,'1A',601,'N'),(20,5323169,'1',103,'N'),(20,5323177,'1',201,'N'),(20,5323177,'1A',220,'N'),(20,5323193,'1',303,'N'),(20,5323207,'1',5,'N'),(20,5323215,'1',420,'N'),(20,5323231,'1',103,'N'),(20,5323240,'1',426,'N'),(20,5323240,'1A',428,'N'),(20,5323258,'1',324,'N'),(20,5323266,'1',208,'N'),(20,5323266,'1A',238,'N'),(20,5323274,'1',103,'N'),(20,5323282,'1',207,'N'),(20,5323304,'1',304,'N'),(20,5323312,'1',333,'N'),(20,5323320,'1',317,'N'),(20,5323339,'1',316,'N'),(20,5323355,'1',216,'N'),(20,5323355,'1A',215,'N'),(20,5323363,'1',103,'N'),(20,5323371,'1',453,'N'),(20,5323380,'1',201,'N'),(20,5323380,'1A',601,'N'),(20,5323398,'1',201,'N'),(20,5323398,'1A',212,'N'),(20,5323401,'1',501,'N'),(20,5323428,'1',5,'N'),(20,5323436,'1',203,'N'),(20,5323452,'1',303,'N'),(20,5323479,'1',103,'N'),(20,5323487,'1',215,'N'),(20,5323487,'1A',216,'N'),(20,5323495,'1',329,'N'),(20,5323509,'1',109,'N'),(20,5323517,'1',211,'N'),(20,5323517,'1A',238,'N'),(20,5323533,'1',103,'N'),(20,5323541,'1',216,'N'),(20,5323541,'1A',211,'N'),(20,5323550,'1',301,'N'),(20,5323568,'1',320,'N'),(20,5323576,'1',103,'N'),(20,5323584,'1',333,'N'),(20,5323592,'1',103,'N'),(20,5323606,'1',224,'N'),(20,5323614,'1',103,'N'),(20,5323622,'1',453,'N'),(20,5323630,'1',108,'N'),(20,5323649,'1',104,'N'),(20,5323657,'1',340,'N'),(20,5323665,'1',208,'N'),(20,5323665,'1A',201,'N'),(20,5323673,'1',326,'N'),(20,5323681,'1',9,'N'),(20,5323690,'1',320,'N'),(20,5323711,'1',340,'N'),(20,5323720,'1',103,'N'),(20,5323746,'1',501,'N'),(20,5323754,'1',451,'N'),(20,5323770,'1',104,'N'),(20,5323789,'1',211,'N'),(20,5323789,'1A',215,'N'),(20,5323797,'1',317,'N'),(20,5323800,'1',327,'N'),(20,5323819,'1',421,'N'),(20,5323827,'1',303,'N'),(20,5323835,'1',201,'N'),(20,5323835,'1A',212,'N'),(20,5323843,'1',318,'N'),(20,5323851,'1',203,'N'),(20,5323851,'1A',201,'N'),(20,5323860,'1',502,'N'),(20,5323878,'1',223,'N'),(20,5323886,'1',214,'N'),(20,5323886,'1A',216,'N'),(20,5323894,'1',451,'N'),(20,5323908,'1',303,'N'),(20,5323916,'1',303,'N'),(20,5323924,'1',420,'N'),(20,5323940,'1',340,'N'),(20,5323959,'1',317,'N'),(20,5323967,'1',450,'N'),(20,5323975,'1',308,'N'),(20,5323983,'1',303,'N'),(20,5323991,'1',317,'N'),(20,5324017,'1',102,'N'),(20,5324025,'1',318,'N'),(20,5324033,'1',316,'N'),(20,5324041,'1',212,'N'),(20,5324041,'1A',211,'N'),(20,5324050,'1',601,'N'),(20,5324050,'1A',653,'N'),(20,5324068,'1',233,'N'),(20,5324068,'1A',202,'N'),(20,5324076,'1',5,'N'),(20,5324084,'1',103,'N'),(20,5324092,'1',203,'N'),(20,5324092,'1A',233,'N'),(20,5324106,'1',339,'N'),(20,5324114,'1',201,'N'),(20,5324114,'1A',235,'N'),(20,5324122,'1',103,'N'),(20,5324130,'1',103,'N'),(20,5324149,'1',450,'N'),(20,5324157,'1',326,'N'),(20,5324165,'1',203,'N'),(20,5324165,'1A',220,'N'),(20,5324181,'1',5,'N'),(20,5324190,'1',207,'N'),(20,5324190,'1A',233,'N'),(20,5324203,'1',336,'N'),(20,5324211,'1',320,'N'),(20,5324220,'1',340,'N'),(20,5324238,'1',102,'N'),(20,5324246,'1',103,'N'),(20,5324254,'1',102,'N'),(20,5324262,'1',453,'N'),(20,5324270,'1',103,'N'),(20,5324289,'1',102,'N'),(20,5324297,'1',214,'N'),(20,5324297,'1A',203,'N'),(20,5324300,'1',429,'N'),(20,5324300,'1A',423,'N'),(20,5324319,'1',201,'N'),(20,5324319,'1A',208,'N'),(20,5324327,'1',110,'N'),(20,5324343,'1',104,'N'),(20,5324351,'1',201,'N'),(20,5324351,'1A',601,'N'),(20,5324360,'1',201,'N'),(20,5324360,'1A',208,'N'),(20,5324378,'1',101,'N'),(20,5324386,'1',203,'N'),(20,5324386,'1A',220,'N'),(20,5324394,'1',318,'N'),(20,5324408,'1',101,'N'),(20,5324416,'1',501,'N'),(20,5324424,'1',601,'N'),(20,5324440,'1',102,'N'),(20,5324467,'1',319,'N'),(20,5324475,'1',327,'N'),(20,5324491,'1',104,'N'),(20,5324505,'1',501,'N'),(20,5324513,'1',207,'N'),(20,5324513,'1A',235,'N'),(20,5324530,'1',551,'N'),(20,5324548,'1',208,'N'),(20,5324548,'1A',238,'N'),(20,5324556,'1',317,'N'),(20,5324564,'1',103,'N'),(20,5324572,'1',220,'N'),(20,5324572,'1A',208,'N'),(20,5324580,'1',211,'N'),(20,5324580,'1A',216,'N'),(20,5324599,'1',103,'N'),(20,5324602,'1',601,'N'),(20,5324602,'1A',233,'N'),(20,5324610,'1',304,'N'),(20,5324629,'1',103,'N'),(20,5324637,'1',451,'N'),(20,5324645,'1',202,'N'),(20,5324645,'1A',208,'N'),(20,5324653,'1',327,'N'),(20,5324670,'1',303,'N'),(20,5324688,'1',452,'N'),(20,5324696,'1',104,'N'),(20,5324700,'1',104,'N'),(20,5324718,'1',5,'N'),(20,5324726,'1',501,'N'),(20,5324734,'1',207,'N'),(20,5324734,'1A',201,'N'),(20,5324742,'1',103,'N'),(20,5324750,'1',501,'N'),(20,5324769,'1',653,'N'),(20,5324769,'1A',233,'N'),(20,5324777,'1',202,'N'),(20,5324777,'1A',235,'N'),(20,5324785,'1',653,'N'),(20,5324785,'1A',201,'N'),(20,5324793,'1',340,'N'),(20,5324807,'1',103,'N'),(20,5324815,'1',108,'N'),(20,5324823,'1',203,'N'),(20,5324823,'1A',220,'N'),(20,5324831,'1',3,'N'),(20,5324840,'1',103,'N'),(20,5324858,'1',207,'N'),(20,5324858,'1A',211,'N'),(20,5324866,'1',5,'N'),(20,5324874,'1',452,'N'),(20,5324882,'1',103,'N'),(20,5324890,'1',332,'N'),(20,5324904,'1',450,'N'),(20,5324912,'1',211,'N'),(20,5324912,'1A',208,'N'),(20,5324920,'1',340,'N'),(20,5324939,'1',415,'N'),(20,5324955,'1',308,'N'),(20,5324963,'1',208,'N'),(20,5324963,'1A',238,'N'),(20,5324971,'1',601,'N'),(20,5324971,'1A',203,'N'),(20,5324980,'1',551,'N'),(20,5324998,'1',103,'N'),(20,5325005,'1',303,'N'),(20,5325013,'1',103,'N'),(20,5325021,'1',339,'N'),(20,5325030,'1',551,'N'),(20,5325048,'1',303,'N'),(20,5325056,'1',203,'N'),(20,5325056,'1A',233,'N'),(20,5325064,'1',233,'N'),(20,5325064,'1A',215,'N'),(20,5325072,'1',103,'N'),(20,5325080,'1',103,'N'),(20,5325099,'1',415,'N'),(20,5325102,'1',104,'N'),(20,5325110,'1',316,'N'),(20,5325129,'1',108,'N'),(20,5325137,'1',102,'N'),(20,5325153,'1',415,'N'),(20,5325161,'1',202,'N'),(20,5325161,'1A',203,'N'),(20,5325170,'1',303,'N'),(20,5325188,'1',104,'N'),(20,5325196,'1',303,'N'),(20,5325200,'1',104,'N'),(20,5325218,'1',103,'N'),(20,5325226,'1',324,'N'),(20,5325242,'1',207,'N'),(20,5325242,'1A',211,'N'),(20,5325250,'1',415,'N'),(20,5325269,'1',303,'N'),(20,5325277,'1',104,'N'),(20,5325285,'1',316,'N'),(20,5325293,'1',211,'N'),(20,5325293,'1A',653,'N'),(20,5325307,'1',104,'N'),(20,5325315,'1',201,'N'),(20,5325315,'1A',212,'N'),(20,5325323,'1',5,'N'),(20,5325331,'1',110,'N'),(20,5325340,'1',103,'N'),(20,5325358,'1',215,'N'),(20,5325358,'1A',233,'N'),(20,5325366,'1',420,'N'),(20,5325374,'1',205,'N'),(20,5325382,'1',501,'N'),(20,5325390,'1',303,'N'),(20,5325404,'1',5,'N'),(20,5325412,'1',103,'N'),(20,5325439,'1',501,'N'),(20,5325447,'1',303,'N'),(20,5325455,'1',653,'N'),(20,5325455,'1A',652,'N'),(20,5325463,'1',103,'N'),(20,5325471,'1',103,'N'),(20,5325501,'1',103,'N'),(20,5325510,'1',326,'N'),(20,5325528,'1',208,'N'),(20,5325528,'1A',238,'N'),(20,5325536,'1',324,'N'),(20,5325544,'1',224,'N'),(20,5325552,'1',201,'N'),(20,5325552,'1A',653,'N'),(20,5325560,'1',104,'N'),(20,5325579,'1',318,'N'),(20,5325587,'1',104,'N'),(20,5325609,'1',103,'N'),(20,5325617,'1',333,'N'),(20,5325633,'1',103,'N'),(20,5325641,'1',103,'N'),(20,5325650,'1',303,'N'),(20,5325668,'1',302,'N'),(20,5325676,'1',103,'N'),(20,5325684,'1',103,'N'),(20,5325692,'1',5,'N'),(20,5325706,'1',104,'N'),(20,5325714,'1',108,'N'),(20,5325722,'1',502,'N'),(20,5325730,'1',203,'N'),(20,5325730,'1A',214,'N'),(20,5325749,'1',211,'N'),(20,5325749,'1A',216,'N'),(20,5325757,'1',103,'N'),(20,5325765,'1',316,'N'),(20,5325773,'1',103,'N'),(20,5325781,'1',207,'N'),(20,5325781,'1A',238,'N'),(20,5325790,'1',340,'N'),(20,5325803,'1',103,'N'),(20,5325811,'1',103,'N'),(20,5325820,'1',318,'N'),(20,5325838,'1',5,'N'),(20,5325854,'1',336,'N'),(20,5325862,'1',211,'N'),(20,5325862,'1A',207,'N'),(20,5325870,'1',301,'N'),(20,5325889,'1',415,'N'),(20,5325897,'1',108,'N'),(20,5325900,'1',203,'N'),(20,5325900,'1A',214,'N'),(20,5325919,'1',220,'N'),(20,5325919,'1A',214,'N'),(20,5325927,'1',452,'N'),(20,5325935,'1',404,'N'),(20,5325943,'1',336,'N'),(20,5325951,'1',103,'N'),(20,5325960,'1',238,'N'),(20,5325960,'1A',208,'N'),(20,5325978,'1',324,'N'),(20,5325994,'1',303,'N'),(20,5326001,'1',214,'N'),(20,5326001,'1A',220,'N'),(20,5326010,'1',203,'N'),(20,5326010,'1A',214,'N'),(20,5326028,'1',9,'N'),(20,5326036,'1',104,'N'),(20,5326044,'1',207,'N'),(20,5326044,'1A',201,'N'),(20,5326052,'1',316,'N'),(20,5326060,'1',212,'N'),(20,5326060,'1A',201,'N'),(20,5326079,'1',9,'N'),(20,5326087,'1',207,'N'),(20,5326087,'1A',201,'N'),(20,5326095,'1',103,'N'),(20,5326117,'1',502,'N'),(20,5326125,'1',502,'N'),(20,5326133,'1',103,'N'),(20,5326150,'1',317,'N'),(20,5326168,'1',301,'N'),(20,5326176,'1',340,'N'),(20,5326184,'1',301,'N'),(20,5326192,'1',318,'N'),(20,5326206,'1',208,'N'),(20,5326206,'1A',238,'N'),(20,5326214,'1',238,'N'),(20,5326214,'1A',213,'N'),(20,5326222,'1',327,'N'),(20,5326230,'1',502,'N'),(20,5326257,'1',207,'N'),(20,5326257,'1A',208,'N'),(20,5326265,'1',211,'N'),(20,5326265,'1A',202,'N'),(20,5326273,'1',203,'N'),(20,5326273,'1A',201,'N'),(20,5326281,'1',103,'N'),(20,5326290,'1',653,'N'),(20,5326290,'1A',235,'N'),(20,5326303,'1',425,'N'),(20,5326303,'1A',428,'N'),(20,5326311,'1',444,'N'),(20,5326338,'1',224,'N'),(20,5326346,'1',404,'N'),(20,5326354,'1',203,'N'),(20,5326354,'1A',653,'N'),(20,5326362,'1',103,'N'),(20,5326389,'1',235,'N'),(20,5326389,'1A',208,'N'),(20,5326397,'1',319,'N'),(20,5326400,'1',201,'N'),(20,5326400,'1A',653,'N'),(20,5326419,'1',444,'N'),(20,5326427,'1',316,'N'),(20,5326435,'1',201,'N'),(20,5326435,'1A',207,'N'),(20,5326443,'1',216,'N'),(20,5326443,'1A',203,'N'),(20,5326451,'1',103,'N'),(20,5326478,'1',318,'N'),(20,5326494,'1',215,'N'),(20,5326494,'1A',208,'N'),(20,5326508,'1',103,'N'),(20,5326516,'1',103,'N'),(20,5326524,'1',103,'N'),(20,5326559,'1',333,'N'),(20,5326575,'1',103,'N'),(20,5326583,'1',208,'N'),(20,5326583,'1A',215,'N'),(20,5326605,'1',207,'N'),(20,5326613,'1',324,'N'),(20,5326621,'1',207,'N'),(20,5326621,'1A',601,'N'),(20,5326630,'1',103,'N'),(20,5326648,'1',340,'N'),(20,5326656,'1',207,'N'),(20,5326656,'1A',201,'N'),(20,5326664,'1',3,'N'),(20,5326672,'1',213,'N'),(20,5326672,'1A',238,'N'),(20,5326680,'1',103,'N'),(20,5326699,'1',103,'N'),(20,5326702,'1',551,'N'),(20,5326710,'1',101,'N'),(20,5326729,'1',5,'N'),(20,5326737,'1',324,'N'),(20,5326745,'1',103,'N'),(20,5326753,'1',103,'N'),(20,5326761,'1',653,'N'),(20,5326761,'1A',216,'N'),(20,5326770,'1',102,'N'),(20,5326788,'1',303,'N'),(20,5326796,'1',216,'N'),(20,5326796,'1A',203,'N'),(20,5326800,'1',103,'N'),(20,5326818,'1',215,'N'),(20,5326818,'1A',212,'N'),(20,5326826,'1',501,'N'),(20,5326834,'1',103,'N'),(20,5326850,'1',453,'N'),(20,5326869,'1',216,'N'),(20,5326869,'1A',233,'N'),(20,5326877,'1',319,'N'),(20,5326893,'1',220,'N'),(20,5326893,'1A',202,'N'),(20,5326907,'1',423,'N'),(20,5326907,'1A',424,'N'),(20,5326915,'1',203,'N'),(20,5326915,'1A',214,'N'),(20,5326923,'1',215,'N'),(20,5326923,'1A',216,'N'),(20,5326931,'1',317,'N'),(20,5326940,'1',103,'N'),(20,5326958,'1',201,'N'),(20,5326958,'1A',212,'N'),(20,5326966,'1',203,'N'),(20,5326966,'1A',235,'N'),(20,5326974,'1',303,'N'),(20,5326982,'1',319,'N'),(20,5326990,'1',103,'N'),(20,5327008,'1',203,'N'),(20,5327008,'1A',208,'N'),(20,5327016,'1',326,'N'),(20,5327024,'1',453,'N'),(20,5327040,'1',201,'N'),(20,5327040,'1A',207,'N'),(20,5327059,'1',301,'N'),(20,5327067,'1',301,'N'),(20,5327075,'1',502,'N'),(20,5327083,'1',340,'N'),(20,5327091,'1',211,'N'),(20,5327091,'1A',207,'N'),(20,5327105,'1',415,'N'),(20,5327113,'1',233,'N'),(20,5327113,'1A',235,'N'),(20,5327121,'1',201,'N'),(20,5327130,'1',216,'N'),(20,5327130,'1A',201,'N'),(20,5327148,'1',5,'N'),(20,5327156,'1',340,'N'),(20,5327164,'1',103,'N'),(20,5327172,'1',103,'N'),(20,5327180,'1',5,'N'),(20,5327199,'1',103,'N'),(20,5327202,'1',5,'N'),(20,5327210,'1',233,'N'),(20,5327210,'1A',601,'N'),(20,5327229,'1',103,'N'),(20,5327237,'1',216,'N'),(20,5327237,'1A',233,'N'),(20,5327245,'1',108,'N'),(20,5327261,'1',216,'N'),(20,5327261,'1A',215,'N'),(20,5327270,'1',316,'N'),(20,5327288,'1',202,'N'),(20,5327288,'1A',235,'N'),(20,5327296,'1',103,'N'),(20,5327300,'1',108,'N'),(20,5327318,'1',103,'N'),(20,5327326,'1',302,'N'),(20,5327334,'1',3,'N'),(20,5327342,'1',102,'N'),(20,5327350,'1',103,'N'),(20,5327369,'1',340,'N'),(20,5327377,'1',212,'N'),(20,5327377,'1A',207,'N'),(20,5327385,'1',203,'N'),(20,5327385,'1A',202,'N'),(20,5327393,'1',202,'N'),(20,5327393,'1A',601,'N'),(20,5327407,'1',201,'N'),(20,5327407,'1A',212,'N'),(20,5327415,'1',103,'N'),(20,5327423,'1',319,'N'),(20,5327431,'1',651,'N'),(20,5327431,'1A',208,'N'),(20,5327440,'1',316,'N'),(20,5327458,'1',103,'N'),(20,5327466,'1',202,'N'),(20,5327482,'1',324,'N'),(20,5327490,'1',303,'N'),(20,5327504,'1',207,'N'),(20,5327504,'1A',201,'N'),(20,5327512,'1',108,'N'),(20,5327520,'1',340,'N'),(20,5327539,'1',220,'N'),(20,5327539,'1A',211,'N'),(20,5327547,'1',108,'N'),(20,5327555,'1',302,'N'),(20,5327571,'1',103,'N'),(20,5327580,'1',316,'N'),(20,5327598,'1',213,'N'),(20,5327598,'1A',238,'N'),(20,5327601,'1',104,'N'),(20,5327610,'1',201,'N'),(20,5327610,'1A',211,'N'),(20,5327628,'1',201,'N'),(20,5327636,'1',220,'N'),(20,5327636,'1A',216,'N'),(20,5327644,'1',208,'N'),(20,5327652,'1',340,'N'),(20,5327660,'1',103,'N'),(20,5327679,'1',207,'N'),(20,5327679,'1A',233,'N'),(20,5327687,'1',208,'N'),(20,5327687,'1A',215,'N'),(20,5327695,'1',207,'N'),(20,5327695,'1A',235,'N'),(20,5327709,'1',103,'N'),(20,5327717,'1',214,'N'),(20,5327717,'1A',213,'N'),(20,5327725,'1',102,'N'),(20,5327733,'1',301,'N'),(20,5327741,'1',207,'N'),(20,5327741,'1A',208,'N'),(20,5327750,'1',5,'N'),(20,5327768,'1',302,'N'),(20,5327776,'1',208,'N'),(20,5327776,'1A',238,'N'),(20,5327784,'1',103,'N'),(20,5327806,'1',208,'N'),(20,5327806,'1A',238,'N'),(20,5327822,'1',207,'N'),(20,5327822,'1A',215,'N'),(20,5327830,'1',304,'N'),(20,5327849,'1',216,'N'),(20,5327849,'1A',211,'N'),(20,5327857,'1',208,'N'),(20,5327857,'1A',238,'N'),(20,5327865,'1',103,'N'),(20,5327881,'1',214,'N'),(20,5327881,'1A',203,'N'),(20,5327890,'1',215,'N'),(20,5327890,'1A',216,'N'),(20,5327903,'1',5,'N'),(20,5327911,'1',203,'N'),(20,5327911,'1A',214,'N'),(20,5327938,'1',108,'N'),(20,5327946,'1',201,'N'),(20,5327946,'1A',203,'N'),(20,5327954,'1',9,'N'),(20,5327962,'1',216,'N'),(20,5327962,'1A',220,'N'),(20,5327989,'1',103,'N'),(20,5327997,'1',301,'N'),(20,5328004,'1',301,'N'),(20,5328012,'1',201,'N'),(20,5328020,'1',452,'N'),(20,5328055,'1',201,'N'),(20,5328055,'1A',211,'N'),(20,5328063,'1',103,'N'),(20,5328071,'1',203,'N'),(20,5328071,'1A',220,'N'),(20,5328080,'1',201,'N'),(20,5328080,'1A',207,'N'),(20,5328098,'1',103,'N'),(20,5328101,'1',652,'N'),(20,5328110,'1',9,'N'),(20,5328128,'1',104,'N'),(20,5328136,'1',601,'N'),(20,5328136,'1A',202,'N'),(20,5328144,'1',103,'N'),(20,5328152,'1',103,'N'),(20,5328160,'1',653,'N'),(20,5328179,'1',452,'N'),(20,5328187,'1',207,'N'),(20,5328209,'1',404,'N'),(20,5328217,'1',103,'N'),(20,5328225,'1',340,'N'),(20,5328233,'1',201,'N'),(20,5328233,'1A',212,'N'),(20,5328241,'1',203,'N'),(20,5328241,'1A',214,'N'),(20,5328268,'1',303,'N'),(20,5328276,'1',501,'N'),(20,5328306,'1',5,'N'),(20,5328314,'1',444,'N'),(20,5328322,'1',301,'N'),(20,5328330,'1',103,'N'),(20,5328349,'1',336,'N'),(20,5328357,'1',415,'N'),(20,5328365,'1',452,'N'),(20,5328373,'1',202,'N'),(20,5328373,'1A',652,'N'),(20,5328381,'1',415,'N'),(20,5328390,'1',203,'N'),(20,5328390,'1A',214,'N'),(20,5328411,'1',103,'N'),(20,5328420,'1',317,'N'),(20,5328462,'1',653,'N'),(20,5328462,'1A',215,'N'),(20,5328470,'1',340,'N'),(20,5328489,'1',104,'N'),(20,5328497,'1',427,'N'),(20,5328497,'1A',421,'N'),(20,5328500,'1',601,'N'),(20,5328500,'1A',202,'N'),(20,5328519,'1',238,'N'),(20,5328519,'1A',651,'N'),(20,5328527,'1',316,'N'),(20,5328535,'1',653,'N'),(20,5328535,'1A',652,'N'),(20,5328543,'1',103,'N'),(20,5328560,'1',103,'N'),(20,5328578,'1',225,'N'),(20,5328594,'1',303,'N'),(20,5328608,'1',3,'N'),(20,5328616,'1',109,'N'),(20,5328624,'1',301,'N'),(20,5328632,'1',301,'N'),(20,5328640,'1',425,'N'),(20,5328640,'1A',423,'N'),(20,5328659,'1',203,'N'),(20,5328659,'1A',601,'N'),(20,5328667,'1',207,'N'),(20,5328675,'1',652,'N'),(20,5328675,'1A',653,'N'),(20,5328691,'1',452,'N'),(20,5328705,'1',332,'N'),(20,5328713,'1',303,'N'),(20,5328721,'1',301,'N'),(20,5328730,'1',309,'N'),(20,5328748,'1',319,'N'),(20,5328756,'1',501,'N'),(20,5328764,'1',208,'N'),(20,5328772,'1',207,'N'),(20,5328772,'1A',201,'N'),(20,5328799,'1',319,'N'),(20,5328810,'1',404,'N'),(20,5328837,'1',453,'N'),(20,5328861,'1',316,'N'),(20,5328896,'1',108,'N'),(20,5328900,'1',336,'N'),(20,5328918,'1',103,'N'),(20,5328934,'1',303,'N'),(20,5328942,'1',331,'N'),(20,5328977,'1',104,'N'),(20,5328985,'1',309,'N'),(20,5328993,'1',653,'N'),(20,5328993,'1A',211,'N'),(20,5329000,'1',429,'N'),(20,5329000,'1A',425,'N'),(20,5329019,'1',451,'N'),(20,5329027,'1',501,'N'),(20,5329035,'1',213,'N'),(20,5329035,'1A',235,'N'),(20,5329043,'1',201,'N'),(20,5329051,'1',652,'N'),(20,5329051,'1A',201,'N'),(20,5329060,'1',320,'N'),(20,5329078,'1',238,'N'),(20,5329078,'1A',202,'N'),(20,5329086,'1',309,'N'),(20,5329094,'1',208,'N'),(20,5329108,'1',317,'N'),(20,5329116,'1',104,'N'),(20,5329132,'1',340,'N'),(20,5329140,'1',201,'N'),(20,5329140,'1A',208,'N'),(20,5329159,'1',205,'N'),(20,5329167,'1',235,'N'),(20,5329167,'1A',208,'N'),(20,5329175,'1',211,'N'),(20,5329183,'1',319,'N'),(20,5329205,'1',207,'N'),(20,5329205,'1A',201,'N'),(20,5329221,'1',451,'N'),(20,5329230,'1',502,'N'),(20,5329248,'1',653,'N'),(20,5329248,'1A',652,'N'),(20,5329256,'1',235,'N'),(20,5329256,'1A',208,'N'),(20,5329264,'1',203,'N'),(20,5329264,'1A',202,'N'),(20,5329272,'1',5,'N'),(20,5329280,'1',216,'N'),(20,5329280,'1A',207,'N'),(20,5329302,'1',3,'N'),(20,5329310,'1',340,'N'),(20,5329329,'1',201,'N'),(20,5329329,'1A',203,'N'),(20,5329337,'1',102,'N'),(20,5329345,'1',404,'N'),(20,5329353,'1',450,'N'),(20,5329370,'1',501,'N'),(20,5329388,'1',653,'N'),(20,5329396,'1',336,'N'),(20,5329400,'1',238,'N'),(20,5329418,'1',5,'N'),(20,5329426,'1',301,'N'),(20,5329442,'1',652,'N'),(20,5329442,'1A',238,'N'),(20,5329450,'1',207,'N'),(20,5329477,'1',415,'N'),(20,5329485,'1',502,'N'),(20,5329493,'1',301,'N'),(20,5329507,'1',452,'N'),(20,5329515,'1',203,'N'),(20,5329515,'1A',601,'N'),(20,5329523,'1',104,'N'),(20,5329531,'1',303,'N'),(20,5329540,'1',415,'N'),(20,5329558,'1',308,'N'),(20,5329566,'1',103,'N'),(20,5329582,'1',103,'N'),(20,5329590,'1',103,'N'),(20,5329604,'1',302,'N'),(20,5329612,'1',103,'N'),(20,5329620,'1',104,'N'),(20,5329639,'1',207,'N'),(20,5329639,'1A',201,'N'),(20,5329663,'1',104,'N'),(20,5329671,'1',238,'N'),(20,5329671,'1A',214,'N'),(20,5329698,'1',651,'N'),(20,5329698,'1A',652,'N'),(20,5329701,'1',103,'N'),(20,5329710,'1',415,'N'),(20,5329728,'1',316,'N'),(20,5329736,'1',303,'N'),(20,5329744,'1',201,'N'),(20,5329744,'1A',203,'N'),(20,5329752,'1',207,'N'),(20,5329752,'1A',211,'N'),(20,5329760,'1',5,'N'),(20,5329779,'1',103,'N'),(20,5329795,'1',318,'N'),(20,5329809,'1',301,'N'),(20,5329817,'1',203,'N'),(20,5329817,'1A',211,'N'),(20,5329825,'1',316,'N'),(20,5329833,'1',317,'N'),(20,5329841,'1',304,'N'),(20,5329850,'1',5,'N'),(20,5329876,'1',201,'N'),(20,5329876,'1A',213,'N'),(20,5329892,'1',207,'N'),(20,5329892,'1A',211,'N'),(20,5329906,'1',415,'N'),(20,5329922,'1',203,'N'),(20,5329930,'1',304,'N'),(20,5329949,'1',235,'N'),(20,5329949,'1A',213,'N'),(20,5329957,'1',5,'N'),(20,5329965,'1',309,'N'),(20,5329973,'1',302,'N'),(20,5329981,'1',340,'N'),(20,5330009,'1',214,'N'),(20,5330009,'1A',203,'N'),(20,5330017,'1',337,'N'),(20,5330033,'1',316,'N'),(20,5330041,'1',452,'N'),(20,5330050,'1',451,'N'),(20,5330068,'1',103,'N'),(20,5330076,'1',450,'N'),(20,5330106,'1',5,'N'),(20,5330114,'1',301,'N'),(20,5330122,'1',201,'N'),(20,5330122,'1A',212,'N'),(20,5330149,'1',208,'N'),(20,5330149,'1A',201,'N'),(20,5330157,'1',340,'N'),(20,5330165,'1',234,'N'),(20,5330173,'1',501,'N'),(20,5330181,'1',420,'N'),(20,5330203,'1',203,'N'),(20,5330203,'1A',215,'N'),(20,5330211,'1',103,'N'),(20,5330220,'1',207,'N'),(20,5330220,'1A',211,'N'),(20,5330238,'1',225,'N'),(20,5330246,'1',5,'N'),(20,5330254,'1',103,'N'),(20,5330262,'1',207,'N'),(20,5330262,'1A',652,'N'),(20,5330270,'1',5,'N'),(20,5330289,'1',103,'N'),(20,5330297,'1',5,'N'),(20,5330300,'1',220,'N'),(20,5330300,'1A',203,'N'),(20,5330319,'1',103,'N'),(20,5330327,'1',318,'N'),(20,5330335,'1',5,'N'),(20,5330343,'1',214,'N'),(20,5330343,'1A',201,'N'),(20,5330351,'1',207,'N'),(20,5330360,'1',202,'N'),(20,5330360,'1A',235,'N'),(20,5330378,'1',319,'N'),(20,5330386,'1',653,'N'),(20,5330394,'1',203,'N'),(20,5330394,'1A',601,'N'),(20,5330408,'1',207,'N'),(20,5330408,'1A',653,'N'),(20,5330432,'1',238,'N'),(20,5330432,'1A',208,'N'),(20,5330440,'1',103,'N'),(20,5330467,'1',340,'N'),(20,5330475,'1',453,'N'),(20,5330483,'1',340,'N'),(20,5330491,'1',451,'N'),(20,5330505,'1',102,'N'),(20,5330513,'1',9,'N'),(20,5330521,'1',425,'N'),(20,5330521,'1A',426,'N'),(20,5330530,'1',103,'N'),(20,5330548,'1',303,'N'),(20,5330556,'1',301,'N'),(20,5330564,'1',207,'N'),(20,5330564,'1A',238,'N'),(20,5330572,'1',103,'N'),(20,5330580,'1',233,'N'),(20,5330580,'1A',201,'N'),(20,5330599,'1',208,'N'),(20,5330599,'1A',203,'N'),(20,5330610,'1',5,'N'),(20,5330629,'1',453,'N'),(20,5330637,'1',104,'N'),(20,5330645,'1',333,'N'),(20,5330653,'1',103,'N'),(20,5330661,'1',425,'N'),(20,5330661,'1A',426,'N'),(20,5330670,'1',5,'N'),(20,5330688,'1',302,'N'),(20,5330696,'1',404,'N'),(20,5330700,'1',103,'N'),(20,5330718,'1',317,'N'),(20,5330726,'1',5,'N'),(20,5330734,'1',103,'N'),(20,5330742,'1',109,'N'),(20,5330750,'1',238,'N'),(20,5330750,'1A',208,'N'),(20,5330769,'1',404,'N'),(20,5330777,'1',320,'N'),(20,5330793,'1',211,'N'),(20,5330793,'1A',201,'N'),(20,5330815,'1',327,'N'),(20,5330823,'1',207,'N'),(20,5330823,'1A',201,'N'),(20,5330831,'1',109,'N'),(20,5330840,'1',202,'N'),(20,5330840,'1A',235,'N'),(20,5330858,'1',203,'N'),(20,5330858,'1A',214,'N'),(20,5330866,'1',103,'N'),(20,5330874,'1',309,'N'),(20,5330882,'1',208,'N'),(20,5330890,'1',223,'N'),(20,5330904,'1',208,'N'),(20,5330904,'1A',235,'N'),(20,5330912,'1',316,'N'),(20,5330920,'1',301,'N'),(20,5330947,'1',319,'N'),(20,5330955,'1',238,'N'),(20,5330955,'1A',215,'N'),(20,5330963,'1',103,'N'),(20,5330971,'1',108,'N'),(20,5330980,'1',453,'N'),(20,5331005,'1',203,'N'),(20,5331005,'1A',208,'N'),(20,5331013,'1',601,'N'),(20,5331013,'1A',207,'N'),(20,5331021,'1',5,'N'),(20,5331030,'1',223,'N'),(20,5331048,'1',103,'N'),(20,5331056,'1',103,'N'),(20,5331064,'1',208,'N'),(20,5331064,'1A',238,'N'),(20,5331072,'1',9,'N'),(20,5331129,'1',450,'N'),(20,5331137,'1',332,'N'),(20,5331153,'1',103,'N'),(20,5331161,'1',429,'N'),(20,5331161,'1A',426,'N'),(20,5331170,'1',444,'N'),(20,5331188,'1',104,'N'),(20,5331196,'1',202,'N'),(20,5331200,'1',203,'N'),(20,5331200,'1A',214,'N'),(20,5331226,'1',317,'N'),(20,5331242,'1',238,'N'),(20,5331242,'1A',235,'N'),(20,5331250,'1',501,'N'),(20,5331269,'1',201,'N'),(20,5331269,'1A',203,'N'),(20,5331277,'1',103,'N'),(20,5331285,'1',103,'N'),(20,5331293,'1',444,'N'),(20,5331307,'1',316,'N'),(20,5331323,'1',234,'N'),(20,5331331,'1',340,'N'),(20,5331358,'1',101,'N'),(20,5331366,'1',234,'N'),(20,5331374,'1',102,'N'),(20,5331382,'1',653,'N'),(20,5331390,'1',103,'N'),(20,5331404,'1',551,'N'),(20,5331412,'1',404,'N'),(20,5331420,'1',444,'N'),(20,5331439,'1',340,'N'),(20,5331447,'1',404,'N'),(20,5331455,'1',238,'N'),(20,5331455,'1A',208,'N'),(20,5331463,'1',103,'N'),(20,5331471,'1',317,'N'),(20,5331480,'1',103,'N'),(20,5331498,'1',207,'N'),(20,5331501,'1',211,'N'),(20,5331501,'1A',238,'N'),(20,5331510,'1',452,'N'),(20,5331528,'1',301,'N'),(20,5331536,'1',9,'N'),(20,5331544,'1',452,'N'),(20,5331579,'1',317,'N'),(20,5331595,'1',316,'N'),(20,5331609,'1',501,'N'),(20,5331625,'1',103,'N'),(20,5331633,'1',453,'N'),(20,5331641,'1',601,'N'),(20,5331650,'1',316,'N'),(20,5331668,'1',303,'N'),(20,5331676,'1',415,'N'),(20,5331692,'1',3,'N'),(20,5331706,'1',234,'N'),(20,5331714,'1',224,'N'),(20,5331722,'1',404,'N'),(20,5331730,'1',318,'N'),(20,5331749,'1',319,'N'),(20,5331765,'1',211,'N'),(20,5331765,'1A',203,'N'),(20,5331773,'1',103,'N'),(20,5331790,'1',335,'N'),(20,5331803,'1',303,'N'),(20,5331811,'1',235,'N'),(20,5331811,'1A',202,'N'),(20,5331820,'1',327,'N'),(20,5331846,'1',452,'N'),(20,5331862,'1',309,'N'),(20,5331870,'1',601,'N'),(20,5331870,'1A',213,'N'),(20,5331889,'1',212,'N'),(20,5331889,'1A',215,'N'),(20,5331897,'1',108,'N'),(20,5331919,'1',339,'N'),(20,5331935,'1',340,'N'),(20,5331943,'1',201,'N'),(20,5331943,'1A',207,'N'),(20,5331978,'1',103,'N'),(20,5331986,'1',318,'N'),(20,5331994,'1',319,'N'),(20,5332001,'1',5,'N'),(20,5332010,'1',319,'N'),(20,5332028,'1',415,'N'),(20,5332036,'1',319,'N'),(20,5332044,'1',233,'N'),(20,5332044,'1A',215,'N'),(20,5332052,'1',450,'N'),(20,5332060,'1',208,'N'),(20,5332060,'1A',202,'N'),(20,5332079,'1',103,'N'),(20,5332087,'1',421,'N'),(20,5332087,'1A',425,'N'),(20,5332095,'1',320,'N'),(20,5332109,'1',108,'N'),(20,5332117,'1',339,'N'),(20,5332125,'1',340,'N'),(20,5332133,'1',103,'N'),(20,5332150,'1',102,'N'),(20,5332168,'1',101,'N'),(20,5332192,'1',208,'N'),(20,5332192,'1A',238,'N'),(20,5332214,'1',103,'N'),(20,5332249,'1',213,'N'),(20,5332249,'1A',202,'N'),(20,5332257,'1',501,'N'),(20,5332265,'1',103,'N'),(20,5332273,'1',3,'N'),(20,5332290,'1',104,'N'),(20,5332303,'1',326,'N'),(20,5332311,'1',304,'N'),(20,5332320,'1',501,'N'),(20,5332338,'1',319,'N'),(20,5332354,'1',303,'N'),(20,5332362,'1',207,'N'),(20,5332362,'1A',238,'N'),(20,5332370,'1',103,'N'),(20,5332389,'1',207,'N'),(20,5332389,'1A',216,'N'),(20,5332397,'1',103,'N'),(20,5332400,'1',503,'N'),(20,5332427,'1',5,'N'),(20,5332443,'1',207,'N'),(20,5332443,'1A',201,'N'),(20,5332451,'1',104,'N'),(20,5332460,'1',452,'N'),(20,5332478,'1',103,'N'),(20,5332508,'1',317,'N'),(20,5332516,'1',103,'N'),(20,5332524,'1',301,'N'),(20,5332532,'1',103,'N'),(20,5332540,'1',9,'N'),(20,5332567,'1',211,'N'),(20,5332567,'1A',215,'N'),(20,5332575,'1',304,'N'),(20,5332583,'1',203,'N'),(20,5332583,'1A',653,'N'),(20,5332591,'1',3,'N'),(20,5332621,'1',211,'N'),(20,5332621,'1A',653,'N'),(20,5332630,'1',238,'N'),(20,5332648,'1',425,'N'),(20,5332648,'1A',429,'N'),(20,5332656,'1',108,'N'),(20,5332664,'1',103,'N'),(20,5332672,'1',207,'N'),(20,5332680,'1',203,'N'),(20,5332680,'1A',202,'N'),(20,5332699,'1',328,'N'),(20,5332702,'1',108,'N'),(20,5332710,'1',318,'N'),(20,5332729,'1',501,'N'),(20,5332745,'1',551,'N'),(20,5332753,'1',404,'N'),(20,5332761,'1',5,'N'),(20,5332770,'1',444,'N'),(20,5332788,'1',328,'N'),(20,5332796,'1',317,'N'),(20,5332800,'1',551,'N'),(20,5332818,'1',339,'N'),(20,5332826,'1',103,'N'),(20,5332834,'1',444,'N'),(20,5332842,'1',103,'N'),(20,5332877,'1',425,'N'),(20,5332885,'1',103,'N'),(20,5332893,'1',101,'N'),(20,5332915,'1',201,'N'),(20,5332915,'1A',212,'N'),(20,5332923,'1',101,'N'),(20,5332931,'1',108,'N'),(20,5332940,'1',212,'N'),(20,5332940,'1A',211,'N'),(20,5332958,'1',551,'N'),(20,5332974,'1',103,'N'),(20,5332990,'1',340,'N'),(20,5333008,'1',201,'N'),(20,5333008,'1A',202,'N'),(20,5333016,'1',207,'N'),(20,5333016,'1A',211,'N'),(20,5333024,'1',102,'N'),(20,5333032,'1',501,'N'),(20,5333040,'1',103,'N'),(20,5333059,'1',653,'N'),(20,5333059,'1A',652,'N'),(20,5333067,'1',201,'N'),(20,5333067,'1A',208,'N'),(20,5333083,'1',452,'N'),(20,5333091,'1',551,'N'),(20,5333105,'1',208,'N'),(20,5333105,'1A',235,'N'),(20,5333113,'1',318,'N'),(20,5333121,'1',450,'N'),(20,5333130,'1',2,'N'),(20,5333148,'1',320,'N'),(20,5333156,'1',102,'N'),(20,5333172,'1',304,'N'),(20,5333180,'1',652,'N'),(20,5333199,'1',452,'N'),(20,5333202,'1',202,'N'),(20,5333202,'1A',215,'N'),(20,5333210,'1',103,'N'),(20,5333229,'1',203,'N'),(20,5333229,'1A',214,'N'),(20,5333237,'1',316,'N'),(20,5333245,'1',103,'N'),(20,5333253,'1',450,'N'),(20,5333270,'1',9,'N'),(20,5333296,'1',104,'N'),(20,5333300,'1',429,'N'),(20,5333300,'1A',426,'N'),(20,5333318,'1',211,'N'),(20,5333318,'1A',216,'N'),(20,5333326,'1',308,'N'),(20,5333334,'1',220,'N'),(20,5333334,'1A',233,'N'),(20,5333342,'1',653,'N'),(20,5333342,'1A',216,'N'),(20,5333350,'1',207,'N'),(20,5333350,'1A',211,'N'),(20,5333369,'1',103,'N'),(20,5333377,'1',329,'N'),(20,5333385,'1',207,'N'),(20,5333385,'1A',201,'N'),(20,5333393,'1',238,'N'),(20,5333393,'1A',235,'N'),(20,5333407,'1',444,'N'),(20,5333415,'1',316,'N'),(20,5333423,'1',103,'N'),(20,5333431,'1',201,'N'),(20,5333431,'1A',203,'N'),(20,5333440,'1',327,'N'),(20,5333466,'1',5,'N'),(20,5333490,'1',104,'N'),(20,5333520,'1',317,'N'),(20,5333539,'1',103,'N'),(20,5333547,'1',420,'N'),(20,5333555,'1',5,'N'),(20,5333571,'1',203,'N'),(20,5333571,'1A',201,'N'),(20,5333580,'1',233,'N'),(20,5333580,'1A',213,'N'),(20,5333598,'1',3,'N'),(20,5333628,'1',301,'N'),(20,5333636,'1',316,'N'),(20,5333644,'1',444,'N'),(20,5333652,'1',316,'N'),(20,5333660,'1',301,'N'),(20,5333687,'1',102,'N'),(20,5333717,'1',211,'N'),(20,5333717,'1A',207,'N'),(20,5333725,'1',332,'N'),(20,5333733,'1',103,'N'),(20,5333750,'1',9,'N'),(20,5333768,'1',452,'N'),(20,5333776,'1',103,'N'),(20,5333784,'1',211,'N'),(20,5333784,'1A',216,'N'),(20,5333792,'1',653,'N'),(20,5333806,'1',103,'N'),(20,5333814,'1',101,'N'),(20,5333822,'1',2,'N'),(20,5333830,'1',103,'N'),(20,5333849,'1',451,'N'),(20,5333865,'1',202,'N'),(20,5333865,'1A',653,'N'),(20,5333873,'1',103,'N'),(20,5333881,'1',316,'N'),(20,5333890,'1',103,'N'),(20,5333903,'1',101,'N'),(20,5333920,'1',5,'N'),(20,5333938,'1',5,'N'),(20,5333946,'1',328,'N'),(20,5333954,'1',234,'N'),(20,5333962,'1',316,'N'),(20,5333970,'1',601,'N'),(20,5333989,'1',207,'N'),(20,5333989,'1A',201,'N'),(20,5333997,'1',103,'N'),(20,5334004,'1',9,'N'),(20,5334012,'1',203,'N'),(20,5334012,'1A',214,'N'),(20,5334039,'1',601,'N'),(20,5334039,'1A',207,'N'),(20,5334047,'1',501,'N'),(20,5334055,'1',103,'N'),(20,5334071,'1',317,'N'),(20,5334080,'1',215,'N'),(20,5334080,'1A',233,'N'),(20,5334098,'1',203,'N'),(20,5334098,'1A',201,'N'),(20,5334101,'1',415,'N'),(20,5334110,'1',320,'N'),(20,5334136,'1',201,'N'),(20,5334136,'1A',212,'N'),(20,5334144,'1',319,'N'),(20,5334152,'1',101,'N'),(20,5334160,'1',103,'N'),(20,5334179,'1',340,'N'),(20,5334187,'1',103,'N'),(20,5334195,'1',103,'N'),(20,5334217,'1',104,'N'),(20,5334225,'1',101,'N'),(20,5334233,'1',301,'N'),(20,5334241,'1',103,'N'),(20,5334250,'1',302,'N'),(20,5334268,'1',103,'N'),(20,5334276,'1',103,'N'),(20,5334284,'1',309,'N'),(20,5334306,'1',339,'N'),(20,5334314,'1',108,'N'),(20,5334322,'1',203,'N'),(20,5334322,'1A',212,'N'),(20,5334349,'1',205,'N'),(20,5334357,'1',424,'N'),(20,5334357,'1A',423,'N'),(20,5334365,'1',9,'N'),(20,5334373,'1',224,'N'),(20,5334381,'1',333,'N'),(20,5334390,'1',340,'N'),(20,5334403,'1',216,'N'),(20,5334403,'1A',211,'N'),(20,5334411,'1',216,'N'),(20,5334411,'1A',215,'N'),(20,5334438,'1',108,'N'),(20,5334446,'1',5,'N'),(20,5334462,'1',108,'N'),(20,5334489,'1',104,'N'),(20,5334497,'1',103,'N'),(20,5334500,'1',335,'N'),(20,5334519,'1',238,'N'),(20,5334527,'1',653,'N'),(20,5334543,'1',316,'N'),(20,5334551,'1',551,'N'),(20,5334560,'1',108,'N'),(20,5334578,'1',103,'N'),(20,5334586,'1',104,'N'),(20,5334594,'1',225,'N'),(20,5334608,'1',211,'N'),(20,5334608,'1A',207,'N'),(20,5334624,'1',303,'N'),(20,5334632,'1',324,'N'),(20,5334640,'1',340,'N'),(20,5334667,'1',224,'N'),(20,5334683,'1',551,'N'),(20,5334691,'1',103,'N'),(20,5334705,'1',202,'N'),(20,5334705,'1A',207,'N'),(20,5334713,'1',102,'N'),(20,5334721,'1',335,'N'),(20,5334730,'1',207,'N'),(20,5334730,'1A',211,'N'),(20,5334748,'1',316,'N'),(20,5334772,'1',216,'N'),(20,5334780,'1',601,'N'),(20,5334780,'1A',203,'N'),(20,5334799,'1',420,'N'),(20,5334802,'1',203,'N'),(20,5334802,'1A',202,'N'),(20,5334810,'1',3,'N'),(20,5334829,'1',653,'N'),(20,5334837,'1',452,'N'),(20,5334845,'1',103,'N'),(20,5334861,'1',108,'N'),(20,5334870,'1',303,'N'),(20,5334888,'1',302,'N'),(20,5334896,'1',319,'N'),(20,5334918,'1',103,'N'),(20,5334934,'1',104,'N'),(20,5334942,'1',108,'N'),(20,5334950,'1',203,'N'),(20,5334950,'1A',202,'N'),(20,5334969,'1',208,'N'),(20,5334969,'1A',202,'N'),(20,5334977,'1',109,'N'),(20,5334985,'1',238,'N'),(20,5335000,'1',652,'N'),(20,5335000,'1A',653,'N'),(20,5335019,'1',653,'N'),(20,5335019,'1A',652,'N'),(20,5335035,'1',301,'N'),(20,5335060,'1',5,'N'),(20,5335078,'1',317,'N'),(20,5335094,'1',301,'N'),(20,5335124,'1',103,'N'),(20,5335132,'1',303,'N'),(20,5335140,'1',333,'N'),(20,5335159,'1',5,'N'),(20,5335183,'1',233,'N'),(20,5335183,'1A',215,'N'),(20,5335205,'1',5,'N'),(20,5335213,'1',426,'N'),(20,5335213,'1A',428,'N'),(20,5335221,'1',103,'N'),(20,5335230,'1',340,'N'),(20,5335248,'1',319,'N'),(20,5335256,'1',103,'N'),(20,5335280,'1',420,'N'),(20,5335299,'1',301,'N'),(20,5335302,'1',652,'N'),(20,5335302,'1A',653,'N'),(20,5335310,'1',336,'N'),(20,5335329,'1',103,'N'),(20,5335337,'1',333,'N'),(20,5335345,'1',216,'N'),(20,5335345,'1A',201,'N'),(20,5335353,'1',339,'N'),(20,5335361,'1',5,'N'),(20,5335370,'1',103,'N'),(20,5335388,'1',453,'N'),(20,5335396,'1',103,'N'),(20,5335400,'1',223,'N'),(20,5335418,'1',303,'N'),(20,5335426,'1',304,'N'),(20,5335442,'1',340,'N'),(20,5335469,'1',201,'N'),(20,5335469,'1A',203,'N'),(20,5335477,'1',216,'N'),(20,5335477,'1A',208,'N'),(20,5335493,'1',5,'N'),(20,5335507,'1',319,'N'),(20,5335515,'1',331,'N'),(20,5335523,'1',332,'N'),(20,5335531,'1',309,'N'),(20,5335540,'1',207,'N'),(20,5335574,'1',103,'N'),(20,5335582,'1',3,'N'),(20,5335590,'1',238,'N'),(20,5335590,'1A',208,'N'),(20,5335604,'1',502,'N'),(20,5335612,'1',601,'N'),(20,5335612,'1A',213,'N'),(20,5335620,'1',208,'N'),(20,5335620,'1A',235,'N'),(20,5335639,'1',208,'N'),(20,5335639,'1A',201,'N'),(20,5335647,'1',103,'N'),(20,5335655,'1',5,'N'),(20,5335663,'1',653,'N'),(20,5335671,'1',652,'N'),(20,5335680,'1',103,'N'),(20,5335698,'1',415,'N'),(20,5335701,'1',303,'N'),(20,5335710,'1',316,'N'),(20,5335728,'1',426,'N'),(20,5335728,'1A',429,'N'),(20,5335736,'1',103,'N'),(20,5335752,'1',303,'N'),(20,5335760,'1',108,'N'),(20,5335795,'1',203,'N'),(20,5335795,'1A',202,'N'),(20,5335809,'1',425,'N'),(20,5335809,'1A',428,'N'),(20,5335817,'1',316,'N'),(20,5335825,'1',203,'N'),(20,5335825,'1A',214,'N'),(20,5335841,'1',425,'N'),(20,5335841,'1A',429,'N'),(20,5335850,'1',5,'N'),(20,5335868,'1',202,'N'),(20,5335868,'1A',216,'N'),(20,5335876,'1',208,'N'),(20,5335884,'1',653,'N'),(20,5335884,'1A',201,'N'),(20,5335892,'1',404,'N'),(20,5335906,'1',104,'N'),(20,5335914,'1',302,'N'),(20,5335922,'1',5,'N'),(20,5335930,'1',103,'N'),(20,5335949,'1',309,'N'),(20,5335957,'1',303,'N'),(20,5335965,'1',501,'N'),(20,5335973,'1',415,'N'),(20,5335981,'1',103,'N'),(20,5335990,'1',211,'N'),(20,5335990,'1A',207,'N'),(20,5336007,'1',104,'N'),(20,5336015,'1',5,'N'),(20,5336031,'1',415,'N'),(20,5336040,'1',103,'N'),(20,5336058,'1',103,'N'),(20,5336066,'1',301,'N'),(20,5336074,'1',103,'N'),(20,5336090,'1',320,'N'),(20,5336104,'1',211,'N'),(20,5336104,'1A',213,'N'),(20,5336112,'1',201,'N'),(20,5336112,'1A',653,'N'),(20,5336120,'1',336,'N'),(20,5336139,'1',103,'N'),(20,5336147,'1',420,'N'),(20,5336155,'1',653,'N'),(20,5336163,'1',337,'N'),(20,5336171,'1',404,'N'),(20,5336180,'1',103,'N'),(20,5336198,'1',502,'N'),(20,5336201,'1',103,'N'),(20,5336210,'1',303,'N'),(20,5336228,'1',211,'N'),(20,5336228,'1A',653,'N'),(20,5336236,'1',104,'N'),(20,5336244,'1',104,'N'),(20,5336252,'1',318,'N'),(20,5336260,'1',208,'N'),(20,5336260,'1A',220,'N'),(20,5336279,'1',337,'N'),(20,5336287,'1',340,'N'),(20,5336317,'1',225,'N'),(20,5336325,'1',324,'N'),(20,5336333,'1',5,'N'),(20,5336341,'1',207,'N'),(20,5336341,'1A',201,'N'),(20,5336350,'1',211,'N'),(20,5336350,'1A',207,'N'),(20,5336368,'1',202,'N'),(20,5336368,'1A',214,'N'),(20,5336376,'1',220,'N'),(20,5336392,'1',303,'N'),(20,5336406,'1',340,'N'),(20,5336414,'1',304,'N'),(20,5336422,'1',203,'N'),(20,5336422,'1A',202,'N'),(20,5336430,'1',104,'N'),(20,5336449,'1',201,'N'),(20,5336449,'1A',212,'N'),(20,5336457,'1',103,'N'),(20,5336465,'1',103,'N'),(20,5336473,'1',203,'N'),(20,5336473,'1A',601,'N'),(20,5336481,'1',303,'N'),(20,5336503,'1',340,'N'),(20,5336511,'1',429,'N'),(20,5336511,'1A',425,'N'),(20,5336520,'1',202,'N'),(20,5336520,'1A',233,'N'),(20,5336538,'1',653,'N'),(20,5336538,'1A',652,'N'),(20,5336562,'1',501,'N'),(20,5336570,'1',318,'N'),(20,5336589,'1',444,'N'),(20,5336597,'1',327,'N'),(20,5336600,'1',316,'N'),(20,5336627,'1',216,'N'),(20,5336627,'1A',601,'N'),(20,5336643,'1',214,'N'),(20,5336643,'1A',203,'N'),(20,5336651,'1',201,'N'),(20,5336651,'1A',212,'N'),(20,5336660,'1',651,'N'),(20,5336660,'1A',653,'N'),(20,5336678,'1',104,'N'),(20,5336686,'1',207,'N'),(20,5336686,'1A',201,'N'),(20,5336694,'1',310,'N'),(20,5336708,'1',103,'N'),(20,5336716,'1',103,'N'),(20,5336724,'1',501,'N'),(20,5336732,'1',104,'N'),(20,5336740,'1',103,'N'),(20,5336759,'1',5,'N'),(20,5336767,'1',303,'N'),(20,5336775,'1',103,'N'),(20,5336783,'1',108,'N'),(20,5336791,'1',103,'N'),(20,5336805,'1',203,'N'),(20,5336805,'1A',208,'N'),(20,5336813,'1',309,'N'),(20,5336821,'1',102,'N'),(20,5336830,'1',601,'N'),(20,5336848,'1',316,'N'),(20,5336856,'1',2,'N'),(20,5336864,'1',427,'N'),(20,5336864,'1A',421,'N'),(20,5336880,'1',5,'N'),(20,5336899,'1',415,'N'),(20,5336910,'1',318,'N'),(20,5336929,'1',108,'N'),(20,5336937,'1',103,'N'),(20,5336945,'1',303,'N'),(20,5336953,'1',238,'N'),(20,5336953,'1A',208,'N'),(20,5336961,'1',214,'N'),(20,5336961,'1A',213,'N'),(20,5336970,'1',420,'N'),(20,5336988,'1',328,'N'),(20,5336996,'1',5,'N'),(20,5337011,'1',103,'N'),(20,5337020,'1',103,'N'),(20,5337046,'1',308,'N'),(20,5337054,'1',5,'N'),(20,5337062,'1',110,'N'),(20,5337089,'1',103,'N'),(20,5337097,'1',427,'N'),(20,5337097,'1A',421,'N'),(20,5337100,'1',103,'N'),(20,5337119,'1',235,'N'),(20,5337119,'1A',202,'N'),(20,5337127,'1',213,'N'),(20,5337135,'1',208,'N'),(20,5337135,'1A',238,'N'),(20,5337143,'1',415,'N'),(20,5337151,'1',303,'N'),(20,5337160,'1',319,'N'),(20,5337178,'1',103,'N'),(20,5337186,'1',318,'N'),(20,5337194,'1',103,'N'),(20,5337208,'1',404,'N'),(20,5337216,'1',318,'N'),(20,5337224,'1',203,'N'),(20,5337224,'1A',235,'N'),(20,5337240,'1',601,'N'),(20,5337240,'1A',203,'N'),(20,5337259,'1',103,'N'),(20,5337267,'1',551,'N'),(20,5337283,'1',429,'N'),(20,5337283,'1A',425,'N'),(20,5337291,'1',203,'N'),(20,5337291,'1A',202,'N'),(20,5337305,'1',103,'N'),(20,5337321,'1',207,'N'),(20,5337321,'1A',201,'N'),(20,5337330,'1',309,'N'),(20,5337348,'1',208,'N'),(20,5337348,'1A',220,'N'),(20,5337356,'1',101,'N'),(20,5337364,'1',317,'N'),(20,5337372,'1',601,'N'),(20,5337380,'1',551,'N'),(20,5337402,'1',238,'N'),(20,5337402,'1A',208,'N'),(20,5337410,'1',340,'N'),(20,5337429,'1',452,'N'),(20,5337445,'1',450,'N'),(20,5337453,'1',319,'N'),(20,5337461,'1',103,'N'),(20,5337470,'1',336,'N'),(20,5337488,'1',211,'N'),(20,5337488,'1A',202,'N'),(20,5337496,'1',216,'N'),(20,5337496,'1A',214,'N'),(20,5337500,'1',326,'N'),(20,5337518,'1',103,'N'),(20,5337526,'1',201,'N'),(20,5337526,'1A',211,'N'),(20,5337534,'1',425,'N'),(20,5337534,'1A',427,'N'),(20,5337550,'1',201,'N'),(20,5337550,'1A',212,'N'),(20,5337569,'1',211,'N'),(20,5337569,'1A',216,'N'),(20,5337577,'1',208,'N'),(20,5337577,'1A',238,'N'),(20,5337585,'1',317,'N'),(20,5337593,'1',9,'N'),(20,5337623,'1',211,'N'),(20,5337623,'1A',212,'N'),(20,5337631,'1',225,'N'),(20,5337640,'1',233,'N'),(20,5337640,'1A',215,'N'),(20,5337658,'1',102,'N'),(20,5337666,'1',211,'N'),(20,5337666,'1A',201,'N'),(20,5337674,'1',203,'N'),(20,5337674,'1A',216,'N'),(20,5337682,'1',101,'N'),(20,5337690,'1',339,'N'),(20,5337704,'1',202,'N'),(20,5337712,'1',203,'N'),(20,5337712,'1A',201,'N'),(20,5337720,'1',103,'N'),(20,5337739,'1',103,'N'),(20,5337747,'1',333,'N'),(20,5337755,'1',319,'N'),(20,5337763,'1',211,'N'),(20,5337763,'1A',203,'N'),(20,5337771,'1',207,'N'),(20,5337780,'1',303,'N'),(20,5337798,'1',103,'N'),(20,5337810,'1',450,'N'),(20,5337828,'1',316,'N'),(20,5337836,'1',453,'N'),(20,5337852,'1',309,'N'),(20,5337860,'1',316,'N'),(20,5337879,'1',207,'N'),(20,5337879,'1A',201,'N'),(20,5337887,'1',208,'N'),(20,5337909,'1',301,'N'),(20,5337917,'1',303,'N'),(20,5337925,'1',101,'N'),(20,5337933,'1',319,'N'),(20,5337941,'1',309,'N'),(20,5337950,'1',103,'N'),(20,5337968,'1',423,'N'),(20,5337968,'1A',425,'N'),(20,5337976,'1',444,'N'),(20,5337984,'1',302,'N'),(20,5337992,'1',103,'N'),(20,5338000,'1',103,'N'),(20,5338018,'1',317,'N'),(20,5338026,'1',303,'N'),(20,5338034,'1',502,'N'),(20,5338042,'1',102,'N'),(20,5338050,'1',302,'N'),(20,5338069,'1',5,'N'),(20,5338077,'1',653,'N'),(20,5338077,'1A',216,'N'),(20,5338085,'1',429,'N'),(20,5338085,'1A',424,'N'),(20,5338093,'1',201,'N'),(20,5338093,'1A',212,'N'),(20,5338107,'1',425,'N'),(20,5338115,'1',207,'N'),(20,5338115,'1A',201,'N'),(20,5338131,'1',420,'N'),(20,5338140,'1',104,'N'),(20,5338158,'1',601,'N'),(20,5338158,'1A',213,'N'),(20,5338166,'1',102,'N'),(20,5338174,'1',103,'N'),(20,5338182,'1',103,'N'),(20,5338190,'1',340,'N'),(20,5338204,'1',316,'N'),(20,5338212,'1',208,'N'),(20,5338212,'1A',203,'N'),(20,5338220,'1',9,'N'),(20,5338239,'1',103,'N'),(20,5338247,'1',103,'N'),(20,5338255,'1',551,'N'),(20,5338263,'1',9,'N'),(20,5338271,'1',208,'N'),(20,5338271,'1A',238,'N'),(20,5338298,'1',101,'N'),(20,5338301,'1',301,'N'),(20,5338310,'1',103,'N'),(20,5338328,'1',310,'N'),(20,5338344,'1',211,'N'),(20,5338344,'1A',601,'N'),(20,5338352,'1',103,'N'),(20,5338360,'1',201,'N'),(20,5338360,'1A',203,'N'),(20,5338379,'1',319,'N'),(20,5338387,'1',415,'N'),(20,5338395,'1',317,'N'),(20,5338409,'1',9,'N'),(20,5338425,'1',104,'N'),(20,5338433,'1',501,'N'),(20,5338450,'1',301,'N'),(20,5338476,'1',202,'N'),(20,5338476,'1A',238,'N'),(20,5338484,'1',201,'N'),(20,5338492,'1',216,'N'),(20,5338492,'1A',207,'N'),(20,5338506,'1',316,'N'),(20,5338514,'1',108,'N'),(20,5338522,'1',303,'N'),(20,5338530,'1',501,'N'),(20,5338549,'1',450,'N'),(20,5338557,'1',328,'N'),(20,5338573,'1',317,'N'),(20,5338581,'1',601,'N'),(20,5338581,'1A',203,'N'),(20,5338590,'1',201,'N'),(20,5338590,'1A',207,'N'),(20,5338611,'1',103,'N'),(20,5338620,'1',5,'N'),(20,5338638,'1',103,'N'),(20,5338646,'1',502,'N'),(20,5338654,'1',327,'N'),(20,5338670,'1',420,'N'),(20,5338689,'1',103,'N'),(20,5338697,'1',551,'N'),(20,5338700,'1',302,'N'),(20,5338719,'1',201,'N'),(20,5338719,'1A',203,'N'),(20,5338727,'1',104,'N'),(20,5338735,'1',316,'N'),(20,5338743,'1',108,'N'),(20,5338751,'1',103,'N'),(20,5338760,'1',201,'N'),(20,5338760,'1A',216,'N'),(20,5338778,'1',444,'N'),(20,5338794,'1',319,'N'),(20,5338808,'1',102,'N'),(20,5338816,'1',653,'N'),(20,5338816,'1A',652,'N'),(20,5338832,'1',201,'N'),(20,5338832,'1A',212,'N'),(20,5338840,'1',235,'N'),(20,5338840,'1A',233,'N'),(20,5338867,'1',216,'N'),(20,5338867,'1A',211,'N'),(20,5338875,'1',317,'N'),(20,5338883,'1',208,'N'),(20,5338883,'1A',238,'N'),(20,5338891,'1',653,'N'),(20,5338891,'1A',652,'N'),(20,5338905,'1',203,'N'),(20,5338905,'1A',235,'N'),(20,5338913,'1',104,'N'),(20,5338921,'1',203,'N'),(20,5338921,'1A',220,'N'),(20,5338930,'1',317,'N'),(20,5338948,'1',333,'N'),(20,5338956,'1',301,'N'),(20,5338964,'1',213,'N'),(20,5338964,'1A',202,'N'),(20,5338972,'1',332,'N'),(20,5338980,'1',309,'N'),(20,5338999,'1',303,'N'),(20,5339014,'1',318,'N'),(20,5339022,'1',5,'N'),(20,5339030,'1',103,'N'),(20,5339057,'1',426,'N'),(20,5339057,'1A',428,'N'),(20,5339065,'1',310,'N'),(20,5339073,'1',103,'N'),(20,5339090,'1',304,'N'),(20,5339103,'1',109,'N'),(20,5339111,'1',601,'N'),(20,5339120,'1',108,'N'),(20,5339138,'1',103,'N'),(20,5339146,'1',103,'N'),(20,5339154,'1',207,'N'),(20,5339154,'1A',601,'N'),(20,5339162,'1',110,'N'),(20,5339170,'1',103,'N'),(20,5339189,'1',5,'N'),(20,5339197,'1',5,'N'),(20,5339200,'1',103,'N'),(20,5339219,'1',201,'N'),(20,5339243,'1',304,'N'),(20,5339251,'1',452,'N'),(20,5339260,'1',316,'N'),(20,5339286,'1',319,'N'),(20,5339316,'1',450,'N'),(20,5339332,'1',108,'N'),(20,5339340,'1',424,'N'),(20,5339340,'1A',425,'N'),(20,5339359,'1',108,'N'),(20,5339367,'1',551,'N'),(20,5339375,'1',420,'N'),(20,5339383,'1',103,'N'),(20,5339391,'1',5,'N'),(20,5339413,'1',103,'N'),(20,5339421,'1',319,'N'),(20,5339448,'1',211,'N'),(20,5339448,'1A',215,'N'),(20,5339456,'1',103,'N'),(20,5339464,'1',201,'N'),(20,5339464,'1A',212,'N'),(20,5339472,'1',102,'N'),(20,5339480,'1',333,'N'),(20,5339499,'1',203,'N'),(20,5339499,'1A',208,'N'),(20,5339502,'1',303,'N'),(20,5339510,'1',444,'N'),(20,5339529,'1',415,'N'),(20,5339545,'1',9,'N'),(20,5339553,'1',420,'N'),(20,5339561,'1',318,'N'),(20,5339570,'1',444,'N'),(20,5339596,'1',451,'N'),(20,5339600,'1',316,'N'),(20,5339618,'1',309,'N'),(20,5339626,'1',425,'N'),(20,5339626,'1A',424,'N'),(20,5339642,'1',316,'N'),(20,5339650,'1',201,'N'),(20,5339650,'1A',212,'N'),(20,5339677,'1',340,'N'),(20,5339693,'1',212,'N'),(20,5339693,'1A',214,'N'),(20,5339707,'1',201,'N'),(20,5339707,'1A',212,'N'),(20,5339715,'1',316,'N'),(20,5339723,'1',302,'N'),(20,5339731,'1',301,'N'),(20,5339740,'1',110,'N'),(20,5339758,'1',316,'N'),(20,5339766,'1',103,'N'),(20,5339782,'1',333,'N'),(20,5339790,'1',203,'N'),(20,5339790,'1A',201,'N'),(20,5339812,'1',318,'N'),(20,5339820,'1',331,'N'),(20,5339839,'1',201,'N'),(20,5339839,'1A',211,'N'),(20,5339847,'1',214,'N'),(20,5339847,'1A',238,'N'),(20,5339855,'1',301,'N'),(20,5339863,'1',103,'N'),(20,5339898,'1',339,'N'),(20,5339910,'1',211,'N'),(20,5339910,'1A',212,'N'),(20,5339928,'1',234,'N'),(20,5339936,'1',453,'N'),(20,5339944,'1',404,'N'),(20,5339952,'1',404,'N'),(20,5339995,'1',103,'N'),(20,5340004,'1',329,'N'),(20,5340012,'1',303,'N'),(20,5340020,'1',9,'N'),(20,5340039,'1',303,'N'),(20,5340047,'1',336,'N'),(20,5340055,'1',203,'N'),(20,5340055,'1A',201,'N'),(20,5340063,'1',3,'N'),(20,5340071,'1',5,'N'),(20,5340098,'1',201,'N'),(20,5340098,'1A',216,'N'),(20,5340101,'1',238,'N'),(20,5340101,'1A',207,'N'),(20,5340110,'1',215,'N'),(20,5340110,'1A',211,'N'),(20,5340128,'1',108,'N'),(20,5340136,'1',652,'N'),(20,5340144,'1',319,'N'),(20,5340152,'1',201,'N'),(20,5340152,'1A',212,'N'),(20,5340160,'1',303,'N'),(20,5340179,'1',5,'N'),(20,5340195,'1',653,'N'),(20,5340195,'1A',651,'N'),(20,5340217,'1',103,'N'),(20,5340225,'1',319,'N'),(20,5340241,'1',208,'N'),(20,5340241,'1A',238,'N'),(20,5340250,'1',103,'N'),(20,5340276,'1',104,'N'),(20,5340292,'1',316,'N'),(20,5340306,'1',303,'N'),(20,5340314,'1',216,'N'),(20,5340314,'1A',220,'N'),(20,5340322,'1',103,'N'),(20,5340330,'1',551,'N'),(20,5340349,'1',501,'N'),(20,5340357,'1',425,'N'),(20,5340357,'1A',429,'N'),(20,5340365,'1',103,'N'),(20,5340373,'1',317,'N'),(20,5340390,'1',319,'N'),(20,5340403,'1',303,'N'),(20,5340438,'1',104,'N'),(20,5340454,'1',5,'N'),(20,5340462,'1',501,'N'),(20,5340470,'1',101,'N'),(20,5340489,'1',215,'N'),(20,5340497,'1',301,'N'),(20,5340500,'1',551,'N'),(20,5340527,'1',108,'N'),(20,5340535,'1',207,'N'),(20,5340543,'1',653,'N'),(20,5340551,'1',103,'N'),(20,5340560,'1',9,'N'),(20,5340578,'1',420,'N'),(20,5340586,'1',103,'N'),(20,5340594,'1',104,'N'),(20,5340608,'1',423,'N'),(20,5340608,'1A',424,'N'),(20,5340616,'1',316,'N'),(20,5340624,'1',452,'N'),(20,5340632,'1',103,'N'),(20,5340640,'1',551,'N'),(20,5340659,'1',329,'N'),(20,5340667,'1',108,'N'),(20,5340675,'1',102,'N'),(20,5340683,'1',317,'N'),(20,5340691,'1',316,'N'),(20,5340713,'1',428,'N'),(20,5340713,'1A',424,'N'),(20,5340721,'1',9,'N'),(20,5340730,'1',329,'N'),(20,5340748,'1',207,'N'),(20,5340748,'1A',215,'N'),(20,5340756,'1',103,'N'),(20,5340764,'1',427,'N'),(20,5340780,'1',103,'N'),(20,5340799,'1',103,'N'),(20,5340810,'1',551,'N'),(20,5340829,'1',303,'N'),(20,5340837,'1',5,'N'),(20,5340845,'1',103,'N'),(20,5340853,'1',208,'N'),(20,5340853,'1A',203,'N'),(20,5340861,'1',104,'N'),(20,5340870,'1',308,'N'),(20,5340888,'1',444,'N'),(20,5340896,'1',651,'N'),(20,5340896,'1A',653,'N'),(20,5340900,'1',203,'N'),(20,5340900,'1A',214,'N'),(20,5340918,'1',103,'N'),(20,5340926,'1',238,'N'),(20,5340926,'1A',235,'N'),(20,5340934,'1',308,'N'),(20,5340942,'1',103,'N'),(20,5340969,'1',212,'N'),(20,5340969,'1A',601,'N'),(20,5340977,'1',101,'N'),(20,5340985,'1',652,'N'),(20,5340985,'1A',653,'N'),(20,5340993,'1',108,'N'),(20,5341000,'1',201,'N'),(20,5341000,'1A',212,'N'),(20,5341019,'1',225,'N'),(20,5341035,'1',427,'N'),(20,5341035,'1A',424,'N'),(20,5341043,'1',103,'N'),(20,5341051,'1',238,'N'),(20,5341051,'1A',235,'N'),(20,5341060,'1',319,'N'),(20,5341078,'1',103,'N'),(20,5341108,'1',303,'N'),(20,5341116,'1',429,'N'),(20,5341116,'1A',426,'N'),(20,5341124,'1',9,'N'),(20,5341132,'1',203,'N'),(20,5341132,'1A',214,'N'),(20,5341140,'1',238,'N'),(20,5341140,'1A',208,'N'),(20,5341159,'1',215,'N'),(20,5341159,'1A',216,'N'),(20,5341167,'1',104,'N'),(20,5341175,'1',109,'N'),(20,5341183,'1',501,'N'),(20,5341191,'1',501,'N'),(20,5341205,'1',104,'N'),(20,5341213,'1',339,'N'),(20,5341221,'1',415,'N'),(20,5341248,'1',303,'N'),(20,5341256,'1',301,'N'),(20,5341264,'1',110,'N'),(20,5341272,'1',5,'N'),(20,5341299,'1',452,'N'),(20,5341302,'1',404,'N'),(20,5341310,'1',103,'N'),(20,5341337,'1',316,'N'),(20,5341345,'1',208,'N'),(20,5341345,'1A',214,'N'),(20,5341361,'1',103,'N'),(20,5341370,'1',103,'N'),(20,5341388,'1',601,'N'),(20,5341388,'1A',207,'N'),(20,5341396,'1',201,'N'),(20,5341396,'1A',216,'N'),(20,5341400,'1',203,'N'),(20,5341400,'1A',214,'N'),(20,5341418,'1',452,'N'),(20,5341426,'1',215,'N'),(20,5341426,'1A',208,'N'),(20,5341434,'1',103,'N'),(20,5341442,'1',653,'N'),(20,5341442,'1A',212,'N'),(20,5341450,'1',302,'N'),(20,5341469,'1',104,'N'),(20,5341477,'1',211,'N'),(20,5341477,'1A',653,'N'),(20,5341493,'1',102,'N'),(20,5341515,'1',203,'N'),(20,5341523,'1',203,'N'),(20,5341523,'1A',214,'N'),(20,5341531,'1',601,'N'),(20,5341531,'1A',213,'N'),(20,5341558,'1',415,'N'),(20,5341566,'1',320,'N'),(20,5341574,'1',340,'N'),(20,5341590,'1',444,'N'),(20,5341604,'1',103,'N'),(20,5341612,'1',653,'N'),(20,5341647,'1',339,'N'),(20,5341655,'1',207,'N'),(20,5341655,'1A',201,'N'),(20,5341663,'1',301,'N'),(20,5341698,'1',332,'N'),(20,5341701,'1',103,'N'),(20,5341710,'1',303,'N'),(20,5341728,'1',329,'N'),(20,5341736,'1',211,'N'),(20,5341736,'1A',653,'N'),(20,5341744,'1',103,'N'),(20,5341760,'1',317,'N'),(20,5341795,'1',211,'N'),(20,5341795,'1A',653,'N'),(20,5341868,'1',420,'N'),(20,5341884,'1',207,'N'),(20,5341892,'1',429,'N'),(20,5341892,'1A',428,'N'),(20,5341906,'1',425,'N'),(20,5341906,'1A',421,'N'),(20,5341914,'1',317,'N'),(20,5341922,'1',103,'N'),(20,5341930,'1',502,'N'),(20,5341949,'1',238,'N'),(20,5341949,'1A',211,'N'),(20,5341957,'1',201,'N'),(20,5341957,'1A',212,'N'),(20,5341965,'1',103,'N'),(20,5341981,'1',103,'N'),(20,5341990,'1',202,'N'),(20,5341990,'1A',235,'N'),(20,5342007,'1',333,'N'),(20,5342015,'1',103,'N'),(20,5342023,'1',103,'N'),(20,5342040,'1',108,'N'),(20,5342066,'1',207,'N'),(20,5342066,'1A',201,'N'),(20,5342082,'1',340,'N'),(20,5342112,'1',318,'N'),(20,5342120,'1',420,'N'),(20,5342147,'1',426,'N'),(20,5342147,'1A',423,'N'),(20,5342163,'1',319,'N'),(20,5342180,'1',103,'N'),(20,5342198,'1',103,'N'),(20,5342201,'1',233,'N'),(20,5342228,'1',9,'N'),(20,5342236,'1',420,'N'),(20,5342252,'1',201,'N'),(20,5342252,'1A',212,'N'),(20,5342260,'1',301,'N'),(20,5342287,'1',301,'N'),(20,5342295,'1',503,'N'),(20,5342309,'1',404,'N'),(20,5342317,'1',202,'N'),(20,5342317,'1A',235,'N'),(20,5342325,'1',234,'N'),(20,5342333,'1',425,'N'),(20,5342333,'1A',424,'N'),(20,5342350,'1',551,'N'),(20,5342368,'1',319,'N'),(20,5342376,'1',103,'N'),(20,5342384,'1',103,'N'),(20,5342392,'1',332,'N'),(20,5342414,'1',404,'N'),(20,5342422,'1',103,'N'),(20,5342430,'1',103,'N'),(20,5342449,'1',415,'N'),(20,5342457,'1',9,'N'),(20,5342473,'1',103,'N'),(20,5342481,'1',201,'N'),(20,5342481,'1A',212,'N'),(20,5342503,'1',450,'N'),(20,5342511,'1',109,'N'),(20,5342520,'1',303,'N'),(20,5342554,'1',103,'N'),(20,5342562,'1',501,'N'),(20,5342570,'1',103,'N'),(20,5342597,'1',303,'N'),(20,5342600,'1',551,'N'),(20,5342619,'1',319,'N'),(20,5342627,'1',9,'N'),(20,5342635,'1',5,'N'),(20,5342660,'1',303,'N'),(20,5342678,'1',201,'N'),(20,5342678,'1A',202,'N'),(20,5342686,'1',324,'N'),(20,5342694,'1',203,'N'),(20,5342694,'1A',233,'N'),(20,5342708,'1',452,'N'),(20,5342724,'1',451,'N'),(20,5342732,'1',551,'N'),(20,5342740,'1',423,'N'),(20,5342740,'1A',424,'N'),(20,5342759,'1',653,'N'),(20,5342759,'1A',202,'N'),(20,5342767,'1',301,'N'),(20,5342775,'1',3,'N'),(20,5342783,'1',302,'N'),(20,5342813,'1',450,'N'),(20,5342821,'1',103,'N'),(20,5342830,'1',316,'N'),(20,5342848,'1',202,'N'),(20,5342848,'1A',203,'N'),(20,5342872,'1',340,'N'),(20,5342880,'1',203,'N'),(20,5342880,'1A',601,'N'),(20,5342899,'1',213,'N'),(20,5342899,'1A',212,'N'),(20,5342902,'1',211,'N'),(20,5342902,'1A',201,'N'),(20,5342929,'1',203,'N'),(20,5342929,'1A',211,'N'),(20,5342945,'1',301,'N'),(20,5342953,'1',301,'N'),(20,5342961,'1',5,'N'),(20,5342970,'1',316,'N'),(20,5342988,'1',420,'N'),(20,5342996,'1',108,'N'),(20,5343003,'1',424,'N'),(20,5343003,'1A',428,'N'),(20,5343011,'1',101,'N'),(20,5343020,'1',208,'N'),(20,5343020,'1A',238,'N'),(20,5343046,'1',207,'N'),(20,5343046,'1A',201,'N'),(20,5343054,'1',601,'N'),(20,5343054,'1A',202,'N'),(20,5343062,'1',103,'N'),(20,5343070,'1',103,'N'),(20,5343089,'1',103,'N'),(20,5343097,'1',207,'N'),(20,5343119,'1',9,'N'),(20,5343127,'1',415,'N'),(20,5343135,'1',103,'N'),(20,5343143,'1',9,'N'),(20,5343151,'1',303,'N'),(20,5343160,'1',207,'N'),(20,5343178,'1',101,'N'),(20,5343186,'1',103,'N'),(20,5343194,'1',238,'N'),(20,5343194,'1A',208,'N'),(20,5343208,'1',207,'N'),(20,5343208,'1A',215,'N'),(20,5343216,'1',104,'N'),(20,5343224,'1',211,'N'),(20,5343224,'1A',201,'N'),(20,5343232,'1',303,'N'),(20,5343240,'1',339,'N'),(20,5343259,'1',319,'N'),(20,5343267,'1',208,'N'),(20,5343267,'1A',207,'N'),(20,5343291,'1',203,'N'),(20,5343291,'1A',202,'N'),(20,5343305,'1',203,'N'),(20,5343305,'1A',201,'N'),(20,5343313,'1',303,'N'),(20,5343321,'1',333,'N'),(20,5343348,'1',302,'N'),(20,5343356,'1',420,'N'),(20,5343364,'1',319,'N'),(20,5343380,'1',5,'N'),(20,5343410,'1',103,'N'),(20,5343429,'1',320,'N'),(20,5343437,'1',301,'N'),(20,5343445,'1',211,'N'),(20,5343445,'1A',215,'N'),(20,5343453,'1',103,'N'),(20,5343470,'1',202,'N'),(20,5343470,'1A',203,'N'),(20,5343488,'1',308,'N'),(20,5343496,'1',450,'N'),(20,5343500,'1',319,'N'),(20,5343518,'1',104,'N'),(20,5343534,'1',103,'N'),(20,5343542,'1',501,'N'),(20,5343569,'1',317,'N'),(20,5343577,'1',103,'N'),(20,5343593,'1',108,'N'),(20,5343615,'1',103,'N'),(20,5343623,'1',415,'N'),(20,5343631,'1',103,'N'),(20,5343640,'1',201,'N'),(20,5343640,'1A',211,'N'),(20,5343658,'1',101,'N'),(20,5343666,'1',331,'N'),(20,5343674,'1',319,'N'),(20,5343682,'1',421,'N'),(20,5343682,'1A',427,'N'),(20,5343690,'1',426,'N'),(20,5343690,'1A',427,'N'),(20,5343704,'1',303,'N'),(20,5343712,'1',108,'N'),(20,5343720,'1',110,'N'),(20,5343739,'1',202,'N'),(20,5343739,'1A',203,'N'),(20,5343747,'1',404,'N'),(20,5343755,'1',103,'N'),(20,5343771,'1',103,'N'),(20,5343780,'1',5,'N'),(20,5343798,'1',319,'N'),(20,5343828,'1',203,'N'),(20,5343828,'1A',208,'N'),(20,5343836,'1',101,'N'),(20,5343852,'1',201,'N'),(20,5343852,'1A',601,'N'),(20,5343879,'1',201,'N'),(20,5343879,'1A',208,'N'),(20,5343887,'1',303,'N'),(20,5343895,'1',319,'N'),(20,5343909,'1',336,'N'),(20,5343917,'1',601,'N'),(20,5343917,'1A',233,'N'),(20,5343925,'1',103,'N'),(20,5343933,'1',103,'N'),(20,5343941,'1',203,'N'),(20,5343941,'1A',202,'N'),(20,5343968,'1',425,'N'),(20,5343968,'1A',421,'N'),(20,5343976,'1',415,'N'),(20,5343992,'1',216,'N'),(20,5343992,'1A',215,'N'),(20,5344000,'1',653,'N'),(20,5344000,'1A',652,'N'),(20,5344018,'1',653,'N'),(20,5344026,'1',415,'N'),(20,5344034,'1',103,'N'),(20,5344042,'1',420,'N'),(20,5344069,'1',103,'N'),(20,5344077,'1',316,'N'),(20,5344107,'1',316,'N'),(20,5344115,'1',103,'N'),(20,5344123,'1',103,'N'),(20,5344131,'1',601,'N'),(20,5344140,'1',327,'N'),(20,5344158,'1',316,'N'),(20,5344166,'1',601,'N'),(20,5344166,'1A',214,'N'),(20,5344174,'1',103,'N'),(20,5344182,'1',453,'N'),(20,5344190,'1',103,'N'),(20,5344204,'1',303,'N'),(20,5344212,'1',103,'N'),(20,5344220,'1',319,'N'),(20,5344239,'1',208,'N'),(20,5344239,'1A',238,'N'),(20,5344247,'1',103,'N'),(20,5344255,'1',110,'N'),(20,5344263,'1',451,'N'),(20,5344271,'1',5,'N'),(20,5344298,'1',320,'N'),(20,5344301,'1',103,'N'),(20,5344310,'1',207,'N'),(20,5344310,'1A',201,'N'),(20,5344328,'1',601,'N'),(20,5344336,'1',207,'N'),(20,5344344,'1',5,'N'),(20,5344352,'1',319,'N'),(20,5344360,'1',211,'N'),(20,5344360,'1A',201,'N'),(20,5344387,'1',207,'N'),(20,5344387,'1A',235,'N'),(20,5344395,'1',327,'N'),(20,5344409,'1',102,'N'),(20,5344417,'1',207,'N'),(20,5344433,'1',215,'N'),(20,5344441,'1',5,'N'),(20,5344476,'1',103,'N'),(20,5344484,'1',653,'N'),(20,5344484,'1A',652,'N'),(20,5344492,'1',104,'N'),(20,5344506,'1',301,'N'),(20,5344514,'1',207,'N'),(20,5344549,'1',339,'N'),(20,5344557,'1',103,'N'),(20,5344565,'1',320,'N'),(20,5344573,'1',104,'N'),(20,5344581,'1',319,'N'),(20,5344603,'1',303,'N'),(20,5344611,'1',203,'N'),(20,5344611,'1A',202,'N'),(20,5344620,'1',103,'N'),(20,5344638,'1',103,'N'),(20,5344646,'1',103,'N'),(20,5344654,'1',338,'N'),(20,5344662,'1',220,'N'),(20,5344662,'1A',202,'N'),(20,5344670,'1',551,'N'),(20,5344689,'1',324,'N'),(20,5344697,'1',103,'N'),(20,5344743,'1',601,'N'),(20,5344743,'1A',211,'N'),(20,5344751,'1',103,'N'),(20,5344760,'1',452,'N'),(20,5344778,'1',101,'N'),(20,5344786,'1',103,'N'),(20,5344794,'1',103,'N'),(20,5344808,'1',211,'N'),(20,5344808,'1A',216,'N'),(20,5344816,'1',404,'N'),(20,5344824,'1',103,'N'),(20,5344832,'1',215,'N'),(20,5344832,'1A',233,'N'),(20,5344840,'1',103,'N'),(20,5344867,'1',103,'N'),(20,5344883,'1',324,'N'),(20,5344891,'1',108,'N'),(20,5344905,'1',303,'N'),(20,5344913,'1',212,'N'),(20,5344913,'1A',213,'N'),(20,5344930,'1',103,'N'),(20,5344948,'1',211,'N'),(20,5344948,'1A',216,'N'),(20,5344956,'1',103,'N'),(20,5344964,'1',101,'N'),(20,5344972,'1',201,'N'),(20,5344972,'1A',207,'N'),(20,5344980,'1',452,'N'),(20,5344999,'1',5,'N'),(20,5345006,'1',340,'N'),(20,5345014,'1',103,'N'),(20,5345022,'1',103,'N'),(20,5345081,'1',104,'N'),(20,5345090,'1',302,'N'),(20,5345120,'1',103,'N'),(20,5345146,'1',316,'N'),(20,5345154,'1',103,'N'),(20,5345162,'1',501,'N'),(20,5345170,'1',103,'N'),(20,5345189,'1',238,'N'),(20,5345189,'1A',208,'N'),(20,5345197,'1',452,'N'),(20,5345219,'1',103,'N'),(20,5345243,'1',201,'N'),(20,5345243,'1A',207,'N'),(20,5345251,'1',301,'N'),(20,5345286,'1',340,'N'),(20,5345294,'1',652,'N'),(20,5345308,'1',211,'N'),(20,5345308,'1A',207,'N'),(20,5345332,'1',501,'N'),(20,5345367,'1',424,'N'),(20,5345375,'1',9,'N'),(20,5345391,'1',452,'N'),(20,5345413,'1',301,'N'),(20,5345421,'1',303,'N'),(20,5345430,'1',452,'N'),(20,5345448,'1',319,'N'),(20,5345456,'1',308,'N'),(20,5345464,'1',5,'N'),(20,5345480,'1',104,'N'),(20,5345499,'1',103,'N'),(20,5345502,'1',453,'N'),(20,5345510,'1',208,'N'),(20,5345510,'1A',651,'N'),(20,5345529,'1',601,'N'),(20,5345529,'1A',211,'N'),(20,5345537,'1',201,'N'),(20,5345537,'1A',212,'N'),(20,5345553,'1',308,'N'),(20,5345570,'1',3,'N'),(20,5345596,'1',103,'N'),(20,5345600,'1',404,'N'),(20,5345618,'1',103,'N'),(20,5345626,'1',651,'N'),(20,5345626,'1A',653,'N'),(20,5345634,'1',309,'N'),(20,5345650,'1',223,'N'),(20,5345677,'1',423,'N'),(20,5345685,'1',308,'N'),(20,5345693,'1',103,'N'),(20,5345715,'1',301,'N'),(20,5345723,'1',653,'N'),(20,5345723,'1A',651,'N'),(20,5345731,'1',207,'N'),(20,5345731,'1A',201,'N'),(20,5345740,'1',338,'N'),(20,5345766,'1',302,'N'),(20,5345774,'1',103,'N'),(20,5345782,'1',9,'N'),(20,5345790,'1',339,'N'),(20,5345804,'1',103,'N'),(20,5345847,'1',303,'N'),(20,5345855,'1',304,'N'),(20,5345863,'1',426,'N'),(20,5345863,'1A',428,'N'),(20,5345871,'1',208,'N'),(20,5345871,'1A',220,'N'),(20,5345880,'1',216,'N'),(20,5345880,'1A',215,'N'),(20,5345898,'1',110,'N'),(20,5345928,'1',208,'N'),(20,5345928,'1A',238,'N'),(20,5345936,'1',337,'N'),(20,5345944,'1',101,'N'),(20,5345952,'1',201,'N'),(20,5345952,'1A',235,'N'),(20,5345979,'1',5,'N'),(20,5345987,'1',103,'N'),(20,5345995,'1',103,'N'),(20,5346002,'1',201,'N'),(20,5346002,'1A',207,'N'),(20,5346037,'1',652,'N'),(20,5346037,'1A',651,'N'),(20,5346045,'1',316,'N'),(20,5346053,'1',211,'N'),(20,5346061,'1',102,'N'),(20,5346070,'1',208,'N'),(20,5346070,'1A',238,'N'),(20,5346088,'1',102,'N'),(20,5346096,'1',324,'N'),(20,5346100,'1',220,'N'),(20,5346100,'1A',235,'N'),(20,5346126,'1',453,'N'),(20,5346134,'1',203,'N'),(20,5346134,'1A',212,'N'),(20,5346169,'1',238,'N'),(20,5346169,'1A',215,'N'),(20,5346177,'1',3,'N'),(20,5346185,'1',502,'N'),(20,5346193,'1',318,'N'),(20,5346207,'1',207,'N'),(20,5346207,'1A',201,'N'),(20,5346215,'1',316,'N'),(20,5346223,'1',220,'N'),(20,5346223,'1A',214,'N'),(20,5346240,'1',428,'N'),(20,5346240,'1A',424,'N'),(20,5346258,'1',214,'N'),(20,5346258,'1A',212,'N'),(20,5346266,'1',450,'N'),(20,5346274,'1',340,'N'),(20,5346290,'1',103,'N'),(20,5346304,'1',317,'N'),(20,5346320,'1',208,'N'),(20,5346320,'1A',238,'N'),(20,5346339,'1',428,'N'),(20,5346339,'1A',426,'N'),(20,5346363,'1',332,'N'),(20,5346371,'1',319,'N'),(20,5346380,'1',207,'N'),(20,5346380,'1A',201,'N'),(20,5346398,'1',317,'N'),(20,5346401,'1',103,'N'),(20,5346428,'1',207,'N'),(20,5346428,'1A',215,'N'),(20,5346436,'1',301,'N'),(20,5346444,'1',329,'N'),(20,5346452,'1',103,'N'),(20,5346460,'1',404,'N'),(20,5346487,'1',103,'N'),(20,5346495,'1',211,'N'),(20,5346509,'1',103,'N'),(20,5346517,'1',316,'N'),(20,5346525,'1',320,'N'),(20,5346533,'1',207,'N'),(20,5346533,'1A',212,'N'),(20,5346541,'1',208,'N'),(20,5346541,'1A',238,'N'),(20,5346550,'1',320,'N'),(20,5346568,'1',404,'N'),(20,5346576,'1',653,'N'),(20,5346576,'1A',202,'N'),(20,5346584,'1',203,'N'),(20,5346584,'1A',202,'N'),(20,5346592,'1',104,'N'),(20,5346614,'1',238,'N'),(20,5346614,'1A',208,'N'),(20,5346630,'1',201,'N'),(20,5346630,'1A',212,'N'),(20,5346649,'1',340,'N'),(20,5346673,'1',103,'N'),(20,5346681,'1',103,'N'),(20,5346690,'1',103,'N'),(20,5346703,'1',303,'N'),(20,5346711,'1',319,'N'),(20,5346720,'1',238,'N'),(20,5346720,'1A',208,'N'),(20,5346738,'1',208,'N'),(20,5346738,'1A',238,'N'),(20,5346762,'1',103,'N'),(20,5346770,'1',203,'N'),(20,5346770,'1A',233,'N'),(20,5346789,'1',203,'N'),(20,5346789,'1A',202,'N'),(20,5346800,'1',450,'N'),(20,5346819,'1',103,'N'),(20,5346827,'1',103,'N'),(20,5346835,'1',324,'N'),(20,5346851,'1',428,'N'),(20,5346851,'1A',426,'N'),(20,5346860,'1',102,'N'),(20,5346878,'1',415,'N'),(20,5346886,'1',653,'N'),(20,5346886,'1A',652,'N'),(20,5346894,'1',420,'N'),(20,5346908,'1',424,'N'),(20,5346908,'1A',425,'N'),(20,5346916,'1',203,'N'),(20,5346924,'1',102,'N'),(20,5346932,'1',103,'N'),(20,5346940,'1',208,'N'),(20,5346940,'1A',238,'N'),(20,5346959,'1',653,'N'),(20,5346959,'1A',202,'N'),(20,5346967,'1',316,'N'),(20,5346975,'1',233,'N'),(20,5346975,'1A',216,'N'),(20,5347009,'1',5,'N'),(20,5347017,'1',340,'N'),(20,5347025,'1',301,'N'),(20,5347033,'1',214,'N'),(20,5347033,'1A',220,'N'),(20,5347041,'1',103,'N'),(20,5347050,'1',108,'N'),(20,5347068,'1',103,'N'),(20,5347076,'1',301,'N'),(20,5347084,'1',303,'N'),(20,5347106,'1',317,'N'),(20,5347114,'1',303,'N'),(20,5347122,'1',420,'N'),(20,5347130,'1',103,'N'),(20,5347149,'1',308,'N'),(20,5347157,'1',103,'N'),(20,5347165,'1',211,'N'),(20,5347165,'1A',215,'N'),(20,5347173,'1',201,'N'),(20,5347173,'1A',212,'N'),(20,5347181,'1',404,'N'),(20,5347190,'1',5,'N'),(20,5347203,'1',103,'N'),(20,5347211,'1',318,'N'),(20,5347238,'1',202,'N'),(20,5347238,'1A',201,'N'),(20,5347246,'1',501,'N'),(20,5347254,'1',444,'N'),(20,5347262,'1',103,'N'),(20,5347270,'1',319,'N'),(20,5347300,'1',238,'N'),(20,5347300,'1A',202,'N'),(20,5347327,'1',415,'N'),(20,5347335,'1',501,'N'),(20,5347343,'1',208,'N'),(20,5347343,'1A',238,'N'),(20,5347351,'1',208,'N'),(20,5347378,'1',451,'N'),(20,5347394,'1',203,'N'),(20,5347394,'1A',207,'N'),(20,5347416,'1',303,'N'),(20,5347424,'1',202,'N'),(20,5347424,'1A',235,'N'),(20,5347432,'1',420,'N'),(20,5347440,'1',444,'N'),(20,5347459,'1',211,'N'),(20,5347459,'1A',601,'N'),(20,5347467,'1',303,'N'),(20,5347491,'1',201,'N'),(20,5347491,'1A',203,'N'),(20,5347513,'1',444,'N'),(20,5347521,'1',5,'N'),(20,5347530,'1',110,'N'),(20,5347548,'1',208,'N'),(20,5347548,'1A',238,'N'),(20,5347564,'1',303,'N'),(20,5347580,'1',104,'N'),(20,5347602,'1',653,'N'),(20,5347602,'1A',652,'N'),(20,5347610,'1',501,'N'),(20,5347629,'1',318,'N'),(20,5347637,'1',103,'N'),(20,5347645,'1',5,'N'),(20,5347653,'1',653,'N'),(20,5347653,'1A',652,'N'),(20,5347661,'1',339,'N'),(20,5347670,'1',103,'N'),(20,5347696,'1',425,'N'),(20,5347696,'1A',423,'N'),(20,5347700,'1',201,'N'),(20,5347700,'1A',207,'N'),(20,5347726,'1',103,'N'),(20,5347734,'1',5,'N'),(20,5347742,'1',444,'N'),(20,5347750,'1',336,'N'),(20,5347769,'1',201,'N'),(20,5347769,'1A',207,'N'),(20,5347785,'1',444,'N'),(20,5347793,'1',238,'N'),(20,5347793,'1A',235,'N'),(20,5347807,'1',337,'N'),(20,5347815,'1',3,'N'),(20,5347823,'1',316,'N'),(20,5347831,'1',103,'N'),(20,5347840,'1',102,'N'),(20,5347874,'1',5,'N'),(20,5347890,'1',304,'N'),(20,5347920,'1',425,'N'),(20,5347920,'1A',429,'N'),(20,5347939,'1',101,'N'),(20,5347947,'1',207,'N'),(20,5347963,'1',103,'N'),(20,5347971,'1',404,'N'),(20,5347980,'1',308,'N'),(20,5348021,'1',201,'N'),(20,5348021,'1A',653,'N'),(20,5348030,'1',233,'N'),(20,5348030,'1A',202,'N'),(20,5348048,'1',319,'N'),(20,5348056,'1',103,'N'),(20,5348072,'1',203,'N'),(20,5348080,'1',202,'N'),(20,5348080,'1A',233,'N'),(20,5348099,'1',110,'N'),(20,5348102,'1',103,'N'),(20,5348110,'1',104,'N'),(20,5348129,'1',103,'N'),(20,5348137,'1',303,'N'),(20,5348161,'1',501,'N'),(20,5348196,'1',302,'N'),(20,5348200,'1',5,'N'),(20,5348218,'1',340,'N'),(20,5348226,'1',601,'N'),(20,5348226,'1A',207,'N'),(20,5348234,'1',340,'N'),(20,5348242,'1',404,'N'),(20,5348269,'1',653,'N'),(20,5348285,'1',203,'N'),(20,5348285,'1A',208,'N'),(20,5348293,'1',340,'N'),(20,5348307,'1',212,'N'),(20,5348307,'1A',213,'N'),(20,5348315,'1',208,'N'),(20,5348323,'1',320,'N'),(20,5348331,'1',103,'N'),(20,5348358,'1',201,'N'),(20,5348366,'1',103,'N'),(20,5348374,'1',101,'N'),(20,5348382,'1',453,'N'),(20,5348390,'1',203,'N'),(20,5348390,'1A',202,'N'),(20,5348412,'1',303,'N'),(20,5348439,'1',233,'N'),(20,5348439,'1A',211,'N'),(20,5348447,'1',201,'N'),(20,5348447,'1A',207,'N'),(20,5348463,'1',104,'N'),(20,5348471,'1',9,'N'),(20,5348480,'1',317,'N'),(20,5348498,'1',502,'N'),(20,5348501,'1',104,'N'),(20,5348510,'1',207,'N'),(20,5348510,'1A',201,'N'),(20,5348528,'1',102,'N'),(20,5348536,'1',201,'N'),(20,5348536,'1A',216,'N'),(20,5348544,'1',316,'N'),(20,5348560,'1',652,'N'),(20,5348560,'1A',651,'N'),(20,5348579,'1',238,'N'),(20,5348609,'1',309,'N'),(20,5348617,'1',104,'N'),(20,5348633,'1',340,'N'),(20,5348641,'1',404,'N'),(20,5348650,'1',203,'N'),(20,5348650,'1A',202,'N'),(20,5348684,'1',103,'N'),(20,5348692,'1',238,'N'),(20,5348692,'1A',220,'N'),(20,5348722,'1',103,'N'),(20,5348730,'1',103,'N'),(20,5348757,'1',316,'N'),(20,5348765,'1',103,'N'),(20,5348803,'1',337,'N'),(20,5348811,'1',102,'N'),(20,5348820,'1',5,'N'),(20,5348838,'1',207,'N'),(20,5348838,'1A',211,'N'),(20,5348846,'1',103,'N'),(20,5348854,'1',103,'N'),(20,5348862,'1',452,'N'),(20,5348870,'1',216,'N'),(20,5348870,'1A',202,'N'),(20,5348889,'1',103,'N'),(20,5348900,'1',303,'N'),(20,5348927,'1',207,'N'),(20,5348960,'1',308,'N'),(20,5348978,'1',338,'N'),(20,5348986,'1',103,'N'),(20,5348994,'1',601,'N'),(20,5348994,'1A',203,'N'),(20,5349001,'1',308,'N'),(20,5349010,'1',317,'N'),(20,5349044,'1',316,'N'),(20,5349060,'1',339,'N'),(20,5349079,'1',316,'N'),(20,5349087,'1',339,'N'),(20,5349109,'1',423,'N'),(20,5349109,'1A',426,'N'),(20,5349117,'1',103,'N'),(20,5349125,'1',303,'N'),(20,5349141,'1',103,'N'),(20,5349176,'1',303,'N'),(20,5349184,'1',212,'N'),(20,5349184,'1A',214,'N'),(20,5349192,'1',104,'N'),(20,5349214,'1',318,'N'),(20,5349230,'1',233,'N'),(20,5349249,'1',201,'N'),(20,5349249,'1A',203,'N'),(20,5349257,'1',103,'N'),(20,5349273,'1',335,'N'),(20,5349281,'1',207,'N'),(20,5349281,'1A',208,'N'),(20,5349290,'1',103,'N'),(20,5349303,'1',332,'N'),(20,5349338,'1',501,'N'),(20,5349346,'1',601,'N'),(20,5349354,'1',201,'N'),(20,5349354,'1A',207,'N'),(20,5349370,'1',316,'N'),(20,5349400,'1',233,'N'),(20,5349400,'1A',202,'N'),(20,5349435,'1',201,'N'),(20,5349435,'1A',202,'N'),(20,5349443,'1',211,'N'),(20,5349478,'1',333,'N'),(20,5349524,'1',215,'N'),(20,5349524,'1A',216,'N'),(20,5349559,'1',103,'N'),(20,5349567,'1',103,'N'),(20,5349583,'1',211,'N'),(20,5349583,'1A',233,'N'),(20,5349591,'1',103,'N'),(20,5349621,'1',337,'N'),(20,5349630,'1',108,'N'),(20,5349656,'1',103,'N'),(20,5349664,'1',303,'N'),(20,5349672,'1',309,'N'),(20,5349680,'1',651,'N'),(20,5349680,'1A',652,'N'),(20,5349699,'1',316,'N'),(20,5349702,'1',103,'N'),(20,5349729,'1',320,'N'),(20,5349737,'1',551,'N'),(20,5349753,'1',214,'N'),(20,5349753,'1A',203,'N'),(20,5349770,'1',319,'N'),(20,5349800,'1',103,'N'),(20,5349818,'1',103,'N'),(20,5349826,'1',502,'N'),(20,5349834,'1',5,'N'),(20,5349869,'1',551,'N'),(20,5349877,'1',101,'N'),(20,5349893,'1',220,'N'),(20,5349907,'1',319,'N'),(20,5349915,'1',103,'N'),(20,5349931,'1',450,'N'),(20,5349940,'1',340,'N'),(20,5349966,'1',201,'N'),(20,5349966,'1A',202,'N'),(20,5349982,'1',651,'N'),(20,5349982,'1A',652,'N'),(20,5349990,'1',220,'N'),(20,5349990,'1A',214,'N'),(20,5350000,'1',2,'N'),(20,5350026,'1',101,'N'),(20,5350042,'1',316,'N'),(20,5350069,'1',653,'N'),(20,5350093,'1',327,'N'),(20,5350107,'1',201,'N'),(20,5350107,'1A',233,'N'),(20,5350123,'1',103,'N'),(20,5350131,'1',103,'N'),(20,5350140,'1',103,'N'),(20,5350158,'1',103,'N'),(20,5350166,'1',319,'N'),(20,5350174,'1',426,'N'),(20,5350174,'1A',428,'N'),(20,5350212,'1',328,'N'),(20,5350220,'1',203,'N'),(20,5350220,'1A',202,'N'),(20,5350239,'1',308,'N'),(20,5350271,'1',223,'N'),(20,5350310,'1',331,'N'),(20,5350328,'1',208,'N'),(20,5350336,'1',201,'N'),(20,5350336,'1A',212,'N'),(20,5350344,'1',316,'N'),(20,5350352,'1',415,'N'),(20,5350360,'1',203,'N'),(20,5350360,'1A',220,'N'),(20,5350387,'1',339,'N'),(20,5350409,'1',331,'N'),(20,5350417,'1',216,'N'),(20,5350425,'1',110,'N'),(20,5350441,'1',207,'N'),(20,5350441,'1A',201,'N'),(20,5350450,'1',103,'N'),(20,5350468,'1',404,'N'),(20,5350492,'1',101,'N'),(20,5350506,'1',404,'N'),(20,5350514,'1',208,'N'),(20,5350514,'1A',652,'N'),(20,5350549,'1',211,'N'),(20,5350549,'1A',201,'N'),(20,5350557,'1',104,'N'),(20,5350573,'1',415,'N'),(20,5350581,'1',5,'N'),(20,5350590,'1',213,'N'),(20,5350590,'1A',214,'N'),(20,5350603,'1',444,'N'),(20,5350611,'1',238,'N'),(20,5350620,'1',319,'N'),(20,5350638,'1',108,'N'),(20,5350646,'1',450,'N'),(20,5350654,'1',103,'N'),(20,5350662,'1',109,'N'),(20,5350670,'1',208,'N'),(20,5350670,'1A',235,'N'),(20,5350689,'1',415,'N'),(20,5350697,'1',103,'N'),(20,5350700,'1',215,'N'),(20,5350700,'1A',216,'N'),(20,5350719,'1',303,'N'),(20,5350727,'1',303,'N'),(20,5350735,'1',428,'N'),(20,5350735,'1A',423,'N'),(20,5350743,'1',103,'N'),(20,5350760,'1',238,'N'),(20,5350760,'1A',202,'N'),(20,5350778,'1',652,'N'),(20,5350786,'1',201,'N'),(20,5350794,'1',207,'N'),(20,5350794,'1A',201,'N'),(20,5350808,'1',215,'N'),(20,5350808,'1A',233,'N'),(20,5350816,'1',207,'N'),(20,5350824,'1',301,'N'),(20,5350832,'1',652,'N'),(20,5350832,'1A',601,'N'),(20,5350840,'1',238,'N'),(20,5350840,'1A',652,'N'),(20,5350859,'1',108,'N'),(20,5350883,'1',653,'N'),(20,5350883,'1A',652,'N'),(20,5350905,'1',207,'N'),(20,5350905,'1A',201,'N'),(20,5350921,'1',503,'N'),(20,5350930,'1',3,'N'),(20,5350948,'1',301,'N'),(20,5350956,'1',102,'N'),(20,5350964,'1',5,'N'),(20,5350972,'1',214,'N'),(20,5350972,'1A',220,'N'),(20,5350980,'1',101,'N'),(20,5351022,'1',423,'N'),(20,5351022,'1A',427,'N'),(20,5351030,'1',201,'N'),(20,5351030,'1A',203,'N'),(20,5351049,'1',316,'N'),(20,5351057,'1',339,'N'),(20,5351073,'1',103,'N'),(20,5351090,'1',104,'N'),(20,5351103,'1',319,'N'),(20,5351111,'1',208,'N'),(20,5351111,'1A',202,'N'),(20,5351120,'1',238,'N'),(20,5351120,'1A',235,'N'),(20,5351138,'1',450,'N'),(20,5351146,'1',301,'N'),(20,5351154,'1',501,'N'),(20,5351162,'1',653,'N'),(20,5351162,'1A',202,'N'),(20,5351170,'1',309,'N'),(20,5351189,'1',415,'N'),(20,5351200,'1',420,'N'),(20,5351227,'1',235,'N'),(20,5351227,'1A',202,'N'),(20,5351235,'1',208,'N'),(20,5351243,'1',208,'N'),(20,5351243,'1A',235,'N'),(20,5351260,'1',501,'N'),(20,5351278,'1',103,'N'),(20,5351286,'1',301,'N'),(20,5351316,'1',103,'N'),(20,5351324,'1',653,'N'),(20,5351332,'1',103,'N'),(20,5351340,'1',319,'N'),(20,5351359,'1',340,'N'),(20,5351367,'1',102,'N'),(20,5351383,'1',207,'N'),(20,5351383,'1A',201,'N'),(20,5351391,'1',303,'N'),(20,5351413,'1',5,'N'),(20,5351421,'1',104,'N'),(20,5351430,'1',301,'N'),(20,5351472,'1',103,'N'),(20,5351480,'1',216,'N'),(20,5351480,'1A',211,'N'),(20,5351499,'1',103,'N'),(20,5351502,'1',332,'N'),(20,5351529,'1',337,'N'),(20,5351537,'1',108,'N'),(20,5351561,'1',223,'N'),(20,5351570,'1',337,'N'),(20,5351588,'1',104,'N'),(20,5351600,'1',103,'N'),(20,5351618,'1',103,'N'),(20,5351634,'1',238,'N'),(20,5351634,'1A',207,'N'),(20,5351685,'1',319,'N'),(20,5351693,'1',303,'N'),(20,5351707,'1',340,'N'),(20,5351715,'1',201,'N'),(20,5351715,'1A',211,'N'),(20,5351740,'1',103,'N'),(20,5351766,'1',451,'N'),(20,5351774,'1',103,'N'),(20,5351782,'1',5,'N'),(20,5351790,'1',103,'N'),(20,5351812,'1',103,'N'),(20,5351820,'1',103,'N'),(20,5351839,'1',423,'N'),(20,5351839,'1A',427,'N'),(20,5351847,'1',104,'N'),(20,5351855,'1',103,'N'),(20,5351863,'1',203,'N'),(20,5351863,'1A',233,'N'),(20,5351898,'1',207,'N'),(20,5351898,'1A',651,'N'),(20,5351901,'1',216,'N'),(20,5351901,'1A',215,'N'),(20,5351928,'1',340,'N'),(20,5351936,'1',425,'N'),(20,5351936,'1A',429,'N'),(20,5351944,'1',451,'N'),(20,5351952,'1',202,'N'),(20,5351952,'1A',203,'N'),(20,5351987,'1',333,'N'),(20,5351995,'1',318,'N'),(20,5352002,'1',653,'N'),(20,5352002,'1A',208,'N'),(20,5352010,'1',5,'N'),(20,5352029,'1',103,'N'),(20,5352037,'1',212,'N'),(20,5352037,'1A',220,'N'),(20,5352053,'1',651,'N'),(20,5352061,'1',104,'N'),(20,5352070,'1',308,'N'),(20,5352088,'1',326,'N'),(20,5352096,'1',103,'N'),(20,5352100,'1',501,'N'),(20,5352118,'1',220,'N'),(20,5352118,'1A',203,'N'),(20,5352126,'1',207,'N'),(20,5352126,'1A',211,'N'),(20,5352134,'1',601,'N'),(20,5352134,'1A',211,'N'),(20,5352142,'1',452,'N'),(20,5352150,'1',101,'N'),(20,5352169,'1',301,'N'),(20,5352177,'1',104,'N'),(20,5352185,'1',103,'N'),(20,5352193,'1',404,'N'),(20,5352207,'1',9,'N'),(20,5352223,'1',318,'N'),(20,5352231,'1',316,'N'),(20,5352240,'1',215,'N'),(20,5352240,'1A',208,'N'),(20,5352258,'1',601,'N'),(20,5352258,'1A',211,'N'),(20,5352274,'1',501,'N'),(20,5352304,'1',5,'N'),(20,5352347,'1',318,'N'),(20,5352355,'1',551,'N'),(20,5352371,'1',202,'N'),(20,5352371,'1A',213,'N'),(20,5352380,'1',424,'N'),(20,5352380,'1A',427,'N'),(20,5352398,'1',103,'N'),(20,5352401,'1',601,'N'),(20,5352401,'1A',201,'N'),(20,5352410,'1',103,'N'),(20,5352428,'1',303,'N'),(20,5352436,'1',103,'N'),(20,5352444,'1',103,'N'),(20,5352452,'1',424,'N'),(20,5352460,'1',326,'N'),(20,5352487,'1',452,'N'),(20,5352495,'1',216,'N'),(20,5352495,'1A',238,'N'),(20,5352509,'1',301,'N'),(20,5352517,'1',101,'N'),(20,5352525,'1',5,'N'),(20,5352541,'1',601,'N'),(20,5352568,'1',316,'N'),(20,5352576,'1',103,'N'),(20,5352649,'1',201,'N'),(20,5352649,'1A',202,'N'),(20,5352657,'1',425,'N'),(20,5352657,'1A',429,'N'),(20,5352665,'1',5,'N'),(20,5352673,'1',212,'N'),(20,5352673,'1A',213,'N'),(20,5352681,'1',327,'N'),(20,5352711,'1',652,'N'),(20,5352711,'1A',653,'N'),(20,5352720,'1',652,'N'),(20,5352770,'1',316,'N'),(20,5352789,'1',450,'N'),(20,5352800,'1',601,'N'),(20,5352843,'1',601,'N'),(20,5352843,'1A',220,'N'),(20,5352886,'1',103,'N'),(20,5352894,'1',103,'N'),(20,5352916,'1',329,'N'),(20,5352924,'1',103,'N'),(20,5352932,'1',207,'N'),(20,5352932,'1A',201,'N'),(20,5352940,'1',104,'N'),(20,5352975,'1',651,'N'),(20,5352975,'1A',653,'N'),(20,5352983,'1',551,'N'),(20,5352991,'1',103,'N'),(20,5353025,'1',103,'N'),(20,5353033,'1',336,'N'),(20,5353076,'1',101,'N'),(20,5353092,'1',103,'N'),(20,5353114,'1',103,'N'),(20,5353122,'1',653,'N'),(20,5353130,'1',501,'N'),(20,5353149,'1',208,'N'),(20,5353149,'1A',238,'N'),(20,5353157,'1',207,'N'),(20,5353157,'1A',201,'N'),(20,5353165,'1',104,'N'),(20,5353173,'1',303,'N'),(20,5353181,'1',340,'N'),(20,5353190,'1',316,'N'),(20,5353211,'1',444,'N'),(20,5353238,'1',404,'N'),(20,5353246,'1',109,'N'),(20,5353254,'1',223,'N'),(20,5353270,'1',320,'N'),(20,5353289,'1',103,'N'),(20,5353297,'1',333,'N'),(20,5353319,'1',103,'N'),(20,5353335,'1',103,'N'),(20,5353343,'1',316,'N'),(20,5353351,'1',104,'N'),(20,5353360,'1',103,'N'),(20,5353378,'1',103,'N'),(20,5353386,'1',238,'N'),(20,5353386,'1A',208,'N'),(20,5353394,'1',201,'N'),(20,5353416,'1',318,'N'),(20,5353424,'1',340,'N'),(20,5353432,'1',216,'N'),(20,5353432,'1A',202,'N'),(20,5353440,'1',451,'N'),(20,5353467,'1',216,'N'),(20,5353467,'1A',215,'N'),(20,5353475,'1',208,'N'),(20,5353475,'1A',238,'N'),(20,5353483,'1',652,'N'),(20,5353483,'1A',653,'N'),(20,5353491,'1',103,'N'),(20,5353505,'1',304,'N'),(20,5353513,'1',310,'N'),(20,5353521,'1',653,'N'),(20,5353521,'1A',652,'N'),(20,5353530,'1',208,'N'),(20,5353530,'1A',203,'N'),(20,5353548,'1',303,'N'),(20,5353556,'1',101,'N'),(20,5353580,'1',3,'N'),(20,5353599,'1',444,'N'),(20,5353602,'1',103,'N'),(20,5353610,'1',340,'N'),(20,5353629,'1',326,'N'),(20,5353661,'1',426,'N'),(20,5353688,'1',103,'N'),(20,5353696,'1',104,'N'),(20,5353700,'1',652,'N'),(20,5353718,'1',103,'N'),(20,5353726,'1',651,'N'),(20,5353726,'1A',652,'N'),(20,5353742,'1',207,'N'),(20,5353742,'1A',201,'N'),(20,5353769,'1',652,'N'),(20,5353785,'1',5,'N'),(20,5353793,'1',308,'N'),(20,5353815,'1',653,'N'),(20,5353815,'1A',652,'N'),(20,5353823,'1',103,'N'),(20,5353831,'1',103,'N'),(20,5353840,'1',103,'N'),(20,5353866,'1',103,'N'),(20,5353874,'1',653,'N'),(20,5353874,'1A',652,'N'),(20,5353882,'1',9,'N'),(20,5353904,'1',339,'N'),(20,5353912,'1',208,'N'),(20,5353912,'1A',216,'N'),(20,5353920,'1',340,'N'),(20,5353939,'1',601,'N'),(20,5353939,'1A',207,'N'),(20,5353955,'1',211,'N'),(20,5353963,'1',207,'N'),(20,5353971,'1',103,'N'),(20,5353998,'1',327,'N'),(20,5354005,'1',238,'N'),(20,5354005,'1A',208,'N'),(20,5354013,'1',601,'N'),(20,5354013,'1A',201,'N'),(20,5354030,'1',415,'N'),(20,5354048,'1',301,'N'),(20,5354072,'1',318,'N'),(20,5354080,'1',501,'N'),(20,5354099,'1',103,'N'),(20,5354110,'1',103,'N'),(20,5354129,'1',103,'N'),(20,5354137,'1',103,'N'),(20,5354145,'1',202,'N'),(20,5354145,'1A',207,'N'),(20,5354153,'1',103,'N'),(20,5354170,'1',211,'N'),(20,5354170,'1A',216,'N'),(20,5354188,'1',453,'N'),(20,5354196,'1',203,'N'),(20,5354196,'1A',201,'N'),(20,5354218,'1',319,'N'),(20,5354226,'1',444,'N'),(20,5354234,'1',301,'N'),(20,5354242,'1',103,'N'),(20,5354250,'1',301,'N'),(20,5354269,'1',316,'N'),(20,5354277,'1',223,'N'),(20,5354293,'1',303,'N'),(20,5354315,'1',501,'N'),(20,5354323,'1',208,'N'),(20,5354331,'1',207,'N'),(20,5354331,'1A',201,'N'),(20,5354358,'1',201,'N'),(20,5354358,'1A',202,'N'),(20,5354366,'1',216,'N'),(20,5354366,'1A',601,'N'),(20,5354374,'1',303,'N'),(20,5354390,'1',103,'N'),(20,5354404,'1',101,'N'),(20,5354412,'1',103,'N'),(20,5354439,'1',303,'N'),(20,5354447,'1',301,'N'),(20,5354463,'1',103,'N'),(20,5354480,'1',103,'N'),(20,5354498,'1',308,'N'),(20,5354501,'1',103,'N'),(20,5354510,'1',103,'N'),(20,5354528,'1',310,'N'),(20,5354536,'1',308,'N'),(20,5354544,'1',238,'N'),(20,5354544,'1A',203,'N'),(20,5354552,'1',318,'N'),(20,5354560,'1',653,'N'),(20,5354560,'1A',652,'N'),(20,5354579,'1',216,'N'),(20,5354579,'1A',235,'N'),(20,5354587,'1',551,'N'),(20,5354595,'1',203,'N'),(20,5354595,'1A',201,'N'),(20,5354609,'1',203,'N'),(20,5354609,'1A',202,'N'),(20,5354617,'1',103,'N'),(20,5354625,'1',201,'N'),(20,5354625,'1A',203,'N'),(20,5354633,'1',207,'N'),(20,5354633,'1A',201,'N'),(20,5354650,'1',444,'N'),(20,5354668,'1',304,'N'),(20,5354684,'1',103,'N'),(20,5354692,'1',108,'N'),(20,5354706,'1',453,'N'),(20,5354714,'1',319,'N'),(20,5354722,'1',104,'N'),(20,5354730,'1',103,'N'),(20,5354749,'1',453,'N'),(20,5354757,'1',103,'N'),(20,5354765,'1',103,'N'),(20,5354781,'1',104,'N'),(20,5354790,'1',444,'N'),(20,5354803,'1',103,'N'),(20,5354838,'1',333,'N'),(20,5354846,'1',653,'N'),(20,5354846,'1A',203,'N'),(20,5354854,'1',340,'N'),(20,5354862,'1',303,'N'),(20,5354870,'1',318,'N'),(20,5354889,'1',653,'N'),(20,5354889,'1A',213,'N'),(20,5354897,'1',203,'N'),(20,5354897,'1A',201,'N'),(20,5354900,'1',301,'N'),(20,5354919,'1',424,'N'),(20,5354919,'1A',427,'N'),(20,5354927,'1',5,'N'),(20,5354935,'1',452,'N'),(20,5354943,'1',103,'N'),(20,5354951,'1',337,'N'),(20,5354960,'1',235,'N'),(20,5354978,'1',103,'N'),(20,5354986,'1',452,'N'),(20,5354994,'1',103,'N'),(20,5355028,'1',303,'N'),(20,5355044,'1',103,'N'),(20,5355052,'1',213,'N'),(20,5355052,'1A',601,'N'),(20,5355079,'1',651,'N'),(20,5355087,'1',103,'N'),(20,5355095,'1',428,'N'),(20,5355095,'1A',423,'N'),(20,5355109,'1',451,'N'),(20,5355117,'1',103,'N'),(20,5355125,'1',203,'N'),(20,5355125,'1A',601,'N'),(20,5355133,'1',103,'N'),(20,5355168,'1',103,'N'),(20,5355176,'1',103,'N'),(20,5355184,'1',103,'N'),(20,5355192,'1',450,'N'),(20,5355214,'1',420,'N'),(20,5355222,'1',103,'N'),(20,5355257,'1',109,'N'),(20,5355265,'1',653,'N'),(20,5355265,'1A',214,'N'),(20,5355273,'1',103,'N'),(20,5355281,'1',103,'N'),(20,5355290,'1',220,'N'),(20,5355290,'1A',202,'N'),(20,5355303,'1',212,'N'),(20,5355303,'1A',215,'N'),(20,5355311,'1',203,'N'),(20,5355346,'1',303,'N'),(20,5355354,'1',103,'N'),(20,5355362,'1',103,'N'),(20,5355370,'1',103,'N'),(20,5355389,'1',207,'N'),(20,5355389,'1A',211,'N'),(20,5355397,'1',103,'N'),(20,5355400,'1',103,'N'),(20,5355419,'1',428,'N'),(20,5355419,'1A',424,'N'),(20,5355451,'1',211,'N'),(20,5355451,'1A',202,'N'),(20,5355460,'1',202,'N'),(20,5355460,'1A',220,'N'),(20,5355478,'1',420,'N'),(20,5355494,'1',303,'N'),(20,5355508,'1',453,'N'),(20,5355516,'1',103,'N'),(20,5355540,'1',327,'N'),(20,5355567,'1',207,'N'),(20,5355567,'1A',201,'N'),(20,5355575,'1',415,'N'),(20,5355583,'1',103,'N'),(20,5355591,'1',238,'N'),(20,5355591,'1A',211,'N'),(20,5355605,'1',103,'N'),(20,5355613,'1',103,'N'),(20,5355621,'1',652,'N'),(20,5355621,'1A',653,'N'),(20,5355630,'1',340,'N'),(20,5355648,'1',238,'N'),(20,5355648,'1A',202,'N'),(20,5355664,'1',404,'N'),(20,5355672,'1',108,'N'),(20,5355680,'1',103,'N'),(20,5355699,'1',103,'N'),(20,5355710,'1',317,'N'),(20,5355729,'1',103,'N'),(20,5355737,'1',319,'N'),(20,5355745,'1',220,'N'),(20,5355745,'1A',203,'N'),(20,5355753,'1',103,'N'),(20,5355761,'1',9,'N'),(20,5355770,'1',223,'N'),(20,5355800,'1',420,'N'),(20,5355818,'1',208,'N'),(20,5355818,'1A',238,'N'),(20,5355826,'1',211,'N'),(20,5355826,'1A',212,'N'),(20,5355850,'1',238,'N'),(20,5355850,'1A',208,'N'),(20,5355877,'1',201,'N'),(20,5355877,'1A',212,'N'),(20,5355885,'1',103,'N'),(20,5355893,'1',103,'N'),(20,5355907,'1',420,'N'),(20,5355915,'1',653,'N'),(20,5355915,'1A',652,'N'),(20,5355923,'1',202,'N'),(20,5355923,'1A',235,'N'),(20,5355974,'1',207,'N'),(20,5355974,'1A',201,'N'),(20,5355990,'1',339,'N'),(20,5356008,'1',601,'N'),(20,5356008,'1A',220,'N'),(20,5356016,'1',103,'N'),(20,5356040,'1',452,'N'),(20,5356075,'1',201,'N'),(20,5356075,'1A',212,'N'),(20,5356083,'1',501,'N'),(20,5356091,'1',207,'N'),(20,5356105,'1',101,'N'),(20,5356113,'1',425,'N'),(20,5356113,'1A',423,'N'),(20,5356121,'1',329,'N'),(20,5356130,'1',102,'N'),(20,5356148,'1',103,'N'),(20,5356156,'1',339,'N'),(20,5356172,'1',340,'N'),(20,5356199,'1',318,'N'),(20,5356202,'1',324,'N'),(20,5356229,'1',340,'N'),(20,5356237,'1',110,'N'),(20,5356261,'1',103,'N'),(20,5356270,'1',225,'N'),(20,5356288,'1',207,'N'),(20,5356288,'1A',201,'N'),(20,5356296,'1',9,'N'),(20,5356300,'1',103,'N'),(20,5356318,'1',303,'N'),(20,5356326,'1',213,'N'),(20,5356326,'1A',203,'N'),(20,5356342,'1',319,'N'),(20,5356350,'1',103,'N'),(20,5356377,'1',103,'N'),(20,5356385,'1',104,'N'),(20,5356393,'1',103,'N'),(20,5356407,'1',201,'N'),(20,5356431,'1',207,'N'),(20,5356431,'1A',208,'N'),(20,5356440,'1',404,'N'),(20,5356458,'1',103,'N'),(20,5356466,'1',329,'N'),(20,5356482,'1',103,'N'),(20,5356504,'1',415,'N'),(20,5356520,'1',103,'N'),(20,5356539,'1',303,'N'),(20,5356555,'1',104,'N'),(20,5356563,'1',653,'N'),(20,5356563,'1A',235,'N'),(20,5356571,'1',238,'N'),(20,5356571,'1A',211,'N'),(20,5356580,'1',211,'N'),(20,5356580,'1A',201,'N'),(20,5356598,'1',224,'N'),(20,5356601,'1',103,'N'),(20,5356610,'1',444,'N'),(20,5356628,'1',303,'N'),(20,5356644,'1',102,'N'),(20,5356652,'1',103,'N'),(20,5356660,'1',319,'N'),(20,5356679,'1',214,'N'),(20,5356679,'1A',213,'N'),(20,5356687,'1',652,'N'),(20,5356687,'1A',653,'N'),(20,5356695,'1',103,'N'),(20,5356741,'1',103,'N'),(20,5356768,'1',103,'N'),(20,5356776,'1',103,'N'),(20,5356784,'1',453,'N'),(20,5356792,'1',336,'N'),(20,5356806,'1',5,'N'),(20,5356830,'1',319,'N'),(20,5356865,'1',103,'N'),(20,5356873,'1',415,'N'),(20,5356881,'1',316,'N'),(20,5356890,'1',319,'N'),(20,5356903,'1',420,'N'),(20,5356911,'1',201,'N'),(20,5356911,'1A',202,'N'),(20,5356920,'1',203,'N'),(20,5356920,'1A',214,'N'),(20,5356938,'1',103,'N'),(20,5356946,'1',201,'N'),(20,5356946,'1A',212,'N'),(20,5356954,'1',203,'N'),(20,5356954,'1A',201,'N'),(20,5356962,'1',224,'N'),(20,5356970,'1',316,'N'),(20,5356989,'1',208,'N'),(20,5356989,'1A',238,'N'),(20,5357004,'1',415,'N'),(20,5357012,'1',336,'N'),(20,5357020,'1',652,'N'),(20,5357020,'1A',653,'N'),(20,5357039,'1',444,'N'),(20,5357047,'1',420,'N'),(20,5357063,'1',551,'N'),(20,5357071,'1',108,'N'),(20,5357080,'1',653,'N'),(20,5357098,'1',303,'N'),(20,5357110,'1',238,'N'),(20,5357110,'1A',208,'N'),(20,5357128,'1',222,'N'),(20,5357136,'1',234,'N'),(20,5357144,'1',104,'N'),(20,5357179,'1',415,'N'),(20,5357187,'1',203,'N'),(20,5357187,'1A',212,'N'),(20,5357209,'1',316,'N'),(20,5357217,'1',103,'N'),(20,5357225,'1',652,'N'),(20,5357225,'1A',651,'N'),(20,5357233,'1',301,'N'),(20,5357241,'1',551,'N'),(20,5357276,'1',205,'N'),(20,5357284,'1',303,'N'),(20,5357292,'1',103,'N'),(20,5357306,'1',453,'N'),(20,5357314,'1',216,'N'),(20,5357322,'1',316,'N'),(20,5357330,'1',101,'N'),(20,5357357,'1',453,'N'),(20,5357365,'1',303,'N'),(20,5357381,'1',235,'N'),(20,5357381,'1A',202,'N'),(20,5357390,'1',201,'N'),(20,5357390,'1A',212,'N'),(20,5357411,'1',426,'N'),(20,5357411,'1A',429,'N'),(20,5357438,'1',203,'N'),(20,5357438,'1A',212,'N'),(20,5357454,'1',501,'N'),(20,5357462,'1',108,'N'),(20,5357470,'1',103,'N'),(20,5357500,'1',304,'N'),(20,5357519,'1',319,'N'),(20,5357527,'1',103,'N'),(20,5357586,'1',653,'N'),(20,5357586,'1A',652,'N'),(20,5357594,'1',203,'N'),(20,5357594,'1A',208,'N'),(20,5357608,'1',103,'N'),(20,5357616,'1',303,'N'),(20,5357624,'1',101,'N'),(20,5357640,'1',103,'N'),(20,5357659,'1',103,'N'),(20,5357667,'1',303,'N'),(20,5357675,'1',5,'N'),(20,5357683,'1',303,'N'),(20,5357691,'1',9,'N'),(20,5357705,'1',103,'N'),(20,5357713,'1',103,'N'),(20,5357721,'1',415,'N'),(20,5357748,'1',301,'N'),(20,5357756,'1',201,'N'),(20,5357756,'1A',238,'N'),(20,5357764,'1',652,'N'),(20,5357764,'1A',653,'N'),(20,5357772,'1',333,'N'),(20,5357799,'1',303,'N'),(20,5357802,'1',211,'N'),(20,5357802,'1A',208,'N'),(20,5357845,'1',213,'N'),(20,5357845,'1A',653,'N'),(20,5357853,'1',103,'N'),(20,5357861,'1',652,'N'),(20,5357861,'1A',238,'N'),(20,5357870,'1',319,'N'),(20,5357888,'1',303,'N'),(20,5357896,'1',316,'N'),(20,5357900,'1',205,'N'),(20,5357926,'1',214,'N'),(20,5357926,'1A',201,'N'),(20,5357934,'1',103,'N'),(20,5357942,'1',329,'N'),(20,5357950,'1',318,'N'),(20,5357969,'1',653,'N'),(20,5357969,'1A',211,'N'),(20,5357977,'1',203,'N'),(20,5357977,'1A',220,'N'),(20,5357993,'1',108,'N'),(20,5358000,'1',103,'N'),(20,5358019,'1',501,'N'),(20,5358035,'1',203,'N'),(20,5358035,'1A',202,'N'),(20,5358043,'1',201,'N'),(20,5358043,'1A',207,'N'),(20,5358051,'1',415,'N'),(20,5358060,'1',211,'N'),(20,5358060,'1A',233,'N'),(20,5358078,'1',404,'N'),(20,5358086,'1',211,'N'),(20,5358086,'1A',233,'N'),(20,5358116,'1',238,'N'),(20,5358116,'1A',203,'N'),(20,5358132,'1',450,'N'),(20,5358140,'1',104,'N'),(20,5358159,'1',108,'N'),(20,5358167,'1',201,'N'),(20,5358167,'1A',203,'N'),(20,5358175,'1',103,'N'),(20,5358191,'1',303,'N'),(20,5358213,'1',319,'N'),(20,5358221,'1',201,'N'),(20,5358221,'1A',211,'N'),(20,5358230,'1',5,'N'),(20,5358248,'1',453,'N'),(20,5358264,'1',212,'N'),(20,5358280,'1',103,'N'),(20,5358310,'1',319,'N'),(20,5358329,'1',652,'N'),(20,5358337,'1',101,'N'),(20,5358353,'1',302,'N'),(20,5358361,'1',652,'N'),(20,5358361,'1A',651,'N'),(20,5358370,'1',601,'N'),(20,5358388,'1',203,'N'),(20,5358388,'1A',202,'N'),(20,5358396,'1',308,'N'),(20,5358400,'1',331,'N'),(20,5358418,'1',104,'N'),(20,5358426,'1',208,'N'),(20,5358426,'1A',201,'N'),(20,5358434,'1',220,'N'),(20,5358434,'1A',233,'N'),(20,5358442,'1',203,'N'),(20,5358442,'1A',213,'N'),(20,5358450,'1',453,'N'),(20,5358469,'1',103,'N'),(20,5358477,'1',303,'N'),(20,5358485,'1',329,'N'),(20,5358507,'1',652,'N'),(20,5358507,'1A',651,'N'),(20,5358515,'1',103,'N'),(20,5358523,'1',450,'N'),(20,5358531,'1',427,'N'),(20,5358531,'1A',426,'N'),(20,5358540,'1',103,'N'),(20,5358558,'1',308,'N'),(20,5358566,'1',103,'N'),(20,5358574,'1',452,'N'),(20,5358590,'1',304,'N'),(20,5358604,'1',103,'N'),(20,5358612,'1',333,'N'),(20,5358620,'1',103,'N'),(20,5358639,'1',303,'N'),(20,5358647,'1',103,'N'),(20,5358655,'1',320,'N'),(20,5358663,'1',309,'N'),(20,5358680,'1',316,'N'),(20,5358698,'1',207,'N'),(20,5358698,'1A',201,'N'),(20,5358710,'1',108,'N'),(20,5358736,'1',340,'N'),(20,5358744,'1',103,'N'),(20,5358752,'1',202,'N'),(20,5358752,'1A',213,'N'),(20,5358779,'1',9,'N'),(20,5358787,'1',304,'N'),(20,5358795,'1',653,'N'),(20,5358795,'1A',652,'N'),(20,5358809,'1',317,'N'),(20,5358817,'1',502,'N'),(20,5358825,'1',101,'N'),(20,5358833,'1',102,'N'),(20,5358841,'1',653,'N'),(20,5358841,'1A',203,'N'),(20,5358850,'1',201,'N'),(20,5358850,'1A',212,'N'),(20,5358868,'1',102,'N'),(20,5358876,'1',201,'N'),(20,5358876,'1A',601,'N'),(20,5358884,'1',317,'N'),(20,5358906,'1',502,'N'),(20,5358930,'1',207,'N'),(20,5358930,'1A',211,'N'),(20,5358957,'1',103,'N'),(20,5358965,'1',215,'N'),(20,5358965,'1A',233,'N'),(20,5358973,'1',316,'N'),(20,5358981,'1',551,'N'),(20,5358990,'1',104,'N'),(20,5359007,'1',203,'N'),(20,5359007,'1A',601,'N'),(20,5359023,'1',103,'N'),(20,5359031,'1',317,'N'),(20,5359058,'1',302,'N'),(20,5359066,'1',5,'N'),(20,5359074,'1',207,'N'),(20,5359082,'1',103,'N'),(20,5359090,'1',103,'N'),(20,5359104,'1',450,'N'),(20,5359112,'1',340,'N'),(20,5359120,'1',551,'N'),(20,5359139,'1',316,'N'),(20,5359147,'1',214,'N'),(20,5359147,'1A',203,'N'),(20,5359155,'1',337,'N'),(20,5359163,'1',102,'N'),(20,5359171,'1',103,'N'),(20,5359198,'1',503,'N'),(20,5359201,'1',303,'N'),(20,5359210,'1',201,'N'),(20,5359210,'1A',212,'N'),(20,5359228,'1',207,'N'),(20,5359252,'1',207,'N'),(20,5359252,'1A',208,'N'),(20,5359260,'1',238,'N'),(20,5359260,'1A',208,'N'),(20,5359279,'1',331,'N'),(20,5359295,'1',103,'N'),(20,5359309,'1',5,'N'),(20,5359317,'1',316,'N'),(20,5359325,'1',104,'N'),(20,5359333,'1',201,'N'),(20,5359333,'1A',212,'N'),(20,5359341,'1',424,'N'),(20,5359341,'1A',427,'N'),(20,5359350,'1',420,'N'),(20,5359376,'1',420,'N'),(20,5359384,'1',108,'N'),(20,5359392,'1',103,'N'),(20,5359422,'1',203,'N'),(20,5359430,'1',104,'N'),(20,5359449,'1',324,'N'),(20,5359465,'1',238,'N'),(20,5359465,'1A',208,'N'),(20,5359473,'1',327,'N'),(20,5359490,'1',207,'N'),(20,5359490,'1A',201,'N'),(20,5359503,'1',308,'N'),(20,5359511,'1',103,'N'),(20,5359520,'1',224,'N'),(20,5359554,'1',103,'N'),(20,5359562,'1',108,'N'),(20,5359570,'1',103,'N'),(20,5359589,'1',102,'N'),(20,5359597,'1',203,'N'),(20,5359597,'1A',208,'N'),(20,5359600,'1',103,'N'),(20,5359635,'1',653,'N'),(20,5359635,'1A',652,'N'),(20,5359643,'1',108,'N'),(20,5359651,'1',302,'N'),(20,5359660,'1',102,'N'),(20,5359686,'1',103,'N'),(20,5359694,'1',318,'N'),(20,5359708,'1',308,'N'),(20,5359716,'1',104,'N'),(20,5359732,'1',326,'N'),(20,5359740,'1',103,'N'),(20,5359775,'1',214,'N'),(20,5359775,'1A',213,'N'),(20,5359783,'1',108,'N'),(20,5359791,'1',104,'N'),(20,5359805,'1',202,'N'),(20,5359805,'1A',212,'N'),(20,5359821,'1',9,'N'),(20,5359830,'1',404,'N'),(20,5359848,'1',9,'N'),(20,5359856,'1',429,'N'),(20,5359856,'1A',423,'N'),(20,5359872,'1',207,'N'),(20,5359899,'1',601,'N'),(20,5359899,'1A',203,'N'),(20,5359902,'1',301,'N'),(20,5359937,'1',340,'N'),(20,5359945,'1',103,'N'),(20,5359953,'1',201,'N'),(20,5359953,'1A',212,'N'),(20,5359961,'1',308,'N'),(20,5359970,'1',207,'N'),(20,5359970,'1A',201,'N'),(20,5359988,'1',103,'N'),(20,5360005,'1',9,'N'),(20,5360013,'1',653,'N'),(20,5360013,'1A',201,'N'),(20,5360021,'1',104,'N'),(20,5360048,'1',308,'N'),(20,5360064,'1',5,'N'),(20,5360072,'1',214,'N'),(20,5360072,'1A',601,'N'),(20,5360080,'1',303,'N'),(20,5360102,'1',652,'N'),(20,5360102,'1A',653,'N'),(20,5360110,'1',104,'N'),(20,5360129,'1',317,'N'),(20,5360137,'1',201,'N'),(20,5360137,'1A',202,'N'),(20,5360153,'1',652,'N'),(20,5360153,'1A',653,'N'),(20,5360196,'1',238,'N'),(20,5360196,'1A',208,'N'),(20,5360200,'1',238,'N'),(20,5360200,'1A',208,'N'),(20,5360218,'1',103,'N'),(20,5360226,'1',103,'N'),(20,5360242,'1',103,'N'),(20,5360250,'1',304,'N'),(20,5360269,'1',207,'N'),(20,5360269,'1A',201,'N'),(20,5360277,'1',428,'N'),(20,5360277,'1A',426,'N'),(20,5360285,'1',420,'N'),(20,5360307,'1',103,'N'),(20,5360315,'1',451,'N'),(20,5360331,'1',207,'N'),(20,5360331,'1A',201,'N'),(20,5360340,'1',319,'N'),(20,5360366,'1',108,'N'),(20,5360374,'1',103,'N'),(20,5360382,'1',653,'N'),(20,5360382,'1A',203,'N'),(20,5360390,'1',202,'N'),(20,5360390,'1A',220,'N'),(20,5360404,'1',340,'N'),(20,5360412,'1',653,'N'),(20,5360420,'1',333,'N'),(20,5360439,'1',303,'N'),(20,5360447,'1',415,'N'),(20,5360463,'1',103,'N'),(20,5360471,'1',653,'N'),(20,5360471,'1A',203,'N'),(20,5360498,'1',109,'N'),(20,5360501,'1',220,'N'),(20,5360501,'1A',202,'N'),(20,5360528,'1',103,'N'),(20,5360536,'1',103,'N'),(20,5360544,'1',202,'N'),(20,5360544,'1A',220,'N'),(20,5360560,'1',303,'N'),(20,5360579,'1',653,'N'),(20,5360579,'1A',652,'N'),(20,5360587,'1',103,'N'),(20,5360595,'1',103,'N'),(20,5360609,'1',420,'N'),(20,5360617,'1',304,'N'),(20,5360625,'1',102,'N'),(20,5360641,'1',207,'N'),(20,5360641,'1A',201,'N'),(20,5360650,'1',103,'N'),(20,5360668,'1',316,'N'),(20,5360692,'1',104,'N'),(20,5360706,'1',103,'N'),(20,5360714,'1',331,'N'),(20,5360722,'1',201,'N'),(20,5360722,'1A',212,'N'),(20,5360749,'1',415,'N'),(20,5360757,'1',201,'N'),(20,5360757,'1A',216,'N'),(20,5360765,'1',415,'N'),(20,5360773,'1',651,'N'),(20,5360773,'1A',652,'N'),(20,5360790,'1',203,'N'),(20,5360811,'1',208,'N'),(20,5360811,'1A',238,'N'),(20,5360820,'1',5,'N'),(20,5360838,'1',103,'N'),(20,5360846,'1',103,'N'),(20,5360854,'1',201,'N'),(20,5360854,'1A',212,'N'),(20,5360862,'1',102,'N'),(20,5360870,'1',201,'N'),(20,5360900,'1',551,'N'),(20,5360927,'1',103,'N'),(20,5360935,'1',5,'N'),(20,5360943,'1',103,'N'),(20,5360951,'1',207,'N'),(20,5360951,'1A',201,'N'),(20,5360978,'1',201,'N'),(20,5360978,'1A',212,'N'),(20,5360994,'1',207,'N'),(20,5360994,'1A',211,'N'),(20,5361001,'1',103,'N'),(20,5361010,'1',5,'N'),(20,5361036,'1',308,'N'),(20,5361044,'1',103,'N'),(20,5361079,'1',452,'N'),(20,5361087,'1',201,'N'),(20,5361095,'1',103,'N'),(20,5361117,'1',420,'N'),(20,5361125,'1',220,'N'),(20,5361125,'1A',203,'N'),(20,5361133,'1',103,'N'),(20,5361150,'1',216,'N'),(20,5361150,'1A',215,'N'),(20,5361168,'1',103,'N'),(20,5361176,'1',3,'N'),(20,5361184,'1',103,'N'),(20,5361206,'1',104,'N'),(20,5361222,'1',501,'N'),(20,5361230,'1',208,'N'),(20,5361230,'1A',238,'N'),(20,5361249,'1',336,'N'),(20,5361257,'1',103,'N'),(20,5361265,'1',104,'N'),(20,5361273,'1',103,'N'),(20,5361281,'1',103,'N'),(20,5361290,'1',340,'N'),(20,5361303,'1',303,'N'),(20,5361320,'1',9,'N'),(20,5361338,'1',337,'N'),(20,5361346,'1',220,'N'),(20,5361346,'1A',208,'N'),(20,5361354,'1',318,'N'),(20,5361362,'1',238,'N'),(20,5361370,'1',404,'N'),(20,5361389,'1',301,'N'),(20,5361397,'1',425,'N'),(20,5361397,'1A',429,'N'),(20,5361419,'1',103,'N'),(20,5361427,'1',415,'N'),(20,5361435,'1',201,'N'),(20,5361435,'1A',212,'N'),(20,5361443,'1',5,'N'),(20,5361451,'1',103,'N'),(20,5361460,'1',425,'N'),(20,5361460,'1A',426,'N'),(20,5361478,'1',103,'N'),(20,5361494,'1',220,'N'),(20,5361494,'1A',214,'N'),(20,5361516,'1',103,'N'),(20,5361532,'1',101,'N'),(20,5361540,'1',425,'N'),(20,5361540,'1A',429,'N'),(20,5361559,'1',451,'N'),(20,5361567,'1',207,'N'),(20,5361567,'1A',201,'N'),(20,5361575,'1',653,'N'),(20,5361591,'1',103,'N'),(20,5361605,'1',104,'N'),(20,5361613,'1',444,'N'),(20,5361621,'1',208,'N'),(20,5361621,'1A',203,'N'),(20,5361630,'1',451,'N'),(20,5361648,'1',420,'N'),(20,5361680,'1',101,'N'),(20,5361699,'1',220,'N'),(20,5361699,'1A',238,'N'),(20,5361702,'1',444,'N'),(20,5361710,'1',238,'N'),(20,5361710,'1A',208,'N'),(20,5361729,'1',301,'N'),(20,5361737,'1',320,'N'),(20,5361753,'1',103,'N'),(20,5361761,'1',103,'N'),(20,5361770,'1',429,'N'),(20,5361770,'1A',421,'N'),(20,5361788,'1',452,'N'),(20,5361796,'1',415,'N'),(20,5361818,'1',103,'N'),(20,5361826,'1',103,'N'),(20,5361834,'1',203,'N'),(20,5361834,'1A',201,'N'),(20,5361842,'1',202,'N'),(20,5361842,'1A',235,'N'),(20,5361850,'1',103,'N'),(20,5361869,'1',110,'N'),(20,5361877,'1',5,'N'),(20,5361885,'1',103,'N'),(20,5361893,'1',103,'N'),(20,5361907,'1',103,'N'),(20,5361915,'1',201,'N'),(20,5361915,'1A',203,'N'),(20,5361931,'1',104,'N'),(20,5361966,'1',102,'N'),(20,5361974,'1',340,'N'),(20,5362016,'1',303,'N'),(20,5362024,'1',340,'N'),(20,5362040,'1',103,'N'),(20,5362067,'1',103,'N'),(20,5362075,'1',103,'N'),(20,5362083,'1',203,'N'),(20,5362083,'1A',235,'N'),(20,5362091,'1',103,'N'),(20,5362121,'1',103,'N'),(20,5362148,'1',2,'N'),(20,5362156,'1',310,'N'),(20,5362180,'1',101,'N'),(20,5362199,'1',103,'N'),(20,5362229,'1',201,'N'),(20,5362229,'1A',212,'N'),(20,5362237,'1',103,'N'),(20,5362245,'1',104,'N'),(20,5362261,'1',215,'N'),(20,5362261,'1A',233,'N'),(20,5362270,'1',216,'N'),(20,5362270,'1A',233,'N'),(20,5362288,'1',308,'N'),(20,5362296,'1',102,'N'),(20,5362300,'1',450,'N'),(20,5362318,'1',207,'N'),(20,5362318,'1A',208,'N'),(20,5362326,'1',9,'N'),(20,5362334,'1',103,'N'),(20,5362350,'1',429,'N'),(20,5362350,'1A',423,'N'),(20,5362369,'1',9,'N'),(20,5362377,'1',103,'N'),(20,5362385,'1',103,'N'),(20,5362393,'1',103,'N'),(20,5362407,'1',102,'N'),(20,5362423,'1',103,'N'),(20,5362431,'1',653,'N'),(20,5362431,'1A',202,'N'),(20,5362440,'1',423,'N'),(20,5362440,'1A',424,'N'),(20,5362458,'1',429,'N'),(20,5362458,'1A',421,'N'),(20,5362466,'1',303,'N'),(20,5362474,'1',9,'N'),(20,5362482,'1',104,'N'),(20,5362504,'1',203,'N'),(20,5362504,'1A',201,'N'),(20,5362539,'1',444,'N'),(20,5362555,'1',415,'N'),(20,5362571,'1',208,'N'),(20,5362571,'1A',201,'N'),(20,5362580,'1',444,'N'),(20,5362598,'1',201,'N'),(20,5362598,'1A',233,'N'),(20,5362601,'1',425,'N'),(20,5362601,'1A',429,'N'),(20,5362610,'1',336,'N'),(20,5362628,'1',444,'N'),(20,5362644,'1',102,'N'),(20,5362652,'1',212,'N'),(20,5362652,'1A',211,'N'),(20,5362660,'1',207,'N'),(20,5362660,'1A',201,'N'),(20,5362679,'1',303,'N'),(20,5362695,'1',337,'N'),(20,5362709,'1',317,'N'),(20,5362717,'1',238,'N'),(20,5362717,'1A',208,'N'),(20,5362725,'1',225,'N'),(20,5362733,'1',224,'N'),(20,5362750,'1',102,'N'),(20,5362768,'1',103,'N'),(20,5362776,'1',340,'N'),(20,5362784,'1',329,'N'),(20,5362792,'1',2,'N'),(20,5362814,'1',316,'N'),(20,5362822,'1',103,'N'),(20,5362830,'1',238,'N'),(20,5362830,'1A',208,'N'),(20,5362857,'1',203,'N'),(20,5362857,'1A',220,'N'),(20,5362865,'1',340,'N'),(20,5362873,'1',103,'N'),(20,5362890,'1',103,'N'),(20,5362903,'1',503,'N'),(20,5362911,'1',103,'N'),(20,5362920,'1',316,'N'),(20,5362946,'1',233,'N'),(20,5362954,'1',207,'N'),(20,5362970,'1',103,'N'),(20,5362989,'1',340,'N'),(20,5362997,'1',319,'N'),(20,5363012,'1',201,'N'),(20,5363012,'1A',207,'N'),(20,5363020,'1',103,'N'),(20,5363039,'1',203,'N'),(20,5363039,'1A',220,'N'),(20,5363055,'1',201,'N'),(20,5363055,'1A',216,'N'),(20,5363071,'1',203,'N'),(20,5363071,'1A',202,'N'),(20,5363080,'1',333,'N'),(20,5363098,'1',201,'N'),(20,5363098,'1A',207,'N'),(20,5363101,'1',601,'N'),(20,5363110,'1',104,'N'),(20,5363128,'1',238,'N'),(20,5363128,'1A',235,'N'),(20,5363136,'1',450,'N'),(20,5363144,'1',319,'N'),(20,5363187,'1',103,'N'),(20,5363195,'1',203,'N'),(20,5363195,'1A',207,'N'),(20,5363209,'1',428,'N'),(20,5363209,'1A',426,'N'),(20,5363217,'1',203,'N'),(20,5363217,'1A',653,'N'),(20,5363225,'1',652,'N'),(20,5363225,'1A',651,'N'),(20,5363250,'1',103,'N'),(20,5363268,'1',233,'N'),(20,5363268,'1A',213,'N'),(20,5363276,'1',317,'N'),(20,5363284,'1',103,'N'),(20,5363292,'1',5,'N'),(20,5363306,'1',202,'N'),(20,5363306,'1A',213,'N'),(20,5363314,'1',423,'N'),(20,5363314,'1A',426,'N'),(20,5363322,'1',214,'N'),(20,5363322,'1A',212,'N'),(20,5363349,'1',207,'N'),(20,5363349,'1A',201,'N'),(20,5363357,'1',425,'N'),(20,5363365,'1',203,'N'),(20,5363373,'1',238,'N'),(20,5363373,'1A',208,'N'),(20,5363381,'1',203,'N'),(20,5363381,'1A',201,'N'),(20,5363390,'1',104,'N'),(20,5363403,'1',103,'N'),(20,5363411,'1',336,'N'),(20,5363420,'1',335,'N'),(20,5363438,'1',203,'N'),(20,5363438,'1A',216,'N'),(20,5363446,'1',429,'N'),(20,5363446,'1A',425,'N'),(20,5363462,'1',216,'N'),(20,5363462,'1A',233,'N'),(20,5363470,'1',208,'N'),(20,5363470,'1A',207,'N'),(20,5363489,'1',108,'N'),(20,5363497,'1',103,'N'),(20,5363500,'1',316,'N'),(20,5363519,'1',326,'N'),(20,5363527,'1',404,'N'),(20,5363543,'1',103,'N'),(20,5363551,'1',208,'N'),(20,5363560,'1',303,'N'),(20,5363586,'1',103,'N'),(20,5363608,'1',103,'N'),(20,5363616,'1',201,'N'),(20,5363616,'1A',207,'N'),(20,5363624,'1',303,'N'),(20,5363632,'1',103,'N'),(20,5363640,'1',339,'N'),(20,5363659,'1',316,'N'),(20,5363667,'1',238,'N'),(20,5363667,'1A',208,'N'),(20,5363675,'1',104,'N'),(20,5363683,'1',203,'N'),(20,5363683,'1A',601,'N'),(20,5363705,'1',214,'N'),(20,5363705,'1A',213,'N'),(20,5363713,'1',5,'N'),(20,5363721,'1',429,'N'),(20,5363721,'1A',425,'N'),(20,5363756,'1',103,'N'),(20,5363780,'1',101,'N'),(20,5363799,'1',103,'N'),(20,5363802,'1',318,'N'),(20,5363810,'1',207,'N'),(20,5363810,'1A',201,'N'),(20,5363829,'1',340,'N'),(20,5363837,'1',216,'N'),(20,5363861,'1',653,'N'),(20,5363861,'1A',652,'N'),(20,5363870,'1',103,'N'),(20,5363888,'1',103,'N'),(20,5363896,'1',303,'N'),(20,5363918,'1',110,'N'),(20,5363926,'1',5,'N'),(20,5363934,'1',303,'N'),(20,5363942,'1',201,'N'),(20,5363942,'1A',212,'N'),(20,5363950,'1',103,'N'),(20,5363969,'1',103,'N'),(20,5363977,'1',652,'N'),(20,5363985,'1',302,'N'),(20,5364035,'1',216,'N'),(20,5364035,'1A',233,'N'),(20,5364043,'1',238,'N'),(20,5364043,'1A',216,'N'),(20,5364051,'1',316,'N'),(20,5364060,'1',208,'N'),(20,5364060,'1A',238,'N'),(20,5364078,'1',653,'N'),(20,5364094,'1',427,'N'),(20,5364094,'1A',429,'N'),(20,5364108,'1',225,'N'),(20,5364124,'1',102,'N'),(20,5364132,'1',220,'N'),(20,5364132,'1A',203,'N'),(20,5364140,'1',201,'N'),(20,5364140,'1A',207,'N'),(20,5364159,'1',404,'N'),(20,5364167,'1',103,'N'),(20,5364175,'1',425,'N'),(20,5364175,'1A',428,'N'),(20,5364183,'1',103,'N'),(20,5364191,'1',104,'N'),(20,5364205,'1',301,'N'),(20,5364213,'1',214,'N'),(20,5364213,'1A',212,'N'),(20,5364221,'1',450,'N'),(20,5364230,'1',203,'N'),(20,5364230,'1A',214,'N'),(20,5364248,'1',201,'N'),(20,5364248,'1A',207,'N'),(20,5364256,'1',103,'N'),(20,5364272,'1',450,'N'),(20,5364280,'1',301,'N'),(20,5364302,'1',207,'N'),(20,5364302,'1A',201,'N'),(20,5364310,'1',108,'N'),(20,5364329,'1',303,'N'),(20,5364337,'1',301,'N'),(20,5364345,'1',551,'N'),(20,5364353,'1',103,'N'),(20,5364361,'1',318,'N'),(20,5364370,'1',551,'N'),(20,5364388,'1',326,'N'),(20,5364396,'1',333,'N'),(20,5364418,'1',212,'N'),(20,5364418,'1A',213,'N'),(20,5364442,'1',103,'N'),(20,5364469,'1',319,'N'),(20,5364477,'1',103,'N'),(20,5364485,'1',340,'N'),(20,5364493,'1',103,'N'),(20,5364507,'1',202,'N'),(20,5364507,'1A',235,'N'),(20,5364515,'1',303,'N'),(20,5364523,'1',501,'N'),(20,5364531,'1',211,'N'),(20,5364531,'1A',233,'N'),(20,5364540,'1',452,'N'),(20,5364558,'1',420,'N'),(20,5364574,'1',103,'N'),(20,5364582,'1',340,'N'),(20,5364590,'1',103,'N'),(20,5364604,'1',103,'N'),(20,5364612,'1',103,'N'),(20,5364620,'1',101,'N'),(20,5364639,'1',103,'N'),(20,5364647,'1',319,'N'),(20,5364671,'1',201,'N'),(20,5364671,'1A',216,'N'),(20,5364680,'1',319,'N'),(20,5364701,'1',208,'N'),(20,5364710,'1',303,'N'),(20,5364736,'1',450,'N'),(20,5364744,'1',450,'N'),(20,5364752,'1',103,'N'),(20,5364760,'1',319,'N'),(20,5364779,'1',103,'N'),(20,5364795,'1',420,'N'),(20,5364809,'1',203,'N'),(20,5364809,'1A',214,'N'),(20,5364817,'1',216,'N'),(20,5364825,'1',222,'N'),(20,5364841,'1',319,'N'),(20,5364850,'1',420,'N'),(20,5364868,'1',103,'N'),(20,5364876,'1',319,'N'),(20,5364892,'1',453,'N'),(20,5364906,'1',303,'N'),(20,5364914,'1',225,'N'),(20,5364922,'1',444,'N'),(20,5364930,'1',103,'N'),(20,5364949,'1',9,'N'),(20,5364957,'1',110,'N'),(20,5364981,'1',103,'N'),(20,5364990,'1',103,'N'),(20,5365007,'1',103,'N'),(20,5365015,'1',316,'N'),(20,5365023,'1',451,'N'),(20,5365031,'1',207,'N'),(20,5365031,'1A',201,'N'),(20,5365040,'1',103,'N'),(20,5365066,'1',108,'N'),(20,5365074,'1',201,'N'),(20,5365074,'1A',215,'N'),(20,5365082,'1',102,'N'),(20,5365104,'1',453,'N'),(20,5365120,'1',213,'N'),(20,5365120,'1A',214,'N'),(20,5365139,'1',415,'N'),(20,5365147,'1',9,'N'),(20,5365155,'1',102,'N'),(20,5365171,'1',202,'N'),(20,5365171,'1A',235,'N'),(20,5365180,'1',214,'N'),(20,5365180,'1A',203,'N'),(20,5365198,'1',420,'N'),(20,5365201,'1',404,'N'),(20,5365210,'1',103,'N'),(20,5365228,'1',215,'N'),(20,5365228,'1A',233,'N'),(20,5365236,'1',102,'N'),(20,5365244,'1',103,'N'),(20,5365260,'1',319,'N'),(20,5365295,'1',103,'N'),(20,5365309,'1',426,'N'),(20,5365309,'1A',428,'N'),(20,5365317,'1',653,'N'),(20,5365317,'1A',651,'N'),(20,5365325,'1',103,'N'),(20,5365341,'1',101,'N'),(20,5365350,'1',234,'N'),(20,5365368,'1',326,'N'),(20,5365376,'1',212,'N'),(20,5365376,'1A',213,'N'),(20,5365384,'1',216,'N'),(20,5365384,'1A',215,'N'),(20,5365392,'1',415,'N'),(20,5365406,'1',103,'N'),(20,5365422,'1',308,'N'),(20,5365430,'1',340,'N'),(20,5365465,'1',303,'N'),(20,5365481,'1',201,'N'),(20,5365481,'1A',216,'N'),(20,5365490,'1',207,'N'),(20,5365490,'1A',201,'N'),(20,5365503,'1',103,'N'),(20,5365511,'1',207,'N'),(20,5365511,'1A',220,'N'),(20,5365520,'1',108,'N'),(20,5365538,'1',203,'N'),(20,5365538,'1A',202,'N'),(20,5365546,'1',653,'N'),(20,5365546,'1A',214,'N'),(20,5365554,'1',450,'N'),(20,5365562,'1',303,'N'),(20,5365570,'1',421,'N'),(20,5365570,'1A',427,'N'),(20,5365589,'1',5,'N'),(20,5365597,'1',452,'N'),(20,5365600,'1',102,'N'),(20,5365619,'1',103,'N'),(20,5365635,'1',235,'N'),(20,5365635,'1A',202,'N'),(20,5365643,'1',5,'N'),(20,5365651,'1',203,'N'),(20,5365651,'1A',216,'N'),(20,5365660,'1',104,'N'),(20,5365678,'1',326,'N'),(20,5365686,'1',415,'N'),(20,5365694,'1',450,'N'),(20,5365708,'1',202,'N'),(20,5365708,'1A',201,'N'),(20,5365724,'1',102,'N'),(20,5365732,'1',201,'N'),(20,5365732,'1A',212,'N'),(20,5365740,'1',302,'N'),(20,5365759,'1',304,'N'),(20,5365767,'1',653,'N'),(20,5365775,'1',103,'N'),(20,5365783,'1',103,'N'),(20,5365791,'1',319,'N'),(20,5365813,'1',104,'N'),(20,5365821,'1',103,'N'),(20,5365848,'1',320,'N'),(20,5365856,'1',426,'N'),(20,5365856,'1A',429,'N'),(20,5365864,'1',303,'N'),(20,5365880,'1',327,'N'),(20,5365899,'1',205,'N'),(20,5365902,'1',653,'N'),(20,5365910,'1',317,'N'),(20,5365929,'1',319,'N'),(20,5365937,'1',103,'N'),(20,5365945,'1',103,'N'),(20,5365953,'1',202,'N'),(20,5365953,'1A',213,'N'),(20,5365961,'1',601,'N'),(20,5365961,'1A',208,'N'),(20,5365970,'1',327,'N'),(20,5365988,'1',5,'N'),(20,5365996,'1',319,'N'),(20,5366003,'1',103,'N'),(20,5366011,'1',336,'N'),(20,5366020,'1',214,'N'),(20,5366020,'1A',233,'N'),(20,5366038,'1',340,'N'),(20,5366046,'1',108,'N'),(20,5366054,'1',5,'N'),(20,5366062,'1',339,'N'),(20,5366089,'1',103,'N'),(20,5366097,'1',211,'N'),(20,5366097,'1A',212,'N'),(20,5366100,'1',103,'N'),(20,5366127,'1',238,'N'),(20,5366127,'1A',208,'N'),(20,5366135,'1',653,'N'),(20,5366160,'1',108,'N'),(20,5366178,'1',216,'N'),(20,5366186,'1',220,'N'),(20,5366186,'1A',233,'N'),(20,5366194,'1',502,'N'),(20,5366208,'1',103,'N'),(20,5366216,'1',103,'N'),(20,5366224,'1',301,'N'),(20,5366232,'1',324,'N'),(20,5366259,'1',203,'N'),(20,5366259,'1A',220,'N'),(20,5366267,'1',103,'N'),(20,5366275,'1',102,'N'),(20,5366291,'1',426,'N'),(20,5366291,'1A',428,'N'),(20,5366305,'1',103,'N'),(20,5366313,'1',340,'N'),(20,5366321,'1',316,'N'),(20,5366330,'1',211,'N'),(20,5366330,'1A',207,'N'),(20,5366348,'1',103,'N'),(20,5366356,'1',301,'N'),(20,5366364,'1',103,'N'),(20,5366372,'1',316,'N'),(20,5366380,'1',103,'N'),(20,5366399,'1',211,'N'),(20,5366399,'1A',202,'N'),(20,5366402,'1',203,'N'),(20,5366402,'1A',201,'N'),(20,5366429,'1',9,'N'),(20,5366437,'1',103,'N'),(20,5366445,'1',103,'N'),(20,5366453,'1',220,'N'),(20,5366453,'1A',202,'N'),(20,5366461,'1',319,'N'),(20,5366470,'1',320,'N'),(20,5366488,'1',652,'N'),(20,5366496,'1',453,'N'),(20,5366500,'1',102,'N'),(20,5366518,'1',207,'N'),(20,5366518,'1A',201,'N'),(20,5366534,'1',302,'N'),(20,5366550,'1',102,'N'),(20,5366569,'1',420,'N'),(20,5366577,'1',318,'N'),(20,5366585,'1',429,'N'),(20,5366585,'1A',425,'N'),(20,5366593,'1',208,'N'),(20,5366593,'1A',235,'N'),(20,5366615,'1',103,'N'),(20,5366623,'1',103,'N'),(20,5366640,'1',301,'N'),(20,5366658,'1',211,'N'),(20,5366666,'1',103,'N'),(20,5366682,'1',316,'N'),(20,5366690,'1',103,'N'),(20,5366704,'1',444,'N'),(20,5366712,'1',415,'N'),(20,5366720,'1',103,'N'),(20,5366747,'1',103,'N'),(20,5366763,'1',303,'N'),(20,5366771,'1',102,'N'),(20,5366780,'1',207,'N'),(20,5366780,'1A',216,'N'),(20,5366798,'1',103,'N'),(20,5366801,'1',103,'N'),(20,5366810,'1',109,'N'),(20,5366828,'1',103,'N'),(20,5366852,'1',104,'N'),(20,5366879,'1',551,'N'),(20,5366895,'1',220,'N'),(20,5366895,'1A',233,'N'),(20,5366933,'1',211,'N'),(20,5366933,'1A',201,'N'),(20,5366941,'1',103,'N'),(20,5366950,'1',207,'N'),(20,5366950,'1A',211,'N'),(20,5366968,'1',104,'N'),(20,5366976,'1',450,'N'),(20,5366984,'1',653,'N'),(20,5366984,'1A',652,'N'),(20,5366992,'1',302,'N'),(20,5367000,'1',103,'N'),(20,5367018,'1',103,'N'),(20,5367026,'1',103,'N'),(20,5367034,'1',203,'N'),(20,5367034,'1A',233,'N'),(20,5367042,'1',103,'N'),(20,5367069,'1',103,'N'),(20,5367085,'1',203,'N'),(20,5367085,'1A',235,'N'),(20,5367093,'1',301,'N'),(20,5367107,'1',103,'N'),(20,5367115,'1',444,'N'),(20,5367140,'1',103,'N'),(20,5367166,'1',340,'N'),(20,5367182,'1',319,'N'),(20,5367190,'1',216,'N'),(20,5367190,'1A',214,'N'),(20,5367204,'1',104,'N'),(20,5367220,'1',103,'N'),(20,5367239,'1',211,'N'),(20,5367239,'1A',653,'N'),(20,5367247,'1',9,'N'),(20,5367255,'1',316,'N'),(20,5367263,'1',301,'N'),(20,5367271,'1',216,'N'),(20,5367271,'1A',201,'N'),(20,5367280,'1',211,'N'),(20,5367280,'1A',201,'N'),(20,5367298,'1',317,'N'),(20,5367301,'1',220,'N'),(20,5367310,'1',404,'N'),(20,5367328,'1',601,'N'),(20,5367336,'1',450,'N'),(20,5367344,'1',103,'N'),(20,5367352,'1',5,'N'),(20,5367360,'1',103,'N'),(20,5367379,'1',303,'N'),(20,5367387,'1',211,'N'),(20,5367387,'1A',216,'N'),(20,5367395,'1',5,'N'),(20,5367409,'1',317,'N'),(20,5367417,'1',101,'N'),(20,5367425,'1',101,'N'),(20,5367441,'1',207,'N'),(20,5367441,'1A',201,'N'),(20,5367484,'1',303,'N'),(20,5367506,'1',332,'N'),(20,5367514,'1',303,'N'),(20,5367522,'1',103,'N'),(20,5367530,'1',220,'N'),(20,5367530,'1A',238,'N'),(20,5367549,'1',220,'N'),(20,5367549,'1A',235,'N'),(20,5367565,'1',415,'N'),(20,5367573,'1',103,'N'),(20,5367581,'1',102,'N'),(20,5367590,'1',103,'N'),(20,5367603,'1',103,'N'),(20,5367611,'1',103,'N'),(20,5367620,'1',108,'N'),(20,5367638,'1',108,'N'),(20,5367646,'1',207,'N'),(20,5367654,'1',501,'N'),(20,5367662,'1',319,'N'),(20,5367670,'1',103,'N'),(20,5367689,'1',201,'N'),(20,5367689,'1A',207,'N'),(20,5367697,'1',103,'N'),(20,5367700,'1',303,'N'),(20,5367719,'1',501,'N'),(20,5367727,'1',301,'N'),(20,5367743,'1',340,'N'),(20,5367751,'1',201,'N'),(20,5367751,'1A',207,'N'),(20,5367760,'1',233,'N'),(20,5367760,'1A',235,'N'),(20,5367778,'1',304,'N'),(20,5367786,'1',202,'N'),(20,5367786,'1A',201,'N'),(20,5367794,'1',108,'N'),(20,5367808,'1',652,'N'),(20,5367808,'1A',653,'N'),(20,5367816,'1',104,'N'),(20,5367824,'1',215,'N'),(20,5367824,'1A',233,'N'),(20,5367859,'1',415,'N'),(20,5367867,'1',453,'N'),(20,5367883,'1',318,'N'),(20,5367891,'1',109,'N'),(20,5367905,'1',103,'N'),(20,5367913,'1',340,'N'),(20,5367921,'1',452,'N'),(20,5367930,'1',102,'N'),(20,5367948,'1',301,'N'),(20,5367956,'1',5,'N'),(20,5367972,'1',103,'N'),(20,5367999,'1',103,'N'),(20,5368006,'1',652,'N'),(20,5368006,'1A',651,'N'),(20,5368014,'1',5,'N'),(20,5368022,'1',103,'N'),(20,5368030,'1',207,'N'),(20,5368030,'1A',215,'N'),(20,5368057,'1',208,'N'),(20,5368057,'1A',235,'N'),(20,5368073,'1',103,'N'),(20,5368081,'1',103,'N'),(20,5368090,'1',211,'N'),(20,5368090,'1A',212,'N'),(20,5368103,'1',104,'N'),(20,5368111,'1',201,'N'),(20,5368111,'1A',207,'N'),(20,5368120,'1',103,'N'),(20,5368138,'1',5,'N'),(20,5368154,'1',451,'N'),(20,5368162,'1',207,'N'),(20,5368162,'1A',233,'N'),(20,5368170,'1',207,'N'),(20,5368170,'1A',201,'N'),(20,5368200,'1',318,'N'),(20,5368219,'1',303,'N'),(20,5368227,'1',9,'N'),(20,5368235,'1',104,'N'),(20,5368243,'1',207,'N'),(20,5368243,'1A',211,'N'),(20,5368251,'1',208,'N'),(20,5368251,'1A',238,'N'),(20,5368260,'1',423,'N'),(20,5368260,'1A',427,'N'),(20,5368278,'1',103,'N'),(20,5368286,'1',301,'N'),(20,5368294,'1',426,'N'),(20,5368294,'1A',428,'N'),(20,5368308,'1',103,'N'),(20,5368316,'1',215,'N'),(20,5368316,'1A',207,'N'),(20,5368324,'1',421,'N'),(20,5368324,'1A',425,'N'),(20,5368332,'1',452,'N'),(20,5368340,'1',336,'N'),(20,5368359,'1',415,'N'),(20,5368367,'1',101,'N'),(20,5368375,'1',211,'N'),(20,5368375,'1A',201,'N'),(20,5368391,'1',207,'N'),(20,5368391,'1A',201,'N'),(20,5368405,'1',207,'N'),(20,5368413,'1',208,'N'),(20,5368413,'1A',238,'N'),(20,5368421,'1',201,'N'),(20,5368421,'1A',207,'N'),(20,5368448,'1',103,'N'),(20,5368456,'1',340,'N'),(20,5368464,'1',420,'N'),(20,5368472,'1',203,'N'),(20,5368480,'1',452,'N'),(20,5368499,'1',415,'N'),(20,5368510,'1',208,'N'),(20,5368510,'1A',207,'N'),(20,5368529,'1',317,'N'),(20,5368537,'1',220,'N'),(20,5368545,'1',203,'N'),(20,5368553,'1',104,'N'),(20,5368570,'1',103,'N'),(20,5368588,'1',453,'N'),(20,5368596,'1',103,'N'),(20,5368618,'1',5,'N'),(20,5368642,'1',308,'N'),(20,5368650,'1',103,'N'),(20,5368669,'1',216,'N'),(20,5368669,'1A',201,'N'),(20,5368677,'1',103,'N'),(20,5368685,'1',103,'N'),(20,5368693,'1',103,'N'),(20,5368707,'1',104,'N'),(20,5368715,'1',308,'N'),(20,5368731,'1',304,'N'),(20,5368758,'1',215,'N'),(20,5368758,'1A',211,'N'),(20,5368766,'1',420,'N'),(20,5368774,'1',207,'N'),(20,5368774,'1A',216,'N'),(20,5368782,'1',103,'N'),(20,5368790,'1',103,'N'),(20,5368804,'1',207,'N'),(20,5368804,'1A',201,'N'),(20,5368812,'1',103,'N'),(20,5368839,'1',207,'N'),(20,5368839,'1A',208,'N'),(20,5368847,'1',340,'N'),(20,5368855,'1',103,'N'),(20,5368863,'1',404,'N'),(20,5368871,'1',316,'N'),(20,5368880,'1',316,'N'),(20,5368898,'1',208,'N'),(20,5368898,'1A',238,'N'),(20,5368901,'1',202,'N'),(20,5368901,'1A',207,'N'),(20,5368928,'1',308,'N'),(20,5368936,'1',601,'N'),(20,5368960,'1',203,'N'),(20,5368960,'1A',220,'N'),(20,5368979,'1',102,'N'),(20,5369002,'1',103,'N'),(20,5369010,'1',319,'N'),(20,5369029,'1',104,'N'),(20,5369037,'1',303,'N'),(20,5369045,'1',551,'N'),(20,5369053,'1',336,'N'),(20,5369061,'1',601,'N'),(20,5369061,'1A',211,'N'),(20,5369070,'1',203,'N'),(20,5369070,'1A',214,'N'),(20,5369088,'1',329,'N'),(20,5369096,'1',415,'N'),(20,5369100,'1',426,'N'),(20,5369100,'1A',428,'N'),(20,5369118,'1',415,'N'),(20,5369126,'1',108,'N'),(20,5369134,'1',103,'N'),(20,5369169,'1',444,'N'),(20,5369177,'1',319,'N'),(20,5369185,'1',5,'N'),(20,5369193,'1',9,'N'),(20,5369207,'1',103,'N'),(20,5369223,'1',103,'N'),(20,5369231,'1',501,'N'),(20,5369240,'1',104,'N'),(20,5369258,'1',415,'N'),(20,5369266,'1',501,'N'),(20,5369274,'1',103,'N'),(20,5369282,'1',420,'N'),(20,5369290,'1',201,'N'),(20,5369304,'1',301,'N'),(20,5369312,'1',102,'N'),(20,5369320,'1',503,'N'),(20,5369339,'1',104,'N'),(20,5369347,'1',318,'N'),(20,5369371,'1',340,'N'),(20,5369380,'1',324,'N'),(20,5369398,'1',317,'N'),(20,5369401,'1',5,'N'),(20,5369428,'1',233,'N'),(20,5369428,'1A',238,'N'),(20,5369436,'1',2,'N'),(20,5369444,'1',103,'N'),(20,5369452,'1',652,'N'),(20,5369452,'1A',651,'N'),(20,5369460,'1',426,'N'),(20,5369460,'1A',429,'N'),(20,5369479,'1',216,'N'),(20,5369479,'1A',208,'N'),(20,5369487,'1',316,'N'),(20,5369495,'1',103,'N'),(20,5369517,'1',310,'N'),(20,5369525,'1',329,'N'),(20,5369533,'1',428,'N'),(20,5369533,'1A',427,'N'),(20,5369541,'1',207,'N'),(20,5369541,'1A',201,'N'),(20,5369550,'1',324,'N'),(20,5369568,'1',211,'N'),(20,5369568,'1A',201,'N'),(20,5369576,'1',103,'N'),(20,5369584,'1',452,'N'),(20,5369614,'1',203,'N'),(20,5369614,'1A',207,'N'),(20,5369622,'1',238,'N'),(20,5369622,'1A',208,'N'),(20,5369630,'1',207,'N'),(20,5369657,'1',103,'N'),(20,5369673,'1',551,'N'),(20,5369681,'1',103,'N'),(20,5369690,'1',316,'N'),(20,5369703,'1',5,'N'),(20,5369711,'1',110,'N'),(20,5369738,'1',208,'N'),(20,5369738,'1A',238,'N'),(20,5369746,'1',202,'N'),(20,5369746,'1A',601,'N'),(20,5369754,'1',5,'N'),(20,5369770,'1',309,'N'),(20,5369789,'1',103,'N'),(20,5369797,'1',451,'N'),(20,5369800,'1',5,'N'),(20,5369827,'1',104,'N'),(20,5369843,'1',318,'N'),(20,5369860,'1',324,'N'),(20,5369886,'1',424,'N'),(20,5369894,'1',303,'N'),(20,5369908,'1',450,'N'),(20,5369924,'1',501,'N'),(20,5369932,'1',404,'N'),(20,5369940,'1',103,'N'),(20,5369959,'1',103,'N'),(20,5369967,'1',3,'N'),(20,5369975,'1',303,'N'),(20,5369991,'1',340,'N'),(20,5370000,'1',212,'N'),(20,5370000,'1A',201,'N'),(20,5370027,'1',103,'N'),(20,5370035,'1',653,'N'),(20,5370043,'1',103,'N'),(20,5370051,'1',103,'N'),(20,5370060,'1',316,'N'),(20,5370078,'1',340,'N'),(20,5370086,'1',429,'N'),(20,5370086,'1A',426,'N'),(20,5370094,'1',316,'N'),(20,5370116,'1',216,'N'),(20,5370116,'1A',201,'N'),(20,5370124,'1',425,'N'),(20,5370132,'1',103,'N'),(20,5370140,'1',103,'N'),(20,5370159,'1',303,'N'),(20,5370167,'1',444,'N'),(20,5370175,'1',208,'N'),(20,5370175,'1A',202,'N'),(20,5370183,'1',301,'N'),(20,5370191,'1',319,'N'),(20,5370213,'1',319,'N'),(20,5370221,'1',329,'N'),(20,5370230,'1',212,'N'),(20,5370230,'1A',233,'N'),(20,5370248,'1',103,'N'),(20,5370256,'1',102,'N'),(20,5370264,'1',5,'N'),(20,5370272,'1',653,'N'),(20,5370280,'1',551,'N'),(20,5370302,'1',108,'N'),(20,5370310,'1',318,'N'),(20,5370329,'1',103,'N'),(20,5370337,'1',104,'N'),(20,5370345,'1',451,'N'),(20,5370353,'1',5,'N'),(20,5370361,'1',308,'N'),(20,5370370,'1',104,'N'),(20,5370388,'1',319,'N'),(20,5370396,'1',103,'N'),(20,5370418,'1',103,'N'),(20,5370426,'1',102,'N'),(20,5370442,'1',316,'N'),(20,5370469,'1',303,'N'),(20,5370477,'1',319,'N'),(20,5370485,'1',102,'N'),(20,5370493,'1',102,'N'),(20,5370507,'1',103,'N'),(20,5370515,'1',103,'N'),(20,5370523,'1',340,'N'),(20,5370531,'1',9,'N'),(20,5370540,'1',208,'N'),(20,5370540,'1A',238,'N'),(20,5370558,'1',316,'N'),(20,5370574,'1',340,'N'),(20,5370582,'1',336,'N'),(20,5370590,'1',103,'N'),(20,5370604,'1',426,'N'),(20,5370604,'1A',427,'N'),(20,5370612,'1',303,'N'),(20,5370620,'1',238,'N'),(20,5370620,'1A',207,'N'),(20,5370647,'1',551,'N'),(20,5370655,'1',102,'N'),(20,5370663,'1',340,'N'),(20,5370671,'1',653,'N'),(20,5370671,'1A',652,'N'),(20,5370680,'1',103,'N'),(20,5370698,'1',103,'N'),(20,5370701,'1',103,'N'),(20,5370710,'1',103,'N'),(20,5370728,'1',103,'N'),(20,5370736,'1',103,'N'),(20,5370744,'1',208,'N'),(20,5370744,'1A',238,'N'),(20,5370752,'1',216,'N'),(20,5370752,'1A',215,'N'),(20,5370760,'1',208,'N'),(20,5370760,'1A',238,'N'),(20,5370779,'1',103,'N'),(20,5370795,'1',327,'N'),(20,5370809,'1',551,'N'),(20,5370825,'1',103,'N'),(20,5370833,'1',423,'N'),(20,5370833,'1A',424,'N'),(20,5370841,'1',428,'N'),(20,5370841,'1A',427,'N'),(20,5370850,'1',318,'N'),(20,5370868,'1',308,'N'),(20,5370876,'1',653,'N'),(20,5370876,'1A',201,'N'),(20,5370884,'1',201,'N'),(20,5370884,'1A',215,'N'),(20,5370892,'1',103,'N'),(20,5370906,'1',340,'N'),(20,5370914,'1',452,'N'),(20,5370922,'1',9,'N'),(20,5370930,'1',450,'N'),(20,5370949,'1',450,'N'),(20,5370965,'1',103,'N'),(20,5370973,'1',104,'N'),(20,5371015,'1',103,'N'),(20,5371023,'1',216,'N'),(20,5371023,'1A',233,'N'),(20,5371031,'1',327,'N'),(20,5371040,'1',303,'N'),(20,5371058,'1',502,'N'),(20,5371066,'1',214,'N'),(20,5371066,'1A',212,'N'),(20,5371074,'1',103,'N'),(20,5371082,'1',104,'N'),(20,5371090,'1',428,'N'),(20,5371090,'1A',426,'N'),(20,5371104,'1',329,'N'),(20,5371112,'1',103,'N'),(20,5371120,'1',103,'N'),(20,5371139,'1',453,'N'),(20,5371147,'1',415,'N'),(20,5371155,'1',653,'N'),(20,5371163,'1',103,'N'),(20,5371171,'1',103,'N'),(20,5371180,'1',103,'N'),(20,5371198,'1',450,'N'),(20,5371201,'1',335,'N'),(20,5371210,'1',319,'N'),(20,5371228,'1',103,'N'),(20,5371236,'1',319,'N'),(20,5371244,'1',103,'N'),(20,5371252,'1',108,'N'),(20,5371260,'1',103,'N'),(20,5371279,'1',201,'N'),(20,5371287,'1',203,'N'),(20,5371287,'1A',201,'N'),(20,5371309,'1',425,'N'),(20,5371309,'1A',426,'N'),(20,5371317,'1',201,'N'),(20,5371317,'1A',238,'N'),(20,5371325,'1',303,'N'),(20,5371333,'1',444,'N'),(20,5371341,'1',453,'N'),(20,5371368,'1',653,'N'),(20,5371368,'1A',652,'N'),(20,5371376,'1',303,'N'),(20,5371384,'1',103,'N'),(20,5371392,'1',103,'N'),(20,5371406,'1',201,'N'),(20,5371406,'1A',208,'N'),(20,5371422,'1',109,'N'),(20,5371430,'1',316,'N'),(20,5371449,'1',103,'N'),(20,5371457,'1',340,'N'),(20,5371465,'1',316,'N'),(20,5371473,'1',653,'N'),(20,5371473,'1A',201,'N'),(20,5371481,'1',203,'N'),(20,5371481,'1A',214,'N'),(20,5371490,'1',214,'N'),(20,5371490,'1A',220,'N'),(20,5371503,'1',103,'N'),(20,5371511,'1',103,'N'),(20,5371538,'1',201,'N'),(20,5371538,'1A',207,'N'),(20,5371546,'1',319,'N'),(20,5371554,'1',5,'N'),(20,5371562,'1',316,'N'),(20,5371570,'1',110,'N'),(20,5371589,'1',103,'N'),(20,5371600,'1',216,'N'),(20,5371600,'1A',208,'N'),(20,5371619,'1',207,'N'),(20,5371619,'1A',201,'N'),(20,5371627,'1',214,'N'),(20,5371627,'1A',213,'N'),(20,5371635,'1',211,'N'),(20,5371635,'1A',215,'N'),(20,5371643,'1',104,'N'),(20,5371651,'1',320,'N'),(20,5371660,'1',450,'N'),(20,5371678,'1',207,'N'),(20,5371678,'1A',215,'N'),(20,5371694,'1',207,'N'),(20,5371694,'1A',215,'N'),(20,5371708,'1',333,'N'),(20,5371716,'1',404,'N'),(20,5371724,'1',319,'N'),(20,5371732,'1',103,'N'),(20,5371740,'1',103,'N'),(20,5371759,'1',201,'N'),(20,5371759,'1A',212,'N'),(20,5371767,'1',5,'N'),(20,5371775,'1',653,'N'),(20,5371775,'1A',652,'N'),(20,5371783,'1',103,'N'),(20,5371791,'1',208,'N'),(20,5371791,'1A',238,'N'),(20,5371805,'1',317,'N'),(20,5371813,'1',101,'N'),(20,5371848,'1',340,'N'),(20,5371856,'1',652,'N'),(20,5371856,'1A',208,'N'),(20,5371864,'1',103,'N'),(20,5371872,'1',601,'N'),(20,5371872,'1A',235,'N'),(20,5371880,'1',235,'N'),(20,5371880,'1A',202,'N'),(20,5371899,'1',653,'N'),(20,5371902,'1',103,'N'),(20,5371910,'1',103,'N'),(20,5371929,'1',5,'N'),(20,5371937,'1',104,'N'),(20,5371953,'1',103,'N'),(20,5371961,'1',340,'N'),(20,5371970,'1',303,'N'),(20,5371988,'1',319,'N'),(20,5371996,'1',103,'N'),(20,5372003,'1',340,'N'),(20,5372011,'1',301,'N'),(20,5372020,'1',404,'N'),(20,5372038,'1',501,'N'),(20,5372046,'1',201,'N'),(20,5372046,'1A',212,'N'),(20,5372054,'1',651,'N'),(20,5372054,'1A',652,'N'),(20,5372062,'1',215,'N'),(20,5372062,'1A',207,'N'),(20,5372097,'1',103,'N'),(20,5372100,'1',103,'N'),(20,5372119,'1',108,'N'),(20,5372127,'1',108,'N'),(20,5372135,'1',503,'N'),(20,5372160,'1',103,'N'),(20,5372178,'1',339,'N'),(20,5372186,'1',213,'N'),(20,5372186,'1A',212,'N'),(20,5372194,'1',302,'N'),(20,5372208,'1',652,'N'),(20,5372208,'1A',651,'N'),(20,5372216,'1',502,'N'),(20,5372224,'1',415,'N'),(20,5372232,'1',339,'N'),(20,5372240,'1',103,'N'),(20,5372259,'1',201,'N'),(20,5372259,'1A',213,'N'),(20,5372267,'1',415,'N'),(20,5372275,'1',5,'N'),(20,5372283,'1',5,'N'),(20,5372305,'1',324,'N'),(20,5372313,'1',301,'N'),(20,5372321,'1',103,'N'),(20,5372330,'1',308,'N'),(20,5372348,'1',203,'N'),(20,5372348,'1A',214,'N'),(20,5372356,'1',5,'N'),(20,5372364,'1',103,'N'),(20,5372372,'1',220,'N'),(20,5372372,'1A',601,'N'),(20,5372380,'1',103,'N'),(20,5372399,'1',601,'N'),(20,5372399,'1A',201,'N'),(20,5372402,'1',102,'N'),(20,5372410,'1',9,'N'),(20,5372429,'1',304,'N'),(20,5372437,'1',340,'N'),(20,5372461,'1',203,'N'),(20,5372470,'1',103,'N'),(20,5372488,'1',104,'N'),(20,5372496,'1',303,'N'),(20,5372518,'1',316,'N'),(20,5372526,'1',104,'N'),(20,5372534,'1',207,'N'),(20,5372534,'1A',201,'N'),(20,5372542,'1',103,'N'),(20,5372550,'1',216,'N'),(20,5372550,'1A',208,'N'),(20,5372569,'1',451,'N'),(20,5372577,'1',316,'N'),(20,5372585,'1',211,'N'),(20,5372585,'1A',233,'N'),(20,5372593,'1',320,'N'),(20,5372607,'1',303,'N'),(20,5372615,'1',301,'N'),(20,5372623,'1',108,'N'),(20,5372640,'1',215,'N'),(20,5372640,'1A',216,'N'),(20,5372658,'1',501,'N'),(20,5372666,'1',651,'N'),(20,5372666,'1A',652,'N'),(20,5372674,'1',318,'N'),(20,5372682,'1',201,'N'),(20,5372682,'1A',211,'N'),(20,5372690,'1',201,'N'),(20,5372690,'1A',212,'N'),(20,5372704,'1',336,'N'),(20,5372712,'1',212,'N'),(20,5372712,'1A',201,'N'),(20,5372720,'1',104,'N'),(20,5372739,'1',5,'N'),(20,5372747,'1',102,'N'),(20,5372755,'1',502,'N'),(20,5372763,'1',318,'N'),(20,5372771,'1',103,'N'),(20,5372780,'1',201,'N'),(20,5372780,'1A',208,'N'),(20,5372798,'1',103,'N'),(20,5372801,'1',208,'N'),(20,5372801,'1A',238,'N'),(20,5372810,'1',103,'N'),(20,5372828,'1',450,'N'),(20,5372836,'1',108,'N'),(20,5372844,'1',404,'N'),(20,5372852,'1',339,'N'),(20,5372887,'1',103,'N'),(20,5372895,'1',103,'N'),(20,5372917,'1',203,'N'),(20,5372917,'1A',235,'N'),(20,5372933,'1',238,'N'),(20,5372933,'1A',653,'N'),(20,5372941,'1',340,'N'),(20,5372950,'1',208,'N'),(20,5372950,'1A',202,'N'),(20,5372968,'1',301,'N'),(20,5372976,'1',208,'N'),(20,5372984,'1',318,'N'),(20,5372992,'1',104,'N'),(20,5373000,'1',316,'N'),(20,5373018,'1',103,'N'),(20,5373026,'1',103,'N'),(20,5373034,'1',208,'N'),(20,5373042,'1',103,'N'),(20,5373077,'1',103,'N'),(20,5373093,'1',304,'N'),(20,5373107,'1',216,'N'),(20,5373107,'1A',208,'N'),(20,5373115,'1',551,'N'),(20,5373123,'1',201,'N'),(20,5373123,'1A',212,'N'),(20,5373131,'1',103,'N'),(20,5373140,'1',340,'N'),(20,5373158,'1',103,'N'),(20,5373174,'1',103,'N'),(20,5373182,'1',302,'N'),(20,5373190,'1',303,'N'),(20,5373204,'1',427,'N'),(20,5373204,'1A',424,'N'),(20,5373212,'1',501,'N'),(20,5373220,'1',203,'N'),(20,5373220,'1A',214,'N'),(20,5373247,'1',420,'N'),(20,5373255,'1',103,'N'),(20,5373263,'1',319,'N'),(20,5373271,'1',309,'N'),(20,5373280,'1',103,'N'),(20,5373301,'1',452,'N'),(20,5373310,'1',103,'N'),(20,5373328,'1',9,'N'),(20,5373336,'1',208,'N'),(20,5373336,'1A',238,'N'),(20,5373344,'1',336,'N'),(20,5373360,'1',5,'N'),(20,5373379,'1',501,'N'),(20,5373387,'1',5,'N'),(20,5373395,'1',428,'N'),(20,5373395,'1A',425,'N'),(20,5373409,'1',207,'N'),(20,5373409,'1A',201,'N'),(20,5373417,'1',103,'N'),(20,5373425,'1',5,'N'),(20,5373433,'1',238,'N'),(20,5373433,'1A',235,'N'),(20,5373441,'1',103,'N'),(20,5373450,'1',103,'N'),(20,5373468,'1',109,'N'),(20,5373476,'1',301,'N'),(20,5373484,'1',216,'N'),(20,5373492,'1',103,'N'),(20,5373506,'1',652,'N'),(20,5373506,'1A',651,'N'),(20,5373514,'1',303,'N'),(20,5373522,'1',427,'N'),(20,5373522,'1A',423,'N'),(20,5373530,'1',201,'N'),(20,5373530,'1A',212,'N'),(20,5373549,'1',318,'N'),(20,5373565,'1',202,'N'),(20,5373565,'1A',235,'N'),(20,5373573,'1',453,'N'),(20,5373581,'1',415,'N'),(20,5373590,'1',203,'N'),(20,5373590,'1A',211,'N'),(20,5373603,'1',444,'N'),(20,5373611,'1',214,'N'),(20,5373611,'1A',208,'N'),(20,5373620,'1',340,'N'),(20,5373638,'1',653,'N'),(20,5373638,'1A',651,'N'),(20,5373654,'1',108,'N'),(20,5373662,'1',318,'N'),(20,5373670,'1',103,'N'),(20,5373689,'1',428,'N'),(20,5373697,'1',203,'N'),(20,5373697,'1A',214,'N'),(20,5373700,'1',452,'N'),(20,5373719,'1',425,'N'),(20,5373719,'1A',427,'N'),(20,5373727,'1',450,'N'),(20,5373735,'1',103,'N'),(20,5373743,'1',337,'N'),(20,5373751,'1',203,'N'),(20,5373751,'1A',216,'N'),(20,5373760,'1',337,'N'),(20,5373808,'1',303,'N'),(20,5373816,'1',331,'N'),(20,5373824,'1',207,'N'),(20,5373824,'1A',211,'N'),(20,5373832,'1',303,'N'),(20,5373840,'1',453,'N'),(20,5373859,'1',207,'N'),(20,5373859,'1A',201,'N'),(20,5373867,'1',103,'N'),(20,5373875,'1',501,'N'),(20,5373883,'1',9,'N'),(20,5373891,'1',501,'N'),(20,5373905,'1',103,'N'),(20,5373913,'1',501,'N'),(20,5373921,'1',444,'N'),(20,5373930,'1',404,'N'),(20,5373948,'1',320,'N'),(20,5373956,'1',425,'N'),(20,5373956,'1A',429,'N'),(20,5373964,'1',103,'N'),(20,5373972,'1',104,'N'),(20,5373980,'1',340,'N'),(20,5373999,'1',653,'N'),(20,5373999,'1A',201,'N'),(20,5374014,'1',109,'N'),(20,5374022,'1',318,'N'),(20,5374030,'1',651,'N'),(20,5374049,'1',108,'N'),(20,5374065,'1',415,'N'),(20,5374073,'1',103,'N'),(20,5374081,'1',201,'N'),(20,5374081,'1A',203,'N'),(20,5374090,'1',429,'N'),(20,5374090,'1A',425,'N'),(20,5374103,'1',304,'N'),(20,5374111,'1',653,'N'),(20,5374111,'1A',652,'N'),(20,5374138,'1',425,'N'),(20,5374138,'1A',427,'N'),(20,5374154,'1',211,'N'),(20,5374154,'1A',653,'N'),(20,5374162,'1',304,'N'),(20,5374170,'1',207,'N'),(20,5374170,'1A',201,'N'),(20,5374197,'1',319,'N'),(20,5374219,'1',303,'N'),(20,5374243,'1',9,'N'),(20,5374251,'1',235,'N'),(20,5374251,'1A',220,'N'),(20,5374260,'1',203,'N'),(20,5374260,'1A',202,'N'),(20,5374278,'1',501,'N'),(20,5374286,'1',337,'N'),(20,5374294,'1',104,'N'),(20,5374308,'1',103,'N'),(20,5374316,'1',336,'N'),(20,5374324,'1',104,'N'),(20,5374359,'1',301,'N'),(20,5374375,'1',453,'N'),(20,5374383,'1',216,'N'),(20,5374383,'1A',201,'N'),(20,5374405,'1',303,'N'),(20,5374413,'1',103,'N'),(20,5374421,'1',2,'N'),(20,5374430,'1',212,'N'),(20,5374430,'1A',201,'N'),(20,5374448,'1',103,'N'),(20,5374456,'1',103,'N'),(20,5374472,'1',303,'N'),(20,5374499,'1',453,'N'),(20,5374502,'1',303,'N'),(20,5374510,'1',201,'N'),(20,5374529,'1',452,'N'),(20,5374553,'1',653,'N'),(20,5374553,'1A',652,'N'),(20,5374561,'1',103,'N'),(20,5374570,'1',110,'N'),(20,5374588,'1',420,'N'),(20,5374596,'1',444,'N'),(20,5374600,'1',339,'N'),(20,5374626,'1',103,'N'),(20,5374634,'1',303,'N'),(20,5374642,'1',203,'N'),(20,5374642,'1A',238,'N'),(20,5374650,'1',103,'N'),(20,5374677,'1',501,'N'),(20,5374685,'1',211,'N'),(20,5374685,'1A',216,'N'),(20,5374707,'1',319,'N'),(20,5374731,'1',103,'N'),(20,5374740,'1',316,'N'),(20,5374758,'1',103,'N'),(20,5374774,'1',203,'N'),(20,5374774,'1A',214,'N'),(20,5374790,'1',103,'N'),(20,5374804,'1',202,'N'),(20,5374812,'1',203,'N'),(20,5374812,'1A',201,'N'),(20,5374820,'1',103,'N'),(20,5374839,'1',303,'N'),(20,5374847,'1',101,'N'),(20,5374855,'1',238,'N'),(20,5374855,'1A',208,'N'),(20,5374863,'1',319,'N'),(20,5374871,'1',427,'N'),(20,5374871,'1A',428,'N'),(20,5374880,'1',340,'N'),(20,5374898,'1',308,'N'),(20,5374901,'1',103,'N'),(20,5374910,'1',103,'N'),(20,5374928,'1',332,'N'),(20,5374944,'1',207,'N'),(20,5374944,'1A',212,'N'),(20,5374952,'1',103,'N'),(20,5374960,'1',109,'N'),(20,5374979,'1',316,'N'),(20,5374987,'1',5,'N'),(20,5374995,'1',501,'N'),(20,5375002,'1',421,'N'),(20,5375002,'1A',424,'N'),(20,5375010,'1',302,'N'),(20,5375037,'1',404,'N'),(20,5375053,'1',451,'N'),(20,5375061,'1',415,'N'),(20,5375070,'1',316,'N'),(20,5375088,'1',337,'N'),(20,5375096,'1',104,'N'),(20,5375100,'1',103,'N'),(20,5375118,'1',220,'N'),(20,5375118,'1A',211,'N'),(20,5375126,'1',319,'N'),(20,5375134,'1',203,'N'),(20,5375134,'1A',201,'N'),(20,5375142,'1',207,'N'),(20,5375142,'1A',216,'N'),(20,5375169,'1',404,'N'),(20,5375177,'1',103,'N'),(20,5375193,'1',501,'N'),(20,5375207,'1',109,'N'),(20,5375215,'1',203,'N'),(20,5375215,'1A',238,'N'),(20,5375223,'1',103,'N'),(20,5375231,'1',303,'N'),(20,5375240,'1',213,'N'),(20,5375240,'1A',211,'N'),(20,5375258,'1',452,'N'),(20,5375266,'1',103,'N'),(20,5375274,'1',103,'N'),(20,5375282,'1',216,'N'),(20,5375282,'1A',201,'N'),(20,5375290,'1',301,'N'),(20,5375304,'1',303,'N'),(20,5375312,'1',201,'N'),(20,5375312,'1A',211,'N'),(20,5375339,'1',415,'N'),(20,5375347,'1',319,'N'),(20,5375363,'1',5,'N'),(20,5375371,'1',238,'N'),(20,5375371,'1A',216,'N'),(20,5375380,'1',425,'N'),(20,5375380,'1A',429,'N'),(20,5375398,'1',327,'N'),(20,5375401,'1',424,'N'),(20,5375401,'1A',429,'N'),(20,5375410,'1',220,'N'),(20,5375410,'1A',201,'N'),(20,5375428,'1',332,'N'),(20,5375444,'1',304,'N'),(20,5375452,'1',103,'N'),(20,5375487,'1',316,'N'),(20,5375495,'1',319,'N'),(20,5375517,'1',502,'N'),(20,5375525,'1',103,'N'),(20,5375533,'1',3,'N'),(20,5375541,'1',103,'N'),(20,5375550,'1',316,'N'),(20,5375568,'1',201,'N'),(20,5375568,'1A',212,'N'),(20,5375576,'1',5,'N'),(20,5375584,'1',103,'N'),(20,5375592,'1',5,'N'),(20,5375614,'1',415,'N'),(20,5375622,'1',336,'N'),(20,5375630,'1',5,'N'),(20,5375649,'1',316,'N'),(20,5375665,'1',225,'N'),(20,5375681,'1',203,'N'),(20,5375681,'1A',214,'N'),(20,5375690,'1',302,'N'),(20,5375703,'1',501,'N'),(20,5375738,'1',102,'N'),(20,5375746,'1',301,'N'),(20,5375754,'1',103,'N'),(20,5375762,'1',452,'N'),(20,5375770,'1',103,'N'),(20,5375789,'1',332,'N'),(20,5375797,'1',501,'N'),(20,5375800,'1',426,'N'),(20,5375800,'1A',425,'N'),(20,5375819,'1',340,'N'),(20,5375827,'1',201,'N'),(20,5375827,'1A',211,'N'),(20,5375835,'1',103,'N'),(20,5375843,'1',213,'N'),(20,5375843,'1A',201,'N'),(20,5375851,'1',207,'N'),(20,5375851,'1A',201,'N'),(20,5375860,'1',216,'N'),(20,5375860,'1A',215,'N'),(20,5375878,'1',103,'N'),(20,5375886,'1',9,'N'),(20,5375894,'1',207,'N'),(20,5375908,'1',427,'N'),(20,5375908,'1A',424,'N'),(20,5375916,'1',103,'N'),(20,5375924,'1',103,'N'),(20,5375932,'1',340,'N'),(20,5375959,'1',415,'N'),(20,5375967,'1',108,'N'),(20,5375983,'1',201,'N'),(20,5375983,'1A',212,'N'),(20,5375991,'1',653,'N'),(20,5376017,'1',5,'N'),(20,5376041,'1',213,'N'),(20,5376041,'1A',233,'N'),(20,5376050,'1',444,'N'),(20,5376068,'1',310,'N'),(20,5376076,'1',317,'N'),(20,5376084,'1',207,'N'),(20,5376092,'1',450,'N'),(20,5376106,'1',103,'N'),(20,5376114,'1',340,'N'),(20,5376122,'1',429,'N'),(20,5376122,'1A',425,'N'),(20,5376130,'1',103,'N'),(20,5376149,'1',404,'N'),(20,5376157,'1',103,'N'),(20,5376173,'1',216,'N'),(20,5376173,'1A',211,'N'),(20,5376181,'1',329,'N'),(20,5376190,'1',450,'N'),(20,5376203,'1',203,'N'),(20,5376203,'1A',220,'N'),(20,5376211,'1',103,'N'),(20,5376238,'1',5,'N'),(20,5376246,'1',216,'N'),(20,5376254,'1',103,'N'),(20,5376262,'1',444,'N'),(20,5376270,'1',415,'N'),(20,5376289,'1',207,'N'),(20,5376289,'1A',238,'N'),(20,5376297,'1',207,'N'),(20,5376300,'1',103,'N'),(20,5376319,'1',301,'N'),(20,5376327,'1',303,'N'),(20,5376335,'1',202,'N'),(20,5376335,'1A',213,'N'),(20,5376351,'1',235,'N'),(20,5376351,'1A',213,'N'),(20,5376360,'1',213,'N'),(20,5376360,'1A',202,'N'),(20,5376378,'1',5,'N'),(20,5376386,'1',9,'N'),(20,5376394,'1',316,'N'),(20,5376408,'1',653,'N'),(20,5376416,'1',404,'N'),(20,5376424,'1',215,'N'),(20,5376424,'1A',211,'N'),(20,5376432,'1',102,'N'),(20,5376440,'1',332,'N'),(20,5376459,'1',104,'N'),(20,5376467,'1',104,'N'),(20,5376475,'1',404,'N'),(20,5376483,'1',103,'N'),(20,5376491,'1',103,'N'),(20,5376513,'1',453,'N'),(20,5376521,'1',103,'N'),(20,5376548,'1',207,'N'),(20,5376564,'1',318,'N'),(20,5376572,'1',103,'N'),(20,5376580,'1',331,'N'),(20,5376599,'1',103,'N'),(20,5376602,'1',318,'N'),(20,5376610,'1',201,'N'),(20,5376610,'1A',212,'N'),(20,5376629,'1',316,'N'),(20,5376645,'1',207,'N'),(20,5376645,'1A',601,'N'),(20,5376653,'1',319,'N'),(20,5376661,'1',310,'N'),(20,5376670,'1',340,'N'),(20,5376688,'1',319,'N'),(20,5376696,'1',415,'N'),(20,5376700,'1',220,'N'),(20,5376700,'1A',202,'N'),(20,5376718,'1',319,'N'),(20,5376726,'1',451,'N'),(20,5376734,'1',451,'N'),(20,5376742,'1',326,'N'),(20,5376777,'1',340,'N'),(20,5376793,'1',103,'N'),(20,5376807,'1',425,'N'),(20,5376807,'1A',429,'N'),(20,5376815,'1',220,'N'),(20,5376815,'1A',203,'N'),(20,5376823,'1',103,'N'),(20,5376831,'1',5,'N'),(20,5376840,'1',103,'N'),(20,5376858,'1',302,'N'),(20,5376866,'1',104,'N'),(20,5376874,'1',103,'N'),(20,5376882,'1',339,'N'),(20,5376890,'1',319,'N'),(20,5376904,'1',404,'N'),(20,5376912,'1',453,'N'),(20,5376920,'1',211,'N'),(20,5376920,'1A',216,'N'),(20,5376939,'1',203,'N'),(20,5376939,'1A',201,'N'),(20,5376947,'1',301,'N'),(20,5376963,'1',224,'N'),(20,5376971,'1',303,'N'),(20,5377005,'1',340,'N'),(20,5377013,'1',420,'N'),(20,5377030,'1',309,'N'),(20,5377048,'1',211,'N'),(20,5377048,'1A',215,'N'),(20,5377056,'1',215,'N'),(20,5377056,'1A',211,'N'),(20,5377064,'1',319,'N'),(20,5377072,'1',211,'N'),(20,5377072,'1A',233,'N'),(20,5377080,'1',319,'N'),(20,5377102,'1',444,'N'),(20,5377110,'1',103,'N'),(20,5377129,'1',201,'N'),(20,5377129,'1A',212,'N'),(20,5377137,'1',203,'N'),(20,5377137,'1A',202,'N'),(20,5377145,'1',324,'N'),(20,5377153,'1',201,'N'),(20,5377153,'1A',208,'N'),(20,5377161,'1',302,'N'),(20,5377188,'1',238,'N'),(20,5377188,'1A',208,'N'),(20,5377196,'1',429,'N'),(20,5377200,'1',103,'N'),(20,5377218,'1',203,'N'),(20,5377218,'1A',202,'N'),(20,5377226,'1',108,'N'),(20,5377250,'1',216,'N'),(20,5377250,'1A',238,'N'),(20,5377269,'1',103,'N'),(20,5377277,'1',103,'N'),(20,5377285,'1',103,'N'),(20,5377293,'1',103,'N'),(20,5377315,'1',103,'N'),(20,5377323,'1',103,'N'),(20,5377331,'1',425,'N'),(20,5377331,'1A',427,'N'),(20,5377358,'1',220,'N'),(20,5377358,'1A',213,'N'),(20,5377366,'1',340,'N'),(20,5377374,'1',415,'N'),(20,5377382,'1',103,'N'),(20,5377390,'1',103,'N'),(20,5377404,'1',309,'N'),(20,5377420,'1',601,'N'),(20,5377439,'1',104,'N'),(20,5377447,'1',427,'N'),(20,5377447,'1A',424,'N'),(20,5377463,'1',203,'N'),(20,5377463,'1A',214,'N'),(20,5377480,'1',340,'N'),(20,5377498,'1',211,'N'),(20,5377498,'1A',653,'N'),(20,5377501,'1',238,'N'),(20,5377501,'1A',652,'N'),(20,5377510,'1',102,'N'),(20,5377536,'1',103,'N'),(20,5377544,'1',215,'N'),(20,5377544,'1A',216,'N'),(20,5377552,'1',653,'N'),(20,5377552,'1A',601,'N'),(20,5377560,'1',303,'N'),(20,5377587,'1',103,'N'),(20,5377609,'1',304,'N'),(20,5377617,'1',339,'N'),(20,5377625,'1',233,'N'),(20,5377625,'1A',201,'N'),(20,5377633,'1',103,'N'),(20,5377641,'1',450,'N'),(20,5377668,'1',304,'N'),(20,5377676,'1',108,'N'),(20,5377692,'1',103,'N'),(20,5377706,'1',303,'N'),(20,5377714,'1',207,'N'),(20,5377730,'1',211,'N'),(20,5377730,'1A',202,'N'),(20,5377749,'1',103,'N'),(20,5377757,'1',220,'N'),(20,5377757,'1A',202,'N'),(20,5377765,'1',303,'N'),(20,5377773,'1',324,'N'),(20,5377781,'1',233,'N'),(20,5377781,'1A',202,'N'),(20,5377790,'1',309,'N'),(20,5377803,'1',103,'N'),(20,5377820,'1',220,'N'),(20,5377820,'1A',215,'N'),(20,5377838,'1',103,'N'),(20,5377854,'1',238,'N'),(20,5377854,'1A',215,'N'),(20,5377862,'1',108,'N'),(20,5377870,'1',318,'N'),(20,5377897,'1',340,'N'),(20,5377919,'1',103,'N'),(20,5377927,'1',327,'N'),(20,5377935,'1',404,'N'),(20,5377943,'1',103,'N'),(20,5377951,'1',202,'N'),(20,5377960,'1',102,'N'),(20,5377994,'1',102,'N'),(20,5378001,'1',225,'N'),(20,5378010,'1',214,'N'),(20,5378010,'1A',215,'N'),(20,5378028,'1',103,'N'),(20,5378036,'1',320,'N'),(20,5378060,'1',501,'N'),(20,5378079,'1',415,'N'),(20,5378087,'1',324,'N'),(20,5378095,'1',103,'N'),(20,5378109,'1',9,'N'),(20,5378125,'1',331,'N'),(20,5378133,'1',103,'N'),(20,5378168,'1',5,'N'),(20,5378184,'1',318,'N'),(20,5378192,'1',336,'N'),(20,5378206,'1',103,'N'),(20,5378214,'1',203,'N'),(20,5378257,'1',103,'N'),(20,5378265,'1',415,'N'),(20,5378273,'1',404,'N'),(20,5378281,'1',208,'N'),(20,5378281,'1A',238,'N'),(20,5378290,'1',103,'N'),(20,5378303,'1',339,'N'),(20,5378311,'1',309,'N'),(20,5378320,'1',415,'N'),(20,5378338,'1',104,'N'),(20,5378346,'1',103,'N'),(20,5378354,'1',235,'N'),(20,5378354,'1A',202,'N'),(20,5378362,'1',207,'N'),(20,5378362,'1A',201,'N'),(20,5378389,'1',103,'N'),(20,5378397,'1',316,'N'),(20,5378419,'1',108,'N'),(20,5378427,'1',103,'N'),(20,5378435,'1',201,'N'),(20,5378435,'1A',207,'N'),(20,5378478,'1',215,'N'),(20,5378478,'1A',653,'N'),(20,5378486,'1',652,'N'),(20,5378494,'1',444,'N'),(20,5378508,'1',203,'N'),(20,5378508,'1A',214,'N'),(20,5378516,'1',601,'N'),(20,5378516,'1A',235,'N'),(20,5378532,'1',303,'N'),(20,5378540,'1',303,'N'),(20,5378559,'1',329,'N'),(20,5378567,'1',207,'N'),(20,5378567,'1A',212,'N'),(20,5378575,'1',104,'N'),(20,5378583,'1',214,'N'),(20,5378591,'1',103,'N'),(20,5378605,'1',653,'N'),(20,5378605,'1A',652,'N'),(20,5378613,'1',103,'N'),(20,5378621,'1',103,'N'),(20,5378630,'1',653,'N'),(20,5378648,'1',203,'N'),(20,5378648,'1A',201,'N'),(20,5378656,'1',104,'N'),(20,5378664,'1',303,'N'),(20,5378672,'1',429,'N'),(20,5378680,'1',201,'N'),(20,5378710,'1',203,'N'),(20,5378710,'1A',202,'N'),(20,5378729,'1',238,'N'),(20,5378729,'1A',208,'N'),(20,5378737,'1',444,'N'),(20,5378745,'1',5,'N'),(20,5378753,'1',452,'N'),(20,5378761,'1',104,'N'),(20,5378770,'1',652,'N'),(20,5378788,'1',601,'N'),(20,5378800,'1',212,'N'),(20,5378800,'1A',201,'N'),(20,5378818,'1',103,'N'),(20,5378826,'1',216,'N'),(20,5378826,'1A',215,'N'),(20,5378834,'1',103,'N'),(20,5378842,'1',303,'N'),(20,5378850,'1',415,'N'),(20,5378877,'1',208,'N'),(20,5378877,'1A',238,'N'),(20,5378885,'1',429,'N'),(20,5378885,'1A',424,'N'),(20,5378893,'1',103,'N'),(20,5378907,'1',211,'N'),(20,5378907,'1A',212,'N'),(20,5378915,'1',331,'N'),(20,5378923,'1',110,'N'),(20,5378931,'1',329,'N'),(20,5378940,'1',234,'N'),(20,5378958,'1',103,'N'),(20,5378966,'1',104,'N'),(20,5378974,'1',103,'N'),(20,5378990,'1',653,'N'),(20,5379024,'1',108,'N'),(20,5379032,'1',202,'N'),(20,5379032,'1A',213,'N'),(20,5379040,'1',420,'N'),(20,5379059,'1',103,'N'),(20,5379067,'1',103,'N'),(20,5379075,'1',223,'N'),(20,5379083,'1',207,'N'),(20,5379083,'1A',201,'N'),(20,5379091,'1',316,'N'),(20,5379105,'1',233,'N'),(20,5379105,'1A',601,'N'),(20,5379121,'1',103,'N'),(20,5379130,'1',502,'N'),(20,5379148,'1',103,'N'),(20,5379156,'1',452,'N'),(20,5379164,'1',302,'N'),(20,5379172,'1',103,'N'),(20,5379180,'1',102,'N'),(20,5379199,'1',103,'N'),(20,5379202,'1',108,'N'),(20,5379210,'1',2,'N'),(20,5379229,'1',316,'N'),(20,5379237,'1',5,'N'),(20,5379253,'1',444,'N'),(20,5379261,'1',203,'N'),(20,5379270,'1',201,'N'),(20,5379270,'1A',212,'N'),(20,5379288,'1',103,'N'),(20,5379296,'1',103,'N'),(20,5379300,'1',103,'N'),(20,5379318,'1',337,'N'),(20,5379334,'1',104,'N'),(20,5379342,'1',220,'N'),(20,5379342,'1A',203,'N'),(20,5379350,'1',452,'N'),(20,5379369,'1',104,'N'),(20,5379377,'1',203,'N'),(20,5379377,'1A',201,'N'),(20,5379385,'1',303,'N'),(20,5379393,'1',103,'N'),(20,5379407,'1',103,'N'),(20,5379415,'1',318,'N'),(20,5379423,'1',303,'N'),(20,5379431,'1',216,'N'),(20,5379431,'1A',201,'N'),(20,5379440,'1',101,'N'),(20,5379458,'1',451,'N'),(20,5379466,'1',501,'N'),(20,5379474,'1',211,'N'),(20,5379474,'1A',203,'N'),(20,5379482,'1',319,'N'),(20,5379490,'1',203,'N'),(20,5379490,'1A',220,'N'),(20,5379504,'1',201,'N'),(20,5379504,'1A',211,'N'),(20,5379512,'1',220,'N'),(20,5379512,'1A',203,'N'),(20,5379520,'1',453,'N'),(20,5379539,'1',653,'N'),(20,5379539,'1A',216,'N'),(20,5379555,'1',208,'N'),(20,5379555,'1A',238,'N'),(20,5379563,'1',340,'N'),(20,5379571,'1',202,'N'),(20,5379571,'1A',207,'N'),(20,5379580,'1',301,'N'),(20,5379601,'1',103,'N'),(20,5379610,'1',102,'N'),(20,5379628,'1',338,'N'),(20,5379636,'1',110,'N'),(20,5379644,'1',103,'N'),(20,5379652,'1',104,'N'),(20,5379660,'1',651,'N'),(20,5379660,'1A',653,'N'),(20,5379679,'1',326,'N'),(20,5379687,'1',103,'N'),(20,5379695,'1',103,'N'),(20,5379709,'1',332,'N'),(20,5379717,'1',317,'N'),(20,5379725,'1',652,'N'),(20,5379733,'1',303,'N'),(20,5379741,'1',220,'N'),(20,5379741,'1A',203,'N'),(20,5379750,'1',103,'N'),(20,5379768,'1',201,'N'),(20,5379768,'1A',211,'N'),(20,5379776,'1',203,'N'),(20,5379776,'1A',208,'N'),(20,5379784,'1',103,'N'),(20,5379792,'1',212,'N'),(20,5379792,'1A',215,'N'),(20,5379806,'1',340,'N'),(20,5379814,'1',216,'N'),(20,5379814,'1A',213,'N'),(20,5379822,'1',303,'N'),(20,5379830,'1',5,'N'),(20,5379849,'1',103,'N'),(20,5379857,'1',316,'N'),(20,5379865,'1',5,'N'),(20,5379873,'1',214,'N'),(20,5379873,'1A',212,'N'),(20,5379881,'1',103,'N'),(20,5379903,'1',5,'N'),(20,5379920,'1',103,'N'),(20,5379938,'1',340,'N'),(20,5379954,'1',202,'N'),(20,5379954,'1A',211,'N'),(20,5379962,'1',104,'N'),(20,5379970,'1',331,'N'),(20,5379989,'1',415,'N'),(20,5379997,'1',103,'N'),(20,5380006,'1',216,'N'),(20,5380006,'1A',233,'N'),(20,5380014,'1',104,'N'),(20,5380022,'1',316,'N'),(20,5380030,'1',215,'N'),(20,5380030,'1A',211,'N'),(20,5380057,'1',104,'N'),(20,5380065,'1',320,'N'),(20,5380073,'1',103,'N'),(20,5380081,'1',103,'N'),(20,5380090,'1',5,'N'),(20,5380103,'1',103,'N'),(20,5380111,'1',103,'N'),(20,5380120,'1',501,'N'),(20,5380138,'1',103,'N'),(20,5380146,'1',104,'N'),(20,5380154,'1',318,'N'),(20,5380162,'1',303,'N'),(20,5380170,'1',216,'N'),(20,5380170,'1A',201,'N'),(20,5380189,'1',101,'N'),(20,5380200,'1',203,'N'),(20,5380200,'1A',220,'N'),(20,5380219,'1',103,'N'),(20,5380227,'1',424,'N'),(20,5380227,'1A',429,'N'),(20,5380243,'1',104,'N'),(20,5380251,'1',108,'N'),(20,5380260,'1',444,'N'),(20,5380278,'1',104,'N'),(20,5380286,'1',308,'N'),(20,5380294,'1',102,'N'),(20,5380308,'1',420,'N'),(20,5380324,'1',201,'N'),(20,5380324,'1A',203,'N'),(20,5380332,'1',103,'N'),(20,5380340,'1',103,'N'),(20,5380359,'1',104,'N'),(20,5380367,'1',316,'N'),(20,5380375,'1',316,'N'),(20,5380383,'1',103,'N'),(20,5380391,'1',317,'N'),(20,5380405,'1',207,'N'),(20,5380405,'1A',201,'N'),(20,5380413,'1',452,'N'),(20,5380421,'1',208,'N'),(20,5380430,'1',333,'N'),(20,5380456,'1',203,'N'),(20,5380456,'1A',202,'N'),(20,5380464,'1',5,'N'),(20,5380472,'1',103,'N'),(20,5380480,'1',214,'N'),(20,5380480,'1A',203,'N'),(20,5380499,'1',103,'N'),(20,5380502,'1',428,'N'),(20,5380502,'1A',426,'N'),(20,5380510,'1',319,'N'),(20,5380553,'1',103,'N'),(20,5380561,'1',103,'N'),(20,5380588,'1',238,'N'),(20,5380588,'1A',208,'N'),(20,5380596,'1',215,'N'),(20,5380618,'1',420,'N'),(20,5380626,'1',308,'N'),(20,5380634,'1',444,'N'),(20,5380642,'1',302,'N'),(20,5380650,'1',201,'N'),(20,5380650,'1A',216,'N'),(20,5380669,'1',501,'N'),(20,5380685,'1',308,'N'),(20,5380707,'1',103,'N'),(20,5380715,'1',103,'N'),(20,5380723,'1',404,'N'),(20,5380731,'1',502,'N'),(20,5380740,'1',340,'N'),(20,5380758,'1',327,'N'),(20,5380766,'1',103,'N'),(20,5380782,'1',324,'N'),(20,5380790,'1',317,'N'),(20,5380804,'1',333,'N'),(20,5380812,'1',201,'N'),(20,5380812,'1A',207,'N'),(20,5380820,'1',207,'N'),(20,5380820,'1A',211,'N'),(20,5380839,'1',303,'N'),(20,5380863,'1',214,'N'),(20,5380863,'1A',211,'N'),(20,5380871,'1',103,'N'),(20,5380880,'1',108,'N'),(20,5380898,'1',235,'N'),(20,5380898,'1A',201,'N'),(20,5380901,'1',9,'N'),(20,5380910,'1',339,'N'),(20,5380928,'1',211,'N'),(20,5380928,'1A',215,'N'),(20,5380936,'1',201,'N'),(20,5380936,'1A',202,'N'),(20,5380944,'1',103,'N'),(20,5380960,'1',103,'N'),(20,5380979,'1',104,'N'),(20,5380987,'1',503,'N'),(20,5381002,'1',326,'N'),(20,5381010,'1',301,'N'),(20,5381029,'1',103,'N'),(20,5381037,'1',404,'N'),(20,5381045,'1',109,'N'),(20,5381053,'1',207,'N'),(20,5381053,'1A',201,'N'),(20,5381061,'1',340,'N'),(20,5381070,'1',103,'N'),(20,5381088,'1',238,'N'),(20,5381088,'1A',202,'N'),(20,5381096,'1',103,'N'),(20,5381100,'1',203,'N'),(20,5381100,'1A',207,'N'),(20,5381118,'1',316,'N'),(20,5381126,'1',452,'N'),(20,5381134,'1',425,'N'),(20,5381134,'1A',427,'N'),(20,5381150,'1',103,'N'),(20,5381177,'1',207,'N'),(20,5381177,'1A',212,'N'),(20,5381193,'1',103,'N'),(20,5381207,'1',211,'N'),(20,5381207,'1A',201,'N'),(20,5381215,'1',215,'N'),(20,5381215,'1A',214,'N'),(20,5381223,'1',216,'N'),(20,5381223,'1A',233,'N'),(20,5381231,'1',203,'N'),(20,5381231,'1A',202,'N'),(20,5381240,'1',309,'N'),(20,5381258,'1',202,'N'),(20,5381258,'1A',213,'N'),(20,5381266,'1',301,'N'),(20,5381274,'1',308,'N'),(20,5381282,'1',108,'N'),(20,5381290,'1',213,'N'),(20,5381290,'1A',601,'N'),(20,5381304,'1',104,'N'),(20,5381320,'1',420,'N'),(20,5381339,'1',324,'N'),(20,5381347,'1',301,'N'),(20,5381355,'1',102,'N'),(20,5381363,'1',207,'N'),(20,5381371,'1',308,'N'),(20,5381380,'1',302,'N'),(20,5381401,'1',203,'N'),(20,5381401,'1A',208,'N'),(20,5381410,'1',103,'N'),(20,5381428,'1',214,'N'),(20,5381428,'1A',212,'N'),(20,5381436,'1',451,'N'),(20,5381444,'1',233,'N'),(20,5381444,'1A',201,'N'),(20,5381452,'1',208,'N'),(20,5381452,'1A',238,'N'),(20,5381460,'1',211,'N'),(20,5381460,'1A',216,'N'),(20,5381479,'1',303,'N'),(20,5381487,'1',429,'N'),(20,5381487,'1A',427,'N'),(20,5381495,'1',220,'N'),(20,5381495,'1A',203,'N'),(20,5381509,'1',103,'N'),(20,5381517,'1',104,'N'),(20,5381525,'1',208,'N'),(20,5381525,'1A',201,'N'),(20,5381533,'1',103,'N'),(20,5381541,'1',424,'N'),(20,5381541,'1A',425,'N'),(20,5381550,'1',319,'N'),(20,5381568,'1',324,'N'),(20,5381576,'1',301,'N'),(20,5381584,'1',103,'N'),(20,5381592,'1',340,'N'),(20,5381606,'1',444,'N'),(20,5381614,'1',316,'N'),(20,5381622,'1',332,'N'),(20,5381630,'1',108,'N'),(20,5381649,'1',103,'N'),(20,5381657,'1',316,'N'),(20,5381673,'1',207,'N'),(20,5381673,'1A',211,'N'),(20,5381681,'1',320,'N'),(20,5381690,'1',326,'N'),(20,5381703,'1',104,'N'),(20,5381711,'1',102,'N'),(20,5381720,'1',303,'N'),(20,5381738,'1',203,'N'),(20,5381738,'1A',214,'N'),(20,5381746,'1',103,'N'),(20,5381754,'1',103,'N'),(20,5381762,'1',303,'N'),(20,5381770,'1',211,'N'),(20,5381770,'1A',215,'N'),(20,5381789,'1',340,'N'),(20,5381797,'1',102,'N'),(20,5381800,'1',108,'N'),(20,5381819,'1',220,'N'),(20,5381819,'1A',201,'N'),(20,5381827,'1',207,'N'),(20,5381827,'1A',238,'N'),(20,5381835,'1',203,'N'),(20,5381835,'1A',201,'N'),(20,5381843,'1',404,'N'),(20,5381851,'1',601,'N'),(20,5381851,'1A',201,'N'),(20,5381860,'1',202,'N'),(20,5381860,'1A',203,'N'),(20,5381878,'1',109,'N'),(20,5381886,'1',103,'N'),(20,5381894,'1',340,'N'),(20,5381908,'1',216,'N'),(20,5381908,'1A',214,'N'),(20,5381916,'1',5,'N'),(20,5381924,'1',103,'N'),(20,5381932,'1',104,'N'),(20,5381940,'1',103,'N'),(20,5381959,'1',103,'N'),(20,5381967,'1',103,'N'),(20,5381975,'1',451,'N'),(20,5381983,'1',103,'N'),(20,5381991,'1',202,'N'),(20,5381991,'1A',601,'N'),(20,5382009,'1',103,'N'),(20,5382017,'1',424,'N'),(20,5382017,'1A',425,'N'),(20,5382025,'1',316,'N'),(20,5382033,'1',104,'N'),(20,5382041,'1',104,'N'),(20,5382050,'1',503,'N'),(20,5382068,'1',303,'N'),(20,5382076,'1',450,'N'),(20,5382084,'1',202,'N'),(20,5382084,'1A',235,'N'),(20,5382092,'1',202,'N'),(20,5382092,'1A',233,'N'),(20,5382106,'1',319,'N'),(20,5382114,'1',303,'N'),(20,5382122,'1',103,'N'),(20,5382130,'1',340,'N'),(20,5382149,'1',103,'N'),(20,5382157,'1',103,'N'),(20,5382165,'1',652,'N'),(20,5382165,'1A',651,'N'),(20,5382173,'1',317,'N'),(20,5382181,'1',304,'N'),(20,5382190,'1',207,'N'),(20,5382203,'1',319,'N'),(20,5382211,'1',429,'N'),(20,5382211,'1A',426,'N'),(20,5382220,'1',103,'N'),(20,5382238,'1',103,'N'),(20,5382246,'1',103,'N'),(20,5382254,'1',103,'N'),(20,5382262,'1',5,'N'),(20,5382270,'1',103,'N'),(20,5382300,'1',420,'N'),(20,5382319,'1',103,'N'),(20,5382327,'1',104,'N'),(20,5382335,'1',336,'N'),(20,5382351,'1',329,'N'),(20,5382360,'1',203,'N'),(20,5382360,'1A',207,'N'),(20,5382378,'1',212,'N'),(20,5382378,'1A',214,'N'),(20,5382386,'1',103,'N'),(20,5382394,'1',103,'N'),(20,5382408,'1',308,'N'),(20,5382416,'1',201,'N'),(20,5382416,'1A',211,'N'),(20,5382424,'1',211,'N'),(20,5382424,'1A',216,'N'),(20,5382432,'1',336,'N'),(20,5382440,'1',216,'N'),(20,5382440,'1A',203,'N'),(20,5382459,'1',303,'N'),(20,5382467,'1',303,'N'),(20,5382475,'1',601,'N'),(20,5382475,'1A',220,'N'),(20,5382483,'1',326,'N'),(20,5382491,'1',203,'N'),(20,5382491,'1A',202,'N'),(20,5382505,'1',103,'N'),(20,5382513,'1',207,'N'),(20,5382513,'1A',201,'N'),(20,5382521,'1',102,'N'),(20,5382548,'1',201,'N'),(20,5382548,'1A',207,'N'),(20,5382556,'1',316,'N'),(20,5382564,'1',203,'N'),(20,5382564,'1A',202,'N'),(20,5382572,'1',216,'N'),(20,5382572,'1A',653,'N'),(20,5382580,'1',301,'N'),(20,5382599,'1',428,'N'),(20,5382599,'1A',425,'N'),(20,5382602,'1',202,'N'),(20,5382602,'1A',214,'N'),(20,5382610,'1',216,'N'),(20,5382610,'1A',203,'N'),(20,5382629,'1',103,'N'),(20,5382637,'1',103,'N'),(20,5382645,'1',207,'N'),(20,5382645,'1A',201,'N'),(20,5382653,'1',103,'N'),(20,5382661,'1',103,'N'),(20,5382670,'1',220,'N'),(20,5382670,'1A',235,'N'),(20,5382688,'1',451,'N'),(20,5382696,'1',212,'N'),(20,5382696,'1A',233,'N'),(20,5382700,'1',103,'N'),(20,5382718,'1',207,'N'),(20,5382726,'1',317,'N'),(20,5382734,'1',404,'N'),(20,5382742,'1',201,'N'),(20,5382742,'1A',207,'N'),(20,5382750,'1',319,'N'),(20,5382769,'1',653,'N'),(20,5382785,'1',501,'N'),(20,5382793,'1',238,'N'),(20,5382793,'1A',208,'N'),(20,5382807,'1',207,'N'),(20,5382807,'1A',201,'N'),(20,5382815,'1',103,'N'),(20,5382823,'1',103,'N'),(20,5382831,'1',103,'N'),(20,5382840,'1',103,'N'),(20,5382858,'1',333,'N'),(20,5382866,'1',653,'N'),(20,5382866,'1A',652,'N'),(20,5382874,'1',103,'N'),(20,5382882,'1',102,'N'),(20,5382904,'1',104,'N'),(20,5382912,'1',103,'N'),(20,5382920,'1',108,'N'),(20,5382939,'1',501,'N'),(20,5382947,'1',103,'N'),(20,5382955,'1',103,'N'),(20,5382963,'1',103,'N'),(20,5382971,'1',207,'N'),(20,5382980,'1',208,'N'),(20,5382980,'1A',216,'N'),(20,5382998,'1',211,'N'),(20,5382998,'1A',215,'N'),(20,5383005,'1',211,'N'),(20,5383005,'1A',207,'N'),(20,5383013,'1',420,'N'),(20,5383030,'1',205,'N'),(20,5383048,'1',103,'N'),(20,5383056,'1',214,'N'),(20,5383056,'1A',202,'N'),(20,5383064,'1',208,'N'),(20,5383064,'1A',216,'N'),(20,5383072,'1',234,'N'),(20,5383099,'1',317,'N'),(20,5383110,'1',203,'N'),(20,5383129,'1',426,'N'),(20,5383137,'1',653,'N'),(20,5383137,'1A',211,'N'),(20,5383145,'1',101,'N'),(20,5383153,'1',103,'N'),(20,5383161,'1',205,'N'),(20,5383170,'1',336,'N'),(20,5383188,'1',201,'N'),(20,5383188,'1A',212,'N'),(20,5383196,'1',301,'N'),(20,5383200,'1',502,'N'),(20,5383218,'1',421,'N'),(20,5383218,'1A',427,'N'),(20,5383234,'1',207,'N'),(20,5383234,'1A',201,'N'),(20,5383242,'1',238,'N'),(20,5383242,'1A',208,'N'),(20,5383250,'1',340,'N'),(20,5383269,'1',108,'N'),(20,5383277,'1',233,'N'),(20,5383277,'1A',238,'N'),(20,5383285,'1',104,'N'),(20,5383293,'1',208,'N'),(20,5383293,'1A',238,'N'),(20,5383307,'1',103,'N'),(20,5383315,'1',308,'N'),(20,5383323,'1',5,'N'),(20,5383331,'1',340,'N'),(20,5383340,'1',208,'N'),(20,5383340,'1A',238,'N'),(20,5383366,'1',2,'N'),(20,5383374,'1',316,'N'),(20,5383382,'1',103,'N'),(20,5383390,'1',103,'N'),(20,5383412,'1',103,'N'),(20,5383420,'1',5,'N'),(20,5383439,'1',104,'N'),(20,5383447,'1',103,'N'),(20,5383455,'1',333,'N'),(20,5383463,'1',428,'N'),(20,5383463,'1A',424,'N'),(20,5383471,'1',503,'N'),(20,5383498,'1',326,'N'),(20,5383501,'1',5,'N'),(20,5383510,'1',301,'N'),(20,5383528,'1',238,'N'),(20,5383528,'1A',208,'N'),(20,5383536,'1',415,'N'),(20,5383544,'1',339,'N'),(20,5383552,'1',216,'N'),(20,5383552,'1A',202,'N'),(20,5383560,'1',318,'N'),(20,5383579,'1',444,'N'),(20,5383587,'1',220,'N'),(20,5383587,'1A',201,'N'),(20,5383595,'1',415,'N'),(20,5383609,'1',452,'N'),(20,5383617,'1',331,'N'),(20,5383625,'1',103,'N'),(20,5383641,'1',212,'N'),(20,5383641,'1A',233,'N'),(20,5383650,'1',214,'N'),(20,5383650,'1A',233,'N'),(20,5383668,'1',9,'N'),(20,5383684,'1',429,'N'),(20,5383684,'1A',426,'N'),(20,5383692,'1',103,'N'),(20,5383706,'1',201,'N'),(20,5383706,'1A',213,'N'),(20,5383714,'1',205,'N'),(20,5383722,'1',104,'N'),(20,5383730,'1',336,'N'),(20,5383749,'1',211,'N'),(20,5383749,'1A',207,'N'),(20,5383757,'1',102,'N'),(20,5383765,'1',103,'N'),(20,5383773,'1',238,'N'),(20,5383773,'1A',208,'N'),(20,5383781,'1',318,'N'),(20,5383790,'1',110,'N'),(20,5383811,'1',9,'N'),(20,5383838,'1',207,'N'),(20,5383838,'1A',208,'N'),(20,5383854,'1',103,'N'),(20,5383862,'1',203,'N'),(20,5383862,'1A',201,'N'),(20,5383870,'1',216,'N'),(20,5383870,'1A',207,'N'),(20,5383889,'1',103,'N'),(20,5383897,'1',201,'N'),(20,5383897,'1A',601,'N'),(20,5383900,'1',601,'N'),(20,5383900,'1A',203,'N'),(20,5383919,'1',425,'N'),(20,5383919,'1A',427,'N'),(20,5383927,'1',216,'N'),(20,5383927,'1A',653,'N'),(20,5383935,'1',5,'N'),(20,5383943,'1',309,'N'),(20,5383951,'1',103,'N'),(20,5383960,'1',5,'N'),(20,5383978,'1',450,'N'),(20,5383986,'1',211,'N'),(20,5383986,'1A',208,'N'),(20,5383994,'1',207,'N'),(20,5383994,'1A',215,'N'),(20,5384010,'1',208,'N'),(20,5384010,'1A',652,'N'),(20,5384028,'1',420,'N'),(20,5384036,'1',211,'N'),(20,5384044,'1',103,'N'),(20,5384052,'1',212,'N'),(20,5384052,'1A',233,'N'),(20,5384060,'1',450,'N'),(20,5384079,'1',203,'N'),(20,5384079,'1A',214,'N'),(20,5384087,'1',308,'N'),(20,5384095,'1',316,'N'),(20,5384109,'1',301,'N'),(20,5384117,'1',319,'N'),(20,5384125,'1',103,'N'),(20,5384133,'1',220,'N'),(20,5384133,'1A',211,'N'),(20,5384150,'1',104,'N'),(20,5384176,'1',337,'N'),(20,5384184,'1',450,'N'),(20,5384192,'1',103,'N'),(20,5384206,'1',103,'N'),(20,5384214,'1',207,'N'),(20,5384214,'1A',211,'N'),(20,5384222,'1',5,'N'),(20,5384230,'1',104,'N'),(20,5384249,'1',108,'N'),(20,5384257,'1',207,'N'),(20,5384257,'1A',215,'N'),(20,5384265,'1',444,'N'),(20,5384273,'1',103,'N'),(20,5384281,'1',103,'N'),(20,5384290,'1',452,'N'),(20,5384311,'1',103,'N'),(20,5384320,'1',213,'N'),(20,5384320,'1A',235,'N'),(20,5384338,'1',308,'N'),(20,5384346,'1',103,'N'),(20,5384362,'1',450,'N'),(20,5384370,'1',501,'N'),(20,5384389,'1',207,'N'),(20,5384389,'1A',201,'N'),(20,5384397,'1',234,'N'),(20,5384400,'1',103,'N'),(20,5384419,'1',103,'N'),(20,5384435,'1',415,'N'),(20,5384443,'1',103,'N'),(20,5384451,'1',207,'N'),(20,5384460,'1',103,'N'),(20,5384478,'1',310,'N'),(20,5384486,'1',404,'N'),(20,5384494,'1',103,'N'),(20,5384508,'1',216,'N'),(20,5384508,'1A',233,'N'),(20,5384516,'1',103,'N'),(20,5384524,'1',326,'N'),(20,5384532,'1',303,'N'),(20,5384540,'1',318,'N'),(20,5384559,'1',444,'N'),(20,5384567,'1',103,'N'),(20,5384575,'1',207,'N'),(20,5384575,'1A',201,'N'),(20,5384583,'1',103,'N'),(20,5384591,'1',452,'N'),(20,5384605,'1',302,'N'),(20,5384613,'1',309,'N'),(20,5384621,'1',317,'N'),(20,5384630,'1',103,'N'),(20,5384656,'1',450,'N'),(20,5384664,'1',207,'N'),(20,5384664,'1A',201,'N'),(20,5384672,'1',320,'N'),(20,5384680,'1',444,'N'),(20,5384699,'1',3,'N'),(20,5384702,'1',207,'N'),(20,5384702,'1A',201,'N'),(20,5384710,'1',103,'N'),(20,5384729,'1',211,'N'),(20,5384729,'1A',214,'N'),(20,5384737,'1',336,'N'),(20,5384753,'1',404,'N'),(20,5384761,'1',420,'N'),(20,5384770,'1',103,'N'),(20,5384788,'1',415,'N'),(20,5384800,'1',103,'N'),(20,5384818,'1',308,'N'),(20,5384826,'1',202,'N'),(20,5384826,'1A',201,'N'),(20,5384834,'1',205,'N'),(20,5384842,'1',340,'N'),(20,5384850,'1',303,'N'),(20,5384877,'1',201,'N'),(20,5384877,'1A',212,'N'),(20,5384885,'1',211,'N'),(20,5384885,'1A',215,'N'),(20,5384893,'1',216,'N'),(20,5384915,'1',5,'N'),(20,5384923,'1',203,'N'),(20,5384923,'1A',207,'N'),(20,5384931,'1',340,'N'),(20,5384958,'1',201,'N'),(20,5384958,'1A',207,'N'),(20,5384966,'1',235,'N'),(20,5384966,'1A',202,'N'),(20,5384974,'1',304,'N'),(20,5384982,'1',211,'N'),(20,5384982,'1A',215,'N'),(20,5385008,'1',319,'N'),(20,5385016,'1',214,'N'),(20,5385016,'1A',213,'N'),(20,5385024,'1',319,'N'),(20,5385032,'1',103,'N'),(20,5385040,'1',212,'N'),(20,5385040,'1A',215,'N'),(20,5385059,'1',308,'N'),(20,5385067,'1',320,'N'),(20,5385075,'1',329,'N'),(20,5385091,'1',207,'N'),(20,5385091,'1A',201,'N'),(20,5385105,'1',5,'N'),(20,5385113,'1',316,'N'),(20,5385121,'1',103,'N'),(20,5385130,'1',103,'N'),(20,5385148,'1',103,'N'),(20,5385156,'1',103,'N'),(20,5385164,'1',208,'N'),(20,5385172,'1',238,'N'),(20,5385172,'1A',220,'N'),(20,5385180,'1',420,'N'),(20,5385199,'1',5,'N'),(20,5385202,'1',319,'N'),(20,5385210,'1',104,'N'),(20,5385229,'1',5,'N'),(20,5385237,'1',201,'N'),(20,5385237,'1A',207,'N'),(20,5385245,'1',451,'N'),(20,5385253,'1',238,'N'),(20,5385253,'1A',235,'N'),(20,5385261,'1',324,'N'),(20,5385288,'1',238,'N'),(20,5385288,'1A',212,'N'),(20,5385296,'1',415,'N'),(20,5385318,'1',450,'N'),(20,5385326,'1',103,'N'),(20,5385342,'1',301,'N'),(20,5385350,'1',103,'N'),(20,5385369,'1',103,'N'),(20,5385377,'1',316,'N'),(20,5385385,'1',202,'N'),(20,5385385,'1A',235,'N'),(20,5385393,'1',303,'N'),(20,5385407,'1',5,'N'),(20,5385415,'1',201,'N'),(20,5385415,'1A',212,'N'),(20,5385423,'1',5,'N'),(20,5385431,'1',103,'N'),(20,5385440,'1',453,'N'),(20,5385458,'1',216,'N'),(20,5385458,'1A',212,'N'),(20,5385466,'1',324,'N'),(20,5385474,'1',207,'N'),(20,5385474,'1A',216,'N'),(20,5385482,'1',103,'N'),(20,5385490,'1',415,'N'),(20,5385504,'1',303,'N'),(20,5385512,'1',233,'N'),(20,5385512,'1A',216,'N'),(20,5385520,'1',216,'N'),(20,5385520,'1A',233,'N'),(20,5385539,'1',103,'N'),(20,5385555,'1',103,'N'),(20,5385563,'1',333,'N'),(20,5385571,'1',208,'N'),(20,5385571,'1A',201,'N'),(20,5385580,'1',317,'N'),(20,5385598,'1',103,'N'),(20,5385601,'1',103,'N'),(20,5385628,'1',103,'N'),(20,5385636,'1',103,'N'),(20,5385652,'1',318,'N'),(20,5385660,'1',103,'N'),(20,5385679,'1',238,'N'),(20,5385679,'1A',220,'N'),(20,5385687,'1',103,'N'),(20,5385709,'1',5,'N'),(20,5385717,'1',304,'N'),(20,5385725,'1',203,'N'),(20,5385725,'1A',213,'N'),(20,5385741,'1',452,'N'),(20,5385750,'1',308,'N'),(20,5385768,'1',316,'N'),(20,5385784,'1',501,'N'),(20,5385792,'1',103,'N'),(20,5385806,'1',303,'N'),(20,5385814,'1',404,'N'),(20,5385830,'1',340,'N'),(20,5385849,'1',316,'N'),(20,5385857,'1',303,'N'),(20,5385865,'1',340,'N'),(20,5385881,'1',103,'N'),(20,5385890,'1',318,'N'),(20,5385903,'1',103,'N'),(20,5385911,'1',103,'N'),(20,5385920,'1',207,'N'),(20,5385920,'1A',233,'N'),(20,5385938,'1',9,'N'),(20,5385946,'1',332,'N'),(20,5385954,'1',103,'N'),(20,5385962,'1',216,'N'),(20,5385962,'1A',211,'N'),(20,5385970,'1',101,'N'),(20,5385997,'1',203,'N'),(20,5385997,'1A',601,'N'),(20,5386012,'1',211,'N'),(20,5386012,'1A',601,'N'),(20,5386020,'1',326,'N'),(20,5386039,'1',103,'N'),(20,5386047,'1',103,'N'),(20,5386055,'1',331,'N'),(20,5386071,'1',337,'N'),(20,5386080,'1',211,'N'),(20,5386098,'1',317,'N'),(20,5386101,'1',103,'N'),(20,5386110,'1',601,'N'),(20,5386128,'1',104,'N'),(20,5386136,'1',201,'N'),(20,5386136,'1A',207,'N'),(20,5386144,'1',336,'N'),(20,5386160,'1',212,'N'),(20,5386160,'1A',213,'N'),(20,5386179,'1',201,'N'),(20,5386179,'1A',233,'N'),(20,5386187,'1',503,'N'),(20,5386209,'1',238,'N'),(20,5386209,'1A',208,'N'),(20,5386217,'1',103,'N'),(20,5386225,'1',201,'N'),(20,5386225,'1A',207,'N'),(20,5386233,'1',238,'N'),(20,5386233,'1A',208,'N'),(20,5386241,'1',5,'N'),(20,5386250,'1',331,'N'),(20,5386284,'1',327,'N'),(20,5386292,'1',5,'N'),(20,5386306,'1',333,'N'),(20,5386314,'1',2,'N'),(20,5386322,'1',5,'N'),(20,5386330,'1',318,'N'),(20,5386349,'1',109,'N'),(20,5386357,'1',302,'N'),(20,5386365,'1',5,'N'),(20,5386373,'1',101,'N'),(20,5386381,'1',104,'N'),(20,5386411,'1',211,'N'),(20,5386411,'1A',653,'N'),(20,5386420,'1',208,'N'),(20,5386420,'1A',238,'N'),(20,5386438,'1',453,'N'),(20,5386446,'1',103,'N'),(20,5386462,'1',5,'N'),(20,5386470,'1',201,'N'),(20,5386470,'1A',601,'N'),(20,5386489,'1',103,'N'),(20,5386500,'1',238,'N'),(20,5386500,'1A',208,'N'),(20,5386535,'1',340,'N'),(20,5386543,'1',103,'N'),(20,5386551,'1',425,'N'),(20,5386551,'1A',426,'N'),(20,5386578,'1',102,'N'),(20,5386586,'1',339,'N'),(20,5386594,'1',601,'N'),(20,5386594,'1A',208,'N'),(20,5386608,'1',444,'N'),(20,5386616,'1',104,'N'),(20,5386624,'1',501,'N'),(20,5386659,'1',340,'N'),(20,5386667,'1',653,'N'),(20,5386667,'1A',652,'N'),(20,5386675,'1',340,'N'),(20,5386683,'1',103,'N'),(20,5386691,'1',340,'N'),(20,5386705,'1',207,'N'),(20,5386705,'1A',203,'N'),(20,5386713,'1',308,'N'),(20,5386721,'1',5,'N'),(20,5386730,'1',301,'N'),(20,5386748,'1',220,'N'),(20,5386748,'1A',202,'N'),(20,5386756,'1',339,'N'),(20,5386764,'1',201,'N'),(20,5386764,'1A',202,'N'),(20,5386772,'1',103,'N'),(20,5386780,'1',201,'N'),(20,5386780,'1A',235,'N'),(20,5386799,'1',652,'N'),(20,5386802,'1',238,'N'),(20,5386802,'1A',208,'N'),(20,5386810,'1',103,'N'),(20,5386829,'1',223,'N'),(20,5386837,'1',340,'N'),(20,5386845,'1',216,'N'),(20,5386845,'1A',211,'N'),(20,5386853,'1',329,'N'),(20,5386861,'1',404,'N'),(20,5386888,'1',452,'N'),(20,5386896,'1',214,'N'),(20,5386896,'1A',212,'N'),(20,5386900,'1',235,'N'),(20,5386900,'1A',220,'N'),(20,5386918,'1',109,'N'),(20,5386934,'1',425,'N'),(20,5386934,'1A',429,'N'),(20,5386942,'1',102,'N'),(20,5386950,'1',202,'N'),(20,5386950,'1A',213,'N'),(20,5386969,'1',212,'N'),(20,5386969,'1A',201,'N'),(20,5386977,'1',601,'N'),(20,5386977,'1A',653,'N'),(20,5386985,'1',316,'N'),(20,5387000,'1',203,'N'),(20,5387027,'1',340,'N'),(20,5387035,'1',319,'N'),(20,5387043,'1',317,'N'),(20,5387051,'1',104,'N'),(20,5387060,'1',652,'N'),(20,5387078,'1',319,'N'),(20,5387094,'1',450,'N'),(20,5387108,'1',103,'N'),(20,5387116,'1',317,'N'),(20,5387124,'1',103,'N'),(20,5387140,'1',202,'N'),(20,5387140,'1A',652,'N'),(20,5387159,'1',202,'N'),(20,5387159,'1A',203,'N'),(20,5387167,'1',103,'N'),(20,5387175,'1',327,'N'),(20,5387183,'1',202,'N'),(20,5387183,'1A',213,'N'),(20,5387191,'1',336,'N'),(20,5387213,'1',302,'N'),(20,5387221,'1',653,'N'),(20,5387221,'1A',652,'N'),(20,5387230,'1',308,'N'),(20,5387248,'1',339,'N'),(20,5387256,'1',308,'N'),(20,5387264,'1',103,'N'),(20,5387272,'1',424,'N'),(20,5387272,'1A',427,'N'),(20,5387280,'1',421,'N'),(20,5387280,'1A',427,'N'),(20,5387299,'1',101,'N'),(20,5387302,'1',102,'N'),(20,5387310,'1',216,'N'),(20,5387310,'1A',202,'N'),(20,5387329,'1',101,'N'),(20,5387337,'1',302,'N'),(20,5387353,'1',103,'N'),(20,5387361,'1',320,'N'),(20,5387370,'1',110,'N'),(20,5387388,'1',424,'N'),(20,5387388,'1A',427,'N'),(20,5387400,'1',5,'N'),(20,5387418,'1',331,'N'),(20,5387426,'1',214,'N'),(20,5387426,'1A',213,'N'),(20,5387442,'1',207,'N'),(20,5387442,'1A',202,'N'),(20,5387450,'1',340,'N'),(20,5387477,'1',203,'N'),(20,5387477,'1A',216,'N'),(20,5387485,'1',201,'N'),(20,5387485,'1A',212,'N'),(20,5387507,'1',652,'N'),(20,5387515,'1',103,'N'),(20,5387531,'1',216,'N'),(20,5387531,'1A',233,'N'),(20,5387540,'1',5,'N'),(20,5387558,'1',101,'N'),(20,5387566,'1',340,'N'),(20,5387574,'1',103,'N'),(20,5387582,'1',415,'N'),(20,5387590,'1',103,'N'),(20,5387604,'1',501,'N'),(20,5387612,'1',103,'N'),(20,5387620,'1',317,'N'),(20,5387639,'1',201,'N'),(20,5387639,'1A',653,'N'),(20,5387647,'1',108,'N'),(20,5387655,'1',102,'N'),(20,5387663,'1',444,'N'),(20,5387671,'1',5,'N'),(20,5387701,'1',333,'N'),(20,5387710,'1',316,'N'),(20,5387736,'1',103,'N'),(20,5387744,'1',304,'N'),(20,5387752,'1',5,'N'),(20,5387787,'1',203,'N'),(20,5387787,'1A',220,'N'),(20,5387795,'1',328,'N'),(20,5387809,'1',340,'N'),(20,5387817,'1',551,'N'),(20,5387833,'1',415,'N'),(20,5387841,'1',102,'N'),(20,5387850,'1',103,'N'),(20,5387868,'1',317,'N'),(20,5387876,'1',444,'N'),(20,5387884,'1',302,'N'),(20,5387892,'1',103,'N'),(20,5387914,'1',404,'N'),(20,5387949,'1',102,'N'),(20,5387965,'1',319,'N'),(20,5387973,'1',215,'N'),(20,5387981,'1',551,'N'),(20,5388007,'1',238,'N'),(20,5388007,'1A',202,'N'),(20,5388023,'1',303,'N'),(20,5388031,'1',103,'N'),(20,5388040,'1',103,'N'),(20,5388058,'1',452,'N'),(20,5388066,'1',103,'N'),(20,5388074,'1',319,'N'),(20,5388082,'1',103,'N'),(20,5388104,'1',501,'N'),(20,5388112,'1',317,'N'),(20,5388120,'1',5,'N'),(20,5388139,'1',332,'N'),(20,5388155,'1',318,'N'),(20,5388163,'1',5,'N'),(20,5388171,'1',103,'N'),(20,5388180,'1',202,'N'),(20,5388180,'1A',235,'N'),(20,5388198,'1',108,'N'),(20,5388201,'1',103,'N'),(20,5388228,'1',309,'N'),(20,5388236,'1',327,'N'),(20,5388244,'1',340,'N'),(20,5388260,'1',203,'N'),(20,5388260,'1A',214,'N'),(20,5388279,'1',318,'N'),(20,5388287,'1',304,'N'),(20,5388295,'1',302,'N'),(20,5388309,'1',9,'N'),(20,5388317,'1',103,'N'),(20,5388325,'1',104,'N'),(20,5388333,'1',336,'N'),(20,5388341,'1',214,'N'),(20,5388341,'1A',233,'N'),(20,5388368,'1',332,'N'),(20,5388376,'1',319,'N'),(20,5388384,'1',503,'N'),(20,5388392,'1',202,'N'),(20,5388392,'1A',213,'N'),(20,5388406,'1',103,'N'),(20,5388414,'1',205,'N'),(20,5388422,'1',103,'N'),(20,5388449,'1',5,'N'),(20,5388457,'1',320,'N'),(20,5388465,'1',201,'N'),(20,5388465,'1A',207,'N'),(20,5388473,'1',207,'N'),(20,5388473,'1A',215,'N'),(20,5388481,'1',425,'N'),(20,5388481,'1A',429,'N'),(20,5388490,'1',302,'N'),(20,5388503,'1',104,'N'),(20,5388520,'1',319,'N'),(20,5388546,'1',103,'N'),(20,5388554,'1',201,'N'),(20,5388554,'1A',233,'N'),(20,5388562,'1',208,'N'),(20,5388562,'1A',235,'N'),(20,5388570,'1',5,'N'),(20,5388589,'1',332,'N'),(20,5388597,'1',238,'N'),(20,5388597,'1A',208,'N'),(20,5388600,'1',103,'N'),(20,5388619,'1',238,'N'),(20,5388619,'1A',208,'N'),(20,5388627,'1',103,'N'),(20,5388635,'1',303,'N'),(20,5388643,'1',318,'N'),(20,5388651,'1',201,'N'),(20,5388651,'1A',233,'N'),(20,5388678,'1',450,'N'),(20,5388686,'1',5,'N'),(20,5388694,'1',201,'N'),(20,5388694,'1A',207,'N'),(20,5388716,'1',203,'N'),(20,5388716,'1A',216,'N'),(20,5388724,'1',501,'N'),(20,5388732,'1',207,'N'),(20,5388732,'1A',201,'N'),(20,5388740,'1',316,'N'),(20,5388759,'1',319,'N'),(20,5388767,'1',5,'N'),(20,5388775,'1',324,'N'),(20,5388783,'1',201,'N'),(20,5388791,'1',103,'N'),(20,5388805,'1',102,'N'),(20,5388813,'1',340,'N'),(20,5388821,'1',108,'N'),(20,5388830,'1',415,'N'),(20,5388856,'1',238,'N'),(20,5388856,'1A',220,'N'),(20,5388864,'1',104,'N'),(20,5388872,'1',404,'N'),(20,5388880,'1',103,'N'),(20,5388899,'1',450,'N'),(20,5388902,'1',316,'N'),(20,5388910,'1',207,'N'),(20,5388910,'1A',233,'N'),(20,5388929,'1',208,'N'),(20,5388929,'1A',238,'N'),(20,5388937,'1',333,'N'),(20,5388945,'1',2,'N'),(20,5388953,'1',453,'N'),(20,5388961,'1',214,'N'),(20,5388961,'1A',212,'N'),(20,5388970,'1',332,'N'),(20,5388988,'1',653,'N'),(20,5388988,'1A',652,'N'),(20,5388996,'1',337,'N'),(20,5389003,'1',2,'N'),(20,5389011,'1',238,'N'),(20,5389011,'1A',208,'N'),(20,5389020,'1',301,'N'),(20,5389038,'1',201,'N'),(20,5389046,'1',5,'N'),(20,5389054,'1',301,'N'),(20,5389062,'1',424,'N'),(20,5389062,'1A',429,'N'),(20,5389070,'1',207,'N'),(20,5389089,'1',201,'N'),(20,5389089,'1A',212,'N'),(20,5389097,'1',203,'N'),(20,5389100,'1',103,'N'),(20,5389119,'1',220,'N'),(20,5389119,'1A',238,'N'),(20,5389127,'1',104,'N'),(20,5389143,'1',5,'N'),(20,5389151,'1',652,'N'),(20,5389160,'1',5,'N'),(20,5389178,'1',5,'N'),(20,5389186,'1',203,'N'),(20,5389186,'1A',214,'N'),(20,5389194,'1',502,'N'),(20,5389208,'1',5,'N'),(20,5389216,'1',208,'N'),(20,5389216,'1A',238,'N'),(20,5389224,'1',207,'N'),(20,5389240,'1',103,'N'),(20,5389259,'1',319,'N'),(20,5389267,'1',426,'N'),(20,5389267,'1A',428,'N'),(20,5389275,'1',203,'N'),(20,5389275,'1A',202,'N'),(20,5389283,'1',103,'N'),(20,5389291,'1',317,'N'),(20,5389305,'1',601,'N'),(20,5389305,'1A',207,'N'),(20,5389313,'1',340,'N'),(20,5389321,'1',103,'N'),(20,5389330,'1',415,'N'),(20,5389348,'1',201,'N'),(20,5389348,'1A',233,'N'),(20,5389356,'1',601,'N'),(20,5389356,'1A',201,'N'),(20,5389364,'1',216,'N'),(20,5389364,'1A',233,'N'),(20,5389372,'1',201,'N'),(20,5389372,'1A',212,'N'),(20,5389380,'1',216,'N'),(20,5389380,'1A',211,'N'),(20,5389402,'1',216,'N'),(20,5389402,'1A',203,'N'),(20,5389410,'1',318,'N'),(20,5389429,'1',103,'N'),(20,5389437,'1',319,'N'),(20,5389445,'1',316,'N'),(20,5389453,'1',201,'N'),(20,5389453,'1A',601,'N'),(20,5389470,'1',103,'N'),(20,5389488,'1',103,'N'),(20,5389496,'1',326,'N'),(20,5389500,'1',301,'N'),(20,5389526,'1',304,'N'),(20,5389534,'1',653,'N'),(20,5389542,'1',331,'N'),(20,5389550,'1',235,'N'),(20,5389550,'1A',213,'N'),(20,5389585,'1',203,'N'),(20,5389593,'1',404,'N'),(20,5389607,'1',201,'N'),(20,5389607,'1A',207,'N'),(20,5389615,'1',103,'N'),(20,5389623,'1',103,'N'),(20,5389631,'1',303,'N'),(20,5389640,'1',202,'N'),(20,5389640,'1A',238,'N'),(20,5389658,'1',101,'N'),(20,5389666,'1',338,'N'),(20,5389674,'1',103,'N'),(20,5389682,'1',332,'N'),(20,5389690,'1',331,'N'),(20,5389704,'1',453,'N'),(20,5389712,'1',601,'N'),(20,5389712,'1A',233,'N'),(20,5389720,'1',203,'N'),(20,5389720,'1A',214,'N'),(20,5389739,'1',103,'N'),(20,5389747,'1',202,'N'),(20,5389747,'1A',213,'N'),(20,5389755,'1',103,'N'),(20,5389763,'1',202,'N'),(20,5389763,'1A',208,'N'),(20,5389771,'1',301,'N'),(20,5389780,'1',103,'N'),(20,5389798,'1',452,'N'),(20,5389801,'1',340,'N'),(20,5389810,'1',326,'N'),(20,5389828,'1',415,'N'),(20,5389836,'1',211,'N'),(20,5389836,'1A',215,'N'),(20,5389844,'1',316,'N'),(20,5389852,'1',103,'N'),(20,5389860,'1',317,'N'),(20,5389879,'1',103,'N'),(20,5389887,'1',103,'N'),(20,5389895,'1',104,'N'),(20,5389909,'1',601,'N'),(20,5389917,'1',207,'N'),(20,5389917,'1A',212,'N'),(20,5389925,'1',216,'N'),(20,5389925,'1A',208,'N'),(20,5389941,'1',316,'N'),(20,5389950,'1',202,'N'),(20,5389950,'1A',235,'N'),(20,5389984,'1',103,'N'),(20,5389992,'1',333,'N'),(20,5390001,'1',216,'N'),(20,5390001,'1A',220,'N'),(20,5390010,'1',652,'N'),(20,5390010,'1A',651,'N'),(20,5390028,'1',212,'N'),(20,5390028,'1A',201,'N'),(20,5390036,'1',211,'N'),(20,5390036,'1A',208,'N'),(20,5390044,'1',303,'N'),(20,5390052,'1',203,'N'),(20,5390052,'1A',202,'N'),(20,5390060,'1',444,'N'),(20,5390079,'1',207,'N'),(20,5390079,'1A',201,'N'),(20,5390087,'1',103,'N'),(20,5390095,'1',652,'N'),(20,5390095,'1A',653,'N'),(20,5390109,'1',551,'N'),(20,5390117,'1',316,'N'),(20,5390125,'1',201,'N'),(20,5390125,'1A',203,'N'),(20,5390133,'1',104,'N'),(20,5390141,'1',213,'N'),(20,5390141,'1A',220,'N'),(20,5390150,'1',5,'N'),(20,5390168,'1',104,'N'),(20,5390176,'1',215,'N'),(20,5390176,'1A',211,'N'),(20,5390184,'1',103,'N'),(20,5390192,'1',215,'N'),(20,5390192,'1A',211,'N'),(20,5390206,'1',203,'N'),(20,5390206,'1A',220,'N'),(20,5390214,'1',303,'N'),(20,5390222,'1',340,'N'),(20,5390230,'1',238,'N'),(20,5390249,'1',103,'N'),(20,5390265,'1',201,'N'),(20,5390265,'1A',207,'N'),(20,5390273,'1',302,'N'),(20,5390281,'1',424,'N'),(20,5390281,'1A',428,'N'),(20,5390290,'1',318,'N'),(20,5390303,'1',551,'N'),(20,5390311,'1',234,'N'),(20,5390320,'1',428,'N'),(20,5390320,'1A',426,'N'),(20,5390346,'1',601,'N'),(20,5390346,'1A',203,'N'),(20,5390354,'1',333,'N'),(20,5390362,'1',303,'N'),(20,5390370,'1',444,'N'),(20,5390389,'1',103,'N'),(20,5390397,'1',203,'N'),(20,5390397,'1A',220,'N'),(20,5390400,'1',207,'N'),(20,5390400,'1A',208,'N'),(20,5390419,'1',102,'N'),(20,5390427,'1',103,'N'),(20,5390435,'1',651,'N'),(20,5390435,'1A',653,'N'),(20,5390443,'1',316,'N'),(20,5390451,'1',9,'N'),(20,5390460,'1',212,'N'),(20,5390460,'1A',203,'N'),(20,5390478,'1',104,'N'),(20,5390494,'1',338,'N'),(20,5390508,'1',203,'N'),(20,5390508,'1A',214,'N'),(20,5390516,'1',404,'N'),(20,5390532,'1',103,'N'),(20,5390540,'1',201,'N'),(20,5390540,'1A',212,'N'),(20,5390567,'1',444,'N'),(20,5390575,'1',103,'N'),(20,5390591,'1',201,'N'),(20,5390613,'1',108,'N'),(20,5390621,'1',340,'N'),(20,5390630,'1',103,'N'),(20,5390648,'1',319,'N'),(20,5390656,'1',214,'N'),(20,5390664,'1',203,'N'),(20,5390664,'1A',214,'N'),(20,5390672,'1',450,'N'),(20,5390680,'1',104,'N'),(20,5390699,'1',5,'N'),(20,5390702,'1',329,'N'),(20,5390710,'1',404,'N'),(20,5390729,'1',652,'N'),(20,5390729,'1A',208,'N'),(20,5390737,'1',309,'N'),(20,5390745,'1',333,'N'),(20,5390753,'1',201,'N'),(20,5390753,'1A',203,'N'),(20,5390761,'1',108,'N'),(20,5390770,'1',601,'N'),(20,5390770,'1A',201,'N'),(20,5390788,'1',337,'N'),(20,5390796,'1',5,'N'),(20,5390800,'1',103,'N'),(20,5390818,'1',110,'N'),(20,5390834,'1',215,'N'),(20,5390842,'1',201,'N'),(20,5390842,'1A',207,'N'),(20,5390850,'1',308,'N'),(20,5390869,'1',319,'N'),(20,5390877,'1',103,'N'),(20,5390885,'1',340,'N'),(20,5390893,'1',310,'N'),(20,5390907,'1',331,'N'),(20,5390915,'1',420,'N'),(20,5390931,'1',302,'N'),(20,5390940,'1',103,'N'),(20,5390958,'1',415,'N'),(20,5390966,'1',103,'N'),(20,5390974,'1',601,'N'),(20,5390974,'1A',201,'N'),(20,5390982,'1',235,'N'),(20,5390982,'1A',203,'N'),(20,5391008,'1',3,'N'),(20,5391024,'1',233,'N'),(20,5391024,'1A',201,'N'),(20,5391032,'1',238,'N'),(20,5391032,'1A',212,'N'),(20,5391040,'1',205,'N'),(20,5391059,'1',404,'N'),(20,5391067,'1',101,'N'),(20,5391075,'1',453,'N'),(20,5391083,'1',220,'N'),(20,5391083,'1A',212,'N'),(20,5391091,'1',202,'N'),(20,5391091,'1A',235,'N'),(20,5391121,'1',201,'N'),(20,5391121,'1A',220,'N'),(20,5391130,'1',103,'N'),(20,5391156,'1',444,'N'),(20,5391164,'1',103,'N'),(20,5391172,'1',5,'N'),(20,5391180,'1',203,'N'),(20,5391180,'1A',214,'N'),(20,5391199,'1',420,'N'),(20,5391202,'1',103,'N'),(20,5391210,'1',103,'N'),(20,5391229,'1',328,'N'),(20,5391237,'1',203,'N'),(20,5391237,'1A',202,'N'),(20,5391245,'1',201,'N'),(20,5391245,'1A',207,'N'),(20,5391253,'1',452,'N'),(20,5391270,'1',201,'N'),(20,5391288,'1',208,'N'),(20,5391288,'1A',238,'N'),(20,5391296,'1',327,'N'),(20,5391300,'1',103,'N'),(20,5391318,'1',103,'N'),(20,5391326,'1',212,'N'),(20,5391326,'1A',238,'N'),(20,5391334,'1',420,'N'),(20,5391342,'1',327,'N'),(20,5391350,'1',420,'N'),(20,5391369,'1',104,'N'),(20,5391377,'1',214,'N'),(20,5391377,'1A',212,'N'),(20,5391385,'1',207,'N'),(20,5391385,'1A',212,'N'),(20,5391393,'1',415,'N'),(20,5391407,'1',327,'N'),(20,5391415,'1',9,'N'),(20,5391423,'1',215,'N'),(20,5391431,'1',207,'N'),(20,5391431,'1A',201,'N'),(20,5391440,'1',340,'N'),(20,5391458,'1',501,'N'),(20,5391466,'1',5,'N'),(20,5391482,'1',207,'N'),(20,5391482,'1A',211,'N'),(20,5391490,'1',452,'N'),(20,5391504,'1',103,'N'),(20,5391512,'1',102,'N'),(20,5391520,'1',224,'N'),(20,5391539,'1',452,'N'),(20,5391547,'1',108,'N'),(20,5391555,'1',415,'N'),(20,5391563,'1',103,'N'),(20,5391580,'1',103,'N'),(20,5391598,'1',233,'N'),(20,5391598,'1A',601,'N'),(20,5391610,'1',502,'N'),(20,5391628,'1',103,'N'),(20,5391636,'1',326,'N'),(20,5391644,'1',340,'N'),(20,5391652,'1',601,'N'),(20,5391652,'1A',214,'N'),(20,5391660,'1',103,'N'),(20,5391679,'1',104,'N'),(20,5391687,'1',340,'N'),(20,5391709,'1',101,'N'),(20,5391717,'1',103,'N'),(20,5391725,'1',317,'N'),(20,5391733,'1',601,'N'),(20,5391741,'1',103,'N'),(20,5391750,'1',103,'N'),(20,5391776,'1',652,'N'),(20,5391776,'1A',653,'N'),(20,5391784,'1',102,'N'),(20,5391792,'1',103,'N'),(20,5391806,'1',423,'N'),(20,5391806,'1A',429,'N'),(20,5391814,'1',203,'N'),(20,5391814,'1A',202,'N'),(20,5391822,'1',216,'N'),(20,5391822,'1A',201,'N'),(20,5391830,'1',203,'N'),(20,5391830,'1A',208,'N'),(20,5391849,'1',340,'N'),(20,5391857,'1',316,'N'),(20,5391873,'1',303,'N'),(20,5391881,'1',208,'N'),(20,5391881,'1A',238,'N'),(20,5391890,'1',201,'N'),(20,5391890,'1A',212,'N'),(20,5391903,'1',103,'N'),(20,5391911,'1',319,'N'),(20,5391920,'1',652,'N'),(20,5391920,'1A',651,'N'),(20,5391938,'1',103,'N'),(20,5391946,'1',326,'N'),(20,5391954,'1',316,'N'),(20,5391989,'1',601,'N'),(20,5391989,'1A',201,'N'),(20,5392004,'1',9,'N'),(20,5392012,'1',103,'N'),(20,5392020,'1',5,'N'),(20,5392039,'1',215,'N'),(20,5392039,'1A',201,'N'),(20,5392047,'1',319,'N'),(20,5392055,'1',429,'N'),(20,5392055,'1A',425,'N'),(20,5392063,'1',5,'N'),(20,5392071,'1',415,'N'),(20,5392080,'1',103,'N'),(20,5392098,'1',211,'N'),(20,5392098,'1A',203,'N'),(20,5392101,'1',235,'N'),(20,5392101,'1A',233,'N'),(20,5392110,'1',220,'N'),(20,5392144,'1',420,'N'),(20,5392152,'1',424,'N'),(20,5392152,'1A',425,'N'),(20,5392160,'1',316,'N'),(20,5392187,'1',319,'N'),(20,5392195,'1',103,'N'),(20,5392209,'1',203,'N'),(20,5392209,'1A',201,'N'),(20,5392217,'1',332,'N'),(20,5392225,'1',103,'N'),(20,5392233,'1',233,'N'),(20,5392233,'1A',201,'N'),(20,5392241,'1',303,'N'),(20,5392284,'1',207,'N'),(20,5392284,'1A',201,'N'),(20,5392292,'1',201,'N'),(20,5392292,'1A',233,'N'),(20,5392306,'1',301,'N'),(20,5392314,'1',327,'N'),(20,5392322,'1',451,'N'),(20,5392330,'1',501,'N'),(20,5392357,'1',450,'N'),(20,5392365,'1',103,'N'),(20,5392373,'1',103,'N'),(20,5392381,'1',308,'N'),(20,5392390,'1',340,'N'),(20,5392411,'1',452,'N'),(20,5392420,'1',331,'N'),(20,5392454,'1',308,'N'),(20,5392462,'1',211,'N'),(20,5392470,'1',103,'N'),(20,5392489,'1',215,'N'),(20,5392489,'1A',653,'N'),(20,5392497,'1',453,'N'),(20,5392500,'1',444,'N'),(20,5392527,'1',415,'N'),(20,5392535,'1',427,'N'),(20,5392535,'1A',423,'N'),(20,5392543,'1',103,'N'),(20,5392551,'1',320,'N'),(20,5392560,'1',316,'N'),(20,5392578,'1',202,'N'),(20,5392578,'1A',220,'N'),(20,5392586,'1',215,'N'),(20,5392586,'1A',233,'N'),(20,5392608,'1',423,'N'),(20,5392608,'1A',424,'N'),(20,5392616,'1',301,'N'),(20,5392624,'1',327,'N'),(20,5392640,'1',103,'N'),(20,5392659,'1',424,'N'),(20,5392659,'1A',423,'N'),(20,5392667,'1',303,'N'),(20,5392675,'1',103,'N'),(20,5392683,'1',103,'N'),(20,5392691,'1',301,'N'),(20,5392705,'1',426,'N'),(20,5392705,'1A',421,'N'),(20,5392713,'1',301,'N'),(20,5392721,'1',426,'N'),(20,5392721,'1A',425,'N'),(20,5392730,'1',450,'N'),(20,5392748,'1',415,'N'),(20,5392756,'1',225,'N'),(20,5392764,'1',108,'N'),(20,5392772,'1',324,'N'),(20,5392780,'1',203,'N'),(20,5392780,'1A',202,'N'),(20,5392799,'1',207,'N'),(20,5392799,'1A',601,'N'),(20,5392810,'1',103,'N'),(20,5392829,'1',201,'N'),(20,5392829,'1A',212,'N'),(20,5392845,'1',216,'N'),(20,5392845,'1A',214,'N'),(20,5392853,'1',3,'N'),(20,5392861,'1',202,'N'),(20,5392861,'1A',203,'N'),(20,5392888,'1',423,'N'),(20,5392896,'1',211,'N'),(20,5392896,'1A',212,'N'),(20,5392900,'1',203,'N'),(20,5392900,'1A',208,'N'),(20,5392926,'1',303,'N'),(20,5392934,'1',333,'N'),(20,5392942,'1',103,'N'),(20,5392950,'1',316,'N'),(20,5392969,'1',238,'N'),(20,5392969,'1A',215,'N'),(20,5392977,'1',329,'N'),(20,5392985,'1',333,'N'),(20,5392993,'1',652,'N'),(20,5392993,'1A',653,'N'),(20,5393000,'1',423,'N'),(20,5393000,'1A',426,'N'),(20,5393019,'1',301,'N'),(20,5393035,'1',3,'N'),(20,5393051,'1',453,'N'),(20,5393060,'1',108,'N'),(20,5393078,'1',404,'N'),(20,5393086,'1',216,'N'),(20,5393086,'1A',211,'N'),(20,5393094,'1',103,'N'),(20,5393108,'1',450,'N'),(20,5393116,'1',104,'N'),(20,5393124,'1',451,'N'),(20,5393132,'1',216,'N'),(20,5393132,'1A',215,'N'),(20,5393140,'1',308,'N'),(20,5393167,'1',108,'N'),(20,5393175,'1',319,'N'),(20,5393183,'1',215,'N'),(20,5393183,'1A',211,'N'),(20,5393191,'1',103,'N'),(20,5393205,'1',420,'N'),(20,5393221,'1',103,'N'),(20,5393230,'1',203,'N'),(20,5393230,'1A',653,'N'),(20,5393248,'1',303,'N'),(20,5393256,'1',308,'N'),(20,5393264,'1',5,'N'),(20,5393272,'1',319,'N'),(20,5393280,'1',651,'N'),(20,5393280,'1A',652,'N'),(20,5393302,'1',235,'N'),(20,5393302,'1A',203,'N'),(20,5393310,'1',220,'N'),(20,5393329,'1',103,'N'),(20,5393337,'1',404,'N'),(20,5393345,'1',238,'N'),(20,5393345,'1A',208,'N'),(20,5393353,'1',319,'N'),(20,5393361,'1',301,'N'),(20,5393370,'1',207,'N'),(20,5393388,'1',103,'N'),(20,5393396,'1',104,'N'),(20,5393400,'1',428,'N'),(20,5393400,'1A',427,'N'),(20,5393426,'1',225,'N'),(20,5393434,'1',425,'N'),(20,5393442,'1',233,'N'),(20,5393442,'1A',208,'N'),(20,5393450,'1',303,'N'),(20,5393469,'1',653,'N'),(20,5393469,'1A',652,'N'),(20,5393485,'1',212,'N'),(20,5393485,'1A',201,'N'),(20,5393493,'1',108,'N'),(20,5393515,'1',340,'N'),(20,5393523,'1',9,'N'),(20,5393540,'1',216,'N'),(20,5393566,'1',201,'N'),(20,5393566,'1A',212,'N'),(20,5393574,'1',452,'N'),(20,5393582,'1',316,'N'),(20,5393590,'1',202,'N'),(20,5393590,'1A',216,'N'),(20,5393612,'1',207,'N'),(20,5393620,'1',207,'N'),(20,5393639,'1',103,'N'),(20,5393647,'1',304,'N'),(20,5393655,'1',207,'N'),(20,5393655,'1A',208,'N'),(20,5393663,'1',420,'N'),(20,5393671,'1',601,'N'),(20,5393680,'1',103,'N'),(20,5393698,'1',451,'N'),(20,5393701,'1',340,'N'),(20,5393710,'1',207,'N'),(20,5393710,'1A',211,'N'),(20,5393728,'1',104,'N'),(20,5393744,'1',3,'N'),(20,5393760,'1',324,'N'),(20,5393779,'1',9,'N'),(20,5393787,'1',109,'N'),(20,5393795,'1',318,'N'),(20,5393809,'1',103,'N'),(20,5393817,'1',320,'N'),(20,5393825,'1',340,'N'),(20,5393833,'1',103,'N'),(20,5393841,'1',207,'N'),(20,5393841,'1A',212,'N'),(20,5393850,'1',202,'N'),(20,5393850,'1A',213,'N'),(20,5393868,'1',220,'N'),(20,5393868,'1A',202,'N'),(20,5393876,'1',426,'N'),(20,5393876,'1A',429,'N'),(20,5393884,'1',340,'N'),(20,5393906,'1',326,'N'),(20,5393914,'1',320,'N'),(20,5393922,'1',428,'N'),(20,5393922,'1A',423,'N'),(20,5393930,'1',104,'N'),(20,5393949,'1',207,'N'),(20,5393949,'1A',201,'N'),(20,5393957,'1',501,'N'),(20,5393965,'1',207,'N'),(20,5393965,'1A',215,'N'),(20,5393981,'1',216,'N'),(20,5393981,'1A',203,'N'),(20,5393990,'1',103,'N'),(20,5394007,'1',601,'N'),(20,5394007,'1A',203,'N'),(20,5394015,'1',215,'N'),(20,5394015,'1A',211,'N'),(20,5394023,'1',211,'N'),(20,5394023,'1A',216,'N'),(20,5394031,'1',328,'N'),(20,5394058,'1',203,'N'),(20,5394058,'1A',208,'N'),(20,5394104,'1',207,'N'),(20,5394104,'1A',215,'N'),(20,5394112,'1',335,'N'),(20,5394120,'1',103,'N'),(20,5394139,'1',108,'N'),(20,5394147,'1',335,'N'),(20,5394155,'1',5,'N'),(20,5394163,'1',102,'N'),(20,5394171,'1',428,'N'),(20,5394171,'1A',425,'N'),(20,5394180,'1',451,'N'),(20,5394198,'1',216,'N'),(20,5394201,'1',450,'N'),(20,5394210,'1',425,'N'),(20,5394210,'1A',424,'N'),(20,5394228,'1',103,'N'),(20,5394236,'1',103,'N'),(20,5394244,'1',208,'N'),(20,5394244,'1A',213,'N'),(20,5394252,'1',420,'N'),(20,5394260,'1',108,'N'),(20,5394279,'1',216,'N'),(20,5394279,'1A',215,'N'),(20,5394287,'1',103,'N'),(20,5394295,'1',208,'N'),(20,5394295,'1A',238,'N'),(20,5394309,'1',316,'N'),(20,5394317,'1',108,'N'),(20,5394325,'1',427,'N'),(20,5394333,'1',103,'N'),(20,5394341,'1',103,'N'),(20,5394350,'1',333,'N'),(20,5394368,'1',502,'N'),(20,5394376,'1',103,'N'),(20,5394384,'1',450,'N'),(20,5394392,'1',208,'N'),(20,5394392,'1A',216,'N'),(20,5394406,'1',104,'N'),(20,5394414,'1',450,'N'),(20,5394422,'1',316,'N'),(20,5394449,'1',103,'N'),(20,5394457,'1',103,'N'),(20,5394465,'1',340,'N'),(20,5394481,'1',103,'N'),(20,5394490,'1',428,'N'),(20,5394503,'1',601,'N'),(20,5394503,'1A',207,'N'),(20,5394511,'1',340,'N'),(20,5394546,'1',339,'N'),(20,5394554,'1',316,'N'),(20,5394570,'1',103,'N'),(20,5394589,'1',233,'N'),(20,5394597,'1',207,'N'),(20,5394597,'1A',211,'N'),(20,5394600,'1',233,'N'),(20,5394600,'1A',211,'N'),(20,5394619,'1',415,'N'),(20,5394643,'1',103,'N'),(20,5394651,'1',320,'N'),(20,5394660,'1',207,'N'),(20,5394660,'1A',201,'N'),(20,5394678,'1',211,'N'),(20,5394678,'1A',216,'N'),(20,5394686,'1',208,'N'),(20,5394694,'1',103,'N'),(20,5394708,'1',234,'N'),(20,5394716,'1',424,'N'),(20,5394724,'1',234,'N'),(20,5394740,'1',203,'N'),(20,5394740,'1A',653,'N'),(20,5394759,'1',103,'N'),(20,5394767,'1',103,'N'),(20,5394775,'1',233,'N'),(20,5394775,'1A',653,'N'),(20,5394783,'1',429,'N'),(20,5394783,'1A',425,'N'),(20,5394805,'1',103,'N'),(20,5394821,'1',320,'N'),(20,5394848,'1',316,'N'),(20,5394856,'1',109,'N'),(20,5394864,'1',319,'N'),(20,5394872,'1',316,'N'),(20,5394899,'1',207,'N'),(20,5394899,'1A',211,'N'),(20,5394910,'1',340,'N'),(20,5394929,'1',316,'N'),(20,5394937,'1',303,'N'),(20,5394988,'1',310,'N'),(20,5394996,'1',318,'N'),(20,5395003,'1',104,'N'),(20,5395011,'1',304,'N'),(20,5395038,'1',5,'N'),(20,5395046,'1',211,'N'),(20,5395046,'1A',601,'N'),(20,5395054,'1',207,'N'),(20,5395054,'1A',201,'N'),(20,5395070,'1',303,'N'),(20,5395089,'1',212,'N'),(20,5395089,'1A',216,'N'),(20,5395097,'1',103,'N'),(20,5395100,'1',316,'N'),(20,5395119,'1',208,'N'),(20,5395119,'1A',601,'N'),(20,5395127,'1',301,'N'),(20,5395151,'1',213,'N'),(20,5395151,'1A',212,'N'),(20,5395160,'1',207,'N'),(20,5395160,'1A',211,'N'),(20,5395186,'1',104,'N'),(20,5395194,'1',215,'N'),(20,5395194,'1A',216,'N'),(20,5395216,'1',329,'N'),(20,5395224,'1',404,'N'),(20,5395240,'1',340,'N'),(20,5395259,'1',304,'N'),(20,5395267,'1',444,'N'),(20,5395291,'1',301,'N'),(20,5395305,'1',451,'N'),(20,5395313,'1',235,'N'),(20,5395313,'1A',220,'N'),(20,5395321,'1',101,'N'),(20,5395330,'1',5,'N'),(20,5395348,'1',653,'N'),(20,5395348,'1A',203,'N'),(20,5395356,'1',103,'N'),(20,5395380,'1',453,'N'),(20,5395402,'1',9,'N'),(20,5395410,'1',207,'N'),(20,5395410,'1A',201,'N'),(20,5395429,'1',303,'N'),(20,5395437,'1',103,'N'),(20,5395445,'1',238,'N'),(20,5395445,'1A',235,'N'),(20,5395461,'1',310,'N'),(20,5395470,'1',103,'N'),(20,5395488,'1',318,'N'),(20,5395500,'1',302,'N'),(20,5395518,'1',213,'N'),(20,5395518,'1A',235,'N'),(20,5395534,'1',201,'N'),(20,5395534,'1A',601,'N'),(20,5395542,'1',215,'N'),(20,5395542,'1A',207,'N'),(20,5395550,'1',103,'N'),(20,5395569,'1',208,'N'),(20,5395577,'1',601,'N'),(20,5395577,'1A',207,'N'),(20,5395585,'1',201,'N'),(20,5395585,'1A',212,'N'),(20,5395593,'1',211,'N'),(20,5395593,'1A',233,'N'),(20,5395615,'1',319,'N'),(20,5395623,'1',340,'N'),(20,5395631,'1',303,'N'),(20,5395640,'1',415,'N'),(20,5395658,'1',103,'N'),(20,5395666,'1',103,'N'),(20,5395674,'1',103,'N'),(20,5395682,'1',103,'N'),(20,5395704,'1',340,'N'),(20,5395712,'1',104,'N'),(20,5395720,'1',207,'N'),(20,5395720,'1A',233,'N'),(20,5395739,'1',318,'N'),(20,5395755,'1',104,'N'),(20,5395763,'1',503,'N'),(20,5395771,'1',216,'N'),(20,5395771,'1A',215,'N'),(20,5395798,'1',203,'N'),(20,5395810,'1',203,'N'),(20,5395810,'1A',201,'N'),(20,5395828,'1',202,'N'),(20,5395828,'1A',213,'N'),(20,5395836,'1',340,'N'),(20,5395844,'1',333,'N'),(20,5395852,'1',108,'N'),(20,5395879,'1',421,'N'),(20,5395879,'1A',425,'N'),(20,5395887,'1',215,'N'),(20,5395887,'1A',201,'N'),(20,5395909,'1',451,'N'),(20,5395917,'1',103,'N'),(20,5395925,'1',340,'N'),(20,5395933,'1',103,'N'),(20,5395950,'1',319,'N'),(20,5395968,'1',301,'N'),(20,5395984,'1',103,'N'),(20,5395992,'1',102,'N'),(20,5396000,'1',450,'N'),(20,5396026,'1',426,'N'),(20,5396034,'1',302,'N'),(20,5396042,'1',104,'N'),(20,5396069,'1',203,'N'),(20,5396069,'1A',201,'N'),(20,5396077,'1',211,'N'),(20,5396077,'1A',207,'N'),(20,5396115,'1',104,'N'),(20,5396140,'1',208,'N'),(20,5396140,'1A',238,'N'),(20,5396158,'1',332,'N'),(20,5396166,'1',301,'N'),(20,5396174,'1',308,'N'),(20,5396182,'1',415,'N'),(20,5396190,'1',303,'N'),(20,5396204,'1',103,'N'),(20,5396220,'1',319,'N'),(20,5396239,'1',601,'N'),(20,5396239,'1A',653,'N'),(20,5396247,'1',415,'N'),(20,5396271,'1',203,'N'),(20,5396271,'1A',201,'N'),(20,5396280,'1',103,'N'),(20,5396298,'1',208,'N'),(20,5396298,'1A',203,'N'),(20,5396310,'1',420,'N'),(20,5396328,'1',303,'N'),(20,5396344,'1',104,'N'),(20,5396352,'1',238,'N'),(20,5396352,'1A',208,'N'),(20,5396379,'1',203,'N'),(20,5396379,'1A',215,'N'),(20,5396387,'1',601,'N'),(20,5396387,'1A',201,'N'),(20,5396395,'1',653,'N'),(20,5396395,'1A',651,'N'),(20,5396409,'1',201,'N'),(20,5396417,'1',203,'N'),(20,5396417,'1A',220,'N'),(20,5396425,'1',102,'N'),(20,5396450,'1',316,'N'),(20,5396476,'1',415,'N'),(20,5396484,'1',318,'N'),(20,5396506,'1',104,'N'),(20,5396514,'1',340,'N'),(20,5396522,'1',340,'N'),(20,5396530,'1',304,'N'),(20,5396557,'1',452,'N'),(20,5396565,'1',318,'N'),(20,5396573,'1',453,'N'),(20,5396603,'1',303,'N'),(20,5396611,'1',303,'N'),(20,5396620,'1',333,'N'),(20,5396638,'1',215,'N'),(20,5396646,'1',502,'N'),(20,5396654,'1',501,'N'),(20,5396662,'1',103,'N'),(20,5396670,'1',303,'N'),(20,5396689,'1',301,'N'),(20,5396697,'1',651,'N'),(20,5396697,'1A',652,'N'),(20,5396727,'1',104,'N'),(20,5396743,'1',420,'N'),(20,5396751,'1',319,'N'),(20,5396760,'1',103,'N'),(20,5396778,'1',326,'N'),(20,5396786,'1',103,'N'),(20,5396794,'1',316,'N'),(20,5396808,'1',9,'N'),(20,5396816,'1',404,'N'),(20,5396824,'1',318,'N'),(20,5396840,'1',103,'N'),(20,5396859,'1',420,'N'),(20,5396867,'1',103,'N'),(20,5396875,'1',201,'N'),(20,5396875,'1A',207,'N'),(20,5396883,'1',102,'N'),(20,5396891,'1',329,'N'),(20,5396905,'1',202,'N'),(20,5396905,'1A',235,'N'),(20,5396913,'1',601,'N'),(20,5396913,'1A',203,'N'),(20,5396921,'1',103,'N'),(20,5396930,'1',9,'N'),(20,5396956,'1',318,'N'),(20,5396964,'1',318,'N'),(20,5396972,'1',303,'N'),(20,5397006,'1',415,'N'),(20,5397014,'1',303,'N'),(20,5397022,'1',211,'N'),(20,5397030,'1',324,'N'),(20,5397049,'1',5,'N'),(20,5397073,'1',9,'N'),(20,5397081,'1',429,'N'),(20,5397081,'1A',427,'N'),(20,5397090,'1',203,'N'),(20,5397090,'1A',202,'N'),(20,5397103,'1',316,'N'),(20,5397120,'1',103,'N'),(20,5397138,'1',450,'N'),(20,5397154,'1',451,'N'),(20,5397162,'1',338,'N'),(20,5397170,'1',9,'N'),(20,5397197,'1',102,'N'),(20,5397200,'1',450,'N'),(20,5397219,'1',324,'N'),(20,5397235,'1',5,'N'),(20,5397251,'1',203,'N'),(20,5397251,'1A',601,'N'),(20,5397260,'1',3,'N'),(20,5397278,'1',301,'N'),(20,5397294,'1',420,'N'),(20,5397308,'1',103,'N'),(20,5397340,'1',501,'N'),(20,5397367,'1',302,'N'),(20,5397375,'1',223,'N'),(20,5397383,'1',225,'N'),(20,5397391,'1',303,'N'),(20,5397405,'1',601,'N'),(20,5397421,'1',415,'N'),(20,5397430,'1',201,'N'),(20,5397448,'1',104,'N'),(20,5397456,'1',653,'N'),(20,5397456,'1A',652,'N'),(20,5397464,'1',103,'N'),(20,5397472,'1',336,'N'),(20,5397480,'1',501,'N'),(20,5397499,'1',201,'N'),(20,5397499,'1A',212,'N'),(20,5397502,'1',2,'N'),(20,5397510,'1',503,'N'),(20,5397529,'1',5,'N'),(20,5397545,'1',214,'N'),(20,5397545,'1A',212,'N'),(20,5397561,'1',5,'N'),(20,5397570,'1',103,'N'),(20,5397588,'1',318,'N'),(20,5397596,'1',316,'N'),(20,5397600,'1',653,'N'),(20,5397600,'1A',216,'N'),(20,5397618,'1',310,'N'),(20,5397626,'1',203,'N'),(20,5397626,'1A',214,'N'),(20,5397634,'1',601,'N'),(20,5397634,'1A',235,'N'),(20,5397642,'1',5,'N'),(20,5397669,'1',503,'N'),(20,5397677,'1',202,'N'),(20,5397677,'1A',235,'N'),(20,5397693,'1',238,'N'),(20,5397693,'1A',208,'N'),(20,5397715,'1',303,'N'),(20,5397723,'1',103,'N'),(20,5397731,'1',102,'N'),(20,5397758,'1',426,'N'),(20,5397758,'1A',423,'N'),(20,5397766,'1',103,'N'),(20,5397774,'1',238,'N'),(20,5397774,'1A',651,'N'),(20,5397782,'1',310,'N'),(20,5397790,'1',103,'N'),(20,5397804,'1',404,'N'),(20,5397839,'1',203,'N'),(20,5397839,'1A',214,'N'),(20,5397847,'1',5,'N'),(20,5397863,'1',318,'N'),(20,5397871,'1',203,'N'),(20,5397871,'1A',215,'N'),(20,5397898,'1',103,'N'),(20,5397901,'1',214,'N'),(20,5397901,'1A',211,'N'),(20,5397910,'1',301,'N'),(20,5397928,'1',211,'N'),(20,5397928,'1A',215,'N'),(20,5397936,'1',303,'N'),(20,5397944,'1',220,'N'),(20,5397944,'1A',235,'N'),(20,5397952,'1',103,'N'),(20,5397960,'1',201,'N'),(20,5397960,'1A',207,'N'),(20,5397979,'1',103,'N'),(20,5397987,'1',318,'N'),(20,5397995,'1',233,'N'),(20,5398010,'1',103,'N'),(20,5398029,'1',220,'N'),(20,5398029,'1A',235,'N'),(20,5398045,'1',233,'N'),(20,5398045,'1A',235,'N'),(20,5398053,'1',316,'N'),(20,5398061,'1',317,'N'),(20,5398070,'1',109,'N'),(20,5398088,'1',235,'N'),(20,5398088,'1A',238,'N'),(20,5398096,'1',339,'N'),(20,5398100,'1',340,'N'),(20,5398118,'1',420,'N'),(20,5398134,'1',208,'N'),(20,5398134,'1A',203,'N'),(20,5398142,'1',103,'N'),(20,5398150,'1',340,'N'),(20,5398177,'1',452,'N'),(20,5398185,'1',215,'N'),(20,5398185,'1A',211,'N'),(20,5398193,'1',216,'N'),(20,5398193,'1A',215,'N'),(20,5398207,'1',102,'N'),(20,5398215,'1',203,'N'),(20,5398215,'1A',214,'N'),(20,5398223,'1',302,'N'),(20,5398231,'1',208,'N'),(20,5398231,'1A',238,'N'),(20,5398240,'1',103,'N'),(20,5398258,'1',201,'N'),(20,5398258,'1A',212,'N'),(20,5398266,'1',3,'N'),(20,5398274,'1',415,'N'),(20,5398312,'1',201,'N'),(20,5398312,'1A',212,'N'),(20,5398320,'1',3,'N'),(20,5398339,'1',310,'N'),(20,5398355,'1',317,'N'),(20,5398363,'1',404,'N'),(20,5398380,'1',103,'N'),(20,5398398,'1',303,'N'),(20,5398401,'1',450,'N'),(20,5398428,'1',340,'N'),(20,5398436,'1',453,'N'),(20,5398444,'1',213,'N'),(20,5398444,'1A',201,'N'),(20,5398460,'1',452,'N'),(20,5398479,'1',404,'N'),(20,5398487,'1',452,'N'),(20,5398495,'1',2,'N'),(20,5398509,'1',327,'N'),(20,5398517,'1',303,'N'),(20,5398525,'1',444,'N'),(20,5398533,'1',319,'N'),(20,5398541,'1',203,'N'),(20,5398541,'1A',214,'N'),(20,5398568,'1',201,'N'),(20,5398568,'1A',601,'N'),(20,5398576,'1',215,'N'),(20,5398576,'1A',208,'N'),(20,5398584,'1',450,'N'),(20,5398592,'1',328,'N'),(20,5398614,'1',103,'N'),(20,5398622,'1',214,'N'),(20,5398622,'1A',203,'N'),(20,5398630,'1',235,'N'),(20,5398630,'1A',220,'N'),(20,5398649,'1',451,'N'),(20,5398657,'1',104,'N'),(20,5398665,'1',104,'N'),(20,5398681,'1',102,'N'),(20,5398690,'1',220,'N'),(20,5398720,'1',103,'N'),(20,5398738,'1',103,'N'),(20,5398746,'1',238,'N'),(20,5398746,'1A',208,'N'),(20,5398754,'1',104,'N'),(20,5398762,'1',214,'N'),(20,5398762,'1A',201,'N'),(20,5398789,'1',103,'N'),(20,5398797,'1',316,'N'),(20,5398800,'1',423,'N'),(20,5398800,'1A',425,'N'),(20,5398819,'1',450,'N'),(20,5398843,'1',102,'N'),(20,5398851,'1',216,'N'),(20,5398851,'1A',208,'N'),(20,5398860,'1',303,'N'),(20,5398908,'1',109,'N'),(20,5398916,'1',238,'N'),(20,5398916,'1A',202,'N'),(20,5398924,'1',203,'N'),(20,5398924,'1A',214,'N'),(20,5398940,'1',501,'N'),(20,5398975,'1',103,'N'),(20,5398983,'1',103,'N'),(20,5398991,'1',207,'N'),(20,5398991,'1A',201,'N'),(20,5399017,'1',319,'N'),(20,5399033,'1',103,'N'),(20,5399041,'1',601,'N'),(20,5399041,'1A',220,'N'),(20,5399050,'1',333,'N'),(20,5399068,'1',201,'N'),(20,5399068,'1A',212,'N'),(20,5399106,'1',202,'N'),(20,5399106,'1A',220,'N'),(20,5399114,'1',103,'N'),(20,5399122,'1',103,'N'),(20,5399157,'1',202,'N'),(20,5399157,'1A',220,'N'),(20,5399165,'1',333,'N'),(20,5399173,'1',451,'N'),(20,5399181,'1',316,'N'),(20,5399190,'1',326,'N'),(20,5399211,'1',502,'N'),(20,5399238,'1',201,'N'),(20,5399238,'1A',207,'N'),(20,5399246,'1',319,'N'),(20,5399262,'1',103,'N'),(20,5399270,'1',316,'N'),(20,5399289,'1',216,'N'),(20,5399289,'1A',220,'N'),(20,5399297,'1',103,'N'),(20,5399300,'1',501,'N'),(20,5399319,'1',207,'N'),(20,5399319,'1A',201,'N'),(20,5399335,'1',103,'N'),(20,5399343,'1',444,'N'),(20,5399351,'1',103,'N'),(20,5399378,'1',316,'N'),(20,5399386,'1',5,'N'),(20,5399408,'1',201,'N'),(20,5399408,'1A',207,'N'),(20,5399416,'1',222,'N'),(20,5399424,'1',234,'N'),(20,5399459,'1',444,'N'),(20,5399467,'1',444,'N'),(20,5399475,'1',426,'N'),(20,5399475,'1A',429,'N'),(20,5399491,'1',324,'N'),(20,5399505,'1',404,'N'),(20,5399513,'1',338,'N'),(20,5399521,'1',214,'N'),(20,5399521,'1A',212,'N'),(20,5399556,'1',336,'N'),(20,5399572,'1',222,'N'),(20,5399599,'1',653,'N'),(20,5399599,'1A',208,'N'),(20,5399610,'1',215,'N'),(20,5399610,'1A',238,'N'),(20,5399629,'1',103,'N'),(20,5399645,'1',102,'N'),(20,5399653,'1',208,'N'),(20,5399653,'1A',202,'N'),(20,5399661,'1',203,'N'),(20,5399661,'1A',214,'N'),(20,5399688,'1',450,'N'),(20,5399700,'1',216,'N'),(20,5399700,'1A',201,'N'),(20,5399718,'1',103,'N'),(20,5399726,'1',109,'N'),(20,5399734,'1',444,'N'),(20,5399742,'1',316,'N'),(20,5399750,'1',404,'N'),(20,5399769,'1',202,'N'),(20,5399769,'1A',235,'N'),(20,5399777,'1',202,'N'),(20,5399777,'1A',208,'N'),(20,5399793,'1',104,'N'),(20,5399815,'1',451,'N'),(20,5399823,'1',207,'N'),(20,5399823,'1A',233,'N'),(20,5399840,'1',103,'N'),(20,5399858,'1',9,'N'),(20,5399866,'1',9,'N'),(20,5399874,'1',444,'N'),(20,5399882,'1',304,'N'),(20,5399890,'1',5,'N'),(20,5399904,'1',415,'N'),(20,5399920,'1',207,'N'),(20,5399939,'1',316,'N'),(20,5399955,'1',324,'N'),(20,5399963,'1',201,'N'),(20,5399963,'1A',202,'N'),(20,5399971,'1',202,'N'),(20,5399971,'1A',208,'N'),(20,5399980,'1',551,'N'),(20,5399998,'1',415,'N'),(20,5400007,'1',203,'N'),(20,5400007,'1A',214,'N'),(20,5400015,'1',319,'N'),(20,5400023,'1',5,'N'),(20,5400031,'1',319,'N'),(20,5400058,'1',304,'N'),(20,5400066,'1',319,'N'),(20,5400074,'1',301,'N'),(20,5400082,'1',336,'N'),(20,5400090,'1',103,'N'),(20,5400104,'1',601,'N'),(20,5400112,'1',653,'N'),(20,5400112,'1A',202,'N'),(20,5400120,'1',203,'N'),(20,5400120,'1A',220,'N'),(20,5400139,'1',101,'N'),(20,5400147,'1',202,'N'),(20,5400147,'1A',213,'N'),(20,5400163,'1',303,'N'),(20,5400171,'1',309,'N'),(20,5400180,'1',503,'N'),(20,5400198,'1',428,'N'),(20,5400198,'1A',423,'N'),(20,5400201,'1',451,'N'),(20,5400210,'1',203,'N'),(20,5400210,'1A',601,'N'),(20,5400228,'1',103,'N'),(20,5400236,'1',9,'N'),(20,5400244,'1',201,'N'),(20,5400244,'1A',207,'N'),(20,5400252,'1',104,'N'),(20,5400279,'1',2,'N'),(20,5400295,'1',9,'N'),(20,5400309,'1',103,'N'),(20,5400333,'1',421,'N'),(20,5400333,'1A',429,'N'),(20,5400341,'1',319,'N'),(20,5400368,'1',207,'N'),(20,5400376,'1',103,'N'),(20,5400392,'1',202,'N'),(20,5400392,'1A',238,'N'),(20,5400406,'1',216,'N'),(20,5400406,'1A',215,'N'),(20,5400422,'1',316,'N'),(20,5400430,'1',203,'N'),(20,5400430,'1A',214,'N'),(20,5400457,'1',302,'N'),(20,5400465,'1',104,'N'),(20,5400481,'1',103,'N'),(20,5400490,'1',207,'N'),(20,5400490,'1A',211,'N'),(20,5400503,'1',651,'N'),(20,5400511,'1',327,'N'),(20,5400520,'1',324,'N'),(20,5400538,'1',201,'N'),(20,5400538,'1A',211,'N'),(20,5400546,'1',5,'N'),(20,5400554,'1',203,'N'),(20,5400554,'1A',220,'N'),(20,5400562,'1',222,'N'),(20,5400570,'1',203,'N'),(20,5400570,'1A',201,'N'),(20,5400589,'1',108,'N'),(20,5400597,'1',103,'N'),(20,5400600,'1',501,'N'),(20,5400619,'1',103,'N'),(20,5400635,'1',103,'N'),(20,5400643,'1',203,'N'),(20,5400643,'1A',201,'N'),(20,5400651,'1',207,'N'),(20,5400651,'1A',201,'N'),(20,5400660,'1',329,'N'),(20,5400678,'1',211,'N'),(20,5400678,'1A',207,'N'),(20,5400686,'1',303,'N'),(20,5400694,'1',103,'N'),(20,5400708,'1',326,'N'),(20,5400716,'1',103,'N'),(20,5400759,'1',420,'N'),(20,5400767,'1',103,'N'),(20,5400775,'1',601,'N'),(20,5400775,'1A',213,'N'),(20,5400783,'1',5,'N'),(20,5400791,'1',304,'N'),(20,5400813,'1',103,'N'),(20,5400821,'1',104,'N'),(20,5400830,'1',601,'N'),(20,5400848,'1',104,'N'),(20,5400864,'1',404,'N'),(20,5400899,'1',501,'N'),(20,5400929,'1',303,'N'),(20,5400937,'1',652,'N'),(20,5400937,'1A',653,'N'),(20,5400945,'1',103,'N'),(20,5400961,'1',103,'N'),(20,5400970,'1',101,'N'),(20,5400996,'1',203,'N'),(20,5400996,'1A',212,'N'),(20,5401003,'1',222,'N'),(20,5401011,'1',319,'N'),(20,5401038,'1',211,'N'),(20,5401038,'1A',216,'N'),(20,5401046,'1',5,'N'),(20,5401054,'1',316,'N'),(20,5401062,'1',5,'N'),(20,5401070,'1',317,'N'),(20,5401097,'1',103,'N'),(20,5401100,'1',104,'N'),(20,5401119,'1',304,'N'),(20,5401127,'1',103,'N'),(20,5401143,'1',333,'N'),(20,5401160,'1',5,'N'),(20,5401178,'1',425,'N'),(20,5401178,'1A',428,'N'),(20,5401186,'1',310,'N'),(20,5401208,'1',208,'N'),(20,5401208,'1A',203,'N'),(20,5401216,'1',5,'N'),(20,5401224,'1',316,'N'),(20,5401232,'1',501,'N'),(20,5401240,'1',103,'N'),(20,5401259,'1',213,'N'),(20,5401259,'1A',214,'N'),(20,5401283,'1',333,'N'),(20,5401291,'1',340,'N'),(20,5401313,'1',224,'N'),(20,5401330,'1',601,'N'),(20,5401330,'1A',220,'N'),(20,5401348,'1',415,'N'),(20,5401372,'1',5,'N'),(20,5401399,'1',104,'N'),(20,5401429,'1',203,'N'),(20,5401429,'1A',220,'N'),(20,5401445,'1',238,'N'),(20,5401445,'1A',208,'N'),(20,5401453,'1',328,'N'),(20,5401461,'1',452,'N'),(20,5401470,'1',103,'N'),(20,5401488,'1',340,'N'),(20,5401496,'1',207,'N'),(20,5401496,'1A',212,'N'),(20,5401518,'1',216,'N'),(20,5401518,'1A',233,'N'),(20,5401542,'1',444,'N'),(20,5401577,'1',340,'N'),(20,5401585,'1',103,'N'),(20,5401593,'1',103,'N'),(20,5401607,'1',101,'N'),(20,5401615,'1',103,'N'),(20,5401623,'1',5,'N'),(20,5401631,'1',201,'N'),(20,5401631,'1A',601,'N'),(20,5401658,'1',337,'N'),(20,5401666,'1',415,'N'),(20,5401674,'1',303,'N'),(20,5401682,'1',339,'N'),(20,5401690,'1',103,'N'),(20,5401704,'1',103,'N'),(20,5401712,'1',238,'N'),(20,5401720,'1',103,'N'),(20,5401739,'1',238,'N'),(20,5401739,'1A',220,'N'),(20,5401747,'1',103,'N'),(20,5401755,'1',452,'N'),(20,5401771,'1',9,'N'),(20,5401780,'1',453,'N'),(20,5401798,'1',238,'N'),(20,5401798,'1A',208,'N'),(20,5401801,'1',202,'N'),(20,5401801,'1A',213,'N'),(20,5401810,'1',601,'N'),(20,5401810,'1A',203,'N'),(20,5401828,'1',316,'N'),(20,5401836,'1',216,'N'),(20,5401836,'1A',201,'N'),(20,5401844,'1',103,'N'),(20,5401852,'1',318,'N'),(20,5401860,'1',216,'N'),(20,5401860,'1A',211,'N'),(20,5401879,'1',5,'N'),(20,5401887,'1',316,'N'),(20,5401895,'1',5,'N'),(20,5401909,'1',452,'N'),(20,5401917,'1',335,'N'),(20,5401925,'1',318,'N'),(20,5401950,'1',238,'N'),(20,5401968,'1',203,'N'),(20,5401968,'1A',214,'N'),(20,5401976,'1',429,'N'),(20,5401976,'1A',428,'N'),(20,5401992,'1',104,'N'),(20,5402018,'1',5,'N'),(20,5402026,'1',102,'N'),(20,5402034,'1',310,'N'),(20,5402042,'1',333,'N'),(20,5402050,'1',108,'N'),(20,5402069,'1',420,'N'),(20,5402077,'1',450,'N'),(20,5402085,'1',317,'N'),(20,5402093,'1',216,'N'),(20,5402093,'1A',203,'N'),(20,5402107,'1',238,'N'),(20,5402107,'1A',202,'N'),(20,5402115,'1',601,'N'),(20,5402115,'1A',202,'N'),(20,5402123,'1',214,'N'),(20,5402123,'1A',212,'N'),(20,5402131,'1',201,'N'),(20,5402131,'1A',211,'N'),(20,5402140,'1',201,'N'),(20,5402140,'1A',213,'N'),(20,5402158,'1',103,'N'),(20,5402166,'1',319,'N'),(20,5402174,'1',104,'N'),(20,5402182,'1',108,'N'),(20,5402190,'1',208,'N'),(20,5402220,'1',309,'N'),(20,5402239,'1',102,'N'),(20,5402247,'1',324,'N'),(20,5402255,'1',452,'N'),(20,5402271,'1',102,'N'),(20,5402280,'1',211,'N'),(20,5402280,'1A',216,'N'),(20,5402298,'1',103,'N'),(20,5402301,'1',103,'N'),(20,5402310,'1',208,'N'),(20,5402310,'1A',201,'N'),(20,5402336,'1',339,'N'),(20,5402344,'1',318,'N'),(20,5402352,'1',404,'N'),(20,5402395,'1',452,'N'),(20,5402409,'1',303,'N'),(20,5402417,'1',104,'N'),(20,5402433,'1',329,'N'),(20,5402450,'1',452,'N'),(20,5402468,'1',103,'N'),(20,5402484,'1',103,'N'),(20,5402492,'1',201,'N'),(20,5402492,'1A',233,'N'),(20,5402522,'1',201,'N'),(20,5402522,'1A',220,'N'),(20,5402530,'1',109,'N'),(20,5402549,'1',329,'N'),(20,5402557,'1',203,'N'),(20,5402557,'1A',216,'N'),(20,5402565,'1',5,'N'),(20,5402590,'1',318,'N'),(20,5402603,'1',203,'N'),(20,5402603,'1A',214,'N'),(20,5402611,'1',103,'N'),(20,5402620,'1',5,'N'),(20,5402638,'1',304,'N'),(20,5402646,'1',5,'N'),(20,5402654,'1',310,'N'),(20,5402662,'1',601,'N'),(20,5402689,'1',238,'N'),(20,5402689,'1A',208,'N'),(20,5402700,'1',102,'N'),(20,5402743,'1',203,'N'),(20,5402743,'1A',233,'N'),(20,5402760,'1',207,'N'),(20,5402760,'1A',201,'N'),(20,5402786,'1',201,'N'),(20,5402786,'1A',212,'N'),(20,5402794,'1',103,'N'),(20,5402808,'1',207,'N'),(20,5402816,'1',415,'N'),(20,5402824,'1',203,'N'),(20,5402824,'1A',214,'N'),(20,5402832,'1',108,'N'),(20,5402840,'1',207,'N'),(20,5402840,'1A',211,'N'),(20,5402867,'1',304,'N'),(20,5402875,'1',202,'N'),(20,5402875,'1A',235,'N'),(20,5402883,'1',212,'N'),(20,5402891,'1',103,'N'),(20,5402905,'1',340,'N'),(20,5402921,'1',103,'N'),(20,5402930,'1',318,'N'),(20,5402956,'1',316,'N'),(20,5402980,'1',103,'N'),(20,5402999,'1',428,'N'),(20,5402999,'1A',423,'N'),(20,5403006,'1',103,'N'),(20,5403014,'1',103,'N'),(20,5403049,'1',103,'N'),(20,5403057,'1',303,'N'),(20,5403065,'1',503,'N'),(20,5403073,'1',316,'N'),(20,5403081,'1',551,'N'),(20,5403090,'1',428,'N'),(20,5403090,'1A',423,'N'),(20,5403120,'1',103,'N'),(20,5403138,'1',404,'N'),(20,5403146,'1',103,'N'),(20,5403154,'1',316,'N'),(20,5403162,'1',318,'N'),(20,5403170,'1',103,'N'),(20,5403197,'1',653,'N'),(20,5403197,'1A',211,'N'),(20,5403219,'1',653,'N'),(20,5403219,'1A',651,'N'),(20,5403227,'1',451,'N'),(20,5403251,'1',215,'N'),(20,5403251,'1A',208,'N'),(20,5403278,'1',108,'N'),(20,5403286,'1',450,'N'),(20,5403294,'1',452,'N'),(20,5403308,'1',103,'N'),(20,5403316,'1',103,'N'),(20,5403324,'1',220,'N'),(20,5403324,'1A',212,'N'),(20,5403332,'1',340,'N'),(20,5403340,'1',319,'N'),(20,5403359,'1',308,'N'),(20,5403367,'1',201,'N'),(20,5403367,'1A',203,'N'),(20,5403405,'1',103,'N'),(20,5403413,'1',212,'N'),(20,5403413,'1A',213,'N'),(20,5403421,'1',320,'N'),(20,5403430,'1',103,'N'),(20,5403448,'1',104,'N'),(20,5403456,'1',308,'N'),(20,5403464,'1',501,'N'),(20,5403472,'1',211,'N'),(20,5403472,'1A',215,'N'),(20,5403480,'1',452,'N'),(20,5403510,'1',103,'N'),(20,5403529,'1',103,'N'),(20,5403537,'1',201,'N'),(20,5403537,'1A',212,'N'),(20,5403545,'1',103,'N'),(20,5403553,'1',303,'N'),(20,5403596,'1',103,'N'),(20,5403600,'1',304,'N'),(20,5403618,'1',201,'N'),(20,5403618,'1A',207,'N'),(20,5403626,'1',415,'N'),(20,5403634,'1',220,'N'),(20,5403634,'1A',203,'N'),(20,5403642,'1',103,'N'),(20,5403650,'1',340,'N'),(20,5403669,'1',502,'N'),(20,5403677,'1',5,'N'),(20,5403685,'1',652,'N'),(20,5403685,'1A',651,'N'),(20,5403693,'1',340,'N'),(20,5403707,'1',333,'N'),(20,5403715,'1',5,'N'),(20,5403723,'1',3,'N'),(20,5403740,'1',103,'N'),(20,5403758,'1',551,'N'),(20,5403774,'1',216,'N'),(20,5403774,'1A',215,'N'),(20,5403790,'1',215,'N'),(20,5403790,'1A',211,'N'),(20,5403812,'1',5,'N'),(20,5403839,'1',104,'N'),(20,5403847,'1',201,'N'),(20,5403847,'1A',215,'N'),(20,5403855,'1',207,'N'),(20,5403855,'1A',211,'N'),(20,5403863,'1',451,'N'),(20,5403871,'1',201,'N'),(20,5403880,'1',234,'N'),(20,5403898,'1',5,'N'),(20,5403910,'1',415,'N'),(20,5403936,'1',202,'N'),(20,5403936,'1A',213,'N'),(20,5403952,'1',5,'N'),(20,5403960,'1',501,'N'),(20,5403979,'1',234,'N'),(20,5403987,'1',234,'N'),(20,5403995,'1',316,'N'),(20,5404010,'1',303,'N'),(20,5404045,'1',310,'N'),(20,5404061,'1',501,'N'),(20,5404070,'1',303,'N'),(20,5404088,'1',336,'N'),(20,5404096,'1',103,'N'),(20,5404100,'1',238,'N'),(20,5404100,'1A',208,'N'),(20,5404126,'1',310,'N'),(20,5404134,'1',5,'N'),(20,5404150,'1',336,'N'),(20,5404169,'1',453,'N'),(20,5404185,'1',201,'N'),(20,5404185,'1A',203,'N'),(20,5404193,'1',5,'N'),(20,5404223,'1',303,'N'),(20,5404231,'1',216,'N'),(20,5404231,'1A',201,'N'),(20,5404240,'1',103,'N'),(20,5404258,'1',208,'N'),(20,5404258,'1A',201,'N'),(20,5404282,'1',208,'N'),(20,5404290,'1',501,'N'),(20,5404304,'1',108,'N'),(20,5404312,'1',101,'N'),(20,5404320,'1',404,'N'),(20,5404339,'1',103,'N'),(20,5404347,'1',415,'N'),(20,5404355,'1',318,'N'),(20,5404371,'1',220,'N'),(20,5404371,'1A',203,'N'),(20,5404410,'1',303,'N'),(20,5404436,'1',318,'N'),(20,5404444,'1',301,'N'),(20,5404452,'1',450,'N'),(20,5404460,'1',202,'N'),(20,5404460,'1A',238,'N'),(20,5404495,'1',103,'N'),(20,5404517,'1',103,'N'),(20,5404533,'1',340,'N'),(20,5404541,'1',336,'N'),(20,5404550,'1',101,'N'),(20,5404592,'1',303,'N'),(20,5404606,'1',208,'N'),(20,5404606,'1A',235,'N'),(20,5404614,'1',103,'N'),(20,5404622,'1',301,'N'),(20,5404630,'1',331,'N'),(20,5404649,'1',103,'N'),(20,5404665,'1',211,'N'),(20,5404665,'1A',212,'N'),(20,5404673,'1',5,'N'),(20,5404681,'1',450,'N'),(20,5404690,'1',340,'N'),(20,5404703,'1',415,'N'),(20,5404711,'1',202,'N'),(20,5404738,'1',319,'N'),(20,5404746,'1',201,'N'),(20,5404746,'1A',202,'N'),(20,5404754,'1',108,'N'),(20,5404762,'1',404,'N'),(20,5404797,'1',103,'N'),(20,5404827,'1',201,'N'),(20,5404827,'1A',212,'N'),(20,5404843,'1',224,'N'),(20,5404916,'1',653,'N'),(20,5404916,'1A',211,'N'),(20,5404940,'1',201,'N'),(20,5404940,'1A',212,'N'),(20,5404975,'1',453,'N'),(20,5404983,'1',216,'N'),(25,6000010,'1',329,'N'),(25,6000029,'1',103,'N'),(25,6000037,'1',103,'N'),(25,6000045,'1',303,'N'),(25,6000053,'1',452,'N'),(25,6000061,'1',103,'N'),(25,6000070,'1',110,'N'),(25,6000088,'1',332,'N'),(25,6000100,'1',318,'N'),(25,6000118,'1',320,'N'),(25,6000134,'1',110,'N'),(25,6000142,'1',308,'N'),(25,6000169,'1',235,'N'),(25,6000169,'1A',213,'N'),(25,6000177,'1',103,'N'),(25,6000185,'1',503,'N'),(25,6000193,'1',5,'N'),(25,6000215,'1',319,'N'),(25,6000231,'1',103,'N'),(25,6000240,'1',501,'N'),(25,6000258,'1',212,'N'),(25,6000258,'1A',201,'N'),(25,6000266,'1',653,'N'),(25,6000274,'1',238,'N'),(25,6000274,'1A',208,'N'),(25,6000282,'1',318,'N'),(25,6000290,'1',317,'N'),(25,6000312,'1',103,'N'),(25,6000320,'1',501,'N'),(25,6000339,'1',101,'N'),(25,6000355,'1',415,'N'),(25,6000363,'1',301,'N'),(25,6000371,'1',109,'N'),(25,6000380,'1',5,'N'),(25,6000398,'1',501,'N'),(25,6000401,'1',453,'N'),(25,6000410,'1',302,'N'),(25,6000428,'1',304,'N'),(25,6000436,'1',110,'N'),(25,6000452,'1',207,'N'),(25,6000452,'1A',201,'N'),(25,6000460,'1',5,'N'),(25,6000479,'1',103,'N'),(25,6000487,'1',109,'N'),(25,6000509,'1',450,'N'),(25,6000517,'1',5,'N'),(25,6000525,'1',103,'N'),(25,6000550,'1',452,'N'),(25,6000568,'1',103,'N'),(25,6000576,'1',103,'N'),(25,6000584,'1',103,'N'),(25,6000592,'1',501,'N'),(25,6000614,'1',103,'N'),(25,6000622,'1',216,'N'),(25,6000622,'1A',233,'N'),(25,6000630,'1',5,'N'),(25,6000649,'1',503,'N'),(25,6000657,'1',103,'N'),(25,6000665,'1',420,'N'),(25,6000681,'1',103,'N'),(25,6000703,'1',308,'N'),(25,6000711,'1',102,'N'),(25,6000720,'1',103,'N'),(25,6000738,'1',103,'N'),(25,6000746,'1',303,'N'),(25,6000754,'1',333,'N'),(25,6000762,'1',308,'N'),(25,6000770,'1',238,'N'),(25,6000770,'1A',652,'N'),(25,6000789,'1',103,'N'),(25,6000797,'1',216,'N'),(25,6000797,'1A',233,'N'),(25,6000800,'1',450,'N'),(25,6000843,'1',5,'N'),(25,6000851,'1',103,'N'),(25,6000860,'1',103,'N'),(25,6000878,'1',224,'N'),(25,6000894,'1',109,'N'),(25,6000908,'1',208,'N'),(25,6000908,'1A',238,'N'),(25,6000924,'1',103,'N'),(25,6000932,'1',503,'N'),(25,6000959,'1',103,'N'),(25,6000967,'1',233,'N'),(25,6000967,'1A',212,'N'),(25,6000975,'1',654,'N'),(25,6000983,'1',223,'N'),(25,6001009,'1',654,'N'),(25,6001017,'1',214,'N'),(25,6001017,'1A',235,'N'),(25,6001025,'1',319,'N'),(25,6001041,'1',103,'N'),(25,6001050,'1',316,'N'),(25,6001068,'1',201,'N'),(25,6001068,'1A',235,'N'),(25,6001076,'1',207,'N'),(25,6001076,'1A',201,'N'),(25,6001084,'1',327,'N'),(25,6001092,'1',304,'N'),(25,6001106,'1',310,'N'),(25,6001114,'1',104,'N'),(25,6001122,'1',103,'N'),(25,6001130,'1',103,'N'),(25,6001149,'1',3,'N'),(25,6001173,'1',103,'N'),(25,6001181,'1',316,'N'),(25,6001190,'1',103,'N'),(25,6001203,'1',103,'N'),(25,6001211,'1',319,'N'),(25,6001220,'1',109,'N'),(25,6001238,'1',444,'N'),(25,6001254,'1',317,'N'),(25,6001270,'1',326,'N'),(25,6001289,'1',425,'N'),(25,6001289,'1A',426,'N'),(25,6001297,'1',327,'N'),(25,6001300,'1',327,'N'),(25,6001319,'1',202,'N'),(25,6001319,'1A',201,'N'),(25,6001327,'1',501,'N'),(25,6001351,'1',202,'N'),(25,6001351,'1A',235,'N'),(25,6001360,'1',5,'N'),(25,6001378,'1',3,'N'),(25,6001394,'1',319,'N'),(25,6001408,'1',214,'N'),(25,6001408,'1A',203,'N'),(25,6001416,'1',103,'N'),(25,6001440,'1',601,'N'),(25,6001440,'1A',201,'N'),(25,6001459,'1',235,'N'),(25,6001459,'1A',201,'N'),(25,6001467,'1',5,'N'),(25,6001475,'1',103,'N'),(25,6001483,'1',110,'N'),(25,6001491,'1',103,'N'),(25,6001505,'1',103,'N'),(25,6001521,'1',104,'N'),(25,6001530,'1',415,'N'),(25,6001556,'1',103,'N'),(25,6001572,'1',103,'N'),(25,6001580,'1',319,'N'),(25,6001599,'1',103,'N'),(25,6001602,'1',3,'N'),(25,6001610,'1',110,'N'),(25,6001629,'1',423,'N'),(25,6001629,'1A',426,'N'),(25,6001637,'1',424,'N'),(25,6001645,'1',303,'N'),(25,6001653,'1',213,'N'),(25,6001653,'1A',202,'N'),(25,6001661,'1',452,'N'),(25,6001670,'1',319,'N'),(25,6001688,'1',302,'N'),(25,6001696,'1',425,'N'),(25,6001696,'1A',426,'N'),(25,6001700,'1',104,'N'),(25,6001718,'1',103,'N'),(25,6001726,'1',103,'N'),(25,6001734,'1',5,'N'),(25,6001742,'1',220,'N'),(25,6001750,'1',331,'N'),(25,6001769,'1',207,'N'),(25,6001769,'1A',201,'N'),(25,6001785,'1',103,'N'),(25,6001793,'1',203,'N'),(25,6001807,'1',328,'N'),(25,6001823,'1',316,'N'),(25,6001831,'1',104,'N'),(25,6001840,'1',207,'N'),(25,6001840,'1A',238,'N'),(25,6001866,'1',203,'N'),(25,6001866,'1A',235,'N'),(25,6001874,'1',303,'N'),(25,6001890,'1',202,'N'),(25,6001890,'1A',220,'N'),(25,6001904,'1',238,'N'),(25,6001904,'1A',220,'N'),(25,6001912,'1',601,'N'),(25,6001912,'1A',201,'N'),(25,6001920,'1',415,'N'),(25,6001947,'1',320,'N'),(25,6001955,'1',415,'N'),(25,6001963,'1',201,'N'),(25,6001963,'1A',207,'N'),(25,6001971,'1',108,'N'),(25,6001980,'1',201,'N'),(25,6001980,'1A',601,'N'),(25,6001998,'1',103,'N'),(25,6002005,'1',215,'N'),(25,6002005,'1A',212,'N'),(25,6002013,'1',103,'N'),(25,6002021,'1',103,'N'),(25,6002030,'1',340,'N'),(25,6002056,'1',420,'N'),(25,6002064,'1',214,'N'),(25,6002064,'1A',212,'N'),(25,6002072,'1',103,'N'),(25,6002080,'1',103,'N'),(25,6002129,'1',302,'N'),(25,6002137,'1',319,'N'),(25,6002145,'1',109,'N'),(25,6002153,'1',319,'N'),(25,6002161,'1',103,'N'),(25,6002170,'1',319,'N'),(25,6002188,'1',238,'N'),(25,6002188,'1A',208,'N'),(25,6002196,'1',202,'N'),(25,6002196,'1A',211,'N'),(25,6002200,'1',103,'N'),(25,6002218,'1',235,'N'),(25,6002218,'1A',233,'N'),(25,6002226,'1',103,'N'),(25,6002242,'1',103,'N'),(25,6002250,'1',104,'N'),(25,6002269,'1',110,'N'),(25,6002277,'1',235,'N'),(25,6002277,'1A',208,'N'),(25,6002285,'1',103,'N'),(25,6002293,'1',5,'N'),(25,6002307,'1',320,'N'),(25,6002315,'1',103,'N'),(25,6002323,'1',208,'N'),(25,6002323,'1A',238,'N'),(25,6002331,'1',201,'N'),(25,6002331,'1A',207,'N'),(25,6002358,'1',207,'N'),(25,6002358,'1A',201,'N'),(25,6002366,'1',108,'N'),(25,6002382,'1',103,'N'),(25,6002390,'1',103,'N'),(25,6002404,'1',207,'N'),(25,6002404,'1A',201,'N'),(25,6002412,'1',203,'N'),(25,6002412,'1A',235,'N'),(25,6002420,'1',450,'N'),(25,6002439,'1',319,'N'),(25,6002447,'1',453,'N'),(25,6002455,'1',429,'N'),(25,6002455,'1A',425,'N'),(25,6002463,'1',551,'N'),(25,6002471,'1',303,'N'),(25,6002480,'1',109,'N'),(25,6002498,'1',340,'N'),(25,6002501,'1',336,'N'),(25,6002528,'1',653,'N'),(25,6002528,'1A',652,'N'),(25,6002544,'1',202,'N'),(25,6002544,'1A',238,'N'),(25,6002552,'1',103,'N'),(25,6002560,'1',207,'N'),(25,6002560,'1A',214,'N'),(25,6002579,'1',201,'N'),(25,6002579,'1A',233,'N'),(25,6002587,'1',103,'N'),(25,6002595,'1',303,'N'),(25,6002609,'1',101,'N'),(25,6002617,'1',238,'N'),(25,6002617,'1A',208,'N'),(25,6002625,'1',303,'N'),(25,6002641,'1',103,'N'),(25,6002668,'1',404,'N'),(25,6002676,'1',233,'N'),(25,6002676,'1A',202,'N'),(25,6002684,'1',451,'N'),(25,6002692,'1',451,'N'),(25,6002706,'1',235,'N'),(25,6002706,'1A',213,'N'),(25,6002714,'1',104,'N'),(25,6002722,'1',109,'N'),(25,6002730,'1',109,'N'),(25,6002749,'1',103,'N'),(25,6002757,'1',999,'N'),(25,6002765,'1',319,'N'),(25,6002773,'1',329,'N'),(25,6002781,'1',5,'N'),(25,6002790,'1',653,'N'),(25,6002790,'1A',202,'N'),(25,6002803,'1',303,'N'),(25,6002811,'1',211,'N'),(25,6002811,'1A',203,'N'),(25,6002820,'1',103,'N'),(25,6002838,'1',415,'N'),(25,6002846,'1',5,'N'),(25,6002854,'1',101,'N'),(25,6002862,'1',303,'N'),(25,6002889,'1',317,'N'),(25,6002897,'1',103,'N'),(25,6002900,'1',653,'N'),(25,6002900,'1A',655,'N'),(25,6002919,'1',103,'N'),(25,6002927,'1',3,'N'),(25,6002935,'1',202,'N'),(25,6002935,'1A',220,'N'),(25,6002943,'1',429,'N'),(25,6002943,'1A',425,'N'),(25,6002951,'1',103,'N'),(25,6002986,'1',317,'N'),(25,6002994,'1',103,'N'),(25,6003028,'1',201,'N'),(25,6003028,'1A',212,'N'),(25,6003036,'1',104,'N'),(25,6003044,'1',303,'N'),(25,6003052,'1',303,'N'),(25,6003060,'1',102,'N'),(25,6003079,'1',601,'N'),(25,6003079,'1A',203,'N'),(25,6003087,'1',103,'N'),(25,6003095,'1',310,'N'),(25,6003109,'1',451,'N'),(25,6003117,'1',103,'N'),(25,6003125,'1',425,'N'),(25,6003125,'1A',429,'N'),(25,6003133,'1',103,'N'),(25,6003141,'1',310,'N'),(25,6003150,'1',103,'N'),(25,6003168,'1',301,'N'),(25,6003176,'1',109,'N'),(25,6003184,'1',104,'N'),(25,6003192,'1',216,'N'),(25,6003192,'1A',235,'N'),(25,6003206,'1',3,'N'),(25,6003214,'1',601,'N'),(25,6003222,'1',103,'N'),(25,6003230,'1',208,'N'),(25,6003230,'1A',238,'N'),(25,6003249,'1',211,'N'),(25,6003249,'1A',653,'N'),(25,6003265,'1',109,'N'),(25,6003273,'1',103,'N'),(25,6003290,'1',220,'N'),(25,6003290,'1A',202,'N'),(25,6003303,'1',335,'N'),(25,6003311,'1',103,'N'),(25,6003320,'1',101,'N'),(25,6003338,'1',421,'N'),(25,6003338,'1A',427,'N'),(25,6003346,'1',453,'N'),(25,6003362,'1',103,'N'),(25,6003370,'1',202,'N'),(25,6003370,'1A',235,'N'),(25,6003389,'1',102,'N'),(25,6003397,'1',101,'N'),(25,6003400,'1',444,'N'),(25,6003419,'1',340,'N'),(25,6003427,'1',319,'N'),(25,6003435,'1',999,'N'),(25,6003451,'1',333,'N'),(25,6003460,'1',444,'N'),(25,6003478,'1',103,'N'),(25,6003486,'1',316,'N'),(25,6003508,'1',103,'N'),(25,6003516,'1',102,'N'),(25,6003532,'1',415,'N'),(25,6003540,'1',103,'N'),(25,6003559,'1',103,'N'),(25,6003567,'1',444,'N'),(25,6003575,'1',103,'N'),(25,6003583,'1',316,'N'),(25,6003591,'1',238,'N'),(25,6003591,'1A',208,'N'),(25,6003605,'1',415,'N'),(25,6003630,'1',340,'N'),(25,6003648,'1',208,'N'),(25,6003648,'1A',238,'N'),(25,6003656,'1',103,'N'),(25,6003664,'1',303,'N'),(25,6003699,'1',9,'N'),(25,6003729,'1',2,'N'),(25,6003737,'1',220,'N'),(25,6003737,'1A',203,'N'),(25,6003745,'1',208,'N'),(25,6003745,'1A',238,'N'),(25,6003753,'1',103,'N'),(25,6003761,'1',5,'N'),(25,6003770,'1',103,'N'),(25,6003788,'1',110,'N'),(25,6003818,'1',444,'N'),(25,6003826,'1',211,'N'),(25,6003826,'1A',212,'N'),(25,6003834,'1',220,'N'),(25,6003834,'1A',203,'N'),(25,6003842,'1',207,'N'),(25,6003842,'1A',201,'N'),(25,6003850,'1',203,'N'),(25,6003850,'1A',233,'N'),(25,6003869,'1',104,'N'),(25,6003877,'1',303,'N'),(25,6003893,'1',653,'N'),(25,6003893,'1A',655,'N'),(25,6003907,'1',103,'N'),(25,6003915,'1',103,'N'),(25,6003923,'1',103,'N'),(25,6003931,'1',201,'N'),(25,6003931,'1A',233,'N'),(25,6003940,'1',201,'N'),(25,6003940,'1A',211,'N'),(25,6003958,'1',319,'N'),(25,6003966,'1',103,'N'),(25,6003982,'1',5,'N'),(25,6003990,'1',319,'N'),(25,6004008,'1',216,'N'),(25,6004008,'1A',203,'N'),(25,6004016,'1',5,'N'),(25,6004024,'1',212,'N'),(25,6004024,'1A',238,'N'),(25,6004032,'1',301,'N'),(25,6004040,'1',203,'N'),(25,6004040,'1A',202,'N'),(25,6004059,'1',316,'N'),(25,6004067,'1',207,'N'),(25,6004067,'1A',215,'N'),(25,6004075,'1',450,'N'),(25,6004091,'1',103,'N'),(25,6004105,'1',551,'N'),(25,6004113,'1',215,'N'),(25,6004113,'1A',233,'N'),(25,6004130,'1',103,'N'),(25,6004156,'1',103,'N'),(25,6004172,'1',5,'N'),(25,6004199,'1',208,'N'),(25,6004199,'1A',202,'N'),(25,6004210,'1',335,'N'),(25,6004237,'1',317,'N'),(25,6004245,'1',420,'N'),(25,6004253,'1',103,'N'),(25,6004261,'1',103,'N'),(25,6004270,'1',208,'N'),(25,6004270,'1A',655,'N'),(25,6004288,'1',5,'N'),(25,6004296,'1',303,'N'),(25,6004300,'1',215,'N'),(25,6004300,'1A',211,'N'),(25,6004318,'1',317,'N'),(25,6004326,'1',5,'N'),(25,6004342,'1',601,'N'),(25,6004342,'1A',212,'N'),(25,6004350,'1',327,'N'),(25,6004369,'1',303,'N'),(25,6004377,'1',303,'N'),(25,6004385,'1',425,'N'),(25,6004385,'1A',428,'N'),(25,6004415,'1',653,'N'),(25,6004415,'1A',655,'N'),(25,6004423,'1',5,'N'),(25,6004431,'1',301,'N'),(25,6004458,'1',999,'N'),(25,6004466,'1',216,'N'),(25,6004466,'1A',202,'N'),(25,6004474,'1',3,'N'),(25,6004482,'1',5,'N'),(25,6004490,'1',103,'N'),(25,6004504,'1',999,'N'),(25,6004512,'1',303,'N'),(25,6004520,'1',336,'N'),(25,6004539,'1',310,'N'),(25,6004547,'1',340,'N'),(25,6004555,'1',601,'N'),(25,6004555,'1A',208,'N'),(25,6004571,'1',109,'N'),(25,6004580,'1',103,'N'),(25,6004598,'1',317,'N'),(25,6004601,'1',202,'N'),(25,6004601,'1A',220,'N'),(25,6004610,'1',103,'N'),(25,6004628,'1',303,'N'),(25,6004636,'1',103,'N'),(25,6004644,'1',238,'N'),(25,6004644,'1A',208,'N'),(25,6004652,'1',108,'N'),(25,6004660,'1',5,'N'),(25,6004679,'1',502,'N'),(25,6004687,'1',201,'N'),(25,6004687,'1A',212,'N'),(25,6004695,'1',331,'N'),(25,6004709,'1',104,'N'),(25,6004717,'1',601,'N'),(25,6004717,'1A',203,'N'),(25,6004725,'1',101,'N'),(25,6004750,'1',303,'N'),(25,6004768,'1',103,'N'),(25,6004776,'1',110,'N'),(25,6004784,'1',339,'N'),(25,6004792,'1',103,'N'),(25,6004806,'1',104,'N'),(25,6004814,'1',202,'N'),(25,6004814,'1A',203,'N'),(25,6004830,'1',5,'N'),(25,6004849,'1',103,'N'),(25,6004857,'1',201,'N'),(25,6004857,'1A',212,'N'),(25,6004873,'1',102,'N'),(25,6004920,'1',207,'N'),(25,6004938,'1',9,'N'),(25,6004946,'1',999,'N'),(25,6004954,'1',109,'N'),(25,6004962,'1',450,'N'),(25,6004970,'1',404,'N'),(25,6004989,'1',234,'N'),(25,6004997,'1',201,'N'),(25,6004997,'1A',212,'N'),(25,6005004,'1',212,'N'),(25,6005004,'1A',214,'N'),(25,6005012,'1',103,'N'),(25,6005039,'1',3,'N'),(25,6005047,'1',303,'N'),(25,6005055,'1',103,'N'),(25,6005063,'1',201,'N'),(25,6005063,'1A',216,'N'),(25,6005071,'1',201,'N'),(25,6005071,'1A',207,'N'),(25,6005080,'1',109,'N'),(25,6005098,'1',207,'N'),(25,6005098,'1A',201,'N'),(25,6005101,'1',203,'N'),(25,6005101,'1A',214,'N'),(25,6005136,'1',214,'N'),(25,6005136,'1A',220,'N'),(25,6005144,'1',211,'N'),(25,6005144,'1A',653,'N'),(25,6005152,'1',103,'N'),(25,6005179,'1',203,'N'),(25,6005179,'1A',214,'N'),(25,6005187,'1',316,'N'),(25,6005195,'1',421,'N'),(25,6005195,'1A',427,'N'),(25,6005209,'1',328,'N'),(25,6005217,'1',425,'N'),(25,6005217,'1A',426,'N'),(25,6005225,'1',108,'N'),(25,6005233,'1',9,'N'),(25,6005241,'1',103,'N'),(25,6005250,'1',203,'N'),(25,6005250,'1A',202,'N'),(25,6005268,'1',5,'N'),(25,6005276,'1',103,'N'),(25,6005284,'1',319,'N'),(25,6005292,'1',216,'N'),(25,6005292,'1A',202,'N'),(25,6005306,'1',234,'N'),(25,6005322,'1',103,'N'),(25,6005330,'1',104,'N'),(25,6005365,'1',101,'N'),(25,6005381,'1',238,'N'),(25,6005381,'1A',207,'N'),(25,6005403,'1',104,'N'),(25,6005411,'1',999,'N'),(25,6005438,'1',103,'N'),(25,6005446,'1',316,'N'),(25,6005454,'1',655,'N'),(25,6005454,'1A',652,'N'),(25,6005470,'1',601,'N'),(25,6005470,'1A',220,'N'),(25,6005489,'1',103,'N'),(25,6005497,'1',318,'N'),(25,6005519,'1',310,'N'),(25,6005527,'1',238,'N'),(25,6005527,'1A',207,'N'),(25,6005535,'1',444,'N'),(25,6005543,'1',303,'N'),(25,6005551,'1',999,'N'),(25,6005560,'1',450,'N'),(25,6005578,'1',303,'N'),(25,6005586,'1',308,'N'),(25,6005594,'1',102,'N'),(25,6005616,'1',103,'N'),(25,6005624,'1',426,'N'),(25,6005624,'1A',429,'N'),(25,6005632,'1',5,'N'),(25,6005640,'1',338,'N'),(25,6005659,'1',235,'N'),(25,6005659,'1A',213,'N'),(25,6005667,'1',551,'N'),(25,6005675,'1',214,'N'),(25,6005675,'1A',235,'N'),(25,6005683,'1',202,'N'),(25,6005683,'1A',213,'N'),(25,6005691,'1',220,'N'),(25,6005691,'1A',201,'N'),(25,6005705,'1',103,'N'),(25,6005713,'1',303,'N'),(25,6005721,'1',201,'N'),(25,6005721,'1A',207,'N'),(25,6005730,'1',109,'N'),(25,6005748,'1',103,'N'),(25,6005756,'1',108,'N'),(25,6005764,'1',655,'N'),(25,6005764,'1A',216,'N'),(25,6005772,'1',316,'N'),(25,6005780,'1',104,'N'),(25,6005799,'1',317,'N'),(25,6005802,'1',103,'N'),(25,6005810,'1',653,'N'),(25,6005810,'1A',655,'N'),(25,6005837,'1',451,'N'),(25,6005853,'1',208,'N'),(25,6005853,'1A',238,'N'),(25,6005861,'1',601,'N'),(25,6005861,'1A',201,'N'),(25,6005870,'1',101,'N'),(25,6005888,'1',201,'N'),(25,6005888,'1A',207,'N'),(25,6005896,'1',999,'N'),(25,6005900,'1',303,'N'),(25,6005918,'1',103,'N'),(25,6005934,'1',333,'N'),(25,6005950,'1',451,'N'),(25,6005969,'1',214,'N'),(25,6005969,'1A',220,'N'),(25,6005977,'1',2,'N'),(25,6005985,'1',420,'N'),(25,6005993,'1',415,'N'),(25,6006000,'1',201,'N'),(25,6006000,'1A',202,'N'),(25,6006019,'1',428,'N'),(25,6006019,'1A',426,'N'),(25,6006027,'1',103,'N'),(25,6006035,'1',103,'N'),(25,6006051,'1',103,'N'),(25,6006060,'1',317,'N'),(25,6006078,'1',2,'N'),(25,6006086,'1',452,'N'),(25,6006094,'1',444,'N'),(25,6006108,'1',103,'N'),(25,6006116,'1',336,'N'),(25,6006124,'1',207,'N'),(25,6006124,'1A',201,'N'),(25,6006140,'1',104,'N'),(25,6006159,'1',104,'N'),(25,6006167,'1',103,'N'),(25,6006175,'1',5,'N'),(25,6006183,'1',404,'N'),(25,6006205,'1',551,'N'),(25,6006213,'1',238,'N'),(25,6006213,'1A',220,'N'),(25,6006230,'1',108,'N'),(25,6006248,'1',450,'N'),(25,6006256,'1',653,'N'),(25,6006256,'1A',655,'N'),(25,6006272,'1',318,'N'),(25,6006299,'1',103,'N'),(25,6006302,'1',103,'N'),(25,6006337,'1',319,'N'),(25,6006345,'1',5,'N'),(25,6006353,'1',319,'N'),(25,6006361,'1',104,'N'),(25,6006370,'1',332,'N'),(25,6006388,'1',453,'N'),(25,6006400,'1',333,'N'),(25,6006418,'1',654,'N'),(25,6006426,'1',452,'N'),(25,6006434,'1',104,'N'),(25,6006442,'1',103,'N'),(25,6006450,'1',320,'N'),(25,6006469,'1',317,'N'),(25,6006507,'1',103,'N'),(25,6006515,'1',5,'N'),(25,6006531,'1',207,'N'),(25,6006531,'1A',201,'N'),(25,6006540,'1',103,'N'),(25,6006558,'1',101,'N'),(25,6006566,'1',102,'N'),(25,6006574,'1',655,'N'),(25,6006574,'1A',652,'N'),(25,6006604,'1',110,'N'),(25,6006612,'1',238,'N'),(25,6006612,'1A',213,'N'),(25,6006620,'1',103,'N'),(25,6006639,'1',234,'N'),(25,6006647,'1',999,'N'),(25,6006655,'1',9,'N'),(25,6006663,'1',103,'N'),(25,6006671,'1',103,'N'),(25,6006680,'1',303,'N'),(25,6006698,'1',103,'N'),(25,6006701,'1',103,'N'),(25,6006710,'1',207,'N'),(25,6006710,'1A',211,'N'),(25,6006728,'1',501,'N'),(25,6006736,'1',211,'N'),(25,6006736,'1A',215,'N'),(25,6006744,'1',109,'N'),(25,6006752,'1',333,'N'),(25,6006779,'1',201,'N'),(25,6006779,'1A',207,'N'),(25,6006787,'1',211,'N'),(25,6006787,'1A',201,'N'),(25,6006795,'1',201,'N'),(25,6006795,'1A',213,'N'),(25,6006817,'1',316,'N'),(25,6006825,'1',202,'N'),(25,6006825,'1A',201,'N'),(25,6006833,'1',109,'N'),(25,6006841,'1',319,'N'),(25,6006850,'1',103,'N'),(25,6006868,'1',999,'N'),(25,6006876,'1',340,'N'),(25,6006906,'1',203,'N'),(25,6006906,'1A',235,'N'),(25,6006914,'1',203,'N'),(25,6006914,'1A',213,'N'),(25,6006922,'1',103,'N'),(25,6006930,'1',339,'N'),(25,6006949,'1',216,'N'),(25,6006949,'1A',233,'N'),(25,6006957,'1',207,'N'),(25,6006957,'1A',208,'N'),(25,6006965,'1',336,'N'),(25,6006973,'1',103,'N'),(25,6006981,'1',338,'N'),(25,6006990,'1',551,'N'),(25,6007007,'1',303,'N'),(25,6007015,'1',201,'N'),(25,6007031,'1',101,'N'),(25,6007040,'1',102,'N'),(25,6007058,'1',420,'N'),(25,6007074,'1',102,'N'),(25,6007082,'1',214,'N'),(25,6007082,'1A',212,'N'),(25,6007090,'1',201,'N'),(25,6007090,'1A',212,'N'),(25,6007104,'1',999,'N'),(25,6007112,'1',103,'N'),(25,6007120,'1',340,'N'),(25,6007139,'1',103,'N'),(25,6007147,'1',601,'N'),(25,6007147,'1A',207,'N'),(25,6007163,'1',421,'N'),(25,6007163,'1A',425,'N'),(25,6007180,'1',103,'N'),(25,6007198,'1',238,'N'),(25,6007210,'1',333,'N'),(25,6007228,'1',103,'N'),(25,6007236,'1',103,'N'),(25,6007244,'1',104,'N'),(25,6007252,'1',9,'N'),(25,6007279,'1',601,'N'),(25,6007279,'1A',203,'N'),(25,6007287,'1',101,'N'),(25,6007295,'1',103,'N'),(25,6007309,'1',331,'N'),(25,6007317,'1',320,'N'),(25,6007325,'1',601,'N'),(25,6007325,'1A',653,'N'),(25,6007341,'1',108,'N'),(25,6007350,'1',207,'N'),(25,6007350,'1A',201,'N'),(25,6007376,'1',999,'N'),(25,6007384,'1',317,'N'),(25,6007392,'1',103,'N'),(25,6007406,'1',424,'N'),(25,6007406,'1A',425,'N'),(25,6007414,'1',207,'N'),(25,6007414,'1A',201,'N'),(25,6007422,'1',216,'N'),(25,6007422,'1A',207,'N'),(25,6007430,'1',216,'N'),(25,6007430,'1A',211,'N'),(25,6007457,'1',101,'N'),(25,6007465,'1',207,'N'),(25,6007465,'1A',201,'N'),(25,6007473,'1',101,'N'),(25,6007481,'1',207,'N'),(25,6007481,'1A',211,'N'),(25,6007490,'1',202,'N'),(25,6007490,'1A',235,'N'),(25,6007503,'1',317,'N'),(25,6007511,'1',103,'N'),(25,6007520,'1',421,'N'),(25,6007520,'1A',429,'N'),(25,6007538,'1',104,'N'),(25,6007546,'1',208,'N'),(25,6007546,'1A',238,'N'),(25,6007554,'1',317,'N'),(25,6007562,'1',220,'N'),(25,6007562,'1A',235,'N'),(25,6007570,'1',110,'N'),(25,6007597,'1',103,'N'),(25,6007600,'1',336,'N'),(25,6007619,'1',207,'N'),(25,6007619,'1A',653,'N'),(25,6007627,'1',212,'N'),(25,6007627,'1A',655,'N'),(25,6007635,'1',202,'N'),(25,6007635,'1A',203,'N'),(25,6007643,'1',203,'N'),(25,6007643,'1A',201,'N'),(25,6007651,'1',303,'N'),(25,6007660,'1',103,'N'),(25,6007678,'1',101,'N'),(25,6007686,'1',104,'N'),(25,6007694,'1',208,'N'),(25,6007694,'1A',238,'N'),(25,6007708,'1',103,'N'),(25,6007716,'1',220,'N'),(25,6007716,'1A',213,'N'),(25,6007724,'1',340,'N'),(25,6007732,'1',220,'N'),(25,6007732,'1A',213,'N'),(25,6007740,'1',9,'N'),(25,6007759,'1',207,'N'),(25,6007759,'1A',212,'N'),(25,6007767,'1',336,'N'),(25,6007775,'1',318,'N'),(25,6007783,'1',336,'N'),(25,6007791,'1',340,'N'),(25,6007805,'1',109,'N'),(25,6007813,'1',999,'N'),(25,6007830,'1',201,'N'),(25,6007830,'1A',207,'N'),(25,6007848,'1',501,'N'),(25,6007856,'1',303,'N'),(25,6007864,'1',420,'N'),(25,6007880,'1',5,'N'),(25,6007899,'1',201,'N'),(25,6007899,'1A',216,'N'),(25,6007910,'1',340,'N'),(25,6007929,'1',223,'N'),(25,6007937,'1',201,'N'),(25,6007937,'1A',212,'N'),(25,6007945,'1',103,'N'),(25,6007953,'1',452,'N'),(25,6007961,'1',420,'N'),(25,6007970,'1',103,'N'),(25,6007988,'1',208,'N'),(25,6007988,'1A',655,'N'),(25,6007996,'1',104,'N'),(25,6008003,'1',653,'N'),(25,6008003,'1A',213,'N'),(25,6008011,'1',201,'N'),(25,6008020,'1',317,'N'),(25,6008038,'1',202,'N'),(25,6008038,'1A',213,'N'),(25,6008054,'1',103,'N'),(25,6008062,'1',450,'N'),(25,6008070,'1',207,'N'),(25,6008070,'1A',201,'N'),(25,6008089,'1',303,'N'),(25,6008097,'1',203,'N'),(25,6008097,'1A',202,'N'),(25,6008100,'1',301,'N'),(25,6008119,'1',303,'N'),(25,6008127,'1',999,'N'),(25,6008135,'1',655,'N'),(25,6008135,'1A',652,'N'),(25,6008143,'1',338,'N'),(25,6008151,'1',238,'N'),(25,6008151,'1A',208,'N'),(25,6008160,'1',109,'N'),(25,6008186,'1',203,'N'),(25,6008186,'1A',214,'N'),(25,6008194,'1',103,'N'),(25,6008208,'1',103,'N'),(25,6008216,'1',326,'N'),(25,6008224,'1',103,'N'),(25,6008232,'1',216,'N'),(25,6008232,'1A',233,'N'),(25,6008240,'1',238,'N'),(25,6008240,'1A',208,'N'),(25,6008259,'1',301,'N'),(25,6008267,'1',421,'N'),(25,6008267,'1A',427,'N'),(25,6008275,'1',404,'N'),(25,6008283,'1',102,'N'),(25,6008291,'1',102,'N'),(25,6008305,'1',203,'N'),(25,6008305,'1A',202,'N'),(25,6008313,'1',103,'N'),(25,6008321,'1',319,'N'),(25,6008330,'1',103,'N'),(25,6008348,'1',203,'N'),(25,6008348,'1A',216,'N'),(25,6008356,'1',444,'N'),(25,6008380,'1',201,'N'),(25,6008380,'1A',235,'N'),(25,6008399,'1',103,'N'),(25,6008402,'1',340,'N'),(25,6008410,'1',211,'N'),(25,6008410,'1A',653,'N'),(25,6008429,'1',211,'N'),(25,6008429,'1A',207,'N'),(25,6008437,'1',216,'N'),(25,6008437,'1A',215,'N'),(25,6008445,'1',233,'N'),(25,6008445,'1A',214,'N'),(25,6008453,'1',202,'N'),(25,6008453,'1A',220,'N'),(25,6008470,'1',102,'N'),(25,6008488,'1',110,'N'),(25,6008496,'1',102,'N'),(25,6008500,'1',103,'N'),(25,6008518,'1',103,'N'),(25,6008526,'1',301,'N'),(25,6008534,'1',109,'N'),(25,6008542,'1',453,'N'),(25,6008550,'1',652,'N'),(25,6008550,'1A',655,'N'),(25,6008569,'1',303,'N'),(25,6008577,'1',103,'N'),(25,6008585,'1',319,'N'),(25,6008593,'1',203,'N'),(25,6008593,'1A',214,'N'),(25,6008607,'1',203,'N'),(25,6008607,'1A',220,'N'),(25,6008623,'1',317,'N'),(25,6008631,'1',340,'N'),(25,6008640,'1',329,'N'),(25,6008658,'1',103,'N'),(25,6008666,'1',216,'N'),(25,6008666,'1A',235,'N'),(25,6008674,'1',102,'N'),(25,6008682,'1',601,'N'),(25,6008682,'1A',214,'N'),(25,6008690,'1',319,'N'),(25,6008704,'1',216,'N'),(25,6008704,'1A',233,'N'),(25,6008712,'1',215,'N'),(25,6008712,'1A',601,'N'),(25,6008720,'1',216,'N'),(25,6008720,'1A',201,'N'),(25,6008739,'1',103,'N'),(25,6008747,'1',103,'N'),(25,6008755,'1',201,'N'),(25,6008755,'1A',208,'N'),(25,6008763,'1',103,'N'),(25,6008780,'1',220,'N'),(25,6008780,'1A',235,'N'),(25,6008801,'1',324,'N'),(25,6008810,'1',104,'N'),(25,6008828,'1',415,'N'),(25,6008836,'1',601,'N'),(25,6008836,'1A',233,'N'),(25,6008844,'1',109,'N'),(25,6008852,'1',238,'N'),(25,6008852,'1A',235,'N'),(25,6008879,'1',201,'N'),(25,6008879,'1A',233,'N'),(25,6008887,'1',201,'N'),(25,6008887,'1A',212,'N'),(25,6008895,'1',340,'N'),(25,6008909,'1',444,'N'),(25,6008925,'1',108,'N'),(25,6008941,'1',235,'N'),(25,6008941,'1A',213,'N'),(25,6008950,'1',108,'N'),(25,6008968,'1',104,'N'),(25,6008984,'1',201,'N'),(25,6008984,'1A',211,'N'),(25,6008992,'1',102,'N'),(25,6009000,'1',319,'N'),(25,6009018,'1',303,'N'),(25,6009026,'1',317,'N'),(25,6009034,'1',103,'N'),(25,6009042,'1',212,'N'),(25,6009042,'1A',201,'N'),(25,6009050,'1',201,'N'),(25,6009050,'1A',212,'N'),(25,6009085,'1',207,'N'),(25,6009107,'1',103,'N'),(25,6009123,'1',203,'N'),(25,6009123,'1A',201,'N'),(25,6009131,'1',211,'N'),(25,6009131,'1A',216,'N'),(25,6009140,'1',103,'N'),(25,6009158,'1',327,'N'),(25,6009166,'1',3,'N'),(25,6009182,'1',103,'N'),(25,6009190,'1',205,'N'),(25,6009204,'1',201,'N'),(25,6009204,'1A',203,'N'),(25,6009212,'1',203,'N'),(25,6009220,'1',103,'N'),(25,6009239,'1',551,'N'),(25,6009247,'1',203,'N'),(25,6009247,'1A',214,'N'),(25,6009255,'1',303,'N'),(25,6009263,'1',5,'N'),(25,6009271,'1',502,'N'),(25,6009280,'1',444,'N'),(25,6009298,'1',109,'N'),(25,6009301,'1',319,'N'),(25,6009328,'1',109,'N'),(25,6009344,'1',208,'N'),(25,6009344,'1A',238,'N'),(25,6009360,'1',9,'N'),(25,6009379,'1',301,'N'),(25,6009387,'1',340,'N'),(25,6009409,'1',404,'N'),(25,6009417,'1',333,'N'),(25,6009425,'1',103,'N'),(25,6009441,'1',207,'N'),(25,6009441,'1A',201,'N'),(25,6009450,'1',215,'N'),(25,6009450,'1A',216,'N'),(25,6009476,'1',103,'N'),(25,6009484,'1',5,'N'),(25,6009492,'1',201,'N'),(25,6009492,'1A',212,'N'),(25,6009514,'1',103,'N'),(25,6009522,'1',317,'N'),(25,6009549,'1',201,'N'),(25,6009565,'1',108,'N'),(25,6009581,'1',103,'N'),(25,6009611,'1',207,'N'),(25,6009611,'1A',201,'N'),(25,6009620,'1',332,'N'),(25,6009638,'1',5,'N'),(25,6009654,'1',304,'N'),(25,6009662,'1',201,'N'),(25,6009662,'1A',601,'N'),(25,6009670,'1',202,'N'),(25,6009670,'1A',235,'N'),(25,6009689,'1',201,'N'),(25,6009689,'1A',212,'N'),(25,6009697,'1',234,'N'),(25,6009700,'1',110,'N'),(25,6009719,'1',601,'N'),(25,6009719,'1A',207,'N'),(25,6009735,'1',102,'N'),(25,6009751,'1',426,'N'),(25,6009751,'1A',428,'N'),(25,6009760,'1',302,'N'),(25,6009786,'1',103,'N'),(25,6009794,'1',654,'N'),(25,6009808,'1',5,'N'),(25,6009816,'1',452,'N'),(25,6009824,'1',103,'N'),(25,6009832,'1',103,'N'),(25,6009840,'1',425,'N'),(25,6009840,'1A',429,'N'),(25,6009859,'1',5,'N'),(25,6009867,'1',319,'N'),(25,6009875,'1',444,'N'),(25,6009883,'1',211,'N'),(25,6009883,'1A',215,'N'),(25,6009891,'1',308,'N'),(25,6009921,'1',238,'N'),(25,6009921,'1A',208,'N'),(25,6009930,'1',216,'N'),(25,6009930,'1A',215,'N'),(25,6009948,'1',103,'N'),(25,6009964,'1',201,'N'),(25,6009964,'1A',211,'N'),(25,6009980,'1',338,'N'),(25,6009999,'1',450,'N'),(25,6010008,'1',601,'N'),(25,6010008,'1A',212,'N'),(25,6010016,'1',103,'N'),(25,6010024,'1',601,'N'),(25,6010024,'1A',208,'N'),(25,6010032,'1',326,'N'),(25,6010040,'1',201,'N'),(25,6010040,'1A',207,'N'),(25,6010059,'1',9,'N'),(25,6010067,'1',201,'N'),(25,6010067,'1A',212,'N'),(25,6010075,'1',103,'N'),(25,6010083,'1',103,'N'),(25,6010091,'1',103,'N'),(25,6010105,'1',551,'N'),(25,6010113,'1',201,'N'),(25,6010121,'1',103,'N'),(25,6010130,'1',103,'N'),(25,6010148,'1',205,'N'),(25,6010156,'1',302,'N'),(25,6010180,'1',415,'N'),(25,6010199,'1',336,'N'),(25,6010202,'1',201,'N'),(25,6010202,'1A',601,'N'),(25,6010210,'1',208,'N'),(25,6010210,'1A',238,'N'),(25,6010229,'1',203,'N'),(25,6010229,'1A',214,'N'),(25,6010237,'1',9,'N'),(25,6010245,'1',450,'N'),(25,6010253,'1',309,'N'),(25,6010270,'1',5,'N'),(25,6010296,'1',104,'N'),(25,6010326,'1',421,'N'),(25,6010326,'1A',424,'N'),(25,6010334,'1',5,'N'),(25,6010342,'1',207,'N'),(25,6010342,'1A',201,'N'),(25,6010369,'1',103,'N'),(25,6010377,'1',424,'N'),(25,6010377,'1A',427,'N'),(25,6010393,'1',103,'N'),(25,6010407,'1',303,'N'),(25,6010415,'1',213,'N'),(25,6010415,'1A',212,'N'),(25,6010423,'1',502,'N'),(25,6010431,'1',207,'N'),(25,6010431,'1A',211,'N'),(25,6010440,'1',216,'N'),(25,6010440,'1A',211,'N'),(25,6010458,'1',103,'N'),(25,6010466,'1',404,'N'),(25,6010474,'1',103,'N'),(25,6010482,'1',429,'N'),(25,6010490,'1',213,'N'),(25,6010504,'1',101,'N'),(25,6010512,'1',415,'N'),(25,6010520,'1',201,'N'),(25,6010520,'1A',212,'N'),(25,6010547,'1',103,'N'),(25,6010555,'1',319,'N'),(25,6010563,'1',601,'N'),(25,6010563,'1A',202,'N'),(25,6010571,'1',335,'N'),(25,6010580,'1',233,'N'),(25,6010598,'1',103,'N'),(25,6010601,'1',601,'N'),(25,6010601,'1A',220,'N'),(25,6010610,'1',211,'N'),(25,6010610,'1A',207,'N'),(25,6010628,'1',211,'N'),(25,6010628,'1A',203,'N'),(25,6010636,'1',319,'N'),(25,6010644,'1',103,'N'),(25,6010652,'1',303,'N'),(25,6010679,'1',203,'N'),(25,6010679,'1A',202,'N'),(25,6010687,'1',216,'N'),(25,6010687,'1A',233,'N'),(25,6010695,'1',5,'N'),(25,6010709,'1',103,'N'),(25,6010717,'1',224,'N'),(25,6010733,'1',234,'N'),(25,6010741,'1',101,'N'),(25,6010768,'1',453,'N'),(25,6010776,'1',102,'N'),(25,6010784,'1',104,'N'),(25,6010792,'1',103,'N'),(25,6010806,'1',103,'N'),(25,6010822,'1',415,'N'),(25,6010830,'1',316,'N'),(25,6010849,'1',336,'N'),(25,6010873,'1',103,'N'),(25,6010881,'1',238,'N'),(25,6010881,'1A',208,'N'),(25,6010890,'1',104,'N'),(25,6010903,'1',108,'N'),(25,6010911,'1',999,'N'),(25,6010920,'1',103,'N'),(25,6010938,'1',216,'N'),(25,6010938,'1A',233,'N'),(25,6010946,'1',103,'N'),(25,6010954,'1',201,'N'),(25,6010954,'1A',212,'N'),(25,6010962,'1',340,'N'),(25,6010970,'1',202,'N'),(25,6010970,'1A',220,'N'),(25,6010989,'1',317,'N'),(25,6011004,'1',304,'N'),(25,6011012,'1',203,'N'),(25,6011012,'1A',214,'N'),(25,6011020,'1',233,'N'),(25,6011020,'1A',213,'N'),(25,6011039,'1',421,'N'),(25,6011039,'1A',425,'N'),(25,6011071,'1',216,'N'),(25,6011071,'1A',233,'N'),(25,6011080,'1',5,'N'),(25,6011098,'1',103,'N'),(25,6011101,'1',652,'N'),(25,6011101,'1A',655,'N'),(25,6011110,'1',233,'N'),(25,6011110,'1A',235,'N'),(25,6011136,'1',235,'N'),(25,6011136,'1A',601,'N'),(25,6011160,'1',103,'N'),(25,6011187,'1',340,'N'),(25,6011225,'1',999,'N'),(25,6011233,'1',328,'N'),(25,6011250,'1',333,'N'),(25,6011276,'1',503,'N'),(25,6011284,'1',337,'N'),(25,6011306,'1',207,'N'),(25,6011306,'1A',215,'N'),(25,6011314,'1',425,'N'),(25,6011314,'1A',421,'N'),(25,6011322,'1',207,'N'),(25,6011322,'1A',220,'N'),(25,6011330,'1',333,'N'),(25,6011349,'1',103,'N'),(25,6011357,'1',235,'N'),(25,6011357,'1A',213,'N'),(25,6011365,'1',303,'N'),(25,6011373,'1',2,'N'),(25,6011381,'1',103,'N'),(25,6011390,'1',339,'N'),(25,6011403,'1',202,'N'),(25,6011403,'1A',235,'N'),(25,6011411,'1',203,'N'),(25,6011411,'1A',214,'N'),(25,6011438,'1',308,'N'),(25,6011446,'1',211,'N'),(25,6011446,'1A',215,'N'),(25,6011454,'1',340,'N'),(25,6011462,'1',310,'N'),(25,6011470,'1',207,'N'),(25,6011470,'1A',601,'N'),(25,6011489,'1',103,'N'),(25,6011497,'1',2,'N'),(25,6011500,'1',103,'N'),(25,6011519,'1',653,'N'),(25,6011519,'1A',655,'N'),(25,6011527,'1',104,'N'),(25,6011535,'1',103,'N'),(25,6011543,'1',3,'N'),(25,6011551,'1',420,'N'),(25,6011560,'1',5,'N'),(25,6011578,'1',9,'N'),(25,6011586,'1',103,'N'),(25,6011594,'1',103,'N'),(25,6011608,'1',109,'N'),(25,6011616,'1',203,'N'),(25,6011616,'1A',201,'N'),(25,6011624,'1',425,'N'),(25,6011624,'1A',424,'N'),(25,6011632,'1',340,'N'),(25,6011640,'1',203,'N'),(25,6011659,'1',203,'N'),(25,6011659,'1A',601,'N'),(25,6011667,'1',502,'N'),(25,6011675,'1',340,'N'),(25,6011683,'1',214,'N'),(25,6011683,'1A',212,'N'),(25,6011691,'1',336,'N'),(25,6011705,'1',652,'N'),(25,6011705,'1A',655,'N'),(25,6011713,'1',551,'N'),(25,6011721,'1',207,'N'),(25,6011748,'1',103,'N'),(25,6011756,'1',309,'N'),(25,6011764,'1',9,'N'),(25,6011772,'1',339,'N'),(25,6011780,'1',420,'N'),(25,6011799,'1',208,'N'),(25,6011799,'1A',238,'N'),(25,6011802,'1',5,'N'),(25,6011810,'1',216,'N'),(25,6011810,'1A',233,'N'),(25,6011829,'1',654,'N'),(25,6011837,'1',214,'N'),(25,6011837,'1A',211,'N'),(25,6011845,'1',424,'N'),(25,6011845,'1A',421,'N'),(25,6011861,'1',207,'N'),(25,6011861,'1A',201,'N'),(25,6011926,'1',238,'N'),(25,6011926,'1A',601,'N'),(25,6011934,'1',5,'N'),(25,6011942,'1',238,'N'),(25,6011942,'1A',208,'N'),(25,6011950,'1',333,'N'),(25,6011969,'1',601,'N'),(25,6011969,'1A',201,'N'),(25,6011985,'1',331,'N'),(25,6011993,'1',420,'N'),(25,6012000,'1',238,'N'),(25,6012000,'1A',208,'N'),(25,6012019,'1',203,'N'),(25,6012019,'1A',214,'N'),(25,6012027,'1',328,'N'),(25,6012035,'1',103,'N'),(25,6012043,'1',220,'N'),(25,6012043,'1A',202,'N'),(25,6012051,'1',303,'N'),(25,6012078,'1',233,'N'),(25,6012078,'1A',601,'N'),(25,6012086,'1',101,'N'),(25,6012094,'1',339,'N'),(25,6012108,'1',216,'N'),(25,6012108,'1A',215,'N'),(25,6012124,'1',5,'N'),(25,6012132,'1',207,'N'),(25,6012132,'1A',202,'N'),(25,6012159,'1',108,'N'),(25,6012167,'1',421,'N'),(25,6012175,'1',103,'N'),(25,6012183,'1',415,'N'),(25,6012191,'1',444,'N'),(25,6012205,'1',109,'N'),(25,6012213,'1',103,'N'),(25,6012221,'1',201,'N'),(25,6012221,'1A',212,'N'),(25,6012230,'1',235,'N'),(25,6012230,'1A',201,'N'),(25,6012256,'1',333,'N'),(25,6012264,'1',233,'N'),(25,6012264,'1A',213,'N'),(25,6012272,'1',655,'N'),(25,6012280,'1',207,'N'),(25,6012280,'1A',201,'N'),(25,6012299,'1',201,'N'),(25,6012299,'1A',207,'N'),(25,6012302,'1',201,'N'),(25,6012302,'1A',653,'N'),(25,6012310,'1',444,'N'),(25,6012329,'1',201,'N'),(25,6012329,'1A',212,'N'),(25,6012337,'1',207,'N'),(25,6012337,'1A',201,'N'),(25,6012353,'1',103,'N'),(25,6012388,'1',404,'N'),(25,6012396,'1',103,'N'),(25,6012400,'1',102,'N'),(25,6012418,'1',301,'N'),(25,6012426,'1',103,'N'),(25,6012434,'1',327,'N'),(25,6012442,'1',103,'N'),(25,6012450,'1',103,'N'),(25,6012469,'1',202,'N'),(25,6012469,'1A',601,'N'),(25,6012477,'1',103,'N'),(25,6012485,'1',203,'N'),(25,6012485,'1A',202,'N'),(25,6012493,'1',317,'N'),(25,6012507,'1',207,'N'),(25,6012515,'1',201,'N'),(25,6012515,'1A',212,'N'),(25,6012523,'1',233,'N'),(25,6012523,'1A',235,'N'),(25,6012531,'1',214,'N'),(25,6012531,'1A',212,'N'),(25,6012566,'1',319,'N'),(25,6012574,'1',207,'N'),(25,6012574,'1A',201,'N'),(25,6012590,'1',551,'N'),(25,6012604,'1',501,'N'),(25,6012612,'1',238,'N'),(25,6012612,'1A',208,'N'),(25,6012620,'1',303,'N'),(25,6012647,'1',333,'N'),(25,6012655,'1',336,'N'),(25,6012663,'1',103,'N'),(25,6012671,'1',428,'N'),(25,6012671,'1A',423,'N'),(25,6012698,'1',429,'N'),(25,6012701,'1',103,'N'),(25,6012710,'1',207,'N'),(25,6012710,'1A',201,'N'),(25,6012728,'1',201,'N'),(25,6012728,'1A',207,'N'),(25,6012744,'1',303,'N'),(25,6012752,'1',103,'N'),(25,6012760,'1',103,'N'),(25,6012779,'1',601,'N'),(25,6012817,'1',201,'N'),(25,6012817,'1A',212,'N'),(25,6012825,'1',203,'N'),(25,6012825,'1A',220,'N'),(25,6012833,'1',453,'N'),(25,6012841,'1',103,'N'),(25,6012868,'1',109,'N'),(25,6012876,'1',654,'N'),(25,6012884,'1',203,'N'),(25,6012884,'1A',214,'N'),(25,6012906,'1',304,'N'),(25,6012914,'1',421,'N'),(25,6012914,'1A',428,'N'),(25,6012922,'1',233,'N'),(25,6012922,'1A',216,'N'),(25,6012930,'1',420,'N'),(25,6012957,'1',324,'N'),(25,6012973,'1',103,'N'),(25,6013007,'1',205,'N'),(25,6013015,'1',420,'N'),(25,6013023,'1',101,'N'),(25,6013031,'1',201,'N'),(25,6013031,'1A',207,'N'),(25,6013040,'1',109,'N'),(25,6013058,'1',336,'N'),(25,6013066,'1',212,'N'),(25,6013066,'1A',201,'N'),(25,6013074,'1',316,'N'),(25,6013082,'1',654,'N'),(25,6013090,'1',235,'N'),(25,6013090,'1A',220,'N'),(25,6013104,'1',220,'N'),(25,6013104,'1A',215,'N'),(25,6013112,'1',316,'N'),(25,6013120,'1',501,'N'),(25,6013139,'1',317,'N'),(25,6013147,'1',211,'N'),(25,6013147,'1A',202,'N'),(25,6013155,'1',103,'N'),(25,6013163,'1',336,'N'),(25,6013171,'1',317,'N'),(25,6013180,'1',404,'N'),(25,6013201,'1',207,'N'),(25,6013201,'1A',201,'N'),(25,6013210,'1',201,'N'),(25,6013228,'1',428,'N'),(25,6013228,'1A',427,'N'),(25,6013244,'1',308,'N'),(25,6013260,'1',336,'N'),(25,6013279,'1',9,'N'),(25,6013287,'1',3,'N'),(25,6013295,'1',208,'N'),(25,6013295,'1A',238,'N'),(25,6013309,'1',238,'N'),(25,6013309,'1A',208,'N'),(25,6013317,'1',427,'N'),(25,6013325,'1',308,'N'),(25,6013333,'1',103,'N'),(25,6013341,'1',340,'N'),(25,6013368,'1',201,'N'),(25,6013368,'1A',203,'N'),(25,6013384,'1',451,'N'),(25,6013392,'1',207,'N'),(25,6013392,'1A',216,'N'),(25,6013406,'1',319,'N'),(25,6013414,'1',425,'N'),(25,6013414,'1A',429,'N'),(25,6013430,'1',308,'N'),(25,6013449,'1',319,'N'),(25,6013457,'1',5,'N'),(25,6013465,'1',318,'N'),(25,6013490,'1',212,'N'),(25,6013490,'1A',214,'N'),(25,6013503,'1',329,'N'),(25,6013511,'1',216,'N'),(25,6013511,'1A',202,'N'),(25,6013520,'1',103,'N'),(25,6013538,'1',331,'N'),(25,6013546,'1',207,'N'),(25,6013546,'1A',201,'N'),(25,6013554,'1',653,'N'),(25,6013554,'1A',655,'N'),(25,6013570,'1',301,'N'),(25,6013589,'1',103,'N'),(25,6013597,'1',415,'N'),(25,6013600,'1',327,'N'),(25,6013635,'1',319,'N'),(25,6013643,'1',203,'N'),(25,6013643,'1A',201,'N'),(25,6013678,'1',301,'N'),(25,6013708,'1',208,'N'),(25,6013708,'1A',235,'N'),(25,6013724,'1',201,'N'),(25,6013724,'1A',213,'N'),(25,6013732,'1',308,'N'),(25,6013740,'1',103,'N'),(25,6013775,'1',428,'N'),(25,6013775,'1A',425,'N'),(25,6013783,'1',453,'N'),(25,6013791,'1',201,'N'),(25,6013791,'1A',203,'N'),(25,6013805,'1',319,'N'),(25,6013813,'1',104,'N'),(25,6013821,'1',110,'N'),(25,6013830,'1',223,'N'),(25,6013856,'1',233,'N'),(25,6013856,'1A',216,'N'),(25,6013864,'1',211,'N'),(25,6013864,'1A',207,'N'),(25,6013872,'1',324,'N'),(25,6013880,'1',340,'N'),(25,6013902,'1',104,'N'),(25,6013929,'1',110,'N'),(25,6013937,'1',202,'N'),(25,6013937,'1A',215,'N'),(25,6013961,'1',404,'N'),(25,6013970,'1',103,'N'),(25,6013988,'1',208,'N'),(25,6013988,'1A',238,'N'),(25,6013996,'1',317,'N'),(25,6014011,'1',319,'N'),(25,6014020,'1',654,'N'),(25,6014038,'1',3,'N'),(25,6014046,'1',201,'N'),(25,6014046,'1A',203,'N'),(25,6014054,'1',233,'N'),(25,6014054,'1A',220,'N'),(25,6014089,'1',235,'N'),(25,6014089,'1A',202,'N'),(25,6014097,'1',103,'N'),(25,6014100,'1',201,'N'),(25,6014100,'1A',207,'N'),(25,6014119,'1',319,'N'),(25,6014127,'1',415,'N'),(25,6014135,'1',5,'N'),(25,6014143,'1',212,'N'),(25,6014143,'1A',233,'N'),(25,6014160,'1',303,'N'),(25,6014186,'1',319,'N'),(25,6014194,'1',5,'N'),(25,6014208,'1',336,'N'),(25,6014224,'1',201,'N'),(25,6014224,'1A',207,'N'),(25,6014232,'1',317,'N'),(25,6014240,'1',238,'N'),(25,6014240,'1A',208,'N'),(25,6014259,'1',103,'N'),(25,6014267,'1',103,'N'),(25,6014275,'1',212,'N'),(25,6014275,'1A',211,'N'),(25,6014283,'1',201,'N'),(25,6014283,'1A',207,'N'),(25,6014291,'1',109,'N'),(25,6014305,'1',103,'N'),(25,6014313,'1',103,'N'),(25,6014321,'1',201,'N'),(25,6014321,'1A',207,'N'),(25,6014330,'1',234,'N'),(25,6014356,'1',207,'N'),(25,6014356,'1A',233,'N'),(25,6014364,'1',103,'N'),(25,6014372,'1',331,'N'),(25,6014380,'1',5,'N'),(25,6014399,'1',207,'N'),(25,6014399,'1A',201,'N'),(25,6014402,'1',103,'N'),(25,6014410,'1',103,'N'),(25,6014429,'1',304,'N'),(25,6014437,'1',103,'N'),(25,6014453,'1',302,'N'),(25,6014461,'1',102,'N'),(25,6014488,'1',109,'N'),(25,6014496,'1',404,'N'),(25,6014500,'1',103,'N'),(25,6014518,'1',429,'N'),(25,6014518,'1A',423,'N'),(25,6014526,'1',652,'N'),(25,6014534,'1',316,'N'),(25,6014542,'1',301,'N'),(25,6014550,'1',303,'N'),(25,6014569,'1',318,'N'),(25,6014577,'1',451,'N'),(25,6014585,'1',101,'N'),(25,6014593,'1',211,'N'),(25,6014593,'1A',215,'N'),(25,6014615,'1',655,'N'),(25,6014615,'1A',652,'N'),(25,6014623,'1',319,'N'),(25,6014631,'1',203,'N'),(25,6014631,'1A',601,'N'),(25,6014640,'1',310,'N'),(25,6014658,'1',428,'N'),(25,6014658,'1A',425,'N'),(25,6014666,'1',102,'N'),(25,6014674,'1',5,'N'),(25,6014682,'1',211,'N'),(25,6014682,'1A',601,'N'),(25,6014690,'1',652,'N'),(25,6014704,'1',110,'N'),(25,6014720,'1',103,'N'),(25,6014739,'1',999,'N'),(25,6014747,'1',5,'N'),(25,6014755,'1',203,'N'),(25,6014755,'1A',220,'N'),(25,6014763,'1',214,'N'),(25,6014763,'1A',213,'N'),(25,6014771,'1',340,'N'),(25,6014798,'1',238,'N'),(25,6014798,'1A',202,'N'),(25,6014801,'1',214,'N'),(25,6014801,'1A',203,'N'),(25,6014810,'1',429,'N'),(25,6014810,'1A',425,'N'),(25,6014836,'1',335,'N'),(25,6014844,'1',415,'N'),(25,6014852,'1',103,'N'),(25,6014879,'1',301,'N'),(25,6014887,'1',319,'N'),(25,6014909,'1',207,'N'),(25,6014917,'1',404,'N'),(25,6014925,'1',453,'N'),(25,6014933,'1',103,'N'),(25,6014968,'1',208,'N'),(25,6014984,'1',329,'N'),(25,6014992,'1',109,'N'),(25,6015000,'1',316,'N'),(25,6015026,'1',202,'N'),(25,6015026,'1A',235,'N'),(25,6015034,'1',415,'N'),(25,6015042,'1',103,'N'),(25,6015069,'1',425,'N'),(25,6015069,'1A',429,'N'),(25,6015077,'1',220,'N'),(25,6015077,'1A',202,'N'),(25,6015085,'1',203,'N'),(25,6015085,'1A',201,'N'),(25,6015093,'1',208,'N'),(25,6015093,'1A',238,'N'),(25,6015115,'1',654,'N'),(25,6015123,'1',316,'N'),(25,6015140,'1',303,'N'),(25,6015158,'1',444,'N'),(25,6015166,'1',104,'N'),(25,6015174,'1',103,'N'),(25,6015182,'1',103,'N'),(25,6015190,'1',109,'N'),(25,6015204,'1',103,'N'),(25,6015212,'1',652,'N'),(25,6015239,'1',216,'N'),(25,6015239,'1A',202,'N'),(25,6015255,'1',234,'N'),(25,6015263,'1',303,'N'),(25,6015271,'1',108,'N'),(25,6015280,'1',316,'N'),(25,6015298,'1',102,'N'),(25,6015301,'1',110,'N'),(25,6015336,'1',103,'N'),(25,6015344,'1',103,'N'),(25,6015352,'1',103,'N'),(25,6015360,'1',211,'N'),(25,6015360,'1A',201,'N'),(25,6015379,'1',303,'N'),(25,6015387,'1',211,'N'),(25,6015387,'1A',215,'N'),(25,6015409,'1',103,'N'),(25,6015425,'1',224,'N'),(25,6015433,'1',551,'N'),(25,6015476,'1',109,'N'),(25,6015492,'1',304,'N'),(25,6015506,'1',203,'N'),(25,6015506,'1A',216,'N'),(25,6015530,'1',220,'N'),(25,6015530,'1A',213,'N'),(25,6015549,'1',319,'N'),(25,6015557,'1',425,'N'),(25,6015557,'1A',426,'N'),(25,6015565,'1',319,'N'),(25,6015581,'1',501,'N'),(25,6015590,'1',318,'N'),(25,6015620,'1',103,'N'),(25,6015638,'1',103,'N'),(25,6015654,'1',201,'N'),(25,6015654,'1A',655,'N'),(25,6015662,'1',104,'N'),(25,6015670,'1',316,'N'),(25,6015689,'1',316,'N'),(25,6015700,'1',415,'N'),(25,6015727,'1',326,'N'),(25,6015743,'1',303,'N'),(25,6015760,'1',453,'N'),(25,6015778,'1',212,'N'),(25,6015778,'1A',213,'N'),(25,6015786,'1',304,'N'),(25,6015794,'1',415,'N'),(25,6015808,'1',103,'N'),(25,6015816,'1',101,'N'),(25,6015824,'1',235,'N'),(25,6015824,'1A',202,'N'),(25,6015832,'1',104,'N'),(25,6015840,'1',503,'N'),(25,6015859,'1',308,'N'),(25,6015867,'1',333,'N'),(25,6015875,'1',303,'N'),(25,6015883,'1',303,'N'),(25,6015891,'1',216,'N'),(25,6015891,'1A',215,'N'),(25,6015905,'1',404,'N'),(25,6015913,'1',220,'N'),(25,6015913,'1A',201,'N'),(25,6015921,'1',203,'N'),(25,6015921,'1A',202,'N'),(25,6015930,'1',103,'N'),(25,6015948,'1',109,'N'),(25,6015964,'1',108,'N'),(25,6015972,'1',318,'N'),(25,6015980,'1',103,'N'),(25,6015999,'1',203,'N'),(25,6015999,'1A',238,'N'),(25,6016006,'1',103,'N'),(25,6016014,'1',655,'N'),(25,6016014,'1A',653,'N'),(25,6016030,'1',301,'N'),(25,6016065,'1',999,'N'),(25,6016073,'1',103,'N'),(25,6016081,'1',9,'N'),(25,6016090,'1',601,'N'),(25,6016090,'1A',235,'N'),(25,6016103,'1',317,'N'),(25,6016111,'1',103,'N'),(25,6016120,'1',415,'N'),(25,6016138,'1',317,'N'),(25,6016146,'1',110,'N'),(25,6016154,'1',103,'N'),(25,6016162,'1',213,'N'),(25,6016162,'1A',212,'N'),(25,6016170,'1',324,'N'),(25,6016189,'1',444,'N'),(25,6016197,'1',224,'N'),(25,6016219,'1',103,'N'),(25,6016227,'1',452,'N'),(25,6016235,'1',108,'N'),(25,6016243,'1',103,'N'),(25,6016251,'1',318,'N'),(25,6016260,'1',327,'N'),(25,6016278,'1',208,'N'),(25,6016278,'1A',238,'N'),(25,6016294,'1',654,'N'),(25,6016308,'1',216,'N'),(25,6016308,'1A',215,'N'),(25,6016316,'1',208,'N'),(25,6016316,'1A',238,'N'),(25,6016324,'1',316,'N'),(25,6016332,'1',652,'N'),(25,6016332,'1A',655,'N'),(25,6016359,'1',104,'N'),(25,6016367,'1',103,'N'),(25,6016375,'1',103,'N'),(25,6016383,'1',103,'N'),(25,6016391,'1',238,'N'),(25,6016391,'1A',208,'N'),(25,6016405,'1',216,'N'),(25,6016405,'1A',215,'N'),(25,6016421,'1',5,'N'),(25,6016430,'1',316,'N'),(25,6016456,'1',999,'N'),(25,6016464,'1',201,'N'),(25,6016464,'1A',203,'N'),(25,6016472,'1',502,'N'),(25,6016499,'1',452,'N'),(25,6016510,'1',302,'N'),(25,6016529,'1',109,'N'),(25,6016537,'1',103,'N'),(25,6016553,'1',420,'N'),(25,6016561,'1',331,'N'),(25,6016570,'1',655,'N'),(25,6016588,'1',319,'N'),(25,6016596,'1',336,'N'),(25,6016618,'1',333,'N'),(25,6016626,'1',336,'N'),(25,6016642,'1',999,'N'),(25,6016650,'1',220,'N'),(25,6016650,'1A',235,'N'),(25,6016677,'1',238,'N'),(25,6016677,'1A',208,'N'),(25,6016707,'1',316,'N'),(25,6016723,'1',201,'N'),(25,6016723,'1A',238,'N'),(25,6016731,'1',103,'N'),(25,6016758,'1',203,'N'),(25,6016758,'1A',202,'N'),(25,6016774,'1',303,'N'),(25,6016782,'1',103,'N'),(25,6016790,'1',415,'N'),(25,6016804,'1',304,'N'),(25,6016839,'1',319,'N'),(25,6016847,'1',303,'N'),(25,6016855,'1',103,'N'),(25,6016871,'1',103,'N'),(25,6016880,'1',103,'N'),(25,6016898,'1',5,'N'),(25,6016901,'1',404,'N'),(25,6016910,'1',9,'N'),(25,6016936,'1',303,'N'),(25,6016944,'1',103,'N'),(25,6016952,'1',102,'N'),(25,6016960,'1',207,'N'),(25,6016960,'1A',233,'N'),(25,6016979,'1',103,'N'),(25,6016987,'1',207,'N'),(25,6017010,'1',103,'N'),(25,6017029,'1',429,'N'),(25,6017037,'1',103,'N'),(25,6017045,'1',211,'N'),(25,6017053,'1',108,'N'),(25,6017061,'1',103,'N'),(25,6017070,'1',211,'N'),(25,6017070,'1A',233,'N'),(25,6017096,'1',104,'N'),(25,6017118,'1',207,'N'),(25,6017118,'1A',201,'N'),(25,6017126,'1',103,'N'),(25,6017134,'1',453,'N'),(25,6017142,'1',103,'N'),(25,6017169,'1',5,'N'),(25,6017185,'1',309,'N'),(25,6017193,'1',201,'N'),(25,6017193,'1A',220,'N'),(25,6017207,'1',108,'N'),(25,6017215,'1',104,'N'),(25,6017223,'1',428,'N'),(25,6017223,'1A',423,'N'),(25,6017231,'1',215,'N'),(25,6017240,'1',303,'N'),(25,6017258,'1',216,'N'),(25,6017258,'1A',233,'N'),(25,6017266,'1',103,'N'),(25,6017274,'1',654,'N'),(25,6017282,'1',207,'N'),(25,6017290,'1',420,'N'),(25,6017320,'1',425,'N'),(25,6017320,'1A',421,'N'),(25,6017339,'1',238,'N'),(25,6017339,'1A',208,'N'),(25,6017347,'1',415,'N'),(25,6017355,'1',444,'N'),(25,6017363,'1',203,'N'),(25,6017363,'1A',201,'N'),(25,6017371,'1',317,'N'),(25,6017380,'1',233,'N'),(25,6017380,'1A',216,'N'),(25,6017398,'1',317,'N'),(25,6017410,'1',108,'N'),(25,6017436,'1',103,'N'),(25,6017444,'1',104,'N'),(25,6017452,'1',201,'N'),(25,6017452,'1A',207,'N'),(25,6017460,'1',319,'N'),(25,6017487,'1',333,'N'),(25,6017509,'1',303,'N'),(25,6017541,'1',308,'N'),(25,6017550,'1',415,'N'),(25,6017568,'1',5,'N'),(25,6017576,'1',108,'N'),(25,6017592,'1',5,'N'),(25,6017606,'1',652,'N'),(25,6017622,'1',103,'N'),(25,6017630,'1',108,'N'),(25,6017665,'1',103,'N'),(25,6017673,'1',108,'N'),(25,6017681,'1',415,'N'),(25,6017703,'1',415,'N'),(25,6017711,'1',453,'N'),(25,6017720,'1',104,'N'),(25,6017738,'1',215,'N'),(25,6017738,'1A',211,'N'),(25,6017746,'1',319,'N'),(25,6017770,'1',316,'N'),(25,6017819,'1',103,'N'),(25,6017827,'1',654,'N'),(25,6017835,'1',429,'N'),(25,6017835,'1A',427,'N'),(25,6017843,'1',501,'N'),(25,6017851,'1',428,'N'),(25,6017851,'1A',421,'N'),(25,6017860,'1',109,'N'),(25,6017886,'1',110,'N'),(25,6017894,'1',102,'N'),(25,6017908,'1',101,'N'),(25,6017916,'1',327,'N'),(25,6017924,'1',319,'N'),(25,6017932,'1',207,'N'),(25,6017932,'1A',201,'N'),(25,6017940,'1',238,'N'),(25,6017940,'1A',208,'N'),(25,6017959,'1',3,'N'),(25,6017967,'1',103,'N'),(25,6017975,'1',104,'N'),(25,6017983,'1',999,'N'),(25,6017991,'1',103,'N'),(25,6018017,'1',452,'N'),(25,6018033,'1',211,'N'),(25,6018033,'1A',653,'N'),(25,6018041,'1',336,'N'),(25,6018050,'1',103,'N'),(25,6018068,'1',216,'N'),(25,6018068,'1A',653,'N'),(25,6018076,'1',201,'N'),(25,6018076,'1A',203,'N'),(25,6018084,'1',238,'N'),(25,6018092,'1',103,'N'),(25,6018114,'1',9,'N'),(25,6018130,'1',109,'N'),(25,6018149,'1',324,'N'),(25,6018165,'1',203,'N'),(25,6018165,'1A',652,'N'),(25,6018173,'1',303,'N'),(25,6018181,'1',104,'N'),(25,6018190,'1',103,'N'),(25,6018203,'1',428,'N'),(25,6018211,'1',104,'N'),(25,6018220,'1',110,'N'),(25,6018238,'1',335,'N'),(25,6018246,'1',201,'N'),(25,6018246,'1A',207,'N'),(25,6018254,'1',404,'N'),(25,6018262,'1',335,'N'),(25,6018270,'1',336,'N'),(25,6018289,'1',103,'N'),(25,6018297,'1',316,'N'),(25,6018335,'1',207,'N'),(25,6018335,'1A',201,'N'),(25,6018343,'1',220,'N'),(25,6018343,'1A',202,'N'),(25,6018351,'1',333,'N'),(25,6018360,'1',5,'N'),(25,6018386,'1',110,'N'),(25,6018394,'1',216,'N'),(25,6018394,'1A',212,'N'),(25,6018408,'1',103,'N'),(25,6018416,'1',309,'N'),(25,6018424,'1',501,'N'),(25,6018432,'1',216,'N'),(25,6018432,'1A',201,'N'),(25,6018440,'1',202,'N'),(25,6018440,'1A',213,'N'),(25,6018459,'1',103,'N'),(25,6018467,'1',653,'N'),(25,6018475,'1',233,'N'),(25,6018475,'1A',211,'N'),(25,6018491,'1',303,'N'),(25,6018513,'1',316,'N'),(25,6018521,'1',103,'N'),(25,6018530,'1',225,'N'),(25,6018548,'1',3,'N'),(25,6018556,'1',212,'N'),(25,6018556,'1A',201,'N'),(25,6018572,'1',103,'N'),(25,6018599,'1',303,'N'),(25,6018602,'1',216,'N'),(25,6018610,'1',503,'N'),(25,6018629,'1',201,'N'),(25,6018637,'1',216,'N'),(25,6018637,'1A',203,'N'),(25,6018645,'1',103,'N'),(25,6018653,'1',452,'N'),(25,6018661,'1',203,'N'),(25,6018670,'1',104,'N'),(25,6018688,'1',502,'N'),(25,6018696,'1',208,'N'),(25,6018696,'1A',655,'N'),(25,6018700,'1',444,'N'),(25,6018718,'1',109,'N'),(25,6018726,'1',201,'N'),(25,6018726,'1A',203,'N'),(25,6018734,'1',319,'N'),(25,6018742,'1',319,'N'),(25,6018769,'1',235,'N'),(25,6018769,'1A',238,'N'),(25,6018777,'1',203,'N'),(25,6018777,'1A',214,'N'),(25,6018785,'1',216,'N'),(25,6018785,'1A',202,'N'),(25,6018793,'1',326,'N'),(25,6018807,'1',5,'N'),(25,6018823,'1',104,'N'),(25,6018831,'1',103,'N'),(25,6018840,'1',214,'N'),(25,6018840,'1A',203,'N'),(25,6018858,'1',415,'N'),(25,6018874,'1',109,'N'),(25,6018882,'1',214,'N'),(25,6018882,'1A',601,'N'),(25,6018890,'1',404,'N'),(25,6018912,'1',104,'N'),(25,6018939,'1',304,'N'),(25,6018947,'1',601,'N'),(25,6018963,'1',238,'N'),(25,6018963,'1A',208,'N'),(25,6018971,'1',103,'N'),(25,6018980,'1',207,'N'),(25,6018980,'1A',212,'N'),(25,6019005,'1',202,'N'),(25,6019005,'1A',213,'N'),(25,6019013,'1',5,'N'),(25,6019021,'1',333,'N'),(25,6019030,'1',103,'N'),(25,6019048,'1',104,'N'),(25,6019056,'1',336,'N'),(25,6019064,'1',340,'N'),(25,6019072,'1',653,'N'),(25,6019072,'1A',655,'N'),(25,6019080,'1',220,'N'),(25,6019080,'1A',202,'N'),(25,6019099,'1',104,'N'),(25,6019102,'1',3,'N'),(25,6019129,'1',336,'N'),(25,6019137,'1',108,'N'),(25,6019161,'1',103,'N'),(25,6019170,'1',203,'N'),(25,6019170,'1A',601,'N'),(25,6019188,'1',655,'N'),(25,6019188,'1A',652,'N'),(25,6019196,'1',5,'N'),(25,6019200,'1',340,'N'),(25,6019218,'1',207,'N'),(25,6019226,'1',110,'N'),(25,6019234,'1',501,'N'),(25,6019269,'1',203,'N'),(25,6019269,'1A',211,'N'),(25,6019277,'1',308,'N'),(25,6019285,'1',426,'N'),(25,6019285,'1A',425,'N'),(25,6019293,'1',319,'N'),(25,6019307,'1',207,'N'),(25,6019307,'1A',201,'N'),(25,6019315,'1',108,'N'),(25,6019323,'1',201,'N'),(25,6019323,'1A',207,'N'),(25,6019331,'1',2,'N'),(25,6019340,'1',109,'N'),(25,6019358,'1',9,'N'),(25,6019374,'1',220,'N'),(25,6019374,'1A',233,'N'),(25,6019382,'1',303,'N'),(25,6019404,'1',404,'N'),(25,6019412,'1',319,'N'),(25,6019420,'1',302,'N'),(25,6019447,'1',202,'N'),(25,6019447,'1A',235,'N'),(25,6019463,'1',415,'N'),(25,6019480,'1',211,'N'),(25,6019480,'1A',601,'N'),(25,6019498,'1',444,'N'),(25,6019501,'1',110,'N'),(25,6019510,'1',319,'N'),(25,6019528,'1',420,'N'),(25,6019536,'1',5,'N'),(25,6019544,'1',103,'N'),(25,6019552,'1',9,'N'),(25,6019560,'1',303,'N'),(25,6019595,'1',654,'N'),(25,6019609,'1',501,'N'),(25,6019617,'1',108,'N'),(25,6019625,'1',207,'N'),(25,6019625,'1A',211,'N'),(25,6019633,'1',3,'N'),(25,6019641,'1',420,'N'),(25,6019650,'1',238,'N'),(25,6019650,'1A',208,'N'),(25,6019668,'1',337,'N'),(25,6019676,'1',201,'N'),(25,6019676,'1A',207,'N'),(25,6019684,'1',207,'N'),(25,6019692,'1',319,'N'),(25,6019706,'1',102,'N'),(25,6019714,'1',453,'N'),(25,6019722,'1',216,'N'),(25,6019722,'1A',233,'N'),(25,6019730,'1',317,'N'),(25,6019765,'1',501,'N'),(25,6019790,'1',415,'N'),(25,6019803,'1',999,'N'),(25,6019811,'1',216,'N'),(25,6019811,'1A',211,'N'),(25,6019820,'1',215,'N'),(25,6019820,'1A',211,'N'),(25,6019838,'1',109,'N'),(25,6019846,'1',103,'N'),(25,6019870,'1',653,'N'),(25,6019870,'1A',201,'N'),(25,6019900,'1',444,'N'),(25,6019919,'1',340,'N'),(25,6019927,'1',103,'N'),(25,6019935,'1',340,'N'),(25,6019943,'1',999,'N'),(25,6019978,'1',203,'N'),(25,6019978,'1A',202,'N'),(25,6019986,'1',215,'N'),(25,6019986,'1A',207,'N'),(25,6019994,'1',309,'N'),(25,6020003,'1',104,'N'),(25,6020011,'1',216,'N'),(25,6020011,'1A',215,'N'),(25,6020020,'1',104,'N'),(25,6020046,'1',103,'N'),(25,6020062,'1',202,'N'),(25,6020062,'1A',203,'N'),(25,6020070,'1',999,'N'),(25,6020089,'1',214,'N'),(25,6020089,'1A',215,'N'),(25,6020097,'1',225,'N'),(25,6020100,'1',303,'N'),(25,6020119,'1',453,'N'),(25,6020127,'1',104,'N'),(25,6020135,'1',336,'N'),(25,6020143,'1',421,'N'),(25,6020143,'1A',426,'N'),(25,6020160,'1',326,'N'),(25,6020178,'1',999,'N'),(25,6020186,'1',201,'N'),(25,6020186,'1A',207,'N'),(25,6020194,'1',103,'N'),(25,6020216,'1',202,'N'),(25,6020216,'1A',216,'N'),(25,6020232,'1',103,'N'),(25,6020240,'1',9,'N'),(25,6020259,'1',452,'N'),(25,6020267,'1',109,'N'),(25,6020275,'1',303,'N'),(25,6020305,'1',9,'N'),(25,6020313,'1',205,'N'),(25,6020321,'1',220,'N'),(25,6020321,'1A',202,'N'),(25,6020348,'1',551,'N'),(25,6020356,'1',317,'N'),(25,6020364,'1',216,'N'),(25,6020364,'1A',201,'N'),(25,6020372,'1',202,'N'),(25,6020372,'1A',235,'N'),(25,6020380,'1',303,'N'),(25,6020399,'1',333,'N'),(25,6020402,'1',207,'N'),(25,6020402,'1A',201,'N'),(25,6020410,'1',999,'N'),(25,6020437,'1',319,'N'),(25,6020445,'1',207,'N'),(25,6020445,'1A',601,'N'),(25,6020453,'1',207,'N'),(25,6020453,'1A',215,'N'),(25,6020461,'1',319,'N'),(25,6020470,'1',103,'N'),(25,6020496,'1',102,'N'),(25,6020500,'1',103,'N'),(25,6020518,'1',110,'N'),(25,6020526,'1',108,'N'),(25,6020534,'1',201,'N'),(25,6020534,'1A',233,'N'),(25,6020550,'1',336,'N'),(25,6020569,'1',207,'N'),(25,6020569,'1A',212,'N'),(25,6020577,'1',102,'N'),(25,6020585,'1',103,'N'),(25,6020593,'1',203,'N'),(25,6020593,'1A',202,'N'),(25,6020607,'1',5,'N'),(25,6020623,'1',340,'N'),(25,6020631,'1',103,'N'),(25,6020640,'1',103,'N'),(25,6020658,'1',999,'N'),(25,6020666,'1',451,'N'),(25,6020674,'1',104,'N'),(25,6020682,'1',318,'N'),(25,6020704,'1',215,'N'),(25,6020704,'1A',235,'N'),(25,6020712,'1',208,'N'),(25,6020712,'1A',238,'N'),(25,6020720,'1',103,'N'),(25,6020739,'1',317,'N'),(25,6020747,'1',103,'N'),(25,6020755,'1',319,'N'),(25,6020763,'1',202,'N'),(25,6020763,'1A',235,'N'),(25,6020771,'1',103,'N'),(25,6020780,'1',202,'N'),(25,6020780,'1A',235,'N'),(25,6020798,'1',103,'N'),(25,6020828,'1',319,'N'),(25,6020836,'1',324,'N'),(25,6020844,'1',426,'N'),(25,6020852,'1',5,'N'),(25,6020860,'1',652,'N'),(25,6020860,'1A',653,'N'),(25,6020879,'1',332,'N'),(25,6020887,'1',318,'N'),(25,6020895,'1',216,'N'),(25,6020895,'1A',215,'N'),(25,6020909,'1',452,'N'),(25,6020917,'1',103,'N'),(25,6020925,'1',220,'N'),(25,6020925,'1A',201,'N'),(25,6020933,'1',333,'N'),(25,6020941,'1',301,'N'),(25,6020950,'1',329,'N'),(25,6020968,'1',425,'N'),(25,6020968,'1A',423,'N'),(25,6020976,'1',103,'N'),(25,6020984,'1',108,'N'),(25,6020992,'1',601,'N'),(25,6020992,'1A',201,'N'),(25,6021000,'1',319,'N'),(25,6021018,'1',103,'N'),(25,6021026,'1',216,'N'),(25,6021026,'1A',208,'N'),(25,6021034,'1',214,'N'),(25,6021034,'1A',601,'N'),(25,6021042,'1',326,'N'),(25,6021050,'1',303,'N'),(25,6021069,'1',201,'N'),(25,6021069,'1A',212,'N'),(25,6021077,'1',208,'N'),(25,6021077,'1A',207,'N'),(25,6021107,'1',214,'N'),(25,6021107,'1A',220,'N'),(25,6021115,'1',103,'N'),(25,6021123,'1',201,'N'),(25,6021123,'1A',212,'N'),(25,6021131,'1',450,'N'),(25,6021140,'1',999,'N'),(25,6021166,'1',101,'N'),(25,6021174,'1',415,'N'),(25,6021182,'1',108,'N'),(25,6021190,'1',101,'N'),(25,6021204,'1',103,'N'),(25,6021212,'1',103,'N'),(25,6021220,'1',551,'N'),(25,6021239,'1',303,'N'),(25,6021247,'1',211,'N'),(25,6021247,'1A',208,'N'),(25,6021255,'1',423,'N'),(25,6021255,'1A',428,'N'),(25,6021280,'1',303,'N'),(25,6021298,'1',207,'N'),(25,6021298,'1A',238,'N'),(25,6021301,'1',450,'N'),(25,6021310,'1',415,'N'),(25,6021328,'1',319,'N'),(25,6021336,'1',302,'N'),(25,6021344,'1',103,'N'),(25,6021352,'1',103,'N'),(25,6021360,'1',9,'N'),(25,6021379,'1',201,'N'),(25,6021387,'1',316,'N'),(25,6021417,'1',214,'N'),(25,6021417,'1A',212,'N'),(25,6021433,'1',203,'N'),(25,6021433,'1A',233,'N'),(25,6021441,'1',103,'N'),(25,6021450,'1',415,'N'),(25,6021468,'1',319,'N'),(25,6021476,'1',601,'N'),(25,6021476,'1A',201,'N'),(25,6021484,'1',319,'N'),(25,6021492,'1',324,'N'),(25,6021506,'1',212,'N'),(25,6021506,'1A',601,'N'),(25,6021514,'1',110,'N'),(25,6021522,'1',303,'N'),(25,6021530,'1',652,'N'),(25,6021530,'1A',235,'N'),(25,6021549,'1',319,'N'),(25,6021557,'1',103,'N'),(25,6021565,'1',220,'N'),(25,6021565,'1A',202,'N'),(25,6021573,'1',102,'N'),(25,6021581,'1',453,'N'),(25,6021590,'1',5,'N'),(25,6021603,'1',303,'N'),(25,6021611,'1',215,'N'),(25,6021611,'1A',211,'N'),(25,6021638,'1',340,'N'),(25,6021646,'1',301,'N'),(25,6021654,'1',203,'N'),(25,6021662,'1',104,'N'),(25,6021689,'1',207,'N'),(25,6021700,'1',201,'N'),(25,6021700,'1A',203,'N'),(25,6021719,'1',208,'N'),(25,6021719,'1A',238,'N'),(25,6021727,'1',108,'N'),(25,6021735,'1',452,'N'),(25,6021743,'1',110,'N'),(25,6021751,'1',103,'N'),(25,6021760,'1',220,'N'),(25,6021760,'1A',203,'N'),(25,6021778,'1',110,'N'),(25,6021786,'1',216,'N'),(25,6021794,'1',216,'N'),(25,6021794,'1A',207,'N'),(25,6021808,'1',102,'N'),(25,6021824,'1',220,'N'),(25,6021824,'1A',235,'N'),(25,6021832,'1',103,'N'),(25,6021840,'1',104,'N'),(25,6021867,'1',452,'N'),(25,6021875,'1',238,'N'),(25,6021875,'1A',207,'N'),(25,6021883,'1',216,'N'),(25,6021883,'1A',211,'N'),(25,6021891,'1',208,'N'),(25,6021891,'1A',203,'N'),(25,6021905,'1',207,'N'),(25,6021905,'1A',201,'N'),(25,6021913,'1',104,'N'),(25,6021921,'1',224,'N'),(25,6021948,'1',103,'N'),(25,6021956,'1',999,'N'),(25,6021964,'1',601,'N'),(25,6021972,'1',450,'N'),(25,6021980,'1',5,'N'),(25,6021999,'1',332,'N'),(25,6022006,'1',103,'N'),(25,6022014,'1',203,'N'),(25,6022014,'1A',202,'N'),(25,6022022,'1',235,'N'),(25,6022022,'1A',202,'N'),(25,6022030,'1',5,'N'),(25,6022065,'1',452,'N'),(25,6022073,'1',444,'N'),(25,6022081,'1',103,'N'),(25,6022103,'1',999,'N'),(25,6022111,'1',5,'N'),(25,6022120,'1',310,'N'),(25,6022138,'1',450,'N'),(25,6022146,'1',101,'N'),(25,6022154,'1',238,'N'),(25,6022154,'1A',208,'N'),(25,6022162,'1',601,'N'),(25,6022162,'1A',220,'N'),(25,6022170,'1',319,'N'),(25,6022189,'1',340,'N'),(25,6022197,'1',103,'N'),(25,6022200,'1',103,'N'),(25,6022219,'1',103,'N'),(25,6022227,'1',103,'N'),(25,6022235,'1',502,'N'),(25,6022243,'1',103,'N'),(25,6022260,'1',653,'N'),(25,6022278,'1',101,'N'),(25,6022286,'1',5,'N'),(25,6022294,'1',220,'N'),(25,6022294,'1A',201,'N'),(25,6022308,'1',109,'N'),(25,6022316,'1',333,'N'),(25,6022324,'1',208,'N'),(25,6022324,'1A',235,'N'),(25,6022332,'1',316,'N'),(25,6022359,'1',109,'N'),(25,6022367,'1',301,'N'),(25,6022375,'1',328,'N'),(25,6022383,'1',654,'N'),(25,6022391,'1',336,'N'),(25,6022413,'1',202,'N'),(25,6022413,'1A',213,'N'),(25,6022421,'1',103,'N'),(25,6022456,'1',216,'N'),(25,6022456,'1A',601,'N'),(25,6022464,'1',5,'N'),(25,6022480,'1',501,'N'),(25,6022499,'1',214,'N'),(25,6022499,'1A',213,'N'),(25,6022502,'1',319,'N'),(25,6022510,'1',203,'N'),(25,6022510,'1A',201,'N'),(25,6022529,'1',103,'N'),(25,6022537,'1',303,'N'),(25,6022545,'1',235,'N'),(25,6022545,'1A',208,'N'),(25,6022553,'1',208,'N'),(25,6022553,'1A',238,'N'),(25,6022561,'1',103,'N'),(25,6022570,'1',103,'N'),(25,6022588,'1',304,'N'),(25,6022596,'1',303,'N'),(25,6022600,'1',308,'N'),(25,6022618,'1',108,'N'),(25,6022626,'1',238,'N'),(25,6022626,'1A',202,'N'),(25,6022650,'1',208,'N'),(25,6022650,'1A',238,'N'),(25,6022669,'1',103,'N'),(25,6022677,'1',340,'N'),(25,6022693,'1',238,'N'),(25,6022693,'1A',235,'N'),(25,6022707,'1',212,'N'),(25,6022707,'1A',213,'N'),(25,6022715,'1',333,'N'),(25,6022723,'1',601,'N'),(25,6022731,'1',103,'N'),(25,6022740,'1',501,'N'),(25,6022766,'1',216,'N'),(25,6022766,'1A',233,'N'),(25,6022774,'1',601,'N'),(25,6022790,'1',340,'N'),(25,6022804,'1',211,'N'),(25,6022820,'1',601,'N'),(25,6022839,'1',303,'N'),(25,6022855,'1',503,'N'),(25,6022863,'1',208,'N'),(25,6022871,'1',338,'N'),(25,6022880,'1',601,'N'),(25,6022898,'1',104,'N'),(25,6022901,'1',5,'N'),(25,6022910,'1',301,'N'),(25,6022928,'1',101,'N'),(25,6022936,'1',103,'N'),(25,6022952,'1',225,'N'),(25,6022960,'1',339,'N'),(25,6022987,'1',9,'N'),(25,6022995,'1',340,'N'),(25,6023002,'1',415,'N'),(25,6023029,'1',110,'N'),(25,6023037,'1',203,'N'),(25,6023037,'1A',214,'N'),(25,6023045,'1',502,'N'),(25,6023053,'1',340,'N'),(25,6023061,'1',444,'N'),(25,6023070,'1',332,'N'),(25,6023088,'1',104,'N'),(25,6023096,'1',103,'N'),(25,6023100,'1',327,'N'),(25,6023118,'1',425,'N'),(25,6023118,'1A',429,'N'),(25,6023126,'1',326,'N'),(25,6023134,'1',201,'N'),(25,6023134,'1A',208,'N'),(25,6023142,'1',203,'N'),(25,6023142,'1A',202,'N'),(25,6023150,'1',214,'N'),(25,6023150,'1A',213,'N'),(25,6023177,'1',103,'N'),(25,6023185,'1',103,'N'),(25,6023193,'1',303,'N'),(25,6023207,'1',207,'N'),(25,6023207,'1A',201,'N'),(25,6023215,'1',211,'N'),(25,6023215,'1A',201,'N'),(25,6023223,'1',201,'N'),(25,6023258,'1',319,'N'),(25,6023274,'1',302,'N'),(25,6023282,'1',319,'N'),(25,6023290,'1',316,'N'),(25,6023304,'1',302,'N'),(25,6023312,'1',103,'N'),(25,6023320,'1',5,'N'),(25,6023339,'1',304,'N'),(25,6023347,'1',301,'N'),(25,6023355,'1',103,'N'),(25,6023363,'1',104,'N'),(25,6023371,'1',220,'N'),(25,6023371,'1A',203,'N'),(25,6023380,'1',429,'N'),(25,6023410,'1',212,'N'),(25,6023410,'1A',220,'N'),(25,6023428,'1',103,'N'),(25,6023436,'1',216,'N'),(25,6023436,'1A',233,'N'),(25,6023444,'1',103,'N'),(25,6023487,'1',234,'N'),(25,6023495,'1',201,'N'),(25,6023495,'1A',203,'N'),(25,6023509,'1',205,'N'),(25,6023517,'1',336,'N'),(25,6023525,'1',103,'N'),(25,6023533,'1',103,'N'),(25,6023541,'1',207,'N'),(25,6023541,'1A',215,'N'),(25,6023568,'1',104,'N'),(25,6023576,'1',103,'N'),(25,6023592,'1',308,'N'),(25,6023606,'1',223,'N'),(25,6023614,'1',303,'N'),(25,6023622,'1',104,'N'),(25,6023630,'1',101,'N'),(25,6023649,'1',601,'N'),(25,6023657,'1',215,'N'),(25,6023657,'1A',233,'N'),(25,6023665,'1',109,'N'),(25,6023673,'1',207,'N'),(25,6023673,'1A',201,'N'),(25,6023681,'1',601,'N'),(25,6023681,'1A',203,'N'),(25,6023690,'1',103,'N'),(25,6023720,'1',103,'N'),(25,6023746,'1',207,'N'),(25,6023746,'1A',201,'N'),(25,6023754,'1',340,'N'),(25,6023762,'1',999,'N'),(25,6023770,'1',319,'N'),(25,6023789,'1',999,'N'),(25,6023819,'1',233,'N'),(25,6023819,'1A',213,'N'),(25,6023827,'1',303,'N'),(25,6023843,'1',103,'N'),(25,6023851,'1',207,'N'),(25,6023851,'1A',201,'N'),(25,6023860,'1',103,'N'),(25,6023878,'1',601,'N'),(25,6023878,'1A',203,'N'),(25,6023886,'1',201,'N'),(25,6023894,'1',103,'N'),(25,6023908,'1',415,'N'),(25,6023924,'1',103,'N'),(25,6023932,'1',214,'N'),(25,6023932,'1A',213,'N'),(25,6023940,'1',331,'N'),(25,6023959,'1',203,'N'),(25,6023959,'1A',214,'N'),(25,6023983,'1',201,'N'),(25,6023983,'1A',211,'N'),(25,6023991,'1',5,'N'),(25,6024009,'1',3,'N'),(25,6024017,'1',652,'N'),(25,6024017,'1A',655,'N'),(25,6024025,'1',326,'N'),(25,6024033,'1',104,'N'),(25,6024041,'1',104,'N'),(25,6024050,'1',404,'N'),(25,6024076,'1',302,'N'),(25,6024084,'1',601,'N'),(25,6024084,'1A',202,'N'),(25,6024106,'1',216,'N'),(25,6024106,'1A',202,'N'),(25,6024122,'1',201,'N'),(25,6024122,'1A',212,'N'),(25,6024130,'1',103,'N'),(25,6024149,'1',216,'N'),(25,6024149,'1A',211,'N'),(25,6024157,'1',999,'N'),(25,6024173,'1',238,'N'),(25,6024173,'1A',208,'N'),(25,6024181,'1',201,'N'),(25,6024181,'1A',207,'N'),(25,6024190,'1',9,'N'),(25,6024203,'1',233,'N'),(25,6024203,'1A',211,'N'),(25,6024220,'1',303,'N'),(25,6024238,'1',238,'N'),(25,6024238,'1A',208,'N'),(25,6024254,'1',203,'N'),(25,6024254,'1A',201,'N'),(25,6024262,'1',238,'N'),(25,6024270,'1',103,'N'),(25,6024289,'1',304,'N'),(25,6024297,'1',303,'N'),(25,6024300,'1',213,'N'),(25,6024300,'1A',601,'N'),(25,6024319,'1',304,'N'),(25,6024327,'1',216,'N'),(25,6024327,'1A',233,'N'),(25,6024335,'1',211,'N'),(25,6024335,'1A',215,'N'),(25,6024351,'1',404,'N'),(25,6024360,'1',233,'N'),(25,6024360,'1A',213,'N'),(25,6024378,'1',207,'N'),(25,6024378,'1A',201,'N'),(25,6024386,'1',5,'N'),(25,6024394,'1',103,'N'),(25,6024408,'1',340,'N'),(25,6024416,'1',103,'N'),(25,6024424,'1',319,'N'),(25,6024432,'1',551,'N'),(25,6024440,'1',214,'N'),(25,6024440,'1A',203,'N'),(25,6024459,'1',103,'N'),(25,6024467,'1',103,'N'),(25,6024475,'1',201,'N'),(25,6024475,'1A',211,'N'),(25,6024483,'1',234,'N'),(25,6024491,'1',654,'N'),(25,6024505,'1',216,'N'),(25,6024505,'1A',212,'N'),(25,6024513,'1',202,'N'),(25,6024513,'1A',203,'N'),(25,6024521,'1',104,'N'),(25,6024548,'1',225,'N'),(25,6024556,'1',104,'N'),(25,6024564,'1',220,'N'),(25,6024564,'1A',653,'N'),(25,6024572,'1',214,'N'),(25,6024572,'1A',212,'N'),(25,6024580,'1',999,'N'),(25,6024599,'1',207,'N'),(25,6024602,'1',216,'N'),(25,6024602,'1A',211,'N'),(25,6024610,'1',319,'N'),(25,6024629,'1',104,'N'),(25,6024637,'1',303,'N'),(25,6024645,'1',103,'N'),(25,6024653,'1',429,'N'),(25,6024653,'1A',428,'N'),(25,6024661,'1',308,'N'),(25,6024670,'1',103,'N'),(25,6024688,'1',207,'N'),(25,6024688,'1A',208,'N'),(25,6024696,'1',103,'N'),(25,6024726,'1',316,'N'),(25,6024734,'1',326,'N'),(25,6024742,'1',336,'N'),(25,6024750,'1',103,'N'),(25,6024777,'1',104,'N'),(25,6024793,'1',652,'N'),(25,6024793,'1A',655,'N'),(25,6024807,'1',340,'N'),(25,6024823,'1',333,'N'),(25,6024831,'1',235,'N'),(25,6024831,'1A',653,'N'),(25,6024858,'1',103,'N'),(25,6024866,'1',324,'N'),(25,6024874,'1',108,'N'),(25,6024882,'1',302,'N'),(25,6024890,'1',3,'N'),(25,6024904,'1',101,'N'),(25,6024912,'1',238,'N'),(25,6024912,'1A',652,'N'),(25,6024939,'1',109,'N'),(25,6024963,'1',999,'N'),(25,6024980,'1',201,'N'),(25,6024980,'1A',203,'N'),(25,6024998,'1',216,'N'),(25,6024998,'1A',201,'N'),(25,6025005,'1',301,'N'),(25,6025013,'1',340,'N'),(25,6025021,'1',103,'N'),(25,6025030,'1',220,'N'),(25,6025030,'1A',203,'N'),(25,6025048,'1',104,'N'),(25,6025056,'1',415,'N'),(25,6025064,'1',103,'N'),(25,6025072,'1',340,'N'),(25,6025080,'1',318,'N'),(25,6025099,'1',450,'N'),(25,6025102,'1',216,'N'),(25,6025129,'1',207,'N'),(25,6025129,'1A',201,'N'),(25,6025145,'1',340,'N'),(25,6025153,'1',303,'N'),(25,6025161,'1',5,'N'),(25,6025170,'1',317,'N'),(25,6025188,'1',340,'N'),(25,6025196,'1',103,'N'),(25,6025200,'1',109,'N'),(25,6025218,'1',104,'N'),(25,6025226,'1',223,'N'),(25,6025234,'1',104,'N'),(25,6025242,'1',319,'N'),(25,6025269,'1',326,'N'),(25,6025277,'1',223,'N'),(25,6025285,'1',103,'N'),(25,6025293,'1',316,'N'),(25,6025307,'1',303,'N'),(25,6025315,'1',220,'N'),(25,6025315,'1A',235,'N'),(25,6025323,'1',201,'N'),(25,6025323,'1A',202,'N'),(25,6025331,'1',103,'N'),(25,6025340,'1',319,'N'),(25,6025358,'1',208,'N'),(25,6025358,'1A',238,'N'),(25,6025366,'1',203,'N'),(25,6025366,'1A',202,'N'),(25,6025382,'1',101,'N'),(25,6025390,'1',207,'N'),(25,6025412,'1',238,'N'),(25,6025412,'1A',208,'N'),(25,6025420,'1',333,'N'),(25,6025447,'1',103,'N'),(25,6025455,'1',103,'N'),(25,6025463,'1',502,'N'),(25,6025498,'1',340,'N'),(25,6025501,'1',601,'N'),(25,6025510,'1',212,'N'),(25,6025510,'1A',213,'N'),(25,6025528,'1',333,'N'),(25,6025536,'1',103,'N'),(25,6025544,'1',202,'N'),(25,6025544,'1A',208,'N'),(25,6025560,'1',201,'N'),(25,6025560,'1A',212,'N'),(25,6025579,'1',340,'N'),(25,6025587,'1',601,'N'),(25,6025595,'1',336,'N'),(25,6025609,'1',420,'N'),(25,6025617,'1',103,'N'),(25,6025625,'1',653,'N'),(25,6025625,'1A',233,'N'),(25,6025641,'1',233,'N'),(25,6025641,'1A',213,'N'),(25,6025676,'1',207,'N'),(25,6025676,'1A',201,'N'),(25,6025684,'1',340,'N'),(25,6025692,'1',5,'N'),(25,6025706,'1',203,'N'),(25,6025706,'1A',235,'N'),(25,6025722,'1',103,'N'),(25,6025749,'1',450,'N'),(25,6025757,'1',420,'N'),(25,6025765,'1',103,'N'),(25,6025773,'1',304,'N'),(25,6025781,'1',404,'N'),(25,6025790,'1',601,'N'),(25,6025803,'1',202,'N'),(25,6025803,'1A',220,'N'),(25,6025811,'1',207,'N'),(25,6025811,'1A',201,'N'),(25,6025820,'1',110,'N'),(25,6025838,'1',203,'N'),(25,6025838,'1A',208,'N'),(25,6025846,'1',103,'N'),(25,6025862,'1',5,'N'),(25,6025870,'1',238,'N'),(25,6025870,'1A',208,'N'),(25,6025889,'1',103,'N'),(25,6025897,'1',104,'N'),(25,6025900,'1',303,'N'),(25,6025919,'1',215,'N'),(25,6025919,'1A',601,'N'),(25,6025927,'1',103,'N'),(25,6025935,'1',104,'N'),(25,6025951,'1',103,'N'),(25,6025960,'1',102,'N'),(25,6025978,'1',215,'N'),(25,6025978,'1A',233,'N'),(25,6025994,'1',202,'N'),(25,6025994,'1A',235,'N'),(25,6026001,'1',216,'N'),(25,6026001,'1A',201,'N'),(25,6026010,'1',303,'N'),(25,6026028,'1',207,'N'),(25,6026028,'1A',233,'N'),(25,6026036,'1',201,'N'),(25,6026036,'1A',203,'N'),(25,6026044,'1',999,'N'),(25,6026052,'1',103,'N'),(25,6026060,'1',207,'N'),(25,6026060,'1A',208,'N'),(25,6026079,'1',201,'N'),(25,6026079,'1A',212,'N'),(25,6026087,'1',339,'N'),(25,6026095,'1',216,'N'),(25,6026095,'1A',215,'N'),(25,6026109,'1',103,'N'),(25,6026117,'1',415,'N'),(25,6026133,'1',103,'N'),(25,6026141,'1',103,'N'),(25,6026168,'1',319,'N'),(25,6026176,'1',425,'N'),(25,6026176,'1A',421,'N'),(25,6026184,'1',103,'N'),(25,6026192,'1',103,'N'),(25,6026206,'1',104,'N'),(25,6026214,'1',999,'N'),(25,6026230,'1',101,'N'),(25,6026257,'1',202,'N'),(25,6026265,'1',999,'N'),(25,6026273,'1',415,'N'),(25,6026311,'1',308,'N'),(25,6026320,'1',103,'N'),(25,6026346,'1',207,'N'),(25,6026346,'1A',201,'N'),(25,6026354,'1',5,'N'),(25,6026362,'1',238,'N'),(25,6026362,'1A',655,'N'),(25,6026370,'1',224,'N'),(25,6026389,'1',103,'N'),(25,6026400,'1',103,'N'),(25,6026419,'1',207,'N'),(25,6026419,'1A',201,'N'),(25,6026427,'1',201,'N'),(25,6026427,'1A',207,'N'),(25,6026435,'1',9,'N'),(25,6026478,'1',654,'N'),(25,6026486,'1',103,'N'),(25,6026494,'1',103,'N'),(25,6026508,'1',103,'N'),(25,6026516,'1',303,'N'),(25,6026524,'1',201,'N'),(25,6026524,'1A',212,'N'),(25,6026532,'1',203,'N'),(25,6026532,'1A',235,'N'),(25,6026540,'1',415,'N'),(25,6026559,'1',103,'N'),(25,6026567,'1',453,'N'),(25,6026575,'1',452,'N'),(25,6026591,'1',317,'N'),(25,6026605,'1',220,'N'),(25,6026605,'1A',601,'N'),(25,6026613,'1',103,'N'),(25,6026621,'1',203,'N'),(25,6026621,'1A',201,'N'),(25,6026630,'1',103,'N'),(25,6026648,'1',212,'N'),(25,6026648,'1A',214,'N'),(25,6026656,'1',319,'N'),(25,6026680,'1',208,'N'),(25,6026680,'1A',235,'N'),(25,6026699,'1',201,'N'),(25,6026699,'1A',215,'N'),(25,6026702,'1',340,'N'),(25,6026710,'1',207,'N'),(25,6026710,'1A',601,'N'),(25,6026737,'1',303,'N'),(25,6026753,'1',103,'N'),(25,6026761,'1',103,'N'),(25,6026770,'1',324,'N'),(25,6026788,'1',103,'N'),(25,6026796,'1',201,'N'),(25,6026796,'1A',212,'N'),(25,6026826,'1',233,'N'),(25,6026826,'1A',203,'N'),(25,6026834,'1',203,'N'),(25,6026834,'1A',601,'N'),(25,6026842,'1',103,'N'),(25,6026850,'1',420,'N'),(25,6026869,'1',238,'N'),(25,6026869,'1A',208,'N'),(25,6026877,'1',103,'N'),(25,6026885,'1',340,'N'),(25,6026907,'1',3,'N'),(25,6026915,'1',103,'N'),(25,6026923,'1',319,'N'),(25,6026940,'1',103,'N'),(25,6026958,'1',103,'N'),(25,6026966,'1',999,'N'),(25,6026982,'1',212,'N'),(25,6026982,'1A',233,'N'),(25,6026990,'1',101,'N'),(25,6027008,'1',420,'N'),(25,6027016,'1',340,'N'),(25,6027032,'1',108,'N'),(25,6027040,'1',423,'N'),(25,6027040,'1A',426,'N'),(25,6027059,'1',103,'N'),(25,6027067,'1',103,'N'),(25,6027075,'1',203,'N'),(25,6027075,'1A',201,'N'),(25,6027083,'1',319,'N'),(25,6027105,'1',201,'N'),(25,6027105,'1A',203,'N'),(25,6027113,'1',202,'N'),(25,6027113,'1A',235,'N'),(25,6027121,'1',102,'N'),(25,6027130,'1',109,'N'),(25,6027156,'1',235,'N'),(25,6027156,'1A',202,'N'),(25,6027164,'1',415,'N'),(25,6027172,'1',655,'N'),(25,6027172,'1A',652,'N'),(25,6027180,'1',201,'N'),(25,6027180,'1A',207,'N'),(25,6027199,'1',110,'N'),(25,6027202,'1',420,'N'),(25,6027210,'1',203,'N'),(25,6027229,'1',3,'N'),(25,6027237,'1',103,'N'),(25,6027245,'1',9,'N'),(25,6027253,'1',501,'N'),(25,6027261,'1',415,'N'),(25,6027270,'1',103,'N'),(25,6027288,'1',109,'N'),(25,6027296,'1',303,'N'),(25,6027300,'1',201,'N'),(25,6027300,'1A',211,'N'),(25,6027318,'1',415,'N'),(25,6027326,'1',103,'N'),(25,6027334,'1',2,'N'),(25,6027342,'1',415,'N'),(25,6027377,'1',211,'N'),(25,6027377,'1A',215,'N'),(25,6027385,'1',302,'N'),(25,6027393,'1',426,'N'),(25,6027393,'1A',425,'N'),(25,6027407,'1',501,'N'),(25,6027415,'1',103,'N'),(25,6027423,'1',214,'N'),(25,6027423,'1A',203,'N'),(25,6027431,'1',103,'N'),(25,6027440,'1',303,'N'),(25,6027458,'1',216,'N'),(25,6027458,'1A',202,'N'),(25,6027474,'1',319,'N'),(25,6027482,'1',201,'N'),(25,6027482,'1A',211,'N'),(25,6027504,'1',5,'N'),(25,6027512,'1',415,'N'),(25,6027520,'1',999,'N'),(25,6027539,'1',216,'N'),(25,6027539,'1A',220,'N'),(25,6027547,'1',201,'N'),(25,6027547,'1A',212,'N'),(25,6027563,'1',319,'N'),(25,6027571,'1',601,'N'),(25,6027571,'1A',201,'N'),(25,6027598,'1',999,'N'),(25,6027601,'1',203,'N'),(25,6027601,'1A',235,'N'),(25,6027610,'1',207,'N'),(25,6027610,'1A',214,'N'),(25,6027628,'1',238,'N'),(25,6027628,'1A',201,'N'),(25,6027636,'1',207,'N'),(25,6027636,'1A',233,'N'),(25,6027644,'1',324,'N'),(25,6027652,'1',208,'N'),(25,6027652,'1A',214,'N'),(25,6027660,'1',5,'N'),(25,6027679,'1',214,'N'),(25,6027679,'1A',212,'N'),(25,6027687,'1',103,'N'),(25,6027709,'1',103,'N'),(25,6027725,'1',103,'N'),(25,6027733,'1',103,'N'),(25,6027741,'1',103,'N'),(25,6027750,'1',339,'N'),(25,6027768,'1',238,'N'),(25,6027768,'1A',202,'N'),(25,6027776,'1',309,'N'),(25,6027784,'1',415,'N'),(25,6027792,'1',108,'N'),(25,6027806,'1',333,'N'),(25,6027814,'1',103,'N'),(25,6027822,'1',601,'N'),(25,6027822,'1A',203,'N'),(25,6027849,'1',211,'N'),(25,6027849,'1A',216,'N'),(25,6027857,'1',211,'N'),(25,6027857,'1A',601,'N'),(25,6027865,'1',207,'N'),(25,6027865,'1A',211,'N'),(25,6027873,'1',302,'N'),(25,6027881,'1',9,'N'),(25,6027890,'1',9,'N'),(25,6027903,'1',415,'N'),(25,6027911,'1',9,'N'),(25,6027920,'1',103,'N'),(25,6027946,'1',303,'N'),(25,6027954,'1',501,'N'),(25,6027962,'1',108,'N'),(25,6027970,'1',233,'N'),(25,6027970,'1A',216,'N'),(25,6027989,'1',319,'N'),(25,6027997,'1',103,'N'),(25,6028004,'1',103,'N'),(25,6028012,'1',201,'N'),(25,6028012,'1A',212,'N'),(25,6028020,'1',207,'N'),(25,6028020,'1A',201,'N'),(25,6028039,'1',211,'N'),(25,6028039,'1A',215,'N'),(25,6028047,'1',201,'N'),(25,6028047,'1A',202,'N'),(25,6028063,'1',102,'N'),(25,6028071,'1',103,'N'),(25,6028098,'1',337,'N'),(25,6028128,'1',202,'N'),(25,6028128,'1A',235,'N'),(25,6028136,'1',211,'N'),(25,6028136,'1A',653,'N'),(25,6028144,'1',317,'N'),(25,6028160,'1',207,'N'),(25,6028187,'1',318,'N'),(25,6028195,'1',203,'N'),(25,6028195,'1A',220,'N'),(25,6028209,'1',302,'N'),(25,6028217,'1',319,'N'),(25,6028225,'1',104,'N'),(25,6028233,'1',501,'N'),(25,6028241,'1',103,'N'),(25,6028250,'1',103,'N'),(25,6028268,'1',452,'N'),(25,6028276,'1',999,'N'),(25,6028292,'1',601,'N'),(25,6028292,'1A',203,'N'),(25,6028306,'1',103,'N'),(25,6028330,'1',103,'N'),(25,6028349,'1',424,'N'),(25,6028349,'1A',428,'N'),(25,6028357,'1',202,'N'),(25,6028357,'1A',235,'N'),(25,6028365,'1',302,'N'),(25,6028373,'1',207,'N'),(25,6028373,'1A',201,'N'),(25,6028381,'1',101,'N'),(25,6028390,'1',102,'N'),(25,6028403,'1',999,'N'),(25,6028411,'1',201,'N'),(25,6028411,'1A',207,'N'),(25,6028420,'1',103,'N'),(25,6028438,'1',104,'N'),(25,6028446,'1',103,'N'),(25,6028462,'1',103,'N'),(25,6028470,'1',207,'N'),(25,6028470,'1A',215,'N'),(25,6028489,'1',304,'N'),(25,6028497,'1',551,'N'),(25,6028500,'1',318,'N'),(25,6028519,'1',103,'N'),(25,6028527,'1',103,'N'),(25,6028535,'1',453,'N'),(25,6028543,'1',201,'N'),(25,6028543,'1A',212,'N'),(25,6028551,'1',999,'N'),(25,6028560,'1',101,'N'),(25,6028578,'1',109,'N'),(25,6028586,'1',340,'N'),(25,6028594,'1',103,'N'),(25,6028608,'1',103,'N'),(25,6028624,'1',201,'N'),(25,6028624,'1A',212,'N'),(25,6028632,'1',309,'N'),(25,6028640,'1',202,'N'),(25,6028640,'1A',213,'N'),(25,6028659,'1',452,'N'),(25,6028667,'1',303,'N'),(25,6028675,'1',110,'N'),(25,6028683,'1',103,'N'),(25,6028691,'1',103,'N'),(25,6028705,'1',104,'N'),(25,6028721,'1',203,'N'),(25,6028721,'1A',220,'N'),(25,6028730,'1',999,'N'),(25,6028748,'1',103,'N'),(25,6028756,'1',450,'N'),(25,6028764,'1',103,'N'),(25,6028772,'1',316,'N'),(25,6028780,'1',319,'N'),(25,6028799,'1',235,'N'),(25,6028799,'1A',601,'N'),(25,6028802,'1',103,'N'),(25,6028810,'1',203,'N'),(25,6028810,'1A',201,'N'),(25,6028837,'1',103,'N'),(25,6028845,'1',203,'N'),(25,6028853,'1',5,'N'),(25,6028861,'1',308,'N'),(25,6028870,'1',338,'N'),(25,6028888,'1',301,'N'),(25,6028896,'1',2,'N'),(25,6028900,'1',224,'N'),(25,6028918,'1',104,'N'),(25,6028926,'1',340,'N'),(25,6028934,'1',215,'N'),(25,6028950,'1',601,'N'),(25,6028950,'1A',201,'N'),(25,6028977,'1',212,'N'),(25,6028977,'1A',201,'N'),(25,6028985,'1',103,'N'),(25,6028993,'1',103,'N'),(25,6029000,'1',319,'N'),(25,6029019,'1',310,'N'),(25,6029027,'1',5,'N'),(25,6029035,'1',303,'N'),(25,6029043,'1',207,'N'),(25,6029043,'1A',653,'N'),(25,6029051,'1',207,'N'),(25,6029060,'1',5,'N'),(25,6029078,'1',5,'N'),(25,6029086,'1',103,'N'),(25,6029094,'1',103,'N'),(25,6029108,'1',103,'N'),(25,6029116,'1',108,'N'),(25,6029124,'1',104,'N'),(25,6029132,'1',318,'N'),(25,6029167,'1',103,'N'),(25,6029175,'1',108,'N'),(25,6029183,'1',450,'N'),(25,6029191,'1',3,'N'),(25,6029205,'1',203,'N'),(25,6029205,'1A',601,'N'),(25,6029213,'1',601,'N'),(25,6029213,'1A',216,'N'),(25,6029221,'1',220,'N'),(25,6029221,'1A',235,'N'),(25,6029230,'1',316,'N'),(25,6029248,'1',215,'N'),(25,6029248,'1A',653,'N'),(25,6029264,'1',201,'N'),(25,6029264,'1A',207,'N'),(25,6029272,'1',103,'N'),(25,6029280,'1',5,'N'),(25,6029299,'1',101,'N'),(25,6029310,'1',233,'N'),(25,6029310,'1A',215,'N'),(25,6029329,'1',316,'N'),(25,6029337,'1',103,'N'),(25,6029345,'1',201,'N'),(25,6029345,'1A',212,'N'),(25,6029353,'1',304,'N'),(25,6029361,'1',216,'N'),(25,6029361,'1A',211,'N'),(25,6029370,'1',601,'N'),(25,6029370,'1A',235,'N'),(25,6029388,'1',203,'N'),(25,6029388,'1A',214,'N'),(25,6029396,'1',317,'N'),(25,6029400,'1',103,'N'),(25,6029418,'1',109,'N'),(25,6029426,'1',340,'N'),(25,6029442,'1',415,'N'),(25,6029450,'1',655,'N'),(25,6029450,'1A',652,'N'),(25,6029469,'1',103,'N'),(25,6029477,'1',655,'N'),(25,6029477,'1A',653,'N'),(25,6029485,'1',453,'N'),(25,6029507,'1',103,'N'),(25,6029523,'1',303,'N'),(25,6029531,'1',415,'N'),(25,6029540,'1',5,'N'),(25,6029566,'1',104,'N'),(25,6029574,'1',303,'N'),(25,6029582,'1',340,'N'),(25,6029590,'1',207,'N'),(25,6029590,'1A',201,'N'),(25,6029604,'1',203,'N'),(25,6029604,'1A',235,'N'),(25,6029612,'1',201,'N'),(25,6029612,'1A',212,'N'),(25,6029620,'1',220,'N'),(25,6029620,'1A',211,'N'),(25,6029639,'1',103,'N'),(25,6029647,'1',303,'N'),(25,6029655,'1',9,'N'),(25,6029663,'1',201,'N'),(25,6029663,'1A',202,'N'),(25,6029671,'1',415,'N'),(25,6029680,'1',104,'N'),(25,6029698,'1',102,'N'),(25,6029710,'1',215,'N'),(25,6029728,'1',207,'N'),(25,6029728,'1A',201,'N'),(25,6029736,'1',503,'N'),(25,6029744,'1',108,'N'),(25,6029752,'1',203,'N'),(25,6029752,'1A',202,'N'),(25,6029760,'1',220,'N'),(25,6029760,'1A',235,'N'),(25,6029779,'1',415,'N'),(25,6029795,'1',103,'N'),(25,6029817,'1',5,'N'),(25,6029825,'1',303,'N'),(25,6029833,'1',452,'N'),(25,6029841,'1',207,'N'),(25,6029841,'1A',212,'N'),(25,6029850,'1',201,'N'),(25,6029850,'1A',212,'N'),(25,6029876,'1',103,'N'),(25,6029884,'1',103,'N'),(25,6029892,'1',333,'N'),(25,6029906,'1',303,'N'),(25,6029922,'1',207,'N'),(25,6029922,'1A',201,'N'),(25,6029930,'1',336,'N'),(25,6029949,'1',214,'N'),(25,6029949,'1A',235,'N'),(25,6029957,'1',303,'N'),(25,6029965,'1',224,'N'),(25,6029973,'1',220,'N'),(25,6029973,'1A',203,'N'),(25,6029981,'1',201,'N'),(25,6029981,'1A',216,'N'),(25,6029990,'1',203,'N'),(25,6029990,'1A',214,'N'),(25,6030017,'1',207,'N'),(25,6030017,'1A',201,'N'),(25,6030025,'1',103,'N'),(25,6030033,'1',108,'N'),(25,6030041,'1',103,'N'),(25,6030050,'1',201,'N'),(25,6030050,'1A',202,'N'),(25,6030068,'1',308,'N'),(25,6030076,'1',103,'N'),(25,6030084,'1',652,'N'),(25,6030084,'1A',655,'N'),(25,6030092,'1',303,'N'),(25,6030106,'1',303,'N'),(25,6030122,'1',404,'N'),(25,6030130,'1',201,'N'),(25,6030130,'1A',601,'N'),(25,6030149,'1',103,'N'),(25,6030157,'1',320,'N'),(25,6030165,'1',308,'N'),(25,6030173,'1',103,'N'),(25,6030181,'1',601,'N'),(25,6030190,'1',201,'N'),(25,6030190,'1A',207,'N'),(25,6030211,'1',108,'N'),(25,6030220,'1',425,'N'),(25,6030220,'1A',429,'N'),(25,6030238,'1',103,'N'),(25,6030246,'1',201,'N'),(25,6030246,'1A',212,'N'),(25,6030262,'1',108,'N'),(25,6030270,'1',102,'N'),(25,6030289,'1',999,'N'),(25,6030297,'1',999,'N'),(25,6030327,'1',5,'N'),(25,6030335,'1',999,'N'),(25,6030343,'1',103,'N'),(25,6030351,'1',238,'N'),(25,6030351,'1A',655,'N'),(25,6030360,'1',202,'N'),(25,6030360,'1A',235,'N'),(25,6030378,'1',103,'N'),(25,6030386,'1',212,'N'),(25,6030386,'1A',213,'N'),(25,6030394,'1',303,'N'),(25,6030408,'1',203,'N'),(25,6030408,'1A',214,'N'),(25,6030416,'1',336,'N'),(25,6030424,'1',203,'N'),(25,6030424,'1A',235,'N'),(25,6030432,'1',501,'N'),(25,6030459,'1',655,'N'),(25,6030459,'1A',652,'N'),(25,6030467,'1',5,'N'),(25,6030483,'1',211,'N'),(25,6030505,'1',501,'N'),(25,6030521,'1',337,'N'),(25,6030530,'1',319,'N'),(25,6030556,'1',104,'N'),(25,6030564,'1',338,'N'),(25,6030572,'1',203,'N'),(25,6030572,'1A',214,'N'),(25,6030580,'1',103,'N'),(25,6030599,'1',327,'N'),(25,6030602,'1',103,'N'),(25,6030610,'1',420,'N'),(25,6030629,'1',333,'N'),(25,6030637,'1',5,'N'),(25,6030645,'1',103,'N'),(25,6030653,'1',319,'N'),(25,6030661,'1',202,'N'),(25,6030661,'1A',220,'N'),(25,6030670,'1',453,'N'),(25,6030688,'1',427,'N'),(25,6030696,'1',203,'N'),(25,6030696,'1A',601,'N'),(25,6030700,'1',233,'N'),(25,6030700,'1A',216,'N'),(25,6030718,'1',336,'N'),(25,6030726,'1',212,'N'),(25,6030726,'1A',601,'N'),(25,6030734,'1',654,'N'),(25,6030742,'1',9,'N'),(25,6030750,'1',502,'N'),(25,6030769,'1',203,'N'),(25,6030769,'1A',214,'N'),(25,6030777,'1',104,'N'),(25,6030785,'1',233,'N'),(25,6030785,'1A',215,'N'),(25,6030793,'1',201,'N'),(25,6030793,'1A',212,'N'),(25,6030807,'1',319,'N'),(25,6030815,'1',201,'N'),(25,6030815,'1A',212,'N'),(25,6030823,'1',317,'N'),(25,6030831,'1',319,'N'),(25,6030858,'1',415,'N'),(25,6030874,'1',316,'N'),(25,6030882,'1',103,'N'),(25,6030904,'1',207,'N'),(25,6030904,'1A',201,'N'),(25,6030912,'1',201,'N'),(25,6030912,'1A',211,'N'),(25,6030920,'1',103,'N'),(25,6030939,'1',601,'N'),(25,6030939,'1A',207,'N'),(25,6030947,'1',103,'N'),(25,6030963,'1',201,'N'),(25,6030963,'1A',203,'N'),(25,6030971,'1',103,'N'),(25,6030980,'1',110,'N'),(25,6030998,'1',9,'N'),(25,6031013,'1',213,'N'),(25,6031013,'1A',601,'N'),(25,6031030,'1',340,'N'),(25,6031048,'1',103,'N'),(25,6031056,'1',233,'N'),(25,6031056,'1A',207,'N'),(25,6031064,'1',303,'N'),(25,6031072,'1',102,'N'),(25,6031080,'1',319,'N'),(25,6031099,'1',103,'N'),(25,6031102,'1',201,'N'),(25,6031102,'1A',212,'N'),(25,6031129,'1',5,'N'),(25,6031137,'1',303,'N'),(25,6031145,'1',9,'N'),(25,6031153,'1',101,'N'),(25,6031188,'1',103,'N'),(25,6031196,'1',225,'N'),(25,6031200,'1',104,'N'),(25,6031218,'1',108,'N'),(25,6031226,'1',214,'N'),(25,6031226,'1A',203,'N'),(25,6031234,'1',309,'N'),(25,6031269,'1',103,'N'),(25,6031277,'1',103,'N'),(25,6031285,'1',216,'N'),(25,6031285,'1A',211,'N'),(25,6031293,'1',415,'N'),(25,6031315,'1',9,'N'),(25,6031323,'1',303,'N'),(25,6031331,'1',109,'N'),(25,6031340,'1',103,'N'),(25,6031366,'1',103,'N'),(25,6031374,'1',103,'N'),(25,6031404,'1',444,'N'),(25,6031420,'1',104,'N'),(25,6031439,'1',601,'N'),(25,6031447,'1',655,'N'),(25,6031447,'1A',653,'N'),(25,6031455,'1',103,'N'),(25,6031463,'1',303,'N'),(25,6031471,'1',5,'N'),(25,6031480,'1',5,'N'),(25,6031498,'1',103,'N'),(25,6031510,'1',104,'N'),(25,6031528,'1',108,'N'),(25,6031536,'1',103,'N'),(25,6031544,'1',103,'N'),(25,6031552,'1',214,'N'),(25,6031552,'1A',211,'N'),(25,6031560,'1',451,'N'),(25,6031579,'1',9,'N'),(25,6031587,'1',404,'N'),(25,6031595,'1',333,'N'),(25,6031617,'1',109,'N'),(25,6031625,'1',220,'N'),(25,6031625,'1A',203,'N'),(25,6031633,'1',108,'N'),(25,6031650,'1',5,'N'),(25,6031668,'1',336,'N'),(25,6031676,'1',223,'N'),(25,6031684,'1',999,'N'),(25,6031692,'1',336,'N'),(25,6031722,'1',999,'N'),(25,6031730,'1',103,'N'),(25,6031749,'1',318,'N'),(25,6031757,'1',216,'N'),(25,6031757,'1A',202,'N'),(25,6031765,'1',999,'N'),(25,6031773,'1',207,'N'),(25,6031773,'1A',201,'N'),(25,6031781,'1',103,'N'),(25,6031790,'1',303,'N'),(25,6031811,'1',450,'N'),(25,6031820,'1',102,'N'),(25,6031846,'1',201,'N'),(25,6031846,'1A',207,'N'),(25,6031854,'1',101,'N'),(25,6031870,'1',103,'N'),(25,6031889,'1',103,'N'),(25,6031900,'1',102,'N'),(25,6031919,'1',101,'N'),(25,6031935,'1',303,'N'),(25,6031951,'1',340,'N'),(25,6031960,'1',340,'N'),(25,6031978,'1',420,'N'),(25,6031986,'1',214,'N'),(25,6031986,'1A',213,'N'),(25,6032010,'1',340,'N'),(25,6032036,'1',340,'N'),(25,6032044,'1',103,'N'),(25,6032052,'1',304,'N'),(25,6032060,'1',303,'N'),(25,6032079,'1',319,'N'),(25,6032087,'1',340,'N'),(25,6032095,'1',103,'N'),(25,6032109,'1',319,'N'),(25,6032117,'1',110,'N'),(25,6032125,'1',103,'N'),(25,6032141,'1',109,'N'),(25,6032168,'1',332,'N'),(25,6032176,'1',332,'N'),(25,6032184,'1',303,'N'),(25,6032192,'1',103,'N'),(25,6032206,'1',502,'N'),(25,6032214,'1',336,'N'),(25,6032222,'1',203,'N'),(25,6032249,'1',103,'N'),(25,6032265,'1',207,'N'),(25,6032265,'1A',212,'N'),(25,6032281,'1',102,'N'),(25,6032303,'1',233,'N'),(25,6032303,'1A',235,'N'),(25,6032311,'1',9,'N'),(25,6032320,'1',103,'N'),(25,6032338,'1',220,'N'),(25,6032338,'1A',203,'N'),(25,6032346,'1',104,'N'),(25,6032354,'1',215,'N'),(25,6032354,'1A',212,'N'),(25,6032362,'1',502,'N'),(25,6032370,'1',319,'N'),(25,6032400,'1',201,'N'),(25,6032419,'1',303,'N'),(25,6032427,'1',303,'N'),(25,6032435,'1',203,'N'),(25,6032435,'1A',214,'N'),(25,6032443,'1',340,'N'),(25,6032451,'1',452,'N'),(25,6032460,'1',220,'N'),(25,6032460,'1A',235,'N'),(25,6032486,'1',108,'N'),(25,6032494,'1',444,'N'),(25,6032508,'1',337,'N'),(25,6032524,'1',110,'N'),(25,6032532,'1',103,'N'),(25,6032540,'1',213,'N'),(25,6032559,'1',103,'N'),(25,6032567,'1',104,'N'),(25,6032575,'1',337,'N'),(25,6032583,'1',207,'N'),(25,6032591,'1',301,'N'),(25,6032605,'1',420,'N'),(25,6032613,'1',201,'N'),(25,6032613,'1A',212,'N'),(25,6032621,'1',420,'N'),(25,6032630,'1',208,'N'),(25,6032630,'1A',238,'N'),(25,6032648,'1',211,'N'),(25,6032648,'1A',212,'N'),(25,6032656,'1',415,'N'),(25,6032664,'1',103,'N'),(25,6032672,'1',5,'N'),(25,6032680,'1',501,'N'),(25,6032699,'1',109,'N'),(25,6032702,'1',207,'N'),(25,6032702,'1A',652,'N'),(25,6032710,'1',103,'N'),(25,6032729,'1',203,'N'),(25,6032729,'1A',202,'N'),(25,6032737,'1',319,'N'),(25,6032745,'1',501,'N'),(25,6032753,'1',304,'N'),(25,6032761,'1',103,'N'),(25,6032770,'1',308,'N'),(25,6032788,'1',203,'N'),(25,6032788,'1A',211,'N'),(25,6032796,'1',444,'N'),(25,6032800,'1',452,'N'),(25,6032818,'1',329,'N'),(25,6032826,'1',302,'N'),(25,6032834,'1',211,'N'),(25,6032834,'1A',215,'N'),(25,6032842,'1',340,'N'),(25,6032850,'1',203,'N'),(25,6032850,'1A',235,'N'),(25,6032869,'1',423,'N'),(25,6032869,'1A',424,'N'),(25,6032877,'1',333,'N'),(25,6032885,'1',5,'N'),(25,6032893,'1',103,'N'),(25,6032907,'1',238,'N'),(25,6032907,'1A',652,'N'),(25,6032915,'1',502,'N'),(25,6032923,'1',999,'N'),(25,6032931,'1',110,'N'),(25,6032940,'1',103,'N'),(25,6032958,'1',103,'N'),(25,6032966,'1',104,'N'),(25,6032974,'1',101,'N'),(25,6032982,'1',103,'N'),(25,6032990,'1',340,'N'),(25,6033008,'1',652,'N'),(25,6033008,'1A',655,'N'),(25,6033024,'1',451,'N'),(25,6033032,'1',103,'N'),(25,6033040,'1',202,'N'),(25,6033040,'1A',201,'N'),(25,6033067,'1',303,'N'),(25,6033075,'1',999,'N'),(25,6033083,'1',329,'N'),(25,6033091,'1',303,'N'),(25,6033105,'1',340,'N'),(25,6033113,'1',207,'N'),(25,6033113,'1A',233,'N'),(25,6033121,'1',103,'N'),(25,6033130,'1',302,'N'),(25,6033164,'1',214,'N'),(25,6033164,'1A',208,'N'),(25,6033172,'1',215,'N'),(25,6033172,'1A',211,'N'),(25,6033180,'1',327,'N'),(25,6033199,'1',101,'N'),(25,6033202,'1',103,'N'),(25,6033210,'1',103,'N'),(25,6033229,'1',220,'N'),(25,6033229,'1A',208,'N'),(25,6033237,'1',425,'N'),(25,6033237,'1A',429,'N'),(25,6033245,'1',303,'N'),(25,6033253,'1',103,'N'),(25,6033261,'1',103,'N'),(25,6033270,'1',104,'N'),(25,6033288,'1',103,'N'),(25,6033296,'1',103,'N'),(25,6033300,'1',103,'N'),(25,6033318,'1',103,'N'),(25,6033326,'1',207,'N'),(25,6033326,'1A',211,'N'),(25,6033334,'1',103,'N'),(25,6033342,'1',999,'N'),(25,6033350,'1',203,'N'),(25,6033350,'1A',201,'N'),(25,6033369,'1',450,'N'),(25,6033377,'1',104,'N'),(25,6033385,'1',999,'N'),(25,6033393,'1',316,'N'),(25,6033407,'1',208,'N'),(25,6033407,'1A',233,'N'),(25,6033415,'1',303,'N'),(25,6033423,'1',316,'N'),(25,6033440,'1',103,'N'),(25,6033466,'1',319,'N'),(25,6033474,'1',108,'N'),(25,6033482,'1',333,'N'),(25,6033490,'1',103,'N'),(25,6033504,'1',207,'N'),(25,6033504,'1A',201,'N'),(25,6033512,'1',203,'N'),(25,6033512,'1A',220,'N'),(25,6033520,'1',103,'N'),(25,6033539,'1',5,'N'),(25,6033547,'1',201,'N'),(25,6033547,'1A',216,'N'),(25,6033555,'1',220,'N'),(25,6033555,'1A',216,'N'),(25,6033563,'1',216,'N'),(25,6033563,'1A',233,'N'),(25,6033571,'1',404,'N'),(25,6033580,'1',208,'N'),(25,6033580,'1A',652,'N'),(25,6033598,'1',450,'N'),(25,6033601,'1',333,'N'),(25,6033610,'1',212,'N'),(25,6033610,'1A',207,'N'),(25,6033628,'1',103,'N'),(25,6033636,'1',104,'N'),(25,6033644,'1',415,'N'),(25,6033652,'1',201,'N'),(25,6033652,'1A',213,'N'),(25,6033679,'1',207,'N'),(25,6033687,'1',101,'N'),(25,6033695,'1',338,'N'),(25,6033709,'1',420,'N'),(25,6033725,'1',212,'N'),(25,6033725,'1A',233,'N'),(25,6033733,'1',220,'N'),(25,6033733,'1A',203,'N'),(25,6033768,'1',202,'N'),(25,6033768,'1A',203,'N'),(25,6033776,'1',102,'N'),(25,6033792,'1',235,'N'),(25,6033792,'1A',601,'N'),(25,6033806,'1',340,'N'),(25,6033814,'1',202,'N'),(25,6033814,'1A',213,'N'),(25,6033822,'1',103,'N'),(25,6033830,'1',5,'N'),(25,6033857,'1',104,'N'),(25,6033865,'1',104,'N'),(25,6033873,'1',601,'N'),(25,6033873,'1A',212,'N'),(25,6033881,'1',502,'N'),(25,6033890,'1',102,'N'),(25,6033911,'1',202,'N'),(25,6033911,'1A',235,'N'),(25,6033920,'1',110,'N'),(25,6033938,'1',340,'N'),(25,6033946,'1',2,'N'),(25,6033954,'1',601,'N'),(25,6033954,'1A',207,'N'),(25,6033962,'1',207,'N'),(25,6033962,'1A',201,'N'),(25,6033970,'1',333,'N'),(25,6033989,'1',215,'N'),(25,6033989,'1A',211,'N'),(25,6033997,'1',201,'N'),(25,6033997,'1A',212,'N'),(25,6034004,'1',103,'N'),(25,6034012,'1',653,'N'),(25,6034012,'1A',601,'N'),(25,6034020,'1',220,'N'),(25,6034020,'1A',235,'N'),(25,6034039,'1',203,'N'),(25,6034039,'1A',208,'N'),(25,6034047,'1',103,'N'),(25,6034055,'1',103,'N'),(25,6034063,'1',216,'N'),(25,6034063,'1A',601,'N'),(25,6034071,'1',601,'N'),(25,6034071,'1A',216,'N'),(25,6034080,'1',415,'N'),(25,6034098,'1',303,'N'),(25,6034101,'1',654,'N'),(25,6034110,'1',207,'N'),(25,6034110,'1A',201,'N'),(25,6034128,'1',225,'N'),(25,6034136,'1',317,'N'),(25,6034152,'1',333,'N'),(25,6034160,'1',103,'N'),(25,6034179,'1',999,'N'),(25,6034187,'1',327,'N'),(25,6034195,'1',101,'N'),(25,6034209,'1',103,'N'),(25,6034217,'1',318,'N'),(25,6034225,'1',415,'N'),(25,6034233,'1',303,'N'),(25,6034241,'1',203,'N'),(25,6034241,'1A',214,'N'),(25,6034250,'1',103,'N'),(25,6034276,'1',104,'N'),(25,6034284,'1',108,'N'),(25,6034292,'1',201,'N'),(25,6034292,'1A',202,'N'),(25,6034306,'1',216,'N'),(25,6034306,'1A',207,'N'),(25,6034314,'1',216,'N'),(25,6034314,'1A',215,'N'),(25,6034322,'1',502,'N'),(25,6034330,'1',303,'N'),(25,6034349,'1',103,'N'),(25,6034357,'1',320,'N'),(25,6034365,'1',201,'N'),(25,6034365,'1A',207,'N'),(25,6034390,'1',102,'N'),(25,6034403,'1',999,'N'),(25,6034411,'1',404,'N'),(25,6034420,'1',303,'N'),(25,6034438,'1',101,'N'),(25,6034446,'1',103,'N'),(25,6034454,'1',233,'N'),(25,6034454,'1A',215,'N'),(25,6034462,'1',101,'N'),(25,6034470,'1',5,'N'),(25,6034489,'1',9,'N'),(25,6034497,'1',214,'N'),(25,6034497,'1A',203,'N'),(25,6034500,'1',214,'N'),(25,6034500,'1A',212,'N'),(25,6034519,'1',301,'N'),(25,6034527,'1',208,'N'),(25,6034527,'1A',220,'N'),(25,6034535,'1',207,'N'),(25,6034535,'1A',201,'N'),(25,6034543,'1',303,'N'),(25,6034551,'1',207,'N'),(25,6034551,'1A',216,'N'),(25,6034560,'1',103,'N'),(25,6034578,'1',415,'N'),(25,6034586,'1',303,'N'),(25,6034594,'1',333,'N'),(25,6034608,'1',340,'N'),(25,6034616,'1',316,'N'),(25,6034624,'1',208,'N'),(25,6034624,'1A',211,'N'),(25,6034632,'1',5,'N'),(25,6034640,'1',104,'N'),(25,6034659,'1',211,'N'),(25,6034659,'1A',215,'N'),(25,6034667,'1',211,'N'),(25,6034667,'1A',216,'N'),(25,6034675,'1',201,'N'),(25,6034675,'1A',211,'N'),(25,6034691,'1',601,'N'),(25,6034691,'1A',202,'N'),(25,6034705,'1',108,'N'),(25,6034713,'1',108,'N'),(25,6034721,'1',103,'N'),(25,6034748,'1',103,'N'),(25,6034756,'1',103,'N'),(25,6034780,'1',420,'N'),(25,6034799,'1',104,'N'),(25,6034802,'1',453,'N'),(25,6034810,'1',211,'N'),(25,6034810,'1A',215,'N'),(25,6034829,'1',208,'N'),(25,6034829,'1A',238,'N'),(25,6034837,'1',203,'N'),(25,6034837,'1A',214,'N'),(25,6034845,'1',103,'N'),(25,6034853,'1',233,'N'),(25,6034853,'1A',213,'N'),(25,6034861,'1',653,'N'),(25,6034861,'1A',655,'N'),(25,6034870,'1',238,'N'),(25,6034870,'1A',235,'N'),(25,6034896,'1',5,'N'),(25,6034900,'1',303,'N'),(25,6034918,'1',103,'N'),(25,6034926,'1',404,'N'),(25,6034934,'1',207,'N'),(25,6034934,'1A',201,'N'),(25,6034942,'1',216,'N'),(25,6034942,'1A',233,'N'),(25,6034950,'1',103,'N'),(25,6034977,'1',201,'N'),(25,6034977,'1A',207,'N'),(25,6034985,'1',601,'N'),(25,6034985,'1A',214,'N'),(25,6034993,'1',238,'N'),(25,6034993,'1A',208,'N'),(25,6035000,'1',601,'N'),(25,6035000,'1A',216,'N'),(25,6035019,'1',207,'N'),(25,6035019,'1A',201,'N'),(25,6035027,'1',5,'N'),(25,6035035,'1',103,'N'),(25,6035051,'1',317,'N'),(25,6035060,'1',501,'N'),(25,6035086,'1',340,'N'),(25,6035094,'1',3,'N'),(25,6035108,'1',303,'N'),(25,6035116,'1',201,'N'),(25,6035116,'1A',212,'N'),(25,6035132,'1',415,'N'),(25,6035140,'1',103,'N'),(25,6035159,'1',309,'N'),(25,6035167,'1',201,'N'),(25,6035175,'1',310,'N'),(25,6035183,'1',429,'N'),(25,6035183,'1A',423,'N'),(25,6035191,'1',205,'N'),(25,6035205,'1',654,'N'),(25,6035221,'1',999,'N'),(25,6035230,'1',212,'N'),(25,6035230,'1A',238,'N'),(25,6035248,'1',103,'N'),(25,6035256,'1',216,'N'),(25,6035256,'1A',201,'N'),(25,6035264,'1',207,'N'),(25,6035272,'1',103,'N'),(25,6035280,'1',303,'N'),(25,6035302,'1',238,'N'),(25,6035302,'1A',208,'N'),(25,6035310,'1',103,'N'),(25,6035329,'1',103,'N'),(25,6035337,'1',309,'N'),(25,6035345,'1',102,'N'),(25,6035353,'1',601,'N'),(25,6035353,'1A',201,'N'),(25,6035361,'1',999,'N'),(25,6035370,'1',103,'N'),(25,6035388,'1',103,'N'),(25,6035396,'1',415,'N'),(25,6035400,'1',103,'N'),(25,6035418,'1',202,'N'),(25,6035418,'1A',233,'N'),(25,6035426,'1',103,'N'),(25,6035434,'1',201,'N'),(25,6035434,'1A',235,'N'),(25,6035442,'1',201,'N'),(25,6035442,'1A',207,'N'),(25,6035450,'1',304,'N'),(25,6035469,'1',303,'N'),(25,6035485,'1',601,'N'),(25,6035493,'1',319,'N'),(25,6035507,'1',104,'N'),(25,6035515,'1',308,'N'),(25,6035523,'1',103,'N'),(25,6035531,'1',103,'N'),(25,6035540,'1',201,'N'),(25,6035540,'1A',212,'N'),(25,6035558,'1',104,'N'),(25,6035566,'1',203,'N'),(25,6035566,'1A',214,'N'),(25,6035574,'1',303,'N'),(25,6035582,'1',103,'N'),(25,6035590,'1',303,'N'),(25,6035604,'1',207,'N'),(25,6035604,'1A',201,'N'),(25,6035612,'1',340,'N'),(25,6035639,'1',201,'N'),(25,6035639,'1A',215,'N'),(25,6035647,'1',103,'N'),(25,6035655,'1',103,'N'),(25,6035663,'1',103,'N'),(25,6035671,'1',316,'N'),(25,6035698,'1',109,'N'),(25,6035701,'1',103,'N'),(25,6035710,'1',104,'N'),(25,6035728,'1',336,'N'),(25,6035736,'1',103,'N'),(25,6035752,'1',201,'N'),(25,6035760,'1',420,'N'),(25,6035779,'1',103,'N'),(25,6035787,'1',5,'N'),(25,6035795,'1',102,'N'),(25,6035809,'1',208,'N'),(25,6035809,'1A',238,'N'),(25,6035825,'1',9,'N'),(25,6035833,'1',103,'N'),(25,6035841,'1',303,'N'),(25,6035868,'1',303,'N'),(25,6035876,'1',103,'N'),(25,6035892,'1',214,'N'),(25,6035892,'1A',212,'N'),(25,6035906,'1',201,'N'),(25,6035906,'1A',212,'N'),(25,6035914,'1',309,'N'),(25,6035930,'1',336,'N'),(25,6035949,'1',220,'N'),(25,6035949,'1A',203,'N'),(25,6035957,'1',238,'N'),(25,6035957,'1A',208,'N'),(25,6035965,'1',216,'N'),(25,6035965,'1A',233,'N'),(25,6035973,'1',103,'N'),(25,6035981,'1',404,'N'),(25,6035990,'1',104,'N'),(25,6036015,'1',103,'N'),(25,6036023,'1',308,'N'),(25,6036031,'1',444,'N'),(25,6036066,'1',103,'N'),(25,6036074,'1',501,'N'),(25,6036082,'1',103,'N'),(25,6036090,'1',203,'N'),(25,6036090,'1A',216,'N'),(25,6036104,'1',103,'N'),(25,6036112,'1',654,'N'),(25,6036120,'1',212,'N'),(25,6036120,'1A',201,'N'),(25,6036139,'1',202,'N'),(25,6036139,'1A',235,'N'),(25,6036155,'1',336,'N'),(25,6036171,'1',340,'N'),(25,6036180,'1',999,'N'),(25,6036198,'1',201,'N'),(25,6036198,'1A',212,'N'),(25,6036228,'1',103,'N'),(25,6036236,'1',303,'N'),(25,6036244,'1',999,'N'),(25,6036252,'1',103,'N'),(25,6036260,'1',428,'N'),(25,6036260,'1A',425,'N'),(25,6036279,'1',203,'N'),(25,6036279,'1A',601,'N'),(25,6036287,'1',103,'N'),(25,6036295,'1',103,'N'),(25,6036317,'1',103,'N'),(25,6036325,'1',220,'N'),(25,6036325,'1A',215,'N'),(25,6036341,'1',451,'N'),(25,6036350,'1',103,'N'),(25,6036368,'1',316,'N'),(25,6036376,'1',303,'N'),(25,6036422,'1',202,'N'),(25,6036422,'1A',207,'N'),(25,6036430,'1',9,'N'),(25,6036457,'1',203,'N'),(25,6036457,'1A',220,'N'),(25,6036465,'1',216,'N'),(25,6036473,'1',211,'N'),(25,6036473,'1A',215,'N'),(25,6036481,'1',340,'N'),(25,6036490,'1',103,'N'),(25,6036503,'1',207,'N'),(25,6036503,'1A',201,'N'),(25,6036511,'1',103,'N'),(25,6036520,'1',211,'N'),(25,6036520,'1A',235,'N'),(25,6036538,'1',336,'N'),(25,6036546,'1',103,'N'),(25,6036562,'1',203,'N'),(25,6036562,'1A',202,'N'),(25,6036597,'1',207,'N'),(25,6036597,'1A',233,'N'),(25,6036600,'1',303,'N'),(25,6036619,'1',303,'N'),(25,6036627,'1',452,'N'),(25,6036635,'1',415,'N'),(25,6036643,'1',551,'N'),(25,6036651,'1',303,'N'),(25,6036660,'1',203,'N'),(25,6036660,'1A',220,'N'),(25,6036678,'1',5,'N'),(25,6036686,'1',303,'N'),(25,6036694,'1',201,'N'),(25,6036694,'1A',212,'N'),(25,6036708,'1',450,'N'),(25,6036716,'1',238,'N'),(25,6036716,'1A',655,'N'),(25,6036724,'1',310,'N'),(25,6036732,'1',103,'N'),(25,6036740,'1',203,'N'),(25,6036740,'1A',233,'N'),(25,6036767,'1',220,'N'),(25,6036767,'1A',233,'N'),(25,6036775,'1',424,'N'),(25,6036775,'1A',428,'N'),(25,6036783,'1',304,'N'),(25,6036791,'1',202,'N'),(25,6036813,'1',201,'N'),(25,6036813,'1A',212,'N'),(25,6036821,'1',444,'N'),(25,6036830,'1',203,'N'),(25,6036830,'1A',202,'N'),(25,6036856,'1',328,'N'),(25,6036864,'1',207,'N'),(25,6036864,'1A',214,'N'),(25,6036872,'1',203,'N'),(25,6036880,'1',5,'N'),(25,6036899,'1',452,'N'),(25,6036902,'1',207,'N'),(25,6036902,'1A',201,'N'),(25,6036929,'1',308,'N'),(25,6036937,'1',301,'N'),(25,6036953,'1',303,'N'),(25,6036961,'1',103,'N'),(25,6036996,'1',201,'N'),(25,6036996,'1A',212,'N'),(25,6037003,'1',103,'N'),(25,6037011,'1',103,'N'),(25,6037020,'1',308,'N'),(25,6037038,'1',102,'N'),(25,6037054,'1',238,'N'),(25,6037054,'1A',652,'N'),(25,6037062,'1',303,'N'),(25,6037070,'1',319,'N'),(25,6037089,'1',201,'N'),(25,6037089,'1A',202,'N'),(25,6037097,'1',201,'N'),(25,6037097,'1A',207,'N'),(25,6037100,'1',450,'N'),(25,6037119,'1',103,'N'),(25,6037127,'1',103,'N'),(25,6037143,'1',444,'N'),(25,6037151,'1',450,'N'),(25,6037160,'1',303,'N'),(25,6037178,'1',999,'N'),(25,6037186,'1',420,'N'),(25,6037194,'1',654,'N'),(25,6037208,'1',216,'N'),(25,6037208,'1A',215,'N'),(25,6037216,'1',601,'N'),(25,6037224,'1',999,'N'),(25,6037232,'1',319,'N'),(25,6037259,'1',303,'N'),(25,6037267,'1',101,'N'),(25,6037275,'1',103,'N'),(25,6037291,'1',103,'N'),(25,6037305,'1',103,'N'),(25,6037313,'1',999,'N'),(25,6037321,'1',303,'N'),(25,6037330,'1',303,'N'),(25,6037348,'1',601,'N'),(25,6037356,'1',207,'N'),(25,6037356,'1A',211,'N'),(25,6037364,'1',601,'N'),(25,6037364,'1A',653,'N'),(25,6037372,'1',329,'N'),(25,6037380,'1',340,'N'),(25,6037399,'1',203,'N'),(25,6037399,'1A',216,'N'),(25,6037402,'1',103,'N'),(25,6037410,'1',225,'N'),(25,6037429,'1',303,'N'),(25,6037437,'1',9,'N'),(25,6037453,'1',316,'N'),(25,6037461,'1',9,'N'),(25,6037488,'1',201,'N'),(25,6037488,'1A',211,'N'),(25,6037496,'1',501,'N'),(25,6037500,'1',5,'N'),(25,6037518,'1',201,'N'),(25,6037518,'1A',207,'N'),(25,6037534,'1',109,'N'),(25,6037542,'1',103,'N'),(25,6037550,'1',9,'N'),(25,6037577,'1',103,'N'),(25,6037585,'1',333,'N'),(25,6037593,'1',207,'N'),(25,6037593,'1A',201,'N'),(25,6037615,'1',5,'N'),(25,6037623,'1',450,'N'),(25,6037631,'1',601,'N'),(25,6037631,'1A',655,'N'),(25,6037658,'1',235,'N'),(25,6037666,'1',104,'N'),(25,6037674,'1',103,'N'),(25,6037682,'1',201,'N'),(25,6037682,'1A',212,'N'),(25,6037690,'1',340,'N'),(25,6037704,'1',110,'N'),(25,6037712,'1',103,'N'),(25,6037739,'1',220,'N'),(25,6037739,'1A',202,'N'),(25,6037747,'1',999,'N'),(25,6037755,'1',203,'N'),(25,6037755,'1A',220,'N'),(25,6037763,'1',103,'N'),(25,6037780,'1',308,'N'),(25,6037798,'1',103,'N'),(25,6037801,'1',2,'N'),(25,6037810,'1',328,'N'),(25,6037828,'1',453,'N'),(25,6037852,'1',203,'N'),(25,6037852,'1A',601,'N'),(25,6037860,'1',999,'N'),(25,6037879,'1',999,'N'),(25,6037887,'1',655,'N'),(25,6037887,'1A',653,'N'),(25,6037895,'1',336,'N'),(25,6037909,'1',415,'N'),(25,6037925,'1',654,'N'),(25,6037933,'1',103,'N'),(25,6037941,'1',216,'N'),(25,6037941,'1A',220,'N'),(25,6037950,'1',208,'N'),(25,6037950,'1A',202,'N'),(25,6037976,'1',317,'N'),(25,6037992,'1',501,'N'),(25,6038000,'1',333,'N'),(25,6038018,'1',201,'N'),(25,6038018,'1A',207,'N'),(25,6038026,'1',102,'N'),(25,6038034,'1',415,'N'),(25,6038042,'1',203,'N'),(25,6038042,'1A',214,'N'),(25,6038050,'1',653,'N'),(25,6038050,'1A',652,'N'),(25,6038077,'1',108,'N'),(25,6038093,'1',109,'N'),(25,6038107,'1',336,'N'),(25,6038115,'1',103,'N'),(25,6038123,'1',103,'N'),(25,6038131,'1',207,'N'),(25,6038131,'1A',201,'N'),(25,6038140,'1',238,'N'),(25,6038140,'1A',211,'N'),(25,6038158,'1',233,'N'),(25,6038158,'1A',211,'N'),(25,6038166,'1',103,'N'),(25,6038174,'1',207,'N'),(25,6038174,'1A',212,'N'),(25,6038182,'1',5,'N'),(25,6038190,'1',103,'N'),(25,6038204,'1',324,'N'),(25,6038220,'1',203,'N'),(25,6038220,'1A',214,'N'),(25,6038247,'1',319,'N'),(25,6038255,'1',103,'N'),(25,6038263,'1',211,'N'),(25,6038263,'1A',653,'N'),(25,6038271,'1',207,'N'),(25,6038271,'1A',213,'N'),(25,6038280,'1',340,'N'),(25,6038298,'1',216,'N'),(25,6038298,'1A',233,'N'),(25,6038301,'1',326,'N'),(25,6038310,'1',216,'N'),(25,6038310,'1A',207,'N'),(25,6038328,'1',429,'N'),(25,6038328,'1A',423,'N'),(25,6038336,'1',214,'N'),(25,6038336,'1A',212,'N'),(25,6038344,'1',103,'N'),(25,6038352,'1',301,'N'),(25,6038360,'1',9,'N'),(25,6038379,'1',103,'N'),(25,6038387,'1',309,'N'),(25,6038425,'1',653,'N'),(25,6038425,'1A',655,'N'),(25,6038433,'1',319,'N'),(25,6038441,'1',103,'N'),(25,6038450,'1',3,'N'),(25,6038468,'1',103,'N'),(25,6038484,'1',5,'N'),(25,6038492,'1',303,'N'),(25,6038506,'1',303,'N'),(25,6038522,'1',5,'N'),(25,6038530,'1',420,'N'),(25,6038549,'1',9,'N'),(25,6038557,'1',339,'N'),(25,6038573,'1',207,'N'),(25,6038573,'1A',201,'N'),(25,6038581,'1',452,'N'),(25,6038590,'1',302,'N'),(25,6038611,'1',303,'N'),(25,6038620,'1',303,'N'),(25,6038638,'1',211,'N'),(25,6038638,'1A',216,'N'),(25,6038646,'1',101,'N'),(25,6038654,'1',104,'N'),(25,6038670,'1',999,'N'),(25,6038689,'1',233,'N'),(25,6038689,'1A',208,'N'),(25,6038697,'1',208,'N'),(25,6038697,'1A',238,'N'),(25,6038700,'1',303,'N'),(25,6038719,'1',103,'N'),(25,6038727,'1',319,'N'),(25,6038743,'1',3,'N'),(25,6038751,'1',337,'N'),(25,6038778,'1',238,'N'),(25,6038778,'1A',208,'N'),(25,6038786,'1',101,'N'),(25,6038794,'1',103,'N'),(25,6038816,'1',202,'N'),(25,6038816,'1A',235,'N'),(25,6038824,'1',319,'N'),(25,6038832,'1',654,'N'),(25,6038840,'1',453,'N'),(25,6038859,'1',103,'N'),(25,6038867,'1',214,'N'),(25,6038867,'1A',212,'N'),(25,6038875,'1',201,'N'),(25,6038875,'1A',203,'N'),(25,6038883,'1',301,'N'),(25,6038891,'1',302,'N'),(25,6038905,'1',216,'N'),(25,6038905,'1A',207,'N'),(25,6038913,'1',108,'N'),(25,6038930,'1',238,'N'),(25,6038930,'1A',208,'N'),(25,6038948,'1',319,'N'),(25,6038956,'1',317,'N'),(25,6038972,'1',201,'N'),(25,6038972,'1A',207,'N'),(25,6038980,'1',110,'N'),(25,6038999,'1',103,'N'),(25,6039006,'1',203,'N'),(25,6039006,'1A',233,'N'),(25,6039014,'1',201,'N'),(25,6039014,'1A',212,'N'),(25,6039030,'1',415,'N'),(25,6039049,'1',103,'N'),(25,6039057,'1',238,'N'),(25,6039057,'1A',655,'N'),(25,6039073,'1',216,'N'),(25,6039073,'1A',215,'N'),(25,6039090,'1',335,'N'),(25,6039103,'1',452,'N'),(25,6039138,'1',201,'N'),(25,6039138,'1A',233,'N'),(25,6039154,'1',215,'N'),(25,6039154,'1A',233,'N'),(25,6039162,'1',102,'N'),(25,6039170,'1',303,'N'),(25,6039189,'1',501,'N'),(25,6039200,'1',101,'N'),(25,6039219,'1',308,'N'),(25,6039227,'1',9,'N'),(25,6039235,'1',102,'N'),(25,6039243,'1',235,'N'),(25,6039243,'1A',208,'N'),(25,6039251,'1',238,'N'),(25,6039251,'1A',208,'N'),(25,6039260,'1',103,'N'),(25,6039278,'1',103,'N'),(25,6039286,'1',213,'N'),(25,6039286,'1A',235,'N'),(25,6039294,'1',103,'N'),(25,6039316,'1',316,'N'),(25,6039324,'1',415,'N'),(25,6039332,'1',103,'N'),(25,6039340,'1',207,'N'),(25,6039340,'1A',233,'N'),(25,6039359,'1',220,'N'),(25,6039359,'1A',203,'N'),(25,6039367,'1',103,'N'),(25,6039375,'1',503,'N'),(25,6039383,'1',453,'N'),(25,6039391,'1',103,'N'),(25,6039405,'1',319,'N'),(25,6039413,'1',103,'N'),(25,6039430,'1',316,'N'),(25,6039448,'1',238,'N'),(25,6039448,'1A',208,'N'),(25,6039456,'1',208,'N'),(25,6039456,'1A',238,'N'),(25,6039472,'1',303,'N'),(25,6039480,'1',201,'N'),(25,6039480,'1A',211,'N'),(25,6039510,'1',207,'N'),(25,6039510,'1A',201,'N'),(25,6039537,'1',212,'N'),(25,6039537,'1A',653,'N'),(25,6039545,'1',655,'N'),(25,6039545,'1A',653,'N'),(25,6039553,'1',340,'N'),(25,6039570,'1',453,'N'),(25,6039600,'1',215,'N'),(25,6039600,'1A',202,'N'),(25,6039618,'1',303,'N'),(25,6039626,'1',108,'N'),(25,6039634,'1',339,'N'),(25,6039642,'1',203,'N'),(25,6039642,'1A',201,'N'),(25,6039650,'1',319,'N'),(25,6039669,'1',207,'N'),(25,6039669,'1A',211,'N'),(25,6039677,'1',208,'N'),(25,6039677,'1A',238,'N'),(25,6039693,'1',425,'N'),(25,6039693,'1A',429,'N'),(25,6039707,'1',319,'N'),(25,6039715,'1',103,'N'),(25,6039731,'1',201,'N'),(25,6039731,'1A',207,'N'),(25,6039740,'1',336,'N'),(25,6039758,'1',220,'N'),(25,6039758,'1A',203,'N'),(25,6039766,'1',328,'N'),(25,6039774,'1',202,'N'),(25,6039774,'1A',213,'N'),(25,6039782,'1',207,'N'),(25,6039782,'1A',201,'N'),(25,6039790,'1',207,'N'),(25,6039790,'1A',202,'N'),(25,6039804,'1',5,'N'),(25,6039812,'1',9,'N'),(25,6039820,'1',103,'N'),(25,6039839,'1',653,'N'),(25,6039839,'1A',201,'N'),(25,6039847,'1',327,'N'),(25,6039871,'1',220,'N'),(25,6039871,'1A',233,'N'),(25,6039880,'1',404,'N'),(25,6039901,'1',320,'N'),(25,6039910,'1',327,'N'),(25,6039928,'1',304,'N'),(25,6039936,'1',308,'N'),(25,6039944,'1',319,'N'),(25,6039952,'1',108,'N'),(25,6039960,'1',235,'N'),(25,6039960,'1A',202,'N'),(25,6039987,'1',103,'N'),(25,6039995,'1',103,'N'),(25,6040004,'1',225,'N'),(25,6040012,'1',103,'N'),(25,6040020,'1',238,'N'),(25,6040020,'1A',208,'N'),(25,6040039,'1',103,'N'),(25,6040047,'1',5,'N'),(25,6040055,'1',331,'N'),(25,6040071,'1',216,'N'),(25,6040071,'1A',203,'N'),(25,6040098,'1',216,'N'),(25,6040098,'1A',233,'N'),(25,6040128,'1',201,'N'),(25,6040128,'1A',207,'N'),(25,6040136,'1',103,'N'),(25,6040144,'1',303,'N'),(25,6040152,'1',216,'N'),(25,6040152,'1A',215,'N'),(25,6040160,'1',303,'N'),(25,6040179,'1',9,'N'),(25,6040187,'1',329,'N'),(25,6040217,'1',655,'N'),(25,6040217,'1A',238,'N'),(25,6040225,'1',316,'N'),(25,6040241,'1',339,'N'),(25,6040250,'1',302,'N'),(25,6040276,'1',220,'N'),(25,6040276,'1A',235,'N'),(25,6040284,'1',103,'N'),(25,6040292,'1',103,'N'),(25,6040314,'1',104,'N'),(25,6040322,'1',103,'N'),(25,6040330,'1',316,'N'),(25,6040349,'1',203,'N'),(25,6040349,'1A',201,'N'),(25,6040373,'1',316,'N'),(25,6040381,'1',601,'N'),(25,6040381,'1A',211,'N'),(25,6040390,'1',326,'N'),(25,6040403,'1',202,'N'),(25,6040403,'1A',235,'N'),(25,6040411,'1',238,'N'),(25,6040411,'1A',202,'N'),(25,6040420,'1',109,'N'),(25,6040438,'1',208,'N'),(25,6040438,'1A',238,'N'),(25,6040462,'1',108,'N'),(25,6040470,'1',450,'N'),(25,6040489,'1',103,'N'),(25,6040497,'1',452,'N'),(25,6040500,'1',203,'N'),(25,6040500,'1A',653,'N'),(25,6040519,'1',420,'N'),(25,6040527,'1',336,'N'),(25,6040535,'1',103,'N'),(25,6040543,'1',337,'N'),(25,6040551,'1',207,'N'),(25,6040551,'1A',201,'N'),(25,6040560,'1',340,'N'),(25,6040578,'1',103,'N'),(25,6040586,'1',601,'N'),(25,6040586,'1A',207,'N'),(25,6040594,'1',5,'N'),(25,6040632,'1',426,'N'),(25,6040632,'1A',428,'N'),(25,6040640,'1',450,'N'),(25,6040659,'1',101,'N'),(25,6040675,'1',202,'N'),(25,6040675,'1A',235,'N'),(25,6040691,'1',201,'N'),(25,6040691,'1A',212,'N'),(25,6040713,'1',501,'N'),(25,6040721,'1',336,'N'),(25,6040730,'1',304,'N'),(25,6040748,'1',336,'N'),(25,6040764,'1',238,'N'),(25,6040764,'1A',220,'N'),(25,6040772,'1',220,'N'),(25,6040772,'1A',233,'N'),(25,6040799,'1',216,'N'),(25,6040802,'1',201,'N'),(25,6040802,'1A',212,'N'),(25,6040810,'1',235,'N'),(25,6040810,'1A',233,'N'),(25,6040829,'1',220,'N'),(25,6040829,'1A',235,'N'),(25,6040837,'1',303,'N'),(25,6040845,'1',452,'N'),(25,6040861,'1',308,'N'),(25,6040870,'1',103,'N'),(25,6040888,'1',238,'N'),(25,6040888,'1A',208,'N'),(25,6040896,'1',103,'N'),(25,6040918,'1',205,'N'),(25,6040926,'1',203,'N'),(25,6040926,'1A',233,'N'),(25,6040934,'1',302,'N'),(25,6040942,'1',103,'N'),(25,6040950,'1',415,'N'),(25,6040977,'1',317,'N'),(25,6040985,'1',225,'N'),(25,6040993,'1',212,'N'),(25,6040993,'1A',214,'N'),(25,6041000,'1',424,'N'),(25,6041000,'1A',421,'N'),(25,6041019,'1',340,'N'),(25,6041027,'1',207,'N'),(25,6041027,'1A',211,'N'),(25,6041043,'1',207,'N'),(25,6041043,'1A',201,'N'),(25,6041051,'1',319,'N'),(25,6041060,'1',301,'N'),(25,6041078,'1',103,'N'),(25,6041086,'1',103,'N'),(25,6041132,'1',340,'N'),(25,6041140,'1',207,'N'),(25,6041159,'1',601,'N'),(25,6041167,'1',654,'N'),(25,6041175,'1',444,'N'),(25,6041191,'1',451,'N'),(25,6041205,'1',103,'N'),(25,6041213,'1',452,'N'),(25,6041221,'1',216,'N'),(25,6041221,'1A',201,'N'),(25,6041230,'1',201,'N'),(25,6041230,'1A',202,'N'),(25,6041248,'1',103,'N'),(25,6041264,'1',316,'N'),(25,6041272,'1',224,'N'),(25,6041280,'1',601,'N'),(25,6041280,'1A',201,'N'),(25,6041299,'1',601,'N'),(25,6041299,'1A',201,'N'),(25,6041302,'1',103,'N'),(25,6041310,'1',103,'N'),(25,6041337,'1',203,'N'),(25,6041337,'1A',214,'N'),(25,6041345,'1',425,'N'),(25,6041345,'1A',426,'N'),(25,6041353,'1',319,'N'),(25,6041361,'1',502,'N'),(25,6041370,'1',103,'N'),(25,6041388,'1',104,'N'),(25,6041400,'1',207,'N'),(25,6041400,'1A',235,'N'),(25,6041418,'1',216,'N'),(25,6041434,'1',233,'N'),(25,6041434,'1A',220,'N'),(25,6041442,'1',211,'N'),(25,6041442,'1A',215,'N'),(25,6041450,'1',215,'N'),(25,6041450,'1A',211,'N'),(25,6041477,'1',207,'N'),(25,6041477,'1A',201,'N'),(25,6041493,'1',103,'N'),(25,6041507,'1',207,'N'),(25,6041507,'1A',201,'N'),(25,6041523,'1',211,'N'),(25,6041523,'1A',215,'N'),(25,6041540,'1',207,'N'),(25,6041558,'1',303,'N'),(25,6041566,'1',340,'N'),(25,6041574,'1',207,'N'),(25,6041574,'1A',201,'N'),(25,6041582,'1',202,'N'),(25,6041582,'1A',213,'N'),(25,6041590,'1',102,'N'),(25,6041604,'1',201,'N'),(25,6041604,'1A',212,'N'),(25,6041612,'1',320,'N'),(25,6041620,'1',108,'N'),(25,6041647,'1',324,'N'),(25,6041655,'1',5,'N'),(25,6041671,'1',101,'N'),(25,6041680,'1',340,'N'),(25,6041698,'1',220,'N'),(25,6041698,'1A',202,'N'),(25,6041710,'1',103,'N'),(25,6041728,'1',102,'N'),(25,6041736,'1',201,'N'),(25,6041736,'1A',202,'N'),(25,6041744,'1',201,'N'),(25,6041744,'1A',211,'N'),(25,6041760,'1',404,'N'),(25,6041809,'1',303,'N'),(25,6041833,'1',3,'N'),(25,6041841,'1',103,'N'),(25,6041850,'1',601,'N'),(25,6041850,'1A',220,'N'),(25,6041868,'1',201,'N'),(25,6041868,'1A',207,'N'),(25,6041876,'1',207,'N'),(25,6041876,'1A',601,'N'),(25,6041884,'1',103,'N'),(25,6041892,'1',999,'N'),(25,6041906,'1',426,'N'),(25,6041914,'1',303,'N'),(25,6041922,'1',655,'N'),(25,6041922,'1A',652,'N'),(25,6041930,'1',103,'N'),(25,6041957,'1',655,'N'),(25,6041957,'1A',652,'N'),(25,6041965,'1',235,'N'),(25,6041965,'1A',208,'N'),(25,6041981,'1',339,'N'),(25,6042007,'1',601,'N'),(25,6042007,'1A',653,'N'),(25,6042015,'1',213,'N'),(25,6042015,'1A',238,'N'),(25,6042023,'1',103,'N'),(25,6042031,'1',238,'N'),(25,6042031,'1A',208,'N'),(25,6042058,'1',234,'N'),(25,6042066,'1',5,'N'),(25,6042074,'1',5,'N'),(25,6042082,'1',101,'N'),(25,6042090,'1',102,'N'),(25,6042104,'1',110,'N'),(25,6042112,'1',5,'N'),(25,6042120,'1',453,'N'),(25,6042147,'1',319,'N'),(25,6042155,'1',103,'N'),(25,6042163,'1',201,'N'),(25,6042163,'1A',211,'N'),(25,6042171,'1',653,'N'),(25,6042171,'1A',652,'N'),(25,6042180,'1',316,'N'),(25,6042198,'1',104,'N'),(25,6042201,'1',317,'N'),(25,6042210,'1',654,'N'),(25,6042228,'1',303,'N'),(25,6042236,'1',317,'N'),(25,6042244,'1',101,'N'),(25,6042252,'1',318,'N'),(25,6042260,'1',302,'N'),(25,6042279,'1',220,'N'),(25,6042279,'1A',208,'N'),(25,6042287,'1',336,'N'),(25,6042295,'1',104,'N'),(25,6042309,'1',5,'N'),(25,6042317,'1',303,'N'),(25,6042325,'1',9,'N'),(25,6042333,'1',109,'N'),(25,6042350,'1',211,'N'),(25,6042376,'1',336,'N'),(25,6042384,'1',201,'N'),(25,6042384,'1A',203,'N'),(25,6042392,'1',103,'N'),(25,6042406,'1',215,'N'),(25,6042406,'1A',211,'N'),(25,6042430,'1',103,'N'),(25,6042457,'1',450,'N'),(25,6042473,'1',103,'N'),(25,6042490,'1',655,'N'),(25,6042490,'1A',652,'N'),(25,6042503,'1',318,'N'),(25,6042511,'1',450,'N'),(25,6042538,'1',216,'N'),(25,6042538,'1A',211,'N'),(25,6042546,'1',308,'N'),(25,6042554,'1',234,'N'),(25,6042562,'1',238,'N'),(25,6042562,'1A',208,'N'),(25,6042570,'1',425,'N'),(25,6042570,'1A',429,'N'),(25,6042589,'1',101,'N'),(25,6042597,'1',101,'N'),(25,6042619,'1',340,'N'),(25,6042627,'1',203,'N'),(25,6042627,'1A',216,'N'),(25,6042635,'1',235,'N'),(25,6042635,'1A',233,'N'),(25,6042643,'1',302,'N'),(25,6042651,'1',5,'N'),(25,6042660,'1',428,'N'),(25,6042678,'1',201,'N'),(25,6042678,'1A',207,'N'),(25,6042686,'1',999,'N'),(25,6042708,'1',201,'N'),(25,6042708,'1A',207,'N'),(25,6042716,'1',104,'N'),(25,6042732,'1',317,'N'),(25,6042740,'1',320,'N'),(25,6042759,'1',201,'N'),(25,6042759,'1A',207,'N'),(25,6042767,'1',207,'N'),(25,6042767,'1A',201,'N'),(25,6042775,'1',203,'N'),(25,6042775,'1A',233,'N'),(25,6042783,'1',207,'N'),(25,6042783,'1A',601,'N'),(25,6042791,'1',108,'N'),(25,6042805,'1',103,'N'),(25,6042813,'1',316,'N'),(25,6042830,'1',103,'N'),(25,6042848,'1',103,'N'),(25,6042856,'1',303,'N'),(25,6042864,'1',316,'N'),(25,6042872,'1',103,'N'),(25,6042880,'1',103,'N'),(25,6042929,'1',203,'N'),(25,6042929,'1A',202,'N'),(25,6042937,'1',201,'N'),(25,6042937,'1A',212,'N'),(25,6042945,'1',104,'N'),(25,6042953,'1',336,'N'),(25,6042970,'1',103,'N'),(25,6042988,'1',103,'N'),(25,6043003,'1',303,'N'),(25,6043011,'1',103,'N'),(25,6043054,'1',444,'N'),(25,6043062,'1',316,'N'),(25,6043070,'1',308,'N'),(25,6043089,'1',337,'N'),(25,6043097,'1',9,'N'),(25,6043100,'1',216,'N'),(25,6043100,'1A',215,'N'),(25,6043119,'1',104,'N'),(25,6043135,'1',207,'N'),(25,6043135,'1A',201,'N'),(25,6043160,'1',212,'N'),(25,6043160,'1A',201,'N'),(25,6043178,'1',999,'N'),(25,6043186,'1',103,'N'),(25,6043208,'1',303,'N'),(25,6043224,'1',5,'N'),(25,6043240,'1',653,'N'),(25,6043240,'1A',211,'N'),(25,6043259,'1',103,'N'),(25,6043267,'1',9,'N'),(25,6043275,'1',303,'N'),(25,6043291,'1',319,'N'),(25,6043305,'1',404,'N'),(25,6043313,'1',444,'N'),(25,6043330,'1',103,'N'),(25,6043364,'1',319,'N'),(25,6043380,'1',207,'N'),(25,6043380,'1A',212,'N'),(25,6043399,'1',103,'N'),(25,6043402,'1',420,'N'),(25,6043437,'1',207,'N'),(25,6043437,'1A',215,'N'),(25,6043445,'1',452,'N'),(25,6043453,'1',308,'N'),(25,6043461,'1',103,'N'),(25,6043470,'1',103,'N'),(25,6043496,'1',201,'N'),(25,6043496,'1A',207,'N'),(25,6043500,'1',308,'N'),(25,6043518,'1',202,'N'),(25,6043518,'1A',655,'N'),(25,6043526,'1',103,'N'),(25,6043534,'1',235,'N'),(25,6043534,'1A',202,'N'),(25,6043542,'1',301,'N'),(25,6043550,'1',201,'N'),(25,6043550,'1A',212,'N'),(25,6043569,'1',238,'N'),(25,6043569,'1A',235,'N'),(25,6043585,'1',428,'N'),(25,6043585,'1A',425,'N'),(25,6043593,'1',601,'N'),(25,6043593,'1A',211,'N'),(25,6043615,'1',103,'N'),(25,6043623,'1',103,'N'),(25,6043640,'1',308,'N'),(25,6043674,'1',601,'N'),(25,6043690,'1',5,'N'),(25,6043704,'1',220,'N'),(25,6043704,'1A',214,'N'),(25,6043712,'1',207,'N'),(25,6043712,'1A',201,'N'),(25,6043720,'1',103,'N'),(25,6043739,'1',205,'N'),(25,6043755,'1',212,'N'),(25,6043755,'1A',601,'N'),(25,6043763,'1',103,'N'),(25,6043780,'1',319,'N'),(25,6043798,'1',316,'N'),(25,6043810,'1',5,'N'),(25,6043828,'1',302,'N'),(25,6043836,'1',318,'N'),(25,6043844,'1',999,'N'),(25,6043852,'1',110,'N'),(25,6043860,'1',201,'N'),(25,6043860,'1A',211,'N'),(25,6043887,'1',404,'N'),(25,6043895,'1',101,'N'),(25,6043917,'1',5,'N'),(25,6043933,'1',214,'N'),(25,6043933,'1A',233,'N'),(25,6043941,'1',103,'N'),(25,6043950,'1',103,'N'),(25,6043968,'1',103,'N'),(25,6043976,'1',207,'N'),(25,6043976,'1A',216,'N'),(25,6043984,'1',420,'N'),(25,6044000,'1',103,'N'),(25,6044026,'1',420,'N'),(25,6044050,'1',220,'N'),(25,6044050,'1A',601,'N'),(25,6044069,'1',103,'N'),(25,6044077,'1',501,'N'),(25,6044085,'1',238,'N'),(25,6044085,'1A',213,'N'),(25,6044093,'1',316,'N'),(25,6044131,'1',304,'N'),(25,6044140,'1',551,'N'),(25,6044158,'1',103,'N'),(25,6044174,'1',207,'N'),(25,6044174,'1A',216,'N'),(25,6044190,'1',201,'N'),(25,6044190,'1A',203,'N'),(25,6044204,'1',9,'N'),(25,6044212,'1',103,'N'),(25,6044220,'1',103,'N'),(25,6044239,'1',201,'N'),(25,6044239,'1A',212,'N'),(25,6044247,'1',207,'N'),(25,6044247,'1A',201,'N'),(25,6044263,'1',103,'N'),(25,6044271,'1',317,'N'),(25,6044280,'1',216,'N'),(25,6044280,'1A',215,'N'),(25,6044298,'1',103,'N'),(25,6044301,'1',103,'N'),(25,6044310,'1',301,'N'),(25,6044328,'1',319,'N'),(25,6044336,'1',319,'N'),(25,6044379,'1',420,'N'),(25,6044387,'1',110,'N'),(25,6044395,'1',203,'N'),(25,6044395,'1A',601,'N'),(25,6044417,'1',202,'N'),(25,6044417,'1A',220,'N'),(25,6044425,'1',601,'N'),(25,6044425,'1A',235,'N'),(25,6044441,'1',233,'N'),(25,6044441,'1A',202,'N'),(25,6044450,'1',103,'N'),(25,6044492,'1',415,'N'),(25,6044514,'1',235,'N'),(25,6044514,'1A',201,'N'),(25,6044522,'1',216,'N'),(25,6044522,'1A',211,'N'),(25,6044549,'1',103,'N'),(25,6044557,'1',103,'N'),(25,6044565,'1',316,'N'),(25,6044581,'1',103,'N'),(25,6044590,'1',501,'N'),(25,6044603,'1',326,'N'),(25,6044611,'1',319,'N'),(25,6044620,'1',103,'N'),(25,6044646,'1',205,'N'),(25,6044654,'1',201,'N'),(25,6044654,'1A',207,'N'),(25,6044662,'1',303,'N'),(25,6044670,'1',319,'N'),(25,6044689,'1',103,'N'),(25,6044697,'1',453,'N'),(25,6044700,'1',302,'N'),(25,6044727,'1',233,'N'),(25,6044727,'1A',235,'N'),(25,6044735,'1',5,'N'),(25,6044743,'1',103,'N'),(25,6044751,'1',211,'N'),(25,6044760,'1',316,'N'),(25,6044794,'1',103,'N'),(25,6044808,'1',214,'N'),(25,6044808,'1A',216,'N'),(25,6044816,'1',103,'N'),(25,6044824,'1',220,'N'),(25,6044824,'1A',655,'N'),(25,6044832,'1',103,'N'),(25,6044840,'1',303,'N'),(25,6044859,'1',238,'N'),(25,6044859,'1A',208,'N'),(25,6044875,'1',601,'N'),(25,6044883,'1',415,'N'),(25,6044891,'1',317,'N'),(25,6044921,'1',201,'N'),(25,6044921,'1A',207,'N'),(25,6044948,'1',108,'N'),(25,6044972,'1',319,'N'),(25,6044980,'1',319,'N'),(25,6044999,'1',999,'N'),(25,6045006,'1',207,'N'),(25,6045006,'1A',201,'N'),(25,6045022,'1',207,'N'),(25,6045022,'1A',235,'N'),(25,6045049,'1',109,'N'),(25,6045057,'1',223,'N'),(25,6045073,'1',225,'N'),(25,6045090,'1',103,'N'),(25,6045103,'1',340,'N'),(25,6045111,'1',201,'N'),(25,6045111,'1A',212,'N'),(25,6045120,'1',233,'N'),(25,6045120,'1A',215,'N'),(25,6045138,'1',420,'N'),(25,6045146,'1',317,'N'),(25,6045154,'1',103,'N'),(25,6045162,'1',601,'N'),(25,6045162,'1A',201,'N'),(25,6045189,'1',101,'N'),(25,6045197,'1',207,'N'),(25,6045197,'1A',201,'N'),(25,6045200,'1',303,'N'),(25,6045219,'1',103,'N'),(25,6045235,'1',301,'N'),(25,6045243,'1',202,'N'),(25,6045243,'1A',235,'N'),(25,6045260,'1',654,'N'),(25,6045278,'1',318,'N'),(25,6045286,'1',104,'N'),(25,6045294,'1',207,'N'),(25,6045294,'1A',201,'N'),(25,6045308,'1',103,'N'),(25,6045316,'1',551,'N'),(25,6045324,'1',103,'N'),(25,6045340,'1',502,'N'),(25,6045367,'1',103,'N'),(25,6045375,'1',303,'N'),(25,6045391,'1',303,'N'),(25,6045405,'1',108,'N'),(25,6045413,'1',103,'N'),(25,6045421,'1',103,'N'),(25,6045430,'1',234,'N'),(25,6045448,'1',5,'N'),(25,6045456,'1',652,'N'),(25,6045456,'1A',655,'N'),(25,6045472,'1',103,'N'),(25,6045499,'1',5,'N'),(25,6045510,'1',308,'N'),(25,6045537,'1',999,'N'),(25,6045545,'1',101,'N'),(25,6045553,'1',340,'N'),(25,6045561,'1',208,'N'),(25,6045561,'1A',238,'N'),(25,6045570,'1',601,'N'),(25,6045596,'1',203,'N'),(25,6045596,'1A',216,'N'),(25,6045600,'1',309,'N'),(25,6045618,'1',420,'N'),(25,6045626,'1',103,'N'),(25,6045634,'1',103,'N'),(25,6045650,'1',319,'N'),(25,6045669,'1',201,'N'),(25,6045669,'1A',203,'N'),(25,6045677,'1',340,'N'),(25,6045685,'1',450,'N'),(25,6045693,'1',9,'N'),(25,6045707,'1',212,'N'),(25,6045707,'1A',601,'N'),(25,6045723,'1',304,'N'),(25,6045731,'1',420,'N'),(25,6045740,'1',340,'N'),(25,6045758,'1',429,'N'),(25,6045758,'1A',424,'N'),(25,6045766,'1',103,'N'),(25,6045774,'1',339,'N'),(25,6045782,'1',103,'N'),(25,6045790,'1',201,'N'),(25,6045790,'1A',207,'N'),(25,6045812,'1',601,'N'),(25,6045812,'1A',203,'N'),(25,6045820,'1',208,'N'),(25,6045820,'1A',238,'N'),(25,6045839,'1',103,'N'),(25,6045847,'1',101,'N'),(25,6045863,'1',220,'N'),(25,6045863,'1A',235,'N'),(25,6045880,'1',309,'N'),(25,6045898,'1',338,'N'),(25,6045901,'1',103,'N'),(25,6045910,'1',103,'N'),(25,6045928,'1',601,'N'),(25,6045928,'1A',212,'N'),(25,6045936,'1',103,'N'),(25,6045944,'1',501,'N'),(25,6045952,'1',103,'N'),(25,6045960,'1',303,'N'),(25,6045979,'1',201,'N'),(25,6045979,'1A',207,'N'),(25,6045987,'1',318,'N'),(25,6045995,'1',208,'N'),(25,6045995,'1A',238,'N'),(25,6046002,'1',340,'N'),(25,6046010,'1',103,'N'),(25,6046029,'1',301,'N'),(25,6046037,'1',203,'N'),(25,6046037,'1A',202,'N'),(25,6046045,'1',110,'N'),(25,6046061,'1',212,'N'),(25,6046061,'1A',201,'N'),(25,6046070,'1',420,'N'),(25,6046088,'1',103,'N'),(25,6046096,'1',213,'N'),(25,6046096,'1A',208,'N'),(25,6046100,'1',103,'N'),(25,6046118,'1',103,'N'),(25,6046126,'1',103,'N'),(25,6046134,'1',202,'N'),(25,6046134,'1A',203,'N'),(25,6046142,'1',203,'N'),(25,6046142,'1A',233,'N'),(25,6046150,'1',207,'N'),(25,6046150,'1A',212,'N'),(25,6046177,'1',652,'N'),(25,6046177,'1A',655,'N'),(25,6046207,'1',202,'N'),(25,6046207,'1A',213,'N'),(25,6046215,'1',201,'N'),(25,6046215,'1A',212,'N'),(25,6046223,'1',319,'N'),(25,6046231,'1',103,'N'),(25,6046240,'1',103,'N'),(25,6046258,'1',320,'N'),(25,6046266,'1',207,'N'),(25,6046266,'1A',203,'N'),(25,6046274,'1',103,'N'),(25,6046282,'1',332,'N'),(25,6046290,'1',601,'N'),(25,6046290,'1A',203,'N'),(25,6046304,'1',201,'N'),(25,6046304,'1A',207,'N'),(25,6046320,'1',103,'N'),(25,6046339,'1',201,'N'),(25,6046339,'1A',207,'N'),(25,6046347,'1',103,'N'),(25,6046363,'1',103,'N'),(25,6046371,'1',104,'N'),(25,6046380,'1',203,'N'),(25,6046380,'1A',233,'N'),(25,6046401,'1',652,'N'),(25,6046401,'1A',238,'N'),(25,6046410,'1',233,'N'),(25,6046410,'1A',215,'N'),(25,6046444,'1',208,'N'),(25,6046444,'1A',655,'N'),(25,6046452,'1',421,'N'),(25,6046452,'1A',424,'N'),(25,6046460,'1',235,'N'),(25,6046460,'1A',201,'N'),(25,6046479,'1',103,'N'),(25,6046487,'1',652,'N'),(25,6046495,'1',5,'N'),(25,6046525,'1',203,'N'),(25,6046525,'1A',202,'N'),(25,6046533,'1',103,'N'),(25,6046568,'1',103,'N'),(25,6046576,'1',207,'N'),(25,6046576,'1A',201,'N'),(25,6046584,'1',302,'N'),(25,6046592,'1',103,'N'),(25,6046614,'1',207,'N'),(25,6046614,'1A',201,'N'),(25,6046622,'1',338,'N'),(25,6046630,'1',415,'N'),(25,6046649,'1',201,'N'),(25,6046649,'1A',207,'N'),(25,6046657,'1',103,'N'),(25,6046673,'1',551,'N'),(25,6046681,'1',999,'N'),(25,6046690,'1',103,'N'),(25,6046703,'1',999,'N'),(25,6046711,'1',109,'N'),(25,6046720,'1',332,'N'),(25,6046746,'1',201,'N'),(25,6046746,'1A',215,'N'),(25,6046762,'1',653,'N'),(25,6046762,'1A',212,'N'),(25,6046770,'1',333,'N'),(25,6046789,'1',201,'N'),(25,6046789,'1A',653,'N'),(25,6046797,'1',103,'N'),(25,6046800,'1',453,'N'),(25,6046819,'1',320,'N'),(25,6046827,'1',340,'N'),(25,6046835,'1',207,'N'),(25,6046835,'1A',201,'N'),(25,6046843,'1',103,'N'),(25,6046851,'1',302,'N'),(25,6046860,'1',502,'N'),(25,6046878,'1',319,'N'),(25,6046894,'1',102,'N'),(25,6046908,'1',207,'N'),(25,6046908,'1A',201,'N'),(25,6046916,'1',319,'N'),(25,6046924,'1',303,'N'),(25,6046932,'1',103,'N'),(25,6046940,'1',319,'N'),(25,6046959,'1',336,'N'),(25,6046967,'1',207,'N'),(25,6046967,'1A',208,'N'),(25,6046975,'1',110,'N'),(25,6046991,'1',303,'N'),(25,6047009,'1',316,'N'),(25,6047017,'1',324,'N'),(25,6047033,'1',999,'N'),(25,6047041,'1',201,'N'),(25,6047041,'1A',211,'N'),(25,6047050,'1',103,'N'),(25,6047068,'1',103,'N'),(25,6047076,'1',103,'N'),(25,6047084,'1',238,'N'),(25,6047084,'1A',208,'N'),(25,6047106,'1',337,'N'),(25,6047114,'1',103,'N'),(25,6047122,'1',103,'N'),(25,6047130,'1',303,'N'),(25,6047149,'1',103,'N'),(25,6047165,'1',201,'N'),(25,6047165,'1A',203,'N'),(25,6047173,'1',5,'N'),(25,6047181,'1',103,'N'),(25,6047190,'1',103,'N'),(25,6047211,'1',301,'N'),(25,6047220,'1',453,'N'),(25,6047238,'1',215,'N'),(25,6047238,'1A',220,'N'),(25,6047246,'1',336,'N'),(25,6047254,'1',404,'N'),(25,6047270,'1',202,'N'),(25,6047270,'1A',213,'N'),(25,6047289,'1',103,'N'),(25,6047297,'1',216,'N'),(25,6047297,'1A',201,'N'),(25,6047319,'1',316,'N'),(25,6047327,'1',101,'N'),(25,6047343,'1',216,'N'),(25,6047343,'1A',215,'N'),(25,6047351,'1',301,'N'),(25,6047360,'1',450,'N'),(25,6047378,'1',450,'N'),(25,6047386,'1',103,'N'),(25,6047394,'1',216,'N'),(25,6047394,'1A',215,'N'),(25,6047432,'1',223,'N'),(25,6047440,'1',319,'N'),(25,6047459,'1',220,'N'),(25,6047459,'1A',203,'N'),(25,6047467,'1',452,'N'),(25,6047483,'1',103,'N'),(25,6047491,'1',340,'N'),(25,6047505,'1',103,'N'),(25,6047513,'1',212,'N'),(25,6047513,'1A',201,'N'),(25,6047521,'1',216,'N'),(25,6047521,'1A',233,'N'),(25,6047530,'1',205,'N'),(25,6047548,'1',103,'N'),(25,6047564,'1',238,'N'),(25,6047564,'1A',208,'N'),(25,6047572,'1',339,'N'),(25,6047580,'1',233,'N'),(25,6047580,'1A',215,'N'),(25,6047599,'1',601,'N'),(25,6047599,'1A',214,'N'),(25,6047602,'1',103,'N'),(25,6047610,'1',238,'N'),(25,6047610,'1A',235,'N'),(25,6047629,'1',104,'N'),(25,6047645,'1',103,'N'),(25,6047653,'1',304,'N'),(25,6047661,'1',337,'N'),(25,6047670,'1',201,'N'),(25,6047670,'1A',212,'N'),(25,6047688,'1',103,'N'),(25,6047696,'1',216,'N'),(25,6047696,'1A',215,'N'),(25,6047700,'1',340,'N'),(25,6047718,'1',318,'N'),(25,6047726,'1',203,'N'),(25,6047726,'1A',214,'N'),(25,6047734,'1',103,'N'),(25,6047742,'1',601,'N'),(25,6047742,'1A',201,'N'),(25,6047750,'1',654,'N'),(25,6047769,'1',5,'N'),(25,6047777,'1',201,'N'),(25,6047777,'1A',202,'N'),(25,6047785,'1',103,'N'),(25,6047793,'1',216,'N'),(25,6047793,'1A',215,'N'),(25,6047807,'1',316,'N'),(25,6047823,'1',5,'N'),(25,6047840,'1',333,'N'),(25,6047858,'1',103,'N'),(25,6047866,'1',103,'N'),(25,6047874,'1',213,'N'),(25,6047874,'1A',235,'N'),(25,6047882,'1',428,'N'),(25,6047882,'1A',423,'N'),(25,6047890,'1',103,'N'),(25,6047904,'1',103,'N'),(25,6047912,'1',318,'N'),(25,6047920,'1',999,'N'),(25,6047939,'1',103,'N'),(25,6047947,'1',203,'N'),(25,6047947,'1A',211,'N'),(25,6047955,'1',601,'N'),(25,6047955,'1A',212,'N'),(25,6047963,'1',103,'N'),(25,6047971,'1',3,'N'),(25,6047980,'1',207,'N'),(25,6048021,'1',340,'N'),(25,6048030,'1',103,'N'),(25,6048048,'1',235,'N'),(25,6048048,'1A',213,'N'),(25,6048056,'1',103,'N'),(25,6048064,'1',216,'N'),(25,6048064,'1A',203,'N'),(25,6048072,'1',207,'N'),(25,6048072,'1A',211,'N'),(25,6048080,'1',201,'N'),(25,6048080,'1A',207,'N'),(25,6048102,'1',415,'N'),(25,6048110,'1',108,'N'),(25,6048129,'1',103,'N'),(25,6048145,'1',501,'N'),(25,6048153,'1',202,'N'),(25,6048153,'1A',220,'N'),(25,6048170,'1',9,'N'),(25,6048188,'1',108,'N'),(25,6048200,'1',333,'N'),(25,6048226,'1',601,'N'),(25,6048226,'1A',212,'N'),(25,6048234,'1',415,'N'),(25,6048242,'1',319,'N'),(25,6048250,'1',103,'N'),(25,6048269,'1',101,'N'),(25,6048277,'1',201,'N'),(25,6048277,'1A',207,'N'),(25,6048307,'1',103,'N'),(25,6048315,'1',103,'N'),(25,6048323,'1',207,'N'),(25,6048323,'1A',201,'N'),(25,6048331,'1',103,'N'),(25,6048340,'1',104,'N'),(25,6048358,'1',601,'N'),(25,6048358,'1A',653,'N'),(25,6048366,'1',109,'N'),(25,6048374,'1',207,'N'),(25,6048374,'1A',212,'N'),(25,6048382,'1',207,'N'),(25,6048382,'1A',212,'N'),(25,6048390,'1',103,'N'),(25,6048404,'1',203,'N'),(25,6048404,'1A',233,'N'),(25,6048412,'1',336,'N'),(25,6048439,'1',425,'N'),(25,6048439,'1A',428,'N'),(25,6048447,'1',202,'N'),(25,6048447,'1A',213,'N'),(25,6048455,'1',415,'N'),(25,6048463,'1',110,'N'),(25,6048471,'1',404,'N'),(25,6048480,'1',303,'N'),(25,6048498,'1',108,'N'),(25,6048501,'1',103,'N'),(25,6048510,'1',340,'N'),(25,6048528,'1',999,'N'),(25,6048544,'1',103,'N'),(25,6048552,'1',319,'N'),(25,6048560,'1',415,'N'),(25,6048579,'1',103,'N'),(25,6048587,'1',404,'N'),(25,6048595,'1',102,'N'),(25,6048609,'1',203,'N'),(25,6048609,'1A',212,'N'),(25,6048617,'1',320,'N'),(25,6048625,'1',331,'N'),(25,6048633,'1',103,'N'),(25,6048641,'1',104,'N'),(25,6048650,'1',103,'N'),(25,6048676,'1',203,'N'),(25,6048676,'1A',208,'N'),(25,6048684,'1',201,'N'),(25,6048684,'1A',233,'N'),(25,6048692,'1',103,'N'),(25,6048706,'1',9,'N'),(25,6048714,'1',551,'N'),(25,6048722,'1',302,'N'),(25,6048730,'1',103,'N'),(25,6048749,'1',415,'N'),(25,6048757,'1',451,'N'),(25,6048765,'1',601,'N'),(25,6048765,'1A',202,'N'),(25,6048781,'1',333,'N'),(25,6048790,'1',223,'N'),(25,6048803,'1',601,'N'),(25,6048803,'1A',653,'N'),(25,6048811,'1',203,'N'),(25,6048811,'1A',235,'N'),(25,6048820,'1',233,'N'),(25,6048820,'1A',203,'N'),(25,6048838,'1',103,'N'),(25,6048846,'1',652,'N'),(25,6048846,'1A',655,'N'),(25,6048854,'1',103,'N'),(25,6048862,'1',415,'N'),(25,6048870,'1',301,'N'),(25,6048897,'1',5,'N'),(25,6048900,'1',203,'N'),(25,6048900,'1A',214,'N'),(25,6048927,'1',303,'N'),(25,6048935,'1',338,'N'),(25,6048943,'1',104,'N'),(25,6048960,'1',220,'N'),(25,6048960,'1A',203,'N'),(25,6048978,'1',103,'N'),(25,6048986,'1',103,'N'),(25,6048994,'1',103,'N'),(25,6049001,'1',202,'N'),(25,6049001,'1A',213,'N'),(25,6049028,'1',201,'N'),(25,6049028,'1A',207,'N'),(25,6049036,'1',207,'N'),(25,6049044,'1',301,'N'),(25,6049052,'1',103,'N'),(25,6049060,'1',233,'N'),(25,6049060,'1A',216,'N'),(25,6049079,'1',207,'N'),(25,6049079,'1A',201,'N'),(25,6049095,'1',317,'N'),(25,6049109,'1',103,'N'),(25,6049117,'1',103,'N'),(25,6049125,'1',208,'N'),(25,6049125,'1A',238,'N'),(25,6049133,'1',420,'N'),(25,6049141,'1',216,'N'),(25,6049141,'1A',211,'N'),(25,6049150,'1',103,'N'),(25,6049168,'1',336,'N'),(25,6049176,'1',3,'N'),(25,6049184,'1',453,'N'),(25,6049192,'1',327,'N'),(25,6049206,'1',103,'N'),(25,6049222,'1',225,'N'),(25,6049230,'1',108,'N'),(25,6049257,'1',103,'N'),(25,6049273,'1',103,'N'),(25,6049281,'1',103,'N'),(25,6049303,'1',9,'N'),(25,6049311,'1',317,'N'),(25,6049320,'1',317,'N'),(25,6049338,'1',319,'N'),(25,6049346,'1',319,'N'),(25,6049354,'1',103,'N'),(25,6049362,'1',3,'N'),(25,6049370,'1',103,'N'),(25,6049389,'1',303,'N'),(25,6049400,'1',103,'N'),(25,6049419,'1',999,'N'),(25,6049427,'1',316,'N'),(25,6049435,'1',104,'N'),(25,6049443,'1',103,'N'),(25,6049460,'1',103,'N'),(25,6049478,'1',319,'N'),(25,6049486,'1',103,'N'),(25,6049494,'1',502,'N'),(25,6049508,'1',233,'N'),(25,6049508,'1A',213,'N'),(25,6049524,'1',420,'N'),(25,6049532,'1',109,'N'),(25,6049540,'1',207,'N'),(25,6049540,'1A',201,'N'),(25,6049567,'1',103,'N'),(25,6049575,'1',104,'N'),(25,6049583,'1',108,'N'),(25,6049591,'1',302,'N'),(25,6049613,'1',212,'N'),(25,6049613,'1A',201,'N'),(25,6049621,'1',238,'N'),(25,6049621,'1A',208,'N'),(25,6049648,'1',103,'N'),(25,6049656,'1',317,'N'),(25,6049664,'1',404,'N'),(25,6049680,'1',108,'N'),(25,6049699,'1',303,'N'),(25,6049710,'1',320,'N'),(25,6049729,'1',103,'N'),(25,6049745,'1',340,'N'),(25,6049761,'1',303,'N'),(25,6049770,'1',203,'N'),(25,6049770,'1A',235,'N'),(25,6049788,'1',103,'N'),(25,6049796,'1',102,'N'),(25,6049800,'1',103,'N'),(25,6049818,'1',108,'N'),(25,6049826,'1',303,'N'),(25,6049834,'1',452,'N'),(25,6049842,'1',340,'N'),(25,6049850,'1',103,'N'),(25,6049869,'1',211,'N'),(25,6049869,'1A',207,'N'),(25,6049877,'1',207,'N'),(25,6049877,'1A',212,'N'),(25,6049885,'1',211,'N'),(25,6049893,'1',551,'N'),(25,6049915,'1',202,'N'),(25,6049915,'1A',235,'N'),(25,6049923,'1',207,'N'),(25,6049923,'1A',233,'N'),(25,6049931,'1',420,'N'),(25,6049940,'1',103,'N'),(25,6049958,'1',303,'N'),(25,6049966,'1',103,'N'),(25,6049974,'1',317,'N'),(25,6049982,'1',103,'N'),(25,6049990,'1',304,'N'),(25,6050000,'1',318,'N'),(25,6050018,'1',103,'N'),(25,6050034,'1',319,'N'),(25,6050042,'1',101,'N'),(25,6050050,'1',103,'N'),(25,6050077,'1',203,'N'),(25,6050077,'1A',220,'N'),(25,6050107,'1',208,'N'),(25,6050107,'1A',220,'N'),(25,6050115,'1',238,'N'),(25,6050115,'1A',208,'N'),(25,6050123,'1',207,'N'),(25,6050123,'1A',201,'N'),(25,6050131,'1',110,'N'),(25,6050140,'1',340,'N'),(25,6050166,'1',102,'N'),(25,6050174,'1',333,'N'),(25,6050182,'1',340,'N'),(25,6050190,'1',304,'N'),(25,6050204,'1',202,'N'),(25,6050204,'1A',203,'N'),(25,6050212,'1',601,'N'),(25,6050212,'1A',233,'N'),(25,6050220,'1',317,'N'),(25,6050247,'1',429,'N'),(25,6050247,'1A',426,'N'),(25,6050255,'1',104,'N'),(25,6050263,'1',207,'N'),(25,6050263,'1A',201,'N'),(25,6050271,'1',428,'N'),(25,6050271,'1A',425,'N'),(25,6050298,'1',214,'N'),(25,6050298,'1A',201,'N'),(25,6050301,'1',203,'N'),(25,6050301,'1A',601,'N'),(25,6050310,'1',205,'N'),(25,6050336,'1',201,'N'),(25,6050336,'1A',601,'N'),(25,6050360,'1',103,'N'),(25,6050379,'1',331,'N'),(25,6050387,'1',208,'N'),(25,6050395,'1',428,'N'),(25,6050417,'1',304,'N'),(25,6050425,'1',103,'N'),(25,6050433,'1',203,'N'),(25,6050433,'1A',233,'N'),(25,6050441,'1',215,'N'),(25,6050441,'1A',216,'N'),(25,6050450,'1',103,'N'),(25,6050476,'1',202,'N'),(25,6050476,'1A',235,'N'),(25,6050484,'1',601,'N'),(25,6050484,'1A',201,'N'),(25,6050492,'1',235,'N'),(25,6050492,'1A',601,'N'),(25,6050506,'1',444,'N'),(25,6050514,'1',304,'N'),(25,6050522,'1',329,'N'),(25,6050557,'1',415,'N'),(25,6050565,'1',9,'N'),(25,6050573,'1',233,'N'),(25,6050573,'1A',203,'N'),(25,6050581,'1',102,'N'),(25,6050603,'1',214,'N'),(25,6050603,'1A',212,'N'),(25,6050638,'1',104,'N'),(25,6050646,'1',103,'N'),(25,6050654,'1',340,'N'),(25,6050662,'1',444,'N'),(25,6050670,'1',103,'N'),(25,6050697,'1',214,'N'),(25,6050697,'1A',201,'N'),(25,6050700,'1',655,'N'),(25,6050700,'1A',208,'N'),(25,6050719,'1',501,'N'),(25,6050743,'1',101,'N'),(25,6050778,'1',551,'N'),(25,6050786,'1',425,'N'),(25,6050786,'1A',428,'N'),(25,6050816,'1',316,'N'),(25,6050824,'1',335,'N'),(25,6050832,'1',654,'N'),(25,6050840,'1',201,'N'),(25,6050840,'1A',211,'N'),(25,6050859,'1',302,'N'),(25,6050875,'1',308,'N'),(25,6050883,'1',102,'N'),(25,6050891,'1',103,'N'),(25,6050905,'1',103,'N'),(25,6050913,'1',201,'N'),(25,6050913,'1A',212,'N'),(25,6050921,'1',103,'N'),(25,6050948,'1',211,'N'),(25,6050948,'1A',207,'N'),(25,6050964,'1',5,'N'),(25,6050980,'1',420,'N'),(25,6050999,'1',203,'N'),(25,6050999,'1A',201,'N'),(25,6051022,'1',303,'N'),(25,6051030,'1',225,'N'),(25,6051049,'1',551,'N'),(25,6051057,'1',5,'N'),(25,6051065,'1',216,'N'),(25,6051065,'1A',653,'N'),(25,6051081,'1',201,'N'),(25,6051081,'1A',212,'N'),(25,6051090,'1',551,'N'),(25,6051103,'1',101,'N'),(25,6051111,'1',5,'N'),(25,6051120,'1',103,'N'),(25,6051146,'1',103,'N'),(25,6051154,'1',9,'N'),(25,6051170,'1',301,'N'),(25,6051189,'1',318,'N'),(25,6051197,'1',215,'N'),(25,6051197,'1A',652,'N'),(25,6051200,'1',425,'N'),(25,6051200,'1A',421,'N'),(25,6051219,'1',104,'N'),(25,6051227,'1',103,'N'),(25,6051235,'1',104,'N'),(25,6051243,'1',103,'N'),(25,6051251,'1',450,'N'),(25,6051278,'1',103,'N'),(25,6051286,'1',103,'N'),(25,6051308,'1',420,'N'),(25,6051324,'1',238,'N'),(25,6051324,'1A',201,'N'),(25,6051332,'1',103,'N'),(25,6051340,'1',203,'N'),(25,6051340,'1A',655,'N'),(25,6051359,'1',326,'N'),(25,6051367,'1',453,'N'),(25,6051383,'1',453,'N'),(25,6051391,'1',308,'N'),(25,6051405,'1',5,'N'),(25,6051413,'1',103,'N'),(25,6051421,'1',108,'N'),(25,6051430,'1',103,'N'),(25,6051464,'1',233,'N'),(25,6051464,'1A',601,'N'),(25,6051472,'1',316,'N'),(25,6051502,'1',453,'N'),(25,6051510,'1',450,'N'),(25,6051529,'1',333,'N'),(25,6051537,'1',211,'N'),(25,6051537,'1A',235,'N'),(25,6051561,'1',655,'N'),(25,6051561,'1A',652,'N'),(25,6051570,'1',5,'N'),(25,6051588,'1',303,'N'),(25,6051600,'1',207,'N'),(25,6051600,'1A',201,'N'),(25,6051618,'1',451,'N'),(25,6051634,'1',103,'N'),(25,6051650,'1',415,'N'),(25,6051669,'1',450,'N'),(25,6051677,'1',340,'N'),(25,6051693,'1',999,'N'),(25,6051707,'1',654,'N'),(25,6051715,'1',317,'N'),(25,6051723,'1',207,'N'),(25,6051723,'1A',212,'N'),(25,6051731,'1',201,'N'),(25,6051731,'1A',235,'N'),(25,6051740,'1',601,'N'),(25,6051758,'1',208,'N'),(25,6051782,'1',404,'N'),(25,6051790,'1',340,'N'),(25,6051839,'1',104,'N'),(25,6051847,'1',103,'N'),(25,6051855,'1',207,'N'),(25,6051855,'1A',201,'N'),(25,6051863,'1',109,'N'),(25,6051880,'1',212,'N'),(25,6051880,'1A',601,'N'),(25,6051898,'1',211,'N'),(25,6051898,'1A',215,'N'),(25,6051901,'1',338,'N'),(25,6051910,'1',110,'N'),(25,6051928,'1',103,'N'),(25,6051952,'1',207,'N'),(25,6051952,'1A',201,'N'),(25,6051979,'1',332,'N'),(25,6051987,'1',103,'N'),(25,6051995,'1',103,'N'),(25,6052002,'1',653,'N'),(25,6052002,'1A',212,'N'),(25,6052010,'1',103,'N'),(25,6052029,'1',103,'N'),(25,6052045,'1',108,'N'),(25,6052053,'1',319,'N'),(25,6052061,'1',303,'N'),(25,6052070,'1',201,'N'),(25,6052070,'1A',211,'N'),(25,6052096,'1',103,'N'),(25,6052126,'1',212,'N'),(25,6052126,'1A',201,'N'),(25,6052134,'1',103,'N'),(25,6052142,'1',202,'N'),(25,6052142,'1A',235,'N'),(25,6052169,'1',203,'N'),(25,6052169,'1A',214,'N'),(25,6052177,'1',317,'N'),(25,6052185,'1',201,'N'),(25,6052185,'1A',211,'N'),(25,6052193,'1',9,'N'),(25,6052207,'1',224,'N'),(25,6052215,'1',103,'N'),(25,6052223,'1',652,'N'),(25,6052240,'1',310,'N'),(25,6052258,'1',103,'N'),(25,6052266,'1',216,'N'),(25,6052266,'1A',233,'N'),(25,6052274,'1',103,'N'),(25,6052282,'1',201,'N'),(25,6052282,'1A',216,'N'),(25,6052290,'1',220,'N'),(25,6052290,'1A',203,'N'),(25,6052304,'1',404,'N'),(25,6052320,'1',653,'N'),(25,6052320,'1A',652,'N'),(25,6052347,'1',201,'N'),(25,6052347,'1A',207,'N'),(25,6052371,'1',109,'N'),(25,6052398,'1',203,'N'),(25,6052398,'1A',233,'N'),(25,6052401,'1',207,'N'),(25,6052428,'1',201,'N'),(25,6052428,'1A',212,'N'),(25,6052444,'1',316,'N'),(25,6052452,'1',103,'N'),(25,6052460,'1',503,'N'),(25,6052479,'1',202,'N'),(25,6052479,'1A',220,'N'),(25,6052487,'1',309,'N'),(25,6052495,'1',103,'N'),(25,6052517,'1',425,'N'),(25,6052517,'1A',421,'N'),(25,6052525,'1',316,'N'),(25,6052533,'1',103,'N'),(25,6052541,'1',205,'N'),(25,6052568,'1',101,'N'),(25,6052584,'1',5,'N'),(25,6052606,'1',317,'N'),(25,6052614,'1',103,'N'),(25,6052622,'1',340,'N'),(25,6052630,'1',234,'N'),(25,6052649,'1',103,'N'),(25,6052657,'1',103,'N'),(25,6052665,'1',319,'N'),(25,6052673,'1',103,'N'),(25,6052681,'1',103,'N'),(25,6052711,'1',103,'N'),(25,6052720,'1',415,'N'),(25,6052754,'1',999,'N'),(25,6052762,'1',332,'N'),(25,6052770,'1',326,'N'),(25,6052789,'1',108,'N'),(25,6052800,'1',216,'N'),(25,6052800,'1A',211,'N'),(25,6052819,'1',324,'N'),(25,6052827,'1',326,'N'),(25,6052835,'1',207,'N'),(25,6052835,'1A',201,'N'),(25,6052843,'1',103,'N'),(25,6052851,'1',201,'N'),(25,6052851,'1A',653,'N'),(25,6052860,'1',211,'N'),(25,6052860,'1A',653,'N'),(25,6052878,'1',103,'N'),(25,6052886,'1',207,'N'),(25,6052886,'1A',201,'N'),(25,6052894,'1',415,'N'),(25,6052916,'1',203,'N'),(25,6052916,'1A',213,'N'),(25,6052932,'1',109,'N'),(25,6052940,'1',303,'N'),(25,6052959,'1',216,'N'),(25,6052959,'1A',233,'N'),(25,6052967,'1',415,'N'),(25,6052975,'1',216,'N'),(25,6052975,'1A',211,'N'),(25,6052983,'1',216,'N'),(25,6052983,'1A',235,'N'),(25,6052991,'1',108,'N'),(25,6053009,'1',102,'N'),(25,6053017,'1',216,'N'),(25,6053025,'1',207,'N'),(25,6053025,'1A',215,'N'),(25,6053041,'1',999,'N'),(25,6053068,'1',220,'N'),(25,6053068,'1A',601,'N'),(25,6053076,'1',207,'N'),(25,6053084,'1',102,'N'),(25,6053114,'1',215,'N'),(25,6053114,'1A',212,'N'),(25,6053122,'1',336,'N'),(25,6053130,'1',203,'N'),(25,6053130,'1A',220,'N'),(25,6053149,'1',201,'N'),(25,6053149,'1A',212,'N'),(25,6053165,'1',102,'N'),(25,6053173,'1',108,'N'),(25,6053181,'1',208,'N'),(25,6053181,'1A',238,'N'),(25,6053190,'1',329,'N'),(25,6053203,'1',5,'N'),(25,6053211,'1',104,'N'),(25,6053220,'1',319,'N'),(25,6053238,'1',207,'N'),(25,6053238,'1A',201,'N'),(25,6053246,'1',653,'N'),(25,6053246,'1A',652,'N'),(25,6053270,'1',103,'N'),(25,6053289,'1',327,'N'),(25,6053297,'1',3,'N'),(25,6053319,'1',110,'N'),(25,6053327,'1',103,'N'),(25,6053335,'1',207,'N'),(25,6053343,'1',103,'N'),(25,6053351,'1',103,'N'),(25,6053360,'1',201,'N'),(25,6053360,'1A',212,'N'),(25,6053378,'1',103,'N'),(25,6053386,'1',316,'N'),(25,6053394,'1',999,'N'),(25,6053408,'1',103,'N'),(25,6053416,'1',211,'N'),(25,6053416,'1A',212,'N'),(25,6053424,'1',103,'N'),(25,6053432,'1',103,'N'),(25,6053459,'1',201,'N'),(25,6053459,'1A',216,'N'),(25,6053467,'1',207,'N'),(25,6053467,'1A',212,'N'),(25,6053475,'1',319,'N'),(25,6053483,'1',212,'N'),(25,6053483,'1A',213,'N'),(25,6053491,'1',201,'N'),(25,6053491,'1A',211,'N'),(25,6053505,'1',201,'N'),(25,6053505,'1A',211,'N'),(25,6053513,'1',999,'N'),(25,6053521,'1',451,'N'),(25,6053530,'1',317,'N'),(25,6053548,'1',103,'N'),(25,6053564,'1',103,'N'),(25,6053572,'1',5,'N'),(25,6053580,'1',9,'N'),(25,6053599,'1',319,'N'),(25,6053602,'1',103,'N'),(25,6053629,'1',319,'N'),(25,6053637,'1',202,'N'),(25,6053645,'1',324,'N'),(25,6053653,'1',304,'N'),(25,6053661,'1',103,'N'),(25,6053670,'1',103,'N'),(25,6053696,'1',201,'N'),(25,6053696,'1A',207,'N'),(25,6053700,'1',303,'N'),(25,6053718,'1',301,'N'),(25,6053726,'1',601,'N'),(25,6053726,'1A',238,'N'),(25,6053734,'1',103,'N'),(25,6053742,'1',216,'N'),(25,6053742,'1A',212,'N'),(25,6053750,'1',453,'N'),(25,6053769,'1',319,'N'),(25,6053777,'1',654,'N'),(25,6053785,'1',103,'N'),(25,6053793,'1',340,'N'),(25,6053807,'1',654,'N'),(25,6053815,'1',5,'N'),(25,6053840,'1',103,'N'),(25,6053866,'1',110,'N'),(25,6053874,'1',103,'N'),(25,6053882,'1',207,'N'),(25,6053890,'1',502,'N'),(25,6053904,'1',9,'N'),(25,6053912,'1',103,'N'),(25,6053939,'1',103,'N'),(25,6053947,'1',103,'N'),(25,6053955,'1',201,'N'),(25,6053955,'1A',212,'N'),(25,6053963,'1',102,'N'),(25,6053971,'1',601,'N'),(25,6053971,'1A',235,'N'),(25,6053980,'1',207,'N'),(25,6053998,'1',340,'N'),(25,6054013,'1',319,'N'),(25,6054021,'1',654,'N'),(25,6054030,'1',301,'N'),(25,6054048,'1',103,'N'),(25,6054056,'1',203,'N'),(25,6054056,'1A',214,'N'),(25,6054064,'1',104,'N'),(25,6054080,'1',203,'N'),(25,6054080,'1A',216,'N'),(25,6054102,'1',303,'N'),(25,6054110,'1',415,'N'),(25,6054129,'1',201,'N'),(25,6054137,'1',308,'N'),(25,6054145,'1',319,'N'),(25,6054161,'1',301,'N'),(25,6054170,'1',332,'N'),(25,6054188,'1',337,'N'),(25,6054196,'1',103,'N'),(25,6054200,'1',207,'N'),(25,6054200,'1A',201,'N'),(25,6054218,'1',203,'N'),(25,6054218,'1A',220,'N'),(25,6054226,'1',203,'N'),(25,6054226,'1A',202,'N'),(25,6054234,'1',203,'N'),(25,6054234,'1A',216,'N'),(25,6054242,'1',303,'N'),(25,6054250,'1',207,'N'),(25,6054250,'1A',201,'N'),(25,6054285,'1',103,'N'),(25,6054293,'1',103,'N'),(25,6054307,'1',301,'N'),(25,6054323,'1',304,'N'),(25,6054331,'1',103,'N'),(25,6054340,'1',450,'N'),(25,6054358,'1',420,'N'),(25,6054366,'1',103,'N'),(25,6054374,'1',108,'N'),(25,6054382,'1',303,'N'),(25,6054390,'1',201,'N'),(25,6054390,'1A',220,'N'),(25,6054404,'1',301,'N'),(25,6054412,'1',103,'N'),(25,6054420,'1',301,'N'),(25,6054439,'1',207,'N'),(25,6054439,'1A',220,'N'),(25,6054447,'1',103,'N'),(25,6054463,'1',103,'N'),(25,6054471,'1',420,'N'),(25,6054480,'1',103,'N'),(25,6054498,'1',329,'N'),(25,6054501,'1',103,'N'),(25,6054510,'1',333,'N'),(25,6054536,'1',319,'N'),(25,6054544,'1',103,'N'),(25,6054552,'1',601,'N'),(25,6054560,'1',203,'N'),(25,6054579,'1',319,'N'),(25,6054587,'1',211,'N'),(25,6054587,'1A',207,'N'),(25,6054595,'1',452,'N'),(25,6054609,'1',110,'N'),(25,6054617,'1',453,'N'),(25,6054633,'1',201,'N'),(25,6054633,'1A',212,'N'),(25,6054641,'1',103,'N'),(25,6054668,'1',340,'N'),(25,6054676,'1',316,'N'),(25,6054684,'1',103,'N'),(25,6054692,'1',5,'N'),(25,6054706,'1',999,'N'),(25,6054714,'1',103,'N'),(25,6054722,'1',233,'N'),(25,6054722,'1A',207,'N'),(25,6054730,'1',415,'N'),(25,6054749,'1',225,'N'),(25,6054757,'1',233,'N'),(25,6054757,'1A',215,'N'),(25,6054765,'1',103,'N'),(25,6054773,'1',326,'N'),(25,6054781,'1',108,'N'),(25,6054790,'1',420,'N'),(25,6054803,'1',238,'N'),(25,6054803,'1A',208,'N'),(25,6054811,'1',320,'N'),(25,6054820,'1',208,'N'),(25,6054846,'1',103,'N'),(25,6054854,'1',201,'N'),(25,6054854,'1A',207,'N'),(25,6054862,'1',652,'N'),(25,6054862,'1A',655,'N'),(25,6054889,'1',5,'N'),(25,6054900,'1',303,'N'),(25,6054919,'1',103,'N'),(25,6054927,'1',109,'N'),(25,6054943,'1',601,'N'),(25,6054943,'1A',201,'N'),(25,6054951,'1',340,'N'),(25,6054960,'1',404,'N'),(25,6054986,'1',211,'N'),(25,6054986,'1A',212,'N'),(25,6054994,'1',207,'N'),(25,6054994,'1A',238,'N'),(25,6055001,'1',420,'N'),(25,6055028,'1',103,'N'),(25,6055036,'1',999,'N'),(25,6055044,'1',103,'N'),(25,6055060,'1',207,'N'),(25,6055060,'1A',201,'N'),(25,6055079,'1',102,'N'),(25,6055087,'1',216,'N'),(25,6055087,'1A',233,'N'),(25,6055109,'1',104,'N'),(25,6055117,'1',415,'N'),(25,6055125,'1',333,'N'),(25,6055141,'1',103,'N'),(25,6055150,'1',103,'N'),(25,6055176,'1',103,'N'),(25,6055184,'1',103,'N'),(25,6055192,'1',103,'N'),(25,6055214,'1',103,'N'),(25,6055222,'1',999,'N'),(25,6055249,'1',207,'N'),(25,6055249,'1A',211,'N'),(25,6055273,'1',5,'N'),(25,6055281,'1',103,'N'),(25,6055290,'1',103,'N'),(25,6055303,'1',340,'N'),(25,6055311,'1',653,'N'),(25,6055311,'1A',655,'N'),(25,6055320,'1',9,'N'),(25,6055338,'1',103,'N'),(25,6055346,'1',999,'N'),(25,6055354,'1',201,'N'),(25,6055354,'1A',202,'N'),(25,6055362,'1',103,'N'),(25,6055389,'1',452,'N'),(25,6055397,'1',201,'N'),(25,6055397,'1A',212,'N'),(25,6055400,'1',214,'N'),(25,6055400,'1A',213,'N'),(25,6055419,'1',404,'N'),(25,6055427,'1',201,'N'),(25,6055427,'1A',212,'N'),(25,6055435,'1',319,'N'),(25,6055443,'1',102,'N'),(25,6055451,'1',103,'N'),(25,6055460,'1',5,'N'),(25,6055478,'1',103,'N'),(25,6055486,'1',103,'N'),(25,6055494,'1',208,'N'),(25,6055494,'1A',202,'N'),(25,6055508,'1',207,'N'),(25,6055508,'1A',212,'N'),(25,6055516,'1',201,'N'),(25,6055516,'1A',208,'N'),(25,6055532,'1',319,'N'),(25,6055559,'1',404,'N'),(25,6055567,'1',103,'N'),(25,6055575,'1',103,'N'),(25,6055591,'1',104,'N'),(25,6055605,'1',201,'N'),(25,6055605,'1A',203,'N'),(25,6055613,'1',308,'N'),(25,6055621,'1',336,'N'),(25,6055630,'1',340,'N'),(25,6055656,'1',427,'N'),(25,6055656,'1A',424,'N'),(25,6055664,'1',203,'N'),(25,6055664,'1A',202,'N'),(25,6055672,'1',501,'N'),(25,6055680,'1',452,'N'),(25,6055699,'1',220,'N'),(25,6055699,'1A',203,'N'),(25,6055702,'1',5,'N'),(25,6055710,'1',103,'N'),(25,6055729,'1',301,'N'),(25,6055737,'1',216,'N'),(25,6055737,'1A',233,'N'),(25,6055745,'1',103,'N'),(25,6055753,'1',415,'N'),(25,6055761,'1',103,'N'),(25,6055770,'1',999,'N'),(25,6055796,'1',103,'N'),(25,6055800,'1',601,'N'),(25,6055800,'1A',203,'N'),(25,6055818,'1',103,'N'),(25,6055826,'1',654,'N'),(25,6055834,'1',317,'N'),(25,6055842,'1',103,'N'),(25,6055850,'1',601,'N'),(25,6055850,'1A',203,'N'),(25,6055869,'1',108,'N'),(25,6055877,'1',316,'N'),(25,6055885,'1',103,'N'),(25,6055893,'1',303,'N'),(25,6055907,'1',5,'N'),(25,6055915,'1',451,'N'),(25,6055923,'1',234,'N'),(25,6055931,'1',303,'N'),(25,6055940,'1',103,'N'),(25,6055958,'1',216,'N'),(25,6055958,'1A',220,'N'),(25,6055966,'1',319,'N'),(25,6055974,'1',502,'N'),(25,6055982,'1',208,'N'),(25,6055982,'1A',220,'N'),(25,6055990,'1',333,'N'),(25,6056008,'1',340,'N'),(25,6056024,'1',103,'N'),(25,6056032,'1',340,'N'),(25,6056040,'1',999,'N'),(25,6056059,'1',103,'N'),(25,6056067,'1',201,'N'),(25,6056067,'1A',202,'N'),(25,6056075,'1',202,'N'),(25,6056075,'1A',213,'N'),(25,6056083,'1',451,'N'),(25,6056091,'1',301,'N'),(25,6056105,'1',216,'N'),(25,6056105,'1A',202,'N'),(25,6056113,'1',103,'N'),(25,6056121,'1',103,'N'),(25,6056130,'1',238,'N'),(25,6056130,'1A',208,'N'),(25,6056148,'1',9,'N'),(25,6056156,'1',109,'N'),(25,6056164,'1',103,'N'),(25,6056172,'1',316,'N'),(25,6056180,'1',320,'N'),(25,6056199,'1',652,'N'),(25,6056199,'1A',655,'N'),(25,6056229,'1',103,'N'),(25,6056237,'1',333,'N'),(25,6056253,'1',103,'N'),(25,6056261,'1',203,'N'),(25,6056261,'1A',214,'N'),(25,6056270,'1',426,'N'),(25,6056270,'1A',423,'N'),(25,6056288,'1',999,'N'),(25,6056296,'1',103,'N'),(25,6056300,'1',103,'N'),(25,6056318,'1',207,'N'),(25,6056318,'1A',233,'N'),(25,6056326,'1',303,'N'),(25,6056334,'1',214,'N'),(25,6056334,'1A',213,'N'),(25,6056342,'1',303,'N'),(25,6056350,'1',5,'N'),(25,6056369,'1',303,'N'),(25,6056385,'1',303,'N'),(25,6056415,'1',203,'N'),(25,6056415,'1A',201,'N'),(25,6056440,'1',303,'N'),(25,6056458,'1',452,'N'),(25,6056466,'1',103,'N'),(25,6056474,'1',318,'N'),(25,6056482,'1',332,'N'),(25,6056504,'1',212,'N'),(25,6056504,'1A',601,'N'),(25,6056512,'1',220,'N'),(25,6056512,'1A',203,'N'),(25,6056520,'1',215,'N'),(25,6056520,'1A',202,'N'),(25,6056547,'1',999,'N'),(25,6056555,'1',207,'N'),(25,6056555,'1A',233,'N'),(25,6056563,'1',601,'N'),(25,6056563,'1A',202,'N'),(25,6056571,'1',103,'N'),(25,6056580,'1',207,'N'),(25,6056580,'1A',201,'N'),(25,6056598,'1',336,'N'),(25,6056601,'1',103,'N'),(25,6056628,'1',207,'N'),(25,6056628,'1A',201,'N'),(25,6056636,'1',503,'N'),(25,6056644,'1',340,'N'),(25,6056660,'1',303,'N'),(25,6056679,'1',103,'N'),(25,6056687,'1',302,'N'),(25,6056695,'1',420,'N'),(25,6056709,'1',103,'N'),(25,6056717,'1',202,'N'),(25,6056717,'1A',601,'N'),(25,6056725,'1',317,'N'),(25,6056741,'1',415,'N'),(25,6056750,'1',653,'N'),(25,6056750,'1A',202,'N'),(25,6056768,'1',103,'N'),(25,6056784,'1',104,'N'),(25,6056792,'1',425,'N'),(25,6056792,'1A',429,'N'),(25,6056806,'1',333,'N'),(25,6056814,'1',103,'N'),(25,6056822,'1',108,'N'),(25,6056830,'1',104,'N'),(25,6056857,'1',303,'N'),(25,6056865,'1',9,'N'),(25,6056873,'1',316,'N'),(25,6056881,'1',320,'N'),(25,6056903,'1',220,'N'),(25,6056903,'1A',203,'N'),(25,6056920,'1',340,'N'),(25,6056938,'1',452,'N'),(25,6056946,'1',999,'N'),(25,6056954,'1',103,'N'),(25,6056962,'1',999,'N'),(25,6056989,'1',103,'N'),(25,6056997,'1',999,'N'),(25,6057012,'1',202,'N'),(25,6057020,'1',101,'N'),(25,6057039,'1',304,'N'),(25,6057071,'1',444,'N'),(25,6057098,'1',108,'N'),(25,6057101,'1',452,'N'),(25,6057128,'1',450,'N'),(25,6057136,'1',108,'N'),(25,6057144,'1',336,'N'),(25,6057160,'1',302,'N'),(25,6057179,'1',202,'N'),(25,6057179,'1A',213,'N'),(25,6057187,'1',426,'N'),(25,6057187,'1A',424,'N'),(25,6057195,'1',319,'N'),(25,6057209,'1',212,'N'),(25,6057209,'1A',214,'N'),(25,6057217,'1',319,'N'),(25,6057225,'1',109,'N'),(25,6057241,'1',303,'N'),(25,6057250,'1',103,'N'),(25,6057276,'1',207,'N'),(25,6057276,'1A',201,'N'),(25,6057284,'1',212,'N'),(25,6057284,'1A',213,'N'),(25,6057292,'1',203,'N'),(25,6057292,'1A',202,'N'),(25,6057306,'1',452,'N'),(25,6057314,'1',201,'N'),(25,6057314,'1A',235,'N'),(25,6057322,'1',207,'N'),(25,6057322,'1A',201,'N'),(25,6057349,'1',103,'N'),(25,6057373,'1',234,'N'),(25,6057381,'1',233,'N'),(25,6057381,'1A',216,'N'),(25,6057390,'1',340,'N'),(25,6057403,'1',340,'N'),(25,6057411,'1',201,'N'),(25,6057411,'1A',214,'N'),(25,6057420,'1',103,'N'),(25,6057438,'1',450,'N'),(25,6057446,'1',302,'N'),(25,6057454,'1',103,'N'),(25,6057470,'1',999,'N'),(25,6057489,'1',103,'N'),(25,6057497,'1',310,'N'),(25,6057500,'1',303,'N'),(25,6057519,'1',336,'N'),(25,6057527,'1',201,'N'),(25,6057527,'1A',211,'N'),(25,6057535,'1',999,'N'),(25,6057543,'1',340,'N'),(25,6057551,'1',655,'N'),(25,6057560,'1',333,'N'),(25,6057578,'1',220,'N'),(25,6057578,'1A',201,'N'),(25,6057586,'1',303,'N'),(25,6057594,'1',415,'N'),(25,6057608,'1',104,'N'),(25,6057616,'1',214,'N'),(25,6057616,'1A',212,'N'),(25,6057624,'1',316,'N'),(25,6057632,'1',214,'N'),(25,6057632,'1A',215,'N'),(25,6057640,'1',203,'N'),(25,6057640,'1A',201,'N'),(25,6057683,'1',304,'N'),(25,6057691,'1',601,'N'),(25,6057691,'1A',214,'N'),(25,6057705,'1',103,'N'),(25,6057713,'1',202,'N'),(25,6057713,'1A',235,'N'),(25,6057721,'1',104,'N'),(25,6057730,'1',220,'N'),(25,6057730,'1A',203,'N'),(25,6057748,'1',212,'N'),(25,6057748,'1A',202,'N'),(25,6057764,'1',5,'N'),(25,6057780,'1',103,'N'),(25,6057799,'1',207,'N'),(25,6057799,'1A',201,'N'),(25,6057802,'1',103,'N'),(25,6057810,'1',999,'N'),(25,6057845,'1',103,'N'),(25,6057853,'1',652,'N'),(25,6057853,'1A',655,'N'),(25,6057861,'1',999,'N'),(25,6057870,'1',502,'N'),(25,6057888,'1',216,'N'),(25,6057888,'1A',215,'N'),(25,6057896,'1',103,'N'),(25,6057900,'1',337,'N'),(25,6057918,'1',319,'N'),(25,6057926,'1',214,'N'),(25,6057934,'1',340,'N'),(25,6057942,'1',101,'N'),(25,6057950,'1',103,'N'),(25,6057969,'1',428,'N'),(25,6057969,'1A',421,'N'),(25,6057977,'1',104,'N'),(25,6057985,'1',202,'N'),(25,6057993,'1',2,'N'),(25,6058000,'1',5,'N'),(25,6058027,'1',655,'N'),(25,6058027,'1A',653,'N'),(25,6058035,'1',203,'N'),(25,6058035,'1A',214,'N'),(25,6058043,'1',108,'N'),(25,6058051,'1',103,'N'),(25,6058060,'1',103,'N'),(25,6058078,'1',333,'N'),(25,6058086,'1',415,'N'),(25,6058094,'1',203,'N'),(25,6058094,'1A',220,'N'),(25,6058108,'1',303,'N'),(25,6058116,'1',103,'N'),(25,6058124,'1',201,'N'),(25,6058124,'1A',203,'N'),(25,6058132,'1',103,'N'),(25,6058159,'1',208,'N'),(25,6058159,'1A',238,'N'),(25,6058167,'1',319,'N'),(25,6058175,'1',302,'N'),(25,6058183,'1',5,'N'),(25,6058191,'1',415,'N'),(25,6058205,'1',103,'N'),(25,6058213,'1',326,'N'),(25,6058221,'1',653,'N'),(25,6058230,'1',211,'N'),(25,6058230,'1A',213,'N'),(25,6058248,'1',224,'N'),(25,6058272,'1',104,'N'),(25,6058299,'1',203,'N'),(25,6058299,'1A',233,'N'),(25,6058302,'1',220,'N'),(25,6058302,'1A',655,'N'),(25,6058329,'1',103,'N'),(25,6058345,'1',103,'N'),(25,6058353,'1',103,'N'),(25,6058370,'1',415,'N'),(25,6058388,'1',103,'N'),(25,6058400,'1',103,'N'),(25,6058426,'1',213,'N'),(25,6058426,'1A',235,'N'),(25,6058434,'1',303,'N'),(25,6058442,'1',201,'N'),(25,6058442,'1A',208,'N'),(25,6058450,'1',203,'N'),(25,6058469,'1',207,'N'),(25,6058469,'1A',201,'N'),(25,6058477,'1',203,'N'),(25,6058477,'1A',233,'N'),(25,6058507,'1',303,'N'),(25,6058515,'1',999,'N'),(25,6058523,'1',202,'N'),(25,6058523,'1A',235,'N'),(25,6058531,'1',109,'N'),(25,6058540,'1',421,'N'),(25,6058540,'1A',428,'N'),(25,6058558,'1',415,'N'),(25,6058566,'1',303,'N'),(25,6058582,'1',103,'N'),(25,6058590,'1',303,'N'),(25,6058612,'1',601,'N'),(25,6058620,'1',9,'N'),(25,6058639,'1',999,'N'),(25,6058647,'1',203,'N'),(25,6058647,'1A',233,'N'),(25,6058655,'1',235,'N'),(25,6058655,'1A',202,'N'),(25,6058663,'1',235,'N'),(25,6058663,'1A',220,'N'),(25,6058671,'1',203,'N'),(25,6058671,'1A',201,'N'),(25,6058701,'1',303,'N'),(25,6058710,'1',652,'N'),(25,6058710,'1A',653,'N'),(25,6058728,'1',301,'N'),(25,6058744,'1',101,'N'),(25,6058760,'1',103,'N'),(25,6058779,'1',207,'N'),(25,6058787,'1',601,'N'),(25,6058787,'1A',203,'N'),(25,6058795,'1',420,'N'),(25,6058817,'1',108,'N'),(25,6058833,'1',424,'N'),(25,6058833,'1A',428,'N'),(25,6058850,'1',303,'N'),(25,6058868,'1',326,'N'),(25,6058876,'1',103,'N'),(25,6058884,'1',103,'N'),(25,6058892,'1',303,'N'),(25,6058914,'1',308,'N'),(25,6058922,'1',339,'N'),(25,6058930,'1',551,'N'),(25,6058949,'1',104,'N'),(25,6058957,'1',214,'N'),(25,6058957,'1A',212,'N'),(25,6058965,'1',238,'N'),(25,6058965,'1A',235,'N'),(25,6058981,'1',216,'N'),(25,6058981,'1A',202,'N'),(25,6058990,'1',319,'N'),(25,6059015,'1',301,'N'),(25,6059023,'1',501,'N'),(25,6059031,'1',415,'N'),(25,6059040,'1',103,'N'),(25,6059058,'1',214,'N'),(25,6059058,'1A',601,'N'),(25,6059066,'1',102,'N'),(25,6059074,'1',601,'N'),(25,6059074,'1A',220,'N'),(25,6059082,'1',235,'N'),(25,6059082,'1A',202,'N'),(25,6059104,'1',103,'N'),(25,6059112,'1',340,'N'),(25,6059120,'1',331,'N'),(25,6059139,'1',319,'N'),(25,6059147,'1',5,'N'),(25,6059171,'1',216,'N'),(25,6059180,'1',208,'N'),(25,6059198,'1',104,'N'),(25,6059201,'1',203,'N'),(25,6059201,'1A',202,'N'),(25,6059210,'1',201,'N'),(25,6059228,'1',999,'N'),(25,6059236,'1',304,'N'),(25,6059244,'1',201,'N'),(25,6059252,'1',444,'N'),(25,6059260,'1',103,'N'),(25,6059279,'1',303,'N'),(25,6059287,'1',207,'N'),(25,6059287,'1A',653,'N'),(25,6059295,'1',453,'N'),(25,6059309,'1',415,'N'),(25,6059317,'1',340,'N'),(25,6059325,'1',207,'N'),(25,6059341,'1',201,'N'),(25,6059341,'1A',212,'N'),(25,6059350,'1',415,'N'),(25,6059368,'1',108,'N'),(25,6059376,'1',103,'N'),(25,6059384,'1',420,'N'),(25,6059392,'1',203,'N'),(25,6059392,'1A',653,'N'),(25,6059406,'1',207,'N'),(25,6059414,'1',212,'N'),(25,6059414,'1A',201,'N'),(25,6059422,'1',444,'N'),(25,6059430,'1',415,'N'),(25,6059449,'1',203,'N'),(25,6059449,'1A',233,'N'),(25,6059457,'1',501,'N'),(25,6059465,'1',333,'N'),(25,6059473,'1',207,'N'),(25,6059473,'1A',212,'N'),(25,6059503,'1',103,'N'),(25,6059511,'1',109,'N'),(25,6059520,'1',207,'N'),(25,6059538,'1',303,'N'),(25,6059546,'1',103,'N'),(25,6059554,'1',207,'N'),(25,6059562,'1',103,'N'),(25,6059570,'1',103,'N'),(25,6059589,'1',110,'N'),(25,6059597,'1',103,'N'),(25,6059600,'1',453,'N'),(25,6059619,'1',450,'N'),(25,6059627,'1',340,'N'),(25,6059635,'1',303,'N'),(25,6059651,'1',203,'N'),(25,6059651,'1A',202,'N'),(25,6059678,'1',999,'N'),(25,6059686,'1',319,'N'),(25,6059694,'1',101,'N'),(25,6059716,'1',103,'N'),(25,6059724,'1',104,'N'),(25,6059732,'1',103,'N'),(25,6059740,'1',104,'N'),(25,6059759,'1',201,'N'),(25,6059759,'1A',212,'N'),(25,6059767,'1',104,'N'),(25,6059775,'1',103,'N'),(25,6059783,'1',103,'N'),(25,6059791,'1',340,'N'),(25,6059805,'1',303,'N'),(25,6059830,'1',333,'N'),(25,6059848,'1',102,'N'),(25,6059856,'1',999,'N'),(25,6059864,'1',303,'N'),(25,6059872,'1',103,'N'),(25,6059880,'1',203,'N'),(25,6059880,'1A',601,'N'),(25,6059899,'1',5,'N'),(25,6059929,'1',999,'N'),(25,6059937,'1',207,'N'),(25,6059937,'1A',201,'N'),(25,6059945,'1',340,'N'),(25,6059953,'1',211,'N'),(25,6059953,'1A',601,'N'),(25,6059961,'1',304,'N'),(25,6059970,'1',601,'N'),(25,6059970,'1A',653,'N'),(25,6059988,'1',340,'N'),(25,6060005,'1',202,'N'),(25,6060005,'1A',235,'N'),(25,6060013,'1',999,'N'),(25,6060021,'1',654,'N'),(25,6060030,'1',103,'N'),(25,6060048,'1',104,'N'),(25,6060056,'1',103,'N'),(25,6060064,'1',224,'N'),(25,6060072,'1',103,'N'),(25,6060080,'1',428,'N'),(25,6060080,'1A',426,'N'),(25,6060099,'1',420,'N'),(25,6060102,'1',319,'N'),(25,6060110,'1',5,'N'),(25,6060129,'1',103,'N'),(25,6060137,'1',103,'N'),(25,6060145,'1',319,'N'),(25,6060153,'1',103,'N'),(25,6060161,'1',104,'N'),(25,6060170,'1',335,'N'),(25,6060188,'1',103,'N'),(25,6060200,'1',404,'N'),(25,6060218,'1',999,'N'),(25,6060226,'1',103,'N'),(25,6060234,'1',103,'N'),(25,6060242,'1',102,'N'),(25,6060250,'1',102,'N'),(25,6060269,'1',201,'N'),(25,6060269,'1A',202,'N'),(25,6060277,'1',340,'N'),(25,6060285,'1',103,'N'),(25,6060307,'1',303,'N'),(25,6060315,'1',452,'N'),(25,6060323,'1',238,'N'),(25,6060323,'1A',207,'N'),(25,6060331,'1',319,'N'),(25,6060340,'1',103,'N'),(25,6060366,'1',103,'N'),(25,6060374,'1',5,'N'),(25,6060382,'1',104,'N'),(25,6060390,'1',103,'N'),(25,6060404,'1',201,'N'),(25,6060404,'1A',203,'N'),(25,6060412,'1',103,'N'),(25,6060420,'1',103,'N'),(25,6060447,'1',103,'N'),(25,6060455,'1',103,'N'),(25,6060463,'1',104,'N'),(25,6060471,'1',319,'N'),(25,6060480,'1',103,'N'),(25,6060498,'1',103,'N'),(25,6060501,'1',336,'N'),(25,6060510,'1',103,'N'),(25,6060528,'1',308,'N'),(25,6060536,'1',551,'N'),(25,6060552,'1',104,'N'),(25,6060560,'1',102,'N'),(25,6060587,'1',216,'N'),(25,6060587,'1A',220,'N'),(25,6060617,'1',208,'N'),(25,6060617,'1A',216,'N'),(25,6060625,'1',201,'N'),(25,6060625,'1A',212,'N'),(25,6060633,'1',201,'N'),(25,6060633,'1A',207,'N'),(25,6060641,'1',103,'N'),(25,6060650,'1',103,'N'),(25,6060668,'1',502,'N'),(25,6060676,'1',103,'N'),(25,6060684,'1',222,'N'),(25,6060692,'1',420,'N'),(25,6060706,'1',205,'N'),(25,6060714,'1',216,'N'),(25,6060714,'1A',215,'N'),(25,6060730,'1',108,'N'),(25,6060749,'1',214,'N'),(25,6060749,'1A',213,'N'),(25,6060757,'1',103,'N'),(25,6060773,'1',109,'N'),(25,6060781,'1',428,'N'),(25,6060781,'1A',425,'N'),(25,6060790,'1',103,'N'),(25,6060811,'1',103,'N'),(25,6060820,'1',999,'N'),(25,6060838,'1',201,'N'),(25,6060838,'1A',601,'N'),(25,6060846,'1',5,'N'),(25,6060854,'1',103,'N'),(25,6060862,'1',203,'N'),(25,6060862,'1A',201,'N'),(25,6060870,'1',452,'N'),(25,6060889,'1',999,'N'),(25,6060897,'1',103,'N'),(25,6060900,'1',999,'N'),(25,6060919,'1',301,'N'),(25,6060935,'1',103,'N'),(25,6060943,'1',319,'N'),(25,6060960,'1',503,'N'),(25,6060978,'1',220,'N'),(25,6060978,'1A',238,'N'),(25,6060986,'1',103,'N'),(25,6060994,'1',103,'N'),(25,6061001,'1',216,'N'),(25,6061001,'1A',601,'N'),(25,6061010,'1',202,'N'),(25,6061010,'1A',201,'N'),(25,6061028,'1',207,'N'),(25,6061028,'1A',201,'N'),(25,6061036,'1',423,'N'),(25,6061036,'1A',428,'N'),(25,6061044,'1',103,'N'),(25,6061052,'1',2,'N'),(25,6061060,'1',211,'N'),(25,6061060,'1A',216,'N'),(25,6061079,'1',207,'N'),(25,6061079,'1A',201,'N'),(25,6061087,'1',415,'N'),(25,6061095,'1',103,'N'),(25,6061109,'1',212,'N'),(25,6061109,'1A',233,'N'),(25,6061117,'1',319,'N'),(25,6061133,'1',316,'N'),(25,6061150,'1',203,'N'),(25,6061150,'1A',233,'N'),(25,6061168,'1',214,'N'),(25,6061168,'1A',233,'N'),(25,6061184,'1',216,'N'),(25,6061184,'1A',233,'N'),(25,6061192,'1',103,'N'),(25,6061206,'1',317,'N'),(25,6061222,'1',319,'N'),(25,6061230,'1',303,'N'),(25,6061257,'1',303,'N'),(25,6061265,'1',103,'N'),(25,6061273,'1',5,'N'),(25,6061281,'1',420,'N'),(25,6061303,'1',103,'N'),(25,6061311,'1',238,'N'),(25,6061311,'1A',233,'N'),(25,6061320,'1',103,'N'),(25,6061338,'1',303,'N'),(25,6061346,'1',5,'N'),(25,6061354,'1',108,'N'),(25,6061362,'1',420,'N'),(25,6061370,'1',215,'N'),(25,6061370,'1A',653,'N'),(25,6061389,'1',319,'N'),(25,6061397,'1',601,'N'),(25,6061397,'1A',212,'N'),(25,6061400,'1',202,'N'),(25,6061435,'1',655,'N'),(25,6061435,'1A',653,'N'),(25,6061443,'1',104,'N'),(25,6061478,'1',303,'N'),(25,6061494,'1',340,'N'),(25,6061508,'1',502,'N'),(25,6061516,'1',103,'N'),(25,6061524,'1',201,'N'),(25,6061532,'1',501,'N'),(25,6061540,'1',103,'N'),(25,6061559,'1',5,'N'),(25,6061583,'1',653,'N'),(25,6061583,'1A',655,'N'),(25,6061591,'1',103,'N'),(25,6061605,'1',211,'N'),(25,6061605,'1A',213,'N'),(25,6061613,'1',103,'N'),(25,6061621,'1',103,'N'),(25,6061630,'1',203,'N'),(25,6061630,'1A',214,'N'),(25,6061664,'1',999,'N'),(25,6061672,'1',202,'N'),(25,6061672,'1A',213,'N'),(25,6061680,'1',103,'N'),(25,6061710,'1',110,'N'),(25,6061729,'1',103,'N'),(25,6061737,'1',999,'N'),(25,6061745,'1',225,'N'),(25,6061753,'1',203,'N'),(25,6061753,'1A',233,'N'),(25,6061770,'1',303,'N'),(25,6061788,'1',201,'N'),(25,6061788,'1A',203,'N'),(25,6061800,'1',103,'N'),(25,6061818,'1',320,'N'),(25,6061834,'1',103,'N'),(25,6061850,'1',444,'N'),(25,6061869,'1',203,'N'),(25,6061869,'1A',214,'N'),(25,6061885,'1',214,'N'),(25,6061885,'1A',212,'N'),(25,6061893,'1',653,'N'),(25,6061893,'1A',215,'N'),(25,6061907,'1',211,'N'),(25,6061907,'1A',201,'N'),(25,6061915,'1',453,'N'),(25,6061923,'1',999,'N'),(25,6061931,'1',326,'N'),(25,6061940,'1',214,'N'),(25,6061958,'1',301,'N'),(25,6061966,'1',233,'N'),(25,6061966,'1A',214,'N'),(25,6061974,'1',203,'N'),(25,6061974,'1A',202,'N'),(25,6061982,'1',104,'N'),(25,6061990,'1',216,'N'),(25,6061990,'1A',203,'N'),(25,6062016,'1',999,'N'),(25,6062024,'1',103,'N'),(25,6062032,'1',103,'N'),(25,6062040,'1',207,'N'),(25,6062040,'1A',212,'N'),(25,6062075,'1',103,'N'),(25,6062083,'1',444,'N'),(25,6062091,'1',451,'N'),(25,6062105,'1',655,'N'),(25,6062105,'1A',652,'N'),(25,6062113,'1',216,'N'),(25,6062121,'1',551,'N'),(25,6062130,'1',102,'N'),(25,6062148,'1',103,'N'),(25,6062156,'1',303,'N'),(25,6062164,'1',103,'N'),(25,6062172,'1',444,'N'),(25,6062180,'1',103,'N'),(25,6062202,'1',238,'N'),(25,6062202,'1A',208,'N'),(25,6062210,'1',202,'N'),(25,6062229,'1',103,'N'),(25,6062237,'1',234,'N'),(25,6062245,'1',999,'N'),(25,6062253,'1',211,'N'),(25,6062253,'1A',235,'N'),(25,6062270,'1',316,'N'),(25,6062288,'1',220,'N'),(25,6062288,'1A',203,'N'),(25,6062296,'1',207,'N'),(25,6062296,'1A',216,'N'),(25,6062300,'1',103,'N'),(25,6062318,'1',103,'N'),(25,6062326,'1',426,'N'),(25,6062326,'1A',428,'N'),(25,6062342,'1',201,'N'),(25,6062342,'1A',202,'N'),(25,6062350,'1',108,'N'),(25,6062377,'1',303,'N'),(25,6062385,'1',303,'N'),(25,6062407,'1',103,'N'),(25,6062423,'1',103,'N'),(25,6062431,'1',301,'N'),(25,6062440,'1',320,'N'),(25,6062458,'1',340,'N'),(25,6062466,'1',208,'N'),(25,6062466,'1A',212,'N'),(25,6062474,'1',654,'N'),(25,6062482,'1',101,'N'),(25,6062490,'1',451,'N'),(25,6062504,'1',203,'N'),(25,6062504,'1A',216,'N'),(25,6062512,'1',333,'N'),(25,6062520,'1',502,'N'),(25,6062547,'1',201,'N'),(25,6062547,'1A',202,'N'),(25,6062555,'1',207,'N'),(25,6062555,'1A',201,'N'),(25,6062563,'1',208,'N'),(25,6062563,'1A',238,'N'),(25,6062571,'1',201,'N'),(25,6062571,'1A',212,'N'),(25,6062580,'1',235,'N'),(25,6062580,'1A',201,'N'),(25,6062598,'1',9,'N'),(25,6062601,'1',233,'N'),(25,6062601,'1A',653,'N'),(25,6062610,'1',999,'N'),(25,6062636,'1',5,'N'),(25,6062644,'1',211,'N'),(25,6062644,'1A',202,'N'),(25,6062652,'1',339,'N'),(25,6062660,'1',103,'N'),(25,6062679,'1',340,'N'),(25,6062687,'1',103,'N'),(25,6062695,'1',335,'N'),(25,6062709,'1',203,'N'),(25,6062709,'1A',214,'N'),(25,6062717,'1',103,'N'),(25,6062725,'1',238,'N'),(25,6062725,'1A',235,'N'),(25,6062733,'1',103,'N'),(25,6062741,'1',103,'N'),(25,6062750,'1',212,'N'),(25,6062750,'1A',213,'N'),(25,6062768,'1',238,'N'),(25,6062768,'1A',208,'N'),(25,6062776,'1',5,'N'),(25,6062784,'1',211,'N'),(25,6062784,'1A',201,'N'),(25,6062792,'1',102,'N'),(25,6062806,'1',5,'N'),(25,6062814,'1',999,'N'),(25,6062822,'1',103,'N'),(25,6062830,'1',207,'N'),(25,6062830,'1A',201,'N'),(25,6062849,'1',208,'N'),(25,6062849,'1A',238,'N'),(25,6062857,'1',103,'N'),(25,6062865,'1',203,'N'),(25,6062865,'1A',235,'N'),(25,6062873,'1',333,'N'),(25,6062881,'1',201,'N'),(25,6062881,'1A',202,'N'),(25,6062890,'1',999,'N'),(25,6062903,'1',203,'N'),(25,6062920,'1',335,'N'),(25,6062938,'1',340,'N'),(25,6062946,'1',415,'N'),(25,6062954,'1',340,'N'),(25,6062989,'1',450,'N'),(25,6062997,'1',999,'N'),(25,6063004,'1',452,'N'),(25,6063012,'1',103,'N'),(25,6063020,'1',319,'N'),(25,6063039,'1',652,'N'),(25,6063047,'1',103,'N'),(25,6063063,'1',103,'N'),(25,6063071,'1',220,'N'),(25,6063071,'1A',235,'N'),(25,6063080,'1',424,'N'),(25,6063098,'1',652,'N'),(25,6063101,'1',9,'N'),(25,6063110,'1',103,'N'),(25,6063128,'1',103,'N'),(25,6063136,'1',103,'N'),(25,6063144,'1',444,'N'),(25,6063152,'1',450,'N'),(25,6063160,'1',450,'N'),(25,6063187,'1',420,'N'),(25,6063195,'1',316,'N'),(25,6063209,'1',201,'N'),(25,6063209,'1A',233,'N'),(25,6063217,'1',201,'N'),(25,6063217,'1A',212,'N'),(25,6063225,'1',238,'N'),(25,6063225,'1A',233,'N'),(25,6063241,'1',303,'N'),(25,6063250,'1',203,'N'),(25,6063250,'1A',214,'N'),(25,6063268,'1',223,'N'),(25,6063276,'1',319,'N'),(25,6063284,'1',317,'N'),(25,6063292,'1',103,'N'),(25,6063306,'1',303,'N'),(25,6063314,'1',207,'N'),(25,6063322,'1',551,'N'),(25,6063330,'1',103,'N'),(25,6063349,'1',103,'N'),(25,6063357,'1',102,'N'),(25,6063373,'1',329,'N'),(25,6063381,'1',207,'N'),(25,6063381,'1A',201,'N'),(25,6063390,'1',653,'N'),(25,6063390,'1A',201,'N'),(25,6063403,'1',103,'N'),(25,6063411,'1',103,'N'),(25,6063420,'1',103,'N'),(25,6063438,'1',104,'N'),(25,6063446,'1',102,'N'),(25,6063454,'1',203,'N'),(25,6063454,'1A',202,'N'),(25,6063462,'1',103,'N'),(25,6063470,'1',207,'N'),(25,6063470,'1A',211,'N'),(25,6063489,'1',220,'N'),(25,6063489,'1A',202,'N'),(25,6063497,'1',201,'N'),(25,6063497,'1A',653,'N'),(25,6063519,'1',201,'N'),(25,6063519,'1A',233,'N'),(25,6063527,'1',103,'N'),(25,6063535,'1',103,'N'),(25,6063543,'1',216,'N'),(25,6063543,'1A',203,'N'),(25,6063551,'1',214,'N'),(25,6063551,'1A',220,'N'),(25,6063560,'1',308,'N'),(25,6063578,'1',215,'N'),(25,6063578,'1A',211,'N'),(25,6063586,'1',102,'N'),(25,6063594,'1',5,'N'),(25,6063608,'1',304,'N'),(25,6063616,'1',222,'N'),(25,6063624,'1',207,'N'),(25,6063632,'1',201,'N'),(25,6063632,'1A',211,'N'),(25,6063640,'1',102,'N'),(25,6063659,'1',201,'N'),(25,6063659,'1A',212,'N'),(25,6063667,'1',652,'N'),(25,6063667,'1A',655,'N'),(25,6063675,'1',453,'N'),(25,6063683,'1',207,'N'),(25,6063683,'1A',216,'N'),(25,6063691,'1',308,'N'),(25,6063713,'1',999,'N'),(25,6063721,'1',214,'N'),(25,6063721,'1A',203,'N'),(25,6063730,'1',452,'N'),(25,6063748,'1',201,'N'),(25,6063748,'1A',235,'N'),(25,6063756,'1',450,'N'),(25,6063764,'1',444,'N'),(25,6063780,'1',103,'N'),(25,6063799,'1',220,'N'),(25,6063799,'1A',202,'N'),(25,6063802,'1',103,'N'),(25,6063837,'1',203,'N'),(25,6063837,'1A',201,'N'),(25,6063845,'1',208,'N'),(25,6063845,'1A',235,'N'),(25,6063853,'1',201,'N'),(25,6063853,'1A',208,'N'),(25,6063861,'1',207,'N'),(25,6063888,'1',317,'N'),(25,6063896,'1',338,'N'),(25,6063900,'1',207,'N'),(25,6063900,'1A',201,'N'),(25,6063926,'1',304,'N'),(25,6063934,'1',201,'N'),(25,6063934,'1A',213,'N'),(25,6063942,'1',103,'N'),(25,6063950,'1',208,'N'),(25,6063969,'1',452,'N'),(25,6063977,'1',5,'N'),(25,6063985,'1',601,'N'),(25,6063985,'1A',203,'N'),(25,6063993,'1',234,'N'),(25,6064000,'1',215,'N'),(25,6064000,'1A',233,'N'),(25,6064019,'1',216,'N'),(25,6064027,'1',326,'N'),(25,6064035,'1',203,'N'),(25,6064035,'1A',201,'N'),(25,6064051,'1',301,'N'),(25,6064060,'1',103,'N'),(25,6064078,'1',103,'N'),(25,6064086,'1',103,'N'),(25,6064094,'1',201,'N'),(25,6064094,'1A',202,'N'),(25,6064108,'1',428,'N'),(25,6064108,'1A',429,'N'),(25,6064116,'1',316,'N'),(25,6064124,'1',203,'N'),(25,6064124,'1A',214,'N'),(25,6064132,'1',333,'N'),(25,6064140,'1',103,'N'),(25,6064159,'1',103,'N'),(25,6064167,'1',103,'N'),(25,6064183,'1',211,'N'),(25,6064183,'1A',201,'N'),(25,6064205,'1',208,'N'),(25,6064213,'1',207,'N'),(25,6064213,'1A',201,'N'),(25,6064221,'1',429,'N'),(25,6064221,'1A',425,'N'),(25,6064230,'1',340,'N'),(25,6064248,'1',208,'N'),(25,6064248,'1A',238,'N'),(25,6064256,'1',110,'N'),(25,6064264,'1',213,'N'),(25,6064264,'1A',235,'N'),(25,6064272,'1',5,'N'),(25,6064280,'1',317,'N'),(25,6064299,'1',103,'N'),(25,6064302,'1',103,'N'),(25,6064310,'1',109,'N'),(25,6064329,'1',212,'N'),(25,6064329,'1A',201,'N'),(25,6064345,'1',103,'N'),(25,6064353,'1',103,'N'),(25,6064361,'1',319,'N'),(25,6064388,'1',423,'N'),(25,6064388,'1A',421,'N'),(25,6064396,'1',216,'N'),(25,6064396,'1A',233,'N'),(25,6064400,'1',212,'N'),(25,6064400,'1A',214,'N'),(25,6064418,'1',211,'N'),(25,6064418,'1A',216,'N'),(25,6064426,'1',235,'N'),(25,6064426,'1A',213,'N'),(25,6064434,'1',207,'N'),(25,6064434,'1A',233,'N'),(25,6064442,'1',102,'N'),(25,6064450,'1',220,'N'),(25,6064450,'1A',235,'N'),(25,6064477,'1',103,'N'),(25,6064485,'1',108,'N'),(25,6064493,'1',103,'N'),(25,6064507,'1',340,'N'),(25,6064515,'1',304,'N'),(25,6064540,'1',5,'N'),(25,6064566,'1',309,'N'),(25,6064574,'1',104,'N'),(25,6064590,'1',201,'N'),(25,6064590,'1A',202,'N'),(25,6064612,'1',214,'N'),(25,6064612,'1A',212,'N'),(25,6064620,'1',103,'N'),(25,6064639,'1',319,'N'),(25,6064647,'1',425,'N'),(25,6064647,'1A',427,'N'),(25,6064655,'1',201,'N'),(25,6064663,'1',103,'N'),(25,6064671,'1',108,'N'),(25,6064680,'1',235,'N'),(25,6064680,'1A',208,'N'),(25,6064728,'1',302,'N'),(25,6064736,'1',208,'N'),(25,6064736,'1A',202,'N'),(25,6064744,'1',429,'N'),(25,6064744,'1A',425,'N'),(25,6064752,'1',101,'N'),(25,6064779,'1',103,'N'),(25,6064787,'1',336,'N'),(25,6064795,'1',205,'N'),(25,6064809,'1',103,'N'),(25,6064817,'1',203,'N'),(25,6064817,'1A',208,'N'),(25,6064833,'1',339,'N'),(25,6064841,'1',318,'N'),(25,6064850,'1',103,'N'),(25,6064868,'1',103,'N'),(25,6064876,'1',301,'N'),(25,6064884,'1',103,'N'),(25,6064892,'1',108,'N'),(25,6064906,'1',103,'N'),(25,6064914,'1',453,'N'),(25,6064922,'1',303,'N'),(25,6064930,'1',104,'N'),(25,6064949,'1',109,'N'),(25,6064957,'1',103,'N'),(25,6064965,'1',103,'N'),(25,6064981,'1',103,'N'),(25,6064990,'1',220,'N'),(25,6064990,'1A',235,'N'),(25,6065007,'1',110,'N'),(25,6065015,'1',208,'N'),(25,6065015,'1A',238,'N'),(25,6065040,'1',451,'N'),(25,6065058,'1',103,'N'),(25,6065066,'1',340,'N'),(25,6065074,'1',404,'N'),(25,6065082,'1',103,'N'),(25,6065090,'1',207,'N'),(25,6065090,'1A',201,'N'),(25,6065104,'1',103,'N'),(25,6065112,'1',201,'N'),(25,6065112,'1A',202,'N'),(25,6065120,'1',551,'N'),(25,6065139,'1',653,'N'),(25,6065139,'1A',655,'N'),(25,6065147,'1',501,'N'),(25,6065163,'1',404,'N'),(25,6065171,'1',429,'N'),(25,6065171,'1A',421,'N'),(25,6065180,'1',214,'N'),(25,6065180,'1A',203,'N'),(25,6065198,'1',319,'N'),(25,6065201,'1',103,'N'),(25,6065228,'1',104,'N'),(25,6065236,'1',103,'N'),(25,6065252,'1',9,'N'),(25,6065260,'1',208,'N'),(25,6065260,'1A',238,'N'),(25,6065279,'1',101,'N'),(25,6065287,'1',224,'N'),(25,6065295,'1',303,'N'),(25,6065309,'1',999,'N'),(25,6065325,'1',104,'N'),(25,6065333,'1',319,'N'),(25,6065350,'1',316,'N'),(25,6065368,'1',103,'N'),(25,6065384,'1',103,'N'),(25,6065406,'1',318,'N'),(25,6065422,'1',201,'N'),(25,6065422,'1A',203,'N'),(25,6065430,'1',317,'N'),(25,6065465,'1',102,'N'),(25,6065473,'1',601,'N'),(25,6065473,'1A',238,'N'),(25,6065490,'1',103,'N'),(25,6065503,'1',303,'N'),(25,6065520,'1',339,'N'),(25,6065538,'1',301,'N'),(25,6065570,'1',103,'N'),(25,6065597,'1',109,'N'),(25,6065627,'1',103,'N'),(25,6065643,'1',316,'N'),(25,6065651,'1',103,'N'),(25,6065660,'1',234,'N'),(25,6065678,'1',453,'N'),(25,6065686,'1',302,'N'),(25,6065694,'1',3,'N'),(25,6065708,'1',234,'N'),(25,6065724,'1',103,'N'),(25,6065732,'1',420,'N'),(25,6065740,'1',103,'N'),(25,6065759,'1',238,'N'),(25,6065759,'1A',208,'N'),(25,6065767,'1',303,'N'),(25,6065775,'1',333,'N'),(25,6065805,'1',103,'N'),(25,6065813,'1',450,'N'),(25,6065848,'1',551,'N'),(25,6065856,'1',201,'N'),(25,6065856,'1A',211,'N'),(25,6065864,'1',207,'N'),(25,6065864,'1A',201,'N'),(25,6065872,'1',203,'N'),(25,6065872,'1A',214,'N'),(25,6065880,'1',5,'N'),(25,6065899,'1',304,'N'),(25,6065910,'1',329,'N'),(25,6065929,'1',450,'N'),(25,6065953,'1',103,'N'),(25,6065970,'1',318,'N'),(25,6065988,'1',101,'N'),(25,6065996,'1',333,'N'),(25,6066003,'1',109,'N'),(25,6066011,'1',103,'N'),(25,6066020,'1',5,'N'),(25,6066054,'1',415,'N'),(25,6066062,'1',501,'N'),(25,6066089,'1',103,'N'),(25,6066097,'1',426,'N'),(25,6066097,'1A',424,'N'),(25,6066100,'1',328,'N'),(25,6066119,'1',303,'N'),(25,6066127,'1',317,'N'),(25,6066135,'1',333,'N'),(25,6066143,'1',207,'N'),(25,6066143,'1A',201,'N'),(25,6066151,'1',303,'N'),(25,6066160,'1',308,'N'),(25,6066186,'1',108,'N'),(25,6066194,'1',425,'N'),(25,6066194,'1A',423,'N'),(25,6066216,'1',333,'N'),(25,6066232,'1',333,'N'),(25,6066240,'1',303,'N'),(25,6066259,'1',5,'N'),(25,6066267,'1',103,'N'),(25,6066275,'1',654,'N'),(25,6066283,'1',103,'N'),(25,6066291,'1',444,'N'),(25,6066305,'1',103,'N'),(25,6066330,'1',208,'N'),(25,6066330,'1A',238,'N'),(25,6066348,'1',327,'N'),(25,6066356,'1',655,'N'),(25,6066356,'1A',652,'N'),(25,6066364,'1',316,'N'),(25,6066372,'1',501,'N'),(25,6066380,'1',207,'N'),(25,6066380,'1A',201,'N'),(25,6066399,'1',104,'N'),(25,6066402,'1',320,'N'),(25,6066410,'1',201,'N'),(25,6066410,'1A',212,'N'),(25,6066429,'1',601,'N'),(25,6066445,'1',202,'N'),(25,6066445,'1A',216,'N'),(25,6066453,'1',103,'N'),(25,6066470,'1',211,'N'),(25,6066470,'1A',233,'N'),(25,6066488,'1',103,'N'),(25,6066496,'1',102,'N'),(25,6066500,'1',652,'N'),(25,6066500,'1A',208,'N'),(25,6066518,'1',211,'N'),(25,6066518,'1A',207,'N'),(25,6066526,'1',5,'N'),(25,6066542,'1',5,'N'),(25,6066569,'1',214,'N'),(25,6066569,'1A',212,'N'),(25,6066577,'1',208,'N'),(25,6066577,'1A',238,'N'),(25,6066585,'1',203,'N'),(25,6066585,'1A',202,'N'),(25,6066593,'1',551,'N'),(25,6066607,'1',331,'N'),(25,6066615,'1',108,'N'),(25,6066623,'1',503,'N'),(25,6066631,'1',207,'N'),(25,6066631,'1A',201,'N'),(25,6066640,'1',337,'N'),(25,6066658,'1',9,'N'),(25,6066666,'1',102,'N'),(25,6066682,'1',5,'N'),(25,6066690,'1',104,'N'),(25,6066704,'1',207,'N'),(25,6066712,'1',215,'N'),(25,6066712,'1A',216,'N'),(25,6066720,'1',202,'N'),(25,6066720,'1A',201,'N'),(25,6066739,'1',103,'N'),(25,6066763,'1',103,'N'),(25,6066780,'1',329,'N'),(25,6066798,'1',203,'N'),(25,6066798,'1A',601,'N'),(25,6066801,'1',203,'N'),(25,6066810,'1',415,'N'),(25,6066828,'1',103,'N'),(25,6066836,'1',207,'N'),(25,6066836,'1A',201,'N'),(25,6066844,'1',303,'N'),(25,6066879,'1',201,'N'),(25,6066879,'1A',211,'N'),(25,6066887,'1',208,'N'),(25,6066887,'1A',238,'N'),(25,6066909,'1',319,'N'),(25,6066917,'1',110,'N'),(25,6066925,'1',426,'N'),(25,6066925,'1A',425,'N'),(25,6066950,'1',108,'N'),(25,6066968,'1',104,'N'),(25,6066984,'1',320,'N'),(25,6066992,'1',301,'N'),(25,6067000,'1',308,'N'),(25,6067034,'1',220,'N'),(25,6067034,'1A',202,'N'),(25,6067042,'1',233,'N'),(25,6067042,'1A',211,'N'),(25,6067050,'1',303,'N'),(25,6067077,'1',337,'N'),(25,6067085,'1',101,'N'),(25,6067093,'1',415,'N'),(25,6067115,'1',415,'N'),(25,6067123,'1',551,'N'),(25,6067131,'1',450,'N'),(25,6067140,'1',452,'N'),(25,6067166,'1',317,'N'),(25,6067182,'1',301,'N'),(25,6067190,'1',203,'N'),(25,6067190,'1A',214,'N'),(25,6067204,'1',326,'N'),(25,6067212,'1',103,'N'),(25,6067220,'1',238,'N'),(25,6067220,'1A',208,'N'),(25,6067239,'1',319,'N'),(25,6067298,'1',211,'N'),(25,6067298,'1A',216,'N'),(25,6067301,'1',103,'N'),(25,6067310,'1',420,'N'),(25,6067328,'1',103,'N'),(25,6067344,'1',308,'N'),(25,6067352,'1',101,'N'),(25,6067379,'1',415,'N'),(25,6067387,'1',3,'N'),(25,6067395,'1',316,'N'),(25,6067425,'1',551,'N'),(25,6067433,'1',203,'N'),(25,6067433,'1A',202,'N'),(25,6067450,'1',109,'N'),(25,6067468,'1',9,'N'),(25,6067476,'1',103,'N'),(25,6067484,'1',103,'N'),(25,6067492,'1',203,'N'),(25,6067492,'1A',233,'N'),(25,6067506,'1',319,'N'),(25,6067514,'1',102,'N'),(25,6067522,'1',208,'N'),(25,6067522,'1A',214,'N'),(25,6067530,'1',103,'N'),(25,6067549,'1',332,'N'),(25,6067565,'1',103,'N'),(25,6067573,'1',103,'N'),(25,6067581,'1',103,'N'),(25,6067603,'1',108,'N'),(25,6067620,'1',207,'N'),(25,6067620,'1A',201,'N'),(25,6067638,'1',337,'N'),(25,6067646,'1',103,'N'),(25,6067654,'1',220,'N'),(25,6067654,'1A',203,'N'),(25,6067662,'1',9,'N'),(25,6067670,'1',316,'N'),(25,6067689,'1',319,'N'),(25,6067697,'1',103,'N'),(25,6067700,'1',104,'N'),(25,6067719,'1',201,'N'),(25,6067719,'1A',208,'N'),(25,6067727,'1',110,'N'),(25,6067735,'1',104,'N'),(25,6067743,'1',103,'N'),(25,6067751,'1',309,'N'),(25,6067778,'1',425,'N'),(25,6067778,'1A',424,'N'),(25,6067808,'1',220,'N'),(25,6067808,'1A',203,'N'),(25,6067832,'1',303,'N'),(25,6067840,'1',216,'N'),(25,6067859,'1',103,'N'),(25,6067867,'1',234,'N'),(25,6067875,'1',203,'N'),(25,6067875,'1A',233,'N'),(25,6067883,'1',103,'N'),(25,6067905,'1',5,'N'),(25,6067913,'1',212,'N'),(25,6067913,'1A',233,'N'),(25,6067921,'1',203,'N'),(25,6067921,'1A',233,'N'),(25,6067930,'1',102,'N'),(25,6067948,'1',103,'N'),(25,6067956,'1',103,'N'),(25,6067964,'1',104,'N'),(25,6067972,'1',103,'N'),(25,6067980,'1',503,'N'),(25,6067999,'1',302,'N'),(25,6068006,'1',453,'N'),(25,6068014,'1',103,'N'),(25,6068022,'1',316,'N'),(25,6068030,'1',304,'N'),(25,6068057,'1',425,'N'),(25,6068057,'1A',423,'N'),(25,6068065,'1',404,'N'),(25,6068073,'1',319,'N'),(25,6068081,'1',201,'N'),(25,6068081,'1A',235,'N'),(25,6068090,'1',233,'N'),(25,6068090,'1A',235,'N'),(25,6068103,'1',318,'N'),(25,6068111,'1',201,'N'),(25,6068111,'1A',203,'N'),(25,6068120,'1',214,'N'),(25,6068120,'1A',216,'N'),(25,6068138,'1',207,'N'),(25,6068146,'1',103,'N'),(25,6068162,'1',319,'N'),(25,6068170,'1',238,'N'),(25,6068170,'1A',203,'N'),(25,6068197,'1',103,'N'),(25,6068219,'1',203,'N'),(25,6068219,'1A',214,'N'),(25,6068227,'1',429,'N'),(25,6068227,'1A',425,'N'),(25,6068235,'1',5,'N'),(25,6068243,'1',327,'N'),(25,6068251,'1',428,'N'),(25,6068251,'1A',425,'N'),(25,6068260,'1',316,'N'),(25,6068278,'1',215,'N'),(25,6068294,'1',201,'N'),(25,6068294,'1A',211,'N'),(25,6068308,'1',103,'N'),(25,6068324,'1',301,'N'),(25,6068332,'1',103,'N'),(25,6068340,'1',103,'N'),(25,6068359,'1',425,'N'),(25,6068359,'1A',421,'N'),(25,6068367,'1',324,'N'),(25,6068383,'1',601,'N'),(25,6068391,'1',216,'N'),(25,6068391,'1A',653,'N'),(25,6068405,'1',333,'N'),(25,6068413,'1',208,'N'),(25,6068413,'1A',238,'N'),(25,6068421,'1',101,'N'),(25,6068448,'1',212,'N'),(25,6068448,'1A',233,'N'),(25,6068464,'1',103,'N'),(25,6068472,'1',5,'N'),(25,6068480,'1',201,'N'),(25,6068480,'1A',212,'N'),(25,6068502,'1',103,'N'),(25,6068510,'1',207,'N'),(25,6068510,'1A',201,'N'),(25,6068529,'1',551,'N'),(25,6068537,'1',201,'N'),(25,6068537,'1A',211,'N'),(25,6068545,'1',601,'N'),(25,6068545,'1A',201,'N'),(25,6068553,'1',303,'N'),(25,6068570,'1',103,'N'),(25,6068588,'1',103,'N'),(25,6068596,'1',211,'N'),(25,6068600,'1',103,'N'),(25,6068618,'1',103,'N'),(25,6068626,'1',103,'N'),(25,6068642,'1',208,'N'),(25,6068642,'1A',235,'N'),(25,6068650,'1',214,'N'),(25,6068650,'1A',213,'N'),(25,6068677,'1',108,'N'),(25,6068685,'1',503,'N'),(25,6068707,'1',404,'N'),(25,6068715,'1',303,'N'),(25,6068731,'1',336,'N'),(25,6068740,'1',453,'N'),(25,6068758,'1',104,'N'),(25,6068766,'1',103,'N'),(25,6068774,'1',103,'N'),(25,6068782,'1',103,'N'),(25,6068790,'1',103,'N'),(25,6068804,'1',103,'N'),(25,6068812,'1',103,'N'),(25,6068820,'1',103,'N'),(25,6068839,'1',103,'N'),(25,6068847,'1',319,'N'),(25,6068855,'1',319,'N'),(25,6068863,'1',103,'N'),(25,6068871,'1',207,'N'),(25,6068871,'1A',208,'N'),(25,6068901,'1',450,'N'),(25,6068910,'1',302,'N'),(25,6068928,'1',103,'N'),(25,6068936,'1',5,'N'),(25,6068944,'1',2,'N'),(25,6068952,'1',201,'N'),(25,6068952,'1A',212,'N'),(25,6068960,'1',317,'N'),(25,6068979,'1',103,'N'),(25,6068987,'1',999,'N'),(25,6068995,'1',201,'N'),(25,6068995,'1A',207,'N'),(25,6069002,'1',332,'N'),(25,6069010,'1',319,'N'),(25,6069029,'1',211,'N'),(25,6069037,'1',337,'N'),(25,6069061,'1',220,'N'),(25,6069061,'1A',235,'N'),(25,6069070,'1',5,'N'),(25,6069118,'1',103,'N'),(25,6069126,'1',304,'N'),(25,6069134,'1',601,'N'),(25,6069134,'1A',233,'N'),(25,6069150,'1',601,'N'),(25,6069169,'1',103,'N'),(25,6069177,'1',212,'N'),(25,6069177,'1A',601,'N'),(25,6069185,'1',104,'N'),(25,6069207,'1',212,'N'),(25,6069207,'1A',214,'N'),(25,6069223,'1',601,'N'),(25,6069231,'1',103,'N'),(25,6069240,'1',201,'N'),(25,6069240,'1A',207,'N'),(25,6069258,'1',103,'N'),(25,6069266,'1',303,'N'),(25,6069274,'1',108,'N'),(25,6069282,'1',551,'N'),(25,6069312,'1',103,'N'),(25,6069320,'1',101,'N'),(25,6069339,'1',214,'N'),(25,6069339,'1A',203,'N'),(25,6069380,'1',104,'N'),(25,6069401,'1',224,'N'),(25,6069428,'1',104,'N'),(25,6069444,'1',103,'N'),(25,6069452,'1',203,'N'),(25,6069452,'1A',201,'N'),(25,6069460,'1',404,'N'),(25,6069479,'1',424,'N'),(25,6069479,'1A',428,'N'),(25,6069487,'1',233,'N'),(25,6069487,'1A',207,'N'),(25,6069509,'1',601,'N'),(25,6069509,'1A',216,'N'),(25,6069525,'1',211,'N'),(25,6069525,'1A',215,'N'),(25,6069533,'1',108,'N'),(25,6069541,'1',103,'N'),(25,6069550,'1',216,'N'),(25,6069550,'1A',202,'N'),(25,6069576,'1',999,'N'),(25,6069592,'1',326,'N'),(25,6069606,'1',319,'N'),(25,6069614,'1',444,'N'),(25,6069622,'1',103,'N'),(25,6069630,'1',415,'N'),(25,6069649,'1',103,'N'),(25,6069665,'1',308,'N'),(25,6069673,'1',340,'N'),(25,6069681,'1',201,'N'),(25,6069681,'1A',653,'N'),(25,6069690,'1',203,'N'),(25,6069690,'1A',220,'N'),(25,6069703,'1',601,'N'),(25,6069703,'1A',216,'N'),(25,6069711,'1',103,'N'),(25,6069720,'1',103,'N'),(25,6069738,'1',110,'N'),(25,6069746,'1',103,'N'),(25,6069754,'1',302,'N'),(25,6069762,'1',103,'N'),(25,6069770,'1',103,'N'),(25,6069797,'1',503,'N'),(25,6069800,'1',103,'N'),(25,6069819,'1',103,'N'),(25,6069827,'1',103,'N'),(25,6069835,'1',3,'N'),(25,6069843,'1',208,'N'),(25,6069843,'1A',238,'N'),(25,6069851,'1',999,'N'),(25,6069860,'1',326,'N'),(25,6069878,'1',103,'N'),(25,6069886,'1',103,'N'),(25,6069894,'1',212,'N'),(25,6069894,'1A',214,'N'),(25,6069908,'1',404,'N'),(25,6069924,'1',502,'N'),(25,6069940,'1',301,'N'),(25,6069967,'1',303,'N'),(25,6069975,'1',340,'N'),(25,6069983,'1',201,'N'),(25,6069983,'1A',601,'N'),(25,6069991,'1',208,'N'),(25,6070000,'1',601,'N'),(25,6070000,'1A',203,'N'),(25,6070027,'1',216,'N'),(25,6070027,'1A',214,'N'),(25,6070035,'1',999,'N'),(25,6070051,'1',444,'N'),(25,6070078,'1',207,'N'),(25,6070078,'1A',201,'N'),(25,6070108,'1',207,'N'),(25,6070108,'1A',201,'N'),(25,6070116,'1',316,'N'),(25,6070124,'1',308,'N'),(25,6070132,'1',233,'N'),(25,6070132,'1A',235,'N'),(25,6070140,'1',5,'N'),(25,6070159,'1',653,'N'),(25,6070159,'1A',655,'N'),(25,6070167,'1',5,'N'),(25,6070175,'1',103,'N'),(25,6070183,'1',103,'N'),(25,6070191,'1',444,'N'),(25,6070205,'1',103,'N'),(25,6070248,'1',203,'N'),(25,6070248,'1A',233,'N'),(25,6070264,'1',207,'N'),(25,6070264,'1A',215,'N'),(25,6070299,'1',216,'N'),(25,6070299,'1A',233,'N'),(25,6070302,'1',234,'N'),(25,6070310,'1',103,'N'),(25,6070329,'1',601,'N'),(25,6070329,'1A',216,'N'),(25,6070337,'1',103,'N'),(25,6070353,'1',103,'N'),(25,6070370,'1',211,'N'),(25,6070370,'1A',215,'N'),(25,6070388,'1',103,'N'),(25,6070396,'1',316,'N'),(25,6070400,'1',653,'N'),(25,6070400,'1A',655,'N'),(25,6070418,'1',335,'N'),(25,6070426,'1',207,'N'),(25,6070426,'1A',212,'N'),(25,6070434,'1',201,'N'),(25,6070434,'1A',207,'N'),(25,6070442,'1',103,'N'),(25,6070450,'1',216,'N'),(25,6070450,'1A',215,'N'),(25,6070469,'1',201,'N'),(25,6070469,'1A',207,'N'),(25,6070477,'1',415,'N'),(25,6070493,'1',5,'N'),(25,6070507,'1',303,'N'),(25,6070515,'1',333,'N'),(25,6070523,'1',214,'N'),(25,6070523,'1A',212,'N'),(25,6070540,'1',652,'N'),(25,6070540,'1A',207,'N'),(25,6070566,'1',103,'N'),(25,6070582,'1',103,'N'),(25,6070590,'1',103,'N'),(25,6070604,'1',316,'N'),(25,6070612,'1',404,'N'),(25,6070620,'1',201,'N'),(25,6070620,'1A',212,'N'),(25,6070639,'1',104,'N'),(25,6070655,'1',301,'N'),(25,6070663,'1',201,'N'),(25,6070663,'1A',215,'N'),(25,6070671,'1',207,'N'),(25,6070680,'1',203,'N'),(25,6070680,'1A',601,'N'),(25,6070698,'1',444,'N'),(25,6070701,'1',340,'N'),(25,6070710,'1',202,'N'),(25,6070710,'1A',214,'N'),(25,6070728,'1',103,'N'),(25,6070736,'1',103,'N'),(25,6070752,'1',316,'N'),(25,6070779,'1',103,'N'),(25,6070787,'1',303,'N'),(25,6070795,'1',207,'N'),(25,6070795,'1A',233,'N'),(25,6070817,'1',201,'N'),(25,6070817,'1A',207,'N'),(25,6070841,'1',211,'N'),(25,6070841,'1A',212,'N'),(25,6070850,'1',213,'N'),(25,6070850,'1A',214,'N'),(25,6070868,'1',999,'N'),(25,6070884,'1',331,'N'),(25,6070906,'1',102,'N'),(25,6070914,'1',103,'N'),(25,6070922,'1',103,'N'),(25,6070930,'1',103,'N'),(25,6070957,'1',5,'N'),(25,6070965,'1',207,'N'),(25,6070965,'1A',201,'N'),(25,6070973,'1',212,'N'),(25,6070973,'1A',214,'N'),(25,6070981,'1',415,'N'),(25,6070990,'1',207,'N'),(25,6070990,'1A',208,'N'),(25,6071007,'1',309,'N'),(25,6071015,'1',319,'N'),(25,6071023,'1',201,'N'),(25,6071040,'1',203,'N'),(25,6071040,'1A',214,'N'),(25,6071058,'1',653,'N'),(25,6071058,'1A',655,'N'),(25,6071074,'1',5,'N'),(25,6071090,'1',103,'N'),(25,6071104,'1',452,'N'),(25,6071120,'1',203,'N'),(25,6071120,'1A',212,'N'),(25,6071139,'1',203,'N'),(25,6071139,'1A',201,'N'),(25,6071147,'1',654,'N'),(25,6071155,'1',302,'N'),(25,6071163,'1',420,'N'),(25,6071171,'1',501,'N'),(25,6071198,'1',340,'N'),(25,6071201,'1',452,'N'),(25,6071210,'1',103,'N'),(25,6071228,'1',319,'N'),(25,6071236,'1',318,'N'),(25,6071244,'1',5,'N'),(25,6071252,'1',104,'N'),(25,6071260,'1',208,'N'),(25,6071260,'1A',238,'N'),(25,6071279,'1',308,'N'),(25,6071295,'1',201,'N'),(25,6071295,'1A',216,'N'),(25,6071309,'1',201,'N'),(25,6071309,'1A',235,'N'),(25,6071317,'1',303,'N'),(25,6071325,'1',319,'N'),(25,6071333,'1',428,'N'),(25,6071333,'1A',426,'N'),(25,6071341,'1',220,'N'),(25,6071341,'1A',203,'N'),(25,6071350,'1',303,'N'),(25,6071368,'1',5,'N'),(25,6071376,'1',201,'N'),(25,6071376,'1A',207,'N'),(25,6071384,'1',316,'N'),(25,6071392,'1',203,'N'),(25,6071392,'1A',220,'N'),(25,6071406,'1',452,'N'),(25,6071414,'1',103,'N'),(25,6071422,'1',103,'N'),(25,6071449,'1',207,'N'),(25,6071449,'1A',203,'N'),(25,6071457,'1',103,'N'),(25,6071465,'1',103,'N'),(25,6071473,'1',9,'N'),(25,6071481,'1',208,'N'),(25,6071481,'1A',238,'N'),(25,6071490,'1',9,'N'),(25,6071503,'1',320,'N'),(25,6071511,'1',103,'N'),(25,6071520,'1',103,'N'),(25,6071546,'1',310,'N'),(25,6071554,'1',327,'N'),(25,6071562,'1',203,'N'),(25,6071562,'1A',201,'N'),(25,6071589,'1',238,'N'),(25,6071589,'1A',208,'N'),(25,6071597,'1',201,'N'),(25,6071600,'1',3,'N'),(25,6071619,'1',238,'N'),(25,6071619,'1A',208,'N'),(25,6071627,'1',652,'N'),(25,6071627,'1A',655,'N'),(25,6071635,'1',324,'N'),(25,6071643,'1',420,'N'),(25,6071660,'1',103,'N'),(25,6071678,'1',653,'N'),(25,6071678,'1A',233,'N'),(25,6071686,'1',303,'N'),(25,6071694,'1',420,'N'),(25,6071708,'1',203,'N'),(25,6071708,'1A',601,'N'),(25,6071716,'1',654,'N'),(25,6071724,'1',451,'N'),(25,6071732,'1',5,'N'),(25,6071740,'1',102,'N'),(25,6071759,'1',103,'N'),(25,6071767,'1',103,'N'),(25,6071775,'1',207,'N'),(25,6071775,'1A',201,'N'),(25,6071783,'1',444,'N'),(25,6071791,'1',211,'N'),(25,6071791,'1A',207,'N'),(25,6071805,'1',2,'N'),(25,6071813,'1',308,'N'),(25,6071821,'1',319,'N'),(25,6071830,'1',999,'N'),(25,6071848,'1',444,'N'),(25,6071856,'1',319,'N'),(25,6071864,'1',104,'N'),(25,6071872,'1',551,'N'),(25,6071899,'1',207,'N'),(25,6071899,'1A',201,'N'),(25,6071902,'1',207,'N'),(25,6071902,'1A',201,'N'),(25,6071910,'1',5,'N'),(25,6071929,'1',201,'N'),(25,6071929,'1A',212,'N'),(25,6071937,'1',301,'N'),(25,6071945,'1',452,'N'),(25,6071953,'1',213,'N'),(25,6071953,'1A',202,'N'),(25,6071961,'1',103,'N'),(25,6071970,'1',444,'N'),(25,6071988,'1',3,'N'),(25,6071996,'1',103,'N'),(25,6072003,'1',5,'N'),(25,6072011,'1',203,'N'),(25,6072011,'1A',233,'N'),(25,6072038,'1',9,'N'),(25,6072046,'1',103,'N'),(25,6072054,'1',211,'N'),(25,6072054,'1A',207,'N'),(25,6072062,'1',319,'N'),(25,6072070,'1',101,'N'),(25,6072089,'1',5,'N'),(25,6072097,'1',5,'N'),(25,6072100,'1',207,'N'),(25,6072100,'1A',201,'N'),(25,6072119,'1',201,'N'),(25,6072119,'1A',601,'N'),(25,6072127,'1',303,'N'),(25,6072135,'1',104,'N'),(25,6072160,'1',103,'N'),(25,6072178,'1',203,'N'),(25,6072178,'1A',201,'N'),(25,6072186,'1',103,'N'),(25,6072216,'1',216,'N'),(25,6072216,'1A',211,'N'),(25,6072224,'1',310,'N'),(25,6072232,'1',103,'N'),(25,6072240,'1',340,'N'),(25,6072259,'1',654,'N'),(25,6072275,'1',201,'N'),(25,6072275,'1A',211,'N'),(25,6072283,'1',103,'N'),(25,6072291,'1',214,'N'),(25,6072291,'1A',212,'N'),(25,6072305,'1',327,'N'),(25,6072313,'1',201,'N'),(25,6072313,'1A',208,'N'),(25,6072321,'1',415,'N'),(25,6072330,'1',301,'N'),(25,6072348,'1',333,'N'),(25,6072356,'1',320,'N'),(25,6072364,'1',220,'N'),(25,6072364,'1A',216,'N'),(25,6072380,'1',201,'N'),(25,6072380,'1A',212,'N'),(25,6072399,'1',316,'N'),(25,6072402,'1',502,'N'),(25,6072410,'1',103,'N'),(25,6072429,'1',329,'N'),(25,6072437,'1',5,'N'),(25,6072445,'1',601,'N'),(25,6072445,'1A',235,'N'),(25,6072461,'1',304,'N'),(25,6072470,'1',303,'N'),(25,6072488,'1',104,'N'),(25,6072496,'1',214,'N'),(25,6072496,'1A',203,'N'),(25,6072500,'1',601,'N'),(25,6072500,'1A',212,'N'),(25,6072518,'1',426,'N'),(25,6072518,'1A',428,'N'),(25,6072534,'1',452,'N'),(25,6072542,'1',212,'N'),(25,6072542,'1A',201,'N'),(25,6072550,'1',102,'N'),(25,6072569,'1',999,'N'),(25,6072593,'1',208,'N'),(25,6072593,'1A',601,'N'),(25,6072607,'1',319,'N'),(25,6072615,'1',340,'N'),(25,6072623,'1',502,'N'),(25,6072658,'1',203,'N'),(25,6072666,'1',452,'N'),(25,6072674,'1',201,'N'),(25,6072682,'1',423,'N'),(25,6072682,'1A',425,'N'),(25,6072690,'1',601,'N'),(25,6072690,'1A',203,'N'),(25,6072704,'1',103,'N'),(25,6072712,'1',103,'N'),(25,6072720,'1',301,'N'),(25,6072739,'1',601,'N'),(25,6072739,'1A',233,'N'),(25,6072747,'1',238,'N'),(25,6072755,'1',103,'N'),(25,6072763,'1',302,'N'),(25,6072798,'1',108,'N'),(25,6072801,'1',103,'N'),(25,6072810,'1',309,'N'),(25,6072828,'1',103,'N'),(25,6072836,'1',220,'N'),(25,6072836,'1A',235,'N'),(25,6072879,'1',601,'N'),(25,6072879,'1A',233,'N'),(25,6072887,'1',110,'N'),(25,6072895,'1',101,'N'),(25,6072909,'1',5,'N'),(25,6072917,'1',340,'N'),(25,6072925,'1',203,'N'),(25,6072925,'1A',208,'N'),(25,6072933,'1',102,'N'),(25,6072941,'1',999,'N'),(25,6072950,'1',103,'N'),(25,6072968,'1',203,'N'),(25,6072984,'1',318,'N'),(25,6072992,'1',303,'N'),(25,6073000,'1',316,'N'),(25,6073018,'1',103,'N'),(25,6073026,'1',303,'N'),(25,6073042,'1',415,'N'),(25,6073050,'1',103,'N'),(25,6073069,'1',5,'N'),(25,6073077,'1',318,'N'),(25,6073093,'1',303,'N'),(25,6073107,'1',207,'N'),(25,6073115,'1',653,'N'),(25,6073115,'1A',655,'N'),(25,6073123,'1',208,'N'),(25,6073123,'1A',238,'N'),(25,6073131,'1',303,'N'),(25,6073140,'1',103,'N'),(25,6073158,'1',101,'N'),(25,6073166,'1',238,'N'),(25,6073166,'1A',208,'N'),(25,6073174,'1',211,'N'),(25,6073174,'1A',202,'N'),(25,6073190,'1',502,'N'),(25,6073204,'1',212,'N'),(25,6073204,'1A',211,'N'),(25,6073220,'1',108,'N'),(25,6073239,'1',102,'N'),(25,6073247,'1',225,'N'),(25,6073255,'1',103,'N'),(25,6073263,'1',424,'N'),(25,6073263,'1A',425,'N'),(25,6073271,'1',404,'N'),(25,6073298,'1',207,'N'),(25,6073298,'1A',211,'N'),(25,6073301,'1',214,'N'),(25,6073301,'1A',601,'N'),(25,6073310,'1',208,'N'),(25,6073310,'1A',201,'N'),(25,6073336,'1',203,'N'),(25,6073336,'1A',220,'N'),(25,6073352,'1',601,'N'),(25,6073360,'1',207,'N'),(25,6073360,'1A',211,'N'),(25,6073379,'1',999,'N'),(25,6073387,'1',3,'N'),(25,6073395,'1',207,'N'),(25,6073395,'1A',201,'N'),(25,6073409,'1',999,'N'),(25,6073417,'1',203,'N'),(25,6073417,'1A',235,'N'),(25,6073425,'1',203,'N'),(25,6073425,'1A',201,'N'),(25,6073433,'1',103,'N'),(25,6073441,'1',319,'N'),(25,6073450,'1',201,'N'),(25,6073476,'1',303,'N'),(25,6073492,'1',110,'N'),(25,6073506,'1',333,'N'),(25,6073514,'1',333,'N'),(25,6073522,'1',303,'N'),(25,6073530,'1',238,'N'),(25,6073557,'1',216,'N'),(25,6073557,'1A',235,'N'),(25,6073565,'1',601,'N'),(25,6073565,'1A',233,'N'),(25,6073573,'1',233,'N'),(25,6073573,'1A',203,'N'),(25,6073581,'1',428,'N'),(25,6073581,'1A',426,'N'),(25,6073603,'1',103,'N'),(25,6073620,'1',2,'N'),(25,6073638,'1',103,'N'),(25,6073646,'1',551,'N'),(25,6073654,'1',333,'N'),(25,6073670,'1',428,'N'),(25,6073670,'1A',426,'N'),(25,6073689,'1',235,'N'),(25,6073689,'1A',601,'N'),(25,6073700,'1',429,'N'),(25,6073719,'1',103,'N'),(25,6073743,'1',103,'N'),(25,6073760,'1',201,'N'),(25,6073760,'1A',212,'N'),(25,6073778,'1',214,'N'),(25,6073778,'1A',213,'N'),(25,6073794,'1',5,'N'),(25,6073808,'1',316,'N'),(25,6073816,'1',5,'N'),(25,6073824,'1',207,'N'),(25,6073824,'1A',212,'N'),(25,6073832,'1',104,'N'),(25,6073840,'1',207,'N'),(25,6073840,'1A',201,'N'),(25,6073859,'1',201,'N'),(25,6073859,'1A',220,'N'),(25,6073867,'1',999,'N'),(25,6073875,'1',103,'N'),(25,6073883,'1',655,'N'),(25,6073883,'1A',208,'N'),(25,6073891,'1',201,'N'),(25,6073891,'1A',233,'N'),(25,6073905,'1',415,'N'),(25,6073913,'1',102,'N'),(25,6073921,'1',104,'N'),(25,6073930,'1',201,'N'),(25,6073930,'1A',212,'N'),(25,6073948,'1',502,'N'),(25,6073956,'1',9,'N'),(25,6073980,'1',104,'N'),(25,6074006,'1',201,'N'),(25,6074006,'1A',202,'N'),(25,6074014,'1',207,'N'),(25,6074014,'1A',212,'N'),(25,6074022,'1',101,'N'),(25,6074049,'1',102,'N'),(25,6074057,'1',235,'N'),(25,6074057,'1A',202,'N'),(25,6074065,'1',207,'N'),(25,6074065,'1A',201,'N'),(25,6074073,'1',104,'N'),(25,6074081,'1',103,'N'),(25,6074090,'1',103,'N'),(25,6074103,'1',501,'N'),(25,6074111,'1',103,'N'),(25,6074120,'1',999,'N'),(25,6074138,'1',214,'N'),(25,6074138,'1A',212,'N'),(25,6074146,'1',104,'N'),(25,6074154,'1',340,'N'),(25,6074162,'1',999,'N'),(25,6074189,'1',420,'N'),(25,6074197,'1',303,'N'),(25,6074200,'1',5,'N'),(25,6074219,'1',207,'N'),(25,6074219,'1A',238,'N'),(25,6074227,'1',420,'N'),(25,6074235,'1',103,'N'),(25,6074243,'1',453,'N'),(25,6074251,'1',103,'N'),(25,6074260,'1',220,'N'),(25,6074278,'1',327,'N'),(25,6074294,'1',208,'N'),(25,6074294,'1A',220,'N'),(25,6074308,'1',103,'N'),(25,6074316,'1',103,'N'),(25,6074324,'1',415,'N'),(25,6074332,'1',303,'N'),(25,6074340,'1',103,'N'),(25,6074359,'1',501,'N'),(25,6074367,'1',235,'N'),(25,6074367,'1A',213,'N'),(25,6074375,'1',201,'N'),(25,6074375,'1A',212,'N'),(25,6074405,'1',103,'N'),(25,6074413,'1',551,'N'),(25,6074421,'1',5,'N'),(25,6074430,'1',207,'N'),(25,6074430,'1A',233,'N'),(25,6074456,'1',326,'N'),(25,6074480,'1',216,'N'),(25,6074480,'1A',215,'N'),(25,6074499,'1',234,'N'),(25,6074502,'1',103,'N'),(25,6074510,'1',103,'N'),(25,6074529,'1',238,'N'),(25,6074529,'1A',208,'N'),(25,6074537,'1',201,'N'),(25,6074537,'1A',207,'N'),(25,6074545,'1',104,'N'),(25,6074553,'1',999,'N'),(25,6074561,'1',9,'N'),(25,6074570,'1',999,'N'),(25,6074588,'1',318,'N'),(25,6074600,'1',103,'N'),(25,6074618,'1',108,'N'),(25,6074626,'1',302,'N'),(25,6074634,'1',102,'N'),(25,6074642,'1',336,'N'),(25,6074650,'1',103,'N'),(25,6074669,'1',203,'N'),(25,6074669,'1A',235,'N'),(25,6074677,'1',655,'N'),(25,6074677,'1A',235,'N'),(25,6074685,'1',304,'N'),(25,6074693,'1',501,'N'),(25,6074707,'1',201,'N'),(25,6074707,'1A',212,'N'),(25,6074715,'1',103,'N'),(25,6074723,'1',415,'N'),(25,6074731,'1',319,'N'),(25,6074740,'1',101,'N'),(25,6074766,'1',3,'N'),(25,6074774,'1',340,'N'),(25,6074782,'1',425,'N'),(25,6074782,'1A',426,'N'),(25,6074790,'1',103,'N'),(25,6074812,'1',103,'N'),(25,6074820,'1',212,'N'),(25,6074820,'1A',207,'N'),(25,6074839,'1',340,'N'),(25,6074847,'1',103,'N'),(25,6074855,'1',5,'N'),(25,6074863,'1',103,'N'),(25,6074871,'1',103,'N'),(25,6074880,'1',5,'N'),(25,6074898,'1',109,'N'),(25,6074901,'1',208,'N'),(25,6074901,'1A',201,'N'),(25,6074910,'1',201,'N'),(25,6074910,'1A',212,'N'),(25,6074928,'1',208,'N'),(25,6074936,'1',103,'N'),(25,6074944,'1',2,'N'),(25,6074952,'1',333,'N'),(25,6074960,'1',103,'N'),(25,6074979,'1',103,'N'),(25,6074995,'1',318,'N'),(25,6075002,'1',653,'N'),(25,6075010,'1',340,'N'),(25,6075037,'1',203,'N'),(25,6075037,'1A',214,'N'),(25,6075045,'1',327,'N'),(25,6075053,'1',201,'N'),(25,6075070,'1',308,'N'),(25,6075088,'1',319,'N'),(25,6075096,'1',103,'N'),(25,6075100,'1',216,'N'),(25,6075100,'1A',212,'N'),(25,6075118,'1',220,'N'),(25,6075118,'1A',653,'N'),(25,6075126,'1',238,'N'),(25,6075126,'1A',208,'N'),(25,6075134,'1',102,'N'),(25,6075142,'1',103,'N'),(25,6075177,'1',103,'N'),(25,6075185,'1',302,'N'),(25,6075193,'1',208,'N'),(25,6075193,'1A',238,'N'),(25,6075207,'1',104,'N'),(25,6075223,'1',303,'N'),(25,6075258,'1',103,'N'),(25,6075266,'1',203,'N'),(25,6075266,'1A',201,'N'),(25,6075274,'1',303,'N'),(25,6075290,'1',601,'N'),(25,6075290,'1A',201,'N'),(25,6075304,'1',503,'N'),(25,6075312,'1',103,'N'),(25,6075339,'1',201,'N'),(25,6075339,'1A',212,'N'),(25,6075355,'1',319,'N'),(25,6075363,'1',201,'N'),(25,6075363,'1A',233,'N'),(25,6075371,'1',207,'N'),(25,6075371,'1A',215,'N'),(25,6075380,'1',103,'N'),(25,6075398,'1',201,'N'),(25,6075398,'1A',601,'N'),(25,6075428,'1',302,'N'),(25,6075436,'1',415,'N'),(25,6075444,'1',340,'N'),(25,6075479,'1',103,'N'),(25,6075487,'1',652,'N'),(25,6075487,'1A',655,'N'),(25,6075495,'1',425,'N'),(25,6075495,'1A',421,'N'),(25,6075509,'1',452,'N'),(25,6075517,'1',654,'N'),(25,6075525,'1',103,'N'),(25,6075533,'1',103,'N'),(25,6075541,'1',5,'N'),(25,6075550,'1',103,'N'),(25,6075568,'1',109,'N'),(25,6075576,'1',452,'N'),(25,6075584,'1',103,'N'),(25,6075592,'1',601,'N'),(25,6075592,'1A',213,'N'),(25,6075606,'1',211,'N'),(25,6075606,'1A',233,'N'),(25,6075614,'1',103,'N'),(25,6075622,'1',203,'N'),(25,6075622,'1A',214,'N'),(25,6075630,'1',103,'N'),(25,6075657,'1',316,'N'),(25,6075665,'1',451,'N'),(25,6075673,'1',340,'N'),(25,6075681,'1',103,'N'),(25,6075690,'1',103,'N'),(25,6075703,'1',453,'N'),(25,6075720,'1',220,'N'),(25,6075720,'1A',203,'N'),(25,6075738,'1',601,'N'),(25,6075738,'1A',233,'N'),(25,6075746,'1',207,'N'),(25,6075746,'1A',201,'N'),(25,6075754,'1',310,'N'),(25,6075770,'1',207,'N'),(25,6075770,'1A',203,'N'),(25,6075789,'1',233,'N'),(25,6075789,'1A',235,'N'),(25,6075797,'1',420,'N'),(25,6075800,'1',303,'N'),(25,6075827,'1',308,'N'),(25,6075835,'1',103,'N'),(25,6075843,'1',207,'N'),(25,6075843,'1A',212,'N'),(25,6075851,'1',103,'N'),(25,6075860,'1',425,'N'),(25,6075860,'1A',428,'N'),(25,6075878,'1',340,'N'),(25,6075908,'1',601,'N'),(25,6075916,'1',201,'N'),(25,6075916,'1A',212,'N'),(25,6075924,'1',340,'N'),(25,6075932,'1',207,'N'),(25,6075932,'1A',201,'N'),(25,6075940,'1',425,'N'),(25,6075959,'1',415,'N'),(25,6075975,'1',303,'N'),(25,6075991,'1',503,'N'),(25,6076009,'1',103,'N'),(25,6076017,'1',103,'N'),(25,6076025,'1',103,'N'),(25,6076033,'1',212,'N'),(25,6076033,'1A',235,'N'),(25,6076041,'1',304,'N'),(25,6076050,'1',303,'N'),(25,6076068,'1',103,'N'),(25,6076076,'1',211,'N'),(25,6076076,'1A',215,'N'),(25,6076084,'1',103,'N'),(25,6076114,'1',202,'N'),(25,6076122,'1',104,'N'),(25,6076130,'1',331,'N'),(25,6076149,'1',203,'N'),(25,6076149,'1A',202,'N'),(25,6076157,'1',103,'N'),(25,6076165,'1',103,'N'),(25,6076173,'1',207,'N'),(25,6076173,'1A',201,'N'),(25,6076190,'1',108,'N'),(25,6076203,'1',203,'N'),(25,6076203,'1A',201,'N'),(25,6076211,'1',103,'N'),(25,6076220,'1',103,'N'),(25,6076254,'1',103,'N'),(25,6076262,'1',404,'N'),(25,6076297,'1',104,'N'),(25,6076300,'1',104,'N'),(25,6076319,'1',103,'N'),(25,6076327,'1',207,'N'),(25,6076327,'1A',211,'N'),(25,6076343,'1',101,'N'),(25,6076360,'1',215,'N'),(25,6076360,'1A',211,'N'),(25,6076378,'1',235,'N'),(25,6076378,'1A',202,'N'),(25,6076386,'1',103,'N'),(25,6076394,'1',551,'N'),(25,6076408,'1',9,'N'),(25,6076416,'1',103,'N'),(25,6076424,'1',238,'N'),(25,6076424,'1A',208,'N'),(25,6076432,'1',207,'N'),(25,6076432,'1A',215,'N'),(25,6076440,'1',103,'N'),(25,6076459,'1',109,'N'),(25,6076467,'1',601,'N'),(25,6076467,'1A',216,'N'),(25,6076475,'1',999,'N'),(25,6076483,'1',404,'N'),(25,6076491,'1',103,'N'),(25,6076521,'1',5,'N'),(25,6076548,'1',203,'N'),(25,6076548,'1A',235,'N'),(25,6076556,'1',415,'N'),(25,6076564,'1',203,'N'),(25,6076564,'1A',211,'N'),(25,6076572,'1',104,'N'),(25,6076580,'1',203,'N'),(25,6076580,'1A',201,'N'),(25,6076599,'1',654,'N'),(25,6076602,'1',420,'N'),(25,6076629,'1',103,'N'),(25,6076637,'1',332,'N'),(25,6076645,'1',303,'N'),(25,6076653,'1',336,'N'),(25,6076661,'1',207,'N'),(25,6076661,'1A',201,'N'),(25,6076670,'1',215,'N'),(25,6076670,'1A',216,'N'),(25,6076688,'1',318,'N'),(25,6076696,'1',215,'N'),(25,6076696,'1A',201,'N'),(25,6076700,'1',333,'N'),(25,6076718,'1',450,'N'),(25,6076726,'1',103,'N'),(25,6076734,'1',104,'N'),(25,6076742,'1',404,'N'),(25,6076769,'1',654,'N'),(25,6076777,'1',216,'N'),(25,6076777,'1A',215,'N'),(25,6076793,'1',302,'N'),(25,6076815,'1',103,'N'),(25,6076823,'1',216,'N'),(25,6076823,'1A',202,'N'),(25,6076840,'1',340,'N'),(25,6076858,'1',207,'N'),(25,6076866,'1',301,'N'),(25,6076874,'1',103,'N'),(25,6076882,'1',102,'N'),(25,6076904,'1',201,'N'),(25,6076904,'1A',212,'N'),(25,6076912,'1',5,'N'),(25,6076920,'1',233,'N'),(25,6076920,'1A',211,'N'),(25,6076939,'1',551,'N'),(25,6076955,'1',203,'N'),(25,6076955,'1A',235,'N'),(25,6076963,'1',444,'N'),(25,6076971,'1',220,'N'),(25,6076971,'1A',202,'N'),(25,6076980,'1',103,'N'),(25,6077005,'1',212,'N'),(25,6077005,'1A',201,'N'),(25,6077013,'1',103,'N'),(25,6077021,'1',338,'N'),(25,6077048,'1',103,'N'),(25,6077056,'1',103,'N'),(25,6077064,'1',233,'N'),(25,6077064,'1A',216,'N'),(25,6077072,'1',207,'N'),(25,6077080,'1',302,'N'),(25,6077099,'1',421,'N'),(25,6077099,'1A',427,'N'),(25,6077102,'1',329,'N'),(25,6077110,'1',110,'N'),(25,6077129,'1',318,'N'),(25,6077137,'1',103,'N'),(25,6077145,'1',308,'N'),(25,6077153,'1',333,'N'),(25,6077170,'1',108,'N'),(25,6077188,'1',425,'N'),(25,6077188,'1A',429,'N'),(25,6077196,'1',551,'N'),(25,6077200,'1',303,'N'),(25,6077218,'1',5,'N'),(25,6077226,'1',5,'N'),(25,6077234,'1',201,'N'),(25,6077234,'1A',653,'N'),(25,6077242,'1',302,'N'),(25,6077250,'1',303,'N'),(25,6077269,'1',214,'N'),(25,6077269,'1A',201,'N'),(25,6077277,'1',302,'N'),(25,6077285,'1',103,'N'),(25,6077293,'1',207,'N'),(25,6077315,'1',652,'N'),(25,6077315,'1A',655,'N'),(25,6077323,'1',214,'N'),(25,6077323,'1A',212,'N'),(25,6077331,'1',601,'N'),(25,6077340,'1',303,'N'),(25,6077358,'1',420,'N'),(25,6077374,'1',310,'N'),(25,6077390,'1',303,'N'),(25,6077404,'1',104,'N'),(25,6077412,'1',301,'N'),(25,6077439,'1',202,'N'),(25,6077439,'1A',233,'N'),(25,6077447,'1',103,'N'),(25,6077463,'1',103,'N'),(25,6077471,'1',340,'N'),(25,6077480,'1',103,'N'),(25,6077498,'1',207,'N'),(25,6077498,'1A',201,'N'),(25,6077501,'1',103,'N'),(25,6077510,'1',308,'N'),(25,6077528,'1',501,'N'),(25,6077536,'1',203,'N'),(25,6077552,'1',203,'N'),(25,6077552,'1A',201,'N'),(25,6077560,'1',211,'N'),(25,6077560,'1A',216,'N'),(25,6077579,'1',203,'N'),(25,6077579,'1A',601,'N'),(25,6077587,'1',233,'N'),(25,6077587,'1A',203,'N'),(25,6077595,'1',203,'N'),(25,6077595,'1A',211,'N'),(25,6077617,'1',103,'N'),(25,6077625,'1',9,'N'),(25,6077633,'1',303,'N'),(25,6077641,'1',234,'N'),(25,6077650,'1',303,'N'),(25,6077668,'1',103,'N'),(25,6077684,'1',316,'N'),(25,6077692,'1',207,'N'),(25,6077692,'1A',215,'N'),(25,6077706,'1',103,'N'),(25,6077714,'1',202,'N'),(25,6077714,'1A',208,'N'),(25,6077722,'1',207,'N'),(25,6077722,'1A',601,'N'),(25,6077730,'1',103,'N'),(25,6077749,'1',211,'N'),(25,6077749,'1A',215,'N'),(25,6077757,'1',103,'N'),(25,6077765,'1',203,'N'),(25,6077781,'1',601,'N'),(25,6077803,'1',9,'N'),(25,6077811,'1',319,'N'),(25,6077820,'1',238,'N'),(25,6077820,'1A',208,'N'),(25,6077838,'1',336,'N'),(25,6077854,'1',103,'N'),(25,6077889,'1',308,'N'),(25,6077897,'1',202,'N'),(25,6077900,'1',203,'N'),(25,6077900,'1A',238,'N'),(25,6077919,'1',326,'N'),(25,6077927,'1',103,'N'),(25,6077943,'1',103,'N'),(25,6077951,'1',415,'N'),(25,6077978,'1',502,'N'),(25,6077986,'1',303,'N'),(25,6077994,'1',103,'N'),(25,6078001,'1',453,'N'),(25,6078010,'1',103,'N'),(25,6078028,'1',999,'N'),(25,6078044,'1',502,'N'),(25,6078052,'1',319,'N'),(25,6078060,'1',340,'N'),(25,6078079,'1',653,'N'),(25,6078079,'1A',655,'N'),(25,6078095,'1',214,'N'),(25,6078109,'1',201,'N'),(25,6078109,'1A',212,'N'),(25,6078117,'1',103,'N'),(25,6078125,'1',999,'N'),(25,6078133,'1',103,'N'),(25,6078141,'1',9,'N'),(25,6078150,'1',303,'N'),(25,6078168,'1',214,'N'),(25,6078168,'1A',213,'N'),(25,6078176,'1',102,'N'),(25,6078184,'1',415,'N'),(25,6078192,'1',319,'N'),(25,6078206,'1',101,'N'),(25,6078214,'1',444,'N'),(25,6078222,'1',203,'N'),(25,6078222,'1A',214,'N'),(25,6078230,'1',208,'N'),(25,6078230,'1A',655,'N'),(25,6078257,'1',103,'N'),(25,6078273,'1',103,'N'),(25,6078281,'1',308,'N'),(25,6078290,'1',655,'N'),(25,6078290,'1A',652,'N'),(25,6078303,'1',450,'N'),(25,6078311,'1',201,'N'),(25,6078311,'1A',212,'N'),(25,6078320,'1',502,'N'),(25,6078338,'1',201,'N'),(25,6078338,'1A',203,'N'),(25,6078346,'1',319,'N'),(25,6078354,'1',211,'N'),(25,6078354,'1A',215,'N'),(25,6078389,'1',999,'N'),(25,6078397,'1',303,'N'),(25,6078419,'1',108,'N'),(25,6078427,'1',103,'N'),(25,6078435,'1',103,'N'),(25,6078443,'1',103,'N'),(25,6078451,'1',233,'N'),(25,6078451,'1A',216,'N'),(25,6078460,'1',103,'N'),(25,6078478,'1',103,'N'),(25,6078486,'1',340,'N'),(25,6078494,'1',5,'N'),(25,6078508,'1',207,'N'),(25,6078524,'1',452,'N'),(25,6078532,'1',3,'N'),(25,6078559,'1',213,'N'),(25,6078559,'1A',202,'N'),(25,6078575,'1',653,'N'),(25,6078575,'1A',655,'N'),(25,6078583,'1',211,'N'),(25,6078583,'1A',216,'N'),(25,6078591,'1',103,'N'),(25,6078605,'1',103,'N'),(25,6078613,'1',103,'N'),(25,6078621,'1',201,'N'),(25,6078630,'1',333,'N'),(25,6078648,'1',332,'N'),(25,6078656,'1',301,'N'),(25,6078664,'1',303,'N'),(25,6078672,'1',208,'N'),(25,6078672,'1A',238,'N'),(25,6078680,'1',420,'N'),(25,6078699,'1',316,'N'),(25,6078702,'1',201,'N'),(25,6078702,'1A',233,'N'),(25,6078745,'1',216,'N'),(25,6078745,'1A',215,'N'),(25,6078753,'1',103,'N'),(25,6078770,'1',453,'N'),(25,6078788,'1',103,'N'),(25,6078800,'1',216,'N'),(25,6078800,'1A',235,'N'),(25,6078818,'1',201,'N'),(25,6078818,'1A',207,'N'),(25,6078834,'1',415,'N'),(25,6078842,'1',208,'N'),(25,6078842,'1A',238,'N'),(25,6078850,'1',103,'N'),(25,6078869,'1',303,'N'),(25,6078885,'1',216,'N'),(25,6078885,'1A',233,'N'),(25,6078893,'1',333,'N'),(25,6078907,'1',109,'N'),(25,6078915,'1',103,'N'),(25,6078923,'1',319,'N'),(25,6078931,'1',201,'N'),(25,6078931,'1A',212,'N'),(25,6078940,'1',103,'N'),(25,6078958,'1',211,'N'),(25,6078958,'1A',201,'N'),(25,6078966,'1',214,'N'),(25,6078966,'1A',203,'N'),(25,6078974,'1',203,'N'),(25,6078974,'1A',233,'N'),(25,6078982,'1',203,'N'),(25,6078982,'1A',202,'N'),(25,6079008,'1',201,'N'),(25,6079008,'1A',202,'N'),(25,6079016,'1',207,'N'),(25,6079016,'1A',201,'N'),(25,6079024,'1',103,'N'),(25,6079032,'1',104,'N'),(25,6079040,'1',103,'N'),(25,6079059,'1',203,'N'),(25,6079059,'1A',220,'N'),(25,6079067,'1',318,'N'),(25,6079075,'1',503,'N'),(25,6079083,'1',329,'N'),(25,6079091,'1',109,'N'),(25,6079105,'1',302,'N'),(25,6079121,'1',101,'N'),(25,6079148,'1',103,'N'),(25,6079156,'1',5,'N'),(25,6079164,'1',655,'N'),(25,6079164,'1A',652,'N'),(25,6079172,'1',5,'N'),(25,6079199,'1',103,'N'),(25,6079202,'1',103,'N'),(25,6079237,'1',104,'N'),(25,6079245,'1',207,'N'),(25,6079245,'1A',208,'N'),(25,6079253,'1',103,'N'),(25,6079261,'1',5,'N'),(25,6079270,'1',444,'N'),(25,6079288,'1',103,'N'),(25,6079296,'1',601,'N'),(25,6079296,'1A',207,'N'),(25,6079326,'1',203,'N'),(25,6079326,'1A',214,'N'),(25,6079350,'1',104,'N'),(25,6079369,'1',319,'N'),(25,6079377,'1',103,'N'),(25,6079393,'1',421,'N'),(25,6079393,'1A',423,'N'),(25,6079407,'1',104,'N'),(25,6079415,'1',212,'N'),(25,6079415,'1A',207,'N'),(25,6079431,'1',5,'N'),(25,6079440,'1',415,'N'),(25,6079458,'1',103,'N'),(25,6079466,'1',319,'N'),(25,6079474,'1',333,'N'),(25,6079482,'1',426,'N'),(25,6079482,'1A',427,'N'),(25,6079504,'1',336,'N'),(25,6079512,'1',103,'N'),(25,6079520,'1',2,'N'),(25,6079539,'1',211,'N'),(25,6079539,'1A',215,'N'),(25,6079555,'1',450,'N'),(25,6079563,'1',103,'N'),(25,6079571,'1',404,'N'),(25,6079580,'1',201,'N'),(25,6079580,'1A',212,'N'),(25,6079598,'1',653,'N'),(25,6079598,'1A',652,'N'),(25,6079601,'1',104,'N'),(25,6079610,'1',104,'N'),(25,6079636,'1',104,'N'),(25,6079644,'1',324,'N'),(25,6079660,'1',103,'N'),(25,6079679,'1',453,'N'),(25,6079687,'1',207,'N'),(25,6079687,'1A',215,'N'),(25,6079709,'1',207,'N'),(25,6079709,'1A',201,'N'),(25,6079717,'1',234,'N'),(25,6079733,'1',103,'N'),(25,6079741,'1',444,'N'),(25,6079750,'1',207,'N'),(25,6079750,'1A',201,'N'),(25,6079768,'1',103,'N'),(25,6079776,'1',103,'N'),(25,6079784,'1',332,'N'),(25,6079792,'1',9,'N'),(25,6079806,'1',308,'N'),(25,6079822,'1',201,'N'),(25,6079822,'1A',212,'N'),(25,6079849,'1',207,'N'),(25,6079849,'1A',201,'N'),(25,6079857,'1',5,'N'),(25,6079881,'1',452,'N'),(25,6079890,'1',103,'N'),(25,6079903,'1',103,'N'),(25,6079911,'1',319,'N'),(25,6079920,'1',207,'N'),(25,6079920,'1A',220,'N'),(25,6079938,'1',319,'N'),(25,6079946,'1',5,'N'),(25,6079962,'1',551,'N'),(25,6079970,'1',207,'N'),(25,6079970,'1A',203,'N'),(25,6080006,'1',303,'N'),(25,6080030,'1',103,'N'),(25,6080049,'1',202,'N'),(25,6080049,'1A',220,'N'),(25,6080057,'1',336,'N'),(25,6080073,'1',5,'N'),(25,6080081,'1',208,'N'),(25,6080081,'1A',238,'N'),(25,6080090,'1',304,'N'),(25,6080103,'1',108,'N'),(25,6080111,'1',103,'N'),(25,6080120,'1',223,'N'),(25,6080146,'1',5,'N'),(25,6080154,'1',302,'N'),(25,6080170,'1',303,'N'),(25,6080197,'1',238,'N'),(25,6080197,'1A',202,'N'),(25,6080200,'1',103,'N'),(25,6080219,'1',319,'N'),(25,6080227,'1',102,'N'),(25,6080243,'1',108,'N'),(25,6080251,'1',203,'N'),(25,6080251,'1A',211,'N'),(25,6080260,'1',316,'N'),(25,6080278,'1',103,'N'),(25,6080294,'1',303,'N'),(25,6080316,'1',333,'N'),(25,6080324,'1',203,'N'),(25,6080324,'1A',201,'N'),(25,6080332,'1',203,'N'),(25,6080332,'1A',601,'N'),(25,6080340,'1',303,'N'),(25,6080367,'1',501,'N'),(25,6080375,'1',104,'N'),(25,6080391,'1',103,'N'),(25,6080405,'1',2,'N'),(25,6080413,'1',340,'N'),(25,6080430,'1',108,'N'),(25,6080464,'1',110,'N'),(25,6080472,'1',103,'N'),(25,6080499,'1',301,'N'),(25,6080502,'1',319,'N'),(25,6080529,'1',319,'N'),(25,6080537,'1',5,'N'),(25,6080545,'1',453,'N'),(25,6080570,'1',203,'N'),(25,6080570,'1A',201,'N'),(25,6080596,'1',999,'N'),(25,6080600,'1',303,'N'),(25,6080626,'1',104,'N'),(25,6080634,'1',319,'N'),(25,6080642,'1',316,'N'),(25,6080650,'1',601,'N'),(25,6080650,'1A',201,'N'),(25,6080669,'1',316,'N'),(25,6080677,'1',103,'N'),(25,6080685,'1',601,'N'),(25,6080693,'1',420,'N'),(25,6080707,'1',103,'N'),(25,6080715,'1',5,'N'),(25,6080723,'1',202,'N'),(25,6080723,'1A',653,'N'),(25,6080731,'1',203,'N'),(25,6080731,'1A',601,'N'),(25,6080766,'1',233,'N'),(25,6080766,'1A',216,'N'),(25,6080812,'1',653,'N'),(25,6080812,'1A',202,'N'),(25,6080847,'1',450,'N'),(25,6080855,'1',326,'N'),(25,6080863,'1',301,'N'),(25,6080871,'1',103,'N'),(25,6080880,'1',103,'N'),(25,6080898,'1',5,'N'),(25,6080910,'1',652,'N'),(25,6080910,'1A',653,'N'),(25,6080928,'1',103,'N'),(25,6080936,'1',319,'N'),(25,6080944,'1',103,'N'),(25,6080987,'1',110,'N'),(25,6080995,'1',203,'N'),(25,6080995,'1A',214,'N'),(25,6081002,'1',319,'N'),(25,6081010,'1',654,'N'),(25,6081029,'1',103,'N'),(25,6081037,'1',450,'N'),(25,6081053,'1',201,'N'),(25,6081053,'1A',211,'N'),(25,6081061,'1',109,'N'),(25,6081070,'1',451,'N'),(25,6081088,'1',103,'N'),(25,6081100,'1',207,'N'),(25,6081100,'1A',201,'N'),(25,6081118,'1',316,'N'),(25,6081126,'1',207,'N'),(25,6081134,'1',238,'N'),(25,6081134,'1A',207,'N'),(25,6081150,'1',207,'N'),(25,6081150,'1A',201,'N'),(25,6081177,'1',104,'N'),(25,6081185,'1',103,'N'),(25,6081223,'1',103,'N'),(25,6081231,'1',319,'N'),(25,6081258,'1',338,'N'),(25,6081282,'1',103,'N'),(25,6081320,'1',319,'N'),(25,6081339,'1',203,'N'),(25,6081339,'1A',208,'N'),(25,6081347,'1',101,'N'),(25,6081363,'1',201,'N'),(25,6081363,'1A',212,'N'),(25,6081371,'1',101,'N'),(25,6081380,'1',308,'N'),(25,6081398,'1',203,'N'),(25,6081398,'1A',235,'N'),(25,6081410,'1',404,'N'),(25,6081428,'1',220,'N'),(25,6081428,'1A',235,'N'),(25,6081436,'1',451,'N'),(25,6081444,'1',304,'N'),(25,6081452,'1',103,'N'),(25,6081479,'1',203,'N'),(25,6081487,'1',103,'N'),(25,6081509,'1',103,'N'),(25,6081517,'1',235,'N'),(25,6081517,'1A',213,'N'),(25,6081525,'1',427,'N'),(25,6081525,'1A',424,'N'),(25,6081541,'1',238,'N'),(25,6081550,'1',103,'N'),(25,6081568,'1',426,'N'),(25,6081568,'1A',428,'N'),(25,6081576,'1',102,'N'),(25,6081606,'1',102,'N'),(25,6081614,'1',201,'N'),(25,6081614,'1A',213,'N'),(25,6081622,'1',104,'N'),(25,6081630,'1',317,'N'),(25,6081649,'1',303,'N'),(25,6081657,'1',104,'N'),(25,6081665,'1',551,'N'),(25,6081681,'1',502,'N'),(25,6081738,'1',103,'N'),(25,6081754,'1',415,'N'),(25,6081762,'1',451,'N'),(25,6081770,'1',103,'N'),(25,6081789,'1',103,'N'),(25,6081800,'1',203,'N'),(25,6081800,'1A',601,'N'),(25,6081819,'1',201,'N'),(25,6081827,'1',238,'N'),(25,6081827,'1A',208,'N'),(25,6081835,'1',425,'N'),(25,6081835,'1A',429,'N'),(25,6081851,'1',103,'N'),(25,6081860,'1',337,'N'),(25,6081878,'1',316,'N'),(25,6081886,'1',103,'N'),(25,6081894,'1',999,'N'),(25,6081908,'1',207,'N'),(25,6081908,'1A',201,'N'),(25,6081916,'1',319,'N'),(25,6081924,'1',225,'N'),(25,6081940,'1',220,'N'),(25,6081940,'1A',208,'N'),(25,6081959,'1',404,'N'),(25,6081967,'1',208,'N'),(25,6081967,'1A',235,'N'),(25,6081983,'1',9,'N'),(25,6081991,'1',303,'N'),(25,6082009,'1',316,'N'),(25,6082033,'1',211,'N'),(25,6082033,'1A',220,'N'),(25,6082041,'1',318,'N'),(25,6082050,'1',201,'N'),(25,6082050,'1A',212,'N'),(25,6082068,'1',415,'N'),(25,6082092,'1',308,'N'),(25,6082106,'1',207,'N'),(25,6082106,'1A',203,'N'),(25,6082114,'1',317,'N'),(25,6082122,'1',444,'N'),(25,6082130,'1',415,'N'),(25,6082149,'1',303,'N'),(25,6082157,'1',452,'N'),(25,6082165,'1',102,'N'),(25,6082173,'1',104,'N'),(25,6082181,'1',317,'N'),(25,6082190,'1',207,'N'),(25,6082190,'1A',201,'N'),(25,6082220,'1',235,'N'),(25,6082220,'1A',233,'N'),(25,6082246,'1',103,'N'),(25,6082254,'1',238,'N'),(25,6082254,'1A',220,'N'),(25,6082262,'1',601,'N'),(25,6082262,'1A',207,'N'),(25,6082270,'1',332,'N'),(25,6082297,'1',103,'N'),(25,6082300,'1',327,'N'),(25,6082319,'1',5,'N'),(25,6082327,'1',103,'N'),(25,6082335,'1',101,'N'),(25,6082343,'1',424,'N'),(25,6082343,'1A',429,'N'),(25,6082351,'1',655,'N'),(25,6082351,'1A',653,'N'),(25,6082360,'1',9,'N'),(25,6082378,'1',301,'N'),(25,6082386,'1',501,'N'),(25,6082394,'1',102,'N'),(25,6082424,'1',301,'N'),(25,6082432,'1',103,'N'),(25,6082440,'1',304,'N'),(25,6082459,'1',320,'N'),(25,6082467,'1',103,'N'),(25,6082475,'1',202,'N'),(25,6082475,'1A',208,'N'),(25,6082483,'1',601,'N'),(25,6082483,'1A',201,'N'),(25,6082491,'1',207,'N'),(25,6082491,'1A',201,'N'),(25,6082505,'1',203,'N'),(25,6082505,'1A',235,'N'),(25,6082513,'1',205,'N'),(25,6082548,'1',452,'N'),(25,6082556,'1',335,'N'),(25,6082572,'1',203,'N'),(25,6082572,'1A',601,'N'),(25,6082599,'1',103,'N'),(25,6082610,'1',301,'N'),(25,6082629,'1',319,'N'),(25,6082637,'1',317,'N'),(25,6082653,'1',317,'N'),(25,6082661,'1',103,'N'),(25,6082670,'1',103,'N'),(25,6082688,'1',9,'N'),(25,6082700,'1',103,'N'),(25,6082718,'1',212,'N'),(25,6082718,'1A',233,'N'),(25,6082750,'1',103,'N'),(25,6082769,'1',501,'N'),(25,6082785,'1',450,'N'),(25,6082793,'1',101,'N'),(25,6082807,'1',335,'N'),(25,6082815,'1',302,'N'),(25,6082840,'1',203,'N'),(25,6082840,'1A',201,'N'),(25,6082866,'1',103,'N'),(25,6082890,'1',223,'N'),(25,6082904,'1',104,'N'),(25,6082912,'1',212,'N'),(25,6082912,'1A',220,'N'),(25,6082920,'1',103,'N'),(25,6082939,'1',104,'N'),(25,6082947,'1',108,'N'),(25,6082955,'1',201,'N'),(25,6082955,'1A',202,'N'),(25,6082971,'1',201,'N'),(25,6082971,'1A',212,'N'),(25,6082980,'1',101,'N'),(25,6082998,'1',415,'N'),(25,6083013,'1',429,'N'),(25,6083013,'1A',425,'N'),(25,6083030,'1',428,'N'),(25,6083030,'1A',424,'N'),(25,6083048,'1',215,'N'),(25,6083048,'1A',201,'N'),(25,6083056,'1',201,'N'),(25,6083056,'1A',202,'N'),(25,6083064,'1',303,'N'),(25,6083072,'1',103,'N'),(25,6083080,'1',225,'N'),(25,6083102,'1',103,'N'),(25,6083110,'1',304,'N'),(25,6083129,'1',340,'N'),(25,6083137,'1',238,'N'),(25,6083137,'1A',203,'N'),(25,6083145,'1',103,'N'),(25,6083153,'1',103,'N'),(25,6083161,'1',104,'N'),(25,6083188,'1',233,'N'),(25,6083188,'1A',216,'N'),(25,6083196,'1',340,'N'),(25,6083200,'1',340,'N'),(25,6083218,'1',103,'N'),(25,6083226,'1',103,'N'),(25,6083234,'1',308,'N'),(25,6083250,'1',103,'N'),(25,6083269,'1',103,'N'),(25,6083277,'1',601,'N'),(25,6083277,'1A',203,'N'),(25,6083285,'1',103,'N'),(25,6083293,'1',203,'N'),(25,6083293,'1A',214,'N'),(25,6083307,'1',103,'N'),(25,6083315,'1',203,'N'),(25,6083315,'1A',212,'N'),(25,6083323,'1',103,'N'),(25,6083340,'1',2,'N'),(25,6083358,'1',104,'N'),(25,6083366,'1',202,'N'),(25,6083366,'1A',213,'N'),(25,6083382,'1',999,'N'),(25,6083390,'1',5,'N'),(25,6083412,'1',233,'N'),(25,6083420,'1',202,'N'),(25,6083439,'1',202,'N'),(25,6083439,'1A',653,'N'),(25,6083447,'1',208,'N'),(25,6083447,'1A',220,'N'),(25,6083455,'1',423,'N'),(25,6083455,'1A',427,'N'),(25,6083463,'1',213,'N'),(25,6083463,'1A',235,'N'),(25,6083471,'1',212,'N'),(25,6083471,'1A',202,'N'),(25,6083498,'1',203,'N'),(25,6083498,'1A',202,'N'),(25,6083501,'1',234,'N'),(25,6083510,'1',238,'N'),(25,6083510,'1A',207,'N'),(25,6083536,'1',303,'N'),(25,6083544,'1',103,'N'),(25,6083552,'1',201,'N'),(25,6083560,'1',303,'N'),(25,6083579,'1',108,'N'),(25,6083587,'1',3,'N'),(25,6083609,'1',103,'N'),(25,6083617,'1',103,'N'),(25,6083625,'1',415,'N'),(25,6083633,'1',453,'N'),(25,6083650,'1',220,'N'),(25,6083650,'1A',214,'N'),(25,6083668,'1',303,'N'),(25,6083684,'1',211,'N'),(25,6083692,'1',108,'N'),(25,6083722,'1',208,'N'),(25,6083722,'1A',238,'N'),(25,6083749,'1',303,'N'),(25,6083757,'1',207,'N'),(25,6083757,'1A',201,'N'),(25,6083765,'1',212,'N'),(25,6083765,'1A',214,'N'),(25,6083773,'1',104,'N'),(25,6083781,'1',203,'N'),(25,6083781,'1A',214,'N'),(25,6083790,'1',319,'N'),(25,6083803,'1',103,'N'),(25,6083811,'1',104,'N'),(25,6083838,'1',303,'N'),(25,6083846,'1',303,'N'),(25,6083854,'1',9,'N'),(25,6083862,'1',103,'N'),(25,6083870,'1',222,'N'),(25,6083889,'1',103,'N'),(25,6083900,'1',216,'N'),(25,6083900,'1A',203,'N'),(25,6083919,'1',109,'N'),(25,6083927,'1',420,'N'),(25,6083935,'1',424,'N'),(25,6083935,'1A',423,'N'),(25,6083960,'1',201,'N'),(25,6083960,'1A',207,'N'),(25,6083986,'1',304,'N'),(25,6083994,'1',3,'N'),(25,6084010,'1',103,'N'),(25,6084028,'1',103,'N'),(25,6084036,'1',999,'N'),(25,6084052,'1',304,'N'),(25,6084060,'1',601,'N'),(25,6084079,'1',3,'N'),(25,6084087,'1',203,'N'),(25,6084087,'1A',233,'N'),(25,6084095,'1',203,'N'),(25,6084109,'1',319,'N'),(25,6084133,'1',340,'N'),(25,6084150,'1',216,'N'),(25,6084176,'1',425,'N'),(25,6084176,'1A',429,'N'),(25,6084184,'1',103,'N'),(25,6084192,'1',415,'N'),(25,6084206,'1',103,'N'),(25,6084214,'1',316,'N'),(25,6084222,'1',601,'N'),(25,6084222,'1A',202,'N'),(25,6084230,'1',203,'N'),(25,6084230,'1A',214,'N'),(25,6084249,'1',301,'N'),(25,6084265,'1',317,'N'),(25,6084273,'1',444,'N'),(25,6084290,'1',308,'N'),(25,6084303,'1',220,'N'),(25,6084311,'1',103,'N'),(25,6084320,'1',235,'N'),(25,6084320,'1A',220,'N'),(25,6084338,'1',301,'N'),(25,6084354,'1',201,'N'),(25,6084354,'1A',202,'N'),(25,6084362,'1',103,'N'),(25,6084370,'1',103,'N'),(25,6084389,'1',333,'N'),(25,6084397,'1',102,'N'),(25,6084400,'1',103,'N'),(25,6084419,'1',308,'N'),(25,6084427,'1',211,'N'),(25,6084427,'1A',207,'N'),(25,6084435,'1',103,'N'),(25,6084443,'1',103,'N'),(25,6084451,'1',202,'N'),(25,6084451,'1A',208,'N'),(25,6084460,'1',5,'N'),(25,6084478,'1',201,'N'),(25,6084486,'1',319,'N'),(25,6084508,'1',319,'N'),(25,6084516,'1',5,'N'),(25,6084559,'1',109,'N'),(25,6084567,'1',103,'N'),(25,6084583,'1',320,'N'),(25,6084605,'1',303,'N'),(25,6084621,'1',103,'N'),(25,6084648,'1',104,'N'),(25,6084656,'1',108,'N'),(25,6084664,'1',211,'N'),(25,6084664,'1A',653,'N'),(25,6084672,'1',428,'N'),(25,6084672,'1A',426,'N'),(25,6084680,'1',428,'N'),(25,6084680,'1A',423,'N'),(25,6084699,'1',104,'N'),(25,6084702,'1',320,'N'),(25,6084710,'1',203,'N'),(25,6084710,'1A',214,'N'),(25,6084737,'1',317,'N'),(25,6084745,'1',425,'N'),(25,6084745,'1A',428,'N'),(25,6084753,'1',404,'N'),(25,6084761,'1',420,'N'),(25,6084770,'1',103,'N'),(25,6084788,'1',207,'N'),(25,6084788,'1A',201,'N'),(25,6084796,'1',404,'N'),(25,6084800,'1',415,'N'),(25,6084818,'1',207,'N'),(25,6084818,'1A',211,'N'),(25,6084826,'1',326,'N'),(25,6084834,'1',653,'N'),(25,6084834,'1A',655,'N'),(25,6084842,'1',5,'N'),(25,6084850,'1',110,'N'),(25,6084869,'1',103,'N'),(25,6084877,'1',203,'N'),(25,6084877,'1A',220,'N'),(25,6084885,'1',308,'N'),(25,6084893,'1',103,'N'),(25,6084923,'1',5,'N'),(25,6084931,'1',444,'N'),(25,6084940,'1',104,'N'),(25,6084958,'1',999,'N'),(25,6084966,'1',205,'N'),(25,6084990,'1',319,'N'),(25,6085008,'1',302,'N'),(25,6085016,'1',103,'N'),(25,6085024,'1',103,'N'),(25,6085032,'1',103,'N'),(25,6085040,'1',203,'N'),(25,6085040,'1A',601,'N'),(25,6085059,'1',234,'N'),(25,6085067,'1',303,'N'),(25,6085075,'1',332,'N'),(25,6085083,'1',103,'N'),(25,6085113,'1',103,'N'),(25,6085121,'1',103,'N'),(25,6085148,'1',201,'N'),(25,6085148,'1A',207,'N'),(25,6085156,'1',207,'N'),(25,6085156,'1A',238,'N'),(25,6085164,'1',415,'N'),(25,6085172,'1',207,'N'),(25,6085172,'1A',201,'N'),(25,6085180,'1',110,'N'),(25,6085199,'1',103,'N'),(25,6085210,'1',216,'N'),(25,6085210,'1A',212,'N'),(25,6085229,'1',103,'N'),(25,6085237,'1',216,'N'),(25,6085237,'1A',215,'N'),(25,6085245,'1',5,'N'),(25,6085253,'1',304,'N'),(25,6085270,'1',601,'N'),(25,6085270,'1A',235,'N'),(25,6085288,'1',317,'N'),(25,6085296,'1',301,'N'),(25,6085334,'1',103,'N'),(25,6085350,'1',336,'N'),(25,6085369,'1',5,'N'),(25,6085377,'1',339,'N'),(25,6085385,'1',428,'N'),(25,6085385,'1A',426,'N'),(25,6085393,'1',103,'N'),(25,6085407,'1',110,'N'),(25,6085423,'1',103,'N'),(25,6085431,'1',335,'N'),(25,6085440,'1',220,'N'),(25,6085440,'1A',203,'N'),(25,6085458,'1',103,'N'),(25,6085474,'1',103,'N'),(25,6085504,'1',601,'N'),(25,6085504,'1A',207,'N'),(25,6085512,'1',109,'N'),(25,6085520,'1',104,'N'),(25,6085547,'1',103,'N'),(25,6085563,'1',9,'N'),(25,6085571,'1',317,'N'),(25,6085580,'1',220,'N'),(25,6085580,'1A',203,'N'),(25,6085598,'1',103,'N'),(25,6085601,'1',652,'N'),(25,6085601,'1A',238,'N'),(25,6085610,'1',103,'N'),(25,6085628,'1',103,'N'),(25,6085636,'1',235,'N'),(25,6085636,'1A',233,'N'),(25,6085644,'1',999,'N'),(25,6085652,'1',653,'N'),(25,6085652,'1A',211,'N'),(25,6085660,'1',551,'N'),(25,6085679,'1',216,'N'),(25,6085687,'1',103,'N'),(25,6085695,'1',201,'N'),(25,6085695,'1A',211,'N'),(25,6085709,'1',202,'N'),(25,6085709,'1A',653,'N'),(25,6085717,'1',103,'N'),(25,6085725,'1',103,'N'),(25,6085741,'1',340,'N'),(25,6085750,'1',5,'N'),(25,6085792,'1',110,'N'),(25,6085806,'1',501,'N'),(25,6085814,'1',103,'N'),(25,6085822,'1',304,'N'),(25,6085830,'1',303,'N'),(25,6085849,'1',104,'N'),(25,6085857,'1',104,'N'),(25,6085865,'1',428,'N'),(25,6085873,'1',340,'N'),(25,6085881,'1',207,'N'),(25,6085890,'1',220,'N'),(25,6085890,'1A',203,'N'),(25,6085911,'1',103,'N'),(25,6085920,'1',102,'N'),(25,6085938,'1',103,'N'),(25,6085954,'1',216,'N'),(25,6085954,'1A',203,'N'),(25,6085962,'1',203,'N'),(25,6085962,'1A',214,'N'),(25,6085970,'1',316,'N'),(25,6085997,'1',201,'N'),(25,6085997,'1A',207,'N'),(25,6086012,'1',103,'N'),(25,6086020,'1',211,'N'),(25,6086020,'1A',233,'N'),(25,6086039,'1',103,'N'),(25,6086047,'1',215,'N'),(25,6086047,'1A',216,'N'),(25,6086055,'1',212,'N'),(25,6086055,'1A',214,'N'),(25,6086063,'1',110,'N'),(25,6086071,'1',104,'N'),(25,6086098,'1',304,'N'),(25,6086110,'1',103,'N'),(25,6086128,'1',302,'N'),(25,6086136,'1',108,'N'),(25,6086144,'1',104,'N'),(25,6086152,'1',207,'N'),(25,6086152,'1A',211,'N'),(25,6086160,'1',653,'N'),(25,6086160,'1A',215,'N'),(25,6086179,'1',444,'N'),(25,6086187,'1',415,'N'),(25,6086217,'1',316,'N'),(25,6086225,'1',222,'N'),(25,6086233,'1',202,'N'),(25,6086233,'1A',213,'N'),(25,6086250,'1',501,'N'),(25,6086284,'1',103,'N'),(25,6086292,'1',5,'N'),(25,6086306,'1',201,'N'),(25,6086306,'1A',207,'N'),(25,6086314,'1',201,'N'),(25,6086322,'1',327,'N'),(25,6086330,'1',235,'N'),(25,6086330,'1A',202,'N'),(25,6086349,'1',214,'N'),(25,6086349,'1A',212,'N'),(25,6086357,'1',104,'N'),(25,6086365,'1',310,'N'),(25,6086373,'1',103,'N'),(25,6086381,'1',103,'N'),(25,6086390,'1',103,'N'),(25,6086403,'1',103,'N'),(25,6086411,'1',999,'N'),(25,6086420,'1',5,'N'),(25,6086446,'1',103,'N'),(25,6086462,'1',5,'N'),(25,6086470,'1',415,'N'),(25,6086500,'1',415,'N'),(25,6086519,'1',216,'N'),(25,6086519,'1A',201,'N'),(25,6086527,'1',103,'N'),(25,6086535,'1',207,'N'),(25,6086535,'1A',238,'N'),(25,6086586,'1',223,'N'),(25,6086594,'1',235,'N'),(25,6086594,'1A',202,'N'),(25,6086608,'1',327,'N'),(25,6086616,'1',203,'N'),(25,6086616,'1A',214,'N'),(25,6086624,'1',999,'N'),(25,6086632,'1',207,'N'),(25,6086632,'1A',201,'N'),(25,6086640,'1',103,'N'),(25,6086659,'1',444,'N'),(25,6086667,'1',601,'N'),(25,6086667,'1A',220,'N'),(25,6086675,'1',214,'N'),(25,6086675,'1A',213,'N'),(25,6086683,'1',238,'N'),(25,6086683,'1A',208,'N'),(25,6086691,'1',328,'N'),(25,6086705,'1',203,'N'),(25,6086721,'1',208,'N'),(25,6086721,'1A',235,'N'),(25,6086730,'1',103,'N'),(25,6086756,'1',452,'N'),(25,6086764,'1',103,'N'),(25,6086772,'1',303,'N'),(25,6086799,'1',5,'N'),(25,6086802,'1',214,'N'),(25,6086802,'1A',207,'N'),(25,6086829,'1',317,'N'),(25,6086837,'1',208,'N'),(25,6086837,'1A',235,'N'),(25,6086845,'1',302,'N'),(25,6086853,'1',103,'N'),(25,6086861,'1',320,'N'),(25,6086888,'1',216,'N'),(25,6086888,'1A',203,'N'),(25,6086896,'1',207,'N'),(25,6086896,'1A',212,'N'),(25,6086900,'1',104,'N'),(25,6086918,'1',9,'N'),(25,6086926,'1',207,'N'),(25,6086926,'1A',201,'N'),(25,6086934,'1',101,'N'),(25,6086950,'1',203,'N'),(25,6086950,'1A',220,'N'),(25,6086969,'1',303,'N'),(25,6086977,'1',207,'N'),(25,6086977,'1A',233,'N'),(25,6086985,'1',103,'N'),(25,6087027,'1',336,'N'),(25,6087035,'1',320,'N'),(25,6087043,'1',238,'N'),(25,6087043,'1A',201,'N'),(25,6087051,'1',216,'N'),(25,6087078,'1',103,'N'),(25,6087108,'1',340,'N'),(25,6087116,'1',103,'N'),(25,6087124,'1',103,'N'),(25,6087132,'1',108,'N'),(25,6087140,'1',203,'N'),(25,6087140,'1A',216,'N'),(25,6087175,'1',319,'N'),(25,6087183,'1',207,'N'),(25,6087183,'1A',601,'N'),(25,6087191,'1',444,'N'),(25,6087205,'1',101,'N'),(25,6087213,'1',333,'N'),(25,6087221,'1',3,'N'),(25,6087256,'1',5,'N'),(25,6087264,'1',103,'N'),(25,6087272,'1',5,'N'),(25,6087280,'1',301,'N'),(25,6087299,'1',103,'N'),(25,6087329,'1',502,'N'),(25,6087337,'1',214,'N'),(25,6087337,'1A',212,'N'),(25,6087345,'1',220,'N'),(25,6087345,'1A',211,'N'),(25,6087353,'1',324,'N'),(25,6087370,'1',207,'N'),(25,6087370,'1A',211,'N'),(25,6087388,'1',201,'N'),(25,6087388,'1A',211,'N'),(25,6087396,'1',103,'N'),(25,6087400,'1',108,'N'),(25,6087418,'1',103,'N'),(25,6087426,'1',415,'N'),(25,6087434,'1',201,'N'),(25,6087434,'1A',211,'N'),(25,6087442,'1',301,'N'),(25,6087450,'1',2,'N'),(25,6087477,'1',207,'N'),(25,6087477,'1A',201,'N'),(25,6087485,'1',303,'N'),(25,6087493,'1',303,'N'),(25,6087507,'1',216,'N'),(25,6087507,'1A',201,'N'),(25,6087515,'1',201,'N'),(25,6087515,'1A',202,'N'),(25,6087523,'1',103,'N'),(25,6087531,'1',103,'N'),(25,6087540,'1',450,'N'),(25,6087566,'1',653,'N'),(25,6087566,'1A',655,'N'),(25,6087574,'1',999,'N'),(25,6087604,'1',340,'N'),(25,6087612,'1',103,'N'),(25,6087620,'1',103,'N'),(25,6087647,'1',304,'N'),(25,6087655,'1',453,'N'),(25,6087663,'1',201,'N'),(25,6087663,'1A',212,'N'),(25,6087671,'1',333,'N'),(25,6087701,'1',9,'N'),(25,6087710,'1',235,'N'),(25,6087710,'1A',208,'N'),(25,6087736,'1',201,'N'),(25,6087736,'1A',601,'N'),(25,6087760,'1',103,'N'),(25,6087779,'1',103,'N'),(25,6087787,'1',420,'N'),(25,6087809,'1',238,'N'),(25,6087809,'1A',201,'N'),(25,6087817,'1',326,'N'),(25,6087825,'1',103,'N'),(25,6087833,'1',201,'N'),(25,6087833,'1A',207,'N'),(25,6087841,'1',502,'N'),(25,6087876,'1',201,'N'),(25,6087876,'1A',202,'N'),(25,6087892,'1',415,'N'),(25,6087914,'1',216,'N'),(25,6087914,'1A',215,'N'),(25,6087922,'1',303,'N'),(25,6087930,'1',303,'N'),(25,6087949,'1',303,'N'),(25,6087957,'1',451,'N'),(25,6087965,'1',104,'N'),(25,6087973,'1',308,'N'),(25,6087981,'1',211,'N'),(25,6087981,'1A',215,'N'),(25,6087990,'1',404,'N'),(25,6088007,'1',207,'N'),(25,6088007,'1A',212,'N'),(25,6088015,'1',207,'N'),(25,6088015,'1A',208,'N'),(25,6088023,'1',233,'N'),(25,6088023,'1A',220,'N'),(25,6088031,'1',452,'N'),(25,6088040,'1',104,'N'),(25,6088058,'1',110,'N'),(25,6088082,'1',207,'N'),(25,6088082,'1A',211,'N'),(25,6088112,'1',5,'N'),(25,6088139,'1',421,'N'),(25,6088139,'1A',425,'N'),(25,6088147,'1',203,'N'),(25,6088147,'1A',201,'N'),(25,6088155,'1',201,'N'),(25,6088155,'1A',203,'N'),(25,6088163,'1',211,'N'),(25,6088163,'1A',233,'N'),(25,6088171,'1',333,'N'),(25,6088180,'1',303,'N'),(25,6088198,'1',309,'N'),(25,6088201,'1',207,'N'),(25,6088201,'1A',201,'N'),(25,6088210,'1',205,'N'),(25,6088228,'1',316,'N'),(25,6088236,'1',109,'N'),(25,6088252,'1',316,'N'),(25,6088260,'1',103,'N'),(25,6088279,'1',501,'N'),(25,6088295,'1',103,'N'),(25,6088309,'1',211,'N'),(25,6088309,'1A',201,'N'),(25,6088317,'1',216,'N'),(25,6088317,'1A',235,'N'),(25,6088333,'1',444,'N'),(25,6088341,'1',999,'N'),(25,6088350,'1',203,'N'),(25,6088368,'1',425,'N'),(25,6088368,'1A',427,'N'),(25,6088376,'1',331,'N'),(25,6088384,'1',234,'N'),(25,6088392,'1',216,'N'),(25,6088414,'1',103,'N'),(25,6088422,'1',103,'N'),(25,6088449,'1',303,'N'),(25,6088457,'1',304,'N'),(25,6088465,'1',202,'N'),(25,6088465,'1A',235,'N'),(25,6088473,'1',303,'N'),(25,6088490,'1',202,'N'),(25,6088490,'1A',213,'N'),(25,6088503,'1',201,'N'),(25,6088503,'1A',207,'N'),(25,6088511,'1',233,'N'),(25,6088511,'1A',215,'N'),(25,6088538,'1',304,'N'),(25,6088546,'1',318,'N'),(25,6088562,'1',212,'N'),(25,6088562,'1A',601,'N'),(25,6088570,'1',340,'N'),(25,6088589,'1',653,'N'),(25,6088597,'1',207,'N'),(25,6088597,'1A',201,'N'),(25,6088600,'1',303,'N'),(25,6088627,'1',203,'N'),(25,6088627,'1A',214,'N'),(25,6088635,'1',103,'N'),(25,6088651,'1',340,'N'),(25,6088660,'1',238,'N'),(25,6088660,'1A',655,'N'),(25,6088678,'1',303,'N'),(25,6088686,'1',103,'N'),(25,6088708,'1',999,'N'),(25,6088716,'1',308,'N'),(25,6088724,'1',999,'N'),(25,6088732,'1',316,'N'),(25,6088740,'1',103,'N'),(25,6088775,'1',224,'N'),(25,6088783,'1',203,'N'),(25,6088783,'1A',220,'N'),(25,6088791,'1',201,'N'),(25,6088791,'1A',653,'N'),(25,6088805,'1',214,'N'),(25,6088805,'1A',201,'N'),(25,6088813,'1',203,'N'),(25,6088813,'1A',201,'N'),(25,6088821,'1',233,'N'),(25,6088821,'1A',203,'N'),(25,6088830,'1',103,'N'),(25,6088848,'1',5,'N'),(25,6088856,'1',103,'N'),(25,6088864,'1',103,'N'),(25,6088872,'1',103,'N'),(25,6088899,'1',108,'N'),(25,6088902,'1',203,'N'),(25,6088902,'1A',233,'N'),(25,6088910,'1',303,'N'),(25,6088929,'1',319,'N'),(25,6088937,'1',103,'N'),(25,6088945,'1',654,'N'),(25,6088953,'1',109,'N'),(25,6088961,'1',203,'N'),(25,6088961,'1A',202,'N'),(25,6088970,'1',304,'N'),(25,6088988,'1',103,'N'),(25,6088996,'1',110,'N'),(25,6089003,'1',103,'N'),(25,6089020,'1',502,'N'),(25,6089038,'1',203,'N'),(25,6089038,'1A',220,'N'),(25,6089046,'1',211,'N'),(25,6089046,'1A',216,'N'),(25,6089054,'1',308,'N'),(25,6089062,'1',316,'N'),(25,6089070,'1',601,'N'),(25,6089097,'1',215,'N'),(25,6089097,'1A',216,'N'),(25,6089127,'1',207,'N'),(25,6089151,'1',999,'N'),(25,6089160,'1',304,'N'),(25,6089178,'1',103,'N'),(25,6089186,'1',101,'N'),(25,6089194,'1',202,'N'),(25,6089194,'1A',220,'N'),(25,6089216,'1',103,'N'),(25,6089224,'1',207,'N'),(25,6089224,'1A',211,'N'),(25,6089232,'1',103,'N'),(25,6089240,'1',103,'N'),(25,6089259,'1',5,'N'),(25,6089267,'1',333,'N'),(25,6089275,'1',999,'N'),(25,6089283,'1',320,'N'),(25,6089291,'1',103,'N'),(25,6089305,'1',109,'N'),(25,6089321,'1',415,'N'),(25,6089330,'1',444,'N'),(25,6089348,'1',999,'N'),(25,6089356,'1',102,'N'),(25,6089372,'1',319,'N'),(25,6089380,'1',108,'N'),(25,6089399,'1',103,'N'),(25,6089402,'1',103,'N'),(25,6089429,'1',207,'N'),(25,6089429,'1A',211,'N'),(25,6089437,'1',103,'N'),(25,6089445,'1',601,'N'),(25,6089445,'1A',201,'N'),(25,6089461,'1',5,'N'),(25,6089496,'1',102,'N'),(25,6089518,'1',216,'N'),(25,6089518,'1A',215,'N'),(25,6089526,'1',415,'N'),(25,6089534,'1',340,'N'),(25,6089542,'1',424,'N'),(25,6089542,'1A',427,'N'),(25,6089569,'1',103,'N'),(25,6089593,'1',340,'N'),(25,6089623,'1',238,'N'),(25,6089623,'1A',601,'N'),(25,6089631,'1',5,'N'),(25,6089640,'1',216,'N'),(25,6089658,'1',103,'N'),(25,6089666,'1',216,'N'),(25,6089666,'1A',211,'N'),(25,6089674,'1',302,'N'),(25,6089682,'1',655,'N'),(25,6089690,'1',453,'N'),(25,6089704,'1',103,'N'),(25,6089712,'1',103,'N'),(25,6089720,'1',207,'N'),(25,6089720,'1A',211,'N'),(25,6089739,'1',103,'N'),(25,6089747,'1',303,'N'),(25,6089755,'1',202,'N'),(25,6089755,'1A',601,'N'),(25,6089771,'1',654,'N'),(25,6089798,'1',102,'N'),(25,6089801,'1',103,'N'),(25,6089810,'1',207,'N'),(25,6089836,'1',211,'N'),(25,6089836,'1A',215,'N'),(25,6089852,'1',103,'N'),(25,6089860,'1',201,'N'),(25,6089860,'1A',207,'N'),(25,6089895,'1',309,'N'),(25,6089909,'1',5,'N'),(25,6089925,'1',109,'N'),(25,6089933,'1',303,'N'),(25,6089941,'1',340,'N'),(25,6089968,'1',102,'N'),(25,6089976,'1',9,'N'),(25,6089984,'1',103,'N'),(25,6090001,'1',103,'N'),(25,6090010,'1',601,'N'),(25,6090028,'1',203,'N'),(25,6090028,'1A',201,'N'),(25,6090044,'1',444,'N'),(25,6090079,'1',601,'N'),(25,6090079,'1A',220,'N'),(25,6090087,'1',319,'N'),(25,6090095,'1',216,'N'),(25,6090095,'1A',215,'N'),(25,6090109,'1',202,'N'),(25,6090109,'1A',653,'N'),(25,6090117,'1',203,'N'),(25,6090117,'1A',201,'N'),(25,6090133,'1',652,'N'),(25,6090133,'1A',655,'N'),(25,6090141,'1',551,'N'),(25,6090150,'1',653,'N'),(25,6090150,'1A',601,'N'),(25,6090176,'1',103,'N'),(25,6090184,'1',303,'N'),(25,6090192,'1',215,'N'),(25,6090192,'1A',233,'N'),(25,6090206,'1',103,'N'),(25,6090222,'1',216,'N'),(25,6090222,'1A',201,'N'),(25,6090230,'1',502,'N'),(25,6090249,'1',103,'N'),(25,6090257,'1',207,'N'),(25,6090257,'1A',208,'N'),(25,6090265,'1',207,'N'),(25,6090265,'1A',208,'N'),(25,6090273,'1',233,'N'),(25,6090273,'1A',653,'N'),(25,6090281,'1',201,'N'),(25,6090281,'1A',202,'N'),(25,6090290,'1',103,'N'),(25,6090303,'1',220,'N'),(25,6090303,'1A',235,'N'),(25,6090311,'1',103,'N'),(25,6090320,'1',319,'N'),(25,6090338,'1',654,'N'),(25,6090346,'1',220,'N'),(25,6090346,'1A',208,'N'),(25,6090354,'1',212,'N'),(25,6090354,'1A',203,'N'),(25,6090362,'1',338,'N'),(25,6090389,'1',202,'N'),(25,6090389,'1A',235,'N'),(25,6090400,'1',425,'N'),(25,6090400,'1A',429,'N'),(25,6090419,'1',207,'N'),(25,6090419,'1A',201,'N'),(25,6090427,'1',303,'N'),(25,6090443,'1',225,'N'),(25,6090451,'1',336,'N'),(25,6090460,'1',110,'N'),(25,6090478,'1',203,'N'),(25,6090478,'1A',233,'N'),(25,6090486,'1',103,'N'),(25,6090508,'1',233,'N'),(25,6090508,'1A',601,'N'),(25,6090516,'1',214,'N'),(25,6090516,'1A',213,'N'),(25,6090532,'1',202,'N'),(25,6090532,'1A',213,'N'),(25,6090540,'1',103,'N'),(25,6090567,'1',103,'N'),(25,6090583,'1',103,'N'),(25,6090591,'1',999,'N'),(25,6090605,'1',103,'N'),(25,6090613,'1',333,'N'),(25,6090621,'1',211,'N'),(25,6090621,'1A',216,'N'),(25,6090630,'1',339,'N'),(25,6090648,'1',103,'N'),(25,6090656,'1',108,'N'),(25,6090664,'1',340,'N'),(25,6090672,'1',235,'N'),(25,6090672,'1A',202,'N'),(25,6090680,'1',333,'N'),(25,6090699,'1',303,'N'),(25,6090702,'1',109,'N'),(25,6090729,'1',201,'N'),(25,6090729,'1A',208,'N'),(25,6090737,'1',5,'N'),(25,6090745,'1',103,'N'),(25,6090753,'1',104,'N'),(25,6090761,'1',339,'N'),(25,6090770,'1',215,'N'),(25,6090770,'1A',238,'N'),(25,6090796,'1',203,'N'),(25,6090800,'1',103,'N'),(25,6090818,'1',103,'N'),(25,6090826,'1',109,'N'),(25,6090842,'1',103,'N'),(25,6090850,'1',444,'N'),(25,6090869,'1',337,'N'),(25,6090877,'1',216,'N'),(25,6090877,'1A',203,'N'),(25,6090885,'1',103,'N'),(25,6090907,'1',104,'N'),(25,6090923,'1',103,'N'),(25,6090931,'1',201,'N'),(25,6090931,'1A',207,'N'),(25,6090958,'1',207,'N'),(25,6090958,'1A',201,'N'),(25,6090966,'1',654,'N'),(25,6090982,'1',207,'N'),(25,6090982,'1A',201,'N'),(25,6090990,'1',203,'N'),(25,6090990,'1A',214,'N'),(25,6091008,'1',110,'N'),(25,6091040,'1',103,'N'),(25,6091059,'1',233,'N'),(25,6091059,'1A',213,'N'),(25,6091067,'1',103,'N'),(25,6091075,'1',303,'N'),(25,6091083,'1',103,'N'),(25,6091091,'1',103,'N'),(25,6091105,'1',207,'N'),(25,6091113,'1',340,'N'),(25,6091121,'1',103,'N'),(25,6091130,'1',207,'N'),(25,6091156,'1',303,'N'),(25,6091172,'1',207,'N'),(25,6091172,'1A',201,'N'),(25,6091180,'1',103,'N'),(25,6091199,'1',205,'N'),(25,6091202,'1',101,'N'),(25,6091210,'1',450,'N'),(25,6091229,'1',207,'N'),(25,6091229,'1A',202,'N'),(25,6091237,'1',207,'N'),(25,6091237,'1A',215,'N'),(25,6091245,'1',501,'N'),(25,6091270,'1',104,'N'),(25,6091296,'1',203,'N'),(25,6091300,'1',303,'N'),(25,6091318,'1',103,'N'),(25,6091326,'1',212,'N'),(25,6091326,'1A',201,'N'),(25,6091342,'1',5,'N'),(25,6091350,'1',301,'N'),(25,6091369,'1',203,'N'),(25,6091369,'1A',202,'N'),(25,6091377,'1',207,'N'),(25,6091377,'1A',201,'N'),(25,6091393,'1',110,'N'),(25,6091407,'1',103,'N'),(25,6091415,'1',415,'N'),(25,6091423,'1',340,'N'),(25,6091431,'1',103,'N'),(25,6091440,'1',318,'N'),(25,6091466,'1',212,'N'),(25,6091466,'1A',233,'N'),(25,6091474,'1',201,'N'),(25,6091474,'1A',203,'N'),(25,6091482,'1',103,'N'),(25,6091504,'1',103,'N'),(25,6091520,'1',216,'N'),(25,6091520,'1A',211,'N'),(25,6091539,'1',317,'N'),(25,6091547,'1',108,'N'),(25,6091563,'1',332,'N'),(25,6091571,'1',234,'N'),(25,6091598,'1',208,'N'),(25,6091598,'1A',238,'N'),(25,6091610,'1',103,'N'),(25,6091628,'1',207,'N'),(25,6091636,'1',215,'N'),(25,6091644,'1',103,'N'),(25,6091652,'1',103,'N'),(25,6091660,'1',238,'N'),(25,6091660,'1A',208,'N'),(25,6091679,'1',655,'N'),(25,6091679,'1A',652,'N'),(25,6091695,'1',319,'N'),(25,6091709,'1',428,'N'),(25,6091709,'1A',423,'N'),(25,6091733,'1',103,'N'),(25,6091741,'1',203,'N'),(25,6091741,'1A',220,'N'),(25,6091750,'1',303,'N'),(25,6091768,'1',207,'N'),(25,6091768,'1A',201,'N'),(25,6091776,'1',316,'N'),(25,6091784,'1',415,'N'),(25,6091792,'1',207,'N'),(25,6091792,'1A',213,'N'),(25,6091806,'1',216,'N'),(25,6091806,'1A',215,'N'),(25,6091830,'1',654,'N'),(25,6091849,'1',103,'N'),(25,6091857,'1',103,'N'),(25,6091865,'1',201,'N'),(25,6091865,'1A',207,'N'),(25,6091873,'1',208,'N'),(25,6091873,'1A',215,'N'),(25,6091881,'1',103,'N'),(25,6091890,'1',220,'N'),(25,6091890,'1A',235,'N'),(25,6091903,'1',333,'N'),(25,6091920,'1',103,'N'),(25,6091946,'1',450,'N'),(25,6091954,'1',103,'N'),(25,6091962,'1',202,'N'),(25,6091962,'1A',235,'N'),(25,6091970,'1',103,'N'),(25,6091989,'1',103,'N'),(25,6091997,'1',301,'N'),(25,6092004,'1',335,'N'),(25,6092012,'1',340,'N'),(25,6092020,'1',336,'N'),(25,6092039,'1',103,'N'),(25,6092047,'1',203,'N'),(25,6092047,'1A',201,'N'),(25,6092055,'1',320,'N'),(25,6092063,'1',653,'N'),(25,6092063,'1A',655,'N'),(25,6092071,'1',9,'N'),(25,6092080,'1',207,'N'),(25,6092080,'1A',208,'N'),(25,6092101,'1',337,'N'),(25,6092128,'1',101,'N'),(25,6092136,'1',103,'N'),(25,6092144,'1',104,'N'),(25,6092152,'1',303,'N'),(25,6092160,'1',303,'N'),(25,6092179,'1',103,'N'),(25,6092187,'1',103,'N'),(25,6092195,'1',316,'N'),(25,6092217,'1',336,'N'),(25,6092225,'1',238,'N'),(25,6092225,'1A',208,'N'),(25,6092233,'1',216,'N'),(25,6092233,'1A',233,'N'),(25,6092241,'1',103,'N'),(25,6092250,'1',103,'N'),(25,6092268,'1',502,'N'),(25,6092276,'1',601,'N'),(25,6092276,'1A',216,'N'),(25,6092284,'1',203,'N'),(25,6092284,'1A',220,'N'),(25,6092314,'1',201,'N'),(25,6092322,'1',103,'N'),(25,6092330,'1',309,'N'),(25,6092349,'1',104,'N'),(25,6092357,'1',103,'N'),(25,6092365,'1',653,'N'),(25,6092365,'1A',655,'N'),(25,6092373,'1',103,'N'),(25,6092381,'1',211,'N'),(25,6092381,'1A',215,'N'),(25,6092390,'1',103,'N'),(25,6092403,'1',415,'N'),(25,6092411,'1',404,'N'),(25,6092438,'1',316,'N'),(25,6092462,'1',453,'N'),(25,6092470,'1',203,'N'),(25,6092470,'1A',214,'N'),(25,6092489,'1',216,'N'),(25,6092489,'1A',215,'N'),(25,6092497,'1',103,'N'),(25,6092500,'1',233,'N'),(25,6092519,'1',205,'N'),(25,6092527,'1',308,'N'),(25,6092560,'1',203,'N'),(25,6092560,'1A',214,'N'),(25,6092578,'1',332,'N'),(25,6092586,'1',103,'N'),(25,6092624,'1',101,'N'),(25,6092632,'1',103,'N'),(25,6092640,'1',317,'N'),(25,6092659,'1',103,'N'),(25,6092675,'1',317,'N'),(25,6092683,'1',316,'N'),(25,6092713,'1',103,'N'),(25,6092730,'1',304,'N'),(25,6092756,'1',103,'N'),(25,6092764,'1',104,'N'),(25,6092772,'1',220,'N'),(25,6092772,'1A',214,'N'),(25,6092780,'1',103,'N'),(25,6092799,'1',316,'N'),(25,6092802,'1',103,'N'),(25,6092829,'1',103,'N'),(25,6092837,'1',319,'N'),(25,6092845,'1',103,'N'),(25,6092853,'1',103,'N'),(25,6092861,'1',5,'N'),(25,6092888,'1',339,'N'),(25,6092896,'1',337,'N'),(25,6092900,'1',102,'N'),(25,6092918,'1',444,'N'),(25,6092926,'1',429,'N'),(25,6092926,'1A',428,'N'),(25,6092934,'1',103,'N'),(25,6092942,'1',301,'N'),(25,6092950,'1',340,'N'),(25,6092969,'1',331,'N'),(25,6092977,'1',103,'N'),(25,6092985,'1',404,'N'),(25,6092993,'1',238,'N'),(25,6092993,'1A',208,'N'),(25,6093019,'1',328,'N'),(25,6093027,'1',303,'N'),(25,6093043,'1',220,'N'),(25,6093043,'1A',211,'N'),(25,6093051,'1',103,'N'),(25,6093060,'1',103,'N'),(25,6093078,'1',653,'N'),(25,6093078,'1A',655,'N'),(25,6093086,'1',203,'N'),(25,6093086,'1A',233,'N'),(25,6093108,'1',9,'N'),(25,6093116,'1',214,'N'),(25,6093116,'1A',213,'N'),(25,6093124,'1',109,'N'),(25,6093132,'1',103,'N'),(25,6093159,'1',203,'N'),(25,6093159,'1A',214,'N'),(25,6093167,'1',201,'N'),(25,6093167,'1A',207,'N'),(25,6093175,'1',301,'N'),(25,6093183,'1',103,'N'),(25,6093191,'1',108,'N'),(25,6093205,'1',238,'N'),(25,6093205,'1A',208,'N'),(25,6093213,'1',501,'N'),(25,6093221,'1',301,'N'),(25,6093230,'1',340,'N'),(25,6093248,'1',104,'N'),(25,6093256,'1',103,'N'),(25,6093264,'1',333,'N'),(25,6093272,'1',203,'N'),(25,6093272,'1A',233,'N'),(25,6093280,'1',104,'N'),(25,6093299,'1',652,'N'),(25,6093299,'1A',655,'N'),(25,6093302,'1',329,'N'),(25,6093310,'1',415,'N'),(25,6093329,'1',103,'N'),(25,6093345,'1',331,'N'),(25,6093353,'1',203,'N'),(25,6093353,'1A',233,'N'),(25,6093361,'1',329,'N'),(25,6093370,'1',103,'N'),(25,6093396,'1',319,'N'),(25,6093400,'1',216,'N'),(25,6093400,'1A',201,'N'),(25,6093418,'1',303,'N'),(25,6093426,'1',102,'N'),(25,6093434,'1',201,'N'),(25,6093434,'1A',212,'N'),(25,6093442,'1',103,'N'),(25,6093450,'1',110,'N'),(25,6093469,'1',103,'N'),(25,6093477,'1',415,'N'),(25,6093493,'1',103,'N'),(25,6093515,'1',5,'N'),(25,6093523,'1',999,'N'),(25,6093531,'1',103,'N'),(25,6093540,'1',103,'N'),(25,6093558,'1',201,'N'),(25,6093558,'1A',235,'N'),(25,6093566,'1',103,'N'),(25,6093574,'1',201,'N'),(25,6093574,'1A',207,'N'),(25,6093582,'1',104,'N'),(25,6093590,'1',103,'N'),(25,6093604,'1',203,'N'),(25,6093604,'1A',216,'N'),(25,6093612,'1',103,'N'),(25,6093620,'1',332,'N'),(25,6093639,'1',339,'N'),(25,6093647,'1',336,'N'),(25,6093655,'1',303,'N'),(25,6093663,'1',999,'N'),(25,6093671,'1',216,'N'),(25,6093671,'1A',214,'N'),(25,6093680,'1',103,'N'),(25,6093698,'1',235,'N'),(25,6093698,'1A',202,'N'),(25,6093701,'1',103,'N'),(25,6093710,'1',103,'N'),(25,6093728,'1',103,'N'),(25,6093736,'1',425,'N'),(25,6093736,'1A',429,'N'),(25,6093744,'1',202,'N'),(25,6093744,'1A',214,'N'),(25,6093752,'1',201,'N'),(25,6093752,'1A',207,'N'),(25,6093760,'1',103,'N'),(25,6093779,'1',654,'N'),(25,6093787,'1',235,'N'),(25,6093787,'1A',202,'N'),(25,6093795,'1',302,'N'),(25,6093817,'1',104,'N'),(25,6093825,'1',233,'N'),(25,6093825,'1A',203,'N'),(25,6093833,'1',103,'N'),(25,6093841,'1',340,'N'),(25,6093850,'1',103,'N'),(25,6093868,'1',655,'N'),(25,6093868,'1A',652,'N'),(25,6093876,'1',450,'N'),(25,6093884,'1',303,'N'),(25,6093906,'1',999,'N'),(25,6093914,'1',220,'N'),(25,6093914,'1A',203,'N'),(25,6093922,'1',303,'N'),(25,6093930,'1',999,'N'),(25,6093957,'1',450,'N'),(25,6093965,'1',319,'N'),(25,6093981,'1',333,'N'),(25,6093990,'1',201,'N'),(25,6093990,'1A',207,'N'),(25,6094007,'1',207,'N'),(25,6094007,'1A',215,'N'),(25,6094031,'1',303,'N'),(25,6094040,'1',234,'N'),(25,6094058,'1',108,'N'),(25,6094066,'1',331,'N'),(25,6094090,'1',999,'N'),(25,6094104,'1',238,'N'),(25,6094104,'1A',215,'N'),(25,6094120,'1',103,'N'),(25,6094147,'1',601,'N'),(25,6094147,'1A',203,'N'),(25,6094155,'1',453,'N'),(25,6094163,'1',207,'N'),(25,6094163,'1A',212,'N'),(25,6094171,'1',202,'N'),(25,6094171,'1A',213,'N'),(25,6094198,'1',207,'N'),(25,6094201,'1',108,'N'),(25,6094210,'1',103,'N'),(25,6094236,'1',104,'N'),(25,6094252,'1',103,'N'),(25,6094260,'1',103,'N'),(25,6094287,'1',103,'N'),(25,6094309,'1',103,'N'),(25,6094317,'1',103,'N'),(25,6094325,'1',3,'N'),(25,6094333,'1',103,'N'),(25,6094341,'1',415,'N'),(25,6094368,'1',203,'N'),(25,6094368,'1A',201,'N'),(25,6094384,'1',654,'N'),(25,6094392,'1',103,'N'),(25,6094406,'1',102,'N'),(25,6094414,'1',103,'N'),(25,6094430,'1',103,'N'),(25,6094449,'1',999,'N'),(25,6094457,'1',207,'N'),(25,6094457,'1A',201,'N'),(25,6094465,'1',201,'N'),(25,6094465,'1A',203,'N'),(25,6094473,'1',207,'N'),(25,6094481,'1',415,'N'),(25,6094490,'1',425,'N'),(25,6094490,'1A',429,'N'),(25,6094503,'1',9,'N'),(25,6094511,'1',654,'N'),(25,6094538,'1',103,'N'),(25,6094554,'1',211,'N'),(25,6094554,'1A',653,'N'),(25,6094562,'1',201,'N'),(25,6094562,'1A',601,'N'),(25,6094570,'1',301,'N'),(25,6094589,'1',207,'N'),(25,6094589,'1A',201,'N'),(25,6094600,'1',503,'N'),(25,6094627,'1',103,'N'),(25,6094635,'1',103,'N'),(25,6094643,'1',203,'N'),(25,6094643,'1A',201,'N'),(25,6094660,'1',450,'N'),(25,6094678,'1',103,'N'),(25,6094694,'1',212,'N'),(25,6094694,'1A',652,'N'),(25,6094708,'1',340,'N'),(25,6094716,'1',5,'N'),(25,6094724,'1',5,'N'),(25,6094732,'1',203,'N'),(25,6094732,'1A',214,'N'),(25,6094740,'1',655,'N'),(25,6094740,'1A',653,'N'),(25,6094767,'1',103,'N'),(25,6094775,'1',215,'N'),(25,6094775,'1A',216,'N'),(25,6094783,'1',208,'N'),(25,6094783,'1A',235,'N'),(25,6094791,'1',103,'N'),(25,6094813,'1',103,'N'),(25,6094821,'1',220,'N'),(25,6094821,'1A',208,'N'),(25,6094856,'1',303,'N'),(25,6094864,'1',207,'N'),(25,6094872,'1',103,'N'),(25,6094880,'1',103,'N'),(25,6094899,'1',103,'N'),(25,6094902,'1',103,'N'),(25,6094929,'1',999,'N'),(25,6094937,'1',319,'N'),(25,6094945,'1',103,'N'),(25,6094961,'1',201,'N'),(25,6094961,'1A',601,'N'),(25,6094970,'1',201,'N'),(25,6094970,'1A',207,'N'),(25,6094988,'1',303,'N'),(25,6094996,'1',317,'N'),(25,6095003,'1',103,'N'),(25,6095011,'1',601,'N'),(25,6095011,'1A',203,'N'),(25,6095020,'1',201,'N'),(25,6095020,'1A',220,'N'),(25,6095038,'1',404,'N'),(25,6095046,'1',202,'N'),(25,6095046,'1A',220,'N'),(25,6095070,'1',103,'N'),(25,6095089,'1',103,'N'),(25,6095097,'1',207,'N'),(25,6095097,'1A',211,'N'),(25,6095119,'1',319,'N'),(25,6095127,'1',340,'N'),(25,6095151,'1',324,'N'),(25,6095160,'1',208,'N'),(25,6095160,'1A',238,'N'),(25,6095178,'1',103,'N'),(25,6095186,'1',103,'N'),(25,6095194,'1',420,'N'),(25,6095216,'1',212,'N'),(25,6095216,'1A',215,'N'),(25,6095224,'1',203,'N'),(25,6095224,'1A',220,'N'),(25,6095232,'1',404,'N'),(25,6095240,'1',109,'N'),(25,6095259,'1',103,'N'),(25,6095275,'1',104,'N'),(25,6095283,'1',103,'N'),(25,6095305,'1',103,'N'),(25,6095313,'1',317,'N'),(25,6095321,'1',103,'N'),(25,6095330,'1',502,'N'),(25,6095348,'1',310,'N'),(25,6095356,'1',317,'N'),(25,6095364,'1',104,'N'),(25,6095372,'1',320,'N'),(25,6095380,'1',103,'N'),(25,6095399,'1',303,'N'),(25,6095402,'1',310,'N'),(25,6095410,'1',103,'N'),(25,6095429,'1',103,'N'),(25,6095445,'1',302,'N'),(25,6095461,'1',340,'N'),(25,6095488,'1',216,'N'),(25,6095488,'1A',220,'N'),(25,6095496,'1',502,'N'),(25,6095526,'1',203,'N'),(25,6095526,'1A',214,'N'),(25,6095534,'1',201,'N'),(25,6095534,'1A',202,'N'),(25,6095569,'1',201,'N'),(25,6095569,'1A',207,'N'),(25,6095585,'1',601,'N'),(25,6095585,'1A',214,'N'),(25,6095593,'1',208,'N'),(25,6095593,'1A',601,'N'),(25,6095607,'1',9,'N'),(25,6095615,'1',654,'N'),(25,6095623,'1',103,'N'),(25,6095631,'1',303,'N'),(25,6095640,'1',207,'N'),(25,6095640,'1A',212,'N'),(25,6095658,'1',303,'N'),(25,6095666,'1',207,'N'),(25,6095666,'1A',201,'N'),(25,6095674,'1',103,'N'),(25,6095682,'1',207,'N'),(25,6095682,'1A',235,'N'),(25,6095690,'1',103,'N'),(25,6095704,'1',202,'N'),(25,6095704,'1A',235,'N'),(25,6095712,'1',103,'N'),(25,6095720,'1',303,'N'),(25,6095739,'1',225,'N'),(25,6095747,'1',207,'N'),(25,6095747,'1A',211,'N'),(25,6095755,'1',203,'N'),(25,6095755,'1A',214,'N'),(25,6095763,'1',340,'N'),(25,6095771,'1',654,'N'),(25,6095780,'1',213,'N'),(25,6095780,'1A',653,'N'),(25,6095798,'1',103,'N'),(25,6095801,'1',309,'N'),(25,6095810,'1',103,'N'),(25,6095828,'1',103,'N'),(25,6095836,'1',103,'N'),(25,6095852,'1',103,'N'),(25,6095860,'1',103,'N'),(25,6095879,'1',601,'N'),(25,6095887,'1',5,'N'),(25,6095895,'1',103,'N'),(25,6095909,'1',202,'N'),(25,6095909,'1A',235,'N'),(25,6095917,'1',103,'N'),(25,6095925,'1',316,'N'),(25,6095933,'1',502,'N'),(25,6095941,'1',450,'N'),(25,6095950,'1',103,'N'),(25,6095968,'1',103,'N'),(25,6095984,'1',102,'N'),(25,6095992,'1',103,'N'),(25,6096000,'1',207,'N'),(25,6096000,'1A',216,'N'),(25,6096018,'1',337,'N'),(25,6096026,'1',201,'N'),(25,6096026,'1A',215,'N'),(25,6096034,'1',309,'N'),(25,6096042,'1',308,'N'),(25,6096077,'1',316,'N'),(25,6096107,'1',319,'N'),(25,6096115,'1',213,'N'),(25,6096115,'1A',214,'N'),(25,6096131,'1',201,'N'),(25,6096131,'1A',212,'N'),(25,6096140,'1',202,'N'),(25,6096140,'1A',213,'N'),(25,6096158,'1',303,'N'),(25,6096166,'1',303,'N'),(25,6096174,'1',238,'N'),(25,6096174,'1A',213,'N'),(25,6096182,'1',216,'N'),(25,6096182,'1A',220,'N'),(25,6096204,'1',103,'N'),(25,6096212,'1',450,'N'),(25,6096220,'1',103,'N'),(25,6096239,'1',302,'N'),(25,6096247,'1',216,'N'),(25,6096255,'1',303,'N'),(25,6096263,'1',103,'N'),(25,6096271,'1',103,'N'),(25,6096280,'1',103,'N'),(25,6096301,'1',201,'N'),(25,6096301,'1A',212,'N'),(25,6096310,'1',9,'N'),(25,6096328,'1',103,'N'),(25,6096344,'1',220,'N'),(25,6096344,'1A',235,'N'),(25,6096352,'1',103,'N'),(25,6096360,'1',5,'N'),(25,6096387,'1',654,'N'),(25,6096395,'1',426,'N'),(25,6096395,'1A',428,'N'),(25,6096409,'1',450,'N'),(25,6096417,'1',208,'N'),(25,6096417,'1A',207,'N'),(25,6096425,'1',329,'N'),(25,6096433,'1',203,'N'),(25,6096441,'1',404,'N'),(25,6096450,'1',327,'N'),(25,6096468,'1',238,'N'),(25,6096468,'1A',201,'N'),(25,6096484,'1',103,'N'),(25,6096492,'1',415,'N'),(25,6096506,'1',102,'N'),(25,6096514,'1',201,'N'),(25,6096514,'1A',214,'N'),(25,6096522,'1',103,'N'),(25,6096530,'1',103,'N'),(25,6096557,'1',211,'N'),(25,6096557,'1A',238,'N'),(25,6096565,'1',423,'N'),(25,6096565,'1A',425,'N'),(25,6096573,'1',201,'N'),(25,6096573,'1A',214,'N'),(25,6096581,'1',101,'N'),(25,6096590,'1',103,'N'),(25,6096603,'1',235,'N'),(25,6096603,'1A',202,'N'),(25,6096611,'1',104,'N'),(25,6096620,'1',404,'N'),(25,6096638,'1',303,'N'),(25,6096646,'1',238,'N'),(25,6096646,'1A',208,'N'),(25,6096654,'1',451,'N'),(25,6096670,'1',103,'N'),(25,6096689,'1',211,'N'),(25,6096689,'1A',216,'N'),(25,6096700,'1',103,'N'),(25,6096719,'1',220,'N'),(25,6096719,'1A',215,'N'),(25,6096727,'1',201,'N'),(25,6096727,'1A',220,'N'),(25,6096735,'1',103,'N'),(25,6096743,'1',103,'N'),(25,6096751,'1',103,'N'),(25,6096760,'1',216,'N'),(25,6096760,'1A',233,'N'),(25,6096778,'1',5,'N'),(25,6096786,'1',103,'N'),(25,6096794,'1',214,'N'),(25,6096794,'1A',212,'N'),(25,6096808,'1',333,'N'),(25,6096824,'1',453,'N'),(25,6096832,'1',202,'N'),(25,6096832,'1A',220,'N'),(25,6096840,'1',102,'N'),(25,6096859,'1',103,'N'),(25,6096867,'1',9,'N'),(25,6096883,'1',420,'N'),(25,6096891,'1',201,'N'),(25,6096891,'1A',207,'N'),(25,6096913,'1',601,'N'),(25,6096913,'1A',201,'N'),(25,6096930,'1',103,'N'),(25,6096948,'1',207,'N'),(25,6096948,'1A',201,'N'),(25,6096956,'1',207,'N'),(25,6096956,'1A',201,'N'),(25,6096964,'1',103,'N'),(25,6096972,'1',103,'N'),(25,6096980,'1',452,'N'),(25,6096999,'1',238,'N'),(25,6096999,'1A',208,'N'),(25,6097006,'1',103,'N'),(25,6097014,'1',999,'N'),(25,6097049,'1',326,'N'),(25,6097057,'1',207,'N'),(25,6097057,'1A',208,'N'),(25,6097065,'1',220,'N'),(25,6097065,'1A',235,'N'),(25,6097073,'1',103,'N'),(25,6097081,'1',103,'N'),(25,6097090,'1',103,'N'),(25,6097103,'1',304,'N'),(25,6097111,'1',103,'N'),(25,6097120,'1',103,'N'),(25,6097138,'1',101,'N'),(25,6097146,'1',302,'N'),(25,6097154,'1',216,'N'),(25,6097154,'1A',215,'N'),(25,6097162,'1',216,'N'),(25,6097170,'1',103,'N'),(25,6097189,'1',203,'N'),(25,6097189,'1A',601,'N'),(25,6097197,'1',301,'N'),(25,6097200,'1',303,'N'),(25,6097219,'1',201,'N'),(25,6097219,'1A',208,'N'),(25,6097227,'1',207,'N'),(25,6097227,'1A',201,'N'),(25,6097235,'1',103,'N'),(25,6097243,'1',103,'N'),(25,6097251,'1',103,'N'),(25,6097286,'1',415,'N'),(25,6097308,'1',5,'N'),(25,6097316,'1',211,'N'),(25,6097316,'1A',215,'N'),(25,6097332,'1',303,'N'),(25,6097340,'1',103,'N'),(25,6097359,'1',316,'N'),(25,6097375,'1',319,'N'),(25,6097383,'1',103,'N'),(25,6097391,'1',104,'N'),(25,6097405,'1',653,'N'),(25,6097413,'1',319,'N'),(25,6097421,'1',238,'N'),(25,6097430,'1',420,'N'),(25,6097448,'1',316,'N'),(25,6097456,'1',5,'N'),(25,6097464,'1',104,'N'),(25,6097472,'1',207,'N'),(25,6097472,'1A',201,'N'),(25,6097480,'1',201,'N'),(25,6097480,'1A',207,'N'),(25,6097502,'1',415,'N'),(25,6097510,'1',2,'N'),(25,6097529,'1',103,'N'),(25,6097537,'1',101,'N'),(25,6097553,'1',103,'N'),(25,6097561,'1',103,'N'),(25,6097570,'1',5,'N'),(25,6097588,'1',303,'N'),(25,6097596,'1',103,'N'),(25,6097618,'1',214,'N'),(25,6097618,'1A',233,'N'),(25,6097626,'1',103,'N'),(25,6097634,'1',207,'N'),(25,6097642,'1',450,'N'),(25,6097669,'1',303,'N'),(25,6097677,'1',601,'N'),(25,6097685,'1',103,'N'),(25,6097693,'1',316,'N'),(25,6097707,'1',333,'N'),(25,6097715,'1',319,'N'),(25,6097723,'1',999,'N'),(25,6097731,'1',211,'N'),(25,6097731,'1A',233,'N'),(25,6097740,'1',104,'N'),(25,6097758,'1',654,'N'),(25,6097766,'1',303,'N'),(25,6097774,'1',202,'N'),(25,6097774,'1A',213,'N'),(25,6097782,'1',103,'N'),(25,6097790,'1',9,'N'),(25,6097804,'1',103,'N'),(25,6097812,'1',335,'N'),(25,6097820,'1',216,'N'),(25,6097820,'1A',201,'N'),(25,6097839,'1',303,'N'),(25,6097847,'1',201,'N'),(25,6097847,'1A',212,'N'),(25,6097855,'1',103,'N'),(25,6097863,'1',108,'N'),(25,6097871,'1',201,'N'),(25,6097871,'1A',202,'N'),(25,6097880,'1',5,'N'),(25,6097898,'1',601,'N'),(25,6097898,'1A',202,'N'),(25,6097901,'1',501,'N'),(25,6097910,'1',216,'N'),(25,6097910,'1A',233,'N'),(25,6097936,'1',103,'N'),(25,6097944,'1',103,'N'),(25,6097952,'1',207,'N'),(25,6097952,'1A',211,'N'),(25,6097960,'1',201,'N'),(25,6097960,'1A',202,'N'),(25,6097979,'1',319,'N'),(25,6097987,'1',211,'N'),(25,6097987,'1A',233,'N'),(25,6097995,'1',5,'N'),(25,6098002,'1',103,'N'),(25,6098010,'1',333,'N'),(25,6098029,'1',425,'N'),(25,6098029,'1A',429,'N'),(25,6098037,'1',203,'N'),(25,6098037,'1A',220,'N'),(25,6098045,'1',220,'N'),(25,6098045,'1A',203,'N'),(25,6098070,'1',601,'N'),(25,6098070,'1A',216,'N'),(25,6098096,'1',103,'N'),(25,6098100,'1',201,'N'),(25,6098100,'1A',212,'N'),(25,6098126,'1',9,'N'),(25,6098142,'1',201,'N'),(25,6098142,'1A',212,'N'),(25,6098150,'1',104,'N'),(25,6098169,'1',415,'N'),(25,6098177,'1',103,'N'),(25,6098193,'1',319,'N'),(25,6098215,'1',203,'N'),(25,6098215,'1A',233,'N'),(25,6098223,'1',238,'N'),(25,6098223,'1A',208,'N'),(25,6098231,'1',308,'N'),(25,6098240,'1',104,'N'),(25,6098258,'1',103,'N'),(25,6098266,'1',202,'N'),(25,6098266,'1A',220,'N'),(25,6098282,'1',601,'N'),(25,6098282,'1A',203,'N'),(25,6098290,'1',102,'N'),(25,6098304,'1',999,'N'),(25,6098312,'1',5,'N'),(25,6098339,'1',304,'N'),(25,6098347,'1',238,'N'),(25,6098347,'1A',601,'N'),(25,6098355,'1',203,'N'),(25,6098355,'1A',220,'N'),(25,6098363,'1',207,'N'),(25,6098363,'1A',201,'N'),(25,6098371,'1',103,'N'),(25,6098380,'1',103,'N'),(25,6098398,'1',551,'N'),(25,6098401,'1',103,'N'),(25,6098410,'1',425,'N'),(25,6098410,'1A',429,'N'),(25,6098428,'1',453,'N'),(25,6098436,'1',211,'N'),(25,6098436,'1A',201,'N'),(25,6098444,'1',103,'N'),(25,6098452,'1',103,'N'),(25,6098460,'1',203,'N'),(25,6098460,'1A',202,'N'),(25,6098479,'1',601,'N'),(25,6098479,'1A',220,'N'),(25,6098495,'1',103,'N'),(25,6098509,'1',303,'N'),(25,6098517,'1',103,'N'),(25,6098525,'1',444,'N'),(25,6098533,'1',103,'N'),(25,6098550,'1',103,'N'),(25,6098568,'1',103,'N'),(25,6098576,'1',103,'N'),(25,6098584,'1',999,'N'),(25,6098592,'1',103,'N'),(25,6098606,'1',501,'N'),(25,6098622,'1',317,'N'),(25,6098630,'1',103,'N'),(25,6098649,'1',104,'N'),(25,6098657,'1',652,'N'),(25,6098657,'1A',208,'N'),(25,6098665,'1',5,'N'),(25,6098673,'1',216,'N'),(25,6098673,'1A',215,'N'),(25,6098681,'1',303,'N'),(25,6098690,'1',103,'N'),(25,6098703,'1',103,'N'),(25,6098720,'1',999,'N'),(25,6098738,'1',999,'N'),(25,6098746,'1',103,'N'),(25,6098754,'1',104,'N'),(25,6098762,'1',103,'N'),(25,6098789,'1',103,'N'),(25,6098797,'1',415,'N'),(25,6098800,'1',211,'N'),(25,6098800,'1A',212,'N'),(25,6098827,'1',103,'N'),(25,6098835,'1',207,'N'),(25,6098835,'1A',601,'N'),(25,6098843,'1',317,'N'),(25,6098851,'1',9,'N'),(25,6098860,'1',103,'N'),(25,6098886,'1',108,'N'),(25,6098894,'1',103,'N'),(25,6098908,'1',109,'N'),(25,6098940,'1',103,'N'),(25,6098959,'1',337,'N'),(25,6098967,'1',999,'N'),(25,6098975,'1',103,'N'),(25,6098983,'1',9,'N'),(25,6098991,'1',235,'N'),(25,6098991,'1A',208,'N'),(25,6099009,'1',654,'N'),(25,6099017,'1',103,'N'),(25,6099050,'1',302,'N'),(25,6099076,'1',103,'N'),(25,6099084,'1',103,'N'),(25,6099092,'1',103,'N'),(25,6099106,'1',301,'N'),(25,6099114,'1',103,'N'),(25,6099130,'1',317,'N'),(25,6099157,'1',104,'N'),(25,6099165,'1',103,'N'),(25,6099173,'1',303,'N'),(25,6099181,'1',104,'N'),(25,6099190,'1',216,'N'),(25,6099190,'1A',202,'N'),(25,6099203,'1',211,'N'),(25,6099203,'1A',216,'N'),(25,6099238,'1',235,'N'),(25,6099238,'1A',208,'N'),(25,6099246,'1',216,'N'),(25,6099246,'1A',211,'N'),(25,6099254,'1',551,'N'),(25,6099262,'1',220,'N'),(25,6099262,'1A',203,'N'),(25,6099270,'1',340,'N'),(25,6099289,'1',103,'N'),(25,6099297,'1',301,'N'),(25,6099300,'1',103,'N'),(25,6099319,'1',103,'N'),(25,6099327,'1',103,'N'),(25,6099335,'1',207,'N'),(25,6099335,'1A',238,'N'),(25,6099343,'1',103,'N'),(25,6099351,'1',303,'N'),(25,6099360,'1',201,'N'),(25,6099378,'1',207,'N'),(25,6099394,'1',207,'N'),(25,6099394,'1A',212,'N'),(25,6099408,'1',235,'N'),(25,6099408,'1A',655,'N'),(25,6099416,'1',238,'N'),(25,6099416,'1A',208,'N'),(25,6099440,'1',220,'N'),(25,6099440,'1A',203,'N'),(25,6099459,'1',208,'N'),(25,6099459,'1A',235,'N'),(25,6099475,'1',601,'N'),(25,6099475,'1A',212,'N'),(25,6099483,'1',103,'N'),(25,6099491,'1',303,'N'),(25,6099505,'1',201,'N'),(25,6099505,'1A',203,'N'),(25,6099513,'1',103,'N'),(25,6099530,'1',207,'N'),(25,6099530,'1A',201,'N'),(25,6099564,'1',103,'N'),(25,6099572,'1',316,'N'),(25,6099580,'1',108,'N'),(25,6099610,'1',415,'N'),(25,6099629,'1',103,'N'),(25,6099637,'1',216,'N'),(25,6099645,'1',103,'N'),(25,6099653,'1',303,'N'),(25,6099661,'1',303,'N'),(25,6099696,'1',453,'N'),(25,6099700,'1',103,'N'),(25,6099718,'1',338,'N'),(25,6099726,'1',103,'N'),(25,6099742,'1',201,'N'),(25,6099742,'1A',202,'N'),(25,6099750,'1',601,'N'),(25,6099750,'1A',203,'N'),(25,6099769,'1',103,'N'),(25,6099777,'1',9,'N'),(25,6099785,'1',108,'N'),(25,6099793,'1',319,'N'),(25,6099807,'1',103,'N'),(25,6099815,'1',103,'N'),(25,6099823,'1',224,'N'),(25,6099858,'1',2,'N'),(25,6099866,'1',103,'N'),(25,6099874,'1',318,'N'),(25,6099882,'1',103,'N'),(25,6099890,'1',103,'N'),(25,6099904,'1',429,'N'),(25,6099904,'1A',425,'N'),(25,6099912,'1',317,'N'),(25,6099920,'1',103,'N'),(25,6099939,'1',999,'N'),(25,6099947,'1',319,'N'),(25,6099955,'1',103,'N'),(25,6099963,'1',103,'N'),(25,6099998,'1',201,'N'),(25,6099998,'1A',207,'N'),(25,6100007,'1',201,'N'),(25,6100007,'1A',235,'N'),(25,6100015,'1',220,'N'),(25,6100015,'1A',202,'N'),(25,6100031,'1',654,'N'),(25,6100040,'1',203,'N'),(25,6100040,'1A',235,'N'),(25,6100058,'1',103,'N'),(25,6100066,'1',212,'N'),(25,6100066,'1A',201,'N'),(25,6100074,'1',421,'N'),(25,6100074,'1A',425,'N'),(25,6100082,'1',201,'N'),(25,6100082,'1A',212,'N'),(25,6100090,'1',319,'N'),(25,6100104,'1',201,'N'),(25,6100104,'1A',207,'N'),(25,6100112,'1',103,'N'),(25,6100120,'1',216,'N'),(25,6100120,'1A',211,'N'),(25,6100139,'1',301,'N'),(25,6100155,'1',551,'N'),(25,6100163,'1',103,'N'),(25,6100171,'1',201,'N'),(25,6100171,'1A',207,'N'),(25,6100180,'1',212,'N'),(25,6100180,'1A',214,'N'),(25,6100198,'1',203,'N'),(25,6100198,'1A',214,'N'),(25,6100201,'1',415,'N'),(25,6100210,'1',201,'N'),(25,6100210,'1A',235,'N'),(25,6100228,'1',328,'N'),(25,6100236,'1',310,'N'),(25,6100244,'1',317,'N'),(25,6100252,'1',319,'N'),(25,6100260,'1',103,'N'),(25,6100279,'1',207,'N'),(25,6100279,'1A',201,'N'),(25,6100287,'1',109,'N'),(25,6100295,'1',551,'N'),(25,6100309,'1',103,'N'),(25,6100317,'1',103,'N'),(25,6100325,'1',103,'N'),(25,6100341,'1',211,'N'),(25,6100341,'1A',215,'N'),(25,6100376,'1',103,'N'),(25,6100384,'1',601,'N'),(25,6100384,'1A',216,'N'),(25,6100406,'1',103,'N'),(25,6100414,'1',208,'N'),(25,6100414,'1A',238,'N'),(25,6100422,'1',216,'N'),(25,6100422,'1A',202,'N'),(25,6100430,'1',601,'N'),(25,6100430,'1A',212,'N'),(25,6100449,'1',207,'N'),(25,6100449,'1A',201,'N'),(25,6100457,'1',211,'N'),(25,6100457,'1A',235,'N'),(25,6100465,'1',103,'N'),(25,6100473,'1',103,'N'),(25,6100481,'1',103,'N'),(25,6100490,'1',108,'N'),(25,6100503,'1',202,'N'),(25,6100503,'1A',233,'N'),(25,6100520,'1',103,'N'),(25,6100538,'1',203,'N'),(25,6100538,'1A',216,'N'),(25,6100546,'1',332,'N'),(25,6100554,'1',103,'N'),(25,6100562,'1',201,'N'),(25,6100562,'1A',212,'N'),(25,6100570,'1',999,'N'),(25,6100589,'1',216,'N'),(25,6100589,'1A',233,'N'),(25,6100597,'1',999,'N'),(25,6100600,'1',103,'N'),(25,6100619,'1',208,'N'),(25,6100619,'1A',238,'N'),(25,6100627,'1',103,'N'),(25,6100635,'1',316,'N'),(25,6100643,'1',452,'N'),(25,6100651,'1',340,'N'),(25,6100660,'1',233,'N'),(25,6100660,'1A',653,'N'),(25,6100678,'1',340,'N'),(25,6100686,'1',301,'N'),(25,6100694,'1',327,'N'),(25,6100708,'1',103,'N'),(25,6100716,'1',201,'N'),(25,6100716,'1A',212,'N'),(25,6100724,'1',211,'N'),(25,6100724,'1A',216,'N'),(25,6100732,'1',201,'N'),(25,6100732,'1A',233,'N'),(25,6100740,'1',340,'N'),(25,6100767,'1',5,'N'),(25,6100775,'1',207,'N'),(25,6100775,'1A',212,'N'),(25,6100783,'1',103,'N'),(25,6100791,'1',238,'N'),(25,6100791,'1A',233,'N'),(25,6100805,'1',102,'N'),(25,6100813,'1',203,'N'),(25,6100813,'1A',220,'N'),(25,6100830,'1',444,'N'),(25,6100856,'1',103,'N'),(25,6100864,'1',103,'N'),(25,6100872,'1',654,'N'),(25,6100899,'1',104,'N'),(25,6100910,'1',5,'N'),(25,6100937,'1',415,'N'),(25,6100945,'1',103,'N'),(25,6100953,'1',423,'N'),(25,6100953,'1A',426,'N'),(25,6100961,'1',303,'N'),(25,6100970,'1',103,'N'),(25,6100988,'1',103,'N'),(25,6100996,'1',444,'N'),(25,6101011,'1',238,'N'),(25,6101011,'1A',208,'N'),(25,6101020,'1',424,'N'),(25,6101020,'1A',421,'N'),(25,6101038,'1',214,'N'),(25,6101038,'1A',203,'N'),(25,6101046,'1',653,'N'),(25,6101046,'1A',201,'N'),(25,6101054,'1',999,'N'),(25,6101062,'1',319,'N'),(25,6101070,'1',109,'N'),(25,6101089,'1',103,'N'),(25,6101119,'1',333,'N'),(25,6101127,'1',655,'N'),(25,6101127,'1A',653,'N'),(25,6101135,'1',333,'N'),(25,6101143,'1',103,'N'),(25,6101151,'1',110,'N'),(25,6101160,'1',653,'N'),(25,6101160,'1A',601,'N'),(25,6101178,'1',333,'N'),(25,6101186,'1',225,'N'),(25,6101208,'1',301,'N'),(25,6101216,'1',211,'N'),(25,6101216,'1A',652,'N'),(25,6101232,'1',103,'N'),(25,6101240,'1',220,'N'),(25,6101240,'1A',601,'N'),(25,6101259,'1',108,'N'),(25,6101275,'1',103,'N'),(25,6101283,'1',215,'N'),(25,6101283,'1A',233,'N'),(25,6101291,'1',103,'N'),(25,6101305,'1',415,'N'),(25,6101313,'1',317,'N'),(25,6101321,'1',337,'N'),(25,6101330,'1',203,'N'),(25,6101330,'1A',202,'N'),(25,6101348,'1',234,'N'),(25,6101380,'1',999,'N'),(25,6101399,'1',211,'N'),(25,6101399,'1A',208,'N'),(25,6101402,'1',238,'N'),(25,6101402,'1A',208,'N'),(25,6101410,'1',201,'N'),(25,6101410,'1A',220,'N'),(25,6101429,'1',451,'N'),(25,6101437,'1',303,'N'),(25,6101461,'1',309,'N'),(25,6101470,'1',319,'N'),(25,6101488,'1',340,'N'),(25,6101496,'1',319,'N'),(25,6101500,'1',103,'N'),(25,6101518,'1',103,'N'),(25,6101526,'1',104,'N'),(25,6101534,'1',653,'N'),(25,6101534,'1A',655,'N'),(25,6101542,'1',999,'N'),(25,6101550,'1',5,'N'),(25,6101569,'1',103,'N'),(25,6101577,'1',324,'N'),(25,6101585,'1',235,'N'),(25,6101585,'1A',203,'N'),(25,6101593,'1',202,'N'),(25,6101593,'1A',235,'N'),(25,6101607,'1',103,'N'),(25,6101615,'1',110,'N'),(25,6101623,'1',103,'N'),(25,6101631,'1',3,'N'),(25,6101658,'1',103,'N'),(25,6101682,'1',108,'N'),(25,6101690,'1',5,'N'),(25,6101704,'1',319,'N'),(25,6101712,'1',451,'N'),(25,6101720,'1',103,'N'),(25,6101739,'1',102,'N'),(25,6101747,'1',103,'N'),(25,6101755,'1',103,'N'),(25,6101771,'1',103,'N'),(25,6101780,'1',103,'N'),(25,6101798,'1',103,'N'),(25,6101801,'1',213,'N'),(25,6101801,'1A',212,'N'),(25,6101810,'1',203,'N'),(25,6101810,'1A',201,'N'),(25,6101828,'1',207,'N'),(25,6101828,'1A',233,'N'),(25,6101844,'1',103,'N'),(25,6101852,'1',317,'N'),(25,6101860,'1',203,'N'),(25,6101860,'1A',220,'N'),(25,6101879,'1',103,'N'),(25,6101909,'1',324,'N'),(25,6101917,'1',103,'N'),(25,6101925,'1',304,'N'),(25,6101933,'1',5,'N'),(25,6101941,'1',103,'N'),(25,6101950,'1',101,'N'),(25,6101968,'1',207,'N'),(25,6101968,'1A',201,'N'),(25,6101976,'1',5,'N'),(25,6101984,'1',601,'N'),(25,6101984,'1A',201,'N'),(25,6101992,'1',103,'N'),(25,6102000,'1',103,'N'),(25,6102018,'1',427,'N'),(25,6102018,'1A',428,'N'),(25,6102034,'1',216,'N'),(25,6102034,'1A',215,'N'),(25,6102042,'1',103,'N'),(25,6102050,'1',108,'N'),(25,6102069,'1',103,'N'),(25,6102077,'1',502,'N'),(25,6102085,'1',103,'N'),(25,6102093,'1',203,'N'),(25,6102093,'1A',202,'N'),(25,6102123,'1',103,'N'),(25,6102131,'1',303,'N'),(25,6102140,'1',103,'N'),(25,6102158,'1',317,'N'),(25,6102174,'1',103,'N'),(25,6102182,'1',103,'N'),(25,6102190,'1',103,'N'),(25,6102204,'1',103,'N'),(25,6102212,'1',103,'N'),(25,6102220,'1',211,'N'),(25,6102220,'1A',215,'N'),(25,6102239,'1',203,'N'),(25,6102239,'1A',220,'N'),(25,6102247,'1',5,'N'),(25,6102255,'1',208,'N'),(25,6102255,'1A',220,'N'),(25,6102263,'1',444,'N'),(25,6102280,'1',110,'N'),(25,6102298,'1',207,'N'),(25,6102298,'1A',201,'N'),(25,6102301,'1',103,'N'),(25,6102310,'1',103,'N'),(25,6102328,'1',207,'N'),(25,6102328,'1A',201,'N'),(25,6102336,'1',5,'N'),(25,6102344,'1',238,'N'),(25,6102344,'1A',208,'N'),(25,6102352,'1',303,'N'),(25,6102360,'1',426,'N'),(25,6102360,'1A',423,'N'),(25,6102387,'1',415,'N'),(25,6102409,'1',103,'N'),(25,6102417,'1',201,'N'),(25,6102417,'1A',220,'N'),(25,6102425,'1',103,'N'),(25,6102433,'1',102,'N'),(25,6102441,'1',103,'N'),(25,6102450,'1',340,'N'),(25,6102468,'1',211,'N'),(25,6102468,'1A',215,'N'),(25,6102476,'1',103,'N'),(25,6102484,'1',201,'N'),(25,6102484,'1A',233,'N'),(25,6102492,'1',303,'N'),(25,6102506,'1',340,'N'),(25,6102514,'1',319,'N'),(25,6102522,'1',103,'N'),(25,6102530,'1',207,'N'),(25,6102530,'1A',201,'N'),(25,6102549,'1',104,'N'),(25,6102557,'1',103,'N'),(25,6102565,'1',103,'N'),(25,6102573,'1',5,'N'),(25,6102581,'1',103,'N'),(25,6102603,'1',103,'N'),(25,6102611,'1',503,'N'),(25,6102620,'1',340,'N'),(25,6102638,'1',999,'N'),(25,6102646,'1',9,'N'),(25,6102654,'1',207,'N'),(25,6102654,'1A',201,'N'),(25,6102662,'1',215,'N'),(25,6102662,'1A',216,'N'),(25,6102670,'1',207,'N'),(25,6102670,'1A',201,'N'),(25,6102689,'1',103,'N'),(25,6102697,'1',5,'N'),(25,6102719,'1',207,'N'),(25,6102719,'1A',211,'N'),(25,6102735,'1',202,'N'),(25,6102735,'1A',235,'N'),(25,6102743,'1',103,'N'),(25,6102751,'1',601,'N'),(25,6102760,'1',103,'N'),(25,6102778,'1',103,'N'),(25,6102786,'1',103,'N'),(25,6102794,'1',207,'N'),(25,6102794,'1A',201,'N'),(25,6102808,'1',207,'N'),(25,6102808,'1A',201,'N'),(25,6102816,'1',103,'N'),(25,6102824,'1',103,'N'),(25,6102832,'1',203,'N'),(25,6102832,'1A',214,'N'),(25,6102840,'1',207,'N'),(25,6102840,'1A',212,'N'),(25,6102859,'1',426,'N'),(25,6102859,'1A',428,'N'),(25,6102867,'1',202,'N'),(25,6102867,'1A',213,'N'),(25,6102875,'1',207,'N'),(25,6102875,'1A',201,'N'),(25,6102883,'1',103,'N'),(25,6102891,'1',208,'N'),(25,6102891,'1A',238,'N'),(25,6102905,'1',302,'N'),(25,6102913,'1',317,'N'),(25,6102930,'1',207,'N'),(25,6102930,'1A',201,'N'),(25,6102948,'1',103,'N'),(25,6102956,'1',103,'N'),(25,6102964,'1',103,'N'),(25,6102972,'1',303,'N'),(25,6102980,'1',103,'N'),(25,6102999,'1',340,'N'),(25,6103006,'1',211,'N'),(25,6103006,'1A',235,'N'),(25,6103014,'1',301,'N'),(25,6103022,'1',203,'N'),(25,6103022,'1A',214,'N'),(25,6103030,'1',235,'N'),(25,6103030,'1A',220,'N'),(25,6103049,'1',303,'N'),(25,6103065,'1',103,'N'),(25,6103073,'1',103,'N'),(25,6103081,'1',103,'N'),(25,6103111,'1',103,'N'),(25,6103120,'1',103,'N'),(25,6103138,'1',301,'N'),(25,6103146,'1',201,'N'),(25,6103146,'1A',601,'N'),(25,6103154,'1',310,'N'),(25,6103162,'1',109,'N'),(25,6103170,'1',426,'N'),(25,6103170,'1A',428,'N'),(25,6103189,'1',453,'N'),(25,6103197,'1',238,'N'),(25,6103197,'1A',208,'N'),(25,6103200,'1',216,'N'),(25,6103200,'1A',213,'N'),(25,6103219,'1',103,'N'),(25,6103227,'1',653,'N'),(25,6103227,'1A',211,'N'),(25,6103235,'1',202,'N'),(25,6103235,'1A',203,'N'),(25,6103243,'1',214,'N'),(25,6103243,'1A',601,'N'),(25,6103251,'1',103,'N'),(25,6103260,'1',103,'N'),(25,6103278,'1',340,'N'),(25,6103286,'1',103,'N'),(25,6103294,'1',101,'N'),(25,6103308,'1',207,'N'),(25,6103308,'1A',215,'N'),(25,6103316,'1',453,'N'),(25,6103340,'1',453,'N'),(25,6103367,'1',201,'N'),(25,6103367,'1A',211,'N'),(25,6103375,'1',208,'N'),(25,6103375,'1A',238,'N'),(25,6103383,'1',207,'N'),(25,6103383,'1A',201,'N'),(25,6103391,'1',109,'N'),(25,6103413,'1',103,'N'),(25,6103421,'1',103,'N'),(25,6103430,'1',103,'N'),(25,6103448,'1',999,'N'),(25,6103464,'1',103,'N'),(25,6103472,'1',5,'N'),(25,6103480,'1',309,'N'),(25,6103499,'1',103,'N'),(25,6103502,'1',212,'N'),(25,6103502,'1A',201,'N'),(25,6103529,'1',317,'N'),(25,6103537,'1',103,'N'),(25,6103553,'1',101,'N'),(25,6103561,'1',103,'N'),(25,6103570,'1',601,'N'),(25,6103570,'1A',203,'N'),(25,6103588,'1',207,'N'),(25,6103588,'1A',201,'N'),(25,6103596,'1',103,'N'),(25,6103600,'1',207,'N'),(25,6103618,'1',601,'N'),(25,6103618,'1A',201,'N'),(25,6103626,'1',103,'N'),(25,6103642,'1',103,'N'),(25,6103669,'1',423,'N'),(25,6103669,'1A',427,'N'),(25,6103677,'1',233,'N'),(25,6103677,'1A',211,'N'),(25,6103693,'1',103,'N'),(25,6103707,'1',201,'N'),(25,6103707,'1A',203,'N'),(25,6103723,'1',444,'N'),(25,6103731,'1',202,'N'),(25,6103731,'1A',213,'N'),(25,6103740,'1',453,'N'),(25,6103758,'1',655,'N'),(25,6103758,'1A',202,'N'),(25,6103766,'1',208,'N'),(25,6103766,'1A',652,'N'),(25,6103774,'1',999,'N'),(25,6103782,'1',220,'N'),(25,6103782,'1A',203,'N'),(25,6103790,'1',601,'N'),(25,6103804,'1',303,'N'),(25,6103812,'1',103,'N'),(25,6103820,'1',216,'N'),(25,6103820,'1A',215,'N'),(25,6103839,'1',103,'N'),(25,6103847,'1',103,'N'),(25,6103855,'1',103,'N'),(25,6103863,'1',203,'N'),(25,6103863,'1A',220,'N'),(25,6103871,'1',317,'N'),(25,6103880,'1',103,'N'),(25,6103898,'1',103,'N'),(25,6103901,'1',203,'N'),(25,6103901,'1A',202,'N'),(25,6103928,'1',103,'N'),(25,6103944,'1',216,'N'),(25,6103944,'1A',215,'N'),(25,6103952,'1',303,'N'),(25,6103960,'1',103,'N'),(25,6103987,'1',333,'N'),(25,6103995,'1',211,'N'),(25,6103995,'1A',215,'N'),(25,6104002,'1',109,'N'),(25,6104010,'1',103,'N'),(25,6104045,'1',216,'N'),(25,6104045,'1A',215,'N'),(25,6104053,'1',340,'N'),(25,6104070,'1',5,'N'),(25,6104100,'1',404,'N'),(25,6104118,'1',103,'N'),(25,6104126,'1',450,'N'),(25,6104134,'1',103,'N'),(25,6104142,'1',103,'N'),(25,6104169,'1',207,'N'),(25,6104169,'1A',211,'N'),(25,6104177,'1',103,'N'),(25,6104185,'1',551,'N'),(25,6104193,'1',304,'N'),(25,6104207,'1',420,'N'),(25,6104215,'1',103,'N'),(25,6104223,'1',415,'N'),(25,6104231,'1',999,'N'),(25,6104240,'1',103,'N'),(25,6104258,'1',103,'N'),(25,6104266,'1',203,'N'),(25,6104266,'1A',214,'N'),(25,6104282,'1',336,'N'),(25,6104290,'1',102,'N'),(25,6104304,'1',319,'N'),(25,6104312,'1',104,'N'),(25,6104320,'1',104,'N'),(25,6104339,'1',103,'N'),(25,6104347,'1',103,'N'),(25,6104363,'1',5,'N'),(25,6104371,'1',102,'N'),(25,6104380,'1',337,'N'),(25,6104398,'1',3,'N'),(25,6104401,'1',103,'N'),(25,6104410,'1',103,'N'),(25,6104428,'1',601,'N'),(25,6104428,'1A',220,'N'),(25,6104444,'1',444,'N'),(25,6104452,'1',103,'N'),(25,6104460,'1',101,'N'),(25,6104479,'1',103,'N'),(25,6104487,'1',103,'N'),(25,6104495,'1',103,'N'),(25,6104509,'1',103,'N'),(25,6104517,'1',103,'N'),(25,6104533,'1',103,'N'),(25,6104541,'1',220,'N'),(25,6104541,'1A',214,'N'),(25,6104550,'1',333,'N'),(25,6104568,'1',319,'N'),(25,6104606,'1',655,'N'),(25,6104606,'1A',208,'N'),(25,6104614,'1',420,'N'),(25,6104630,'1',103,'N'),(25,6104649,'1',103,'N'),(25,6104665,'1',104,'N'),(25,6104673,'1',203,'N'),(25,6104673,'1A',213,'N'),(25,6104681,'1',104,'N'),(25,6104690,'1',301,'N'),(25,6104703,'1',103,'N'),(25,6104720,'1',103,'N'),(25,6104738,'1',214,'N'),(25,6104738,'1A',212,'N'),(25,6104746,'1',5,'N'),(25,6104754,'1',104,'N'),(25,6104762,'1',103,'N'),(25,6104770,'1',103,'N'),(25,6104789,'1',203,'N'),(25,6104789,'1A',208,'N'),(25,6104797,'1',999,'N'),(25,6104800,'1',103,'N'),(25,6104819,'1',207,'N'),(25,6104819,'1A',211,'N'),(25,6104827,'1',303,'N'),(25,6104835,'1',103,'N'),(25,6104843,'1',201,'N'),(25,6104843,'1A',202,'N'),(25,6104851,'1',235,'N'),(25,6104851,'1A',208,'N'),(25,6104860,'1',211,'N'),(25,6104860,'1A',215,'N'),(25,6104886,'1',415,'N'),(25,6104894,'1',9,'N'),(25,6104908,'1',428,'N'),(25,6104908,'1A',421,'N'),(25,6104916,'1',103,'N'),(25,6104932,'1',103,'N'),(25,6104940,'1',301,'N'),(25,6104959,'1',551,'N'),(25,6104975,'1',103,'N'),(25,6104983,'1',450,'N'),(25,6104991,'1',316,'N'),(25,6105009,'1',304,'N'),(25,6105017,'1',103,'N'),(25,6105025,'1',207,'N'),(25,6105033,'1',308,'N'),(25,6105041,'1',104,'N'),(25,6105050,'1',216,'N'),(25,6105050,'1A',233,'N'),(25,6105068,'1',308,'N'),(25,6105076,'1',652,'N'),(25,6105076,'1A',655,'N'),(25,6105084,'1',103,'N'),(25,6105092,'1',203,'N'),(25,6105092,'1A',208,'N'),(25,6105106,'1',319,'N'),(25,6105114,'1',103,'N'),(25,6105122,'1',103,'N'),(25,6105130,'1',303,'N'),(25,6105149,'1',319,'N'),(25,6105157,'1',103,'N'),(25,6105165,'1',103,'N'),(25,6105173,'1',216,'N'),(25,6105173,'1A',233,'N'),(25,6105181,'1',103,'N'),(25,6105190,'1',103,'N'),(25,6105203,'1',103,'N'),(25,6105211,'1',303,'N'),(25,6105238,'1',202,'N'),(25,6105238,'1A',203,'N'),(25,6105246,'1',653,'N'),(25,6105246,'1A',655,'N'),(25,6105254,'1',104,'N'),(25,6105262,'1',102,'N'),(25,6105289,'1',208,'N'),(25,6105289,'1A',213,'N'),(25,6105297,'1',2,'N'),(25,6105300,'1',429,'N'),(25,6105300,'1A',426,'N'),(25,6105319,'1',103,'N'),(25,6105327,'1',103,'N'),(25,6105335,'1',301,'N'),(25,6105351,'1',103,'N'),(25,6105360,'1',103,'N'),(25,6105378,'1',211,'N'),(25,6105378,'1A',215,'N'),(25,6105386,'1',102,'N'),(25,6105394,'1',203,'N'),(25,6105394,'1A',214,'N'),(25,6105408,'1',317,'N'),(25,6105416,'1',103,'N'),(25,6105424,'1',999,'N'),(25,6105432,'1',102,'N'),(25,6105459,'1',220,'N'),(25,6105459,'1A',203,'N'),(25,6105467,'1',317,'N'),(25,6105475,'1',103,'N'),(25,6105483,'1',103,'N'),(25,6105491,'1',425,'N'),(25,6105505,'1',103,'N'),(25,6105513,'1',303,'N'),(25,6105521,'1',203,'N'),(25,6105521,'1A',216,'N'),(25,6105530,'1',216,'N'),(25,6105530,'1A',215,'N'),(25,6105548,'1',415,'N'),(25,6105556,'1',211,'N'),(25,6105556,'1A',215,'N'),(25,6105564,'1',103,'N'),(25,6105580,'1',303,'N'),(25,6105599,'1',103,'N'),(25,6105602,'1',103,'N'),(25,6105610,'1',110,'N'),(25,6105629,'1',340,'N'),(25,6105637,'1',214,'N'),(25,6105645,'1',655,'N'),(25,6105645,'1A',652,'N'),(25,6105653,'1',338,'N'),(25,6105661,'1',316,'N'),(25,6105670,'1',601,'N'),(25,6105670,'1A',203,'N'),(25,6105688,'1',220,'N'),(25,6105688,'1A',208,'N'),(25,6105696,'1',319,'N'),(25,6105700,'1',103,'N'),(25,6105734,'1',444,'N'),(25,6105742,'1',103,'N'),(25,6105750,'1',453,'N'),(25,6105769,'1',104,'N'),(25,6105777,'1',103,'N'),(25,6105785,'1',303,'N'),(25,6105793,'1',103,'N'),(25,6105807,'1',103,'N'),(25,6105815,'1',103,'N'),(25,6105823,'1',201,'N'),(25,6105823,'1A',203,'N'),(25,6105840,'1',103,'N'),(25,6105858,'1',103,'N'),(25,6105866,'1',212,'N'),(25,6105866,'1A',215,'N'),(25,6105882,'1',103,'N'),(25,6105904,'1',108,'N'),(25,6105912,'1',208,'N'),(25,6105912,'1A',201,'N'),(25,6105920,'1',207,'N'),(25,6105920,'1A',201,'N'),(25,6105939,'1',103,'N'),(25,6105955,'1',103,'N'),(25,6105963,'1',202,'N'),(25,6105963,'1A',235,'N'),(25,6105980,'1',103,'N'),(25,6105998,'1',220,'N'),(25,6105998,'1A',202,'N'),(25,6106005,'1',2,'N'),(25,6106013,'1',220,'N'),(25,6106013,'1A',201,'N'),(25,6106030,'1',103,'N'),(25,6106048,'1',104,'N'),(25,6106056,'1',303,'N'),(25,6106072,'1',450,'N'),(25,6106080,'1',415,'N'),(25,6106099,'1',103,'N'),(25,6106102,'1',103,'N'),(25,6106110,'1',103,'N'),(25,6106129,'1',404,'N'),(25,6106137,'1',220,'N'),(25,6106137,'1A',202,'N'),(25,6106145,'1',103,'N'),(25,6106170,'1',103,'N'),(25,6106188,'1',201,'N'),(25,6106188,'1A',207,'N'),(25,6106196,'1',103,'N'),(25,6106200,'1',103,'N'),(25,6106226,'1',103,'N'),(25,6106234,'1',102,'N'),(25,6106242,'1',420,'N'),(25,6106250,'1',201,'N'),(25,6106277,'1',201,'N'),(25,6106277,'1A',207,'N'),(25,6106285,'1',201,'N'),(25,6106285,'1A',207,'N'),(25,6106293,'1',203,'N'),(25,6106293,'1A',202,'N'),(25,6106315,'1',207,'N'),(25,6106315,'1A',208,'N'),(25,6106323,'1',108,'N'),(25,6106331,'1',103,'N'),(25,6106340,'1',211,'N'),(25,6106340,'1A',207,'N'),(25,6106358,'1',212,'N'),(25,6106358,'1A',214,'N'),(25,6106366,'1',103,'N'),(25,6106374,'1',207,'N'),(25,6106374,'1A',201,'N'),(25,6106382,'1',303,'N'),(25,6106390,'1',999,'N'),(25,6106404,'1',104,'N'),(25,6106412,'1',103,'N'),(25,6106420,'1',5,'N'),(25,6106447,'1',317,'N'),(25,6106471,'1',203,'N'),(25,6106480,'1',453,'N'),(25,6106498,'1',103,'N'),(25,6106501,'1',303,'N'),(25,6106528,'1',103,'N'),(25,6106536,'1',103,'N'),(25,6106544,'1',425,'N'),(25,6106552,'1',301,'N'),(25,6106560,'1',103,'N'),(25,6106579,'1',319,'N'),(25,6106587,'1',103,'N'),(25,6106595,'1',103,'N'),(25,6106617,'1',303,'N'),(25,6106625,'1',104,'N'),(25,6106633,'1',303,'N'),(25,6106641,'1',103,'N'),(25,6106650,'1',211,'N'),(25,6106668,'1',216,'N'),(25,6106668,'1A',213,'N'),(25,6106676,'1',211,'N'),(25,6106676,'1A',215,'N'),(25,6106692,'1',203,'N'),(25,6106692,'1A',601,'N'),(25,6106706,'1',203,'N'),(25,6106706,'1A',208,'N'),(25,6106714,'1',203,'N'),(25,6106714,'1A',202,'N'),(25,6106722,'1',304,'N'),(25,6106730,'1',203,'N'),(25,6106730,'1A',201,'N'),(25,6106749,'1',415,'N'),(25,6106757,'1',103,'N'),(25,6106765,'1',502,'N'),(25,6106773,'1',301,'N'),(25,6106790,'1',208,'N'),(25,6106803,'1',654,'N'),(25,6106811,'1',103,'N'),(25,6106820,'1',340,'N'),(25,6106838,'1',212,'N'),(25,6106838,'1A',201,'N'),(25,6106846,'1',104,'N'),(25,6106854,'1',103,'N'),(25,6106862,'1',214,'N'),(25,6106862,'1A',203,'N'),(25,6106889,'1',216,'N'),(25,6106889,'1A',653,'N'),(25,6106897,'1',202,'N'),(25,6106897,'1A',235,'N'),(25,6106900,'1',327,'N'),(25,6106919,'1',203,'N'),(25,6106919,'1A',220,'N'),(25,6106927,'1',601,'N'),(25,6106927,'1A',233,'N'),(25,6106943,'1',303,'N'),(25,6106951,'1',207,'N'),(25,6106951,'1A',601,'N'),(25,6106960,'1',103,'N'),(25,6106978,'1',203,'N'),(25,6106978,'1A',220,'N'),(25,6106986,'1',103,'N'),(25,6106994,'1',220,'N'),(25,6106994,'1A',203,'N'),(25,6107001,'1',103,'N'),(25,6107010,'1',103,'N'),(25,6107028,'1',103,'N'),(25,6107036,'1',238,'N'),(25,6107036,'1A',202,'N'),(25,6107044,'1',110,'N'),(25,6107052,'1',103,'N'),(25,6107079,'1',207,'N'),(25,6107079,'1A',211,'N'),(25,6107087,'1',103,'N'),(25,6107109,'1',5,'N'),(25,6107117,'1',103,'N'),(25,6107125,'1',235,'N'),(25,6107125,'1A',233,'N'),(25,6107141,'1',223,'N'),(25,6107150,'1',110,'N'),(25,6107168,'1',420,'N'),(25,6107176,'1',103,'N'),(25,6107184,'1',208,'N'),(25,6107184,'1A',235,'N'),(25,6107206,'1',999,'N'),(25,6107214,'1',999,'N'),(25,6107222,'1',420,'N'),(25,6107249,'1',103,'N'),(25,6107257,'1',336,'N'),(25,6107265,'1',207,'N'),(25,6107265,'1A',201,'N'),(25,6107273,'1',103,'N'),(25,6107281,'1',103,'N'),(25,6107303,'1',999,'N'),(25,6107311,'1',316,'N'),(25,6107320,'1',304,'N'),(25,6107338,'1',202,'N'),(25,6107354,'1',103,'N'),(25,6107362,'1',103,'N'),(25,6107370,'1',103,'N'),(25,6107389,'1',216,'N'),(25,6107389,'1A',211,'N'),(25,6107400,'1',207,'N'),(25,6107419,'1',420,'N'),(25,6107427,'1',999,'N'),(25,6107435,'1',5,'N'),(25,6107451,'1',303,'N'),(25,6107460,'1',201,'N'),(25,6107460,'1A',202,'N'),(25,6107486,'1',103,'N'),(25,6107508,'1',104,'N'),(25,6107516,'1',2,'N'),(25,6107524,'1',103,'N'),(25,6107532,'1',319,'N'),(25,6107540,'1',303,'N'),(25,6107559,'1',207,'N'),(25,6107559,'1A',201,'N'),(25,6107567,'1',216,'N'),(25,6107567,'1A',211,'N'),(25,6107575,'1',326,'N'),(25,6107583,'1',103,'N'),(25,6107591,'1',103,'N'),(25,6107605,'1',444,'N'),(25,6107613,'1',103,'N'),(25,6107621,'1',216,'N'),(25,6107621,'1A',203,'N'),(25,6107630,'1',320,'N'),(25,6107648,'1',203,'N'),(25,6107648,'1A',201,'N'),(25,6107664,'1',201,'N'),(25,6107664,'1A',207,'N'),(25,6107672,'1',222,'N'),(25,6107680,'1',103,'N'),(25,6107699,'1',212,'N'),(25,6107699,'1A',214,'N'),(25,6107702,'1',103,'N'),(25,6107710,'1',235,'N'),(25,6107710,'1A',202,'N'),(25,6107729,'1',104,'N'),(25,6107737,'1',9,'N'),(25,6107753,'1',104,'N'),(25,6107788,'1',103,'N'),(25,6107796,'1',103,'N'),(25,6107800,'1',309,'N'),(25,6107818,'1',103,'N'),(25,6107826,'1',308,'N'),(25,6107834,'1',425,'N'),(25,6107834,'1A',427,'N'),(25,6107842,'1',220,'N'),(25,6107842,'1A',233,'N'),(25,6107850,'1',103,'N'),(25,6107869,'1',203,'N'),(25,6107869,'1A',214,'N'),(25,6107877,'1',104,'N'),(25,6107885,'1',103,'N'),(25,6107893,'1',103,'N'),(25,6107907,'1',301,'N'),(25,6107915,'1',103,'N'),(25,6107923,'1',103,'N'),(25,6107931,'1',308,'N'),(25,6107940,'1',103,'N'),(25,6107958,'1',215,'N'),(25,6107958,'1A',601,'N'),(25,6107974,'1',203,'N'),(25,6107974,'1A',601,'N'),(25,6107990,'1',503,'N'),(25,6108008,'1',225,'N'),(25,6108016,'1',103,'N'),(25,6108032,'1',201,'N'),(25,6108032,'1A',207,'N'),(25,6108040,'1',103,'N'),(25,6108059,'1',216,'N'),(25,6108059,'1A',202,'N'),(25,6108067,'1',103,'N'),(25,6108075,'1',109,'N'),(25,6108105,'1',316,'N'),(25,6108113,'1',202,'N'),(25,6108113,'1A',213,'N'),(25,6108121,'1',601,'N'),(25,6108121,'1A',233,'N'),(25,6108130,'1',203,'N'),(25,6108130,'1A',214,'N'),(25,6108156,'1',319,'N'),(25,6108164,'1',303,'N'),(25,6108172,'1',302,'N'),(25,6108199,'1',317,'N'),(25,6108202,'1',110,'N'),(25,6108210,'1',216,'N'),(25,6108210,'1A',215,'N'),(25,6108229,'1',203,'N'),(25,6108229,'1A',208,'N'),(25,6108237,'1',5,'N'),(25,6108245,'1',212,'N'),(25,6108245,'1A',213,'N'),(25,6108253,'1',103,'N'),(25,6108261,'1',327,'N'),(25,6108270,'1',999,'N'),(25,6108288,'1',101,'N'),(25,6108300,'1',420,'N'),(25,6108318,'1',453,'N'),(25,6108326,'1',316,'N'),(25,6108334,'1',207,'N'),(25,6108334,'1A',211,'N'),(25,6108342,'1',220,'N'),(25,6108342,'1A',233,'N'),(25,6108350,'1',103,'N'),(25,6108377,'1',207,'N'),(25,6108377,'1A',233,'N'),(25,6108393,'1',103,'N'),(25,6108407,'1',214,'N'),(25,6108407,'1A',213,'N'),(25,6108415,'1',207,'N'),(25,6108415,'1A',201,'N'),(25,6108423,'1',103,'N'),(25,6108440,'1',999,'N'),(25,6108458,'1',203,'N'),(25,6108458,'1A',201,'N'),(25,6108466,'1',203,'N'),(25,6108474,'1',207,'N'),(25,6108474,'1A',201,'N'),(25,6108482,'1',999,'N'),(25,6108504,'1',340,'N'),(25,6108512,'1',103,'N'),(25,6108547,'1',301,'N'),(25,6108563,'1',207,'N'),(25,6108563,'1A',201,'N'),(25,6108571,'1',302,'N'),(25,6108580,'1',104,'N'),(25,6108598,'1',202,'N'),(25,6108601,'1',340,'N'),(25,6108628,'1',214,'N'),(25,6108636,'1',103,'N'),(25,6108644,'1',103,'N'),(25,6108652,'1',103,'N'),(25,6108660,'1',601,'N'),(25,6108660,'1A',233,'N'),(25,6108687,'1',104,'N'),(25,6108695,'1',340,'N'),(25,6108709,'1',654,'N'),(25,6108717,'1',104,'N'),(25,6108725,'1',203,'N'),(25,6108733,'1',654,'N'),(25,6108750,'1',201,'N'),(25,6108750,'1A',212,'N'),(25,6108768,'1',220,'N'),(25,6108768,'1A',207,'N'),(25,6108776,'1',102,'N'),(25,6108784,'1',451,'N'),(25,6108792,'1',303,'N'),(25,6108806,'1',108,'N'),(25,6108814,'1',207,'N'),(25,6108814,'1A',201,'N'),(25,6108822,'1',999,'N'),(25,6108830,'1',404,'N'),(25,6108849,'1',233,'N'),(25,6108849,'1A',601,'N'),(25,6108857,'1',207,'N'),(25,6108857,'1A',653,'N'),(25,6108881,'1',324,'N'),(25,6108890,'1',201,'N'),(25,6108890,'1A',214,'N'),(25,6108903,'1',103,'N'),(25,6108911,'1',103,'N'),(25,6108920,'1',103,'N'),(25,6108938,'1',501,'N'),(25,6108954,'1',203,'N'),(25,6108954,'1A',220,'N'),(25,6108962,'1',103,'N'),(25,6108970,'1',108,'N'),(25,6108989,'1',103,'N'),(25,6108997,'1',340,'N'),(25,6109004,'1',103,'N'),(25,6109012,'1',104,'N'),(25,6109020,'1',201,'N'),(25,6109020,'1A',208,'N'),(25,6109039,'1',216,'N'),(25,6109039,'1A',203,'N'),(25,6109063,'1',103,'N'),(25,6109071,'1',214,'N'),(25,6109071,'1A',235,'N'),(25,6109080,'1',302,'N'),(25,6109098,'1',336,'N'),(25,6109101,'1',420,'N'),(25,6109110,'1',303,'N'),(25,6109128,'1',103,'N'),(25,6109136,'1',103,'N'),(25,6109144,'1',101,'N'),(25,6109152,'1',999,'N'),(25,6109160,'1',220,'N'),(25,6109160,'1A',213,'N'),(25,6109179,'1',208,'N'),(25,6109179,'1A',238,'N'),(25,6109187,'1',110,'N'),(25,6109209,'1',103,'N'),(25,6109217,'1',3,'N'),(25,6109225,'1',203,'N'),(25,6109225,'1A',214,'N'),(25,6109233,'1',103,'N'),(25,6109241,'1',207,'N'),(25,6109241,'1A',201,'N'),(25,6109250,'1',308,'N'),(25,6109268,'1',108,'N'),(25,6109276,'1',203,'N'),(25,6109276,'1A',214,'N'),(25,6109284,'1',5,'N'),(25,6109292,'1',216,'N'),(25,6109292,'1A',201,'N'),(25,6109306,'1',427,'N'),(25,6109306,'1A',428,'N'),(25,6109322,'1',103,'N'),(25,6109330,'1',110,'N'),(25,6109349,'1',3,'N'),(25,6109357,'1',103,'N'),(25,6109365,'1',103,'N'),(25,6109381,'1',340,'N'),(25,6109390,'1',303,'N'),(25,6109403,'1',207,'N'),(25,6109411,'1',211,'N'),(25,6109420,'1',108,'N'),(25,6109438,'1',103,'N'),(25,6109446,'1',319,'N'),(25,6109454,'1',103,'N'),(25,6109462,'1',415,'N'),(25,6109470,'1',450,'N'),(25,6109489,'1',207,'N'),(25,6109489,'1A',212,'N'),(25,6109497,'1',108,'N'),(25,6109500,'1',303,'N'),(25,6109519,'1',201,'N'),(25,6109519,'1A',212,'N'),(25,6109527,'1',103,'N'),(25,6109535,'1',238,'N'),(25,6109535,'1A',203,'N'),(25,6109551,'1',104,'N'),(25,6109578,'1',5,'N'),(25,6109586,'1',450,'N'),(25,6109594,'1',103,'N'),(25,6109608,'1',103,'N'),(25,6109624,'1',103,'N'),(25,6109632,'1',5,'N'),(25,6109659,'1',303,'N'),(25,6109667,'1',201,'N'),(25,6109667,'1A',207,'N'),(25,6109675,'1',238,'N'),(25,6109675,'1A',208,'N'),(25,6109683,'1',103,'N'),(25,6109691,'1',103,'N'),(25,6109705,'1',103,'N'),(25,6109713,'1',211,'N'),(25,6109721,'1',110,'N'),(25,6109730,'1',103,'N'),(25,6109756,'1',104,'N'),(25,6109764,'1',452,'N'),(25,6109772,'1',103,'N'),(25,6109780,'1',415,'N'),(25,6109799,'1',207,'N'),(25,6109799,'1A',211,'N'),(25,6109802,'1',103,'N'),(25,6109810,'1',303,'N'),(25,6109837,'1',450,'N'),(25,6109845,'1',319,'N'),(25,6109853,'1',103,'N'),(25,6109861,'1',207,'N'),(25,6109861,'1A',201,'N'),(25,6109870,'1',101,'N'),(25,6109888,'1',103,'N'),(25,6109896,'1',103,'N'),(25,6109918,'1',301,'N'),(25,6109926,'1',103,'N'),(25,6109942,'1',108,'N'),(25,6109950,'1',302,'N'),(25,6109969,'1',103,'N'),(25,6109977,'1',415,'N'),(25,6109985,'1',316,'N'),(25,6109993,'1',103,'N'),(25,6110002,'1',444,'N'),(25,6110010,'1',104,'N'),(25,6110029,'1',212,'N'),(25,6110029,'1A',211,'N'),(25,6110037,'1',103,'N'),(25,6110045,'1',304,'N'),(25,6110053,'1',211,'N'),(25,6110053,'1A',212,'N'),(25,6110061,'1',5,'N'),(25,6110070,'1',238,'N'),(25,6110070,'1A',655,'N'),(25,6110096,'1',102,'N'),(25,6110100,'1',201,'N'),(25,6110100,'1A',202,'N'),(25,6110118,'1',223,'N'),(25,6110126,'1',317,'N'),(25,6110134,'1',303,'N'),(25,6110142,'1',103,'N'),(25,6110169,'1',450,'N'),(25,6110177,'1',201,'N'),(25,6110177,'1A',203,'N'),(25,6110185,'1',103,'N'),(25,6110207,'1',104,'N'),(25,6110223,'1',201,'N'),(25,6110223,'1A',212,'N'),(25,6110231,'1',317,'N'),(25,6110240,'1',327,'N'),(25,6110258,'1',201,'N'),(25,6110258,'1A',207,'N'),(25,6110266,'1',103,'N'),(25,6110274,'1',503,'N'),(25,6110282,'1',213,'N'),(25,6110282,'1A',238,'N'),(25,6110290,'1',103,'N'),(25,6110304,'1',103,'N'),(25,6110312,'1',103,'N'),(25,6110339,'1',415,'N'),(25,6110347,'1',5,'N'),(25,6110355,'1',404,'N'),(25,6110363,'1',104,'N'),(25,6110371,'1',203,'N'),(25,6110371,'1A',211,'N'),(25,6110380,'1',207,'N'),(25,6110380,'1A',201,'N'),(25,6110398,'1',207,'N'),(25,6110398,'1A',201,'N'),(25,6110401,'1',203,'N'),(25,6110401,'1A',214,'N'),(25,6110410,'1',320,'N'),(25,6110428,'1',340,'N'),(25,6110436,'1',104,'N'),(25,6110444,'1',103,'N'),(25,6110460,'1',238,'N'),(25,6110460,'1A',208,'N'),(25,6110479,'1',103,'N'),(25,6110487,'1',103,'N'),(25,6110495,'1',238,'N'),(25,6110495,'1A',208,'N'),(25,6110509,'1',103,'N'),(25,6110517,'1',103,'N'),(25,6110525,'1',103,'N'),(25,6110533,'1',208,'N'),(25,6110533,'1A',601,'N'),(25,6110541,'1',103,'N'),(25,6110550,'1',203,'N'),(25,6110550,'1A',214,'N'),(25,6110568,'1',207,'N'),(25,6110568,'1A',201,'N'),(25,6110576,'1',103,'N'),(25,6110584,'1',5,'N'),(25,6110592,'1',103,'N'),(25,6110606,'1',328,'N'),(25,6110614,'1',103,'N'),(25,6110622,'1',103,'N'),(25,6110630,'1',104,'N'),(25,6110649,'1',103,'N'),(25,6110665,'1',601,'N'),(25,6110673,'1',216,'N'),(25,6110673,'1A',215,'N'),(25,6110681,'1',212,'N'),(25,6110681,'1A',213,'N'),(25,6110703,'1',103,'N'),(25,6110711,'1',301,'N'),(25,6110720,'1',103,'N'),(25,6110738,'1',201,'N'),(25,6110738,'1A',212,'N'),(25,6110746,'1',108,'N'),(25,6110762,'1',103,'N'),(25,6110770,'1',453,'N'),(25,6110789,'1',340,'N'),(25,6110797,'1',654,'N'),(25,6110800,'1',5,'N'),(25,6110819,'1',203,'N'),(25,6110819,'1A',202,'N'),(25,6110827,'1',303,'N'),(25,6110835,'1',220,'N'),(25,6110835,'1A',214,'N'),(25,6110843,'1',212,'N'),(25,6110843,'1A',211,'N'),(25,6110851,'1',103,'N'),(25,6110878,'1',103,'N'),(25,6110894,'1',316,'N'),(25,6110908,'1',207,'N'),(25,6110908,'1A',201,'N'),(25,6110916,'1',303,'N'),(25,6110924,'1',103,'N'),(25,6110932,'1',335,'N'),(25,6110940,'1',303,'N'),(25,6110959,'1',103,'N'),(25,6110967,'1',214,'N'),(25,6110967,'1A',213,'N'),(25,6110983,'1',103,'N'),(25,6110991,'1',202,'N'),(25,6110991,'1A',213,'N'),(25,6111009,'1',103,'N'),(25,6111017,'1',329,'N'),(25,6111025,'1',302,'N'),(25,6111033,'1',5,'N'),(25,6111041,'1',216,'N'),(25,6111041,'1A',233,'N'),(25,6111050,'1',452,'N'),(25,6111068,'1',203,'N'),(25,6111068,'1A',214,'N'),(25,6111076,'1',103,'N'),(25,6111084,'1',301,'N'),(25,6111092,'1',319,'N'),(25,6111114,'1',108,'N'),(25,6111122,'1',318,'N'),(25,6111130,'1',103,'N'),(25,6111149,'1',238,'N'),(25,6111149,'1A',213,'N'),(25,6111157,'1',340,'N'),(25,6111165,'1',103,'N'),(25,6111181,'1',103,'N'),(25,6111190,'1',202,'N'),(25,6111190,'1A',601,'N'),(25,6111203,'1',336,'N'),(25,6111211,'1',103,'N'),(25,6111220,'1',103,'N'),(25,6111238,'1',453,'N'),(25,6111246,'1',103,'N'),(25,6111254,'1',415,'N'),(25,6111262,'1',103,'N'),(25,6111270,'1',302,'N'),(25,6111289,'1',235,'N'),(25,6111289,'1A',202,'N'),(25,6111300,'1',201,'N'),(25,6111300,'1A',238,'N'),(25,6111319,'1',214,'N'),(25,6111319,'1A',213,'N'),(25,6111327,'1',335,'N'),(25,6111335,'1',103,'N'),(25,6111343,'1',5,'N'),(25,6111351,'1',9,'N'),(25,6111360,'1',103,'N'),(25,6111378,'1',319,'N'),(25,6111386,'1',108,'N'),(25,6111394,'1',103,'N'),(25,6111408,'1',110,'N'),(25,6111424,'1',103,'N'),(25,6111432,'1',303,'N'),(25,6111440,'1',103,'N'),(25,6111459,'1',319,'N'),(25,6111467,'1',301,'N'),(25,6111475,'1',319,'N'),(25,6111483,'1',103,'N'),(25,6111491,'1',502,'N'),(25,6111505,'1',309,'N'),(25,6111513,'1',202,'N'),(25,6111521,'1',450,'N'),(25,6111530,'1',333,'N'),(25,6111548,'1',203,'N'),(25,6111548,'1A',211,'N'),(25,6111556,'1',501,'N'),(25,6111572,'1',317,'N'),(25,6111580,'1',103,'N'),(25,6111599,'1',208,'N'),(25,6111599,'1A',233,'N'),(25,6111602,'1',103,'N'),(25,6111610,'1',203,'N'),(25,6111610,'1A',202,'N'),(25,6111637,'1',340,'N'),(25,6111645,'1',415,'N'),(25,6111653,'1',203,'N'),(25,6111653,'1A',201,'N'),(25,6111670,'1',101,'N'),(25,6111688,'1',5,'N'),(25,6111700,'1',103,'N'),(25,6111734,'1',319,'N'),(25,6111742,'1',319,'N'),(25,6111750,'1',103,'N'),(25,6111769,'1',216,'N'),(25,6111769,'1A',215,'N'),(25,6111777,'1',103,'N'),(25,6111785,'1',215,'N'),(25,6111793,'1',202,'N'),(25,6111793,'1A',655,'N'),(25,6111807,'1',208,'N'),(25,6111807,'1A',238,'N'),(25,6111815,'1',203,'N'),(25,6111815,'1A',220,'N'),(25,6111823,'1',220,'N'),(25,6111823,'1A',202,'N'),(25,6111831,'1',220,'N'),(25,6111831,'1A',208,'N'),(25,6111840,'1',103,'N'),(25,6111858,'1',103,'N'),(25,6111866,'1',339,'N'),(25,6111874,'1',203,'N'),(25,6111874,'1A',214,'N'),(25,6111882,'1',103,'N'),(25,6111890,'1',201,'N'),(25,6111890,'1A',235,'N'),(25,6111904,'1',103,'N'),(25,6111920,'1',103,'N'),(25,6111939,'1',103,'N'),(25,6111955,'1',303,'N'),(25,6111963,'1',103,'N'),(25,6111971,'1',104,'N'),(25,6111980,'1',103,'N'),(25,6111998,'1',501,'N'),(25,6112005,'1',104,'N'),(25,6112013,'1',5,'N'),(25,6112021,'1',201,'N'),(25,6112021,'1A',207,'N'),(25,6112030,'1',215,'N'),(25,6112030,'1A',216,'N'),(25,6112056,'1',208,'N'),(25,6112056,'1A',238,'N'),(25,6112064,'1',103,'N'),(25,6112072,'1',103,'N'),(25,6112080,'1',318,'N'),(25,6112099,'1',103,'N'),(25,6112110,'1',103,'N'),(25,6112129,'1',223,'N'),(25,6112145,'1',211,'N'),(25,6112145,'1A',220,'N'),(25,6112153,'1',309,'N'),(25,6112161,'1',999,'N'),(25,6112188,'1',103,'N'),(25,6112200,'1',201,'N'),(25,6112200,'1A',235,'N'),(25,6112218,'1',207,'N'),(25,6112218,'1A',201,'N'),(25,6112226,'1',201,'N'),(25,6112226,'1A',212,'N'),(25,6112234,'1',103,'N'),(25,6112242,'1',216,'N'),(25,6112242,'1A',201,'N'),(25,6112250,'1',103,'N'),(25,6112269,'1',452,'N'),(25,6112285,'1',301,'N'),(25,6112293,'1',104,'N'),(25,6112307,'1',999,'N'),(25,6112323,'1',303,'N'),(25,6112331,'1',103,'N'),(25,6112340,'1',301,'N'),(25,6112358,'1',214,'N'),(25,6112358,'1A',212,'N'),(25,6112366,'1',109,'N'),(25,6112382,'1',211,'N'),(25,6112382,'1A',202,'N'),(25,6112439,'1',301,'N'),(25,6112447,'1',340,'N'),(25,6112455,'1',303,'N'),(25,6112463,'1',309,'N'),(25,6112471,'1',201,'N'),(25,6112480,'1',102,'N'),(25,6112498,'1',303,'N'),(25,6112501,'1',103,'N'),(25,6112528,'1',233,'N'),(25,6112528,'1A',601,'N'),(25,6112536,'1',337,'N'),(25,6112544,'1',104,'N'),(25,6112552,'1',450,'N'),(25,6112560,'1',103,'N'),(25,6112579,'1',211,'N'),(25,6112579,'1A',207,'N'),(25,6112587,'1',103,'N'),(25,6112595,'1',333,'N'),(25,6112617,'1',103,'N'),(25,6112641,'1',216,'N'),(25,6112641,'1A',211,'N'),(25,6112650,'1',103,'N'),(25,6112668,'1',201,'N'),(25,6112668,'1A',202,'N'),(25,6112684,'1',208,'N'),(25,6112684,'1A',203,'N'),(25,6112706,'1',203,'N'),(25,6112706,'1A',202,'N'),(25,6112714,'1',5,'N'),(25,6112722,'1',999,'N'),(25,6112749,'1',203,'N'),(25,6112749,'1A',201,'N'),(25,6112757,'1',404,'N'),(25,6112765,'1',304,'N'),(25,6112773,'1',201,'N'),(25,6112773,'1A',203,'N'),(25,6112781,'1',211,'N'),(25,6112781,'1A',238,'N'),(25,6112790,'1',9,'N'),(25,6112811,'1',319,'N'),(25,6112820,'1',428,'N'),(25,6112820,'1A',426,'N'),(25,6112838,'1',103,'N'),(25,6112846,'1',9,'N'),(25,6112854,'1',333,'N'),(25,6112862,'1',103,'N'),(25,6112889,'1',9,'N'),(25,6112897,'1',319,'N'),(25,6112919,'1',207,'N'),(25,6112935,'1',332,'N'),(25,6112943,'1',319,'N'),(25,6112951,'1',103,'N'),(25,6112960,'1',303,'N'),(25,6112978,'1',333,'N'),(25,6113001,'1',203,'N'),(25,6113001,'1A',220,'N'),(25,6113028,'1',310,'N'),(25,6113036,'1',319,'N'),(25,6113044,'1',103,'N'),(25,6113052,'1',103,'N'),(25,6113079,'1',104,'N'),(25,6113087,'1',103,'N'),(25,6113095,'1',333,'N'),(25,6113109,'1',336,'N'),(25,6113117,'1',601,'N'),(25,6113117,'1A',233,'N'),(25,6113125,'1',203,'N'),(25,6113125,'1A',233,'N'),(25,6113133,'1',319,'N'),(25,6113141,'1',103,'N'),(25,6113150,'1',5,'N'),(25,6113176,'1',415,'N'),(25,6113192,'1',452,'N'),(25,6113222,'1',110,'N'),(25,6113230,'1',103,'N'),(25,6113249,'1',501,'N'),(25,6113257,'1',5,'N'),(25,6113265,'1',103,'N'),(25,6113273,'1',103,'N'),(25,6113281,'1',653,'N'),(25,6113281,'1A',214,'N'),(25,6113290,'1',303,'N'),(25,6113311,'1',103,'N'),(25,6113320,'1',216,'N'),(25,6113320,'1A',212,'N'),(25,6113338,'1',103,'N'),(25,6113346,'1',420,'N'),(25,6113370,'1',103,'N'),(25,6113389,'1',103,'N'),(25,6113400,'1',103,'N'),(25,6113427,'1',319,'N'),(25,6113435,'1',103,'N'),(25,6113443,'1',103,'N'),(25,6113460,'1',303,'N'),(25,6113478,'1',103,'N'),(25,6113486,'1',103,'N'),(25,6113494,'1',452,'N'),(25,6113516,'1',207,'N'),(25,6113516,'1A',216,'N'),(25,6113524,'1',110,'N'),(25,6113532,'1',103,'N'),(25,6113540,'1',318,'N'),(25,6113559,'1',309,'N'),(25,6113567,'1',326,'N'),(25,6113583,'1',328,'N'),(25,6113605,'1',101,'N'),(25,6113621,'1',316,'N'),(25,6113630,'1',319,'N'),(25,6113656,'1',3,'N'),(25,6113664,'1',216,'N'),(25,6113664,'1A',202,'N'),(25,6113672,'1',339,'N'),(25,6113699,'1',109,'N'),(25,6113702,'1',234,'N'),(25,6113729,'1',103,'N'),(25,6113737,'1',103,'N'),(25,6113745,'1',335,'N'),(25,6113761,'1',333,'N'),(25,6113770,'1',103,'N'),(25,6113788,'1',234,'N'),(25,6113796,'1',103,'N'),(25,6113800,'1',207,'N'),(25,6113800,'1A',201,'N'),(25,6113834,'1',316,'N'),(25,6113842,'1',108,'N'),(25,6113850,'1',652,'N'),(25,6113869,'1',104,'N'),(25,6113877,'1',103,'N'),(25,6113885,'1',329,'N'),(25,6113893,'1',5,'N'),(25,6113907,'1',207,'N'),(25,6113907,'1A',652,'N'),(25,6113923,'1',103,'N'),(25,6113940,'1',220,'N'),(25,6113940,'1A',235,'N'),(25,6113958,'1',999,'N'),(25,6113966,'1',108,'N'),(25,6113974,'1',104,'N'),(25,6113982,'1',104,'N'),(25,6113990,'1',238,'N'),(25,6113990,'1A',208,'N'),(25,6114016,'1',103,'N'),(25,6114032,'1',104,'N'),(25,6114040,'1',103,'N'),(25,6114059,'1',308,'N'),(25,6114075,'1',103,'N'),(25,6114091,'1',655,'N'),(25,6114091,'1A',652,'N'),(25,6114113,'1',319,'N'),(25,6114121,'1',319,'N'),(25,6114130,'1',103,'N'),(25,6114164,'1',5,'N'),(25,6114172,'1',303,'N'),(25,6114199,'1',201,'N'),(25,6114199,'1A',653,'N'),(25,6114202,'1',207,'N'),(25,6114202,'1A',211,'N'),(25,6114210,'1',103,'N'),(25,6114229,'1',426,'N'),(25,6114229,'1A',428,'N'),(25,6114237,'1',103,'N'),(25,6114245,'1',103,'N'),(25,6114261,'1',103,'N'),(25,6114270,'1',103,'N'),(25,6114288,'1',326,'N'),(25,6114296,'1',203,'N'),(25,6114296,'1A',220,'N'),(25,6114300,'1',317,'N'),(25,6114318,'1',317,'N'),(25,6114326,'1',423,'N'),(25,6114326,'1A',424,'N'),(25,6114334,'1',340,'N'),(25,6114342,'1',212,'N'),(25,6114342,'1A',201,'N'),(25,6114350,'1',3,'N'),(25,6114369,'1',234,'N'),(25,6114377,'1',420,'N'),(25,6114385,'1',103,'N'),(25,6114393,'1',103,'N'),(25,6114407,'1',207,'N'),(25,6114407,'1A',201,'N'),(25,6114415,'1',103,'N'),(25,6114431,'1',427,'N'),(25,6114431,'1A',424,'N'),(25,6114440,'1',654,'N'),(25,6114466,'1',103,'N'),(25,6114474,'1',302,'N'),(25,6114490,'1',303,'N'),(25,6114504,'1',222,'N'),(25,6114512,'1',223,'N'),(25,6114520,'1',318,'N'),(25,6114539,'1',103,'N'),(25,6114547,'1',9,'N'),(25,6114563,'1',424,'N'),(25,6114563,'1A',427,'N'),(25,6114571,'1',103,'N'),(25,6114580,'1',655,'N'),(25,6114580,'1A',653,'N'),(25,6114598,'1',103,'N'),(25,6114610,'1',317,'N'),(25,6114628,'1',601,'N'),(25,6114628,'1A',202,'N'),(25,6114636,'1',103,'N'),(25,6114644,'1',101,'N'),(25,6114652,'1',212,'N'),(25,6114652,'1A',214,'N'),(25,6114660,'1',319,'N'),(25,6114679,'1',317,'N'),(25,6114695,'1',103,'N'),(25,6114717,'1',104,'N'),(25,6114750,'1',211,'N'),(25,6114750,'1A',212,'N'),(25,6114768,'1',303,'N'),(25,6114776,'1',601,'N'),(25,6114776,'1A',212,'N'),(25,6114784,'1',5,'N'),(25,6114792,'1',333,'N'),(25,6114806,'1',5,'N'),(25,6114814,'1',108,'N'),(25,6114822,'1',2,'N'),(25,6114830,'1',207,'N'),(25,6114849,'1',103,'N'),(25,6114865,'1',326,'N'),(25,6114873,'1',212,'N'),(25,6114873,'1A',213,'N'),(25,6114890,'1',103,'N'),(25,6114911,'1',5,'N'),(25,6114938,'1',501,'N'),(25,6114962,'1',303,'N'),(25,6114970,'1',201,'N'),(25,6114970,'1A',601,'N'),(25,6114989,'1',220,'N'),(25,6114989,'1A',203,'N'),(25,6115004,'1',103,'N'),(25,6115012,'1',201,'N'),(25,6115012,'1A',212,'N'),(25,6115020,'1',102,'N'),(25,6115055,'1',103,'N'),(25,6115063,'1',103,'N'),(25,6115071,'1',238,'N'),(25,6115071,'1A',208,'N'),(25,6115080,'1',655,'N'),(25,6115080,'1A',208,'N'),(25,6115098,'1',319,'N'),(25,6115110,'1',653,'N'),(25,6115128,'1',319,'N'),(25,6115136,'1',102,'N'),(25,6115144,'1',225,'N'),(25,6115152,'1',338,'N'),(25,6115160,'1',207,'N'),(25,6115160,'1A',212,'N'),(25,6115179,'1',336,'N'),(25,6115187,'1',208,'N'),(25,6115187,'1A',238,'N'),(25,6115195,'1',103,'N'),(25,6115209,'1',326,'N'),(25,6115217,'1',234,'N'),(25,6115225,'1',327,'N'),(25,6115233,'1',338,'N'),(25,6115241,'1',3,'N'),(25,6115268,'1',207,'N'),(25,6115268,'1A',201,'N'),(25,6115276,'1',999,'N'),(25,6115284,'1',340,'N'),(25,6115292,'1',654,'N'),(25,6115306,'1',429,'N'),(25,6115306,'1A',426,'N'),(25,6115314,'1',103,'N'),(25,6115322,'1',318,'N'),(25,6115330,'1',316,'N'),(25,6115357,'1',216,'N'),(25,6115365,'1',503,'N'),(25,6115373,'1',103,'N'),(25,6115381,'1',444,'N'),(25,6115403,'1',205,'N'),(25,6115411,'1',103,'N'),(25,6115420,'1',9,'N'),(25,6115438,'1',235,'N'),(25,6115438,'1A',653,'N'),(25,6115470,'1',318,'N'),(25,6115489,'1',222,'N'),(25,6115527,'1',203,'N'),(25,6115527,'1A',202,'N'),(25,6115543,'1',5,'N'),(25,6115551,'1',238,'N'),(25,6115551,'1A',235,'N'),(25,6115560,'1',326,'N'),(25,6115578,'1',309,'N'),(25,6115586,'1',502,'N'),(25,6115594,'1',444,'N'),(25,6115608,'1',103,'N'),(25,6115616,'1',203,'N'),(25,6115616,'1A',202,'N'),(25,6115624,'1',303,'N'),(25,6115632,'1',220,'N'),(25,6115632,'1A',202,'N'),(25,6115640,'1',999,'N'),(25,6115659,'1',233,'N'),(25,6115659,'1A',653,'N'),(25,6115667,'1',103,'N'),(25,6115675,'1',208,'N'),(25,6115675,'1A',203,'N'),(25,6115683,'1',104,'N'),(25,6115691,'1',336,'N'),(25,6115705,'1',201,'N'),(25,6115705,'1A',202,'N'),(25,6115721,'1',202,'N'),(25,6115721,'1A',213,'N'),(25,6115730,'1',201,'N'),(25,6115730,'1A',208,'N'),(25,6115764,'1',319,'N'),(25,6115772,'1',103,'N'),(25,6115780,'1',220,'N'),(25,6115780,'1A',233,'N'),(25,6115799,'1',450,'N'),(25,6115802,'1',103,'N'),(25,6115810,'1',333,'N'),(25,6115829,'1',420,'N'),(25,6115837,'1',225,'N'),(25,6115845,'1',308,'N'),(25,6115853,'1',103,'N'),(25,6115861,'1',216,'N'),(25,6115861,'1A',203,'N'),(25,6115888,'1',333,'N'),(25,6115896,'1',450,'N'),(25,6115900,'1',303,'N'),(25,6115918,'1',109,'N'),(25,6115926,'1',203,'N'),(25,6115926,'1A',220,'N'),(25,6115934,'1',207,'N'),(25,6115934,'1A',201,'N'),(25,6115942,'1',319,'N'),(25,6115969,'1',999,'N'),(25,6115977,'1',108,'N'),(25,6115985,'1',5,'N'),(25,6115993,'1',103,'N'),(25,6116000,'1',102,'N'),(25,6116019,'1',102,'N'),(25,6116027,'1',302,'N'),(25,6116035,'1',109,'N'),(25,6116051,'1',224,'N'),(25,6116060,'1',203,'N'),(25,6116060,'1A',202,'N'),(25,6116086,'1',340,'N'),(25,6116108,'1',216,'N'),(25,6116108,'1A',233,'N'),(25,6116116,'1',301,'N'),(25,6116124,'1',203,'N'),(25,6116132,'1',103,'N'),(25,6116140,'1',415,'N'),(25,6116159,'1',212,'N'),(25,6116159,'1A',213,'N'),(25,6116167,'1',216,'N'),(25,6116175,'1',203,'N'),(25,6116175,'1A',201,'N'),(25,6116183,'1',103,'N'),(25,6116191,'1',103,'N'),(25,6116205,'1',103,'N'),(25,6116213,'1',203,'N'),(25,6116213,'1A',601,'N'),(25,6116221,'1',303,'N'),(25,6116248,'1',238,'N'),(25,6116248,'1A',208,'N'),(25,6116256,'1',103,'N'),(25,6116264,'1',652,'N'),(25,6116264,'1A',601,'N'),(25,6116272,'1',601,'N'),(25,6116280,'1',104,'N'),(25,6116299,'1',601,'N'),(25,6116299,'1A',203,'N'),(25,6116302,'1',103,'N'),(25,6116310,'1',404,'N'),(25,6116353,'1',205,'N'),(25,6116388,'1',302,'N'),(25,6116396,'1',234,'N'),(25,6116400,'1',103,'N'),(25,6116418,'1',103,'N'),(25,6116426,'1',319,'N'),(25,6116434,'1',220,'N'),(25,6116434,'1A',653,'N'),(25,6116442,'1',103,'N'),(25,6116450,'1',103,'N'),(25,6116469,'1',233,'N'),(25,6116469,'1A',238,'N'),(25,6116477,'1',425,'N'),(25,6116477,'1A',423,'N'),(25,6116485,'1',340,'N'),(25,6116493,'1',103,'N'),(25,6116507,'1',103,'N'),(25,6116515,'1',207,'N'),(25,6116515,'1A',201,'N'),(25,6116523,'1',104,'N'),(25,6116531,'1',303,'N'),(25,6116540,'1',102,'N'),(25,6116558,'1',336,'N'),(25,6116566,'1',303,'N'),(25,6116574,'1',216,'N'),(25,6116582,'1',211,'N'),(25,6116582,'1A',203,'N'),(25,6116604,'1',103,'N'),(25,6116620,'1',103,'N'),(25,6116639,'1',103,'N'),(25,6116647,'1',415,'N'),(25,6116655,'1',103,'N'),(25,6116663,'1',103,'N'),(25,6116680,'1',309,'N'),(25,6116698,'1',601,'N'),(25,6116698,'1A',201,'N'),(25,6116701,'1',103,'N'),(25,6116710,'1',319,'N'),(25,6116736,'1',319,'N'),(25,6116744,'1',102,'N'),(25,6116779,'1',332,'N'),(25,6116787,'1',404,'N'),(25,6116795,'1',319,'N'),(25,6116809,'1',301,'N'),(25,6116817,'1',211,'N'),(25,6116817,'1A',216,'N'),(25,6116825,'1',301,'N'),(25,6116841,'1',999,'N'),(25,6116868,'1',103,'N'),(25,6116892,'1',234,'N'),(25,6116906,'1',444,'N'),(25,6116914,'1',224,'N'),(25,6116922,'1',425,'N'),(25,6116922,'1A',429,'N'),(25,6116930,'1',103,'N'),(25,6116949,'1',103,'N'),(25,6116957,'1',336,'N'),(25,6116965,'1',103,'N'),(25,6116973,'1',319,'N'),(25,6116981,'1',601,'N'),(25,6116981,'1A',220,'N'),(25,6117015,'1',234,'N'),(25,6117023,'1',203,'N'),(25,6117023,'1A',202,'N'),(25,6117031,'1',999,'N'),(25,6117058,'1',103,'N'),(25,6117066,'1',5,'N'),(25,6117074,'1',501,'N'),(25,6117090,'1',103,'N'),(25,6117104,'1',207,'N'),(25,6117104,'1A',212,'N'),(25,6117112,'1',655,'N'),(25,6117112,'1A',652,'N'),(25,6117120,'1',319,'N'),(25,6117139,'1',207,'N'),(25,6117147,'1',319,'N'),(25,6117155,'1',101,'N'),(25,6117163,'1',103,'N'),(25,6117171,'1',103,'N'),(25,6117180,'1',103,'N'),(25,6117198,'1',5,'N'),(25,6117201,'1',9,'N'),(25,6117210,'1',316,'N'),(25,6117228,'1',201,'N'),(25,6117228,'1A',216,'N'),(25,6117236,'1',103,'N'),(25,6117244,'1',103,'N'),(25,6117252,'1',103,'N'),(25,6117279,'1',103,'N'),(25,6117295,'1',201,'N'),(25,6117309,'1',202,'N'),(25,6117309,'1A',653,'N'),(25,6117317,'1',336,'N'),(25,6117325,'1',331,'N'),(25,6117341,'1',319,'N'),(25,6117350,'1',340,'N'),(25,6117368,'1',103,'N'),(25,6117376,'1',2,'N'),(25,6117384,'1',501,'N'),(25,6117392,'1',415,'N'),(25,6117414,'1',318,'N'),(25,6117422,'1',214,'N'),(25,6117422,'1A',212,'N'),(25,6117430,'1',303,'N'),(25,6117449,'1',5,'N'),(25,6117457,'1',415,'N'),(25,6117465,'1',207,'N'),(25,6117465,'1A',212,'N'),(25,6117473,'1',415,'N'),(25,6117481,'1',653,'N'),(25,6117481,'1A',233,'N'),(25,6117490,'1',102,'N'),(25,6117503,'1',208,'N'),(25,6117503,'1A',202,'N'),(25,6117511,'1',203,'N'),(25,6117511,'1A',201,'N'),(25,6117520,'1',333,'N'),(25,6117538,'1',216,'N'),(25,6117538,'1A',655,'N'),(25,6117546,'1',220,'N'),(25,6117546,'1A',601,'N'),(25,6117554,'1',9,'N'),(25,6117562,'1',207,'N'),(25,6117562,'1A',211,'N'),(25,6117570,'1',103,'N'),(25,6117600,'1',103,'N'),(25,6117619,'1',340,'N'),(25,6117627,'1',202,'N'),(25,6117627,'1A',207,'N'),(25,6117635,'1',203,'N'),(25,6117635,'1A',202,'N'),(25,6117643,'1',238,'N'),(25,6117643,'1A',220,'N'),(25,6117651,'1',203,'N'),(25,6117651,'1A',202,'N'),(25,6117660,'1',101,'N'),(25,6117678,'1',5,'N'),(25,6117686,'1',999,'N'),(25,6117694,'1',415,'N'),(25,6117708,'1',654,'N'),(25,6117716,'1',326,'N'),(25,6117724,'1',103,'N'),(25,6117732,'1',207,'N'),(25,6117732,'1A',201,'N'),(25,6117740,'1',212,'N'),(25,6117740,'1A',233,'N'),(25,6117759,'1',303,'N'),(25,6117767,'1',652,'N'),(25,6117767,'1A',655,'N'),(25,6117775,'1',103,'N'),(25,6117783,'1',601,'N'),(25,6117783,'1A',201,'N'),(25,6117791,'1',103,'N'),(25,6117805,'1',340,'N'),(25,6117813,'1',104,'N'),(25,6117821,'1',103,'N'),(25,6117848,'1',328,'N'),(25,6117856,'1',453,'N'),(25,6117864,'1',208,'N'),(25,6117864,'1A',238,'N'),(25,6117880,'1',110,'N'),(25,6117902,'1',108,'N'),(25,6117910,'1',238,'N'),(25,6117910,'1A',208,'N'),(25,6117929,'1',207,'N'),(25,6117929,'1A',201,'N'),(25,6117937,'1',207,'N'),(25,6117953,'1',320,'N'),(25,6117961,'1',103,'N'),(25,6117970,'1',109,'N'),(25,6117988,'1',303,'N'),(25,6117996,'1',301,'N'),(25,6118003,'1',103,'N'),(25,6118011,'1',207,'N'),(25,6118020,'1',421,'N'),(25,6118020,'1A',429,'N'),(25,6118038,'1',452,'N'),(25,6118062,'1',303,'N'),(25,6118089,'1',303,'N'),(25,6118097,'1',103,'N'),(25,6118100,'1',304,'N'),(25,6118119,'1',103,'N'),(25,6118127,'1',216,'N'),(25,6118127,'1A',215,'N'),(25,6118135,'1',103,'N'),(25,6118143,'1',308,'N'),(25,6118151,'1',216,'N'),(25,6118151,'1A',215,'N'),(25,6118160,'1',207,'N'),(25,6118160,'1A',201,'N'),(25,6118178,'1',104,'N'),(25,6118186,'1',453,'N'),(25,6118194,'1',103,'N'),(25,6118208,'1',207,'N'),(25,6118216,'1',202,'N'),(25,6118216,'1A',216,'N'),(25,6118240,'1',103,'N'),(25,6118259,'1',309,'N'),(25,6118267,'1',214,'N'),(25,6118267,'1A',238,'N'),(25,6118275,'1',103,'N'),(25,6118313,'1',101,'N'),(25,6118321,'1',999,'N'),(25,6118356,'1',420,'N'),(25,6118372,'1',223,'N'),(25,6118380,'1',203,'N'),(25,6118380,'1A',233,'N'),(25,6118399,'1',444,'N'),(25,6118402,'1',103,'N'),(25,6118410,'1',316,'N'),(25,6118429,'1',319,'N'),(25,6118437,'1',415,'N'),(25,6118445,'1',104,'N'),(25,6118453,'1',103,'N'),(25,6118461,'1',316,'N'),(25,6118470,'1',319,'N'),(25,6118496,'1',103,'N'),(25,6118526,'1',103,'N'),(25,6118569,'1',319,'N'),(25,6118577,'1',208,'N'),(25,6118577,'1A',238,'N'),(25,6118585,'1',319,'N'),(25,6118593,'1',450,'N'),(25,6118607,'1',216,'N'),(25,6118607,'1A',215,'N'),(25,6118615,'1',303,'N'),(25,6118623,'1',654,'N'),(25,6118631,'1',216,'N'),(25,6118631,'1A',202,'N'),(25,6118640,'1',304,'N'),(25,6118658,'1',450,'N'),(25,6118674,'1',103,'N'),(25,6118682,'1',212,'N'),(25,6118682,'1A',201,'N'),(25,6118690,'1',201,'N'),(25,6118690,'1A',207,'N'),(25,6118704,'1',203,'N'),(25,6118704,'1A',202,'N'),(25,6118712,'1',103,'N'),(25,6118720,'1',652,'N'),(25,6118720,'1A',653,'N'),(25,6118739,'1',9,'N'),(25,6118747,'1',202,'N'),(25,6118747,'1A',235,'N'),(25,6118755,'1',207,'N'),(25,6118755,'1A',201,'N'),(25,6118763,'1',103,'N'),(25,6118771,'1',415,'N'),(25,6118780,'1',238,'N'),(25,6118780,'1A',208,'N'),(25,6118798,'1',103,'N'),(25,6118801,'1',319,'N'),(25,6118810,'1',201,'N'),(25,6118810,'1A',207,'N'),(25,6118828,'1',337,'N'),(25,6118836,'1',415,'N'),(25,6118852,'1',103,'N'),(25,6118860,'1',999,'N'),(25,6118879,'1',319,'N'),(25,6118887,'1',103,'N'),(25,6118895,'1',220,'N'),(25,6118895,'1A',203,'N'),(25,6118909,'1',652,'N'),(25,6118917,'1',316,'N'),(25,6118933,'1',203,'N'),(25,6118933,'1A',214,'N'),(25,6118941,'1',207,'N'),(25,6118941,'1A',233,'N'),(25,6118950,'1',104,'N'),(25,6118968,'1',103,'N'),(25,6118976,'1',104,'N'),(25,6118984,'1',207,'N'),(25,6118984,'1A',201,'N'),(25,6118992,'1',220,'N'),(25,6118992,'1A',203,'N'),(25,6119034,'1',303,'N'),(25,6119042,'1',103,'N'),(25,6119069,'1',103,'N'),(25,6119077,'1',203,'N'),(25,6119077,'1A',201,'N'),(25,6119085,'1',999,'N'),(25,6119093,'1',317,'N'),(25,6119115,'1',317,'N'),(25,6119123,'1',110,'N'),(25,6119131,'1',316,'N'),(25,6119140,'1',110,'N'),(25,6119158,'1',303,'N'),(25,6119166,'1',654,'N'),(25,6119182,'1',303,'N'),(25,6119190,'1',211,'N'),(25,6119190,'1A',201,'N'),(25,6119204,'1',502,'N'),(25,6119220,'1',9,'N'),(25,6119239,'1',102,'N'),(25,6119247,'1',216,'N'),(25,6119247,'1A',214,'N'),(25,6119263,'1',103,'N'),(25,6119271,'1',238,'N'),(25,6119280,'1',317,'N'),(25,6119310,'1',103,'N'),(25,6119328,'1',103,'N'),(25,6119344,'1',207,'N'),(25,6119344,'1A',653,'N'),(25,6119352,'1',207,'N'),(25,6119352,'1A',233,'N'),(25,6119360,'1',220,'N'),(25,6119360,'1A',214,'N'),(25,6119379,'1',319,'N'),(25,6119387,'1',303,'N'),(25,6119395,'1',303,'N'),(25,6119409,'1',5,'N'),(25,6119417,'1',303,'N'),(25,6119425,'1',103,'N'),(25,6119433,'1',201,'N'),(25,6119433,'1A',212,'N'),(25,6119441,'1',202,'N'),(25,6119441,'1A',235,'N'),(25,6119450,'1',326,'N'),(25,6119476,'1',450,'N'),(25,6119492,'1',601,'N'),(25,6119506,'1',103,'N'),(25,6119522,'1',103,'N'),(25,6119530,'1',103,'N'),(25,6119549,'1',332,'N'),(25,6119565,'1',201,'N'),(25,6119565,'1A',216,'N'),(25,6119573,'1',450,'N'),(25,6119581,'1',316,'N'),(25,6119590,'1',208,'N'),(25,6119590,'1A',238,'N'),(25,6119611,'1',202,'N'),(25,6119611,'1A',213,'N'),(25,6119620,'1',108,'N'),(25,6119638,'1',216,'N'),(25,6119646,'1',201,'N'),(25,6119646,'1A',216,'N'),(25,6119654,'1',303,'N'),(25,6119662,'1',103,'N'),(25,6119670,'1',103,'N'),(25,6119689,'1',303,'N'),(25,6119697,'1',999,'N'),(25,6119700,'1',110,'N'),(25,6119719,'1',655,'N'),(25,6119719,'1A',652,'N'),(25,6119727,'1',103,'N'),(25,6119735,'1',999,'N'),(25,6119743,'1',202,'N'),(25,6119743,'1A',235,'N'),(25,6119751,'1',453,'N'),(25,6119760,'1',452,'N'),(25,6119786,'1',203,'N'),(25,6119786,'1A',213,'N'),(25,6119794,'1',207,'N'),(25,6119794,'1A',215,'N'),(25,6119816,'1',424,'N'),(25,6119816,'1A',421,'N'),(25,6119832,'1',303,'N'),(25,6119840,'1',211,'N'),(25,6119840,'1A',215,'N'),(25,6119859,'1',601,'N'),(25,6119859,'1A',220,'N'),(25,6119867,'1',5,'N'),(25,6119875,'1',110,'N'),(25,6119883,'1',303,'N'),(25,6119891,'1',103,'N'),(25,6119905,'1',216,'N'),(25,6119905,'1A',233,'N'),(25,6119913,'1',303,'N'),(25,6119921,'1',211,'N'),(25,6119921,'1A',216,'N'),(25,6119930,'1',317,'N'),(25,6119948,'1',452,'N'),(25,6119956,'1',601,'N'),(25,6119956,'1A',201,'N'),(25,6119964,'1',104,'N'),(25,6119999,'1',103,'N'),(25,6120008,'1',340,'N'),(25,6120059,'1',103,'N'),(25,6120067,'1',101,'N'),(25,6120083,'1',317,'N'),(25,6120091,'1',316,'N'),(25,6120105,'1',319,'N'),(25,6120113,'1',203,'N'),(25,6120121,'1',5,'N'),(25,6120130,'1',502,'N'),(25,6120148,'1',208,'N'),(25,6120156,'1',104,'N'),(25,6120164,'1',207,'N'),(25,6120180,'1',214,'N'),(25,6120180,'1A',235,'N'),(25,6120202,'1',103,'N'),(25,6120210,'1',103,'N'),(25,6120229,'1',201,'N'),(25,6120229,'1A',233,'N'),(25,6120237,'1',103,'N'),(25,6120245,'1',201,'N'),(25,6120245,'1A',212,'N'),(25,6120253,'1',331,'N'),(25,6120261,'1',103,'N'),(25,6120270,'1',3,'N'),(25,6120288,'1',208,'N'),(25,6120288,'1A',655,'N'),(25,6120296,'1',201,'N'),(25,6120300,'1',238,'N'),(25,6120300,'1A',208,'N'),(25,6120334,'1',654,'N'),(25,6120342,'1',333,'N'),(25,6120350,'1',103,'N'),(25,6120369,'1',999,'N'),(25,6120377,'1',415,'N'),(25,6120385,'1',103,'N'),(25,6120393,'1',450,'N'),(25,6120407,'1',207,'N'),(25,6120407,'1A',215,'N'),(25,6120415,'1',216,'N'),(25,6120415,'1A',202,'N'),(25,6120423,'1',103,'N'),(25,6120440,'1',215,'N'),(25,6120440,'1A',233,'N'),(25,6120458,'1',235,'N'),(25,6120466,'1',108,'N'),(25,6120482,'1',653,'N'),(25,6120482,'1A',652,'N'),(25,6120504,'1',101,'N'),(25,6120512,'1',203,'N'),(25,6120512,'1A',201,'N'),(25,6120520,'1',303,'N'),(25,6120539,'1',336,'N'),(25,6120547,'1',104,'N'),(25,6120555,'1',207,'N'),(25,6120555,'1A',201,'N'),(25,6120563,'1',9,'N'),(25,6120571,'1',104,'N'),(25,6120580,'1',103,'N'),(25,6120598,'1',103,'N'),(25,6120601,'1',317,'N'),(25,6120610,'1',601,'N'),(25,6120610,'1A',233,'N'),(25,6120628,'1',202,'N'),(25,6120628,'1A',235,'N'),(25,6120636,'1',203,'N'),(25,6120636,'1A',235,'N'),(25,6120644,'1',103,'N'),(25,6120652,'1',103,'N'),(25,6120679,'1',303,'N'),(25,6120687,'1',9,'N'),(25,6120709,'1',103,'N'),(25,6120717,'1',340,'N'),(25,6120725,'1',444,'N'),(25,6120733,'1',103,'N'),(25,6120768,'1',103,'N'),(25,6120784,'1',103,'N'),(25,6120792,'1',319,'N'),(25,6120814,'1',220,'N'),(25,6120822,'1',207,'N'),(25,6120822,'1A',201,'N'),(25,6120830,'1',601,'N'),(25,6120830,'1A',203,'N'),(25,6120849,'1',301,'N'),(25,6120890,'1',203,'N'),(25,6120890,'1A',601,'N'),(25,6120903,'1',103,'N'),(25,6120911,'1',103,'N'),(25,6120920,'1',302,'N'),(25,6120938,'1',404,'N'),(25,6120946,'1',103,'N'),(25,6120962,'1',5,'N'),(25,6120970,'1',303,'N'),(25,6120989,'1',5,'N'),(25,6120997,'1',207,'N'),(25,6120997,'1A',201,'N'),(25,6121004,'1',316,'N'),(25,6121012,'1',203,'N'),(25,6121012,'1A',653,'N'),(25,6121039,'1',302,'N'),(25,6121047,'1',444,'N'),(25,6121055,'1',220,'N'),(25,6121055,'1A',235,'N'),(25,6121071,'1',103,'N'),(25,6121080,'1',201,'N'),(25,6121080,'1A',233,'N'),(25,6121098,'1',108,'N'),(25,6121101,'1',102,'N'),(25,6121128,'1',103,'N'),(25,6121136,'1',103,'N'),(25,6121144,'1',501,'N'),(25,6121152,'1',103,'N'),(25,6121179,'1',103,'N'),(25,6121195,'1',450,'N'),(25,6121209,'1',999,'N'),(25,6121217,'1',103,'N'),(25,6121225,'1',103,'N'),(25,6121233,'1',220,'N'),(25,6121233,'1A',235,'N'),(25,6121241,'1',207,'N'),(25,6121241,'1A',211,'N'),(25,6121250,'1',103,'N'),(25,6121268,'1',551,'N'),(25,6121284,'1',207,'N'),(25,6121284,'1A',201,'N'),(25,6121292,'1',340,'N'),(25,6121306,'1',215,'N'),(25,6121306,'1A',601,'N'),(25,6121314,'1',101,'N'),(25,6121357,'1',450,'N'),(25,6121365,'1',319,'N'),(25,6121373,'1',214,'N'),(25,6121373,'1A',212,'N'),(25,6121390,'1',211,'N'),(25,6121390,'1A',201,'N'),(25,6121403,'1',110,'N'),(25,6121411,'1',201,'N'),(25,6121411,'1A',202,'N'),(25,6121420,'1',103,'N'),(25,6121438,'1',103,'N'),(25,6121462,'1',2,'N'),(25,6121489,'1',5,'N'),(25,6121497,'1',215,'N'),(25,6121497,'1A',233,'N'),(25,6121500,'1',302,'N'),(25,6121527,'1',103,'N'),(25,6121535,'1',211,'N'),(25,6121535,'1A',208,'N'),(25,6121543,'1',103,'N'),(25,6121551,'1',104,'N'),(25,6121586,'1',103,'N'),(25,6121594,'1',103,'N'),(25,6121608,'1',201,'N'),(25,6121608,'1A',212,'N'),(25,6121616,'1',302,'N'),(25,6121624,'1',3,'N'),(25,6121632,'1',319,'N'),(25,6121640,'1',208,'N'),(25,6121640,'1A',212,'N'),(25,6121659,'1',216,'N'),(25,6121659,'1A',211,'N'),(25,6121667,'1',109,'N'),(25,6121675,'1',103,'N'),(25,6121691,'1',103,'N'),(25,6121713,'1',303,'N'),(25,6121721,'1',224,'N'),(25,6121730,'1',201,'N'),(25,6121730,'1A',207,'N'),(25,6121756,'1',308,'N'),(25,6121764,'1',104,'N'),(25,6121772,'1',103,'N'),(25,6121780,'1',102,'N'),(25,6121799,'1',103,'N'),(25,6121802,'1',109,'N'),(25,6121810,'1',201,'N'),(25,6121810,'1A',216,'N'),(25,6121829,'1',103,'N'),(25,6121837,'1',303,'N'),(25,6121845,'1',415,'N'),(25,6121853,'1',999,'N'),(25,6121861,'1',303,'N'),(25,6121870,'1',215,'N'),(25,6121888,'1',333,'N'),(25,6121896,'1',999,'N'),(25,6121918,'1',999,'N'),(25,6121926,'1',502,'N'),(25,6121934,'1',211,'N'),(25,6121942,'1',103,'N'),(25,6121950,'1',203,'N'),(25,6121950,'1A',220,'N'),(25,6121969,'1',316,'N'),(25,6121977,'1',103,'N'),(25,6121985,'1',301,'N'),(25,6121993,'1',404,'N'),(25,6122000,'1',301,'N'),(25,6122019,'1',103,'N'),(25,6122027,'1',203,'N'),(25,6122027,'1A',235,'N'),(25,6122035,'1',203,'N'),(25,6122035,'1A',202,'N'),(25,6122051,'1',601,'N'),(25,6122051,'1A',201,'N'),(25,6122060,'1',104,'N'),(25,6122078,'1',336,'N'),(25,6122086,'1',999,'N'),(25,6122094,'1',421,'N'),(25,6122094,'1A',424,'N'),(25,6122108,'1',444,'N'),(25,6122116,'1',103,'N'),(25,6122124,'1',201,'N'),(25,6122124,'1A',652,'N'),(25,6122132,'1',103,'N'),(25,6122159,'1',211,'N'),(25,6122159,'1A',207,'N'),(25,6122167,'1',215,'N'),(25,6122167,'1A',216,'N'),(25,6122175,'1',999,'N'),(25,6122183,'1',5,'N'),(25,6122191,'1',104,'N'),(25,6122205,'1',5,'N'),(25,6122213,'1',601,'N'),(25,6122213,'1A',235,'N'),(25,6122221,'1',9,'N'),(25,6122248,'1',108,'N'),(25,6122256,'1',444,'N'),(25,6122264,'1',103,'N'),(25,6122272,'1',309,'N'),(25,6122280,'1',110,'N'),(25,6122299,'1',203,'N'),(25,6122299,'1A',202,'N'),(25,6122302,'1',5,'N'),(25,6122310,'1',102,'N'),(25,6122329,'1',103,'N'),(25,6122345,'1',340,'N'),(25,6122353,'1',201,'N'),(25,6122361,'1',340,'N'),(25,6122370,'1',216,'N'),(25,6122370,'1A',233,'N'),(25,6122426,'1',203,'N'),(25,6122426,'1A',201,'N'),(25,6122434,'1',203,'N'),(25,6122434,'1A',214,'N'),(25,6122442,'1',207,'N'),(25,6122450,'1',103,'N'),(25,6122477,'1',103,'N'),(25,6122485,'1',110,'N'),(25,6122493,'1',203,'N'),(25,6122493,'1A',238,'N'),(25,6122507,'1',103,'N'),(25,6122515,'1',655,'N'),(25,6122523,'1',102,'N'),(25,6122531,'1',9,'N'),(25,6122540,'1',208,'N'),(25,6122540,'1A',652,'N'),(25,6122566,'1',444,'N'),(25,6122574,'1',326,'N'),(25,6122582,'1',208,'N'),(25,6122604,'1',207,'N'),(25,6122604,'1A',215,'N'),(25,6122612,'1',420,'N'),(25,6122620,'1',213,'N'),(25,6122620,'1A',212,'N'),(25,6122639,'1',108,'N'),(25,6122647,'1',203,'N'),(25,6122647,'1A',655,'N'),(25,6122655,'1',999,'N'),(25,6122663,'1',340,'N'),(25,6122680,'1',336,'N'),(25,6122698,'1',102,'N'),(25,6122701,'1',303,'N'),(25,6122710,'1',655,'N'),(25,6122710,'1A',652,'N'),(25,6122728,'1',999,'N'),(25,6122736,'1',326,'N'),(25,6122744,'1',201,'N'),(25,6122744,'1A',212,'N'),(25,6122752,'1',211,'N'),(25,6122752,'1A',233,'N'),(25,6122760,'1',101,'N'),(25,6122779,'1',404,'N'),(25,6122787,'1',201,'N'),(25,6122787,'1A',207,'N'),(25,6122795,'1',211,'N'),(25,6122809,'1',450,'N'),(25,6122817,'1',103,'N'),(25,6122841,'1',203,'N'),(25,6122841,'1A',202,'N'),(25,6122850,'1',309,'N'),(25,6122868,'1',103,'N'),(25,6122876,'1',103,'N'),(25,6122884,'1',103,'N'),(25,6122892,'1',423,'N'),(25,6122892,'1A',424,'N'),(25,6122906,'1',216,'N'),(25,6122906,'1A',212,'N'),(25,6122914,'1',203,'N'),(25,6122914,'1A',235,'N'),(25,6122922,'1',201,'N'),(25,6122949,'1',214,'N'),(25,6122949,'1A',203,'N'),(25,6122957,'1',220,'N'),(25,6122957,'1A',201,'N'),(25,6122965,'1',103,'N'),(25,6122973,'1',104,'N'),(25,6122981,'1',103,'N'),(25,6122990,'1',999,'N'),(25,6123007,'1',103,'N'),(25,6123015,'1',222,'N'),(25,6123023,'1',103,'N'),(25,6123031,'1',9,'N'),(25,6123040,'1',102,'N'),(25,6123066,'1',201,'N'),(25,6123066,'1A',207,'N'),(25,6123082,'1',103,'N'),(25,6123090,'1',450,'N'),(25,6123104,'1',103,'N'),(25,6123139,'1',303,'N'),(25,6123155,'1',5,'N'),(25,6123163,'1',203,'N'),(25,6123163,'1A',202,'N'),(25,6123171,'1',235,'N'),(25,6123198,'1',551,'N'),(25,6123210,'1',316,'N'),(25,6123228,'1',5,'N'),(25,6123236,'1',220,'N'),(25,6123236,'1A',203,'N'),(25,6123244,'1',101,'N'),(25,6123260,'1',203,'N'),(25,6123260,'1A',214,'N'),(25,6123279,'1',207,'N'),(25,6123279,'1A',201,'N'),(25,6123287,'1',9,'N'),(25,6123325,'1',103,'N'),(25,6123333,'1',103,'N'),(25,6123341,'1',235,'N'),(25,6123341,'1A',201,'N'),(25,6123350,'1',5,'N'),(25,6123368,'1',336,'N'),(25,6123376,'1',103,'N'),(25,6123384,'1',103,'N'),(25,6123392,'1',103,'N'),(25,6123414,'1',103,'N'),(25,6123449,'1',303,'N'),(25,6123457,'1',301,'N'),(25,6123465,'1',201,'N'),(25,6123473,'1',201,'N'),(25,6123473,'1A',211,'N'),(25,6123481,'1',233,'N'),(25,6123481,'1A',235,'N'),(25,6123490,'1',425,'N'),(25,6123490,'1A',429,'N'),(25,6123503,'1',201,'N'),(25,6123503,'1A',212,'N'),(25,6123511,'1',220,'N'),(25,6123520,'1',238,'N'),(25,6123520,'1A',208,'N'),(25,6123538,'1',319,'N'),(25,6123546,'1',5,'N'),(25,6123554,'1',104,'N'),(25,6123570,'1',5,'N'),(25,6123589,'1',220,'N'),(25,6123589,'1A',601,'N'),(25,6123619,'1',238,'N'),(25,6123619,'1A',208,'N'),(25,6123627,'1',415,'N'),(25,6123635,'1',303,'N'),(25,6123651,'1',103,'N'),(25,6123660,'1',101,'N'),(25,6123678,'1',220,'N'),(25,6123678,'1A',235,'N'),(25,6123686,'1',104,'N'),(25,6123694,'1',108,'N'),(25,6123708,'1',999,'N'),(25,6123716,'1',302,'N'),(25,6123724,'1',103,'N'),(25,6123740,'1',211,'N'),(25,6123740,'1A',201,'N'),(25,6123767,'1',103,'N'),(25,6123775,'1',309,'N'),(25,6123783,'1',203,'N'),(25,6123791,'1',216,'N'),(25,6123805,'1',103,'N'),(25,6123813,'1',103,'N'),(25,6123821,'1',103,'N'),(25,6123830,'1',103,'N'),(25,6123848,'1',104,'N'),(25,6123856,'1',450,'N'),(25,6123864,'1',103,'N'),(25,6123872,'1',104,'N'),(25,6123880,'1',201,'N'),(25,6123880,'1A',220,'N'),(25,6123902,'1',203,'N'),(25,6123902,'1A',201,'N'),(25,6123910,'1',103,'N'),(25,6123929,'1',317,'N'),(25,6123937,'1',5,'N'),(25,6123945,'1',103,'N'),(25,6123953,'1',207,'N'),(25,6123953,'1A',211,'N'),(25,6123961,'1',201,'N'),(25,6123961,'1A',211,'N'),(25,6123970,'1',103,'N'),(25,6123988,'1',201,'N'),(25,6123988,'1A',601,'N'),(25,6123996,'1',317,'N'),(25,6124011,'1',103,'N'),(25,6124038,'1',5,'N'),(25,6124046,'1',201,'N'),(25,6124046,'1A',212,'N'),(25,6124054,'1',317,'N'),(25,6124062,'1',999,'N'),(25,6124070,'1',999,'N'),(25,6124089,'1',104,'N'),(25,6124097,'1',103,'N'),(25,6124119,'1',301,'N'),(25,6124127,'1',9,'N'),(25,6124135,'1',207,'N'),(25,6124135,'1A',201,'N'),(25,6124143,'1',103,'N'),(25,6124151,'1',316,'N'),(25,6124160,'1',318,'N'),(25,6124178,'1',653,'N'),(25,6124178,'1A',655,'N'),(25,6124186,'1',203,'N'),(25,6124186,'1A',215,'N'),(25,6124194,'1',340,'N'),(25,6124208,'1',203,'N'),(25,6124208,'1A',202,'N'),(25,6124216,'1',103,'N'),(25,6124224,'1',201,'N'),(25,6124224,'1A',207,'N'),(25,6124232,'1',309,'N'),(25,6124240,'1',201,'N'),(25,6124240,'1A',207,'N'),(25,6124259,'1',601,'N'),(25,6124259,'1A',216,'N'),(25,6124267,'1',102,'N'),(25,6124275,'1',103,'N'),(25,6124283,'1',103,'N'),(25,6124291,'1',214,'N'),(25,6124291,'1A',235,'N'),(25,6124305,'1',108,'N'),(25,6124313,'1',212,'N'),(25,6124313,'1A',214,'N'),(25,6124321,'1',103,'N'),(25,6124330,'1',103,'N'),(25,6124348,'1',207,'N'),(25,6124348,'1A',201,'N'),(25,6124364,'1',103,'N'),(25,6124372,'1',654,'N'),(25,6124380,'1',202,'N'),(25,6124380,'1A',213,'N'),(25,6124399,'1',340,'N'),(25,6124402,'1',316,'N'),(25,6124410,'1',415,'N'),(25,6124437,'1',331,'N'),(25,6124445,'1',303,'N'),(25,6124453,'1',103,'N'),(25,6124461,'1',201,'N'),(25,6124461,'1A',208,'N'),(25,6124470,'1',201,'N'),(25,6124470,'1A',203,'N'),(25,6124488,'1',207,'N'),(25,6124488,'1A',212,'N'),(25,6124496,'1',9,'N'),(25,6124500,'1',207,'N'),(25,6124518,'1',203,'N'),(25,6124526,'1',103,'N'),(25,6124542,'1',999,'N'),(25,6124550,'1',104,'N'),(25,6124569,'1',103,'N'),(25,6124577,'1',220,'N'),(25,6124577,'1A',235,'N'),(25,6124585,'1',207,'N'),(25,6124585,'1A',201,'N'),(25,6124593,'1',601,'N'),(25,6124615,'1',303,'N'),(25,6124623,'1',302,'N'),(25,6124631,'1',999,'N'),(25,6124640,'1',426,'N'),(25,6124640,'1A',423,'N'),(25,6124658,'1',103,'N'),(25,6124674,'1',444,'N'),(25,6124682,'1',109,'N'),(25,6124690,'1',201,'N'),(25,6124690,'1A',212,'N'),(25,6124712,'1',201,'N'),(25,6124712,'1A',202,'N'),(25,6124720,'1',103,'N'),(25,6124747,'1',304,'N'),(25,6124755,'1',220,'N'),(25,6124755,'1A',202,'N'),(25,6124763,'1',103,'N'),(25,6124771,'1',108,'N'),(25,6124780,'1',423,'N'),(25,6124798,'1',319,'N'),(25,6124801,'1',999,'N'),(25,6124810,'1',103,'N'),(25,6124828,'1',201,'N');
INSERT INTO opcao_candidato VALUES (25,6124828,'1A',212,'N'),(25,6124836,'1',652,'N'),(25,6124836,'1A',653,'N'),(25,6124844,'1',303,'N'),(25,6124852,'1',103,'N'),(25,6124860,'1',207,'N'),(25,6124860,'1A',201,'N'),(25,6124879,'1',103,'N'),(25,6124887,'1',213,'N'),(25,6124887,'1A',235,'N'),(25,6124895,'1',103,'N'),(25,6124909,'1',303,'N'),(25,6124925,'1',211,'N'),(25,6124933,'1',999,'N'),(25,6124941,'1',201,'N'),(25,6124941,'1A',203,'N'),(25,6124950,'1',5,'N'),(25,6124968,'1',103,'N'),(25,6124976,'1',203,'N'),(25,6124976,'1A',601,'N'),(25,6124984,'1',336,'N'),(25,6124992,'1',101,'N'),(25,6125000,'1',103,'N'),(25,6125018,'1',999,'N'),(25,6125026,'1',340,'N'),(25,6125042,'1',503,'N'),(25,6125069,'1',108,'N'),(25,6125077,'1',208,'N'),(25,6125077,'1A',238,'N'),(25,6125085,'1',103,'N'),(25,6125093,'1',420,'N'),(25,6125107,'1',211,'N'),(25,6125107,'1A',233,'N'),(25,6125115,'1',220,'N'),(25,6125115,'1A',202,'N'),(25,6125123,'1',103,'N'),(25,6125131,'1',104,'N'),(25,6125140,'1',316,'N'),(25,6125158,'1',302,'N'),(25,6125166,'1',103,'N'),(25,6125174,'1',103,'N'),(25,6125204,'1',103,'N'),(25,6125212,'1',201,'N'),(25,6125212,'1A',220,'N'),(25,6125220,'1',208,'N'),(25,6125220,'1A',238,'N'),(25,6125239,'1',103,'N'),(25,6125263,'1',317,'N'),(25,6125271,'1',108,'N'),(25,6125280,'1',103,'N'),(25,6125298,'1',104,'N'),(25,6125301,'1',202,'N'),(25,6125301,'1A',203,'N'),(25,6125310,'1',303,'N'),(25,6125328,'1',103,'N'),(25,6125352,'1',207,'N'),(25,6125352,'1A',201,'N'),(25,6125379,'1',404,'N'),(25,6125387,'1',444,'N'),(25,6125409,'1',999,'N'),(25,6125417,'1',103,'N'),(25,6125441,'1',203,'N'),(25,6125441,'1A',214,'N'),(25,6125450,'1',213,'N'),(25,6125450,'1A',601,'N'),(25,6125468,'1',203,'N'),(25,6125476,'1',103,'N'),(25,6125484,'1',233,'N'),(25,6125484,'1A',235,'N'),(25,6125492,'1',3,'N'),(25,6125506,'1',102,'N'),(25,6125514,'1',201,'N'),(25,6125514,'1A',215,'N'),(25,6125522,'1',215,'N'),(25,6125522,'1A',216,'N'),(25,6125530,'1',103,'N'),(25,6125549,'1',319,'N'),(25,6125565,'1',103,'N'),(25,6125573,'1',310,'N'),(25,6125590,'1',101,'N'),(25,6125603,'1',601,'N'),(25,6125603,'1A',220,'N'),(25,6125611,'1',203,'N'),(25,6125611,'1A',201,'N'),(25,6125620,'1',103,'N'),(25,6125638,'1',208,'N'),(25,6125646,'1',110,'N'),(25,6125654,'1',9,'N'),(25,6125662,'1',9,'N'),(25,6125689,'1',420,'N'),(25,6125697,'1',207,'N'),(25,6125697,'1A',211,'N'),(25,6125700,'1',104,'N'),(25,6125719,'1',340,'N'),(25,6125727,'1',103,'N'),(25,6125735,'1',108,'N'),(25,6125743,'1',207,'N'),(25,6125743,'1A',212,'N'),(25,6125760,'1',207,'N'),(25,6125760,'1A',203,'N'),(25,6125778,'1',103,'N'),(25,6125786,'1',214,'N'),(25,6125786,'1A',203,'N'),(25,6125794,'1',203,'N'),(25,6125794,'1A',201,'N'),(25,6125808,'1',238,'N'),(25,6125808,'1A',208,'N'),(25,6125816,'1',104,'N'),(25,6125824,'1',103,'N'),(25,6125832,'1',203,'N'),(25,6125832,'1A',202,'N'),(25,6125840,'1',415,'N'),(25,6125859,'1',110,'N'),(25,6125867,'1',301,'N'),(25,6125883,'1',220,'N'),(25,6125891,'1',214,'N'),(25,6125891,'1A',212,'N'),(25,6125905,'1',103,'N'),(25,6125921,'1',316,'N'),(25,6125930,'1',103,'N'),(25,6125956,'1',333,'N'),(25,6125964,'1',999,'N'),(25,6125972,'1',333,'N'),(25,6125980,'1',317,'N'),(25,6125999,'1',333,'N'),(25,6126014,'1',212,'N'),(25,6126014,'1A',653,'N'),(25,6126022,'1',303,'N'),(25,6126065,'1',103,'N'),(25,6126103,'1',110,'N'),(25,6126111,'1',211,'N'),(25,6126111,'1A',233,'N'),(25,6126120,'1',202,'N'),(25,6126120,'1A',213,'N'),(25,6126138,'1',212,'N'),(25,6126138,'1A',220,'N'),(25,6126146,'1',101,'N'),(25,6126162,'1',233,'N'),(25,6126162,'1A',216,'N'),(25,6126170,'1',203,'N'),(25,6126170,'1A',214,'N'),(25,6126189,'1',316,'N'),(25,6126197,'1',201,'N'),(25,6126197,'1A',212,'N'),(25,6126219,'1',340,'N'),(25,6126227,'1',103,'N'),(25,6126235,'1',225,'N'),(25,6126243,'1',201,'N'),(25,6126243,'1A',601,'N'),(25,6126251,'1',108,'N'),(25,6126260,'1',103,'N'),(25,6126278,'1',109,'N'),(25,6126286,'1',238,'N'),(25,6126286,'1A',208,'N'),(25,6126294,'1',319,'N'),(25,6126316,'1',103,'N'),(25,6126324,'1',103,'N'),(25,6126332,'1',103,'N'),(25,6126340,'1',207,'N'),(25,6126340,'1A',211,'N'),(25,6126359,'1',340,'N'),(25,6126367,'1',303,'N'),(25,6126375,'1',999,'N'),(25,6126383,'1',207,'N'),(25,6126383,'1A',201,'N'),(25,6126391,'1',201,'N'),(25,6126391,'1A',216,'N'),(25,6126405,'1',103,'N'),(25,6126413,'1',103,'N'),(25,6126421,'1',103,'N'),(25,6126430,'1',104,'N'),(25,6126448,'1',216,'N'),(25,6126448,'1A',233,'N'),(25,6126456,'1',213,'N'),(25,6126456,'1A',235,'N'),(25,6126472,'1',415,'N'),(25,6126480,'1',103,'N'),(25,6126499,'1',103,'N'),(25,6126502,'1',201,'N'),(25,6126502,'1A',233,'N'),(25,6126510,'1',223,'N'),(25,6126529,'1',104,'N'),(25,6126537,'1',103,'N'),(25,6126553,'1',207,'N'),(25,6126553,'1A',201,'N'),(25,6126561,'1',103,'N'),(25,6126570,'1',203,'N'),(25,6126570,'1A',201,'N'),(25,6126588,'1',103,'N'),(25,6126618,'1',2,'N'),(25,6126634,'1',207,'N'),(25,6126642,'1',103,'N'),(25,6126650,'1',601,'N'),(25,6126650,'1A',220,'N'),(25,6126669,'1',424,'N'),(25,6126669,'1A',427,'N'),(25,6126677,'1',235,'N'),(25,6126677,'1A',216,'N'),(25,6126693,'1',201,'N'),(25,6126693,'1A',207,'N'),(25,6126707,'1',234,'N'),(25,6126715,'1',426,'N'),(25,6126715,'1A',428,'N'),(25,6126723,'1',421,'N'),(25,6126731,'1',103,'N'),(25,6126740,'1',235,'N'),(25,6126740,'1A',212,'N'),(25,6126758,'1',319,'N'),(25,6126766,'1',207,'N'),(25,6126766,'1A',201,'N'),(25,6126774,'1',103,'N'),(25,6126782,'1',333,'N'),(25,6126790,'1',103,'N'),(25,6126804,'1',201,'N'),(25,6126804,'1A',211,'N'),(25,6126812,'1',316,'N'),(25,6126820,'1',329,'N'),(25,6126839,'1',103,'N'),(25,6126855,'1',103,'N'),(25,6126863,'1',102,'N'),(25,6126871,'1',103,'N'),(25,6126880,'1',551,'N'),(25,6126901,'1',103,'N'),(25,6126910,'1',103,'N'),(25,6126928,'1',999,'N'),(25,6126936,'1',103,'N'),(25,6126960,'1',216,'N'),(25,6126960,'1A',220,'N'),(25,6126979,'1',310,'N'),(25,6126987,'1',207,'N'),(25,6126987,'1A',601,'N'),(25,6126995,'1',103,'N'),(25,6127002,'1',303,'N'),(25,6127010,'1',103,'N'),(25,6127029,'1',103,'N'),(25,6127045,'1',404,'N'),(25,6127061,'1',316,'N'),(25,6127070,'1',337,'N'),(25,6127096,'1',5,'N'),(25,6127118,'1',103,'N'),(25,6127126,'1',335,'N'),(25,6127134,'1',101,'N'),(25,6127142,'1',207,'N'),(25,6127150,'1',2,'N'),(25,6127185,'1',238,'N'),(25,6127185,'1A',652,'N'),(25,6127193,'1',501,'N'),(25,6127207,'1',450,'N'),(25,6127223,'1',5,'N'),(25,6127231,'1',303,'N'),(25,6127240,'1',425,'N'),(25,6127240,'1A',429,'N'),(25,6127258,'1',453,'N'),(25,6127266,'1',5,'N'),(25,6127274,'1',238,'N'),(25,6127274,'1A',203,'N'),(25,6127282,'1',653,'N'),(25,6127282,'1A',202,'N'),(25,6127304,'1',203,'N'),(25,6127312,'1',9,'N'),(25,6127320,'1',103,'N'),(25,6127339,'1',420,'N'),(25,6127347,'1',201,'N'),(25,6127355,'1',225,'N'),(25,6127398,'1',415,'N'),(25,6127401,'1',425,'N'),(25,6127410,'1',110,'N'),(25,6127436,'1',203,'N'),(25,6127436,'1A',235,'N'),(25,6127444,'1',316,'N'),(25,6127460,'1',103,'N'),(25,6127479,'1',425,'N'),(25,6127479,'1A',426,'N'),(25,6127495,'1',324,'N'),(25,6127517,'1',103,'N'),(25,6127541,'1',317,'N'),(25,6127568,'1',208,'N'),(25,6127584,'1',201,'N'),(25,6127584,'1A',203,'N'),(25,6127606,'1',654,'N'),(25,6127614,'1',301,'N'),(25,6127622,'1',302,'N'),(25,6127630,'1',301,'N'),(25,6127649,'1',303,'N'),(25,6127657,'1',203,'N'),(25,6127657,'1A',211,'N'),(25,6127665,'1',601,'N'),(25,6127673,'1',104,'N'),(25,6127690,'1',103,'N'),(25,6127703,'1',304,'N'),(25,6127711,'1',102,'N'),(25,6127720,'1',108,'N'),(25,6127738,'1',303,'N'),(25,6127746,'1',303,'N'),(25,6127754,'1',336,'N'),(25,6127762,'1',301,'N'),(25,6127770,'1',303,'N'),(25,6127789,'1',216,'N'),(25,6127797,'1',2,'N'),(25,6127800,'1',429,'N'),(25,6127800,'1A',425,'N'),(25,6127843,'1',551,'N'),(25,6127851,'1',102,'N'),(25,6127860,'1',503,'N'),(25,6127878,'1',103,'N'),(25,6127886,'1',5,'N'),(25,6127894,'1',2,'N'),(25,6127908,'1',316,'N'),(25,6127916,'1',2,'N'),(25,6127924,'1',453,'N'),(25,6127932,'1',104,'N'),(25,6127940,'1',428,'N'),(25,6127940,'1A',425,'N'),(25,6127959,'1',654,'N'),(25,6127967,'1',103,'N'),(25,6127975,'1',103,'N'),(25,6127983,'1',103,'N'),(25,6127991,'1',999,'N'),(25,6128009,'1',652,'N'),(25,6128009,'1A',655,'N'),(25,6128017,'1',444,'N'),(25,6128025,'1',332,'N'),(25,6128050,'1',103,'N'),(25,6128068,'1',103,'N'),(25,6128076,'1',5,'N'),(25,6128084,'1',428,'N'),(25,6128106,'1',653,'N'),(25,6128106,'1A',216,'N'),(25,6128130,'1',310,'N'),(25,6128149,'1',420,'N'),(25,6128157,'1',103,'N'),(25,6128165,'1',220,'N'),(25,6128165,'1A',208,'N'),(25,6128173,'1',301,'N'),(25,6128181,'1',207,'N'),(25,6128181,'1A',201,'N'),(25,6128190,'1',103,'N'),(25,6128203,'1',238,'N'),(25,6128203,'1A',208,'N'),(25,6128211,'1',203,'N'),(25,6128211,'1A',233,'N'),(25,6128220,'1',103,'N'),(25,6128238,'1',444,'N'),(25,6128246,'1',103,'N'),(25,6128254,'1',103,'N'),(25,6128262,'1',104,'N'),(25,6128270,'1',103,'N'),(25,6128289,'1',103,'N'),(25,6128297,'1',404,'N'),(25,6128300,'1',238,'N'),(25,6128300,'1A',208,'N'),(25,6128319,'1',316,'N'),(25,6128327,'1',303,'N'),(25,6128335,'1',103,'N'),(25,6128343,'1',655,'N'),(25,6128343,'1A',653,'N'),(25,6128351,'1',108,'N'),(25,6128360,'1',103,'N'),(25,6128378,'1',212,'N'),(25,6128386,'1',238,'N'),(25,6128386,'1A',208,'N'),(25,6128408,'1',216,'N'),(25,6128424,'1',103,'N'),(25,6128440,'1',319,'N'),(25,6128459,'1',103,'N'),(25,6128467,'1',108,'N'),(25,6128475,'1',201,'N'),(25,6128475,'1A',202,'N'),(25,6128483,'1',427,'N'),(25,6128483,'1A',423,'N'),(25,6128491,'1',203,'N'),(25,6128491,'1A',235,'N'),(25,6128505,'1',103,'N'),(25,6128513,'1',201,'N'),(25,6128513,'1A',238,'N'),(25,6128530,'1',201,'N'),(25,6128530,'1A',207,'N'),(25,6128548,'1',103,'N'),(25,6128564,'1',203,'N'),(25,6128564,'1A',202,'N'),(25,6128572,'1',303,'N'),(25,6128580,'1',103,'N'),(25,6128602,'1',420,'N'),(25,6128629,'1',103,'N'),(25,6128637,'1',207,'N'),(25,6128637,'1A',208,'N'),(25,6128653,'1',308,'N'),(25,6128661,'1',201,'N'),(25,6128661,'1A',601,'N'),(25,6128688,'1',424,'N'),(25,6128688,'1A',426,'N'),(25,6128696,'1',202,'N'),(25,6128700,'1',404,'N'),(25,6128726,'1',404,'N'),(25,6128734,'1',225,'N'),(25,6128742,'1',201,'N'),(25,6128750,'1',208,'N'),(25,6128750,'1A',238,'N'),(25,6128769,'1',654,'N'),(25,6128777,'1',5,'N'),(25,6128793,'1',224,'N'),(25,6128807,'1',216,'N'),(25,6128807,'1A',211,'N'),(25,6128823,'1',301,'N'),(25,6128858,'1',103,'N'),(25,6128882,'1',425,'N'),(25,6128882,'1A',424,'N'),(25,6128890,'1',451,'N'),(25,6128912,'1',225,'N'),(25,6128920,'1',102,'N'),(25,6128939,'1',207,'N'),(25,6128939,'1A',208,'N'),(25,6128947,'1',104,'N'),(25,6128955,'1',225,'N'),(25,6128963,'1',326,'N'),(25,6128971,'1',302,'N'),(25,6128980,'1',5,'N'),(25,6128998,'1',108,'N'),(25,6129005,'1',203,'N'),(25,6129005,'1A',202,'N'),(25,6129021,'1',303,'N'),(25,6129030,'1',103,'N'),(25,6129048,'1',5,'N'),(25,6129056,'1',301,'N'),(25,6129064,'1',309,'N'),(25,6129072,'1',203,'N'),(25,6129072,'1A',208,'N'),(25,6129080,'1',5,'N'),(25,6129099,'1',103,'N'),(25,6129102,'1',103,'N'),(25,6129110,'1',202,'N'),(25,6129110,'1A',213,'N'),(25,6129137,'1',652,'N'),(25,6129145,'1',238,'N'),(25,6129145,'1A',652,'N'),(25,6129161,'1',102,'N'),(25,6129170,'1',340,'N'),(25,6129196,'1',653,'N'),(25,6129196,'1A',655,'N'),(25,6129200,'1',428,'N'),(25,6129200,'1A',424,'N'),(25,6129218,'1',103,'N'),(25,6129226,'1',103,'N'),(25,6129234,'1',309,'N'),(25,6129250,'1',216,'N'),(25,6129269,'1',103,'N'),(25,6129293,'1',452,'N'),(25,6129307,'1',450,'N'),(25,6129315,'1',319,'N'),(25,6129323,'1',203,'N'),(25,6129323,'1A',215,'N'),(25,6129331,'1',103,'N'),(25,6129340,'1',103,'N'),(25,6129358,'1',316,'N'),(25,6129366,'1',5,'N'),(25,6129374,'1',5,'N'),(25,6129382,'1',104,'N'),(25,6129390,'1',103,'N'),(25,6129404,'1',102,'N'),(25,6129439,'1',551,'N'),(25,6129447,'1',233,'N'),(25,6129455,'1',310,'N'),(25,6129463,'1',103,'N'),(25,6129480,'1',3,'N'),(25,6129498,'1',101,'N'),(25,6129501,'1',201,'N'),(25,6129501,'1A',212,'N'),(25,6129510,'1',304,'N'),(25,6129528,'1',601,'N'),(25,6129528,'1A',653,'N'),(25,6129536,'1',207,'N'),(25,6129536,'1A',601,'N'),(25,6129544,'1',214,'N'),(25,6129544,'1A',203,'N'),(25,6129552,'1',216,'N'),(25,6129552,'1A',233,'N'),(25,6129587,'1',450,'N'),(25,6129595,'1',103,'N'),(25,6129609,'1',103,'N'),(25,6129625,'1',420,'N'),(25,6129641,'1',333,'N'),(25,6129668,'1',212,'N'),(25,6129668,'1A',201,'N'),(25,6129676,'1',201,'N'),(25,6129676,'1A',233,'N'),(25,6129684,'1',450,'N'),(25,6129714,'1',238,'N'),(25,6129714,'1A',208,'N'),(25,6129730,'1',205,'N'),(25,6129749,'1',207,'N'),(25,6129749,'1A',208,'N'),(25,6129757,'1',201,'N'),(25,6129757,'1A',207,'N'),(25,6129765,'1',551,'N'),(25,6129773,'1',103,'N'),(25,6129781,'1',303,'N'),(25,6129803,'1',103,'N'),(25,6129838,'1',103,'N'),(25,6129846,'1',103,'N'),(25,6129854,'1',207,'N'),(25,6129854,'1A',201,'N'),(25,6129862,'1',216,'N'),(25,6129862,'1A',207,'N'),(25,6129897,'1',238,'N'),(25,6129897,'1A',208,'N'),(25,6129919,'1',103,'N'),(25,6129943,'1',201,'N'),(25,6129943,'1A',235,'N'),(25,6129951,'1',301,'N'),(25,6129978,'1',203,'N'),(25,6129978,'1A',202,'N'),(25,6129986,'1',103,'N'),(25,6129994,'1',201,'N'),(25,6129994,'1A',655,'N'),(25,6130003,'1',303,'N'),(25,6130038,'1',216,'N'),(25,6130038,'1A',215,'N'),(25,6130054,'1',212,'N'),(25,6130054,'1A',213,'N'),(25,6130062,'1',103,'N'),(25,6130070,'1',301,'N'),(25,6130089,'1',201,'N'),(25,6130089,'1A',203,'N'),(25,6130100,'1',316,'N'),(25,6130119,'1',2,'N'),(25,6130127,'1',101,'N'),(25,6130143,'1',5,'N'),(25,6130151,'1',103,'N'),(25,6130160,'1',208,'N'),(25,6130160,'1A',653,'N'),(25,6130178,'1',216,'N'),(25,6130178,'1A',208,'N'),(25,6130186,'1',444,'N'),(25,6130194,'1',103,'N'),(25,6130208,'1',233,'N'),(25,6130208,'1A',216,'N'),(25,6130216,'1',317,'N'),(25,6130224,'1',203,'N'),(25,6130232,'1',101,'N'),(25,6130240,'1',235,'N'),(25,6130240,'1A',212,'N'),(25,6130259,'1',999,'N'),(25,6130267,'1',415,'N'),(25,6130275,'1',303,'N'),(25,6130283,'1',424,'N'),(25,6130283,'1A',425,'N'),(25,6130305,'1',316,'N'),(25,6130313,'1',501,'N'),(25,6130321,'1',203,'N'),(25,6130330,'1',103,'N'),(25,6130348,'1',103,'N'),(25,6130356,'1',303,'N'),(25,6130372,'1',5,'N'),(25,6130380,'1',211,'N'),(25,6130380,'1A',207,'N'),(25,6130399,'1',238,'N'),(25,6130399,'1A',233,'N'),(25,6130402,'1',203,'N'),(25,6130402,'1A',220,'N'),(25,6130410,'1',108,'N'),(25,6130429,'1',103,'N'),(25,6130437,'1',452,'N'),(25,6130461,'1',104,'N'),(25,6130488,'1',103,'N'),(25,6130496,'1',339,'N'),(25,6130500,'1',331,'N'),(25,6130526,'1',103,'N'),(25,6130534,'1',103,'N'),(25,6130550,'1',301,'N'),(25,6130569,'1',104,'N'),(25,6130577,'1',103,'N'),(25,6130585,'1',103,'N'),(25,6130593,'1',202,'N'),(25,6130593,'1A',201,'N'),(25,6130607,'1',235,'N'),(25,6130607,'1A',213,'N'),(25,6130623,'1',109,'N'),(25,6130640,'1',216,'N'),(25,6130658,'1',203,'N'),(25,6130658,'1A',220,'N'),(25,6130666,'1',201,'N'),(25,6130666,'1A',212,'N'),(25,6130674,'1',336,'N'),(25,6130690,'1',601,'N'),(25,6130704,'1',601,'N'),(25,6130712,'1',601,'N'),(25,6130720,'1',308,'N'),(25,6130739,'1',211,'N'),(25,6130747,'1',339,'N'),(25,6130755,'1',103,'N'),(25,6130763,'1',103,'N'),(25,6130798,'1',104,'N'),(25,6130801,'1',103,'N'),(25,6130810,'1',415,'N'),(25,6130828,'1',103,'N'),(25,6130836,'1',220,'N'),(25,6130836,'1A',201,'N'),(25,6130844,'1',103,'N'),(25,6130852,'1',104,'N'),(25,6130860,'1',103,'N'),(25,6130887,'1',308,'N'),(25,6130895,'1',501,'N'),(25,6130909,'1',211,'N'),(25,6130909,'1A',653,'N'),(25,6130917,'1',207,'N'),(25,6130917,'1A',211,'N'),(25,6130933,'1',317,'N'),(25,6130941,'1',302,'N'),(25,6130976,'1',208,'N'),(25,6130976,'1A',238,'N'),(25,6130992,'1',103,'N'),(25,6131000,'1',103,'N'),(25,6131018,'1',9,'N'),(25,6131026,'1',415,'N'),(25,6131034,'1',309,'N'),(25,6131050,'1',220,'N'),(25,6131050,'1A',202,'N'),(25,6131069,'1',453,'N'),(25,6131093,'1',207,'N'),(25,6131107,'1',201,'N'),(25,6131107,'1A',212,'N'),(25,6131115,'1',302,'N'),(25,6131123,'1',103,'N'),(25,6131131,'1',102,'N'),(25,6131140,'1',316,'N'),(25,6131158,'1',444,'N'),(25,6131174,'1',216,'N'),(25,6131174,'1A',233,'N'),(25,6131182,'1',324,'N'),(25,6131190,'1',103,'N'),(25,6131204,'1',108,'N'),(25,6131212,'1',108,'N'),(25,6131247,'1',203,'N'),(25,6131247,'1A',202,'N'),(25,6131263,'1',103,'N'),(25,6131271,'1',202,'N'),(25,6131271,'1A',220,'N'),(25,6131298,'1',207,'N'),(25,6131301,'1',303,'N'),(25,6131310,'1',601,'N'),(25,6131310,'1A',201,'N'),(25,6131328,'1',999,'N'),(25,6131344,'1',103,'N'),(25,6131352,'1',9,'N'),(25,6131360,'1',333,'N'),(25,6131379,'1',428,'N'),(25,6131379,'1A',426,'N'),(25,6131387,'1',234,'N'),(25,6131409,'1',303,'N'),(25,6131417,'1',103,'N'),(25,6131433,'1',103,'N'),(25,6131441,'1',207,'N'),(25,6131441,'1A',203,'N'),(25,6131450,'1',333,'N'),(25,6131468,'1',340,'N'),(25,6131476,'1',216,'N'),(25,6131476,'1A',215,'N'),(25,6131514,'1',207,'N'),(25,6131514,'1A',601,'N'),(25,6131522,'1',103,'N'),(25,6131530,'1',203,'N'),(25,6131530,'1A',201,'N'),(25,6131557,'1',104,'N'),(25,6131565,'1',220,'N'),(25,6131565,'1A',208,'N'),(25,6131573,'1',216,'N'),(25,6131581,'1',201,'N'),(25,6131581,'1A',203,'N'),(25,6131590,'1',202,'N'),(25,6131590,'1A',208,'N'),(25,6131603,'1',308,'N'),(25,6131611,'1',203,'N'),(25,6131611,'1A',235,'N'),(25,6131620,'1',104,'N'),(25,6131638,'1',304,'N'),(25,6131646,'1',319,'N'),(25,6131654,'1',302,'N'),(25,6131662,'1',421,'N'),(25,6131662,'1A',425,'N'),(25,6131670,'1',336,'N'),(25,6131689,'1',103,'N'),(25,6131697,'1',104,'N'),(25,6131700,'1',303,'N'),(25,6131719,'1',205,'N'),(25,6131727,'1',110,'N'),(25,6131735,'1',340,'N'),(25,6131751,'1',103,'N'),(25,6131760,'1',332,'N'),(25,6131778,'1',104,'N'),(25,6131786,'1',220,'N'),(25,6131786,'1A',601,'N'),(25,6131794,'1',103,'N'),(25,6131816,'1',108,'N'),(25,6131824,'1',302,'N'),(25,6131832,'1',303,'N'),(25,6131840,'1',223,'N'),(25,6131859,'1',110,'N'),(25,6131867,'1',104,'N'),(25,6131883,'1',103,'N'),(25,6131891,'1',103,'N'),(25,6131905,'1',654,'N'),(25,6131913,'1',103,'N'),(25,6131956,'1',207,'N'),(25,6131964,'1',319,'N'),(25,6131972,'1',420,'N'),(25,6131980,'1',103,'N'),(25,6131999,'1',103,'N'),(25,6132006,'1',304,'N'),(25,6132022,'1',216,'N'),(25,6132022,'1A',201,'N'),(25,6132030,'1',340,'N'),(25,6132049,'1',333,'N'),(25,6132057,'1',332,'N'),(25,6132065,'1',213,'N'),(25,6132065,'1A',214,'N'),(25,6132073,'1',110,'N'),(25,6132081,'1',201,'N'),(25,6132081,'1A',208,'N'),(25,6132090,'1',655,'N'),(25,6132090,'1A',653,'N'),(25,6132103,'1',426,'N'),(25,6132103,'1A',428,'N'),(25,6132111,'1',201,'N'),(25,6132111,'1A',203,'N'),(25,6132120,'1',104,'N'),(25,6132146,'1',104,'N'),(25,6132154,'1',102,'N'),(25,6132162,'1',5,'N'),(25,6132170,'1',110,'N'),(25,6132200,'1',103,'N'),(25,6132219,'1',103,'N'),(25,6132227,'1',452,'N'),(25,6132235,'1',336,'N'),(25,6132243,'1',654,'N'),(25,6132260,'1',332,'N'),(25,6132278,'1',336,'N'),(25,6132286,'1',319,'N'),(25,6132294,'1',653,'N'),(25,6132294,'1A',655,'N'),(25,6132308,'1',103,'N'),(25,6132316,'1',201,'N'),(25,6132316,'1A',203,'N'),(25,6132324,'1',319,'N'),(25,6132332,'1',415,'N'),(25,6132340,'1',999,'N'),(25,6132359,'1',238,'N'),(25,6132359,'1A',208,'N'),(25,6132367,'1',103,'N'),(25,6132375,'1',452,'N'),(25,6132383,'1',103,'N'),(25,6132391,'1',423,'N'),(25,6132391,'1A',425,'N'),(25,6132405,'1',336,'N'),(25,6132413,'1',208,'N'),(25,6132413,'1A',235,'N'),(25,6132421,'1',302,'N'),(25,6132430,'1',326,'N'),(25,6132464,'1',216,'N'),(25,6132464,'1A',215,'N'),(25,6132472,'1',317,'N'),(25,6132499,'1',501,'N'),(25,6132529,'1',212,'N'),(25,6132529,'1A',233,'N'),(25,6132537,'1',420,'N'),(25,6132545,'1',319,'N'),(25,6132553,'1',223,'N'),(25,6132561,'1',340,'N'),(25,6132570,'1',340,'N'),(25,6132596,'1',103,'N'),(25,6132600,'1',425,'N'),(25,6132600,'1A',426,'N'),(25,6132618,'1',331,'N'),(25,6132626,'1',502,'N'),(25,6132634,'1',103,'N'),(25,6132642,'1',340,'N'),(25,6132650,'1',103,'N'),(25,6132669,'1',108,'N'),(25,6132677,'1',601,'N'),(25,6132685,'1',104,'N'),(25,6132693,'1',451,'N'),(25,6132707,'1',110,'N'),(25,6132740,'1',451,'N'),(25,6132758,'1',318,'N'),(25,6132766,'1',108,'N'),(25,6132774,'1',203,'N'),(25,6132774,'1A',214,'N'),(25,6132782,'1',103,'N'),(25,6132790,'1',9,'N'),(25,6132804,'1',203,'N'),(25,6132804,'1A',601,'N'),(25,6132812,'1',501,'N'),(25,6132820,'1',103,'N'),(25,6132839,'1',104,'N'),(25,6132847,'1',216,'N'),(25,6132847,'1A',235,'N'),(25,6132855,'1',207,'N'),(25,6132855,'1A',212,'N'),(25,6132863,'1',303,'N'),(25,6132871,'1',551,'N'),(25,6132898,'1',103,'N'),(25,6132901,'1',201,'N'),(25,6132901,'1A',207,'N'),(25,6132910,'1',319,'N'),(25,6132928,'1',601,'N'),(25,6132928,'1A',216,'N'),(25,6132936,'1',103,'N'),(25,6132944,'1',332,'N'),(25,6132952,'1',340,'N'),(25,6132960,'1',203,'N'),(25,6132960,'1A',216,'N'),(25,6132979,'1',201,'N'),(25,6132979,'1A',203,'N'),(25,6132987,'1',420,'N'),(25,6132995,'1',103,'N'),(25,6133002,'1',201,'N'),(25,6133002,'1A',207,'N'),(25,6133010,'1',425,'N'),(25,6133010,'1A',423,'N'),(25,6133037,'1',302,'N'),(25,6133045,'1',203,'N'),(25,6133045,'1A',201,'N'),(25,6133053,'1',103,'N'),(25,6133061,'1',103,'N'),(25,6133070,'1',103,'N'),(25,6133088,'1',110,'N'),(25,6133096,'1',103,'N'),(25,6133100,'1',108,'N'),(25,6133118,'1',208,'N'),(25,6133118,'1A',655,'N'),(25,6133126,'1',302,'N'),(25,6133142,'1',103,'N'),(25,6133185,'1',5,'N'),(25,6133207,'1',108,'N'),(25,6133215,'1',110,'N'),(25,6133231,'1',301,'N'),(25,6133240,'1',317,'N'),(25,6133258,'1',332,'N'),(25,6133266,'1',999,'N'),(25,6133274,'1',103,'N'),(25,6133282,'1',207,'N'),(25,6133290,'1',326,'N'),(25,6133304,'1',103,'N'),(25,6133312,'1',238,'N'),(25,6133312,'1A',208,'N'),(25,6133320,'1',5,'N'),(25,6133339,'1',319,'N'),(25,6133355,'1',103,'N'),(25,6133398,'1',653,'N'),(25,6133398,'1A',655,'N'),(25,6133401,'1',223,'N'),(25,6133410,'1',502,'N'),(25,6133428,'1',5,'N'),(25,6133436,'1',303,'N'),(25,6133444,'1',216,'N'),(25,6133452,'1',5,'N'),(25,6133479,'1',211,'N'),(25,6133479,'1A',212,'N'),(25,6133487,'1',301,'N'),(25,6133509,'1',319,'N'),(25,6133517,'1',316,'N'),(25,6133525,'1',421,'N'),(25,6133525,'1A',423,'N'),(25,6133541,'1',303,'N'),(25,6133550,'1',333,'N'),(25,6133568,'1',109,'N'),(25,6133576,'1',340,'N'),(25,6133614,'1',316,'N'),(25,6133630,'1',317,'N'),(25,6133649,'1',999,'N'),(25,6133657,'1',103,'N'),(25,6133665,'1',103,'N'),(25,6133673,'1',104,'N'),(25,6133690,'1',211,'N'),(25,6133690,'1A',601,'N'),(25,6133703,'1',203,'N'),(25,6133703,'1A',201,'N'),(25,6133711,'1',308,'N'),(25,6133720,'1',103,'N'),(25,6133738,'1',652,'N'),(25,6133738,'1A',655,'N'),(25,6133746,'1',103,'N'),(25,6133754,'1',415,'N'),(25,6133762,'1',103,'N'),(25,6133789,'1',103,'N'),(25,6133797,'1',308,'N'),(25,6133800,'1',201,'N'),(25,6133800,'1A',203,'N'),(25,6133819,'1',103,'N'),(25,6133827,'1',451,'N'),(25,6133835,'1',501,'N'),(25,6133843,'1',302,'N'),(25,6133851,'1',203,'N'),(25,6133851,'1A',214,'N'),(25,6133860,'1',999,'N'),(25,6133878,'1',203,'N'),(25,6133878,'1A',601,'N'),(25,6133886,'1',404,'N'),(25,6133908,'1',301,'N'),(25,6133916,'1',203,'N'),(25,6133916,'1A',220,'N'),(25,6133924,'1',238,'N'),(25,6133924,'1A',208,'N'),(25,6133932,'1',103,'N'),(25,6133940,'1',103,'N'),(25,6133959,'1',332,'N'),(25,6133967,'1',444,'N'),(25,6133975,'1',423,'N'),(25,6133975,'1A',426,'N'),(25,6134009,'1',420,'N'),(25,6134017,'1',103,'N'),(25,6134025,'1',340,'N'),(25,6134041,'1',108,'N'),(25,6134050,'1',320,'N'),(25,6134068,'1',317,'N'),(25,6134076,'1',103,'N'),(25,6134084,'1',601,'N'),(25,6134084,'1A',235,'N'),(25,6134092,'1',235,'N'),(25,6134092,'1A',653,'N'),(25,6134106,'1',201,'N'),(25,6134106,'1A',202,'N'),(25,6134114,'1',5,'N'),(25,6134122,'1',316,'N'),(25,6134130,'1',108,'N'),(25,6134157,'1',104,'N'),(25,6134165,'1',103,'N'),(25,6134173,'1',425,'N'),(25,6134173,'1A',429,'N'),(25,6134181,'1',5,'N'),(25,6134203,'1',207,'N'),(25,6134203,'1A',201,'N'),(25,6134220,'1',202,'N'),(25,6134220,'1A',216,'N'),(25,6134238,'1',303,'N'),(25,6134246,'1',214,'N'),(25,6134246,'1A',216,'N'),(25,6134254,'1',201,'N'),(25,6134254,'1A',208,'N'),(25,6134262,'1',420,'N'),(25,6134289,'1',103,'N'),(25,6134343,'1',303,'N'),(25,6134351,'1',110,'N'),(25,6134378,'1',337,'N'),(25,6134386,'1',222,'N'),(25,6134424,'1',220,'N'),(25,6134424,'1A',214,'N'),(25,6134432,'1',108,'N'),(25,6134440,'1',428,'N'),(25,6134440,'1A',427,'N'),(25,6134459,'1',428,'N'),(25,6134467,'1',331,'N'),(25,6134475,'1',223,'N'),(25,6134483,'1',339,'N'),(25,6134491,'1',340,'N'),(25,6134505,'1',601,'N'),(25,6134513,'1',207,'N'),(25,6134513,'1A',201,'N'),(25,6134521,'1',103,'N'),(25,6134530,'1',3,'N'),(25,6134548,'1',415,'N'),(25,6134556,'1',304,'N'),(25,6134564,'1',316,'N'),(25,6134572,'1',101,'N'),(25,6134599,'1',103,'N'),(25,6134602,'1',103,'N'),(25,6134610,'1',103,'N'),(25,6134645,'1',201,'N'),(25,6134645,'1A',212,'N'),(25,6134653,'1',208,'N'),(25,6134653,'1A',238,'N'),(25,6134661,'1',103,'N'),(25,6134688,'1',103,'N'),(25,6134696,'1',336,'N'),(25,6134700,'1',317,'N'),(25,6134718,'1',103,'N'),(25,6134726,'1',216,'N'),(25,6134726,'1A',201,'N'),(25,6134734,'1',102,'N'),(25,6134750,'1',302,'N'),(25,6134769,'1',207,'N'),(25,6134769,'1A',201,'N'),(25,6134785,'1',102,'N'),(25,6134793,'1',214,'N'),(25,6134793,'1A',212,'N'),(25,6134807,'1',207,'N'),(25,6134807,'1A',201,'N'),(25,6134815,'1',444,'N'),(25,6134823,'1',654,'N'),(25,6134831,'1',211,'N'),(25,6134840,'1',103,'N'),(25,6134858,'1',9,'N'),(25,6134866,'1',202,'N'),(25,6134866,'1A',213,'N'),(25,6134874,'1',601,'N'),(25,6134874,'1A',235,'N'),(25,6134882,'1',108,'N'),(25,6134890,'1',207,'N'),(25,6134890,'1A',201,'N'),(25,6134904,'1',201,'N'),(25,6134904,'1A',653,'N'),(25,6134920,'1',103,'N'),(25,6134939,'1',103,'N'),(25,6134947,'1',999,'N'),(25,6134955,'1',109,'N'),(25,6134963,'1',2,'N'),(25,6134971,'1',103,'N'),(25,6134980,'1',415,'N'),(25,6135005,'1',450,'N'),(25,6135021,'1',9,'N'),(25,6135030,'1',302,'N'),(25,6135048,'1',104,'N'),(25,6135056,'1',601,'N'),(25,6135056,'1A',212,'N'),(25,6135064,'1',201,'N'),(25,6135064,'1A',211,'N'),(25,6135072,'1',999,'N'),(25,6135099,'1',207,'N'),(25,6135099,'1A',201,'N'),(25,6135110,'1',999,'N'),(25,6135137,'1',415,'N'),(25,6135145,'1',301,'N'),(25,6135161,'1',103,'N'),(25,6135170,'1',303,'N'),(25,6135196,'1',420,'N'),(25,6135226,'1',654,'N'),(25,6135234,'1',202,'N'),(25,6135234,'1A',235,'N'),(25,6135269,'1',310,'N'),(25,6135277,'1',103,'N'),(25,6135285,'1',109,'N'),(25,6135293,'1',108,'N'),(25,6135331,'1',103,'N'),(25,6135340,'1',103,'N'),(25,6135366,'1',103,'N'),(25,6135374,'1',103,'N'),(25,6135390,'1',301,'N'),(25,6135404,'1',428,'N'),(25,6135404,'1A',423,'N'),(25,6135412,'1',208,'N'),(25,6135412,'1A',220,'N'),(25,6135420,'1',103,'N'),(25,6135447,'1',216,'N'),(25,6135447,'1A',233,'N'),(25,6135455,'1',5,'N'),(25,6135463,'1',503,'N'),(25,6135471,'1',303,'N'),(25,6135480,'1',103,'N'),(25,6135501,'1',601,'N'),(25,6135501,'1A',208,'N'),(25,6135510,'1',319,'N'),(25,6135544,'1',319,'N'),(25,6135552,'1',999,'N'),(25,6135560,'1',103,'N'),(25,6135587,'1',326,'N'),(25,6135609,'1',104,'N'),(25,6135617,'1',233,'N'),(25,6135625,'1',220,'N'),(25,6135625,'1A',235,'N'),(25,6135633,'1',103,'N'),(25,6135641,'1',425,'N'),(25,6135641,'1A',429,'N'),(25,6135650,'1',333,'N'),(25,6135676,'1',233,'N'),(25,6135676,'1A',235,'N'),(25,6135684,'1',5,'N'),(25,6135706,'1',451,'N'),(25,6135714,'1',333,'N'),(25,6135722,'1',502,'N'),(25,6135730,'1',201,'N'),(25,6135730,'1A',216,'N'),(25,6135749,'1',213,'N'),(25,6135749,'1A',235,'N'),(25,6135757,'1',103,'N'),(25,6135765,'1',103,'N'),(25,6135773,'1',201,'N'),(25,6135773,'1A',601,'N'),(25,6135781,'1',203,'N'),(25,6135781,'1A',201,'N'),(25,6135790,'1',103,'N'),(25,6135803,'1',340,'N'),(25,6135811,'1',203,'N'),(25,6135811,'1A',202,'N'),(25,6135838,'1',103,'N'),(25,6135846,'1',425,'N'),(25,6135846,'1A',421,'N'),(25,6135854,'1',103,'N'),(25,6135862,'1',103,'N'),(25,6135870,'1',203,'N'),(25,6135870,'1A',202,'N'),(25,6135889,'1',234,'N'),(25,6135897,'1',104,'N'),(25,6135900,'1',302,'N'),(25,6135919,'1',5,'N'),(25,6135927,'1',308,'N'),(25,6135935,'1',2,'N'),(25,6135951,'1',9,'N'),(25,6135960,'1',999,'N'),(25,6135978,'1',9,'N'),(25,6135986,'1',202,'N'),(25,6135986,'1A',235,'N'),(25,6135994,'1',233,'N'),(25,6135994,'1A',235,'N'),(25,6136001,'1',103,'N'),(25,6136010,'1',425,'N'),(25,6136010,'1A',427,'N'),(25,6136028,'1',652,'N'),(25,6136036,'1',303,'N'),(25,6136044,'1',999,'N'),(25,6136079,'1',238,'N'),(25,6136079,'1A',208,'N'),(25,6136095,'1',103,'N'),(25,6136109,'1',340,'N'),(25,6136117,'1',319,'N'),(25,6136125,'1',303,'N'),(25,6136133,'1',9,'N'),(25,6136141,'1',5,'N'),(25,6136150,'1',203,'N'),(25,6136150,'1A',601,'N'),(25,6136168,'1',201,'N'),(25,6136168,'1A',238,'N'),(25,6136184,'1',999,'N'),(25,6136192,'1',453,'N'),(25,6136230,'1',502,'N'),(25,6136257,'1',203,'N'),(25,6136257,'1A',214,'N'),(25,6136265,'1',216,'N'),(25,6136273,'1',316,'N'),(25,6136281,'1',102,'N'),(25,6136290,'1',203,'N'),(25,6136290,'1A',201,'N'),(25,6136303,'1',328,'N'),(25,6136311,'1',999,'N'),(25,6136320,'1',5,'N'),(25,6136338,'1',103,'N'),(25,6136346,'1',999,'N'),(25,6136354,'1',102,'N'),(25,6136370,'1',207,'N'),(25,6136370,'1A',201,'N'),(25,6136400,'1',216,'N'),(25,6136400,'1A',233,'N'),(25,6136419,'1',238,'N'),(25,6136419,'1A',208,'N'),(25,6136427,'1',103,'N'),(25,6136435,'1',333,'N'),(25,6136443,'1',104,'N'),(25,6136451,'1',103,'N'),(25,6136478,'1',453,'N'),(25,6136486,'1',326,'N'),(25,6136494,'1',502,'N'),(25,6136516,'1',207,'N'),(25,6136524,'1',103,'N'),(25,6136532,'1',208,'N'),(25,6136532,'1A',238,'N'),(25,6136540,'1',213,'N'),(25,6136540,'1A',212,'N'),(25,6136559,'1',304,'N'),(25,6136567,'1',328,'N'),(25,6136575,'1',303,'N'),(25,6136583,'1',452,'N'),(25,6136591,'1',415,'N'),(25,6136605,'1',203,'N'),(25,6136605,'1A',220,'N'),(25,6136621,'1',208,'N'),(25,6136621,'1A',238,'N'),(25,6136648,'1',423,'N'),(25,6136648,'1A',427,'N'),(25,6136656,'1',444,'N'),(25,6136664,'1',404,'N'),(25,6136672,'1',212,'N'),(25,6136672,'1A',220,'N'),(25,6136680,'1',103,'N'),(25,6136699,'1',601,'N'),(25,6136699,'1A',203,'N'),(25,6136702,'1',202,'N'),(25,6136702,'1A',235,'N'),(25,6136710,'1',108,'N'),(25,6136729,'1',216,'N'),(25,6136729,'1A',215,'N'),(25,6136745,'1',316,'N'),(25,6136753,'1',203,'N'),(25,6136753,'1A',201,'N'),(25,6136761,'1',103,'N'),(25,6136770,'1',332,'N'),(25,6136788,'1',233,'N'),(25,6136796,'1',103,'N'),(25,6136800,'1',103,'N'),(25,6136818,'1',216,'N'),(25,6136818,'1A',211,'N'),(25,6136826,'1',211,'N'),(25,6136826,'1A',207,'N'),(25,6136834,'1',103,'N'),(25,6136850,'1',103,'N'),(25,6136869,'1',103,'N'),(25,6136877,'1',238,'N'),(25,6136877,'1A',201,'N'),(25,6136907,'1',655,'N'),(25,6136915,'1',103,'N'),(25,6136923,'1',302,'N'),(25,6136931,'1',103,'N'),(25,6136940,'1',103,'N'),(25,6136958,'1',108,'N'),(25,6136966,'1',103,'N'),(25,6136974,'1',601,'N'),(25,6136974,'1A',213,'N'),(25,6136982,'1',103,'N'),(25,6136990,'1',420,'N'),(25,6137008,'1',415,'N'),(25,6137016,'1',333,'N'),(25,6137024,'1',203,'N'),(25,6137024,'1A',233,'N'),(25,6137032,'1',216,'N'),(25,6137032,'1A',201,'N'),(25,6137040,'1',5,'N'),(25,6137059,'1',103,'N'),(25,6137067,'1',103,'N'),(25,6137083,'1',601,'N'),(25,6137083,'1A',214,'N'),(25,6137091,'1',444,'N'),(25,6137105,'1',316,'N'),(25,6137130,'1',303,'N'),(25,6137148,'1',103,'N'),(25,6137156,'1',208,'N'),(25,6137156,'1A',235,'N'),(25,6137164,'1',5,'N'),(25,6137172,'1',108,'N'),(25,6137199,'1',103,'N'),(25,6137202,'1',319,'N'),(25,6137210,'1',319,'N'),(25,6137229,'1',103,'N'),(25,6137237,'1',3,'N'),(25,6137245,'1',215,'N'),(25,6137245,'1A',213,'N'),(25,6137253,'1',415,'N'),(25,6137261,'1',103,'N'),(25,6137270,'1',212,'N'),(25,6137270,'1A',201,'N'),(25,6137288,'1',335,'N'),(25,6137296,'1',999,'N'),(25,6137300,'1',103,'N'),(25,6137326,'1',103,'N'),(25,6137334,'1',601,'N'),(25,6137334,'1A',203,'N'),(25,6137342,'1',319,'N'),(25,6137350,'1',103,'N'),(25,6137369,'1',103,'N'),(25,6137393,'1',103,'N'),(25,6137407,'1',215,'N'),(25,6137407,'1A',207,'N'),(25,6137415,'1',214,'N'),(25,6137415,'1A',233,'N'),(25,6137423,'1',653,'N'),(25,6137423,'1A',202,'N'),(25,6137431,'1',103,'N'),(25,6137440,'1',415,'N'),(25,6137466,'1',453,'N'),(25,6137474,'1',444,'N'),(25,6137482,'1',203,'N'),(25,6137482,'1A',202,'N'),(25,6137490,'1',319,'N'),(25,6137504,'1',303,'N'),(25,6137512,'1',328,'N'),(25,6137520,'1',201,'N'),(25,6137520,'1A',212,'N'),(25,6137539,'1',108,'N'),(25,6137563,'1',999,'N'),(25,6137571,'1',420,'N'),(25,6137580,'1',503,'N'),(25,6137598,'1',201,'N'),(25,6137598,'1A',212,'N'),(25,6137601,'1',103,'N'),(25,6137610,'1',104,'N'),(25,6137628,'1',316,'N'),(25,6137636,'1',216,'N'),(25,6137636,'1A',215,'N'),(25,6137644,'1',211,'N'),(25,6137644,'1A',207,'N'),(25,6137652,'1',444,'N'),(25,6137660,'1',338,'N'),(25,6137679,'1',103,'N'),(25,6137687,'1',104,'N'),(25,6137695,'1',203,'N'),(25,6137695,'1A',214,'N'),(25,6137709,'1',207,'N'),(25,6137709,'1A',238,'N'),(25,6137717,'1',318,'N'),(25,6137725,'1',444,'N'),(25,6137733,'1',220,'N'),(25,6137733,'1A',233,'N'),(25,6137741,'1',303,'N'),(25,6137750,'1',203,'N'),(25,6137768,'1',329,'N'),(25,6137776,'1',201,'N'),(25,6137776,'1A',212,'N'),(25,6137784,'1',999,'N'),(25,6137792,'1',303,'N'),(25,6137806,'1',201,'N'),(25,6137806,'1A',202,'N'),(25,6137814,'1',303,'N'),(25,6137822,'1',601,'N'),(25,6137822,'1A',220,'N'),(25,6137830,'1',327,'N'),(25,6137849,'1',103,'N'),(25,6137857,'1',103,'N'),(25,6137873,'1',103,'N'),(25,6137881,'1',216,'N'),(25,6137881,'1A',215,'N'),(25,6137890,'1',316,'N'),(25,6137903,'1',103,'N'),(25,6137911,'1',216,'N'),(25,6137911,'1A',201,'N'),(25,6137920,'1',101,'N'),(25,6137938,'1',216,'N'),(25,6137938,'1A',201,'N'),(25,6137946,'1',201,'N'),(25,6137946,'1A',216,'N'),(25,6137954,'1',329,'N'),(25,6137962,'1',207,'N'),(25,6137962,'1A',201,'N'),(25,6137970,'1',340,'N'),(25,6137989,'1',103,'N'),(25,6137997,'1',302,'N'),(25,6138004,'1',103,'N'),(25,6138012,'1',308,'N'),(25,6138020,'1',103,'N'),(25,6138039,'1',103,'N'),(25,6138047,'1',101,'N'),(25,6138055,'1',301,'N'),(25,6138063,'1',233,'N'),(25,6138063,'1A',211,'N'),(25,6138080,'1',999,'N'),(25,6138101,'1',201,'N'),(25,6138101,'1A',207,'N'),(25,6138110,'1',303,'N'),(25,6138128,'1',201,'N'),(25,6138128,'1A',207,'N'),(25,6138136,'1',207,'N'),(25,6138136,'1A',203,'N'),(25,6138144,'1',214,'N'),(25,6138144,'1A',212,'N'),(25,6138152,'1',3,'N'),(25,6138160,'1',450,'N'),(25,6138179,'1',207,'N'),(25,6138179,'1A',201,'N'),(25,6138187,'1',103,'N'),(25,6138195,'1',5,'N'),(25,6138209,'1',201,'N'),(25,6138209,'1A',208,'N'),(25,6138217,'1',444,'N'),(25,6138225,'1',101,'N'),(25,6138233,'1',999,'N'),(25,6138268,'1',103,'N'),(25,6138276,'1',340,'N'),(25,6138284,'1',999,'N'),(25,6138292,'1',203,'N'),(25,6138292,'1A',220,'N'),(25,6138306,'1',102,'N'),(25,6138322,'1',303,'N'),(25,6138330,'1',103,'N'),(25,6138349,'1',208,'N'),(25,6138349,'1A',238,'N'),(25,6138357,'1',103,'N'),(25,6138365,'1',203,'N'),(25,6138373,'1',103,'N'),(25,6138381,'1',103,'N'),(25,6138390,'1',208,'N'),(25,6138390,'1A',201,'N'),(25,6138403,'1',444,'N'),(25,6138411,'1',317,'N'),(25,6138420,'1',999,'N'),(25,6138438,'1',317,'N'),(25,6138446,'1',201,'N'),(25,6138446,'1A',202,'N'),(25,6138462,'1',103,'N'),(25,6138470,'1',501,'N'),(25,6138489,'1',203,'N'),(25,6138497,'1',103,'N'),(25,6138519,'1',319,'N'),(25,6138527,'1',5,'N'),(25,6138535,'1',103,'N'),(25,6138543,'1',333,'N'),(25,6138551,'1',201,'N'),(25,6138551,'1A',212,'N'),(25,6138560,'1',303,'N'),(25,6138578,'1',213,'N'),(25,6138578,'1A',202,'N'),(25,6138586,'1',207,'N'),(25,6138594,'1',203,'N'),(25,6138594,'1A',220,'N'),(25,6138608,'1',319,'N'),(25,6138616,'1',319,'N'),(25,6138624,'1',415,'N'),(25,6138632,'1',601,'N'),(25,6138632,'1A',212,'N'),(25,6138659,'1',340,'N'),(25,6138667,'1',103,'N'),(25,6138675,'1',303,'N'),(25,6138683,'1',103,'N'),(25,6138691,'1',203,'N'),(25,6138691,'1A',216,'N'),(25,6138705,'1',102,'N'),(25,6138713,'1',216,'N'),(25,6138713,'1A',201,'N'),(25,6138721,'1',326,'N'),(25,6138730,'1',5,'N'),(25,6138748,'1',653,'N'),(25,6138748,'1A',655,'N'),(25,6138764,'1',404,'N'),(25,6138780,'1',103,'N'),(25,6138799,'1',319,'N'),(25,6138802,'1',207,'N'),(25,6138810,'1',444,'N'),(25,6138829,'1',444,'N'),(25,6138837,'1',238,'N'),(25,6138837,'1A',208,'N'),(25,6138861,'1',103,'N'),(25,6138888,'1',450,'N'),(25,6138900,'1',203,'N'),(25,6138900,'1A',214,'N'),(25,6138926,'1',224,'N'),(25,6138934,'1',319,'N'),(25,6138942,'1',319,'N'),(25,6138977,'1',103,'N'),(25,6138985,'1',216,'N'),(25,6138985,'1A',215,'N'),(25,6138993,'1',303,'N'),(25,6139019,'1',333,'N'),(25,6139027,'1',601,'N'),(25,6139027,'1A',202,'N'),(25,6139035,'1',103,'N'),(25,6139043,'1',201,'N'),(25,6139051,'1',201,'N'),(25,6139051,'1A',233,'N'),(25,6139060,'1',9,'N'),(25,6139078,'1',103,'N'),(25,6139094,'1',303,'N'),(25,6139108,'1',103,'N'),(25,6139132,'1',216,'N'),(25,6139132,'1A',220,'N'),(25,6139140,'1',551,'N'),(25,6139159,'1',103,'N'),(25,6139167,'1',103,'N'),(25,6139175,'1',214,'N'),(25,6139175,'1A',212,'N'),(25,6139183,'1',444,'N'),(25,6139191,'1',103,'N'),(25,6139205,'1',103,'N'),(25,6139213,'1',303,'N'),(25,6139221,'1',103,'N'),(25,6139248,'1',316,'N'),(25,6139272,'1',302,'N'),(25,6139280,'1',303,'N'),(25,6139299,'1',103,'N'),(25,6139302,'1',331,'N'),(25,6139310,'1',103,'N'),(25,6139329,'1',203,'N'),(25,6139329,'1A',214,'N'),(25,6139337,'1',203,'N'),(25,6139337,'1A',235,'N'),(25,6139345,'1',103,'N'),(25,6139353,'1',420,'N'),(25,6139361,'1',319,'N'),(25,6139370,'1',201,'N'),(25,6139370,'1A',212,'N'),(25,6139388,'1',103,'N'),(25,6139396,'1',203,'N'),(25,6139396,'1A',220,'N'),(25,6139400,'1',101,'N'),(25,6139418,'1',103,'N'),(25,6139426,'1',103,'N'),(25,6139434,'1',103,'N'),(25,6139442,'1',501,'N'),(25,6139450,'1',453,'N'),(25,6139469,'1',103,'N'),(25,6139485,'1',207,'N'),(25,6139485,'1A',201,'N'),(25,6139493,'1',103,'N'),(25,6139507,'1',103,'N'),(25,6139515,'1',103,'N'),(25,6139523,'1',103,'N'),(25,6139558,'1',103,'N'),(25,6139566,'1',216,'N'),(25,6139574,'1',203,'N'),(25,6139574,'1A',214,'N'),(25,6139590,'1',503,'N'),(25,6139639,'1',207,'N'),(25,6139647,'1',235,'N'),(25,6139647,'1A',238,'N'),(25,6139655,'1',103,'N'),(25,6139663,'1',103,'N'),(25,6139680,'1',235,'N'),(25,6139680,'1A',213,'N'),(25,6139698,'1',420,'N'),(25,6139701,'1',203,'N'),(25,6139701,'1A',214,'N'),(25,6139710,'1',207,'N'),(25,6139710,'1A',212,'N'),(25,6139728,'1',551,'N'),(25,6139744,'1',103,'N'),(25,6139752,'1',207,'N'),(25,6139752,'1A',201,'N'),(25,6139760,'1',501,'N'),(25,6139779,'1',223,'N'),(25,6139787,'1',201,'N'),(25,6139787,'1A',220,'N'),(25,6139795,'1',5,'N'),(25,6139817,'1',332,'N'),(25,6139825,'1',103,'N'),(25,6139833,'1',5,'N'),(25,6139850,'1',203,'N'),(25,6139850,'1A',202,'N'),(25,6139868,'1',9,'N'),(25,6139884,'1',319,'N'),(25,6139892,'1',303,'N'),(25,6139906,'1',233,'N'),(25,6139906,'1A',653,'N'),(25,6139922,'1',202,'N'),(25,6139922,'1A',235,'N'),(25,6139957,'1',9,'N'),(25,6139965,'1',301,'N'),(25,6139973,'1',203,'N'),(25,6139973,'1A',214,'N'),(25,6139981,'1',201,'N'),(25,6139981,'1A',212,'N'),(25,6139990,'1',110,'N'),(25,6140009,'1',999,'N'),(25,6140017,'1',102,'N'),(25,6140025,'1',453,'N'),(25,6140033,'1',103,'N'),(25,6140041,'1',214,'N'),(25,6140041,'1A',212,'N'),(25,6140050,'1',203,'N'),(25,6140050,'1A',202,'N'),(25,6140068,'1',103,'N'),(25,6140076,'1',601,'N'),(25,6140084,'1',103,'N'),(25,6140092,'1',211,'N'),(25,6140092,'1A',215,'N'),(25,6140106,'1',235,'N'),(25,6140106,'1A',211,'N'),(25,6140114,'1',339,'N'),(25,6140122,'1',103,'N'),(25,6140130,'1',103,'N'),(25,6140149,'1',103,'N'),(25,6140157,'1',452,'N'),(25,6140165,'1',415,'N'),(25,6140173,'1',208,'N'),(25,6140173,'1A',238,'N'),(25,6140181,'1',103,'N'),(25,6140190,'1',103,'N'),(25,6140203,'1',207,'N'),(25,6140203,'1A',201,'N'),(25,6140238,'1',213,'N'),(25,6140238,'1A',211,'N'),(25,6140246,'1',207,'N'),(25,6140254,'1',320,'N'),(25,6140270,'1',235,'N'),(25,6140270,'1A',202,'N'),(25,6140289,'1',103,'N'),(25,6140297,'1',104,'N'),(25,6140300,'1',211,'N'),(25,6140300,'1A',220,'N'),(25,6140319,'1',220,'N'),(25,6140319,'1A',202,'N'),(25,6140327,'1',318,'N'),(25,6140343,'1',420,'N'),(25,6140351,'1',201,'N'),(25,6140351,'1A',214,'N'),(25,6140360,'1',103,'N'),(25,6140378,'1',420,'N'),(25,6140386,'1',340,'N'),(25,6140394,'1',601,'N'),(25,6140408,'1',207,'N'),(25,6140408,'1A',201,'N'),(25,6140416,'1',3,'N'),(25,6140424,'1',101,'N'),(25,6140440,'1',208,'N'),(25,6140440,'1A',220,'N'),(25,6140459,'1',104,'N'),(25,6140467,'1',319,'N'),(25,6140475,'1',238,'N'),(25,6140475,'1A',235,'N'),(25,6140483,'1',109,'N'),(25,6140505,'1',420,'N'),(25,6140513,'1',103,'N'),(25,6140521,'1',103,'N'),(25,6140530,'1',304,'N'),(25,6140564,'1',340,'N'),(25,6140572,'1',339,'N'),(25,6140580,'1',316,'N'),(25,6140599,'1',234,'N'),(25,6140610,'1',340,'N'),(25,6140629,'1',238,'N'),(25,6140629,'1A',207,'N'),(25,6140637,'1',5,'N'),(25,6140645,'1',108,'N'),(25,6140661,'1',207,'N'),(25,6140661,'1A',201,'N'),(25,6140670,'1',333,'N'),(25,6140696,'1',316,'N'),(25,6140700,'1',316,'N'),(25,6140718,'1',337,'N'),(25,6140726,'1',103,'N'),(25,6140734,'1',103,'N'),(25,6140742,'1',201,'N'),(25,6140742,'1A',212,'N'),(25,6140750,'1',336,'N'),(25,6140769,'1',102,'N'),(25,6140785,'1',208,'N'),(25,6140785,'1A',238,'N'),(25,6140793,'1',404,'N'),(25,6140807,'1',424,'N'),(25,6140807,'1A',427,'N'),(25,6140823,'1',207,'N'),(25,6140831,'1',303,'N'),(25,6140858,'1',103,'N'),(25,6140866,'1',238,'N'),(25,6140866,'1A',208,'N'),(25,6140874,'1',5,'N'),(25,6140882,'1',320,'N'),(25,6140890,'1',216,'N'),(25,6140890,'1A',203,'N'),(25,6140904,'1',103,'N'),(25,6140920,'1',303,'N'),(25,6140939,'1',415,'N'),(25,6140947,'1',5,'N'),(25,6140955,'1',5,'N'),(25,6140971,'1',103,'N'),(25,6140980,'1',235,'N'),(25,6140980,'1A',213,'N'),(25,6141005,'1',103,'N'),(25,6141013,'1',214,'N'),(25,6141013,'1A',203,'N'),(25,6141021,'1',324,'N'),(25,6141030,'1',339,'N'),(25,6141048,'1',211,'N'),(25,6141048,'1A',212,'N'),(25,6141056,'1',201,'N'),(25,6141056,'1A',207,'N'),(25,6141080,'1',103,'N'),(25,6141110,'1',235,'N'),(25,6141110,'1A',655,'N'),(25,6141129,'1',216,'N'),(25,6141129,'1A',233,'N'),(25,6141137,'1',318,'N'),(25,6141153,'1',444,'N'),(25,6141161,'1',205,'N'),(25,6141200,'1',420,'N'),(25,6141218,'1',102,'N'),(25,6141226,'1',404,'N'),(25,6141234,'1',9,'N'),(25,6141242,'1',215,'N'),(25,6141242,'1A',214,'N'),(25,6141250,'1',103,'N'),(25,6141293,'1',601,'N'),(25,6141307,'1',308,'N'),(25,6141315,'1',207,'N'),(25,6141374,'1',336,'N'),(25,6141382,'1',415,'N'),(25,6141390,'1',310,'N'),(25,6141412,'1',104,'N'),(25,6141439,'1',319,'N'),(25,6141447,'1',303,'N'),(25,6141455,'1',233,'N'),(25,6141455,'1A',213,'N'),(25,6141480,'1',551,'N'),(25,6141501,'1',102,'N'),(25,6141536,'1',317,'N'),(25,6141544,'1',208,'N'),(25,6141544,'1A',202,'N'),(25,6141552,'1',3,'N'),(25,6141560,'1',207,'N'),(25,6141560,'1A',215,'N'),(25,6141595,'1',653,'N'),(25,6141595,'1A',207,'N'),(25,6141617,'1',308,'N'),(25,6141625,'1',303,'N'),(25,6141633,'1',235,'N'),(25,6141633,'1A',202,'N'),(25,6141641,'1',415,'N'),(25,6141650,'1',303,'N'),(25,6141668,'1',326,'N'),(25,6141676,'1',451,'N'),(25,6141684,'1',211,'N'),(25,6141684,'1A',212,'N'),(25,6141706,'1',425,'N'),(25,6141706,'1A',424,'N'),(25,6141714,'1',233,'N'),(25,6141714,'1A',215,'N'),(25,6141730,'1',5,'N'),(25,6141757,'1',340,'N'),(25,6141773,'1',5,'N'),(25,6141781,'1',301,'N'),(25,6141803,'1',104,'N'),(25,6141811,'1',216,'N'),(25,6141811,'1A',208,'N'),(25,6141820,'1',109,'N'),(25,6141838,'1',103,'N'),(25,6141846,'1',238,'N'),(25,6141846,'1A',208,'N'),(25,6141870,'1',316,'N'),(25,6141900,'1',208,'N'),(25,6141900,'1A',202,'N'),(25,6141919,'1',103,'N'),(25,6141935,'1',339,'N'),(25,6141943,'1',108,'N'),(25,6141951,'1',211,'N'),(25,6141960,'1',301,'N'),(25,6141978,'1',317,'N'),(25,6141986,'1',205,'N'),(25,6141994,'1',110,'N'),(25,6142001,'1',211,'N'),(25,6142001,'1A',215,'N'),(25,6142010,'1',201,'N'),(25,6142010,'1A',212,'N'),(25,6142028,'1',318,'N'),(25,6142036,'1',103,'N'),(25,6142044,'1',215,'N'),(25,6142044,'1A',216,'N'),(25,6142052,'1',319,'N'),(25,6142060,'1',415,'N'),(25,6142079,'1',103,'N'),(25,6142087,'1',201,'N'),(25,6142087,'1A',233,'N'),(25,6142109,'1',208,'N'),(25,6142109,'1A',238,'N'),(25,6142117,'1',211,'N'),(25,6142117,'1A',216,'N'),(25,6142125,'1',103,'N'),(25,6142133,'1',203,'N'),(25,6142133,'1A',214,'N'),(25,6142150,'1',309,'N'),(25,6142168,'1',103,'N'),(25,6142176,'1',103,'N'),(25,6142184,'1',208,'N'),(25,6142184,'1A',238,'N'),(25,6142206,'1',326,'N'),(25,6142214,'1',9,'N'),(25,6142222,'1',420,'N'),(25,6142249,'1',104,'N'),(25,6142257,'1',201,'N'),(25,6142257,'1A',655,'N'),(25,6142265,'1',3,'N'),(25,6142273,'1',601,'N'),(25,6142281,'1',103,'N'),(25,6142303,'1',203,'N'),(25,6142303,'1A',216,'N'),(25,6142338,'1',303,'N'),(25,6142346,'1',303,'N'),(25,6142354,'1',5,'N'),(25,6142370,'1',109,'N'),(25,6142389,'1',319,'N'),(25,6142397,'1',453,'N'),(25,6142419,'1',551,'N'),(25,6142427,'1',317,'N'),(25,6142435,'1',326,'N'),(25,6142443,'1',501,'N'),(25,6142451,'1',652,'N'),(25,6142460,'1',103,'N'),(25,6142478,'1',103,'N'),(25,6142486,'1',214,'N'),(25,6142486,'1A',233,'N'),(25,6142494,'1',3,'N'),(25,6142508,'1',551,'N'),(25,6142516,'1',202,'N'),(25,6142516,'1A',213,'N'),(25,6142524,'1',301,'N'),(25,6142532,'1',103,'N'),(25,6142540,'1',429,'N'),(25,6142559,'1',444,'N'),(25,6142575,'1',420,'N'),(25,6142583,'1',318,'N'),(25,6142605,'1',201,'N'),(25,6142605,'1A',235,'N'),(25,6142621,'1',420,'N'),(25,6142630,'1',104,'N'),(25,6142648,'1',103,'N'),(25,6142664,'1',103,'N'),(25,6142672,'1',103,'N'),(25,6142702,'1',103,'N'),(25,6142710,'1',225,'N'),(25,6142737,'1',336,'N'),(25,6142745,'1',238,'N'),(25,6142745,'1A',652,'N'),(25,6142761,'1',328,'N'),(25,6142788,'1',340,'N'),(25,6142796,'1',317,'N'),(25,6142800,'1',207,'N'),(25,6142800,'1A',201,'N'),(25,6142818,'1',551,'N'),(25,6142826,'1',203,'N'),(25,6142826,'1A',214,'N'),(25,6142834,'1',425,'N'),(25,6142834,'1A',423,'N'),(25,6142842,'1',333,'N'),(25,6142869,'1',450,'N'),(25,6142877,'1',103,'N'),(25,6142885,'1',340,'N'),(25,6142893,'1',319,'N'),(25,6142907,'1',201,'N'),(25,6142907,'1A',211,'N'),(25,6142915,'1',319,'N'),(25,6142923,'1',103,'N'),(25,6142931,'1',301,'N'),(25,6142958,'1',101,'N'),(25,6142974,'1',339,'N'),(25,6142982,'1',3,'N'),(25,6142990,'1',327,'N'),(25,6143008,'1',304,'N'),(25,6143016,'1',444,'N'),(25,6143024,'1',5,'N'),(25,6143040,'1',339,'N'),(25,6143075,'1',551,'N'),(25,6143083,'1',203,'N'),(25,6143083,'1A',216,'N'),(25,6143091,'1',211,'N'),(25,6143105,'1',201,'N'),(25,6143105,'1A',601,'N'),(25,6143113,'1',303,'N'),(25,6143130,'1',109,'N'),(25,6143148,'1',303,'N'),(25,6143156,'1',601,'N'),(25,6143156,'1A',203,'N'),(25,6143164,'1',103,'N'),(25,6143180,'1',201,'N'),(25,6143180,'1A',212,'N'),(25,6143199,'1',203,'N'),(25,6143199,'1A',601,'N'),(25,6143202,'1',103,'N'),(25,6143229,'1',444,'N'),(25,6143237,'1',103,'N'),(25,6143245,'1',333,'N'),(25,6143253,'1',304,'N'),(25,6143261,'1',319,'N'),(25,6143270,'1',103,'N'),(25,6143288,'1',207,'N'),(25,6143288,'1A',201,'N'),(25,6143296,'1',104,'N'),(25,6143300,'1',201,'N'),(25,6143300,'1A',653,'N'),(25,6143318,'1',301,'N'),(25,6143326,'1',103,'N'),(25,6143334,'1',404,'N'),(25,6143342,'1',103,'N'),(25,6143350,'1',336,'N'),(25,6143369,'1',109,'N'),(25,6143377,'1',203,'N'),(25,6143377,'1A',238,'N'),(25,6143393,'1',444,'N'),(25,6143407,'1',303,'N'),(25,6143415,'1',103,'N'),(25,6143440,'1',201,'N'),(25,6143440,'1A',202,'N'),(25,6143458,'1',655,'N'),(25,6143458,'1A',235,'N'),(25,6143466,'1',235,'N'),(25,6143466,'1A',203,'N'),(25,6143490,'1',444,'N'),(25,6143504,'1',202,'N'),(25,6143504,'1A',235,'N'),(25,6143520,'1',999,'N'),(25,6143539,'1',551,'N'),(25,6143547,'1',103,'N'),(25,6143555,'1',103,'N'),(25,6143571,'1',319,'N'),(25,6143580,'1',103,'N'),(25,6143598,'1',103,'N'),(25,6143601,'1',5,'N'),(25,6143610,'1',339,'N'),(25,6143628,'1',415,'N'),(25,6143636,'1',332,'N'),(25,6143644,'1',319,'N'),(25,6143652,'1',110,'N'),(25,6143660,'1',5,'N'),(25,6143679,'1',303,'N'),(25,6143687,'1',220,'N'),(25,6143687,'1A',601,'N'),(25,6143695,'1',303,'N'),(25,6143709,'1',216,'N'),(25,6143709,'1A',215,'N'),(25,6143725,'1',220,'N'),(25,6143725,'1A',202,'N'),(25,6143733,'1',233,'N'),(25,6143733,'1A',215,'N'),(25,6143741,'1',108,'N'),(25,6143750,'1',999,'N'),(25,6143768,'1',103,'N'),(25,6143776,'1',103,'N'),(25,6143792,'1',303,'N'),(25,6143806,'1',202,'N'),(25,6143806,'1A',235,'N'),(25,6143814,'1',5,'N'),(25,6143822,'1',317,'N'),(25,6143849,'1',207,'N'),(25,6143849,'1A',201,'N'),(25,6143857,'1',5,'N'),(25,6143865,'1',653,'N'),(25,6143865,'1A',655,'N'),(25,6143873,'1',216,'N'),(25,6143890,'1',103,'N'),(25,6143903,'1',103,'N'),(25,6143911,'1',336,'N'),(25,6143920,'1',601,'N'),(25,6143920,'1A',655,'N'),(25,6143938,'1',303,'N'),(25,6143946,'1',103,'N'),(25,6143954,'1',103,'N'),(25,6143970,'1',303,'N'),(25,6143989,'1',601,'N'),(25,6143997,'1',502,'N'),(25,6144004,'1',303,'N'),(25,6144012,'1',303,'N'),(25,6144039,'1',203,'N'),(25,6144039,'1A',201,'N'),(25,6144047,'1',5,'N'),(25,6144055,'1',319,'N'),(25,6144063,'1',453,'N'),(25,6144071,'1',102,'N'),(25,6144080,'1',103,'N'),(25,6144098,'1',319,'N'),(25,6144101,'1',212,'N'),(25,6144101,'1A',233,'N'),(25,6144110,'1',203,'N'),(25,6144110,'1A',201,'N'),(25,6144128,'1',338,'N'),(25,6144136,'1',319,'N'),(25,6144144,'1',103,'N'),(25,6144152,'1',426,'N'),(25,6144152,'1A',429,'N'),(25,6144160,'1',103,'N'),(25,6144179,'1',207,'N'),(25,6144187,'1',319,'N'),(25,6144195,'1',319,'N'),(25,6144209,'1',452,'N'),(25,6144217,'1',103,'N'),(25,6144225,'1',601,'N'),(25,6144225,'1A',220,'N'),(25,6144241,'1',220,'N'),(25,6144241,'1A',235,'N'),(25,6144250,'1',103,'N'),(25,6144284,'1',201,'N'),(25,6144284,'1A',207,'N'),(25,6144292,'1',103,'N'),(25,6144314,'1',201,'N'),(25,6144314,'1A',211,'N'),(25,6144322,'1',103,'N'),(25,6144330,'1',415,'N'),(25,6144357,'1',333,'N'),(25,6144365,'1',203,'N'),(25,6144365,'1A',235,'N'),(25,6144381,'1',450,'N'),(25,6144390,'1',3,'N'),(25,6144403,'1',103,'N'),(25,6144411,'1',233,'N'),(25,6144411,'1A',211,'N'),(25,6144420,'1',302,'N'),(25,6144438,'1',208,'N'),(25,6144446,'1',652,'N'),(25,6144446,'1A',655,'N'),(25,6144454,'1',103,'N'),(25,6144462,'1',216,'N'),(25,6144462,'1A',203,'N'),(25,6144470,'1',207,'N'),(25,6144470,'1A',201,'N'),(25,6144500,'1',103,'N'),(25,6144519,'1',318,'N'),(25,6144527,'1',211,'N'),(25,6144527,'1A',215,'N'),(25,6144535,'1',655,'N'),(25,6144535,'1A',203,'N'),(25,6144543,'1',318,'N'),(25,6144551,'1',302,'N'),(25,6144560,'1',103,'N'),(25,6144578,'1',223,'N'),(25,6144586,'1',103,'N'),(25,6144608,'1',5,'N'),(25,6144616,'1',103,'N'),(25,6144624,'1',233,'N'),(25,6144624,'1A',601,'N'),(25,6144632,'1',103,'N'),(25,6144640,'1',103,'N'),(25,6144659,'1',207,'N'),(25,6144659,'1A',201,'N'),(25,6144667,'1',214,'N'),(25,6144667,'1A',212,'N'),(25,6144675,'1',5,'N'),(25,6144691,'1',203,'N'),(25,6144691,'1A',208,'N'),(25,6144705,'1',999,'N'),(25,6144713,'1',404,'N'),(25,6144721,'1',208,'N'),(25,6144730,'1',103,'N'),(25,6144756,'1',5,'N'),(25,6144772,'1',103,'N'),(25,6144780,'1',601,'N'),(25,6144780,'1A',201,'N'),(25,6144802,'1',203,'N'),(25,6144802,'1A',235,'N'),(25,6144810,'1',303,'N'),(25,6144829,'1',235,'N'),(25,6144829,'1A',203,'N'),(25,6144837,'1',340,'N'),(25,6144845,'1',9,'N'),(25,6144853,'1',103,'N'),(25,6144861,'1',103,'N'),(25,6144870,'1',103,'N'),(25,6144896,'1',103,'N'),(25,6144900,'1',337,'N'),(25,6144918,'1',451,'N'),(25,6144934,'1',425,'N'),(25,6144934,'1A',423,'N'),(25,6144942,'1',103,'N'),(25,6144950,'1',2,'N'),(25,6144969,'1',102,'N'),(25,6144993,'1',103,'N'),(25,6145019,'1',203,'N'),(25,6145019,'1A',208,'N'),(25,6145027,'1',340,'N'),(25,6145043,'1',103,'N'),(25,6145051,'1',308,'N'),(25,6145060,'1',103,'N'),(25,6145078,'1',201,'N'),(25,6145078,'1A',202,'N'),(25,6145086,'1',103,'N'),(25,6145094,'1',999,'N'),(25,6145108,'1',103,'N'),(25,6145116,'1',103,'N'),(25,6145124,'1',203,'N'),(25,6145124,'1A',235,'N'),(25,6145132,'1',5,'N'),(25,6145140,'1',319,'N'),(25,6145159,'1',108,'N'),(25,6145167,'1',336,'N'),(25,6145175,'1',207,'N'),(25,6145183,'1',999,'N'),(25,6145205,'1',327,'N'),(25,6145213,'1',216,'N'),(25,6145213,'1A',211,'N'),(25,6145230,'1',225,'N'),(25,6145248,'1',108,'N'),(25,6145256,'1',103,'N'),(25,6145264,'1',444,'N'),(25,6145299,'1',202,'N'),(25,6145299,'1A',201,'N'),(25,6145302,'1',207,'N'),(25,6145310,'1',109,'N'),(25,6145337,'1',303,'N'),(25,6145345,'1',319,'N'),(25,6145370,'1',101,'N'),(25,6145388,'1',201,'N'),(25,6145388,'1A',202,'N'),(25,6145396,'1',207,'N'),(25,6145396,'1A',212,'N'),(25,6145418,'1',220,'N'),(25,6145418,'1A',214,'N'),(25,6145434,'1',102,'N'),(25,6145450,'1',207,'N'),(25,6145450,'1A',201,'N'),(25,6145469,'1',425,'N'),(25,6145469,'1A',429,'N'),(25,6145477,'1',203,'N'),(25,6145477,'1A',220,'N'),(25,6145485,'1',103,'N'),(25,6145493,'1',655,'N'),(25,6145493,'1A',208,'N'),(25,6145507,'1',108,'N'),(25,6145515,'1',104,'N'),(25,6145523,'1',101,'N'),(25,6145531,'1',601,'N'),(25,6145531,'1A',207,'N'),(25,6145574,'1',601,'N'),(25,6145574,'1A',235,'N'),(25,6145582,'1',211,'N'),(25,6145582,'1A',212,'N'),(25,6145612,'1',304,'N'),(25,6145620,'1',216,'N'),(25,6145620,'1A',203,'N'),(25,6145647,'1',320,'N'),(25,6145655,'1',336,'N'),(25,6145663,'1',301,'N'),(25,6145671,'1',211,'N'),(25,6145680,'1',2,'N'),(25,6145698,'1',453,'N'),(25,6145701,'1',201,'N'),(25,6145701,'1A',207,'N'),(25,6145710,'1',336,'N'),(25,6145728,'1',104,'N'),(25,6145736,'1',103,'N'),(25,6145760,'1',337,'N'),(25,6145787,'1',3,'N'),(25,6145795,'1',103,'N'),(25,6145809,'1',103,'N'),(25,6145817,'1',102,'N'),(25,6145825,'1',214,'N'),(25,6145841,'1',451,'N'),(25,6145850,'1',316,'N'),(25,6145868,'1',329,'N'),(25,6145876,'1',103,'N'),(25,6145892,'1',103,'N'),(25,6145914,'1',103,'N'),(25,6145922,'1',202,'N'),(25,6145922,'1A',201,'N'),(25,6145949,'1',207,'N'),(25,6145949,'1A',235,'N'),(25,6145957,'1',340,'N'),(25,6145965,'1',327,'N'),(25,6145973,'1',450,'N'),(25,6145981,'1',203,'N'),(25,6145981,'1A',214,'N'),(25,6145990,'1',216,'N'),(25,6146007,'1',420,'N'),(25,6146015,'1',5,'N'),(25,6146023,'1',104,'N'),(25,6146031,'1',212,'N'),(25,6146031,'1A',214,'N'),(25,6146058,'1',324,'N'),(25,6146066,'1',336,'N'),(25,6146090,'1',216,'N'),(25,6146090,'1A',201,'N'),(25,6146104,'1',109,'N'),(25,6146112,'1',103,'N'),(25,6146139,'1',103,'N'),(25,6146147,'1',425,'N'),(25,6146147,'1A',429,'N'),(25,6146155,'1',110,'N'),(25,6146163,'1',415,'N'),(25,6146171,'1',302,'N'),(25,6146210,'1',5,'N'),(25,6146228,'1',103,'N'),(25,6146236,'1',108,'N'),(25,6146244,'1',301,'N'),(25,6146252,'1',450,'N'),(25,6146287,'1',303,'N'),(25,6146295,'1',340,'N'),(25,6146309,'1',103,'N'),(25,6146317,'1',303,'N'),(25,6146333,'1',103,'N'),(25,6146341,'1',101,'N'),(25,6146368,'1',238,'N'),(25,6146376,'1',551,'N'),(25,6146384,'1',999,'N'),(25,6146392,'1',103,'N'),(25,6146406,'1',233,'N'),(25,6146406,'1A',214,'N'),(25,6146414,'1',317,'N'),(25,6146422,'1',333,'N'),(25,6146430,'1',303,'N'),(25,6146457,'1',203,'N'),(25,6146457,'1A',214,'N'),(25,6146465,'1',207,'N'),(25,6146465,'1A',201,'N'),(25,6146473,'1',205,'N'),(25,6146481,'1',103,'N'),(25,6146490,'1',235,'N'),(25,6146490,'1A',203,'N'),(25,6146503,'1',318,'N'),(25,6146511,'1',304,'N'),(25,6146520,'1',3,'N'),(25,6146546,'1',653,'N'),(25,6146546,'1A',214,'N'),(25,6146554,'1',207,'N'),(25,6146554,'1A',212,'N'),(25,6146562,'1',207,'N'),(25,6146562,'1A',201,'N'),(25,6146570,'1',207,'N'),(25,6146570,'1A',201,'N'),(25,6146589,'1',654,'N'),(25,6146597,'1',109,'N'),(25,6146600,'1',201,'N'),(25,6146600,'1A',207,'N'),(25,6146619,'1',212,'N'),(25,6146619,'1A',202,'N'),(25,6146635,'1',340,'N'),(25,6146643,'1',319,'N'),(25,6146651,'1',5,'N'),(25,6146678,'1',444,'N'),(25,6146686,'1',103,'N'),(25,6146694,'1',234,'N'),(25,6146708,'1',5,'N'),(25,6146716,'1',102,'N'),(25,6146724,'1',103,'N'),(25,6146732,'1',5,'N'),(25,6146740,'1',340,'N'),(25,6146775,'1',216,'N'),(25,6146775,'1A',235,'N'),(25,6146783,'1',103,'N'),(25,6146791,'1',502,'N'),(25,6146813,'1',654,'N'),(25,6146830,'1',340,'N'),(25,6146856,'1',319,'N'),(25,6146864,'1',9,'N'),(25,6146872,'1',103,'N'),(25,6146880,'1',102,'N'),(25,6146899,'1',208,'N'),(25,6146899,'1A',238,'N'),(25,6146902,'1',216,'N'),(25,6146902,'1A',215,'N'),(25,6146910,'1',303,'N'),(25,6146929,'1',103,'N'),(25,6146937,'1',103,'N'),(25,6146953,'1',415,'N'),(25,6146961,'1',999,'N'),(25,6146970,'1',332,'N'),(25,6146988,'1',203,'N'),(25,6146988,'1A',235,'N'),(25,6146996,'1',108,'N'),(25,6147003,'1',212,'N'),(25,6147003,'1A',213,'N'),(25,6147011,'1',207,'N'),(25,6147011,'1A',215,'N'),(25,6147020,'1',450,'N'),(25,6147038,'1',318,'N'),(25,6147046,'1',207,'N'),(25,6147046,'1A',211,'N'),(25,6147054,'1',103,'N'),(25,6147062,'1',220,'N'),(25,6147062,'1A',201,'N'),(25,6147089,'1',208,'N'),(25,6147089,'1A',238,'N'),(25,6147097,'1',103,'N'),(25,6147135,'1',429,'N'),(25,6147135,'1A',425,'N'),(25,6147143,'1',5,'N'),(25,6147151,'1',104,'N'),(25,6147160,'1',212,'N'),(25,6147160,'1A',201,'N'),(25,6147178,'1',102,'N'),(25,6147194,'1',308,'N'),(25,6147224,'1',336,'N'),(25,6147232,'1',5,'N'),(25,6147240,'1',999,'N'),(25,6147259,'1',317,'N'),(25,6147267,'1',429,'N'),(25,6147267,'1A',426,'N'),(25,6147275,'1',103,'N'),(25,6147283,'1',303,'N'),(25,6147291,'1',450,'N'),(25,6147305,'1',301,'N'),(25,6147321,'1',207,'N'),(25,6147321,'1A',201,'N'),(25,6147330,'1',201,'N'),(25,6147330,'1A',601,'N'),(25,6147348,'1',338,'N'),(25,6147356,'1',103,'N'),(25,6147364,'1',202,'N'),(25,6147364,'1A',220,'N'),(25,6147372,'1',234,'N'),(25,6147380,'1',319,'N'),(25,6147399,'1',103,'N'),(25,6147402,'1',215,'N'),(25,6147402,'1A',233,'N'),(25,6147410,'1',999,'N'),(25,6147429,'1',201,'N'),(25,6147429,'1A',202,'N'),(25,6147445,'1',207,'N'),(25,6147445,'1A',215,'N'),(25,6147453,'1',104,'N'),(25,6147488,'1',420,'N'),(25,6147496,'1',211,'N'),(25,6147496,'1A',201,'N'),(25,6147518,'1',201,'N'),(25,6147518,'1A',203,'N'),(25,6147526,'1',319,'N'),(25,6147534,'1',303,'N'),(25,6147542,'1',303,'N'),(25,6147550,'1',220,'N'),(25,6147550,'1A',208,'N'),(25,6147569,'1',452,'N'),(25,6147577,'1',103,'N'),(25,6147585,'1',444,'N'),(25,6147593,'1',415,'N'),(25,6147607,'1',234,'N'),(25,6147615,'1',303,'N'),(25,6147623,'1',103,'N'),(25,6147658,'1',303,'N'),(25,6147666,'1',202,'N'),(25,6147666,'1A',203,'N'),(25,6147674,'1',103,'N'),(25,6147690,'1',103,'N'),(25,6147704,'1',213,'N'),(25,6147704,'1A',202,'N'),(25,6147712,'1',303,'N'),(25,6147720,'1',319,'N'),(25,6147739,'1',110,'N'),(25,6147747,'1',238,'N'),(25,6147747,'1A',207,'N'),(25,6147755,'1',5,'N'),(25,6147771,'1',225,'N'),(25,6147780,'1',654,'N'),(25,6147798,'1',103,'N'),(25,6147828,'1',103,'N'),(25,6147836,'1',103,'N'),(25,6147844,'1',9,'N'),(25,6147860,'1',319,'N'),(25,6147879,'1',103,'N'),(25,6147887,'1',999,'N'),(25,6147895,'1',303,'N'),(25,6147917,'1',444,'N'),(25,6147925,'1',215,'N'),(25,6147950,'1',9,'N'),(25,6147968,'1',103,'N'),(25,6147976,'1',203,'N'),(25,6147976,'1A',214,'N'),(25,6147984,'1',103,'N'),(25,6147992,'1',103,'N'),(25,6148000,'1',453,'N'),(25,6148018,'1',101,'N'),(25,6148026,'1',203,'N'),(25,6148026,'1A',202,'N'),(25,6148034,'1',9,'N'),(25,6148042,'1',316,'N'),(25,6148050,'1',327,'N'),(25,6148069,'1',653,'N'),(25,6148069,'1A',216,'N'),(25,6148077,'1',333,'N'),(25,6148085,'1',103,'N'),(25,6148093,'1',450,'N'),(25,6148107,'1',211,'N'),(25,6148115,'1',303,'N'),(25,6148123,'1',420,'N'),(25,6148131,'1',103,'N'),(25,6148140,'1',108,'N'),(25,6148158,'1',103,'N'),(25,6148174,'1',216,'N'),(25,6148174,'1A',215,'N'),(25,6148182,'1',653,'N'),(25,6148182,'1A',601,'N'),(25,6148190,'1',103,'N'),(25,6148212,'1',203,'N'),(25,6148212,'1A',220,'N'),(25,6148220,'1',208,'N'),(25,6148220,'1A',213,'N'),(25,6148239,'1',216,'N'),(25,6148239,'1A',207,'N'),(25,6148247,'1',103,'N'),(25,6148255,'1',415,'N'),(25,6148263,'1',103,'N'),(25,6148271,'1',201,'N'),(25,6148271,'1A',207,'N'),(25,6148280,'1',103,'N'),(25,6148298,'1',338,'N'),(25,6148301,'1',102,'N'),(25,6148310,'1',103,'N'),(25,6148336,'1',103,'N'),(25,6148344,'1',501,'N'),(25,6148352,'1',303,'N'),(25,6148360,'1',303,'N'),(25,6148379,'1',324,'N'),(25,6148387,'1',999,'N'),(25,6148395,'1',103,'N'),(25,6148417,'1',203,'N'),(25,6148417,'1A',201,'N'),(25,6148425,'1',216,'N'),(25,6148425,'1A',601,'N'),(25,6148433,'1',103,'N'),(25,6148450,'1',303,'N'),(25,6148484,'1',101,'N'),(25,6148492,'1',309,'N'),(25,6148506,'1',103,'N'),(25,6148514,'1',333,'N'),(25,6148530,'1',5,'N'),(25,6148549,'1',103,'N'),(25,6148557,'1',207,'N'),(25,6148557,'1A',211,'N'),(25,6148565,'1',201,'N'),(25,6148565,'1A',601,'N'),(25,6148581,'1',104,'N'),(25,6148590,'1',238,'N'),(25,6148590,'1A',202,'N'),(25,6148603,'1',303,'N'),(25,6148611,'1',238,'N'),(25,6148611,'1A',220,'N'),(25,6148620,'1',301,'N'),(25,6148638,'1',415,'N'),(25,6148654,'1',999,'N'),(25,6148662,'1',104,'N'),(25,6148670,'1',9,'N'),(25,6148697,'1',415,'N'),(25,6148719,'1',233,'N'),(25,6148727,'1',999,'N'),(25,6148735,'1',103,'N'),(25,6148751,'1',203,'N'),(25,6148751,'1A',202,'N'),(25,6148760,'1',203,'N'),(25,6148760,'1A',214,'N'),(25,6148778,'1',109,'N'),(25,6148786,'1',211,'N'),(25,6148786,'1A',216,'N'),(25,6148794,'1',452,'N'),(25,6148808,'1',203,'N'),(25,6148808,'1A',214,'N'),(25,6148816,'1',103,'N'),(25,6148824,'1',303,'N'),(25,6148832,'1',453,'N'),(25,6148840,'1',301,'N'),(25,6148875,'1',103,'N'),(25,6148883,'1',207,'N'),(25,6148883,'1A',212,'N'),(25,6148891,'1',303,'N'),(25,6148905,'1',999,'N'),(25,6148913,'1',101,'N'),(25,6148921,'1',450,'N'),(25,6148930,'1',103,'N'),(25,6148948,'1',102,'N'),(25,6148956,'1',103,'N'),(25,6148964,'1',104,'N'),(25,6148972,'1',103,'N'),(25,6148980,'1',203,'N'),(25,6148980,'1A',202,'N'),(25,6148999,'1',201,'N'),(25,6148999,'1A',207,'N'),(25,6149006,'1',652,'N'),(25,6149006,'1A',238,'N'),(25,6149022,'1',326,'N'),(25,6149030,'1',104,'N'),(25,6149049,'1',103,'N'),(25,6149057,'1',202,'N'),(25,6149057,'1A',655,'N'),(25,6149065,'1',301,'N'),(25,6149073,'1',316,'N'),(25,6149090,'1',103,'N'),(25,6149103,'1',110,'N'),(25,6149120,'1',103,'N'),(25,6149146,'1',205,'N'),(25,6149154,'1',999,'N'),(25,6149170,'1',303,'N'),(25,6149189,'1',317,'N'),(25,6149197,'1',452,'N'),(25,6149200,'1',201,'N'),(25,6149219,'1',303,'N'),(25,6149227,'1',654,'N'),(25,6149235,'1',999,'N'),(25,6149251,'1',103,'N'),(25,6149260,'1',201,'N'),(25,6149260,'1A',203,'N'),(25,6149278,'1',450,'N'),(25,6149286,'1',103,'N'),(25,6149308,'1',502,'N'),(25,6149316,'1',101,'N'),(25,6149332,'1',108,'N'),(25,6149340,'1',420,'N'),(25,6149359,'1',303,'N'),(25,6149367,'1',103,'N'),(25,6149375,'1',9,'N'),(25,6149383,'1',303,'N'),(25,6149391,'1',303,'N'),(25,6149405,'1',319,'N'),(25,6149413,'1',303,'N'),(25,6149421,'1',201,'N'),(25,6149421,'1A',220,'N'),(25,6149430,'1',212,'N'),(25,6149430,'1A',235,'N'),(25,6149448,'1',103,'N'),(25,6149456,'1',319,'N'),(25,6149464,'1',208,'N'),(25,6149472,'1',5,'N'),(25,6149480,'1',453,'N'),(25,6149499,'1',203,'N'),(25,6149499,'1A',214,'N'),(25,6149502,'1',999,'N'),(25,6149529,'1',329,'N'),(25,6149561,'1',201,'N'),(25,6149561,'1A',203,'N'),(25,6149570,'1',201,'N'),(25,6149570,'1A',235,'N'),(25,6149588,'1',203,'N'),(25,6149588,'1A',202,'N'),(25,6149596,'1',103,'N'),(25,6149600,'1',201,'N'),(25,6149600,'1A',207,'N'),(25,6149618,'1',207,'N'),(25,6149618,'1A',201,'N'),(25,6149626,'1',502,'N'),(25,6149634,'1',214,'N'),(25,6149634,'1A',212,'N'),(25,6149642,'1',201,'N'),(25,6149642,'1A',202,'N'),(25,6149650,'1',103,'N'),(25,6149677,'1',999,'N'),(25,6149693,'1',103,'N'),(25,6149707,'1',654,'N'),(25,6149715,'1',220,'N'),(25,6149715,'1A',214,'N'),(25,6149723,'1',103,'N'),(25,6149731,'1',444,'N'),(25,6149740,'1',103,'N'),(25,6149766,'1',201,'N'),(25,6149766,'1A',212,'N'),(25,6149774,'1',340,'N'),(25,6149782,'1',201,'N'),(25,6149782,'1A',203,'N'),(25,6149790,'1',103,'N'),(25,6149804,'1',102,'N'),(25,6149820,'1',999,'N'),(25,6149839,'1',999,'N'),(25,6149847,'1',5,'N'),(25,6149855,'1',304,'N'),(25,6149863,'1',415,'N'),(25,6149871,'1',601,'N'),(25,6149871,'1A',202,'N'),(25,6149880,'1',201,'N'),(25,6149910,'1',655,'N'),(25,6149928,'1',9,'N'),(25,6149936,'1',201,'N'),(25,6149936,'1A',212,'N'),(25,6149944,'1',404,'N'),(25,6149952,'1',319,'N'),(25,6149960,'1',339,'N'),(25,6149979,'1',502,'N'),(25,6149987,'1',425,'N'),(25,6150004,'1',203,'N'),(25,6150004,'1A',235,'N'),(25,6150012,'1',216,'N'),(25,6150012,'1A',211,'N'),(25,6150020,'1',201,'N'),(25,6150020,'1A',203,'N'),(25,6150039,'1',103,'N'),(25,6150047,'1',212,'N'),(25,6150047,'1A',203,'N'),(25,6150055,'1',201,'N'),(25,6150055,'1A',212,'N'),(25,6150063,'1',103,'N'),(25,6150071,'1',211,'N'),(25,6150071,'1A',208,'N'),(25,6150098,'1',103,'N'),(25,6150128,'1',5,'N'),(25,6150136,'1',5,'N'),(25,6150144,'1',425,'N'),(25,6150144,'1A',428,'N'),(25,6150152,'1',101,'N'),(25,6150160,'1',103,'N'),(25,6150187,'1',5,'N'),(25,6150217,'1',551,'N'),(25,6150233,'1',340,'N'),(25,6150250,'1',103,'N'),(25,6150268,'1',208,'N'),(25,6150284,'1',303,'N'),(25,6150306,'1',103,'N'),(25,6150330,'1',101,'N'),(25,6150349,'1',223,'N'),(25,6150357,'1',999,'N'),(25,6150365,'1',316,'N'),(25,6150381,'1',415,'N'),(25,6150390,'1',233,'N'),(25,6150390,'1A',653,'N'),(25,6150403,'1',201,'N'),(25,6150403,'1A',601,'N'),(25,6150411,'1',653,'N'),(25,6150411,'1A',211,'N'),(25,6150438,'1',208,'N'),(25,6150438,'1A',238,'N'),(25,6150446,'1',340,'N'),(25,6150454,'1',103,'N'),(25,6150462,'1',103,'N'),(25,6150470,'1',104,'N'),(25,6150489,'1',103,'N'),(25,6150497,'1',203,'N'),(25,6150497,'1A',201,'N'),(25,6150500,'1',452,'N'),(25,6150519,'1',103,'N'),(25,6150527,'1',214,'N'),(25,6150527,'1A',212,'N'),(25,6150543,'1',103,'N'),(25,6150551,'1',104,'N'),(25,6150560,'1',450,'N'),(25,6150578,'1',999,'N'),(25,6150586,'1',103,'N'),(25,6150594,'1',207,'N'),(25,6150594,'1A',211,'N'),(25,6150616,'1',340,'N'),(25,6150624,'1',336,'N'),(25,6150632,'1',103,'N'),(25,6150640,'1',425,'N'),(25,6150640,'1A',423,'N'),(25,6150659,'1',301,'N'),(25,6150675,'1',103,'N'),(25,6150691,'1',333,'N'),(25,6150705,'1',340,'N'),(25,6150713,'1',211,'N'),(25,6150713,'1A',216,'N'),(25,6150730,'1',108,'N'),(25,6150748,'1',207,'N'),(25,6150756,'1',203,'N'),(25,6150756,'1A',233,'N'),(25,6150764,'1',201,'N'),(25,6150764,'1A',601,'N'),(25,6150772,'1',103,'N'),(25,6150780,'1',319,'N'),(25,6150799,'1',238,'N'),(25,6150799,'1A',233,'N'),(25,6150802,'1',201,'N'),(25,6150802,'1A',211,'N'),(25,6150810,'1',302,'N'),(25,6150837,'1',316,'N'),(25,6150845,'1',208,'N'),(25,6150845,'1A',238,'N'),(25,6150853,'1',415,'N'),(25,6150861,'1',207,'N'),(25,6150861,'1A',201,'N'),(25,6150870,'1',208,'N'),(25,6150870,'1A',203,'N'),(25,6150888,'1',308,'N'),(25,6150896,'1',214,'N'),(25,6150896,'1A',213,'N'),(25,6150900,'1',103,'N'),(25,6150918,'1',451,'N'),(25,6150934,'1',319,'N'),(25,6150950,'1',303,'N'),(25,6150977,'1',103,'N'),(25,6150985,'1',319,'N'),(25,6150993,'1',203,'N'),(25,6150993,'1A',601,'N'),(25,6151000,'1',104,'N'),(25,6151019,'1',317,'N'),(25,6151027,'1',103,'N'),(25,6151035,'1',103,'N'),(25,6151043,'1',3,'N'),(25,6151051,'1',301,'N'),(25,6151078,'1',103,'N'),(25,6151086,'1',301,'N'),(25,6151094,'1',235,'N'),(25,6151094,'1A',202,'N'),(25,6151108,'1',999,'N'),(25,6151116,'1',103,'N'),(25,6151124,'1',653,'N'),(25,6151124,'1A',202,'N'),(25,6151132,'1',333,'N'),(25,6151140,'1',335,'N'),(25,6151159,'1',336,'N'),(25,6151167,'1',5,'N'),(25,6151175,'1',203,'N'),(25,6151175,'1A',235,'N'),(25,6151191,'1',317,'N'),(25,6151205,'1',203,'N'),(25,6151205,'1A',214,'N'),(25,6151213,'1',233,'N'),(25,6151213,'1A',216,'N'),(25,6151230,'1',201,'N'),(25,6151230,'1A',212,'N'),(25,6151264,'1',404,'N'),(25,6151280,'1',104,'N'),(25,6151299,'1',235,'N'),(25,6151299,'1A',202,'N'),(25,6151310,'1',453,'N'),(25,6151329,'1',324,'N'),(25,6151337,'1',201,'N'),(25,6151337,'1A',203,'N'),(25,6151345,'1',601,'N'),(25,6151345,'1A',233,'N'),(25,6151361,'1',103,'N'),(25,6151370,'1',211,'N'),(25,6151370,'1A',215,'N'),(25,6151388,'1',207,'N'),(25,6151388,'1A',201,'N'),(25,6151396,'1',110,'N'),(25,6151400,'1',238,'N'),(25,6151400,'1A',220,'N'),(25,6151418,'1',201,'N'),(25,6151418,'1A',212,'N'),(25,6151426,'1',5,'N'),(25,6151434,'1',108,'N'),(25,6151442,'1',5,'N'),(25,6151450,'1',207,'N'),(25,6151469,'1',337,'N'),(25,6151477,'1',207,'N'),(25,6151477,'1A',201,'N'),(25,6151485,'1',212,'N'),(25,6151485,'1A',213,'N'),(25,6151507,'1',337,'N'),(25,6151515,'1',109,'N'),(25,6151523,'1',104,'N'),(25,6151540,'1',303,'N'),(25,6151558,'1',203,'N'),(25,6151558,'1A',220,'N'),(25,6151566,'1',5,'N'),(25,6151574,'1',340,'N'),(25,6151582,'1',103,'N'),(25,6151590,'1',108,'N'),(25,6151612,'1',103,'N'),(25,6151639,'1',301,'N'),(25,6151655,'1',426,'N'),(25,6151655,'1A',429,'N'),(25,6151671,'1',211,'N'),(25,6151671,'1A',201,'N'),(25,6151680,'1',108,'N'),(25,6151698,'1',336,'N'),(25,6151701,'1',404,'N'),(25,6151710,'1',202,'N'),(25,6151710,'1A',601,'N'),(25,6151728,'1',319,'N'),(25,6151736,'1',103,'N'),(25,6151744,'1',420,'N'),(25,6151752,'1',211,'N'),(25,6151779,'1',203,'N'),(25,6151787,'1',9,'N'),(25,6151795,'1',214,'N'),(25,6151795,'1A',212,'N'),(25,6151809,'1',103,'N'),(25,6151817,'1',653,'N'),(25,6151817,'1A',655,'N'),(25,6151825,'1',601,'N'),(25,6151833,'1',303,'N'),(25,6151850,'1',316,'N'),(25,6151868,'1',238,'N'),(25,6151868,'1A',208,'N'),(25,6151876,'1',103,'N'),(25,6151914,'1',103,'N'),(25,6151922,'1',235,'N'),(25,6151930,'1',207,'N'),(25,6151930,'1A',201,'N'),(25,6151949,'1',9,'N'),(25,6151957,'1',444,'N'),(25,6151965,'1',103,'N'),(25,6151973,'1',110,'N'),(25,6152007,'1',104,'N'),(25,6152023,'1',301,'N'),(25,6152031,'1',103,'N'),(25,6152040,'1',415,'N'),(25,6152058,'1',201,'N'),(25,6152058,'1A',207,'N'),(25,6152066,'1',415,'N'),(25,6152104,'1',108,'N'),(25,6152120,'1',601,'N'),(25,6152120,'1A',216,'N'),(25,6152147,'1',654,'N'),(25,6152155,'1',223,'N'),(25,6152163,'1',336,'N'),(25,6152171,'1',103,'N'),(25,6152180,'1',317,'N'),(25,6152198,'1',238,'N'),(25,6152198,'1A',207,'N'),(25,6152210,'1',332,'N'),(25,6152228,'1',103,'N'),(25,6152236,'1',238,'N'),(25,6152236,'1A',202,'N'),(25,6152252,'1',316,'N'),(25,6152260,'1',503,'N'),(25,6152295,'1',319,'N'),(25,6152317,'1',428,'N'),(25,6152317,'1A',426,'N'),(25,6152341,'1',601,'N'),(25,6152341,'1A',235,'N'),(25,6152350,'1',212,'N'),(25,6152350,'1A',211,'N'),(25,6152368,'1',302,'N'),(25,6152376,'1',203,'N'),(25,6152376,'1A',220,'N'),(25,6152384,'1',201,'N'),(25,6152384,'1A',207,'N'),(25,6152392,'1',654,'N'),(25,6152414,'1',103,'N'),(25,6152430,'1',103,'N'),(25,6152457,'1',404,'N'),(25,6152465,'1',103,'N'),(25,6152473,'1',103,'N'),(25,6152481,'1',201,'N'),(25,6152481,'1A',601,'N'),(25,6152503,'1',9,'N'),(25,6152520,'1',103,'N'),(25,6152538,'1',404,'N'),(25,6152546,'1',999,'N'),(25,6152554,'1',999,'N'),(25,6152562,'1',201,'N'),(25,6152562,'1A',653,'N'),(25,6152570,'1',326,'N'),(25,6152589,'1',336,'N'),(25,6152597,'1',654,'N'),(25,6152627,'1',214,'N'),(25,6152627,'1A',213,'N'),(25,6152635,'1',301,'N'),(25,6152643,'1',103,'N'),(25,6152651,'1',208,'N'),(25,6152651,'1A',238,'N'),(25,6152660,'1',415,'N'),(25,6152678,'1',333,'N'),(25,6152686,'1',103,'N'),(25,6152708,'1',103,'N'),(25,6152716,'1',103,'N'),(25,6152724,'1',108,'N'),(25,6152732,'1',238,'N'),(25,6152732,'1A',208,'N'),(25,6152740,'1',103,'N'),(25,6152759,'1',420,'N'),(25,6152767,'1',319,'N'),(25,6152775,'1',104,'N'),(25,6152783,'1',444,'N'),(25,6152791,'1',110,'N'),(25,6152821,'1',339,'N'),(25,6152830,'1',103,'N'),(25,6152848,'1',332,'N'),(25,6152864,'1',551,'N'),(25,6152872,'1',203,'N'),(25,6152872,'1A',220,'N'),(25,6152880,'1',326,'N'),(25,6152902,'1',103,'N'),(25,6152910,'1',101,'N'),(25,6152929,'1',103,'N'),(25,6152937,'1',316,'N'),(25,6152945,'1',109,'N'),(25,6152953,'1',103,'N'),(25,6152961,'1',450,'N'),(25,6152988,'1',103,'N'),(25,6153011,'1',333,'N'),(25,6153020,'1',224,'N'),(25,6153038,'1',319,'N'),(25,6153046,'1',551,'N'),(25,6153054,'1',216,'N'),(25,6153070,'1',207,'N'),(25,6153070,'1A',215,'N'),(25,6153097,'1',308,'N'),(25,6153100,'1',216,'N'),(25,6153100,'1A',601,'N'),(25,6153119,'1',233,'N'),(25,6153135,'1',103,'N'),(25,6153143,'1',340,'N'),(25,6153151,'1',215,'N'),(25,6153151,'1A',235,'N'),(25,6153160,'1',203,'N'),(25,6153160,'1A',207,'N'),(25,6153186,'1',5,'N'),(25,6153208,'1',201,'N'),(25,6153208,'1A',203,'N'),(25,6153216,'1',319,'N'),(25,6153224,'1',211,'N'),(25,6153240,'1',103,'N'),(25,6153267,'1',339,'N'),(25,6153275,'1',233,'N'),(25,6153275,'1A',216,'N'),(25,6153313,'1',234,'N'),(25,6153330,'1',103,'N'),(25,6153348,'1',336,'N'),(25,6153356,'1',103,'N'),(25,6153364,'1',203,'N'),(25,6153364,'1A',214,'N'),(25,6153372,'1',336,'N'),(25,6153380,'1',103,'N'),(25,6153399,'1',318,'N'),(25,6153429,'1',207,'N'),(25,6153429,'1A',201,'N'),(25,6153437,'1',102,'N'),(25,6153461,'1',202,'N'),(25,6153461,'1A',212,'N'),(25,6153470,'1',103,'N'),(25,6153488,'1',999,'N'),(25,6153496,'1',326,'N'),(25,6153500,'1',108,'N'),(25,6153518,'1',319,'N'),(25,6153534,'1',235,'N'),(25,6153534,'1A',213,'N'),(25,6153542,'1',303,'N'),(25,6153550,'1',319,'N'),(25,6153569,'1',316,'N'),(25,6153577,'1',303,'N'),(25,6153585,'1',103,'N'),(25,6153607,'1',303,'N'),(25,6153615,'1',5,'N'),(25,6153623,'1',333,'N'),(25,6153631,'1',415,'N'),(25,6153640,'1',429,'N'),(25,6153640,'1A',428,'N'),(25,6153674,'1',223,'N'),(25,6153690,'1',653,'N'),(25,6153690,'1A',213,'N'),(25,6153712,'1',103,'N'),(25,6153720,'1',415,'N'),(25,6153739,'1',201,'N'),(25,6153739,'1A',212,'N'),(25,6153747,'1',216,'N'),(25,6153747,'1A',201,'N'),(25,6153755,'1',104,'N'),(25,6153763,'1',103,'N'),(25,6153780,'1',207,'N'),(25,6153798,'1',319,'N'),(25,6153810,'1',103,'N'),(25,6153828,'1',103,'N'),(25,6153836,'1',103,'N'),(25,6153844,'1',201,'N'),(25,6153844,'1A',212,'N'),(25,6153852,'1',108,'N'),(25,6153860,'1',655,'N'),(25,6153860,'1A',208,'N'),(25,6153879,'1',103,'N'),(25,6153887,'1',201,'N'),(25,6153887,'1A',213,'N'),(25,6153895,'1',104,'N'),(25,6153909,'1',238,'N'),(25,6153909,'1A',235,'N'),(25,6153917,'1',103,'N'),(25,6153925,'1',420,'N'),(25,6153933,'1',109,'N'),(25,6153941,'1',103,'N'),(25,6153950,'1',108,'N'),(25,6153976,'1',208,'N'),(25,6153984,'1',655,'N'),(25,6153984,'1A',652,'N'),(25,6154000,'1',102,'N'),(25,6154018,'1',203,'N'),(25,6154018,'1A',216,'N'),(25,6154034,'1',104,'N'),(25,6154042,'1',415,'N'),(25,6154050,'1',415,'N'),(25,6154069,'1',317,'N'),(25,6154077,'1',201,'N'),(25,6154077,'1A',207,'N'),(25,6154093,'1',212,'N'),(25,6154093,'1A',213,'N'),(25,6154107,'1',216,'N'),(25,6154107,'1A',201,'N'),(25,6154115,'1',333,'N'),(25,6154123,'1',207,'N'),(25,6154123,'1A',212,'N'),(25,6154131,'1',108,'N'),(25,6154140,'1',203,'N'),(25,6154140,'1A',216,'N'),(25,6154166,'1',220,'N'),(25,6154166,'1A',203,'N'),(25,6154174,'1',103,'N'),(25,6154182,'1',999,'N'),(25,6154204,'1',452,'N'),(25,6154220,'1',103,'N'),(25,6154239,'1',319,'N'),(25,6154255,'1',303,'N'),(25,6154263,'1',319,'N'),(25,6154271,'1',207,'N'),(25,6154271,'1A',203,'N'),(25,6154280,'1',404,'N'),(25,6154298,'1',333,'N'),(25,6154301,'1',235,'N'),(25,6154301,'1A',208,'N'),(25,6154310,'1',108,'N'),(25,6154328,'1',340,'N'),(25,6154336,'1',216,'N'),(25,6154336,'1A',201,'N'),(25,6154344,'1',201,'N'),(25,6154344,'1A',207,'N'),(25,6154387,'1',5,'N'),(25,6154417,'1',110,'N'),(25,6154425,'1',103,'N'),(25,6154433,'1',301,'N'),(25,6154441,'1',319,'N'),(25,6154450,'1',103,'N'),(25,6154468,'1',303,'N'),(25,6154476,'1',103,'N'),(25,6154492,'1',203,'N'),(25,6154492,'1A',212,'N'),(25,6154506,'1',2,'N'),(25,6154514,'1',551,'N'),(25,6154522,'1',203,'N'),(25,6154522,'1A',201,'N'),(25,6154530,'1',238,'N'),(25,6154530,'1A',208,'N'),(25,6154549,'1',319,'N'),(25,6154557,'1',103,'N'),(25,6154573,'1',103,'N'),(25,6154581,'1',318,'N'),(25,6154603,'1',203,'N'),(25,6154603,'1A',208,'N'),(25,6154611,'1',201,'N'),(25,6154611,'1A',216,'N'),(25,6154638,'1',309,'N'),(25,6154646,'1',101,'N'),(25,6154662,'1',5,'N'),(25,6154670,'1',654,'N'),(25,6154689,'1',5,'N'),(25,6154697,'1',404,'N'),(25,6154700,'1',207,'N'),(25,6154700,'1A',212,'N'),(25,6154727,'1',103,'N'),(25,6154735,'1',102,'N'),(25,6154743,'1',420,'N'),(25,6154751,'1',109,'N'),(25,6154760,'1',224,'N'),(25,6154778,'1',201,'N'),(25,6154778,'1A',202,'N'),(25,6154794,'1',339,'N'),(25,6154808,'1',103,'N'),(25,6154816,'1',104,'N'),(25,6154824,'1',201,'N'),(25,6154824,'1A',207,'N'),(25,6154832,'1',216,'N'),(25,6154832,'1A',215,'N'),(25,6154840,'1',216,'N'),(25,6154840,'1A',201,'N'),(25,6154867,'1',214,'N'),(25,6154867,'1A',213,'N'),(25,6154875,'1',103,'N'),(25,6154883,'1',309,'N'),(25,6154891,'1',309,'N'),(25,6154913,'1',207,'N'),(25,6154913,'1A',201,'N'),(25,6154930,'1',233,'N'),(25,6154930,'1A',215,'N'),(25,6154948,'1',104,'N'),(25,6154964,'1',421,'N'),(25,6154964,'1A',424,'N'),(25,6154972,'1',420,'N'),(25,6154999,'1',103,'N'),(25,6155006,'1',333,'N'),(25,6155014,'1',103,'N'),(25,6155022,'1',336,'N'),(25,6155030,'1',102,'N'),(25,6155049,'1',415,'N'),(25,6155057,'1',340,'N'),(25,6155065,'1',207,'N'),(25,6155065,'1A',201,'N'),(25,6155073,'1',103,'N'),(25,6155103,'1',201,'N'),(25,6155103,'1A',202,'N'),(25,6155111,'1',103,'N'),(25,6155120,'1',655,'N'),(25,6155120,'1A',652,'N'),(25,6155138,'1',216,'N'),(25,6155138,'1A',211,'N'),(25,6155146,'1',104,'N'),(25,6155154,'1',103,'N'),(25,6155170,'1',103,'N'),(25,6155189,'1',201,'N'),(25,6155189,'1A',212,'N'),(25,6155197,'1',234,'N'),(25,6155200,'1',5,'N'),(25,6155219,'1',103,'N'),(25,6155227,'1',103,'N'),(25,6155243,'1',420,'N'),(25,6155251,'1',303,'N'),(25,6155260,'1',103,'N'),(25,6155316,'1',999,'N'),(25,6155324,'1',428,'N'),(25,6155324,'1A',426,'N'),(25,6155332,'1',420,'N'),(25,6155340,'1',9,'N'),(25,6155359,'1',5,'N'),(25,6155367,'1',103,'N'),(25,6155375,'1',421,'N'),(25,6155375,'1A',424,'N'),(25,6155391,'1',5,'N'),(25,6155413,'1',316,'N'),(25,6155421,'1',103,'N'),(25,6155430,'1',303,'N'),(25,6155456,'1',220,'N'),(25,6155456,'1A',203,'N'),(25,6155472,'1',108,'N'),(25,6155499,'1',655,'N'),(25,6155499,'1A',652,'N'),(25,6155502,'1',103,'N'),(25,6155510,'1',301,'N'),(25,6155529,'1',420,'N'),(25,6155537,'1',303,'N'),(25,6155545,'1',331,'N'),(25,6155553,'1',404,'N'),(25,6155561,'1',999,'N'),(25,6155570,'1',5,'N'),(25,6155588,'1',103,'N'),(25,6155596,'1',103,'N'),(25,6155618,'1',999,'N'),(25,6155626,'1',207,'N'),(25,6155626,'1A',201,'N'),(25,6155634,'1',102,'N'),(25,6155650,'1',103,'N'),(25,6155669,'1',211,'N'),(25,6155669,'1A',212,'N'),(25,6155677,'1',108,'N'),(25,6155693,'1',423,'N'),(25,6155693,'1A',429,'N'),(25,6155715,'1',104,'N'),(25,6155723,'1',102,'N'),(25,6155731,'1',220,'N'),(25,6155731,'1A',202,'N'),(25,6155740,'1',201,'N'),(25,6155740,'1A',207,'N'),(25,6155758,'1',225,'N'),(25,6155774,'1',108,'N'),(25,6155790,'1',5,'N'),(25,6155804,'1',444,'N'),(25,6155812,'1',319,'N'),(25,6155820,'1',103,'N'),(25,6155839,'1',238,'N'),(25,6155839,'1A',208,'N'),(25,6155847,'1',101,'N'),(25,6155855,'1',108,'N'),(25,6155863,'1',5,'N'),(25,6155880,'1',503,'N'),(25,6155901,'1',211,'N'),(25,6155901,'1A',201,'N'),(25,6155910,'1',207,'N'),(25,6155910,'1A',201,'N'),(25,6155928,'1',301,'N'),(25,6155952,'1',103,'N'),(25,6155960,'1',301,'N'),(25,6155979,'1',103,'N'),(25,6155987,'1',5,'N'),(25,6155995,'1',216,'N'),(25,6155995,'1A',201,'N'),(25,6156010,'1',327,'N'),(25,6156029,'1',203,'N'),(25,6156029,'1A',233,'N'),(25,6156037,'1',319,'N'),(25,6156045,'1',211,'N'),(25,6156045,'1A',653,'N'),(25,6156053,'1',216,'N'),(25,6156053,'1A',211,'N'),(25,6156061,'1',601,'N'),(25,6156088,'1',103,'N'),(25,6156096,'1',103,'N'),(25,6156100,'1',103,'N'),(25,6156118,'1',225,'N'),(25,6156126,'1',310,'N'),(25,6156134,'1',203,'N'),(25,6156134,'1A',202,'N'),(25,6156150,'1',601,'N'),(25,6156150,'1A',655,'N'),(25,6156169,'1',202,'N'),(25,6156169,'1A',601,'N'),(25,6156177,'1',225,'N'),(25,6156185,'1',103,'N'),(25,6156193,'1',319,'N'),(25,6156215,'1',201,'N'),(25,6156215,'1A',238,'N'),(25,6156231,'1',339,'N'),(25,6156240,'1',601,'N'),(25,6156240,'1A',201,'N'),(25,6156274,'1',104,'N'),(25,6156282,'1',103,'N'),(25,6156290,'1',415,'N'),(25,6156304,'1',201,'N'),(25,6156304,'1A',212,'N'),(25,6156320,'1',103,'N'),(25,6156339,'1',327,'N'),(25,6156347,'1',319,'N'),(25,6156355,'1',340,'N'),(25,6156363,'1',207,'N'),(25,6156363,'1A',212,'N'),(25,6156371,'1',444,'N'),(25,6156398,'1',429,'N'),(25,6156401,'1',216,'N'),(25,6156401,'1A',215,'N'),(25,6156410,'1',103,'N'),(25,6156428,'1',103,'N'),(25,6156436,'1',201,'N'),(25,6156436,'1A',212,'N'),(25,6156444,'1',207,'N'),(25,6156444,'1A',201,'N'),(25,6156452,'1',415,'N'),(25,6156487,'1',999,'N'),(25,6156495,'1',327,'N'),(25,6156509,'1',201,'N'),(25,6156541,'1',103,'N'),(25,6156550,'1',103,'N'),(25,6156568,'1',207,'N'),(25,6156584,'1',103,'N'),(25,6156592,'1',999,'N'),(25,6156606,'1',404,'N'),(25,6156614,'1',5,'N'),(25,6156622,'1',211,'N'),(25,6156630,'1',308,'N'),(25,6156657,'1',5,'N'),(25,6156665,'1',653,'N'),(25,6156665,'1A',655,'N'),(25,6156673,'1',303,'N'),(25,6156690,'1',340,'N'),(25,6156703,'1',103,'N'),(25,6156711,'1',308,'N'),(25,6156746,'1',103,'N'),(25,6156754,'1',103,'N'),(25,6156770,'1',319,'N'),(25,6156789,'1',5,'N'),(25,6156797,'1',316,'N'),(25,6156800,'1',9,'N'),(25,6156819,'1',103,'N'),(25,6156843,'1',5,'N'),(25,6156851,'1',103,'N'),(25,6156860,'1',999,'N'),(25,6156878,'1',234,'N'),(25,6156886,'1',207,'N'),(25,6156886,'1A',201,'N'),(25,6156894,'1',103,'N'),(25,6156908,'1',201,'N'),(25,6156908,'1A',233,'N'),(25,6156916,'1',103,'N'),(25,6156932,'1',303,'N'),(25,6156940,'1',235,'N'),(25,6156940,'1A',213,'N'),(25,6156959,'1',103,'N'),(25,6156967,'1',110,'N'),(25,6156975,'1',201,'N'),(25,6156975,'1A',207,'N'),(25,6156991,'1',450,'N'),(25,6157017,'1',203,'N'),(25,6157017,'1A',235,'N'),(25,6157025,'1',340,'N'),(25,6157033,'1',327,'N'),(25,6157041,'1',104,'N'),(25,6157050,'1',340,'N'),(25,6157068,'1',303,'N'),(25,6157076,'1',103,'N'),(25,6157084,'1',309,'N'),(25,6157092,'1',203,'N'),(25,6157092,'1A',202,'N'),(25,6157106,'1',103,'N'),(25,6157114,'1',108,'N'),(25,6157122,'1',224,'N'),(25,6157130,'1',999,'N'),(25,6157149,'1',207,'N'),(25,6157149,'1A',211,'N'),(25,6157157,'1',999,'N'),(25,6157165,'1',415,'N'),(25,6157173,'1',207,'N'),(25,6157173,'1A',601,'N'),(25,6157181,'1',103,'N'),(25,6157190,'1',201,'N'),(25,6157190,'1A',203,'N'),(25,6157203,'1',216,'N'),(25,6157203,'1A',202,'N'),(25,6157211,'1',999,'N'),(25,6157220,'1',201,'N'),(25,6157220,'1A',207,'N'),(25,6157238,'1',108,'N'),(25,6157246,'1',238,'N'),(25,6157246,'1A',208,'N'),(25,6157254,'1',211,'N'),(25,6157254,'1A',215,'N'),(25,6157262,'1',104,'N'),(25,6157270,'1',654,'N'),(25,6157289,'1',103,'N'),(25,6157319,'1',211,'N'),(25,6157319,'1A',216,'N'),(25,6157335,'1',303,'N'),(25,6157360,'1',103,'N'),(25,6157378,'1',103,'N'),(25,6157386,'1',444,'N'),(25,6157394,'1',317,'N'),(25,6157408,'1',201,'N'),(25,6157416,'1',103,'N'),(25,6157424,'1',109,'N'),(25,6157432,'1',9,'N'),(25,6157440,'1',103,'N'),(25,6157459,'1',336,'N'),(25,6157467,'1',103,'N'),(25,6157483,'1',103,'N'),(25,6157491,'1',304,'N'),(25,6157513,'1',104,'N'),(25,6157521,'1',653,'N'),(25,6157521,'1A',202,'N'),(25,6157530,'1',103,'N'),(25,6157556,'1',103,'N'),(25,6157564,'1',425,'N'),(25,6157564,'1A',421,'N'),(25,6157572,'1',415,'N'),(25,6157580,'1',103,'N'),(25,6157599,'1',103,'N'),(25,6157602,'1',108,'N'),(25,6157610,'1',653,'N'),(25,6157610,'1A',655,'N'),(25,6157629,'1',108,'N'),(25,6157653,'1',319,'N'),(25,6157661,'1',103,'N'),(25,6157670,'1',317,'N'),(25,6157688,'1',999,'N'),(25,6157696,'1',201,'N'),(25,6157696,'1A',216,'N'),(25,6157700,'1',316,'N'),(25,6157718,'1',428,'N'),(25,6157718,'1A',426,'N'),(25,6157726,'1',444,'N'),(25,6157742,'1',104,'N'),(25,6157750,'1',216,'N'),(25,6157750,'1A',203,'N'),(25,6157769,'1',452,'N'),(25,6157777,'1',220,'N'),(25,6157777,'1A',214,'N'),(25,6157785,'1',652,'N'),(25,6157785,'1A',655,'N'),(25,6157807,'1',216,'N'),(25,6157807,'1A',202,'N'),(25,6157831,'1',201,'N'),(25,6157831,'1A',202,'N'),(25,6157840,'1',201,'N'),(25,6157840,'1A',207,'N'),(25,6157858,'1',999,'N'),(25,6157866,'1',203,'N'),(25,6157866,'1A',220,'N'),(25,6157874,'1',340,'N'),(25,6157882,'1',420,'N'),(25,6157890,'1',328,'N'),(25,6157904,'1',108,'N'),(25,6157912,'1',102,'N'),(25,6157920,'1',207,'N'),(25,6157920,'1A',201,'N'),(25,6157939,'1',208,'N'),(25,6157939,'1A',238,'N'),(25,6157947,'1',104,'N'),(25,6157955,'1',207,'N'),(25,6157955,'1A',601,'N'),(25,6157963,'1',103,'N'),(25,6157971,'1',336,'N'),(25,6157980,'1',336,'N'),(25,6157998,'1',303,'N'),(25,6158013,'1',103,'N'),(25,6158030,'1',104,'N'),(25,6158056,'1',103,'N'),(25,6158064,'1',319,'N'),(25,6158072,'1',103,'N'),(25,6158080,'1',103,'N'),(25,6158099,'1',208,'N'),(25,6158099,'1A',601,'N'),(25,6158102,'1',207,'N'),(25,6158102,'1A',202,'N'),(25,6158110,'1',202,'N'),(25,6158129,'1',340,'N'),(25,6158145,'1',103,'N'),(25,6158161,'1',415,'N'),(25,6158170,'1',104,'N'),(25,6158188,'1',453,'N'),(25,6158196,'1',207,'N'),(25,6158196,'1A',233,'N'),(25,6158200,'1',9,'N'),(25,6158218,'1',336,'N'),(25,6158226,'1',103,'N'),(25,6158242,'1',319,'N'),(25,6158250,'1',420,'N'),(25,6158269,'1',207,'N'),(25,6158269,'1A',201,'N'),(25,6158277,'1',316,'N'),(25,6158293,'1',316,'N'),(25,6158307,'1',999,'N'),(25,6158323,'1',103,'N'),(25,6158331,'1',103,'N'),(25,6158340,'1',103,'N'),(25,6158358,'1',303,'N'),(25,6158366,'1',655,'N'),(25,6158366,'1A',208,'N'),(25,6158374,'1',654,'N'),(25,6158390,'1',102,'N'),(25,6158404,'1',233,'N'),(25,6158404,'1A',214,'N'),(25,6158412,'1',103,'N'),(25,6158420,'1',201,'N'),(25,6158420,'1A',212,'N'),(25,6158439,'1',103,'N'),(25,6158455,'1',201,'N'),(25,6158455,'1A',203,'N'),(25,6158463,'1',303,'N'),(25,6158471,'1',303,'N'),(25,6158480,'1',415,'N'),(25,6158498,'1',319,'N'),(25,6158501,'1',103,'N'),(25,6158510,'1',327,'N'),(25,6158528,'1',202,'N'),(25,6158528,'1A',203,'N'),(25,6158536,'1',425,'N'),(25,6158544,'1',103,'N'),(25,6158552,'1',453,'N'),(25,6158560,'1',317,'N'),(25,6158579,'1',202,'N'),(25,6158579,'1A',235,'N'),(25,6158587,'1',5,'N'),(25,6158595,'1',103,'N'),(25,6158617,'1',103,'N'),(25,6158625,'1',234,'N'),(25,6158641,'1',207,'N'),(25,6158641,'1A',238,'N'),(25,6158650,'1',103,'N'),(25,6158668,'1',103,'N'),(25,6158676,'1',103,'N'),(25,6158692,'1',319,'N'),(25,6158706,'1',205,'N'),(25,6158714,'1',103,'N'),(25,6158749,'1',103,'N'),(25,6158757,'1',5,'N'),(25,6158765,'1',103,'N'),(25,6158773,'1',104,'N'),(25,6158781,'1',316,'N'),(25,6158790,'1',420,'N'),(25,6158803,'1',655,'N'),(25,6158811,'1',205,'N'),(25,6158820,'1',103,'N'),(25,6158846,'1',404,'N'),(25,6158854,'1',215,'N'),(25,6158854,'1A',212,'N'),(25,6158862,'1',109,'N'),(25,6158889,'1',214,'N'),(25,6158889,'1A',212,'N'),(25,6158897,'1',601,'N'),(25,6158897,'1A',214,'N'),(25,6158900,'1',501,'N'),(25,6158919,'1',999,'N'),(25,6158927,'1',318,'N'),(25,6158935,'1',203,'N'),(25,6158935,'1A',214,'N'),(25,6158943,'1',450,'N'),(25,6158951,'1',214,'N'),(25,6158951,'1A',203,'N'),(25,6158978,'1',103,'N'),(25,6158986,'1',201,'N'),(25,6158986,'1A',216,'N'),(25,6158994,'1',340,'N'),(25,6159001,'1',214,'N'),(25,6159001,'1A',213,'N'),(25,6159010,'1',109,'N'),(25,6159036,'1',103,'N'),(25,6159044,'1',235,'N'),(25,6159052,'1',335,'N'),(25,6159060,'1',103,'N'),(25,6159079,'1',220,'N'),(25,6159079,'1A',208,'N'),(25,6159087,'1',303,'N'),(25,6159095,'1',208,'N'),(25,6159095,'1A',238,'N'),(25,6159109,'1',444,'N'),(25,6159117,'1',212,'N'),(25,6159117,'1A',214,'N'),(25,6159125,'1',223,'N'),(25,6159133,'1',415,'N'),(25,6159141,'1',103,'N'),(25,6159150,'1',211,'N'),(25,6159150,'1A',235,'N'),(25,6159168,'1',103,'N'),(25,6159176,'1',420,'N'),(25,6159184,'1',3,'N'),(25,6159192,'1',103,'N'),(25,6159206,'1',201,'N'),(25,6159206,'1A',212,'N'),(25,6159214,'1',301,'N'),(25,6159222,'1',336,'N'),(25,6159230,'1',5,'N'),(25,6159249,'1',208,'N'),(25,6159249,'1A',238,'N'),(25,6159257,'1',316,'N'),(25,6159265,'1',601,'N'),(25,6159265,'1A',207,'N'),(25,6159273,'1',207,'N'),(25,6159273,'1A',201,'N'),(25,6159281,'1',5,'N'),(25,6159303,'1',654,'N'),(25,6159311,'1',655,'N'),(25,6159311,'1A',652,'N'),(25,6159320,'1',103,'N'),(25,6159338,'1',104,'N'),(25,6159354,'1',103,'N'),(25,6159362,'1',333,'N'),(25,6159370,'1',207,'N'),(25,6159370,'1A',201,'N'),(25,6159397,'1',302,'N'),(25,6159419,'1',103,'N'),(25,6159427,'1',9,'N'),(25,6159435,'1',335,'N'),(25,6159443,'1',103,'N'),(25,6159451,'1',201,'N'),(25,6159451,'1A',212,'N'),(25,6159460,'1',103,'N'),(25,6159486,'1',213,'N'),(25,6159486,'1A',212,'N'),(25,6159494,'1',450,'N'),(25,6159508,'1',319,'N'),(25,6159516,'1',207,'N'),(25,6159516,'1A',208,'N'),(25,6159532,'1',303,'N'),(25,6159540,'1',220,'N'),(25,6159540,'1A',216,'N'),(25,6159559,'1',317,'N'),(25,6159567,'1',202,'N'),(25,6159567,'1A',233,'N'),(25,6159575,'1',425,'N'),(25,6159575,'1A',427,'N'),(25,6159583,'1',211,'N'),(25,6159583,'1A',202,'N'),(25,6159591,'1',415,'N'),(25,6159605,'1',501,'N'),(25,6159613,'1',5,'N'),(25,6159621,'1',301,'N'),(25,6159630,'1',103,'N'),(25,6159648,'1',201,'N'),(25,6159648,'1A',212,'N'),(25,6159656,'1',103,'N'),(25,6159664,'1',326,'N'),(25,6159672,'1',103,'N'),(25,6159680,'1',103,'N'),(25,6159699,'1',235,'N'),(25,6159699,'1A',233,'N'),(25,6159702,'1',103,'N'),(25,6159710,'1',999,'N'),(25,6159729,'1',103,'N'),(25,6159737,'1',9,'N'),(25,6159745,'1',201,'N'),(25,6159745,'1A',203,'N'),(25,6159753,'1',423,'N'),(25,6159753,'1A',428,'N'),(25,6159761,'1',103,'N'),(25,6159770,'1',203,'N'),(25,6159770,'1A',233,'N'),(25,6159788,'1',220,'N'),(25,6159788,'1A',202,'N'),(25,6159796,'1',108,'N'),(25,6159818,'1',207,'N'),(25,6159818,'1A',201,'N'),(25,6159826,'1',203,'N'),(25,6159826,'1A',202,'N'),(25,6159834,'1',103,'N'),(25,6159850,'1',999,'N'),(25,6159869,'1',303,'N'),(25,6159877,'1',420,'N'),(25,6159885,'1',999,'N'),(25,6159893,'1',5,'N'),(25,6159907,'1',429,'N'),(25,6159915,'1',444,'N'),(25,6159923,'1',5,'N'),(25,6159931,'1',301,'N'),(25,6159940,'1',415,'N'),(25,6159958,'1',318,'N'),(25,6159966,'1',103,'N'),(25,6159974,'1',102,'N'),(25,6159990,'1',103,'N'),(25,6160000,'1',450,'N'),(25,6160018,'1',415,'N'),(25,6160026,'1',999,'N'),(25,6160050,'1',238,'N'),(25,6160069,'1',207,'N'),(25,6160069,'1A',208,'N'),(25,6160077,'1',108,'N'),(25,6160085,'1',108,'N'),(25,6160093,'1',999,'N'),(25,6160107,'1',201,'N'),(25,6160107,'1A',216,'N'),(25,6160115,'1',102,'N'),(25,6160123,'1',103,'N'),(25,6160131,'1',202,'N'),(25,6160131,'1A',235,'N'),(25,6160166,'1',319,'N'),(25,6160174,'1',501,'N'),(25,6160182,'1',320,'N'),(25,6160190,'1',5,'N'),(25,6160204,'1',999,'N'),(25,6160220,'1',317,'N'),(25,6160247,'1',450,'N'),(25,6160263,'1',5,'N'),(25,6160271,'1',340,'N'),(25,6160280,'1',207,'N'),(25,6160280,'1A',201,'N'),(25,6160298,'1',326,'N'),(25,6160301,'1',103,'N'),(25,6160310,'1',103,'N'),(25,6160352,'1',104,'N'),(25,6160379,'1',404,'N'),(25,6160387,'1',201,'N'),(25,6160387,'1A',601,'N'),(25,6160395,'1',201,'N'),(25,6160395,'1A',207,'N'),(25,6160409,'1',216,'N'),(25,6160409,'1A',201,'N'),(25,6160417,'1',415,'N'),(25,6160425,'1',423,'N'),(25,6160425,'1A',424,'N'),(25,6160433,'1',223,'N'),(25,6160441,'1',303,'N'),(25,6160450,'1',233,'N'),(25,6160450,'1A',216,'N'),(25,6160468,'1',420,'N'),(25,6160476,'1',501,'N'),(25,6160484,'1',104,'N'),(25,6160492,'1',220,'N'),(25,6160492,'1A',235,'N'),(25,6160506,'1',654,'N'),(25,6160522,'1',332,'N'),(25,6160530,'1',501,'N'),(25,6160549,'1',207,'N'),(25,6160549,'1A',201,'N'),(25,6160557,'1',207,'N'),(25,6160557,'1A',233,'N'),(25,6160565,'1',501,'N'),(25,6160573,'1',104,'N'),(25,6160581,'1',220,'N'),(25,6160581,'1A',235,'N'),(25,6160590,'1',103,'N'),(25,6160611,'1',208,'N'),(25,6160611,'1A',238,'N'),(25,6160620,'1',318,'N'),(25,6160638,'1',103,'N'),(25,6160646,'1',103,'N'),(25,6160654,'1',103,'N'),(25,6160662,'1',103,'N'),(25,6160670,'1',404,'N'),(25,6160689,'1',207,'N'),(25,6160689,'1A',211,'N'),(25,6160697,'1',225,'N'),(25,6160727,'1',5,'N'),(25,6160735,'1',301,'N'),(25,6160743,'1',220,'N'),(25,6160743,'1A',203,'N'),(25,6160760,'1',104,'N'),(25,6160778,'1',208,'N'),(25,6160778,'1A',220,'N'),(25,6160786,'1',502,'N'),(25,6160794,'1',308,'N'),(25,6160808,'1',103,'N'),(25,6160816,'1',220,'N'),(25,6160816,'1A',203,'N'),(25,6160824,'1',203,'N'),(25,6160824,'1A',202,'N'),(25,6160859,'1',203,'N'),(25,6160859,'1A',201,'N'),(25,6160867,'1',319,'N'),(25,6160875,'1',103,'N'),(25,6160891,'1',103,'N'),(25,6160905,'1',103,'N'),(25,6160913,'1',201,'N'),(25,6160913,'1A',202,'N'),(25,6160921,'1',103,'N'),(25,6160930,'1',316,'N'),(25,6160948,'1',5,'N'),(25,6160956,'1',103,'N'),(25,6160964,'1',453,'N'),(25,6160972,'1',5,'N'),(25,6160980,'1',301,'N'),(25,6160999,'1',451,'N'),(25,6161014,'1',211,'N'),(25,6161014,'1A',216,'N'),(25,6161022,'1',333,'N'),(25,6161030,'1',654,'N'),(25,6161049,'1',5,'N'),(25,6161057,'1',103,'N'),(25,6161065,'1',450,'N'),(25,6161073,'1',601,'N'),(25,6161073,'1A',211,'N'),(25,6161081,'1',333,'N'),(25,6161090,'1',202,'N'),(25,6161090,'1A',213,'N'),(25,6161103,'1',9,'N'),(25,6161111,'1',103,'N'),(25,6161120,'1',503,'N'),(25,6161138,'1',214,'N'),(25,6161138,'1A',212,'N'),(25,6161154,'1',329,'N'),(25,6161162,'1',327,'N'),(25,6161197,'1',201,'N'),(25,6161197,'1A',207,'N'),(25,6161219,'1',5,'N'),(25,6161235,'1',104,'N'),(25,6161243,'1',103,'N'),(25,6161251,'1',104,'N'),(25,6161260,'1',103,'N'),(25,6161278,'1',103,'N'),(25,6161294,'1',551,'N'),(25,6161308,'1',104,'N'),(25,6161316,'1',503,'N'),(25,6161324,'1',102,'N'),(25,6161332,'1',101,'N'),(25,6161359,'1',203,'N'),(25,6161359,'1A',214,'N'),(25,6161367,'1',103,'N'),(25,6161383,'1',339,'N'),(25,6161391,'1',340,'N'),(25,6161413,'1',653,'N'),(25,6161413,'1A',213,'N'),(25,6161421,'1',301,'N'),(25,6161448,'1',110,'N'),(25,6161456,'1',203,'N'),(25,6161456,'1A',220,'N'),(25,6161464,'1',324,'N'),(25,6161472,'1',103,'N'),(25,6161480,'1',999,'N'),(25,6161499,'1',340,'N'),(25,6161502,'1',9,'N'),(25,6161510,'1',320,'N'),(25,6161537,'1',207,'N'),(25,6161537,'1A',201,'N'),(25,6161553,'1',103,'N'),(25,6161561,'1',202,'N'),(25,6161561,'1A',213,'N'),(25,6161570,'1',303,'N'),(25,6161588,'1',5,'N'),(25,6161596,'1',103,'N'),(25,6161600,'1',234,'N'),(25,6161618,'1',501,'N'),(25,6161626,'1',317,'N'),(25,6161634,'1',317,'N'),(25,6161642,'1',103,'N'),(25,6161650,'1',999,'N'),(25,6161669,'1',203,'N'),(25,6161669,'1A',233,'N'),(25,6161677,'1',652,'N'),(25,6161677,'1A',201,'N'),(25,6161685,'1',104,'N'),(25,6161693,'1',103,'N'),(25,6161715,'1',999,'N'),(25,6161723,'1',5,'N'),(25,6161740,'1',452,'N'),(25,6161766,'1',103,'N'),(25,6161782,'1',301,'N'),(25,6161790,'1',234,'N'),(25,6161804,'1',429,'N'),(25,6161804,'1A',424,'N'),(25,6161812,'1',103,'N'),(25,6161820,'1',999,'N'),(25,6161839,'1',303,'N'),(25,6161855,'1',415,'N'),(25,6161863,'1',304,'N'),(25,6161871,'1',101,'N'),(25,6161880,'1',101,'N'),(25,6161898,'1',303,'N'),(25,6161901,'1',5,'N'),(25,6161910,'1',5,'N'),(25,6161928,'1',9,'N'),(25,6161936,'1',999,'N'),(25,6161944,'1',424,'N'),(25,6161944,'1A',427,'N'),(25,6161952,'1',5,'N'),(25,6161960,'1',404,'N'),(25,6161987,'1',109,'N'),(25,6161995,'1',201,'N'),(25,6161995,'1A',212,'N'),(25,6162002,'1',101,'N'),(25,6162010,'1',208,'N'),(25,6162010,'1A',207,'N'),(25,6162037,'1',212,'N'),(25,6162037,'1A',233,'N'),(25,6162045,'1',9,'N'),(25,6162061,'1',404,'N'),(25,6162070,'1',303,'N'),(25,6162088,'1',109,'N'),(25,6162096,'1',109,'N'),(25,6162100,'1',332,'N'),(25,6162126,'1',235,'N'),(25,6162126,'1A',238,'N'),(25,6162134,'1',319,'N'),(25,6162142,'1',238,'N'),(25,6162142,'1A',235,'N'),(25,6162150,'1',103,'N'),(25,6162177,'1',108,'N'),(25,6162193,'1',103,'N'),(25,6162207,'1',201,'N'),(25,6162207,'1A',216,'N'),(25,6162215,'1',103,'N'),(25,6162231,'1',5,'N'),(25,6162240,'1',202,'N'),(25,6162240,'1A',213,'N'),(25,6162266,'1',303,'N'),(25,6162282,'1',201,'N'),(25,6162282,'1A',207,'N'),(25,6162290,'1',428,'N'),(25,6162290,'1A',425,'N'),(25,6162304,'1',5,'N'),(25,6162312,'1',103,'N'),(25,6162320,'1',110,'N'),(25,6162339,'1',303,'N'),(25,6162347,'1',103,'N'),(25,6162355,'1',103,'N'),(25,6162363,'1',207,'N'),(25,6162363,'1A',216,'N'),(25,6162371,'1',103,'N'),(25,6162380,'1',103,'N'),(25,6162398,'1',233,'N'),(25,6162398,'1A',213,'N'),(25,6162401,'1',303,'N'),(25,6162410,'1',308,'N'),(25,6162436,'1',335,'N'),(25,6162452,'1',104,'N'),(25,6162479,'1',551,'N'),(25,6162495,'1',110,'N'),(25,6162509,'1',327,'N'),(25,6162517,'1',207,'N'),(25,6162517,'1A',201,'N'),(25,6162525,'1',223,'N'),(25,6162533,'1',104,'N'),(25,6162541,'1',333,'N'),(25,6162550,'1',103,'N'),(25,6162568,'1',201,'N'),(25,6162568,'1A',233,'N'),(25,6162576,'1',223,'N'),(25,6162592,'1',108,'N'),(25,6162606,'1',101,'N'),(25,6162614,'1',303,'N'),(25,6162622,'1',203,'N'),(25,6162622,'1A',202,'N'),(25,6162649,'1',103,'N'),(25,6162657,'1',103,'N'),(25,6162665,'1',238,'N'),(25,6162665,'1A',208,'N'),(25,6162673,'1',234,'N'),(25,6162681,'1',308,'N'),(25,6162703,'1',201,'N'),(25,6162703,'1A',213,'N'),(25,6162711,'1',213,'N'),(25,6162711,'1A',212,'N'),(25,6162746,'1',2,'N'),(25,6162762,'1',302,'N'),(25,6162770,'1',303,'N'),(25,6162789,'1',319,'N'),(25,6162797,'1',5,'N'),(25,6162800,'1',336,'N'),(25,6162819,'1',420,'N'),(25,6162827,'1',103,'N'),(25,6162835,'1',308,'N'),(25,6162843,'1',103,'N'),(25,6162851,'1',203,'N'),(25,6162851,'1A',216,'N'),(25,6162860,'1',444,'N'),(25,6162878,'1',110,'N'),(25,6162886,'1',103,'N'),(25,6162894,'1',104,'N'),(25,6162908,'1',103,'N'),(25,6162916,'1',999,'N'),(25,6162932,'1',103,'N'),(25,6162967,'1',654,'N'),(25,6162975,'1',5,'N'),(25,6162983,'1',103,'N'),(25,6162991,'1',201,'N'),(25,6162991,'1A',233,'N'),(25,6163009,'1',214,'N'),(25,6163009,'1A',212,'N'),(25,6163017,'1',3,'N'),(25,6163025,'1',309,'N'),(25,6163050,'1',103,'N'),(25,6163068,'1',317,'N'),(25,6163076,'1',103,'N'),(25,6163084,'1',302,'N'),(25,6163092,'1',214,'N'),(25,6163092,'1A',212,'N'),(25,6163106,'1',235,'N'),(25,6163106,'1A',202,'N'),(25,6163114,'1',103,'N'),(25,6163122,'1',238,'N'),(25,6163122,'1A',208,'N'),(25,6163130,'1',202,'N'),(25,6163130,'1A',235,'N'),(25,6163149,'1',303,'N'),(25,6163157,'1',5,'N'),(25,6163165,'1',207,'N'),(25,6163190,'1',336,'N'),(25,6163203,'1',233,'N'),(25,6163203,'1A',211,'N'),(25,6163220,'1',999,'N'),(25,6163246,'1',203,'N'),(25,6163246,'1A',201,'N'),(25,6163254,'1',5,'N'),(25,6163262,'1',319,'N'),(25,6163270,'1',207,'N'),(25,6163270,'1A',601,'N'),(25,6163289,'1',103,'N'),(25,6163297,'1',211,'N'),(25,6163297,'1A',201,'N'),(25,6163300,'1',103,'N'),(25,6163319,'1',201,'N'),(25,6163319,'1A',212,'N'),(25,6163327,'1',108,'N'),(25,6163343,'1',202,'N'),(25,6163343,'1A',235,'N'),(25,6163351,'1',203,'N'),(25,6163351,'1A',207,'N'),(25,6163378,'1',340,'N'),(25,6163386,'1',303,'N'),(25,6163394,'1',103,'N'),(25,6163408,'1',999,'N'),(25,6163416,'1',5,'N'),(25,6163432,'1',103,'N'),(25,6163459,'1',103,'N'),(25,6163467,'1',101,'N'),(25,6163475,'1',103,'N'),(25,6163483,'1',303,'N'),(25,6163491,'1',110,'N'),(25,6163505,'1',423,'N'),(25,6163505,'1A',427,'N'),(25,6163513,'1',202,'N'),(25,6163513,'1A',203,'N'),(25,6163521,'1',104,'N'),(25,6163530,'1',203,'N'),(25,6163530,'1A',220,'N'),(25,6163548,'1',601,'N'),(25,6163556,'1',103,'N'),(25,6163564,'1',103,'N'),(25,6163572,'1',301,'N'),(25,6163580,'1',999,'N'),(25,6163599,'1',103,'N'),(25,6163610,'1',319,'N'),(25,6163637,'1',501,'N'),(25,6163645,'1',238,'N'),(25,6163661,'1',102,'N'),(25,6163696,'1',202,'N'),(25,6163696,'1A',213,'N'),(25,6163700,'1',207,'N'),(25,6163726,'1',103,'N'),(25,6163742,'1',103,'N'),(25,6163750,'1',502,'N'),(25,6163769,'1',9,'N'),(25,6163777,'1',335,'N'),(25,6163785,'1',216,'N'),(25,6163785,'1A',233,'N'),(25,6163793,'1',203,'N'),(25,6163793,'1A',235,'N'),(25,6163807,'1',207,'N'),(25,6163807,'1A',201,'N'),(25,6163815,'1',601,'N'),(25,6163815,'1A',220,'N'),(25,6163831,'1',101,'N'),(25,6163840,'1',235,'N'),(25,6163840,'1A',207,'N'),(25,6163866,'1',103,'N'),(25,6163874,'1',207,'N'),(25,6163874,'1A',201,'N'),(25,6163882,'1',452,'N'),(25,6163890,'1',103,'N'),(25,6163904,'1',224,'N'),(25,6163912,'1',652,'N'),(25,6163912,'1A',655,'N'),(25,6163920,'1',220,'N'),(25,6163920,'1A',216,'N'),(25,6163939,'1',234,'N'),(25,6163947,'1',601,'N'),(25,6163947,'1A',235,'N'),(25,6163955,'1',103,'N'),(25,6163963,'1',207,'N'),(25,6163963,'1A',201,'N'),(25,6163971,'1',5,'N'),(25,6163980,'1',102,'N'),(25,6163998,'1',335,'N'),(25,6164005,'1',207,'N'),(25,6164005,'1A',203,'N'),(25,6164013,'1',201,'N'),(25,6164013,'1A',203,'N'),(25,6164021,'1',103,'N'),(25,6164030,'1',421,'N'),(25,6164030,'1A',427,'N'),(25,6164048,'1',324,'N'),(25,6164056,'1',104,'N'),(25,6164064,'1',103,'N'),(25,6164072,'1',208,'N'),(25,6164072,'1A',655,'N'),(25,6164080,'1',215,'N'),(25,6164080,'1A',211,'N'),(25,6164099,'1',103,'N'),(25,6164102,'1',207,'N'),(25,6164102,'1A',201,'N'),(25,6164110,'1',303,'N'),(25,6164129,'1',202,'N'),(25,6164129,'1A',233,'N'),(25,6164145,'1',9,'N'),(25,6164153,'1',208,'N'),(25,6164153,'1A',238,'N'),(25,6164170,'1',235,'N'),(25,6164170,'1A',208,'N'),(25,6164188,'1',332,'N'),(25,6164196,'1',103,'N'),(25,6164200,'1',426,'N'),(25,6164200,'1A',429,'N'),(25,6164218,'1',103,'N'),(25,6164226,'1',502,'N'),(25,6164234,'1',212,'N'),(25,6164242,'1',207,'N'),(25,6164242,'1A',201,'N'),(25,6164250,'1',303,'N'),(25,6164269,'1',201,'N'),(25,6164269,'1A',212,'N'),(25,6164277,'1',207,'N'),(25,6164277,'1A',211,'N'),(25,6164293,'1',103,'N'),(25,6164307,'1',551,'N'),(25,6164315,'1',103,'N'),(25,6164331,'1',415,'N'),(25,6164340,'1',999,'N'),(25,6164358,'1',444,'N'),(25,6164366,'1',103,'N'),(25,6164374,'1',5,'N'),(25,6164382,'1',444,'N'),(25,6164390,'1',333,'N'),(25,6164404,'1',326,'N'),(25,6164412,'1',5,'N'),(25,6164420,'1',103,'N'),(25,6164439,'1',5,'N'),(25,6164447,'1',104,'N'),(25,6164455,'1',451,'N'),(25,6164463,'1',337,'N'),(25,6164471,'1',425,'N'),(25,6164471,'1A',421,'N'),(25,6164498,'1',213,'N'),(25,6164498,'1A',235,'N'),(25,6164510,'1',102,'N'),(25,6164536,'1',452,'N'),(25,6164544,'1',421,'N'),(25,6164544,'1A',424,'N'),(25,6164552,'1',103,'N'),(25,6164560,'1',5,'N'),(25,6164579,'1',103,'N'),(25,6164587,'1',103,'N'),(25,6164595,'1',653,'N'),(25,6164595,'1A',655,'N'),(25,6164609,'1',304,'N'),(25,6164617,'1',202,'N'),(25,6164617,'1A',213,'N'),(25,6164625,'1',999,'N'),(25,6164650,'1',103,'N'),(25,6164668,'1',5,'N'),(25,6164676,'1',103,'N'),(25,6164684,'1',103,'N'),(25,6164692,'1',103,'N'),(25,6164706,'1',5,'N'),(25,6164714,'1',423,'N'),(25,6164714,'1A',427,'N'),(25,6164722,'1',319,'N'),(25,6164730,'1',103,'N'),(25,6164749,'1',103,'N'),(25,6164757,'1',503,'N'),(25,6164765,'1',308,'N'),(25,6164781,'1',207,'N'),(25,6164790,'1',452,'N'),(25,6164803,'1',220,'N'),(25,6164803,'1A',235,'N'),(25,6164811,'1',333,'N'),(25,6164838,'1',103,'N'),(25,6164846,'1',108,'N'),(25,6164854,'1',103,'N'),(25,6164862,'1',216,'N'),(25,6164862,'1A',215,'N'),(25,6164889,'1',203,'N'),(25,6164889,'1A',220,'N'),(25,6164897,'1',201,'N'),(25,6164897,'1A',212,'N'),(25,6164900,'1',104,'N'),(25,6164919,'1',201,'N'),(25,6164919,'1A',220,'N'),(25,6164935,'1',415,'N'),(25,6164951,'1',103,'N'),(25,6164978,'1',104,'N'),(25,6164986,'1',319,'N'),(25,6164994,'1',340,'N'),(25,6165001,'1',301,'N'),(25,6165010,'1',103,'N'),(25,6165028,'1',655,'N'),(25,6165036,'1',211,'N'),(25,6165036,'1A',201,'N'),(25,6165044,'1',333,'N'),(25,6165060,'1',211,'N'),(25,6165060,'1A',216,'N'),(25,6165079,'1',453,'N'),(25,6165087,'1',103,'N'),(25,6165095,'1',103,'N'),(25,6165109,'1',103,'N'),(25,6165117,'1',302,'N'),(25,6165125,'1',3,'N'),(25,6165133,'1',316,'N'),(25,6165141,'1',415,'N'),(25,6165150,'1',207,'N'),(25,6165150,'1A',201,'N'),(25,6165168,'1',109,'N'),(25,6165176,'1',304,'N'),(25,6165184,'1',103,'N'),(25,6165206,'1',319,'N'),(25,6165222,'1',203,'N'),(25,6165222,'1A',214,'N'),(25,6165230,'1',238,'N'),(25,6165230,'1A',652,'N'),(25,6165249,'1',101,'N'),(25,6165265,'1',601,'N'),(25,6165265,'1A',207,'N'),(25,6165273,'1',502,'N'),(25,6165290,'1',308,'N'),(25,6165303,'1',319,'N'),(25,6165311,'1',420,'N'),(25,6165320,'1',216,'N'),(25,6165320,'1A',202,'N'),(25,6165338,'1',303,'N'),(25,6165346,'1',103,'N'),(25,6165354,'1',207,'N'),(25,6165354,'1A',201,'N'),(25,6165362,'1',103,'N'),(25,6165370,'1',301,'N'),(25,6165389,'1',336,'N'),(25,6165397,'1',211,'N'),(25,6165397,'1A',653,'N'),(25,6165419,'1',205,'N'),(25,6165427,'1',103,'N'),(25,6165443,'1',201,'N'),(25,6165443,'1A',202,'N'),(25,6165451,'1',103,'N'),(25,6165460,'1',103,'N'),(25,6165478,'1',103,'N'),(25,6165486,'1',601,'N'),(25,6165486,'1A',201,'N'),(25,6165494,'1',214,'N'),(25,6165494,'1A',203,'N'),(25,6165508,'1',103,'N'),(25,6165516,'1',103,'N'),(25,6165524,'1',415,'N'),(25,6165532,'1',5,'N'),(25,6165540,'1',208,'N'),(25,6165540,'1A',238,'N'),(25,6165559,'1',103,'N'),(25,6165567,'1',333,'N'),(25,6165575,'1',238,'N'),(25,6165575,'1A',208,'N'),(25,6165583,'1',3,'N'),(25,6165591,'1',653,'N'),(25,6165591,'1A',201,'N'),(25,6165605,'1',103,'N'),(25,6165613,'1',235,'N'),(25,6165613,'1A',220,'N'),(25,6165630,'1',207,'N'),(25,6165630,'1A',201,'N'),(25,6165656,'1',5,'N'),(25,6165664,'1',103,'N'),(25,6165672,'1',317,'N'),(25,6165680,'1',303,'N'),(25,6165699,'1',103,'N'),(25,6165737,'1',207,'N'),(25,6165737,'1A',213,'N'),(25,6165745,'1',103,'N'),(25,6165753,'1',5,'N'),(25,6165761,'1',303,'N'),(25,6165788,'1',415,'N'),(25,6165818,'1',110,'N'),(25,6165826,'1',201,'N'),(25,6165826,'1A',233,'N'),(25,6165834,'1',653,'N'),(25,6165834,'1A',655,'N'),(25,6165842,'1',103,'N'),(25,6165850,'1',316,'N'),(25,6165869,'1',340,'N'),(25,6165877,'1',503,'N'),(25,6165893,'1',103,'N'),(25,6165907,'1',999,'N'),(25,6165915,'1',103,'N'),(25,6165940,'1',102,'N'),(25,6165958,'1',653,'N'),(25,6165958,'1A',211,'N'),(25,6165974,'1',203,'N'),(25,6165974,'1A',214,'N'),(25,6165982,'1',201,'N'),(25,6165982,'1A',233,'N'),(25,6165990,'1',308,'N'),(25,6166008,'1',999,'N'),(25,6166016,'1',103,'N'),(25,6166024,'1',103,'N'),(25,6166032,'1',103,'N'),(25,6166040,'1',302,'N'),(25,6166067,'1',103,'N'),(25,6166091,'1',103,'N'),(25,6166105,'1',104,'N'),(25,6166121,'1',215,'N'),(25,6166130,'1',601,'N'),(25,6166130,'1A',211,'N'),(25,6166156,'1',103,'N'),(25,6166172,'1',201,'N'),(25,6166172,'1A',212,'N'),(25,6166180,'1',104,'N'),(25,6166199,'1',103,'N'),(25,6166202,'1',303,'N'),(25,6166210,'1',103,'N'),(25,6166237,'1',339,'N'),(25,6166245,'1',301,'N'),(25,6166253,'1',103,'N'),(25,6166270,'1',5,'N'),(25,6166288,'1',404,'N'),(25,6166296,'1',108,'N'),(25,6166300,'1',212,'N'),(25,6166300,'1A',213,'N'),(25,6166318,'1',220,'N'),(25,6166318,'1A',202,'N'),(25,6166326,'1',502,'N'),(25,6166334,'1',103,'N'),(25,6166342,'1',203,'N'),(25,6166342,'1A',202,'N'),(25,6166350,'1',404,'N'),(25,6166369,'1',104,'N'),(25,6166385,'1',331,'N'),(25,6166393,'1',103,'N'),(25,6166407,'1',103,'N'),(25,6166415,'1',103,'N'),(25,6166423,'1',303,'N'),(25,6166431,'1',452,'N'),(25,6166440,'1',207,'N'),(25,6166440,'1A',601,'N'),(25,6166458,'1',216,'N'),(25,6166458,'1A',207,'N'),(25,6166466,'1',450,'N'),(25,6166474,'1',501,'N'),(25,6166482,'1',420,'N'),(25,6166504,'1',999,'N'),(25,6166520,'1',101,'N'),(25,6166539,'1',233,'N'),(25,6166539,'1A',211,'N'),(25,6166547,'1',202,'N'),(25,6166547,'1A',235,'N'),(25,6166555,'1',303,'N'),(25,6166563,'1',208,'N'),(25,6166563,'1A',201,'N'),(25,6166571,'1',340,'N'),(25,6166580,'1',303,'N'),(25,6166598,'1',425,'N'),(25,6166598,'1A',428,'N'),(25,6166601,'1',999,'N'),(25,6166610,'1',502,'N'),(25,6166628,'1',319,'N'),(25,6166636,'1',453,'N'),(25,6166660,'1',212,'N'),(25,6166660,'1A',214,'N'),(25,6166679,'1',999,'N'),(25,6166687,'1',310,'N'),(25,6166695,'1',303,'N'),(25,6166709,'1',301,'N'),(25,6166717,'1',103,'N'),(25,6166725,'1',601,'N'),(25,6166750,'1',303,'N'),(25,6166768,'1',453,'N'),(25,6166776,'1',654,'N'),(25,6166784,'1',415,'N'),(25,6166792,'1',453,'N'),(25,6166806,'1',551,'N'),(25,6166822,'1',108,'N'),(25,6166830,'1',999,'N'),(25,6166849,'1',319,'N'),(25,6166857,'1',502,'N'),(25,6166865,'1',201,'N'),(25,6166865,'1A',202,'N'),(25,6166873,'1',207,'N'),(25,6166873,'1A',208,'N'),(25,6166890,'1',201,'N'),(25,6166890,'1A',207,'N'),(25,6166920,'1',104,'N'),(25,6166938,'1',999,'N'),(25,6166946,'1',103,'N'),(25,6166954,'1',5,'N'),(25,6166962,'1',103,'N'),(25,6166989,'1',207,'N'),(25,6166989,'1A',201,'N'),(25,6167004,'1',103,'N'),(25,6167012,'1',653,'N'),(25,6167012,'1A',203,'N'),(25,6167020,'1',103,'N'),(25,6167039,'1',104,'N'),(25,6167047,'1',999,'N'),(25,6167055,'1',551,'N'),(25,6167063,'1',452,'N'),(25,6167071,'1',303,'N'),(25,6167098,'1',5,'N'),(25,6167101,'1',103,'N'),(25,6167128,'1',340,'N'),(25,6167136,'1',318,'N'),(25,6167144,'1',104,'N'),(25,6167152,'1',216,'N'),(25,6167152,'1A',215,'N'),(25,6167179,'1',104,'N'),(25,6167195,'1',201,'N'),(25,6167195,'1A',233,'N'),(25,6167209,'1',103,'N'),(25,6167217,'1',238,'N'),(25,6167217,'1A',208,'N'),(25,6167225,'1',601,'N'),(25,6167233,'1',999,'N'),(25,6167241,'1',238,'N'),(25,6167241,'1A',655,'N'),(25,6167250,'1',654,'N'),(25,6167268,'1',336,'N'),(25,6167276,'1',101,'N'),(25,6167284,'1',9,'N'),(25,6167292,'1',201,'N'),(25,6167292,'1A',207,'N'),(25,6167306,'1',103,'N'),(25,6167314,'1',207,'N'),(25,6167349,'1',318,'N'),(25,6167365,'1',303,'N'),(25,6167381,'1',103,'N'),(25,6167390,'1',303,'N'),(25,6167403,'1',103,'N'),(25,6167411,'1',101,'N'),(25,6167420,'1',103,'N'),(25,6167438,'1',319,'N'),(25,6167454,'1',202,'N'),(25,6167454,'1A',655,'N'),(25,6167462,'1',452,'N'),(25,6167470,'1',303,'N'),(25,6167489,'1',415,'N'),(25,6167497,'1',319,'N'),(25,6167500,'1',103,'N'),(25,6167519,'1',207,'N'),(25,6167527,'1',317,'N'),(25,6167551,'1',303,'N'),(25,6167560,'1',654,'N'),(25,6167586,'1',220,'N'),(25,6167586,'1A',212,'N'),(25,6167608,'1',103,'N'),(25,6167616,'1',212,'N'),(25,6167616,'1A',201,'N'),(25,6167624,'1',333,'N'),(25,6167632,'1',655,'N'),(25,6167632,'1A',653,'N'),(25,6167640,'1',215,'N'),(25,6167640,'1A',652,'N'),(25,6167667,'1',453,'N'),(25,6167675,'1',601,'N'),(25,6167675,'1A',201,'N'),(25,6167691,'1',103,'N'),(25,6167713,'1',103,'N'),(25,6167730,'1',102,'N'),(25,6167748,'1',317,'N'),(25,6167764,'1',104,'N'),(25,6167772,'1',336,'N'),(25,6167780,'1',303,'N'),(25,6167802,'1',103,'N'),(25,6167829,'1',214,'N'),(25,6167829,'1A',213,'N'),(25,6167837,'1',103,'N'),(25,6167845,'1',216,'N'),(25,6167845,'1A',235,'N'),(25,6167853,'1',104,'N'),(25,6167861,'1',303,'N'),(25,6167870,'1',207,'N'),(25,6167870,'1A',216,'N'),(25,6167888,'1',999,'N'),(25,6167896,'1',103,'N'),(25,6167900,'1',303,'N'),(25,6167918,'1',215,'N'),(25,6167918,'1A',216,'N'),(25,6167926,'1',336,'N'),(25,6167934,'1',9,'N'),(25,6167942,'1',222,'N'),(25,6167969,'1',654,'N'),(25,6167977,'1',220,'N'),(25,6167977,'1A',203,'N'),(25,6167985,'1',235,'N'),(25,6167985,'1A',215,'N'),(25,6167993,'1',203,'N'),(25,6167993,'1A',233,'N'),(25,6168000,'1',207,'N'),(25,6168000,'1A',201,'N'),(25,6168019,'1',207,'N'),(25,6168019,'1A',201,'N'),(25,6168035,'1',5,'N'),(25,6168043,'1',203,'N'),(25,6168043,'1A',214,'N'),(25,6168051,'1',201,'N'),(25,6168051,'1A',233,'N'),(25,6168078,'1',999,'N'),(25,6168086,'1',216,'N'),(25,6168086,'1A',215,'N'),(25,6168094,'1',216,'N'),(25,6168094,'1A',238,'N'),(25,6168108,'1',103,'N'),(25,6168116,'1',420,'N'),(25,6168124,'1',601,'N'),(25,6168124,'1A',207,'N'),(25,6168132,'1',336,'N'),(25,6168159,'1',207,'N'),(25,6168159,'1A',201,'N'),(25,6168167,'1',338,'N'),(25,6168175,'1',238,'N'),(25,6168175,'1A',208,'N'),(25,6168191,'1',319,'N'),(25,6168205,'1',9,'N'),(25,6168230,'1',453,'N'),(25,6168248,'1',103,'N'),(25,6168256,'1',212,'N'),(25,6168256,'1A',213,'N'),(25,6168272,'1',5,'N'),(25,6168280,'1',654,'N'),(25,6168299,'1',202,'N'),(25,6168299,'1A',213,'N'),(25,6168302,'1',326,'N'),(25,6168310,'1',501,'N'),(25,6168329,'1',428,'N'),(25,6168329,'1A',423,'N'),(25,6168337,'1',103,'N'),(25,6168345,'1',220,'N'),(25,6168345,'1A',235,'N'),(25,6168353,'1',652,'N'),(25,6168353,'1A',653,'N'),(25,6168361,'1',103,'N'),(25,6168388,'1',211,'N'),(25,6168388,'1A',216,'N'),(25,6168396,'1',309,'N'),(25,6168400,'1',103,'N'),(25,6168418,'1',212,'N'),(25,6168418,'1A',201,'N'),(25,6168426,'1',309,'N'),(25,6168434,'1',318,'N'),(25,6168442,'1',653,'N'),(25,6168442,'1A',201,'N'),(25,6168450,'1',420,'N'),(25,6168469,'1',203,'N'),(25,6168469,'1A',214,'N'),(25,6168493,'1',444,'N'),(25,6168507,'1',310,'N'),(25,6168515,'1',316,'N'),(25,6168523,'1',404,'N'),(25,6168540,'1',103,'N'),(25,6168558,'1',319,'N'),(25,6168566,'1',5,'N'),(25,6168574,'1',103,'N'),(25,6168590,'1',404,'N'),(25,6168612,'1',317,'N'),(25,6168620,'1',225,'N'),(25,6168647,'1',101,'N'),(25,6168655,'1',5,'N'),(25,6168663,'1',214,'N'),(25,6168663,'1A',233,'N'),(25,6168671,'1',103,'N'),(25,6168680,'1',108,'N'),(25,6168698,'1',999,'N'),(25,6168701,'1',215,'N'),(25,6168701,'1A',216,'N'),(25,6168736,'1',319,'N'),(25,6168744,'1',303,'N'),(25,6168752,'1',211,'N'),(25,6168752,'1A',215,'N'),(25,6168779,'1',316,'N'),(25,6168795,'1',5,'N'),(25,6168809,'1',103,'N'),(25,6168825,'1',104,'N'),(25,6168833,'1',303,'N'),(25,6168841,'1',103,'N'),(25,6168850,'1',202,'N'),(25,6168850,'1A',220,'N'),(25,6168876,'1',302,'N'),(25,6168884,'1',501,'N'),(25,6168922,'1',103,'N'),(25,6168930,'1',103,'N'),(25,6168949,'1',319,'N'),(25,6168957,'1',203,'N'),(25,6168957,'1A',233,'N'),(25,6168973,'1',104,'N'),(25,6168990,'1',5,'N'),(25,6169007,'1',103,'N'),(25,6169015,'1',103,'N'),(25,6169023,'1',340,'N'),(25,6169031,'1',202,'N'),(25,6169031,'1A',235,'N'),(25,6169040,'1',452,'N'),(25,6169058,'1',207,'N'),(25,6169058,'1A',201,'N'),(25,6169066,'1',654,'N'),(25,6169074,'1',415,'N'),(25,6169090,'1',340,'N'),(25,6169120,'1',303,'N'),(25,6169139,'1',319,'N'),(25,6169147,'1',103,'N'),(25,6169155,'1',235,'N'),(25,6169155,'1A',202,'N'),(25,6169163,'1',202,'N'),(25,6169163,'1A',235,'N'),(25,6169171,'1',103,'N'),(25,6169180,'1',103,'N'),(25,6169198,'1',502,'N'),(25,6169201,'1',216,'N'),(25,6169201,'1A',215,'N'),(25,6169210,'1',103,'N'),(25,6169236,'1',203,'N'),(25,6169236,'1A',233,'N'),(25,6169244,'1',212,'N'),(25,6169244,'1A',203,'N'),(25,6169260,'1',453,'N'),(25,6169279,'1',453,'N'),(25,6169287,'1',109,'N'),(25,6169295,'1',211,'N'),(25,6169295,'1A',215,'N'),(25,6169309,'1',319,'N'),(25,6169317,'1',103,'N'),(25,6169325,'1',103,'N'),(25,6169333,'1',208,'N'),(25,6169341,'1',326,'N'),(25,6169350,'1',103,'N'),(25,6169368,'1',103,'N'),(25,6169376,'1',207,'N'),(25,6169376,'1A',201,'N'),(25,6169384,'1',654,'N'),(25,6169392,'1',103,'N'),(25,6169406,'1',103,'N'),(25,6169414,'1',103,'N'),(25,6169422,'1',327,'N'),(25,6169430,'1',655,'N'),(25,6169430,'1A',652,'N'),(25,6169449,'1',103,'N'),(25,6169457,'1',201,'N'),(25,6169465,'1',102,'N'),(25,6169473,'1',317,'N'),(25,6169481,'1',301,'N'),(25,6169490,'1',309,'N'),(25,6169503,'1',203,'N'),(25,6169503,'1A',202,'N'),(25,6169520,'1',103,'N'),(25,6169562,'1',207,'N'),(25,6169562,'1A',201,'N'),(25,6169570,'1',103,'N'),(25,6169589,'1',216,'N'),(25,6169597,'1',103,'N'),(25,6169600,'1',207,'N'),(25,6169600,'1A',211,'N'),(25,6169619,'1',103,'N'),(25,6169627,'1',103,'N'),(25,6169643,'1',108,'N'),(25,6169651,'1',5,'N'),(25,6169678,'1',207,'N'),(25,6169678,'1A',601,'N'),(25,6169686,'1',303,'N'),(25,6169694,'1',110,'N'),(25,6169708,'1',103,'N'),(25,6169716,'1',103,'N'),(25,6169724,'1',104,'N'),(25,6169732,'1',104,'N'),(25,6169740,'1',301,'N'),(25,6169767,'1',302,'N'),(25,6169775,'1',452,'N'),(25,6169791,'1',103,'N'),(25,6169805,'1',103,'N'),(25,6169813,'1',551,'N'),(25,6169848,'1',201,'N'),(25,6169848,'1A',203,'N'),(25,6169856,'1',102,'N'),(25,6169872,'1',103,'N'),(25,6169880,'1',102,'N'),(25,6169899,'1',215,'N'),(25,6169899,'1A',212,'N'),(25,6169902,'1',208,'N'),(25,6169937,'1',999,'N'),(25,6169945,'1',208,'N'),(25,6169945,'1A',235,'N'),(25,6169961,'1',5,'N'),(25,6169970,'1',340,'N'),(25,6169996,'1',453,'N'),(25,6170005,'1',216,'N'),(25,6170005,'1A',233,'N'),(25,6170013,'1',103,'N'),(25,6170021,'1',103,'N'),(25,6170030,'1',5,'N'),(25,6170048,'1',203,'N'),(25,6170048,'1A',214,'N'),(25,6170072,'1',103,'N'),(25,6170080,'1',103,'N'),(25,6170110,'1',203,'N'),(25,6170110,'1A',208,'N'),(25,6170129,'1',216,'N'),(25,6170129,'1A',214,'N'),(25,6170137,'1',203,'N'),(25,6170137,'1A',208,'N'),(25,6170153,'1',316,'N'),(25,6170161,'1',102,'N'),(25,6170170,'1',103,'N'),(25,6170188,'1',103,'N'),(25,6170196,'1',501,'N'),(25,6170200,'1',203,'N'),(25,6170218,'1',216,'N'),(25,6170226,'1',303,'N'),(25,6170234,'1',319,'N'),(25,6170242,'1',203,'N'),(25,6170242,'1A',211,'N'),(25,6170269,'1',103,'N'),(25,6170277,'1',216,'N'),(25,6170277,'1A',215,'N'),(25,6170293,'1',203,'N'),(25,6170293,'1A',202,'N'),(25,6170307,'1',201,'N'),(25,6170307,'1A',207,'N'),(25,6170315,'1',333,'N'),(25,6170331,'1',203,'N'),(25,6170331,'1A',601,'N'),(25,6170340,'1',238,'N'),(25,6170340,'1A',207,'N'),(25,6170358,'1',225,'N'),(25,6170382,'1',103,'N'),(25,6170390,'1',103,'N'),(25,6170404,'1',103,'N'),(25,6170412,'1',103,'N'),(25,6170420,'1',103,'N'),(25,6170439,'1',108,'N'),(25,6170447,'1',421,'N'),(25,6170447,'1A',425,'N'),(25,6170455,'1',103,'N'),(25,6170463,'1',102,'N'),(25,6170471,'1',103,'N'),(25,6170498,'1',207,'N'),(25,6170498,'1A',233,'N'),(25,6170501,'1',103,'N'),(25,6170510,'1',303,'N'),(25,6170528,'1',208,'N'),(25,6170528,'1A',235,'N'),(25,6170536,'1',340,'N'),(25,6170544,'1',102,'N'),(25,6170552,'1',5,'N'),(25,6170560,'1',216,'N'),(25,6170579,'1',202,'N'),(25,6170579,'1A',201,'N'),(25,6170595,'1',102,'N'),(25,6170609,'1',336,'N'),(25,6170617,'1',3,'N'),(25,6170625,'1',654,'N'),(25,6170633,'1',303,'N'),(25,6170641,'1',303,'N'),(25,6170650,'1',103,'N'),(25,6170668,'1',103,'N'),(25,6170684,'1',415,'N'),(25,6170692,'1',201,'N'),(25,6170692,'1A',202,'N'),(25,6170714,'1',404,'N'),(25,6170722,'1',5,'N'),(25,6170730,'1',309,'N'),(25,6170749,'1',9,'N'),(25,6170757,'1',216,'N'),(25,6170757,'1A',653,'N'),(25,6170765,'1',238,'N'),(25,6170765,'1A',235,'N'),(25,6170773,'1',601,'N'),(25,6170773,'1A',215,'N'),(25,6170781,'1',319,'N'),(25,6170790,'1',336,'N'),(25,6170811,'1',340,'N'),(25,6170838,'1',216,'N'),(25,6170838,'1A',203,'N'),(25,6170846,'1',654,'N'),(25,6170854,'1',303,'N'),(25,6170862,'1',5,'N'),(25,6170870,'1',551,'N'),(25,6170897,'1',316,'N'),(25,6170900,'1',415,'N'),(25,6170919,'1',999,'N'),(25,6170935,'1',308,'N'),(25,6170943,'1',104,'N'),(25,6170951,'1',216,'N'),(25,6170951,'1A',233,'N'),(25,6170978,'1',201,'N'),(25,6170978,'1A',601,'N'),(25,6170986,'1',303,'N'),(25,6170994,'1',652,'N'),(25,6170994,'1A',653,'N'),(25,6171001,'1',301,'N'),(25,6171028,'1',103,'N'),(25,6171036,'1',103,'N'),(25,6171044,'1',654,'N'),(25,6171052,'1',9,'N'),(25,6171060,'1',103,'N'),(25,6171079,'1',319,'N'),(25,6171095,'1',336,'N'),(25,6171109,'1',103,'N'),(25,6171117,'1',453,'N'),(25,6171125,'1',215,'N'),(25,6171125,'1A',235,'N'),(25,6171141,'1',340,'N'),(25,6171150,'1',328,'N'),(25,6171168,'1',425,'N'),(25,6171168,'1A',424,'N'),(25,6171176,'1',103,'N'),(25,6171184,'1',655,'N'),(25,6171184,'1A',208,'N'),(25,6171192,'1',103,'N'),(25,6171206,'1',103,'N'),(25,6171214,'1',340,'N'),(25,6171222,'1',5,'N'),(25,6171230,'1',333,'N'),(25,6171257,'1',318,'N'),(25,6171265,'1',207,'N'),(25,6171265,'1A',201,'N'),(25,6171273,'1',203,'N'),(25,6171273,'1A',601,'N'),(25,6171281,'1',103,'N'),(25,6171290,'1',103,'N'),(25,6171303,'1',9,'N'),(25,6171311,'1',103,'N'),(25,6171320,'1',5,'N'),(25,6171338,'1',103,'N'),(25,6171346,'1',303,'N'),(25,6171354,'1',452,'N'),(25,6171362,'1',203,'N'),(25,6171362,'1A',213,'N'),(25,6171370,'1',101,'N'),(25,6171397,'1',222,'N'),(25,6171400,'1',207,'N'),(25,6171400,'1A',601,'N'),(25,6171419,'1',425,'N'),(25,6171419,'1A',424,'N'),(25,6171427,'1',3,'N'),(25,6171435,'1',415,'N'),(25,6171443,'1',202,'N'),(25,6171443,'1A',220,'N'),(25,6171451,'1',101,'N'),(25,6171460,'1',103,'N'),(25,6171478,'1',211,'N'),(25,6171478,'1A',215,'N'),(25,6171486,'1',207,'N'),(25,6171486,'1A',211,'N'),(25,6171494,'1',5,'N'),(25,6171508,'1',216,'N'),(25,6171508,'1A',233,'N'),(25,6171516,'1',201,'N'),(25,6171516,'1A',208,'N'),(25,6171524,'1',103,'N'),(25,6171540,'1',220,'N'),(25,6171559,'1',238,'N'),(25,6171559,'1A',208,'N'),(25,6171567,'1',212,'N'),(25,6171567,'1A',207,'N'),(25,6171575,'1',9,'N'),(25,6171583,'1',103,'N'),(25,6171591,'1',324,'N'),(25,6171605,'1',319,'N'),(25,6171613,'1',428,'N'),(25,6171613,'1A',425,'N'),(25,6171630,'1',203,'N'),(25,6171630,'1A',220,'N'),(25,6171648,'1',220,'N'),(25,6171648,'1A',601,'N'),(25,6171656,'1',101,'N'),(25,6171664,'1',317,'N'),(25,6171672,'1',103,'N'),(25,6171680,'1',103,'N'),(25,6171699,'1',319,'N'),(25,6171702,'1',207,'N'),(25,6171710,'1',207,'N'),(25,6171710,'1A',212,'N'),(25,6171729,'1',652,'N'),(25,6171745,'1',450,'N'),(25,6171753,'1',201,'N'),(25,6171753,'1A',212,'N'),(25,6171761,'1',103,'N'),(25,6171770,'1',317,'N'),(25,6171788,'1',103,'N'),(25,6171796,'1',203,'N'),(25,6171796,'1A',214,'N'),(25,6171818,'1',207,'N'),(25,6171818,'1A',201,'N'),(25,6171826,'1',109,'N'),(25,6171834,'1',308,'N'),(25,6171842,'1',207,'N'),(25,6171842,'1A',201,'N'),(25,6171850,'1',428,'N'),(25,6171850,'1A',426,'N'),(25,6171877,'1',103,'N'),(25,6171885,'1',103,'N'),(25,6171893,'1',216,'N'),(25,6171893,'1A',211,'N'),(25,6171907,'1',655,'N'),(25,6171907,'1A',653,'N'),(25,6171915,'1',450,'N'),(25,6171923,'1',318,'N'),(25,6171931,'1',318,'N'),(25,6171940,'1',316,'N'),(25,6171958,'1',303,'N'),(25,6171966,'1',224,'N'),(25,6171974,'1',201,'N'),(25,6171974,'1A',207,'N'),(25,6171982,'1',5,'N'),(25,6171990,'1',110,'N'),(25,6172016,'1',103,'N'),(25,6172024,'1',203,'N'),(25,6172024,'1A',214,'N'),(25,6172032,'1',404,'N'),(25,6172040,'1',333,'N'),(25,6172059,'1',201,'N'),(25,6172059,'1A',202,'N'),(25,6172067,'1',103,'N'),(25,6172075,'1',203,'N'),(25,6172083,'1',213,'N'),(25,6172083,'1A',220,'N'),(25,6172091,'1',102,'N'),(25,6172105,'1',332,'N'),(25,6172113,'1',999,'N'),(25,6172121,'1',211,'N'),(25,6172121,'1A',215,'N'),(25,6172130,'1',108,'N'),(25,6172148,'1',203,'N'),(25,6172148,'1A',214,'N'),(25,6172156,'1',208,'N'),(25,6172156,'1A',238,'N'),(25,6172164,'1',318,'N'),(25,6172172,'1',102,'N'),(25,6172180,'1',318,'N'),(25,6172199,'1',203,'N'),(25,6172199,'1A',214,'N'),(25,6172202,'1',317,'N'),(25,6172210,'1',103,'N'),(25,6172229,'1',103,'N'),(25,6172237,'1',103,'N'),(25,6172245,'1',103,'N'),(25,6172253,'1',319,'N'),(25,6172261,'1',999,'N'),(25,6172270,'1',303,'N'),(25,6172288,'1',103,'N'),(25,6172296,'1',324,'N'),(25,6172300,'1',203,'N'),(25,6172300,'1A',214,'N'),(25,6172318,'1',655,'N'),(25,6172318,'1A',202,'N'),(25,6172326,'1',103,'N'),(25,6172334,'1',3,'N'),(25,6172342,'1',216,'N'),(25,6172342,'1A',212,'N'),(25,6172350,'1',317,'N'),(25,6172369,'1',9,'N'),(25,6172377,'1',238,'N'),(25,6172377,'1A',235,'N'),(25,6172385,'1',201,'N'),(25,6172385,'1A',211,'N'),(25,6172393,'1',428,'N'),(25,6172393,'1A',426,'N'),(25,6172415,'1',208,'N'),(25,6172415,'1A',238,'N'),(25,6172423,'1',601,'N'),(25,6172423,'1A',216,'N'),(25,6172431,'1',103,'N'),(25,6172440,'1',319,'N'),(25,6172458,'1',340,'N'),(25,6172466,'1',103,'N'),(25,6172474,'1',308,'N'),(25,6172482,'1',340,'N'),(25,6172490,'1',203,'N'),(25,6172490,'1A',208,'N'),(25,6172504,'1',208,'N'),(25,6172512,'1',208,'N'),(25,6172512,'1A',652,'N'),(25,6172520,'1',318,'N'),(25,6172539,'1',3,'N'),(25,6172547,'1',336,'N'),(25,6172555,'1',420,'N'),(25,6172563,'1',103,'N'),(25,6172580,'1',319,'N'),(25,6172598,'1',999,'N'),(25,6172601,'1',308,'N'),(25,6172610,'1',201,'N'),(25,6172610,'1A',207,'N'),(25,6172628,'1',103,'N'),(25,6172636,'1',999,'N'),(25,6172652,'1',103,'N'),(25,6172687,'1',655,'N'),(25,6172687,'1A',653,'N'),(25,6172695,'1',316,'N'),(25,6172709,'1',450,'N'),(25,6172717,'1',102,'N'),(25,6172725,'1',233,'N'),(25,6172725,'1A',214,'N'),(25,6172733,'1',103,'N'),(25,6172741,'1',304,'N'),(25,6172750,'1',233,'N'),(25,6172750,'1A',208,'N'),(25,6172768,'1',652,'N'),(25,6172768,'1A',655,'N'),(25,6172776,'1',601,'N'),(25,6172776,'1A',211,'N'),(25,6172784,'1',654,'N'),(25,6172792,'1',208,'N'),(25,6172792,'1A',238,'N'),(25,6172806,'1',404,'N'),(25,6172822,'1',212,'N'),(25,6172822,'1A',213,'N'),(25,6172849,'1',203,'N'),(25,6172857,'1',319,'N'),(25,6172865,'1',238,'N'),(25,6172873,'1',103,'N'),(25,6172881,'1',303,'N'),(25,6172890,'1',303,'N'),(25,6172911,'1',103,'N'),(25,6172920,'1',103,'N'),(25,6172938,'1',108,'N'),(25,6172946,'1',653,'N'),(25,6172946,'1A',655,'N'),(25,6172962,'1',207,'N'),(25,6172962,'1A',211,'N'),(25,6172970,'1',103,'N'),(25,6173004,'1',103,'N'),(25,6173012,'1',316,'N'),(25,6173020,'1',207,'N'),(25,6173020,'1A',201,'N'),(25,6173039,'1',415,'N'),(25,6173047,'1',303,'N'),(25,6173055,'1',215,'N'),(25,6173055,'1A',211,'N'),(25,6173063,'1',103,'N'),(25,6173071,'1',103,'N'),(25,6173080,'1',109,'N'),(25,6173098,'1',444,'N'),(25,6173101,'1',303,'N'),(25,6173110,'1',207,'N'),(25,6173110,'1A',201,'N'),(25,6173136,'1',104,'N'),(25,6173144,'1',103,'N'),(25,6173152,'1',203,'N'),(25,6173152,'1A',655,'N'),(25,6173160,'1',216,'N'),(25,6173160,'1A',211,'N'),(25,6173195,'1',102,'N'),(25,6173209,'1',340,'N'),(25,6173217,'1',203,'N'),(25,6173225,'1',211,'N'),(25,6173233,'1',340,'N'),(25,6173250,'1',304,'N'),(25,6173268,'1',238,'N'),(25,6173268,'1A',208,'N'),(25,6173284,'1',215,'N'),(25,6173284,'1A',601,'N'),(25,6173292,'1',340,'N'),(25,6173306,'1',103,'N'),(25,6173322,'1',316,'N'),(25,6173330,'1',103,'N'),(25,6173373,'1',329,'N'),(25,6173381,'1',317,'N'),(25,6173403,'1',203,'N'),(25,6173403,'1A',214,'N'),(25,6173411,'1',201,'N'),(25,6173411,'1A',207,'N'),(25,6173438,'1',203,'N'),(25,6173438,'1A',201,'N'),(25,6173446,'1',103,'N'),(25,6173454,'1',652,'N'),(25,6173454,'1A',655,'N'),(25,6173462,'1',212,'N'),(25,6173462,'1A',213,'N'),(25,6173470,'1',103,'N'),(25,6173489,'1',207,'N'),(25,6173489,'1A',201,'N'),(25,6173500,'1',101,'N'),(25,6173519,'1',450,'N'),(25,6173535,'1',5,'N'),(25,6173543,'1',303,'N'),(25,6173551,'1',103,'N'),(25,6173578,'1',655,'N'),(25,6173578,'1A',208,'N'),(25,6173586,'1',319,'N'),(25,6173594,'1',308,'N'),(25,6173608,'1',427,'N'),(25,6173608,'1A',423,'N'),(25,6173616,'1',202,'N'),(25,6173616,'1A',213,'N'),(25,6173624,'1',303,'N'),(25,6173640,'1',335,'N'),(25,6173659,'1',201,'N'),(25,6173659,'1A',207,'N'),(25,6173667,'1',415,'N'),(25,6173675,'1',336,'N'),(25,6173683,'1',214,'N'),(25,6173683,'1A',213,'N'),(25,6173691,'1',103,'N'),(25,6173705,'1',328,'N'),(25,6173713,'1',303,'N'),(25,6173730,'1',551,'N'),(25,6173748,'1',503,'N'),(25,6173756,'1',212,'N'),(25,6173756,'1A',233,'N'),(25,6173764,'1',103,'N'),(25,6173772,'1',203,'N'),(25,6173772,'1A',202,'N'),(25,6173780,'1',551,'N'),(25,6173799,'1',103,'N'),(25,6173802,'1',104,'N'),(25,6173810,'1',420,'N'),(25,6173829,'1',103,'N'),(25,6173845,'1',102,'N'),(25,6173853,'1',420,'N'),(25,6173870,'1',103,'N'),(25,6173888,'1',238,'N'),(25,6173888,'1A',208,'N'),(25,6173900,'1',103,'N'),(25,6173926,'1',207,'N'),(25,6173926,'1A',238,'N'),(25,6173934,'1',220,'N'),(25,6173934,'1A',235,'N'),(25,6173950,'1',101,'N'),(25,6173969,'1',319,'N'),(25,6173977,'1',103,'N'),(25,6173993,'1',5,'N'),(25,6174000,'1',207,'N'),(25,6174000,'1A',653,'N'),(25,6174019,'1',103,'N'),(25,6174035,'1',420,'N'),(25,6174043,'1',103,'N'),(25,6174051,'1',601,'N'),(25,6174060,'1',303,'N'),(25,6174078,'1',103,'N'),(25,6174086,'1',450,'N'),(25,6174094,'1',453,'N'),(25,6174108,'1',224,'N'),(25,6174116,'1',103,'N'),(25,6174124,'1',103,'N'),(25,6174132,'1',103,'N'),(25,6174140,'1',304,'N'),(25,6174159,'1',203,'N'),(25,6174159,'1A',214,'N'),(25,6174167,'1',601,'N'),(25,6174167,'1A',203,'N'),(25,6174175,'1',103,'N'),(25,6174183,'1',201,'N'),(25,6174183,'1A',203,'N'),(25,6174213,'1',103,'N'),(25,6174221,'1',425,'N'),(25,6174221,'1A',429,'N'),(25,6174230,'1',207,'N'),(25,6174230,'1A',235,'N'),(25,6174248,'1',104,'N'),(25,6174256,'1',215,'N'),(25,6174256,'1A',216,'N'),(25,6174264,'1',601,'N'),(25,6174264,'1A',233,'N'),(25,6174272,'1',319,'N'),(25,6174280,'1',103,'N'),(25,6174299,'1',103,'N'),(25,6174302,'1',104,'N'),(25,6174329,'1',103,'N'),(25,6174337,'1',103,'N'),(25,6174353,'1',103,'N'),(25,6174361,'1',103,'N'),(25,6174370,'1',103,'N'),(25,6174388,'1',103,'N'),(25,6174396,'1',103,'N'),(25,6174400,'1',216,'N'),(25,6174400,'1A',202,'N'),(25,6174418,'1',103,'N'),(25,6174426,'1',102,'N'),(25,6174434,'1',103,'N'),(25,6174442,'1',103,'N'),(25,6174450,'1',211,'N'),(25,6174450,'1A',216,'N'),(25,6174469,'1',203,'N'),(25,6174469,'1A',220,'N'),(25,6174477,'1',108,'N'),(25,6174493,'1',103,'N'),(25,6174507,'1',103,'N'),(25,6174515,'1',452,'N'),(25,6174523,'1',999,'N'),(25,6174531,'1',333,'N'),(25,6174540,'1',103,'N'),(25,6174566,'1',103,'N'),(25,6174574,'1',103,'N'),(25,6174582,'1',238,'N'),(25,6174582,'1A',208,'N'),(25,6174590,'1',211,'N'),(25,6174590,'1A',216,'N'),(25,6174604,'1',103,'N'),(25,6174620,'1',202,'N'),(25,6174620,'1A',653,'N'),(25,6174647,'1',103,'N'),(25,6174655,'1',110,'N'),(25,6174663,'1',103,'N'),(25,6174671,'1',212,'N'),(25,6174671,'1A',214,'N'),(25,6174680,'1',103,'N'),(25,6174698,'1',652,'N'),(25,6174698,'1A',655,'N'),(25,6174701,'1',444,'N'),(25,6174728,'1',103,'N'),(25,6174736,'1',103,'N'),(25,6174744,'1',104,'N'),(25,6174752,'1',9,'N'),(25,6174760,'1',452,'N'),(25,6174779,'1',103,'N'),(25,6174787,'1',320,'N'),(25,6174795,'1',104,'N'),(25,6174809,'1',653,'N'),(25,6174817,'1',444,'N'),(25,6174825,'1',101,'N'),(25,6174841,'1',103,'N'),(25,6174850,'1',340,'N'),(25,6174884,'1',216,'N'),(25,6174884,'1A',211,'N'),(25,6174892,'1',319,'N'),(25,6174906,'1',238,'N'),(25,6174906,'1A',208,'N'),(25,6174922,'1',103,'N'),(25,6174930,'1',503,'N'),(25,6174949,'1',103,'N'),(25,6174957,'1',208,'N'),(25,6174965,'1',316,'N'),(25,6174973,'1',203,'N'),(25,6174973,'1A',208,'N'),(25,6174981,'1',444,'N'),(25,6174990,'1',215,'N'),(25,6174990,'1A',233,'N'),(25,6175007,'1',303,'N'),(25,6175015,'1',202,'N'),(25,6175023,'1',103,'N'),(25,6175031,'1',220,'N'),(25,6175031,'1A',202,'N'),(25,6175082,'1',5,'N'),(25,6175090,'1',103,'N'),(25,6175112,'1',316,'N'),(25,6175120,'1',207,'N'),(25,6175139,'1',425,'N'),(25,6175139,'1A',424,'N'),(25,6175147,'1',103,'N'),(25,6175155,'1',203,'N'),(25,6175155,'1A',202,'N'),(25,6175163,'1',103,'N'),(25,6175171,'1',208,'N'),(25,6175171,'1A',235,'N'),(25,6175180,'1',319,'N'),(25,6175198,'1',319,'N'),(25,6175201,'1',238,'N'),(25,6175201,'1A',208,'N'),(25,6175210,'1',601,'N'),(25,6175210,'1A',201,'N'),(25,6175244,'1',202,'N'),(25,6175244,'1A',213,'N'),(25,6175252,'1',207,'N'),(25,6175252,'1A',201,'N'),(25,6175260,'1',201,'N'),(25,6175260,'1A',207,'N'),(25,6175279,'1',103,'N'),(25,6175287,'1',303,'N'),(25,6175295,'1',103,'N'),(25,6175309,'1',316,'N'),(25,6175317,'1',207,'N'),(25,6175317,'1A',216,'N'),(25,6175325,'1',103,'N'),(25,6175333,'1',453,'N'),(25,6175341,'1',340,'N'),(25,6175368,'1',303,'N'),(25,6175376,'1',108,'N'),(25,6175384,'1',444,'N'),(25,6175392,'1',110,'N'),(25,6175406,'1',103,'N'),(25,6175414,'1',103,'N'),(25,6175422,'1',103,'N'),(25,6175430,'1',103,'N'),(25,6175449,'1',340,'N'),(25,6175457,'1',103,'N'),(25,6175465,'1',104,'N'),(25,6175473,'1',234,'N'),(25,6175481,'1',340,'N'),(25,6175503,'1',102,'N'),(25,6175511,'1',238,'N'),(25,6175511,'1A',208,'N'),(25,6175520,'1',208,'N'),(25,6175520,'1A',238,'N'),(25,6175538,'1',211,'N'),(25,6175538,'1A',216,'N'),(25,6175554,'1',103,'N'),(25,6175562,'1',303,'N'),(25,6175570,'1',551,'N'),(25,6175597,'1',340,'N'),(25,6175600,'1',103,'N'),(25,6175619,'1',999,'N'),(25,6175627,'1',502,'N'),(25,6175635,'1',211,'N'),(25,6175635,'1A',212,'N'),(25,6175643,'1',220,'N'),(25,6175643,'1A',208,'N'),(25,6175651,'1',103,'N'),(25,6175660,'1',336,'N'),(25,6175678,'1',103,'N'),(25,6175686,'1',103,'N'),(25,6175694,'1',108,'N'),(25,6175708,'1',103,'N'),(25,6175716,'1',452,'N'),(25,6175724,'1',428,'N'),(25,6175732,'1',103,'N'),(25,6175740,'1',415,'N'),(25,6175759,'1',103,'N'),(25,6175767,'1',207,'N'),(25,6175767,'1A',215,'N'),(25,6175775,'1',207,'N'),(25,6175775,'1A',233,'N'),(25,6175783,'1',103,'N'),(25,6175791,'1',332,'N'),(25,6175805,'1',103,'N'),(25,6175821,'1',103,'N'),(25,6175848,'1',103,'N'),(25,6175856,'1',3,'N'),(25,6175864,'1',103,'N'),(25,6175872,'1',103,'N'),(25,6175880,'1',332,'N'),(25,6175945,'1',103,'N'),(25,6175961,'1',103,'N'),(25,6175988,'1',214,'N'),(25,6175996,'1',404,'N'),(25,6176011,'1',103,'N'),(25,6176020,'1',201,'N'),(25,6176020,'1A',208,'N'),(25,6176038,'1',103,'N'),(25,6176046,'1',318,'N'),(25,6176054,'1',208,'N'),(25,6176054,'1A',238,'N'),(25,6176062,'1',201,'N'),(25,6176070,'1',103,'N'),(25,6176089,'1',207,'N'),(25,6176089,'1A',208,'N'),(25,6176097,'1',451,'N'),(25,6176100,'1',103,'N'),(25,6176119,'1',103,'N'),(25,6176127,'1',207,'N'),(25,6176135,'1',103,'N'),(25,6176143,'1',308,'N'),(25,6176151,'1',207,'N'),(25,6176151,'1A',201,'N'),(25,6176186,'1',103,'N'),(25,6176194,'1',202,'N'),(25,6176194,'1A',653,'N'),(25,6176216,'1',201,'N'),(25,6176224,'1',5,'N'),(25,6176232,'1',207,'N'),(25,6176232,'1A',213,'N'),(25,6176240,'1',103,'N'),(25,6176259,'1',601,'N'),(25,6176259,'1A',653,'N'),(25,6176267,'1',102,'N'),(25,6176291,'1',207,'N'),(25,6176305,'1',103,'N'),(25,6176313,'1',103,'N'),(25,6176321,'1',310,'N'),(25,6176330,'1',103,'N'),(25,6176348,'1',2,'N'),(25,6176356,'1',207,'N'),(25,6176356,'1A',201,'N'),(25,6176364,'1',303,'N'),(25,6176372,'1',201,'N'),(25,6176372,'1A',601,'N'),(25,6176380,'1',654,'N'),(25,6176399,'1',216,'N'),(25,6176399,'1A',653,'N'),(25,6176402,'1',104,'N'),(25,6176410,'1',103,'N'),(25,6176437,'1',103,'N'),(25,6176445,'1',101,'N'),(25,6176453,'1',317,'N'),(25,6176470,'1',103,'N'),(25,6176488,'1',601,'N'),(25,6176488,'1A',214,'N'),(25,6176500,'1',103,'N'),(25,6176526,'1',5,'N'),(25,6176534,'1',444,'N'),(25,6176542,'1',103,'N'),(25,6176550,'1',103,'N'),(25,6176569,'1',103,'N'),(25,6176577,'1',303,'N'),(25,6176585,'1',103,'N'),(25,6176593,'1',103,'N'),(25,6176607,'1',318,'N'),(25,6176615,'1',108,'N'),(25,6176623,'1',102,'N'),(25,6176631,'1',104,'N'),(25,6176640,'1',103,'N'),(25,6176666,'1',220,'N'),(25,6176666,'1A',202,'N'),(25,6176690,'1',103,'N'),(25,6176704,'1',450,'N'),(25,6176712,'1',103,'N'),(25,6176720,'1',103,'N'),(25,6176739,'1',103,'N'),(25,6176755,'1',415,'N'),(25,6176763,'1',103,'N'),(25,6176771,'1',303,'N'),(25,6176798,'1',103,'N'),(25,6176801,'1',216,'N'),(25,6176801,'1A',201,'N'),(25,6176828,'1',104,'N'),(25,6176836,'1',303,'N'),(25,6176844,'1',103,'N'),(25,6176852,'1',319,'N'),(25,6176879,'1',220,'N'),(25,6176879,'1A',214,'N'),(25,6176887,'1',103,'N'),(25,6176895,'1',103,'N'),(25,6176909,'1',424,'N'),(25,6176909,'1A',425,'N'),(25,6176917,'1',207,'N'),(25,6176917,'1A',201,'N'),(25,6176925,'1',238,'N'),(25,6176925,'1A',208,'N'),(25,6176933,'1',5,'N'),(25,6176950,'1',103,'N'),(25,6176968,'1',653,'N'),(25,6176968,'1A',655,'N'),(25,6176976,'1',108,'N'),(25,6176984,'1',223,'N'),(25,6177018,'1',308,'N'),(25,6177026,'1',216,'N'),(25,6177026,'1A',201,'N'),(25,6177034,'1',103,'N'),(25,6177042,'1',103,'N'),(25,6177077,'1',420,'N'),(25,6177093,'1',104,'N'),(25,6177107,'1',201,'N'),(25,6177107,'1A',207,'N'),(25,6177115,'1',103,'N'),(25,6177140,'1',103,'N'),(25,6177158,'1',216,'N'),(25,6177166,'1',415,'N'),(25,6177174,'1',652,'N'),(25,6177174,'1A',653,'N'),(25,6177182,'1',404,'N'),(25,6177190,'1',415,'N'),(25,6177204,'1',103,'N'),(25,6177212,'1',103,'N'),(25,6177220,'1',207,'N'),(25,6177220,'1A',201,'N'),(25,6177239,'1',5,'N'),(25,6177247,'1',303,'N'),(25,6177263,'1',5,'N'),(25,6177280,'1',103,'N'),(25,6177298,'1',319,'N'),(25,6177301,'1',5,'N'),(25,6177310,'1',103,'N'),(25,6177328,'1',103,'N'),(25,6177336,'1',331,'N'),(25,6177352,'1',201,'N'),(25,6177352,'1A',203,'N'),(25,6177360,'1',303,'N'),(25,6177395,'1',999,'N'),(25,6177409,'1',503,'N'),(25,6177417,'1',999,'N'),(25,6177425,'1',103,'N'),(25,6177433,'1',103,'N'),(25,6177441,'1',303,'N'),(25,6177450,'1',202,'N'),(25,6177450,'1A',601,'N'),(25,6177484,'1',999,'N'),(25,6177492,'1',103,'N'),(25,6177506,'1',551,'N'),(25,6177522,'1',201,'N'),(25,6177522,'1A',203,'N'),(25,6177530,'1',103,'N'),(25,6177557,'1',216,'N'),(25,6177557,'1A',652,'N'),(25,6177565,'1',201,'N'),(25,6177565,'1A',212,'N'),(25,6177581,'1',220,'N'),(25,6177581,'1A',202,'N'),(25,6177590,'1',104,'N'),(25,6177603,'1',333,'N'),(25,6177611,'1',103,'N'),(25,6177620,'1',501,'N'),(25,6177638,'1',220,'N'),(25,6177638,'1A',235,'N'),(25,6177646,'1',213,'N'),(25,6177646,'1A',214,'N'),(25,6177654,'1',9,'N'),(25,6177662,'1',103,'N'),(25,6177670,'1',103,'N'),(25,6177697,'1',201,'N'),(25,6177697,'1A',212,'N'),(25,6177700,'1',202,'N'),(25,6177700,'1A',235,'N'),(25,6177719,'1',238,'N'),(25,6177719,'1A',208,'N'),(25,6177727,'1',444,'N'),(25,6177735,'1',104,'N'),(25,6177743,'1',216,'N'),(25,6177743,'1A',215,'N'),(25,6177751,'1',103,'N'),(25,6177760,'1',999,'N'),(25,6177778,'1',101,'N'),(25,6177786,'1',103,'N'),(25,6177808,'1',501,'N'),(25,6177816,'1',9,'N'),(25,6177824,'1',101,'N'),(25,6177832,'1',103,'N'),(25,6177840,'1',415,'N'),(25,6177859,'1',340,'N'),(25,6177867,'1',453,'N'),(25,6177875,'1',201,'N'),(25,6177875,'1A',212,'N'),(25,6177883,'1',216,'N'),(25,6177883,'1A',211,'N'),(25,6177891,'1',999,'N'),(25,6177913,'1',103,'N'),(25,6177930,'1',216,'N'),(25,6177930,'1A',235,'N'),(25,6177948,'1',220,'N'),(25,6177948,'1A',203,'N'),(25,6177956,'1',103,'N'),(25,6177964,'1',207,'N'),(25,6177964,'1A',655,'N'),(25,6177999,'1',220,'N'),(25,6177999,'1A',235,'N'),(25,6178006,'1',108,'N'),(25,6178014,'1',109,'N'),(25,6178022,'1',601,'N'),(25,6178022,'1A',202,'N'),(25,6178030,'1',317,'N'),(25,6178049,'1',103,'N'),(25,6178073,'1',103,'N'),(25,6178081,'1',203,'N'),(25,6178090,'1',208,'N'),(25,6178090,'1A',238,'N'),(25,6178103,'1',103,'N'),(25,6178111,'1',502,'N'),(25,6178138,'1',220,'N'),(25,6178138,'1A',203,'N'),(25,6178146,'1',203,'N'),(25,6178146,'1A',655,'N'),(25,6178162,'1',103,'N'),(25,6178170,'1',203,'N'),(25,6178170,'1A',214,'N'),(25,6178189,'1',103,'N'),(25,6178197,'1',452,'N'),(25,6178200,'1',103,'N'),(25,6178219,'1',303,'N'),(25,6178227,'1',103,'N'),(25,6178235,'1',211,'N'),(25,6178235,'1A',215,'N'),(25,6178243,'1',103,'N'),(25,6178260,'1',652,'N'),(25,6178260,'1A',655,'N'),(25,6178278,'1',653,'N'),(25,6178278,'1A',655,'N'),(25,6178286,'1',103,'N'),(25,6178294,'1',103,'N'),(25,6178316,'1',103,'N'),(25,6178332,'1',103,'N'),(25,6178340,'1',233,'N'),(25,6178340,'1A',213,'N'),(25,6178359,'1',103,'N'),(25,6178367,'1',207,'N'),(25,6178367,'1A',201,'N'),(25,6178375,'1',501,'N'),(25,6178383,'1',103,'N'),(25,6178413,'1',999,'N'),(25,6178421,'1',102,'N'),(25,6178430,'1',336,'N'),(25,6178448,'1',452,'N'),(25,6178456,'1',103,'N'),(25,6178464,'1',203,'N'),(25,6178464,'1A',653,'N'),(25,6178499,'1',303,'N'),(25,6178502,'1',9,'N'),(25,6178510,'1',5,'N'),(25,6178529,'1',450,'N'),(25,6178537,'1',215,'N'),(25,6178537,'1A',216,'N'),(25,6178545,'1',103,'N'),(25,6178561,'1',211,'N'),(25,6178561,'1A',233,'N'),(25,6178570,'1',103,'N'),(25,6178588,'1',104,'N'),(25,6178596,'1',103,'N'),(25,6178600,'1',103,'N'),(25,6178618,'1',202,'N'),(25,6178618,'1A',201,'N'),(25,6178626,'1',316,'N'),(25,6178634,'1',103,'N'),(25,6178650,'1',201,'N'),(25,6178650,'1A',212,'N'),(25,6178685,'1',201,'N'),(25,6178685,'1A',211,'N'),(25,6178693,'1',103,'N'),(25,6178707,'1',303,'N'),(25,6178723,'1',999,'N'),(25,6178731,'1',203,'N'),(25,6178731,'1A',202,'N'),(25,6178740,'1',103,'N'),(25,6178758,'1',103,'N'),(25,6178774,'1',233,'N'),(25,6178774,'1A',214,'N'),(25,6178782,'1',103,'N'),(25,6178790,'1',103,'N'),(25,6178804,'1',9,'N'),(25,6178812,'1',303,'N'),(25,6178820,'1',103,'N'),(25,6178839,'1',103,'N'),(25,6178847,'1',203,'N'),(25,6178847,'1A',202,'N'),(25,6178855,'1',551,'N'),(25,6178863,'1',303,'N'),(25,6178871,'1',238,'N'),(25,6178871,'1A',652,'N'),(25,6178880,'1',212,'N'),(25,6178880,'1A',233,'N'),(25,6178898,'1',999,'N'),(25,6178901,'1',203,'N'),(25,6178901,'1A',235,'N'),(25,6178910,'1',103,'N'),(25,6178928,'1',238,'N'),(25,6178928,'1A',220,'N'),(25,6178936,'1',103,'N'),(25,6178944,'1',5,'N'),(25,6178952,'1',203,'N'),(25,6178952,'1A',214,'N'),(25,6178979,'1',425,'N'),(25,6178979,'1A',428,'N'),(25,6178987,'1',101,'N'),(25,6179002,'1',103,'N'),(25,6179010,'1',201,'N'),(25,6179010,'1A',213,'N'),(25,6179029,'1',103,'N'),(25,6179037,'1',324,'N'),(25,6179045,'1',207,'N'),(25,6179061,'1',233,'N'),(25,6179061,'1A',212,'N'),(25,6179070,'1',104,'N'),(25,6179088,'1',207,'N'),(25,6179088,'1A',212,'N'),(25,6179096,'1',303,'N'),(25,6179100,'1',502,'N'),(25,6179118,'1',103,'N'),(25,6179126,'1',103,'N'),(25,6179134,'1',308,'N'),(25,6179142,'1',103,'N'),(25,6179150,'1',215,'N'),(25,6179150,'1A',601,'N'),(25,6179169,'1',303,'N'),(25,6179185,'1',601,'N'),(25,6179185,'1A',211,'N'),(25,6179207,'1',104,'N'),(25,6179215,'1',207,'N'),(25,6179215,'1A',233,'N'),(25,6179223,'1',101,'N'),(25,6179231,'1',103,'N'),(25,6179240,'1',9,'N'),(25,6179258,'1',103,'N'),(25,6179266,'1',5,'N'),(25,6179274,'1',203,'N'),(25,6179274,'1A',202,'N'),(25,6179282,'1',202,'N'),(25,6179282,'1A',201,'N'),(25,6179290,'1',103,'N'),(25,6179304,'1',653,'N'),(25,6179312,'1',103,'N'),(25,6179347,'1',201,'N'),(25,6179347,'1A',235,'N'),(25,6179355,'1',333,'N'),(25,6179363,'1',103,'N'),(25,6179371,'1',104,'N'),(25,6179380,'1',103,'N'),(25,6179398,'1',207,'N'),(25,6179398,'1A',215,'N'),(25,6179401,'1',102,'N'),(25,6179410,'1',108,'N'),(25,6179428,'1',103,'N'),(25,6179436,'1',212,'N'),(25,6179436,'1A',216,'N'),(25,6179452,'1',207,'N'),(25,6179460,'1',110,'N'),(25,6179479,'1',5,'N'),(25,6179487,'1',302,'N'),(25,6179495,'1',104,'N'),(25,6179509,'1',404,'N'),(25,6179517,'1',201,'N'),(25,6179517,'1A',653,'N'),(25,6179525,'1',103,'N'),(25,6179533,'1',340,'N'),(25,6179541,'1',109,'N'),(25,6179550,'1',425,'N'),(25,6179550,'1A',429,'N'),(25,6179568,'1',999,'N'),(25,6179576,'1',103,'N'),(25,6179584,'1',301,'N'),(25,6179592,'1',415,'N'),(25,6179606,'1',103,'N'),(25,6179614,'1',103,'N'),(25,6179622,'1',216,'N'),(25,6179622,'1A',601,'N'),(25,6179630,'1',103,'N'),(25,6179649,'1',103,'N'),(25,6179657,'1',216,'N'),(25,6179657,'1A',215,'N'),(25,6179665,'1',304,'N'),(25,6179690,'1',216,'N'),(25,6179690,'1A',215,'N'),(25,6179703,'1',103,'N'),(25,6179711,'1',234,'N'),(25,6179720,'1',302,'N'),(25,6179738,'1',203,'N'),(25,6179738,'1A',214,'N'),(25,6179746,'1',999,'N'),(25,6179754,'1',104,'N'),(25,6179762,'1',220,'N'),(25,6179762,'1A',235,'N'),(25,6179770,'1',5,'N'),(25,6179789,'1',103,'N'),(25,6179797,'1',5,'N'),(25,6179800,'1',103,'N'),(25,6179819,'1',404,'N'),(25,6179827,'1',103,'N'),(25,6179843,'1',238,'N'),(25,6179843,'1A',208,'N'),(25,6179851,'1',444,'N'),(25,6179860,'1',103,'N'),(25,6179878,'1',420,'N'),(25,6179894,'1',104,'N'),(25,6179908,'1',404,'N'),(25,6179916,'1',103,'N'),(25,6179924,'1',104,'N'),(25,6179932,'1',103,'N'),(25,6179959,'1',103,'N'),(25,6179967,'1',103,'N'),(25,6179975,'1',308,'N'),(25,6179991,'1',655,'N'),(25,6180000,'1',303,'N'),(25,6180019,'1',103,'N'),(25,6180027,'1',303,'N'),(25,6180035,'1',444,'N'),(25,6180051,'1',201,'N'),(25,6180051,'1A',601,'N'),(25,6180060,'1',201,'N'),(25,6180060,'1A',203,'N'),(25,6180078,'1',333,'N'),(25,6180086,'1',103,'N'),(25,6180108,'1',103,'N'),(25,6180116,'1',5,'N'),(25,6180124,'1',214,'N'),(25,6180124,'1A',213,'N'),(25,6180132,'1',103,'N'),(25,6180140,'1',103,'N'),(25,6180167,'1',207,'N'),(25,6180167,'1A',201,'N'),(25,6180175,'1',336,'N'),(25,6180183,'1',103,'N'),(25,6180205,'1',101,'N'),(25,6180213,'1',203,'N'),(25,6180213,'1A',202,'N'),(25,6180230,'1',320,'N'),(25,6180248,'1',103,'N'),(25,6180256,'1',453,'N'),(25,6180264,'1',103,'N'),(25,6180272,'1',201,'N'),(25,6180272,'1A',207,'N'),(25,6180280,'1',103,'N'),(25,6180299,'1',207,'N'),(25,6180299,'1A',201,'N'),(25,6180302,'1',5,'N'),(25,6180310,'1',303,'N'),(25,6180329,'1',103,'N'),(25,6180337,'1',5,'N'),(25,6180345,'1',301,'N'),(25,6180361,'1',304,'N'),(25,6180370,'1',319,'N'),(25,6180388,'1',336,'N'),(25,6180418,'1',333,'N'),(25,6180434,'1',109,'N'),(25,6180442,'1',203,'N'),(25,6180442,'1A',601,'N'),(25,6180450,'1',108,'N'),(25,6180469,'1',103,'N'),(25,6180477,'1',216,'N'),(25,6180477,'1A',215,'N'),(25,6180485,'1',233,'N'),(25,6180485,'1A',235,'N'),(25,6180493,'1',201,'N'),(25,6180493,'1A',207,'N'),(25,6180507,'1',207,'N'),(25,6180515,'1',220,'N'),(25,6180515,'1A',601,'N'),(25,6180531,'1',319,'N'),(25,6180566,'1',420,'N'),(25,6180582,'1',301,'N'),(25,6180590,'1',301,'N'),(25,6180612,'1',108,'N'),(25,6180639,'1',425,'N'),(25,6180639,'1A',429,'N'),(25,6180647,'1',103,'N'),(25,6180655,'1',103,'N'),(25,6180663,'1',339,'N'),(25,6180680,'1',103,'N'),(25,6180701,'1',103,'N'),(25,6180710,'1',999,'N'),(25,6180728,'1',428,'N'),(25,6180728,'1A',426,'N'),(25,6180736,'1',103,'N'),(25,6180744,'1',103,'N'),(25,6180752,'1',109,'N'),(25,6180760,'1',424,'N'),(25,6180760,'1A',421,'N'),(25,6180779,'1',207,'N'),(25,6180779,'1A',201,'N'),(25,6180809,'1',103,'N'),(25,6180817,'1',652,'N'),(25,6180817,'1A',655,'N'),(25,6180825,'1',103,'N'),(25,6180833,'1',211,'N'),(25,6180833,'1A',216,'N'),(25,6180841,'1',201,'N'),(25,6180841,'1A',203,'N'),(25,6180850,'1',319,'N'),(25,6180876,'1',211,'N'),(25,6180876,'1A',216,'N'),(25,6180884,'1',103,'N'),(25,6180892,'1',208,'N'),(25,6180892,'1A',238,'N'),(25,6180906,'1',103,'N'),(25,6180914,'1',326,'N'),(25,6180922,'1',326,'N'),(25,6180930,'1',234,'N'),(25,6180949,'1',336,'N'),(25,6180957,'1',211,'N'),(25,6180957,'1A',212,'N'),(25,6180965,'1',9,'N'),(25,6180973,'1',216,'N'),(25,6180973,'1A',214,'N'),(25,6180981,'1',103,'N'),(25,6180990,'1',223,'N'),(25,6181007,'1',103,'N'),(25,6181031,'1',207,'N'),(25,6181031,'1A',212,'N'),(25,6181040,'1',326,'N'),(25,6181058,'1',103,'N'),(25,6181066,'1',103,'N'),(25,6181082,'1',303,'N'),(25,6181112,'1',103,'N'),(25,6181120,'1',329,'N'),(25,6181139,'1',453,'N'),(25,6181147,'1',238,'N'),(25,6181147,'1A',208,'N'),(25,6181155,'1',103,'N'),(25,6181163,'1',212,'N'),(25,6181163,'1A',201,'N'),(25,6181180,'1',9,'N'),(25,6181198,'1',103,'N'),(25,6181201,'1',104,'N'),(25,6181210,'1',108,'N'),(25,6181228,'1',103,'N'),(25,6181236,'1',318,'N'),(25,6181244,'1',404,'N'),(25,6181252,'1',103,'N'),(25,6181260,'1',235,'N'),(25,6181260,'1A',655,'N'),(25,6181287,'1',207,'N'),(25,6181287,'1A',201,'N'),(25,6181295,'1',103,'N'),(25,6181309,'1',203,'N'),(25,6181309,'1A',201,'N'),(25,6181317,'1',211,'N'),(25,6181317,'1A',653,'N'),(25,6181325,'1',340,'N'),(25,6181341,'1',207,'N'),(25,6181341,'1A',201,'N'),(25,6181350,'1',316,'N'),(25,6181384,'1',203,'N'),(25,6181384,'1A',201,'N'),(25,6181392,'1',326,'N'),(25,6181406,'1',203,'N'),(25,6181406,'1A',201,'N'),(25,6181422,'1',103,'N'),(25,6181449,'1',103,'N'),(25,6181465,'1',103,'N'),(25,6181481,'1',103,'N'),(25,6181490,'1',103,'N'),(25,6181503,'1',103,'N'),(25,6181511,'1',104,'N'),(25,6181538,'1',234,'N'),(25,6181554,'1',103,'N'),(25,6181562,'1',654,'N'),(25,6181570,'1',104,'N'),(25,6181589,'1',5,'N'),(25,6181597,'1',207,'N'),(25,6181597,'1A',201,'N'),(25,6181600,'1',235,'N'),(25,6181600,'1A',202,'N'),(25,6181627,'1',303,'N'),(25,6181635,'1',425,'N'),(25,6181635,'1A',429,'N'),(25,6181643,'1',103,'N'),(25,6181660,'1',207,'N'),(25,6181660,'1A',201,'N'),(25,6181716,'1',102,'N'),(25,6181732,'1',103,'N'),(25,6181740,'1',103,'N'),(25,6181759,'1',501,'N'),(25,6181767,'1',103,'N'),(25,6181775,'1',220,'N'),(25,6181775,'1A',235,'N'),(25,6181791,'1',303,'N'),(25,6181805,'1',103,'N'),(25,6181813,'1',103,'N'),(25,6181821,'1',220,'N'),(25,6181821,'1A',235,'N'),(25,6181830,'1',303,'N'),(25,6181848,'1',5,'N'),(25,6181864,'1',444,'N'),(25,6181872,'1',103,'N'),(25,6181880,'1',103,'N'),(25,6181899,'1',5,'N'),(25,6181902,'1',308,'N'),(25,6181910,'1',340,'N'),(25,6181929,'1',207,'N'),(25,6181929,'1A',233,'N'),(25,6181937,'1',202,'N'),(25,6181937,'1A',203,'N'),(25,6181945,'1',415,'N'),(25,6181953,'1',207,'N'),(25,6181953,'1A',233,'N'),(25,6181970,'1',220,'N'),(25,6181970,'1A',208,'N'),(25,6181988,'1',303,'N'),(25,6181996,'1',207,'N'),(25,6181996,'1A',201,'N'),(25,6182003,'1',102,'N'),(25,6182020,'1',503,'N'),(25,6182046,'1',103,'N'),(25,6182054,'1',102,'N'),(25,6182062,'1',336,'N'),(25,6182070,'1',999,'N'),(25,6182089,'1',103,'N'),(25,6182097,'1',303,'N'),(25,6182100,'1',220,'N'),(25,6182100,'1A',214,'N'),(25,6182119,'1',501,'N'),(25,6182127,'1',103,'N'),(25,6182135,'1',404,'N'),(25,6182143,'1',103,'N'),(25,6182151,'1',103,'N'),(25,6182160,'1',103,'N'),(25,6182178,'1',102,'N'),(25,6182186,'1',207,'N'),(25,6182208,'1',453,'N'),(25,6182216,'1',303,'N'),(25,6182224,'1',999,'N'),(25,6182232,'1',103,'N'),(25,6182240,'1',101,'N'),(25,6182259,'1',211,'N'),(25,6182259,'1A',653,'N'),(25,6182267,'1',203,'N'),(25,6182267,'1A',220,'N'),(25,6182275,'1',424,'N'),(25,6182275,'1A',428,'N'),(25,6182283,'1',5,'N'),(25,6182291,'1',234,'N'),(25,6182305,'1',551,'N'),(25,6182321,'1',654,'N'),(25,6182348,'1',203,'N'),(25,6182348,'1A',215,'N'),(25,6182356,'1',203,'N'),(25,6182356,'1A',214,'N'),(25,6182364,'1',108,'N'),(25,6182372,'1',501,'N'),(25,6182380,'1',103,'N'),(25,6182402,'1',201,'N'),(25,6182402,'1A',212,'N'),(25,6182410,'1',502,'N'),(25,6182437,'1',304,'N'),(25,6182445,'1',201,'N'),(25,6182445,'1A',207,'N'),(25,6182453,'1',207,'N'),(25,6182461,'1',103,'N'),(25,6182470,'1',103,'N'),(25,6182488,'1',109,'N'),(25,6182496,'1',103,'N'),(25,6182500,'1',303,'N'),(25,6182526,'1',234,'N'),(25,6182534,'1',101,'N'),(25,6182542,'1',207,'N'),(25,6182542,'1A',201,'N'),(25,6182550,'1',104,'N'),(25,6182577,'1',333,'N'),(25,6182585,'1',601,'N'),(25,6182585,'1A',203,'N'),(25,6182607,'1',303,'N'),(25,6182615,'1',303,'N'),(25,6182623,'1',216,'N'),(25,6182623,'1A',233,'N'),(25,6182631,'1',103,'N'),(25,6182640,'1',216,'N'),(25,6182640,'1A',233,'N'),(25,6182666,'1',103,'N'),(25,6182674,'1',220,'N'),(25,6182674,'1A',203,'N'),(25,6182682,'1',332,'N'),(25,6182690,'1',103,'N'),(25,6182704,'1',203,'N'),(25,6182704,'1A',201,'N'),(25,6182712,'1',104,'N'),(25,6182720,'1',453,'N'),(25,6182739,'1',2,'N'),(25,6182755,'1',303,'N'),(25,6182763,'1',201,'N'),(25,6182771,'1',201,'N'),(25,6182771,'1A',202,'N'),(25,6182780,'1',103,'N'),(25,6182798,'1',238,'N'),(25,6182798,'1A',208,'N'),(25,6182801,'1',103,'N'),(25,6182810,'1',103,'N'),(25,6182828,'1',233,'N'),(25,6182828,'1A',207,'N'),(25,6182836,'1',201,'N'),(25,6182836,'1A',207,'N'),(25,6182844,'1',201,'N'),(25,6182844,'1A',207,'N'),(25,6182852,'1',303,'N'),(25,6182879,'1',214,'N'),(25,6182879,'1A',212,'N'),(25,6182887,'1',302,'N'),(25,6182895,'1',201,'N'),(25,6182895,'1A',233,'N'),(25,6182909,'1',207,'N'),(25,6182909,'1A',216,'N'),(25,6182917,'1',108,'N'),(25,6182941,'1',340,'N'),(25,6182950,'1',103,'N'),(25,6182968,'1',103,'N'),(25,6182976,'1',216,'N'),(25,6182976,'1A',203,'N'),(25,6182984,'1',5,'N'),(25,6182992,'1',103,'N'),(25,6183000,'1',103,'N'),(25,6183018,'1',317,'N'),(25,6183026,'1',104,'N'),(25,6183034,'1',103,'N'),(25,6183042,'1',201,'N'),(25,6183050,'1',337,'N'),(25,6183069,'1',301,'N'),(25,6183077,'1',220,'N'),(25,6183077,'1A',203,'N'),(25,6183107,'1',103,'N'),(25,6183115,'1',215,'N'),(25,6183115,'1A',211,'N'),(25,6183123,'1',220,'N'),(25,6183123,'1A',203,'N'),(25,6183131,'1',999,'N'),(25,6183140,'1',103,'N'),(25,6183158,'1',103,'N'),(25,6183166,'1',201,'N'),(25,6183166,'1A',652,'N'),(25,6183174,'1',103,'N'),(25,6183182,'1',999,'N'),(25,6183190,'1',103,'N'),(25,6183212,'1',201,'N'),(25,6183220,'1',201,'N'),(25,6183220,'1A',212,'N'),(25,6183247,'1',101,'N'),(25,6183255,'1',103,'N'),(25,6183263,'1',103,'N'),(25,6183271,'1',103,'N'),(25,6183280,'1',103,'N'),(25,6183301,'1',103,'N'),(25,6183310,'1',203,'N'),(25,6183310,'1A',653,'N'),(25,6183336,'1',999,'N'),(25,6183344,'1',5,'N'),(25,6183352,'1',319,'N'),(25,6183360,'1',201,'N'),(25,6183360,'1A',215,'N'),(25,6183379,'1',317,'N'),(25,6183387,'1',207,'N'),(25,6183387,'1A',201,'N'),(25,6183395,'1',303,'N'),(25,6183409,'1',207,'N'),(25,6183409,'1A',201,'N'),(25,6183417,'1',333,'N'),(25,6183425,'1',103,'N'),(25,6183433,'1',420,'N'),(25,6183441,'1',103,'N'),(25,6183468,'1',103,'N'),(25,6183476,'1',103,'N'),(25,6183484,'1',340,'N'),(25,6183492,'1',211,'N'),(25,6183492,'1A',201,'N'),(25,6183506,'1',333,'N'),(25,6183514,'1',309,'N'),(25,6183522,'1',450,'N'),(25,6183530,'1',104,'N'),(25,6183549,'1',103,'N'),(25,6183565,'1',103,'N'),(25,6183573,'1',5,'N'),(25,6183581,'1',103,'N'),(25,6183590,'1',203,'N'),(25,6183590,'1A',214,'N'),(25,6183603,'1',101,'N'),(25,6183611,'1',103,'N'),(25,6183620,'1',103,'N'),(25,6183638,'1',654,'N'),(25,6183654,'1',302,'N'),(25,6183662,'1',103,'N'),(25,6183670,'1',308,'N'),(25,6183719,'1',103,'N'),(25,6183727,'1',103,'N'),(25,6183735,'1',332,'N'),(25,6183751,'1',103,'N'),(25,6183760,'1',339,'N'),(25,6183778,'1',5,'N'),(25,6183786,'1',103,'N'),(25,6183794,'1',5,'N'),(25,6183808,'1',303,'N'),(25,6183832,'1',340,'N'),(25,6183840,'1',102,'N'),(25,6183859,'1',207,'N'),(25,6183859,'1A',201,'N'),(25,6183867,'1',103,'N'),(25,6183875,'1',103,'N'),(25,6183883,'1',103,'N'),(25,6183891,'1',103,'N'),(25,6183905,'1',233,'N'),(25,6183905,'1A',211,'N'),(25,6183913,'1',103,'N'),(25,6183930,'1',444,'N'),(25,6183948,'1',103,'N'),(25,6183964,'1',201,'N'),(25,6183964,'1A',212,'N'),(25,6183972,'1',233,'N'),(25,6183972,'1A',601,'N'),(25,6183980,'1',450,'N'),(25,6183999,'1',109,'N'),(25,6184006,'1',999,'N'),(25,6184014,'1',201,'N'),(25,6184014,'1A',211,'N'),(25,6184022,'1',238,'N'),(25,6184022,'1A',235,'N'),(25,6184030,'1',201,'N'),(25,6184030,'1A',212,'N'),(25,6184049,'1',103,'N'),(25,6184057,'1',214,'N'),(25,6184057,'1A',233,'N'),(25,6184065,'1',211,'N'),(25,6184065,'1A',216,'N'),(25,6184073,'1',103,'N'),(25,6184081,'1',104,'N'),(25,6184090,'1',654,'N'),(25,6184103,'1',102,'N'),(25,6184111,'1',415,'N'),(25,6184120,'1',415,'N'),(25,6184138,'1',5,'N'),(25,6184146,'1',207,'N'),(25,6184197,'1',201,'N'),(25,6184197,'1A',212,'N'),(25,6184219,'1',211,'N'),(25,6184219,'1A',216,'N'),(25,6184227,'1',415,'N'),(25,6184235,'1',303,'N'),(25,6184243,'1',103,'N'),(25,6184251,'1',203,'N'),(25,6184251,'1A',202,'N'),(25,6184260,'1',303,'N'),(25,6184278,'1',238,'N'),(25,6184278,'1A',652,'N'),(25,6184286,'1',103,'N'),(25,6184332,'1',110,'N'),(25,6184340,'1',109,'N'),(25,6184359,'1',303,'N'),(25,6184367,'1',103,'N'),(25,6184375,'1',104,'N'),(25,6184383,'1',211,'N'),(25,6184405,'1',308,'N'),(25,6184413,'1',316,'N'),(25,6184421,'1',207,'N'),(25,6184421,'1A',215,'N'),(25,6184430,'1',211,'N'),(25,6184430,'1A',215,'N'),(25,6184448,'1',103,'N'),(25,6184456,'1',310,'N'),(25,6184464,'1',207,'N'),(25,6184464,'1A',235,'N'),(25,6184472,'1',223,'N'),(25,6184480,'1',3,'N'),(25,6184499,'1',302,'N'),(25,6184502,'1',213,'N'),(25,6184502,'1A',601,'N'),(25,6184510,'1',303,'N'),(25,6184529,'1',501,'N'),(25,6184537,'1',104,'N'),(25,6184545,'1',103,'N'),(25,6184553,'1',103,'N'),(25,6184561,'1',103,'N'),(25,6184588,'1',999,'N'),(25,6184596,'1',201,'N'),(25,6184596,'1A',212,'N'),(25,6184600,'1',339,'N'),(25,6184618,'1',203,'N'),(25,6184618,'1A',214,'N'),(25,6184626,'1',207,'N'),(25,6184626,'1A',201,'N'),(25,6184634,'1',301,'N'),(25,6184642,'1',103,'N'),(25,6184650,'1',103,'N'),(25,6184669,'1',103,'N'),(25,6184677,'1',103,'N'),(25,6184685,'1',9,'N'),(25,6184693,'1',104,'N'),(25,6184707,'1',203,'N'),(25,6184707,'1A',202,'N'),(25,6184715,'1',317,'N'),(25,6184723,'1',309,'N'),(25,6184731,'1',503,'N'),(25,6184740,'1',203,'N'),(25,6184740,'1A',214,'N'),(25,6184820,'1',103,'N'),(25,6184839,'1',444,'N'),(25,6184847,'1',318,'N'),(25,6184863,'1',103,'N'),(25,6184871,'1',420,'N'),(25,6184880,'1',103,'N'),(25,6184901,'1',420,'N'),(25,6184910,'1',5,'N'),(25,6184928,'1',340,'N'),(25,6184936,'1',201,'N'),(25,6184936,'1A',212,'N'),(25,6184944,'1',425,'N'),(25,6184944,'1A',429,'N'),(25,6184952,'1',103,'N'),(25,6184960,'1',324,'N'),(25,6184979,'1',104,'N'),(25,6184987,'1',5,'N'),(25,6184995,'1',103,'N'),(25,6185002,'1',103,'N'),(25,6185037,'1',9,'N'),(25,6185045,'1',303,'N'),(25,6185061,'1',303,'N'),(25,6185070,'1',103,'N'),(25,6185096,'1',303,'N'),(25,6185100,'1',331,'N'),(25,6185118,'1',9,'N'),(25,6185126,'1',103,'N'),(25,6185134,'1',208,'N'),(25,6185134,'1A',238,'N'),(25,6185142,'1',103,'N'),(25,6185150,'1',302,'N'),(25,6185169,'1',103,'N'),(25,6185177,'1',551,'N'),(25,6185185,'1',201,'N'),(25,6185185,'1A',212,'N'),(25,6185193,'1',103,'N'),(25,6185207,'1',425,'N'),(25,6185207,'1A',423,'N'),(25,6185215,'1',999,'N'),(25,6185223,'1',601,'N'),(25,6185223,'1A',207,'N'),(25,6185231,'1',201,'N'),(25,6185231,'1A',212,'N'),(25,6185240,'1',303,'N'),(25,6185266,'1',333,'N'),(25,6185274,'1',207,'N'),(25,6185274,'1A',201,'N'),(25,6185290,'1',103,'N'),(25,6185304,'1',428,'N'),(25,6185304,'1A',426,'N'),(25,6185312,'1',340,'N'),(25,6185339,'1',103,'N'),(25,6185347,'1',5,'N'),(25,6185355,'1',653,'N'),(25,6185363,'1',429,'N'),(25,6185380,'1',404,'N'),(25,6185398,'1',103,'N'),(25,6185401,'1',201,'N'),(25,6185401,'1A',207,'N'),(25,6185410,'1',333,'N'),(25,6185428,'1',310,'N'),(25,6185444,'1',211,'N'),(25,6185444,'1A',201,'N'),(25,6185452,'1',601,'N'),(25,6185452,'1A',202,'N'),(25,6185460,'1',301,'N'),(25,6185479,'1',404,'N'),(25,6185487,'1',203,'N'),(25,6185495,'1',103,'N'),(25,6185509,'1',203,'N'),(25,6185509,'1A',207,'N'),(25,6185517,'1',103,'N'),(25,6185525,'1',329,'N'),(25,6185533,'1',453,'N'),(25,6185541,'1',103,'N'),(25,6185550,'1',103,'N'),(25,6185568,'1',452,'N'),(25,6185576,'1',103,'N'),(25,6185584,'1',233,'N'),(25,6185584,'1A',216,'N'),(25,6185592,'1',103,'N'),(25,6185606,'1',999,'N'),(25,6185614,'1',207,'N'),(25,6185614,'1A',201,'N'),(25,6185622,'1',302,'N'),(25,6185630,'1',303,'N'),(25,6185657,'1',653,'N'),(25,6185657,'1A',202,'N'),(25,6185665,'1',207,'N'),(25,6185665,'1A',216,'N'),(25,6185681,'1',450,'N'),(25,6185690,'1',303,'N'),(25,6185703,'1',444,'N'),(25,6185711,'1',103,'N'),(25,6185720,'1',201,'N'),(25,6185720,'1A',211,'N'),(25,6185738,'1',103,'N'),(25,6185762,'1',103,'N'),(25,6185770,'1',327,'N'),(25,6185819,'1',208,'N'),(25,6185819,'1A',238,'N'),(25,6185827,'1',340,'N'),(25,6185835,'1',201,'N'),(25,6185835,'1A',212,'N'),(25,6185851,'1',103,'N'),(25,6185860,'1',103,'N'),(25,6185878,'1',103,'N'),(25,6185886,'1',339,'N'),(25,6185894,'1',109,'N'),(25,6185908,'1',207,'N'),(25,6185908,'1A',216,'N'),(25,6185916,'1',201,'N'),(25,6185916,'1A',202,'N'),(25,6185924,'1',202,'N'),(25,6185924,'1A',213,'N'),(25,6185932,'1',109,'N'),(25,6185940,'1',207,'N'),(25,6185940,'1A',201,'N'),(25,6185959,'1',421,'N'),(25,6185959,'1A',427,'N'),(25,6185967,'1',103,'N'),(25,6185975,'1',319,'N'),(25,6185983,'1',201,'N'),(25,6185983,'1A',202,'N'),(25,6186009,'1',109,'N'),(25,6186017,'1',202,'N'),(25,6186017,'1A',201,'N'),(25,6186025,'1',233,'N'),(25,6186025,'1A',213,'N'),(25,6186033,'1',214,'N'),(25,6186033,'1A',213,'N'),(25,6186041,'1',304,'N'),(25,6186050,'1',453,'N'),(25,6186068,'1',203,'N'),(25,6186068,'1A',220,'N'),(25,6186076,'1',233,'N'),(25,6186076,'1A',220,'N'),(25,6186084,'1',234,'N'),(25,6186092,'1',303,'N'),(25,6186106,'1',9,'N'),(25,6186114,'1',420,'N'),(25,6186122,'1',103,'N'),(25,6186149,'1',103,'N'),(25,6186157,'1',421,'N'),(25,6186165,'1',211,'N'),(25,6186165,'1A',601,'N'),(25,6186173,'1',216,'N'),(25,6186173,'1A',211,'N'),(25,6186181,'1',5,'N'),(25,6186190,'1',207,'N'),(25,6186190,'1A',212,'N'),(25,6186203,'1',203,'N'),(25,6186203,'1A',214,'N'),(25,6186211,'1',999,'N'),(25,6186220,'1',340,'N'),(25,6186238,'1',103,'N'),(25,6186246,'1',215,'N'),(25,6186246,'1A',233,'N'),(25,6186254,'1',333,'N'),(25,6186262,'1',216,'N'),(25,6186270,'1',207,'N'),(25,6186270,'1A',211,'N'),(25,6186297,'1',103,'N'),(25,6186300,'1',216,'N'),(25,6186300,'1A',215,'N'),(25,6186319,'1',103,'N'),(25,6186327,'1',201,'N'),(25,6186327,'1A',207,'N'),(25,6186335,'1',452,'N'),(25,6186343,'1',303,'N'),(25,6186360,'1',110,'N'),(25,6186378,'1',332,'N'),(25,6186394,'1',216,'N'),(25,6186394,'1A',215,'N'),(25,6186408,'1',503,'N'),(25,6186416,'1',420,'N'),(25,6186424,'1',340,'N'),(25,6186432,'1',104,'N'),(25,6186440,'1',201,'N'),(25,6186459,'1',503,'N'),(25,6186467,'1',404,'N'),(25,6186475,'1',5,'N'),(25,6186505,'1',207,'N'),(25,6186513,'1',211,'N'),(25,6186513,'1A',215,'N'),(25,6186521,'1',3,'N'),(25,6186530,'1',303,'N'),(25,6186548,'1',103,'N'),(25,6186556,'1',216,'N'),(25,6186556,'1A',207,'N'),(25,6186564,'1',238,'N'),(25,6186564,'1A',208,'N'),(25,6186572,'1',201,'N'),(25,6186572,'1A',212,'N'),(25,6186580,'1',303,'N'),(25,6186599,'1',453,'N'),(25,6186602,'1',5,'N'),(25,6186610,'1',103,'N'),(25,6186637,'1',103,'N'),(25,6186645,'1',319,'N'),(25,6186653,'1',103,'N'),(25,6186661,'1',654,'N'),(25,6186670,'1',654,'N'),(25,6186688,'1',104,'N'),(25,6186696,'1',103,'N'),(25,6186700,'1',103,'N'),(25,6186718,'1',5,'N'),(25,6186726,'1',103,'N'),(25,6186734,'1',103,'N'),(25,6186742,'1',103,'N'),(25,6186750,'1',216,'N'),(25,6186750,'1A',215,'N'),(25,6186769,'1',220,'N'),(25,6186769,'1A',203,'N'),(25,6186777,'1',104,'N'),(25,6186785,'1',108,'N'),(25,6186793,'1',104,'N'),(25,6186807,'1',201,'N'),(25,6186807,'1A',207,'N'),(25,6186815,'1',212,'N'),(25,6186815,'1A',201,'N'),(25,6186823,'1',652,'N'),(25,6186823,'1A',655,'N'),(25,6186831,'1',103,'N'),(25,6186840,'1',425,'N'),(25,6186840,'1A',428,'N'),(25,6186858,'1',302,'N'),(25,6186866,'1',202,'N'),(25,6186866,'1A',235,'N'),(25,6186882,'1',309,'N'),(25,6186890,'1',103,'N'),(25,6186904,'1',103,'N'),(25,6186912,'1',103,'N'),(25,6186920,'1',214,'N'),(25,6186920,'1A',212,'N'),(25,6186939,'1',235,'N'),(25,6186939,'1A',220,'N'),(25,6186947,'1',304,'N'),(25,6186955,'1',103,'N'),(25,6186963,'1',5,'N'),(25,6186971,'1',103,'N'),(25,6186998,'1',655,'N'),(25,6186998,'1A',653,'N'),(25,6187005,'1',502,'N'),(25,6187013,'1',423,'N'),(25,6187013,'1A',426,'N'),(25,6187021,'1',103,'N'),(25,6187030,'1',326,'N'),(25,6187056,'1',425,'N'),(25,6187056,'1A',428,'N'),(25,6187064,'1',103,'N'),(25,6187072,'1',102,'N'),(25,6187080,'1',501,'N'),(25,6187099,'1',103,'N'),(25,6187102,'1',238,'N'),(25,6187102,'1A',202,'N'),(25,6187110,'1',220,'N'),(25,6187110,'1A',214,'N'),(25,6187129,'1',103,'N'),(25,6187137,'1',208,'N'),(25,6187137,'1A',238,'N'),(25,6187145,'1',216,'N'),(25,6187145,'1A',215,'N'),(25,6187153,'1',103,'N'),(25,6187170,'1',308,'N'),(25,6187188,'1',340,'N'),(25,6187200,'1',103,'N'),(25,6187218,'1',103,'N'),(25,6187226,'1',110,'N'),(25,6187234,'1',302,'N'),(25,6187242,'1',450,'N'),(25,6187269,'1',103,'N'),(25,6187277,'1',103,'N'),(25,6187285,'1',220,'N'),(25,6187285,'1A',211,'N'),(25,6187293,'1',319,'N'),(25,6187307,'1',317,'N'),(25,6187315,'1',103,'N'),(25,6187323,'1',108,'N'),(25,6187331,'1',601,'N'),(25,6187331,'1A',216,'N'),(25,6187340,'1',101,'N'),(25,6187366,'1',216,'N'),(25,6187366,'1A',233,'N'),(25,6187390,'1',654,'N'),(25,6187404,'1',103,'N'),(25,6187412,'1',303,'N'),(25,6187420,'1',423,'N'),(25,6187420,'1A',425,'N'),(25,6187439,'1',420,'N'),(25,6187447,'1',103,'N'),(25,6187463,'1',302,'N'),(25,6187471,'1',103,'N'),(25,6187480,'1',103,'N'),(25,6187501,'1',225,'N'),(25,6187528,'1',308,'N'),(25,6187544,'1',601,'N'),(25,6187544,'1A',208,'N'),(25,6187552,'1',103,'N'),(25,6187560,'1',202,'N'),(25,6187560,'1A',201,'N'),(25,6187595,'1',102,'N'),(25,6187609,'1',303,'N'),(25,6187617,'1',316,'N'),(25,6187625,'1',202,'N'),(25,6187625,'1A',213,'N'),(25,6187633,'1',104,'N'),(25,6187641,'1',316,'N'),(25,6187650,'1',207,'N'),(25,6187650,'1A',201,'N'),(25,6187676,'1',216,'N'),(25,6187676,'1A',212,'N'),(25,6187684,'1',103,'N'),(25,6187692,'1',420,'N'),(25,6187706,'1',102,'N'),(25,6187714,'1',335,'N'),(25,6187722,'1',103,'N'),(25,6187730,'1',104,'N'),(25,6187749,'1',104,'N'),(25,6187757,'1',103,'N'),(25,6187765,'1',238,'N'),(25,6187765,'1A',208,'N'),(25,6187773,'1',331,'N'),(25,6187781,'1',103,'N'),(25,6187790,'1',452,'N'),(25,6187803,'1',103,'N'),(25,6187820,'1',319,'N'),(25,6187838,'1',103,'N'),(25,6187846,'1',216,'N'),(25,6187846,'1A',233,'N'),(25,6187854,'1',216,'N'),(25,6187854,'1A',211,'N'),(25,6187862,'1',303,'N'),(25,6187870,'1',999,'N'),(25,6187889,'1',103,'N'),(25,6187897,'1',999,'N'),(25,6187900,'1',303,'N'),(25,6187919,'1',103,'N'),(25,6187927,'1',103,'N'),(25,6187935,'1',316,'N'),(25,6187943,'1',103,'N'),(25,6187951,'1',453,'N'),(25,6187978,'1',103,'N'),(25,6187986,'1',202,'N'),(25,6187986,'1A',235,'N'),(25,6187994,'1',103,'N'),(25,6188001,'1',415,'N'),(25,6188010,'1',104,'N'),(25,6188044,'1',201,'N'),(25,6188044,'1A',601,'N'),(25,6188052,'1',316,'N'),(25,6188060,'1',103,'N'),(25,6188087,'1',308,'N'),(25,6188095,'1',211,'N'),(25,6188095,'1A',215,'N'),(25,6188109,'1',220,'N'),(25,6188109,'1A',216,'N'),(25,6188117,'1',207,'N'),(25,6188117,'1A',211,'N'),(25,6188125,'1',5,'N'),(25,6188133,'1',108,'N'),(25,6188150,'1',109,'N'),(25,6188176,'1',103,'N'),(25,6188184,'1',211,'N'),(25,6188192,'1',302,'N'),(25,6188206,'1',303,'N'),(25,6188214,'1',235,'N'),(25,6188214,'1A',202,'N'),(25,6188222,'1',102,'N'),(25,6188249,'1',201,'N'),(25,6188249,'1A',208,'N'),(25,6188257,'1',309,'N'),(25,6188273,'1',103,'N'),(25,6188281,'1',203,'N'),(25,6188281,'1A',601,'N'),(25,6188290,'1',103,'N'),(25,6188303,'1',207,'N'),(25,6188303,'1A',211,'N'),(25,6188311,'1',108,'N'),(25,6188320,'1',201,'N'),(25,6188320,'1A',220,'N'),(25,6188338,'1',201,'N'),(25,6188338,'1A',207,'N'),(25,6188346,'1',234,'N'),(25,6188354,'1',213,'N'),(25,6188354,'1A',235,'N'),(25,6188389,'1',213,'N'),(25,6188389,'1A',212,'N'),(25,6188397,'1',444,'N'),(25,6188400,'1',999,'N'),(25,6188419,'1',428,'N'),(25,6188427,'1',601,'N'),(25,6188427,'1A',215,'N'),(25,6188435,'1',104,'N'),(25,6188443,'1',5,'N'),(25,6188451,'1',103,'N'),(25,6188460,'1',444,'N'),(25,6188478,'1',103,'N'),(25,6188486,'1',333,'N'),(25,6188494,'1',415,'N'),(25,6188524,'1',103,'N'),(25,6188532,'1',108,'N'),(25,6188540,'1',203,'N'),(25,6188540,'1A',214,'N'),(25,6188559,'1',203,'N'),(25,6188559,'1A',212,'N'),(25,6188567,'1',103,'N'),(25,6188575,'1',203,'N'),(25,6188575,'1A',220,'N'),(25,6188583,'1',103,'N'),(25,6188591,'1',211,'N'),(25,6188591,'1A',207,'N'),(25,6188605,'1',220,'N'),(25,6188605,'1A',214,'N'),(25,6188613,'1',103,'N'),(25,6188621,'1',103,'N'),(25,6188630,'1',216,'N'),(25,6188630,'1A',601,'N'),(25,6188648,'1',103,'N'),(25,6188656,'1',211,'N'),(25,6188656,'1A',653,'N'),(25,6188664,'1',201,'N'),(25,6188664,'1A',235,'N'),(25,6188672,'1',103,'N'),(25,6188680,'1',103,'N'),(25,6188699,'1',103,'N'),(25,6188702,'1',103,'N'),(25,6188729,'1',103,'N'),(25,6188737,'1',340,'N'),(25,6188745,'1',654,'N'),(25,6188753,'1',203,'N'),(25,6188753,'1A',201,'N'),(25,6188761,'1',404,'N'),(25,6188770,'1',301,'N'),(25,6188788,'1',339,'N'),(25,6188796,'1',103,'N'),(25,6188800,'1',103,'N'),(25,6188818,'1',208,'N'),(25,6188818,'1A',238,'N'),(25,6188842,'1',103,'N'),(25,6188869,'1',452,'N'),(25,6188885,'1',103,'N'),(25,6188893,'1',208,'N'),(25,6188893,'1A',655,'N'),(25,6188907,'1',103,'N'),(25,6188915,'1',502,'N'),(25,6188923,'1',103,'N'),(25,6188931,'1',103,'N'),(25,6188940,'1',201,'N'),(25,6188940,'1A',233,'N'),(25,6188958,'1',318,'N'),(25,6188974,'1',216,'N'),(25,6188974,'1A',214,'N'),(25,6188982,'1',319,'N'),(25,6189008,'1',5,'N'),(25,6189016,'1',214,'N'),(25,6189016,'1A',213,'N'),(25,6189032,'1',233,'N'),(25,6189032,'1A',201,'N'),(25,6189059,'1',211,'N'),(25,6189059,'1A',215,'N'),(25,6189067,'1',233,'N'),(25,6189067,'1A',235,'N'),(25,6189083,'1',503,'N'),(25,6189091,'1',108,'N'),(25,6189105,'1',450,'N'),(25,6189113,'1',203,'N'),(25,6189113,'1A',202,'N'),(25,6189121,'1',213,'N'),(25,6189121,'1A',202,'N'),(25,6189130,'1',214,'N'),(25,6189156,'1',103,'N'),(25,6189172,'1',319,'N'),(25,6189180,'1',317,'N'),(25,6189199,'1',424,'N'),(25,6189199,'1A',423,'N'),(25,6189202,'1',201,'N'),(25,6189202,'1A',212,'N'),(25,6189210,'1',653,'N'),(25,6189210,'1A',655,'N'),(25,6189229,'1',501,'N'),(25,6189237,'1',316,'N'),(25,6189245,'1',202,'N'),(25,6189245,'1A',220,'N'),(25,6189253,'1',103,'N'),(25,6189270,'1',202,'N'),(25,6189270,'1A',215,'N'),(25,6189288,'1',333,'N'),(25,6189296,'1',203,'N'),(25,6189296,'1A',207,'N'),(25,6189300,'1',3,'N'),(25,6189334,'1',202,'N'),(25,6189334,'1A',235,'N'),(25,6189350,'1',104,'N'),(25,6189369,'1',303,'N'),(25,6189377,'1',103,'N'),(25,6189385,'1',340,'N'),(25,6189393,'1',103,'N'),(25,6189407,'1',301,'N'),(25,6189423,'1',309,'N'),(25,6189431,'1',103,'N'),(25,6189440,'1',207,'N'),(25,6189440,'1A',211,'N'),(25,6189458,'1',503,'N'),(25,6189482,'1',302,'N'),(25,6189490,'1',203,'N'),(25,6189490,'1A',220,'N'),(25,6189504,'1',453,'N'),(25,6189512,'1',207,'N'),(25,6189512,'1A',208,'N'),(25,6189520,'1',202,'N'),(25,6189520,'1A',213,'N'),(25,6189555,'1',326,'N'),(25,6189563,'1',216,'N'),(25,6189563,'1A',215,'N'),(25,6189580,'1',653,'N'),(25,6189580,'1A',233,'N'),(25,6189610,'1',103,'N'),(25,6189636,'1',201,'N'),(25,6189636,'1A',203,'N'),(25,6189644,'1',303,'N'),(25,6189652,'1',103,'N'),(25,6189660,'1',207,'N'),(25,6189660,'1A',201,'N'),(25,6189687,'1',415,'N'),(25,6189695,'1',103,'N'),(25,6189709,'1',319,'N'),(25,6189717,'1',103,'N'),(25,6189725,'1',340,'N'),(25,6189733,'1',238,'N'),(25,6189733,'1A',201,'N'),(25,6189741,'1',103,'N'),(25,6189768,'1',5,'N'),(25,6189776,'1',212,'N'),(25,6189784,'1',201,'N'),(25,6189784,'1A',212,'N'),(25,6189792,'1',999,'N'),(25,6189806,'1',103,'N'),(25,6189814,'1',109,'N'),(25,6189822,'1',5,'N'),(25,6189849,'1',103,'N'),(25,6189857,'1',302,'N'),(25,6189873,'1',103,'N'),(25,6189881,'1',309,'N'),(25,6189903,'1',104,'N'),(25,6189911,'1',302,'N'),(25,6189920,'1',425,'N'),(25,6189920,'1A',429,'N'),(25,6189938,'1',301,'N'),(25,6189946,'1',333,'N'),(25,6189954,'1',203,'N'),(25,6189954,'1A',233,'N'),(25,6189962,'1',319,'N'),(25,6189970,'1',212,'N'),(25,6189970,'1A',216,'N'),(25,6189989,'1',317,'N'),(25,6189997,'1',5,'N'),(25,6190006,'1',5,'N'),(25,6190014,'1',318,'N'),(25,6190022,'1',103,'N'),(25,6190030,'1',303,'N'),(25,6190065,'1',108,'N'),(25,6190073,'1',103,'N'),(25,6190081,'1',101,'N'),(25,6190090,'1',301,'N'),(25,6190103,'1',103,'N'),(25,6190138,'1',202,'N'),(25,6190138,'1A',235,'N'),(25,6190146,'1',103,'N'),(25,6190154,'1',201,'N'),(25,6190154,'1A',208,'N'),(25,6190162,'1',303,'N'),(25,6190170,'1',101,'N'),(25,6190189,'1',319,'N'),(25,6190197,'1',103,'N'),(25,6190219,'1',207,'N'),(25,6190219,'1A',212,'N'),(25,6190227,'1',101,'N'),(25,6190243,'1',420,'N'),(25,6190260,'1',340,'N'),(25,6190278,'1',103,'N'),(25,6190286,'1',653,'N'),(25,6190286,'1A',655,'N'),(25,6190294,'1',211,'N'),(25,6190294,'1A',203,'N'),(25,6190308,'1',316,'N'),(25,6190324,'1',103,'N'),(25,6190332,'1',999,'N'),(25,6190340,'1',208,'N'),(25,6190340,'1A',235,'N'),(25,6190359,'1',999,'N'),(25,6190375,'1',999,'N'),(25,6190383,'1',208,'N'),(25,6190383,'1A',220,'N'),(25,6190391,'1',203,'N'),(25,6190391,'1A',214,'N'),(25,6190405,'1',215,'N'),(25,6190405,'1A',652,'N'),(25,6190413,'1',104,'N'),(25,6190421,'1',327,'N'),(25,6190430,'1',203,'N'),(25,6190430,'1A',211,'N'),(25,6190448,'1',104,'N'),(25,6190456,'1',319,'N'),(25,6190464,'1',207,'N'),(25,6190464,'1A',212,'N'),(25,6190499,'1',203,'N'),(25,6190499,'1A',202,'N'),(25,6190502,'1',104,'N'),(25,6190529,'1',302,'N'),(25,6190537,'1',104,'N'),(25,6190545,'1',103,'N'),(25,6190553,'1',201,'N'),(25,6190553,'1A',212,'N'),(25,6190561,'1',301,'N'),(25,6190570,'1',426,'N'),(25,6190588,'1',5,'N'),(25,6190596,'1',201,'N'),(25,6190596,'1A',212,'N'),(25,6190600,'1',103,'N'),(25,6190626,'1',420,'N'),(25,6190634,'1',103,'N'),(25,6190642,'1',225,'N'),(25,6190650,'1',502,'N'),(25,6190685,'1',238,'N'),(25,6190685,'1A',208,'N'),(25,6190693,'1',220,'N'),(25,6190693,'1A',235,'N'),(25,6190707,'1',415,'N'),(25,6190715,'1',104,'N'),(25,6190723,'1',238,'N'),(25,6190723,'1A',208,'N'),(25,6190731,'1',319,'N'),(25,6190740,'1',331,'N'),(25,6190774,'1',425,'N'),(25,6190774,'1A',421,'N'),(25,6190782,'1',109,'N'),(25,6190790,'1',220,'N'),(25,6190790,'1A',202,'N'),(25,6190804,'1',103,'N'),(25,6190812,'1',428,'N'),(25,6190812,'1A',425,'N'),(25,6190839,'1',216,'N'),(25,6190839,'1A',215,'N'),(25,6190847,'1',201,'N'),(25,6190847,'1A',212,'N'),(25,6190855,'1',316,'N'),(25,6190863,'1',235,'N'),(25,6190863,'1A',202,'N'),(25,6190871,'1',420,'N'),(25,6190880,'1',215,'N'),(25,6190880,'1A',211,'N'),(25,6190898,'1',104,'N'),(25,6190901,'1',999,'N'),(25,6190910,'1',103,'N'),(25,6190928,'1',317,'N'),(25,6190936,'1',5,'N'),(25,6190944,'1',601,'N'),(25,6190944,'1A',201,'N'),(25,6190952,'1',102,'N'),(25,6190960,'1',451,'N'),(25,6190987,'1',103,'N'),(25,6190995,'1',336,'N'),(25,6191002,'1',415,'N'),(25,6191029,'1',601,'N'),(25,6191029,'1A',653,'N'),(25,6191037,'1',9,'N'),(25,6191045,'1',103,'N'),(25,6191053,'1',502,'N'),(25,6191061,'1',104,'N'),(25,6191070,'1',444,'N'),(25,6191088,'1',103,'N'),(25,6191096,'1',302,'N'),(25,6191100,'1',201,'N'),(25,6191100,'1A',203,'N'),(25,6191118,'1',423,'N'),(25,6191118,'1A',426,'N'),(25,6191126,'1',203,'N'),(25,6191126,'1A',213,'N'),(25,6191134,'1',453,'N'),(25,6191150,'1',501,'N'),(25,6191169,'1',103,'N'),(25,6191177,'1',5,'N'),(25,6191215,'1',999,'N'),(25,6191223,'1',304,'N'),(25,6191240,'1',203,'N'),(25,6191240,'1A',202,'N'),(25,6191258,'1',103,'N'),(25,6191266,'1',108,'N'),(25,6191282,'1',326,'N'),(25,6191304,'1',220,'N'),(25,6191304,'1A',233,'N'),(25,6191312,'1',103,'N'),(25,6191320,'1',103,'N'),(25,6191339,'1',444,'N'),(25,6191347,'1',5,'N'),(25,6191355,'1',203,'N'),(25,6191355,'1A',233,'N'),(25,6191363,'1',103,'N'),(25,6191371,'1',103,'N'),(25,6191380,'1',653,'N'),(25,6191380,'1A',652,'N'),(25,6191398,'1',303,'N'),(25,6191401,'1',415,'N'),(25,6191410,'1',103,'N'),(25,6191428,'1',333,'N'),(25,6191436,'1',203,'N'),(25,6191436,'1A',214,'N'),(25,6191444,'1',104,'N'),(25,6191452,'1',302,'N'),(25,6191460,'1',653,'N'),(25,6191460,'1A',212,'N'),(25,6191479,'1',238,'N'),(25,6191479,'1A',208,'N'),(25,6191487,'1',5,'N'),(25,6191495,'1',999,'N'),(25,6191509,'1',336,'N'),(25,6191517,'1',102,'N'),(25,6191525,'1',201,'N'),(25,6191525,'1A',212,'N'),(25,6191533,'1',333,'N'),(25,6191541,'1',501,'N'),(25,6191550,'1',201,'N'),(25,6191550,'1A',207,'N'),(25,6191568,'1',308,'N'),(25,6191576,'1',201,'N'),(25,6191576,'1A',203,'N'),(25,6191584,'1',453,'N'),(25,6191606,'1',103,'N'),(25,6191614,'1',501,'N'),(25,6191622,'1',103,'N'),(25,6191630,'1',303,'N'),(25,6191649,'1',103,'N'),(25,6191657,'1',201,'N'),(25,6191657,'1A',212,'N'),(25,6191665,'1',999,'N'),(25,6191681,'1',203,'N'),(25,6191681,'1A',214,'N'),(25,6191690,'1',103,'N'),(25,6191703,'1',103,'N'),(25,6191711,'1',103,'N'),(25,6191720,'1',103,'N'),(25,6191738,'1',310,'N'),(25,6191746,'1',203,'N'),(25,6191746,'1A',233,'N'),(25,6191754,'1',216,'N'),(25,6191754,'1A',601,'N'),(25,6191762,'1',317,'N'),(25,6191770,'1',420,'N'),(25,6191789,'1',103,'N'),(25,6191797,'1',103,'N'),(25,6191800,'1',5,'N'),(25,6191819,'1',103,'N'),(25,6191827,'1',999,'N'),(25,6191835,'1',220,'N'),(25,6191835,'1A',202,'N'),(25,6191843,'1',999,'N'),(25,6191878,'1',108,'N'),(25,6191886,'1',601,'N'),(25,6191916,'1',999,'N'),(25,6191924,'1',317,'N'),(25,6191932,'1',203,'N'),(25,6191932,'1A',208,'N'),(25,6191940,'1',309,'N'),(25,6191959,'1',212,'N'),(25,6191959,'1A',216,'N'),(25,6191983,'1',999,'N'),(25,6192017,'1',207,'N'),(25,6192017,'1A',201,'N'),(25,6192025,'1',5,'N'),(25,6192033,'1',208,'N'),(25,6192033,'1A',216,'N'),(25,6192041,'1',336,'N'),(25,6192050,'1',201,'N'),(25,6192050,'1A',207,'N'),(25,6192076,'1',304,'N'),(25,6192092,'1',340,'N'),(25,6192106,'1',108,'N'),(25,6192114,'1',103,'N'),(25,6192122,'1',103,'N'),(25,6192149,'1',303,'N'),(25,6192157,'1',216,'N'),(25,6192157,'1A',233,'N'),(25,6192165,'1',103,'N'),(25,6192173,'1',108,'N'),(25,6192190,'1',103,'N'),(25,6192203,'1',444,'N'),(25,6192220,'1',103,'N'),(25,6192238,'1',207,'N'),(25,6192246,'1',103,'N'),(25,6192254,'1',103,'N'),(25,6192262,'1',425,'N'),(25,6192262,'1A',429,'N'),(25,6192270,'1',103,'N'),(25,6192289,'1',427,'N'),(25,6192289,'1A',426,'N'),(25,6192319,'1',103,'N'),(25,6192327,'1',103,'N'),(25,6192335,'1',203,'N'),(25,6192335,'1A',214,'N'),(25,6192343,'1',103,'N'),(25,6192351,'1',201,'N'),(25,6192351,'1A',601,'N'),(25,6192360,'1',425,'N'),(25,6192360,'1A',423,'N'),(25,6192378,'1',340,'N'),(25,6192394,'1',301,'N'),(25,6192408,'1',104,'N'),(25,6192424,'1',203,'N'),(25,6192424,'1A',201,'N'),(25,6192432,'1',451,'N'),(25,6192440,'1',103,'N'),(25,6192459,'1',208,'N'),(25,6192459,'1A',238,'N'),(25,6192467,'1',340,'N'),(25,6192475,'1',317,'N'),(25,6192483,'1',429,'N'),(25,6192483,'1A',425,'N'),(25,6192491,'1',601,'N'),(25,6192491,'1A',203,'N'),(25,6192505,'1',202,'N'),(25,6192505,'1A',235,'N'),(25,6192513,'1',238,'N'),(25,6192513,'1A',208,'N'),(25,6192521,'1',303,'N'),(25,6192548,'1',103,'N'),(25,6192556,'1',415,'N'),(25,6192564,'1',103,'N'),(25,6192572,'1',101,'N'),(25,6192580,'1',216,'N'),(25,6192580,'1A',215,'N'),(25,6192599,'1',335,'N'),(25,6192602,'1',601,'N'),(25,6192602,'1A',208,'N'),(25,6192610,'1',451,'N'),(25,6192629,'1',216,'N'),(25,6192629,'1A',233,'N'),(25,6192637,'1',225,'N'),(25,6192645,'1',302,'N'),(25,6192661,'1',102,'N'),(25,6192670,'1',551,'N'),(25,6192688,'1',319,'N'),(25,6192696,'1',203,'N'),(25,6192696,'1A',238,'N'),(25,6192700,'1',208,'N'),(25,6192700,'1A',655,'N'),(25,6192718,'1',5,'N'),(25,6192726,'1',103,'N'),(25,6192734,'1',104,'N'),(25,6192742,'1',207,'N'),(25,6192742,'1A',201,'N'),(25,6192750,'1',202,'N'),(25,6192750,'1A',220,'N'),(25,6192769,'1',103,'N'),(25,6192777,'1',104,'N'),(25,6192785,'1',108,'N'),(25,6192793,'1',425,'N'),(25,6192793,'1A',424,'N'),(25,6192807,'1',319,'N'),(25,6192815,'1',5,'N'),(25,6192823,'1',103,'N'),(25,6192831,'1',238,'N'),(25,6192831,'1A',211,'N'),(25,6192840,'1',202,'N'),(25,6192840,'1A',213,'N'),(25,6192874,'1',335,'N'),(25,6192882,'1',104,'N'),(25,6192890,'1',103,'N'),(25,6192904,'1',9,'N'),(25,6192912,'1',9,'N'),(25,6192920,'1',203,'N'),(25,6192920,'1A',220,'N'),(25,6192939,'1',999,'N'),(25,6192947,'1',301,'N'),(25,6192955,'1',103,'N'),(25,6192971,'1',303,'N'),(25,6192980,'1',453,'N'),(25,6192998,'1',103,'N'),(25,6193005,'1',220,'N'),(25,6193005,'1A',235,'N'),(25,6193021,'1',103,'N'),(25,6193030,'1',501,'N'),(25,6193048,'1',340,'N'),(25,6193056,'1',452,'N'),(25,6193064,'1',999,'N'),(25,6193080,'1',203,'N'),(25,6193080,'1A',238,'N'),(25,6193099,'1',304,'N'),(25,6193102,'1',103,'N'),(25,6193110,'1',102,'N'),(25,6193129,'1',108,'N'),(25,6193137,'1',103,'N'),(25,6193153,'1',420,'N'),(25,6193161,'1',103,'N'),(25,6193170,'1',317,'N'),(25,6193188,'1',551,'N'),(25,6193196,'1',103,'N'),(25,6193200,'1',201,'N'),(25,6193200,'1A',235,'N'),(25,6193218,'1',103,'N'),(25,6193226,'1',452,'N'),(25,6193234,'1',327,'N'),(25,6193242,'1',103,'N'),(25,6193250,'1',202,'N'),(25,6193250,'1A',201,'N'),(25,6193277,'1',207,'N'),(25,6193277,'1A',201,'N'),(25,6193285,'1',999,'N'),(25,6193293,'1',103,'N'),(25,6193307,'1',999,'N'),(25,6193315,'1',453,'N'),(25,6193323,'1',340,'N'),(25,6193331,'1',103,'N'),(25,6193366,'1',316,'N'),(25,6193374,'1',215,'N'),(25,6193374,'1A',216,'N'),(25,6193382,'1',999,'N'),(25,6193390,'1',404,'N'),(25,6193404,'1',103,'N'),(25,6193412,'1',104,'N'),(25,6193420,'1',999,'N'),(25,6193439,'1',203,'N'),(25,6193439,'1A',202,'N'),(25,6193447,'1',302,'N'),(25,6193455,'1',453,'N'),(25,6193463,'1',336,'N'),(25,6193471,'1',654,'N'),(25,6193498,'1',110,'N'),(25,6193501,'1',551,'N'),(25,6193510,'1',207,'N'),(25,6193528,'1',208,'N'),(25,6193528,'1A',213,'N'),(25,6193536,'1',103,'N'),(25,6193544,'1',103,'N'),(25,6193552,'1',319,'N'),(25,6193560,'1',303,'N'),(25,6193579,'1',103,'N'),(25,6193587,'1',336,'N'),(25,6193595,'1',302,'N'),(25,6193609,'1',654,'N'),(25,6193617,'1',444,'N'),(25,6193625,'1',9,'N'),(25,6193633,'1',211,'N'),(25,6193633,'1A',653,'N'),(25,6193641,'1',103,'N'),(25,6193650,'1',999,'N'),(25,6193668,'1',103,'N'),(25,6193676,'1',104,'N'),(25,6193684,'1',103,'N'),(25,6193692,'1',104,'N'),(25,6193706,'1',301,'N'),(25,6193714,'1',103,'N'),(25,6193722,'1',501,'N'),(25,6193749,'1',208,'N'),(25,6193749,'1A',207,'N'),(25,6193757,'1',235,'N'),(25,6193757,'1A',601,'N'),(25,6193765,'1',103,'N'),(25,6193773,'1',451,'N'),(25,6193781,'1',601,'N'),(25,6193781,'1A',203,'N'),(25,6193790,'1',502,'N'),(25,6193803,'1',104,'N'),(25,6193811,'1',207,'N'),(25,6193811,'1A',211,'N'),(25,6193820,'1',207,'N'),(25,6193820,'1A',201,'N'),(25,6193838,'1',308,'N'),(25,6193846,'1',444,'N'),(25,6193854,'1',214,'N'),(25,6193854,'1A',601,'N'),(25,6193862,'1',103,'N'),(25,6193870,'1',104,'N'),(25,6193889,'1',202,'N'),(25,6193919,'1',233,'N'),(25,6193919,'1A',213,'N'),(25,6193927,'1',318,'N'),(25,6193935,'1',999,'N'),(25,6193943,'1',207,'N'),(25,6193943,'1A',201,'N'),(25,6193951,'1',103,'N'),(25,6193960,'1',234,'N'),(25,6193978,'1',208,'N'),(25,6193978,'1A',201,'N'),(25,6193994,'1',203,'N'),(25,6193994,'1A',214,'N'),(25,6194001,'1',103,'N'),(25,6194010,'1',103,'N'),(25,6194028,'1',110,'N'),(25,6194036,'1',303,'N'),(25,6194044,'1',103,'N'),(25,6194052,'1',224,'N'),(25,6194079,'1',207,'N'),(25,6194079,'1A',213,'N'),(25,6194087,'1',332,'N'),(25,6194095,'1',201,'N'),(25,6194095,'1A',207,'N'),(25,6194109,'1',103,'N'),(25,6194117,'1',319,'N'),(25,6194133,'1',104,'N'),(25,6194141,'1',203,'N'),(25,6194141,'1A',214,'N'),(25,6194150,'1',332,'N'),(25,6194168,'1',333,'N'),(25,6194176,'1',216,'N'),(25,6194184,'1',201,'N'),(25,6194184,'1A',211,'N'),(25,6194192,'1',304,'N'),(25,6194206,'1',104,'N'),(25,6194214,'1',211,'N'),(25,6194214,'1A',220,'N'),(25,6194222,'1',331,'N'),(25,6194230,'1',3,'N'),(25,6194249,'1',201,'N'),(25,6194249,'1A',220,'N'),(25,6194257,'1',110,'N'),(25,6194265,'1',103,'N'),(25,6194273,'1',103,'N'),(25,6194281,'1',415,'N'),(25,6194290,'1',999,'N'),(25,6194303,'1',203,'N'),(25,6194303,'1A',214,'N'),(25,6194311,'1',404,'N'),(25,6194320,'1',103,'N'),(25,6194346,'1',9,'N'),(25,6194354,'1',208,'N'),(25,6194354,'1A',235,'N'),(25,6194362,'1',999,'N'),(25,6194370,'1',202,'N'),(25,6194370,'1A',213,'N'),(25,6194389,'1',999,'N'),(25,6194400,'1',102,'N'),(25,6194419,'1',108,'N'),(25,6194427,'1',444,'N'),(25,6194435,'1',303,'N'),(25,6194443,'1',201,'N'),(25,6194443,'1A',216,'N'),(25,6194451,'1',203,'N'),(25,6194451,'1A',235,'N'),(25,6194478,'1',415,'N'),(25,6194486,'1',327,'N'),(25,6194494,'1',303,'N'),(25,6194508,'1',216,'N'),(25,6194508,'1A',215,'N'),(25,6194516,'1',304,'N'),(25,6194524,'1',103,'N'),(25,6194532,'1',601,'N'),(25,6194532,'1A',235,'N'),(25,6194540,'1',103,'N'),(25,6194559,'1',333,'N'),(25,6194567,'1',420,'N'),(25,6194575,'1',3,'N'),(25,6194583,'1',235,'N'),(25,6194583,'1A',601,'N'),(25,6194591,'1',233,'N'),(25,6194591,'1A',238,'N'),(25,6194605,'1',103,'N'),(25,6194621,'1',303,'N'),(25,6194630,'1',103,'N'),(25,6194648,'1',103,'N'),(25,6194656,'1',999,'N'),(25,6194664,'1',103,'N'),(25,6194672,'1',340,'N'),(25,6194699,'1',404,'N'),(25,6194710,'1',303,'N'),(25,6194729,'1',103,'N'),(25,6194745,'1',451,'N'),(25,6194753,'1',103,'N'),(25,6194761,'1',303,'N'),(25,6194770,'1',501,'N'),(25,6194788,'1',208,'N'),(25,6194788,'1A',238,'N'),(25,6194818,'1',104,'N'),(25,6194826,'1',103,'N'),(25,6194834,'1',999,'N'),(25,6194842,'1',103,'N'),(25,6194850,'1',420,'N'),(25,6194869,'1',203,'N'),(25,6194869,'1A',202,'N'),(25,6194877,'1',211,'N'),(25,6194877,'1A',201,'N'),(25,6194885,'1',301,'N'),(25,6194893,'1',207,'N'),(25,6194893,'1A',211,'N'),(25,6194907,'1',601,'N'),(25,6194915,'1',427,'N'),(25,6194915,'1A',423,'N'),(25,6194923,'1',103,'N'),(25,6194940,'1',207,'N'),(25,6194940,'1A',220,'N'),(25,6194958,'1',415,'N'),(25,6194966,'1',201,'N'),(25,6194966,'1A',202,'N'),(25,6194974,'1',103,'N'),(25,6194982,'1',501,'N'),(25,6194990,'1',104,'N'),(25,6195008,'1',104,'N'),(25,6195016,'1',220,'N'),(25,6195032,'1',317,'N'),(25,6195040,'1',201,'N'),(25,6195040,'1A',601,'N'),(25,6195059,'1',201,'N'),(25,6195059,'1A',212,'N'),(25,6195083,'1',201,'N'),(25,6195083,'1A',235,'N'),(25,6195091,'1',103,'N'),(25,6195105,'1',203,'N'),(25,6195105,'1A',601,'N'),(25,6195113,'1',104,'N'),(25,6195121,'1',207,'N'),(25,6195121,'1A',208,'N'),(25,6195130,'1',201,'N'),(25,6195130,'1A',214,'N'),(25,6195148,'1',238,'N'),(25,6195148,'1A',208,'N'),(25,6195164,'1',999,'N'),(25,6195180,'1',103,'N'),(25,6195202,'1',999,'N'),(25,6195229,'1',103,'N'),(25,6195237,'1',103,'N'),(25,6195261,'1',207,'N'),(25,6195261,'1A',201,'N'),(25,6195270,'1',303,'N'),(25,6195296,'1',420,'N'),(25,6195300,'1',103,'N'),(25,6195318,'1',103,'N'),(25,6195326,'1',601,'N'),(25,6195326,'1A',203,'N'),(25,6195334,'1',104,'N'),(25,6195342,'1',201,'N'),(25,6195342,'1A',212,'N'),(25,6195369,'1',207,'N'),(25,6195369,'1A',201,'N'),(25,6195377,'1',110,'N'),(25,6195385,'1',233,'N'),(25,6195385,'1A',235,'N'),(25,6195393,'1',238,'N'),(25,6195393,'1A',208,'N'),(25,6195407,'1',5,'N'),(25,6195415,'1',103,'N'),(25,6195423,'1',201,'N'),(25,6195423,'1A',215,'N'),(25,6195431,'1',201,'N'),(25,6195431,'1A',202,'N'),(25,6195440,'1',214,'N'),(25,6195440,'1A',601,'N'),(25,6195458,'1',103,'N'),(25,6195466,'1',428,'N'),(25,6195466,'1A',427,'N'),(25,6195474,'1',318,'N'),(25,6195482,'1',327,'N'),(25,6195490,'1',340,'N'),(25,6195504,'1',337,'N'),(25,6195512,'1',203,'N'),(25,6195512,'1A',201,'N'),(25,6195520,'1',303,'N'),(25,6195547,'1',110,'N'),(25,6195555,'1',211,'N'),(25,6195555,'1A',201,'N'),(25,6195571,'1',304,'N'),(25,6195580,'1',207,'N'),(25,6195580,'1A',211,'N'),(25,6195598,'1',333,'N'),(25,6195601,'1',216,'N'),(25,6195601,'1A',214,'N'),(25,6195610,'1',201,'N'),(25,6195610,'1A',212,'N'),(25,6195628,'1',211,'N'),(25,6195628,'1A',216,'N'),(25,6195636,'1',103,'N'),(25,6195644,'1',103,'N'),(25,6195652,'1',202,'N'),(25,6195652,'1A',213,'N'),(25,6195679,'1',317,'N'),(25,6195687,'1',103,'N'),(25,6195709,'1',5,'N'),(25,6195717,'1',103,'N'),(25,6195733,'1',108,'N'),(25,6195741,'1',101,'N'),(25,6195750,'1',318,'N'),(25,6195776,'1',103,'N'),(25,6195784,'1',103,'N'),(25,6195792,'1',108,'N'),(25,6195822,'1',301,'N'),(25,6195830,'1',103,'N'),(25,6195849,'1',203,'N'),(25,6195849,'1A',214,'N'),(25,6195857,'1',103,'N'),(25,6195865,'1',104,'N'),(25,6195873,'1',319,'N'),(25,6195881,'1',238,'N'),(25,6195881,'1A',208,'N'),(25,6195903,'1',103,'N'),(25,6195911,'1',444,'N'),(25,6195920,'1',212,'N'),(25,6195920,'1A',213,'N'),(25,6195938,'1',601,'N'),(25,6195938,'1A',201,'N'),(25,6195946,'1',451,'N'),(25,6195954,'1',233,'N'),(25,6195954,'1A',235,'N'),(25,6195962,'1',103,'N'),(25,6195989,'1',104,'N'),(25,6195997,'1',319,'N'),(25,6196004,'1',103,'N'),(25,6196020,'1',503,'N'),(25,6196039,'1',503,'N'),(25,6196047,'1',103,'N'),(25,6196063,'1',654,'N'),(25,6196071,'1',999,'N'),(25,6196080,'1',103,'N'),(25,6196098,'1',103,'N'),(25,6196101,'1',335,'N'),(25,6196136,'1',103,'N'),(25,6196152,'1',5,'N'),(25,6196160,'1',304,'N'),(25,6196179,'1',302,'N'),(25,6196187,'1',216,'N'),(25,6196187,'1A',215,'N'),(25,6196195,'1',104,'N'),(25,6196217,'1',999,'N'),(25,6196225,'1',103,'N'),(25,6196233,'1',415,'N'),(25,6196250,'1',303,'N'),(25,6196268,'1',333,'N'),(25,6196276,'1',333,'N'),(25,6196292,'1',452,'N'),(25,6196314,'1',208,'N'),(25,6196314,'1A',220,'N'),(25,6196357,'1',318,'N'),(25,6196365,'1',222,'N'),(25,6196373,'1',301,'N'),(25,6196381,'1',318,'N'),(25,6196403,'1',103,'N'),(25,6196411,'1',201,'N'),(25,6196411,'1A',212,'N'),(25,6196420,'1',304,'N'),(25,6196454,'1',5,'N'),(25,6196462,'1',319,'N'),(25,6196489,'1',999,'N'),(25,6196500,'1',301,'N'),(25,6196519,'1',303,'N'),(25,6196527,'1',324,'N'),(25,6196551,'1',340,'N'),(25,6196560,'1',337,'N'),(25,6196586,'1',201,'N'),(25,6196586,'1A',215,'N'),(25,6196594,'1',103,'N'),(25,6196624,'1',452,'N'),(25,6196632,'1',104,'N'),(25,6196659,'1',301,'N'),(25,6196667,'1',316,'N'),(25,6196675,'1',201,'N'),(25,6196675,'1A',212,'N'),(25,6196683,'1',328,'N'),(25,6196691,'1',103,'N'),(25,6196713,'1',104,'N'),(25,6196721,'1',103,'N'),(25,6196730,'1',103,'N'),(25,6196748,'1',5,'N'),(25,6196756,'1',103,'N'),(25,6196764,'1',420,'N'),(25,6196772,'1',103,'N'),(25,6196799,'1',103,'N'),(25,6196810,'1',103,'N'),(25,6196837,'1',415,'N'),(25,6196845,'1',339,'N'),(25,6196853,'1',203,'N'),(25,6196853,'1A',235,'N'),(25,6196870,'1',109,'N'),(25,6196888,'1',103,'N'),(25,6196896,'1',201,'N'),(25,6196896,'1A',207,'N'),(25,6196900,'1',653,'N'),(25,6196900,'1A',652,'N'),(25,6196926,'1',238,'N'),(25,6196926,'1A',208,'N'),(25,6196934,'1',223,'N'),(25,6196950,'1',503,'N'),(25,6196977,'1',319,'N'),(25,6196985,'1',207,'N'),(25,6196993,'1',654,'N'),(25,6197000,'1',103,'N'),(25,6197019,'1',655,'N'),(25,6197019,'1A',652,'N'),(25,6197027,'1',212,'N'),(25,6197027,'1A',213,'N'),(25,6197035,'1',301,'N'),(25,6197043,'1',319,'N'),(25,6197051,'1',109,'N'),(25,6197060,'1',103,'N'),(25,6197086,'1',502,'N'),(25,6197094,'1',220,'N'),(25,6197094,'1A',202,'N'),(25,6197108,'1',655,'N'),(25,6197140,'1',444,'N'),(25,6197159,'1',318,'N'),(25,6197167,'1',211,'N'),(25,6197167,'1A',601,'N'),(25,6197175,'1',601,'N'),(25,6197175,'1A',203,'N'),(25,6197183,'1',319,'N'),(25,6197191,'1',104,'N'),(25,6197205,'1',103,'N'),(25,6197230,'1',551,'N'),(25,6197248,'1',301,'N'),(25,6197264,'1',327,'N'),(25,6197272,'1',332,'N'),(25,6197280,'1',108,'N'),(25,6197299,'1',215,'N'),(25,6197299,'1A',212,'N'),(25,6197302,'1',104,'N'),(25,6197310,'1',235,'N'),(25,6197310,'1A',213,'N'),(25,6197329,'1',444,'N'),(25,6197337,'1',103,'N'),(25,6197345,'1',201,'N'),(25,6197345,'1A',212,'N'),(25,6197353,'1',329,'N'),(25,6197361,'1',102,'N'),(25,6197388,'1',652,'N'),(25,6197388,'1A',655,'N'),(25,6197396,'1',551,'N'),(25,6197400,'1',201,'N'),(25,6197400,'1A',235,'N'),(25,6197418,'1',316,'N'),(25,6197426,'1',339,'N'),(25,6197434,'1',203,'N'),(25,6197434,'1A',233,'N'),(25,6197442,'1',103,'N'),(25,6197469,'1',202,'N'),(25,6197469,'1A',235,'N'),(25,6197477,'1',201,'N'),(25,6197477,'1A',213,'N'),(25,6197485,'1',220,'N'),(25,6197485,'1A',235,'N'),(25,6197493,'1',104,'N'),(25,6197507,'1',551,'N'),(25,6197515,'1',9,'N'),(25,6197523,'1',203,'N'),(25,6197523,'1A',601,'N'),(25,6197531,'1',999,'N'),(25,6197540,'1',329,'N'),(25,6197558,'1',103,'N'),(25,6197566,'1',340,'N'),(25,6197574,'1',207,'N'),(25,6197574,'1A',211,'N'),(25,6197582,'1',601,'N'),(25,6197590,'1',103,'N'),(25,6197604,'1',424,'N'),(25,6197604,'1A',427,'N'),(25,6197612,'1',428,'N'),(25,6197612,'1A',426,'N'),(25,6197647,'1',103,'N'),(25,6197655,'1',201,'N'),(25,6197655,'1A',203,'N'),(25,6197698,'1',551,'N'),(25,6197701,'1',340,'N'),(25,6197710,'1',326,'N'),(25,6197728,'1',103,'N'),(25,6197736,'1',102,'N'),(25,6197744,'1',103,'N'),(25,6197752,'1',103,'N'),(25,6197779,'1',103,'N'),(25,6197809,'1',214,'N'),(25,6197809,'1A',213,'N'),(25,6197817,'1',415,'N'),(25,6197833,'1',208,'N'),(25,6197833,'1A',238,'N'),(25,6197841,'1',104,'N'),(25,6197850,'1',208,'N'),(25,6197850,'1A',238,'N'),(25,6197868,'1',335,'N'),(25,6197884,'1',301,'N'),(25,6197922,'1',103,'N'),(25,6197930,'1',110,'N'),(25,6197949,'1',103,'N'),(25,6197957,'1',103,'N'),(25,6197965,'1',101,'N'),(25,6197973,'1',327,'N'),(25,6197981,'1',211,'N'),(25,6197981,'1A',207,'N'),(25,6198007,'1',444,'N'),(25,6198031,'1',103,'N'),(25,6198040,'1',340,'N'),(25,6198058,'1',501,'N'),(25,6198066,'1',109,'N'),(25,6198074,'1',103,'N'),(25,6198082,'1',450,'N'),(25,6198090,'1',235,'N'),(25,6198090,'1A',202,'N'),(25,6198104,'1',207,'N'),(25,6198104,'1A',201,'N'),(25,6198112,'1',340,'N'),(25,6198120,'1',601,'N'),(25,6198120,'1A',216,'N'),(25,6198139,'1',319,'N'),(25,6198147,'1',104,'N'),(25,6198163,'1',999,'N'),(25,6198180,'1',444,'N'),(25,6198198,'1',426,'N'),(25,6198198,'1A',428,'N'),(25,6198201,'1',336,'N'),(25,6198210,'1',301,'N'),(25,6198228,'1',101,'N'),(25,6198236,'1',203,'N'),(25,6198236,'1A',214,'N'),(25,6198244,'1',317,'N'),(25,6198252,'1',211,'N'),(25,6198252,'1A',238,'N'),(25,6198260,'1',103,'N'),(25,6198279,'1',5,'N'),(25,6198287,'1',319,'N'),(25,6198309,'1',103,'N'),(25,6198317,'1',103,'N'),(25,6198325,'1',319,'N'),(25,6198341,'1',216,'N'),(25,6198341,'1A',203,'N'),(25,6198350,'1',337,'N'),(25,6198384,'1',216,'N'),(25,6198384,'1A',215,'N'),(25,6198406,'1',202,'N'),(25,6198406,'1A',203,'N'),(25,6198414,'1',203,'N'),(25,6198414,'1A',601,'N'),(25,6198422,'1',208,'N'),(25,6198430,'1',103,'N'),(25,6198449,'1',103,'N'),(25,6198457,'1',319,'N'),(25,6198465,'1',201,'N'),(25,6198465,'1A',233,'N'),(25,6198473,'1',103,'N'),(25,6198490,'1',103,'N'),(25,6198503,'1',103,'N'),(25,6198511,'1',103,'N'),(25,6198538,'1',201,'N'),(25,6198538,'1A',212,'N'),(25,6198554,'1',212,'N'),(25,6198554,'1A',653,'N'),(25,6198562,'1',103,'N'),(25,6198570,'1',238,'N'),(25,6198570,'1A',203,'N'),(25,6198589,'1',999,'N'),(25,6198597,'1',102,'N'),(25,6198619,'1',104,'N'),(25,6198627,'1',415,'N'),(25,6198635,'1',601,'N'),(25,6198635,'1A',212,'N'),(25,6198651,'1',601,'N'),(25,6198660,'1',336,'N'),(25,6198686,'1',103,'N'),(25,6198694,'1',301,'N'),(25,6198708,'1',201,'N'),(25,6198708,'1A',207,'N'),(25,6198716,'1',551,'N'),(25,6198724,'1',103,'N'),(25,6198732,'1',103,'N'),(25,6198740,'1',202,'N'),(25,6198740,'1A',203,'N'),(25,6198759,'1',303,'N'),(25,6198767,'1',208,'N'),(25,6198767,'1A',238,'N'),(25,6198775,'1',999,'N'),(25,6198783,'1',451,'N'),(25,6198791,'1',329,'N'),(25,6198805,'1',213,'N'),(25,6198805,'1A',214,'N'),(25,6198821,'1',102,'N'),(25,6198830,'1',319,'N'),(25,6198848,'1',201,'N'),(25,6198848,'1A',601,'N'),(25,6198856,'1',108,'N'),(25,6198864,'1',102,'N'),(25,6198872,'1',103,'N'),(25,6198880,'1',109,'N'),(25,6198899,'1',103,'N'),(25,6198902,'1',203,'N'),(25,6198902,'1A',216,'N'),(25,6198910,'1',101,'N'),(25,6198929,'1',212,'N'),(25,6198929,'1A',201,'N'),(25,6198953,'1',415,'N'),(25,6198961,'1',201,'N'),(25,6198961,'1A',207,'N'),(25,6198970,'1',999,'N'),(25,6198996,'1',207,'N'),(25,6198996,'1A',201,'N'),(25,6199011,'1',103,'N'),(25,6199020,'1',103,'N'),(25,6199054,'1',103,'N'),(25,6199062,'1',103,'N'),(25,6199070,'1',333,'N'),(25,6199100,'1',207,'N'),(25,6199100,'1A',212,'N'),(25,6199119,'1',214,'N'),(25,6199119,'1A',212,'N'),(25,6199127,'1',301,'N'),(25,6199135,'1',103,'N'),(25,6199143,'1',103,'N'),(25,6199160,'1',201,'N'),(25,6199160,'1A',216,'N'),(25,6199178,'1',415,'N'),(25,6199186,'1',103,'N'),(25,6199216,'1',340,'N'),(25,6199224,'1',5,'N'),(25,6199232,'1',318,'N'),(25,6199240,'1',653,'N'),(25,6199240,'1A',213,'N'),(25,6199259,'1',999,'N'),(25,6199267,'1',301,'N'),(25,6199283,'1',103,'N'),(25,6199305,'1',201,'N'),(25,6199305,'1A',207,'N'),(25,6199313,'1',452,'N'),(25,6199321,'1',104,'N'),(25,6199330,'1',5,'N'),(25,6199348,'1',103,'N'),(25,6199356,'1',103,'N'),(25,6199364,'1',415,'N'),(25,6199372,'1',301,'N'),(25,6199380,'1',5,'N'),(25,6199399,'1',426,'N'),(25,6199399,'1A',425,'N'),(25,6199402,'1',234,'N'),(25,6199410,'1',426,'N'),(25,6199410,'1A',425,'N'),(25,6199429,'1',450,'N'),(25,6199437,'1',450,'N'),(25,6199445,'1',103,'N'),(25,6199453,'1',309,'N'),(25,6199461,'1',103,'N'),(25,6199470,'1',203,'N'),(25,6199470,'1A',214,'N'),(25,6199488,'1',301,'N'),(25,6199496,'1',103,'N'),(25,6199500,'1',103,'N'),(25,6199518,'1',301,'N'),(25,6199526,'1',203,'N'),(25,6199550,'1',103,'N'),(25,6199569,'1',203,'N'),(25,6199569,'1A',235,'N'),(25,6199577,'1',452,'N'),(25,6199593,'1',203,'N'),(25,6199593,'1A',653,'N'),(25,6199623,'1',103,'N'),(25,6199631,'1',333,'N'),(25,6199640,'1',103,'N'),(25,6199666,'1',238,'N'),(25,6199666,'1A',211,'N'),(25,6199674,'1',429,'N'),(25,6199674,'1A',425,'N'),(25,6199682,'1',103,'N'),(25,6199690,'1',317,'N'),(25,6199720,'1',214,'N'),(25,6199720,'1A',233,'N'),(25,6199739,'1',103,'N'),(25,6199747,'1',201,'N'),(25,6199747,'1A',220,'N'),(25,6199763,'1',103,'N'),(25,6199771,'1',103,'N'),(25,6199780,'1',207,'N'),(25,6199780,'1A',203,'N'),(25,6199798,'1',999,'N'),(25,6199801,'1',202,'N'),(25,6199801,'1A',235,'N'),(25,6199810,'1',309,'N'),(25,6199828,'1',104,'N'),(25,6199836,'1',207,'N'),(25,6199836,'1A',201,'N'),(25,6199852,'1',203,'N'),(25,6199852,'1A',214,'N'),(25,6199860,'1',655,'N'),(25,6199860,'1A',652,'N'),(25,6199879,'1',421,'N'),(25,6199879,'1A',423,'N'),(25,6199887,'1',101,'N'),(25,6199895,'1',103,'N'),(25,6199909,'1',317,'N'),(25,6199917,'1',999,'N'),(25,6199925,'1',220,'N'),(25,6199925,'1A',233,'N'),(25,6199933,'1',233,'N'),(25,6199933,'1A',653,'N'),(25,6199941,'1',103,'N'),(25,6199950,'1',103,'N'),(25,6199968,'1',235,'N'),(25,6199976,'1',415,'N'),(25,6199984,'1',201,'N'),(25,6199984,'1A',212,'N'),(25,6200001,'1',103,'N'),(25,6200010,'1',103,'N'),(25,6200028,'1',103,'N'),(25,6200036,'1',108,'N'),(25,6200044,'1',207,'N'),(25,6200044,'1A',201,'N'),(25,6200052,'1',104,'N'),(25,6200060,'1',103,'N'),(25,6200079,'1',5,'N'),(25,6200087,'1',103,'N'),(25,6200095,'1',303,'N'),(25,6200109,'1',327,'N'),(25,6200117,'1',213,'N'),(25,6200117,'1A',215,'N'),(25,6200125,'1',301,'N'),(25,6200133,'1',103,'N'),(25,6200141,'1',201,'N'),(25,6200141,'1A',653,'N'),(25,6200150,'1',317,'N'),(25,6200168,'1',216,'N'),(25,6200168,'1A',653,'N'),(25,6200176,'1',601,'N'),(25,6200184,'1',211,'N'),(25,6200184,'1A',207,'N'),(25,6200192,'1',203,'N'),(25,6200192,'1A',235,'N'),(25,6200206,'1',103,'N'),(25,6200214,'1',108,'N'),(25,6200230,'1',103,'N'),(25,6200249,'1',423,'N'),(25,6200249,'1A',428,'N'),(25,6200265,'1',103,'N'),(25,6200273,'1',332,'N'),(25,6200281,'1',999,'N'),(25,6200290,'1',340,'N'),(25,6200303,'1',201,'N'),(25,6200303,'1A',207,'N'),(25,6200311,'1',102,'N'),(25,6200320,'1',103,'N'),(25,6200338,'1',102,'N'),(25,6200346,'1',103,'N'),(25,6200354,'1',103,'N'),(25,6200370,'1',415,'N'),(25,6200389,'1',103,'N'),(25,6200397,'1',104,'N'),(25,6200419,'1',340,'N'),(25,6200443,'1',415,'N'),(25,6200451,'1',303,'N'),(25,6200460,'1',451,'N'),(25,6200478,'1',103,'N'),(25,6200486,'1',216,'N'),(25,6200486,'1A',215,'N'),(25,6200494,'1',104,'N'),(25,6200516,'1',216,'N'),(25,6200516,'1A',220,'N'),(25,6200524,'1',101,'N'),(25,6200532,'1',304,'N'),(25,6200540,'1',103,'N'),(25,6200575,'1',201,'N'),(25,6200575,'1A',203,'N'),(25,6200583,'1',601,'N'),(25,6200583,'1A',235,'N'),(25,6200613,'1',203,'N'),(25,6200613,'1A',220,'N'),(25,6200621,'1',404,'N'),(25,6200630,'1',102,'N'),(25,6200648,'1',103,'N'),(25,6200656,'1',429,'N'),(25,6200656,'1A',426,'N'),(25,6200664,'1',216,'N'),(25,6200664,'1A',215,'N'),(25,6200672,'1',415,'N'),(25,6200680,'1',5,'N'),(25,6200699,'1',2,'N'),(25,6200702,'1',601,'N'),(25,6200710,'1',101,'N'),(25,6200729,'1',211,'N'),(25,6200729,'1A',201,'N'),(25,6200737,'1',233,'N'),(25,6200737,'1A',601,'N'),(25,6200761,'1',404,'N'),(25,6200770,'1',211,'N'),(25,6200770,'1A',215,'N'),(25,6200788,'1',2,'N'),(25,6200796,'1',404,'N'),(25,6200800,'1',652,'N'),(25,6200800,'1A',653,'N'),(25,6200818,'1',201,'N'),(25,6200818,'1A',203,'N'),(25,6200826,'1',101,'N'),(25,6200869,'1',316,'N'),(25,6200877,'1',316,'N'),(25,6200885,'1',5,'N'),(25,6200893,'1',9,'N'),(25,6200907,'1',320,'N'),(25,6200915,'1',201,'N'),(25,6200915,'1A',202,'N'),(25,6200931,'1',337,'N'),(25,6200940,'1',316,'N'),(25,6200958,'1',201,'N'),(25,6200958,'1A',220,'N'),(25,6200966,'1',316,'N'),(25,6200974,'1',102,'N'),(25,6200982,'1',302,'N'),(25,6200990,'1',103,'N'),(25,6201008,'1',653,'N'),(25,6201008,'1A',655,'N'),(25,6201016,'1',326,'N'),(25,6201024,'1',202,'N'),(25,6201024,'1A',213,'N'),(25,6201032,'1',301,'N'),(25,6201040,'1',428,'N'),(25,6201040,'1A',427,'N'),(25,6201059,'1',211,'N'),(25,6201059,'1A',233,'N'),(25,6201067,'1',109,'N'),(25,6201075,'1',601,'N'),(25,6201075,'1A',220,'N'),(25,6201083,'1',340,'N'),(25,6201091,'1',103,'N'),(25,6201105,'1',319,'N'),(25,6201113,'1',303,'N'),(25,6201121,'1',104,'N'),(25,6201130,'1',340,'N'),(25,6201156,'1',103,'N'),(25,6201164,'1',235,'N'),(25,6201164,'1A',203,'N'),(25,6201172,'1',207,'N'),(25,6201172,'1A',212,'N'),(25,6201180,'1',329,'N'),(25,6201199,'1',310,'N'),(25,6201202,'1',301,'N'),(25,6201229,'1',211,'N'),(25,6201229,'1A',212,'N'),(25,6201237,'1',211,'N'),(25,6201253,'1',103,'N'),(25,6201261,'1',319,'N'),(25,6201270,'1',601,'N'),(25,6201270,'1A',208,'N'),(25,6201288,'1',302,'N'),(25,6201296,'1',340,'N'),(25,6201300,'1',415,'N'),(25,6201326,'1',203,'N'),(25,6201326,'1A',212,'N'),(25,6201334,'1',103,'N'),(25,6201342,'1',103,'N'),(25,6201350,'1',999,'N'),(25,6201369,'1',103,'N'),(25,6201385,'1',103,'N'),(25,6201393,'1',207,'N'),(25,6201393,'1A',201,'N'),(25,6201415,'1',340,'N'),(25,6201431,'1',302,'N'),(25,6201440,'1',103,'N'),(25,6201458,'1',234,'N'),(25,6201466,'1',303,'N'),(25,6201474,'1',103,'N'),(25,6201482,'1',102,'N'),(25,6201504,'1',444,'N'),(25,6201520,'1',303,'N'),(25,6201539,'1',103,'N'),(25,6201547,'1',238,'N'),(25,6201563,'1',310,'N'),(25,6201571,'1',5,'N'),(25,6201580,'1',211,'N'),(25,6201580,'1A',601,'N'),(25,6201598,'1',451,'N'),(25,6201601,'1',316,'N'),(25,6201610,'1',5,'N'),(25,6201628,'1',238,'N'),(25,6201628,'1A',208,'N'),(25,6201636,'1',318,'N'),(25,6201644,'1',103,'N'),(25,6201652,'1',110,'N'),(25,6201660,'1',207,'N'),(25,6201660,'1A',212,'N'),(25,6201687,'1',203,'N'),(25,6201687,'1A',214,'N'),(25,6201695,'1',444,'N'),(25,6201717,'1',104,'N'),(25,6201733,'1',201,'N'),(25,6201733,'1A',601,'N'),(25,6201741,'1',333,'N'),(25,6201750,'1',420,'N'),(25,6201768,'1',303,'N'),(25,6201784,'1',309,'N'),(25,6201792,'1',327,'N'),(25,6201806,'1',103,'N'),(25,6201822,'1',208,'N'),(25,6201830,'1',103,'N'),(25,6201849,'1',319,'N'),(25,6201857,'1',302,'N'),(25,6201865,'1',220,'N'),(25,6201865,'1A',653,'N'),(25,6201873,'1',238,'N'),(25,6201873,'1A',220,'N'),(25,6201890,'1',211,'N'),(25,6201890,'1A',215,'N'),(25,6201911,'1',103,'N'),(25,6201920,'1',214,'N'),(25,6201920,'1A',601,'N'),(25,6201938,'1',223,'N'),(25,6201946,'1',333,'N'),(25,6201954,'1',103,'N'),(25,6201989,'1',103,'N'),(25,6201997,'1',327,'N'),(25,6202004,'1',238,'N'),(25,6202004,'1A',652,'N'),(25,6202012,'1',316,'N'),(25,6202039,'1',503,'N'),(25,6202047,'1',103,'N'),(25,6202055,'1',551,'N'),(25,6202063,'1',309,'N'),(25,6202071,'1',103,'N'),(25,6202080,'1',502,'N'),(25,6202098,'1',103,'N'),(25,6202128,'1',109,'N'),(25,6202136,'1',601,'N'),(25,6202136,'1A',211,'N'),(25,6202152,'1',415,'N'),(25,6202160,'1',103,'N'),(25,6202179,'1',653,'N'),(25,6202179,'1A',216,'N'),(25,6202195,'1',103,'N'),(25,6202209,'1',201,'N'),(25,6202209,'1A',207,'N'),(25,6202217,'1',103,'N'),(25,6202225,'1',238,'N'),(25,6202225,'1A',215,'N'),(25,6202233,'1',308,'N'),(25,6202241,'1',340,'N'),(25,6202250,'1',108,'N'),(25,6202268,'1',333,'N'),(25,6202276,'1',103,'N'),(25,6202284,'1',103,'N'),(25,6202292,'1',501,'N'),(25,6202306,'1',655,'N'),(25,6202306,'1A',208,'N'),(25,6202314,'1',5,'N'),(25,6202322,'1',203,'N'),(25,6202322,'1A',214,'N'),(25,6202330,'1',103,'N'),(25,6202349,'1',103,'N'),(25,6202357,'1',303,'N'),(25,6202365,'1',5,'N'),(25,6202373,'1',450,'N'),(25,6202381,'1',5,'N'),(25,6202403,'1',104,'N'),(25,6202420,'1',102,'N'),(25,6202438,'1',451,'N'),(25,6202446,'1',201,'N'),(25,6202446,'1A',202,'N'),(25,6202454,'1',319,'N'),(25,6202470,'1',214,'N'),(25,6202470,'1A',213,'N'),(25,6202497,'1',104,'N'),(25,6202500,'1',203,'N'),(25,6202519,'1',999,'N'),(25,6202535,'1',452,'N'),(25,6202543,'1',207,'N'),(25,6202543,'1A',238,'N'),(25,6202551,'1',502,'N'),(25,6202560,'1',999,'N'),(25,6202586,'1',103,'N'),(25,6202594,'1',999,'N'),(25,6202624,'1',5,'N'),(25,6202640,'1',654,'N'),(25,6202667,'1',5,'N'),(25,6202675,'1',208,'N'),(25,6202683,'1',319,'N'),(25,6202721,'1',202,'N'),(25,6202721,'1A',220,'N'),(25,6202730,'1',203,'N'),(25,6202730,'1A',208,'N'),(25,6202748,'1',103,'N'),(25,6202756,'1',103,'N'),(25,6202764,'1',103,'N'),(25,6202772,'1',451,'N'),(25,6202780,'1',319,'N'),(25,6202799,'1',329,'N'),(25,6202802,'1',103,'N'),(25,6202810,'1',420,'N'),(25,6202829,'1',999,'N'),(25,6202837,'1',207,'N'),(25,6202837,'1A',201,'N'),(25,6202845,'1',216,'N'),(25,6202845,'1A',215,'N'),(25,6202853,'1',103,'N'),(25,6202861,'1',220,'N'),(25,6202861,'1A',238,'N'),(25,6202870,'1',103,'N'),(25,6202888,'1',103,'N'),(25,6202896,'1',103,'N'),(25,6202900,'1',108,'N'),(25,6202918,'1',999,'N'),(25,6202926,'1',304,'N'),(25,6202934,'1',103,'N'),(25,6202942,'1',235,'N'),(25,6202942,'1A',203,'N'),(25,6202950,'1',102,'N'),(25,6202969,'1',415,'N'),(25,6202977,'1',211,'N'),(25,6202977,'1A',233,'N'),(25,6202985,'1',9,'N'),(25,6202993,'1',501,'N'),(25,6203000,'1',103,'N'),(25,6203019,'1',601,'N'),(25,6203019,'1A',202,'N'),(25,6203035,'1',451,'N'),(25,6203043,'1',304,'N'),(25,6203051,'1',207,'N'),(25,6203051,'1A',211,'N'),(25,6203060,'1',103,'N'),(25,6203078,'1',103,'N'),(25,6203086,'1',5,'N'),(25,6203094,'1',103,'N'),(25,6203108,'1',201,'N'),(25,6203108,'1A',208,'N'),(25,6203124,'1',103,'N'),(25,6203132,'1',203,'N'),(25,6203132,'1A',216,'N'),(25,6203140,'1',201,'N'),(25,6203140,'1A',216,'N'),(25,6203159,'1',104,'N'),(25,6203167,'1',5,'N'),(25,6203175,'1',103,'N'),(25,6203183,'1',5,'N'),(25,6203191,'1',303,'N'),(25,6203205,'1',303,'N'),(25,6203213,'1',999,'N'),(25,6203221,'1',654,'N'),(25,6203230,'1',109,'N'),(25,6203248,'1',654,'N'),(25,6203256,'1',453,'N'),(25,6203264,'1',332,'N'),(25,6203272,'1',207,'N'),(25,6203272,'1A',212,'N'),(25,6203299,'1',103,'N'),(25,6203302,'1',452,'N'),(25,6203310,'1',203,'N'),(25,6203310,'1A',202,'N'),(25,6203337,'1',310,'N'),(25,6203345,'1',999,'N'),(25,6203353,'1',103,'N'),(25,6203361,'1',340,'N'),(25,6203370,'1',5,'N'),(25,6203388,'1',202,'N'),(25,6203388,'1A',201,'N'),(25,6203400,'1',452,'N'),(25,6203418,'1',103,'N'),(25,6203426,'1',207,'N'),(25,6203426,'1A',201,'N'),(25,6203434,'1',108,'N'),(25,6203442,'1',5,'N'),(25,6203450,'1',203,'N'),(25,6203450,'1A',214,'N'),(25,6203469,'1',235,'N'),(25,6203469,'1A',202,'N'),(25,6203477,'1',235,'N'),(25,6203477,'1A',601,'N'),(25,6203507,'1',331,'N'),(25,6203515,'1',211,'N'),(25,6203515,'1A',601,'N'),(25,6203523,'1',426,'N'),(25,6203523,'1A',428,'N'),(25,6203540,'1',214,'N'),(25,6203540,'1A',233,'N'),(25,6203558,'1',216,'N'),(25,6203558,'1A',233,'N'),(25,6203566,'1',108,'N'),(25,6203574,'1',601,'N'),(25,6203574,'1A',212,'N'),(25,6203582,'1',426,'N'),(25,6203582,'1A',428,'N'),(25,6203590,'1',5,'N'),(25,6203604,'1',103,'N'),(25,6203612,'1',340,'N'),(25,6203620,'1',103,'N'),(25,6203647,'1',303,'N'),(25,6203655,'1',999,'N'),(25,6203663,'1',324,'N'),(25,6203671,'1',103,'N'),(25,6203680,'1',425,'N'),(25,6203680,'1A',424,'N'),(25,6203698,'1',214,'N'),(25,6203698,'1A',233,'N'),(25,6203701,'1',238,'N'),(25,6203710,'1',999,'N'),(25,6203728,'1',303,'N'),(25,6203736,'1',101,'N'),(25,6203744,'1',3,'N'),(25,6203752,'1',103,'N'),(25,6203760,'1',208,'N'),(25,6203760,'1A',238,'N'),(25,6203779,'1',420,'N'),(25,6203787,'1',103,'N'),(25,6203795,'1',2,'N'),(25,6203809,'1',303,'N'),(25,6203817,'1',452,'N'),(25,6203825,'1',212,'N'),(25,6203825,'1A',211,'N'),(25,6203833,'1',601,'N'),(25,6203833,'1A',220,'N'),(25,6203850,'1',303,'N'),(25,6203884,'1',302,'N'),(25,6203892,'1',303,'N'),(25,6203906,'1',301,'N'),(25,6203914,'1',207,'N'),(25,6203914,'1A',216,'N'),(25,6203922,'1',201,'N'),(25,6203922,'1A',203,'N'),(25,6203930,'1',503,'N'),(25,6203949,'1',5,'N'),(25,6203957,'1',234,'N'),(25,6203965,'1',104,'N'),(25,6203990,'1',328,'N'),(25,6204007,'1',103,'N'),(25,6204015,'1',103,'N'),(25,6204023,'1',203,'N'),(25,6204023,'1A',214,'N'),(25,6204040,'1',103,'N'),(25,6204058,'1',303,'N'),(25,6204066,'1',103,'N'),(25,6204082,'1',328,'N'),(25,6204090,'1',317,'N'),(25,6204104,'1',216,'N'),(25,6204104,'1A',215,'N'),(25,6204112,'1',655,'N'),(25,6204112,'1A',220,'N'),(25,6204120,'1',332,'N'),(25,6204139,'1',103,'N'),(25,6204147,'1',104,'N'),(25,6204155,'1',999,'N'),(25,6204163,'1',202,'N'),(25,6204163,'1A',203,'N'),(25,6204171,'1',203,'N'),(25,6204171,'1A',235,'N'),(25,6204180,'1',326,'N'),(25,6204198,'1',104,'N'),(25,6204201,'1',420,'N'),(25,6204210,'1',303,'N'),(25,6204236,'1',103,'N'),(25,6204244,'1',329,'N'),(25,6204260,'1',103,'N'),(25,6204287,'1',5,'N'),(25,6204295,'1',317,'N'),(25,6204309,'1',103,'N'),(25,6204317,'1',208,'N'),(25,6204317,'1A',238,'N'),(25,6204325,'1',109,'N'),(25,6204350,'1',420,'N'),(25,6204368,'1',208,'N'),(25,6204368,'1A',238,'N'),(25,6204384,'1',303,'N'),(25,6204392,'1',9,'N'),(25,6204414,'1',317,'N'),(25,6204422,'1',103,'N'),(25,6204430,'1',309,'N'),(25,6204449,'1',336,'N'),(25,6204457,'1',601,'N'),(25,6204457,'1A',201,'N'),(25,6204473,'1',103,'N'),(25,6204481,'1',444,'N'),(25,6204490,'1',201,'N'),(25,6204490,'1A',212,'N'),(25,6204503,'1',201,'N'),(25,6204503,'1A',212,'N'),(25,6204520,'1',103,'N'),(25,6204538,'1',999,'N'),(25,6204554,'1',103,'N'),(25,6204562,'1',103,'N'),(25,6204570,'1',301,'N'),(25,6204589,'1',103,'N'),(25,6204600,'1',101,'N'),(25,6204627,'1',427,'N'),(25,6204627,'1A',423,'N'),(25,6204635,'1',452,'N'),(25,6204643,'1',103,'N'),(25,6204651,'1',103,'N'),(25,6204660,'1',999,'N'),(25,6204678,'1',207,'N'),(25,6204678,'1A',208,'N'),(25,6204686,'1',104,'N'),(25,6204694,'1',425,'N'),(25,6204694,'1A',426,'N'),(25,6204708,'1',999,'N'),(25,6204724,'1',3,'N'),(25,6204740,'1',103,'N'),(25,6204759,'1',340,'N'),(25,6204767,'1',215,'N'),(25,6204767,'1A',216,'N'),(25,6204775,'1',999,'N'),(25,6204791,'1',318,'N'),(25,6204805,'1',309,'N'),(25,6204813,'1',415,'N'),(25,6204821,'1',5,'N'),(25,6204848,'1',103,'N'),(25,6204856,'1',999,'N'),(25,6204864,'1',999,'N'),(25,6204872,'1',999,'N'),(25,6204902,'1',302,'N'),(25,6204910,'1',102,'N'),(25,6204929,'1',103,'N'),(25,6204953,'1',103,'N'),(25,6204961,'1',103,'N'),(25,6204970,'1',501,'N'),(25,6204996,'1',5,'N'),(25,6205003,'1',103,'N'),(25,6205011,'1',303,'N'),(25,6205020,'1',110,'N'),(25,6205046,'1',207,'N'),(25,6205054,'1',303,'N'),(25,6205062,'1',303,'N'),(25,6205070,'1',332,'N'),(25,6205089,'1',103,'N'),(25,6205097,'1',109,'N'),(25,6205100,'1',453,'N'),(25,6205119,'1',2,'N'),(25,6205135,'1',103,'N'),(25,6205151,'1',104,'N'),(25,6205160,'1',220,'N'),(25,6205160,'1A',235,'N'),(25,6205178,'1',103,'N'),(25,6205186,'1',303,'N'),(25,6205194,'1',203,'N'),(25,6205194,'1A',201,'N'),(25,6205216,'1',103,'N'),(25,6205224,'1',216,'N'),(25,6205232,'1',103,'N'),(25,6205259,'1',415,'N'),(25,6205267,'1',103,'N'),(25,6205275,'1',319,'N'),(25,6205283,'1',103,'N'),(25,6205291,'1',999,'N'),(25,6205305,'1',652,'N'),(25,6205305,'1A',655,'N'),(25,6205313,'1',109,'N'),(25,6205321,'1',103,'N'),(25,6205330,'1',304,'N'),(25,6205356,'1',220,'N'),(25,6205356,'1A',208,'N'),(25,6205372,'1',5,'N'),(25,6205380,'1',999,'N'),(25,6205399,'1',340,'N'),(25,6205402,'1',501,'N'),(25,6205410,'1',102,'N'),(25,6205429,'1',319,'N'),(25,6205437,'1',211,'N'),(25,6205437,'1A',215,'N'),(25,6205445,'1',104,'N'),(25,6205461,'1',214,'N'),(25,6205461,'1A',211,'N'),(25,6205488,'1',103,'N'),(25,6205496,'1',108,'N'),(25,6205500,'1',303,'N'),(25,6205518,'1',211,'N'),(25,6205518,'1A',215,'N'),(25,6205526,'1',220,'N'),(25,6205526,'1A',213,'N'),(25,6205534,'1',103,'N'),(25,6205542,'1',202,'N'),(25,6205542,'1A',208,'N'),(25,6205550,'1',207,'N'),(25,6205550,'1A',211,'N'),(25,6205569,'1',302,'N'),(25,6205577,'1',104,'N'),(25,6205585,'1',222,'N'),(25,6205593,'1',202,'N'),(25,6205593,'1A',208,'N'),(25,6205607,'1',302,'N'),(25,6205615,'1',103,'N'),(25,6205623,'1',319,'N'),(25,6205631,'1',601,'N'),(25,6205631,'1A',202,'N'),(25,6205640,'1',103,'N'),(25,6205658,'1',216,'N'),(25,6205658,'1A',233,'N'),(25,6205682,'1',999,'N'),(25,6205690,'1',103,'N'),(25,6205704,'1',103,'N'),(25,6205712,'1',429,'N'),(25,6205712,'1A',426,'N'),(25,6205720,'1',103,'N'),(25,6205747,'1',201,'N'),(25,6205747,'1A',207,'N'),(25,6205755,'1',450,'N'),(25,6205763,'1',207,'N'),(25,6205763,'1A',201,'N'),(25,6205771,'1',103,'N'),(25,6205780,'1',207,'N'),(25,6205780,'1A',215,'N'),(25,6205798,'1',103,'N'),(25,6205801,'1',103,'N'),(25,6205810,'1',202,'N'),(25,6205810,'1A',201,'N'),(25,6205828,'1',108,'N'),(25,6205836,'1',652,'N'),(25,6205836,'1A',653,'N'),(25,6205844,'1',103,'N'),(25,6205852,'1',9,'N'),(25,6205860,'1',319,'N'),(25,6205879,'1',235,'N'),(25,6205879,'1A',208,'N'),(25,6205887,'1',103,'N'),(25,6205895,'1',216,'N'),(25,6205895,'1A',207,'N'),(25,6205909,'1',109,'N'),(25,6205917,'1',102,'N'),(25,6205925,'1',214,'N'),(25,6205925,'1A',201,'N'),(25,6205933,'1',104,'N'),(25,6205941,'1',340,'N'),(25,6205950,'1',235,'N'),(25,6205950,'1A',653,'N'),(25,6205976,'1',340,'N'),(25,6205984,'1',104,'N'),(25,6205992,'1',110,'N'),(25,6206000,'1',501,'N'),(25,6206026,'1',234,'N'),(25,6206034,'1',211,'N'),(25,6206034,'1A',233,'N'),(25,6206050,'1',103,'N'),(25,6206069,'1',203,'N'),(25,6206069,'1A',233,'N'),(25,6206077,'1',201,'N'),(25,6206077,'1A',207,'N'),(25,6206085,'1',316,'N'),(25,6206093,'1',103,'N'),(25,6206107,'1',303,'N'),(25,6206115,'1',201,'N'),(25,6206115,'1A',203,'N'),(25,6206123,'1',207,'N'),(25,6206123,'1A',233,'N'),(25,6206131,'1',103,'N'),(25,6206140,'1',601,'N'),(25,6206140,'1A',208,'N'),(25,6206158,'1',5,'N'),(25,6206174,'1',103,'N'),(25,6206182,'1',444,'N'),(25,6206204,'1',103,'N'),(25,6206220,'1',104,'N'),(25,6206239,'1',5,'N'),(25,6206247,'1',103,'N'),(25,6206255,'1',425,'N'),(25,6206255,'1A',424,'N'),(25,6206263,'1',999,'N'),(25,6206301,'1',301,'N'),(25,6206336,'1',104,'N'),(25,6206352,'1',999,'N'),(25,6206360,'1',103,'N'),(25,6206379,'1',208,'N'),(25,6206379,'1A',238,'N'),(25,6206387,'1',999,'N'),(25,6206395,'1',101,'N'),(25,6206409,'1',444,'N'),(25,6206417,'1',5,'N'),(25,6206433,'1',328,'N'),(25,6206441,'1',301,'N'),(25,6206450,'1',303,'N'),(25,6206468,'1',415,'N'),(25,6206476,'1',303,'N'),(25,6206484,'1',103,'N'),(25,6206506,'1',103,'N'),(25,6206514,'1',234,'N'),(25,6206530,'1',103,'N'),(25,6206549,'1',103,'N'),(25,6206557,'1',103,'N'),(25,6206565,'1',202,'N'),(25,6206565,'1A',213,'N'),(25,6206573,'1',104,'N'),(25,6206581,'1',103,'N'),(25,6206590,'1',203,'N'),(25,6206603,'1',220,'N'),(25,6206603,'1A',202,'N'),(25,6206611,'1',110,'N'),(25,6206620,'1',999,'N'),(25,6206638,'1',203,'N'),(25,6206638,'1A',220,'N'),(25,6206646,'1',601,'N'),(25,6206646,'1A',203,'N'),(25,6206654,'1',207,'N'),(25,6206670,'1',317,'N'),(25,6206689,'1',319,'N'),(25,6206697,'1',103,'N'),(25,6206700,'1',201,'N'),(25,6206700,'1A',211,'N'),(25,6206719,'1',304,'N'),(25,6206727,'1',103,'N'),(25,6206735,'1',103,'N'),(25,6206751,'1',201,'N'),(25,6206751,'1A',208,'N'),(25,6206786,'1',103,'N'),(25,6206808,'1',420,'N'),(25,6206816,'1',328,'N'),(25,6206824,'1',208,'N'),(25,6206824,'1A',235,'N'),(25,6206832,'1',420,'N'),(25,6206859,'1',220,'N'),(25,6206859,'1A',214,'N'),(25,6206867,'1',216,'N'),(25,6206867,'1A',233,'N'),(25,6206875,'1',207,'N'),(25,6206875,'1A',233,'N'),(25,6206883,'1',216,'N'),(25,6206883,'1A',215,'N'),(25,6206891,'1',655,'N'),(25,6206891,'1A',652,'N'),(25,6206905,'1',104,'N'),(25,6206913,'1',212,'N'),(25,6206913,'1A',214,'N'),(25,6206921,'1',601,'N'),(25,6206930,'1',207,'N'),(25,6206930,'1A',208,'N'),(25,6206948,'1',999,'N'),(25,6206956,'1',450,'N'),(25,6206964,'1',319,'N'),(25,6206972,'1',5,'N'),(25,6206999,'1',103,'N'),(25,6207006,'1',203,'N'),(25,6207006,'1A',201,'N'),(25,6207014,'1',503,'N'),(25,6207022,'1',444,'N'),(25,6207030,'1',5,'N'),(25,6207049,'1',9,'N'),(25,6207057,'1',201,'N'),(25,6207057,'1A',211,'N'),(25,6207065,'1',212,'N'),(25,6207065,'1A',213,'N'),(25,6207073,'1',103,'N'),(25,6207081,'1',109,'N'),(25,6207103,'1',103,'N'),(25,6207111,'1',103,'N'),(25,6207120,'1',207,'N'),(25,6207120,'1A',212,'N'),(25,6207138,'1',316,'N'),(25,6207146,'1',319,'N'),(25,6207154,'1',108,'N'),(25,6207162,'1',301,'N'),(25,6207170,'1',301,'N'),(25,6207189,'1',601,'N'),(25,6207189,'1A',212,'N'),(25,6207197,'1',103,'N'),(25,6207200,'1',601,'N'),(25,6207200,'1A',214,'N'),(25,6207219,'1',103,'N'),(25,6207227,'1',103,'N'),(25,6207235,'1',201,'N'),(25,6207235,'1A',207,'N'),(25,6207243,'1',301,'N'),(25,6207251,'1',653,'N'),(25,6207260,'1',238,'N'),(25,6207260,'1A',208,'N'),(25,6207278,'1',201,'N'),(25,6207278,'1A',212,'N'),(25,6207286,'1',654,'N'),(25,6207308,'1',103,'N'),(25,6207316,'1',103,'N'),(25,6207340,'1',601,'N'),(25,6207340,'1A',203,'N'),(25,6207359,'1',5,'N'),(25,6207367,'1',5,'N'),(25,6207375,'1',103,'N'),(25,6207383,'1',203,'N'),(25,6207383,'1A',202,'N'),(25,6207391,'1',340,'N'),(25,6207405,'1',103,'N'),(25,6207413,'1',213,'N'),(25,6207413,'1A',653,'N'),(25,6207421,'1',103,'N'),(25,6207430,'1',103,'N'),(25,6207456,'1',317,'N'),(25,6207464,'1',102,'N'),(25,6207480,'1',404,'N'),(25,6207499,'1',207,'N'),(25,6207499,'1A',212,'N'),(25,6207502,'1',103,'N'),(25,6207510,'1',103,'N'),(25,6207529,'1',502,'N'),(25,6207537,'1',109,'N'),(25,6207545,'1',103,'N'),(25,6207553,'1',653,'N'),(25,6207553,'1A',652,'N'),(25,6207561,'1',103,'N'),(25,6207570,'1',428,'N'),(25,6207570,'1A',421,'N'),(25,6207588,'1',303,'N'),(25,6207600,'1',319,'N'),(25,6207618,'1',215,'N'),(25,6207618,'1A',233,'N'),(25,6207626,'1',208,'N'),(25,6207626,'1A',238,'N'),(25,6207634,'1',208,'N'),(25,6207642,'1',234,'N'),(25,6207650,'1',104,'N'),(25,6207669,'1',203,'N'),(25,6207669,'1A',216,'N'),(25,6207677,'1',207,'N'),(25,6207677,'1A',201,'N'),(25,6207685,'1',211,'N'),(25,6207693,'1',5,'N'),(25,6207707,'1',453,'N'),(25,6207723,'1',201,'N'),(25,6207723,'1A',212,'N'),(25,6207731,'1',104,'N'),(25,6207740,'1',303,'N'),(25,6207758,'1',215,'N'),(25,6207758,'1A',203,'N'),(25,6207766,'1',103,'N'),(25,6207782,'1',220,'N'),(25,6207782,'1A',235,'N'),(25,6207790,'1',336,'N'),(25,6207804,'1',303,'N'),(25,6207812,'1',302,'N'),(25,6207820,'1',655,'N'),(25,6207820,'1A',208,'N'),(25,6207847,'1',453,'N'),(25,6207863,'1',420,'N'),(25,6207871,'1',202,'N'),(25,6207871,'1A',653,'N'),(25,6207880,'1',108,'N'),(25,6207898,'1',103,'N'),(25,6207901,'1',108,'N'),(25,6207936,'1',103,'N'),(25,6207944,'1',108,'N'),(25,6207952,'1',340,'N'),(25,6207960,'1',103,'N'),(25,6207979,'1',110,'N'),(25,6207987,'1',415,'N'),(25,6207995,'1',233,'N'),(25,6208010,'1',103,'N'),(25,6208029,'1',102,'N'),(25,6208037,'1',999,'N'),(25,6208045,'1',238,'N'),(25,6208045,'1A',208,'N'),(25,6208053,'1',201,'N'),(25,6208053,'1A',212,'N'),(25,6208061,'1',201,'N'),(25,6208070,'1',208,'N'),(25,6208070,'1A',211,'N'),(25,6208088,'1',103,'N'),(25,6208096,'1',201,'N'),(25,6208096,'1A',212,'N'),(25,6208100,'1',104,'N'),(25,6208126,'1',104,'N'),(25,6208134,'1',238,'N'),(25,6208177,'1',5,'N'),(25,6208193,'1',5,'N'),(25,6208207,'1',223,'N'),(25,6208215,'1',652,'N'),(25,6208215,'1A',655,'N'),(25,6208231,'1',102,'N'),(25,6208240,'1',339,'N'),(25,6208266,'1',319,'N'),(25,6208274,'1',999,'N'),(25,6208282,'1',102,'N'),(25,6208290,'1',333,'N'),(25,6208304,'1',207,'N'),(25,6208304,'1A',238,'N'),(25,6208312,'1',319,'N'),(25,6208339,'1',331,'N'),(25,6208347,'1',319,'N'),(25,6208355,'1',653,'N'),(25,6208355,'1A',655,'N'),(25,6208363,'1',453,'N'),(25,6208371,'1',5,'N'),(25,6208401,'1',503,'N'),(25,6208410,'1',207,'N'),(25,6208410,'1A',201,'N'),(25,6208428,'1',303,'N'),(25,6208444,'1',104,'N'),(25,6208460,'1',320,'N'),(25,6208495,'1',601,'N'),(25,6208517,'1',404,'N'),(25,6208525,'1',103,'N'),(25,6208533,'1',203,'N'),(25,6208533,'1A',201,'N'),(25,6208541,'1',301,'N'),(25,6208550,'1',999,'N'),(25,6208576,'1',216,'N'),(25,6208576,'1A',202,'N'),(25,6208592,'1',103,'N'),(25,6208606,'1',453,'N'),(25,6208614,'1',201,'N'),(25,6208614,'1A',235,'N'),(25,6208622,'1',203,'N'),(25,6208622,'1A',214,'N'),(25,6208630,'1',317,'N'),(25,6208649,'1',324,'N'),(25,6208657,'1',216,'N'),(25,6208657,'1A',233,'N'),(25,6208665,'1',103,'N'),(25,6208673,'1',303,'N'),(25,6208681,'1',103,'N'),(25,6208690,'1',103,'N'),(25,6208720,'1',333,'N'),(25,6208738,'1',211,'N'),(25,6208738,'1A',212,'N'),(25,6208746,'1',326,'N'),(25,6208754,'1',103,'N'),(25,6208762,'1',101,'N'),(25,6208770,'1',316,'N'),(25,6208789,'1',415,'N'),(25,6208797,'1',207,'N'),(25,6208797,'1A',201,'N'),(25,6208800,'1',601,'N'),(25,6208800,'1A',207,'N'),(25,6208819,'1',220,'N'),(25,6208819,'1A',208,'N'),(25,6208827,'1',216,'N'),(25,6208827,'1A',215,'N'),(25,6208835,'1',103,'N'),(25,6208843,'1',211,'N'),(25,6208843,'1A',212,'N'),(25,6208860,'1',415,'N'),(25,6208878,'1',238,'N'),(25,6208878,'1A',213,'N'),(25,6208886,'1',201,'N'),(25,6208886,'1A',203,'N'),(25,6208894,'1',301,'N'),(25,6208908,'1',104,'N'),(25,6208916,'1',450,'N'),(25,6208924,'1',429,'N'),(25,6208924,'1A',428,'N'),(25,6208940,'1',502,'N'),(25,6208959,'1',103,'N'),(25,6208967,'1',208,'N'),(25,6208967,'1A',655,'N'),(25,6208975,'1',220,'N'),(25,6208975,'1A',213,'N'),(25,6208983,'1',102,'N'),(25,6209009,'1',337,'N'),(25,6209017,'1',326,'N'),(25,6209025,'1',104,'N'),(25,6209033,'1',317,'N'),(25,6209068,'1',336,'N'),(25,6209092,'1',108,'N'),(25,6209106,'1',601,'N'),(25,6209130,'1',450,'N'),(25,6209149,'1',103,'N'),(25,6209165,'1',551,'N'),(25,6209173,'1',216,'N'),(25,6209181,'1',303,'N'),(25,6209203,'1',103,'N'),(25,6209211,'1',655,'N'),(25,6209211,'1A',202,'N'),(25,6209238,'1',444,'N'),(25,6209246,'1',216,'N'),(25,6209262,'1',102,'N'),(25,6209289,'1',444,'N'),(25,6209297,'1',103,'N'),(25,6209300,'1',104,'N'),(25,6209327,'1',303,'N'),(25,6209335,'1',203,'N'),(25,6209335,'1A',233,'N'),(25,6209343,'1',201,'N'),(25,6209351,'1',5,'N'),(25,6209360,'1',5,'N'),(25,6209378,'1',999,'N'),(25,6209386,'1',423,'N'),(25,6209386,'1A',421,'N'),(25,6209394,'1',216,'N'),(25,6209394,'1A',233,'N'),(25,6209424,'1',999,'N'),(25,6209440,'1',326,'N'),(25,6209459,'1',451,'N'),(25,6209467,'1',103,'N'),(25,6209483,'1',420,'N'),(25,6209491,'1',2,'N'),(25,6209513,'1',451,'N'),(25,6209521,'1',103,'N'),(25,6209530,'1',104,'N'),(25,6209548,'1',654,'N'),(25,6209572,'1',238,'N'),(25,6209572,'1A',220,'N'),(25,6209599,'1',211,'N'),(25,6209599,'1A',215,'N'),(25,6209610,'1',238,'N'),(25,6209610,'1A',220,'N'),(25,6209629,'1',103,'N'),(25,6209637,'1',201,'N'),(25,6209637,'1A',207,'N'),(25,6209645,'1',233,'N'),(25,6209645,'1A',211,'N'),(25,6209653,'1',428,'N'),(25,6209653,'1A',426,'N'),(25,6209661,'1',103,'N'),(25,6209670,'1',203,'N'),(25,6209670,'1A',214,'N'),(25,6209688,'1',453,'N'),(25,6209696,'1',415,'N'),(25,6209718,'1',103,'N'),(25,6209734,'1',234,'N'),(25,6209742,'1',233,'N'),(25,6209750,'1',303,'N'),(25,6209769,'1',332,'N'),(25,6209777,'1',316,'N'),(25,6209793,'1',103,'N'),(25,6209807,'1',319,'N'),(25,6209815,'1',103,'N'),(25,6209823,'1',102,'N'),(25,6209840,'1',212,'N'),(25,6209840,'1A',201,'N'),(25,6209858,'1',303,'N'),(25,6209874,'1',203,'N'),(25,6209874,'1A',207,'N'),(25,6209882,'1',5,'N'),(25,6209890,'1',207,'N'),(25,6209912,'1',319,'N'),(25,6209920,'1',103,'N'),(25,6209947,'1',335,'N'),(25,6209963,'1',235,'N'),(25,6209963,'1A',201,'N'),(25,6209971,'1',216,'N'),(25,6209971,'1A',215,'N'),(25,6209998,'1',317,'N'),(25,6210007,'1',444,'N'),(25,6210015,'1',214,'N'),(25,6210015,'1A',601,'N'),(25,6210023,'1',601,'N'),(25,6210031,'1',9,'N'),(25,6210058,'1',211,'N'),(25,6210058,'1A',208,'N'),(25,6210066,'1',211,'N'),(25,6210082,'1',208,'N'),(25,6210082,'1A',655,'N'),(25,6210090,'1',103,'N'),(25,6210104,'1',316,'N'),(25,6210112,'1',110,'N'),(25,6210120,'1',201,'N'),(25,6210120,'1A',212,'N'),(25,6210139,'1',999,'N'),(25,6210155,'1',103,'N'),(25,6210171,'1',303,'N'),(25,6210180,'1',211,'N'),(25,6210180,'1A',216,'N'),(25,6210201,'1',103,'N'),(25,6210210,'1',103,'N'),(25,6210228,'1',319,'N'),(25,6210244,'1',103,'N'),(25,6210252,'1',103,'N'),(25,6210260,'1',211,'N'),(25,6210260,'1A',652,'N'),(25,6210279,'1',303,'N'),(25,6210287,'1',102,'N'),(25,6210295,'1',103,'N'),(25,6210317,'1',103,'N'),(25,6210325,'1',103,'N'),(25,6210333,'1',202,'N'),(25,6210333,'1A',213,'N'),(25,6210350,'1',103,'N'),(25,6210368,'1',316,'N'),(25,6210376,'1',404,'N'),(25,6210384,'1',316,'N'),(25,6210392,'1',103,'N'),(25,6210414,'1',211,'N'),(25,6210414,'1A',201,'N'),(25,6210422,'1',425,'N'),(25,6210422,'1A',423,'N'),(25,6210430,'1',318,'N'),(25,6210449,'1',103,'N'),(25,6210457,'1',203,'N'),(25,6210457,'1A',202,'N'),(25,6210465,'1',316,'N'),(25,6210473,'1',324,'N'),(25,6210490,'1',238,'N'),(25,6210490,'1A',208,'N'),(25,6210503,'1',425,'N'),(25,6210503,'1A',429,'N'),(25,6210511,'1',103,'N'),(25,6210520,'1',324,'N'),(25,6210538,'1',110,'N'),(25,6210554,'1',327,'N'),(25,6210562,'1',103,'N'),(25,6210570,'1',201,'N'),(25,6210570,'1A',235,'N'),(25,6210589,'1',444,'N'),(25,6210597,'1',655,'N'),(25,6210597,'1A',652,'N'),(25,6210600,'1',336,'N'),(25,6210619,'1',309,'N'),(25,6210627,'1',101,'N'),(25,6210635,'1',207,'N'),(25,6210635,'1A',201,'N'),(25,6210643,'1',551,'N'),(25,6210651,'1',223,'N'),(25,6210660,'1',319,'N'),(25,6210678,'1',214,'N'),(25,6210678,'1A',203,'N'),(25,6210686,'1',202,'N'),(25,6210694,'1',999,'N'),(25,6210708,'1',108,'N'),(25,6210716,'1',211,'N'),(25,6210716,'1A',215,'N'),(25,6210732,'1',103,'N'),(25,6210759,'1',201,'N'),(25,6210759,'1A',207,'N'),(25,6210775,'1',216,'N'),(25,6210775,'1A',207,'N'),(25,6210783,'1',652,'N'),(25,6210783,'1A',653,'N'),(25,6210791,'1',318,'N'),(25,6210821,'1',207,'N'),(25,6210821,'1A',201,'N'),(25,6210848,'1',303,'N'),(25,6210856,'1',655,'N'),(25,6210864,'1',216,'N'),(25,6210864,'1A',201,'N'),(25,6210872,'1',203,'N'),(25,6210872,'1A',201,'N'),(25,6210899,'1',103,'N'),(25,6210902,'1',999,'N'),(25,6210910,'1',216,'N'),(25,6210910,'1A',208,'N'),(25,6210929,'1',336,'N'),(25,6210945,'1',5,'N'),(25,6210953,'1',238,'N'),(25,6210953,'1A',208,'N'),(25,6210961,'1',233,'N'),(25,6210961,'1A',238,'N'),(25,6210970,'1',444,'N'),(25,6210988,'1',203,'N'),(25,6210988,'1A',202,'N'),(25,6210996,'1',317,'N'),(25,6211003,'1',103,'N'),(25,6211011,'1',220,'N'),(25,6211011,'1A',235,'N'),(25,6211038,'1',211,'N'),(25,6211038,'1A',215,'N'),(25,6211046,'1',212,'N'),(25,6211046,'1A',233,'N'),(25,6211054,'1',202,'N'),(25,6211054,'1A',233,'N'),(25,6211062,'1',211,'N'),(25,6211062,'1A',215,'N'),(25,6211070,'1',340,'N'),(25,6211089,'1',428,'N'),(25,6211097,'1',103,'N'),(25,6211100,'1',201,'N'),(25,6211100,'1A',207,'N'),(25,6211119,'1',208,'N'),(25,6211119,'1A',238,'N'),(25,6211127,'1',501,'N'),(25,6211135,'1',203,'N'),(25,6211135,'1A',214,'N'),(25,6211143,'1',233,'N'),(25,6211143,'1A',213,'N'),(25,6211151,'1',201,'N'),(25,6211178,'1',655,'N'),(25,6211178,'1A',601,'N'),(25,6211186,'1',336,'N'),(25,6211194,'1',453,'N'),(25,6211208,'1',316,'N'),(25,6211224,'1',5,'N'),(25,6211240,'1',502,'N'),(25,6211259,'1',5,'N'),(25,6211267,'1',201,'N'),(25,6211267,'1A',212,'N'),(25,6211275,'1',103,'N'),(25,6211283,'1',654,'N'),(25,6211291,'1',999,'N'),(25,6211305,'1',320,'N'),(25,6211313,'1',103,'N'),(25,6211330,'1',216,'N'),(25,6211330,'1A',233,'N'),(25,6211348,'1',999,'N'),(25,6211356,'1',104,'N'),(25,6211364,'1',207,'N'),(25,6211364,'1A',601,'N'),(25,6211372,'1',9,'N'),(25,6211380,'1',201,'N'),(25,6211380,'1A',216,'N'),(25,6211399,'1',426,'N'),(25,6211399,'1A',428,'N'),(25,6211402,'1',214,'N'),(25,6211402,'1A',238,'N'),(25,6211410,'1',501,'N'),(25,6211429,'1',103,'N'),(25,6211437,'1',203,'N'),(25,6211437,'1A',207,'N'),(25,6211445,'1',202,'N'),(25,6211445,'1A',201,'N'),(25,6211453,'1',103,'N'),(25,6211461,'1',201,'N'),(25,6211461,'1A',207,'N'),(25,6211488,'1',212,'N'),(25,6211488,'1A',216,'N'),(25,6211496,'1',207,'N'),(25,6211496,'1A',233,'N'),(25,6211518,'1',103,'N'),(25,6211526,'1',211,'N'),(25,6211526,'1A',203,'N'),(25,6211534,'1',340,'N'),(25,6211542,'1',203,'N'),(25,6211542,'1A',201,'N'),(25,6211569,'1',308,'N'),(25,6211577,'1',225,'N'),(25,6211585,'1',103,'N'),(25,6211615,'1',328,'N'),(25,6211623,'1',653,'N'),(25,6211631,'1',415,'N'),(25,6211640,'1',103,'N'),(25,6211658,'1',215,'N'),(25,6211658,'1A',211,'N'),(25,6211674,'1',103,'N'),(25,6211682,'1',339,'N'),(25,6211690,'1',332,'N'),(25,6211704,'1',203,'N'),(25,6211704,'1A',201,'N'),(25,6211712,'1',340,'N'),(25,6211720,'1',104,'N'),(25,6211739,'1',303,'N'),(25,6211747,'1',103,'N'),(25,6211755,'1',339,'N'),(25,6211763,'1',104,'N'),(25,6211771,'1',302,'N'),(25,6211798,'1',309,'N'),(25,6211801,'1',103,'N'),(25,6211810,'1',108,'N'),(25,6211828,'1',333,'N'),(25,6211836,'1',303,'N'),(25,6211844,'1',303,'N'),(25,6211852,'1',654,'N'),(25,6211860,'1',203,'N'),(25,6211860,'1A',215,'N'),(25,6211887,'1',104,'N'),(25,6211909,'1',601,'N'),(25,6211909,'1A',211,'N'),(25,6211917,'1',303,'N'),(25,6211925,'1',216,'N'),(25,6211925,'1A',215,'N'),(25,6211933,'1',426,'N'),(25,6211933,'1A',428,'N'),(25,6211941,'1',429,'N'),(25,6211941,'1A',425,'N'),(25,6211950,'1',415,'N'),(25,6211968,'1',103,'N'),(25,6211976,'1',103,'N'),(25,6211984,'1',207,'N'),(25,6211984,'1A',601,'N'),(25,6211992,'1',303,'N'),(25,6212018,'1',316,'N'),(25,6212069,'1',999,'N'),(25,6212077,'1',9,'N'),(25,6212085,'1',5,'N'),(25,6212107,'1',103,'N'),(25,6212115,'1',103,'N'),(25,6212123,'1',333,'N'),(25,6212131,'1',220,'N'),(25,6212131,'1A',233,'N'),(25,6212158,'1',201,'N'),(25,6212158,'1A',207,'N'),(25,6212182,'1',203,'N'),(25,6212182,'1A',201,'N'),(25,6212190,'1',110,'N'),(25,6212204,'1',653,'N'),(25,6212204,'1A',201,'N'),(25,6212212,'1',104,'N'),(25,6212220,'1',108,'N'),(25,6212247,'1',103,'N'),(25,6212255,'1',303,'N'),(25,6212263,'1',238,'N'),(25,6212271,'1',101,'N'),(25,6212298,'1',319,'N'),(25,6212301,'1',108,'N'),(25,6212310,'1',203,'N'),(25,6212310,'1A',213,'N'),(25,6212328,'1',102,'N'),(25,6212344,'1',320,'N'),(25,6212352,'1',103,'N'),(25,6212360,'1',310,'N'),(25,6212379,'1',216,'N'),(25,6212379,'1A',203,'N'),(25,6212387,'1',207,'N'),(25,6212387,'1A',212,'N'),(25,6212395,'1',220,'N'),(25,6212395,'1A',214,'N'),(25,6212417,'1',444,'N'),(25,6212425,'1',103,'N'),(25,6212433,'1',103,'N'),(25,6212441,'1',211,'N'),(25,6212450,'1',201,'N'),(25,6212450,'1A',202,'N'),(25,6212468,'1',207,'N'),(25,6212468,'1A',201,'N'),(25,6212476,'1',654,'N'),(25,6212484,'1',103,'N'),(25,6212492,'1',103,'N'),(25,6212506,'1',601,'N'),(25,6212506,'1A',202,'N'),(25,6212514,'1',202,'N'),(25,6212514,'1A',213,'N'),(25,6212522,'1',216,'N'),(25,6212522,'1A',601,'N'),(25,6212530,'1',340,'N'),(25,6212557,'1',203,'N'),(25,6212565,'1',601,'N'),(25,6212565,'1A',214,'N'),(25,6212573,'1',999,'N'),(25,6212581,'1',238,'N'),(25,6212581,'1A',201,'N'),(25,6212590,'1',224,'N'),(25,6212603,'1',103,'N'),(25,6212620,'1',303,'N'),(25,6212646,'1',655,'N'),(25,6212654,'1',207,'N'),(25,6212662,'1',301,'N'),(25,6212670,'1',503,'N'),(25,6212689,'1',5,'N'),(25,6212700,'1',303,'N'),(25,6212727,'1',235,'N'),(25,6212727,'1A',220,'N'),(25,6212735,'1',319,'N'),(25,6212743,'1',203,'N'),(25,6212743,'1A',220,'N'),(25,6212751,'1',654,'N'),(25,6212760,'1',5,'N'),(25,6212786,'1',304,'N'),(25,6212794,'1',102,'N'),(25,6212808,'1',201,'N'),(25,6212808,'1A',212,'N'),(25,6212824,'1',319,'N'),(25,6212859,'1',3,'N'),(25,6212867,'1',316,'N'),(25,6212875,'1',308,'N'),(25,6212883,'1',303,'N'),(25,6212891,'1',103,'N'),(25,6212921,'1',103,'N'),(25,6212930,'1',340,'N'),(25,6212972,'1',336,'N'),(25,6212999,'1',220,'N'),(25,6212999,'1A',203,'N'),(25,6213022,'1',653,'N'),(25,6213022,'1A',655,'N'),(25,6213030,'1',340,'N'),(25,6213065,'1',415,'N'),(25,6213090,'1',301,'N'),(25,6213103,'1',428,'N'),(25,6213103,'1A',426,'N'),(25,6213111,'1',202,'N'),(25,6213111,'1A',203,'N'),(25,6213138,'1',233,'N'),(25,6213138,'1A',216,'N'),(25,6213146,'1',103,'N'),(25,6213170,'1',302,'N'),(25,6213189,'1',301,'N'),(25,6213197,'1',999,'N'),(25,6213200,'1',319,'N'),(25,6213219,'1',444,'N'),(25,6213235,'1',339,'N'),(25,6213243,'1',238,'N'),(25,6213278,'1',212,'N'),(25,6213278,'1A',235,'N'),(25,6213286,'1',9,'N'),(25,6213294,'1',601,'N'),(25,6213294,'1A',235,'N'),(25,6213308,'1',103,'N'),(25,6213316,'1',653,'N'),(25,6213316,'1A',655,'N'),(25,6213340,'1',207,'N'),(25,6213340,'1A',201,'N'),(25,6213359,'1',324,'N'),(25,6213375,'1',103,'N'),(25,6213383,'1',103,'N'),(25,6213405,'1',551,'N'),(25,6213413,'1',203,'N'),(25,6213413,'1A',214,'N'),(25,6213421,'1',303,'N'),(25,6213456,'1',220,'N'),(25,6213456,'1A',203,'N'),(25,6213464,'1',999,'N'),(25,6213472,'1',103,'N'),(25,6213480,'1',303,'N'),(25,6213502,'1',101,'N'),(25,6213510,'1',238,'N'),(25,6213537,'1',203,'N'),(25,6213537,'1A',214,'N'),(25,6213553,'1',103,'N'),(25,6213561,'1',201,'N'),(25,6213561,'1A',203,'N'),(25,6213570,'1',310,'N'),(25,6213588,'1',201,'N'),(25,6213588,'1A',207,'N'),(25,6213596,'1',103,'N'),(25,6213600,'1',101,'N'),(25,6213618,'1',308,'N'),(25,6213626,'1',109,'N'),(25,6213634,'1',301,'N'),(25,6213642,'1',201,'N'),(25,6213642,'1A',212,'N'),(25,6213669,'1',103,'N'),(25,6213677,'1',303,'N'),(25,6213707,'1',103,'N'),(25,6213723,'1',216,'N'),(25,6213723,'1A',203,'N'),(25,6213740,'1',103,'N'),(25,6213758,'1',103,'N'),(25,6213766,'1',216,'N'),(25,6213766,'1A',220,'N'),(25,6213774,'1',203,'N'),(25,6213774,'1A',214,'N'),(25,6213782,'1',309,'N'),(25,6213790,'1',201,'N'),(25,6213790,'1A',202,'N'),(25,6213820,'1',340,'N'),(25,6213839,'1',103,'N'),(25,6213847,'1',426,'N'),(25,6213847,'1A',421,'N'),(25,6213855,'1',336,'N'),(25,6213871,'1',452,'N'),(25,6213880,'1',329,'N'),(25,6213898,'1',203,'N'),(25,6213898,'1A',208,'N'),(25,6213901,'1',5,'N'),(25,6213910,'1',103,'N'),(25,6213928,'1',2,'N'),(25,6213936,'1',103,'N'),(25,6213944,'1',317,'N'),(25,6213952,'1',310,'N'),(25,6213960,'1',425,'N'),(25,6213960,'1A',429,'N'),(25,6213979,'1',201,'N'),(25,6213979,'1A',212,'N'),(25,6213987,'1',220,'N'),(25,6213987,'1A',213,'N'),(25,6213995,'1',317,'N'),(25,6214002,'1',103,'N'),(25,6214029,'1',340,'N'),(25,6214045,'1',103,'N'),(25,6214061,'1',332,'N'),(25,6214070,'1',999,'N'),(25,6214088,'1',999,'N'),(25,6214096,'1',214,'N'),(25,6214096,'1A',212,'N'),(25,6214100,'1',201,'N'),(25,6214100,'1A',220,'N'),(25,6214118,'1',303,'N'),(25,6214126,'1',310,'N'),(25,6214142,'1',225,'N'),(25,6214150,'1',601,'N'),(25,6214150,'1A',203,'N'),(25,6214169,'1',316,'N'),(25,6214177,'1',5,'N'),(25,6214185,'1',108,'N'),(25,6214193,'1',551,'N'),(25,6214223,'1',201,'N'),(25,6214223,'1A',207,'N'),(25,6214231,'1',103,'N'),(25,6214240,'1',303,'N'),(25,6214258,'1',601,'N'),(25,6214258,'1A',213,'N'),(25,6214266,'1',207,'N'),(25,6214266,'1A',215,'N'),(25,6214282,'1',333,'N'),(25,6214290,'1',5,'N'),(25,6214304,'1',5,'N'),(25,6214312,'1',108,'N'),(25,6214339,'1',420,'N'),(25,6214347,'1',453,'N'),(25,6214355,'1',551,'N'),(25,6214363,'1',211,'N'),(25,6214363,'1A',201,'N'),(25,6214371,'1',225,'N'),(25,6214380,'1',426,'N'),(25,6214380,'1A',429,'N'),(25,6214410,'1',404,'N'),(25,6214428,'1',103,'N'),(25,6214436,'1',211,'N'),(25,6214436,'1A',213,'N'),(25,6214444,'1',301,'N'),(25,6214452,'1',318,'N'),(25,6214460,'1',601,'N'),(25,6214460,'1A',202,'N'),(25,6214479,'1',653,'N'),(25,6214479,'1A',652,'N'),(25,6214487,'1',203,'N'),(25,6214487,'1A',214,'N'),(25,6214517,'1',208,'N'),(25,6214517,'1A',203,'N'),(25,6214525,'1',319,'N'),(25,6214533,'1',551,'N'),(25,6214541,'1',335,'N'),(25,6214568,'1',208,'N'),(25,6214568,'1A',238,'N'),(25,6214576,'1',220,'N'),(25,6214584,'1',999,'N'),(25,6214592,'1',201,'N'),(25,6214592,'1A',601,'N'),(25,6214606,'1',337,'N'),(25,6214614,'1',303,'N'),(25,6214630,'1',103,'N'),(25,6214649,'1',201,'N'),(25,6214649,'1A',208,'N'),(25,6214665,'1',999,'N'),(25,6214673,'1',202,'N'),(25,6214673,'1A',220,'N'),(25,6214703,'1',303,'N'),(25,6214711,'1',303,'N'),(25,6214720,'1',103,'N'),(25,6214738,'1',104,'N'),(25,6214754,'1',336,'N'),(25,6214762,'1',103,'N'),(25,6214770,'1',103,'N'),(25,6214797,'1',108,'N'),(25,6214800,'1',5,'N'),(25,6214819,'1',103,'N'),(25,6214827,'1',238,'N'),(25,6214835,'1',238,'N'),(25,6214835,'1A',208,'N'),(25,6214843,'1',453,'N'),(25,6214851,'1',332,'N'),(25,6214860,'1',104,'N'),(25,6214886,'1',301,'N'),(25,6214894,'1',2,'N'),(25,6214916,'1',308,'N'),(25,6214924,'1',212,'N'),(25,6214924,'1A',214,'N'),(25,6214932,'1',319,'N'),(25,6214940,'1',208,'N'),(25,6214940,'1A',220,'N'),(25,6214967,'1',5,'N'),(25,6214975,'1',308,'N'),(25,6214991,'1',102,'N'),(25,6215009,'1',215,'N'),(25,6215009,'1A',211,'N'),(25,6215017,'1',102,'N'),(25,6215025,'1',5,'N'),(25,6215033,'1',103,'N'),(25,6215050,'1',102,'N'),(25,6215068,'1',310,'N'),(25,6215076,'1',208,'N'),(25,6215076,'1A',238,'N'),(25,6215084,'1',103,'N'),(25,6215092,'1',338,'N'),(25,6215130,'1',216,'N'),(25,6215130,'1A',235,'N'),(25,6215157,'1',103,'N'),(25,6215190,'1',238,'N'),(25,6215190,'1A',208,'N'),(25,6215211,'1',601,'N'),(25,6215220,'1',212,'N'),(25,6215220,'1A',235,'N'),(25,6215238,'1',999,'N'),(25,6215246,'1',303,'N'),(25,6215254,'1',319,'N'),(25,6215270,'1',5,'N'),(25,6215289,'1',104,'N'),(25,6215300,'1',215,'N'),(25,6215300,'1A',601,'N'),(25,6215319,'1',427,'N'),(25,6215319,'1A',421,'N'),(25,6215327,'1',337,'N'),(25,6215335,'1',104,'N'),(25,6215343,'1',201,'N'),(25,6215343,'1A',212,'N'),(25,6215360,'1',203,'N'),(25,6215360,'1A',235,'N'),(25,6215378,'1',340,'N'),(25,6215394,'1',108,'N'),(25,6215416,'1',319,'N'),(25,6215424,'1',201,'N'),(25,6215424,'1A',202,'N'),(25,6215432,'1',304,'N'),(25,6215459,'1',108,'N'),(25,6215467,'1',340,'N'),(25,6215475,'1',999,'N'),(25,6215483,'1',5,'N'),(25,6215491,'1',426,'N'),(25,6215491,'1A',429,'N'),(25,6215505,'1',502,'N'),(25,6215513,'1',502,'N'),(25,6215521,'1',317,'N'),(25,6215530,'1',202,'N'),(25,6215530,'1A',213,'N'),(25,6215548,'1',319,'N'),(25,6215556,'1',601,'N'),(25,6215556,'1A',207,'N'),(25,6215564,'1',420,'N'),(25,6215572,'1',216,'N'),(25,6215572,'1A',202,'N'),(25,6215599,'1',203,'N'),(25,6215599,'1A',202,'N'),(25,6215610,'1',452,'N'),(25,6215629,'1',103,'N'),(25,6215637,'1',999,'N'),(25,6215645,'1',333,'N'),(25,6215653,'1',207,'N'),(25,6215653,'1A',211,'N'),(25,6215661,'1',303,'N'),(25,6215670,'1',103,'N'),(25,6215688,'1',999,'N'),(25,6215700,'1',999,'N'),(25,6215718,'1',103,'N'),(25,6215726,'1',103,'N'),(25,6215742,'1',234,'N'),(25,6215750,'1',201,'N'),(25,6215750,'1A',212,'N'),(25,6215769,'1',326,'N'),(25,6215777,'1',214,'N'),(25,6215777,'1A',213,'N'),(25,6215785,'1',655,'N'),(25,6215793,'1',103,'N'),(25,6215807,'1',999,'N'),(25,6215831,'1',303,'N'),(25,6215840,'1',340,'N'),(25,6215858,'1',425,'N'),(25,6215858,'1A',421,'N'),(25,6215866,'1',303,'N'),(25,6215874,'1',9,'N'),(25,6215882,'1',203,'N'),(25,6215882,'1A',235,'N'),(25,6215890,'1',302,'N'),(25,6215904,'1',103,'N'),(25,6215912,'1',303,'N'),(25,6215939,'1',452,'N'),(25,6215971,'1',304,'N'),(25,6215998,'1',340,'N'),(25,6216005,'1',103,'N'),(25,6216013,'1',101,'N'),(25,6216021,'1',301,'N'),(25,6216048,'1',207,'N'),(25,6216048,'1A',201,'N'),(25,6216056,'1',201,'N'),(25,6216056,'1A',207,'N'),(25,6216064,'1',340,'N'),(25,6216072,'1',224,'N'),(25,6216102,'1',309,'N'),(25,6216110,'1',202,'N'),(25,6216110,'1A',235,'N'),(25,6216129,'1',303,'N'),(25,6216137,'1',208,'N'),(25,6216137,'1A',238,'N'),(25,6216145,'1',318,'N'),(25,6216161,'1',319,'N'),(25,6216170,'1',103,'N'),(25,6216188,'1',202,'N'),(25,6216188,'1A',208,'N'),(25,6216196,'1',317,'N'),(25,6216200,'1',238,'N'),(25,6216200,'1A',208,'N'),(25,6216218,'1',201,'N'),(25,6216218,'1A',207,'N'),(25,6216226,'1',201,'N'),(25,6216226,'1A',207,'N'),(25,6216234,'1',420,'N'),(25,6216250,'1',309,'N'),(25,6216269,'1',201,'N'),(25,6216269,'1A',207,'N'),(25,6216277,'1',216,'N'),(25,6216277,'1A',235,'N'),(25,6216293,'1',201,'N'),(25,6216307,'1',423,'N'),(25,6216307,'1A',427,'N'),(25,6216315,'1',201,'N'),(25,6216315,'1A',207,'N'),(25,6216323,'1',304,'N'),(25,6216331,'1',317,'N'),(25,6216340,'1',104,'N'),(25,6216358,'1',104,'N'),(25,6216366,'1',340,'N'),(25,6216374,'1',3,'N'),(25,6216382,'1',235,'N'),(25,6216382,'1A',652,'N'),(25,6216404,'1',102,'N'),(25,6216412,'1',303,'N'),(25,6216420,'1',103,'N'),(25,6216439,'1',202,'N'),(25,6216439,'1A',235,'N'),(25,6216447,'1',103,'N'),(25,6216463,'1',103,'N'),(25,6216471,'1',302,'N'),(25,6216480,'1',103,'N'),(25,6216498,'1',203,'N'),(25,6216498,'1A',216,'N'),(25,6216501,'1',5,'N'),(25,6216510,'1',103,'N'),(25,6216536,'1',103,'N'),(25,6216544,'1',103,'N'),(25,6216552,'1',9,'N'),(25,6216560,'1',103,'N'),(25,6216579,'1',5,'N'),(25,6216587,'1',238,'N'),(25,6216587,'1A',216,'N'),(25,6216595,'1',999,'N'),(25,6216609,'1',5,'N'),(25,6216625,'1',102,'N'),(25,6216633,'1',103,'N'),(25,6216650,'1',654,'N'),(25,6216668,'1',303,'N'),(25,6216676,'1',207,'N'),(25,6216676,'1A',212,'N'),(25,6216684,'1',109,'N'),(25,6216692,'1',303,'N'),(25,6216706,'1',333,'N'),(25,6216714,'1',202,'N'),(25,6216714,'1A',238,'N'),(25,6216722,'1',215,'N'),(25,6216722,'1A',235,'N'),(25,6216730,'1',5,'N'),(25,6216757,'1',103,'N'),(25,6216765,'1',201,'N'),(25,6216765,'1A',212,'N'),(25,6216790,'1',444,'N'),(25,6216811,'1',452,'N'),(25,6216820,'1',208,'N'),(25,6216820,'1A',235,'N'),(25,6216838,'1',103,'N'),(25,6216870,'1',103,'N'),(25,6216889,'1',333,'N'),(25,6216897,'1',103,'N'),(25,6216900,'1',207,'N'),(25,6216900,'1A',201,'N'),(25,6216919,'1',9,'N'),(25,6216927,'1',316,'N'),(25,6216935,'1',216,'N'),(25,6216935,'1A',233,'N'),(25,6216943,'1',103,'N'),(25,6216951,'1',337,'N'),(25,6216960,'1',207,'N'),(25,6216960,'1A',201,'N'),(25,6216978,'1',103,'N'),(25,6216994,'1',316,'N'),(25,6217001,'1',211,'N'),(25,6217001,'1A',202,'N'),(25,6217010,'1',201,'N'),(25,6217010,'1A',212,'N'),(25,6217028,'1',103,'N'),(25,6217036,'1',103,'N'),(25,6217052,'1',103,'N'),(25,6217079,'1',201,'N'),(25,6217079,'1A',207,'N'),(25,6217087,'1',207,'N'),(25,6217087,'1A',601,'N'),(25,6217095,'1',104,'N'),(25,6217117,'1',103,'N'),(25,6217133,'1',5,'N'),(25,6217150,'1',103,'N'),(25,6217176,'1',303,'N'),(25,6217206,'1',420,'N'),(25,6217222,'1',3,'N'),(25,6217230,'1',103,'N'),(25,6217249,'1',207,'N'),(25,6217249,'1A',233,'N'),(25,6217257,'1',103,'N'),(25,6217273,'1',319,'N'),(25,6217281,'1',420,'N'),(25,6217290,'1',103,'N'),(25,6217303,'1',999,'N'),(25,6217311,'1',207,'N'),(25,6217311,'1A',601,'N'),(25,6217320,'1',203,'N'),(25,6217320,'1A',201,'N'),(25,6217338,'1',301,'N'),(25,6217354,'1',316,'N'),(25,6217362,'1',501,'N'),(25,6217370,'1',317,'N'),(25,6217389,'1',201,'N'),(25,6217389,'1A',203,'N'),(25,6217397,'1',103,'N'),(25,6217400,'1',207,'N'),(25,6217400,'1A',235,'N'),(25,6217419,'1',202,'N'),(25,6217419,'1A',213,'N'),(25,6217427,'1',207,'N'),(25,6217435,'1',326,'N'),(25,6217451,'1',207,'N'),(25,6217451,'1A',215,'N'),(25,6217460,'1',999,'N'),(25,6217478,'1',999,'N'),(25,6217486,'1',5,'N'),(25,6217508,'1',211,'N'),(25,6217508,'1A',212,'N'),(25,6217524,'1',102,'N'),(25,6217540,'1',5,'N'),(25,6217559,'1',211,'N'),(25,6217559,'1A',215,'N'),(25,6217567,'1',999,'N'),(25,6217583,'1',319,'N'),(25,6217591,'1',203,'N'),(25,6217591,'1A',220,'N'),(25,6217605,'1',201,'N'),(25,6217605,'1A',215,'N'),(25,6217613,'1',201,'N'),(25,6217613,'1A',207,'N'),(25,6217621,'1',108,'N'),(25,6217648,'1',103,'N'),(25,6217656,'1',999,'N'),(25,6217664,'1',103,'N'),(25,6217672,'1',404,'N'),(25,6217680,'1',999,'N'),(25,6217699,'1',215,'N'),(25,6217699,'1A',216,'N'),(25,6217729,'1',101,'N'),(25,6217737,'1',103,'N'),(25,6217753,'1',110,'N'),(25,6217770,'1',104,'N'),(25,6217788,'1',103,'N'),(25,6217796,'1',101,'N'),(25,6217826,'1',444,'N'),(25,6217842,'1',999,'N'),(25,6217850,'1',202,'N'),(25,6217850,'1A',235,'N'),(25,6217877,'1',303,'N'),(25,6217885,'1',207,'N'),(25,6217885,'1A',233,'N'),(25,6217907,'1',302,'N'),(25,6217915,'1',3,'N'),(25,6217923,'1',103,'N'),(25,6217931,'1',415,'N'),(25,6217940,'1',103,'N'),(25,6217958,'1',5,'N'),(25,6217966,'1',103,'N'),(25,6217974,'1',327,'N'),(25,6217982,'1',103,'N'),(25,6217990,'1',5,'N'),(25,6218008,'1',101,'N'),(25,6218024,'1',109,'N'),(25,6218032,'1',5,'N'),(25,6218040,'1',235,'N'),(25,6218059,'1',303,'N'),(25,6218067,'1',340,'N'),(25,6218075,'1',207,'N'),(25,6218075,'1A',238,'N'),(25,6218091,'1',201,'N'),(25,6218091,'1A',212,'N'),(25,6218113,'1',211,'N'),(25,6218113,'1A',215,'N'),(25,6218121,'1',110,'N'),(25,6218148,'1',309,'N'),(25,6218156,'1',103,'N'),(25,6218164,'1',103,'N'),(25,6218180,'1',452,'N'),(25,6218199,'1',201,'N'),(25,6218199,'1A',203,'N'),(25,6218202,'1',201,'N'),(25,6218202,'1A',212,'N'),(25,6218210,'1',101,'N'),(25,6218229,'1',302,'N'),(25,6218237,'1',103,'N'),(25,6218245,'1',317,'N'),(25,6218253,'1',415,'N'),(25,6218261,'1',340,'N'),(25,6218270,'1',233,'N'),(25,6218270,'1A',216,'N'),(25,6218288,'1',104,'N'),(25,6218296,'1',216,'N'),(25,6218296,'1A',201,'N'),(25,6218300,'1',429,'N'),(25,6218300,'1A',425,'N'),(25,6218318,'1',102,'N'),(25,6218326,'1',103,'N'),(25,6218334,'1',326,'N'),(25,6218342,'1',103,'N'),(25,6218350,'1',319,'N'),(25,6218377,'1',103,'N'),(25,6218385,'1',503,'N'),(25,6218393,'1',319,'N'),(25,6218407,'1',103,'N'),(25,6218415,'1',216,'N'),(25,6218415,'1A',201,'N'),(25,6218423,'1',103,'N'),(25,6218431,'1',212,'N'),(25,6218431,'1A',213,'N'),(25,6218440,'1',203,'N'),(25,6218440,'1A',220,'N'),(25,6218458,'1',216,'N'),(25,6218458,'1A',201,'N'),(25,6218466,'1',203,'N'),(25,6218466,'1A',208,'N'),(25,6218474,'1',203,'N'),(25,6218474,'1A',220,'N'),(25,6218482,'1',109,'N'),(25,6218490,'1',340,'N'),(25,6218504,'1',109,'N'),(25,6218512,'1',238,'N'),(25,6218512,'1A',233,'N'),(25,6218539,'1',333,'N'),(25,6218547,'1',317,'N'),(25,6218555,'1',301,'N'),(25,6218563,'1',108,'N'),(25,6218580,'1',301,'N'),(25,6218598,'1',302,'N'),(25,6218601,'1',207,'N'),(25,6218601,'1A',238,'N'),(25,6218610,'1',103,'N'),(25,6218628,'1',303,'N'),(25,6218636,'1',103,'N'),(25,6218644,'1',340,'N'),(25,6218652,'1',207,'N'),(25,6218652,'1A',233,'N'),(25,6218660,'1',103,'N'),(25,6218679,'1',110,'N'),(25,6218709,'1',103,'N'),(25,6218725,'1',207,'N'),(25,6218725,'1A',201,'N'),(25,6218733,'1',103,'N'),(25,6218741,'1',216,'N'),(25,6218741,'1A',201,'N'),(25,6218750,'1',999,'N'),(25,6218768,'1',5,'N'),(25,6218776,'1',502,'N'),(25,6218784,'1',103,'N'),(25,6218792,'1',103,'N'),(25,6218806,'1',103,'N'),(25,6218814,'1',601,'N'),(25,6218814,'1A',202,'N'),(25,6218822,'1',214,'N'),(25,6218822,'1A',202,'N'),(25,6218830,'1',653,'N'),(25,6218830,'1A',655,'N'),(25,6218849,'1',103,'N'),(25,6218857,'1',999,'N'),(25,6218865,'1',336,'N'),(25,6218873,'1',108,'N'),(25,6218911,'1',103,'N'),(25,6218938,'1',999,'N'),(25,6218954,'1',202,'N'),(25,6218954,'1A',220,'N'),(25,6218962,'1',301,'N'),(25,6218970,'1',203,'N'),(25,6218970,'1A',202,'N'),(25,6218989,'1',207,'N'),(25,6218989,'1A',601,'N'),(25,6219004,'1',202,'N'),(25,6219055,'1',201,'N'),(25,6219055,'1A',212,'N'),(25,6219063,'1',103,'N'),(25,6219080,'1',103,'N'),(25,6219098,'1',216,'N'),(25,6219098,'1A',215,'N'),(25,6219101,'1',207,'N'),(25,6219101,'1A',215,'N'),(25,6219110,'1',207,'N'),(25,6219110,'1A',238,'N'),(25,6219128,'1',110,'N'),(25,6219136,'1',103,'N'),(25,6219144,'1',238,'N'),(25,6219144,'1A',208,'N'),(25,6219152,'1',201,'N'),(25,6219152,'1A',212,'N'),(25,6219160,'1',328,'N'),(25,6219187,'1',102,'N'),(25,6219195,'1',201,'N'),(25,6219195,'1A',203,'N'),(25,6219209,'1',103,'N'),(25,6219217,'1',303,'N'),(25,6219233,'1',999,'N'),(25,6219241,'1',238,'N'),(25,6219241,'1A',201,'N'),(25,6219268,'1',501,'N'),(25,6219276,'1',318,'N'),(25,6219284,'1',502,'N'),(25,6219292,'1',216,'N'),(25,6219292,'1A',211,'N'),(25,6219306,'1',207,'N'),(25,6219306,'1A',201,'N'),(25,6219314,'1',652,'N'),(25,6219314,'1A',653,'N'),(25,6219322,'1',444,'N'),(25,6219330,'1',216,'N'),(25,6219357,'1',208,'N'),(25,6219357,'1A',238,'N'),(25,6219365,'1',444,'N'),(25,6219373,'1',102,'N'),(25,6219381,'1',207,'N'),(25,6219381,'1A',215,'N'),(25,6219390,'1',502,'N'),(25,6219438,'1',202,'N'),(25,6219438,'1A',201,'N'),(25,6219446,'1',326,'N'),(25,6219454,'1',103,'N'),(25,6219462,'1',103,'N'),(25,6219489,'1',302,'N'),(25,6219497,'1',101,'N'),(25,6219500,'1',103,'N'),(25,6219519,'1',103,'N'),(25,6219527,'1',425,'N'),(25,6219527,'1A',429,'N'),(25,6219535,'1',207,'N'),(25,6219543,'1',108,'N'),(25,6219551,'1',103,'N'),(25,6219560,'1',110,'N'),(25,6219586,'1',103,'N'),(25,6219594,'1',103,'N'),(25,6219616,'1',216,'N'),(25,6219616,'1A',203,'N'),(25,6219624,'1',203,'N'),(25,6219624,'1A',214,'N'),(25,6219632,'1',301,'N'),(25,6219659,'1',5,'N'),(25,6219667,'1',415,'N'),(25,6219675,'1',444,'N'),(25,6219683,'1',501,'N'),(25,6219691,'1',303,'N'),(25,6219713,'1',103,'N'),(25,6219721,'1',103,'N'),(25,6219730,'1',502,'N'),(25,6219748,'1',339,'N'),(25,6219756,'1',211,'N'),(25,6219756,'1A',233,'N'),(25,6219764,'1',208,'N'),(25,6219772,'1',444,'N'),(25,6219780,'1',415,'N'),(25,6219799,'1',340,'N'),(25,6219802,'1',238,'N'),(25,6219802,'1A',208,'N'),(25,6219810,'1',203,'N'),(25,6219810,'1A',216,'N'),(25,6219829,'1',108,'N'),(25,6219837,'1',220,'N'),(25,6219837,'1A',202,'N'),(25,6219845,'1',207,'N'),(25,6219845,'1A',201,'N'),(25,6219853,'1',203,'N'),(25,6219853,'1A',214,'N'),(25,6219870,'1',103,'N'),(25,6219888,'1',328,'N'),(25,6219896,'1',3,'N'),(25,6219900,'1',5,'N'),(25,6219926,'1',319,'N'),(25,6219934,'1',108,'N'),(25,6219942,'1',336,'N'),(25,6219950,'1',201,'N'),(25,6219950,'1A',202,'N'),(25,6219969,'1',201,'N'),(25,6219969,'1A',213,'N'),(25,6219985,'1',319,'N'),(25,6219993,'1',201,'N'),(25,6219993,'1A',212,'N'),(25,6220002,'1',220,'N'),(25,6220010,'1',201,'N'),(25,6220010,'1A',212,'N'),(25,6220037,'1',103,'N'),(25,6220045,'1',444,'N'),(25,6220053,'1',207,'N'),(25,6220053,'1A',201,'N'),(25,6220061,'1',101,'N'),(25,6220070,'1',202,'N'),(25,6220070,'1A',212,'N'),(25,6220096,'1',220,'N'),(25,6220096,'1A',208,'N'),(25,6220126,'1',201,'N'),(25,6220126,'1A',233,'N'),(25,6220134,'1',103,'N'),(25,6220142,'1',420,'N'),(25,6220150,'1',3,'N'),(25,6220169,'1',201,'N'),(25,6220169,'1A',202,'N'),(25,6220193,'1',331,'N'),(25,6220207,'1',303,'N'),(25,6220240,'1',5,'N'),(25,6220258,'1',103,'N'),(25,6220266,'1',425,'N'),(25,6220266,'1A',424,'N'),(25,6220274,'1',103,'N'),(25,6220290,'1',5,'N'),(25,6220304,'1',5,'N'),(25,6220312,'1',103,'N'),(25,6220320,'1',329,'N'),(25,6220339,'1',5,'N'),(25,6220363,'1',103,'N'),(25,6220371,'1',601,'N'),(25,6220371,'1A',203,'N'),(25,6220380,'1',103,'N'),(25,6220401,'1',316,'N'),(25,6220410,'1',102,'N'),(25,6220436,'1',233,'N'),(25,6220444,'1',201,'N'),(25,6220444,'1A',202,'N'),(25,6220452,'1',601,'N'),(25,6220452,'1A',201,'N'),(25,6220495,'1',103,'N'),(25,6220509,'1',303,'N'),(25,6220517,'1',110,'N'),(25,6220525,'1',110,'N'),(25,6220533,'1',220,'N'),(25,6220533,'1A',208,'N'),(25,6220550,'1',653,'N'),(25,6220550,'1A',601,'N'),(25,6220584,'1',3,'N'),(25,6220592,'1',5,'N'),(25,6220606,'1',201,'N'),(25,6220606,'1A',212,'N'),(25,6220614,'1',103,'N'),(25,6220622,'1',225,'N'),(25,6220630,'1',207,'N'),(25,6220630,'1A',201,'N'),(25,6220649,'1',103,'N'),(25,6220657,'1',225,'N'),(25,6220673,'1',5,'N'),(25,6220681,'1',225,'N'),(25,6220703,'1',104,'N'),(25,6220711,'1',444,'N'),(25,6220720,'1',233,'N'),(25,6220738,'1',103,'N'),(25,6220746,'1',308,'N'),(25,6220754,'1',109,'N'),(25,6220762,'1',201,'N'),(25,6220762,'1A',233,'N'),(25,6220770,'1',110,'N'),(25,6220789,'1',238,'N'),(25,6220789,'1A',601,'N'),(25,6220797,'1',212,'N'),(25,6220797,'1A',201,'N'),(25,6220800,'1',319,'N'),(25,6220819,'1',551,'N'),(25,6220827,'1',214,'N'),(25,6220827,'1A',213,'N'),(25,6220835,'1',238,'N'),(25,6220835,'1A',208,'N'),(25,6220843,'1',108,'N'),(25,6220860,'1',216,'N'),(25,6220860,'1A',215,'N'),(25,6220878,'1',103,'N'),(25,6220886,'1',326,'N'),(25,6220908,'1',103,'N'),(25,6220916,'1',336,'N'),(25,6220924,'1',999,'N'),(25,6220932,'1',103,'N'),(25,6220940,'1',201,'N'),(25,6220940,'1A',207,'N'),(25,6220959,'1',103,'N'),(25,6220975,'1',332,'N'),(25,6220991,'1',317,'N'),(25,6221009,'1',317,'N'),(25,6221025,'1',319,'N'),(25,6221033,'1',211,'N'),(25,6221033,'1A',233,'N'),(25,6221041,'1',233,'N'),(25,6221041,'1A',216,'N'),(25,6221050,'1',201,'N'),(25,6221050,'1A',203,'N'),(25,6221068,'1',103,'N'),(25,6221084,'1',104,'N'),(25,6221092,'1',601,'N'),(25,6221092,'1A',235,'N'),(25,6221106,'1',551,'N'),(25,6221114,'1',103,'N'),(25,6221130,'1',110,'N'),(25,6221149,'1',238,'N'),(25,6221157,'1',326,'N'),(25,6221173,'1',309,'N'),(25,6221181,'1',404,'N'),(25,6221203,'1',301,'N'),(25,6221211,'1',999,'N'),(25,6221220,'1',601,'N'),(25,6221220,'1A',233,'N'),(25,6221238,'1',104,'N'),(25,6221297,'1',103,'N'),(25,6221319,'1',308,'N'),(25,6221327,'1',404,'N'),(25,6221335,'1',329,'N'),(25,6221343,'1',3,'N'),(25,6221360,'1',654,'N'),(25,6221378,'1',103,'N'),(25,6221386,'1',104,'N'),(25,6221394,'1',999,'N'),(25,6221416,'1',103,'N'),(25,6221424,'1',220,'N'),(25,6221424,'1A',201,'N'),(25,6221440,'1',303,'N'),(25,6221459,'1',103,'N'),(25,6221467,'1',201,'N'),(25,6221467,'1A',212,'N'),(25,6221483,'1',103,'N'),(25,6221513,'1',203,'N'),(25,6221513,'1A',202,'N'),(25,6221521,'1',212,'N'),(25,6221521,'1A',201,'N'),(25,6221530,'1',103,'N'),(25,6221564,'1',318,'N'),(25,6221572,'1',103,'N'),(25,6221580,'1',103,'N'),(25,6221599,'1',208,'N'),(25,6221599,'1A',238,'N'),(25,6221602,'1',338,'N'),(25,6221610,'1',103,'N'),(25,6221629,'1',235,'N'),(25,6221629,'1A',202,'N'),(25,6221637,'1',601,'N'),(25,6221637,'1A',203,'N'),(25,6221645,'1',103,'N'),(25,6221653,'1',212,'N'),(25,6221653,'1A',233,'N'),(25,6221661,'1',551,'N'),(25,6221670,'1',653,'N'),(25,6221670,'1A',652,'N'),(25,6221688,'1',103,'N'),(25,6221696,'1',340,'N'),(25,6221718,'1',336,'N'),(25,6221734,'1',326,'N'),(25,6221742,'1',303,'N'),(25,6221750,'1',5,'N'),(25,6221769,'1',203,'N'),(25,6221769,'1A',202,'N'),(25,6221777,'1',444,'N'),(25,6221793,'1',420,'N'),(25,6221807,'1',999,'N'),(25,6221815,'1',303,'N'),(25,6221823,'1',5,'N'),(25,6221831,'1',216,'N'),(25,6221831,'1A',233,'N'),(25,6221840,'1',333,'N'),(25,6221866,'1',207,'N'),(25,6221866,'1A',211,'N'),(25,6221874,'1',103,'N'),(25,6221882,'1',103,'N'),(25,6221890,'1',340,'N'),(25,6221904,'1',102,'N'),(25,6221912,'1',333,'N'),(25,6221920,'1',216,'N'),(25,6221920,'1A',201,'N'),(25,6221947,'1',329,'N'),(25,6221955,'1',211,'N'),(25,6221955,'1A',207,'N'),(25,6221963,'1',652,'N'),(25,6221963,'1A',655,'N'),(25,6221971,'1',220,'N'),(25,6221971,'1A',201,'N'),(25,6221998,'1',316,'N'),(25,6222005,'1',420,'N'),(25,6222013,'1',301,'N'),(25,6222021,'1',104,'N'),(25,6222030,'1',302,'N'),(25,6222048,'1',601,'N'),(25,6222056,'1',319,'N'),(25,6222064,'1',319,'N'),(25,6222072,'1',339,'N'),(25,6222080,'1',450,'N'),(25,6222102,'1',103,'N'),(25,6222129,'1',318,'N'),(25,6222137,'1',302,'N'),(25,6222145,'1',211,'N'),(25,6222161,'1',304,'N'),(25,6222170,'1',103,'N'),(25,6222188,'1',103,'N'),(25,6222196,'1',415,'N'),(25,6222200,'1',103,'N'),(25,6222218,'1',207,'N'),(25,6222218,'1A',201,'N'),(25,6222226,'1',318,'N'),(25,6222234,'1',9,'N'),(25,6222242,'1',5,'N'),(25,6222250,'1',103,'N'),(25,6222269,'1',301,'N'),(25,6222277,'1',203,'N'),(25,6222277,'1A',202,'N'),(25,6222285,'1',201,'N'),(25,6222285,'1A',208,'N'),(25,6222293,'1',5,'N'),(25,6222307,'1',333,'N'),(25,6222315,'1',319,'N'),(25,6222331,'1',201,'N'),(25,6222331,'1A',212,'N'),(25,6222366,'1',103,'N'),(25,6222382,'1',340,'N'),(25,6222390,'1',103,'N'),(25,6222404,'1',303,'N'),(25,6222420,'1',5,'N'),(25,6222439,'1',653,'N'),(25,6222447,'1',104,'N'),(25,6222455,'1',340,'N'),(25,6222463,'1',220,'N'),(25,6222463,'1A',233,'N'),(25,6222471,'1',5,'N'),(25,6222498,'1',303,'N'),(25,6222528,'1',3,'N'),(25,6222544,'1',999,'N'),(25,6222552,'1',207,'N'),(25,6222552,'1A',201,'N'),(25,6222560,'1',420,'N'),(25,6222579,'1',502,'N'),(25,6222595,'1',110,'N'),(25,6222617,'1',235,'N'),(25,6222617,'1A',203,'N'),(25,6222625,'1',340,'N'),(25,6222633,'1',316,'N'),(25,6222641,'1',415,'N'),(25,6222650,'1',324,'N'),(25,6222668,'1',201,'N'),(25,6222668,'1A',207,'N'),(25,6222692,'1',108,'N'),(25,6222706,'1',601,'N'),(25,6222730,'1',9,'N'),(25,6222749,'1',502,'N'),(25,6222757,'1',426,'N'),(25,6222757,'1A',428,'N'),(25,6222765,'1',103,'N'),(25,6222773,'1',201,'N'),(25,6222773,'1A',212,'N'),(25,6222781,'1',316,'N'),(25,6222803,'1',302,'N'),(25,6222811,'1',103,'N'),(25,6222820,'1',999,'N'),(25,6222838,'1',601,'N'),(25,6222838,'1A',207,'N'),(25,6222846,'1',103,'N'),(25,6222854,'1',201,'N'),(25,6222854,'1A',212,'N'),(25,6222862,'1',319,'N'),(25,6222889,'1',404,'N'),(25,6222897,'1',999,'N'),(25,6222919,'1',103,'N'),(25,6222935,'1',103,'N'),(25,6222943,'1',429,'N'),(25,6222951,'1',109,'N'),(25,6222960,'1',201,'N'),(25,6222960,'1A',208,'N'),(25,6222986,'1',301,'N'),(25,6222994,'1',202,'N'),(25,6222994,'1A',235,'N'),(25,6223001,'1',216,'N'),(25,6223010,'1',202,'N'),(25,6223010,'1A',238,'N'),(25,6223028,'1',317,'N'),(25,6223036,'1',216,'N'),(25,6223036,'1A',203,'N'),(25,6223044,'1',103,'N'),(25,6223052,'1',318,'N'),(25,6223060,'1',303,'N'),(25,6223087,'1',421,'N'),(25,6223095,'1',103,'N'),(25,6223117,'1',340,'N'),(25,6223125,'1',202,'N'),(25,6223125,'1A',216,'N'),(25,6223133,'1',654,'N'),(25,6223150,'1',201,'N'),(25,6223150,'1A',211,'N'),(25,6223168,'1',303,'N'),(25,6223184,'1',103,'N'),(25,6223192,'1',103,'N'),(25,6223206,'1',316,'N'),(25,6223214,'1',103,'N'),(25,6223249,'1',999,'N'),(25,6223265,'1',103,'N'),(25,6223273,'1',601,'N'),(25,6223273,'1A',212,'N'),(25,6223290,'1',404,'N'),(25,6223303,'1',102,'N'),(25,6223311,'1',415,'N'),(25,6223320,'1',428,'N'),(25,6223320,'1A',427,'N'),(25,6223338,'1',224,'N'),(25,6223346,'1',103,'N'),(25,6223354,'1',327,'N'),(25,6223362,'1',5,'N'),(25,6223370,'1',103,'N'),(25,6223389,'1',426,'N'),(25,6223389,'1A',428,'N'),(25,6223397,'1',103,'N'),(25,6223400,'1',202,'N'),(25,6223400,'1A',203,'N'),(25,6223451,'1',103,'N'),(25,6223460,'1',103,'N'),(25,6223478,'1',212,'N'),(25,6223478,'1A',213,'N'),(25,6223486,'1',103,'N'),(25,6223494,'1',301,'N'),(25,6223508,'1',450,'N'),(25,6223516,'1',208,'N'),(25,6223516,'1A',235,'N'),(25,6223524,'1',103,'N'),(25,6223532,'1',234,'N'),(25,6223540,'1',207,'N'),(25,6223540,'1A',201,'N'),(25,6223559,'1',319,'N'),(25,6223575,'1',340,'N'),(25,6223591,'1',999,'N'),(25,6223605,'1',103,'N'),(25,6223613,'1',103,'N'),(25,6223621,'1',319,'N'),(25,6223656,'1',302,'N'),(25,6223664,'1',103,'N'),(25,6223672,'1',108,'N'),(25,6223680,'1',102,'N'),(25,6223699,'1',999,'N'),(25,6223710,'1',104,'N'),(25,6223729,'1',601,'N'),(25,6223729,'1A',202,'N'),(25,6223737,'1',340,'N'),(25,6223753,'1',103,'N'),(25,6223761,'1',103,'N'),(25,6223788,'1',208,'N'),(25,6223788,'1A',238,'N'),(25,6223796,'1',999,'N'),(25,6223800,'1',203,'N'),(25,6223800,'1A',220,'N'),(25,6223818,'1',109,'N'),(25,6223826,'1',110,'N'),(25,6223834,'1',103,'N'),(25,6223842,'1',103,'N'),(25,6223869,'1',208,'N'),(25,6223885,'1',319,'N'),(25,6223893,'1',103,'N'),(25,6223915,'1',234,'N'),(25,6223923,'1',238,'N'),(25,6223923,'1A',208,'N'),(25,6223931,'1',101,'N'),(25,6223940,'1',304,'N'),(25,6223966,'1',316,'N'),(25,6223974,'1',301,'N'),(25,6223982,'1',103,'N'),(25,6223990,'1',319,'N'),(25,6224016,'1',5,'N'),(25,6224024,'1',103,'N'),(25,6224032,'1',103,'N'),(25,6224059,'1',238,'N'),(25,6224059,'1A',201,'N'),(25,6224067,'1',5,'N'),(25,6224075,'1',601,'N'),(25,6224075,'1A',213,'N'),(25,6224083,'1',103,'N'),(25,6224091,'1',444,'N'),(25,6224105,'1',103,'N'),(25,6224113,'1',104,'N'),(25,6224130,'1',214,'N'),(25,6224130,'1A',213,'N'),(25,6224148,'1',103,'N'),(25,6224156,'1',319,'N'),(25,6224164,'1',415,'N'),(25,6224172,'1',501,'N'),(25,6224180,'1',309,'N'),(25,6224199,'1',238,'N'),(25,6224199,'1A',220,'N'),(25,6224202,'1',102,'N'),(25,6224210,'1',450,'N'),(25,6224237,'1',654,'N'),(25,6224245,'1',551,'N'),(25,6224253,'1',308,'N'),(25,6224270,'1',238,'N'),(25,6224270,'1A',208,'N'),(25,6224288,'1',5,'N'),(25,6224300,'1',301,'N'),(25,6224326,'1',5,'N'),(25,6224334,'1',103,'N'),(25,6224342,'1',319,'N'),(25,6224350,'1',420,'N'),(25,6224385,'1',103,'N'),(25,6224393,'1',333,'N'),(25,6224407,'1',999,'N'),(25,6224415,'1',110,'N'),(25,6224423,'1',103,'N'),(25,6224431,'1',207,'N'),(25,6224431,'1A',203,'N'),(25,6224440,'1',3,'N'),(25,6224466,'1',420,'N'),(25,6224474,'1',201,'N'),(25,6224474,'1A',207,'N'),(25,6224482,'1',103,'N'),(25,6224490,'1',420,'N'),(25,6224512,'1',103,'N'),(25,6224520,'1',999,'N'),(25,6224539,'1',501,'N'),(25,6224547,'1',316,'N'),(25,6224563,'1',103,'N'),(25,6224571,'1',501,'N'),(25,6224580,'1',103,'N'),(25,6224598,'1',453,'N'),(25,6224601,'1',215,'N'),(25,6224601,'1A',207,'N'),(25,6224610,'1',201,'N'),(25,6224610,'1A',202,'N'),(25,6224636,'1',103,'N'),(25,6224644,'1',103,'N'),(25,6224652,'1',104,'N'),(25,6224687,'1',301,'N'),(25,6224695,'1',103,'N'),(25,6224709,'1',101,'N'),(25,6224717,'1',999,'N'),(25,6224725,'1',303,'N'),(25,6224733,'1',203,'N'),(25,6224733,'1A',201,'N'),(25,6224750,'1',654,'N'),(25,6224768,'1',601,'N'),(25,6224768,'1A',233,'N'),(25,6224776,'1',104,'N'),(25,6224784,'1',207,'N'),(25,6224784,'1A',215,'N'),(25,6224792,'1',308,'N'),(25,6224806,'1',301,'N'),(25,6224814,'1',501,'N'),(25,6224822,'1',103,'N'),(25,6224830,'1',427,'N'),(25,6224830,'1A',424,'N'),(25,6224857,'1',317,'N'),(25,6224865,'1',103,'N'),(25,6224873,'1',234,'N'),(25,6224881,'1',103,'N'),(25,6224890,'1',337,'N'),(25,6224903,'1',423,'N'),(25,6224903,'1A',425,'N'),(25,6224911,'1',201,'N'),(25,6224911,'1A',207,'N'),(25,6224938,'1',316,'N'),(25,6224946,'1',304,'N'),(25,6224954,'1',601,'N'),(25,6224954,'1A',212,'N'),(25,6224962,'1',654,'N'),(25,6224970,'1',103,'N'),(25,6224989,'1',103,'N'),(25,6224997,'1',103,'N'),(25,6225004,'1',103,'N'),(25,6225012,'1',103,'N'),(25,6225020,'1',203,'N'),(25,6225020,'1A',202,'N'),(25,6225039,'1',316,'N'),(25,6225047,'1',103,'N'),(25,6225063,'1',428,'N'),(25,6225063,'1A',421,'N'),(25,6225071,'1',340,'N'),(25,6225080,'1',207,'N'),(25,6225080,'1A',208,'N'),(25,6225098,'1',551,'N'),(25,6225101,'1',203,'N'),(25,6225101,'1A',201,'N'),(25,6225110,'1',103,'N'),(25,6225128,'1',303,'N'),(25,6225136,'1',103,'N'),(25,6225152,'1',5,'N'),(25,6225187,'1',551,'N'),(25,6225195,'1',404,'N'),(25,6225209,'1',601,'N'),(25,6225209,'1A',201,'N'),(25,6225233,'1',203,'N'),(25,6225233,'1A',201,'N'),(25,6225250,'1',201,'N'),(25,6225250,'1A',207,'N'),(25,6225268,'1',326,'N'),(25,6225276,'1',103,'N'),(25,6225284,'1',426,'N'),(25,6225284,'1A',428,'N'),(25,6225292,'1',333,'N'),(25,6225314,'1',551,'N'),(25,6225330,'1',208,'N'),(25,6225330,'1A',233,'N'),(25,6225349,'1',212,'N'),(25,6225349,'1A',201,'N'),(25,6225357,'1',103,'N'),(25,6225365,'1',103,'N'),(25,6225373,'1',201,'N'),(25,6225373,'1A',212,'N'),(25,6225381,'1',316,'N'),(25,6225411,'1',655,'N'),(25,6225411,'1A',652,'N'),(25,6225420,'1',108,'N'),(25,6225438,'1',329,'N'),(25,6225446,'1',503,'N'),(25,6225454,'1',999,'N'),(25,6225470,'1',201,'N'),(25,6225470,'1A',207,'N'),(25,6225489,'1',5,'N'),(25,6225497,'1',655,'N'),(25,6225497,'1A',653,'N'),(25,6225519,'1',103,'N'),(25,6225527,'1',653,'N'),(25,6225527,'1A',655,'N'),(25,6225543,'1',450,'N'),(25,6225551,'1',203,'N'),(25,6225551,'1A',220,'N'),(25,6225560,'1',336,'N'),(25,6225578,'1',453,'N'),(25,6225616,'1',308,'N'),(25,6225624,'1',308,'N'),(25,6225632,'1',999,'N'),(25,6225640,'1',5,'N'),(25,6225659,'1',203,'N'),(25,6225659,'1A',202,'N'),(25,6225667,'1',207,'N'),(25,6225667,'1A',201,'N'),(25,6225675,'1',302,'N'),(25,6225691,'1',329,'N'),(25,6225705,'1',103,'N'),(25,6225721,'1',653,'N'),(25,6225721,'1A',652,'N'),(25,6225730,'1',103,'N'),(25,6225748,'1',302,'N'),(25,6225764,'1',308,'N'),(25,6225772,'1',110,'N'),(25,6225780,'1',103,'N'),(25,6225799,'1',601,'N'),(25,6225799,'1A',235,'N'),(25,6225802,'1',999,'N'),(25,6225829,'1',653,'N'),(25,6225829,'1A',652,'N'),(25,6225845,'1',2,'N'),(25,6225853,'1',317,'N'),(25,6225861,'1',101,'N'),(25,6225888,'1',999,'N'),(25,6225896,'1',216,'N'),(25,6225896,'1A',601,'N'),(25,6225900,'1',202,'N'),(25,6225900,'1A',203,'N'),(25,6225918,'1',319,'N'),(25,6225934,'1',601,'N'),(25,6225934,'1A',233,'N'),(25,6225942,'1',103,'N'),(25,6225950,'1',301,'N'),(25,6225969,'1',103,'N'),(25,6225977,'1',303,'N'),(25,6225985,'1',999,'N'),(25,6225993,'1',238,'N'),(25,6225993,'1A',215,'N'),(25,6226000,'1',336,'N'),(25,6226019,'1',336,'N'),(25,6226043,'1',234,'N'),(25,6226051,'1',103,'N'),(25,6226060,'1',103,'N'),(25,6226078,'1',234,'N'),(25,6226086,'1',110,'N'),(25,6226094,'1',212,'N'),(25,6226094,'1A',601,'N'),(25,6226108,'1',404,'N'),(25,6226116,'1',103,'N'),(25,6226124,'1',420,'N'),(25,6226159,'1',319,'N'),(25,6226167,'1',103,'N'),(25,6226175,'1',103,'N'),(25,6226191,'1',201,'N'),(25,6226191,'1A',203,'N'),(25,6226205,'1',303,'N'),(25,6226213,'1',9,'N'),(25,6226230,'1',301,'N'),(25,6226256,'1',5,'N'),(25,6226272,'1',212,'N'),(25,6226272,'1A',207,'N'),(25,6226280,'1',102,'N'),(25,6226299,'1',9,'N'),(25,6226302,'1',303,'N'),(25,6226310,'1',203,'N'),(25,6226310,'1A',216,'N'),(25,6226329,'1',319,'N'),(25,6226337,'1',316,'N'),(25,6226345,'1',303,'N'),(25,6226361,'1',103,'N'),(25,6226370,'1',208,'N'),(25,6226370,'1A',238,'N'),(25,6226388,'1',601,'N'),(25,6226388,'1A',202,'N'),(25,6226396,'1',223,'N'),(25,6226400,'1',5,'N'),(25,6226418,'1',202,'N'),(25,6226418,'1A',235,'N'),(25,6226426,'1',428,'N'),(25,6226426,'1A',423,'N'),(25,6226442,'1',425,'N'),(25,6226442,'1A',427,'N'),(25,6226450,'1',103,'N'),(25,6226469,'1',331,'N'),(25,6226477,'1',444,'N'),(25,6226485,'1',102,'N'),(25,6226493,'1',103,'N'),(25,6226507,'1',101,'N'),(25,6226515,'1',102,'N'),(25,6226523,'1',654,'N'),(25,6226531,'1',103,'N'),(25,6226540,'1',551,'N'),(25,6226558,'1',999,'N'),(25,6226574,'1',110,'N'),(25,6226590,'1',201,'N'),(25,6226590,'1A',212,'N'),(25,6226604,'1',238,'N'),(25,6226604,'1A',655,'N'),(25,6226612,'1',340,'N'),(25,6226620,'1',415,'N'),(25,6226639,'1',208,'N'),(25,6226639,'1A',238,'N'),(25,6226647,'1',212,'N'),(25,6226647,'1A',213,'N'),(25,6226655,'1',415,'N'),(25,6226663,'1',108,'N'),(25,6226671,'1',302,'N'),(25,6226680,'1',444,'N'),(25,6226698,'1',317,'N'),(25,6226701,'1',225,'N'),(25,6226710,'1',104,'N'),(25,6226728,'1',203,'N'),(25,6226728,'1A',201,'N'),(25,6226744,'1',201,'N'),(25,6226744,'1A',207,'N'),(25,6226760,'1',103,'N'),(25,6226779,'1',450,'N'),(25,6226809,'1',216,'N'),(25,6226809,'1A',203,'N'),(25,6226817,'1',220,'N'),(25,6226817,'1A',655,'N'),(25,6226825,'1',201,'N'),(25,6226825,'1A',207,'N'),(25,6226841,'1',220,'N'),(25,6226841,'1A',214,'N'),(25,6226850,'1',308,'N'),(25,6226868,'1',103,'N'),(25,6226884,'1',103,'N'),(25,6226892,'1',103,'N'),(25,6226906,'1',999,'N'),(25,6226914,'1',999,'N'),(25,6226922,'1',103,'N'),(25,6226930,'1',108,'N'),(25,6226949,'1',303,'N'),(25,6226957,'1',201,'N'),(25,6226957,'1A',203,'N'),(25,6226965,'1',450,'N'),(25,6226973,'1',207,'N'),(25,6226973,'1A',201,'N'),(25,6226981,'1',324,'N'),(25,6227007,'1',103,'N'),(25,6227015,'1',303,'N'),(25,6227023,'1',310,'N'),(25,6227031,'1',5,'N'),(25,6227058,'1',215,'N'),(25,6227058,'1A',652,'N'),(25,6227066,'1',327,'N'),(25,6227074,'1',207,'N'),(25,6227074,'1A',212,'N'),(25,6227082,'1',501,'N'),(25,6227090,'1',207,'N'),(25,6227090,'1A',201,'N'),(25,6227104,'1',302,'N'),(25,6227112,'1',652,'N'),(25,6227120,'1',318,'N'),(25,6227155,'1',103,'N'),(25,6227163,'1',234,'N'),(25,6227180,'1',5,'N'),(25,6227198,'1',316,'N'),(25,6227201,'1',303,'N'),(25,6227210,'1',999,'N'),(25,6227236,'1',102,'N'),(25,6227252,'1',310,'N'),(25,6227260,'1',601,'N'),(25,6227260,'1A',203,'N'),(25,6227279,'1',551,'N'),(25,6227287,'1',103,'N'),(25,6227295,'1',202,'N'),(25,6227295,'1A',220,'N'),(25,6227317,'1',103,'N'),(25,6227333,'1',420,'N'),(25,6227341,'1',653,'N'),(25,6227341,'1A',655,'N'),(25,6227350,'1',208,'N'),(25,6227368,'1',103,'N'),(25,6227376,'1',103,'N'),(25,6227384,'1',655,'N'),(25,6227384,'1A',652,'N'),(25,6227392,'1',319,'N'),(25,6227406,'1',453,'N'),(25,6227422,'1',102,'N'),(25,6227430,'1',205,'N'),(25,6227449,'1',424,'N'),(25,6227449,'1A',425,'N'),(25,6227457,'1',103,'N'),(25,6227465,'1',103,'N'),(25,6227473,'1',999,'N'),(25,6227490,'1',301,'N'),(25,6227503,'1',103,'N'),(25,6227520,'1',104,'N'),(25,6227538,'1',415,'N'),(25,6227546,'1',216,'N'),(25,6227554,'1',999,'N'),(25,6227562,'1',103,'N'),(25,6227589,'1',103,'N'),(25,6227597,'1',654,'N'),(25,6227600,'1',103,'N'),(25,6227619,'1',103,'N'),(25,6227627,'1',103,'N'),(25,6227635,'1',316,'N'),(25,6227643,'1',450,'N'),(25,6227651,'1',999,'N'),(25,6227660,'1',452,'N'),(25,6227678,'1',207,'N'),(25,6227678,'1A',201,'N'),(25,6227686,'1',220,'N'),(25,6227686,'1A',233,'N'),(25,6227708,'1',104,'N'),(25,6227716,'1',201,'N'),(25,6227716,'1A',203,'N'),(25,6227740,'1',420,'N'),(25,6227767,'1',110,'N'),(25,6227775,'1',211,'N'),(25,6227775,'1A',207,'N'),(25,6227783,'1',203,'N'),(25,6227783,'1A',214,'N'),(25,6227805,'1',303,'N'),(25,6227813,'1',316,'N'),(25,6227821,'1',103,'N'),(25,6227830,'1',216,'N'),(25,6227830,'1A',215,'N'),(25,6227848,'1',212,'N'),(25,6227848,'1A',215,'N'),(25,6227856,'1',103,'N'),(25,6227864,'1',320,'N'),(25,6227872,'1',601,'N'),(25,6227872,'1A',655,'N'),(25,6227880,'1',502,'N'),(25,6227899,'1',201,'N'),(25,6227899,'1A',601,'N'),(25,6227902,'1',216,'N'),(25,6227902,'1A',211,'N'),(25,6227929,'1',103,'N'),(25,6227937,'1',319,'N'),(25,6227945,'1',208,'N'),(25,6227945,'1A',238,'N'),(25,6227961,'1',104,'N'),(25,6227970,'1',601,'N'),(25,6227970,'1A',212,'N'),(25,6227988,'1',201,'N'),(25,6227988,'1A',216,'N'),(25,6227996,'1',207,'N'),(25,6227996,'1A',233,'N'),(25,6228003,'1',202,'N'),(25,6228003,'1A',235,'N'),(25,6228011,'1',103,'N'),(25,6228020,'1',301,'N'),(25,6228046,'1',104,'N'),(25,6228054,'1',103,'N'),(25,6228070,'1',101,'N'),(25,6228119,'1',103,'N'),(25,6228135,'1',220,'N'),(25,6228135,'1A',203,'N'),(25,6228143,'1',103,'N'),(25,6228151,'1',303,'N'),(25,6228178,'1',336,'N'),(25,6228194,'1',238,'N'),(25,6228194,'1A',208,'N'),(25,6228208,'1',653,'N'),(25,6228208,'1A',216,'N'),(25,6228216,'1',203,'N'),(25,6228216,'1A',214,'N'),(25,6228224,'1',444,'N'),(25,6228232,'1',335,'N'),(25,6228240,'1',329,'N'),(25,6228259,'1',214,'N'),(25,6228259,'1A',213,'N'),(25,6228267,'1',450,'N'),(25,6228275,'1',303,'N'),(25,6228283,'1',225,'N'),(25,6228305,'1',999,'N'),(25,6228321,'1',207,'N'),(25,6228321,'1A',201,'N'),(25,6228356,'1',317,'N'),(25,6228364,'1',103,'N'),(25,6228372,'1',9,'N'),(25,6228380,'1',103,'N'),(25,6228399,'1',601,'N'),(25,6228399,'1A',213,'N'),(25,6228410,'1',215,'N'),(25,6228410,'1A',216,'N'),(25,6228429,'1',303,'N'),(25,6228437,'1',108,'N'),(25,6228445,'1',333,'N'),(25,6228488,'1',216,'N'),(25,6228496,'1',308,'N'),(25,6228500,'1',316,'N'),(25,6228518,'1',9,'N'),(25,6228534,'1',201,'N'),(25,6228534,'1A',202,'N'),(25,6228542,'1',452,'N'),(25,6228550,'1',103,'N'),(25,6228569,'1',319,'N'),(25,6228577,'1',5,'N'),(25,6228585,'1',102,'N'),(25,6228593,'1',501,'N'),(25,6228607,'1',655,'N'),(25,6228607,'1A',216,'N'),(25,6228615,'1',340,'N'),(25,6228623,'1',415,'N'),(25,6228631,'1',319,'N'),(25,6228640,'1',103,'N'),(25,6228658,'1',211,'N'),(25,6228658,'1A',213,'N'),(25,6228666,'1',220,'N'),(25,6228666,'1A',214,'N'),(25,6228704,'1',335,'N'),(25,6228712,'1',104,'N'),(25,6228720,'1',404,'N'),(25,6228747,'1',308,'N'),(25,6228755,'1',999,'N'),(25,6228771,'1',103,'N'),(25,6228780,'1',216,'N'),(25,6228780,'1A',211,'N'),(25,6228798,'1',211,'N'),(25,6228798,'1A',201,'N'),(25,6228801,'1',303,'N'),(25,6228828,'1',201,'N'),(25,6228828,'1A',233,'N'),(25,6228844,'1',216,'N'),(25,6228844,'1A',211,'N'),(25,6228852,'1',5,'N'),(25,6228860,'1',234,'N'),(25,6228879,'1',2,'N'),(25,6228909,'1',201,'N'),(25,6228909,'1A',207,'N'),(25,6228941,'1',103,'N'),(25,6228950,'1',103,'N'),(25,6228968,'1',999,'N'),(25,6228976,'1',203,'N'),(25,6228984,'1',211,'N'),(25,6228984,'1A',216,'N'),(25,6228992,'1',301,'N'),(25,6229000,'1',238,'N'),(25,6229000,'1A',208,'N'),(25,6229018,'1',319,'N'),(25,6229026,'1',304,'N'),(25,6229034,'1',328,'N'),(25,6229050,'1',103,'N'),(25,6229069,'1',103,'N'),(25,6229077,'1',5,'N'),(25,6229085,'1',303,'N'),(25,6229093,'1',103,'N'),(25,6229107,'1',207,'N'),(25,6229115,'1',999,'N'),(25,6229131,'1',103,'N'),(25,6229140,'1',2,'N'),(25,6229182,'1',336,'N'),(25,6229212,'1',103,'N'),(25,6229220,'1',310,'N'),(25,6229239,'1',103,'N'),(25,6229247,'1',103,'N'),(25,6229255,'1',319,'N'),(25,6229280,'1',238,'N'),(25,6229280,'1A',208,'N'),(25,6229301,'1',336,'N'),(25,6229328,'1',319,'N'),(25,6229336,'1',326,'N'),(25,6229344,'1',103,'N'),(25,6229352,'1',601,'N'),(25,6229352,'1A',208,'N'),(25,6229360,'1',5,'N'),(25,6229379,'1',301,'N'),(25,6229387,'1',238,'N'),(25,6229387,'1A',655,'N'),(25,6229395,'1',415,'N'),(25,6229409,'1',653,'N'),(25,6229409,'1A',652,'N'),(25,6229417,'1',207,'N'),(25,6229417,'1A',238,'N'),(25,6229433,'1',216,'N'),(25,6229433,'1A',211,'N'),(25,6229441,'1',235,'N'),(25,6229441,'1A',213,'N'),(25,6229450,'1',336,'N'),(25,6229468,'1',303,'N'),(25,6229484,'1',103,'N'),(25,6229492,'1',101,'N'),(25,6229506,'1',101,'N'),(25,6229514,'1',103,'N'),(25,6229530,'1',109,'N'),(25,6229557,'1',450,'N'),(25,6229565,'1',212,'N'),(25,6229565,'1A',203,'N'),(25,6229581,'1',207,'N'),(25,6229581,'1A',201,'N'),(25,6229590,'1',308,'N'),(25,6229611,'1',303,'N'),(25,6229620,'1',502,'N'),(25,6229638,'1',207,'N'),(25,6229638,'1A',201,'N'),(25,6229646,'1',340,'N'),(25,6229654,'1',654,'N'),(25,6229662,'1',452,'N'),(25,6229670,'1',103,'N'),(25,6229697,'1',207,'N'),(25,6229697,'1A',201,'N'),(25,6229700,'1',316,'N'),(25,6229719,'1',415,'N'),(25,6229727,'1',653,'N'),(25,6229727,'1A',213,'N'),(25,6229735,'1',103,'N'),(25,6229743,'1',103,'N'),(25,6229760,'1',653,'N'),(25,6229778,'1',110,'N'),(25,6229786,'1',319,'N'),(25,6229794,'1',501,'N'),(25,6229808,'1',317,'N'),(25,6229816,'1',103,'N'),(25,6229824,'1',318,'N'),(25,6229832,'1',308,'N'),(25,6229859,'1',999,'N'),(25,6229867,'1',317,'N'),(25,6229913,'1',303,'N'),(25,6229921,'1',104,'N'),(25,6229930,'1',203,'N'),(25,6229930,'1A',653,'N'),(25,6229948,'1',202,'N'),(25,6229948,'1A',213,'N'),(25,6229956,'1',333,'N'),(25,6229964,'1',404,'N'),(25,6229972,'1',999,'N'),(25,6229980,'1',101,'N'),(25,6229999,'1',238,'N'),(25,6229999,'1A',655,'N'),(25,6230008,'1',444,'N'),(25,6230024,'1',301,'N'),(25,6230032,'1',9,'N'),(25,6230040,'1',303,'N'),(25,6230059,'1',304,'N'),(25,6230067,'1',103,'N'),(25,6230075,'1',208,'N'),(25,6230083,'1',235,'N'),(25,6230083,'1A',202,'N'),(25,6230091,'1',304,'N'),(25,6230105,'1',9,'N'),(25,6230130,'1',108,'N'),(25,6230148,'1',5,'N'),(25,6230164,'1',108,'N'),(25,6230180,'1',415,'N'),(25,6230199,'1',331,'N'),(25,6230202,'1',103,'N'),(25,6230210,'1',5,'N'),(25,6230229,'1',103,'N'),(25,6230237,'1',101,'N'),(25,6230245,'1',319,'N'),(25,6230253,'1',103,'N'),(25,6230261,'1',999,'N'),(25,6230288,'1',551,'N'),(25,6230296,'1',319,'N'),(25,6230318,'1',103,'N'),(25,6230326,'1',207,'N'),(25,6230326,'1A',238,'N'),(25,6230334,'1',103,'N'),(25,6230342,'1',302,'N'),(25,6230350,'1',108,'N'),(25,6230369,'1',5,'N'),(25,6230377,'1',103,'N'),(25,6230385,'1',340,'N'),(25,6230407,'1',302,'N'),(25,6230415,'1',103,'N'),(25,6230423,'1',303,'N'),(25,6230431,'1',109,'N'),(25,6230440,'1',201,'N'),(25,6230440,'1A',212,'N'),(25,6230458,'1',207,'N'),(25,6230458,'1A',215,'N'),(25,6230474,'1',304,'N'),(25,6230482,'1',201,'N'),(25,6230482,'1A',212,'N'),(25,6230490,'1',202,'N'),(25,6230490,'1A',220,'N'),(25,6230504,'1',327,'N'),(25,6230512,'1',201,'N'),(25,6230512,'1A',601,'N'),(25,6230520,'1',203,'N'),(25,6230520,'1A',220,'N'),(25,6230539,'1',318,'N'),(25,6230547,'1',103,'N'),(25,6230555,'1',601,'N'),(25,6230563,'1',207,'N'),(25,6230563,'1A',201,'N'),(25,6230601,'1',108,'N'),(25,6230610,'1',5,'N'),(25,6230628,'1',999,'N'),(25,6230644,'1',5,'N'),(25,6230652,'1',336,'N'),(25,6230660,'1',238,'N'),(25,6230660,'1A',208,'N'),(25,6230679,'1',5,'N'),(25,6230687,'1',103,'N'),(25,6230695,'1',103,'N'),(25,6230709,'1',201,'N'),(25,6230709,'1A',653,'N'),(25,6230725,'1',5,'N'),(25,6230733,'1',452,'N'),(25,6230750,'1',301,'N'),(25,6230768,'1',319,'N'),(25,6230776,'1',654,'N'),(25,6230784,'1',999,'N'),(25,6230792,'1',601,'N'),(25,6230792,'1A',653,'N'),(25,6230806,'1',415,'N'),(25,6230814,'1',308,'N'),(25,6230822,'1',415,'N'),(25,6230830,'1',201,'N'),(25,6230830,'1A',208,'N'),(25,6230849,'1',110,'N'),(25,6230857,'1',336,'N'),(25,6230865,'1',203,'N'),(25,6230865,'1A',214,'N'),(25,6230873,'1',303,'N'),(25,6230890,'1',337,'N'),(25,6230911,'1',999,'N'),(25,6230920,'1',452,'N'),(25,6230938,'1',103,'N'),(25,6230954,'1',103,'N'),(25,6230970,'1',999,'N'),(25,6230997,'1',201,'N'),(25,6230997,'1A',601,'N'),(25,6231004,'1',103,'N'),(25,6231012,'1',301,'N'),(25,6231020,'1',223,'N'),(25,6231047,'1',202,'N'),(25,6231047,'1A',220,'N'),(25,6231055,'1',601,'N'),(25,6231055,'1A',201,'N'),(25,6231098,'1',103,'N'),(25,6231101,'1',201,'N'),(25,6231101,'1A',207,'N'),(25,6231110,'1',101,'N'),(25,6231128,'1',201,'N'),(25,6231128,'1A',212,'N'),(25,6231144,'1',214,'N'),(25,6231144,'1A',201,'N'),(25,6231160,'1',319,'N'),(25,6231179,'1',103,'N'),(25,6231209,'1',319,'N'),(25,6231225,'1',104,'N'),(25,6231233,'1',202,'N'),(25,6231233,'1A',211,'N'),(25,6231241,'1',104,'N'),(25,6231250,'1',501,'N'),(25,6231268,'1',201,'N'),(25,6231268,'1A',601,'N'),(25,6231284,'1',201,'N'),(25,6231284,'1A',216,'N'),(25,6231292,'1',207,'N'),(25,6231292,'1A',201,'N'),(25,6231314,'1',109,'N'),(25,6231322,'1',203,'N'),(25,6231322,'1A',202,'N'),(25,6231330,'1',102,'N'),(25,6231349,'1',203,'N'),(25,6231349,'1A',207,'N'),(25,6231357,'1',103,'N'),(25,6231373,'1',208,'N'),(25,6231373,'1A',238,'N'),(25,6231381,'1',502,'N'),(25,6231390,'1',331,'N'),(25,6231403,'1',999,'N'),(25,6231411,'1',5,'N'),(25,6231420,'1',3,'N'),(25,6231438,'1',108,'N'),(25,6231446,'1',420,'N'),(25,6231454,'1',317,'N'),(25,6231462,'1',201,'N'),(25,6231462,'1A',207,'N'),(25,6231470,'1',102,'N'),(25,6231489,'1',233,'N'),(25,6231489,'1A',201,'N'),(25,6231497,'1',5,'N'),(25,6231500,'1',415,'N'),(25,6231519,'1',104,'N'),(25,6231527,'1',5,'N'),(25,6231535,'1',301,'N'),(25,6231543,'1',103,'N'),(25,6231586,'1',303,'N'),(25,6231594,'1',5,'N'),(25,6231608,'1',328,'N'),(25,6231624,'1',340,'N'),(25,6231632,'1',108,'N'),(25,6231640,'1',404,'N'),(25,6231667,'1',103,'N'),(25,6231675,'1',215,'N'),(25,6231683,'1',303,'N'),(25,6231705,'1',318,'N'),(25,6231713,'1',103,'N'),(25,6231721,'1',5,'N'),(25,6231730,'1',201,'N'),(25,6231730,'1A',207,'N'),(25,6231748,'1',109,'N'),(25,6231756,'1',201,'N'),(25,6231756,'1A',216,'N'),(25,6231764,'1',238,'N'),(25,6231764,'1A',215,'N'),(25,6231772,'1',340,'N'),(25,6231799,'1',203,'N'),(25,6231799,'1A',601,'N'),(25,6231802,'1',654,'N'),(25,6231837,'1',202,'N'),(25,6231837,'1A',235,'N'),(25,6231845,'1',103,'N'),(25,6231853,'1',444,'N'),(25,6231861,'1',319,'N'),(25,6231888,'1',317,'N'),(25,6231896,'1',303,'N'),(25,6231900,'1',654,'N'),(25,6231926,'1',340,'N'),(25,6231942,'1',303,'N'),(25,6231950,'1',453,'N'),(25,6231969,'1',211,'N'),(25,6231969,'1A',235,'N'),(25,6231977,'1',501,'N'),(25,6231985,'1',103,'N'),(25,6231993,'1',452,'N'),(25,6232000,'1',5,'N'),(25,6232019,'1',308,'N'),(25,6232027,'1',601,'N'),(25,6232027,'1A',216,'N'),(25,6232035,'1',103,'N'),(25,6232043,'1',109,'N'),(25,6232051,'1',220,'N'),(25,6232051,'1A',235,'N'),(25,6232060,'1',207,'N'),(25,6232060,'1A',201,'N'),(25,6232078,'1',104,'N'),(25,6232086,'1',303,'N'),(25,6232094,'1',303,'N'),(25,6232108,'1',415,'N'),(25,6232140,'1',103,'N'),(25,6232167,'1',103,'N'),(25,6232175,'1',103,'N'),(25,6232183,'1',5,'N'),(25,6232191,'1',339,'N'),(25,6232205,'1',108,'N'),(25,6232213,'1',103,'N'),(25,6232221,'1',104,'N'),(25,6232230,'1',103,'N'),(25,6232256,'1',201,'N'),(25,6232256,'1A',202,'N'),(25,6232264,'1',303,'N'),(25,6232272,'1',215,'N'),(25,6232272,'1A',235,'N'),(25,6232280,'1',9,'N'),(25,6232302,'1',340,'N'),(25,6232310,'1',420,'N'),(25,6232353,'1',201,'N'),(25,6232353,'1A',212,'N'),(25,6232361,'1',308,'N'),(25,6232370,'1',103,'N'),(25,6232388,'1',220,'N'),(25,6232388,'1A',203,'N'),(25,6232396,'1',601,'N'),(25,6232396,'1A',235,'N'),(25,6232400,'1',103,'N'),(25,6232418,'1',303,'N'),(25,6232426,'1',216,'N'),(25,6232426,'1A',215,'N'),(25,6232434,'1',450,'N'),(25,6232442,'1',336,'N'),(25,6232450,'1',420,'N'),(25,6232469,'1',316,'N'),(25,6232477,'1',103,'N'),(25,6232485,'1',415,'N'),(25,6232493,'1',340,'N'),(25,6232507,'1',108,'N'),(25,6232523,'1',104,'N'),(25,6232531,'1',103,'N'),(25,6232540,'1',235,'N'),(25,6232540,'1A',213,'N'),(25,6232558,'1',331,'N'),(25,6232566,'1',999,'N'),(25,6232574,'1',216,'N'),(25,6232582,'1',501,'N'),(25,6232590,'1',103,'N'),(25,6232604,'1',9,'N'),(25,6232612,'1',652,'N'),(25,6232620,'1',203,'N'),(25,6232620,'1A',207,'N'),(25,6232639,'1',415,'N'),(25,6232647,'1',319,'N'),(25,6232655,'1',415,'N'),(25,6232663,'1',308,'N'),(25,6232671,'1',303,'N'),(25,6232680,'1',333,'N'),(25,6232710,'1',420,'N'),(25,6232728,'1',331,'N'),(25,6232736,'1',203,'N'),(25,6232736,'1A',601,'N'),(25,6232744,'1',102,'N'),(25,6232752,'1',502,'N'),(25,6232760,'1',238,'N'),(25,6232760,'1A',208,'N'),(25,6232787,'1',319,'N'),(25,6232795,'1',103,'N'),(25,6232809,'1',101,'N'),(25,6232817,'1',450,'N'),(25,6232825,'1',103,'N'),(25,6232833,'1',453,'N'),(25,6232850,'1',104,'N'),(25,6232868,'1',201,'N'),(25,6232868,'1A',212,'N'),(25,6232876,'1',317,'N'),(25,6232892,'1',225,'N'),(25,6232906,'1',5,'N'),(25,6232914,'1',425,'N'),(25,6232914,'1A',424,'N'),(25,6232922,'1',654,'N'),(25,6232930,'1',207,'N'),(25,6232930,'1A',201,'N'),(25,6232949,'1',340,'N'),(25,6232957,'1',207,'N'),(25,6232957,'1A',201,'N'),(25,6232965,'1',404,'N'),(25,6232973,'1',103,'N'),(25,6232981,'1',207,'N'),(25,6232981,'1A',201,'N'),(25,6232990,'1',103,'N'),(25,6233007,'1',308,'N'),(25,6233015,'1',2,'N'),(25,6233031,'1',203,'N'),(25,6233031,'1A',202,'N'),(25,6233040,'1',103,'N'),(25,6233058,'1',308,'N'),(25,6233066,'1',309,'N'),(25,6233074,'1',333,'N'),(25,6233082,'1',201,'N'),(25,6233090,'1',340,'N'),(25,6233104,'1',503,'N'),(25,6233120,'1',420,'N'),(25,6233139,'1',5,'N'),(25,6233155,'1',415,'N'),(25,6233163,'1',404,'N'),(25,6233171,'1',101,'N'),(25,6233180,'1',427,'N'),(25,6233180,'1A',429,'N'),(25,6233198,'1',109,'N'),(25,6233201,'1',208,'N'),(25,6233201,'1A',238,'N'),(25,6233210,'1',207,'N'),(25,6233210,'1A',201,'N'),(25,6233228,'1',340,'N'),(25,6233236,'1',324,'N'),(25,6233252,'1',103,'N'),(25,6233279,'1',104,'N'),(25,6233295,'1',652,'N'),(25,6233295,'1A',655,'N'),(25,6233309,'1',103,'N'),(25,6233317,'1',415,'N'),(25,6233325,'1',601,'N'),(25,6233325,'1A',220,'N'),(25,6233333,'1',103,'N'),(25,6233341,'1',999,'N'),(25,6233350,'1',101,'N'),(25,6233368,'1',103,'N'),(25,6233376,'1',202,'N'),(25,6233376,'1A',235,'N'),(25,6233384,'1',104,'N'),(25,6233392,'1',103,'N'),(25,6233406,'1',235,'N'),(25,6233406,'1A',216,'N'),(25,6233414,'1',220,'N'),(25,6233414,'1A',202,'N'),(25,6233422,'1',104,'N'),(25,6233430,'1',654,'N'),(25,6233449,'1',103,'N'),(25,6233457,'1',653,'N'),(25,6233457,'1A',215,'N'),(25,6233473,'1',317,'N'),(25,6233481,'1',5,'N'),(25,6233503,'1',303,'N'),(25,6233511,'1',654,'N'),(25,6233520,'1',102,'N'),(25,6233538,'1',301,'N'),(25,6233546,'1',233,'N'),(25,6233546,'1A',216,'N'),(25,6233562,'1',340,'N'),(25,6233570,'1',103,'N'),(25,6233589,'1',220,'N'),(25,6233589,'1A',202,'N'),(25,6233597,'1',103,'N'),(25,6233600,'1',333,'N'),(25,6233635,'1',103,'N'),(25,6233660,'1',203,'N'),(25,6233660,'1A',214,'N'),(25,6233686,'1',601,'N'),(25,6233686,'1A',203,'N'),(25,6233694,'1',207,'N'),(25,6233694,'1A',216,'N'),(25,6233708,'1',103,'N'),(25,6233716,'1',303,'N'),(25,6233724,'1',108,'N'),(25,6233732,'1',201,'N'),(25,6233732,'1A',202,'N'),(25,6233740,'1',301,'N'),(25,6233759,'1',654,'N'),(25,6233775,'1',103,'N'),(25,6233783,'1',101,'N'),(25,6233791,'1',220,'N'),(25,6233791,'1A',214,'N'),(25,6233805,'1',103,'N'),(25,6233813,'1',103,'N'),(25,6233821,'1',103,'N'),(25,6233830,'1',202,'N'),(25,6233830,'1A',235,'N'),(25,6233872,'1',420,'N'),(25,6233880,'1',103,'N'),(25,6233899,'1',453,'N'),(25,6233902,'1',303,'N'),(25,6233910,'1',103,'N'),(25,6233929,'1',102,'N'),(25,6233937,'1',103,'N'),(25,6233945,'1',216,'N'),(25,6233945,'1A',202,'N'),(25,6233953,'1',653,'N'),(25,6233953,'1A',201,'N'),(25,6233961,'1',212,'N'),(25,6233961,'1A',213,'N'),(25,6233970,'1',103,'N'),(25,6233988,'1',420,'N'),(25,6233996,'1',444,'N'),(25,6234003,'1',213,'N'),(25,6234003,'1A',601,'N'),(25,6234011,'1',601,'N'),(25,6234011,'1A',208,'N'),(25,6234020,'1',103,'N'),(25,6234038,'1',999,'N'),(25,6234046,'1',102,'N'),(25,6234062,'1',450,'N'),(25,6234089,'1',5,'N'),(25,6234097,'1',202,'N'),(25,6234097,'1A',235,'N'),(25,6234100,'1',103,'N'),(25,6234119,'1',103,'N'),(25,6234127,'1',425,'N'),(25,6234127,'1A',424,'N'),(25,6234135,'1',999,'N'),(25,6234143,'1',453,'N'),(25,6234151,'1',203,'N'),(25,6234160,'1',103,'N'),(25,6234178,'1',238,'N'),(25,6234178,'1A',208,'N'),(25,6234186,'1',333,'N'),(25,6234194,'1',999,'N'),(25,6234208,'1',303,'N'),(25,6234216,'1',103,'N'),(25,6234224,'1',208,'N'),(25,6234224,'1A',202,'N'),(25,6234240,'1',103,'N'),(25,6234259,'1',319,'N'),(25,6234267,'1',104,'N'),(25,6234275,'1',415,'N'),(25,6234283,'1',103,'N'),(25,6234291,'1',5,'N'),(25,6234305,'1',103,'N'),(25,6234321,'1',104,'N'),(25,6234330,'1',103,'N'),(25,6234348,'1',327,'N'),(25,6234356,'1',103,'N'),(25,6234364,'1',202,'N'),(25,6234364,'1A',235,'N'),(25,6234380,'1',655,'N'),(25,6234380,'1A',652,'N'),(25,6234399,'1',103,'N'),(25,6234402,'1',102,'N'),(25,6234410,'1',109,'N'),(25,6234429,'1',425,'N'),(25,6234437,'1',601,'N'),(25,6234437,'1A',203,'N'),(25,6234445,'1',999,'N'),(25,6234461,'1',109,'N'),(25,6234470,'1',328,'N'),(25,6234488,'1',202,'N'),(25,6234488,'1A',213,'N'),(25,6234496,'1',420,'N'),(25,6234500,'1',208,'N'),(25,6234500,'1A',238,'N'),(25,6234534,'1',203,'N'),(25,6234534,'1A',215,'N'),(25,6234550,'1',317,'N'),(25,6234577,'1',333,'N'),(25,6234585,'1',238,'N'),(25,6234585,'1A',220,'N'),(25,6234631,'1',340,'N'),(25,6234666,'1',103,'N'),(25,6234674,'1',5,'N'),(25,6234682,'1',333,'N'),(25,6234704,'1',207,'N'),(25,6234704,'1A',201,'N'),(25,6234712,'1',999,'N'),(25,6234720,'1',301,'N'),(25,6234739,'1',203,'N'),(25,6234739,'1A',202,'N'),(25,6234747,'1',303,'N'),(25,6234755,'1',201,'N'),(25,6234755,'1A',212,'N'),(25,6234763,'1',207,'N'),(25,6234763,'1A',201,'N'),(25,6234771,'1',5,'N'),(25,6234810,'1',110,'N'),(25,6234836,'1',202,'N'),(25,6234836,'1A',238,'N'),(25,6234844,'1',103,'N'),(25,6234852,'1',103,'N'),(25,6234879,'1',102,'N'),(25,6234887,'1',208,'N'),(25,6234887,'1A',655,'N'),(25,6234895,'1',103,'N'),(25,6234933,'1',103,'N'),(25,6234950,'1',328,'N'),(25,6234976,'1',5,'N'),(25,6234984,'1',201,'N'),(25,6234984,'1A',653,'N'),(25,6234992,'1',108,'N'),(25,6235000,'1',216,'N'),(25,6235000,'1A',220,'N'),(25,6235026,'1',216,'N'),(25,6235026,'1A',653,'N'),(25,6235034,'1',999,'N'),(25,6235042,'1',420,'N'),(25,6235050,'1',999,'N'),(25,6235077,'1',103,'N'),(25,6235085,'1',103,'N'),(25,6235093,'1',203,'N'),(25,6235093,'1A',233,'N'),(25,6235107,'1',103,'N'),(25,6235115,'1',103,'N'),(25,6235123,'1',201,'N'),(25,6235123,'1A',207,'N'),(25,6235140,'1',303,'N'),(25,6235158,'1',327,'N'),(25,6235166,'1',303,'N'),(25,6235174,'1',211,'N'),(25,6235190,'1',103,'N'),(25,6235212,'1',303,'N'),(25,6235220,'1',214,'N'),(25,6235220,'1A',203,'N'),(25,6235239,'1',336,'N'),(25,6235247,'1',202,'N'),(25,6235247,'1A',215,'N'),(25,6235255,'1',215,'N'),(25,6235263,'1',451,'N'),(25,6235271,'1',601,'N'),(25,6235271,'1A',215,'N'),(25,6235280,'1',999,'N'),(25,6235298,'1',653,'N'),(25,6235298,'1A',652,'N'),(25,6235301,'1',109,'N'),(25,6235310,'1',203,'N'),(25,6235310,'1A',216,'N'),(25,6235336,'1',103,'N'),(25,6235344,'1',653,'N'),(25,6235344,'1A',211,'N'),(25,6235360,'1',601,'N'),(25,6235379,'1',653,'N'),(25,6235379,'1A',655,'N'),(25,6235395,'1',551,'N'),(25,6235425,'1',103,'N'),(25,6235433,'1',103,'N'),(25,6235441,'1',203,'N'),(25,6235441,'1A',233,'N'),(25,6235450,'1',101,'N'),(25,6235468,'1',999,'N'),(25,6235476,'1',103,'N'),(25,6235484,'1',452,'N'),(25,6235506,'1',220,'N'),(25,6235506,'1A',208,'N'),(25,6235522,'1',5,'N'),(25,6235530,'1',103,'N'),(25,6235549,'1',211,'N'),(25,6235549,'1A',215,'N'),(25,6235557,'1',333,'N'),(25,6235565,'1',303,'N'),(25,6235573,'1',203,'N'),(25,6235573,'1A',202,'N'),(25,6235581,'1',109,'N'),(25,6235590,'1',5,'N'),(25,6235611,'1',103,'N'),(25,6235620,'1',108,'N'),(25,6235638,'1',303,'N'),(25,6235654,'1',103,'N'),(25,6235662,'1',301,'N'),(25,6235670,'1',103,'N'),(25,6235689,'1',211,'N'),(25,6235689,'1A',215,'N'),(25,6235697,'1',301,'N'),(25,6235700,'1',319,'N'),(25,6235719,'1',327,'N'),(25,6235727,'1',302,'N'),(25,6235735,'1',303,'N'),(25,6235743,'1',103,'N'),(25,6235751,'1',5,'N'),(25,6235760,'1',103,'N'),(25,6235808,'1',103,'N'),(25,6235816,'1',5,'N'),(25,6235824,'1',336,'N'),(25,6235840,'1',202,'N'),(25,6235840,'1A',203,'N'),(25,6235859,'1',415,'N'),(25,6235867,'1',103,'N'),(25,6235875,'1',316,'N'),(25,6235883,'1',103,'N'),(25,6235891,'1',9,'N'),(25,6235921,'1',999,'N'),(25,6235930,'1',999,'N'),(25,6235948,'1',303,'N'),(25,6235956,'1',501,'N'),(25,6235964,'1',201,'N'),(25,6235964,'1A',207,'N'),(25,6235972,'1',303,'N'),(25,6235980,'1',340,'N'),(25,6235999,'1',426,'N'),(25,6235999,'1A',425,'N'),(25,6236006,'1',103,'N'),(25,6236014,'1',207,'N'),(25,6236014,'1A',201,'N'),(25,6236022,'1',601,'N'),(25,6236022,'1A',653,'N'),(25,6236030,'1',340,'N'),(25,6236049,'1',301,'N'),(25,6236057,'1',103,'N'),(25,6236065,'1',235,'N'),(25,6236065,'1A',213,'N'),(25,6236073,'1',444,'N'),(25,6236090,'1',102,'N'),(25,6236103,'1',109,'N'),(25,6236111,'1',999,'N'),(25,6236120,'1',110,'N'),(25,6236138,'1',316,'N'),(25,6236146,'1',104,'N'),(25,6236154,'1',216,'N'),(25,6236154,'1A',212,'N'),(25,6236162,'1',104,'N'),(25,6236170,'1',238,'N'),(25,6236170,'1A',208,'N'),(25,6236197,'1',309,'N'),(25,6236200,'1',652,'N'),(25,6236200,'1A',655,'N'),(25,6236227,'1',332,'N'),(25,6236235,'1',207,'N'),(25,6236243,'1',340,'N'),(25,6236251,'1',318,'N'),(25,6236260,'1',203,'N'),(25,6236260,'1A',601,'N'),(25,6236278,'1',337,'N'),(25,6236286,'1',234,'N'),(25,6236294,'1',104,'N'),(25,6236308,'1',108,'N'),(25,6236316,'1',339,'N'),(25,6236324,'1',5,'N'),(25,6236340,'1',501,'N'),(25,6236359,'1',303,'N'),(25,6236367,'1',303,'N'),(25,6236375,'1',103,'N'),(25,6236383,'1',212,'N'),(25,6236383,'1A',202,'N'),(25,6236391,'1',999,'N'),(25,6236405,'1',103,'N'),(25,6236413,'1',103,'N'),(25,6236421,'1',234,'N'),(25,6236430,'1',332,'N'),(25,6236448,'1',101,'N'),(25,6236456,'1',104,'N'),(25,6236464,'1',224,'N'),(25,6236472,'1',5,'N'),(25,6236480,'1',201,'N'),(25,6236480,'1A',601,'N'),(25,6236499,'1',201,'N'),(25,6236499,'1A',203,'N'),(25,6236502,'1',999,'N'),(25,6236510,'1',319,'N'),(25,6236529,'1',319,'N'),(25,6236537,'1',420,'N'),(25,6236545,'1',653,'N'),(25,6236545,'1A',211,'N'),(25,6236553,'1',328,'N'),(25,6236561,'1',319,'N'),(25,6236570,'1',103,'N'),(25,6236588,'1',5,'N'),(25,6236596,'1',319,'N'),(25,6236626,'1',303,'N'),(25,6236642,'1',5,'N'),(25,6236650,'1',103,'N'),(25,6236669,'1',202,'N'),(25,6236669,'1A',601,'N'),(25,6236677,'1',653,'N'),(25,6236677,'1A',220,'N'),(25,6236685,'1',103,'N'),(25,6236693,'1',5,'N'),(25,6236707,'1',203,'N'),(25,6236707,'1A',220,'N'),(25,6236715,'1',108,'N'),(25,6236723,'1',103,'N'),(25,6236731,'1',999,'N'),(25,6236740,'1',9,'N'),(25,6236758,'1',104,'N'),(25,6236774,'1',101,'N'),(25,6236782,'1',304,'N'),(25,6236804,'1',453,'N'),(25,6236812,'1',426,'N'),(25,6236812,'1A',428,'N'),(25,6236820,'1',103,'N'),(25,6236839,'1',103,'N'),(25,6236847,'1',103,'N'),(25,6236855,'1',653,'N'),(25,6236855,'1A',214,'N'),(25,6236863,'1',301,'N'),(25,6236871,'1',327,'N'),(25,6236880,'1',103,'N'),(25,6236898,'1',103,'N'),(25,6236910,'1',101,'N'),(25,6236928,'1',415,'N'),(25,6236936,'1',653,'N'),(25,6236936,'1A',211,'N'),(25,6236944,'1',103,'N'),(25,6236952,'1',415,'N'),(25,6236960,'1',302,'N'),(25,6236995,'1',103,'N'),(25,6237002,'1',103,'N'),(25,6237010,'1',208,'N'),(25,6237010,'1A',203,'N'),(25,6237029,'1',103,'N'),(25,6237053,'1',202,'N'),(25,6237053,'1A',220,'N'),(25,6237061,'1',207,'N'),(25,6237061,'1A',211,'N'),(25,6237070,'1',999,'N'),(25,6237088,'1',421,'N'),(25,6237088,'1A',425,'N'),(25,6237096,'1',336,'N'),(25,6237100,'1',110,'N'),(25,6237118,'1',301,'N'),(25,6237126,'1',999,'N'),(25,6237134,'1',203,'N'),(25,6237134,'1A',233,'N'),(25,6237150,'1',216,'N'),(25,6237150,'1A',201,'N'),(25,6237169,'1',316,'N'),(25,6237177,'1',108,'N'),(25,6237185,'1',102,'N'),(25,6237193,'1',428,'N'),(25,6237193,'1A',423,'N'),(25,6237207,'1',220,'N'),(25,6237207,'1A',235,'N'),(25,6237215,'1',5,'N'),(25,6237223,'1',203,'N'),(25,6237223,'1A',216,'N'),(25,6237231,'1',101,'N'),(25,6237240,'1',207,'N'),(25,6237240,'1A',201,'N'),(25,6237266,'1',302,'N'),(25,6237274,'1',551,'N'),(25,6237282,'1',428,'N'),(25,6237282,'1A',421,'N'),(25,6237290,'1',654,'N'),(25,6237304,'1',207,'N'),(25,6237304,'1A',211,'N'),(25,6237312,'1',5,'N'),(25,6237320,'1',340,'N'),(25,6237339,'1',308,'N'),(25,6237347,'1',503,'N'),(25,6237355,'1',103,'N'),(25,6237363,'1',308,'N'),(25,6237371,'1',327,'N'),(25,6237380,'1',103,'N'),(25,6237398,'1',103,'N'),(25,6237401,'1',999,'N'),(25,6237410,'1',215,'N'),(25,6237410,'1A',601,'N'),(25,6237428,'1',201,'N'),(25,6237428,'1A',233,'N'),(25,6237436,'1',214,'N'),(25,6237436,'1A',212,'N'),(25,6237444,'1',203,'N'),(25,6237444,'1A',220,'N'),(25,6237452,'1',999,'N'),(25,6237460,'1',103,'N'),(25,6237479,'1',103,'N'),(25,6237487,'1',215,'N'),(25,6237487,'1A',207,'N'),(25,6237495,'1',103,'N'),(25,6237509,'1',201,'N'),(25,6237509,'1A',207,'N'),(25,6237517,'1',303,'N'),(25,6237533,'1',332,'N'),(25,6237541,'1',319,'N'),(25,6237550,'1',225,'N'),(25,6237568,'1',301,'N'),(25,6237576,'1',999,'N'),(25,6237592,'1',103,'N'),(25,6237606,'1',103,'N'),(25,6237614,'1',103,'N'),(25,6237622,'1',333,'N'),(25,6237630,'1',999,'N'),(25,6237649,'1',234,'N'),(25,6237657,'1',103,'N'),(25,6237665,'1',336,'N'),(25,6237673,'1',326,'N'),(25,6237681,'1',654,'N'),(25,6237690,'1',235,'N'),(25,6237690,'1A',202,'N'),(25,6237711,'1',103,'N'),(25,6237720,'1',102,'N'),(25,6237738,'1',109,'N'),(25,6237746,'1',319,'N'),(25,6237754,'1',103,'N'),(25,6237762,'1',318,'N'),(25,6237770,'1',208,'N'),(25,6237789,'1',601,'N'),(25,6237789,'1A',201,'N'),(25,6237797,'1',234,'N'),(25,6237800,'1',216,'N'),(25,6237800,'1A',235,'N'),(25,6237819,'1',103,'N'),(25,6237827,'1',109,'N'),(25,6237843,'1',211,'N'),(25,6237843,'1A',653,'N'),(25,6237851,'1',220,'N'),(25,6237851,'1A',235,'N'),(25,6237860,'1',203,'N'),(25,6237860,'1A',214,'N'),(25,6237878,'1',225,'N'),(25,6237886,'1',201,'N'),(25,6237886,'1A',207,'N'),(25,6237894,'1',203,'N'),(25,6237894,'1A',214,'N'),(25,6237908,'1',302,'N'),(25,6237924,'1',103,'N'),(25,6237932,'1',317,'N'),(25,6237940,'1',502,'N'),(25,6237959,'1',303,'N'),(25,6237967,'1',333,'N'),(25,6237975,'1',319,'N'),(25,6237983,'1',103,'N'),(25,6237991,'1',233,'N'),(25,6237991,'1A',203,'N'),(25,6238017,'1',103,'N'),(25,6238025,'1',999,'N'),(25,6238033,'1',9,'N'),(25,6238041,'1',216,'N'),(25,6238041,'1A',215,'N'),(25,6238050,'1',453,'N'),(25,6238068,'1',415,'N'),(25,6238076,'1',415,'N'),(25,6238084,'1',203,'N'),(25,6238084,'1A',202,'N'),(25,6238092,'1',336,'N'),(25,6238106,'1',233,'N'),(25,6238106,'1A',201,'N'),(25,6238122,'1',303,'N'),(25,6238130,'1',415,'N'),(25,6238149,'1',103,'N'),(25,6238157,'1',302,'N'),(25,6238165,'1',302,'N'),(25,6238173,'1',103,'N'),(25,6238181,'1',203,'N'),(25,6238181,'1A',214,'N'),(25,6238190,'1',652,'N'),(25,6238190,'1A',220,'N'),(25,6238203,'1',103,'N'),(25,6238211,'1',103,'N'),(25,6238220,'1',319,'N'),(25,6238254,'1',304,'N'),(25,6238270,'1',208,'N'),(25,6238270,'1A',238,'N'),(25,6238289,'1',207,'N'),(25,6238289,'1A',211,'N'),(25,6238300,'1',340,'N'),(25,6238319,'1',601,'N'),(25,6238327,'1',452,'N'),(25,6238335,'1',207,'N'),(25,6238335,'1A',235,'N'),(25,6238351,'1',999,'N'),(25,6238360,'1',103,'N'),(25,6238378,'1',415,'N'),(25,6238386,'1',207,'N'),(25,6238386,'1A',201,'N'),(25,6238394,'1',340,'N'),(25,6238408,'1',220,'N'),(25,6238408,'1A',216,'N'),(25,6238416,'1',415,'N'),(25,6238424,'1',203,'N'),(25,6238424,'1A',233,'N'),(25,6238432,'1',5,'N'),(25,6238440,'1',336,'N'),(25,6238459,'1',5,'N'),(25,6238467,'1',201,'N'),(25,6238467,'1A',211,'N'),(25,6238475,'1',103,'N'),(25,6238483,'1',601,'N'),(25,6238483,'1A',212,'N'),(25,6238491,'1',303,'N'),(25,6238505,'1',201,'N'),(25,6238505,'1A',203,'N'),(25,6238513,'1',301,'N'),(25,6238521,'1',203,'N'),(25,6238521,'1A',202,'N'),(25,6238530,'1',203,'N'),(25,6238530,'1A',201,'N'),(25,6238548,'1',320,'N'),(25,6238556,'1',103,'N'),(25,6238564,'1',220,'N'),(25,6238564,'1A',203,'N'),(25,6238572,'1',103,'N'),(25,6238580,'1',103,'N'),(25,6238599,'1',339,'N'),(25,6238602,'1',110,'N'),(25,6238610,'1',103,'N'),(25,6238629,'1',450,'N'),(25,6238637,'1',103,'N'),(25,6238653,'1',103,'N'),(25,6238661,'1',303,'N'),(25,6238670,'1',202,'N'),(25,6238670,'1A',235,'N'),(25,6238688,'1',103,'N'),(25,6238696,'1',655,'N'),(25,6238696,'1A',652,'N'),(25,6238700,'1',104,'N'),(25,6238718,'1',303,'N'),(25,6238726,'1',420,'N'),(25,6238734,'1',220,'N'),(25,6238734,'1A',238,'N'),(25,6238742,'1',207,'N'),(25,6238742,'1A',201,'N'),(25,6238750,'1',103,'N'),(25,6238769,'1',328,'N'),(25,6238777,'1',101,'N'),(25,6238785,'1',5,'N'),(25,6238793,'1',104,'N'),(25,6238807,'1',212,'N'),(25,6238807,'1A',201,'N'),(25,6238831,'1',202,'N'),(25,6238831,'1A',235,'N'),(25,6238840,'1',103,'N'),(25,6238858,'1',303,'N'),(25,6238866,'1',331,'N'),(25,6238874,'1',404,'N'),(25,6238890,'1',103,'N'),(25,6238904,'1',103,'N'),(25,6238912,'1',103,'N'),(25,6238920,'1',109,'N'),(25,6238939,'1',108,'N'),(25,6238947,'1',601,'N'),(25,6238947,'1A',202,'N'),(25,6238955,'1',103,'N'),(25,6238963,'1',201,'N'),(25,6238963,'1A',238,'N'),(25,6238998,'1',103,'N'),(25,6239005,'1',103,'N'),(25,6239013,'1',308,'N'),(25,6239021,'1',108,'N'),(25,6239030,'1',202,'N'),(25,6239030,'1A',235,'N'),(25,6239048,'1',304,'N'),(25,6239056,'1',340,'N'),(25,6239064,'1',340,'N'),(25,6239072,'1',203,'N'),(25,6239072,'1A',220,'N'),(25,6239080,'1',999,'N'),(25,6239099,'1',337,'N'),(25,6239102,'1',201,'N'),(25,6239102,'1A',212,'N'),(25,6239110,'1',428,'N'),(25,6239110,'1A',426,'N'),(25,6239137,'1',211,'N'),(25,6239137,'1A',215,'N'),(25,6239145,'1',5,'N'),(25,6239153,'1',103,'N'),(25,6239161,'1',215,'N'),(25,6239161,'1A',216,'N'),(25,6239170,'1',207,'N'),(25,6239170,'1A',201,'N'),(25,6239188,'1',235,'N'),(25,6239188,'1A',208,'N'),(25,6239196,'1',103,'N'),(25,6239200,'1',235,'N'),(25,6239200,'1A',216,'N'),(25,6239218,'1',340,'N'),(25,6239226,'1',425,'N'),(25,6239226,'1A',429,'N'),(25,6239234,'1',404,'N'),(25,6239242,'1',303,'N'),(25,6239250,'1',340,'N'),(25,6239277,'1',103,'N'),(25,6239285,'1',429,'N'),(25,6239285,'1A',425,'N'),(25,6239293,'1',9,'N'),(25,6239315,'1',317,'N'),(25,6239323,'1',103,'N'),(25,6239331,'1',234,'N'),(25,6239340,'1',108,'N'),(25,6239358,'1',9,'N'),(25,6239366,'1',309,'N'),(25,6239374,'1',415,'N'),(25,6239390,'1',212,'N'),(25,6239390,'1A',601,'N'),(25,6239404,'1',326,'N'),(25,6239412,'1',208,'N'),(25,6239412,'1A',238,'N'),(25,6239420,'1',318,'N'),(25,6239439,'1',5,'N'),(25,6239447,'1',208,'N'),(25,6239447,'1A',235,'N'),(25,6239455,'1',103,'N'),(25,6239463,'1',653,'N'),(25,6239471,'1',201,'N'),(25,6239471,'1A',202,'N'),(25,6239480,'1',108,'N'),(25,6239498,'1',103,'N'),(25,6239501,'1',303,'N'),(25,6239510,'1',301,'N'),(25,6239528,'1',207,'N'),(25,6239528,'1A',201,'N'),(25,6239544,'1',103,'N'),(25,6239552,'1',303,'N'),(25,6239560,'1',201,'N'),(25,6239560,'1A',601,'N'),(25,6239579,'1',340,'N'),(25,6239587,'1',424,'N'),(25,6239587,'1A',427,'N'),(25,6239595,'1',301,'N'),(25,6239609,'1',103,'N'),(25,6239617,'1',207,'N'),(25,6239617,'1A',233,'N'),(25,6239625,'1',103,'N'),(25,6239633,'1',103,'N'),(25,6239641,'1',103,'N'),(25,6239676,'1',317,'N'),(25,6239684,'1',302,'N'),(25,6239692,'1',109,'N'),(25,6239706,'1',601,'N'),(25,6239706,'1A',208,'N'),(25,6239714,'1',103,'N'),(25,6239722,'1',103,'N'),(25,6239730,'1',5,'N'),(25,6239749,'1',502,'N'),(25,6239757,'1',317,'N'),(25,6239765,'1',601,'N'),(25,6239765,'1A',203,'N'),(25,6239773,'1',201,'N'),(25,6239773,'1A',202,'N'),(25,6239781,'1',103,'N'),(25,6239790,'1',220,'N'),(25,6239790,'1A',235,'N'),(25,6239803,'1',102,'N'),(25,6239811,'1',429,'N'),(25,6239820,'1',103,'N'),(25,6239838,'1',223,'N'),(25,6239846,'1',203,'N'),(25,6239846,'1A',214,'N'),(25,6239854,'1',324,'N'),(25,6239862,'1',108,'N'),(25,6239870,'1',452,'N'),(25,6239889,'1',9,'N'),(25,6239897,'1',103,'N'),(25,6239900,'1',316,'N'),(25,6239919,'1',340,'N'),(25,6239927,'1',303,'N'),(25,6239935,'1',224,'N'),(25,6239943,'1',108,'N'),(25,6239951,'1',103,'N'),(25,6239960,'1',103,'N'),(25,6239978,'1',103,'N'),(25,6239986,'1',212,'N'),(25,6239986,'1A',201,'N'),(25,6240003,'1',103,'N'),(25,6240011,'1',5,'N'),(25,6240020,'1',203,'N'),(25,6240020,'1A',214,'N'),(25,6240038,'1',216,'N'),(25,6240038,'1A',211,'N'),(25,6240046,'1',220,'N'),(25,6240046,'1A',202,'N'),(25,6240054,'1',207,'N'),(25,6240054,'1A',233,'N'),(25,6240062,'1',999,'N'),(25,6240070,'1',415,'N'),(25,6240097,'1',220,'N'),(25,6240097,'1A',202,'N'),(25,6240100,'1',103,'N'),(25,6240119,'1',214,'N'),(25,6240119,'1A',220,'N'),(25,6240127,'1',453,'N'),(25,6240143,'1',203,'N'),(25,6240143,'1A',214,'N'),(25,6240151,'1',108,'N'),(25,6240160,'1',5,'N'),(25,6240178,'1',203,'N'),(25,6240178,'1A',220,'N'),(25,6240186,'1',652,'N'),(25,6240186,'1A',655,'N'),(25,6240208,'1',102,'N'),(25,6240216,'1',211,'N'),(25,6240216,'1A',213,'N'),(25,6240224,'1',103,'N'),(25,6240232,'1',207,'N'),(25,6240232,'1A',216,'N'),(25,6240240,'1',301,'N'),(25,6240259,'1',404,'N'),(25,6240267,'1',9,'N'),(25,6240283,'1',103,'N'),(25,6240291,'1',103,'N'),(25,6240305,'1',201,'N'),(25,6240305,'1A',601,'N'),(25,6240313,'1',421,'N'),(25,6240313,'1A',425,'N'),(25,6240321,'1',214,'N'),(25,6240321,'1A',220,'N'),(25,6240330,'1',333,'N'),(25,6240348,'1',203,'N'),(25,6240348,'1A',601,'N'),(25,6240356,'1',207,'N'),(25,6240356,'1A',201,'N'),(25,6240364,'1',424,'N'),(25,6240364,'1A',423,'N'),(25,6240372,'1',103,'N'),(25,6240380,'1',103,'N'),(25,6240399,'1',203,'N'),(25,6240399,'1A',202,'N'),(25,6240402,'1',220,'N'),(25,6240402,'1A',214,'N'),(25,6240410,'1',207,'N'),(25,6240410,'1A',211,'N'),(25,6240429,'1',238,'N'),(25,6240429,'1A',208,'N'),(25,6240437,'1',301,'N'),(25,6240445,'1',201,'N'),(25,6240445,'1A',215,'N'),(25,6240461,'1',103,'N'),(25,6240470,'1',309,'N'),(25,6240488,'1',3,'N'),(25,6240496,'1',103,'N'),(25,6240500,'1',310,'N'),(25,6240518,'1',203,'N'),(25,6240518,'1A',214,'N'),(25,6240534,'1',3,'N'),(25,6240542,'1',207,'N'),(25,6240542,'1A',202,'N'),(25,6240550,'1',103,'N'),(25,6240569,'1',103,'N'),(25,6240577,'1',319,'N'),(25,6240585,'1',429,'N'),(25,6240585,'1A',425,'N'),(25,6240593,'1',214,'N'),(25,6240593,'1A',203,'N'),(25,6240607,'1',202,'N'),(25,6240607,'1A',213,'N'),(25,6240623,'1',207,'N'),(25,6240631,'1',103,'N'),(25,6240640,'1',214,'N'),(25,6240640,'1A',213,'N'),(25,6240658,'1',415,'N'),(25,6240666,'1',101,'N'),(25,6240682,'1',220,'N'),(25,6240682,'1A',211,'N'),(25,6240704,'1',9,'N'),(25,6240720,'1',103,'N'),(25,6240739,'1',208,'N'),(25,6240747,'1',103,'N'),(25,6240755,'1',215,'N'),(25,6240755,'1A',211,'N'),(25,6240763,'1',207,'N'),(25,6240763,'1A',201,'N'),(25,6240771,'1',108,'N'),(25,6240780,'1',103,'N'),(25,6240798,'1',207,'N'),(25,6240801,'1',317,'N'),(25,6240828,'1',301,'N'),(25,6240844,'1',102,'N'),(25,6240852,'1',235,'N'),(25,6240852,'1A',238,'N'),(25,6240860,'1',404,'N'),(25,6240879,'1',319,'N'),(25,6240887,'1',308,'N'),(25,6240895,'1',999,'N'),(25,6240917,'1',415,'N'),(25,6240925,'1',108,'N'),(25,6240933,'1',201,'N'),(25,6240933,'1A',235,'N'),(25,6240941,'1',302,'N'),(25,6240950,'1',301,'N'),(25,6240976,'1',201,'N'),(25,6240984,'1',9,'N'),(25,6240992,'1',103,'N'),(25,6241000,'1',319,'N'),(25,6241018,'1',319,'N'),(25,6241026,'1',201,'N'),(25,6241026,'1A',212,'N'),(25,6241034,'1',103,'N'),(25,6241042,'1',238,'N'),(25,6241042,'1A',211,'N'),(25,6241050,'1',103,'N'),(25,6241077,'1',203,'N'),(25,6241077,'1A',601,'N'),(25,6241085,'1',326,'N'),(25,6241093,'1',201,'N'),(25,6241107,'1',103,'N'),(25,6241123,'1',103,'N'),(25,6241131,'1',601,'N'),(25,6241131,'1A',216,'N'),(25,6241140,'1',103,'N'),(25,6241158,'1',103,'N'),(25,6241166,'1',235,'N'),(25,6241166,'1A',202,'N'),(25,6241182,'1',429,'N'),(25,6241182,'1A',424,'N'),(25,6241190,'1',316,'N'),(25,6241204,'1',103,'N'),(25,6241212,'1',216,'N'),(25,6241212,'1A',201,'N'),(25,6241220,'1',453,'N'),(25,6241239,'1',220,'N'),(25,6241239,'1A',203,'N'),(25,6241247,'1',103,'N'),(25,6241255,'1',238,'N'),(25,6241255,'1A',208,'N'),(25,6241263,'1',211,'N'),(25,6241263,'1A',216,'N'),(25,6241271,'1',223,'N'),(25,6241280,'1',303,'N'),(25,6241298,'1',109,'N'),(25,6241301,'1',317,'N'),(25,6241310,'1',202,'N'),(25,6241310,'1A',233,'N'),(25,6241344,'1',308,'N'),(25,6241360,'1',420,'N'),(25,6241379,'1',103,'N'),(25,6241387,'1',5,'N'),(25,6241395,'1',103,'N'),(25,6241409,'1',415,'N'),(25,6241425,'1',207,'N'),(25,6241433,'1',303,'N'),(25,6241441,'1',304,'N'),(25,6241468,'1',201,'N'),(25,6241468,'1A',202,'N'),(25,6241476,'1',207,'N'),(25,6241476,'1A',211,'N'),(25,6241484,'1',101,'N'),(25,6241492,'1',108,'N'),(25,6241506,'1',216,'N'),(25,6241506,'1A',214,'N'),(25,6241514,'1',103,'N'),(25,6241522,'1',207,'N'),(25,6241522,'1A',201,'N'),(25,6241530,'1',212,'N'),(25,6241530,'1A',233,'N'),(25,6241549,'1',233,'N'),(25,6241557,'1',301,'N'),(25,6241565,'1',201,'N'),(25,6241565,'1A',212,'N'),(25,6241573,'1',103,'N'),(25,6241581,'1',211,'N'),(25,6241581,'1A',207,'N'),(25,6241590,'1',301,'N'),(25,6241603,'1',207,'N'),(25,6241603,'1A',215,'N'),(25,6241611,'1',108,'N'),(25,6241620,'1',208,'N'),(25,6241646,'1',203,'N'),(25,6241646,'1A',220,'N'),(25,6241654,'1',109,'N'),(25,6241670,'1',103,'N'),(25,6241689,'1',103,'N'),(25,6241697,'1',207,'N'),(25,6241697,'1A',211,'N'),(25,6241700,'1',220,'N'),(25,6241700,'1A',203,'N'),(25,6241719,'1',233,'N'),(25,6241727,'1',203,'N'),(25,6241727,'1A',220,'N'),(25,6241735,'1',425,'N'),(25,6241735,'1A',428,'N'),(25,6241743,'1',318,'N'),(25,6241751,'1',319,'N'),(25,6241760,'1',501,'N'),(25,6241778,'1',211,'N'),(25,6241778,'1A',216,'N'),(25,6241786,'1',238,'N'),(25,6241786,'1A',203,'N'),(25,6241808,'1',104,'N'),(25,6241824,'1',404,'N'),(25,6241832,'1',207,'N'),(25,6241832,'1A',201,'N'),(25,6241840,'1',203,'N'),(25,6241840,'1A',202,'N'),(25,6241859,'1',303,'N'),(25,6241867,'1',329,'N'),(25,6241883,'1',303,'N'),(25,6241891,'1',316,'N'),(25,6241905,'1',450,'N'),(25,6241913,'1',103,'N'),(25,6241921,'1',316,'N'),(25,6241930,'1',201,'N'),(25,6241930,'1A',601,'N'),(25,6241948,'1',308,'N'),(25,6241956,'1',207,'N'),(25,6241956,'1A',211,'N'),(25,6241964,'1',340,'N'),(25,6241972,'1',202,'N'),(25,6241972,'1A',235,'N'),(25,6241980,'1',225,'N'),(25,6241999,'1',501,'N'),(25,6242006,'1',104,'N'),(25,6242014,'1',5,'N'),(25,6242022,'1',450,'N'),(25,6242030,'1',302,'N'),(25,6242049,'1',108,'N'),(25,6242065,'1',303,'N'),(25,6242073,'1',404,'N'),(25,6242081,'1',309,'N'),(25,6242090,'1',103,'N'),(25,6242103,'1',316,'N'),(25,6242120,'1',308,'N'),(25,6242138,'1',103,'N'),(25,6242146,'1',214,'N'),(25,6242146,'1A',213,'N'),(25,6242154,'1',340,'N'),(25,6242162,'1',103,'N'),(25,6242170,'1',452,'N'),(25,6242189,'1',340,'N'),(25,6242219,'1',103,'N'),(25,6242227,'1',201,'N'),(25,6242227,'1A',211,'N'),(25,6242235,'1',303,'N'),(25,6242243,'1',215,'N'),(25,6242243,'1A',653,'N'),(25,6242251,'1',108,'N'),(25,6242260,'1',5,'N'),(25,6242278,'1',207,'N'),(25,6242278,'1A',215,'N'),(25,6242286,'1',301,'N'),(25,6242294,'1',235,'N'),(25,6242294,'1A',601,'N'),(25,6242308,'1',203,'N'),(25,6242308,'1A',201,'N'),(25,6242332,'1',109,'N'),(25,6242340,'1',999,'N'),(25,6242359,'1',207,'N'),(25,6242367,'1',201,'N'),(25,6242367,'1A',207,'N'),(25,6242375,'1',999,'N'),(25,6242383,'1',333,'N'),(25,6242405,'1',452,'N'),(25,6242413,'1',104,'N'),(25,6242421,'1',202,'N'),(25,6242421,'1A',213,'N'),(25,6242430,'1',103,'N'),(25,6242448,'1',207,'N'),(25,6242448,'1A',201,'N'),(25,6242472,'1',103,'N'),(25,6242480,'1',103,'N'),(25,6242499,'1',502,'N'),(25,6242502,'1',203,'N'),(25,6242502,'1A',202,'N'),(25,6242510,'1',103,'N'),(25,6242529,'1',205,'N'),(25,6242537,'1',5,'N'),(25,6242553,'1',102,'N'),(25,6242561,'1',110,'N'),(25,6242570,'1',108,'N'),(25,6242588,'1',102,'N'),(25,6242596,'1',103,'N'),(25,6242600,'1',103,'N'),(25,6242618,'1',652,'N'),(25,6242618,'1A',202,'N'),(25,6242626,'1',302,'N'),(25,6242634,'1',103,'N'),(25,6242650,'1',214,'N'),(25,6242650,'1A',216,'N'),(25,6242669,'1',216,'N'),(25,6242669,'1A',203,'N'),(25,6242677,'1',201,'N'),(25,6242693,'1',9,'N'),(25,6242715,'1',453,'N'),(25,6242723,'1',108,'N'),(25,6242731,'1',103,'N'),(25,6242758,'1',103,'N'),(25,6242766,'1',5,'N'),(25,6242774,'1',601,'N'),(25,6242774,'1A',211,'N'),(25,6242782,'1',103,'N'),(25,6242790,'1',999,'N'),(25,6242804,'1',501,'N'),(25,6242812,'1',332,'N'),(25,6242820,'1',404,'N'),(25,6242839,'1',103,'N'),(25,6242847,'1',102,'N'),(25,6242863,'1',310,'N'),(25,6242871,'1',207,'N'),(25,6242871,'1A',211,'N'),(25,6242880,'1',216,'N'),(25,6242880,'1A',202,'N'),(25,6242898,'1',301,'N'),(25,6242910,'1',308,'N'),(25,6242928,'1',340,'N'),(25,6242936,'1',301,'N'),(25,6242952,'1',103,'N'),(25,6242960,'1',9,'N'),(25,6242987,'1',340,'N'),(25,6242995,'1',319,'N'),(25,6243010,'1',216,'N'),(25,6243010,'1A',203,'N'),(25,6243029,'1',220,'N'),(25,6243029,'1A',214,'N'),(25,6243037,'1',999,'N'),(25,6243045,'1',104,'N'),(25,6243053,'1',203,'N'),(25,6243053,'1A',220,'N'),(25,6243061,'1',601,'N'),(25,6243061,'1A',201,'N'),(25,6243070,'1',214,'N'),(25,6243070,'1A',233,'N'),(25,6243088,'1',308,'N'),(25,6243096,'1',327,'N'),(25,6243100,'1',222,'N'),(25,6243126,'1',654,'N'),(25,6243134,'1',202,'N'),(25,6243134,'1A',235,'N'),(25,6243142,'1',214,'N'),(25,6243142,'1A',233,'N'),(25,6243150,'1',103,'N'),(25,6243169,'1',319,'N'),(25,6243185,'1',601,'N'),(25,6243185,'1A',653,'N'),(25,6243193,'1',238,'N'),(25,6243193,'1A',208,'N'),(25,6243207,'1',501,'N'),(25,6243215,'1',9,'N'),(25,6243223,'1',404,'N'),(25,6243231,'1',201,'N'),(25,6243231,'1A',235,'N'),(25,6243240,'1',208,'N'),(25,6243240,'1A',655,'N'),(25,6243258,'1',238,'N'),(25,6243258,'1A',208,'N'),(25,6243266,'1',303,'N'),(25,6243274,'1',207,'N'),(25,6243274,'1A',201,'N'),(25,6243282,'1',202,'N'),(25,6243282,'1A',653,'N'),(25,6243304,'1',223,'N'),(25,6243320,'1',653,'N'),(25,6243320,'1A',655,'N'),(25,6243339,'1',216,'N'),(25,6243347,'1',216,'N'),(25,6243347,'1A',201,'N'),(25,6243355,'1',303,'N'),(25,6243363,'1',301,'N'),(25,6243371,'1',202,'N'),(25,6243371,'1A',653,'N'),(25,6243380,'1',336,'N'),(25,6243398,'1',551,'N'),(25,6243401,'1',104,'N'),(25,6243410,'1',202,'N'),(25,6243410,'1A',235,'N'),(25,6243428,'1',999,'N'),(25,6243436,'1',327,'N'),(25,6243452,'1',333,'N'),(25,6243487,'1',208,'N'),(25,6243495,'1',340,'N'),(25,6243509,'1',202,'N'),(25,6243509,'1A',238,'N'),(25,6243517,'1',444,'N'),(25,6243533,'1',103,'N'),(25,6243550,'1',103,'N'),(25,6243568,'1',102,'N'),(25,6243576,'1',319,'N'),(25,6243592,'1',103,'N'),(25,6243606,'1',103,'N'),(25,6243622,'1',103,'N'),(25,6243630,'1',316,'N'),(25,6243649,'1',224,'N'),(25,6243657,'1',203,'N'),(25,6243657,'1A',201,'N'),(25,6243665,'1',601,'N'),(25,6243665,'1A',215,'N'),(25,6243673,'1',207,'N'),(25,6243673,'1A',238,'N'),(25,6243703,'1',444,'N'),(25,6243711,'1',203,'N'),(25,6243711,'1A',220,'N'),(25,6243720,'1',652,'N'),(25,6243720,'1A',235,'N'),(25,6243746,'1',207,'N'),(25,6243746,'1A',201,'N'),(25,6243762,'1',203,'N'),(25,6243762,'1A',220,'N'),(25,6243770,'1',207,'N'),(25,6243770,'1A',201,'N'),(25,6243789,'1',302,'N'),(25,6243797,'1',103,'N'),(25,6243800,'1',203,'N'),(25,6243800,'1A',201,'N'),(25,6243819,'1',207,'N'),(25,6243819,'1A',211,'N'),(25,6243827,'1',316,'N'),(25,6243851,'1',103,'N'),(25,6243860,'1',108,'N'),(25,6243878,'1',316,'N'),(25,6243886,'1',207,'N'),(25,6243886,'1A',203,'N'),(25,6243894,'1',5,'N'),(25,6243916,'1',319,'N'),(25,6243924,'1',415,'N'),(25,6243932,'1',212,'N'),(25,6243932,'1A',201,'N'),(25,6243940,'1',310,'N'),(25,6243959,'1',110,'N'),(25,6243967,'1',103,'N'),(25,6243983,'1',426,'N'),(25,6243983,'1A',429,'N'),(25,6244009,'1',207,'N'),(25,6244009,'1A',238,'N'),(25,6244017,'1',216,'N'),(25,6244017,'1A',211,'N'),(25,6244025,'1',214,'N'),(25,6244025,'1A',233,'N'),(25,6244041,'1',451,'N'),(25,6244050,'1',303,'N'),(25,6244092,'1',601,'N'),(25,6244092,'1A',220,'N'),(25,6244106,'1',201,'N'),(25,6244106,'1A',233,'N'),(25,6244122,'1',302,'N'),(25,6244149,'1',318,'N'),(25,6244165,'1',317,'N'),(25,6244173,'1',103,'N'),(25,6244181,'1',317,'N'),(25,6244190,'1',110,'N'),(25,6244203,'1',238,'N'),(25,6244203,'1A',208,'N'),(25,6244211,'1',339,'N'),(25,6244220,'1',5,'N'),(25,6244238,'1',238,'N'),(25,6244238,'1A',655,'N'),(25,6244262,'1',601,'N'),(25,6244262,'1A',201,'N'),(25,6244270,'1',207,'N'),(25,6244270,'1A',201,'N'),(25,6244297,'1',450,'N'),(25,6244319,'1',220,'N'),(25,6244319,'1A',203,'N'),(25,6244327,'1',428,'N'),(25,6244327,'1A',429,'N'),(25,6244343,'1',451,'N'),(25,6244351,'1',501,'N'),(25,6244378,'1',207,'N'),(25,6244378,'1A',201,'N'),(25,6244386,'1',103,'N'),(25,6244394,'1',103,'N'),(25,6244424,'1',103,'N'),(25,6244432,'1',5,'N'),(25,6244467,'1',444,'N'),(25,6244475,'1',326,'N'),(25,6244483,'1',319,'N'),(25,6244491,'1',103,'N'),(25,6244505,'1',415,'N'),(25,6244513,'1',222,'N'),(25,6244521,'1',103,'N'),(25,6244548,'1',207,'N'),(25,6244548,'1A',201,'N'),(25,6244556,'1',207,'N'),(25,6244556,'1A',212,'N'),(25,6244564,'1',203,'N'),(25,6244564,'1A',216,'N'),(25,6244580,'1',103,'N'),(25,6244599,'1',103,'N'),(25,6244610,'1',5,'N'),(25,6244645,'1',108,'N'),(25,6244653,'1',103,'N'),(25,6244661,'1',444,'N'),(25,6244670,'1',601,'N'),(25,6244696,'1',103,'N'),(25,6244700,'1',340,'N'),(25,6244718,'1',103,'N'),(25,6244734,'1',211,'N'),(25,6244734,'1A',212,'N'),(25,6244742,'1',501,'N'),(25,6244769,'1',109,'N'),(25,6244777,'1',5,'N'),(25,6244785,'1',103,'N'),(25,6244807,'1',224,'N'),(25,6244815,'1',328,'N'),(25,6244823,'1',308,'N'),(25,6244831,'1',601,'N'),(25,6244840,'1',104,'N'),(25,6244866,'1',225,'N'),(25,6244874,'1',301,'N'),(25,6244882,'1',303,'N'),(25,6244890,'1',340,'N'),(25,6244904,'1',339,'N'),(25,6244912,'1',104,'N'),(25,6244920,'1',104,'N'),(25,6244939,'1',104,'N'),(25,6244955,'1',317,'N'),(25,6244963,'1',103,'N'),(25,6244971,'1',318,'N'),(25,6244980,'1',103,'N'),(25,6244998,'1',203,'N'),(25,6244998,'1A',214,'N'),(25,6245005,'1',309,'N'),(25,6245013,'1',103,'N'),(25,6245021,'1',654,'N'),(25,6245030,'1',301,'N'),(25,6245048,'1',333,'N'),(25,6245072,'1',238,'N'),(25,6245099,'1',319,'N'),(25,6245102,'1',103,'N'),(25,6245129,'1',309,'N'),(25,6245137,'1',5,'N'),(25,6245145,'1',425,'N'),(25,6245145,'1A',429,'N'),(25,6245153,'1',404,'N'),(25,6245170,'1',336,'N'),(25,6245188,'1',5,'N'),(25,6245196,'1',215,'N'),(25,6245196,'1A',233,'N'),(25,6245200,'1',104,'N'),(25,6245218,'1',220,'N'),(25,6245218,'1A',211,'N'),(25,6245226,'1',601,'N'),(25,6245226,'1A',202,'N'),(25,6245234,'1',9,'N'),(25,6245269,'1',103,'N'),(25,6245277,'1',208,'N'),(25,6245277,'1A',202,'N'),(25,6245285,'1',213,'N'),(25,6245285,'1A',238,'N'),(25,6245293,'1',415,'N'),(25,6245307,'1',203,'N'),(25,6245307,'1A',220,'N'),(25,6245315,'1',238,'N'),(25,6245315,'1A',208,'N'),(25,6245323,'1',2,'N'),(25,6245340,'1',302,'N'),(25,6245366,'1',319,'N'),(25,6245374,'1',551,'N'),(25,6245382,'1',108,'N'),(25,6245412,'1',5,'N'),(25,6245420,'1',104,'N'),(25,6245447,'1',104,'N'),(25,6245455,'1',502,'N'),(25,6245463,'1',103,'N'),(25,6245471,'1',208,'N'),(25,6245471,'1A',235,'N'),(25,6245480,'1',101,'N'),(25,6245498,'1',108,'N'),(25,6245501,'1',103,'N'),(25,6245528,'1',423,'N'),(25,6245528,'1A',426,'N'),(25,6245536,'1',103,'N'),(25,6245544,'1',339,'N'),(25,6245552,'1',214,'N'),(25,6245552,'1A',201,'N'),(25,6245560,'1',103,'N'),(25,6245579,'1',208,'N'),(25,6245579,'1A',238,'N'),(25,6245587,'1',444,'N'),(25,6245595,'1',103,'N'),(25,6245609,'1',450,'N'),(25,6245617,'1',653,'N'),(25,6245617,'1A',211,'N'),(25,6245625,'1',103,'N'),(25,6245650,'1',207,'N'),(25,6245650,'1A',211,'N'),(25,6245668,'1',333,'N'),(25,6245684,'1',5,'N'),(25,6245692,'1',207,'N'),(25,6245692,'1A',201,'N'),(25,6245706,'1',207,'N'),(25,6245706,'1A',212,'N'),(25,6245714,'1',103,'N'),(25,6245722,'1',201,'N'),(25,6245722,'1A',202,'N'),(25,6245749,'1',238,'N'),(25,6245749,'1A',211,'N'),(25,6245757,'1',104,'N'),(25,6245765,'1',404,'N'),(25,6245773,'1',335,'N'),(25,6245781,'1',301,'N'),(25,6245790,'1',337,'N'),(25,6245811,'1',333,'N'),(25,6245820,'1',103,'N'),(25,6245838,'1',319,'N'),(25,6245862,'1',201,'N'),(25,6245862,'1A',207,'N'),(25,6245870,'1',333,'N'),(25,6245897,'1',102,'N'),(25,6245900,'1',216,'N'),(25,6245900,'1A',233,'N'),(25,6245919,'1',201,'N'),(25,6245919,'1A',211,'N'),(25,6245927,'1',319,'N'),(25,6245935,'1',103,'N'),(25,6245943,'1',319,'N'),(25,6245960,'1',318,'N'),(25,6245978,'1',103,'N'),(25,6245986,'1',332,'N'),(25,6245994,'1',451,'N'),(25,6246001,'1',109,'N'),(25,6246010,'1',208,'N'),(25,6246010,'1A',652,'N'),(25,6246028,'1',654,'N'),(25,6246036,'1',216,'N'),(25,6246036,'1A',653,'N'),(25,6246044,'1',5,'N'),(25,6246060,'1',319,'N'),(25,6246079,'1',501,'N'),(25,6246087,'1',201,'N'),(25,6246087,'1A',203,'N'),(25,6246095,'1',450,'N'),(25,6246109,'1',421,'N'),(25,6246109,'1A',427,'N'),(25,6246117,'1',331,'N'),(25,6246125,'1',427,'N'),(25,6246125,'1A',421,'N'),(25,6246133,'1',601,'N'),(25,6246133,'1A',215,'N'),(25,6246141,'1',201,'N'),(25,6246141,'1A',212,'N'),(25,6246150,'1',103,'N'),(25,6246168,'1',5,'N'),(25,6246176,'1',310,'N'),(25,6246184,'1',601,'N'),(25,6246184,'1A',216,'N'),(25,6246192,'1',103,'N'),(25,6246206,'1',404,'N'),(25,6246214,'1',301,'N'),(25,6246222,'1',501,'N'),(25,6246230,'1',453,'N'),(25,6246249,'1',104,'N'),(25,6246257,'1',319,'N'),(25,6246281,'1',302,'N'),(25,6246290,'1',104,'N'),(25,6246303,'1',320,'N'),(25,6246311,'1',316,'N'),(25,6246320,'1',316,'N'),(25,6246346,'1',653,'N'),(25,6246346,'1A',655,'N'),(25,6246362,'1',428,'N'),(25,6246362,'1A',426,'N'),(25,6246370,'1',103,'N'),(25,6246397,'1',104,'N'),(25,6246400,'1',104,'N'),(25,6246427,'1',999,'N'),(25,6246435,'1',103,'N'),(25,6246443,'1',103,'N'),(25,6246460,'1',320,'N'),(25,6246478,'1',319,'N'),(25,6246486,'1',109,'N'),(25,6246494,'1',653,'N'),(25,6246494,'1A',655,'N'),(25,6246508,'1',207,'N'),(25,6246524,'1',444,'N'),(25,6246532,'1',426,'N'),(25,6246532,'1A',429,'N'),(25,6246540,'1',103,'N'),(25,6246559,'1',234,'N'),(25,6246575,'1',214,'N'),(25,6246575,'1A',233,'N'),(25,6246583,'1',103,'N'),(25,6246591,'1',316,'N'),(25,6246605,'1',208,'N'),(25,6246605,'1A',201,'N'),(25,6246613,'1',339,'N'),(25,6246621,'1',316,'N'),(25,6246630,'1',425,'N'),(25,6246630,'1A',429,'N'),(25,6246648,'1',502,'N'),(25,6246656,'1',304,'N'),(25,6246672,'1',103,'N'),(25,6246680,'1',103,'N'),(25,6246699,'1',103,'N'),(25,6246702,'1',213,'N'),(25,6246702,'1A',235,'N'),(25,6246710,'1',220,'N'),(25,6246710,'1A',235,'N'),(25,6246729,'1',211,'N'),(25,6246729,'1A',601,'N'),(25,6246737,'1',601,'N'),(25,6246737,'1A',216,'N'),(25,6246745,'1',203,'N'),(25,6246745,'1A',202,'N'),(25,6246753,'1',999,'N'),(25,6246761,'1',203,'N'),(25,6246761,'1A',220,'N'),(25,6246770,'1',425,'N'),(25,6246770,'1A',429,'N'),(25,6246788,'1',207,'N'),(25,6246788,'1A',211,'N'),(25,6246796,'1',103,'N'),(25,6246818,'1',238,'N'),(25,6246818,'1A',235,'N'),(25,6246834,'1',5,'N'),(25,6246869,'1',5,'N'),(25,6246877,'1',103,'N'),(25,6246885,'1',101,'N'),(25,6246907,'1',429,'N'),(25,6246907,'1A',423,'N'),(25,6246915,'1',451,'N'),(25,6246931,'1',103,'N'),(25,6246940,'1',207,'N'),(25,6246940,'1A',601,'N'),(25,6246958,'1',336,'N'),(25,6246966,'1',223,'N'),(25,6246974,'1',404,'N'),(25,6246990,'1',238,'N'),(25,6246990,'1A',208,'N'),(25,6247008,'1',238,'N'),(25,6247008,'1A',208,'N'),(25,6247016,'1',319,'N'),(25,6247024,'1',207,'N'),(25,6247024,'1A',216,'N'),(25,6247032,'1',303,'N'),(25,6247040,'1',103,'N'),(25,6247059,'1',211,'N'),(25,6247059,'1A',203,'N'),(25,6247067,'1',324,'N'),(25,6247075,'1',103,'N'),(25,6247083,'1',303,'N'),(25,6247091,'1',211,'N'),(25,6247105,'1',316,'N'),(25,6247113,'1',103,'N'),(25,6247121,'1',421,'N'),(25,6247121,'1A',427,'N'),(25,6247130,'1',103,'N'),(25,6247148,'1',103,'N'),(25,6247156,'1',302,'N'),(25,6247172,'1',234,'N'),(25,6247180,'1',201,'N'),(25,6247180,'1A',233,'N'),(25,6247199,'1',109,'N'),(25,6247202,'1',223,'N'),(25,6247210,'1',207,'N'),(25,6247229,'1',5,'N'),(25,6247237,'1',103,'N'),(25,6247245,'1',103,'N'),(25,6247253,'1',337,'N'),(25,6247261,'1',999,'N'),(25,6247270,'1',201,'N'),(25,6247270,'1A',235,'N'),(25,6247288,'1',601,'N'),(25,6247296,'1',203,'N'),(25,6247296,'1A',214,'N'),(25,6247300,'1',104,'N'),(25,6247318,'1',201,'N'),(25,6247326,'1',101,'N'),(25,6247342,'1',103,'N'),(25,6247350,'1',503,'N'),(25,6247369,'1',203,'N'),(25,6247369,'1A',235,'N'),(25,6247377,'1',104,'N'),(25,6247385,'1',326,'N'),(25,6247393,'1',103,'N'),(25,6247407,'1',103,'N'),(25,6247415,'1',202,'N'),(25,6247415,'1A',211,'N'),(25,6247423,'1',450,'N'),(25,6247431,'1',103,'N'),(25,6247440,'1',103,'N'),(25,6247458,'1',109,'N'),(25,6247474,'1',104,'N'),(25,6247520,'1',319,'N'),(25,6247539,'1',308,'N'),(25,6247547,'1',103,'N'),(25,6247563,'1',655,'N'),(25,6247563,'1A',653,'N'),(25,6247571,'1',415,'N'),(25,6247580,'1',501,'N'),(25,6247598,'1',238,'N'),(25,6247598,'1A',216,'N'),(25,6247601,'1',215,'N'),(25,6247601,'1A',212,'N'),(25,6247628,'1',220,'N'),(25,6247628,'1A',601,'N'),(25,6247636,'1',233,'N'),(25,6247636,'1A',212,'N'),(25,6247652,'1',103,'N'),(25,6247695,'1',333,'N'),(25,6247709,'1',319,'N'),(25,6247741,'1',336,'N'),(25,6247768,'1',103,'N'),(25,6247776,'1',304,'N'),(25,6247784,'1',103,'N'),(25,6247806,'1',999,'N'),(25,6247814,'1',103,'N'),(25,6247822,'1',103,'N'),(25,6247830,'1',337,'N'),(25,6247849,'1',551,'N'),(25,6247857,'1',103,'N'),(25,6247865,'1',201,'N'),(25,6247865,'1A',601,'N'),(25,6247873,'1',340,'N'),(25,6247881,'1',103,'N'),(25,6247890,'1',212,'N'),(25,6247890,'1A',213,'N'),(25,6247911,'1',601,'N'),(25,6247920,'1',304,'N'),(25,6247938,'1',333,'N'),(25,6247946,'1',336,'N'),(25,6247954,'1',103,'N'),(25,6247962,'1',303,'N'),(25,6247970,'1',103,'N'),(25,6247989,'1',238,'N'),(25,6247989,'1A',208,'N'),(25,6247997,'1',207,'N'),(25,6247997,'1A',201,'N'),(25,6248004,'1',103,'N'),(25,6248020,'1',335,'N'),(25,6248047,'1',425,'N'),(25,6248047,'1A',421,'N'),(25,6248055,'1',103,'N'),(25,6248063,'1',203,'N'),(25,6248063,'1A',201,'N'),(25,6248071,'1',220,'N'),(25,6248080,'1',110,'N'),(25,6248098,'1',207,'N'),(25,6248098,'1A',201,'N'),(25,6248101,'1',201,'N'),(25,6248110,'1',654,'N'),(25,6248136,'1',202,'N'),(25,6248136,'1A',220,'N'),(25,6248152,'1',103,'N'),(25,6248160,'1',415,'N'),(25,6248179,'1',238,'N'),(25,6248179,'1A',652,'N'),(25,6248187,'1',108,'N'),(25,6248195,'1',108,'N'),(25,6248209,'1',303,'N'),(25,6248225,'1',450,'N'),(25,6248233,'1',9,'N'),(25,6248241,'1',201,'N'),(25,6248241,'1A',202,'N'),(25,6248250,'1',336,'N'),(25,6248268,'1',207,'N'),(25,6248268,'1A',601,'N'),(25,6248276,'1',502,'N'),(25,6248284,'1',452,'N'),(25,6248306,'1',102,'N'),(25,6248314,'1',429,'N'),(25,6248322,'1',110,'N'),(25,6248357,'1',216,'N'),(25,6248357,'1A',238,'N'),(25,6248373,'1',201,'N'),(25,6248373,'1A',207,'N'),(25,6248381,'1',103,'N'),(25,6248390,'1',103,'N'),(25,6248403,'1',999,'N'),(25,6248420,'1',207,'N'),(25,6248420,'1A',601,'N'),(25,6248438,'1',303,'N'),(25,6248446,'1',211,'N'),(25,6248446,'1A',207,'N'),(25,6248454,'1',215,'N'),(25,6248454,'1A',211,'N'),(25,6248462,'1',203,'N'),(25,6248462,'1A',214,'N'),(25,6248470,'1',201,'N'),(25,6248470,'1A',233,'N'),(25,6248489,'1',201,'N'),(25,6248497,'1',5,'N'),(25,6248500,'1',404,'N'),(25,6248519,'1',9,'N'),(25,6248527,'1',216,'N'),(25,6248527,'1A',202,'N'),(25,6248535,'1',216,'N'),(25,6248543,'1',303,'N'),(25,6248560,'1',101,'N'),(25,6248578,'1',999,'N'),(25,6248594,'1',425,'N'),(25,6248594,'1A',428,'N'),(25,6248608,'1',304,'N'),(25,6248616,'1',336,'N'),(25,6248632,'1',201,'N'),(25,6248632,'1A',212,'N'),(25,6248640,'1',340,'N'),(25,6248659,'1',551,'N'),(25,6248667,'1',301,'N'),(25,6248675,'1',213,'N'),(25,6248675,'1A',235,'N'),(25,6248683,'1',339,'N'),(25,6248691,'1',203,'N'),(25,6248691,'1A',201,'N'),(25,6248713,'1',103,'N'),(25,6248730,'1',319,'N'),(25,6248748,'1',102,'N'),(25,6248756,'1',104,'N'),(25,6248764,'1',303,'N'),(25,6248772,'1',999,'N'),(25,6248780,'1',316,'N'),(25,6248799,'1',103,'N'),(25,6248802,'1',9,'N'),(25,6248810,'1',103,'N'),(25,6248829,'1',303,'N'),(25,6248845,'1',235,'N'),(25,6248845,'1A',220,'N'),(25,6248853,'1',208,'N'),(25,6248853,'1A',201,'N'),(25,6248870,'1',212,'N'),(25,6248870,'1A',213,'N'),(25,6248888,'1',316,'N'),(25,6248896,'1',340,'N'),(25,6248900,'1',601,'N'),(25,6248918,'1',201,'N'),(25,6248918,'1A',212,'N'),(25,6248926,'1',999,'N'),(25,6248934,'1',318,'N'),(25,6248942,'1',654,'N'),(25,6248950,'1',103,'N'),(25,6248977,'1',316,'N'),(25,6248985,'1',9,'N'),(25,6248993,'1',213,'N'),(25,6248993,'1A',220,'N'),(25,6249000,'1',415,'N'),(25,6249019,'1',336,'N'),(25,6249027,'1',108,'N'),(25,6249035,'1',333,'N'),(25,6249051,'1',999,'N'),(25,6249060,'1',426,'N'),(25,6249060,'1A',429,'N'),(25,6249078,'1',319,'N'),(25,6249086,'1',425,'N'),(25,6249086,'1A',429,'N'),(25,6249094,'1',201,'N'),(25,6249094,'1A',211,'N'),(25,6249108,'1',103,'N'),(25,6249116,'1',103,'N'),(25,6249159,'1',301,'N'),(25,6249167,'1',103,'N'),(25,6249175,'1',301,'N'),(25,6249183,'1',103,'N'),(25,6249191,'1',601,'N'),(25,6249191,'1A',207,'N'),(25,6249205,'1',233,'N'),(25,6249205,'1A',601,'N'),(25,6249213,'1',103,'N'),(25,6249221,'1',103,'N'),(25,6249230,'1',201,'N'),(25,6249230,'1A',212,'N'),(25,6249248,'1',201,'N'),(25,6249248,'1A',212,'N'),(25,6249256,'1',316,'N'),(25,6249264,'1',303,'N'),(25,6249272,'1',103,'N'),(25,6249310,'1',453,'N'),(25,6249329,'1',601,'N'),(25,6249329,'1A',216,'N'),(25,6249337,'1',654,'N'),(25,6249345,'1',103,'N'),(25,6249353,'1',420,'N'),(25,6249370,'1',999,'N'),(25,6249388,'1',103,'N'),(25,6249396,'1',212,'N'),(25,6249396,'1A',213,'N'),(25,6249400,'1',551,'N'),(25,6249418,'1',201,'N'),(25,6249418,'1A',214,'N'),(25,6249426,'1',317,'N'),(25,6249442,'1',420,'N'),(25,6249469,'1',425,'N'),(25,6249469,'1A',428,'N'),(25,6249477,'1',201,'N'),(25,6249477,'1A',215,'N'),(25,6249493,'1',103,'N'),(25,6249507,'1',999,'N'),(25,6249515,'1',3,'N'),(25,6249523,'1',601,'N'),(25,6249531,'1',216,'N'),(25,6249531,'1A',201,'N'),(25,6249540,'1',331,'N'),(25,6249558,'1',301,'N'),(25,6249566,'1',317,'N'),(25,6249574,'1',101,'N'),(25,6249582,'1',103,'N'),(25,6249590,'1',211,'N'),(25,6249590,'1A',215,'N'),(25,6249604,'1',5,'N'),(25,6249612,'1',331,'N'),(25,6249639,'1',316,'N'),(25,6249647,'1',652,'N'),(25,6249647,'1A',238,'N'),(25,6249655,'1',203,'N'),(25,6249655,'1A',214,'N'),(25,6249663,'1',501,'N'),(25,6249671,'1',5,'N'),(25,6249680,'1',104,'N'),(25,6249698,'1',203,'N'),(25,6249698,'1A',202,'N'),(25,6249701,'1',601,'N'),(25,6249701,'1A',220,'N'),(25,6249710,'1',653,'N'),(25,6249736,'1',104,'N'),(25,6249744,'1',207,'N'),(25,6249744,'1A',212,'N'),(25,6249752,'1',301,'N'),(25,6249760,'1',327,'N'),(25,6249787,'1',207,'N'),(25,6249795,'1',415,'N'),(25,6249809,'1',2,'N'),(25,6249817,'1',103,'N'),(25,6249825,'1',201,'N'),(25,6249825,'1A',211,'N'),(25,6249833,'1',340,'N'),(25,6249841,'1',203,'N'),(25,6249841,'1A',233,'N'),(25,6249850,'1',211,'N'),(25,6249850,'1A',601,'N'),(25,6249868,'1',501,'N'),(25,6249892,'1',211,'N'),(25,6249892,'1A',216,'N'),(25,6249906,'1',425,'N'),(25,6249906,'1A',428,'N'),(25,6249922,'1',309,'N'),(25,6249930,'1',201,'N'),(25,6249930,'1A',202,'N'),(25,6249949,'1',5,'N'),(25,6249973,'1',215,'N'),(25,6249973,'1A',653,'N'),(25,6249981,'1',212,'N'),(25,6249981,'1A',601,'N'),(25,6249990,'1',308,'N'),(25,6250009,'1',453,'N'),(25,6250017,'1',319,'N'),(25,6250025,'1',444,'N'),(25,6250033,'1',207,'N'),(25,6250033,'1A',212,'N'),(25,6250041,'1',415,'N'),(25,6250050,'1',102,'N'),(25,6250068,'1',103,'N'),(25,6250076,'1',303,'N'),(25,6250084,'1',301,'N'),(25,6250092,'1',316,'N'),(25,6250106,'1',103,'N'),(25,6250114,'1',319,'N'),(25,6250122,'1',331,'N'),(25,6250149,'1',328,'N'),(25,6250173,'1',316,'N'),(25,6250181,'1',316,'N'),(25,6250190,'1',238,'N'),(25,6250190,'1A',208,'N'),(25,6250203,'1',109,'N'),(25,6250211,'1',339,'N'),(25,6250238,'1',103,'N'),(25,6250246,'1',301,'N'),(25,6250254,'1',320,'N'),(25,6250262,'1',238,'N'),(25,6250262,'1A',601,'N'),(25,6250289,'1',452,'N'),(25,6250297,'1',316,'N'),(25,6250335,'1',654,'N'),(25,6250360,'1',238,'N'),(25,6250360,'1A',220,'N'),(25,6250378,'1',103,'N'),(25,6250386,'1',208,'N'),(25,6250386,'1A',238,'N'),(25,6250394,'1',201,'N'),(25,6250394,'1A',212,'N'),(25,6250408,'1',238,'N'),(25,6250408,'1A',208,'N'),(25,6250416,'1',999,'N'),(25,6250432,'1',103,'N'),(25,6250440,'1',336,'N'),(25,6250475,'1',103,'N'),(25,6250483,'1',329,'N'),(25,6250505,'1',201,'N'),(25,6250505,'1A',202,'N'),(25,6250513,'1',444,'N'),(25,6250521,'1',501,'N'),(25,6250548,'1',501,'N'),(25,6250580,'1',301,'N'),(25,6250602,'1',207,'N'),(25,6250610,'1',9,'N'),(25,6250629,'1',103,'N'),(25,6250637,'1',216,'N'),(25,6250637,'1A',201,'N'),(25,6250645,'1',425,'N'),(25,6250645,'1A',424,'N'),(25,6250653,'1',101,'N'),(25,6250661,'1',304,'N'),(25,6250670,'1',103,'N'),(25,6250688,'1',103,'N'),(25,6250696,'1',103,'N'),(25,6250700,'1',451,'N'),(25,6250718,'1',203,'N'),(25,6250718,'1A',235,'N'),(25,6250726,'1',308,'N'),(25,6250734,'1',320,'N'),(25,6250769,'1',103,'N'),(25,6250777,'1',104,'N'),(25,6250785,'1',340,'N'),(25,6250793,'1',202,'N'),(25,6250793,'1A',235,'N'),(25,6250807,'1',211,'N'),(25,6250807,'1A',233,'N'),(25,6250815,'1',426,'N'),(25,6250815,'1A',428,'N'),(25,6250823,'1',654,'N'),(25,6250831,'1',207,'N'),(25,6250831,'1A',201,'N'),(25,6250840,'1',101,'N'),(25,6250858,'1',104,'N'),(25,6250866,'1',5,'N'),(25,6250874,'1',303,'N'),(25,6250882,'1',103,'N'),(25,6250912,'1',303,'N'),(25,6250920,'1',316,'N'),(25,6250939,'1',999,'N'),(25,6250955,'1',103,'N'),(25,6250963,'1',207,'N'),(25,6250963,'1A',213,'N'),(25,6250971,'1',201,'N'),(25,6250971,'1A',220,'N'),(25,6250980,'1',652,'N'),(25,6250980,'1A',653,'N'),(25,6250998,'1',203,'N'),(25,6250998,'1A',201,'N'),(25,6251005,'1',5,'N'),(25,6251013,'1',103,'N'),(25,6251021,'1',207,'N'),(25,6251021,'1A',208,'N'),(25,6251030,'1',319,'N'),(25,6251056,'1',103,'N'),(25,6251064,'1',340,'N'),(25,6251072,'1',301,'N'),(25,6251080,'1',212,'N'),(25,6251080,'1A',207,'N'),(25,6251099,'1',201,'N'),(25,6251099,'1A',212,'N'),(25,6251102,'1',102,'N'),(25,6251110,'1',214,'N'),(25,6251110,'1A',212,'N'),(25,6251129,'1',420,'N'),(25,6251137,'1',207,'N'),(25,6251137,'1A',201,'N'),(25,6251153,'1',108,'N'),(25,6251161,'1',301,'N'),(25,6251170,'1',235,'N'),(25,6251170,'1A',601,'N'),(25,6251196,'1',220,'N'),(25,6251196,'1A',601,'N'),(25,6251200,'1',103,'N'),(25,6251218,'1',103,'N'),(25,6251226,'1',103,'N'),(25,6251234,'1',653,'N'),(25,6251234,'1A',652,'N'),(25,6251242,'1',238,'N'),(25,6251242,'1A',208,'N'),(25,6251250,'1',103,'N'),(25,6251277,'1',317,'N'),(25,6251315,'1',104,'N'),(25,6251323,'1',102,'N'),(25,6251358,'1',214,'N'),(25,6251358,'1A',203,'N'),(25,6251366,'1',207,'N'),(25,6251366,'1A',601,'N'),(25,6251374,'1',335,'N'),(25,6251382,'1',333,'N'),(25,6251390,'1',220,'N'),(25,6251390,'1A',208,'N'),(25,6251404,'1',203,'N'),(25,6251404,'1A',235,'N'),(25,6251420,'1',502,'N'),(25,6251439,'1',203,'N'),(25,6251439,'1A',214,'N'),(25,6251447,'1',3,'N'),(25,6251455,'1',319,'N'),(25,6251463,'1',103,'N'),(25,6251471,'1',332,'N'),(25,6251480,'1',103,'N'),(25,6251498,'1',203,'N'),(25,6251498,'1A',213,'N'),(25,6251501,'1',103,'N'),(25,6251510,'1',235,'N'),(25,6251510,'1A',202,'N'),(25,6251528,'1',303,'N'),(25,6251536,'1',207,'N'),(25,6251536,'1A',211,'N'),(25,6251544,'1',9,'N'),(25,6251560,'1',103,'N'),(25,6251579,'1',211,'N'),(25,6251579,'1A',653,'N'),(25,6251587,'1',999,'N'),(25,6251595,'1',201,'N'),(25,6251595,'1A',212,'N'),(25,6251609,'1',108,'N'),(25,6251625,'1',318,'N'),(25,6251633,'1',203,'N'),(25,6251641,'1',415,'N'),(25,6251650,'1',5,'N'),(25,6251668,'1',404,'N'),(25,6251676,'1',317,'N'),(25,6251684,'1',301,'N'),(25,6251692,'1',103,'N'),(25,6251706,'1',103,'N'),(25,6251714,'1',316,'N'),(25,6251722,'1',601,'N'),(25,6251722,'1A',201,'N'),(25,6251730,'1',5,'N'),(25,6251749,'1',103,'N'),(25,6251757,'1',235,'N'),(25,6251757,'1A',601,'N'),(25,6251765,'1',216,'N'),(25,6251765,'1A',233,'N'),(25,6251781,'1',203,'N'),(25,6251781,'1A',211,'N'),(25,6251790,'1',201,'N'),(25,6251790,'1A',212,'N'),(25,6251803,'1',104,'N'),(25,6251811,'1',5,'N'),(25,6251820,'1',654,'N'),(25,6251838,'1',404,'N'),(25,6251862,'1',319,'N'),(25,6251870,'1',103,'N'),(25,6251889,'1',425,'N'),(25,6251889,'1A',429,'N'),(25,6251897,'1',101,'N'),(25,6251900,'1',212,'N'),(25,6251900,'1A',215,'N'),(25,6251919,'1',103,'N'),(25,6251927,'1',201,'N'),(25,6251927,'1A',601,'N'),(25,6251935,'1',301,'N'),(25,6251943,'1',103,'N'),(25,6251951,'1',234,'N'),(25,6251960,'1',102,'N'),(25,6251986,'1',207,'N'),(25,6251986,'1A',201,'N'),(25,6251994,'1',101,'N'),(25,6252001,'1',308,'N'),(25,6252010,'1',415,'N'),(25,6252028,'1',316,'N'),(25,6252036,'1',103,'N'),(25,6252044,'1',319,'N'),(25,6252052,'1',104,'N'),(25,6252060,'1',652,'N'),(25,6252060,'1A',208,'N'),(25,6252079,'1',415,'N'),(25,6252087,'1',225,'N'),(25,6252095,'1',238,'N'),(25,6252095,'1A',208,'N'),(25,6252109,'1',211,'N'),(25,6252109,'1A',215,'N'),(25,6252117,'1',318,'N'),(25,6252125,'1',304,'N'),(25,6252133,'1',302,'N'),(25,6252141,'1',329,'N'),(25,6252150,'1',103,'N'),(25,6252168,'1',208,'N'),(25,6252168,'1A',238,'N'),(25,6252176,'1',104,'N'),(25,6252184,'1',103,'N'),(25,6252192,'1',208,'N'),(25,6252192,'1A',238,'N'),(25,6252206,'1',201,'N'),(25,6252206,'1A',203,'N'),(25,6252230,'1',654,'N'),(25,6252249,'1',340,'N'),(25,6252257,'1',444,'N'),(25,6252265,'1',102,'N'),(25,6252273,'1',104,'N'),(25,6252281,'1',103,'N'),(25,6252290,'1',501,'N'),(25,6252311,'1',207,'N'),(25,6252311,'1A',208,'N'),(25,6252338,'1',104,'N'),(25,6252346,'1',428,'N'),(25,6252346,'1A',426,'N'),(25,6252354,'1',203,'N'),(25,6252354,'1A',235,'N'),(25,6252362,'1',319,'N'),(25,6252370,'1',103,'N'),(25,6252389,'1',102,'N'),(25,6252397,'1',211,'N'),(25,6252397,'1A',215,'N'),(25,6252400,'1',452,'N'),(25,6252419,'1',503,'N'),(25,6252427,'1',103,'N'),(25,6252443,'1',653,'N'),(25,6252451,'1',215,'N'),(25,6252451,'1A',203,'N'),(25,6252460,'1',203,'N'),(25,6252460,'1A',233,'N'),(25,6252478,'1',212,'N'),(25,6252478,'1A',201,'N'),(25,6252486,'1',103,'N'),(25,6252494,'1',999,'N'),(25,6252508,'1',207,'N'),(25,6252508,'1A',238,'N'),(25,6252516,'1',654,'N'),(25,6252524,'1',319,'N'),(25,6252532,'1',102,'N'),(25,6252540,'1',103,'N'),(25,6252559,'1',202,'N'),(25,6252559,'1A',213,'N'),(25,6252567,'1',301,'N'),(25,6252583,'1',301,'N'),(25,6252591,'1',999,'N'),(25,6252605,'1',340,'N'),(25,6252613,'1',415,'N'),(25,6252621,'1',201,'N'),(25,6252621,'1A',233,'N'),(25,6252630,'1',103,'N'),(25,6252648,'1',103,'N'),(25,6252664,'1',203,'N'),(25,6252664,'1A',214,'N'),(25,6252672,'1',5,'N'),(25,6252680,'1',104,'N'),(25,6252702,'1',201,'N'),(25,6252702,'1A',212,'N'),(25,6252710,'1',319,'N'),(25,6252745,'1',319,'N'),(25,6252753,'1',207,'N'),(25,6252761,'1',655,'N'),(25,6252761,'1A',653,'N'),(25,6252770,'1',303,'N'),(25,6252788,'1',101,'N'),(25,6252796,'1',203,'N'),(25,6252796,'1A',220,'N'),(25,6252800,'1',103,'N'),(25,6252818,'1',201,'N'),(25,6252818,'1A',212,'N'),(25,6252826,'1',207,'N'),(25,6252834,'1',201,'N'),(25,6252834,'1A',213,'N'),(25,6252850,'1',203,'N'),(25,6252850,'1A',601,'N'),(25,6252877,'1',301,'N'),(25,6252885,'1',238,'N'),(25,6252885,'1A',235,'N'),(25,6252893,'1',304,'N'),(25,6252907,'1',425,'N'),(25,6252907,'1A',429,'N'),(25,6252915,'1',104,'N'),(25,6252923,'1',102,'N'),(25,6252940,'1',653,'N'),(25,6252974,'1',103,'N'),(25,6252982,'1',213,'N'),(25,6252982,'1A',601,'N'),(25,6252990,'1',207,'N'),(25,6252990,'1A',201,'N'),(25,6253008,'1',101,'N'),(25,6253016,'1',103,'N'),(25,6253024,'1',103,'N'),(25,6253032,'1',601,'N'),(25,6253032,'1A',203,'N'),(25,6253040,'1',318,'N'),(25,6253059,'1',320,'N'),(25,6253067,'1',220,'N'),(25,6253067,'1A',238,'N'),(25,6253083,'1',601,'N'),(25,6253083,'1A',655,'N'),(25,6253091,'1',326,'N'),(25,6253105,'1',102,'N'),(25,6253113,'1',303,'N'),(25,6253130,'1',104,'N'),(25,6253148,'1',102,'N'),(25,6253156,'1',103,'N'),(25,6253164,'1',201,'N'),(25,6253164,'1A',212,'N'),(25,6253172,'1',201,'N'),(25,6253172,'1A',212,'N'),(25,6253180,'1',202,'N'),(25,6253180,'1A',235,'N'),(25,6253199,'1',652,'N'),(25,6253199,'1A',655,'N'),(25,6253202,'1',301,'N'),(25,6253210,'1',601,'N'),(25,6253210,'1A',215,'N'),(25,6253229,'1',103,'N'),(25,6253237,'1',653,'N'),(25,6253245,'1',303,'N'),(25,6253253,'1',108,'N'),(25,6253261,'1',453,'N'),(25,6253288,'1',201,'N'),(25,6253288,'1A',213,'N'),(25,6253296,'1',404,'N'),(25,6253300,'1',103,'N'),(25,6253318,'1',216,'N'),(25,6253318,'1A',233,'N'),(25,6253326,'1',201,'N'),(25,6253326,'1A',207,'N'),(25,6253334,'1',302,'N'),(25,6253342,'1',220,'N'),(25,6253342,'1A',238,'N'),(25,6253350,'1',999,'N'),(25,6253369,'1',551,'N'),(25,6253377,'1',654,'N'),(25,6253393,'1',5,'N'),(25,6253407,'1',301,'N'),(25,6253415,'1',108,'N'),(25,6253423,'1',103,'N'),(25,6253431,'1',102,'N'),(25,6253440,'1',104,'N'),(25,6253458,'1',108,'N'),(25,6253466,'1',202,'N'),(25,6253466,'1A',213,'N'),(25,6253474,'1',303,'N'),(25,6253482,'1',103,'N'),(25,6253490,'1',108,'N'),(25,6253504,'1',211,'N'),(25,6253504,'1A',202,'N'),(25,6253512,'1',103,'N'),(25,6253520,'1',201,'N'),(25,6253539,'1',208,'N'),(25,6253539,'1A',238,'N'),(25,6253547,'1',212,'N'),(25,6253547,'1A',214,'N'),(25,6253555,'1',303,'N'),(25,6253563,'1',233,'N'),(25,6253571,'1',340,'N'),(25,6253580,'1',212,'N'),(25,6253580,'1A',201,'N'),(25,6253598,'1',103,'N'),(25,6253601,'1',450,'N'),(25,6253610,'1',212,'N'),(25,6253610,'1A',207,'N'),(25,6253628,'1',108,'N'),(25,6253636,'1',102,'N'),(25,6253644,'1',103,'N'),(25,6253660,'1',103,'N'),(25,6253679,'1',337,'N'),(25,6253687,'1',238,'N'),(25,6253687,'1A',212,'N'),(25,6253695,'1',303,'N'),(25,6253709,'1',104,'N'),(25,6253717,'1',238,'N'),(25,6253717,'1A',208,'N'),(25,6253725,'1',654,'N'),(25,6253741,'1',104,'N'),(25,6253750,'1',423,'N'),(25,6253750,'1A',426,'N'),(25,6253776,'1',339,'N'),(25,6253784,'1',5,'N'),(25,6253792,'1',652,'N'),(25,6253792,'1A',655,'N'),(25,6253806,'1',238,'N'),(25,6253806,'1A',208,'N'),(25,6253814,'1',304,'N'),(25,6253822,'1',103,'N'),(25,6253830,'1',551,'N'),(25,6253849,'1',103,'N'),(25,6253857,'1',238,'N'),(25,6253857,'1A',203,'N'),(25,6253865,'1',103,'N'),(25,6253873,'1',339,'N'),(25,6253881,'1',308,'N'),(25,6253903,'1',340,'N'),(25,6253911,'1',103,'N'),(25,6253920,'1',103,'N'),(25,6253938,'1',104,'N'),(25,6253946,'1',320,'N'),(25,6253954,'1',301,'N'),(25,6253962,'1',103,'N'),(25,6253970,'1',444,'N'),(25,6253989,'1',103,'N'),(25,6253997,'1',103,'N'),(25,6254004,'1',104,'N'),(25,6254012,'1',303,'N'),(25,6254047,'1',203,'N'),(25,6254055,'1',103,'N'),(25,6254063,'1',303,'N'),(25,6254071,'1',108,'N'),(25,6254080,'1',202,'N'),(25,6254080,'1A',235,'N'),(25,6254098,'1',102,'N'),(25,6254101,'1',302,'N'),(25,6254110,'1',207,'N'),(25,6254110,'1A',212,'N'),(25,6254128,'1',5,'N'),(25,6254136,'1',444,'N'),(25,6254144,'1',303,'N'),(25,6254152,'1',108,'N'),(25,6254160,'1',234,'N'),(25,6254179,'1',201,'N'),(25,6254179,'1A',212,'N'),(25,6254187,'1',207,'N'),(25,6254187,'1A',201,'N'),(25,6254195,'1',103,'N'),(25,6254209,'1',103,'N'),(25,6254217,'1',104,'N'),(25,6254241,'1',212,'N'),(25,6254241,'1A',213,'N'),(25,6254250,'1',203,'N'),(25,6254250,'1A',233,'N'),(25,6254268,'1',103,'N'),(25,6254276,'1',404,'N'),(25,6254284,'1',319,'N'),(25,6254292,'1',108,'N'),(25,6254306,'1',319,'N'),(25,6254314,'1',501,'N'),(25,6254322,'1',303,'N'),(25,6254349,'1',304,'N'),(25,6254357,'1',301,'N'),(25,6254365,'1',211,'N'),(25,6254365,'1A',601,'N'),(25,6254373,'1',104,'N'),(25,6254381,'1',425,'N'),(25,6254381,'1A',428,'N'),(25,6254390,'1',203,'N'),(25,6254390,'1A',233,'N'),(25,6254403,'1',453,'N'),(25,6254411,'1',415,'N'),(25,6254420,'1',444,'N'),(25,6254438,'1',104,'N'),(25,6254446,'1',202,'N'),(25,6254470,'1',333,'N'),(25,6254489,'1',103,'N'),(25,6254500,'1',211,'N'),(25,6254500,'1A',213,'N'),(25,6254519,'1',207,'N'),(25,6254519,'1A',215,'N'),(25,6254527,'1',5,'N'),(25,6254535,'1',319,'N'),(25,6254543,'1',653,'N'),(25,6254543,'1A',655,'N'),(25,6254551,'1',103,'N'),(25,6254560,'1',303,'N'),(25,6254578,'1',404,'N'),(25,6254586,'1',102,'N'),(25,6254616,'1',428,'N'),(25,6254616,'1A',423,'N'),(25,6254624,'1',103,'N'),(25,6254640,'1',601,'N'),(25,6254640,'1A',235,'N'),(25,6254659,'1',301,'N'),(25,6254667,'1',103,'N'),(25,6254675,'1',201,'N'),(25,6254675,'1A',601,'N'),(25,6254683,'1',203,'N'),(25,6254683,'1A',202,'N'),(25,6254705,'1',201,'N'),(25,6254713,'1',999,'N'),(25,6254721,'1',103,'N'),(25,6254730,'1',501,'N'),(25,6254748,'1',303,'N'),(25,6254756,'1',108,'N'),(25,6254764,'1',201,'N'),(25,6254764,'1A',212,'N'),(25,6254772,'1',304,'N'),(25,6254799,'1',303,'N'),(25,6254802,'1',101,'N'),(25,6254810,'1',207,'N'),(25,6254810,'1A',212,'N'),(25,6254829,'1',103,'N'),(25,6254837,'1',103,'N'),(25,6254845,'1',103,'N'),(25,6254853,'1',316,'N'),(25,6254861,'1',304,'N'),(25,6254870,'1',452,'N'),(25,6254888,'1',425,'N'),(25,6254888,'1A',429,'N'),(25,6254900,'1',202,'N'),(25,6254900,'1A',213,'N'),(25,6254918,'1',102,'N'),(25,6254926,'1',103,'N'),(25,6254934,'1',451,'N'),(25,6254942,'1',999,'N'),(25,6254950,'1',207,'N'),(25,6254950,'1A',201,'N'),(25,6254969,'1',234,'N'),(25,6254977,'1',999,'N'),(25,6254985,'1',303,'N'),(25,6254993,'1',103,'N'),(25,6255000,'1',324,'N'),(25,6255019,'1',999,'N'),(25,6255027,'1',203,'N'),(25,6255027,'1A',201,'N'),(25,6255035,'1',103,'N'),(25,6255043,'1',104,'N'),(25,6255060,'1',238,'N'),(25,6255060,'1A',208,'N'),(25,6255078,'1',316,'N'),(25,6255094,'1',103,'N'),(25,6255116,'1',110,'N'),(25,6255124,'1',452,'N'),(25,6255132,'1',208,'N'),(25,6255132,'1A',238,'N'),(25,6255140,'1',308,'N'),(25,6255175,'1',234,'N'),(25,6255183,'1',203,'N'),(25,6255183,'1A',214,'N'),(25,6255191,'1',601,'N'),(25,6255191,'1A',207,'N'),(25,6255205,'1',303,'N'),(25,6255213,'1',3,'N'),(25,6255221,'1',303,'N'),(25,6255248,'1',333,'N'),(25,6255256,'1',103,'N'),(25,6255264,'1',201,'N'),(25,6255264,'1A',207,'N'),(25,6255280,'1',103,'N'),(25,6255302,'1',404,'N'),(25,6255310,'1',207,'N'),(25,6255310,'1A',235,'N'),(25,6255329,'1',316,'N'),(25,6255345,'1',103,'N'),(25,6255353,'1',999,'N'),(25,6255361,'1',201,'N'),(25,6255361,'1A',212,'N'),(25,6255370,'1',5,'N'),(25,6255388,'1',238,'N'),(25,6255388,'1A',208,'N'),(25,6255396,'1',103,'N'),(25,6255400,'1',233,'N'),(25,6255400,'1A',202,'N'),(25,6255418,'1',103,'N'),(25,6255426,'1',211,'N'),(25,6255426,'1A',233,'N'),(25,6255434,'1',999,'N'),(25,6255442,'1',502,'N'),(25,6255450,'1',207,'N'),(25,6255450,'1A',201,'N'),(25,6255469,'1',501,'N'),(25,6255477,'1',999,'N'),(25,6255485,'1',103,'N'),(25,6255493,'1',103,'N'),(25,6255507,'1',302,'N'),(25,6255515,'1',202,'N'),(25,6255515,'1A',203,'N'),(25,6255523,'1',333,'N'),(25,6255531,'1',216,'N'),(25,6255531,'1A',201,'N'),(25,6255540,'1',103,'N'),(25,6255558,'1',103,'N'),(25,6255574,'1',103,'N'),(25,6255582,'1',317,'N'),(25,6255590,'1',216,'N'),(25,6255590,'1A',208,'N'),(25,6255604,'1',317,'N'),(25,6255612,'1',301,'N'),(25,6255620,'1',103,'N'),(25,6255639,'1',233,'N'),(25,6255639,'1A',213,'N'),(25,6255647,'1',104,'N'),(25,6255655,'1',103,'N'),(25,6255663,'1',5,'N'),(25,6255671,'1',207,'N'),(25,6255671,'1A',201,'N'),(25,6255680,'1',303,'N'),(25,6255698,'1',207,'N'),(25,6255698,'1A',201,'N'),(25,6255701,'1',444,'N'),(25,6255710,'1',208,'N'),(25,6255710,'1A',238,'N'),(25,6255728,'1',235,'N'),(25,6255728,'1A',207,'N'),(25,6255736,'1',308,'N'),(25,6255744,'1',103,'N'),(25,6255752,'1',103,'N'),(25,6255760,'1',999,'N'),(25,6255779,'1',201,'N'),(25,6255779,'1A',203,'N'),(25,6255787,'1',203,'N'),(25,6255787,'1A',202,'N'),(25,6255809,'1',102,'N'),(25,6255817,'1',103,'N'),(25,6255825,'1',103,'N'),(25,6255833,'1',319,'N'),(25,6255841,'1',203,'N'),(25,6255841,'1A',214,'N'),(25,6255850,'1',202,'N'),(25,6255850,'1A',238,'N'),(25,6255884,'1',302,'N'),(25,6255892,'1',203,'N'),(25,6255892,'1A',201,'N'),(25,6255906,'1',420,'N'),(25,6255914,'1',501,'N'),(25,6255922,'1',103,'N'),(25,6255930,'1',203,'N'),(25,6255930,'1A',201,'N'),(25,6255949,'1',303,'N'),(25,6255957,'1',340,'N'),(25,6255965,'1',5,'N'),(25,6255973,'1',235,'N'),(25,6255973,'1A',202,'N'),(25,6255981,'1',233,'N'),(25,6255981,'1A',235,'N'),(25,6255990,'1',103,'N'),(25,6256007,'1',207,'N'),(25,6256007,'1A',201,'N'),(25,6256015,'1',319,'N'),(25,6256023,'1',999,'N'),(25,6256031,'1',428,'N'),(25,6256031,'1A',426,'N'),(25,6256040,'1',319,'N'),(25,6256058,'1',233,'N'),(25,6256058,'1A',201,'N'),(25,6256066,'1',999,'N'),(25,6256074,'1',340,'N'),(25,6256082,'1',5,'N'),(25,6256090,'1',207,'N'),(25,6256104,'1',601,'N'),(25,6256104,'1A',238,'N'),(25,6256147,'1',103,'N'),(25,6256163,'1',551,'N'),(25,6256180,'1',235,'N'),(25,6256180,'1A',202,'N'),(25,6256198,'1',103,'N'),(25,6256228,'1',415,'N'),(25,6256236,'1',203,'N'),(25,6256236,'1A',214,'N'),(25,6256244,'1',303,'N'),(25,6256252,'1',201,'N'),(25,6256252,'1A',207,'N'),(25,6256260,'1',103,'N'),(25,6256279,'1',319,'N'),(25,6256287,'1',308,'N'),(25,6256295,'1',999,'N'),(25,6256317,'1',339,'N'),(25,6256325,'1',203,'N'),(25,6256333,'1',207,'N'),(25,6256333,'1A',201,'N'),(25,6256341,'1',108,'N'),(25,6256350,'1',308,'N'),(25,6256368,'1',5,'N'),(25,6256376,'1',103,'N'),(25,6256384,'1',316,'N'),(25,6256392,'1',9,'N'),(25,6256414,'1',201,'N'),(25,6256414,'1A',212,'N'),(25,6256422,'1',426,'N'),(25,6256422,'1A',421,'N'),(25,6256430,'1',103,'N'),(25,6256449,'1',301,'N'),(25,6256457,'1',999,'N'),(25,6256465,'1',203,'N'),(25,6256465,'1A',202,'N'),(25,6256473,'1',201,'N'),(25,6256473,'1A',211,'N'),(25,6256481,'1',103,'N'),(25,6256490,'1',327,'N'),(25,6256503,'1',501,'N'),(25,6256520,'1',109,'N'),(25,6256546,'1',103,'N'),(25,6256554,'1',207,'N'),(25,6256554,'1A',213,'N'),(25,6256562,'1',302,'N'),(25,6256570,'1',103,'N'),(25,6256589,'1',109,'N'),(25,6256597,'1',317,'N'),(25,6256619,'1',301,'N'),(25,6256627,'1',5,'N'),(25,6256635,'1',203,'N'),(25,6256635,'1A',202,'N'),(25,6256643,'1',301,'N'),(25,6256651,'1',5,'N'),(25,6256678,'1',201,'N'),(25,6256678,'1A',211,'N'),(25,6256686,'1',551,'N'),(25,6256694,'1',302,'N'),(25,6256708,'1',235,'N'),(25,6256708,'1A',208,'N'),(25,6256716,'1',208,'N'),(25,6256716,'1A',203,'N'),(25,6256724,'1',103,'N'),(25,6256732,'1',103,'N'),(25,6256740,'1',104,'N'),(25,6256759,'1',207,'N'),(25,6256759,'1A',201,'N'),(25,6256767,'1',102,'N'),(25,6256783,'1',601,'N'),(25,6256783,'1A',203,'N'),(25,6256791,'1',108,'N'),(25,6256805,'1',327,'N'),(25,6256813,'1',415,'N'),(25,6256821,'1',220,'N'),(25,6256821,'1A',203,'N'),(25,6256830,'1',102,'N'),(25,6256848,'1',207,'N'),(25,6256848,'1A',208,'N'),(25,6256856,'1',452,'N'),(25,6256864,'1',5,'N'),(25,6256872,'1',104,'N'),(25,6256899,'1',225,'N'),(25,6256902,'1',319,'N'),(25,6256937,'1',319,'N'),(25,6256945,'1',203,'N'),(25,6256945,'1A',202,'N'),(25,6256953,'1',108,'N'),(25,6256961,'1',453,'N'),(25,6256970,'1',319,'N'),(25,6256996,'1',202,'N'),(25,6256996,'1A',235,'N'),(25,6257003,'1',415,'N'),(25,6257020,'1',201,'N'),(25,6257020,'1A',212,'N'),(25,6257046,'1',201,'N'),(25,6257046,'1A',207,'N'),(25,6257054,'1',303,'N'),(25,6257062,'1',103,'N'),(25,6257070,'1',601,'N'),(25,6257070,'1A',203,'N'),(25,6257089,'1',201,'N'),(25,6257089,'1A',212,'N'),(25,6257097,'1',316,'N'),(25,6257100,'1',420,'N'),(25,6257119,'1',103,'N'),(25,6257127,'1',324,'N'),(25,6257135,'1',316,'N'),(25,6257143,'1',211,'N'),(25,6257143,'1A',216,'N'),(25,6257151,'1',653,'N'),(25,6257151,'1A',655,'N'),(25,6257178,'1',316,'N'),(25,6257194,'1',203,'N'),(25,6257194,'1A',235,'N'),(25,6257208,'1',203,'N'),(25,6257208,'1A',214,'N'),(25,6257224,'1',103,'N'),(25,6257232,'1',235,'N'),(25,6257259,'1',103,'N'),(25,6257267,'1',420,'N'),(25,6257275,'1',207,'N'),(25,6257275,'1A',201,'N'),(25,6257305,'1',214,'N'),(25,6257305,'1A',212,'N'),(25,6257313,'1',444,'N'),(25,6257321,'1',327,'N'),(25,6257330,'1',319,'N'),(25,6257348,'1',319,'N'),(25,6257356,'1',103,'N'),(25,6257364,'1',207,'N'),(25,6257364,'1A',201,'N'),(25,6257372,'1',102,'N'),(25,6257380,'1',425,'N'),(25,6257380,'1A',424,'N'),(25,6257399,'1',502,'N'),(25,6257402,'1',102,'N'),(25,6257410,'1',103,'N'),(25,6257429,'1',207,'N'),(25,6257429,'1A',201,'N'),(25,6257437,'1',654,'N'),(25,6257445,'1',303,'N'),(25,6257453,'1',216,'N'),(25,6257453,'1A',211,'N'),(25,6257461,'1',415,'N'),(25,6257470,'1',551,'N'),(25,6257496,'1',103,'N'),(25,6257500,'1',501,'N'),(25,6257518,'1',2,'N'),(25,6257534,'1',216,'N'),(25,6257534,'1A',211,'N'),(25,6257542,'1',104,'N'),(25,6257550,'1',104,'N'),(25,6257569,'1',420,'N'),(25,6257577,'1',103,'N'),(25,6257585,'1',5,'N'),(25,6257593,'1',201,'N'),(25,6257593,'1A',212,'N'),(25,6257607,'1',9,'N'),(25,6257615,'1',301,'N'),(25,6257623,'1',224,'N'),(25,6257631,'1',103,'N'),(25,6257640,'1',5,'N'),(25,6257658,'1',316,'N'),(25,6257666,'1',203,'N'),(25,6257666,'1A',214,'N'),(25,6257674,'1',999,'N'),(25,6257682,'1',453,'N'),(25,6257704,'1',340,'N'),(25,6257712,'1',203,'N'),(25,6257712,'1A',201,'N'),(25,6257720,'1',102,'N'),(25,6257739,'1',202,'N'),(25,6257747,'1',203,'N'),(25,6257747,'1A',220,'N'),(25,6257763,'1',103,'N'),(25,6257771,'1',233,'N'),(25,6257771,'1A',202,'N'),(25,6257798,'1',207,'N'),(25,6257801,'1',201,'N'),(25,6257801,'1A',215,'N'),(25,6257810,'1',201,'N'),(25,6257810,'1A',202,'N'),(25,6257828,'1',3,'N'),(25,6257836,'1',340,'N'),(25,6257844,'1',301,'N'),(25,6257852,'1',208,'N'),(25,6257860,'1',203,'N'),(25,6257860,'1A',235,'N'),(25,6257879,'1',318,'N'),(25,6257887,'1',303,'N'),(25,6257895,'1',332,'N'),(25,6257917,'1',104,'N'),(25,6257925,'1',103,'N'),(25,6257933,'1',999,'N'),(25,6257941,'1',316,'N'),(25,6257950,'1',211,'N'),(25,6257976,'1',652,'N'),(25,6257976,'1A',655,'N'),(25,6257992,'1',415,'N'),(25,6258000,'1',999,'N'),(25,6258018,'1',201,'N'),(25,6258018,'1A',233,'N'),(25,6258026,'1',207,'N'),(25,6258026,'1A',201,'N'),(25,6258034,'1',551,'N'),(25,6258042,'1',316,'N'),(25,6258069,'1',101,'N'),(25,6258077,'1',999,'N'),(25,6258085,'1',216,'N'),(25,6258085,'1A',201,'N'),(25,6258093,'1',103,'N'),(25,6258107,'1',339,'N'),(25,6258115,'1',551,'N'),(25,6258123,'1',207,'N'),(25,6258123,'1A',201,'N'),(25,6258131,'1',103,'N'),(25,6258140,'1',308,'N'),(25,6258166,'1',203,'N'),(25,6258166,'1A',220,'N'),(25,6258174,'1',215,'N'),(25,6258182,'1',104,'N'),(25,6258190,'1',109,'N'),(25,6258204,'1',103,'N'),(25,6258212,'1',654,'N'),(25,6258220,'1',331,'N'),(25,6258239,'1',103,'N'),(25,6258247,'1',103,'N'),(25,6258255,'1',652,'N'),(25,6258255,'1A',207,'N'),(25,6258263,'1',238,'N'),(25,6258263,'1A',233,'N'),(25,6258271,'1',5,'N'),(25,6258280,'1',340,'N'),(25,6258298,'1',201,'N'),(25,6258298,'1A',214,'N'),(25,6258301,'1',207,'N'),(25,6258301,'1A',201,'N'),(25,6258310,'1',420,'N'),(25,6258328,'1',336,'N'),(25,6258336,'1',207,'N'),(25,6258336,'1A',208,'N'),(25,6258344,'1',303,'N'),(25,6258352,'1',225,'N'),(25,6258360,'1',999,'N'),(25,6258379,'1',103,'N'),(25,6258387,'1',201,'N'),(25,6258387,'1A',214,'N'),(25,6258395,'1',235,'N'),(25,6258395,'1A',213,'N'),(25,6258409,'1',207,'N'),(25,6258409,'1A',201,'N'),(25,6258417,'1',103,'N'),(25,6258433,'1',5,'N'),(25,6258450,'1',327,'N'),(25,6258468,'1',302,'N'),(25,6258476,'1',216,'N'),(25,6258476,'1A',215,'N'),(25,6258484,'1',5,'N'),(25,6258492,'1',211,'N'),(25,6258492,'1A',212,'N'),(25,6258506,'1',103,'N'),(25,6258514,'1',303,'N'),(25,6258530,'1',203,'N'),(25,6258530,'1A',214,'N'),(25,6258549,'1',103,'N'),(25,6258557,'1',999,'N'),(25,6258565,'1',103,'N'),(25,6258573,'1',222,'N'),(25,6258581,'1',301,'N'),(25,6258590,'1',224,'N'),(25,6258603,'1',339,'N'),(25,6258620,'1',340,'N'),(25,6258638,'1',303,'N'),(25,6258654,'1',207,'N'),(25,6258654,'1A',212,'N'),(25,6258662,'1',216,'N'),(25,6258662,'1A',220,'N'),(25,6258670,'1',304,'N'),(25,6258689,'1',340,'N'),(25,6258697,'1',3,'N'),(25,6258719,'1',452,'N'),(25,6258735,'1',340,'N'),(25,6258743,'1',103,'N'),(25,6258751,'1',211,'N'),(25,6258751,'1A',212,'N'),(25,6258760,'1',110,'N'),(25,6258778,'1',103,'N'),(25,6258786,'1',303,'N'),(25,6258794,'1',424,'N'),(25,6258794,'1A',425,'N'),(25,6258808,'1',103,'N'),(25,6258816,'1',999,'N'),(25,6258824,'1',502,'N'),(25,6258832,'1',212,'N'),(25,6258832,'1A',214,'N'),(25,6258840,'1',211,'N'),(25,6258840,'1A',233,'N'),(25,6258859,'1',207,'N'),(25,6258859,'1A',203,'N'),(25,6258867,'1',225,'N'),(25,6258875,'1',444,'N'),(25,6258883,'1',316,'N'),(25,6258913,'1',340,'N'),(25,6258921,'1',207,'N'),(25,6258921,'1A',211,'N'),(25,6258930,'1',203,'N'),(25,6258948,'1',103,'N'),(25,6258956,'1',110,'N'),(25,6258964,'1',444,'N'),(25,6258972,'1',404,'N'),(25,6258980,'1',601,'N'),(25,6258980,'1A',203,'N'),(25,6258999,'1',238,'N'),(25,6258999,'1A',601,'N'),(25,6259014,'1',104,'N'),(25,6259049,'1',108,'N'),(25,6259057,'1',103,'N'),(25,6259073,'1',211,'N'),(25,6259073,'1A',216,'N'),(25,6259103,'1',203,'N'),(25,6259103,'1A',233,'N'),(25,6259111,'1',444,'N'),(25,6259120,'1',211,'N'),(25,6259138,'1',103,'N'),(25,6259146,'1',207,'N'),(25,6259146,'1A',208,'N'),(25,6259154,'1',233,'N'),(25,6259154,'1A',220,'N'),(25,6259162,'1',340,'N'),(25,6259189,'1',420,'N'),(25,6259197,'1',601,'N'),(25,6259200,'1',103,'N'),(25,6259219,'1',453,'N'),(25,6259227,'1',208,'N'),(25,6259227,'1A',233,'N'),(25,6259235,'1',201,'N'),(25,6259235,'1A',212,'N'),(25,6259243,'1',103,'N'),(25,6259260,'1',103,'N'),(25,6259278,'1',652,'N'),(25,6259278,'1A',655,'N'),(25,6259294,'1',103,'N'),(25,6259316,'1',5,'N'),(25,6259324,'1',429,'N'),(25,6259324,'1A',425,'N'),(25,6259332,'1',201,'N'),(25,6259340,'1',103,'N'),(25,6259359,'1',5,'N'),(25,6259367,'1',501,'N'),(25,6259375,'1',316,'N'),(25,6259383,'1',235,'N'),(25,6259383,'1A',220,'N'),(25,6259391,'1',220,'N'),(25,6259391,'1A',208,'N'),(25,6259421,'1',103,'N'),(25,6259430,'1',103,'N'),(25,6259448,'1',503,'N'),(25,6259472,'1',302,'N'),(25,6259480,'1',425,'N'),(25,6259499,'1',211,'N'),(25,6259499,'1A',233,'N'),(25,6259529,'1',233,'N'),(25,6259529,'1A',216,'N'),(25,6259537,'1',429,'N'),(25,6259537,'1A',425,'N'),(25,6259545,'1',331,'N'),(25,6259553,'1',238,'N'),(25,6259553,'1A',208,'N'),(25,6259570,'1',238,'N'),(25,6259570,'1A',208,'N'),(25,6259596,'1',426,'N'),(25,6259596,'1A',425,'N'),(25,6259600,'1',238,'N'),(25,6259618,'1',233,'N'),(25,6259618,'1A',653,'N'),(25,6259626,'1',453,'N'),(25,6259634,'1',333,'N'),(25,6259650,'1',601,'N'),(25,6259650,'1A',238,'N'),(25,6259669,'1',207,'N'),(25,6259669,'1A',215,'N'),(25,6259677,'1',319,'N'),(25,6259685,'1',103,'N'),(25,6259707,'1',203,'N'),(25,6259707,'1A',235,'N'),(25,6259715,'1',103,'N'),(25,6259723,'1',103,'N'),(25,6259740,'1',429,'N'),(25,6259740,'1A',425,'N'),(25,6259758,'1',420,'N'),(25,6259766,'1',332,'N'),(25,6259774,'1',103,'N'),(25,6259782,'1',332,'N'),(25,6259790,'1',5,'N'),(25,6259804,'1',425,'N'),(25,6259804,'1A',429,'N'),(25,6259812,'1',101,'N'),(25,6259820,'1',104,'N'),(25,6259839,'1',103,'N'),(25,6259847,'1',338,'N'),(25,6259863,'1',502,'N'),(25,6259871,'1',238,'N'),(25,6259871,'1A',235,'N'),(25,6259898,'1',103,'N'),(25,6259901,'1',220,'N'),(25,6259901,'1A',233,'N'),(25,6259910,'1',103,'N'),(25,6259936,'1',104,'N'),(25,6259944,'1',415,'N'),(25,6259979,'1',104,'N'),(25,6259987,'1',551,'N'),(25,6259995,'1',211,'N'),(25,6259995,'1A',601,'N'),(25,6260004,'1',551,'N'),(25,6260012,'1',655,'N'),(25,6260012,'1A',652,'N'),(25,6260020,'1',9,'N'),(25,6260055,'1',109,'N'),(25,6260063,'1',108,'N'),(25,6260071,'1',424,'N'),(25,6260071,'1A',425,'N'),(25,6260080,'1',319,'N'),(25,6260098,'1',216,'N'),(25,6260098,'1A',211,'N'),(25,6260101,'1',425,'N'),(25,6260101,'1A',423,'N'),(25,6260110,'1',238,'N'),(25,6260110,'1A',652,'N'),(25,6260136,'1',601,'N'),(25,6260136,'1A',235,'N'),(25,6260152,'1',551,'N'),(25,6260160,'1',450,'N'),(25,6260187,'1',999,'N'),(25,6260195,'1',238,'N'),(25,6260195,'1A',208,'N'),(25,6260209,'1',201,'N'),(25,6260209,'1A',212,'N'),(25,6260225,'1',655,'N'),(25,6260225,'1A',208,'N'),(25,6260233,'1',203,'N'),(25,6260233,'1A',233,'N'),(25,6260241,'1',103,'N'),(25,6260250,'1',201,'N'),(25,6260250,'1A',212,'N'),(25,6260268,'1',211,'N'),(25,6260268,'1A',235,'N'),(25,6260276,'1',101,'N'),(25,6260284,'1',652,'N'),(25,6260292,'1',203,'N'),(25,6260292,'1A',201,'N'),(25,6260306,'1',303,'N'),(25,6260322,'1',316,'N'),(25,6260330,'1',203,'N'),(25,6260330,'1A',214,'N'),(25,6260349,'1',9,'N'),(25,6260357,'1',319,'N'),(25,6260365,'1',216,'N'),(25,6260373,'1',238,'N'),(25,6260373,'1A',208,'N'),(25,6260381,'1',203,'N'),(25,6260390,'1',324,'N'),(25,6260403,'1',9,'N'),(25,6260411,'1',108,'N'),(25,6260438,'1',302,'N'),(25,6260446,'1',103,'N'),(25,6260454,'1',207,'N'),(25,6260454,'1A',212,'N'),(25,6260462,'1',317,'N'),(25,6260470,'1',103,'N'),(25,6260489,'1',327,'N'),(25,6260497,'1',103,'N'),(25,6260500,'1',103,'N'),(25,6260535,'1',212,'N'),(25,6260535,'1A',201,'N'),(25,6260543,'1',234,'N'),(25,6260560,'1',601,'N'),(25,6260560,'1A',653,'N'),(25,6260578,'1',502,'N'),(25,6260586,'1',104,'N'),(25,6260594,'1',103,'N'),(25,6260608,'1',317,'N'),(25,6260616,'1',301,'N'),(25,6260624,'1',450,'N'),(25,6260632,'1',317,'N'),(25,6260640,'1',103,'N'),(25,6260659,'1',103,'N'),(25,6260667,'1',103,'N'),(25,6260691,'1',103,'N'),(25,6260705,'1',103,'N'),(25,6260713,'1',102,'N'),(25,6260721,'1',213,'N'),(25,6260721,'1A',235,'N'),(25,6260730,'1',103,'N'),(25,6260748,'1',103,'N'),(25,6260756,'1',316,'N'),(25,6260764,'1',654,'N'),(25,6260772,'1',302,'N'),(25,6260780,'1',225,'N'),(25,6260799,'1',303,'N'),(25,6260802,'1',335,'N'),(25,6260810,'1',207,'N'),(25,6260810,'1A',211,'N'),(25,6260829,'1',103,'N'),(25,6260837,'1',304,'N'),(25,6260845,'1',551,'N'),(25,6260861,'1',453,'N'),(25,6260888,'1',5,'N'),(25,6260896,'1',104,'N'),(25,6260900,'1',201,'N'),(25,6260918,'1',201,'N'),(25,6260926,'1',425,'N'),(25,6260926,'1A',427,'N'),(25,6260934,'1',104,'N'),(25,6260942,'1',999,'N'),(25,6260950,'1',5,'N'),(25,6260977,'1',203,'N'),(25,6260977,'1A',214,'N'),(25,6260985,'1',207,'N'),(25,6260985,'1A',201,'N'),(25,6260993,'1',425,'N'),(25,6260993,'1A',429,'N'),(25,6261000,'1',201,'N'),(25,6261000,'1A',207,'N'),(25,6261019,'1',103,'N'),(25,6261027,'1',320,'N'),(25,6261035,'1',235,'N'),(25,6261035,'1A',655,'N'),(25,6261043,'1',234,'N'),(25,6261051,'1',208,'N'),(25,6261051,'1A',238,'N'),(25,6261060,'1',319,'N'),(25,6261078,'1',103,'N'),(25,6261086,'1',317,'N'),(25,6261094,'1',415,'N'),(25,6261108,'1',103,'N'),(25,6261116,'1',203,'N'),(25,6261116,'1A',235,'N'),(25,6261124,'1',301,'N'),(25,6261132,'1',324,'N'),(25,6261140,'1',208,'N'),(25,6261140,'1A',238,'N'),(25,6261159,'1',220,'N'),(25,6261159,'1A',208,'N'),(25,6261167,'1',103,'N'),(25,6261183,'1',201,'N'),(25,6261183,'1A',212,'N'),(25,6261205,'1',238,'N'),(25,6261205,'1A',215,'N'),(25,6261213,'1',207,'N'),(25,6261213,'1A',216,'N'),(25,6261221,'1',203,'N'),(25,6261221,'1A',652,'N'),(25,6261248,'1',101,'N'),(25,6261256,'1',317,'N'),(25,6261264,'1',208,'N'),(25,6261264,'1A',238,'N'),(25,6261272,'1',225,'N'),(25,6261280,'1',201,'N'),(25,6261280,'1A',211,'N'),(25,6261299,'1',102,'N'),(25,6261310,'1',104,'N'),(25,6261329,'1',453,'N'),(25,6261337,'1',216,'N'),(25,6261337,'1A',211,'N'),(25,6261345,'1',104,'N'),(25,6261353,'1',201,'N'),(25,6261353,'1A',215,'N'),(25,6261370,'1',337,'N'),(25,6261388,'1',404,'N'),(25,6261396,'1',317,'N'),(25,6261400,'1',317,'N'),(25,6261418,'1',501,'N'),(25,6261426,'1',203,'N'),(25,6261426,'1A',214,'N'),(25,6261434,'1',201,'N'),(25,6261434,'1A',207,'N'),(25,6261450,'1',318,'N'),(25,6261469,'1',326,'N'),(25,6261477,'1',415,'N'),(25,6261485,'1',103,'N'),(25,6261507,'1',103,'N'),(25,6261523,'1',318,'N'),(25,6261531,'1',102,'N'),(25,6261540,'1',203,'N'),(25,6261540,'1A',202,'N'),(25,6261566,'1',109,'N'),(25,6261574,'1',327,'N'),(25,6261582,'1',336,'N'),(25,6261590,'1',104,'N'),(25,6261604,'1',103,'N'),(25,6261612,'1',103,'N'),(25,6261620,'1',302,'N'),(25,6261647,'1',423,'N'),(25,6261647,'1A',428,'N'),(25,6261655,'1',324,'N'),(25,6261663,'1',338,'N'),(25,6261671,'1',551,'N'),(25,6261680,'1',238,'N'),(25,6261680,'1A',201,'N'),(25,6261698,'1',308,'N'),(25,6261701,'1',304,'N'),(25,6261728,'1',337,'N'),(25,6261736,'1',202,'N'),(25,6261736,'1A',653,'N'),(25,6261744,'1',207,'N'),(25,6261744,'1A',233,'N'),(25,6261752,'1',238,'N'),(25,6261752,'1A',208,'N'),(25,6261760,'1',999,'N'),(25,6261779,'1',653,'N'),(25,6261787,'1',238,'N'),(25,6261787,'1A',652,'N'),(25,6261795,'1',103,'N'),(25,6261809,'1',5,'N'),(25,6261817,'1',9,'N'),(25,6261825,'1',5,'N'),(25,6261850,'1',319,'N'),(25,6261868,'1',203,'N'),(25,6261868,'1A',233,'N'),(25,6261876,'1',104,'N'),(25,6261884,'1',235,'N'),(25,6261884,'1A',653,'N'),(25,6261892,'1',444,'N'),(25,6261906,'1',203,'N'),(25,6261906,'1A',235,'N'),(25,6261914,'1',301,'N'),(25,6261922,'1',205,'N'),(25,6261930,'1',103,'N'),(25,6261957,'1',108,'N'),(25,6261965,'1',104,'N'),(25,6261981,'1',207,'N'),(25,6261981,'1A',235,'N'),(25,6262007,'1',203,'N'),(25,6262007,'1A',213,'N'),(25,6262023,'1',336,'N'),(25,6262031,'1',103,'N'),(25,6262040,'1',338,'N'),(25,6262058,'1',103,'N'),(25,6262074,'1',317,'N'),(25,6262082,'1',332,'N'),(25,6262090,'1',103,'N'),(25,6262104,'1',201,'N'),(25,6262112,'1',501,'N'),(25,6262120,'1',213,'N'),(25,6262120,'1A',212,'N'),(25,6262139,'1',327,'N'),(25,6262147,'1',208,'N'),(25,6262147,'1A',238,'N'),(25,6262155,'1',444,'N'),(25,6262163,'1',655,'N'),(25,6262163,'1A',208,'N'),(25,6262171,'1',103,'N'),(25,6262180,'1',319,'N'),(25,6262198,'1',207,'N'),(25,6262198,'1A',655,'N'),(25,6262201,'1',304,'N'),(25,6262228,'1',104,'N'),(25,6262236,'1',415,'N'),(25,6262244,'1',103,'N'),(25,6262252,'1',233,'N'),(25,6262252,'1A',201,'N'),(25,6262260,'1',420,'N'),(25,6262279,'1',317,'N'),(25,6262287,'1',328,'N'),(25,6262295,'1',201,'N'),(25,6262295,'1A',212,'N'),(25,6262309,'1',328,'N'),(25,6262317,'1',303,'N'),(25,6262325,'1',104,'N'),(25,6262333,'1',207,'N'),(25,6262333,'1A',233,'N'),(25,6262341,'1',303,'N'),(25,6262350,'1',5,'N'),(25,6262368,'1',333,'N'),(25,6262384,'1',303,'N'),(25,6262392,'1',551,'N'),(25,6262406,'1',302,'N'),(25,6262414,'1',303,'N'),(25,6262422,'1',444,'N'),(25,6262430,'1',999,'N'),(25,6262449,'1',404,'N'),(25,6262457,'1',103,'N'),(25,6262465,'1',103,'N'),(25,6262481,'1',201,'N'),(25,6262481,'1A',233,'N'),(25,6262490,'1',216,'N'),(25,6262490,'1A',215,'N'),(25,6262520,'1',201,'N'),(25,6262520,'1A',601,'N'),(25,6262538,'1',601,'N'),(25,6262538,'1A',216,'N'),(25,6262546,'1',211,'N'),(25,6262546,'1A',207,'N'),(25,6262554,'1',331,'N'),(25,6262562,'1',214,'N'),(25,6262562,'1A',233,'N'),(25,6262570,'1',103,'N'),(25,6262589,'1',220,'N'),(25,6262597,'1',332,'N'),(25,6262619,'1',301,'N'),(25,6262627,'1',502,'N'),(25,6262643,'1',203,'N'),(25,6262643,'1A',601,'N'),(25,6262651,'1',404,'N'),(25,6262660,'1',301,'N'),(25,6262678,'1',5,'N'),(25,6262686,'1',333,'N'),(25,6262694,'1',102,'N'),(25,6262708,'1',326,'N'),(25,6262716,'1',501,'N'),(25,6262724,'1',340,'N'),(25,6262732,'1',216,'N'),(25,6262732,'1A',212,'N'),(25,6262740,'1',208,'N'),(25,6262767,'1',103,'N'),(25,6262775,'1',103,'N'),(25,6262783,'1',103,'N'),(25,6262791,'1',103,'N'),(25,6262805,'1',501,'N'),(25,6262821,'1',103,'N'),(25,6262830,'1',108,'N'),(25,6262856,'1',207,'N'),(25,6262856,'1A',211,'N'),(25,6262864,'1',238,'N'),(25,6262864,'1A',208,'N'),(25,6262872,'1',308,'N'),(25,6262880,'1',102,'N'),(25,6262899,'1',103,'N'),(25,6262910,'1',203,'N'),(25,6262910,'1A',214,'N'),(25,6262929,'1',333,'N'),(25,6262937,'1',451,'N'),(25,6262945,'1',211,'N'),(25,6262945,'1A',201,'N'),(25,6262953,'1',220,'N'),(25,6262953,'1A',207,'N'),(25,6262961,'1',103,'N'),(25,6262970,'1',103,'N'),(25,6262988,'1',415,'N'),(25,6262996,'1',551,'N'),(25,6263003,'1',102,'N'),(25,6263011,'1',5,'N'),(25,6263020,'1',104,'N'),(25,6263038,'1',309,'N'),(25,6263046,'1',103,'N'),(25,6263054,'1',201,'N'),(25,6263054,'1A',212,'N'),(25,6263062,'1',225,'N'),(25,6263070,'1',220,'N'),(25,6263070,'1A',238,'N'),(25,6263089,'1',211,'N'),(25,6263089,'1A',207,'N'),(25,6263097,'1',203,'N'),(25,6263097,'1A',214,'N'),(25,6263100,'1',103,'N'),(25,6263119,'1',110,'N'),(25,6263127,'1',310,'N'),(25,6263135,'1',110,'N'),(25,6263151,'1',551,'N'),(25,6263160,'1',999,'N'),(25,6263178,'1',9,'N'),(25,6263186,'1',103,'N'),(25,6263194,'1',103,'N'),(25,6263208,'1',501,'N'),(25,6263216,'1',103,'N'),(25,6263224,'1',207,'N'),(25,6263224,'1A',201,'N'),(25,6263232,'1',103,'N'),(25,6263240,'1',339,'N'),(25,6263267,'1',425,'N'),(25,6263267,'1A',429,'N'),(25,6263275,'1',340,'N'),(25,6263283,'1',302,'N'),(25,6263313,'1',999,'N'),(25,6263321,'1',5,'N'),(25,6263330,'1',233,'N'),(25,6263330,'1A',211,'N'),(25,6263348,'1',551,'N'),(25,6263356,'1',103,'N'),(25,6263372,'1',103,'N'),(25,6263380,'1',319,'N'),(25,6263399,'1',103,'N'),(25,6263402,'1',302,'N'),(25,6263410,'1',303,'N'),(25,6263437,'1',5,'N'),(25,6263445,'1',328,'N'),(25,6263461,'1',551,'N'),(25,6263470,'1',335,'N'),(25,6263488,'1',201,'N'),(25,6263488,'1A',213,'N'),(25,6263496,'1',103,'N'),(25,6263518,'1',201,'N'),(25,6263518,'1A',203,'N'),(25,6263526,'1',201,'N'),(25,6263526,'1A',601,'N'),(25,6263534,'1',104,'N'),(25,6263542,'1',601,'N'),(25,6263550,'1',317,'N'),(25,6263569,'1',420,'N'),(25,6263577,'1',207,'N'),(25,6263577,'1A',201,'N'),(25,6263585,'1',103,'N'),(25,6263593,'1',5,'N'),(25,6263607,'1',5,'N'),(25,6263615,'1',328,'N'),(25,6263623,'1',3,'N'),(25,6263631,'1',103,'N'),(25,6263658,'1',404,'N'),(25,6263666,'1',201,'N'),(25,6263666,'1A',207,'N'),(25,6263674,'1',652,'N'),(25,6263674,'1A',655,'N'),(25,6263682,'1',103,'N'),(25,6263690,'1',5,'N'),(25,6263704,'1',104,'N'),(25,6263712,'1',103,'N'),(25,6263720,'1',233,'N'),(25,6263720,'1A',213,'N'),(25,6263747,'1',208,'N'),(25,6263747,'1A',235,'N'),(25,6263755,'1',224,'N'),(25,6263763,'1',208,'N'),(25,6263780,'1',340,'N'),(25,6263801,'1',654,'N'),(25,6263810,'1',109,'N'),(25,6263828,'1',655,'N'),(25,6263828,'1A',653,'N'),(25,6263836,'1',103,'N'),(25,6263844,'1',103,'N'),(25,6263852,'1',302,'N'),(25,6263860,'1',404,'N'),(25,6263879,'1',220,'N'),(25,6263879,'1A',214,'N'),(25,6263887,'1',551,'N'),(25,6263895,'1',201,'N'),(25,6263895,'1A',211,'N'),(25,6263909,'1',103,'N'),(25,6263925,'1',220,'N'),(25,6263925,'1A',235,'N'),(25,6263933,'1',9,'N'),(25,6263941,'1',103,'N'),(25,6263950,'1',450,'N'),(25,6263968,'1',324,'N'),(25,6263976,'1',103,'N'),(25,6263992,'1',103,'N'),(25,6264000,'1',333,'N'),(25,6264026,'1',302,'N'),(25,6264034,'1',103,'N'),(25,6264050,'1',340,'N'),(25,6264069,'1',601,'N'),(25,6264077,'1',235,'N'),(25,6264077,'1A',213,'N'),(25,6264085,'1',303,'N'),(25,6264107,'1',999,'N'),(25,6264115,'1',201,'N'),(25,6264115,'1A',215,'N'),(25,6264123,'1',601,'N'),(25,6264123,'1A',203,'N'),(25,6264131,'1',601,'N'),(25,6264131,'1A',203,'N'),(25,6264140,'1',453,'N'),(25,6264158,'1',201,'N'),(25,6264158,'1A',207,'N'),(25,6264166,'1',103,'N'),(25,6264174,'1',303,'N'),(25,6264182,'1',340,'N'),(25,6264190,'1',110,'N'),(25,6264204,'1',103,'N'),(25,6264212,'1',212,'N'),(25,6264212,'1A',601,'N'),(25,6264220,'1',324,'N'),(25,6264239,'1',201,'N'),(25,6264239,'1A',601,'N'),(25,6264247,'1',304,'N'),(25,6264255,'1',319,'N'),(25,6264271,'1',415,'N'),(25,6264298,'1',213,'N'),(25,6264298,'1A',211,'N'),(25,6264301,'1',303,'N'),(25,6264328,'1',426,'N'),(25,6264328,'1A',423,'N'),(25,6264336,'1',102,'N'),(25,6264344,'1',501,'N'),(25,6264360,'1',110,'N'),(25,6264379,'1',103,'N'),(25,6264387,'1',211,'N'),(25,6264387,'1A',207,'N'),(25,6264395,'1',320,'N'),(25,6264409,'1',104,'N'),(25,6264425,'1',452,'N'),(25,6264433,'1',5,'N'),(25,6264450,'1',340,'N'),(25,6264468,'1',444,'N'),(25,6264476,'1',103,'N'),(25,6264492,'1',319,'N'),(25,6264506,'1',102,'N'),(25,6264514,'1',110,'N'),(25,6264522,'1',208,'N'),(25,6264522,'1A',238,'N'),(25,6264530,'1',301,'N'),(25,6264549,'1',110,'N'),(25,6264557,'1',452,'N'),(25,6264565,'1',211,'N'),(25,6264565,'1A',207,'N'),(25,6264573,'1',340,'N'),(25,6264581,'1',301,'N'),(25,6264590,'1',110,'N'),(25,6264603,'1',104,'N'),(25,6264620,'1',301,'N'),(25,6264638,'1',551,'N'),(25,6264646,'1',108,'N'),(25,6264654,'1',450,'N'),(25,6264670,'1',303,'N'),(25,6264689,'1',201,'N'),(25,6264689,'1A',207,'N'),(25,6264697,'1',450,'N'),(25,6264700,'1',101,'N'),(25,6264719,'1',109,'N'),(25,6264735,'1',235,'N'),(25,6264735,'1A',202,'N'),(25,6264743,'1',5,'N'),(25,6264751,'1',103,'N'),(25,6264778,'1',327,'N'),(25,6264786,'1',319,'N'),(25,6264794,'1',108,'N'),(25,6264808,'1',551,'N'),(25,6264816,'1',203,'N'),(25,6264816,'1A',201,'N'),(25,6264824,'1',201,'N'),(25,6264824,'1A',207,'N'),(25,6264859,'1',103,'N'),(25,6264867,'1',308,'N'),(25,6264875,'1',203,'N'),(25,6264875,'1A',202,'N'),(25,6264883,'1',233,'N'),(25,6264883,'1A',212,'N'),(25,6264905,'1',2,'N'),(25,6264921,'1',201,'N'),(25,6264921,'1A',213,'N'),(25,6264930,'1',103,'N'),(25,6264948,'1',420,'N'),(25,6264956,'1',208,'N'),(25,6264964,'1',207,'N'),(25,6264964,'1A',211,'N'),(25,6264972,'1',303,'N'),(25,6264980,'1',2,'N'),(25,6264999,'1',203,'N'),(25,6264999,'1A',601,'N'),(25,6265022,'1',103,'N'),(25,6265049,'1',238,'N'),(25,6265049,'1A',208,'N'),(25,6265057,'1',304,'N'),(25,6265065,'1',501,'N'),(25,6265081,'1',103,'N'),(25,6265090,'1',415,'N'),(25,6265103,'1',655,'N'),(25,6265111,'1',102,'N'),(25,6265120,'1',207,'N'),(25,6265120,'1A',211,'N'),(25,6265146,'1',303,'N'),(25,6265154,'1',103,'N'),(25,6265162,'1',415,'N'),(25,6265170,'1',303,'N'),(25,6265189,'1',201,'N'),(25,6265197,'1',415,'N'),(25,6265200,'1',207,'N'),(25,6265200,'1A',201,'N'),(25,6265219,'1',211,'N'),(25,6265219,'1A',216,'N'),(25,6265227,'1',103,'N'),(25,6265235,'1',220,'N'),(25,6265235,'1A',203,'N'),(25,6265243,'1',451,'N'),(25,6265251,'1',336,'N'),(25,6265260,'1',103,'N'),(25,6265278,'1',108,'N'),(25,6265286,'1',335,'N'),(25,6265316,'1',316,'N'),(25,6265324,'1',326,'N'),(25,6265332,'1',319,'N'),(25,6265340,'1',201,'N'),(25,6265340,'1A',202,'N'),(25,6265359,'1',317,'N'),(25,6265367,'1',234,'N'),(25,6265391,'1',103,'N'),(25,6265405,'1',214,'N'),(25,6265405,'1A',212,'N'),(25,6265413,'1',110,'N'),(25,6265421,'1',327,'N'),(25,6265430,'1',103,'N'),(25,6265448,'1',5,'N'),(25,6265456,'1',201,'N'),(25,6265456,'1A',212,'N'),(25,6265464,'1',303,'N'),(25,6265472,'1',103,'N'),(25,6265480,'1',101,'N'),(25,6265499,'1',104,'N'),(25,6265502,'1',103,'N'),(25,6265510,'1',103,'N'),(25,6265529,'1',220,'N'),(25,6265529,'1A',215,'N'),(25,6265537,'1',551,'N'),(25,6265545,'1',203,'N'),(25,6265545,'1A',220,'N'),(25,6265553,'1',303,'N'),(25,6265570,'1',309,'N'),(25,6265588,'1',999,'N'),(25,6265596,'1',104,'N'),(25,6265618,'1',103,'N'),(25,6265626,'1',415,'N'),(25,6265634,'1',415,'N'),(25,6265650,'1',340,'N'),(25,6265669,'1',207,'N'),(25,6265669,'1A',202,'N'),(25,6265677,'1',216,'N'),(25,6265677,'1A',214,'N'),(25,6265685,'1',5,'N'),(25,6265693,'1',104,'N'),(25,6265707,'1',425,'N'),(25,6265707,'1A',429,'N'),(25,6265715,'1',316,'N'),(25,6265723,'1',222,'N'),(25,6265731,'1',207,'N'),(25,6265731,'1A',211,'N'),(25,6265758,'1',201,'N'),(25,6265758,'1A',202,'N'),(25,6265766,'1',5,'N'),(25,6265774,'1',5,'N'),(25,6265790,'1',415,'N'),(25,6265812,'1',101,'N'),(25,6265847,'1',301,'N'),(25,6265855,'1',104,'N'),(25,6265863,'1',212,'N'),(25,6265863,'1A',201,'N'),(25,6265871,'1',201,'N'),(25,6265871,'1A',207,'N'),(25,6265880,'1',235,'N'),(25,6265880,'1A',203,'N'),(25,6265898,'1',316,'N'),(25,6265901,'1',201,'N'),(25,6265901,'1A',207,'N'),(25,6265910,'1',453,'N'),(25,6265928,'1',317,'N'),(25,6265936,'1',220,'N'),(25,6265936,'1A',201,'N'),(25,6265944,'1',103,'N'),(25,6265952,'1',308,'N'),(25,6265960,'1',207,'N'),(25,6265960,'1A',216,'N'),(25,6265979,'1',238,'N'),(25,6265979,'1A',208,'N'),(25,6265987,'1',110,'N'),(25,6266002,'1',103,'N'),(25,6266010,'1',110,'N'),(25,6266029,'1',216,'N'),(25,6266029,'1A',215,'N'),(25,6266037,'1',203,'N'),(25,6266037,'1A',601,'N'),(25,6266045,'1',450,'N'),(25,6266070,'1',238,'N'),(25,6266070,'1A',652,'N'),(25,6266088,'1',220,'N'),(25,6266088,'1A',212,'N'),(25,6266096,'1',654,'N'),(25,6266100,'1',103,'N'),(25,6266118,'1',225,'N'),(25,6266134,'1',103,'N'),(25,6266142,'1',212,'N'),(25,6266142,'1A',213,'N'),(25,6266169,'1',425,'N'),(25,6266169,'1A',429,'N'),(25,6266185,'1',201,'N'),(25,6266207,'1',303,'N'),(25,6266215,'1',101,'N'),(25,6266223,'1',103,'N'),(25,6266240,'1',320,'N'),(25,6266258,'1',104,'N'),(25,6266266,'1',999,'N'),(25,6266274,'1',5,'N'),(25,6266282,'1',304,'N'),(25,6266290,'1',316,'N'),(25,6266304,'1',316,'N'),(25,6266312,'1',212,'N'),(25,6266339,'1',303,'N'),(25,6266347,'1',340,'N'),(25,6266363,'1',201,'N'),(25,6266363,'1A',207,'N'),(25,6266371,'1',201,'N'),(25,6266371,'1A',212,'N'),(25,6266380,'1',319,'N'),(25,6266401,'1',201,'N'),(25,6266401,'1A',216,'N'),(25,6266410,'1',203,'N'),(25,6266410,'1A',201,'N'),(25,6266436,'1',110,'N'),(25,6266452,'1',103,'N'),(25,6266460,'1',103,'N'),(25,6266479,'1',653,'N'),(25,6266479,'1A',655,'N'),(25,6266487,'1',103,'N'),(25,6266495,'1',316,'N'),(25,6266509,'1',108,'N'),(25,6266517,'1',308,'N'),(25,6266525,'1',999,'N'),(25,6266533,'1',453,'N'),(25,6266550,'1',201,'N'),(25,6266550,'1A',208,'N'),(25,6266584,'1',212,'N'),(25,6266584,'1A',201,'N'),(25,6266592,'1',301,'N'),(25,6266606,'1',207,'N'),(25,6266606,'1A',201,'N'),(25,6266614,'1',303,'N'),(25,6266622,'1',103,'N'),(25,6266630,'1',304,'N'),(25,6266649,'1',319,'N'),(25,6266657,'1',329,'N'),(25,6266665,'1',108,'N'),(25,6266673,'1',234,'N'),(25,6266690,'1',207,'N'),(25,6266703,'1',215,'N'),(25,6266703,'1A',213,'N'),(25,6266720,'1',203,'N'),(25,6266720,'1A',601,'N'),(25,6266738,'1',207,'N'),(25,6266738,'1A',201,'N'),(25,6266746,'1',104,'N'),(25,6266754,'1',102,'N'),(25,6266762,'1',999,'N'),(25,6266770,'1',207,'N'),(25,6266770,'1A',201,'N'),(25,6266789,'1',216,'N'),(25,6266789,'1A',653,'N'),(25,6266797,'1',103,'N'),(25,6266800,'1',653,'N'),(25,6266800,'1A',655,'N'),(25,6266819,'1',420,'N'),(25,6266827,'1',453,'N'),(25,6266835,'1',303,'N'),(25,6266851,'1',103,'N'),(25,6266886,'1',999,'N'),(25,6266894,'1',103,'N'),(25,6266908,'1',318,'N'),(25,6266924,'1',429,'N'),(25,6266940,'1',215,'N'),(25,6266959,'1',316,'N'),(25,6266967,'1',333,'N'),(25,6266975,'1',220,'N'),(25,6266975,'1A',203,'N'),(25,6266983,'1',208,'N'),(25,6266983,'1A',655,'N'),(25,6266991,'1',652,'N'),(25,6266991,'1A',655,'N'),(25,6267009,'1',207,'N'),(25,6267009,'1A',201,'N'),(25,6267025,'1',103,'N'),(25,6267033,'1',601,'N'),(25,6267033,'1A',202,'N'),(25,6267041,'1',103,'N'),(25,6267050,'1',103,'N'),(25,6267068,'1',601,'N'),(25,6267068,'1A',201,'N'),(25,6267076,'1',319,'N'),(25,6267084,'1',331,'N'),(25,6267092,'1',319,'N'),(25,6267106,'1',415,'N'),(25,6267114,'1',235,'N'),(25,6267114,'1A',655,'N'),(25,6267122,'1',316,'N'),(25,6267130,'1',429,'N'),(25,6267130,'1A',425,'N'),(25,6267149,'1',415,'N'),(25,6267157,'1',203,'N'),(25,6267157,'1A',220,'N'),(25,6267165,'1',301,'N'),(25,6267181,'1',444,'N'),(25,6267190,'1',999,'N'),(25,6267203,'1',999,'N'),(25,6267211,'1',103,'N'),(25,6267220,'1',104,'N'),(25,6267238,'1',304,'N'),(25,6267246,'1',103,'N'),(25,6267254,'1',316,'N'),(25,6267262,'1',103,'N'),(25,6267270,'1',999,'N'),(25,6267297,'1',235,'N'),(25,6267297,'1A',601,'N'),(25,6267300,'1',317,'N'),(25,6267327,'1',103,'N'),(25,6267343,'1',301,'N'),(25,6267378,'1',999,'N'),(25,6267394,'1',201,'N'),(25,6267394,'1A',207,'N'),(25,6267408,'1',339,'N'),(25,6267416,'1',501,'N'),(25,6267432,'1',303,'N'),(25,6267467,'1',317,'N'),(25,6267475,'1',327,'N'),(25,6267483,'1',103,'N'),(25,6267491,'1',203,'N'),(25,6267491,'1A',214,'N'),(25,6267505,'1',211,'N'),(25,6267505,'1A',216,'N'),(25,6267513,'1',415,'N'),(25,6267521,'1',444,'N'),(25,6267530,'1',601,'N'),(25,6267548,'1',502,'N'),(25,6267556,'1',316,'N'),(25,6267564,'1',203,'N'),(25,6267564,'1A',213,'N'),(25,6267572,'1',103,'N'),(25,6267580,'1',303,'N'),(25,6267610,'1',303,'N'),(25,6267629,'1',601,'N'),(25,6267629,'1A',207,'N'),(25,6267637,'1',319,'N'),(25,6267645,'1',211,'N'),(25,6267645,'1A',216,'N'),(25,6267653,'1',415,'N'),(25,6267661,'1',108,'N'),(25,6267670,'1',103,'N'),(25,6267688,'1',103,'N'),(25,6267696,'1',304,'N'),(25,6267700,'1',101,'N'),(25,6267718,'1',201,'N'),(25,6267726,'1',203,'N'),(25,6267726,'1A',201,'N'),(25,6267734,'1',551,'N'),(25,6267742,'1',103,'N'),(25,6267750,'1',337,'N'),(25,6267769,'1',103,'N'),(25,6267785,'1',501,'N'),(25,6267793,'1',103,'N'),(25,6267807,'1',999,'N'),(25,6267815,'1',420,'N'),(25,6267823,'1',999,'N'),(25,6267831,'1',319,'N'),(25,6267840,'1',502,'N'),(25,6267858,'1',203,'N'),(25,6267858,'1A',214,'N'),(25,6267866,'1',319,'N'),(25,6267874,'1',201,'N'),(25,6267874,'1A',211,'N'),(25,6267882,'1',999,'N'),(25,6267890,'1',420,'N'),(25,6267904,'1',207,'N'),(25,6267912,'1',103,'N'),(25,6267947,'1',502,'N'),(25,6267955,'1',108,'N'),(25,6267963,'1',310,'N'),(25,6267971,'1',102,'N'),(25,6267980,'1',103,'N'),(25,6268005,'1',220,'N'),(25,6268005,'1A',202,'N'),(25,6268013,'1',211,'N'),(25,6268013,'1A',215,'N'),(25,6268021,'1',211,'N'),(25,6268021,'1A',202,'N'),(25,6268030,'1',653,'N'),(25,6268030,'1A',652,'N'),(25,6268048,'1',999,'N'),(25,6268064,'1',216,'N'),(25,6268064,'1A',215,'N'),(25,6268072,'1',318,'N'),(25,6268129,'1',415,'N'),(25,6268137,'1',203,'N'),(25,6268137,'1A',601,'N'),(25,6268145,'1',202,'N'),(25,6268145,'1A',203,'N'),(25,6268153,'1',5,'N'),(25,6268161,'1',201,'N'),(25,6268161,'1A',601,'N'),(25,6268170,'1',201,'N'),(25,6268170,'1A',202,'N'),(25,6268188,'1',220,'N'),(25,6268188,'1A',233,'N'),(25,6268196,'1',303,'N'),(25,6268200,'1',415,'N'),(25,6268218,'1',340,'N'),(25,6268226,'1',444,'N'),(25,6268234,'1',104,'N'),(25,6268242,'1',340,'N'),(25,6268250,'1',108,'N'),(25,6268269,'1',420,'N'),(25,6268285,'1',999,'N'),(25,6268293,'1',103,'N'),(25,6268307,'1',207,'N'),(25,6268307,'1A',655,'N'),(25,6268315,'1',444,'N'),(25,6268323,'1',103,'N'),(25,6268331,'1',601,'N'),(25,6268340,'1',108,'N'),(25,6268358,'1',104,'N'),(25,6268366,'1',424,'N'),(25,6268366,'1A',425,'N'),(25,6268374,'1',108,'N'),(25,6268382,'1',103,'N'),(25,6268390,'1',103,'N'),(25,6268404,'1',103,'N'),(25,6268420,'1',207,'N'),(25,6268439,'1',318,'N'),(25,6268447,'1',303,'N'),(25,6268463,'1',103,'N'),(25,6268480,'1',426,'N'),(25,6268498,'1',404,'N'),(25,6268501,'1',102,'N'),(25,6268510,'1',302,'N'),(25,6268536,'1',999,'N'),(25,6268544,'1',601,'N'),(25,6268544,'1A',201,'N'),(25,6268560,'1',103,'N'),(25,6268579,'1',319,'N'),(25,6268587,'1',103,'N'),(25,6268609,'1',103,'N'),(25,6268617,'1',222,'N'),(25,6268625,'1',103,'N'),(25,6268633,'1',103,'N'),(25,6268641,'1',999,'N'),(25,6268650,'1',110,'N'),(25,6268668,'1',102,'N'),(25,6268676,'1',654,'N'),(25,6268684,'1',326,'N'),(25,6268692,'1',429,'N'),(25,6268692,'1A',423,'N'),(25,6268714,'1',999,'N'),(25,6268722,'1',238,'N'),(25,6268722,'1A',208,'N'),(25,6268730,'1',215,'N'),(25,6268730,'1A',653,'N'),(25,6268749,'1',303,'N'),(25,6268757,'1',304,'N'),(25,6268765,'1',216,'N'),(25,6268773,'1',601,'N'),(25,6268773,'1A',201,'N'),(25,6268803,'1',5,'N'),(25,6268854,'1',303,'N'),(25,6268862,'1',103,'N'),(25,6268870,'1',601,'N'),(25,6268870,'1A',215,'N'),(25,6268889,'1',340,'N'),(25,6268897,'1',103,'N'),(25,6268900,'1',207,'N'),(25,6268900,'1A',201,'N'),(25,6268919,'1',103,'N'),(25,6268927,'1',999,'N'),(25,6268935,'1',104,'N'),(25,6268943,'1',103,'N'),(25,6268960,'1',211,'N'),(25,6268960,'1A',208,'N'),(25,6268986,'1',444,'N'),(25,6268994,'1',212,'N'),(25,6268994,'1A',201,'N'),(25,6269001,'1',103,'N'),(25,6269010,'1',655,'N'),(25,6269010,'1A',235,'N'),(25,6269028,'1',655,'N'),(25,6269028,'1A',652,'N'),(25,6269036,'1',214,'N'),(25,6269036,'1A',212,'N'),(25,6269052,'1',104,'N'),(25,6269079,'1',214,'N'),(25,6269079,'1A',220,'N'),(25,6269087,'1',103,'N'),(25,6269095,'1',201,'N'),(25,6269095,'1A',212,'N'),(25,6269117,'1',316,'N'),(25,6269125,'1',238,'N'),(25,6269125,'1A',208,'N'),(25,6269133,'1',215,'N'),(25,6269150,'1',214,'N'),(25,6269150,'1A',212,'N'),(25,6269168,'1',429,'N'),(25,6269168,'1A',424,'N'),(25,6269176,'1',103,'N'),(25,6269184,'1',5,'N'),(25,6269192,'1',202,'N'),(25,6269192,'1A',233,'N'),(25,6269206,'1',404,'N'),(25,6269214,'1',5,'N'),(25,6269222,'1',302,'N'),(25,6269230,'1',213,'N'),(25,6269230,'1A',214,'N'),(25,6269249,'1',207,'N'),(25,6269249,'1A',201,'N'),(25,6269257,'1',203,'N'),(25,6269257,'1A',214,'N'),(25,6269265,'1',420,'N'),(25,6269273,'1',415,'N'),(25,6269281,'1',444,'N'),(25,6269290,'1',110,'N'),(25,6269303,'1',103,'N'),(25,6269311,'1',420,'N'),(25,6269320,'1',319,'N'),(25,6269338,'1',109,'N'),(25,6269354,'1',340,'N'),(25,6269362,'1',103,'N'),(25,6269370,'1',201,'N'),(25,6269370,'1A',207,'N'),(25,6269389,'1',216,'N'),(25,6269389,'1A',211,'N'),(25,6269397,'1',203,'N'),(25,6269397,'1A',214,'N'),(25,6269400,'1',233,'N'),(25,6269400,'1A',202,'N'),(25,6269427,'1',601,'N'),(25,6269427,'1A',203,'N'),(25,6269435,'1',220,'N'),(25,6269435,'1A',235,'N'),(25,6269443,'1',203,'N'),(25,6269443,'1A',201,'N'),(25,6269451,'1',999,'N'),(25,6269460,'1',415,'N'),(25,6269478,'1',302,'N'),(25,6269486,'1',207,'N'),(25,6269486,'1A',201,'N'),(25,6269494,'1',653,'N'),(25,6269494,'1A',601,'N'),(25,6269508,'1',235,'N'),(25,6269508,'1A',203,'N'),(25,6269516,'1',103,'N'),(25,6269524,'1',303,'N'),(25,6269532,'1',103,'N'),(25,6269540,'1',319,'N'),(25,6269567,'1',415,'N'),(25,6269575,'1',303,'N'),(25,6269583,'1',103,'N'),(25,6269591,'1',108,'N'),(25,6269605,'1',103,'N'),(25,6269613,'1',340,'N'),(25,6269621,'1',207,'N'),(25,6269621,'1A',201,'N'),(25,6269630,'1',101,'N'),(25,6269648,'1',104,'N'),(25,6269656,'1',336,'N'),(25,6269664,'1',238,'N'),(25,6269664,'1A',208,'N'),(25,6269672,'1',201,'N'),(25,6269672,'1A',207,'N'),(25,6269680,'1',103,'N'),(25,6269699,'1',652,'N'),(25,6269699,'1A',655,'N'),(25,6269702,'1',215,'N'),(25,6269702,'1A',216,'N'),(25,6269710,'1',302,'N'),(25,6269729,'1',104,'N'),(25,6269737,'1',103,'N'),(25,6269753,'1',333,'N'),(25,6269761,'1',327,'N'),(25,6269770,'1',104,'N'),(25,6269788,'1',301,'N'),(25,6269796,'1',340,'N'),(25,6269818,'1',108,'N'),(25,6269826,'1',309,'N'),(25,6269834,'1',5,'N'),(25,6269842,'1',201,'N'),(25,6269842,'1A',212,'N'),(25,6269850,'1',999,'N'),(25,6269869,'1',208,'N'),(25,6269869,'1A',238,'N'),(25,6269877,'1',208,'N'),(25,6269893,'1',103,'N'),(25,6269907,'1',453,'N'),(25,6269915,'1',452,'N'),(25,6269923,'1',203,'N'),(25,6269923,'1A',216,'N'),(25,6269940,'1',450,'N'),(25,6269958,'1',444,'N'),(25,6269966,'1',103,'N'),(25,6269974,'1',420,'N'),(25,6269990,'1',203,'N'),(25,6269990,'1A',202,'N'),(25,6270000,'1',319,'N'),(25,6270018,'1',108,'N'),(25,6270026,'1',103,'N'),(25,6270034,'1',103,'N'),(25,6270042,'1',203,'N'),(25,6270042,'1A',201,'N'),(25,6270050,'1',203,'N'),(25,6270050,'1A',202,'N'),(25,6270069,'1',301,'N'),(25,6270077,'1',5,'N'),(25,6270093,'1',999,'N'),(25,6270107,'1',319,'N'),(25,6270115,'1',501,'N'),(25,6270123,'1',103,'N'),(25,6270131,'1',319,'N'),(25,6270140,'1',103,'N'),(25,6270158,'1',103,'N'),(25,6270166,'1',103,'N'),(25,6270174,'1',423,'N'),(25,6270174,'1A',428,'N'),(25,6270182,'1',207,'N'),(25,6270182,'1A',201,'N'),(25,6270190,'1',503,'N'),(25,6270204,'1',235,'N'),(25,6270204,'1A',238,'N'),(25,6270212,'1',207,'N'),(25,6270212,'1A',201,'N'),(25,6270220,'1',203,'N'),(25,6270220,'1A',214,'N'),(25,6270239,'1',303,'N'),(25,6270247,'1',404,'N'),(25,6270263,'1',316,'N'),(25,6270271,'1',207,'N'),(25,6270271,'1A',216,'N'),(25,6270280,'1',420,'N'),(25,6270298,'1',220,'N'),(25,6270298,'1A',235,'N'),(25,6270301,'1',415,'N'),(25,6270328,'1',302,'N'),(25,6270344,'1',333,'N'),(25,6270360,'1',201,'N'),(25,6270360,'1A',211,'N'),(25,6270387,'1',427,'N'),(25,6270387,'1A',421,'N'),(25,6270395,'1',9,'N'),(25,6270409,'1',207,'N'),(25,6270409,'1A',201,'N'),(25,6270417,'1',340,'N'),(25,6270425,'1',216,'N'),(25,6270425,'1A',220,'N'),(25,6270441,'1',655,'N'),(25,6270441,'1A',216,'N'),(25,6270450,'1',304,'N'),(25,6270468,'1',999,'N'),(25,6270476,'1',103,'N'),(25,6270492,'1',103,'N'),(25,6270514,'1',329,'N'),(25,6270522,'1',208,'N'),(25,6270522,'1A',238,'N'),(25,6270530,'1',551,'N'),(25,6270549,'1',103,'N'),(25,6270565,'1',211,'N'),(25,6270565,'1A',233,'N'),(25,6270573,'1',104,'N'),(25,6270590,'1',103,'N'),(25,6270603,'1',450,'N'),(25,6270611,'1',429,'N'),(25,6270611,'1A',424,'N'),(25,6270638,'1',301,'N'),(25,6270646,'1',203,'N'),(25,6270654,'1',203,'N'),(25,6270654,'1A',220,'N'),(25,6270662,'1',205,'N'),(25,6270670,'1',103,'N'),(25,6270689,'1',215,'N'),(25,6270689,'1A',207,'N'),(25,6270697,'1',601,'N'),(25,6270697,'1A',212,'N'),(25,6270700,'1',333,'N'),(25,6270719,'1',103,'N'),(25,6270727,'1',5,'N'),(25,6270735,'1',238,'N'),(25,6270735,'1A',208,'N'),(25,6270743,'1',303,'N'),(25,6270751,'1',301,'N'),(25,6270760,'1',319,'N'),(25,6270778,'1',224,'N'),(25,6270786,'1',201,'N'),(25,6270786,'1A',207,'N'),(25,6270794,'1',423,'N'),(25,6270794,'1A',428,'N'),(25,6270808,'1',207,'N'),(25,6270816,'1',415,'N'),(25,6270824,'1',601,'N'),(25,6270824,'1A',203,'N'),(25,6270832,'1',319,'N'),(25,6270840,'1',207,'N'),(25,6270859,'1',999,'N'),(25,6270875,'1',103,'N'),(25,6270891,'1',999,'N'),(25,6270905,'1',103,'N'),(25,6270913,'1',415,'N'),(25,6270921,'1',340,'N'),(25,6270930,'1',326,'N'),(25,6270948,'1',109,'N'),(25,6270956,'1',103,'N'),(25,6270972,'1',211,'N'),(25,6270972,'1A',233,'N'),(25,6270999,'1',103,'N'),(25,6271006,'1',104,'N'),(25,6271014,'1',207,'N'),(25,6271022,'1',212,'N'),(25,6271049,'1',224,'N'),(25,6271057,'1',103,'N'),(25,6271065,'1',103,'N'),(25,6271073,'1',201,'N'),(25,6271073,'1A',653,'N'),(25,6271103,'1',999,'N'),(25,6271111,'1',103,'N'),(25,6271120,'1',444,'N'),(25,6271138,'1',234,'N'),(25,6271146,'1',103,'N'),(25,6271162,'1',444,'N'),(25,6271170,'1',336,'N'),(25,6271189,'1',109,'N'),(25,6271197,'1',319,'N'),(25,6271200,'1',220,'N'),(25,6271200,'1A',235,'N'),(25,6271219,'1',104,'N'),(25,6271227,'1',5,'N'),(25,6271235,'1',444,'N'),(25,6271243,'1',501,'N'),(25,6271251,'1',103,'N'),(25,6271260,'1',208,'N'),(25,6271260,'1A',238,'N'),(25,6271278,'1',3,'N'),(25,6271286,'1',103,'N'),(25,6271294,'1',304,'N'),(25,6271308,'1',203,'N'),(25,6271308,'1A',220,'N'),(25,6271316,'1',108,'N'),(25,6271332,'1',340,'N'),(25,6271340,'1',103,'N'),(25,6271367,'1',103,'N'),(25,6271383,'1',551,'N'),(25,6271391,'1',415,'N'),(25,6271405,'1',420,'N'),(25,6271413,'1',339,'N'),(25,6271421,'1',103,'N'),(25,6271430,'1',338,'N'),(25,6271448,'1',654,'N'),(25,6271464,'1',999,'N'),(25,6271472,'1',333,'N'),(25,6271480,'1',103,'N'),(25,6271499,'1',303,'N'),(25,6271502,'1',238,'N'),(25,6271502,'1A',208,'N'),(25,6271510,'1',104,'N'),(25,6271529,'1',238,'N'),(25,6271529,'1A',208,'N'),(25,6271537,'1',101,'N'),(25,6271545,'1',303,'N'),(25,6271553,'1',103,'N'),(25,6271561,'1',9,'N'),(25,6271570,'1',303,'N'),(25,6271588,'1',101,'N'),(25,6271596,'1',999,'N'),(25,6271600,'1',103,'N'),(25,6271618,'1',103,'N'),(25,6271626,'1',238,'N'),(25,6271626,'1A',208,'N'),(25,6271634,'1',201,'N'),(25,6271634,'1A',601,'N'),(25,6271642,'1',101,'N'),(25,6271650,'1',5,'N'),(25,6271677,'1',444,'N'),(25,6271685,'1',103,'N'),(25,6271693,'1',302,'N'),(25,6271707,'1',340,'N'),(25,6271731,'1',103,'N'),(25,6271740,'1',999,'N'),(25,6271758,'1',203,'N'),(25,6271758,'1A',220,'N'),(25,6271766,'1',654,'N'),(25,6271774,'1',216,'N'),(25,6271774,'1A',215,'N'),(25,6271782,'1',207,'N'),(25,6271790,'1',999,'N'),(25,6271804,'1',103,'N'),(25,6271812,'1',103,'N'),(25,6271820,'1',202,'N'),(25,6271820,'1A',213,'N'),(25,6271847,'1',216,'N'),(25,6271847,'1A',601,'N'),(25,6271880,'1',212,'N'),(25,6271880,'1A',201,'N'),(25,6271898,'1',310,'N'),(25,6271901,'1',203,'N'),(25,6271901,'1A',233,'N'),(25,6271910,'1',203,'N'),(25,6271928,'1',103,'N'),(25,6271936,'1',444,'N'),(25,6271944,'1',103,'N'),(25,6271952,'1',208,'N'),(25,6271952,'1A',238,'N'),(25,6271960,'1',207,'N'),(25,6271960,'1A',233,'N'),(25,6271979,'1',216,'N'),(25,6271979,'1A',201,'N'),(25,6271987,'1',201,'N'),(25,6271987,'1A',212,'N'),(25,6272002,'1',103,'N'),(25,6272010,'1',316,'N'),(25,6272037,'1',211,'N'),(25,6272037,'1A',207,'N'),(25,6272045,'1',203,'N'),(25,6272045,'1A',216,'N'),(25,6272053,'1',336,'N'),(25,6272061,'1',103,'N'),(25,6272070,'1',301,'N'),(25,6272096,'1',103,'N'),(25,6272118,'1',5,'N'),(25,6272126,'1',326,'N'),(25,6272134,'1',103,'N'),(25,6272142,'1',103,'N'),(25,6272150,'1',207,'N'),(25,6272150,'1A',201,'N'),(25,6272169,'1',103,'N'),(25,6272177,'1',999,'N'),(25,6272185,'1',103,'N'),(25,6272193,'1',220,'N'),(25,6272193,'1A',216,'N'),(25,6272207,'1',999,'N'),(25,6272215,'1',316,'N'),(25,6272223,'1',103,'N'),(25,6272231,'1',201,'N'),(25,6272231,'1A',208,'N'),(25,6272240,'1',999,'N'),(25,6272258,'1',5,'N'),(25,6272266,'1',220,'N'),(25,6272266,'1A',202,'N'),(25,6272274,'1',451,'N'),(25,6272282,'1',428,'N'),(25,6272282,'1A',425,'N'),(25,6272290,'1',303,'N'),(25,6272304,'1',318,'N'),(25,6272312,'1',216,'N'),(25,6272312,'1A',211,'N'),(25,6272320,'1',103,'N'),(25,6272339,'1',103,'N'),(25,6272347,'1',5,'N'),(25,6272355,'1',333,'N'),(25,6272363,'1',207,'N'),(25,6272363,'1A',201,'N'),(25,6272371,'1',301,'N'),(25,6272380,'1',201,'N'),(25,6272380,'1A',203,'N'),(25,6272398,'1',9,'N'),(25,6272410,'1',301,'N'),(25,6272428,'1',211,'N'),(25,6272428,'1A',201,'N'),(25,6272444,'1',201,'N'),(25,6272444,'1A',215,'N'),(25,6272452,'1',601,'N'),(25,6272452,'1A',233,'N'),(25,6272460,'1',333,'N'),(25,6272495,'1',207,'N'),(25,6272495,'1A',235,'N'),(25,6272509,'1',203,'N'),(25,6272509,'1A',201,'N'),(25,6272517,'1',224,'N'),(25,6272525,'1',103,'N'),(25,6272533,'1',304,'N'),(25,6272541,'1',101,'N'),(25,6272550,'1',999,'N'),(25,6272568,'1',655,'N'),(25,6272568,'1A',652,'N'),(25,6272584,'1',5,'N'),(25,6272592,'1',110,'N'),(25,6272606,'1',103,'N'),(25,6272622,'1',108,'N'),(25,6272630,'1',301,'N'),(25,6272649,'1',216,'N'),(25,6272657,'1',336,'N'),(25,6272665,'1',216,'N'),(25,6272665,'1A',202,'N'),(25,6272690,'1',339,'N'),(25,6272703,'1',207,'N'),(25,6272703,'1A',235,'N'),(25,6272711,'1',503,'N'),(25,6272720,'1',501,'N'),(25,6272738,'1',503,'N'),(25,6272746,'1',324,'N'),(25,6272754,'1',453,'N'),(25,6272762,'1',336,'N'),(25,6272770,'1',502,'N'),(25,6272789,'1',301,'N'),(25,6272797,'1',109,'N'),(25,6272800,'1',326,'N'),(25,6272819,'1',421,'N'),(25,6272827,'1',207,'N'),(25,6272827,'1A',201,'N'),(25,6272835,'1',108,'N'),(25,6272843,'1',208,'N'),(25,6272843,'1A',238,'N'),(25,6272851,'1',211,'N'),(25,6272851,'1A',215,'N'),(25,6272860,'1',103,'N'),(25,6272878,'1',103,'N'),(25,6272894,'1',214,'N'),(25,6272894,'1A',601,'N'),(25,6272908,'1',999,'N'),(25,6272916,'1',109,'N'),(25,6272924,'1',652,'N'),(25,6272924,'1A',655,'N'),(25,6272932,'1',215,'N'),(25,6272932,'1A',207,'N'),(25,6272940,'1',103,'N'),(25,6272959,'1',319,'N'),(25,6272967,'1',104,'N'),(25,6272975,'1',301,'N'),(25,6272983,'1',207,'N'),(25,6272983,'1A',201,'N'),(25,6272991,'1',238,'N'),(25,6272991,'1A',207,'N'),(25,6273009,'1',444,'N'),(25,6273025,'1',201,'N'),(25,6273025,'1A',207,'N'),(25,6273033,'1',340,'N'),(25,6273041,'1',103,'N'),(25,6273068,'1',333,'N'),(25,6273076,'1',501,'N'),(25,6273084,'1',501,'N'),(25,6273092,'1',308,'N'),(25,6273106,'1',324,'N'),(25,6273114,'1',103,'N'),(25,6273122,'1',103,'N'),(25,6273130,'1',201,'N'),(25,6273130,'1A',212,'N'),(25,6273149,'1',104,'N'),(25,6273157,'1',318,'N'),(25,6273165,'1',404,'N'),(25,6273173,'1',201,'N'),(25,6273173,'1A',220,'N'),(25,6273181,'1',5,'N'),(25,6273190,'1',601,'N'),(25,6273190,'1A',220,'N'),(25,6273203,'1',211,'N'),(25,6273203,'1A',201,'N'),(25,6273211,'1',238,'N'),(25,6273211,'1A',208,'N'),(25,6273220,'1',103,'N'),(25,6273238,'1',303,'N'),(25,6273246,'1',9,'N'),(25,6273254,'1',452,'N'),(25,6273262,'1',5,'N'),(25,6273270,'1',214,'N'),(25,6273270,'1A',220,'N'),(25,6273300,'1',317,'N'),(25,6273319,'1',999,'N'),(25,6273327,'1',103,'N'),(25,6273335,'1',429,'N'),(25,6273335,'1A',425,'N'),(25,6273351,'1',109,'N'),(25,6273360,'1',235,'N'),(25,6273360,'1A',213,'N'),(25,6273378,'1',303,'N'),(25,6273394,'1',551,'N'),(25,6273408,'1',326,'N'),(25,6273416,'1',444,'N'),(25,6273432,'1',444,'N'),(25,6273440,'1',104,'N'),(25,6273467,'1',324,'N'),(25,6273475,'1',654,'N'),(25,6273483,'1',207,'N'),(25,6273483,'1A',201,'N'),(25,6273491,'1',109,'N'),(25,6273505,'1',103,'N'),(25,6273521,'1',201,'N'),(25,6273521,'1A',207,'N'),(25,6273548,'1',103,'N'),(25,6273556,'1',207,'N'),(25,6273556,'1A',201,'N'),(25,6273564,'1',103,'N'),(25,6273572,'1',336,'N'),(25,6273580,'1',339,'N'),(25,6273599,'1',108,'N'),(25,6273602,'1',220,'N'),(25,6273602,'1A',203,'N'),(25,6273610,'1',319,'N'),(25,6273645,'1',5,'N'),(25,6273653,'1',339,'N'),(25,6273670,'1',404,'N'),(25,6273688,'1',337,'N'),(25,6273696,'1',201,'N'),(25,6273696,'1A',207,'N'),(25,6273700,'1',103,'N'),(25,6273718,'1',201,'N'),(25,6273718,'1A',233,'N'),(25,6273726,'1',208,'N'),(25,6273726,'1A',655,'N'),(25,6273734,'1',337,'N'),(25,6273742,'1',340,'N'),(25,6273750,'1',319,'N'),(25,6273777,'1',327,'N'),(25,6273785,'1',201,'N'),(25,6273785,'1A',214,'N'),(25,6273793,'1',103,'N'),(25,6273815,'1',453,'N'),(25,6273823,'1',317,'N'),(25,6273831,'1',420,'N'),(25,6273840,'1',202,'N'),(25,6273840,'1A',235,'N'),(25,6273858,'1',103,'N'),(25,6273866,'1',339,'N'),(25,6273882,'1',317,'N'),(25,6273904,'1',225,'N'),(25,6273912,'1',310,'N'),(25,6273939,'1',234,'N'),(25,6273947,'1',302,'N'),(25,6273955,'1',326,'N'),(25,6273963,'1',201,'N'),(25,6273963,'1A',212,'N'),(25,6273998,'1',103,'N'),(25,6274005,'1',233,'N'),(25,6274005,'1A',220,'N'),(25,6274013,'1',215,'N'),(25,6274013,'1A',233,'N'),(25,6274030,'1',225,'N'),(25,6274048,'1',426,'N'),(25,6274048,'1A',428,'N'),(25,6274056,'1',316,'N'),(25,6274072,'1',110,'N'),(25,6274080,'1',101,'N'),(25,6274110,'1',110,'N'),(25,6274129,'1',215,'N'),(25,6274129,'1A',601,'N'),(25,6274137,'1',302,'N'),(25,6274161,'1',201,'N'),(25,6274161,'1A',202,'N'),(25,6274188,'1',319,'N'),(25,6274218,'1',319,'N'),(25,6274226,'1',303,'N'),(25,6274250,'1',303,'N'),(25,6274269,'1',103,'N'),(25,6274293,'1',999,'N'),(25,6274307,'1',203,'N'),(25,6274307,'1A',214,'N'),(25,6274315,'1',303,'N'),(25,6274323,'1',207,'N'),(25,6274323,'1A',213,'N'),(25,6274331,'1',103,'N'),(25,6274340,'1',551,'N'),(25,6274358,'1',317,'N'),(25,6274374,'1',103,'N'),(25,6274382,'1',340,'N'),(25,6274390,'1',551,'N'),(25,6274404,'1',212,'N'),(25,6274404,'1A',601,'N'),(25,6274412,'1',319,'N'),(25,6274420,'1',9,'N'),(25,6274447,'1',326,'N'),(25,6274463,'1',317,'N'),(25,6274480,'1',103,'N'),(25,6274498,'1',301,'N'),(25,6274501,'1',501,'N'),(25,6274510,'1',201,'N'),(25,6274510,'1A',212,'N'),(25,6274528,'1',103,'N'),(25,6274536,'1',101,'N'),(25,6274544,'1',303,'N'),(25,6274552,'1',103,'N'),(25,6274560,'1',303,'N'),(25,6274579,'1',316,'N'),(25,6274587,'1',203,'N'),(25,6274587,'1A',201,'N'),(25,6274609,'1',234,'N'),(25,6274625,'1',317,'N'),(25,6274641,'1',224,'N'),(25,6274650,'1',551,'N'),(25,6274668,'1',235,'N'),(25,6274668,'1A',213,'N'),(25,6274676,'1',450,'N'),(25,6274706,'1',308,'N'),(25,6274714,'1',102,'N'),(25,6274722,'1',340,'N'),(25,6274749,'1',423,'N'),(25,6274749,'1A',427,'N'),(25,6274765,'1',601,'N'),(25,6274765,'1A',201,'N'),(25,6274773,'1',223,'N'),(25,6274781,'1',304,'N'),(25,6274790,'1',340,'N'),(25,6274820,'1',319,'N'),(25,6274838,'1',103,'N'),(25,6274846,'1',428,'N'),(25,6274854,'1',308,'N'),(25,6274889,'1',225,'N'),(25,6274897,'1',319,'N'),(25,6274900,'1',101,'N'),(25,6274919,'1',108,'N'),(25,6274927,'1',319,'N'),(25,6274935,'1',103,'N'),(25,6274943,'1',5,'N'),(25,6274951,'1',110,'N'),(25,6274986,'1',201,'N'),(25,6274986,'1A',212,'N'),(25,6274994,'1',601,'N'),(25,6274994,'1A',238,'N'),(25,6275001,'1',316,'N'),(25,6275010,'1',308,'N'),(25,6275044,'1',551,'N'),(25,6275052,'1',203,'N'),(25,6275052,'1A',202,'N'),(25,6275060,'1',103,'N'),(25,6275087,'1',423,'N'),(25,6275087,'1A',426,'N'),(25,6275109,'1',427,'N'),(25,6275109,'1A',421,'N'),(25,6275117,'1',317,'N'),(25,6275125,'1',103,'N'),(25,6275133,'1',103,'N'),(25,6275168,'1',103,'N'),(25,6275184,'1',110,'N'),(25,6275206,'1',655,'N'),(25,6275206,'1A',652,'N'),(25,6275222,'1',317,'N'),(25,6275249,'1',103,'N'),(25,6275257,'1',104,'N'),(25,6275265,'1',109,'N'),(25,6275273,'1',103,'N'),(25,6275281,'1',223,'N'),(25,6275290,'1',319,'N'),(25,6275303,'1',212,'N'),(25,6275303,'1A',213,'N'),(25,6275320,'1',102,'N'),(25,6275338,'1',234,'N'),(25,6275346,'1',336,'N'),(25,6275362,'1',326,'N'),(25,6275370,'1',238,'N'),(25,6275370,'1A',208,'N'),(25,6275389,'1',551,'N'),(25,6275397,'1',328,'N'),(25,6275400,'1',551,'N'),(25,6275419,'1',333,'N'),(25,6275427,'1',303,'N'),(25,6275435,'1',503,'N'),(25,6275443,'1',999,'N'),(25,6275451,'1',103,'N'),(25,6275460,'1',9,'N'),(25,6275478,'1',319,'N'),(25,6275486,'1',216,'N'),(25,6275486,'1A',207,'N'),(25,6275494,'1',331,'N'),(25,6275508,'1',201,'N'),(25,6275508,'1A',220,'N'),(25,6275516,'1',317,'N'),(25,6275524,'1',5,'N'),(25,6275532,'1',103,'N'),(25,6275540,'1',404,'N'),(25,6275559,'1',203,'N'),(25,6275559,'1A',201,'N'),(25,6275567,'1',103,'N'),(25,6275575,'1',450,'N'),(25,6275591,'1',340,'N'),(25,6275605,'1',404,'N'),(25,6275613,'1',339,'N'),(25,6275621,'1',201,'N'),(25,6275621,'1A',212,'N'),(25,6275630,'1',103,'N'),(25,6275648,'1',319,'N'),(25,6275656,'1',450,'N'),(25,6275664,'1',108,'N'),(25,6275672,'1',318,'N'),(25,6275680,'1',336,'N'),(25,6275699,'1',5,'N'),(25,6275702,'1',333,'N'),(25,6275710,'1',201,'N'),(25,6275710,'1A',233,'N'),(25,6275729,'1',103,'N'),(25,6275737,'1',319,'N'),(25,6275745,'1',103,'N'),(25,6275761,'1',601,'N'),(25,6275761,'1A',208,'N'),(25,6275770,'1',5,'N'),(25,6275788,'1',201,'N'),(25,6275788,'1A',207,'N'),(25,6275796,'1',103,'N'),(25,6275800,'1',103,'N'),(25,6275818,'1',103,'N'),(25,6275834,'1',333,'N'),(25,6275850,'1',103,'N'),(25,6275869,'1',103,'N'),(25,6275877,'1',103,'N'),(25,6275885,'1',104,'N'),(25,6275893,'1',201,'N'),(25,6275893,'1A',207,'N'),(25,6275907,'1',303,'N'),(25,6275915,'1',601,'N'),(25,6275915,'1A',238,'N'),(25,6275923,'1',303,'N'),(25,6275931,'1',104,'N'),(25,6275958,'1',208,'N'),(25,6275958,'1A',238,'N'),(25,6275966,'1',203,'N'),(25,6275966,'1A',235,'N'),(25,6275982,'1',103,'N'),(25,6275990,'1',207,'N'),(25,6275990,'1A',201,'N'),(25,6276008,'1',3,'N'),(25,6276024,'1',2,'N'),(25,6276032,'1',103,'N'),(25,6276040,'1',103,'N'),(25,6276059,'1',104,'N'),(25,6276067,'1',103,'N'),(25,6276075,'1',103,'N'),(25,6276091,'1',5,'N'),(25,6276105,'1',404,'N'),(25,6276121,'1',233,'N'),(25,6276121,'1A',653,'N'),(25,6276130,'1',303,'N'),(25,6276148,'1',104,'N'),(25,6276156,'1',103,'N'),(25,6276164,'1',103,'N'),(25,6276172,'1',103,'N'),(25,6276180,'1',444,'N'),(25,6276202,'1',9,'N'),(25,6276210,'1',208,'N'),(25,6276210,'1A',238,'N'),(25,6276237,'1',103,'N'),(25,6276245,'1',999,'N'),(25,6276253,'1',201,'N'),(25,6276261,'1',103,'N'),(25,6276270,'1',201,'N'),(25,6276270,'1A',212,'N'),(25,6276288,'1',427,'N'),(25,6276288,'1A',428,'N'),(25,6276296,'1',108,'N'),(25,6276318,'1',234,'N'),(25,6276326,'1',103,'N'),(25,6276334,'1',220,'N'),(25,6276334,'1A',203,'N'),(25,6276350,'1',999,'N'),(25,6276369,'1',501,'N'),(25,6276377,'1',103,'N'),(25,6276393,'1',103,'N'),(25,6276407,'1',201,'N'),(25,6276407,'1A',207,'N'),(25,6276423,'1',201,'N'),(25,6276423,'1A',212,'N'),(25,6276431,'1',215,'N'),(25,6276440,'1',3,'N'),(25,6276466,'1',103,'N'),(25,6276482,'1',9,'N'),(25,6276490,'1',444,'N'),(25,6276504,'1',238,'N'),(25,6276504,'1A',208,'N'),(25,6276512,'1',202,'N'),(25,6276512,'1A',216,'N'),(25,6276520,'1',103,'N'),(25,6276539,'1',503,'N'),(25,6276547,'1',235,'N'),(25,6276547,'1A',213,'N'),(25,6276555,'1',201,'N'),(25,6276555,'1A',211,'N'),(25,6276571,'1',202,'N'),(25,6276571,'1A',214,'N'),(25,6276580,'1',207,'N'),(25,6276580,'1A',201,'N'),(25,6276598,'1',108,'N'),(25,6276601,'1',319,'N'),(25,6276610,'1',201,'N'),(25,6276610,'1A',601,'N'),(25,6276628,'1',103,'N'),(25,6276636,'1',220,'N'),(25,6276636,'1A',238,'N'),(25,6276644,'1',303,'N'),(25,6276660,'1',101,'N'),(25,6276679,'1',319,'N'),(25,6276687,'1',304,'N'),(25,6276717,'1',999,'N'),(25,6276733,'1',103,'N'),(25,6276750,'1',415,'N'),(25,6276768,'1',301,'N'),(25,6276776,'1',301,'N'),(25,6276784,'1',444,'N'),(25,6276806,'1',104,'N'),(25,6276814,'1',304,'N'),(25,6276822,'1',103,'N'),(25,6276830,'1',207,'N'),(25,6276830,'1A',201,'N'),(25,6276849,'1',329,'N'),(25,6276865,'1',420,'N'),(25,6276873,'1',999,'N'),(25,6276881,'1',103,'N'),(25,6276890,'1',101,'N'),(25,6276911,'1',233,'N'),(25,6276911,'1A',653,'N'),(25,6276938,'1',202,'N'),(25,6276938,'1A',213,'N'),(25,6276946,'1',502,'N'),(25,6276954,'1',220,'N'),(25,6276954,'1A',202,'N'),(25,6276962,'1',103,'N'),(25,6276970,'1',453,'N'),(25,6276989,'1',103,'N'),(25,6276997,'1',601,'N'),(25,6276997,'1A',203,'N'),(25,6277004,'1',201,'N'),(25,6277004,'1A',208,'N'),(25,6277012,'1',201,'N'),(25,6277012,'1A',211,'N'),(25,6277039,'1',3,'N'),(25,6277055,'1',331,'N'),(25,6277063,'1',319,'N'),(25,6277080,'1',211,'N'),(25,6277080,'1A',601,'N'),(25,6277098,'1',444,'N'),(25,6277110,'1',303,'N'),(25,6277128,'1',103,'N'),(25,6277136,'1',425,'N'),(25,6277136,'1A',424,'N'),(25,6277144,'1',203,'N'),(25,6277144,'1A',214,'N'),(25,6277152,'1',317,'N'),(25,6277160,'1',316,'N'),(25,6277179,'1',601,'N'),(25,6277179,'1A',207,'N'),(25,6277187,'1',103,'N'),(25,6277209,'1',104,'N'),(25,6277217,'1',103,'N'),(25,6277225,'1',103,'N'),(25,6277233,'1',104,'N'),(25,6277241,'1',203,'N'),(25,6277241,'1A',201,'N'),(25,6277276,'1',5,'N'),(25,6277284,'1',103,'N'),(25,6277292,'1',319,'N'),(25,6277306,'1',551,'N'),(25,6277314,'1',302,'N'),(25,6277322,'1',216,'N'),(25,6277322,'1A',233,'N'),(25,6277330,'1',415,'N'),(25,6277349,'1',310,'N'),(25,6277357,'1',415,'N'),(25,6277365,'1',202,'N'),(25,6277365,'1A',213,'N'),(25,6277373,'1',202,'N'),(25,6277373,'1A',653,'N'),(25,6277381,'1',211,'N'),(25,6277381,'1A',212,'N'),(25,6277390,'1',201,'N'),(25,6277390,'1A',207,'N'),(25,6277403,'1',201,'N'),(25,6277403,'1A',216,'N'),(25,6277411,'1',103,'N'),(25,6277438,'1',999,'N'),(25,6277446,'1',103,'N'),(25,6277454,'1',203,'N'),(25,6277470,'1',501,'N'),(25,6277489,'1',103,'N'),(25,6277497,'1',601,'N'),(25,6277497,'1A',653,'N'),(25,6277500,'1',451,'N'),(25,6277519,'1',110,'N'),(25,6277527,'1',302,'N'),(25,6277535,'1',103,'N'),(25,6277543,'1',212,'N'),(25,6277543,'1A',213,'N'),(25,6277551,'1',214,'N'),(25,6277551,'1A',213,'N'),(25,6277560,'1',103,'N'),(25,6277578,'1',318,'N'),(25,6277586,'1',329,'N'),(25,6277594,'1',316,'N'),(25,6277616,'1',207,'N'),(25,6277616,'1A',201,'N'),(25,6277624,'1',208,'N'),(25,6277624,'1A',655,'N'),(25,6277632,'1',201,'N'),(25,6277632,'1A',212,'N'),(25,6277640,'1',101,'N'),(25,6277659,'1',207,'N'),(25,6277659,'1A',201,'N'),(25,6277675,'1',337,'N'),(25,6277691,'1',102,'N'),(25,6277713,'1',225,'N'),(25,6277721,'1',5,'N'),(25,6277730,'1',420,'N'),(25,6277756,'1',999,'N'),(25,6277764,'1',103,'N'),(25,6277772,'1',318,'N'),(25,6277780,'1',201,'N'),(25,6277780,'1A',213,'N'),(25,6277799,'1',235,'N'),(25,6277799,'1A',238,'N'),(25,6277802,'1',308,'N'),(25,6277810,'1',103,'N'),(25,6277829,'1',310,'N'),(25,6277853,'1',444,'N'),(25,6277861,'1',601,'N'),(25,6277861,'1A',212,'N'),(25,6277870,'1',316,'N'),(25,6277888,'1',101,'N'),(25,6277918,'1',103,'N'),(25,6277926,'1',110,'N'),(25,6277934,'1',104,'N'),(25,6277942,'1',318,'N'),(25,6277950,'1',425,'N'),(25,6277969,'1',301,'N'),(25,6277977,'1',601,'N'),(25,6277977,'1A',201,'N'),(25,6277985,'1',501,'N'),(25,6277993,'1',317,'N'),(25,6278000,'1',655,'N'),(25,6278000,'1A',653,'N'),(25,6278019,'1',301,'N'),(25,6278035,'1',318,'N'),(25,6278043,'1',309,'N'),(25,6278051,'1',103,'N'),(25,6278086,'1',103,'N'),(25,6278094,'1',999,'N'),(25,6278108,'1',340,'N'),(25,6278116,'1',308,'N'),(25,6278124,'1',203,'N'),(25,6278124,'1A',214,'N'),(25,6278140,'1',207,'N'),(25,6278140,'1A',201,'N'),(25,6278159,'1',501,'N'),(25,6278175,'1',999,'N'),(25,6278183,'1',207,'N'),(25,6278191,'1',453,'N'),(25,6278205,'1',601,'N'),(25,6278221,'1',551,'N'),(25,6278230,'1',304,'N'),(25,6278248,'1',653,'N'),(25,6278248,'1A',655,'N'),(25,6278256,'1',999,'N'),(25,6278272,'1',103,'N'),(25,6278280,'1',424,'N'),(25,6278299,'1',103,'N'),(25,6278302,'1',340,'N'),(25,6278310,'1',103,'N'),(25,6278329,'1',317,'N'),(25,6278337,'1',332,'N'),(25,6278345,'1',103,'N'),(25,6278353,'1',108,'N'),(25,6278361,'1',450,'N'),(25,6278370,'1',103,'N'),(25,6278426,'1',999,'N'),(25,6278442,'1',444,'N'),(25,6278450,'1',109,'N'),(25,6278469,'1',9,'N'),(25,6278477,'1',103,'N'),(25,6278493,'1',319,'N'),(25,6278507,'1',444,'N'),(25,6278523,'1',220,'N'),(25,6278523,'1A',235,'N'),(25,6278531,'1',103,'N'),(25,6278540,'1',340,'N'),(25,6278558,'1',212,'N'),(25,6278558,'1A',213,'N'),(25,6278566,'1',415,'N'),(25,6278574,'1',103,'N'),(25,6278582,'1',5,'N'),(25,6278590,'1',201,'N'),(25,6278590,'1A',202,'N'),(25,6278604,'1',9,'N'),(25,6278620,'1',103,'N'),(25,6278639,'1',103,'N'),(25,6278647,'1',502,'N'),(25,6278655,'1',103,'N'),(25,6278663,'1',5,'N'),(25,6278680,'1',216,'N'),(25,6278680,'1A',207,'N'),(25,6278698,'1',340,'N'),(25,6278701,'1',103,'N'),(25,6278710,'1',327,'N'),(25,6278728,'1',303,'N'),(25,6278736,'1',653,'N'),(25,6278736,'1A',211,'N'),(25,6278744,'1',102,'N'),(25,6278752,'1',303,'N'),(25,6278760,'1',104,'N'),(25,6278779,'1',103,'N'),(25,6278787,'1',103,'N'),(25,6278795,'1',340,'N'),(25,6278809,'1',207,'N'),(25,6278809,'1A',211,'N'),(25,6278817,'1',223,'N'),(25,6278825,'1',339,'N'),(25,6278841,'1',601,'N'),(25,6278876,'1',319,'N'),(25,6278884,'1',301,'N'),(25,6278892,'1',324,'N'),(25,6278906,'1',103,'N'),(25,6278914,'1',5,'N'),(25,6278930,'1',999,'N'),(25,6278965,'1',501,'N'),(25,6278973,'1',207,'N'),(25,6278973,'1A',201,'N'),(25,6278981,'1',104,'N'),(25,6278990,'1',301,'N'),(25,6279015,'1',324,'N'),(25,6279023,'1',211,'N'),(25,6279023,'1A',201,'N'),(25,6279031,'1',326,'N'),(25,6279040,'1',104,'N'),(25,6279058,'1',103,'N'),(25,6279066,'1',453,'N'),(25,6279074,'1',103,'N'),(25,6279082,'1',420,'N'),(25,6279090,'1',5,'N'),(25,6279104,'1',101,'N'),(25,6279112,'1',601,'N'),(25,6279120,'1',103,'N'),(25,6279139,'1',301,'N'),(25,6279147,'1',203,'N'),(25,6279147,'1A',211,'N'),(25,6279155,'1',3,'N'),(25,6279171,'1',339,'N'),(25,6279180,'1',450,'N'),(25,6279198,'1',203,'N'),(25,6279201,'1',503,'N'),(25,6279210,'1',336,'N'),(25,6279236,'1',317,'N'),(25,6279244,'1',5,'N'),(25,6279252,'1',102,'N'),(25,6279260,'1',303,'N'),(25,6279279,'1',339,'N'),(25,6279287,'1',303,'N'),(25,6279309,'1',103,'N'),(25,6279317,'1',207,'N'),(25,6279317,'1A',201,'N'),(25,6279325,'1',103,'N'),(25,6279333,'1',216,'N'),(25,6279333,'1A',207,'N'),(25,6279341,'1',340,'N'),(25,6279350,'1',103,'N'),(25,6279368,'1',103,'N'),(25,6279384,'1',303,'N'),(25,6279392,'1',203,'N'),(25,6279392,'1A',201,'N'),(25,6279406,'1',601,'N'),(25,6279414,'1',450,'N'),(25,6279422,'1',238,'N'),(25,6279422,'1A',208,'N'),(25,6279449,'1',102,'N'),(25,6279473,'1',201,'N'),(25,6279473,'1A',207,'N'),(25,6279481,'1',319,'N'),(25,6279490,'1',444,'N'),(25,6279511,'1',421,'N'),(25,6279511,'1A',423,'N'),(25,6279520,'1',203,'N'),(25,6279520,'1A',601,'N'),(25,6279538,'1',335,'N'),(25,6279546,'1',320,'N'),(25,6279554,'1',207,'N'),(25,6279554,'1A',215,'N'),(25,6279562,'1',102,'N'),(25,6279570,'1',101,'N'),(25,6279597,'1',110,'N'),(25,6279600,'1',655,'N'),(25,6279600,'1A',653,'N'),(25,6279619,'1',601,'N'),(25,6279627,'1',108,'N'),(25,6279635,'1',324,'N'),(25,6279643,'1',110,'N'),(25,6279651,'1',235,'N'),(25,6279651,'1A',213,'N'),(25,6279660,'1',316,'N'),(25,6279678,'1',339,'N'),(25,6279694,'1',415,'N'),(25,6279716,'1',103,'N'),(25,6279724,'1',103,'N'),(25,6279740,'1',103,'N'),(25,6279759,'1',207,'N'),(25,6279759,'1A',201,'N'),(25,6279767,'1',201,'N'),(25,6279767,'1A',233,'N'),(25,6279775,'1',404,'N'),(25,6279783,'1',101,'N'),(25,6279791,'1',335,'N'),(25,6279805,'1',316,'N'),(25,6279813,'1',103,'N'),(25,6279821,'1',103,'N'),(25,6279830,'1',415,'N'),(25,6279848,'1',3,'N'),(25,6279856,'1',415,'N'),(25,6279864,'1',316,'N'),(25,6279872,'1',220,'N'),(25,6279872,'1A',203,'N'),(25,6279880,'1',207,'N'),(25,6279899,'1',304,'N'),(25,6279902,'1',999,'N'),(25,6279910,'1',103,'N'),(25,6279937,'1',5,'N'),(25,6279945,'1',211,'N'),(25,6279945,'1A',215,'N'),(25,6279953,'1',333,'N'),(25,6279961,'1',103,'N'),(25,6279970,'1',104,'N'),(25,6279996,'1',329,'N'),(25,6280005,'1',103,'N'),(25,6280021,'1',238,'N'),(25,6280021,'1A',202,'N'),(25,6280056,'1',329,'N'),(25,6280064,'1',103,'N'),(25,6280072,'1',238,'N'),(25,6280072,'1A',208,'N'),(25,6280080,'1',999,'N'),(25,6280099,'1',415,'N'),(25,6280102,'1',336,'N'),(25,6280110,'1',103,'N'),(25,6280137,'1',109,'N'),(25,6280145,'1',655,'N'),(25,6280145,'1A',653,'N'),(25,6280153,'1',238,'N'),(25,6280153,'1A',208,'N'),(25,6280170,'1',339,'N'),(25,6280188,'1',101,'N'),(25,6280200,'1',450,'N'),(25,6280218,'1',310,'N'),(25,6280226,'1',999,'N'),(25,6280242,'1',207,'N'),(25,6280242,'1A',212,'N'),(25,6280250,'1',451,'N'),(25,6280269,'1',207,'N'),(25,6280269,'1A',201,'N'),(25,6280285,'1',102,'N'),(25,6280293,'1',601,'N'),(25,6280307,'1',103,'N'),(25,6280315,'1',310,'N'),(25,6280331,'1',103,'N'),(25,6280340,'1',103,'N'),(25,6280366,'1',103,'N'),(25,6280374,'1',501,'N'),(25,6280390,'1',201,'N'),(25,6280390,'1A',207,'N'),(25,6280404,'1',215,'N'),(25,6280412,'1',319,'N'),(25,6280420,'1',101,'N'),(25,6280439,'1',208,'N'),(25,6280439,'1A',238,'N'),(25,6280447,'1',654,'N'),(25,6280455,'1',336,'N'),(25,6280463,'1',103,'N'),(25,6280471,'1',238,'N'),(25,6280471,'1A',208,'N'),(25,6280480,'1',104,'N'),(25,6280498,'1',201,'N'),(25,6280498,'1A',212,'N'),(25,6280501,'1',214,'N'),(25,6280501,'1A',213,'N'),(25,6280528,'1',103,'N'),(25,6280536,'1',655,'N'),(25,6280536,'1A',652,'N'),(25,6280544,'1',415,'N'),(25,6280552,'1',214,'N'),(25,6280552,'1A',213,'N'),(25,6280560,'1',208,'N'),(25,6280560,'1A',238,'N'),(25,6280579,'1',216,'N'),(25,6280579,'1A',211,'N'),(25,6280587,'1',308,'N'),(25,6280595,'1',601,'N'),(25,6280609,'1',203,'N'),(25,6280609,'1A',202,'N'),(25,6280617,'1',304,'N'),(25,6280625,'1',303,'N'),(25,6280633,'1',202,'N'),(25,6280633,'1A',201,'N'),(25,6280641,'1',303,'N'),(25,6280650,'1',999,'N'),(25,6280668,'1',303,'N'),(25,6280676,'1',102,'N'),(25,6280684,'1',207,'N'),(25,6280684,'1A',220,'N'),(25,6280692,'1',103,'N'),(25,6280706,'1',103,'N'),(25,6280757,'1',201,'N'),(25,6280773,'1',203,'N'),(25,6280773,'1A',214,'N'),(25,6280803,'1',999,'N'),(25,6280811,'1',201,'N'),(25,6280820,'1',551,'N'),(25,6280846,'1',104,'N'),(25,6280862,'1',551,'N'),(25,6280889,'1',327,'N'),(25,6280897,'1',654,'N'),(25,6280900,'1',202,'N'),(25,6280900,'1A',211,'N'),(25,6280919,'1',235,'N'),(25,6280919,'1A',213,'N'),(25,6280927,'1',212,'N'),(25,6280927,'1A',601,'N'),(25,6280935,'1',103,'N'),(25,6280943,'1',233,'N'),(25,6280943,'1A',216,'N'),(25,6280951,'1',216,'N'),(25,6280960,'1',201,'N'),(25,6280960,'1A',202,'N'),(25,6280978,'1',103,'N'),(25,6280986,'1',999,'N'),(25,6280994,'1',316,'N'),(25,6281001,'1',303,'N'),(25,6281010,'1',214,'N'),(25,6281010,'1A',233,'N'),(25,6281028,'1',102,'N'),(25,6281036,'1',336,'N'),(25,6281044,'1',9,'N'),(25,6281052,'1',104,'N'),(25,6281060,'1',203,'N'),(25,6281060,'1A',201,'N'),(25,6281095,'1',103,'N'),(25,6281109,'1',5,'N'),(25,6281117,'1',444,'N'),(25,6281133,'1',201,'N'),(25,6281133,'1A',212,'N'),(25,6281141,'1',999,'N'),(25,6281150,'1',202,'N'),(25,6281150,'1A',235,'N'),(25,6281168,'1',303,'N'),(25,6281176,'1',104,'N'),(25,6281184,'1',303,'N'),(25,6281206,'1',214,'N'),(25,6281206,'1A',208,'N'),(25,6281214,'1',216,'N'),(25,6281214,'1A',215,'N'),(25,6281230,'1',303,'N'),(25,6281249,'1',999,'N'),(25,6281257,'1',201,'N'),(25,6281257,'1A',212,'N'),(25,6281265,'1',420,'N'),(25,6281273,'1',450,'N'),(25,6281281,'1',308,'N'),(25,6281290,'1',5,'N'),(25,6281303,'1',301,'N'),(25,6281311,'1',103,'N'),(25,6281320,'1',339,'N'),(25,6281338,'1',211,'N'),(25,6281338,'1A',216,'N'),(25,6281346,'1',235,'N'),(25,6281346,'1A',202,'N'),(25,6281354,'1',109,'N'),(25,6281362,'1',103,'N'),(25,6281370,'1',333,'N'),(25,6281389,'1',5,'N'),(25,6281400,'1',601,'N'),(25,6281419,'1',207,'N'),(25,6281427,'1',103,'N'),(25,6281435,'1',303,'N'),(25,6281451,'1',308,'N'),(25,6281460,'1',214,'N'),(25,6281460,'1A',203,'N'),(25,6281478,'1',5,'N'),(25,6281486,'1',999,'N'),(25,6281494,'1',317,'N'),(25,6281508,'1',337,'N'),(25,6281524,'1',424,'N'),(25,6281524,'1A',427,'N'),(25,6281532,'1',999,'N'),(25,6281540,'1',103,'N'),(25,6281559,'1',102,'N'),(25,6281567,'1',103,'N'),(25,6281575,'1',104,'N'),(25,6281583,'1',601,'N'),(25,6281583,'1A',212,'N'),(25,6281605,'1',103,'N'),(25,6281613,'1',108,'N'),(25,6281621,'1',201,'N'),(25,6281621,'1A',216,'N'),(25,6281630,'1',415,'N'),(25,6281648,'1',452,'N'),(25,6281664,'1',220,'N'),(25,6281664,'1A',601,'N'),(25,6281672,'1',101,'N'),(25,6281680,'1',235,'N'),(25,6281680,'1A',238,'N'),(25,6281699,'1',404,'N'),(25,6281702,'1',452,'N'),(25,6281710,'1',103,'N'),(25,6281737,'1',202,'N'),(25,6281737,'1A',211,'N'),(25,6281753,'1',203,'N'),(25,6281753,'1A',201,'N'),(25,6281770,'1',501,'N'),(25,6281788,'1',102,'N'),(25,6281796,'1',302,'N'),(25,6281800,'1',224,'N'),(25,6281818,'1',103,'N'),(25,6281826,'1',301,'N'),(25,6281834,'1',303,'N'),(25,6281842,'1',415,'N'),(25,6281850,'1',203,'N'),(25,6281850,'1A',208,'N'),(25,6281869,'1',303,'N'),(25,6281877,'1',103,'N'),(25,6281885,'1',101,'N'),(25,6281893,'1',103,'N'),(25,6281907,'1',103,'N'),(25,6281915,'1',203,'N'),(25,6281915,'1A',220,'N'),(25,6281923,'1',211,'N'),(25,6281923,'1A',215,'N'),(25,6281931,'1',212,'N'),(25,6281931,'1A',207,'N'),(25,6281940,'1',104,'N'),(25,6281958,'1',201,'N'),(25,6281958,'1A',212,'N'),(25,6281966,'1',333,'N'),(25,6281974,'1',220,'N'),(25,6281974,'1A',215,'N'),(25,6281982,'1',220,'N'),(25,6281982,'1A',203,'N'),(25,6281990,'1',5,'N'),(25,6282024,'1',223,'N'),(25,6282040,'1',319,'N'),(25,6282067,'1',601,'N'),(25,6282075,'1',235,'N'),(25,6282075,'1A',203,'N'),(25,6282105,'1',601,'N'),(25,6282105,'1A',238,'N'),(25,6282113,'1',103,'N'),(25,6282121,'1',203,'N'),(25,6282121,'1A',208,'N'),(25,6282130,'1',216,'N'),(25,6282130,'1A',211,'N'),(25,6282148,'1',109,'N'),(25,6282156,'1',108,'N'),(25,6282172,'1',201,'N'),(25,6282172,'1A',212,'N'),(25,6282180,'1',301,'N'),(25,6282199,'1',108,'N'),(25,6282202,'1',201,'N'),(25,6282202,'1A',601,'N'),(25,6282210,'1',316,'N'),(25,6282229,'1',201,'N'),(25,6282229,'1A',207,'N'),(25,6282245,'1',303,'N'),(25,6282253,'1',103,'N'),(25,6282261,'1',110,'N'),(25,6282288,'1',452,'N'),(25,6282296,'1',203,'N'),(25,6282296,'1A',201,'N'),(25,6282300,'1',2,'N'),(25,6282326,'1',453,'N'),(25,6282334,'1',5,'N'),(25,6282350,'1',220,'N'),(25,6282350,'1A',203,'N'),(25,6282377,'1',108,'N'),(25,6282385,'1',103,'N'),(25,6282393,'1',103,'N'),(25,6282407,'1',103,'N'),(25,6282415,'1',223,'N'),(25,6282423,'1',404,'N'),(25,6282440,'1',415,'N'),(25,6282458,'1',103,'N'),(25,6282466,'1',201,'N'),(25,6282466,'1A',233,'N'),(25,6282474,'1',103,'N'),(25,6282482,'1',103,'N'),(25,6282504,'1',302,'N'),(25,6282512,'1',303,'N'),(25,6282520,'1',309,'N'),(25,6282539,'1',5,'N'),(25,6282547,'1',238,'N'),(25,6282547,'1A',235,'N'),(25,6282555,'1',233,'N'),(25,6282555,'1A',601,'N'),(25,6282563,'1',208,'N'),(25,6282563,'1A',203,'N'),(25,6282571,'1',601,'N'),(25,6282571,'1A',220,'N'),(25,6282580,'1',103,'N'),(25,6282598,'1',201,'N'),(25,6282598,'1A',601,'N'),(25,6282610,'1',103,'N'),(25,6282628,'1',317,'N'),(25,6282644,'1',103,'N'),(25,6282652,'1',302,'N'),(25,6282660,'1',303,'N'),(25,6282679,'1',103,'N'),(25,6282687,'1',340,'N'),(25,6282695,'1',203,'N'),(25,6282695,'1A',220,'N'),(25,6282709,'1',220,'N'),(25,6282709,'1A',235,'N'),(25,6282717,'1',308,'N'),(25,6282725,'1',5,'N'),(25,6282733,'1',203,'N'),(25,6282733,'1A',201,'N'),(25,6282741,'1',999,'N'),(25,6282750,'1',108,'N'),(25,6282768,'1',304,'N'),(25,6282776,'1',212,'N'),(25,6282776,'1A',207,'N'),(25,6282784,'1',201,'N'),(25,6282784,'1A',207,'N'),(25,6282792,'1',404,'N'),(25,6282806,'1',999,'N'),(25,6282814,'1',319,'N'),(25,6282822,'1',302,'N'),(25,6282830,'1',331,'N'),(25,6282849,'1',103,'N'),(25,6282857,'1',207,'N'),(25,6282857,'1A',211,'N'),(25,6282865,'1',340,'N'),(25,6282873,'1',108,'N'),(25,6282881,'1',9,'N'),(25,6282890,'1',444,'N'),(25,6282903,'1',653,'N'),(25,6282903,'1A',202,'N'),(25,6282911,'1',103,'N'),(25,6282920,'1',208,'N'),(25,6282946,'1',103,'N'),(25,6282954,'1',304,'N'),(25,6282962,'1',104,'N'),(25,6282970,'1',450,'N'),(25,6282989,'1',207,'N'),(25,6282989,'1A',201,'N'),(25,6283004,'1',233,'N'),(25,6283004,'1A',601,'N'),(25,6283012,'1',655,'N'),(25,6283012,'1A',202,'N'),(25,6283020,'1',103,'N'),(25,6283039,'1',109,'N'),(25,6283055,'1',999,'N'),(25,6283063,'1',208,'N'),(25,6283063,'1A',220,'N'),(25,6283071,'1',308,'N'),(25,6283080,'1',303,'N'),(25,6283098,'1',302,'N'),(25,6283101,'1',201,'N'),(25,6283101,'1A',207,'N'),(25,6283110,'1',3,'N'),(25,6283128,'1',202,'N'),(25,6283128,'1A',213,'N'),(25,6283136,'1',103,'N'),(25,6283144,'1',211,'N'),(25,6283152,'1',203,'N'),(25,6283160,'1',999,'N'),(25,6283179,'1',103,'N'),(25,6283187,'1',101,'N'),(25,6283195,'1',108,'N'),(25,6283209,'1',5,'N'),(25,6283217,'1',212,'N'),(25,6283217,'1A',211,'N'),(25,6283225,'1',103,'N'),(25,6283233,'1',999,'N'),(25,6283241,'1',103,'N'),(25,6283250,'1',214,'N'),(25,6283250,'1A',213,'N'),(25,6283268,'1',238,'N'),(25,6283268,'1A',208,'N'),(25,6283276,'1',103,'N'),(25,6283284,'1',203,'N'),(25,6283284,'1A',653,'N'),(25,6283292,'1',415,'N'),(25,6283306,'1',212,'N'),(25,6283306,'1A',213,'N'),(25,6283322,'1',317,'N'),(25,6283330,'1',303,'N'),(25,6283357,'1',103,'N'),(25,6283365,'1',203,'N'),(25,6283365,'1A',214,'N'),(25,6283373,'1',655,'N'),(25,6283373,'1A',652,'N'),(25,6283381,'1',101,'N'),(25,6283390,'1',103,'N'),(25,6283403,'1',451,'N'),(25,6283411,'1',5,'N'),(25,6283420,'1',5,'N'),(25,6283438,'1',5,'N'),(25,6283446,'1',202,'N'),(25,6283446,'1A',601,'N'),(25,6283454,'1',999,'N'),(25,6283462,'1',103,'N'),(25,6283470,'1',216,'N'),(25,6283470,'1A',215,'N'),(25,6283489,'1',201,'N'),(25,6283489,'1A',211,'N'),(25,6283500,'1',201,'N'),(25,6283500,'1A',212,'N'),(25,6283519,'1',103,'N'),(25,6283527,'1',214,'N'),(25,6283527,'1A',212,'N'),(25,6283535,'1',452,'N'),(25,6283543,'1',425,'N'),(25,6283543,'1A',421,'N'),(25,6283551,'1',551,'N'),(25,6283560,'1',223,'N'),(25,6283578,'1',444,'N'),(25,6283586,'1',216,'N'),(25,6283586,'1A',601,'N'),(25,6283594,'1',316,'N'),(25,6283608,'1',333,'N'),(25,6283616,'1',303,'N'),(25,6283624,'1',211,'N'),(25,6283624,'1A',235,'N'),(25,6283632,'1',420,'N'),(25,6283640,'1',336,'N'),(25,6283659,'1',340,'N'),(25,6283667,'1',453,'N'),(25,6283675,'1',103,'N'),(25,6283683,'1',203,'N'),(25,6283683,'1A',233,'N'),(25,6283691,'1',655,'N'),(25,6283691,'1A',652,'N'),(25,6283705,'1',103,'N'),(25,6283713,'1',103,'N'),(25,6283721,'1',5,'N'),(25,6283730,'1',9,'N'),(25,6283748,'1',110,'N'),(25,6283764,'1',340,'N'),(25,6283772,'1',216,'N'),(25,6283772,'1A',215,'N'),(25,6283780,'1',201,'N'),(25,6283780,'1A',207,'N'),(25,6283799,'1',220,'N'),(25,6283799,'1A',207,'N'),(25,6283802,'1',317,'N'),(25,6283810,'1',301,'N'),(25,6283829,'1',220,'N'),(25,6283837,'1',336,'N'),(25,6283845,'1',303,'N'),(25,6283853,'1',103,'N'),(25,6283861,'1',201,'N'),(25,6283861,'1A',207,'N'),(25,6283888,'1',303,'N'),(25,6283900,'1',103,'N'),(25,6283918,'1',415,'N'),(25,6283934,'1',319,'N'),(25,6283942,'1',335,'N'),(25,6283950,'1',999,'N'),(25,6283969,'1',104,'N'),(25,6283977,'1',203,'N'),(25,6283977,'1A',220,'N'),(25,6283985,'1',214,'N'),(25,6283985,'1A',220,'N'),(25,6284000,'1',333,'N'),(25,6284019,'1',103,'N'),(25,6284027,'1',203,'N'),(25,6284027,'1A',202,'N'),(25,6284035,'1',9,'N'),(25,6284051,'1',303,'N'),(25,6284060,'1',213,'N'),(25,6284060,'1A',212,'N'),(25,6284078,'1',340,'N'),(25,6284086,'1',999,'N'),(25,6284094,'1',654,'N'),(25,6284108,'1',404,'N'),(25,6284116,'1',201,'N'),(25,6284116,'1A',203,'N'),(25,6284124,'1',340,'N'),(25,6284132,'1',5,'N'),(25,6284140,'1',214,'N'),(25,6284140,'1A',235,'N'),(25,6284159,'1',304,'N'),(25,6284175,'1',103,'N'),(25,6284183,'1',103,'N'),(25,6284191,'1',999,'N'),(25,6284221,'1',211,'N'),(25,6284221,'1A',207,'N'),(25,6284230,'1',103,'N'),(25,6284248,'1',450,'N'),(25,6284256,'1',103,'N'),(25,6284264,'1',104,'N'),(25,6284272,'1',108,'N'),(25,6284280,'1',201,'N'),(25,6284280,'1A',652,'N'),(25,6284299,'1',208,'N'),(25,6284310,'1',324,'N'),(25,6284337,'1',213,'N'),(25,6284337,'1A',235,'N'),(25,6284345,'1',5,'N'),(25,6284353,'1',207,'N'),(25,6284353,'1A',233,'N'),(25,6284361,'1',103,'N'),(25,6284370,'1',201,'N'),(25,6284370,'1A',212,'N'),(25,6284388,'1',999,'N'),(25,6284396,'1',103,'N'),(25,6284418,'1',104,'N'),(25,6284426,'1',9,'N'),(25,6284434,'1',238,'N'),(25,6284434,'1A',208,'N'),(25,6284442,'1',452,'N'),(25,6284450,'1',999,'N'),(25,6284469,'1',201,'N'),(25,6284469,'1A',601,'N'),(25,6284477,'1',601,'N'),(25,6284485,'1',202,'N'),(25,6284485,'1A',220,'N'),(25,6284507,'1',207,'N'),(25,6284507,'1A',216,'N'),(25,6284515,'1',202,'N'),(25,6284515,'1A',216,'N'),(25,6284523,'1',336,'N'),(25,6284531,'1',303,'N'),(25,6284540,'1',103,'N'),(25,6284558,'1',999,'N'),(25,6284566,'1',5,'N'),(25,6284574,'1',207,'N'),(25,6284574,'1A',201,'N'),(25,6284582,'1',104,'N'),(25,6284590,'1',301,'N'),(25,6284604,'1',336,'N'),(25,6284612,'1',110,'N'),(25,6284620,'1',103,'N'),(25,6284639,'1',308,'N'),(25,6284647,'1',201,'N'),(25,6284647,'1A',211,'N'),(25,6284655,'1',103,'N'),(25,6284663,'1',207,'N'),(25,6284663,'1A',201,'N'),(25,6284671,'1',201,'N'),(25,6284671,'1A',211,'N'),(25,6284698,'1',103,'N'),(25,6284701,'1',235,'N'),(25,6284701,'1A',208,'N'),(25,6284710,'1',213,'N'),(25,6284710,'1A',238,'N'),(25,6284728,'1',211,'N'),(25,6284728,'1A',601,'N'),(25,6284736,'1',404,'N'),(25,6284752,'1',207,'N'),(25,6284752,'1A',215,'N'),(25,6284760,'1',999,'N'),(25,6284779,'1',103,'N'),(25,6284787,'1',426,'N'),(25,6284787,'1A',423,'N'),(25,6284795,'1',109,'N'),(25,6284809,'1',999,'N'),(25,6284817,'1',336,'N'),(25,6284825,'1',303,'N'),(25,6284833,'1',452,'N'),(25,6284841,'1',202,'N'),(25,6284841,'1A',235,'N'),(25,6284850,'1',103,'N'),(25,6284868,'1',104,'N'),(25,6284876,'1',302,'N'),(25,6284884,'1',103,'N'),(25,6284906,'1',103,'N'),(25,6284914,'1',201,'N'),(25,6284922,'1',103,'N'),(25,6284930,'1',103,'N'),(25,6284949,'1',212,'N'),(25,6284949,'1A',211,'N'),(25,6284957,'1',214,'N'),(25,6284957,'1A',203,'N'),(25,6284965,'1',103,'N'),(25,6284973,'1',103,'N'),(25,6284981,'1',103,'N'),(25,6284990,'1',235,'N'),(25,6284990,'1A',238,'N'),(25,6285007,'1',420,'N'),(25,6285015,'1',303,'N'),(25,6285040,'1',235,'N'),(25,6285040,'1A',601,'N'),(25,6285058,'1',216,'N'),(25,6285058,'1A',203,'N'),(25,6285066,'1',238,'N'),(25,6285066,'1A',208,'N'),(25,6285074,'1',999,'N'),(25,6285082,'1',207,'N'),(25,6285082,'1A',212,'N'),(25,6285090,'1',655,'N'),(25,6285090,'1A',653,'N'),(25,6285104,'1',103,'N'),(25,6285112,'1',5,'N'),(25,6285120,'1',103,'N'),(25,6285139,'1',444,'N'),(25,6285147,'1',415,'N'),(25,6285155,'1',103,'N'),(25,6285163,'1',999,'N'),(25,6285171,'1',216,'N'),(25,6285171,'1A',215,'N'),(25,6285180,'1',201,'N'),(25,6285180,'1A',203,'N'),(25,6285198,'1',207,'N'),(25,6285198,'1A',201,'N'),(25,6285201,'1',999,'N'),(25,6285210,'1',2,'N'),(25,6285228,'1',324,'N'),(25,6285244,'1',207,'N'),(25,6285244,'1A',201,'N'),(25,6285252,'1',103,'N'),(25,6285260,'1',421,'N'),(25,6285260,'1A',425,'N'),(25,6285279,'1',320,'N'),(25,6285287,'1',201,'N'),(25,6285287,'1A',235,'N'),(25,6285295,'1',104,'N'),(25,6285309,'1',109,'N'),(25,6285317,'1',103,'N'),(25,6285325,'1',326,'N'),(25,6285333,'1',301,'N'),(25,6285341,'1',319,'N'),(25,6285350,'1',202,'N'),(25,6285350,'1A',208,'N'),(25,6285392,'1',207,'N'),(25,6285392,'1A',233,'N'),(25,6285414,'1',5,'N'),(25,6285422,'1',654,'N'),(25,6285430,'1',502,'N'),(25,6285449,'1',653,'N'),(25,6285449,'1A',211,'N'),(25,6285457,'1',316,'N'),(25,6285473,'1',5,'N'),(25,6285481,'1',233,'N'),(25,6285481,'1A',235,'N'),(25,6285490,'1',207,'N'),(25,6285490,'1A',215,'N'),(25,6285503,'1',340,'N'),(25,6285520,'1',303,'N'),(25,6285538,'1',103,'N'),(25,6285562,'1',109,'N'),(25,6285570,'1',103,'N'),(25,6285589,'1',601,'N'),(25,6285589,'1A',215,'N'),(25,6285597,'1',415,'N'),(25,6285600,'1',220,'N'),(25,6285600,'1A',233,'N'),(25,6285619,'1',601,'N'),(25,6285619,'1A',202,'N'),(25,6285635,'1',202,'N'),(25,6285635,'1A',233,'N'),(25,6285643,'1',444,'N'),(25,6285651,'1',103,'N'),(25,6285660,'1',652,'N'),(25,6285660,'1A',655,'N'),(25,6285686,'1',103,'N'),(25,6285694,'1',103,'N'),(25,6285708,'1',335,'N'),(25,6285724,'1',3,'N'),(25,6285732,'1',201,'N'),(25,6285732,'1A',212,'N'),(25,6285740,'1',102,'N'),(25,6285767,'1',220,'N'),(25,6285767,'1A',203,'N'),(25,6285775,'1',415,'N'),(25,6285783,'1',5,'N'),(25,6285805,'1',503,'N'),(25,6285821,'1',235,'N'),(25,6285821,'1A',238,'N'),(25,6285830,'1',104,'N'),(25,6285848,'1',203,'N'),(25,6285848,'1A',235,'N'),(25,6285856,'1',601,'N'),(25,6285856,'1A',653,'N'),(25,6285864,'1',452,'N'),(25,6285872,'1',9,'N'),(25,6285899,'1',103,'N'),(25,6285902,'1',415,'N'),(25,6285910,'1',103,'N'),(25,6285929,'1',601,'N'),(25,6285937,'1',103,'N'),(25,6285945,'1',101,'N'),(25,6285953,'1',103,'N'),(25,6285961,'1',104,'N'),(25,6285970,'1',103,'N'),(25,6285988,'1',109,'N'),(25,6285996,'1',103,'N'),(25,6286003,'1',201,'N'),(25,6286003,'1A',202,'N'),(25,6286011,'1',201,'N'),(25,6286011,'1A',211,'N'),(25,6286020,'1',301,'N'),(25,6286038,'1',601,'N'),(25,6286038,'1A',214,'N'),(25,6286046,'1',9,'N'),(25,6286062,'1',301,'N'),(25,6286070,'1',103,'N'),(25,6286089,'1',319,'N'),(25,6286097,'1',207,'N'),(25,6286097,'1A',201,'N'),(25,6286100,'1',310,'N'),(25,6286119,'1',303,'N'),(25,6286127,'1',203,'N'),(25,6286127,'1A',216,'N'),(25,6286135,'1',415,'N'),(25,6286143,'1',235,'N'),(25,6286143,'1A',220,'N'),(25,6286160,'1',302,'N'),(25,6286178,'1',235,'N'),(25,6286178,'1A',233,'N'),(25,6286186,'1',102,'N'),(25,6286194,'1',999,'N'),(25,6286208,'1',318,'N'),(25,6286224,'1',216,'N'),(25,6286224,'1A',202,'N'),(25,6286232,'1',203,'N'),(25,6286232,'1A',220,'N'),(25,6286240,'1',109,'N'),(25,6286259,'1',415,'N'),(25,6286267,'1',103,'N'),(25,6286275,'1',318,'N'),(25,6286283,'1',420,'N'),(25,6286291,'1',999,'N'),(25,6286305,'1',234,'N'),(25,6286313,'1',304,'N'),(25,6286321,'1',501,'N'),(25,6286330,'1',303,'N'),(25,6286348,'1',5,'N'),(25,6286356,'1',303,'N'),(25,6286372,'1',303,'N'),(25,6286380,'1',340,'N'),(25,6286399,'1',9,'N'),(25,6286410,'1',103,'N'),(25,6286429,'1',212,'N'),(25,6286429,'1A',201,'N'),(25,6286437,'1',303,'N'),(25,6286445,'1',654,'N'),(25,6286453,'1',601,'N'),(25,6286453,'1A',233,'N'),(25,6286461,'1',324,'N'),(25,6286470,'1',201,'N'),(25,6286488,'1',999,'N'),(25,6286496,'1',999,'N'),(25,6286500,'1',317,'N'),(25,6286518,'1',303,'N'),(25,6286526,'1',103,'N'),(25,6286542,'1',103,'N'),(25,6286550,'1',103,'N'),(25,6286569,'1',601,'N'),(25,6286569,'1A',201,'N'),(25,6286577,'1',601,'N'),(25,6286577,'1A',201,'N'),(25,6286593,'1',103,'N'),(25,6286607,'1',203,'N'),(25,6286607,'1A',220,'N'),(25,6286615,'1',203,'N'),(25,6286615,'1A',211,'N'),(25,6286623,'1',329,'N'),(25,6286631,'1',238,'N'),(25,6286631,'1A',208,'N'),(25,6286658,'1',108,'N'),(25,6286666,'1',207,'N'),(25,6286666,'1A',201,'N'),(25,6286674,'1',333,'N'),(25,6286682,'1',208,'N'),(25,6286682,'1A',238,'N'),(25,6286690,'1',225,'N'),(25,6286704,'1',103,'N'),(25,6286712,'1',103,'N'),(25,6286720,'1',238,'N'),(25,6286720,'1A',208,'N'),(25,6286739,'1',207,'N'),(25,6286739,'1A',233,'N'),(25,6286747,'1',999,'N'),(25,6286755,'1',653,'N'),(25,6286755,'1A',655,'N'),(25,6286763,'1',103,'N'),(25,6286780,'1',212,'N'),(25,6286780,'1A',213,'N'),(25,6286798,'1',104,'N'),(25,6286801,'1',109,'N'),(25,6286828,'1',201,'N'),(25,6286828,'1A',203,'N'),(25,6286844,'1',303,'N'),(25,6286852,'1',214,'N'),(25,6286852,'1A',212,'N'),(25,6286860,'1',336,'N'),(25,6286879,'1',318,'N'),(25,6286887,'1',202,'N'),(25,6286887,'1A',207,'N'),(25,6286895,'1',444,'N'),(25,6286909,'1',429,'N'),(25,6286909,'1A',425,'N'),(25,6286917,'1',238,'N'),(25,6286917,'1A',212,'N'),(25,6286925,'1',340,'N'),(25,6286941,'1',444,'N'),(25,6286950,'1',103,'N'),(25,6286968,'1',202,'N'),(25,6286968,'1A',238,'N'),(25,6286976,'1',201,'N'),(25,6286976,'1A',233,'N'),(25,6286984,'1',319,'N'),(25,6286992,'1',601,'N'),(25,6287018,'1',404,'N'),(25,6287026,'1',601,'N'),(25,6287034,'1',303,'N'),(25,6287042,'1',655,'N'),(25,6287042,'1A',653,'N'),(25,6287050,'1',404,'N'),(25,6287069,'1',337,'N'),(25,6287077,'1',3,'N'),(25,6287085,'1',302,'N'),(25,6287115,'1',103,'N'),(25,6287123,'1',103,'N'),(25,6287131,'1',103,'N'),(25,6287140,'1',5,'N'),(25,6287158,'1',201,'N'),(25,6287158,'1A',212,'N'),(25,6287166,'1',302,'N'),(25,6287174,'1',425,'N'),(25,6287182,'1',302,'N'),(25,6287190,'1',303,'N'),(25,6287204,'1',103,'N'),(25,6287212,'1',502,'N'),(25,6287220,'1',103,'N'),(25,6287247,'1',655,'N'),(25,6287247,'1A',208,'N'),(25,6287255,'1',338,'N'),(25,6287263,'1',203,'N'),(25,6287263,'1A',214,'N'),(25,6287271,'1',340,'N'),(25,6287280,'1',317,'N'),(25,6287298,'1',225,'N'),(25,6287310,'1',201,'N'),(25,6287310,'1A',212,'N'),(25,6287328,'1',303,'N'),(25,6287336,'1',103,'N'),(25,6287344,'1',212,'N'),(25,6287344,'1A',233,'N'),(25,6287360,'1',999,'N'),(25,6287379,'1',101,'N'),(25,6287387,'1',203,'N'),(25,6287387,'1A',202,'N'),(25,6287395,'1',303,'N'),(25,6287409,'1',104,'N'),(25,6287417,'1',425,'N'),(25,6287417,'1A',429,'N'),(25,6287425,'1',601,'N'),(25,6287425,'1A',211,'N'),(25,6287433,'1',108,'N'),(25,6287450,'1',551,'N'),(25,6287468,'1',3,'N'),(25,6287476,'1',333,'N'),(25,6287484,'1',332,'N'),(25,6287492,'1',103,'N'),(25,6287506,'1',108,'N'),(25,6287514,'1',652,'N'),(25,6287514,'1A',655,'N'),(25,6287530,'1',317,'N'),(25,6287549,'1',216,'N'),(25,6287549,'1A',233,'N'),(25,6287557,'1',202,'N'),(25,6287557,'1A',201,'N'),(25,6287565,'1',302,'N'),(25,6287581,'1',103,'N'),(25,6287590,'1',303,'N'),(25,6287603,'1',551,'N'),(25,6287611,'1',318,'N'),(25,6287620,'1',103,'N'),(25,6287638,'1',303,'N'),(25,6287646,'1',238,'N'),(25,6287646,'1A',208,'N'),(25,6287662,'1',340,'N'),(25,6287689,'1',336,'N'),(25,6287697,'1',207,'N'),(25,6287697,'1A',201,'N'),(25,6287700,'1',429,'N'),(25,6287700,'1A',423,'N'),(25,6287727,'1',420,'N'),(25,6287735,'1',426,'N'),(25,6287735,'1A',425,'N'),(25,6287743,'1',308,'N'),(25,6287751,'1',301,'N'),(25,6287760,'1',304,'N'),(25,6287786,'1',316,'N'),(25,6287794,'1',103,'N'),(25,6287808,'1',423,'N'),(25,6287808,'1A',428,'N'),(25,6287816,'1',308,'N'),(25,6287824,'1',102,'N'),(25,6287832,'1',551,'N'),(25,6287840,'1',654,'N'),(25,6287859,'1',551,'N'),(25,6287875,'1',404,'N'),(25,6287883,'1',653,'N'),(25,6287883,'1A',652,'N'),(25,6287891,'1',654,'N'),(25,6287905,'1',308,'N'),(25,6287913,'1',101,'N'),(25,6287921,'1',331,'N'),(25,6287930,'1',501,'N'),(25,6287948,'1',331,'N'),(25,6287956,'1',452,'N'),(25,6287964,'1',103,'N'),(25,6287980,'1',103,'N'),(25,6287999,'1',203,'N'),(25,6287999,'1A',220,'N'),(25,6288006,'1',302,'N'),(25,6288014,'1',452,'N'),(25,6288022,'1',302,'N'),(25,6288049,'1',238,'N'),(25,6288049,'1A',208,'N'),(25,6288057,'1',319,'N'),(25,6288065,'1',201,'N'),(25,6288065,'1A',212,'N'),(25,6288073,'1',3,'N'),(25,6288081,'1',103,'N'),(25,6288103,'1',425,'N'),(25,6288103,'1A',429,'N'),(25,6288111,'1',444,'N'),(25,6288120,'1',108,'N'),(25,6288138,'1',103,'N'),(25,6288154,'1',201,'N'),(25,6288154,'1A',233,'N'),(25,6288162,'1',319,'N'),(25,6288197,'1',420,'N'),(25,6288200,'1',103,'N'),(25,6288219,'1',233,'N'),(25,6288219,'1A',211,'N'),(25,6288227,'1',203,'N'),(25,6288227,'1A',202,'N'),(25,6288235,'1',216,'N'),(25,6288235,'1A',212,'N'),(25,6288243,'1',203,'N'),(25,6288243,'1A',202,'N'),(25,6288251,'1',216,'N'),(25,6288251,'1A',653,'N'),(25,6288260,'1',415,'N'),(25,6288278,'1',318,'N'),(25,6288286,'1',212,'N'),(25,6288286,'1A',211,'N'),(25,6288294,'1',324,'N'),(25,6288308,'1',103,'N'),(25,6288316,'1',108,'N'),(25,6288324,'1',450,'N'),(25,6288332,'1',999,'N'),(25,6288359,'1',652,'N'),(25,6288359,'1A',655,'N'),(25,6288367,'1',326,'N'),(25,6288375,'1',101,'N'),(25,6288383,'1',202,'N'),(25,6288383,'1A',235,'N'),(25,6288391,'1',999,'N'),(25,6288405,'1',338,'N'),(25,6288413,'1',103,'N'),(25,6288421,'1',202,'N'),(25,6288421,'1A',655,'N'),(25,6288430,'1',653,'N'),(25,6288430,'1A',215,'N'),(25,6288448,'1',653,'N'),(25,6288448,'1A',201,'N'),(25,6288456,'1',324,'N'),(25,6288472,'1',319,'N'),(25,6288480,'1',103,'N'),(25,6288502,'1',202,'N'),(25,6288502,'1A',235,'N'),(25,6288510,'1',654,'N'),(25,6288529,'1',5,'N'),(25,6288545,'1',102,'N'),(25,6288553,'1',9,'N'),(25,6288561,'1',103,'N'),(25,6288570,'1',302,'N'),(25,6288588,'1',316,'N'),(25,6288596,'1',201,'N'),(25,6288596,'1A',207,'N'),(25,6288600,'1',5,'N'),(25,6288626,'1',103,'N'),(25,6288634,'1',453,'N'),(25,6288642,'1',201,'N'),(25,6288642,'1A',202,'N'),(25,6288650,'1',104,'N'),(25,6288669,'1',103,'N'),(25,6288677,'1',303,'N'),(25,6288685,'1',415,'N'),(25,6288693,'1',2,'N'),(25,6288707,'1',211,'N'),(25,6288707,'1A',207,'N'),(25,6288715,'1',5,'N'),(25,6288723,'1',319,'N'),(25,6288740,'1',220,'N'),(25,6288740,'1A',235,'N'),(25,6288758,'1',207,'N'),(25,6288766,'1',653,'N'),(25,6288766,'1A',652,'N'),(25,6288812,'1',601,'N'),(25,6288812,'1A',211,'N'),(25,6288820,'1',103,'N'),(25,6288839,'1',316,'N'),(25,6288847,'1',339,'N'),(25,6288855,'1',324,'N'),(25,6288871,'1',319,'N'),(25,6288880,'1',420,'N'),(25,6288898,'1',103,'N'),(25,6288901,'1',425,'N'),(25,6288901,'1A',429,'N'),(25,6288910,'1',108,'N'),(25,6288928,'1',415,'N'),(25,6288944,'1',233,'N'),(25,6288944,'1A',201,'N'),(25,6288952,'1',104,'N'),(25,6288960,'1',238,'N'),(25,6288960,'1A',652,'N'),(25,6288987,'1',104,'N'),(25,6288995,'1',233,'N'),(25,6288995,'1A',216,'N'),(25,6289002,'1',601,'N'),(25,6289002,'1A',215,'N'),(25,6289010,'1',103,'N'),(25,6289029,'1',302,'N'),(25,6289037,'1',207,'N'),(25,6289037,'1A',201,'N'),(25,6289053,'1',201,'N'),(25,6289061,'1',202,'N'),(25,6289061,'1A',235,'N'),(25,6289070,'1',104,'N'),(25,6289088,'1',404,'N'),(25,6289096,'1',109,'N'),(25,6289100,'1',102,'N'),(25,6289118,'1',213,'N'),(25,6289118,'1A',202,'N'),(25,6289126,'1',103,'N'),(25,6289134,'1',453,'N'),(25,6289142,'1',9,'N'),(25,6289150,'1',301,'N'),(25,6289169,'1',207,'N'),(25,6289169,'1A',201,'N'),(25,6289177,'1',319,'N'),(25,6289185,'1',208,'N'),(25,6289185,'1A',220,'N'),(25,6289193,'1',212,'N'),(25,6289193,'1A',207,'N'),(25,6289215,'1',223,'N'),(25,6289223,'1',317,'N'),(25,6289231,'1',501,'N'),(25,6289240,'1',201,'N'),(25,6289240,'1A',233,'N'),(25,6289258,'1',316,'N'),(25,6289266,'1',108,'N'),(25,6289274,'1',104,'N'),(25,6289290,'1',216,'N'),(25,6289290,'1A',601,'N'),(25,6289304,'1',201,'N'),(25,6289304,'1A',207,'N'),(25,6289320,'1',415,'N'),(25,6289339,'1',654,'N'),(25,6289347,'1',336,'N'),(25,6289355,'1',327,'N'),(25,6289363,'1',654,'N'),(25,6289371,'1',444,'N'),(25,6289380,'1',234,'N'),(25,6289398,'1',103,'N'),(25,6289428,'1',103,'N'),(25,6289444,'1',340,'N'),(25,6289460,'1',103,'N'),(25,6289479,'1',103,'N'),(25,6289487,'1',103,'N'),(25,6289495,'1',415,'N'),(25,6289509,'1',201,'N'),(25,6289509,'1A',233,'N'),(25,6289517,'1',327,'N'),(25,6289525,'1',999,'N'),(25,6289533,'1',233,'N'),(25,6289533,'1A',203,'N'),(25,6289541,'1',207,'N'),(25,6289541,'1A',201,'N'),(25,6289550,'1',103,'N'),(25,6289568,'1',103,'N'),(25,6289584,'1',201,'N'),(25,6289584,'1A',203,'N'),(25,6289606,'1',216,'N'),(25,6289606,'1A',233,'N'),(25,6289614,'1',103,'N'),(25,6289622,'1',109,'N'),(25,6289630,'1',317,'N'),(25,6289649,'1',104,'N'),(25,6289657,'1',201,'N'),(25,6289657,'1A',212,'N'),(25,6289665,'1',428,'N'),(25,6289665,'1A',427,'N'),(25,6289673,'1',108,'N'),(25,6289681,'1',333,'N'),(25,6289690,'1',207,'N'),(25,6289690,'1A',201,'N'),(25,6289703,'1',102,'N'),(25,6289711,'1',103,'N'),(25,6289738,'1',203,'N'),(25,6289738,'1A',655,'N'),(25,6289746,'1',110,'N'),(25,6289754,'1',201,'N'),(25,6289754,'1A',207,'N'),(25,6289770,'1',302,'N'),(25,6289789,'1',328,'N'),(25,6289797,'1',103,'N'),(25,6289800,'1',235,'N'),(25,6289800,'1A',203,'N'),(25,6289819,'1',319,'N'),(25,6289827,'1',203,'N'),(25,6289827,'1A',214,'N'),(25,6289835,'1',201,'N'),(25,6289835,'1A',203,'N'),(25,6289843,'1',103,'N'),(25,6289851,'1',319,'N'),(25,6289860,'1',103,'N'),(25,6289878,'1',103,'N'),(25,6289894,'1',238,'N'),(25,6289894,'1A',208,'N'),(25,6289924,'1',999,'N'),(25,6289932,'1',429,'N'),(25,6289932,'1A',426,'N'),(25,6289940,'1',203,'N'),(25,6289940,'1A',214,'N'),(25,6289967,'1',319,'N'),(25,6289975,'1',324,'N'),(25,6289983,'1',109,'N'),(25,6289991,'1',450,'N'),(25,6290000,'1',214,'N'),(25,6290000,'1A',213,'N'),(25,6290019,'1',328,'N'),(25,6290027,'1',202,'N'),(25,6290027,'1A',213,'N'),(25,6290035,'1',102,'N'),(25,6290043,'1',207,'N'),(25,6290043,'1A',201,'N'),(25,6290051,'1',203,'N'),(25,6290051,'1A',214,'N'),(25,6290060,'1',215,'N'),(25,6290060,'1A',233,'N'),(25,6290086,'1',425,'N'),(25,6290086,'1A',424,'N'),(25,6290094,'1',213,'N'),(25,6290094,'1A',235,'N'),(25,6290108,'1',103,'N'),(25,6290116,'1',201,'N'),(25,6290116,'1A',653,'N'),(25,6290132,'1',333,'N'),(25,6290140,'1',444,'N'),(25,6290159,'1',201,'N'),(25,6290159,'1A',212,'N'),(25,6290175,'1',203,'N'),(25,6290175,'1A',601,'N'),(25,6290183,'1',652,'N'),(25,6290183,'1A',655,'N'),(25,6290205,'1',216,'N'),(25,6290205,'1A',215,'N'),(25,6290230,'1',601,'N'),(25,6290230,'1A',201,'N'),(25,6290248,'1',654,'N'),(25,6290256,'1',108,'N'),(25,6290264,'1',5,'N'),(25,6290272,'1',415,'N'),(25,6290280,'1',103,'N'),(25,6290299,'1',3,'N'),(25,6290310,'1',104,'N'),(25,6290329,'1',203,'N'),(25,6290329,'1A',201,'N'),(25,6290345,'1',999,'N'),(25,6290353,'1',303,'N'),(25,6290361,'1',203,'N'),(25,6290361,'1A',235,'N'),(25,6290388,'1',208,'N'),(25,6290388,'1A',201,'N'),(25,6290396,'1',316,'N'),(25,6290400,'1',601,'N'),(25,6290400,'1A',201,'N'),(25,6290418,'1',104,'N'),(25,6290426,'1',5,'N'),(25,6290434,'1',220,'N'),(25,6290434,'1A',208,'N'),(25,6290442,'1',103,'N'),(25,6290450,'1',202,'N'),(25,6290450,'1A',213,'N'),(25,6290469,'1',601,'N'),(25,6290469,'1A',208,'N'),(25,6290477,'1',450,'N'),(25,6290485,'1',320,'N'),(25,6290493,'1',102,'N'),(25,6290507,'1',316,'N'),(25,6290515,'1',303,'N'),(25,6290540,'1',213,'N'),(25,6290540,'1A',235,'N'),(25,6290558,'1',999,'N'),(25,6290566,'1',427,'N'),(25,6290566,'1A',424,'N'),(25,6290574,'1',201,'N'),(25,6290574,'1A',212,'N'),(25,6290590,'1',203,'N'),(25,6290590,'1A',601,'N'),(25,6290612,'1',420,'N'),(25,6290620,'1',104,'N'),(25,6290647,'1',303,'N'),(25,6290655,'1',104,'N'),(25,6290663,'1',238,'N'),(25,6290663,'1A',235,'N'),(25,6290671,'1',216,'N'),(25,6290671,'1A',215,'N'),(25,6290680,'1',109,'N'),(25,6290698,'1',340,'N'),(25,6290701,'1',303,'N'),(25,6290710,'1',234,'N'),(25,6290728,'1',214,'N'),(25,6290728,'1A',203,'N'),(25,6290736,'1',103,'N'),(25,6290744,'1',326,'N'),(25,6290752,'1',103,'N'),(25,6290760,'1',326,'N'),(25,6290779,'1',208,'N'),(25,6290779,'1A',203,'N'),(25,6290787,'1',103,'N'),(25,6290795,'1',319,'N'),(25,6290809,'1',202,'N'),(25,6290809,'1A',216,'N'),(25,6290817,'1',201,'N'),(25,6290817,'1A',211,'N'),(25,6290850,'1',211,'N'),(25,6290850,'1A',207,'N'),(25,6290876,'1',301,'N'),(25,6290884,'1',110,'N'),(25,6290892,'1',501,'N'),(25,6290906,'1',211,'N'),(25,6290906,'1A',215,'N'),(25,6290914,'1',319,'N'),(25,6290922,'1',109,'N'),(25,6290930,'1',601,'N'),(25,6290930,'1A',201,'N'),(25,6290949,'1',303,'N'),(25,6290965,'1',238,'N'),(25,6290965,'1A',233,'N'),(25,6290973,'1',211,'N'),(25,6290973,'1A',215,'N'),(25,6290981,'1',303,'N'),(25,6290990,'1',501,'N'),(25,6291015,'1',444,'N'),(25,6291023,'1',336,'N'),(25,6291031,'1',5,'N'),(25,6291040,'1',211,'N'),(25,6291040,'1A',233,'N'),(25,6291058,'1',9,'N'),(25,6291066,'1',205,'N'),(25,6291074,'1',102,'N'),(25,6291082,'1',212,'N'),(25,6291082,'1A',211,'N'),(25,6291090,'1',207,'N'),(25,6291090,'1A',208,'N'),(25,6291112,'1',453,'N'),(25,6291120,'1',103,'N'),(25,6291155,'1',654,'N'),(25,6291163,'1',551,'N'),(25,6291171,'1',423,'N'),(25,6291180,'1',601,'N'),(25,6291180,'1A',207,'N'),(25,6291201,'1',103,'N'),(25,6291210,'1',999,'N'),(25,6291228,'1',551,'N'),(25,6291236,'1',302,'N'),(25,6291244,'1',211,'N'),(25,6291244,'1A',215,'N'),(25,6291252,'1',654,'N'),(25,6291260,'1',331,'N'),(25,6291279,'1',303,'N'),(25,6291287,'1',316,'N'),(25,6291295,'1',319,'N'),(25,6291309,'1',212,'N'),(25,6291309,'1A',201,'N'),(25,6291317,'1',103,'N'),(25,6291325,'1',601,'N'),(25,6291341,'1',103,'N'),(25,6291350,'1',415,'N'),(25,6291368,'1',601,'N'),(25,6291376,'1',340,'N'),(25,6291392,'1',223,'N'),(25,6291406,'1',103,'N'),(25,6291422,'1',301,'N'),(25,6291449,'1',404,'N'),(25,6291457,'1',324,'N'),(25,6291465,'1',201,'N'),(25,6291465,'1A',212,'N'),(25,6291473,'1',5,'N'),(25,6291481,'1',102,'N'),(25,6291503,'1',601,'N'),(25,6291503,'1A',216,'N'),(25,6291511,'1',5,'N'),(25,6291520,'1',211,'N'),(25,6291520,'1A',216,'N'),(25,6291538,'1',999,'N'),(25,6291546,'1',338,'N'),(25,6291554,'1',428,'N'),(25,6291554,'1A',426,'N'),(25,6291562,'1',220,'N'),(25,6291570,'1',207,'N'),(25,6291570,'1A',201,'N'),(25,6291589,'1',444,'N'),(25,6291597,'1',316,'N'),(25,6291600,'1',444,'N'),(25,6291619,'1',103,'N'),(25,6291627,'1',301,'N'),(25,6291635,'1',655,'N'),(25,6291635,'1A',201,'N'),(25,6291643,'1',103,'N'),(25,6291651,'1',303,'N'),(25,6291678,'1',3,'N'),(25,6291686,'1',654,'N'),(25,6291694,'1',5,'N'),(25,6291708,'1',207,'N'),(25,6291708,'1A',201,'N'),(25,6291716,'1',5,'N'),(25,6291732,'1',415,'N'),(25,6291740,'1',108,'N'),(25,6291767,'1',451,'N'),(25,6291775,'1',211,'N'),(25,6291775,'1A',215,'N'),(25,6291783,'1',238,'N'),(25,6291783,'1A',235,'N'),(25,6291805,'1',102,'N'),(25,6291813,'1',5,'N'),(25,6291821,'1',215,'N'),(25,6291830,'1',654,'N'),(25,6291848,'1',301,'N'),(25,6291856,'1',302,'N'),(25,6291864,'1',5,'N'),(25,6291872,'1',304,'N'),(25,6291880,'1',304,'N'),(25,6291899,'1',601,'N'),(25,6291910,'1',201,'N'),(25,6291910,'1A',212,'N'),(25,6291937,'1',5,'N'),(25,6291945,'1',103,'N'),(25,6291953,'1',317,'N'),(25,6291961,'1',999,'N'),(25,6291970,'1',601,'N'),(25,6291970,'1A',216,'N'),(25,6291988,'1',202,'N'),(25,6291988,'1A',220,'N'),(25,6291996,'1',601,'N'),(25,6291996,'1A',213,'N'),(25,6292003,'1',327,'N'),(25,6292011,'1',404,'N'),(25,6292020,'1',103,'N'),(25,6292038,'1',423,'N'),(25,6292038,'1A',427,'N'),(25,6292046,'1',5,'N'),(25,6292054,'1',102,'N'),(25,6292062,'1',103,'N'),(25,6292070,'1',203,'N'),(25,6292070,'1A',235,'N'),(25,6292089,'1',201,'N'),(25,6292089,'1A',233,'N'),(25,6292097,'1',220,'N'),(25,6292097,'1A',235,'N'),(25,6292100,'1',421,'N'),(25,6292100,'1A',427,'N'),(25,6292119,'1',301,'N'),(25,6292127,'1',319,'N'),(25,6292143,'1',103,'N'),(25,6292160,'1',303,'N'),(25,6292178,'1',551,'N'),(25,6292186,'1',332,'N'),(25,6292224,'1',207,'N'),(25,6292224,'1A',201,'N'),(25,6292232,'1',304,'N'),(25,6292240,'1',331,'N'),(25,6292259,'1',303,'N'),(25,6292267,'1',201,'N'),(25,6292267,'1A',601,'N'),(25,6292275,'1',103,'N'),(25,6292283,'1',208,'N'),(25,6292283,'1A',211,'N'),(25,6292291,'1',109,'N'),(25,6292313,'1',503,'N'),(25,6292321,'1',201,'N'),(25,6292330,'1',316,'N'),(25,6292348,'1',501,'N'),(25,6292356,'1',103,'N'),(25,6292364,'1',319,'N'),(25,6292372,'1',103,'N'),(25,6292380,'1',202,'N'),(25,6292380,'1A',653,'N'),(25,6292399,'1',203,'N'),(25,6292399,'1A',216,'N'),(25,6292410,'1',317,'N'),(25,6292429,'1',103,'N'),(25,6292437,'1',103,'N'),(25,6292445,'1',450,'N'),(25,6292453,'1',102,'N'),(25,6292461,'1',207,'N'),(25,6292461,'1A',201,'N'),(25,6292470,'1',207,'N'),(25,6292470,'1A',212,'N'),(25,6292488,'1',303,'N'),(25,6292496,'1',103,'N'),(25,6292500,'1',207,'N'),(25,6292500,'1A',201,'N'),(25,6292518,'1',336,'N'),(25,6292526,'1',316,'N'),(25,6292534,'1',103,'N'),(25,6292542,'1',601,'N'),(25,6292542,'1A',238,'N'),(25,6292550,'1',327,'N'),(25,6292569,'1',208,'N'),(25,6292569,'1A',238,'N'),(25,6292585,'1',5,'N'),(25,6292593,'1',326,'N'),(25,6292607,'1',339,'N'),(25,6292615,'1',104,'N'),(25,6292631,'1',215,'N'),(25,6292631,'1A',652,'N'),(25,6292640,'1',425,'N'),(25,6292640,'1A',423,'N'),(25,6292658,'1',201,'N'),(25,6292658,'1A',238,'N'),(25,6292666,'1',203,'N'),(25,6292666,'1A',214,'N'),(25,6292674,'1',103,'N'),(25,6292682,'1',213,'N'),(25,6292682,'1A',653,'N'),(25,6292704,'1',304,'N'),(25,6292712,'1',303,'N'),(25,6292739,'1',103,'N'),(25,6292747,'1',404,'N'),(25,6292755,'1',308,'N'),(25,6292763,'1',303,'N'),(25,6292780,'1',999,'N'),(25,6292798,'1',336,'N'),(25,6292801,'1',340,'N'),(25,6292836,'1',208,'N'),(25,6292836,'1A',652,'N'),(25,6292844,'1',201,'N'),(25,6292844,'1A',212,'N'),(25,6292852,'1',415,'N'),(25,6292860,'1',211,'N'),(25,6292860,'1A',215,'N'),(25,6292879,'1',501,'N'),(25,6292887,'1',5,'N'),(25,6292895,'1',317,'N'),(25,6292909,'1',303,'N'),(25,6292917,'1',202,'N'),(25,6292917,'1A',213,'N'),(25,6292925,'1',103,'N'),(25,6292933,'1',303,'N'),(25,6292941,'1',101,'N'),(25,6292950,'1',340,'N'),(25,6292968,'1',653,'N'),(25,6292968,'1A',211,'N'),(25,6292976,'1',104,'N'),(25,6292984,'1',103,'N'),(25,6293000,'1',104,'N'),(25,6293026,'1',201,'N'),(25,6293026,'1A',220,'N'),(25,6293034,'1',336,'N'),(25,6293050,'1',216,'N'),(25,6293050,'1A',215,'N'),(25,6293069,'1',201,'N'),(25,6293069,'1A',202,'N'),(25,6293077,'1',103,'N'),(25,6293085,'1',503,'N'),(25,6293093,'1',317,'N'),(25,6293107,'1',429,'N'),(25,6293107,'1A',425,'N'),(25,6293115,'1',103,'N'),(25,6293123,'1',309,'N'),(25,6293131,'1',103,'N'),(25,6293140,'1',654,'N'),(25,6293158,'1',103,'N'),(25,6293166,'1',102,'N'),(25,6293182,'1',304,'N'),(25,6293190,'1',207,'N'),(25,6293190,'1A',201,'N'),(25,6293204,'1',340,'N'),(25,6293212,'1',103,'N'),(25,6293220,'1',317,'N'),(25,6293239,'1',213,'N'),(25,6293239,'1A',202,'N'),(25,6293247,'1',207,'N'),(25,6293247,'1A',201,'N'),(25,6293263,'1',201,'N'),(25,6293263,'1A',203,'N'),(25,6293298,'1',429,'N'),(25,6293298,'1A',423,'N'),(25,6293310,'1',601,'N'),(25,6293310,'1A',201,'N'),(25,6293328,'1',317,'N'),(25,6293336,'1',303,'N'),(25,6293344,'1',999,'N'),(25,6293352,'1',201,'N'),(25,6293352,'1A',212,'N'),(25,6293360,'1',317,'N'),(25,6293379,'1',208,'N'),(25,6293387,'1',201,'N'),(25,6293387,'1A',202,'N'),(25,6293395,'1',308,'N'),(25,6293409,'1',233,'N'),(25,6293409,'1A',201,'N'),(25,6293417,'1',303,'N'),(25,6293425,'1',319,'N'),(25,6293433,'1',601,'N'),(25,6293441,'1',452,'N'),(25,6293450,'1',601,'N'),(25,6293450,'1A',220,'N'),(25,6293476,'1',203,'N'),(25,6293476,'1A',201,'N'),(25,6293492,'1',301,'N'),(25,6293506,'1',303,'N'),(25,6293514,'1',103,'N'),(25,6293522,'1',340,'N'),(25,6293549,'1',207,'N'),(25,6293549,'1A',201,'N'),(25,6293557,'1',201,'N'),(25,6293557,'1A',601,'N'),(25,6293581,'1',501,'N'),(25,6293590,'1',203,'N'),(25,6293590,'1A',235,'N'),(25,6293603,'1',9,'N'),(25,6293611,'1',301,'N'),(25,6293620,'1',238,'N'),(25,6293620,'1A',208,'N'),(25,6293638,'1',203,'N'),(25,6293638,'1A',601,'N'),(25,6293646,'1',652,'N'),(25,6293646,'1A',238,'N'),(25,6293654,'1',103,'N'),(25,6293662,'1',320,'N'),(25,6293670,'1',103,'N'),(25,6293689,'1',999,'N'),(25,6293697,'1',9,'N'),(25,6293700,'1',109,'N'),(25,6293719,'1',429,'N'),(25,6293719,'1A',425,'N'),(25,6293727,'1',308,'N'),(25,6293735,'1',208,'N'),(25,6293743,'1',202,'N'),(25,6293743,'1A',235,'N'),(25,6293751,'1',320,'N'),(25,6293760,'1',404,'N'),(25,6293778,'1',103,'N'),(25,6293794,'1',5,'N'),(25,6293808,'1',208,'N'),(25,6293808,'1A',203,'N'),(25,6293816,'1',301,'N'),(25,6293824,'1',103,'N'),(25,6293832,'1',303,'N'),(25,6293840,'1',328,'N'),(25,6293859,'1',319,'N'),(25,6293867,'1',338,'N'),(25,6293875,'1',654,'N'),(25,6293883,'1',319,'N'),(25,6293891,'1',303,'N'),(25,6293905,'1',103,'N'),(25,6293913,'1',999,'N'),(25,6293921,'1',208,'N'),(25,6293948,'1',303,'N'),(25,6293956,'1',103,'N'),(25,6293964,'1',108,'N'),(25,6293972,'1',319,'N'),(25,6293999,'1',214,'N'),(25,6293999,'1A',203,'N'),(25,6294006,'1',211,'N'),(25,6294006,'1A',216,'N'),(25,6294014,'1',104,'N'),(25,6294049,'1',207,'N'),(25,6294049,'1A',201,'N'),(25,6294057,'1',337,'N'),(25,6294065,'1',201,'N'),(25,6294065,'1A',207,'N'),(25,6294073,'1',103,'N'),(25,6294081,'1',450,'N'),(25,6294090,'1',428,'N'),(25,6294090,'1A',426,'N'),(25,6294103,'1',207,'N'),(25,6294120,'1',213,'N'),(25,6294120,'1A',601,'N'),(25,6294138,'1',308,'N'),(25,6294146,'1',201,'N'),(25,6294146,'1A',212,'N'),(25,6294154,'1',220,'N'),(25,6294154,'1A',203,'N'),(25,6294162,'1',999,'N'),(25,6294170,'1',208,'N'),(25,6294189,'1',211,'N'),(25,6294189,'1A',653,'N'),(25,6294197,'1',103,'N'),(25,6294200,'1',654,'N'),(25,6294219,'1',601,'N'),(25,6294219,'1A',201,'N'),(25,6294227,'1',103,'N'),(25,6294235,'1',340,'N'),(25,6294243,'1',301,'N'),(25,6294251,'1',103,'N'),(25,6294278,'1',103,'N'),(25,6294286,'1',211,'N'),(25,6294286,'1A',216,'N'),(25,6294294,'1',2,'N'),(25,6294308,'1',211,'N'),(25,6294308,'1A',215,'N'),(25,6294316,'1',203,'N'),(25,6294316,'1A',220,'N'),(25,6294340,'1',212,'N'),(25,6294359,'1',999,'N'),(25,6294367,'1',103,'N'),(25,6294375,'1',207,'N'),(25,6294375,'1A',201,'N'),(25,6294383,'1',309,'N'),(25,6294391,'1',102,'N'),(25,6294405,'1',318,'N'),(25,6294413,'1',103,'N'),(25,6294421,'1',214,'N'),(25,6294421,'1A',233,'N'),(25,6294430,'1',444,'N'),(25,6294448,'1',444,'N'),(25,6294456,'1',301,'N'),(25,6294464,'1',303,'N'),(25,6294472,'1',319,'N'),(25,6294480,'1',201,'N'),(25,6294480,'1A',212,'N'),(25,6294499,'1',214,'N'),(25,6294499,'1A',203,'N'),(25,6294502,'1',103,'N'),(25,6294510,'1',108,'N'),(25,6294529,'1',103,'N'),(25,6294537,'1',502,'N'),(25,6294553,'1',5,'N'),(25,6294570,'1',108,'N'),(25,6294588,'1',103,'N'),(25,6294596,'1',213,'N'),(25,6294596,'1A',601,'N'),(25,6294600,'1',444,'N'),(25,6294626,'1',9,'N'),(25,6294642,'1',304,'N'),(25,6294650,'1',601,'N'),(25,6294669,'1',103,'N'),(25,6294693,'1',202,'N'),(25,6294693,'1A',213,'N'),(25,6294707,'1',104,'N'),(25,6294715,'1',212,'N'),(25,6294715,'1A',214,'N'),(25,6294723,'1',223,'N'),(25,6294731,'1',327,'N'),(25,6294740,'1',654,'N'),(25,6294758,'1',103,'N'),(25,6294766,'1',208,'N'),(25,6294766,'1A',235,'N'),(25,6294774,'1',234,'N'),(25,6294782,'1',203,'N'),(25,6294782,'1A',216,'N'),(25,6294790,'1',5,'N'),(25,6294804,'1',304,'N'),(25,6294812,'1',303,'N'),(25,6294820,'1',238,'N'),(25,6294820,'1A',208,'N'),(25,6294839,'1',103,'N'),(25,6294847,'1',653,'N'),(25,6294855,'1',224,'N'),(25,6294863,'1',316,'N'),(25,6294880,'1',207,'N'),(25,6294880,'1A',215,'N'),(25,6294898,'1',103,'N'),(25,6294901,'1',9,'N'),(25,6294910,'1',102,'N'),(25,6294928,'1',214,'N'),(25,6294928,'1A',203,'N'),(25,6294952,'1',207,'N'),(25,6294952,'1A',208,'N'),(25,6294960,'1',103,'N'),(25,6294987,'1',238,'N'),(25,6294987,'1A',208,'N'),(25,6294995,'1',238,'N'),(25,6294995,'1A',208,'N'),(25,6295002,'1',103,'N'),(25,6295037,'1',319,'N'),(25,6295045,'1',201,'N'),(25,6295045,'1A',212,'N'),(25,6295053,'1',303,'N'),(25,6295061,'1',9,'N'),(25,6295070,'1',9,'N'),(25,6295088,'1',201,'N'),(25,6295088,'1A',211,'N'),(25,6295096,'1',303,'N'),(25,6295100,'1',212,'N'),(25,6295100,'1A',207,'N'),(25,6295118,'1',452,'N'),(25,6295126,'1',3,'N'),(25,6295134,'1',102,'N'),(25,6295142,'1',216,'N'),(25,6295142,'1A',601,'N'),(25,6295150,'1',201,'N'),(25,6295150,'1A',203,'N'),(25,6295177,'1',201,'N'),(25,6295177,'1A',207,'N'),(25,6295185,'1',5,'N'),(25,6295193,'1',103,'N'),(25,6295207,'1',215,'N'),(25,6295207,'1A',216,'N'),(25,6295215,'1',301,'N'),(25,6295231,'1',102,'N'),(25,6295240,'1',303,'N'),(25,6295258,'1',3,'N'),(25,6295274,'1',103,'N'),(25,6295282,'1',203,'N'),(25,6295282,'1A',235,'N'),(25,6295304,'1',303,'N'),(25,6295312,'1',601,'N'),(25,6295312,'1A',202,'N'),(25,6295320,'1',103,'N'),(25,6295339,'1',201,'N'),(25,6295339,'1A',213,'N'),(25,6295347,'1',103,'N'),(25,6295355,'1',108,'N'),(25,6295363,'1',211,'N'),(25,6295371,'1',108,'N'),(25,6295380,'1',102,'N'),(25,6295398,'1',202,'N'),(25,6295410,'1',5,'N'),(25,6295428,'1',999,'N'),(25,6295436,'1',103,'N'),(25,6295444,'1',103,'N'),(25,6295452,'1',339,'N'),(25,6295460,'1',5,'N'),(25,6295479,'1',999,'N'),(25,6295495,'1',340,'N'),(25,6295509,'1',453,'N'),(25,6295517,'1',501,'N'),(25,6295533,'1',999,'N'),(25,6295541,'1',303,'N'),(25,6295550,'1',103,'N'),(25,6295568,'1',103,'N'),(25,6295576,'1',501,'N'),(25,6295584,'1',203,'N'),(25,6295584,'1A',601,'N'),(25,6295592,'1',652,'N'),(25,6295592,'1A',655,'N'),(25,6295606,'1',103,'N'),(25,6295614,'1',201,'N'),(25,6295614,'1A',235,'N'),(25,6295622,'1',216,'N'),(25,6295622,'1A',215,'N'),(25,6295630,'1',425,'N'),(25,6295630,'1A',429,'N'),(25,6295649,'1',420,'N'),(25,6295657,'1',339,'N'),(25,6295665,'1',103,'N'),(25,6295673,'1',202,'N'),(25,6295673,'1A',235,'N'),(25,6295681,'1',212,'N'),(25,6295681,'1A',214,'N'),(25,6295690,'1',103,'N'),(25,6295711,'1',202,'N'),(25,6295711,'1A',203,'N'),(25,6295720,'1',238,'N'),(25,6295720,'1A',208,'N'),(25,6295738,'1',3,'N'),(25,6295746,'1',420,'N'),(25,6295754,'1',103,'N'),(25,6295762,'1',108,'N'),(25,6295770,'1',102,'N'),(25,6295789,'1',999,'N'),(25,6295797,'1',211,'N'),(25,6295800,'1',452,'N'),(25,6295819,'1',207,'N'),(25,6295819,'1A',215,'N'),(25,6295827,'1',451,'N'),(25,6295835,'1',103,'N'),(25,6295843,'1',425,'N'),(25,6295843,'1A',424,'N'),(25,6295851,'1',303,'N'),(25,6295860,'1',5,'N'),(25,6295878,'1',5,'N'),(25,6295894,'1',103,'N'),(25,6295908,'1',103,'N'),(25,6295916,'1',316,'N'),(25,6295924,'1',999,'N'),(25,6295932,'1',103,'N'),(25,6295959,'1',103,'N'),(25,6295975,'1',101,'N'),(25,6295983,'1',103,'N'),(25,6295991,'1',212,'N'),(25,6295991,'1A',233,'N'),(25,6296009,'1',103,'N'),(25,6296017,'1',340,'N'),(25,6296025,'1',203,'N'),(25,6296025,'1A',201,'N'),(25,6296033,'1',428,'N'),(25,6296033,'1A',426,'N'),(25,6296041,'1',331,'N'),(25,6296050,'1',203,'N'),(25,6296050,'1A',214,'N'),(25,6296068,'1',601,'N'),(25,6296068,'1A',203,'N'),(25,6296076,'1',301,'N'),(25,6296092,'1',301,'N'),(25,6296106,'1',601,'N'),(25,6296114,'1',415,'N'),(25,6296122,'1',233,'N'),(25,6296122,'1A',213,'N'),(25,6296130,'1',450,'N'),(25,6296149,'1',203,'N'),(25,6296149,'1A',601,'N'),(25,6296157,'1',601,'N'),(25,6296157,'1A',212,'N'),(25,6296165,'1',104,'N'),(25,6296173,'1',201,'N'),(25,6296173,'1A',212,'N'),(25,6296190,'1',404,'N'),(25,6296203,'1',103,'N'),(25,6296211,'1',319,'N'),(25,6296220,'1',309,'N'),(25,6296238,'1',309,'N'),(25,6296254,'1',103,'N'),(25,6296262,'1',103,'N'),(25,6296270,'1',551,'N'),(25,6296289,'1',207,'N'),(25,6296289,'1A',601,'N'),(25,6296297,'1',501,'N'),(25,6296300,'1',234,'N'),(25,6296319,'1',319,'N'),(25,6296327,'1',335,'N'),(25,6296335,'1',652,'N'),(25,6296335,'1A',238,'N'),(25,6296343,'1',201,'N'),(25,6296343,'1A',212,'N'),(25,6296351,'1',201,'N'),(25,6296351,'1A',220,'N'),(25,6296360,'1',601,'N'),(25,6296360,'1A',211,'N'),(25,6296378,'1',103,'N'),(25,6296386,'1',340,'N'),(25,6296394,'1',203,'N'),(25,6296394,'1A',214,'N'),(25,6296408,'1',203,'N'),(25,6296408,'1A',235,'N'),(25,6296416,'1',336,'N'),(25,6296424,'1',999,'N'),(25,6296432,'1',999,'N'),(25,6296459,'1',999,'N'),(25,6296467,'1',211,'N'),(25,6296467,'1A',207,'N'),(25,6296475,'1',211,'N'),(25,6296475,'1A',601,'N'),(25,6296483,'1',101,'N'),(25,6296491,'1',214,'N'),(25,6296491,'1A',233,'N'),(25,6296505,'1',999,'N'),(25,6296513,'1',212,'N'),(25,6296513,'1A',201,'N'),(25,6296548,'1',103,'N'),(25,6296556,'1',301,'N'),(25,6296572,'1',104,'N'),(25,6296580,'1',303,'N'),(25,6296602,'1',103,'N'),(25,6296610,'1',302,'N'),(25,6296629,'1',303,'N'),(25,6296661,'1',235,'N'),(25,6296661,'1A',212,'N'),(25,6296670,'1',203,'N'),(25,6296670,'1A',202,'N'),(25,6296688,'1',238,'N'),(25,6296688,'1A',208,'N'),(25,6296696,'1',220,'N'),(25,6296696,'1A',202,'N'),(25,6296700,'1',316,'N'),(25,6296718,'1',340,'N'),(25,6296726,'1',340,'N'),(25,6296734,'1',426,'N'),(25,6296734,'1A',428,'N'),(25,6296750,'1',103,'N'),(25,6296769,'1',102,'N'),(25,6296777,'1',340,'N'),(25,6296793,'1',327,'N'),(25,6296815,'1',103,'N'),(25,6296823,'1',216,'N'),(25,6296823,'1A',215,'N'),(25,6296831,'1',102,'N'),(25,6296840,'1',5,'N'),(25,6296858,'1',336,'N'),(25,6296866,'1',215,'N'),(25,6296866,'1A',211,'N'),(25,6296874,'1',202,'N'),(25,6296874,'1A',203,'N'),(25,6296882,'1',317,'N'),(25,6296890,'1',208,'N'),(25,6296890,'1A',238,'N'),(25,6296904,'1',224,'N'),(25,6296912,'1',453,'N'),(25,6296920,'1',444,'N'),(25,6296939,'1',340,'N'),(25,6296947,'1',103,'N'),(25,6296955,'1',203,'N'),(25,6296955,'1A',233,'N'),(25,6296963,'1',426,'N'),(25,6296963,'1A',423,'N'),(25,6296971,'1',103,'N'),(25,6296980,'1',319,'N'),(25,6296998,'1',103,'N'),(25,6297005,'1',428,'N'),(25,6297005,'1A',426,'N'),(25,6297013,'1',653,'N'),(25,6297021,'1',425,'N'),(25,6297021,'1A',424,'N'),(25,6297030,'1',103,'N'),(25,6297056,'1',999,'N'),(25,6297064,'1',207,'N'),(25,6297064,'1A',652,'N'),(25,6297072,'1',340,'N'),(25,6297080,'1',212,'N'),(25,6297080,'1A',211,'N'),(25,6297099,'1',308,'N'),(25,6297102,'1',999,'N'),(25,6297110,'1',425,'N'),(25,6297110,'1A',429,'N'),(25,6297129,'1',103,'N'),(25,6297137,'1',203,'N'),(25,6297137,'1A',214,'N'),(25,6297145,'1',5,'N'),(25,6297153,'1',102,'N'),(25,6297161,'1',999,'N'),(25,6297170,'1',999,'N'),(25,6297188,'1',5,'N'),(25,6297196,'1',238,'N'),(25,6297196,'1A',653,'N'),(25,6297200,'1',503,'N'),(25,6297226,'1',103,'N'),(25,6297234,'1',9,'N'),(25,6297242,'1',104,'N'),(25,6297250,'1',316,'N'),(25,6297285,'1',103,'N'),(25,6297307,'1',202,'N'),(25,6297315,'1',319,'N'),(25,6297323,'1',601,'N'),(25,6297323,'1A',201,'N'),(25,6297331,'1',201,'N'),(25,6297331,'1A',207,'N'),(25,6297340,'1',103,'N'),(25,6297358,'1',102,'N'),(25,6297366,'1',415,'N'),(25,6297374,'1',999,'N'),(25,6297382,'1',103,'N'),(25,6297404,'1',426,'N'),(25,6297404,'1A',428,'N'),(25,6297412,'1',103,'N'),(25,6297420,'1',207,'N'),(25,6297420,'1A',208,'N'),(25,6297439,'1',208,'N'),(25,6297439,'1A',238,'N'),(25,6297447,'1',103,'N'),(25,6297455,'1',220,'N'),(25,6297455,'1A',216,'N'),(25,6297480,'1',211,'N'),(25,6297480,'1A',207,'N'),(25,6297498,'1',103,'N'),(25,6297501,'1',654,'N'),(25,6297510,'1',302,'N'),(25,6297536,'1',415,'N'),(25,6297544,'1',220,'N'),(25,6297544,'1A',203,'N'),(25,6297552,'1',208,'N'),(25,6297552,'1A',238,'N'),(25,6297560,'1',337,'N'),(25,6297579,'1',328,'N'),(25,6297587,'1',238,'N'),(25,6297587,'1A',208,'N'),(25,6297595,'1',340,'N'),(25,6297609,'1',212,'N'),(25,6297609,'1A',655,'N'),(25,6297617,'1',109,'N'),(25,6297633,'1',999,'N'),(25,6297641,'1',999,'N'),(25,6297650,'1',103,'N'),(25,6297668,'1',103,'N'),(25,6297676,'1',201,'N'),(25,6297676,'1A',212,'N'),(25,6297692,'1',653,'N'),(25,6297692,'1A',652,'N'),(25,6297706,'1',999,'N'),(25,6297714,'1',203,'N'),(25,6297714,'1A',601,'N'),(25,6297722,'1',203,'N'),(25,6297730,'1',340,'N'),(25,6297749,'1',216,'N'),(25,6297749,'1A',653,'N'),(25,6297757,'1',110,'N'),(25,6297765,'1',999,'N'),(25,6297773,'1',216,'N'),(25,6297773,'1A',215,'N'),(25,6297781,'1',999,'N'),(25,6297790,'1',201,'N'),(25,6297790,'1A',207,'N'),(25,6297803,'1',208,'N'),(25,6297803,'1A',238,'N'),(25,6297811,'1',333,'N'),(25,6297820,'1',303,'N'),(25,6297838,'1',336,'N'),(25,6297846,'1',304,'N'),(25,6297854,'1',317,'N'),(25,6297862,'1',328,'N'),(25,6297870,'1',101,'N'),(25,6297889,'1',211,'N'),(25,6297889,'1A',213,'N'),(25,6297897,'1',201,'N'),(25,6297897,'1A',601,'N'),(25,6297919,'1',336,'N'),(25,6297927,'1',653,'N'),(25,6297927,'1A',201,'N'),(25,6297943,'1',220,'N'),(25,6297943,'1A',235,'N'),(25,6297951,'1',326,'N'),(25,6297960,'1',999,'N'),(25,6297978,'1',104,'N'),(25,6297986,'1',103,'N'),(25,6297994,'1',415,'N'),(25,6298001,'1',103,'N'),(25,6298010,'1',316,'N'),(25,6298028,'1',324,'N'),(25,6298036,'1',215,'N'),(25,6298036,'1A',235,'N'),(25,6298044,'1',316,'N'),(25,6298052,'1',212,'N'),(25,6298052,'1A',233,'N'),(25,6298060,'1',304,'N'),(25,6298079,'1',5,'N'),(25,6298087,'1',103,'N'),(25,6298095,'1',339,'N'),(25,6298109,'1',108,'N'),(25,6298117,'1',212,'N'),(25,6298117,'1A',203,'N'),(25,6298125,'1',215,'N'),(25,6298125,'1A',216,'N'),(25,6298133,'1',207,'N'),(25,6298133,'1A',201,'N'),(25,6298141,'1',201,'N'),(25,6298141,'1A',212,'N'),(25,6298150,'1',444,'N'),(25,6298168,'1',102,'N'),(25,6298184,'1',103,'N'),(25,6298192,'1',653,'N'),(25,6298192,'1A',214,'N'),(25,6298206,'1',601,'N'),(25,6298214,'1',551,'N'),(25,6298222,'1',415,'N'),(25,6298230,'1',203,'N'),(25,6298249,'1',102,'N'),(25,6298257,'1',201,'N'),(25,6298257,'1A',216,'N'),(25,6298265,'1',5,'N'),(25,6298273,'1',450,'N'),(25,6298281,'1',201,'N'),(25,6298290,'1',654,'N'),(25,6298303,'1',103,'N'),(25,6298311,'1',103,'N'),(25,6298346,'1',324,'N'),(25,6298354,'1',415,'N'),(25,6298370,'1',999,'N'),(25,6298389,'1',652,'N'),(25,6298389,'1A',655,'N'),(25,6298400,'1',103,'N'),(25,6298419,'1',103,'N'),(25,6298427,'1',201,'N'),(25,6298427,'1A',233,'N'),(25,6298435,'1',999,'N'),(25,6298443,'1',101,'N'),(25,6298451,'1',501,'N'),(25,6298460,'1',109,'N'),(25,6298478,'1',318,'N'),(25,6298486,'1',103,'N'),(25,6298494,'1',103,'N'),(25,6298508,'1',233,'N'),(25,6298508,'1A',601,'N'),(25,6298516,'1',452,'N'),(25,6298524,'1',235,'N'),(25,6298532,'1',336,'N'),(25,6298540,'1',999,'N'),(25,6298559,'1',104,'N'),(25,6298567,'1',203,'N'),(25,6298567,'1A',238,'N'),(25,6298583,'1',303,'N'),(25,6298591,'1',203,'N'),(25,6298591,'1A',214,'N'),(25,6298605,'1',103,'N'),(25,6298621,'1',303,'N'),(25,6298648,'1',103,'N'),(25,6298656,'1',303,'N'),(25,6298664,'1',653,'N'),(25,6298672,'1',103,'N'),(25,6298680,'1',319,'N'),(25,6298699,'1',211,'N'),(25,6298699,'1A',215,'N'),(25,6298702,'1',317,'N'),(25,6298710,'1',103,'N'),(25,6298729,'1',652,'N'),(25,6298729,'1A',655,'N'),(25,6298737,'1',201,'N'),(25,6298737,'1A',207,'N'),(25,6298745,'1',207,'N'),(25,6298745,'1A',216,'N'),(25,6298753,'1',104,'N'),(25,6298761,'1',103,'N'),(25,6298770,'1',104,'N'),(25,6298788,'1',336,'N'),(25,6298796,'1',203,'N'),(25,6298796,'1A',201,'N'),(25,6298800,'1',108,'N'),(25,6298818,'1',551,'N'),(25,6298826,'1',202,'N'),(25,6298826,'1A',601,'N'),(25,6298842,'1',310,'N'),(25,6298850,'1',551,'N'),(25,6298869,'1',220,'N'),(25,6298869,'1A',233,'N'),(25,6298877,'1',207,'N'),(25,6298877,'1A',215,'N'),(25,6298885,'1',601,'N'),(25,6298885,'1A',216,'N'),(25,6298907,'1',601,'N'),(25,6298907,'1A',201,'N'),(25,6298915,'1',302,'N'),(25,6298923,'1',3,'N'),(25,6298931,'1',103,'N'),(25,6298940,'1',103,'N'),(25,6298958,'1',310,'N'),(25,6298990,'1',999,'N'),(25,6299008,'1',103,'N'),(25,6299016,'1',302,'N'),(25,6299024,'1',101,'N'),(25,6299032,'1',214,'N'),(25,6299032,'1A',201,'N'),(25,6299040,'1',203,'N'),(25,6299040,'1A',220,'N'),(25,6299059,'1',207,'N'),(25,6299067,'1',339,'N'),(25,6299075,'1',317,'N'),(25,6299083,'1',551,'N'),(25,6299091,'1',303,'N'),(25,6299113,'1',415,'N'),(25,6299121,'1',601,'N'),(25,6299148,'1',326,'N'),(25,6299164,'1',208,'N'),(25,6299164,'1A',238,'N'),(25,6299180,'1',415,'N'),(25,6299199,'1',444,'N'),(25,6299202,'1',101,'N'),(25,6299210,'1',207,'N'),(25,6299210,'1A',201,'N'),(25,6299229,'1',203,'N'),(25,6299229,'1A',202,'N'),(25,6299237,'1',102,'N'),(25,6299245,'1',201,'N'),(25,6299245,'1A',211,'N'),(25,6299253,'1',3,'N'),(25,6299261,'1',5,'N'),(25,6299270,'1',104,'N'),(25,6299288,'1',108,'N'),(25,6299296,'1',101,'N'),(25,6299300,'1',316,'N'),(25,6299318,'1',327,'N'),(25,6299326,'1',201,'N'),(25,6299326,'1A',212,'N'),(25,6299342,'1',103,'N'),(25,6299350,'1',103,'N'),(25,6299377,'1',655,'N'),(25,6299377,'1A',652,'N'),(25,6299385,'1',301,'N'),(25,6299393,'1',303,'N'),(25,6299407,'1',336,'N'),(25,6299423,'1',103,'N'),(25,6299431,'1',103,'N'),(25,6299440,'1',203,'N'),(25,6299440,'1A',233,'N'),(25,6299458,'1',103,'N'),(25,6299466,'1',103,'N'),(25,6299474,'1',423,'N'),(25,6299474,'1A',428,'N'),(25,6299482,'1',5,'N'),(25,6299504,'1',318,'N'),(25,6299512,'1',301,'N'),(25,6299520,'1',319,'N'),(25,6299539,'1',202,'N'),(25,6299539,'1A',235,'N'),(25,6299555,'1',331,'N'),(25,6299563,'1',601,'N'),(25,6299563,'1A',202,'N'),(25,6299571,'1',238,'N'),(25,6299571,'1A',208,'N'),(25,6299598,'1',444,'N'),(25,6299601,'1',110,'N'),(25,6299636,'1',108,'N'),(25,6299644,'1',207,'N'),(25,6299644,'1A',201,'N'),(25,6299652,'1',327,'N'),(25,6299660,'1',103,'N'),(25,6299679,'1',318,'N'),(25,6299687,'1',318,'N'),(25,6299695,'1',202,'N'),(25,6299695,'1A',238,'N'),(25,6299709,'1',207,'N'),(25,6299709,'1A',233,'N'),(25,6299717,'1',103,'N'),(25,6299725,'1',104,'N'),(25,6299733,'1',201,'N'),(25,6299733,'1A',601,'N'),(25,6299741,'1',104,'N'),(25,6299776,'1',214,'N'),(25,6299776,'1A',213,'N'),(25,6299784,'1',331,'N'),(25,6299806,'1',655,'N'),(25,6299806,'1A',208,'N'),(25,6299822,'1',220,'N'),(25,6299822,'1A',233,'N'),(25,6299849,'1',317,'N'),(25,6299865,'1',103,'N'),(25,6299873,'1',317,'N'),(25,6299881,'1',102,'N'),(25,6299903,'1',316,'N'),(25,6299911,'1',203,'N'),(25,6299911,'1A',214,'N'),(25,6299920,'1',109,'N'),(25,6299938,'1',212,'N'),(25,6299938,'1A',211,'N'),(25,6299946,'1',324,'N'),(25,6299954,'1',202,'N'),(25,6299954,'1A',213,'N'),(25,6299962,'1',9,'N'),(25,6299970,'1',316,'N'),(25,6299989,'1',301,'N'),(25,6299997,'1',238,'N'),(25,6299997,'1A',208,'N'),(25,6300006,'1',5,'N'),(25,6300014,'1',501,'N'),(25,6300030,'1',551,'N'),(25,6300049,'1',215,'N'),(25,6300049,'1A',216,'N'),(25,6300057,'1',308,'N'),(25,6300073,'1',108,'N'),(25,6300081,'1',103,'N'),(25,6300103,'1',220,'N'),(25,6300103,'1A',202,'N'),(25,6300120,'1',319,'N'),(25,6300146,'1',238,'N'),(25,6300146,'1A',208,'N'),(25,6300162,'1',450,'N'),(25,6300170,'1',103,'N'),(25,6300189,'1',316,'N'),(25,6300197,'1',317,'N'),(25,6300200,'1',423,'N'),(25,6300200,'1A',427,'N'),(25,6300219,'1',317,'N'),(25,6300227,'1',551,'N'),(25,6300235,'1',999,'N'),(25,6300243,'1',212,'N'),(25,6300243,'1A',201,'N'),(25,6300251,'1',104,'N'),(25,6300286,'1',103,'N'),(25,6300294,'1',109,'N'),(25,6300308,'1',308,'N'),(25,6300316,'1',551,'N'),(25,6300324,'1',327,'N'),(25,6300340,'1',329,'N'),(25,6300359,'1',303,'N'),(25,6300375,'1',319,'N'),(25,6300383,'1',212,'N'),(25,6300383,'1A',601,'N'),(25,6300391,'1',415,'N'),(25,6300405,'1',551,'N'),(25,6300413,'1',102,'N'),(25,6300421,'1',103,'N'),(25,6300430,'1',5,'N'),(25,6300448,'1',427,'N'),(25,6300448,'1A',421,'N'),(25,6300456,'1',5,'N'),(25,6300464,'1',103,'N'),(25,6300472,'1',452,'N'),(25,6300502,'1',201,'N'),(25,6300502,'1A',212,'N'),(25,6300510,'1',211,'N'),(25,6300510,'1A',216,'N'),(25,6300529,'1',5,'N'),(25,6300545,'1',5,'N'),(25,6300553,'1',238,'N'),(25,6300553,'1A',208,'N'),(25,6300561,'1',212,'N'),(25,6300561,'1A',213,'N'),(25,6300570,'1',104,'N'),(25,6300596,'1',233,'N'),(25,6300596,'1A',238,'N'),(25,6300618,'1',104,'N'),(25,6300626,'1',207,'N'),(25,6300626,'1A',202,'N'),(25,6300634,'1',103,'N'),(25,6300642,'1',109,'N'),(25,6300669,'1',201,'N'),(25,6300669,'1A',212,'N'),(25,6300677,'1',103,'N'),(25,6300685,'1',202,'N'),(25,6300685,'1A',216,'N'),(25,6300707,'1',238,'N'),(25,6300707,'1A',652,'N'),(25,6300715,'1',319,'N'),(25,6300723,'1',652,'N'),(25,6300723,'1A',653,'N'),(25,6300731,'1',551,'N'),(25,6300740,'1',304,'N'),(25,6300758,'1',103,'N'),(25,6300766,'1',317,'N'),(25,6300774,'1',203,'N'),(25,6300774,'1A',214,'N'),(25,6300782,'1',301,'N'),(25,6300790,'1',310,'N'),(25,6300804,'1',101,'N'),(25,6300820,'1',324,'N'),(25,6300839,'1',208,'N'),(25,6300839,'1A',238,'N'),(25,6300855,'1',316,'N'),(25,6300863,'1',333,'N'),(25,6300880,'1',340,'N'),(25,6300898,'1',5,'N'),(25,6300901,'1',319,'N'),(25,6300910,'1',103,'N'),(25,6300928,'1',203,'N'),(25,6300928,'1A',238,'N'),(25,6300936,'1',103,'N'),(25,6300944,'1',102,'N'),(25,6300952,'1',303,'N'),(25,6300960,'1',652,'N'),(25,6300960,'1A',655,'N'),(25,6300979,'1',319,'N'),(25,6300987,'1',319,'N'),(25,6300995,'1',332,'N'),(25,6301029,'1',101,'N'),(25,6301037,'1',202,'N'),(25,6301037,'1A',235,'N'),(25,6301053,'1',654,'N'),(25,6301061,'1',208,'N'),(25,6301088,'1',324,'N'),(25,6301096,'1',235,'N'),(25,6301096,'1A',601,'N'),(25,6301100,'1',317,'N'),(25,6301118,'1',103,'N'),(25,6301134,'1',452,'N'),(25,6301142,'1',421,'N'),(25,6301142,'1A',427,'N'),(25,6301150,'1',303,'N'),(25,6301177,'1',308,'N'),(25,6301185,'1',423,'N'),(25,6301185,'1A',429,'N'),(25,6301207,'1',220,'N'),(25,6301207,'1A',212,'N'),(25,6301215,'1',108,'N'),(25,6301223,'1',211,'N'),(25,6301223,'1A',215,'N'),(25,6301231,'1',202,'N'),(25,6301231,'1A',235,'N'),(25,6301240,'1',415,'N'),(25,6301258,'1',104,'N'),(25,6301266,'1',999,'N'),(25,6301274,'1',319,'N'),(25,6301282,'1',207,'N'),(25,6301282,'1A',212,'N'),(25,6301290,'1',424,'N'),(25,6301290,'1A',423,'N'),(25,6301304,'1',216,'N'),(25,6301304,'1A',211,'N'),(25,6301312,'1',9,'N'),(25,6301320,'1',329,'N'),(25,6301339,'1',213,'N'),(25,6301339,'1A',235,'N'),(25,6301347,'1',601,'N'),(25,6301347,'1A',220,'N'),(25,6301355,'1',320,'N'),(25,6301363,'1',320,'N'),(25,6301371,'1',207,'N'),(25,6301371,'1A',201,'N'),(25,6301380,'1',444,'N'),(25,6301398,'1',337,'N'),(25,6301410,'1',309,'N'),(25,6301428,'1',234,'N'),(25,6301436,'1',317,'N'),(25,6301444,'1',216,'N'),(25,6301444,'1A',220,'N'),(25,6301452,'1',302,'N'),(25,6301460,'1',202,'N'),(25,6301460,'1A',601,'N'),(25,6301479,'1',420,'N'),(25,6301487,'1',104,'N'),(25,6301495,'1',109,'N'),(25,6301517,'1',103,'N'),(25,6301525,'1',103,'N'),(25,6301533,'1',316,'N'),(25,6301541,'1',317,'N'),(25,6301568,'1',303,'N'),(25,6301576,'1',316,'N'),(25,6301584,'1',238,'N'),(25,6301592,'1',201,'N'),(25,6301592,'1A',212,'N'),(25,6301606,'1',215,'N'),(25,6301606,'1A',216,'N'),(25,6301614,'1',326,'N'),(25,6301622,'1',5,'N'),(25,6301630,'1',332,'N'),(25,6301649,'1',319,'N'),(25,6301657,'1',319,'N'),(25,6301665,'1',101,'N'),(25,6301673,'1',302,'N'),(25,6301681,'1',317,'N'),(25,6301690,'1',103,'N'),(25,6301703,'1',103,'N'),(25,6301711,'1',5,'N'),(25,6301720,'1',201,'N'),(25,6301720,'1A',207,'N'),(25,6301738,'1',601,'N'),(25,6301738,'1A',233,'N'),(25,6301746,'1',238,'N'),(25,6301746,'1A',208,'N'),(25,6301754,'1',317,'N'),(25,6301770,'1',340,'N'),(25,6301789,'1',211,'N'),(25,6301789,'1A',207,'N'),(25,6301797,'1',444,'N'),(25,6301800,'1',212,'N'),(25,6301819,'1',225,'N'),(25,6301827,'1',326,'N'),(25,6301835,'1',201,'N'),(25,6301835,'1A',212,'N'),(25,6301843,'1',103,'N'),(25,6301851,'1',303,'N'),(25,6301860,'1',103,'N'),(25,6301878,'1',212,'N'),(25,6301878,'1A',201,'N'),(25,6301886,'1',208,'N'),(25,6301886,'1A',211,'N'),(25,6301894,'1',328,'N'),(25,6301908,'1',103,'N'),(25,6301916,'1',5,'N'),(25,6301940,'1',326,'N'),(25,6301959,'1',212,'N'),(25,6301959,'1A',213,'N'),(25,6301967,'1',302,'N'),(25,6301975,'1',502,'N'),(25,6302009,'1',331,'N'),(25,6302025,'1',320,'N'),(25,6302033,'1',216,'N'),(25,6302033,'1A',208,'N'),(25,6302041,'1',216,'N'),(25,6302041,'1A',233,'N'),(25,6302050,'1',103,'N'),(25,6302068,'1',317,'N'),(25,6302076,'1',104,'N'),(25,6302084,'1',223,'N'),(25,6302092,'1',444,'N'),(25,6302106,'1',202,'N'),(25,6302106,'1A',213,'N'),(25,6302114,'1',999,'N'),(25,6302122,'1',201,'N'),(25,6302122,'1A',212,'N'),(25,6302130,'1',103,'N'),(25,6302149,'1',999,'N'),(25,6302157,'1',5,'N'),(25,6302165,'1',102,'N'),(25,6302173,'1',103,'N'),(25,6302181,'1',103,'N'),(25,6302190,'1',426,'N'),(25,6302190,'1A',427,'N'),(25,6302203,'1',201,'N'),(25,6302203,'1A',212,'N'),(25,6302211,'1',320,'N'),(25,6302220,'1',425,'N'),(25,6302220,'1A',428,'N'),(25,6302238,'1',303,'N'),(25,6302246,'1',103,'N'),(25,6302254,'1',103,'N'),(25,6302262,'1',318,'N'),(25,6302270,'1',103,'N'),(25,6302297,'1',999,'N'),(25,6302300,'1',201,'N'),(25,6302300,'1A',216,'N'),(25,6302319,'1',202,'N'),(25,6302335,'1',502,'N'),(25,6302343,'1',202,'N'),(25,6302343,'1A',213,'N'),(25,6302351,'1',601,'N'),(25,6302351,'1A',220,'N'),(25,6302360,'1',336,'N'),(25,6302378,'1',103,'N'),(25,6302386,'1',103,'N'),(25,6302394,'1',999,'N'),(25,6302408,'1',103,'N'),(25,6302416,'1',103,'N'),(25,6302424,'1',207,'N'),(25,6302424,'1A',211,'N'),(25,6302432,'1',303,'N'),(25,6302459,'1',103,'N'),(25,6302467,'1',5,'N'),(25,6302475,'1',5,'N'),(25,6302483,'1',319,'N'),(25,6302491,'1',999,'N'),(25,6302505,'1',201,'N'),(25,6302505,'1A',212,'N'),(25,6302521,'1',601,'N'),(25,6302521,'1A',202,'N'),(25,6302530,'1',316,'N'),(25,6302548,'1',203,'N'),(25,6302548,'1A',233,'N'),(25,6302564,'1',999,'N'),(25,6302580,'1',238,'N'),(25,6302580,'1A',655,'N'),(25,6302599,'1',103,'N'),(25,6302610,'1',103,'N'),(25,6302629,'1',103,'N'),(25,6302637,'1',551,'N'),(25,6302645,'1',503,'N'),(25,6302653,'1',654,'N'),(25,6302661,'1',103,'N'),(25,6302670,'1',502,'N'),(25,6302688,'1',654,'N'),(25,6302700,'1',233,'N'),(25,6302700,'1A',212,'N'),(25,6302718,'1',450,'N'),(25,6302726,'1',103,'N'),(25,6302734,'1',207,'N'),(25,6302734,'1A',201,'N'),(25,6302742,'1',303,'N'),(25,6302750,'1',101,'N'),(25,6302769,'1',501,'N'),(25,6302777,'1',211,'N'),(25,6302777,'1A',201,'N'),(25,6302785,'1',103,'N'),(25,6302793,'1',999,'N'),(25,6302807,'1',201,'N'),(25,6302807,'1A',212,'N'),(25,6302823,'1',103,'N'),(25,6302831,'1',336,'N'),(25,6302840,'1',404,'N'),(25,6302858,'1',207,'N'),(25,6302858,'1A',208,'N'),(25,6302866,'1',211,'N'),(25,6302866,'1A',216,'N'),(25,6302882,'1',103,'N'),(25,6302890,'1',103,'N'),(25,6302904,'1',336,'N'),(25,6302912,'1',234,'N'),(25,6302920,'1',301,'N'),(25,6302939,'1',208,'N'),(25,6302947,'1',319,'N'),(25,6302963,'1',103,'N'),(25,6302971,'1',451,'N'),(25,6302980,'1',999,'N'),(25,6302998,'1',215,'N'),(25,6302998,'1A',214,'N'),(25,6303005,'1',551,'N'),(25,6303013,'1',201,'N'),(25,6303013,'1A',215,'N'),(25,6303021,'1',303,'N'),(25,6303030,'1',201,'N'),(25,6303030,'1A',212,'N'),(25,6303048,'1',425,'N'),(25,6303056,'1',999,'N'),(25,6303064,'1',451,'N'),(25,6303072,'1',339,'N'),(25,6303099,'1',303,'N'),(25,6303102,'1',303,'N'),(25,6303110,'1',317,'N'),(25,6303129,'1',301,'N'),(25,6303153,'1',302,'N'),(25,6303161,'1',415,'N'),(25,6303170,'1',214,'N'),(25,6303188,'1',103,'N'),(25,6303196,'1',415,'N'),(25,6303200,'1',453,'N'),(25,6303226,'1',319,'N'),(25,6303234,'1',201,'N'),(25,6303242,'1',331,'N'),(25,6303250,'1',451,'N'),(25,6303269,'1',214,'N'),(25,6303269,'1A',213,'N'),(25,6303285,'1',450,'N'),(25,6303293,'1',2,'N'),(25,6303307,'1',304,'N'),(25,6303323,'1',999,'N'),(25,6303331,'1',303,'N'),(25,6303340,'1',216,'N'),(25,6303340,'1A',203,'N'),(25,6303358,'1',108,'N'),(25,6303366,'1',304,'N'),(25,6303374,'1',108,'N'),(25,6303382,'1',207,'N'),(25,6303382,'1A',201,'N'),(25,6303390,'1',203,'N'),(25,6303390,'1A',214,'N'),(25,6303404,'1',301,'N'),(25,6303412,'1',104,'N'),(25,6303420,'1',207,'N'),(25,6303420,'1A',201,'N'),(25,6303439,'1',551,'N'),(25,6303447,'1',103,'N'),(25,6303455,'1',9,'N'),(25,6303463,'1',316,'N'),(25,6303471,'1',101,'N'),(25,6303480,'1',303,'N'),(25,6303501,'1',303,'N'),(25,6303510,'1',233,'N'),(25,6303510,'1A',213,'N'),(25,6303528,'1',420,'N'),(25,6303536,'1',317,'N'),(25,6303544,'1',502,'N'),(25,6303560,'1',108,'N'),(25,6303587,'1',203,'N'),(25,6303587,'1A',214,'N'),(25,6303595,'1',212,'N'),(25,6303595,'1A',213,'N'),(25,6303609,'1',336,'N'),(25,6303625,'1',103,'N'),(25,6303641,'1',303,'N'),(25,6303650,'1',220,'N'),(25,6303650,'1A',235,'N'),(25,6303668,'1',601,'N'),(25,6303668,'1A',201,'N'),(25,6303676,'1',415,'N'),(25,6303684,'1',425,'N'),(25,6303684,'1A',429,'N'),(25,6303692,'1',207,'N'),(25,6303692,'1A',201,'N'),(25,6303714,'1',320,'N'),(25,6303722,'1',201,'N'),(25,6303722,'1A',207,'N'),(25,6303730,'1',201,'N'),(25,6303730,'1A',202,'N'),(25,6303757,'1',5,'N'),(25,6303765,'1',238,'N'),(25,6303765,'1A',208,'N'),(25,6303773,'1',207,'N'),(25,6303773,'1A',201,'N'),(25,6303781,'1',444,'N'),(25,6303790,'1',655,'N'),(25,6303790,'1A',202,'N'),(25,6303803,'1',340,'N'),(25,6303811,'1',203,'N'),(25,6303811,'1A',201,'N'),(25,6303820,'1',452,'N'),(25,6303838,'1',103,'N'),(25,6303846,'1',103,'N'),(25,6303862,'1',415,'N'),(25,6303870,'1',501,'N'),(25,6303889,'1',103,'N'),(25,6303897,'1',202,'N'),(25,6303897,'1A',235,'N'),(25,6303900,'1',103,'N'),(25,6303919,'1',103,'N'),(25,6303927,'1',308,'N'),(25,6303935,'1',320,'N'),(25,6303943,'1',103,'N'),(25,6303951,'1',501,'N'),(25,6303960,'1',102,'N'),(25,6303978,'1',551,'N'),(25,6303986,'1',203,'N'),(25,6303986,'1A',235,'N'),(25,6303994,'1',201,'N'),(25,6303994,'1A',213,'N'),(25,6304001,'1',101,'N'),(25,6304010,'1',203,'N'),(25,6304028,'1',102,'N'),(25,6304036,'1',415,'N'),(25,6304044,'1',303,'N'),(25,6304052,'1',103,'N'),(25,6304060,'1',104,'N'),(25,6304087,'1',420,'N'),(25,6304095,'1',319,'N'),(25,6304109,'1',340,'N'),(25,6304117,'1',103,'N'),(25,6304125,'1',207,'N'),(25,6304125,'1A',203,'N'),(25,6304133,'1',5,'N'),(25,6304150,'1',653,'N'),(25,6304150,'1A',233,'N'),(25,6304206,'1',103,'N'),(25,6304222,'1',103,'N'),(25,6304230,'1',452,'N'),(25,6304249,'1',999,'N'),(25,6304265,'1',999,'N'),(25,6304273,'1',208,'N'),(25,6304273,'1A',202,'N'),(25,6304281,'1',103,'N'),(25,6304290,'1',319,'N'),(25,6304303,'1',999,'N'),(25,6304311,'1',103,'N'),(25,6304320,'1',450,'N'),(25,6304338,'1',103,'N'),(25,6304346,'1',220,'N'),(25,6304346,'1A',208,'N'),(25,6304354,'1',428,'N'),(25,6304354,'1A',424,'N'),(25,6304362,'1',601,'N'),(25,6304362,'1A',211,'N'),(25,6304370,'1',235,'N'),(25,6304370,'1A',233,'N'),(25,6304389,'1',336,'N'),(25,6304397,'1',502,'N'),(25,6304400,'1',336,'N'),(25,6304419,'1',211,'N'),(25,6304419,'1A',207,'N'),(25,6304427,'1',316,'N'),(25,6304435,'1',415,'N'),(25,6304443,'1',101,'N'),(25,6304451,'1',5,'N'),(25,6304460,'1',202,'N'),(25,6304460,'1A',235,'N'),(25,6304478,'1',104,'N'),(25,6304486,'1',103,'N'),(25,6304494,'1',5,'N'),(25,6304508,'1',999,'N'),(25,6304516,'1',326,'N'),(25,6304524,'1',340,'N'),(25,6304532,'1',308,'N'),(25,6304540,'1',214,'N'),(25,6304540,'1A',201,'N'),(25,6304559,'1',451,'N'),(25,6304567,'1',319,'N'),(25,6304575,'1',203,'N'),(25,6304575,'1A',214,'N'),(25,6304583,'1',421,'N'),(25,6304583,'1A',424,'N'),(25,6304591,'1',335,'N'),(25,6304605,'1',203,'N'),(25,6304605,'1A',202,'N'),(25,6304613,'1',428,'N'),(25,6304613,'1A',426,'N'),(25,6304621,'1',328,'N'),(25,6304630,'1',451,'N'),(25,6304648,'1',5,'N'),(25,6304656,'1',316,'N'),(25,6304664,'1',203,'N'),(25,6304664,'1A',211,'N'),(25,6304672,'1',103,'N'),(25,6304680,'1',340,'N'),(25,6304699,'1',421,'N'),(25,6304699,'1A',423,'N'),(25,6304702,'1',104,'N'),(25,6304737,'1',103,'N'),(25,6304745,'1',103,'N'),(25,6304753,'1',103,'N'),(25,6304788,'1',601,'N'),(25,6304788,'1A',235,'N'),(25,6304796,'1',101,'N'),(25,6304800,'1',203,'N'),(25,6304800,'1A',233,'N'),(25,6304818,'1',207,'N'),(25,6304818,'1A',601,'N'),(25,6304826,'1',999,'N'),(25,6304834,'1',103,'N'),(25,6304869,'1',102,'N'),(25,6304877,'1',336,'N'),(25,6304885,'1',332,'N'),(25,6304893,'1',332,'N'),(25,6304907,'1',235,'N'),(25,6304907,'1A',208,'N'),(25,6304915,'1',110,'N'),(25,6304923,'1',444,'N'),(25,6304931,'1',3,'N'),(25,6304940,'1',5,'N'),(25,6304958,'1',601,'N'),(25,6304958,'1A',207,'N'),(25,6304966,'1',415,'N'),(25,6304974,'1',103,'N'),(25,6304990,'1',103,'N'),(25,6305008,'1',201,'N'),(25,6305008,'1A',213,'N'),(25,6305016,'1',503,'N'),(25,6305024,'1',235,'N'),(25,6305024,'1A',201,'N'),(25,6305032,'1',103,'N'),(25,6305040,'1',216,'N'),(25,6305040,'1A',214,'N'),(25,6305059,'1',207,'N'),(25,6305059,'1A',233,'N'),(25,6305067,'1',331,'N'),(25,6305083,'1',340,'N'),(25,6305091,'1',104,'N'),(25,6305105,'1',233,'N'),(25,6305105,'1A',208,'N'),(25,6305113,'1',207,'N'),(25,6305113,'1A',208,'N'),(25,6305148,'1',420,'N'),(25,6305156,'1',203,'N'),(25,6305156,'1A',220,'N'),(25,6305164,'1',203,'N'),(25,6305164,'1A',235,'N'),(25,6305180,'1',103,'N'),(25,6305199,'1',202,'N'),(25,6305199,'1A',213,'N'),(25,6305202,'1',216,'N'),(25,6305210,'1',335,'N'),(25,6305229,'1',319,'N'),(25,6305237,'1',999,'N'),(25,6305253,'1',103,'N'),(25,6305261,'1',653,'N'),(25,6305261,'1A',652,'N'),(25,6305288,'1',452,'N'),(25,6305300,'1',235,'N'),(25,6305300,'1A',202,'N'),(25,6305318,'1',203,'N'),(25,6305318,'1A',202,'N'),(25,6305342,'1',213,'N'),(25,6305342,'1A',208,'N'),(25,6305350,'1',653,'N'),(25,6305350,'1A',211,'N'),(25,6305377,'1',224,'N'),(25,6305385,'1',415,'N'),(25,6305393,'1',424,'N'),(25,6305393,'1A',425,'N'),(25,6305407,'1',208,'N'),(25,6305407,'1A',201,'N'),(25,6305415,'1',5,'N'),(25,6305423,'1',424,'N'),(25,6305423,'1A',427,'N'),(25,6305431,'1',551,'N'),(25,6305440,'1',303,'N'),(25,6305466,'1',301,'N'),(25,6305482,'1',318,'N'),(25,6305490,'1',303,'N'),(25,6305512,'1',103,'N'),(25,6305520,'1',103,'N'),(25,6305539,'1',211,'N'),(25,6305539,'1A',653,'N'),(25,6305547,'1',317,'N'),(25,6305555,'1',220,'N'),(25,6305555,'1A',214,'N'),(25,6305580,'1',101,'N'),(25,6305598,'1',103,'N'),(25,6305601,'1',421,'N'),(25,6305601,'1A',425,'N'),(25,6305610,'1',201,'N'),(25,6305610,'1A',202,'N'),(25,6305644,'1',426,'N'),(25,6305644,'1A',428,'N'),(25,6305660,'1',202,'N'),(25,6305660,'1A',203,'N'),(25,6305679,'1',421,'N'),(25,6305679,'1A',427,'N'),(25,6305687,'1',654,'N'),(25,6305695,'1',207,'N'),(25,6305695,'1A',201,'N'),(25,6305717,'1',319,'N'),(25,6305725,'1',211,'N'),(25,6305725,'1A',201,'N'),(25,6305733,'1',999,'N'),(25,6305750,'1',5,'N'),(25,6305776,'1',225,'N'),(25,6305784,'1',301,'N'),(25,6305792,'1',108,'N'),(25,6305806,'1',327,'N'),(25,6305822,'1',220,'N'),(25,6305822,'1A',202,'N'),(25,6305830,'1',415,'N'),(25,6305849,'1',303,'N'),(25,6305857,'1',104,'N'),(25,6305865,'1',214,'N'),(25,6305865,'1A',212,'N'),(25,6305873,'1',207,'N'),(25,6305873,'1A',233,'N'),(25,6305881,'1',102,'N'),(25,6305890,'1',207,'N'),(25,6305890,'1A',201,'N'),(25,6305903,'1',103,'N'),(25,6305920,'1',211,'N'),(25,6305920,'1A',601,'N'),(25,6305938,'1',999,'N'),(25,6305946,'1',103,'N'),(25,6305970,'1',103,'N'),(25,6305997,'1',451,'N'),(25,6306004,'1',999,'N'),(25,6306012,'1',327,'N'),(25,6306020,'1',103,'N'),(25,6306039,'1',427,'N'),(25,6306039,'1A',421,'N'),(25,6306047,'1',101,'N'),(25,6306055,'1',101,'N'),(25,6306063,'1',427,'N'),(25,6306063,'1A',421,'N'),(25,6306071,'1',601,'N'),(25,6306071,'1A',207,'N'),(25,6306080,'1',214,'N'),(25,6306080,'1A',203,'N'),(25,6306098,'1',103,'N'),(25,6306110,'1',238,'N'),(25,6306110,'1A',208,'N'),(25,6306128,'1',302,'N'),(25,6306136,'1',601,'N'),(25,6306136,'1A',201,'N'),(25,6306152,'1',5,'N'),(25,6306160,'1',109,'N'),(25,6306187,'1',999,'N'),(25,6306209,'1',103,'N'),(25,6306217,'1',999,'N'),(25,6306225,'1',203,'N'),(25,6306225,'1A',202,'N'),(25,6306250,'1',308,'N'),(25,6306268,'1',303,'N'),(25,6306276,'1',103,'N'),(25,6306284,'1',207,'N'),(25,6306284,'1A',201,'N'),(25,6306292,'1',110,'N'),(25,6306322,'1',207,'N'),(25,6306330,'1',202,'N'),(25,6306330,'1A',235,'N'),(25,6306349,'1',303,'N'),(25,6306357,'1',308,'N'),(25,6306365,'1',103,'N'),(25,6306373,'1',201,'N'),(25,6306373,'1A',212,'N'),(25,6306390,'1',601,'N'),(25,6306390,'1A',207,'N'),(25,6306403,'1',999,'N'),(25,6306411,'1',103,'N'),(25,6306420,'1',103,'N'),(25,6306438,'1',318,'N'),(25,6306454,'1',103,'N'),(25,6306462,'1',309,'N'),(25,6306470,'1',324,'N'),(25,6306497,'1',551,'N'),(25,6306500,'1',207,'N'),(25,6306500,'1A',235,'N'),(25,6306519,'1',103,'N'),(25,6306527,'1',317,'N'),(25,6306535,'1',108,'N'),(25,6306543,'1',551,'N'),(25,6306551,'1',304,'N'),(25,6306560,'1',207,'N'),(25,6306560,'1A',201,'N'),(25,6306578,'1',207,'N'),(25,6306578,'1A',201,'N'),(25,6306586,'1',109,'N'),(25,6306594,'1',999,'N'),(25,6306608,'1',303,'N'),(25,6306616,'1',999,'N'),(25,6306624,'1',9,'N'),(25,6306632,'1',404,'N'),(25,6306667,'1',999,'N'),(25,6306675,'1',999,'N'),(25,6306683,'1',222,'N'),(25,6306691,'1',203,'N'),(25,6306691,'1A',214,'N'),(25,6306705,'1',302,'N'),(25,6306713,'1',216,'N'),(25,6306713,'1A',215,'N'),(25,6306721,'1',999,'N'),(25,6306730,'1',999,'N'),(25,6306748,'1',999,'N'),(25,6306756,'1',425,'N'),(25,6306756,'1A',429,'N'),(25,6306764,'1',601,'N'),(25,6306764,'1A',207,'N'),(25,6306772,'1',108,'N'),(25,6306780,'1',303,'N'),(25,6306802,'1',203,'N'),(25,6306802,'1A',235,'N'),(25,6306810,'1',317,'N'),(25,6306829,'1',102,'N'),(25,6306837,'1',654,'N'),(25,6306845,'1',224,'N'),(25,6306853,'1',655,'N'),(25,6306853,'1A',652,'N'),(25,6306861,'1',103,'N'),(25,6306870,'1',101,'N'),(25,6306888,'1',104,'N'),(25,6306896,'1',653,'N'),(25,6306896,'1A',655,'N'),(25,6306900,'1',309,'N'),(25,6306926,'1',444,'N'),(25,6306942,'1',999,'N'),(25,6306950,'1',207,'N'),(25,6306950,'1A',212,'N'),(25,6306969,'1',207,'N'),(25,6306969,'1A',201,'N'),(25,6306977,'1',319,'N'),(25,6306993,'1',999,'N'),(25,6307000,'1',452,'N'),(25,6307019,'1',501,'N'),(25,6307027,'1',103,'N'),(25,6307035,'1',9,'N'),(25,6307043,'1',9,'N'),(25,6307078,'1',103,'N'),(25,6307094,'1',317,'N'),(25,6307116,'1',332,'N'),(25,6307124,'1',999,'N'),(25,6307132,'1',3,'N'),(25,6307159,'1',317,'N'),(25,6307175,'1',201,'N'),(25,6307175,'1A',212,'N'),(25,6307183,'1',453,'N'),(25,6307191,'1',202,'N'),(25,6307191,'1A',233,'N'),(25,6307205,'1',103,'N'),(25,6307213,'1',108,'N'),(25,6307221,'1',340,'N'),(25,6307248,'1',303,'N'),(25,6307256,'1',214,'N'),(25,6307256,'1A',213,'N'),(25,6307264,'1',301,'N'),(25,6307272,'1',220,'N'),(25,6307272,'1A',235,'N'),(25,6307299,'1',301,'N'),(25,6307310,'1',452,'N'),(25,6307329,'1',653,'N'),(25,6307329,'1A',655,'N'),(25,6307337,'1',653,'N'),(25,6307337,'1A',655,'N'),(25,6307353,'1',211,'N'),(25,6307353,'1A',653,'N'),(25,6307361,'1',420,'N'),(25,6307370,'1',308,'N'),(25,6307388,'1',233,'N'),(25,6307388,'1A',203,'N'),(25,6307396,'1',238,'N'),(25,6307396,'1A',208,'N'),(25,6307400,'1',103,'N'),(25,6307418,'1',103,'N'),(25,6307434,'1',316,'N'),(25,6307442,'1',415,'N'),(25,6307469,'1',450,'N'),(25,6307477,'1',5,'N'),(25,6307485,'1',301,'N'),(25,6307493,'1',202,'N'),(25,6307493,'1A',213,'N'),(25,6307507,'1',103,'N'),(25,6307515,'1',3,'N'),(25,6307523,'1',103,'N'),(25,6307531,'1',319,'N'),(25,6307540,'1',109,'N'),(25,6307558,'1',340,'N'),(25,6307566,'1',103,'N'),(25,6307574,'1',103,'N'),(25,6307582,'1',103,'N'),(25,6307590,'1',404,'N'),(25,6307604,'1',101,'N'),(25,6307612,'1',214,'N'),(25,6307612,'1A',207,'N'),(25,6307620,'1',203,'N'),(25,6307639,'1',404,'N'),(25,6307647,'1',303,'N'),(25,6307663,'1',233,'N'),(25,6307663,'1A',235,'N'),(25,6307671,'1',502,'N'),(25,6307698,'1',201,'N'),(25,6307698,'1A',238,'N'),(25,6307710,'1',404,'N'),(25,6307736,'1',104,'N'),(25,6307744,'1',303,'N'),(25,6307752,'1',103,'N'),(25,6307760,'1',104,'N'),(25,6307787,'1',319,'N'),(25,6307795,'1',319,'N'),(25,6307809,'1',201,'N'),(25,6307809,'1A',212,'N'),(25,6307817,'1',203,'N'),(25,6307817,'1A',201,'N'),(25,6307825,'1',203,'N'),(25,6307825,'1A',201,'N'),(25,6307833,'1',601,'N'),(25,6307833,'1A',233,'N'),(25,6307841,'1',502,'N'),(25,6307850,'1',201,'N'),(25,6307850,'1A',212,'N'),(25,6307868,'1',103,'N'),(25,6307876,'1',316,'N'),(25,6307906,'1',108,'N'),(25,6307914,'1',103,'N'),(25,6307930,'1',655,'N'),(25,6307949,'1',207,'N'),(25,6307949,'1A',201,'N'),(25,6307957,'1',203,'N'),(25,6307957,'1A',235,'N'),(25,6307973,'1',216,'N'),(25,6307973,'1A',233,'N'),(25,6307981,'1',103,'N'),(25,6307990,'1',103,'N'),(25,6308007,'1',203,'N'),(25,6308007,'1A',233,'N'),(25,6308015,'1',601,'N'),(25,6308023,'1',303,'N'),(25,6308031,'1',317,'N'),(25,6308058,'1',337,'N'),(25,6308066,'1',999,'N'),(25,6308074,'1',211,'N'),(25,6308074,'1A',201,'N'),(25,6308082,'1',501,'N'),(25,6308090,'1',220,'N'),(25,6308090,'1A',233,'N'),(25,6308104,'1',103,'N'),(25,6308112,'1',103,'N'),(25,6308139,'1',999,'N'),(25,6308155,'1',331,'N'),(25,6308163,'1',415,'N'),(25,6308171,'1',601,'N'),(25,6308171,'1A',207,'N'),(25,6308180,'1',207,'N'),(25,6308180,'1A',208,'N'),(25,6308198,'1',103,'N'),(25,6308201,'1',103,'N'),(25,6308210,'1',303,'N'),(25,6308228,'1',653,'N'),(25,6308228,'1A',601,'N'),(25,6308244,'1',452,'N'),(25,6308252,'1',303,'N'),(25,6308260,'1',302,'N'),(25,6308279,'1',103,'N'),(25,6308287,'1',203,'N'),(25,6308287,'1A',216,'N'),(25,6308309,'1',103,'N'),(25,6308317,'1',101,'N'),(25,6308325,'1',103,'N'),(25,6308333,'1',301,'N'),(25,6308368,'1',104,'N'),(25,6308376,'1',653,'N'),(25,6308376,'1A',655,'N'),(25,6308406,'1',215,'N'),(25,6308406,'1A',213,'N'),(25,6308414,'1',202,'N'),(25,6308414,'1A',213,'N'),(25,6308422,'1',426,'N'),(25,6308422,'1A',428,'N'),(25,6308430,'1',234,'N'),(25,6308457,'1',340,'N'),(25,6308465,'1',104,'N'),(25,6308473,'1',5,'N'),(25,6308481,'1',104,'N'),(25,6308490,'1',303,'N'),(25,6308503,'1',202,'N'),(25,6308503,'1A',213,'N'),(25,6308511,'1',999,'N'),(25,6308538,'1',999,'N'),(25,6308546,'1',999,'N'),(25,6308554,'1',303,'N'),(25,6308562,'1',201,'N'),(25,6308562,'1A',212,'N'),(25,6308597,'1',453,'N'),(25,6308600,'1',340,'N'),(25,6308627,'1',303,'N'),(25,6308635,'1',101,'N'),(25,6308660,'1',207,'N'),(25,6308660,'1A',201,'N'),(25,6308678,'1',310,'N'),(25,6308686,'1',103,'N'),(25,6308694,'1',201,'N'),(25,6308694,'1A',202,'N'),(25,6308708,'1',551,'N'),(25,6308716,'1',220,'N'),(25,6308716,'1A',203,'N'),(25,6308724,'1',238,'N'),(25,6308724,'1A',220,'N'),(25,6308732,'1',208,'N'),(25,6308732,'1A',213,'N'),(25,6308740,'1',5,'N'),(25,6308767,'1',5,'N'),(25,6308775,'1',103,'N'),(25,6308783,'1',503,'N'),(25,6308791,'1',202,'N'),(25,6308791,'1A',213,'N'),(25,6308805,'1',103,'N'),(25,6308821,'1',308,'N'),(25,6308830,'1',103,'N'),(25,6308848,'1',340,'N'),(25,6308864,'1',404,'N'),(25,6308872,'1',238,'N'),(25,6308872,'1A',220,'N'),(25,6308880,'1',201,'N'),(25,6308880,'1A',207,'N'),(25,6308899,'1',340,'N'),(25,6308902,'1',216,'N'),(25,6308902,'1A',207,'N'),(25,6308910,'1',5,'N'),(25,6308945,'1',5,'N'),(25,6308953,'1',201,'N'),(25,6308953,'1A',220,'N'),(25,6308961,'1',211,'N'),(25,6308961,'1A',215,'N'),(25,6308970,'1',103,'N'),(25,6308996,'1',108,'N'),(25,6309003,'1',220,'N'),(25,6309003,'1A',201,'N'),(25,6309011,'1',211,'N'),(25,6309011,'1A',653,'N'),(25,6309020,'1',453,'N'),(25,6309038,'1',103,'N'),(25,6309046,'1',238,'N'),(25,6309046,'1A',208,'N'),(25,6309054,'1',999,'N'),(25,6309062,'1',101,'N'),(25,6309070,'1',308,'N'),(25,6309089,'1',103,'N'),(25,6309100,'1',319,'N'),(25,6309119,'1',654,'N'),(25,6309127,'1',501,'N'),(25,6309135,'1',332,'N'),(25,6309143,'1',319,'N'),(25,6309151,'1',302,'N'),(25,6309160,'1',216,'N'),(25,6309160,'1A',207,'N'),(25,6309178,'1',234,'N'),(25,6309186,'1',451,'N'),(25,6309194,'1',211,'N'),(25,6309194,'1A',216,'N'),(25,6309208,'1',207,'N'),(25,6309216,'1',103,'N'),(25,6309224,'1',104,'N'),(25,6309232,'1',654,'N'),(25,6309240,'1',5,'N'),(25,6309259,'1',101,'N'),(25,6309267,'1',601,'N'),(25,6309267,'1A',203,'N'),(25,6309275,'1',215,'N'),(25,6309275,'1A',208,'N'),(25,6309283,'1',103,'N'),(25,6309291,'1',211,'N'),(25,6309291,'1A',208,'N'),(25,6309305,'1',108,'N'),(25,6309313,'1',110,'N'),(25,6309321,'1',103,'N'),(25,6309348,'1',110,'N'),(25,6309356,'1',451,'N'),(25,6309364,'1',203,'N'),(25,6309364,'1A',202,'N'),(25,6309372,'1',415,'N'),(25,6309399,'1',319,'N'),(25,6309402,'1',654,'N'),(25,6309410,'1',303,'N'),(25,6309429,'1',203,'N'),(25,6309429,'1A',214,'N'),(25,6309461,'1',316,'N'),(25,6309496,'1',103,'N'),(25,6309500,'1',202,'N'),(25,6309500,'1A',203,'N'),(25,6309518,'1',404,'N'),(25,6309526,'1',207,'N'),(25,6309526,'1A',201,'N'),(25,6309534,'1',208,'N'),(25,6309534,'1A',238,'N'),(25,6309542,'1',655,'N'),(25,6309542,'1A',652,'N'),(25,6309550,'1',102,'N'),(25,6309569,'1',103,'N'),(25,6309577,'1',451,'N'),(25,6309585,'1',103,'N'),(25,6309593,'1',333,'N'),(25,6309607,'1',207,'N'),(25,6309607,'1A',201,'N'),(25,6309615,'1',216,'N'),(25,6309615,'1A',201,'N'),(25,6309623,'1',452,'N'),(25,6309631,'1',201,'N'),(25,6309640,'1',208,'N'),(25,6309640,'1A',238,'N'),(25,6309658,'1',103,'N'),(25,6309666,'1',303,'N'),(25,6309674,'1',9,'N'),(25,6309682,'1',213,'N'),(25,6309682,'1A',212,'N'),(25,6309704,'1',451,'N'),(25,6309712,'1',319,'N'),(25,6309720,'1',551,'N'),(25,6309739,'1',317,'N'),(25,6309755,'1',103,'N'),(25,6309763,'1',238,'N'),(25,6309763,'1A',208,'N'),(25,6309780,'1',319,'N'),(25,6309798,'1',5,'N'),(25,6309801,'1',301,'N'),(25,6309810,'1',426,'N'),(25,6309836,'1',234,'N'),(25,6309844,'1',203,'N'),(25,6309844,'1A',601,'N'),(25,6309852,'1',234,'N'),(25,6309879,'1',303,'N'),(25,6309895,'1',404,'N'),(25,6309909,'1',207,'N'),(25,6309909,'1A',201,'N'),(25,6309925,'1',238,'N'),(25,6309925,'1A',208,'N'),(25,6309933,'1',202,'N'),(25,6309933,'1A',220,'N'),(25,6309941,'1',201,'N'),(25,6309941,'1A',207,'N'),(25,6309950,'1',551,'N'),(25,6309968,'1',201,'N'),(25,6309968,'1A',207,'N'),(25,6309992,'1',444,'N'),(25,6310028,'1',207,'N'),(25,6310028,'1A',201,'N'),(25,6310036,'1',340,'N'),(25,6310044,'1',654,'N'),(25,6310052,'1',340,'N'),(25,6310060,'1',103,'N'),(25,6310079,'1',103,'N'),(25,6310087,'1',654,'N'),(25,6310117,'1',301,'N'),(25,6310125,'1',202,'N'),(25,6310125,'1A',235,'N'),(25,6310141,'1',316,'N'),(25,6310150,'1',203,'N'),(25,6310150,'1A',220,'N'),(25,6310168,'1',654,'N'),(25,6310184,'1',303,'N'),(25,6310192,'1',317,'N'),(25,6310214,'1',340,'N'),(25,6310222,'1',326,'N'),(25,6310230,'1',207,'N'),(25,6310230,'1A',211,'N'),(25,6310249,'1',103,'N'),(25,6310273,'1',501,'N'),(25,6310281,'1',337,'N'),(25,6310303,'1',216,'N'),(25,6310303,'1A',653,'N'),(25,6310311,'1',103,'N'),(25,6310320,'1',327,'N'),(25,6310338,'1',104,'N'),(25,6310346,'1',317,'N'),(25,6310354,'1',444,'N'),(25,6310370,'1',502,'N'),(25,6310389,'1',201,'N'),(25,6310389,'1A',212,'N'),(25,6310400,'1',655,'N'),(25,6310400,'1A',652,'N'),(25,6310419,'1',332,'N'),(25,6310427,'1',103,'N'),(25,6310443,'1',108,'N'),(25,6310451,'1',551,'N'),(25,6310460,'1',999,'N'),(25,6310478,'1',415,'N'),(25,6310486,'1',450,'N'),(25,6310508,'1',601,'N'),(25,6310508,'1A',238,'N'),(25,6310516,'1',317,'N'),(25,6310524,'1',316,'N'),(25,6310540,'1',653,'N'),(25,6310540,'1A',235,'N'),(25,6310559,'1',203,'N'),(25,6310559,'1A',601,'N'),(25,6310567,'1',238,'N'),(25,6310567,'1A',655,'N'),(25,6310575,'1',301,'N'),(25,6310583,'1',101,'N'),(25,6310591,'1',654,'N'),(25,6310605,'1',308,'N'),(25,6310613,'1',207,'N'),(25,6310613,'1A',211,'N'),(25,6310621,'1',208,'N'),(25,6310621,'1A',203,'N'),(25,6310630,'1',302,'N'),(25,6310648,'1',9,'N'),(25,6310656,'1',211,'N'),(25,6310656,'1A',233,'N'),(25,6310664,'1',104,'N'),(25,6310672,'1',317,'N'),(25,6310680,'1',233,'N'),(25,6310680,'1A',220,'N'),(25,6310702,'1',425,'N'),(25,6310702,'1A',428,'N'),(25,6310729,'1',329,'N'),(25,6310737,'1',103,'N'),(25,6310745,'1',103,'N'),(25,6310753,'1',238,'N'),(25,6310753,'1A',208,'N'),(25,6310761,'1',654,'N'),(25,6310770,'1',233,'N'),(25,6310770,'1A',653,'N'),(25,6310788,'1',104,'N'),(25,6310800,'1',201,'N'),(25,6310800,'1A',212,'N'),(25,6310818,'1',201,'N'),(25,6310818,'1A',211,'N'),(25,6310826,'1',103,'N'),(25,6310834,'1',428,'N'),(25,6310834,'1A',423,'N'),(25,6310842,'1',310,'N'),(25,6310850,'1',9,'N'),(25,6310869,'1',103,'N'),(25,6310877,'1',102,'N'),(25,6310885,'1',301,'N'),(25,6310893,'1',101,'N'),(25,6310923,'1',103,'N'),(25,6310931,'1',426,'N'),(25,6310931,'1A',425,'N'),(25,6310940,'1',340,'N'),(25,6310958,'1',103,'N'),(25,6310974,'1',5,'N'),(25,6310982,'1',303,'N'),(25,6310990,'1',340,'N'),(25,6311008,'1',999,'N'),(25,6311032,'1',551,'N'),(25,6311040,'1',303,'N'),(25,6311059,'1',652,'N'),(25,6311059,'1A',653,'N'),(25,6311075,'1',302,'N'),(25,6311083,'1',103,'N'),(25,6311091,'1',101,'N'),(25,6311113,'1',220,'N'),(25,6311113,'1A',235,'N'),(25,6311121,'1',208,'N'),(25,6311121,'1A',238,'N'),(25,6311130,'1',999,'N'),(25,6311148,'1',317,'N'),(25,6311156,'1',103,'N'),(25,6311172,'1',201,'N'),(25,6311172,'1A',233,'N'),(25,6311180,'1',103,'N'),(25,6311199,'1',303,'N'),(25,6311202,'1',216,'N'),(25,6311202,'1A',233,'N'),(25,6311210,'1',103,'N'),(25,6311229,'1',103,'N'),(25,6311237,'1',238,'N'),(25,6311237,'1A',208,'N'),(25,6311253,'1',202,'N'),(25,6311253,'1A',220,'N'),(25,6311261,'1',309,'N'),(25,6311288,'1',2,'N'),(25,6311296,'1',103,'N'),(25,6311300,'1',103,'N'),(25,6311318,'1',324,'N'),(25,6311326,'1',551,'N'),(25,6311334,'1',317,'N'),(25,6311342,'1',601,'N'),(25,6311350,'1',331,'N'),(25,6311369,'1',108,'N'),(25,6311377,'1',318,'N'),(25,6311385,'1',103,'N'),(25,6311393,'1',201,'N'),(25,6311393,'1A',202,'N'),(25,6311407,'1',212,'N'),(25,6311407,'1A',213,'N'),(25,6311415,'1',5,'N'),(25,6311431,'1',999,'N'),(25,6311440,'1',108,'N'),(25,6311458,'1',108,'N'),(25,6311466,'1',9,'N'),(25,6311474,'1',340,'N'),(25,6311482,'1',238,'N'),(25,6311482,'1A',208,'N'),(25,6311490,'1',108,'N'),(25,6311504,'1',233,'N'),(25,6311504,'1A',215,'N'),(25,6311512,'1',308,'N'),(25,6311520,'1',238,'N'),(25,6311520,'1A',208,'N'),(25,6311539,'1',102,'N'),(25,6311547,'1',235,'N'),(25,6311547,'1A',203,'N'),(25,6311563,'1',203,'N'),(25,6311563,'1A',201,'N'),(25,6311571,'1',103,'N'),(25,6311580,'1',551,'N'),(25,6311598,'1',211,'N'),(25,6311598,'1A',214,'N'),(25,6311601,'1',103,'N'),(25,6311628,'1',201,'N'),(25,6311628,'1A',601,'N'),(25,6311636,'1',108,'N'),(25,6311644,'1',319,'N'),(25,6311652,'1',303,'N'),(25,6311660,'1',103,'N'),(25,6311679,'1',450,'N'),(25,6311687,'1',303,'N'),(25,6311709,'1',340,'N'),(25,6311717,'1',340,'N'),(25,6311725,'1',103,'N'),(25,6311733,'1',103,'N'),(25,6311741,'1',203,'N'),(25,6311741,'1A',201,'N'),(25,6311750,'1',654,'N'),(25,6311768,'1',450,'N'),(25,6311784,'1',319,'N'),(25,6311792,'1',404,'N'),(25,6311806,'1',234,'N'),(25,6311814,'1',238,'N'),(25,6311814,'1A',233,'N'),(25,6311822,'1',303,'N'),(25,6311830,'1',103,'N'),(25,6311849,'1',202,'N'),(25,6311849,'1A',235,'N'),(25,6311865,'1',303,'N'),(25,6311873,'1',214,'N'),(25,6311873,'1A',212,'N'),(25,6311881,'1',999,'N'),(25,6311903,'1',308,'N'),(25,6311920,'1',303,'N'),(25,6311954,'1',502,'N'),(25,6311962,'1',110,'N'),(25,6311989,'1',103,'N'),(25,6311997,'1',235,'N'),(25,6311997,'1A',208,'N'),(25,6312004,'1',316,'N'),(25,6312012,'1',103,'N'),(25,6312020,'1',103,'N'),(25,6312039,'1',201,'N'),(25,6312039,'1A',212,'N'),(25,6312047,'1',101,'N'),(25,6312055,'1',103,'N'),(25,6312063,'1',202,'N'),(25,6312063,'1A',653,'N'),(25,6312071,'1',318,'N'),(25,6312080,'1',303,'N'),(25,6312098,'1',425,'N'),(25,6312098,'1A',428,'N'),(25,6312101,'1',104,'N'),(25,6312110,'1',308,'N'),(25,6312128,'1',415,'N'),(25,6312136,'1',101,'N'),(25,6312144,'1',444,'N'),(25,6312152,'1',102,'N'),(25,6312160,'1',319,'N'),(25,6312179,'1',201,'N'),(25,6312179,'1A',212,'N'),(25,6312187,'1',201,'N'),(25,6312187,'1A',233,'N'),(25,6312195,'1',654,'N'),(25,6312217,'1',308,'N'),(25,6312225,'1',103,'N'),(25,6312233,'1',103,'N'),(25,6312241,'1',108,'N'),(25,6312250,'1',220,'N'),(25,6312250,'1A',202,'N'),(25,6312268,'1',101,'N'),(25,6312276,'1',336,'N'),(25,6312284,'1',208,'N'),(25,6312284,'1A',235,'N'),(25,6312292,'1',453,'N'),(25,6312306,'1',303,'N'),(25,6312322,'1',450,'N'),(25,6312330,'1',316,'N'),(25,6312349,'1',103,'N'),(25,6312357,'1',203,'N'),(25,6312357,'1A',202,'N'),(25,6312365,'1',101,'N'),(25,6312373,'1',999,'N'),(25,6312381,'1',308,'N'),(25,6312403,'1',201,'N'),(25,6312403,'1A',202,'N'),(25,6312411,'1',2,'N'),(25,6312420,'1',208,'N'),(25,6312438,'1',415,'N'),(25,6312454,'1',319,'N'),(25,6312462,'1',503,'N'),(25,6312470,'1',654,'N'),(25,6312489,'1',601,'N'),(25,6312489,'1A',235,'N'),(25,6312497,'1',203,'N'),(25,6312497,'1A',214,'N'),(25,6312500,'1',999,'N'),(25,6312543,'1',108,'N'),(25,6312551,'1',207,'N'),(25,6312551,'1A',201,'N'),(25,6312560,'1',327,'N'),(25,6312578,'1',102,'N'),(25,6312586,'1',999,'N'),(25,6312594,'1',5,'N'),(25,6312608,'1',420,'N'),(25,6312616,'1',233,'N'),(25,6312616,'1A',212,'N'),(25,6312624,'1',104,'N'),(25,6312640,'1',501,'N'),(25,6312659,'1',303,'N'),(25,6312667,'1',302,'N'),(25,6312675,'1',203,'N'),(25,6312675,'1A',214,'N'),(25,6312683,'1',108,'N'),(25,6312691,'1',207,'N'),(25,6312691,'1A',211,'N'),(25,6312705,'1',104,'N'),(25,6312713,'1',453,'N'),(25,6312721,'1',238,'N'),(25,6312721,'1A',208,'N'),(25,6312730,'1',202,'N'),(25,6312730,'1A',213,'N'),(25,6312756,'1',303,'N'),(25,6312772,'1',9,'N'),(25,6312780,'1',551,'N'),(25,6312799,'1',336,'N'),(25,6312802,'1',103,'N'),(25,6312810,'1',5,'N'),(25,6312829,'1',104,'N'),(25,6312837,'1',319,'N'),(25,6312845,'1',103,'N'),(25,6312853,'1',216,'N'),(25,6312853,'1A',215,'N'),(25,6312896,'1',208,'N'),(25,6312896,'1A',235,'N'),(25,6312918,'1',415,'N'),(25,6312926,'1',653,'N'),(25,6312926,'1A',655,'N'),(25,6312934,'1',999,'N'),(25,6312950,'1',601,'N'),(25,6312969,'1',453,'N'),(25,6312977,'1',202,'N'),(25,6312977,'1A',653,'N'),(25,6312993,'1',338,'N'),(25,6313000,'1',317,'N'),(25,6313019,'1',310,'N'),(25,6313027,'1',103,'N'),(25,6313035,'1',207,'N'),(25,6313035,'1A',601,'N'),(25,6313043,'1',308,'N'),(25,6313051,'1',103,'N'),(25,6313060,'1',103,'N'),(25,6313078,'1',999,'N'),(25,6313094,'1',309,'N'),(25,6313116,'1',103,'N'),(25,6313124,'1',303,'N'),(25,6313132,'1',301,'N'),(25,6313140,'1',103,'N'),(25,6313175,'1',207,'N'),(25,6313175,'1A',601,'N'),(25,6313183,'1',201,'N'),(25,6313183,'1A',208,'N'),(25,6313205,'1',303,'N'),(25,6313213,'1',207,'N'),(25,6313213,'1A',201,'N'),(25,6313230,'1',102,'N'),(25,6313248,'1',415,'N'),(25,6313264,'1',319,'N'),(25,6313272,'1',340,'N'),(25,6313280,'1',404,'N'),(25,6313302,'1',415,'N'),(25,6313310,'1',319,'N'),(25,6313329,'1',444,'N'),(25,6313337,'1',333,'N'),(25,6313345,'1',5,'N'),(25,6313361,'1',201,'N'),(25,6313361,'1A',212,'N'),(25,6313370,'1',103,'N'),(25,6313388,'1',216,'N'),(25,6313388,'1A',201,'N'),(25,6313426,'1',225,'N'),(25,6313434,'1',203,'N'),(25,6313434,'1A',233,'N'),(25,6313442,'1',303,'N'),(25,6313450,'1',103,'N'),(25,6313477,'1',5,'N'),(25,6313485,'1',452,'N'),(25,6313515,'1',308,'N'),(25,6313523,'1',9,'N'),(25,6313531,'1',208,'N'),(25,6313531,'1A',235,'N'),(25,6313540,'1',102,'N'),(25,6313558,'1',208,'N'),(25,6313558,'1A',238,'N'),(25,6313566,'1',326,'N'),(25,6313574,'1',203,'N'),(25,6313574,'1A',214,'N'),(25,6313582,'1',654,'N'),(25,6313590,'1',101,'N'),(25,6313604,'1',317,'N'),(25,6313620,'1',601,'N'),(25,6313620,'1A',201,'N'),(25,6313639,'1',104,'N'),(25,6313647,'1',103,'N'),(25,6313655,'1',103,'N'),(25,6313663,'1',103,'N'),(25,6313671,'1',103,'N'),(25,6313680,'1',502,'N'),(25,6313698,'1',103,'N'),(25,6313728,'1',203,'N'),(25,6313728,'1A',214,'N'),(25,6313736,'1',207,'N'),(25,6313736,'1A',211,'N'),(25,6313744,'1',303,'N'),(25,6313760,'1',336,'N'),(25,6313779,'1',5,'N'),(25,6313787,'1',332,'N'),(25,6313809,'1',215,'N'),(25,6313809,'1A',207,'N'),(25,6313841,'1',308,'N'),(25,6313850,'1',303,'N'),(25,6313868,'1',103,'N'),(25,6313876,'1',452,'N'),(25,6313884,'1',203,'N'),(25,6313884,'1A',601,'N'),(25,6313906,'1',201,'N'),(25,6313906,'1A',220,'N'),(25,6313914,'1',335,'N'),(25,6313930,'1',216,'N'),(25,6313949,'1',101,'N'),(25,6313957,'1',999,'N'),(25,6313965,'1',103,'N'),(25,6313973,'1',501,'N'),(25,6313990,'1',211,'N'),(25,6313990,'1A',207,'N'),(25,6314007,'1',333,'N'),(25,6314015,'1',201,'N'),(25,6314015,'1A',238,'N'),(25,6314023,'1',415,'N'),(25,6314031,'1',103,'N'),(25,6314040,'1',103,'N'),(25,6314058,'1',502,'N'),(25,6314066,'1',203,'N'),(25,6314066,'1A',653,'N'),(25,6314074,'1',103,'N'),(25,6314082,'1',202,'N'),(25,6314082,'1A',235,'N'),(25,6314090,'1',404,'N'),(25,6314104,'1',203,'N'),(25,6314104,'1A',216,'N'),(25,6314139,'1',208,'N'),(25,6314139,'1A',652,'N'),(25,6314147,'1',5,'N'),(25,6314155,'1',339,'N'),(25,6314163,'1',102,'N'),(25,6314171,'1',102,'N'),(25,6314180,'1',108,'N'),(25,6314198,'1',316,'N'),(25,6314201,'1',103,'N'),(25,6314210,'1',502,'N'),(25,6314228,'1',336,'N'),(25,6314236,'1',333,'N'),(25,6314260,'1',302,'N'),(25,6314279,'1',201,'N'),(25,6314279,'1A',207,'N'),(25,6314287,'1',203,'N'),(25,6314287,'1A',653,'N'),(25,6314309,'1',9,'N'),(25,6314317,'1',340,'N'),(25,6314325,'1',207,'N'),(25,6314325,'1A',201,'N'),(25,6314333,'1',103,'N'),(25,6314341,'1',103,'N'),(25,6314368,'1',109,'N'),(25,6314392,'1',201,'N'),(25,6314392,'1A',238,'N'),(25,6314406,'1',999,'N'),(25,6314414,'1',103,'N'),(25,6314422,'1',2,'N'),(25,6314430,'1',551,'N'),(25,6314449,'1',103,'N'),(25,6314457,'1',319,'N'),(25,6314465,'1',103,'N'),(25,6314473,'1',110,'N'),(25,6314481,'1',203,'N'),(25,6314481,'1A',214,'N'),(25,6314490,'1',101,'N'),(25,6314503,'1',211,'N'),(25,6314503,'1A',215,'N'),(25,6314511,'1',234,'N'),(25,6314520,'1',601,'N'),(25,6314520,'1A',207,'N'),(25,6314538,'1',207,'N'),(25,6314546,'1',444,'N'),(25,6314554,'1',103,'N'),(25,6314562,'1',316,'N'),(25,6314570,'1',214,'N'),(25,6314570,'1A',203,'N'),(25,6314589,'1',328,'N'),(25,6314597,'1',103,'N'),(25,6314600,'1',208,'N'),(25,6314600,'1A',235,'N'),(25,6314619,'1',452,'N'),(25,6314627,'1',102,'N'),(25,6314635,'1',333,'N'),(25,6314651,'1',207,'N'),(25,6314651,'1A',201,'N'),(25,6314660,'1',201,'N'),(25,6314660,'1A',202,'N'),(25,6314678,'1',999,'N'),(25,6314686,'1',102,'N'),(25,6314694,'1',101,'N'),(25,6314708,'1',109,'N'),(25,6314716,'1',301,'N'),(25,6314724,'1',110,'N'),(25,6314740,'1',5,'N'),(25,6314767,'1',331,'N'),(25,6314775,'1',420,'N'),(25,6314791,'1',208,'N'),(25,6314805,'1',203,'N'),(25,6314813,'1',208,'N'),(25,6314813,'1A',238,'N'),(25,6314821,'1',999,'N'),(25,6314848,'1',103,'N'),(25,6314856,'1',207,'N'),(25,6314856,'1A',201,'N'),(25,6314872,'1',216,'N'),(25,6314872,'1A',233,'N'),(25,6314880,'1',303,'N'),(25,6314899,'1',109,'N'),(25,6314902,'1',327,'N'),(25,6314910,'1',201,'N'),(25,6314910,'1A',203,'N'),(25,6314937,'1',601,'N'),(25,6314945,'1',108,'N'),(25,6314953,'1',201,'N'),(25,6314953,'1A',202,'N'),(25,6314961,'1',205,'N'),(25,6314970,'1',999,'N'),(25,6314988,'1',999,'N'),(25,6314996,'1',212,'N'),(25,6314996,'1A',201,'N'),(25,6315003,'1',203,'N'),(25,6315003,'1A',233,'N'),(25,6315011,'1',404,'N'),(25,6315020,'1',203,'N'),(25,6315020,'1A',202,'N'),(25,6315046,'1',2,'N'),(25,6315054,'1',233,'N'),(25,6315054,'1A',214,'N'),(25,6315070,'1',108,'N'),(25,6315089,'1',444,'N'),(25,6315097,'1',551,'N'),(25,6315100,'1',316,'N'),(25,6315119,'1',103,'N'),(25,6315127,'1',303,'N'),(25,6315135,'1',308,'N'),(25,6315143,'1',201,'N'),(25,6315143,'1A',212,'N'),(25,6315151,'1',207,'N'),(25,6315151,'1A',211,'N'),(25,6315160,'1',601,'N'),(25,6315160,'1A',216,'N'),(25,6315178,'1',202,'N'),(25,6315178,'1A',653,'N'),(25,6315186,'1',444,'N'),(25,6315194,'1',103,'N'),(25,6315208,'1',999,'N'),(25,6315216,'1',208,'N'),(25,6315216,'1A',207,'N'),(25,6315224,'1',103,'N'),(25,6315232,'1',999,'N'),(25,6315240,'1',110,'N'),(25,6315259,'1',5,'N'),(25,6315267,'1',5,'N'),(25,6315275,'1',303,'N'),(25,6315283,'1',999,'N'),(25,6315291,'1',304,'N'),(25,6315313,'1',103,'N'),(25,6315321,'1',203,'N'),(25,6315321,'1A',214,'N'),(25,6315330,'1',238,'N'),(25,6315330,'1A',208,'N'),(25,6315356,'1',103,'N'),(25,6315364,'1',999,'N'),(25,6315372,'1',304,'N'),(25,6315380,'1',404,'N'),(25,6315399,'1',303,'N'),(25,6315402,'1',214,'N'),(25,6315402,'1A',220,'N'),(25,6315410,'1',103,'N'),(25,6315429,'1',999,'N'),(25,6315437,'1',207,'N'),(25,6315437,'1A',208,'N'),(25,6315445,'1',103,'N'),(25,6315461,'1',333,'N'),(25,6315470,'1',103,'N'),(25,6315488,'1',5,'N'),(25,6315496,'1',103,'N'),(25,6315500,'1',103,'N'),(25,6315518,'1',104,'N'),(25,6315526,'1',202,'N'),(25,6315526,'1A',203,'N'),(25,6315534,'1',215,'N'),(25,6315534,'1A',211,'N'),(25,6315542,'1',201,'N'),(25,6315542,'1A',212,'N'),(25,6315550,'1',201,'N'),(25,6315550,'1A',601,'N'),(25,6315577,'1',404,'N'),(25,6315607,'1',202,'N'),(25,6315607,'1A',213,'N'),(25,6315631,'1',9,'N'),(25,6315640,'1',303,'N'),(25,6315658,'1',339,'N'),(25,6315666,'1',215,'N'),(25,6315666,'1A',235,'N'),(25,6315674,'1',235,'N'),(25,6315674,'1A',213,'N'),(25,6315682,'1',201,'N'),(25,6315682,'1A',212,'N'),(25,6315690,'1',318,'N'),(25,6315704,'1',223,'N'),(25,6315712,'1',501,'N'),(25,6315720,'1',225,'N'),(25,6315739,'1',103,'N'),(25,6315755,'1',201,'N'),(25,6315755,'1A',601,'N'),(25,6315771,'1',308,'N'),(25,6315780,'1',318,'N'),(25,6315798,'1',103,'N'),(25,6315828,'1',999,'N'),(25,6315836,'1',238,'N'),(25,6315836,'1A',235,'N'),(25,6315844,'1',203,'N'),(25,6315844,'1A',214,'N'),(25,6315852,'1',5,'N'),(25,6315860,'1',309,'N'),(25,6315879,'1',453,'N'),(25,6315887,'1',316,'N'),(25,6315895,'1',999,'N'),(25,6315909,'1',216,'N'),(25,6315917,'1',316,'N'),(25,6315925,'1',216,'N'),(25,6315925,'1A',212,'N'),(25,6315950,'1',207,'N'),(25,6315950,'1A',201,'N'),(25,6315968,'1',303,'N'),(25,6315976,'1',335,'N'),(25,6315984,'1',103,'N'),(25,6316000,'1',103,'N'),(25,6316018,'1',999,'N'),(25,6316026,'1',9,'N'),(25,6316034,'1',108,'N'),(25,6316042,'1',103,'N'),(25,6316050,'1',999,'N'),(25,6316069,'1',203,'N'),(25,6316069,'1A',201,'N'),(25,6316077,'1',5,'N'),(25,6316093,'1',103,'N'),(25,6316107,'1',303,'N'),(25,6316115,'1',201,'N'),(25,6316115,'1A',233,'N'),(25,6316123,'1',103,'N'),(25,6316140,'1',103,'N'),(25,6316158,'1',425,'N'),(25,6316158,'1A',421,'N'),(25,6316166,'1',205,'N'),(25,6316182,'1',425,'N'),(25,6316182,'1A',429,'N'),(25,6316190,'1',415,'N'),(25,6316204,'1',103,'N'),(25,6316212,'1',108,'N'),(25,6316220,'1',335,'N'),(25,6316239,'1',103,'N'),(25,6316247,'1',501,'N'),(25,6316255,'1',3,'N'),(25,6316263,'1',420,'N'),(25,6316271,'1',503,'N'),(25,6316280,'1',316,'N'),(25,6316298,'1',104,'N'),(25,6316310,'1',336,'N'),(25,6316328,'1',420,'N'),(25,6316336,'1',301,'N'),(25,6316344,'1',103,'N'),(25,6316352,'1',102,'N'),(25,6316360,'1',340,'N'),(25,6316379,'1',104,'N'),(25,6316387,'1',503,'N'),(25,6316409,'1',238,'N'),(25,6316409,'1A',233,'N'),(25,6316417,'1',101,'N'),(25,6316425,'1',207,'N'),(25,6316433,'1',101,'N'),(25,6316441,'1',203,'N'),(25,6316441,'1A',220,'N'),(25,6316468,'1',202,'N'),(25,6316468,'1A',201,'N'),(25,6316476,'1',202,'N'),(25,6316476,'1A',212,'N'),(25,6316484,'1',203,'N'),(25,6316484,'1A',601,'N'),(25,6316492,'1',208,'N'),(25,6316492,'1A',238,'N'),(25,6316506,'1',999,'N'),(25,6316514,'1',104,'N'),(25,6316522,'1',208,'N'),(25,6316522,'1A',238,'N'),(25,6316530,'1',225,'N'),(25,6316549,'1',451,'N'),(25,6316557,'1',234,'N'),(25,6316565,'1',425,'N'),(25,6316565,'1A',423,'N'),(25,6316581,'1',220,'N'),(25,6316581,'1A',235,'N'),(25,6316590,'1',104,'N'),(25,6316603,'1',203,'N'),(25,6316603,'1A',207,'N'),(25,6316611,'1',319,'N'),(25,6316620,'1',5,'N'),(25,6316638,'1',202,'N'),(25,6316638,'1A',220,'N'),(25,6316646,'1',223,'N'),(25,6316654,'1',316,'N'),(25,6316662,'1',404,'N'),(25,6316689,'1',340,'N'),(25,6316697,'1',103,'N'),(25,6316727,'1',450,'N'),(25,6316735,'1',304,'N'),(25,6316743,'1',5,'N'),(25,6316751,'1',336,'N'),(25,6316760,'1',340,'N'),(25,6316778,'1',444,'N'),(25,6316794,'1',203,'N'),(25,6316794,'1A',220,'N'),(25,6316808,'1',203,'N'),(25,6316808,'1A',201,'N'),(25,6316832,'1',451,'N'),(25,6316840,'1',203,'N'),(25,6316840,'1A',220,'N'),(25,6316859,'1',102,'N'),(25,6316867,'1',101,'N'),(25,6316875,'1',104,'N'),(25,6316883,'1',425,'N'),(25,6316883,'1A',429,'N'),(25,6316891,'1',207,'N'),(25,6316891,'1A',201,'N'),(25,6316905,'1',317,'N'),(25,6316921,'1',211,'N'),(25,6316921,'1A',201,'N'),(25,6316956,'1',201,'N'),(25,6316956,'1A',208,'N'),(25,6316964,'1',201,'N'),(25,6316964,'1A',203,'N'),(25,6316972,'1',103,'N'),(25,6316980,'1',333,'N'),(25,6317006,'1',5,'N'),(25,6317014,'1',103,'N'),(25,6317030,'1',9,'N'),(25,6317049,'1',220,'N'),(25,6317049,'1A',233,'N'),(25,6317057,'1',213,'N'),(25,6317057,'1A',203,'N'),(25,6317065,'1',103,'N'),(25,6317073,'1',238,'N'),(25,6317081,'1',999,'N'),(25,6317103,'1',235,'N'),(25,6317103,'1A',202,'N'),(25,6317111,'1',211,'N'),(25,6317111,'1A',201,'N'),(25,6317120,'1',216,'N'),(25,6317138,'1',211,'N'),(25,6317138,'1A',233,'N'),(25,6317146,'1',601,'N'),(25,6317154,'1',207,'N'),(25,6317170,'1',301,'N'),(25,6317197,'1',501,'N'),(25,6317200,'1',108,'N'),(25,6317219,'1',319,'N'),(25,6317227,'1',233,'N'),(25,6317227,'1A',211,'N'),(25,6317235,'1',319,'N'),(25,6317251,'1',319,'N'),(25,6317260,'1',103,'N'),(25,6317286,'1',212,'N'),(25,6317286,'1A',214,'N'),(25,6317294,'1',404,'N'),(25,6317308,'1',207,'N'),(25,6317308,'1A',201,'N'),(25,6317316,'1',103,'N'),(25,6317324,'1',103,'N'),(25,6317332,'1',203,'N'),(25,6317332,'1A',220,'N'),(25,6317340,'1',103,'N'),(25,6317359,'1',103,'N'),(25,6317375,'1',503,'N'),(25,6317391,'1',103,'N'),(25,6317405,'1',211,'N'),(25,6317405,'1A',203,'N'),(25,6317413,'1',203,'N'),(25,6317413,'1A',216,'N'),(25,6317421,'1',103,'N'),(25,6317430,'1',103,'N'),(25,6317448,'1',303,'N'),(25,6317456,'1',317,'N'),(25,6317464,'1',415,'N'),(25,6317472,'1',451,'N'),(25,6317480,'1',238,'N'),(25,6317480,'1A',208,'N'),(25,6317499,'1',302,'N'),(25,6317502,'1',238,'N'),(25,6317502,'1A',208,'N'),(25,6317510,'1',318,'N'),(25,6317529,'1',452,'N'),(25,6317553,'1',203,'N'),(25,6317553,'1A',208,'N'),(25,6317561,'1',336,'N'),(25,6317588,'1',201,'N'),(25,6317588,'1A',601,'N'),(25,6317596,'1',654,'N'),(25,6317600,'1',5,'N'),(25,6317618,'1',201,'N'),(25,6317642,'1',103,'N'),(25,6317650,'1',444,'N'),(25,6317669,'1',551,'N'),(25,6317677,'1',233,'N'),(25,6317677,'1A',211,'N'),(25,6317685,'1',340,'N'),(25,6317693,'1',201,'N'),(25,6317693,'1A',212,'N'),(25,6317707,'1',601,'N'),(25,6317715,'1',104,'N'),(25,6317723,'1',319,'N'),(25,6317731,'1',102,'N'),(25,6317740,'1',235,'N'),(25,6317740,'1A',207,'N'),(25,6317758,'1',201,'N'),(25,6317758,'1A',207,'N'),(25,6317774,'1',208,'N'),(25,6317774,'1A',238,'N'),(25,6317790,'1',301,'N'),(25,6317812,'1',453,'N'),(25,6317820,'1',208,'N'),(25,6317820,'1A',238,'N'),(25,6317839,'1',999,'N'),(25,6317847,'1',319,'N'),(25,6317871,'1',103,'N'),(25,6317880,'1',303,'N'),(25,6317898,'1',2,'N'),(25,6317928,'1',102,'N'),(25,6317936,'1',103,'N'),(25,6317944,'1',103,'N'),(25,6317952,'1',303,'N'),(25,6317979,'1',999,'N'),(25,6317987,'1',329,'N'),(25,6318002,'1',318,'N'),(25,6318010,'1',208,'N'),(25,6318010,'1A',201,'N'),(25,6318029,'1',104,'N'),(25,6318037,'1',233,'N'),(25,6318037,'1A',215,'N'),(25,6318045,'1',103,'N'),(25,6318053,'1',211,'N'),(25,6318053,'1A',233,'N'),(25,6318061,'1',336,'N'),(25,6318070,'1',202,'N'),(25,6318070,'1A',235,'N'),(25,6318088,'1',103,'N'),(25,6318096,'1',110,'N'),(25,6318100,'1',211,'N'),(25,6318100,'1A',201,'N'),(25,6318118,'1',203,'N'),(25,6318126,'1',220,'N'),(25,6318126,'1A',213,'N'),(25,6318134,'1',211,'N'),(25,6318134,'1A',213,'N'),(25,6318142,'1',202,'N'),(25,6318142,'1A',653,'N'),(25,6318150,'1',223,'N'),(25,6318169,'1',216,'N'),(25,6318169,'1A',203,'N'),(25,6318177,'1',328,'N'),(25,6318185,'1',5,'N'),(25,6318193,'1',202,'N'),(25,6318193,'1A',213,'N'),(25,6318207,'1',103,'N'),(25,6318215,'1',103,'N'),(25,6318223,'1',207,'N'),(25,6318223,'1A',201,'N'),(25,6318231,'1',201,'N'),(25,6318258,'1',201,'N'),(25,6318258,'1A',207,'N'),(25,6318266,'1',450,'N'),(25,6318274,'1',601,'N'),(25,6318274,'1A',233,'N'),(25,6318282,'1',318,'N'),(25,6318312,'1',235,'N'),(25,6318312,'1A',202,'N'),(25,6318320,'1',327,'N'),(25,6318339,'1',420,'N'),(25,6318347,'1',103,'N'),(25,6318363,'1',303,'N'),(25,6318371,'1',103,'N'),(25,6318380,'1',340,'N'),(25,6318398,'1',103,'N'),(25,6318401,'1',316,'N'),(25,6318410,'1',5,'N'),(25,6318428,'1',233,'N'),(25,6318428,'1A',212,'N'),(25,6318436,'1',109,'N'),(25,6318444,'1',103,'N'),(25,6318460,'1',201,'N'),(25,6318460,'1A',203,'N'),(25,6318479,'1',9,'N'),(25,6318495,'1',5,'N'),(25,6318509,'1',201,'N'),(25,6318509,'1A',207,'N'),(25,6318517,'1',103,'N'),(25,6318525,'1',3,'N'),(25,6318533,'1',238,'N'),(25,6318541,'1',201,'N'),(25,6318541,'1A',207,'N'),(25,6318550,'1',211,'N'),(25,6318550,'1A',235,'N'),(25,6318568,'1',999,'N'),(25,6318576,'1',451,'N'),(25,6318584,'1',203,'N'),(25,6318584,'1A',202,'N'),(25,6318592,'1',428,'N'),(25,6318592,'1A',427,'N'),(25,6318622,'1',319,'N'),(25,6318630,'1',551,'N'),(25,6318657,'1',301,'N'),(25,6318665,'1',304,'N'),(25,6318673,'1',415,'N'),(25,6318681,'1',201,'N'),(25,6318681,'1A',215,'N'),(25,6318690,'1',319,'N'),(25,6318703,'1',655,'N'),(25,6318703,'1A',652,'N'),(25,6318711,'1',317,'N'),(25,6318720,'1',317,'N'),(25,6318746,'1',335,'N'),(25,6318754,'1',332,'N'),(25,6318762,'1',317,'N'),(25,6318797,'1',234,'N'),(25,6318819,'1',404,'N'),(25,6318827,'1',103,'N'),(25,6318835,'1',303,'N'),(25,6318843,'1',601,'N'),(25,6318843,'1A',207,'N'),(25,6318851,'1',601,'N'),(25,6318851,'1A',207,'N'),(25,6318878,'1',102,'N'),(25,6318894,'1',211,'N'),(25,6318894,'1A',215,'N'),(25,6318908,'1',303,'N'),(25,6318916,'1',103,'N'),(25,6318924,'1',207,'N'),(25,6318924,'1A',211,'N'),(25,6318932,'1',203,'N'),(25,6318932,'1A',653,'N'),(25,6318959,'1',238,'N'),(25,6318959,'1A',208,'N'),(25,6318967,'1',999,'N'),(25,6318975,'1',415,'N'),(25,6318991,'1',207,'N'),(25,6318991,'1A',211,'N'),(25,6319009,'1',103,'N'),(25,6319017,'1',318,'N'),(25,6319025,'1',999,'N'),(25,6319033,'1',203,'N'),(25,6319033,'1A',235,'N'),(25,6319041,'1',202,'N'),(25,6319041,'1A',235,'N'),(25,6319050,'1',103,'N'),(25,6319068,'1',301,'N'),(25,6319076,'1',450,'N'),(25,6319084,'1',103,'N'),(25,6319092,'1',225,'N'),(25,6319114,'1',238,'N'),(25,6319114,'1A',208,'N'),(25,6319122,'1',104,'N'),(25,6319149,'1',216,'N'),(25,6319149,'1A',203,'N'),(25,6319157,'1',103,'N'),(25,6319165,'1',103,'N'),(25,6319173,'1',108,'N'),(25,6319181,'1',428,'N'),(25,6319181,'1A',425,'N'),(25,6319190,'1',102,'N'),(25,6319211,'1',415,'N'),(25,6319220,'1',333,'N'),(25,6319238,'1',103,'N'),(25,6319246,'1',203,'N'),(25,6319246,'1A',214,'N'),(25,6319254,'1',207,'N'),(25,6319254,'1A',201,'N'),(25,6319262,'1',201,'N'),(25,6319262,'1A',220,'N'),(25,6319270,'1',404,'N'),(25,6319289,'1',103,'N'),(25,6319297,'1',108,'N'),(25,6319319,'1',999,'N'),(25,6319327,'1',308,'N'),(25,6319335,'1',453,'N'),(25,6319351,'1',316,'N'),(25,6319360,'1',655,'N'),(25,6319360,'1A',652,'N'),(25,6319378,'1',317,'N'),(25,6319386,'1',501,'N'),(25,6319394,'1',319,'N'),(25,6319408,'1',415,'N'),(25,6319416,'1',101,'N'),(25,6319424,'1',101,'N'),(25,6319432,'1',103,'N'),(25,6319440,'1',404,'N'),(25,6319459,'1',303,'N'),(25,6319467,'1',653,'N'),(25,6319475,'1',999,'N'),(25,6319483,'1',102,'N'),(25,6319491,'1',103,'N'),(25,6319505,'1',207,'N'),(25,6319505,'1A',201,'N'),(25,6319513,'1',444,'N'),(25,6319530,'1',203,'N'),(25,6319530,'1A',214,'N'),(25,6319548,'1',444,'N'),(25,6319564,'1',308,'N'),(25,6319580,'1',336,'N'),(25,6319599,'1',104,'N'),(25,6319602,'1',551,'N'),(25,6319610,'1',303,'N'),(25,6319629,'1',104,'N'),(25,6319637,'1',999,'N'),(25,6319645,'1',444,'N'),(25,6319653,'1',316,'N'),(25,6319661,'1',102,'N'),(25,6319670,'1',103,'N'),(25,6319688,'1',5,'N'),(25,6319700,'1',203,'N'),(25,6319700,'1A',238,'N'),(25,6319726,'1',207,'N'),(25,6319726,'1A',238,'N'),(25,6319734,'1',451,'N'),(25,6319742,'1',317,'N'),(25,6319750,'1',316,'N'),(25,6319777,'1',999,'N'),(25,6319793,'1',415,'N'),(25,6319815,'1',212,'N'),(25,6319815,'1A',233,'N'),(25,6319823,'1',207,'N'),(25,6319823,'1A',201,'N'),(25,6319831,'1',339,'N'),(25,6319840,'1',208,'N'),(25,6319858,'1',103,'N'),(25,6319866,'1',203,'N'),(25,6319866,'1A',202,'N'),(25,6319874,'1',303,'N'),(25,6319882,'1',202,'N'),(25,6319882,'1A',213,'N'),(25,6319890,'1',103,'N'),(25,6319904,'1',103,'N'),(25,6319912,'1',211,'N'),(25,6319912,'1A',220,'N'),(25,6319920,'1',303,'N'),(25,6319939,'1',303,'N'),(25,6319947,'1',336,'N'),(25,6319955,'1',208,'N'),(25,6319955,'1A',203,'N'),(25,6319963,'1',308,'N'),(25,6319980,'1',103,'N'),(25,6319998,'1',103,'N'),(25,6320015,'1',999,'N'),(25,6320023,'1',999,'N'),(25,6320031,'1',333,'N'),(25,6320058,'1',234,'N'),(25,6320066,'1',415,'N'),(25,6320074,'1',420,'N'),(25,6320082,'1',208,'N'),(25,6320090,'1',5,'N'),(25,6320104,'1',201,'N'),(25,6320104,'1A',207,'N'),(25,6320112,'1',601,'N'),(25,6320120,'1',340,'N'),(25,6320139,'1',103,'N'),(25,6320163,'1',9,'N'),(25,6320171,'1',211,'N'),(25,6320171,'1A',213,'N'),(25,6320180,'1',108,'N'),(25,6320198,'1',103,'N'),(25,6320201,'1',201,'N'),(25,6320201,'1A',203,'N'),(25,6320210,'1',103,'N'),(25,6320236,'1',316,'N'),(25,6320244,'1',2,'N'),(25,6320252,'1',110,'N'),(25,6320260,'1',999,'N'),(25,6320279,'1',216,'N'),(25,6320279,'1A',220,'N'),(25,6320287,'1',333,'N'),(25,6320295,'1',501,'N'),(25,6320309,'1',103,'N'),(25,6320317,'1',451,'N'),(25,6320325,'1',201,'N'),(25,6320325,'1A',216,'N'),(25,6320333,'1',104,'N'),(25,6320341,'1',103,'N'),(25,6320350,'1',103,'N'),(25,6320368,'1',108,'N'),(25,6320384,'1',317,'N'),(25,6320392,'1',103,'N'),(25,6320406,'1',103,'N'),(25,6320414,'1',103,'N'),(25,6320422,'1',205,'N'),(25,6320430,'1',207,'N'),(25,6320430,'1A',201,'N'),(25,6320449,'1',103,'N'),(25,6320457,'1',303,'N'),(25,6320473,'1',999,'N'),(25,6320490,'1',103,'N'),(25,6320503,'1',303,'N'),(25,6320511,'1',302,'N'),(25,6320520,'1',999,'N'),(25,6320538,'1',201,'N'),(25,6320538,'1A',212,'N'),(25,6320546,'1',103,'N'),(25,6320554,'1',327,'N'),(25,6320570,'1',302,'N'),(25,6320589,'1',103,'N'),(25,6320597,'1',103,'N'),(25,6320619,'1',318,'N'),(25,6320627,'1',404,'N'),(25,6320635,'1',103,'N'),(25,6320651,'1',109,'N'),(25,6320660,'1',103,'N'),(25,6320686,'1',340,'N'),(25,6320694,'1',233,'N'),(25,6320694,'1A',213,'N'),(25,6320708,'1',225,'N'),(25,6320716,'1',415,'N'),(25,6320732,'1',216,'N'),(25,6320732,'1A',207,'N'),(25,6320740,'1',103,'N'),(25,6320759,'1',503,'N'),(25,6320767,'1',201,'N'),(25,6320767,'1A',212,'N'),(25,6320775,'1',208,'N'),(25,6320775,'1A',238,'N'),(25,6320783,'1',201,'N'),(25,6320783,'1A',212,'N'),(25,6320791,'1',211,'N'),(25,6320791,'1A',201,'N'),(25,6320813,'1',999,'N'),(25,6320821,'1',340,'N'),(25,6320830,'1',104,'N'),(25,6320856,'1',216,'N'),(25,6320856,'1A',233,'N'),(25,6320864,'1',340,'N'),(25,6320872,'1',103,'N'),(25,6320880,'1',211,'N'),(25,6320899,'1',655,'N'),(25,6320899,'1A',208,'N'),(25,6320902,'1',207,'N'),(25,6320902,'1A',201,'N'),(25,6320910,'1',425,'N'),(25,6320910,'1A',424,'N'),(25,6320937,'1',103,'N'),(25,6320953,'1',653,'N'),(25,6320953,'1A',211,'N'),(25,6320961,'1',103,'N'),(25,6320970,'1',601,'N'),(25,6320970,'1A',235,'N'),(25,6320988,'1',211,'N'),(25,6320988,'1A',238,'N'),(25,6320996,'1',103,'N'),(25,6321003,'1',304,'N'),(25,6321011,'1',317,'N'),(25,6321020,'1',103,'N'),(25,6321038,'1',652,'N'),(25,6321038,'1A',655,'N'),(25,6321046,'1',103,'N'),(25,6321054,'1',333,'N'),(25,6321062,'1',453,'N'),(25,6321070,'1',103,'N'),(25,6321097,'1',203,'N'),(25,6321097,'1A',214,'N'),(25,6321119,'1',104,'N'),(25,6321127,'1',220,'N'),(25,6321127,'1A',203,'N'),(25,6321135,'1',999,'N'),(25,6321143,'1',999,'N'),(25,6321151,'1',103,'N'),(25,6321160,'1',304,'N'),(25,6321178,'1',207,'N'),(25,6321178,'1A',201,'N'),(25,6321186,'1',103,'N'),(25,6321208,'1',103,'N'),(25,6321259,'1',103,'N'),(25,6321267,'1',104,'N'),(25,6321275,'1',214,'N'),(25,6321275,'1A',215,'N'),(25,6321305,'1',216,'N'),(25,6321305,'1A',211,'N'),(25,6321313,'1',201,'N'),(25,6321313,'1A',216,'N'),(25,6321321,'1',203,'N'),(25,6321321,'1A',214,'N'),(25,6321330,'1',201,'N'),(25,6321330,'1A',601,'N'),(25,6321348,'1',5,'N'),(25,6321356,'1',208,'N'),(25,6321356,'1A',238,'N'),(25,6321372,'1',103,'N'),(25,6321380,'1',103,'N'),(25,6321399,'1',999,'N'),(25,6321402,'1',203,'N'),(25,6321402,'1A',201,'N'),(25,6321410,'1',654,'N'),(25,6321437,'1',5,'N'),(25,6321445,'1',208,'N'),(25,6321445,'1A',238,'N'),(25,6321453,'1',103,'N'),(25,6321461,'1',444,'N'),(25,6321470,'1',421,'N'),(25,6321470,'1A',425,'N'),(25,6321488,'1',207,'N'),(25,6321488,'1A',201,'N'),(25,6321496,'1',103,'N'),(25,6321500,'1',5,'N'),(25,6321518,'1',103,'N'),(25,6321526,'1',404,'N'),(25,6321534,'1',207,'N'),(25,6321542,'1',503,'N'),(25,6321550,'1',207,'N'),(25,6321550,'1A',201,'N'),(25,6321569,'1',103,'N'),(25,6321577,'1',316,'N'),(25,6321585,'1',103,'N'),(25,6321607,'1',655,'N'),(25,6321623,'1',319,'N'),(25,6321631,'1',202,'N'),(25,6321631,'1A',208,'N'),(25,6321640,'1',335,'N'),(25,6321658,'1',201,'N'),(25,6321658,'1A',207,'N'),(25,6321666,'1',450,'N'),(25,6321674,'1',333,'N'),(25,6321682,'1',109,'N'),(25,6321690,'1',215,'N'),(25,6321690,'1A',233,'N'),(25,6321704,'1',103,'N'),(25,6321712,'1',207,'N'),(25,6321712,'1A',201,'N'),(25,6321720,'1',216,'N'),(25,6321720,'1A',207,'N'),(25,6321739,'1',201,'N'),(25,6321739,'1A',212,'N'),(25,6321747,'1',216,'N'),(25,6321747,'1A',233,'N'),(25,6321755,'1',9,'N'),(25,6321763,'1',102,'N'),(25,6321771,'1',103,'N'),(25,6321798,'1',103,'N'),(25,6321801,'1',203,'N'),(25,6321810,'1',103,'N'),(25,6321828,'1',303,'N'),(25,6321836,'1',301,'N'),(25,6321844,'1',999,'N'),(25,6321852,'1',444,'N'),(25,6321860,'1',333,'N'),(25,6321879,'1',319,'N'),(25,6321887,'1',104,'N'),(25,6321909,'1',102,'N'),(25,6321917,'1',450,'N'),(25,6321925,'1',103,'N'),(25,6321933,'1',212,'N'),(25,6321933,'1A',203,'N'),(25,6321941,'1',216,'N'),(25,6321941,'1A',211,'N'),(25,6321950,'1',319,'N'),(25,6321968,'1',202,'N'),(25,6321968,'1A',235,'N'),(25,6321976,'1',110,'N'),(25,6321984,'1',220,'N'),(25,6321984,'1A',233,'N'),(25,6321992,'1',317,'N'),(25,6322000,'1',103,'N'),(25,6322018,'1',207,'N'),(25,6322018,'1A',201,'N'),(25,6322026,'1',103,'N'),(25,6322034,'1',425,'N'),(25,6322034,'1A',429,'N'),(25,6322042,'1',202,'N'),(25,6322042,'1A',213,'N'),(25,6322050,'1',333,'N'),(25,6322069,'1',102,'N'),(25,6322077,'1',103,'N'),(25,6322085,'1',220,'N'),(25,6322107,'1',104,'N'),(25,6322115,'1',238,'N'),(25,6322123,'1',201,'N'),(25,6322131,'1',415,'N'),(25,6322140,'1',5,'N'),(25,6322158,'1',203,'N'),(25,6322158,'1A',201,'N'),(25,6322174,'1',213,'N'),(25,6322174,'1A',233,'N'),(25,6322182,'1',999,'N'),(25,6322190,'1',336,'N'),(25,6322204,'1',201,'N'),(25,6322204,'1A',211,'N'),(25,6322212,'1',103,'N'),(25,6322220,'1',425,'N'),(25,6322239,'1',999,'N'),(25,6322247,'1',104,'N'),(25,6322255,'1',103,'N'),(25,6322263,'1',103,'N'),(25,6322271,'1',317,'N'),(25,6322280,'1',336,'N'),(25,6322298,'1',201,'N'),(25,6322298,'1A',212,'N'),(25,6322301,'1',202,'N'),(25,6322301,'1A',238,'N'),(25,6322310,'1',301,'N'),(25,6322328,'1',304,'N'),(25,6322352,'1',319,'N'),(25,6322360,'1',653,'N'),(25,6322379,'1',5,'N'),(25,6322387,'1',101,'N'),(25,6322395,'1',103,'N'),(25,6322409,'1',108,'N'),(25,6322417,'1',103,'N'),(25,6322425,'1',208,'N'),(25,6322425,'1A',238,'N'),(25,6322433,'1',332,'N'),(25,6322441,'1',999,'N'),(25,6322450,'1',319,'N'),(25,6322468,'1',103,'N'),(25,6322476,'1',238,'N'),(25,6322476,'1A',208,'N'),(25,6322484,'1',999,'N'),(25,6322492,'1',103,'N'),(25,6322506,'1',331,'N'),(25,6322514,'1',316,'N'),(25,6322522,'1',103,'N'),(25,6322530,'1',103,'N'),(25,6322549,'1',103,'N'),(25,6322557,'1',999,'N'),(25,6322565,'1',208,'N'),(25,6322565,'1A',235,'N'),(25,6322590,'1',101,'N'),(25,6322603,'1',103,'N'),(25,6322611,'1',103,'N'),(25,6322646,'1',101,'N'),(25,6322662,'1',207,'N'),(25,6322662,'1A',215,'N'),(25,6322670,'1',207,'N'),(25,6322670,'1A',202,'N'),(25,6322689,'1',207,'N'),(25,6322697,'1',203,'N'),(25,6322697,'1A',216,'N'),(25,6322700,'1',453,'N'),(25,6322719,'1',320,'N'),(25,6322727,'1',208,'N'),(25,6322735,'1',211,'N'),(25,6322735,'1A',215,'N'),(25,6322743,'1',301,'N'),(25,6322751,'1',103,'N'),(25,6322760,'1',309,'N'),(25,6322786,'1',203,'N'),(25,6322786,'1A',220,'N'),(25,6322794,'1',304,'N'),(25,6322808,'1',303,'N'),(25,6322816,'1',104,'N'),(25,6322824,'1',103,'N'),(25,6322832,'1',238,'N'),(25,6322832,'1A',220,'N'),(25,6322840,'1',103,'N'),(25,6322859,'1',203,'N'),(25,6322859,'1A',235,'N'),(25,6322867,'1',108,'N'),(25,6322875,'1',233,'N'),(25,6322875,'1A',215,'N'),(25,6322883,'1',235,'N'),(25,6322883,'1A',202,'N'),(25,6322891,'1',207,'N'),(25,6322891,'1A',201,'N'),(25,6322921,'1',336,'N'),(25,6322930,'1',3,'N'),(25,6322948,'1',203,'N'),(25,6322948,'1A',214,'N'),(25,6322956,'1',316,'N'),(25,6322964,'1',207,'N'),(25,6322972,'1',5,'N'),(25,6322980,'1',999,'N'),(25,6322999,'1',110,'N'),(25,6323006,'1',102,'N'),(25,6323014,'1',303,'N'),(25,6323022,'1',103,'N'),(25,6323030,'1',302,'N'),(25,6323049,'1',601,'N'),(25,6323057,'1',211,'N'),(25,6323090,'1',340,'N'),(25,6323103,'1',317,'N'),(25,6323120,'1',335,'N'),(25,6323138,'1',303,'N'),(25,6323146,'1',317,'N'),(25,6323154,'1',999,'N'),(25,6323162,'1',207,'N'),(25,6323162,'1A',201,'N'),(25,6323170,'1',999,'N'),(25,6323189,'1',201,'N'),(25,6323189,'1A',216,'N'),(25,6323197,'1',238,'N'),(25,6323197,'1A',208,'N'),(25,6323200,'1',207,'N'),(25,6323200,'1A',201,'N'),(25,6323219,'1',444,'N'),(25,6323227,'1',213,'N'),(25,6323227,'1A',235,'N'),(25,6323235,'1',238,'N'),(25,6323235,'1A',208,'N'),(25,6323243,'1',103,'N'),(25,6323251,'1',5,'N'),(25,6323278,'1',415,'N'),(25,6323286,'1',108,'N'),(25,6323294,'1',304,'N'),(25,6323308,'1',404,'N'),(25,6323316,'1',319,'N'),(25,6323324,'1',103,'N'),(25,6323332,'1',201,'N'),(25,6323332,'1A',212,'N'),(25,6323340,'1',201,'N'),(25,6323340,'1A',212,'N'),(25,6323359,'1',301,'N'),(25,6323367,'1',109,'N'),(25,6323375,'1',103,'N'),(25,6323383,'1',415,'N'),(25,6323391,'1',203,'N'),(25,6323391,'1A',201,'N'),(25,6323405,'1',208,'N'),(25,6323405,'1A',238,'N'),(25,6323413,'1',207,'N'),(25,6323413,'1A',201,'N'),(25,6323421,'1',104,'N'),(25,6323430,'1',202,'N'),(25,6323430,'1A',213,'N'),(25,6323456,'1',104,'N'),(25,6323464,'1',104,'N'),(25,6323472,'1',207,'N'),(25,6323472,'1A',212,'N'),(25,6323480,'1',108,'N'),(25,6323499,'1',103,'N'),(25,6323502,'1',655,'N'),(25,6323502,'1A',653,'N'),(25,6323510,'1',216,'N'),(25,6323510,'1A',201,'N'),(25,6323529,'1',203,'N'),(25,6323529,'1A',201,'N'),(25,6323537,'1',238,'N'),(25,6323545,'1',316,'N'),(25,6323553,'1',202,'N'),(25,6323553,'1A',235,'N'),(25,6323561,'1',220,'N'),(25,6323561,'1A',203,'N'),(25,6323570,'1',452,'N'),(25,6323588,'1',339,'N'),(25,6323596,'1',5,'N'),(25,6323600,'1',999,'N'),(25,6323626,'1',207,'N'),(25,6323626,'1A',211,'N'),(25,6323642,'1',103,'N'),(25,6323650,'1',308,'N'),(25,6323669,'1',103,'N'),(25,6323677,'1',301,'N'),(25,6323685,'1',333,'N'),(25,6323693,'1',103,'N'),(25,6323707,'1',103,'N'),(25,6323715,'1',202,'N'),(25,6323715,'1A',201,'N'),(25,6323723,'1',214,'N'),(25,6323723,'1A',212,'N'),(25,6323731,'1',238,'N'),(25,6323731,'1A',215,'N'),(25,6323740,'1',5,'N'),(25,6323758,'1',201,'N'),(25,6323758,'1A',235,'N'),(25,6323766,'1',103,'N'),(25,6323774,'1',109,'N'),(25,6323782,'1',103,'N'),(25,6323790,'1',999,'N'),(25,6323812,'1',308,'N'),(25,6323820,'1',103,'N'),(25,6323839,'1',427,'N'),(25,6323839,'1A',424,'N'),(25,6323847,'1',103,'N'),(25,6323855,'1',235,'N'),(25,6323855,'1A',214,'N'),(25,6323863,'1',425,'N'),(25,6323863,'1A',421,'N'),(25,6323871,'1',103,'N'),(25,6323880,'1',201,'N'),(25,6323898,'1',999,'N'),(25,6323901,'1',502,'N'),(25,6323910,'1',415,'N'),(25,6323936,'1',301,'N'),(25,6323944,'1',303,'N'),(25,6323952,'1',338,'N'),(25,6323960,'1',103,'N'),(25,6323995,'1',103,'N'),(25,6324002,'1',301,'N'),(25,6324010,'1',451,'N'),(25,6324029,'1',207,'N'),(25,6324029,'1A',601,'N'),(25,6324037,'1',212,'N'),(25,6324037,'1A',233,'N'),(25,6324053,'1',303,'N'),(25,6324061,'1',103,'N'),(25,6324070,'1',108,'N'),(25,6324088,'1',319,'N'),(25,6324096,'1',201,'N'),(25,6324096,'1A',211,'N'),(25,6324100,'1',202,'N'),(25,6324100,'1A',235,'N'),(25,6324118,'1',999,'N'),(25,6324126,'1',103,'N'),(25,6324142,'1',223,'N'),(25,6324150,'1',340,'N'),(25,6324169,'1',101,'N'),(25,6324177,'1',103,'N'),(25,6324185,'1',103,'N'),(25,6324193,'1',551,'N'),(25,6324207,'1',309,'N'),(25,6324215,'1',319,'N'),(25,6324231,'1',9,'N'),(25,6324240,'1',220,'N'),(25,6324240,'1A',213,'N'),(25,6324258,'1',340,'N'),(25,6324266,'1',103,'N'),(25,6324274,'1',316,'N'),(25,6324282,'1',9,'N'),(25,6324290,'1',203,'N'),(25,6324290,'1A',214,'N'),(25,6324304,'1',203,'N'),(25,6324304,'1A',601,'N'),(25,6324312,'1',999,'N'),(25,6324320,'1',220,'N'),(25,6324320,'1A',235,'N'),(25,6324339,'1',103,'N'),(25,6324347,'1',303,'N'),(25,6324355,'1',332,'N'),(25,6324363,'1',9,'N'),(25,6324371,'1',303,'N'),(25,6324380,'1',653,'N'),(25,6324380,'1A',201,'N'),(25,6324398,'1',103,'N'),(25,6324401,'1',999,'N'),(25,6324428,'1',415,'N'),(25,6324436,'1',103,'N'),(25,6324444,'1',238,'N'),(25,6324444,'1A',220,'N'),(25,6324452,'1',103,'N'),(25,6324460,'1',5,'N'),(25,6324479,'1',303,'N'),(25,6324487,'1',103,'N'),(25,6324509,'1',103,'N'),(25,6324517,'1',214,'N'),(25,6324517,'1A',233,'N'),(25,6324525,'1',340,'N'),(25,6324533,'1',103,'N'),(25,6324541,'1',207,'N'),(25,6324541,'1A',212,'N'),(25,6324550,'1',999,'N'),(25,6324576,'1',319,'N'),(25,6324584,'1',202,'N'),(25,6324584,'1A',235,'N'),(25,6324592,'1',415,'N'),(25,6324606,'1',9,'N'),(25,6324614,'1',103,'N'),(25,6324622,'1',203,'N'),(25,6324622,'1A',208,'N'),(25,6324649,'1',452,'N'),(25,6324657,'1',404,'N'),(25,6324665,'1',303,'N'),(25,6324673,'1',216,'N'),(25,6324673,'1A',201,'N'),(25,6324681,'1',103,'N'),(25,6324703,'1',5,'N'),(25,6324711,'1',317,'N'),(25,6324720,'1',453,'N'),(25,6324738,'1',999,'N'),(25,6324746,'1',104,'N'),(25,6324754,'1',103,'N'),(25,6324762,'1',415,'N'),(25,6324770,'1',103,'N'),(25,6324789,'1',238,'N'),(25,6324789,'1A',216,'N'),(25,6324797,'1',103,'N'),(25,6324800,'1',108,'N'),(25,6324819,'1',336,'N'),(25,6324827,'1',212,'N'),(25,6324827,'1A',211,'N'),(25,6324835,'1',2,'N'),(25,6324851,'1',215,'N'),(25,6324851,'1A',216,'N'),(25,6324860,'1',429,'N'),(25,6324878,'1',103,'N'),(25,6324886,'1',301,'N'),(25,6324894,'1',9,'N'),(25,6324908,'1',2,'N'),(25,6324916,'1',201,'N'),(25,6324916,'1A',601,'N'),(25,6324924,'1',654,'N'),(25,6324932,'1',233,'N'),(25,6324932,'1A',207,'N'),(25,6324940,'1',103,'N'),(25,6324959,'1',207,'N'),(25,6324959,'1A',211,'N'),(25,6324975,'1',450,'N'),(25,6324983,'1',103,'N'),(25,6324991,'1',304,'N'),(25,6325009,'1',654,'N'),(25,6325017,'1',453,'N'),(25,6325025,'1',5,'N'),(25,6325033,'1',999,'N'),(25,6325041,'1',216,'N'),(25,6325041,'1A',233,'N'),(25,6325068,'1',5,'N'),(25,6325076,'1',5,'N'),(25,6325084,'1',340,'N'),(25,6325092,'1',212,'N'),(25,6325092,'1A',233,'N'),(25,6325106,'1',109,'N'),(25,6325114,'1',104,'N'),(25,6325122,'1',502,'N'),(25,6325130,'1',329,'N'),(25,6325157,'1',319,'N'),(25,6325165,'1',601,'N'),(25,6325173,'1',453,'N'),(25,6325203,'1',5,'N'),(25,6325211,'1',201,'N'),(25,6325211,'1A',214,'N'),(25,6325220,'1',601,'N'),(25,6325238,'1',308,'N'),(25,6325246,'1',203,'N'),(25,6325246,'1A',214,'N'),(25,6325254,'1',103,'N'),(25,6325262,'1',211,'N'),(25,6325270,'1',444,'N'),(25,6325297,'1',316,'N'),(25,6325319,'1',212,'N'),(25,6325319,'1A',235,'N'),(25,6325327,'1',110,'N'),(25,6325335,'1',415,'N'),(25,6325343,'1',101,'N'),(25,6325351,'1',202,'N'),(25,6325351,'1A',601,'N'),(25,6325360,'1',333,'N'),(25,6325378,'1',238,'N'),(25,6325378,'1A',208,'N'),(25,6325386,'1',444,'N'),(25,6325394,'1',999,'N'),(25,6325416,'1',450,'N'),(25,6325424,'1',420,'N'),(25,6325432,'1',9,'N'),(25,6325440,'1',319,'N'),(25,6325475,'1',654,'N'),(25,6325483,'1',999,'N'),(25,6325491,'1',238,'N'),(25,6325491,'1A',207,'N'),(25,6325505,'1',103,'N'),(25,6325513,'1',212,'N'),(25,6325513,'1A',213,'N'),(25,6325521,'1',503,'N'),(25,6325530,'1',207,'N'),(25,6325530,'1A',201,'N'),(25,6325548,'1',102,'N'),(25,6325556,'1',103,'N'),(25,6325564,'1',212,'N'),(25,6325564,'1A',233,'N'),(25,6325572,'1',303,'N'),(25,6325580,'1',551,'N'),(25,6325599,'1',310,'N'),(25,6325602,'1',303,'N'),(25,6325610,'1',103,'N'),(25,6325629,'1',451,'N'),(25,6325645,'1',201,'N'),(25,6325645,'1A',212,'N'),(25,6325653,'1',999,'N'),(25,6325661,'1',425,'N'),(25,6325661,'1A',423,'N'),(25,6325688,'1',211,'N'),(25,6325688,'1A',215,'N'),(25,6325696,'1',329,'N'),(25,6325700,'1',426,'N'),(25,6325700,'1A',423,'N'),(25,6325726,'1',207,'N'),(25,6325726,'1A',655,'N'),(25,6325734,'1',453,'N'),(25,6325742,'1',999,'N'),(25,6325750,'1',319,'N'),(25,6325769,'1',318,'N'),(25,6325777,'1',999,'N'),(25,6325785,'1',201,'N'),(25,6325785,'1A',207,'N'),(25,6325793,'1',340,'N'),(25,6325807,'1',453,'N'),(25,6325815,'1',303,'N'),(25,6325823,'1',102,'N'),(25,6325831,'1',208,'N'),(25,6325840,'1',452,'N'),(25,6325858,'1',999,'N'),(25,6325866,'1',220,'N'),(25,6325866,'1A',213,'N'),(25,6325882,'1',234,'N'),(25,6325890,'1',203,'N'),(25,6325890,'1A',202,'N'),(25,6325904,'1',303,'N'),(25,6325912,'1',404,'N'),(25,6325920,'1',303,'N'),(25,6325939,'1',317,'N'),(25,6325947,'1',444,'N'),(25,6325955,'1',424,'N'),(25,6325955,'1A',426,'N'),(25,6325963,'1',5,'N'),(25,6325971,'1',220,'N'),(25,6325971,'1A',238,'N'),(25,6325980,'1',655,'N'),(25,6325980,'1A',652,'N'),(25,6325998,'1',202,'N'),(25,6325998,'1A',203,'N'),(25,6326005,'1',103,'N'),(25,6326013,'1',501,'N'),(25,6326021,'1',216,'N'),(25,6326021,'1A',233,'N'),(25,6326030,'1',340,'N'),(25,6326048,'1',999,'N'),(25,6326056,'1',207,'N'),(25,6326056,'1A',201,'N'),(25,6326064,'1',103,'N'),(25,6326072,'1',655,'N'),(25,6326072,'1A',652,'N'),(25,6326080,'1',427,'N'),(25,6326080,'1A',426,'N'),(25,6326099,'1',104,'N'),(25,6326102,'1',238,'N'),(25,6326102,'1A',201,'N'),(25,6326129,'1',103,'N'),(25,6326137,'1',317,'N'),(25,6326145,'1',415,'N'),(25,6326153,'1',303,'N'),(25,6326161,'1',104,'N'),(25,6326170,'1',201,'N'),(25,6326170,'1A',207,'N'),(25,6326188,'1',415,'N'),(25,6326196,'1',316,'N'),(25,6326200,'1',202,'N'),(25,6326200,'1A',211,'N'),(25,6326218,'1',316,'N'),(25,6326226,'1',601,'N'),(25,6326226,'1A',233,'N'),(25,6326234,'1',104,'N'),(25,6326242,'1',318,'N'),(25,6326250,'1',102,'N'),(25,6326269,'1',203,'N'),(25,6326269,'1A',214,'N'),(25,6326277,'1',301,'N'),(25,6326285,'1',329,'N'),(25,6326307,'1',104,'N'),(25,6326315,'1',601,'N'),(25,6326315,'1A',653,'N'),(25,6326323,'1',216,'N'),(25,6326323,'1A',203,'N'),(25,6326331,'1',304,'N'),(25,6326340,'1',103,'N'),(25,6326358,'1',317,'N'),(25,6326366,'1',104,'N'),(25,6326374,'1',9,'N'),(25,6326382,'1',103,'N'),(25,6326390,'1',214,'N'),(25,6326390,'1A',216,'N'),(25,6326404,'1',429,'N'),(25,6326404,'1A',425,'N'),(25,6326412,'1',310,'N'),(25,6326420,'1',999,'N'),(25,6326439,'1',427,'N'),(25,6326447,'1',999,'N'),(25,6326455,'1',551,'N'),(25,6326463,'1',340,'N'),(25,6326471,'1',103,'N'),(25,6326480,'1',203,'N'),(25,6326480,'1A',214,'N'),(25,6326498,'1',415,'N'),(25,6326501,'1',452,'N'),(25,6326510,'1',308,'N'),(25,6326528,'1',103,'N'),(25,6326536,'1',208,'N'),(25,6326536,'1A',238,'N'),(25,6326544,'1',201,'N'),(25,6326544,'1A',214,'N'),(25,6326552,'1',215,'N'),(25,6326560,'1',340,'N'),(25,6326579,'1',207,'N'),(25,6326579,'1A',216,'N'),(25,6326587,'1',103,'N'),(25,6326595,'1',601,'N'),(25,6326595,'1A',214,'N'),(25,6326609,'1',303,'N'),(25,6326617,'1',103,'N'),(25,6326625,'1',103,'N'),(25,6326633,'1',999,'N'),(25,6326641,'1',303,'N'),(25,6326650,'1',102,'N'),(25,6326668,'1',503,'N'),(25,6326676,'1',999,'N'),(25,6326684,'1',303,'N'),(25,6326706,'1',340,'N'),(25,6326714,'1',415,'N'),(25,6326722,'1',653,'N'),(25,6326722,'1A',655,'N'),(25,6326730,'1',302,'N'),(25,6326749,'1',420,'N'),(25,6326757,'1',999,'N'),(25,6326765,'1',104,'N'),(25,6326773,'1',108,'N'),(25,6326781,'1',214,'N'),(25,6326781,'1A',212,'N'),(25,6326790,'1',601,'N'),(25,6326803,'1',214,'N'),(25,6326803,'1A',201,'N'),(25,6326811,'1',340,'N'),(25,6326820,'1',201,'N'),(25,6326820,'1A',212,'N'),(25,6326838,'1',303,'N'),(25,6326846,'1',319,'N'),(25,6326854,'1',202,'N'),(25,6326862,'1',415,'N'),(25,6326870,'1',224,'N'),(25,6326889,'1',207,'N'),(25,6326889,'1A',201,'N'),(25,6326897,'1',301,'N'),(25,6326927,'1',5,'N'),(25,6326935,'1',423,'N'),(25,6326935,'1A',428,'N'),(25,6326943,'1',202,'N'),(25,6326943,'1A',203,'N'),(25,6326960,'1',103,'N'),(25,6326994,'1',201,'N'),(25,6326994,'1A',212,'N'),(25,6327001,'1',104,'N'),(25,6327010,'1',999,'N'),(25,6327028,'1',317,'N'),(25,6327036,'1',655,'N'),(25,6327044,'1',103,'N'),(25,6327052,'1',103,'N'),(25,6327060,'1',201,'N'),(25,6327060,'1A',212,'N'),(25,6327079,'1',235,'N'),(25,6327079,'1A',208,'N'),(25,6327087,'1',202,'N'),(25,6327087,'1A',201,'N'),(25,6327095,'1',317,'N'),(25,6327117,'1',238,'N'),(25,6327117,'1A',208,'N'),(25,6327125,'1',201,'N'),(25,6327125,'1A',202,'N'),(25,6327141,'1',5,'N'),(25,6327150,'1',104,'N'),(25,6327168,'1',104,'N'),(25,6327176,'1',999,'N'),(25,6327184,'1',601,'N'),(25,6327184,'1A',201,'N'),(25,6327192,'1',207,'N'),(25,6327192,'1A',201,'N'),(25,6327206,'1',316,'N'),(25,6327222,'1',653,'N'),(25,6327230,'1',653,'N'),(25,6327230,'1A',655,'N'),(25,6327249,'1',5,'N'),(25,6327257,'1',104,'N'),(25,6327265,'1',207,'N'),(25,6327265,'1A',211,'N'),(25,6327273,'1',201,'N'),(25,6327273,'1A',202,'N'),(25,6327281,'1',999,'N'),(25,6327303,'1',214,'N'),(25,6327303,'1A',201,'N'),(25,6327311,'1',655,'N'),(25,6327311,'1A',653,'N'),(25,6327346,'1',201,'N'),(25,6327346,'1A',207,'N'),(25,6327354,'1',215,'N'),(25,6327354,'1A',601,'N'),(25,6327362,'1',5,'N'),(25,6327370,'1',3,'N'),(25,6327389,'1',336,'N'),(25,6327397,'1',103,'N'),(25,6327400,'1',103,'N'),(25,6327419,'1',102,'N'),(25,6327427,'1',303,'N'),(25,6327435,'1',103,'N'),(25,6327443,'1',103,'N'),(25,6327451,'1',103,'N'),(25,6327460,'1',404,'N'),(25,6327478,'1',303,'N'),(25,6327486,'1',220,'N'),(25,6327486,'1A',213,'N'),(25,6327494,'1',601,'N'),(25,6327494,'1A',207,'N'),(25,6327508,'1',103,'N'),(25,6327516,'1',9,'N'),(25,6327524,'1',452,'N'),(25,6327532,'1',207,'N'),(25,6327532,'1A',213,'N'),(25,6327540,'1',207,'N'),(25,6327567,'1',238,'N'),(25,6327567,'1A',208,'N'),(25,6327583,'1',216,'N'),(25,6327583,'1A',202,'N'),(25,6327591,'1',238,'N'),(25,6327591,'1A',212,'N'),(25,6327605,'1',207,'N'),(25,6327613,'1',216,'N'),(25,6327613,'1A',215,'N'),(25,6327621,'1',308,'N'),(25,6327630,'1',317,'N'),(25,6327648,'1',331,'N'),(25,6327656,'1',207,'N'),(25,6327656,'1A',211,'N'),(25,6327672,'1',316,'N'),(25,6327680,'1',652,'N'),(25,6327680,'1A',238,'N'),(25,6327702,'1',319,'N'),(25,6327710,'1',9,'N'),(25,6327729,'1',103,'N'),(25,6327737,'1',999,'N'),(25,6327745,'1',301,'N'),(25,6327753,'1',103,'N'),(25,6327761,'1',103,'N'),(25,6327788,'1',224,'N'),(25,6327796,'1',104,'N'),(25,6327818,'1',207,'N'),(25,6327818,'1A',653,'N'),(25,6327834,'1',201,'N'),(25,6327834,'1A',211,'N'),(25,6327850,'1',450,'N'),(25,6327869,'1',103,'N'),(25,6327885,'1',103,'N'),(25,6327893,'1',233,'N'),(25,6327893,'1A',653,'N'),(25,6327907,'1',103,'N'),(25,6327915,'1',216,'N'),(25,6327915,'1A',653,'N'),(25,6327923,'1',109,'N'),(25,6327931,'1',103,'N'),(25,6327940,'1',653,'N'),(25,6327940,'1A',202,'N'),(25,6327958,'1',501,'N'),(25,6327966,'1',420,'N'),(25,6327974,'1',301,'N'),(25,6327982,'1',216,'N'),(25,6327982,'1A',601,'N'),(25,6327990,'1',103,'N'),(25,6328008,'1',216,'N'),(25,6328008,'1A',215,'N'),(25,6328016,'1',101,'N'),(25,6328024,'1',103,'N'),(25,6328032,'1',104,'N'),(25,6328040,'1',451,'N'),(25,6328059,'1',333,'N'),(25,6328067,'1',652,'N'),(25,6328067,'1A',655,'N'),(25,6328075,'1',103,'N'),(25,6328083,'1',338,'N'),(25,6328091,'1',103,'N'),(25,6328105,'1',652,'N'),(25,6328105,'1A',653,'N'),(25,6328113,'1',104,'N'),(25,6328121,'1',102,'N'),(25,6328130,'1',104,'N'),(25,6328148,'1',110,'N'),(25,6328156,'1',238,'N'),(25,6328156,'1A',208,'N'),(25,6328164,'1',301,'N'),(25,6328172,'1',207,'N'),(25,6328172,'1A',201,'N'),(25,6328180,'1',501,'N'),(25,6328199,'1',318,'N'),(25,6328202,'1',214,'N'),(25,6328202,'1A',213,'N'),(25,6328210,'1',202,'N'),(25,6328210,'1A',235,'N'),(25,6328229,'1',203,'N'),(25,6328229,'1A',207,'N'),(25,6328237,'1',110,'N'),(25,6328245,'1',201,'N'),(25,6328245,'1A',233,'N'),(25,6328253,'1',319,'N'),(25,6328261,'1',316,'N'),(25,6328270,'1',203,'N'),(25,6328270,'1A',233,'N'),(25,6328288,'1',452,'N'),(25,6328296,'1',340,'N'),(25,6328300,'1',303,'N'),(25,6328318,'1',108,'N'),(25,6328334,'1',104,'N'),(25,6328342,'1',207,'N'),(25,6328342,'1A',201,'N'),(25,6328350,'1',110,'N'),(25,6328369,'1',303,'N'),(25,6328377,'1',601,'N'),(25,6328377,'1A',201,'N'),(25,6328385,'1',211,'N'),(25,6328385,'1A',215,'N'),(25,6328393,'1',5,'N'),(25,6328415,'1',404,'N'),(25,6328423,'1',103,'N'),(25,6328431,'1',301,'N'),(25,6328440,'1',301,'N'),(25,6328458,'1',999,'N'),(25,6328474,'1',328,'N'),(25,6328482,'1',301,'N'),(25,6328490,'1',316,'N'),(25,6328504,'1',108,'N'),(25,6328512,'1',238,'N'),(25,6328512,'1A',235,'N'),(25,6328520,'1',303,'N'),(25,6328539,'1',415,'N'),(25,6328547,'1',103,'N'),(25,6328555,'1',309,'N'),(25,6328563,'1',220,'N'),(25,6328563,'1A',207,'N'),(25,6328580,'1',601,'N'),(25,6328580,'1A',202,'N'),(25,6328598,'1',303,'N'),(25,6328601,'1',318,'N'),(25,6328628,'1',502,'N'),(25,6328636,'1',216,'N'),(25,6328636,'1A',215,'N'),(25,6328644,'1',340,'N'),(25,6328652,'1',303,'N'),(25,6328660,'1',103,'N'),(25,6328679,'1',216,'N'),(25,6328679,'1A',215,'N'),(25,6328687,'1',104,'N'),(25,6328695,'1',212,'N'),(25,6328695,'1A',213,'N'),(25,6328709,'1',103,'N'),(25,6328717,'1',999,'N'),(25,6328725,'1',201,'N'),(25,6328725,'1A',202,'N'),(25,6328741,'1',444,'N'),(25,6328750,'1',340,'N'),(25,6328768,'1',317,'N'),(25,6328776,'1',101,'N'),(25,6328784,'1',104,'N'),(25,6328792,'1',420,'N'),(25,6328806,'1',220,'N'),(25,6328806,'1A',235,'N'),(25,6328822,'1',319,'N'),(25,6328830,'1',318,'N'),(25,6328849,'1',103,'N'),(25,6328857,'1',103,'N'),(25,6328865,'1',601,'N'),(25,6328865,'1A',202,'N'),(25,6328873,'1',420,'N'),(25,6328881,'1',104,'N'),(25,6328890,'1',103,'N'),(25,6328903,'1',444,'N'),(25,6328920,'1',999,'N'),(25,6328938,'1',207,'N'),(25,6328938,'1A',215,'N'),(25,6328946,'1',309,'N'),(25,6328954,'1',320,'N'),(25,6328962,'1',335,'N'),(25,6328970,'1',5,'N'),(25,6328989,'1',425,'N'),(25,6328989,'1A',429,'N'),(25,6328997,'1',653,'N'),(25,6328997,'1A',652,'N'),(25,6329012,'1',211,'N'),(25,6329012,'1A',652,'N'),(25,6329020,'1',999,'N'),(25,6329039,'1',301,'N'),(25,6329047,'1',212,'N'),(25,6329047,'1A',653,'N'),(25,6329055,'1',103,'N'),(25,6329063,'1',340,'N'),(25,6329080,'1',654,'N'),(25,6329098,'1',103,'N'),(25,6329101,'1',652,'N'),(25,6329101,'1A',238,'N'),(25,6329152,'1',304,'N'),(25,6329160,'1',233,'N'),(25,6329160,'1A',212,'N'),(25,6329179,'1',324,'N'),(25,6329187,'1',214,'N'),(25,6329187,'1A',213,'N'),(25,6329195,'1',233,'N'),(25,6329195,'1A',211,'N'),(25,6329209,'1',216,'N'),(25,6329209,'1A',233,'N'),(25,6329217,'1',203,'N'),(25,6329217,'1A',208,'N'),(25,6329225,'1',207,'N'),(25,6329225,'1A',601,'N'),(25,6329233,'1',318,'N'),(25,6329241,'1',201,'N'),(25,6329241,'1A',212,'N'),(25,6329250,'1',207,'N'),(25,6329250,'1A',652,'N'),(25,6329268,'1',216,'N'),(25,6329268,'1A',201,'N'),(25,6329276,'1',109,'N'),(25,6329284,'1',309,'N'),(25,6329292,'1',317,'N'),(25,6329306,'1',207,'N'),(25,6329306,'1A',601,'N'),(25,6329314,'1',207,'N'),(25,6329314,'1A',201,'N'),(25,6329322,'1',320,'N'),(25,6329330,'1',103,'N'),(25,6329349,'1',335,'N'),(25,6329357,'1',208,'N'),(25,6329357,'1A',203,'N'),(25,6329365,'1',207,'N'),(25,6329381,'1',238,'N'),(25,6329381,'1A',211,'N'),(25,6329403,'1',301,'N'),(25,6329411,'1',203,'N'),(25,6329420,'1',303,'N'),(25,6329438,'1',415,'N'),(25,6329446,'1',415,'N'),(25,6329454,'1',203,'N'),(25,6329454,'1A',214,'N'),(25,6329462,'1',103,'N'),(25,6329470,'1',104,'N'),(25,6329489,'1',5,'N'),(25,6329497,'1',5,'N'),(25,6329500,'1',103,'N'),(25,6329519,'1',421,'N'),(25,6329527,'1',5,'N'),(25,6329535,'1',428,'N'),(25,6329535,'1A',423,'N'),(25,6329560,'1',451,'N'),(25,6329586,'1',316,'N'),(25,6329594,'1',201,'N'),(25,6329594,'1A',207,'N'),(25,6329616,'1',234,'N'),(25,6329624,'1',212,'N'),(25,6329624,'1A',201,'N'),(25,6329632,'1',238,'N'),(25,6329632,'1A',235,'N'),(25,6329640,'1',5,'N'),(25,6329659,'1',301,'N'),(25,6329667,'1',234,'N'),(25,6329675,'1',216,'N'),(25,6329675,'1A',211,'N'),(25,6329683,'1',444,'N'),(25,6329705,'1',319,'N'),(25,6329721,'1',328,'N'),(25,6329730,'1',450,'N'),(25,6329756,'1',336,'N'),(25,6329764,'1',103,'N'),(25,6329772,'1',202,'N'),(25,6329772,'1A',208,'N'),(25,6329780,'1',207,'N'),(25,6329780,'1A',201,'N'),(25,6329799,'1',338,'N'),(25,6329802,'1',425,'N'),(25,6329802,'1A',424,'N'),(25,6329810,'1',317,'N'),(25,6329837,'1',234,'N'),(25,6329845,'1',238,'N'),(25,6329845,'1A',208,'N'),(25,6329853,'1',655,'N'),(25,6329853,'1A',652,'N'),(25,6329861,'1',211,'N'),(25,6329861,'1A',216,'N'),(25,6329870,'1',301,'N'),(25,6329888,'1',103,'N'),(25,6329896,'1',337,'N'),(25,6329900,'1',451,'N'),(25,6329918,'1',5,'N'),(25,6329926,'1',103,'N'),(25,6329934,'1',303,'N'),(25,6329942,'1',303,'N'),(25,6329950,'1',999,'N'),(25,6329969,'1',103,'N'),(25,6329977,'1',103,'N'),(25,6329985,'1',601,'N'),(25,6329985,'1A',203,'N'),(25,6329993,'1',203,'N'),(25,6329993,'1A',201,'N'),(25,6330002,'1',9,'N'),(25,6330010,'1',601,'N'),(25,6330010,'1A',212,'N'),(25,6330029,'1',5,'N'),(25,6330037,'1',501,'N'),(25,6330053,'1',5,'N'),(25,6330070,'1',316,'N'),(25,6330088,'1',103,'N'),(25,6330096,'1',3,'N'),(25,6330100,'1',655,'N'),(25,6330100,'1A',652,'N'),(25,6330118,'1',5,'N'),(25,6330126,'1',5,'N'),(25,6330134,'1',316,'N'),(25,6330142,'1',319,'N'),(25,6330150,'1',327,'N'),(25,6330169,'1',425,'N'),(25,6330169,'1A',429,'N'),(25,6330185,'1',2,'N'),(25,6330193,'1',225,'N'),(25,6330207,'1',317,'N'),(25,6330215,'1',317,'N'),(25,6330223,'1',308,'N'),(25,6330231,'1',103,'N'),(25,6330240,'1',999,'N'),(25,6330258,'1',104,'N'),(25,6330266,'1',103,'N'),(25,6330274,'1',201,'N'),(25,6330274,'1A',212,'N'),(25,6330282,'1',101,'N'),(25,6330290,'1',5,'N'),(25,6330304,'1',404,'N'),(25,6330312,'1',551,'N'),(25,6330320,'1',102,'N'),(25,6330339,'1',308,'N'),(25,6330347,'1',503,'N'),(25,6330355,'1',207,'N'),(25,6330355,'1A',201,'N'),(25,6330363,'1',601,'N'),(25,6330363,'1A',652,'N'),(25,6330371,'1',655,'N'),(25,6330371,'1A',238,'N'),(25,6330380,'1',655,'N'),(25,6330380,'1A',653,'N'),(25,6330398,'1',601,'N'),(25,6330398,'1A',214,'N'),(25,6330401,'1',103,'N'),(25,6330410,'1',5,'N'),(25,6330428,'1',404,'N'),(25,6330436,'1',425,'N'),(25,6330436,'1A',427,'N'),(25,6330444,'1',103,'N'),(25,6330452,'1',426,'N'),(25,6330452,'1A',423,'N'),(25,6330460,'1',103,'N'),(25,6330479,'1',102,'N'),(25,6330487,'1',429,'N'),(25,6330487,'1A',426,'N'),(25,6330495,'1',302,'N'),(25,6330509,'1',655,'N'),(25,6330509,'1A',652,'N'),(25,6330517,'1',319,'N'),(25,6330525,'1',324,'N'),(25,6330533,'1',201,'N'),(25,6330533,'1A',212,'N'),(25,6330541,'1',208,'N'),(25,6330541,'1A',238,'N'),(25,6330550,'1',317,'N'),(25,6330568,'1',420,'N'),(25,6330576,'1',601,'N'),(25,6330584,'1',202,'N'),(25,6330584,'1A',201,'N'),(25,6330592,'1',655,'N'),(25,6330592,'1A',653,'N'),(25,6330606,'1',103,'N'),(25,6330614,'1',202,'N'),(25,6330614,'1A',213,'N'),(25,6330622,'1',655,'N'),(25,6330622,'1A',653,'N'),(25,6330630,'1',103,'N'),(25,6330649,'1',102,'N'),(25,6330657,'1',329,'N'),(25,6330673,'1',327,'N'),(25,6330681,'1',318,'N'),(25,6330703,'1',202,'N'),(25,6330703,'1A',203,'N'),(25,6330711,'1',201,'N'),(25,6330711,'1A',211,'N'),(25,6330720,'1',103,'N'),(25,6330754,'1',102,'N'),(25,6330770,'1',208,'N'),(25,6330770,'1A',238,'N'),(25,6330789,'1',429,'N'),(25,6330797,'1',220,'N'),(25,6330800,'1',201,'N'),(25,6330819,'1',238,'N'),(25,6330819,'1A',208,'N'),(25,6330835,'1',310,'N'),(25,6330843,'1',233,'N'),(25,6330843,'1A',213,'N'),(25,6330851,'1',201,'N'),(25,6330851,'1A',203,'N'),(25,6330860,'1',415,'N'),(25,6330886,'1',501,'N'),(25,6330908,'1',551,'N'),(25,6330916,'1',655,'N'),(25,6330916,'1A',652,'N'),(25,6330924,'1',5,'N'),(25,6330932,'1',415,'N'),(25,6330940,'1',654,'N'),(25,6330959,'1',999,'N'),(25,6330967,'1',108,'N'),(25,6330975,'1',999,'N'),(25,6330983,'1',109,'N'),(25,6331009,'1',453,'N'),(25,6331017,'1',202,'N'),(25,6331017,'1A',238,'N'),(25,6331025,'1',415,'N'),(25,6331033,'1',104,'N'),(25,6331041,'1',207,'N'),(25,6331041,'1A',215,'N'),(25,6331050,'1',336,'N'),(25,6331076,'1',317,'N'),(25,6331084,'1',451,'N'),(25,6331092,'1',551,'N'),(25,6331106,'1',301,'N'),(25,6331114,'1',5,'N'),(25,6331122,'1',208,'N'),(25,6331122,'1A',238,'N'),(25,6331130,'1',316,'N'),(25,6331149,'1',103,'N'),(25,6331157,'1',304,'N'),(25,6331173,'1',5,'N'),(25,6331181,'1',103,'N'),(25,6331190,'1',551,'N'),(25,6331203,'1',211,'N'),(25,6331203,'1A',601,'N'),(25,6331211,'1',102,'N'),(25,6331220,'1',502,'N'),(25,6331238,'1',103,'N'),(25,6331270,'1',427,'N'),(25,6331270,'1A',424,'N'),(25,6331289,'1',207,'N'),(25,6331289,'1A',235,'N'),(25,6331297,'1',103,'N'),(25,6331300,'1',601,'N'),(25,6331300,'1A',214,'N'),(25,6331343,'1',103,'N'),(25,6331351,'1',302,'N'),(25,6331360,'1',103,'N'),(25,6331386,'1',207,'N'),(25,6331386,'1A',201,'N'),(25,6331394,'1',201,'N'),(25,6331408,'1',216,'N'),(25,6331408,'1A',653,'N'),(25,6331416,'1',340,'N'),(25,6331424,'1',404,'N'),(25,6331440,'1',318,'N'),(25,6331459,'1',318,'N'),(25,6331483,'1',340,'N'),(25,6331491,'1',501,'N'),(25,6331505,'1',303,'N'),(25,6331521,'1',103,'N'),(25,6331530,'1',654,'N'),(25,6331548,'1',317,'N'),(25,6331556,'1',423,'N'),(25,6331556,'1A',421,'N'),(25,6331572,'1',201,'N'),(25,6331572,'1A',212,'N'),(25,6331580,'1',103,'N'),(25,6331599,'1',208,'N'),(25,6331599,'1A',238,'N'),(25,6331610,'1',220,'N'),(25,6331610,'1A',208,'N'),(25,6331645,'1',652,'N'),(25,6331645,'1A',655,'N'),(25,6331653,'1',214,'N'),(25,6331653,'1A',203,'N'),(25,6331670,'1',238,'N'),(25,6331670,'1A',208,'N'),(25,6331696,'1',207,'N'),(25,6331700,'1',317,'N'),(25,6331718,'1',340,'N'),(25,6331726,'1',303,'N'),(25,6331742,'1',225,'N'),(25,6331750,'1',103,'N'),(25,6331769,'1',652,'N'),(25,6331769,'1A',655,'N'),(25,6331777,'1',444,'N'),(25,6331793,'1',234,'N'),(25,6331815,'1',444,'N'),(25,6331823,'1',425,'N'),(25,6331823,'1A',428,'N'),(25,6331831,'1',5,'N'),(25,6331840,'1',103,'N'),(25,6331858,'1',340,'N'),(25,6331866,'1',340,'N'),(25,6331874,'1',103,'N'),(25,6331882,'1',201,'N'),(25,6331882,'1A',220,'N'),(25,6331890,'1',301,'N'),(25,6331904,'1',238,'N'),(25,6331904,'1A',208,'N'),(25,6331912,'1',103,'N'),(25,6331920,'1',103,'N'),(25,6331947,'1',5,'N'),(25,6331955,'1',238,'N'),(25,6331955,'1A',208,'N'),(25,6331963,'1',202,'N'),(25,6331963,'1A',215,'N'),(25,6331980,'1',110,'N'),(25,6331998,'1',308,'N'),(25,6332005,'1',601,'N'),(25,6332005,'1A',213,'N'),(25,6332013,'1',601,'N'),(25,6332013,'1A',212,'N'),(25,6332021,'1',220,'N'),(25,6332021,'1A',601,'N'),(25,6332030,'1',207,'N'),(25,6332030,'1A',213,'N'),(25,6332048,'1',501,'N'),(25,6332056,'1',404,'N'),(25,6332064,'1',235,'N'),(25,6332064,'1A',208,'N'),(25,6332072,'1',102,'N'),(25,6332080,'1',309,'N'),(25,6332099,'1',333,'N'),(25,6332102,'1',450,'N'),(25,6332110,'1',104,'N'),(25,6332129,'1',309,'N'),(25,6332137,'1',327,'N'),(25,6332145,'1',338,'N'),(25,6332153,'1',301,'N'),(25,6332161,'1',427,'N'),(25,6332161,'1A',421,'N'),(25,6332170,'1',110,'N'),(25,6332188,'1',339,'N'),(25,6332196,'1',316,'N'),(25,6332218,'1',103,'N'),(25,6332226,'1',415,'N'),(25,6332242,'1',303,'N'),(25,6332269,'1',216,'N'),(25,6332277,'1',404,'N'),(25,6332285,'1',301,'N'),(25,6332293,'1',319,'N'),(25,6332307,'1',224,'N'),(25,6332315,'1',318,'N'),(25,6332323,'1',233,'N'),(25,6332323,'1A',216,'N'),(25,6332331,'1',450,'N'),(25,6332340,'1',201,'N'),(25,6332358,'1',303,'N'),(25,6332366,'1',233,'N'),(25,6332366,'1A',201,'N'),(25,6332374,'1',415,'N'),(25,6332382,'1',308,'N'),(25,6332390,'1',332,'N'),(25,6332404,'1',108,'N'),(25,6332412,'1',301,'N'),(25,6332420,'1',601,'N'),(25,6332420,'1A',201,'N'),(25,6332439,'1',426,'N'),(25,6332439,'1A',428,'N'),(25,6332447,'1',103,'N'),(25,6332463,'1',653,'N'),(25,6332463,'1A',211,'N'),(25,6332498,'1',326,'N'),(25,6332501,'1',601,'N'),(25,6332501,'1A',652,'N'),(25,6332510,'1',420,'N'),(25,6332528,'1',428,'N'),(25,6332528,'1A',426,'N'),(25,6332579,'1',103,'N'),(25,6332587,'1',5,'N'),(25,6332595,'1',501,'N'),(25,6332609,'1',653,'N'),(25,6332609,'1A',233,'N'),(25,6332617,'1',201,'N'),(25,6332617,'1A',207,'N'),(25,6332625,'1',203,'N'),(25,6332625,'1A',214,'N'),(25,6332633,'1',235,'N'),(25,6332633,'1A',238,'N'),(25,6332650,'1',5,'N'),(25,6332668,'1',103,'N'),(25,6332676,'1',415,'N'),(25,6332684,'1',452,'N'),(25,6332692,'1',326,'N'),(25,6332714,'1',404,'N'),(25,6332722,'1',201,'N'),(25,6332722,'1A',208,'N'),(25,6332730,'1',303,'N'),(25,6332749,'1',103,'N'),(25,6332757,'1',212,'N'),(25,6332757,'1A',213,'N'),(25,6332765,'1',233,'N'),(25,6332765,'1A',208,'N'),(25,6332773,'1',329,'N'),(25,6332781,'1',5,'N'),(25,6332790,'1',551,'N'),(25,6332803,'1',109,'N'),(25,6332811,'1',103,'N'),(25,6332820,'1',444,'N'),(25,6332838,'1',304,'N'),(25,6332846,'1',415,'N'),(25,6332854,'1',9,'N'),(25,6332862,'1',203,'N'),(25,6332862,'1A',220,'N'),(25,6332870,'1',337,'N'),(25,6332889,'1',340,'N'),(25,6332897,'1',103,'N'),(25,6332900,'1',319,'N'),(25,6332919,'1',302,'N'),(25,6332927,'1',501,'N'),(25,6332935,'1',216,'N'),(25,6332935,'1A',202,'N'),(25,6332943,'1',319,'N'),(25,6332951,'1',234,'N'),(25,6332960,'1',301,'N'),(25,6332978,'1',302,'N'),(25,6332994,'1',103,'N'),(25,6333001,'1',202,'N'),(25,6333001,'1A',235,'N'),(25,6333028,'1',327,'N'),(25,6333044,'1',103,'N'),(25,6333052,'1',319,'N'),(25,6333060,'1',331,'N'),(25,6333079,'1',999,'N'),(25,6333087,'1',203,'N'),(25,6333087,'1A',207,'N'),(25,6333095,'1',203,'N'),(25,6333095,'1A',214,'N'),(25,6333109,'1',999,'N'),(25,6333117,'1',319,'N'),(25,6333125,'1',103,'N'),(25,6333133,'1',103,'N'),(25,6333141,'1',308,'N'),(25,6333150,'1',238,'N'),(25,6333150,'1A',208,'N'),(25,6333168,'1',103,'N'),(25,6333176,'1',102,'N'),(25,6333184,'1',103,'N'),(25,6333192,'1',301,'N'),(25,6333206,'1',444,'N'),(25,6333214,'1',999,'N'),(25,6333230,'1',215,'N'),(25,6333230,'1A',220,'N'),(25,6333249,'1',208,'N'),(25,6333249,'1A',238,'N'),(25,6333257,'1',212,'N'),(25,6333257,'1A',235,'N'),(25,6333265,'1',317,'N'),(25,6333273,'1',225,'N'),(25,6333290,'1',316,'N'),(25,6333303,'1',203,'N'),(25,6333303,'1A',233,'N'),(25,6333311,'1',420,'N'),(25,6333320,'1',425,'N'),(25,6333320,'1A',421,'N'),(25,6333338,'1',235,'N'),(25,6333338,'1A',655,'N'),(25,6333346,'1',452,'N'),(25,6333354,'1',103,'N'),(25,6333362,'1',103,'N'),(25,6333370,'1',104,'N'),(25,6333389,'1',309,'N'),(25,6333397,'1',207,'N'),(25,6333397,'1A',216,'N'),(25,6333400,'1',109,'N'),(25,6333419,'1',332,'N'),(25,6333427,'1',327,'N'),(25,6333443,'1',212,'N'),(25,6333443,'1A',201,'N'),(25,6333451,'1',103,'N'),(25,6333460,'1',103,'N'),(25,6333478,'1',201,'N'),(25,6333478,'1A',202,'N'),(25,6333486,'1',308,'N'),(25,6333494,'1',319,'N'),(25,6333516,'1',999,'N'),(25,6333540,'1',207,'N'),(25,6333540,'1A',201,'N'),(25,6333567,'1',207,'N'),(25,6333567,'1A',201,'N'),(25,6333575,'1',238,'N'),(25,6333575,'1A',208,'N'),(25,6333583,'1',317,'N'),(25,6333605,'1',415,'N'),(25,6333613,'1',316,'N'),(25,6333621,'1',340,'N'),(25,6333630,'1',212,'N'),(25,6333630,'1A',213,'N'),(25,6333648,'1',235,'N'),(25,6333648,'1A',208,'N'),(25,6333664,'1',109,'N'),(25,6333672,'1',104,'N'),(25,6333680,'1',104,'N'),(25,6333699,'1',234,'N'),(25,6333702,'1',5,'N'),(25,6333710,'1',104,'N'),(25,6333729,'1',110,'N'),(25,6333737,'1',316,'N'),(25,6333745,'1',108,'N'),(25,6333770,'1',203,'N'),(25,6333770,'1A',202,'N'),(25,6333788,'1',203,'N'),(25,6333788,'1A',214,'N'),(25,6333796,'1',110,'N'),(25,6333800,'1',207,'N'),(25,6333800,'1A',201,'N'),(25,6333818,'1',208,'N'),(25,6333826,'1',5,'N'),(25,6333834,'1',340,'N'),(25,6333842,'1',207,'N'),(25,6333842,'1A',201,'N'),(25,6333850,'1',103,'N'),(25,6333869,'1',103,'N'),(25,6333885,'1',5,'N'),(25,6333893,'1',601,'N'),(25,6333907,'1',655,'N'),(25,6333907,'1A',652,'N'),(25,6333915,'1',303,'N'),(25,6333931,'1',102,'N'),(25,6333940,'1',415,'N'),(25,6333958,'1',238,'N'),(25,6333958,'1A',208,'N'),(25,6333974,'1',110,'N'),(25,6333990,'1',326,'N'),(25,6334008,'1',601,'N'),(25,6334008,'1A',203,'N'),(25,6334016,'1',203,'N'),(25,6334016,'1A',202,'N'),(25,6334024,'1',104,'N'),(25,6334032,'1',5,'N'),(25,6334040,'1',103,'N'),(25,6334059,'1',201,'N'),(25,6334059,'1A',655,'N'),(25,6334075,'1',238,'N'),(25,6334075,'1A',235,'N'),(25,6334083,'1',207,'N'),(25,6334091,'1',340,'N'),(25,6334105,'1',214,'N'),(25,6334105,'1A',212,'N'),(25,6334113,'1',999,'N'),(25,6334121,'1',302,'N'),(25,6334130,'1',103,'N'),(25,6334148,'1',601,'N'),(25,6334156,'1',211,'N'),(25,6334164,'1',999,'N'),(25,6334180,'1',331,'N'),(25,6334199,'1',317,'N'),(25,6334202,'1',316,'N'),(25,6334210,'1',102,'N'),(25,6334229,'1',332,'N'),(25,6334245,'1',238,'N'),(25,6334245,'1A',235,'N'),(25,6334253,'1',201,'N'),(25,6334253,'1A',212,'N'),(25,6334261,'1',450,'N'),(25,6334270,'1',653,'N'),(25,6334270,'1A',201,'N'),(25,6334296,'1',327,'N'),(25,6334300,'1',302,'N'),(25,6334318,'1',104,'N'),(25,6334326,'1',302,'N'),(25,6334334,'1',336,'N'),(25,6334342,'1',216,'N'),(25,6334350,'1',235,'N'),(25,6334369,'1',601,'N'),(25,6334369,'1A',207,'N'),(25,6334377,'1',201,'N'),(25,6334377,'1A',203,'N'),(25,6334385,'1',999,'N'),(25,6334393,'1',652,'N'),(25,6334393,'1A',655,'N'),(25,6334407,'1',999,'N'),(25,6334423,'1',103,'N'),(25,6334431,'1',108,'N'),(25,6334440,'1',110,'N'),(25,6334458,'1',9,'N'),(25,6334466,'1',303,'N'),(25,6334474,'1',108,'N'),(25,6334482,'1',319,'N'),(25,6334490,'1',108,'N'),(25,6334504,'1',103,'N'),(25,6334512,'1',103,'N'),(25,6334520,'1',319,'N'),(25,6334547,'1',201,'N'),(25,6334547,'1A',207,'N'),(25,6334555,'1',103,'N'),(25,6334563,'1',303,'N'),(25,6334580,'1',999,'N'),(25,6334598,'1',211,'N'),(25,6334598,'1A',233,'N'),(25,6334601,'1',444,'N'),(25,6334610,'1',320,'N'),(25,6334628,'1',308,'N'),(25,6334636,'1',207,'N'),(25,6334644,'1',216,'N'),(25,6334644,'1A',601,'N'),(25,6334652,'1',103,'N'),(25,6334660,'1',301,'N'),(25,6334679,'1',201,'N'),(25,6334679,'1A',208,'N'),(25,6334687,'1',415,'N'),(25,6334695,'1',203,'N'),(25,6334695,'1A',214,'N'),(25,6334709,'1',201,'N'),(25,6334709,'1A',601,'N'),(25,6334717,'1',103,'N'),(25,6334725,'1',101,'N'),(25,6334733,'1',426,'N'),(25,6334733,'1A',427,'N'),(25,6334741,'1',5,'N'),(25,6334750,'1',212,'N'),(25,6334750,'1A',208,'N'),(25,6334768,'1',222,'N'),(25,6334784,'1',655,'N'),(25,6334784,'1A',652,'N'),(25,6334792,'1',5,'N'),(25,6334806,'1',2,'N'),(25,6334814,'1',103,'N'),(25,6334822,'1',103,'N'),(25,6334830,'1',238,'N'),(25,6334830,'1A',208,'N'),(25,6334849,'1',317,'N'),(25,6334857,'1',309,'N'),(25,6334865,'1',5,'N'),(25,6334873,'1',211,'N'),(25,6334881,'1',201,'N'),(25,6334881,'1A',235,'N'),(25,6334890,'1',9,'N'),(25,6334903,'1',103,'N'),(25,6334911,'1',104,'N'),(25,6334920,'1',207,'N'),(25,6334920,'1A',201,'N'),(25,6334938,'1',415,'N'),(25,6334946,'1',999,'N'),(25,6334954,'1',5,'N'),(25,6334970,'1',201,'N'),(25,6334970,'1A',203,'N'),(25,6334989,'1',453,'N'),(25,6334997,'1',103,'N'),(25,6335004,'1',208,'N'),(25,6335004,'1A',238,'N'),(25,6335012,'1',235,'N'),(25,6335012,'1A',202,'N'),(25,6335039,'1',103,'N'),(25,6335047,'1',110,'N'),(25,6335055,'1',652,'N'),(25,6335055,'1A',655,'N'),(25,6335063,'1',340,'N'),(25,6335071,'1',308,'N'),(25,6335080,'1',318,'N'),(25,6335098,'1',203,'N'),(25,6335098,'1A',220,'N'),(25,6335101,'1',233,'N'),(25,6335101,'1A',216,'N'),(25,6335110,'1',420,'N'),(25,6335152,'1',201,'N'),(25,6335152,'1A',216,'N'),(25,6335160,'1',340,'N'),(25,6335179,'1',101,'N'),(25,6335187,'1',216,'N'),(25,6335187,'1A',207,'N'),(25,6335195,'1',103,'N'),(25,6335217,'1',103,'N'),(25,6335225,'1',653,'N'),(25,6335225,'1A',652,'N'),(25,6335233,'1',317,'N'),(25,6335241,'1',207,'N'),(25,6335241,'1A',201,'N'),(25,6335250,'1',103,'N'),(25,6335268,'1',654,'N'),(25,6335276,'1',309,'N'),(25,6335292,'1',103,'N'),(25,6335306,'1',201,'N'),(25,6335306,'1A',212,'N'),(25,6335314,'1',103,'N'),(25,6335322,'1',5,'N'),(25,6335330,'1',336,'N'),(25,6335349,'1',5,'N'),(25,6335357,'1',201,'N'),(25,6335357,'1A',601,'N'),(25,6335365,'1',201,'N'),(25,6335381,'1',201,'N'),(25,6335381,'1A',207,'N'),(25,6335390,'1',332,'N'),(25,6335403,'1',216,'N'),(25,6335403,'1A',655,'N'),(25,6335420,'1',201,'N'),(25,6335438,'1',444,'N'),(25,6335454,'1',103,'N'),(25,6335462,'1',303,'N'),(25,6335470,'1',301,'N'),(25,6335489,'1',103,'N'),(25,6335497,'1',110,'N'),(25,6335500,'1',104,'N'),(25,6335519,'1',301,'N'),(25,6335527,'1',999,'N'),(25,6335535,'1',103,'N'),(25,6335543,'1',103,'N'),(25,6335551,'1',212,'N'),(25,6335551,'1A',213,'N'),(25,6335560,'1',601,'N'),(25,6335578,'1',202,'N'),(25,6335578,'1A',653,'N'),(25,6335586,'1',238,'N'),(25,6335586,'1A',208,'N'),(25,6335594,'1',336,'N'),(25,6335608,'1',207,'N'),(25,6335608,'1A',215,'N'),(25,6335616,'1',501,'N'),(25,6335624,'1',103,'N'),(25,6335632,'1',303,'N'),(25,6335640,'1',319,'N'),(25,6335659,'1',104,'N'),(25,6335667,'1',319,'N'),(25,6335683,'1',318,'N'),(25,6335691,'1',233,'N'),(25,6335691,'1A',235,'N'),(25,6335705,'1',999,'N'),(25,6335713,'1',329,'N'),(25,6335721,'1',101,'N'),(25,6335730,'1',103,'N'),(25,6335748,'1',234,'N'),(25,6335756,'1',104,'N'),(25,6335764,'1',5,'N'),(25,6335772,'1',302,'N'),(25,6335780,'1',333,'N'),(25,6335799,'1',601,'N'),(25,6335799,'1A',202,'N'),(25,6335802,'1',9,'N'),(25,6335810,'1',601,'N'),(25,6335829,'1',302,'N'),(25,6335837,'1',304,'N'),(25,6335845,'1',303,'N'),(25,6335853,'1',317,'N'),(25,6335861,'1',238,'N'),(25,6335861,'1A',208,'N'),(25,6335870,'1',9,'N'),(25,6335888,'1',318,'N'),(25,6335896,'1',654,'N'),(25,6335900,'1',235,'N'),(25,6335900,'1A',238,'N'),(25,6335918,'1',201,'N'),(25,6335918,'1A',212,'N'),(25,6335926,'1',104,'N'),(25,6335934,'1',319,'N'),(25,6335950,'1',208,'N'),(25,6335969,'1',238,'N'),(25,6335969,'1A',235,'N'),(25,6335977,'1',103,'N'),(25,6335985,'1',103,'N'),(25,6335993,'1',101,'N'),(25,6336000,'1',202,'N'),(25,6336000,'1A',201,'N'),(25,6336019,'1',999,'N'),(25,6336027,'1',103,'N'),(25,6336035,'1',303,'N'),(25,6336043,'1',5,'N'),(25,6336051,'1',3,'N'),(25,6336060,'1',652,'N'),(25,6336078,'1',5,'N'),(25,6336086,'1',104,'N'),(25,6336108,'1',103,'N'),(25,6336116,'1',207,'N'),(25,6336116,'1A',211,'N'),(25,6336124,'1',319,'N'),(25,6336132,'1',319,'N'),(25,6336140,'1',318,'N'),(25,6336159,'1',452,'N'),(25,6336167,'1',415,'N'),(25,6336175,'1',316,'N'),(25,6336183,'1',316,'N'),(25,6336191,'1',444,'N'),(25,6336205,'1',214,'N'),(25,6336205,'1A',213,'N'),(25,6336213,'1',216,'N'),(25,6336213,'1A',201,'N'),(25,6336221,'1',203,'N'),(25,6336221,'1A',214,'N'),(25,6336248,'1',202,'N'),(25,6336248,'1A',203,'N'),(25,6336256,'1',9,'N'),(25,6336264,'1',103,'N'),(25,6336272,'1',102,'N'),(25,6336280,'1',104,'N'),(25,6336299,'1',652,'N'),(25,6336299,'1A',655,'N'),(25,6336302,'1',101,'N'),(25,6336310,'1',452,'N'),(25,6336329,'1',319,'N'),(25,6336337,'1',5,'N'),(25,6336345,'1',3,'N'),(25,6336353,'1',201,'N'),(25,6336353,'1A',212,'N'),(25,6336361,'1',103,'N'),(25,6336370,'1',327,'N'),(25,6336388,'1',303,'N'),(25,6336396,'1',302,'N'),(25,6336400,'1',301,'N'),(25,6336418,'1',203,'N'),(25,6336418,'1A',601,'N'),(25,6336426,'1',301,'N'),(25,6336434,'1',501,'N'),(25,6336442,'1',103,'N'),(25,6336450,'1',103,'N'),(25,6336477,'1',235,'N'),(25,6336477,'1A',202,'N'),(25,6336485,'1',104,'N'),(25,6336493,'1',103,'N'),(25,6336507,'1',207,'N'),(25,6336507,'1A',601,'N'),(25,6336515,'1',205,'N'),(25,6336531,'1',301,'N'),(25,6336540,'1',207,'N'),(25,6336558,'1',319,'N'),(25,6336574,'1',103,'N'),(25,6336582,'1',238,'N'),(25,6336590,'1',429,'N'),(25,6336590,'1A',426,'N'),(25,6336612,'1',453,'N'),(25,6336620,'1',238,'N'),(25,6336620,'1A',208,'N'),(25,6336639,'1',103,'N'),(25,6336647,'1',102,'N'),(25,6336655,'1',999,'N'),(25,6336663,'1',103,'N'),(25,6336671,'1',110,'N'),(25,6336698,'1',303,'N'),(25,6336701,'1',316,'N'),(25,6336710,'1',999,'N'),(25,6336728,'1',201,'N'),(25,6336728,'1A',655,'N'),(25,6336744,'1',601,'N'),(25,6336744,'1A',201,'N'),(25,6336760,'1',601,'N'),(25,6336760,'1A',211,'N'),(25,6336779,'1',340,'N'),(25,6336787,'1',501,'N'),(25,6336795,'1',303,'N'),(25,6336809,'1',103,'N'),(25,6336817,'1',207,'N'),(25,6336817,'1A',201,'N'),(25,6336825,'1',340,'N'),(25,6336833,'1',103,'N'),(25,6336841,'1',318,'N'),(25,6336850,'1',203,'N'),(25,6336850,'1A',214,'N'),(25,6336868,'1',216,'N'),(25,6336868,'1A',233,'N'),(25,6336876,'1',5,'N'),(25,6336884,'1',103,'N'),(25,6336892,'1',238,'N'),(25,6336892,'1A',208,'N'),(25,6336906,'1',503,'N'),(25,6336914,'1',103,'N'),(25,6336922,'1',235,'N'),(25,6336922,'1A',202,'N'),(25,6336930,'1',301,'N'),(25,6336949,'1',317,'N'),(25,6336957,'1',319,'N'),(25,6336965,'1',336,'N'),(25,6336973,'1',220,'N'),(25,6336973,'1A',208,'N'),(25,6336981,'1',103,'N'),(25,6336990,'1',201,'N'),(25,6336990,'1A',212,'N'),(25,6337007,'1',103,'N'),(25,6337015,'1',317,'N'),(25,6337023,'1',211,'N'),(25,6337023,'1A',207,'N'),(25,6337031,'1',103,'N'),(25,6337040,'1',444,'N'),(25,6337058,'1',319,'N'),(25,6337066,'1',999,'N'),(25,6337074,'1',317,'N'),(25,6337082,'1',238,'N'),(25,6337082,'1A',655,'N'),(25,6337090,'1',502,'N'),(25,6337104,'1',336,'N'),(25,6337112,'1',103,'N'),(25,6337120,'1',235,'N'),(25,6337120,'1A',238,'N'),(25,6337139,'1',224,'N'),(25,6337147,'1',202,'N'),(25,6337147,'1A',235,'N'),(25,6337155,'1',235,'N'),(25,6337155,'1A',215,'N'),(25,6337171,'1',425,'N'),(25,6337171,'1A',426,'N'),(25,6337180,'1',5,'N'),(25,6337198,'1',301,'N'),(25,6337201,'1',103,'N'),(25,6337228,'1',225,'N'),(25,6337236,'1',303,'N'),(25,6337244,'1',452,'N'),(25,6337252,'1',5,'N'),(25,6337260,'1',109,'N'),(25,6337279,'1',340,'N'),(25,6337295,'1',203,'N'),(25,6337295,'1A',201,'N'),(25,6337309,'1',214,'N'),(25,6337309,'1A',216,'N'),(25,6337317,'1',207,'N'),(25,6337325,'1',336,'N'),(25,6337341,'1',340,'N'),(25,6337350,'1',317,'N'),(25,6337376,'1',201,'N'),(25,6337376,'1A',207,'N'),(25,6337384,'1',326,'N'),(25,6337392,'1',103,'N'),(25,6337406,'1',201,'N'),(25,6337406,'1A',203,'N'),(25,6337414,'1',319,'N'),(25,6337422,'1',319,'N'),(25,6337430,'1',220,'N'),(25,6337430,'1A',202,'N'),(25,6337449,'1',428,'N'),(25,6337449,'1A',426,'N'),(25,6337465,'1',104,'N'),(25,6337473,'1',328,'N'),(25,6337481,'1',452,'N'),(25,6337490,'1',103,'N'),(25,6337503,'1',103,'N'),(25,6337511,'1',238,'N'),(25,6337511,'1A',208,'N'),(25,6337520,'1',301,'N'),(25,6337538,'1',338,'N'),(25,6337546,'1',216,'N'),(25,6337546,'1A',203,'N'),(25,6337554,'1',501,'N'),(25,6337562,'1',601,'N'),(25,6337570,'1',320,'N'),(25,6337589,'1',301,'N'),(25,6337597,'1',201,'N'),(25,6337597,'1A',212,'N'),(25,6337600,'1',601,'N'),(25,6337600,'1A',202,'N'),(25,6337619,'1',201,'N'),(25,6337619,'1A',212,'N'),(25,6337627,'1',103,'N'),(25,6337635,'1',223,'N'),(25,6337643,'1',5,'N'),(25,6337651,'1',203,'N'),(25,6337660,'1',208,'N'),(25,6337660,'1A',235,'N'),(25,6337678,'1',654,'N'),(25,6337686,'1',103,'N'),(25,6337694,'1',324,'N'),(25,6337708,'1',308,'N'),(25,6337716,'1',601,'N'),(25,6337724,'1',235,'N'),(25,6337724,'1A',208,'N'),(25,6337732,'1',208,'N'),(25,6337732,'1A',238,'N'),(25,6337740,'1',103,'N'),(25,6337759,'1',103,'N'),(25,6337775,'1',425,'N'),(25,6337783,'1',201,'N'),(25,6337783,'1A',653,'N'),(25,6337791,'1',201,'N'),(25,6337791,'1A',235,'N'),(25,6337805,'1',653,'N'),(25,6337805,'1A',655,'N'),(25,6337813,'1',319,'N'),(25,6337821,'1',103,'N'),(25,6337830,'1',102,'N'),(25,6337848,'1',309,'N'),(25,6337856,'1',415,'N'),(25,6337872,'1',103,'N'),(25,6337880,'1',301,'N'),(25,6337899,'1',109,'N'),(25,6337902,'1',425,'N'),(25,6337902,'1A',428,'N'),(25,6337910,'1',214,'N'),(25,6337910,'1A',220,'N'),(25,6337929,'1',453,'N'),(25,6337937,'1',317,'N'),(25,6337945,'1',337,'N'),(25,6337961,'1',444,'N'),(25,6337970,'1',234,'N'),(25,6337996,'1',999,'N'),(25,6338003,'1',103,'N'),(25,6338020,'1',201,'N'),(25,6338020,'1A',220,'N'),(25,6338038,'1',103,'N'),(25,6338046,'1',103,'N'),(25,6338062,'1',5,'N'),(25,6338070,'1',303,'N'),(25,6338097,'1',201,'N'),(25,6338097,'1A',208,'N'),(25,6338100,'1',110,'N'),(25,6338119,'1',201,'N'),(25,6338119,'1A',208,'N'),(25,6338127,'1',108,'N'),(25,6338135,'1',308,'N'),(25,6338143,'1',104,'N'),(25,6338151,'1',5,'N'),(25,6338160,'1',103,'N'),(25,6338178,'1',211,'N'),(25,6338178,'1A',207,'N'),(25,6338194,'1',103,'N'),(25,6338216,'1',601,'N'),(25,6338216,'1A',235,'N'),(25,6338224,'1',301,'N'),(25,6338232,'1',202,'N'),(25,6338232,'1A',220,'N'),(25,6338240,'1',202,'N'),(25,6338240,'1A',216,'N'),(25,6338259,'1',415,'N'),(25,6338267,'1',340,'N'),(25,6338275,'1',502,'N'),(25,6338283,'1',207,'N'),(25,6338283,'1A',220,'N'),(25,6338291,'1',211,'N'),(25,6338291,'1A',215,'N'),(25,6338305,'1',601,'N'),(25,6338305,'1A',203,'N'),(25,6338313,'1',207,'N'),(25,6338313,'1A',201,'N'),(25,6338321,'1',103,'N'),(25,6338330,'1',5,'N'),(25,6338348,'1',5,'N'),(25,6338372,'1',425,'N'),(25,6338372,'1A',428,'N'),(25,6338380,'1',601,'N'),(25,6338380,'1A',201,'N'),(25,6338399,'1',207,'N'),(25,6338399,'1A',201,'N'),(25,6338402,'1',103,'N'),(25,6338410,'1',319,'N'),(25,6338429,'1',450,'N'),(25,6338445,'1',340,'N'),(25,6338453,'1',201,'N'),(25,6338453,'1A',202,'N'),(25,6338461,'1',653,'N'),(25,6338461,'1A',655,'N'),(25,6338488,'1',302,'N'),(25,6338496,'1',103,'N'),(25,6338500,'1',101,'N'),(25,6338518,'1',201,'N'),(25,6338518,'1A',212,'N'),(25,6338526,'1',601,'N'),(25,6338526,'1A',212,'N'),(25,6338534,'1',103,'N'),(25,6338542,'1',207,'N'),(25,6338542,'1A',208,'N'),(25,6338550,'1',452,'N'),(25,6338577,'1',450,'N'),(25,6338585,'1',216,'N'),(25,6338585,'1A',653,'N'),(25,6338607,'1',452,'N'),(25,6338615,'1',5,'N'),(25,6338623,'1',340,'N'),(25,6338631,'1',201,'N'),(25,6338631,'1A',601,'N'),(25,6338658,'1',103,'N'),(25,6338666,'1',326,'N'),(25,6338674,'1',108,'N'),(25,6338682,'1',450,'N'),(25,6338690,'1',214,'N'),(25,6338690,'1A',212,'N'),(25,6338704,'1',551,'N'),(25,6338720,'1',654,'N'),(25,6338739,'1',103,'N'),(25,6338747,'1',316,'N'),(25,6338755,'1',103,'N'),(25,6338763,'1',214,'N'),(25,6338763,'1A',233,'N'),(25,6338780,'1',451,'N'),(25,6338798,'1',999,'N'),(25,6338801,'1',202,'N'),(25,6338801,'1A',220,'N'),(25,6338810,'1',203,'N'),(25,6338810,'1A',201,'N'),(25,6338828,'1',329,'N'),(25,6338836,'1',551,'N'),(25,6338844,'1',103,'N'),(25,6338852,'1',302,'N'),(25,6338860,'1',225,'N'),(25,6338879,'1',551,'N'),(25,6338887,'1',103,'N'),(25,6338895,'1',220,'N'),(25,6338895,'1A',203,'N'),(25,6338909,'1',551,'N'),(25,6338917,'1',425,'N'),(25,6338917,'1A',424,'N'),(25,6338933,'1',329,'N'),(25,6338941,'1',103,'N'),(25,6338950,'1',999,'N'),(25,6338968,'1',302,'N'),(25,6338976,'1',317,'N'),(25,6338984,'1',444,'N'),(25,6338992,'1',452,'N'),(25,6339000,'1',303,'N'),(25,6339018,'1',234,'N'),(25,6339026,'1',103,'N'),(25,6339034,'1',215,'N'),(25,6339042,'1',999,'N'),(25,6339077,'1',102,'N'),(25,6339085,'1',302,'N'),(25,6339093,'1',326,'N'),(25,6339107,'1',103,'N'),(25,6339115,'1',238,'N'),(25,6339115,'1A',208,'N'),(25,6339123,'1',224,'N'),(25,6339131,'1',420,'N'),(25,6339140,'1',238,'N'),(25,6339140,'1A',233,'N'),(25,6339158,'1',211,'N'),(25,6339158,'1A',215,'N'),(25,6339166,'1',203,'N'),(25,6339174,'1',103,'N'),(25,6339182,'1',5,'N'),(25,6339190,'1',309,'N'),(25,6339204,'1',211,'N'),(25,6339204,'1A',207,'N'),(25,6339220,'1',303,'N'),(25,6339239,'1',205,'N'),(25,6339255,'1',103,'N'),(25,6339263,'1',316,'N'),(25,6339271,'1',308,'N'),(25,6339280,'1',340,'N'),(25,6339298,'1',207,'N'),(25,6339298,'1A',201,'N'),(25,6339301,'1',444,'N'),(25,6339310,'1',103,'N'),(25,6339328,'1',301,'N'),(25,6339336,'1',104,'N'),(25,6339344,'1',103,'N'),(25,6339352,'1',201,'N'),(25,6339352,'1A',235,'N'),(25,6339360,'1',999,'N'),(25,6339379,'1',303,'N'),(25,6339387,'1',103,'N'),(25,6339395,'1',103,'N'),(25,6339409,'1',109,'N'),(25,6339417,'1',301,'N'),(25,6339425,'1',308,'N'),(25,6339433,'1',212,'N'),(25,6339433,'1A',220,'N'),(25,6339441,'1',104,'N'),(25,6339450,'1',104,'N'),(25,6339468,'1',317,'N'),(25,6339476,'1',319,'N'),(25,6339484,'1',103,'N'),(25,6339492,'1',103,'N'),(25,6339514,'1',303,'N'),(25,6339522,'1',224,'N'),(25,6339530,'1',303,'N'),(25,6339549,'1',303,'N'),(25,6339557,'1',102,'N'),(25,6339565,'1',203,'N'),(25,6339565,'1A',201,'N'),(25,6339573,'1',203,'N'),(25,6339573,'1A',214,'N'),(25,6339581,'1',201,'N'),(25,6339590,'1',211,'N'),(25,6339611,'1',420,'N'),(25,6339620,'1',551,'N'),(25,6339646,'1',108,'N'),(25,6339654,'1',999,'N'),(25,6339662,'1',201,'N'),(25,6339662,'1A',202,'N'),(25,6339670,'1',108,'N'),(25,6339689,'1',234,'N'),(25,6339697,'1',5,'N'),(25,6339700,'1',444,'N'),(25,6339719,'1',203,'N'),(25,6339719,'1A',220,'N'),(25,6339735,'1',103,'N'),(25,6339743,'1',207,'N'),(25,6339743,'1A',238,'N'),(25,6339751,'1',999,'N'),(25,6339760,'1',207,'N'),(25,6339760,'1A',201,'N'),(25,6339778,'1',224,'N'),(25,6339786,'1',235,'N'),(25,6339786,'1A',202,'N'),(25,6339794,'1',104,'N'),(25,6339808,'1',216,'N'),(25,6339808,'1A',233,'N'),(25,6339816,'1',326,'N'),(25,6339824,'1',104,'N'),(25,6339832,'1',319,'N'),(25,6339859,'1',9,'N'),(25,6339867,'1',203,'N'),(25,6339867,'1A',201,'N'),(25,6339883,'1',420,'N'),(25,6339891,'1',331,'N'),(25,6339913,'1',654,'N'),(25,6339921,'1',444,'N'),(25,6339930,'1',319,'N'),(25,6339948,'1',103,'N'),(25,6339956,'1',103,'N'),(25,6339964,'1',653,'N'),(25,6339964,'1A',655,'N'),(25,6339972,'1',415,'N'),(25,6339980,'1',319,'N'),(25,6339999,'1',303,'N'),(25,6340016,'1',332,'N'),(25,6340024,'1',214,'N'),(25,6340024,'1A',207,'N'),(25,6340032,'1',109,'N'),(25,6340059,'1',211,'N'),(25,6340059,'1A',215,'N'),(25,6340067,'1',103,'N'),(25,6340075,'1',999,'N'),(25,6340083,'1',207,'N'),(25,6340083,'1A',201,'N'),(25,6340091,'1',108,'N'),(25,6340105,'1',303,'N'),(25,6340113,'1',201,'N'),(25,6340113,'1A',212,'N'),(25,6340121,'1',201,'N'),(25,6340121,'1A',215,'N'),(25,6340130,'1',201,'N'),(25,6340130,'1A',212,'N'),(25,6340148,'1',999,'N'),(25,6340172,'1',202,'N'),(25,6340172,'1A',235,'N'),(25,6340180,'1',201,'N'),(25,6340180,'1A',202,'N'),(25,6340199,'1',201,'N'),(25,6340199,'1A',216,'N'),(25,6340229,'1',316,'N'),(25,6340237,'1',201,'N'),(25,6340237,'1A',215,'N'),(25,6340245,'1',201,'N'),(25,6340245,'1A',207,'N'),(25,6340253,'1',207,'N'),(25,6340253,'1A',201,'N'),(25,6340261,'1',340,'N'),(25,6340270,'1',303,'N'),(25,6340288,'1',109,'N'),(25,6340296,'1',208,'N'),(25,6340296,'1A',235,'N'),(25,6340300,'1',304,'N'),(25,6340318,'1',425,'N'),(25,6340318,'1A',423,'N'),(25,6340326,'1',339,'N'),(25,6340334,'1',304,'N'),(25,6340342,'1',103,'N'),(25,6340350,'1',303,'N'),(25,6340369,'1',551,'N'),(25,6340377,'1',415,'N'),(25,6340385,'1',426,'N'),(25,6340385,'1A',425,'N'),(25,6340393,'1',103,'N'),(25,6340407,'1',303,'N'),(25,6340415,'1',104,'N'),(25,6340423,'1',201,'N'),(25,6340431,'1',9,'N'),(25,6340440,'1',339,'N'),(25,6340466,'1',102,'N'),(25,6340474,'1',453,'N'),(25,6340482,'1',652,'N'),(25,6340482,'1A',655,'N'),(25,6340490,'1',317,'N'),(25,6340512,'1',999,'N'),(25,6340539,'1',308,'N'),(25,6340547,'1',109,'N'),(25,6340555,'1',340,'N'),(25,6340563,'1',202,'N'),(25,6340563,'1A',213,'N'),(25,6340571,'1',5,'N'),(25,6340580,'1',421,'N'),(25,6340580,'1A',429,'N'),(25,6340601,'1',222,'N'),(25,6340610,'1',999,'N'),(25,6340636,'1',103,'N'),(25,6340652,'1',216,'N'),(25,6340652,'1A',201,'N'),(25,6340660,'1',5,'N'),(25,6340679,'1',211,'N'),(25,6340679,'1A',201,'N'),(25,6340687,'1',304,'N'),(25,6340695,'1',103,'N'),(25,6340733,'1',207,'N'),(25,6340741,'1',203,'N'),(25,6340741,'1A',220,'N'),(25,6340750,'1',333,'N'),(25,6340784,'1',103,'N'),(25,6340792,'1',303,'N'),(25,6340814,'1',309,'N'),(25,6340822,'1',301,'N'),(25,6340830,'1',101,'N'),(25,6340849,'1',302,'N'),(25,6340857,'1',104,'N'),(25,6340865,'1',108,'N'),(25,6340873,'1',103,'N'),(25,6340881,'1',415,'N'),(25,6340890,'1',551,'N'),(25,6340903,'1',415,'N'),(25,6340911,'1',211,'N'),(25,6340911,'1A',201,'N'),(25,6340920,'1',207,'N'),(25,6340920,'1A',201,'N'),(25,6340938,'1',653,'N'),(25,6340938,'1A',652,'N'),(25,6340946,'1',421,'N'),(25,6340946,'1A',427,'N'),(25,6340954,'1',453,'N'),(25,6340962,'1',415,'N'),(25,6340970,'1',301,'N'),(25,6340989,'1',5,'N'),(25,6340997,'1',404,'N'),(25,6341004,'1',333,'N'),(25,6341012,'1',201,'N'),(25,6341012,'1A',212,'N'),(25,6341020,'1',654,'N'),(25,6341039,'1',999,'N'),(25,6341047,'1',207,'N'),(25,6341047,'1A',601,'N'),(25,6341055,'1',329,'N'),(25,6341063,'1',233,'N'),(25,6341063,'1A',653,'N'),(25,6341071,'1',999,'N'),(25,6341080,'1',102,'N'),(25,6341098,'1',104,'N'),(25,6341101,'1',101,'N'),(25,6341110,'1',317,'N'),(25,6341128,'1',3,'N'),(25,6341136,'1',999,'N'),(25,6341144,'1',420,'N'),(25,6341179,'1',316,'N'),(25,6341187,'1',203,'N'),(25,6341187,'1A',201,'N'),(25,6341209,'1',238,'N'),(25,6341209,'1A',652,'N'),(25,6341217,'1',444,'N'),(25,6341225,'1',453,'N'),(25,6341233,'1',501,'N'),(25,6341241,'1',415,'N'),(25,6341268,'1',9,'N'),(25,6341276,'1',304,'N'),(25,6341284,'1',103,'N'),(25,6341292,'1',502,'N'),(25,6341306,'1',319,'N'),(25,6341314,'1',319,'N'),(25,6341322,'1',233,'N'),(25,6341322,'1A',216,'N'),(25,6341330,'1',213,'N'),(25,6341330,'1A',233,'N'),(25,6341349,'1',224,'N'),(25,6341357,'1',103,'N'),(25,6341365,'1',203,'N'),(25,6341365,'1A',235,'N'),(25,6341373,'1',103,'N'),(25,6341381,'1',301,'N'),(25,6341390,'1',5,'N'),(25,6341403,'1',301,'N'),(25,6341411,'1',450,'N'),(25,6341420,'1',201,'N'),(25,6341420,'1A',207,'N'),(25,6341438,'1',103,'N'),(25,6341446,'1',101,'N'),(25,6341454,'1',103,'N'),(25,6341462,'1',104,'N'),(25,6341470,'1',201,'N'),(25,6341470,'1A',655,'N'),(25,6341489,'1',207,'N'),(25,6341489,'1A',211,'N'),(25,6341497,'1',340,'N'),(25,6341519,'1',999,'N'),(25,6341527,'1',233,'N'),(25,6341527,'1A',238,'N'),(25,6341535,'1',225,'N'),(25,6341543,'1',103,'N'),(25,6341551,'1',999,'N'),(25,6341560,'1',103,'N'),(25,6341578,'1',304,'N'),(25,6341586,'1',224,'N'),(25,6341594,'1',5,'N'),(25,6341608,'1',201,'N'),(25,6341608,'1A',207,'N'),(25,6341616,'1',103,'N'),(25,6341632,'1',201,'N'),(25,6341640,'1',103,'N'),(25,6341659,'1',203,'N'),(25,6341659,'1A',201,'N'),(25,6341675,'1',103,'N'),(25,6341683,'1',303,'N'),(25,6341713,'1',304,'N'),(25,6341721,'1',203,'N'),(25,6341721,'1A',235,'N'),(25,6341730,'1',340,'N'),(25,6341748,'1',317,'N'),(25,6341764,'1',340,'N'),(25,6341772,'1',103,'N'),(25,6341780,'1',103,'N'),(25,6341799,'1',208,'N'),(25,6341799,'1A',238,'N'),(25,6341802,'1',103,'N'),(25,6341810,'1',103,'N'),(25,6341829,'1',303,'N'),(25,6341837,'1',319,'N'),(25,6341845,'1',203,'N'),(25,6341845,'1A',201,'N'),(25,6341861,'1',452,'N'),(25,6341870,'1',5,'N'),(25,6341888,'1',303,'N'),(25,6341896,'1',103,'N'),(25,6341900,'1',338,'N'),(25,6341918,'1',332,'N'),(25,6341934,'1',207,'N'),(25,6341969,'1',551,'N'),(25,6341977,'1',5,'N'),(25,6341985,'1',220,'N'),(25,6341985,'1A',211,'N'),(25,6341993,'1',234,'N'),(25,6342000,'1',654,'N'),(25,6342019,'1',317,'N'),(25,6342027,'1',340,'N'),(25,6342035,'1',101,'N'),(25,6342043,'1',551,'N'),(25,6342051,'1',207,'N'),(25,6342051,'1A',601,'N'),(25,6342060,'1',238,'N'),(25,6342060,'1A',208,'N'),(25,6342086,'1',303,'N'),(25,6342094,'1',9,'N'),(25,6342108,'1',453,'N'),(25,6342116,'1',329,'N'),(25,6342124,'1',203,'N'),(25,6342132,'1',999,'N'),(25,6342140,'1',319,'N'),(25,6342159,'1',9,'N'),(25,6342167,'1',216,'N'),(25,6342167,'1A',201,'N'),(25,6342175,'1',302,'N'),(25,6342183,'1',420,'N'),(25,6342191,'1',309,'N'),(25,6342205,'1',207,'N'),(25,6342205,'1A',201,'N'),(25,6342221,'1',103,'N'),(25,6342230,'1',102,'N'),(25,6342264,'1',319,'N'),(25,6342272,'1',201,'N'),(25,6342272,'1A',601,'N'),(25,6342280,'1',104,'N'),(25,6342299,'1',108,'N'),(25,6342302,'1',102,'N'),(25,6342310,'1',653,'N'),(25,6342310,'1A',652,'N'),(25,6342329,'1',654,'N'),(25,6342345,'1',999,'N'),(25,6342353,'1',999,'N'),(25,6342370,'1',337,'N'),(25,6342388,'1',216,'N'),(25,6342388,'1A',211,'N'),(25,6342396,'1',425,'N'),(25,6342396,'1A',424,'N'),(25,6342400,'1',104,'N'),(25,6342418,'1',999,'N'),(25,6342426,'1',303,'N'),(25,6342434,'1',999,'N'),(25,6342442,'1',319,'N'),(25,6342450,'1',317,'N'),(25,6342469,'1',103,'N'),(25,6342477,'1',103,'N'),(25,6342485,'1',102,'N'),(25,6342507,'1',303,'N'),(25,6342515,'1',426,'N'),(25,6342515,'1A',425,'N'),(25,6342523,'1',103,'N'),(25,6342531,'1',220,'N'),(25,6342531,'1A',655,'N'),(25,6342540,'1',225,'N'),(25,6342558,'1',208,'N'),(25,6342558,'1A',238,'N'),(25,6342566,'1',303,'N'),(25,6342574,'1',317,'N'),(25,6342582,'1',220,'N'),(25,6342582,'1A',235,'N'),(25,6342590,'1',999,'N'),(25,6342604,'1',201,'N'),(25,6342604,'1A',601,'N'),(25,6342620,'1',208,'N'),(25,6342639,'1',216,'N'),(25,6342639,'1A',235,'N'),(25,6342647,'1',601,'N'),(25,6342647,'1A',235,'N'),(25,6342655,'1',444,'N'),(25,6342663,'1',103,'N'),(25,6342671,'1',318,'N'),(25,6342680,'1',207,'N'),(25,6342680,'1A',201,'N'),(25,6342698,'1',103,'N'),(25,6342728,'1',201,'N'),(25,6342736,'1',450,'N'),(25,6342752,'1',103,'N'),(25,6342760,'1',110,'N'),(25,6342779,'1',301,'N'),(25,6342787,'1',238,'N'),(25,6342787,'1A',208,'N'),(25,6342795,'1',216,'N'),(25,6342795,'1A',655,'N'),(25,6342809,'1',238,'N'),(25,6342809,'1A',208,'N'),(25,6342817,'1',450,'N'),(25,6342825,'1',303,'N'),(25,6342833,'1',203,'N'),(25,6342833,'1A',601,'N'),(25,6342841,'1',201,'N'),(25,6342850,'1',601,'N'),(25,6342850,'1A',203,'N'),(25,6342868,'1',339,'N'),(25,6342876,'1',103,'N'),(25,6342884,'1',202,'N'),(25,6342884,'1A',601,'N'),(25,6342892,'1',203,'N'),(25,6342892,'1A',214,'N'),(25,6342906,'1',102,'N'),(25,6342914,'1',340,'N'),(25,6342922,'1',5,'N'),(25,6342930,'1',319,'N'),(25,6342957,'1',208,'N'),(25,6342973,'1',317,'N'),(25,6342981,'1',5,'N'),(25,6342990,'1',104,'N'),(25,6343015,'1',102,'N'),(25,6343023,'1',453,'N'),(25,6343031,'1',316,'N'),(25,6343040,'1',5,'N'),(25,6343058,'1',303,'N'),(25,6343066,'1',103,'N'),(25,6343074,'1',336,'N'),(25,6343082,'1',316,'N'),(25,6343090,'1',303,'N'),(25,6343104,'1',103,'N'),(25,6343112,'1',203,'N'),(25,6343112,'1A',201,'N'),(25,6343120,'1',999,'N'),(25,6343139,'1',333,'N'),(25,6343155,'1',201,'N'),(25,6343155,'1A',207,'N'),(25,6343163,'1',426,'N'),(25,6343163,'1A',423,'N'),(25,6343180,'1',203,'N'),(25,6343180,'1A',238,'N'),(25,6343228,'1',207,'N'),(25,6343228,'1A',201,'N'),(25,6343236,'1',103,'N'),(25,6343252,'1',425,'N'),(25,6343252,'1A',427,'N'),(25,6343260,'1',302,'N'),(25,6343279,'1',103,'N'),(25,6343287,'1',5,'N'),(25,6343309,'1',103,'N'),(25,6343325,'1',999,'N'),(25,6343333,'1',225,'N'),(25,6343341,'1',211,'N'),(25,6343341,'1A',653,'N'),(25,6343350,'1',235,'N'),(25,6343350,'1A',216,'N'),(25,6343368,'1',302,'N'),(25,6343376,'1',103,'N'),(25,6343392,'1',103,'N'),(25,6343406,'1',203,'N'),(25,6343406,'1A',208,'N'),(25,6343414,'1',203,'N'),(25,6343414,'1A',233,'N'),(25,6343422,'1',201,'N'),(25,6343422,'1A',601,'N'),(25,6343430,'1',327,'N'),(25,6343449,'1',103,'N'),(25,6343457,'1',207,'N'),(25,6343473,'1',104,'N'),(25,6343490,'1',201,'N'),(25,6343490,'1A',215,'N'),(25,6343503,'1',415,'N'),(25,6343511,'1',101,'N'),(25,6343520,'1',103,'N'),(25,6343538,'1',339,'N'),(25,6343554,'1',201,'N'),(25,6343554,'1A',203,'N'),(25,6343562,'1',9,'N'),(25,6343570,'1',302,'N'),(25,6343589,'1',601,'N'),(25,6343589,'1A',233,'N'),(25,6343597,'1',5,'N'),(25,6343600,'1',316,'N'),(25,6343619,'1',109,'N'),(25,6343627,'1',234,'N'),(25,6343635,'1',308,'N'),(25,6343643,'1',9,'N'),(25,6343651,'1',319,'N'),(25,6343678,'1',207,'N'),(25,6343678,'1A',215,'N'),(25,6343686,'1',316,'N'),(25,6343694,'1',203,'N'),(25,6343694,'1A',238,'N'),(25,6343708,'1',428,'N'),(25,6343708,'1A',424,'N'),(25,6343716,'1',103,'N'),(25,6343740,'1',652,'N'),(25,6343740,'1A',655,'N'),(25,6343759,'1',109,'N'),(25,6343767,'1',109,'N'),(25,6343775,'1',5,'N'),(25,6343783,'1',103,'N'),(25,6343791,'1',301,'N'),(25,6343805,'1',339,'N'),(25,6343813,'1',202,'N'),(25,6343821,'1',207,'N'),(25,6343821,'1A',201,'N'),(25,6343830,'1',207,'N'),(25,6343830,'1A',201,'N'),(25,6343848,'1',425,'N'),(25,6343848,'1A',429,'N'),(25,6343856,'1',103,'N'),(25,6343864,'1',108,'N'),(25,6343880,'1',203,'N'),(25,6343880,'1A',202,'N'),(25,6343899,'1',653,'N'),(25,6343899,'1A',601,'N'),(25,6343902,'1',103,'N'),(25,6343937,'1',103,'N'),(25,6343945,'1',310,'N'),(25,6343953,'1',203,'N'),(25,6343953,'1A',201,'N'),(25,6343961,'1',420,'N'),(25,6343970,'1',104,'N'),(25,6343988,'1',104,'N'),(25,6344003,'1',223,'N'),(25,6344011,'1',103,'N'),(25,6344020,'1',103,'N'),(25,6344046,'1',207,'N'),(25,6344046,'1A',238,'N'),(25,6344054,'1',308,'N'),(25,6344062,'1',303,'N'),(25,6344070,'1',301,'N'),(25,6344089,'1',103,'N'),(25,6344097,'1',201,'N'),(25,6344119,'1',202,'N'),(25,6344119,'1A',653,'N'),(25,6344127,'1',5,'N'),(25,6344135,'1',103,'N'),(25,6344143,'1',103,'N'),(25,6344160,'1',207,'N'),(25,6344160,'1A',201,'N'),(25,6344178,'1',319,'N'),(25,6344186,'1',208,'N'),(25,6344186,'1A',202,'N'),(25,6344194,'1',103,'N'),(25,6344208,'1',216,'N'),(25,6344208,'1A',201,'N'),(25,6344216,'1',201,'N'),(25,6344216,'1A',238,'N'),(25,6344224,'1',316,'N'),(25,6344232,'1',453,'N'),(25,6344259,'1',238,'N'),(25,6344259,'1A',655,'N'),(25,6344267,'1',103,'N'),(25,6344275,'1',108,'N'),(25,6344283,'1',420,'N'),(25,6344291,'1',333,'N'),(25,6344305,'1',423,'N'),(25,6344305,'1A',428,'N'),(25,6344313,'1',201,'N'),(25,6344313,'1A',216,'N'),(25,6344321,'1',213,'N'),(25,6344330,'1',333,'N'),(25,6344356,'1',301,'N'),(25,6344364,'1',5,'N'),(25,6344372,'1',601,'N'),(25,6344372,'1A',235,'N'),(25,6344380,'1',654,'N'),(25,6344399,'1',215,'N'),(25,6344399,'1A',233,'N'),(25,6344402,'1',551,'N'),(25,6344410,'1',201,'N'),(25,6344410,'1A',212,'N'),(25,6344429,'1',302,'N'),(25,6344437,'1',317,'N'),(25,6344445,'1',308,'N'),(25,6344453,'1',316,'N'),(25,6344461,'1',324,'N'),(25,6344470,'1',238,'N'),(25,6344470,'1A',235,'N'),(25,6344488,'1',225,'N'),(25,6344496,'1',551,'N'),(25,6344500,'1',208,'N'),(25,6344500,'1A',238,'N'),(25,6344526,'1',103,'N'),(25,6344534,'1',999,'N'),(25,6344542,'1',201,'N'),(25,6344542,'1A',207,'N'),(25,6344550,'1',103,'N'),(25,6344569,'1',109,'N'),(25,6344577,'1',103,'N'),(25,6344585,'1',103,'N'),(25,6344593,'1',235,'N'),(25,6344593,'1A',208,'N'),(25,6344607,'1',201,'N'),(25,6344607,'1A',207,'N'),(25,6344615,'1',301,'N'),(25,6344623,'1',103,'N'),(25,6344631,'1',425,'N'),(25,6344631,'1A',427,'N'),(25,6344640,'1',211,'N'),(25,6344640,'1A',601,'N'),(25,6344658,'1',103,'N'),(25,6344666,'1',309,'N'),(25,6344674,'1',104,'N'),(25,6344682,'1',5,'N'),(25,6344704,'1',329,'N'),(25,6344712,'1',5,'N'),(25,6344720,'1',103,'N'),(25,6344739,'1',601,'N'),(25,6344739,'1A',203,'N'),(25,6344747,'1',235,'N'),(25,6344747,'1A',213,'N'),(25,6344755,'1',652,'N'),(25,6344763,'1',301,'N'),(25,6344771,'1',102,'N'),(25,6344780,'1',103,'N'),(25,6344798,'1',103,'N'),(25,6344801,'1',999,'N'),(25,6344810,'1',655,'N'),(25,6344810,'1A',652,'N'),(25,6344828,'1',999,'N'),(25,6344844,'1',201,'N'),(25,6344844,'1A',212,'N'),(25,6344852,'1',415,'N'),(25,6344860,'1',103,'N'),(25,6344879,'1',453,'N'),(25,6344887,'1',103,'N'),(25,6344917,'1',212,'N'),(25,6344917,'1A',201,'N'),(25,6344933,'1',103,'N'),(25,6344941,'1',207,'N'),(25,6344941,'1A',238,'N'),(25,6344950,'1',224,'N'),(25,6344968,'1',203,'N'),(25,6344968,'1A',202,'N'),(25,6344984,'1',211,'N'),(25,6344984,'1A',235,'N'),(25,6344992,'1',223,'N'),(25,6345000,'1',601,'N'),(25,6345000,'1A',201,'N'),(25,6345018,'1',426,'N'),(25,6345018,'1A',425,'N'),(25,6345026,'1',5,'N'),(25,6345042,'1',104,'N'),(25,6345069,'1',104,'N'),(25,6345085,'1',9,'N'),(25,6345093,'1',203,'N'),(25,6345107,'1',655,'N'),(25,6345107,'1A',653,'N'),(25,6345115,'1',326,'N'),(25,6345123,'1',601,'N'),(25,6345123,'1A',235,'N'),(25,6345131,'1',102,'N'),(25,6345140,'1',654,'N'),(25,6345158,'1',109,'N'),(25,6345174,'1',103,'N'),(25,6345182,'1',201,'N'),(25,6345182,'1A',601,'N'),(25,6345190,'1',404,'N'),(25,6345204,'1',450,'N'),(25,6345212,'1',302,'N'),(25,6345220,'1',316,'N'),(25,6345239,'1',404,'N'),(25,6345247,'1',103,'N'),(25,6345255,'1',453,'N'),(25,6345271,'1',317,'N'),(25,6345280,'1',309,'N'),(25,6345298,'1',340,'N'),(25,6345301,'1',318,'N'),(25,6345310,'1',220,'N'),(25,6345310,'1A',208,'N'),(25,6345328,'1',310,'N'),(25,6345336,'1',301,'N'),(25,6345344,'1',308,'N'),(25,6345352,'1',216,'N'),(25,6345352,'1A',215,'N'),(25,6345360,'1',503,'N'),(25,6345379,'1',103,'N'),(25,6345387,'1',333,'N'),(25,6345395,'1',102,'N'),(25,6345409,'1',317,'N'),(25,6345417,'1',333,'N'),(25,6345425,'1',652,'N'),(25,6345425,'1A',655,'N'),(25,6345433,'1',999,'N'),(25,6345441,'1',404,'N'),(25,6345476,'1',319,'N'),(25,6345484,'1',201,'N'),(25,6345484,'1A',211,'N'),(25,6345492,'1',502,'N'),(25,6345506,'1',551,'N'),(25,6345514,'1',444,'N'),(25,6345522,'1',214,'N'),(25,6345522,'1A',207,'N'),(25,6345530,'1',320,'N'),(25,6345549,'1',303,'N'),(25,6345557,'1',211,'N'),(25,6345565,'1',103,'N'),(25,6345573,'1',103,'N'),(25,6345581,'1',319,'N'),(25,6345603,'1',109,'N'),(25,6345611,'1',238,'N'),(25,6345611,'1A',208,'N'),(25,6345620,'1',103,'N'),(25,6345638,'1',428,'N'),(25,6345638,'1A',423,'N'),(25,6345646,'1',225,'N'),(25,6345654,'1',103,'N'),(25,6345662,'1',216,'N'),(25,6345662,'1A',215,'N'),(25,6345670,'1',234,'N'),(25,6345689,'1',207,'N'),(25,6345689,'1A',213,'N'),(25,6345697,'1',101,'N'),(25,6345700,'1',601,'N'),(25,6345700,'1A',201,'N'),(25,6345719,'1',207,'N'),(25,6345719,'1A',238,'N'),(25,6345727,'1',452,'N'),(25,6345735,'1',317,'N'),(25,6345743,'1',110,'N'),(25,6345751,'1',214,'N'),(25,6345751,'1A',212,'N'),(25,6345760,'1',308,'N'),(25,6345786,'1',340,'N'),(25,6345794,'1',207,'N'),(25,6345808,'1',212,'N'),(25,6345808,'1A',213,'N'),(25,6345824,'1',999,'N'),(25,6345832,'1',319,'N'),(25,6345840,'1',208,'N'),(25,6345840,'1A',655,'N'),(25,6345859,'1',319,'N'),(25,6345867,'1',103,'N'),(25,6345875,'1',326,'N'),(25,6345883,'1',340,'N'),(25,6345891,'1',103,'N'),(25,6345905,'1',308,'N'),(25,6345913,'1',103,'N'),(25,6345930,'1',655,'N'),(25,6345930,'1A',652,'N'),(25,6345948,'1',453,'N'),(25,6345956,'1',201,'N'),(25,6345956,'1A',212,'N'),(25,6345964,'1',601,'N'),(25,6345964,'1A',233,'N'),(25,6345972,'1',201,'N'),(25,6345972,'1A',212,'N'),(25,6345999,'1',207,'N'),(25,6345999,'1A',201,'N'),(25,6346014,'1',103,'N'),(25,6346022,'1',208,'N'),(25,6346022,'1A',238,'N'),(25,6346030,'1',103,'N'),(25,6346049,'1',103,'N'),(25,6346065,'1',238,'N'),(25,6346065,'1A',208,'N'),(25,6346081,'1',216,'N'),(25,6346081,'1A',214,'N'),(25,6346090,'1',104,'N'),(25,6346103,'1',999,'N'),(25,6346111,'1',207,'N'),(25,6346111,'1A',201,'N'),(25,6346120,'1',333,'N'),(25,6346138,'1',110,'N'),(25,6346154,'1',304,'N'),(25,6346162,'1',336,'N'),(25,6346170,'1',103,'N'),(25,6346189,'1',999,'N'),(25,6346197,'1',999,'N'),(25,6346200,'1',207,'N'),(25,6346200,'1A',601,'N'),(25,6346235,'1',201,'N'),(25,6346235,'1A',203,'N'),(25,6346243,'1',207,'N'),(25,6346243,'1A',211,'N'),(25,6346251,'1',102,'N'),(25,6346260,'1',303,'N'),(25,6346278,'1',104,'N'),(25,6346286,'1',103,'N'),(25,6346294,'1',103,'N'),(25,6346308,'1',203,'N'),(25,6346308,'1A',214,'N'),(25,6346316,'1',216,'N'),(25,6346332,'1',103,'N'),(25,6346340,'1',103,'N'),(25,6346359,'1',103,'N'),(25,6346367,'1',999,'N'),(25,6346375,'1',999,'N'),(25,6346391,'1',655,'N'),(25,6346391,'1A',208,'N'),(25,6346405,'1',301,'N'),(25,6346413,'1',301,'N'),(25,6346421,'1',103,'N'),(25,6346430,'1',216,'N'),(25,6346430,'1A',201,'N'),(25,6346448,'1',304,'N'),(25,6346456,'1',103,'N'),(25,6346464,'1',601,'N'),(25,6346480,'1',331,'N'),(25,6346499,'1',238,'N'),(25,6346499,'1A',233,'N'),(25,6346502,'1',9,'N'),(25,6346510,'1',103,'N'),(25,6346529,'1',5,'N'),(25,6346537,'1',450,'N'),(25,6346545,'1',301,'N'),(25,6346553,'1',212,'N'),(25,6346553,'1A',211,'N'),(25,6346570,'1',104,'N'),(25,6346588,'1',453,'N'),(25,6346600,'1',999,'N'),(25,6346618,'1',102,'N'),(25,6346626,'1',207,'N'),(25,6346626,'1A',211,'N'),(25,6346634,'1',109,'N'),(25,6346642,'1',238,'N'),(25,6346642,'1A',203,'N'),(25,6346650,'1',329,'N'),(25,6346669,'1',316,'N'),(25,6346677,'1',999,'N'),(25,6346685,'1',220,'N'),(25,6346685,'1A',202,'N'),(25,6346693,'1',999,'N'),(25,6346715,'1',302,'N'),(25,6346723,'1',340,'N'),(25,6346731,'1',108,'N'),(25,6346740,'1',452,'N'),(25,6346758,'1',108,'N'),(25,6346766,'1',333,'N'),(25,6346774,'1',207,'N'),(25,6346774,'1A',215,'N'),(25,6346782,'1',333,'N'),(25,6346790,'1',333,'N'),(25,6346804,'1',5,'N'),(25,6346812,'1',655,'N'),(25,6346820,'1',319,'N'),(25,6346839,'1',601,'N'),(25,6346839,'1A',214,'N'),(25,6346855,'1',319,'N'),(25,6346863,'1',317,'N'),(25,6346871,'1',333,'N'),(25,6346880,'1',551,'N'),(25,6346898,'1',220,'N'),(25,6346898,'1A',235,'N'),(25,6346901,'1',318,'N'),(25,6346910,'1',203,'N'),(25,6346910,'1A',214,'N'),(25,6346928,'1',316,'N'),(25,6346936,'1',503,'N'),(25,6346944,'1',340,'N'),(25,6346952,'1',110,'N'),(25,6346960,'1',304,'N'),(25,6346979,'1',309,'N'),(25,6346987,'1',207,'N'),(25,6346987,'1A',215,'N'),(25,6346995,'1',201,'N'),(25,6346995,'1A',207,'N'),(25,6347002,'1',652,'N'),(25,6347002,'1A',208,'N'),(25,6347029,'1',303,'N'),(25,6347037,'1',9,'N'),(25,6347045,'1',999,'N'),(25,6347053,'1',234,'N'),(25,6347061,'1',501,'N'),(25,6347070,'1',207,'N'),(25,6347070,'1A',201,'N'),(25,6347088,'1',5,'N'),(25,6347100,'1',428,'N'),(25,6347100,'1A',426,'N'),(25,6347118,'1',201,'N'),(25,6347118,'1A',203,'N'),(25,6347126,'1',324,'N'),(25,6347142,'1',9,'N'),(25,6347169,'1',303,'N'),(25,6347177,'1',999,'N'),(25,6347185,'1',318,'N'),(25,6347193,'1',207,'N'),(25,6347207,'1',202,'N'),(25,6347207,'1A',208,'N'),(25,6347215,'1',212,'N'),(25,6347215,'1A',201,'N'),(25,6347231,'1',451,'N'),(25,6347240,'1',999,'N'),(25,6347258,'1',103,'N'),(25,6347266,'1',999,'N'),(25,6347274,'1',415,'N'),(25,6347282,'1',203,'N'),(25,6347282,'1A',202,'N'),(25,6347290,'1',303,'N'),(25,6347304,'1',501,'N'),(25,6347312,'1',450,'N'),(25,6347320,'1',551,'N'),(25,6347339,'1',999,'N'),(25,6347347,'1',999,'N'),(25,6347355,'1',503,'N'),(25,6347363,'1',415,'N'),(25,6347371,'1',103,'N'),(25,6347380,'1',103,'N'),(25,6347398,'1',201,'N'),(25,6347398,'1A',212,'N'),(25,6347401,'1',425,'N'),(25,6347401,'1A',428,'N'),(25,6347410,'1',444,'N'),(25,6347428,'1',103,'N'),(25,6347436,'1',501,'N'),(25,6347444,'1',302,'N'),(25,6347452,'1',415,'N'),(25,6347460,'1',207,'N'),(25,6347460,'1A',238,'N'),(25,6347479,'1',425,'N'),(25,6347479,'1A',421,'N'),(25,6347487,'1',211,'N'),(25,6347487,'1A',212,'N'),(25,6347495,'1',207,'N'),(25,6347495,'1A',653,'N'),(25,6347509,'1',316,'N'),(25,6347517,'1',207,'N'),(25,6347517,'1A',212,'N'),(25,6347525,'1',203,'N'),(25,6347525,'1A',201,'N'),(25,6347533,'1',655,'N'),(25,6347533,'1A',652,'N'),(25,6347541,'1',103,'N'),(25,6347550,'1',238,'N'),(25,6347550,'1A',655,'N'),(25,6347568,'1',316,'N'),(25,6347584,'1',215,'N'),(25,6347584,'1A',213,'N'),(25,6347592,'1',319,'N'),(25,6347614,'1',999,'N'),(25,6347622,'1',999,'N'),(25,6347630,'1',207,'N'),(25,6347630,'1A',211,'N'),(25,6347649,'1',310,'N'),(25,6347657,'1',319,'N'),(25,6347665,'1',316,'N'),(25,6347673,'1',309,'N'),(25,6347681,'1',102,'N'),(25,6347690,'1',203,'N'),(25,6347690,'1A',235,'N'),(25,6347703,'1',654,'N'),(25,6347711,'1',999,'N'),(25,6347720,'1',103,'N'),(25,6347738,'1',404,'N'),(25,6347746,'1',332,'N'),(25,6347754,'1',202,'N'),(25,6347754,'1A',213,'N'),(25,6347762,'1',103,'N'),(25,6347770,'1',211,'N'),(25,6347770,'1A',212,'N'),(25,6347797,'1',108,'N'),(25,6347800,'1',201,'N'),(25,6347800,'1A',203,'N'),(25,6347819,'1',503,'N'),(25,6347827,'1',207,'N'),(25,6347827,'1A',201,'N'),(25,6347835,'1',316,'N'),(25,6347843,'1',999,'N'),(25,6347851,'1',214,'N'),(25,6347851,'1A',213,'N'),(25,6347894,'1',404,'N'),(25,6347908,'1',319,'N'),(25,6347916,'1',202,'N'),(25,6347916,'1A',213,'N'),(25,6347924,'1',309,'N'),(25,6347932,'1',9,'N'),(25,6347959,'1',453,'N'),(25,6347967,'1',216,'N'),(25,6347967,'1A',202,'N'),(25,6347975,'1',201,'N'),(25,6347975,'1A',601,'N'),(25,6347983,'1',5,'N'),(25,6348009,'1',551,'N'),(25,6348017,'1',216,'N'),(25,6348017,'1A',211,'N'),(25,6348025,'1',3,'N'),(25,6348033,'1',216,'N'),(25,6348033,'1A',233,'N'),(25,6348050,'1',999,'N'),(25,6348084,'1',207,'N'),(25,6348084,'1A',201,'N'),(25,6348092,'1',102,'N'),(25,6348106,'1',216,'N'),(25,6348106,'1A',213,'N'),(25,6348114,'1',110,'N'),(25,6348122,'1',303,'N'),(25,6348130,'1',420,'N'),(25,6348149,'1',103,'N'),(25,6348157,'1',653,'N'),(25,6348157,'1A',211,'N'),(25,6348165,'1',211,'N'),(25,6348173,'1',205,'N'),(25,6348181,'1',316,'N'),(25,6348190,'1',2,'N'),(25,6348203,'1',999,'N'),(25,6348211,'1',340,'N'),(25,6348220,'1',202,'N'),(25,6348220,'1A',201,'N'),(25,6348238,'1',238,'N'),(25,6348246,'1',103,'N'),(25,6348254,'1',5,'N'),(25,6348270,'1',5,'N'),(25,6348289,'1',208,'N'),(25,6348297,'1',303,'N'),(25,6348300,'1',5,'N'),(25,6348319,'1',999,'N'),(25,6348327,'1',103,'N'),(25,6348335,'1',336,'N'),(25,6348343,'1',308,'N'),(25,6348351,'1',404,'N'),(25,6348360,'1',999,'N'),(25,6348378,'1',303,'N'),(25,6348386,'1',104,'N'),(25,6348394,'1',303,'N'),(25,6348408,'1',423,'N'),(25,6348408,'1A',421,'N'),(25,6348416,'1',654,'N'),(25,6348432,'1',301,'N'),(25,6348440,'1',103,'N'),(25,6348459,'1',309,'N'),(25,6348467,'1',653,'N'),(25,6348475,'1',5,'N'),(25,6348483,'1',103,'N'),(25,6348491,'1',453,'N'),(25,6348505,'1',999,'N'),(25,6348521,'1',316,'N'),(25,6348530,'1',5,'N'),(25,6348564,'1',301,'N'),(25,6348572,'1',201,'N'),(25,6348572,'1A',235,'N'),(25,6348580,'1',238,'N'),(25,6348580,'1A',601,'N'),(25,6348599,'1',304,'N'),(25,6348602,'1',103,'N'),(25,6348610,'1',103,'N'),(25,6348629,'1',415,'N'),(25,6348645,'1',5,'N'),(25,6348653,'1',207,'N'),(25,6348653,'1A',201,'N'),(25,6348661,'1',333,'N'),(25,6348688,'1',211,'N'),(25,6348688,'1A',207,'N'),(25,6348696,'1',103,'N'),(25,6348700,'1',103,'N'),(25,6348718,'1',303,'N'),(25,6348726,'1',404,'N'),(25,6348734,'1',420,'N'),(25,6348742,'1',103,'N'),(25,6348750,'1',601,'N'),(25,6348750,'1A',220,'N'),(25,6348769,'1',303,'N'),(25,6348777,'1',654,'N'),(25,6348785,'1',420,'N'),(25,6348793,'1',601,'N'),(25,6348793,'1A',202,'N'),(25,6348807,'1',103,'N'),(25,6348815,'1',5,'N'),(25,6348823,'1',501,'N'),(25,6348831,'1',420,'N'),(25,6348840,'1',333,'N'),(25,6348858,'1',211,'N'),(25,6348858,'1A',212,'N'),(25,6348866,'1',999,'N'),(25,6348874,'1',103,'N'),(25,6348890,'1',319,'N'),(25,6348904,'1',5,'N'),(25,6348912,'1',415,'N'),(25,6348920,'1',999,'N'),(25,6348939,'1',326,'N'),(25,6348947,'1',103,'N'),(25,6348955,'1',999,'N'),(25,6348963,'1',201,'N'),(25,6348963,'1A',212,'N'),(25,6348971,'1',225,'N'),(25,6348980,'1',421,'N'),(25,6348980,'1A',427,'N'),(25,6348998,'1',655,'N'),(25,6348998,'1A',652,'N'),(25,6349005,'1',103,'N'),(25,6349013,'1',211,'N'),(25,6349013,'1A',601,'N'),(25,6349030,'1',601,'N'),(25,6349048,'1',238,'N'),(25,6349048,'1A',211,'N'),(25,6349072,'1',302,'N'),(25,6349080,'1',5,'N'),(25,6349099,'1',102,'N'),(25,6349102,'1',999,'N'),(25,6349110,'1',303,'N'),(25,6349129,'1',999,'N'),(25,6349137,'1',303,'N'),(25,6349145,'1',207,'N'),(25,6349145,'1A',601,'N'),(25,6349153,'1',102,'N'),(25,6349161,'1',501,'N'),(25,6349170,'1',999,'N'),(25,6349188,'1',340,'N'),(25,6349196,'1',235,'N'),(25,6349196,'1A',212,'N'),(25,6349200,'1',308,'N'),(25,6349218,'1',308,'N'),(25,6349226,'1',501,'N'),(25,6349234,'1',999,'N'),(25,6349250,'1',420,'N'),(25,6349269,'1',340,'N'),(25,6349277,'1',101,'N'),(25,6349293,'1',110,'N'),(25,6349307,'1',324,'N'),(25,6349315,'1',201,'N'),(25,6349315,'1A',212,'N'),(25,6349323,'1',212,'N'),(25,6349323,'1A',203,'N'),(25,6349331,'1',317,'N'),(25,6349340,'1',103,'N'),(25,6349358,'1',5,'N'),(25,6349366,'1',207,'N'),(25,6349374,'1',501,'N'),(25,6349382,'1',108,'N'),(25,6349390,'1',318,'N'),(25,6349412,'1',208,'N'),(25,6349412,'1A',652,'N'),(25,6349420,'1',211,'N'),(25,6349439,'1',201,'N'),(25,6349439,'1A',601,'N'),(25,6349455,'1',207,'N'),(25,6349455,'1A',201,'N'),(25,6349463,'1',999,'N'),(25,6349471,'1',207,'N'),(25,6349471,'1A',215,'N'),(25,6349480,'1',5,'N'),(25,6349498,'1',207,'N'),(25,6349498,'1A',215,'N'),(25,6349501,'1',601,'N'),(25,6349510,'1',2,'N'),(25,6349528,'1',303,'N'),(25,6349536,'1',238,'N'),(25,6349536,'1A',235,'N'),(25,6349544,'1',653,'N'),(25,6349544,'1A',655,'N'),(25,6349579,'1',999,'N'),(25,6349587,'1',207,'N'),(25,6349587,'1A',201,'N'),(25,6349595,'1',316,'N'),(25,6349609,'1',102,'N'),(25,6349617,'1',304,'N'),(25,6349625,'1',203,'N'),(25,6349633,'1',404,'N'),(25,6349641,'1',304,'N'),(25,6349650,'1',103,'N'),(25,6349668,'1',999,'N'),(25,6349676,'1',207,'N'),(25,6349676,'1A',601,'N'),(25,6349684,'1',301,'N'),(25,6349692,'1',999,'N'),(25,6349706,'1',103,'N'),(25,6349714,'1',207,'N'),(25,6349714,'1A',201,'N'),(25,6349722,'1',3,'N'),(25,6349749,'1',317,'N'),(25,6349757,'1',999,'N'),(25,6349765,'1',444,'N'),(25,6349773,'1',103,'N'),(25,6349781,'1',415,'N'),(25,6349790,'1',999,'N'),(25,6349803,'1',429,'N'),(25,6349803,'1A',425,'N'),(25,6349811,'1',301,'N'),(25,6349820,'1',201,'N'),(25,6349820,'1A',601,'N'),(25,6349838,'1',551,'N'),(25,6349846,'1',301,'N'),(25,6349862,'1',103,'N'),(25,6349870,'1',5,'N'),(25,6349889,'1',340,'N'),(25,6349897,'1',203,'N'),(25,6349900,'1',207,'N'),(25,6349900,'1A',201,'N'),(25,6349919,'1',212,'N'),(25,6349919,'1A',213,'N'),(25,6349927,'1',502,'N'),(25,6349943,'1',238,'N'),(25,6349960,'1',601,'N'),(25,6349960,'1A',203,'N'),(25,6349978,'1',220,'N'),(25,6349978,'1A',214,'N'),(25,6349986,'1',207,'N'),(25,6349986,'1A',201,'N'),(25,6350003,'1',329,'N'),(25,6350011,'1',103,'N'),(25,6350020,'1',102,'N'),(25,6350038,'1',103,'N'),(25,6350054,'1',999,'N'),(25,6350062,'1',326,'N'),(25,6350089,'1',301,'N'),(25,6350097,'1',301,'N'),(25,6350100,'1',216,'N'),(25,6350100,'1A',215,'N'),(25,6350119,'1',102,'N'),(25,6350127,'1',202,'N'),(25,6350127,'1A',235,'N'),(25,6350135,'1',551,'N'),(25,6350143,'1',201,'N'),(25,6350143,'1A',212,'N'),(25,6350151,'1',203,'N'),(25,6350151,'1A',202,'N'),(25,6350160,'1',216,'N'),(25,6350160,'1A',201,'N'),(25,6350178,'1',999,'N'),(25,6350186,'1',201,'N'),(25,6350186,'1A',211,'N'),(25,6350208,'1',104,'N'),(25,6350216,'1',999,'N'),(25,6350224,'1',316,'N'),(25,6350232,'1',451,'N'),(25,6350259,'1',101,'N'),(25,6350267,'1',319,'N'),(25,6350275,'1',207,'N'),(25,6350275,'1A',201,'N'),(25,6350291,'1',999,'N'),(25,6350305,'1',340,'N'),(25,6350313,'1',208,'N'),(25,6350313,'1A',202,'N'),(25,6350321,'1',415,'N'),(25,6350330,'1',444,'N'),(25,6350348,'1',103,'N'),(25,6350356,'1',207,'N'),(25,6350356,'1A',652,'N'),(25,6350364,'1',216,'N'),(25,6350364,'1A',601,'N'),(25,6350372,'1',216,'N'),(25,6350372,'1A',203,'N'),(25,6350380,'1',103,'N'),(25,6350399,'1',102,'N'),(25,6350402,'1',332,'N'),(25,6350410,'1',302,'N'),(25,6350429,'1',102,'N'),(25,6350437,'1',601,'N'),(25,6350437,'1A',201,'N'),(25,6350445,'1',207,'N'),(25,6350445,'1A',216,'N'),(25,6350453,'1',203,'N'),(25,6350453,'1A',601,'N'),(25,6350461,'1',303,'N'),(25,6350470,'1',207,'N'),(25,6350470,'1A',201,'N'),(25,6350488,'1',316,'N'),(25,6350496,'1',103,'N'),(25,6350500,'1',655,'N'),(25,6350518,'1',207,'N'),(25,6350518,'1A',201,'N'),(25,6350526,'1',201,'N'),(25,6350526,'1A',212,'N'),(25,6350534,'1',103,'N'),(25,6350542,'1',208,'N'),(25,6350542,'1A',238,'N'),(25,6350550,'1',103,'N'),(25,6350569,'1',329,'N'),(25,6350577,'1',104,'N'),(25,6350585,'1',404,'N'),(25,6350593,'1',309,'N'),(25,6350607,'1',220,'N'),(25,6350607,'1A',233,'N'),(25,6350615,'1',302,'N'),(25,6350623,'1',216,'N'),(25,6350623,'1A',601,'N'),(25,6350631,'1',235,'N'),(25,6350640,'1',101,'N'),(25,6350658,'1',201,'N'),(25,6350658,'1A',203,'N'),(25,6350666,'1',420,'N'),(25,6350682,'1',207,'N'),(25,6350682,'1A',202,'N'),(25,6350690,'1',104,'N'),(25,6350704,'1',999,'N'),(25,6350712,'1',104,'N'),(25,6350720,'1',201,'N'),(25,6350720,'1A',212,'N'),(25,6350739,'1',201,'N'),(25,6350739,'1A',203,'N'),(25,6350747,'1',104,'N'),(25,6350755,'1',303,'N'),(25,6350763,'1',5,'N'),(25,6350780,'1',103,'N'),(25,6350798,'1',201,'N'),(25,6350798,'1A',235,'N'),(25,6350801,'1',103,'N'),(25,6350810,'1',304,'N'),(25,6350828,'1',103,'N'),(25,6350836,'1',5,'N'),(25,6350844,'1',316,'N'),(25,6350852,'1',302,'N'),(25,6350860,'1',201,'N'),(25,6350860,'1A',208,'N'),(25,6350879,'1',450,'N'),(25,6350887,'1',655,'N'),(25,6350887,'1A',652,'N'),(25,6350909,'1',303,'N'),(25,6350917,'1',202,'N'),(25,6350917,'1A',653,'N'),(25,6350925,'1',216,'N'),(25,6350925,'1A',655,'N'),(25,6350933,'1',999,'N'),(25,6350941,'1',207,'N'),(25,6350941,'1A',201,'N'),(25,6350950,'1',301,'N'),(25,6350968,'1',653,'N'),(25,6350976,'1',103,'N'),(25,6350984,'1',655,'N'),(25,6351018,'1',338,'N'),(25,6351026,'1',103,'N'),(25,6351034,'1',203,'N'),(25,6351034,'1A',201,'N'),(25,6351042,'1',103,'N'),(25,6351050,'1',426,'N'),(25,6351050,'1A',428,'N'),(25,6351069,'1',999,'N'),(25,6351077,'1',316,'N'),(25,6351085,'1',238,'N'),(25,6351085,'1A',208,'N'),(25,6351093,'1',319,'N'),(25,6351107,'1',103,'N'),(25,6351115,'1',203,'N'),(25,6351115,'1A',214,'N'),(25,6351123,'1',999,'N'),(25,6351140,'1',303,'N'),(25,6351158,'1',404,'N'),(25,6351166,'1',5,'N'),(25,6351174,'1',103,'N'),(25,6351182,'1',207,'N'),(25,6351190,'1',999,'N'),(25,6351204,'1',5,'N'),(25,6351212,'1',301,'N'),(25,6351220,'1',214,'N'),(25,6351220,'1A',233,'N'),(25,6351239,'1',501,'N'),(25,6351247,'1',103,'N'),(25,6351255,'1',302,'N'),(25,6351263,'1',655,'N'),(25,6351263,'1A',652,'N'),(25,6351298,'1',653,'N'),(25,6351298,'1A',652,'N'),(25,6351301,'1',108,'N'),(25,6351310,'1',303,'N'),(25,6351328,'1',103,'N'),(25,6351336,'1',201,'N'),(25,6351336,'1A',203,'N'),(25,6351352,'1',108,'N'),(25,6351360,'1',211,'N'),(25,6351360,'1A',215,'N'),(25,6351379,'1',444,'N'),(25,6351395,'1',453,'N'),(25,6351409,'1',216,'N'),(25,6351409,'1A',215,'N'),(25,6351417,'1',214,'N'),(25,6351417,'1A',212,'N'),(25,6351425,'1',202,'N'),(25,6351425,'1A',216,'N'),(25,6351433,'1',450,'N'),(25,6351441,'1',207,'N'),(25,6351450,'1',303,'N'),(25,6351468,'1',421,'N'),(25,6351468,'1A',423,'N'),(25,6351476,'1',108,'N'),(25,6351484,'1',316,'N'),(25,6351492,'1',103,'N'),(25,6351506,'1',303,'N'),(25,6351514,'1',103,'N'),(25,6351522,'1',444,'N'),(25,6351530,'1',999,'N'),(25,6351557,'1',336,'N'),(25,6351565,'1',324,'N'),(25,6351573,'1',103,'N'),(25,6351581,'1',211,'N'),(25,6351581,'1A',601,'N'),(25,6351590,'1',332,'N'),(25,6351603,'1',999,'N'),(25,6351611,'1',214,'N'),(25,6351611,'1A',213,'N'),(25,6351620,'1',999,'N'),(25,6351638,'1',453,'N'),(25,6351646,'1',999,'N'),(25,6351654,'1',207,'N'),(25,6351654,'1A',201,'N'),(25,6351662,'1',404,'N'),(25,6351700,'1',328,'N'),(25,6351727,'1',211,'N'),(25,6351727,'1A',213,'N'),(25,6351735,'1',201,'N'),(25,6351735,'1A',214,'N'),(25,6351743,'1',108,'N'),(25,6351751,'1',5,'N'),(25,6351760,'1',420,'N'),(25,6351778,'1',201,'N'),(25,6351778,'1A',211,'N'),(25,6351786,'1',212,'N'),(25,6351786,'1A',213,'N'),(25,6351794,'1',103,'N'),(25,6351808,'1',5,'N'),(25,6351816,'1',444,'N'),(25,6351824,'1',326,'N'),(25,6351832,'1',103,'N'),(25,6351840,'1',213,'N'),(25,6351840,'1A',235,'N'),(25,6351859,'1',211,'N'),(25,6351859,'1A',215,'N'),(25,6351867,'1',601,'N'),(25,6351867,'1A',211,'N'),(25,6351875,'1',453,'N'),(25,6351883,'1',103,'N'),(25,6351891,'1',999,'N'),(25,6351905,'1',104,'N'),(25,6351913,'1',308,'N'),(25,6351921,'1',207,'N'),(25,6351921,'1A',212,'N'),(25,6351930,'1',203,'N'),(25,6351930,'1A',214,'N'),(25,6351948,'1',601,'N'),(25,6351948,'1A',653,'N'),(25,6351956,'1',420,'N'),(25,6351964,'1',654,'N'),(25,6351972,'1',103,'N'),(25,6351980,'1',203,'N'),(25,6351980,'1A',214,'N'),(25,6351999,'1',999,'N'),(25,6352006,'1',103,'N'),(25,6352014,'1',103,'N'),(25,6352022,'1',9,'N'),(25,6352030,'1',212,'N'),(25,6352030,'1A',215,'N'),(25,6352049,'1',302,'N'),(25,6352057,'1',205,'N'),(25,6352065,'1',103,'N'),(25,6352073,'1',999,'N'),(25,6352081,'1',201,'N'),(25,6352081,'1A',212,'N'),(25,6352103,'1',103,'N'),(25,6352111,'1',104,'N'),(25,6352120,'1',340,'N'),(25,6352138,'1',220,'N'),(25,6352138,'1A',203,'N'),(25,6352154,'1',208,'N'),(25,6352154,'1A',238,'N'),(25,6352162,'1',104,'N'),(25,6352170,'1',103,'N'),(25,6352189,'1',211,'N'),(25,6352189,'1A',233,'N'),(25,6352197,'1',103,'N'),(25,6352200,'1',301,'N'),(25,6352219,'1',5,'N'),(25,6352227,'1',103,'N'),(25,6352235,'1',103,'N'),(25,6352243,'1',415,'N'),(25,6352251,'1',452,'N'),(25,6352260,'1',203,'N'),(25,6352260,'1A',214,'N'),(25,6352278,'1',103,'N'),(25,6352286,'1',202,'N'),(25,6352286,'1A',203,'N'),(25,6352294,'1',203,'N'),(25,6352294,'1A',214,'N'),(25,6352308,'1',319,'N'),(25,6352324,'1',103,'N'),(25,6352332,'1',203,'N'),(25,6352332,'1A',201,'N'),(25,6352340,'1',109,'N'),(25,6352359,'1',424,'N'),(25,6352359,'1A',427,'N'),(25,6352367,'1',203,'N'),(25,6352367,'1A',212,'N'),(25,6352375,'1',653,'N'),(25,6352375,'1A',208,'N'),(25,6352383,'1',320,'N'),(25,6352391,'1',201,'N'),(25,6352391,'1A',212,'N'),(25,6352405,'1',207,'N'),(25,6352405,'1A',201,'N'),(25,6352413,'1',211,'N'),(25,6352430,'1',207,'N'),(25,6352430,'1A',201,'N'),(25,6352448,'1',5,'N'),(25,6352456,'1',103,'N'),(25,6352464,'1',207,'N'),(25,6352464,'1A',201,'N'),(25,6352472,'1',233,'N'),(25,6352472,'1A',208,'N'),(25,6352502,'1',207,'N'),(25,6352502,'1A',233,'N'),(25,6352529,'1',203,'N'),(25,6352529,'1A',235,'N'),(25,6352545,'1',103,'N'),(25,6352553,'1',303,'N'),(25,6352561,'1',319,'N'),(25,6352570,'1',319,'N'),(25,6352588,'1',5,'N'),(25,6352596,'1',999,'N'),(25,6352600,'1',999,'N'),(25,6352618,'1',551,'N'),(25,6352634,'1',601,'N'),(25,6352634,'1A',207,'N'),(25,6352642,'1',103,'N'),(25,6352650,'1',233,'N'),(25,6352650,'1A',215,'N'),(25,6352669,'1',233,'N'),(25,6352685,'1',319,'N'),(25,6352707,'1',301,'N'),(25,6352715,'1',302,'N'),(25,6352723,'1',110,'N'),(25,6352731,'1',653,'N'),(25,6352731,'1A',652,'N'),(25,6352740,'1',103,'N'),(25,6352758,'1',5,'N'),(25,6352766,'1',102,'N'),(25,6352774,'1',452,'N'),(25,6352782,'1',103,'N'),(25,6352804,'1',103,'N'),(25,6352839,'1',999,'N'),(25,6352847,'1',203,'N'),(25,6352847,'1A',214,'N'),(25,6352855,'1',999,'N'),(25,6352863,'1',999,'N'),(25,6352871,'1',444,'N'),(25,6352880,'1',340,'N'),(25,6352898,'1',211,'N'),(25,6352898,'1A',215,'N'),(25,6352901,'1',309,'N'),(25,6352910,'1',304,'N'),(25,6352928,'1',310,'N'),(25,6352936,'1',339,'N'),(25,6352944,'1',302,'N'),(25,6352952,'1',308,'N'),(25,6352960,'1',329,'N'),(25,6352979,'1',319,'N'),(25,6352987,'1',103,'N'),(25,6352995,'1',331,'N'),(25,6353002,'1',452,'N'),(25,6353010,'1',101,'N'),(25,6353029,'1',999,'N'),(25,6353037,'1',308,'N'),(25,6353045,'1',103,'N'),(25,6353053,'1',103,'N'),(25,6353061,'1',103,'N'),(25,6353070,'1',501,'N'),(25,6353088,'1',201,'N'),(25,6353100,'1',303,'N'),(25,6353118,'1',104,'N'),(25,6353126,'1',103,'N'),(25,6353134,'1',319,'N'),(25,6353142,'1',201,'N'),(25,6353142,'1A',220,'N'),(25,6353150,'1',103,'N'),(25,6353177,'1',214,'N'),(25,6353177,'1A',233,'N'),(25,6353185,'1',318,'N'),(25,6353193,'1',653,'N'),(25,6353193,'1A',207,'N'),(25,6353207,'1',444,'N'),(25,6353215,'1',301,'N'),(25,6353223,'1',216,'N'),(25,6353223,'1A',203,'N'),(25,6353240,'1',103,'N'),(25,6353258,'1',207,'N'),(25,6353258,'1A',201,'N'),(25,6353266,'1',999,'N'),(25,6353274,'1',303,'N'),(25,6353282,'1',103,'N'),(25,6353290,'1',203,'N'),(25,6353290,'1A',235,'N'),(25,6353312,'1',404,'N'),(25,6353320,'1',319,'N'),(25,6353347,'1',103,'N'),(25,6353355,'1',303,'N'),(25,6353363,'1',201,'N'),(25,6353363,'1A',203,'N'),(25,6353371,'1',999,'N'),(25,6353380,'1',420,'N'),(25,6353398,'1',316,'N'),(25,6353401,'1',207,'N'),(25,6353401,'1A',208,'N'),(25,6353410,'1',202,'N'),(25,6353410,'1A',235,'N'),(25,6353428,'1',9,'N'),(25,6353436,'1',216,'N'),(25,6353436,'1A',214,'N'),(25,6353444,'1',652,'N'),(25,6353444,'1A',207,'N'),(25,6353452,'1',220,'N'),(25,6353452,'1A',202,'N'),(25,6353460,'1',503,'N'),(25,6353479,'1',452,'N'),(25,6353487,'1',551,'N'),(25,6353495,'1',103,'N'),(25,6353509,'1',103,'N'),(25,6353517,'1',420,'N'),(25,6353533,'1',551,'N'),(25,6353541,'1',303,'N'),(25,6353568,'1',303,'N'),(25,6353576,'1',102,'N'),(25,6353584,'1',104,'N'),(25,6353592,'1',103,'N'),(25,6353606,'1',103,'N'),(25,6353614,'1',216,'N'),(25,6353614,'1A',211,'N'),(25,6353622,'1',103,'N'),(25,6353630,'1',103,'N'),(25,6353649,'1',103,'N'),(25,6353657,'1',213,'N'),(25,6353657,'1A',208,'N'),(25,6353665,'1',103,'N'),(25,6353681,'1',303,'N'),(25,6353690,'1',102,'N'),(25,6353703,'1',203,'N'),(25,6353703,'1A',208,'N'),(25,6353720,'1',5,'N'),(25,6353738,'1',104,'N'),(25,6353746,'1',999,'N'),(25,6353754,'1',103,'N'),(25,6353762,'1',5,'N'),(25,6353770,'1',301,'N'),(25,6353789,'1',319,'N'),(25,6353797,'1',999,'N'),(25,6353800,'1',302,'N'),(25,6353819,'1',216,'N'),(25,6353819,'1A',235,'N'),(25,6353827,'1',450,'N'),(25,6353835,'1',201,'N'),(25,6353835,'1A',208,'N'),(25,6353843,'1',103,'N'),(25,6353851,'1',108,'N'),(25,6353860,'1',104,'N'),(25,6353878,'1',103,'N'),(25,6353886,'1',207,'N'),(25,6353886,'1A',212,'N'),(25,6353894,'1',999,'N'),(25,6353916,'1',103,'N'),(25,6353924,'1',201,'N'),(25,6353924,'1A',212,'N'),(25,6353932,'1',207,'N'),(25,6353932,'1A',201,'N'),(25,6353967,'1',999,'N'),(25,6353975,'1',212,'N'),(25,6353975,'1A',213,'N'),(25,6353991,'1',103,'N'),(25,6354009,'1',302,'N'),(25,6354017,'1',999,'N'),(25,6354025,'1',103,'N'),(25,6354033,'1',999,'N'),(25,6354041,'1',9,'N'),(25,6354050,'1',103,'N'),(25,6354068,'1',5,'N'),(25,6354076,'1',5,'N'),(25,6354084,'1',203,'N'),(25,6354092,'1',103,'N'),(25,6354106,'1',203,'N'),(25,6354106,'1A',233,'N'),(25,6354114,'1',207,'N'),(25,6354114,'1A',653,'N'),(25,6354122,'1',203,'N'),(25,6354122,'1A',214,'N'),(25,6354130,'1',444,'N'),(25,6354149,'1',103,'N'),(25,6354157,'1',316,'N'),(25,6354181,'1',601,'N'),(25,6354181,'1A',214,'N'),(25,6354190,'1',203,'N'),(25,6354190,'1A',235,'N'),(25,6354203,'1',103,'N'),(25,6354211,'1',103,'N'),(25,6354238,'1',319,'N'),(25,6354246,'1',103,'N'),(25,6354254,'1',101,'N'),(25,6354270,'1',303,'N'),(25,6354289,'1',999,'N'),(25,6354297,'1',327,'N'),(25,6354300,'1',207,'N'),(25,6354300,'1A',212,'N'),(25,6354319,'1',301,'N'),(25,6354327,'1',451,'N'),(25,6354335,'1',103,'N'),(25,6354343,'1',5,'N'),(25,6354351,'1',551,'N'),(25,6354360,'1',999,'N'),(25,6354378,'1',301,'N'),(25,6354386,'1',318,'N'),(25,6354394,'1',501,'N'),(25,6354408,'1',319,'N'),(25,6354416,'1',310,'N'),(25,6354424,'1',201,'N'),(25,6354424,'1A',215,'N'),(25,6354432,'1',238,'N'),(25,6354432,'1A',207,'N'),(25,6354440,'1',101,'N'),(25,6354467,'1',108,'N'),(25,6354475,'1',207,'N'),(25,6354475,'1A',201,'N'),(25,6354483,'1',103,'N'),(25,6354491,'1',501,'N'),(25,6354505,'1',9,'N'),(25,6354513,'1',220,'N'),(25,6354513,'1A',214,'N'),(25,6354521,'1',444,'N'),(25,6354530,'1',103,'N'),(25,6354548,'1',453,'N'),(25,6354556,'1',5,'N'),(25,6354564,'1',103,'N'),(25,6354572,'1',444,'N'),(25,6354580,'1',205,'N'),(25,6354599,'1',404,'N'),(25,6354602,'1',303,'N'),(25,6354610,'1',340,'N'),(25,6354629,'1',2,'N'),(25,6354645,'1',202,'N'),(25,6354645,'1A',235,'N'),(25,6354653,'1',103,'N'),(25,6354661,'1',216,'N'),(25,6354661,'1A',202,'N'),(25,6354670,'1',333,'N'),(25,6354688,'1',109,'N'),(25,6354700,'1',317,'N'),(25,6354718,'1',201,'N'),(25,6354718,'1A',212,'N'),(25,6354726,'1',601,'N'),(25,6354726,'1A',212,'N'),(25,6354734,'1',5,'N'),(25,6354742,'1',109,'N'),(25,6354750,'1',201,'N'),(25,6354750,'1A',601,'N'),(25,6354777,'1',429,'N'),(25,6354777,'1A',425,'N'),(25,6354785,'1',238,'N'),(25,6354785,'1A',208,'N'),(25,6354793,'1',103,'N'),(25,6354807,'1',203,'N'),(25,6354807,'1A',207,'N'),(25,6354815,'1',103,'N'),(25,6354823,'1',301,'N'),(25,6354831,'1',317,'N'),(25,6354840,'1',551,'N'),(25,6354858,'1',999,'N'),(25,6354866,'1',103,'N'),(25,6354882,'1',104,'N'),(25,6354890,'1',207,'N'),(25,6354890,'1A',202,'N'),(25,6354904,'1',103,'N'),(25,6354912,'1',211,'N'),(25,6354912,'1A',203,'N'),(25,6354920,'1',551,'N'),(25,6354939,'1',207,'N'),(25,6354939,'1A',216,'N'),(25,6354947,'1',444,'N'),(25,6354955,'1',303,'N'),(25,6354963,'1',103,'N'),(25,6354971,'1',104,'N'),(25,6354980,'1',234,'N'),(25,6354998,'1',103,'N'),(25,6355005,'1',999,'N'),(25,6355013,'1',444,'N'),(25,6355021,'1',220,'N'),(25,6355021,'1A',214,'N'),(25,6355030,'1',201,'N'),(25,6355030,'1A',211,'N'),(25,6355048,'1',415,'N'),(25,6355056,'1',302,'N'),(25,6355064,'1',303,'N'),(25,6355072,'1',103,'N'),(25,6355080,'1',102,'N'),(25,6355099,'1',317,'N'),(25,6355102,'1',108,'N'),(25,6355110,'1',601,'N'),(25,6355110,'1A',203,'N'),(25,6355129,'1',214,'N'),(25,6355129,'1A',601,'N'),(25,6355137,'1',213,'N'),(25,6355137,'1A',202,'N'),(25,6355145,'1',655,'N'),(25,6355145,'1A',652,'N'),(25,6355153,'1',220,'N'),(25,6355153,'1A',238,'N'),(25,6355161,'1',103,'N'),(25,6355170,'1',207,'N'),(25,6355170,'1A',201,'N'),(25,6355188,'1',551,'N'),(25,6355196,'1',5,'N'),(25,6355200,'1',103,'N'),(25,6355218,'1',201,'N'),(25,6355218,'1A',202,'N'),(25,6355226,'1',202,'N'),(25,6355226,'1A',208,'N'),(25,6355234,'1',327,'N'),(25,6355242,'1',310,'N'),(25,6355250,'1',103,'N'),(25,6355269,'1',108,'N'),(25,6355277,'1',324,'N'),(25,6355285,'1',104,'N'),(25,6355293,'1',318,'N'),(25,6355307,'1',302,'N'),(25,6355315,'1',450,'N'),(25,6355323,'1',211,'N'),(25,6355323,'1A',215,'N'),(25,6355331,'1',318,'N'),(25,6355340,'1',327,'N'),(25,6355358,'1',103,'N'),(25,6355366,'1',203,'N'),(25,6355366,'1A',220,'N'),(25,6355374,'1',102,'N'),(25,6355382,'1',415,'N'),(25,6355390,'1',601,'N'),(25,6355404,'1',207,'N'),(25,6355404,'1A',201,'N'),(25,6355412,'1',208,'N'),(25,6355412,'1A',238,'N'),(25,6355420,'1',220,'N'),(25,6355420,'1A',202,'N'),(25,6355439,'1',104,'N'),(25,6355447,'1',338,'N'),(25,6355455,'1',5,'N'),(25,6355463,'1',201,'N'),(25,6355463,'1A',212,'N'),(25,6355471,'1',424,'N'),(25,6355471,'1A',427,'N'),(25,6355480,'1',654,'N'),(25,6355498,'1',301,'N'),(25,6355501,'1',203,'N'),(25,6355501,'1A',220,'N'),(25,6355510,'1',444,'N'),(25,6355528,'1',203,'N'),(25,6355528,'1A',214,'N'),(25,6355544,'1',103,'N'),(25,6355552,'1',654,'N'),(25,6355560,'1',316,'N'),(25,6355579,'1',303,'N'),(25,6355587,'1',211,'N'),(25,6355609,'1',999,'N'),(25,6355617,'1',211,'N'),(25,6355617,'1A',233,'N'),(25,6355625,'1',103,'N'),(25,6355633,'1',999,'N'),(25,6355641,'1',207,'N'),(25,6355641,'1A',201,'N'),(25,6355650,'1',202,'N'),(25,6355650,'1A',216,'N'),(25,6355668,'1',213,'N'),(25,6355668,'1A',207,'N'),(25,6355676,'1',103,'N'),(25,6355706,'1',301,'N'),(25,6355714,'1',444,'N'),(25,6355722,'1',201,'N'),(25,6355722,'1A',653,'N'),(25,6355749,'1',103,'N'),(25,6355757,'1',450,'N'),(25,6355765,'1',201,'N'),(25,6355765,'1A',601,'N'),(25,6355773,'1',214,'N'),(25,6355773,'1A',203,'N'),(25,6355781,'1',110,'N'),(25,6355790,'1',999,'N'),(25,6355811,'1',5,'N'),(25,6355820,'1',423,'N'),(25,6355838,'1',103,'N'),(25,6355846,'1',102,'N'),(25,6355854,'1',999,'N'),(25,6355862,'1',104,'N'),(25,6355870,'1',444,'N'),(25,6355889,'1',502,'N'),(25,6355897,'1',310,'N'),(25,6355900,'1',213,'N'),(25,6355900,'1A',202,'N'),(25,6355927,'1',104,'N'),(25,6355935,'1',5,'N'),(25,6355943,'1',103,'N'),(25,6355951,'1',427,'N'),(25,6355951,'1A',428,'N'),(25,6355960,'1',501,'N'),(25,6355978,'1',212,'N'),(25,6355978,'1A',233,'N'),(25,6355986,'1',404,'N'),(25,6355994,'1',302,'N'),(25,6356001,'1',301,'N'),(25,6356010,'1',102,'N'),(25,6356036,'1',318,'N'),(25,6356044,'1',101,'N'),(25,6356052,'1',318,'N'),(25,6356060,'1',308,'N'),(25,6356079,'1',5,'N'),(25,6356087,'1',108,'N'),(25,6356095,'1',216,'N'),(25,6356095,'1A',207,'N'),(25,6356109,'1',303,'N'),(25,6356117,'1',207,'N'),(25,6356117,'1A',201,'N'),(25,6356125,'1',303,'N'),(25,6356133,'1',104,'N'),(25,6356150,'1',332,'N'),(25,6356168,'1',238,'N'),(25,6356176,'1',5,'N'),(25,6356184,'1',103,'N'),(25,6356206,'1',214,'N'),(25,6356206,'1A',212,'N'),(25,6356214,'1',319,'N'),(25,6356222,'1',103,'N'),(25,6356230,'1',103,'N'),(25,6356249,'1',319,'N'),(25,6356265,'1',999,'N'),(25,6356273,'1',103,'N'),(25,6356281,'1',103,'N'),(25,6356290,'1',329,'N'),(25,6356303,'1',501,'N'),(25,6356311,'1',316,'N'),(25,6356320,'1',207,'N'),(25,6356320,'1A',212,'N'),(25,6356338,'1',316,'N'),(25,6356346,'1',215,'N'),(25,6356346,'1A',216,'N'),(25,6356354,'1',213,'N'),(25,6356354,'1A',235,'N'),(25,6356362,'1',108,'N'),(25,6356370,'1',103,'N'),(25,6356389,'1',453,'N'),(25,6356397,'1',101,'N'),(25,6356400,'1',5,'N'),(25,6356419,'1',335,'N'),(25,6356427,'1',308,'N'),(25,6356435,'1',319,'N'),(25,6356443,'1',9,'N'),(25,6356451,'1',207,'N'),(25,6356451,'1A',201,'N'),(25,6356460,'1',340,'N'),(25,6356486,'1',308,'N'),(25,6356494,'1',444,'N'),(25,6356508,'1',238,'N'),(25,6356508,'1A',208,'N'),(25,6356516,'1',335,'N'),(25,6356524,'1',103,'N'),(25,6356532,'1',103,'N'),(25,6356540,'1',103,'N'),(25,6356559,'1',203,'N'),(25,6356559,'1A',214,'N'),(25,6356567,'1',103,'N'),(25,6356583,'1',202,'N'),(25,6356583,'1A',601,'N'),(25,6356591,'1',319,'N'),(25,6356605,'1',102,'N'),(25,6356613,'1',5,'N'),(25,6356621,'1',453,'N'),(25,6356630,'1',103,'N'),(25,6356656,'1',201,'N'),(25,6356656,'1A',207,'N'),(25,6356672,'1',211,'N'),(25,6356672,'1A',601,'N'),(25,6356680,'1',234,'N'),(25,6356702,'1',103,'N'),(25,6356729,'1',318,'N'),(25,6356745,'1',104,'N'),(25,6356753,'1',601,'N'),(25,6356753,'1A',202,'N'),(25,6356761,'1',216,'N'),(25,6356761,'1A',653,'N'),(25,6356770,'1',103,'N'),(25,6356788,'1',104,'N'),(25,6356796,'1',340,'N'),(25,6356800,'1',203,'N'),(25,6356800,'1A',214,'N'),(25,6356818,'1',303,'N'),(25,6356826,'1',103,'N'),(25,6356834,'1',318,'N'),(25,6356850,'1',207,'N'),(25,6356850,'1A',201,'N'),(25,6356869,'1',238,'N'),(25,6356877,'1',201,'N'),(25,6356877,'1A',233,'N'),(25,6356885,'1',104,'N'),(25,6356893,'1',601,'N'),(25,6356893,'1A',235,'N'),(25,6356907,'1',233,'N'),(25,6356907,'1A',653,'N'),(25,6356915,'1',104,'N'),(25,6356923,'1',201,'N'),(25,6356923,'1A',208,'N'),(25,6356931,'1',225,'N'),(25,6356940,'1',203,'N'),(25,6356940,'1A',214,'N'),(25,6356958,'1',316,'N'),(25,6356966,'1',333,'N'),(25,6356974,'1',208,'N'),(25,6356974,'1A',201,'N'),(25,6356982,'1',303,'N'),(25,6356990,'1',103,'N'),(25,6357008,'1',103,'N'),(25,6357016,'1',201,'N'),(25,6357016,'1A',202,'N'),(25,6357024,'1',999,'N'),(25,6357040,'1',202,'N'),(25,6357040,'1A',235,'N'),(25,6357059,'1',501,'N'),(25,6357067,'1',208,'N'),(25,6357067,'1A',238,'N'),(25,6357075,'1',103,'N'),(25,6357083,'1',425,'N'),(25,6357083,'1A',424,'N'),(25,6357091,'1',207,'N'),(25,6357091,'1A',201,'N'),(25,6357105,'1',201,'N'),(25,6357113,'1',202,'N'),(25,6357113,'1A',213,'N'),(25,6357121,'1',444,'N'),(25,6357148,'1',220,'N'),(25,6357148,'1A',203,'N'),(25,6357172,'1',103,'N'),(25,6357180,'1',103,'N'),(25,6357199,'1',211,'N'),(25,6357199,'1A',215,'N'),(25,6357202,'1',202,'N'),(25,6357202,'1A',213,'N'),(25,6357210,'1',238,'N'),(25,6357210,'1A',208,'N'),(25,6357229,'1',203,'N'),(25,6357229,'1A',220,'N'),(25,6357237,'1',238,'N'),(25,6357237,'1A',235,'N'),(25,6357245,'1',319,'N'),(25,6357253,'1',208,'N'),(25,6357253,'1A',238,'N'),(25,6357261,'1',211,'N'),(25,6357261,'1A',233,'N'),(25,6357270,'1',336,'N'),(25,6357288,'1',101,'N'),(25,6357296,'1',999,'N'),(25,6357300,'1',203,'N'),(25,6357300,'1A',202,'N'),(25,6357318,'1',502,'N'),(25,6357326,'1',415,'N'),(25,6357342,'1',501,'N'),(25,6357350,'1',316,'N'),(25,6357377,'1',103,'N'),(25,6357385,'1',404,'N'),(25,6357393,'1',103,'N'),(25,6357407,'1',202,'N'),(25,6357407,'1A',235,'N'),(25,6357415,'1',336,'N'),(25,6357440,'1',999,'N'),(25,6357458,'1',319,'N'),(25,6357466,'1',318,'N'),(25,6357474,'1',502,'N'),(25,6357482,'1',303,'N'),(25,6357504,'1',213,'N'),(25,6357504,'1A',208,'N'),(25,6357512,'1',109,'N'),(25,6357539,'1',316,'N'),(25,6357547,'1',207,'N'),(25,6357547,'1A',211,'N'),(25,6357555,'1',207,'N'),(25,6357555,'1A',233,'N'),(25,6357563,'1',453,'N'),(25,6357580,'1',304,'N'),(25,6357598,'1',104,'N'),(25,6357601,'1',223,'N'),(25,6357610,'1',103,'N'),(25,6357628,'1',551,'N'),(25,6357636,'1',319,'N'),(25,6357652,'1',103,'N'),(25,6357660,'1',220,'N'),(25,6357660,'1A',235,'N'),(25,6357687,'1',428,'N'),(25,6357695,'1',203,'N'),(25,6357695,'1A',214,'N'),(25,6357709,'1',103,'N'),(25,6357717,'1',103,'N'),(25,6357733,'1',211,'N'),(25,6357733,'1A',238,'N'),(25,6357741,'1',103,'N'),(25,6357750,'1',203,'N'),(25,6357768,'1',208,'N'),(25,6357768,'1A',655,'N'),(25,6357776,'1',428,'N'),(25,6357784,'1',220,'N'),(25,6357784,'1A',233,'N'),(25,6357792,'1',327,'N'),(25,6357806,'1',999,'N'),(25,6357814,'1',503,'N'),(25,6357830,'1',207,'N'),(25,6357830,'1A',216,'N'),(25,6357849,'1',208,'N'),(25,6357857,'1',108,'N'),(25,6357865,'1',415,'N'),(25,6357873,'1',503,'N'),(25,6357890,'1',203,'N'),(25,6357890,'1A',653,'N'),(25,6357903,'1',425,'N'),(25,6357911,'1',220,'N'),(25,6357911,'1A',202,'N'),(25,6357938,'1',303,'N'),(25,6357946,'1',101,'N'),(25,6357962,'1',104,'N'),(25,6357989,'1',103,'N'),(25,6357997,'1',653,'N'),(25,6357997,'1A',652,'N'),(25,6358004,'1',103,'N'),(25,6358012,'1',2,'N'),(25,6358020,'1',336,'N'),(25,6358039,'1',212,'N'),(25,6358039,'1A',207,'N'),(25,6358047,'1',653,'N'),(25,6358047,'1A',652,'N'),(25,6358055,'1',5,'N'),(25,6358063,'1',238,'N'),(25,6358063,'1A',601,'N'),(25,6358071,'1',327,'N'),(25,6358080,'1',103,'N'),(25,6358098,'1',999,'N'),(25,6358101,'1',5,'N'),(25,6358110,'1',201,'N'),(25,6358110,'1A',207,'N'),(25,6358128,'1',332,'N'),(25,6358136,'1',203,'N'),(25,6358144,'1',103,'N'),(25,6358179,'1',316,'N'),(25,6358187,'1',503,'N'),(25,6358209,'1',316,'N'),(25,6358217,'1',420,'N'),(25,6358225,'1',238,'N'),(25,6358225,'1A',208,'N'),(25,6358241,'1',302,'N'),(25,6358276,'1',5,'N'),(25,6358284,'1',220,'N'),(25,6358292,'1',104,'N'),(25,6358306,'1',104,'N'),(25,6358314,'1',203,'N'),(25,6358314,'1A',201,'N'),(25,6358322,'1',103,'N'),(25,6358349,'1',104,'N'),(25,6358357,'1',652,'N'),(25,6358373,'1',201,'N'),(25,6358381,'1',201,'N'),(25,6358381,'1A',202,'N'),(25,6358403,'1',340,'N'),(25,6358411,'1',502,'N'),(25,6358420,'1',425,'N'),(25,6358420,'1A',427,'N'),(25,6358438,'1',420,'N'),(25,6358446,'1',428,'N'),(25,6358446,'1A',424,'N'),(25,6358454,'1',5,'N'),(25,6358462,'1',103,'N'),(25,6358470,'1',104,'N'),(25,6358489,'1',212,'N'),(25,6358489,'1A',601,'N'),(25,6358497,'1',103,'N'),(25,6358500,'1',201,'N'),(25,6358500,'1A',601,'N'),(25,6358519,'1',203,'N'),(25,6358535,'1',655,'N'),(25,6358535,'1A',652,'N'),(25,6358543,'1',335,'N'),(25,6358551,'1',999,'N'),(25,6358560,'1',238,'N'),(25,6358560,'1A',208,'N'),(25,6358594,'1',225,'N'),(25,6358608,'1',340,'N'),(25,6358616,'1',551,'N'),(25,6358632,'1',103,'N'),(25,6358640,'1',999,'N'),(25,6358659,'1',212,'N'),(25,6358659,'1A',213,'N'),(25,6358667,'1',103,'N'),(25,6358675,'1',319,'N'),(25,6358691,'1',420,'N'),(25,6358705,'1',319,'N'),(25,6358721,'1',9,'N'),(25,6358730,'1',444,'N'),(25,6358748,'1',211,'N'),(25,6358748,'1A',215,'N'),(25,6358756,'1',333,'N'),(25,6358764,'1',335,'N'),(25,6358772,'1',304,'N'),(25,6358780,'1',303,'N'),(25,6358799,'1',3,'N'),(25,6358802,'1',551,'N'),(25,6358810,'1',207,'N'),(25,6358829,'1',208,'N'),(25,6358837,'1',103,'N'),(25,6358845,'1',324,'N'),(25,6358853,'1',211,'N'),(25,6358853,'1A',207,'N'),(25,6358861,'1',233,'N'),(25,6358861,'1A',203,'N'),(25,6358870,'1',103,'N'),(25,6358888,'1',451,'N'),(25,6358896,'1',101,'N'),(25,6358900,'1',653,'N'),(25,6358900,'1A',213,'N'),(25,6358918,'1',444,'N'),(25,6358926,'1',551,'N'),(25,6358934,'1',238,'N'),(25,6358934,'1A',208,'N'),(25,6358942,'1',335,'N'),(25,6358950,'1',103,'N'),(25,6358969,'1',5,'N'),(25,6358977,'1',201,'N'),(25,6358977,'1A',202,'N'),(25,6358993,'1',317,'N'),(25,6359000,'1',601,'N'),(25,6359000,'1A',203,'N'),(25,6359019,'1',5,'N'),(25,6359027,'1',427,'N'),(25,6359027,'1A',423,'N'),(25,6359035,'1',551,'N'),(25,6359043,'1',235,'N'),(25,6359043,'1A',601,'N'),(25,6359051,'1',404,'N'),(25,6359078,'1',303,'N'),(25,6359086,'1',207,'N'),(25,6359086,'1A',201,'N'),(25,6359094,'1',108,'N'),(25,6359108,'1',336,'N'),(25,6359116,'1',340,'N'),(25,6359124,'1',102,'N'),(25,6359132,'1',235,'N'),(25,6359132,'1A',211,'N'),(25,6359140,'1',601,'N'),(25,6359140,'1A',216,'N'),(25,6359159,'1',201,'N'),(25,6359159,'1A',212,'N'),(25,6359167,'1',333,'N'),(25,6359183,'1',207,'N'),(25,6359183,'1A',208,'N'),(25,6359191,'1',316,'N'),(25,6359205,'1',207,'N'),(25,6359205,'1A',235,'N'),(25,6359213,'1',202,'N'),(25,6359213,'1A',213,'N'),(25,6359221,'1',108,'N'),(25,6359230,'1',5,'N'),(25,6359248,'1',5,'N'),(25,6359256,'1',103,'N'),(25,6359264,'1',202,'N'),(25,6359264,'1A',203,'N'),(25,6359272,'1',332,'N'),(25,6359280,'1',327,'N'),(25,6359299,'1',103,'N'),(25,6359302,'1',211,'N'),(25,6359302,'1A',201,'N'),(25,6359310,'1',5,'N'),(25,6359329,'1',5,'N'),(25,6359337,'1',102,'N'),(25,6359345,'1',5,'N'),(25,6359353,'1',340,'N'),(25,6359361,'1',224,'N'),(25,6359370,'1',308,'N'),(25,6359388,'1',102,'N'),(25,6359400,'1',318,'N'),(25,6359418,'1',233,'N'),(25,6359418,'1A',601,'N'),(25,6359434,'1',601,'N'),(25,6359434,'1A',233,'N'),(25,6359442,'1',5,'N'),(25,6359450,'1',103,'N'),(25,6359469,'1',207,'N'),(25,6359469,'1A',201,'N'),(25,6359477,'1',501,'N'),(25,6359485,'1',103,'N'),(25,6359493,'1',999,'N'),(25,6359507,'1',103,'N'),(25,6359515,'1',110,'N'),(25,6359523,'1',203,'N'),(25,6359523,'1A',235,'N'),(25,6359531,'1',207,'N'),(25,6359531,'1A',201,'N'),(25,6359558,'1',415,'N'),(25,6359566,'1',425,'N'),(25,6359574,'1',340,'N'),(25,6359582,'1',303,'N'),(25,6359590,'1',301,'N'),(25,6359604,'1',452,'N'),(25,6359612,'1',207,'N'),(25,6359612,'1A',211,'N'),(25,6359639,'1',109,'N'),(25,6359647,'1',103,'N'),(25,6359655,'1',327,'N'),(25,6359663,'1',316,'N'),(25,6359671,'1',2,'N'),(25,6359680,'1',234,'N'),(25,6359698,'1',234,'N'),(25,6359701,'1',103,'N'),(25,6359736,'1',453,'N'),(25,6359744,'1',233,'N'),(25,6359744,'1A',655,'N'),(25,6359752,'1',201,'N'),(25,6359752,'1A',212,'N'),(25,6359760,'1',203,'N'),(25,6359760,'1A',214,'N'),(25,6359779,'1',208,'N'),(25,6359787,'1',201,'N'),(25,6359787,'1A',207,'N'),(25,6359795,'1',601,'N'),(25,6359795,'1A',203,'N'),(25,6359809,'1',207,'N'),(25,6359809,'1A',211,'N'),(25,6359817,'1',201,'N'),(25,6359817,'1A',212,'N'),(25,6359825,'1',327,'N'),(25,6359833,'1',415,'N'),(25,6359841,'1',5,'N'),(25,6359850,'1',427,'N'),(25,6359850,'1A',423,'N'),(25,6359876,'1',324,'N'),(25,6359884,'1',103,'N'),(25,6359892,'1',420,'N'),(25,6359906,'1',5,'N'),(25,6359914,'1',551,'N'),(25,6359922,'1',327,'N'),(25,6359930,'1',309,'N'),(25,6359949,'1',5,'N'),(25,6359957,'1',104,'N'),(25,6359965,'1',5,'N'),(25,6359973,'1',108,'N'),(25,6359981,'1',415,'N'),(25,6359990,'1',337,'N'),(25,6360009,'1',9,'N'),(25,6360017,'1',420,'N'),(25,6360025,'1',415,'N'),(25,6360033,'1',201,'N'),(25,6360033,'1A',212,'N'),(25,6360041,'1',202,'N'),(25,6360041,'1A',235,'N'),(25,6360050,'1',310,'N'),(25,6360068,'1',309,'N'),(25,6360076,'1',302,'N'),(25,6360084,'1',301,'N'),(25,6360092,'1',415,'N'),(25,6360106,'1',501,'N'),(25,6360114,'1',108,'N'),(25,6360130,'1',238,'N'),(25,6360130,'1A',208,'N'),(25,6360149,'1',103,'N'),(25,6360157,'1',214,'N'),(25,6360157,'1A',235,'N'),(25,6360165,'1',444,'N'),(25,6360173,'1',453,'N'),(25,6360181,'1',451,'N'),(25,6360203,'1',103,'N'),(25,6360211,'1',452,'N'),(25,6360220,'1',104,'N'),(25,6360238,'1',301,'N'),(25,6360246,'1',338,'N'),(25,6360254,'1',103,'N'),(25,6360262,'1',601,'N'),(25,6360270,'1',316,'N'),(25,6360289,'1',319,'N'),(25,6360297,'1',309,'N'),(25,6360300,'1',652,'N'),(25,6360300,'1A',655,'N'),(25,6360319,'1',336,'N'),(25,6360327,'1',309,'N'),(25,6360335,'1',102,'N'),(25,6360343,'1',450,'N'),(25,6360351,'1',103,'N'),(25,6360360,'1',101,'N'),(25,6360378,'1',302,'N'),(25,6360394,'1',999,'N'),(25,6360408,'1',319,'N'),(25,6360416,'1',3,'N'),(25,6360424,'1',501,'N'),(25,6360432,'1',101,'N'),(25,6360440,'1',654,'N'),(25,6360459,'1',303,'N'),(25,6360467,'1',233,'N'),(25,6360467,'1A',235,'N'),(25,6360475,'1',999,'N'),(25,6360483,'1',404,'N'),(25,6360491,'1',201,'N'),(25,6360491,'1A',212,'N'),(25,6360505,'1',551,'N'),(25,6360513,'1',207,'N'),(25,6360513,'1A',212,'N'),(25,6360521,'1',103,'N'),(25,6360530,'1',104,'N'),(25,6360548,'1',103,'N'),(25,6360556,'1',444,'N'),(25,6360572,'1',225,'N'),(25,6360580,'1',103,'N'),(25,6360599,'1',444,'N'),(25,6360602,'1',319,'N'),(25,6360610,'1',308,'N'),(25,6360629,'1',502,'N'),(25,6360637,'1',103,'N'),(25,6360645,'1',208,'N'),(25,6360645,'1A',655,'N'),(25,6360653,'1',319,'N'),(25,6360661,'1',214,'N'),(25,6360661,'1A',213,'N'),(25,6360670,'1',551,'N'),(25,6360696,'1',214,'N'),(25,6360696,'1A',213,'N'),(25,6360700,'1',425,'N'),(25,6360700,'1A',429,'N'),(25,6360718,'1',211,'N'),(25,6360718,'1A',207,'N'),(25,6360726,'1',5,'N'),(25,6360769,'1',103,'N'),(25,6360777,'1',109,'N'),(25,6360785,'1',428,'N'),(25,6360793,'1',429,'N'),(25,6360793,'1A',426,'N'),(25,6360807,'1',103,'N'),(25,6360815,'1',316,'N'),(25,6360823,'1',453,'N'),(25,6360840,'1',551,'N'),(25,6360858,'1',340,'N'),(25,6360866,'1',423,'N'),(25,6360866,'1A',426,'N'),(25,6360874,'1',103,'N'),(25,6360882,'1',238,'N'),(25,6360882,'1A',208,'N'),(25,6360890,'1',319,'N'),(25,6360912,'1',425,'N'),(25,6360912,'1A',429,'N'),(25,6360920,'1',332,'N'),(25,6360955,'1',207,'N'),(25,6360955,'1A',201,'N'),(25,6360963,'1',452,'N'),(25,6360971,'1',502,'N'),(25,6360980,'1',5,'N'),(25,6360998,'1',103,'N'),(25,6361005,'1',303,'N'),(25,6361021,'1',238,'N'),(25,6361021,'1A',208,'N'),(25,6361030,'1',339,'N'),(25,6361048,'1',103,'N'),(25,6361056,'1',316,'N'),(25,6361064,'1',235,'N'),(25,6361064,'1A',201,'N'),(25,6361072,'1',331,'N'),(25,6361080,'1',338,'N'),(25,6361099,'1',302,'N'),(25,6361102,'1',103,'N'),(25,6361110,'1',103,'N'),(25,6361137,'1',238,'N'),(25,6361137,'1A',212,'N'),(25,6361145,'1',423,'N'),(25,6361145,'1A',424,'N'),(25,6361153,'1',103,'N'),(25,6361161,'1',336,'N'),(25,6361170,'1',212,'N'),(25,6361170,'1A',238,'N'),(25,6361188,'1',5,'N'),(25,6361196,'1',319,'N'),(25,6361200,'1',211,'N'),(25,6361200,'1A',215,'N'),(25,6361218,'1',5,'N'),(25,6361234,'1',103,'N'),(25,6361242,'1',103,'N'),(25,6361250,'1',216,'N'),(25,6361250,'1A',215,'N'),(25,6361285,'1',235,'N'),(25,6361285,'1A',208,'N'),(25,6361293,'1',551,'N'),(25,6361307,'1',5,'N'),(25,6361315,'1',207,'N'),(25,6361323,'1',331,'N'),(25,6361358,'1',319,'N'),(25,6361366,'1',234,'N'),(25,6361374,'1',317,'N'),(25,6361382,'1',429,'N'),(25,6361382,'1A',425,'N'),(25,6361390,'1',303,'N'),(25,6361404,'1',317,'N'),(25,6361412,'1',216,'N'),(25,6361412,'1A',201,'N'),(25,6361420,'1',404,'N'),(25,6361439,'1',444,'N'),(25,6361447,'1',319,'N'),(25,6361480,'1',653,'N'),(25,6361480,'1A',655,'N'),(25,6361498,'1',103,'N'),(25,6361501,'1',451,'N'),(25,6361510,'1',201,'N'),(25,6361510,'1A',208,'N'),(25,6361528,'1',316,'N'),(25,6361536,'1',109,'N'),(25,6361544,'1',551,'N'),(25,6361560,'1',424,'N'),(25,6361560,'1A',427,'N'),(25,6361579,'1',110,'N'),(25,6361595,'1',208,'N'),(25,6361609,'1',110,'N'),(25,6361617,'1',203,'N'),(25,6361617,'1A',235,'N'),(25,6361625,'1',104,'N'),(25,6361633,'1',310,'N'),(25,6361641,'1',103,'N'),(25,6361650,'1',103,'N'),(25,6361668,'1',301,'N'),(25,6361676,'1',451,'N'),(25,6361692,'1',103,'N'),(25,6361706,'1',5,'N'),(25,6361714,'1',224,'N'),(25,6361722,'1',110,'N'),(25,6361730,'1',316,'N'),(25,6361749,'1',444,'N'),(25,6361757,'1',201,'N'),(25,6361757,'1A',203,'N'),(25,6361765,'1',551,'N'),(25,6361773,'1',333,'N'),(25,6361781,'1',415,'N'),(25,6361790,'1',999,'N'),(25,6361803,'1',327,'N'),(25,6361820,'1',203,'N'),(25,6361820,'1A',208,'N'),(25,6361838,'1',103,'N'),(25,6361846,'1',103,'N'),(25,6361854,'1',316,'N'),(25,6361862,'1',501,'N'),(25,6361889,'1',214,'N'),(25,6361889,'1A',203,'N'),(25,6361897,'1',452,'N'),(25,6361900,'1',404,'N'),(25,6361927,'1',551,'N'),(25,6361935,'1',654,'N'),(25,6361943,'1',103,'N'),(25,6361951,'1',103,'N'),(25,6361960,'1',207,'N'),(25,6361994,'1',234,'N'),(25,6362001,'1',301,'N'),(25,6362010,'1',404,'N'),(25,6362028,'1',109,'N'),(25,6362036,'1',654,'N'),(25,6362044,'1',319,'N'),(25,6362052,'1',104,'N'),(25,6362060,'1',216,'N'),(25,6362060,'1A',201,'N'),(25,6362079,'1',317,'N'),(25,6362087,'1',103,'N'),(25,6362095,'1',655,'N'),(25,6362095,'1A',652,'N'),(25,6362109,'1',303,'N'),(25,6362117,'1',9,'N'),(25,6362125,'1',103,'N'),(25,6362133,'1',103,'N'),(25,6362141,'1',203,'N'),(25,6362150,'1',103,'N'),(25,6362168,'1',103,'N'),(25,6362176,'1',316,'N'),(25,6362184,'1',318,'N'),(25,6362192,'1',212,'N'),(25,6362192,'1A',238,'N'),(25,6362214,'1',207,'N'),(25,6362214,'1A',201,'N'),(25,6362230,'1',5,'N'),(25,6362249,'1',208,'N'),(25,6362249,'1A',238,'N'),(25,6362257,'1',108,'N'),(25,6362265,'1',110,'N'),(25,6362273,'1',333,'N'),(25,6362281,'1',238,'N'),(25,6362290,'1',332,'N'),(25,6362303,'1',108,'N'),(25,6362311,'1',203,'N'),(25,6362311,'1A',220,'N'),(25,6362320,'1',415,'N'),(25,6362338,'1',317,'N'),(25,6362354,'1',110,'N'),(25,6362362,'1',423,'N'),(25,6362362,'1A',426,'N'),(25,6362370,'1',415,'N'),(25,6362389,'1',326,'N'),(25,6362397,'1',453,'N'),(25,6362400,'1',316,'N'),(25,6362419,'1',103,'N'),(25,6362427,'1',103,'N'),(25,6362435,'1',601,'N'),(25,6362435,'1A',214,'N'),(25,6362451,'1',201,'N'),(25,6362451,'1A',202,'N'),(25,6362460,'1',316,'N'),(25,6362486,'1',208,'N'),(25,6362486,'1A',238,'N'),(25,6362494,'1',207,'N'),(25,6362494,'1A',201,'N'),(25,6362508,'1',302,'N'),(25,6362524,'1',103,'N'),(25,6362540,'1',238,'N'),(25,6362540,'1A',212,'N'),(25,6362559,'1',336,'N'),(25,6362567,'1',201,'N'),(25,6362567,'1A',601,'N'),(25,6362583,'1',103,'N'),(25,6362605,'1',551,'N'),(25,6362613,'1',103,'N'),(25,6362621,'1',320,'N'),(25,6362648,'1',103,'N'),(25,6362656,'1',103,'N'),(25,6362664,'1',329,'N'),(25,6362672,'1',238,'N'),(25,6362672,'1A',208,'N'),(25,6362680,'1',110,'N'),(25,6362699,'1',103,'N'),(25,6362702,'1',316,'N'),(25,6362710,'1',202,'N'),(25,6362710,'1A',208,'N'),(25,6362737,'1',5,'N'),(25,6362745,'1',104,'N'),(25,6362761,'1',103,'N'),(25,6362788,'1',103,'N'),(25,6362796,'1',303,'N'),(25,6362800,'1',108,'N'),(25,6362818,'1',308,'N'),(25,6362826,'1',104,'N'),(25,6362834,'1',103,'N'),(25,6362842,'1',203,'N'),(25,6362842,'1A',601,'N'),(25,6362850,'1',235,'N'),(25,6362850,'1A',601,'N'),(25,6362877,'1',5,'N'),(25,6362885,'1',340,'N'),(25,6362893,'1',103,'N'),(25,6362907,'1',999,'N'),(25,6362915,'1',238,'N'),(25,6362915,'1A',652,'N'),(25,6362923,'1',601,'N'),(25,6362931,'1',103,'N'),(25,6362940,'1',653,'N'),(25,6362940,'1A',655,'N'),(25,6362958,'1',999,'N'),(25,6362974,'1',5,'N'),(25,6362982,'1',201,'N'),(25,6362982,'1A',212,'N'),(25,6362990,'1',303,'N'),(25,6363016,'1',340,'N'),(25,6363024,'1',316,'N'),(25,6363032,'1',503,'N'),(25,6363040,'1',332,'N'),(25,6363059,'1',103,'N'),(25,6363075,'1',326,'N'),(25,6363083,'1',3,'N'),(25,6363105,'1',215,'N'),(25,6363105,'1A',211,'N'),(25,6363113,'1',202,'N'),(25,6363113,'1A',235,'N'),(25,6363121,'1',551,'N'),(25,6363130,'1',203,'N'),(25,6363130,'1A',201,'N'),(25,6363148,'1',999,'N'),(25,6363156,'1',319,'N'),(25,6363164,'1',212,'N'),(25,6363164,'1A',235,'N'),(25,6363172,'1',103,'N'),(25,6363180,'1',201,'N'),(25,6363180,'1A',208,'N'),(25,6363199,'1',103,'N'),(25,6363202,'1',309,'N'),(25,6363210,'1',9,'N'),(25,6363229,'1',336,'N'),(25,6363237,'1',103,'N'),(25,6363245,'1',336,'N'),(25,6363253,'1',203,'N'),(25,6363253,'1A',220,'N'),(25,6363261,'1',103,'N'),(25,6363270,'1',103,'N'),(25,6363296,'1',205,'N'),(25,6363300,'1',103,'N'),(25,6363318,'1',340,'N'),(25,6363334,'1',404,'N'),(25,6363350,'1',101,'N'),(25,6363369,'1',5,'N'),(25,6363377,'1',201,'N'),(25,6363377,'1A',212,'N'),(25,6363393,'1',201,'N'),(25,6363393,'1A',211,'N'),(25,6363407,'1',5,'N'),(25,6363423,'1',201,'N'),(25,6363423,'1A',216,'N'),(25,6363431,'1',235,'N'),(25,6363431,'1A',203,'N'),(25,6363440,'1',339,'N'),(25,6363458,'1',338,'N'),(25,6363466,'1',103,'N'),(25,6363474,'1',316,'N'),(25,6363482,'1',234,'N'),(25,6363490,'1',333,'N'),(25,6363504,'1',327,'N'),(25,6363512,'1',444,'N'),(25,6363520,'1',601,'N'),(25,6363539,'1',319,'N'),(25,6363547,'1',653,'N'),(25,6363547,'1A',652,'N'),(25,6363555,'1',303,'N'),(25,6363563,'1',326,'N'),(25,6363580,'1',205,'N'),(25,6363598,'1',404,'N'),(25,6363601,'1',203,'N'),(25,6363601,'1A',201,'N'),(25,6363610,'1',216,'N'),(25,6363628,'1',203,'N'),(25,6363628,'1A',201,'N'),(25,6363636,'1',501,'N'),(25,6363644,'1',451,'N'),(25,6363652,'1',301,'N'),(25,6363660,'1',104,'N'),(25,6363679,'1',304,'N'),(25,6363687,'1',601,'N'),(25,6363687,'1A',235,'N'),(25,6363695,'1',208,'N'),(25,6363695,'1A',238,'N'),(25,6363709,'1',103,'N'),(25,6363717,'1',501,'N'),(25,6363725,'1',601,'N'),(25,6363725,'1A',220,'N'),(25,6363733,'1',103,'N'),(25,6363741,'1',415,'N'),(25,6363750,'1',207,'N'),(25,6363750,'1A',238,'N'),(25,6363768,'1',303,'N'),(25,6363784,'1',424,'N'),(25,6363784,'1A',428,'N'),(25,6363792,'1',601,'N'),(25,6363806,'1',201,'N'),(25,6363806,'1A',212,'N'),(25,6363822,'1',211,'N'),(25,6363822,'1A',201,'N'),(25,6363849,'1',655,'N'),(25,6363849,'1A',653,'N'),(25,6363857,'1',103,'N'),(25,6363873,'1',302,'N'),(25,6363881,'1',208,'N'),(25,6363881,'1A',201,'N'),(25,6363890,'1',238,'N'),(25,6363890,'1A',655,'N'),(25,6363903,'1',5,'N'),(25,6363911,'1',303,'N'),(25,6363938,'1',444,'N'),(25,6363946,'1',109,'N'),(25,6363954,'1',212,'N'),(25,6363954,'1A',201,'N'),(25,6363962,'1',201,'N'),(25,6363962,'1A',202,'N'),(25,6363970,'1',319,'N'),(25,6363997,'1',103,'N'),(25,6364004,'1',340,'N'),(25,6364012,'1',103,'N'),(25,6364039,'1',333,'N'),(25,6364047,'1',332,'N'),(25,6364055,'1',203,'N'),(25,6364055,'1A',202,'N'),(25,6364063,'1',317,'N'),(25,6364071,'1',652,'N'),(25,6364071,'1A',201,'N'),(25,6364080,'1',103,'N'),(25,6364098,'1',5,'N'),(25,6364101,'1',203,'N'),(25,6364101,'1A',202,'N'),(25,6364110,'1',308,'N'),(25,6364128,'1',444,'N'),(25,6364136,'1',211,'N'),(25,6364136,'1A',215,'N'),(25,6364144,'1',5,'N'),(25,6364152,'1',201,'N'),(25,6364160,'1',203,'N'),(25,6364160,'1A',214,'N'),(25,6364179,'1',999,'N'),(25,6364187,'1',501,'N'),(25,6364195,'1',101,'N'),(25,6364209,'1',444,'N'),(25,6364217,'1',103,'N'),(25,6364225,'1',224,'N'),(25,6364233,'1',201,'N'),(25,6364233,'1A',212,'N'),(25,6364284,'1',104,'N'),(25,6364292,'1',103,'N'),(25,6364306,'1',103,'N'),(25,6364314,'1',319,'N'),(25,6364322,'1',108,'N'),(25,6364330,'1',5,'N'),(25,6364349,'1',222,'N'),(25,6364365,'1',316,'N'),(25,6364373,'1',101,'N'),(25,6364381,'1',655,'N'),(25,6364390,'1',207,'N'),(25,6364390,'1A',201,'N'),(25,6364403,'1',208,'N'),(25,6364403,'1A',238,'N'),(25,6364420,'1',212,'N'),(25,6364420,'1A',201,'N'),(25,6364438,'1',103,'N'),(25,6364446,'1',103,'N'),(25,6364454,'1',103,'N'),(25,6364462,'1',101,'N'),(25,6364470,'1',103,'N'),(25,6364497,'1',601,'N'),(25,6364500,'1',108,'N'),(25,6364527,'1',207,'N'),(25,6364527,'1A',201,'N'),(25,6364535,'1',601,'N'),(25,6364543,'1',109,'N'),(25,6364551,'1',999,'N'),(25,6364560,'1',319,'N'),(25,6364578,'1',109,'N'),(25,6364586,'1',103,'N'),(25,6364594,'1',208,'N'),(25,6364594,'1A',203,'N'),(25,6364608,'1',316,'N'),(25,6364616,'1',421,'N'),(25,6364616,'1A',426,'N'),(25,6364624,'1',501,'N'),(25,6364632,'1',207,'N'),(25,6364632,'1A',238,'N'),(25,6364640,'1',201,'N'),(25,6364640,'1A',207,'N'),(25,6364659,'1',316,'N'),(25,6364675,'1',104,'N'),(25,6364683,'1',103,'N'),(25,6364691,'1',103,'N'),(25,6364705,'1',101,'N'),(25,6364713,'1',101,'N'),(25,6364721,'1',103,'N'),(25,6364730,'1',654,'N'),(25,6364756,'1',336,'N'),(25,6364764,'1',208,'N'),(25,6364764,'1A',238,'N'),(25,6364772,'1',5,'N'),(25,6364780,'1',103,'N'),(25,6364802,'1',428,'N'),(25,6364802,'1A',426,'N'),(25,6364829,'1',103,'N'),(25,6364837,'1',444,'N'),(25,6364845,'1',5,'N'),(25,6364853,'1',332,'N'),(25,6364870,'1',502,'N'),(25,6364896,'1',444,'N'),(25,6364900,'1',9,'N'),(25,6364918,'1',102,'N'),(25,6364934,'1',425,'N'),(25,6364934,'1A',429,'N'),(25,6364950,'1',201,'N'),(25,6364950,'1A',207,'N'),(25,6364969,'1',207,'N'),(25,6364969,'1A',201,'N'),(25,6364977,'1',415,'N'),(25,6364985,'1',103,'N'),(25,6364993,'1',452,'N'),(25,6365000,'1',203,'N'),(25,6365000,'1A',653,'N'),(25,6365019,'1',9,'N'),(25,6365027,'1',444,'N'),(25,6365035,'1',332,'N'),(25,6365043,'1',444,'N'),(25,6365051,'1',308,'N'),(25,6365078,'1',103,'N'),(25,6365086,'1',235,'N'),(25,6365086,'1A',202,'N'),(25,6365094,'1',207,'N'),(25,6365094,'1A',211,'N'),(25,6365124,'1',110,'N'),(25,6365132,'1',211,'N'),(25,6365132,'1A',216,'N'),(25,6365159,'1',327,'N'),(25,6365167,'1',332,'N'),(25,6365175,'1',303,'N'),(25,6365183,'1',104,'N'),(25,6365191,'1',999,'N'),(25,6365205,'1',317,'N'),(25,6365213,'1',303,'N'),(25,6365221,'1',328,'N'),(25,6365230,'1',501,'N'),(25,6365248,'1',202,'N'),(25,6365248,'1A',233,'N'),(25,6365256,'1',103,'N'),(25,6365264,'1',104,'N'),(25,6365272,'1',309,'N'),(25,6365280,'1',108,'N'),(25,6365299,'1',103,'N'),(25,6365302,'1',601,'N'),(25,6365302,'1A',214,'N'),(25,6365310,'1',208,'N'),(25,6365310,'1A',238,'N'),(25,6365329,'1',203,'N'),(25,6365329,'1A',220,'N'),(25,6365337,'1',337,'N'),(25,6365345,'1',208,'N'),(25,6365345,'1A',207,'N'),(25,6365353,'1',103,'N'),(25,6365370,'1',9,'N'),(25,6365388,'1',652,'N'),(25,6365388,'1A',655,'N'),(25,6365396,'1',415,'N'),(25,6365400,'1',238,'N'),(25,6365418,'1',999,'N'),(25,6365434,'1',201,'N'),(25,6365434,'1A',212,'N'),(25,6365442,'1',103,'N'),(25,6365450,'1',103,'N'),(25,6365469,'1',5,'N'),(25,6365485,'1',324,'N'),(25,6365493,'1',336,'N'),(25,6365507,'1',303,'N'),(25,6365515,'1',317,'N'),(25,6365523,'1',333,'N'),(25,6365531,'1',220,'N'),(25,6365531,'1A',235,'N'),(25,6365558,'1',301,'N'),(25,6365566,'1',103,'N'),(25,6365574,'1',415,'N'),(25,6365590,'1',203,'N'),(25,6365590,'1A',208,'N'),(25,6365604,'1',302,'N'),(25,6365612,'1',452,'N'),(25,6365620,'1',202,'N'),(25,6365620,'1A',235,'N'),(25,6365639,'1',303,'N'),(25,6365647,'1',302,'N'),(25,6365655,'1',103,'N'),(25,6365663,'1',999,'N'),(25,6365671,'1',212,'N'),(25,6365671,'1A',601,'N'),(25,6365680,'1',103,'N'),(25,6365698,'1',415,'N'),(25,6365701,'1',654,'N'),(25,6365710,'1',324,'N'),(25,6365728,'1',652,'N'),(25,6365728,'1A',655,'N'),(25,6365736,'1',103,'N'),(25,6365744,'1',101,'N'),(25,6365752,'1',601,'N'),(25,6365779,'1',5,'N'),(25,6365787,'1',415,'N'),(25,6365795,'1',103,'N'),(25,6365809,'1',3,'N'),(25,6365817,'1',212,'N'),(25,6365817,'1A',207,'N'),(25,6365825,'1',5,'N'),(25,6365833,'1',212,'N'),(25,6365841,'1',302,'N'),(25,6365850,'1',303,'N'),(25,6365868,'1',103,'N'),(25,6365876,'1',103,'N'),(25,6365884,'1',102,'N'),(25,6365892,'1',103,'N'),(25,6365906,'1',220,'N'),(25,6365906,'1A',208,'N'),(25,6365914,'1',212,'N'),(25,6365914,'1A',201,'N'),(25,6365922,'1',203,'N'),(25,6365922,'1A',601,'N'),(25,6365930,'1',104,'N'),(25,6365949,'1',201,'N'),(25,6365949,'1A',212,'N'),(25,6365957,'1',337,'N'),(25,6365965,'1',316,'N'),(25,6365973,'1',201,'N'),(25,6365973,'1A',216,'N'),(25,6365981,'1',999,'N'),(25,6365990,'1',110,'N'),(25,6366007,'1',444,'N'),(25,6366023,'1',207,'N'),(25,6366031,'1',317,'N'),(25,6366058,'1',207,'N'),(25,6366058,'1A',653,'N'),(25,6366066,'1',428,'N'),(25,6366066,'1A',425,'N'),(25,6366074,'1',421,'N'),(25,6366082,'1',453,'N'),(25,6366090,'1',203,'N'),(25,6366090,'1A',214,'N'),(25,6366104,'1',203,'N'),(25,6366104,'1A',202,'N'),(25,6366112,'1',103,'N'),(25,6366120,'1',103,'N'),(25,6366139,'1',5,'N'),(25,6366147,'1',999,'N'),(25,6366155,'1',444,'N'),(25,6366163,'1',214,'N'),(25,6366163,'1A',213,'N'),(25,6366171,'1',303,'N'),(25,6366180,'1',444,'N'),(25,6366198,'1',319,'N'),(25,6366201,'1',201,'N'),(25,6366201,'1A',212,'N'),(25,6366210,'1',444,'N'),(25,6366228,'1',103,'N'),(25,6366236,'1',331,'N'),(25,6366244,'1',103,'N'),(25,6366252,'1',340,'N'),(25,6366260,'1',415,'N'),(25,6366279,'1',203,'N'),(25,6366279,'1A',220,'N'),(25,6366287,'1',202,'N'),(25,6366287,'1A',235,'N'),(25,6366295,'1',203,'N'),(25,6366295,'1A',201,'N'),(25,6366309,'1',340,'N'),(25,6366317,'1',103,'N'),(25,6366325,'1',220,'N'),(25,6366325,'1A',213,'N'),(25,6366333,'1',501,'N'),(25,6366341,'1',450,'N'),(25,6366350,'1',319,'N'),(25,6366368,'1',103,'N'),(25,6366376,'1',502,'N'),(25,6366384,'1',104,'N'),(25,6366392,'1',333,'N'),(25,6366406,'1',104,'N'),(25,6366414,'1',234,'N'),(25,6366422,'1',9,'N'),(25,6366430,'1',652,'N'),(25,6366430,'1A',655,'N'),(25,6366449,'1',999,'N'),(25,6366465,'1',216,'N'),(25,6366465,'1A',207,'N'),(25,6366473,'1',103,'N'),(25,6366481,'1',103,'N'),(25,6366490,'1',426,'N'),(25,6366490,'1A',428,'N'),(25,6366503,'1',999,'N'),(25,6366520,'1',110,'N'),(25,6366538,'1',302,'N'),(25,6366546,'1',5,'N'),(25,6366554,'1',318,'N'),(25,6366570,'1',327,'N'),(25,6366589,'1',103,'N'),(25,6366597,'1',340,'N'),(25,6366600,'1',203,'N'),(25,6366600,'1A',202,'N'),(25,6366619,'1',335,'N'),(25,6366627,'1',333,'N'),(25,6366635,'1',3,'N'),(25,6366643,'1',425,'N'),(25,6366643,'1A',429,'N'),(25,6366651,'1',340,'N'),(25,6366660,'1',103,'N'),(25,6366686,'1',601,'N'),(25,6366686,'1A',202,'N'),(25,6366694,'1',201,'N'),(25,6366694,'1A',216,'N'),(25,6366708,'1',207,'N'),(25,6366708,'1A',201,'N'),(25,6366716,'1',220,'N'),(25,6366716,'1A',233,'N'),(25,6366724,'1',301,'N'),(25,6366732,'1',103,'N'),(25,6366740,'1',101,'N'),(25,6366759,'1',501,'N'),(25,6366767,'1',601,'N'),(25,6366775,'1',203,'N'),(25,6366775,'1A',653,'N'),(25,6366783,'1',103,'N'),(25,6366791,'1',214,'N'),(25,6366791,'1A',213,'N'),(25,6366805,'1',601,'N'),(25,6366813,'1',329,'N'),(25,6366821,'1',319,'N'),(25,6366830,'1',303,'N'),(25,6366848,'1',103,'N'),(25,6366856,'1',3,'N'),(25,6366864,'1',415,'N'),(25,6366872,'1',653,'N'),(25,6366872,'1A',655,'N'),(25,6366880,'1',225,'N'),(25,6366899,'1',304,'N'),(25,6366910,'1',501,'N'),(25,6366929,'1',420,'N'),(25,6366945,'1',220,'N'),(25,6366945,'1A',202,'N'),(25,6366953,'1',103,'N'),(25,6366961,'1',203,'N'),(25,6366961,'1A',201,'N'),(25,6366970,'1',102,'N'),(25,6366996,'1',103,'N'),(25,6367003,'1',316,'N'),(25,6367011,'1',654,'N'),(25,6367038,'1',301,'N'),(25,6367054,'1',655,'N'),(25,6367062,'1',404,'N'),(25,6367070,'1',303,'N'),(25,6367089,'1',415,'N'),(25,6367097,'1',201,'N'),(25,6367097,'1A',214,'N'),(25,6367119,'1',101,'N'),(25,6367127,'1',220,'N'),(25,6367127,'1A',212,'N'),(25,6367135,'1',501,'N'),(25,6367151,'1',316,'N'),(25,6367160,'1',302,'N'),(25,6367194,'1',108,'N'),(25,6367208,'1',104,'N'),(25,6367216,'1',999,'N'),(25,6367224,'1',340,'N'),(25,6367232,'1',303,'N'),(25,6367240,'1',301,'N'),(25,6367267,'1',215,'N'),(25,6367267,'1A',211,'N'),(25,6367275,'1',501,'N'),(25,6367283,'1',214,'N'),(25,6367283,'1A',215,'N'),(25,6367291,'1',238,'N'),(25,6367291,'1A',652,'N'),(25,6367305,'1',211,'N'),(25,6367305,'1A',212,'N'),(25,6367313,'1',211,'N'),(25,6367313,'1A',653,'N'),(25,6367330,'1',201,'N'),(25,6367330,'1A',655,'N'),(25,6367348,'1',212,'N'),(25,6367348,'1A',213,'N'),(25,6367356,'1',103,'N'),(25,6367372,'1',426,'N'),(25,6367372,'1A',428,'N'),(25,6367380,'1',333,'N'),(25,6367399,'1',104,'N'),(25,6367402,'1',103,'N'),(25,6367410,'1',207,'N'),(25,6367410,'1A',201,'N'),(25,6367429,'1',333,'N'),(25,6367445,'1',317,'N'),(25,6367453,'1',103,'N'),(25,6367461,'1',338,'N'),(25,6367470,'1',103,'N'),(25,6367488,'1',319,'N'),(25,6367496,'1',303,'N'),(25,6367500,'1',216,'N'),(25,6367500,'1A',220,'N'),(25,6367518,'1',302,'N'),(25,6367526,'1',319,'N'),(25,6367534,'1',551,'N'),(25,6367542,'1',223,'N'),(25,6367550,'1',327,'N'),(25,6367569,'1',415,'N'),(25,6367577,'1',216,'N'),(25,6367577,'1A',203,'N'),(25,6367585,'1',654,'N'),(25,6367593,'1',404,'N'),(25,6367607,'1',103,'N'),(25,6367615,'1',233,'N'),(25,6367615,'1A',203,'N'),(25,6367623,'1',999,'N'),(25,6367631,'1',339,'N'),(25,6367640,'1',451,'N'),(25,6367666,'1',103,'N'),(25,6367682,'1',5,'N'),(25,6367690,'1',211,'N'),(25,6367690,'1A',213,'N'),(25,6367704,'1',5,'N'),(25,6367712,'1',103,'N'),(25,6367739,'1',340,'N'),(25,6367747,'1',999,'N'),(25,6367755,'1',102,'N'),(25,6367763,'1',103,'N'),(25,6367771,'1',102,'N'),(25,6367780,'1',999,'N'),(25,6367798,'1',103,'N'),(25,6367801,'1',103,'N'),(25,6367810,'1',335,'N'),(25,6367844,'1',9,'N'),(25,6367852,'1',203,'N'),(25,6367852,'1A',201,'N'),(25,6367860,'1',103,'N'),(25,6367879,'1',452,'N'),(25,6367887,'1',301,'N'),(25,6367895,'1',103,'N'),(25,6367909,'1',335,'N'),(25,6367917,'1',202,'N'),(25,6367917,'1A',203,'N'),(25,6367925,'1',601,'N'),(25,6367925,'1A',653,'N'),(25,6367933,'1',103,'N'),(25,6367950,'1',103,'N'),(25,6367968,'1',109,'N'),(25,6367976,'1',215,'N'),(25,6367976,'1A',214,'N'),(25,6367984,'1',551,'N'),(25,6367992,'1',332,'N'),(25,6368000,'1',303,'N'),(25,6368018,'1',329,'N'),(25,6368026,'1',207,'N'),(25,6368026,'1A',212,'N'),(25,6368034,'1',420,'N'),(25,6368042,'1',220,'N'),(25,6368042,'1A',653,'N'),(25,6368050,'1',450,'N'),(25,6368069,'1',654,'N'),(25,6368077,'1',340,'N'),(25,6368085,'1',302,'N'),(25,6368093,'1',203,'N'),(25,6368093,'1A',207,'N'),(25,6368107,'1',453,'N'),(25,6368115,'1',208,'N'),(25,6368115,'1A',238,'N'),(25,6368123,'1',104,'N'),(25,6368131,'1',216,'N'),(25,6368131,'1A',208,'N'),(25,6368140,'1',450,'N'),(25,6368158,'1',108,'N'),(25,6368166,'1',301,'N'),(25,6368174,'1',201,'N'),(25,6368174,'1A',601,'N'),(25,6368182,'1',652,'N'),(25,6368182,'1A',653,'N'),(25,6368190,'1',103,'N'),(25,6368204,'1',103,'N'),(25,6368212,'1',5,'N'),(25,6368247,'1',404,'N'),(25,6368255,'1',2,'N'),(25,6368271,'1',2,'N'),(25,6368280,'1',404,'N'),(25,6368301,'1',103,'N'),(25,6368310,'1',999,'N'),(25,6368328,'1',103,'N'),(25,6368336,'1',9,'N'),(25,6368344,'1',103,'N'),(25,6368360,'1',301,'N'),(25,6368379,'1',208,'N'),(25,6368395,'1',103,'N'),(25,6368409,'1',103,'N'),(25,6368417,'1',5,'N'),(25,6368425,'1',201,'N'),(25,6368425,'1A',233,'N'),(25,6368433,'1',331,'N'),(25,6368441,'1',328,'N'),(25,6368450,'1',216,'N'),(25,6368450,'1A',215,'N'),(25,6368476,'1',5,'N'),(25,6368484,'1',420,'N'),(25,6368492,'1',318,'N'),(25,6368506,'1',103,'N'),(25,6368514,'1',201,'N'),(25,6368522,'1',999,'N'),(25,6368530,'1',999,'N'),(25,6368549,'1',999,'N'),(25,6368557,'1',654,'N'),(25,6368573,'1',601,'N'),(25,6368573,'1A',201,'N'),(25,6368581,'1',202,'N'),(25,6368581,'1A',235,'N'),(25,6368590,'1',108,'N'),(25,6368603,'1',207,'N'),(25,6368603,'1A',601,'N'),(25,6368611,'1',202,'N'),(25,6368611,'1A',601,'N'),(25,6368638,'1',336,'N'),(25,6368646,'1',104,'N'),(25,6368654,'1',202,'N'),(25,6368654,'1A',220,'N'),(25,6368662,'1',999,'N'),(25,6368670,'1',215,'N'),(25,6368670,'1A',201,'N'),(25,6368689,'1',213,'N'),(25,6368689,'1A',214,'N'),(25,6368697,'1',101,'N'),(25,6368700,'1',103,'N'),(25,6368719,'1',9,'N'),(25,6368727,'1',301,'N'),(25,6368735,'1',103,'N'),(25,6368743,'1',301,'N'),(25,6368751,'1',339,'N'),(25,6368760,'1',203,'N'),(25,6368760,'1A',214,'N'),(25,6368786,'1',319,'N'),(25,6368794,'1',318,'N'),(25,6368808,'1',654,'N'),(25,6368816,'1',202,'N'),(25,6368816,'1A',213,'N'),(25,6368824,'1',216,'N'),(25,6368824,'1A',215,'N'),(25,6368832,'1',319,'N'),(25,6368840,'1',109,'N'),(25,6368859,'1',109,'N'),(25,6368867,'1',333,'N'),(25,6368875,'1',5,'N'),(25,6368883,'1',320,'N'),(25,6368891,'1',103,'N'),(25,6368905,'1',208,'N'),(25,6368905,'1A',214,'N'),(25,6368913,'1',319,'N'),(25,6368921,'1',336,'N'),(25,6368930,'1',655,'N'),(25,6368930,'1A',653,'N'),(25,6368948,'1',302,'N'),(25,6368956,'1',233,'N'),(25,6368956,'1A',216,'N'),(25,6368964,'1',220,'N'),(25,6368964,'1A',235,'N'),(25,6368972,'1',428,'N'),(25,6368972,'1A',423,'N'),(25,6368980,'1',201,'N'),(25,6368980,'1A',207,'N'),(25,6368999,'1',220,'N'),(25,6368999,'1A',213,'N'),(25,6369006,'1',104,'N'),(25,6369014,'1',335,'N'),(25,6369022,'1',316,'N'),(25,6369030,'1',103,'N'),(25,6369049,'1',450,'N'),(25,6369057,'1',336,'N'),(25,6369065,'1',999,'N'),(25,6369073,'1',5,'N'),(25,6369081,'1',201,'N'),(25,6369081,'1A',207,'N'),(25,6369090,'1',208,'N'),(25,6369103,'1',5,'N'),(25,6369111,'1',103,'N'),(25,6369138,'1',340,'N'),(25,6369146,'1',108,'N'),(25,6369154,'1',303,'N'),(25,6369162,'1',238,'N'),(25,6369170,'1',104,'N'),(25,6369189,'1',319,'N'),(25,6369197,'1',102,'N'),(25,6369200,'1',104,'N'),(25,6369219,'1',301,'N'),(25,6369227,'1',317,'N'),(25,6369235,'1',5,'N'),(25,6369243,'1',103,'N'),(25,6369251,'1',103,'N'),(25,6369260,'1',104,'N'),(25,6369278,'1',110,'N'),(25,6369286,'1',207,'N'),(25,6369286,'1A',201,'N'),(25,6369316,'1',654,'N'),(25,6369324,'1',329,'N'),(25,6369340,'1',319,'N'),(25,6369359,'1',427,'N'),(25,6369359,'1A',429,'N'),(25,6369367,'1',309,'N'),(25,6369375,'1',999,'N'),(25,6369383,'1',308,'N'),(25,6369391,'1',212,'N'),(25,6369391,'1A',213,'N'),(25,6369405,'1',320,'N'),(25,6369413,'1',601,'N'),(25,6369413,'1A',235,'N'),(25,6369421,'1',203,'N'),(25,6369421,'1A',233,'N'),(25,6369430,'1',302,'N'),(25,6369448,'1',103,'N'),(25,6369456,'1',999,'N'),(25,6369464,'1',308,'N'),(25,6369472,'1',109,'N'),(25,6369499,'1',308,'N'),(25,6369502,'1',551,'N'),(25,6369510,'1',415,'N'),(25,6369529,'1',201,'N'),(25,6369529,'1A',601,'N'),(25,6369537,'1',450,'N'),(25,6369545,'1',203,'N'),(25,6369545,'1A',202,'N'),(25,6369553,'1',319,'N'),(25,6369561,'1',551,'N'),(25,6369570,'1',208,'N'),(25,6369570,'1A',238,'N'),(25,6369588,'1',303,'N'),(25,6369596,'1',309,'N'),(25,6369600,'1',207,'N'),(25,6369600,'1A',201,'N'),(25,6369618,'1',999,'N'),(25,6369634,'1',999,'N'),(25,6369642,'1',404,'N'),(25,6369650,'1',316,'N'),(25,6369669,'1',303,'N'),(25,6369685,'1',502,'N'),(25,6369693,'1',235,'N'),(25,6369693,'1A',208,'N'),(25,6369707,'1',214,'N'),(25,6369707,'1A',212,'N'),(25,6369715,'1',340,'N'),(25,6369723,'1',203,'N'),(25,6369723,'1A',214,'N'),(25,6369731,'1',654,'N'),(25,6369740,'1',5,'N'),(25,6369758,'1',211,'N'),(25,6369758,'1A',215,'N'),(25,6369766,'1',208,'N'),(25,6369766,'1A',201,'N'),(25,6369774,'1',317,'N'),(25,6369782,'1',103,'N'),(25,6369790,'1',238,'N'),(25,6369790,'1A',208,'N'),(25,6369804,'1',103,'N'),(25,6369812,'1',327,'N'),(25,6369820,'1',301,'N'),(25,6369839,'1',316,'N'),(25,6369847,'1',103,'N'),(25,6369855,'1',208,'N'),(25,6369855,'1A',238,'N'),(25,6369863,'1',215,'N'),(25,6369863,'1A',208,'N'),(25,6369871,'1',303,'N'),(25,6369880,'1',316,'N'),(25,6369910,'1',316,'N'),(25,6369928,'1',9,'N'),(25,6369936,'1',225,'N'),(25,6369944,'1',329,'N'),(25,6369952,'1',201,'N'),(25,6369952,'1A',233,'N'),(25,6369960,'1',316,'N'),(25,6369979,'1',207,'N'),(25,6369979,'1A',211,'N'),(25,6369987,'1',103,'N'),(25,6369995,'1',211,'N'),(25,6369995,'1A',235,'N'),(25,6370004,'1',340,'N'),(25,6370012,'1',501,'N'),(25,6370020,'1',103,'N'),(25,6370039,'1',233,'N'),(25,6370039,'1A',220,'N'),(25,6370047,'1',103,'N'),(25,6370055,'1',203,'N'),(25,6370055,'1A',202,'N'),(25,6370063,'1',9,'N'),(25,6370071,'1',104,'N'),(25,6370080,'1',5,'N'),(25,6370098,'1',332,'N'),(25,6370101,'1',450,'N'),(25,6370110,'1',103,'N'),(25,6370128,'1',310,'N'),(25,6370136,'1',207,'N'),(25,6370136,'1A',208,'N'),(25,6370144,'1',104,'N'),(25,6370152,'1',302,'N'),(25,6370195,'1',203,'N'),(25,6370195,'1A',220,'N'),(25,6370209,'1',201,'N'),(25,6370209,'1A',207,'N'),(25,6370217,'1',316,'N'),(25,6370225,'1',303,'N'),(25,6370233,'1',551,'N'),(25,6370250,'1',331,'N'),(25,6370268,'1',214,'N'),(25,6370268,'1A',216,'N'),(25,6370284,'1',203,'N'),(25,6370284,'1A',214,'N'),(25,6370292,'1',102,'N'),(25,6370306,'1',103,'N'),(25,6370314,'1',203,'N'),(25,6370314,'1A',214,'N'),(25,6370322,'1',428,'N'),(25,6370322,'1A',426,'N'),(25,6370330,'1',103,'N'),(25,6370349,'1',332,'N'),(25,6370357,'1',655,'N'),(25,6370365,'1',213,'N'),(25,6370365,'1A',211,'N'),(25,6370373,'1',308,'N'),(25,6370381,'1',3,'N'),(25,6370390,'1',601,'N'),(25,6370390,'1A',214,'N'),(25,6370403,'1',203,'N'),(25,6370403,'1A',202,'N'),(25,6370411,'1',653,'N'),(25,6370411,'1A',655,'N'),(25,6370420,'1',101,'N'),(25,6370438,'1',5,'N'),(25,6370446,'1',238,'N'),(25,6370446,'1A',208,'N'),(25,6370454,'1',102,'N'),(25,6370462,'1',103,'N'),(25,6370470,'1',316,'N'),(25,6370489,'1',103,'N'),(25,6370497,'1',208,'N'),(25,6370497,'1A',238,'N'),(25,6370500,'1',501,'N'),(25,6370519,'1',202,'N'),(25,6370519,'1A',213,'N'),(25,6370527,'1',102,'N'),(25,6370535,'1',104,'N'),(25,6370543,'1',316,'N'),(25,6370551,'1',328,'N'),(25,6370560,'1',207,'N'),(25,6370560,'1A',201,'N'),(25,6370578,'1',201,'N'),(25,6370578,'1A',207,'N'),(25,6370586,'1',103,'N'),(25,6370594,'1',103,'N'),(25,6370608,'1',103,'N'),(25,6370624,'1',304,'N'),(25,6370632,'1',652,'N'),(25,6370632,'1A',655,'N'),(25,6370640,'1',319,'N'),(25,6370659,'1',104,'N'),(25,6370667,'1',103,'N'),(25,6370675,'1',999,'N'),(25,6370683,'1',316,'N'),(25,6370691,'1',316,'N'),(25,6370705,'1',444,'N'),(25,6370713,'1',999,'N'),(25,6370721,'1',101,'N'),(25,6370730,'1',233,'N'),(25,6370730,'1A',214,'N'),(25,6370748,'1',5,'N'),(25,6370756,'1',301,'N'),(25,6370772,'1',223,'N'),(25,6370780,'1',303,'N'),(25,6370799,'1',999,'N'),(25,6370802,'1',999,'N'),(25,6370810,'1',5,'N'),(25,6370829,'1',102,'N'),(25,6370837,'1',319,'N'),(25,6370845,'1',335,'N'),(25,6370853,'1',203,'N'),(25,6370853,'1A',214,'N'),(25,6370870,'1',655,'N'),(25,6370888,'1',420,'N'),(25,6370896,'1',103,'N'),(25,6370900,'1',207,'N'),(25,6370900,'1A',201,'N'),(25,6370918,'1',601,'N'),(25,6370918,'1A',220,'N'),(25,6370926,'1',201,'N'),(25,6370926,'1A',211,'N'),(25,6370934,'1',225,'N'),(25,6370942,'1',308,'N'),(25,6370950,'1',420,'N'),(25,6370969,'1',108,'N'),(25,6370977,'1',223,'N'),(25,6370985,'1',103,'N'),(25,6370993,'1',999,'N'),(25,6371019,'1',201,'N'),(25,6371035,'1',301,'N'),(25,6371043,'1',203,'N'),(25,6371043,'1A',214,'N'),(25,6371051,'1',324,'N'),(25,6371060,'1',215,'N'),(25,6371060,'1A',211,'N'),(25,6371078,'1',103,'N'),(25,6371086,'1',326,'N'),(25,6371094,'1',5,'N'),(25,6371108,'1',302,'N'),(25,6371116,'1',220,'N'),(25,6371116,'1A',203,'N'),(25,6371124,'1',999,'N'),(25,6371132,'1',450,'N'),(25,6371140,'1',201,'N'),(25,6371140,'1A',211,'N'),(25,6371159,'1',103,'N'),(25,6371175,'1',202,'N'),(25,6371175,'1A',235,'N'),(25,6371191,'1',203,'N'),(25,6371191,'1A',214,'N'),(25,6371205,'1',601,'N'),(25,6371205,'1A',233,'N'),(25,6371213,'1',214,'N'),(25,6371213,'1A',203,'N'),(25,6371221,'1',450,'N'),(25,6371248,'1',103,'N'),(25,6371256,'1',238,'N'),(25,6371256,'1A',208,'N'),(25,6371264,'1',652,'N'),(25,6371264,'1A',655,'N'),(25,6371272,'1',233,'N'),(25,6371272,'1A',216,'N'),(25,6371280,'1',201,'N'),(25,6371280,'1A',212,'N'),(25,6371299,'1',309,'N'),(25,6371302,'1',5,'N'),(25,6371310,'1',420,'N'),(25,6371329,'1',601,'N'),(25,6371329,'1A',202,'N'),(25,6371337,'1',202,'N'),(25,6371337,'1A',235,'N'),(25,6371345,'1',655,'N'),(25,6371345,'1A',652,'N'),(25,6371353,'1',601,'N'),(25,6371353,'1A',203,'N'),(25,6371361,'1',104,'N'),(25,6371370,'1',340,'N'),(25,6371388,'1',5,'N'),(25,6371396,'1',104,'N'),(25,6371400,'1',103,'N'),(25,6371418,'1',328,'N'),(25,6371426,'1',999,'N'),(25,6371434,'1',404,'N'),(25,6371442,'1',103,'N'),(25,6371450,'1',5,'N'),(25,6371469,'1',101,'N'),(25,6371477,'1',203,'N'),(25,6371477,'1A',214,'N'),(25,6371485,'1',108,'N'),(25,6371493,'1',103,'N'),(25,6371507,'1',301,'N'),(25,6371515,'1',208,'N'),(25,6371515,'1A',214,'N'),(25,6371523,'1',103,'N'),(25,6371531,'1',301,'N'),(25,6371540,'1',501,'N'),(25,6371558,'1',103,'N'),(25,6371566,'1',238,'N'),(25,6371574,'1',201,'N'),(25,6371582,'1',316,'N'),(25,6371590,'1',9,'N'),(25,6371604,'1',5,'N'),(25,6371620,'1',340,'N'),(25,6371639,'1',653,'N'),(25,6371639,'1A',202,'N'),(25,6371647,'1',225,'N'),(25,6371655,'1',108,'N'),(25,6371663,'1',104,'N'),(25,6371671,'1',5,'N'),(25,6371680,'1',317,'N'),(25,6371701,'1',103,'N'),(25,6371728,'1',501,'N'),(25,6371736,'1',415,'N'),(25,6371744,'1',104,'N'),(25,6371752,'1',103,'N'),(25,6371760,'1',214,'N'),(25,6371760,'1A',213,'N'),(25,6371779,'1',103,'N'),(25,6371787,'1',234,'N'),(25,6371795,'1',421,'N'),(25,6371795,'1A',424,'N'),(25,6371809,'1',102,'N'),(25,6371817,'1',309,'N'),(25,6371825,'1',104,'N'),(25,6371833,'1',103,'N'),(25,6371850,'1',999,'N'),(25,6371868,'1',211,'N'),(25,6371868,'1A',215,'N'),(25,6371876,'1',207,'N'),(25,6371876,'1A',201,'N'),(25,6371884,'1',318,'N'),(25,6371892,'1',207,'N'),(25,6371892,'1A',211,'N'),(25,6371906,'1',103,'N'),(25,6371914,'1',203,'N'),(25,6371914,'1A',220,'N'),(25,6371922,'1',999,'N'),(25,6371949,'1',104,'N'),(25,6371957,'1',207,'N'),(25,6371957,'1A',211,'N'),(25,6371965,'1',103,'N'),(25,6371973,'1',103,'N'),(25,6371981,'1',303,'N'),(25,6371990,'1',235,'N'),(25,6371990,'1A',220,'N'),(25,6372007,'1',201,'N'),(25,6372007,'1A',238,'N'),(25,6372015,'1',203,'N'),(25,6372015,'1A',201,'N'),(25,6372023,'1',301,'N'),(25,6372031,'1',551,'N'),(25,6372040,'1',201,'N'),(25,6372040,'1A',214,'N'),(25,6372058,'1',310,'N'),(25,6372066,'1',9,'N'),(25,6372074,'1',333,'N'),(25,6372082,'1',425,'N'),(25,6372082,'1A',426,'N'),(25,6372090,'1',444,'N'),(25,6372104,'1',201,'N'),(25,6372104,'1A',212,'N'),(25,6372112,'1',234,'N'),(25,6372120,'1',238,'N'),(25,6372120,'1A',208,'N'),(25,6372139,'1',301,'N'),(25,6372147,'1',103,'N'),(25,6372155,'1',451,'N'),(25,6372163,'1',302,'N'),(25,6372171,'1',234,'N'),(25,6372180,'1',601,'N'),(25,6372180,'1A',203,'N'),(25,6372198,'1',415,'N'),(25,6372201,'1',207,'N'),(25,6372201,'1A',201,'N'),(25,6372210,'1',303,'N'),(25,6372228,'1',601,'N'),(25,6372228,'1A',211,'N'),(25,6372236,'1',999,'N'),(25,6372244,'1',109,'N'),(25,6372260,'1',304,'N'),(25,6372287,'1',109,'N'),(25,6372295,'1',444,'N'),(25,6372309,'1',327,'N'),(25,6372325,'1',503,'N'),(25,6372333,'1',207,'N'),(25,6372333,'1A',201,'N'),(25,6372368,'1',103,'N'),(25,6372376,'1',238,'N'),(25,6372376,'1A',208,'N'),(25,6372384,'1',103,'N'),(25,6372392,'1',5,'N'),(25,6372406,'1',238,'N'),(25,6372406,'1A',203,'N'),(25,6372414,'1',103,'N'),(25,6372422,'1',110,'N'),(25,6372430,'1',309,'N'),(25,6372449,'1',601,'N'),(25,6372457,'1',103,'N'),(25,6372465,'1',102,'N'),(25,6372473,'1',104,'N'),(25,6372481,'1',212,'N'),(25,6372481,'1A',652,'N'),(25,6372490,'1',103,'N'),(25,6372503,'1',340,'N'),(25,6372520,'1',202,'N'),(25,6372520,'1A',201,'N'),(25,6372538,'1',216,'N'),(25,6372546,'1',103,'N'),(25,6372554,'1',303,'N'),(25,6372562,'1',103,'N'),(25,6372570,'1',309,'N'),(25,6372589,'1',212,'N'),(25,6372589,'1A',211,'N'),(25,6372597,'1',423,'N'),(25,6372600,'1',211,'N'),(25,6372619,'1',333,'N'),(25,6372627,'1',327,'N'),(25,6372643,'1',415,'N'),(25,6372651,'1',301,'N'),(25,6372660,'1',103,'N'),(25,6372678,'1',238,'N'),(25,6372678,'1A',208,'N'),(25,6372686,'1',302,'N'),(25,6372694,'1',327,'N'),(25,6372708,'1',333,'N'),(25,6372716,'1',5,'N'),(25,6372724,'1',104,'N'),(25,6372732,'1',211,'N'),(25,6372732,'1A',212,'N'),(25,6372740,'1',103,'N'),(25,6372759,'1',102,'N'),(25,6372783,'1',999,'N'),(25,6372791,'1',109,'N'),(25,6372813,'1',207,'N'),(25,6372813,'1A',211,'N'),(25,6372821,'1',301,'N'),(25,6372830,'1',108,'N'),(25,6372848,'1',211,'N'),(25,6372848,'1A',235,'N'),(25,6372864,'1',216,'N'),(25,6372864,'1A',220,'N'),(25,6372872,'1',415,'N'),(25,6372880,'1',320,'N'),(25,6372899,'1',309,'N'),(25,6372902,'1',319,'N'),(25,6372910,'1',999,'N'),(25,6372929,'1',654,'N'),(25,6372937,'1',3,'N'),(25,6372945,'1',207,'N'),(25,6372953,'1',601,'N'),(25,6372953,'1A',201,'N'),(25,6372961,'1',302,'N'),(25,6372970,'1',103,'N'),(25,6372996,'1',103,'N'),(25,6373003,'1',336,'N'),(25,6373011,'1',302,'N'),(25,6373020,'1',101,'N'),(25,6373038,'1',655,'N'),(25,6373038,'1A',652,'N'),(25,6373046,'1',444,'N'),(25,6373062,'1',238,'N'),(25,6373062,'1A',208,'N'),(25,6373097,'1',302,'N'),(25,6373100,'1',3,'N'),(25,6373119,'1',220,'N'),(25,6373119,'1A',655,'N'),(25,6373127,'1',303,'N'),(25,6373135,'1',103,'N'),(25,6373151,'1',601,'N'),(25,6373178,'1',425,'N'),(25,6373186,'1',421,'N'),(25,6373186,'1A',424,'N'),(25,6373194,'1',203,'N'),(25,6373194,'1A',601,'N'),(25,6373216,'1',654,'N'),(25,6373224,'1',233,'N'),(25,6373224,'1A',208,'N'),(25,6373232,'1',340,'N'),(25,6373240,'1',220,'N'),(25,6373240,'1A',208,'N'),(25,6373259,'1',316,'N'),(25,6373267,'1',103,'N'),(25,6373283,'1',207,'N'),(25,6373291,'1',316,'N'),(25,6373305,'1',103,'N'),(25,6373313,'1',109,'N'),(25,6373321,'1',340,'N'),(25,6373330,'1',601,'N'),(25,6373348,'1',101,'N'),(25,6373356,'1',207,'N'),(25,6373356,'1A',201,'N'),(25,6373364,'1',316,'N'),(25,6373372,'1',103,'N'),(25,6373399,'1',108,'N'),(25,6373402,'1',109,'N'),(25,6373429,'1',303,'N'),(25,6373437,'1',404,'N'),(25,6373445,'1',302,'N'),(25,6373453,'1',103,'N'),(25,6373470,'1',654,'N'),(25,6373488,'1',104,'N'),(25,6373496,'1',103,'N'),(25,6373518,'1',233,'N'),(25,6373518,'1A',216,'N'),(25,6373526,'1',104,'N'),(25,6373534,'1',233,'N'),(25,6373534,'1A',601,'N'),(25,6373542,'1',2,'N'),(25,6373550,'1',103,'N'),(25,6373569,'1',103,'N'),(25,6373577,'1',201,'N'),(25,6373577,'1A',203,'N'),(25,6373593,'1',415,'N'),(25,6373607,'1',317,'N'),(25,6373615,'1',211,'N'),(25,6373623,'1',201,'N'),(25,6373623,'1A',212,'N'),(25,6373631,'1',999,'N'),(25,6373640,'1',316,'N'),(25,6373658,'1',110,'N'),(25,6373666,'1',551,'N'),(25,6373674,'1',404,'N'),(25,6373682,'1',501,'N'),(25,6373704,'1',5,'N'),(25,6373712,'1',453,'N'),(25,6373720,'1',333,'N'),(25,6373739,'1',103,'N'),(25,6373747,'1',103,'N'),(25,6373763,'1',9,'N'),(25,6373771,'1',104,'N'),(25,6373780,'1',429,'N'),(25,6373780,'1A',425,'N'),(25,6373798,'1',503,'N'),(25,6373801,'1',425,'N'),(25,6373801,'1A',426,'N'),(25,6373810,'1',211,'N'),(25,6373810,'1A',601,'N'),(25,6373828,'1',316,'N'),(25,6373836,'1',103,'N'),(25,6373844,'1',302,'N'),(25,6373879,'1',303,'N'),(25,6373887,'1',103,'N'),(25,6373895,'1',301,'N'),(25,6373909,'1',103,'N'),(25,6373925,'1',328,'N'),(25,6373933,'1',427,'N'),(25,6373933,'1A',429,'N'),(25,6373941,'1',404,'N'),(25,6373950,'1',103,'N'),(25,6373968,'1',103,'N'),(25,6373976,'1',202,'N'),(25,6373984,'1',316,'N'),(25,6373992,'1',316,'N'),(25,6374000,'1',340,'N'),(25,6374018,'1',301,'N'),(25,6374026,'1',653,'N'),(25,6374034,'1',203,'N'),(25,6374034,'1A',214,'N'),(25,6374050,'1',225,'N'),(25,6374069,'1',101,'N'),(25,6374077,'1',319,'N'),(25,6374085,'1',103,'N'),(25,6374107,'1',301,'N'),(25,6374115,'1',501,'N'),(25,6374123,'1',428,'N'),(25,6374123,'1A',426,'N'),(25,6374131,'1',101,'N'),(25,6374140,'1',652,'N'),(25,6374166,'1',216,'N'),(25,6374166,'1A',211,'N'),(25,6374182,'1',108,'N'),(25,6374204,'1',211,'N'),(25,6374204,'1A',207,'N'),(25,6374212,'1',319,'N'),(25,6374220,'1',318,'N'),(25,6374239,'1',340,'N'),(25,6374247,'1',319,'N'),(25,6374255,'1',551,'N'),(25,6374271,'1',102,'N'),(25,6374280,'1',5,'N'),(25,6374298,'1',404,'N'),(25,6374301,'1',214,'N'),(25,6374301,'1A',207,'N'),(25,6374310,'1',444,'N'),(25,6374336,'1',999,'N'),(25,6374344,'1',103,'N'),(25,6374352,'1',316,'N'),(25,6374360,'1',201,'N'),(25,6374360,'1A',207,'N'),(25,6374379,'1',319,'N'),(25,6374387,'1',999,'N'),(25,6374395,'1',301,'N'),(25,6374409,'1',207,'N'),(25,6374409,'1A',212,'N'),(25,6374417,'1',304,'N'),(25,6374425,'1',238,'N'),(25,6374425,'1A',208,'N'),(25,6374433,'1',404,'N'),(25,6374441,'1',415,'N'),(25,6374468,'1',415,'N'),(25,6374476,'1',999,'N'),(25,6374484,'1',103,'N'),(25,6374492,'1',238,'N'),(25,6374492,'1A',208,'N'),(25,6374506,'1',103,'N'),(25,6374514,'1',201,'N'),(25,6374514,'1A',207,'N'),(25,6374522,'1',502,'N'),(25,6374530,'1',999,'N'),(25,6374549,'1',214,'N'),(25,6374549,'1A',655,'N'),(25,6374557,'1',999,'N'),(25,6374573,'1',601,'N'),(25,6374573,'1A',235,'N'),(25,6374581,'1',501,'N'),(25,6374603,'1',5,'N'),(25,6374611,'1',337,'N'),(25,6374620,'1',103,'N'),(25,6374638,'1',211,'N'),(25,6374638,'1A',653,'N'),(25,6374654,'1',429,'N'),(25,6374654,'1A',425,'N'),(25,6374662,'1',103,'N'),(25,6374670,'1',103,'N'),(25,6374689,'1',233,'N'),(25,6374689,'1A',213,'N'),(25,6374697,'1',216,'N'),(25,6374697,'1A',208,'N'),(25,6374700,'1',211,'N'),(25,6374700,'1A',202,'N'),(25,6374719,'1',316,'N'),(25,6374727,'1',102,'N'),(25,6374735,'1',215,'N'),(25,6374735,'1A',207,'N'),(25,6374743,'1',303,'N'),(25,6374751,'1',502,'N'),(25,6374760,'1',303,'N'),(25,6374778,'1',335,'N'),(25,6374786,'1',103,'N'),(25,6374794,'1',202,'N'),(25,6374794,'1A',235,'N'),(25,6374808,'1',215,'N'),(25,6374808,'1A',211,'N'),(25,6374816,'1',207,'N'),(25,6374816,'1A',212,'N'),(25,6374824,'1',316,'N'),(25,6374832,'1',201,'N'),(25,6374832,'1A',202,'N'),(25,6374840,'1',415,'N'),(25,6374859,'1',316,'N'),(25,6374867,'1',103,'N'),(25,6374875,'1',103,'N'),(25,6374883,'1',103,'N'),(25,6374891,'1',302,'N'),(25,6374905,'1',317,'N'),(25,6374913,'1',103,'N'),(25,6374921,'1',302,'N'),(25,6374930,'1',201,'N'),(25,6374930,'1A',207,'N'),(25,6374948,'1',202,'N'),(25,6374948,'1A',653,'N'),(25,6374972,'1',424,'N'),(25,6374972,'1A',427,'N'),(25,6374980,'1',425,'N'),(25,6374980,'1A',424,'N'),(25,6374999,'1',103,'N'),(25,6375006,'1',333,'N'),(25,6375014,'1',338,'N'),(25,6375022,'1',654,'N'),(25,6375030,'1',103,'N'),(25,6375049,'1',207,'N'),(25,6375049,'1A',201,'N'),(25,6375057,'1',327,'N'),(25,6375065,'1',319,'N'),(25,6375073,'1',328,'N'),(25,6375081,'1',103,'N'),(25,6375090,'1',201,'N'),(25,6375090,'1A',207,'N'),(25,6375103,'1',108,'N'),(25,6375111,'1',101,'N'),(25,6375120,'1',653,'N'),(25,6375138,'1',104,'N'),(25,6375146,'1',201,'N'),(25,6375146,'1A',207,'N'),(25,6375154,'1',331,'N'),(25,6375162,'1',316,'N'),(25,6375170,'1',215,'N'),(25,6375170,'1A',212,'N'),(25,6375189,'1',103,'N'),(25,6375197,'1',319,'N'),(25,6375200,'1',340,'N'),(25,6375219,'1',202,'N'),(25,6375219,'1A',213,'N'),(25,6375227,'1',326,'N'),(25,6375235,'1',318,'N'),(25,6375251,'1',233,'N'),(25,6375251,'1A',208,'N'),(25,6375260,'1',103,'N'),(25,6375278,'1',103,'N'),(25,6375286,'1',103,'N'),(25,6375294,'1',103,'N'),(25,6375308,'1',404,'N'),(25,6375316,'1',655,'N'),(25,6375316,'1A',208,'N'),(25,6375324,'1',309,'N'),(25,6375332,'1',319,'N'),(25,6375340,'1',340,'N'),(25,6375367,'1',428,'N'),(25,6375367,'1A',423,'N'),(25,6375383,'1',108,'N'),(25,6375391,'1',601,'N'),(25,6375391,'1A',653,'N'),(25,6375405,'1',303,'N'),(25,6375413,'1',329,'N'),(25,6375421,'1',101,'N'),(25,6375430,'1',999,'N'),(25,6375448,'1',421,'N'),(25,6375448,'1A',428,'N'),(25,6375456,'1',207,'N'),(25,6375456,'1A',238,'N'),(25,6375464,'1',109,'N'),(25,6375529,'1',207,'N'),(25,6375529,'1A',601,'N'),(25,6375537,'1',5,'N'),(25,6375545,'1',103,'N'),(25,6375553,'1',103,'N'),(25,6375561,'1',301,'N'),(25,6375570,'1',303,'N'),(25,6375588,'1',103,'N'),(25,6375596,'1',102,'N'),(25,6375600,'1',301,'N'),(25,6375618,'1',332,'N'),(25,6375626,'1',421,'N'),(25,6375626,'1A',428,'N'),(25,6375634,'1',452,'N'),(25,6375642,'1',103,'N'),(25,6375669,'1',203,'N'),(25,6375669,'1A',214,'N'),(25,6375677,'1',501,'N'),(25,6375685,'1',201,'N'),(25,6375685,'1A',233,'N'),(25,6375693,'1',103,'N'),(25,6375707,'1',999,'N'),(25,6375715,'1',302,'N'),(25,6375723,'1',216,'N'),(25,6375723,'1A',215,'N'),(25,6375731,'1',339,'N'),(25,6375758,'1',207,'N'),(25,6375758,'1A',201,'N'),(25,6375766,'1',103,'N'),(25,6375774,'1',103,'N'),(25,6375782,'1',203,'N'),(25,6375782,'1A',655,'N'),(25,6375790,'1',317,'N'),(25,6375804,'1',415,'N'),(25,6375812,'1',304,'N'),(25,6375820,'1',601,'N'),(25,6375839,'1',999,'N'),(25,6375847,'1',428,'N'),(25,6375847,'1A',423,'N'),(25,6375855,'1',225,'N'),(25,6375863,'1',653,'N'),(25,6375863,'1A',216,'N'),(25,6375871,'1',427,'N'),(25,6375871,'1A',423,'N'),(25,6375880,'1',207,'N'),(25,6375880,'1A',211,'N'),(25,6375898,'1',999,'N'),(25,6375901,'1',319,'N'),(25,6375936,'1',220,'N'),(25,6375936,'1A',238,'N'),(25,6375944,'1',428,'N'),(25,6375944,'1A',425,'N'),(25,6375952,'1',220,'N'),(25,6375952,'1A',235,'N'),(25,6375960,'1',101,'N'),(25,6375979,'1',328,'N'),(25,6375987,'1',102,'N'),(25,6375995,'1',329,'N'),(25,6376002,'1',238,'N'),(25,6376002,'1A',208,'N'),(25,6376010,'1',415,'N'),(25,6376029,'1',213,'N'),(25,6376029,'1A',211,'N'),(25,6376045,'1',340,'N'),(25,6376053,'1',220,'N'),(25,6376070,'1',327,'N'),(25,6376088,'1',234,'N'),(25,6376096,'1',9,'N'),(25,6376100,'1',301,'N'),(25,6376118,'1',451,'N'),(25,6376126,'1',103,'N'),(25,6376134,'1',5,'N'),(25,6376142,'1',653,'N'),(25,6376142,'1A',655,'N'),(25,6376150,'1',601,'N'),(25,6376150,'1A',201,'N'),(25,6376177,'1',220,'N'),(25,6376177,'1A',212,'N'),(25,6376185,'1',238,'N'),(25,6376185,'1A',208,'N'),(25,6376193,'1',502,'N'),(25,6376207,'1',308,'N'),(25,6376215,'1',104,'N'),(25,6376223,'1',999,'N'),(25,6376231,'1',104,'N'),(25,6376240,'1',238,'N'),(25,6376258,'1',502,'N'),(25,6376266,'1',551,'N'),(25,6376274,'1',203,'N'),(25,6376274,'1A',212,'N'),(25,6376282,'1',5,'N'),(25,6376290,'1',208,'N'),(25,6376290,'1A',211,'N'),(25,6376304,'1',238,'N'),(25,6376304,'1A',201,'N'),(25,6376312,'1',332,'N'),(25,6376320,'1',5,'N'),(25,6376339,'1',201,'N'),(25,6376339,'1A',208,'N'),(25,6376347,'1',415,'N'),(25,6376371,'1',102,'N'),(25,6376380,'1',103,'N'),(25,6376398,'1',103,'N'),(25,6376401,'1',316,'N'),(25,6376410,'1',444,'N'),(25,6376428,'1',301,'N'),(25,6376444,'1',328,'N'),(25,6376452,'1',238,'N'),(25,6376460,'1',319,'N'),(25,6376479,'1',109,'N'),(25,6376495,'1',103,'N'),(25,6376509,'1',104,'N'),(25,6376517,'1',103,'N'),(25,6376525,'1',601,'N'),(25,6376525,'1A',235,'N'),(25,6376533,'1',303,'N'),(25,6376541,'1',453,'N'),(25,6376550,'1',103,'N'),(25,6376568,'1',103,'N'),(25,6376576,'1',212,'N'),(25,6376584,'1',104,'N'),(25,6376592,'1',655,'N'),(25,6376592,'1A',652,'N'),(25,6376606,'1',308,'N'),(25,6376614,'1',202,'N'),(25,6376614,'1A',601,'N'),(25,6376622,'1',429,'N'),(25,6376622,'1A',426,'N'),(25,6376630,'1',429,'N'),(25,6376630,'1A',428,'N'),(25,6376649,'1',203,'N'),(25,6376649,'1A',233,'N'),(25,6376657,'1',302,'N'),(25,6376665,'1',102,'N'),(25,6376673,'1',213,'N'),(25,6376681,'1',301,'N'),(25,6376690,'1',444,'N'),(25,6376703,'1',303,'N'),(25,6376711,'1',301,'N'),(25,6376738,'1',103,'N'),(25,6376746,'1',999,'N'),(25,6376754,'1',319,'N'),(25,6376762,'1',319,'N'),(25,6376789,'1',103,'N'),(25,6376797,'1',109,'N'),(25,6376800,'1',212,'N'),(25,6376800,'1A',601,'N'),(25,6376819,'1',3,'N'),(25,6376827,'1',340,'N'),(25,6376835,'1',104,'N'),(25,6376843,'1',319,'N'),(25,6376860,'1',999,'N'),(25,6376886,'1',202,'N'),(25,6376886,'1A',213,'N'),(25,6376894,'1',444,'N'),(25,6376908,'1',303,'N'),(25,6376916,'1',301,'N'),(25,6376924,'1',104,'N'),(25,6376932,'1',207,'N'),(25,6376932,'1A',208,'N'),(25,6376959,'1',103,'N'),(25,6376967,'1',101,'N'),(25,6376975,'1',453,'N'),(25,6376983,'1',420,'N'),(25,6376991,'1',103,'N'),(25,6377009,'1',317,'N'),(25,6377017,'1',452,'N'),(25,6377025,'1',301,'N'),(25,6377033,'1',9,'N'),(25,6377041,'1',302,'N'),(25,6377050,'1',5,'N'),(25,6377068,'1',207,'N'),(25,6377068,'1A',201,'N'),(25,6377084,'1',551,'N'),(25,6377092,'1',203,'N'),(25,6377092,'1A',653,'N'),(25,6377106,'1',108,'N'),(25,6377114,'1',333,'N'),(25,6377122,'1',201,'N'),(25,6377122,'1A',216,'N'),(25,6377130,'1',333,'N'),(25,6377149,'1',207,'N'),(25,6377149,'1A',215,'N'),(25,6377165,'1',202,'N'),(25,6377165,'1A',213,'N'),(25,6377173,'1',103,'N'),(25,6377181,'1',103,'N'),(25,6377190,'1',202,'N'),(25,6377190,'1A',235,'N'),(25,6377203,'1',340,'N'),(25,6377211,'1',420,'N'),(25,6377220,'1',202,'N'),(25,6377220,'1A',220,'N'),(25,6377238,'1',336,'N'),(25,6377254,'1',308,'N'),(25,6377270,'1',3,'N'),(25,6377289,'1',601,'N'),(25,6377289,'1A',216,'N'),(25,6377297,'1',103,'N'),(25,6377300,'1',103,'N'),(25,6377319,'1',110,'N'),(25,6377327,'1',103,'N'),(25,6377335,'1',444,'N'),(25,6377343,'1',201,'N'),(25,6377351,'1',5,'N'),(25,6377360,'1',601,'N'),(25,6377360,'1A',215,'N'),(25,6377378,'1',302,'N'),(25,6377386,'1',201,'N'),(25,6377386,'1A',212,'N'),(25,6377394,'1',201,'N'),(25,6377394,'1A',203,'N'),(25,6377408,'1',319,'N'),(25,6377424,'1',5,'N'),(25,6377432,'1',103,'N'),(25,6377440,'1',303,'N'),(25,6377459,'1',211,'N'),(25,6377459,'1A',215,'N'),(25,6377467,'1',203,'N'),(25,6377467,'1A',214,'N'),(25,6377475,'1',339,'N'),(25,6377483,'1',415,'N'),(25,6377505,'1',999,'N'),(25,6377513,'1',999,'N'),(25,6377521,'1',340,'N'),(25,6377530,'1',502,'N'),(25,6377548,'1',103,'N'),(25,6377556,'1',420,'N'),(25,6377564,'1',999,'N'),(25,6377572,'1',201,'N'),(25,6377572,'1A',212,'N'),(25,6377580,'1',213,'N'),(25,6377580,'1A',220,'N'),(25,6377599,'1',428,'N'),(25,6377599,'1A',429,'N'),(25,6377602,'1',451,'N'),(25,6377610,'1',103,'N'),(25,6377629,'1',301,'N'),(25,6377645,'1',207,'N'),(25,6377645,'1A',211,'N'),(25,6377661,'1',220,'N'),(25,6377661,'1A',202,'N'),(25,6377670,'1',103,'N'),(25,6377688,'1',201,'N'),(25,6377696,'1',103,'N'),(25,6377700,'1',110,'N'),(25,6377718,'1',211,'N'),(25,6377726,'1',103,'N'),(25,6377734,'1',304,'N'),(25,6377742,'1',425,'N'),(25,6377742,'1A',421,'N'),(25,6377750,'1',5,'N'),(25,6377769,'1',601,'N'),(25,6377769,'1A',201,'N'),(25,6377777,'1',425,'N'),(25,6377777,'1A',427,'N'),(25,6377785,'1',999,'N'),(25,6377793,'1',5,'N'),(25,6377807,'1',327,'N'),(25,6377815,'1',103,'N'),(25,6377823,'1',103,'N'),(25,6377831,'1',5,'N'),(25,6377840,'1',211,'N'),(25,6377840,'1A',215,'N'),(25,6377858,'1',201,'N'),(25,6377858,'1A',216,'N'),(25,6377866,'1',424,'N'),(25,6377874,'1',340,'N'),(25,6377882,'1',301,'N'),(25,6377890,'1',501,'N'),(25,6377904,'1',337,'N'),(25,6377920,'1',5,'N'),(25,6377939,'1',999,'N'),(25,6377947,'1',104,'N'),(25,6377955,'1',9,'N'),(25,6377963,'1',224,'N'),(25,6377971,'1',336,'N'),(25,6377980,'1',502,'N'),(25,6378005,'1',9,'N'),(25,6378013,'1',304,'N'),(25,6378021,'1',9,'N'),(25,6378030,'1',101,'N'),(25,6378048,'1',326,'N'),(25,6378064,'1',601,'N'),(25,6378064,'1A',214,'N'),(25,6378072,'1',415,'N'),(25,6378080,'1',653,'N'),(25,6378080,'1A',655,'N'),(25,6378099,'1',103,'N'),(25,6378102,'1',211,'N'),(25,6378102,'1A',201,'N'),(25,6378110,'1',999,'N'),(25,6378145,'1',103,'N'),(25,6378153,'1',331,'N'),(25,6378161,'1',211,'N'),(25,6378161,'1A',203,'N'),(25,6378170,'1',211,'N'),(25,6378170,'1A',601,'N'),(25,6378200,'1',420,'N'),(25,6378218,'1',207,'N'),(25,6378218,'1A',211,'N'),(25,6378226,'1',101,'N'),(25,6378234,'1',103,'N'),(25,6378242,'1',5,'N'),(25,6378250,'1',5,'N'),(25,6378269,'1',212,'N'),(25,6378269,'1A',201,'N'),(25,6378277,'1',601,'N'),(25,6378277,'1A',653,'N'),(25,6378285,'1',207,'N'),(25,6378285,'1A',235,'N'),(25,6378293,'1',501,'N'),(25,6378315,'1',551,'N'),(25,6378323,'1',503,'N'),(25,6378331,'1',102,'N'),(25,6378340,'1',328,'N'),(25,6378358,'1',103,'N'),(25,6378366,'1',340,'N'),(25,6378374,'1',201,'N'),(25,6378374,'1A',212,'N'),(25,6378390,'1',207,'N'),(25,6378390,'1A',201,'N'),(25,6378404,'1',203,'N'),(25,6378404,'1A',655,'N'),(25,6378412,'1',451,'N'),(25,6378439,'1',999,'N'),(25,6378447,'1',304,'N'),(25,6378455,'1',501,'N'),(25,6378463,'1',329,'N'),(25,6378471,'1',335,'N'),(25,6378480,'1',110,'N'),(25,6378498,'1',103,'N'),(25,6378501,'1',5,'N'),(25,6378510,'1',415,'N'),(25,6378536,'1',103,'N'),(25,6378544,'1',340,'N'),(25,6378552,'1',999,'N'),(25,6378560,'1',316,'N'),(25,6378579,'1',319,'N'),(25,6378595,'1',110,'N'),(25,6378609,'1',103,'N'),(25,6378617,'1',103,'N'),(25,6378625,'1',450,'N'),(25,6378633,'1',207,'N'),(25,6378633,'1A',601,'N'),(25,6378650,'1',335,'N'),(25,6378668,'1',103,'N'),(25,6378676,'1',420,'N'),(25,6378684,'1',214,'N'),(25,6378684,'1A',212,'N'),(25,6378706,'1',452,'N'),(25,6378714,'1',329,'N'),(25,6378730,'1',104,'N'),(25,6378749,'1',103,'N'),(25,6378757,'1',340,'N'),(25,6378765,'1',108,'N'),(25,6378773,'1',103,'N'),(25,6378781,'1',207,'N'),(25,6378781,'1A',215,'N'),(25,6378790,'1',102,'N'),(25,6378803,'1',104,'N'),(25,6378820,'1',327,'N'),(25,6378838,'1',103,'N'),(25,6378854,'1',420,'N'),(25,6378862,'1',302,'N'),(25,6378870,'1',303,'N'),(25,6378889,'1',303,'N'),(25,6378897,'1',316,'N'),(25,6378900,'1',319,'N'),(25,6378919,'1',211,'N'),(25,6378919,'1A',215,'N'),(25,6378927,'1',303,'N'),(25,6378935,'1',340,'N'),(25,6378943,'1',207,'N'),(25,6378943,'1A',201,'N'),(25,6378951,'1',601,'N'),(25,6378951,'1A',653,'N'),(25,6378960,'1',308,'N'),(25,6378978,'1',452,'N'),(25,6378986,'1',103,'N'),(25,6379001,'1',103,'N'),(25,6379010,'1',319,'N'),(25,6379028,'1',652,'N'),(25,6379028,'1A',655,'N'),(25,6379036,'1',319,'N'),(25,6379044,'1',655,'N'),(25,6379044,'1A',653,'N'),(25,6379052,'1',426,'N'),(25,6379052,'1A',423,'N'),(25,6379060,'1',103,'N'),(25,6379079,'1',999,'N'),(25,6379095,'1',234,'N'),(25,6379109,'1',201,'N'),(25,6379109,'1A',202,'N'),(25,6379117,'1',109,'N'),(25,6379125,'1',999,'N'),(25,6379133,'1',444,'N'),(25,6379141,'1',319,'N'),(25,6379150,'1',328,'N'),(25,6379168,'1',316,'N'),(25,6379176,'1',303,'N'),(25,6379184,'1',423,'N'),(25,6379184,'1A',424,'N'),(25,6379206,'1',214,'N'),(25,6379206,'1A',601,'N'),(25,6379214,'1',601,'N'),(25,6379222,'1',203,'N'),(25,6379222,'1A',202,'N'),(25,6379230,'1',415,'N'),(25,6379249,'1',653,'N'),(25,6379249,'1A',202,'N'),(25,6379257,'1',103,'N'),(25,6379265,'1',109,'N'),(25,6379273,'1',103,'N'),(25,6379281,'1',601,'N'),(25,6379281,'1A',201,'N'),(25,6379290,'1',319,'N'),(25,6379303,'1',102,'N'),(25,6379311,'1',104,'N'),(25,6379320,'1',201,'N'),(25,6379320,'1A',216,'N'),(25,6379338,'1',212,'N'),(25,6379338,'1A',233,'N'),(25,6379346,'1',103,'N'),(25,6379354,'1',201,'N'),(25,6379354,'1A',212,'N'),(25,6379370,'1',333,'N'),(25,6379389,'1',999,'N'),(25,6379397,'1',426,'N'),(25,6379397,'1A',428,'N'),(25,6379400,'1',103,'N'),(25,6379427,'1',238,'N'),(25,6379435,'1',103,'N'),(25,6379443,'1',427,'N'),(25,6379443,'1A',425,'N'),(25,6379460,'1',501,'N'),(25,6379478,'1',415,'N'),(25,6379486,'1',109,'N'),(25,6379494,'1',103,'N'),(25,6379508,'1',319,'N'),(25,6379516,'1',452,'N'),(25,6379524,'1',5,'N'),(25,6379532,'1',316,'N'),(25,6379540,'1',9,'N'),(25,6379559,'1',319,'N'),(25,6379567,'1',212,'N'),(25,6379567,'1A',214,'N'),(25,6379575,'1',216,'N'),(25,6379575,'1A',215,'N'),(25,6379583,'1',301,'N'),(25,6379591,'1',104,'N'),(25,6379605,'1',216,'N'),(25,6379605,'1A',215,'N'),(25,6379613,'1',202,'N'),(25,6379613,'1A',214,'N'),(25,6379621,'1',999,'N'),(25,6379630,'1',109,'N'),(25,6379648,'1',303,'N'),(25,6379656,'1',103,'N'),(25,6379672,'1',316,'N'),(25,6379680,'1',101,'N'),(25,6379699,'1',223,'N'),(25,6379702,'1',208,'N'),(25,6379702,'1A',202,'N'),(25,6379710,'1',207,'N'),(25,6379710,'1A',216,'N'),(25,6379729,'1',222,'N'),(25,6379737,'1',9,'N'),(25,6379745,'1',309,'N'),(25,6379753,'1',104,'N'),(25,6379761,'1',304,'N'),(25,6379770,'1',216,'N'),(25,6379770,'1A',201,'N'),(25,6379788,'1',214,'N'),(25,6379788,'1A',213,'N'),(25,6379796,'1',207,'N'),(25,6379800,'1',5,'N'),(25,6379818,'1',211,'N'),(25,6379818,'1A',233,'N'),(25,6379826,'1',501,'N'),(25,6379834,'1',201,'N'),(25,6379834,'1A',212,'N'),(25,6379842,'1',309,'N'),(25,6379850,'1',415,'N'),(25,6379869,'1',551,'N'),(25,6379877,'1',999,'N'),(25,6379885,'1',201,'N'),(25,6379885,'1A',212,'N'),(25,6379893,'1',319,'N'),(25,6379907,'1',103,'N'),(25,6379915,'1',319,'N'),(25,6379923,'1',101,'N'),(25,6379931,'1',333,'N'),(25,6379940,'1',109,'N'),(25,6379958,'1',452,'N'),(25,6379966,'1',451,'N'),(25,6379990,'1',999,'N'),(25,6380018,'1',201,'N'),(25,6380018,'1A',203,'N'),(25,6380026,'1',103,'N'),(25,6380034,'1',201,'N'),(25,6380034,'1A',655,'N'),(25,6380042,'1',451,'N'),(25,6380050,'1',5,'N'),(25,6380069,'1',213,'N'),(25,6380069,'1A',235,'N'),(25,6380077,'1',452,'N'),(25,6380085,'1',404,'N'),(25,6380093,'1',317,'N'),(25,6380107,'1',213,'N'),(25,6380115,'1',318,'N'),(25,6380123,'1',202,'N'),(25,6380123,'1A',213,'N'),(25,6380131,'1',101,'N'),(25,6380140,'1',101,'N'),(25,6380158,'1',104,'N'),(25,6380166,'1',338,'N'),(25,6380174,'1',340,'N'),(25,6380182,'1',201,'N'),(25,6380182,'1A',238,'N'),(25,6380190,'1',309,'N'),(25,6380204,'1',302,'N'),(25,6380212,'1',999,'N'),(25,6380220,'1',327,'N'),(25,6380239,'1',501,'N'),(25,6380247,'1',235,'N'),(25,6380247,'1A',202,'N'),(25,6380255,'1',103,'N'),(25,6380271,'1',302,'N'),(25,6380280,'1',216,'N'),(25,6380280,'1A',203,'N'),(25,6380298,'1',415,'N'),(25,6380301,'1',317,'N'),(25,6380310,'1',999,'N'),(25,6380336,'1',109,'N'),(25,6380344,'1',211,'N'),(25,6380344,'1A',215,'N'),(25,6380360,'1',5,'N'),(25,6380379,'1',201,'N'),(25,6380379,'1A',207,'N'),(25,6380409,'1',212,'N'),(25,6380409,'1A',233,'N'),(25,6380417,'1',103,'N'),(25,6380433,'1',203,'N'),(25,6380433,'1A',201,'N'),(25,6380441,'1',216,'N'),(25,6380441,'1A',215,'N'),(25,6380450,'1',426,'N'),(25,6380450,'1A',423,'N'),(25,6380468,'1',309,'N'),(25,6380476,'1',201,'N'),(25,6380492,'1',103,'N'),(25,6380506,'1',501,'N'),(25,6380522,'1',999,'N'),(25,6380549,'1',103,'N'),(25,6380557,'1',201,'N'),(25,6380557,'1A',207,'N'),(25,6380565,'1',653,'N'),(25,6380565,'1A',655,'N'),(25,6380573,'1',103,'N'),(25,6380581,'1',103,'N'),(25,6380590,'1',333,'N'),(25,6380611,'1',202,'N'),(25,6380611,'1A',235,'N'),(25,6380620,'1',415,'N'),(25,6380638,'1',216,'N'),(25,6380638,'1A',215,'N'),(25,6380646,'1',233,'N'),(25,6380646,'1A',235,'N'),(25,6380662,'1',101,'N'),(25,6380670,'1',404,'N'),(25,6380689,'1',208,'N'),(25,6380697,'1',201,'N'),(25,6380697,'1A',208,'N'),(25,6380700,'1',203,'N'),(25,6380700,'1A',216,'N'),(25,6380727,'1',203,'N'),(25,6380727,'1A',201,'N'),(25,6380743,'1',208,'N'),(25,6380743,'1A',655,'N'),(25,6380751,'1',103,'N'),(25,6380760,'1',415,'N'),(25,6380778,'1',310,'N'),(25,6380786,'1',340,'N'),(25,6380794,'1',319,'N'),(25,6380808,'1',502,'N'),(25,6380816,'1',203,'N'),(25,6380816,'1A',214,'N'),(25,6380824,'1',102,'N'),(25,6380832,'1',425,'N'),(25,6380832,'1A',429,'N'),(25,6380859,'1',216,'N'),(25,6380859,'1A',201,'N'),(25,6380867,'1',220,'N'),(25,6380867,'1A',238,'N'),(25,6380875,'1',203,'N'),(25,6380883,'1',110,'N'),(25,6380891,'1',207,'N'),(25,6380891,'1A',653,'N'),(25,6380905,'1',208,'N'),(25,6380905,'1A',238,'N'),(25,6380921,'1',238,'N'),(25,6380921,'1A',208,'N'),(25,6380930,'1',214,'N'),(25,6380930,'1A',203,'N'),(25,6380948,'1',110,'N'),(25,6380956,'1',5,'N'),(25,6380964,'1',601,'N'),(25,6380964,'1A',203,'N'),(25,6380972,'1',426,'N'),(25,6380972,'1A',429,'N'),(25,6380999,'1',5,'N'),(25,6381006,'1',103,'N'),(25,6381014,'1',110,'N'),(25,6381022,'1',303,'N'),(25,6381030,'1',212,'N'),(25,6381030,'1A',213,'N'),(25,6381049,'1',327,'N'),(25,6381057,'1',551,'N'),(25,6381065,'1',317,'N'),(25,6381073,'1',201,'N'),(25,6381073,'1A',207,'N'),(25,6381081,'1',101,'N'),(25,6381103,'1',201,'N'),(25,6381103,'1A',207,'N'),(25,6381111,'1',415,'N'),(25,6381120,'1',415,'N'),(25,6381146,'1',203,'N'),(25,6381146,'1A',214,'N'),(25,6381154,'1',225,'N'),(25,6381162,'1',303,'N'),(25,6381170,'1',450,'N'),(25,6381189,'1',104,'N'),(25,6381197,'1',208,'N'),(25,6381197,'1A',238,'N'),(25,6381200,'1',415,'N'),(25,6381219,'1',303,'N'),(25,6381227,'1',103,'N'),(25,6381243,'1',238,'N'),(25,6381243,'1A',211,'N'),(25,6381251,'1',202,'N'),(25,6381251,'1A',213,'N'),(25,6381260,'1',222,'N'),(25,6381278,'1',340,'N'),(25,6381286,'1',303,'N'),(25,6381308,'1',103,'N'),(25,6381316,'1',103,'N'),(25,6381324,'1',444,'N'),(25,6381332,'1',103,'N'),(25,6381340,'1',103,'N'),(25,6381359,'1',425,'N'),(25,6381359,'1A',427,'N'),(25,6381367,'1',233,'N'),(25,6381367,'1A',212,'N'),(25,6381375,'1',201,'N'),(25,6381375,'1A',203,'N'),(25,6381383,'1',201,'N'),(25,6381383,'1A',207,'N'),(25,6381405,'1',203,'N'),(25,6381405,'1A',202,'N'),(25,6381413,'1',420,'N'),(25,6381421,'1',103,'N'),(25,6381430,'1',5,'N'),(25,6381448,'1',999,'N'),(25,6381456,'1',319,'N'),(25,6381464,'1',103,'N'),(25,6381480,'1',207,'N'),(25,6381480,'1A',653,'N'),(25,6381499,'1',3,'N'),(25,6381502,'1',103,'N'),(25,6381529,'1',551,'N'),(25,6381545,'1',103,'N'),(25,6381553,'1',317,'N'),(25,6381561,'1',203,'N'),(25,6381561,'1A',214,'N'),(25,6381570,'1',104,'N'),(25,6381588,'1',201,'N'),(25,6381588,'1A',212,'N'),(25,6381600,'1',326,'N'),(25,6381618,'1',104,'N'),(25,6381626,'1',999,'N'),(25,6381634,'1',301,'N'),(25,6381642,'1',319,'N'),(25,6381669,'1',444,'N'),(25,6381677,'1',101,'N'),(25,6381685,'1',216,'N'),(25,6381685,'1A',201,'N'),(25,6381693,'1',103,'N'),(25,6381707,'1',501,'N'),(25,6381715,'1',103,'N'),(25,6381723,'1',308,'N'),(25,6381731,'1',103,'N'),(25,6381740,'1',108,'N'),(25,6381758,'1',551,'N'),(25,6381774,'1',318,'N'),(25,6381790,'1',103,'N'),(25,6381804,'1',102,'N'),(25,6381812,'1',233,'N'),(25,6381812,'1A',235,'N'),(25,6381820,'1',337,'N'),(25,6381839,'1',104,'N'),(25,6381863,'1',502,'N'),(25,6381871,'1',303,'N'),(25,6381898,'1',301,'N'),(25,6381901,'1',201,'N'),(25,6381901,'1A',212,'N'),(25,6381910,'1',340,'N'),(25,6381928,'1',203,'N'),(25,6381928,'1A',214,'N'),(25,6381936,'1',316,'N'),(25,6381944,'1',999,'N'),(25,6381952,'1',216,'N'),(25,6381952,'1A',201,'N'),(25,6381960,'1',103,'N'),(25,6381979,'1',654,'N'),(25,6381987,'1',338,'N'),(25,6381995,'1',102,'N'),(25,6382002,'1',320,'N'),(25,6382010,'1',319,'N'),(25,6382029,'1',310,'N'),(25,6382037,'1',5,'N'),(25,6382045,'1',202,'N'),(25,6382045,'1A',238,'N'),(25,6382053,'1',201,'N'),(25,6382053,'1A',207,'N'),(25,6382061,'1',999,'N'),(25,6382070,'1',303,'N'),(25,6382088,'1',303,'N'),(25,6382096,'1',110,'N'),(25,6382118,'1',203,'N'),(25,6382118,'1A',201,'N'),(25,6382126,'1',238,'N'),(25,6382126,'1A',601,'N'),(25,6382134,'1',444,'N'),(25,6382142,'1',999,'N'),(25,6382150,'1',103,'N'),(25,6382169,'1',103,'N'),(25,6382177,'1',103,'N'),(25,6382185,'1',301,'N'),(25,6382193,'1',208,'N'),(25,6382193,'1A',238,'N'),(25,6382207,'1',302,'N'),(25,6382215,'1',999,'N'),(25,6382223,'1',999,'N'),(25,6382231,'1',203,'N'),(25,6382231,'1A',208,'N'),(25,6382258,'1',103,'N'),(25,6382266,'1',316,'N'),(25,6382274,'1',303,'N'),(25,6382312,'1',202,'N'),(25,6382312,'1A',233,'N'),(25,6382339,'1',9,'N'),(25,6382347,'1',304,'N'),(25,6382355,'1',303,'N'),(25,6382363,'1',104,'N'),(25,6382371,'1',340,'N'),(25,6382380,'1',103,'N'),(25,6382398,'1',318,'N'),(25,6382401,'1',301,'N'),(25,6382410,'1',103,'N'),(25,6382428,'1',202,'N'),(25,6382428,'1A',653,'N'),(25,6382436,'1',340,'N'),(25,6382444,'1',208,'N'),(25,6382444,'1A',238,'N'),(25,6382452,'1',201,'N'),(25,6382452,'1A',211,'N'),(25,6382460,'1',103,'N'),(25,6382479,'1',303,'N'),(25,6382487,'1',201,'N'),(25,6382487,'1A',212,'N'),(25,6382495,'1',999,'N'),(25,6382509,'1',214,'N'),(25,6382509,'1A',208,'N'),(25,6382517,'1',340,'N'),(25,6382525,'1',233,'N'),(25,6382525,'1A',203,'N'),(25,6382533,'1',220,'N'),(25,6382533,'1A',212,'N'),(25,6382541,'1',208,'N'),(25,6382541,'1A',203,'N'),(25,6382568,'1',109,'N'),(25,6382576,'1',653,'N'),(25,6382576,'1A',652,'N'),(25,6382584,'1',103,'N'),(25,6382592,'1',103,'N'),(25,6382614,'1',103,'N'),(25,6382622,'1',999,'N'),(25,6382630,'1',103,'N'),(25,6382649,'1',103,'N'),(25,6382657,'1',109,'N'),(25,6382665,'1',203,'N'),(25,6382665,'1A',220,'N'),(25,6382673,'1',103,'N'),(25,6382681,'1',340,'N'),(25,6382690,'1',201,'N'),(25,6382690,'1A',207,'N'),(25,6382720,'1',103,'N'),(25,6382738,'1',208,'N'),(25,6382738,'1A',652,'N'),(25,6382746,'1',214,'N'),(25,6382746,'1A',212,'N'),(25,6382762,'1',108,'N'),(25,6382770,'1',233,'N'),(25,6382770,'1A',238,'N'),(25,6382789,'1',999,'N'),(25,6382797,'1',108,'N'),(25,6382800,'1',201,'N'),(25,6382800,'1A',233,'N'),(25,6382819,'1',103,'N'),(25,6382827,'1',999,'N'),(25,6382835,'1',201,'N'),(25,6382835,'1A',214,'N'),(25,6382843,'1',102,'N'),(25,6382851,'1',319,'N'),(25,6382878,'1',337,'N'),(25,6382886,'1',425,'N'),(25,6382886,'1A',429,'N'),(25,6382894,'1',303,'N'),(25,6382908,'1',302,'N'),(25,6382916,'1',203,'N'),(25,6382916,'1A',216,'N'),(25,6382924,'1',336,'N'),(25,6382932,'1',301,'N'),(25,6382940,'1',201,'N'),(25,6382940,'1A',212,'N'),(25,6382959,'1',450,'N'),(25,6382967,'1',109,'N'),(25,6382975,'1',336,'N'),(25,6382983,'1',207,'N'),(25,6382983,'1A',202,'N'),(25,6382991,'1',201,'N'),(25,6382991,'1A',211,'N'),(25,6383009,'1',999,'N'),(25,6383017,'1',208,'N'),(25,6383017,'1A',655,'N'),(25,6383025,'1',501,'N'),(25,6383033,'1',103,'N'),(25,6383041,'1',103,'N'),(25,6383050,'1',103,'N'),(25,6383068,'1',339,'N'),(25,6383084,'1',319,'N'),(25,6383092,'1',203,'N'),(25,6383092,'1A',233,'N'),(25,6383106,'1',233,'N'),(25,6383106,'1A',216,'N'),(25,6383114,'1',551,'N'),(25,6383122,'1',328,'N'),(25,6383130,'1',103,'N'),(25,6383149,'1',207,'N'),(25,6383149,'1A',201,'N'),(25,6383157,'1',999,'N'),(25,6383173,'1',444,'N'),(25,6383181,'1',999,'N'),(25,6383190,'1',103,'N'),(25,6383203,'1',207,'N'),(25,6383203,'1A',211,'N'),(25,6383211,'1',301,'N'),(25,6383220,'1',103,'N'),(25,6383246,'1',999,'N'),(25,6383254,'1',220,'N'),(25,6383254,'1A',203,'N'),(25,6383262,'1',452,'N'),(25,6383270,'1',101,'N'),(25,6383289,'1',332,'N'),(25,6383297,'1',207,'N'),(25,6383297,'1A',211,'N'),(25,6383300,'1',423,'N'),(25,6383300,'1A',426,'N'),(25,6383319,'1',202,'N'),(25,6383319,'1A',601,'N'),(25,6383335,'1',425,'N'),(25,6383335,'1A',426,'N'),(25,6383343,'1',340,'N'),(25,6383360,'1',207,'N'),(25,6383360,'1A',201,'N'),(25,6383378,'1',220,'N'),(25,6383378,'1A',601,'N'),(25,6383386,'1',214,'N'),(25,6383386,'1A',233,'N'),(25,6383408,'1',332,'N'),(25,6383416,'1',104,'N'),(25,6383424,'1',203,'N'),(25,6383424,'1A',220,'N'),(25,6383432,'1',110,'N'),(25,6383440,'1',452,'N'),(25,6383459,'1',339,'N'),(25,6383467,'1',103,'N'),(25,6383475,'1',201,'N'),(25,6383475,'1A',601,'N'),(25,6383483,'1',103,'N'),(25,6383505,'1',104,'N'),(25,6383530,'1',5,'N'),(25,6383548,'1',109,'N'),(25,6383556,'1',103,'N'),(25,6383564,'1',208,'N'),(25,6383564,'1A',220,'N'),(25,6383572,'1',653,'N'),(25,6383580,'1',102,'N'),(25,6383599,'1',999,'N'),(25,6383602,'1',233,'N'),(25,6383602,'1A',216,'N'),(25,6383610,'1',319,'N'),(25,6383629,'1',103,'N'),(25,6383637,'1',5,'N'),(25,6383645,'1',5,'N'),(25,6383653,'1',335,'N'),(25,6383661,'1',201,'N'),(25,6383661,'1A',212,'N'),(25,6383670,'1',999,'N'),(25,6383688,'1',324,'N'),(25,6383696,'1',308,'N'),(25,6383700,'1',201,'N'),(25,6383726,'1',327,'N'),(25,6383734,'1',233,'N'),(25,6383734,'1A',235,'N'),(25,6383769,'1',103,'N'),(25,6383777,'1',103,'N'),(25,6383785,'1',328,'N'),(25,6383793,'1',309,'N'),(25,6383807,'1',308,'N'),(25,6383815,'1',103,'N'),(25,6383823,'1',108,'N'),(25,6383831,'1',203,'N'),(25,6383831,'1A',201,'N'),(25,6383840,'1',104,'N'),(25,6383858,'1',207,'N'),(25,6383858,'1A',201,'N'),(25,6383890,'1',207,'N'),(25,6383890,'1A',215,'N'),(25,6383912,'1',103,'N'),(25,6383920,'1',308,'N'),(25,6383939,'1',5,'N'),(25,6383947,'1',201,'N'),(25,6383947,'1A',235,'N'),(25,6383963,'1',999,'N'),(25,6383971,'1',329,'N'),(25,6383980,'1',103,'N'),(25,6383998,'1',450,'N'),(25,6384005,'1',999,'N'),(25,6384013,'1',201,'N'),(25,6384013,'1A',211,'N'),(25,6384048,'1',103,'N'),(25,6384056,'1',999,'N'),(25,6384064,'1',303,'N'),(25,6384072,'1',303,'N'),(25,6384099,'1',103,'N'),(25,6384110,'1',303,'N'),(25,6384137,'1',103,'N'),(25,6384145,'1',103,'N'),(25,6384153,'1',102,'N'),(25,6384161,'1',214,'N'),(25,6384161,'1A',213,'N'),(25,6384170,'1',207,'N'),(25,6384170,'1A',201,'N'),(25,6384188,'1',103,'N'),(25,6384200,'1',103,'N'),(25,6384218,'1',203,'N'),(25,6384226,'1',211,'N'),(25,6384226,'1A',653,'N'),(25,6384234,'1',104,'N'),(25,6384242,'1',999,'N'),(25,6384250,'1',332,'N'),(25,6384269,'1',103,'N'),(25,6384277,'1',203,'N'),(25,6384277,'1A',238,'N'),(25,6384285,'1',501,'N'),(25,6384293,'1',9,'N'),(25,6384307,'1',102,'N'),(25,6384323,'1',103,'N'),(25,6384331,'1',215,'N'),(25,6384331,'1A',216,'N'),(25,6384340,'1',216,'N'),(25,6384340,'1A',203,'N'),(25,6384358,'1',104,'N'),(25,6384366,'1',203,'N'),(25,6384366,'1A',214,'N'),(25,6384374,'1',601,'N'),(25,6384382,'1',203,'N'),(25,6384382,'1A',202,'N'),(25,6384390,'1',103,'N'),(25,6384404,'1',201,'N'),(25,6384404,'1A',203,'N'),(25,6384412,'1',235,'N'),(25,6384412,'1A',208,'N'),(25,6384420,'1',201,'N'),(25,6384420,'1A',202,'N'),(25,6384439,'1',103,'N'),(25,6384447,'1',5,'N'),(25,6384455,'1',415,'N'),(25,6384463,'1',233,'N'),(25,6384463,'1A',211,'N'),(25,6384471,'1',601,'N'),(25,6384471,'1A',203,'N'),(25,6384480,'1',208,'N'),(25,6384480,'1A',202,'N'),(25,6384498,'1',201,'N'),(25,6384498,'1A',208,'N'),(25,6384501,'1',103,'N'),(25,6384510,'1',103,'N'),(25,6384536,'1',999,'N'),(25,6384544,'1',9,'N'),(25,6384552,'1',201,'N'),(25,6384552,'1A',203,'N'),(25,6384579,'1',316,'N'),(25,6384587,'1',653,'N'),(25,6384587,'1A',655,'N'),(25,6384595,'1',212,'N'),(25,6384595,'1A',215,'N'),(25,6384609,'1',103,'N'),(25,6384625,'1',999,'N'),(25,6384633,'1',326,'N'),(25,6384641,'1',340,'N'),(25,6384650,'1',103,'N'),(25,6384676,'1',302,'N'),(25,6384692,'1',304,'N'),(25,6384706,'1',203,'N'),(25,6384706,'1A',233,'N'),(25,6384714,'1',103,'N'),(25,6384722,'1',999,'N'),(25,6384749,'1',339,'N'),(25,6384757,'1',234,'N'),(25,6384765,'1',303,'N'),(25,6384773,'1',103,'N'),(25,6384781,'1',452,'N'),(25,6384790,'1',404,'N'),(25,6384803,'1',301,'N'),(25,6384811,'1',103,'N'),(25,6384854,'1',207,'N'),(25,6384854,'1A',201,'N'),(25,6384862,'1',104,'N'),(25,6384870,'1',201,'N'),(25,6384870,'1A',207,'N'),(25,6384889,'1',340,'N'),(25,6384897,'1',654,'N'),(25,6384900,'1',110,'N'),(25,6384919,'1',451,'N'),(25,6384935,'1',216,'N'),(25,6384935,'1A',203,'N'),(25,6384943,'1',103,'N'),(25,6384951,'1',103,'N'),(25,6384960,'1',238,'N'),(25,6384960,'1A',601,'N'),(25,6384978,'1',216,'N'),(25,6384978,'1A',201,'N'),(25,6384986,'1',213,'N'),(25,6384986,'1A',214,'N'),(25,6384994,'1',333,'N'),(25,6385001,'1',999,'N'),(25,6385028,'1',999,'N'),(25,6385036,'1',201,'N'),(25,6385036,'1A',202,'N'),(25,6385044,'1',302,'N'),(25,6385052,'1',101,'N'),(25,6385060,'1',329,'N'),(25,6385079,'1',302,'N'),(25,6385087,'1',201,'N'),(25,6385087,'1A',215,'N'),(25,6385095,'1',501,'N'),(25,6385109,'1',103,'N'),(25,6385117,'1',223,'N'),(25,6385125,'1',235,'N'),(25,6385125,'1A',216,'N'),(25,6385133,'1',214,'N'),(25,6385133,'1A',653,'N'),(25,6385150,'1',104,'N'),(25,6385168,'1',103,'N'),(25,6385176,'1',999,'N'),(25,6385184,'1',103,'N'),(25,6385192,'1',452,'N'),(25,6385206,'1',324,'N'),(25,6385214,'1',103,'N'),(25,6385222,'1',452,'N'),(25,6385230,'1',102,'N'),(25,6385249,'1',999,'N'),(25,6385257,'1',317,'N'),(25,6385273,'1',235,'N'),(25,6385273,'1A',601,'N'),(25,6385303,'1',201,'N'),(25,6385303,'1A',212,'N'),(25,6385311,'1',999,'N'),(25,6385320,'1',101,'N'),(25,6385338,'1',318,'N'),(25,6385346,'1',103,'N'),(25,6385362,'1',3,'N'),(25,6385370,'1',452,'N'),(25,6385389,'1',103,'N'),(25,6385397,'1',654,'N'),(25,6385400,'1',103,'N'),(25,6385419,'1',319,'N'),(25,6385427,'1',103,'N'),(25,6385435,'1',601,'N'),(25,6385435,'1A',208,'N'),(25,6385443,'1',303,'N'),(25,6385451,'1',103,'N'),(25,6385460,'1',103,'N'),(25,6385478,'1',215,'N'),(25,6385478,'1A',211,'N'),(25,6385486,'1',301,'N'),(25,6385494,'1',303,'N'),(25,6385516,'1',235,'N'),(25,6385516,'1A',208,'N'),(25,6385524,'1',999,'N'),(25,6385532,'1',451,'N'),(25,6385540,'1',301,'N'),(25,6385559,'1',317,'N'),(25,6385567,'1',212,'N'),(25,6385567,'1A',211,'N'),(25,6385575,'1',452,'N'),(25,6385591,'1',101,'N'),(25,6385613,'1',208,'N'),(25,6385613,'1A',238,'N'),(25,6385621,'1',425,'N'),(25,6385621,'1A',424,'N'),(25,6385630,'1',102,'N'),(25,6385648,'1',999,'N'),(25,6385656,'1',453,'N'),(25,6385664,'1',316,'N'),(25,6385672,'1',316,'N'),(25,6385680,'1',5,'N'),(25,6385699,'1',5,'N'),(25,6385702,'1',340,'N'),(25,6385710,'1',303,'N'),(25,6385729,'1',201,'N'),(25,6385729,'1A',207,'N'),(25,6385737,'1',103,'N'),(25,6385745,'1',333,'N'),(25,6385753,'1',444,'N'),(25,6385761,'1',201,'N'),(25,6385761,'1A',208,'N'),(25,6385770,'1',216,'N'),(25,6385770,'1A',233,'N'),(25,6385788,'1',103,'N'),(25,6385796,'1',5,'N'),(25,6385818,'1',317,'N'),(25,6385826,'1',5,'N'),(25,6385834,'1',444,'N'),(25,6385842,'1',225,'N'),(25,6385850,'1',601,'N'),(25,6385850,'1A',201,'N'),(25,6385869,'1',319,'N'),(25,6385877,'1',319,'N'),(25,6385885,'1',303,'N'),(25,6385893,'1',303,'N'),(25,6385907,'1',326,'N'),(25,6385915,'1',103,'N'),(25,6385923,'1',453,'N'),(25,6385931,'1',203,'N'),(25,6385966,'1',450,'N'),(25,6385974,'1',233,'N'),(25,6385974,'1A',213,'N'),(25,6385982,'1',303,'N'),(25,6385990,'1',999,'N'),(25,6386008,'1',337,'N'),(25,6386016,'1',208,'N'),(25,6386024,'1',220,'N'),(25,6386024,'1A',202,'N'),(25,6386032,'1',103,'N'),(25,6386040,'1',103,'N'),(25,6386059,'1',207,'N'),(25,6386059,'1A',201,'N'),(25,6386067,'1',444,'N'),(25,6386075,'1',337,'N'),(25,6386083,'1',212,'N'),(25,6386083,'1A',201,'N'),(25,6386091,'1',999,'N'),(25,6386105,'1',301,'N'),(25,6386121,'1',450,'N'),(25,6386148,'1',316,'N'),(25,6386156,'1',317,'N'),(25,6386164,'1',301,'N'),(25,6386172,'1',303,'N'),(25,6386180,'1',214,'N'),(25,6386180,'1A',233,'N'),(25,6386199,'1',317,'N'),(25,6386229,'1',103,'N'),(25,6386237,'1',9,'N'),(25,6386253,'1',304,'N'),(25,6386261,'1',201,'N'),(25,6386261,'1A',207,'N'),(25,6386270,'1',108,'N'),(25,6386288,'1',103,'N'),(25,6386296,'1',9,'N'),(25,6386300,'1',201,'N'),(25,6386300,'1A',212,'N'),(25,6386318,'1',103,'N'),(25,6386326,'1',420,'N'),(25,6386334,'1',104,'N'),(25,6386342,'1',2,'N'),(25,6386350,'1',415,'N'),(25,6386369,'1',340,'N'),(25,6386377,'1',318,'N'),(25,6386385,'1',103,'N'),(25,6386393,'1',224,'N'),(25,6386407,'1',303,'N'),(25,6386415,'1',452,'N'),(25,6386423,'1',319,'N'),(25,6386431,'1',303,'N'),(25,6386440,'1',207,'N'),(25,6386458,'1',110,'N'),(25,6386466,'1',303,'N'),(25,6386474,'1',338,'N'),(25,6386482,'1',5,'N'),(25,6386490,'1',319,'N'),(25,6386504,'1',102,'N'),(25,6386512,'1',104,'N'),(25,6386520,'1',201,'N'),(25,6386520,'1A',207,'N'),(25,6386539,'1',213,'N'),(25,6386539,'1A',212,'N'),(25,6386547,'1',233,'N'),(25,6386547,'1A',235,'N'),(25,6386555,'1',238,'N'),(25,6386555,'1A',207,'N'),(25,6386563,'1',201,'N'),(25,6386563,'1A',212,'N'),(25,6386571,'1',503,'N'),(25,6386580,'1',201,'N'),(25,6386580,'1A',207,'N'),(25,6386598,'1',424,'N'),(25,6386601,'1',103,'N'),(25,6386610,'1',103,'N'),(25,6386628,'1',238,'N'),(25,6386628,'1A',207,'N'),(25,6386652,'1',444,'N'),(25,6386660,'1',103,'N'),(25,6386687,'1',103,'N'),(25,6386695,'1',3,'N'),(25,6386709,'1',999,'N'),(25,6386717,'1',103,'N'),(25,6386733,'1',999,'N'),(25,6386741,'1',999,'N'),(25,6386750,'1',201,'N'),(25,6386750,'1A',212,'N'),(25,6386768,'1',601,'N'),(25,6386768,'1A',202,'N'),(25,6386776,'1',999,'N'),(25,6386792,'1',103,'N'),(25,6386806,'1',108,'N'),(25,6386822,'1',103,'N'),(25,6386830,'1',551,'N'),(25,6386849,'1',103,'N'),(25,6386857,'1',303,'N'),(25,6386873,'1',303,'N'),(25,6386881,'1',103,'N'),(25,6386890,'1',238,'N'),(25,6386890,'1A',208,'N'),(25,6386903,'1',103,'N'),(25,6386920,'1',451,'N'),(25,6386938,'1',109,'N'),(25,6386946,'1',103,'N'),(25,6386954,'1',223,'N'),(25,6386962,'1',999,'N'),(25,6386970,'1',104,'N'),(25,6386989,'1',5,'N'),(25,6386997,'1',238,'N'),(25,6386997,'1A',235,'N'),(25,6387004,'1',999,'N'),(25,6387012,'1',238,'N'),(25,6387012,'1A',208,'N'),(25,6387020,'1',101,'N'),(25,6387039,'1',103,'N'),(25,6387047,'1',302,'N'),(25,6387063,'1',415,'N'),(25,6387071,'1',340,'N'),(25,6387080,'1',220,'N'),(25,6387080,'1A',215,'N'),(25,6387098,'1',309,'N'),(25,6387101,'1',308,'N'),(25,6387110,'1',317,'N'),(25,6387128,'1',653,'N'),(25,6387128,'1A',655,'N'),(25,6387136,'1',421,'N'),(25,6387136,'1A',427,'N'),(25,6387152,'1',450,'N'),(25,6387160,'1',208,'N'),(25,6387160,'1A',655,'N'),(25,6387179,'1',308,'N'),(25,6387187,'1',501,'N'),(25,6387195,'1',109,'N'),(25,6387209,'1',103,'N'),(25,6387217,'1',215,'N'),(25,6387217,'1A',233,'N'),(25,6387241,'1',220,'N'),(25,6387241,'1A',655,'N'),(25,6387250,'1',109,'N'),(25,6387268,'1',319,'N'),(25,6387276,'1',220,'N'),(25,6387276,'1A',208,'N'),(25,6387284,'1',303,'N'),(25,6387292,'1',103,'N'),(25,6387314,'1',302,'N'),(25,6387322,'1',104,'N'),(25,6387330,'1',5,'N'),(25,6387357,'1',201,'N'),(25,6387357,'1A',207,'N'),(25,6387381,'1',224,'N'),(25,6387390,'1',103,'N'),(25,6387403,'1',103,'N'),(25,6387411,'1',103,'N'),(25,6387420,'1',304,'N'),(25,6387446,'1',318,'N'),(25,6387454,'1',211,'N'),(25,6387454,'1A',212,'N'),(25,6387462,'1',404,'N'),(25,6387470,'1',601,'N'),(25,6387470,'1A',220,'N'),(25,6387489,'1',303,'N'),(25,6387497,'1',103,'N'),(25,6387500,'1',104,'N'),(25,6387519,'1',203,'N'),(25,6387519,'1A',202,'N'),(25,6387527,'1',201,'N'),(25,6387527,'1A',207,'N'),(25,6387535,'1',339,'N'),(25,6387543,'1',103,'N'),(25,6387551,'1',103,'N'),(25,6387560,'1',452,'N'),(25,6387578,'1',201,'N'),(25,6387578,'1A',213,'N'),(25,6387586,'1',203,'N'),(25,6387586,'1A',201,'N'),(25,6387594,'1',999,'N'),(25,6387608,'1',103,'N'),(25,6387616,'1',203,'N'),(25,6387616,'1A',220,'N'),(25,6387632,'1',999,'N'),(25,6387640,'1',103,'N'),(25,6387659,'1',301,'N'),(25,6387667,'1',999,'N'),(25,6387675,'1',999,'N'),(25,6387691,'1',103,'N'),(25,6387705,'1',103,'N'),(25,6387713,'1',103,'N'),(25,6387721,'1',103,'N'),(25,6387730,'1',5,'N'),(25,6387748,'1',316,'N'),(25,6387756,'1',309,'N'),(25,6387764,'1',103,'N'),(25,6387780,'1',303,'N'),(25,6387799,'1',101,'N'),(25,6387802,'1',318,'N'),(25,6387810,'1',216,'N'),(25,6387810,'1A',215,'N'),(25,6387829,'1',108,'N'),(25,6387837,'1',103,'N'),(25,6387845,'1',109,'N'),(25,6387853,'1',333,'N'),(25,6387861,'1',999,'N'),(25,6387870,'1',452,'N'),(25,6387888,'1',103,'N'),(25,6387900,'1',415,'N'),(25,6387918,'1',309,'N'),(25,6387926,'1',103,'N'),(25,6387942,'1',654,'N'),(25,6387950,'1',201,'N'),(25,6387950,'1A',203,'N'),(25,6387969,'1',316,'N'),(25,6387977,'1',202,'N'),(25,6387977,'1A',235,'N'),(25,6387985,'1',303,'N'),(25,6387993,'1',450,'N'),(25,6388000,'1',211,'N'),(25,6388000,'1A',235,'N'),(25,6388019,'1',103,'N'),(25,6388027,'1',201,'N'),(25,6388027,'1A',207,'N'),(25,6388035,'1',238,'N'),(25,6388035,'1A',208,'N'),(25,6388043,'1',601,'N'),(25,6388043,'1A',202,'N'),(25,6388051,'1',450,'N'),(25,6388060,'1',339,'N'),(25,6388078,'1',103,'N'),(25,6388086,'1',601,'N'),(25,6388086,'1A',202,'N'),(25,6388094,'1',304,'N'),(25,6388108,'1',308,'N'),(25,6388116,'1',655,'N'),(25,6388116,'1A',238,'N'),(25,6388124,'1',216,'N'),(25,6388124,'1A',203,'N'),(25,6388132,'1',103,'N'),(25,6388140,'1',5,'N'),(25,6388159,'1',220,'N'),(25,6388159,'1A',203,'N'),(25,6388167,'1',336,'N'),(25,6388175,'1',202,'N'),(25,6388175,'1A',235,'N'),(25,6388183,'1',503,'N'),(25,6388191,'1',104,'N'),(25,6388205,'1',5,'N'),(25,6388213,'1',238,'N'),(25,6388213,'1A',207,'N'),(25,6388221,'1',327,'N'),(25,6388230,'1',428,'N'),(25,6388230,'1A',426,'N'),(25,6388248,'1',103,'N'),(25,6388256,'1',453,'N'),(25,6388264,'1',335,'N'),(25,6388272,'1',211,'N'),(25,6388272,'1A',215,'N'),(25,6388299,'1',103,'N'),(25,6388302,'1',340,'N'),(25,6388310,'1',238,'N'),(25,6388310,'1A',202,'N'),(25,6388337,'1',215,'N'),(25,6388337,'1A',233,'N'),(25,6388345,'1',404,'N'),(25,6388353,'1',104,'N'),(25,6388370,'1',103,'N'),(25,6388388,'1',202,'N'),(25,6388388,'1A',235,'N'),(25,6388396,'1',201,'N'),(25,6388396,'1A',653,'N'),(25,6388400,'1',999,'N'),(25,6388418,'1',317,'N'),(25,6388426,'1',103,'N'),(25,6388434,'1',303,'N'),(25,6388442,'1',329,'N'),(25,6388450,'1',103,'N'),(25,6388469,'1',103,'N'),(25,6388477,'1',225,'N'),(25,6388485,'1',233,'N'),(25,6388485,'1A',201,'N'),(25,6388493,'1',208,'N'),(25,6388507,'1',601,'N'),(25,6388507,'1A',207,'N'),(25,6388515,'1',207,'N'),(25,6388515,'1A',238,'N'),(25,6388523,'1',103,'N'),(25,6388531,'1',235,'N'),(25,6388531,'1A',202,'N'),(25,6388558,'1',207,'N'),(25,6388558,'1A',201,'N'),(25,6388566,'1',202,'N'),(25,6388566,'1A',213,'N'),(25,6388574,'1',238,'N'),(25,6388574,'1A',208,'N'),(25,6388582,'1',317,'N'),(25,6388590,'1',303,'N'),(25,6388604,'1',653,'N'),(25,6388612,'1',501,'N'),(25,6388620,'1',415,'N'),(25,6388639,'1',103,'N'),(25,6388647,'1',203,'N'),(25,6388647,'1A',214,'N'),(25,6388655,'1',212,'N'),(25,6388655,'1A',207,'N'),(25,6388663,'1',309,'N'),(25,6388671,'1',201,'N'),(25,6388671,'1A',207,'N'),(25,6388680,'1',216,'N'),(25,6388680,'1A',201,'N'),(25,6388698,'1',201,'N'),(25,6388698,'1A',207,'N'),(25,6388701,'1',999,'N'),(25,6388710,'1',404,'N'),(25,6388728,'1',108,'N'),(25,6388736,'1',426,'N'),(25,6388736,'1A',423,'N'),(25,6388744,'1',303,'N'),(25,6388752,'1',502,'N'),(25,6388779,'1',109,'N'),(25,6388787,'1',425,'N'),(25,6388795,'1',999,'N'),(25,6388817,'1',205,'N'),(25,6388825,'1',415,'N'),(25,6388833,'1',304,'N'),(25,6388841,'1',216,'N'),(25,6388841,'1A',201,'N'),(25,6388850,'1',310,'N'),(25,6388868,'1',110,'N'),(25,6388876,'1',319,'N'),(25,6388892,'1',301,'N'),(25,6388906,'1',332,'N'),(25,6388914,'1',223,'N'),(25,6388922,'1',653,'N'),(25,6388922,'1A',202,'N'),(25,6388930,'1',103,'N'),(25,6388949,'1',601,'N'),(25,6388949,'1A',207,'N'),(25,6388957,'1',5,'N'),(25,6388965,'1',103,'N'),(25,6388973,'1',316,'N'),(25,6389007,'1',202,'N'),(25,6389007,'1A',213,'N'),(25,6389015,'1',202,'N'),(25,6389015,'1A',201,'N'),(25,6389023,'1',108,'N'),(25,6389031,'1',225,'N'),(25,6389040,'1',201,'N'),(25,6389058,'1',103,'N'),(25,6389066,'1',551,'N'),(25,6389074,'1',234,'N'),(25,6389082,'1',104,'N'),(25,6389090,'1',654,'N'),(25,6389104,'1',502,'N'),(25,6389112,'1',329,'N'),(25,6389139,'1',103,'N'),(25,6389147,'1',653,'N'),(25,6389147,'1A',652,'N'),(25,6389155,'1',451,'N'),(25,6389163,'1',420,'N'),(25,6389171,'1',5,'N'),(25,6389180,'1',5,'N'),(25,6389198,'1',319,'N'),(25,6389201,'1',203,'N'),(25,6389201,'1A',233,'N'),(25,6389210,'1',102,'N'),(25,6389236,'1',203,'N'),(25,6389236,'1A',201,'N'),(25,6389244,'1',103,'N'),(25,6389252,'1',429,'N'),(25,6389252,'1A',423,'N'),(25,6389260,'1',652,'N'),(25,6389260,'1A',655,'N'),(25,6389279,'1',601,'N'),(25,6389287,'1',103,'N'),(25,6389295,'1',317,'N'),(25,6389309,'1',415,'N'),(25,6389317,'1',319,'N'),(25,6389325,'1',201,'N'),(25,6389325,'1A',211,'N'),(25,6389333,'1',103,'N'),(25,6389341,'1',235,'N'),(25,6389341,'1A',202,'N'),(25,6389350,'1',212,'N'),(25,6389350,'1A',601,'N'),(25,6389368,'1',202,'N'),(25,6389368,'1A',201,'N'),(25,6389376,'1',103,'N'),(25,6389384,'1',216,'N'),(25,6389384,'1A',211,'N'),(25,6389392,'1',425,'N'),(25,6389392,'1A',428,'N'),(25,6389406,'1',201,'N'),(25,6389406,'1A',203,'N'),(25,6389414,'1',103,'N'),(25,6389422,'1',326,'N'),(25,6389430,'1',5,'N'),(25,6389449,'1',318,'N'),(25,6389465,'1',501,'N'),(25,6389473,'1',415,'N'),(25,6389481,'1',101,'N'),(25,6389490,'1',238,'N'),(25,6389503,'1',340,'N'),(25,6389520,'1',202,'N'),(25,6389520,'1A',220,'N'),(25,6389538,'1',329,'N'),(25,6389546,'1',333,'N'),(25,6389554,'1',303,'N'),(25,6389562,'1',601,'N'),(25,6389562,'1A',212,'N'),(25,6389570,'1',220,'N'),(25,6389570,'1A',201,'N'),(25,6389589,'1',316,'N'),(25,6389597,'1',104,'N'),(25,6389600,'1',203,'N'),(25,6389619,'1',999,'N'),(25,6389627,'1',207,'N'),(25,6389627,'1A',212,'N'),(25,6389635,'1',202,'N'),(25,6389635,'1A',203,'N'),(25,6389643,'1',103,'N'),(25,6389651,'1',103,'N'),(25,6389660,'1',103,'N'),(25,6389686,'1',104,'N'),(25,6389694,'1',655,'N'),(25,6389694,'1A',652,'N'),(25,6389708,'1',450,'N'),(25,6389716,'1',103,'N'),(25,6389724,'1',205,'N'),(25,6389732,'1',404,'N'),(25,6389740,'1',208,'N'),(25,6389740,'1A',238,'N'),(25,6389759,'1',551,'N'),(25,6389767,'1',444,'N'),(25,6389775,'1',103,'N'),(25,6389791,'1',103,'N'),(25,6389805,'1',317,'N'),(25,6389813,'1',303,'N'),(25,6389821,'1',5,'N'),(25,6389830,'1',202,'N'),(25,6389830,'1A',235,'N'),(25,6389848,'1',5,'N'),(25,6389856,'1',316,'N'),(25,6389864,'1',202,'N'),(25,6389864,'1A',235,'N'),(25,6389872,'1',235,'N'),(25,6389872,'1A',220,'N'),(25,6389880,'1',317,'N'),(25,6389899,'1',238,'N'),(25,6389899,'1A',208,'N'),(25,6389902,'1',103,'N'),(25,6389910,'1',551,'N'),(25,6389937,'1',104,'N'),(25,6389945,'1',420,'N'),(25,6389953,'1',207,'N'),(25,6389953,'1A',233,'N'),(25,6389961,'1',104,'N'),(25,6389996,'1',301,'N'),(25,6390005,'1',207,'N'),(25,6390005,'1A',201,'N'),(25,6390013,'1',654,'N'),(25,6390021,'1',336,'N'),(25,6390030,'1',104,'N'),(25,6390048,'1',415,'N'),(25,6390056,'1',338,'N'),(25,6390064,'1',207,'N'),(25,6390064,'1A',201,'N'),(25,6390072,'1',212,'N'),(25,6390072,'1A',238,'N'),(25,6390080,'1',220,'N'),(25,6390080,'1A',233,'N'),(25,6390099,'1',601,'N'),(25,6390099,'1A',203,'N'),(25,6390102,'1',5,'N'),(25,6390110,'1',109,'N'),(25,6390137,'1',238,'N'),(25,6390137,'1A',207,'N'),(25,6390145,'1',203,'N'),(25,6390145,'1A',235,'N'),(25,6390153,'1',201,'N'),(25,6390153,'1A',203,'N'),(25,6390161,'1',655,'N'),(25,6390170,'1',404,'N'),(25,6390196,'1',310,'N'),(25,6390200,'1',444,'N'),(25,6390218,'1',103,'N'),(25,6390226,'1',316,'N'),(25,6390234,'1',320,'N'),(25,6390242,'1',235,'N'),(25,6390242,'1A',202,'N'),(25,6390250,'1',220,'N'),(25,6390250,'1A',203,'N'),(25,6390269,'1',420,'N'),(25,6390277,'1',5,'N'),(25,6390285,'1',211,'N'),(25,6390285,'1A',220,'N'),(25,6390307,'1',224,'N'),(25,6390331,'1',9,'N'),(25,6390340,'1',207,'N'),(25,6390340,'1A',201,'N'),(25,6390358,'1',102,'N'),(25,6390366,'1',102,'N'),(25,6390374,'1',339,'N'),(25,6390382,'1',104,'N'),(25,6390390,'1',208,'N'),(25,6390390,'1A',238,'N'),(25,6390420,'1',103,'N'),(25,6390439,'1',551,'N'),(25,6390447,'1',207,'N'),(25,6390455,'1',214,'N'),(25,6390455,'1A',208,'N'),(25,6390463,'1',211,'N'),(25,6390463,'1A',201,'N'),(25,6390471,'1',103,'N'),(25,6390498,'1',654,'N'),(25,6390501,'1',201,'N'),(25,6390528,'1',2,'N'),(25,6390536,'1',451,'N'),(25,6390544,'1',404,'N'),(25,6390552,'1',9,'N'),(25,6390560,'1',304,'N'),(25,6390579,'1',103,'N'),(25,6390587,'1',327,'N'),(25,6390595,'1',104,'N'),(25,6390609,'1',444,'N'),(25,6390617,'1',653,'N'),(25,6390617,'1A',201,'N'),(25,6390625,'1',104,'N'),(25,6390633,'1',420,'N'),(25,6390641,'1',103,'N'),(25,6390668,'1',329,'N'),(25,6390676,'1',207,'N'),(25,6390676,'1A',201,'N'),(25,6390684,'1',238,'N'),(25,6390684,'1A',208,'N'),(25,6390706,'1',303,'N'),(25,6390722,'1',104,'N'),(25,6390730,'1',5,'N'),(25,6390749,'1',201,'N'),(25,6390749,'1A',220,'N'),(25,6390781,'1',304,'N'),(25,6390790,'1',5,'N'),(25,6390803,'1',425,'N'),(25,6390803,'1A',423,'N'),(25,6390820,'1',340,'N'),(25,6390838,'1',103,'N'),(25,6390846,'1',238,'N'),(25,6390846,'1A',202,'N'),(25,6390854,'1',220,'N'),(25,6390854,'1A',653,'N'),(25,6390889,'1',108,'N'),(25,6390897,'1',102,'N'),(25,6390900,'1',415,'N'),(25,6390919,'1',238,'N'),(25,6390919,'1A',653,'N'),(25,6390927,'1',316,'N'),(25,6390943,'1',103,'N'),(25,6390960,'1',316,'N'),(25,6390978,'1',340,'N'),(25,6390986,'1',102,'N'),(25,6390994,'1',103,'N'),(25,6391001,'1',234,'N'),(25,6391010,'1',655,'N'),(25,6391028,'1',319,'N'),(25,6391036,'1',203,'N'),(25,6391036,'1A',201,'N'),(25,6391044,'1',301,'N'),(25,6391052,'1',225,'N'),(25,6391060,'1',103,'N'),(25,6391079,'1',216,'N'),(25,6391079,'1A',215,'N'),(25,6391087,'1',238,'N'),(25,6391087,'1A',208,'N'),(25,6391095,'1',655,'N'),(25,6391095,'1A',652,'N'),(25,6391109,'1',301,'N'),(25,6391125,'1',310,'N'),(25,6391133,'1',208,'N'),(25,6391133,'1A',238,'N'),(25,6391141,'1',201,'N'),(25,6391141,'1A',212,'N'),(25,6391150,'1',501,'N'),(25,6391184,'1',235,'N'),(25,6391184,'1A',208,'N'),(25,6391192,'1',421,'N'),(25,6391192,'1A',427,'N'),(25,6391206,'1',212,'N'),(25,6391206,'1A',235,'N'),(25,6391214,'1',331,'N'),(25,6391230,'1',317,'N'),(25,6391249,'1',104,'N'),(25,6391257,'1',337,'N'),(25,6391265,'1',214,'N'),(25,6391265,'1A',207,'N'),(25,6391281,'1',308,'N'),(25,6391290,'1',203,'N'),(25,6391290,'1A',202,'N'),(25,6391303,'1',213,'N'),(25,6391303,'1A',202,'N'),(25,6391311,'1',233,'N'),(25,6391311,'1A',216,'N'),(25,6391320,'1',303,'N'),(25,6391338,'1',101,'N'),(25,6391354,'1',2,'N'),(25,6391362,'1',238,'N'),(25,6391362,'1A',208,'N'),(25,6391370,'1',310,'N'),(25,6391389,'1',429,'N'),(25,6391389,'1A',426,'N'),(25,6391397,'1',2,'N'),(25,6391400,'1',424,'N'),(25,6391400,'1A',423,'N'),(25,6391419,'1',202,'N'),(25,6391419,'1A',213,'N'),(25,6391427,'1',216,'N'),(25,6391427,'1A',215,'N'),(25,6391435,'1',318,'N'),(25,6391451,'1',301,'N'),(25,6391478,'1',211,'N'),(25,6391478,'1A',203,'N'),(25,6391486,'1',208,'N'),(25,6391486,'1A',238,'N'),(25,6391494,'1',333,'N'),(25,6391508,'1',201,'N'),(25,6391508,'1A',235,'N'),(25,6391516,'1',110,'N'),(25,6391524,'1',101,'N'),(25,6391532,'1',202,'N'),(25,6391532,'1A',233,'N'),(25,6391540,'1',340,'N'),(25,6391559,'1',103,'N'),(25,6391567,'1',428,'N'),(25,6391567,'1A',426,'N'),(25,6391575,'1',103,'N'),(25,6391583,'1',103,'N'),(25,6391591,'1',9,'N'),(25,6391605,'1',999,'N'),(25,6391613,'1',319,'N'),(25,6391621,'1',202,'N'),(25,6391621,'1A',235,'N'),(25,6391630,'1',999,'N'),(25,6391648,'1',316,'N'),(25,6391672,'1',420,'N'),(25,6391680,'1',212,'N'),(25,6391680,'1A',216,'N'),(25,6391699,'1',203,'N'),(25,6391699,'1A',201,'N'),(25,6391702,'1',103,'N'),(25,6391710,'1',655,'N'),(25,6391710,'1A',238,'N'),(25,6391729,'1',104,'N'),(25,6391737,'1',109,'N'),(25,6391745,'1',316,'N'),(25,6391753,'1',103,'N'),(25,6391761,'1',302,'N'),(25,6391770,'1',654,'N'),(25,6391788,'1',303,'N'),(25,6391796,'1',103,'N'),(25,6391800,'1',654,'N'),(25,6391826,'1',653,'N'),(25,6391826,'1A',214,'N'),(25,6391834,'1',303,'N'),(25,6391850,'1',233,'N'),(25,6391850,'1A',216,'N'),(25,6391869,'1',324,'N'),(25,6391885,'1',201,'N'),(25,6391885,'1A',212,'N'),(25,6391907,'1',425,'N'),(25,6391907,'1A',423,'N'),(25,6391915,'1',207,'N'),(25,6391923,'1',303,'N'),(25,6391931,'1',103,'N'),(25,6391940,'1',104,'N'),(25,6391958,'1',5,'N'),(25,6391966,'1',302,'N'),(25,6391974,'1',103,'N'),(25,6391982,'1',653,'N'),(25,6391982,'1A',652,'N'),(25,6392008,'1',203,'N'),(25,6392008,'1A',214,'N'),(25,6392016,'1',103,'N'),(25,6392032,'1',224,'N'),(25,6392040,'1',5,'N'),(25,6392067,'1',320,'N'),(25,6392075,'1',201,'N'),(25,6392075,'1A',212,'N'),(25,6392083,'1',238,'N'),(25,6392083,'1A',655,'N'),(25,6392091,'1',212,'N'),(25,6392091,'1A',238,'N'),(25,6392113,'1',203,'N'),(25,6392113,'1A',202,'N'),(25,6392121,'1',5,'N'),(25,6392130,'1',303,'N'),(25,6392148,'1',302,'N'),(25,6392156,'1',421,'N'),(25,6392156,'1A',424,'N'),(25,6392164,'1',201,'N'),(25,6392164,'1A',212,'N'),(25,6392172,'1',309,'N'),(25,6392199,'1',103,'N'),(25,6392202,'1',109,'N'),(25,6392210,'1',5,'N'),(25,6392229,'1',235,'N'),(25,6392229,'1A',203,'N'),(25,6392245,'1',502,'N'),(25,6392253,'1',333,'N'),(25,6392261,'1',103,'N'),(25,6392270,'1',319,'N'),(25,6392288,'1',999,'N'),(25,6392318,'1',301,'N'),(25,6392326,'1',420,'N'),(25,6392342,'1',652,'N'),(25,6392342,'1A',653,'N'),(25,6392350,'1',999,'N'),(25,6392377,'1',103,'N'),(25,6392385,'1',326,'N'),(25,6392393,'1',212,'N'),(25,6392393,'1A',601,'N'),(25,6392407,'1',211,'N'),(25,6392407,'1A',215,'N'),(25,6392415,'1',5,'N'),(25,6392423,'1',316,'N'),(25,6392431,'1',404,'N'),(25,6392440,'1',224,'N'),(25,6392458,'1',103,'N'),(25,6392466,'1',309,'N'),(25,6392482,'1',444,'N'),(25,6392504,'1',324,'N'),(25,6392520,'1',316,'N'),(25,6392539,'1',203,'N'),(25,6392539,'1A',214,'N'),(25,6392555,'1',303,'N'),(25,6392563,'1',316,'N'),(25,6392571,'1',207,'N'),(25,6392571,'1A',201,'N'),(25,6392580,'1',103,'N'),(25,6392598,'1',103,'N'),(25,6392601,'1',328,'N'),(25,6392610,'1',208,'N'),(25,6392610,'1A',601,'N'),(25,6392628,'1',310,'N'),(25,6392636,'1',501,'N'),(25,6392644,'1',208,'N'),(25,6392644,'1A',220,'N'),(25,6392652,'1',326,'N'),(25,6392660,'1',201,'N'),(25,6392679,'1',324,'N'),(25,6392687,'1',332,'N'),(25,6392709,'1',207,'N'),(25,6392709,'1A',201,'N'),(25,6392717,'1',453,'N'),(25,6392725,'1',103,'N'),(25,6392733,'1',336,'N'),(25,6392741,'1',103,'N'),(25,6392750,'1',450,'N'),(25,6392768,'1',316,'N'),(25,6392776,'1',316,'N'),(25,6392784,'1',999,'N'),(25,6392806,'1',211,'N'),(25,6392806,'1A',215,'N'),(25,6392814,'1',108,'N'),(25,6392822,'1',317,'N'),(25,6392830,'1',329,'N'),(25,6392849,'1',201,'N'),(25,6392849,'1A',601,'N'),(25,6392857,'1',309,'N'),(25,6392873,'1',201,'N'),(25,6392873,'1A',202,'N'),(25,6392881,'1',428,'N'),(25,6392881,'1A',426,'N'),(25,6392903,'1',335,'N'),(25,6392911,'1',103,'N'),(25,6392920,'1',452,'N'),(25,6392946,'1',331,'N'),(25,6392954,'1',652,'N'),(25,6392954,'1A',655,'N'),(25,6392962,'1',303,'N'),(25,6392970,'1',101,'N'),(25,6392989,'1',202,'N'),(25,6392989,'1A',213,'N'),(25,6392997,'1',317,'N'),(25,6393012,'1',207,'N'),(25,6393012,'1A',211,'N'),(25,6393020,'1',103,'N'),(25,6393039,'1',404,'N'),(25,6393047,'1',319,'N'),(25,6393055,'1',110,'N'),(25,6393063,'1',653,'N'),(25,6393063,'1A',211,'N'),(25,6393071,'1',203,'N'),(25,6393071,'1A',201,'N'),(25,6393080,'1',103,'N'),(25,6393101,'1',999,'N'),(25,6393110,'1',225,'N'),(25,6393128,'1',301,'N'),(25,6393136,'1',208,'N'),(25,6393136,'1A',235,'N'),(25,6393144,'1',104,'N'),(25,6393152,'1',335,'N'),(25,6393160,'1',316,'N'),(25,6393179,'1',601,'N'),(25,6393195,'1',444,'N'),(25,6393217,'1',319,'N'),(25,6393225,'1',301,'N'),(25,6393233,'1',308,'N'),(25,6393241,'1',211,'N'),(25,6393241,'1A',233,'N'),(25,6393276,'1',104,'N'),(25,6393284,'1',450,'N'),(25,6393292,'1',502,'N'),(25,6393306,'1',428,'N'),(25,6393314,'1',501,'N'),(25,6393322,'1',103,'N'),(25,6393330,'1',404,'N'),(25,6393349,'1',214,'N'),(25,6393349,'1A',213,'N'),(25,6393357,'1',601,'N'),(25,6393357,'1A',220,'N'),(25,6393365,'1',9,'N'),(25,6393373,'1',301,'N'),(25,6393381,'1',213,'N'),(25,6393381,'1A',233,'N'),(25,6393390,'1',103,'N'),(25,6393403,'1',338,'N'),(25,6393411,'1',235,'N'),(25,6393411,'1A',202,'N'),(25,6393420,'1',335,'N'),(25,6393438,'1',225,'N'),(25,6393454,'1',201,'N'),(25,6393454,'1A',212,'N'),(25,6393462,'1',328,'N'),(25,6393470,'1',5,'N'),(25,6393489,'1',653,'N'),(25,6393497,'1',336,'N'),(25,6393519,'1',999,'N'),(25,6393527,'1',103,'N'),(25,6393535,'1',202,'N'),(25,6393535,'1A',652,'N'),(25,6393543,'1',652,'N'),(25,6393551,'1',444,'N'),(25,6393560,'1',652,'N'),(25,6393560,'1A',655,'N'),(25,6393586,'1',202,'N'),(25,6393586,'1A',235,'N'),(25,6393594,'1',601,'N'),(25,6393594,'1A',208,'N'),(25,6393608,'1',207,'N'),(25,6393608,'1A',201,'N'),(25,6393616,'1',216,'N'),(25,6393616,'1A',211,'N'),(25,6393624,'1',216,'N'),(25,6393624,'1A',201,'N'),(25,6393632,'1',333,'N'),(25,6393640,'1',331,'N'),(25,6393667,'1',601,'N'),(25,6393667,'1A',220,'N'),(25,6393675,'1',316,'N'),(25,6393683,'1',233,'N'),(25,6393683,'1A',215,'N'),(25,6393691,'1',327,'N'),(25,6393705,'1',109,'N'),(25,6393721,'1',103,'N'),(25,6393730,'1',207,'N'),(25,6393748,'1',208,'N'),(25,6393748,'1A',238,'N'),(25,6393756,'1',340,'N'),(25,6393772,'1',201,'N'),(25,6393772,'1A',238,'N'),(25,6393799,'1',103,'N'),(25,6393802,'1',601,'N'),(25,6393810,'1',103,'N'),(25,6393829,'1',317,'N'),(25,6393837,'1',109,'N'),(25,6393845,'1',309,'N'),(25,6393853,'1',601,'N'),(25,6393853,'1A',212,'N'),(25,6393861,'1',428,'N'),(25,6393861,'1A',423,'N'),(25,6393870,'1',108,'N'),(25,6393896,'1',225,'N'),(25,6393900,'1',211,'N'),(25,6393900,'1A',216,'N'),(25,6393918,'1',332,'N'),(25,6393926,'1',319,'N'),(25,6393934,'1',316,'N'),(25,6393942,'1',426,'N'),(25,6393950,'1',108,'N'),(25,6393969,'1',317,'N'),(25,6393977,'1',5,'N'),(25,6393985,'1',420,'N'),(25,6393993,'1',110,'N'),(25,6394000,'1',207,'N'),(25,6394000,'1A',211,'N'),(25,6394019,'1',303,'N'),(25,6394035,'1',335,'N'),(25,6394043,'1',103,'N'),(25,6394051,'1',238,'N'),(25,6394060,'1',5,'N'),(25,6394078,'1',202,'N'),(25,6394078,'1A',653,'N'),(25,6394086,'1',551,'N'),(25,6394094,'1',428,'N'),(25,6394094,'1A',426,'N'),(25,6394108,'1',453,'N'),(25,6394116,'1',103,'N'),(25,6394124,'1',653,'N'),(25,6394124,'1A',233,'N'),(25,6394132,'1',652,'N'),(25,6394132,'1A',655,'N'),(25,6394140,'1',201,'N'),(25,6394140,'1A',207,'N'),(25,6394159,'1',444,'N'),(25,6394167,'1',103,'N'),(25,6394175,'1',103,'N'),(25,6394183,'1',404,'N'),(25,6394205,'1',238,'N'),(25,6394213,'1',101,'N'),(25,6394221,'1',103,'N'),(25,6394230,'1',212,'N'),(25,6394230,'1A',601,'N'),(25,6394256,'1',324,'N'),(25,6394264,'1',404,'N'),(25,6394272,'1',404,'N'),(25,6394299,'1',420,'N'),(25,6394302,'1',108,'N'),(25,6394310,'1',103,'N'),(25,6394329,'1',453,'N'),(25,6394337,'1',320,'N'),(25,6394345,'1',216,'N'),(25,6394353,'1',304,'N'),(25,6394361,'1',222,'N'),(25,6394370,'1',201,'N'),(25,6394370,'1A',203,'N'),(25,6394388,'1',451,'N'),(25,6394400,'1',103,'N'),(25,6394418,'1',5,'N'),(25,6394426,'1',601,'N'),(25,6394426,'1A',212,'N'),(25,6394434,'1',5,'N'),(25,6394442,'1',444,'N'),(25,6394450,'1',301,'N'),(25,6394469,'1',451,'N'),(25,6394477,'1',220,'N'),(25,6394485,'1',317,'N'),(25,6394493,'1',5,'N'),(25,6394507,'1',201,'N'),(25,6394507,'1A',216,'N'),(25,6394515,'1',654,'N'),(25,6394523,'1',201,'N'),(25,6394523,'1A',233,'N'),(25,6394540,'1',233,'N'),(25,6394540,'1A',211,'N'),(25,6394558,'1',328,'N'),(25,6394574,'1',5,'N'),(25,6394582,'1',404,'N'),(25,6394604,'1',326,'N'),(25,6394612,'1',309,'N'),(25,6394620,'1',216,'N'),(25,6394639,'1',5,'N'),(25,6394655,'1',332,'N'),(25,6394663,'1',203,'N'),(25,6394663,'1A',601,'N'),(25,6394671,'1',329,'N'),(25,6394698,'1',327,'N'),(25,6394701,'1',207,'N'),(25,6394701,'1A',201,'N'),(25,6394736,'1',335,'N'),(25,6394752,'1',203,'N'),(25,6394752,'1A',214,'N'),(25,6394779,'1',101,'N'),(25,6394795,'1',301,'N'),(25,6394809,'1',102,'N'),(25,6394817,'1',103,'N'),(25,6394825,'1',335,'N'),(25,6394833,'1',501,'N'),(25,6394850,'1',415,'N'),(25,6394868,'1',201,'N'),(25,6394868,'1A',653,'N'),(25,6394876,'1',110,'N'),(25,6394884,'1',207,'N'),(25,6394884,'1A',201,'N'),(25,6394892,'1',225,'N'),(25,6394906,'1',652,'N'),(25,6394906,'1A',655,'N'),(25,6394914,'1',328,'N'),(25,6394922,'1',653,'N'),(25,6394922,'1A',655,'N'),(25,6394930,'1',214,'N'),(25,6394930,'1A',212,'N'),(25,6394957,'1',103,'N'),(25,6394965,'1',220,'N'),(25,6394965,'1A',235,'N'),(25,6394981,'1',316,'N'),(25,6394990,'1',223,'N'),(25,6395015,'1',201,'N'),(25,6395015,'1A',211,'N'),(25,6395023,'1',426,'N'),(25,6395023,'1A',428,'N'),(25,6395031,'1',999,'N'),(25,6395040,'1',5,'N'),(25,6395066,'1',238,'N'),(25,6395066,'1A',208,'N'),(25,6395074,'1',404,'N'),(25,6395082,'1',201,'N'),(25,6395082,'1A',212,'N'),(25,6395090,'1',5,'N'),(25,6395104,'1',103,'N'),(25,6395120,'1',328,'N'),(25,6395139,'1',201,'N'),(25,6395139,'1A',207,'N'),(25,6395147,'1',104,'N'),(25,6395155,'1',103,'N'),(25,6395163,'1',444,'N'),(25,6395180,'1',103,'N'),(25,6395198,'1',103,'N'),(25,6395201,'1',5,'N'),(25,6395210,'1',302,'N'),(25,6395228,'1',319,'N'),(25,6395236,'1',211,'N'),(25,6395236,'1A',601,'N'),(25,6395244,'1',110,'N'),(25,6395252,'1',103,'N'),(25,6395260,'1',5,'N'),(25,6395287,'1',220,'N'),(25,6395287,'1A',203,'N'),(25,6395295,'1',103,'N'),(25,6395309,'1',104,'N'),(25,6395317,'1',302,'N'),(25,6395325,'1',201,'N'),(25,6395325,'1A',211,'N'),(25,6395333,'1',102,'N'),(25,6395350,'1',331,'N'),(25,6395368,'1',207,'N'),(25,6395368,'1A',201,'N'),(25,6395376,'1',420,'N'),(25,6395392,'1',9,'N'),(25,6395414,'1',308,'N'),(25,6395430,'1',207,'N'),(25,6395430,'1A',211,'N'),(25,6395449,'1',654,'N'),(25,6395457,'1',103,'N'),(25,6395473,'1',425,'N'),(25,6395473,'1A',426,'N'),(25,6395481,'1',201,'N'),(25,6395481,'1A',212,'N'),(25,6395490,'1',502,'N'),(25,6395503,'1',601,'N'),(25,6395503,'1A',203,'N'),(25,6395511,'1',404,'N'),(25,6395546,'1',319,'N'),(25,6395554,'1',201,'N'),(25,6395554,'1A',203,'N'),(25,6395562,'1',216,'N'),(25,6395570,'1',426,'N'),(25,6395570,'1A',425,'N'),(25,6395589,'1',215,'N'),(25,6395589,'1A',213,'N'),(25,6395597,'1',329,'N'),(25,6395600,'1',404,'N'),(25,6395619,'1',101,'N'),(25,6395627,'1',110,'N'),(25,6395635,'1',104,'N'),(25,6395643,'1',309,'N'),(25,6395651,'1',333,'N'),(25,6395660,'1',216,'N'),(25,6395660,'1A',213,'N'),(25,6395678,'1',5,'N'),(25,6395686,'1',207,'N'),(25,6395686,'1A',233,'N'),(25,6395694,'1',655,'N'),(25,6395694,'1A',652,'N'),(25,6395708,'1',316,'N'),(25,6395716,'1',101,'N'),(25,6395724,'1',202,'N'),(25,6395724,'1A',211,'N'),(25,6395732,'1',415,'N'),(25,6395740,'1',302,'N'),(25,6395759,'1',9,'N'),(25,6395767,'1',9,'N'),(25,6395783,'1',327,'N'),(25,6395791,'1',202,'N'),(25,6395791,'1A',213,'N'),(25,6395805,'1',110,'N'),(25,6395813,'1',301,'N'),(25,6395821,'1',654,'N'),(25,6395830,'1',502,'N'),(25,6395848,'1',110,'N'),(25,6395856,'1',103,'N'),(25,6395864,'1',308,'N'),(25,6395880,'1',233,'N'),(25,6395880,'1A',220,'N'),(25,6395899,'1',9,'N'),(25,6395902,'1',208,'N'),(25,6395902,'1A',238,'N'),(25,6395910,'1',503,'N'),(25,6395929,'1',317,'N'),(25,6395937,'1',104,'N'),(25,6395945,'1',339,'N'),(25,6395953,'1',220,'N'),(25,6395953,'1A',208,'N'),(25,6395961,'1',203,'N'),(25,6395961,'1A',214,'N'),(25,6395970,'1',420,'N'),(25,6395996,'1',208,'N'),(25,6395996,'1A',238,'N'),(25,6396003,'1',324,'N'),(25,6396011,'1',317,'N'),(25,6396020,'1',211,'N'),(25,6396020,'1A',207,'N'),(25,6396038,'1',109,'N'),(25,6396046,'1',5,'N'),(25,6396054,'1',234,'N'),(25,6396062,'1',652,'N'),(25,6396062,'1A',655,'N'),(25,6396089,'1',202,'N'),(25,6396089,'1A',213,'N'),(25,6396097,'1',225,'N'),(25,6396100,'1',318,'N'),(25,6396119,'1',655,'N'),(25,6396119,'1A',653,'N'),(25,6396127,'1',326,'N'),(25,6396135,'1',211,'N'),(25,6396135,'1A',207,'N'),(25,6396143,'1',101,'N'),(25,6396160,'1',326,'N'),(25,6396178,'1',103,'N'),(25,6396186,'1',501,'N'),(25,6396194,'1',103,'N'),(25,6396208,'1',316,'N'),(25,6396216,'1',304,'N'),(25,6396224,'1',404,'N'),(25,6396232,'1',999,'N'),(25,6396240,'1',224,'N'),(25,6396267,'1',103,'N'),(25,6396275,'1',421,'N'),(25,6396275,'1A',427,'N'),(25,6396283,'1',5,'N'),(25,6396291,'1',415,'N'),(25,6396305,'1',3,'N'),(25,6396313,'1',238,'N'),(25,6396313,'1A',208,'N'),(25,6396321,'1',452,'N'),(25,6396330,'1',415,'N'),(25,6396348,'1',101,'N'),(25,6396356,'1',103,'N'),(25,6396364,'1',333,'N'),(25,6396372,'1',653,'N'),(25,6396380,'1',101,'N'),(25,6396399,'1',102,'N'),(25,6396402,'1',999,'N'),(25,6396410,'1',203,'N'),(25,6396410,'1A',233,'N'),(25,6396429,'1',108,'N'),(25,6396437,'1',207,'N'),(25,6396437,'1A',201,'N'),(25,6396453,'1',212,'N'),(25,6396453,'1A',220,'N'),(25,6396461,'1',234,'N'),(25,6396470,'1',655,'N'),(25,6396470,'1A',652,'N'),(25,6396488,'1',501,'N'),(25,6396496,'1',5,'N'),(25,6396500,'1',103,'N'),(25,6396518,'1',110,'N'),(25,6396542,'1',101,'N'),(25,6396550,'1',551,'N'),(25,6396569,'1',103,'N'),(25,6396577,'1',302,'N'),(25,6396585,'1',404,'N'),(25,6396593,'1',109,'N'),(25,6396607,'1',301,'N'),(25,6396615,'1',5,'N'),(25,6396623,'1',222,'N'),(25,6396631,'1',319,'N'),(25,6396658,'1',110,'N'),(25,6396666,'1',104,'N'),(25,6396682,'1',225,'N'),(25,6396690,'1',654,'N'),(25,6396704,'1',202,'N'),(25,6396704,'1A',235,'N'),(25,6396712,'1',444,'N'),(25,6396720,'1',103,'N'),(25,6396747,'1',224,'N'),(25,6396763,'1',222,'N'),(25,6396780,'1',5,'N'),(25,6396798,'1',303,'N'),(25,6396801,'1',427,'N'),(25,6396810,'1',101,'N'),(25,6396828,'1',453,'N'),(25,6396836,'1',103,'N'),(25,6396844,'1',415,'N'),(25,6396852,'1',999,'N'),(25,6396860,'1',215,'N'),(25,6396860,'1A',216,'N'),(25,6396879,'1',207,'N'),(25,6396879,'1A',201,'N'),(25,6396887,'1',316,'N'),(25,6396895,'1',201,'N'),(25,6396895,'1A',207,'N'),(25,6396909,'1',601,'N'),(25,6396925,'1',103,'N'),(25,6396941,'1',332,'N'),(25,6396950,'1',103,'N'),(25,6396968,'1',301,'N'),(25,6396976,'1',308,'N'),(25,6396984,'1',404,'N'),(25,6396992,'1',444,'N'),(25,6397000,'1',301,'N'),(25,6397018,'1',302,'N'),(25,6397026,'1',205,'N'),(25,6397042,'1',215,'N'),(25,6397042,'1A',233,'N'),(25,6397069,'1',319,'N'),(25,6397077,'1',503,'N'),(25,6397085,'1',420,'N'),(25,6397093,'1',103,'N'),(25,6397107,'1',207,'N'),(25,6397107,'1A',211,'N'),(25,6397115,'1',103,'N'),(25,6397123,'1',601,'N'),(25,6397131,'1',652,'N'),(25,6397131,'1A',208,'N'),(25,6397140,'1',103,'N'),(25,6397158,'1',999,'N'),(25,6397166,'1',340,'N'),(25,6397174,'1',201,'N'),(25,6397174,'1A',207,'N'),(25,6397190,'1',211,'N'),(25,6397190,'1A',233,'N'),(25,6397204,'1',654,'N'),(25,6397212,'1',103,'N'),(25,6397220,'1',601,'N'),(25,6397220,'1A',652,'N'),(25,6397239,'1',425,'N'),(25,6397239,'1A',426,'N'),(25,6397247,'1',331,'N'),(25,6397255,'1',5,'N'),(25,6397263,'1',302,'N'),(25,6397280,'1',207,'N'),(25,6397280,'1A',201,'N'),(25,6397298,'1',420,'N'),(25,6397301,'1',652,'N'),(25,6397301,'1A',655,'N'),(25,6397310,'1',653,'N'),(25,6397328,'1',327,'N'),(25,6397336,'1',103,'N'),(25,6397344,'1',653,'N'),(25,6397344,'1A',652,'N'),(25,6397360,'1',108,'N'),(25,6397379,'1',108,'N'),(25,6397387,'1',103,'N'),(25,6397395,'1',103,'N'),(25,6397409,'1',203,'N'),(25,6397409,'1A',207,'N'),(25,6397417,'1',301,'N'),(25,6397425,'1',318,'N'),(25,6397433,'1',5,'N'),(25,6397441,'1',3,'N'),(25,6397450,'1',333,'N'),(25,6397468,'1',5,'N'),(25,6397476,'1',319,'N'),(25,6397484,'1',103,'N'),(25,6397492,'1',420,'N'),(25,6397506,'1',103,'N'),(25,6397514,'1',103,'N'),(25,6397522,'1',108,'N'),(25,6397530,'1',5,'N'),(25,6397549,'1',234,'N'),(25,6397557,'1',317,'N'),(25,6397565,'1',5,'N'),(25,6397573,'1',103,'N'),(25,6397590,'1',309,'N'),(25,6397603,'1',5,'N'),(25,6397620,'1',103,'N'),(25,6397638,'1',5,'N'),(25,6397646,'1',103,'N'),(25,6397654,'1',216,'N'),(25,6397654,'1A',215,'N'),(25,6397662,'1',450,'N'),(25,6397670,'1',426,'N'),(25,6397670,'1A',428,'N'),(25,6397689,'1',103,'N'),(25,6397697,'1',452,'N'),(25,6397700,'1',999,'N'),(25,6397727,'1',999,'N'),(25,6397735,'1',103,'N'),(25,6397743,'1',333,'N'),(25,6397751,'1',340,'N'),(25,6397760,'1',211,'N'),(25,6397760,'1A',215,'N'),(25,6397778,'1',319,'N'),(25,6397786,'1',103,'N'),(25,6397794,'1',452,'N'),(25,6397816,'1',207,'N'),(25,6397832,'1',103,'N'),(25,6397840,'1',201,'N'),(25,6397859,'1',427,'N'),(25,6397859,'1A',425,'N'),(25,6397875,'1',444,'N'),(25,6397891,'1',103,'N'),(25,6397905,'1',103,'N'),(25,6397921,'1',317,'N'),(25,6397930,'1',404,'N'),(25,6397948,'1',429,'N'),(25,6397948,'1A',426,'N'),(25,6397956,'1',202,'N'),(25,6397956,'1A',238,'N'),(25,6397964,'1',233,'N'),(25,6397964,'1A',215,'N'),(25,6397972,'1',340,'N'),(25,6397980,'1',420,'N'),(25,6397999,'1',220,'N'),(25,6397999,'1A',202,'N'),(25,6398006,'1',103,'N'),(25,6398014,'1',212,'N'),(25,6398014,'1A',201,'N'),(25,6398030,'1',103,'N'),(25,6398049,'1',339,'N'),(25,6398057,'1',103,'N'),(25,6398065,'1',103,'N'),(25,6398073,'1',301,'N'),(25,6398081,'1',999,'N'),(25,6398090,'1',201,'N'),(25,6398090,'1A',203,'N'),(25,6398103,'1',303,'N'),(25,6398120,'1',205,'N'),(25,6398138,'1',303,'N'),(25,6398146,'1',303,'N'),(25,6398154,'1',317,'N'),(25,6398170,'1',108,'N'),(25,6398189,'1',207,'N'),(25,6398189,'1A',233,'N'),(25,6398197,'1',319,'N'),(25,6398219,'1',109,'N'),(25,6398227,'1',5,'N'),(25,6398235,'1',2,'N'),(25,6398243,'1',302,'N'),(25,6398251,'1',208,'N'),(25,6398260,'1',303,'N'),(25,6398278,'1',303,'N'),(25,6398286,'1',303,'N'),(25,6398294,'1',233,'N'),(25,6398294,'1A',216,'N'),(25,6398316,'1',208,'N'),(25,6398316,'1A',220,'N'),(25,6398332,'1',317,'N'),(25,6398340,'1',423,'N'),(25,6398340,'1A',425,'N'),(25,6398359,'1',327,'N'),(25,6398367,'1',316,'N'),(25,6398375,'1',103,'N'),(25,6398383,'1',214,'N'),(25,6398383,'1A',213,'N'),(25,6398391,'1',501,'N'),(25,6398405,'1',3,'N'),(25,6398413,'1',999,'N'),(25,6398421,'1',223,'N'),(25,6398430,'1',201,'N'),(25,6398430,'1A',212,'N'),(25,6398448,'1',212,'N'),(25,6398448,'1A',201,'N'),(25,6398456,'1',101,'N'),(25,6398464,'1',340,'N'),(25,6398472,'1',103,'N'),(25,6398480,'1',999,'N'),(25,6398502,'1',103,'N'),(25,6398510,'1',211,'N'),(25,6398529,'1',103,'N'),(25,6398537,'1',415,'N'),(25,6398545,'1',318,'N'),(25,6398553,'1',5,'N'),(25,6398588,'1',502,'N'),(25,6398596,'1',203,'N'),(25,6398596,'1A',201,'N'),(25,6398600,'1',999,'N'),(25,6398618,'1',339,'N'),(25,6398626,'1',216,'N'),(25,6398626,'1A',201,'N'),(25,6398634,'1',103,'N'),(25,6398642,'1',339,'N'),(25,6398650,'1',320,'N'),(25,6398669,'1',999,'N'),(25,6398677,'1',109,'N'),(25,6398685,'1',333,'N'),(25,6398693,'1',303,'N'),(25,6398707,'1',202,'N'),(25,6398707,'1A',211,'N'),(25,6398715,'1',102,'N'),(25,6398723,'1',103,'N'),(25,6398731,'1',316,'N'),(25,6398740,'1',103,'N'),(25,6398758,'1',303,'N'),(25,6398766,'1',332,'N'),(25,6398774,'1',653,'N'),(25,6398782,'1',207,'N'),(25,6398790,'1',235,'N'),(25,6398790,'1A',655,'N'),(25,6398804,'1',444,'N'),(25,6398812,'1',320,'N'),(25,6398839,'1',999,'N'),(25,6398855,'1',9,'N'),(25,6398898,'1',238,'N'),(25,6398898,'1A',208,'N'),(25,6398901,'1',202,'N'),(25,6398901,'1A',213,'N'),(25,6398910,'1',201,'N'),(25,6398910,'1A',212,'N'),(25,6398928,'1',601,'N'),(25,6398928,'1A',202,'N'),(25,6398936,'1',103,'N'),(25,6398944,'1',340,'N'),(25,6398952,'1',201,'N'),(25,6398952,'1A',207,'N'),(25,6398979,'1',109,'N'),(25,6398987,'1',202,'N'),(25,6398987,'1A',235,'N'),(25,6398995,'1',999,'N'),(25,6399002,'1',502,'N'),(25,6399010,'1',450,'N'),(25,6399029,'1',5,'N'),(25,6399037,'1',999,'N'),(25,6399045,'1',203,'N'),(25,6399045,'1A',216,'N'),(25,6399053,'1',103,'N'),(25,6399061,'1',220,'N'),(25,6399070,'1',203,'N'),(25,6399070,'1A',214,'N'),(25,6399088,'1',5,'N'),(25,6399096,'1',601,'N'),(25,6399096,'1A',203,'N'),(25,6399100,'1',319,'N'),(25,6399118,'1',103,'N'),(25,6399126,'1',999,'N'),(25,6399134,'1',452,'N'),(25,6399142,'1',551,'N'),(25,6399150,'1',999,'N'),(25,6399169,'1',339,'N'),(25,6399177,'1',201,'N'),(25,6399177,'1A',208,'N'),(25,6399185,'1',103,'N'),(25,6399193,'1',211,'N'),(25,6399193,'1A',201,'N'),(25,6399215,'1',304,'N'),(25,6399223,'1',317,'N'),(25,6399231,'1',302,'N'),(25,6399240,'1',999,'N'),(25,6399258,'1',420,'N'),(25,6399266,'1',103,'N'),(25,6399274,'1',317,'N'),(25,6399282,'1',654,'N'),(25,6399290,'1',108,'N'),(25,6399304,'1',444,'N'),(25,6399312,'1',108,'N'),(25,6399320,'1',104,'N'),(25,6399339,'1',999,'N'),(25,6399347,'1',101,'N'),(25,6399355,'1',5,'N'),(25,6399363,'1',316,'N'),(25,6399371,'1',301,'N'),(25,6399380,'1',328,'N'),(25,6399398,'1',338,'N'),(25,6399401,'1',502,'N'),(25,6399410,'1',5,'N'),(25,6399436,'1',310,'N'),(25,6399444,'1',104,'N'),(25,6399452,'1',216,'N'),(25,6399452,'1A',215,'N'),(25,6399479,'1',999,'N'),(25,6399487,'1',103,'N'),(25,6399495,'1',104,'N'),(25,6399509,'1',310,'N'),(25,6399517,'1',108,'N'),(25,6399525,'1',420,'N'),(25,6399541,'1',110,'N'),(25,6399550,'1',202,'N'),(25,6399550,'1A',203,'N'),(25,6399568,'1',211,'N'),(25,6399568,'1A',601,'N'),(25,6399576,'1',601,'N'),(25,6399576,'1A',201,'N'),(25,6399584,'1',444,'N'),(25,6399592,'1',303,'N'),(25,6399606,'1',103,'N'),(25,6399614,'1',103,'N'),(25,6399622,'1',201,'N'),(25,6399622,'1A',212,'N'),(25,6399649,'1',338,'N'),(25,6399665,'1',340,'N'),(25,6399673,'1',303,'N'),(25,6399681,'1',110,'N'),(25,6399690,'1',5,'N'),(25,6399703,'1',336,'N'),(25,6399711,'1',103,'N'),(25,6399720,'1',999,'N'),(25,6399738,'1',211,'N'),(25,6399738,'1A',215,'N'),(25,6399746,'1',201,'N'),(25,6399746,'1A',212,'N'),(25,6399754,'1',207,'N'),(25,6399754,'1A',212,'N'),(25,6399762,'1',501,'N'),(25,6399770,'1',303,'N'),(25,6399789,'1',329,'N'),(25,6399797,'1',9,'N'),(25,6399800,'1',316,'N'),(25,6399827,'1',415,'N'),(25,6399835,'1',319,'N'),(25,6399843,'1',999,'N'),(25,6399851,'1',235,'N'),(25,6399851,'1A',213,'N'),(25,6399860,'1',101,'N'),(25,6399878,'1',234,'N'),(25,6399894,'1',103,'N'),(25,6399908,'1',108,'N'),(25,6399916,'1',102,'N'),(25,6399924,'1',303,'N'),(25,6399940,'1',3,'N'),(25,6399959,'1',340,'N'),(25,6399967,'1',238,'N'),(25,6399967,'1A',208,'N'),(25,6399975,'1',319,'N'),(25,6399991,'1',220,'N'),(25,6399991,'1A',233,'N'),(25,6400000,'1',601,'N'),(25,6400000,'1A',235,'N'),(25,6400019,'1',216,'N'),(25,6400019,'1A',202,'N'),(25,6400035,'1',208,'N'),(25,6400035,'1A',238,'N'),(25,6400043,'1',451,'N'),(25,6400051,'1',340,'N'),(25,6400060,'1',450,'N'),(25,6400086,'1',103,'N'),(25,6400094,'1',5,'N'),(25,6400108,'1',340,'N'),(25,6400124,'1',654,'N'),(25,6400132,'1',304,'N'),(25,6400159,'1',5,'N'),(25,6400175,'1',220,'N'),(25,6400175,'1A',213,'N'),(25,6400183,'1',999,'N'),(25,6400213,'1',424,'N'),(25,6400213,'1A',428,'N'),(25,6400221,'1',223,'N'),(25,6400230,'1',238,'N'),(25,6400230,'1A',208,'N'),(25,6400256,'1',214,'N'),(25,6400256,'1A',202,'N'),(25,6400264,'1',212,'N'),(25,6400264,'1A',213,'N'),(25,6400272,'1',110,'N'),(25,6400280,'1',203,'N'),(25,6400280,'1A',214,'N'),(25,6400299,'1',340,'N'),(25,6400302,'1',304,'N'),(25,6400310,'1',201,'N'),(25,6400310,'1A',207,'N'),(25,6400329,'1',999,'N'),(25,6400337,'1',999,'N'),(25,6400345,'1',601,'N'),(25,6400345,'1A',212,'N'),(25,6400353,'1',201,'N'),(25,6400353,'1A',211,'N'),(25,6400361,'1',999,'N'),(25,6400370,'1',303,'N'),(25,6400388,'1',427,'N'),(25,6400388,'1A',423,'N'),(25,6400400,'1',9,'N'),(25,6400418,'1',3,'N'),(25,6400434,'1',652,'N'),(25,6400434,'1A',655,'N'),(25,6400442,'1',404,'N'),(25,6400450,'1',317,'N'),(25,6400477,'1',220,'N'),(25,6400477,'1A',202,'N'),(25,6400485,'1',203,'N'),(25,6400485,'1A',201,'N'),(25,6400507,'1',104,'N'),(25,6400531,'1',999,'N'),(25,6400540,'1',654,'N'),(25,6400558,'1',427,'N'),(25,6400558,'1A',425,'N'),(25,6400566,'1',999,'N'),(25,6400574,'1',103,'N'),(25,6400582,'1',213,'N'),(25,6400582,'1A',212,'N'),(25,6400590,'1',425,'N'),(25,6400604,'1',450,'N'),(25,6400612,'1',303,'N'),(25,6400620,'1',103,'N'),(25,6400639,'1',207,'N'),(25,6400639,'1A',238,'N'),(25,6400647,'1',213,'N'),(25,6400647,'1A',235,'N'),(25,6400655,'1',207,'N'),(25,6400655,'1A',215,'N'),(25,6400663,'1',216,'N'),(25,6400663,'1A',208,'N'),(25,6400671,'1',211,'N'),(25,6400671,'1A',216,'N'),(25,6400680,'1',201,'N'),(25,6400680,'1A',233,'N'),(25,6400698,'1',404,'N'),(25,6400701,'1',102,'N'),(25,6400710,'1',202,'N'),(25,6400710,'1A',213,'N'),(25,6400728,'1',655,'N'),(25,6400728,'1A',653,'N'),(25,6400744,'1',222,'N'),(25,6400752,'1',201,'N'),(25,6400752,'1A',212,'N'),(25,6400760,'1',102,'N'),(25,6400779,'1',201,'N'),(25,6400779,'1A',212,'N'),(25,6400787,'1',103,'N'),(25,6400795,'1',303,'N'),(25,6400809,'1',332,'N'),(25,6400817,'1',212,'N'),(25,6400817,'1A',213,'N'),(25,6400825,'1',340,'N'),(25,6400833,'1',207,'N'),(25,6400841,'1',202,'N'),(25,6400841,'1A',238,'N'),(25,6400868,'1',201,'N'),(25,6400868,'1A',207,'N'),(25,6400876,'1',303,'N'),(25,6400884,'1',103,'N'),(25,6400892,'1',302,'N'),(25,6400906,'1',316,'N'),(25,6400914,'1',301,'N'),(25,6400922,'1',207,'N'),(25,6400922,'1A',201,'N'),(25,6400949,'1',103,'N'),(25,6400957,'1',308,'N'),(25,6400965,'1',654,'N'),(25,6401015,'1',214,'N'),(25,6401023,'1',301,'N'),(25,6401031,'1',103,'N'),(25,6401040,'1',214,'N'),(25,6401040,'1A',201,'N'),(25,6401058,'1',999,'N'),(25,6401066,'1',999,'N'),(25,6401074,'1',301,'N'),(25,6401082,'1',108,'N'),(25,6401090,'1',319,'N'),(25,6401104,'1',5,'N'),(25,6401112,'1',333,'N'),(25,6401120,'1',303,'N'),(25,6401139,'1',104,'N'),(25,6401147,'1',202,'N'),(25,6401147,'1A',235,'N'),(25,6401163,'1',551,'N'),(25,6401171,'1',652,'N'),(25,6401171,'1A',655,'N'),(25,6401180,'1',308,'N'),(25,6401198,'1',207,'N'),(25,6401198,'1A',201,'N'),(25,6401201,'1',450,'N'),(25,6401210,'1',320,'N'),(25,6401228,'1',301,'N'),(25,6401244,'1',203,'N'),(25,6401244,'1A',601,'N'),(25,6401252,'1',308,'N'),(25,6401260,'1',415,'N'),(25,6401279,'1',103,'N'),(25,6401287,'1',103,'N'),(25,6401295,'1',103,'N'),(25,6401309,'1',999,'N'),(25,6401317,'1',999,'N'),(25,6401325,'1',320,'N'),(25,6401333,'1',207,'N'),(25,6401333,'1A',601,'N'),(25,6401350,'1',601,'N'),(25,6401368,'1',303,'N'),(25,6401384,'1',207,'N'),(25,6401384,'1A',201,'N'),(25,6401392,'1',653,'N'),(25,6401392,'1A',652,'N'),(25,6401430,'1',302,'N'),(25,6401449,'1',320,'N'),(25,6401457,'1',201,'N'),(25,6401457,'1A',212,'N'),(25,6401465,'1',308,'N'),(25,6401481,'1',316,'N'),(25,6401490,'1',235,'N'),(25,6401511,'1',303,'N'),(25,6401520,'1',653,'N'),(25,6401520,'1A',203,'N'),(25,6401538,'1',103,'N'),(25,6401546,'1',654,'N'),(25,6401570,'1',415,'N'),(25,6401589,'1',999,'N'),(25,6401597,'1',223,'N'),(25,6401600,'1',211,'N'),(25,6401600,'1A',207,'N'),(25,6401635,'1',415,'N'),(25,6401643,'1',103,'N'),(25,6401651,'1',238,'N'),(25,6401660,'1',207,'N'),(25,6401660,'1A',214,'N'),(25,6401678,'1',999,'N'),(25,6401686,'1',103,'N'),(25,6401708,'1',103,'N'),(25,6401724,'1',308,'N'),(25,6401732,'1',317,'N'),(25,6401740,'1',203,'N'),(25,6401759,'1',208,'N'),(25,6401759,'1A',238,'N'),(25,6401767,'1',317,'N'),(25,6401775,'1',212,'N'),(25,6401775,'1A',211,'N'),(25,6401783,'1',103,'N'),(25,6401791,'1',301,'N'),(25,6401805,'1',5,'N'),(25,6401813,'1',999,'N'),(25,6401821,'1',103,'N'),(25,6401830,'1',316,'N'),(25,6401848,'1',201,'N'),(25,6401864,'1',110,'N'),(25,6401872,'1',415,'N'),(25,6401880,'1',333,'N'),(25,6401899,'1',220,'N'),(25,6401902,'1',215,'N'),(25,6401902,'1A',207,'N'),(25,6401910,'1',225,'N'),(25,6401929,'1',316,'N'),(25,6401937,'1',327,'N'),(25,6401945,'1',110,'N'),(25,6401953,'1',999,'N'),(25,6401961,'1',207,'N'),(25,6401970,'1',653,'N'),(25,6401970,'1A',652,'N'),(25,6402003,'1',654,'N'),(25,6402020,'1',502,'N'),(25,6402038,'1',302,'N'),(25,6402046,'1',5,'N'),(25,6402054,'1',207,'N'),(25,6402054,'1A',208,'N'),(25,6402062,'1',103,'N'),(25,6402070,'1',317,'N'),(25,6402089,'1',444,'N'),(25,6402097,'1',333,'N'),(25,6402100,'1',303,'N'),(25,6402119,'1',999,'N'),(25,6402127,'1',3,'N'),(25,6402135,'1',328,'N'),(25,6402143,'1',103,'N'),(25,6402151,'1',108,'N'),(25,6402160,'1',302,'N'),(25,6402178,'1',332,'N'),(25,6402186,'1',216,'N'),(25,6402186,'1A',208,'N'),(25,6402194,'1',317,'N'),(25,6402208,'1',601,'N'),(25,6402208,'1A',238,'N'),(25,6402224,'1',222,'N'),(25,6402232,'1',999,'N'),(25,6402259,'1',655,'N'),(25,6402259,'1A',652,'N'),(25,6402267,'1',308,'N'),(25,6402275,'1',104,'N'),(25,6402291,'1',340,'N'),(25,6402313,'1',3,'N'),(25,6402321,'1',420,'N'),(25,6402330,'1',303,'N'),(25,6402348,'1',328,'N'),(25,6402356,'1',103,'N'),(25,6402364,'1',101,'N'),(25,6402372,'1',5,'N'),(25,6402380,'1',207,'N'),(25,6402380,'1A',201,'N'),(25,6402399,'1',303,'N'),(25,6402402,'1',104,'N'),(25,6402410,'1',302,'N'),(25,6402429,'1',108,'N'),(25,6402437,'1',203,'N'),(25,6402437,'1A',202,'N'),(25,6402445,'1',316,'N'),(25,6402470,'1',103,'N'),(25,6402488,'1',999,'N'),(25,6402496,'1',208,'N'),(25,6402496,'1A',233,'N'),(25,6402500,'1',212,'N'),(25,6402500,'1A',201,'N'),(25,6402518,'1',211,'N'),(25,6402526,'1',220,'N'),(25,6402526,'1A',201,'N'),(25,6402534,'1',332,'N'),(25,6402542,'1',201,'N'),(25,6402550,'1',415,'N'),(25,6402569,'1',201,'N'),(25,6402569,'1A',212,'N'),(25,6402577,'1',302,'N'),(25,6402585,'1',420,'N'),(25,6402593,'1',425,'N'),(25,6402593,'1A',429,'N'),(25,6402607,'1',420,'N'),(25,6402615,'1',207,'N'),(25,6402615,'1A',201,'N'),(25,6402623,'1',503,'N'),(25,6402631,'1',238,'N'),(25,6402640,'1',103,'N'),(25,6402658,'1',655,'N'),(25,6402666,'1',207,'N'),(25,6402666,'1A',201,'N'),(25,6402682,'1',340,'N'),(25,6402690,'1',999,'N'),(25,6402704,'1',103,'N'),(25,6402712,'1',101,'N'),(25,6402720,'1',203,'N'),(25,6402720,'1A',213,'N'),(25,6402739,'1',427,'N'),(25,6402739,'1A',424,'N'),(25,6402755,'1',103,'N'),(25,6402763,'1',452,'N'),(25,6402771,'1',316,'N'),(25,6402780,'1',333,'N'),(25,6402798,'1',214,'N'),(25,6402798,'1A',212,'N'),(25,6402801,'1',999,'N'),(25,6402810,'1',104,'N'),(25,6402828,'1',110,'N'),(25,6402836,'1',203,'N'),(25,6402836,'1A',214,'N'),(25,6402844,'1',601,'N'),(25,6402852,'1',103,'N'),(25,6402879,'1',238,'N'),(25,6402895,'1',5,'N'),(25,6402909,'1',201,'N'),(25,6402909,'1A',235,'N'),(25,6402917,'1',309,'N'),(25,6402925,'1',103,'N'),(25,6402941,'1',201,'N'),(25,6402941,'1A',216,'N'),(25,6402950,'1',425,'N'),(25,6402950,'1A',428,'N'),(25,6402968,'1',103,'N'),(25,6402976,'1',999,'N'),(25,6402984,'1',328,'N'),(25,6402992,'1',201,'N'),(25,6402992,'1A',212,'N'),(25,6403000,'1',301,'N'),(25,6403026,'1',103,'N'),(25,6403034,'1',103,'N'),(25,6403042,'1',404,'N'),(25,6403050,'1',319,'N'),(25,6403069,'1',501,'N'),(25,6403077,'1',999,'N'),(25,6403085,'1',224,'N'),(25,6403093,'1',201,'N'),(25,6403093,'1A',233,'N'),(25,6403107,'1',103,'N'),(25,6403115,'1',201,'N'),(25,6403115,'1A',202,'N'),(25,6403123,'1',201,'N'),(25,6403131,'1',104,'N'),(25,6403140,'1',301,'N'),(25,6403158,'1',225,'N'),(25,6403166,'1',654,'N'),(25,6403174,'1',203,'N'),(25,6403174,'1A',201,'N'),(25,6403182,'1',103,'N'),(25,6403190,'1',213,'N'),(25,6403190,'1A',601,'N'),(25,6403212,'1',238,'N'),(25,6403212,'1A',208,'N'),(25,6403220,'1',601,'N'),(25,6403220,'1A',208,'N'),(25,6403239,'1',303,'N'),(25,6403247,'1',103,'N'),(25,6403255,'1',999,'N'),(25,6403263,'1',103,'N'),(25,6403271,'1',103,'N'),(25,6403280,'1',103,'N'),(25,6403298,'1',654,'N'),(25,6403310,'1',235,'N'),(25,6403310,'1A',208,'N'),(25,6403328,'1',424,'N'),(25,6403328,'1A',421,'N'),(25,6403336,'1',104,'N'),(25,6403344,'1',103,'N'),(25,6403352,'1',425,'N'),(25,6403352,'1A',428,'N'),(25,6403360,'1',301,'N'),(25,6403379,'1',318,'N'),(25,6403387,'1',444,'N'),(25,6403395,'1',551,'N'),(25,6403409,'1',450,'N'),(25,6403417,'1',235,'N'),(25,6403417,'1A',214,'N'),(25,6403433,'1',404,'N'),(25,6403441,'1',551,'N'),(25,6403450,'1',339,'N'),(25,6403468,'1',103,'N'),(25,6403476,'1',201,'N'),(25,6403476,'1A',220,'N'),(25,6403484,'1',327,'N'),(25,6403492,'1',324,'N'),(25,6403506,'1',999,'N'),(25,6403514,'1',5,'N'),(25,6403522,'1',429,'N'),(25,6403522,'1A',427,'N'),(25,6403530,'1',216,'N'),(25,6403530,'1A',653,'N'),(25,6403549,'1',224,'N'),(25,6403557,'1',9,'N'),(25,6403565,'1',999,'N'),(25,6403573,'1',652,'N'),(25,6403573,'1A',655,'N'),(25,6403581,'1',999,'N'),(25,6403590,'1',212,'N'),(25,6403590,'1A',207,'N'),(25,6403611,'1',319,'N'),(25,6403620,'1',5,'N'),(25,6403638,'1',103,'N'),(25,6403646,'1',203,'N'),(25,6403646,'1A',214,'N'),(25,6403654,'1',340,'N'),(25,6403662,'1',308,'N'),(25,6403670,'1',208,'N'),(25,6403670,'1A',238,'N'),(25,6403697,'1',214,'N'),(25,6403697,'1A',212,'N'),(25,6403700,'1',214,'N'),(25,6403700,'1A',238,'N'),(25,6403719,'1',655,'N'),(25,6403719,'1A',652,'N'),(25,6403727,'1',102,'N'),(25,6403743,'1',5,'N'),(25,6403751,'1',103,'N'),(25,6403778,'1',201,'N'),(25,6403786,'1',207,'N'),(25,6403786,'1A',215,'N'),(25,6403794,'1',450,'N'),(25,6403808,'1',319,'N'),(25,6403816,'1',502,'N'),(25,6403824,'1',301,'N'),(25,6403832,'1',207,'N'),(25,6403832,'1A',201,'N'),(25,6403840,'1',103,'N'),(25,6403867,'1',404,'N'),(25,6403875,'1',415,'N'),(25,6403883,'1',101,'N'),(25,6403891,'1',3,'N'),(25,6403905,'1',103,'N'),(25,6403913,'1',103,'N'),(25,6403948,'1',404,'N'),(25,6403956,'1',108,'N'),(25,6403964,'1',601,'N'),(25,6403964,'1A',203,'N'),(25,6403972,'1',9,'N'),(25,6404014,'1',450,'N'),(25,6404022,'1',444,'N'),(25,6404030,'1',444,'N'),(25,6404049,'1',453,'N'),(25,6404057,'1',212,'N'),(25,6404057,'1A',207,'N'),(25,6404065,'1',103,'N'),(25,6404081,'1',104,'N'),(25,6404103,'1',303,'N'),(25,6404120,'1',2,'N'),(25,6404138,'1',999,'N'),(25,6404146,'1',999,'N'),(25,6404154,'1',652,'N'),(25,6404154,'1A',655,'N'),(25,6404170,'1',235,'N'),(25,6404170,'1A',208,'N'),(25,6404189,'1',654,'N'),(25,6404197,'1',503,'N'),(25,6404200,'1',207,'N'),(25,6404200,'1A',208,'N'),(25,6404219,'1',999,'N'),(25,6404227,'1',103,'N'),(25,6404235,'1',103,'N'),(25,6404243,'1',601,'N'),(25,6404243,'1A',207,'N'),(25,6404251,'1',318,'N'),(25,6404260,'1',333,'N'),(25,6404278,'1',103,'N'),(25,6404286,'1',302,'N'),(25,6404294,'1',999,'N'),(25,6404308,'1',103,'N'),(25,6404316,'1',207,'N'),(25,6404316,'1A',216,'N'),(25,6404324,'1',318,'N'),(25,6404332,'1',340,'N'),(25,6404359,'1',203,'N'),(25,6404359,'1A',202,'N'),(25,6404367,'1',551,'N'),(25,6404375,'1',652,'N'),(25,6404375,'1A',655,'N'),(25,6404383,'1',103,'N'),(25,6404405,'1',5,'N'),(25,6404413,'1',320,'N'),(25,6404421,'1',201,'N'),(25,6404448,'1',444,'N'),(25,6404456,'1',999,'N'),(25,6404464,'1',501,'N'),(25,6404480,'1',9,'N'),(25,6404499,'1',551,'N'),(25,6404502,'1',326,'N'),(25,6404510,'1',999,'N'),(25,6404537,'1',655,'N'),(25,6404537,'1A',208,'N'),(25,6404545,'1',207,'N'),(25,6404545,'1A',201,'N'),(25,6404553,'1',652,'N'),(25,6404553,'1A',655,'N'),(25,6404561,'1',207,'N'),(25,6404561,'1A',215,'N'),(25,6404570,'1',652,'N'),(25,6404570,'1A',601,'N'),(25,6404588,'1',103,'N'),(25,6404596,'1',207,'N'),(25,6404600,'1',404,'N'),(25,6404618,'1',501,'N'),(25,6404626,'1',103,'N'),(25,6404634,'1',203,'N'),(25,6404634,'1A',214,'N'),(25,6404642,'1',104,'N'),(25,6404650,'1',424,'N'),(25,6404650,'1A',421,'N'),(25,6404669,'1',336,'N'),(25,6404685,'1',207,'N'),(25,6404693,'1',304,'N'),(25,6404715,'1',203,'N'),(25,6404715,'1A',233,'N'),(25,6404723,'1',9,'N'),(25,6404731,'1',203,'N'),(25,6404731,'1A',220,'N'),(25,6404740,'1',453,'N'),(25,6404758,'1',332,'N'),(25,6404774,'1',425,'N'),(25,6404774,'1A',427,'N'),(25,6404782,'1',301,'N'),(25,6404790,'1',304,'N'),(25,6404804,'1',103,'N'),(25,6404812,'1',211,'N'),(25,6404812,'1A',215,'N'),(25,6404820,'1',999,'N'),(25,6404839,'1',103,'N'),(25,6404847,'1',333,'N'),(25,6404855,'1',211,'N'),(25,6404855,'1A',214,'N'),(25,6404863,'1',104,'N'),(25,6404871,'1',103,'N'),(25,6404880,'1',304,'N'),(25,6404898,'1',415,'N'),(25,6404901,'1',301,'N'),(25,6404910,'1',207,'N'),(25,6404910,'1A',214,'N'),(25,6404928,'1',103,'N'),(25,6404936,'1',451,'N'),(25,6404944,'1',207,'N'),(25,6404952,'1',207,'N'),(25,6404952,'1A',201,'N'),(25,6404960,'1',103,'N'),(25,6404979,'1',303,'N'),(25,6404987,'1',319,'N'),(25,6404995,'1',102,'N'),(25,6405002,'1',415,'N'),(25,6405010,'1',103,'N'),(25,6405029,'1',103,'N'),(25,6405045,'1',332,'N'),(25,6405053,'1',103,'N'),(25,6405061,'1',333,'N'),(25,6405070,'1',207,'N'),(25,6405070,'1A',212,'N'),(25,6405088,'1',203,'N'),(25,6405088,'1A',214,'N'),(25,6405118,'1',340,'N'),(25,6405126,'1',999,'N'),(25,6405134,'1',103,'N'),(25,6405142,'1',5,'N'),(25,6405169,'1',103,'N'),(25,6405177,'1',201,'N'),(25,6405177,'1A',216,'N'),(25,6405185,'1',5,'N'),(25,6405207,'1',108,'N'),(25,6405215,'1',999,'N'),(25,6405223,'1',317,'N'),(25,6405266,'1',207,'N'),(25,6405266,'1A',211,'N'),(25,6405274,'1',327,'N'),(25,6405282,'1',999,'N'),(25,6405290,'1',108,'N'),(25,6405304,'1',103,'N'),(25,6405312,'1',238,'N'),(25,6405320,'1',202,'N'),(25,6405320,'1A',208,'N'),(25,6405347,'1',223,'N'),(25,6405355,'1',103,'N'),(25,6405363,'1',320,'N'),(25,6405380,'1',452,'N'),(25,6405398,'1',999,'N'),(25,6405410,'1',213,'N'),(25,6405410,'1A',202,'N'),(25,6405428,'1',201,'N'),(25,6405436,'1',103,'N'),(25,6405452,'1',551,'N'),(25,6405479,'1',109,'N'),(25,6405487,'1',2,'N'),(25,6405495,'1',308,'N'),(25,6405509,'1',654,'N'),(25,6405517,'1',340,'N'),(25,6405525,'1',999,'N'),(25,6405533,'1',336,'N'),(25,6405550,'1',303,'N'),(25,6405568,'1',415,'N'),(25,6405584,'1',108,'N'),(25,6405592,'1',103,'N'),(25,6405606,'1',301,'N'),(25,6405614,'1',327,'N'),(25,6405622,'1',208,'N'),(25,6405622,'1A',201,'N'),(25,6405630,'1',304,'N'),(25,6405649,'1',319,'N'),(25,6405657,'1',101,'N'),(25,6405665,'1',340,'N'),(25,6405673,'1',333,'N'),(25,6405681,'1',101,'N'),(25,6405690,'1',108,'N'),(25,6405703,'1',340,'N'),(25,6405711,'1',404,'N'),(25,6405720,'1',336,'N'),(25,6405746,'1',653,'N'),(25,6405746,'1A',202,'N'),(25,6405754,'1',103,'N'),(25,6405762,'1',551,'N'),(25,6405770,'1',108,'N'),(25,6405789,'1',103,'N'),(25,6405800,'1',110,'N'),(25,6405827,'1',331,'N'),(25,6405835,'1',999,'N'),(25,6405843,'1',103,'N'),(25,6405851,'1',444,'N'),(25,6405860,'1',340,'N'),(25,6405878,'1',108,'N'),(25,6405886,'1',450,'N'),(25,6405916,'1',453,'N'),(25,6405924,'1',303,'N'),(25,6405932,'1',999,'N'),(25,6405940,'1',201,'N'),(25,6405959,'1',654,'N'),(25,6405975,'1',103,'N'),(25,6405983,'1',316,'N'),(25,6405991,'1',223,'N'),(25,6406009,'1',502,'N'),(25,6406033,'1',420,'N'),(25,6406041,'1',336,'N'),(25,6406050,'1',451,'N'),(25,6406068,'1',2,'N'),(25,6406076,'1',233,'N'),(25,6406076,'1A',235,'N'),(25,6406084,'1',999,'N'),(25,6406106,'1',103,'N'),(25,6406114,'1',303,'N'),(25,6406122,'1',216,'N'),(25,6406130,'1',444,'N'),(25,6406149,'1',201,'N'),(25,6406149,'1A',207,'N'),(25,6406157,'1',420,'N'),(25,6406165,'1',208,'N'),(25,6406173,'1',551,'N'),(25,6406181,'1',320,'N'),(25,6406203,'1',5,'N'),(25,6406211,'1',103,'N'),(25,6406246,'1',324,'N'),(25,6406254,'1',104,'N'),(25,6406262,'1',103,'N'),(25,6406289,'1',238,'N'),(25,6406289,'1A',655,'N'),(25,6406297,'1',202,'N'),(25,6406297,'1A',214,'N'),(25,6406300,'1',5,'N'),(25,6406319,'1',103,'N'),(25,6406327,'1',999,'N'),(25,6406335,'1',5,'N'),(25,6406343,'1',103,'N'),(25,6406351,'1',551,'N'),(25,6406378,'1',5,'N'),(25,6406386,'1',5,'N'),(25,6406394,'1',309,'N'),(25,6406408,'1',103,'N'),(25,6406432,'1',216,'N'),(25,6406432,'1A',233,'N'),(25,6406440,'1',655,'N'),(25,6406440,'1A',653,'N'),(25,6406459,'1',110,'N'),(25,6406467,'1',208,'N'),(25,6406467,'1A',202,'N'),(25,6406483,'1',654,'N'),(25,6406505,'1',654,'N'),(25,6406513,'1',213,'N'),(25,6406513,'1A',235,'N'),(25,6406521,'1',331,'N'),(25,6406530,'1',103,'N'),(25,6406548,'1',319,'N'),(25,6406556,'1',213,'N'),(25,6406556,'1A',601,'N'),(25,6406564,'1',444,'N'),(25,6406572,'1',425,'N'),(25,6406572,'1A',423,'N'),(25,6406580,'1',103,'N'),(25,6406599,'1',428,'N'),(25,6406599,'1A',426,'N'),(25,6406602,'1',223,'N'),(25,6406610,'1',201,'N'),(25,6406610,'1A',207,'N'),(25,6406629,'1',216,'N'),(25,6406629,'1A',215,'N'),(25,6406637,'1',207,'N'),(25,6406637,'1A',601,'N'),(25,6406645,'1',426,'N'),(25,6406645,'1A',428,'N'),(25,6406661,'1',303,'N'),(25,6406670,'1',103,'N'),(25,6406688,'1',316,'N'),(25,6406696,'1',203,'N'),(25,6406696,'1A',214,'N'),(25,6406700,'1',207,'N'),(25,6406700,'1A',208,'N'),(25,6406726,'1',404,'N'),(25,6406734,'1',216,'N'),(25,6406734,'1A',601,'N'),(25,6406742,'1',404,'N'),(25,6406750,'1',103,'N'),(25,6406769,'1',207,'N'),(25,6406769,'1A',201,'N'),(25,6406785,'1',234,'N'),(25,6406793,'1',203,'N'),(25,6406793,'1A',220,'N'),(25,6406807,'1',211,'N'),(25,6406807,'1A',235,'N'),(25,6406815,'1',337,'N'),(25,6406823,'1',202,'N'),(25,6406823,'1A',201,'N'),(25,6406840,'1',551,'N'),(25,6406858,'1',316,'N'),(25,6406866,'1',316,'N'),(25,6406874,'1',301,'N'),(25,6406882,'1',223,'N'),(25,6406890,'1',415,'N'),(25,6406904,'1',202,'N'),(25,6406904,'1A',235,'N'),(25,6406912,'1',316,'N'),(25,6406920,'1',207,'N'),(25,6406920,'1A',235,'N'),(25,6406947,'1',999,'N'),(25,6406963,'1',220,'N'),(25,6406963,'1A',213,'N'),(25,6406998,'1',234,'N'),(25,6407005,'1',333,'N'),(25,6407013,'1',104,'N'),(25,6407021,'1',301,'N'),(25,6407030,'1',104,'N'),(25,6407048,'1',201,'N'),(25,6407056,'1',327,'N'),(25,6407064,'1',999,'N'),(25,6407072,'1',203,'N'),(25,6407072,'1A',208,'N'),(25,6407099,'1',208,'N'),(25,6407099,'1A',202,'N'),(25,6407129,'1',340,'N'),(25,6407137,'1',103,'N'),(25,6407145,'1',450,'N'),(25,6407161,'1',103,'N'),(25,6407188,'1',333,'N'),(25,6407200,'1',103,'N'),(25,6407218,'1',103,'N'),(25,6407226,'1',338,'N'),(25,6407234,'1',203,'N'),(25,6407234,'1A',220,'N'),(25,6407242,'1',208,'N'),(25,6407242,'1A',214,'N'),(25,6407250,'1',326,'N'),(25,6407269,'1',326,'N'),(25,6407277,'1',302,'N'),(25,6407285,'1',102,'N'),(25,6407293,'1',207,'N'),(25,6407293,'1A',201,'N'),(25,6407307,'1',450,'N'),(25,6407331,'1',103,'N'),(25,6407340,'1',109,'N'),(25,6407358,'1',103,'N'),(25,6407366,'1',655,'N'),(25,6407366,'1A',208,'N'),(25,6407374,'1',103,'N'),(25,6407382,'1',653,'N'),(25,6407382,'1A',203,'N'),(25,6407390,'1',103,'N'),(25,6407404,'1',104,'N'),(25,6407420,'1',308,'N'),(25,6407439,'1',104,'N'),(25,6407447,'1',301,'N'),(25,6407455,'1',652,'N'),(25,6407463,'1',207,'N'),(25,6407463,'1A',212,'N'),(25,6407471,'1',238,'N'),(25,6407471,'1A',208,'N'),(25,6407480,'1',329,'N'),(25,6407498,'1',211,'N'),(25,6407498,'1A',201,'N'),(25,6407501,'1',103,'N'),(25,6407510,'1',238,'N'),(25,6407510,'1A',208,'N'),(25,6407528,'1',551,'N'),(25,6407536,'1',238,'N'),(25,6407544,'1',3,'N'),(25,6407552,'1',404,'N'),(25,6407560,'1',103,'N'),(25,6407579,'1',999,'N'),(25,6407587,'1',203,'N'),(25,6407587,'1A',202,'N'),(25,6407595,'1',103,'N'),(25,6407609,'1',452,'N'),(25,6407617,'1',303,'N'),(25,6407625,'1',103,'N'),(25,6407641,'1',104,'N'),(25,6407668,'1',202,'N'),(25,6407668,'1A',213,'N'),(25,6407676,'1',335,'N'),(25,6407684,'1',5,'N'),(25,6407706,'1',601,'N'),(25,6407706,'1A',203,'N'),(25,6407714,'1',340,'N'),(25,6407722,'1',302,'N'),(25,6407730,'1',333,'N'),(25,6407749,'1',444,'N'),(25,6407757,'1',214,'N'),(25,6407757,'1A',213,'N'),(25,6407765,'1',999,'N'),(25,6407773,'1',208,'N'),(25,6407773,'1A',202,'N'),(25,6407781,'1',999,'N'),(25,6407811,'1',420,'N'),(25,6407846,'1',303,'N'),(25,6407854,'1',238,'N'),(25,6407854,'1A',208,'N'),(25,6407870,'1',999,'N'),(25,6407889,'1',999,'N'),(25,6407897,'1',426,'N'),(25,6407897,'1A',425,'N'),(25,6407919,'1',420,'N'),(25,6407927,'1',103,'N'),(25,6407935,'1',103,'N'),(25,6407951,'1',104,'N'),(25,6407978,'1',319,'N'),(25,6407986,'1',103,'N'),(25,6408001,'1',999,'N'),(25,6408028,'1',201,'N'),(25,6408028,'1A',202,'N'),(25,6408044,'1',340,'N'),(25,6408052,'1',103,'N'),(25,6408060,'1',425,'N'),(25,6408060,'1A',424,'N'),(25,6408079,'1',212,'N'),(25,6408079,'1A',214,'N'),(25,6408087,'1',103,'N'),(25,6408095,'1',102,'N'),(25,6408117,'1',101,'N'),(25,6408125,'1',102,'N'),(25,6408150,'1',301,'N'),(25,6408168,'1',201,'N'),(25,6408168,'1A',216,'N'),(25,6408176,'1',207,'N'),(25,6408176,'1A',201,'N'),(25,6408184,'1',601,'N'),(25,6408184,'1A',216,'N'),(25,6408222,'1',332,'N'),(25,6408230,'1',335,'N'),(25,6408257,'1',503,'N'),(25,6408265,'1',103,'N'),(25,6408273,'1',103,'N'),(25,6408303,'1',234,'N'),(25,6408311,'1',444,'N'),(25,6408320,'1',420,'N'),(25,6408338,'1',317,'N'),(25,6408346,'1',109,'N'),(25,6408354,'1',444,'N'),(25,6408370,'1',203,'N'),(25,6408370,'1A',212,'N'),(25,6408397,'1',444,'N'),(25,6408400,'1',308,'N'),(25,6408419,'1',5,'N'),(25,6408427,'1',303,'N'),(25,6408435,'1',332,'N'),(25,6408443,'1',501,'N'),(25,6408451,'1',216,'N'),(25,6408451,'1A',215,'N'),(25,6408460,'1',5,'N'),(25,6408478,'1',428,'N'),(25,6408478,'1A',426,'N'),(25,6408486,'1',103,'N'),(25,6408494,'1',103,'N'),(25,6408508,'1',424,'N'),(25,6408508,'1A',425,'N'),(25,6408532,'1',655,'N'),(25,6408540,'1',453,'N'),(25,6408559,'1',502,'N'),(25,6408575,'1',203,'N'),(25,6408575,'1A',220,'N'),(25,6408591,'1',201,'N'),(25,6408591,'1A',211,'N'),(25,6408605,'1',110,'N'),(25,6408648,'1',653,'N'),(25,6408648,'1A',652,'N'),(25,6408656,'1',103,'N'),(25,6408664,'1',223,'N'),(25,6408672,'1',999,'N'),(25,6408680,'1',103,'N'),(25,6408710,'1',319,'N'),(25,6408737,'1',104,'N'),(25,6408745,'1',654,'N'),(25,6408753,'1',319,'N'),(25,6408761,'1',201,'N'),(25,6408761,'1A',202,'N'),(25,6408770,'1',103,'N'),(25,6408788,'1',303,'N'),(25,6408796,'1',301,'N'),(25,6408800,'1',329,'N'),(25,6408818,'1',101,'N'),(25,6408826,'1',502,'N'),(25,6408834,'1',502,'N'),(25,6408850,'1',404,'N'),(25,6408869,'1',317,'N'),(25,6408877,'1',215,'N'),(25,6408885,'1',2,'N'),(25,6408893,'1',234,'N'),(25,6408907,'1',103,'N'),(25,6408915,'1',423,'N'),(25,6408915,'1A',427,'N'),(25,6408923,'1',102,'N'),(25,6408931,'1',207,'N'),(25,6408931,'1A',211,'N'),(25,6408958,'1',205,'N'),(25,6408974,'1',316,'N'),(25,6408982,'1',103,'N'),(25,6408990,'1',103,'N'),(25,6409008,'1',551,'N'),(25,6409016,'1',338,'N'),(25,6409024,'1',338,'N'),(25,6409032,'1',303,'N'),(25,6409040,'1',428,'N'),(25,6409040,'1A',426,'N'),(25,6409067,'1',404,'N'),(25,6409075,'1',324,'N'),(25,6409083,'1',309,'N'),(25,6409105,'1',207,'N'),(25,6409105,'1A',201,'N'),(25,6409113,'1',328,'N'),(25,6409130,'1',316,'N'),(25,6409148,'1',104,'N'),(25,6409156,'1',201,'N'),(25,6409156,'1A',235,'N'),(25,6409164,'1',102,'N'),(25,6409172,'1',999,'N'),(25,6409180,'1',103,'N'),(25,6409199,'1',444,'N'),(25,6409202,'1',444,'N'),(25,6409210,'1',235,'N'),(25,6409210,'1A',216,'N'),(25,6409229,'1',319,'N'),(25,6409237,'1',444,'N'),(25,6409253,'1',999,'N'),(25,6409261,'1',5,'N'),(25,6409270,'1',404,'N'),(25,6409288,'1',336,'N'),(25,6409296,'1',316,'N'),(25,6409300,'1',103,'N'),(25,6409318,'1',201,'N'),(25,6409334,'1',310,'N'),(25,6409342,'1',425,'N'),(25,6409342,'1A',429,'N'),(25,6409350,'1',203,'N'),(25,6409350,'1A',214,'N'),(25,6409369,'1',450,'N'),(25,6409377,'1',415,'N'),(25,6409385,'1',999,'N'),(25,6409393,'1',654,'N'),(25,6409407,'1',101,'N'),(25,6409415,'1',103,'N'),(25,6409423,'1',211,'N'),(25,6409423,'1A',216,'N'),(25,6409431,'1',9,'N'),(25,6409440,'1',999,'N'),(25,6409458,'1',451,'N'),(25,6409466,'1',301,'N'),(25,6409474,'1',104,'N'),(25,6409482,'1',317,'N'),(25,6409504,'1',420,'N'),(25,6409512,'1',5,'N'),(25,6409520,'1',999,'N'),(25,6409539,'1',103,'N'),(25,6409547,'1',202,'N'),(25,6409547,'1A',220,'N'),(25,6409555,'1',5,'N'),(25,6409563,'1',340,'N'),(25,6409571,'1',999,'N'),(25,6409580,'1',501,'N'),(25,6409598,'1',316,'N'),(25,6409601,'1',303,'N'),(25,6409628,'1',108,'N'),(25,6409636,'1',415,'N'),(25,6409644,'1',103,'N'),(25,6409652,'1',208,'N'),(25,6409652,'1A',601,'N'),(25,6409679,'1',201,'N'),(25,6409679,'1A',212,'N'),(25,6409687,'1',103,'N'),(25,6409695,'1',203,'N'),(25,6409695,'1A',211,'N'),(25,6409709,'1',415,'N'),(25,6409717,'1',108,'N'),(25,6409725,'1',653,'N'),(25,6409725,'1A',601,'N'),(25,6409733,'1',999,'N'),(25,6409768,'1',426,'N'),(25,6409768,'1A',423,'N'),(25,6409776,'1',308,'N'),(25,6409792,'1',103,'N'),(25,6409806,'1',212,'N'),(25,6409806,'1A',213,'N'),(25,6409814,'1',103,'N'),(25,6409822,'1',211,'N'),(25,6409822,'1A',215,'N'),(25,6409830,'1',233,'N'),(25,6409830,'1A',216,'N'),(25,6409857,'1',302,'N'),(25,6409865,'1',501,'N'),(25,6409873,'1',5,'N'),(25,6409881,'1',103,'N'),(25,6409890,'1',201,'N'),(25,6409890,'1A',211,'N'),(25,6409903,'1',427,'N'),(25,6409903,'1A',429,'N'),(25,6409911,'1',5,'N'),(25,6409920,'1',202,'N'),(25,6409920,'1A',238,'N'),(25,6409946,'1',211,'N'),(25,6409954,'1',999,'N'),(25,6409962,'1',340,'N'),(25,6410014,'1',103,'N'),(25,6410022,'1',999,'N'),(25,6410030,'1',415,'N'),(25,6410049,'1',308,'N'),(25,6410057,'1',999,'N'),(25,6410065,'1',332,'N'),(25,6410073,'1',601,'N'),(25,6410073,'1A',201,'N'),(25,6410081,'1',404,'N'),(25,6410090,'1',336,'N'),(25,6410120,'1',208,'N'),(25,6410120,'1A',652,'N'),(25,6410138,'1',427,'N'),(25,6410138,'1A',425,'N'),(25,6410146,'1',201,'N'),(25,6410146,'1A',212,'N'),(25,6410154,'1',501,'N'),(25,6410162,'1',301,'N'),(25,6410170,'1',104,'N'),(25,6410189,'1',213,'N'),(25,6410189,'1A',214,'N'),(25,6410197,'1',308,'N'),(25,6410200,'1',999,'N'),(25,6410219,'1',502,'N'),(25,6410227,'1',319,'N'),(25,6410235,'1',503,'N'),(25,6410260,'1',103,'N'),(25,6410278,'1',203,'N'),(25,6410278,'1A',214,'N'),(25,6410286,'1',234,'N'),(25,6410294,'1',207,'N'),(25,6410294,'1A',601,'N'),(25,6410316,'1',102,'N'),(25,6410324,'1',324,'N'),(25,6410332,'1',104,'N'),(25,6410340,'1',103,'N'),(25,6410359,'1',5,'N'),(25,6410367,'1',340,'N'),(25,6410375,'1',103,'N'),(25,6410383,'1',340,'N'),(25,6410391,'1',201,'N'),(25,6410391,'1A',207,'N'),(25,6410405,'1',216,'N'),(25,6410405,'1A',214,'N'),(25,6410421,'1',338,'N'),(25,6410430,'1',103,'N'),(25,6410456,'1',308,'N'),(25,6410464,'1',654,'N'),(25,6410472,'1',309,'N'),(25,6410480,'1',601,'N'),(25,6410499,'1',655,'N'),(25,6410502,'1',211,'N'),(25,6410502,'1A',207,'N'),(25,6410510,'1',404,'N'),(25,6410529,'1',103,'N'),(25,6410537,'1',211,'N'),(25,6410545,'1',104,'N'),(25,6410553,'1',654,'N'),(25,6410570,'1',203,'N'),(25,6410570,'1A',201,'N'),(25,6410588,'1',234,'N'),(25,6410596,'1',9,'N'),(25,6410600,'1',103,'N'),(25,6410618,'1',303,'N'),(25,6410642,'1',340,'N'),(25,6410650,'1',444,'N'),(25,6410669,'1',601,'N'),(25,6410677,'1',207,'N'),(25,6410677,'1A',215,'N'),(25,6410693,'1',201,'N'),(25,6410693,'1A',203,'N'),(25,6410707,'1',551,'N'),(25,6410715,'1',303,'N'),(25,6410731,'1',234,'N'),(25,6410766,'1',415,'N'),(25,6410774,'1',108,'N'),(25,6410782,'1',308,'N'),(25,6410790,'1',999,'N'),(25,6410804,'1',336,'N'),(25,6410812,'1',201,'N'),(25,6410820,'1',103,'N'),(25,6410839,'1',319,'N'),(25,6410847,'1',308,'N'),(25,6410855,'1',339,'N'),(25,6410863,'1',301,'N'),(25,6410880,'1',5,'N'),(25,6410898,'1',501,'N'),(25,6410910,'1',207,'N'),(25,6410910,'1A',201,'N'),(25,6410928,'1',2,'N'),(25,6410936,'1',653,'N'),(25,6410944,'1',233,'N'),(25,6410952,'1',203,'N'),(25,6410952,'1A',235,'N'),(25,6410960,'1',301,'N'),(25,6410979,'1',202,'N'),(25,6410979,'1A',233,'N'),(25,6411002,'1',203,'N'),(25,6411002,'1A',202,'N'),(25,6411010,'1',303,'N'),(25,6411029,'1',319,'N'),(25,6411037,'1',310,'N'),(25,6411045,'1',104,'N'),(25,6411053,'1',104,'N'),(25,6411061,'1',601,'N'),(25,6411070,'1',333,'N'),(25,6411088,'1',201,'N'),(25,6411088,'1A',238,'N'),(25,6411096,'1',202,'N'),(25,6411118,'1',104,'N'),(25,6411126,'1',308,'N'),(25,6411134,'1',303,'N'),(25,6411142,'1',207,'N'),(25,6411142,'1A',208,'N'),(25,6411150,'1',101,'N'),(25,6411169,'1',338,'N'),(25,6411193,'1',201,'N'),(25,6411193,'1A',212,'N'),(25,6411207,'1',301,'N'),(25,6411215,'1',308,'N'),(25,6411223,'1',201,'N'),(25,6411223,'1A',207,'N'),(25,6411240,'1',301,'N'),(25,6411258,'1',415,'N'),(25,6411266,'1',103,'N'),(25,6411282,'1',304,'N'),(25,6411290,'1',5,'N'),(25,6411304,'1',207,'N'),(25,6411312,'1',415,'N'),(25,6411320,'1',317,'N'),(25,6411339,'1',655,'N'),(25,6411339,'1A',201,'N'),(25,6411355,'1',202,'N'),(25,6411355,'1A',235,'N'),(25,6411363,'1',216,'N'),(25,6411371,'1',331,'N'),(25,6411380,'1',601,'N'),(25,6411380,'1A',202,'N'),(25,6411398,'1',207,'N'),(25,6411398,'1A',201,'N'),(25,6411401,'1',319,'N'),(25,6411428,'1',103,'N'),(25,6411444,'1',202,'N'),(25,6411444,'1A',207,'N'),(25,6411452,'1',9,'N'),(25,6411460,'1',5,'N'),(25,6411479,'1',319,'N'),(25,6411487,'1',424,'N'),(25,6411487,'1A',427,'N'),(25,6411495,'1',420,'N'),(25,6411509,'1',103,'N'),(25,6411517,'1',203,'N'),(25,6411517,'1A',202,'N'),(25,6411525,'1',201,'N'),(25,6411525,'1A',207,'N'),(25,6411533,'1',235,'N'),(25,6411533,'1A',213,'N'),(25,6411550,'1',601,'N'),(25,6411550,'1A',215,'N'),(25,6411568,'1',429,'N'),(25,6411568,'1A',425,'N'),(25,6411576,'1',109,'N'),(25,6411584,'1',211,'N'),(25,6411584,'1A',207,'N'),(25,6411592,'1',223,'N'),(25,6411614,'1',202,'N'),(25,6411614,'1A',233,'N'),(25,6411622,'1',316,'N'),(25,6411630,'1',424,'N'),(25,6411630,'1A',428,'N'),(25,6411649,'1',319,'N'),(25,6411657,'1',316,'N'),(25,6411665,'1',303,'N'),(25,6411681,'1',109,'N'),(25,6411690,'1',234,'N'),(25,6411703,'1',103,'N'),(25,6411711,'1',332,'N'),(25,6411720,'1',201,'N'),(25,6411720,'1A',235,'N'),(25,6411738,'1',233,'N'),(25,6411738,'1A',201,'N'),(25,6411746,'1',999,'N'),(25,6411754,'1',420,'N'),(25,6411762,'1',331,'N'),(25,6411770,'1',202,'N'),(25,6411770,'1A',214,'N'),(25,6411789,'1',103,'N'),(25,6411800,'1',103,'N'),(25,6411819,'1',653,'N'),(25,6411827,'1',220,'N'),(25,6411827,'1A',201,'N'),(25,6411835,'1',238,'N'),(25,6411835,'1A',233,'N'),(25,6411843,'1',303,'N'),(25,6411851,'1',235,'N'),(25,6411860,'1',501,'N'),(25,6411878,'1',308,'N'),(25,6411894,'1',212,'N'),(25,6411894,'1A',201,'N'),(25,6411908,'1',235,'N'),(25,6411908,'1A',653,'N'),(25,6411916,'1',202,'N'),(25,6411916,'1A',601,'N'),(25,6411924,'1',207,'N'),(25,6411924,'1A',233,'N'),(25,6411932,'1',653,'N'),(25,6411932,'1A',652,'N'),(25,6411940,'1',601,'N'),(25,6411940,'1A',201,'N'),(25,6411959,'1',202,'N'),(25,6411959,'1A',213,'N'),(25,6411967,'1',415,'N'),(25,6411975,'1',450,'N'),(25,6411983,'1',109,'N'),(25,6411991,'1',654,'N'),(25,6412017,'1',309,'N'),(25,6412025,'1',318,'N'),(25,6412033,'1',332,'N'),(25,6412041,'1',103,'N'),(25,6412050,'1',225,'N'),(25,6412068,'1',103,'N'),(25,6412076,'1',654,'N'),(25,6412084,'1',319,'N'),(25,6412092,'1',303,'N'),(25,6412106,'1',415,'N'),(25,6412114,'1',109,'N'),(25,6412122,'1',999,'N'),(25,6412130,'1',335,'N'),(25,6412149,'1',425,'N'),(25,6412149,'1A',423,'N'),(25,6412157,'1',428,'N'),(25,6412157,'1A',426,'N'),(25,6412165,'1',501,'N'),(25,6412173,'1',326,'N'),(25,6412181,'1',235,'N'),(25,6412181,'1A',213,'N'),(25,6412203,'1',214,'N'),(25,6412203,'1A',212,'N'),(25,6412211,'1',234,'N'),(25,6412238,'1',208,'N'),(25,6412254,'1',208,'N'),(25,6412254,'1A',202,'N'),(25,6412262,'1',223,'N'),(25,6412270,'1',235,'N'),(25,6412270,'1A',220,'N'),(25,6412297,'1',451,'N'),(25,6412300,'1',316,'N'),(25,6412319,'1',451,'N'),(25,6412327,'1',5,'N'),(25,6412335,'1',319,'N'),(25,6412343,'1',9,'N'),(25,6412360,'1',101,'N'),(25,6412386,'1',304,'N'),(25,6412394,'1',103,'N'),(25,6412408,'1',450,'N'),(25,6412416,'1',108,'N'),(25,6412424,'1',601,'N'),(25,6412432,'1',103,'N'),(25,6412440,'1',103,'N'),(25,6412459,'1',503,'N'),(25,6412467,'1',319,'N'),(25,6412475,'1',5,'N'),(25,6412483,'1',444,'N'),(25,6412491,'1',420,'N'),(25,6412505,'1',324,'N'),(25,6412513,'1',316,'N'),(25,6412521,'1',308,'N'),(25,6412530,'1',502,'N'),(25,6412556,'1',415,'N'),(25,6412564,'1',501,'N'),(25,6412572,'1',301,'N'),(25,6412599,'1',303,'N'),(25,6412602,'1',601,'N'),(25,6412602,'1A',207,'N'),(25,6412610,'1',316,'N'),(25,6412629,'1',207,'N'),(25,6412629,'1A',201,'N'),(25,6412637,'1',202,'N'),(25,6412637,'1A',203,'N'),(25,6412645,'1',327,'N'),(25,6412653,'1',238,'N'),(25,6412653,'1A',208,'N'),(25,6412661,'1',203,'N'),(25,6412661,'1A',601,'N'),(25,6412670,'1',453,'N'),(25,6412688,'1',427,'N'),(25,6412688,'1A',425,'N'),(25,6412696,'1',320,'N'),(25,6412700,'1',233,'N'),(25,6412700,'1A',235,'N'),(25,6412734,'1',103,'N'),(25,6412742,'1',101,'N'),(25,6412750,'1',999,'N'),(25,6412769,'1',424,'N'),(25,6412769,'1A',427,'N'),(25,6412777,'1',211,'N'),(25,6412793,'1',202,'N'),(25,6412793,'1A',203,'N'),(25,6412815,'1',103,'N'),(25,6412831,'1',655,'N'),(25,6412840,'1',224,'N'),(25,6412866,'1',551,'N'),(25,6412882,'1',103,'N'),(25,6412904,'1',9,'N'),(25,6412912,'1',601,'N'),(25,6412939,'1',303,'N'),(25,6412947,'1',203,'N'),(25,6412971,'1',203,'N'),(25,6412971,'1A',233,'N'),(25,6412980,'1',208,'N'),(25,6412980,'1A',235,'N'),(25,6412998,'1',502,'N'),(25,6413005,'1',207,'N'),(25,6413005,'1A',211,'N'),(25,6413013,'1',420,'N'),(25,6413056,'1',109,'N'),(25,6413072,'1',999,'N'),(25,6413080,'1',301,'N'),(25,6413099,'1',5,'N'),(25,6413102,'1',103,'N'),(25,6413110,'1',333,'N'),(25,6413129,'1',999,'N'),(25,6413137,'1',201,'N'),(25,6413137,'1A',203,'N'),(25,6413145,'1',426,'N'),(25,6413145,'1A',428,'N'),(25,6413153,'1',450,'N'),(25,6413161,'1',103,'N'),(25,6413170,'1',304,'N'),(25,6413188,'1',2,'N'),(25,6413196,'1',103,'N'),(25,6413200,'1',337,'N'),(25,6413218,'1',319,'N'),(25,6413226,'1',333,'N'),(25,6413234,'1',103,'N'),(25,6413242,'1',340,'N'),(25,6413250,'1',423,'N'),(25,6413277,'1',5,'N'),(25,6413293,'1',327,'N'),(25,6413307,'1',103,'N'),(25,6413315,'1',601,'N'),(25,6413315,'1A',652,'N'),(25,6413323,'1',324,'N'),(25,6413331,'1',301,'N'),(25,6413340,'1',309,'N'),(25,6413358,'1',104,'N'),(25,6413366,'1',103,'N'),(25,6413382,'1',655,'N'),(25,6413404,'1',655,'N'),(25,6413404,'1A',653,'N'),(25,6413412,'1',5,'N'),(25,6413439,'1',102,'N'),(25,6413463,'1',211,'N'),(25,6413463,'1A',207,'N'),(25,6413471,'1',103,'N'),(25,6413480,'1',201,'N'),(25,6413480,'1A',207,'N'),(25,6413498,'1',203,'N'),(25,6413498,'1A',214,'N'),(25,6413501,'1',453,'N'),(25,6413510,'1',202,'N'),(25,6413510,'1A',213,'N'),(25,6413536,'1',201,'N'),(25,6413536,'1A',212,'N'),(25,6413544,'1',452,'N'),(25,6413552,'1',103,'N'),(25,6413560,'1',999,'N'),(25,6413579,'1',203,'N'),(25,6413579,'1A',208,'N'),(25,6413587,'1',336,'N'),(25,6413595,'1',551,'N'),(25,6413609,'1',304,'N'),(25,6413617,'1',999,'N'),(25,6413625,'1',216,'N'),(25,6413625,'1A',238,'N'),(25,6413633,'1',308,'N'),(25,6413641,'1',999,'N'),(25,6413650,'1',207,'N'),(25,6413668,'1',212,'N'),(25,6413668,'1A',201,'N'),(25,6413684,'1',444,'N'),(25,6413706,'1',102,'N'),(25,6413714,'1',332,'N'),(25,6413722,'1',316,'N'),(25,6413730,'1',103,'N'),(25,6413749,'1',103,'N'),(25,6413757,'1',426,'N'),(25,6413757,'1A',429,'N'),(25,6413765,'1',653,'N'),(25,6413765,'1A',203,'N'),(25,6413773,'1',331,'N'),(25,6413781,'1',203,'N'),(25,6413781,'1A',212,'N'),(25,6413790,'1',220,'N'),(25,6413790,'1A',233,'N'),(25,6413803,'1',301,'N'),(25,6413811,'1',502,'N'),(25,6413838,'1',212,'N'),(25,6413838,'1A',207,'N'),(25,6413846,'1',234,'N'),(25,6413862,'1',211,'N'),(25,6413862,'1A',215,'N'),(25,6413870,'1',220,'N'),(25,6413870,'1A',203,'N'),(25,6413889,'1',201,'N'),(25,6413889,'1A',653,'N'),(25,6413897,'1',108,'N'),(25,6413919,'1',104,'N'),(25,6413927,'1',211,'N'),(25,6413927,'1A',208,'N'),(25,6413935,'1',103,'N'),(25,6413943,'1',327,'N'),(25,6413951,'1',452,'N'),(25,6413960,'1',653,'N'),(25,6413978,'1',220,'N'),(25,6413978,'1A',202,'N'),(25,6413994,'1',319,'N'),(25,6414001,'1',101,'N'),(25,6414028,'1',329,'N'),(25,6414044,'1',340,'N'),(25,6414060,'1',212,'N'),(25,6414079,'1',999,'N'),(25,6414109,'1',201,'N'),(25,6414109,'1A',202,'N'),(25,6414117,'1',216,'N'),(25,6414117,'1A',208,'N'),(25,6414125,'1',9,'N'),(25,6414133,'1',444,'N'),(25,6414141,'1',238,'N'),(25,6414141,'1A',208,'N'),(25,6414150,'1',103,'N'),(25,6414168,'1',2,'N'),(25,6414176,'1',999,'N'),(25,6414184,'1',328,'N'),(25,6414192,'1',211,'N'),(25,6414192,'1A',233,'N'),(25,6414206,'1',310,'N'),(25,6414222,'1',109,'N'),(25,6414230,'1',655,'N'),(25,6414230,'1A',652,'N'),(25,6414249,'1',103,'N'),(25,6414257,'1',103,'N'),(25,6414265,'1',999,'N'),(25,6414273,'1',444,'N'),(25,6414281,'1',207,'N'),(25,6414290,'1',207,'N'),(25,6414290,'1A',202,'N'),(25,6414303,'1',453,'N'),(25,6414320,'1',103,'N'),(25,6414346,'1',332,'N'),(25,6414362,'1',316,'N'),(25,6414389,'1',551,'N'),(25,6414400,'1',501,'N'),(25,6414419,'1',109,'N'),(25,6414427,'1',308,'N'),(25,6414435,'1',103,'N'),(25,6414451,'1',339,'N'),(25,6414460,'1',316,'N'),(25,6414478,'1',329,'N'),(25,6414486,'1',318,'N'),(25,6414508,'1',302,'N'),(25,6414516,'1',452,'N'),(25,6414532,'1',551,'N'),(25,6414540,'1',110,'N'),(25,6414559,'1',332,'N'),(25,6414575,'1',654,'N'),(25,6414591,'1',202,'N'),(25,6414591,'1A',653,'N'),(25,6414613,'1',340,'N'),(25,6414648,'1',652,'N'),(25,6414648,'1A',653,'N'),(25,6414656,'1',303,'N'),(25,6414664,'1',999,'N'),(25,6414672,'1',103,'N'),(25,6414702,'1',207,'N'),(25,6414710,'1',318,'N'),(25,6414729,'1',203,'N'),(25,6414729,'1A',235,'N'),(25,6414753,'1',203,'N'),(25,6414753,'1A',202,'N'),(25,6414761,'1',104,'N'),(25,6414770,'1',999,'N'),(25,6414788,'1',303,'N'),(25,6414796,'1',444,'N'),(25,6414800,'1',316,'N'),(25,6414818,'1',501,'N'),(25,6414834,'1',202,'N'),(25,6414834,'1A',213,'N'),(25,6414842,'1',425,'N'),(25,6414842,'1A',428,'N'),(25,6414885,'1',207,'N'),(25,6414907,'1',103,'N'),(25,6414915,'1',238,'N'),(25,6414915,'1A',208,'N'),(25,6414940,'1',235,'N'),(25,6414940,'1A',202,'N'),(25,6414958,'1',999,'N'),(25,6414966,'1',318,'N'),(25,6414974,'1',225,'N'),(25,6414982,'1',301,'N'),(25,6415008,'1',601,'N'),(25,6415008,'1A',652,'N'),(25,6415040,'1',340,'N'),(25,6415075,'1',102,'N'),(25,6415083,'1',103,'N'),(25,6415091,'1',551,'N'),(25,6415105,'1',340,'N'),(25,6415113,'1',424,'N'),(25,6415113,'1A',428,'N'),(25,6415121,'1',999,'N'),(25,6415130,'1',318,'N'),(25,6415148,'1',302,'N'),(25,6415164,'1',103,'N'),(25,6415172,'1',220,'N'),(25,6415202,'1',444,'N'),(25,6415210,'1',101,'N'),(25,6415237,'1',103,'N'),(25,6415245,'1',404,'N'),(25,6415253,'1',303,'N'),(25,6415288,'1',421,'N'),(25,6415288,'1A',426,'N'),(25,6415296,'1',104,'N'),(25,6415300,'1',103,'N'),(25,6415326,'1',103,'N'),(25,6415334,'1',317,'N'),(25,6415342,'1',225,'N'),(25,6415350,'1',999,'N'),(25,6415385,'1',5,'N'),(25,6415407,'1',212,'N'),(25,6415407,'1A',215,'N'),(25,6415415,'1',104,'N'),(25,6415431,'1',425,'N'),(25,6415431,'1A',429,'N'),(25,6415440,'1',203,'N'),(25,6415440,'1A',214,'N'),(25,6415474,'1',109,'N'),(25,6415482,'1',201,'N'),(25,6415482,'1A',212,'N'),(25,6415490,'1',318,'N'),(25,6415504,'1',339,'N'),(25,6415512,'1',214,'N'),(25,6415512,'1A',213,'N'),(25,6415520,'1',332,'N'),(25,6415539,'1',329,'N'),(25,6415547,'1',238,'N'),(25,6415547,'1A',208,'N'),(25,6415555,'1',101,'N'),(25,6415571,'1',101,'N'),(25,6415598,'1',238,'N'),(25,6415598,'1A',208,'N'),(25,6415601,'1',225,'N'),(25,6415610,'1',335,'N'),(25,6415628,'1',999,'N'),(25,6415636,'1',104,'N'),(25,6415644,'1',333,'N'),(25,6415652,'1',309,'N'),(25,6415660,'1',316,'N'),(25,6415679,'1',104,'N'),(25,6415687,'1',301,'N'),(25,6415695,'1',426,'N'),(25,6415695,'1A',423,'N'),(25,6415717,'1',444,'N'),(25,6415750,'1',551,'N'),(25,6415768,'1',9,'N'),(25,6415776,'1',201,'N'),(25,6415776,'1A',203,'N'),(25,6415784,'1',110,'N'),(25,6415792,'1',238,'N'),(25,6415806,'1',404,'N'),(25,6415814,'1',103,'N'),(25,6415822,'1',5,'N'),(25,6415830,'1',201,'N'),(25,6415830,'1A',207,'N'),(25,6415849,'1',451,'N'),(25,6415857,'1',316,'N'),(25,6415873,'1',999,'N'),(25,6415881,'1',103,'N'),(25,6415890,'1',999,'N'),(25,6415903,'1',208,'N'),(25,6415911,'1',211,'N'),(25,6415911,'1A',238,'N'),(25,6415920,'1',103,'N'),(25,6415938,'1',104,'N'),(25,6415946,'1',208,'N'),(25,6415946,'1A',238,'N'),(25,6415954,'1',551,'N'),(25,6415962,'1',103,'N'),(25,6415970,'1',103,'N'),(25,6415989,'1',337,'N'),(25,6415997,'1',216,'N'),(25,6415997,'1A',233,'N'),(25,6416004,'1',503,'N'),(25,6416012,'1',5,'N'),(25,6416020,'1',103,'N'),(25,6416039,'1',317,'N'),(25,6416047,'1',103,'N'),(25,6416055,'1',654,'N'),(25,6416071,'1',103,'N'),(25,6416080,'1',104,'N'),(25,6416098,'1',999,'N'),(25,6416101,'1',238,'N'),(25,6416101,'1A',208,'N'),(25,6416110,'1',303,'N'),(25,6416128,'1',999,'N'),(25,6416136,'1',5,'N'),(25,6416144,'1',999,'N'),(25,6416152,'1',452,'N'),(25,6416179,'1',103,'N'),(25,6416195,'1',308,'N'),(25,6416209,'1',420,'N'),(25,6416217,'1',103,'N'),(25,6416225,'1',203,'N'),(25,6416225,'1A',601,'N'),(25,6416233,'1',211,'N'),(25,6416233,'1A',215,'N'),(25,6416241,'1',103,'N'),(25,6416268,'1',317,'N'),(25,6416276,'1',601,'N'),(25,6416276,'1A',203,'N'),(25,6416284,'1',318,'N'),(25,6416292,'1',303,'N'),(25,6416306,'1',303,'N'),(25,6416322,'1',319,'N'),(25,6416330,'1',203,'N'),(25,6416330,'1A',220,'N'),(25,6416349,'1',103,'N'),(25,6416357,'1',999,'N'),(25,6416365,'1',303,'N'),(25,6416373,'1',5,'N'),(25,6416381,'1',999,'N'),(25,6416390,'1',238,'N'),(25,6416390,'1A',220,'N'),(25,6416411,'1',5,'N'),(25,6416420,'1',319,'N'),(25,6416438,'1',110,'N'),(25,6416446,'1',207,'N'),(25,6416446,'1A',233,'N'),(25,6416454,'1',318,'N'),(25,6416470,'1',999,'N'),(25,6416489,'1',103,'N'),(25,6416519,'1',104,'N'),(25,6416527,'1',303,'N'),(25,6416535,'1',103,'N'),(25,6416543,'1',5,'N'),(25,6416551,'1',319,'N'),(25,6416560,'1',233,'N'),(25,6416560,'1A',203,'N'),(25,6416608,'1',103,'N'),(25,6416632,'1',103,'N'),(25,6416640,'1',601,'N'),(25,6416640,'1A',203,'N'),(25,6416667,'1',103,'N'),(25,6416683,'1',212,'N'),(25,6416683,'1A',214,'N'),(25,6416691,'1',104,'N'),(25,6416713,'1',450,'N'),(25,6416748,'1',103,'N'),(25,6416756,'1',303,'N'),(25,6416764,'1',444,'N'),(25,6416772,'1',999,'N'),(25,6416780,'1',340,'N'),(25,6416799,'1',5,'N'),(25,6416802,'1',415,'N'),(25,6416810,'1',340,'N'),(25,6416829,'1',5,'N'),(25,6416837,'1',303,'N'),(25,6416845,'1',428,'N'),(25,6416845,'1A',427,'N'),(25,6416888,'1',317,'N'),(25,6416896,'1',303,'N'),(25,6416900,'1',9,'N'),(25,6416918,'1',103,'N'),(25,6416926,'1',999,'N'),(25,6416934,'1',211,'N'),(25,6416934,'1A',653,'N'),(25,6416950,'1',109,'N'),(25,6416985,'1',319,'N'),(25,6416993,'1',316,'N'),(25,6417000,'1',214,'N'),(25,6417000,'1A',220,'N'),(25,6417019,'1',308,'N'),(25,6417027,'1',207,'N'),(25,6417027,'1A',201,'N'),(25,6417043,'1',425,'N'),(25,6417043,'1A',426,'N'),(25,6417051,'1',201,'N'),(25,6417051,'1A',655,'N'),(25,6417060,'1',999,'N'),(25,6417078,'1',304,'N'),(25,6417086,'1',316,'N'),(25,6417094,'1',220,'N'),(25,6417094,'1A',208,'N'),(25,6417108,'1',102,'N'),(25,6417116,'1',337,'N'),(25,6417124,'1',211,'N'),(25,6417124,'1A',233,'N'),(25,6417132,'1',5,'N'),(25,6417140,'1',225,'N'),(25,6417183,'1',404,'N'),(25,6417191,'1',103,'N'),(25,6417205,'1',328,'N'),(25,6417221,'1',104,'N'),(25,6417230,'1',104,'N'),(25,6417248,'1',652,'N'),(25,6417248,'1A',655,'N'),(25,6417280,'1',208,'N'),(25,6417299,'1',326,'N'),(25,6417337,'1',309,'N'),(25,6417345,'1',104,'N'),(25,6417353,'1',5,'N'),(25,6417361,'1',207,'N'),(25,6417361,'1A',201,'N'),(25,6417388,'1',238,'N'),(25,6417388,'1A',235,'N'),(25,6417396,'1',103,'N'),(25,6417400,'1',103,'N'),(25,6417426,'1',103,'N'),(25,6417442,'1',208,'N'),(25,6417442,'1A',202,'N'),(25,6417450,'1',216,'N'),(25,6417450,'1A',215,'N'),(25,6417469,'1',103,'N'),(25,6417477,'1',238,'N'),(25,6417477,'1A',235,'N'),(25,6417485,'1',404,'N'),(25,6417493,'1',426,'N'),(25,6417493,'1A',424,'N'),(25,6417515,'1',340,'N'),(25,6417531,'1',102,'N'),(25,6417540,'1',444,'N'),(25,6417566,'1',103,'N'),(25,6417574,'1',216,'N'),(25,6417574,'1A',211,'N'),(25,6417590,'1',653,'N'),(25,6417590,'1A',652,'N'),(25,6417612,'1',103,'N'),(25,6417620,'1',318,'N'),(25,6417655,'1',452,'N'),(25,6417671,'1',207,'N'),(25,6417671,'1A',208,'N'),(25,6417698,'1',453,'N'),(25,6417710,'1',5,'N'),(25,6417728,'1',9,'N'),(25,6417736,'1',109,'N'),(25,6417752,'1',303,'N'),(25,6417760,'1',103,'N'),(25,6417787,'1',316,'N'),(25,6417795,'1',207,'N'),(25,6417795,'1A',201,'N'),(25,6417809,'1',450,'N'),(25,6417817,'1',451,'N'),(25,6417825,'1',108,'N'),(25,6417833,'1',5,'N'),(25,6417868,'1',103,'N'),(25,6417876,'1',420,'N'),(25,6417884,'1',999,'N'),(25,6417914,'1',450,'N'),(25,6417922,'1',201,'N'),(25,6417922,'1A',213,'N'),(25,6417949,'1',216,'N'),(25,6417949,'1A',235,'N'),(25,6417957,'1',202,'N'),(25,6417957,'1A',201,'N'),(25,6417965,'1',326,'N'),(25,6417973,'1',103,'N'),(25,6417990,'1',207,'N'),(25,6417990,'1A',212,'N'),(25,6418007,'1',327,'N'),(25,6418015,'1',324,'N'),(25,6418023,'1',103,'N'),(25,6418031,'1',501,'N'),(25,6418040,'1',340,'N'),(25,6418058,'1',327,'N'),(25,6418066,'1',999,'N'),(25,6418082,'1',207,'N'),(25,6418082,'1A',215,'N'),(25,6418090,'1',317,'N'),(25,6418120,'1',653,'N'),(25,6418120,'1A',213,'N'),(25,6418139,'1',201,'N'),(25,6418139,'1A',207,'N'),(25,6418147,'1',415,'N'),(25,6418155,'1',201,'N'),(25,6418155,'1A',207,'N'),(25,6418163,'1',235,'N'),(25,6418163,'1A',208,'N'),(25,6418201,'1',103,'N'),(25,6418210,'1',425,'N'),(25,6418210,'1A',429,'N'),(25,6418236,'1',340,'N'),(25,6418252,'1',653,'N'),(25,6418252,'1A',207,'N'),(25,6418260,'1',5,'N'),(25,6418287,'1',103,'N'),(25,6418325,'1',203,'N'),(25,6418325,'1A',201,'N'),(25,6418333,'1',310,'N'),(25,6418350,'1',421,'N'),(25,6418350,'1A',428,'N'),(25,6418368,'1',211,'N'),(25,6418368,'1A',215,'N'),(25,6418376,'1',303,'N'),(25,6418392,'1',102,'N'),(25,6418406,'1',103,'N'),(25,6418414,'1',103,'N'),(25,6418422,'1',211,'N'),(25,6418422,'1A',203,'N'),(25,6418430,'1',654,'N'),(25,6418457,'1',5,'N'),(25,6418473,'1',5,'N'),(25,6418490,'1',103,'N'),(25,6418520,'1',451,'N'),(25,6418538,'1',213,'N'),(25,6418538,'1A',601,'N'),(25,6418546,'1',211,'N'),(25,6418546,'1A',215,'N'),(25,6418570,'1',404,'N'),(25,6418589,'1',303,'N'),(25,6418597,'1',318,'N'),(25,6418600,'1',316,'N'),(25,6418619,'1',327,'N'),(25,6418627,'1',331,'N'),(25,6418635,'1',450,'N'),(25,6418643,'1',310,'N'),(25,6418651,'1',999,'N'),(25,6418660,'1',319,'N'),(25,6418678,'1',110,'N'),(25,6418686,'1',404,'N'),(25,6418708,'1',999,'N'),(25,6418724,'1',420,'N'),(25,6418732,'1',103,'N'),(25,6418740,'1',308,'N'),(25,6418759,'1',103,'N'),(25,6418767,'1',203,'N'),(25,6418767,'1A',214,'N'),(25,6418775,'1',327,'N'),(25,6418783,'1',103,'N'),(25,6418821,'1',208,'N'),(25,6418821,'1A',655,'N'),(25,6418830,'1',108,'N'),(25,6418848,'1',203,'N'),(25,6418848,'1A',653,'N'),(25,6418864,'1',999,'N'),(25,6418872,'1',103,'N'),(25,6418899,'1',326,'N'),(25,6418902,'1',5,'N'),(25,6418910,'1',327,'N'),(25,6418937,'1',332,'N'),(25,6418945,'1',109,'N'),(25,6418953,'1',303,'N'),(25,6418961,'1',5,'N'),(25,6418970,'1',238,'N'),(25,6418970,'1A',220,'N'),(25,6418988,'1',5,'N'),(25,6419003,'1',103,'N'),(25,6419011,'1',340,'N'),(25,6419020,'1',214,'N'),(25,6419038,'1',999,'N'),(25,6419062,'1',333,'N'),(25,6419089,'1',999,'N'),(25,6419097,'1',103,'N'),(25,6419100,'1',601,'N'),(25,6419100,'1A',220,'N'),(25,6419127,'1',216,'N'),(25,6419127,'1A',201,'N'),(25,6419135,'1',333,'N'),(25,6419151,'1',340,'N'),(25,6419160,'1',653,'N'),(25,6419160,'1A',601,'N'),(25,6419178,'1',103,'N'),(25,6419194,'1',103,'N'),(25,6419208,'1',404,'N'),(25,6419216,'1',316,'N'),(25,6419232,'1',5,'N'),(25,6419240,'1',101,'N'),(25,6419259,'1',999,'N'),(25,6419275,'1',652,'N'),(25,6419275,'1A',653,'N'),(25,6419283,'1',308,'N'),(25,6419291,'1',316,'N'),(25,6419356,'1',238,'N'),(25,6419364,'1',212,'N'),(25,6419364,'1A',201,'N'),(25,6419372,'1',103,'N'),(25,6419380,'1',103,'N'),(25,6419399,'1',201,'N'),(25,6419402,'1',303,'N'),(25,6419410,'1',103,'N'),(25,6419429,'1',108,'N'),(25,6419437,'1',103,'N'),(25,6419445,'1',216,'N'),(25,6419445,'1A',220,'N'),(25,6419453,'1',999,'N'),(25,6419461,'1',110,'N'),(25,6419496,'1',103,'N'),(25,6419500,'1',104,'N'),(25,6419518,'1',654,'N'),(25,6419526,'1',233,'N'),(25,6419526,'1A',214,'N'),(25,6419534,'1',207,'N'),(25,6419534,'1A',238,'N'),(25,6419542,'1',225,'N'),(25,6419569,'1',103,'N'),(25,6419577,'1',203,'N'),(25,6419577,'1A',214,'N'),(25,6419585,'1',103,'N'),(25,6419593,'1',999,'N'),(25,6419607,'1',5,'N'),(25,6419615,'1',9,'N'),(25,6419640,'1',202,'N'),(25,6419640,'1A',220,'N'),(25,6419658,'1',451,'N'),(25,6419674,'1',103,'N'),(25,6419682,'1',213,'N'),(25,6419682,'1A',214,'N'),(25,6419712,'1',301,'N'),(25,6419739,'1',201,'N'),(25,6419739,'1A',203,'N'),(25,6419747,'1',999,'N'),(25,6419755,'1',103,'N'),(25,6419763,'1',104,'N'),(25,6419780,'1',302,'N'),(25,6419798,'1',317,'N'),(25,6419828,'1',5,'N'),(25,6419836,'1',336,'N'),(25,6419844,'1',335,'N'),(25,6419852,'1',415,'N'),(25,6419860,'1',235,'N'),(25,6419860,'1A',655,'N'),(25,6419895,'1',450,'N'),(25,6419917,'1',327,'N'),(25,6419933,'1',103,'N'),(25,6419941,'1',103,'N'),(25,6419950,'1',110,'N'),(25,6419968,'1',301,'N'),(25,6419984,'1',654,'N'),(25,6419992,'1',444,'N'),(25,6420001,'1',426,'N'),(25,6420001,'1A',425,'N'),(25,6420028,'1',201,'N'),(25,6420028,'1A',212,'N'),(25,6420036,'1',103,'N'),(25,6420044,'1',103,'N'),(25,6420052,'1',501,'N'),(25,6420060,'1',211,'N'),(25,6420060,'1A',216,'N'),(25,6420087,'1',601,'N'),(25,6420087,'1A',203,'N'),(25,6420117,'1',5,'N'),(25,6420125,'1',340,'N'),(25,6420133,'1',452,'N'),(25,6420141,'1',110,'N'),(25,6420168,'1',425,'N'),(25,6420168,'1A',428,'N'),(25,6420176,'1',333,'N'),(25,6420184,'1',203,'N'),(25,6420184,'1A',214,'N'),(25,6420192,'1',308,'N'),(25,6420206,'1',103,'N'),(25,6420214,'1',110,'N'),(25,6420222,'1',303,'N'),(25,6420249,'1',319,'N'),(25,6420257,'1',202,'N'),(25,6420257,'1A',235,'N'),(25,6420273,'1',652,'N'),(25,6420273,'1A',655,'N'),(25,6420281,'1',103,'N'),(25,6420290,'1',336,'N'),(25,6420311,'1',203,'N'),(25,6420311,'1A',201,'N'),(25,6420320,'1',302,'N'),(25,6420338,'1',207,'N'),(25,6420338,'1A',201,'N'),(25,6420346,'1',211,'N'),(25,6420346,'1A',201,'N'),(25,6420354,'1',999,'N'),(25,6420370,'1',420,'N'),(25,6420397,'1',340,'N'),(25,6420400,'1',103,'N'),(25,6420419,'1',415,'N'),(25,6420435,'1',104,'N'),(25,6420451,'1',329,'N'),(25,6420478,'1',303,'N'),(25,6420508,'1',999,'N'),(25,6420516,'1',201,'N'),(25,6420516,'1A',211,'N'),(25,6420524,'1',444,'N'),(25,6420532,'1',103,'N'),(25,6420540,'1',316,'N'),(25,6420559,'1',207,'N'),(25,6420559,'1A',201,'N'),(25,6420575,'1',103,'N'),(25,6420583,'1',212,'N'),(25,6420583,'1A',215,'N'),(25,6420605,'1',220,'N'),(25,6420605,'1A',202,'N'),(25,6420613,'1',103,'N'),(25,6420621,'1',211,'N'),(25,6420621,'1A',215,'N'),(25,6420630,'1',207,'N'),(25,6420630,'1A',201,'N'),(25,6420656,'1',319,'N'),(25,6420664,'1',207,'N'),(25,6420672,'1',303,'N'),(25,6420680,'1',109,'N'),(25,6420702,'1',999,'N'),(25,6420710,'1',208,'N'),(25,6420710,'1A',238,'N'),(25,6420729,'1',444,'N'),(25,6420745,'1',225,'N'),(25,6420753,'1',101,'N'),(25,6420761,'1',340,'N'),(25,6420788,'1',450,'N'),(25,6420796,'1',103,'N'),(25,6420834,'1',318,'N'),(25,6420842,'1',103,'N'),(25,6420850,'1',235,'N'),(25,6420850,'1A',213,'N'),(25,6420877,'1',202,'N'),(25,6420877,'1A',213,'N'),(25,6420885,'1',235,'N'),(25,6420885,'1A',655,'N'),(25,6420893,'1',102,'N'),(25,6420915,'1',103,'N'),(25,6420923,'1',999,'N'),(25,6420931,'1',316,'N'),(25,6420940,'1',103,'N'),(25,6420958,'1',103,'N'),(25,6420966,'1',316,'N'),(25,6420974,'1',205,'N'),(25,6420982,'1',652,'N'),(25,6420982,'1A',655,'N'),(25,6421008,'1',110,'N'),(25,6421032,'1',234,'N'),(25,6421040,'1',103,'N'),(25,6421083,'1',420,'N'),(25,6421091,'1',320,'N'),(25,6421105,'1',425,'N'),(25,6421105,'1A',421,'N'),(25,6421113,'1',108,'N'),(25,6421121,'1',103,'N'),(25,6421130,'1',216,'N'),(25,6421130,'1A',215,'N'),(25,6421156,'1',316,'N'),(25,6421164,'1',999,'N'),(25,6421172,'1',429,'N'),(25,6421172,'1A',421,'N'),(25,6421210,'1',201,'N'),(25,6421245,'1',203,'N'),(25,6421245,'1A',214,'N'),(25,6421261,'1',331,'N'),(25,6421270,'1',214,'N'),(25,6421270,'1A',212,'N'),(25,6421288,'1',103,'N'),(25,6421296,'1',415,'N'),(25,6421318,'1',202,'N'),(25,6421318,'1A',211,'N'),(25,6421326,'1',104,'N'),(25,6421334,'1',103,'N'),(25,6421342,'1',327,'N'),(25,6421350,'1',601,'N'),(25,6421369,'1',404,'N'),(25,6421377,'1',999,'N'),(25,6421385,'1',103,'N'),(25,6421393,'1',450,'N'),(25,6421407,'1',103,'N'),(25,6421415,'1',103,'N'),(25,6421423,'1',601,'N'),(25,6421458,'1',421,'N'),(25,6421458,'1A',423,'N'),(25,6421466,'1',201,'N'),(25,6421474,'1',238,'N'),(25,6421474,'1A',235,'N'),(25,6421482,'1',102,'N'),(25,6421490,'1',999,'N'),(25,6421504,'1',103,'N'),(25,6421512,'1',203,'N'),(25,6421512,'1A',214,'N'),(25,6421520,'1',109,'N'),(25,6421539,'1',103,'N'),(25,6421547,'1',404,'N'),(25,6421555,'1',216,'N'),(25,6421555,'1A',215,'N'),(25,6421563,'1',216,'N'),(25,6421563,'1A',215,'N'),(25,6421571,'1',201,'N'),(25,6421571,'1A',208,'N'),(25,6421598,'1',601,'N'),(25,6421598,'1A',207,'N'),(25,6421610,'1',316,'N'),(25,6421652,'1',453,'N'),(25,6421679,'1',208,'N'),(25,6421679,'1A',238,'N'),(25,6421687,'1',201,'N'),(25,6421687,'1A',212,'N'),(25,6421709,'1',103,'N'),(25,6421717,'1',339,'N'),(25,6421725,'1',309,'N'),(25,6421733,'1',999,'N'),(25,6421741,'1',301,'N'),(25,6421750,'1',308,'N'),(25,6421768,'1',225,'N'),(25,6421806,'1',999,'N'),(25,6421814,'1',415,'N'),(25,6421822,'1',103,'N'),(25,6421830,'1',303,'N'),(25,6421857,'1',429,'N'),(25,6421857,'1A',427,'N'),(25,6421873,'1',234,'N'),(25,6421881,'1',235,'N'),(25,6421881,'1A',655,'N'),(25,6421911,'1',415,'N'),(25,6421920,'1',415,'N'),(25,6421938,'1',316,'N'),(25,6421946,'1',201,'N'),(25,6421946,'1A',208,'N'),(25,6421954,'1',5,'N'),(25,6421962,'1',309,'N'),(25,6421970,'1',336,'N'),(25,6421989,'1',104,'N'),(25,6422004,'1',110,'N'),(25,6422020,'1',103,'N'),(25,6422039,'1',3,'N'),(25,6422047,'1',102,'N'),(25,6422063,'1',340,'N'),(25,6422098,'1',103,'N'),(25,6422110,'1',201,'N'),(25,6422110,'1A',207,'N'),(25,6422136,'1',103,'N'),(25,6422152,'1',214,'N'),(25,6422152,'1A',233,'N'),(25,6422160,'1',103,'N'),(25,6422179,'1',103,'N'),(25,6422187,'1',220,'N'),(25,6422187,'1A',202,'N'),(25,6422209,'1',207,'N'),(25,6422209,'1A',201,'N'),(25,6422217,'1',201,'N'),(25,6422217,'1A',216,'N'),(25,6422225,'1',319,'N'),(25,6422233,'1',444,'N'),(25,6422268,'1',5,'N'),(25,6422276,'1',316,'N'),(25,6422284,'1',5,'N'),(25,6422306,'1',340,'N'),(25,6422314,'1',208,'N'),(25,6422322,'1',424,'N'),(25,6422322,'1A',425,'N'),(25,6422349,'1',404,'N'),(25,6422365,'1',428,'N'),(25,6422365,'1A',424,'N'),(25,6422373,'1',331,'N'),(25,6422390,'1',103,'N'),(25,6422403,'1',238,'N'),(25,6422403,'1A',203,'N'),(25,6422411,'1',103,'N'),(25,6422420,'1',238,'N'),(25,6422420,'1A',208,'N'),(25,6422438,'1',205,'N'),(25,6422446,'1',309,'N'),(25,6422462,'1',320,'N'),(25,6422497,'1',216,'N'),(25,6422497,'1A',203,'N'),(25,6422519,'1',5,'N'),(25,6422527,'1',104,'N'),(25,6422535,'1',317,'N'),(25,6422543,'1',415,'N'),(25,6422551,'1',103,'N'),(25,6422586,'1',303,'N'),(25,6422608,'1',235,'N'),(25,6422608,'1A',214,'N'),(25,6422616,'1',601,'N'),(25,6422616,'1A',235,'N'),(25,6422624,'1',201,'N'),(25,6422624,'1A',212,'N'),(25,6422632,'1',104,'N'),(25,6422640,'1',109,'N'),(25,6422659,'1',999,'N'),(25,6422675,'1',302,'N'),(25,6422683,'1',601,'N'),(25,6422683,'1A',207,'N'),(25,6422705,'1',319,'N'),(25,6422721,'1',444,'N'),(25,6422730,'1',318,'N'),(25,6422748,'1',332,'N'),(25,6422756,'1',101,'N'),(25,6422764,'1',332,'N'),(25,6422772,'1',999,'N'),(25,6422780,'1',103,'N'),(25,6422829,'1',303,'N'),(25,6422837,'1',103,'N'),(25,6422853,'1',336,'N'),(25,6422861,'1',428,'N'),(25,6422861,'1A',423,'N'),(25,6422870,'1',999,'N'),(25,6422888,'1',317,'N'),(25,6422896,'1',203,'N'),(25,6422896,'1A',235,'N'),(25,6422900,'1',109,'N'),(25,6422918,'1',203,'N'),(25,6422942,'1',216,'N'),(25,6422942,'1A',202,'N'),(25,6422950,'1',201,'N'),(25,6422950,'1A',207,'N'),(25,6422969,'1',654,'N'),(25,6422977,'1',201,'N'),(25,6422977,'1A',216,'N'),(25,6422985,'1',103,'N'),(25,6422993,'1',316,'N'),(25,6423000,'1',238,'N'),(25,6423000,'1A',208,'N'),(25,6423027,'1',324,'N'),(25,6423035,'1',102,'N'),(25,6423043,'1',201,'N'),(25,6423043,'1A',238,'N'),(25,6423051,'1',202,'N'),(25,6423051,'1A',203,'N'),(25,6423060,'1',207,'N'),(25,6423060,'1A',201,'N'),(25,6423078,'1',336,'N'),(25,6423094,'1',103,'N'),(25,6423116,'1',216,'N'),(25,6423116,'1A',203,'N'),(25,6423124,'1',203,'N'),(25,6423124,'1A',214,'N'),(25,6423132,'1',308,'N'),(25,6423140,'1',450,'N'),(25,6423159,'1',103,'N'),(25,6423167,'1',303,'N'),(25,6423183,'1',212,'N'),(25,6423183,'1A',601,'N'),(25,6423205,'1',331,'N'),(25,6423213,'1',601,'N'),(25,6423213,'1A',214,'N'),(25,6423221,'1',601,'N'),(25,6423221,'1A',201,'N'),(25,6423230,'1',207,'N'),(25,6423230,'1A',233,'N'),(25,6423264,'1',108,'N'),(25,6423272,'1',331,'N'),(25,6423299,'1',326,'N'),(25,6423302,'1',211,'N'),(25,6423302,'1A',212,'N'),(25,6423310,'1',301,'N'),(25,6423329,'1',238,'N'),(25,6423329,'1A',208,'N'),(25,6423353,'1',104,'N'),(25,6423361,'1',309,'N'),(25,6423370,'1',331,'N'),(25,6423388,'1',655,'N'),(25,6423388,'1A',652,'N'),(25,6423396,'1',316,'N'),(25,6423400,'1',203,'N'),(25,6423418,'1',316,'N'),(25,6423426,'1',340,'N'),(25,6423434,'1',214,'N'),(25,6423434,'1A',215,'N'),(25,6423442,'1',211,'N'),(25,6423450,'1',5,'N'),(25,6423493,'1',203,'N'),(25,6423493,'1A',601,'N'),(25,6423507,'1',103,'N'),(25,6423515,'1',103,'N'),(25,6423523,'1',201,'N'),(25,6423523,'1A',212,'N'),(25,6423558,'1',203,'N'),(25,6423558,'1A',214,'N'),(25,6423566,'1',999,'N'),(25,6423612,'1',425,'N'),(25,6423620,'1',103,'N'),(25,6423639,'1',501,'N'),(25,6423647,'1',601,'N'),(25,6423647,'1A',212,'N'),(25,6423655,'1',425,'N'),(25,6423663,'1',103,'N'),(25,6423671,'1',420,'N'),(25,6423680,'1',207,'N'),(25,6423680,'1A',201,'N'),(25,6423698,'1',333,'N'),(25,6423710,'1',335,'N'),(25,6423736,'1',308,'N'),(25,6423744,'1',102,'N'),(25,6423760,'1',319,'N'),(25,6423779,'1',404,'N'),(25,6423787,'1',201,'N'),(25,6423787,'1A',208,'N'),(25,6423825,'1',426,'N'),(25,6423825,'1A',428,'N'),(25,6423833,'1',319,'N'),(25,6423850,'1',338,'N'),(25,6423868,'1',203,'N'),(25,6423868,'1A',214,'N'),(25,6423876,'1',101,'N'),(25,6423884,'1',303,'N'),(25,6423892,'1',337,'N'),(25,6423906,'1',238,'N'),(25,6423906,'1A',208,'N'),(25,6423914,'1',103,'N'),(25,6423922,'1',301,'N'),(25,6423930,'1',103,'N'),(25,6423949,'1',333,'N'),(25,6423957,'1',652,'N'),(25,6423957,'1A',653,'N'),(25,6423990,'1',601,'N'),(25,6423990,'1A',203,'N'),(25,6424031,'1',340,'N'),(25,6424058,'1',428,'N'),(25,6424058,'1A',426,'N'),(25,6424066,'1',202,'N'),(25,6424066,'1A',211,'N'),(25,6424082,'1',329,'N'),(25,6424104,'1',203,'N'),(25,6424104,'1A',201,'N'),(25,6424112,'1',109,'N'),(25,6424120,'1',238,'N'),(25,6424120,'1A',208,'N'),(25,6424139,'1',653,'N'),(25,6424139,'1A',214,'N'),(25,6424147,'1',655,'N'),(25,6424147,'1A',652,'N'),(25,6424155,'1',601,'N'),(25,6424155,'1A',203,'N'),(25,6424163,'1',301,'N'),(25,6424171,'1',654,'N'),(25,6424198,'1',201,'N'),(25,6424201,'1',104,'N'),(25,6424210,'1',103,'N'),(25,6424228,'1',102,'N'),(25,6424236,'1',319,'N'),(25,6424252,'1',207,'N'),(25,6424252,'1A',214,'N'),(25,6424260,'1',999,'N'),(25,6424279,'1',404,'N'),(25,6424295,'1',208,'N'),(25,6424295,'1A',238,'N'),(25,6424317,'1',317,'N'),(25,6424325,'1',235,'N'),(25,6424325,'1A',202,'N'),(25,6424333,'1',216,'N'),(25,6424333,'1A',235,'N'),(25,6424341,'1',328,'N'),(25,6424350,'1',5,'N'),(25,6424376,'1',328,'N'),(25,6424384,'1',301,'N'),(25,6424392,'1',316,'N'),(25,6424406,'1',427,'N'),(25,6424406,'1A',423,'N'),(25,6424414,'1',110,'N'),(25,6424430,'1',415,'N'),(25,6424449,'1',104,'N'),(25,6424465,'1',201,'N'),(25,6424465,'1A',207,'N'),(25,6424490,'1',9,'N'),(25,6424503,'1',207,'N'),(25,6424503,'1A',201,'N'),(25,6424511,'1',302,'N'),(25,6424520,'1',319,'N'),(25,6424538,'1',601,'N'),(25,6424538,'1A',233,'N'),(25,6424562,'1',999,'N'),(25,6424600,'1',301,'N'),(25,6424627,'1',999,'N'),(25,6424635,'1',327,'N'),(25,6424651,'1',203,'N'),(25,6424651,'1A',653,'N'),(25,6424660,'1',301,'N'),(25,6424686,'1',308,'N'),(25,6424724,'1',5,'N'),(25,6424732,'1',207,'N'),(25,6424732,'1A',233,'N'),(25,6424740,'1',9,'N'),(25,6424775,'1',450,'N'),(25,6424783,'1',201,'N'),(25,6424791,'1',601,'N'),(25,6424805,'1',103,'N'),(25,6424813,'1',424,'N'),(25,6424813,'1A',425,'N'),(25,6424821,'1',301,'N'),(25,6424830,'1',101,'N'),(25,6424848,'1',404,'N'),(25,6424856,'1',102,'N'),(25,6424910,'1',340,'N'),(25,6424929,'1',103,'N'),(25,6424945,'1',317,'N'),(25,6424953,'1',104,'N'),(25,6424961,'1',340,'N'),(25,6424970,'1',208,'N'),(25,6424970,'1A',233,'N'),(25,6424988,'1',103,'N'),(25,6424996,'1',103,'N'),(25,6425020,'1',224,'N'),(25,6425038,'1',502,'N'),(25,6425046,'1',207,'N'),(25,6425046,'1A',214,'N'),(25,6425054,'1',211,'N'),(25,6425054,'1A',203,'N'),(25,6425062,'1',301,'N'),(25,6425070,'1',110,'N'),(25,6425089,'1',453,'N'),(25,6425097,'1',404,'N'),(25,6425119,'1',103,'N'),(25,6425127,'1',102,'N'),(25,6425135,'1',202,'N'),(25,6425135,'1A',235,'N'),(25,6425151,'1',336,'N'),(25,6425160,'1',332,'N'),(25,6425178,'1',103,'N'),(25,6425208,'1',220,'N'),(25,6425208,'1A',213,'N'),(25,6425216,'1',326,'N'),(25,6425224,'1',502,'N'),(25,6425240,'1',103,'N'),(25,6425259,'1',202,'N'),(25,6425259,'1A',235,'N'),(25,6425275,'1',103,'N'),(25,6425283,'1',444,'N'),(25,6425291,'1',103,'N'),(25,6425305,'1',999,'N'),(25,6425313,'1',655,'N'),(25,6425313,'1A',208,'N'),(25,6425321,'1',327,'N'),(25,6425330,'1',415,'N'),(25,6425348,'1',551,'N'),(25,6425356,'1',336,'N'),(25,6425372,'1',303,'N'),(25,6425380,'1',238,'N'),(25,6425380,'1A',208,'N'),(25,6425399,'1',328,'N'),(25,6425402,'1',654,'N'),(25,6425437,'1',207,'N'),(25,6425437,'1A',201,'N'),(25,6425445,'1',601,'N'),(25,6425445,'1A',208,'N'),(25,6425453,'1',317,'N'),(25,6425461,'1',316,'N'),(25,6425470,'1',601,'N'),(25,6425488,'1',415,'N'),(25,6425496,'1',103,'N'),(25,6425500,'1',238,'N'),(25,6425500,'1A',202,'N'),(25,6425518,'1',316,'N'),(25,6425526,'1',207,'N'),(25,6425526,'1A',211,'N'),(25,6425534,'1',450,'N'),(25,6425542,'1',104,'N'),(25,6425550,'1',211,'N'),(25,6425550,'1A',201,'N'),(25,6425569,'1',211,'N'),(25,6425569,'1A',207,'N'),(25,6425585,'1',103,'N'),(25,6425593,'1',655,'N'),(25,6425593,'1A',201,'N'),(25,6425607,'1',207,'N'),(25,6425607,'1A',201,'N'),(25,6425615,'1',303,'N'),(25,6425623,'1',652,'N'),(25,6425631,'1',653,'N'),(25,6425631,'1A',652,'N'),(25,6425640,'1',601,'N'),(25,6425640,'1A',203,'N'),(25,6425674,'1',212,'N'),(25,6425674,'1A',220,'N'),(25,6425704,'1',425,'N'),(25,6425704,'1A',429,'N'),(25,6425712,'1',213,'N'),(25,6425712,'1A',212,'N'),(25,6425720,'1',201,'N'),(25,6425720,'1A',653,'N'),(25,6425739,'1',453,'N'),(25,6425763,'1',238,'N'),(25,6425763,'1A',233,'N'),(25,6425771,'1',444,'N'),(25,6425801,'1',103,'N'),(25,6425810,'1',328,'N'),(25,6425860,'1',220,'N'),(25,6425860,'1A',202,'N'),(25,6425879,'1',5,'N'),(25,6425895,'1',215,'N'),(25,6425895,'1A',202,'N'),(25,6425917,'1',303,'N'),(25,6425925,'1',450,'N'),(25,6425933,'1',207,'N'),(25,6425933,'1A',233,'N'),(25,6425941,'1',103,'N'),(25,6425950,'1',212,'N'),(25,6425950,'1A',201,'N'),(25,6425976,'1',302,'N'),(25,6425984,'1',303,'N'),(25,6425992,'1',201,'N'),(25,6425992,'1A',212,'N'),(25,6426018,'1',301,'N'),(25,6426026,'1',415,'N'),(25,6426034,'1',317,'N'),(25,6426042,'1',654,'N'),(25,6426050,'1',223,'N'),(25,6426069,'1',212,'N'),(25,6426069,'1A',201,'N'),(25,6426077,'1',5,'N'),(25,6426107,'1',108,'N'),(25,6426131,'1',5,'N'),(25,6426166,'1',340,'N'),(25,6426174,'1',5,'N'),(25,6426182,'1',238,'N'),(25,6426182,'1A',235,'N'),(25,6426204,'1',238,'N'),(25,6426204,'1A',208,'N'),(25,6426212,'1',429,'N'),(25,6426212,'1A',424,'N'),(25,6426239,'1',103,'N'),(25,6426247,'1',335,'N'),(25,6426255,'1',103,'N'),(25,6426271,'1',501,'N'),(25,6426280,'1',201,'N'),(25,6426280,'1A',202,'N'),(25,6426301,'1',551,'N'),(25,6426310,'1',303,'N'),(25,6426328,'1',103,'N'),(25,6426336,'1',104,'N'),(25,6426360,'1',208,'N'),(25,6426360,'1A',655,'N'),(25,6426379,'1',103,'N'),(25,6426387,'1',415,'N'),(25,6426395,'1',415,'N'),(25,6426409,'1',444,'N'),(25,6426417,'1',212,'N'),(25,6426417,'1A',233,'N'),(25,6426433,'1',238,'N'),(25,6426433,'1A',220,'N'),(25,6426441,'1',326,'N'),(25,6426450,'1',601,'N'),(25,6426450,'1A',233,'N'),(25,6426468,'1',502,'N'),(25,6426484,'1',308,'N'),(25,6426492,'1',102,'N'),(25,6426514,'1',103,'N'),(28,7000014,'1',103,'N'),(28,7000022,'1',207,'N'),(28,7000022,'1A',201,'N'),(28,7000030,'1',450,'N'),(28,7000049,'1',224,'N'),(28,7000057,'1',5,'N'),(28,7000065,'1',103,'N'),(28,7000073,'1',340,'N'),(28,7000081,'1',103,'N'),(28,7000090,'1',103,'N'),(28,7000103,'1',225,'N'),(28,7000111,'1',317,'N'),(28,7000120,'1',203,'N'),(28,7000120,'1A',214,'N'),(28,7000146,'1',208,'N'),(28,7000162,'1',302,'N'),(28,7000170,'1',454,'N'),(28,7000189,'1',501,'N'),(28,7000197,'1',207,'N'),(28,7000197,'1A',201,'N'),(28,7000200,'1',238,'N'),(28,7000200,'1A',652,'N'),(28,7000219,'1',317,'N'),(28,7000243,'1',450,'N'),(28,7000260,'1',5,'N'),(28,7000278,'1',338,'N'),(28,7000286,'1',309,'N'),(28,7000294,'1',103,'N'),(28,7000308,'1',103,'N'),(28,7000316,'1',340,'N'),(28,7000324,'1',201,'N'),(28,7000324,'1A',207,'N'),(28,7000332,'1',238,'N'),(28,7000332,'1A',201,'N'),(28,7000359,'1',5,'N'),(28,7000375,'1',207,'N'),(28,7000375,'1A',201,'N'),(28,7000383,'1',214,'N'),(28,7000383,'1A',212,'N'),(28,7000391,'1',103,'N'),(28,7000405,'1',207,'N'),(28,7000405,'1A',201,'N'),(28,7000413,'1',213,'N'),(28,7000413,'1A',215,'N'),(28,7000421,'1',302,'N'),(28,7000430,'1',103,'N'),(28,7000448,'1',503,'N'),(28,7000456,'1',103,'N'),(28,7000464,'1',303,'N'),(28,7000472,'1',104,'N'),(28,7000499,'1',202,'N'),(28,7000499,'1A',220,'N'),(28,7000502,'1',652,'N'),(28,7000502,'1A',655,'N'),(28,7000510,'1',450,'N'),(28,7000529,'1',103,'N'),(28,7000537,'1',336,'N'),(28,7000545,'1',303,'N'),(28,7000553,'1',203,'N'),(28,7000553,'1A',214,'N'),(28,7000561,'1',320,'N'),(28,7000570,'1',301,'N'),(28,7000588,'1',303,'N'),(28,7000618,'1',601,'N'),(28,7000618,'1A',201,'N'),(28,7000634,'1',319,'N'),(28,7000642,'1',201,'N'),(28,7000642,'1A',601,'N'),(28,7000650,'1',340,'N'),(28,7000677,'1',103,'N'),(28,7000685,'1',303,'N'),(28,7000693,'1',552,'N'),(28,7000707,'1',108,'N'),(28,7000715,'1',653,'N'),(28,7000731,'1',5,'N'),(28,7000740,'1',201,'N'),(28,7000740,'1A',212,'N'),(28,7000758,'1',404,'N'),(28,7000766,'1',454,'N'),(28,7000774,'1',303,'N'),(28,7000782,'1',319,'N'),(28,7000804,'1',9,'N'),(28,7000812,'1',501,'N'),(28,7000820,'1',102,'N'),(28,7000839,'1',103,'N'),(28,7000847,'1',318,'N'),(28,7000855,'1',317,'N'),(28,7000871,'1',103,'N'),(28,7000880,'1',207,'N'),(28,7000898,'1',101,'N'),(28,7000944,'1',108,'N'),(28,7000952,'1',103,'N'),(28,7000960,'1',340,'N'),(28,7000979,'1',454,'N'),(28,7000987,'1',201,'N'),(28,7000987,'1A',601,'N'),(28,7000995,'1',424,'N'),(28,7000995,'1A',421,'N'),(28,7001002,'1',5,'N'),(28,7001010,'1',103,'N'),(28,7001029,'1',103,'N'),(28,7001037,'1',454,'N'),(28,7001045,'1',103,'N'),(28,7001053,'1',428,'N'),(28,7001053,'1A',426,'N'),(28,7001061,'1',103,'N'),(28,7001070,'1',103,'N'),(28,7001088,'1',207,'N'),(28,7001088,'1A',212,'N'),(28,7001096,'1',201,'N'),(28,7001096,'1A',203,'N'),(28,7001100,'1',425,'N'),(28,7001100,'1A',429,'N'),(28,7001118,'1',233,'N'),(28,7001118,'1A',238,'N'),(28,7001126,'1',103,'N'),(28,7001142,'1',103,'N'),(28,7001169,'1',103,'N'),(28,7001177,'1',211,'N'),(28,7001177,'1A',215,'N'),(28,7001185,'1',208,'N'),(28,7001193,'1',103,'N'),(28,7001207,'1',303,'N'),(28,7001215,'1',103,'N'),(28,7001223,'1',207,'N'),(28,7001223,'1A',211,'N'),(28,7001231,'1',308,'N'),(28,7001258,'1',103,'N'),(28,7001266,'1',104,'N'),(28,7001274,'1',319,'N'),(28,7001282,'1',303,'N'),(28,7001290,'1',102,'N'),(28,7001304,'1',653,'N'),(28,7001312,'1',339,'N'),(28,7001320,'1',103,'N'),(28,7001339,'1',5,'N'),(28,7001347,'1',319,'N'),(28,7001355,'1',238,'N'),(28,7001355,'1A',220,'N'),(28,7001371,'1',103,'N'),(28,7001380,'1',340,'N'),(28,7001398,'1',318,'N'),(28,7001401,'1',103,'N'),(28,7001410,'1',5,'N'),(28,7001428,'1',238,'N'),(28,7001428,'1A',235,'N'),(28,7001436,'1',652,'N'),(28,7001436,'1A',655,'N'),(28,7001444,'1',318,'N'),(28,7001452,'1',655,'N'),(28,7001452,'1A',652,'N'),(28,7001460,'1',208,'N'),(28,7001509,'1',331,'N'),(28,7001517,'1',601,'N'),(28,7001517,'1A',233,'N'),(28,7001533,'1',103,'N'),(28,7001568,'1',103,'N'),(28,7001584,'1',103,'N'),(28,7001592,'1',999,'N'),(28,7001606,'1',220,'N'),(28,7001606,'1A',202,'N'),(28,7001622,'1',450,'N'),(28,7001630,'1',201,'N'),(28,7001630,'1A',202,'N'),(28,7001649,'1',601,'N'),(28,7001649,'1A',213,'N'),(28,7001657,'1',319,'N'),(28,7001665,'1',220,'N'),(28,7001665,'1A',201,'N'),(28,7001673,'1',425,'N'),(28,7001673,'1A',421,'N'),(28,7001681,'1',304,'N'),(28,7001703,'1',440,'N'),(28,7001720,'1',202,'N'),(28,7001720,'1A',235,'N'),(28,7001738,'1',108,'N'),(28,7001754,'1',238,'N'),(28,7001754,'1A',233,'N'),(28,7001770,'1',336,'N'),(28,7001789,'1',101,'N'),(28,7001797,'1',104,'N'),(28,7001800,'1',108,'N'),(28,7001819,'1',207,'N'),(28,7001819,'1A',211,'N'),(28,7001827,'1',655,'N'),(28,7001827,'1A',653,'N'),(28,7001835,'1',104,'N'),(28,7001843,'1',326,'N'),(28,7001878,'1',501,'N'),(28,7001886,'1',103,'N'),(28,7001908,'1',108,'N'),(28,7001916,'1',235,'N'),(28,7001916,'1A',220,'N'),(28,7001924,'1',216,'N'),(28,7001924,'1A',233,'N'),(28,7001932,'1',216,'N'),(28,7001932,'1A',233,'N'),(28,7001940,'1',215,'N'),(28,7001940,'1A',233,'N'),(28,7001967,'1',201,'N'),(28,7001967,'1A',203,'N'),(28,7001975,'1',451,'N'),(28,7001983,'1',444,'N'),(28,7001991,'1',5,'N'),(28,7002009,'1',224,'N'),(28,7002017,'1',103,'N'),(28,7002025,'1',320,'N'),(28,7002033,'1',454,'N'),(28,7002050,'1',424,'N'),(28,7002050,'1A',423,'N'),(28,7002068,'1',201,'N'),(28,7002068,'1A',215,'N'),(28,7002076,'1',319,'N'),(28,7002084,'1',102,'N'),(28,7002122,'1',303,'N'),(28,7002157,'1',103,'N'),(28,7002165,'1',424,'N'),(28,7002165,'1A',426,'N'),(28,7002173,'1',308,'N'),(28,7002190,'1',318,'N'),(28,7002203,'1',308,'N'),(28,7002211,'1',301,'N'),(28,7002220,'1',502,'N'),(28,7002238,'1',202,'N'),(28,7002238,'1A',235,'N'),(28,7002246,'1',101,'N'),(28,7002262,'1',601,'N'),(28,7002262,'1A',202,'N'),(28,7002270,'1',424,'N'),(28,7002270,'1A',425,'N'),(28,7002289,'1',215,'N'),(28,7002289,'1A',216,'N'),(28,7002297,'1',654,'N'),(28,7002300,'1',103,'N'),(28,7002319,'1',201,'N'),(28,7002319,'1A',233,'N'),(28,7002335,'1',207,'N'),(28,7002343,'1',103,'N'),(28,7002351,'1',653,'N'),(28,7002351,'1A',652,'N'),(28,7002378,'1',421,'N'),(28,7002378,'1A',424,'N'),(28,7002394,'1',655,'N'),(28,7002394,'1A',238,'N'),(28,7002408,'1',601,'N'),(28,7002408,'1A',214,'N'),(28,7002416,'1',316,'N'),(28,7002424,'1',216,'N'),(28,7002424,'1A',201,'N'),(28,7002440,'1',238,'N'),(28,7002440,'1A',233,'N'),(28,7002459,'1',207,'N'),(28,7002459,'1A',201,'N'),(28,7002467,'1',601,'N'),(28,7002467,'1A',201,'N'),(28,7002475,'1',652,'N'),(28,7002475,'1A',655,'N'),(28,7002483,'1',503,'N'),(28,7002491,'1',201,'N'),(28,7002491,'1A',202,'N'),(28,7002505,'1',316,'N'),(28,7002530,'1',238,'N'),(28,7002530,'1A',220,'N'),(28,7002548,'1',103,'N'),(28,7002556,'1',450,'N'),(28,7002564,'1',103,'N'),(28,7002580,'1',301,'N'),(28,7002599,'1',318,'N'),(28,7002629,'1',655,'N'),(28,7002629,'1A',220,'N'),(28,7002637,'1',103,'N'),(28,7002645,'1',333,'N'),(28,7002653,'1',454,'N'),(28,7002661,'1',304,'N'),(28,7002670,'1',319,'N'),(28,7002696,'1',454,'N'),(28,7002700,'1',207,'N'),(28,7002700,'1A',211,'N'),(28,7002718,'1',103,'N'),(28,7002734,'1',552,'N'),(28,7002750,'1',214,'N'),(28,7002750,'1A',233,'N'),(28,7002777,'1',104,'N'),(28,7002785,'1',103,'N'),(28,7002807,'1',427,'N'),(28,7002807,'1A',424,'N'),(28,7002815,'1',454,'N'),(28,7002823,'1',601,'N'),(28,7002823,'1A',202,'N'),(28,7002840,'1',203,'N'),(28,7002840,'1A',233,'N'),(28,7002866,'1',103,'N'),(28,7002874,'1',5,'N'),(28,7002882,'1',211,'N'),(28,7002882,'1A',214,'N'),(28,7002890,'1',103,'N'),(28,7002912,'1',102,'N'),(28,7002920,'1',203,'N'),(28,7002920,'1A',202,'N'),(28,7002939,'1',319,'N'),(28,7002955,'1',426,'N'),(28,7002963,'1',454,'N'),(28,7002971,'1',103,'N'),(28,7002980,'1',211,'N'),(28,7002980,'1A',653,'N'),(28,7002998,'1',207,'N'),(28,7002998,'1A',233,'N'),(28,7003005,'1',103,'N'),(28,7003013,'1',103,'N'),(28,7003021,'1',103,'N'),(28,7003048,'1',9,'N'),(28,7003056,'1',103,'N'),(28,7003064,'1',552,'N'),(28,7003099,'1',108,'N'),(28,7003110,'1',104,'N'),(28,7003153,'1',333,'N'),(28,7003161,'1',450,'N'),(28,7003170,'1',5,'N'),(28,7003188,'1',303,'N'),(28,7003196,'1',103,'N'),(28,7003200,'1',211,'N'),(28,7003200,'1A',215,'N'),(28,7003218,'1',207,'N'),(28,7003218,'1A',201,'N'),(28,7003226,'1',301,'N'),(28,7003234,'1',103,'N'),(28,7003269,'1',224,'N'),(28,7003277,'1',103,'N'),(28,7003285,'1',104,'N'),(28,7003293,'1',655,'N'),(28,7003293,'1A',652,'N'),(28,7003315,'1',454,'N'),(28,7003323,'1',340,'N'),(28,7003331,'1',109,'N'),(28,7003340,'1',316,'N'),(28,7003358,'1',552,'N'),(28,7003366,'1',339,'N'),(28,7003374,'1',415,'N'),(28,7003382,'1',201,'N'),(28,7003382,'1A',207,'N'),(28,7003390,'1',235,'N'),(28,7003390,'1A',202,'N'),(28,7003412,'1',207,'N'),(28,7003412,'1A',201,'N'),(28,7003455,'1',103,'N'),(28,7003463,'1',303,'N'),(28,7003471,'1',214,'N'),(28,7003471,'1A',213,'N'),(28,7003480,'1',326,'N'),(28,7003501,'1',5,'N'),(28,7003544,'1',440,'N'),(28,7003552,'1',238,'N'),(28,7003552,'1A',655,'N'),(28,7003579,'1',316,'N'),(28,7003587,'1',324,'N'),(28,7003609,'1',339,'N'),(28,7003617,'1',102,'N'),(28,7003625,'1',103,'N'),(28,7003650,'1',301,'N'),(28,7003668,'1',102,'N'),(28,7003676,'1',207,'N'),(28,7003676,'1A',212,'N'),(28,7003684,'1',309,'N'),(28,7003692,'1',203,'N'),(28,7003692,'1A',214,'N'),(28,7003706,'1',317,'N'),(28,7003714,'1',304,'N'),(28,7003722,'1',102,'N'),(28,7003730,'1',340,'N'),(28,7003749,'1',216,'N'),(28,7003749,'1A',601,'N'),(28,7003765,'1',103,'N'),(28,7003773,'1',316,'N'),(28,7003781,'1',319,'N'),(28,7003790,'1',216,'N'),(28,7003790,'1A',203,'N'),(28,7003803,'1',233,'N'),(28,7003803,'1A',214,'N'),(28,7003811,'1',601,'N'),(28,7003811,'1A',201,'N'),(28,7003820,'1',103,'N'),(28,7003838,'1',316,'N'),(28,7003846,'1',103,'N'),(28,7003862,'1',216,'N'),(28,7003862,'1A',201,'N'),(28,7003897,'1',103,'N'),(28,7003900,'1',301,'N'),(28,7003919,'1',103,'N'),(28,7003927,'1',202,'N'),(28,7003927,'1A',220,'N'),(28,7003935,'1',340,'N'),(28,7003943,'1',103,'N'),(28,7003978,'1',340,'N'),(28,7003986,'1',102,'N'),(28,7003994,'1',233,'N'),(28,7004001,'1',104,'N'),(28,7004010,'1',301,'N'),(28,7004028,'1',319,'N'),(28,7004036,'1',428,'N'),(28,7004036,'1A',425,'N'),(28,7004060,'1',108,'N'),(28,7004079,'1',340,'N'),(28,7004095,'1',319,'N'),(28,7004109,'1',216,'N'),(28,7004109,'1A',238,'N'),(28,7004117,'1',207,'N'),(28,7004117,'1A',212,'N'),(28,7004133,'1',5,'N'),(28,7004141,'1',338,'N'),(28,7004168,'1',201,'N'),(28,7004168,'1A',207,'N'),(28,7004176,'1',338,'N'),(28,7004184,'1',103,'N'),(28,7004214,'1',303,'N'),(28,7004222,'1',601,'N'),(28,7004222,'1A',202,'N'),(28,7004230,'1',336,'N'),(28,7004249,'1',103,'N'),(28,7004257,'1',103,'N'),(28,7004265,'1',103,'N'),(28,7004273,'1',332,'N'),(28,7004290,'1',319,'N'),(28,7004311,'1',103,'N'),(28,7004320,'1',3,'N'),(28,7004338,'1',203,'N'),(28,7004338,'1A',214,'N'),(28,7004354,'1',203,'N'),(28,7004354,'1A',202,'N'),(28,7004362,'1',108,'N'),(28,7004370,'1',103,'N'),(28,7004419,'1',215,'N'),(28,7004427,'1',220,'N'),(28,7004427,'1A',214,'N'),(28,7004435,'1',110,'N'),(28,7004443,'1',103,'N'),(28,7004451,'1',230,'N'),(28,7004460,'1',103,'N'),(28,7004478,'1',552,'N'),(28,7004494,'1',316,'N'),(28,7004508,'1',104,'N'),(28,7004524,'1',333,'N'),(28,7004532,'1',207,'N'),(28,7004532,'1A',201,'N'),(28,7004559,'1',201,'N'),(28,7004559,'1A',212,'N'),(28,7004567,'1',552,'N'),(28,7004575,'1',207,'N'),(28,7004575,'1A',215,'N'),(28,7004583,'1',5,'N'),(28,7004591,'1',318,'N'),(28,7004605,'1',999,'N'),(28,7004613,'1',203,'N'),(28,7004613,'1A',214,'N'),(28,7004621,'1',440,'N'),(28,7004630,'1',454,'N'),(28,7004648,'1',454,'N'),(28,7004656,'1',233,'N'),(28,7004656,'1A',235,'N'),(28,7004672,'1',104,'N'),(28,7004680,'1',303,'N'),(28,7004702,'1',103,'N'),(28,7004710,'1',5,'N'),(28,7004737,'1',220,'N'),(28,7004737,'1A',235,'N'),(28,7004753,'1',340,'N'),(28,7004761,'1',999,'N'),(28,7004788,'1',454,'N'),(28,7004796,'1',3,'N'),(28,7004800,'1',5,'N'),(28,7004818,'1',319,'N'),(28,7004826,'1',108,'N'),(28,7004834,'1',103,'N'),(28,7004842,'1',104,'N'),(28,7004850,'1',601,'N'),(28,7004850,'1A',655,'N'),(28,7004869,'1',450,'N'),(28,7004885,'1',3,'N'),(28,7004893,'1',104,'N'),(28,7004907,'1',103,'N'),(28,7004923,'1',201,'N'),(28,7004923,'1A',212,'N'),(28,7004931,'1',103,'N'),(28,7004940,'1',319,'N'),(28,7004958,'1',104,'N'),(28,7004966,'1',552,'N'),(28,7004982,'1',340,'N'),(28,7004990,'1',5,'N'),(28,7005008,'1',316,'N'),(28,7005016,'1',103,'N'),(28,7005024,'1',5,'N'),(28,7005032,'1',103,'N'),(28,7005059,'1',340,'N'),(28,7005075,'1',207,'N'),(28,7005075,'1A',201,'N'),(28,7005083,'1',444,'N'),(28,7005091,'1',316,'N'),(28,7005113,'1',203,'N'),(28,7005113,'1A',216,'N'),(28,7005121,'1',202,'N'),(28,7005121,'1A',235,'N'),(28,7005130,'1',331,'N'),(28,7005148,'1',216,'N'),(28,7005148,'1A',233,'N'),(28,7005156,'1',216,'N'),(28,7005156,'1A',215,'N'),(28,7005164,'1',501,'N'),(28,7005172,'1',220,'N'),(28,7005172,'1A',203,'N'),(28,7005180,'1',454,'N'),(28,7005199,'1',103,'N'),(28,7005210,'1',103,'N'),(28,7005237,'1',5,'N'),(28,7005245,'1',454,'N'),(28,7005261,'1',601,'N'),(28,7005270,'1',203,'N'),(28,7005270,'1A',214,'N'),(28,7005288,'1',103,'N'),(28,7005300,'1',201,'N'),(28,7005300,'1A',220,'N'),(28,7005326,'1',220,'N'),(28,7005326,'1A',235,'N'),(28,7005334,'1',653,'N'),(28,7005342,'1',103,'N'),(28,7005350,'1',103,'N'),(28,7005369,'1',999,'N'),(28,7005393,'1',601,'N'),(28,7005393,'1A',211,'N'),(28,7005407,'1',101,'N'),(28,7005415,'1',601,'N'),(28,7005415,'1A',203,'N'),(28,7005423,'1',222,'N'),(28,7005431,'1',109,'N'),(28,7005458,'1',103,'N'),(28,7005474,'1',316,'N'),(28,7005482,'1',207,'N'),(28,7005482,'1A',201,'N'),(28,7005490,'1',103,'N'),(28,7005504,'1',999,'N'),(28,7005512,'1',238,'N'),(28,7005512,'1A',652,'N'),(28,7005547,'1',340,'N'),(28,7005555,'1',454,'N'),(28,7005563,'1',303,'N'),(28,7005601,'1',601,'N'),(28,7005601,'1A',653,'N'),(28,7005610,'1',454,'N'),(28,7005628,'1',102,'N'),(28,7005644,'1',319,'N'),(28,7005660,'1',207,'N'),(28,7005660,'1A',211,'N'),(28,7005687,'1',207,'N'),(28,7005687,'1A',201,'N'),(28,7005695,'1',103,'N'),(28,7005709,'1',203,'N'),(28,7005709,'1A',201,'N'),(28,7005717,'1',220,'N'),(28,7005717,'1A',216,'N'),(28,7005733,'1',415,'N'),(28,7005741,'1',5,'N'),(28,7005750,'1',202,'N'),(28,7005750,'1A',203,'N'),(28,7005768,'1',316,'N'),(28,7005776,'1',340,'N'),(28,7005792,'1',404,'N'),(28,7005806,'1',601,'N'),(28,7005806,'1A',201,'N'),(28,7005814,'1',319,'N'),(28,7005822,'1',303,'N'),(28,7005830,'1',5,'N'),(28,7005857,'1',340,'N'),(28,7005873,'1',212,'N'),(28,7005873,'1A',214,'N'),(28,7005881,'1',104,'N'),(28,7005890,'1',327,'N'),(28,7005903,'1',201,'N'),(28,7005903,'1A',212,'N'),(28,7005911,'1',303,'N'),(28,7005920,'1',454,'N'),(28,7005938,'1',9,'N'),(28,7005946,'1',415,'N'),(28,7005954,'1',216,'N'),(28,7005954,'1A',211,'N'),(28,7005989,'1',103,'N'),(28,7005997,'1',331,'N'),(28,7006004,'1',103,'N'),(28,7006012,'1',235,'N'),(28,7006012,'1A',202,'N'),(28,7006020,'1',104,'N'),(28,7006039,'1',223,'N'),(28,7006047,'1',201,'N'),(28,7006047,'1A',202,'N'),(28,7006055,'1',104,'N'),(28,7006071,'1',103,'N'),(28,7006080,'1',103,'N'),(28,7006098,'1',601,'N'),(28,7006101,'1',203,'N'),(28,7006101,'1A',214,'N'),(28,7006110,'1',103,'N'),(28,7006128,'1',303,'N'),(28,7006136,'1',415,'N'),(28,7006144,'1',201,'N'),(28,7006144,'1A',212,'N'),(28,7006152,'1',220,'N'),(28,7006152,'1A',235,'N'),(28,7006160,'1',216,'N'),(28,7006160,'1A',601,'N'),(28,7006179,'1',103,'N'),(28,7006187,'1',415,'N'),(28,7006209,'1',340,'N'),(28,7006217,'1',201,'N'),(28,7006217,'1A',207,'N'),(28,7006241,'1',999,'N'),(28,7006250,'1',319,'N'),(28,7006268,'1',319,'N'),(28,7006276,'1',5,'N'),(28,7006284,'1',203,'N'),(28,7006284,'1A',220,'N'),(28,7006292,'1',653,'N'),(28,7006292,'1A',655,'N'),(28,7006306,'1',5,'N'),(28,7006314,'1',303,'N'),(28,7006322,'1',238,'N'),(28,7006322,'1A',235,'N'),(28,7006330,'1',340,'N'),(28,7006365,'1',551,'N'),(28,7006373,'1',102,'N'),(28,7006381,'1',104,'N'),(28,7006390,'1',103,'N'),(28,7006411,'1',215,'N'),(28,7006411,'1A',216,'N'),(28,7006420,'1',340,'N'),(28,7006438,'1',103,'N'),(28,7006446,'1',238,'N'),(28,7006454,'1',454,'N'),(28,7006462,'1',103,'N'),(28,7006470,'1',103,'N'),(28,7006489,'1',104,'N'),(28,7006497,'1',454,'N'),(28,7006519,'1',103,'N'),(28,7006535,'1',103,'N'),(28,7006543,'1',104,'N'),(28,7006560,'1',429,'N'),(28,7006560,'1A',426,'N'),(28,7006578,'1',654,'N'),(28,7006586,'1',601,'N'),(28,7006586,'1A',203,'N'),(28,7006594,'1',104,'N'),(28,7006608,'1',5,'N'),(28,7006616,'1',220,'N'),(28,7006616,'1A',235,'N'),(28,7006624,'1',502,'N'),(28,7006632,'1',103,'N'),(28,7006640,'1',552,'N'),(28,7006667,'1',201,'N'),(28,7006667,'1A',211,'N'),(28,7006675,'1',5,'N'),(28,7006683,'1',109,'N'),(28,7006691,'1',340,'N'),(28,7006705,'1',208,'N'),(28,7006713,'1',303,'N'),(28,7006730,'1',202,'N'),(28,7006730,'1A',601,'N'),(28,7006748,'1',999,'N'),(28,7006756,'1',103,'N'),(28,7006764,'1',103,'N'),(28,7006772,'1',104,'N'),(28,7006780,'1',302,'N'),(28,7006799,'1',103,'N'),(28,7006810,'1',103,'N'),(28,7006837,'1',5,'N'),(28,7006845,'1',207,'N'),(28,7006845,'1A',201,'N'),(28,7006853,'1',207,'N'),(28,7006853,'1A',233,'N'),(28,7006861,'1',653,'N'),(28,7006861,'1A',211,'N'),(28,7006870,'1',220,'N'),(28,7006870,'1A',201,'N'),(28,7006896,'1',203,'N'),(28,7006896,'1A',220,'N'),(28,7006900,'1',502,'N'),(28,7006918,'1',103,'N'),(28,7006926,'1',238,'N'),(28,7006926,'1A',211,'N'),(28,7006934,'1',103,'N'),(28,7006942,'1',319,'N'),(28,7006950,'1',216,'N'),(28,7006950,'1A',207,'N'),(28,7006969,'1',335,'N'),(28,7006977,'1',201,'N'),(28,7006985,'1',404,'N'),(28,7006993,'1',301,'N'),(28,7007000,'1',207,'N'),(28,7007000,'1A',201,'N'),(28,7007027,'1',108,'N'),(28,7007035,'1',415,'N'),(28,7007051,'1',103,'N'),(28,7007060,'1',207,'N'),(28,7007060,'1A',201,'N'),(28,7007078,'1',233,'N'),(28,7007078,'1A',216,'N'),(28,7007086,'1',454,'N'),(28,7007116,'1',999,'N'),(28,7007124,'1',104,'N'),(28,7007140,'1',207,'N'),(28,7007140,'1A',235,'N'),(28,7007159,'1',5,'N'),(28,7007175,'1',503,'N'),(28,7007183,'1',9,'N'),(28,7007205,'1',203,'N'),(28,7007205,'1A',220,'N'),(28,7007213,'1',601,'N'),(28,7007213,'1A',203,'N'),(28,7007221,'1',103,'N'),(28,7007230,'1',502,'N'),(28,7007256,'1',103,'N'),(28,7007264,'1',103,'N'),(28,7007272,'1',201,'N'),(28,7007272,'1A',211,'N'),(28,7007280,'1',103,'N'),(28,7007299,'1',103,'N'),(28,7007302,'1',103,'N'),(28,7007310,'1',601,'N'),(28,7007310,'1A',216,'N'),(28,7007329,'1',103,'N'),(28,7007337,'1',108,'N'),(28,7007345,'1',340,'N'),(28,7007353,'1',207,'N'),(28,7007353,'1A',201,'N'),(28,7007361,'1',336,'N'),(28,7007370,'1',502,'N'),(28,7007388,'1',5,'N'),(28,7007396,'1',104,'N'),(28,7007400,'1',201,'N'),(28,7007400,'1A',212,'N'),(28,7007418,'1',103,'N'),(28,7007426,'1',233,'N'),(28,7007426,'1A',220,'N'),(28,7007434,'1',327,'N'),(28,7007442,'1',999,'N'),(28,7007450,'1',103,'N'),(28,7007469,'1',224,'N'),(28,7007477,'1',208,'N'),(28,7007493,'1',103,'N'),(28,7007507,'1',319,'N'),(28,7007515,'1',454,'N'),(28,7007540,'1',208,'N'),(28,7007566,'1',9,'N'),(28,7007574,'1',104,'N'),(28,7007582,'1',999,'N'),(28,7007590,'1',211,'N'),(28,7007590,'1A',201,'N'),(28,7007620,'1',230,'N'),(28,7007639,'1',9,'N'),(28,7007647,'1',103,'N'),(28,7007655,'1',234,'N'),(28,7007663,'1',999,'N'),(28,7007698,'1',202,'N'),(28,7007698,'1A',213,'N'),(28,7007701,'1',454,'N'),(28,7007710,'1',601,'N'),(28,7007710,'1A',207,'N'),(28,7007728,'1',201,'N'),(28,7007728,'1A',212,'N'),(28,7007736,'1',340,'N'),(28,7007744,'1',454,'N'),(28,7007752,'1',5,'N'),(28,7007760,'1',202,'N'),(28,7007760,'1A',601,'N'),(28,7007779,'1',108,'N'),(28,7007787,'1',202,'N'),(28,7007787,'1A',235,'N'),(28,7007809,'1',601,'N'),(28,7007817,'1',9,'N'),(28,7007825,'1',303,'N'),(28,7007833,'1',207,'N'),(28,7007833,'1A',201,'N'),(28,7007850,'1',211,'N'),(28,7007850,'1A',233,'N'),(28,7007892,'1',203,'N'),(28,7007892,'1A',233,'N'),(28,7007906,'1',216,'N'),(28,7007906,'1A',215,'N'),(28,7007914,'1',103,'N'),(28,7007922,'1',203,'N'),(28,7007922,'1A',214,'N'),(28,7007930,'1',102,'N'),(28,7007949,'1',415,'N'),(28,7007957,'1',203,'N'),(28,7007957,'1A',214,'N'),(28,7007965,'1',103,'N'),(28,7007973,'1',301,'N'),(28,7007981,'1',103,'N'),(28,7007990,'1',5,'N'),(28,7008007,'1',335,'N'),(28,7008015,'1',103,'N'),(28,7008023,'1',201,'N'),(28,7008031,'1',101,'N'),(28,7008040,'1',308,'N'),(28,7008058,'1',320,'N'),(28,7008066,'1',303,'N'),(28,7008074,'1',999,'N'),(28,7008090,'1',202,'N'),(28,7008090,'1A',238,'N'),(28,7008104,'1',320,'N'),(28,7008112,'1',201,'N'),(28,7008112,'1A',202,'N'),(28,7008120,'1',103,'N'),(28,7008147,'1',203,'N'),(28,7008147,'1A',202,'N'),(28,7008155,'1',104,'N'),(28,7008163,'1',415,'N'),(28,7008171,'1',103,'N'),(28,7008198,'1',454,'N'),(28,7008201,'1',104,'N'),(28,7008210,'1',101,'N'),(28,7008228,'1',454,'N'),(28,7008236,'1',103,'N'),(28,7008260,'1',9,'N'),(28,7008279,'1',421,'N'),(28,7008279,'1A',426,'N'),(28,7008287,'1',220,'N'),(28,7008287,'1A',235,'N'),(28,7008295,'1',103,'N'),(28,7008309,'1',301,'N'),(28,7008317,'1',103,'N'),(28,7008325,'1',999,'N'),(28,7008333,'1',415,'N'),(28,7008341,'1',103,'N'),(28,7008350,'1',316,'N'),(28,7008368,'1',103,'N'),(28,7008376,'1',102,'N'),(28,7008384,'1',319,'N'),(28,7008422,'1',103,'N'),(28,7008430,'1',340,'N'),(28,7008473,'1',238,'N'),(28,7008473,'1A',235,'N'),(28,7008481,'1',444,'N'),(28,7008503,'1',108,'N'),(28,7008511,'1',601,'N'),(28,7008511,'1A',201,'N'),(28,7008520,'1',318,'N'),(28,7008538,'1',103,'N'),(28,7008554,'1',5,'N'),(28,7008562,'1',303,'N'),(28,7008589,'1',103,'N'),(28,7008597,'1',207,'N'),(28,7008600,'1',103,'N'),(28,7008619,'1',103,'N'),(28,7008627,'1',214,'N'),(28,7008627,'1A',212,'N'),(28,7008635,'1',103,'N'),(28,7008643,'1',424,'N'),(28,7008643,'1A',426,'N'),(28,7008651,'1',103,'N'),(28,7008660,'1',208,'N'),(28,7008678,'1',999,'N'),(28,7008686,'1',103,'N'),(28,7008694,'1',5,'N'),(28,7008716,'1',999,'N'),(28,7008724,'1',319,'N'),(28,7008732,'1',203,'N'),(28,7008732,'1A',202,'N'),(28,7008740,'1',415,'N'),(28,7008759,'1',103,'N'),(28,7008767,'1',319,'N'),(28,7008775,'1',222,'N'),(28,7008783,'1',103,'N'),(28,7008791,'1',108,'N'),(28,7008813,'1',103,'N'),(28,7008821,'1',102,'N'),(28,7008830,'1',552,'N'),(28,7008848,'1',503,'N'),(28,7008856,'1',303,'N'),(28,7008864,'1',501,'N'),(28,7008872,'1',5,'N'),(28,7008880,'1',303,'N'),(28,7008899,'1',103,'N'),(28,7008902,'1',319,'N'),(28,7008937,'1',220,'N'),(28,7008937,'1A',203,'N'),(28,7008945,'1',415,'N'),(28,7008970,'1',333,'N'),(28,7008988,'1',340,'N'),(28,7008996,'1',5,'N'),(28,7009003,'1',201,'N'),(28,7009003,'1A',207,'N'),(28,7009011,'1',108,'N'),(28,7009038,'1',216,'N'),(28,7009038,'1A',215,'N'),(28,7009046,'1',216,'N'),(28,7009046,'1A',235,'N'),(28,7009054,'1',203,'N'),(28,7009054,'1A',214,'N'),(28,7009070,'1',201,'N'),(28,7009070,'1A',207,'N'),(28,7009089,'1',316,'N'),(28,7009100,'1',202,'N'),(28,7009100,'1A',213,'N'),(28,7009119,'1',5,'N'),(28,7009127,'1',207,'N'),(28,7009127,'1A',201,'N'),(28,7009135,'1',999,'N'),(28,7009151,'1',5,'N'),(28,7009178,'1',303,'N'),(28,7009186,'1',201,'N'),(28,7009186,'1A',207,'N'),(28,7009194,'1',207,'N'),(28,7009194,'1A',201,'N'),(28,7009208,'1',103,'N'),(28,7009216,'1',328,'N'),(28,7009224,'1',103,'N'),(28,7009232,'1',104,'N'),(28,7009240,'1',415,'N'),(28,7009267,'1',303,'N'),(28,7009275,'1',214,'N'),(28,7009283,'1',201,'N'),(28,7009283,'1A',211,'N'),(28,7009291,'1',104,'N'),(28,7009305,'1',207,'N'),(28,7009321,'1',552,'N'),(28,7009330,'1',202,'N'),(28,7009330,'1A',213,'N'),(28,7009348,'1',216,'N'),(28,7009348,'1A',215,'N'),(28,7009356,'1',333,'N'),(28,7009364,'1',201,'N'),(28,7009364,'1A',203,'N'),(28,7009372,'1',5,'N'),(28,7009380,'1',223,'N'),(28,7009399,'1',211,'N'),(28,7009399,'1A',207,'N'),(28,7009402,'1',223,'N'),(28,7009410,'1',5,'N'),(28,7009429,'1',303,'N'),(28,7009437,'1',5,'N'),(28,7009445,'1',103,'N'),(28,7009453,'1',203,'N'),(28,7009453,'1A',201,'N'),(28,7009470,'1',450,'N'),(28,7009496,'1',404,'N'),(28,7009500,'1',207,'N'),(28,7009500,'1A',601,'N'),(28,7009526,'1',303,'N'),(28,7009534,'1',103,'N'),(28,7009542,'1',340,'N'),(28,7009569,'1',104,'N'),(28,7009585,'1',103,'N'),(28,7009607,'1',454,'N'),(28,7009615,'1',201,'N'),(28,7009623,'1',303,'N'),(28,7009631,'1',235,'N'),(28,7009631,'1A',655,'N'),(28,7009640,'1',333,'N'),(28,7009658,'1',103,'N'),(28,7009674,'1',109,'N'),(28,7009682,'1',212,'N'),(28,7009682,'1A',601,'N'),(28,7009704,'1',104,'N'),(28,7009712,'1',5,'N'),(28,7009739,'1',999,'N'),(28,7009755,'1',103,'N'),(28,7009763,'1',454,'N'),(28,7009771,'1',103,'N'),(28,7009780,'1',317,'N'),(28,7009798,'1',214,'N'),(28,7009798,'1A',213,'N'),(28,7009801,'1',999,'N'),(28,7009810,'1',304,'N'),(28,7009828,'1',502,'N'),(28,7009844,'1',103,'N'),(28,7009852,'1',101,'N'),(28,7009860,'1',103,'N'),(28,7009879,'1',103,'N'),(28,7009887,'1',207,'N'),(28,7009887,'1A',201,'N'),(28,7009895,'1',5,'N'),(28,7009909,'1',340,'N'),(28,7009933,'1',303,'N'),(28,7009968,'1',103,'N'),(28,7009976,'1',653,'N'),(28,7009976,'1A',201,'N'),(28,7009984,'1',104,'N'),(28,7009992,'1',654,'N'),(28,7010001,'1',653,'N'),(28,7010001,'1A',652,'N'),(28,7010010,'1',999,'N'),(28,7010028,'1',415,'N'),(28,7010044,'1',103,'N'),(28,7010052,'1',103,'N'),(28,7010060,'1',103,'N'),(28,7010079,'1',428,'N'),(28,7010079,'1A',423,'N'),(28,7010095,'1',108,'N'),(28,7010117,'1',319,'N'),(28,7010125,'1',103,'N'),(28,7010133,'1',303,'N'),(28,7010141,'1',103,'N'),(28,7010150,'1',216,'N'),(28,7010150,'1A',201,'N'),(28,7010168,'1',103,'N'),(28,7010176,'1',104,'N'),(28,7010184,'1',220,'N'),(28,7010184,'1A',653,'N'),(28,7010206,'1',201,'N'),(28,7010206,'1A',211,'N'),(28,7010214,'1',103,'N'),(28,7010222,'1',450,'N'),(28,7010230,'1',103,'N'),(28,7010249,'1',216,'N'),(28,7010249,'1A',233,'N'),(28,7010257,'1',319,'N'),(28,7010265,'1',503,'N'),(28,7010281,'1',303,'N'),(28,7010303,'1',302,'N'),(28,7010311,'1',238,'N'),(28,7010311,'1A',652,'N'),(28,7010320,'1',216,'N'),(28,7010320,'1A',238,'N'),(28,7010338,'1',319,'N'),(28,7010346,'1',103,'N'),(28,7010354,'1',207,'N'),(28,7010354,'1A',201,'N'),(28,7010362,'1',103,'N'),(28,7010389,'1',415,'N'),(28,7010400,'1',326,'N'),(28,7010419,'1',103,'N'),(28,7010427,'1',103,'N'),(28,7010443,'1',501,'N'),(28,7010451,'1',216,'N'),(28,7010451,'1A',215,'N'),(28,7010460,'1',102,'N'),(28,7010478,'1',340,'N'),(28,7010486,'1',338,'N'),(28,7010494,'1',103,'N'),(28,7010508,'1',9,'N'),(28,7010516,'1',203,'N'),(28,7010516,'1A',202,'N'),(28,7010524,'1',333,'N'),(28,7010532,'1',103,'N'),(28,7010540,'1',103,'N'),(28,7010559,'1',211,'N'),(28,7010559,'1A',601,'N'),(28,7010567,'1',201,'N'),(28,7010567,'1A',212,'N'),(28,7010575,'1',108,'N'),(28,7010591,'1',5,'N'),(28,7010605,'1',207,'N'),(28,7010605,'1A',201,'N'),(28,7010613,'1',316,'N'),(28,7010630,'1',201,'N'),(28,7010630,'1A',238,'N'),(28,7010648,'1',235,'N'),(28,7010648,'1A',213,'N'),(28,7010664,'1',103,'N'),(28,7010672,'1',220,'N'),(28,7010672,'1A',235,'N'),(28,7010680,'1',203,'N'),(28,7010680,'1A',233,'N'),(28,7010702,'1',103,'N'),(28,7010710,'1',207,'N'),(28,7010710,'1A',211,'N'),(28,7010729,'1',426,'N'),(28,7010729,'1A',429,'N'),(28,7010737,'1',202,'N'),(28,7010737,'1A',203,'N'),(28,7010745,'1',340,'N'),(28,7010753,'1',214,'N'),(28,7010753,'1A',213,'N'),(28,7010770,'1',103,'N'),(28,7010788,'1',103,'N'),(28,7010796,'1',216,'N'),(28,7010796,'1A',203,'N'),(28,7010800,'1',308,'N'),(28,7010818,'1',5,'N'),(28,7010826,'1',103,'N'),(28,7010834,'1',235,'N'),(28,7010834,'1A',213,'N'),(28,7010869,'1',211,'N'),(28,7010869,'1A',653,'N'),(28,7010877,'1',340,'N'),(28,7010885,'1',201,'N'),(28,7010885,'1A',601,'N'),(28,7010893,'1',203,'N'),(28,7010893,'1A',220,'N'),(28,7010907,'1',213,'N'),(28,7010907,'1A',212,'N'),(28,7010915,'1',207,'N'),(28,7010915,'1A',201,'N'),(28,7010923,'1',211,'N'),(28,7010923,'1A',653,'N'),(28,7010958,'1',201,'N'),(28,7010958,'1A',601,'N'),(28,7010966,'1',207,'N'),(28,7010966,'1A',201,'N'),(28,7010982,'1',415,'N'),(28,7010990,'1',333,'N'),(28,7011008,'1',203,'N'),(28,7011008,'1A',220,'N'),(28,7011016,'1',333,'N'),(28,7011024,'1',428,'N'),(28,7011024,'1A',426,'N'),(28,7011040,'1',110,'N'),(28,7011059,'1',5,'N'),(28,7011075,'1',317,'N'),(28,7011083,'1',3,'N'),(28,7011091,'1',103,'N'),(28,7011105,'1',999,'N'),(28,7011113,'1',103,'N'),(28,7011130,'1',653,'N'),(28,7011130,'1A',201,'N'),(28,7011156,'1',340,'N'),(28,7011164,'1',211,'N'),(28,7011164,'1A',215,'N'),(28,7011172,'1',103,'N'),(28,7011180,'1',319,'N'),(28,7011199,'1',9,'N'),(28,7011202,'1',319,'N'),(28,7011210,'1',415,'N'),(28,7011229,'1',103,'N'),(28,7011237,'1',999,'N'),(28,7011245,'1',103,'N'),(28,7011253,'1',103,'N'),(28,7011261,'1',340,'N'),(28,7011270,'1',207,'N'),(28,7011270,'1A',201,'N'),(28,7011288,'1',207,'N'),(28,7011288,'1A',201,'N'),(28,7011296,'1',202,'N'),(28,7011296,'1A',203,'N'),(28,7011300,'1',213,'N'),(28,7011300,'1A',212,'N'),(28,7011318,'1',201,'N'),(28,7011318,'1A',203,'N'),(28,7011326,'1',104,'N'),(28,7011334,'1',5,'N'),(28,7011342,'1',454,'N'),(28,7011350,'1',301,'N'),(28,7011377,'1',203,'N'),(28,7011377,'1A',202,'N'),(28,7011385,'1',202,'N'),(28,7011385,'1A',653,'N'),(28,7011393,'1',207,'N'),(28,7011393,'1A',212,'N'),(28,7011407,'1',103,'N'),(28,7011423,'1',104,'N'),(28,7011431,'1',201,'N'),(28,7011440,'1',5,'N'),(28,7011458,'1',103,'N'),(28,7011466,'1',104,'N'),(28,7011474,'1',415,'N'),(28,7011482,'1',103,'N'),(28,7011490,'1',655,'N'),(28,7011490,'1A',215,'N'),(28,7011504,'1',103,'N'),(28,7011512,'1',103,'N'),(28,7011520,'1',103,'N'),(28,7011539,'1',201,'N'),(28,7011547,'1',207,'N'),(28,7011547,'1A',212,'N'),(28,7011563,'1',340,'N'),(28,7011571,'1',207,'N'),(28,7011571,'1A',211,'N'),(28,7011580,'1',103,'N'),(28,7011598,'1',317,'N'),(28,7011601,'1',103,'N'),(28,7011610,'1',332,'N'),(28,7011628,'1',103,'N'),(28,7011636,'1',444,'N'),(28,7011660,'1',207,'N'),(28,7011660,'1A',201,'N'),(28,7011679,'1',201,'N'),(28,7011679,'1A',207,'N'),(28,7011687,'1',233,'N'),(28,7011687,'1A',216,'N'),(28,7011695,'1',108,'N'),(28,7011709,'1',207,'N'),(28,7011709,'1A',215,'N'),(28,7011725,'1',309,'N'),(28,7011733,'1',108,'N'),(28,7011741,'1',103,'N'),(28,7011750,'1',103,'N'),(28,7011768,'1',319,'N'),(28,7011784,'1',102,'N'),(28,7011792,'1',103,'N'),(28,7011806,'1',999,'N'),(28,7011814,'1',201,'N'),(28,7011814,'1A',212,'N'),(28,7011822,'1',202,'N'),(28,7011822,'1A',238,'N'),(28,7011830,'1',202,'N'),(28,7011830,'1A',213,'N'),(28,7011849,'1',103,'N'),(28,7011865,'1',104,'N'),(28,7011881,'1',999,'N'),(28,7011903,'1',428,'N'),(28,7011903,'1A',429,'N'),(28,7011911,'1',303,'N'),(28,7011920,'1',203,'N'),(28,7011920,'1A',220,'N'),(28,7011946,'1',999,'N'),(28,7011954,'1',101,'N'),(28,7011962,'1',303,'N'),(28,7011970,'1',103,'N'),(28,7011989,'1',501,'N'),(28,7011997,'1',102,'N'),(28,7012012,'1',216,'N'),(28,7012039,'1',327,'N'),(28,7012047,'1',203,'N'),(28,7012047,'1A',202,'N'),(28,7012055,'1',601,'N'),(28,7012055,'1A',216,'N'),(28,7012063,'1',424,'N'),(28,7012063,'1A',429,'N'),(28,7012080,'1',552,'N'),(28,7012098,'1',5,'N'),(28,7012101,'1',103,'N'),(28,7012110,'1',5,'N'),(28,7012128,'1',501,'N'),(28,7012136,'1',238,'N'),(28,7012136,'1A',655,'N'),(28,7012144,'1',223,'N'),(28,7012152,'1',103,'N'),(28,7012160,'1',103,'N'),(28,7012179,'1',333,'N'),(28,7012187,'1',552,'N'),(28,7012195,'1',319,'N'),(28,7012209,'1',103,'N'),(28,7012217,'1',319,'N'),(28,7012225,'1',103,'N'),(28,7012233,'1',340,'N'),(28,7012241,'1',2,'N'),(28,7012250,'1',103,'N'),(28,7012284,'1',207,'N'),(28,7012284,'1A',653,'N'),(28,7012292,'1',424,'N'),(28,7012292,'1A',421,'N'),(28,7012330,'1',225,'N'),(28,7012349,'1',103,'N'),(28,7012357,'1',340,'N'),(28,7012365,'1',318,'N'),(28,7012373,'1',103,'N'),(28,7012390,'1',108,'N'),(28,7012403,'1',202,'N'),(28,7012403,'1A',233,'N'),(28,7012411,'1',316,'N'),(28,7012420,'1',320,'N'),(28,7012438,'1',454,'N'),(28,7012446,'1',203,'N'),(28,7012446,'1A',214,'N'),(28,7012454,'1',104,'N'),(28,7012470,'1',552,'N'),(28,7012489,'1',103,'N'),(28,7012497,'1',201,'N'),(28,7012497,'1A',207,'N'),(28,7012500,'1',233,'N'),(28,7012500,'1A',216,'N'),(28,7012519,'1',316,'N'),(28,7012527,'1',101,'N'),(28,7012535,'1',203,'N'),(28,7012535,'1A',220,'N'),(28,7012543,'1',653,'N'),(28,7012543,'1A',201,'N'),(28,7012551,'1',103,'N'),(28,7012560,'1',340,'N'),(28,7012578,'1',212,'N'),(28,7012578,'1A',201,'N'),(28,7012594,'1',318,'N'),(28,7012608,'1',207,'N'),(28,7012608,'1A',212,'N'),(28,7012624,'1',9,'N'),(28,7012640,'1',9,'N'),(28,7012659,'1',339,'N'),(28,7012667,'1',201,'N'),(28,7012667,'1A',601,'N'),(28,7012675,'1',207,'N'),(28,7012683,'1',319,'N'),(28,7012691,'1',211,'N'),(28,7012691,'1A',215,'N'),(28,7012705,'1',215,'N'),(28,7012705,'1A',216,'N'),(28,7012713,'1',999,'N'),(28,7012721,'1',318,'N'),(28,7012730,'1',238,'N'),(28,7012730,'1A',235,'N'),(28,7012748,'1',5,'N'),(28,7012772,'1',103,'N'),(28,7012780,'1',201,'N'),(28,7012780,'1A',202,'N'),(28,7012799,'1',319,'N'),(28,7012802,'1',103,'N'),(28,7012829,'1',308,'N'),(28,7012837,'1',103,'N'),(28,7012845,'1',201,'N'),(28,7012845,'1A',203,'N'),(28,7012861,'1',301,'N'),(28,7012870,'1',303,'N'),(28,7012896,'1',319,'N'),(28,7012900,'1',601,'N'),(28,7012900,'1A',203,'N'),(28,7012918,'1',235,'N'),(28,7012918,'1A',213,'N'),(28,7012926,'1',238,'N'),(28,7012926,'1A',213,'N'),(28,7012934,'1',215,'N'),(28,7012934,'1A',601,'N'),(28,7012942,'1',450,'N'),(28,7012950,'1',454,'N'),(28,7012969,'1',101,'N'),(28,7012993,'1',103,'N'),(28,7013000,'1',110,'N'),(28,7013019,'1',303,'N'),(28,7013035,'1',103,'N'),(28,7013043,'1',308,'N'),(28,7013051,'1',103,'N'),(28,7013060,'1',103,'N'),(28,7013078,'1',103,'N'),(28,7013086,'1',5,'N'),(28,7013116,'1',103,'N'),(28,7013132,'1',104,'N'),(28,7013140,'1',655,'N'),(28,7013140,'1A',238,'N'),(28,7013159,'1',310,'N'),(28,7013167,'1',103,'N'),(28,7013205,'1',423,'N'),(28,7013205,'1A',427,'N'),(28,7013213,'1',316,'N'),(28,7013221,'1',340,'N'),(28,7013230,'1',235,'N'),(28,7013230,'1A',213,'N'),(28,7013256,'1',333,'N'),(28,7013272,'1',222,'N'),(28,7013280,'1',454,'N'),(28,7013299,'1',104,'N'),(28,7013302,'1',103,'N'),(28,7013329,'1',454,'N'),(28,7013337,'1',110,'N'),(28,7013345,'1',425,'N'),(28,7013345,'1A',424,'N'),(28,7013353,'1',654,'N'),(28,7013361,'1',303,'N'),(28,7013370,'1',108,'N'),(28,7013388,'1',999,'N'),(28,7013396,'1',5,'N'),(28,7013400,'1',103,'N'),(28,7013418,'1',652,'N'),(28,7013418,'1A',201,'N'),(28,7013442,'1',319,'N'),(28,7013450,'1',601,'N'),(28,7013450,'1A',212,'N'),(28,7013469,'1',103,'N'),(28,7013477,'1',207,'N'),(28,7013477,'1A',201,'N'),(28,7013485,'1',207,'N'),(28,7013493,'1',303,'N'),(28,7013515,'1',303,'N'),(28,7013523,'1',333,'N'),(28,7013531,'1',202,'N'),(28,7013531,'1A',213,'N'),(28,7013558,'1',425,'N'),(28,7013558,'1A',426,'N'),(28,7013566,'1',303,'N'),(28,7013574,'1',102,'N'),(28,7013582,'1',444,'N'),(28,7013590,'1',335,'N'),(28,7013604,'1',340,'N'),(28,7013612,'1',316,'N'),(28,7013620,'1',303,'N'),(28,7013639,'1',9,'N'),(28,7013647,'1',202,'N'),(28,7013647,'1A',213,'N'),(28,7013655,'1',104,'N'),(28,7013663,'1',333,'N'),(28,7013671,'1',454,'N'),(28,7013710,'1',415,'N'),(28,7013728,'1',454,'N'),(28,7013736,'1',207,'N'),(28,7013736,'1A',201,'N'),(28,7013744,'1',103,'N'),(28,7013752,'1',103,'N'),(28,7013779,'1',301,'N'),(28,7013787,'1',207,'N'),(28,7013787,'1A',211,'N'),(28,7013795,'1',103,'N'),(28,7013817,'1',207,'N'),(28,7013817,'1A',201,'N'),(28,7013825,'1',103,'N'),(28,7013833,'1',207,'N'),(28,7013833,'1A',211,'N'),(28,7013841,'1',601,'N'),(28,7013841,'1A',203,'N'),(28,7013850,'1',301,'N'),(28,7013868,'1',5,'N'),(28,7013876,'1',103,'N'),(28,7013884,'1',340,'N'),(28,7013892,'1',501,'N'),(28,7013930,'1',340,'N'),(28,7013949,'1',203,'N'),(28,7013949,'1A',235,'N'),(28,7013957,'1',601,'N'),(28,7013957,'1A',216,'N'),(28,7013965,'1',9,'N'),(28,7013981,'1',207,'N'),(28,7013981,'1A',233,'N'),(28,7013990,'1',215,'N'),(28,7013990,'1A',233,'N'),(28,7014007,'1',552,'N'),(28,7014015,'1',216,'N'),(28,7014015,'1A',233,'N'),(28,7014023,'1',208,'N'),(28,7014040,'1',207,'N'),(28,7014040,'1A',601,'N'),(28,7014066,'1',333,'N'),(28,7014074,'1',601,'N'),(28,7014074,'1A',203,'N'),(28,7014082,'1',201,'N'),(28,7014082,'1A',212,'N'),(28,7014120,'1',201,'N'),(28,7014120,'1A',601,'N'),(28,7014139,'1',326,'N'),(28,7014147,'1',101,'N'),(28,7014155,'1',103,'N'),(28,7014163,'1',309,'N'),(28,7014171,'1',302,'N'),(28,7014180,'1',238,'N'),(28,7014198,'1',552,'N'),(28,7014201,'1',551,'N'),(28,7014210,'1',339,'N'),(28,7014228,'1',336,'N'),(28,7014236,'1',216,'N'),(28,7014236,'1A',215,'N'),(28,7014252,'1',238,'N'),(28,7014252,'1A',235,'N'),(28,7014260,'1',501,'N'),(28,7014279,'1',103,'N'),(28,7014295,'1',601,'N'),(28,7014295,'1A',213,'N'),(28,7014309,'1',102,'N'),(28,7014341,'1',108,'N'),(28,7014368,'1',216,'N'),(28,7014368,'1A',202,'N'),(28,7014376,'1',214,'N'),(28,7014376,'1A',203,'N'),(28,7014406,'1',103,'N'),(28,7014414,'1',207,'N'),(28,7014414,'1A',201,'N'),(28,7014430,'1',103,'N'),(28,7014449,'1',220,'N'),(28,7014449,'1A',235,'N'),(28,7014465,'1',102,'N'),(28,7014473,'1',5,'N'),(28,7014481,'1',552,'N'),(28,7014490,'1',502,'N'),(28,7014511,'1',601,'N'),(28,7014511,'1A',653,'N'),(28,7014520,'1',103,'N'),(28,7014538,'1',103,'N'),(28,7014554,'1',214,'N'),(28,7014554,'1A',203,'N'),(28,7014562,'1',207,'N'),(28,7014562,'1A',201,'N'),(28,7014570,'1',415,'N'),(28,7014589,'1',103,'N'),(28,7014597,'1',103,'N'),(28,7014619,'1',103,'N'),(28,7014627,'1',425,'N'),(28,7014627,'1A',429,'N'),(28,7014635,'1',103,'N'),(28,7014643,'1',404,'N'),(28,7014660,'1',201,'N'),(28,7014660,'1A',212,'N'),(28,7014686,'1',238,'N'),(28,7014694,'1',303,'N'),(28,7014708,'1',103,'N'),(28,7014724,'1',216,'N'),(28,7014724,'1A',215,'N'),(28,7014732,'1',103,'N'),(28,7014759,'1',110,'N'),(28,7014767,'1',103,'N'),(28,7014775,'1',103,'N'),(28,7014783,'1',203,'N'),(28,7014783,'1A',220,'N'),(28,7014791,'1',318,'N'),(28,7014805,'1',552,'N'),(28,7014813,'1',340,'N'),(28,7014821,'1',319,'N'),(28,7014830,'1',425,'N'),(28,7014830,'1A',429,'N'),(28,7014848,'1',425,'N'),(28,7014848,'1A',423,'N'),(28,7014856,'1',104,'N'),(28,7014872,'1',503,'N'),(28,7014880,'1',207,'N'),(28,7014880,'1A',203,'N'),(28,7014899,'1',444,'N'),(28,7014902,'1',203,'N'),(28,7014902,'1A',233,'N'),(28,7014910,'1',450,'N'),(28,7014929,'1',216,'N'),(28,7014929,'1A',203,'N'),(28,7014937,'1',211,'N'),(28,7014937,'1A',207,'N'),(28,7014961,'1',216,'N'),(28,7014961,'1A',203,'N'),(28,7014970,'1',203,'N'),(28,7014970,'1A',233,'N'),(28,7014988,'1',552,'N'),(28,7014996,'1',502,'N'),(28,7015003,'1',655,'N'),(28,7015003,'1A',653,'N'),(28,7015011,'1',304,'N'),(28,7015038,'1',415,'N'),(28,7015046,'1',552,'N'),(28,7015054,'1',103,'N'),(28,7015070,'1',201,'N'),(28,7015070,'1A',601,'N'),(28,7015097,'1',654,'N'),(28,7015100,'1',108,'N'),(28,7015119,'1',5,'N'),(28,7015127,'1',203,'N'),(28,7015127,'1A',214,'N'),(28,7015143,'1',214,'N'),(28,7015143,'1A',203,'N'),(28,7015160,'1',103,'N'),(28,7015178,'1',220,'N'),(28,7015178,'1A',655,'N'),(28,7015186,'1',2,'N'),(28,7015194,'1',303,'N'),(28,7015208,'1',340,'N'),(28,7015216,'1',103,'N'),(28,7015224,'1',654,'N'),(28,7015232,'1',340,'N'),(28,7015240,'1',308,'N'),(28,7015267,'1',216,'N'),(28,7015267,'1A',215,'N'),(28,7015283,'1',103,'N'),(28,7015291,'1',103,'N'),(28,7015305,'1',103,'N'),(28,7015313,'1',2,'N'),(28,7015348,'1',310,'N'),(28,7015356,'1',304,'N'),(28,7015364,'1',303,'N'),(28,7015402,'1',103,'N'),(28,7015410,'1',108,'N'),(28,7015429,'1',101,'N'),(28,7015437,'1',201,'N'),(28,7015437,'1A',653,'N'),(28,7015445,'1',103,'N'),(28,7015453,'1',103,'N'),(28,7015461,'1',104,'N'),(28,7015488,'1',202,'N'),(28,7015488,'1A',213,'N'),(28,7015496,'1',5,'N'),(28,7015500,'1',303,'N'),(28,7015518,'1',103,'N'),(28,7015526,'1',303,'N'),(28,7015534,'1',108,'N'),(28,7015542,'1',301,'N'),(28,7015550,'1',104,'N'),(28,7015569,'1',207,'N'),(28,7015569,'1A',215,'N'),(28,7015585,'1',415,'N'),(28,7015607,'1',207,'N'),(28,7015607,'1A',201,'N'),(28,7015615,'1',201,'N'),(28,7015615,'1A',212,'N'),(28,7015623,'1',108,'N'),(28,7015631,'1',103,'N'),(28,7015640,'1',203,'N'),(28,7015640,'1A',201,'N'),(28,7015658,'1',108,'N'),(28,7015666,'1',454,'N'),(28,7015674,'1',454,'N'),(28,7015682,'1',303,'N'),(28,7015704,'1',404,'N'),(28,7015720,'1',502,'N'),(28,7015739,'1',103,'N'),(28,7015747,'1',454,'N'),(28,7015755,'1',207,'N'),(28,7015755,'1A',201,'N'),(28,7015763,'1',222,'N'),(28,7015780,'1',428,'N'),(28,7015780,'1A',426,'N'),(28,7015798,'1',238,'N'),(28,7015798,'1A',207,'N'),(28,7015801,'1',454,'N'),(28,7015810,'1',654,'N'),(28,7015828,'1',103,'N'),(28,7015836,'1',201,'N'),(28,7015836,'1A',238,'N'),(28,7015852,'1',319,'N'),(28,7015860,'1',108,'N'),(28,7015879,'1',103,'N'),(28,7015887,'1',999,'N'),(28,7015895,'1',501,'N'),(28,7015933,'1',103,'N'),(28,7015941,'1',601,'N'),(28,7015941,'1A',203,'N'),(28,7015950,'1',103,'N'),(28,7015968,'1',110,'N'),(28,7015976,'1',103,'N'),(28,7015992,'1',317,'N'),(28,7016034,'1',103,'N'),(28,7016042,'1',316,'N'),(28,7016050,'1',223,'N'),(28,7016077,'1',201,'N'),(28,7016077,'1A',216,'N'),(28,7016085,'1',103,'N'),(28,7016093,'1',9,'N'),(28,7016107,'1',203,'N'),(28,7016107,'1A',202,'N'),(28,7016115,'1',340,'N'),(28,7016123,'1',404,'N'),(28,7016131,'1',5,'N'),(28,7016140,'1',415,'N'),(28,7016158,'1',415,'N'),(28,7016174,'1',103,'N'),(28,7016182,'1',104,'N'),(28,7016190,'1',317,'N'),(28,7016204,'1',103,'N'),(28,7016212,'1',212,'N'),(28,7016212,'1A',201,'N'),(28,7016220,'1',316,'N'),(28,7016239,'1',304,'N'),(28,7016247,'1',304,'N'),(28,7016263,'1',207,'N'),(28,7016263,'1A',212,'N'),(28,7016271,'1',103,'N'),(28,7016280,'1',103,'N'),(28,7016298,'1',207,'N'),(28,7016298,'1A',211,'N'),(28,7016310,'1',103,'N'),(28,7016328,'1',207,'N'),(28,7016328,'1A',215,'N'),(28,7016336,'1',201,'N'),(28,7016336,'1A',207,'N'),(28,7016344,'1',301,'N'),(28,7016360,'1',327,'N'),(28,7016379,'1',109,'N'),(28,7016387,'1',207,'N'),(28,7016387,'1A',201,'N'),(28,7016409,'1',552,'N'),(28,7016425,'1',503,'N'),(28,7016441,'1',216,'N'),(28,7016441,'1A',202,'N'),(28,7016450,'1',233,'N'),(28,7016468,'1',444,'N'),(28,7016476,'1',303,'N'),(28,7016484,'1',201,'N'),(28,7016484,'1A',212,'N'),(28,7016492,'1',601,'N'),(28,7016492,'1A',201,'N'),(28,7016506,'1',103,'N'),(28,7016514,'1',303,'N'),(28,7016522,'1',203,'N'),(28,7016522,'1A',214,'N'),(28,7016530,'1',104,'N'),(28,7016549,'1',451,'N'),(28,7016557,'1',103,'N'),(28,7016573,'1',5,'N'),(28,7016590,'1',340,'N'),(28,7016603,'1',552,'N'),(28,7016611,'1',999,'N'),(28,7016620,'1',103,'N'),(28,7016638,'1',104,'N'),(28,7016646,'1',103,'N'),(28,7016654,'1',203,'N'),(28,7016654,'1A',220,'N'),(28,7016662,'1',203,'N'),(28,7016662,'1A',214,'N'),(28,7016670,'1',444,'N'),(28,7016689,'1',327,'N'),(28,7016700,'1',238,'N'),(28,7016700,'1A',652,'N'),(28,7016719,'1',310,'N'),(28,7016727,'1',103,'N'),(28,7016735,'1',301,'N'),(28,7016743,'1',999,'N'),(28,7016760,'1',454,'N'),(28,7016786,'1',302,'N'),(28,7016794,'1',103,'N'),(28,7016808,'1',207,'N'),(28,7016808,'1A',201,'N'),(28,7016816,'1',201,'N'),(28,7016816,'1A',203,'N'),(28,7016824,'1',303,'N'),(28,7016832,'1',207,'N'),(28,7016832,'1A',212,'N'),(28,7016840,'1',103,'N'),(28,7016867,'1',110,'N'),(28,7016875,'1',301,'N'),(28,7016883,'1',207,'N'),(28,7016883,'1A',233,'N'),(28,7016891,'1',207,'N'),(28,7016891,'1A',201,'N'),(28,7016905,'1',103,'N'),(28,7016913,'1',601,'N'),(28,7016913,'1A',213,'N'),(28,7016921,'1',208,'N'),(28,7016930,'1',103,'N'),(28,7016948,'1',5,'N'),(28,7016956,'1',440,'N'),(28,7016964,'1',103,'N'),(28,7016972,'1',103,'N'),(28,7016980,'1',104,'N'),(28,7016999,'1',340,'N'),(28,7017014,'1',103,'N'),(28,7017022,'1',332,'N'),(28,7017030,'1',316,'N'),(28,7017049,'1',319,'N'),(28,7017057,'1',303,'N'),(28,7017073,'1',425,'N'),(28,7017073,'1A',421,'N'),(28,7017081,'1',9,'N'),(28,7017090,'1',304,'N'),(28,7017111,'1',103,'N'),(28,7017120,'1',103,'N'),(28,7017138,'1',211,'N'),(28,7017138,'1A',601,'N'),(28,7017146,'1',103,'N'),(28,7017154,'1',201,'N'),(28,7017154,'1A',601,'N'),(28,7017162,'1',108,'N'),(28,7017170,'1',303,'N'),(28,7017189,'1',340,'N'),(28,7017197,'1',213,'N'),(28,7017197,'1A',235,'N'),(28,7017200,'1',319,'N'),(28,7017227,'1',103,'N'),(28,7017235,'1',103,'N'),(28,7017251,'1',340,'N'),(28,7017260,'1',238,'N'),(28,7017260,'1A',203,'N'),(28,7017278,'1',317,'N'),(28,7017286,'1',654,'N'),(28,7017308,'1',333,'N'),(28,7017316,'1',103,'N'),(28,7017332,'1',103,'N'),(28,7017340,'1',502,'N'),(28,7017359,'1',104,'N'),(28,7017367,'1',333,'N'),(28,7017383,'1',103,'N'),(28,7017391,'1',318,'N'),(28,7017405,'1',103,'N'),(28,7017421,'1',103,'N'),(28,7017430,'1',203,'N'),(28,7017430,'1A',214,'N'),(28,7017448,'1',216,'N'),(28,7017448,'1A',215,'N'),(28,7017472,'1',213,'N'),(28,7017472,'1A',233,'N'),(28,7017480,'1',201,'N'),(28,7017480,'1A',211,'N'),(28,7017499,'1',319,'N'),(28,7017502,'1',326,'N'),(28,7017510,'1',216,'N'),(28,7017510,'1A',233,'N'),(28,7017529,'1',207,'N'),(28,7017529,'1A',201,'N'),(28,7017545,'1',999,'N'),(28,7017570,'1',340,'N'),(28,7017588,'1',103,'N'),(28,7017618,'1',415,'N'),(28,7017634,'1',319,'N'),(28,7017642,'1',601,'N'),(28,7017642,'1A',201,'N'),(28,7017650,'1',201,'N'),(28,7017650,'1A',211,'N'),(28,7017669,'1',109,'N'),(28,7017677,'1',203,'N'),(28,7017677,'1A',601,'N'),(28,7017685,'1',318,'N'),(28,7017693,'1',320,'N'),(28,7017707,'1',103,'N'),(28,7017715,'1',601,'N'),(28,7017715,'1A',216,'N'),(28,7017723,'1',303,'N'),(28,7017740,'1',216,'N'),(28,7017740,'1A',233,'N'),(28,7017758,'1',444,'N'),(28,7017766,'1',429,'N'),(28,7017766,'1A',424,'N'),(28,7017782,'1',207,'N'),(28,7017782,'1A',201,'N'),(28,7017790,'1',216,'N'),(28,7017790,'1A',215,'N'),(28,7017804,'1',317,'N'),(28,7017812,'1',333,'N'),(28,7017847,'1',319,'N'),(28,7017855,'1',211,'N'),(28,7017855,'1A',212,'N'),(28,7017863,'1',318,'N'),(28,7017880,'1',203,'N'),(28,7017880,'1A',235,'N'),(28,7017898,'1',331,'N'),(28,7017910,'1',220,'N'),(28,7017910,'1A',653,'N'),(28,7017928,'1',207,'N'),(28,7017928,'1A',201,'N'),(28,7017936,'1',999,'N'),(28,7017944,'1',103,'N'),(28,7017952,'1',103,'N'),(28,7017979,'1',501,'N'),(28,7017995,'1',201,'N'),(28,7017995,'1A',211,'N'),(28,7018002,'1',103,'N'),(28,7018010,'1',655,'N'),(28,7018029,'1',316,'N'),(28,7018037,'1',319,'N'),(28,7018045,'1',5,'N'),(28,7018053,'1',216,'N'),(28,7018053,'1A',214,'N'),(28,7018061,'1',340,'N'),(28,7018088,'1',303,'N'),(28,7018096,'1',652,'N'),(28,7018096,'1A',655,'N'),(28,7018100,'1',216,'N'),(28,7018100,'1A',201,'N'),(28,7018118,'1',201,'N'),(28,7018118,'1A',214,'N'),(28,7018126,'1',415,'N'),(28,7018142,'1',103,'N'),(28,7018150,'1',444,'N'),(28,7018169,'1',208,'N'),(28,7018177,'1',103,'N'),(28,7018185,'1',207,'N'),(28,7018185,'1A',201,'N'),(28,7018193,'1',303,'N'),(28,7018207,'1',103,'N'),(28,7018215,'1',216,'N'),(28,7018215,'1A',233,'N'),(28,7018223,'1',103,'N'),(28,7018231,'1',233,'N'),(28,7018231,'1A',214,'N'),(28,7018240,'1',103,'N'),(28,7018258,'1',208,'N'),(28,7018266,'1',203,'N'),(28,7018266,'1A',202,'N'),(28,7018274,'1',207,'N'),(28,7018274,'1A',233,'N'),(28,7018282,'1',207,'N'),(28,7018282,'1A',235,'N'),(28,7018290,'1',326,'N'),(28,7018304,'1',216,'N'),(28,7018304,'1A',215,'N'),(28,7018312,'1',999,'N'),(28,7018339,'1',216,'N'),(28,7018339,'1A',233,'N'),(28,7018347,'1',552,'N'),(28,7018355,'1',102,'N'),(28,7018363,'1',5,'N'),(28,7018371,'1',216,'N'),(28,7018371,'1A',235,'N'),(28,7018401,'1',203,'N'),(28,7018410,'1',3,'N'),(28,7018428,'1',103,'N'),(28,7018436,'1',303,'N'),(28,7018444,'1',303,'N'),(28,7018452,'1',317,'N'),(28,7018460,'1',203,'N'),(28,7018460,'1A',201,'N'),(28,7018479,'1',340,'N'),(28,7018487,'1',103,'N'),(28,7018495,'1',5,'N'),(28,7018509,'1',454,'N'),(28,7018517,'1',102,'N'),(28,7018525,'1',102,'N'),(28,7018533,'1',316,'N'),(28,7018550,'1',103,'N'),(28,7018568,'1',103,'N'),(28,7018576,'1',404,'N'),(28,7018584,'1',207,'N'),(28,7018592,'1',301,'N'),(28,7018606,'1',319,'N'),(28,7018614,'1',415,'N'),(28,7018622,'1',220,'N'),(28,7018622,'1A',202,'N'),(28,7018630,'1',319,'N'),(28,7018649,'1',104,'N'),(28,7018657,'1',5,'N'),(28,7018665,'1',201,'N'),(28,7018673,'1',203,'N'),(28,7018673,'1A',202,'N'),(28,7018681,'1',999,'N'),(28,7018690,'1',108,'N'),(28,7018703,'1',303,'N'),(28,7018711,'1',450,'N'),(28,7018720,'1',224,'N'),(28,7018738,'1',213,'N'),(28,7018738,'1A',233,'N'),(28,7018746,'1',301,'N'),(28,7018754,'1',103,'N'),(28,7018770,'1',303,'N'),(28,7018789,'1',102,'N'),(28,7018797,'1',317,'N'),(28,7018800,'1',207,'N'),(28,7018800,'1A',211,'N'),(28,7018819,'1',216,'N'),(28,7018819,'1A',601,'N'),(28,7018827,'1',5,'N'),(28,7018835,'1',110,'N'),(28,7018843,'1',301,'N'),(28,7018851,'1',207,'N'),(28,7018851,'1A',201,'N'),(28,7018860,'1',301,'N'),(28,7018878,'1',303,'N'),(28,7018894,'1',415,'N'),(28,7018908,'1',201,'N'),(28,7018908,'1A',211,'N'),(28,7018916,'1',999,'N'),(28,7018924,'1',317,'N'),(28,7018932,'1',103,'N'),(28,7018959,'1',303,'N'),(28,7018967,'1',601,'N'),(28,7018991,'1',336,'N'),(28,7019017,'1',108,'N'),(28,7019025,'1',102,'N'),(28,7019041,'1',103,'N'),(28,7019076,'1',207,'N'),(28,7019076,'1A',201,'N'),(28,7019084,'1',103,'N'),(28,7019092,'1',201,'N'),(28,7019092,'1A',207,'N'),(28,7019106,'1',319,'N'),(28,7019114,'1',102,'N'),(28,7019122,'1',999,'N'),(28,7019149,'1',103,'N'),(28,7019157,'1',207,'N'),(28,7019157,'1A',211,'N'),(28,7019165,'1',999,'N'),(28,7019173,'1',103,'N'),(28,7019181,'1',103,'N'),(28,7019190,'1',201,'N'),(28,7019190,'1A',212,'N'),(28,7019203,'1',215,'N'),(28,7019203,'1A',211,'N'),(28,7019211,'1',103,'N'),(28,7019220,'1',207,'N'),(28,7019220,'1A',238,'N'),(28,7019254,'1',103,'N'),(28,7019262,'1',340,'N'),(28,7019270,'1',208,'N'),(28,7019289,'1',103,'N'),(28,7019297,'1',207,'N'),(28,7019297,'1A',211,'N'),(28,7019319,'1',238,'N'),(28,7019319,'1A',211,'N'),(28,7019327,'1',234,'N'),(28,7019335,'1',103,'N'),(28,7019343,'1',450,'N'),(28,7019351,'1',103,'N'),(28,7019378,'1',303,'N'),(28,7019386,'1',101,'N'),(28,7019394,'1',999,'N'),(28,7019408,'1',336,'N'),(28,7019416,'1',216,'N'),(28,7019416,'1A',215,'N'),(28,7019424,'1',5,'N'),(28,7019432,'1',9,'N'),(28,7019440,'1',552,'N'),(28,7019475,'1',340,'N'),(28,7019491,'1',601,'N'),(28,7019491,'1A',216,'N'),(28,7019505,'1',454,'N'),(28,7019513,'1',201,'N'),(28,7019513,'1A',655,'N'),(28,7019521,'1',601,'N'),(28,7019530,'1',203,'N'),(28,7019530,'1A',201,'N'),(28,7019548,'1',415,'N'),(28,7019556,'1',216,'N'),(28,7019556,'1A',201,'N'),(28,7019564,'1',340,'N'),(28,7019572,'1',999,'N'),(28,7019599,'1',999,'N'),(28,7019602,'1',655,'N'),(28,7019602,'1A',653,'N'),(28,7019629,'1',454,'N'),(28,7019637,'1',103,'N'),(28,7019645,'1',103,'N'),(28,7019653,'1',440,'N'),(28,7019661,'1',103,'N'),(28,7019688,'1',215,'N'),(28,7019688,'1A',601,'N'),(28,7019696,'1',454,'N'),(28,7019700,'1',201,'N'),(28,7019700,'1A',203,'N'),(28,7019718,'1',454,'N'),(28,7019726,'1',415,'N'),(28,7019734,'1',9,'N'),(28,7019742,'1',104,'N'),(28,7019750,'1',103,'N'),(28,7019769,'1',211,'N'),(28,7019769,'1A',202,'N'),(28,7019777,'1',216,'N'),(28,7019777,'1A',203,'N'),(28,7019785,'1',207,'N'),(28,7019785,'1A',201,'N'),(28,7019793,'1',238,'N'),(28,7019807,'1',216,'N'),(28,7019807,'1A',601,'N'),(28,7019815,'1',601,'N'),(28,7019815,'1A',203,'N'),(28,7019823,'1',238,'N'),(28,7019823,'1A',655,'N'),(28,7019831,'1',201,'N'),(28,7019831,'1A',203,'N'),(28,7019840,'1',601,'N'),(28,7019840,'1A',215,'N'),(28,7019858,'1',212,'N'),(28,7019858,'1A',213,'N'),(28,7019866,'1',235,'N'),(28,7019866,'1A',220,'N'),(28,7019912,'1',103,'N'),(28,7019920,'1',103,'N'),(28,7019947,'1',415,'N'),(28,7019955,'1',216,'N'),(28,7019955,'1A',233,'N'),(28,7019963,'1',103,'N'),(28,7019971,'1',211,'N'),(28,7019971,'1A',233,'N'),(28,7019980,'1',340,'N'),(28,7020015,'1',454,'N'),(28,7020023,'1',103,'N'),(28,7020031,'1',103,'N'),(28,7020040,'1',301,'N'),(28,7020058,'1',337,'N'),(28,7020074,'1',202,'N'),(28,7020074,'1A',201,'N'),(28,7020082,'1',110,'N'),(28,7020090,'1',203,'N'),(28,7020090,'1A',235,'N'),(28,7020112,'1',235,'N'),(28,7020112,'1A',213,'N'),(28,7020139,'1',103,'N'),(28,7020147,'1',207,'N'),(28,7020147,'1A',201,'N'),(28,7020155,'1',208,'N'),(28,7020163,'1',103,'N'),(28,7020171,'1',201,'N'),(28,7020171,'1A',601,'N'),(28,7020180,'1',552,'N'),(28,7020198,'1',207,'N'),(28,7020210,'1',215,'N'),(28,7020210,'1A',238,'N'),(28,7020228,'1',103,'N'),(28,7020236,'1',201,'N'),(28,7020236,'1A',207,'N'),(28,7020244,'1',203,'N'),(28,7020244,'1A',235,'N'),(28,7020252,'1',999,'N'),(28,7020279,'1',104,'N'),(28,7020287,'1',444,'N'),(28,7020295,'1',203,'N'),(28,7020295,'1A',235,'N'),(28,7020309,'1',303,'N'),(28,7020317,'1',444,'N'),(28,7020325,'1',202,'N'),(28,7020325,'1A',233,'N'),(28,7020333,'1',310,'N'),(28,7020341,'1',450,'N'),(28,7020350,'1',216,'N'),(28,7020350,'1A',203,'N'),(28,7020368,'1',428,'N'),(28,7020368,'1A',426,'N'),(28,7020376,'1',9,'N'),(28,7020384,'1',103,'N'),(28,7020392,'1',103,'N'),(28,7020406,'1',104,'N'),(28,7020414,'1',207,'N'),(28,7020414,'1A',211,'N'),(28,7020422,'1',103,'N'),(28,7020430,'1',103,'N'),(28,7020449,'1',301,'N'),(28,7020457,'1',103,'N'),(28,7020465,'1',999,'N'),(28,7020481,'1',108,'N'),(28,7020490,'1',216,'N'),(28,7020490,'1A',215,'N'),(28,7020503,'1',328,'N'),(28,7020511,'1',211,'N'),(28,7020511,'1A',601,'N'),(28,7020538,'1',103,'N'),(28,7020546,'1',102,'N'),(28,7020554,'1',340,'N'),(28,7020562,'1',302,'N'),(28,7020589,'1',201,'N'),(28,7020589,'1A',207,'N'),(28,7020597,'1',103,'N'),(28,7020600,'1',207,'N'),(28,7020600,'1A',216,'N'),(28,7020627,'1',415,'N'),(28,7020635,'1',202,'N'),(28,7020635,'1A',213,'N'),(28,7020643,'1',238,'N'),(28,7020651,'1',9,'N'),(28,7020660,'1',303,'N'),(28,7020678,'1',601,'N'),(28,7020678,'1A',201,'N'),(28,7020686,'1',103,'N'),(28,7020694,'1',9,'N'),(28,7020716,'1',103,'N'),(28,7020724,'1',601,'N'),(28,7020724,'1A',201,'N'),(28,7020732,'1',340,'N'),(28,7020759,'1',552,'N'),(28,7020767,'1',104,'N'),(28,7020775,'1',103,'N'),(28,7020783,'1',103,'N'),(28,7020791,'1',319,'N'),(28,7020805,'1',440,'N'),(28,7020813,'1',340,'N'),(28,7020821,'1',450,'N'),(28,7020848,'1',320,'N'),(28,7020856,'1',999,'N'),(28,7020864,'1',213,'N'),(28,7020864,'1A',215,'N'),(28,7020872,'1',303,'N'),(28,7020880,'1',220,'N'),(28,7020880,'1A',202,'N'),(28,7020899,'1',999,'N'),(28,7020902,'1',208,'N'),(28,7020910,'1',303,'N'),(28,7020929,'1',415,'N'),(28,7020937,'1',415,'N'),(28,7020945,'1',5,'N'),(28,7020953,'1',103,'N'),(28,7020970,'1',319,'N'),(28,7020996,'1',319,'N'),(28,7021003,'1',601,'N'),(28,7021003,'1A',203,'N'),(28,7021011,'1',207,'N'),(28,7021011,'1A',201,'N'),(28,7021020,'1',103,'N'),(28,7021038,'1',208,'N'),(28,7021054,'1',319,'N'),(28,7021062,'1',308,'N'),(28,7021070,'1',5,'N'),(28,7021089,'1',103,'N'),(28,7021097,'1',103,'N'),(28,7021100,'1',319,'N'),(28,7021119,'1',110,'N'),(28,7021127,'1',103,'N'),(28,7021135,'1',340,'N'),(28,7021143,'1',336,'N'),(28,7021151,'1',103,'N'),(28,7021160,'1',104,'N'),(28,7021178,'1',301,'N'),(28,7021194,'1',303,'N'),(28,7021208,'1',301,'N'),(28,7021216,'1',102,'N'),(28,7021224,'1',333,'N'),(28,7021232,'1',319,'N'),(28,7021240,'1',103,'N'),(28,7021259,'1',201,'N'),(28,7021259,'1A',211,'N'),(28,7021267,'1',104,'N'),(28,7021275,'1',103,'N'),(28,7021283,'1',501,'N'),(28,7021305,'1',207,'N'),(28,7021305,'1A',211,'N'),(28,7021330,'1',103,'N'),(28,7021364,'1',216,'N'),(28,7021364,'1A',215,'N'),(28,7021372,'1',415,'N'),(28,7021380,'1',203,'N'),(28,7021380,'1A',214,'N'),(28,7021399,'1',207,'N'),(28,7021399,'1A',212,'N'),(28,7021402,'1',5,'N'),(28,7021410,'1',212,'N'),(28,7021410,'1A',201,'N'),(28,7021429,'1',9,'N'),(28,7021437,'1',999,'N'),(28,7021445,'1',216,'N'),(28,7021445,'1A',203,'N'),(28,7021453,'1',103,'N'),(28,7021461,'1',104,'N'),(28,7021496,'1',653,'N'),(28,7021496,'1A',655,'N'),(28,7021500,'1',203,'N'),(28,7021500,'1A',214,'N'),(28,7021518,'1',552,'N'),(28,7021550,'1',415,'N'),(28,7021569,'1',104,'N'),(28,7021577,'1',103,'N'),(28,7021585,'1',103,'N'),(28,7021593,'1',601,'N'),(28,7021607,'1',303,'N'),(28,7021615,'1',303,'N'),(28,7021631,'1',340,'N'),(28,7021640,'1',208,'N'),(28,7021658,'1',103,'N'),(28,7021666,'1',215,'N'),(28,7021666,'1A',211,'N'),(28,7021674,'1',415,'N'),(28,7021682,'1',103,'N'),(28,7021690,'1',103,'N'),(28,7021704,'1',208,'N'),(28,7021712,'1',103,'N'),(28,7021720,'1',235,'N'),(28,7021720,'1A',213,'N'),(28,7021739,'1',103,'N'),(28,7021747,'1',552,'N'),(28,7021755,'1',201,'N'),(28,7021755,'1A',233,'N'),(28,7021763,'1',103,'N'),(28,7021771,'1',454,'N'),(28,7021780,'1',214,'N'),(28,7021780,'1A',213,'N'),(28,7021798,'1',501,'N'),(28,7021801,'1',103,'N'),(28,7021810,'1',5,'N'),(28,7021828,'1',238,'N'),(28,7021844,'1',108,'N'),(28,7021852,'1',9,'N'),(28,7021879,'1',201,'N'),(28,7021879,'1A',601,'N'),(28,7021887,'1',302,'N'),(28,7021895,'1',303,'N'),(28,7021909,'1',207,'N'),(28,7021909,'1A',201,'N'),(28,7021917,'1',103,'N'),(28,7021925,'1',303,'N'),(28,7021950,'1',5,'N'),(28,7021968,'1',103,'N'),(28,7021984,'1',203,'N'),(28,7021984,'1A',202,'N'),(28,7021992,'1',104,'N'),(28,7022000,'1',102,'N'),(28,7022018,'1',444,'N'),(28,7022034,'1',203,'N'),(28,7022034,'1A',220,'N'),(28,7022042,'1',103,'N'),(28,7022069,'1',203,'N'),(28,7022069,'1A',214,'N'),(28,7022077,'1',201,'N'),(28,7022077,'1A',207,'N'),(28,7022085,'1',551,'N'),(28,7022115,'1',320,'N'),(28,7022123,'1',103,'N'),(28,7022131,'1',201,'N'),(28,7022131,'1A',601,'N'),(28,7022140,'1',104,'N'),(28,7022158,'1',333,'N'),(28,7022166,'1',340,'N'),(28,7022174,'1',601,'N'),(28,7022174,'1A',203,'N'),(28,7022190,'1',303,'N'),(28,7022212,'1',103,'N'),(28,7022220,'1',207,'N'),(28,7022220,'1A',212,'N'),(28,7022239,'1',201,'N'),(28,7022239,'1A',203,'N'),(28,7022247,'1',208,'N'),(28,7022255,'1',208,'N'),(28,7022263,'1',214,'N'),(28,7022263,'1A',213,'N'),(28,7022280,'1',319,'N'),(28,7022298,'1',216,'N'),(28,7022298,'1A',233,'N'),(28,7022301,'1',316,'N'),(28,7022310,'1',201,'N'),(28,7022310,'1A',216,'N'),(28,7022328,'1',103,'N'),(28,7022336,'1',103,'N'),(28,7022344,'1',5,'N'),(28,7022352,'1',103,'N'),(28,7022360,'1',415,'N'),(28,7022379,'1',999,'N'),(28,7022387,'1',103,'N'),(28,7022409,'1',309,'N'),(28,7022417,'1',340,'N'),(28,7022425,'1',340,'N'),(28,7022441,'1',103,'N'),(28,7022450,'1',502,'N'),(28,7022484,'1',207,'N'),(28,7022484,'1A',201,'N'),(28,7022492,'1',303,'N'),(28,7022506,'1',103,'N'),(28,7022514,'1',103,'N'),(28,7022522,'1',108,'N'),(28,7022530,'1',303,'N'),(28,7022549,'1',225,'N'),(28,7022557,'1',652,'N'),(28,7022573,'1',103,'N'),(28,7022581,'1',999,'N'),(28,7022603,'1',201,'N'),(28,7022603,'1A',233,'N'),(28,7022611,'1',340,'N'),(28,7022638,'1',310,'N'),(28,7022646,'1',108,'N'),(28,7022654,'1',103,'N'),(28,7022670,'1',201,'N'),(28,7022670,'1A',216,'N'),(28,7022689,'1',303,'N'),(28,7022700,'1',201,'N'),(28,7022700,'1A',207,'N'),(28,7022719,'1',303,'N'),(28,7022727,'1',207,'N'),(28,7022727,'1A',201,'N'),(28,7022735,'1',104,'N'),(28,7022743,'1',103,'N'),(28,7022751,'1',5,'N'),(28,7022760,'1',9,'N'),(28,7022778,'1',5,'N'),(28,7022786,'1',415,'N'),(28,7022794,'1',104,'N'),(28,7022816,'1',502,'N'),(28,7022832,'1',319,'N'),(28,7022840,'1',5,'N'),(28,7022859,'1',202,'N'),(28,7022859,'1A',235,'N'),(28,7022875,'1',303,'N'),(28,7022883,'1',338,'N'),(28,7022891,'1',203,'N'),(28,7022891,'1A',202,'N'),(28,7022905,'1',238,'N'),(28,7022905,'1A',201,'N'),(28,7022913,'1',201,'N'),(28,7022913,'1A',235,'N'),(28,7022921,'1',326,'N'),(28,7022956,'1',502,'N'),(28,7022964,'1',208,'N'),(28,7022972,'1',337,'N'),(28,7022980,'1',415,'N'),(28,7022999,'1',303,'N'),(28,7023014,'1',317,'N'),(28,7023022,'1',103,'N'),(28,7023030,'1',203,'N'),(28,7023030,'1A',207,'N'),(28,7023057,'1',9,'N'),(28,7023065,'1',423,'N'),(28,7023065,'1A',427,'N'),(28,7023090,'1',203,'N'),(28,7023111,'1',303,'N'),(28,7023120,'1',103,'N'),(28,7023138,'1',103,'N'),(28,7023146,'1',103,'N'),(28,7023154,'1',110,'N'),(28,7023162,'1',215,'N'),(28,7023170,'1',552,'N'),(28,7023189,'1',601,'N'),(28,7023189,'1A',216,'N'),(28,7023197,'1',303,'N'),(28,7023200,'1',238,'N'),(28,7023200,'1A',235,'N'),(28,7023219,'1',303,'N'),(28,7023227,'1',103,'N'),(28,7023243,'1',303,'N'),(28,7023251,'1',103,'N'),(28,7023260,'1',5,'N'),(28,7023278,'1',207,'N'),(28,7023278,'1A',215,'N'),(28,7023286,'1',202,'N'),(28,7023286,'1A',653,'N'),(28,7023294,'1',102,'N'),(28,7023316,'1',215,'N'),(28,7023332,'1',654,'N'),(28,7023340,'1',215,'N'),(28,7023340,'1A',233,'N'),(28,7023359,'1',104,'N'),(28,7023367,'1',103,'N'),(28,7023375,'1',104,'N'),(28,7023391,'1',202,'N'),(28,7023391,'1A',235,'N'),(28,7023405,'1',203,'N'),(28,7023405,'1A',220,'N'),(28,7023421,'1',404,'N'),(28,7023430,'1',302,'N'),(28,7023456,'1',303,'N'),(28,7023464,'1',110,'N'),(28,7023472,'1',108,'N'),(28,7023480,'1',213,'N'),(28,7023480,'1A',214,'N'),(28,7023499,'1',103,'N'),(28,7023502,'1',216,'N'),(28,7023502,'1A',233,'N'),(28,7023510,'1',104,'N'),(28,7023529,'1',415,'N'),(28,7023537,'1',103,'N'),(28,7023545,'1',333,'N'),(28,7023553,'1',302,'N'),(28,7023561,'1',318,'N'),(28,7023570,'1',103,'N'),(28,7023588,'1',319,'N'),(28,7023596,'1',103,'N'),(28,7023600,'1',201,'N'),(28,7023600,'1A',211,'N'),(28,7023634,'1',238,'N'),(28,7023650,'1',103,'N'),(28,7023669,'1',203,'N'),(28,7023669,'1A',216,'N'),(28,7023677,'1',109,'N'),(28,7023685,'1',103,'N'),(28,7023707,'1',202,'N'),(28,7023707,'1A',213,'N'),(28,7023723,'1',5,'N'),(28,7023731,'1',203,'N'),(28,7023740,'1',5,'N'),(28,7023758,'1',212,'N'),(28,7023758,'1A',201,'N'),(28,7023766,'1',215,'N'),(28,7023766,'1A',214,'N'),(28,7023774,'1',103,'N'),(28,7023782,'1',316,'N'),(28,7023790,'1',310,'N'),(28,7023804,'1',103,'N'),(28,7023812,'1',103,'N'),(28,7023820,'1',101,'N'),(28,7023839,'1',601,'N'),(28,7023839,'1A',233,'N'),(28,7023847,'1',424,'N'),(28,7023855,'1',207,'N'),(28,7023855,'1A',601,'N'),(28,7023863,'1',653,'N'),(28,7023863,'1A',655,'N'),(28,7023871,'1',211,'N'),(28,7023871,'1A',233,'N'),(28,7023898,'1',207,'N'),(28,7023898,'1A',201,'N'),(28,7023901,'1',103,'N'),(28,7023910,'1',454,'N'),(28,7023936,'1',454,'N'),(28,7023944,'1',201,'N'),(28,7023944,'1A',212,'N'),(28,7023952,'1',203,'N'),(28,7023952,'1A',233,'N'),(28,7023960,'1',216,'N'),(28,7023960,'1A',214,'N'),(28,7023979,'1',9,'N'),(28,7023987,'1',310,'N'),(28,7024002,'1',103,'N'),(28,7024029,'1',5,'N'),(28,7024045,'1',303,'N'),(28,7024053,'1',319,'N'),(28,7024061,'1',340,'N'),(28,7024070,'1',327,'N'),(28,7024088,'1',103,'N'),(28,7024096,'1',202,'N'),(28,7024100,'1',103,'N'),(28,7024118,'1',601,'N'),(28,7024118,'1A',215,'N'),(28,7024126,'1',415,'N'),(28,7024134,'1',233,'N'),(28,7024134,'1A',215,'N'),(28,7024142,'1',103,'N'),(28,7024150,'1',104,'N'),(28,7024169,'1',454,'N'),(28,7024177,'1',301,'N'),(28,7024185,'1',103,'N'),(28,7024193,'1',999,'N'),(28,7024207,'1',303,'N'),(28,7024215,'1',552,'N'),(28,7024231,'1',108,'N'),(28,7024240,'1',207,'N'),(28,7024240,'1A',201,'N'),(28,7024258,'1',653,'N'),(28,7024258,'1A',652,'N'),(28,7024266,'1',454,'N'),(28,7024274,'1',103,'N'),(28,7024290,'1',215,'N'),(28,7024290,'1A',211,'N'),(28,7024312,'1',102,'N'),(28,7024320,'1',103,'N'),(28,7024339,'1',303,'N'),(28,7024347,'1',415,'N'),(28,7024355,'1',454,'N'),(28,7024363,'1',415,'N'),(28,7024371,'1',999,'N'),(28,7024380,'1',103,'N'),(28,7024398,'1',207,'N'),(28,7024398,'1A',212,'N'),(28,7024410,'1',340,'N'),(28,7024428,'1',212,'N'),(28,7024428,'1A',233,'N'),(28,7024436,'1',207,'N'),(28,7024444,'1',999,'N'),(28,7024479,'1',203,'N'),(28,7024479,'1A',233,'N'),(28,7024487,'1',454,'N'),(28,7024495,'1',340,'N'),(28,7024509,'1',415,'N'),(28,7024517,'1',301,'N'),(28,7024525,'1',233,'N'),(28,7024525,'1A',215,'N'),(28,7024533,'1',103,'N'),(28,7024541,'1',216,'N'),(28,7024541,'1A',215,'N'),(28,7024550,'1',104,'N'),(28,7024568,'1',328,'N'),(28,7024576,'1',103,'N'),(28,7024584,'1',319,'N'),(28,7024592,'1',317,'N'),(28,7024606,'1',216,'N'),(28,7024606,'1A',211,'N'),(28,7024614,'1',404,'N'),(28,7024622,'1',207,'N'),(28,7024622,'1A',215,'N'),(28,7024630,'1',102,'N'),(28,7024649,'1',108,'N'),(28,7024657,'1',207,'N'),(28,7024657,'1A',201,'N'),(28,7024665,'1',303,'N'),(28,7024681,'1',454,'N'),(28,7024690,'1',415,'N'),(28,7024703,'1',207,'N'),(28,7024703,'1A',201,'N'),(28,7024746,'1',109,'N'),(28,7024754,'1',454,'N'),(28,7024762,'1',203,'N'),(28,7024762,'1A',235,'N'),(28,7024789,'1',233,'N'),(28,7024789,'1A',235,'N'),(28,7024800,'1',655,'N'),(28,7024800,'1A',652,'N'),(28,7024819,'1',103,'N'),(28,7024827,'1',203,'N'),(28,7024827,'1A',214,'N'),(28,7024843,'1',103,'N'),(28,7024851,'1',103,'N'),(28,7024860,'1',201,'N'),(28,7024860,'1A',207,'N'),(28,7024878,'1',203,'N'),(28,7024886,'1',999,'N'),(28,7024894,'1',201,'N'),(28,7024894,'1A',211,'N'),(28,7024908,'1',5,'N'),(28,7024916,'1',9,'N'),(28,7024924,'1',653,'N'),(28,7024924,'1A',652,'N'),(28,7024932,'1',999,'N'),(28,7024940,'1',301,'N'),(28,7024959,'1',303,'N'),(28,7024967,'1',207,'N'),(28,7024967,'1A',201,'N'),(28,7024975,'1',552,'N'),(28,7024983,'1',203,'N'),(28,7024983,'1A',201,'N'),(28,7024991,'1',601,'N'),(28,7024991,'1A',213,'N'),(28,7025009,'1',201,'N'),(28,7025009,'1A',233,'N'),(28,7025017,'1',108,'N'),(28,7025025,'1',216,'N'),(28,7025025,'1A',652,'N'),(28,7025033,'1',502,'N'),(28,7025041,'1',103,'N'),(28,7025050,'1',108,'N'),(28,7025068,'1',310,'N'),(28,7025076,'1',104,'N'),(28,7025084,'1',203,'N'),(28,7025084,'1A',202,'N'),(28,7025092,'1',5,'N'),(28,7025106,'1',103,'N'),(28,7025114,'1',999,'N'),(28,7025122,'1',216,'N'),(28,7025122,'1A',233,'N'),(28,7025130,'1',340,'N'),(28,7025149,'1',104,'N'),(28,7025157,'1',999,'N'),(28,7025165,'1',5,'N'),(28,7025173,'1',212,'N'),(28,7025173,'1A',214,'N'),(28,7025181,'1',5,'N'),(28,7025190,'1',103,'N'),(28,7025203,'1',103,'N'),(28,7025211,'1',103,'N'),(28,7025220,'1',454,'N'),(28,7025238,'1',336,'N'),(28,7025246,'1',207,'N'),(28,7025246,'1A',202,'N'),(28,7025254,'1',208,'N'),(28,7025270,'1',5,'N'),(28,7025289,'1',220,'N'),(28,7025289,'1A',201,'N'),(28,7025297,'1',302,'N'),(28,7025319,'1',103,'N'),(28,7025327,'1',415,'N'),(28,7025335,'1',102,'N'),(28,7025360,'1',340,'N'),(28,7025378,'1',207,'N'),(28,7025378,'1A',201,'N'),(28,7025394,'1',103,'N'),(28,7025408,'1',201,'N'),(28,7025408,'1A',211,'N'),(28,7025416,'1',104,'N'),(28,7025424,'1',601,'N'),(28,7025424,'1A',203,'N'),(28,7025432,'1',415,'N'),(28,7025440,'1',454,'N'),(28,7025459,'1',108,'N'),(28,7025467,'1',9,'N'),(28,7025483,'1',207,'N'),(28,7025483,'1A',201,'N'),(28,7025505,'1',104,'N'),(28,7025513,'1',303,'N'),(28,7025521,'1',415,'N'),(28,7025530,'1',552,'N'),(28,7025548,'1',5,'N'),(28,7025556,'1',103,'N'),(28,7025564,'1',203,'N'),(28,7025564,'1A',216,'N'),(28,7025572,'1',303,'N'),(28,7025580,'1',203,'N'),(28,7025580,'1A',220,'N'),(28,7025602,'1',301,'N'),(28,7025610,'1',9,'N'),(28,7025629,'1',203,'N'),(28,7025629,'1A',601,'N'),(28,7025637,'1',317,'N'),(28,7025670,'1',216,'N'),(28,7025670,'1A',212,'N'),(28,7025688,'1',601,'N'),(28,7025688,'1A',220,'N'),(28,7025696,'1',233,'N'),(28,7025696,'1A',211,'N'),(28,7025700,'1',103,'N'),(28,7025718,'1',316,'N'),(28,7025726,'1',5,'N'),(28,7025734,'1',450,'N'),(28,7025742,'1',301,'N'),(28,7025750,'1',103,'N'),(28,7025769,'1',303,'N'),(28,7025777,'1',303,'N'),(28,7025785,'1',340,'N'),(28,7025793,'1',238,'N'),(28,7025807,'1',103,'N'),(28,7025815,'1',103,'N'),(28,7025823,'1',103,'N'),(28,7025831,'1',601,'N'),(28,7025831,'1A',233,'N'),(28,7025840,'1',214,'N'),(28,7025840,'1A',213,'N'),(28,7025858,'1',601,'N'),(28,7025858,'1A',201,'N'),(28,7025866,'1',108,'N'),(28,7025874,'1',207,'N'),(28,7025882,'1',319,'N'),(28,7025890,'1',108,'N'),(28,7025904,'1',451,'N'),(28,7025912,'1',103,'N'),(28,7025920,'1',301,'N'),(28,7025939,'1',415,'N'),(28,7025963,'1',454,'N'),(28,7025971,'1',302,'N'),(28,7025980,'1',335,'N'),(28,7025998,'1',450,'N'),(28,7026005,'1',425,'N'),(28,7026005,'1A',423,'N'),(28,7026013,'1',103,'N'),(28,7026021,'1',103,'N'),(28,7026030,'1',415,'N'),(28,7026048,'1',103,'N'),(28,7026056,'1',331,'N'),(28,7026064,'1',309,'N'),(28,7026072,'1',103,'N'),(28,7026080,'1',415,'N'),(28,7026099,'1',101,'N'),(28,7026102,'1',220,'N'),(28,7026102,'1A',235,'N'),(28,7026110,'1',450,'N'),(28,7026129,'1',108,'N'),(28,7026137,'1',103,'N'),(28,7026145,'1',5,'N'),(28,7026153,'1',208,'N'),(28,7026170,'1',201,'N'),(28,7026170,'1A',212,'N'),(28,7026188,'1',103,'N'),(28,7026196,'1',103,'N'),(28,7026218,'1',201,'N'),(28,7026218,'1A',212,'N'),(28,7026226,'1',109,'N'),(28,7026234,'1',207,'N'),(28,7026234,'1A',201,'N'),(28,7026242,'1',216,'N'),(28,7026242,'1A',233,'N'),(28,7026277,'1',216,'N'),(28,7026277,'1A',215,'N'),(28,7026285,'1',415,'N'),(28,7026293,'1',102,'N'),(28,7026307,'1',326,'N'),(28,7026315,'1',333,'N'),(28,7026323,'1',501,'N'),(28,7026331,'1',103,'N'),(28,7026340,'1',220,'N'),(28,7026340,'1A',203,'N'),(28,7026366,'1',103,'N'),(28,7026374,'1',216,'N'),(28,7026374,'1A',211,'N'),(28,7026382,'1',207,'N'),(28,7026382,'1A',201,'N'),(28,7026390,'1',108,'N'),(28,7026404,'1',303,'N'),(28,7026412,'1',601,'N'),(28,7026412,'1A',201,'N'),(28,7026420,'1',415,'N'),(28,7026447,'1',331,'N'),(28,7026463,'1',316,'N'),(28,7026471,'1',201,'N'),(28,7026471,'1A',212,'N'),(28,7026498,'1',220,'N'),(28,7026498,'1A',202,'N'),(28,7026501,'1',110,'N'),(28,7026510,'1',999,'N'),(28,7026528,'1',207,'N'),(28,7026528,'1A',233,'N'),(28,7026536,'1',103,'N'),(28,7026544,'1',454,'N'),(28,7026552,'1',425,'N'),(28,7026552,'1A',429,'N'),(28,7026560,'1',203,'N'),(28,7026560,'1A',202,'N'),(28,7026579,'1',103,'N'),(28,7026587,'1',108,'N'),(28,7026595,'1',207,'N'),(28,7026595,'1A',201,'N'),(28,7026609,'1',103,'N'),(28,7026617,'1',207,'N'),(28,7026617,'1A',233,'N'),(28,7026625,'1',2,'N'),(28,7026633,'1',319,'N'),(28,7026641,'1',216,'N'),(28,7026641,'1A',202,'N'),(28,7026650,'1',103,'N'),(28,7026668,'1',203,'N'),(28,7026668,'1A',220,'N'),(28,7026676,'1',303,'N'),(28,7026684,'1',103,'N'),(28,7026692,'1',5,'N'),(28,7026706,'1',103,'N'),(28,7026714,'1',303,'N'),(28,7026730,'1',655,'N'),(28,7026730,'1A',653,'N'),(28,7026749,'1',552,'N'),(28,7026757,'1',333,'N'),(28,7026765,'1',303,'N'),(28,7026790,'1',336,'N'),(28,7026803,'1',302,'N'),(28,7026811,'1',303,'N'),(28,7026820,'1',108,'N'),(28,7026838,'1',303,'N'),(28,7026846,'1',333,'N'),(28,7026854,'1',415,'N'),(28,7026862,'1',415,'N'),(28,7026870,'1',215,'N'),(28,7026870,'1A',214,'N'),(28,7026889,'1',220,'N'),(28,7026889,'1A',202,'N'),(28,7026919,'1',102,'N'),(28,7026927,'1',5,'N'),(28,7026935,'1',5,'N'),(28,7026943,'1',201,'N'),(28,7026943,'1A',212,'N'),(28,7026951,'1',103,'N'),(28,7026986,'1',999,'N'),(28,7027036,'1',103,'N'),(28,7027044,'1',238,'N'),(28,7027044,'1A',652,'N'),(28,7027052,'1',103,'N'),(28,7027060,'1',502,'N'),(28,7027079,'1',601,'N'),(28,7027079,'1A',203,'N'),(28,7027087,'1',319,'N'),(28,7027109,'1',216,'N'),(28,7027109,'1A',202,'N'),(28,7027117,'1',201,'N'),(28,7027117,'1A',203,'N'),(28,7027141,'1',501,'N'),(28,7027150,'1',318,'N'),(28,7027168,'1',104,'N'),(28,7027176,'1',220,'N'),(28,7027176,'1A',601,'N'),(28,7027192,'1',211,'N'),(28,7027192,'1A',216,'N'),(28,7027206,'1',317,'N'),(28,7027214,'1',3,'N'),(28,7027222,'1',207,'N'),(28,7027222,'1A',201,'N'),(28,7027230,'1',207,'N'),(28,7027230,'1A',201,'N'),(28,7027249,'1',503,'N'),(28,7027257,'1',201,'N'),(28,7027257,'1A',203,'N'),(28,7027265,'1',108,'N'),(28,7027273,'1',303,'N'),(28,7027290,'1',653,'N'),(28,7027290,'1A',655,'N'),(28,7027303,'1',207,'N'),(28,7027311,'1',319,'N'),(28,7027320,'1',214,'N'),(28,7027320,'1A',212,'N'),(28,7027338,'1',103,'N'),(28,7027346,'1',103,'N'),(28,7027354,'1',303,'N'),(28,7027362,'1',303,'N'),(28,7027370,'1',340,'N'),(28,7027389,'1',104,'N'),(28,7027397,'1',655,'N'),(28,7027397,'1A',652,'N'),(28,7027400,'1',103,'N'),(28,7027419,'1',202,'N'),(28,7027419,'1A',213,'N'),(28,7027427,'1',103,'N'),(28,7027435,'1',216,'N'),(28,7027435,'1A',211,'N'),(28,7027443,'1',301,'N'),(28,7027460,'1',207,'N'),(28,7027460,'1A',201,'N'),(28,7027478,'1',5,'N'),(28,7027486,'1',5,'N'),(28,7027494,'1',415,'N'),(28,7027508,'1',301,'N'),(28,7027516,'1',104,'N'),(28,7027524,'1',108,'N'),(28,7027532,'1',454,'N'),(28,7027540,'1',201,'N'),(28,7027540,'1A',202,'N'),(28,7027559,'1',216,'N'),(28,7027559,'1A',201,'N'),(28,7027567,'1',318,'N'),(28,7027583,'1',655,'N'),(28,7027583,'1A',653,'N'),(28,7027591,'1',454,'N'),(28,7027605,'1',102,'N'),(28,7027613,'1',103,'N'),(28,7027621,'1',103,'N'),(28,7027630,'1',216,'N'),(28,7027630,'1A',233,'N'),(28,7027648,'1',103,'N'),(28,7027656,'1',103,'N'),(28,7027680,'1',201,'N'),(28,7027699,'1',234,'N'),(28,7027702,'1',103,'N'),(28,7027710,'1',211,'N'),(28,7027710,'1A',215,'N'),(28,7027729,'1',502,'N'),(28,7027745,'1',201,'N'),(28,7027745,'1A',207,'N'),(28,7027753,'1',318,'N'),(28,7027761,'1',216,'N'),(28,7027761,'1A',238,'N'),(28,7027770,'1',220,'N'),(28,7027770,'1A',238,'N'),(28,7027788,'1',319,'N'),(28,7027796,'1',207,'N'),(28,7027796,'1A',201,'N'),(28,7027800,'1',110,'N'),(28,7027818,'1',340,'N'),(28,7027834,'1',214,'N'),(28,7027834,'1A',213,'N'),(28,7027842,'1',203,'N'),(28,7027842,'1A',216,'N'),(28,7027869,'1',203,'N'),(28,7027869,'1A',202,'N'),(28,7027877,'1',202,'N'),(28,7027877,'1A',213,'N'),(28,7027885,'1',319,'N'),(28,7027893,'1',103,'N'),(28,7027907,'1',207,'N'),(28,7027923,'1',103,'N'),(28,7027931,'1',220,'N'),(28,7027958,'1',103,'N'),(28,7027966,'1',340,'N'),(28,7027974,'1',415,'N'),(28,7027982,'1',208,'N'),(28,7028008,'1',203,'N'),(28,7028008,'1A',214,'N'),(28,7028016,'1',220,'N'),(28,7028016,'1A',235,'N'),(28,7028024,'1',336,'N'),(28,7028040,'1',207,'N'),(28,7028040,'1A',201,'N'),(28,7028067,'1',201,'N'),(28,7028067,'1A',212,'N'),(28,7028083,'1',404,'N'),(28,7028091,'1',303,'N'),(28,7028105,'1',212,'N'),(28,7028105,'1A',201,'N'),(28,7028113,'1',212,'N'),(28,7028113,'1A',213,'N'),(28,7028121,'1',201,'N'),(28,7028121,'1A',212,'N'),(28,7028148,'1',203,'N'),(28,7028148,'1A',214,'N'),(28,7028156,'1',201,'N'),(28,7028156,'1A',211,'N'),(28,7028164,'1',207,'N'),(28,7028164,'1A',201,'N'),(28,7028172,'1',303,'N'),(28,7028180,'1',201,'N'),(28,7028180,'1A',207,'N'),(28,7028199,'1',201,'N'),(28,7028199,'1A',207,'N'),(28,7028202,'1',319,'N'),(28,7028210,'1',207,'N'),(28,7028210,'1A',212,'N'),(28,7028229,'1',340,'N'),(28,7028237,'1',999,'N'),(28,7028253,'1',654,'N'),(28,7028270,'1',303,'N'),(28,7028288,'1',454,'N'),(28,7028296,'1',207,'N'),(28,7028296,'1A',201,'N'),(28,7028300,'1',324,'N'),(28,7028334,'1',999,'N'),(28,7028342,'1',103,'N'),(28,7028350,'1',333,'N'),(28,7028377,'1',203,'N'),(28,7028377,'1A',214,'N'),(28,7028385,'1',340,'N'),(28,7028393,'1',103,'N'),(28,7028407,'1',201,'N'),(28,7028407,'1A',207,'N'),(28,7028415,'1',101,'N'),(28,7028423,'1',999,'N'),(28,7028431,'1',108,'N'),(28,7028440,'1',502,'N'),(28,7028458,'1',654,'N'),(28,7028482,'1',103,'N'),(28,7028490,'1',207,'N'),(28,7028490,'1A',201,'N'),(28,7028504,'1',208,'N'),(28,7028512,'1',104,'N'),(28,7028520,'1',201,'N'),(28,7028520,'1A',212,'N'),(28,7028539,'1',201,'N'),(28,7028547,'1',108,'N'),(28,7028555,'1',103,'N'),(28,7028563,'1',203,'N'),(28,7028563,'1A',201,'N'),(28,7028571,'1',309,'N'),(28,7028580,'1',303,'N'),(28,7028598,'1',109,'N'),(28,7028601,'1',216,'N'),(28,7028601,'1A',215,'N'),(28,7028610,'1',109,'N'),(28,7028628,'1',202,'N'),(28,7028628,'1A',235,'N'),(28,7028636,'1',451,'N'),(28,7028644,'1',216,'N'),(28,7028644,'1A',201,'N'),(28,7028652,'1',653,'N'),(28,7028660,'1',340,'N'),(28,7028679,'1',203,'N'),(28,7028679,'1A',202,'N'),(28,7028687,'1',104,'N'),(28,7028695,'1',301,'N'),(28,7028709,'1',203,'N'),(28,7028717,'1',207,'N'),(28,7028717,'1A',201,'N'),(28,7028725,'1',103,'N'),(28,7028733,'1',207,'N'),(28,7028741,'1',103,'N'),(28,7028768,'1',552,'N'),(28,7028776,'1',103,'N'),(28,7028792,'1',216,'N'),(28,7028792,'1A',215,'N'),(28,7028806,'1',103,'N'),(28,7028814,'1',207,'N'),(28,7028814,'1A',601,'N'),(28,7028822,'1',454,'N'),(28,7028830,'1',104,'N'),(28,7028849,'1',207,'N'),(28,7028857,'1',208,'N'),(28,7028865,'1',601,'N'),(28,7028865,'1A',202,'N'),(28,7028881,'1',103,'N'),(28,7028890,'1',999,'N'),(28,7028903,'1',203,'N'),(28,7028903,'1A',202,'N'),(28,7028911,'1',327,'N'),(28,7028920,'1',207,'N'),(28,7028938,'1',450,'N'),(28,7028946,'1',201,'N'),(28,7028946,'1A',203,'N'),(28,7028954,'1',216,'N'),(28,7028962,'1',203,'N'),(28,7028962,'1A',202,'N'),(28,7028970,'1',652,'N'),(28,7028970,'1A',655,'N'),(28,7028989,'1',207,'N'),(28,7028989,'1A',201,'N'),(28,7028997,'1',103,'N'),(28,7029004,'1',216,'N'),(28,7029004,'1A',220,'N'),(28,7029039,'1',552,'N'),(28,7029047,'1',203,'N'),(28,7029047,'1A',233,'N'),(28,7029055,'1',108,'N'),(28,7029071,'1',220,'N'),(28,7029071,'1A',201,'N'),(28,7029080,'1',201,'N'),(28,7029080,'1A',207,'N'),(28,7029098,'1',207,'N'),(28,7029101,'1',207,'N'),(28,7029101,'1A',201,'N'),(28,7029110,'1',303,'N'),(28,7029136,'1',207,'N'),(28,7029136,'1A',601,'N'),(28,7029144,'1',212,'N'),(28,7029144,'1A',214,'N'),(28,7029152,'1',104,'N'),(28,7029160,'1',101,'N'),(28,7029179,'1',333,'N'),(28,7029195,'1',212,'N'),(28,7029209,'1',427,'N'),(28,7029209,'1A',421,'N'),(28,7029217,'1',601,'N'),(28,7029217,'1A',652,'N'),(28,7029233,'1',103,'N'),(28,7029241,'1',601,'N'),(28,7029241,'1A',201,'N'),(28,7029268,'1',103,'N'),(28,7029276,'1',203,'N'),(28,7029284,'1',319,'N'),(28,7029292,'1',340,'N'),(28,7029306,'1',319,'N'),(28,7029314,'1',304,'N'),(28,7029322,'1',303,'N'),(28,7029330,'1',301,'N'),(28,7029349,'1',440,'N'),(28,7029357,'1',333,'N'),(28,7029365,'1',5,'N'),(28,7029373,'1',444,'N'),(28,7029381,'1',201,'N'),(28,7029381,'1A',207,'N'),(28,7029403,'1',238,'N'),(28,7029403,'1A',652,'N'),(28,7029411,'1',216,'N'),(28,7029411,'1A',203,'N'),(28,7029420,'1',220,'N'),(28,7029420,'1A',202,'N'),(28,7029438,'1',211,'N'),(28,7029438,'1A',233,'N'),(28,7029446,'1',303,'N'),(28,7029454,'1',203,'N'),(28,7029454,'1A',202,'N'),(28,7029462,'1',5,'N'),(28,7029470,'1',454,'N'),(28,7029489,'1',103,'N'),(28,7029497,'1',303,'N'),(28,7029500,'1',304,'N'),(28,7029519,'1',303,'N'),(28,7029527,'1',404,'N'),(28,7029535,'1',109,'N'),(28,7029543,'1',999,'N'),(28,7029551,'1',102,'N'),(28,7029560,'1',201,'N'),(28,7029560,'1A',203,'N'),(28,7029578,'1',9,'N'),(28,7029586,'1',425,'N'),(28,7029586,'1A',426,'N'),(28,7029594,'1',203,'N'),(28,7029594,'1A',202,'N'),(28,7029608,'1',201,'N'),(28,7029608,'1A',203,'N'),(28,7029616,'1',207,'N'),(28,7029616,'1A',212,'N'),(28,7029632,'1',337,'N'),(28,7029640,'1',999,'N'),(28,7029659,'1',440,'N'),(28,7029675,'1',220,'N'),(28,7029675,'1A',207,'N'),(28,7029683,'1',213,'N'),(28,7029683,'1A',214,'N'),(28,7029691,'1',103,'N'),(28,7029705,'1',316,'N'),(28,7029713,'1',201,'N'),(28,7029713,'1A',212,'N'),(28,7029721,'1',999,'N'),(28,7029748,'1',319,'N'),(28,7029756,'1',201,'N'),(28,7029756,'1A',212,'N'),(28,7029764,'1',201,'N'),(28,7029764,'1A',211,'N'),(28,7029780,'1',207,'N'),(28,7029780,'1A',201,'N'),(28,7029802,'1',103,'N'),(28,7029810,'1',601,'N'),(28,7029810,'1A',214,'N'),(28,7029829,'1',340,'N'),(28,7029853,'1',501,'N'),(28,7029861,'1',655,'N'),(28,7029888,'1',340,'N'),(28,7029896,'1',653,'N'),(28,7029896,'1A',655,'N'),(28,7029918,'1',340,'N'),(28,7029926,'1',5,'N'),(28,7029934,'1',207,'N'),(28,7029934,'1A',201,'N'),(28,7029950,'1',215,'N'),(28,7029950,'1A',211,'N'),(28,7029969,'1',103,'N'),(28,7029977,'1',340,'N'),(28,7029985,'1',103,'N'),(28,7029993,'1',303,'N'),(28,7030010,'1',319,'N'),(28,7030029,'1',213,'N'),(28,7030029,'1A',202,'N'),(28,7030037,'1',308,'N'),(28,7030045,'1',108,'N'),(28,7030061,'1',108,'N'),(28,7030070,'1',220,'N'),(28,7030096,'1',336,'N'),(28,7030100,'1',108,'N'),(28,7030118,'1',324,'N'),(28,7030126,'1',103,'N'),(28,7030142,'1',103,'N'),(28,7030150,'1',103,'N'),(28,7030177,'1',340,'N'),(28,7030185,'1',201,'N'),(28,7030185,'1A',203,'N'),(28,7030193,'1',216,'N'),(28,7030193,'1A',601,'N'),(28,7030207,'1',303,'N'),(28,7030215,'1',103,'N'),(28,7030223,'1',316,'N'),(28,7030240,'1',501,'N'),(28,7030258,'1',207,'N'),(28,7030258,'1A',201,'N'),(28,7030266,'1',415,'N'),(28,7030282,'1',103,'N'),(28,7030290,'1',324,'N'),(28,7030304,'1',316,'N'),(28,7030320,'1',103,'N'),(28,7030339,'1',303,'N'),(28,7030347,'1',207,'N'),(28,7030347,'1A',201,'N'),(28,7030355,'1',318,'N'),(28,7030363,'1',211,'N'),(28,7030363,'1A',216,'N'),(28,7030371,'1',103,'N'),(28,7030380,'1',103,'N'),(28,7030398,'1',202,'N'),(28,7030398,'1A',235,'N'),(28,7030401,'1',426,'N'),(28,7030401,'1A',423,'N'),(28,7030410,'1',203,'N'),(28,7030410,'1A',212,'N'),(28,7030436,'1',202,'N'),(28,7030436,'1A',201,'N'),(28,7030444,'1',211,'N'),(28,7030444,'1A',238,'N'),(28,7030452,'1',317,'N'),(28,7030479,'1',103,'N'),(28,7030487,'1',444,'N'),(28,7030509,'1',203,'N'),(28,7030509,'1A',601,'N'),(28,7030517,'1',103,'N'),(28,7030525,'1',108,'N'),(28,7030533,'1',421,'N'),(28,7030533,'1A',424,'N'),(28,7030541,'1',303,'N'),(28,7030550,'1',102,'N'),(28,7030568,'1',235,'N'),(28,7030568,'1A',213,'N'),(28,7030592,'1',103,'N'),(28,7030606,'1',415,'N'),(28,7030614,'1',444,'N'),(28,7030622,'1',201,'N'),(28,7030622,'1A',211,'N'),(28,7030630,'1',201,'N'),(28,7030630,'1A',238,'N'),(28,7030649,'1',301,'N'),(28,7030657,'1',201,'N'),(28,7030657,'1A',207,'N'),(28,7030665,'1',201,'N'),(28,7030665,'1A',207,'N'),(28,7030673,'1',201,'N'),(28,7030673,'1A',216,'N'),(28,7030681,'1',340,'N'),(28,7030690,'1',454,'N'),(28,7030703,'1',601,'N'),(28,7030703,'1A',201,'N'),(28,7030720,'1',103,'N'),(28,7030738,'1',203,'N'),(28,7030738,'1A',214,'N'),(28,7030746,'1',211,'N'),(28,7030746,'1A',201,'N'),(28,7030754,'1',211,'N'),(28,7030754,'1A',601,'N'),(28,7030762,'1',215,'N'),(28,7030789,'1',319,'N'),(28,7030797,'1',235,'N'),(28,7030797,'1A',238,'N'),(28,7030800,'1',301,'N'),(28,7030819,'1',201,'N'),(28,7030819,'1A',601,'N'),(28,7030835,'1',303,'N'),(28,7030851,'1',103,'N'),(28,7030878,'1',5,'N'),(28,7030894,'1',103,'N'),(28,7030908,'1',207,'N'),(28,7030908,'1A',212,'N'),(28,7030916,'1',415,'N'),(28,7030924,'1',103,'N'),(28,7030932,'1',103,'N'),(28,7030940,'1',234,'N'),(28,7030959,'1',301,'N'),(28,7030967,'1',201,'N'),(28,7030967,'1A',212,'N'),(28,7030983,'1',103,'N'),(28,7030991,'1',103,'N'),(28,7031009,'1',103,'N'),(28,7031017,'1',103,'N'),(28,7031025,'1',415,'N'),(28,7031033,'1',303,'N'),(28,7031041,'1',450,'N'),(28,7031050,'1',103,'N'),(28,7031068,'1',207,'N'),(28,7031068,'1A',201,'N'),(28,7031076,'1',223,'N'),(28,7031084,'1',415,'N'),(28,7031092,'1',220,'N'),(28,7031092,'1A',655,'N'),(28,7031106,'1',319,'N'),(28,7031114,'1',302,'N'),(28,7031122,'1',207,'N'),(28,7031122,'1A',233,'N'),(28,7031130,'1',103,'N'),(28,7031149,'1',340,'N'),(28,7031157,'1',201,'N'),(28,7031157,'1A',216,'N'),(28,7031173,'1',108,'N'),(28,7031181,'1',207,'N'),(28,7031181,'1A',238,'N'),(28,7031211,'1',220,'N'),(28,7031220,'1',303,'N'),(28,7031238,'1',103,'N'),(28,7031246,'1',303,'N'),(28,7031254,'1',316,'N'),(28,7031262,'1',2,'N'),(28,7031270,'1',101,'N'),(28,7031289,'1',653,'N'),(28,7031289,'1A',220,'N'),(28,7031297,'1',203,'N'),(28,7031297,'1A',214,'N'),(28,7031300,'1',319,'N'),(28,7031327,'1',317,'N'),(28,7031335,'1',103,'N'),(28,7031343,'1',333,'N'),(28,7031351,'1',9,'N'),(28,7031360,'1',201,'N'),(28,7031360,'1A',203,'N'),(28,7031386,'1',220,'N'),(28,7031386,'1A',235,'N'),(28,7031394,'1',5,'N'),(28,7031408,'1',103,'N'),(28,7031416,'1',303,'N'),(28,7031424,'1',502,'N'),(28,7031432,'1',318,'N'),(28,7031440,'1',340,'N'),(28,7031459,'1',103,'N'),(28,7031467,'1',501,'N'),(28,7031475,'1',103,'N'),(28,7031483,'1',327,'N'),(28,7031491,'1',5,'N'),(28,7031521,'1',203,'N'),(28,7031521,'1A',201,'N'),(28,7031548,'1',653,'N'),(28,7031548,'1A',655,'N'),(28,7031556,'1',601,'N'),(28,7031556,'1A',233,'N'),(28,7031564,'1',601,'N'),(28,7031564,'1A',203,'N'),(28,7031572,'1',103,'N'),(28,7031580,'1',203,'N'),(28,7031580,'1A',211,'N'),(28,7031599,'1',5,'N'),(28,7031602,'1',103,'N'),(28,7031610,'1',450,'N'),(28,7031629,'1',303,'N'),(28,7031637,'1',208,'N'),(28,7031645,'1',103,'N'),(28,7031653,'1',108,'N'),(28,7031661,'1',454,'N'),(28,7031670,'1',653,'N'),(28,7031670,'1A',216,'N'),(28,7031688,'1',203,'N'),(28,7031688,'1A',220,'N'),(28,7031696,'1',999,'N'),(28,7031718,'1',102,'N'),(28,7031726,'1',552,'N'),(28,7031734,'1',103,'N'),(28,7031742,'1',214,'N'),(28,7031742,'1A',203,'N'),(28,7031750,'1',211,'N'),(28,7031750,'1A',653,'N'),(28,7031769,'1',207,'N'),(28,7031769,'1A',211,'N'),(28,7031785,'1',653,'N'),(28,7031785,'1A',203,'N'),(28,7031793,'1',451,'N'),(28,7031807,'1',215,'N'),(28,7031807,'1A',601,'N'),(28,7031815,'1',203,'N'),(28,7031815,'1A',202,'N'),(28,7031831,'1',109,'N'),(28,7031840,'1',203,'N'),(28,7031840,'1A',216,'N'),(28,7031858,'1',238,'N'),(28,7031858,'1A',235,'N'),(28,7031866,'1',212,'N'),(28,7031866,'1A',213,'N'),(28,7031874,'1',201,'N'),(28,7031874,'1A',212,'N'),(28,7031882,'1',103,'N'),(28,7031890,'1',207,'N'),(28,7031890,'1A',601,'N'),(28,7031904,'1',108,'N'),(28,7031939,'1',404,'N'),(28,7031947,'1',103,'N'),(28,7031955,'1',103,'N'),(28,7031963,'1',215,'N'),(28,7031963,'1A',216,'N'),(28,7031971,'1',214,'N'),(28,7031971,'1A',212,'N'),(28,7031980,'1',103,'N'),(28,7031998,'1',103,'N'),(28,7032005,'1',214,'N'),(28,7032005,'1A',213,'N'),(28,7032030,'1',201,'N'),(28,7032030,'1A',216,'N'),(28,7032048,'1',601,'N'),(28,7032048,'1A',216,'N'),(28,7032056,'1',326,'N'),(28,7032064,'1',211,'N'),(28,7032064,'1A',216,'N'),(28,7032072,'1',211,'N'),(28,7032080,'1',103,'N'),(28,7032099,'1',211,'N'),(28,7032099,'1A',233,'N'),(28,7032102,'1',238,'N'),(28,7032102,'1A',213,'N'),(28,7032110,'1',101,'N'),(28,7032129,'1',103,'N'),(28,7032137,'1',103,'N'),(28,7032145,'1',103,'N'),(28,7032161,'1',5,'N'),(28,7032170,'1',999,'N'),(28,7032188,'1',5,'N'),(28,7032196,'1',303,'N'),(28,7032218,'1',207,'N'),(28,7032226,'1',103,'N'),(28,7032234,'1',5,'N'),(28,7032242,'1',308,'N'),(28,7032250,'1',103,'N'),(28,7032269,'1',340,'N'),(28,7032277,'1',501,'N'),(28,7032285,'1',317,'N'),(28,7032293,'1',201,'N'),(28,7032293,'1A',212,'N'),(28,7032307,'1',103,'N'),(28,7032315,'1',552,'N'),(28,7032323,'1',5,'N'),(28,7032358,'1',203,'N'),(28,7032358,'1A',235,'N'),(28,7032366,'1',304,'N'),(28,7032374,'1',201,'N'),(28,7032374,'1A',215,'N'),(28,7032382,'1',109,'N'),(28,7032390,'1',201,'N'),(28,7032390,'1A',212,'N'),(28,7032404,'1',216,'N'),(28,7032404,'1A',211,'N'),(28,7032412,'1',207,'N'),(28,7032420,'1',103,'N'),(28,7032447,'1',5,'N'),(28,7032463,'1',216,'N'),(28,7032463,'1A',233,'N'),(28,7032480,'1',233,'N'),(28,7032480,'1A',215,'N'),(28,7032501,'1',109,'N'),(28,7032510,'1',501,'N'),(28,7032528,'1',103,'N'),(28,7032536,'1',103,'N'),(28,7032544,'1',5,'N'),(28,7032552,'1',5,'N'),(28,7032560,'1',216,'N'),(28,7032560,'1A',215,'N'),(28,7032587,'1',220,'N'),(28,7032587,'1A',601,'N'),(28,7032595,'1',103,'N'),(28,7032617,'1',103,'N'),(28,7032625,'1',234,'N'),(28,7032633,'1',308,'N'),(28,7032641,'1',216,'N'),(28,7032676,'1',301,'N'),(28,7032684,'1',103,'N'),(28,7032692,'1',202,'N'),(28,7032692,'1A',213,'N'),(28,7032706,'1',207,'N'),(28,7032706,'1A',233,'N'),(28,7032722,'1',340,'N'),(28,7032730,'1',301,'N'),(28,7032749,'1',203,'N'),(28,7032749,'1A',233,'N'),(28,7032765,'1',216,'N'),(28,7032765,'1A',233,'N'),(28,7032773,'1',207,'N'),(28,7032781,'1',103,'N'),(28,7032790,'1',207,'N'),(28,7032803,'1',201,'N'),(28,7032803,'1A',213,'N'),(28,7032811,'1',103,'N'),(28,7032820,'1',202,'N'),(28,7032820,'1A',213,'N'),(28,7032838,'1',103,'N'),(28,7032846,'1',103,'N'),(28,7032854,'1',653,'N'),(28,7032854,'1A',207,'N'),(28,7032862,'1',440,'N'),(28,7032870,'1',999,'N'),(28,7032889,'1',212,'N'),(28,7032889,'1A',216,'N'),(28,7032897,'1',301,'N'),(28,7032919,'1',340,'N'),(28,7032935,'1',454,'N'),(28,7032943,'1',303,'N'),(28,7032951,'1',103,'N'),(28,7032978,'1',501,'N'),(28,7032986,'1',207,'N'),(28,7032986,'1A',201,'N'),(28,7032994,'1',339,'N'),(28,7033001,'1',103,'N'),(28,7033028,'1',5,'N'),(28,7033044,'1',103,'N'),(28,7033052,'1',333,'N'),(28,7033060,'1',5,'N'),(28,7033079,'1',104,'N'),(28,7033087,'1',454,'N'),(28,7033095,'1',454,'N'),(28,7033109,'1',103,'N'),(28,7033117,'1',454,'N'),(28,7033125,'1',103,'N'),(28,7033141,'1',103,'N'),(28,7033150,'1',103,'N'),(28,7033168,'1',201,'N'),(28,7033168,'1A',207,'N'),(28,7033176,'1',103,'N'),(28,7033184,'1',103,'N'),(28,7033192,'1',207,'N'),(28,7033192,'1A',212,'N'),(28,7033222,'1',454,'N'),(28,7033230,'1',207,'N'),(28,7033257,'1',216,'N'),(28,7033257,'1A',214,'N'),(28,7033265,'1',211,'N'),(28,7033265,'1A',215,'N'),(28,7033290,'1',303,'N'),(28,7033303,'1',340,'N'),(28,7033311,'1',999,'N'),(28,7033320,'1',303,'N'),(28,7033338,'1',216,'N'),(28,7033346,'1',104,'N'),(28,7033354,'1',450,'N'),(28,7033362,'1',404,'N'),(28,7033370,'1',211,'N'),(28,7033389,'1',201,'N'),(28,7033389,'1A',238,'N'),(28,7033397,'1',214,'N'),(28,7033397,'1A',207,'N'),(28,7033400,'1',201,'N'),(28,7033400,'1A',203,'N'),(28,7033427,'1',203,'N'),(28,7033427,'1A',214,'N'),(28,7033443,'1',999,'N'),(28,7033451,'1',203,'N'),(28,7033451,'1A',220,'N'),(28,7033460,'1',303,'N'),(28,7033478,'1',441,'N'),(28,7033486,'1',203,'N'),(28,7033486,'1A',601,'N'),(28,7033494,'1',103,'N'),(28,7033508,'1',302,'N'),(28,7033516,'1',304,'N'),(28,7033532,'1',303,'N'),(28,7033540,'1',454,'N'),(28,7033559,'1',201,'N'),(28,7033559,'1A',212,'N'),(28,7033567,'1',340,'N'),(28,7033575,'1',337,'N'),(28,7033583,'1',337,'N'),(28,7033591,'1',5,'N'),(28,7033605,'1',103,'N'),(28,7033613,'1',103,'N'),(28,7033621,'1',601,'N'),(28,7033621,'1A',213,'N'),(28,7033630,'1',415,'N'),(28,7033648,'1',5,'N'),(28,7033656,'1',208,'N'),(28,7033664,'1',103,'N'),(28,7033672,'1',415,'N'),(28,7033680,'1',103,'N'),(28,7033702,'1',104,'N'),(28,7033710,'1',5,'N'),(28,7033729,'1',102,'N'),(28,7033737,'1',103,'N'),(28,7033745,'1',214,'N'),(28,7033745,'1A',203,'N'),(28,7033753,'1',103,'N'),(28,7033761,'1',235,'N'),(28,7033761,'1A',213,'N'),(28,7033770,'1',104,'N'),(28,7033788,'1',501,'N'),(28,7033796,'1',454,'N'),(28,7033800,'1',340,'N'),(28,7033834,'1',102,'N'),(28,7033842,'1',103,'N'),(28,7033850,'1',207,'N'),(28,7033850,'1A',201,'N'),(28,7033869,'1',201,'N'),(28,7033869,'1A',212,'N'),(28,7033877,'1',316,'N'),(28,7033885,'1',216,'N'),(28,7033885,'1A',233,'N'),(28,7033893,'1',319,'N'),(28,7033915,'1',103,'N'),(28,7033923,'1',203,'N'),(28,7033923,'1A',212,'N'),(28,7033931,'1',103,'N'),(28,7033940,'1',103,'N'),(28,7033982,'1',201,'N'),(28,7034008,'1',103,'N'),(28,7034016,'1',317,'N'),(28,7034024,'1',103,'N'),(28,7034032,'1',103,'N'),(28,7034059,'1',203,'N'),(28,7034059,'1A',216,'N'),(28,7034075,'1',5,'N'),(28,7034083,'1',9,'N'),(28,7034091,'1',215,'N'),(28,7034091,'1A',211,'N'),(28,7034105,'1',415,'N'),(28,7034113,'1',103,'N'),(28,7034121,'1',103,'N'),(28,7034130,'1',340,'N'),(28,7034156,'1',303,'N'),(28,7034199,'1',103,'N'),(28,7034202,'1',103,'N'),(28,7034210,'1',337,'N'),(28,7034229,'1',652,'N'),(28,7034229,'1A',655,'N'),(28,7034237,'1',340,'N'),(28,7034245,'1',316,'N'),(28,7034253,'1',319,'N'),(28,7034261,'1',201,'N'),(28,7034261,'1A',203,'N'),(28,7034270,'1',235,'N'),(28,7034270,'1A',211,'N'),(28,7034288,'1',108,'N'),(28,7034296,'1',211,'N'),(28,7034296,'1A',201,'N'),(28,7034300,'1',999,'N'),(28,7034318,'1',340,'N'),(28,7034326,'1',319,'N'),(28,7034334,'1',203,'N'),(28,7034334,'1A',202,'N'),(28,7034342,'1',304,'N'),(28,7034350,'1',303,'N'),(28,7034369,'1',212,'N'),(28,7034369,'1A',207,'N'),(28,7034377,'1',5,'N'),(28,7034385,'1',339,'N'),(28,7034393,'1',102,'N'),(28,7034407,'1',234,'N'),(28,7034415,'1',203,'N'),(28,7034415,'1A',216,'N'),(28,7034423,'1',103,'N'),(28,7034431,'1',303,'N'),(28,7034440,'1',302,'N'),(28,7034458,'1',103,'N'),(28,7034466,'1',216,'N'),(28,7034466,'1A',215,'N'),(28,7034474,'1',5,'N'),(28,7034482,'1',203,'N'),(28,7034482,'1A',201,'N'),(28,7034490,'1',653,'N'),(28,7034490,'1A',655,'N'),(28,7034504,'1',101,'N'),(28,7034512,'1',428,'N'),(28,7034512,'1A',423,'N'),(28,7034520,'1',220,'N'),(28,7034539,'1',303,'N'),(28,7034547,'1',103,'N'),(28,7034555,'1',216,'N'),(28,7034555,'1A',215,'N'),(28,7034563,'1',220,'N'),(28,7034563,'1A',235,'N'),(28,7034571,'1',319,'N'),(28,7034580,'1',103,'N'),(28,7034598,'1',9,'N'),(28,7034610,'1',216,'N'),(28,7034610,'1A',601,'N'),(28,7034628,'1',201,'N'),(28,7034628,'1A',203,'N'),(28,7034636,'1',216,'N'),(28,7034636,'1A',233,'N'),(28,7034644,'1',201,'N'),(28,7034644,'1A',212,'N'),(28,7034652,'1',238,'N'),(28,7034652,'1A',235,'N'),(28,7034660,'1',203,'N'),(28,7034660,'1A',233,'N'),(28,7034679,'1',415,'N'),(28,7034687,'1',216,'N'),(28,7034687,'1A',655,'N'),(28,7034695,'1',103,'N'),(28,7034725,'1',326,'N'),(28,7034768,'1',415,'N'),(28,7034776,'1',317,'N'),(28,7034784,'1',202,'N'),(28,7034784,'1A',213,'N'),(28,7034792,'1',214,'N'),(28,7034792,'1A',202,'N'),(28,7034806,'1',999,'N'),(28,7034814,'1',207,'N'),(28,7034814,'1A',601,'N'),(28,7034830,'1',202,'N'),(28,7034830,'1A',653,'N'),(28,7034849,'1',103,'N'),(28,7034857,'1',415,'N'),(28,7034865,'1',102,'N'),(28,7034873,'1',102,'N'),(28,7034881,'1',301,'N'),(28,7034890,'1',601,'N'),(28,7034890,'1A',220,'N'),(28,7034903,'1',238,'N'),(28,7034903,'1A',235,'N'),(28,7034920,'1',336,'N'),(28,7034938,'1',215,'N'),(28,7034938,'1A',233,'N'),(28,7034946,'1',303,'N'),(28,7034954,'1',220,'N'),(28,7034954,'1A',214,'N'),(28,7034962,'1',552,'N'),(28,7034989,'1',233,'N'),(28,7034989,'1A',214,'N'),(28,7034997,'1',454,'N'),(28,7035004,'1',502,'N'),(28,7035012,'1',423,'N'),(28,7035012,'1A',428,'N'),(28,7035020,'1',303,'N'),(28,7035039,'1',214,'N'),(28,7035039,'1A',220,'N'),(28,7035047,'1',440,'N'),(28,7035063,'1',551,'N'),(28,7035071,'1',207,'N'),(28,7035071,'1A',216,'N'),(28,7035101,'1',454,'N'),(28,7035110,'1',202,'N'),(28,7035110,'1A',203,'N'),(28,7035128,'1',454,'N'),(28,7035136,'1',104,'N'),(28,7035144,'1',103,'N'),(28,7035152,'1',216,'N'),(28,7035152,'1A',220,'N'),(28,7035179,'1',3,'N'),(28,7035187,'1',201,'N'),(28,7035187,'1A',202,'N'),(28,7035195,'1',202,'N'),(28,7035195,'1A',235,'N'),(28,7035217,'1',333,'N'),(28,7035225,'1',103,'N'),(28,7035233,'1',202,'N'),(28,7035233,'1A',213,'N'),(28,7035250,'1',103,'N'),(28,7035276,'1',211,'N'),(28,7035276,'1A',214,'N'),(28,7035284,'1',340,'N'),(28,7035292,'1',203,'N'),(28,7035292,'1A',220,'N'),(28,7035314,'1',208,'N'),(28,7035330,'1',103,'N'),(28,7035349,'1',103,'N'),(28,7035357,'1',103,'N'),(28,7035365,'1',2,'N'),(28,7035373,'1',103,'N'),(28,7035381,'1',101,'N'),(28,7035390,'1',999,'N'),(28,7035403,'1',304,'N'),(28,7035411,'1',104,'N'),(28,7035438,'1',103,'N'),(28,7035454,'1',319,'N'),(28,7035497,'1',103,'N'),(28,7035519,'1',216,'N'),(28,7035519,'1A',214,'N'),(28,7035527,'1',201,'N'),(28,7035527,'1A',216,'N'),(28,7035535,'1',201,'N'),(28,7035535,'1A',215,'N'),(28,7035543,'1',108,'N'),(28,7035551,'1',340,'N'),(28,7035560,'1',103,'N'),(28,7035578,'1',103,'N'),(28,7035586,'1',211,'N'),(28,7035586,'1A',213,'N'),(28,7035594,'1',654,'N'),(28,7035608,'1',201,'N'),(28,7035608,'1A',207,'N'),(28,7035616,'1',104,'N'),(28,7035640,'1',211,'N'),(28,7035640,'1A',653,'N'),(28,7035659,'1',429,'N'),(28,7035659,'1A',426,'N'),(28,7035667,'1',201,'N'),(28,7035667,'1A',213,'N'),(28,7035675,'1',103,'N'),(28,7035691,'1',201,'N'),(28,7035691,'1A',212,'N'),(28,7035705,'1',317,'N'),(28,7035721,'1',103,'N'),(28,7035730,'1',103,'N'),(28,7035748,'1',207,'N'),(28,7035748,'1A',211,'N'),(28,7035756,'1',203,'N'),(28,7035756,'1A',202,'N'),(28,7035780,'1',104,'N'),(28,7035799,'1',220,'N'),(28,7035799,'1A',203,'N'),(28,7035802,'1',201,'N'),(28,7035802,'1A',211,'N'),(28,7035829,'1',207,'N'),(28,7035829,'1A',213,'N'),(28,7035837,'1',454,'N'),(28,7035845,'1',454,'N'),(28,7035853,'1',108,'N'),(28,7035870,'1',202,'N'),(28,7035870,'1A',235,'N'),(28,7035896,'1',316,'N'),(28,7035900,'1',336,'N'),(28,7035934,'1',214,'N'),(28,7035934,'1A',203,'N'),(28,7035950,'1',104,'N'),(28,7035969,'1',103,'N'),(28,7035977,'1',5,'N'),(28,7035993,'1',333,'N'),(28,7036019,'1',9,'N'),(28,7036027,'1',303,'N'),(28,7036035,'1',319,'N'),(28,7036043,'1',999,'N'),(28,7036051,'1',211,'N'),(28,7036060,'1',421,'N'),(28,7036060,'1A',424,'N'),(28,7036078,'1',104,'N'),(28,7036086,'1',333,'N'),(28,7036094,'1',999,'N'),(28,7036108,'1',103,'N'),(28,7036116,'1',552,'N'),(28,7036124,'1',103,'N'),(28,7036132,'1',302,'N'),(28,7036140,'1',203,'N'),(28,7036140,'1A',201,'N'),(28,7036159,'1',655,'N'),(28,7036167,'1',101,'N'),(28,7036175,'1',109,'N'),(28,7036183,'1',211,'N'),(28,7036191,'1',104,'N'),(28,7036205,'1',340,'N'),(28,7036213,'1',212,'N'),(28,7036213,'1A',652,'N'),(28,7036221,'1',331,'N'),(28,7036230,'1',654,'N'),(28,7036248,'1',303,'N'),(28,7036256,'1',501,'N'),(28,7036272,'1',233,'N'),(28,7036272,'1A',211,'N'),(28,7036280,'1',207,'N'),(28,7036280,'1A',233,'N'),(28,7036299,'1',104,'N'),(28,7036302,'1',103,'N'),(28,7036310,'1',103,'N'),(28,7036329,'1',103,'N'),(28,7036337,'1',220,'N'),(28,7036337,'1A',202,'N'),(28,7036345,'1',601,'N'),(28,7036345,'1A',203,'N'),(28,7036353,'1',211,'N'),(28,7036361,'1',454,'N'),(28,7036388,'1',309,'N'),(28,7036400,'1',601,'N'),(28,7036400,'1A',207,'N'),(28,7036418,'1',103,'N'),(28,7036434,'1',454,'N'),(28,7036442,'1',415,'N'),(28,7036450,'1',203,'N'),(28,7036450,'1A',601,'N'),(28,7036469,'1',552,'N'),(28,7036477,'1',340,'N'),(28,7036485,'1',103,'N'),(28,7036493,'1',212,'N'),(28,7036493,'1A',214,'N'),(28,7036507,'1',103,'N'),(28,7036515,'1',301,'N'),(28,7036523,'1',303,'N'),(28,7036531,'1',207,'N'),(28,7036531,'1A',201,'N'),(28,7036558,'1',302,'N'),(28,7036566,'1',103,'N'),(28,7036574,'1',103,'N'),(28,7036582,'1',238,'N'),(28,7036582,'1A',652,'N'),(28,7036590,'1',319,'N'),(28,7036604,'1',222,'N'),(28,7036612,'1',201,'N'),(28,7036612,'1A',212,'N'),(28,7036620,'1',2,'N'),(28,7036639,'1',103,'N'),(28,7036655,'1',319,'N'),(28,7036680,'1',552,'N'),(28,7036698,'1',103,'N'),(28,7036701,'1',5,'N'),(28,7036710,'1',333,'N'),(28,7036728,'1',238,'N'),(28,7036728,'1A',652,'N'),(28,7036744,'1',103,'N'),(28,7036752,'1',303,'N'),(28,7036760,'1',108,'N'),(28,7036779,'1',2,'N'),(28,7036787,'1',203,'N'),(28,7036787,'1A',201,'N'),(28,7036795,'1',501,'N'),(28,7036817,'1',450,'N'),(28,7036825,'1',103,'N'),(28,7036833,'1',327,'N'),(28,7036841,'1',108,'N'),(28,7036868,'1',201,'N'),(28,7036868,'1A',233,'N'),(28,7036876,'1',216,'N'),(28,7036876,'1A',201,'N'),(28,7036884,'1',216,'N'),(28,7036906,'1',340,'N'),(28,7036914,'1',201,'N'),(28,7036914,'1A',212,'N'),(28,7036922,'1',103,'N'),(28,7036930,'1',454,'N'),(28,7036949,'1',653,'N'),(28,7036949,'1A',601,'N'),(28,7036957,'1',103,'N'),(28,7036965,'1',103,'N'),(28,7036973,'1',216,'N'),(28,7036973,'1A',215,'N'),(28,7036981,'1',319,'N'),(28,7036990,'1',303,'N'),(28,7037007,'1',308,'N'),(28,7037023,'1',552,'N'),(28,7037031,'1',3,'N'),(28,7037040,'1',601,'N'),(28,7037066,'1',304,'N'),(28,7037082,'1',317,'N'),(28,7037104,'1',104,'N'),(28,7037112,'1',333,'N'),(28,7037147,'1',340,'N'),(28,7037155,'1',201,'N'),(28,7037155,'1A',203,'N'),(28,7037163,'1',203,'N'),(28,7037163,'1A',201,'N'),(28,7037171,'1',340,'N'),(28,7037180,'1',103,'N'),(28,7037198,'1',203,'N'),(28,7037198,'1A',201,'N'),(28,7037201,'1',216,'N'),(28,7037201,'1A',214,'N'),(28,7037210,'1',318,'N'),(28,7037228,'1',103,'N'),(28,7037236,'1',301,'N'),(28,7037244,'1',207,'N'),(28,7037244,'1A',201,'N'),(28,7037252,'1',324,'N'),(28,7037260,'1',235,'N'),(28,7037260,'1A',655,'N'),(28,7037279,'1',103,'N'),(28,7037287,'1',552,'N'),(28,7037295,'1',207,'N'),(28,7037295,'1A',211,'N'),(28,7037309,'1',103,'N'),(28,7037317,'1',340,'N'),(28,7037325,'1',303,'N'),(28,7037333,'1',235,'N'),(28,7037333,'1A',601,'N'),(28,7037341,'1',102,'N'),(28,7037350,'1',202,'N'),(28,7037350,'1A',235,'N'),(28,7037368,'1',102,'N'),(28,7037376,'1',214,'N'),(28,7037376,'1A',212,'N'),(28,7037384,'1',220,'N'),(28,7037384,'1A',201,'N'),(28,7037392,'1',3,'N'),(28,7037414,'1',303,'N'),(28,7037422,'1',316,'N'),(28,7037430,'1',211,'N'),(28,7037430,'1A',207,'N'),(28,7037449,'1',220,'N'),(28,7037449,'1A',201,'N'),(28,7037457,'1',220,'N'),(28,7037457,'1A',203,'N'),(28,7037465,'1',103,'N'),(28,7037473,'1',203,'N'),(28,7037473,'1A',214,'N'),(28,7037481,'1',235,'N'),(28,7037481,'1A',220,'N'),(28,7037490,'1',220,'N'),(28,7037490,'1A',235,'N'),(28,7037503,'1',450,'N'),(28,7037511,'1',336,'N'),(28,7037520,'1',103,'N'),(28,7037538,'1',425,'N'),(28,7037538,'1A',429,'N'),(28,7037546,'1',238,'N'),(28,7037546,'1A',214,'N'),(28,7037554,'1',238,'N'),(28,7037554,'1A',201,'N'),(28,7037562,'1',303,'N'),(28,7037570,'1',327,'N'),(28,7037589,'1',454,'N'),(28,7037597,'1',415,'N'),(28,7037600,'1',103,'N'),(28,7037619,'1',5,'N'),(28,7037627,'1',201,'N'),(28,7037627,'1A',202,'N'),(28,7037635,'1',5,'N'),(28,7037643,'1',552,'N'),(28,7037660,'1',336,'N'),(28,7037678,'1',108,'N'),(28,7037686,'1',103,'N'),(28,7037694,'1',103,'N'),(28,7037708,'1',110,'N'),(28,7037716,'1',601,'N'),(28,7037716,'1A',211,'N'),(28,7037724,'1',101,'N'),(28,7037732,'1',3,'N'),(28,7037740,'1',207,'N'),(28,7037740,'1A',215,'N'),(28,7037783,'1',303,'N'),(28,7037791,'1',202,'N'),(28,7037791,'1A',201,'N'),(28,7037805,'1',303,'N'),(28,7037813,'1',319,'N'),(28,7037821,'1',340,'N'),(28,7037830,'1',202,'N'),(28,7037830,'1A',203,'N'),(28,7037856,'1',108,'N'),(28,7037864,'1',316,'N'),(28,7037899,'1',211,'N'),(28,7037899,'1A',215,'N'),(28,7037902,'1',339,'N'),(28,7037910,'1',211,'N'),(28,7037929,'1',108,'N'),(28,7037937,'1',104,'N'),(28,7037945,'1',450,'N'),(28,7037953,'1',326,'N'),(28,7037961,'1',316,'N'),(28,7037970,'1',202,'N'),(28,7037970,'1A',220,'N'),(28,7037988,'1',201,'N'),(28,7037988,'1A',653,'N'),(28,7037996,'1',203,'N'),(28,7037996,'1A',601,'N'),(28,7038011,'1',303,'N'),(28,7038020,'1',340,'N'),(28,7038038,'1',601,'N'),(28,7038038,'1A',216,'N'),(28,7038046,'1',309,'N'),(28,7038054,'1',404,'N'),(28,7038062,'1',425,'N'),(28,7038062,'1A',429,'N'),(28,7038070,'1',319,'N'),(28,7038089,'1',601,'N'),(28,7038089,'1A',215,'N'),(28,7038127,'1',104,'N'),(28,7038135,'1',339,'N'),(28,7038143,'1',320,'N'),(28,7038151,'1',101,'N'),(28,7038160,'1',103,'N'),(28,7038178,'1',308,'N'),(28,7038194,'1',332,'N'),(28,7038208,'1',303,'N'),(28,7038216,'1',207,'N'),(28,7038216,'1A',211,'N'),(28,7038224,'1',5,'N'),(28,7038232,'1',440,'N'),(28,7038267,'1',2,'N'),(28,7038275,'1',104,'N'),(28,7038283,'1',212,'N'),(28,7038283,'1A',214,'N'),(28,7038291,'1',652,'N'),(28,7038291,'1A',655,'N'),(28,7038305,'1',601,'N'),(28,7038305,'1A',202,'N'),(28,7038313,'1',333,'N'),(28,7038321,'1',207,'N'),(28,7038321,'1A',203,'N'),(28,7038330,'1',450,'N'),(28,7038348,'1',5,'N'),(28,7038356,'1',316,'N'),(28,7038364,'1',318,'N'),(28,7038372,'1',201,'N'),(28,7038372,'1A',235,'N'),(28,7038380,'1',451,'N'),(28,7038402,'1',211,'N'),(28,7038402,'1A',212,'N'),(28,7038429,'1',601,'N'),(28,7038429,'1A',203,'N'),(28,7038445,'1',454,'N'),(28,7038461,'1',216,'N'),(28,7038461,'1A',207,'N'),(28,7038470,'1',3,'N'),(28,7038496,'1',211,'N'),(28,7038496,'1A',202,'N'),(28,7038518,'1',201,'N'),(28,7038518,'1A',233,'N'),(28,7038526,'1',333,'N'),(28,7038542,'1',216,'N'),(28,7038542,'1A',203,'N'),(28,7038550,'1',108,'N'),(28,7038569,'1',340,'N'),(28,7038577,'1',103,'N'),(28,7038615,'1',340,'N'),(28,7038623,'1',216,'N'),(28,7038623,'1A',215,'N'),(28,7038631,'1',999,'N'),(28,7038640,'1',103,'N'),(28,7038658,'1',324,'N'),(28,7038674,'1',103,'N'),(28,7038704,'1',213,'N'),(28,7038704,'1A',235,'N'),(28,7038712,'1',101,'N'),(28,7038747,'1',103,'N'),(28,7038755,'1',303,'N'),(28,7038763,'1',339,'N'),(28,7038771,'1',103,'N'),(28,7038798,'1',316,'N'),(28,7038801,'1',340,'N'),(28,7038810,'1',316,'N'),(28,7038836,'1',104,'N'),(28,7038844,'1',329,'N'),(28,7038852,'1',654,'N'),(28,7038860,'1',207,'N'),(28,7038860,'1A',211,'N'),(28,7038887,'1',207,'N'),(28,7038887,'1A',201,'N'),(28,7038895,'1',103,'N'),(28,7038917,'1',203,'N'),(28,7038917,'1A',214,'N'),(28,7038933,'1',316,'N'),(28,7038941,'1',5,'N'),(28,7038950,'1',207,'N'),(28,7038950,'1A',201,'N'),(28,7038968,'1',317,'N'),(28,7038976,'1',108,'N'),(28,7038984,'1',316,'N'),(28,7038992,'1',601,'N'),(28,7039000,'1',552,'N'),(28,7039018,'1',103,'N'),(28,7039026,'1',454,'N'),(28,7039042,'1',415,'N'),(28,7039069,'1',303,'N'),(28,7039077,'1',102,'N'),(28,7039093,'1',103,'N'),(28,7039107,'1',450,'N'),(28,7039115,'1',454,'N'),(28,7039123,'1',340,'N'),(28,7039131,'1',502,'N'),(28,7039140,'1',212,'N'),(28,7039140,'1A',601,'N'),(28,7039158,'1',601,'N'),(28,7039166,'1',102,'N'),(28,7039174,'1',552,'N'),(28,7039182,'1',104,'N'),(28,7039190,'1',454,'N'),(28,7039204,'1',655,'N'),(28,7039204,'1A',652,'N'),(28,7039212,'1',303,'N'),(28,7039220,'1',103,'N'),(28,7039239,'1',333,'N'),(28,7039247,'1',233,'N'),(28,7039247,'1A',216,'N'),(28,7039255,'1',103,'N'),(28,7039298,'1',103,'N'),(28,7039310,'1',213,'N'),(28,7039310,'1A',212,'N'),(28,7039328,'1',207,'N'),(28,7039344,'1',450,'N'),(28,7039352,'1',103,'N'),(28,7039360,'1',301,'N'),(28,7039379,'1',332,'N'),(28,7039387,'1',316,'N'),(28,7039409,'1',501,'N'),(28,7039417,'1',340,'N'),(28,7039425,'1',335,'N'),(28,7039506,'1',415,'N'),(28,7039514,'1',201,'N'),(28,7039514,'1A',216,'N'),(28,7039530,'1',309,'N'),(28,7039565,'1',552,'N'),(28,7039573,'1',103,'N'),(28,7039590,'1',103,'N'),(28,7039603,'1',108,'N'),(28,7039611,'1',335,'N'),(28,7039620,'1',103,'N'),(28,7039638,'1',316,'N'),(28,7039646,'1',238,'N'),(28,7039646,'1A',235,'N'),(28,7039654,'1',103,'N'),(28,7039662,'1',211,'N'),(28,7039662,'1A',233,'N'),(28,7039670,'1',103,'N'),(28,7039689,'1',103,'N'),(28,7039735,'1',655,'N'),(28,7039735,'1A',653,'N'),(28,7039743,'1',5,'N'),(28,7039751,'1',103,'N'),(28,7039760,'1',211,'N'),(28,7039760,'1A',207,'N'),(28,7039778,'1',601,'N'),(28,7039778,'1A',203,'N'),(28,7039786,'1',104,'N'),(28,7039794,'1',319,'N'),(28,7039832,'1',338,'N'),(28,7039840,'1',319,'N'),(28,7039875,'1',5,'N'),(28,7039883,'1',109,'N'),(28,7039891,'1',103,'N'),(28,7039905,'1',103,'N'),(28,7039921,'1',337,'N'),(28,7039930,'1',454,'N'),(28,7039964,'1',454,'N'),(28,7039980,'1',103,'N'),(28,7039999,'1',103,'N'),(28,7040016,'1',216,'N'),(28,7040016,'1A',211,'N'),(28,7040024,'1',303,'N'),(28,7040032,'1',201,'N'),(28,7040032,'1A',220,'N'),(28,7040040,'1',308,'N'),(28,7040059,'1',303,'N'),(28,7040083,'1',103,'N'),(28,7040091,'1',103,'N'),(28,7040105,'1',454,'N'),(28,7040113,'1',999,'N'),(28,7040121,'1',9,'N'),(28,7040130,'1',333,'N'),(28,7040148,'1',103,'N'),(28,7040156,'1',5,'N'),(28,7040172,'1',316,'N'),(28,7040180,'1',5,'N'),(28,7040199,'1',103,'N'),(28,7040202,'1',238,'N'),(28,7040210,'1',208,'N'),(28,7040229,'1',207,'N'),(28,7040229,'1A',201,'N'),(28,7040237,'1',339,'N'),(28,7040245,'1',601,'N'),(28,7040253,'1',552,'N'),(28,7040261,'1',103,'N'),(28,7040270,'1',103,'N'),(28,7040288,'1',319,'N'),(28,7040300,'1',425,'N'),(28,7040300,'1A',428,'N'),(28,7040318,'1',110,'N'),(28,7040326,'1',103,'N'),(28,7040334,'1',103,'N'),(28,7040342,'1',103,'N'),(28,7040377,'1',103,'N'),(28,7040385,'1',103,'N'),(28,7040415,'1',551,'N'),(28,7040423,'1',103,'N'),(28,7040440,'1',103,'N'),(28,7040458,'1',103,'N'),(28,7040466,'1',317,'N'),(28,7040474,'1',201,'N'),(28,7040474,'1A',215,'N'),(28,7040482,'1',303,'N'),(28,7040490,'1',103,'N'),(28,7040504,'1',238,'N'),(28,7040504,'1A',213,'N'),(28,7040512,'1',503,'N'),(28,7040520,'1',238,'N'),(28,7040547,'1',211,'N'),(28,7040547,'1A',201,'N'),(28,7040555,'1',103,'N'),(28,7040563,'1',302,'N'),(28,7040571,'1',207,'N'),(28,7040571,'1A',201,'N'),(28,7040580,'1',110,'N'),(28,7040598,'1',102,'N'),(28,7040601,'1',336,'N'),(28,7040610,'1',201,'N'),(28,7040610,'1A',212,'N'),(28,7040628,'1',207,'N'),(28,7040628,'1A',238,'N'),(28,7040636,'1',103,'N'),(28,7040644,'1',103,'N'),(28,7040660,'1',303,'N'),(28,7040679,'1',319,'N'),(28,7040687,'1',214,'N'),(28,7040687,'1A',213,'N'),(28,7040717,'1',5,'N'),(28,7040725,'1',234,'N'),(28,7040741,'1',108,'N'),(28,7040750,'1',207,'N'),(28,7040768,'1',444,'N'),(28,7040776,'1',340,'N'),(28,7040784,'1',316,'N'),(28,7040792,'1',208,'N'),(28,7040814,'1',103,'N'),(28,7040830,'1',333,'N'),(28,7040849,'1',216,'N'),(28,7040849,'1A',212,'N'),(28,7040873,'1',444,'N'),(28,7040903,'1',103,'N'),(28,7040911,'1',220,'N'),(28,7040920,'1',205,'N'),(28,7040946,'1',103,'N'),(28,7040954,'1',316,'N'),(28,7040970,'1',108,'N'),(28,7040989,'1',316,'N'),(28,7041004,'1',103,'N'),(28,7041012,'1',601,'N'),(28,7041012,'1A',214,'N'),(28,7041047,'1',103,'N'),(28,7041055,'1',104,'N'),(28,7041071,'1',201,'N'),(28,7041071,'1A',207,'N'),(28,7041080,'1',207,'N'),(28,7041080,'1A',211,'N'),(28,7041098,'1',215,'N'),(28,7041098,'1A',203,'N'),(28,7041101,'1',234,'N'),(28,7041110,'1',601,'N'),(28,7041110,'1A',207,'N'),(28,7041136,'1',302,'N'),(28,7041152,'1',103,'N'),(28,7041160,'1',103,'N'),(28,7041179,'1',655,'N'),(28,7041179,'1A',201,'N'),(28,7041187,'1',333,'N'),(28,7041195,'1',103,'N'),(28,7041209,'1',216,'N'),(28,7041209,'1A',201,'N'),(28,7041225,'1',108,'N'),(28,7041233,'1',103,'N'),(28,7041276,'1',552,'N'),(28,7041330,'1',201,'N'),(28,7041330,'1A',233,'N'),(28,7041349,'1',309,'N'),(28,7041357,'1',103,'N'),(28,7041365,'1',214,'N'),(28,7041365,'1A',601,'N'),(28,7041373,'1',103,'N'),(28,7041403,'1',317,'N'),(28,7041411,'1',238,'N'),(28,7041411,'1A',211,'N'),(28,7041438,'1',238,'N'),(28,7041438,'1A',207,'N'),(28,7041454,'1',601,'N'),(28,7041454,'1A',201,'N'),(28,7041470,'1',103,'N'),(28,7041497,'1',103,'N'),(28,7041519,'1',103,'N'),(28,7041527,'1',110,'N'),(28,7041535,'1',317,'N'),(28,7041543,'1',552,'N'),(28,7041551,'1',5,'N'),(28,7041560,'1',208,'N'),(28,7041578,'1',205,'N'),(28,7041594,'1',103,'N'),(28,7041608,'1',103,'N'),(28,7041616,'1',654,'N'),(28,7041632,'1',5,'N'),(28,7041640,'1',327,'N'),(28,7041659,'1',238,'N'),(28,7041659,'1A',202,'N'),(28,7041683,'1',103,'N'),(28,7041691,'1',103,'N'),(28,7041713,'1',103,'N'),(28,7041730,'1',103,'N'),(28,7041748,'1',999,'N'),(28,7041756,'1',319,'N'),(28,7041772,'1',201,'N'),(28,7041772,'1A',203,'N'),(28,7041799,'1',601,'N'),(28,7041799,'1A',214,'N'),(28,7041802,'1',235,'N'),(28,7041802,'1A',238,'N'),(28,7041829,'1',207,'N'),(28,7041829,'1A',212,'N'),(28,7041845,'1',103,'N'),(28,7041853,'1',208,'N'),(28,7041861,'1',103,'N'),(28,7041888,'1',444,'N'),(28,7041896,'1',110,'N'),(28,7041900,'1',424,'N'),(28,7041900,'1A',423,'N'),(28,7041918,'1',304,'N'),(28,7041926,'1',202,'N'),(28,7041934,'1',108,'N'),(28,7041950,'1',502,'N'),(28,7041969,'1',103,'N'),(28,7041977,'1',212,'N'),(28,7041977,'1A',213,'N'),(28,7042000,'1',450,'N'),(28,7042019,'1',9,'N'),(28,7042027,'1',601,'N'),(28,7042027,'1A',201,'N'),(28,7042035,'1',103,'N'),(28,7042043,'1',103,'N'),(28,7042051,'1',601,'N'),(28,7042051,'1A',202,'N'),(28,7042060,'1',999,'N'),(28,7042078,'1',103,'N'),(28,7042094,'1',203,'N'),(28,7042094,'1A',235,'N'),(28,7042108,'1',424,'N'),(28,7042108,'1A',423,'N'),(28,7042124,'1',202,'N'),(28,7042124,'1A',220,'N'),(28,7042132,'1',104,'N'),(28,7042140,'1',214,'N'),(28,7042140,'1A',202,'N'),(28,7042175,'1',238,'N'),(28,7042175,'1A',203,'N'),(28,7042183,'1',451,'N'),(28,7042191,'1',211,'N'),(28,7042191,'1A',215,'N'),(28,7042213,'1',201,'N'),(28,7042213,'1A',233,'N'),(28,7042221,'1',318,'N'),(28,7042230,'1',110,'N'),(28,7042248,'1',103,'N'),(28,7042256,'1',201,'N'),(28,7042256,'1A',238,'N'),(28,7042264,'1',234,'N'),(28,7042272,'1',203,'N'),(28,7042272,'1A',202,'N'),(28,7042280,'1',551,'N'),(28,7042299,'1',429,'N'),(28,7042299,'1A',426,'N'),(28,7042302,'1',211,'N'),(28,7042302,'1A',215,'N'),(28,7042310,'1',103,'N'),(28,7042329,'1',235,'N'),(28,7042329,'1A',220,'N'),(28,7042337,'1',454,'N'),(28,7042370,'1',108,'N'),(28,7042388,'1',214,'N'),(28,7042388,'1A',213,'N'),(28,7042396,'1',104,'N'),(28,7042418,'1',326,'N'),(28,7042426,'1',454,'N'),(28,7042434,'1',201,'N'),(28,7042434,'1A',211,'N'),(28,7042450,'1',109,'N'),(28,7042469,'1',202,'N'),(28,7042469,'1A',216,'N'),(28,7042477,'1',223,'N'),(28,7042493,'1',207,'N'),(28,7042493,'1A',201,'N'),(28,7042507,'1',103,'N'),(28,7042515,'1',318,'N'),(28,7042531,'1',103,'N'),(28,7042540,'1',110,'N'),(28,7042582,'1',103,'N'),(28,7042590,'1',415,'N'),(28,7042604,'1',234,'N'),(28,7042612,'1',552,'N'),(28,7042620,'1',5,'N'),(28,7042639,'1',333,'N'),(28,7042647,'1',203,'N'),(28,7042647,'1A',201,'N'),(28,7042655,'1',108,'N'),(28,7042663,'1',201,'N'),(28,7042663,'1A',207,'N'),(28,7042680,'1',552,'N'),(28,7042698,'1',999,'N'),(28,7042710,'1',211,'N'),(28,7042710,'1A',207,'N'),(28,7042728,'1',103,'N'),(28,7042752,'1',201,'N'),(28,7042752,'1A',203,'N'),(28,7042760,'1',103,'N'),(28,7042787,'1',444,'N'),(28,7042795,'1',208,'N'),(28,7042809,'1',552,'N'),(28,7042817,'1',103,'N'),(28,7042825,'1',222,'N'),(28,7042833,'1',233,'N'),(28,7042833,'1A',653,'N'),(28,7042841,'1',211,'N'),(28,7042841,'1A',653,'N'),(28,7042850,'1',655,'N'),(28,7042850,'1A',235,'N'),(28,7042868,'1',207,'N'),(28,7042868,'1A',201,'N'),(28,7042876,'1',103,'N'),(28,7042892,'1',999,'N'),(28,7042906,'1',551,'N'),(28,7042922,'1',999,'N'),(28,7042965,'1',103,'N'),(28,7042973,'1',203,'N'),(28,7042973,'1A',201,'N'),(28,7042981,'1',211,'N'),(28,7042981,'1A',212,'N'),(28,7042990,'1',103,'N'),(28,7043007,'1',415,'N'),(28,7043015,'1',103,'N'),(28,7043058,'1',108,'N'),(28,7043066,'1',444,'N'),(28,7043074,'1',238,'N'),(28,7043074,'1A',214,'N'),(28,7043082,'1',103,'N'),(28,7043104,'1',202,'N'),(28,7043104,'1A',213,'N'),(28,7043112,'1',340,'N'),(28,7043139,'1',103,'N'),(28,7043147,'1',652,'N'),(28,7043147,'1A',655,'N'),(28,7043155,'1',301,'N'),(28,7043163,'1',207,'N'),(28,7043163,'1A',201,'N'),(28,7043171,'1',216,'N'),(28,7043171,'1A',203,'N'),(28,7043180,'1',340,'N'),(28,7043198,'1',203,'N'),(28,7043198,'1A',202,'N'),(28,7043201,'1',103,'N'),(28,7043210,'1',5,'N'),(28,7043236,'1',425,'N'),(28,7043236,'1A',424,'N'),(28,7043244,'1',336,'N'),(28,7043252,'1',103,'N'),(28,7043260,'1',216,'N'),(28,7043260,'1A',201,'N'),(28,7043279,'1',450,'N'),(28,7043287,'1',207,'N'),(28,7043287,'1A',211,'N'),(28,7043295,'1',108,'N'),(28,7043325,'1',999,'N'),(28,7043333,'1',552,'N'),(28,7043341,'1',340,'N'),(28,7043376,'1',211,'N'),(28,7043376,'1A',207,'N'),(28,7043384,'1',319,'N'),(28,7043406,'1',223,'N'),(28,7043414,'1',201,'N'),(28,7043414,'1A',207,'N'),(28,7043422,'1',104,'N'),(28,7043430,'1',103,'N'),(28,7043449,'1',601,'N'),(28,7043457,'1',317,'N'),(28,7043473,'1',601,'N'),(28,7043473,'1A',201,'N'),(28,7043490,'1',103,'N'),(28,7043503,'1',216,'N'),(28,7043511,'1',103,'N'),(28,7043520,'1',211,'N'),(28,7043520,'1A',235,'N'),(28,7043546,'1',203,'N'),(28,7043546,'1A',202,'N'),(28,7043570,'1',454,'N'),(28,7043589,'1',404,'N'),(28,7043597,'1',202,'N'),(28,7043597,'1A',235,'N'),(28,7043600,'1',9,'N'),(28,7043619,'1',208,'N'),(28,7043627,'1',103,'N'),(28,7043635,'1',201,'N'),(28,7043635,'1A',212,'N'),(28,7043643,'1',601,'N'),(28,7043643,'1A',213,'N'),(28,7043651,'1',238,'N'),(28,7043678,'1',103,'N'),(28,7043686,'1',104,'N'),(28,7043694,'1',103,'N'),(28,7043708,'1',201,'N'),(28,7043708,'1A',207,'N'),(28,7043716,'1',207,'N'),(28,7043716,'1A',201,'N'),(28,7043724,'1',103,'N'),(28,7043732,'1',201,'N'),(28,7043732,'1A',213,'N'),(28,7043759,'1',302,'N'),(28,7043767,'1',340,'N'),(28,7043783,'1',9,'N'),(28,7043791,'1',601,'N'),(28,7043791,'1A',201,'N'),(28,7043805,'1',203,'N'),(28,7043830,'1',103,'N'),(28,7043856,'1',340,'N'),(28,7043864,'1',103,'N'),(28,7043899,'1',103,'N'),(28,7043902,'1',303,'N'),(28,7043910,'1',109,'N'),(28,7043929,'1',340,'N'),(28,7043945,'1',207,'N'),(28,7043953,'1',999,'N'),(28,7043961,'1',110,'N'),(28,7043970,'1',201,'N'),(28,7043970,'1A',207,'N'),(28,7043988,'1',203,'N'),(28,7043988,'1A',201,'N'),(28,7043996,'1',317,'N'),(28,7044003,'1',103,'N'),(28,7044020,'1',202,'N'),(28,7044020,'1A',213,'N'),(28,7044038,'1',316,'N'),(28,7044046,'1',552,'N'),(28,7044054,'1',207,'N'),(28,7044054,'1A',201,'N'),(28,7044062,'1',214,'N'),(28,7044062,'1A',220,'N'),(28,7044089,'1',552,'N'),(28,7044097,'1',454,'N'),(28,7044100,'1',103,'N'),(28,7044119,'1',340,'N'),(28,7044135,'1',425,'N'),(28,7044135,'1A',427,'N'),(28,7044143,'1',103,'N'),(28,7044151,'1',103,'N'),(28,7044160,'1',303,'N'),(28,7044186,'1',454,'N'),(28,7044208,'1',104,'N'),(28,7044224,'1',601,'N'),(28,7044232,'1',2,'N'),(28,7044259,'1',454,'N'),(28,7044267,'1',103,'N'),(28,7044275,'1',103,'N'),(28,7044283,'1',216,'N'),(28,7044283,'1A',202,'N'),(28,7044291,'1',340,'N'),(28,7044305,'1',103,'N'),(28,7044321,'1',327,'N'),(28,7044330,'1',104,'N'),(28,7044348,'1',103,'N'),(28,7044356,'1',201,'N'),(28,7044356,'1A',238,'N'),(28,7044364,'1',103,'N'),(28,7044372,'1',103,'N'),(28,7044399,'1',317,'N'),(28,7044402,'1',202,'N'),(28,7044402,'1A',235,'N'),(28,7044410,'1',303,'N'),(28,7044429,'1',444,'N'),(28,7044437,'1',103,'N'),(28,7044445,'1',404,'N'),(28,7044453,'1',220,'N'),(28,7044453,'1A',214,'N'),(28,7044461,'1',201,'N'),(28,7044470,'1',319,'N'),(28,7044488,'1',654,'N'),(28,7044496,'1',103,'N'),(28,7044526,'1',110,'N'),(28,7044534,'1',203,'N'),(28,7044534,'1A',601,'N'),(28,7044542,'1',103,'N'),(28,7044577,'1',103,'N'),(28,7044585,'1',103,'N'),(28,7044607,'1',201,'N'),(28,7044607,'1A',212,'N'),(28,7044623,'1',214,'N'),(28,7044623,'1A',212,'N'),(28,7044631,'1',110,'N'),(28,7044658,'1',207,'N'),(28,7044658,'1A',601,'N'),(28,7044666,'1',207,'N'),(28,7044666,'1A',201,'N'),(28,7044674,'1',303,'N'),(28,7044682,'1',220,'N'),(28,7044682,'1A',202,'N'),(28,7044690,'1',102,'N'),(28,7044712,'1',208,'N'),(28,7044720,'1',317,'N'),(28,7044739,'1',319,'N'),(28,7044747,'1',653,'N'),(28,7044755,'1',211,'N'),(28,7044755,'1A',201,'N'),(28,7044763,'1',101,'N'),(28,7044771,'1',103,'N'),(28,7044780,'1',425,'N'),(28,7044780,'1A',427,'N'),(28,7044798,'1',202,'N'),(28,7044798,'1A',213,'N'),(28,7044810,'1',551,'N'),(28,7044828,'1',303,'N'),(28,7044836,'1',316,'N'),(28,7044844,'1',201,'N'),(28,7044852,'1',103,'N'),(28,7044860,'1',655,'N'),(28,7044860,'1A',202,'N'),(28,7044879,'1',103,'N'),(28,7044887,'1',108,'N'),(28,7044895,'1',207,'N'),(28,7044895,'1A',601,'N'),(28,7044909,'1',108,'N'),(28,7044917,'1',5,'N'),(28,7044925,'1',5,'N'),(28,7044933,'1',653,'N'),(28,7044933,'1A',203,'N'),(28,7044941,'1',212,'N'),(28,7044941,'1A',201,'N'),(28,7044950,'1',340,'N'),(28,7044968,'1',103,'N'),(28,7044976,'1',103,'N'),(28,7044984,'1',230,'N'),(28,7044992,'1',5,'N'),(28,7045000,'1',454,'N'),(28,7045018,'1',303,'N'),(28,7045026,'1',317,'N'),(28,7045034,'1',214,'N'),(28,7045034,'1A',212,'N'),(28,7045042,'1',303,'N'),(28,7045050,'1',9,'N'),(28,7045069,'1',201,'N'),(28,7045069,'1A',212,'N'),(28,7045085,'1',327,'N'),(28,7045093,'1',103,'N'),(28,7045107,'1',310,'N'),(28,7045131,'1',103,'N'),(28,7045140,'1',426,'N'),(28,7045140,'1A',428,'N'),(28,7045166,'1',454,'N'),(28,7045182,'1',216,'N'),(28,7045182,'1A',233,'N'),(28,7045190,'1',201,'N'),(28,7045190,'1A',212,'N'),(28,7045204,'1',104,'N'),(28,7045212,'1',601,'N'),(28,7045239,'1',201,'N'),(28,7045239,'1A',211,'N'),(28,7045247,'1',238,'N'),(28,7045247,'1A',601,'N'),(28,7045263,'1',303,'N'),(28,7045280,'1',327,'N'),(28,7045298,'1',211,'N'),(28,7045298,'1A',215,'N'),(28,7045310,'1',203,'N'),(28,7045310,'1A',202,'N'),(28,7045328,'1',103,'N'),(28,7045336,'1',207,'N'),(28,7045336,'1A',653,'N'),(28,7045344,'1',425,'N'),(28,7045344,'1A',427,'N'),(28,7045352,'1',319,'N'),(28,7045360,'1',454,'N'),(28,7045409,'1',103,'N'),(28,7045417,'1',303,'N'),(28,7045425,'1',454,'N'),(28,7045450,'1',5,'N'),(28,7045468,'1',653,'N'),(28,7045468,'1A',652,'N'),(28,7045476,'1',303,'N'),(28,7045484,'1',104,'N'),(28,7045492,'1',5,'N'),(28,7045506,'1',601,'N'),(28,7045514,'1',201,'N'),(28,7045514,'1A',202,'N'),(28,7045522,'1',103,'N'),(28,7045530,'1',103,'N'),(28,7045549,'1',454,'N'),(28,7045557,'1',103,'N'),(28,7045565,'1',203,'N'),(28,7045565,'1A',214,'N'),(28,7045581,'1',454,'N'),(28,7045590,'1',3,'N'),(28,7045603,'1',207,'N'),(28,7045603,'1A',201,'N'),(28,7045620,'1',336,'N'),(28,7045638,'1',404,'N'),(28,7045662,'1',601,'N'),(28,7045662,'1A',201,'N'),(28,7045670,'1',220,'N'),(28,7045670,'1A',601,'N'),(28,7045689,'1',316,'N'),(28,7045700,'1',304,'N'),(28,7045719,'1',203,'N'),(28,7045719,'1A',214,'N'),(28,7045727,'1',214,'N'),(28,7045727,'1A',212,'N'),(28,7045735,'1',999,'N'),(28,7045760,'1',203,'N'),(28,7045760,'1A',220,'N'),(28,7045778,'1',5,'N'),(28,7045786,'1',103,'N'),(28,7045794,'1',999,'N'),(28,7045808,'1',103,'N'),(28,7045816,'1',340,'N'),(28,7045832,'1',333,'N'),(28,7045840,'1',450,'N'),(28,7045859,'1',5,'N'),(28,7045867,'1',103,'N'),(28,7045875,'1',320,'N'),(28,7045883,'1',318,'N'),(28,7045891,'1',318,'N'),(28,7045905,'1',216,'N'),(28,7045905,'1A',201,'N'),(28,7045913,'1',108,'N'),(28,7045930,'1',415,'N'),(28,7045948,'1',301,'N'),(28,7045956,'1',103,'N'),(28,7045972,'1',655,'N'),(28,7045972,'1A',220,'N'),(28,7045980,'1',454,'N'),(28,7045999,'1',220,'N'),(28,7045999,'1A',601,'N'),(28,7046014,'1',303,'N'),(28,7046022,'1',103,'N'),(28,7046030,'1',207,'N'),(28,7046030,'1A',201,'N'),(28,7046057,'1',319,'N'),(28,7046065,'1',103,'N'),(28,7046081,'1',316,'N'),(28,7046090,'1',211,'N'),(28,7046090,'1A',202,'N'),(28,7046103,'1',328,'N'),(28,7046111,'1',207,'N'),(28,7046111,'1A',215,'N'),(28,7046138,'1',301,'N'),(28,7046146,'1',102,'N'),(28,7046154,'1',302,'N'),(28,7046162,'1',454,'N'),(28,7046189,'1',203,'N'),(28,7046197,'1',103,'N'),(28,7046200,'1',319,'N'),(28,7046219,'1',5,'N'),(28,7046227,'1',203,'N'),(28,7046227,'1A',220,'N'),(28,7046235,'1',454,'N'),(28,7046243,'1',207,'N'),(28,7046243,'1A',201,'N'),(28,7046260,'1',301,'N'),(28,7046286,'1',108,'N'),(28,7046294,'1',102,'N'),(28,7046308,'1',201,'N'),(28,7046308,'1A',203,'N'),(28,7046324,'1',207,'N'),(28,7046340,'1',601,'N'),(28,7046340,'1A',653,'N'),(28,7046359,'1',654,'N'),(28,7046367,'1',216,'N'),(28,7046367,'1A',202,'N'),(28,7046375,'1',214,'N'),(28,7046375,'1A',220,'N'),(28,7046383,'1',5,'N'),(28,7046391,'1',5,'N'),(28,7046405,'1',214,'N'),(28,7046405,'1A',213,'N'),(28,7046413,'1',216,'N'),(28,7046413,'1A',233,'N'),(28,7046430,'1',103,'N'),(28,7046448,'1',415,'N'),(28,7046464,'1',103,'N'),(28,7046480,'1',203,'N'),(28,7046480,'1A',214,'N'),(28,7046499,'1',208,'N'),(28,7046502,'1',425,'N'),(28,7046502,'1A',426,'N'),(28,7046529,'1',444,'N'),(28,7046537,'1',201,'N'),(28,7046537,'1A',212,'N'),(28,7046545,'1',444,'N'),(28,7046553,'1',201,'N'),(28,7046553,'1A',203,'N'),(28,7046570,'1',208,'N'),(28,7046588,'1',335,'N'),(28,7046596,'1',103,'N'),(28,7046600,'1',552,'N'),(28,7046618,'1',103,'N'),(28,7046626,'1',451,'N'),(28,7046634,'1',340,'N'),(28,7046642,'1',201,'N'),(28,7046642,'1A',207,'N'),(28,7046669,'1',316,'N'),(28,7046685,'1',102,'N'),(28,7046693,'1',103,'N'),(28,7046707,'1',238,'N'),(28,7046707,'1A',212,'N'),(28,7046715,'1',234,'N'),(28,7046723,'1',103,'N'),(28,7046740,'1',207,'N'),(28,7046740,'1A',211,'N'),(28,7046758,'1',9,'N'),(28,7046766,'1',301,'N'),(28,7046782,'1',202,'N'),(28,7046782,'1A',203,'N'),(28,7046812,'1',103,'N'),(28,7046820,'1',101,'N'),(28,7046847,'1',207,'N'),(28,7046847,'1A',201,'N'),(28,7046855,'1',103,'N'),(28,7046871,'1',214,'N'),(28,7046871,'1A',213,'N'),(28,7046880,'1',103,'N'),(28,7046910,'1',103,'N'),(28,7046928,'1',108,'N'),(28,7046936,'1',103,'N'),(28,7046952,'1',333,'N'),(28,7046979,'1',216,'N'),(28,7046979,'1A',233,'N'),(28,7046995,'1',208,'N'),(28,7047002,'1',303,'N'),(28,7047010,'1',103,'N'),(28,7047029,'1',201,'N'),(28,7047029,'1A',212,'N'),(28,7047037,'1',207,'N'),(28,7047037,'1A',211,'N'),(28,7047045,'1',203,'N'),(28,7047045,'1A',201,'N'),(28,7047070,'1',201,'N'),(28,7047070,'1A',233,'N'),(28,7047088,'1',103,'N'),(28,7047096,'1',9,'N'),(28,7047118,'1',238,'N'),(28,7047118,'1A',652,'N'),(28,7047126,'1',5,'N'),(28,7047134,'1',5,'N'),(28,7047142,'1',225,'N'),(28,7047150,'1',5,'N'),(28,7047169,'1',429,'N'),(28,7047169,'1A',425,'N'),(28,7047177,'1',303,'N'),(28,7047193,'1',5,'N'),(28,7047207,'1',202,'N'),(28,7047207,'1A',213,'N'),(28,7047215,'1',103,'N'),(28,7047231,'1',302,'N'),(28,7047258,'1',103,'N'),(28,7047266,'1',202,'N'),(28,7047266,'1A',235,'N'),(28,7047274,'1',304,'N'),(28,7047282,'1',207,'N'),(28,7047282,'1A',201,'N'),(28,7047304,'1',319,'N'),(28,7047312,'1',203,'N'),(28,7047312,'1A',235,'N'),(28,7047355,'1',103,'N'),(28,7047371,'1',207,'N'),(28,7047371,'1A',201,'N'),(28,7047380,'1',208,'N'),(28,7047398,'1',207,'N'),(28,7047398,'1A',201,'N'),(28,7047401,'1',103,'N'),(28,7047410,'1',102,'N'),(28,7047428,'1',655,'N'),(28,7047428,'1A',653,'N'),(28,7047452,'1',102,'N'),(28,7047460,'1',103,'N'),(28,7047479,'1',216,'N'),(28,7047479,'1A',202,'N'),(28,7047487,'1',212,'N'),(28,7047487,'1A',201,'N'),(28,7047495,'1',5,'N'),(28,7047509,'1',238,'N'),(28,7047517,'1',999,'N'),(28,7047525,'1',444,'N'),(28,7047533,'1',103,'N'),(28,7047541,'1',220,'N'),(28,7047541,'1A',203,'N'),(28,7047550,'1',415,'N'),(28,7047568,'1',203,'N'),(28,7047568,'1A',233,'N'),(28,7047576,'1',9,'N'),(28,7047584,'1',201,'N'),(28,7047584,'1A',235,'N'),(28,7047592,'1',103,'N'),(28,7047606,'1',201,'N'),(28,7047606,'1A',207,'N'),(28,7047630,'1',103,'N'),(28,7047649,'1',201,'N'),(28,7047649,'1A',212,'N'),(28,7047665,'1',101,'N'),(28,7047673,'1',201,'N'),(28,7047673,'1A',216,'N'),(28,7047681,'1',201,'N'),(28,7047681,'1A',207,'N'),(28,7047690,'1',213,'N'),(28,7047690,'1A',202,'N'),(28,7047711,'1',103,'N'),(28,7047720,'1',214,'N'),(28,7047720,'1A',203,'N'),(28,7047738,'1',203,'N'),(28,7047738,'1A',233,'N'),(28,7047754,'1',216,'N'),(28,7047754,'1A',207,'N'),(28,7047770,'1',601,'N'),(28,7047789,'1',332,'N'),(28,7047797,'1',5,'N'),(28,7047819,'1',203,'N'),(28,7047819,'1A',652,'N'),(28,7047827,'1',303,'N'),(28,7047835,'1',201,'N'),(28,7047835,'1A',203,'N'),(28,7047851,'1',203,'N'),(28,7047860,'1',101,'N'),(28,7047878,'1',415,'N'),(28,7047886,'1',316,'N'),(28,7047908,'1',202,'N'),(28,7047908,'1A',233,'N'),(28,7047916,'1',552,'N'),(28,7047924,'1',301,'N'),(28,7047932,'1',220,'N'),(28,7047932,'1A',202,'N'),(28,7047959,'1',108,'N'),(28,7047967,'1',319,'N'),(28,7047983,'1',103,'N'),(28,7048017,'1',103,'N'),(28,7048025,'1',2,'N'),(28,7048033,'1',104,'N'),(28,7048041,'1',211,'N'),(28,7048041,'1A',201,'N'),(28,7048050,'1',454,'N'),(28,7048068,'1',101,'N'),(28,7048076,'1',201,'N'),(28,7048076,'1A',207,'N'),(28,7048084,'1',415,'N'),(28,7048092,'1',103,'N'),(28,7048106,'1',201,'N'),(28,7048106,'1A',212,'N'),(28,7048114,'1',201,'N'),(28,7048114,'1A',207,'N'),(28,7048122,'1',450,'N'),(28,7048149,'1',319,'N'),(28,7048157,'1',552,'N'),(28,7048165,'1',103,'N'),(28,7048173,'1',103,'N'),(28,7048181,'1',103,'N'),(28,7048203,'1',303,'N'),(28,7048220,'1',103,'N'),(28,7048238,'1',326,'N'),(28,7048246,'1',319,'N'),(28,7048289,'1',654,'N'),(28,7048297,'1',415,'N'),(28,7048300,'1',340,'N'),(28,7048319,'1',103,'N'),(28,7048335,'1',319,'N'),(28,7048343,'1',233,'N'),(28,7048343,'1A',201,'N'),(28,7048351,'1',207,'N'),(28,7048351,'1A',233,'N'),(28,7048360,'1',999,'N'),(28,7048378,'1',103,'N'),(28,7048386,'1',103,'N'),(28,7048394,'1',103,'N'),(28,7048416,'1',103,'N'),(28,7048424,'1',450,'N'),(28,7048432,'1',444,'N'),(28,7048467,'1',999,'N'),(28,7048483,'1',104,'N'),(28,7048491,'1',216,'N'),(28,7048491,'1A',233,'N'),(28,7048505,'1',207,'N'),(28,7048513,'1',233,'N'),(28,7048513,'1A',214,'N'),(28,7048521,'1',203,'N'),(28,7048521,'1A',238,'N'),(28,7048530,'1',207,'N'),(28,7048530,'1A',601,'N'),(28,7048548,'1',501,'N'),(28,7048556,'1',108,'N'),(28,7048564,'1',238,'N'),(28,7048564,'1A',233,'N'),(28,7048572,'1',320,'N'),(28,7048599,'1',208,'N'),(28,7048602,'1',319,'N'),(28,7048610,'1',109,'N'),(28,7048629,'1',201,'N'),(28,7048629,'1A',220,'N'),(28,7048661,'1',211,'N'),(28,7048661,'1A',235,'N'),(28,7048670,'1',415,'N'),(28,7048688,'1',404,'N'),(28,7048696,'1',450,'N'),(28,7048700,'1',5,'N'),(28,7048718,'1',208,'N'),(28,7048726,'1',104,'N'),(28,7048734,'1',426,'N'),(28,7048734,'1A',423,'N'),(28,7048742,'1',203,'N'),(28,7048742,'1A',601,'N'),(28,7048750,'1',207,'N'),(28,7048750,'1A',201,'N'),(28,7048769,'1',102,'N'),(28,7048785,'1',110,'N'),(28,7048793,'1',336,'N'),(28,7048807,'1',303,'N'),(28,7048815,'1',336,'N'),(28,7048823,'1',203,'N'),(28,7048823,'1A',220,'N'),(28,7048831,'1',203,'N'),(28,7048831,'1A',214,'N'),(28,7048858,'1',317,'N'),(28,7048866,'1',208,'N'),(28,7048874,'1',336,'N'),(28,7048882,'1',103,'N'),(28,7048890,'1',427,'N'),(28,7048890,'1A',421,'N'),(28,7048904,'1',104,'N'),(28,7048912,'1',5,'N'),(28,7048939,'1',201,'N'),(28,7048939,'1A',216,'N'),(28,7048947,'1',319,'N'),(28,7048955,'1',340,'N'),(28,7048963,'1',110,'N'),(28,7048971,'1',303,'N'),(28,7048998,'1',103,'N'),(28,7049005,'1',653,'N'),(28,7049013,'1',103,'N'),(28,7049048,'1',108,'N'),(28,7049056,'1',103,'N'),(28,7049064,'1',331,'N'),(28,7049072,'1',103,'N'),(28,7049080,'1',103,'N'),(28,7049099,'1',207,'N'),(28,7049099,'1A',203,'N'),(28,7049102,'1',103,'N'),(28,7049110,'1',201,'N'),(28,7049110,'1A',212,'N'),(28,7049129,'1',552,'N'),(28,7049137,'1',601,'N'),(28,7049137,'1A',235,'N'),(28,7049145,'1',103,'N'),(28,7049153,'1',3,'N'),(28,7049161,'1',102,'N'),(28,7049170,'1',202,'N'),(28,7049170,'1A',203,'N'),(28,7049188,'1',601,'N'),(28,7049188,'1A',211,'N'),(28,7049200,'1',501,'N'),(28,7049218,'1',454,'N'),(28,7049234,'1',601,'N'),(28,7049242,'1',108,'N'),(28,7049250,'1',415,'N'),(28,7049269,'1',103,'N'),(28,7049277,'1',999,'N'),(28,7049285,'1',302,'N'),(28,7049293,'1',103,'N'),(28,7049307,'1',101,'N'),(28,7049315,'1',230,'N'),(28,7049323,'1',207,'N'),(28,7049331,'1',103,'N'),(28,7049340,'1',201,'N'),(28,7049340,'1A',207,'N'),(28,7049366,'1',201,'N'),(28,7049366,'1A',212,'N'),(28,7049382,'1',103,'N'),(28,7049404,'1',207,'N'),(28,7049404,'1A',212,'N'),(28,7049412,'1',103,'N'),(28,7049420,'1',203,'N'),(28,7049420,'1A',202,'N'),(28,7049447,'1',102,'N'),(28,7049455,'1',5,'N'),(28,7049471,'1',302,'N'),(28,7049480,'1',216,'N'),(28,7049480,'1A',211,'N'),(28,7049501,'1',303,'N'),(28,7049510,'1',211,'N'),(28,7049510,'1A',215,'N'),(28,7049528,'1',104,'N'),(28,7049544,'1',103,'N'),(28,7049552,'1',424,'N'),(28,7049552,'1A',428,'N'),(28,7049560,'1',214,'N'),(28,7049560,'1A',601,'N'),(28,7049579,'1',104,'N'),(28,7049587,'1',104,'N'),(28,7049595,'1',223,'N'),(28,7049617,'1',101,'N'),(28,7049625,'1',9,'N'),(28,7049633,'1',103,'N'),(28,7049668,'1',238,'N'),(28,7049668,'1A',235,'N'),(28,7049684,'1',319,'N'),(28,7049692,'1',216,'N'),(28,7049692,'1A',233,'N'),(28,7049706,'1',103,'N'),(28,7049714,'1',424,'N'),(28,7049722,'1',552,'N'),(28,7049730,'1',319,'N'),(28,7049749,'1',103,'N'),(28,7049757,'1',326,'N'),(28,7049765,'1',303,'N'),(28,7049773,'1',207,'N'),(28,7049773,'1A',201,'N'),(28,7049781,'1',5,'N'),(28,7049803,'1',999,'N'),(28,7049811,'1',336,'N'),(28,7049838,'1',201,'N'),(28,7049838,'1A',203,'N'),(28,7049846,'1',425,'N'),(28,7049846,'1A',424,'N'),(28,7049854,'1',310,'N'),(28,7049862,'1',3,'N'),(28,7049870,'1',316,'N'),(28,7049889,'1',201,'N'),(28,7049889,'1A',212,'N'),(28,7049897,'1',340,'N'),(28,7049919,'1',220,'N'),(28,7049919,'1A',213,'N'),(28,7049927,'1',103,'N'),(28,7049935,'1',999,'N'),(28,7049951,'1',214,'N'),(28,7049951,'1A',212,'N'),(28,7049960,'1',308,'N'),(28,7049978,'1',318,'N'),(28,7049986,'1',103,'N'),(28,7050011,'1',303,'N'),(28,7050046,'1',303,'N'),(28,7050054,'1',601,'N'),(28,7050054,'1A',212,'N'),(28,7050062,'1',103,'N'),(28,7050100,'1',223,'N'),(28,7050119,'1',454,'N'),(28,7050127,'1',216,'N'),(28,7050127,'1A',207,'N'),(28,7050143,'1',337,'N'),(28,7050151,'1',319,'N'),(28,7050160,'1',103,'N'),(28,7050178,'1',103,'N'),(28,7050194,'1',303,'N'),(28,7050208,'1',203,'N'),(28,7050208,'1A',220,'N'),(28,7050216,'1',103,'N'),(28,7050232,'1',211,'N'),(28,7050232,'1A',233,'N'),(28,7050267,'1',103,'N'),(28,7050275,'1',103,'N'),(28,7050283,'1',202,'N'),(28,7050283,'1A',201,'N'),(28,7050291,'1',999,'N'),(28,7050305,'1',201,'N'),(28,7050305,'1A',653,'N'),(28,7050313,'1',454,'N'),(28,7050321,'1',103,'N'),(28,7050356,'1',552,'N'),(28,7050372,'1',104,'N'),(28,7050380,'1',207,'N'),(28,7050380,'1A',201,'N'),(28,7050399,'1',317,'N'),(28,7050410,'1',223,'N'),(28,7050429,'1',425,'N'),(28,7050429,'1A',427,'N'),(28,7050437,'1',104,'N'),(28,7050445,'1',207,'N'),(28,7050445,'1A',212,'N'),(28,7050453,'1',214,'N'),(28,7050453,'1A',233,'N'),(28,7050461,'1',103,'N'),(28,7050470,'1',317,'N'),(28,7050488,'1',220,'N'),(28,7050496,'1',220,'N'),(28,7050496,'1A',235,'N'),(28,7050500,'1',103,'N'),(28,7050518,'1',103,'N'),(28,7050526,'1',224,'N'),(28,7050534,'1',601,'N'),(28,7050534,'1A',201,'N'),(28,7050542,'1',303,'N'),(28,7050569,'1',103,'N'),(28,7050577,'1',205,'N'),(28,7050593,'1',655,'N'),(28,7050593,'1A',652,'N'),(28,7050607,'1',203,'N'),(28,7050607,'1A',238,'N'),(28,7050615,'1',316,'N'),(28,7050623,'1',201,'N'),(28,7050623,'1A',214,'N'),(28,7050631,'1',208,'N'),(28,7050658,'1',316,'N'),(28,7050666,'1',440,'N'),(28,7050674,'1',203,'N'),(28,7050674,'1A',214,'N'),(28,7050682,'1',201,'N'),(28,7050682,'1A',212,'N'),(28,7050690,'1',303,'N'),(28,7050704,'1',201,'N'),(28,7050704,'1A',211,'N'),(28,7050712,'1',108,'N'),(28,7050720,'1',104,'N'),(28,7050739,'1',454,'N'),(28,7050747,'1',103,'N'),(28,7050780,'1',104,'N'),(28,7050801,'1',999,'N'),(28,7050810,'1',103,'N'),(28,7050828,'1',104,'N'),(28,7050836,'1',454,'N'),(28,7050844,'1',103,'N'),(28,7050852,'1',203,'N'),(28,7050860,'1',415,'N'),(28,7050879,'1',207,'N'),(28,7050879,'1A',201,'N'),(28,7050887,'1',207,'N'),(28,7050887,'1A',238,'N'),(28,7050895,'1',108,'N'),(28,7050909,'1',220,'N'),(28,7050909,'1A',235,'N'),(28,7050917,'1',207,'N'),(28,7050917,'1A',233,'N'),(28,7050925,'1',103,'N'),(28,7050933,'1',213,'N'),(28,7050933,'1A',214,'N'),(28,7050941,'1',103,'N'),(28,7050950,'1',501,'N'),(28,7050968,'1',319,'N'),(28,7050984,'1',103,'N'),(28,7050992,'1',501,'N'),(28,7051000,'1',201,'N'),(28,7051000,'1A',238,'N'),(28,7051018,'1',201,'N'),(28,7051018,'1A',207,'N'),(28,7051026,'1',103,'N'),(28,7051034,'1',301,'N'),(28,7051050,'1',108,'N'),(28,7051069,'1',203,'N'),(28,7051069,'1A',201,'N'),(28,7051077,'1',999,'N'),(28,7051093,'1',103,'N'),(28,7051107,'1',999,'N'),(28,7051115,'1',318,'N'),(28,7051123,'1',203,'N'),(28,7051123,'1A',233,'N'),(28,7051131,'1',201,'N'),(28,7051131,'1A',215,'N'),(28,7051140,'1',201,'N'),(28,7051140,'1A',203,'N'),(28,7051158,'1',999,'N'),(28,7051174,'1',103,'N'),(28,7051182,'1',340,'N'),(28,7051190,'1',415,'N'),(28,7051204,'1',103,'N'),(28,7051212,'1',415,'N'),(28,7051220,'1',207,'N'),(28,7051220,'1A',201,'N'),(28,7051239,'1',201,'N'),(28,7051239,'1A',211,'N'),(28,7051247,'1',109,'N'),(28,7051255,'1',301,'N'),(28,7051263,'1',103,'N'),(28,7051271,'1',552,'N'),(28,7051301,'1',216,'N'),(28,7051310,'1',110,'N'),(28,7051328,'1',319,'N'),(28,7051336,'1',203,'N'),(28,7051336,'1A',216,'N'),(28,7051344,'1',207,'N'),(28,7051344,'1A',601,'N'),(28,7051352,'1',216,'N'),(28,7051352,'1A',211,'N'),(28,7051360,'1',201,'N'),(28,7051360,'1A',235,'N'),(28,7051379,'1',103,'N'),(28,7051395,'1',304,'N'),(28,7051417,'1',552,'N'),(28,7051425,'1',319,'N'),(28,7051441,'1',211,'N'),(28,7051441,'1A',201,'N'),(28,7051468,'1',425,'N'),(28,7051468,'1A',428,'N'),(28,7051476,'1',451,'N'),(28,7051506,'1',302,'N'),(28,7051522,'1',201,'N'),(28,7051522,'1A',202,'N'),(28,7051530,'1',340,'N'),(28,7051549,'1',201,'N'),(28,7051549,'1A',212,'N'),(28,7051557,'1',331,'N'),(28,7051573,'1',440,'N'),(28,7051581,'1',203,'N'),(28,7051581,'1A',201,'N'),(28,7051590,'1',332,'N'),(28,7051603,'1',103,'N'),(28,7051611,'1',337,'N'),(28,7051620,'1',103,'N'),(28,7051638,'1',103,'N'),(28,7051662,'1',101,'N'),(28,7051670,'1',454,'N'),(28,7051689,'1',340,'N'),(28,7051697,'1',108,'N'),(28,7051727,'1',3,'N'),(28,7051735,'1',319,'N'),(28,7051751,'1',302,'N'),(28,7051778,'1',203,'N'),(28,7051778,'1A',211,'N'),(28,7051786,'1',451,'N'),(28,7051808,'1',214,'N'),(28,7051816,'1',203,'N'),(28,7051824,'1',103,'N'),(28,7051832,'1',454,'N'),(28,7051859,'1',601,'N'),(28,7051867,'1',101,'N'),(28,7051875,'1',502,'N'),(28,7051883,'1',103,'N'),(28,7051891,'1',304,'N'),(28,7051905,'1',319,'N'),(28,7051913,'1',103,'N'),(28,7051921,'1',103,'N'),(28,7051930,'1',201,'N'),(28,7051930,'1A',212,'N'),(28,7051948,'1',102,'N'),(28,7051956,'1',108,'N'),(28,7051964,'1',238,'N'),(28,7051964,'1A',235,'N'),(28,7051972,'1',301,'N'),(28,7051999,'1',104,'N'),(28,7052006,'1',653,'N'),(28,7052014,'1',552,'N'),(28,7052049,'1',207,'N'),(28,7052065,'1',203,'N'),(28,7052065,'1A',213,'N'),(28,7052073,'1',451,'N'),(28,7052081,'1',503,'N'),(28,7052090,'1',340,'N'),(28,7052103,'1',212,'N'),(28,7052103,'1A',601,'N'),(28,7052111,'1',5,'N'),(28,7052120,'1',303,'N'),(28,7052138,'1',316,'N'),(28,7052154,'1',235,'N'),(28,7052154,'1A',220,'N'),(28,7052162,'1',340,'N'),(28,7052170,'1',415,'N'),(28,7052189,'1',103,'N'),(28,7052197,'1',101,'N'),(28,7052219,'1',101,'N'),(28,7052227,'1',238,'N'),(28,7052227,'1A',233,'N'),(28,7052243,'1',103,'N'),(28,7052251,'1',207,'N'),(28,7052251,'1A',233,'N'),(28,7052260,'1',303,'N'),(28,7052278,'1',319,'N'),(28,7052286,'1',999,'N'),(28,7052294,'1',319,'N'),(28,7052308,'1',235,'N'),(28,7052308,'1A',214,'N'),(28,7052316,'1',103,'N'),(28,7052324,'1',103,'N'),(28,7052332,'1',450,'N'),(28,7052340,'1',303,'N'),(28,7052367,'1',601,'N'),(28,7052367,'1A',652,'N'),(28,7052391,'1',103,'N'),(28,7052405,'1',103,'N'),(28,7052421,'1',104,'N'),(28,7052430,'1',103,'N'),(28,7052448,'1',319,'N'),(28,7052456,'1',203,'N'),(28,7052456,'1A',213,'N'),(28,7052464,'1',201,'N'),(28,7052464,'1A',207,'N'),(28,7052480,'1',336,'N'),(28,7052499,'1',9,'N'),(28,7052510,'1',450,'N'),(28,7052529,'1',103,'N'),(28,7052545,'1',207,'N'),(28,7052545,'1A',201,'N'),(28,7052553,'1',655,'N'),(28,7052561,'1',415,'N'),(28,7052570,'1',999,'N'),(28,7052596,'1',207,'N'),(28,7052596,'1A',212,'N'),(28,7052600,'1',103,'N'),(28,7052618,'1',109,'N'),(28,7052626,'1',999,'N'),(28,7052634,'1',103,'N'),(28,7052642,'1',211,'N'),(28,7052642,'1A',212,'N'),(28,7052650,'1',213,'N'),(28,7052650,'1A',202,'N'),(28,7052685,'1',203,'N'),(28,7052693,'1',207,'N'),(28,7052693,'1A',201,'N'),(28,7052707,'1',220,'N'),(28,7052707,'1A',203,'N'),(28,7052723,'1',103,'N'),(28,7052731,'1',207,'N'),(28,7052731,'1A',238,'N'),(28,7052740,'1',103,'N'),(28,7052766,'1',212,'N'),(28,7052766,'1A',233,'N'),(28,7052774,'1',501,'N'),(28,7052790,'1',207,'N'),(28,7052790,'1A',233,'N'),(28,7052804,'1',501,'N'),(28,7052812,'1',339,'N'),(28,7052820,'1',340,'N'),(28,7052847,'1',336,'N'),(28,7052855,'1',319,'N'),(28,7052863,'1',202,'N'),(28,7052863,'1A',211,'N'),(28,7052871,'1',440,'N'),(28,7052880,'1',999,'N'),(28,7052898,'1',103,'N'),(28,7052901,'1',103,'N'),(28,7052928,'1',101,'N'),(28,7052936,'1',415,'N'),(28,7052944,'1',238,'N'),(28,7052944,'1A',652,'N'),(28,7052952,'1',103,'N'),(28,7052960,'1',110,'N'),(28,7052979,'1',309,'N'),(28,7052987,'1',104,'N'),(28,7052995,'1',212,'N'),(28,7052995,'1A',214,'N'),(28,7053010,'1',5,'N'),(28,7053029,'1',338,'N'),(28,7053045,'1',340,'N'),(28,7053053,'1',103,'N'),(28,7053061,'1',301,'N'),(28,7053088,'1',201,'N'),(28,7053088,'1A',211,'N'),(28,7053096,'1',9,'N'),(28,7053100,'1',212,'N'),(28,7053100,'1A',213,'N'),(28,7053118,'1',327,'N'),(28,7053126,'1',207,'N'),(28,7053126,'1A',201,'N'),(28,7053134,'1',108,'N'),(28,7053142,'1',301,'N'),(28,7053150,'1',103,'N'),(28,7053169,'1',102,'N'),(28,7053177,'1',238,'N'),(28,7053185,'1',203,'N'),(28,7053185,'1A',220,'N'),(28,7053193,'1',104,'N'),(28,7053207,'1',999,'N'),(28,7053223,'1',5,'N'),(28,7053231,'1',601,'N'),(28,7053231,'1A',212,'N'),(28,7053240,'1',501,'N'),(28,7053258,'1',208,'N'),(28,7053274,'1',340,'N'),(28,7053282,'1',205,'N'),(28,7053290,'1',233,'N'),(28,7053290,'1A',601,'N'),(28,7053312,'1',999,'N'),(28,7053320,'1',303,'N'),(28,7053339,'1',103,'N'),(28,7053347,'1',103,'N'),(28,7053355,'1',319,'N'),(28,7053363,'1',103,'N'),(28,7053371,'1',103,'N'),(28,7053380,'1',201,'N'),(28,7053380,'1A',601,'N'),(28,7053401,'1',201,'N'),(28,7053401,'1A',216,'N'),(28,7053410,'1',316,'N'),(28,7053436,'1',207,'N'),(28,7053436,'1A',201,'N'),(28,7053444,'1',601,'N'),(28,7053444,'1A',233,'N'),(28,7053452,'1',319,'N'),(28,7053460,'1',303,'N'),(28,7053487,'1',103,'N'),(28,7053495,'1',103,'N'),(28,7053509,'1',207,'N'),(28,7053517,'1',308,'N'),(28,7053525,'1',319,'N'),(28,7053533,'1',102,'N'),(28,7053541,'1',454,'N'),(28,7053550,'1',339,'N'),(28,7053568,'1',333,'N'),(28,7053576,'1',235,'N'),(28,7053576,'1A',220,'N'),(28,7053584,'1',404,'N'),(28,7053592,'1',215,'N'),(28,7053592,'1A',212,'N'),(28,7053606,'1',999,'N'),(28,7053614,'1',207,'N'),(28,7053614,'1A',211,'N'),(28,7053622,'1',302,'N'),(28,7053630,'1',303,'N'),(28,7053649,'1',201,'N'),(28,7053649,'1A',238,'N'),(28,7053657,'1',207,'N'),(28,7053657,'1A',216,'N'),(28,7053665,'1',333,'N'),(28,7053673,'1',326,'N'),(28,7053681,'1',601,'N'),(28,7053690,'1',309,'N'),(28,7053703,'1',103,'N'),(28,7053711,'1',552,'N'),(28,7053720,'1',5,'N'),(28,7053738,'1',103,'N'),(28,7053762,'1',340,'N'),(28,7053789,'1',999,'N'),(28,7053797,'1',340,'N'),(28,7053800,'1',340,'N'),(28,7053819,'1',211,'N'),(28,7053819,'1A',213,'N'),(28,7053827,'1',999,'N'),(28,7053843,'1',238,'N'),(28,7053860,'1',207,'N'),(28,7053860,'1A',211,'N'),(28,7053878,'1',303,'N'),(28,7053886,'1',203,'N'),(28,7053886,'1A',233,'N'),(28,7053894,'1',454,'N'),(28,7053916,'1',415,'N'),(28,7053932,'1',202,'N'),(28,7053932,'1A',235,'N'),(28,7053940,'1',216,'N'),(28,7053940,'1A',233,'N'),(28,7053959,'1',303,'N'),(28,7053967,'1',104,'N'),(28,7053975,'1',203,'N'),(28,7053975,'1A',653,'N'),(28,7053983,'1',103,'N'),(28,7053991,'1',207,'N'),(28,7053991,'1A',201,'N'),(28,7054009,'1',201,'N'),(28,7054009,'1A',212,'N'),(28,7054017,'1',207,'N'),(28,7054017,'1A',201,'N'),(28,7054025,'1',999,'N'),(28,7054033,'1',104,'N'),(28,7054041,'1',454,'N'),(28,7054068,'1',103,'N'),(28,7054076,'1',103,'N'),(28,7054084,'1',201,'N'),(28,7054084,'1A',207,'N'),(28,7054092,'1',207,'N'),(28,7054092,'1A',238,'N'),(28,7054106,'1',215,'N'),(28,7054106,'1A',207,'N'),(28,7054114,'1',201,'N'),(28,7054114,'1A',203,'N'),(28,7054122,'1',215,'N'),(28,7054122,'1A',207,'N'),(28,7054130,'1',319,'N'),(28,7054149,'1',214,'N'),(28,7054149,'1A',212,'N'),(28,7054157,'1',303,'N'),(28,7054165,'1',208,'N'),(28,7054173,'1',103,'N'),(28,7054181,'1',103,'N'),(28,7054190,'1',104,'N'),(28,7054211,'1',333,'N'),(28,7054220,'1',103,'N'),(28,7054238,'1',215,'N'),(28,7054238,'1A',211,'N'),(28,7054246,'1',103,'N'),(28,7054262,'1',340,'N'),(28,7054270,'1',216,'N'),(28,7054270,'1A',233,'N'),(28,7054289,'1',103,'N'),(28,7054297,'1',340,'N'),(28,7054300,'1',601,'N'),(28,7054300,'1A',212,'N'),(28,7054319,'1',212,'N'),(28,7054327,'1',103,'N'),(28,7054335,'1',454,'N'),(28,7054343,'1',201,'N'),(28,7054343,'1A',203,'N'),(28,7054351,'1',103,'N'),(28,7054378,'1',103,'N'),(28,7054386,'1',999,'N'),(28,7054408,'1',216,'N'),(28,7054408,'1A',201,'N'),(28,7054416,'1',331,'N'),(28,7054424,'1',450,'N'),(28,7054432,'1',104,'N'),(28,7054440,'1',103,'N'),(28,7054459,'1',9,'N'),(28,7054467,'1',103,'N'),(28,7054475,'1',103,'N'),(28,7054483,'1',319,'N'),(28,7054491,'1',999,'N'),(28,7054505,'1',103,'N'),(28,7054530,'1',429,'N'),(28,7054530,'1A',425,'N'),(28,7054548,'1',214,'N'),(28,7054548,'1A',212,'N'),(28,7054556,'1',102,'N'),(28,7054564,'1',201,'N'),(28,7054564,'1A',213,'N'),(28,7054572,'1',103,'N'),(28,7054580,'1',308,'N'),(28,7054599,'1',108,'N'),(28,7054602,'1',318,'N'),(28,7054610,'1',211,'N'),(28,7054610,'1A',233,'N'),(28,7054629,'1',337,'N'),(28,7054637,'1',303,'N'),(28,7054653,'1',103,'N'),(28,7054661,'1',319,'N'),(28,7054670,'1',316,'N'),(28,7054688,'1',103,'N'),(28,7054696,'1',238,'N'),(28,7054696,'1A',201,'N'),(28,7054700,'1',108,'N'),(28,7054726,'1',103,'N'),(28,7054734,'1',103,'N'),(28,7054742,'1',103,'N'),(28,7054750,'1',207,'N'),(28,7054750,'1A',201,'N'),(28,7054769,'1',303,'N'),(28,7054777,'1',104,'N'),(28,7054793,'1',103,'N'),(28,7054815,'1',415,'N'),(28,7054823,'1',303,'N'),(28,7054858,'1',103,'N'),(28,7054866,'1',203,'N'),(28,7054866,'1A',601,'N'),(28,7054874,'1',103,'N'),(28,7054882,'1',202,'N'),(28,7054882,'1A',235,'N'),(28,7054890,'1',101,'N'),(28,7054904,'1',340,'N'),(28,7054912,'1',211,'N'),(28,7054912,'1A',215,'N'),(28,7054920,'1',319,'N'),(28,7054939,'1',552,'N'),(28,7054947,'1',308,'N'),(28,7054955,'1',203,'N'),(28,7054955,'1A',202,'N'),(28,7054963,'1',202,'N'),(28,7054963,'1A',220,'N'),(28,7054971,'1',103,'N'),(28,7054980,'1',203,'N'),(28,7054980,'1A',202,'N'),(28,7054998,'1',454,'N'),(28,7055005,'1',203,'N'),(28,7055005,'1A',201,'N'),(28,7055013,'1',201,'N'),(28,7055013,'1A',212,'N'),(28,7055021,'1',223,'N'),(28,7055030,'1',104,'N'),(28,7055048,'1',201,'N'),(28,7055048,'1A',212,'N'),(28,7055056,'1',203,'N'),(28,7055056,'1A',216,'N'),(28,7055064,'1',103,'N'),(28,7055072,'1',201,'N'),(28,7055072,'1A',207,'N'),(28,7055080,'1',303,'N'),(28,7055099,'1',103,'N'),(28,7055102,'1',103,'N'),(28,7055110,'1',303,'N'),(28,7055137,'1',103,'N'),(28,7055145,'1',5,'N'),(28,7055153,'1',201,'N'),(28,7055153,'1A',601,'N'),(28,7055170,'1',103,'N'),(28,7055188,'1',103,'N'),(28,7055196,'1',203,'N'),(28,7055196,'1A',212,'N'),(28,7055200,'1',103,'N'),(28,7055218,'1',211,'N'),(28,7055218,'1A',207,'N'),(28,7055226,'1',302,'N'),(28,7055234,'1',215,'N'),(28,7055234,'1A',216,'N'),(28,7055242,'1',103,'N'),(28,7055250,'1',201,'N'),(28,7055250,'1A',233,'N'),(28,7055269,'1',502,'N'),(28,7055277,'1',303,'N'),(28,7055285,'1',601,'N'),(28,7055285,'1A',653,'N'),(28,7055293,'1',340,'N'),(28,7055307,'1',103,'N'),(28,7055315,'1',103,'N'),(28,7055331,'1',653,'N'),(28,7055331,'1A',202,'N'),(28,7055340,'1',103,'N'),(28,7055358,'1',336,'N'),(28,7055366,'1',5,'N'),(28,7055374,'1',340,'N'),(28,7055382,'1',999,'N'),(28,7055390,'1',999,'N'),(28,7055404,'1',450,'N'),(28,7055412,'1',551,'N'),(28,7055420,'1',303,'N'),(28,7055447,'1',601,'N'),(28,7055447,'1A',207,'N'),(28,7055455,'1',318,'N'),(28,7055471,'1',5,'N'),(28,7055498,'1',9,'N'),(28,7055501,'1',207,'N'),(28,7055510,'1',103,'N'),(28,7055528,'1',238,'N'),(28,7055536,'1',552,'N'),(28,7055544,'1',203,'N'),(28,7055544,'1A',601,'N'),(28,7055552,'1',103,'N'),(28,7055587,'1',301,'N'),(28,7055595,'1',201,'N'),(28,7055595,'1A',212,'N'),(28,7055609,'1',601,'N'),(28,7055609,'1A',201,'N'),(28,7055617,'1',503,'N'),(28,7055625,'1',103,'N'),(28,7055633,'1',108,'N'),(28,7055650,'1',319,'N'),(28,7055676,'1',103,'N'),(28,7055692,'1',102,'N'),(28,7055706,'1',201,'N'),(28,7055706,'1A',202,'N'),(28,7055714,'1',303,'N'),(28,7055722,'1',103,'N'),(28,7055730,'1',302,'N'),(28,7055749,'1',108,'N'),(28,7055765,'1',202,'N'),(28,7055765,'1A',213,'N'),(28,7055773,'1',303,'N'),(28,7055781,'1',303,'N'),(28,7055790,'1',340,'N'),(28,7055811,'1',201,'N'),(28,7055811,'1A',207,'N'),(28,7055846,'1',303,'N'),(28,7055854,'1',235,'N'),(28,7055854,'1A',213,'N'),(28,7055862,'1',103,'N'),(28,7055870,'1',319,'N'),(28,7055889,'1',220,'N'),(28,7055889,'1A',235,'N'),(28,7055897,'1',653,'N'),(28,7055897,'1A',655,'N'),(28,7055900,'1',103,'N'),(28,7055919,'1',454,'N'),(28,7055927,'1',309,'N'),(28,7055943,'1',425,'N'),(28,7055943,'1A',426,'N'),(28,7055960,'1',103,'N'),(28,7055978,'1',103,'N'),(28,7056001,'1',235,'N'),(28,7056001,'1A',238,'N'),(28,7056010,'1',103,'N'),(28,7056036,'1',214,'N'),(28,7056036,'1A',212,'N'),(28,7056044,'1',211,'N'),(28,7056060,'1',207,'N'),(28,7056060,'1A',238,'N'),(28,7056079,'1',999,'N'),(28,7056087,'1',552,'N'),(28,7056095,'1',999,'N'),(28,7056109,'1',216,'N'),(28,7056109,'1A',220,'N'),(28,7056117,'1',9,'N'),(28,7056125,'1',303,'N'),(28,7056133,'1',103,'N'),(28,7056141,'1',207,'N'),(28,7056150,'1',104,'N'),(28,7056176,'1',103,'N'),(28,7056184,'1',340,'N'),(28,7056192,'1',103,'N'),(28,7056206,'1',103,'N'),(28,7056214,'1',108,'N'),(28,7056222,'1',454,'N'),(28,7056230,'1',9,'N'),(28,7056249,'1',103,'N'),(28,7056273,'1',103,'N'),(28,7056281,'1',340,'N'),(28,7056290,'1',103,'N'),(28,7056303,'1',103,'N'),(28,7056320,'1',103,'N'),(28,7056338,'1',201,'N'),(28,7056338,'1A',207,'N'),(28,7056346,'1',212,'N'),(28,7056346,'1A',201,'N'),(28,7056354,'1',551,'N'),(28,7056362,'1',103,'N'),(28,7056389,'1',203,'N'),(28,7056389,'1A',201,'N'),(28,7056397,'1',999,'N'),(28,7056400,'1',303,'N'),(28,7056419,'1',308,'N'),(28,7056435,'1',103,'N'),(28,7056443,'1',104,'N'),(28,7056451,'1',601,'N'),(28,7056451,'1A',653,'N'),(28,7056460,'1',211,'N'),(28,7056460,'1A',214,'N'),(28,7056478,'1',103,'N'),(28,7056486,'1',103,'N'),(28,7056494,'1',201,'N'),(28,7056494,'1A',202,'N'),(28,7056508,'1',201,'N'),(28,7056508,'1A',212,'N'),(28,7056524,'1',999,'N'),(28,7056532,'1',340,'N'),(28,7056540,'1',102,'N'),(28,7056559,'1',103,'N'),(28,7056567,'1',317,'N'),(28,7056575,'1',999,'N'),(28,7056583,'1',238,'N'),(28,7056583,'1A',203,'N'),(28,7056591,'1',454,'N'),(28,7056605,'1',103,'N'),(28,7056613,'1',426,'N'),(28,7056613,'1A',423,'N'),(28,7056621,'1',303,'N'),(28,7056630,'1',103,'N'),(28,7056648,'1',103,'N'),(28,7056664,'1',201,'N'),(28,7056664,'1A',601,'N'),(28,7056672,'1',216,'N'),(28,7056672,'1A',211,'N'),(28,7056680,'1',103,'N'),(28,7056699,'1',201,'N'),(28,7056699,'1A',207,'N'),(28,7056737,'1',303,'N'),(28,7056753,'1',201,'N'),(28,7056753,'1A',212,'N'),(28,7056761,'1',201,'N'),(28,7056761,'1A',212,'N'),(28,7056770,'1',340,'N'),(28,7056788,'1',5,'N'),(28,7056796,'1',214,'N'),(28,7056796,'1A',213,'N'),(28,7056800,'1',103,'N'),(28,7056818,'1',104,'N'),(28,7056826,'1',340,'N'),(28,7056834,'1',103,'N'),(28,7056842,'1',201,'N'),(28,7056842,'1A',203,'N'),(28,7056850,'1',103,'N'),(28,7056869,'1',103,'N'),(28,7056877,'1',203,'N'),(28,7056877,'1A',214,'N'),(28,7056885,'1',303,'N'),(28,7056893,'1',103,'N'),(28,7056907,'1',233,'N'),(28,7056907,'1A',216,'N'),(28,7056915,'1',415,'N'),(28,7056923,'1',9,'N'),(28,7056931,'1',220,'N'),(28,7056931,'1A',213,'N'),(28,7056958,'1',201,'N'),(28,7056958,'1A',203,'N'),(28,7056966,'1',235,'N'),(28,7056966,'1A',202,'N'),(28,7056974,'1',212,'N'),(28,7056974,'1A',213,'N'),(28,7056982,'1',103,'N'),(28,7056990,'1',303,'N'),(28,7057008,'1',102,'N'),(28,7057016,'1',340,'N'),(28,7057024,'1',220,'N'),(28,7057024,'1A',653,'N'),(28,7057032,'1',316,'N'),(28,7057040,'1',103,'N'),(28,7057059,'1',103,'N'),(28,7057067,'1',302,'N'),(28,7057075,'1',103,'N'),(28,7057083,'1',216,'N'),(28,7057083,'1A',211,'N'),(28,7057091,'1',201,'N'),(28,7057091,'1A',212,'N'),(28,7057105,'1',201,'N'),(28,7057105,'1A',216,'N'),(28,7057113,'1',202,'N'),(28,7057113,'1A',213,'N'),(28,7057121,'1',233,'N'),(28,7057121,'1A',215,'N'),(28,7057130,'1',5,'N'),(28,7057156,'1',319,'N'),(28,7057164,'1',103,'N'),(28,7057172,'1',220,'N'),(28,7057180,'1',340,'N'),(28,7057199,'1',103,'N'),(28,7057210,'1',216,'N'),(28,7057229,'1',103,'N'),(28,7057237,'1',318,'N'),(28,7057245,'1',216,'N'),(28,7057245,'1A',215,'N'),(28,7057253,'1',552,'N'),(28,7057261,'1',103,'N'),(28,7057270,'1',203,'N'),(28,7057270,'1A',216,'N'),(28,7057288,'1',999,'N'),(28,7057296,'1',303,'N'),(28,7057300,'1',103,'N'),(28,7057318,'1',303,'N'),(28,7057326,'1',103,'N'),(28,7057334,'1',339,'N'),(28,7057342,'1',502,'N'),(28,7057350,'1',201,'N'),(28,7057350,'1A',211,'N'),(28,7057369,'1',201,'N'),(28,7057385,'1',104,'N'),(28,7057393,'1',103,'N'),(28,7057415,'1',201,'N'),(28,7057415,'1A',212,'N'),(28,7057423,'1',999,'N'),(28,7057431,'1',303,'N'),(28,7057440,'1',201,'N'),(28,7057440,'1A',203,'N'),(28,7057458,'1',203,'N'),(28,7057458,'1A',202,'N'),(28,7057466,'1',552,'N'),(28,7057474,'1',103,'N'),(28,7057482,'1',216,'N'),(28,7057482,'1A',220,'N'),(28,7057490,'1',653,'N'),(28,7057490,'1A',202,'N'),(28,7057504,'1',203,'N'),(28,7057504,'1A',235,'N'),(28,7057512,'1',201,'N'),(28,7057520,'1',222,'N'),(28,7057539,'1',454,'N'),(28,7057547,'1',303,'N'),(28,7057555,'1',999,'N'),(28,7057563,'1',319,'N'),(28,7057571,'1',103,'N'),(28,7057580,'1',999,'N'),(28,7057601,'1',425,'N'),(28,7057601,'1A',428,'N'),(28,7057610,'1',5,'N'),(28,7057636,'1',319,'N'),(28,7057652,'1',301,'N'),(28,7057679,'1',216,'N'),(28,7057679,'1A',211,'N'),(28,7057695,'1',454,'N'),(28,7057709,'1',103,'N'),(28,7057717,'1',552,'N'),(28,7057725,'1',5,'N'),(28,7057733,'1',303,'N'),(28,7057741,'1',333,'N'),(28,7057750,'1',999,'N'),(28,7057768,'1',103,'N'),(28,7057776,'1',5,'N'),(28,7057784,'1',220,'N'),(28,7057784,'1A',235,'N'),(28,7057792,'1',319,'N'),(28,7057806,'1',303,'N'),(28,7057814,'1',233,'N'),(28,7057814,'1A',601,'N'),(28,7057830,'1',214,'N'),(28,7057830,'1A',213,'N'),(28,7057857,'1',340,'N'),(28,7057873,'1',303,'N'),(28,7057881,'1',201,'N'),(28,7057881,'1A',235,'N'),(28,7057903,'1',319,'N'),(28,7057911,'1',216,'N'),(28,7057911,'1A',215,'N'),(28,7057946,'1',319,'N'),(28,7057970,'1',655,'N'),(28,7057970,'1A',235,'N'),(28,7057989,'1',450,'N'),(28,7057997,'1',203,'N'),(28,7057997,'1A',214,'N'),(28,7058004,'1',103,'N'),(28,7058020,'1',234,'N'),(28,7058039,'1',207,'N'),(28,7058039,'1A',215,'N'),(28,7058047,'1',999,'N'),(28,7058055,'1',203,'N'),(28,7058055,'1A',601,'N'),(28,7058063,'1',5,'N'),(28,7058071,'1',212,'N'),(28,7058071,'1A',601,'N'),(28,7058080,'1',103,'N'),(28,7058098,'1',331,'N'),(28,7058101,'1',103,'N'),(28,7058128,'1',9,'N'),(28,7058136,'1',103,'N'),(28,7058144,'1',103,'N'),(28,7058160,'1',303,'N'),(28,7058179,'1',601,'N'),(28,7058179,'1A',203,'N'),(28,7058187,'1',214,'N'),(28,7058187,'1A',212,'N'),(28,7058195,'1',552,'N'),(28,7058209,'1',103,'N'),(28,7058225,'1',103,'N'),(28,7058233,'1',303,'N'),(28,7058241,'1',103,'N'),(28,7058250,'1',212,'N'),(28,7058250,'1A',201,'N'),(28,7058276,'1',103,'N'),(28,7058284,'1',202,'N'),(28,7058284,'1A',235,'N'),(28,7058292,'1',103,'N'),(28,7058306,'1',103,'N'),(28,7058314,'1',203,'N'),(28,7058314,'1A',214,'N'),(28,7058322,'1',103,'N'),(28,7058330,'1',339,'N'),(28,7058349,'1',214,'N'),(28,7058357,'1',103,'N'),(28,7058365,'1',103,'N'),(28,7058373,'1',104,'N'),(28,7058381,'1',103,'N'),(28,7058390,'1',211,'N'),(28,7058390,'1A',238,'N'),(28,7058403,'1',212,'N'),(28,7058403,'1A',214,'N'),(28,7058420,'1',340,'N'),(28,7058438,'1',653,'N'),(28,7058438,'1A',213,'N'),(28,7058446,'1',340,'N'),(28,7058454,'1',601,'N'),(28,7058454,'1A',203,'N'),(28,7058462,'1',404,'N'),(28,7058470,'1',652,'N'),(28,7058470,'1A',653,'N'),(28,7058489,'1',502,'N'),(28,7058500,'1',108,'N'),(28,7058527,'1',103,'N'),(28,7058535,'1',319,'N'),(28,7058543,'1',324,'N'),(28,7058551,'1',308,'N'),(28,7058560,'1',303,'N'),(28,7058578,'1',303,'N'),(28,7058586,'1',336,'N'),(28,7058594,'1',340,'N'),(28,7058608,'1',202,'N'),(28,7058608,'1A',213,'N'),(28,7058616,'1',203,'N'),(28,7058616,'1A',201,'N'),(28,7058632,'1',340,'N'),(28,7058640,'1',202,'N'),(28,7058640,'1A',213,'N'),(28,7058659,'1',653,'N'),(28,7058659,'1A',655,'N'),(28,7058667,'1',303,'N'),(28,7058675,'1',5,'N'),(28,7058683,'1',103,'N'),(28,7058705,'1',104,'N'),(28,7058713,'1',104,'N'),(28,7058748,'1',203,'N'),(28,7058748,'1A',214,'N'),(28,7058756,'1',103,'N'),(28,7058764,'1',103,'N'),(28,7058772,'1',211,'N'),(28,7058772,'1A',652,'N'),(28,7058780,'1',207,'N'),(28,7058780,'1A',201,'N'),(28,7058799,'1',104,'N'),(28,7058802,'1',201,'N'),(28,7058802,'1A',233,'N'),(28,7058829,'1',653,'N'),(28,7058837,'1',103,'N'),(28,7058845,'1',316,'N'),(28,7058870,'1',103,'N'),(28,7058888,'1',5,'N'),(28,7058896,'1',220,'N'),(28,7058896,'1A',235,'N'),(28,7058900,'1',103,'N'),(28,7058934,'1',211,'N'),(28,7058934,'1A',207,'N'),(28,7058969,'1',103,'N'),(28,7058977,'1',454,'N'),(28,7058985,'1',320,'N'),(28,7058993,'1',103,'N'),(28,7059027,'1',103,'N'),(28,7059035,'1',301,'N'),(28,7059043,'1',207,'N'),(28,7059043,'1A',215,'N'),(28,7059051,'1',319,'N'),(28,7059060,'1',103,'N'),(28,7059086,'1',103,'N'),(28,7059094,'1',302,'N'),(28,7059108,'1',103,'N'),(28,7059116,'1',316,'N'),(28,7059124,'1',201,'N'),(28,7059124,'1A',212,'N'),(28,7059132,'1',202,'N'),(28,7059132,'1A',653,'N'),(28,7059140,'1',454,'N'),(28,7059167,'1',103,'N'),(28,7059175,'1',653,'N'),(28,7059175,'1A',202,'N'),(28,7059183,'1',103,'N'),(28,7059191,'1',9,'N'),(28,7059205,'1',103,'N'),(28,7059221,'1',203,'N'),(28,7059221,'1A',201,'N'),(28,7059230,'1',211,'N'),(28,7059230,'1A',215,'N'),(28,7059248,'1',501,'N'),(28,7059256,'1',309,'N'),(28,7059264,'1',454,'N'),(28,7059272,'1',999,'N'),(28,7059280,'1',203,'N'),(28,7059280,'1A',202,'N'),(28,7059299,'1',451,'N'),(28,7059302,'1',653,'N'),(28,7059302,'1A',601,'N'),(28,7059329,'1',207,'N'),(28,7059329,'1A',201,'N'),(28,7059345,'1',207,'N'),(28,7059345,'1A',233,'N'),(28,7059353,'1',201,'N'),(28,7059353,'1A',203,'N'),(28,7059361,'1',655,'N'),(28,7059361,'1A',652,'N'),(28,7059388,'1',999,'N'),(28,7059400,'1',103,'N'),(28,7059418,'1',108,'N'),(28,7059426,'1',103,'N'),(28,7059434,'1',303,'N'),(28,7059442,'1',102,'N'),(28,7059469,'1',103,'N'),(28,7059477,'1',5,'N'),(28,7059485,'1',444,'N'),(28,7059507,'1',103,'N'),(28,7059515,'1',103,'N'),(28,7059523,'1',601,'N'),(28,7059531,'1',999,'N'),(28,7059566,'1',103,'N'),(28,7059582,'1',333,'N'),(28,7059590,'1',103,'N'),(28,7059604,'1',207,'N'),(28,7059604,'1A',211,'N'),(28,7059612,'1',224,'N'),(28,7059647,'1',201,'N'),(28,7059647,'1A',207,'N'),(28,7059655,'1',103,'N'),(28,7059663,'1',319,'N'),(28,7059680,'1',319,'N'),(28,7059698,'1',301,'N'),(28,7059701,'1',5,'N'),(28,7059728,'1',202,'N'),(28,7059728,'1A',201,'N'),(28,7059736,'1',103,'N'),(28,7059744,'1',425,'N'),(28,7059744,'1A',428,'N'),(28,7059752,'1',999,'N'),(28,7059760,'1',103,'N'),(28,7059787,'1',103,'N'),(28,7059809,'1',108,'N'),(28,7059825,'1',207,'N'),(28,7059825,'1A',201,'N'),(28,7059833,'1',340,'N'),(28,7059841,'1',103,'N'),(28,7059850,'1',303,'N'),(28,7059868,'1',319,'N'),(28,7059876,'1',601,'N'),(28,7059876,'1A',201,'N'),(28,7059892,'1',103,'N'),(28,7059906,'1',303,'N'),(28,7059914,'1',223,'N'),(28,7059922,'1',215,'N'),(28,7059922,'1A',216,'N'),(28,7059949,'1',201,'N'),(28,7059949,'1A',202,'N'),(28,7059957,'1',207,'N'),(28,7059965,'1',109,'N'),(28,7059981,'1',208,'N'),(28,7059990,'1',303,'N'),(28,7060009,'1',203,'N'),(28,7060009,'1A',214,'N'),(28,7060017,'1',426,'N'),(28,7060017,'1A',428,'N'),(28,7060025,'1',319,'N'),(28,7060041,'1',450,'N'),(28,7060050,'1',103,'N'),(28,7060068,'1',317,'N'),(28,7060076,'1',655,'N'),(28,7060076,'1A',238,'N'),(28,7060084,'1',317,'N'),(28,7060092,'1',216,'N'),(28,7060106,'1',309,'N'),(28,7060122,'1',214,'N'),(28,7060122,'1A',203,'N'),(28,7060130,'1',103,'N'),(28,7060149,'1',201,'N'),(28,7060149,'1A',202,'N'),(28,7060157,'1',303,'N'),(28,7060173,'1',214,'N'),(28,7060173,'1A',203,'N'),(28,7060181,'1',212,'N'),(28,7060181,'1A',213,'N'),(28,7060190,'1',454,'N'),(28,7060203,'1',103,'N'),(28,7060211,'1',207,'N'),(28,7060211,'1A',212,'N'),(28,7060220,'1',203,'N'),(28,7060220,'1A',201,'N'),(28,7060246,'1',303,'N'),(28,7060254,'1',601,'N'),(28,7060254,'1A',207,'N'),(28,7060262,'1',213,'N'),(28,7060262,'1A',233,'N'),(28,7060270,'1',303,'N'),(28,7060289,'1',104,'N'),(28,7060300,'1',103,'N'),(28,7060351,'1',211,'N'),(28,7060351,'1A',202,'N'),(28,7060360,'1',207,'N'),(28,7060378,'1',103,'N'),(28,7060386,'1',302,'N'),(28,7060394,'1',104,'N'),(28,7060408,'1',103,'N'),(28,7060424,'1',103,'N'),(28,7060459,'1',552,'N'),(28,7060467,'1',216,'N'),(28,7060467,'1A',203,'N'),(28,7060475,'1',319,'N'),(28,7060491,'1',214,'N'),(28,7060491,'1A',213,'N'),(28,7060505,'1',207,'N'),(28,7060505,'1A',201,'N'),(28,7060513,'1',415,'N'),(28,7060521,'1',340,'N'),(28,7060530,'1',102,'N'),(28,7060548,'1',999,'N'),(28,7060556,'1',552,'N'),(28,7060564,'1',208,'N'),(28,7060572,'1',440,'N'),(28,7060580,'1',103,'N'),(28,7060599,'1',203,'N'),(28,7060599,'1A',202,'N'),(28,7060602,'1',238,'N'),(28,7060602,'1A',216,'N'),(28,7060610,'1',302,'N'),(28,7060637,'1',203,'N'),(28,7060637,'1A',235,'N'),(28,7060645,'1',444,'N'),(28,7060653,'1',103,'N'),(28,7060661,'1',451,'N'),(28,7060670,'1',201,'N'),(28,7060670,'1A',207,'N'),(28,7060696,'1',103,'N'),(28,7060700,'1',224,'N'),(28,7060726,'1',103,'N'),(28,7060734,'1',444,'N'),(28,7060742,'1',203,'N'),(28,7060742,'1A',220,'N'),(28,7060750,'1',5,'N'),(28,7060769,'1',319,'N'),(28,7060815,'1',103,'N'),(28,7060840,'1',207,'N'),(28,7060840,'1A',601,'N'),(28,7060858,'1',450,'N'),(28,7060866,'1',238,'N'),(28,7060866,'1A',233,'N'),(28,7060882,'1',5,'N'),(28,7060890,'1',104,'N'),(28,7060904,'1',5,'N'),(28,7060912,'1',503,'N'),(28,7060920,'1',207,'N'),(28,7060920,'1A',212,'N'),(28,7060947,'1',104,'N'),(28,7060980,'1',340,'N'),(28,7060998,'1',5,'N'),(28,7061005,'1',552,'N'),(28,7061013,'1',103,'N'),(28,7061021,'1',304,'N'),(28,7061030,'1',454,'N'),(28,7061048,'1',318,'N'),(28,7061056,'1',208,'N'),(28,7061080,'1',454,'N'),(28,7061129,'1',203,'N'),(28,7061129,'1A',201,'N'),(28,7061137,'1',103,'N'),(28,7061153,'1',103,'N'),(28,7061170,'1',5,'N'),(28,7061188,'1',201,'N'),(28,7061188,'1A',212,'N'),(28,7061200,'1',425,'N'),(28,7061200,'1A',424,'N'),(28,7061218,'1',103,'N'),(28,7061226,'1',444,'N'),(28,7061242,'1',301,'N'),(28,7061269,'1',208,'N'),(28,7061277,'1',201,'N'),(28,7061277,'1A',212,'N'),(28,7061285,'1',601,'N'),(28,7061285,'1A',201,'N'),(28,7061293,'1',103,'N'),(28,7061307,'1',551,'N'),(28,7061315,'1',220,'N'),(28,7061315,'1A',235,'N'),(28,7061323,'1',317,'N'),(28,7061331,'1',238,'N'),(28,7061331,'1A',655,'N'),(28,7061374,'1',304,'N'),(28,7061382,'1',316,'N'),(28,7061412,'1',5,'N'),(28,7061420,'1',450,'N'),(28,7061439,'1',207,'N'),(28,7061439,'1A',201,'N'),(28,7061455,'1',5,'N'),(28,7061463,'1',103,'N'),(28,7061471,'1',316,'N'),(28,7061480,'1',327,'N'),(28,7061498,'1',340,'N'),(28,7061510,'1',303,'N'),(28,7061552,'1',103,'N'),(28,7061560,'1',103,'N'),(28,7061579,'1',302,'N'),(28,7061595,'1',101,'N'),(28,7061617,'1',103,'N'),(28,7061641,'1',103,'N'),(28,7061650,'1',103,'N'),(28,7061668,'1',304,'N'),(28,7061676,'1',102,'N'),(28,7061684,'1',103,'N'),(28,7061692,'1',303,'N'),(28,7061714,'1',5,'N'),(28,7061722,'1',103,'N'),(28,7061730,'1',103,'N'),(28,7061757,'1',303,'N'),(28,7061773,'1',201,'N'),(28,7061773,'1A',212,'N'),(28,7061811,'1',203,'N'),(28,7061811,'1A',201,'N'),(28,7061820,'1',5,'N'),(28,7061838,'1',653,'N'),(28,7061838,'1A',655,'N'),(28,7061846,'1',201,'N'),(28,7061846,'1A',207,'N'),(28,7061862,'1',552,'N'),(28,7061870,'1',103,'N'),(28,7061889,'1',444,'N'),(28,7061897,'1',230,'N'),(28,7061900,'1',203,'N'),(28,7061900,'1A',214,'N'),(28,7061935,'1',327,'N'),(28,7061943,'1',223,'N'),(28,7061951,'1',103,'N'),(28,7061960,'1',303,'N'),(28,7061978,'1',201,'N'),(28,7061978,'1A',220,'N'),(28,7061994,'1',5,'N'),(28,7062001,'1',302,'N'),(28,7062010,'1',203,'N'),(28,7062010,'1A',202,'N'),(28,7062028,'1',103,'N'),(28,7062036,'1',108,'N'),(28,7062044,'1',319,'N'),(28,7062052,'1',5,'N'),(28,7062060,'1',316,'N'),(28,7062079,'1',104,'N'),(28,7062087,'1',551,'N'),(28,7062095,'1',450,'N'),(28,7062117,'1',203,'N'),(28,7062117,'1A',207,'N'),(28,7062141,'1',220,'N'),(28,7062141,'1A',233,'N'),(28,7062150,'1',201,'N'),(28,7062150,'1A',202,'N'),(28,7062168,'1',103,'N'),(28,7062176,'1',103,'N'),(28,7062206,'1',415,'N'),(28,7062249,'1',103,'N'),(28,7062257,'1',415,'N'),(28,7062281,'1',208,'N'),(28,7062290,'1',103,'N'),(28,7062311,'1',454,'N'),(28,7062320,'1',103,'N'),(28,7062338,'1',304,'N'),(28,7062346,'1',316,'N'),(28,7062354,'1',304,'N'),(28,7062362,'1',320,'N'),(28,7062370,'1',211,'N'),(28,7062370,'1A',215,'N'),(28,7062389,'1',340,'N'),(28,7062397,'1',216,'N'),(28,7062400,'1',103,'N'),(28,7062419,'1',103,'N'),(28,7062427,'1',103,'N'),(28,7062435,'1',103,'N'),(28,7062443,'1',202,'N'),(28,7062443,'1A',235,'N'),(28,7062451,'1',103,'N'),(28,7062486,'1',103,'N'),(28,7062494,'1',225,'N'),(28,7062508,'1',103,'N'),(28,7062516,'1',2,'N'),(28,7062532,'1',303,'N'),(28,7062540,'1',317,'N'),(28,7062567,'1',103,'N'),(28,7062575,'1',454,'N'),(28,7062591,'1',317,'N'),(28,7062605,'1',424,'N'),(28,7062605,'1A',429,'N'),(28,7062613,'1',303,'N'),(28,7062630,'1',212,'N'),(28,7062630,'1A',215,'N'),(28,7062648,'1',317,'N'),(28,7062656,'1',235,'N'),(28,7062656,'1A',601,'N'),(28,7062664,'1',103,'N'),(28,7062672,'1',326,'N'),(28,7062680,'1',301,'N'),(28,7062729,'1',103,'N'),(28,7062737,'1',213,'N'),(28,7062737,'1A',215,'N'),(28,7062745,'1',103,'N'),(28,7062753,'1',110,'N'),(28,7062761,'1',324,'N'),(28,7062770,'1',444,'N'),(28,7062796,'1',201,'N'),(28,7062796,'1A',211,'N'),(28,7062826,'1',235,'N'),(28,7062826,'1A',213,'N'),(28,7062834,'1',5,'N'),(28,7062842,'1',5,'N'),(28,7062850,'1',103,'N'),(28,7062877,'1',654,'N'),(28,7062885,'1',103,'N'),(28,7062893,'1',103,'N'),(28,7062907,'1',501,'N'),(28,7062923,'1',303,'N'),(28,7062931,'1',207,'N'),(28,7062931,'1A',201,'N'),(28,7062940,'1',103,'N'),(28,7062958,'1',103,'N'),(28,7062974,'1',103,'N'),(28,7062982,'1',103,'N'),(28,7063008,'1',304,'N'),(28,7063016,'1',5,'N'),(28,7063032,'1',225,'N'),(28,7063067,'1',335,'N'),(28,7063075,'1',103,'N'),(28,7063091,'1',235,'N'),(28,7063091,'1A',202,'N'),(28,7063105,'1',303,'N'),(28,7063113,'1',103,'N'),(28,7063121,'1',444,'N'),(28,7063130,'1',103,'N'),(28,7063172,'1',207,'N'),(28,7063180,'1',207,'N'),(28,7063199,'1',316,'N'),(28,7063202,'1',233,'N'),(28,7063202,'1A',235,'N'),(28,7063229,'1',415,'N'),(28,7063253,'1',440,'N'),(28,7063270,'1',601,'N'),(28,7063270,'1A',216,'N'),(28,7063296,'1',207,'N'),(28,7063326,'1',450,'N'),(28,7063334,'1',103,'N'),(28,7063342,'1',103,'N'),(28,7063350,'1',103,'N'),(28,7063369,'1',454,'N'),(28,7063377,'1',103,'N'),(28,7063393,'1',103,'N'),(28,7063407,'1',999,'N'),(28,7063415,'1',203,'N'),(28,7063415,'1A',214,'N'),(28,7063423,'1',224,'N'),(28,7063431,'1',103,'N'),(28,7063440,'1',203,'N'),(28,7063440,'1A',601,'N'),(28,7063458,'1',103,'N'),(28,7063466,'1',203,'N'),(28,7063466,'1A',202,'N'),(28,7063482,'1',216,'N'),(28,7063482,'1A',215,'N'),(28,7063490,'1',320,'N'),(28,7063512,'1',238,'N'),(28,7063512,'1A',207,'N'),(28,7063520,'1',208,'N'),(28,7063539,'1',201,'N'),(28,7063539,'1A',211,'N'),(28,7063555,'1',238,'N'),(28,7063563,'1',103,'N'),(28,7063580,'1',203,'N'),(28,7063580,'1A',214,'N'),(28,7063598,'1',9,'N'),(28,7063601,'1',103,'N'),(28,7063610,'1',103,'N'),(28,7063628,'1',302,'N'),(28,7063652,'1',103,'N'),(28,7063679,'1',207,'N'),(28,7063679,'1A',201,'N'),(28,7063687,'1',415,'N'),(28,7063717,'1',108,'N'),(28,7063725,'1',207,'N'),(28,7063725,'1A',601,'N'),(28,7063733,'1',309,'N'),(28,7063741,'1',103,'N'),(28,7063750,'1',301,'N'),(28,7063768,'1',104,'N'),(28,7063776,'1',301,'N'),(28,7063784,'1',207,'N'),(28,7063784,'1A',211,'N'),(28,7063806,'1',319,'N'),(28,7063814,'1',999,'N'),(28,7063822,'1',103,'N'),(28,7063830,'1',101,'N'),(28,7063849,'1',201,'N'),(28,7063849,'1A',235,'N'),(28,7063857,'1',308,'N'),(28,7063865,'1',207,'N'),(28,7063865,'1A',201,'N'),(28,7063873,'1',415,'N'),(28,7063881,'1',103,'N'),(28,7063903,'1',103,'N'),(28,7063911,'1',101,'N'),(28,7063938,'1',203,'N'),(28,7063938,'1A',202,'N'),(28,7063946,'1',404,'N'),(28,7063954,'1',103,'N'),(28,7063989,'1',301,'N'),(28,7063997,'1',213,'N'),(28,7063997,'1A',203,'N'),(28,7064004,'1',202,'N'),(28,7064004,'1A',213,'N'),(28,7064020,'1',303,'N'),(28,7064047,'1',203,'N'),(28,7064047,'1A',214,'N'),(28,7064055,'1',415,'N'),(28,7064063,'1',103,'N'),(28,7064071,'1',502,'N'),(28,7064080,'1',203,'N'),(28,7064080,'1A',201,'N'),(28,7064098,'1',103,'N'),(28,7064144,'1',103,'N'),(28,7064152,'1',104,'N'),(28,7064160,'1',212,'N'),(28,7064160,'1A',213,'N'),(28,7064179,'1',303,'N'),(28,7064187,'1',454,'N'),(28,7064195,'1',5,'N'),(28,7064209,'1',235,'N'),(28,7064209,'1A',202,'N'),(28,7064225,'1',103,'N'),(28,7064233,'1',203,'N'),(28,7064233,'1A',235,'N'),(28,7064250,'1',450,'N'),(28,7064306,'1',304,'N'),(28,7064314,'1',201,'N'),(28,7064314,'1A',212,'N'),(28,7064322,'1',103,'N'),(28,7064330,'1',329,'N'),(28,7064357,'1',101,'N'),(28,7064365,'1',999,'N'),(28,7064373,'1',201,'N'),(28,7064373,'1A',207,'N'),(28,7064381,'1',103,'N'),(28,7064390,'1',110,'N'),(28,7064411,'1',203,'N'),(28,7064411,'1A',220,'N'),(28,7064420,'1',319,'N'),(28,7064438,'1',421,'N'),(28,7064438,'1A',425,'N'),(28,7064454,'1',103,'N'),(28,7064462,'1',103,'N'),(28,7064470,'1',110,'N'),(28,7064489,'1',201,'N'),(28,7064489,'1A',212,'N'),(28,7064527,'1',109,'N'),(28,7064551,'1',203,'N'),(28,7064551,'1A',601,'N'),(28,7064578,'1',213,'N'),(28,7064578,'1A',235,'N'),(28,7064586,'1',328,'N'),(28,7064594,'1',201,'N'),(28,7064594,'1A',212,'N'),(28,7064616,'1',319,'N'),(28,7064624,'1',552,'N'),(28,7064632,'1',103,'N'),(28,7064640,'1',444,'N'),(28,7064667,'1',212,'N'),(28,7064667,'1A',201,'N'),(28,7064675,'1',103,'N'),(28,7064683,'1',601,'N'),(28,7064691,'1',340,'N'),(28,7064705,'1',601,'N'),(28,7064705,'1A',203,'N'),(28,7064713,'1',220,'N'),(28,7064713,'1A',201,'N'),(28,7064721,'1',999,'N'),(28,7064730,'1',103,'N'),(28,7064748,'1',220,'N'),(28,7064748,'1A',202,'N'),(28,7064756,'1',319,'N'),(28,7064764,'1',238,'N'),(28,7064764,'1A',202,'N'),(28,7064772,'1',208,'N'),(28,7064799,'1',216,'N'),(28,7064799,'1A',220,'N'),(28,7064802,'1',103,'N'),(28,7064810,'1',999,'N'),(28,7064829,'1',340,'N'),(28,7064837,'1',999,'N'),(28,7064845,'1',319,'N'),(28,7064853,'1',454,'N'),(28,7064870,'1',103,'N'),(28,7064888,'1',207,'N'),(28,7064888,'1A',601,'N'),(28,7064900,'1',103,'N'),(28,7064926,'1',333,'N'),(28,7064934,'1',552,'N'),(28,7064942,'1',444,'N'),(28,7064950,'1',304,'N'),(28,7064969,'1',316,'N'),(28,7064977,'1',207,'N'),(28,7064977,'1A',201,'N'),(28,7064985,'1',203,'N'),(28,7064985,'1A',216,'N'),(28,7064993,'1',103,'N'),(28,7065000,'1',318,'N'),(28,7065035,'1',303,'N'),(28,7065043,'1',450,'N'),(28,7065051,'1',552,'N'),(28,7065060,'1',301,'N'),(28,7065078,'1',212,'N'),(28,7065078,'1A',214,'N'),(28,7065086,'1',201,'N'),(28,7065086,'1A',216,'N'),(28,7065094,'1',333,'N'),(28,7065116,'1',103,'N'),(28,7065124,'1',223,'N'),(28,7065159,'1',103,'N'),(28,7065167,'1',207,'N'),(28,7065175,'1',5,'N'),(28,7065183,'1',336,'N'),(28,7065191,'1',302,'N'),(28,7065205,'1',201,'N'),(28,7065205,'1A',601,'N'),(28,7065213,'1',502,'N'),(28,7065221,'1',103,'N'),(28,7065230,'1',601,'N'),(28,7065230,'1A',202,'N'),(28,7065256,'1',220,'N'),(28,7065256,'1A',653,'N'),(28,7065272,'1',425,'N'),(28,7065272,'1A',429,'N'),(28,7065280,'1',601,'N'),(28,7065280,'1A',203,'N'),(28,7065299,'1',216,'N'),(28,7065299,'1A',201,'N'),(28,7065302,'1',102,'N'),(28,7065329,'1',104,'N'),(28,7065337,'1',103,'N'),(28,7065353,'1',340,'N'),(28,7065370,'1',207,'N'),(28,7065370,'1A',220,'N'),(28,7065388,'1',999,'N'),(28,7065396,'1',316,'N'),(28,7065418,'1',216,'N'),(28,7065418,'1A',201,'N'),(28,7065450,'1',429,'N'),(28,7065450,'1A',425,'N'),(28,7065469,'1',203,'N'),(28,7065469,'1A',214,'N'),(28,7065477,'1',454,'N'),(28,7065485,'1',303,'N'),(28,7065493,'1',103,'N'),(28,7065515,'1',333,'N'),(28,7065523,'1',214,'N'),(28,7065523,'1A',220,'N'),(28,7065531,'1',207,'N'),(28,7065531,'1A',215,'N'),(28,7065540,'1',319,'N'),(28,7065566,'1',208,'N'),(28,7065574,'1',5,'N'),(28,7065590,'1',333,'N'),(28,7065604,'1',103,'N'),(28,7065639,'1',103,'N'),(28,7065647,'1',454,'N'),(28,7065655,'1',5,'N'),(28,7065663,'1',304,'N'),(28,7065671,'1',331,'N'),(28,7065680,'1',201,'N'),(28,7065680,'1A',207,'N'),(28,7065701,'1',203,'N'),(28,7065701,'1A',201,'N'),(28,7065710,'1',103,'N'),(28,7065728,'1',203,'N'),(28,7065728,'1A',220,'N'),(28,7065736,'1',103,'N'),(28,7065744,'1',440,'N'),(28,7065752,'1',104,'N'),(28,7065787,'1',320,'N'),(28,7065795,'1',201,'N'),(28,7065795,'1A',214,'N'),(28,7065825,'1',214,'N'),(28,7065825,'1A',212,'N'),(28,7065833,'1',103,'N'),(28,7065841,'1',309,'N'),(28,7065868,'1',301,'N'),(28,7065884,'1',340,'N'),(28,7065892,'1',103,'N'),(28,7065906,'1',203,'N'),(28,7065906,'1A',235,'N'),(28,7065922,'1',319,'N'),(28,7065930,'1',103,'N'),(28,7065949,'1',316,'N'),(28,7065957,'1',215,'N'),(28,7065957,'1A',653,'N'),(28,7065973,'1',203,'N'),(28,7065973,'1A',220,'N'),(28,7065990,'1',303,'N'),(28,7066007,'1',654,'N'),(28,7066015,'1',103,'N'),(28,7066058,'1',454,'N'),(28,7066066,'1',207,'N'),(28,7066066,'1A',201,'N'),(28,7066074,'1',5,'N'),(28,7066090,'1',238,'N'),(28,7066090,'1A',201,'N'),(28,7066104,'1',103,'N'),(28,7066112,'1',304,'N'),(28,7066120,'1',207,'N'),(28,7066120,'1A',601,'N'),(28,7066139,'1',103,'N'),(28,7066155,'1',203,'N'),(28,7066155,'1A',202,'N'),(28,7066163,'1',415,'N'),(28,7066171,'1',5,'N'),(28,7066180,'1',303,'N'),(28,7066210,'1',103,'N'),(28,7066228,'1',454,'N'),(28,7066252,'1',207,'N'),(28,7066252,'1A',212,'N'),(28,7066260,'1',103,'N'),(28,7066287,'1',654,'N'),(28,7066295,'1',601,'N'),(28,7066295,'1A',235,'N'),(28,7066309,'1',302,'N'),(28,7066317,'1',303,'N'),(28,7066325,'1',208,'N'),(28,7066333,'1',103,'N'),(28,7066341,'1',203,'N'),(28,7066341,'1A',220,'N'),(28,7066368,'1',203,'N'),(28,7066368,'1A',220,'N'),(28,7066392,'1',444,'N'),(28,7066406,'1',216,'N'),(28,7066406,'1A',233,'N'),(28,7066430,'1',103,'N'),(28,7066449,'1',208,'N'),(28,7066457,'1',601,'N'),(28,7066457,'1A',653,'N'),(28,7066465,'1',340,'N'),(28,7066473,'1',333,'N'),(28,7066490,'1',450,'N'),(28,7066503,'1',201,'N'),(28,7066503,'1A',212,'N'),(28,7066511,'1',9,'N'),(28,7066520,'1',104,'N'),(28,7066538,'1',103,'N'),(28,7066546,'1',316,'N'),(28,7066554,'1',103,'N'),(28,7066562,'1',303,'N'),(28,7066570,'1',203,'N'),(28,7066570,'1A',202,'N'),(28,7066600,'1',104,'N'),(28,7066619,'1',203,'N'),(28,7066619,'1A',220,'N'),(28,7066627,'1',103,'N'),(28,7066635,'1',454,'N'),(28,7066643,'1',238,'N'),(28,7066651,'1',201,'N'),(28,7066651,'1A',235,'N'),(28,7066660,'1',103,'N'),(28,7066678,'1',552,'N'),(28,7066694,'1',202,'N'),(28,7066694,'1A',201,'N'),(28,7066716,'1',233,'N'),(28,7066716,'1A',238,'N'),(28,7066724,'1',207,'N'),(28,7066724,'1A',201,'N'),(28,7066732,'1',655,'N'),(28,7066732,'1A',652,'N'),(28,7066740,'1',9,'N'),(28,7066767,'1',454,'N'),(28,7066783,'1',303,'N'),(28,7066791,'1',207,'N'),(28,7066791,'1A',212,'N'),(28,7066805,'1',103,'N'),(28,7066813,'1',201,'N'),(28,7066813,'1A',202,'N'),(28,7066821,'1',336,'N'),(28,7066856,'1',319,'N'),(28,7066864,'1',103,'N'),(28,7066899,'1',5,'N'),(28,7066902,'1',999,'N'),(28,7066929,'1',103,'N'),(28,7066937,'1',207,'N'),(28,7066937,'1A',216,'N'),(28,7066953,'1',103,'N'),(28,7066970,'1',101,'N'),(28,7066996,'1',104,'N'),(28,7067003,'1',103,'N'),(28,7067011,'1',3,'N'),(28,7067020,'1',601,'N'),(28,7067020,'1A',653,'N'),(28,7067038,'1',454,'N'),(28,7067046,'1',201,'N'),(28,7067046,'1A',207,'N'),(28,7067054,'1',214,'N'),(28,7067054,'1A',212,'N'),(28,7067062,'1',216,'N'),(28,7067062,'1A',212,'N'),(28,7067089,'1',503,'N'),(28,7067100,'1',103,'N'),(28,7067119,'1',601,'N'),(28,7067119,'1A',213,'N'),(28,7067127,'1',103,'N'),(28,7067135,'1',303,'N'),(28,7067151,'1',503,'N'),(28,7067160,'1',404,'N'),(28,7067186,'1',425,'N'),(28,7067186,'1A',426,'N'),(28,7067194,'1',333,'N'),(28,7067208,'1',404,'N'),(28,7067216,'1',317,'N'),(28,7067224,'1',201,'N'),(28,7067224,'1A',212,'N'),(28,7067232,'1',999,'N'),(28,7067259,'1',238,'N'),(28,7067259,'1A',233,'N'),(28,7067275,'1',317,'N'),(28,7067283,'1',109,'N'),(28,7067291,'1',201,'N'),(28,7067291,'1A',203,'N'),(28,7067313,'1',303,'N'),(28,7067321,'1',425,'N'),(28,7067321,'1A',429,'N'),(28,7067330,'1',103,'N'),(28,7067348,'1',234,'N'),(28,7067356,'1',207,'N'),(28,7067364,'1',208,'N'),(28,7067372,'1',103,'N'),(28,7067380,'1',303,'N'),(28,7067399,'1',333,'N'),(28,7067410,'1',211,'N'),(28,7067453,'1',503,'N'),(28,7067461,'1',103,'N'),(28,7067470,'1',103,'N'),(28,7067488,'1',999,'N'),(28,7067496,'1',103,'N'),(28,7067500,'1',5,'N'),(28,7067526,'1',203,'N'),(28,7067526,'1A',214,'N'),(28,7067542,'1',203,'N'),(28,7067542,'1A',207,'N'),(28,7067550,'1',551,'N'),(28,7067577,'1',317,'N'),(28,7067585,'1',454,'N'),(28,7067593,'1',601,'N'),(28,7067607,'1',303,'N'),(28,7067615,'1',103,'N'),(28,7067623,'1',104,'N'),(28,7067631,'1',450,'N'),(28,7067658,'1',444,'N'),(28,7067666,'1',310,'N'),(28,7067682,'1',319,'N'),(28,7067704,'1',503,'N'),(28,7067739,'1',5,'N'),(28,7067747,'1',201,'N'),(28,7067747,'1A',213,'N'),(28,7067755,'1',309,'N'),(28,7067763,'1',203,'N'),(28,7067763,'1A',235,'N'),(28,7067771,'1',220,'N'),(28,7067771,'1A',235,'N'),(28,7067798,'1',104,'N'),(28,7067801,'1',201,'N'),(28,7067801,'1A',212,'N'),(28,7067810,'1',214,'N'),(28,7067810,'1A',601,'N'),(28,7067828,'1',101,'N'),(28,7067836,'1',220,'N'),(28,7067836,'1A',201,'N'),(28,7067844,'1',444,'N'),(28,7067852,'1',103,'N'),(28,7067860,'1',302,'N'),(28,7067879,'1',340,'N'),(28,7067895,'1',5,'N'),(28,7067909,'1',201,'N'),(28,7067909,'1A',212,'N'),(28,7067917,'1',333,'N'),(28,7067933,'1',103,'N'),(28,7067950,'1',103,'N'),(28,7067968,'1',203,'N'),(28,7067968,'1A',601,'N'),(28,7067976,'1',215,'N'),(28,7067976,'1A',211,'N'),(28,7067984,'1',103,'N'),(28,7067992,'1',110,'N'),(28,7068000,'1',999,'N'),(28,7068018,'1',103,'N'),(28,7068026,'1',303,'N'),(28,7068050,'1',415,'N'),(28,7068069,'1',201,'N'),(28,7068069,'1A',203,'N'),(28,7068077,'1',234,'N'),(28,7068085,'1',201,'N'),(28,7068085,'1A',233,'N'),(28,7068093,'1',3,'N'),(28,7068107,'1',451,'N'),(28,7068115,'1',415,'N'),(28,7068131,'1',103,'N'),(28,7068140,'1',454,'N'),(28,7068158,'1',238,'N'),(28,7068158,'1A',652,'N'),(28,7068174,'1',552,'N'),(28,7068182,'1',101,'N'),(28,7068190,'1',201,'N'),(28,7068190,'1A',202,'N'),(28,7068204,'1',999,'N'),(28,7068212,'1',103,'N'),(28,7068220,'1',601,'N'),(28,7068220,'1A',655,'N'),(28,7068247,'1',220,'N'),(28,7068247,'1A',203,'N'),(28,7068255,'1',427,'N'),(28,7068255,'1A',423,'N'),(28,7068271,'1',103,'N'),(28,7068298,'1',319,'N'),(28,7068301,'1',207,'N'),(28,7068301,'1A',233,'N'),(28,7068310,'1',207,'N'),(28,7068310,'1A',212,'N'),(28,7068328,'1',103,'N'),(28,7068336,'1',444,'N'),(28,7068379,'1',319,'N'),(28,7068387,'1',216,'N'),(28,7068387,'1A',207,'N'),(28,7068395,'1',202,'N'),(28,7068395,'1A',235,'N'),(28,7068409,'1',5,'N'),(28,7068417,'1',208,'N'),(28,7068425,'1',3,'N'),(28,7068433,'1',303,'N'),(28,7068441,'1',340,'N'),(28,7068450,'1',103,'N'),(28,7068468,'1',331,'N'),(28,7068476,'1',216,'N'),(28,7068476,'1A',601,'N'),(28,7068492,'1',303,'N'),(28,7068514,'1',202,'N'),(28,7068514,'1A',238,'N'),(28,7068522,'1',5,'N'),(28,7068549,'1',652,'N'),(28,7068549,'1A',655,'N'),(28,7068565,'1',601,'N'),(28,7068565,'1A',201,'N'),(28,7068581,'1',103,'N'),(28,7068590,'1',216,'N'),(28,7068590,'1A',212,'N'),(28,7068603,'1',214,'N'),(28,7068603,'1A',220,'N'),(28,7068611,'1',103,'N'),(28,7068620,'1',103,'N'),(28,7068638,'1',502,'N'),(28,7068646,'1',103,'N'),(28,7068662,'1',222,'N'),(28,7068670,'1',601,'N'),(28,7068670,'1A',212,'N'),(28,7068689,'1',103,'N'),(28,7068700,'1',303,'N'),(28,7068727,'1',302,'N'),(28,7068735,'1',999,'N'),(28,7068743,'1',999,'N'),(28,7068760,'1',201,'N'),(28,7068760,'1A',207,'N'),(28,7068778,'1',103,'N'),(28,7068786,'1',103,'N'),(28,7068808,'1',213,'N'),(28,7068808,'1A',202,'N'),(28,7068824,'1',108,'N'),(28,7068832,'1',103,'N'),(28,7068840,'1',207,'N'),(28,7068840,'1A',203,'N'),(28,7068859,'1',450,'N'),(28,7068867,'1',103,'N'),(28,7068875,'1',103,'N'),(28,7068891,'1',220,'N'),(28,7068891,'1A',214,'N'),(28,7068913,'1',337,'N'),(28,7068921,'1',201,'N'),(28,7068921,'1A',212,'N'),(28,7068930,'1',340,'N'),(28,7068948,'1',103,'N'),(28,7068956,'1',238,'N'),(28,7068956,'1A',201,'N'),(28,7068964,'1',601,'N'),(28,7068972,'1',9,'N'),(28,7068980,'1',201,'N'),(28,7068980,'1A',212,'N'),(28,7068999,'1',318,'N'),(28,7069006,'1',103,'N'),(28,7069022,'1',309,'N'),(28,7069030,'1',103,'N'),(28,7069049,'1',103,'N'),(28,7069057,'1',104,'N'),(28,7069065,'1',108,'N'),(28,7069081,'1',103,'N'),(28,7069090,'1',340,'N'),(28,7069103,'1',103,'N'),(28,7069120,'1',552,'N'),(28,7069146,'1',103,'N'),(28,7069154,'1',336,'N'),(28,7069162,'1',104,'N'),(28,7069170,'1',102,'N'),(28,7069197,'1',214,'N'),(28,7069235,'1',415,'N'),(28,7069243,'1',999,'N'),(28,7069251,'1',415,'N'),(28,7069260,'1',653,'N'),(28,7069260,'1A',207,'N'),(28,7069286,'1',207,'N'),(28,7069286,'1A',202,'N'),(28,7069308,'1',203,'N'),(28,7069308,'1A',214,'N'),(28,7069316,'1',304,'N'),(28,7069332,'1',303,'N'),(28,7069340,'1',207,'N'),(28,7069340,'1A',238,'N'),(28,7069359,'1',207,'N'),(28,7069359,'1A',211,'N'),(28,7069367,'1',203,'N'),(28,7069367,'1A',214,'N'),(28,7069375,'1',415,'N'),(28,7069391,'1',5,'N'),(28,7069405,'1',102,'N'),(28,7069421,'1',304,'N'),(28,7069430,'1',340,'N'),(28,7069456,'1',103,'N'),(28,7069464,'1',301,'N'),(28,7069472,'1',110,'N'),(28,7069480,'1',103,'N'),(28,7069499,'1',203,'N'),(28,7069499,'1A',214,'N'),(28,7069502,'1',319,'N'),(28,7069510,'1',333,'N'),(28,7069537,'1',214,'N'),(28,7069537,'1A',203,'N'),(28,7069545,'1',304,'N'),(28,7069553,'1',203,'N'),(28,7069553,'1A',214,'N'),(28,7069561,'1',421,'N'),(28,7069561,'1A',424,'N'),(28,7069570,'1',103,'N'),(28,7069588,'1',601,'N'),(28,7069588,'1A',211,'N'),(28,7069600,'1',103,'N'),(28,7069626,'1',214,'N'),(28,7069626,'1A',212,'N'),(28,7069634,'1',454,'N'),(28,7069642,'1',103,'N'),(28,7069650,'1',207,'N'),(28,7069650,'1A',201,'N'),(28,7069685,'1',404,'N'),(28,7069707,'1',336,'N'),(28,7069715,'1',103,'N'),(28,7069723,'1',601,'N'),(28,7069723,'1A',238,'N'),(28,7069731,'1',103,'N'),(28,7069740,'1',201,'N'),(28,7069740,'1A',207,'N'),(28,7069758,'1',103,'N'),(28,7069782,'1',103,'N'),(28,7069804,'1',108,'N'),(28,7069812,'1',104,'N'),(28,7069820,'1',211,'N'),(28,7069820,'1A',216,'N'),(28,7069839,'1',425,'N'),(28,7069839,'1A',427,'N'),(28,7069855,'1',103,'N'),(28,7069863,'1',104,'N'),(28,7069871,'1',454,'N'),(28,7069880,'1',303,'N'),(28,7069901,'1',103,'N'),(28,7069910,'1',207,'N'),(28,7069928,'1',9,'N'),(28,7069936,'1',203,'N'),(28,7069936,'1A',601,'N'),(28,7069960,'1',207,'N'),(28,7069979,'1',316,'N'),(28,7069987,'1',404,'N'),(28,7069995,'1',103,'N'),(28,7070004,'1',211,'N'),(28,7070004,'1A',215,'N'),(28,7070012,'1',108,'N'),(28,7070020,'1',103,'N'),(28,7070047,'1',103,'N'),(28,7070055,'1',201,'N'),(28,7070055,'1A',212,'N'),(28,7070071,'1',201,'N'),(28,7070071,'1A',207,'N'),(28,7070098,'1',203,'N'),(28,7070098,'1A',214,'N'),(28,7070136,'1',340,'N'),(28,7070144,'1',103,'N'),(28,7070152,'1',301,'N'),(28,7070160,'1',103,'N'),(28,7070179,'1',303,'N'),(28,7070187,'1',340,'N'),(28,7070209,'1',216,'N'),(28,7070209,'1A',233,'N'),(28,7070225,'1',339,'N'),(28,7070241,'1',301,'N'),(28,7070268,'1',9,'N'),(28,7070276,'1',104,'N'),(28,7070284,'1',329,'N'),(28,7070292,'1',103,'N'),(28,7070306,'1',324,'N'),(28,7070314,'1',103,'N'),(28,7070322,'1',216,'N'),(28,7070322,'1A',601,'N'),(28,7070330,'1',333,'N'),(28,7070349,'1',552,'N'),(28,7070357,'1',319,'N'),(28,7070365,'1',444,'N'),(28,7070373,'1',103,'N'),(28,7070381,'1',103,'N'),(28,7070390,'1',999,'N'),(28,7070403,'1',103,'N'),(28,7070411,'1',450,'N'),(28,7070420,'1',109,'N'),(28,7070438,'1',201,'N'),(28,7070438,'1A',207,'N'),(28,7070462,'1',103,'N'),(28,7070470,'1',303,'N'),(28,7070489,'1',301,'N'),(28,7070500,'1',999,'N'),(28,7070519,'1',103,'N'),(28,7070527,'1',201,'N'),(28,7070527,'1A',212,'N'),(28,7070535,'1',108,'N'),(28,7070543,'1',429,'N'),(28,7070543,'1A',425,'N'),(28,7070560,'1',302,'N'),(28,7070578,'1',211,'N'),(28,7070578,'1A',213,'N'),(28,7070586,'1',103,'N'),(28,7070608,'1',103,'N'),(28,7070616,'1',103,'N'),(28,7070624,'1',304,'N'),(28,7070632,'1',103,'N'),(28,7070667,'1',207,'N'),(28,7070667,'1A',201,'N'),(28,7070675,'1',303,'N'),(28,7070683,'1',207,'N'),(28,7070683,'1A',201,'N'),(28,7070691,'1',216,'N'),(28,7070691,'1A',215,'N'),(28,7070705,'1',220,'N'),(28,7070705,'1A',203,'N'),(28,7070713,'1',454,'N'),(28,7070721,'1',103,'N'),(28,7070730,'1',207,'N'),(28,7070730,'1A',215,'N'),(28,7070748,'1',308,'N'),(28,7070756,'1',103,'N'),(28,7070764,'1',207,'N'),(28,7070764,'1A',213,'N'),(28,7070772,'1',223,'N'),(28,7070780,'1',104,'N'),(28,7070799,'1',103,'N'),(28,7070802,'1',331,'N'),(28,7070810,'1',202,'N'),(28,7070810,'1A',213,'N'),(28,7070829,'1',103,'N'),(28,7070845,'1',207,'N'),(28,7070845,'1A',201,'N'),(28,7070853,'1',104,'N'),(28,7070861,'1',9,'N'),(28,7070870,'1',207,'N'),(28,7070870,'1A',212,'N'),(28,7070888,'1',207,'N'),(28,7070888,'1A',201,'N'),(28,7070900,'1',108,'N'),(28,7070926,'1',424,'N'),(28,7070926,'1A',426,'N'),(28,7070934,'1',201,'N'),(28,7070934,'1A',214,'N'),(28,7070942,'1',103,'N'),(28,7070950,'1',103,'N'),(28,7070969,'1',103,'N'),(28,7070977,'1',211,'N'),(28,7070977,'1A',214,'N'),(28,7070993,'1',203,'N'),(28,7070993,'1A',601,'N'),(28,7071027,'1',310,'N'),(28,7071035,'1',104,'N'),(28,7071043,'1',201,'N'),(28,7071043,'1A',211,'N'),(28,7071060,'1',454,'N'),(28,7071078,'1',103,'N'),(28,7071086,'1',653,'N'),(28,7071086,'1A',202,'N'),(28,7071094,'1',340,'N'),(28,7071108,'1',404,'N'),(28,7071124,'1',9,'N'),(28,7071132,'1',103,'N'),(28,7071140,'1',454,'N'),(28,7071159,'1',203,'N'),(28,7071159,'1A',201,'N'),(28,7071167,'1',207,'N'),(28,7071175,'1',5,'N'),(28,7071183,'1',203,'N'),(28,7071183,'1A',214,'N'),(28,7071205,'1',319,'N'),(28,7071213,'1',317,'N'),(28,7071221,'1',551,'N'),(28,7071230,'1',3,'N'),(28,7071248,'1',5,'N'),(28,7071256,'1',207,'N'),(28,7071256,'1A',215,'N'),(28,7071264,'1',211,'N'),(28,7071264,'1A',215,'N'),(28,7071280,'1',340,'N'),(28,7071299,'1',207,'N'),(28,7071299,'1A',201,'N'),(28,7071310,'1',450,'N'),(28,7071345,'1',103,'N'),(28,7071361,'1',216,'N'),(28,7071361,'1A',203,'N'),(28,7071370,'1',5,'N'),(28,7071388,'1',310,'N'),(28,7071396,'1',201,'N'),(28,7071396,'1A',212,'N'),(28,7071418,'1',319,'N'),(28,7071434,'1',103,'N'),(28,7071442,'1',340,'N'),(28,7071450,'1',216,'N'),(28,7071450,'1A',201,'N'),(28,7071469,'1',103,'N'),(28,7071477,'1',103,'N'),(28,7071485,'1',235,'N'),(28,7071485,'1A',211,'N'),(28,7071507,'1',201,'N'),(28,7071507,'1A',207,'N'),(28,7071515,'1',216,'N'),(28,7071515,'1A',212,'N'),(28,7071523,'1',104,'N'),(28,7071531,'1',208,'N'),(28,7071540,'1',5,'N'),(28,7071566,'1',502,'N'),(28,7071574,'1',104,'N'),(28,7071582,'1',999,'N'),(28,7071604,'1',103,'N'),(28,7071612,'1',103,'N'),(28,7071620,'1',103,'N'),(28,7071639,'1',103,'N'),(28,7071647,'1',108,'N'),(28,7071655,'1',224,'N'),(28,7071680,'1',999,'N'),(28,7071710,'1',303,'N'),(28,7071736,'1',502,'N'),(28,7071760,'1',103,'N'),(28,7071779,'1',444,'N'),(28,7071787,'1',333,'N'),(28,7071809,'1',319,'N'),(28,7071817,'1',454,'N'),(28,7071825,'1',999,'N'),(28,7071833,'1',302,'N'),(28,7071841,'1',103,'N'),(28,7071850,'1',316,'N'),(28,7071876,'1',103,'N'),(28,7071892,'1',415,'N'),(28,7071914,'1',207,'N'),(28,7071914,'1A',211,'N'),(28,7071930,'1',5,'N'),(28,7071957,'1',415,'N'),(28,7071981,'1',552,'N'),(28,7071990,'1',316,'N'),(28,7072007,'1',109,'N'),(28,7072015,'1',211,'N'),(28,7072015,'1A',215,'N'),(28,7072023,'1',207,'N'),(28,7072031,'1',103,'N'),(28,7072040,'1',103,'N'),(28,7072058,'1',201,'N'),(28,7072058,'1A',212,'N'),(28,7072066,'1',326,'N'),(28,7072074,'1',454,'N'),(28,7072082,'1',5,'N'),(28,7072090,'1',2,'N'),(28,7072104,'1',103,'N'),(28,7072112,'1',999,'N'),(28,7072120,'1',103,'N'),(28,7072155,'1',601,'N'),(28,7072155,'1A',201,'N'),(28,7072163,'1',103,'N'),(28,7072171,'1',301,'N'),(28,7072180,'1',103,'N'),(28,7072198,'1',216,'N'),(28,7072198,'1A',214,'N'),(28,7072201,'1',501,'N'),(28,7072210,'1',203,'N'),(28,7072210,'1A',601,'N'),(28,7072228,'1',102,'N'),(28,7072236,'1',201,'N'),(28,7072236,'1A',601,'N'),(28,7072244,'1',5,'N'),(28,7072260,'1',319,'N'),(28,7072279,'1',104,'N'),(28,7072295,'1',207,'N'),(28,7072309,'1',302,'N'),(28,7072317,'1',319,'N'),(28,7072333,'1',103,'N'),(28,7072341,'1',201,'N'),(28,7072341,'1A',238,'N'),(28,7072368,'1',103,'N'),(28,7072376,'1',108,'N'),(28,7072392,'1',103,'N'),(28,7072414,'1',108,'N'),(28,7072430,'1',502,'N'),(28,7072457,'1',552,'N'),(28,7072473,'1',303,'N'),(28,7072481,'1',303,'N'),(28,7072490,'1',999,'N'),(28,7072503,'1',319,'N'),(28,7072511,'1',103,'N'),(28,7072520,'1',208,'N'),(28,7072538,'1',450,'N'),(28,7072562,'1',212,'N'),(28,7072562,'1A',213,'N'),(28,7072570,'1',103,'N'),(28,7072589,'1',310,'N'),(28,7072597,'1',103,'N'),(28,7072600,'1',235,'N'),(28,7072600,'1A',220,'N'),(28,7072619,'1',109,'N'),(28,7072635,'1',319,'N'),(28,7072643,'1',103,'N'),(28,7072651,'1',655,'N'),(28,7072651,'1A',220,'N'),(28,7072660,'1',103,'N'),(28,7072678,'1',207,'N'),(28,7072678,'1A',201,'N'),(28,7072686,'1',502,'N'),(28,7072694,'1',103,'N'),(28,7072708,'1',238,'N'),(28,7072708,'1A',601,'N'),(28,7072716,'1',202,'N'),(28,7072716,'1A',235,'N'),(28,7072759,'1',102,'N'),(28,7072767,'1',207,'N'),(28,7072783,'1',103,'N'),(28,7072791,'1',220,'N'),(28,7072791,'1A',235,'N'),(28,7072805,'1',103,'N'),(28,7072813,'1',654,'N'),(28,7072830,'1',103,'N'),(28,7072848,'1',415,'N'),(28,7072856,'1',999,'N'),(28,7072864,'1',654,'N'),(28,7072872,'1',203,'N'),(28,7072872,'1A',220,'N'),(28,7072880,'1',201,'N'),(28,7072880,'1A',207,'N'),(28,7072902,'1',336,'N'),(28,7072910,'1',999,'N'),(28,7072929,'1',214,'N'),(28,7072929,'1A',212,'N'),(28,7072937,'1',103,'N'),(28,7072953,'1',103,'N'),(28,7072961,'1',655,'N'),(28,7072961,'1A',652,'N'),(28,7072970,'1',5,'N'),(28,7072988,'1',303,'N'),(28,7073011,'1',103,'N'),(28,7073020,'1',201,'N'),(28,7073020,'1A',207,'N'),(28,7073038,'1',103,'N'),(28,7073046,'1',103,'N'),(28,7073062,'1',103,'N'),(28,7073089,'1',317,'N'),(28,7073100,'1',425,'N'),(28,7073100,'1A',427,'N'),(28,7073119,'1',103,'N'),(28,7073127,'1',320,'N'),(28,7073135,'1',9,'N'),(28,7073143,'1',108,'N'),(28,7073151,'1',999,'N'),(28,7073160,'1',999,'N'),(28,7073178,'1',654,'N'),(28,7073186,'1',317,'N'),(28,7073194,'1',3,'N'),(28,7073216,'1',454,'N'),(28,7073224,'1',454,'N'),(28,7073240,'1',319,'N'),(28,7073259,'1',333,'N'),(28,7073267,'1',999,'N'),(28,7073283,'1',202,'N'),(28,7073283,'1A',655,'N'),(28,7073291,'1',207,'N'),(28,7073291,'1A',201,'N'),(28,7073313,'1',103,'N'),(28,7073321,'1',5,'N'),(28,7073330,'1',207,'N'),(28,7073330,'1A',215,'N'),(28,7073348,'1',301,'N'),(28,7073356,'1',103,'N'),(28,7073364,'1',103,'N'),(28,7073372,'1',103,'N'),(28,7073402,'1',220,'N'),(28,7073410,'1',654,'N'),(28,7073429,'1',319,'N'),(28,7073437,'1',102,'N'),(28,7073445,'1',102,'N'),(28,7073453,'1',201,'N'),(28,7073470,'1',238,'N'),(28,7073470,'1A',235,'N'),(28,7073488,'1',340,'N'),(28,7073518,'1',428,'N'),(28,7073518,'1A',426,'N'),(28,7073526,'1',203,'N'),(28,7073542,'1',340,'N'),(28,7073569,'1',501,'N'),(28,7073577,'1',102,'N'),(28,7073585,'1',425,'N'),(28,7073585,'1A',428,'N'),(28,7073593,'1',103,'N'),(28,7073615,'1',201,'N'),(28,7073615,'1A',207,'N'),(28,7073631,'1',653,'N'),(28,7073631,'1A',655,'N'),(28,7073640,'1',103,'N'),(28,7073658,'1',454,'N'),(28,7073666,'1',333,'N'),(28,7073674,'1',999,'N'),(28,7073690,'1',104,'N'),(28,7073704,'1',601,'N'),(28,7073704,'1A',203,'N'),(28,7073712,'1',303,'N'),(28,7073720,'1',316,'N'),(28,7073739,'1',303,'N'),(28,7073747,'1',216,'N'),(28,7073747,'1A',220,'N'),(28,7073755,'1',304,'N'),(28,7073771,'1',303,'N'),(28,7073780,'1',216,'N'),(28,7073780,'1A',235,'N'),(28,7073798,'1',303,'N'),(28,7073801,'1',215,'N'),(28,7073810,'1',304,'N'),(28,7073836,'1',223,'N'),(28,7073852,'1',336,'N'),(28,7073895,'1',999,'N'),(28,7073909,'1',103,'N'),(28,7073925,'1',101,'N'),(28,7073950,'1',207,'N'),(28,7073950,'1A',201,'N'),(28,7073968,'1',444,'N'),(28,7073984,'1',310,'N'),(28,7073992,'1',104,'N'),(28,7074000,'1',999,'N'),(28,7074018,'1',103,'N'),(28,7074026,'1',3,'N'),(28,7074034,'1',552,'N'),(28,7074042,'1',203,'N'),(28,7074042,'1A',214,'N'),(28,7074050,'1',203,'N'),(28,7074050,'1A',214,'N'),(28,7074069,'1',207,'N'),(28,7074069,'1A',201,'N'),(28,7074077,'1',201,'N'),(28,7074077,'1A',212,'N'),(28,7074085,'1',207,'N'),(28,7074085,'1A',238,'N'),(28,7074093,'1',201,'N'),(28,7074093,'1A',216,'N'),(28,7074107,'1',201,'N'),(28,7074107,'1A',655,'N'),(28,7074131,'1',207,'N'),(28,7074140,'1',340,'N'),(28,7074158,'1',103,'N'),(28,7074166,'1',308,'N'),(28,7074174,'1',201,'N'),(28,7074182,'1',304,'N'),(28,7074190,'1',104,'N'),(28,7074204,'1',238,'N'),(28,7074204,'1A',207,'N'),(28,7074212,'1',340,'N'),(28,7074220,'1',220,'N'),(28,7074220,'1A',214,'N'),(28,7074239,'1',999,'N'),(28,7074247,'1',104,'N'),(28,7074255,'1',454,'N'),(28,7074263,'1',303,'N'),(28,7074271,'1',999,'N'),(28,7074298,'1',9,'N'),(28,7074310,'1',304,'N'),(28,7074328,'1',303,'N'),(28,7074336,'1',108,'N'),(28,7074344,'1',103,'N'),(28,7074352,'1',999,'N'),(28,7074379,'1',5,'N'),(28,7074387,'1',233,'N'),(28,7074387,'1A',212,'N'),(28,7074395,'1',108,'N'),(28,7074409,'1',103,'N'),(28,7074417,'1',215,'N'),(28,7074417,'1A',216,'N'),(28,7074433,'1',340,'N'),(28,7074441,'1',103,'N'),(28,7074450,'1',333,'N'),(28,7074468,'1',101,'N'),(28,7074476,'1',404,'N'),(28,7074484,'1',108,'N'),(28,7074492,'1',103,'N'),(28,7074506,'1',454,'N'),(28,7074514,'1',203,'N'),(28,7074514,'1A',202,'N'),(28,7074530,'1',215,'N'),(28,7074530,'1A',601,'N'),(28,7074549,'1',340,'N'),(28,7074557,'1',340,'N'),(28,7074565,'1',304,'N'),(28,7074573,'1',333,'N'),(28,7074581,'1',425,'N'),(28,7074581,'1A',429,'N'),(28,7074590,'1',103,'N'),(28,7074603,'1',235,'N'),(28,7074620,'1',999,'N'),(28,7074638,'1',336,'N'),(28,7074646,'1',5,'N'),(28,7074662,'1',104,'N'),(28,7074670,'1',303,'N'),(28,7074689,'1',101,'N'),(28,7074697,'1',103,'N'),(28,7074700,'1',208,'N'),(28,7074719,'1',303,'N'),(28,7074735,'1',340,'N'),(28,7074743,'1',103,'N'),(28,7074760,'1',332,'N'),(28,7074778,'1',5,'N'),(28,7074786,'1',429,'N'),(28,7074786,'1A',424,'N'),(28,7074794,'1',551,'N'),(28,7074808,'1',319,'N'),(28,7074816,'1',207,'N'),(28,7074816,'1A',201,'N'),(28,7074832,'1',216,'N'),(28,7074832,'1A',233,'N'),(28,7074840,'1',203,'N'),(28,7074840,'1A',235,'N'),(28,7074859,'1',203,'N'),(28,7074859,'1A',220,'N'),(28,7074867,'1',103,'N'),(28,7074875,'1',211,'N'),(28,7074875,'1A',201,'N'),(28,7074883,'1',203,'N'),(28,7074883,'1A',233,'N'),(28,7074905,'1',203,'N'),(28,7074905,'1A',214,'N'),(28,7074913,'1',340,'N'),(28,7074921,'1',207,'N'),(28,7074921,'1A',212,'N'),(28,7074948,'1',654,'N'),(28,7074956,'1',103,'N'),(28,7074964,'1',103,'N'),(28,7074972,'1',103,'N'),(28,7074980,'1',103,'N'),(28,7074999,'1',207,'N'),(28,7074999,'1A',201,'N'),(28,7075006,'1',454,'N'),(28,7075030,'1',331,'N'),(28,7075049,'1',104,'N'),(28,7075065,'1',103,'N'),(28,7075073,'1',303,'N'),(28,7075081,'1',340,'N'),(28,7075090,'1',238,'N'),(28,7075103,'1',207,'N'),(28,7075103,'1A',201,'N'),(28,7075111,'1',340,'N'),(28,7075138,'1',317,'N'),(28,7075146,'1',501,'N'),(28,7075154,'1',207,'N'),(28,7075154,'1A',601,'N'),(28,7075162,'1',201,'N'),(28,7075162,'1A',202,'N'),(28,7075170,'1',103,'N'),(28,7075197,'1',320,'N'),(28,7075200,'1',104,'N'),(28,7075219,'1',215,'N'),(28,7075219,'1A',201,'N'),(28,7075227,'1',103,'N'),(28,7075235,'1',103,'N'),(28,7075243,'1',999,'N'),(28,7075251,'1',103,'N'),(28,7075260,'1',103,'N'),(28,7075278,'1',444,'N'),(28,7075286,'1',319,'N'),(28,7075294,'1',318,'N'),(28,7075316,'1',203,'N'),(28,7075316,'1A',220,'N'),(28,7075324,'1',208,'N'),(28,7075332,'1',303,'N'),(28,7075340,'1',425,'N'),(28,7075340,'1A',429,'N'),(28,7075359,'1',201,'N'),(28,7075367,'1',103,'N'),(28,7075375,'1',212,'N'),(28,7075375,'1A',214,'N'),(28,7075413,'1',207,'N'),(28,7075413,'1A',216,'N'),(28,7075421,'1',211,'N'),(28,7075421,'1A',214,'N'),(28,7075430,'1',203,'N'),(28,7075430,'1A',220,'N'),(28,7075448,'1',103,'N'),(28,7075456,'1',103,'N'),(28,7075464,'1',327,'N'),(28,7075472,'1',103,'N'),(28,7075499,'1',103,'N'),(28,7075502,'1',201,'N'),(28,7075502,'1A',212,'N'),(28,7075510,'1',103,'N'),(28,7075529,'1',601,'N'),(28,7075529,'1A',201,'N'),(28,7075545,'1',201,'N'),(28,7075545,'1A',212,'N'),(28,7075553,'1',9,'N'),(28,7075561,'1',301,'N'),(28,7075588,'1',5,'N'),(28,7075596,'1',222,'N'),(28,7075600,'1',454,'N'),(28,7075618,'1',9,'N'),(28,7075626,'1',999,'N'),(28,7075642,'1',103,'N'),(28,7075650,'1',103,'N'),(28,7075669,'1',5,'N'),(28,7075677,'1',103,'N'),(28,7075685,'1',103,'N'),(28,7075693,'1',203,'N'),(28,7075693,'1A',235,'N'),(28,7075707,'1',202,'N'),(28,7075707,'1A',213,'N'),(28,7075715,'1',601,'N'),(28,7075715,'1A',216,'N'),(28,7075723,'1',203,'N'),(28,7075723,'1A',202,'N'),(28,7075740,'1',319,'N'),(28,7075766,'1',454,'N'),(28,7075790,'1',303,'N'),(28,7075804,'1',999,'N'),(28,7075812,'1',426,'N'),(28,7075812,'1A',425,'N'),(28,7075839,'1',103,'N'),(28,7075847,'1',216,'N'),(28,7075847,'1A',215,'N'),(28,7075863,'1',103,'N'),(28,7075871,'1',235,'N'),(28,7075871,'1A',220,'N'),(28,7075880,'1',302,'N'),(28,7075898,'1',202,'N'),(28,7075898,'1A',203,'N'),(28,7075901,'1',104,'N'),(28,7075910,'1',302,'N'),(28,7075928,'1',103,'N'),(28,7075936,'1',202,'N'),(28,7075936,'1A',213,'N'),(28,7075944,'1',9,'N'),(28,7075952,'1',104,'N'),(28,7075960,'1',103,'N'),(28,7075979,'1',220,'N'),(28,7075987,'1',103,'N'),(28,7075995,'1',103,'N'),(28,7076002,'1',103,'N'),(28,7076010,'1',214,'N'),(28,7076010,'1A',203,'N'),(28,7076029,'1',103,'N'),(28,7076045,'1',203,'N'),(28,7076045,'1A',201,'N'),(28,7076061,'1',5,'N'),(28,7076070,'1',103,'N'),(28,7076088,'1',502,'N'),(28,7076096,'1',102,'N'),(28,7076100,'1',203,'N'),(28,7076100,'1A',233,'N'),(28,7076126,'1',103,'N'),(28,7076134,'1',104,'N'),(28,7076142,'1',103,'N'),(28,7076150,'1',220,'N'),(28,7076150,'1A',203,'N'),(28,7076169,'1',223,'N'),(28,7076177,'1',201,'N'),(28,7076177,'1A',212,'N'),(28,7076185,'1',202,'N'),(28,7076185,'1A',215,'N'),(28,7076193,'1',233,'N'),(28,7076193,'1A',212,'N'),(28,7076207,'1',103,'N'),(28,7076215,'1',301,'N'),(28,7076231,'1',303,'N'),(28,7076240,'1',103,'N'),(28,7076258,'1',101,'N'),(28,7076266,'1',208,'N'),(28,7076274,'1',207,'N'),(28,7076274,'1A',203,'N'),(28,7076282,'1',103,'N'),(28,7076290,'1',302,'N'),(28,7076304,'1',103,'N'),(28,7076312,'1',202,'N'),(28,7076312,'1A',216,'N'),(28,7076320,'1',319,'N'),(28,7076347,'1',303,'N'),(28,7076355,'1',207,'N'),(28,7076355,'1A',201,'N'),(28,7076363,'1',103,'N'),(28,7076371,'1',333,'N'),(28,7076380,'1',101,'N'),(28,7076410,'1',103,'N'),(28,7076428,'1',103,'N'),(28,7076436,'1',207,'N'),(28,7076436,'1A',211,'N'),(28,7076452,'1',103,'N'),(28,7076460,'1',303,'N'),(28,7076479,'1',201,'N'),(28,7076479,'1A',202,'N'),(28,7076487,'1',233,'N'),(28,7076487,'1A',601,'N'),(28,7076517,'1',216,'N'),(28,7076517,'1A',203,'N'),(28,7076525,'1',444,'N'),(28,7076533,'1',429,'N'),(28,7076533,'1A',424,'N'),(28,7076541,'1',233,'N'),(28,7076541,'1A',203,'N'),(28,7076550,'1',340,'N'),(28,7076576,'1',999,'N'),(28,7076584,'1',444,'N'),(28,7076592,'1',5,'N'),(28,7076606,'1',104,'N'),(28,7076614,'1',216,'N'),(28,7076614,'1A',233,'N'),(28,7076649,'1',454,'N'),(28,7076665,'1',302,'N'),(28,7076673,'1',234,'N'),(28,7076681,'1',444,'N'),(28,7076690,'1',203,'N'),(28,7076690,'1A',207,'N'),(28,7076703,'1',316,'N'),(28,7076711,'1',103,'N'),(28,7076720,'1',302,'N'),(28,7076738,'1',103,'N'),(28,7076746,'1',207,'N'),(28,7076746,'1A',201,'N'),(28,7076754,'1',301,'N'),(28,7076770,'1',103,'N'),(28,7076797,'1',208,'N'),(28,7076800,'1',308,'N'),(28,7076819,'1',5,'N'),(28,7076827,'1',103,'N'),(28,7076843,'1',303,'N'),(28,7076851,'1',454,'N'),(28,7076894,'1',235,'N'),(28,7076894,'1A',201,'N'),(28,7076916,'1',207,'N'),(28,7076916,'1A',201,'N'),(28,7076924,'1',5,'N'),(28,7076940,'1',220,'N'),(28,7076940,'1A',203,'N'),(28,7076959,'1',601,'N'),(28,7076959,'1A',201,'N'),(28,7076967,'1',5,'N'),(28,7076975,'1',450,'N'),(28,7076983,'1',426,'N'),(28,7076983,'1A',428,'N'),(28,7077009,'1',213,'N'),(28,7077009,'1A',202,'N'),(28,7077017,'1',201,'N'),(28,7077017,'1A',212,'N'),(28,7077033,'1',103,'N'),(28,7077041,'1',415,'N'),(28,7077050,'1',103,'N'),(28,7077068,'1',108,'N'),(28,7077076,'1',103,'N'),(28,7077084,'1',103,'N'),(28,7077092,'1',207,'N'),(28,7077092,'1A',233,'N'),(28,7077106,'1',316,'N'),(28,7077114,'1',331,'N'),(28,7077130,'1',213,'N'),(28,7077130,'1A',655,'N'),(28,7077149,'1',5,'N'),(28,7077165,'1',103,'N'),(28,7077181,'1',454,'N'),(28,7077190,'1',214,'N'),(28,7077190,'1A',216,'N'),(28,7077203,'1',103,'N'),(28,7077211,'1',318,'N'),(28,7077220,'1',415,'N'),(28,7077246,'1',238,'N'),(28,7077246,'1A',220,'N'),(28,7077262,'1',454,'N'),(28,7077270,'1',103,'N'),(28,7077378,'1',303,'N'),(28,7077386,'1',454,'N'),(28,7077394,'1',329,'N'),(28,7077408,'1',203,'N'),(28,7077408,'1A',212,'N'),(28,7077416,'1',202,'N'),(28,7077416,'1A',235,'N'),(28,7077432,'1',103,'N'),(28,7077440,'1',5,'N'),(28,7077467,'1',203,'N'),(28,7077467,'1A',601,'N'),(28,7077475,'1',207,'N'),(28,7077475,'1A',201,'N'),(28,7077491,'1',103,'N'),(28,7077513,'1',214,'N'),(28,7077513,'1A',213,'N'),(28,7077530,'1',108,'N'),(28,7077556,'1',324,'N'),(28,7077564,'1',327,'N'),(28,7077572,'1',324,'N'),(28,7077599,'1',340,'N'),(28,7077602,'1',552,'N'),(28,7077610,'1',454,'N'),(28,7077629,'1',101,'N'),(28,7077637,'1',103,'N'),(28,7077661,'1',303,'N'),(28,7077670,'1',216,'N'),(28,7077670,'1A',202,'N'),(28,7077688,'1',5,'N'),(28,7077700,'1',103,'N'),(28,7077734,'1',201,'N'),(28,7077734,'1A',202,'N'),(28,7077777,'1',208,'N'),(28,7077785,'1',103,'N'),(28,7077793,'1',336,'N'),(28,7077807,'1',337,'N'),(28,7077823,'1',215,'N'),(28,7077823,'1A',216,'N'),(28,7077840,'1',103,'N'),(28,7077858,'1',326,'N'),(28,7077866,'1',303,'N'),(28,7077874,'1',103,'N'),(28,7077882,'1',450,'N'),(28,7077904,'1',404,'N'),(28,7077912,'1',103,'N'),(28,7077920,'1',320,'N'),(28,7077939,'1',103,'N'),(28,7077947,'1',601,'N'),(28,7077955,'1',201,'N'),(28,7077955,'1A',203,'N'),(28,7077971,'1',238,'N'),(28,7077980,'1',340,'N'),(28,7078005,'1',331,'N'),(28,7078013,'1',103,'N'),(28,7078021,'1',104,'N'),(28,7078056,'1',316,'N'),(28,7078072,'1',425,'N'),(28,7078072,'1A',426,'N'),(28,7078080,'1',454,'N'),(28,7078099,'1',103,'N'),(28,7078102,'1',103,'N'),(28,7078129,'1',501,'N'),(28,7078137,'1',207,'N'),(28,7078137,'1A',238,'N'),(28,7078161,'1',319,'N'),(28,7078170,'1',104,'N'),(28,7078188,'1',308,'N'),(28,7078196,'1',238,'N'),(28,7078200,'1',5,'N'),(28,7078218,'1',102,'N'),(28,7078226,'1',425,'N'),(28,7078226,'1A',429,'N'),(28,7078234,'1',235,'N'),(28,7078234,'1A',233,'N'),(28,7078242,'1',601,'N'),(28,7078242,'1A',201,'N'),(28,7078250,'1',103,'N'),(28,7078269,'1',654,'N'),(28,7078277,'1',5,'N'),(28,7078285,'1',317,'N'),(28,7078315,'1',216,'N'),(28,7078315,'1A',653,'N'),(28,7078323,'1',103,'N'),(28,7078382,'1',207,'N'),(28,7078390,'1',103,'N'),(28,7078404,'1',451,'N'),(28,7078420,'1',103,'N'),(28,7078439,'1',103,'N'),(28,7078447,'1',238,'N'),(28,7078447,'1A',652,'N'),(28,7078455,'1',238,'N'),(28,7078455,'1A',202,'N'),(28,7078471,'1',5,'N'),(28,7078498,'1',425,'N'),(28,7078498,'1A',427,'N'),(28,7078501,'1',103,'N'),(28,7078510,'1',202,'N'),(28,7078510,'1A',235,'N'),(28,7078528,'1',601,'N'),(28,7078528,'1A',220,'N'),(28,7078536,'1',103,'N'),(28,7078544,'1',104,'N'),(28,7078579,'1',319,'N'),(28,7078587,'1',309,'N'),(28,7078609,'1',415,'N'),(28,7078617,'1',103,'N'),(28,7078650,'1',336,'N'),(28,7078668,'1',108,'N'),(28,7078676,'1',303,'N'),(28,7078684,'1',103,'N'),(28,7078706,'1',103,'N'),(28,7078714,'1',203,'N'),(28,7078714,'1A',201,'N'),(28,7078730,'1',304,'N'),(28,7078749,'1',224,'N'),(28,7078765,'1',201,'N'),(28,7078765,'1A',212,'N'),(28,7078773,'1',331,'N'),(28,7078790,'1',454,'N'),(28,7078811,'1',103,'N'),(28,7078820,'1',103,'N'),(28,7078838,'1',103,'N'),(28,7078846,'1',103,'N'),(28,7078854,'1',552,'N'),(28,7078870,'1',303,'N'),(28,7078897,'1',110,'N'),(28,7078900,'1',103,'N'),(28,7078927,'1',404,'N'),(28,7078935,'1',5,'N'),(28,7078943,'1',319,'N'),(28,7078960,'1',9,'N'),(28,7078978,'1',109,'N'),(28,7078986,'1',201,'N'),(28,7078986,'1A',211,'N'),(28,7078994,'1',233,'N'),(28,7078994,'1A',215,'N'),(28,7079001,'1',444,'N'),(28,7079028,'1',103,'N'),(28,7079036,'1',201,'N'),(28,7079036,'1A',238,'N'),(28,7079044,'1',205,'N'),(28,7079052,'1',319,'N'),(28,7079095,'1',103,'N'),(28,7079133,'1',201,'N'),(28,7079133,'1A',212,'N'),(28,7079150,'1',109,'N'),(28,7079192,'1',201,'N'),(28,7079192,'1A',216,'N'),(28,7079206,'1',424,'N'),(28,7079206,'1A',427,'N'),(28,7079214,'1',320,'N'),(28,7079222,'1',333,'N'),(28,7079230,'1',340,'N'),(28,7079249,'1',454,'N'),(28,7079257,'1',104,'N'),(28,7079273,'1',340,'N'),(28,7079290,'1',103,'N'),(28,7079303,'1',339,'N'),(28,7079311,'1',301,'N'),(28,7079338,'1',454,'N'),(28,7079354,'1',404,'N'),(28,7079362,'1',103,'N'),(28,7079370,'1',214,'N'),(28,7079370,'1A',601,'N'),(28,7079389,'1',303,'N'),(28,7079400,'1',415,'N'),(28,7079427,'1',316,'N'),(28,7079443,'1',5,'N'),(28,7079451,'1',423,'N'),(28,7079451,'1A',425,'N'),(28,7079478,'1',319,'N'),(28,7079486,'1',424,'N'),(28,7079486,'1A',427,'N'),(28,7079494,'1',103,'N'),(28,7079508,'1',316,'N'),(28,7079516,'1',203,'N'),(28,7079516,'1A',220,'N'),(28,7079524,'1',103,'N'),(28,7079540,'1',202,'N'),(28,7079540,'1A',233,'N'),(28,7079559,'1',502,'N'),(28,7079567,'1',326,'N'),(28,7079575,'1',201,'N'),(28,7079575,'1A',235,'N'),(28,7079583,'1',216,'N'),(28,7079583,'1A',215,'N'),(28,7079591,'1',319,'N'),(28,7079613,'1',215,'N'),(28,7079613,'1A',653,'N'),(28,7079621,'1',103,'N'),(28,7079630,'1',101,'N'),(28,7079664,'1',103,'N'),(28,7079672,'1',316,'N'),(28,7079680,'1',5,'N'),(28,7079699,'1',216,'N'),(28,7079699,'1A',215,'N'),(28,7079702,'1',207,'N'),(28,7079702,'1A',201,'N'),(28,7079710,'1',202,'N'),(28,7079710,'1A',235,'N'),(28,7079737,'1',601,'N'),(28,7079745,'1',424,'N'),(28,7079745,'1A',421,'N'),(28,7079753,'1',203,'N'),(28,7079753,'1A',201,'N'),(28,7079761,'1',201,'N'),(28,7079761,'1A',207,'N'),(28,7079770,'1',235,'N'),(28,7079770,'1A',207,'N'),(28,7079796,'1',203,'N'),(28,7079796,'1A',233,'N'),(28,7079800,'1',103,'N'),(28,7079826,'1',103,'N'),(28,7079834,'1',103,'N'),(28,7079842,'1',103,'N'),(28,7079850,'1',103,'N'),(28,7079869,'1',501,'N'),(28,7079877,'1',103,'N'),(28,7079885,'1',201,'N'),(28,7079885,'1A',212,'N'),(28,7079893,'1',415,'N'),(28,7079907,'1',203,'N'),(28,7079915,'1',211,'N'),(28,7079923,'1',9,'N'),(28,7079931,'1',340,'N'),(28,7079940,'1',208,'N'),(28,7079958,'1',202,'N'),(28,7079958,'1A',203,'N'),(28,7079966,'1',340,'N'),(28,7079974,'1',109,'N'),(28,7079982,'1',202,'N'),(28,7079982,'1A',235,'N'),(28,7079990,'1',203,'N'),(28,7079990,'1A',238,'N'),(28,7080000,'1',211,'N'),(28,7080000,'1A',216,'N'),(28,7080018,'1',303,'N'),(28,7080034,'1',238,'N'),(28,7080042,'1',104,'N'),(28,7080050,'1',103,'N'),(28,7080069,'1',303,'N'),(28,7080085,'1',336,'N'),(28,7080093,'1',5,'N'),(28,7080123,'1',103,'N'),(28,7080131,'1',451,'N'),(28,7080140,'1',9,'N'),(28,7080158,'1',3,'N'),(28,7080166,'1',201,'N'),(28,7080166,'1A',202,'N'),(28,7080174,'1',103,'N'),(28,7080190,'1',5,'N'),(28,7080204,'1',207,'N'),(28,7080204,'1A',211,'N'),(28,7080220,'1',5,'N'),(28,7080239,'1',203,'N'),(28,7080247,'1',101,'N'),(28,7080255,'1',340,'N'),(28,7080263,'1',103,'N'),(28,7080271,'1',340,'N'),(28,7080280,'1',601,'N'),(28,7080280,'1A',203,'N'),(28,7080298,'1',316,'N'),(28,7080301,'1',308,'N'),(28,7080310,'1',3,'N'),(28,7080344,'1',303,'N'),(28,7080360,'1',207,'N'),(28,7080379,'1',215,'N'),(28,7080379,'1A',216,'N'),(28,7080387,'1',234,'N'),(28,7080395,'1',444,'N'),(28,7080409,'1',104,'N'),(28,7080417,'1',203,'N'),(28,7080417,'1A',215,'N'),(28,7080425,'1',103,'N'),(28,7080433,'1',3,'N'),(28,7080441,'1',319,'N'),(28,7080484,'1',103,'N'),(28,7080492,'1',404,'N'),(28,7080514,'1',108,'N'),(28,7080530,'1',103,'N'),(28,7080557,'1',318,'N'),(28,7080565,'1',103,'N'),(28,7080573,'1',319,'N'),(28,7080581,'1',103,'N'),(28,7080590,'1',207,'N'),(28,7080590,'1A',211,'N'),(28,7080611,'1',211,'N'),(28,7080611,'1A',215,'N'),(28,7080620,'1',340,'N'),(28,7080638,'1',216,'N'),(28,7080638,'1A',215,'N'),(28,7080654,'1',235,'N'),(28,7080654,'1A',213,'N'),(28,7080662,'1',201,'N'),(28,7080662,'1A',601,'N'),(28,7080670,'1',108,'N'),(28,7080697,'1',110,'N'),(28,7080727,'1',220,'N'),(28,7080727,'1A',214,'N'),(28,7080751,'1',303,'N'),(28,7080760,'1',102,'N'),(28,7080778,'1',103,'N'),(28,7080786,'1',303,'N'),(28,7080808,'1',223,'N'),(28,7080816,'1',309,'N'),(28,7080840,'1',216,'N'),(28,7080840,'1A',233,'N'),(28,7080859,'1',238,'N'),(28,7080859,'1A',235,'N'),(28,7080867,'1',340,'N'),(28,7080875,'1',415,'N'),(28,7080883,'1',203,'N'),(28,7080883,'1A',214,'N'),(28,7080913,'1',502,'N'),(28,7080921,'1',103,'N'),(28,7080948,'1',103,'N'),(28,7080956,'1',319,'N'),(28,7080972,'1',316,'N'),(28,7080980,'1',5,'N'),(28,7080999,'1',999,'N'),(28,7081006,'1',238,'N'),(28,7081022,'1',103,'N'),(28,7081030,'1',103,'N'),(28,7081049,'1',999,'N'),(28,7081057,'1',230,'N'),(28,7081081,'1',214,'N'),(28,7081081,'1A',233,'N'),(28,7081103,'1',309,'N'),(28,7081111,'1',304,'N'),(28,7081120,'1',101,'N'),(28,7081146,'1',303,'N'),(28,7081154,'1',426,'N'),(28,7081154,'1A',429,'N'),(28,7081170,'1',103,'N'),(28,7081189,'1',104,'N'),(28,7081197,'1',332,'N'),(28,7081200,'1',340,'N'),(28,7081243,'1',5,'N'),(28,7081251,'1',303,'N'),(28,7081278,'1',103,'N'),(28,7081286,'1',552,'N'),(28,7081294,'1',316,'N'),(28,7081308,'1',5,'N'),(28,7081316,'1',104,'N'),(28,7081324,'1',316,'N'),(28,7081332,'1',103,'N'),(28,7081340,'1',103,'N'),(28,7081359,'1',102,'N'),(28,7081367,'1',103,'N'),(28,7081375,'1',303,'N'),(28,7081391,'1',101,'N'),(28,7081405,'1',340,'N'),(28,7081421,'1',201,'N'),(28,7081421,'1A',214,'N'),(28,7081448,'1',103,'N'),(28,7081456,'1',999,'N'),(28,7081464,'1',303,'N'),(28,7081472,'1',103,'N'),(28,7081480,'1',5,'N'),(28,7081499,'1',301,'N'),(28,7081502,'1',104,'N'),(28,7081510,'1',336,'N'),(28,7081537,'1',207,'N'),(28,7081537,'1A',211,'N'),(28,7081545,'1',601,'N'),(28,7081545,'1A',202,'N'),(28,7081561,'1',304,'N'),(28,7081570,'1',103,'N'),(28,7081588,'1',319,'N'),(28,7081596,'1',201,'N'),(28,7081596,'1A',215,'N'),(28,7081600,'1',234,'N'),(28,7081618,'1',211,'N'),(28,7081618,'1A',201,'N'),(28,7081626,'1',5,'N'),(28,7081634,'1',103,'N'),(28,7081642,'1',336,'N'),(28,7081650,'1',205,'N'),(28,7081669,'1',999,'N'),(28,7081677,'1',238,'N'),(28,7081677,'1A',207,'N'),(28,7081685,'1',502,'N'),(28,7081693,'1',201,'N'),(28,7081693,'1A',601,'N'),(28,7081707,'1',102,'N'),(28,7081715,'1',9,'N'),(28,7081723,'1',303,'N'),(28,7081731,'1',415,'N'),(28,7081740,'1',208,'N'),(28,7081758,'1',103,'N'),(28,7081774,'1',212,'N'),(28,7081774,'1A',601,'N'),(28,7081782,'1',999,'N'),(28,7081804,'1',203,'N'),(28,7081804,'1A',220,'N'),(28,7081812,'1',304,'N'),(28,7081839,'1',552,'N'),(28,7081855,'1',652,'N'),(28,7081855,'1A',238,'N'),(28,7081863,'1',207,'N'),(28,7081863,'1A',201,'N'),(28,7081910,'1',5,'N'),(28,7081928,'1',340,'N'),(28,7081944,'1',203,'N'),(28,7081944,'1A',214,'N'),(28,7081952,'1',601,'N'),(28,7081952,'1A',201,'N'),(28,7081960,'1',552,'N'),(28,7081979,'1',999,'N'),(28,7081987,'1',214,'N'),(28,7081987,'1A',203,'N'),(28,7081995,'1',220,'N'),(28,7081995,'1A',214,'N'),(28,7082010,'1',425,'N'),(28,7082010,'1A',424,'N'),(28,7082029,'1',103,'N'),(28,7082037,'1',319,'N'),(28,7082053,'1',333,'N'),(28,7082061,'1',201,'N'),(28,7082061,'1A',212,'N'),(28,7082070,'1',304,'N'),(28,7082088,'1',303,'N'),(28,7082096,'1',108,'N'),(28,7082118,'1',108,'N'),(28,7082126,'1',103,'N'),(28,7082134,'1',103,'N'),(28,7082142,'1',425,'N'),(28,7082142,'1A',424,'N'),(28,7082150,'1',303,'N'),(28,7082169,'1',203,'N'),(28,7082169,'1A',235,'N'),(28,7082185,'1',108,'N'),(28,7082193,'1',9,'N'),(28,7082207,'1',302,'N'),(28,7082215,'1',103,'N'),(28,7082223,'1',208,'N'),(28,7082231,'1',201,'N'),(28,7082231,'1A',653,'N'),(28,7082240,'1',201,'N'),(28,7082240,'1A',203,'N'),(28,7082258,'1',104,'N'),(28,7082266,'1',103,'N'),(28,7082282,'1',103,'N'),(28,7082304,'1',103,'N'),(28,7082312,'1',203,'N'),(28,7082312,'1A',601,'N'),(28,7082339,'1',999,'N'),(28,7082347,'1',421,'N'),(28,7082355,'1',450,'N'),(28,7082363,'1',454,'N'),(28,7082371,'1',601,'N'),(28,7082371,'1A',201,'N'),(28,7082398,'1',5,'N'),(28,7082401,'1',601,'N'),(28,7082401,'1A',216,'N'),(28,7082410,'1',214,'N'),(28,7082410,'1A',215,'N'),(28,7082428,'1',203,'N'),(28,7082428,'1A',214,'N'),(28,7082436,'1',108,'N'),(28,7082444,'1',454,'N'),(28,7082460,'1',103,'N'),(28,7082479,'1',220,'N'),(28,7082479,'1A',235,'N'),(28,7082487,'1',652,'N'),(28,7082495,'1',319,'N'),(28,7082509,'1',552,'N'),(28,7082517,'1',203,'N'),(28,7082517,'1A',220,'N'),(28,7082525,'1',340,'N'),(28,7082533,'1',201,'N'),(28,7082533,'1A',214,'N'),(28,7082541,'1',319,'N'),(28,7082576,'1',103,'N'),(28,7082584,'1',108,'N'),(28,7082592,'1',103,'N'),(28,7082606,'1',655,'N'),(28,7082622,'1',317,'N'),(28,7082649,'1',103,'N'),(28,7082665,'1',552,'N'),(28,7082673,'1',317,'N'),(28,7082703,'1',103,'N'),(28,7082711,'1',103,'N'),(28,7082720,'1',201,'N'),(28,7082720,'1A',202,'N'),(28,7082738,'1',103,'N'),(28,7082746,'1',5,'N'),(28,7082762,'1',211,'N'),(28,7082762,'1A',212,'N'),(28,7082770,'1',109,'N'),(28,7082789,'1',324,'N'),(28,7082797,'1',454,'N'),(28,7082800,'1',103,'N'),(28,7082819,'1',224,'N'),(28,7082827,'1',103,'N'),(28,7082835,'1',103,'N'),(28,7082851,'1',454,'N'),(28,7082878,'1',999,'N'),(28,7082886,'1',319,'N'),(28,7082894,'1',103,'N'),(28,7082924,'1',450,'N'),(28,7082940,'1',425,'N'),(28,7082940,'1A',424,'N'),(28,7082959,'1',9,'N'),(28,7083009,'1',303,'N'),(28,7083017,'1',451,'N'),(28,7083025,'1',108,'N'),(28,7083033,'1',425,'N'),(28,7083033,'1A',426,'N'),(28,7083041,'1',103,'N'),(28,7083050,'1',340,'N'),(28,7083068,'1',103,'N'),(28,7083084,'1',601,'N'),(28,7083084,'1A',652,'N'),(28,7083092,'1',103,'N'),(28,7083106,'1',201,'N'),(28,7083106,'1A',207,'N'),(28,7083114,'1',104,'N'),(28,7083130,'1',216,'N'),(28,7083149,'1',454,'N'),(28,7083165,'1',318,'N'),(28,7083173,'1',444,'N'),(28,7083181,'1',450,'N'),(28,7083190,'1',303,'N'),(28,7083211,'1',103,'N'),(28,7083220,'1',103,'N'),(28,7083238,'1',103,'N'),(28,7083246,'1',319,'N'),(28,7083254,'1',601,'N'),(28,7083254,'1A',201,'N'),(28,7083262,'1',423,'N'),(28,7083270,'1',9,'N'),(28,7083297,'1',450,'N'),(28,7083300,'1',339,'N'),(28,7083319,'1',415,'N'),(28,7083327,'1',103,'N'),(28,7083335,'1',201,'N'),(28,7083335,'1A',238,'N'),(28,7083351,'1',238,'N'),(28,7083351,'1A',216,'N'),(28,7083360,'1',655,'N'),(28,7083360,'1A',202,'N'),(28,7083378,'1',235,'N'),(28,7083378,'1A',601,'N'),(28,7083386,'1',655,'N'),(28,7083386,'1A',238,'N'),(28,7083394,'1',103,'N'),(28,7083408,'1',303,'N'),(28,7083416,'1',207,'N'),(28,7083416,'1A',201,'N'),(28,7083424,'1',319,'N'),(28,7083440,'1',415,'N'),(28,7083459,'1',207,'N'),(28,7083475,'1',104,'N'),(28,7083483,'1',324,'N'),(28,7083491,'1',103,'N'),(28,7083505,'1',102,'N'),(28,7083513,'1',318,'N'),(28,7083521,'1',655,'N'),(28,7083521,'1A',653,'N'),(28,7083556,'1',103,'N'),(28,7083564,'1',502,'N'),(28,7083572,'1',103,'N'),(28,7083580,'1',319,'N'),(28,7083599,'1',235,'N'),(28,7083599,'1A',601,'N'),(28,7083602,'1',440,'N'),(28,7083629,'1',205,'N'),(28,7083637,'1',103,'N'),(28,7083645,'1',340,'N'),(28,7083653,'1',103,'N'),(28,7083661,'1',207,'N'),(28,7083661,'1A',211,'N'),(28,7083670,'1',201,'N'),(28,7083670,'1A',233,'N'),(28,7083688,'1',5,'N'),(28,7083700,'1',326,'N'),(28,7083718,'1',444,'N'),(28,7083726,'1',110,'N'),(28,7083742,'1',301,'N'),(28,7083769,'1',454,'N'),(28,7083777,'1',316,'N'),(28,7083785,'1',502,'N'),(28,7083793,'1',103,'N'),(28,7083807,'1',303,'N'),(28,7083815,'1',450,'N'),(28,7083823,'1',103,'N'),(28,7083858,'1',103,'N'),(28,7083866,'1',303,'N'),(28,7083882,'1',454,'N'),(28,7083904,'1',233,'N'),(28,7083904,'1A',216,'N'),(28,7083912,'1',501,'N'),(28,7083920,'1',201,'N'),(28,7083920,'1A',212,'N'),(28,7083939,'1',235,'N'),(28,7083939,'1A',601,'N'),(28,7083947,'1',103,'N'),(28,7083955,'1',303,'N'),(28,7083980,'1',203,'N'),(28,7083980,'1A',214,'N'),(28,7083998,'1',308,'N'),(28,7084005,'1',215,'N'),(28,7084005,'1A',211,'N'),(28,7084013,'1',303,'N'),(28,7084021,'1',101,'N'),(28,7084030,'1',339,'N'),(28,7084048,'1',201,'N'),(28,7084048,'1A',238,'N'),(28,7084064,'1',103,'N'),(28,7084072,'1',340,'N'),(28,7084080,'1',303,'N'),(28,7084099,'1',201,'N'),(28,7084099,'1A',212,'N'),(28,7084102,'1',303,'N'),(28,7084110,'1',216,'N'),(28,7084110,'1A',238,'N'),(28,7084129,'1',5,'N'),(28,7084137,'1',999,'N'),(28,7084145,'1',213,'N'),(28,7084145,'1A',601,'N'),(28,7084161,'1',207,'N'),(28,7084161,'1A',201,'N'),(28,7084170,'1',103,'N'),(28,7084188,'1',214,'N'),(28,7084188,'1A',203,'N'),(28,7084196,'1',653,'N'),(28,7084196,'1A',655,'N'),(28,7084200,'1',601,'N'),(28,7084200,'1A',235,'N'),(28,7084226,'1',214,'N'),(28,7084242,'1',601,'N'),(28,7084242,'1A',214,'N'),(28,7084269,'1',103,'N'),(28,7084293,'1',302,'N'),(28,7084307,'1',220,'N'),(28,7084307,'1A',201,'N'),(28,7084315,'1',551,'N'),(28,7084331,'1',103,'N'),(28,7084340,'1',999,'N'),(28,7084358,'1',201,'N'),(28,7084358,'1A',214,'N'),(28,7084366,'1',207,'N'),(28,7084366,'1A',235,'N'),(28,7084374,'1',319,'N'),(28,7084382,'1',103,'N'),(28,7084420,'1',999,'N'),(28,7084447,'1',103,'N'),(28,7084471,'1',338,'N'),(28,7084498,'1',211,'N'),(28,7084510,'1',103,'N'),(28,7084528,'1',3,'N'),(28,7084544,'1',201,'N'),(28,7084544,'1A',212,'N'),(28,7084560,'1',999,'N'),(28,7084579,'1',109,'N'),(28,7084587,'1',208,'N'),(28,7084595,'1',202,'N'),(28,7084595,'1A',203,'N'),(28,7084609,'1',201,'N'),(28,7084609,'1A',207,'N'),(28,7084625,'1',238,'N'),(28,7084625,'1A',211,'N'),(28,7084633,'1',415,'N'),(28,7084650,'1',336,'N'),(28,7084668,'1',207,'N'),(28,7084668,'1A',201,'N'),(28,7084676,'1',103,'N'),(28,7084684,'1',201,'N'),(28,7084684,'1A',212,'N'),(28,7084706,'1',220,'N'),(28,7084706,'1A',201,'N'),(28,7084749,'1',108,'N'),(28,7084757,'1',5,'N'),(28,7084765,'1',207,'N'),(28,7084765,'1A',201,'N'),(28,7084781,'1',317,'N'),(28,7084790,'1',103,'N'),(28,7084803,'1',103,'N'),(28,7084811,'1',303,'N'),(28,7084838,'1',103,'N'),(28,7084846,'1',454,'N'),(28,7084854,'1',233,'N'),(28,7084854,'1A',220,'N'),(28,7084870,'1',212,'N'),(28,7084870,'1A',213,'N'),(28,7084889,'1',428,'N'),(28,7084897,'1',454,'N'),(28,7084919,'1',203,'N'),(28,7084919,'1A',216,'N'),(28,7084927,'1',202,'N'),(28,7084927,'1A',203,'N'),(28,7084935,'1',332,'N'),(28,7084951,'1',320,'N'),(28,7084960,'1',201,'N'),(28,7084960,'1A',601,'N'),(28,7084978,'1',104,'N'),(28,7084994,'1',216,'N'),(28,7084994,'1A',235,'N'),(28,7085036,'1',338,'N'),(28,7085052,'1',103,'N'),(28,7085060,'1',207,'N'),(28,7085060,'1A',201,'N'),(28,7085079,'1',328,'N'),(28,7085087,'1',207,'N'),(28,7085087,'1A',201,'N'),(28,7085095,'1',444,'N'),(28,7085117,'1',201,'N'),(28,7085117,'1A',212,'N'),(28,7085133,'1',999,'N'),(28,7085141,'1',108,'N'),(28,7085150,'1',201,'N'),(28,7085150,'1A',202,'N'),(28,7085176,'1',303,'N'),(28,7085184,'1',103,'N'),(28,7085192,'1',425,'N'),(28,7085192,'1A',424,'N'),(28,7085206,'1',103,'N'),(28,7085214,'1',333,'N'),(28,7085230,'1',601,'N'),(28,7085230,'1A',220,'N'),(28,7085257,'1',103,'N'),(28,7085273,'1',303,'N'),(28,7085281,'1',103,'N'),(28,7085290,'1',333,'N'),(28,7085303,'1',220,'N'),(28,7085303,'1A',203,'N'),(28,7085311,'1',103,'N'),(28,7085320,'1',329,'N'),(28,7085338,'1',103,'N'),(28,7085354,'1',202,'N'),(28,7085354,'1A',235,'N'),(28,7085362,'1',103,'N'),(28,7085370,'1',201,'N'),(28,7085370,'1A',212,'N'),(28,7085400,'1',201,'N'),(28,7085400,'1A',212,'N'),(28,7085419,'1',654,'N'),(28,7085427,'1',329,'N'),(28,7085443,'1',425,'N'),(28,7085443,'1A',424,'N'),(28,7085451,'1',415,'N'),(28,7085460,'1',340,'N'),(28,7085478,'1',601,'N');
INSERT INTO opcao_candidato VALUES (28,7085478,'1A',207,'N'),(28,7085486,'1',303,'N'),(28,7085494,'1',333,'N'),(28,7085508,'1',415,'N'),(28,7085516,'1',319,'N'),(28,7085524,'1',103,'N'),(28,7085532,'1',203,'N'),(28,7085532,'1A',235,'N'),(28,7085540,'1',103,'N'),(28,7085559,'1',214,'N'),(28,7085559,'1A',212,'N'),(28,7085567,'1',230,'N'),(28,7085575,'1',103,'N'),(28,7085583,'1',103,'N'),(28,7085591,'1',104,'N'),(28,7085605,'1',208,'N'),(28,7085613,'1',103,'N'),(28,7085621,'1',101,'N'),(28,7085630,'1',303,'N'),(28,7085648,'1',302,'N'),(28,7085656,'1',207,'N'),(28,7085664,'1',303,'N'),(28,7085672,'1',215,'N'),(28,7085672,'1A',233,'N'),(28,7085680,'1',201,'N'),(28,7085680,'1A',207,'N'),(28,7085699,'1',454,'N'),(28,7085702,'1',201,'N'),(28,7085702,'1A',233,'N'),(28,7085737,'1',601,'N'),(28,7085737,'1A',203,'N'),(28,7085745,'1',103,'N'),(28,7085753,'1',203,'N'),(28,7085753,'1A',214,'N'),(28,7085761,'1',220,'N'),(28,7085761,'1A',201,'N'),(28,7085788,'1',303,'N'),(28,7085796,'1',103,'N'),(28,7085800,'1',424,'N'),(28,7085800,'1A',427,'N'),(28,7085818,'1',103,'N'),(28,7085826,'1',103,'N'),(28,7085834,'1',103,'N'),(28,7085842,'1',655,'N'),(28,7085842,'1A',653,'N'),(28,7085850,'1',211,'N'),(28,7085850,'1A',601,'N'),(28,7085869,'1',235,'N'),(28,7085869,'1A',202,'N'),(28,7085877,'1',203,'N'),(28,7085877,'1A',207,'N'),(28,7085893,'1',317,'N'),(28,7085907,'1',103,'N'),(28,7085915,'1',201,'N'),(28,7085915,'1A',207,'N'),(28,7085923,'1',203,'N'),(28,7085931,'1',208,'N'),(28,7085958,'1',303,'N'),(28,7085974,'1',440,'N'),(28,7085990,'1',203,'N'),(28,7085990,'1A',201,'N'),(28,7086008,'1',202,'N'),(28,7086008,'1A',203,'N'),(28,7086016,'1',211,'N'),(28,7086016,'1A',201,'N'),(28,7086024,'1',415,'N'),(28,7086032,'1',103,'N'),(28,7086040,'1',207,'N'),(28,7086040,'1A',211,'N'),(28,7086091,'1',215,'N'),(28,7086091,'1A',233,'N'),(28,7086113,'1',203,'N'),(28,7086113,'1A',214,'N'),(28,7086130,'1',103,'N'),(28,7086148,'1',104,'N'),(28,7086156,'1',238,'N'),(28,7086156,'1A',655,'N'),(28,7086172,'1',103,'N'),(28,7086180,'1',102,'N'),(28,7086199,'1',207,'N'),(28,7086199,'1A',215,'N'),(28,7086210,'1',103,'N'),(28,7086237,'1',303,'N'),(28,7086253,'1',999,'N'),(28,7086270,'1',428,'N'),(28,7086270,'1A',425,'N'),(28,7086300,'1',104,'N'),(28,7086326,'1',5,'N'),(28,7086334,'1',103,'N'),(28,7086342,'1',103,'N'),(28,7086350,'1',216,'N'),(28,7086350,'1A',215,'N'),(28,7086369,'1',333,'N'),(28,7086377,'1',203,'N'),(28,7086377,'1A',601,'N'),(28,7086393,'1',552,'N'),(28,7086407,'1',103,'N'),(28,7086415,'1',336,'N'),(28,7086423,'1',340,'N'),(28,7086431,'1',324,'N'),(28,7086440,'1',5,'N'),(28,7086458,'1',340,'N'),(28,7086466,'1',319,'N'),(28,7086474,'1',450,'N'),(28,7086482,'1',303,'N'),(28,7086490,'1',201,'N'),(28,7086490,'1A',212,'N'),(28,7086504,'1',999,'N'),(28,7086520,'1',211,'N'),(28,7086520,'1A',601,'N'),(28,7086547,'1',319,'N'),(28,7086563,'1',5,'N'),(28,7086571,'1',103,'N'),(28,7086580,'1',319,'N'),(28,7086598,'1',220,'N'),(28,7086598,'1A',202,'N'),(28,7086610,'1',340,'N'),(28,7086628,'1',103,'N'),(28,7086636,'1',203,'N'),(28,7086636,'1A',202,'N'),(28,7086644,'1',999,'N'),(28,7086652,'1',103,'N'),(28,7086660,'1',203,'N'),(28,7086660,'1A',235,'N'),(28,7086679,'1',216,'N'),(28,7086679,'1A',233,'N'),(28,7086687,'1',601,'N'),(28,7086687,'1A',652,'N'),(28,7086695,'1',201,'N'),(28,7086695,'1A',202,'N'),(28,7086709,'1',235,'N'),(28,7086709,'1A',216,'N'),(28,7086717,'1',103,'N'),(28,7086725,'1',216,'N'),(28,7086733,'1',203,'N'),(28,7086741,'1',501,'N'),(28,7086768,'1',207,'N'),(28,7086768,'1A',201,'N'),(28,7086776,'1',203,'N'),(28,7086776,'1A',201,'N'),(28,7086784,'1',103,'N'),(28,7086792,'1',303,'N'),(28,7086814,'1',216,'N'),(28,7086814,'1A',233,'N'),(28,7086822,'1',207,'N'),(28,7086822,'1A',201,'N'),(28,7086830,'1',203,'N'),(28,7086830,'1A',216,'N'),(28,7086849,'1',103,'N'),(28,7086857,'1',333,'N'),(28,7086865,'1',444,'N'),(28,7086890,'1',108,'N'),(28,7086911,'1',308,'N'),(28,7086920,'1',654,'N'),(28,7086938,'1',103,'N'),(28,7086954,'1',103,'N'),(28,7086962,'1',103,'N'),(28,7086970,'1',303,'N'),(28,7086989,'1',235,'N'),(28,7086989,'1A',213,'N'),(28,7086997,'1',320,'N'),(28,7087004,'1',103,'N'),(28,7087012,'1',203,'N'),(28,7087012,'1A',213,'N'),(28,7087020,'1',654,'N'),(28,7087039,'1',203,'N'),(28,7087039,'1A',220,'N'),(28,7087055,'1',238,'N'),(28,7087055,'1A',655,'N'),(28,7087063,'1',203,'N'),(28,7087063,'1A',214,'N'),(28,7087071,'1',223,'N'),(28,7087080,'1',319,'N'),(28,7087098,'1',201,'N'),(28,7087101,'1',103,'N'),(28,7087136,'1',103,'N'),(28,7087144,'1',503,'N'),(28,7087179,'1',103,'N'),(28,7087187,'1',3,'N'),(28,7087195,'1',319,'N'),(28,7087209,'1',327,'N'),(28,7087225,'1',103,'N'),(28,7087241,'1',201,'N'),(28,7087241,'1A',212,'N'),(28,7087250,'1',501,'N'),(28,7087268,'1',102,'N'),(28,7087276,'1',5,'N'),(28,7087284,'1',5,'N'),(28,7087292,'1',444,'N'),(28,7087314,'1',101,'N'),(28,7087322,'1',103,'N'),(28,7087330,'1',203,'N'),(28,7087330,'1A',233,'N'),(28,7087349,'1',103,'N'),(28,7087365,'1',103,'N'),(28,7087373,'1',220,'N'),(28,7087373,'1A',235,'N'),(28,7087381,'1',303,'N'),(28,7087403,'1',208,'N'),(28,7087411,'1',201,'N'),(28,7087411,'1A',215,'N'),(28,7087420,'1',326,'N'),(28,7087438,'1',215,'N'),(28,7087438,'1A',201,'N'),(28,7087446,'1',208,'N'),(28,7087462,'1',103,'N'),(28,7087470,'1',5,'N'),(28,7087497,'1',301,'N'),(28,7087519,'1',211,'N'),(28,7087519,'1A',601,'N'),(28,7087535,'1',103,'N'),(28,7087543,'1',9,'N'),(28,7087551,'1',203,'N'),(28,7087551,'1A',214,'N'),(28,7087560,'1',454,'N'),(28,7087578,'1',207,'N'),(28,7087578,'1A',201,'N'),(28,7087586,'1',201,'N'),(28,7087586,'1A',212,'N'),(28,7087594,'1',454,'N'),(28,7087608,'1',103,'N'),(28,7087616,'1',9,'N'),(28,7087624,'1',201,'N'),(28,7087624,'1A',211,'N'),(28,7087632,'1',211,'N'),(28,7087632,'1A',601,'N'),(28,7087659,'1',328,'N'),(28,7087667,'1',203,'N'),(28,7087675,'1',213,'N'),(28,7087675,'1A',215,'N'),(28,7087683,'1',103,'N'),(28,7087691,'1',601,'N'),(28,7087691,'1A',203,'N'),(28,7087705,'1',207,'N'),(28,7087713,'1',103,'N'),(28,7087721,'1',552,'N'),(28,7087730,'1',655,'N'),(28,7087730,'1A',653,'N'),(28,7087748,'1',303,'N'),(28,7087756,'1',501,'N'),(28,7087764,'1',225,'N'),(28,7087772,'1',444,'N'),(28,7087802,'1',103,'N'),(28,7087810,'1',103,'N'),(28,7087829,'1',319,'N'),(28,7087845,'1',220,'N'),(28,7087845,'1A',201,'N'),(28,7087853,'1',319,'N'),(28,7087861,'1',201,'N'),(28,7087861,'1A',212,'N'),(28,7087870,'1',201,'N'),(28,7087896,'1',208,'N'),(28,7087900,'1',214,'N'),(28,7087900,'1A',211,'N'),(28,7087926,'1',103,'N'),(28,7087934,'1',216,'N'),(28,7087934,'1A',211,'N'),(28,7087942,'1',303,'N'),(28,7087969,'1',103,'N'),(28,7087977,'1',5,'N'),(28,7087985,'1',104,'N'),(28,7087993,'1',103,'N'),(28,7088027,'1',655,'N'),(28,7088027,'1A',652,'N'),(28,7088051,'1',601,'N'),(28,7088051,'1A',203,'N'),(28,7088060,'1',450,'N'),(28,7088078,'1',103,'N'),(28,7088086,'1',202,'N'),(28,7088086,'1A',235,'N'),(28,7088094,'1',319,'N'),(28,7088108,'1',201,'N'),(28,7088108,'1A',202,'N'),(28,7088124,'1',201,'N'),(28,7088124,'1A',216,'N'),(28,7088167,'1',103,'N'),(28,7088205,'1',103,'N'),(28,7088213,'1',415,'N'),(28,7088221,'1',601,'N'),(28,7088221,'1A',201,'N'),(28,7088248,'1',203,'N'),(28,7088248,'1A',233,'N'),(28,7088256,'1',203,'N'),(28,7088256,'1A',201,'N'),(28,7088264,'1',207,'N'),(28,7088264,'1A',201,'N'),(28,7088272,'1',450,'N'),(28,7088280,'1',202,'N'),(28,7088280,'1A',203,'N'),(28,7088299,'1',201,'N'),(28,7088299,'1A',207,'N'),(28,7088302,'1',203,'N'),(28,7088302,'1A',220,'N'),(28,7088310,'1',552,'N'),(28,7088337,'1',9,'N'),(28,7088345,'1',999,'N'),(28,7088388,'1',103,'N'),(28,7088396,'1',302,'N'),(28,7088400,'1',103,'N'),(28,7088418,'1',302,'N'),(28,7088426,'1',207,'N'),(28,7088426,'1A',201,'N'),(28,7088442,'1',319,'N'),(28,7088450,'1',317,'N'),(28,7088477,'1',552,'N'),(28,7088493,'1',5,'N'),(28,7088507,'1',207,'N'),(28,7088507,'1A',201,'N'),(28,7088515,'1',101,'N'),(28,7088523,'1',103,'N'),(28,7088531,'1',109,'N'),(28,7088540,'1',216,'N'),(28,7088540,'1A',215,'N'),(28,7088558,'1',103,'N'),(28,7088566,'1',502,'N'),(28,7088574,'1',552,'N'),(28,7088582,'1',201,'N'),(28,7088582,'1A',203,'N'),(28,7088590,'1',216,'N'),(28,7088590,'1A',215,'N'),(28,7088604,'1',103,'N'),(28,7088612,'1',336,'N'),(28,7088620,'1',201,'N'),(28,7088620,'1A',212,'N'),(28,7088639,'1',207,'N'),(28,7088639,'1A',655,'N'),(28,7088647,'1',301,'N'),(28,7088655,'1',208,'N'),(28,7088680,'1',601,'N'),(28,7088698,'1',215,'N'),(28,7088698,'1A',203,'N'),(28,7088701,'1',454,'N'),(28,7088728,'1',319,'N'),(28,7088736,'1',450,'N'),(28,7088744,'1',104,'N'),(28,7088752,'1',104,'N'),(28,7088760,'1',201,'N'),(28,7088760,'1A',202,'N'),(28,7088779,'1',103,'N'),(28,7088787,'1',216,'N'),(28,7088787,'1A',214,'N'),(28,7088795,'1',103,'N'),(28,7088809,'1',203,'N'),(28,7088809,'1A',214,'N'),(28,7088825,'1',415,'N'),(28,7088833,'1',9,'N'),(28,7088841,'1',429,'N'),(28,7088841,'1A',421,'N'),(28,7088850,'1',220,'N'),(28,7088850,'1A',212,'N'),(28,7088868,'1',502,'N'),(28,7088876,'1',102,'N'),(28,7088884,'1',601,'N'),(28,7088884,'1A',203,'N'),(28,7088892,'1',110,'N'),(28,7088914,'1',319,'N'),(28,7088922,'1',303,'N'),(28,7088930,'1',208,'N'),(28,7088949,'1',103,'N'),(28,7088957,'1',340,'N'),(28,7088965,'1',203,'N'),(28,7088965,'1A',235,'N'),(28,7088973,'1',104,'N'),(28,7088981,'1',214,'N'),(28,7088981,'1A',212,'N'),(28,7088990,'1',444,'N'),(28,7089007,'1',208,'N'),(28,7089015,'1',501,'N'),(28,7089023,'1',103,'N'),(28,7089031,'1',109,'N'),(28,7089040,'1',208,'N'),(28,7089074,'1',654,'N'),(28,7089082,'1',103,'N'),(28,7089090,'1',207,'N'),(28,7089104,'1',319,'N'),(28,7089112,'1',235,'N'),(28,7089112,'1A',203,'N'),(28,7089120,'1',301,'N'),(28,7089139,'1',207,'N'),(28,7089139,'1A',238,'N'),(28,7089147,'1',450,'N'),(28,7089155,'1',319,'N'),(28,7089163,'1',103,'N'),(28,7089180,'1',444,'N'),(28,7089198,'1',207,'N'),(28,7089198,'1A',216,'N'),(28,7089210,'1',234,'N'),(28,7089228,'1',103,'N'),(28,7089244,'1',601,'N'),(28,7089252,'1',230,'N'),(28,7089260,'1',303,'N'),(28,7089279,'1',201,'N'),(28,7089279,'1A',207,'N'),(28,7089287,'1',340,'N'),(28,7089295,'1',339,'N'),(28,7089309,'1',654,'N'),(28,7089317,'1',5,'N'),(28,7089325,'1',202,'N'),(28,7089325,'1A',220,'N'),(28,7089333,'1',303,'N'),(28,7089341,'1',216,'N'),(28,7089341,'1A',202,'N'),(28,7089350,'1',999,'N'),(28,7089368,'1',5,'N'),(28,7089376,'1',331,'N'),(28,7089392,'1',302,'N'),(28,7089414,'1',103,'N'),(28,7089430,'1',425,'N'),(28,7089430,'1A',426,'N'),(28,7089449,'1',103,'N'),(28,7089457,'1',552,'N'),(28,7089465,'1',108,'N'),(28,7089481,'1',653,'N'),(28,7089503,'1',444,'N'),(28,7089511,'1',326,'N'),(28,7089520,'1',108,'N'),(28,7089538,'1',552,'N'),(28,7089546,'1',104,'N'),(28,7089554,'1',999,'N'),(28,7089589,'1',103,'N'),(28,7089597,'1',212,'N'),(28,7089597,'1A',601,'N'),(28,7089600,'1',318,'N'),(28,7089627,'1',316,'N'),(28,7089635,'1',103,'N'),(28,7089643,'1',310,'N'),(28,7089660,'1',207,'N'),(28,7089660,'1A',220,'N'),(28,7089678,'1',201,'N'),(28,7089686,'1',5,'N'),(28,7089694,'1',203,'N'),(28,7089694,'1A',233,'N'),(28,7089708,'1',235,'N'),(28,7089708,'1A',202,'N'),(28,7089716,'1',5,'N'),(28,7089724,'1',454,'N'),(28,7089732,'1',308,'N'),(28,7089740,'1',303,'N'),(28,7089759,'1',9,'N'),(28,7089767,'1',103,'N'),(28,7089791,'1',318,'N'),(28,7089805,'1',601,'N'),(28,7089813,'1',235,'N'),(28,7089813,'1A',220,'N'),(28,7089830,'1',415,'N'),(28,7089848,'1',201,'N'),(28,7089848,'1A',203,'N'),(28,7089856,'1',108,'N'),(28,7089864,'1',203,'N'),(28,7089864,'1A',201,'N'),(28,7089872,'1',201,'N'),(28,7089872,'1A',212,'N'),(28,7089880,'1',216,'N'),(28,7089880,'1A',215,'N'),(28,7089899,'1',208,'N'),(28,7089902,'1',552,'N'),(28,7089910,'1',102,'N'),(28,7089929,'1',999,'N'),(28,7089937,'1',654,'N'),(28,7089945,'1',103,'N'),(28,7089953,'1',339,'N'),(28,7089970,'1',999,'N'),(28,7089996,'1',999,'N'),(28,7090005,'1',102,'N'),(28,7090013,'1',202,'N'),(28,7090013,'1A',653,'N'),(28,7090021,'1',601,'N'),(28,7090030,'1',317,'N'),(28,7090048,'1',212,'N'),(28,7090048,'1A',201,'N'),(28,7090056,'1',303,'N'),(28,7090072,'1',454,'N'),(28,7090080,'1',999,'N'),(28,7090099,'1',552,'N'),(28,7090102,'1',103,'N'),(28,7090129,'1',234,'N'),(28,7090137,'1',223,'N'),(28,7090145,'1',340,'N'),(28,7090153,'1',201,'N'),(28,7090153,'1A',212,'N'),(28,7090161,'1',103,'N'),(28,7090170,'1',220,'N'),(28,7090170,'1A',202,'N'),(28,7090188,'1',303,'N'),(28,7090200,'1',213,'N'),(28,7090200,'1A',601,'N'),(28,7090218,'1',201,'N'),(28,7090218,'1A',212,'N'),(28,7090226,'1',552,'N'),(28,7090234,'1',331,'N'),(28,7090242,'1',203,'N'),(28,7090250,'1',103,'N'),(28,7090269,'1',501,'N'),(28,7090285,'1',216,'N'),(28,7090285,'1A',201,'N'),(28,7090307,'1',302,'N'),(28,7090315,'1',426,'N'),(28,7090315,'1A',428,'N'),(28,7090323,'1',103,'N'),(28,7090331,'1',425,'N'),(28,7090331,'1A',429,'N'),(28,7090340,'1',214,'N'),(28,7090340,'1A',212,'N'),(28,7090358,'1',103,'N'),(28,7090366,'1',316,'N'),(28,7090374,'1',104,'N'),(28,7090404,'1',220,'N'),(28,7090404,'1A',203,'N'),(28,7090412,'1',601,'N'),(28,7090412,'1A',201,'N'),(28,7090420,'1',103,'N'),(28,7090439,'1',225,'N'),(28,7090447,'1',451,'N'),(28,7090463,'1',327,'N'),(28,7090471,'1',303,'N'),(28,7090480,'1',103,'N'),(28,7090498,'1',104,'N'),(28,7090501,'1',103,'N'),(28,7090510,'1',203,'N'),(28,7090510,'1A',201,'N'),(28,7090528,'1',207,'N'),(28,7090528,'1A',201,'N'),(28,7090552,'1',103,'N'),(28,7090560,'1',208,'N'),(28,7090587,'1',213,'N'),(28,7090587,'1A',216,'N'),(28,7090595,'1',454,'N'),(28,7090609,'1',103,'N'),(28,7090617,'1',201,'N'),(28,7090617,'1A',207,'N'),(28,7090633,'1',215,'N'),(28,7090650,'1',103,'N'),(28,7090668,'1',103,'N'),(28,7090676,'1',103,'N'),(28,7090692,'1',450,'N'),(28,7090714,'1',303,'N'),(28,7090722,'1',999,'N'),(28,7090730,'1',103,'N'),(28,7090757,'1',238,'N'),(28,7090757,'1A',201,'N'),(28,7090765,'1',103,'N'),(28,7090773,'1',301,'N'),(28,7090790,'1',238,'N'),(28,7090790,'1A',213,'N'),(28,7090803,'1',203,'N'),(28,7090803,'1A',214,'N'),(28,7090811,'1',503,'N'),(28,7090820,'1',104,'N'),(28,7090846,'1',424,'N'),(28,7090846,'1A',425,'N'),(28,7090854,'1',104,'N'),(28,7090889,'1',108,'N'),(28,7090900,'1',551,'N'),(28,7090919,'1',202,'N'),(28,7090919,'1A',220,'N'),(28,7090927,'1',103,'N'),(28,7090935,'1',211,'N'),(28,7090935,'1A',214,'N'),(28,7090943,'1',653,'N'),(28,7090943,'1A',601,'N'),(28,7090951,'1',103,'N'),(28,7090960,'1',103,'N'),(28,7090986,'1',104,'N'),(28,7090994,'1',103,'N'),(28,7091001,'1',207,'N'),(28,7091001,'1A',203,'N'),(28,7091010,'1',104,'N'),(28,7091028,'1',103,'N'),(28,7091036,'1',103,'N'),(28,7091044,'1',202,'N'),(28,7091044,'1A',601,'N'),(28,7091052,'1',653,'N'),(28,7091052,'1A',655,'N'),(28,7091060,'1',999,'N'),(28,7091079,'1',103,'N'),(28,7091087,'1',340,'N'),(28,7091109,'1',203,'N'),(28,7091109,'1A',233,'N'),(28,7091150,'1',501,'N'),(28,7091168,'1',216,'N'),(28,7091168,'1A',215,'N'),(28,7091176,'1',103,'N'),(28,7091184,'1',216,'N'),(28,7091184,'1A',207,'N'),(28,7091192,'1',426,'N'),(28,7091192,'1A',423,'N'),(28,7091214,'1',337,'N'),(28,7091222,'1',201,'N'),(28,7091230,'1',654,'N'),(28,7091249,'1',601,'N'),(28,7091249,'1A',214,'N'),(28,7091265,'1',999,'N'),(28,7091273,'1',102,'N'),(28,7091281,'1',207,'N'),(28,7091281,'1A',212,'N'),(28,7091290,'1',203,'N'),(28,7091303,'1',103,'N'),(28,7091311,'1',103,'N'),(28,7091320,'1',552,'N'),(28,7091338,'1',601,'N'),(28,7091338,'1A',207,'N'),(28,7091346,'1',103,'N'),(28,7091354,'1',310,'N'),(28,7091370,'1',103,'N'),(28,7091400,'1',220,'N'),(28,7091400,'1A',215,'N'),(28,7091419,'1',103,'N'),(28,7091427,'1',207,'N'),(28,7091427,'1A',201,'N'),(28,7091435,'1',451,'N'),(28,7091443,'1',201,'N'),(28,7091443,'1A',211,'N'),(28,7091478,'1',216,'N'),(28,7091478,'1A',233,'N'),(28,7091486,'1',303,'N'),(28,7091494,'1',109,'N'),(28,7091532,'1',207,'N'),(28,7091532,'1A',215,'N'),(28,7091540,'1',207,'N'),(28,7091559,'1',103,'N'),(28,7091567,'1',103,'N'),(28,7091575,'1',208,'N'),(28,7091591,'1',444,'N'),(28,7091605,'1',9,'N'),(28,7091613,'1',9,'N'),(28,7091621,'1',201,'N'),(28,7091621,'1A',216,'N'),(28,7091630,'1',214,'N'),(28,7091630,'1A',201,'N'),(28,7091656,'1',103,'N'),(28,7091664,'1',303,'N'),(28,7091672,'1',103,'N'),(28,7091710,'1',653,'N'),(28,7091710,'1A',655,'N'),(28,7091745,'1',454,'N'),(28,7091753,'1',454,'N'),(28,7091761,'1',207,'N'),(28,7091761,'1A',201,'N'),(28,7091770,'1',999,'N'),(28,7091796,'1',428,'N'),(28,7091796,'1A',423,'N'),(28,7091818,'1',207,'N'),(28,7091818,'1A',201,'N'),(28,7091826,'1',999,'N'),(28,7091834,'1',104,'N'),(28,7091842,'1',103,'N'),(28,7091869,'1',404,'N'),(28,7091877,'1',316,'N'),(28,7091885,'1',444,'N'),(28,7091893,'1',214,'N'),(28,7091893,'1A',212,'N'),(28,7091907,'1',601,'N'),(28,7091907,'1A',214,'N'),(28,7091923,'1',109,'N'),(28,7091931,'1',233,'N'),(28,7091931,'1A',201,'N'),(28,7091940,'1',999,'N'),(28,7091958,'1',211,'N'),(28,7091966,'1',103,'N'),(28,7091982,'1',207,'N'),(28,7091982,'1A',601,'N'),(28,7091990,'1',103,'N'),(28,7092008,'1',233,'N'),(28,7092008,'1A',238,'N'),(28,7092016,'1',454,'N'),(28,7092024,'1',336,'N'),(28,7092032,'1',999,'N'),(28,7092059,'1',103,'N'),(28,7092067,'1',104,'N'),(28,7092075,'1',108,'N'),(28,7092083,'1',340,'N'),(28,7092091,'1',207,'N'),(28,7092105,'1',454,'N'),(28,7092130,'1',999,'N'),(28,7092148,'1',220,'N'),(28,7092148,'1A',203,'N'),(28,7092164,'1',103,'N'),(28,7092172,'1',102,'N'),(28,7092180,'1',103,'N'),(28,7092199,'1',103,'N'),(28,7092202,'1',202,'N'),(28,7092202,'1A',235,'N'),(28,7092245,'1',5,'N'),(28,7092253,'1',340,'N'),(28,7092261,'1',340,'N'),(28,7092270,'1',207,'N'),(28,7092270,'1A',238,'N'),(28,7092288,'1',654,'N'),(28,7092296,'1',103,'N'),(28,7092318,'1',415,'N'),(28,7092334,'1',103,'N'),(28,7092350,'1',340,'N'),(28,7092369,'1',340,'N'),(28,7092407,'1',207,'N'),(28,7092407,'1A',201,'N'),(28,7092423,'1',207,'N'),(28,7092423,'1A',201,'N'),(28,7092431,'1',552,'N'),(28,7092440,'1',329,'N'),(28,7092458,'1',340,'N'),(28,7092466,'1',9,'N'),(28,7092474,'1',451,'N'),(28,7092482,'1',201,'N'),(28,7092482,'1A',207,'N'),(28,7092490,'1',103,'N'),(28,7092504,'1',328,'N'),(28,7092520,'1',999,'N'),(28,7092539,'1',108,'N'),(28,7092547,'1',2,'N'),(28,7092555,'1',308,'N'),(28,7092563,'1',201,'N'),(28,7092563,'1A',212,'N'),(28,7092571,'1',103,'N'),(28,7092580,'1',103,'N'),(28,7092598,'1',220,'N'),(28,7092598,'1A',202,'N'),(28,7092601,'1',303,'N'),(28,7092610,'1',316,'N'),(28,7092628,'1',9,'N'),(28,7092636,'1',238,'N'),(28,7092636,'1A',235,'N'),(28,7092644,'1',201,'N'),(28,7092644,'1A',202,'N'),(28,7092660,'1',102,'N'),(28,7092679,'1',216,'N'),(28,7092679,'1A',220,'N'),(28,7092687,'1',103,'N'),(28,7092695,'1',222,'N'),(28,7092709,'1',333,'N'),(28,7092725,'1',214,'N'),(28,7092733,'1',336,'N'),(28,7092741,'1',101,'N'),(28,7092768,'1',110,'N'),(28,7092776,'1',103,'N'),(28,7092784,'1',103,'N'),(28,7092792,'1',9,'N'),(28,7092806,'1',104,'N'),(28,7092814,'1',303,'N'),(28,7092822,'1',5,'N'),(28,7092830,'1',103,'N'),(28,7092865,'1',108,'N'),(28,7092873,'1',601,'N'),(28,7092873,'1A',202,'N'),(28,7092890,'1',103,'N'),(28,7092903,'1',223,'N'),(28,7092911,'1',999,'N'),(28,7092920,'1',208,'N'),(28,7092954,'1',601,'N'),(28,7092954,'1A',220,'N'),(28,7092962,'1',103,'N'),(28,7092970,'1',102,'N'),(28,7092989,'1',238,'N'),(28,7092989,'1A',220,'N'),(28,7092997,'1',103,'N'),(28,7093004,'1',302,'N'),(28,7093012,'1',220,'N'),(28,7093012,'1A',213,'N'),(28,7093020,'1',201,'N'),(28,7093020,'1A',233,'N'),(28,7093047,'1',999,'N'),(28,7093055,'1',103,'N'),(28,7093063,'1',103,'N'),(28,7093071,'1',216,'N'),(28,7093071,'1A',601,'N'),(28,7093080,'1',340,'N'),(28,7093098,'1',317,'N'),(28,7093101,'1',233,'N'),(28,7093101,'1A',601,'N'),(28,7093110,'1',110,'N'),(28,7093144,'1',203,'N'),(28,7093144,'1A',601,'N'),(28,7093160,'1',103,'N'),(28,7093179,'1',340,'N'),(28,7093187,'1',103,'N'),(28,7093195,'1',451,'N'),(28,7093209,'1',203,'N'),(28,7093209,'1A',216,'N'),(28,7093217,'1',103,'N'),(28,7093225,'1',999,'N'),(28,7093233,'1',103,'N'),(28,7093241,'1',340,'N'),(28,7093250,'1',202,'N'),(28,7093250,'1A',235,'N'),(28,7093268,'1',207,'N'),(28,7093276,'1',216,'N'),(28,7093276,'1A',212,'N'),(28,7093284,'1',444,'N'),(28,7093314,'1',454,'N'),(28,7093322,'1',103,'N'),(28,7093330,'1',450,'N'),(28,7093349,'1',103,'N'),(28,7093357,'1',203,'N'),(28,7093357,'1A',201,'N'),(28,7093365,'1',302,'N'),(28,7093373,'1',502,'N'),(28,7093381,'1',333,'N'),(28,7093390,'1',207,'N'),(28,7093403,'1',103,'N'),(28,7093411,'1',103,'N'),(28,7093420,'1',103,'N'),(28,7093438,'1',202,'N'),(28,7093438,'1A',201,'N'),(28,7093454,'1',102,'N'),(28,7093462,'1',103,'N'),(28,7093470,'1',103,'N'),(28,7093489,'1',103,'N'),(28,7093497,'1',654,'N'),(28,7093500,'1',9,'N'),(28,7093527,'1',238,'N'),(28,7093527,'1A',652,'N'),(28,7093535,'1',103,'N'),(28,7093543,'1',233,'N'),(28,7093543,'1A',203,'N'),(28,7093551,'1',103,'N'),(28,7093560,'1',552,'N'),(28,7093586,'1',425,'N'),(28,7093586,'1A',424,'N'),(28,7093594,'1',104,'N'),(28,7093608,'1',103,'N'),(28,7093616,'1',999,'N'),(28,7093624,'1',103,'N'),(28,7093632,'1',103,'N'),(28,7093640,'1',203,'N'),(28,7093640,'1A',220,'N'),(28,7093675,'1',319,'N'),(28,7093683,'1',201,'N'),(28,7093683,'1A',207,'N'),(28,7093691,'1',103,'N'),(28,7093713,'1',207,'N'),(28,7093713,'1A',653,'N'),(28,7093730,'1',220,'N'),(28,7093748,'1',103,'N'),(28,7093756,'1',316,'N'),(28,7093764,'1',108,'N'),(28,7093772,'1',103,'N'),(28,7093780,'1',104,'N'),(28,7093799,'1',103,'N'),(28,7093802,'1',201,'N'),(28,7093810,'1',203,'N'),(28,7093810,'1A',202,'N'),(28,7093829,'1',339,'N'),(28,7093837,'1',103,'N'),(28,7093845,'1',108,'N'),(28,7093853,'1',310,'N'),(28,7093870,'1',201,'N'),(28,7093870,'1A',216,'N'),(28,7093888,'1',601,'N'),(28,7093896,'1',103,'N'),(28,7093900,'1',501,'N'),(28,7093926,'1',102,'N'),(28,7093934,'1',454,'N'),(28,7093969,'1',211,'N'),(28,7093969,'1A',653,'N'),(28,7093993,'1',103,'N'),(28,7094027,'1',103,'N'),(28,7094035,'1',9,'N'),(28,7094043,'1',201,'N'),(28,7094043,'1A',233,'N'),(28,7094051,'1',3,'N'),(28,7094060,'1',552,'N'),(28,7094078,'1',309,'N'),(28,7094086,'1',202,'N'),(28,7094086,'1A',235,'N'),(28,7094094,'1',318,'N'),(28,7094116,'1',103,'N'),(28,7094124,'1',319,'N'),(28,7094132,'1',320,'N'),(28,7094159,'1',102,'N'),(28,7094167,'1',310,'N'),(28,7094175,'1',203,'N'),(28,7094175,'1A',601,'N'),(28,7094205,'1',502,'N'),(28,7094213,'1',339,'N'),(28,7094230,'1',601,'N'),(28,7094248,'1',238,'N'),(28,7094248,'1A',235,'N'),(28,7094256,'1',5,'N'),(28,7094264,'1',317,'N'),(28,7094272,'1',601,'N'),(28,7094272,'1A',216,'N'),(28,7094280,'1',104,'N'),(28,7094299,'1',999,'N'),(28,7094310,'1',103,'N'),(28,7094329,'1',208,'N'),(28,7094337,'1',303,'N'),(28,7094345,'1',501,'N'),(28,7094353,'1',303,'N'),(28,7094361,'1',238,'N'),(28,7094361,'1A',220,'N'),(28,7094370,'1',424,'N'),(28,7094370,'1A',425,'N'),(28,7094388,'1',336,'N'),(28,7094400,'1',101,'N'),(28,7094418,'1',103,'N'),(28,7094426,'1',551,'N'),(28,7094442,'1',110,'N'),(28,7094450,'1',203,'N'),(28,7094450,'1A',214,'N'),(28,7094469,'1',103,'N'),(28,7094477,'1',326,'N'),(28,7094485,'1',108,'N'),(28,7094493,'1',999,'N'),(28,7094507,'1',201,'N'),(28,7094507,'1A',203,'N'),(28,7094523,'1',999,'N'),(28,7094531,'1',999,'N'),(28,7094566,'1',102,'N'),(28,7094574,'1',303,'N'),(28,7094604,'1',215,'N'),(28,7094612,'1',103,'N'),(28,7094620,'1',201,'N'),(28,7094620,'1A',207,'N'),(28,7094647,'1',444,'N'),(28,7094655,'1',103,'N'),(28,7094663,'1',502,'N'),(28,7094671,'1',340,'N'),(28,7094680,'1',207,'N'),(28,7094680,'1A',216,'N'),(28,7094698,'1',3,'N'),(28,7094701,'1',103,'N'),(28,7094710,'1',203,'N'),(28,7094710,'1A',201,'N'),(28,7094728,'1',109,'N'),(28,7094744,'1',103,'N'),(28,7094752,'1',303,'N'),(28,7094760,'1',454,'N'),(28,7094795,'1',415,'N'),(28,7094809,'1',304,'N'),(28,7094817,'1',425,'N'),(28,7094817,'1A',429,'N'),(28,7094841,'1',203,'N'),(28,7094841,'1A',220,'N'),(28,7094850,'1',303,'N'),(28,7094868,'1',201,'N'),(28,7094868,'1A',203,'N'),(28,7094876,'1',333,'N'),(28,7094884,'1',303,'N'),(28,7094892,'1',103,'N'),(28,7094906,'1',5,'N'),(28,7094922,'1',103,'N'),(28,7094930,'1',201,'N'),(28,7094930,'1A',212,'N'),(28,7094965,'1',303,'N'),(28,7094973,'1',216,'N'),(28,7094973,'1A',203,'N'),(28,7094981,'1',444,'N'),(28,7095023,'1',208,'N'),(28,7095040,'1',103,'N'),(28,7095066,'1',201,'N'),(28,7095066,'1A',207,'N'),(28,7095090,'1',103,'N'),(28,7095112,'1',202,'N'),(28,7095112,'1A',220,'N'),(28,7095147,'1',211,'N'),(28,7095147,'1A',238,'N'),(28,7095155,'1',103,'N'),(28,7095163,'1',319,'N'),(28,7095198,'1',220,'N'),(28,7095198,'1A',202,'N'),(28,7095201,'1',201,'N'),(28,7095201,'1A',212,'N'),(28,7095210,'1',104,'N'),(28,7095228,'1',103,'N'),(28,7095244,'1',103,'N'),(28,7095252,'1',301,'N'),(28,7095279,'1',310,'N'),(28,7095287,'1',203,'N'),(28,7095287,'1A',233,'N'),(28,7095295,'1',201,'N'),(28,7095295,'1A',212,'N'),(28,7095317,'1',423,'N'),(28,7095333,'1',302,'N'),(28,7095341,'1',451,'N'),(28,7095350,'1',331,'N'),(28,7095376,'1',103,'N'),(28,7095392,'1',103,'N'),(28,7095406,'1',454,'N'),(28,7095414,'1',103,'N'),(28,7095422,'1',103,'N'),(28,7095430,'1',5,'N'),(28,7095457,'1',303,'N'),(28,7095465,'1',319,'N'),(28,7095473,'1',103,'N'),(28,7095481,'1',214,'N'),(28,7095481,'1A',201,'N'),(28,7095490,'1',103,'N'),(28,7095503,'1',203,'N'),(28,7095503,'1A',214,'N'),(28,7095511,'1',202,'N'),(28,7095511,'1A',235,'N'),(28,7095520,'1',238,'N'),(28,7095520,'1A',215,'N'),(28,7095538,'1',303,'N'),(28,7095546,'1',326,'N'),(28,7095554,'1',454,'N'),(28,7095562,'1',220,'N'),(28,7095562,'1A',202,'N'),(28,7095570,'1',207,'N'),(28,7095589,'1',235,'N'),(28,7095589,'1A',213,'N'),(28,7095619,'1',415,'N'),(28,7095627,'1',103,'N'),(28,7095660,'1',207,'N'),(28,7095660,'1A',201,'N'),(28,7095678,'1',103,'N'),(28,7095686,'1',503,'N'),(28,7095694,'1',103,'N'),(28,7095708,'1',308,'N'),(28,7095732,'1',999,'N'),(28,7095759,'1',216,'N'),(28,7095759,'1A',202,'N'),(28,7095767,'1',333,'N'),(28,7095783,'1',103,'N'),(28,7095791,'1',301,'N'),(28,7095805,'1',454,'N'),(28,7095813,'1',222,'N'),(28,7095821,'1',104,'N'),(28,7095830,'1',450,'N'),(28,7095848,'1',201,'N'),(28,7095848,'1A',202,'N'),(28,7095864,'1',201,'N'),(28,7095864,'1A',202,'N'),(28,7095872,'1',103,'N'),(28,7095880,'1',601,'N'),(28,7095880,'1A',202,'N'),(28,7095902,'1',552,'N'),(28,7095910,'1',103,'N'),(28,7095929,'1',103,'N'),(28,7095945,'1',103,'N'),(28,7095953,'1',103,'N'),(28,7095970,'1',104,'N'),(28,7095988,'1',103,'N'),(28,7095996,'1',203,'N'),(28,7095996,'1A',235,'N'),(28,7096003,'1',655,'N'),(28,7096011,'1',109,'N'),(28,7096020,'1',103,'N'),(28,7096038,'1',211,'N'),(28,7096038,'1A',216,'N'),(28,7096046,'1',202,'N'),(28,7096046,'1A',201,'N'),(28,7096054,'1',103,'N'),(28,7096070,'1',108,'N'),(28,7096089,'1',234,'N'),(28,7096097,'1',103,'N'),(28,7096100,'1',216,'N'),(28,7096100,'1A',215,'N'),(28,7096119,'1',207,'N'),(28,7096119,'1A',653,'N'),(28,7096127,'1',103,'N'),(28,7096135,'1',203,'N'),(28,7096135,'1A',214,'N'),(28,7096151,'1',103,'N'),(28,7096160,'1',208,'N'),(28,7096178,'1',301,'N'),(28,7096186,'1',653,'N'),(28,7096208,'1',103,'N'),(28,7096216,'1',202,'N'),(28,7096216,'1A',238,'N'),(28,7096224,'1',216,'N'),(28,7096224,'1A',215,'N'),(28,7096240,'1',999,'N'),(28,7096267,'1',303,'N'),(28,7096275,'1',317,'N'),(28,7096283,'1',103,'N'),(28,7096305,'1',103,'N'),(28,7096313,'1',9,'N'),(28,7096330,'1',101,'N'),(28,7096348,'1',201,'N'),(28,7096348,'1A',207,'N'),(28,7096356,'1',654,'N'),(28,7096364,'1',319,'N'),(28,7096372,'1',338,'N'),(28,7096380,'1',316,'N'),(28,7096410,'1',9,'N'),(28,7096429,'1',454,'N'),(28,7096437,'1',103,'N'),(28,7096445,'1',303,'N'),(28,7096453,'1',203,'N'),(28,7096453,'1A',220,'N'),(28,7096461,'1',201,'N'),(28,7096461,'1A',203,'N'),(28,7096470,'1',211,'N'),(28,7096470,'1A',216,'N'),(28,7096488,'1',103,'N'),(28,7096496,'1',214,'N'),(28,7096496,'1A',213,'N'),(28,7096526,'1',103,'N'),(28,7096534,'1',203,'N'),(28,7096534,'1A',201,'N'),(28,7096542,'1',103,'N'),(28,7096550,'1',216,'N'),(28,7096550,'1A',211,'N'),(28,7096569,'1',103,'N'),(28,7096593,'1',103,'N'),(28,7096607,'1',999,'N'),(28,7096623,'1',103,'N'),(28,7096631,'1',103,'N'),(28,7096640,'1',103,'N'),(28,7096658,'1',327,'N'),(28,7096674,'1',103,'N'),(28,7096682,'1',601,'N'),(28,7096682,'1A',201,'N'),(28,7096690,'1',104,'N'),(28,7096712,'1',3,'N'),(28,7096720,'1',103,'N'),(28,7096739,'1',5,'N'),(28,7096755,'1',103,'N'),(28,7096771,'1',103,'N'),(28,7096798,'1',103,'N'),(28,7096801,'1',415,'N'),(28,7096810,'1',103,'N'),(28,7096828,'1',103,'N'),(28,7096836,'1',999,'N'),(28,7096844,'1',303,'N'),(28,7096852,'1',202,'N'),(28,7096852,'1A',201,'N'),(28,7096879,'1',235,'N'),(28,7096879,'1A',653,'N'),(28,7096887,'1',999,'N'),(28,7096909,'1',333,'N'),(28,7096917,'1',552,'N'),(28,7096933,'1',201,'N'),(28,7096933,'1A',211,'N'),(28,7096941,'1',211,'N'),(28,7096941,'1A',212,'N'),(28,7096950,'1',103,'N'),(28,7096976,'1',340,'N'),(28,7096984,'1',103,'N'),(28,7097018,'1',207,'N'),(28,7097018,'1A',201,'N'),(28,7097026,'1',103,'N'),(28,7097042,'1',220,'N'),(28,7097042,'1A',202,'N'),(28,7097050,'1',103,'N'),(28,7097069,'1',317,'N'),(28,7097077,'1',208,'N'),(28,7097093,'1',301,'N'),(28,7097107,'1',203,'N'),(28,7097107,'1A',214,'N'),(28,7097115,'1',317,'N'),(28,7097123,'1',103,'N'),(28,7097140,'1',207,'N'),(28,7097140,'1A',201,'N'),(28,7097158,'1',999,'N'),(28,7097166,'1',319,'N'),(28,7097174,'1',104,'N'),(28,7097190,'1',104,'N'),(28,7097204,'1',999,'N'),(28,7097212,'1',601,'N'),(28,7097212,'1A',203,'N'),(28,7097220,'1',103,'N'),(28,7097239,'1',303,'N'),(28,7097263,'1',201,'N'),(28,7097263,'1A',212,'N'),(28,7097271,'1',339,'N'),(28,7097280,'1',303,'N'),(28,7097298,'1',501,'N'),(28,7097301,'1',999,'N'),(28,7097310,'1',424,'N'),(28,7097310,'1A',427,'N'),(28,7097336,'1',103,'N'),(28,7097344,'1',303,'N'),(28,7097352,'1',216,'N'),(28,7097379,'1',103,'N'),(28,7097387,'1',103,'N'),(28,7097395,'1',235,'N'),(28,7097395,'1A',202,'N'),(28,7097409,'1',999,'N'),(28,7097425,'1',301,'N'),(28,7097433,'1',207,'N'),(28,7097433,'1A',201,'N'),(28,7097441,'1',208,'N'),(28,7097450,'1',303,'N'),(28,7097468,'1',220,'N'),(28,7097468,'1A',601,'N'),(28,7097476,'1',103,'N'),(28,7097484,'1',552,'N'),(28,7097492,'1',309,'N'),(28,7097506,'1',450,'N'),(28,7097514,'1',103,'N'),(28,7097522,'1',444,'N'),(28,7097530,'1',303,'N'),(28,7097549,'1',429,'N'),(28,7097549,'1A',428,'N'),(28,7097557,'1',201,'N'),(28,7097557,'1A',203,'N'),(28,7097565,'1',415,'N'),(28,7097573,'1',320,'N'),(28,7097581,'1',103,'N'),(28,7097590,'1',207,'N'),(28,7097590,'1A',233,'N'),(28,7097603,'1',5,'N'),(28,7097638,'1',202,'N'),(28,7097638,'1A',235,'N'),(28,7097646,'1',101,'N'),(28,7097654,'1',654,'N'),(28,7097670,'1',103,'N'),(28,7097697,'1',303,'N'),(28,7097700,'1',108,'N'),(28,7097719,'1',208,'N'),(28,7097727,'1',201,'N'),(28,7097727,'1A',213,'N'),(28,7097735,'1',552,'N'),(28,7097743,'1',336,'N'),(28,7097760,'1',103,'N'),(28,7097786,'1',103,'N'),(28,7097794,'1',415,'N'),(28,7097808,'1',103,'N'),(28,7097816,'1',104,'N'),(28,7097824,'1',303,'N'),(28,7097832,'1',233,'N'),(28,7097832,'1A',201,'N'),(28,7097859,'1',319,'N'),(28,7097867,'1',103,'N'),(28,7097875,'1',202,'N'),(28,7097875,'1A',655,'N'),(28,7097883,'1',103,'N'),(28,7097905,'1',303,'N'),(28,7097921,'1',340,'N'),(28,7097948,'1',303,'N'),(28,7097956,'1',207,'N'),(28,7097956,'1A',211,'N'),(28,7097972,'1',216,'N'),(28,7097972,'1A',211,'N'),(28,7097980,'1',103,'N'),(28,7097999,'1',340,'N'),(28,7098006,'1',303,'N'),(28,7098014,'1',109,'N'),(28,7098022,'1',303,'N'),(28,7098030,'1',303,'N'),(28,7098049,'1',207,'N'),(28,7098049,'1A',601,'N'),(28,7098057,'1',203,'N'),(28,7098057,'1A',201,'N'),(28,7098065,'1',103,'N'),(28,7098090,'1',214,'N'),(28,7098090,'1A',212,'N'),(28,7098103,'1',415,'N'),(28,7098111,'1',208,'N'),(28,7098120,'1',103,'N'),(28,7098138,'1',215,'N'),(28,7098138,'1A',216,'N'),(28,7098146,'1',999,'N'),(28,7098154,'1',235,'N'),(28,7098154,'1A',220,'N'),(28,7098162,'1',999,'N'),(28,7098189,'1',103,'N'),(28,7098197,'1',103,'N'),(28,7098219,'1',318,'N'),(28,7098235,'1',103,'N'),(28,7098251,'1',202,'N'),(28,7098251,'1A',213,'N'),(28,7098260,'1',213,'N'),(28,7098260,'1A',214,'N'),(28,7098278,'1',207,'N'),(28,7098278,'1A',201,'N'),(28,7098286,'1',211,'N'),(28,7098286,'1A',201,'N'),(28,7098308,'1',203,'N'),(28,7098308,'1A',220,'N'),(28,7098324,'1',203,'N'),(28,7098324,'1A',214,'N'),(28,7098332,'1',103,'N'),(28,7098340,'1',238,'N'),(28,7098340,'1A',202,'N'),(28,7098367,'1',340,'N'),(28,7098383,'1',454,'N'),(28,7098391,'1',216,'N'),(28,7098391,'1A',201,'N'),(28,7098413,'1',5,'N'),(28,7098421,'1',201,'N'),(28,7098421,'1A',212,'N'),(28,7098430,'1',303,'N'),(28,7098448,'1',103,'N'),(28,7098456,'1',3,'N'),(28,7098464,'1',301,'N'),(28,7098480,'1',5,'N'),(28,7098499,'1',552,'N'),(28,7098502,'1',404,'N'),(28,7098510,'1',501,'N'),(28,7098529,'1',339,'N'),(28,7098545,'1',203,'N'),(28,7098545,'1A',214,'N'),(28,7098553,'1',340,'N'),(28,7098561,'1',103,'N'),(28,7098570,'1',103,'N'),(28,7098596,'1',104,'N'),(28,7098618,'1',303,'N'),(28,7098634,'1',104,'N'),(28,7098650,'1',316,'N'),(28,7098669,'1',238,'N'),(28,7098669,'1A',233,'N'),(28,7098685,'1',238,'N'),(28,7098685,'1A',220,'N'),(28,7098693,'1',103,'N'),(28,7098723,'1',103,'N'),(28,7098731,'1',103,'N'),(28,7098758,'1',104,'N'),(28,7098766,'1',103,'N'),(28,7098782,'1',201,'N'),(28,7098782,'1A',207,'N'),(28,7098804,'1',238,'N'),(28,7098804,'1A',235,'N'),(28,7098812,'1',5,'N'),(28,7098820,'1',601,'N'),(28,7098820,'1A',201,'N'),(28,7098839,'1',223,'N'),(28,7098847,'1',103,'N'),(28,7098863,'1',103,'N'),(28,7098871,'1',216,'N'),(28,7098871,'1A',653,'N'),(28,7098880,'1',5,'N'),(28,7098898,'1',103,'N'),(28,7098901,'1',207,'N'),(28,7098901,'1A',201,'N'),(28,7098910,'1',103,'N'),(28,7098928,'1',301,'N'),(28,7098936,'1',101,'N'),(28,7098944,'1',203,'N'),(28,7098944,'1A',220,'N'),(28,7098952,'1',103,'N'),(28,7098960,'1',103,'N'),(28,7098979,'1',415,'N'),(28,7098987,'1',9,'N'),(28,7099002,'1',999,'N'),(28,7099010,'1',207,'N'),(28,7099010,'1A',233,'N'),(28,7099029,'1',340,'N'),(28,7099037,'1',999,'N'),(28,7099045,'1',102,'N'),(28,7099053,'1',103,'N'),(28,7099061,'1',103,'N'),(28,7099070,'1',103,'N'),(28,7099088,'1',653,'N'),(28,7099088,'1A',201,'N'),(28,7099096,'1',103,'N'),(28,7099100,'1',103,'N'),(28,7099118,'1',201,'N'),(28,7099118,'1A',212,'N'),(28,7099134,'1',203,'N'),(28,7099134,'1A',214,'N'),(28,7099150,'1',216,'N'),(28,7099150,'1A',215,'N'),(28,7099169,'1',203,'N'),(28,7099169,'1A',214,'N'),(28,7099177,'1',103,'N'),(28,7099193,'1',216,'N'),(28,7099193,'1A',202,'N'),(28,7099207,'1',104,'N'),(28,7099215,'1',454,'N'),(28,7099240,'1',211,'N'),(28,7099240,'1A',233,'N'),(28,7099266,'1',103,'N'),(28,7099274,'1',441,'N'),(28,7099290,'1',103,'N'),(28,7099304,'1',5,'N'),(28,7099320,'1',102,'N'),(28,7099339,'1',216,'N'),(28,7099339,'1A',215,'N'),(28,7099347,'1',208,'N'),(28,7099363,'1',216,'N'),(28,7099363,'1A',201,'N'),(28,7099371,'1',103,'N'),(28,7099380,'1',319,'N'),(28,7099398,'1',103,'N'),(28,7099401,'1',201,'N'),(28,7099401,'1A',202,'N'),(28,7099410,'1',301,'N'),(28,7099428,'1',103,'N'),(28,7099436,'1',103,'N'),(28,7099444,'1',103,'N'),(28,7099452,'1',501,'N'),(28,7099460,'1',103,'N'),(28,7099479,'1',501,'N'),(28,7099487,'1',203,'N'),(28,7099487,'1A',214,'N'),(28,7099495,'1',103,'N'),(28,7099509,'1',104,'N'),(28,7099517,'1',103,'N'),(28,7099533,'1',213,'N'),(28,7099533,'1A',214,'N'),(28,7099541,'1',201,'N'),(28,7099541,'1A',212,'N'),(28,7099550,'1',216,'N'),(28,7099568,'1',203,'N'),(28,7099568,'1A',233,'N'),(28,7099576,'1',104,'N'),(28,7099584,'1',552,'N'),(28,7099592,'1',654,'N'),(28,7099606,'1',999,'N'),(28,7099614,'1',316,'N'),(28,7099622,'1',5,'N'),(28,7099649,'1',202,'N'),(28,7099649,'1A',238,'N'),(28,7099665,'1',238,'N'),(28,7099665,'1A',653,'N'),(28,7099673,'1',103,'N'),(28,7099681,'1',425,'N'),(28,7099690,'1',103,'N'),(28,7099703,'1',207,'N'),(28,7099703,'1A',201,'N'),(28,7099711,'1',9,'N'),(28,7099738,'1',503,'N'),(28,7099746,'1',202,'N'),(28,7099746,'1A',235,'N'),(28,7099754,'1',203,'N'),(28,7099762,'1',103,'N'),(28,7099770,'1',103,'N'),(28,7099789,'1',415,'N'),(28,7099797,'1',601,'N'),(28,7099797,'1A',207,'N'),(28,7099800,'1',212,'N'),(28,7099800,'1A',211,'N'),(28,7099819,'1',303,'N'),(28,7099827,'1',303,'N'),(28,7099843,'1',327,'N'),(28,7099851,'1',5,'N'),(28,7099860,'1',340,'N'),(28,7099878,'1',103,'N'),(28,7099894,'1',103,'N'),(28,7099908,'1',999,'N'),(28,7099916,'1',104,'N'),(28,7099924,'1',5,'N'),(28,7099932,'1',601,'N'),(28,7099932,'1A',203,'N'),(28,7099940,'1',340,'N'),(28,7099959,'1',207,'N'),(28,7099959,'1A',212,'N'),(28,7099975,'1',203,'N'),(28,7099983,'1',215,'N'),(28,7099983,'1A',216,'N'),(28,7100000,'1',340,'N'),(28,7100019,'1',319,'N'),(28,7100027,'1',103,'N'),(28,7100043,'1',203,'N'),(28,7100043,'1A',233,'N'),(28,7100051,'1',211,'N'),(28,7100051,'1A',213,'N'),(28,7100060,'1',999,'N'),(28,7100078,'1',108,'N'),(28,7100086,'1',440,'N'),(28,7100094,'1',103,'N'),(28,7100108,'1',208,'N'),(28,7100116,'1',103,'N'),(28,7100124,'1',317,'N'),(28,7100132,'1',104,'N'),(28,7100140,'1',103,'N'),(28,7100159,'1',102,'N'),(28,7100167,'1',108,'N'),(28,7100175,'1',207,'N'),(28,7100183,'1',102,'N'),(28,7100191,'1',103,'N'),(28,7100205,'1',103,'N'),(28,7100213,'1',103,'N'),(28,7100230,'1',103,'N'),(28,7100248,'1',5,'N'),(28,7100256,'1',303,'N'),(28,7100272,'1',203,'N'),(28,7100272,'1A',601,'N'),(28,7100280,'1',302,'N'),(28,7100299,'1',444,'N'),(28,7100302,'1',225,'N'),(28,7100310,'1',103,'N'),(28,7100329,'1',317,'N'),(28,7100353,'1',502,'N'),(28,7100361,'1',340,'N'),(28,7100370,'1',999,'N'),(28,7100388,'1',103,'N'),(28,7100396,'1',103,'N'),(28,7100400,'1',103,'N'),(28,7100418,'1',207,'N'),(28,7100418,'1A',201,'N'),(28,7100426,'1',103,'N'),(28,7100434,'1',103,'N'),(28,7100442,'1',104,'N'),(28,7100450,'1',654,'N'),(28,7100469,'1',301,'N'),(28,7100477,'1',102,'N'),(28,7100485,'1',103,'N'),(28,7100493,'1',238,'N'),(28,7100493,'1A',201,'N'),(28,7100507,'1',103,'N'),(28,7100515,'1',103,'N'),(28,7100523,'1',207,'N'),(28,7100531,'1',103,'N'),(28,7100540,'1',104,'N'),(28,7100558,'1',454,'N'),(28,7100566,'1',103,'N'),(28,7100574,'1',201,'N'),(28,7100582,'1',103,'N'),(28,7100590,'1',103,'N'),(28,7100612,'1',201,'N'),(28,7100612,'1A',212,'N'),(28,7100620,'1',653,'N'),(28,7100620,'1A',201,'N'),(28,7100639,'1',203,'N'),(28,7100639,'1A',202,'N'),(28,7100647,'1',653,'N'),(28,7100647,'1A',216,'N'),(28,7100663,'1',301,'N'),(28,7100671,'1',203,'N'),(28,7100671,'1A',214,'N'),(28,7100680,'1',215,'N'),(28,7100680,'1A',220,'N'),(28,7100698,'1',319,'N'),(28,7100701,'1',303,'N'),(28,7100710,'1',103,'N'),(28,7100728,'1',302,'N'),(28,7100752,'1',103,'N'),(28,7100760,'1',999,'N'),(28,7100779,'1',5,'N'),(28,7100787,'1',9,'N'),(28,7100795,'1',211,'N'),(28,7100795,'1A',213,'N'),(28,7100817,'1',103,'N'),(28,7100825,'1',203,'N'),(28,7100825,'1A',214,'N'),(28,7100841,'1',340,'N'),(28,7100850,'1',328,'N'),(28,7100876,'1',103,'N'),(28,7100884,'1',103,'N'),(28,7100892,'1',454,'N'),(28,7100914,'1',331,'N'),(28,7100922,'1',103,'N'),(28,7100930,'1',214,'N'),(28,7100930,'1A',652,'N'),(28,7100949,'1',9,'N'),(28,7100957,'1',101,'N'),(28,7100973,'1',316,'N'),(28,7100981,'1',207,'N'),(28,7100981,'1A',215,'N'),(28,7100990,'1',999,'N'),(28,7101007,'1',103,'N'),(28,7101015,'1',103,'N'),(28,7101023,'1',333,'N'),(28,7101031,'1',103,'N'),(28,7101040,'1',501,'N'),(28,7101058,'1',103,'N'),(28,7101066,'1',340,'N'),(28,7101074,'1',5,'N'),(28,7101082,'1',310,'N'),(28,7101090,'1',207,'N'),(28,7101090,'1A',201,'N'),(28,7101112,'1',207,'N'),(28,7101112,'1A',211,'N'),(28,7101120,'1',216,'N'),(28,7101120,'1A',215,'N'),(28,7101139,'1',201,'N'),(28,7101139,'1A',212,'N'),(28,7101147,'1',9,'N'),(28,7101155,'1',303,'N'),(28,7101163,'1',207,'N'),(28,7101163,'1A',201,'N'),(28,7101171,'1',202,'N'),(28,7101171,'1A',213,'N'),(28,7101180,'1',404,'N'),(28,7101198,'1',203,'N'),(28,7101198,'1A',214,'N'),(28,7101201,'1',501,'N'),(28,7101210,'1',999,'N'),(28,7101228,'1',331,'N'),(28,7101236,'1',103,'N'),(28,7101244,'1',999,'N'),(28,7101252,'1',103,'N'),(28,7101260,'1',108,'N'),(28,7101279,'1',103,'N'),(28,7101287,'1',207,'N'),(28,7101287,'1A',215,'N'),(28,7101295,'1',302,'N'),(28,7101309,'1',207,'N'),(28,7101309,'1A',211,'N'),(28,7101317,'1',999,'N'),(28,7101325,'1',103,'N'),(28,7101333,'1',5,'N'),(28,7101341,'1',103,'N'),(28,7101350,'1',999,'N'),(28,7101368,'1',202,'N'),(28,7101368,'1A',220,'N'),(28,7101376,'1',319,'N'),(28,7101384,'1',214,'N'),(28,7101384,'1A',212,'N'),(28,7101406,'1',320,'N'),(28,7101414,'1',104,'N'),(28,7101430,'1',207,'N'),(28,7101430,'1A',201,'N'),(28,7101449,'1',454,'N'),(28,7101457,'1',340,'N'),(28,7101465,'1',238,'N'),(28,7101465,'1A',220,'N'),(28,7101473,'1',316,'N'),(28,7101490,'1',216,'N'),(28,7101511,'1',601,'N'),(28,7101520,'1',303,'N'),(28,7101538,'1',201,'N'),(28,7101538,'1A',653,'N'),(28,7101554,'1',211,'N'),(28,7101554,'1A',234,'S'),(28,7101570,'1',220,'N'),(28,7101570,'1A',233,'N'),(28,7101589,'1',501,'N'),(28,7101597,'1',302,'N'),(28,7101600,'1',316,'N'),(28,7101619,'1',304,'N'),(28,7101627,'1',101,'N'),(28,7101635,'1',103,'N'),(28,7101643,'1',9,'N'),(28,7101651,'1',999,'N'),(28,7101660,'1',216,'N'),(28,7101660,'1A',212,'N'),(28,7101678,'1',303,'N'),(28,7101686,'1',425,'N'),(28,7101686,'1A',429,'N'),(28,7101716,'1',208,'N'),(28,7101724,'1',103,'N'),(28,7101732,'1',340,'N'),(28,7101740,'1',317,'N'),(28,7101767,'1',454,'N'),(28,7101775,'1',208,'N'),(28,7101783,'1',309,'N'),(28,7101791,'1',102,'N'),(28,7101805,'1',303,'N'),(28,7101813,'1',654,'N'),(28,7101821,'1',303,'N'),(28,7101848,'1',103,'N'),(28,7101864,'1',5,'N'),(28,7101899,'1',103,'N'),(28,7101902,'1',207,'N'),(28,7101910,'1',216,'N'),(28,7101910,'1A',233,'N'),(28,7101929,'1',233,'N'),(28,7101929,'1A',653,'N'),(28,7101937,'1',552,'N'),(28,7101945,'1',103,'N'),(28,7101953,'1',220,'N'),(28,7101953,'1A',203,'N'),(28,7101961,'1',104,'N'),(28,7101988,'1',340,'N'),(28,7102011,'1',203,'N'),(28,7102011,'1A',214,'N'),(28,7102020,'1',303,'N'),(28,7102038,'1',103,'N'),(28,7102046,'1',999,'N'),(28,7102054,'1',5,'N'),(28,7102089,'1',601,'N'),(28,7102119,'1',103,'N'),(28,7102127,'1',303,'N'),(28,7102135,'1',303,'N'),(28,7102143,'1',454,'N'),(28,7102151,'1',201,'N'),(28,7102151,'1A',212,'N'),(28,7102160,'1',421,'N'),(28,7102160,'1A',424,'N'),(28,7102178,'1',9,'N'),(28,7102186,'1',103,'N'),(28,7102194,'1',103,'N'),(28,7102216,'1',5,'N'),(28,7102224,'1',9,'N'),(28,7102232,'1',207,'N'),(28,7102232,'1A',201,'N'),(28,7102240,'1',415,'N'),(28,7102275,'1',235,'N'),(28,7102275,'1A',202,'N'),(28,7102283,'1',216,'N'),(28,7102283,'1A',202,'N'),(28,7102291,'1',451,'N'),(28,7102305,'1',319,'N'),(28,7102313,'1',103,'N'),(28,7102330,'1',301,'N'),(28,7102348,'1',5,'N'),(28,7102356,'1',103,'N'),(28,7102364,'1',201,'N'),(28,7102364,'1A',212,'N'),(28,7102372,'1',3,'N'),(28,7102380,'1',103,'N'),(28,7102399,'1',999,'N'),(28,7102410,'1',103,'N'),(28,7102429,'1',5,'N'),(28,7102445,'1',215,'N'),(28,7102445,'1A',216,'N'),(28,7102453,'1',328,'N'),(28,7102461,'1',303,'N'),(28,7102470,'1',201,'N'),(28,7102470,'1A',214,'N'),(28,7102488,'1',211,'N'),(28,7102488,'1A',215,'N'),(28,7102496,'1',207,'N'),(28,7102496,'1A',201,'N'),(28,7102500,'1',454,'N'),(28,7102526,'1',454,'N'),(28,7102534,'1',201,'N'),(28,7102534,'1A',202,'N'),(28,7102542,'1',502,'N'),(28,7102550,'1',201,'N'),(28,7102550,'1A',601,'N'),(28,7102569,'1',216,'N'),(28,7102569,'1A',211,'N'),(28,7102577,'1',203,'N'),(28,7102577,'1A',653,'N'),(28,7102585,'1',202,'N'),(28,7102585,'1A',235,'N'),(28,7102593,'1',451,'N'),(28,7102607,'1',238,'N'),(28,7102607,'1A',201,'N'),(28,7102615,'1',415,'N'),(28,7102623,'1',205,'N'),(28,7102631,'1',319,'N'),(28,7102640,'1',103,'N'),(28,7102658,'1',233,'N'),(28,7102658,'1A',601,'N'),(28,7102666,'1',999,'N'),(28,7102674,'1',202,'N'),(28,7102674,'1A',235,'N'),(28,7102690,'1',301,'N'),(28,7102704,'1',454,'N'),(28,7102712,'1',207,'N'),(28,7102712,'1A',211,'N'),(28,7102720,'1',103,'N'),(28,7102739,'1',215,'N'),(28,7102739,'1A',216,'N'),(28,7102747,'1',202,'N'),(28,7102747,'1A',216,'N'),(28,7102755,'1',552,'N'),(28,7102763,'1',327,'N'),(28,7102771,'1',454,'N'),(28,7102780,'1',552,'N'),(28,7102798,'1',103,'N'),(28,7102801,'1',333,'N'),(28,7102828,'1',601,'N'),(28,7102828,'1A',207,'N'),(28,7102844,'1',601,'N'),(28,7102844,'1A',203,'N'),(28,7102852,'1',653,'N'),(28,7102852,'1A',655,'N'),(28,7102860,'1',317,'N'),(28,7102879,'1',316,'N'),(28,7102887,'1',552,'N'),(28,7102909,'1',103,'N'),(28,7102925,'1',201,'N'),(28,7102925,'1A',233,'N'),(28,7102933,'1',316,'N'),(28,7102941,'1',201,'N'),(28,7102941,'1A',203,'N'),(28,7102950,'1',103,'N'),(28,7102968,'1',104,'N'),(28,7102976,'1',214,'N'),(28,7102976,'1A',213,'N'),(28,7102984,'1',103,'N'),(28,7102992,'1',302,'N'),(28,7103000,'1',415,'N'),(28,7103018,'1',9,'N'),(28,7103026,'1',207,'N'),(28,7103034,'1',220,'N'),(28,7103034,'1A',653,'N'),(28,7103042,'1',653,'N'),(28,7103042,'1A',655,'N'),(28,7103050,'1',103,'N'),(28,7103069,'1',103,'N'),(28,7103077,'1',340,'N'),(28,7103085,'1',214,'N'),(28,7103085,'1A',212,'N'),(28,7103093,'1',303,'N'),(28,7103107,'1',999,'N'),(28,7103115,'1',238,'N'),(28,7103115,'1A',201,'N'),(28,7103123,'1',201,'N'),(28,7103123,'1A',212,'N'),(28,7103131,'1',428,'N'),(28,7103131,'1A',425,'N'),(28,7103140,'1',316,'N'),(28,7103158,'1',3,'N'),(28,7103166,'1',211,'N'),(28,7103166,'1A',216,'N'),(28,7103174,'1',319,'N'),(28,7103182,'1',340,'N'),(28,7103190,'1',103,'N'),(28,7103212,'1',203,'N'),(28,7103212,'1A',653,'N'),(28,7103239,'1',207,'N'),(28,7103239,'1A',201,'N'),(28,7103247,'1',324,'N'),(28,7103255,'1',454,'N'),(28,7103263,'1',302,'N'),(28,7103271,'1',212,'N'),(28,7103271,'1A',233,'N'),(28,7103298,'1',318,'N'),(28,7103301,'1',207,'N'),(28,7103310,'1',214,'N'),(28,7103310,'1A',213,'N'),(28,7103328,'1',201,'N'),(28,7103328,'1A',203,'N'),(28,7103344,'1',451,'N'),(28,7103352,'1',207,'N'),(28,7103352,'1A',201,'N'),(28,7103360,'1',201,'N'),(28,7103360,'1A',202,'N'),(28,7103379,'1',201,'N'),(28,7103379,'1A',203,'N'),(28,7103387,'1',108,'N'),(28,7103395,'1',340,'N'),(28,7103409,'1',103,'N'),(28,7103417,'1',212,'N'),(28,7103417,'1A',601,'N'),(28,7103425,'1',304,'N'),(28,7103433,'1',303,'N'),(28,7103441,'1',103,'N'),(28,7103450,'1',552,'N'),(28,7103476,'1',340,'N'),(28,7103484,'1',103,'N'),(28,7103492,'1',216,'N'),(28,7103492,'1A',215,'N'),(28,7103506,'1',302,'N'),(28,7103514,'1',101,'N'),(28,7103522,'1',415,'N'),(28,7103530,'1',9,'N'),(28,7103549,'1',303,'N'),(28,7103565,'1',103,'N'),(28,7103573,'1',104,'N'),(28,7103581,'1',104,'N'),(28,7103590,'1',423,'N'),(28,7103590,'1A',428,'N'),(28,7103603,'1',9,'N'),(28,7103611,'1',103,'N'),(28,7103620,'1',552,'N'),(28,7103638,'1',501,'N'),(28,7103646,'1',104,'N'),(28,7103654,'1',103,'N'),(28,7103662,'1',340,'N'),(28,7103670,'1',9,'N'),(28,7103689,'1',551,'N'),(28,7103697,'1',332,'N'),(28,7103700,'1',552,'N'),(28,7103719,'1',216,'N'),(28,7103719,'1A',211,'N'),(28,7103727,'1',207,'N'),(28,7103727,'1A',238,'N'),(28,7103735,'1',103,'N'),(28,7103743,'1',303,'N'),(28,7103751,'1',103,'N'),(28,7103760,'1',999,'N'),(28,7103786,'1',201,'N'),(28,7103794,'1',444,'N'),(28,7103816,'1',215,'N'),(28,7103816,'1A',653,'N'),(28,7103824,'1',201,'N'),(28,7103824,'1A',207,'N'),(28,7103832,'1',103,'N'),(28,7103840,'1',103,'N'),(28,7103859,'1',211,'N'),(28,7103859,'1A',216,'N'),(28,7103867,'1',203,'N'),(28,7103867,'1A',220,'N'),(28,7103875,'1',216,'N'),(28,7103875,'1A',215,'N'),(28,7103883,'1',207,'N'),(28,7103883,'1A',201,'N'),(28,7103891,'1',103,'N'),(28,7103905,'1',103,'N'),(28,7103913,'1',653,'N'),(28,7103913,'1A',202,'N'),(28,7103921,'1',303,'N'),(28,7103930,'1',212,'N'),(28,7103930,'1A',211,'N'),(28,7103948,'1',303,'N'),(28,7103956,'1',301,'N'),(28,7103972,'1',103,'N'),(28,7103980,'1',454,'N'),(28,7103999,'1',340,'N'),(28,7104006,'1',454,'N'),(28,7104014,'1',601,'N'),(28,7104014,'1A',207,'N'),(28,7104022,'1',5,'N'),(28,7104030,'1',104,'N'),(28,7104049,'1',104,'N'),(28,7104057,'1',655,'N'),(28,7104065,'1',216,'N'),(28,7104065,'1A',201,'N'),(28,7104081,'1',5,'N'),(28,7104090,'1',201,'N'),(28,7104090,'1A',212,'N'),(28,7104111,'1',102,'N'),(28,7104120,'1',454,'N'),(28,7104138,'1',303,'N'),(28,7104146,'1',999,'N'),(28,7104154,'1',303,'N'),(28,7104162,'1',103,'N'),(28,7104170,'1',316,'N'),(28,7104189,'1',5,'N'),(28,7104197,'1',103,'N'),(28,7104200,'1',103,'N'),(28,7104219,'1',327,'N'),(28,7104227,'1',103,'N'),(28,7104235,'1',103,'N'),(28,7104243,'1',216,'N'),(28,7104243,'1A',202,'N'),(28,7104251,'1',303,'N'),(28,7104260,'1',203,'N'),(28,7104260,'1A',235,'N'),(28,7104278,'1',103,'N'),(28,7104286,'1',233,'N'),(28,7104286,'1A',211,'N'),(28,7104308,'1',103,'N'),(28,7104332,'1',103,'N'),(28,7104340,'1',551,'N'),(28,7104359,'1',303,'N'),(28,7104367,'1',201,'N'),(28,7104367,'1A',212,'N'),(28,7104375,'1',207,'N'),(28,7104375,'1A',212,'N'),(28,7104391,'1',103,'N'),(28,7104413,'1',214,'N'),(28,7104413,'1A',233,'N'),(28,7104430,'1',454,'N'),(28,7104456,'1',316,'N'),(28,7104464,'1',234,'N'),(28,7104480,'1',552,'N'),(28,7104499,'1',103,'N'),(28,7104502,'1',444,'N'),(28,7104510,'1',337,'N'),(28,7104529,'1',303,'N'),(28,7104537,'1',207,'N'),(28,7104537,'1A',201,'N'),(28,7104545,'1',214,'N'),(28,7104545,'1A',212,'N'),(28,7104553,'1',104,'N'),(28,7104561,'1',202,'N'),(28,7104561,'1A',601,'N'),(28,7104570,'1',201,'N'),(28,7104570,'1A',601,'N'),(28,7104588,'1',103,'N'),(28,7104596,'1',103,'N'),(28,7104600,'1',207,'N'),(28,7104600,'1A',211,'N'),(28,7104626,'1',103,'N'),(28,7104634,'1',501,'N'),(28,7104642,'1',202,'N'),(28,7104642,'1A',211,'N'),(28,7104650,'1',108,'N'),(28,7104669,'1',201,'N'),(28,7104677,'1',103,'N'),(28,7104685,'1',215,'N'),(28,7104693,'1',103,'N'),(28,7104707,'1',103,'N'),(28,7104715,'1',103,'N'),(28,7104723,'1',103,'N'),(28,7104740,'1',103,'N'),(28,7104782,'1',103,'N'),(28,7104790,'1',235,'N'),(28,7104790,'1A',202,'N'),(28,7104804,'1',238,'N'),(28,7104804,'1A',203,'N'),(28,7104812,'1',207,'N'),(28,7104812,'1A',201,'N'),(28,7104820,'1',451,'N'),(28,7104839,'1',319,'N'),(28,7104847,'1',212,'N'),(28,7104847,'1A',201,'N'),(28,7104863,'1',201,'N'),(28,7104863,'1A',216,'N'),(28,7104871,'1',316,'N'),(28,7104880,'1',103,'N'),(28,7104910,'1',601,'N'),(28,7104910,'1A',220,'N'),(28,7104928,'1',301,'N'),(28,7104952,'1',110,'N'),(28,7104960,'1',213,'N'),(28,7104960,'1A',653,'N'),(28,7104979,'1',208,'N'),(28,7105002,'1',207,'N'),(28,7105002,'1A',211,'N'),(28,7105010,'1',601,'N'),(28,7105029,'1',216,'N'),(28,7105029,'1A',214,'N'),(28,7105037,'1',340,'N'),(28,7105045,'1',320,'N'),(28,7105053,'1',103,'N'),(28,7105070,'1',207,'N'),(28,7105070,'1A',201,'N'),(28,7105088,'1',201,'N'),(28,7105088,'1A',203,'N'),(28,7105096,'1',103,'N'),(28,7105100,'1',102,'N'),(28,7105118,'1',203,'N'),(28,7105118,'1A',233,'N'),(28,7105126,'1',208,'N'),(28,7105142,'1',336,'N'),(28,7105150,'1',202,'N'),(28,7105150,'1A',214,'N'),(28,7105177,'1',203,'N'),(28,7105177,'1A',214,'N'),(28,7105185,'1',215,'N'),(28,7105193,'1',304,'N'),(28,7105207,'1',303,'N'),(28,7105215,'1',601,'N'),(28,7105215,'1A',201,'N'),(28,7105223,'1',103,'N'),(28,7105231,'1',103,'N'),(28,7105240,'1',103,'N'),(28,7105258,'1',103,'N'),(28,7105266,'1',103,'N'),(28,7105274,'1',303,'N'),(28,7105290,'1',101,'N'),(28,7105312,'1',415,'N'),(28,7105339,'1',301,'N'),(28,7105347,'1',103,'N'),(28,7105355,'1',201,'N'),(28,7105355,'1A',203,'N'),(28,7105363,'1',501,'N'),(28,7105371,'1',238,'N'),(28,7105371,'1A',235,'N'),(28,7105380,'1',102,'N'),(28,7105398,'1',454,'N'),(28,7105401,'1',304,'N'),(28,7105410,'1',103,'N'),(28,7105436,'1',201,'N'),(28,7105436,'1A',207,'N'),(28,7105444,'1',207,'N'),(28,7105444,'1A',212,'N'),(28,7105452,'1',103,'N'),(28,7105460,'1',999,'N'),(28,7105479,'1',207,'N'),(28,7105479,'1A',212,'N'),(28,7105487,'1',454,'N'),(28,7105509,'1',220,'N'),(28,7105509,'1A',202,'N'),(28,7105517,'1',444,'N'),(28,7105525,'1',502,'N'),(28,7105533,'1',103,'N'),(28,7105550,'1',454,'N'),(28,7105568,'1',5,'N'),(28,7105576,'1',220,'N'),(28,7105592,'1',207,'N'),(28,7105592,'1A',201,'N'),(28,7105606,'1',999,'N'),(28,7105614,'1',444,'N'),(28,7105622,'1',104,'N'),(28,7105649,'1',302,'N'),(28,7105657,'1',201,'N'),(28,7105657,'1A',203,'N'),(28,7105665,'1',9,'N'),(28,7105673,'1',454,'N'),(28,7105703,'1',103,'N'),(28,7105711,'1',220,'N'),(28,7105711,'1A',203,'N'),(28,7105720,'1',201,'N'),(28,7105720,'1A',207,'N'),(28,7105738,'1',238,'N'),(28,7105738,'1A',652,'N'),(28,7105746,'1',201,'N'),(28,7105746,'1A',212,'N'),(28,7105770,'1',999,'N'),(28,7105789,'1',103,'N'),(28,7105797,'1',303,'N'),(28,7105800,'1',201,'N'),(28,7105800,'1A',202,'N'),(28,7105827,'1',316,'N'),(28,7105835,'1',216,'N'),(28,7105835,'1A',233,'N'),(28,7105843,'1',201,'N'),(28,7105851,'1',238,'N'),(28,7105860,'1',109,'N'),(28,7105878,'1',440,'N'),(28,7105886,'1',212,'N'),(28,7105886,'1A',207,'N'),(28,7105894,'1',999,'N'),(28,7105908,'1',104,'N'),(28,7105916,'1',319,'N'),(28,7105924,'1',201,'N'),(28,7105924,'1A',211,'N'),(28,7105932,'1',103,'N'),(28,7105940,'1',103,'N'),(28,7105967,'1',9,'N'),(28,7105991,'1',108,'N'),(28,7106009,'1',201,'N'),(28,7106009,'1A',212,'N'),(28,7106017,'1',103,'N'),(28,7106025,'1',425,'N'),(28,7106025,'1A',429,'N'),(28,7106050,'1',551,'N'),(28,7106068,'1',336,'N'),(28,7106076,'1',103,'N'),(28,7106092,'1',551,'N'),(28,7106106,'1',103,'N'),(28,7106114,'1',104,'N'),(28,7106122,'1',216,'N'),(28,7106122,'1A',235,'N'),(28,7106130,'1',203,'N'),(28,7106130,'1A',202,'N'),(28,7106149,'1',5,'N'),(28,7106165,'1',415,'N'),(28,7106181,'1',444,'N'),(28,7106190,'1',308,'N'),(28,7106203,'1',999,'N'),(28,7106238,'1',999,'N'),(28,7106246,'1',103,'N'),(28,7106254,'1',108,'N'),(28,7106262,'1',9,'N'),(28,7106270,'1',551,'N'),(28,7106297,'1',652,'N'),(28,7106297,'1A',655,'N'),(28,7106300,'1',103,'N'),(28,7106327,'1',103,'N'),(28,7106335,'1',5,'N'),(28,7106343,'1',601,'N'),(28,7106343,'1A',203,'N'),(28,7106351,'1',999,'N'),(28,7106360,'1',238,'N'),(28,7106378,'1',102,'N'),(28,7106394,'1',103,'N'),(28,7106408,'1',203,'N'),(28,7106408,'1A',220,'N'),(28,7106416,'1',552,'N'),(28,7106424,'1',103,'N'),(28,7106432,'1',303,'N'),(28,7106459,'1',404,'N'),(28,7106467,'1',207,'N'),(28,7106475,'1',332,'N'),(28,7106483,'1',425,'N'),(28,7106491,'1',655,'N'),(28,7106491,'1A',203,'N'),(28,7106505,'1',201,'N'),(28,7106505,'1A',212,'N'),(28,7106513,'1',103,'N'),(28,7106530,'1',233,'N'),(28,7106530,'1A',201,'N'),(28,7106548,'1',2,'N'),(28,7106572,'1',319,'N'),(28,7106599,'1',103,'N'),(28,7106602,'1',216,'N'),(28,7106602,'1A',220,'N'),(28,7106610,'1',103,'N'),(28,7106629,'1',103,'N'),(28,7106637,'1',601,'N'),(28,7106645,'1',103,'N'),(28,7106653,'1',101,'N'),(28,7106661,'1',601,'N'),(28,7106661,'1A',653,'N'),(28,7106670,'1',211,'N'),(28,7106670,'1A',215,'N'),(28,7106688,'1',201,'N'),(28,7106688,'1A',212,'N'),(28,7106696,'1',103,'N'),(28,7106700,'1',103,'N'),(28,7106726,'1',201,'N'),(28,7106726,'1A',202,'N'),(28,7106750,'1',303,'N'),(28,7106769,'1',201,'N'),(28,7106769,'1A',233,'N'),(28,7106777,'1',103,'N'),(28,7106785,'1',103,'N'),(28,7106807,'1',234,'N'),(28,7106815,'1',238,'N'),(28,7106815,'1A',220,'N'),(28,7106823,'1',501,'N'),(28,7106831,'1',201,'N'),(28,7106831,'1A',601,'N'),(28,7106858,'1',103,'N'),(28,7106874,'1',216,'N'),(28,7106874,'1A',215,'N'),(28,7106890,'1',5,'N'),(28,7106904,'1',103,'N'),(28,7106939,'1',103,'N'),(28,7106947,'1',215,'N'),(28,7106947,'1A',211,'N'),(28,7106955,'1',207,'N'),(28,7106955,'1A',211,'N'),(28,7106963,'1',319,'N'),(28,7106998,'1',220,'N'),(28,7106998,'1A',202,'N'),(28,7107005,'1',454,'N'),(28,7107013,'1',103,'N'),(28,7107021,'1',212,'N'),(28,7107021,'1A',214,'N'),(28,7107048,'1',203,'N'),(28,7107048,'1A',213,'N'),(28,7107064,'1',238,'N'),(28,7107064,'1A',220,'N'),(28,7107080,'1',103,'N'),(28,7107099,'1',320,'N'),(28,7107110,'1',601,'N'),(28,7107110,'1A',214,'N'),(28,7107129,'1',103,'N'),(28,7107137,'1',103,'N'),(28,7107145,'1',415,'N'),(28,7107153,'1',415,'N'),(28,7107161,'1',103,'N'),(28,7107188,'1',501,'N'),(28,7107196,'1',103,'N'),(28,7107200,'1',655,'N'),(28,7107200,'1A',201,'N'),(28,7107226,'1',501,'N'),(28,7107234,'1',316,'N'),(28,7107242,'1',303,'N'),(28,7107250,'1',208,'N'),(28,7107277,'1',203,'N'),(28,7107277,'1A',220,'N'),(28,7107285,'1',235,'N'),(28,7107285,'1A',202,'N'),(28,7107293,'1',104,'N'),(28,7107307,'1',331,'N'),(28,7107340,'1',501,'N'),(28,7107374,'1',310,'N'),(28,7107382,'1',601,'N'),(28,7107390,'1',201,'N'),(28,7107390,'1A',207,'N'),(28,7107404,'1',652,'N'),(28,7107404,'1A',655,'N'),(28,7107439,'1',601,'N'),(28,7107439,'1A',213,'N'),(28,7107447,'1',308,'N'),(28,7107455,'1',103,'N'),(28,7107463,'1',109,'N'),(28,7107471,'1',5,'N'),(28,7107480,'1',454,'N'),(28,7107501,'1',501,'N'),(28,7107510,'1',404,'N'),(28,7107552,'1',110,'N'),(28,7107560,'1',551,'N'),(28,7107587,'1',601,'N'),(28,7107587,'1A',211,'N'),(28,7107609,'1',324,'N'),(28,7107617,'1',9,'N'),(28,7107625,'1',103,'N'),(28,7107633,'1',222,'N'),(28,7107641,'1',208,'N'),(28,7107668,'1',211,'N'),(28,7107668,'1A',215,'N'),(28,7107676,'1',3,'N'),(28,7107706,'1',328,'N'),(28,7107714,'1',201,'N'),(28,7107749,'1',212,'N'),(28,7107749,'1A',653,'N'),(28,7107757,'1',302,'N'),(28,7107765,'1',203,'N'),(28,7107765,'1A',601,'N'),(28,7107773,'1',317,'N'),(28,7107781,'1',211,'N'),(28,7107781,'1A',238,'N'),(28,7107790,'1',103,'N'),(28,7107811,'1',103,'N'),(28,7107820,'1',318,'N'),(28,7107838,'1',340,'N'),(28,7107846,'1',601,'N'),(28,7107854,'1',233,'N'),(28,7107854,'1A',235,'N'),(28,7107862,'1',103,'N'),(28,7107870,'1',415,'N'),(28,7107889,'1',308,'N'),(28,7107897,'1',5,'N'),(28,7107900,'1',104,'N'),(28,7107935,'1',427,'N'),(28,7107935,'1A',424,'N'),(28,7107943,'1',216,'N'),(28,7107943,'1A',233,'N'),(28,7107951,'1',503,'N'),(28,7107960,'1',238,'N'),(28,7107978,'1',333,'N'),(28,7107986,'1',308,'N'),(28,7108010,'1',102,'N'),(28,7108036,'1',213,'N'),(28,7108036,'1A',233,'N'),(28,7108044,'1',207,'N'),(28,7108044,'1A',201,'N'),(28,7108052,'1',201,'N'),(28,7108052,'1A',212,'N'),(28,7108060,'1',103,'N'),(28,7108079,'1',318,'N'),(28,7108087,'1',5,'N'),(28,7108095,'1',655,'N'),(28,7108095,'1A',653,'N'),(28,7108109,'1',451,'N'),(28,7108117,'1',207,'N'),(28,7108117,'1A',601,'N'),(28,7108125,'1',5,'N'),(28,7108133,'1',302,'N'),(28,7108150,'1',103,'N'),(28,7108184,'1',340,'N'),(28,7108192,'1',652,'N'),(28,7108230,'1',404,'N'),(28,7108249,'1',103,'N'),(28,7108265,'1',103,'N'),(28,7108273,'1',201,'N'),(28,7108273,'1A',207,'N'),(28,7108281,'1',207,'N'),(28,7108281,'1A',211,'N'),(28,7108290,'1',319,'N'),(28,7108303,'1',103,'N'),(28,7108311,'1',207,'N'),(28,7108311,'1A',211,'N'),(28,7108320,'1',220,'N'),(28,7108320,'1A',235,'N'),(28,7108338,'1',655,'N'),(28,7108338,'1A',235,'N'),(28,7108346,'1',212,'N'),(28,7108346,'1A',201,'N'),(28,7108362,'1',211,'N'),(28,7108362,'1A',213,'N'),(28,7108370,'1',316,'N'),(28,7108397,'1',103,'N'),(28,7108419,'1',9,'N'),(28,7108427,'1',203,'N'),(28,7108427,'1A',214,'N'),(28,7108443,'1',328,'N'),(28,7108460,'1',318,'N'),(28,7108478,'1',415,'N'),(28,7108494,'1',216,'N'),(28,7108494,'1A',201,'N'),(28,7108516,'1',327,'N'),(28,7108532,'1',103,'N'),(28,7108540,'1',103,'N'),(28,7108559,'1',104,'N'),(28,7108567,'1',103,'N'),(28,7108575,'1',451,'N'),(28,7108613,'1',552,'N'),(28,7108630,'1',201,'N'),(28,7108630,'1A',601,'N'),(28,7108648,'1',415,'N'),(28,7108656,'1',207,'N'),(28,7108656,'1A',201,'N'),(28,7108664,'1',5,'N'),(28,7108672,'1',303,'N'),(28,7108680,'1',552,'N'),(28,7108702,'1',207,'N'),(28,7108702,'1A',201,'N'),(28,7108710,'1',103,'N'),(28,7108729,'1',333,'N'),(28,7108745,'1',213,'N'),(28,7108745,'1A',601,'N'),(28,7108753,'1',340,'N'),(28,7108761,'1',9,'N'),(28,7108770,'1',303,'N'),(28,7108796,'1',238,'N'),(28,7108796,'1A',652,'N'),(28,7108800,'1',103,'N'),(28,7108818,'1',212,'N'),(28,7108818,'1A',201,'N'),(28,7108834,'1',652,'N'),(28,7108834,'1A',655,'N'),(28,7108850,'1',103,'N'),(28,7108869,'1',108,'N'),(28,7108885,'1',220,'N'),(28,7108885,'1A',235,'N'),(28,7108893,'1',207,'N'),(28,7108893,'1A',201,'N'),(28,7108907,'1',103,'N'),(28,7108915,'1',103,'N'),(28,7108940,'1',601,'N'),(28,7108958,'1',5,'N'),(28,7108974,'1',339,'N'),(28,7108982,'1',203,'N'),(28,7108982,'1A',220,'N'),(28,7108990,'1',109,'N'),(28,7109008,'1',303,'N'),(28,7109024,'1',333,'N'),(28,7109059,'1',202,'N'),(28,7109059,'1A',214,'N'),(28,7109075,'1',3,'N'),(28,7109083,'1',999,'N'),(28,7109113,'1',310,'N'),(28,7109121,'1',103,'N'),(28,7109130,'1',303,'N'),(28,7109148,'1',103,'N'),(28,7109156,'1',207,'N'),(28,7109156,'1A',201,'N'),(28,7109164,'1',552,'N'),(28,7109199,'1',319,'N'),(28,7109210,'1',104,'N'),(28,7109237,'1',234,'N'),(28,7109253,'1',5,'N'),(28,7109261,'1',318,'N'),(28,7109270,'1',415,'N'),(28,7109288,'1',5,'N'),(28,7109296,'1',404,'N'),(28,7109300,'1',108,'N'),(28,7109326,'1',5,'N'),(28,7109350,'1',212,'N'),(28,7109350,'1A',235,'N'),(28,7109369,'1',103,'N'),(28,7109377,'1',201,'N'),(28,7109377,'1A',203,'N'),(28,7109407,'1',203,'N'),(28,7109407,'1A',201,'N'),(28,7109431,'1',103,'N'),(28,7109440,'1',216,'N'),(28,7109440,'1A',233,'N'),(28,7109458,'1',207,'N'),(28,7109458,'1A',212,'N'),(28,7109466,'1',201,'N'),(28,7109466,'1A',203,'N'),(28,7109474,'1',501,'N'),(28,7109490,'1',309,'N'),(28,7109512,'1',103,'N'),(28,7109520,'1',303,'N'),(28,7109539,'1',208,'N'),(28,7109563,'1',415,'N'),(28,7109571,'1',211,'N'),(28,7109580,'1',316,'N'),(28,7109598,'1',104,'N'),(28,7109628,'1',303,'N'),(28,7109636,'1',3,'N'),(28,7109644,'1',326,'N'),(28,7109652,'1',108,'N'),(28,7109660,'1',201,'N'),(28,7109660,'1A',207,'N'),(28,7109709,'1',303,'N'),(28,7109717,'1',336,'N'),(28,7109725,'1',108,'N'),(28,7109733,'1',103,'N'),(28,7109741,'1',454,'N'),(28,7109776,'1',3,'N'),(28,7109784,'1',301,'N'),(28,7109792,'1',203,'N'),(28,7109792,'1A',235,'N'),(28,7109806,'1',5,'N'),(28,7109814,'1',999,'N'),(28,7109822,'1',316,'N'),(28,7109830,'1',211,'N'),(28,7109830,'1A',207,'N'),(28,7109849,'1',103,'N'),(28,7109857,'1',207,'N'),(28,7109857,'1A',201,'N'),(28,7109865,'1',104,'N'),(28,7109873,'1',203,'N'),(28,7109873,'1A',235,'N'),(28,7109881,'1',450,'N'),(28,7109890,'1',212,'N'),(28,7109890,'1A',201,'N'),(28,7109903,'1',201,'N'),(28,7109903,'1A',207,'N'),(28,7109911,'1',203,'N'),(28,7109920,'1',235,'N'),(28,7109938,'1',103,'N'),(28,7109946,'1',103,'N'),(28,7109954,'1',319,'N'),(28,7109962,'1',340,'N'),(28,7109970,'1',203,'N'),(28,7109970,'1A',201,'N'),(28,7109989,'1',450,'N'),(28,7109997,'1',208,'N'),(28,7110006,'1',454,'N'),(28,7110014,'1',301,'N'),(28,7110022,'1',421,'N'),(28,7110022,'1A',424,'N'),(28,7110049,'1',317,'N'),(28,7110057,'1',104,'N'),(28,7110065,'1',201,'N'),(28,7110065,'1A',202,'N'),(28,7110073,'1',103,'N'),(28,7110081,'1',203,'N'),(28,7110090,'1',216,'N'),(28,7110103,'1',404,'N'),(28,7110111,'1',108,'N'),(28,7110138,'1',415,'N'),(28,7110146,'1',203,'N'),(28,7110146,'1A',233,'N'),(28,7110154,'1',303,'N'),(28,7110170,'1',552,'N'),(28,7110189,'1',304,'N'),(28,7110197,'1',203,'N'),(28,7110197,'1A',214,'N'),(28,7110200,'1',426,'N'),(28,7110200,'1A',425,'N'),(28,7110219,'1',340,'N'),(28,7110227,'1',503,'N'),(28,7110235,'1',235,'N'),(28,7110235,'1A',202,'N'),(28,7110243,'1',201,'N'),(28,7110243,'1A',203,'N'),(28,7110251,'1',104,'N'),(28,7110278,'1',425,'N'),(28,7110278,'1A',429,'N'),(28,7110286,'1',104,'N'),(28,7110308,'1',316,'N'),(28,7110324,'1',319,'N'),(28,7110332,'1',103,'N'),(28,7110340,'1',207,'N'),(28,7110340,'1A',201,'N'),(28,7110359,'1',340,'N'),(28,7110367,'1',318,'N'),(28,7110375,'1',5,'N'),(28,7110383,'1',211,'N'),(28,7110383,'1A',207,'N'),(28,7110391,'1',104,'N'),(28,7110405,'1',601,'N'),(28,7110405,'1A',216,'N'),(28,7110413,'1',220,'N'),(28,7110413,'1A',203,'N'),(28,7110421,'1',319,'N'),(28,7110430,'1',308,'N'),(28,7110448,'1',451,'N'),(28,7110456,'1',212,'N'),(28,7110464,'1',319,'N'),(28,7110472,'1',103,'N'),(28,7110480,'1',552,'N'),(28,7110499,'1',103,'N'),(28,7110502,'1',303,'N'),(28,7110510,'1',552,'N'),(28,7110529,'1',340,'N'),(28,7110537,'1',203,'N'),(28,7110537,'1A',220,'N'),(28,7110553,'1',103,'N'),(28,7110570,'1',404,'N'),(28,7110588,'1',103,'N'),(28,7110600,'1',203,'N'),(28,7110600,'1A',601,'N'),(28,7110618,'1',999,'N'),(28,7110626,'1',103,'N'),(28,7110634,'1',201,'N'),(28,7110634,'1A',202,'N'),(28,7110642,'1',109,'N'),(28,7110650,'1',654,'N'),(28,7110677,'1',103,'N'),(28,7110707,'1',9,'N'),(28,7110723,'1',103,'N'),(28,7110731,'1',205,'N'),(28,7110740,'1',213,'N'),(28,7110740,'1A',214,'N'),(28,7110758,'1',103,'N'),(28,7110766,'1',3,'N'),(28,7110774,'1',104,'N'),(28,7110782,'1',319,'N'),(28,7110790,'1',203,'N'),(28,7110790,'1A',653,'N'),(28,7110804,'1',216,'N'),(28,7110804,'1A',215,'N'),(28,7110812,'1',207,'N'),(28,7110812,'1A',201,'N'),(28,7110820,'1',339,'N'),(28,7110839,'1',201,'N'),(28,7110839,'1A',202,'N'),(28,7110847,'1',308,'N'),(28,7110855,'1',103,'N'),(28,7110863,'1',454,'N'),(28,7110871,'1',214,'N'),(28,7110871,'1A',601,'N'),(28,7110880,'1',319,'N'),(28,7110901,'1',316,'N'),(28,7110910,'1',340,'N'),(28,7110928,'1',103,'N'),(28,7110936,'1',327,'N'),(28,7110944,'1',5,'N'),(28,7110952,'1',103,'N'),(28,7110960,'1',655,'N'),(28,7110960,'1A',652,'N'),(28,7110979,'1',552,'N'),(28,7110987,'1',319,'N'),(28,7111002,'1',444,'N'),(28,7111029,'1',415,'N'),(28,7111037,'1',415,'N'),(28,7111045,'1',999,'N'),(28,7111053,'1',103,'N'),(28,7111061,'1',109,'N'),(28,7111070,'1',203,'N'),(28,7111070,'1A',214,'N'),(28,7111088,'1',102,'N'),(28,7111096,'1',653,'N'),(28,7111100,'1',103,'N'),(28,7111118,'1',102,'N'),(28,7111126,'1',201,'N'),(28,7111126,'1A',207,'N'),(28,7111134,'1',203,'N'),(28,7111134,'1A',235,'N'),(28,7111142,'1',303,'N'),(28,7111150,'1',103,'N'),(28,7111169,'1',203,'N'),(28,7111169,'1A',214,'N'),(28,7111177,'1',208,'N'),(28,7111193,'1',454,'N'),(28,7111207,'1',201,'N'),(28,7111207,'1A',212,'N'),(28,7111223,'1',108,'N'),(28,7111231,'1',103,'N'),(28,7111240,'1',103,'N'),(28,7111258,'1',103,'N'),(28,7111266,'1',319,'N'),(28,7111274,'1',103,'N'),(28,7111282,'1',317,'N'),(28,7111290,'1',317,'N'),(28,7111304,'1',652,'N'),(28,7111320,'1',454,'N'),(28,7111347,'1',303,'N'),(28,7111363,'1',103,'N'),(28,7111371,'1',103,'N'),(28,7111398,'1',552,'N'),(28,7111410,'1',444,'N'),(28,7111428,'1',233,'N'),(28,7111428,'1A',215,'N'),(28,7111436,'1',329,'N'),(28,7111444,'1',203,'N'),(28,7111444,'1A',214,'N'),(28,7111452,'1',415,'N'),(28,7111460,'1',454,'N'),(28,7111487,'1',317,'N'),(28,7111495,'1',308,'N'),(28,7111509,'1',103,'N'),(28,7111517,'1',207,'N'),(28,7111517,'1A',201,'N'),(28,7111533,'1',429,'N'),(28,7111576,'1',309,'N'),(28,7111592,'1',103,'N'),(28,7111606,'1',207,'N'),(28,7111606,'1A',215,'N'),(28,7111614,'1',216,'N'),(28,7111622,'1',454,'N'),(28,7111649,'1',103,'N'),(28,7111657,'1',999,'N'),(28,7111665,'1',303,'N'),(28,7111681,'1',103,'N'),(28,7111690,'1',104,'N'),(28,7111703,'1',208,'N'),(28,7111711,'1',103,'N'),(28,7111738,'1',3,'N'),(28,7111746,'1',9,'N'),(28,7111754,'1',103,'N'),(28,7111762,'1',316,'N'),(28,7111770,'1',104,'N'),(28,7111800,'1',216,'N'),(28,7111819,'1',101,'N'),(28,7111827,'1',207,'N'),(28,7111827,'1A',201,'N'),(28,7111835,'1',211,'N'),(28,7111835,'1A',215,'N'),(28,7111860,'1',308,'N'),(28,7111878,'1',301,'N'),(28,7111894,'1',303,'N'),(28,7111908,'1',201,'N'),(28,7111908,'1A',202,'N'),(28,7111940,'1',235,'N'),(28,7111940,'1A',202,'N'),(28,7111959,'1',104,'N'),(28,7111967,'1',552,'N'),(28,7112009,'1',450,'N'),(28,7112017,'1',202,'N'),(28,7112017,'1A',216,'N'),(28,7112033,'1',5,'N'),(28,7112041,'1',415,'N'),(28,7112050,'1',454,'N'),(28,7112068,'1',444,'N'),(28,7112076,'1',999,'N'),(28,7112084,'1',340,'N'),(28,7112106,'1',552,'N'),(28,7112114,'1',103,'N'),(28,7112122,'1',415,'N'),(28,7112130,'1',317,'N'),(28,7112149,'1',103,'N'),(28,7112157,'1',103,'N'),(28,7112173,'1',101,'N'),(28,7112190,'1',601,'N'),(28,7112190,'1A',202,'N'),(28,7112203,'1',207,'N'),(28,7112203,'1A',216,'N'),(28,7112211,'1',103,'N'),(28,7112220,'1',102,'N'),(28,7112238,'1',103,'N'),(28,7112254,'1',103,'N'),(28,7112270,'1',3,'N'),(28,7112300,'1',319,'N'),(28,7112319,'1',999,'N'),(28,7112335,'1',103,'N'),(28,7112343,'1',103,'N'),(28,7112351,'1',108,'N'),(28,7112360,'1',5,'N'),(28,7112378,'1',103,'N'),(28,7112394,'1',404,'N'),(28,7112416,'1',337,'N'),(28,7112424,'1',501,'N'),(28,7112432,'1',340,'N'),(28,7112459,'1',415,'N'),(28,7112467,'1',103,'N'),(28,7112475,'1',415,'N'),(28,7112491,'1',207,'N'),(28,7112491,'1A',215,'N'),(28,7112513,'1',303,'N'),(28,7112521,'1',9,'N'),(28,7112530,'1',104,'N'),(28,7112548,'1',103,'N'),(28,7112556,'1',104,'N'),(28,7112572,'1',319,'N'),(28,7112580,'1',201,'N'),(28,7112610,'1',450,'N'),(28,7112637,'1',103,'N'),(28,7112653,'1',440,'N'),(28,7112661,'1',103,'N'),(28,7112670,'1',211,'N'),(28,7112670,'1A',202,'N'),(28,7112688,'1',450,'N'),(28,7112696,'1',201,'N'),(28,7112696,'1A',203,'N'),(28,7112718,'1',205,'N'),(28,7112734,'1',103,'N'),(28,7112742,'1',103,'N'),(28,7112750,'1',339,'N'),(28,7112769,'1',203,'N'),(28,7112769,'1A',233,'N'),(28,7112777,'1',318,'N'),(28,7112793,'1',203,'N'),(28,7112793,'1A',653,'N'),(28,7112807,'1',5,'N'),(28,7112815,'1',652,'N'),(28,7112815,'1A',655,'N'),(28,7112823,'1',216,'N'),(28,7112823,'1A',201,'N'),(28,7112831,'1',501,'N'),(28,7112840,'1',103,'N'),(28,7112882,'1',301,'N'),(28,7112890,'1',104,'N'),(28,7112912,'1',103,'N'),(28,7112920,'1',415,'N'),(28,7112939,'1',207,'N'),(28,7112939,'1A',212,'N'),(28,7112947,'1',318,'N'),(28,7112955,'1',104,'N'),(28,7112971,'1',308,'N'),(28,7113005,'1',211,'N'),(28,7113005,'1A',214,'N'),(28,7113021,'1',320,'N'),(28,7113030,'1',501,'N'),(28,7113048,'1',319,'N'),(28,7113056,'1',317,'N'),(28,7113064,'1',104,'N'),(28,7113080,'1',216,'N'),(28,7113080,'1A',211,'N'),(28,7113099,'1',202,'N'),(28,7113099,'1A',213,'N'),(28,7113110,'1',9,'N'),(28,7113129,'1',201,'N'),(28,7113129,'1A',212,'N'),(28,7113137,'1',333,'N'),(28,7113145,'1',5,'N'),(28,7113153,'1',999,'N'),(28,7113161,'1',102,'N'),(28,7113170,'1',201,'N'),(28,7113170,'1A',213,'N'),(28,7113196,'1',336,'N'),(28,7113226,'1',5,'N'),(28,7113242,'1',303,'N'),(28,7113250,'1',337,'N'),(28,7113277,'1',214,'N'),(28,7113277,'1A',216,'N'),(28,7113285,'1',103,'N'),(28,7113293,'1',303,'N'),(28,7113307,'1',201,'N'),(28,7113307,'1A',233,'N'),(28,7113315,'1',103,'N'),(28,7113323,'1',3,'N'),(28,7113340,'1',303,'N'),(28,7113358,'1',303,'N'),(28,7113366,'1',207,'N'),(28,7113366,'1A',201,'N'),(28,7113374,'1',424,'N'),(28,7113374,'1A',427,'N'),(28,7113382,'1',454,'N'),(28,7113390,'1',201,'N'),(28,7113404,'1',454,'N'),(28,7113439,'1',108,'N'),(28,7113447,'1',230,'N'),(28,7113455,'1',5,'N'),(28,7113471,'1',454,'N'),(28,7113480,'1',238,'N'),(28,7113480,'1A',201,'N'),(28,7113498,'1',104,'N'),(28,7113501,'1',552,'N'),(28,7113528,'1',203,'N'),(28,7113528,'1A',235,'N'),(28,7113536,'1',316,'N'),(28,7113544,'1',5,'N'),(28,7113552,'1',415,'N'),(28,7113560,'1',319,'N'),(28,7113595,'1',207,'N'),(28,7113625,'1',103,'N'),(28,7113633,'1',999,'N'),(28,7113641,'1',303,'N'),(28,7113650,'1',207,'N'),(28,7113650,'1A',652,'N'),(28,7113668,'1',302,'N'),(28,7113676,'1',103,'N'),(28,7113684,'1',214,'N'),(28,7113684,'1A',212,'N'),(28,7113706,'1',319,'N'),(28,7113714,'1',203,'N'),(28,7113714,'1A',215,'N'),(28,7113730,'1',601,'N'),(28,7113730,'1A',216,'N'),(28,7113749,'1',238,'N'),(28,7113749,'1A',235,'N'),(28,7113757,'1',999,'N'),(28,7113765,'1',235,'N'),(28,7113765,'1A',653,'N'),(28,7113773,'1',103,'N'),(28,7113781,'1',501,'N'),(28,7113803,'1',103,'N'),(28,7113811,'1',207,'N'),(28,7113811,'1A',216,'N'),(28,7113820,'1',103,'N'),(28,7113838,'1',102,'N'),(28,7113846,'1',5,'N'),(28,7113862,'1',103,'N'),(28,7113870,'1',340,'N'),(28,7113897,'1',201,'N'),(28,7113897,'1A',212,'N'),(28,7113919,'1',211,'N'),(28,7113919,'1A',201,'N'),(28,7113927,'1',103,'N'),(28,7113935,'1',109,'N'),(28,7113943,'1',108,'N'),(28,7113951,'1',999,'N'),(28,7113960,'1',202,'N'),(28,7113960,'1A',203,'N'),(28,7113978,'1',214,'N'),(28,7113978,'1A',213,'N'),(28,7113986,'1',104,'N'),(28,7113994,'1',319,'N'),(28,7114001,'1',202,'N'),(28,7114010,'1',103,'N'),(28,7114036,'1',103,'N'),(28,7114044,'1',103,'N'),(28,7114052,'1',207,'N'),(28,7114052,'1A',601,'N'),(28,7114060,'1',220,'N'),(28,7114060,'1A',601,'N'),(28,7114079,'1',103,'N'),(28,7114087,'1',103,'N'),(28,7114095,'1',103,'N'),(28,7114109,'1',220,'N'),(28,7114109,'1A',213,'N'),(28,7114117,'1',415,'N'),(28,7114133,'1',303,'N'),(28,7114141,'1',502,'N'),(28,7114176,'1',103,'N'),(28,7114184,'1',203,'N'),(28,7114184,'1A',214,'N'),(28,7114206,'1',601,'N'),(28,7114206,'1A',214,'N'),(28,7114214,'1',216,'N'),(28,7114214,'1A',233,'N'),(28,7114230,'1',9,'N'),(28,7114249,'1',9,'N'),(28,7114257,'1',103,'N'),(28,7114273,'1',202,'N'),(28,7114273,'1A',235,'N'),(28,7114281,'1',103,'N'),(28,7114303,'1',303,'N'),(28,7114311,'1',302,'N'),(28,7114320,'1',202,'N'),(28,7114320,'1A',653,'N'),(28,7114338,'1',216,'N'),(28,7114338,'1A',233,'N'),(28,7114346,'1',552,'N'),(28,7114362,'1',5,'N'),(28,7114370,'1',103,'N'),(28,7114397,'1',103,'N'),(28,7114400,'1',103,'N'),(28,7114419,'1',211,'N'),(28,7114427,'1',454,'N'),(28,7114435,'1',444,'N'),(28,7114451,'1',103,'N'),(28,7114460,'1',653,'N'),(28,7114460,'1A',233,'N'),(28,7114478,'1',108,'N'),(28,7114486,'1',454,'N'),(28,7114494,'1',103,'N'),(28,7114516,'1',303,'N'),(28,7114524,'1',215,'N'),(28,7114524,'1A',235,'N'),(28,7114532,'1',103,'N'),(28,7114540,'1',103,'N'),(28,7114567,'1',103,'N'),(28,7114583,'1',202,'N'),(28,7114583,'1A',214,'N'),(28,7114591,'1',103,'N'),(28,7114605,'1',201,'N'),(28,7114605,'1A',212,'N'),(28,7114613,'1',238,'N'),(28,7114613,'1A',235,'N'),(28,7114621,'1',207,'N'),(28,7114621,'1A',211,'N'),(28,7114630,'1',104,'N'),(28,7114656,'1',340,'N'),(28,7114664,'1',103,'N'),(28,7114672,'1',203,'N'),(28,7114672,'1A',655,'N'),(28,7114680,'1',103,'N'),(28,7114699,'1',454,'N'),(28,7114702,'1',201,'N'),(28,7114702,'1A',212,'N'),(28,7114710,'1',103,'N'),(28,7114729,'1',319,'N'),(28,7114737,'1',103,'N'),(28,7114745,'1',5,'N'),(28,7114753,'1',5,'N'),(28,7114770,'1',501,'N'),(28,7114796,'1',104,'N'),(28,7114800,'1',103,'N'),(28,7114818,'1',201,'N'),(28,7114826,'1',103,'N'),(28,7114834,'1',103,'N'),(28,7114850,'1',103,'N'),(28,7114869,'1',303,'N'),(28,7114877,'1',203,'N'),(28,7114877,'1A',235,'N'),(28,7114885,'1',238,'N'),(28,7114915,'1',103,'N'),(28,7114923,'1',211,'N'),(28,7114923,'1A',215,'N'),(28,7114931,'1',9,'N'),(28,7114940,'1',103,'N'),(28,7114958,'1',340,'N'),(28,7114966,'1',999,'N'),(28,7114990,'1',103,'N'),(28,7115008,'1',501,'N'),(28,7115016,'1',304,'N'),(28,7115024,'1',110,'N'),(28,7115040,'1',220,'N'),(28,7115040,'1A',202,'N'),(28,7115067,'1',9,'N'),(28,7115075,'1',103,'N'),(28,7115083,'1',503,'N'),(28,7115091,'1',103,'N'),(28,7115105,'1',238,'N'),(28,7115113,'1',340,'N'),(28,7115121,'1',303,'N'),(28,7115130,'1',454,'N'),(28,7115156,'1',454,'N'),(28,7115199,'1',203,'N'),(28,7115199,'1A',212,'N'),(28,7115202,'1',201,'N'),(28,7115202,'1A',216,'N'),(28,7115210,'1',201,'N'),(28,7115210,'1A',207,'N'),(28,7115245,'1',302,'N'),(28,7115253,'1',211,'N'),(28,7115253,'1A',213,'N'),(28,7115261,'1',319,'N'),(28,7115288,'1',235,'N'),(28,7115288,'1A',202,'N'),(28,7115300,'1',103,'N'),(28,7115318,'1',103,'N'),(28,7115326,'1',450,'N'),(28,7115334,'1',319,'N'),(28,7115342,'1',207,'N'),(28,7115342,'1A',201,'N'),(28,7115350,'1',552,'N'),(28,7115369,'1',302,'N'),(28,7115377,'1',319,'N'),(28,7115393,'1',415,'N'),(28,7115407,'1',310,'N'),(28,7115415,'1',308,'N'),(28,7115423,'1',103,'N'),(28,7115431,'1',652,'N'),(28,7115431,'1A',655,'N'),(28,7115440,'1',203,'N'),(28,7115440,'1A',202,'N'),(28,7115458,'1',216,'N'),(28,7115458,'1A',211,'N'),(28,7115466,'1',103,'N'),(28,7115474,'1',203,'N'),(28,7115474,'1A',201,'N'),(28,7115482,'1',999,'N'),(28,7115504,'1',103,'N'),(28,7115520,'1',103,'N'),(28,7115539,'1',653,'N'),(28,7115539,'1A',655,'N'),(28,7115547,'1',103,'N'),(28,7115555,'1',319,'N'),(28,7115571,'1',340,'N'),(28,7115580,'1',207,'N'),(28,7115580,'1A',201,'N'),(28,7115598,'1',103,'N'),(28,7115601,'1',203,'N'),(28,7115601,'1A',211,'N'),(28,7115610,'1',103,'N'),(28,7115636,'1',207,'N'),(28,7115636,'1A',201,'N'),(28,7115644,'1',208,'N'),(28,7115660,'1',415,'N'),(28,7115679,'1',303,'N'),(28,7115717,'1',103,'N'),(28,7115725,'1',211,'N'),(28,7115725,'1A',215,'N'),(28,7115733,'1',340,'N'),(28,7115741,'1',201,'N'),(28,7115741,'1A',202,'N'),(28,7115750,'1',208,'N'),(28,7115776,'1',454,'N'),(28,7115784,'1',201,'N'),(28,7115784,'1A',203,'N'),(28,7115806,'1',601,'N'),(28,7115814,'1',319,'N'),(28,7115822,'1',103,'N'),(28,7115830,'1',552,'N'),(28,7115849,'1',103,'N'),(28,7115865,'1',103,'N'),(28,7115873,'1',503,'N'),(28,7115890,'1',207,'N'),(28,7115890,'1A',211,'N'),(28,7115903,'1',208,'N'),(28,7115911,'1',454,'N'),(28,7115920,'1',502,'N'),(28,7115938,'1',109,'N'),(28,7115946,'1',103,'N'),(28,7115954,'1',216,'N'),(28,7115954,'1A',215,'N'),(28,7115962,'1',203,'N'),(28,7115962,'1A',201,'N'),(28,7115970,'1',202,'N'),(28,7115970,'1A',653,'N'),(28,7116020,'1',103,'N'),(28,7116039,'1',320,'N'),(28,7116047,'1',104,'N'),(28,7116055,'1',336,'N'),(28,7116063,'1',201,'N'),(28,7116063,'1A',212,'N'),(28,7116071,'1',103,'N'),(28,7116080,'1',103,'N'),(28,7116098,'1',318,'N'),(28,7116101,'1',319,'N'),(28,7116110,'1',108,'N'),(28,7116128,'1',215,'N'),(28,7116128,'1A',207,'N'),(28,7116136,'1',404,'N'),(28,7116144,'1',207,'N'),(28,7116144,'1A',233,'N'),(28,7116152,'1',601,'N'),(28,7116152,'1A',212,'N'),(28,7116160,'1',336,'N'),(28,7116179,'1',103,'N'),(28,7116187,'1',203,'N'),(28,7116187,'1A',214,'N'),(28,7116217,'1',201,'N'),(28,7116217,'1A',203,'N'),(28,7116233,'1',601,'N'),(28,7116241,'1',5,'N'),(28,7116268,'1',212,'N'),(28,7116268,'1A',653,'N'),(28,7116276,'1',203,'N'),(28,7116276,'1A',212,'N'),(28,7116284,'1',207,'N'),(28,7116284,'1A',211,'N'),(28,7116292,'1',104,'N'),(28,7116306,'1',301,'N'),(28,7116314,'1',454,'N'),(28,7116322,'1',331,'N'),(28,7116330,'1',5,'N'),(28,7116349,'1',207,'N'),(28,7116349,'1A',215,'N'),(28,7116365,'1',301,'N'),(28,7116381,'1',336,'N'),(28,7116390,'1',103,'N'),(28,7116403,'1',5,'N'),(28,7116411,'1',103,'N'),(28,7116420,'1',454,'N'),(28,7116438,'1',340,'N'),(28,7116446,'1',302,'N'),(28,7116454,'1',317,'N'),(28,7116462,'1',601,'N'),(28,7116462,'1A',203,'N'),(28,7116470,'1',207,'N'),(28,7116470,'1A',201,'N'),(28,7116489,'1',103,'N'),(28,7116497,'1',103,'N'),(28,7116500,'1',201,'N'),(28,7116500,'1A',202,'N'),(28,7116519,'1',5,'N'),(28,7116527,'1',303,'N'),(28,7116535,'1',103,'N'),(28,7116543,'1',102,'N'),(28,7116551,'1',201,'N'),(28,7116551,'1A',212,'N'),(28,7116560,'1',429,'N'),(28,7116560,'1A',425,'N'),(28,7116578,'1',316,'N'),(28,7116586,'1',336,'N'),(28,7116594,'1',203,'N'),(28,7116608,'1',103,'N'),(28,7116616,'1',303,'N'),(28,7116624,'1',454,'N'),(28,7116632,'1',303,'N'),(28,7116659,'1',999,'N'),(28,7116667,'1',999,'N'),(28,7116675,'1',302,'N'),(28,7116683,'1',317,'N'),(28,7116691,'1',303,'N'),(28,7116705,'1',108,'N'),(28,7116713,'1',425,'N'),(28,7116713,'1A',429,'N'),(28,7116730,'1',108,'N'),(28,7116748,'1',415,'N'),(28,7116764,'1',211,'N'),(28,7116764,'1A',601,'N'),(28,7116772,'1',552,'N'),(28,7116799,'1',601,'N'),(28,7116799,'1A',201,'N'),(28,7116802,'1',601,'N'),(28,7116810,'1',303,'N'),(28,7116829,'1',5,'N'),(28,7116837,'1',103,'N'),(28,7116845,'1',203,'N'),(28,7116845,'1A',202,'N'),(28,7116853,'1',5,'N'),(28,7116861,'1',207,'N'),(28,7116888,'1',103,'N'),(28,7116900,'1',207,'N'),(28,7116900,'1A',211,'N'),(28,7116918,'1',333,'N'),(28,7116926,'1',101,'N'),(28,7116942,'1',201,'N'),(28,7116942,'1A',233,'N'),(28,7116950,'1',304,'N'),(28,7116969,'1',304,'N'),(28,7116977,'1',201,'N'),(28,7116977,'1A',212,'N'),(28,7116985,'1',103,'N'),(28,7116993,'1',308,'N'),(28,7117000,'1',999,'N'),(28,7117019,'1',238,'N'),(28,7117019,'1A',235,'N'),(28,7117027,'1',103,'N'),(28,7117035,'1',208,'N'),(28,7117051,'1',103,'N'),(28,7117060,'1',454,'N'),(28,7117078,'1',103,'N'),(28,7117086,'1',203,'N'),(28,7117086,'1A',216,'N'),(28,7117094,'1',203,'N'),(28,7117094,'1A',201,'N'),(28,7117108,'1',601,'N'),(28,7117108,'1A',216,'N'),(28,7117116,'1',340,'N'),(28,7117132,'1',552,'N'),(28,7117140,'1',2,'N'),(28,7117159,'1',201,'N'),(28,7117159,'1A',212,'N'),(28,7117167,'1',309,'N'),(28,7117175,'1',110,'N'),(28,7117183,'1',301,'N'),(28,7117205,'1',215,'N'),(28,7117205,'1A',601,'N'),(28,7117213,'1',103,'N'),(28,7117230,'1',208,'N'),(28,7117248,'1',208,'N'),(28,7117256,'1',303,'N'),(28,7117264,'1',201,'N'),(28,7117264,'1A',202,'N'),(28,7117272,'1',308,'N'),(28,7117280,'1',552,'N'),(28,7117299,'1',110,'N'),(28,7117310,'1',303,'N'),(28,7117337,'1',5,'N'),(28,7117345,'1',202,'N'),(28,7117345,'1A',213,'N'),(28,7117361,'1',103,'N'),(28,7117370,'1',423,'N'),(28,7117370,'1A',427,'N'),(28,7117388,'1',103,'N'),(28,7117396,'1',208,'N'),(28,7117400,'1',303,'N'),(28,7117418,'1',103,'N'),(28,7117426,'1',108,'N'),(28,7117434,'1',333,'N'),(28,7117442,'1',103,'N'),(28,7117450,'1',301,'N'),(28,7117469,'1',653,'N'),(28,7117469,'1A',655,'N'),(28,7117477,'1',302,'N'),(28,7117493,'1',5,'N'),(28,7117507,'1',319,'N'),(28,7117515,'1',103,'N'),(28,7117531,'1',454,'N'),(28,7117540,'1',999,'N'),(28,7117558,'1',103,'N'),(28,7117566,'1',103,'N'),(28,7117574,'1',103,'N'),(28,7117582,'1',238,'N'),(28,7117604,'1',601,'N'),(28,7117604,'1A',201,'N'),(28,7117612,'1',5,'N'),(28,7117620,'1',103,'N'),(28,7117639,'1',421,'N'),(28,7117639,'1A',425,'N'),(28,7117647,'1',301,'N'),(28,7117671,'1',203,'N'),(28,7117671,'1A',214,'N'),(28,7117680,'1',212,'N'),(28,7117680,'1A',201,'N'),(28,7117698,'1',216,'N'),(28,7117698,'1A',233,'N'),(28,7117701,'1',103,'N'),(28,7117710,'1',203,'N'),(28,7117710,'1A',202,'N'),(28,7117728,'1',450,'N'),(28,7117736,'1',319,'N'),(28,7117744,'1',333,'N'),(28,7117760,'1',216,'N'),(28,7117760,'1A',201,'N'),(28,7117779,'1',444,'N'),(28,7117795,'1',103,'N'),(28,7117809,'1',201,'N'),(28,7117809,'1A',203,'N'),(28,7117825,'1',999,'N'),(28,7117876,'1',551,'N'),(28,7117884,'1',207,'N'),(28,7117884,'1A',201,'N'),(28,7117892,'1',202,'N'),(28,7117892,'1A',213,'N'),(28,7117906,'1',423,'N'),(28,7117906,'1A',427,'N'),(28,7117914,'1',5,'N'),(28,7117922,'1',207,'N'),(28,7117922,'1A',233,'N'),(28,7117949,'1',9,'N'),(28,7117957,'1',103,'N'),(28,7117965,'1',201,'N'),(28,7117965,'1A',207,'N'),(28,7117973,'1',103,'N'),(28,7117981,'1',103,'N'),(28,7117990,'1',103,'N'),(28,7118015,'1',415,'N'),(28,7118023,'1',101,'N'),(28,7118031,'1',303,'N'),(28,7118040,'1',319,'N'),(28,7118058,'1',103,'N'),(28,7118066,'1',415,'N'),(28,7118074,'1',203,'N'),(28,7118074,'1A',220,'N'),(28,7118082,'1',450,'N'),(28,7118090,'1',316,'N'),(28,7118104,'1',233,'N'),(28,7118104,'1A',216,'N'),(28,7118112,'1',213,'N'),(28,7118112,'1A',653,'N'),(28,7118120,'1',303,'N'),(28,7118139,'1',203,'N'),(28,7118139,'1A',216,'N'),(28,7118171,'1',208,'N'),(28,7118201,'1',211,'N'),(28,7118201,'1A',201,'N'),(28,7118210,'1',102,'N'),(28,7118244,'1',201,'N'),(28,7118244,'1A',202,'N'),(28,7118252,'1',316,'N'),(28,7118260,'1',336,'N'),(28,7118279,'1',104,'N'),(28,7118287,'1',103,'N'),(28,7118309,'1',201,'N'),(28,7118309,'1A',207,'N'),(28,7118317,'1',103,'N'),(28,7118325,'1',103,'N'),(28,7118333,'1',103,'N'),(28,7118341,'1',552,'N'),(28,7118350,'1',208,'N'),(28,7118368,'1',340,'N'),(28,7118376,'1',5,'N'),(28,7118384,'1',302,'N'),(28,7118392,'1',103,'N'),(28,7118430,'1',333,'N'),(28,7118449,'1',316,'N'),(28,7118465,'1',211,'N'),(28,7118465,'1A',215,'N'),(28,7118473,'1',103,'N'),(28,7118481,'1',238,'N'),(28,7118490,'1',207,'N'),(28,7118490,'1A',201,'N'),(28,7118503,'1',319,'N'),(28,7118520,'1',102,'N'),(28,7118538,'1',207,'N'),(28,7118538,'1A',201,'N'),(28,7118546,'1',601,'N'),(28,7118546,'1A',233,'N'),(28,7118554,'1',340,'N'),(28,7118562,'1',316,'N'),(28,7118570,'1',230,'N'),(28,7118600,'1',225,'N'),(28,7118619,'1',109,'N'),(28,7118635,'1',238,'N'),(28,7118635,'1A',201,'N'),(28,7118643,'1',207,'N'),(28,7118643,'1A',202,'N'),(28,7118651,'1',601,'N'),(28,7118678,'1',201,'N'),(28,7118678,'1A',233,'N'),(28,7118686,'1',201,'N'),(28,7118686,'1A',220,'N'),(28,7118694,'1',303,'N'),(28,7118708,'1',208,'N'),(28,7118732,'1',601,'N'),(28,7118759,'1',207,'N'),(28,7118759,'1A',212,'N'),(28,7118767,'1',103,'N'),(28,7118783,'1',450,'N'),(28,7118805,'1',212,'N'),(28,7118805,'1A',233,'N'),(28,7118813,'1',202,'N'),(28,7118813,'1A',235,'N'),(28,7118821,'1',552,'N'),(28,7118830,'1',601,'N'),(28,7118848,'1',108,'N'),(28,7118856,'1',233,'N'),(28,7118856,'1A',215,'N'),(28,7118864,'1',103,'N'),(28,7118880,'1',211,'N'),(28,7118880,'1A',201,'N'),(28,7118899,'1',454,'N'),(28,7118910,'1',104,'N'),(28,7118937,'1',329,'N'),(28,7118945,'1',340,'N'),(28,7118953,'1',303,'N'),(28,7118961,'1',223,'N'),(28,7118988,'1',207,'N'),(28,7118988,'1A',655,'N'),(28,7118996,'1',215,'N'),(28,7118996,'1A',213,'N'),(28,7119011,'1',316,'N'),(28,7119020,'1',103,'N'),(28,7119038,'1',201,'N'),(28,7119038,'1A',652,'N'),(28,7119046,'1',214,'N'),(28,7119046,'1A',213,'N'),(28,7119054,'1',333,'N'),(28,7119070,'1',444,'N'),(28,7119089,'1',207,'N'),(28,7119089,'1A',201,'N'),(28,7119097,'1',110,'N'),(28,7119100,'1',326,'N'),(28,7119119,'1',503,'N'),(28,7119135,'1',103,'N'),(28,7119143,'1',318,'N'),(28,7119151,'1',207,'N'),(28,7119151,'1A',201,'N'),(28,7119160,'1',235,'N'),(28,7119160,'1A',220,'N'),(28,7119186,'1',203,'N'),(28,7119186,'1A',216,'N'),(28,7119194,'1',216,'N'),(28,7119194,'1A',235,'N'),(28,7119216,'1',110,'N'),(28,7119224,'1',324,'N'),(28,7119232,'1',304,'N'),(28,7119240,'1',223,'N'),(28,7119259,'1',201,'N'),(28,7119259,'1A',212,'N'),(28,7119291,'1',5,'N'),(28,7119313,'1',102,'N'),(28,7119321,'1',216,'N'),(28,7119321,'1A',212,'N'),(28,7119330,'1',601,'N'),(28,7119330,'1A',203,'N'),(28,7119364,'1',103,'N'),(28,7119380,'1',220,'N'),(28,7119399,'1',303,'N'),(28,7119402,'1',316,'N'),(28,7119410,'1',404,'N'),(28,7119429,'1',340,'N'),(28,7119437,'1',318,'N'),(28,7119445,'1',5,'N'),(28,7119453,'1',333,'N'),(28,7119461,'1',339,'N'),(28,7119496,'1',102,'N'),(28,7119500,'1',207,'N'),(28,7119500,'1A',216,'N'),(28,7119518,'1',340,'N'),(28,7119534,'1',5,'N'),(28,7119542,'1',214,'N'),(28,7119550,'1',301,'N'),(28,7119569,'1',318,'N'),(28,7119577,'1',316,'N'),(28,7119593,'1',454,'N'),(28,7119607,'1',999,'N'),(28,7119623,'1',234,'N'),(28,7119631,'1',104,'N'),(28,7119658,'1',224,'N'),(28,7119666,'1',207,'N'),(28,7119666,'1A',201,'N'),(28,7119674,'1',326,'N'),(28,7119690,'1',5,'N'),(28,7119712,'1',201,'N'),(28,7119712,'1A',212,'N'),(28,7119720,'1',103,'N'),(28,7119739,'1',317,'N'),(28,7119747,'1',201,'N'),(28,7119747,'1A',207,'N'),(28,7119755,'1',216,'N'),(28,7119755,'1A',233,'N'),(28,7119771,'1',999,'N'),(28,7119798,'1',103,'N'),(28,7119801,'1',203,'N'),(28,7119801,'1A',201,'N'),(28,7119810,'1',201,'N'),(28,7119810,'1A',233,'N'),(28,7119836,'1',103,'N'),(28,7119852,'1',103,'N'),(28,7119860,'1',333,'N'),(28,7119895,'1',308,'N'),(28,7119917,'1',101,'N'),(28,7119925,'1',551,'N'),(28,7119933,'1',103,'N'),(28,7119941,'1',103,'N'),(28,7119950,'1',319,'N'),(28,7119968,'1',655,'N'),(28,7119968,'1A',653,'N'),(28,7119984,'1',5,'N'),(28,7120028,'1',214,'N'),(28,7120028,'1A',213,'N'),(28,7120036,'1',235,'N'),(28,7120036,'1A',220,'N'),(28,7120044,'1',308,'N'),(28,7120052,'1',340,'N'),(28,7120087,'1',220,'N'),(28,7120095,'1',5,'N'),(28,7120109,'1',551,'N'),(28,7120117,'1',336,'N'),(28,7120125,'1',224,'N'),(28,7120133,'1',102,'N'),(28,7120141,'1',103,'N'),(28,7120150,'1',320,'N'),(28,7120168,'1',304,'N'),(28,7120184,'1',552,'N'),(28,7120192,'1',201,'N'),(28,7120192,'1A',238,'N'),(28,7120214,'1',9,'N'),(28,7120230,'1',103,'N'),(28,7120257,'1',425,'N'),(28,7120257,'1A',428,'N'),(28,7120265,'1',103,'N'),(28,7120273,'1',303,'N'),(28,7120281,'1',308,'N'),(28,7120290,'1',340,'N'),(28,7120303,'1',324,'N'),(28,7120311,'1',319,'N'),(28,7120320,'1',327,'N'),(28,7120338,'1',208,'N'),(28,7120346,'1',999,'N'),(28,7120354,'1',201,'N'),(28,7120354,'1A',212,'N'),(28,7120370,'1',207,'N'),(28,7120370,'1A',233,'N'),(28,7120397,'1',108,'N'),(28,7120419,'1',238,'N'),(28,7120419,'1A',235,'N'),(28,7120427,'1',103,'N'),(28,7120435,'1',3,'N'),(28,7120451,'1',319,'N'),(28,7120478,'1',201,'N'),(28,7120478,'1A',203,'N'),(28,7120494,'1',103,'N'),(28,7120508,'1',999,'N'),(28,7120516,'1',338,'N'),(28,7120532,'1',233,'N'),(28,7120532,'1A',201,'N'),(28,7120567,'1',301,'N'),(28,7120583,'1',308,'N'),(28,7120613,'1',211,'N'),(28,7120613,'1A',203,'N'),(28,7120621,'1',552,'N'),(28,7120630,'1',207,'N'),(28,7120630,'1A',201,'N'),(28,7120648,'1',201,'N'),(28,7120648,'1A',214,'N'),(28,7120656,'1',214,'N'),(28,7120656,'1A',212,'N'),(28,7120664,'1',337,'N'),(28,7120680,'1',327,'N'),(28,7120702,'1',213,'N'),(28,7120702,'1A',212,'N'),(28,7120710,'1',103,'N'),(28,7120729,'1',104,'N'),(28,7120737,'1',201,'N'),(28,7120737,'1A',653,'N'),(28,7120761,'1',103,'N'),(28,7120770,'1',104,'N'),(28,7120788,'1',103,'N'),(28,7120796,'1',205,'N'),(28,7120818,'1',201,'N'),(28,7120818,'1A',207,'N'),(28,7120826,'1',319,'N'),(28,7120842,'1',404,'N'),(28,7120850,'1',340,'N'),(28,7120877,'1',5,'N'),(28,7120893,'1',301,'N'),(28,7120907,'1',9,'N'),(28,7120915,'1',303,'N'),(28,7120923,'1',103,'N'),(28,7120958,'1',216,'N'),(28,7120958,'1A',211,'N'),(28,7120974,'1',207,'N'),(28,7120974,'1A',203,'N'),(28,7120982,'1',303,'N'),(28,7120990,'1',103,'N'),(28,7121008,'1',238,'N'),(28,7121008,'1A',220,'N'),(28,7121016,'1',109,'N'),(28,7121024,'1',201,'N'),(28,7121024,'1A',212,'N'),(28,7121032,'1',501,'N'),(28,7121040,'1',222,'N'),(28,7121067,'1',201,'N'),(28,7121067,'1A',214,'N'),(28,7121075,'1',999,'N'),(28,7121083,'1',103,'N'),(28,7121091,'1',551,'N'),(28,7121105,'1',211,'N'),(28,7121105,'1A',215,'N'),(28,7121113,'1',502,'N'),(28,7121121,'1',201,'N'),(28,7121121,'1A',601,'N'),(28,7121156,'1',327,'N'),(28,7121164,'1',201,'N'),(28,7121164,'1A',212,'N'),(28,7121172,'1',202,'N'),(28,7121180,'1',203,'N'),(28,7121180,'1A',233,'N'),(28,7121199,'1',654,'N'),(28,7121210,'1',103,'N'),(28,7121229,'1',103,'N'),(28,7121237,'1',601,'N'),(28,7121237,'1A',215,'N'),(28,7121245,'1',103,'N'),(28,7121253,'1',320,'N'),(28,7121261,'1',207,'N'),(28,7121261,'1A',203,'N'),(28,7121270,'1',103,'N'),(28,7121288,'1',201,'N'),(28,7121288,'1A',212,'N'),(28,7121296,'1',303,'N'),(28,7121318,'1',654,'N'),(28,7121326,'1',103,'N'),(28,7121342,'1',211,'N'),(28,7121342,'1A',203,'N'),(28,7121350,'1',208,'N'),(28,7121385,'1',207,'N'),(28,7121385,'1A',201,'N'),(28,7121393,'1',450,'N'),(28,7121415,'1',5,'N'),(28,7121431,'1',216,'N'),(28,7121431,'1A',215,'N'),(28,7121458,'1',201,'N'),(28,7121458,'1A',214,'N'),(28,7121466,'1',201,'N'),(28,7121466,'1A',215,'N'),(28,7121474,'1',302,'N'),(28,7121482,'1',327,'N'),(28,7121504,'1',103,'N'),(28,7121512,'1',5,'N'),(28,7121520,'1',202,'N'),(28,7121520,'1A',213,'N'),(28,7121539,'1',103,'N'),(28,7121547,'1',212,'N'),(28,7121547,'1A',211,'N'),(28,7121555,'1',653,'N'),(28,7121555,'1A',201,'N'),(28,7121563,'1',601,'N'),(28,7121563,'1A',207,'N'),(28,7121571,'1',340,'N'),(28,7121598,'1',319,'N'),(28,7121601,'1',103,'N'),(28,7121610,'1',5,'N'),(28,7121628,'1',5,'N'),(28,7121636,'1',238,'N'),(28,7121644,'1',551,'N'),(28,7121652,'1',425,'N'),(28,7121652,'1A',428,'N'),(28,7121660,'1',415,'N'),(28,7121679,'1',201,'N'),(28,7121679,'1A',601,'N'),(28,7121687,'1',5,'N'),(28,7121695,'1',340,'N'),(28,7121717,'1',103,'N'),(28,7121725,'1',303,'N'),(28,7121733,'1',103,'N'),(28,7121741,'1',216,'N'),(28,7121741,'1A',202,'N'),(28,7121750,'1',601,'N'),(28,7121750,'1A',233,'N'),(28,7121768,'1',340,'N'),(28,7121776,'1',310,'N'),(28,7121784,'1',201,'N'),(28,7121784,'1A',653,'N'),(28,7121792,'1',203,'N'),(28,7121792,'1A',235,'N'),(28,7121806,'1',301,'N'),(28,7121814,'1',103,'N'),(28,7121830,'1',103,'N'),(28,7121849,'1',303,'N'),(28,7121857,'1',340,'N'),(28,7121873,'1',103,'N'),(28,7121881,'1',103,'N'),(28,7121890,'1',214,'N'),(28,7121890,'1A',212,'N'),(28,7121903,'1',332,'N'),(28,7121911,'1',203,'N'),(28,7121911,'1A',201,'N'),(28,7121920,'1',340,'N'),(28,7121938,'1',303,'N'),(28,7121946,'1',103,'N'),(28,7121954,'1',201,'N'),(28,7121962,'1',216,'N'),(28,7121962,'1A',233,'N'),(28,7121970,'1',214,'N'),(28,7121970,'1A',201,'N'),(28,7121989,'1',319,'N'),(28,7121997,'1',601,'N'),(28,7121997,'1A',203,'N'),(28,7122004,'1',5,'N'),(28,7122020,'1',303,'N'),(28,7122047,'1',5,'N'),(28,7122055,'1',201,'N'),(28,7122055,'1A',212,'N'),(28,7122063,'1',238,'N'),(28,7122063,'1A',203,'N'),(28,7122071,'1',109,'N'),(28,7122080,'1',551,'N'),(28,7122098,'1',601,'N'),(28,7122098,'1A',201,'N'),(28,7122101,'1',203,'N'),(28,7122101,'1A',601,'N'),(28,7122128,'1',103,'N'),(28,7122136,'1',203,'N'),(28,7122136,'1A',214,'N'),(28,7122144,'1',454,'N'),(28,7122152,'1',103,'N'),(28,7122160,'1',207,'N'),(28,7122160,'1A',201,'N'),(28,7122179,'1',201,'N'),(28,7122179,'1A',202,'N'),(28,7122187,'1',319,'N'),(28,7122209,'1',654,'N'),(28,7122217,'1',999,'N'),(28,7122225,'1',103,'N'),(28,7122233,'1',103,'N'),(28,7122241,'1',201,'N'),(28,7122241,'1A',601,'N'),(28,7122268,'1',103,'N'),(28,7122276,'1',108,'N'),(28,7122284,'1',601,'N'),(28,7122284,'1A',213,'N'),(28,7122292,'1',303,'N'),(28,7122306,'1',211,'N'),(28,7122306,'1A',215,'N'),(28,7122314,'1',440,'N'),(28,7122322,'1',104,'N'),(28,7122330,'1',444,'N'),(28,7122349,'1',211,'N'),(28,7122349,'1A',215,'N'),(28,7122357,'1',103,'N'),(28,7122365,'1',108,'N'),(28,7122373,'1',233,'N'),(28,7122373,'1A',215,'N'),(28,7122381,'1',440,'N'),(28,7122403,'1',999,'N'),(28,7122411,'1',220,'N'),(28,7122420,'1',327,'N'),(28,7122438,'1',652,'N'),(28,7122438,'1A',655,'N'),(28,7122446,'1',303,'N'),(28,7122454,'1',207,'N'),(28,7122462,'1',331,'N'),(28,7122470,'1',201,'N'),(28,7122470,'1A',212,'N'),(28,7122489,'1',207,'N'),(28,7122489,'1A',201,'N'),(28,7122497,'1',203,'N'),(28,7122497,'1A',601,'N'),(28,7122500,'1',216,'N'),(28,7122500,'1A',215,'N'),(28,7122519,'1',501,'N'),(28,7122527,'1',333,'N'),(28,7122535,'1',201,'N'),(28,7122535,'1A',215,'N'),(28,7122543,'1',101,'N'),(28,7122551,'1',5,'N'),(28,7122578,'1',216,'N'),(28,7122586,'1',317,'N'),(28,7122594,'1',340,'N'),(28,7122608,'1',103,'N'),(28,7122640,'1',103,'N'),(28,7122659,'1',202,'N'),(28,7122659,'1A',220,'N'),(28,7122667,'1',331,'N'),(28,7122675,'1',201,'N'),(28,7122675,'1A',207,'N'),(28,7122683,'1',454,'N'),(28,7122691,'1',502,'N'),(28,7122705,'1',328,'N'),(28,7122713,'1',502,'N'),(28,7122730,'1',103,'N'),(28,7122748,'1',207,'N'),(28,7122748,'1A',201,'N'),(28,7122756,'1',303,'N'),(28,7122772,'1',450,'N'),(28,7122780,'1',214,'N'),(28,7122780,'1A',212,'N'),(28,7122799,'1',207,'N'),(28,7122799,'1A',216,'N'),(28,7122802,'1',230,'N'),(28,7122810,'1',316,'N'),(28,7122829,'1',303,'N'),(28,7122837,'1',415,'N'),(28,7122853,'1',103,'N'),(28,7122861,'1',234,'N'),(28,7122870,'1',201,'N'),(28,7122870,'1A',233,'N'),(28,7122888,'1',103,'N'),(28,7122896,'1',103,'N'),(28,7122900,'1',601,'N'),(28,7122900,'1A',220,'N'),(28,7122918,'1',415,'N'),(28,7122926,'1',331,'N'),(28,7122934,'1',205,'N'),(28,7122942,'1',501,'N'),(28,7122969,'1',208,'N'),(28,7122977,'1',201,'N'),(28,7122977,'1A',203,'N'),(28,7122985,'1',551,'N'),(28,7122993,'1',301,'N'),(28,7123000,'1',103,'N'),(28,7123019,'1',451,'N'),(28,7123027,'1',999,'N'),(28,7123035,'1',340,'N'),(28,7123043,'1',201,'N'),(28,7123043,'1A',220,'N'),(28,7123060,'1',220,'N'),(28,7123060,'1A',601,'N'),(28,7123086,'1',319,'N'),(28,7123094,'1',103,'N'),(28,7123124,'1',214,'N'),(28,7123124,'1A',213,'N'),(28,7123132,'1',103,'N'),(28,7123140,'1',999,'N'),(28,7123159,'1',103,'N'),(28,7123167,'1',216,'N'),(28,7123167,'1A',653,'N'),(28,7123183,'1',502,'N'),(28,7123191,'1',339,'N'),(28,7123213,'1',340,'N'),(28,7123230,'1',213,'N'),(28,7123230,'1A',235,'N'),(28,7123256,'1',203,'N'),(28,7123256,'1A',220,'N'),(28,7123264,'1',103,'N'),(28,7123272,'1',5,'N'),(28,7123280,'1',301,'N'),(28,7123302,'1',109,'N'),(28,7123310,'1',103,'N'),(28,7123329,'1',454,'N'),(28,7123337,'1',308,'N'),(28,7123345,'1',207,'N'),(28,7123345,'1A',212,'N'),(28,7123353,'1',203,'N'),(28,7123353,'1A',220,'N'),(28,7123370,'1',222,'N'),(28,7123388,'1',103,'N'),(28,7123396,'1',103,'N'),(28,7123400,'1',103,'N'),(28,7123418,'1',5,'N'),(28,7123426,'1',109,'N'),(28,7123469,'1',211,'N'),(28,7123469,'1A',215,'N'),(28,7123477,'1',319,'N'),(28,7123485,'1',108,'N'),(28,7123493,'1',203,'N'),(28,7123493,'1A',655,'N'),(28,7123523,'1',319,'N'),(28,7123531,'1',104,'N'),(28,7123566,'1',216,'N'),(28,7123566,'1A',653,'N'),(28,7123574,'1',303,'N'),(28,7123582,'1',103,'N'),(28,7123639,'1',201,'N'),(28,7123639,'1A',212,'N'),(28,7123655,'1',444,'N'),(28,7123663,'1',213,'N'),(28,7123663,'1A',233,'N'),(28,7123671,'1',103,'N'),(28,7123680,'1',238,'N'),(28,7123680,'1A',235,'N'),(28,7123698,'1',999,'N'),(28,7123701,'1',103,'N'),(28,7123710,'1',207,'N'),(28,7123710,'1A',211,'N'),(28,7123728,'1',303,'N'),(28,7123736,'1',103,'N'),(28,7123744,'1',103,'N'),(28,7123752,'1',503,'N'),(28,7123760,'1',415,'N'),(28,7123779,'1',101,'N'),(28,7123787,'1',203,'N'),(28,7123787,'1A',653,'N'),(28,7123809,'1',108,'N'),(28,7123825,'1',238,'N'),(28,7123825,'1A',211,'N'),(28,7123833,'1',303,'N'),(28,7123841,'1',316,'N'),(28,7123850,'1',601,'N'),(28,7123850,'1A',203,'N'),(28,7123868,'1',340,'N'),(28,7123876,'1',552,'N'),(28,7123884,'1',201,'N'),(28,7123884,'1A',216,'N'),(28,7123906,'1',104,'N'),(28,7123914,'1',303,'N'),(28,7123922,'1',5,'N'),(28,7123930,'1',235,'N'),(28,7123930,'1A',202,'N'),(28,7123949,'1',103,'N'),(28,7123957,'1',103,'N'),(28,7123965,'1',103,'N'),(28,7123981,'1',601,'N'),(28,7123981,'1A',216,'N'),(28,7123990,'1',207,'N'),(28,7123990,'1A',238,'N'),(28,7124007,'1',303,'N'),(28,7124023,'1',215,'N'),(28,7124023,'1A',212,'N'),(28,7124031,'1',220,'N'),(28,7124031,'1A',601,'N'),(28,7124058,'1',103,'N'),(28,7124066,'1',319,'N'),(28,7124074,'1',318,'N'),(28,7124082,'1',201,'N'),(28,7124082,'1A',211,'N'),(28,7124104,'1',454,'N'),(28,7124120,'1',654,'N'),(28,7124139,'1',207,'N'),(28,7124139,'1A',201,'N'),(28,7124147,'1',316,'N'),(28,7124155,'1',999,'N'),(28,7124171,'1',103,'N'),(28,7124180,'1',222,'N'),(28,7124201,'1',654,'N'),(28,7124210,'1',103,'N'),(28,7124236,'1',103,'N'),(28,7124244,'1',601,'N'),(28,7124244,'1A',212,'N'),(28,7124252,'1',109,'N'),(28,7124260,'1',207,'N'),(28,7124260,'1A',238,'N'),(28,7124279,'1',201,'N'),(28,7124309,'1',103,'N'),(28,7124317,'1',108,'N'),(28,7124325,'1',103,'N'),(28,7124333,'1',450,'N'),(28,7124341,'1',212,'N'),(28,7124341,'1A',214,'N'),(28,7124350,'1',103,'N'),(28,7124384,'1',103,'N'),(28,7124392,'1',428,'N'),(28,7124392,'1A',423,'N'),(28,7124406,'1',5,'N'),(28,7124414,'1',103,'N'),(28,7124422,'1',415,'N'),(28,7124430,'1',302,'N'),(28,7124449,'1',201,'N'),(28,7124449,'1A',601,'N'),(28,7124457,'1',340,'N'),(28,7124473,'1',201,'N'),(28,7124473,'1A',212,'N'),(28,7124481,'1',319,'N'),(28,7124511,'1',110,'N'),(28,7124520,'1',415,'N'),(28,7124538,'1',103,'N'),(28,7124562,'1',653,'N'),(28,7124562,'1A',202,'N'),(28,7124570,'1',203,'N'),(28,7124570,'1A',235,'N'),(28,7124589,'1',601,'N'),(28,7124589,'1A',207,'N'),(28,7124597,'1',216,'N'),(28,7124600,'1',319,'N'),(28,7124627,'1',238,'N'),(28,7124627,'1A',220,'N'),(28,7124635,'1',653,'N'),(28,7124635,'1A',233,'N'),(28,7124643,'1',552,'N'),(28,7124651,'1',220,'N'),(28,7124651,'1A',235,'N'),(28,7124660,'1',301,'N'),(28,7124732,'1',319,'N'),(28,7124740,'1',303,'N'),(28,7124759,'1',301,'N'),(28,7124767,'1',108,'N'),(28,7124783,'1',103,'N'),(28,7124805,'1',103,'N'),(28,7124813,'1',316,'N'),(28,7124821,'1',109,'N'),(28,7124830,'1',207,'N'),(28,7124848,'1',103,'N'),(28,7124856,'1',320,'N'),(28,7124864,'1',201,'N'),(28,7124864,'1A',235,'N'),(28,7124872,'1',999,'N'),(28,7124880,'1',501,'N'),(28,7124899,'1',104,'N'),(28,7124902,'1',5,'N'),(28,7124910,'1',207,'N'),(28,7124910,'1A',201,'N'),(28,7124937,'1',214,'N'),(28,7124937,'1A',216,'N'),(28,7124945,'1',103,'N'),(28,7124961,'1',9,'N'),(28,7124970,'1',326,'N'),(28,7124988,'1',208,'N'),(28,7125003,'1',207,'N'),(28,7125003,'1A',212,'N'),(28,7125020,'1',104,'N'),(28,7125038,'1',201,'N'),(28,7125038,'1A',212,'N'),(28,7125046,'1',103,'N'),(28,7125070,'1',103,'N'),(28,7125089,'1',319,'N'),(28,7125097,'1',103,'N'),(28,7125100,'1',303,'N'),(28,7125119,'1',999,'N'),(28,7125127,'1',328,'N'),(28,7125151,'1',208,'N'),(28,7125160,'1',652,'N'),(28,7125160,'1A',653,'N'),(28,7125186,'1',551,'N'),(28,7125194,'1',9,'N'),(28,7125208,'1',320,'N'),(28,7125216,'1',201,'N'),(28,7125216,'1A',207,'N'),(28,7125224,'1',103,'N'),(28,7125240,'1',201,'N'),(28,7125240,'1A',212,'N'),(28,7125259,'1',207,'N'),(28,7125259,'1A',201,'N'),(28,7125267,'1',102,'N'),(28,7125275,'1',103,'N'),(28,7125283,'1',201,'N'),(28,7125291,'1',319,'N'),(28,7125305,'1',103,'N'),(28,7125313,'1',201,'N'),(28,7125313,'1A',212,'N'),(28,7125330,'1',653,'N'),(28,7125330,'1A',655,'N'),(28,7125348,'1',310,'N'),(28,7125364,'1',211,'N'),(28,7125364,'1A',216,'N'),(28,7125372,'1',103,'N'),(28,7125380,'1',552,'N'),(28,7125399,'1',336,'N'),(28,7125402,'1',104,'N'),(28,7125429,'1',451,'N'),(28,7125437,'1',454,'N'),(28,7125445,'1',451,'N'),(28,7125453,'1',340,'N'),(28,7125470,'1',5,'N'),(28,7125488,'1',9,'N'),(28,7125496,'1',5,'N'),(28,7125518,'1',319,'N'),(28,7125526,'1',103,'N'),(28,7125534,'1',653,'N'),(28,7125534,'1A',652,'N'),(28,7125542,'1',654,'N'),(28,7125550,'1',203,'N'),(28,7125550,'1A',201,'N'),(28,7125569,'1',103,'N'),(28,7125585,'1',207,'N'),(28,7125593,'1',308,'N'),(28,7125607,'1',103,'N'),(28,7125615,'1',207,'N'),(28,7125615,'1A',233,'N'),(28,7125623,'1',301,'N'),(28,7125631,'1',316,'N'),(28,7125658,'1',103,'N'),(28,7125666,'1',201,'N'),(28,7125666,'1A',233,'N'),(28,7125682,'1',203,'N'),(28,7125682,'1A',214,'N'),(28,7125690,'1',235,'N'),(28,7125690,'1A',202,'N'),(28,7125704,'1',426,'N'),(28,7125704,'1A',425,'N'),(28,7125712,'1',444,'N'),(28,7125739,'1',201,'N'),(28,7125739,'1A',212,'N'),(28,7125747,'1',415,'N'),(28,7125755,'1',316,'N'),(28,7125763,'1',202,'N'),(28,7125763,'1A',216,'N'),(28,7125771,'1',203,'N'),(28,7125771,'1A',201,'N'),(28,7125780,'1',103,'N'),(28,7125801,'1',201,'N'),(28,7125801,'1A',216,'N'),(28,7125810,'1',103,'N'),(28,7125828,'1',104,'N'),(28,7125836,'1',601,'N'),(28,7125844,'1',319,'N'),(28,7125852,'1',404,'N'),(28,7125860,'1',340,'N'),(28,7125887,'1',999,'N'),(28,7125895,'1',5,'N'),(28,7125909,'1',215,'N'),(28,7125909,'1A',213,'N'),(28,7125917,'1',9,'N'),(28,7125925,'1',9,'N'),(28,7125933,'1',103,'N'),(28,7125941,'1',103,'N'),(28,7125950,'1',415,'N'),(28,7125968,'1',9,'N'),(28,7125976,'1',103,'N'),(28,7125984,'1',211,'N'),(28,7125984,'1A',601,'N'),(28,7125992,'1',319,'N'),(28,7126000,'1',103,'N'),(28,7126026,'1',201,'N'),(28,7126026,'1A',653,'N'),(28,7126034,'1',207,'N'),(28,7126034,'1A',201,'N'),(28,7126042,'1',303,'N'),(28,7126050,'1',319,'N'),(28,7126069,'1',203,'N'),(28,7126069,'1A',213,'N'),(28,7126085,'1',207,'N'),(28,7126085,'1A',201,'N'),(28,7126093,'1',308,'N'),(28,7126107,'1',999,'N'),(28,7126115,'1',108,'N'),(28,7126123,'1',216,'N'),(28,7126123,'1A',201,'N'),(28,7126131,'1',202,'N'),(28,7126131,'1A',235,'N'),(28,7126140,'1',208,'N'),(28,7126158,'1',316,'N'),(28,7126166,'1',303,'N'),(28,7126174,'1',450,'N'),(28,7126182,'1',212,'N'),(28,7126182,'1A',214,'N'),(28,7126204,'1',103,'N'),(28,7126220,'1',104,'N'),(28,7126239,'1',214,'N'),(28,7126239,'1A',233,'N'),(28,7126255,'1',310,'N'),(28,7126263,'1',201,'N'),(28,7126263,'1A',207,'N'),(28,7126271,'1',203,'N'),(28,7126271,'1A',220,'N'),(28,7126280,'1',201,'N'),(28,7126280,'1A',207,'N'),(28,7126298,'1',301,'N'),(28,7126301,'1',454,'N'),(28,7126310,'1',201,'N'),(28,7126310,'1A',203,'N'),(28,7126328,'1',233,'N'),(28,7126328,'1A',215,'N'),(28,7126352,'1',103,'N'),(28,7126360,'1',104,'N'),(28,7126387,'1',303,'N'),(28,7126395,'1',333,'N'),(28,7126409,'1',103,'N'),(28,7126425,'1',214,'N'),(28,7126425,'1A',216,'N'),(28,7126441,'1',201,'N'),(28,7126441,'1A',212,'N'),(28,7126450,'1',108,'N'),(28,7126468,'1',103,'N'),(28,7126484,'1',340,'N'),(28,7126514,'1',3,'N'),(28,7126522,'1',104,'N'),(28,7126530,'1',317,'N'),(28,7126549,'1',451,'N'),(28,7126557,'1',5,'N'),(28,7126565,'1',303,'N'),(28,7126581,'1',340,'N'),(28,7126590,'1',208,'N'),(28,7126611,'1',104,'N'),(28,7126620,'1',103,'N'),(28,7126638,'1',207,'N'),(28,7126638,'1A',238,'N'),(28,7126646,'1',5,'N'),(28,7126654,'1',104,'N'),(28,7126670,'1',201,'N'),(28,7126670,'1A',203,'N'),(28,7126697,'1',201,'N'),(28,7126697,'1A',211,'N'),(28,7126700,'1',233,'N'),(28,7126700,'1A',203,'N'),(28,7126719,'1',103,'N'),(28,7126727,'1',340,'N'),(28,7126735,'1',103,'N'),(28,7126760,'1',5,'N'),(28,7126778,'1',454,'N'),(28,7126786,'1',303,'N'),(28,7126816,'1',303,'N'),(28,7126824,'1',340,'N'),(28,7126832,'1',9,'N'),(28,7126840,'1',103,'N'),(28,7126859,'1',301,'N'),(28,7126875,'1',301,'N'),(28,7126883,'1',999,'N'),(28,7126891,'1',207,'N'),(28,7126891,'1A',201,'N'),(28,7126905,'1',207,'N'),(28,7126905,'1A',201,'N'),(28,7126930,'1',654,'N'),(28,7126948,'1',103,'N'),(28,7126956,'1',340,'N'),(28,7126964,'1',203,'N'),(28,7126964,'1A',207,'N'),(28,7126972,'1',303,'N'),(28,7126980,'1',207,'N'),(28,7126980,'1A',201,'N'),(28,7126999,'1',103,'N'),(28,7127006,'1',207,'N'),(28,7127006,'1A',201,'N'),(28,7127014,'1',201,'N'),(28,7127014,'1A',216,'N'),(28,7127022,'1',238,'N'),(28,7127030,'1',601,'N'),(28,7127030,'1A',213,'N'),(28,7127049,'1',103,'N'),(28,7127057,'1',238,'N'),(28,7127065,'1',454,'N'),(28,7127073,'1',201,'N'),(28,7127073,'1A',212,'N'),(28,7127081,'1',552,'N'),(28,7127090,'1',108,'N'),(28,7127103,'1',999,'N'),(28,7127111,'1',340,'N'),(28,7127120,'1',208,'N'),(28,7127138,'1',103,'N'),(28,7127154,'1',601,'N'),(28,7127154,'1A',235,'N'),(28,7127162,'1',238,'N'),(28,7127162,'1A',201,'N'),(28,7127170,'1',103,'N'),(28,7127189,'1',103,'N'),(28,7127197,'1',319,'N'),(28,7127200,'1',101,'N'),(28,7127219,'1',103,'N'),(28,7127235,'1',303,'N'),(28,7127243,'1',201,'N'),(28,7127243,'1A',601,'N'),(28,7127251,'1',103,'N'),(28,7127260,'1',207,'N'),(28,7127260,'1A',215,'N'),(28,7127286,'1',415,'N'),(28,7127294,'1',203,'N'),(28,7127294,'1A',601,'N'),(28,7127308,'1',201,'N'),(28,7127308,'1A',653,'N'),(28,7127316,'1',103,'N'),(28,7127324,'1',3,'N'),(28,7127340,'1',428,'N'),(28,7127340,'1A',425,'N'),(28,7127367,'1',203,'N'),(28,7127367,'1A',235,'N'),(28,7127375,'1',202,'N'),(28,7127375,'1A',213,'N'),(28,7127391,'1',999,'N'),(28,7127405,'1',103,'N'),(28,7127413,'1',211,'N'),(28,7127413,'1A',216,'N'),(28,7127421,'1',450,'N'),(28,7127430,'1',103,'N'),(28,7127448,'1',301,'N'),(28,7127456,'1',444,'N'),(28,7127472,'1',502,'N'),(28,7127480,'1',454,'N'),(28,7127499,'1',110,'N'),(28,7127502,'1',303,'N'),(28,7127537,'1',201,'N'),(28,7127537,'1A',212,'N'),(28,7127545,'1',999,'N'),(28,7127570,'1',999,'N'),(28,7127588,'1',234,'N'),(28,7127596,'1',234,'N'),(28,7127626,'1',202,'N'),(28,7127626,'1A',211,'N'),(28,7127634,'1',340,'N'),(28,7127677,'1',653,'N'),(28,7127693,'1',201,'N'),(28,7127693,'1A',233,'N'),(28,7127707,'1',207,'N'),(28,7127707,'1A',201,'N'),(28,7127715,'1',415,'N'),(28,7127723,'1',103,'N'),(28,7127731,'1',303,'N'),(28,7127758,'1',454,'N'),(28,7127766,'1',103,'N'),(28,7127774,'1',415,'N'),(28,7127782,'1',450,'N'),(28,7127790,'1',415,'N'),(28,7127804,'1',207,'N'),(28,7127804,'1A',233,'N'),(28,7127812,'1',103,'N'),(28,7127820,'1',103,'N'),(28,7127839,'1',102,'N'),(28,7127847,'1',316,'N'),(28,7127855,'1',5,'N'),(28,7127863,'1',201,'N'),(28,7127863,'1A',203,'N'),(28,7127880,'1',104,'N'),(28,7127901,'1',108,'N'),(28,7127910,'1',428,'N'),(28,7127910,'1A',424,'N'),(28,7127928,'1',501,'N'),(28,7127936,'1',303,'N'),(28,7127944,'1',653,'N'),(28,7127944,'1A',655,'N'),(28,7127952,'1',207,'N'),(28,7127952,'1A',235,'N'),(28,7127979,'1',316,'N'),(28,7127995,'1',201,'N'),(28,7127995,'1A',211,'N'),(28,7128002,'1',208,'N'),(28,7128010,'1',211,'N'),(28,7128010,'1A',215,'N'),(28,7128029,'1',327,'N'),(28,7128037,'1',319,'N'),(28,7128045,'1',444,'N'),(28,7128061,'1',103,'N'),(28,7128070,'1',103,'N'),(28,7128088,'1',203,'N'),(28,7128088,'1A',601,'N'),(28,7128096,'1',201,'N'),(28,7128096,'1A',207,'N'),(28,7128100,'1',502,'N'),(28,7128118,'1',444,'N'),(28,7128142,'1',5,'N'),(28,7128150,'1',208,'N'),(28,7128177,'1',999,'N'),(28,7128185,'1',203,'N'),(28,7128185,'1A',233,'N'),(28,7128207,'1',207,'N'),(28,7128207,'1A',212,'N'),(28,7128215,'1',303,'N'),(28,7128231,'1',552,'N'),(28,7128266,'1',319,'N'),(28,7128274,'1',103,'N'),(28,7128282,'1',202,'N'),(28,7128282,'1A',213,'N'),(28,7128290,'1',108,'N'),(28,7128304,'1',208,'N'),(28,7128320,'1',454,'N'),(28,7128339,'1',103,'N'),(28,7128347,'1',308,'N'),(28,7128355,'1',999,'N'),(28,7128363,'1',444,'N'),(28,7128371,'1',233,'N'),(28,7128371,'1A',201,'N'),(28,7128380,'1',202,'N'),(28,7128380,'1A',203,'N'),(28,7128398,'1',101,'N'),(28,7128410,'1',319,'N'),(28,7128428,'1',103,'N'),(28,7128436,'1',104,'N'),(28,7128452,'1',444,'N'),(28,7128460,'1',225,'N'),(28,7128487,'1',203,'N'),(28,7128487,'1A',601,'N'),(28,7128495,'1',999,'N'),(28,7128509,'1',5,'N'),(28,7128517,'1',5,'N'),(28,7128525,'1',103,'N'),(28,7128533,'1',5,'N'),(28,7128541,'1',104,'N'),(28,7128568,'1',503,'N'),(28,7128576,'1',5,'N'),(28,7128584,'1',216,'N'),(28,7128584,'1A',220,'N'),(28,7128592,'1',103,'N'),(28,7128606,'1',103,'N'),(28,7128614,'1',207,'N'),(28,7128614,'1A',215,'N'),(28,7128630,'1',5,'N'),(28,7128649,'1',103,'N'),(28,7128657,'1',203,'N'),(28,7128657,'1A',201,'N'),(28,7128665,'1',303,'N'),(28,7128673,'1',102,'N'),(28,7128690,'1',301,'N'),(28,7128703,'1',340,'N'),(28,7128711,'1',999,'N'),(28,7128720,'1',103,'N'),(28,7128738,'1',319,'N'),(28,7128746,'1',201,'N'),(28,7128746,'1A',207,'N'),(28,7128754,'1',103,'N'),(28,7128762,'1',9,'N'),(28,7128789,'1',5,'N'),(28,7128800,'1',303,'N'),(28,7128819,'1',201,'N'),(28,7128819,'1A',212,'N'),(28,7128827,'1',233,'N'),(28,7128827,'1A',601,'N'),(28,7128835,'1',454,'N'),(28,7128851,'1',203,'N'),(28,7128851,'1A',216,'N'),(28,7128860,'1',214,'N'),(28,7128860,'1A',233,'N'),(28,7128878,'1',103,'N'),(28,7128886,'1',103,'N'),(28,7128894,'1',103,'N'),(28,7128908,'1',103,'N'),(28,7128916,'1',653,'N'),(28,7128924,'1',201,'N'),(28,7128924,'1A',653,'N'),(28,7128932,'1',415,'N'),(28,7128940,'1',233,'N'),(28,7128940,'1A',212,'N'),(28,7128959,'1',213,'N'),(28,7128959,'1A',233,'N'),(28,7128967,'1',238,'N'),(28,7128967,'1A',220,'N'),(28,7128975,'1',220,'N'),(28,7128975,'1A',601,'N'),(28,7128983,'1',308,'N'),(28,7128991,'1',201,'N'),(28,7128991,'1A',212,'N'),(28,7129009,'1',203,'N'),(28,7129009,'1A',201,'N'),(28,7129017,'1',103,'N'),(28,7129025,'1',211,'N'),(28,7129025,'1A',215,'N'),(28,7129033,'1',207,'N'),(28,7129033,'1A',201,'N'),(28,7129041,'1',103,'N'),(28,7129050,'1',303,'N'),(28,7129076,'1',103,'N'),(28,7129084,'1',309,'N'),(28,7129092,'1',103,'N'),(28,7129106,'1',103,'N'),(28,7129122,'1',103,'N'),(28,7129130,'1',103,'N'),(28,7129149,'1',103,'N'),(28,7129157,'1',104,'N'),(28,7129165,'1',108,'N'),(28,7129173,'1',203,'N'),(28,7129181,'1',207,'N'),(28,7129181,'1A',201,'N'),(28,7129190,'1',201,'N'),(28,7129190,'1A',202,'N'),(28,7129203,'1',214,'N'),(28,7129203,'1A',212,'N'),(28,7129211,'1',999,'N'),(28,7129220,'1',5,'N'),(28,7129238,'1',102,'N'),(28,7129246,'1',5,'N'),(28,7129262,'1',301,'N'),(28,7129270,'1',102,'N'),(28,7129289,'1',304,'N'),(28,7129297,'1',5,'N'),(28,7129319,'1',317,'N'),(28,7129327,'1',201,'N'),(28,7129327,'1A',207,'N'),(28,7129335,'1',103,'N'),(28,7129343,'1',216,'N'),(28,7129343,'1A',214,'N'),(28,7129351,'1',454,'N'),(28,7129360,'1',201,'N'),(28,7129360,'1A',207,'N'),(28,7129378,'1',211,'N'),(28,7129378,'1A',215,'N'),(28,7129386,'1',103,'N'),(28,7129394,'1',339,'N'),(28,7129408,'1',450,'N'),(28,7129416,'1',601,'N'),(28,7129416,'1A',215,'N'),(28,7129432,'1',444,'N'),(28,7129440,'1',304,'N'),(28,7129467,'1',103,'N'),(28,7129475,'1',201,'N'),(28,7129475,'1A',212,'N'),(28,7129483,'1',234,'N'),(28,7129491,'1',310,'N'),(28,7129505,'1',654,'N'),(28,7129513,'1',207,'N'),(28,7129513,'1A',203,'N'),(28,7129521,'1',201,'N'),(28,7129530,'1',428,'N'),(28,7129548,'1',102,'N'),(28,7129564,'1',9,'N'),(28,7129572,'1',340,'N'),(28,7129580,'1',103,'N'),(28,7129599,'1',654,'N'),(28,7129602,'1',424,'N'),(28,7129602,'1A',426,'N'),(28,7129610,'1',212,'N'),(28,7129610,'1A',216,'N'),(28,7129629,'1',208,'N'),(28,7129637,'1',327,'N'),(28,7129653,'1',309,'N'),(28,7129661,'1',216,'N'),(28,7129661,'1A',214,'N'),(28,7129688,'1',104,'N'),(28,7129718,'1',104,'N'),(28,7129726,'1',208,'N'),(28,7129734,'1',302,'N'),(28,7129742,'1',301,'N'),(28,7129769,'1',104,'N'),(28,7129777,'1',454,'N'),(28,7129785,'1',301,'N'),(28,7129793,'1',103,'N'),(28,7129807,'1',551,'N'),(28,7129823,'1',999,'N'),(28,7129831,'1',103,'N'),(28,7129840,'1',319,'N'),(28,7129858,'1',201,'N'),(28,7129858,'1A',233,'N'),(28,7129866,'1',216,'N'),(28,7129866,'1A',653,'N'),(28,7129882,'1',103,'N'),(28,7129890,'1',220,'N'),(28,7129890,'1A',235,'N'),(28,7129904,'1',319,'N'),(28,7129912,'1',103,'N'),(28,7129920,'1',454,'N'),(28,7129939,'1',9,'N'),(28,7129955,'1',304,'N'),(28,7129971,'1',103,'N'),(28,7129980,'1',103,'N'),(28,7129998,'1',220,'N'),(28,7129998,'1A',203,'N'),(28,7130007,'1',454,'N'),(28,7130015,'1',5,'N'),(28,7130023,'1',103,'N'),(28,7130031,'1',103,'N'),(28,7130058,'1',235,'N'),(28,7130058,'1A',213,'N'),(28,7130074,'1',332,'N'),(28,7130082,'1',319,'N'),(28,7130090,'1',654,'N'),(28,7130104,'1',501,'N'),(28,7130112,'1',203,'N'),(28,7130112,'1A',220,'N'),(28,7130120,'1',103,'N'),(28,7130147,'1',5,'N'),(28,7130171,'1',655,'N'),(28,7130171,'1A',652,'N'),(28,7130180,'1',233,'N'),(28,7130180,'1A',211,'N'),(28,7130198,'1',103,'N'),(28,7130201,'1',203,'N'),(28,7130201,'1A',202,'N'),(28,7130210,'1',103,'N'),(28,7130228,'1',103,'N'),(28,7130236,'1',207,'N'),(28,7130236,'1A',655,'N'),(28,7130244,'1',336,'N'),(28,7130252,'1',102,'N'),(28,7130260,'1',207,'N'),(28,7130260,'1A',215,'N'),(28,7130279,'1',225,'N'),(28,7130287,'1',212,'N'),(28,7130287,'1A',211,'N'),(28,7130295,'1',326,'N'),(28,7130309,'1',201,'N'),(28,7130309,'1A',233,'N'),(28,7130317,'1',102,'N'),(28,7130325,'1',454,'N'),(28,7130333,'1',316,'N'),(28,7130341,'1',103,'N'),(28,7130350,'1',220,'N'),(28,7130350,'1A',202,'N'),(28,7130368,'1',103,'N'),(28,7130376,'1',201,'N'),(28,7130376,'1A',212,'N'),(28,7130384,'1',234,'N'),(28,7130392,'1',203,'N'),(28,7130392,'1A',214,'N'),(28,7130414,'1',216,'N'),(28,7130414,'1A',202,'N'),(28,7130449,'1',203,'N'),(28,7130449,'1A',214,'N'),(28,7130457,'1',440,'N'),(28,7130465,'1',326,'N'),(28,7130473,'1',5,'N'),(28,7130481,'1',340,'N'),(28,7130490,'1',104,'N'),(28,7130503,'1',444,'N'),(28,7130511,'1',230,'N'),(28,7130520,'1',415,'N'),(28,7130538,'1',340,'N'),(28,7130554,'1',301,'N'),(28,7130570,'1',101,'N'),(28,7130589,'1',202,'N'),(28,7130589,'1A',203,'N'),(28,7130597,'1',317,'N'),(28,7130600,'1',103,'N'),(28,7130619,'1',212,'N'),(28,7130619,'1A',201,'N'),(28,7130635,'1',203,'N'),(28,7130635,'1A',202,'N'),(28,7130643,'1',203,'N'),(28,7130643,'1A',601,'N'),(28,7130651,'1',103,'N'),(28,7130678,'1',238,'N'),(28,7130686,'1',103,'N'),(28,7130694,'1',444,'N'),(28,7130716,'1',201,'N'),(28,7130716,'1A',212,'N'),(28,7130724,'1',234,'N'),(28,7130732,'1',208,'N'),(28,7130740,'1',309,'N'),(28,7130767,'1',216,'N'),(28,7130767,'1A',212,'N'),(28,7130775,'1',450,'N'),(28,7130783,'1',201,'N'),(28,7130783,'1A',235,'N'),(28,7130791,'1',103,'N'),(28,7130848,'1',301,'N'),(28,7130856,'1',319,'N'),(28,7130864,'1',340,'N'),(28,7130899,'1',108,'N'),(28,7130902,'1',201,'N'),(28,7130902,'1A',207,'N'),(28,7130910,'1',203,'N'),(28,7130929,'1',203,'N'),(28,7130929,'1A',202,'N'),(28,7130937,'1',103,'N'),(28,7130953,'1',103,'N'),(28,7130970,'1',5,'N'),(28,7130988,'1',335,'N'),(28,7130996,'1',216,'N'),(28,7130996,'1A',220,'N'),(28,7131003,'1',216,'N'),(28,7131011,'1',103,'N'),(28,7131020,'1',108,'N'),(28,7131038,'1',103,'N'),(28,7131046,'1',103,'N'),(28,7131070,'1',655,'N'),(28,7131070,'1A',207,'N'),(28,7131097,'1',203,'N'),(28,7131097,'1A',202,'N'),(28,7131100,'1',331,'N'),(28,7131119,'1',319,'N'),(28,7131127,'1',319,'N'),(28,7131135,'1',103,'N'),(28,7131143,'1',203,'N'),(28,7131143,'1A',214,'N'),(28,7131151,'1',201,'N'),(28,7131151,'1A',203,'N'),(28,7131160,'1',454,'N'),(28,7131178,'1',214,'N'),(28,7131178,'1A',213,'N'),(28,7131186,'1',103,'N'),(28,7131194,'1',326,'N'),(28,7131208,'1',201,'N'),(28,7131216,'1',235,'N'),(28,7131216,'1A',220,'N'),(28,7131224,'1',224,'N'),(28,7131259,'1',208,'N'),(28,7131267,'1',214,'N'),(28,7131267,'1A',203,'N'),(28,7131275,'1',102,'N'),(28,7131283,'1',340,'N'),(28,7131291,'1',203,'N'),(28,7131291,'1A',235,'N'),(28,7131305,'1',103,'N'),(28,7131313,'1',233,'N'),(28,7131313,'1A',213,'N'),(28,7131321,'1',101,'N'),(28,7131330,'1',203,'N'),(28,7131330,'1A',214,'N'),(28,7131348,'1',316,'N'),(28,7131356,'1',104,'N'),(28,7131364,'1',223,'N'),(28,7131372,'1',340,'N'),(28,7131380,'1',415,'N'),(28,7131399,'1',428,'N'),(28,7131399,'1A',423,'N'),(28,7131402,'1',103,'N'),(28,7131410,'1',208,'N'),(28,7131437,'1',203,'N'),(28,7131437,'1A',201,'N'),(28,7131453,'1',211,'N'),(28,7131453,'1A',201,'N'),(28,7131461,'1',201,'N'),(28,7131461,'1A',202,'N'),(28,7131470,'1',454,'N'),(28,7131488,'1',502,'N'),(28,7131496,'1',320,'N'),(28,7131500,'1',5,'N'),(28,7131526,'1',216,'N'),(28,7131526,'1A',212,'N'),(28,7131542,'1',103,'N'),(28,7131550,'1',238,'N'),(28,7131550,'1A',207,'N'),(28,7131569,'1',207,'N'),(28,7131569,'1A',235,'N'),(28,7131577,'1',332,'N'),(28,7131585,'1',207,'N'),(28,7131585,'1A',212,'N'),(28,7131607,'1',333,'N'),(28,7131623,'1',103,'N'),(28,7131631,'1',238,'N'),(28,7131631,'1A',202,'N'),(28,7131640,'1',104,'N'),(28,7131666,'1',103,'N'),(28,7131674,'1',654,'N'),(28,7131682,'1',211,'N'),(28,7131690,'1',238,'N'),(28,7131739,'1',310,'N'),(28,7131747,'1',103,'N'),(28,7131763,'1',238,'N'),(28,7131763,'1A',201,'N'),(28,7131771,'1',212,'N'),(28,7131771,'1A',214,'N'),(28,7131798,'1',104,'N'),(28,7131810,'1',201,'N'),(28,7131810,'1A',203,'N'),(28,7131852,'1',220,'N'),(28,7131852,'1A',214,'N'),(28,7131879,'1',201,'N'),(28,7131879,'1A',202,'N'),(28,7131895,'1',331,'N'),(28,7131925,'1',103,'N'),(28,7131933,'1',303,'N'),(28,7131941,'1',319,'N'),(28,7131950,'1',429,'N'),(28,7131968,'1',203,'N'),(28,7131968,'1A',201,'N'),(28,7131976,'1',340,'N'),(28,7131984,'1',102,'N'),(28,7131992,'1',202,'N'),(28,7131992,'1A',655,'N'),(28,7132000,'1',551,'N'),(28,7132026,'1',202,'N'),(28,7132026,'1A',235,'N'),(28,7132034,'1',201,'N'),(28,7132034,'1A',216,'N'),(28,7132042,'1',301,'N'),(28,7132069,'1',215,'N'),(28,7132069,'1A',207,'N'),(28,7132077,'1',316,'N'),(28,7132093,'1',103,'N'),(28,7132115,'1',317,'N'),(28,7132131,'1',203,'N'),(28,7132158,'1',444,'N'),(28,7132166,'1',103,'N'),(28,7132174,'1',450,'N'),(28,7132182,'1',652,'N'),(28,7132182,'1A',655,'N'),(28,7132190,'1',103,'N'),(28,7132204,'1',552,'N'),(28,7132212,'1',103,'N'),(28,7132220,'1',207,'N'),(28,7132220,'1A',201,'N'),(28,7132239,'1',653,'N'),(28,7132239,'1A',216,'N'),(28,7132247,'1',203,'N'),(28,7132247,'1A',201,'N'),(28,7132263,'1',317,'N'),(28,7132280,'1',340,'N'),(28,7132298,'1',233,'N'),(28,7132298,'1A',235,'N'),(28,7132328,'1',201,'N'),(28,7132328,'1A',203,'N'),(28,7132336,'1',220,'N'),(28,7132336,'1A',202,'N'),(28,7132352,'1',324,'N'),(28,7132379,'1',224,'N'),(28,7132387,'1',3,'N'),(28,7132409,'1',104,'N'),(28,7132417,'1',108,'N'),(28,7132425,'1',324,'N'),(28,7132433,'1',415,'N'),(28,7132441,'1',454,'N'),(28,7132450,'1',212,'N'),(28,7132450,'1A',207,'N'),(28,7132468,'1',444,'N'),(28,7132476,'1',103,'N'),(28,7132484,'1',203,'N'),(28,7132484,'1A',214,'N'),(28,7132506,'1',238,'N'),(28,7132506,'1A',235,'N'),(28,7132522,'1',5,'N'),(28,7132530,'1',103,'N'),(28,7132549,'1',552,'N'),(28,7132557,'1',101,'N'),(28,7132565,'1',999,'N'),(28,7132573,'1',427,'N'),(28,7132573,'1A',424,'N'),(28,7132581,'1',211,'N'),(28,7132581,'1A',215,'N'),(28,7132590,'1',308,'N'),(28,7132611,'1',234,'N'),(28,7132654,'1',208,'N'),(28,7132662,'1',333,'N'),(28,7132697,'1',444,'N'),(28,7132727,'1',454,'N'),(28,7132786,'1',552,'N'),(28,7132808,'1',303,'N'),(28,7132816,'1',103,'N'),(28,7132859,'1',103,'N'),(28,7132867,'1',326,'N'),(28,7132875,'1',211,'N'),(28,7132875,'1A',213,'N'),(28,7132883,'1',303,'N'),(28,7132891,'1',207,'N'),(28,7132891,'1A',220,'N'),(28,7132930,'1',316,'N'),(28,7132956,'1',103,'N'),(28,7132964,'1',238,'N'),(28,7132972,'1',103,'N'),(28,7132980,'1',318,'N'),(28,7132999,'1',201,'N'),(28,7132999,'1A',212,'N'),(28,7133006,'1',103,'N'),(28,7133014,'1',320,'N'),(28,7133030,'1',316,'N'),(28,7133049,'1',502,'N'),(28,7133057,'1',223,'N'),(28,7133065,'1',104,'N'),(28,7133073,'1',454,'N'),(28,7133103,'1',425,'N'),(28,7133103,'1A',421,'N'),(28,7133111,'1',202,'N'),(28,7133111,'1A',203,'N'),(28,7133120,'1',207,'N'),(28,7133120,'1A',211,'N'),(28,7133138,'1',333,'N'),(28,7133146,'1',207,'N'),(28,7133146,'1A',212,'N'),(28,7133170,'1',601,'N'),(28,7133189,'1',5,'N'),(28,7133200,'1',454,'N'),(28,7133219,'1',318,'N'),(28,7133235,'1',454,'N'),(28,7133243,'1',103,'N'),(28,7133251,'1',101,'N'),(28,7133260,'1',103,'N'),(28,7133278,'1',235,'N'),(28,7133286,'1',104,'N'),(28,7133294,'1',301,'N'),(28,7133308,'1',999,'N'),(28,7133316,'1',424,'N'),(28,7133316,'1A',427,'N'),(28,7133324,'1',214,'N'),(28,7133324,'1A',233,'N'),(28,7133340,'1',201,'N'),(28,7133340,'1A',235,'N'),(28,7133359,'1',103,'N'),(28,7133367,'1',308,'N'),(28,7133375,'1',103,'N'),(28,7133383,'1',103,'N'),(28,7133391,'1',223,'N'),(28,7133405,'1',326,'N'),(28,7133413,'1',103,'N'),(28,7133421,'1',601,'N'),(28,7133421,'1A',201,'N'),(28,7133430,'1',303,'N'),(28,7133448,'1',223,'N'),(28,7133456,'1',203,'N'),(28,7133464,'1',208,'N'),(28,7133472,'1',426,'N'),(28,7133472,'1A',425,'N'),(28,7133480,'1',552,'N'),(28,7133502,'1',320,'N'),(28,7133510,'1',108,'N'),(28,7133529,'1',310,'N'),(28,7133537,'1',444,'N'),(28,7133553,'1',103,'N'),(28,7133561,'1',450,'N'),(28,7133588,'1',421,'N'),(28,7133588,'1A',429,'N'),(28,7133600,'1',220,'N'),(28,7133600,'1A',655,'N'),(28,7133618,'1',428,'N'),(28,7133618,'1A',426,'N'),(28,7133626,'1',103,'N'),(28,7133634,'1',303,'N'),(28,7133642,'1',404,'N'),(28,7133677,'1',319,'N'),(28,7133685,'1',301,'N'),(28,7133693,'1',999,'N'),(28,7133715,'1',216,'N'),(28,7133715,'1A',233,'N'),(28,7133723,'1',203,'N'),(28,7133723,'1A',214,'N'),(28,7133731,'1',238,'N'),(28,7133731,'1A',211,'N'),(28,7133766,'1',5,'N'),(28,7133782,'1',654,'N'),(28,7133790,'1',450,'N'),(28,7133804,'1',103,'N'),(28,7133812,'1',429,'N'),(28,7133820,'1',103,'N'),(28,7133855,'1',216,'N'),(28,7133855,'1A',212,'N'),(28,7133898,'1',317,'N'),(28,7133910,'1',103,'N'),(28,7133936,'1',108,'N'),(28,7133944,'1',203,'N'),(28,7133944,'1A',220,'N'),(28,7133952,'1',103,'N'),(28,7133960,'1',216,'N'),(28,7133960,'1A',233,'N'),(28,7133979,'1',201,'N'),(28,7133979,'1A',211,'N'),(28,7133995,'1',238,'N'),(28,7134002,'1',303,'N'),(28,7134010,'1',201,'N'),(28,7134010,'1A',238,'N'),(28,7134029,'1',103,'N'),(28,7134037,'1',454,'N'),(28,7134045,'1',301,'N'),(28,7134053,'1',238,'N'),(28,7134053,'1A',203,'N'),(28,7134061,'1',103,'N'),(28,7134070,'1',103,'N'),(28,7134088,'1',310,'N'),(28,7134096,'1',327,'N'),(28,7134100,'1',202,'N'),(28,7134100,'1A',203,'N'),(28,7134118,'1',326,'N'),(28,7134126,'1',207,'N'),(28,7134126,'1A',212,'N'),(28,7134134,'1',303,'N'),(28,7134142,'1',201,'N'),(28,7134142,'1A',212,'N'),(28,7134150,'1',103,'N'),(28,7134177,'1',230,'N'),(28,7134185,'1',103,'N'),(28,7134223,'1',216,'N'),(28,7134223,'1A',220,'N'),(28,7134231,'1',224,'N'),(28,7134266,'1',220,'N'),(28,7134266,'1A',601,'N'),(28,7134274,'1',428,'N'),(28,7134274,'1A',426,'N'),(28,7134282,'1',103,'N'),(28,7134290,'1',103,'N'),(28,7134320,'1',103,'N'),(28,7134339,'1',207,'N'),(28,7134339,'1A',201,'N'),(28,7134347,'1',103,'N'),(28,7134355,'1',103,'N'),(28,7134363,'1',233,'N'),(28,7134363,'1A',216,'N'),(28,7134380,'1',316,'N'),(28,7134398,'1',5,'N'),(28,7134410,'1',208,'N'),(28,7134428,'1',340,'N'),(28,7134436,'1',5,'N'),(28,7134444,'1',207,'N'),(28,7134444,'1A',212,'N'),(28,7134452,'1',103,'N'),(28,7134460,'1',444,'N'),(28,7134487,'1',454,'N'),(28,7134495,'1',207,'N'),(28,7134495,'1A',201,'N'),(28,7134509,'1',216,'N'),(28,7134509,'1A',233,'N'),(28,7134517,'1',301,'N'),(28,7134525,'1',108,'N'),(28,7134533,'1',207,'N'),(28,7134533,'1A',201,'N'),(28,7134541,'1',103,'N'),(28,7134550,'1',201,'N'),(28,7134550,'1A',212,'N'),(28,7134568,'1',326,'N'),(28,7134584,'1',216,'N'),(28,7134584,'1A',215,'N'),(28,7134592,'1',102,'N'),(28,7134606,'1',207,'N'),(28,7134606,'1A',201,'N'),(28,7134614,'1',110,'N'),(28,7134622,'1',108,'N'),(28,7134630,'1',425,'N'),(28,7134630,'1A',429,'N'),(28,7134649,'1',103,'N'),(28,7134657,'1',103,'N'),(28,7134673,'1',103,'N'),(28,7134681,'1',216,'N'),(28,7134681,'1A',214,'N'),(28,7134703,'1',333,'N'),(28,7134711,'1',5,'N'),(28,7134720,'1',331,'N'),(28,7134762,'1',202,'N'),(28,7134762,'1A',233,'N'),(28,7134789,'1',316,'N'),(28,7134797,'1',103,'N'),(28,7134819,'1',444,'N'),(28,7134827,'1',203,'N'),(28,7134827,'1A',201,'N'),(28,7134843,'1',109,'N'),(28,7134851,'1',103,'N'),(28,7134860,'1',319,'N'),(28,7134878,'1',220,'N'),(28,7134878,'1A',202,'N'),(28,7134886,'1',428,'N'),(28,7134886,'1A',424,'N'),(28,7134894,'1',3,'N'),(28,7134908,'1',319,'N'),(28,7134932,'1',201,'N'),(28,7134932,'1A',212,'N'),(28,7134940,'1',103,'N'),(28,7134959,'1',303,'N'),(28,7134967,'1',454,'N'),(28,7134975,'1',103,'N'),(28,7134983,'1',201,'N'),(28,7134983,'1A',212,'N'),(28,7135009,'1',5,'N'),(28,7135017,'1',102,'N'),(28,7135025,'1',444,'N'),(28,7135033,'1',601,'N'),(28,7135041,'1',601,'N'),(28,7135041,'1A',233,'N'),(28,7135068,'1',207,'N'),(28,7135068,'1A',201,'N'),(28,7135092,'1',103,'N'),(28,7135114,'1',317,'N'),(28,7135122,'1',319,'N'),(28,7135130,'1',317,'N'),(28,7135149,'1',101,'N'),(28,7135157,'1',201,'N'),(28,7135157,'1A',211,'N'),(28,7135165,'1',211,'N'),(28,7135165,'1A',212,'N'),(28,7135181,'1',110,'N'),(28,7135203,'1',103,'N'),(28,7135211,'1',208,'N'),(28,7135220,'1',109,'N'),(28,7135238,'1',103,'N'),(28,7135262,'1',203,'N'),(28,7135262,'1A',233,'N'),(28,7135270,'1',211,'N'),(28,7135270,'1A',216,'N'),(28,7135289,'1',336,'N'),(28,7135297,'1',424,'N'),(28,7135297,'1A',428,'N'),(28,7135319,'1',103,'N'),(28,7135327,'1',102,'N'),(28,7135335,'1',319,'N'),(28,7135378,'1',216,'N'),(28,7135378,'1A',203,'N'),(28,7135386,'1',326,'N'),(28,7135394,'1',103,'N'),(28,7135408,'1',238,'N'),(28,7135408,'1A',201,'N'),(28,7135440,'1',450,'N'),(28,7135459,'1',601,'N'),(28,7135459,'1A',207,'N'),(28,7135467,'1',201,'N'),(28,7135467,'1A',202,'N'),(28,7135475,'1',327,'N'),(28,7135491,'1',103,'N'),(28,7135505,'1',216,'N'),(28,7135505,'1A',207,'N'),(28,7135513,'1',340,'N'),(28,7135599,'1',103,'N'),(28,7135602,'1',327,'N'),(28,7135610,'1',999,'N'),(28,7135629,'1',652,'N'),(28,7135629,'1A',655,'N'),(28,7135645,'1',103,'N'),(28,7135661,'1',108,'N'),(28,7135696,'1',9,'N'),(28,7135718,'1',552,'N'),(28,7135726,'1',103,'N'),(28,7135742,'1',102,'N'),(28,7135750,'1',415,'N'),(28,7135769,'1',103,'N'),(28,7135777,'1',108,'N'),(28,7135785,'1',5,'N'),(28,7135807,'1',301,'N'),(28,7135831,'1',104,'N'),(28,7135840,'1',340,'N'),(28,7135858,'1',103,'N'),(28,7135874,'1',103,'N'),(28,7135882,'1',451,'N'),(28,7135904,'1',101,'N'),(28,7135920,'1',2,'N'),(28,7135939,'1',551,'N'),(28,7135947,'1',999,'N'),(28,7135963,'1',207,'N'),(28,7135963,'1A',201,'N'),(28,7135971,'1',201,'N'),(28,7135971,'1A',212,'N'),(28,7135998,'1',9,'N'),(28,7136013,'1',235,'N'),(28,7136013,'1A',202,'N'),(28,7136021,'1',5,'N'),(28,7136030,'1',202,'N'),(28,7136030,'1A',213,'N'),(28,7136048,'1',211,'N'),(28,7136048,'1A',653,'N'),(28,7136072,'1',318,'N'),(28,7136080,'1',308,'N'),(28,7136099,'1',454,'N'),(28,7136102,'1',331,'N'),(28,7136145,'1',207,'N'),(28,7136161,'1',103,'N'),(28,7136188,'1',340,'N'),(28,7136196,'1',103,'N'),(28,7136200,'1',320,'N'),(28,7136218,'1',653,'N'),(28,7136218,'1A',655,'N'),(28,7136226,'1',103,'N'),(28,7136234,'1',415,'N'),(28,7136242,'1',319,'N'),(28,7136250,'1',319,'N'),(28,7136269,'1',501,'N'),(28,7136285,'1',415,'N'),(28,7136293,'1',103,'N'),(28,7136315,'1',211,'N'),(28,7136358,'1',101,'N'),(28,7136366,'1',216,'N'),(28,7136366,'1A',233,'N'),(28,7136374,'1',103,'N'),(28,7136382,'1',235,'N'),(28,7136390,'1',110,'N'),(28,7136412,'1',3,'N'),(28,7136420,'1',216,'N'),(28,7136420,'1A',233,'N'),(28,7136439,'1',103,'N'),(28,7136447,'1',103,'N'),(28,7136471,'1',103,'N'),(28,7136480,'1',109,'N'),(28,7136498,'1',655,'N'),(28,7136498,'1A',653,'N'),(28,7136501,'1',203,'N'),(28,7136501,'1A',201,'N'),(28,7136528,'1',415,'N'),(28,7136536,'1',103,'N'),(28,7136544,'1',201,'N'),(28,7136544,'1A',212,'N'),(28,7136552,'1',103,'N'),(28,7136587,'1',316,'N'),(28,7136609,'1',319,'N'),(28,7136625,'1',202,'N'),(28,7136625,'1A',235,'N'),(28,7136633,'1',340,'N'),(28,7136641,'1',201,'N'),(28,7136641,'1A',207,'N'),(28,7136650,'1',319,'N'),(28,7136668,'1',303,'N'),(28,7136676,'1',304,'N'),(28,7136684,'1',308,'N'),(28,7136692,'1',201,'N'),(28,7136692,'1A',203,'N'),(28,7136706,'1',316,'N'),(28,7136722,'1',102,'N'),(28,7136730,'1',318,'N'),(28,7136749,'1',211,'N'),(28,7136749,'1A',213,'N'),(28,7136765,'1',316,'N'),(28,7136773,'1',551,'N'),(28,7136781,'1',203,'N'),(28,7136781,'1A',213,'N'),(28,7136790,'1',211,'N'),(28,7136790,'1A',601,'N'),(28,7136803,'1',5,'N'),(28,7136811,'1',552,'N'),(28,7136820,'1',103,'N'),(28,7136838,'1',316,'N'),(28,7136846,'1',333,'N'),(28,7136862,'1',211,'N'),(28,7136862,'1A',207,'N'),(28,7136870,'1',340,'N'),(28,7136889,'1',103,'N'),(28,7136897,'1',108,'N'),(28,7136919,'1',211,'N'),(28,7136919,'1A',238,'N'),(28,7136927,'1',207,'N'),(28,7136927,'1A',201,'N'),(28,7136935,'1',423,'N'),(28,7136935,'1A',427,'N'),(28,7136951,'1',340,'N'),(28,7136960,'1',203,'N'),(28,7136960,'1A',201,'N'),(28,7136978,'1',211,'N'),(28,7136978,'1A',207,'N'),(28,7136986,'1',103,'N'),(28,7137010,'1',319,'N'),(28,7137028,'1',238,'N'),(28,7137028,'1A',213,'N'),(28,7137036,'1',103,'N'),(28,7137044,'1',103,'N'),(28,7137052,'1',336,'N'),(28,7137060,'1',102,'N'),(28,7137079,'1',501,'N'),(28,7137087,'1',207,'N'),(28,7137087,'1A',233,'N'),(28,7137109,'1',234,'N'),(28,7137117,'1',5,'N'),(28,7137125,'1',308,'N'),(28,7137133,'1',104,'N'),(28,7137141,'1',203,'N'),(28,7137141,'1A',233,'N'),(28,7137150,'1',201,'N'),(28,7137150,'1A',212,'N'),(28,7137168,'1',999,'N'),(28,7137184,'1',415,'N'),(28,7137192,'1',216,'N'),(28,7137192,'1A',207,'N'),(28,7137206,'1',653,'N'),(28,7137206,'1A',211,'N'),(28,7137214,'1',203,'N'),(28,7137214,'1A',220,'N'),(28,7137222,'1',5,'N'),(28,7137230,'1',654,'N'),(28,7137257,'1',104,'N'),(28,7137265,'1',201,'N'),(28,7137281,'1',340,'N'),(28,7137290,'1',201,'N'),(28,7137290,'1A',212,'N'),(28,7137320,'1',319,'N'),(28,7137338,'1',104,'N'),(28,7137346,'1',423,'N'),(28,7137346,'1A',425,'N'),(28,7137370,'1',104,'N'),(28,7137389,'1',108,'N'),(28,7137397,'1',5,'N'),(28,7137400,'1',103,'N'),(28,7137427,'1',104,'N'),(28,7137435,'1',340,'N'),(28,7137443,'1',454,'N'),(28,7137451,'1',999,'N'),(28,7137460,'1',216,'N'),(28,7137460,'1A',215,'N'),(28,7137478,'1',103,'N'),(28,7137486,'1',303,'N'),(28,7137516,'1',216,'N'),(28,7137516,'1A',203,'N'),(28,7137540,'1',999,'N'),(28,7137559,'1',235,'N'),(28,7137559,'1A',202,'N'),(28,7137567,'1',601,'N'),(28,7137575,'1',205,'N'),(28,7137583,'1',329,'N'),(28,7137591,'1',415,'N'),(28,7137613,'1',454,'N'),(28,7137621,'1',103,'N'),(28,7137630,'1',552,'N'),(28,7137648,'1',201,'N'),(28,7137648,'1A',211,'N'),(28,7137664,'1',340,'N'),(28,7137680,'1',201,'N'),(28,7137680,'1A',202,'N'),(28,7137702,'1',201,'N'),(28,7137702,'1A',212,'N'),(28,7137710,'1',202,'N'),(28,7137710,'1A',235,'N'),(28,7137729,'1',303,'N'),(28,7137737,'1',454,'N'),(28,7137745,'1',233,'N'),(28,7137745,'1A',213,'N'),(28,7137761,'1',207,'N'),(28,7137761,'1A',212,'N'),(28,7137788,'1',203,'N'),(28,7137788,'1A',201,'N'),(28,7137796,'1',302,'N'),(28,7137800,'1',201,'N'),(28,7137818,'1',201,'N'),(28,7137818,'1A',212,'N'),(28,7137834,'1',454,'N'),(28,7137842,'1',220,'N'),(28,7137842,'1A',235,'N'),(28,7137869,'1',103,'N'),(28,7137877,'1',103,'N'),(28,7137885,'1',233,'N'),(28,7137885,'1A',203,'N'),(28,7137893,'1',103,'N'),(28,7137923,'1',103,'N'),(28,7137931,'1',103,'N'),(28,7137940,'1',450,'N'),(28,7137958,'1',103,'N'),(28,7137974,'1',333,'N'),(28,7137990,'1',104,'N'),(28,7138008,'1',208,'N'),(28,7138032,'1',203,'N'),(28,7138032,'1A',214,'N'),(28,7138040,'1',211,'N'),(28,7138040,'1A',207,'N'),(28,7138067,'1',212,'N'),(28,7138067,'1A',213,'N'),(28,7138075,'1',317,'N'),(28,7138083,'1',103,'N'),(28,7138091,'1',444,'N'),(28,7138105,'1',213,'N'),(28,7138113,'1',103,'N'),(28,7138121,'1',104,'N'),(28,7138130,'1',103,'N'),(28,7138148,'1',338,'N'),(28,7138156,'1',999,'N'),(28,7138164,'1',201,'N'),(28,7138164,'1A',203,'N'),(28,7138172,'1',103,'N'),(28,7138180,'1',428,'N'),(28,7138180,'1A',426,'N'),(28,7138199,'1',336,'N'),(28,7138202,'1',999,'N'),(28,7138229,'1',203,'N'),(28,7138229,'1A',235,'N'),(28,7138237,'1',103,'N'),(28,7138245,'1',415,'N'),(28,7138253,'1',502,'N'),(28,7138288,'1',208,'N'),(28,7138296,'1',207,'N'),(28,7138296,'1A',201,'N'),(28,7138318,'1',103,'N'),(28,7138326,'1',234,'N'),(28,7138342,'1',653,'N'),(28,7138342,'1A',211,'N'),(28,7138350,'1',101,'N'),(28,7138377,'1',103,'N'),(28,7138385,'1',999,'N'),(28,7138393,'1',103,'N'),(28,7138407,'1',104,'N'),(28,7138415,'1',340,'N'),(28,7138423,'1',101,'N'),(28,7138440,'1',215,'N'),(28,7138440,'1A',233,'N'),(28,7138458,'1',339,'N'),(28,7138466,'1',999,'N'),(28,7138474,'1',203,'N'),(28,7138474,'1A',216,'N'),(28,7138490,'1',317,'N'),(28,7138512,'1',235,'N'),(28,7138512,'1A',203,'N'),(28,7138520,'1',224,'N'),(28,7138539,'1',103,'N'),(28,7138547,'1',326,'N'),(28,7138555,'1',103,'N'),(28,7138563,'1',999,'N'),(28,7138571,'1',211,'N'),(28,7138580,'1',502,'N'),(28,7138598,'1',653,'N'),(28,7138598,'1A',202,'N'),(28,7138601,'1',213,'N'),(28,7138601,'1A',202,'N'),(28,7138628,'1',208,'N'),(28,7138636,'1',216,'N'),(28,7138636,'1A',202,'N'),(28,7138660,'1',207,'N'),(28,7138660,'1A',201,'N'),(28,7138679,'1',552,'N'),(28,7138687,'1',102,'N'),(28,7138695,'1',653,'N'),(28,7138695,'1A',201,'N'),(28,7138709,'1',327,'N'),(28,7138733,'1',101,'N'),(28,7138768,'1',333,'N'),(28,7138776,'1',104,'N'),(28,7138784,'1',552,'N'),(28,7138792,'1',103,'N'),(28,7138806,'1',220,'N'),(28,7138806,'1A',203,'N'),(28,7138849,'1',653,'N'),(28,7138849,'1A',655,'N'),(28,7138857,'1',103,'N'),(28,7138865,'1',304,'N'),(28,7138873,'1',601,'N'),(28,7138873,'1A',212,'N'),(28,7138881,'1',415,'N'),(28,7138903,'1',211,'N'),(28,7138903,'1A',201,'N'),(28,7138946,'1',103,'N'),(28,7138954,'1',203,'N'),(28,7138954,'1A',233,'N'),(28,7138962,'1',103,'N'),(28,7138970,'1',303,'N'),(28,7138989,'1',203,'N'),(28,7138989,'1A',214,'N'),(28,7138997,'1',203,'N'),(28,7139004,'1',999,'N'),(28,7139012,'1',655,'N'),(28,7139012,'1A',238,'N'),(28,7139039,'1',316,'N'),(28,7139047,'1',104,'N'),(28,7139055,'1',104,'N'),(28,7139063,'1',5,'N'),(28,7139098,'1',5,'N'),(28,7139110,'1',208,'N'),(28,7139128,'1',103,'N'),(28,7139136,'1',103,'N'),(28,7139144,'1',440,'N'),(28,7139152,'1',108,'N'),(28,7139160,'1',451,'N'),(28,7139187,'1',108,'N'),(28,7139195,'1',207,'N'),(28,7139195,'1A',201,'N'),(28,7139217,'1',216,'N'),(28,7139217,'1A',201,'N'),(28,7139225,'1',233,'N'),(28,7139225,'1A',214,'N'),(28,7139233,'1',999,'N'),(28,7139241,'1',216,'N'),(28,7139241,'1A',201,'N'),(28,7139250,'1',317,'N'),(28,7139268,'1',202,'N'),(28,7139268,'1A',207,'N'),(28,7139276,'1',340,'N'),(28,7139284,'1',303,'N'),(28,7139292,'1',3,'N'),(28,7139314,'1',103,'N'),(28,7139330,'1',103,'N'),(28,7139349,'1',333,'N'),(28,7139357,'1',103,'N'),(28,7139365,'1',303,'N'),(28,7139381,'1',428,'N'),(28,7139381,'1A',425,'N'),(28,7139390,'1',415,'N'),(28,7139403,'1',110,'N'),(28,7139420,'1',303,'N'),(28,7139438,'1',233,'N'),(28,7139438,'1A',215,'N'),(28,7139454,'1',654,'N'),(28,7139462,'1',214,'N'),(28,7139462,'1A',235,'N'),(28,7139489,'1',415,'N'),(28,7139497,'1',216,'N'),(28,7139497,'1A',233,'N'),(28,7139500,'1',103,'N'),(28,7139519,'1',451,'N'),(28,7139535,'1',207,'N'),(28,7139543,'1',601,'N'),(28,7139543,'1A',235,'N'),(28,7139560,'1',552,'N'),(28,7139578,'1',303,'N'),(28,7139586,'1',103,'N'),(28,7139594,'1',5,'N'),(28,7139616,'1',415,'N'),(28,7139624,'1',207,'N'),(28,7139624,'1A',211,'N'),(28,7139640,'1',104,'N'),(28,7139659,'1',103,'N'),(28,7139667,'1',207,'N'),(28,7139667,'1A',201,'N'),(28,7139675,'1',319,'N'),(28,7139683,'1',103,'N'),(28,7139691,'1',454,'N'),(28,7139705,'1',5,'N'),(28,7139713,'1',104,'N'),(28,7139721,'1',201,'N'),(28,7139721,'1A',207,'N'),(28,7139730,'1',220,'N'),(28,7139730,'1A',212,'N'),(28,7139748,'1',207,'N'),(28,7139748,'1A',601,'N'),(28,7139764,'1',338,'N'),(28,7139780,'1',203,'N'),(28,7139780,'1A',214,'N'),(28,7139802,'1',211,'N'),(28,7139802,'1A',601,'N'),(28,7139829,'1',103,'N'),(28,7139837,'1',103,'N'),(28,7139845,'1',103,'N'),(28,7139870,'1',103,'N'),(28,7139896,'1',103,'N'),(28,7139900,'1',216,'N'),(28,7139900,'1A',233,'N'),(28,7139926,'1',103,'N'),(28,7139934,'1',301,'N'),(28,7139942,'1',203,'N'),(28,7139942,'1A',214,'N'),(28,7139950,'1',102,'N'),(28,7139969,'1',317,'N'),(28,7139977,'1',216,'N'),(28,7139977,'1A',202,'N'),(28,7139993,'1',203,'N'),(28,7139993,'1A',220,'N'),(28,7140002,'1',220,'N'),(28,7140002,'1A',601,'N'),(28,7140010,'1',319,'N'),(28,7140029,'1',220,'N'),(28,7140029,'1A',235,'N'),(28,7140037,'1',5,'N'),(28,7140045,'1',104,'N'),(28,7140061,'1',103,'N'),(28,7140070,'1',302,'N'),(28,7140088,'1',103,'N'),(28,7140096,'1',203,'N'),(28,7140096,'1A',601,'N'),(28,7140118,'1',103,'N'),(28,7140126,'1',103,'N'),(28,7140134,'1',103,'N'),(28,7140150,'1',444,'N'),(28,7140177,'1',211,'N'),(28,7140177,'1A',653,'N'),(28,7140185,'1',103,'N'),(28,7140193,'1',207,'N'),(28,7140207,'1',601,'N'),(28,7140207,'1A',202,'N'),(28,7140215,'1',203,'N'),(28,7140215,'1A',216,'N'),(28,7140223,'1',103,'N'),(28,7140240,'1',653,'N'),(28,7140240,'1A',220,'N'),(28,7140258,'1',425,'N'),(28,7140258,'1A',423,'N'),(28,7140274,'1',451,'N'),(28,7140282,'1',216,'N'),(28,7140282,'1A',215,'N'),(28,7140290,'1',215,'N'),(28,7140290,'1A',601,'N'),(28,7140312,'1',103,'N'),(28,7140320,'1',454,'N'),(28,7140363,'1',303,'N'),(28,7140380,'1',201,'N'),(28,7140380,'1A',203,'N'),(28,7140401,'1',999,'N'),(28,7140410,'1',404,'N'),(28,7140428,'1',103,'N'),(28,7140436,'1',220,'N'),(28,7140436,'1A',202,'N'),(28,7140452,'1',303,'N'),(28,7140495,'1',551,'N'),(28,7140509,'1',103,'N'),(28,7140517,'1',5,'N'),(28,7140541,'1',303,'N'),(28,7140550,'1',425,'N'),(28,7140550,'1A',426,'N'),(28,7140584,'1',326,'N'),(28,7140606,'1',103,'N'),(28,7140614,'1',999,'N'),(28,7140622,'1',201,'N'),(28,7140622,'1A',203,'N'),(28,7140649,'1',103,'N'),(28,7140657,'1',103,'N'),(28,7140665,'1',3,'N'),(28,7140673,'1',655,'N'),(28,7140681,'1',415,'N'),(28,7140703,'1',207,'N'),(28,7140703,'1A',211,'N'),(28,7140711,'1',103,'N'),(28,7140720,'1',303,'N'),(28,7140738,'1',222,'N'),(28,7140746,'1',103,'N'),(28,7140762,'1',203,'N'),(28,7140762,'1A',235,'N'),(28,7140770,'1',302,'N'),(28,7140797,'1',216,'N'),(28,7140797,'1A',203,'N'),(28,7140800,'1',203,'N'),(28,7140800,'1A',220,'N'),(28,7140819,'1',103,'N'),(28,7140827,'1',326,'N'),(28,7140835,'1',103,'N'),(28,7140843,'1',552,'N'),(28,7140851,'1',333,'N'),(28,7140860,'1',103,'N'),(28,7140886,'1',103,'N'),(28,7140908,'1',415,'N'),(28,7140916,'1',319,'N'),(28,7140924,'1',454,'N'),(28,7140932,'1',214,'N'),(28,7140932,'1A',202,'N'),(28,7140940,'1',207,'N'),(28,7140940,'1A',233,'N'),(28,7140959,'1',340,'N'),(28,7140967,'1',404,'N'),(28,7140975,'1',316,'N'),(28,7140983,'1',208,'N'),(28,7140991,'1',655,'N'),(28,7140991,'1A',652,'N'),(28,7141009,'1',301,'N'),(28,7141017,'1',103,'N'),(28,7141025,'1',202,'N'),(28,7141025,'1A',213,'N'),(28,7141033,'1',317,'N'),(28,7141041,'1',102,'N'),(28,7141050,'1',207,'N'),(28,7141050,'1A',601,'N'),(28,7141076,'1',303,'N'),(28,7141084,'1',303,'N'),(28,7141106,'1',103,'N'),(28,7141114,'1',103,'N'),(28,7141122,'1',601,'N'),(28,7141122,'1A',207,'N'),(28,7141149,'1',501,'N'),(28,7141165,'1',999,'N'),(28,7141181,'1',5,'N'),(28,7141190,'1',303,'N'),(28,7141203,'1',317,'N'),(28,7141238,'1',428,'N'),(28,7141238,'1A',423,'N'),(28,7141246,'1',444,'N'),(28,7141254,'1',5,'N'),(28,7141270,'1',203,'N'),(28,7141270,'1A',216,'N'),(28,7141289,'1',207,'N'),(28,7141289,'1A',215,'N'),(28,7141297,'1',104,'N'),(28,7141300,'1',202,'N'),(28,7141300,'1A',235,'N'),(28,7141327,'1',340,'N'),(28,7141335,'1',216,'N'),(28,7141335,'1A',215,'N'),(28,7141343,'1',203,'N'),(28,7141343,'1A',214,'N'),(28,7141351,'1',201,'N'),(28,7141351,'1A',207,'N'),(28,7141378,'1',104,'N'),(28,7141386,'1',454,'N'),(28,7141394,'1',203,'N'),(28,7141394,'1A',214,'N'),(28,7141408,'1',203,'N'),(28,7141408,'1A',214,'N'),(28,7141424,'1',207,'N'),(28,7141424,'1A',601,'N'),(28,7141432,'1',108,'N'),(28,7141440,'1',450,'N'),(28,7141459,'1',102,'N'),(28,7141467,'1',103,'N'),(28,7141475,'1',5,'N'),(28,7141505,'1',104,'N'),(28,7141513,'1',601,'N'),(28,7141513,'1A',653,'N'),(28,7141521,'1',220,'N'),(28,7141521,'1A',235,'N'),(28,7141530,'1',5,'N'),(28,7141548,'1',212,'N'),(28,7141548,'1A',213,'N'),(28,7141564,'1',317,'N'),(28,7141580,'1',103,'N'),(28,7141599,'1',201,'N'),(28,7141599,'1A',203,'N'),(28,7141602,'1',222,'N'),(28,7141629,'1',415,'N'),(28,7141645,'1',339,'N'),(28,7141653,'1',108,'N'),(28,7141661,'1',653,'N'),(28,7141661,'1A',238,'N'),(28,7141670,'1',103,'N'),(28,7141688,'1',333,'N'),(28,7141700,'1',451,'N'),(28,7141726,'1',103,'N'),(28,7141734,'1',317,'N'),(28,7141769,'1',238,'N'),(28,7141769,'1A',601,'N'),(28,7141777,'1',301,'N'),(28,7141815,'1',324,'N'),(28,7141823,'1',212,'N'),(28,7141823,'1A',213,'N'),(28,7141840,'1',339,'N'),(28,7141858,'1',103,'N'),(28,7141866,'1',444,'N'),(28,7141874,'1',201,'N'),(28,7141874,'1A',233,'N'),(28,7141882,'1',601,'N'),(28,7141890,'1',201,'N'),(28,7141890,'1A',601,'N'),(28,7141904,'1',501,'N'),(28,7141912,'1',340,'N'),(28,7141947,'1',652,'N'),(28,7141947,'1A',238,'N'),(28,7141955,'1',3,'N'),(28,7141963,'1',319,'N'),(28,7141998,'1',601,'N'),(28,7142005,'1',421,'N'),(28,7142005,'1A',425,'N'),(28,7142013,'1',110,'N'),(28,7142021,'1',103,'N'),(28,7142030,'1',415,'N'),(28,7142048,'1',103,'N'),(28,7142056,'1',110,'N'),(28,7142064,'1',220,'N'),(28,7142072,'1',207,'N'),(28,7142099,'1',340,'N'),(28,7142110,'1',454,'N'),(28,7142129,'1',220,'N'),(28,7142129,'1A',601,'N'),(28,7142137,'1',108,'N'),(28,7142145,'1',340,'N'),(28,7142153,'1',653,'N'),(28,7142153,'1A',652,'N'),(28,7142170,'1',234,'N'),(28,7142188,'1',340,'N'),(28,7142196,'1',336,'N'),(28,7142218,'1',454,'N'),(28,7142234,'1',316,'N'),(28,7142242,'1',319,'N'),(28,7142250,'1',103,'N'),(28,7142269,'1',9,'N'),(28,7142277,'1',318,'N'),(28,7142285,'1',207,'N'),(28,7142285,'1A',215,'N'),(28,7142293,'1',214,'N'),(28,7142293,'1A',213,'N'),(28,7142307,'1',203,'N'),(28,7142323,'1',108,'N'),(28,7142331,'1',213,'N'),(28,7142331,'1A',214,'N'),(28,7142366,'1',201,'N'),(28,7142366,'1A',655,'N'),(28,7142374,'1',653,'N'),(28,7142374,'1A',207,'N'),(28,7142382,'1',655,'N'),(28,7142382,'1A',652,'N'),(28,7142390,'1',319,'N'),(28,7142404,'1',103,'N'),(28,7142420,'1',208,'N'),(28,7142447,'1',999,'N'),(28,7142455,'1',103,'N'),(28,7142463,'1',327,'N'),(28,7142471,'1',308,'N'),(28,7142480,'1',333,'N'),(28,7142510,'1',103,'N'),(28,7142536,'1',224,'N'),(28,7142552,'1',316,'N'),(28,7142560,'1',101,'N'),(28,7142579,'1',5,'N'),(28,7142609,'1',108,'N'),(28,7142625,'1',316,'N'),(28,7142633,'1',104,'N'),(28,7142641,'1',654,'N'),(28,7142650,'1',415,'N'),(28,7142668,'1',319,'N'),(28,7142676,'1',601,'N'),(28,7142684,'1',202,'N'),(28,7142684,'1A',213,'N'),(28,7142692,'1',103,'N'),(28,7142706,'1',103,'N'),(28,7142722,'1',101,'N'),(28,7142757,'1',340,'N'),(28,7142765,'1',103,'N'),(28,7142773,'1',103,'N'),(28,7142781,'1',203,'N'),(28,7142781,'1A',214,'N'),(28,7142820,'1',223,'N'),(28,7142838,'1',654,'N'),(28,7142846,'1',425,'N'),(28,7142846,'1A',428,'N'),(28,7142854,'1',235,'N'),(28,7142854,'1A',233,'N'),(28,7142862,'1',653,'N'),(28,7142862,'1A',202,'N'),(28,7142897,'1',3,'N'),(28,7142919,'1',5,'N'),(28,7142927,'1',303,'N'),(28,7142943,'1',213,'N'),(28,7142943,'1A',214,'N'),(28,7142951,'1',202,'N'),(28,7142951,'1A',220,'N'),(28,7142960,'1',9,'N'),(28,7142978,'1',317,'N'),(28,7142986,'1',415,'N'),(28,7142994,'1',441,'N'),(28,7143001,'1',211,'N'),(28,7143001,'1A',207,'N'),(28,7143010,'1',454,'N'),(28,7143028,'1',2,'N'),(28,7143036,'1',213,'N'),(28,7143036,'1A',211,'N'),(28,7143044,'1',103,'N'),(28,7143052,'1',655,'N'),(28,7143060,'1',301,'N'),(28,7143079,'1',429,'N'),(28,7143087,'1',338,'N'),(28,7143117,'1',103,'N'),(28,7143141,'1',110,'N'),(28,7143150,'1',238,'N'),(28,7143150,'1A',233,'N'),(28,7143168,'1',103,'N'),(28,7143176,'1',444,'N'),(28,7143206,'1',2,'N'),(28,7143257,'1',104,'N'),(28,7143265,'1',340,'N'),(28,7143290,'1',103,'N'),(28,7143303,'1',5,'N'),(28,7143338,'1',450,'N'),(28,7143346,'1',304,'N'),(28,7143362,'1',318,'N'),(28,7143389,'1',333,'N'),(28,7143397,'1',208,'N'),(28,7143400,'1',423,'N'),(28,7143400,'1A',426,'N'),(28,7143427,'1',502,'N'),(28,7143435,'1',108,'N'),(28,7143451,'1',336,'N'),(28,7143460,'1',108,'N'),(28,7143478,'1',103,'N'),(28,7143494,'1',335,'N'),(28,7143508,'1',327,'N'),(28,7143524,'1',214,'N'),(28,7143540,'1',103,'N'),(28,7143583,'1',551,'N'),(28,7143591,'1',203,'N'),(28,7143591,'1A',201,'N'),(28,7143613,'1',103,'N'),(28,7143621,'1',238,'N'),(28,7143621,'1A',652,'N'),(28,7143648,'1',652,'N'),(28,7143648,'1A',213,'N'),(28,7143656,'1',601,'N'),(28,7143656,'1A',216,'N'),(28,7143672,'1',303,'N'),(28,7143680,'1',999,'N'),(28,7143699,'1',103,'N'),(28,7143710,'1',5,'N'),(28,7143737,'1',5,'N'),(28,7143745,'1',103,'N'),(28,7143753,'1',552,'N'),(28,7143761,'1',207,'N'),(28,7143761,'1A',201,'N'),(28,7143770,'1',216,'N'),(28,7143770,'1A',215,'N'),(28,7143788,'1',601,'N'),(28,7143788,'1A',203,'N'),(28,7143796,'1',101,'N'),(28,7143818,'1',215,'N'),(28,7143818,'1A',203,'N'),(28,7143826,'1',103,'N'),(28,7143834,'1',203,'N'),(28,7143834,'1A',238,'N'),(28,7143850,'1',326,'N'),(28,7143869,'1',201,'N'),(28,7143869,'1A',216,'N'),(28,7143877,'1',216,'N'),(28,7143877,'1A',233,'N'),(28,7143885,'1',316,'N'),(28,7143915,'1',208,'N'),(28,7143923,'1',203,'N'),(28,7143923,'1A',214,'N'),(28,7143931,'1',5,'N'),(28,7143940,'1',601,'N'),(28,7143940,'1A',655,'N'),(28,7143958,'1',103,'N'),(28,7143966,'1',316,'N'),(28,7143974,'1',999,'N'),(28,7143982,'1',103,'N'),(28,7143990,'1',103,'N'),(28,7144008,'1',999,'N'),(28,7144016,'1',318,'N'),(28,7144024,'1',654,'N'),(28,7144075,'1',207,'N'),(28,7144075,'1A',201,'N'),(28,7144091,'1',999,'N'),(28,7144105,'1',103,'N'),(28,7144121,'1',201,'N'),(28,7144121,'1A',215,'N'),(28,7144130,'1',104,'N'),(28,7144148,'1',203,'N'),(28,7144148,'1A',233,'N'),(28,7144164,'1',601,'N'),(28,7144164,'1A',235,'N'),(28,7144172,'1',339,'N'),(28,7144199,'1',601,'N'),(28,7144199,'1A',203,'N'),(28,7144202,'1',103,'N'),(28,7144210,'1',213,'N'),(28,7144210,'1A',202,'N'),(28,7144229,'1',203,'N'),(28,7144229,'1A',202,'N'),(28,7144245,'1',103,'N'),(28,7144253,'1',103,'N'),(28,7144270,'1',104,'N'),(28,7144296,'1',999,'N'),(28,7144300,'1',203,'N'),(28,7144326,'1',3,'N'),(28,7144334,'1',103,'N'),(28,7144342,'1',211,'N'),(28,7144342,'1A',238,'N'),(28,7144350,'1',104,'N'),(28,7144393,'1',444,'N'),(28,7144415,'1',201,'N'),(28,7144423,'1',203,'N'),(28,7144440,'1',103,'N'),(28,7144466,'1',207,'N'),(28,7144466,'1A',201,'N'),(28,7144474,'1',999,'N'),(28,7144482,'1',103,'N'),(28,7144490,'1',9,'N'),(28,7144504,'1',104,'N'),(28,7144512,'1',101,'N'),(28,7144520,'1',333,'N'),(28,7144539,'1',103,'N'),(28,7144547,'1',336,'N'),(28,7144555,'1',415,'N'),(28,7144601,'1',601,'N'),(28,7144601,'1A',203,'N'),(28,7144610,'1',103,'N'),(28,7144628,'1',234,'N'),(28,7144644,'1',203,'N'),(28,7144644,'1A',233,'N'),(28,7144652,'1',103,'N'),(28,7144679,'1',601,'N'),(28,7144679,'1A',214,'N'),(28,7144687,'1',203,'N'),(28,7144687,'1A',233,'N'),(28,7144709,'1',103,'N'),(28,7144717,'1',444,'N'),(28,7144725,'1',211,'N'),(28,7144725,'1A',215,'N'),(28,7144733,'1',207,'N'),(28,7144741,'1',103,'N'),(28,7144750,'1',999,'N'),(28,7144768,'1',328,'N'),(28,7144776,'1',103,'N'),(28,7144784,'1',103,'N'),(28,7144792,'1',103,'N'),(28,7144814,'1',333,'N'),(28,7144822,'1',303,'N'),(28,7144830,'1',601,'N'),(28,7144830,'1A',203,'N'),(28,7144849,'1',999,'N'),(28,7144857,'1',999,'N'),(28,7144865,'1',102,'N'),(28,7144873,'1',655,'N'),(28,7144873,'1A',203,'N'),(28,7144881,'1',303,'N'),(28,7144890,'1',999,'N'),(28,7144903,'1',201,'N'),(28,7144903,'1A',202,'N'),(28,7144911,'1',216,'N'),(28,7144911,'1A',201,'N'),(28,7144920,'1',102,'N'),(28,7144938,'1',999,'N'),(28,7144946,'1',201,'N'),(28,7144946,'1A',655,'N'),(28,7144954,'1',5,'N'),(28,7144989,'1',424,'N'),(28,7144989,'1A',423,'N'),(28,7145004,'1',207,'N'),(28,7145012,'1',303,'N'),(28,7145039,'1',319,'N'),(28,7145047,'1',201,'N'),(28,7145055,'1',211,'N'),(28,7145055,'1A',212,'N'),(28,7145080,'1',103,'N'),(28,7145098,'1',205,'N'),(28,7145110,'1',216,'N'),(28,7145110,'1A',233,'N'),(28,7145136,'1',104,'N'),(28,7145152,'1',653,'N'),(28,7145160,'1',441,'N'),(28,7145187,'1',318,'N'),(28,7145209,'1',454,'N'),(28,7145225,'1',220,'N'),(28,7145225,'1A',233,'N'),(28,7145233,'1',207,'N'),(28,7145233,'1A',201,'N'),(28,7145241,'1',207,'N'),(28,7145241,'1A',215,'N'),(28,7145250,'1',450,'N'),(28,7145276,'1',450,'N'),(28,7145284,'1',103,'N'),(28,7145292,'1',201,'N'),(28,7145292,'1A',213,'N'),(28,7145314,'1',238,'N'),(28,7145314,'1A',207,'N'),(28,7145322,'1',234,'N'),(28,7145330,'1',235,'N'),(28,7145330,'1A',233,'N'),(28,7145349,'1',208,'N'),(28,7145357,'1',238,'N'),(28,7145373,'1',216,'N'),(28,7145373,'1A',201,'N'),(28,7145390,'1',207,'N'),(28,7145390,'1A',212,'N'),(28,7145403,'1',103,'N'),(28,7145411,'1',102,'N'),(28,7145420,'1',216,'N'),(28,7145438,'1',319,'N'),(28,7145446,'1',103,'N'),(28,7145454,'1',203,'N'),(28,7145454,'1A',214,'N'),(28,7145462,'1',103,'N'),(28,7145470,'1',108,'N'),(28,7145489,'1',103,'N'),(28,7145497,'1',451,'N'),(28,7145519,'1',101,'N'),(28,7145527,'1',415,'N'),(28,7145535,'1',103,'N'),(28,7145560,'1',102,'N'),(28,7145578,'1',103,'N'),(28,7145586,'1',207,'N'),(28,7145586,'1A',211,'N'),(28,7145608,'1',415,'N'),(28,7145616,'1',103,'N'),(28,7145624,'1',303,'N'),(28,7145632,'1',5,'N'),(28,7145659,'1',207,'N'),(28,7145659,'1A',238,'N'),(28,7145675,'1',203,'N'),(28,7145675,'1A',215,'N'),(28,7145683,'1',316,'N'),(28,7145691,'1',103,'N'),(28,7145705,'1',201,'N'),(28,7145713,'1',423,'N'),(28,7145713,'1A',426,'N'),(28,7145721,'1',201,'N'),(28,7145721,'1A',207,'N'),(28,7145730,'1',103,'N'),(28,7145748,'1',102,'N'),(28,7145756,'1',208,'N'),(28,7145764,'1',303,'N'),(28,7145780,'1',9,'N'),(28,7145802,'1',404,'N'),(28,7145810,'1',335,'N'),(28,7145829,'1',317,'N'),(28,7145845,'1',303,'N'),(28,7145853,'1',501,'N'),(28,7145861,'1',103,'N'),(28,7145896,'1',103,'N'),(28,7145900,'1',319,'N'),(28,7145918,'1',3,'N'),(28,7145926,'1',207,'N'),(28,7145926,'1A',215,'N'),(28,7145942,'1',110,'N'),(28,7145950,'1',415,'N'),(28,7145969,'1',303,'N'),(28,7145977,'1',303,'N'),(28,7145985,'1',103,'N'),(28,7145993,'1',331,'N'),(28,7146000,'1',222,'N'),(28,7146035,'1',450,'N'),(28,7146043,'1',999,'N'),(28,7146051,'1',203,'N'),(28,7146051,'1A',201,'N'),(28,7146078,'1',653,'N'),(28,7146078,'1A',652,'N'),(28,7146086,'1',235,'N'),(28,7146086,'1A',213,'N'),(28,7146094,'1',425,'N'),(28,7146094,'1A',426,'N'),(28,7146108,'1',103,'N'),(28,7146116,'1',601,'N'),(28,7146116,'1A',207,'N'),(28,7146132,'1',552,'N'),(28,7146159,'1',203,'N'),(28,7146159,'1A',202,'N'),(28,7146167,'1',316,'N'),(28,7146175,'1',207,'N'),(28,7146175,'1A',201,'N'),(28,7146183,'1',103,'N'),(28,7146205,'1',202,'N'),(28,7146205,'1A',235,'N'),(28,7146213,'1',207,'N'),(28,7146213,'1A',201,'N'),(28,7146221,'1',207,'N'),(28,7146221,'1A',201,'N'),(28,7146230,'1',104,'N'),(28,7146248,'1',203,'N'),(28,7146256,'1',203,'N'),(28,7146256,'1A',201,'N'),(28,7146264,'1',103,'N'),(28,7146272,'1',216,'N'),(28,7146272,'1A',215,'N'),(28,7146280,'1',103,'N'),(28,7146299,'1',421,'N'),(28,7146299,'1A',429,'N'),(28,7146302,'1',415,'N'),(28,7146310,'1',654,'N'),(28,7146329,'1',552,'N'),(28,7146337,'1',654,'N'),(28,7146345,'1',404,'N'),(28,7146388,'1',103,'N'),(28,7146396,'1',428,'N'),(28,7146396,'1A',426,'N'),(28,7146426,'1',339,'N'),(28,7146434,'1',301,'N'),(28,7146450,'1',503,'N'),(28,7146469,'1',216,'N'),(28,7146469,'1A',202,'N'),(28,7146477,'1',103,'N'),(28,7146485,'1',103,'N'),(28,7146493,'1',103,'N'),(28,7146507,'1',326,'N'),(28,7146523,'1',9,'N'),(28,7146531,'1',201,'N'),(28,7146531,'1A',212,'N'),(28,7146566,'1',9,'N'),(28,7146574,'1',309,'N'),(28,7146582,'1',425,'N'),(28,7146604,'1',999,'N'),(28,7146647,'1',454,'N'),(28,7146655,'1',104,'N'),(28,7146663,'1',104,'N'),(28,7146671,'1',601,'N'),(28,7146698,'1',203,'N'),(28,7146698,'1A',214,'N'),(28,7146701,'1',101,'N'),(28,7146710,'1',220,'N'),(28,7146710,'1A',213,'N'),(28,7146728,'1',303,'N'),(28,7146736,'1',552,'N'),(28,7146744,'1',501,'N'),(28,7146752,'1',207,'N'),(28,7146760,'1',213,'N'),(28,7146760,'1A',202,'N'),(28,7146779,'1',203,'N'),(28,7146779,'1A',220,'N'),(28,7146787,'1',108,'N'),(28,7146795,'1',316,'N'),(28,7146817,'1',319,'N'),(28,7146825,'1',552,'N'),(28,7146833,'1',333,'N'),(28,7146841,'1',201,'N'),(28,7146841,'1A',238,'N'),(28,7146850,'1',103,'N'),(28,7146868,'1',102,'N'),(28,7146884,'1',104,'N'),(28,7146892,'1',103,'N'),(28,7146906,'1',601,'N'),(28,7146914,'1',316,'N'),(28,7146922,'1',333,'N'),(28,7146930,'1',216,'N'),(28,7146930,'1A',213,'N'),(28,7146957,'1',108,'N'),(28,7146973,'1',454,'N'),(28,7146981,'1',214,'N'),(28,7146981,'1A',220,'N'),(28,7146990,'1',303,'N'),(28,7147007,'1',303,'N'),(28,7147015,'1',207,'N'),(28,7147015,'1A',201,'N'),(28,7147031,'1',103,'N'),(28,7147040,'1',220,'N'),(28,7147040,'1A',235,'N'),(28,7147074,'1',103,'N'),(28,7147082,'1',423,'N'),(28,7147082,'1A',426,'N'),(28,7147090,'1',404,'N'),(28,7147104,'1',212,'N'),(28,7147104,'1A',601,'N'),(28,7147112,'1',102,'N'),(28,7147120,'1',207,'N'),(28,7147120,'1A',201,'N'),(28,7147139,'1',302,'N'),(28,7147147,'1',333,'N'),(28,7147155,'1',103,'N'),(28,7147163,'1',301,'N'),(28,7147171,'1',103,'N'),(28,7147198,'1',201,'N'),(28,7147198,'1A',212,'N'),(28,7147201,'1',104,'N'),(28,7147210,'1',999,'N'),(28,7147228,'1',213,'N'),(28,7147228,'1A',216,'N'),(28,7147252,'1',103,'N'),(28,7147260,'1',104,'N'),(28,7147279,'1',425,'N'),(28,7147279,'1A',424,'N'),(28,7147287,'1',103,'N'),(28,7147309,'1',103,'N'),(28,7147317,'1',103,'N'),(28,7147325,'1',101,'N'),(28,7147333,'1',203,'N'),(28,7147333,'1A',202,'N'),(28,7147341,'1',103,'N'),(28,7147350,'1',207,'N'),(28,7147350,'1A',201,'N'),(28,7147368,'1',103,'N'),(28,7147384,'1',103,'N'),(28,7147406,'1',109,'N'),(28,7147430,'1',103,'N'),(28,7147449,'1',999,'N'),(28,7147457,'1',303,'N'),(28,7147465,'1',103,'N'),(28,7147473,'1',5,'N'),(28,7147481,'1',303,'N'),(28,7147490,'1',211,'N'),(28,7147490,'1A',215,'N'),(28,7147503,'1',201,'N'),(28,7147503,'1A',207,'N'),(28,7147511,'1',207,'N'),(28,7147511,'1A',201,'N'),(28,7147546,'1',454,'N'),(28,7147554,'1',102,'N'),(28,7147562,'1',999,'N'),(28,7147570,'1',450,'N'),(28,7147589,'1',214,'N'),(28,7147589,'1A',203,'N'),(28,7147597,'1',3,'N'),(28,7147600,'1',5,'N'),(28,7147619,'1',317,'N'),(28,7147627,'1',103,'N'),(28,7147635,'1',101,'N'),(28,7147651,'1',103,'N'),(28,7147660,'1',220,'N'),(28,7147660,'1A',653,'N'),(28,7147678,'1',653,'N'),(28,7147678,'1A',655,'N'),(28,7147686,'1',303,'N'),(28,7147716,'1',655,'N'),(28,7147716,'1A',652,'N'),(28,7147732,'1',999,'N'),(28,7147740,'1',316,'N'),(28,7147759,'1',103,'N'),(28,7147767,'1',109,'N'),(28,7147775,'1',211,'N'),(28,7147775,'1A',215,'N'),(28,7147783,'1',601,'N'),(28,7147783,'1A',203,'N'),(28,7147791,'1',301,'N'),(28,7147813,'1',303,'N'),(28,7147821,'1',207,'N'),(28,7147821,'1A',201,'N'),(28,7147830,'1',303,'N'),(28,7147848,'1',301,'N'),(28,7147856,'1',501,'N'),(28,7147872,'1',203,'N'),(28,7147872,'1A',601,'N'),(28,7147880,'1',201,'N'),(28,7147880,'1A',207,'N'),(28,7147902,'1',108,'N'),(28,7147910,'1',205,'N'),(28,7147929,'1',655,'N'),(28,7147929,'1A',653,'N'),(28,7147937,'1',999,'N'),(28,7147953,'1',103,'N'),(28,7147961,'1',103,'N'),(28,7147970,'1',319,'N'),(28,7147988,'1',103,'N'),(28,7148003,'1',653,'N'),(28,7148003,'1A',216,'N'),(28,7148011,'1',103,'N'),(28,7148020,'1',103,'N'),(28,7148038,'1',201,'N'),(28,7148038,'1A',203,'N'),(28,7148046,'1',201,'N'),(28,7148054,'1',301,'N'),(28,7148062,'1',9,'N'),(28,7148070,'1',2,'N'),(28,7148097,'1',333,'N'),(28,7148119,'1',104,'N'),(28,7148127,'1',5,'N'),(28,7148135,'1',340,'N'),(28,7148143,'1',220,'N'),(28,7148143,'1A',202,'N'),(28,7148151,'1',337,'N'),(28,7148186,'1',308,'N'),(28,7148194,'1',103,'N'),(28,7148208,'1',304,'N'),(28,7148216,'1',214,'N'),(28,7148216,'1A',212,'N'),(28,7148232,'1',103,'N'),(28,7148240,'1',601,'N'),(28,7148240,'1A',203,'N'),(28,7148259,'1',303,'N'),(28,7148267,'1',551,'N'),(28,7148275,'1',203,'N'),(28,7148275,'1A',202,'N'),(28,7148291,'1',103,'N'),(28,7148305,'1',601,'N'),(28,7148321,'1',103,'N'),(28,7148364,'1',103,'N'),(28,7148372,'1',201,'N'),(28,7148372,'1A',653,'N'),(28,7148380,'1',103,'N'),(28,7148399,'1',415,'N'),(28,7148402,'1',214,'N'),(28,7148402,'1A',213,'N'),(28,7148410,'1',202,'N'),(28,7148410,'1A',201,'N'),(28,7148429,'1',101,'N'),(28,7148437,'1',208,'N'),(28,7148445,'1',220,'N'),(28,7148445,'1A',203,'N'),(28,7148453,'1',103,'N'),(28,7148461,'1',319,'N'),(28,7148488,'1',203,'N'),(28,7148488,'1A',220,'N'),(28,7148496,'1',316,'N'),(28,7148500,'1',220,'N'),(28,7148500,'1A',235,'N'),(28,7148518,'1',238,'N'),(28,7148518,'1A',201,'N'),(28,7148526,'1',215,'N'),(28,7148526,'1A',207,'N'),(28,7148534,'1',502,'N'),(28,7148542,'1',319,'N'),(28,7148550,'1',203,'N'),(28,7148550,'1A',220,'N'),(28,7148585,'1',302,'N'),(28,7148593,'1',9,'N'),(28,7148607,'1',220,'N'),(28,7148607,'1A',203,'N'),(28,7148615,'1',303,'N'),(28,7148623,'1',428,'N'),(28,7148623,'1A',426,'N'),(28,7148631,'1',102,'N'),(28,7148658,'1',233,'N'),(28,7148658,'1A',601,'N'),(28,7148666,'1',208,'N'),(28,7148674,'1',317,'N'),(28,7148682,'1',319,'N'),(28,7148712,'1',238,'N'),(28,7148739,'1',429,'N'),(28,7148739,'1A',425,'N'),(28,7148747,'1',333,'N'),(28,7148763,'1',201,'N'),(28,7148763,'1A',211,'N'),(28,7148771,'1',203,'N'),(28,7148771,'1A',214,'N'),(28,7148780,'1',201,'N'),(28,7148780,'1A',601,'N'),(28,7148798,'1',501,'N'),(28,7148801,'1',450,'N'),(28,7148810,'1',319,'N'),(28,7148828,'1',444,'N'),(28,7148836,'1',303,'N'),(28,7148844,'1',103,'N'),(28,7148852,'1',103,'N'),(28,7148860,'1',999,'N'),(28,7148895,'1',103,'N'),(28,7148917,'1',655,'N'),(28,7148933,'1',9,'N'),(28,7148941,'1',454,'N'),(28,7148968,'1',331,'N'),(28,7148976,'1',5,'N'),(28,7148984,'1',203,'N'),(28,7148984,'1A',601,'N'),(28,7149018,'1',319,'N'),(28,7149026,'1',5,'N'),(28,7149034,'1',9,'N'),(28,7149042,'1',211,'N'),(28,7149042,'1A',215,'N'),(28,7149050,'1',238,'N'),(28,7149050,'1A',213,'N'),(28,7149069,'1',340,'N'),(28,7149077,'1',207,'N'),(28,7149077,'1A',201,'N'),(28,7149085,'1',654,'N'),(28,7149107,'1',104,'N'),(28,7149115,'1',213,'N'),(28,7149115,'1A',601,'N'),(28,7149123,'1',450,'N'),(28,7149131,'1',999,'N'),(28,7149140,'1',104,'N'),(28,7149158,'1',999,'N'),(28,7149166,'1',220,'N'),(28,7149166,'1A',235,'N'),(28,7149190,'1',103,'N'),(28,7149204,'1',233,'N'),(28,7149204,'1A',653,'N'),(28,7149212,'1',103,'N'),(28,7149220,'1',208,'N'),(28,7149239,'1',999,'N'),(28,7149255,'1',340,'N'),(28,7149263,'1',103,'N'),(28,7149271,'1',203,'N'),(28,7149271,'1A',220,'N'),(28,7149280,'1',316,'N'),(28,7149298,'1',109,'N'),(28,7149301,'1',203,'N'),(28,7149301,'1A',220,'N'),(28,7149310,'1',425,'N'),(28,7149310,'1A',428,'N'),(28,7149336,'1',324,'N'),(28,7149344,'1',317,'N'),(28,7149360,'1',301,'N'),(28,7149379,'1',301,'N'),(28,7149387,'1',203,'N'),(28,7149387,'1A',202,'N'),(28,7149395,'1',424,'N'),(28,7149395,'1A',421,'N'),(28,7149409,'1',216,'N'),(28,7149409,'1A',215,'N'),(28,7149417,'1',103,'N'),(28,7149425,'1',501,'N'),(28,7149450,'1',999,'N'),(28,7149476,'1',319,'N'),(28,7149484,'1',302,'N'),(28,7149506,'1',103,'N'),(28,7149514,'1',216,'N'),(28,7149514,'1A',215,'N'),(28,7149530,'1',319,'N'),(28,7149549,'1',454,'N'),(28,7149557,'1',999,'N'),(28,7149565,'1',103,'N'),(28,7149573,'1',454,'N'),(28,7149590,'1',999,'N'),(28,7149603,'1',216,'N'),(28,7149603,'1A',233,'N'),(28,7149620,'1',211,'N'),(28,7149620,'1A',216,'N'),(28,7149638,'1',103,'N'),(28,7149646,'1',302,'N'),(28,7149654,'1',108,'N'),(28,7149662,'1',5,'N'),(28,7149670,'1',303,'N'),(28,7149697,'1',203,'N'),(28,7149697,'1A',601,'N'),(28,7149700,'1',302,'N'),(28,7149735,'1',5,'N'),(28,7149743,'1',203,'N'),(28,7149743,'1A',235,'N'),(28,7149751,'1',103,'N'),(28,7149760,'1',601,'N'),(28,7149760,'1A',203,'N'),(28,7149778,'1',103,'N'),(28,7149786,'1',216,'N'),(28,7149786,'1A',211,'N'),(28,7149794,'1',5,'N'),(28,7149808,'1',103,'N'),(28,7149824,'1',207,'N'),(28,7149824,'1A',201,'N'),(28,7149832,'1',601,'N'),(28,7149832,'1A',201,'N'),(28,7149840,'1',238,'N'),(28,7149840,'1A',211,'N'),(28,7149867,'1',216,'N'),(28,7149875,'1',454,'N'),(28,7149883,'1',601,'N'),(28,7149891,'1',102,'N'),(28,7149905,'1',316,'N'),(28,7149964,'1',201,'N'),(28,7149964,'1A',211,'N'),(28,7149972,'1',224,'N'),(28,7149980,'1',201,'N'),(28,7149980,'1A',207,'N'),(28,7149999,'1',501,'N'),(28,7150016,'1',103,'N'),(28,7150024,'1',319,'N'),(28,7150040,'1',103,'N'),(28,7150067,'1',103,'N'),(28,7150075,'1',201,'N'),(28,7150075,'1A',211,'N'),(28,7150083,'1',103,'N'),(28,7150091,'1',203,'N'),(28,7150091,'1A',601,'N'),(28,7150105,'1',103,'N'),(28,7150148,'1',9,'N'),(28,7150172,'1',326,'N'),(28,7150180,'1',9,'N'),(28,7150199,'1',102,'N'),(28,7150210,'1',216,'N'),(28,7150210,'1A',202,'N'),(28,7150229,'1',333,'N'),(28,7150237,'1',203,'N'),(28,7150237,'1A',220,'N'),(28,7150253,'1',207,'N'),(28,7150253,'1A',201,'N'),(28,7150261,'1',601,'N'),(28,7150261,'1A',235,'N'),(28,7150270,'1',999,'N'),(28,7150288,'1',202,'N'),(28,7150288,'1A',201,'N'),(28,7150296,'1',216,'N'),(28,7150296,'1A',211,'N'),(28,7150300,'1',999,'N'),(28,7150318,'1',104,'N'),(28,7150334,'1',103,'N'),(28,7150377,'1',201,'N'),(28,7150377,'1A',214,'N'),(28,7150393,'1',303,'N'),(28,7150407,'1',207,'N'),(28,7150407,'1A',212,'N'),(28,7150415,'1',319,'N'),(28,7150423,'1',103,'N'),(28,7150431,'1',404,'N'),(28,7150440,'1',5,'N'),(28,7150458,'1',216,'N'),(28,7150458,'1A',201,'N'),(28,7150466,'1',327,'N'),(28,7150482,'1',450,'N'),(28,7150490,'1',454,'N'),(28,7150504,'1',203,'N'),(28,7150504,'1A',214,'N'),(28,7150520,'1',214,'N'),(28,7150520,'1A',212,'N'),(28,7150539,'1',212,'N'),(28,7150539,'1A',235,'N'),(28,7150547,'1',220,'N'),(28,7150547,'1A',233,'N'),(28,7150555,'1',653,'N'),(28,7150555,'1A',652,'N'),(28,7150571,'1',203,'N'),(28,7150571,'1A',214,'N'),(28,7150580,'1',103,'N'),(28,7150598,'1',301,'N'),(28,7150601,'1',211,'N'),(28,7150610,'1',103,'N'),(28,7150636,'1',309,'N'),(28,7150644,'1',310,'N'),(28,7150652,'1',201,'N'),(28,7150652,'1A',215,'N'),(28,7150687,'1',428,'N'),(28,7150687,'1A',426,'N'),(28,7150695,'1',303,'N'),(28,7150709,'1',202,'N'),(28,7150709,'1A',213,'N'),(28,7150717,'1',103,'N'),(28,7150733,'1',340,'N'),(28,7150741,'1',103,'N'),(28,7150750,'1',301,'N'),(28,7150768,'1',214,'N'),(28,7150768,'1A',203,'N'),(28,7150792,'1',308,'N'),(28,7150806,'1',5,'N'),(28,7150822,'1',316,'N'),(28,7150830,'1',332,'N'),(28,7150849,'1',207,'N'),(28,7150849,'1A',211,'N'),(28,7150890,'1',216,'N'),(28,7150890,'1A',203,'N'),(28,7150920,'1',655,'N'),(28,7150920,'1A',652,'N'),(28,7150954,'1',201,'N'),(28,7150954,'1A',215,'N'),(28,7150962,'1',103,'N'),(28,7150970,'1',201,'N'),(28,7151004,'1',103,'N'),(28,7151012,'1',104,'N'),(28,7151020,'1',327,'N'),(28,7151039,'1',653,'N'),(28,7151047,'1',320,'N'),(28,7151055,'1',652,'N'),(28,7151055,'1A',655,'N'),(28,7151063,'1',450,'N'),(28,7151071,'1',999,'N'),(28,7151080,'1',309,'N'),(28,7151098,'1',404,'N'),(28,7151101,'1',103,'N'),(28,7151110,'1',303,'N'),(28,7151128,'1',317,'N'),(28,7151136,'1',454,'N'),(28,7151144,'1',303,'N'),(28,7151152,'1',103,'N'),(28,7151160,'1',203,'N'),(28,7151160,'1A',233,'N'),(28,7151179,'1',309,'N'),(28,7151195,'1',404,'N'),(28,7151217,'1',103,'N'),(28,7151225,'1',316,'N'),(28,7151233,'1',450,'N'),(28,7151241,'1',110,'N'),(28,7151250,'1',207,'N'),(28,7151250,'1A',201,'N'),(28,7151284,'1',103,'N'),(28,7151292,'1',207,'N'),(28,7151292,'1A',202,'N'),(28,7151322,'1',5,'N'),(28,7151349,'1',220,'N'),(28,7151349,'1A',203,'N'),(28,7151373,'1',319,'N'),(28,7151381,'1',203,'N'),(28,7151381,'1A',238,'N'),(28,7151390,'1',201,'N'),(28,7151390,'1A',212,'N'),(28,7151403,'1',103,'N'),(28,7151411,'1',103,'N'),(28,7151420,'1',103,'N'),(28,7151446,'1',104,'N'),(28,7151462,'1',102,'N'),(28,7151489,'1',103,'N'),(28,7151497,'1',317,'N'),(28,7151500,'1',5,'N'),(28,7151519,'1',337,'N'),(28,7151535,'1',552,'N'),(28,7151543,'1',201,'N'),(28,7151543,'1A',207,'N'),(28,7151551,'1',301,'N'),(28,7151616,'1',202,'N'),(28,7151616,'1A',213,'N'),(28,7151640,'1',103,'N'),(28,7151667,'1',103,'N'),(28,7151675,'1',103,'N'),(28,7151683,'1',238,'N'),(28,7151683,'1A',233,'N'),(28,7151691,'1',103,'N'),(28,7151705,'1',212,'N'),(28,7151705,'1A',214,'N'),(28,7151713,'1',225,'N'),(28,7151721,'1',304,'N'),(28,7151730,'1',104,'N'),(28,7151748,'1',318,'N'),(28,7151756,'1',308,'N'),(28,7151764,'1',404,'N'),(28,7151780,'1',211,'N'),(28,7151780,'1A',216,'N'),(28,7151799,'1',222,'N'),(28,7151810,'1',104,'N'),(28,7151829,'1',211,'N'),(28,7151829,'1A',207,'N'),(28,7151837,'1',421,'N'),(28,7151837,'1A',427,'N'),(28,7151870,'1',109,'N'),(28,7151888,'1',238,'N'),(28,7151888,'1A',655,'N'),(28,7151896,'1',103,'N'),(28,7151950,'1',404,'N'),(28,7151977,'1',301,'N'),(28,7151985,'1',109,'N'),(28,7151993,'1',333,'N'),(28,7152000,'1',5,'N'),(28,7152019,'1',207,'N'),(28,7152019,'1A',201,'N'),(28,7152027,'1',202,'N'),(28,7152027,'1A',235,'N'),(28,7152035,'1',207,'N'),(28,7152035,'1A',211,'N'),(28,7152051,'1',301,'N'),(28,7152060,'1',213,'N'),(28,7152060,'1A',233,'N'),(28,7152078,'1',103,'N'),(28,7152086,'1',454,'N'),(28,7152108,'1',340,'N'),(28,7152116,'1',103,'N'),(28,7152124,'1',203,'N'),(28,7152124,'1A',214,'N'),(28,7152132,'1',201,'N'),(28,7152140,'1',109,'N'),(28,7152159,'1',103,'N'),(28,7152167,'1',103,'N'),(28,7152183,'1',104,'N'),(28,7152191,'1',238,'N'),(28,7152191,'1A',652,'N'),(28,7152205,'1',427,'N'),(28,7152205,'1A',421,'N'),(28,7152221,'1',235,'N'),(28,7152221,'1A',653,'N'),(28,7152248,'1',103,'N'),(28,7152264,'1',202,'N'),(28,7152264,'1A',220,'N'),(28,7152272,'1',601,'N'),(28,7152272,'1A',201,'N'),(28,7152280,'1',316,'N'),(28,7152299,'1',104,'N'),(28,7152302,'1',110,'N'),(28,7152310,'1',203,'N'),(28,7152310,'1A',214,'N'),(28,7152337,'1',216,'N'),(28,7152337,'1A',201,'N'),(28,7152345,'1',5,'N'),(28,7152353,'1',103,'N'),(28,7152388,'1',103,'N'),(28,7152396,'1',103,'N'),(28,7152400,'1',320,'N'),(28,7152418,'1',653,'N'),(28,7152418,'1A',601,'N'),(28,7152450,'1',208,'N'),(28,7152469,'1',303,'N'),(28,7152477,'1',301,'N'),(28,7152485,'1',103,'N'),(28,7152493,'1',5,'N'),(28,7152507,'1',103,'N'),(28,7152515,'1',203,'N'),(28,7152515,'1A',214,'N'),(28,7152523,'1',201,'N'),(28,7152523,'1A',203,'N'),(28,7152531,'1',601,'N'),(28,7152531,'1A',238,'N'),(28,7152540,'1',2,'N'),(28,7152558,'1',103,'N'),(28,7152566,'1',235,'N'),(28,7152566,'1A',202,'N'),(28,7152582,'1',319,'N'),(28,7152590,'1',502,'N'),(28,7152604,'1',216,'N'),(28,7152604,'1A',203,'N'),(28,7152612,'1',103,'N'),(28,7152620,'1',208,'N'),(28,7152639,'1',103,'N'),(28,7152647,'1',3,'N'),(28,7152655,'1',103,'N'),(28,7152663,'1',201,'N'),(28,7152663,'1A',601,'N'),(28,7152680,'1',211,'N'),(28,7152680,'1A',216,'N'),(28,7152698,'1',340,'N'),(28,7152701,'1',235,'N'),(28,7152701,'1A',601,'N'),(28,7152728,'1',415,'N'),(28,7152736,'1',102,'N'),(28,7152744,'1',214,'N'),(28,7152744,'1A',233,'N'),(28,7152787,'1',654,'N'),(28,7152817,'1',213,'N'),(28,7152817,'1A',235,'N'),(28,7152825,'1',203,'N'),(28,7152841,'1',103,'N'),(28,7152850,'1',215,'N'),(28,7152850,'1A',202,'N'),(28,7152868,'1',9,'N'),(28,7152892,'1',201,'N'),(28,7152892,'1A',212,'N'),(28,7152914,'1',654,'N'),(28,7152922,'1',301,'N'),(28,7152949,'1',109,'N'),(28,7152957,'1',101,'N'),(28,7152965,'1',103,'N'),(28,7152990,'1',108,'N'),(28,7153007,'1',103,'N'),(28,7153015,'1',440,'N'),(28,7153023,'1',340,'N'),(28,7153031,'1',207,'N'),(28,7153031,'1A',201,'N'),(28,7153040,'1',203,'N'),(28,7153040,'1A',201,'N'),(28,7153058,'1',339,'N'),(28,7153074,'1',207,'N'),(28,7153074,'1A',653,'N'),(28,7153090,'1',327,'N'),(28,7153104,'1',999,'N'),(28,7153112,'1',103,'N'),(28,7153120,'1',324,'N'),(28,7153139,'1',103,'N'),(28,7153147,'1',327,'N'),(28,7153155,'1',340,'N'),(28,7153171,'1',999,'N'),(28,7153180,'1',326,'N'),(28,7153198,'1',103,'N'),(28,7153210,'1',3,'N'),(28,7153228,'1',333,'N'),(28,7153252,'1',108,'N'),(28,7153260,'1',324,'N'),(28,7153279,'1',9,'N'),(28,7153287,'1',103,'N'),(28,7153295,'1',203,'N'),(28,7153295,'1A',201,'N'),(28,7153309,'1',999,'N'),(28,7153333,'1',999,'N'),(28,7153341,'1',103,'N'),(28,7153368,'1',104,'N'),(28,7153384,'1',213,'N'),(28,7153384,'1A',653,'N'),(28,7153406,'1',203,'N'),(28,7153406,'1A',201,'N'),(28,7153414,'1',109,'N'),(28,7153430,'1',502,'N'),(28,7153449,'1',415,'N'),(28,7153465,'1',502,'N'),(28,7153473,'1',601,'N'),(28,7153473,'1A',201,'N'),(28,7153481,'1',552,'N'),(28,7153503,'1',104,'N'),(28,7153511,'1',207,'N'),(28,7153538,'1',220,'N'),(28,7153538,'1A',202,'N'),(28,7153554,'1',303,'N'),(28,7153570,'1',404,'N'),(28,7153589,'1',220,'N'),(28,7153589,'1A',214,'N'),(28,7153597,'1',103,'N'),(28,7153619,'1',207,'N'),(28,7153619,'1A',201,'N'),(28,7153627,'1',331,'N'),(28,7153635,'1',103,'N'),(28,7153651,'1',454,'N'),(28,7153660,'1',203,'N'),(28,7153660,'1A',202,'N'),(28,7153686,'1',301,'N'),(28,7153708,'1',5,'N'),(28,7153716,'1',207,'N'),(28,7153716,'1A',201,'N'),(28,7153724,'1',216,'N'),(28,7153724,'1A',201,'N'),(28,7153732,'1',340,'N'),(28,7153759,'1',302,'N'),(28,7153767,'1',302,'N'),(28,7153775,'1',103,'N'),(28,7153783,'1',216,'N'),(28,7153783,'1A',235,'N'),(28,7153791,'1',103,'N'),(28,7153805,'1',303,'N'),(28,7153813,'1',454,'N'),(28,7153821,'1',216,'N'),(28,7153821,'1A',215,'N'),(28,7153848,'1',235,'N'),(28,7153848,'1A',215,'N'),(28,7153856,'1',216,'N'),(28,7153856,'1A',220,'N'),(28,7153864,'1',201,'N'),(28,7153864,'1A',212,'N'),(28,7153872,'1',999,'N'),(28,7153880,'1',308,'N'),(28,7153899,'1',415,'N'),(28,7153902,'1',201,'N'),(28,7153902,'1A',203,'N'),(28,7153910,'1',201,'N'),(28,7153910,'1A',203,'N'),(28,7153937,'1',415,'N'),(28,7153945,'1',103,'N'),(28,7153953,'1',103,'N'),(28,7153961,'1',999,'N'),(28,7153988,'1',301,'N'),(28,7154011,'1',216,'N'),(28,7154011,'1A',203,'N'),(28,7154020,'1',201,'N'),(28,7154020,'1A',207,'N'),(28,7154038,'1',102,'N'),(28,7154046,'1',103,'N'),(28,7154070,'1',108,'N'),(28,7154089,'1',220,'N'),(28,7154089,'1A',235,'N'),(28,7154097,'1',308,'N'),(28,7154100,'1',451,'N'),(28,7154119,'1',104,'N'),(28,7154127,'1',103,'N'),(28,7154143,'1',5,'N'),(28,7154151,'1',214,'N'),(28,7154151,'1A',235,'N'),(28,7154160,'1',108,'N'),(28,7154178,'1',103,'N'),(28,7154186,'1',108,'N'),(28,7154194,'1',999,'N'),(28,7154208,'1',415,'N'),(28,7154224,'1',340,'N'),(28,7154232,'1',2,'N'),(28,7154267,'1',999,'N'),(28,7154283,'1',211,'N'),(28,7154283,'1A',233,'N'),(28,7154291,'1',201,'N'),(28,7154291,'1A',212,'N'),(28,7154321,'1',316,'N'),(28,7154330,'1',654,'N'),(28,7154356,'1',211,'N'),(28,7154372,'1',333,'N'),(28,7154402,'1',303,'N'),(28,7154410,'1',103,'N'),(28,7154437,'1',238,'N'),(28,7154437,'1A',202,'N'),(28,7154445,'1',203,'N'),(28,7154445,'1A',201,'N'),(28,7154461,'1',454,'N'),(28,7154488,'1',238,'N'),(28,7154488,'1A',213,'N'),(28,7154496,'1',999,'N'),(28,7154500,'1',104,'N'),(28,7154518,'1',238,'N'),(28,7154518,'1A',235,'N'),(28,7154534,'1',303,'N'),(28,7154542,'1',320,'N'),(28,7154550,'1',103,'N'),(28,7154569,'1',303,'N'),(28,7154577,'1',108,'N'),(28,7154607,'1',552,'N'),(28,7154640,'1',220,'N'),(28,7154640,'1A',214,'N'),(28,7154658,'1',103,'N'),(28,7154666,'1',103,'N'),(28,7154674,'1',103,'N'),(28,7154682,'1',450,'N'),(28,7154690,'1',203,'N'),(28,7154690,'1A',214,'N'),(28,7154704,'1',238,'N'),(28,7154704,'1A',213,'N'),(28,7154739,'1',103,'N'),(28,7154771,'1',503,'N'),(28,7154780,'1',103,'N'),(28,7154798,'1',309,'N'),(28,7154810,'1',214,'N'),(28,7154810,'1A',203,'N'),(28,7154836,'1',415,'N'),(28,7154844,'1',450,'N'),(28,7154852,'1',337,'N'),(28,7154879,'1',238,'N'),(28,7154879,'1A',202,'N'),(28,7154887,'1',552,'N'),(28,7154895,'1',201,'N'),(28,7154895,'1A',216,'N'),(28,7154925,'1',103,'N'),(28,7154933,'1',999,'N'),(28,7154941,'1',103,'N'),(28,7154950,'1',215,'N'),(28,7154950,'1A',211,'N'),(28,7154976,'1',329,'N'),(28,7154984,'1',303,'N'),(28,7154992,'1',415,'N'),(28,7155000,'1',450,'N'),(28,7155026,'1',202,'N'),(28,7155026,'1A',216,'N'),(28,7155034,'1',333,'N'),(28,7155042,'1',317,'N'),(28,7155050,'1',415,'N'),(28,7155085,'1',426,'N'),(28,7155085,'1A',428,'N'),(28,7155115,'1',2,'N'),(28,7155123,'1',103,'N'),(28,7155131,'1',238,'N'),(28,7155166,'1',444,'N'),(28,7155174,'1',316,'N'),(28,7155182,'1',999,'N'),(28,7155190,'1',340,'N'),(28,7155204,'1',201,'N'),(28,7155204,'1A',212,'N'),(28,7155212,'1',424,'N'),(28,7155212,'1A',427,'N'),(28,7155239,'1',103,'N'),(28,7155247,'1',207,'N'),(28,7155247,'1A',211,'N'),(28,7155255,'1',655,'N'),(28,7155263,'1',101,'N'),(28,7155280,'1',999,'N'),(28,7155298,'1',223,'N'),(28,7155301,'1',104,'N'),(28,7155310,'1',317,'N'),(28,7155328,'1',103,'N'),(28,7155344,'1',301,'N'),(28,7155352,'1',319,'N'),(28,7155387,'1',103,'N'),(28,7155395,'1',601,'N'),(28,7155395,'1A',201,'N'),(28,7155409,'1',224,'N'),(28,7155425,'1',999,'N'),(28,7155441,'1',205,'N'),(28,7155450,'1',103,'N'),(28,7155468,'1',454,'N'),(28,7155506,'1',303,'N'),(28,7155522,'1',203,'N'),(28,7155522,'1A',201,'N'),(28,7155530,'1',301,'N'),(28,7155549,'1',999,'N'),(28,7155557,'1',340,'N'),(28,7155565,'1',207,'N'),(28,7155581,'1',207,'N'),(28,7155590,'1',426,'N'),(28,7155590,'1A',428,'N'),(28,7155603,'1',551,'N'),(28,7155611,'1',316,'N'),(28,7155620,'1',552,'N'),(28,7155646,'1',103,'N'),(28,7155654,'1',415,'N'),(28,7155689,'1',201,'N'),(28,7155689,'1A',220,'N'),(28,7155697,'1',104,'N'),(28,7155719,'1',201,'N'),(28,7155719,'1A',233,'N'),(28,7155727,'1',216,'N'),(28,7155727,'1A',215,'N'),(28,7155743,'1',999,'N'),(28,7155751,'1',454,'N'),(28,7155760,'1',220,'N'),(28,7155760,'1A',653,'N'),(28,7155778,'1',444,'N'),(28,7155786,'1',203,'N'),(28,7155786,'1A',235,'N'),(28,7155794,'1',201,'N'),(28,7155794,'1A',203,'N'),(28,7155808,'1',336,'N'),(28,7155816,'1',9,'N'),(28,7155824,'1',103,'N'),(28,7155832,'1',201,'N'),(28,7155832,'1A',207,'N'),(28,7155840,'1',340,'N'),(28,7155867,'1',203,'N'),(28,7155867,'1A',202,'N'),(28,7155875,'1',9,'N'),(28,7155883,'1',319,'N'),(28,7155891,'1',103,'N'),(28,7155905,'1',103,'N'),(28,7155921,'1',450,'N'),(28,7155930,'1',2,'N'),(28,7155948,'1',207,'N'),(28,7155948,'1A',201,'N'),(28,7155956,'1',5,'N'),(28,7155972,'1',103,'N'),(28,7155980,'1',454,'N'),(28,7155999,'1',340,'N'),(28,7156006,'1',202,'N'),(28,7156006,'1A',213,'N'),(28,7156014,'1',301,'N'),(28,7156022,'1',103,'N'),(28,7156030,'1',103,'N'),(28,7156049,'1',333,'N'),(28,7156065,'1',225,'N'),(28,7156081,'1',103,'N'),(28,7156090,'1',302,'N'),(28,7156154,'1',454,'N'),(28,7156170,'1',207,'N'),(28,7156170,'1A',211,'N'),(28,7156189,'1',207,'N'),(28,7156197,'1',201,'N'),(28,7156197,'1A',207,'N'),(28,7156200,'1',429,'N'),(28,7156200,'1A',428,'N'),(28,7156227,'1',316,'N'),(28,7156235,'1',202,'N'),(28,7156235,'1A',201,'N'),(28,7156243,'1',303,'N'),(28,7156251,'1',201,'N'),(28,7156251,'1A',211,'N'),(28,7156260,'1',340,'N'),(28,7156294,'1',103,'N'),(28,7156308,'1',214,'N'),(28,7156308,'1A',220,'N'),(28,7156316,'1',5,'N'),(28,7156324,'1',601,'N'),(28,7156324,'1A',235,'N'),(28,7156332,'1',201,'N'),(28,7156332,'1A',207,'N'),(28,7156359,'1',108,'N'),(28,7156367,'1',104,'N'),(28,7156391,'1',211,'N'),(28,7156391,'1A',207,'N'),(28,7156405,'1',109,'N'),(28,7156421,'1',999,'N'),(28,7156430,'1',207,'N'),(28,7156430,'1A',201,'N'),(28,7156448,'1',208,'N'),(28,7156456,'1',653,'N'),(28,7156456,'1A',216,'N'),(28,7156464,'1',215,'N'),(28,7156464,'1A',216,'N'),(28,7156472,'1',103,'N'),(28,7156480,'1',5,'N'),(28,7156502,'1',303,'N'),(28,7156510,'1',331,'N'),(28,7156529,'1',654,'N'),(28,7156537,'1',340,'N'),(28,7156545,'1',103,'N'),(28,7156561,'1',103,'N'),(28,7156588,'1',203,'N'),(28,7156588,'1A',214,'N'),(28,7156596,'1',428,'N'),(28,7156596,'1A',423,'N'),(28,7156600,'1',336,'N'),(28,7156618,'1',208,'N'),(28,7156626,'1',211,'N'),(28,7156626,'1A',215,'N'),(28,7156650,'1',201,'N'),(28,7156650,'1A',212,'N'),(28,7156669,'1',216,'N'),(28,7156669,'1A',213,'N'),(28,7156677,'1',336,'N'),(28,7156693,'1',203,'N'),(28,7156693,'1A',233,'N'),(28,7156707,'1',103,'N'),(28,7156723,'1',103,'N'),(28,7156731,'1',601,'N'),(28,7156731,'1A',202,'N'),(28,7156740,'1',103,'N'),(28,7156758,'1',103,'N'),(28,7156766,'1',303,'N'),(28,7156774,'1',103,'N'),(28,7156782,'1',317,'N'),(28,7156790,'1',201,'N'),(28,7156790,'1A',216,'N'),(28,7156804,'1',319,'N'),(28,7156812,'1',103,'N'),(28,7156820,'1',103,'N'),(28,7156839,'1',211,'N'),(28,7156839,'1A',233,'N'),(28,7156855,'1',103,'N'),(28,7156871,'1',201,'N'),(28,7156871,'1A',202,'N'),(28,7156880,'1',207,'N'),(28,7156880,'1A',652,'N'),(28,7156898,'1',238,'N'),(28,7156910,'1',103,'N'),(28,7156928,'1',103,'N'),(28,7156944,'1',999,'N'),(28,7156952,'1',103,'N'),(28,7156960,'1',333,'N'),(28,7156979,'1',235,'N'),(28,7156979,'1A',238,'N'),(28,7156987,'1',454,'N'),(28,7156995,'1',303,'N'),(28,7157002,'1',201,'N'),(28,7157002,'1A',212,'N'),(28,7157010,'1',103,'N'),(28,7157029,'1',415,'N'),(28,7157037,'1',103,'N'),(28,7157045,'1',202,'N'),(28,7157045,'1A',235,'N'),(28,7157061,'1',202,'N'),(28,7157061,'1A',653,'N'),(28,7157070,'1',450,'N'),(28,7157088,'1',5,'N'),(28,7157096,'1',224,'N'),(28,7157118,'1',103,'N'),(28,7157142,'1',303,'N'),(28,7157169,'1',104,'N'),(28,7157177,'1',429,'N'),(28,7157177,'1A',425,'N'),(28,7157207,'1',104,'N'),(28,7157215,'1',230,'N'),(28,7157223,'1',215,'N'),(28,7157223,'1A',214,'N'),(28,7157231,'1',303,'N'),(28,7157240,'1',3,'N'),(28,7157258,'1',404,'N'),(28,7157266,'1',303,'N'),(28,7157290,'1',203,'N'),(28,7157290,'1A',216,'N'),(28,7157312,'1',103,'N'),(28,7157320,'1',203,'N'),(28,7157320,'1A',201,'N'),(28,7157339,'1',319,'N'),(28,7157347,'1',220,'N'),(28,7157347,'1A',235,'N'),(28,7157355,'1',454,'N'),(28,7157363,'1',108,'N'),(28,7157398,'1',103,'N'),(28,7157401,'1',207,'N'),(28,7157401,'1A',201,'N'),(28,7157428,'1',339,'N'),(28,7157436,'1',211,'N'),(28,7157436,'1A',207,'N'),(28,7157444,'1',103,'N'),(28,7157487,'1',222,'N'),(28,7157517,'1',303,'N'),(28,7157525,'1',326,'N'),(28,7157541,'1',9,'N'),(28,7157550,'1',103,'N'),(28,7157568,'1',208,'N'),(28,7157584,'1',320,'N'),(28,7157606,'1',201,'N'),(28,7157606,'1A',653,'N'),(28,7157622,'1',303,'N'),(28,7157630,'1',444,'N'),(28,7157649,'1',310,'N'),(28,7157657,'1',301,'N'),(28,7157690,'1',103,'N'),(28,7157703,'1',444,'N'),(28,7157746,'1',454,'N'),(28,7157762,'1',5,'N'),(28,7157789,'1',103,'N'),(28,7157800,'1',5,'N'),(28,7157819,'1',103,'N'),(28,7157827,'1',103,'N'),(28,7157835,'1',999,'N'),(28,7157843,'1',220,'N'),(28,7157843,'1A',235,'N'),(28,7157860,'1',102,'N'),(28,7157878,'1',999,'N'),(28,7157894,'1',338,'N'),(28,7157908,'1',319,'N'),(28,7157916,'1',415,'N'),(28,7157932,'1',444,'N'),(28,7157940,'1',208,'N'),(28,7157967,'1',202,'N'),(28,7157967,'1A',213,'N'),(28,7157975,'1',999,'N'),(28,7158009,'1',103,'N'),(28,7158017,'1',201,'N'),(28,7158017,'1A',207,'N'),(28,7158033,'1',103,'N'),(28,7158041,'1',340,'N'),(28,7158050,'1',9,'N'),(28,7158076,'1',999,'N'),(28,7158084,'1',103,'N'),(28,7158106,'1',303,'N'),(28,7158114,'1',103,'N'),(28,7158122,'1',220,'N'),(28,7158122,'1A',203,'N'),(28,7158130,'1',211,'N'),(28,7158130,'1A',213,'N'),(28,7158149,'1',216,'N'),(28,7158149,'1A',233,'N'),(28,7158157,'1',653,'N'),(28,7158157,'1A',652,'N'),(28,7158165,'1',316,'N'),(28,7158181,'1',102,'N'),(28,7158190,'1',999,'N'),(28,7158203,'1',9,'N'),(28,7158238,'1',326,'N'),(28,7158262,'1',421,'N'),(28,7158262,'1A',428,'N'),(28,7158270,'1',207,'N'),(28,7158270,'1A',235,'N'),(28,7158289,'1',103,'N'),(28,7158297,'1',235,'N'),(28,7158297,'1A',202,'N'),(28,7158300,'1',319,'N'),(28,7158327,'1',202,'N'),(28,7158335,'1',552,'N'),(28,7158351,'1',103,'N'),(28,7158360,'1',303,'N'),(28,7158378,'1',207,'N'),(28,7158394,'1',301,'N'),(28,7158432,'1',201,'N'),(28,7158432,'1A',211,'N'),(28,7158440,'1',340,'N'),(28,7158459,'1',426,'N'),(28,7158459,'1A',429,'N'),(28,7158483,'1',202,'N'),(28,7158483,'1A',203,'N'),(28,7158505,'1',302,'N'),(28,7158530,'1',201,'N'),(28,7158530,'1A',601,'N'),(28,7158548,'1',207,'N'),(28,7158556,'1',235,'N'),(28,7158556,'1A',214,'N'),(28,7158564,'1',503,'N'),(28,7158580,'1',102,'N'),(28,7158610,'1',340,'N'),(28,7158629,'1',319,'N'),(28,7158653,'1',212,'N'),(28,7158653,'1A',213,'N'),(28,7158670,'1',454,'N'),(28,7158696,'1',310,'N'),(28,7158700,'1',331,'N'),(28,7158718,'1',108,'N'),(28,7158726,'1',318,'N'),(28,7158734,'1',103,'N'),(28,7158742,'1',103,'N'),(28,7158769,'1',216,'N'),(28,7158769,'1A',653,'N'),(28,7158777,'1',428,'N'),(28,7158793,'1',207,'N'),(28,7158793,'1A',201,'N'),(28,7158807,'1',552,'N'),(28,7158823,'1',109,'N'),(28,7158831,'1',103,'N'),(28,7158858,'1',214,'N'),(28,7158858,'1A',213,'N'),(28,7158874,'1',425,'N'),(28,7158882,'1',208,'N'),(28,7158904,'1',211,'N'),(28,7158904,'1A',601,'N'),(28,7158912,'1',329,'N'),(28,7158920,'1',303,'N'),(28,7158939,'1',216,'N'),(28,7158939,'1A',215,'N'),(28,7158947,'1',103,'N'),(28,7158955,'1',5,'N'),(28,7158963,'1',316,'N'),(28,7158980,'1',415,'N'),(28,7158998,'1',103,'N'),(28,7159005,'1',201,'N'),(28,7159005,'1A',601,'N'),(28,7159013,'1',103,'N'),(28,7159021,'1',103,'N'),(28,7159030,'1',207,'N'),(28,7159048,'1',103,'N'),(28,7159056,'1',999,'N'),(28,7159064,'1',319,'N'),(28,7159072,'1',101,'N'),(28,7159099,'1',208,'N'),(28,7159102,'1',104,'N'),(28,7159110,'1',224,'N'),(28,7159129,'1',201,'N'),(28,7159129,'1A',213,'N'),(28,7159137,'1',340,'N'),(28,7159145,'1',103,'N'),(28,7159161,'1',101,'N'),(28,7159170,'1',108,'N'),(28,7159196,'1',103,'N'),(28,7159218,'1',999,'N'),(28,7159234,'1',5,'N'),(28,7159242,'1',304,'N'),(28,7159277,'1',207,'N'),(28,7159277,'1A',201,'N'),(28,7159285,'1',103,'N'),(28,7159293,'1',220,'N'),(28,7159293,'1A',203,'N'),(28,7159307,'1',216,'N'),(28,7159307,'1A',653,'N'),(28,7159323,'1',216,'N'),(28,7159323,'1A',213,'N'),(28,7159340,'1',103,'N'),(28,7159358,'1',415,'N'),(28,7159366,'1',207,'N'),(28,7159366,'1A',215,'N'),(28,7159374,'1',654,'N'),(28,7159382,'1',551,'N'),(28,7159390,'1',225,'N'),(28,7159404,'1',423,'N'),(28,7159404,'1A',424,'N'),(28,7159412,'1',5,'N'),(28,7159420,'1',103,'N'),(28,7159439,'1',103,'N'),(28,7159455,'1',551,'N'),(28,7159480,'1',103,'N'),(28,7159498,'1',5,'N'),(28,7159501,'1',103,'N'),(28,7159510,'1',454,'N'),(28,7159536,'1',102,'N'),(28,7159544,'1',102,'N'),(28,7159552,'1',103,'N'),(28,7159560,'1',216,'N'),(28,7159560,'1A',201,'N'),(28,7159579,'1',336,'N'),(28,7159587,'1',103,'N'),(28,7159595,'1',214,'N'),(28,7159595,'1A',212,'N'),(28,7159609,'1',234,'N'),(28,7159617,'1',103,'N'),(28,7159633,'1',201,'N'),(28,7159633,'1A',207,'N'),(28,7159641,'1',238,'N'),(28,7159641,'1A',655,'N'),(28,7159650,'1',601,'N'),(28,7159650,'1A',220,'N'),(28,7159668,'1',220,'N'),(28,7159668,'1A',601,'N'),(28,7159676,'1',103,'N'),(28,7159684,'1',201,'N'),(28,7159684,'1A',207,'N'),(28,7159692,'1',103,'N'),(28,7159730,'1',103,'N'),(28,7159749,'1',450,'N'),(28,7159757,'1',999,'N'),(28,7159773,'1',501,'N'),(28,7159781,'1',5,'N'),(28,7159790,'1',5,'N'),(28,7159803,'1',654,'N'),(28,7159811,'1',601,'N'),(28,7159838,'1',328,'N'),(28,7159846,'1',337,'N'),(28,7159870,'1',213,'N'),(28,7159870,'1A',202,'N'),(28,7159889,'1',552,'N'),(28,7159897,'1',103,'N'),(28,7159900,'1',201,'N'),(28,7159900,'1A',212,'N'),(28,7159919,'1',216,'N'),(28,7159919,'1A',233,'N'),(28,7159927,'1',601,'N'),(28,7159927,'1A',653,'N'),(28,7159935,'1',103,'N'),(28,7159943,'1',208,'N'),(28,7159951,'1',103,'N'),(28,7159960,'1',316,'N'),(28,7159986,'1',103,'N'),(28,7159994,'1',319,'N'),(28,7160003,'1',103,'N'),(28,7160011,'1',103,'N'),(28,7160020,'1',207,'N'),(28,7160020,'1A',216,'N'),(28,7160038,'1',340,'N'),(28,7160046,'1',303,'N'),(28,7160054,'1',415,'N'),(28,7160062,'1',201,'N'),(28,7160062,'1A',207,'N'),(28,7160070,'1',5,'N'),(28,7160089,'1',450,'N'),(28,7160097,'1',415,'N'),(28,7160119,'1',203,'N'),(28,7160119,'1A',202,'N'),(28,7160127,'1',999,'N'),(28,7160135,'1',340,'N'),(28,7160143,'1',103,'N'),(28,7160151,'1',653,'N'),(28,7160151,'1A',601,'N'),(28,7160160,'1',999,'N'),(28,7160194,'1',216,'N'),(28,7160194,'1A',201,'N'),(28,7160208,'1',203,'N'),(28,7160208,'1A',202,'N'),(28,7160224,'1',203,'N'),(28,7160224,'1A',212,'N'),(28,7160232,'1',207,'N'),(28,7160232,'1A',216,'N'),(28,7160240,'1',303,'N'),(28,7160259,'1',317,'N'),(28,7160275,'1',223,'N'),(28,7160283,'1',202,'N'),(28,7160283,'1A',201,'N'),(28,7160291,'1',319,'N'),(28,7160305,'1',415,'N'),(28,7160313,'1',103,'N'),(28,7160321,'1',317,'N'),(28,7160330,'1',203,'N'),(28,7160330,'1A',235,'N'),(28,7160348,'1',329,'N'),(28,7160356,'1',301,'N'),(28,7160364,'1',415,'N'),(28,7160372,'1',316,'N'),(28,7160380,'1',999,'N'),(28,7160410,'1',201,'N'),(28,7160410,'1A',212,'N'),(28,7160437,'1',225,'N'),(28,7160445,'1',203,'N'),(28,7160445,'1A',220,'N'),(28,7160461,'1',212,'N'),(28,7160461,'1A',201,'N'),(28,7160470,'1',319,'N'),(28,7160488,'1',552,'N'),(28,7160496,'1',999,'N'),(28,7160518,'1',103,'N'),(28,7160526,'1',316,'N'),(28,7160542,'1',999,'N'),(28,7160550,'1',303,'N'),(28,7160569,'1',318,'N'),(28,7160577,'1',238,'N'),(28,7160577,'1A',652,'N'),(28,7160593,'1',233,'N'),(28,7160593,'1A',215,'N'),(28,7160607,'1',999,'N'),(28,7160615,'1',103,'N'),(28,7160623,'1',103,'N'),(28,7160640,'1',303,'N'),(28,7160666,'1',601,'N'),(28,7160666,'1A',212,'N'),(28,7160674,'1',9,'N'),(28,7160690,'1',319,'N'),(28,7160704,'1',5,'N'),(28,7160712,'1',201,'N'),(28,7160712,'1A',212,'N'),(28,7160720,'1',335,'N'),(28,7160747,'1',207,'N'),(28,7160763,'1',235,'N'),(28,7160763,'1A',202,'N'),(28,7160771,'1',201,'N'),(28,7160780,'1',454,'N'),(28,7160798,'1',201,'N'),(28,7160798,'1A',212,'N'),(28,7160801,'1',211,'N'),(28,7160801,'1A',214,'N'),(28,7160810,'1',552,'N'),(28,7160828,'1',103,'N'),(28,7160836,'1',203,'N'),(28,7160836,'1A',214,'N'),(28,7160852,'1',415,'N'),(28,7160860,'1',201,'N'),(28,7160860,'1A',220,'N'),(28,7160879,'1',108,'N'),(28,7160887,'1',201,'N'),(28,7160887,'1A',207,'N'),(28,7160909,'1',318,'N'),(28,7160917,'1',203,'N'),(28,7160917,'1A',601,'N'),(28,7160925,'1',340,'N'),(28,7160933,'1',601,'N'),(28,7160933,'1A',203,'N'),(28,7160950,'1',108,'N'),(28,7160976,'1',233,'N'),(28,7160976,'1A',235,'N'),(28,7160984,'1',203,'N'),(28,7160984,'1A',202,'N'),(28,7160992,'1',216,'N'),(28,7160992,'1A',203,'N'),(28,7161018,'1',551,'N'),(28,7161026,'1',103,'N'),(28,7161042,'1',103,'N'),(28,7161069,'1',102,'N'),(28,7161077,'1',207,'N'),(28,7161077,'1A',201,'N'),(28,7161085,'1',202,'N'),(28,7161085,'1A',213,'N'),(28,7161107,'1',328,'N'),(28,7161115,'1',103,'N'),(28,7161123,'1',220,'N'),(28,7161123,'1A',203,'N'),(28,7161140,'1',203,'N'),(28,7161140,'1A',201,'N'),(28,7161158,'1',421,'N'),(28,7161158,'1A',429,'N'),(28,7161166,'1',208,'N'),(28,7161174,'1',207,'N'),(28,7161174,'1A',212,'N'),(28,7161182,'1',444,'N'),(28,7161190,'1',303,'N'),(28,7161204,'1',415,'N'),(28,7161212,'1',207,'N'),(28,7161212,'1A',211,'N'),(28,7161220,'1',207,'N'),(28,7161220,'1A',201,'N'),(28,7161247,'1',552,'N'),(28,7161255,'1',103,'N'),(28,7161263,'1',103,'N'),(28,7161271,'1',103,'N'),(28,7161298,'1',5,'N'),(28,7161301,'1',654,'N'),(28,7161310,'1',207,'N'),(28,7161310,'1A',201,'N'),(28,7161328,'1',319,'N'),(28,7161336,'1',103,'N'),(28,7161344,'1',207,'N'),(28,7161344,'1A',201,'N'),(28,7161352,'1',207,'N'),(28,7161352,'1A',201,'N'),(28,7161360,'1',103,'N'),(28,7161379,'1',102,'N'),(28,7161387,'1',104,'N'),(28,7161395,'1',103,'N'),(28,7161409,'1',318,'N'),(28,7161417,'1',999,'N'),(28,7161425,'1',201,'N'),(28,7161425,'1A',207,'N'),(28,7161433,'1',104,'N'),(28,7161468,'1',235,'N'),(28,7161468,'1A',213,'N'),(28,7161476,'1',211,'N'),(28,7161476,'1A',207,'N'),(28,7161484,'1',552,'N'),(28,7161522,'1',223,'N'),(28,7161530,'1',238,'N'),(28,7161549,'1',108,'N'),(28,7161557,'1',5,'N'),(28,7161565,'1',415,'N'),(28,7161573,'1',302,'N'),(28,7161581,'1',203,'N'),(28,7161581,'1A',233,'N'),(28,7161611,'1',216,'N'),(28,7161611,'1A',213,'N'),(28,7161646,'1',340,'N'),(28,7161654,'1',203,'N'),(28,7161654,'1A',601,'N'),(28,7161662,'1',108,'N'),(28,7161670,'1',103,'N'),(28,7161689,'1',103,'N'),(28,7161697,'1',103,'N'),(28,7161700,'1',9,'N'),(28,7161719,'1',454,'N'),(28,7161727,'1',103,'N'),(28,7161735,'1',653,'N'),(28,7161735,'1A',655,'N'),(28,7161743,'1',103,'N'),(28,7161751,'1',203,'N'),(28,7161751,'1A',201,'N'),(28,7161760,'1',104,'N'),(28,7161778,'1',301,'N'),(28,7161786,'1',303,'N'),(28,7161794,'1',103,'N'),(28,7161808,'1',103,'N'),(28,7161824,'1',319,'N'),(28,7161832,'1',302,'N'),(28,7161840,'1',415,'N'),(28,7161859,'1',203,'N'),(28,7161859,'1A',202,'N'),(28,7161875,'1',319,'N'),(28,7161883,'1',333,'N'),(28,7161891,'1',318,'N'),(28,7161913,'1',2,'N'),(28,7161921,'1',108,'N'),(28,7161930,'1',454,'N'),(28,7161948,'1',109,'N'),(28,7161956,'1',552,'N'),(28,7161964,'1',203,'N'),(28,7161999,'1',303,'N'),(28,7162014,'1',5,'N'),(28,7162022,'1',238,'N'),(28,7162022,'1A',235,'N'),(28,7162030,'1',552,'N'),(28,7162049,'1',654,'N'),(28,7162057,'1',238,'N'),(28,7162065,'1',203,'N'),(28,7162065,'1A',601,'N'),(28,7162073,'1',103,'N'),(28,7162081,'1',2,'N'),(28,7162103,'1',220,'N'),(28,7162103,'1A',235,'N'),(28,7162120,'1',415,'N'),(28,7162146,'1',208,'N'),(28,7162154,'1',454,'N'),(28,7162170,'1',201,'N'),(28,7162170,'1A',212,'N'),(28,7162189,'1',103,'N'),(28,7162197,'1',202,'N'),(28,7162197,'1A',201,'N'),(28,7162243,'1',203,'N'),(28,7162243,'1A',220,'N'),(28,7162251,'1',104,'N'),(28,7162260,'1',318,'N'),(28,7162278,'1',304,'N'),(28,7162286,'1',318,'N'),(28,7162308,'1',201,'N'),(28,7162332,'1',331,'N'),(28,7162340,'1',203,'N'),(28,7162340,'1A',653,'N'),(28,7162359,'1',301,'N'),(28,7162375,'1',201,'N'),(28,7162383,'1',203,'N'),(28,7162383,'1A',201,'N'),(28,7162391,'1',103,'N'),(28,7162405,'1',238,'N'),(28,7162405,'1A',207,'N'),(28,7162413,'1',103,'N'),(28,7162448,'1',207,'N'),(28,7162448,'1A',211,'N'),(28,7162456,'1',2,'N'),(28,7162464,'1',551,'N'),(28,7162472,'1',340,'N'),(28,7162480,'1',103,'N'),(28,7162499,'1',5,'N'),(28,7162510,'1',214,'N'),(28,7162510,'1A',212,'N'),(28,7162529,'1',424,'N'),(28,7162529,'1A',421,'N'),(28,7162537,'1',415,'N'),(28,7162545,'1',340,'N'),(28,7162553,'1',222,'N'),(28,7162570,'1',326,'N'),(28,7162588,'1',201,'N'),(28,7162588,'1A',601,'N'),(28,7162618,'1',303,'N'),(28,7162626,'1',415,'N'),(28,7162634,'1',201,'N'),(28,7162634,'1A',207,'N'),(28,7162642,'1',203,'N'),(28,7162642,'1A',202,'N'),(28,7162650,'1',331,'N'),(28,7162669,'1',103,'N'),(28,7162685,'1',103,'N'),(28,7162693,'1',102,'N'),(28,7162707,'1',110,'N'),(28,7162715,'1',318,'N'),(28,7162731,'1',423,'N'),(28,7162731,'1A',425,'N'),(28,7162740,'1',203,'N'),(28,7162740,'1A',220,'N'),(28,7162758,'1',552,'N'),(28,7162766,'1',103,'N'),(28,7162774,'1',316,'N'),(28,7162782,'1',316,'N'),(28,7162790,'1',108,'N'),(28,7162804,'1',103,'N'),(28,7162812,'1',301,'N'),(28,7162820,'1',326,'N'),(28,7162839,'1',999,'N'),(28,7162847,'1',551,'N'),(28,7162855,'1',104,'N'),(28,7162863,'1',103,'N'),(28,7162871,'1',203,'N'),(28,7162871,'1A',214,'N'),(28,7162880,'1',103,'N'),(28,7162898,'1',207,'N'),(28,7162898,'1A',212,'N'),(28,7162901,'1',303,'N'),(28,7162910,'1',212,'N'),(28,7162910,'1A',220,'N'),(28,7162928,'1',655,'N'),(28,7162928,'1A',238,'N'),(28,7162936,'1',220,'N'),(28,7162936,'1A',601,'N'),(28,7162944,'1',303,'N'),(28,7162952,'1',318,'N'),(28,7162960,'1',207,'N'),(28,7162979,'1',103,'N'),(28,7162987,'1',103,'N'),(28,7163002,'1',103,'N'),(28,7163010,'1',415,'N'),(28,7163029,'1',103,'N'),(28,7163037,'1',999,'N'),(28,7163045,'1',317,'N'),(28,7163053,'1',103,'N'),(28,7163061,'1',109,'N'),(28,7163070,'1',333,'N'),(28,7163088,'1',103,'N'),(28,7163096,'1',999,'N'),(28,7163100,'1',501,'N'),(28,7163118,'1',336,'N'),(28,7163126,'1',203,'N'),(28,7163126,'1A',201,'N'),(28,7163134,'1',201,'N'),(28,7163134,'1A',212,'N'),(28,7163142,'1',454,'N'),(28,7163150,'1',220,'N'),(28,7163150,'1A',653,'N'),(28,7163169,'1',424,'N'),(28,7163169,'1A',427,'N'),(28,7163177,'1',104,'N'),(28,7163185,'1',215,'N'),(28,7163185,'1A',233,'N'),(28,7163193,'1',203,'N'),(28,7163193,'1A',202,'N'),(28,7163215,'1',103,'N'),(28,7163223,'1',502,'N'),(28,7163231,'1',999,'N'),(28,7163240,'1',103,'N'),(28,7163258,'1',203,'N'),(28,7163258,'1A',214,'N'),(28,7163274,'1',216,'N'),(28,7163274,'1A',211,'N'),(28,7163290,'1',444,'N'),(28,7163312,'1',214,'N'),(28,7163312,'1A',213,'N'),(28,7163320,'1',103,'N'),(28,7163339,'1',103,'N'),(28,7163347,'1',103,'N'),(28,7163355,'1',5,'N'),(28,7163363,'1',213,'N'),(28,7163363,'1A',202,'N'),(28,7163371,'1',203,'N'),(28,7163371,'1A',601,'N'),(28,7163380,'1',207,'N'),(28,7163380,'1A',215,'N'),(28,7163398,'1',103,'N'),(28,7163401,'1',216,'N'),(28,7163401,'1A',233,'N'),(28,7163410,'1',102,'N'),(28,7163428,'1',454,'N'),(28,7163436,'1',404,'N'),(28,7163444,'1',304,'N'),(28,7163452,'1',203,'N'),(28,7163452,'1A',214,'N'),(28,7163479,'1',426,'N'),(28,7163479,'1A',428,'N'),(28,7163487,'1',103,'N'),(28,7163495,'1',202,'N'),(28,7163495,'1A',220,'N'),(28,7163509,'1',340,'N'),(28,7163517,'1',454,'N'),(28,7163525,'1',9,'N'),(28,7163533,'1',235,'N'),(28,7163533,'1A',202,'N'),(28,7163541,'1',101,'N'),(28,7163550,'1',103,'N'),(28,7163568,'1',999,'N'),(28,7163576,'1',216,'N'),(28,7163576,'1A',215,'N'),(28,7163592,'1',5,'N'),(28,7163606,'1',552,'N'),(28,7163630,'1',333,'N'),(28,7163665,'1',103,'N'),(28,7163673,'1',336,'N'),(28,7163690,'1',303,'N'),(28,7163703,'1',999,'N'),(28,7163711,'1',454,'N'),(28,7163720,'1',450,'N'),(28,7163738,'1',201,'N'),(28,7163738,'1A',216,'N'),(28,7163746,'1',103,'N'),(28,7163754,'1',103,'N'),(28,7163789,'1',103,'N'),(28,7163797,'1',451,'N'),(28,7163800,'1',101,'N'),(28,7163819,'1',999,'N'),(28,7163827,'1',319,'N'),(28,7163835,'1',216,'N'),(28,7163835,'1A',215,'N'),(28,7163851,'1',326,'N'),(28,7163860,'1',454,'N'),(28,7163878,'1',5,'N'),(28,7163886,'1',318,'N'),(28,7163894,'1',340,'N'),(28,7163908,'1',103,'N'),(28,7163916,'1',201,'N'),(28,7163916,'1A',216,'N'),(28,7163924,'1',423,'N'),(28,7163932,'1',202,'N'),(28,7163932,'1A',216,'N'),(28,7163940,'1',207,'N'),(28,7163940,'1A',201,'N'),(28,7163959,'1',318,'N'),(28,7163967,'1',451,'N'),(28,7163975,'1',201,'N'),(28,7163975,'1A',215,'N'),(28,7163983,'1',203,'N'),(28,7163983,'1A',214,'N'),(28,7163991,'1',207,'N'),(28,7163991,'1A',201,'N'),(28,7164009,'1',201,'N'),(28,7164009,'1A',202,'N'),(28,7164017,'1',201,'N'),(28,7164017,'1A',207,'N'),(28,7164025,'1',999,'N'),(28,7164033,'1',303,'N'),(28,7164041,'1',103,'N'),(28,7164050,'1',303,'N'),(28,7164076,'1',103,'N'),(28,7164084,'1',103,'N'),(28,7164106,'1',302,'N'),(28,7164122,'1',999,'N'),(28,7164130,'1',3,'N'),(28,7164149,'1',207,'N'),(28,7164149,'1A',201,'N'),(28,7164165,'1',552,'N'),(28,7164173,'1',444,'N'),(28,7164181,'1',103,'N'),(28,7164203,'1',319,'N'),(28,7164211,'1',201,'N'),(28,7164211,'1A',212,'N'),(28,7164220,'1',104,'N'),(28,7164238,'1',103,'N'),(28,7164246,'1',203,'N'),(28,7164246,'1A',213,'N'),(28,7164262,'1',103,'N'),(28,7164270,'1',654,'N'),(28,7164319,'1',999,'N'),(28,7164327,'1',340,'N'),(28,7164335,'1',303,'N'),(28,7164343,'1',235,'N'),(28,7164343,'1A',202,'N'),(28,7164351,'1',201,'N'),(28,7164351,'1A',601,'N'),(28,7164360,'1',201,'N'),(28,7164360,'1A',207,'N'),(28,7164394,'1',303,'N'),(28,7164408,'1',999,'N'),(28,7164416,'1',216,'N'),(28,7164416,'1A',211,'N'),(28,7164424,'1',103,'N'),(28,7164432,'1',220,'N'),(28,7164432,'1A',202,'N'),(28,7164440,'1',2,'N'),(28,7164459,'1',327,'N'),(28,7164467,'1',203,'N'),(28,7164467,'1A',214,'N'),(28,7164483,'1',552,'N'),(28,7164491,'1',103,'N'),(28,7164505,'1',202,'N'),(28,7164505,'1A',213,'N'),(28,7164513,'1',103,'N'),(28,7164530,'1',216,'N'),(28,7164530,'1A',215,'N'),(28,7164548,'1',501,'N'),(28,7164572,'1',999,'N'),(28,7164599,'1',404,'N'),(28,7164602,'1',108,'N'),(28,7164610,'1',201,'N'),(28,7164610,'1A',212,'N'),(28,7164637,'1',103,'N'),(28,7164645,'1',454,'N'),(28,7164653,'1',301,'N'),(28,7164661,'1',654,'N'),(28,7164670,'1',103,'N'),(28,7164688,'1',103,'N'),(28,7164696,'1',327,'N'),(28,7164700,'1',340,'N'),(28,7164718,'1',103,'N'),(28,7164726,'1',329,'N'),(28,7164734,'1',103,'N'),(28,7164742,'1',415,'N'),(28,7164750,'1',319,'N'),(28,7164769,'1',212,'N'),(28,7164769,'1A',215,'N'),(28,7164785,'1',103,'N'),(28,7164793,'1',103,'N'),(28,7164807,'1',235,'N'),(28,7164807,'1A',220,'N'),(28,7164815,'1',999,'N'),(28,7164823,'1',339,'N'),(28,7164831,'1',103,'N'),(28,7164840,'1',316,'N'),(28,7164866,'1',207,'N'),(28,7164874,'1',208,'N'),(28,7164890,'1',238,'N'),(28,7164890,'1A',213,'N'),(28,7164904,'1',103,'N'),(28,7164912,'1',319,'N'),(28,7164939,'1',444,'N'),(28,7164955,'1',303,'N'),(28,7164963,'1',304,'N'),(28,7164971,'1',324,'N'),(28,7164980,'1',103,'N'),(28,7164998,'1',108,'N'),(28,7165005,'1',208,'N'),(28,7165021,'1',212,'N'),(28,7165021,'1A',215,'N'),(28,7165030,'1',103,'N'),(28,7165048,'1',999,'N'),(28,7165056,'1',103,'N'),(28,7165064,'1',103,'N'),(28,7165072,'1',303,'N'),(28,7165080,'1',103,'N'),(28,7165102,'1',9,'N'),(28,7165110,'1',201,'N'),(28,7165110,'1A',202,'N'),(28,7165129,'1',103,'N'),(28,7165145,'1',316,'N'),(28,7165153,'1',201,'N'),(28,7165153,'1A',203,'N'),(28,7165161,'1',103,'N'),(28,7165170,'1',103,'N'),(28,7165188,'1',454,'N'),(28,7165196,'1',103,'N'),(28,7165200,'1',103,'N'),(28,7165234,'1',454,'N'),(28,7165242,'1',202,'N'),(28,7165242,'1A',215,'N'),(28,7165250,'1',655,'N'),(28,7165250,'1A',238,'N'),(28,7165269,'1',303,'N'),(28,7165285,'1',3,'N'),(28,7165293,'1',999,'N'),(28,7165307,'1',3,'N'),(28,7165315,'1',202,'N'),(28,7165315,'1A',213,'N'),(28,7165323,'1',301,'N'),(28,7165340,'1',303,'N'),(28,7165358,'1',203,'N'),(28,7165358,'1A',201,'N'),(28,7165366,'1',205,'N'),(28,7165374,'1',216,'N'),(28,7165374,'1A',233,'N'),(28,7165382,'1',103,'N'),(28,7165404,'1',207,'N'),(28,7165404,'1A',211,'N'),(28,7165420,'1',207,'N'),(28,7165420,'1A',652,'N'),(28,7165439,'1',653,'N'),(28,7165439,'1A',202,'N'),(28,7165455,'1',203,'N'),(28,7165455,'1A',201,'N'),(28,7165471,'1',415,'N'),(28,7165480,'1',654,'N'),(28,7165498,'1',214,'N'),(28,7165498,'1A',213,'N'),(28,7165501,'1',216,'N'),(28,7165501,'1A',601,'N'),(28,7165510,'1',201,'N'),(28,7165510,'1A',207,'N'),(28,7165528,'1',601,'N'),(28,7165528,'1A',201,'N'),(28,7165544,'1',103,'N'),(28,7165560,'1',301,'N'),(28,7165579,'1',225,'N'),(28,7165595,'1',404,'N'),(28,7165609,'1',308,'N'),(28,7165617,'1',103,'N'),(28,7165625,'1',301,'N'),(28,7165633,'1',201,'N'),(28,7165633,'1A',202,'N'),(28,7165641,'1',319,'N'),(28,7165668,'1',444,'N'),(28,7165676,'1',213,'N'),(28,7165676,'1A',233,'N'),(28,7165684,'1',103,'N'),(28,7165706,'1',103,'N'),(28,7165714,'1',502,'N'),(28,7165722,'1',103,'N'),(28,7165730,'1',225,'N'),(28,7165749,'1',303,'N'),(28,7165757,'1',103,'N'),(28,7165765,'1',102,'N'),(28,7165773,'1',201,'N'),(28,7165773,'1A',207,'N'),(28,7165781,'1',201,'N'),(28,7165781,'1A',207,'N'),(28,7165790,'1',103,'N'),(28,7165803,'1',340,'N'),(28,7165811,'1',454,'N'),(28,7165820,'1',103,'N'),(28,7165838,'1',224,'N'),(28,7165846,'1',301,'N'),(28,7165854,'1',424,'N'),(28,7165854,'1A',421,'N'),(28,7165862,'1',103,'N'),(28,7165870,'1',104,'N'),(28,7165889,'1',103,'N'),(28,7165900,'1',103,'N'),(28,7165919,'1',339,'N'),(28,7165927,'1',9,'N'),(28,7165943,'1',103,'N'),(28,7165951,'1',303,'N'),(28,7165960,'1',333,'N'),(28,7165978,'1',340,'N'),(28,7165986,'1',103,'N'),(28,7165994,'1',5,'N'),(28,7166001,'1',220,'N'),(28,7166010,'1',110,'N'),(28,7166028,'1',301,'N'),(28,7166036,'1',216,'N'),(28,7166036,'1A',214,'N'),(28,7166044,'1',501,'N'),(28,7166052,'1',308,'N'),(28,7166079,'1',104,'N'),(28,7166087,'1',327,'N'),(28,7166095,'1',317,'N'),(28,7166109,'1',303,'N'),(28,7166117,'1',333,'N'),(28,7166150,'1',316,'N'),(28,7166168,'1',317,'N'),(28,7166184,'1',103,'N'),(28,7166192,'1',103,'N'),(28,7166206,'1',427,'N'),(28,7166206,'1A',421,'N'),(28,7166214,'1',207,'N'),(28,7166214,'1A',201,'N'),(28,7166222,'1',552,'N'),(28,7166249,'1',308,'N'),(28,7166257,'1',5,'N'),(28,7166265,'1',454,'N'),(28,7166273,'1',303,'N'),(28,7166281,'1',101,'N'),(28,7166290,'1',203,'N'),(28,7166290,'1A',202,'N'),(28,7166303,'1',201,'N'),(28,7166303,'1A',653,'N'),(28,7166311,'1',317,'N'),(28,7166354,'1',103,'N'),(28,7166370,'1',103,'N'),(28,7166389,'1',216,'N'),(28,7166389,'1A',215,'N'),(28,7166397,'1',103,'N'),(28,7166400,'1',5,'N'),(28,7166427,'1',103,'N'),(28,7166435,'1',340,'N'),(28,7166443,'1',201,'N'),(28,7166443,'1A',601,'N'),(28,7166451,'1',203,'N'),(28,7166451,'1A',214,'N'),(28,7166460,'1',207,'N'),(28,7166460,'1A',233,'N'),(28,7166478,'1',340,'N'),(28,7166486,'1',103,'N'),(28,7166494,'1',208,'N'),(28,7166508,'1',207,'N'),(28,7166508,'1A',201,'N'),(28,7166516,'1',207,'N'),(28,7166516,'1A',201,'N'),(28,7166524,'1',318,'N'),(28,7166532,'1',303,'N'),(28,7166540,'1',233,'N'),(28,7166540,'1A',202,'N'),(28,7166559,'1',601,'N'),(28,7166575,'1',201,'N'),(28,7166575,'1A',212,'N'),(28,7166583,'1',207,'N'),(28,7166583,'1A',211,'N'),(28,7166591,'1',214,'N'),(28,7166591,'1A',213,'N'),(28,7166605,'1',233,'N'),(28,7166605,'1A',203,'N'),(28,7166613,'1',202,'N'),(28,7166613,'1A',213,'N'),(28,7166621,'1',424,'N'),(28,7166621,'1A',427,'N'),(28,7166648,'1',214,'N'),(28,7166648,'1A',211,'N'),(28,7166656,'1',655,'N'),(28,7166656,'1A',652,'N'),(28,7166664,'1',301,'N'),(28,7166672,'1',203,'N'),(28,7166672,'1A',235,'N'),(28,7166680,'1',103,'N'),(28,7166699,'1',5,'N'),(28,7166702,'1',317,'N'),(28,7166710,'1',201,'N'),(28,7166710,'1A',207,'N'),(28,7166729,'1',235,'N'),(28,7166729,'1A',238,'N'),(28,7166737,'1',103,'N'),(28,7166745,'1',103,'N'),(28,7166753,'1',103,'N'),(28,7166761,'1',444,'N'),(28,7166770,'1',211,'N'),(28,7166770,'1A',202,'N'),(28,7166796,'1',454,'N'),(28,7166800,'1',404,'N'),(28,7166818,'1',319,'N'),(28,7166834,'1',201,'N'),(28,7166834,'1A',212,'N'),(28,7166842,'1',319,'N'),(28,7166850,'1',303,'N'),(28,7166869,'1',601,'N'),(28,7166869,'1A',653,'N'),(28,7166877,'1',103,'N'),(28,7166885,'1',214,'N'),(28,7166885,'1A',220,'N'),(28,7166893,'1',501,'N'),(28,7166907,'1',211,'N'),(28,7166907,'1A',215,'N'),(28,7166923,'1',999,'N'),(28,7166931,'1',201,'N'),(28,7166940,'1',454,'N'),(28,7166958,'1',103,'N'),(28,7166966,'1',101,'N'),(28,7166974,'1',652,'N'),(28,7166974,'1A',655,'N'),(28,7166982,'1',404,'N'),(28,7166990,'1',103,'N'),(28,7167016,'1',308,'N'),(28,7167024,'1',216,'N'),(28,7167024,'1A',233,'N'),(28,7167032,'1',103,'N'),(28,7167040,'1',601,'N'),(28,7167059,'1',211,'N'),(28,7167059,'1A',201,'N'),(28,7167075,'1',340,'N'),(28,7167083,'1',415,'N'),(28,7167091,'1',103,'N'),(28,7167105,'1',214,'N'),(28,7167105,'1A',213,'N'),(28,7167113,'1',214,'N'),(28,7167113,'1A',212,'N'),(28,7167121,'1',999,'N'),(28,7167130,'1',999,'N'),(28,7167148,'1',601,'N'),(28,7167148,'1A',220,'N'),(28,7167156,'1',103,'N'),(28,7167164,'1',207,'N'),(28,7167164,'1A',215,'N'),(28,7167172,'1',109,'N'),(28,7167180,'1',102,'N'),(28,7167199,'1',303,'N'),(28,7167210,'1',5,'N'),(28,7167229,'1',308,'N'),(28,7167237,'1',103,'N'),(28,7167245,'1',211,'N'),(28,7167245,'1A',233,'N'),(28,7167253,'1',103,'N'),(28,7167261,'1',103,'N'),(28,7167300,'1',303,'N'),(28,7167318,'1',203,'N'),(28,7167318,'1A',653,'N'),(28,7167326,'1',103,'N'),(28,7167342,'1',103,'N'),(28,7167350,'1',551,'N'),(28,7167369,'1',108,'N'),(28,7167377,'1',104,'N'),(28,7167385,'1',552,'N'),(28,7167393,'1',425,'N'),(28,7167407,'1',308,'N'),(28,7167415,'1',201,'N'),(28,7167415,'1A',655,'N'),(28,7167423,'1',203,'N'),(28,7167423,'1A',216,'N'),(28,7167431,'1',3,'N'),(28,7167440,'1',333,'N'),(28,7167458,'1',304,'N'),(28,7167466,'1',601,'N'),(28,7167466,'1A',201,'N'),(28,7167474,'1',336,'N'),(28,7167482,'1',103,'N'),(28,7167490,'1',201,'N'),(28,7167490,'1A',203,'N'),(28,7167504,'1',103,'N'),(28,7167520,'1',203,'N'),(28,7167520,'1A',207,'N'),(28,7167539,'1',3,'N'),(28,7167547,'1',426,'N'),(28,7167555,'1',5,'N'),(28,7167571,'1',103,'N'),(28,7167580,'1',103,'N'),(28,7167598,'1',103,'N'),(28,7167601,'1',201,'N'),(28,7167610,'1',103,'N'),(28,7167628,'1',216,'N'),(28,7167628,'1A',215,'N'),(28,7167636,'1',103,'N'),(28,7167644,'1',104,'N'),(28,7167652,'1',318,'N'),(28,7167660,'1',216,'N'),(28,7167660,'1A',233,'N'),(28,7167679,'1',319,'N'),(28,7167687,'1',103,'N'),(28,7167695,'1',108,'N'),(28,7167709,'1',103,'N'),(28,7167725,'1',333,'N'),(28,7167741,'1',103,'N'),(28,7167750,'1',224,'N'),(28,7167768,'1',303,'N'),(28,7167776,'1',601,'N'),(28,7167776,'1A',201,'N'),(28,7167792,'1',601,'N'),(28,7167792,'1A',201,'N'),(28,7167822,'1',319,'N'),(28,7167830,'1',103,'N'),(28,7167849,'1',103,'N'),(28,7167857,'1',102,'N'),(28,7167865,'1',214,'N'),(28,7167865,'1A',220,'N'),(28,7167873,'1',201,'N'),(28,7167873,'1A',212,'N'),(28,7167881,'1',103,'N'),(28,7167890,'1',203,'N'),(28,7167890,'1A',233,'N'),(28,7167903,'1',216,'N'),(28,7167903,'1A',215,'N'),(28,7167911,'1',203,'N'),(28,7167911,'1A',233,'N'),(28,7167920,'1',108,'N'),(28,7167938,'1',653,'N'),(28,7167938,'1A',655,'N'),(28,7167946,'1',201,'N'),(28,7167946,'1A',238,'N'),(28,7167954,'1',103,'N'),(28,7167989,'1',301,'N'),(28,7167997,'1',238,'N'),(28,7167997,'1A',201,'N'),(28,7168004,'1',999,'N'),(28,7168020,'1',999,'N'),(28,7168039,'1',207,'N'),(28,7168039,'1A',201,'N'),(28,7168063,'1',653,'N'),(28,7168063,'1A',655,'N'),(28,7168071,'1',552,'N'),(28,7168080,'1',103,'N'),(28,7168098,'1',103,'N'),(28,7168110,'1',203,'N'),(28,7168110,'1A',601,'N'),(28,7168128,'1',211,'N'),(28,7168128,'1A',203,'N'),(28,7168152,'1',103,'N'),(28,7168160,'1',216,'N'),(28,7168160,'1A',203,'N'),(28,7168187,'1',201,'N'),(28,7168187,'1A',601,'N'),(28,7168195,'1',202,'N'),(28,7168195,'1A',203,'N'),(28,7168209,'1',203,'N'),(28,7168209,'1A',202,'N'),(28,7168217,'1',103,'N'),(28,7168233,'1',103,'N'),(28,7168268,'1',203,'N'),(28,7168268,'1A',235,'N'),(28,7168284,'1',601,'N'),(28,7168284,'1A',235,'N'),(28,7168306,'1',103,'N'),(28,7168314,'1',999,'N'),(28,7168322,'1',108,'N'),(28,7168330,'1',103,'N'),(28,7168349,'1',333,'N'),(28,7168357,'1',501,'N'),(28,7168365,'1',415,'N'),(28,7168373,'1',103,'N'),(28,7168381,'1',103,'N'),(28,7168390,'1',999,'N'),(28,7168403,'1',108,'N'),(28,7168411,'1',108,'N'),(28,7168420,'1',104,'N'),(28,7168438,'1',103,'N'),(28,7168446,'1',104,'N'),(28,7168454,'1',5,'N'),(28,7168462,'1',340,'N'),(28,7168470,'1',220,'N'),(28,7168470,'1A',238,'N'),(28,7168489,'1',103,'N'),(28,7168497,'1',202,'N'),(28,7168497,'1A',213,'N'),(28,7168500,'1',203,'N'),(28,7168500,'1A',201,'N'),(28,7168527,'1',328,'N'),(28,7168543,'1',203,'N'),(28,7168543,'1A',214,'N'),(28,7168551,'1',101,'N'),(28,7168560,'1',201,'N'),(28,7168560,'1A',207,'N'),(28,7168578,'1',5,'N'),(28,7168586,'1',103,'N'),(28,7168594,'1',331,'N'),(28,7168608,'1',303,'N'),(28,7168616,'1',103,'N'),(28,7168624,'1',201,'N'),(28,7168624,'1A',211,'N'),(28,7168632,'1',333,'N'),(28,7168640,'1',102,'N'),(28,7168659,'1',103,'N'),(28,7168667,'1',103,'N'),(28,7168675,'1',426,'N'),(28,7168675,'1A',423,'N'),(28,7168683,'1',103,'N'),(28,7168691,'1',303,'N'),(28,7168705,'1',103,'N'),(28,7168713,'1',303,'N'),(28,7168721,'1',999,'N'),(28,7168730,'1',999,'N'),(28,7168748,'1',999,'N'),(28,7168756,'1',211,'N'),(28,7168756,'1A',216,'N'),(28,7168772,'1',203,'N'),(28,7168772,'1A',202,'N'),(28,7168780,'1',653,'N'),(28,7168780,'1A',655,'N'),(28,7168799,'1',5,'N'),(28,7168802,'1',5,'N'),(28,7168810,'1',220,'N'),(28,7168810,'1A',601,'N'),(28,7168829,'1',999,'N'),(28,7168837,'1',220,'N'),(28,7168837,'1A',201,'N'),(28,7168845,'1',999,'N'),(28,7168853,'1',216,'N'),(28,7168853,'1A',214,'N'),(28,7168861,'1',999,'N'),(28,7168870,'1',454,'N'),(28,7168888,'1',103,'N'),(28,7168896,'1',216,'N'),(28,7168896,'1A',211,'N'),(28,7168900,'1',316,'N'),(28,7168918,'1',654,'N'),(28,7168934,'1',404,'N'),(28,7168942,'1',425,'N'),(28,7168942,'1A',424,'N'),(28,7168950,'1',103,'N'),(28,7168969,'1',103,'N'),(28,7168985,'1',103,'N'),(28,7168993,'1',207,'N'),(28,7169000,'1',203,'N'),(28,7169000,'1A',216,'N'),(28,7169035,'1',454,'N'),(28,7169043,'1',5,'N'),(28,7169060,'1',103,'N'),(28,7169078,'1',103,'N'),(28,7169094,'1',601,'N'),(28,7169094,'1A',212,'N'),(28,7169108,'1',216,'N'),(28,7169108,'1A',215,'N'),(28,7169116,'1',203,'N'),(28,7169116,'1A',220,'N'),(28,7169124,'1',5,'N'),(28,7169159,'1',203,'N'),(28,7169159,'1A',207,'N'),(28,7169167,'1',317,'N'),(28,7169175,'1',415,'N'),(28,7169183,'1',207,'N'),(28,7169183,'1A',201,'N'),(28,7169191,'1',203,'N'),(28,7169191,'1A',207,'N'),(28,7169205,'1',444,'N'),(28,7169213,'1',220,'N'),(28,7169213,'1A',235,'N'),(28,7169221,'1',201,'N'),(28,7169221,'1A',211,'N'),(28,7169230,'1',201,'N'),(28,7169230,'1A',220,'N'),(28,7169248,'1',201,'N'),(28,7169248,'1A',213,'N'),(28,7169264,'1',238,'N'),(28,7169264,'1A',203,'N'),(28,7169272,'1',201,'N'),(28,7169272,'1A',212,'N'),(28,7169280,'1',207,'N'),(28,7169280,'1A',201,'N'),(28,7169299,'1',103,'N'),(28,7169302,'1',103,'N'),(28,7169310,'1',425,'N'),(28,7169310,'1A',426,'N'),(28,7169329,'1',328,'N'),(28,7169345,'1',212,'N'),(28,7169345,'1A',233,'N'),(28,7169353,'1',207,'N'),(28,7169353,'1A',201,'N'),(28,7169361,'1',303,'N'),(28,7169396,'1',201,'N'),(28,7169396,'1A',203,'N'),(28,7169400,'1',415,'N'),(28,7169418,'1',319,'N'),(28,7169426,'1',340,'N'),(28,7169469,'1',5,'N'),(28,7169485,'1',103,'N'),(28,7169493,'1',104,'N'),(28,7169507,'1',999,'N'),(28,7169523,'1',103,'N'),(28,7169531,'1',103,'N'),(28,7169540,'1',103,'N'),(28,7169558,'1',501,'N'),(28,7169566,'1',203,'N'),(28,7169566,'1A',202,'N'),(28,7169574,'1',211,'N'),(28,7169574,'1A',233,'N'),(28,7169582,'1',201,'N'),(28,7169582,'1A',601,'N'),(28,7169590,'1',213,'N'),(28,7169590,'1A',201,'N'),(28,7169612,'1',103,'N'),(28,7169620,'1',235,'N'),(28,7169620,'1A',601,'N'),(28,7169639,'1',303,'N'),(28,7169655,'1',203,'N'),(28,7169655,'1A',202,'N'),(28,7169663,'1',201,'N'),(28,7169663,'1A',207,'N'),(28,7169671,'1',5,'N'),(28,7169680,'1',108,'N'),(28,7169698,'1',103,'N'),(28,7169701,'1',224,'N'),(28,7169710,'1',207,'N'),(28,7169710,'1A',233,'N'),(28,7169728,'1',103,'N'),(28,7169736,'1',202,'N'),(28,7169736,'1A',220,'N'),(28,7169760,'1',317,'N'),(28,7169779,'1',5,'N'),(28,7169787,'1',216,'N'),(28,7169787,'1A',201,'N'),(28,7169795,'1',203,'N'),(28,7169795,'1A',235,'N'),(28,7169809,'1',103,'N'),(28,7169817,'1',201,'N'),(28,7169817,'1A',211,'N'),(28,7169825,'1',429,'N'),(28,7169825,'1A',425,'N'),(28,7169833,'1',103,'N'),(28,7169841,'1',202,'N'),(28,7169841,'1A',203,'N'),(28,7169850,'1',103,'N'),(28,7169868,'1',999,'N'),(28,7169884,'1',216,'N'),(28,7169884,'1A',212,'N'),(28,7169892,'1',103,'N'),(28,7169906,'1',601,'N'),(28,7169914,'1',103,'N'),(28,7169922,'1',601,'N'),(28,7169930,'1',103,'N'),(28,7169949,'1',309,'N'),(28,7169965,'1',5,'N'),(28,7169981,'1',440,'N'),(28,7169990,'1',999,'N'),(28,7170009,'1',415,'N'),(28,7170017,'1',303,'N'),(28,7170025,'1',103,'N'),(28,7170033,'1',103,'N'),(28,7170041,'1',202,'N'),(28,7170041,'1A',235,'N'),(28,7170050,'1',319,'N'),(28,7170068,'1',331,'N'),(28,7170076,'1',999,'N'),(28,7170084,'1',238,'N'),(28,7170084,'1A',211,'N'),(28,7170092,'1',213,'N'),(28,7170092,'1A',601,'N'),(28,7170114,'1',212,'N'),(28,7170114,'1A',207,'N'),(28,7170122,'1',103,'N'),(28,7170130,'1',103,'N'),(28,7170157,'1',203,'N'),(28,7170157,'1A',214,'N'),(28,7170165,'1',103,'N'),(28,7170173,'1',103,'N'),(28,7170181,'1',9,'N'),(28,7170190,'1',103,'N'),(28,7170203,'1',108,'N'),(28,7170220,'1',552,'N'),(28,7170246,'1',201,'N'),(28,7170246,'1A',214,'N'),(28,7170254,'1',208,'N'),(28,7170262,'1',317,'N'),(28,7170270,'1',601,'N'),(28,7170270,'1A',655,'N'),(28,7170289,'1',220,'N'),(28,7170289,'1A',203,'N'),(28,7170297,'1',103,'N'),(28,7170319,'1',103,'N'),(28,7170327,'1',336,'N'),(28,7170335,'1',444,'N'),(28,7170343,'1',502,'N'),(28,7170351,'1',103,'N'),(28,7170360,'1',302,'N'),(28,7170378,'1',440,'N'),(28,7170386,'1',502,'N'),(28,7170394,'1',216,'N'),(28,7170394,'1A',220,'N'),(28,7170416,'1',207,'N'),(28,7170416,'1A',201,'N'),(28,7170424,'1',201,'N'),(28,7170424,'1A',653,'N'),(28,7170432,'1',340,'N'),(28,7170440,'1',104,'N'),(28,7170459,'1',552,'N'),(28,7170467,'1',103,'N'),(28,7170475,'1',103,'N'),(28,7170483,'1',3,'N'),(28,7170491,'1',225,'N'),(28,7170505,'1',302,'N'),(28,7170513,'1',2,'N'),(28,7170521,'1',233,'N'),(28,7170521,'1A',215,'N'),(28,7170530,'1',202,'N'),(28,7170530,'1A',235,'N'),(28,7170548,'1',340,'N'),(28,7170564,'1',102,'N'),(28,7170572,'1',109,'N'),(28,7170580,'1',5,'N'),(28,7170599,'1',999,'N'),(28,7170602,'1',102,'N'),(28,7170610,'1',202,'N'),(28,7170610,'1A',216,'N'),(28,7170629,'1',203,'N'),(28,7170629,'1A',214,'N'),(28,7170637,'1',203,'N'),(28,7170637,'1A',201,'N'),(28,7170645,'1',303,'N'),(28,7170653,'1',104,'N'),(28,7170661,'1',211,'N'),(28,7170661,'1A',216,'N'),(28,7170670,'1',211,'N'),(28,7170688,'1',108,'N'),(28,7170696,'1',327,'N'),(28,7170700,'1',999,'N'),(28,7170718,'1',220,'N'),(28,7170726,'1',109,'N'),(28,7170734,'1',201,'N'),(28,7170734,'1A',207,'N'),(28,7170742,'1',601,'N'),(28,7170777,'1',317,'N'),(28,7170807,'1',103,'N'),(28,7170815,'1',207,'N'),(28,7170815,'1A',212,'N'),(28,7170831,'1',103,'N'),(28,7170840,'1',211,'N'),(28,7170840,'1A',233,'N'),(28,7170858,'1',999,'N'),(28,7170866,'1',207,'N'),(28,7170866,'1A',201,'N'),(28,7170874,'1',9,'N'),(28,7170882,'1',5,'N'),(28,7170890,'1',303,'N'),(28,7170904,'1',454,'N'),(28,7170920,'1',103,'N'),(28,7170939,'1',102,'N'),(28,7170955,'1',340,'N'),(28,7170971,'1',103,'N'),(28,7170980,'1',304,'N'),(28,7170998,'1',216,'N'),(28,7170998,'1A',202,'N'),(28,7171005,'1',201,'N'),(28,7171005,'1A',211,'N'),(28,7171021,'1',207,'N'),(28,7171021,'1A',211,'N'),(28,7171030,'1',601,'N'),(28,7171048,'1',317,'N'),(28,7171056,'1',103,'N'),(28,7171064,'1',201,'N'),(28,7171064,'1A',212,'N'),(28,7171072,'1',203,'N'),(28,7171072,'1A',220,'N'),(28,7171080,'1',215,'N'),(28,7171080,'1A',601,'N'),(28,7171102,'1',110,'N'),(28,7171110,'1',552,'N'),(28,7171129,'1',108,'N'),(28,7171145,'1',203,'N'),(28,7171145,'1A',233,'N'),(28,7171188,'1',203,'N'),(28,7171188,'1A',214,'N'),(28,7171196,'1',302,'N'),(28,7171200,'1',103,'N'),(28,7171218,'1',103,'N'),(28,7171226,'1',333,'N'),(28,7171234,'1',211,'N'),(28,7171234,'1A',213,'N'),(28,7171242,'1',335,'N'),(28,7171250,'1',552,'N'),(28,7171269,'1',208,'N'),(28,7171277,'1',5,'N'),(28,7171293,'1',454,'N'),(28,7171315,'1',103,'N'),(28,7171323,'1',201,'N'),(28,7171323,'1A',202,'N'),(28,7171340,'1',999,'N'),(28,7171358,'1',601,'N'),(28,7171358,'1A',203,'N'),(28,7171366,'1',103,'N'),(28,7171374,'1',201,'N'),(28,7171374,'1A',216,'N'),(28,7171382,'1',454,'N'),(28,7171404,'1',5,'N'),(28,7171412,'1',211,'N'),(28,7171412,'1A',235,'N'),(28,7171420,'1',501,'N'),(28,7171447,'1',211,'N'),(28,7171447,'1A',233,'N'),(28,7171455,'1',203,'N'),(28,7171455,'1A',220,'N'),(28,7171463,'1',216,'N'),(28,7171471,'1',601,'N'),(28,7171471,'1A',655,'N'),(28,7171480,'1',201,'N'),(28,7171480,'1A',601,'N'),(28,7171498,'1',211,'N'),(28,7171501,'1',316,'N'),(28,7171528,'1',103,'N'),(28,7171544,'1',207,'N'),(28,7171544,'1A',201,'N'),(28,7171552,'1',103,'N'),(28,7171560,'1',316,'N'),(28,7171579,'1',214,'N'),(28,7171579,'1A',212,'N'),(28,7171587,'1',310,'N'),(28,7171595,'1',103,'N'),(28,7171609,'1',104,'N'),(28,7171617,'1',201,'N'),(28,7171617,'1A',212,'N'),(28,7171625,'1',202,'N'),(28,7171625,'1A',655,'N'),(28,7171641,'1',340,'N'),(28,7171650,'1',601,'N'),(28,7171668,'1',601,'N'),(28,7171676,'1',304,'N'),(28,7171684,'1',103,'N'),(28,7171714,'1',203,'N'),(28,7171714,'1A',202,'N'),(28,7171722,'1',444,'N'),(28,7171730,'1',203,'N'),(28,7171730,'1A',233,'N'),(28,7171757,'1',601,'N'),(28,7171757,'1A',203,'N'),(28,7171765,'1',653,'N'),(28,7171773,'1',102,'N'),(28,7171781,'1',201,'N'),(28,7171781,'1A',601,'N'),(28,7171790,'1',203,'N'),(28,7171790,'1A',214,'N'),(28,7171803,'1',404,'N'),(28,7171811,'1',208,'N'),(28,7171820,'1',601,'N'),(28,7171820,'1A',214,'N'),(28,7171838,'1',501,'N'),(28,7171854,'1',103,'N'),(28,7171889,'1',332,'N'),(28,7171897,'1',339,'N'),(28,7171900,'1',5,'N'),(28,7171919,'1',319,'N'),(28,7171927,'1',319,'N'),(28,7171935,'1',415,'N'),(28,7171943,'1',201,'N'),(28,7171943,'1A',212,'N'),(28,7171951,'1',5,'N'),(28,7171986,'1',102,'N'),(28,7171994,'1',103,'N'),(28,7172010,'1',601,'N'),(28,7172010,'1A',216,'N'),(28,7172028,'1',423,'N'),(28,7172028,'1A',427,'N'),(28,7172036,'1',201,'N'),(28,7172036,'1A',212,'N'),(28,7172044,'1',103,'N'),(28,7172052,'1',103,'N'),(28,7172060,'1',428,'N'),(28,7172060,'1A',424,'N'),(28,7172079,'1',333,'N'),(28,7172087,'1',103,'N'),(28,7172117,'1',207,'N'),(28,7172125,'1',552,'N'),(28,7172133,'1',214,'N'),(28,7172133,'1A',213,'N'),(28,7172141,'1',103,'N'),(28,7172176,'1',425,'N'),(28,7172176,'1A',421,'N'),(28,7172184,'1',428,'N'),(28,7172184,'1A',426,'N'),(28,7172192,'1',552,'N'),(28,7172206,'1',999,'N'),(28,7172222,'1',103,'N'),(28,7172249,'1',207,'N'),(28,7172249,'1A',201,'N'),(28,7172257,'1',103,'N'),(28,7172265,'1',423,'N'),(28,7172265,'1A',425,'N'),(28,7172273,'1',5,'N'),(28,7172281,'1',425,'N'),(28,7172281,'1A',424,'N'),(28,7172290,'1',301,'N'),(28,7172303,'1',108,'N'),(28,7172311,'1',103,'N'),(28,7172338,'1',454,'N'),(28,7172354,'1',103,'N'),(28,7172362,'1',201,'N'),(28,7172362,'1A',235,'N'),(28,7172370,'1',303,'N'),(28,7172397,'1',235,'N'),(28,7172397,'1A',213,'N'),(28,7172400,'1',652,'N'),(28,7172427,'1',316,'N'),(28,7172435,'1',551,'N'),(28,7172443,'1',201,'N'),(28,7172443,'1A',202,'N'),(28,7172451,'1',216,'N'),(28,7172451,'1A',214,'N'),(28,7172494,'1',340,'N'),(28,7172508,'1',103,'N'),(28,7172516,'1',238,'N'),(28,7172516,'1A',201,'N'),(28,7172524,'1',318,'N'),(28,7172532,'1',203,'N'),(28,7172532,'1A',216,'N'),(28,7172559,'1',427,'N'),(28,7172559,'1A',424,'N'),(28,7172575,'1',103,'N'),(28,7172583,'1',103,'N'),(28,7172591,'1',202,'N'),(28,7172591,'1A',235,'N'),(28,7172605,'1',203,'N'),(28,7172605,'1A',220,'N'),(28,7172613,'1',336,'N'),(28,7172630,'1',104,'N'),(28,7172648,'1',302,'N'),(28,7172656,'1',309,'N'),(28,7172664,'1',103,'N'),(28,7172672,'1',317,'N'),(28,7172680,'1',103,'N'),(28,7172699,'1',327,'N'),(28,7172702,'1',454,'N'),(28,7172710,'1',238,'N'),(28,7172710,'1A',655,'N'),(28,7172729,'1',653,'N'),(28,7172729,'1A',655,'N'),(28,7172737,'1',316,'N'),(28,7172745,'1',425,'N'),(28,7172745,'1A',424,'N'),(28,7172753,'1',201,'N'),(28,7172753,'1A',601,'N'),(28,7172770,'1',103,'N'),(28,7172788,'1',207,'N'),(28,7172788,'1A',212,'N'),(28,7172818,'1',404,'N'),(28,7172826,'1',301,'N'),(28,7172834,'1',5,'N'),(28,7172842,'1',103,'N'),(28,7172869,'1',203,'N'),(28,7172869,'1A',214,'N'),(28,7172885,'1',103,'N'),(28,7172915,'1',103,'N'),(28,7172931,'1',335,'N'),(28,7172940,'1',454,'N'),(28,7172966,'1',450,'N'),(28,7172974,'1',333,'N'),(28,7172982,'1',450,'N'),(28,7172990,'1',552,'N'),(28,7173008,'1',103,'N'),(28,7173016,'1',502,'N'),(28,7173024,'1',203,'N'),(28,7173024,'1A',214,'N'),(28,7173032,'1',103,'N'),(28,7173040,'1',213,'N'),(28,7173040,'1A',235,'N'),(28,7173067,'1',103,'N'),(28,7173083,'1',329,'N'),(28,7173091,'1',450,'N'),(28,7173105,'1',103,'N'),(28,7173113,'1',235,'N'),(28,7173113,'1A',655,'N'),(28,7173130,'1',304,'N'),(28,7173148,'1',426,'N'),(28,7173148,'1A',428,'N'),(28,7173156,'1',208,'N'),(28,7173164,'1',103,'N'),(28,7173180,'1',102,'N'),(28,7173199,'1',303,'N'),(28,7173202,'1',601,'N'),(28,7173210,'1',303,'N'),(28,7173237,'1',303,'N'),(28,7173245,'1',216,'N'),(28,7173245,'1A',233,'N'),(28,7173253,'1',203,'N'),(28,7173261,'1',103,'N'),(28,7173270,'1',999,'N'),(28,7173288,'1',103,'N'),(28,7173296,'1',104,'N'),(28,7173300,'1',428,'N'),(28,7173300,'1A',425,'N'),(28,7173318,'1',220,'N'),(28,7173318,'1A',601,'N'),(28,7173326,'1',233,'N'),(28,7173326,'1A',213,'N'),(28,7173334,'1',103,'N'),(28,7173342,'1',103,'N'),(28,7173350,'1',233,'N'),(28,7173369,'1',999,'N'),(28,7173377,'1',3,'N'),(28,7173385,'1',216,'N'),(28,7173385,'1A',214,'N'),(28,7173393,'1',208,'N'),(28,7173407,'1',201,'N'),(28,7173407,'1A',601,'N'),(28,7173423,'1',104,'N'),(28,7173431,'1',104,'N'),(28,7173440,'1',216,'N'),(28,7173440,'1A',601,'N'),(28,7173458,'1',5,'N'),(28,7173466,'1',999,'N'),(28,7173482,'1',503,'N'),(28,7173490,'1',103,'N'),(28,7173504,'1',301,'N'),(28,7173512,'1',216,'N'),(28,7173512,'1A',215,'N'),(28,7173520,'1',216,'N'),(28,7173520,'1A',653,'N'),(28,7173539,'1',450,'N'),(28,7173547,'1',303,'N'),(28,7173555,'1',601,'N'),(28,7173555,'1A',212,'N'),(28,7173563,'1',103,'N'),(28,7173580,'1',5,'N'),(28,7173598,'1',103,'N'),(28,7173652,'1',303,'N'),(28,7173660,'1',201,'N'),(28,7173679,'1',338,'N'),(28,7173687,'1',238,'N'),(28,7173687,'1A',213,'N'),(28,7173695,'1',454,'N'),(28,7173709,'1',102,'N'),(28,7173717,'1',502,'N'),(28,7173725,'1',103,'N'),(28,7173741,'1',103,'N'),(28,7173750,'1',450,'N'),(28,7173768,'1',304,'N'),(28,7173776,'1',552,'N'),(28,7173784,'1',203,'N'),(28,7173784,'1A',233,'N'),(28,7173792,'1',103,'N'),(28,7173806,'1',207,'N'),(28,7173806,'1A',211,'N'),(28,7173814,'1',103,'N'),(28,7173822,'1',203,'N'),(28,7173822,'1A',220,'N'),(28,7173830,'1',103,'N'),(28,7173849,'1',551,'N'),(28,7173881,'1',319,'N'),(28,7173890,'1',110,'N'),(28,7173911,'1',207,'N'),(28,7173911,'1A',201,'N'),(28,7173938,'1',5,'N'),(28,7173954,'1',202,'N'),(28,7173954,'1A',235,'N'),(28,7173962,'1',103,'N'),(28,7173970,'1',104,'N'),(28,7173989,'1',103,'N'),(28,7173997,'1',333,'N'),(28,7174004,'1',328,'N'),(28,7174012,'1',103,'N'),(28,7174039,'1',238,'N'),(28,7174055,'1',9,'N'),(28,7174063,'1',211,'N'),(28,7174063,'1A',235,'N'),(28,7174071,'1',601,'N'),(28,7174071,'1A',233,'N'),(28,7174080,'1',340,'N'),(28,7174098,'1',103,'N'),(28,7174101,'1',103,'N'),(28,7174110,'1',319,'N'),(28,7174136,'1',9,'N'),(28,7174144,'1',207,'N'),(28,7174144,'1A',201,'N'),(28,7174160,'1',999,'N'),(28,7174179,'1',103,'N'),(28,7174187,'1',103,'N'),(28,7174195,'1',103,'N'),(28,7174209,'1',501,'N'),(28,7174225,'1',203,'N'),(28,7174225,'1A',214,'N'),(28,7174233,'1',319,'N'),(28,7174241,'1',201,'N'),(28,7174241,'1A',207,'N'),(28,7174250,'1',103,'N'),(28,7174276,'1',213,'N'),(28,7174276,'1A',238,'N'),(28,7174284,'1',999,'N'),(28,7174292,'1',103,'N'),(28,7174306,'1',103,'N'),(28,7174314,'1',319,'N'),(28,7174322,'1',215,'N'),(28,7174322,'1A',212,'N'),(28,7174349,'1',103,'N'),(28,7174365,'1',103,'N'),(28,7174373,'1',653,'N'),(28,7174373,'1A',203,'N'),(28,7174381,'1',319,'N'),(28,7174390,'1',214,'N'),(28,7174390,'1A',215,'N'),(28,7174403,'1',301,'N'),(28,7174411,'1',331,'N'),(28,7174420,'1',103,'N'),(28,7174438,'1',103,'N'),(28,7174446,'1',655,'N'),(28,7174446,'1A',238,'N'),(28,7174454,'1',103,'N'),(28,7174462,'1',3,'N'),(28,7174489,'1',103,'N'),(28,7174497,'1',552,'N'),(28,7174500,'1',501,'N'),(28,7174535,'1',5,'N'),(28,7174543,'1',9,'N'),(28,7174551,'1',999,'N'),(28,7174560,'1',207,'N'),(28,7174560,'1A',201,'N'),(28,7174578,'1',101,'N'),(28,7174586,'1',552,'N'),(28,7174594,'1',104,'N'),(28,7174608,'1',110,'N'),(28,7174616,'1',102,'N'),(28,7174624,'1',203,'N'),(28,7174624,'1A',220,'N'),(28,7174640,'1',454,'N'),(28,7174659,'1',103,'N'),(28,7174675,'1',103,'N'),(28,7174683,'1',317,'N'),(28,7174691,'1',202,'N'),(28,7174691,'1A',235,'N'),(28,7174705,'1',340,'N'),(28,7174713,'1',213,'N'),(28,7174713,'1A',653,'N'),(28,7174721,'1',9,'N'),(28,7174730,'1',551,'N'),(28,7174748,'1',999,'N'),(28,7174756,'1',201,'N'),(28,7174764,'1',450,'N'),(28,7174799,'1',208,'N'),(28,7174802,'1',103,'N'),(28,7174845,'1',110,'N'),(28,7174853,'1',103,'N'),(28,7174870,'1',309,'N'),(28,7174888,'1',101,'N'),(28,7174900,'1',415,'N'),(28,7174918,'1',303,'N'),(28,7174934,'1',426,'N'),(28,7174934,'1A',429,'N'),(28,7174942,'1',415,'N'),(28,7174985,'1',216,'N'),(28,7175000,'1',213,'N'),(28,7175000,'1A',211,'N'),(28,7175019,'1',501,'N'),(28,7175035,'1',551,'N'),(28,7175060,'1',104,'N'),(28,7175078,'1',201,'N'),(28,7175078,'1A',212,'N'),(28,7175086,'1',103,'N'),(28,7175094,'1',318,'N'),(28,7175116,'1',103,'N'),(28,7175132,'1',222,'N'),(28,7175140,'1',207,'N'),(28,7175140,'1A',201,'N'),(28,7175159,'1',302,'N'),(28,7175167,'1',316,'N'),(28,7175191,'1',215,'N'),(28,7175191,'1A',216,'N'),(28,7175205,'1',303,'N'),(28,7175213,'1',108,'N'),(28,7175230,'1',207,'N'),(28,7175230,'1A',201,'N'),(28,7175248,'1',201,'N'),(28,7175248,'1A',207,'N'),(28,7175256,'1',450,'N'),(28,7175264,'1',103,'N'),(28,7175272,'1',340,'N'),(28,7175299,'1',552,'N'),(28,7175302,'1',201,'N'),(28,7175302,'1A',212,'N'),(28,7175310,'1',303,'N'),(28,7175329,'1',552,'N'),(28,7175345,'1',216,'N'),(28,7175345,'1A',214,'N'),(28,7175353,'1',103,'N'),(28,7175361,'1',103,'N'),(28,7175370,'1',108,'N'),(28,7175388,'1',214,'N'),(28,7175388,'1A',213,'N'),(28,7175396,'1',104,'N'),(28,7175400,'1',238,'N'),(28,7175400,'1A',202,'N'),(28,7175426,'1',216,'N'),(28,7175426,'1A',653,'N'),(28,7175434,'1',110,'N'),(28,7175442,'1',103,'N'),(28,7175450,'1',201,'N'),(28,7175450,'1A',207,'N'),(28,7175469,'1',303,'N'),(28,7175477,'1',207,'N'),(28,7175485,'1',104,'N'),(28,7175493,'1',103,'N'),(28,7175507,'1',203,'N'),(28,7175507,'1A',220,'N'),(28,7175515,'1',203,'N'),(28,7175515,'1A',202,'N'),(28,7175531,'1',502,'N'),(28,7175540,'1',207,'N'),(28,7175558,'1',316,'N'),(28,7175566,'1',318,'N'),(28,7175574,'1',207,'N'),(28,7175582,'1',201,'N'),(28,7175582,'1A',203,'N'),(28,7175590,'1',103,'N'),(28,7175604,'1',201,'N'),(28,7175604,'1A',220,'N'),(28,7175612,'1',302,'N'),(28,7175620,'1',425,'N'),(28,7175620,'1A',423,'N'),(28,7175639,'1',103,'N'),(28,7175647,'1',303,'N'),(28,7175655,'1',319,'N'),(28,7175663,'1',340,'N'),(28,7175671,'1',103,'N'),(28,7175680,'1',333,'N'),(28,7175710,'1',450,'N'),(28,7175728,'1',319,'N'),(28,7175744,'1',207,'N'),(28,7175752,'1',551,'N'),(28,7175760,'1',208,'N'),(28,7175779,'1',9,'N'),(28,7175795,'1',202,'N'),(28,7175795,'1A',201,'N'),(28,7175809,'1',999,'N'),(28,7175817,'1',201,'N'),(28,7175817,'1A',233,'N'),(28,7175825,'1',655,'N'),(28,7175825,'1A',652,'N'),(28,7175833,'1',103,'N'),(28,7175841,'1',551,'N'),(28,7175868,'1',103,'N'),(28,7175876,'1',440,'N'),(28,7175892,'1',211,'N'),(28,7175892,'1A',601,'N'),(28,7175906,'1',999,'N'),(28,7175914,'1',9,'N'),(28,7175922,'1',207,'N'),(28,7175922,'1A',215,'N'),(28,7175930,'1',103,'N'),(28,7175949,'1',5,'N'),(28,7175973,'1',340,'N'),(28,7175990,'1',208,'N'),(28,7176007,'1',102,'N'),(28,7176015,'1',444,'N'),(28,7176023,'1',340,'N'),(28,7176031,'1',207,'N'),(28,7176031,'1A',201,'N'),(28,7176040,'1',207,'N'),(28,7176058,'1',104,'N'),(28,7176066,'1',201,'N'),(28,7176066,'1A',211,'N'),(28,7176074,'1',103,'N'),(28,7176082,'1',104,'N'),(28,7176090,'1',5,'N'),(28,7176112,'1',404,'N'),(28,7176139,'1',304,'N'),(28,7176147,'1',234,'N'),(28,7176163,'1',103,'N'),(28,7176171,'1',502,'N'),(28,7176180,'1',103,'N'),(28,7176198,'1',110,'N'),(28,7176201,'1',503,'N'),(28,7176210,'1',308,'N'),(28,7176236,'1',104,'N'),(28,7176260,'1',108,'N'),(28,7176279,'1',103,'N'),(28,7176287,'1',103,'N'),(28,7176295,'1',101,'N'),(28,7176309,'1',340,'N'),(28,7176317,'1',103,'N'),(28,7176325,'1',103,'N'),(28,7176333,'1',303,'N'),(28,7176341,'1',999,'N'),(28,7176350,'1',103,'N'),(28,7176368,'1',426,'N'),(28,7176368,'1A',428,'N'),(28,7176384,'1',103,'N'),(28,7176392,'1',425,'N'),(28,7176392,'1A',421,'N'),(28,7176414,'1',235,'N'),(28,7176414,'1A',202,'N'),(28,7176422,'1',103,'N'),(28,7176430,'1',207,'N'),(28,7176430,'1A',211,'N'),(28,7176449,'1',238,'N'),(28,7176449,'1A',211,'N'),(28,7176457,'1',104,'N'),(28,7176481,'1',207,'N'),(28,7176481,'1A',201,'N'),(28,7176490,'1',601,'N'),(28,7176490,'1A',201,'N'),(28,7176503,'1',308,'N'),(28,7176511,'1',999,'N'),(28,7176538,'1',999,'N'),(28,7176546,'1',202,'N'),(28,7176546,'1A',601,'N'),(28,7176554,'1',415,'N'),(28,7176562,'1',454,'N'),(28,7176570,'1',103,'N'),(28,7176589,'1',320,'N'),(28,7176597,'1',444,'N'),(28,7176600,'1',319,'N'),(28,7176619,'1',207,'N'),(28,7176619,'1A',211,'N'),(28,7176627,'1',502,'N'),(28,7176635,'1',203,'N'),(28,7176635,'1A',233,'N'),(28,7176660,'1',103,'N'),(28,7176686,'1',201,'N'),(28,7176686,'1A',207,'N'),(28,7176708,'1',9,'N'),(28,7176716,'1',103,'N'),(28,7176724,'1',238,'N'),(28,7176724,'1A',655,'N'),(28,7176732,'1',333,'N'),(28,7176740,'1',104,'N'),(28,7176759,'1',108,'N'),(28,7176767,'1',303,'N'),(28,7176775,'1',317,'N'),(28,7176791,'1',103,'N'),(28,7176805,'1',201,'N'),(28,7176805,'1A',601,'N'),(28,7176813,'1',304,'N'),(28,7176821,'1',302,'N'),(28,7176848,'1',202,'N'),(28,7176848,'1A',235,'N'),(28,7176856,'1',304,'N'),(28,7176872,'1',101,'N'),(28,7176880,'1',331,'N'),(28,7176899,'1',207,'N'),(28,7176902,'1',999,'N'),(28,7176910,'1',999,'N'),(28,7176929,'1',103,'N'),(28,7176937,'1',999,'N'),(28,7176945,'1',203,'N'),(28,7176945,'1A',220,'N'),(28,7176953,'1',203,'N'),(28,7176953,'1A',220,'N'),(28,7176961,'1',207,'N'),(28,7176961,'1A',201,'N'),(28,7176970,'1',225,'N'),(28,7176988,'1',103,'N'),(28,7176996,'1',103,'N'),(28,7177003,'1',103,'N'),(28,7177011,'1',207,'N'),(28,7177011,'1A',601,'N'),(28,7177020,'1',999,'N'),(28,7177038,'1',103,'N'),(28,7177054,'1',103,'N'),(28,7177062,'1',303,'N'),(28,7177070,'1',653,'N'),(28,7177097,'1',104,'N'),(28,7177119,'1',340,'N'),(28,7177127,'1',454,'N'),(28,7177135,'1',203,'N'),(28,7177135,'1A',235,'N'),(28,7177143,'1',319,'N'),(28,7177151,'1',233,'N'),(28,7177151,'1A',220,'N'),(28,7177160,'1',212,'N'),(28,7177160,'1A',213,'N'),(28,7177186,'1',999,'N'),(28,7177194,'1',454,'N'),(28,7177216,'1',224,'N'),(28,7177232,'1',108,'N'),(28,7177240,'1',103,'N'),(28,7177259,'1',201,'N'),(28,7177259,'1A',212,'N'),(28,7177267,'1',201,'N'),(28,7177267,'1A',215,'N'),(28,7177283,'1',203,'N'),(28,7177283,'1A',216,'N'),(28,7177291,'1',208,'N'),(28,7177305,'1',103,'N'),(28,7177313,'1',333,'N'),(28,7177330,'1',319,'N'),(28,7177348,'1',332,'N'),(28,7177364,'1',207,'N'),(28,7177364,'1A',201,'N'),(28,7177372,'1',103,'N'),(28,7177399,'1',103,'N'),(28,7177402,'1',201,'N'),(28,7177402,'1A',215,'N'),(28,7177410,'1',316,'N'),(28,7177429,'1',208,'N'),(28,7177437,'1',208,'N'),(28,7177453,'1',203,'N'),(28,7177453,'1A',202,'N'),(28,7177461,'1',235,'N'),(28,7177461,'1A',220,'N'),(28,7177470,'1',201,'N'),(28,7177488,'1',450,'N'),(28,7177500,'1',201,'N'),(28,7177500,'1A',207,'N'),(28,7177518,'1',103,'N'),(28,7177534,'1',103,'N'),(28,7177542,'1',303,'N'),(28,7177550,'1',340,'N'),(28,7177577,'1',238,'N'),(28,7177577,'1A',652,'N'),(28,7177585,'1',201,'N'),(28,7177585,'1A',203,'N'),(28,7177607,'1',238,'N'),(28,7177607,'1A',201,'N'),(28,7177615,'1',207,'N'),(28,7177615,'1A',653,'N'),(28,7177623,'1',318,'N'),(28,7177640,'1',340,'N'),(28,7177658,'1',103,'N'),(28,7177674,'1',216,'N'),(28,7177674,'1A',203,'N'),(28,7177682,'1',103,'N'),(28,7177690,'1',999,'N'),(28,7177704,'1',3,'N'),(28,7177712,'1',999,'N'),(28,7177720,'1',5,'N'),(28,7177739,'1',103,'N'),(28,7177747,'1',103,'N'),(28,7177755,'1',318,'N'),(28,7177763,'1',5,'N'),(28,7177771,'1',238,'N'),(28,7177771,'1A',201,'N'),(28,7177780,'1',234,'N'),(28,7177798,'1',340,'N'),(28,7177801,'1',450,'N'),(28,7177810,'1',103,'N'),(28,7177836,'1',302,'N'),(28,7177844,'1',340,'N'),(28,7177852,'1',103,'N'),(28,7177860,'1',301,'N'),(28,7177879,'1',551,'N'),(28,7177895,'1',444,'N'),(28,7177909,'1',103,'N'),(28,7177917,'1',551,'N'),(28,7177925,'1',103,'N'),(28,7177933,'1',5,'N'),(28,7177941,'1',208,'N'),(28,7177950,'1',444,'N'),(28,7177968,'1',235,'N'),(28,7177968,'1A',213,'N'),(28,7177976,'1',999,'N'),(28,7177984,'1',319,'N'),(28,7177992,'1',202,'N'),(28,7177992,'1A',601,'N'),(28,7178000,'1',303,'N'),(28,7178018,'1',103,'N'),(28,7178026,'1',103,'N'),(28,7178034,'1',415,'N'),(28,7178050,'1',108,'N'),(28,7178069,'1',201,'N'),(28,7178069,'1A',212,'N'),(28,7178077,'1',101,'N'),(28,7178085,'1',104,'N'),(28,7178093,'1',233,'N'),(28,7178093,'1A',212,'N'),(28,7178107,'1',103,'N'),(28,7178115,'1',103,'N'),(28,7178123,'1',501,'N'),(28,7178131,'1',340,'N'),(28,7178140,'1',103,'N'),(28,7178158,'1',653,'N'),(28,7178158,'1A',203,'N'),(28,7178166,'1',103,'N'),(28,7178174,'1',103,'N'),(28,7178182,'1',502,'N'),(28,7178190,'1',208,'N'),(28,7178212,'1',551,'N'),(28,7178220,'1',215,'N'),(28,7178220,'1A',211,'N'),(28,7178239,'1',5,'N'),(28,7178247,'1',999,'N'),(28,7178255,'1',304,'N'),(28,7178271,'1',104,'N'),(28,7178298,'1',302,'N'),(28,7178301,'1',103,'N'),(28,7178310,'1',340,'N'),(28,7178328,'1',303,'N'),(28,7178336,'1',103,'N'),(28,7178344,'1',103,'N'),(28,7178352,'1',216,'N'),(28,7178352,'1A',212,'N'),(28,7178360,'1',104,'N'),(28,7178379,'1',103,'N'),(28,7178387,'1',444,'N'),(28,7178395,'1',601,'N'),(28,7178395,'1A',238,'N'),(28,7178409,'1',201,'N'),(28,7178409,'1A',233,'N'),(28,7178417,'1',337,'N'),(28,7178433,'1',501,'N'),(28,7178441,'1',104,'N'),(28,7178450,'1',336,'N'),(28,7178468,'1',201,'N'),(28,7178468,'1A',212,'N'),(28,7178476,'1',202,'N'),(28,7178476,'1A',601,'N'),(28,7178484,'1',319,'N'),(28,7178492,'1',454,'N'),(28,7178506,'1',214,'N'),(28,7178506,'1A',233,'N'),(28,7178514,'1',207,'N'),(28,7178514,'1A',601,'N'),(28,7178522,'1',308,'N'),(28,7178530,'1',109,'N'),(28,7178549,'1',103,'N'),(28,7178557,'1',5,'N'),(28,7178565,'1',502,'N'),(28,7178573,'1',103,'N'),(28,7178581,'1',451,'N'),(28,7178590,'1',415,'N'),(28,7178603,'1',103,'N'),(28,7178611,'1',207,'N'),(28,7178611,'1A',233,'N'),(28,7178620,'1',103,'N'),(28,7178638,'1',238,'N'),(28,7178638,'1A',216,'N'),(28,7178646,'1',101,'N'),(28,7178654,'1',103,'N'),(28,7178662,'1',207,'N'),(28,7178662,'1A',201,'N'),(28,7178689,'1',201,'N'),(28,7178689,'1A',601,'N'),(28,7178697,'1',2,'N'),(28,7178700,'1',454,'N'),(28,7178719,'1',103,'N'),(28,7178727,'1',454,'N'),(28,7178743,'1',207,'N'),(28,7178743,'1A',201,'N'),(28,7178751,'1',110,'N'),(28,7178760,'1',103,'N'),(28,7178778,'1',101,'N'),(28,7178786,'1',203,'N'),(28,7178786,'1A',214,'N'),(28,7178794,'1',103,'N'),(28,7178808,'1',104,'N'),(28,7178816,'1',327,'N'),(28,7178824,'1',215,'N'),(28,7178824,'1A',233,'N'),(28,7178832,'1',340,'N'),(28,7178840,'1',212,'N'),(28,7178840,'1A',211,'N'),(28,7178859,'1',101,'N'),(28,7178867,'1',301,'N'),(28,7178875,'1',340,'N'),(28,7178883,'1',203,'N'),(28,7178883,'1A',235,'N'),(28,7178891,'1',103,'N'),(28,7178913,'1',319,'N'),(28,7178921,'1',201,'N'),(28,7178930,'1',415,'N'),(28,7178948,'1',216,'N'),(28,7178948,'1A',233,'N'),(28,7178956,'1',201,'N'),(28,7178956,'1A',653,'N'),(28,7178964,'1',207,'N'),(28,7178964,'1A',201,'N'),(28,7178972,'1',225,'N'),(28,7178980,'1',303,'N'),(28,7179006,'1',316,'N'),(28,7179014,'1',103,'N'),(28,7179022,'1',301,'N'),(28,7179057,'1',208,'N'),(28,7179090,'1',233,'N'),(28,7179090,'1A',211,'N'),(28,7179103,'1',655,'N'),(28,7179103,'1A',653,'N'),(28,7179111,'1',203,'N'),(28,7179111,'1A',214,'N'),(28,7179120,'1',324,'N'),(28,7179138,'1',103,'N'),(28,7179146,'1',999,'N'),(28,7179154,'1',203,'N'),(28,7179154,'1A',201,'N'),(28,7179162,'1',202,'N'),(28,7179162,'1A',653,'N'),(28,7179170,'1',317,'N'),(28,7179189,'1',223,'N'),(28,7179197,'1',216,'N'),(28,7179197,'1A',215,'N'),(28,7179200,'1',340,'N'),(28,7179227,'1',233,'N'),(28,7179227,'1A',601,'N'),(28,7179235,'1',333,'N'),(28,7179243,'1',601,'N'),(28,7179251,'1',104,'N'),(28,7179260,'1',207,'N'),(28,7179260,'1A',201,'N'),(28,7179286,'1',203,'N'),(28,7179286,'1A',207,'N'),(28,7179294,'1',202,'N'),(28,7179294,'1A',213,'N'),(28,7179308,'1',454,'N'),(28,7179324,'1',999,'N'),(28,7179332,'1',208,'N'),(28,7179340,'1',203,'N'),(28,7179340,'1A',214,'N'),(28,7179359,'1',208,'N'),(28,7179367,'1',303,'N'),(28,7179375,'1',428,'N'),(28,7179375,'1A',426,'N'),(28,7179383,'1',303,'N'),(28,7179391,'1',202,'N'),(28,7179391,'1A',201,'N'),(28,7179405,'1',502,'N'),(28,7179413,'1',234,'N'),(28,7179421,'1',999,'N'),(28,7179430,'1',211,'N'),(28,7179430,'1A',238,'N'),(28,7179456,'1',415,'N'),(28,7179464,'1',203,'N'),(28,7179464,'1A',220,'N'),(28,7179472,'1',5,'N'),(28,7179499,'1',333,'N'),(28,7179502,'1',201,'N'),(28,7179502,'1A',207,'N'),(28,7179510,'1',234,'N'),(28,7179529,'1',652,'N'),(28,7179529,'1A',655,'N'),(28,7179537,'1',319,'N'),(28,7179553,'1',207,'N'),(28,7179553,'1A',213,'N'),(28,7179570,'1',103,'N'),(28,7179588,'1',999,'N'),(28,7179596,'1',339,'N'),(28,7179626,'1',103,'N'),(28,7179634,'1',211,'N'),(28,7179634,'1A',207,'N'),(28,7179642,'1',103,'N'),(28,7179650,'1',454,'N'),(28,7179677,'1',214,'N'),(28,7179677,'1A',213,'N'),(28,7179685,'1',404,'N'),(28,7179693,'1',104,'N'),(28,7179707,'1',103,'N'),(28,7179715,'1',304,'N'),(28,7179723,'1',108,'N'),(28,7179731,'1',999,'N'),(28,7179740,'1',207,'N'),(28,7179740,'1A',601,'N'),(28,7179766,'1',201,'N'),(28,7179766,'1A',212,'N'),(28,7179774,'1',103,'N'),(28,7179782,'1',319,'N'),(28,7179790,'1',451,'N'),(28,7179804,'1',207,'N'),(28,7179804,'1A',203,'N'),(28,7179812,'1',216,'N'),(28,7179812,'1A',215,'N'),(28,7179820,'1',103,'N'),(28,7179839,'1',201,'N'),(28,7179839,'1A',203,'N'),(28,7179847,'1',109,'N'),(28,7179855,'1',203,'N'),(28,7179855,'1A',601,'N'),(28,7179871,'1',444,'N'),(28,7179880,'1',999,'N'),(28,7179898,'1',333,'N'),(28,7179901,'1',103,'N'),(28,7179910,'1',653,'N'),(28,7179910,'1A',655,'N'),(28,7179928,'1',304,'N'),(28,7179936,'1',999,'N'),(28,7179944,'1',340,'N'),(28,7179952,'1',9,'N'),(28,7179960,'1',216,'N'),(28,7179960,'1A',215,'N'),(28,7179979,'1',104,'N'),(28,7179987,'1',203,'N'),(28,7179987,'1A',201,'N'),(28,7179995,'1',302,'N'),(28,7180004,'1',103,'N'),(28,7180039,'1',103,'N'),(28,7180047,'1',999,'N'),(28,7180055,'1',601,'N'),(28,7180055,'1A',207,'N'),(28,7180080,'1',208,'N'),(28,7180110,'1',203,'N'),(28,7180110,'1A',233,'N'),(28,7180128,'1',5,'N'),(28,7180136,'1',103,'N'),(28,7180144,'1',211,'N'),(28,7180152,'1',104,'N'),(28,7180179,'1',103,'N'),(28,7180187,'1',9,'N'),(28,7180209,'1',319,'N'),(28,7180276,'1',109,'N'),(28,7180284,'1',216,'N'),(28,7180284,'1A',233,'N'),(28,7180292,'1',104,'N'),(28,7180306,'1',999,'N'),(28,7180314,'1',201,'N'),(28,7180314,'1A',216,'N'),(28,7180322,'1',501,'N'),(28,7180330,'1',207,'N'),(28,7180330,'1A',211,'N'),(28,7180349,'1',336,'N'),(28,7180357,'1',214,'N'),(28,7180373,'1',104,'N'),(28,7180390,'1',320,'N'),(28,7180403,'1',303,'N'),(28,7180420,'1',203,'N'),(28,7180420,'1A',202,'N'),(28,7180438,'1',104,'N'),(28,7180454,'1',207,'N'),(28,7180454,'1A',201,'N'),(28,7180462,'1',426,'N'),(28,7180462,'1A',428,'N'),(28,7180470,'1',208,'N'),(28,7180489,'1',444,'N'),(28,7180497,'1',208,'N'),(28,7180500,'1',214,'N'),(28,7180500,'1A',203,'N'),(28,7180519,'1',454,'N'),(28,7180527,'1',301,'N'),(28,7180535,'1',104,'N'),(28,7180543,'1',207,'N'),(28,7180543,'1A',201,'N'),(28,7180560,'1',108,'N'),(28,7180586,'1',103,'N'),(28,7180608,'1',103,'N'),(28,7180616,'1',214,'N'),(28,7180616,'1A',212,'N'),(28,7180624,'1',303,'N'),(28,7180632,'1',655,'N'),(28,7180632,'1A',220,'N'),(28,7180640,'1',104,'N'),(28,7180659,'1',108,'N'),(28,7180675,'1',423,'N'),(28,7180675,'1A',429,'N'),(28,7180683,'1',103,'N'),(28,7180691,'1',201,'N'),(28,7180691,'1A',233,'N'),(28,7180705,'1',102,'N'),(28,7180713,'1',303,'N'),(28,7180721,'1',103,'N'),(28,7180730,'1',212,'N'),(28,7180730,'1A',214,'N'),(28,7180748,'1',552,'N'),(28,7180756,'1',208,'N'),(28,7180764,'1',207,'N'),(28,7180764,'1A',201,'N'),(28,7180772,'1',999,'N'),(28,7180780,'1',303,'N'),(28,7180802,'1',103,'N'),(28,7180810,'1',103,'N'),(28,7180829,'1',110,'N'),(28,7180837,'1',103,'N'),(28,7180845,'1',301,'N'),(28,7180853,'1',216,'N'),(28,7180853,'1A',201,'N'),(28,7180861,'1',207,'N'),(28,7180861,'1A',233,'N'),(28,7180888,'1',216,'N'),(28,7180888,'1A',215,'N'),(28,7180900,'1',552,'N'),(28,7180918,'1',601,'N'),(28,7180918,'1A',201,'N'),(28,7180934,'1',103,'N'),(28,7180942,'1',203,'N'),(28,7180942,'1A',214,'N'),(28,7180969,'1',207,'N'),(28,7180969,'1A',201,'N'),(28,7180977,'1',103,'N'),(28,7180985,'1',201,'N'),(28,7180985,'1A',216,'N'),(28,7180993,'1',999,'N'),(28,7181019,'1',213,'N'),(28,7181019,'1A',235,'N'),(28,7181027,'1',216,'N'),(28,7181027,'1A',215,'N'),(28,7181035,'1',333,'N'),(28,7181043,'1',233,'N'),(28,7181043,'1A',212,'N'),(28,7181060,'1',203,'N'),(28,7181060,'1A',214,'N'),(28,7181086,'1',216,'N'),(28,7181086,'1A',203,'N'),(28,7181094,'1',103,'N'),(28,7181108,'1',103,'N'),(28,7181132,'1',103,'N'),(28,7181159,'1',444,'N'),(28,7181167,'1',201,'N'),(28,7181167,'1A',212,'N'),(28,7181175,'1',108,'N'),(28,7181191,'1',319,'N'),(28,7181205,'1',101,'N'),(28,7181221,'1',339,'N'),(28,7181230,'1',415,'N'),(28,7181256,'1',103,'N'),(28,7181264,'1',220,'N'),(28,7181264,'1A',235,'N'),(28,7181272,'1',207,'N'),(28,7181272,'1A',215,'N'),(28,7181280,'1',208,'N'),(28,7181299,'1',999,'N'),(28,7181310,'1',103,'N'),(28,7181329,'1',5,'N'),(28,7181345,'1',454,'N'),(28,7181361,'1',220,'N'),(28,7181361,'1A',203,'N'),(28,7181370,'1',310,'N'),(28,7181388,'1',201,'N'),(28,7181388,'1A',601,'N'),(28,7181396,'1',444,'N'),(28,7181400,'1',501,'N'),(28,7181418,'1',601,'N'),(28,7181418,'1A',220,'N'),(28,7181434,'1',203,'N'),(28,7181434,'1A',220,'N'),(28,7181450,'1',426,'N'),(28,7181450,'1A',428,'N'),(28,7181469,'1',601,'N'),(28,7181477,'1',454,'N'),(28,7181493,'1',103,'N'),(28,7181515,'1',211,'N'),(28,7181515,'1A',215,'N'),(28,7181523,'1',203,'N'),(28,7181523,'1A',214,'N'),(28,7181540,'1',103,'N'),(28,7181558,'1',308,'N'),(28,7181574,'1',454,'N'),(28,7181582,'1',207,'N'),(28,7181582,'1A',201,'N'),(28,7181590,'1',207,'N'),(28,7181590,'1A',201,'N'),(28,7181612,'1',102,'N'),(28,7181620,'1',103,'N'),(28,7181639,'1',101,'N'),(28,7181647,'1',337,'N'),(28,7181655,'1',5,'N'),(28,7181663,'1',601,'N'),(28,7181671,'1',103,'N'),(28,7181680,'1',454,'N'),(28,7181701,'1',303,'N'),(28,7181728,'1',303,'N'),(28,7181736,'1',301,'N'),(28,7181744,'1',108,'N'),(28,7181752,'1',201,'N'),(28,7181752,'1A',212,'N'),(28,7181760,'1',9,'N'),(28,7181779,'1',203,'N'),(28,7181779,'1A',214,'N'),(28,7181787,'1',103,'N'),(28,7181795,'1',999,'N'),(28,7181809,'1',203,'N'),(28,7181809,'1A',214,'N'),(28,7181817,'1',5,'N'),(28,7181825,'1',601,'N'),(28,7181825,'1A',212,'N'),(28,7181841,'1',207,'N'),(28,7181850,'1',103,'N'),(28,7181876,'1',319,'N'),(28,7181884,'1',230,'N'),(28,7181906,'1',319,'N'),(28,7181914,'1',103,'N'),(28,7181922,'1',103,'N'),(28,7181930,'1',201,'N'),(28,7181930,'1A',212,'N'),(28,7181965,'1',103,'N'),(28,7181990,'1',202,'N'),(28,7181990,'1A',201,'N'),(28,7182007,'1',999,'N'),(28,7182015,'1',203,'N'),(28,7182015,'1A',653,'N'),(28,7182023,'1',427,'N'),(28,7182023,'1A',424,'N'),(28,7182031,'1',415,'N'),(28,7182040,'1',212,'N'),(28,7182040,'1A',601,'N'),(28,7182066,'1',212,'N'),(28,7182066,'1A',215,'N'),(28,7182082,'1',203,'N'),(28,7182082,'1A',201,'N'),(28,7182090,'1',211,'N'),(28,7182090,'1A',220,'N'),(28,7182104,'1',213,'N'),(28,7182104,'1A',235,'N'),(28,7182112,'1',234,'N'),(28,7182120,'1',103,'N'),(28,7182139,'1',201,'N'),(28,7182147,'1',5,'N'),(28,7182155,'1',103,'N'),(28,7182163,'1',103,'N'),(28,7182180,'1',103,'N'),(28,7182198,'1',103,'N'),(28,7182236,'1',103,'N'),(28,7182244,'1',5,'N'),(28,7182252,'1',303,'N'),(28,7182260,'1',203,'N'),(28,7182279,'1',103,'N'),(28,7182287,'1',326,'N'),(28,7182295,'1',317,'N'),(28,7182317,'1',212,'N'),(28,7182317,'1A',211,'N'),(28,7182325,'1',203,'N'),(28,7182333,'1',224,'N'),(28,7182341,'1',203,'N'),(28,7182341,'1A',220,'N'),(28,7182368,'1',201,'N'),(28,7182368,'1A',203,'N'),(28,7182384,'1',103,'N'),(28,7182392,'1',203,'N'),(28,7182392,'1A',214,'N'),(28,7182406,'1',340,'N'),(28,7182414,'1',103,'N'),(28,7182430,'1',212,'N'),(28,7182430,'1A',233,'N'),(28,7182449,'1',104,'N'),(28,7182465,'1',103,'N'),(28,7182473,'1',3,'N'),(28,7182481,'1',319,'N'),(28,7182503,'1',103,'N'),(28,7182511,'1',302,'N'),(28,7182520,'1',104,'N'),(28,7182538,'1',415,'N'),(28,7182546,'1',207,'N'),(28,7182546,'1A',238,'N'),(28,7182570,'1',502,'N'),(28,7182597,'1',303,'N'),(28,7182619,'1',203,'N'),(28,7182619,'1A',207,'N'),(28,7182627,'1',202,'N'),(28,7182627,'1A',213,'N'),(28,7182635,'1',103,'N'),(28,7182643,'1',109,'N'),(28,7182651,'1',214,'N'),(28,7182651,'1A',212,'N'),(28,7182660,'1',319,'N'),(28,7182678,'1',454,'N'),(28,7182694,'1',319,'N'),(28,7182708,'1',319,'N'),(28,7182716,'1',214,'N'),(28,7182716,'1A',233,'N'),(28,7182724,'1',454,'N'),(28,7182740,'1',103,'N'),(28,7182759,'1',450,'N'),(28,7182775,'1',301,'N'),(28,7182791,'1',207,'N'),(28,7182791,'1A',211,'N'),(28,7182805,'1',101,'N'),(28,7182813,'1',216,'N'),(28,7182821,'1',225,'N'),(28,7182848,'1',215,'N'),(28,7182848,'1A',233,'N'),(28,7182864,'1',216,'N'),(28,7182864,'1A',214,'N'),(28,7182902,'1',654,'N'),(28,7182910,'1',214,'N'),(28,7182910,'1A',212,'N'),(28,7182929,'1',304,'N'),(28,7182937,'1',501,'N'),(28,7182953,'1',428,'N'),(28,7182953,'1A',424,'N'),(28,7182961,'1',203,'N'),(28,7182961,'1A',233,'N'),(28,7182970,'1',103,'N'),(28,7182996,'1',5,'N'),(28,7183003,'1',208,'N'),(28,7183011,'1',208,'N'),(28,7183020,'1',426,'N'),(28,7183062,'1',104,'N'),(28,7183097,'1',999,'N'),(28,7183100,'1',203,'N'),(28,7183100,'1A',233,'N'),(28,7183119,'1',103,'N'),(28,7183127,'1',340,'N'),(28,7183135,'1',201,'N'),(28,7183135,'1A',211,'N'),(28,7183151,'1',319,'N'),(28,7183160,'1',451,'N'),(28,7183186,'1',340,'N'),(28,7183194,'1',317,'N'),(28,7183208,'1',101,'N'),(28,7183216,'1',340,'N'),(28,7183224,'1',5,'N'),(28,7183232,'1',332,'N'),(28,7183240,'1',5,'N'),(28,7183259,'1',203,'N'),(28,7183259,'1A',201,'N'),(28,7183267,'1',222,'N'),(28,7183275,'1',5,'N'),(28,7183283,'1',444,'N'),(28,7183305,'1',310,'N'),(28,7183313,'1',216,'N'),(28,7183313,'1A',215,'N'),(28,7183321,'1',339,'N'),(28,7183348,'1',103,'N'),(28,7183356,'1',654,'N'),(28,7183364,'1',104,'N'),(28,7183372,'1',336,'N'),(28,7183380,'1',317,'N'),(28,7183399,'1',337,'N'),(28,7183402,'1',104,'N'),(28,7183410,'1',109,'N'),(28,7183429,'1',238,'N'),(28,7183429,'1A',213,'N'),(28,7183437,'1',601,'N'),(28,7183437,'1A',203,'N'),(28,7183445,'1',216,'N'),(28,7183470,'1',207,'N'),(28,7183470,'1A',238,'N'),(28,7183488,'1',103,'N'),(28,7183496,'1',212,'N'),(28,7183496,'1A',238,'N'),(28,7183518,'1',104,'N'),(28,7183526,'1',110,'N'),(28,7183534,'1',202,'N'),(28,7183534,'1A',220,'N'),(28,7183542,'1',451,'N'),(28,7183550,'1',340,'N'),(28,7183569,'1',301,'N'),(28,7183577,'1',103,'N'),(28,7183585,'1',109,'N'),(28,7183607,'1',201,'N'),(28,7183607,'1A',233,'N'),(28,7183615,'1',103,'N'),(28,7183623,'1',339,'N'),(28,7183631,'1',337,'N'),(28,7183658,'1',303,'N'),(28,7183666,'1',103,'N'),(28,7183682,'1',101,'N'),(28,7183690,'1',215,'N'),(28,7183690,'1A',216,'N'),(28,7183704,'1',316,'N'),(28,7183712,'1',103,'N'),(28,7183739,'1',444,'N'),(28,7183747,'1',201,'N'),(28,7183747,'1A',207,'N'),(28,7183755,'1',207,'N'),(28,7183755,'1A',212,'N'),(28,7183763,'1',501,'N'),(28,7183771,'1',333,'N'),(28,7183798,'1',601,'N'),(28,7183798,'1A',203,'N'),(28,7183810,'1',424,'N'),(28,7183810,'1A',425,'N'),(28,7183836,'1',301,'N'),(28,7183844,'1',103,'N'),(28,7183852,'1',339,'N'),(28,7183860,'1',319,'N'),(28,7183879,'1',5,'N'),(28,7183887,'1',110,'N'),(28,7183895,'1',207,'N'),(28,7183895,'1A',201,'N'),(28,7183909,'1',319,'N'),(28,7183917,'1',303,'N'),(28,7183925,'1',317,'N'),(28,7183950,'1',552,'N'),(28,7183968,'1',103,'N'),(28,7183976,'1',201,'N'),(28,7183976,'1A',212,'N'),(28,7183984,'1',303,'N'),(28,7183992,'1',317,'N'),(28,7184000,'1',444,'N'),(28,7184026,'1',103,'N'),(28,7184034,'1',103,'N'),(28,7184042,'1',317,'N'),(28,7184050,'1',501,'N'),(28,7184077,'1',222,'N'),(28,7184085,'1',308,'N'),(28,7184093,'1',103,'N'),(28,7184107,'1',551,'N'),(28,7184115,'1',103,'N'),(28,7184123,'1',208,'N'),(28,7184131,'1',421,'N'),(28,7184140,'1',3,'N'),(28,7184158,'1',316,'N'),(28,7184166,'1',103,'N'),(28,7184174,'1',220,'N'),(28,7184174,'1A',238,'N'),(28,7184182,'1',319,'N'),(28,7184190,'1',207,'N'),(28,7184190,'1A',201,'N'),(28,7184204,'1',225,'N'),(28,7184212,'1',202,'N'),(28,7184212,'1A',235,'N'),(28,7184220,'1',451,'N'),(28,7184255,'1',5,'N'),(28,7184263,'1',103,'N'),(28,7184271,'1',108,'N'),(28,7184280,'1',415,'N'),(28,7184301,'1',318,'N'),(28,7184310,'1',103,'N'),(28,7184328,'1',5,'N'),(28,7184336,'1',211,'N'),(28,7184336,'1A',207,'N'),(28,7184344,'1',303,'N'),(28,7184360,'1',103,'N'),(28,7184387,'1',601,'N'),(28,7184387,'1A',203,'N'),(28,7184409,'1',103,'N'),(28,7184417,'1',324,'N'),(28,7184425,'1',303,'N'),(28,7184433,'1',454,'N'),(28,7184441,'1',316,'N'),(28,7184450,'1',329,'N'),(28,7184468,'1',103,'N'),(28,7184476,'1',5,'N'),(28,7184484,'1',5,'N'),(28,7184492,'1',317,'N'),(28,7184506,'1',212,'N'),(28,7184506,'1A',233,'N'),(28,7184514,'1',3,'N'),(28,7184522,'1',450,'N'),(28,7184530,'1',201,'N'),(28,7184530,'1A',212,'N'),(28,7184549,'1',308,'N'),(28,7184557,'1',653,'N'),(28,7184557,'1A',655,'N'),(28,7184565,'1',207,'N'),(28,7184565,'1A',211,'N'),(28,7184573,'1',601,'N'),(28,7184573,'1A',201,'N'),(28,7184581,'1',103,'N'),(28,7184611,'1',340,'N'),(28,7184620,'1',329,'N'),(28,7184646,'1',302,'N'),(28,7184654,'1',552,'N'),(28,7184662,'1',3,'N'),(28,7184670,'1',303,'N'),(28,7184689,'1',101,'N'),(28,7184697,'1',108,'N'),(28,7184700,'1',303,'N'),(28,7184719,'1',215,'N'),(28,7184719,'1A',207,'N'),(28,7184735,'1',207,'N'),(28,7184743,'1',552,'N'),(28,7184751,'1',317,'N'),(28,7184778,'1',319,'N'),(28,7184794,'1',316,'N'),(28,7184816,'1',101,'N'),(28,7184824,'1',5,'N'),(28,7184832,'1',101,'N'),(28,7184859,'1',104,'N'),(28,7184867,'1',304,'N'),(28,7184875,'1',2,'N'),(28,7184883,'1',319,'N'),(28,7184891,'1',201,'N'),(28,7184891,'1A',203,'N'),(28,7184905,'1',415,'N'),(28,7184913,'1',203,'N'),(28,7184913,'1A',214,'N'),(28,7184921,'1',216,'N'),(28,7184921,'1A',653,'N'),(28,7184930,'1',317,'N'),(28,7184948,'1',108,'N'),(28,7184956,'1',211,'N'),(28,7184956,'1A',207,'N'),(28,7184964,'1',103,'N'),(28,7184972,'1',303,'N'),(28,7184980,'1',201,'N'),(28,7184980,'1A',212,'N'),(28,7185006,'1',339,'N'),(28,7185014,'1',101,'N'),(28,7185022,'1',208,'N'),(28,7185049,'1',304,'N'),(28,7185065,'1',103,'N'),(28,7185073,'1',103,'N'),(28,7185090,'1',103,'N'),(28,7185103,'1',233,'N'),(28,7185103,'1A',238,'N'),(28,7185120,'1',101,'N'),(28,7185138,'1',303,'N'),(28,7185146,'1',454,'N'),(28,7185162,'1',108,'N'),(28,7185170,'1',103,'N'),(28,7185189,'1',103,'N'),(28,7185197,'1',415,'N'),(28,7185219,'1',214,'N'),(28,7185219,'1A',212,'N'),(28,7185227,'1',5,'N'),(28,7185235,'1',324,'N'),(28,7185243,'1',102,'N'),(28,7185251,'1',214,'N'),(28,7185251,'1A',213,'N'),(28,7185260,'1',326,'N'),(28,7185294,'1',303,'N'),(28,7185308,'1',404,'N'),(28,7185316,'1',444,'N'),(28,7185332,'1',333,'N'),(28,7185340,'1',601,'N'),(28,7185340,'1A',201,'N'),(28,7185359,'1',103,'N'),(28,7185367,'1',220,'N'),(28,7185367,'1A',201,'N'),(28,7185375,'1',201,'N'),(28,7185375,'1A',212,'N'),(28,7185383,'1',454,'N'),(28,7185391,'1',109,'N'),(28,7185413,'1',601,'N'),(28,7185421,'1',654,'N'),(28,7185430,'1',207,'N'),(28,7185430,'1A',201,'N'),(28,7185448,'1',340,'N'),(28,7185456,'1',653,'N'),(28,7185456,'1A',652,'N'),(28,7185464,'1',429,'N'),(28,7185464,'1A',425,'N'),(28,7185472,'1',655,'N'),(28,7185480,'1',102,'N'),(28,7185499,'1',216,'N'),(28,7185499,'1A',233,'N'),(28,7185502,'1',102,'N'),(28,7185510,'1',302,'N'),(28,7185537,'1',327,'N'),(28,7185545,'1',303,'N'),(28,7185553,'1',103,'N'),(28,7185570,'1',336,'N'),(28,7185588,'1',207,'N'),(28,7185588,'1A',201,'N'),(28,7185596,'1',316,'N'),(28,7185600,'1',103,'N'),(28,7185618,'1',216,'N'),(28,7185618,'1A',202,'N'),(28,7185626,'1',238,'N'),(28,7185626,'1A',655,'N'),(28,7185634,'1',238,'N'),(28,7185634,'1A',203,'N'),(28,7185642,'1',103,'N'),(28,7185650,'1',309,'N'),(28,7185685,'1',220,'N'),(28,7185685,'1A',235,'N'),(28,7185693,'1',601,'N'),(28,7185693,'1A',652,'N'),(28,7185707,'1',454,'N'),(28,7185715,'1',103,'N'),(28,7185723,'1',601,'N'),(28,7185723,'1A',201,'N'),(28,7185731,'1',104,'N'),(28,7185740,'1',103,'N'),(28,7185758,'1',340,'N'),(28,7185766,'1',201,'N'),(28,7185766,'1A',207,'N'),(28,7185774,'1',220,'N'),(28,7185774,'1A',238,'N'),(28,7185782,'1',303,'N'),(28,7185790,'1',501,'N'),(28,7185804,'1',303,'N'),(28,7185812,'1',320,'N'),(28,7185820,'1',652,'N'),(28,7185820,'1A',655,'N'),(28,7185839,'1',3,'N'),(28,7185855,'1',234,'N'),(28,7185863,'1',317,'N'),(28,7185871,'1',203,'N'),(28,7185871,'1A',201,'N'),(28,7185901,'1',103,'N'),(28,7185928,'1',340,'N'),(28,7185936,'1',104,'N'),(28,7185952,'1',303,'N'),(28,7185960,'1',103,'N'),(28,7185979,'1',203,'N'),(28,7185979,'1A',214,'N'),(28,7185987,'1',207,'N'),(28,7185987,'1A',233,'N'),(28,7186002,'1',104,'N'),(28,7186010,'1',316,'N'),(28,7186029,'1',103,'N'),(28,7186037,'1',103,'N'),(28,7186045,'1',203,'N'),(28,7186045,'1A',653,'N'),(28,7186053,'1',211,'N'),(28,7186053,'1A',215,'N'),(28,7186061,'1',216,'N'),(28,7186061,'1A',207,'N'),(28,7186070,'1',203,'N'),(28,7186070,'1A',202,'N'),(28,7186096,'1',203,'N'),(28,7186096,'1A',214,'N'),(28,7186100,'1',212,'N'),(28,7186100,'1A',201,'N'),(28,7186118,'1',9,'N'),(28,7186126,'1',202,'N'),(28,7186126,'1A',238,'N'),(28,7186150,'1',2,'N'),(28,7186169,'1',207,'N'),(28,7186169,'1A',201,'N'),(28,7186177,'1',303,'N'),(28,7186185,'1',103,'N'),(28,7186193,'1',205,'N'),(28,7186207,'1',303,'N'),(28,7186215,'1',303,'N'),(28,7186223,'1',423,'N'),(28,7186223,'1A',426,'N'),(28,7186231,'1',104,'N'),(28,7186240,'1',202,'N'),(28,7186240,'1A',235,'N'),(28,7186266,'1',103,'N'),(28,7186274,'1',301,'N'),(28,7186282,'1',303,'N'),(28,7186304,'1',423,'N'),(28,7186304,'1A',426,'N'),(28,7186312,'1',110,'N'),(28,7186339,'1',654,'N'),(28,7186347,'1',220,'N'),(28,7186347,'1A',653,'N'),(28,7186355,'1',103,'N'),(28,7186371,'1',225,'N'),(28,7186380,'1',5,'N'),(28,7186398,'1',201,'N'),(28,7186398,'1A',207,'N'),(28,7186401,'1',601,'N'),(28,7186401,'1A',201,'N'),(28,7186410,'1',103,'N'),(28,7186428,'1',201,'N'),(28,7186428,'1A',212,'N'),(28,7186436,'1',451,'N'),(28,7186444,'1',103,'N'),(28,7186452,'1',207,'N'),(28,7186452,'1A',201,'N'),(28,7186460,'1',216,'N'),(28,7186460,'1A',201,'N'),(28,7186479,'1',238,'N'),(28,7186479,'1A',220,'N'),(28,7186487,'1',104,'N'),(28,7186495,'1',9,'N'),(28,7186509,'1',103,'N'),(28,7186517,'1',301,'N'),(28,7186525,'1',319,'N'),(28,7186533,'1',104,'N'),(28,7186541,'1',303,'N'),(28,7186550,'1',303,'N'),(28,7186568,'1',103,'N'),(28,7186592,'1',104,'N'),(28,7186606,'1',317,'N'),(28,7186622,'1',327,'N'),(28,7186630,'1',552,'N'),(28,7186657,'1',220,'N'),(28,7186665,'1',213,'N'),(28,7186665,'1A',212,'N'),(28,7186681,'1',444,'N'),(28,7186703,'1',103,'N'),(28,7186711,'1',426,'N'),(28,7186711,'1A',425,'N'),(28,7186720,'1',302,'N'),(28,7186738,'1',320,'N'),(28,7186746,'1',316,'N'),(28,7186754,'1',238,'N'),(28,7186754,'1A',213,'N'),(28,7186762,'1',207,'N'),(28,7186770,'1',102,'N'),(28,7186789,'1',216,'N'),(28,7186789,'1A',212,'N'),(28,7186797,'1',104,'N'),(28,7186819,'1',316,'N'),(28,7186827,'1',103,'N'),(28,7186843,'1',404,'N'),(28,7186851,'1',224,'N'),(28,7186860,'1',108,'N'),(28,7186886,'1',302,'N'),(28,7186894,'1',203,'N'),(28,7186894,'1A',220,'N'),(28,7186916,'1',9,'N'),(28,7186924,'1',233,'N'),(28,7186924,'1A',207,'N'),(28,7186932,'1',103,'N'),(28,7186940,'1',601,'N'),(28,7186940,'1A',202,'N'),(28,7186959,'1',303,'N'),(28,7186967,'1',415,'N'),(28,7186975,'1',202,'N'),(28,7186975,'1A',213,'N'),(28,7186983,'1',207,'N'),(28,7186983,'1A',211,'N'),(28,7186991,'1',999,'N'),(28,7187009,'1',211,'N'),(28,7187009,'1A',215,'N'),(28,7187017,'1',201,'N'),(28,7187017,'1A',601,'N'),(28,7187025,'1',404,'N'),(28,7187033,'1',238,'N'),(28,7187033,'1A',201,'N'),(28,7187041,'1',5,'N'),(28,7187050,'1',207,'N'),(28,7187050,'1A',201,'N'),(28,7187068,'1',303,'N'),(28,7187076,'1',207,'N'),(28,7187076,'1A',216,'N'),(28,7187092,'1',301,'N'),(28,7187106,'1',303,'N'),(28,7187122,'1',109,'N'),(28,7187130,'1',220,'N'),(28,7187130,'1A',213,'N'),(28,7187149,'1',207,'N'),(28,7187149,'1A',201,'N'),(28,7187157,'1',552,'N'),(28,7187165,'1',309,'N'),(28,7187173,'1',103,'N'),(28,7187181,'1',103,'N'),(28,7187190,'1',336,'N'),(28,7187211,'1',216,'N'),(28,7187211,'1A',215,'N'),(28,7187220,'1',340,'N'),(28,7187246,'1',5,'N'),(28,7187254,'1',223,'N'),(28,7187262,'1',108,'N'),(28,7187270,'1',207,'N'),(28,7187270,'1A',211,'N'),(28,7187289,'1',207,'N'),(28,7187289,'1A',201,'N'),(28,7187297,'1',207,'N'),(28,7187297,'1A',201,'N'),(28,7187300,'1',333,'N'),(28,7187319,'1',103,'N'),(28,7187327,'1',601,'N'),(28,7187327,'1A',211,'N'),(28,7187335,'1',201,'N'),(28,7187335,'1A',207,'N'),(28,7187343,'1',222,'N'),(28,7187351,'1',454,'N'),(28,7187360,'1',104,'N'),(28,7187378,'1',318,'N'),(28,7187386,'1',213,'N'),(28,7187386,'1A',233,'N'),(28,7187394,'1',415,'N'),(28,7187424,'1',103,'N'),(28,7187432,'1',216,'N'),(28,7187432,'1A',215,'N'),(28,7187459,'1',220,'N'),(28,7187459,'1A',213,'N'),(28,7187467,'1',103,'N'),(28,7187475,'1',108,'N'),(28,7187483,'1',324,'N'),(28,7187491,'1',303,'N'),(28,7187505,'1',999,'N'),(28,7187513,'1',211,'N'),(28,7187513,'1A',215,'N'),(28,7187530,'1',103,'N'),(28,7187556,'1',203,'N'),(28,7187556,'1A',213,'N'),(28,7187564,'1',216,'N'),(28,7187564,'1A',211,'N'),(28,7187572,'1',309,'N'),(28,7187572,'1A',207,'S'),(28,7187580,'1',104,'N'),(28,7187599,'1',316,'N'),(28,7187602,'1',9,'N'),(28,7187629,'1',454,'N'),(28,7187637,'1',552,'N'),(28,7187653,'1',303,'N'),(28,7187661,'1',203,'N'),(28,7187670,'1',104,'N'),(28,7187696,'1',415,'N'),(28,7187700,'1',103,'N'),(28,7187718,'1',301,'N'),(28,7187726,'1',201,'N'),(28,7187726,'1A',207,'N'),(28,7187734,'1',220,'N'),(28,7187734,'1A',235,'N'),(28,7187742,'1',444,'N'),(28,7187769,'1',201,'N'),(28,7187769,'1A',207,'N'),(28,7187777,'1',302,'N'),(28,7187785,'1',302,'N'),(28,7187793,'1',415,'N'),(28,7187807,'1',110,'N'),(28,7187815,'1',201,'N'),(28,7187815,'1A',203,'N'),(28,7187823,'1',302,'N'),(28,7187831,'1',552,'N'),(28,7187840,'1',552,'N'),(28,7187858,'1',104,'N'),(28,7187866,'1',319,'N'),(28,7187874,'1',101,'N'),(28,7187882,'1',318,'N'),(28,7187890,'1',109,'N'),(28,7187904,'1',224,'N'),(28,7187912,'1',444,'N'),(28,7187939,'1',207,'N'),(28,7187939,'1A',211,'N'),(28,7187947,'1',238,'N'),(28,7187947,'1A',201,'N'),(28,7187955,'1',502,'N'),(28,7187963,'1',201,'N'),(28,7187963,'1A',220,'N'),(28,7187971,'1',201,'N'),(28,7187971,'1A',203,'N'),(28,7187980,'1',303,'N'),(28,7188005,'1',233,'N'),(28,7188005,'1A',212,'N'),(28,7188021,'1',5,'N'),(28,7188030,'1',201,'N'),(28,7188030,'1A',203,'N'),(28,7188048,'1',224,'N'),(28,7188056,'1',317,'N'),(28,7188064,'1',415,'N'),(28,7188072,'1',428,'N'),(28,7188072,'1A',425,'N'),(28,7188080,'1',5,'N'),(28,7188099,'1',5,'N'),(28,7188102,'1',304,'N'),(28,7188110,'1',308,'N'),(28,7188129,'1',309,'N'),(28,7188137,'1',303,'N'),(28,7188145,'1',101,'N'),(28,7188153,'1',3,'N'),(28,7188161,'1',999,'N'),(28,7188170,'1',601,'N'),(28,7188170,'1A',220,'N'),(28,7188188,'1',5,'N'),(28,7188196,'1',415,'N'),(28,7188200,'1',103,'N'),(28,7188218,'1',233,'N'),(28,7188218,'1A',653,'N'),(28,7188226,'1',318,'N'),(28,7188234,'1',316,'N'),(28,7188250,'1',201,'N'),(28,7188250,'1A',212,'N'),(28,7188269,'1',110,'N'),(28,7188277,'1',501,'N'),(28,7188285,'1',316,'N'),(28,7188293,'1',108,'N'),(28,7188307,'1',451,'N'),(28,7188323,'1',309,'N'),(28,7188331,'1',318,'N'),(28,7188340,'1',502,'N'),(28,7188358,'1',215,'N'),(28,7188358,'1A',216,'N'),(28,7188366,'1',235,'N'),(28,7188366,'1A',202,'N'),(28,7188374,'1',320,'N'),(28,7188382,'1',319,'N'),(28,7188390,'1',340,'N'),(28,7188404,'1',104,'N'),(28,7188412,'1',9,'N'),(28,7188420,'1',225,'N'),(28,7188439,'1',415,'N'),(28,7188447,'1',211,'N'),(28,7188455,'1',207,'N'),(28,7188455,'1A',238,'N'),(28,7188463,'1',301,'N'),(28,7188471,'1',426,'N'),(28,7188471,'1A',428,'N'),(28,7188480,'1',201,'N'),(28,7188480,'1A',202,'N'),(28,7188498,'1',201,'N'),(28,7188498,'1A',601,'N'),(28,7188501,'1',202,'N'),(28,7188501,'1A',213,'N'),(28,7188536,'1',440,'N'),(28,7188544,'1',999,'N'),(28,7188579,'1',303,'N'),(28,7188587,'1',444,'N'),(28,7188595,'1',203,'N'),(28,7188595,'1A',233,'N'),(28,7188609,'1',339,'N'),(28,7188617,'1',301,'N'),(28,7188633,'1',103,'N'),(28,7188650,'1',450,'N'),(28,7188684,'1',601,'N'),(28,7188684,'1A',202,'N'),(28,7188692,'1',316,'N'),(28,7188706,'1',103,'N'),(28,7188714,'1',415,'N'),(28,7188722,'1',238,'N'),(28,7188722,'1A',201,'N'),(28,7188749,'1',302,'N'),(28,7188757,'1',454,'N'),(28,7188765,'1',201,'N'),(28,7188765,'1A',211,'N'),(28,7188773,'1',238,'N'),(28,7188773,'1A',220,'N'),(28,7188781,'1',444,'N'),(28,7188790,'1',216,'N'),(28,7188790,'1A',235,'N'),(28,7188803,'1',319,'N'),(28,7188811,'1',103,'N'),(28,7188820,'1',5,'N'),(28,7188838,'1',319,'N'),(28,7188846,'1',317,'N'),(28,7188862,'1',104,'N'),(28,7188870,'1',214,'N'),(28,7188870,'1A',212,'N'),(28,7188889,'1',502,'N'),(28,7188897,'1',214,'N'),(28,7188897,'1A',213,'N'),(28,7188900,'1',103,'N'),(28,7188919,'1',338,'N'),(28,7188927,'1',336,'N'),(28,7188935,'1',104,'N'),(28,7188943,'1',601,'N'),(28,7188943,'1A',233,'N'),(28,7188960,'1',339,'N'),(28,7188978,'1',104,'N'),(28,7188986,'1',103,'N'),(28,7188994,'1',103,'N'),(28,7189001,'1',103,'N'),(28,7189010,'1',9,'N'),(28,7189028,'1',309,'N'),(28,7189036,'1',103,'N'),(28,7189044,'1',5,'N'),(28,7189052,'1',108,'N'),(28,7189060,'1',103,'N'),(28,7189079,'1',304,'N'),(28,7189087,'1',327,'N'),(28,7189095,'1',319,'N'),(28,7189109,'1',340,'N'),(28,7189117,'1',224,'N'),(28,7189133,'1',333,'N'),(28,7189141,'1',216,'N'),(28,7189141,'1A',215,'N'),(28,7189150,'1',303,'N'),(28,7189168,'1',103,'N'),(28,7189176,'1',316,'N'),(28,7189184,'1',444,'N'),(28,7189206,'1',201,'N'),(28,7189206,'1A',211,'N'),(28,7189214,'1',319,'N'),(28,7189222,'1',201,'N'),(28,7189222,'1A',212,'N'),(28,7189230,'1',201,'N'),(28,7189230,'1A',214,'N'),(28,7189249,'1',336,'N'),(28,7189265,'1',552,'N'),(28,7189290,'1',5,'N'),(28,7189303,'1',5,'N'),(28,7189311,'1',103,'N'),(28,7189320,'1',9,'N'),(28,7189338,'1',203,'N'),(28,7189338,'1A',201,'N'),(28,7189346,'1',207,'N'),(28,7189346,'1A',215,'N'),(28,7189354,'1',999,'N'),(28,7189362,'1',202,'N'),(28,7189362,'1A',213,'N'),(28,7189370,'1',404,'N'),(28,7189397,'1',212,'N'),(28,7189397,'1A',211,'N'),(28,7189400,'1',109,'N'),(28,7189427,'1',331,'N'),(28,7189435,'1',316,'N'),(28,7189443,'1',999,'N'),(28,7189460,'1',440,'N'),(28,7189478,'1',654,'N'),(28,7189486,'1',211,'N'),(28,7189486,'1A',215,'N'),(28,7189494,'1',103,'N'),(28,7189516,'1',317,'N'),(28,7189524,'1',214,'N'),(28,7189524,'1A',212,'N'),(28,7189540,'1',303,'N'),(28,7189559,'1',327,'N'),(28,7189567,'1',208,'N'),(28,7189575,'1',654,'N'),(28,7189583,'1',208,'N'),(28,7189591,'1',404,'N'),(28,7189605,'1',104,'N'),(28,7189613,'1',103,'N'),(28,7189621,'1',104,'N'),(28,7189648,'1',340,'N'),(28,7189656,'1',207,'N'),(28,7189656,'1A',201,'N'),(28,7189664,'1',201,'N'),(28,7189664,'1A',212,'N'),(28,7189672,'1',108,'N'),(28,7189680,'1',454,'N'),(28,7189699,'1',103,'N'),(28,7189702,'1',450,'N'),(28,7189710,'1',103,'N'),(28,7189729,'1',212,'N'),(28,7189729,'1A',233,'N'),(28,7189737,'1',301,'N'),(28,7189745,'1',301,'N'),(28,7189753,'1',454,'N'),(28,7189761,'1',207,'N'),(28,7189770,'1',404,'N'),(28,7189788,'1',230,'N'),(28,7189796,'1',223,'N'),(28,7189800,'1',201,'N'),(28,7189800,'1A',212,'N'),(28,7189818,'1',318,'N'),(28,7189834,'1',444,'N'),(28,7189869,'1',309,'N'),(28,7189877,'1',424,'N'),(28,7189877,'1A',429,'N'),(28,7189885,'1',3,'N'),(28,7189907,'1',103,'N'),(28,7189915,'1',238,'N'),(28,7189915,'1A',213,'N'),(28,7189923,'1',317,'N'),(28,7189931,'1',103,'N'),(28,7189940,'1',108,'N'),(28,7189958,'1',551,'N'),(28,7189966,'1',108,'N'),(28,7189982,'1',316,'N'),(28,7189990,'1',109,'N'),(28,7190000,'1',203,'N'),(28,7190026,'1',304,'N'),(28,7190042,'1',303,'N'),(28,7190050,'1',201,'N'),(28,7190050,'1A',212,'N'),(28,7190069,'1',103,'N'),(28,7190077,'1',235,'N'),(28,7190077,'1A',238,'N'),(28,7190085,'1',303,'N'),(28,7190115,'1',415,'N'),(28,7190123,'1',110,'N'),(28,7190131,'1',429,'N'),(28,7190131,'1A',425,'N'),(28,7190140,'1',999,'N'),(28,7190158,'1',424,'N'),(28,7190166,'1',202,'N'),(28,7190166,'1A',201,'N'),(28,7190174,'1',318,'N'),(28,7190182,'1',332,'N'),(28,7190204,'1',336,'N'),(28,7190212,'1',327,'N'),(28,7190239,'1',317,'N'),(28,7190255,'1',320,'N'),(28,7190263,'1',103,'N'),(28,7190271,'1',201,'N'),(28,7190271,'1A',212,'N'),(28,7190280,'1',214,'N'),(28,7190280,'1A',233,'N'),(28,7190298,'1',207,'N'),(28,7190298,'1A',212,'N'),(28,7190301,'1',207,'N'),(28,7190301,'1A',201,'N'),(28,7190310,'1',102,'N'),(28,7190328,'1',238,'N'),(28,7190328,'1A',655,'N'),(28,7190336,'1',319,'N'),(28,7190344,'1',404,'N'),(28,7190352,'1',212,'N'),(28,7190352,'1A',213,'N'),(28,7190360,'1',601,'N'),(28,7190379,'1',327,'N'),(28,7190387,'1',302,'N'),(28,7190395,'1',501,'N'),(28,7190409,'1',332,'N'),(28,7190417,'1',338,'N'),(28,7190425,'1',450,'N'),(28,7190450,'1',552,'N'),(28,7190468,'1',304,'N'),(28,7190484,'1',317,'N'),(28,7190492,'1',304,'N'),(28,7190514,'1',340,'N'),(28,7190530,'1',999,'N'),(28,7190549,'1',332,'N'),(28,7190557,'1',601,'N'),(28,7190557,'1A',207,'N'),(28,7190565,'1',222,'N'),(28,7190573,'1',303,'N'),(28,7190581,'1',213,'N'),(28,7190581,'1A',601,'N'),(28,7190590,'1',201,'N'),(28,7190590,'1A',216,'N'),(28,7190603,'1',336,'N'),(28,7190611,'1',301,'N'),(28,7190638,'1',203,'N'),(28,7190638,'1A',201,'N'),(28,7190646,'1',104,'N'),(28,7190654,'1',415,'N'),(28,7190670,'1',103,'N'),(28,7190689,'1',201,'N'),(28,7190689,'1A',207,'N'),(28,7190719,'1',207,'N'),(28,7190719,'1A',212,'N'),(28,7190727,'1',999,'N'),(28,7190735,'1',340,'N'),(28,7190743,'1',222,'N'),(28,7190751,'1',303,'N'),(28,7190786,'1',454,'N'),(28,7190816,'1',316,'N'),(28,7190824,'1',207,'N'),(28,7190824,'1A',201,'N'),(28,7190859,'1',316,'N'),(28,7190867,'1',303,'N'),(28,7190875,'1',103,'N'),(28,7190883,'1',201,'N'),(28,7190883,'1A',207,'N'),(28,7190891,'1',203,'N'),(28,7190891,'1A',202,'N'),(28,7190930,'1',426,'N'),(28,7190930,'1A',429,'N'),(28,7190948,'1',319,'N'),(28,7190956,'1',207,'N'),(28,7190956,'1A',652,'N'),(28,7190964,'1',653,'N'),(28,7190964,'1A',652,'N'),(28,7190972,'1',444,'N'),(28,7190980,'1',203,'N'),(28,7190980,'1A',216,'N'),(28,7190999,'1',999,'N'),(28,7191006,'1',999,'N'),(28,7191014,'1',319,'N'),(28,7191022,'1',203,'N'),(28,7191022,'1A',201,'N'),(28,7191030,'1',103,'N'),(28,7191049,'1',104,'N'),(28,7191073,'1',110,'N'),(28,7191081,'1',103,'N'),(28,7191090,'1',316,'N'),(28,7191103,'1',454,'N'),(28,7191120,'1',316,'N'),(28,7191138,'1',201,'N'),(28,7191138,'1A',212,'N'),(28,7191162,'1',109,'N'),(28,7191170,'1',103,'N'),(28,7191197,'1',207,'N'),(28,7191197,'1A',216,'N'),(28,7191200,'1',103,'N'),(28,7191227,'1',203,'N'),(28,7191227,'1A',601,'N'),(28,7191235,'1',208,'N'),(28,7191243,'1',201,'N'),(28,7191243,'1A',211,'N'),(28,7191251,'1',212,'N'),(28,7191251,'1A',201,'N'),(28,7191260,'1',103,'N'),(28,7191278,'1',207,'N'),(28,7191286,'1',999,'N'),(28,7191294,'1',203,'N'),(28,7191294,'1A',202,'N'),(28,7191316,'1',216,'N'),(28,7191316,'1A',202,'N'),(28,7191324,'1',318,'N'),(28,7191332,'1',201,'N'),(28,7191332,'1A',207,'N'),(28,7191340,'1',103,'N'),(28,7191367,'1',202,'N'),(28,7191367,'1A',201,'N'),(28,7191375,'1',427,'N'),(28,7191375,'1A',421,'N'),(28,7191383,'1',999,'N'),(28,7191391,'1',319,'N'),(28,7191405,'1',444,'N'),(28,7191413,'1',238,'N'),(28,7191413,'1A',202,'N'),(28,7191421,'1',203,'N'),(28,7191421,'1A',601,'N'),(28,7191430,'1',103,'N'),(28,7191448,'1',324,'N'),(28,7191464,'1',302,'N'),(28,7191472,'1',427,'N'),(28,7191472,'1A',425,'N'),(28,7191499,'1',653,'N'),(28,7191499,'1A',652,'N'),(28,7191502,'1',450,'N'),(28,7191510,'1',208,'N'),(28,7191529,'1',201,'N'),(28,7191529,'1A',212,'N'),(28,7191545,'1',203,'N'),(28,7191545,'1A',214,'N'),(28,7191588,'1',103,'N'),(28,7191596,'1',103,'N'),(28,7191618,'1',5,'N'),(28,7191626,'1',202,'N'),(28,7191626,'1A',201,'N'),(28,7191634,'1',320,'N'),(28,7191642,'1',303,'N'),(28,7191650,'1',653,'N'),(28,7191650,'1A',655,'N'),(28,7191669,'1',501,'N'),(28,7191677,'1',103,'N'),(28,7191693,'1',103,'N'),(28,7191707,'1',235,'N'),(28,7191707,'1A',220,'N'),(28,7191715,'1',215,'N'),(28,7191723,'1',208,'N'),(28,7191731,'1',308,'N'),(28,7191758,'1',5,'N'),(28,7191766,'1',203,'N'),(28,7191766,'1A',201,'N'),(28,7191774,'1',302,'N'),(28,7191782,'1',238,'N'),(28,7191782,'1A',220,'N'),(28,7191790,'1',552,'N'),(28,7191804,'1',211,'N'),(28,7191804,'1A',601,'N'),(28,7191820,'1',225,'N'),(28,7191839,'1',999,'N'),(28,7191847,'1',427,'N'),(28,7191847,'1A',423,'N'),(28,7191855,'1',451,'N'),(28,7191863,'1',202,'N'),(28,7191863,'1A',203,'N'),(28,7191871,'1',301,'N'),(28,7191880,'1',653,'N'),(28,7191880,'1A',655,'N'),(28,7191898,'1',308,'N'),(28,7191901,'1',9,'N'),(28,7191910,'1',207,'N'),(28,7191910,'1A',201,'N'),(28,7191928,'1',103,'N'),(28,7191936,'1',213,'N'),(28,7191936,'1A',220,'N'),(28,7191944,'1',201,'N'),(28,7191944,'1A',212,'N'),(28,7191952,'1',235,'N'),(28,7191952,'1A',202,'N'),(28,7191960,'1',201,'N'),(28,7191960,'1A',601,'N'),(28,7191979,'1',551,'N'),(28,7191987,'1',103,'N'),(28,7191995,'1',216,'N'),(28,7191995,'1A',201,'N'),(28,7192002,'1',108,'N'),(28,7192010,'1',333,'N'),(28,7192029,'1',450,'N'),(28,7192037,'1',316,'N'),(28,7192053,'1',238,'N'),(28,7192061,'1',415,'N'),(28,7192070,'1',454,'N'),(28,7192088,'1',316,'N'),(28,7192096,'1',108,'N'),(28,7192118,'1',444,'N'),(28,7192134,'1',655,'N'),(28,7192134,'1A',652,'N'),(28,7192142,'1',103,'N'),(28,7192150,'1',317,'N'),(28,7192169,'1',103,'N'),(28,7192177,'1',201,'N'),(28,7192177,'1A',212,'N'),(28,7192185,'1',201,'N'),(28,7192185,'1A',233,'N'),(28,7192193,'1',211,'N'),(28,7192193,'1A',201,'N'),(28,7192207,'1',601,'N'),(28,7192215,'1',303,'N'),(28,7192223,'1',999,'N'),(28,7192231,'1',208,'N'),(28,7192258,'1',326,'N'),(28,7192266,'1',444,'N'),(28,7192274,'1',216,'N'),(28,7192274,'1A',201,'N'),(28,7192282,'1',234,'N'),(28,7192290,'1',601,'N'),(28,7192304,'1',303,'N'),(28,7192320,'1',324,'N'),(28,7192339,'1',336,'N'),(28,7192347,'1',212,'N'),(28,7192347,'1A',216,'N'),(28,7192355,'1',302,'N'),(28,7192363,'1',338,'N'),(28,7192371,'1',444,'N'),(28,7192380,'1',450,'N'),(28,7192398,'1',301,'N'),(28,7192401,'1',211,'N'),(28,7192401,'1A',207,'N'),(28,7192410,'1',999,'N'),(28,7192428,'1',224,'N'),(28,7192436,'1',340,'N'),(28,7192444,'1',302,'N'),(28,7192452,'1',201,'N'),(28,7192452,'1A',203,'N'),(28,7192460,'1',654,'N'),(28,7192479,'1',303,'N'),(28,7192487,'1',201,'N'),(28,7192487,'1A',207,'N'),(28,7192495,'1',202,'N'),(28,7192495,'1A',212,'N'),(28,7192509,'1',103,'N'),(28,7192517,'1',303,'N'),(28,7192533,'1',201,'N'),(28,7192533,'1A',211,'N'),(28,7192550,'1',230,'N'),(28,7192568,'1',999,'N'),(28,7192576,'1',429,'N'),(28,7192576,'1A',425,'N'),(28,7192606,'1',101,'N'),(28,7192614,'1',340,'N'),(28,7192630,'1',203,'N'),(28,7192630,'1A',214,'N'),(28,7192649,'1',319,'N'),(28,7192657,'1',110,'N'),(28,7192665,'1',551,'N'),(28,7192673,'1',103,'N'),(28,7192681,'1',208,'N'),(28,7192690,'1',103,'N'),(28,7192703,'1',201,'N'),(28,7192703,'1A',216,'N'),(28,7192711,'1',324,'N'),(28,7192720,'1',340,'N'),(28,7192738,'1',421,'N'),(28,7192738,'1A',425,'N'),(28,7192746,'1',220,'N'),(28,7192746,'1A',203,'N'),(28,7192754,'1',207,'N'),(28,7192754,'1A',215,'N'),(28,7192762,'1',404,'N'),(28,7192770,'1',319,'N'),(28,7192789,'1',304,'N'),(28,7192797,'1',336,'N'),(28,7192800,'1',415,'N'),(28,7192819,'1',103,'N'),(28,7192827,'1',999,'N'),(28,7192843,'1',9,'N'),(28,7192851,'1',104,'N'),(28,7192860,'1',101,'N'),(28,7192878,'1',304,'N'),(28,7192894,'1',999,'N'),(28,7192908,'1',103,'N'),(28,7192932,'1',326,'N'),(28,7192959,'1',208,'N'),(28,7192975,'1',201,'N'),(28,7192975,'1A',220,'N'),(28,7192991,'1',551,'N'),(28,7193009,'1',5,'N'),(28,7193017,'1',303,'N'),(28,7193033,'1',309,'N'),(28,7193041,'1',502,'N'),(28,7193050,'1',103,'N'),(28,7193068,'1',3,'N'),(28,7193092,'1',220,'N'),(28,7193092,'1A',202,'N'),(28,7193114,'1',999,'N'),(28,7193122,'1',103,'N'),(28,7193149,'1',109,'N'),(28,7193157,'1',654,'N'),(28,7193165,'1',999,'N'),(28,7193173,'1',551,'N'),(28,7193190,'1',103,'N'),(28,7193203,'1',303,'N'),(28,7193211,'1',234,'N'),(28,7193220,'1',3,'N'),(28,7193246,'1',501,'N'),(28,7193254,'1',220,'N'),(28,7193254,'1A',203,'N'),(28,7193262,'1',302,'N'),(28,7193270,'1',303,'N'),(28,7193289,'1',201,'N'),(28,7193289,'1A',235,'N'),(28,7193297,'1',340,'N'),(28,7193300,'1',501,'N'),(28,7193319,'1',238,'N'),(28,7193319,'1A',601,'N'),(28,7193327,'1',340,'N'),(28,7193335,'1',303,'N'),(28,7193343,'1',103,'N'),(28,7193351,'1',207,'N'),(28,7193386,'1',235,'N'),(28,7193386,'1A',653,'N'),(28,7193394,'1',233,'N'),(28,7193394,'1A',601,'N'),(28,7193408,'1',233,'N'),(28,7193408,'1A',215,'N'),(28,7193416,'1',104,'N'),(28,7193424,'1',316,'N'),(28,7193440,'1',207,'N'),(28,7193440,'1A',201,'N'),(28,7193459,'1',303,'N'),(28,7193467,'1',207,'N'),(28,7193467,'1A',212,'N'),(28,7193475,'1',336,'N'),(28,7193483,'1',308,'N'),(28,7193491,'1',207,'N'),(28,7193491,'1A',201,'N'),(28,7193505,'1',233,'N'),(28,7193505,'1A',213,'N'),(28,7193513,'1',103,'N'),(28,7193521,'1',234,'N'),(28,7193530,'1',208,'N'),(28,7193548,'1',440,'N'),(28,7193556,'1',340,'N'),(28,7193564,'1',425,'N'),(28,7193564,'1A',429,'N'),(28,7193572,'1',301,'N'),(28,7193580,'1',202,'N'),(28,7193580,'1A',213,'N'),(28,7193599,'1',303,'N'),(28,7193602,'1',103,'N'),(28,7193610,'1',102,'N'),(28,7193629,'1',316,'N'),(28,7193637,'1',316,'N'),(28,7193661,'1',101,'N'),(28,7193670,'1',318,'N'),(28,7193688,'1',653,'N'),(28,7193688,'1A',652,'N'),(28,7193696,'1',103,'N'),(28,7193700,'1',301,'N'),(28,7193718,'1',316,'N'),(28,7193726,'1',201,'N'),(28,7193726,'1A',203,'N'),(28,7193734,'1',202,'N'),(28,7193734,'1A',235,'N'),(28,7193742,'1',551,'N'),(28,7193750,'1',601,'N'),(28,7193750,'1A',214,'N'),(28,7193785,'1',220,'N'),(28,7193793,'1',216,'N'),(28,7193793,'1A',211,'N'),(28,7193807,'1',9,'N'),(28,7193823,'1',551,'N'),(28,7193831,'1',202,'N'),(28,7193831,'1A',201,'N'),(28,7193840,'1',426,'N'),(28,7193840,'1A',427,'N'),(28,7193858,'1',104,'N'),(28,7193866,'1',108,'N'),(28,7193874,'1',999,'N'),(28,7193882,'1',3,'N'),(28,7193890,'1',203,'N'),(28,7193890,'1A',214,'N'),(28,7193904,'1',103,'N'),(28,7193920,'1',103,'N'),(28,7193939,'1',340,'N'),(28,7193947,'1',108,'N'),(28,7193955,'1',415,'N'),(28,7193963,'1',327,'N'),(28,7193971,'1',415,'N'),(28,7193980,'1',308,'N'),(28,7193998,'1',233,'N'),(28,7193998,'1A',211,'N'),(28,7194005,'1',103,'N'),(28,7194013,'1',336,'N'),(28,7194021,'1',103,'N'),(28,7194030,'1',444,'N'),(28,7194048,'1',329,'N'),(28,7194064,'1',316,'N'),(28,7194102,'1',103,'N'),(28,7194129,'1',451,'N'),(28,7194137,'1',652,'N'),(28,7194137,'1A',655,'N'),(28,7194145,'1',303,'N'),(28,7194153,'1',103,'N'),(28,7194161,'1',308,'N'),(28,7194188,'1',216,'N'),(28,7194188,'1A',203,'N'),(28,7194196,'1',601,'N'),(28,7194196,'1A',235,'N'),(28,7194200,'1',220,'N'),(28,7194200,'1A',202,'N'),(28,7194218,'1',340,'N'),(28,7194234,'1',9,'N'),(28,7194250,'1',103,'N'),(28,7194269,'1',220,'N'),(28,7194269,'1A',212,'N'),(28,7194277,'1',5,'N'),(28,7194293,'1',454,'N'),(28,7194307,'1',103,'N'),(28,7194315,'1',103,'N'),(28,7194323,'1',208,'N'),(28,7194331,'1',207,'N'),(28,7194331,'1A',201,'N'),(28,7194358,'1',551,'N'),(28,7194366,'1',215,'N'),(28,7194366,'1A',201,'N'),(28,7194374,'1',316,'N'),(28,7194382,'1',552,'N'),(28,7194390,'1',207,'N'),(28,7194390,'1A',202,'N'),(28,7194404,'1',104,'N'),(28,7194420,'1',103,'N'),(28,7194439,'1',9,'N'),(28,7194447,'1',203,'N'),(28,7194447,'1A',202,'N'),(28,7194455,'1',450,'N'),(28,7194463,'1',216,'N'),(28,7194463,'1A',214,'N'),(28,7194471,'1',238,'N'),(28,7194471,'1A',201,'N'),(28,7194480,'1',108,'N'),(28,7194498,'1',308,'N'),(28,7194501,'1',999,'N'),(28,7194510,'1',201,'N'),(28,7194510,'1A',212,'N'),(28,7194528,'1',302,'N'),(28,7194536,'1',203,'N'),(28,7194536,'1A',214,'N'),(28,7194552,'1',339,'N'),(28,7194560,'1',233,'N'),(28,7194587,'1',103,'N'),(28,7194617,'1',316,'N'),(28,7194625,'1',203,'N'),(28,7194625,'1A',235,'N'),(28,7194633,'1',103,'N'),(28,7194641,'1',103,'N'),(28,7194668,'1',319,'N'),(28,7194684,'1',103,'N'),(28,7194692,'1',213,'N'),(28,7194692,'1A',214,'N'),(28,7194706,'1',552,'N'),(28,7194714,'1',109,'N'),(28,7194730,'1',303,'N'),(28,7194749,'1',308,'N'),(28,7194757,'1',319,'N'),(28,7194765,'1',415,'N'),(28,7194773,'1',552,'N'),(28,7194781,'1',444,'N'),(28,7194803,'1',103,'N'),(28,7194811,'1',9,'N'),(28,7194820,'1',9,'N'),(28,7194846,'1',999,'N'),(28,7194854,'1',302,'N'),(28,7194862,'1',238,'N'),(28,7194862,'1A',235,'N'),(28,7194870,'1',601,'N'),(28,7194870,'1A',207,'N'),(28,7194889,'1',501,'N'),(28,7194897,'1',415,'N'),(28,7194900,'1',308,'N'),(28,7194919,'1',9,'N'),(28,7194927,'1',309,'N'),(28,7194935,'1',303,'N'),(28,7194943,'1',214,'N'),(28,7194943,'1A',601,'N'),(28,7194960,'1',203,'N'),(28,7194978,'1',551,'N'),(28,7194986,'1',103,'N'),(28,7194994,'1',103,'N'),(28,7195001,'1',303,'N'),(28,7195010,'1',102,'N'),(28,7195028,'1',201,'N'),(28,7195028,'1A',212,'N'),(28,7195036,'1',301,'N'),(28,7195044,'1',224,'N'),(28,7195052,'1',207,'N'),(28,7195052,'1A',215,'N'),(28,7195060,'1',103,'N'),(28,7195079,'1',201,'N'),(28,7195079,'1A',212,'N'),(28,7195087,'1',215,'N'),(28,7195087,'1A',201,'N'),(28,7195095,'1',208,'N'),(28,7195109,'1',201,'N'),(28,7195109,'1A',233,'N'),(28,7195117,'1',212,'N'),(28,7195117,'1A',238,'N'),(28,7195133,'1',501,'N'),(28,7195141,'1',103,'N'),(28,7195150,'1',102,'N'),(28,7195168,'1',103,'N'),(28,7195176,'1',425,'N'),(28,7195184,'1',317,'N'),(28,7195192,'1',207,'N'),(28,7195192,'1A',212,'N'),(28,7195214,'1',214,'N'),(28,7195214,'1A',212,'N'),(28,7195222,'1',309,'N'),(28,7195230,'1',454,'N'),(28,7195249,'1',201,'N'),(28,7195249,'1A',601,'N'),(28,7195257,'1',203,'N'),(28,7195257,'1A',220,'N'),(28,7195265,'1',5,'N'),(28,7195281,'1',999,'N'),(28,7195311,'1',415,'N'),(28,7195320,'1',303,'N'),(28,7195338,'1',103,'N'),(28,7195346,'1',303,'N'),(28,7195362,'1',103,'N'),(28,7195370,'1',999,'N'),(28,7195389,'1',203,'N'),(28,7195389,'1A',201,'N'),(28,7195397,'1',999,'N'),(28,7195400,'1',220,'N'),(28,7195400,'1A',202,'N'),(28,7195419,'1',213,'N'),(28,7195419,'1A',214,'N'),(28,7195427,'1',207,'N'),(28,7195427,'1A',238,'N'),(28,7195435,'1',201,'N'),(28,7195435,'1A',212,'N'),(28,7195443,'1',213,'N'),(28,7195443,'1A',238,'N'),(28,7195451,'1',238,'N'),(28,7195451,'1A',652,'N'),(28,7195460,'1',304,'N'),(28,7195478,'1',319,'N'),(28,7195486,'1',212,'N'),(28,7195486,'1A',233,'N'),(28,7195508,'1',454,'N'),(28,7195524,'1',103,'N'),(28,7195532,'1',301,'N'),(28,7195540,'1',103,'N'),(28,7195559,'1',103,'N'),(28,7195567,'1',103,'N'),(28,7195575,'1',310,'N'),(28,7195583,'1',104,'N'),(28,7195591,'1',238,'N'),(28,7195591,'1A',235,'N'),(28,7195613,'1',454,'N'),(28,7195621,'1',238,'N'),(28,7195621,'1A',211,'N'),(28,7195648,'1',340,'N'),(28,7195656,'1',103,'N'),(28,7195664,'1',316,'N'),(28,7195672,'1',201,'N'),(28,7195672,'1A',202,'N'),(28,7195680,'1',201,'N'),(28,7195680,'1A',203,'N'),(28,7195699,'1',454,'N'),(28,7195710,'1',999,'N'),(28,7195729,'1',103,'N'),(28,7195737,'1',999,'N'),(28,7195745,'1',103,'N'),(28,7195753,'1',5,'N'),(28,7195761,'1',425,'N'),(28,7195761,'1A',423,'N'),(28,7195770,'1',238,'N'),(28,7195770,'1A',207,'N'),(28,7195788,'1',104,'N'),(28,7195796,'1',212,'N'),(28,7195796,'1A',216,'N'),(28,7195800,'1',235,'N'),(28,7195800,'1A',238,'N'),(28,7195818,'1',207,'N'),(28,7195818,'1A',215,'N'),(28,7195826,'1',215,'N'),(28,7195826,'1A',216,'N'),(28,7195834,'1',207,'N'),(28,7195842,'1',331,'N'),(28,7195850,'1',302,'N'),(28,7195877,'1',104,'N'),(28,7195885,'1',5,'N'),(28,7195893,'1',108,'N'),(28,7195907,'1',103,'N'),(28,7195915,'1',104,'N'),(28,7195923,'1',999,'N'),(28,7195931,'1',233,'N'),(28,7195931,'1A',601,'N'),(28,7195940,'1',303,'N'),(28,7195958,'1',317,'N'),(28,7195966,'1',103,'N'),(28,7195974,'1',201,'N'),(28,7195974,'1A',212,'N'),(28,7195982,'1',201,'N'),(28,7195982,'1A',655,'N'),(28,7195990,'1',404,'N'),(28,7196016,'1',207,'N'),(28,7196016,'1A',655,'N'),(28,7196024,'1',103,'N'),(28,7196032,'1',415,'N'),(28,7196040,'1',340,'N'),(28,7196059,'1',104,'N'),(28,7196067,'1',327,'N'),(28,7196075,'1',317,'N'),(28,7196083,'1',203,'N'),(28,7196083,'1A',214,'N'),(28,7196091,'1',5,'N'),(28,7196105,'1',203,'N'),(28,7196105,'1A',655,'N'),(28,7196113,'1',207,'N'),(28,7196121,'1',201,'N'),(28,7196121,'1A',203,'N'),(28,7196130,'1',337,'N'),(28,7196148,'1',103,'N'),(28,7196156,'1',454,'N'),(28,7196164,'1',201,'N'),(28,7196164,'1A',211,'N'),(28,7196172,'1',207,'N'),(28,7196172,'1A',201,'N'),(28,7196180,'1',103,'N'),(28,7196202,'1',301,'N'),(28,7196210,'1',220,'N'),(28,7196210,'1A',203,'N'),(28,7196229,'1',103,'N'),(28,7196237,'1',333,'N'),(28,7196245,'1',211,'N'),(28,7196245,'1A',215,'N'),(28,7196253,'1',103,'N'),(28,7196261,'1',203,'N'),(28,7196261,'1A',220,'N'),(28,7196270,'1',201,'N'),(28,7196288,'1',336,'N'),(28,7196296,'1',303,'N'),(28,7196300,'1',201,'N'),(28,7196300,'1A',220,'N'),(28,7196318,'1',302,'N'),(28,7196326,'1',415,'N'),(28,7196334,'1',216,'N'),(28,7196334,'1A',211,'N'),(28,7196342,'1',326,'N'),(28,7196350,'1',103,'N'),(28,7196369,'1',203,'N'),(28,7196377,'1',203,'N'),(28,7196377,'1A',202,'N'),(28,7196385,'1',103,'N'),(28,7196393,'1',444,'N'),(28,7196407,'1',211,'N'),(28,7196407,'1A',601,'N'),(28,7196415,'1',211,'N'),(28,7196415,'1A',215,'N'),(28,7196423,'1',211,'N'),(28,7196423,'1A',235,'N'),(28,7196431,'1',215,'N'),(28,7196431,'1A',216,'N'),(28,7196458,'1',5,'N'),(28,7196466,'1',211,'N'),(28,7196466,'1A',216,'N'),(28,7196474,'1',108,'N'),(28,7196482,'1',103,'N'),(28,7196504,'1',339,'N'),(28,7196512,'1',103,'N'),(28,7196539,'1',5,'N'),(28,7196555,'1',203,'N'),(28,7196555,'1A',220,'N'),(28,7196563,'1',203,'N'),(28,7196563,'1A',202,'N'),(28,7196580,'1',999,'N'),(28,7196598,'1',201,'N'),(28,7196598,'1A',203,'N'),(28,7196601,'1',238,'N'),(28,7196610,'1',203,'N'),(28,7196610,'1A',214,'N'),(28,7196628,'1',233,'N'),(28,7196628,'1A',653,'N'),(28,7196636,'1',424,'N'),(28,7196636,'1A',423,'N'),(28,7196644,'1',104,'N'),(28,7196652,'1',415,'N'),(28,7196660,'1',104,'N'),(28,7196695,'1',214,'N'),(28,7196695,'1A',220,'N'),(28,7196709,'1',103,'N'),(28,7196717,'1',5,'N'),(28,7196725,'1',316,'N'),(28,7196733,'1',999,'N'),(28,7196750,'1',444,'N'),(28,7196768,'1',316,'N'),(28,7196776,'1',225,'N'),(28,7196784,'1',601,'N'),(28,7196784,'1A',203,'N'),(28,7196792,'1',103,'N'),(28,7196806,'1',319,'N'),(28,7196814,'1',103,'N'),(28,7196822,'1',999,'N'),(28,7196830,'1',302,'N'),(28,7196849,'1',235,'N'),(28,7196849,'1A',202,'N'),(28,7196857,'1',201,'N'),(28,7196857,'1A',220,'N'),(28,7196873,'1',415,'N'),(28,7196881,'1',340,'N'),(28,7196890,'1',103,'N'),(28,7196903,'1',104,'N'),(28,7196911,'1',655,'N'),(28,7196911,'1A',653,'N'),(28,7196920,'1',103,'N'),(28,7196938,'1',103,'N'),(28,7196946,'1',216,'N'),(28,7196946,'1A',215,'N'),(28,7196954,'1',999,'N'),(28,7196962,'1',103,'N'),(28,7196970,'1',103,'N'),(28,7196989,'1',303,'N'),(28,7196997,'1',5,'N'),(28,7197004,'1',101,'N'),(28,7197012,'1',340,'N'),(28,7197020,'1',303,'N'),(28,7197039,'1',207,'N'),(28,7197039,'1A',216,'N'),(28,7197047,'1',103,'N'),(28,7197055,'1',108,'N'),(28,7197071,'1',101,'N'),(28,7197080,'1',601,'N'),(28,7197080,'1A',203,'N'),(28,7197098,'1',5,'N'),(28,7197101,'1',601,'N'),(28,7197110,'1',103,'N'),(28,7197128,'1',103,'N'),(28,7197136,'1',301,'N'),(28,7197144,'1',999,'N'),(28,7197152,'1',201,'N'),(28,7197152,'1A',202,'N'),(28,7197160,'1',202,'N'),(28,7197160,'1A',653,'N'),(28,7197179,'1',304,'N'),(28,7197187,'1',103,'N'),(28,7197195,'1',235,'N'),(28,7197195,'1A',220,'N'),(28,7197209,'1',103,'N'),(28,7197225,'1',211,'N'),(28,7197225,'1A',601,'N'),(28,7197233,'1',103,'N'),(28,7197241,'1',652,'N'),(28,7197241,'1A',655,'N'),(28,7197250,'1',999,'N'),(28,7197250,'1A',207,'S'),(28,7197268,'1',502,'N'),(28,7197284,'1',601,'N'),(28,7197284,'1A',216,'N'),(28,7197330,'1',103,'N'),(28,7197349,'1',302,'N'),(28,7197357,'1',235,'N'),(28,7197357,'1A',201,'N'),(28,7197373,'1',103,'N'),(28,7197381,'1',415,'N'),(28,7197403,'1',214,'N'),(28,7197403,'1A',213,'N'),(28,7197411,'1',207,'N'),(28,7197411,'1A',211,'N'),(28,7197420,'1',103,'N'),(28,7197454,'1',215,'N'),(28,7197462,'1',201,'N'),(28,7197462,'1A',207,'N'),(28,7197470,'1',103,'N'),(28,7197497,'1',339,'N'),(28,7197500,'1',316,'N'),(28,7197527,'1',340,'N'),(28,7197535,'1',103,'N'),(28,7197543,'1',104,'N'),(28,7197551,'1',331,'N'),(28,7197578,'1',238,'N'),(28,7197586,'1',103,'N'),(28,7197594,'1',201,'N'),(28,7197594,'1A',601,'N'),(28,7197608,'1',202,'N'),(28,7197608,'1A',235,'N'),(28,7197616,'1',451,'N'),(28,7197624,'1',216,'N'),(28,7197624,'1A',202,'N'),(28,7197632,'1',303,'N'),(28,7197640,'1',303,'N'),(28,7197659,'1',303,'N'),(28,7197675,'1',444,'N'),(28,7197683,'1',103,'N'),(28,7197691,'1',238,'N'),(28,7197691,'1A',201,'N'),(28,7197721,'1',201,'N'),(28,7197721,'1A',235,'N'),(28,7197748,'1',425,'N'),(28,7197748,'1A',424,'N'),(28,7197756,'1',501,'N'),(28,7197764,'1',429,'N'),(28,7197764,'1A',424,'N'),(28,7197772,'1',109,'N'),(28,7197780,'1',103,'N'),(28,7197810,'1',301,'N'),(28,7197829,'1',423,'N'),(28,7197829,'1A',427,'N'),(28,7197837,'1',303,'N'),(28,7197845,'1',103,'N'),(28,7197853,'1',302,'N'),(28,7197861,'1',339,'N'),(28,7197870,'1',450,'N'),(28,7197888,'1',336,'N'),(28,7197896,'1',340,'N'),(28,7197900,'1',216,'N'),(28,7197900,'1A',201,'N'),(28,7197918,'1',317,'N'),(28,7197934,'1',216,'N'),(28,7197934,'1A',201,'N'),(28,7197942,'1',301,'N'),(28,7197950,'1',202,'N'),(28,7197950,'1A',235,'N'),(28,7197969,'1',303,'N'),(28,7197985,'1',216,'N'),(28,7197985,'1A',215,'N'),(28,7197993,'1',207,'N'),(28,7197993,'1A',201,'N'),(28,7198000,'1',301,'N'),(28,7198019,'1',103,'N'),(28,7198027,'1',320,'N'),(28,7198035,'1',203,'N'),(28,7198035,'1A',235,'N'),(28,7198043,'1',103,'N'),(28,7198051,'1',212,'N'),(28,7198051,'1A',201,'N'),(28,7198060,'1',104,'N'),(28,7198078,'1',103,'N'),(28,7198086,'1',552,'N'),(28,7198094,'1',454,'N'),(28,7198108,'1',220,'N'),(28,7198108,'1A',655,'N'),(28,7198116,'1',102,'N'),(28,7198124,'1',601,'N'),(28,7198132,'1',104,'N'),(28,7198140,'1',212,'N'),(28,7198159,'1',444,'N'),(28,7198167,'1',317,'N'),(28,7198175,'1',201,'N'),(28,7198175,'1A',202,'N'),(28,7198183,'1',429,'N'),(28,7198183,'1A',426,'N'),(28,7198191,'1',429,'N'),(28,7198191,'1A',424,'N'),(28,7198205,'1',319,'N'),(28,7198213,'1',302,'N'),(28,7198221,'1',207,'N'),(28,7198221,'1A',201,'N'),(28,7198230,'1',207,'N'),(28,7198248,'1',222,'N'),(28,7198256,'1',103,'N'),(28,7198264,'1',319,'N'),(28,7198272,'1',238,'N'),(28,7198272,'1A',201,'N'),(28,7198280,'1',104,'N'),(28,7198299,'1',103,'N'),(28,7198302,'1',101,'N'),(28,7198310,'1',215,'N'),(28,7198310,'1A',601,'N'),(28,7198329,'1',454,'N'),(28,7198353,'1',216,'N'),(28,7198353,'1A',215,'N'),(28,7198361,'1',220,'N'),(28,7198361,'1A',601,'N'),(28,7198370,'1',308,'N'),(28,7198388,'1',9,'N'),(28,7198396,'1',214,'N'),(28,7198396,'1A',238,'N'),(28,7198400,'1',207,'N'),(28,7198418,'1',103,'N'),(28,7198426,'1',211,'N'),(28,7198426,'1A',215,'N'),(28,7198434,'1',415,'N'),(28,7198442,'1',103,'N'),(28,7198450,'1',203,'N'),(28,7198450,'1A',601,'N'),(28,7198469,'1',316,'N'),(28,7198477,'1',108,'N'),(28,7198485,'1',340,'N'),(28,7198493,'1',552,'N'),(28,7198507,'1',654,'N'),(28,7198515,'1',215,'N'),(28,7198515,'1A',233,'N'),(28,7198523,'1',103,'N'),(28,7198531,'1',415,'N'),(28,7198540,'1',319,'N'),(28,7198558,'1',109,'N'),(28,7198566,'1',5,'N'),(28,7198574,'1',501,'N'),(28,7198582,'1',304,'N'),(28,7198590,'1',310,'N'),(28,7198604,'1',238,'N'),(28,7198604,'1A',216,'N'),(28,7198612,'1',317,'N'),(28,7198620,'1',404,'N'),(28,7198639,'1',208,'N'),(28,7198647,'1',103,'N'),(28,7198663,'1',104,'N'),(28,7198671,'1',203,'N'),(28,7198671,'1A',214,'N'),(28,7198680,'1',3,'N'),(28,7198698,'1',319,'N'),(28,7198701,'1',999,'N'),(28,7198710,'1',212,'N'),(28,7198710,'1A',235,'N'),(28,7198736,'1',103,'N'),(28,7198744,'1',601,'N'),(28,7198744,'1A',211,'N'),(28,7198752,'1',302,'N'),(28,7198760,'1',104,'N'),(28,7198779,'1',340,'N'),(28,7198787,'1',308,'N'),(28,7198795,'1',238,'N'),(28,7198795,'1A',233,'N'),(28,7198817,'1',238,'N'),(28,7198817,'1A',215,'N'),(28,7198825,'1',552,'N'),(28,7198833,'1',444,'N'),(28,7198841,'1',319,'N'),(28,7198850,'1',326,'N'),(28,7198868,'1',5,'N'),(28,7198876,'1',655,'N'),(28,7198876,'1A',652,'N'),(28,7198884,'1',203,'N'),(28,7198884,'1A',214,'N'),(28,7198892,'1',103,'N'),(28,7198906,'1',317,'N'),(28,7198914,'1',444,'N'),(28,7198922,'1',450,'N'),(28,7198930,'1',5,'N'),(28,7198965,'1',104,'N'),(28,7198973,'1',103,'N'),(28,7198981,'1',202,'N'),(28,7198981,'1A',213,'N'),(28,7198990,'1',415,'N'),(28,7199007,'1',309,'N'),(28,7199015,'1',103,'N'),(28,7199023,'1',203,'N'),(28,7199023,'1A',214,'N'),(28,7199031,'1',5,'N'),(28,7199040,'1',302,'N'),(28,7199066,'1',201,'N'),(28,7199074,'1',653,'N'),(28,7199074,'1A',203,'N'),(28,7199082,'1',326,'N'),(28,7199090,'1',201,'N'),(28,7199090,'1A',207,'N'),(28,7199104,'1',234,'N'),(28,7199112,'1',332,'N'),(28,7199120,'1',213,'N'),(28,7199120,'1A',601,'N'),(28,7199139,'1',102,'N'),(28,7199147,'1',225,'N'),(28,7199155,'1',230,'N'),(28,7199163,'1',302,'N'),(28,7199171,'1',201,'N'),(28,7199171,'1A',207,'N'),(28,7199180,'1',201,'N'),(28,7199180,'1A',216,'N'),(28,7199198,'1',208,'N'),(28,7199201,'1',103,'N'),(28,7199210,'1',202,'N'),(28,7199210,'1A',201,'N'),(28,7199228,'1',110,'N'),(28,7199236,'1',425,'N'),(28,7199244,'1',201,'N'),(28,7199244,'1A',220,'N'),(28,7199252,'1',238,'N'),(28,7199252,'1A',216,'N'),(28,7199260,'1',201,'N'),(28,7199260,'1A',220,'N'),(28,7199279,'1',103,'N'),(28,7199295,'1',102,'N'),(28,7199317,'1',207,'N'),(28,7199317,'1A',201,'N'),(28,7199325,'1',213,'N'),(28,7199325,'1A',235,'N'),(28,7199333,'1',202,'N'),(28,7199333,'1A',213,'N'),(28,7199341,'1',235,'N'),(28,7199341,'1A',220,'N'),(28,7199350,'1',444,'N'),(28,7199368,'1',208,'N'),(28,7199376,'1',454,'N'),(28,7199384,'1',103,'N'),(28,7199392,'1',454,'N'),(28,7199406,'1',601,'N'),(28,7199406,'1A',655,'N'),(28,7199414,'1',302,'N'),(28,7199422,'1',654,'N'),(28,7199430,'1',5,'N'),(28,7199449,'1',652,'N'),(28,7199449,'1A',655,'N'),(28,7199465,'1',9,'N'),(28,7199481,'1',203,'N'),(28,7199490,'1',203,'N'),(28,7199490,'1A',653,'N'),(28,7199503,'1',216,'N'),(28,7199503,'1A',201,'N'),(28,7199511,'1',454,'N'),(28,7199520,'1',103,'N'),(28,7199546,'1',103,'N'),(28,7199554,'1',601,'N'),(28,7199589,'1',238,'N'),(28,7199589,'1A',220,'N'),(28,7199597,'1',331,'N'),(28,7199600,'1',339,'N'),(28,7199619,'1',207,'N'),(28,7199619,'1A',201,'N'),(28,7199627,'1',5,'N'),(28,7199635,'1',316,'N'),(28,7199643,'1',103,'N'),(28,7199651,'1',301,'N'),(28,7199660,'1',207,'N'),(28,7199660,'1A',216,'N'),(28,7199678,'1',316,'N'),(28,7199686,'1',301,'N'),(28,7199694,'1',303,'N'),(28,7199708,'1',415,'N'),(28,7199716,'1',103,'N'),(28,7199724,'1',652,'N'),(28,7199724,'1A',655,'N'),(28,7199732,'1',238,'N'),(28,7199732,'1A',652,'N'),(28,7199740,'1',601,'N'),(28,7199740,'1A',201,'N'),(28,7199767,'1',201,'N'),(28,7199767,'1A',202,'N'),(28,7199775,'1',302,'N'),(28,7199791,'1',222,'N'),(28,7199805,'1',301,'N'),(28,7199813,'1',324,'N'),(28,7199821,'1',310,'N'),(28,7199848,'1',320,'N'),(28,7199856,'1',444,'N'),(28,7199864,'1',5,'N'),(28,7199872,'1',230,'N'),(28,7199899,'1',316,'N'),(28,7199902,'1',317,'N'),(28,7199910,'1',552,'N'),(28,7199937,'1',207,'N'),(28,7199937,'1A',201,'N'),(28,7199953,'1',235,'N'),(28,7199953,'1A',214,'N'),(28,7199988,'1',317,'N'),(28,7199996,'1',339,'N'),(28,7200005,'1',317,'N'),(28,7200013,'1',317,'N'),(28,7200021,'1',654,'N'),(28,7200048,'1',5,'N'),(28,7200056,'1',444,'N'),(28,7200080,'1',404,'N'),(28,7200102,'1',238,'N'),(28,7200102,'1A',216,'N'),(28,7200110,'1',310,'N'),(28,7200129,'1',308,'N'),(28,7200145,'1',203,'N'),(28,7200145,'1A',601,'N'),(28,7200153,'1',338,'N'),(28,7200161,'1',201,'N'),(28,7200161,'1A',601,'N'),(28,7200170,'1',324,'N'),(28,7200188,'1',201,'N'),(28,7200188,'1A',212,'N'),(28,7200200,'1',103,'N'),(28,7200226,'1',201,'N'),(28,7200226,'1A',207,'N'),(28,7200234,'1',319,'N'),(28,7200242,'1',338,'N'),(28,7200277,'1',317,'N'),(28,7200285,'1',551,'N'),(28,7200293,'1',201,'N'),(28,7200293,'1A',212,'N'),(28,7200307,'1',303,'N'),(28,7200315,'1',216,'N'),(28,7200315,'1A',201,'N'),(28,7200323,'1',317,'N'),(28,7200358,'1',207,'N'),(28,7200358,'1A',201,'N'),(28,7200366,'1',103,'N'),(28,7200390,'1',207,'N'),(28,7200390,'1A',211,'N'),(28,7200404,'1',655,'N'),(28,7200404,'1A',220,'N'),(28,7200412,'1',9,'N'),(28,7200420,'1',103,'N'),(28,7200447,'1',203,'N'),(28,7200447,'1A',233,'N'),(28,7200455,'1',103,'N'),(28,7200463,'1',207,'N'),(28,7200463,'1A',212,'N'),(28,7200471,'1',103,'N'),(28,7200480,'1',450,'N'),(28,7200498,'1',552,'N'),(28,7200501,'1',216,'N'),(28,7200501,'1A',203,'N'),(28,7200528,'1',423,'N'),(28,7200528,'1A',428,'N'),(28,7200544,'1',103,'N'),(28,7200579,'1',454,'N'),(28,7200587,'1',216,'N'),(28,7200587,'1A',201,'N'),(28,7200595,'1',207,'N'),(28,7200595,'1A',211,'N'),(28,7200609,'1',5,'N'),(28,7200625,'1',108,'N'),(28,7200633,'1',207,'N'),(28,7200633,'1A',202,'N'),(28,7200641,'1',415,'N'),(28,7200650,'1',103,'N'),(28,7200684,'1',104,'N'),(28,7200692,'1',332,'N'),(28,7200706,'1',203,'N'),(28,7200706,'1A',214,'N'),(28,7200722,'1',235,'N'),(28,7200722,'1A',238,'N'),(28,7200730,'1',208,'N'),(28,7200749,'1',9,'N'),(28,7200757,'1',103,'N'),(28,7200765,'1',103,'N'),(28,7200773,'1',216,'N'),(28,7200773,'1A',201,'N'),(28,7200790,'1',213,'N'),(28,7200790,'1A',201,'N'),(28,7200811,'1',317,'N'),(28,7200820,'1',103,'N'),(28,7200846,'1',215,'N'),(28,7200846,'1A',211,'N'),(28,7200854,'1',216,'N'),(28,7200854,'1A',211,'N'),(28,7200862,'1',103,'N'),(28,7200870,'1',103,'N'),(28,7200889,'1',9,'N'),(28,7200897,'1',238,'N'),(28,7200897,'1A',201,'N'),(28,7200900,'1',201,'N'),(28,7200919,'1',233,'N'),(28,7200919,'1A',601,'N'),(28,7200927,'1',203,'N'),(28,7200927,'1A',214,'N'),(28,7200935,'1',102,'N'),(28,7200943,'1',103,'N'),(28,7200951,'1',303,'N'),(28,7200978,'1',238,'N'),(28,7200978,'1A',220,'N'),(28,7200986,'1',303,'N'),(28,7201001,'1',303,'N'),(28,7201010,'1',208,'N'),(28,7201036,'1',5,'N'),(28,7201044,'1',454,'N'),(28,7201052,'1',235,'N'),(28,7201052,'1A',238,'N'),(28,7201060,'1',5,'N'),(28,7201079,'1',103,'N'),(28,7201087,'1',552,'N'),(28,7201095,'1',501,'N'),(28,7201117,'1',108,'N'),(28,7201150,'1',310,'N'),(28,7201168,'1',103,'N'),(28,7201176,'1',108,'N'),(28,7201184,'1',340,'N'),(28,7201192,'1',108,'N'),(28,7201206,'1',337,'N'),(28,7201214,'1',207,'N'),(28,7201214,'1A',201,'N'),(28,7201230,'1',654,'N'),(28,7201257,'1',601,'N'),(28,7201265,'1',103,'N'),(28,7201273,'1',5,'N'),(28,7201281,'1',301,'N'),(28,7201290,'1',319,'N'),(28,7201303,'1',202,'N'),(28,7201303,'1A',220,'N'),(28,7201320,'1',316,'N'),(28,7201338,'1',653,'N'),(28,7201346,'1',502,'N'),(28,7201354,'1',301,'N'),(28,7201362,'1',103,'N'),(28,7201370,'1',336,'N'),(28,7201400,'1',502,'N'),(28,7201427,'1',104,'N'),(28,7201435,'1',303,'N'),(28,7201443,'1',502,'N'),(28,7201451,'1',201,'N'),(28,7201451,'1A',212,'N'),(28,7201460,'1',201,'N'),(28,7201460,'1A',212,'N'),(28,7201494,'1',653,'N'),(28,7201494,'1A',207,'N'),(28,7201508,'1',440,'N'),(28,7201516,'1',225,'N'),(28,7201524,'1',103,'N'),(28,7201540,'1',103,'N'),(28,7201559,'1',201,'N'),(28,7201559,'1A',207,'N'),(28,7201567,'1',304,'N'),(28,7201575,'1',340,'N'),(28,7201583,'1',552,'N'),(28,7201591,'1',654,'N'),(28,7201613,'1',308,'N'),(28,7201621,'1',201,'N'),(28,7201621,'1A',235,'N'),(28,7201630,'1',103,'N'),(28,7201648,'1',103,'N'),(28,7201656,'1',203,'N'),(28,7201656,'1A',235,'N'),(28,7201664,'1',9,'N'),(28,7201680,'1',319,'N'),(28,7201699,'1',109,'N'),(28,7201702,'1',103,'N'),(28,7201729,'1',415,'N'),(28,7201737,'1',308,'N'),(28,7201745,'1',425,'N'),(28,7201745,'1A',424,'N'),(28,7201753,'1',301,'N'),(28,7201770,'1',203,'N'),(28,7201770,'1A',238,'N'),(28,7201788,'1',103,'N'),(28,7201796,'1',441,'N'),(28,7201800,'1',415,'N'),(28,7201818,'1',103,'N'),(28,7201826,'1',552,'N'),(28,7201834,'1',326,'N'),(28,7201877,'1',9,'N'),(28,7201885,'1',303,'N'),(28,7201893,'1',203,'N'),(28,7201893,'1A',202,'N'),(28,7201907,'1',203,'N'),(28,7201907,'1A',235,'N'),(28,7201923,'1',415,'N'),(28,7201931,'1',215,'N'),(28,7201931,'1A',211,'N'),(28,7201940,'1',207,'N'),(28,7201940,'1A',215,'N'),(28,7201958,'1',502,'N'),(28,7201966,'1',501,'N'),(28,7201982,'1',108,'N'),(28,7202016,'1',201,'N'),(28,7202016,'1A',207,'N'),(28,7202024,'1',211,'N'),(28,7202024,'1A',212,'N'),(28,7202032,'1',999,'N'),(28,7202040,'1',220,'N'),(28,7202040,'1A',202,'N'),(28,7202075,'1',303,'N'),(28,7202083,'1',331,'N'),(28,7202091,'1',450,'N'),(28,7202105,'1',103,'N'),(28,7202113,'1',318,'N'),(28,7202130,'1',104,'N'),(28,7202148,'1',211,'N'),(28,7202148,'1A',238,'N'),(28,7202156,'1',302,'N'),(28,7202164,'1',201,'N'),(28,7202164,'1A',207,'N'),(28,7202172,'1',104,'N'),(28,7202180,'1',202,'N'),(28,7202180,'1A',201,'N'),(28,7202199,'1',426,'N'),(28,7202199,'1A',428,'N'),(28,7202210,'1',333,'N'),(28,7202229,'1',451,'N'),(28,7202237,'1',655,'N'),(28,7202237,'1A',653,'N'),(28,7202245,'1',333,'N'),(28,7202253,'1',340,'N'),(28,7202270,'1',5,'N'),(28,7202288,'1',319,'N'),(28,7202300,'1',316,'N'),(28,7202318,'1',109,'N'),(28,7202326,'1',214,'N'),(28,7202326,'1A',213,'N'),(28,7202334,'1',653,'N'),(28,7202334,'1A',207,'N'),(28,7202342,'1',336,'N'),(28,7202350,'1',552,'N'),(28,7202369,'1',201,'N'),(28,7202369,'1A',213,'N'),(28,7202377,'1',319,'N'),(28,7202385,'1',103,'N'),(28,7202393,'1',502,'N'),(28,7202407,'1',5,'N'),(28,7202415,'1',201,'N'),(28,7202415,'1A',207,'N'),(28,7202423,'1',203,'N'),(28,7202423,'1A',202,'N'),(28,7202431,'1',336,'N'),(28,7202440,'1',222,'N'),(28,7202458,'1',103,'N'),(28,7202466,'1',654,'N'),(28,7202474,'1',233,'N'),(28,7202474,'1A',211,'N'),(28,7202490,'1',216,'N'),(28,7202490,'1A',233,'N'),(28,7202504,'1',103,'N'),(28,7202520,'1',655,'N'),(28,7202520,'1A',653,'N'),(28,7202539,'1',454,'N'),(28,7202547,'1',103,'N'),(28,7202555,'1',304,'N'),(28,7202563,'1',333,'N'),(28,7202571,'1',340,'N'),(28,7202580,'1',207,'N'),(28,7202580,'1A',211,'N'),(28,7202598,'1',103,'N'),(28,7202601,'1',652,'N'),(28,7202601,'1A',238,'N'),(28,7202610,'1',103,'N'),(28,7202628,'1',103,'N'),(28,7202636,'1',601,'N'),(28,7202636,'1A',201,'N'),(28,7202644,'1',102,'N'),(28,7202652,'1',336,'N'),(28,7202660,'1',201,'N'),(28,7202660,'1A',213,'N'),(28,7202679,'1',207,'N'),(28,7202679,'1A',601,'N'),(28,7202687,'1',319,'N'),(28,7202695,'1',103,'N'),(28,7202709,'1',317,'N'),(28,7202733,'1',207,'N'),(28,7202733,'1A',215,'N'),(28,7202750,'1',223,'N'),(28,7202768,'1',103,'N'),(28,7202776,'1',216,'N'),(28,7202776,'1A',215,'N'),(28,7202784,'1',302,'N'),(28,7202792,'1',104,'N'),(28,7202806,'1',216,'N'),(28,7202806,'1A',202,'N'),(28,7202814,'1',238,'N'),(28,7202814,'1A',215,'N'),(28,7202822,'1',655,'N'),(28,7202822,'1A',653,'N'),(28,7202849,'1',103,'N'),(28,7202857,'1',202,'N'),(28,7202865,'1',103,'N'),(28,7202881,'1',201,'N'),(28,7202881,'1A',202,'N'),(28,7202890,'1',552,'N'),(28,7202903,'1',316,'N'),(28,7202911,'1',5,'N'),(28,7202920,'1',999,'N'),(28,7202938,'1',316,'N'),(28,7202946,'1',103,'N'),(28,7202954,'1',101,'N'),(28,7202962,'1',302,'N'),(28,7202970,'1',316,'N'),(28,7202989,'1',201,'N'),(28,7202989,'1A',215,'N'),(28,7202997,'1',104,'N'),(28,7203004,'1',324,'N'),(28,7203012,'1',233,'N'),(28,7203012,'1A',653,'N'),(28,7203020,'1',654,'N'),(28,7203039,'1',999,'N'),(28,7203047,'1',319,'N'),(28,7203055,'1',454,'N'),(28,7203063,'1',2,'N'),(28,7203071,'1',552,'N'),(28,7203080,'1',207,'N'),(28,7203098,'1',319,'N'),(28,7203101,'1',426,'N'),(28,7203101,'1A',429,'N'),(28,7203110,'1',207,'N'),(28,7203110,'1A',238,'N'),(28,7203136,'1',5,'N'),(28,7203144,'1',415,'N'),(28,7203152,'1',234,'N'),(28,7203160,'1',454,'N'),(28,7203179,'1',207,'N'),(28,7203195,'1',451,'N'),(28,7203209,'1',103,'N'),(28,7203217,'1',303,'N'),(28,7203225,'1',340,'N'),(28,7203233,'1',308,'N'),(28,7203241,'1',9,'N'),(28,7203250,'1',316,'N'),(28,7203268,'1',220,'N'),(28,7203268,'1A',215,'N'),(28,7203276,'1',324,'N'),(28,7203284,'1',103,'N'),(28,7203292,'1',303,'N'),(28,7203306,'1',601,'N'),(28,7203306,'1A',212,'N'),(28,7203314,'1',303,'N'),(28,7203357,'1',201,'N'),(28,7203357,'1A',212,'N'),(28,7203365,'1',999,'N'),(28,7203381,'1',214,'N'),(28,7203381,'1A',201,'N'),(28,7203390,'1',327,'N'),(28,7203403,'1',207,'N'),(28,7203411,'1',404,'N'),(28,7203420,'1',303,'N'),(28,7203438,'1',202,'N'),(28,7203438,'1A',653,'N'),(28,7203446,'1',302,'N'),(28,7203454,'1',340,'N'),(28,7203470,'1',108,'N'),(28,7203489,'1',333,'N'),(28,7203497,'1',211,'N'),(28,7203497,'1A',215,'N'),(28,7203500,'1',454,'N'),(28,7203519,'1',103,'N'),(28,7203527,'1',316,'N'),(28,7203543,'1',303,'N'),(28,7203551,'1',104,'N'),(28,7203560,'1',328,'N'),(28,7203578,'1',339,'N'),(28,7203586,'1',103,'N'),(28,7203594,'1',302,'N'),(28,7203608,'1',201,'N'),(28,7203608,'1A',207,'N'),(28,7203616,'1',102,'N'),(28,7203624,'1',427,'N'),(28,7203624,'1A',421,'N'),(28,7203632,'1',225,'N'),(28,7203640,'1',303,'N'),(28,7203659,'1',999,'N'),(28,7203667,'1',104,'N'),(28,7203675,'1',301,'N'),(28,7203683,'1',108,'N'),(28,7203691,'1',319,'N'),(28,7203705,'1',316,'N'),(28,7203713,'1',216,'N'),(28,7203721,'1',319,'N'),(28,7203730,'1',3,'N'),(28,7203748,'1',103,'N'),(28,7203756,'1',108,'N'),(28,7203764,'1',328,'N'),(28,7203772,'1',5,'N'),(28,7203780,'1',103,'N'),(28,7203799,'1',324,'N'),(28,7203802,'1',303,'N'),(28,7203810,'1',319,'N'),(28,7203829,'1',440,'N'),(28,7203837,'1',303,'N'),(28,7203845,'1',601,'N'),(28,7203853,'1',5,'N'),(28,7203870,'1',427,'N'),(28,7203870,'1A',423,'N'),(28,7203896,'1',501,'N'),(28,7203900,'1',201,'N'),(28,7203918,'1',336,'N'),(28,7203926,'1',317,'N'),(28,7203934,'1',454,'N'),(28,7203969,'1',102,'N'),(28,7203977,'1',450,'N'),(28,7203993,'1',415,'N'),(28,7204000,'1',220,'N'),(28,7204000,'1A',655,'N'),(28,7204019,'1',212,'N'),(28,7204043,'1',304,'N'),(28,7204051,'1',310,'N'),(28,7204060,'1',415,'N'),(28,7204086,'1',103,'N'),(28,7204094,'1',340,'N'),(28,7204108,'1',207,'N'),(28,7204116,'1',101,'N'),(28,7204132,'1',203,'N'),(28,7204132,'1A',202,'N'),(28,7204140,'1',999,'N'),(28,7204159,'1',302,'N'),(28,7204167,'1',104,'N'),(28,7204183,'1',103,'N'),(28,7204191,'1',340,'N'),(28,7204205,'1',108,'N'),(28,7204221,'1',303,'N'),(28,7204256,'1',101,'N'),(28,7204264,'1',202,'N'),(28,7204264,'1A',235,'N'),(28,7204272,'1',339,'N'),(28,7204302,'1',454,'N'),(28,7204329,'1',108,'N'),(28,7204337,'1',216,'N'),(28,7204337,'1A',653,'N'),(28,7204345,'1',999,'N'),(28,7204353,'1',319,'N'),(28,7204361,'1',205,'N'),(28,7204370,'1',316,'N'),(28,7204388,'1',653,'N'),(28,7204388,'1A',652,'N'),(28,7204396,'1',303,'N'),(28,7204400,'1',454,'N'),(28,7204426,'1',220,'N'),(28,7204426,'1A',216,'N'),(28,7204442,'1',207,'N'),(28,7204442,'1A',216,'N'),(28,7204450,'1',214,'N'),(28,7204450,'1A',213,'N'),(28,7204469,'1',319,'N'),(28,7204477,'1',652,'N'),(28,7204477,'1A',203,'N'),(28,7204485,'1',212,'N'),(28,7204485,'1A',213,'N'),(28,7204493,'1',309,'N'),(28,7204507,'1',303,'N'),(28,7204515,'1',328,'N'),(28,7204523,'1',208,'N'),(28,7204540,'1',319,'N'),(28,7204558,'1',501,'N'),(28,7204566,'1',103,'N'),(28,7204574,'1',340,'N'),(28,7204582,'1',336,'N'),(28,7204612,'1',104,'N'),(28,7204620,'1',429,'N'),(28,7204639,'1',301,'N'),(28,7204647,'1',454,'N'),(28,7204655,'1',103,'N'),(28,7204663,'1',5,'N'),(28,7204671,'1',203,'N'),(28,7204671,'1A',202,'N'),(28,7204680,'1',552,'N'),(28,7204710,'1',309,'N'),(28,7204728,'1',216,'N'),(28,7204736,'1',103,'N'),(28,7204744,'1',324,'N'),(28,7204752,'1',103,'N'),(28,7204760,'1',601,'N'),(28,7204760,'1A',202,'N'),(28,7204779,'1',454,'N'),(28,7204787,'1',223,'N'),(28,7204795,'1',999,'N'),(28,7204809,'1',103,'N'),(28,7204817,'1',103,'N'),(28,7204825,'1',601,'N'),(28,7204825,'1A',238,'N'),(28,7204833,'1',208,'N'),(28,7204841,'1',207,'N'),(28,7204841,'1A',201,'N'),(28,7204850,'1',103,'N'),(28,7204868,'1',103,'N'),(28,7204876,'1',337,'N'),(28,7204892,'1',318,'N'),(28,7204906,'1',316,'N'),(28,7204914,'1',333,'N'),(28,7204922,'1',552,'N'),(28,7204930,'1',551,'N'),(28,7204957,'1',339,'N'),(28,7204965,'1',207,'N'),(28,7204965,'1A',211,'N'),(28,7204973,'1',319,'N'),(28,7204981,'1',654,'N'),(28,7204990,'1',207,'N'),(28,7204990,'1A',201,'N'),(28,7205007,'1',103,'N'),(28,7205015,'1',102,'N'),(28,7205023,'1',103,'N'),(28,7205031,'1',108,'N'),(28,7205040,'1',601,'N'),(28,7205058,'1',103,'N'),(28,7205066,'1',203,'N'),(28,7205066,'1A',201,'N'),(28,7205074,'1',103,'N'),(28,7205082,'1',103,'N'),(28,7205090,'1',336,'N'),(28,7205104,'1',101,'N'),(28,7205112,'1',501,'N'),(28,7205120,'1',440,'N'),(28,7205147,'1',104,'N'),(28,7205155,'1',304,'N'),(28,7205163,'1',238,'N'),(28,7205171,'1',201,'N'),(28,7205171,'1A',216,'N'),(28,7205180,'1',318,'N'),(28,7205198,'1',103,'N'),(28,7205201,'1',211,'N'),(28,7205201,'1A',233,'N'),(28,7205210,'1',234,'N'),(28,7205228,'1',501,'N'),(28,7205236,'1',404,'N'),(28,7205244,'1',215,'N'),(28,7205244,'1A',216,'N'),(28,7205252,'1',303,'N'),(28,7205260,'1',201,'N'),(28,7205260,'1A',216,'N'),(28,7205279,'1',308,'N'),(28,7205295,'1',201,'N'),(28,7205295,'1A',212,'N'),(28,7205317,'1',103,'N'),(28,7205325,'1',316,'N'),(28,7205341,'1',425,'N'),(28,7205341,'1A',423,'N'),(28,7205350,'1',108,'N'),(28,7205368,'1',444,'N'),(28,7205376,'1',654,'N'),(28,7205384,'1',103,'N'),(28,7205392,'1',207,'N'),(28,7205392,'1A',201,'N'),(28,7205406,'1',103,'N'),(28,7205414,'1',238,'N'),(28,7205414,'1A',235,'N'),(28,7205422,'1',653,'N'),(28,7205422,'1A',655,'N'),(28,7205430,'1',214,'N'),(28,7205430,'1A',213,'N'),(28,7205449,'1',316,'N'),(28,7205457,'1',110,'N'),(28,7205465,'1',552,'N'),(28,7205481,'1',203,'N'),(28,7205481,'1A',202,'N'),(28,7205490,'1',428,'N'),(28,7205490,'1A',421,'N'),(28,7205503,'1',5,'N'),(28,7205520,'1',211,'N'),(28,7205520,'1A',233,'N'),(28,7205546,'1',309,'N'),(28,7205554,'1',654,'N'),(28,7205562,'1',234,'N'),(28,7205570,'1',5,'N'),(28,7205589,'1',201,'N'),(28,7205589,'1A',202,'N'),(28,7205597,'1',301,'N'),(28,7205600,'1',329,'N'),(28,7205619,'1',319,'N'),(28,7205627,'1',102,'N'),(28,7205635,'1',207,'N'),(28,7205635,'1A',211,'N'),(28,7205660,'1',103,'N'),(28,7205678,'1',215,'N'),(28,7205678,'1A',216,'N'),(28,7205686,'1',415,'N'),(28,7205694,'1',103,'N'),(28,7205708,'1',103,'N'),(28,7205716,'1',5,'N'),(28,7205724,'1',207,'N'),(28,7205724,'1A',212,'N'),(28,7205732,'1',103,'N'),(28,7205759,'1',415,'N'),(28,7205767,'1',104,'N'),(28,7205775,'1',502,'N'),(28,7205783,'1',216,'N'),(28,7205783,'1A',601,'N'),(28,7205791,'1',103,'N'),(28,7205805,'1',103,'N'),(28,7205813,'1',103,'N'),(28,7205821,'1',216,'N'),(28,7205821,'1A',653,'N'),(28,7205830,'1',301,'N'),(28,7205848,'1',329,'N'),(28,7205856,'1',303,'N'),(28,7205864,'1',212,'N'),(28,7205864,'1A',233,'N'),(28,7205880,'1',215,'N'),(28,7205880,'1A',216,'N'),(28,7205929,'1',5,'N'),(28,7205953,'1',404,'N'),(28,7205961,'1',5,'N'),(28,7205970,'1',108,'N'),(28,7205988,'1',207,'N'),(28,7205988,'1A',215,'N'),(28,7206003,'1',454,'N'),(28,7206020,'1',320,'N'),(28,7206038,'1',207,'N'),(28,7206038,'1A',201,'N'),(28,7206054,'1',109,'N'),(28,7206062,'1',302,'N'),(28,7206097,'1',340,'N'),(28,7206100,'1',103,'N'),(28,7206119,'1',214,'N'),(28,7206119,'1A',203,'N'),(28,7206127,'1',316,'N'),(28,7206135,'1',450,'N'),(28,7206143,'1',318,'N'),(28,7206151,'1',103,'N'),(28,7206160,'1',327,'N'),(28,7206178,'1',415,'N'),(28,7206186,'1',5,'N'),(28,7206194,'1',101,'N'),(28,7206208,'1',234,'N'),(28,7206216,'1',308,'N'),(28,7206224,'1',454,'N'),(28,7206232,'1',103,'N'),(28,7206240,'1',224,'N'),(28,7206259,'1',319,'N'),(28,7206267,'1',201,'N'),(28,7206275,'1',103,'N'),(28,7206283,'1',303,'N'),(28,7206305,'1',327,'N'),(28,7206313,'1',319,'N'),(28,7206321,'1',5,'N'),(28,7206330,'1',999,'N'),(28,7206348,'1',103,'N'),(28,7206356,'1',203,'N'),(28,7206356,'1A',233,'N'),(28,7206380,'1',316,'N'),(28,7206399,'1',208,'N'),(28,7206402,'1',316,'N'),(28,7206410,'1',102,'N'),(28,7206429,'1',211,'N'),(28,7206429,'1A',201,'N'),(28,7206437,'1',109,'N'),(28,7206445,'1',2,'N'),(28,7206453,'1',214,'N'),(28,7206453,'1A',601,'N'),(28,7206470,'1',328,'N'),(28,7206496,'1',108,'N'),(28,7206500,'1',340,'N'),(28,7206518,'1',404,'N'),(28,7206534,'1',208,'N'),(28,7206542,'1',201,'N'),(28,7206542,'1A',212,'N'),(28,7206550,'1',319,'N'),(28,7206569,'1',309,'N'),(28,7206577,'1',103,'N'),(28,7206585,'1',108,'N'),(28,7206593,'1',340,'N'),(28,7206607,'1',653,'N'),(28,7206607,'1A',202,'N'),(28,7206615,'1',450,'N'),(28,7206623,'1',9,'N'),(28,7206631,'1',103,'N'),(28,7206658,'1',109,'N'),(28,7206666,'1',444,'N'),(28,7206674,'1',203,'N'),(28,7206674,'1A',220,'N'),(28,7206704,'1',103,'N'),(28,7206720,'1',332,'N'),(28,7206739,'1',301,'N'),(28,7206747,'1',207,'N'),(28,7206747,'1A',212,'N'),(28,7206755,'1',103,'N'),(28,7206763,'1',302,'N'),(28,7206780,'1',999,'N'),(28,7206798,'1',103,'N'),(28,7206810,'1',214,'N'),(28,7206810,'1A',212,'N'),(28,7206828,'1',329,'N'),(28,7206844,'1',304,'N'),(28,7206852,'1',225,'N'),(28,7206860,'1',103,'N'),(28,7206887,'1',326,'N'),(28,7206895,'1',301,'N'),(28,7206909,'1',103,'N'),(28,7206925,'1',454,'N'),(28,7206933,'1',331,'N'),(28,7206968,'1',203,'N'),(28,7206968,'1A',214,'N'),(28,7206976,'1',333,'N'),(28,7206984,'1',216,'N'),(28,7206984,'1A',201,'N'),(28,7206992,'1',211,'N'),(28,7206992,'1A',201,'N'),(28,7207034,'1',415,'N'),(28,7207042,'1',202,'N'),(28,7207042,'1A',213,'N'),(28,7207050,'1',319,'N'),(28,7207069,'1',316,'N'),(28,7207085,'1',103,'N'),(28,7207093,'1',103,'N'),(28,7207107,'1',340,'N'),(28,7207115,'1',216,'N'),(28,7207115,'1A',211,'N'),(28,7207123,'1',101,'N'),(28,7207131,'1',103,'N'),(28,7207140,'1',301,'N'),(28,7207158,'1',454,'N'),(28,7207166,'1',238,'N'),(28,7207166,'1A',215,'N'),(28,7207174,'1',319,'N'),(28,7207182,'1',450,'N'),(28,7207190,'1',104,'N'),(28,7207204,'1',335,'N'),(28,7207212,'1',203,'N'),(28,7207212,'1A',233,'N'),(28,7207220,'1',208,'N'),(28,7207247,'1',454,'N'),(28,7207255,'1',207,'N'),(28,7207255,'1A',215,'N'),(28,7207263,'1',103,'N'),(28,7207271,'1',317,'N'),(28,7207280,'1',303,'N'),(28,7207298,'1',103,'N'),(28,7207301,'1',429,'N'),(28,7207301,'1A',425,'N'),(28,7207310,'1',238,'N'),(28,7207328,'1',109,'N'),(28,7207336,'1',201,'N'),(28,7207336,'1A',211,'N'),(28,7207344,'1',5,'N'),(28,7207352,'1',454,'N'),(28,7207360,'1',319,'N'),(28,7207379,'1',551,'N'),(28,7207387,'1',207,'N'),(28,7207387,'1A',201,'N'),(28,7207395,'1',201,'N'),(28,7207395,'1A',212,'N'),(28,7207409,'1',404,'N'),(28,7207417,'1',502,'N'),(28,7207425,'1',201,'N'),(28,7207425,'1A',202,'N'),(28,7207441,'1',308,'N'),(28,7207450,'1',440,'N'),(28,7207468,'1',324,'N'),(28,7207484,'1',551,'N'),(28,7207492,'1',211,'N'),(28,7207492,'1A',201,'N'),(28,7207506,'1',655,'N'),(28,7207506,'1A',652,'N'),(28,7207530,'1',201,'N'),(28,7207530,'1A',207,'N'),(28,7207549,'1',203,'N'),(28,7207549,'1A',201,'N'),(28,7207565,'1',451,'N'),(28,7207581,'1',201,'N'),(28,7207581,'1A',212,'N'),(28,7207590,'1',201,'N'),(28,7207590,'1A',235,'N'),(28,7207603,'1',203,'N'),(28,7207603,'1A',202,'N'),(28,7207611,'1',301,'N'),(28,7207620,'1',304,'N'),(28,7207638,'1',103,'N'),(28,7207646,'1',444,'N'),(28,7207654,'1',501,'N'),(28,7207670,'1',404,'N'),(28,7207689,'1',552,'N'),(28,7207697,'1',999,'N'),(28,7207700,'1',601,'N'),(28,7207700,'1A',201,'N'),(28,7207719,'1',203,'N'),(28,7207719,'1A',220,'N'),(28,7207727,'1',304,'N'),(28,7207735,'1',103,'N'),(28,7207743,'1',340,'N'),(28,7207751,'1',104,'N'),(28,7207760,'1',238,'N'),(28,7207760,'1A',213,'N'),(28,7207778,'1',316,'N'),(28,7207786,'1',215,'N'),(28,7207786,'1A',216,'N'),(28,7207794,'1',302,'N'),(28,7207808,'1',214,'N'),(28,7207808,'1A',211,'N'),(28,7207816,'1',103,'N'),(28,7207824,'1',653,'N'),(28,7207824,'1A',202,'N'),(28,7207832,'1',103,'N'),(28,7207840,'1',103,'N'),(28,7207859,'1',424,'N'),(28,7207859,'1A',423,'N'),(28,7207867,'1',319,'N'),(28,7207875,'1',103,'N'),(28,7207891,'1',103,'N'),(28,7207913,'1',202,'N'),(28,7207913,'1A',220,'N'),(28,7207921,'1',108,'N'),(28,7207948,'1',316,'N'),(28,7207956,'1',303,'N'),(28,7207972,'1',999,'N'),(28,7207980,'1',303,'N'),(28,7207999,'1',551,'N'),(28,7208006,'1',9,'N'),(28,7208022,'1',103,'N'),(28,7208030,'1',301,'N'),(28,7208049,'1',301,'N'),(28,7208057,'1',415,'N'),(28,7208073,'1',302,'N'),(28,7208081,'1',340,'N'),(28,7208090,'1',601,'N'),(28,7208090,'1A',215,'N'),(28,7208103,'1',207,'N'),(28,7208103,'1A',211,'N'),(28,7208138,'1',337,'N'),(28,7208146,'1',336,'N'),(28,7208154,'1',103,'N'),(28,7208162,'1',333,'N'),(28,7208170,'1',103,'N'),(28,7208189,'1',235,'N'),(28,7208189,'1A',202,'N'),(28,7208197,'1',104,'N'),(28,7208219,'1',316,'N'),(28,7208227,'1',207,'N'),(28,7208227,'1A',211,'N'),(28,7208235,'1',340,'N'),(28,7208243,'1',202,'N'),(28,7208243,'1A',201,'N'),(28,7208251,'1',103,'N'),(28,7208260,'1',238,'N'),(28,7208260,'1A',652,'N'),(28,7208286,'1',316,'N'),(28,7208294,'1',103,'N'),(28,7208316,'1',103,'N'),(28,7208324,'1',601,'N'),(28,7208324,'1A',202,'N'),(28,7208332,'1',319,'N'),(28,7208340,'1',9,'N'),(28,7208359,'1',331,'N'),(28,7208367,'1',108,'N'),(28,7208375,'1',202,'N'),(28,7208375,'1A',213,'N'),(28,7208383,'1',220,'N'),(28,7208383,'1A',203,'N'),(28,7208391,'1',450,'N'),(28,7208430,'1',103,'N'),(28,7208448,'1',103,'N'),(28,7208456,'1',238,'N'),(28,7208456,'1A',220,'N'),(28,7208472,'1',5,'N'),(28,7208480,'1',103,'N'),(28,7208502,'1',103,'N'),(28,7208510,'1',103,'N'),(28,7208529,'1',999,'N'),(28,7208537,'1',319,'N'),(28,7208545,'1',309,'N'),(28,7208553,'1',101,'N'),(28,7208570,'1',202,'N'),(28,7208570,'1A',203,'N'),(28,7208588,'1',207,'N'),(28,7208588,'1A',201,'N'),(28,7208596,'1',301,'N'),(28,7208600,'1',203,'N'),(28,7208600,'1A',220,'N'),(28,7208618,'1',303,'N'),(28,7208626,'1',201,'N'),(28,7208626,'1A',233,'N'),(28,7208634,'1',213,'N'),(28,7208634,'1A',601,'N'),(28,7208642,'1',104,'N'),(28,7208650,'1',103,'N'),(28,7208677,'1',999,'N'),(28,7208685,'1',103,'N'),(28,7208693,'1',103,'N'),(28,7208707,'1',103,'N'),(28,7208715,'1',102,'N'),(28,7208723,'1',207,'N'),(28,7208723,'1A',201,'N'),(28,7208731,'1',103,'N'),(28,7208740,'1',999,'N'),(28,7208758,'1',454,'N'),(28,7208766,'1',999,'N'),(28,7208774,'1',319,'N'),(28,7208782,'1',302,'N'),(28,7208790,'1',103,'N'),(28,7208804,'1',103,'N'),(28,7208820,'1',339,'N'),(28,7208847,'1',552,'N'),(28,7208863,'1',552,'N'),(28,7208871,'1',454,'N'),(28,7208898,'1',2,'N'),(28,7208901,'1',104,'N'),(28,7208910,'1',9,'N'),(28,7208928,'1',103,'N'),(28,7208936,'1',108,'N'),(28,7208944,'1',207,'N'),(28,7208944,'1A',201,'N'),(28,7208952,'1',104,'N'),(28,7208979,'1',101,'N'),(28,7208995,'1',103,'N'),(28,7209002,'1',103,'N'),(28,7209037,'1',211,'N'),(28,7209045,'1',340,'N'),(28,7209053,'1',207,'N'),(28,7209053,'1A',201,'N'),(28,7209061,'1',308,'N'),(28,7209070,'1',423,'N'),(28,7209088,'1',302,'N'),(28,7209096,'1',216,'N'),(28,7209096,'1A',215,'N'),(28,7209126,'1',103,'N'),(28,7209134,'1',308,'N'),(28,7209142,'1',202,'N'),(28,7209142,'1A',653,'N'),(28,7209150,'1',216,'N'),(28,7209150,'1A',202,'N'),(28,7209169,'1',5,'N'),(28,7209193,'1',103,'N'),(28,7209207,'1',220,'N'),(28,7209207,'1A',201,'N'),(28,7209215,'1',415,'N'),(28,7209223,'1',207,'N'),(28,7209223,'1A',601,'N'),(28,7209231,'1',653,'N'),(28,7209231,'1A',655,'N'),(28,7209240,'1',211,'N'),(28,7209240,'1A',216,'N'),(28,7209258,'1',103,'N'),(28,7209266,'1',207,'N'),(28,7209266,'1A',201,'N'),(28,7209304,'1',339,'N'),(28,7209312,'1',551,'N'),(28,7209320,'1',316,'N'),(28,7209339,'1',207,'N'),(28,7209339,'1A',201,'N'),(28,7209347,'1',234,'N'),(28,7209355,'1',337,'N'),(28,7209363,'1',201,'N'),(28,7209363,'1A',211,'N'),(28,7209371,'1',103,'N'),(28,7209380,'1',103,'N'),(28,7209398,'1',207,'N'),(28,7209398,'1A',238,'N'),(28,7209401,'1',450,'N'),(28,7209436,'1',340,'N'),(28,7209444,'1',324,'N'),(28,7209452,'1',108,'N'),(28,7209460,'1',213,'N'),(28,7209460,'1A',214,'N'),(28,7209479,'1',653,'N'),(28,7209479,'1A',655,'N'),(28,7209487,'1',103,'N'),(28,7209495,'1',203,'N'),(28,7209495,'1A',201,'N'),(28,7209509,'1',103,'N'),(28,7209517,'1',5,'N'),(28,7209525,'1',9,'N'),(28,7209541,'1',450,'N'),(28,7209550,'1',203,'N'),(28,7209550,'1A',214,'N'),(28,7209568,'1',502,'N'),(28,7209576,'1',214,'N'),(28,7209576,'1A',212,'N'),(28,7209584,'1',308,'N'),(28,7209592,'1',207,'N'),(28,7209592,'1A',201,'N'),(28,7209606,'1',103,'N'),(28,7209614,'1',5,'N'),(28,7209622,'1',103,'N'),(28,7209630,'1',303,'N'),(28,7209657,'1',653,'N'),(28,7209665,'1',301,'N'),(28,7209673,'1',655,'N'),(28,7209673,'1A',238,'N'),(28,7209690,'1',317,'N'),(28,7209703,'1',103,'N'),(28,7209720,'1',211,'N'),(28,7209720,'1A',213,'N'),(28,7209738,'1',207,'N'),(28,7209738,'1A',215,'N'),(28,7209746,'1',303,'N'),(28,7209754,'1',653,'N'),(28,7209754,'1A',652,'N'),(28,7209762,'1',203,'N'),(28,7209762,'1A',214,'N'),(28,7209789,'1',415,'N'),(28,7209797,'1',103,'N'),(28,7209800,'1',601,'N'),(28,7209800,'1A',207,'N'),(28,7209819,'1',999,'N'),(28,7209827,'1',9,'N'),(28,7209835,'1',301,'N'),(28,7209878,'1',308,'N'),(28,7209886,'1',104,'N'),(28,7209908,'1',212,'N'),(28,7209908,'1A',213,'N'),(28,7209916,'1',103,'N'),(28,7209932,'1',233,'N'),(28,7209932,'1A',215,'N'),(28,7209940,'1',454,'N'),(28,7209967,'1',327,'N'),(28,7209975,'1',340,'N'),(28,7209983,'1',303,'N'),(28,7209991,'1',216,'N'),(28,7209991,'1A',207,'N'),(28,7210000,'1',316,'N'),(28,7210019,'1',999,'N'),(28,7210043,'1',340,'N'),(28,7210060,'1',216,'N'),(28,7210060,'1A',202,'N'),(28,7210078,'1',451,'N'),(28,7210086,'1',216,'N'),(28,7210086,'1A',215,'N'),(28,7210094,'1',454,'N'),(28,7210108,'1',201,'N'),(28,7210108,'1A',207,'N'),(28,7210116,'1',238,'N'),(28,7210116,'1A',233,'N'),(28,7210124,'1',309,'N'),(28,7210132,'1',303,'N'),(28,7210140,'1',103,'N'),(28,7210159,'1',316,'N'),(28,7210167,'1',207,'N'),(28,7210167,'1A',215,'N'),(28,7210175,'1',223,'N'),(28,7210183,'1',301,'N'),(28,7210191,'1',203,'N'),(28,7210191,'1A',653,'N'),(28,7210205,'1',999,'N'),(28,7210213,'1',103,'N'),(28,7210221,'1',103,'N'),(28,7210230,'1',652,'N'),(28,7210230,'1A',655,'N'),(28,7210248,'1',233,'N'),(28,7210248,'1A',216,'N'),(28,7210264,'1',103,'N'),(28,7210272,'1',5,'N'),(28,7210280,'1',220,'N'),(28,7210280,'1A',655,'N'),(28,7210299,'1',444,'N'),(28,7210302,'1',207,'N'),(28,7210302,'1A',215,'N'),(28,7210310,'1',653,'N'),(28,7210310,'1A',207,'N'),(28,7210337,'1',103,'N'),(28,7210345,'1',203,'N'),(28,7210345,'1A',220,'N'),(28,7210353,'1',201,'N'),(28,7210353,'1A',207,'N'),(28,7210361,'1',101,'N'),(28,7210370,'1',3,'N'),(28,7210388,'1',103,'N'),(28,7210396,'1',303,'N'),(28,7210400,'1',551,'N'),(28,7210418,'1',303,'N'),(28,7210426,'1',211,'N'),(28,7210426,'1A',653,'N'),(28,7210434,'1',103,'N'),(28,7210442,'1',103,'N'),(28,7210450,'1',202,'N'),(28,7210450,'1A',201,'N'),(28,7210469,'1',340,'N'),(28,7210485,'1',454,'N'),(28,7210493,'1',109,'N'),(28,7210507,'1',103,'N'),(28,7210515,'1',103,'N'),(28,7210523,'1',303,'N'),(28,7210531,'1',335,'N'),(28,7210540,'1',103,'N'),(28,7210558,'1',601,'N'),(28,7210558,'1A',201,'N'),(28,7210566,'1',999,'N'),(28,7210574,'1',238,'N'),(28,7210574,'1A',655,'N'),(28,7210582,'1',336,'N'),(28,7210590,'1',211,'N'),(28,7210604,'1',303,'N'),(28,7210612,'1',101,'N'),(28,7210620,'1',103,'N'),(28,7210639,'1',201,'N'),(28,7210639,'1A',211,'N'),(28,7210655,'1',101,'N'),(28,7210663,'1',451,'N'),(28,7210671,'1',601,'N'),(28,7210671,'1A',233,'N'),(28,7210680,'1',5,'N'),(28,7210701,'1',216,'N'),(28,7210701,'1A',211,'N'),(28,7210710,'1',5,'N'),(28,7210728,'1',201,'N'),(28,7210728,'1A',202,'N'),(28,7210736,'1',303,'N'),(28,7210744,'1',316,'N'),(28,7210760,'1',340,'N'),(28,7210787,'1',211,'N'),(28,7210787,'1A',214,'N'),(28,7210795,'1',212,'N'),(28,7210795,'1A',601,'N'),(28,7210809,'1',103,'N'),(28,7210817,'1',203,'N'),(28,7210817,'1A',235,'N'),(28,7210833,'1',202,'N'),(28,7210833,'1A',216,'N'),(28,7210841,'1',203,'N'),(28,7210841,'1A',233,'N'),(28,7210850,'1',216,'N'),(28,7210850,'1A',215,'N'),(28,7210914,'1',102,'N'),(28,7210922,'1',103,'N'),(28,7210930,'1',203,'N'),(28,7210930,'1A',214,'N'),(28,7210949,'1',404,'N'),(28,7210957,'1',103,'N'),(28,7210965,'1',999,'N'),(28,7210973,'1',502,'N'),(28,7211015,'1',103,'N'),(28,7211023,'1',203,'N'),(28,7211023,'1A',238,'N'),(28,7211031,'1',303,'N'),(28,7211058,'1',203,'N'),(28,7211058,'1A',233,'N'),(28,7211066,'1',216,'N'),(28,7211066,'1A',233,'N'),(28,7211074,'1',303,'N'),(28,7211082,'1',5,'N'),(28,7211090,'1',454,'N'),(28,7211112,'1',318,'N'),(28,7211120,'1',5,'N'),(28,7211139,'1',103,'N'),(28,7211147,'1',201,'N'),(28,7211147,'1A',601,'N'),(28,7211155,'1',202,'N'),(28,7211155,'1A',201,'N'),(28,7211163,'1',201,'N'),(28,7211163,'1A',207,'N'),(28,7211171,'1',502,'N'),(28,7211180,'1',101,'N'),(28,7211198,'1',451,'N'),(28,7211201,'1',207,'N'),(28,7211201,'1A',201,'N'),(28,7211228,'1',103,'N'),(28,7211236,'1',109,'N'),(28,7211244,'1',203,'N'),(28,7211244,'1A',238,'N'),(28,7211252,'1',454,'N'),(28,7211260,'1',601,'N'),(28,7211260,'1A',233,'N'),(28,7211279,'1',317,'N'),(28,7211287,'1',9,'N'),(28,7211309,'1',404,'N'),(28,7211317,'1',103,'N'),(28,7211333,'1',317,'N'),(28,7211341,'1',302,'N'),(28,7211350,'1',309,'N'),(28,7211368,'1',303,'N'),(28,7211384,'1',404,'N'),(28,7211392,'1',303,'N'),(28,7211406,'1',215,'N'),(28,7211406,'1A',201,'N'),(28,7211414,'1',216,'N'),(28,7211414,'1A',214,'N'),(28,7211465,'1',104,'N'),(28,7211473,'1',235,'N'),(28,7211473,'1A',213,'N'),(28,7211481,'1',301,'N'),(28,7211490,'1',316,'N'),(28,7211503,'1',5,'N'),(28,7211511,'1',601,'N'),(28,7211520,'1',301,'N'),(28,7211538,'1',207,'N'),(28,7211538,'1A',211,'N'),(28,7211546,'1',207,'N'),(28,7211546,'1A',201,'N'),(28,7211554,'1',316,'N'),(28,7211562,'1',319,'N'),(28,7211570,'1',340,'N'),(28,7211589,'1',103,'N'),(28,7211597,'1',339,'N'),(28,7211600,'1',601,'N'),(28,7211619,'1',303,'N'),(28,7211627,'1',454,'N'),(28,7211635,'1',109,'N'),(28,7211643,'1',201,'N'),(28,7211643,'1A',203,'N'),(28,7211651,'1',301,'N'),(28,7211660,'1',201,'N'),(28,7211660,'1A',207,'N'),(28,7211678,'1',103,'N'),(28,7211686,'1',103,'N'),(28,7211694,'1',103,'N'),(28,7211708,'1',428,'N'),(28,7211708,'1A',425,'N'),(28,7211716,'1',201,'N'),(28,7211716,'1A',212,'N'),(28,7211724,'1',201,'N'),(28,7211724,'1A',216,'N'),(28,7211732,'1',301,'N'),(28,7211759,'1',340,'N'),(28,7211775,'1',454,'N'),(28,7211783,'1',211,'N'),(28,7211783,'1A',207,'N'),(28,7211805,'1',215,'N'),(28,7211805,'1A',216,'N'),(28,7211813,'1',103,'N'),(28,7211821,'1',3,'N'),(28,7211848,'1',333,'N'),(28,7211856,'1',551,'N'),(28,7211864,'1',103,'N'),(28,7211872,'1',316,'N'),(28,7211880,'1',303,'N'),(28,7211899,'1',207,'N'),(28,7211899,'1A',233,'N'),(28,7211902,'1',308,'N'),(28,7211910,'1',444,'N'),(28,7211945,'1',207,'N'),(28,7211961,'1',5,'N'),(28,7211970,'1',303,'N'),(28,7211996,'1',601,'N'),(28,7211996,'1A',213,'N'),(28,7212003,'1',424,'N'),(28,7212003,'1A',428,'N'),(28,7212038,'1',203,'N'),(28,7212038,'1A',214,'N'),(28,7212054,'1',340,'N'),(28,7212062,'1',340,'N'),(28,7212070,'1',216,'N'),(28,7212070,'1A',220,'N'),(28,7212097,'1',201,'N'),(28,7212097,'1A',207,'N'),(28,7212100,'1',103,'N'),(28,7212127,'1',216,'N'),(28,7212127,'1A',211,'N'),(28,7212135,'1',208,'N'),(28,7212151,'1',5,'N'),(28,7212160,'1',316,'N'),(28,7212186,'1',213,'N'),(28,7212186,'1A',235,'N'),(28,7212194,'1',103,'N'),(28,7212216,'1',320,'N'),(28,7212232,'1',203,'N'),(28,7212232,'1A',201,'N'),(28,7212240,'1',103,'N'),(28,7212275,'1',326,'N'),(28,7212291,'1',203,'N'),(28,7212291,'1A',214,'N'),(28,7212305,'1',999,'N'),(28,7212313,'1',201,'N'),(28,7212313,'1A',235,'N'),(28,7212321,'1',5,'N'),(28,7212348,'1',317,'N'),(28,7212356,'1',211,'N'),(28,7212356,'1A',215,'N'),(28,7212364,'1',213,'N'),(28,7212364,'1A',202,'N'),(28,7212372,'1',5,'N'),(28,7212380,'1',5,'N'),(28,7212399,'1',653,'N'),(28,7212399,'1A',216,'N'),(28,7212402,'1',201,'N'),(28,7212402,'1A',207,'N'),(28,7212410,'1',501,'N'),(28,7212429,'1',201,'N'),(28,7212429,'1A',207,'N'),(28,7212453,'1',415,'N'),(28,7212461,'1',551,'N'),(28,7212470,'1',329,'N'),(28,7212496,'1',340,'N'),(28,7212500,'1',5,'N'),(28,7212518,'1',235,'N'),(28,7212518,'1A',203,'N'),(28,7212526,'1',303,'N'),(28,7212534,'1',302,'N'),(28,7212542,'1',332,'N'),(28,7212569,'1',211,'N'),(28,7212569,'1A',216,'N'),(28,7212577,'1',552,'N'),(28,7212585,'1',220,'N'),(28,7212585,'1A',203,'N'),(28,7212593,'1',103,'N'),(28,7212607,'1',104,'N'),(28,7212623,'1',203,'N'),(28,7212623,'1A',214,'N'),(28,7212631,'1',201,'N'),(28,7212631,'1A',202,'N'),(28,7212640,'1',319,'N'),(28,7212658,'1',426,'N'),(28,7212658,'1A',421,'N'),(28,7212682,'1',207,'N'),(28,7212682,'1A',215,'N'),(28,7212690,'1',103,'N'),(28,7212704,'1',5,'N'),(28,7212712,'1',502,'N'),(28,7212720,'1',103,'N'),(28,7212739,'1',220,'N'),(28,7212739,'1A',235,'N'),(28,7212747,'1',102,'N'),(28,7212755,'1',103,'N'),(28,7212798,'1',201,'N'),(28,7212798,'1A',601,'N'),(28,7212801,'1',425,'N'),(28,7212810,'1',316,'N'),(28,7212828,'1',601,'N'),(28,7212828,'1A',202,'N'),(28,7212836,'1',103,'N'),(28,7212860,'1',309,'N'),(28,7212879,'1',214,'N'),(28,7212879,'1A',213,'N'),(28,7212909,'1',108,'N'),(28,7212917,'1',318,'N'),(28,7212925,'1',103,'N'),(28,7212933,'1',320,'N'),(28,7212941,'1',303,'N'),(28,7212950,'1',319,'N'),(28,7212984,'1',207,'N'),(28,7212984,'1A',201,'N'),(28,7212992,'1',214,'N'),(28,7212992,'1A',601,'N'),(28,7213000,'1',317,'N'),(28,7213018,'1',301,'N'),(28,7213026,'1',415,'N'),(28,7213042,'1',101,'N'),(28,7213050,'1',655,'N'),(28,7213050,'1A',652,'N'),(28,7213077,'1',301,'N'),(28,7213085,'1',316,'N'),(28,7213093,'1',308,'N'),(28,7213115,'1',222,'N'),(28,7213123,'1',5,'N'),(28,7213131,'1',201,'N'),(28,7213131,'1A',202,'N'),(28,7213140,'1',318,'N'),(28,7213158,'1',317,'N'),(28,7213174,'1',9,'N'),(28,7213182,'1',238,'N'),(28,7213182,'1A',203,'N'),(28,7213190,'1',101,'N'),(28,7213204,'1',201,'N'),(28,7213204,'1A',207,'N'),(28,7213212,'1',103,'N'),(28,7213220,'1',103,'N'),(28,7213239,'1',336,'N'),(28,7213255,'1',318,'N'),(28,7213263,'1',203,'N'),(28,7213263,'1A',214,'N'),(28,7213271,'1',331,'N'),(28,7213298,'1',303,'N'),(28,7213301,'1',415,'N'),(28,7213310,'1',601,'N'),(28,7213310,'1A',201,'N'),(28,7213328,'1',5,'N'),(28,7213360,'1',999,'N'),(28,7213387,'1',415,'N'),(28,7213395,'1',208,'N'),(28,7213417,'1',203,'N'),(28,7213417,'1A',214,'N'),(28,7213425,'1',428,'N'),(28,7213425,'1A',426,'N'),(28,7213433,'1',203,'N'),(28,7213433,'1A',202,'N'),(28,7213441,'1',5,'N'),(28,7213450,'1',201,'N'),(28,7213450,'1A',202,'N'),(28,7213468,'1',238,'N'),(28,7213468,'1A',652,'N'),(28,7213476,'1',302,'N'),(28,7213484,'1',238,'N'),(28,7213484,'1A',653,'N'),(28,7213492,'1',336,'N'),(28,7213506,'1',235,'N'),(28,7213506,'1A',203,'N'),(28,7213522,'1',214,'N'),(28,7213522,'1A',213,'N'),(28,7213557,'1',103,'N'),(28,7213565,'1',109,'N'),(28,7213573,'1',201,'N'),(28,7213573,'1A',238,'N'),(28,7213590,'1',104,'N'),(28,7213603,'1',327,'N'),(28,7213620,'1',216,'N'),(28,7213620,'1A',215,'N'),(28,7213638,'1',319,'N'),(28,7213646,'1',103,'N'),(28,7213654,'1',301,'N'),(28,7213662,'1',109,'N'),(28,7213689,'1',404,'N'),(28,7213697,'1',319,'N'),(28,7213700,'1',201,'N'),(28,7213700,'1A',233,'N'),(28,7213719,'1',340,'N'),(28,7213743,'1',552,'N'),(28,7213751,'1',103,'N'),(28,7213760,'1',103,'N'),(28,7213778,'1',310,'N'),(28,7213786,'1',211,'N'),(28,7213786,'1A',207,'N'),(28,7213808,'1',415,'N'),(28,7213816,'1',212,'N'),(28,7213816,'1A',214,'N'),(28,7213824,'1',212,'N'),(28,7213824,'1A',601,'N'),(28,7213832,'1',450,'N'),(28,7213840,'1',316,'N'),(28,7213859,'1',415,'N'),(28,7213875,'1',202,'N'),(28,7213875,'1A',653,'N'),(28,7213883,'1',551,'N'),(28,7213891,'1',212,'N'),(28,7213913,'1',208,'N'),(28,7213921,'1',5,'N'),(28,7213930,'1',101,'N'),(28,7213948,'1',103,'N'),(28,7213956,'1',327,'N'),(28,7213972,'1',404,'N'),(28,7213980,'1',223,'N'),(28,7213999,'1',101,'N'),(28,7214006,'1',654,'N'),(28,7214014,'1',108,'N'),(28,7214022,'1',108,'N'),(28,7214030,'1',238,'N'),(28,7214030,'1A',215,'N'),(28,7214049,'1',316,'N'),(28,7214057,'1',404,'N'),(28,7214065,'1',319,'N'),(28,7214081,'1',316,'N'),(28,7214090,'1',207,'N'),(28,7214090,'1A',216,'N'),(28,7214103,'1',340,'N'),(28,7214111,'1',324,'N'),(28,7214120,'1',238,'N'),(28,7214120,'1A',655,'N'),(28,7214146,'1',319,'N'),(28,7214162,'1',5,'N'),(28,7214170,'1',220,'N'),(28,7214170,'1A',203,'N'),(28,7214189,'1',104,'N'),(28,7214197,'1',103,'N'),(28,7214200,'1',207,'N'),(28,7214200,'1A',201,'N'),(28,7214219,'1',220,'N'),(28,7214219,'1A',201,'N'),(28,7214243,'1',201,'N'),(28,7214243,'1A',211,'N'),(28,7214251,'1',201,'N'),(28,7214260,'1',207,'N'),(28,7214260,'1A',212,'N'),(28,7214278,'1',5,'N'),(28,7214294,'1',5,'N'),(28,7214308,'1',303,'N'),(28,7214316,'1',316,'N'),(28,7214324,'1',104,'N'),(28,7214332,'1',110,'N'),(28,7214340,'1',454,'N'),(28,7214359,'1',101,'N'),(28,7214367,'1',103,'N'),(28,7214375,'1',333,'N'),(28,7214383,'1',103,'N'),(28,7214391,'1',999,'N'),(28,7214405,'1',201,'N'),(28,7214405,'1A',213,'N'),(28,7214413,'1',319,'N'),(28,7214430,'1',201,'N'),(28,7214430,'1A',601,'N'),(28,7214448,'1',203,'N'),(28,7214448,'1A',214,'N'),(28,7214456,'1',316,'N'),(28,7214464,'1',208,'N'),(28,7214472,'1',319,'N'),(28,7214480,'1',220,'N'),(28,7214480,'1A',238,'N'),(28,7214499,'1',655,'N'),(28,7214499,'1A',652,'N'),(28,7214502,'1',331,'N'),(28,7214510,'1',319,'N'),(28,7214529,'1',103,'N'),(28,7214537,'1',207,'N'),(28,7214545,'1',103,'N'),(28,7214553,'1',304,'N'),(28,7214561,'1',444,'N'),(28,7214570,'1',302,'N'),(28,7214588,'1',207,'N'),(28,7214588,'1A',201,'N'),(28,7214596,'1',216,'N'),(28,7214596,'1A',233,'N'),(28,7214600,'1',318,'N'),(28,7214626,'1',109,'N'),(28,7214634,'1',999,'N'),(28,7214642,'1',310,'N'),(28,7214650,'1',601,'N'),(28,7214650,'1A',201,'N'),(28,7214669,'1',339,'N'),(28,7214677,'1',102,'N'),(28,7214685,'1',102,'N'),(28,7214715,'1',333,'N'),(28,7214723,'1',340,'N'),(28,7214740,'1',318,'N'),(28,7214758,'1',103,'N'),(28,7214774,'1',205,'N'),(28,7214782,'1',340,'N'),(28,7214790,'1',318,'N'),(28,7214812,'1',336,'N'),(28,7214820,'1',999,'N'),(28,7214839,'1',214,'N'),(28,7214839,'1A',213,'N'),(28,7214847,'1',317,'N'),(28,7214855,'1',104,'N'),(28,7214863,'1',103,'N'),(28,7214871,'1',303,'N'),(28,7214880,'1',207,'N'),(28,7214880,'1A',201,'N'),(28,7214898,'1',316,'N'),(28,7214901,'1',102,'N'),(28,7214910,'1',444,'N'),(28,7214936,'1',415,'N'),(28,7214944,'1',212,'N'),(28,7214944,'1A',203,'N'),(28,7214952,'1',333,'N'),(28,7214960,'1',551,'N'),(28,7214979,'1',326,'N'),(28,7214987,'1',2,'N'),(28,7214995,'1',103,'N'),(28,7215002,'1',304,'N'),(28,7215010,'1',238,'N'),(28,7215010,'1A',235,'N'),(28,7215029,'1',109,'N'),(28,7215037,'1',103,'N'),(28,7215045,'1',5,'N'),(28,7215053,'1',216,'N'),(28,7215053,'1A',203,'N'),(28,7215088,'1',9,'N'),(28,7215100,'1',103,'N'),(28,7215118,'1',601,'N'),(28,7215118,'1A',214,'N'),(28,7215126,'1',211,'N'),(28,7215126,'1A',653,'N'),(28,7215134,'1',202,'N'),(28,7215134,'1A',235,'N'),(28,7215142,'1',207,'N'),(28,7215142,'1A',201,'N'),(28,7215150,'1',303,'N'),(28,7215169,'1',303,'N'),(28,7215177,'1',454,'N'),(28,7215185,'1',415,'N'),(28,7215207,'1',104,'N'),(28,7215231,'1',337,'N'),(28,7215240,'1',103,'N'),(28,7215258,'1',450,'N'),(28,7215266,'1',103,'N'),(28,7215282,'1',316,'N'),(28,7215290,'1',999,'N'),(28,7215312,'1',303,'N'),(28,7215320,'1',318,'N'),(28,7215347,'1',9,'N'),(28,7215363,'1',103,'N'),(28,7215371,'1',103,'N'),(28,7215380,'1',339,'N'),(28,7215410,'1',319,'N'),(28,7215428,'1',216,'N'),(28,7215428,'1A',653,'N'),(28,7215444,'1',103,'N'),(28,7215452,'1',336,'N'),(28,7215460,'1',426,'N'),(28,7215460,'1A',428,'N'),(28,7215479,'1',238,'N'),(28,7215487,'1',103,'N'),(28,7215495,'1',333,'N'),(28,7215509,'1',102,'N'),(28,7215517,'1',203,'N'),(28,7215517,'1A',201,'N'),(28,7215525,'1',108,'N'),(28,7215533,'1',423,'N'),(28,7215533,'1A',429,'N'),(28,7215541,'1',319,'N'),(28,7215568,'1',999,'N'),(28,7215576,'1',103,'N'),(28,7215592,'1',301,'N'),(28,7215606,'1',328,'N'),(28,7215614,'1',9,'N'),(28,7215622,'1',104,'N'),(28,7215630,'1',425,'N'),(28,7215630,'1A',429,'N'),(28,7215649,'1',303,'N'),(28,7215681,'1',207,'N'),(28,7215681,'1A',201,'N'),(28,7215690,'1',103,'N'),(28,7215703,'1',103,'N'),(28,7215720,'1',454,'N'),(28,7215738,'1',999,'N'),(28,7215762,'1',404,'N'),(28,7215789,'1',303,'N'),(28,7215819,'1',108,'N'),(28,7215827,'1',207,'N'),(28,7215827,'1A',201,'N'),(28,7215835,'1',5,'N'),(28,7215843,'1',427,'N'),(28,7215843,'1A',428,'N'),(28,7215851,'1',317,'N'),(28,7215886,'1',207,'N'),(28,7215886,'1A',233,'N'),(28,7215894,'1',104,'N'),(28,7215908,'1',319,'N'),(28,7215916,'1',110,'N'),(28,7215932,'1',201,'N'),(28,7215932,'1A',202,'N'),(28,7215940,'1',319,'N'),(28,7215959,'1',201,'N'),(28,7215959,'1A',212,'N'),(28,7215967,'1',340,'N'),(28,7215975,'1',101,'N'),(28,7215991,'1',201,'N'),(28,7215991,'1A',207,'N'),(28,7216009,'1',103,'N'),(28,7216017,'1',211,'N'),(28,7216017,'1A',215,'N'),(28,7216025,'1',404,'N'),(28,7216033,'1',654,'N'),(28,7216041,'1',211,'N'),(28,7216041,'1A',202,'N'),(28,7216050,'1',211,'N'),(28,7216050,'1A',202,'N'),(28,7216068,'1',103,'N'),(28,7216076,'1',551,'N'),(28,7216084,'1',5,'N'),(28,7216092,'1',303,'N'),(28,7216114,'1',316,'N'),(28,7216122,'1',104,'N'),(28,7216130,'1',333,'N'),(28,7216149,'1',109,'N'),(28,7216157,'1',415,'N'),(28,7216165,'1',303,'N'),(28,7216173,'1',202,'N'),(28,7216173,'1A',601,'N'),(28,7216181,'1',104,'N'),(28,7216190,'1',203,'N'),(28,7216190,'1A',214,'N'),(28,7216211,'1',215,'N'),(28,7216211,'1A',207,'N'),(28,7216220,'1',207,'N'),(28,7216238,'1',216,'N'),(28,7216238,'1A',233,'N'),(28,7216246,'1',340,'N'),(28,7216254,'1',103,'N'),(28,7216262,'1',216,'N'),(28,7216262,'1A',201,'N'),(28,7216270,'1',302,'N'),(28,7216289,'1',444,'N'),(28,7216297,'1',103,'N'),(28,7216300,'1',103,'N'),(28,7216319,'1',103,'N'),(28,7216327,'1',655,'N'),(28,7216327,'1A',652,'N'),(28,7216343,'1',203,'N'),(28,7216343,'1A',202,'N'),(28,7216351,'1',201,'N'),(28,7216351,'1A',653,'N'),(28,7216360,'1',316,'N'),(28,7216386,'1',308,'N'),(28,7216394,'1',214,'N'),(28,7216394,'1A',212,'N'),(28,7216408,'1',333,'N'),(28,7216424,'1',223,'N'),(28,7216432,'1',319,'N'),(28,7216440,'1',653,'N'),(28,7216440,'1A',652,'N'),(28,7216459,'1',324,'N'),(28,7216467,'1',207,'N'),(28,7216467,'1A',201,'N'),(28,7216475,'1',327,'N'),(28,7216483,'1',3,'N'),(28,7216491,'1',208,'N'),(28,7216505,'1',5,'N'),(28,7216513,'1',212,'N'),(28,7216513,'1A',214,'N'),(28,7216521,'1',318,'N'),(28,7216530,'1',319,'N'),(28,7216548,'1',654,'N'),(28,7216556,'1',103,'N'),(28,7216564,'1',201,'N'),(28,7216564,'1A',212,'N'),(28,7216580,'1',502,'N'),(28,7216602,'1',201,'N'),(28,7216610,'1',654,'N'),(28,7216629,'1',224,'N'),(28,7216637,'1',316,'N'),(28,7216688,'1',225,'N'),(28,7216696,'1',304,'N'),(28,7216700,'1',103,'N'),(28,7216726,'1',340,'N'),(28,7216734,'1',333,'N'),(28,7216742,'1',2,'N'),(28,7216750,'1',103,'N'),(28,7216769,'1',103,'N'),(28,7216785,'1',454,'N'),(28,7216815,'1',654,'N'),(28,7216823,'1',103,'N'),(28,7216831,'1',337,'N'),(28,7216840,'1',319,'N'),(28,7216866,'1',101,'N'),(28,7216874,'1',318,'N'),(28,7216890,'1',5,'N'),(28,7216904,'1',103,'N'),(28,7216920,'1',238,'N'),(28,7216939,'1',103,'N'),(28,7216947,'1',451,'N'),(28,7216963,'1',211,'N'),(28,7216971,'1',551,'N'),(28,7216980,'1',454,'N'),(28,7216998,'1',201,'N'),(28,7216998,'1A',238,'N'),(28,7217005,'1',303,'N'),(28,7217021,'1',103,'N'),(28,7217030,'1',454,'N'),(28,7217048,'1',655,'N'),(28,7217048,'1A',652,'N'),(28,7217056,'1',308,'N'),(28,7217072,'1',9,'N'),(28,7217080,'1',340,'N'),(28,7217099,'1',502,'N'),(28,7217102,'1',103,'N'),(28,7217110,'1',238,'N'),(28,7217110,'1A',235,'N'),(28,7217129,'1',316,'N'),(28,7217137,'1',501,'N'),(28,7217145,'1',301,'N'),(28,7217153,'1',9,'N'),(28,7217161,'1',308,'N'),(28,7217196,'1',444,'N'),(28,7217200,'1',207,'N'),(28,7217200,'1A',238,'N'),(28,7217226,'1',104,'N'),(28,7217234,'1',207,'N'),(28,7217234,'1A',203,'N'),(28,7217242,'1',238,'N'),(28,7217242,'1A',220,'N'),(28,7217250,'1',103,'N'),(28,7217269,'1',103,'N'),(28,7217285,'1',215,'N'),(28,7217285,'1A',216,'N'),(28,7217293,'1',999,'N'),(28,7217307,'1',999,'N'),(28,7217315,'1',454,'N'),(28,7217323,'1',327,'N'),(28,7217340,'1',102,'N'),(28,7217358,'1',319,'N'),(28,7217366,'1',454,'N'),(28,7217374,'1',340,'N'),(28,7217382,'1',310,'N'),(28,7217412,'1',5,'N'),(28,7217439,'1',102,'N'),(28,7217447,'1',216,'N'),(28,7217447,'1A',653,'N'),(28,7217455,'1',103,'N'),(28,7217463,'1',309,'N'),(28,7217471,'1',999,'N'),(28,7217480,'1',216,'N'),(28,7217498,'1',104,'N'),(28,7217501,'1',317,'N'),(28,7217510,'1',454,'N'),(28,7217528,'1',327,'N'),(28,7217536,'1',653,'N'),(28,7217536,'1A',203,'N'),(28,7217544,'1',238,'N'),(28,7217560,'1',316,'N'),(28,7217579,'1',220,'N'),(28,7217579,'1A',203,'N'),(28,7217587,'1',601,'N'),(28,7217587,'1A',214,'N'),(28,7217609,'1',454,'N'),(28,7217617,'1',208,'N'),(28,7217625,'1',103,'N'),(28,7217633,'1',429,'N'),(28,7217633,'1A',425,'N'),(28,7217641,'1',336,'N'),(28,7217650,'1',454,'N'),(28,7217668,'1',203,'N'),(28,7217668,'1A',220,'N'),(28,7217676,'1',103,'N'),(28,7217684,'1',304,'N'),(28,7217706,'1',238,'N'),(28,7217706,'1A',235,'N'),(28,7217714,'1',101,'N'),(28,7217722,'1',303,'N'),(28,7217730,'1',3,'N'),(28,7217749,'1',601,'N'),(28,7217749,'1A',233,'N'),(28,7217757,'1',404,'N'),(28,7217781,'1',235,'N'),(28,7217781,'1A',202,'N'),(28,7217790,'1',103,'N'),(28,7217803,'1',301,'N'),(28,7217811,'1',101,'N'),(28,7217846,'1',304,'N'),(28,7217854,'1',220,'N'),(28,7217854,'1A',203,'N'),(28,7217862,'1',238,'N'),(28,7217870,'1',319,'N'),(28,7217889,'1',104,'N'),(28,7217897,'1',319,'N'),(28,7217900,'1',551,'N'),(28,7217919,'1',451,'N'),(28,7217927,'1',552,'N'),(28,7217935,'1',454,'N'),(28,7217943,'1',220,'N'),(28,7217943,'1A',203,'N'),(28,7217951,'1',551,'N'),(28,7217960,'1',102,'N'),(28,7217978,'1',211,'N'),(28,7217978,'1A',601,'N'),(28,7217986,'1',302,'N'),(28,7217994,'1',108,'N'),(28,7218001,'1',301,'N'),(28,7218010,'1',302,'N'),(28,7218028,'1',201,'N'),(28,7218028,'1A',212,'N'),(28,7218036,'1',211,'N'),(28,7218036,'1A',202,'N'),(28,7218044,'1',454,'N'),(28,7218060,'1',202,'N'),(28,7218060,'1A',201,'N'),(28,7218079,'1',203,'N'),(28,7218079,'1A',216,'N'),(28,7218087,'1',340,'N'),(28,7218109,'1',222,'N'),(28,7218117,'1',103,'N'),(28,7218125,'1',415,'N'),(28,7218168,'1',238,'N'),(28,7218168,'1A',235,'N'),(28,7218176,'1',999,'N'),(28,7218184,'1',302,'N'),(28,7218206,'1',207,'N'),(28,7218214,'1',654,'N'),(28,7218249,'1',216,'N'),(28,7218249,'1A',203,'N'),(28,7218257,'1',9,'N'),(28,7218273,'1',216,'N'),(28,7218273,'1A',235,'N'),(28,7218281,'1',999,'N'),(28,7218290,'1',425,'N'),(28,7218290,'1A',429,'N'),(28,7218311,'1',103,'N'),(28,7218320,'1',309,'N'),(28,7218338,'1',235,'N'),(28,7218338,'1A',220,'N'),(28,7218346,'1',444,'N'),(28,7218354,'1',999,'N'),(28,7218370,'1',220,'N'),(28,7218370,'1A',601,'N'),(28,7218389,'1',316,'N'),(28,7218397,'1',103,'N'),(28,7218400,'1',5,'N'),(28,7218419,'1',304,'N'),(28,7218427,'1',319,'N'),(28,7218435,'1',340,'N'),(28,7218443,'1',444,'N'),(28,7218460,'1',238,'N'),(28,7218460,'1A',201,'N'),(28,7218478,'1',103,'N'),(28,7218486,'1',316,'N'),(28,7218494,'1',652,'N'),(28,7218494,'1A',655,'N'),(28,7218508,'1',552,'N'),(28,7218516,'1',201,'N'),(28,7218516,'1A',202,'N'),(28,7218524,'1',104,'N'),(28,7218559,'1',653,'N'),(28,7218559,'1A',214,'N'),(28,7218567,'1',220,'N'),(28,7218567,'1A',202,'N'),(28,7218575,'1',103,'N'),(28,7218583,'1',601,'N'),(28,7218583,'1A',235,'N'),(28,7218591,'1',340,'N'),(28,7218605,'1',103,'N'),(28,7218613,'1',552,'N'),(28,7218630,'1',207,'N'),(28,7218630,'1A',211,'N'),(28,7218648,'1',208,'N'),(28,7218656,'1',207,'N'),(28,7218656,'1A',653,'N'),(28,7218664,'1',103,'N'),(28,7218672,'1',303,'N'),(28,7218680,'1',108,'N'),(28,7218699,'1',502,'N'),(28,7218702,'1',308,'N'),(28,7218710,'1',108,'N'),(28,7218729,'1',202,'N'),(28,7218729,'1A',203,'N'),(28,7218745,'1',214,'N'),(28,7218745,'1A',212,'N'),(28,7218753,'1',331,'N'),(28,7218761,'1',103,'N'),(28,7218770,'1',454,'N'),(28,7218796,'1',207,'N'),(28,7218796,'1A',201,'N'),(28,7218800,'1',454,'N'),(28,7218818,'1',5,'N'),(28,7218834,'1',301,'N'),(28,7218842,'1',103,'N'),(28,7218850,'1',301,'N'),(28,7218869,'1',501,'N'),(28,7218877,'1',551,'N'),(28,7218885,'1',208,'N'),(28,7218893,'1',308,'N'),(28,7218907,'1',104,'N'),(28,7218923,'1',9,'N'),(28,7218931,'1',224,'N'),(28,7218940,'1',203,'N'),(28,7218940,'1A',201,'N'),(28,7218974,'1',203,'N'),(28,7218974,'1A',214,'N'),(28,7218982,'1',425,'N'),(28,7218982,'1A',429,'N'),(28,7218990,'1',211,'N'),(28,7218990,'1A',216,'N'),(28,7219008,'1',415,'N'),(28,7219016,'1',203,'N'),(28,7219016,'1A',201,'N'),(28,7219024,'1',103,'N'),(28,7219032,'1',203,'N'),(28,7219032,'1A',202,'N'),(28,7219040,'1',110,'N'),(28,7219059,'1',319,'N'),(28,7219067,'1',103,'N'),(28,7219075,'1',201,'N'),(28,7219075,'1A',203,'N'),(28,7219091,'1',224,'N'),(28,7219113,'1',103,'N'),(28,7219121,'1',103,'N'),(28,7219148,'1',103,'N'),(28,7219164,'1',319,'N'),(28,7219172,'1',207,'N'),(28,7219172,'1A',238,'N'),(28,7219180,'1',108,'N'),(28,7219199,'1',202,'N'),(28,7219199,'1A',213,'N'),(28,7219202,'1',208,'N'),(28,7219210,'1',102,'N'),(28,7219229,'1',9,'N'),(28,7219237,'1',316,'N'),(28,7219245,'1',404,'N'),(28,7219253,'1',212,'N'),(28,7219253,'1A',215,'N'),(28,7219261,'1',203,'N'),(28,7219261,'1A',238,'N'),(28,7219296,'1',201,'N'),(28,7219296,'1A',212,'N'),(28,7219300,'1',316,'N'),(28,7219318,'1',103,'N'),(28,7219326,'1',207,'N'),(28,7219326,'1A',601,'N'),(28,7219342,'1',103,'N'),(28,7219369,'1',999,'N'),(28,7219377,'1',999,'N'),(28,7219385,'1',211,'N'),(28,7219385,'1A',202,'N'),(28,7219407,'1',301,'N'),(28,7219423,'1',999,'N'),(28,7219431,'1',213,'N'),(28,7219431,'1A',233,'N'),(28,7219440,'1',207,'N'),(28,7219440,'1A',235,'N'),(28,7219458,'1',203,'N'),(28,7219458,'1A',220,'N'),(28,7219466,'1',203,'N'),(28,7219466,'1A',201,'N'),(28,7219474,'1',454,'N'),(28,7219482,'1',999,'N'),(28,7219520,'1',501,'N'),(28,7219539,'1',999,'N'),(28,7219547,'1',207,'N'),(28,7219547,'1A',201,'N'),(28,7219555,'1',601,'N'),(28,7219555,'1A',201,'N'),(28,7219563,'1',999,'N'),(28,7219571,'1',999,'N'),(28,7219580,'1',601,'N'),(28,7219598,'1',450,'N'),(28,7219601,'1',450,'N'),(28,7219628,'1',207,'N'),(28,7219628,'1A',212,'N'),(28,7219636,'1',319,'N'),(28,7219644,'1',108,'N'),(28,7219687,'1',103,'N'),(28,7219695,'1',5,'N'),(28,7219733,'1',103,'N'),(28,7219741,'1',5,'N'),(28,7219768,'1',999,'N'),(28,7219776,'1',220,'N'),(28,7219776,'1A',238,'N'),(28,7219784,'1',999,'N'),(28,7219792,'1',339,'N'),(28,7219806,'1',103,'N'),(28,7219814,'1',999,'N'),(28,7219830,'1',103,'N'),(28,7219849,'1',211,'N'),(28,7219849,'1A',233,'N'),(28,7219857,'1',211,'N'),(28,7219857,'1A',215,'N'),(28,7219873,'1',999,'N'),(28,7219890,'1',207,'N'),(28,7219890,'1A',201,'N'),(28,7219911,'1',5,'N'),(28,7219920,'1',9,'N'),(28,7219938,'1',103,'N'),(28,7219946,'1',339,'N'),(28,7219954,'1',999,'N'),(28,7219989,'1',999,'N'),(28,7219997,'1',208,'N'),(28,7220006,'1',201,'N'),(28,7220006,'1A',203,'N'),(28,7220014,'1',303,'N'),(28,7220022,'1',201,'N'),(28,7220022,'1A',207,'N'),(28,7220030,'1',216,'N'),(28,7220030,'1A',207,'N'),(28,7220049,'1',109,'N'),(28,7220057,'1',110,'N'),(28,7220065,'1',415,'N'),(28,7220073,'1',103,'N'),(28,7220081,'1',103,'N'),(28,7220090,'1',101,'N'),(28,7220111,'1',444,'N'),(28,7220138,'1',340,'N'),(28,7220146,'1',103,'N'),(28,7220154,'1',332,'N'),(28,7220162,'1',108,'N'),(28,7220170,'1',601,'N'),(28,7220170,'1A',235,'N'),(28,7220189,'1',103,'N'),(28,7220197,'1',5,'N'),(28,7220200,'1',655,'N'),(28,7220200,'1A',652,'N'),(28,7220227,'1',340,'N'),(28,7220235,'1',103,'N'),(28,7220243,'1',999,'N'),(28,7220251,'1',207,'N'),(28,7220251,'1A',233,'N'),(28,7220278,'1',203,'N'),(28,7220278,'1A',238,'N'),(28,7220286,'1',103,'N'),(28,7220294,'1',415,'N'),(28,7220308,'1',551,'N'),(28,7220316,'1',203,'N'),(28,7220316,'1A',214,'N'),(28,7220332,'1',203,'N'),(28,7220332,'1A',214,'N'),(28,7220367,'1',428,'N'),(28,7220367,'1A',424,'N'),(28,7220375,'1',308,'N'),(28,7220383,'1',101,'N'),(28,7220391,'1',214,'N'),(28,7220391,'1A',213,'N'),(28,7220405,'1',654,'N'),(28,7220421,'1',103,'N'),(28,7220430,'1',211,'N'),(28,7220430,'1A',213,'N'),(28,7220448,'1',303,'N'),(28,7220456,'1',103,'N'),(28,7220464,'1',212,'N'),(28,7220464,'1A',213,'N'),(28,7220472,'1',652,'N'),(28,7220472,'1A',653,'N'),(28,7220480,'1',652,'N'),(28,7220480,'1A',653,'N'),(28,7220502,'1',415,'N'),(28,7220510,'1',203,'N'),(28,7220529,'1',207,'N'),(28,7220529,'1A',601,'N'),(28,7220537,'1',103,'N'),(28,7220545,'1',203,'N'),(28,7220545,'1A',220,'N'),(28,7220553,'1',301,'N'),(28,7220596,'1',216,'N'),(28,7220596,'1A',235,'N'),(28,7220600,'1',601,'N'),(28,7220600,'1A',203,'N'),(28,7220618,'1',654,'N'),(28,7220626,'1',340,'N'),(28,7220634,'1',208,'N'),(28,7220642,'1',216,'N'),(28,7220642,'1A',215,'N'),(28,7220650,'1',216,'N'),(28,7220650,'1A',212,'N'),(28,7220669,'1',444,'N'),(28,7220685,'1',211,'N'),(28,7220693,'1',203,'N'),(28,7220693,'1A',214,'N'),(28,7220707,'1',317,'N'),(28,7220715,'1',319,'N'),(28,7220723,'1',444,'N'),(28,7220731,'1',216,'N'),(28,7220731,'1A',215,'N'),(28,7220740,'1',415,'N'),(28,7220758,'1',201,'N'),(28,7220758,'1A',235,'N'),(28,7220766,'1',103,'N'),(28,7220782,'1',216,'N'),(28,7220782,'1A',215,'N'),(28,7220790,'1',332,'N'),(28,7220804,'1',207,'N'),(28,7220804,'1A',201,'N'),(28,7220820,'1',103,'N'),(28,7220839,'1',340,'N'),(28,7220847,'1',234,'N'),(28,7220855,'1',202,'N'),(28,7220855,'1A',213,'N'),(28,7220871,'1',201,'N'),(28,7220871,'1A',212,'N'),(28,7220880,'1',103,'N'),(28,7220898,'1',238,'N'),(28,7220898,'1A',212,'N'),(28,7220901,'1',326,'N'),(28,7220910,'1',104,'N'),(28,7220928,'1',999,'N'),(28,7220936,'1',207,'N'),(28,7220936,'1A',201,'N'),(28,7220944,'1',551,'N'),(28,7220952,'1',999,'N'),(28,7220979,'1',208,'N'),(28,7220987,'1',655,'N'),(28,7220987,'1A',653,'N'),(28,7220995,'1',301,'N'),(28,7221002,'1',317,'N'),(28,7221010,'1',301,'N'),(28,7221029,'1',103,'N'),(28,7221037,'1',429,'N'),(28,7221037,'1A',423,'N'),(28,7221045,'1',104,'N'),(28,7221061,'1',319,'N'),(28,7221070,'1',324,'N'),(28,7221088,'1',303,'N'),(28,7221096,'1',216,'N'),(28,7221096,'1A',214,'N'),(28,7221100,'1',303,'N'),(28,7221118,'1',224,'N'),(28,7221126,'1',103,'N'),(28,7221134,'1',308,'N'),(28,7221142,'1',601,'N'),(28,7221142,'1A',212,'N'),(28,7221150,'1',201,'N'),(28,7221150,'1A',211,'N'),(28,7221169,'1',212,'N'),(28,7221177,'1',999,'N'),(28,7221207,'1',103,'N'),(28,7221215,'1',454,'N'),(28,7221258,'1',426,'N'),(28,7221266,'1',5,'N'),(28,7221274,'1',220,'N'),(28,7221274,'1A',235,'N'),(28,7221290,'1',203,'N'),(28,7221290,'1A',220,'N'),(28,7221304,'1',103,'N'),(28,7221312,'1',999,'N'),(28,7221320,'1',601,'N'),(28,7221320,'1A',220,'N'),(28,7221339,'1',655,'N'),(28,7221339,'1A',652,'N'),(28,7221347,'1',212,'N'),(28,7221347,'1A',201,'N'),(28,7221355,'1',999,'N'),(28,7221363,'1',103,'N'),(28,7221371,'1',103,'N'),(28,7221398,'1',203,'N'),(28,7221398,'1A',214,'N'),(28,7221401,'1',301,'N'),(28,7221410,'1',216,'N'),(28,7221410,'1A',211,'N'),(28,7221428,'1',5,'N'),(28,7221436,'1',653,'N'),(28,7221436,'1A',652,'N'),(28,7221444,'1',103,'N'),(28,7221460,'1',201,'N'),(28,7221460,'1A',213,'N'),(28,7221479,'1',309,'N'),(28,7221487,'1',340,'N'),(28,7221509,'1',340,'N'),(28,7221525,'1',318,'N'),(28,7221533,'1',601,'N'),(28,7221533,'1A',203,'N'),(28,7221550,'1',201,'N'),(28,7221550,'1A',212,'N'),(28,7221568,'1',9,'N'),(28,7221576,'1',444,'N'),(28,7221584,'1',316,'N'),(28,7221592,'1',319,'N'),(28,7221606,'1',215,'N'),(28,7221606,'1A',216,'N'),(28,7221614,'1',653,'N'),(28,7221614,'1A',652,'N'),(28,7221622,'1',340,'N'),(28,7221649,'1',103,'N'),(28,7221657,'1',301,'N'),(28,7221665,'1',230,'N'),(28,7221673,'1',444,'N'),(28,7221681,'1',211,'N'),(28,7221681,'1A',238,'N'),(28,7221690,'1',207,'N'),(28,7221703,'1',310,'N'),(28,7221711,'1',999,'N'),(28,7221720,'1',444,'N'),(28,7221746,'1',101,'N'),(28,7221754,'1',2,'N'),(28,7221762,'1',5,'N'),(28,7221770,'1',103,'N'),(28,7221789,'1',109,'N'),(28,7221819,'1',552,'N'),(28,7221827,'1',103,'N'),(28,7221843,'1',103,'N'),(28,7221860,'1',201,'N'),(28,7221860,'1A',207,'N'),(28,7221878,'1',324,'N'),(28,7221886,'1',5,'N'),(28,7221894,'1',2,'N'),(28,7221908,'1',238,'N'),(28,7221908,'1A',213,'N'),(28,7221924,'1',103,'N'),(28,7221932,'1',415,'N'),(28,7221967,'1',552,'N'),(28,7221975,'1',340,'N'),(28,7221983,'1',220,'N'),(28,7221983,'1A',601,'N'),(28,7221991,'1',201,'N'),(28,7221991,'1A',233,'N'),(28,7222009,'1',201,'N'),(28,7222009,'1A',211,'N'),(28,7222017,'1',103,'N'),(28,7222025,'1',202,'N'),(28,7222025,'1A',201,'N'),(28,7222033,'1',3,'N'),(28,7222041,'1',104,'N'),(28,7222068,'1',203,'N'),(28,7222068,'1A',235,'N'),(28,7222076,'1',208,'N'),(28,7222084,'1',454,'N'),(28,7222092,'1',238,'N'),(28,7222092,'1A',233,'N'),(28,7222106,'1',104,'N'),(28,7222114,'1',319,'N'),(28,7222122,'1',454,'N'),(28,7222130,'1',208,'N'),(28,7222149,'1',223,'N'),(28,7222157,'1',404,'N'),(28,7222165,'1',233,'N'),(28,7222165,'1A',216,'N'),(28,7222173,'1',454,'N'),(28,7222181,'1',601,'N'),(28,7222190,'1',316,'N'),(28,7222203,'1',5,'N'),(28,7222211,'1',303,'N'),(28,7222220,'1',5,'N'),(28,7222238,'1',233,'N'),(28,7222238,'1A',601,'N'),(28,7222246,'1',303,'N'),(28,7222254,'1',5,'N'),(28,7222270,'1',216,'N'),(28,7222270,'1A',215,'N'),(28,7222289,'1',317,'N'),(28,7222297,'1',202,'N'),(28,7222297,'1A',235,'N'),(28,7222300,'1',103,'N'),(28,7222319,'1',301,'N'),(28,7222327,'1',2,'N'),(28,7222335,'1',339,'N'),(28,7222351,'1',552,'N'),(28,7222360,'1',423,'N'),(28,7222360,'1A',424,'N'),(28,7222378,'1',454,'N'),(28,7222386,'1',109,'N'),(28,7222394,'1',653,'N'),(28,7222394,'1A',652,'N'),(28,7222416,'1',207,'N'),(28,7222432,'1',2,'N'),(28,7222459,'1',653,'N'),(28,7222459,'1A',202,'N'),(28,7222467,'1',319,'N'),(28,7222491,'1',212,'N'),(28,7222491,'1A',201,'N'),(28,7222505,'1',203,'N'),(28,7222505,'1A',233,'N'),(28,7222521,'1',454,'N'),(28,7222548,'1',316,'N'),(28,7222564,'1',203,'N'),(28,7222564,'1A',216,'N'),(28,7222572,'1',202,'N'),(28,7222572,'1A',213,'N'),(28,7222580,'1',103,'N'),(28,7222602,'1',202,'N'),(28,7222610,'1',104,'N'),(28,7222645,'1',5,'N'),(28,7222653,'1',211,'N'),(28,7222653,'1A',233,'N'),(28,7222670,'1',203,'N'),(28,7222670,'1A',220,'N'),(28,7222688,'1',444,'N'),(28,7222696,'1',220,'N'),(28,7222696,'1A',203,'N'),(28,7222700,'1',9,'N'),(28,7222734,'1',208,'N'),(28,7222742,'1',444,'N'),(28,7222793,'1',317,'N'),(28,7222807,'1',316,'N'),(28,7222815,'1',102,'N'),(28,7222823,'1',327,'N'),(28,7222831,'1',501,'N'),(28,7222840,'1',234,'N'),(28,7222858,'1',454,'N'),(28,7222866,'1',104,'N'),(28,7222874,'1',454,'N'),(28,7222912,'1',5,'N'),(28,7222920,'1',339,'N'),(28,7222939,'1',655,'N'),(28,7222939,'1A',652,'N'),(28,7222947,'1',103,'N'),(28,7222955,'1',103,'N'),(28,7222963,'1',207,'N'),(28,7222963,'1A',201,'N'),(28,7222980,'1',103,'N'),(28,7222998,'1',318,'N'),(28,7223005,'1',316,'N'),(28,7223013,'1',201,'N'),(28,7223013,'1A',601,'N'),(28,7223021,'1',303,'N'),(28,7223030,'1',454,'N'),(28,7223048,'1',5,'N'),(28,7223056,'1',303,'N'),(28,7223064,'1',454,'N'),(28,7223072,'1',655,'N'),(28,7223072,'1A',653,'N'),(28,7223080,'1',317,'N'),(28,7223099,'1',223,'N'),(28,7223102,'1',336,'N'),(28,7223110,'1',319,'N'),(28,7223137,'1',601,'N'),(28,7223145,'1',234,'N'),(28,7223153,'1',310,'N'),(28,7223161,'1',103,'N'),(28,7223188,'1',454,'N'),(28,7223196,'1',317,'N'),(28,7223200,'1',301,'N'),(28,7223218,'1',653,'N'),(28,7223218,'1A',601,'N'),(28,7223234,'1',203,'N'),(28,7223234,'1A',214,'N'),(28,7223242,'1',203,'N'),(28,7223242,'1A',213,'N'),(28,7223250,'1',103,'N'),(28,7223269,'1',202,'N'),(28,7223269,'1A',201,'N'),(28,7223277,'1',203,'N'),(28,7223277,'1A',220,'N'),(28,7223285,'1',5,'N'),(28,7223293,'1',103,'N'),(28,7223315,'1',103,'N'),(28,7223323,'1',302,'N'),(28,7223358,'1',303,'N'),(28,7223366,'1',108,'N'),(28,7223374,'1',203,'N'),(28,7223374,'1A',214,'N'),(28,7223390,'1',103,'N'),(28,7223404,'1',653,'N'),(28,7223404,'1A',215,'N'),(28,7223412,'1',319,'N'),(28,7223420,'1',308,'N'),(28,7223447,'1',318,'N'),(28,7223455,'1',201,'N'),(28,7223455,'1A',216,'N'),(28,7223463,'1',318,'N'),(28,7223471,'1',103,'N'),(28,7223498,'1',103,'N'),(28,7223501,'1',103,'N'),(28,7223510,'1',303,'N'),(28,7223528,'1',9,'N'),(28,7223536,'1',429,'N'),(28,7223536,'1A',425,'N'),(28,7223544,'1',207,'N'),(28,7223544,'1A',201,'N'),(28,7223579,'1',318,'N'),(28,7223587,'1',5,'N'),(28,7223595,'1',316,'N'),(28,7223609,'1',319,'N'),(28,7223617,'1',999,'N'),(28,7223633,'1',308,'N'),(28,7223668,'1',319,'N'),(28,7223684,'1',2,'N'),(28,7223692,'1',421,'N'),(28,7223692,'1A',427,'N'),(28,7223706,'1',201,'N'),(28,7223706,'1A',220,'N'),(28,7223714,'1',103,'N'),(28,7223722,'1',110,'N'),(28,7223749,'1',316,'N'),(28,7223757,'1',216,'N'),(28,7223757,'1A',235,'N'),(28,7223765,'1',319,'N'),(28,7223781,'1',103,'N'),(28,7223790,'1',318,'N'),(28,7223803,'1',654,'N'),(28,7223846,'1',201,'N'),(28,7223846,'1A',233,'N'),(28,7223854,'1',108,'N'),(28,7223862,'1',102,'N'),(28,7223870,'1',502,'N'),(28,7223889,'1',302,'N'),(28,7223897,'1',340,'N'),(28,7223900,'1',5,'N'),(28,7223919,'1',318,'N'),(28,7223927,'1',103,'N'),(28,7223935,'1',336,'N'),(28,7223943,'1',103,'N'),(28,7223951,'1',110,'N'),(28,7223960,'1',203,'N'),(28,7223960,'1A',655,'N'),(28,7223986,'1',423,'N'),(28,7223986,'1A',428,'N'),(28,7223994,'1',316,'N'),(28,7224001,'1',9,'N'),(28,7224010,'1',211,'N'),(28,7224010,'1A',215,'N'),(28,7224028,'1',601,'N'),(28,7224028,'1A',216,'N'),(28,7224036,'1',103,'N'),(28,7224044,'1',212,'N'),(28,7224044,'1A',213,'N'),(28,7224052,'1',339,'N'),(28,7224060,'1',415,'N'),(28,7224087,'1',201,'N'),(28,7224087,'1A',203,'N'),(28,7224109,'1',429,'N'),(28,7224109,'1A',425,'N'),(28,7224117,'1',5,'N'),(28,7224125,'1',208,'N'),(28,7224133,'1',415,'N'),(28,7224141,'1',238,'N'),(28,7224150,'1',302,'N'),(28,7224168,'1',211,'N'),(28,7224168,'1A',233,'N'),(28,7224184,'1',450,'N'),(28,7224192,'1',215,'N'),(28,7224192,'1A',201,'N'),(28,7224214,'1',201,'N'),(28,7224214,'1A',212,'N'),(28,7224222,'1',454,'N'),(28,7224230,'1',404,'N'),(28,7224249,'1',103,'N'),(28,7224257,'1',317,'N'),(28,7224281,'1',655,'N'),(28,7224281,'1A',652,'N'),(28,7224290,'1',309,'N'),(28,7224303,'1',207,'N'),(28,7224311,'1',103,'N'),(28,7224320,'1',9,'N'),(28,7224346,'1',454,'N'),(28,7224354,'1',207,'N'),(28,7224354,'1A',213,'N'),(28,7224370,'1',337,'N'),(28,7224389,'1',216,'N'),(28,7224389,'1A',201,'N'),(28,7224397,'1',316,'N'),(28,7224419,'1',201,'N'),(28,7224419,'1A',207,'N'),(28,7224427,'1',999,'N'),(28,7224443,'1',9,'N'),(28,7224451,'1',501,'N'),(28,7224478,'1',319,'N'),(28,7224494,'1',216,'N'),(28,7224494,'1A',203,'N'),(28,7224508,'1',5,'N'),(28,7224516,'1',9,'N'),(28,7224532,'1',202,'N'),(28,7224532,'1A',211,'N'),(28,7224540,'1',310,'N'),(28,7224567,'1',303,'N'),(28,7224575,'1',208,'N'),(28,7224583,'1',103,'N'),(28,7224591,'1',654,'N'),(28,7224605,'1',5,'N'),(28,7224613,'1',316,'N'),(28,7224621,'1',103,'N'),(28,7224630,'1',216,'N'),(28,7224630,'1A',215,'N'),(28,7224656,'1',425,'N'),(28,7224656,'1A',428,'N'),(28,7224664,'1',415,'N'),(28,7224672,'1',320,'N'),(28,7224680,'1',319,'N'),(28,7224699,'1',336,'N'),(28,7224702,'1',235,'N'),(28,7224702,'1A',601,'N'),(28,7224710,'1',317,'N'),(28,7224737,'1',601,'N'),(28,7224745,'1',552,'N'),(28,7224753,'1',301,'N'),(28,7224761,'1',201,'N'),(28,7224761,'1A',212,'N'),(28,7224770,'1',103,'N'),(28,7224788,'1',207,'N'),(28,7224788,'1A',201,'N'),(28,7224796,'1',415,'N'),(28,7224800,'1',999,'N'),(28,7224818,'1',428,'N'),(28,7224818,'1A',426,'N'),(28,7224834,'1',102,'N'),(28,7224842,'1',103,'N'),(28,7224850,'1',652,'N'),(28,7224850,'1A',653,'N'),(28,7224869,'1',103,'N'),(28,7224877,'1',203,'N'),(28,7224877,'1A',213,'N'),(28,7224893,'1',333,'N'),(28,7224907,'1',207,'N'),(28,7224907,'1A',238,'N'),(28,7224915,'1',104,'N'),(28,7224923,'1',653,'N'),(28,7224923,'1A',652,'N'),(28,7224931,'1',308,'N'),(28,7224940,'1',601,'N'),(28,7224940,'1A',203,'N'),(28,7224958,'1',309,'N'),(28,7224966,'1',333,'N'),(28,7224974,'1',201,'N'),(28,7224974,'1A',203,'N'),(28,7224990,'1',450,'N'),(28,7225008,'1',302,'N'),(28,7225016,'1',208,'N'),(28,7225024,'1',103,'N'),(28,7225032,'1',324,'N'),(28,7225040,'1',220,'N'),(28,7225040,'1A',216,'N'),(28,7225067,'1',302,'N'),(28,7225075,'1',103,'N'),(28,7225083,'1',103,'N'),(28,7225091,'1',3,'N'),(28,7225105,'1',203,'N'),(28,7225105,'1A',201,'N'),(28,7225113,'1',310,'N'),(28,7225121,'1',108,'N'),(28,7225130,'1',652,'N'),(28,7225130,'1A',655,'N'),(28,7225148,'1',102,'N'),(28,7225164,'1',999,'N'),(28,7225172,'1',304,'N'),(28,7225180,'1',318,'N'),(28,7225202,'1',202,'N'),(28,7225202,'1A',201,'N'),(28,7225210,'1',103,'N'),(28,7225229,'1',108,'N'),(28,7225237,'1',440,'N'),(28,7225245,'1',104,'N'),(28,7225253,'1',999,'N'),(28,7225261,'1',316,'N'),(28,7225270,'1',309,'N'),(28,7225296,'1',202,'N'),(28,7225296,'1A',213,'N'),(28,7225300,'1',109,'N'),(28,7225318,'1',310,'N'),(28,7225326,'1',501,'N'),(28,7225334,'1',501,'N'),(28,7225342,'1',337,'N'),(28,7225350,'1',319,'N'),(28,7225369,'1',201,'N'),(28,7225369,'1A',202,'N'),(28,7225377,'1',108,'N'),(28,7225407,'1',103,'N'),(28,7225423,'1',203,'N'),(28,7225423,'1A',216,'N'),(28,7225431,'1',103,'N'),(28,7225440,'1',999,'N'),(28,7225458,'1',203,'N'),(28,7225458,'1A',235,'N'),(28,7225466,'1',333,'N'),(28,7225474,'1',999,'N'),(28,7225482,'1',303,'N'),(28,7225490,'1',201,'N'),(28,7225490,'1A',212,'N'),(28,7225512,'1',235,'N'),(28,7225512,'1A',214,'N'),(28,7225547,'1',308,'N'),(28,7225555,'1',319,'N'),(28,7225563,'1',454,'N'),(28,7225571,'1',102,'N'),(28,7225580,'1',207,'N'),(28,7225580,'1A',201,'N'),(28,7225598,'1',208,'N'),(28,7225601,'1',203,'N'),(28,7225601,'1A',202,'N'),(28,7225610,'1',999,'N'),(28,7225636,'1',415,'N'),(28,7225644,'1',999,'N'),(28,7225652,'1',213,'N'),(28,7225652,'1A',215,'N'),(28,7225679,'1',201,'N'),(28,7225679,'1A',216,'N'),(28,7225695,'1',103,'N'),(28,7225709,'1',339,'N'),(28,7225717,'1',601,'N'),(28,7225717,'1A',203,'N'),(28,7225725,'1',103,'N'),(28,7225733,'1',501,'N'),(28,7225741,'1',103,'N'),(28,7225768,'1',303,'N'),(28,7225776,'1',208,'N'),(28,7225784,'1',308,'N'),(28,7225806,'1',654,'N'),(28,7225814,'1',404,'N'),(28,7225822,'1',404,'N'),(28,7225830,'1',303,'N'),(28,7225849,'1',309,'N'),(28,7225857,'1',101,'N'),(28,7225865,'1',332,'N'),(28,7225881,'1',207,'N'),(28,7225881,'1A',201,'N'),(28,7225903,'1',301,'N'),(28,7225911,'1',201,'N'),(28,7225911,'1A',202,'N'),(28,7225920,'1',101,'N'),(28,7225954,'1',339,'N'),(28,7225962,'1',340,'N'),(28,7225970,'1',208,'N'),(28,7225989,'1',230,'N'),(28,7225997,'1',601,'N'),(28,7225997,'1A',207,'N'),(28,7226004,'1',601,'N'),(28,7226004,'1A',203,'N'),(28,7226012,'1',216,'N'),(28,7226012,'1A',215,'N'),(28,7226020,'1',233,'N'),(28,7226020,'1A',601,'N'),(28,7226039,'1',301,'N'),(28,7226063,'1',3,'N'),(28,7226071,'1',103,'N'),(28,7226080,'1',208,'N'),(28,7226098,'1',316,'N'),(28,7226101,'1',444,'N'),(28,7226110,'1',999,'N'),(28,7226128,'1',337,'N'),(28,7226136,'1',208,'N'),(28,7226152,'1',450,'N'),(28,7226160,'1',316,'N'),(28,7226179,'1',999,'N'),(28,7226187,'1',302,'N'),(28,7226217,'1',203,'N'),(28,7226217,'1A',201,'N'),(28,7226225,'1',201,'N'),(28,7226225,'1A',212,'N'),(28,7226241,'1',9,'N'),(28,7226250,'1',415,'N'),(28,7226284,'1',302,'N'),(28,7226306,'1',5,'N'),(28,7226314,'1',654,'N'),(28,7226365,'1',101,'N'),(28,7226373,'1',303,'N'),(28,7226381,'1',201,'N'),(28,7226390,'1',103,'N'),(28,7226403,'1',201,'N'),(28,7226403,'1A',207,'N'),(28,7226411,'1',103,'N'),(28,7226420,'1',429,'N'),(28,7226420,'1A',425,'N'),(28,7226438,'1',103,'N'),(28,7226446,'1',201,'N'),(28,7226446,'1A',203,'N'),(28,7226454,'1',653,'N'),(28,7226454,'1A',203,'N'),(28,7226462,'1',103,'N'),(28,7226489,'1',103,'N'),(28,7226497,'1',303,'N'),(28,7226500,'1',108,'N'),(28,7226519,'1',999,'N'),(28,7226535,'1',103,'N'),(28,7226543,'1',999,'N'),(28,7226551,'1',103,'N'),(28,7226560,'1',404,'N'),(28,7226578,'1',415,'N'),(28,7226586,'1',208,'N'),(28,7226624,'1',340,'N'),(28,7226632,'1',103,'N'),(28,7226640,'1',104,'N'),(28,7226659,'1',316,'N'),(28,7226667,'1',220,'N'),(28,7226667,'1A',655,'N'),(28,7226675,'1',103,'N'),(28,7226683,'1',214,'N'),(28,7226683,'1A',216,'N'),(28,7226691,'1',310,'N'),(28,7226705,'1',340,'N'),(28,7226713,'1',203,'N'),(28,7226713,'1A',201,'N'),(28,7226721,'1',450,'N'),(28,7226748,'1',103,'N'),(28,7226756,'1',208,'N'),(28,7226764,'1',601,'N'),(28,7226772,'1',331,'N'),(28,7226799,'1',103,'N'),(28,7226802,'1',110,'N'),(28,7226810,'1',101,'N'),(28,7226837,'1',303,'N'),(28,7226845,'1',5,'N'),(28,7226853,'1',103,'N'),(28,7226861,'1',207,'N'),(28,7226861,'1A',201,'N'),(28,7226870,'1',103,'N'),(28,7226888,'1',216,'N'),(28,7226888,'1A',211,'N'),(28,7226896,'1',108,'N'),(28,7226900,'1',5,'N'),(28,7226918,'1',303,'N'),(28,7226934,'1',202,'N'),(28,7226934,'1A',212,'N'),(28,7226950,'1',319,'N'),(28,7226969,'1',336,'N'),(28,7226977,'1',503,'N'),(28,7226993,'1',428,'N'),(28,7226993,'1A',426,'N'),(28,7227019,'1',216,'N'),(28,7227019,'1A',215,'N'),(28,7227027,'1',103,'N'),(28,7227035,'1',316,'N'),(28,7227043,'1',2,'N'),(28,7227051,'1',103,'N'),(28,7227060,'1',223,'N'),(28,7227078,'1',208,'N'),(28,7227108,'1',316,'N'),(28,7227116,'1',207,'N'),(28,7227116,'1A',201,'N'),(28,7227132,'1',203,'N'),(28,7227132,'1A',235,'N'),(28,7227140,'1',103,'N'),(28,7227167,'1',441,'N'),(28,7227175,'1',551,'N'),(28,7227183,'1',104,'N'),(28,7227205,'1',211,'N'),(28,7227205,'1A',215,'N'),(28,7227213,'1',101,'N'),(28,7227221,'1',319,'N'),(28,7227230,'1',454,'N'),(28,7227248,'1',5,'N'),(28,7227256,'1',104,'N'),(28,7227272,'1',340,'N'),(28,7227280,'1',104,'N'),(28,7227299,'1',999,'N'),(28,7227302,'1',425,'N'),(28,7227302,'1A',424,'N'),(28,7227329,'1',301,'N'),(28,7227337,'1',415,'N'),(28,7227353,'1',302,'N'),(28,7227361,'1',427,'N'),(28,7227361,'1A',421,'N'),(28,7227370,'1',501,'N'),(28,7227388,'1',415,'N'),(28,7227396,'1',5,'N'),(28,7227400,'1',303,'N'),(28,7227418,'1',309,'N'),(28,7227426,'1',203,'N'),(28,7227426,'1A',601,'N'),(28,7227434,'1',109,'N'),(28,7227442,'1',104,'N'),(28,7227450,'1',103,'N'),(28,7227469,'1',999,'N'),(28,7227477,'1',338,'N'),(28,7227485,'1',202,'N'),(28,7227485,'1A',211,'N'),(28,7227507,'1',319,'N'),(28,7227515,'1',208,'N'),(28,7227523,'1',5,'N'),(28,7227566,'1',103,'N'),(28,7227582,'1',601,'N'),(28,7227582,'1A',207,'N'),(28,7227590,'1',203,'N'),(28,7227590,'1A',655,'N'),(28,7227612,'1',601,'N'),(28,7227612,'1A',216,'N'),(28,7227639,'1',331,'N'),(28,7227655,'1',340,'N'),(28,7227663,'1',212,'N'),(28,7227663,'1A',233,'N'),(28,7227671,'1',234,'N'),(28,7227680,'1',211,'N'),(28,7227728,'1',415,'N'),(28,7227752,'1',103,'N'),(28,7227760,'1',339,'N'),(28,7227779,'1',340,'N'),(28,7227787,'1',203,'N'),(28,7227787,'1A',201,'N'),(28,7227795,'1',331,'N'),(28,7227809,'1',332,'N'),(28,7227817,'1',552,'N'),(28,7227825,'1',203,'N'),(28,7227825,'1A',202,'N'),(28,7227833,'1',316,'N'),(28,7227841,'1',110,'N'),(28,7227850,'1',102,'N'),(28,7227876,'1',103,'N'),(28,7227884,'1',213,'N'),(28,7227884,'1A',215,'N'),(28,7227892,'1',339,'N'),(28,7227914,'1',404,'N'),(28,7227930,'1',318,'N'),(28,7227949,'1',201,'N'),(28,7227949,'1A',212,'N'),(28,7227957,'1',235,'N'),(28,7227957,'1A',233,'N'),(28,7227965,'1',654,'N'),(28,7227973,'1',108,'N'),(28,7227990,'1',552,'N'),(28,7228007,'1',222,'N'),(28,7228015,'1',108,'N'),(28,7228023,'1',999,'N'),(28,7228031,'1',238,'N'),(28,7228031,'1A',207,'N'),(28,7228040,'1',303,'N'),(28,7228058,'1',203,'N'),(28,7228058,'1A',601,'N'),(28,7228066,'1',999,'N'),(28,7228074,'1',552,'N'),(28,7228082,'1',303,'N'),(28,7228090,'1',302,'N'),(28,7228104,'1',103,'N'),(28,7228112,'1',234,'N'),(28,7228120,'1',999,'N'),(28,7228147,'1',233,'N'),(28,7228147,'1A',601,'N'),(28,7228155,'1',301,'N'),(28,7228163,'1',212,'N'),(28,7228163,'1A',233,'N'),(28,7228171,'1',319,'N'),(28,7228180,'1',205,'N'),(28,7228210,'1',999,'N'),(28,7228244,'1',653,'N'),(28,7228244,'1A',601,'N'),(28,7228252,'1',303,'N'),(28,7228260,'1',501,'N'),(28,7228279,'1',103,'N'),(28,7228287,'1',303,'N'),(28,7228295,'1',333,'N'),(28,7228317,'1',103,'N'),(28,7228325,'1',317,'N'),(28,7228333,'1',207,'N'),(28,7228333,'1A',201,'N'),(28,7228341,'1',205,'N'),(28,7228368,'1',233,'N'),(28,7228368,'1A',215,'N'),(28,7228376,'1',201,'N'),(28,7228376,'1A',655,'N'),(28,7228384,'1',101,'N'),(28,7228392,'1',216,'N'),(28,7228392,'1A',215,'N'),(28,7228406,'1',103,'N'),(28,7228414,'1',327,'N'),(28,7228422,'1',213,'N'),(28,7228422,'1A',220,'N'),(28,7228430,'1',551,'N'),(28,7228457,'1',319,'N'),(28,7228465,'1',216,'N'),(28,7228465,'1A',214,'N'),(28,7228473,'1',652,'N'),(28,7228473,'1A',653,'N'),(28,7228481,'1',103,'N'),(28,7228503,'1',999,'N'),(28,7228511,'1',654,'N'),(28,7228520,'1',102,'N'),(28,7228538,'1',103,'N'),(28,7228554,'1',404,'N'),(28,7228562,'1',429,'N'),(28,7228570,'1',211,'N'),(28,7228570,'1A',215,'N'),(28,7228589,'1',103,'N'),(28,7228597,'1',202,'N'),(28,7228597,'1A',213,'N'),(28,7228619,'1',999,'N'),(28,7228627,'1',333,'N'),(28,7228643,'1',999,'N'),(28,7228651,'1',303,'N'),(28,7228660,'1',303,'N'),(28,7228678,'1',103,'N'),(28,7228694,'1',104,'N'),(28,7228708,'1',108,'N'),(28,7228716,'1',103,'N'),(28,7228724,'1',238,'N'),(28,7228724,'1A',220,'N'),(28,7228732,'1',110,'N'),(28,7228740,'1',316,'N'),(28,7228759,'1',318,'N'),(28,7228783,'1',104,'N'),(28,7228791,'1',109,'N'),(28,7228813,'1',203,'N'),(28,7228813,'1A',202,'N'),(28,7228821,'1',317,'N'),(28,7228830,'1',999,'N'),(28,7228848,'1',336,'N'),(28,7228856,'1',304,'N'),(28,7228864,'1',3,'N'),(28,7228872,'1',233,'N'),(28,7228872,'1A',203,'N'),(28,7228880,'1',551,'N'),(28,7228899,'1',207,'N'),(28,7228899,'1A',652,'N'),(28,7228902,'1',220,'N'),(28,7228902,'1A',201,'N'),(28,7228910,'1',652,'N'),(28,7228910,'1A',655,'N'),(28,7228937,'1',201,'N'),(28,7228937,'1A',211,'N'),(28,7228945,'1',103,'N'),(28,7228953,'1',552,'N'),(28,7228961,'1',238,'N'),(28,7228961,'1A',655,'N'),(28,7228970,'1',201,'N'),(28,7228970,'1A',211,'N'),(28,7228988,'1',454,'N'),(28,7228996,'1',103,'N'),(28,7229003,'1',220,'N'),(28,7229003,'1A',203,'N'),(28,7229011,'1',103,'N'),(28,7229020,'1',999,'N'),(28,7229038,'1',103,'N'),(28,7229046,'1',103,'N'),(28,7229054,'1',103,'N'),(28,7229062,'1',201,'N'),(28,7229062,'1A',207,'N'),(28,7229070,'1',211,'N'),(28,7229070,'1A',207,'N'),(28,7229089,'1',320,'N'),(28,7229097,'1',203,'N'),(28,7229097,'1A',220,'N'),(28,7229100,'1',444,'N'),(28,7229127,'1',318,'N'),(28,7229135,'1',108,'N'),(28,7229143,'1',103,'N'),(28,7229151,'1',201,'N'),(28,7229151,'1A',203,'N'),(28,7229160,'1',104,'N'),(28,7229186,'1',203,'N'),(28,7229186,'1A',214,'N'),(28,7229194,'1',104,'N'),(28,7229208,'1',552,'N'),(28,7229216,'1',654,'N'),(28,7229224,'1',207,'N'),(28,7229224,'1A',601,'N'),(28,7229232,'1',340,'N'),(28,7229259,'1',326,'N'),(28,7229267,'1',103,'N'),(28,7229283,'1',103,'N'),(28,7229291,'1',203,'N'),(28,7229291,'1A',235,'N'),(28,7229305,'1',201,'N'),(28,7229305,'1A',202,'N'),(28,7229313,'1',339,'N'),(28,7229321,'1',429,'N'),(28,7229321,'1A',425,'N'),(28,7229348,'1',454,'N'),(28,7229356,'1',108,'N'),(28,7229364,'1',655,'N'),(28,7229364,'1A',238,'N'),(28,7229372,'1',301,'N'),(28,7229380,'1',201,'N'),(28,7229380,'1A',216,'N'),(28,7229399,'1',654,'N'),(28,7229402,'1',303,'N'),(28,7229429,'1',110,'N'),(28,7229437,'1',320,'N'),(28,7229445,'1',303,'N'),(28,7229453,'1',216,'N'),(28,7229453,'1A',202,'N'),(28,7229461,'1',103,'N'),(28,7229470,'1',104,'N'),(28,7229488,'1',233,'N'),(28,7229488,'1A',202,'N'),(28,7229496,'1',326,'N'),(28,7229500,'1',205,'N'),(28,7229526,'1',203,'N'),(28,7229526,'1A',201,'N'),(28,7229534,'1',103,'N'),(28,7229550,'1',335,'N'),(28,7229577,'1',319,'N'),(28,7229585,'1',450,'N'),(28,7229615,'1',302,'N'),(28,7229623,'1',211,'N'),(28,7229666,'1',339,'N'),(28,7229674,'1',454,'N'),(28,7229682,'1',503,'N'),(28,7229704,'1',335,'N'),(28,7229712,'1',207,'N'),(28,7229712,'1A',201,'N'),(28,7229720,'1',103,'N'),(28,7229739,'1',5,'N'),(28,7229747,'1',201,'N'),(28,7229747,'1A',211,'N'),(28,7229755,'1',220,'N'),(28,7229755,'1A',235,'N'),(28,7229771,'1',319,'N'),(28,7229780,'1',207,'N'),(28,7229780,'1A',233,'N'),(28,7229798,'1',999,'N'),(28,7229844,'1',440,'N'),(28,7229879,'1',220,'N'),(28,7229879,'1A',235,'N'),(28,7229887,'1',104,'N'),(28,7229895,'1',108,'N'),(28,7229909,'1',999,'N'),(28,7229917,'1',104,'N'),(28,7229925,'1',5,'N'),(28,7229933,'1',319,'N'),(28,7229950,'1',238,'N'),(28,7229950,'1A',235,'N'),(28,7229968,'1',216,'N'),(28,7229968,'1A',215,'N'),(28,7229984,'1',203,'N'),(28,7229984,'1A',211,'N'),(28,7229992,'1',301,'N'),(28,7230001,'1',601,'N'),(28,7230001,'1A',211,'N'),(28,7230010,'1',203,'N'),(28,7230010,'1A',211,'N'),(28,7230028,'1',220,'N'),(28,7230028,'1A',202,'N'),(28,7230036,'1',207,'N'),(28,7230036,'1A',233,'N'),(28,7230044,'1',317,'N'),(28,7230052,'1',207,'N'),(28,7230052,'1A',201,'N'),(28,7230060,'1',318,'N'),(28,7230079,'1',103,'N'),(28,7230109,'1',208,'N'),(28,7230117,'1',329,'N'),(28,7230141,'1',202,'N'),(28,7230141,'1A',235,'N'),(28,7230150,'1',208,'N'),(28,7230176,'1',201,'N'),(28,7230176,'1A',601,'N'),(28,7230192,'1',108,'N'),(28,7230206,'1',301,'N'),(28,7230214,'1',501,'N'),(28,7230222,'1',108,'N'),(28,7230230,'1',454,'N'),(28,7230249,'1',201,'N'),(28,7230249,'1A',211,'N'),(28,7230257,'1',9,'N'),(28,7230265,'1',309,'N'),(28,7230273,'1',108,'N'),(28,7230281,'1',103,'N'),(28,7230290,'1',340,'N'),(28,7230303,'1',102,'N'),(28,7230311,'1',103,'N'),(28,7230320,'1',2,'N'),(28,7230338,'1',103,'N'),(28,7230354,'1',103,'N'),(28,7230370,'1',207,'N'),(28,7230370,'1A',201,'N'),(28,7230389,'1',451,'N'),(28,7230397,'1',103,'N'),(28,7230400,'1',652,'N'),(28,7230400,'1A',653,'N'),(28,7230419,'1',104,'N'),(28,7230435,'1',203,'N'),(28,7230435,'1A',213,'N'),(28,7230443,'1',203,'N'),(28,7230443,'1A',220,'N'),(28,7230451,'1',999,'N'),(28,7230460,'1',9,'N'),(28,7230478,'1',327,'N'),(28,7230486,'1',203,'N'),(28,7230486,'1A',202,'N'),(28,7230494,'1',203,'N'),(28,7230494,'1A',601,'N'),(28,7230508,'1',103,'N'),(28,7230516,'1',201,'N'),(28,7230516,'1A',207,'N'),(28,7230524,'1',103,'N'),(28,7230532,'1',103,'N'),(28,7230540,'1',423,'N'),(28,7230540,'1A',427,'N'),(28,7230559,'1',103,'N'),(28,7230583,'1',211,'N'),(28,7230583,'1A',207,'N'),(28,7230591,'1',203,'N'),(28,7230591,'1A',201,'N'),(28,7230605,'1',404,'N'),(28,7230613,'1',103,'N'),(28,7230621,'1',103,'N'),(28,7230630,'1',444,'N'),(28,7230648,'1',503,'N'),(28,7230656,'1',339,'N'),(28,7230664,'1',103,'N'),(28,7230672,'1',999,'N'),(28,7230702,'1',503,'N'),(28,7230710,'1',552,'N'),(28,7230729,'1',102,'N'),(28,7230737,'1',424,'N'),(28,7230737,'1A',423,'N'),(28,7230753,'1',238,'N'),(28,7230753,'1A',235,'N'),(28,7230761,'1',444,'N'),(28,7230770,'1',415,'N'),(28,7230788,'1',238,'N'),(28,7230788,'1A',235,'N'),(28,7230796,'1',103,'N'),(28,7230800,'1',332,'N'),(28,7230818,'1',215,'N'),(28,7230818,'1A',216,'N'),(28,7230826,'1',337,'N'),(28,7230834,'1',104,'N'),(28,7230842,'1',5,'N'),(28,7230850,'1',104,'N'),(28,7230893,'1',340,'N'),(28,7230907,'1',303,'N'),(28,7230931,'1',444,'N'),(28,7230958,'1',201,'N'),(28,7230958,'1A',601,'N'),(28,7230966,'1',201,'N'),(28,7230966,'1A',601,'N'),(28,7230974,'1',316,'N'),(28,7230982,'1',301,'N'),(28,7230990,'1',340,'N'),(28,7231008,'1',103,'N'),(28,7231016,'1',103,'N'),(28,7231032,'1',999,'N'),(28,7231040,'1',415,'N'),(28,7231059,'1',207,'N'),(28,7231059,'1A',201,'N'),(28,7231075,'1',207,'N'),(28,7231083,'1',108,'N'),(28,7231091,'1',220,'N'),(28,7231091,'1A',233,'N'),(28,7231105,'1',104,'N'),(28,7231113,'1',101,'N'),(28,7231121,'1',320,'N'),(28,7231130,'1',203,'N'),(28,7231130,'1A',201,'N'),(28,7231148,'1',601,'N'),(28,7231148,'1A',653,'N'),(28,7231164,'1',234,'N'),(28,7231172,'1',655,'N'),(28,7231180,'1',203,'N'),(28,7231180,'1A',211,'N'),(28,7231199,'1',333,'N'),(28,7231202,'1',319,'N'),(28,7231210,'1',108,'N'),(28,7231229,'1',601,'N'),(28,7231229,'1A',216,'N'),(28,7231237,'1',101,'N'),(28,7231245,'1',339,'N'),(28,7231253,'1',207,'N'),(28,7231253,'1A',201,'N'),(28,7231270,'1',202,'N'),(28,7231270,'1A',203,'N'),(28,7231288,'1',208,'N'),(28,7231296,'1',5,'N'),(28,7231300,'1',303,'N'),(28,7231318,'1',103,'N'),(28,7231326,'1',103,'N'),(28,7231342,'1',450,'N'),(28,7231350,'1',653,'N'),(28,7231350,'1A',655,'N'),(28,7231369,'1',216,'N'),(28,7231369,'1A',233,'N'),(28,7231385,'1',415,'N'),(28,7231393,'1',654,'N'),(28,7231407,'1',308,'N'),(28,7231431,'1',203,'N'),(28,7231431,'1A',216,'N'),(28,7231458,'1',203,'N'),(28,7231458,'1A',207,'N'),(28,7231466,'1',103,'N'),(28,7231474,'1',552,'N'),(28,7231490,'1',235,'N'),(28,7231490,'1A',201,'N'),(28,7231504,'1',999,'N'),(28,7231520,'1',203,'N'),(28,7231547,'1',415,'N'),(28,7231555,'1',103,'N'),(28,7231571,'1',423,'N'),(28,7231571,'1A',426,'N'),(28,7231580,'1',451,'N'),(28,7231598,'1',999,'N'),(28,7231601,'1',207,'N'),(28,7231601,'1A',201,'N'),(28,7231610,'1',444,'N'),(28,7231636,'1',103,'N'),(28,7231644,'1',207,'N'),(28,7231644,'1A',201,'N'),(28,7231660,'1',101,'N'),(28,7231679,'1',108,'N'),(28,7231695,'1',108,'N'),(28,7231709,'1',302,'N'),(28,7231725,'1',340,'N'),(28,7231733,'1',104,'N'),(28,7231741,'1',415,'N'),(28,7231750,'1',444,'N'),(28,7231768,'1',103,'N'),(28,7231776,'1',552,'N'),(28,7231784,'1',316,'N'),(28,7231792,'1',207,'N'),(28,7231792,'1A',201,'N'),(28,7231806,'1',451,'N'),(28,7231814,'1',601,'N'),(28,7231814,'1A',207,'N'),(28,7231822,'1',318,'N'),(28,7231830,'1',301,'N'),(28,7231849,'1',222,'N'),(28,7231865,'1',999,'N'),(28,7231873,'1',302,'N'),(28,7231881,'1',423,'N'),(28,7231881,'1A',424,'N'),(28,7231903,'1',110,'N'),(28,7231911,'1',238,'N'),(28,7231911,'1A',652,'N'),(28,7231920,'1',101,'N'),(28,7231946,'1',110,'N'),(28,7231954,'1',303,'N'),(28,7231962,'1',207,'N'),(28,7231962,'1A',201,'N'),(28,7231970,'1',108,'N'),(28,7231989,'1',5,'N'),(28,7231997,'1',999,'N'),(28,7232004,'1',302,'N'),(28,7232020,'1',551,'N'),(28,7232047,'1',319,'N'),(28,7232055,'1',317,'N'),(28,7232063,'1',207,'N'),(28,7232063,'1A',215,'N'),(28,7232071,'1',303,'N'),(28,7232080,'1',211,'N'),(28,7232080,'1A',653,'N'),(28,7232098,'1',552,'N'),(28,7232101,'1',104,'N'),(28,7232110,'1',9,'N'),(28,7232128,'1',103,'N'),(28,7232136,'1',304,'N'),(28,7232144,'1',103,'N'),(28,7232152,'1',319,'N'),(28,7232160,'1',103,'N'),(28,7232179,'1',5,'N'),(28,7232187,'1',102,'N'),(28,7232195,'1',999,'N'),(28,7232209,'1',103,'N'),(28,7232217,'1',207,'N'),(28,7232217,'1A',215,'N'),(28,7232225,'1',454,'N'),(28,7232233,'1',303,'N'),(28,7232250,'1',201,'N'),(28,7232250,'1A',235,'N'),(28,7232276,'1',655,'N'),(28,7232284,'1',425,'N'),(28,7232284,'1A',423,'N'),(28,7232292,'1',207,'N'),(28,7232306,'1',319,'N'),(28,7232314,'1',319,'N'),(28,7232322,'1',319,'N'),(28,7232330,'1',415,'N'),(28,7232349,'1',108,'N'),(28,7232357,'1',103,'N'),(28,7232365,'1',220,'N'),(28,7232365,'1A',203,'N'),(28,7232373,'1',319,'N'),(28,7232381,'1',202,'N'),(28,7232381,'1A',235,'N'),(28,7232403,'1',108,'N'),(28,7232411,'1',319,'N'),(28,7232420,'1',423,'N'),(28,7232420,'1A',426,'N'),(28,7232438,'1',999,'N'),(28,7232446,'1',207,'N'),(28,7232446,'1A',211,'N'),(28,7232454,'1',319,'N'),(28,7232462,'1',109,'N'),(28,7232489,'1',404,'N'),(28,7232497,'1',103,'N'),(28,7232519,'1',999,'N'),(28,7232527,'1',203,'N'),(28,7232527,'1A',214,'N'),(28,7232535,'1',303,'N'),(28,7232543,'1',339,'N'),(28,7232551,'1',444,'N'),(28,7232560,'1',303,'N'),(28,7232578,'1',104,'N'),(28,7232594,'1',109,'N'),(28,7232616,'1',103,'N'),(28,7232624,'1',404,'N'),(28,7232640,'1',103,'N'),(28,7232667,'1',444,'N'),(28,7232683,'1',104,'N'),(28,7232691,'1',316,'N'),(28,7232705,'1',425,'N'),(28,7232721,'1',301,'N'),(28,7232730,'1',207,'N'),(28,7232730,'1A',201,'N'),(28,7232756,'1',215,'N'),(28,7232756,'1A',216,'N'),(28,7232764,'1',450,'N'),(28,7232772,'1',503,'N'),(28,7232780,'1',103,'N'),(28,7232799,'1',103,'N'),(28,7232802,'1',999,'N'),(28,7232810,'1',5,'N'),(28,7232829,'1',216,'N'),(28,7232829,'1A',655,'N'),(28,7232837,'1',999,'N'),(28,7232845,'1',102,'N'),(28,7232853,'1',303,'N'),(28,7232870,'1',212,'N'),(28,7232870,'1A',238,'N'),(28,7232888,'1',302,'N'),(28,7232896,'1',213,'N'),(28,7232896,'1A',235,'N'),(28,7232900,'1',201,'N'),(28,7232900,'1A',212,'N'),(28,7232918,'1',415,'N'),(28,7232926,'1',404,'N'),(28,7232934,'1',234,'N'),(28,7232942,'1',108,'N'),(28,7232950,'1',652,'N'),(28,7232950,'1A',655,'N'),(28,7232969,'1',201,'N'),(28,7232969,'1A',220,'N'),(28,7232977,'1',316,'N'),(28,7232993,'1',336,'N'),(28,7233000,'1',2,'N'),(28,7233027,'1',234,'N'),(28,7233035,'1',339,'N'),(28,7233043,'1',103,'N'),(28,7233051,'1',201,'N'),(28,7233051,'1A',207,'N'),(28,7233060,'1',103,'N'),(28,7233078,'1',103,'N'),(28,7233086,'1',201,'N'),(28,7233086,'1A',207,'N'),(28,7233108,'1',207,'N'),(28,7233108,'1A',201,'N'),(28,7233124,'1',415,'N'),(28,7233132,'1',101,'N'),(28,7233159,'1',551,'N'),(28,7233167,'1',444,'N'),(28,7233175,'1',207,'N'),(28,7233175,'1A',201,'N'),(28,7233183,'1',208,'N'),(28,7233191,'1',212,'N'),(28,7233191,'1A',201,'N'),(28,7233213,'1',103,'N'),(28,7233221,'1',205,'N'),(28,7233248,'1',103,'N'),(28,7233264,'1',5,'N'),(28,7233280,'1',208,'N'),(28,7233299,'1',501,'N'),(28,7233302,'1',201,'N'),(28,7233302,'1A',207,'N'),(28,7233310,'1',103,'N'),(28,7233329,'1',301,'N'),(28,7233337,'1',652,'N'),(28,7233337,'1A',655,'N'),(28,7233345,'1',999,'N'),(28,7233370,'1',601,'N'),(28,7233388,'1',404,'N'),(28,7233396,'1',552,'N'),(28,7233400,'1',426,'N'),(28,7233400,'1A',428,'N'),(28,7233418,'1',103,'N'),(28,7233426,'1',415,'N'),(28,7233434,'1',302,'N'),(28,7233450,'1',103,'N'),(28,7233469,'1',103,'N'),(28,7233477,'1',201,'N'),(28,7233485,'1',316,'N'),(28,7233493,'1',207,'N'),(28,7233493,'1A',601,'N'),(28,7233507,'1',220,'N'),(28,7233507,'1A',213,'N'),(28,7233515,'1',103,'N'),(28,7233523,'1',326,'N'),(28,7233531,'1',415,'N'),(28,7233558,'1',211,'N'),(28,7233558,'1A',207,'N'),(28,7233566,'1',202,'N'),(28,7233566,'1A',235,'N'),(28,7233574,'1',201,'N'),(28,7233574,'1A',233,'N'),(28,7233582,'1',336,'N'),(28,7233590,'1',104,'N'),(28,7233604,'1',5,'N'),(28,7233612,'1',104,'N'),(28,7233620,'1',655,'N'),(28,7233620,'1A',653,'N'),(28,7233639,'1',215,'N'),(28,7233639,'1A',211,'N'),(28,7233655,'1',415,'N'),(28,7233671,'1',203,'N'),(28,7233671,'1A',201,'N'),(28,7233680,'1',552,'N'),(28,7233701,'1',5,'N'),(28,7233710,'1',104,'N'),(28,7233728,'1',233,'N'),(28,7233728,'1A',601,'N'),(28,7233744,'1',503,'N'),(28,7233752,'1',101,'N'),(28,7233760,'1',450,'N'),(28,7233787,'1',332,'N'),(28,7233795,'1',454,'N'),(28,7233809,'1',104,'N'),(28,7233817,'1',552,'N'),(28,7233833,'1',303,'N'),(28,7233850,'1',2,'N'),(28,7233868,'1',220,'N'),(28,7233868,'1A',655,'N'),(28,7233884,'1',201,'N'),(28,7233884,'1A',212,'N'),(28,7233892,'1',454,'N'),(28,7233906,'1',211,'N'),(28,7233906,'1A',207,'N'),(28,7233914,'1',428,'N'),(28,7233914,'1A',421,'N'),(28,7233922,'1',501,'N'),(28,7233930,'1',201,'N'),(28,7233930,'1A',203,'N'),(28,7233949,'1',235,'N'),(28,7233949,'1A',202,'N'),(28,7233957,'1',317,'N'),(28,7233981,'1',551,'N'),(28,7233990,'1',5,'N'),(28,7234015,'1',103,'N'),(28,7234023,'1',203,'N'),(28,7234023,'1A',601,'N'),(28,7234040,'1',207,'N'),(28,7234040,'1A',655,'N'),(28,7234058,'1',316,'N'),(28,7234066,'1',404,'N'),(28,7234074,'1',104,'N'),(28,7234082,'1',109,'N'),(28,7234090,'1',212,'N'),(28,7234090,'1A',213,'N'),(28,7234104,'1',103,'N'),(28,7234112,'1',104,'N'),(28,7234120,'1',201,'N'),(28,7234120,'1A',207,'N'),(28,7234139,'1',103,'N'),(28,7234147,'1',5,'N'),(28,7234155,'1',552,'N'),(28,7234163,'1',103,'N'),(28,7234171,'1',3,'N'),(28,7234180,'1',339,'N'),(28,7234198,'1',454,'N'),(28,7234201,'1',317,'N'),(28,7234210,'1',101,'N'),(28,7234228,'1',454,'N'),(28,7234244,'1',318,'N'),(28,7234252,'1',5,'N'),(28,7234260,'1',103,'N'),(28,7234287,'1',216,'N'),(28,7234287,'1A',215,'N'),(28,7234295,'1',203,'N'),(28,7234295,'1A',214,'N'),(28,7234309,'1',225,'N'),(28,7234325,'1',201,'N'),(28,7234325,'1A',212,'N'),(28,7234333,'1',201,'N'),(28,7234333,'1A',212,'N'),(28,7234341,'1',415,'N'),(28,7234350,'1',207,'N'),(28,7234350,'1A',201,'N'),(28,7234368,'1',318,'N'),(28,7234376,'1',454,'N'),(28,7234384,'1',3,'N'),(28,7234392,'1',216,'N'),(28,7234392,'1A',211,'N'),(28,7234414,'1',415,'N'),(28,7234422,'1',303,'N'),(28,7234449,'1',216,'N'),(28,7234449,'1A',213,'N'),(28,7234473,'1',404,'N'),(28,7234481,'1',319,'N'),(28,7234490,'1',303,'N'),(28,7234503,'1',316,'N'),(28,7234511,'1',303,'N'),(28,7234520,'1',103,'N'),(28,7234538,'1',201,'N'),(28,7234538,'1A',203,'N'),(28,7234546,'1',216,'N'),(28,7234546,'1A',215,'N'),(28,7234562,'1',104,'N'),(28,7234570,'1',103,'N'),(28,7234589,'1',428,'N'),(28,7234589,'1A',425,'N'),(28,7234600,'1',303,'N'),(28,7234619,'1',203,'N'),(28,7234619,'1A',220,'N'),(28,7234627,'1',201,'N'),(28,7234627,'1A',211,'N'),(28,7234635,'1',303,'N'),(28,7234643,'1',339,'N'),(28,7234651,'1',207,'N'),(28,7234651,'1A',201,'N'),(28,7234660,'1',103,'N'),(28,7234678,'1',103,'N'),(28,7234686,'1',324,'N'),(28,7234708,'1',9,'N'),(28,7234716,'1',308,'N'),(28,7234724,'1',309,'N'),(28,7234767,'1',428,'N'),(28,7234775,'1',552,'N'),(28,7234783,'1',208,'N'),(28,7234791,'1',319,'N'),(28,7234805,'1',103,'N'),(28,7234813,'1',999,'N'),(28,7234830,'1',9,'N'),(28,7234856,'1',103,'N'),(28,7234872,'1',110,'N'),(28,7234880,'1',304,'N'),(28,7234899,'1',5,'N'),(28,7234902,'1',101,'N'),(28,7234910,'1',339,'N'),(28,7234929,'1',301,'N'),(28,7234937,'1',212,'N'),(28,7234937,'1A',213,'N'),(28,7234953,'1',104,'N'),(28,7234961,'1',999,'N'),(28,7234970,'1',339,'N'),(28,7234988,'1',552,'N'),(28,7235003,'1',424,'N'),(28,7235003,'1A',427,'N'),(28,7235011,'1',319,'N'),(28,7235020,'1',415,'N'),(28,7235038,'1',304,'N'),(28,7235046,'1',235,'N'),(28,7235046,'1A',238,'N'),(28,7235054,'1',101,'N'),(28,7235062,'1',103,'N'),(28,7235070,'1',425,'N'),(28,7235070,'1A',423,'N'),(28,7235089,'1',454,'N'),(28,7235097,'1',999,'N'),(28,7235100,'1',5,'N'),(28,7235119,'1',202,'N'),(28,7235119,'1A',203,'N'),(28,7235127,'1',429,'N'),(28,7235127,'1A',424,'N'),(28,7235135,'1',3,'N'),(28,7235143,'1',208,'N'),(28,7235151,'1',316,'N'),(28,7235160,'1',201,'N'),(28,7235160,'1A',212,'N'),(28,7235178,'1',207,'N'),(28,7235178,'1A',201,'N'),(28,7235186,'1',501,'N'),(28,7235208,'1',103,'N'),(28,7235216,'1',109,'N'),(28,7235232,'1',428,'N'),(28,7235232,'1A',421,'N'),(28,7235240,'1',103,'N'),(28,7235259,'1',201,'N'),(28,7235259,'1A',601,'N'),(28,7235267,'1',340,'N'),(28,7235275,'1',319,'N'),(28,7235283,'1',308,'N'),(28,7235291,'1',999,'N'),(28,7235305,'1',207,'N'),(28,7235305,'1A',201,'N'),(28,7235313,'1',201,'N'),(28,7235313,'1A',202,'N'),(28,7235321,'1',5,'N'),(28,7235348,'1',316,'N'),(28,7235364,'1',319,'N'),(28,7235372,'1',109,'N'),(28,7235380,'1',303,'N'),(28,7235402,'1',238,'N'),(28,7235410,'1',308,'N'),(28,7235429,'1',222,'N'),(28,7235437,'1',303,'N'),(28,7235445,'1',303,'N'),(28,7235461,'1',308,'N'),(28,7235488,'1',216,'N'),(28,7235488,'1A',215,'N'),(28,7235496,'1',425,'N'),(28,7235496,'1A',429,'N'),(28,7235500,'1',103,'N'),(28,7235518,'1',552,'N'),(28,7235526,'1',208,'N'),(28,7235534,'1',999,'N'),(28,7235569,'1',103,'N'),(28,7235577,'1',317,'N'),(28,7235585,'1',207,'N'),(28,7235585,'1A',238,'N'),(28,7235593,'1',9,'N'),(28,7235607,'1',207,'N'),(28,7235615,'1',601,'N'),(28,7235615,'1A',653,'N'),(28,7235623,'1',203,'N'),(28,7235623,'1A',214,'N'),(28,7235631,'1',552,'N'),(28,7235658,'1',203,'N'),(28,7235658,'1A',201,'N'),(28,7235674,'1',234,'N'),(28,7235682,'1',3,'N'),(28,7235690,'1',213,'N'),(28,7235704,'1',319,'N'),(28,7235712,'1',235,'N'),(28,7235712,'1A',202,'N'),(28,7235720,'1',303,'N'),(28,7235747,'1',415,'N'),(28,7235755,'1',454,'N'),(28,7235763,'1',551,'N'),(28,7235771,'1',999,'N'),(28,7235780,'1',110,'N'),(28,7235798,'1',103,'N'),(28,7235810,'1',103,'N'),(28,7235828,'1',103,'N'),(28,7235836,'1',108,'N'),(28,7235844,'1',404,'N'),(28,7235852,'1',203,'N'),(28,7235852,'1A',201,'N'),(28,7235860,'1',552,'N'),(28,7235879,'1',103,'N'),(28,7235895,'1',103,'N'),(28,7235917,'1',201,'N'),(28,7235917,'1A',203,'N'),(28,7235925,'1',201,'N'),(28,7235925,'1A',207,'N'),(28,7235933,'1',103,'N'),(28,7235941,'1',429,'N'),(28,7235941,'1A',425,'N'),(28,7235950,'1',201,'N'),(28,7235950,'1A',212,'N'),(28,7235968,'1',202,'N'),(28,7235968,'1A',235,'N'),(28,7235976,'1',201,'N'),(28,7235976,'1A',213,'N'),(28,7235984,'1',5,'N'),(28,7235992,'1',103,'N'),(28,7236000,'1',203,'N'),(28,7236000,'1A',202,'N'),(28,7236018,'1',454,'N'),(28,7236042,'1',110,'N'),(28,7236050,'1',212,'N'),(28,7236050,'1A',215,'N'),(28,7236077,'1',5,'N'),(28,7236093,'1',108,'N'),(28,7236107,'1',319,'N'),(28,7236123,'1',201,'N'),(28,7236123,'1A',212,'N'),(28,7236131,'1',103,'N'),(28,7236140,'1',216,'N'),(28,7236158,'1',202,'N'),(28,7236158,'1A',601,'N'),(28,7236166,'1',108,'N'),(28,7236174,'1',425,'N'),(28,7236182,'1',104,'N'),(28,7236190,'1',340,'N'),(28,7236204,'1',108,'N'),(28,7236212,'1',319,'N'),(28,7236220,'1',999,'N'),(28,7236239,'1',216,'N'),(28,7236239,'1A',235,'N'),(28,7236247,'1',104,'N'),(28,7236255,'1',425,'N'),(28,7236255,'1A',429,'N'),(28,7236263,'1',212,'N'),(28,7236263,'1A',233,'N'),(28,7236271,'1',103,'N'),(28,7236280,'1',601,'N'),(28,7236280,'1A',203,'N'),(28,7236298,'1',425,'N'),(28,7236298,'1A',424,'N'),(28,7236301,'1',104,'N'),(28,7236310,'1',207,'N'),(28,7236310,'1A',201,'N'),(28,7236328,'1',203,'N'),(28,7236328,'1A',235,'N'),(28,7236336,'1',655,'N'),(28,7236336,'1A',201,'N'),(28,7236344,'1',220,'N'),(28,7236344,'1A',203,'N'),(28,7236379,'1',3,'N'),(28,7236387,'1',5,'N'),(28,7236409,'1',999,'N'),(28,7236417,'1',308,'N'),(28,7236425,'1',450,'N'),(28,7236433,'1',415,'N'),(28,7236441,'1',203,'N'),(28,7236441,'1A',201,'N'),(28,7236450,'1',238,'N'),(28,7236450,'1A',202,'N'),(28,7236468,'1',302,'N'),(28,7236476,'1',238,'N'),(28,7236492,'1',102,'N'),(28,7236506,'1',999,'N'),(28,7236530,'1',340,'N'),(28,7236549,'1',201,'N'),(28,7236549,'1A',235,'N'),(28,7236557,'1',309,'N'),(28,7236565,'1',212,'N'),(28,7236565,'1A',213,'N'),(28,7236573,'1',201,'N'),(28,7236573,'1A',212,'N'),(28,7236590,'1',601,'N'),(28,7236603,'1',999,'N'),(28,7236620,'1',5,'N'),(28,7236638,'1',454,'N'),(28,7236646,'1',103,'N'),(28,7236654,'1',331,'N'),(28,7236662,'1',103,'N'),(28,7236689,'1',316,'N'),(28,7236697,'1',213,'N'),(28,7236697,'1A',601,'N'),(28,7236700,'1',216,'N'),(28,7236700,'1A',211,'N'),(28,7236727,'1',202,'N'),(28,7236727,'1A',213,'N'),(28,7236751,'1',103,'N'),(28,7236760,'1',428,'N'),(28,7236760,'1A',427,'N'),(28,7236778,'1',103,'N'),(28,7236786,'1',999,'N'),(28,7236794,'1',235,'N'),(28,7236794,'1A',601,'N'),(28,7236808,'1',214,'N'),(28,7236808,'1A',212,'N'),(28,7236824,'1',201,'N'),(28,7236824,'1A',212,'N'),(28,7236832,'1',103,'N'),(28,7236840,'1',101,'N'),(28,7236859,'1',103,'N'),(28,7236867,'1',108,'N'),(28,7236875,'1',317,'N'),(28,7236883,'1',999,'N'),(28,7236891,'1',316,'N'),(28,7236913,'1',303,'N'),(28,7236921,'1',415,'N'),(28,7236930,'1',202,'N'),(28,7236930,'1A',235,'N'),(28,7236956,'1',327,'N'),(28,7236964,'1',454,'N'),(28,7236972,'1',103,'N'),(28,7236999,'1',404,'N'),(28,7237006,'1',207,'N'),(28,7237006,'1A',212,'N'),(28,7237030,'1',101,'N'),(28,7237057,'1',103,'N'),(28,7237065,'1',601,'N'),(28,7237065,'1A',220,'N'),(28,7237073,'1',404,'N'),(28,7237081,'1',999,'N'),(28,7237090,'1',319,'N'),(28,7237103,'1',301,'N'),(28,7237111,'1',324,'N'),(28,7237120,'1',319,'N'),(28,7237138,'1',201,'N'),(28,7237138,'1A',212,'N'),(28,7237146,'1',303,'N'),(28,7237154,'1',201,'N'),(28,7237154,'1A',216,'N'),(28,7237162,'1',429,'N'),(28,7237162,'1A',425,'N'),(28,7237170,'1',207,'N'),(28,7237170,'1A',201,'N'),(28,7237189,'1',103,'N'),(28,7237197,'1',337,'N'),(28,7237227,'1',108,'N'),(28,7237235,'1',309,'N'),(28,7237243,'1',207,'N'),(28,7237243,'1A',212,'N'),(28,7237260,'1',220,'N'),(28,7237260,'1A',201,'N'),(28,7237286,'1',103,'N'),(28,7237294,'1',103,'N'),(28,7237308,'1',319,'N'),(28,7237316,'1',318,'N'),(28,7237324,'1',108,'N'),(28,7237332,'1',222,'N'),(28,7237340,'1',999,'N'),(28,7237359,'1',201,'N'),(28,7237359,'1A',203,'N'),(28,7237367,'1',444,'N'),(28,7237375,'1',320,'N'),(28,7237383,'1',339,'N'),(28,7237391,'1',501,'N'),(28,7237405,'1',214,'N'),(28,7237405,'1A',203,'N'),(28,7237413,'1',103,'N'),(28,7237421,'1',336,'N'),(28,7237430,'1',317,'N'),(28,7237448,'1',238,'N'),(28,7237448,'1A',215,'N'),(28,7237456,'1',203,'N'),(28,7237456,'1A',220,'N'),(28,7237464,'1',101,'N'),(28,7237472,'1',5,'N'),(28,7237480,'1',207,'N'),(28,7237480,'1A',211,'N'),(28,7237499,'1',104,'N'),(28,7237502,'1',999,'N'),(28,7237510,'1',454,'N'),(28,7237529,'1',652,'N'),(28,7237529,'1A',653,'N'),(28,7237545,'1',9,'N'),(28,7237553,'1',201,'N'),(28,7237553,'1A',207,'N'),(28,7237561,'1',450,'N'),(28,7237570,'1',319,'N'),(28,7237596,'1',318,'N'),(28,7237600,'1',999,'N'),(28,7237618,'1',309,'N'),(28,7237626,'1',213,'N'),(28,7237626,'1A',215,'N'),(28,7237634,'1',208,'N'),(28,7237642,'1',216,'N'),(28,7237642,'1A',215,'N'),(28,7237650,'1',652,'N'),(28,7237669,'1',208,'N'),(28,7237677,'1',103,'N'),(28,7237693,'1',201,'N'),(28,7237693,'1A',207,'N'),(28,7237715,'1',415,'N'),(28,7237731,'1',101,'N'),(28,7237766,'1',238,'N'),(28,7237766,'1A',211,'N'),(28,7237774,'1',319,'N'),(28,7237782,'1',202,'N'),(28,7237782,'1A',235,'N'),(28,7237790,'1',303,'N'),(28,7237812,'1',103,'N'),(28,7237820,'1',5,'N'),(28,7237839,'1',103,'N'),(28,7237847,'1',332,'N'),(28,7237855,'1',601,'N'),(28,7237855,'1A',211,'N'),(28,7237863,'1',216,'N'),(28,7237863,'1A',201,'N'),(28,7237871,'1',103,'N'),(28,7237880,'1',5,'N'),(28,7237898,'1',318,'N'),(28,7237910,'1',303,'N'),(28,7237928,'1',5,'N'),(28,7237936,'1',102,'N'),(28,7237944,'1',216,'N'),(28,7237944,'1A',211,'N'),(28,7237952,'1',108,'N'),(28,7237960,'1',203,'N'),(28,7237960,'1A',201,'N'),(28,7237979,'1',201,'N'),(28,7237987,'1',653,'N'),(28,7237987,'1A',655,'N'),(28,7237995,'1',104,'N'),(28,7238002,'1',103,'N'),(28,7238010,'1',102,'N'),(28,7238037,'1',101,'N'),(28,7238045,'1',207,'N'),(28,7238045,'1A',601,'N'),(28,7238061,'1',103,'N'),(28,7238070,'1',208,'N'),(28,7238096,'1',451,'N'),(28,7238100,'1',103,'N'),(28,7238118,'1',201,'N'),(28,7238118,'1A',207,'N'),(28,7238126,'1',103,'N'),(28,7238134,'1',203,'N'),(28,7238134,'1A',214,'N'),(28,7238142,'1',425,'N'),(28,7238142,'1A',426,'N'),(28,7238150,'1',103,'N'),(28,7238169,'1',103,'N'),(28,7238185,'1',103,'N'),(28,7238193,'1',2,'N'),(28,7238207,'1',201,'N'),(28,7238207,'1A',207,'N'),(28,7238215,'1',103,'N'),(28,7238223,'1',103,'N'),(28,7238231,'1',999,'N'),(28,7238240,'1',999,'N'),(28,7238258,'1',103,'N'),(28,7238266,'1',235,'N'),(28,7238266,'1A',238,'N'),(28,7238274,'1',552,'N'),(28,7238282,'1',319,'N'),(28,7238290,'1',101,'N'),(28,7238312,'1',207,'N'),(28,7238312,'1A',211,'N'),(28,7238320,'1',103,'N'),(28,7238339,'1',103,'N'),(28,7238347,'1',224,'N'),(28,7238355,'1',103,'N'),(28,7238371,'1',551,'N'),(28,7238380,'1',203,'N'),(28,7238380,'1A',235,'N'),(28,7238398,'1',233,'N'),(28,7238398,'1A',202,'N'),(28,7238401,'1',202,'N'),(28,7238401,'1A',201,'N'),(28,7238410,'1',319,'N'),(28,7238436,'1',220,'N'),(28,7238436,'1A',203,'N'),(28,7238444,'1',5,'N'),(28,7238452,'1',404,'N'),(28,7238460,'1',104,'N'),(28,7238479,'1',454,'N'),(28,7238487,'1',103,'N'),(28,7238495,'1',319,'N'),(28,7238509,'1',551,'N'),(28,7238517,'1',338,'N'),(28,7238525,'1',301,'N'),(28,7238533,'1',329,'N'),(28,7238541,'1',201,'N'),(28,7238541,'1A',220,'N'),(28,7238550,'1',601,'N'),(28,7238550,'1A',216,'N'),(28,7238568,'1',216,'N'),(28,7238568,'1A',220,'N'),(28,7238576,'1',552,'N'),(28,7238584,'1',201,'N'),(28,7238584,'1A',238,'N'),(28,7238614,'1',340,'N'),(28,7238630,'1',340,'N'),(28,7238649,'1',201,'N'),(28,7238649,'1A',238,'N'),(28,7238657,'1',340,'N'),(28,7238665,'1',220,'N'),(28,7238665,'1A',238,'N'),(28,7238673,'1',224,'N'),(28,7238681,'1',203,'N'),(28,7238681,'1A',213,'N'),(28,7238711,'1',216,'N'),(28,7238711,'1A',215,'N'),(28,7238720,'1',454,'N'),(28,7238738,'1',319,'N'),(28,7238746,'1',310,'N'),(28,7238754,'1',999,'N'),(28,7238762,'1',202,'N'),(28,7238762,'1A',213,'N'),(28,7238770,'1',203,'N'),(28,7238770,'1A',233,'N'),(28,7238789,'1',108,'N'),(28,7238797,'1',207,'N'),(28,7238797,'1A',201,'N'),(28,7238800,'1',103,'N'),(28,7238819,'1',427,'N'),(28,7238819,'1A',424,'N'),(28,7238827,'1',103,'N'),(28,7238835,'1',5,'N'),(28,7238843,'1',101,'N'),(28,7238851,'1',207,'N'),(28,7238860,'1',655,'N'),(28,7238860,'1A',238,'N'),(28,7238878,'1',233,'N'),(28,7238878,'1A',216,'N'),(28,7238886,'1',108,'N'),(28,7238894,'1',211,'N'),(28,7238894,'1A',215,'N'),(28,7238916,'1',208,'N'),(28,7238924,'1',415,'N'),(28,7238932,'1',301,'N'),(28,7238940,'1',601,'N'),(28,7238940,'1A',201,'N'),(28,7238959,'1',104,'N'),(28,7238967,'1',203,'N'),(28,7238967,'1A',214,'N'),(28,7238975,'1',104,'N'),(28,7238983,'1',103,'N'),(28,7238991,'1',207,'N'),(28,7238991,'1A',215,'N'),(28,7239009,'1',319,'N'),(28,7239017,'1',225,'N'),(28,7239025,'1',212,'N'),(28,7239025,'1A',207,'N'),(28,7239033,'1',454,'N'),(28,7239041,'1',501,'N'),(28,7239050,'1',103,'N'),(28,7239068,'1',208,'N'),(28,7239076,'1',3,'N'),(28,7239084,'1',201,'N'),(28,7239084,'1A',207,'N'),(28,7239092,'1',552,'N'),(28,7239106,'1',339,'N'),(28,7239114,'1',328,'N'),(28,7239122,'1',108,'N'),(28,7239130,'1',220,'N'),(28,7239130,'1A',233,'N'),(28,7239149,'1',211,'N'),(28,7239149,'1A',216,'N'),(28,7239157,'1',103,'N'),(28,7239165,'1',428,'N'),(28,7239165,'1A',424,'N'),(28,7239173,'1',103,'N'),(28,7239190,'1',303,'N'),(28,7239211,'1',318,'N'),(28,7239220,'1',214,'N'),(28,7239220,'1A',213,'N'),(28,7239238,'1',316,'N'),(28,7239246,'1',454,'N'),(28,7239254,'1',301,'N'),(28,7239262,'1',336,'N'),(28,7239270,'1',5,'N'),(28,7239297,'1',301,'N'),(28,7239300,'1',501,'N'),(28,7239319,'1',9,'N'),(28,7239335,'1',238,'N'),(28,7239335,'1A',207,'N'),(28,7239351,'1',304,'N'),(28,7239360,'1',5,'N'),(28,7239378,'1',601,'N'),(28,7239378,'1A',203,'N'),(28,7239386,'1',214,'N'),(28,7239386,'1A',215,'N'),(28,7239408,'1',214,'N'),(28,7239408,'1A',213,'N'),(28,7239416,'1',327,'N'),(28,7239424,'1',103,'N'),(28,7239432,'1',108,'N'),(28,7239440,'1',222,'N'),(28,7239459,'1',216,'N'),(28,7239459,'1A',203,'N'),(28,7239467,'1',9,'N'),(28,7239475,'1',202,'N'),(28,7239475,'1A',235,'N'),(28,7239483,'1',201,'N'),(28,7239483,'1A',220,'N'),(28,7239505,'1',216,'N'),(28,7239505,'1A',214,'N'),(28,7239513,'1',202,'N'),(28,7239513,'1A',220,'N'),(28,7239521,'1',201,'N'),(28,7239521,'1A',212,'N'),(28,7239530,'1',101,'N'),(28,7239548,'1',220,'N'),(28,7239548,'1A',235,'N'),(28,7239556,'1',999,'N'),(28,7239572,'1',425,'N'),(28,7239572,'1A',429,'N'),(28,7239580,'1',319,'N'),(28,7239602,'1',415,'N'),(28,7239610,'1',103,'N'),(28,7239629,'1',103,'N'),(28,7239637,'1',5,'N'),(28,7239645,'1',303,'N'),(28,7239653,'1',207,'N'),(28,7239653,'1A',201,'N'),(28,7239661,'1',203,'N'),(28,7239661,'1A',201,'N'),(28,7239670,'1',301,'N'),(28,7239688,'1',214,'N'),(28,7239688,'1A',212,'N'),(28,7239696,'1',303,'N'),(28,7239700,'1',340,'N'),(28,7239718,'1',207,'N'),(28,7239718,'1A',216,'N'),(28,7239726,'1',310,'N'),(28,7239742,'1',5,'N'),(28,7239750,'1',303,'N'),(28,7239769,'1',999,'N'),(28,7239777,'1',5,'N'),(28,7239785,'1',207,'N'),(28,7239785,'1A',201,'N'),(28,7239793,'1',425,'N'),(28,7239793,'1A',424,'N'),(28,7239807,'1',551,'N'),(28,7239815,'1',552,'N'),(28,7239831,'1',319,'N'),(28,7239840,'1',552,'N'),(28,7239858,'1',201,'N'),(28,7239858,'1A',207,'N'),(28,7239866,'1',450,'N'),(28,7239874,'1',340,'N'),(28,7239882,'1',303,'N'),(28,7239890,'1',340,'N'),(28,7239904,'1',331,'N'),(28,7239912,'1',238,'N'),(28,7239920,'1',201,'N'),(28,7239920,'1A',213,'N'),(28,7239939,'1',216,'N'),(28,7239939,'1A',233,'N'),(28,7239947,'1',424,'N'),(28,7239947,'1A',428,'N'),(28,7239955,'1',202,'N'),(28,7239955,'1A',235,'N'),(28,7239963,'1',552,'N'),(28,7239971,'1',104,'N'),(28,7239980,'1',652,'N'),(28,7239980,'1A',653,'N'),(28,7239998,'1',415,'N'),(28,7240007,'1',203,'N'),(28,7240007,'1A',214,'N'),(28,7240015,'1',103,'N'),(28,7240023,'1',999,'N'),(28,7240031,'1',601,'N'),(28,7240031,'1A',211,'N'),(28,7240040,'1',207,'N'),(28,7240040,'1A',215,'N'),(28,7240058,'1',317,'N'),(28,7240074,'1',999,'N'),(28,7240082,'1',601,'N'),(28,7240082,'1A',215,'N'),(28,7240090,'1',207,'N'),(28,7240090,'1A',201,'N'),(28,7240112,'1',103,'N'),(28,7240120,'1',316,'N'),(28,7240139,'1',999,'N'),(28,7240147,'1',317,'N'),(28,7240163,'1',201,'N'),(28,7240163,'1A',214,'N'),(28,7240171,'1',103,'N'),(28,7240180,'1',103,'N'),(28,7240201,'1',333,'N'),(28,7240210,'1',203,'N'),(28,7240210,'1A',220,'N'),(28,7240228,'1',304,'N'),(28,7240236,'1',203,'N'),(28,7240236,'1A',214,'N'),(28,7240244,'1',333,'N'),(28,7240252,'1',551,'N'),(28,7240260,'1',103,'N'),(28,7240287,'1',999,'N'),(28,7240309,'1',999,'N'),(28,7240317,'1',601,'N'),(28,7240317,'1A',216,'N'),(28,7240325,'1',103,'N'),(28,7240333,'1',304,'N'),(28,7240341,'1',103,'N'),(28,7240350,'1',233,'N'),(28,7240350,'1A',238,'N'),(28,7240368,'1',302,'N'),(28,7240376,'1',225,'N'),(28,7240384,'1',233,'N'),(28,7240384,'1A',235,'N'),(28,7240392,'1',601,'N'),(28,7240392,'1A',213,'N'),(28,7240406,'1',202,'N'),(28,7240406,'1A',235,'N'),(28,7240422,'1',216,'N'),(28,7240422,'1A',215,'N'),(28,7240430,'1',103,'N'),(28,7240449,'1',238,'N'),(28,7240457,'1',216,'N'),(28,7240457,'1A',215,'N'),(28,7240465,'1',102,'N'),(28,7240473,'1',213,'N'),(28,7240473,'1A',233,'N'),(28,7240481,'1',103,'N'),(28,7240490,'1',301,'N'),(28,7240503,'1',308,'N'),(28,7240538,'1',999,'N'),(28,7240546,'1',238,'N'),(28,7240546,'1A',203,'N'),(28,7240554,'1',104,'N'),(28,7240562,'1',319,'N'),(28,7240570,'1',103,'N'),(28,7240589,'1',109,'N'),(28,7240597,'1',454,'N'),(28,7240619,'1',319,'N'),(28,7240635,'1',415,'N'),(28,7240643,'1',601,'N'),(28,7240643,'1A',233,'N'),(28,7240660,'1',103,'N'),(28,7240678,'1',319,'N'),(28,7240694,'1',211,'N'),(28,7240694,'1A',601,'N'),(28,7240708,'1',238,'N'),(28,7240708,'1A',235,'N'),(28,7240716,'1',454,'N'),(28,7240724,'1',308,'N'),(28,7240732,'1',103,'N'),(28,7240740,'1',208,'N'),(28,7240767,'1',108,'N'),(28,7240775,'1',501,'N'),(28,7240791,'1',103,'N'),(28,7240805,'1',501,'N'),(28,7240813,'1',326,'N'),(28,7240821,'1',103,'N'),(28,7240830,'1',202,'N'),(28,7240830,'1A',655,'N'),(28,7240848,'1',552,'N'),(28,7240864,'1',303,'N'),(28,7240872,'1',233,'N'),(28,7240872,'1A',215,'N'),(28,7240880,'1',309,'N'),(28,7240902,'1',301,'N'),(28,7240910,'1',214,'N'),(28,7240910,'1A',213,'N'),(28,7240929,'1',201,'N'),(28,7240929,'1A',212,'N'),(28,7240937,'1',215,'N'),(28,7240937,'1A',216,'N'),(28,7240953,'1',238,'N'),(28,7240953,'1A',233,'N'),(28,7240961,'1',333,'N'),(28,7240988,'1',103,'N'),(28,7241011,'1',5,'N'),(28,7241020,'1',201,'N'),(28,7241020,'1A',212,'N'),(28,7241038,'1',454,'N'),(28,7241046,'1',429,'N'),(28,7241046,'1A',425,'N'),(28,7241054,'1',203,'N'),(28,7241054,'1A',214,'N'),(28,7241062,'1',652,'N'),(28,7241062,'1A',655,'N'),(28,7241089,'1',655,'N'),(28,7241089,'1A',652,'N'),(28,7241097,'1',103,'N'),(28,7241100,'1',109,'N'),(28,7241119,'1',653,'N'),(28,7241119,'1A',235,'N'),(28,7241127,'1',5,'N'),(28,7241135,'1',216,'N'),(28,7241135,'1A',233,'N'),(28,7241143,'1',201,'N'),(28,7241143,'1A',202,'N'),(28,7241151,'1',110,'N'),(28,7241160,'1',404,'N'),(28,7241178,'1',103,'N'),(28,7241186,'1',233,'N'),(28,7241216,'1',102,'N'),(28,7241224,'1',655,'N'),(28,7241224,'1A',601,'N'),(28,7241232,'1',999,'N'),(28,7241240,'1',201,'N'),(28,7241240,'1A',207,'N'),(28,7241267,'1',454,'N'),(28,7241275,'1',450,'N'),(28,7241283,'1',103,'N'),(28,7241291,'1',103,'N'),(28,7241305,'1',220,'N'),(28,7241305,'1A',235,'N'),(28,7241313,'1',101,'N'),(28,7241321,'1',428,'N'),(28,7241321,'1A',425,'N'),(28,7241330,'1',103,'N'),(28,7241356,'1',303,'N'),(28,7241364,'1',303,'N'),(28,7241372,'1',9,'N'),(28,7241380,'1',110,'N'),(28,7241399,'1',203,'N'),(28,7241399,'1A',233,'N'),(28,7241402,'1',654,'N'),(28,7241410,'1',999,'N'),(28,7241429,'1',233,'N'),(28,7241429,'1A',213,'N'),(28,7241437,'1',211,'N'),(28,7241437,'1A',601,'N'),(28,7241453,'1',5,'N'),(28,7241461,'1',216,'N'),(28,7241461,'1A',655,'N'),(28,7241470,'1',319,'N'),(28,7241488,'1',211,'N'),(28,7241488,'1A',233,'N'),(28,7241496,'1',201,'N'),(28,7241496,'1A',203,'N'),(28,7241500,'1',201,'N'),(28,7241500,'1A',212,'N'),(28,7241518,'1',601,'N'),(28,7241526,'1',207,'N'),(28,7241526,'1A',201,'N'),(28,7241534,'1',201,'N'),(28,7241534,'1A',212,'N'),(28,7241542,'1',103,'N'),(28,7241550,'1',211,'N'),(28,7241550,'1A',201,'N'),(28,7241569,'1',215,'N'),(28,7241569,'1A',211,'N'),(28,7241577,'1',102,'N'),(28,7241585,'1',333,'N'),(28,7241607,'1',999,'N'),(28,7241615,'1',103,'N'),(28,7241631,'1',103,'N'),(28,7241640,'1',339,'N'),(28,7241658,'1',319,'N'),(28,7241666,'1',103,'N'),(28,7241674,'1',103,'N'),(28,7241682,'1',201,'N'),(28,7241682,'1A',212,'N'),(28,7241690,'1',601,'N'),(28,7241690,'1A',207,'N'),(28,7241704,'1',203,'N'),(28,7241704,'1A',202,'N'),(28,7241712,'1',653,'N'),(28,7241712,'1A',655,'N'),(28,7241739,'1',653,'N'),(28,7241739,'1A',212,'N'),(28,7241747,'1',103,'N'),(28,7241755,'1',316,'N'),(28,7241763,'1',317,'N'),(28,7241771,'1',203,'N'),(28,7241771,'1A',214,'N'),(28,7241780,'1',319,'N'),(28,7241798,'1',202,'N'),(28,7241798,'1A',213,'N'),(28,7241801,'1',444,'N'),(28,7241810,'1',454,'N'),(28,7241828,'1',215,'N'),(28,7241828,'1A',216,'N'),(28,7241844,'1',999,'N'),(28,7241852,'1',454,'N'),(28,7241860,'1',202,'N'),(28,7241860,'1A',235,'N'),(28,7241879,'1',103,'N'),(28,7241887,'1',104,'N'),(28,7241895,'1',103,'N'),(28,7241917,'1',999,'N'),(28,7241925,'1',207,'N'),(28,7241925,'1A',201,'N'),(28,7241933,'1',301,'N'),(28,7241941,'1',652,'N'),(28,7241941,'1A',202,'N'),(28,7241950,'1',303,'N'),(28,7241968,'1',5,'N'),(28,7241976,'1',214,'N'),(28,7241976,'1A',203,'N'),(28,7241984,'1',102,'N'),(28,7241992,'1',415,'N'),(28,7242000,'1',999,'N'),(28,7242018,'1',999,'N'),(28,7242026,'1',303,'N'),(28,7242034,'1',103,'N'),(28,7242042,'1',999,'N'),(28,7242069,'1',999,'N'),(28,7242077,'1',501,'N'),(28,7242085,'1',216,'N'),(28,7242085,'1A',233,'N'),(28,7242115,'1',5,'N'),(28,7242123,'1',316,'N'),(28,7242131,'1',654,'N'),(28,7242140,'1',601,'N'),(28,7242140,'1A',203,'N'),(28,7242158,'1',207,'N'),(28,7242158,'1A',201,'N'),(28,7242166,'1',652,'N'),(28,7242166,'1A',655,'N'),(28,7242174,'1',404,'N'),(28,7242182,'1',208,'N'),(28,7242190,'1',208,'N'),(28,7242247,'1',104,'N'),(28,7242255,'1',317,'N'),(28,7242280,'1',304,'N'),(28,7242301,'1',428,'N'),(28,7242301,'1A',426,'N'),(28,7242310,'1',201,'N'),(28,7242310,'1A',202,'N'),(28,7242328,'1',999,'N'),(28,7242336,'1',203,'N'),(28,7242336,'1A',201,'N'),(28,7242344,'1',103,'N'),(28,7242352,'1',335,'N'),(28,7242360,'1',316,'N'),(28,7242379,'1',454,'N'),(28,7242387,'1',450,'N'),(28,7242395,'1',336,'N'),(28,7242409,'1',103,'N'),(28,7242417,'1',203,'N'),(28,7242417,'1A',214,'N'),(28,7242425,'1',404,'N'),(28,7242433,'1',103,'N'),(28,7242441,'1',201,'N'),(28,7242441,'1A',207,'N'),(28,7242468,'1',214,'N'),(28,7242468,'1A',203,'N'),(28,7242476,'1',319,'N'),(28,7242484,'1',201,'N'),(28,7242484,'1A',212,'N'),(28,7242506,'1',5,'N'),(28,7242514,'1',301,'N'),(28,7242522,'1',5,'N'),(28,7242530,'1',319,'N'),(28,7242549,'1',216,'N'),(28,7242549,'1A',215,'N'),(28,7242557,'1',316,'N'),(28,7242565,'1',201,'N'),(28,7242565,'1A',207,'N'),(28,7242590,'1',207,'N'),(28,7242590,'1A',211,'N'),(28,7242603,'1',207,'N'),(28,7242603,'1A',601,'N'),(28,7242611,'1',203,'N'),(28,7242611,'1A',214,'N'),(28,7242620,'1',340,'N'),(28,7242638,'1',203,'N'),(28,7242638,'1A',202,'N'),(28,7242646,'1',104,'N'),(28,7242654,'1',212,'N'),(28,7242654,'1A',213,'N'),(28,7242662,'1',102,'N'),(28,7242670,'1',103,'N'),(28,7242689,'1',601,'N'),(28,7242689,'1A',202,'N'),(28,7242697,'1',102,'N'),(28,7242719,'1',208,'N'),(28,7242727,'1',208,'N'),(28,7242735,'1',318,'N'),(28,7242751,'1',208,'N'),(28,7242778,'1',103,'N'),(28,7242786,'1',211,'N'),(28,7242786,'1A',207,'N'),(28,7242816,'1',454,'N'),(28,7242832,'1',5,'N'),(28,7242859,'1',303,'N'),(28,7242883,'1',103,'N'),(28,7242891,'1',203,'N'),(28,7242891,'1A',601,'N'),(28,7242921,'1',5,'N'),(28,7242930,'1',999,'N'),(28,7242948,'1',208,'N'),(28,7242956,'1',103,'N'),(28,7242964,'1',999,'N'),(28,7242972,'1',238,'N'),(28,7242972,'1A',235,'N'),(28,7242980,'1',216,'N'),(28,7242980,'1A',211,'N'),(28,7242999,'1',999,'N'),(28,7243006,'1',302,'N'),(28,7243014,'1',454,'N'),(28,7243022,'1',201,'N'),(28,7243022,'1A',212,'N'),(28,7243030,'1',223,'N'),(28,7243049,'1',203,'N'),(28,7243049,'1A',201,'N'),(28,7243065,'1',415,'N'),(28,7243073,'1',207,'N'),(28,7243081,'1',310,'N'),(28,7243090,'1',201,'N'),(28,7243090,'1A',203,'N'),(28,7243111,'1',327,'N'),(28,7243138,'1',203,'N'),(28,7243138,'1A',214,'N'),(28,7243146,'1',317,'N'),(28,7243154,'1',207,'N'),(28,7243154,'1A',233,'N'),(28,7243162,'1',103,'N'),(28,7243170,'1',415,'N'),(28,7243189,'1',212,'N'),(28,7243189,'1A',214,'N'),(28,7243200,'1',207,'N'),(28,7243200,'1A',201,'N'),(28,7243219,'1',103,'N'),(28,7243227,'1',103,'N'),(28,7243235,'1',999,'N'),(28,7243243,'1',428,'N'),(28,7243243,'1A',425,'N'),(28,7243251,'1',103,'N'),(28,7243260,'1',304,'N'),(28,7243278,'1',212,'N'),(28,7243278,'1A',213,'N'),(28,7243286,'1',203,'N'),(28,7243286,'1A',220,'N'),(28,7243308,'1',454,'N'),(28,7243316,'1',203,'N'),(28,7243316,'1A',216,'N'),(28,7243324,'1',551,'N'),(28,7243332,'1',212,'N'),(28,7243332,'1A',201,'N'),(28,7243340,'1',207,'N'),(28,7243340,'1A',201,'N'),(28,7243367,'1',327,'N'),(28,7243375,'1',238,'N'),(28,7243375,'1A',213,'N'),(28,7243383,'1',301,'N'),(28,7243391,'1',108,'N'),(28,7243405,'1',214,'N'),(28,7243405,'1A',601,'N'),(28,7243413,'1',203,'N'),(28,7243413,'1A',214,'N'),(28,7243421,'1',451,'N'),(28,7243448,'1',211,'N'),(28,7243448,'1A',216,'N'),(28,7243456,'1',101,'N'),(28,7243480,'1',202,'N'),(28,7243480,'1A',213,'N'),(28,7243510,'1',104,'N'),(28,7243529,'1',216,'N'),(28,7243529,'1A',213,'N'),(28,7243537,'1',215,'N'),(28,7243537,'1A',233,'N'),(28,7243545,'1',302,'N'),(28,7243553,'1',318,'N'),(28,7243561,'1',340,'N'),(28,7243570,'1',211,'N'),(28,7243570,'1A',233,'N'),(28,7243596,'1',208,'N'),(28,7243600,'1',601,'N'),(28,7243600,'1A',203,'N'),(28,7243618,'1',301,'N'),(28,7243634,'1',327,'N'),(28,7243650,'1',103,'N'),(28,7243677,'1',238,'N'),(28,7243677,'1A',214,'N'),(28,7243685,'1',5,'N'),(28,7243693,'1',104,'N'),(28,7243707,'1',103,'N'),(28,7243723,'1',454,'N'),(28,7243740,'1',404,'N'),(28,7243758,'1',326,'N'),(28,7243774,'1',103,'N'),(28,7243782,'1',318,'N'),(28,7243790,'1',9,'N'),(28,7243804,'1',450,'N'),(28,7243812,'1',329,'N'),(28,7243820,'1',203,'N'),(28,7243820,'1A',214,'N'),(28,7243847,'1',502,'N'),(28,7243855,'1',301,'N'),(28,7243863,'1',304,'N'),(28,7243871,'1',216,'N'),(28,7243871,'1A',211,'N'),(28,7243880,'1',207,'N'),(28,7243880,'1A',201,'N'),(28,7243898,'1',220,'N'),(28,7243901,'1',320,'N'),(28,7243928,'1',454,'N'),(28,7243936,'1',103,'N'),(28,7243944,'1',319,'N'),(28,7243979,'1',104,'N'),(28,7243987,'1',301,'N'),(28,7244002,'1',339,'N'),(28,7244010,'1',211,'N'),(28,7244010,'1A',233,'N'),(28,7244029,'1',203,'N'),(28,7244029,'1A',214,'N'),(28,7244037,'1',238,'N'),(28,7244037,'1A',220,'N'),(28,7244045,'1',551,'N'),(28,7244053,'1',201,'N'),(28,7244053,'1A',212,'N'),(28,7244061,'1',327,'N'),(28,7244070,'1',601,'N'),(28,7244070,'1A',201,'N'),(28,7244096,'1',319,'N'),(28,7244100,'1',104,'N'),(28,7244118,'1',201,'N'),(28,7244126,'1',5,'N'),(28,7244142,'1',319,'N'),(28,7244150,'1',207,'N'),(28,7244150,'1A',652,'N'),(28,7244169,'1',303,'N'),(28,7244185,'1',319,'N'),(28,7244193,'1',216,'N'),(28,7244193,'1A',233,'N'),(28,7244207,'1',108,'N'),(28,7244215,'1',5,'N'),(28,7244240,'1',216,'N'),(28,7244240,'1A',211,'N'),(28,7244266,'1',340,'N'),(28,7244274,'1',3,'N'),(28,7244282,'1',319,'N'),(28,7244290,'1',601,'N'),(28,7244312,'1',222,'N'),(28,7244320,'1',303,'N'),(28,7244339,'1',101,'N'),(28,7244347,'1',339,'N'),(28,7244355,'1',208,'N'),(28,7244380,'1',999,'N'),(28,7244398,'1',103,'N'),(28,7244401,'1',340,'N'),(28,7244428,'1',654,'N'),(28,7244436,'1',208,'N'),(28,7244444,'1',103,'N'),(28,7244460,'1',201,'N'),(28,7244460,'1A',212,'N'),(28,7244479,'1',301,'N'),(28,7244487,'1',552,'N'),(28,7244495,'1',215,'N'),(28,7244495,'1A',238,'N'),(28,7244509,'1',316,'N'),(28,7244517,'1',208,'N'),(28,7244525,'1',424,'N'),(28,7244525,'1A',427,'N'),(28,7244533,'1',202,'N'),(28,7244533,'1A',213,'N'),(28,7244541,'1',426,'N'),(28,7244541,'1A',429,'N'),(28,7244550,'1',207,'N'),(28,7244550,'1A',201,'N'),(28,7244568,'1',316,'N'),(28,7244576,'1',103,'N'),(28,7244584,'1',201,'N'),(28,7244592,'1',301,'N'),(28,7244606,'1',213,'N'),(28,7244606,'1A',235,'N'),(28,7244614,'1',503,'N'),(28,7244630,'1',5,'N'),(28,7244649,'1',319,'N'),(28,7244657,'1',201,'N'),(28,7244657,'1A',207,'N'),(28,7244665,'1',336,'N'),(28,7244673,'1',230,'N'),(28,7244703,'1',310,'N'),(28,7244746,'1',103,'N'),(28,7244762,'1',301,'N'),(28,7244770,'1',501,'N'),(28,7244800,'1',101,'N'),(28,7244819,'1',103,'N'),(28,7244827,'1',223,'N'),(28,7244835,'1',238,'N'),(28,7244835,'1A',213,'N'),(28,7244843,'1',238,'N'),(28,7244843,'1A',201,'N'),(28,7244860,'1',108,'N'),(28,7244878,'1',316,'N'),(28,7244886,'1',340,'N'),(28,7244894,'1',327,'N'),(28,7244924,'1',333,'N'),(28,7244932,'1',317,'N'),(28,7244940,'1',235,'N'),(28,7244940,'1A',213,'N'),(28,7244959,'1',216,'N'),(28,7244959,'1A',215,'N'),(28,7244967,'1',999,'N'),(28,7244983,'1',201,'N'),(28,7244983,'1A',202,'N'),(28,7245009,'1',340,'N'),(28,7245033,'1',303,'N'),(28,7245041,'1',207,'N'),(28,7245050,'1',103,'N'),(28,7245068,'1',103,'N'),(28,7245084,'1',207,'N'),(28,7245084,'1A',233,'N'),(28,7245092,'1',214,'N'),(28,7245092,'1A',212,'N'),(28,7245114,'1',503,'N'),(28,7245130,'1',404,'N'),(28,7245149,'1',319,'N'),(28,7245157,'1',552,'N'),(28,7245165,'1',201,'N'),(28,7245165,'1A',601,'N'),(28,7245181,'1',319,'N'),(28,7245211,'1',208,'N'),(28,7245220,'1',653,'N'),(28,7245220,'1A',652,'N'),(28,7245246,'1',303,'N'),(28,7245254,'1',303,'N'),(28,7245262,'1',201,'N'),(28,7245262,'1A',207,'N'),(28,7245270,'1',302,'N'),(28,7245300,'1',201,'N'),(28,7245300,'1A',212,'N'),(28,7245319,'1',552,'N'),(28,7245327,'1',301,'N'),(28,7245335,'1',9,'N'),(28,7245351,'1',103,'N'),(28,7245386,'1',220,'N'),(28,7245386,'1A',235,'N'),(28,7245394,'1',652,'N'),(28,7245394,'1A',655,'N'),(28,7245408,'1',201,'N'),(28,7245416,'1',103,'N'),(28,7245424,'1',109,'N'),(28,7245432,'1',332,'N'),(28,7245440,'1',454,'N'),(28,7245459,'1',109,'N'),(28,7245475,'1',304,'N'),(28,7245505,'1',201,'N'),(28,7245513,'1',9,'N'),(28,7245530,'1',454,'N'),(28,7245548,'1',303,'N'),(28,7245556,'1',103,'N'),(28,7245564,'1',454,'N'),(28,7245572,'1',103,'N'),(28,7245580,'1',225,'N'),(28,7245599,'1',214,'N'),(28,7245599,'1A',213,'N'),(28,7245602,'1',303,'N'),(28,7245629,'1',303,'N'),(28,7245637,'1',454,'N'),(28,7245645,'1',5,'N'),(28,7245653,'1',450,'N'),(28,7245661,'1',103,'N'),(28,7245688,'1',104,'N'),(28,7245696,'1',103,'N'),(28,7245700,'1',415,'N'),(28,7245718,'1',103,'N'),(28,7245726,'1',208,'N'),(28,7245734,'1',103,'N'),(28,7245742,'1',318,'N'),(28,7245769,'1',333,'N'),(28,7245777,'1',103,'N'),(28,7245785,'1',203,'N'),(28,7245785,'1A',214,'N'),(28,7245793,'1',201,'N'),(28,7245793,'1A',207,'N'),(28,7245807,'1',317,'N'),(28,7245823,'1',552,'N'),(28,7245831,'1',999,'N'),(28,7245840,'1',303,'N'),(28,7245866,'1',202,'N'),(28,7245866,'1A',213,'N'),(28,7245874,'1',230,'N'),(28,7245890,'1',225,'N'),(28,7245912,'1',301,'N'),(28,7245920,'1',309,'N'),(28,7245939,'1',338,'N'),(28,7245947,'1',101,'N'),(28,7245955,'1',331,'N'),(28,7245963,'1',207,'N'),(28,7245963,'1A',211,'N'),(28,7245971,'1',216,'N'),(28,7245971,'1A',211,'N'),(28,7245980,'1',444,'N'),(28,7245998,'1',202,'N'),(28,7245998,'1A',601,'N'),(28,7246005,'1',303,'N'),(28,7246013,'1',454,'N'),(28,7246021,'1',5,'N'),(28,7246030,'1',308,'N'),(28,7246064,'1',317,'N'),(28,7246072,'1',340,'N'),(28,7246080,'1',103,'N'),(28,7246102,'1',415,'N'),(28,7246110,'1',652,'N'),(28,7246110,'1A',655,'N'),(28,7246129,'1',340,'N'),(28,7246137,'1',5,'N'),(28,7246161,'1',103,'N'),(28,7246170,'1',222,'N'),(28,7246196,'1',327,'N'),(28,7246200,'1',110,'N'),(28,7246218,'1',404,'N'),(28,7246226,'1',104,'N'),(28,7246234,'1',333,'N'),(28,7246242,'1',216,'N'),(28,7246242,'1A',233,'N'),(28,7246269,'1',235,'N'),(28,7246269,'1A',238,'N'),(28,7246285,'1',999,'N'),(28,7246307,'1',653,'N'),(28,7246307,'1A',655,'N'),(28,7246315,'1',214,'N'),(28,7246315,'1A',213,'N'),(28,7246331,'1',425,'N'),(28,7246340,'1',203,'N'),(28,7246340,'1A',213,'N'),(28,7246382,'1',103,'N'),(28,7246390,'1',203,'N'),(28,7246390,'1A',212,'N'),(28,7246404,'1',454,'N'),(28,7246412,'1',601,'N'),(28,7246420,'1',201,'N'),(28,7246420,'1A',212,'N'),(28,7246439,'1',444,'N'),(28,7246447,'1',205,'N'),(28,7246455,'1',324,'N'),(28,7246463,'1',652,'N'),(28,7246463,'1A',655,'N'),(28,7246471,'1',104,'N'),(28,7246480,'1',415,'N'),(28,7246498,'1',201,'N'),(28,7246498,'1A',202,'N'),(28,7246501,'1',552,'N'),(28,7246510,'1',317,'N'),(28,7246528,'1',5,'N'),(28,7246536,'1',104,'N'),(28,7246552,'1',319,'N'),(28,7246579,'1',415,'N'),(28,7246587,'1',316,'N'),(28,7246609,'1',103,'N'),(28,7246617,'1',103,'N'),(28,7246625,'1',201,'N'),(28,7246625,'1A',207,'N'),(28,7246668,'1',552,'N'),(28,7246676,'1',5,'N'),(28,7246684,'1',415,'N'),(28,7246706,'1',415,'N'),(28,7246722,'1',103,'N'),(28,7246730,'1',211,'N'),(28,7246749,'1',103,'N'),(28,7246757,'1',110,'N'),(28,7246765,'1',216,'N'),(28,7246765,'1A',233,'N'),(28,7246773,'1',319,'N'),(28,7246781,'1',103,'N'),(28,7246790,'1',103,'N'),(28,7246803,'1',425,'N'),(28,7246803,'1A',423,'N'),(28,7246811,'1',103,'N'),(28,7246838,'1',201,'N'),(28,7246846,'1',999,'N'),(28,7246854,'1',428,'N'),(28,7246897,'1',302,'N'),(28,7246900,'1',415,'N'),(28,7246919,'1',201,'N'),(28,7246927,'1',336,'N'),(28,7246951,'1',108,'N'),(28,7246960,'1',317,'N'),(28,7246986,'1',5,'N'),(28,7247001,'1',340,'N'),(28,7247010,'1',654,'N'),(28,7247028,'1',318,'N'),(28,7247036,'1',104,'N'),(28,7247044,'1',303,'N'),(28,7247052,'1',103,'N'),(28,7247060,'1',301,'N'),(28,7247079,'1',103,'N'),(28,7247087,'1',5,'N'),(28,7247095,'1',203,'N'),(28,7247095,'1A',214,'N'),(28,7247109,'1',301,'N'),(28,7247117,'1',303,'N'),(28,7247125,'1',999,'N'),(28,7247141,'1',103,'N'),(28,7247150,'1',552,'N'),(28,7247168,'1',428,'N'),(28,7247168,'1A',424,'N'),(28,7247176,'1',5,'N'),(28,7247184,'1',552,'N'),(28,7247192,'1',317,'N'),(28,7247222,'1',336,'N'),(28,7247230,'1',203,'N'),(28,7247230,'1A',214,'N'),(28,7247249,'1',601,'N'),(28,7247249,'1A',212,'N'),(28,7247257,'1',319,'N'),(28,7247265,'1',103,'N'),(28,7247273,'1',421,'N'),(28,7247273,'1A',429,'N'),(28,7247281,'1',551,'N'),(28,7247290,'1',425,'N'),(28,7247290,'1A',423,'N'),(28,7247303,'1',202,'N'),(28,7247303,'1A',235,'N'),(28,7247311,'1',103,'N'),(28,7247338,'1',551,'N'),(28,7247346,'1',336,'N'),(28,7247354,'1',301,'N'),(28,7247362,'1',201,'N'),(28,7247362,'1A',601,'N'),(28,7247370,'1',5,'N'),(28,7247389,'1',332,'N'),(28,7247400,'1',216,'N'),(28,7247400,'1A',203,'N'),(28,7247427,'1',316,'N'),(28,7247435,'1',501,'N'),(28,7247460,'1',318,'N'),(28,7247478,'1',103,'N'),(28,7247508,'1',103,'N'),(28,7247532,'1',203,'N'),(28,7247532,'1A',212,'N'),(28,7247540,'1',340,'N'),(28,7247567,'1',444,'N'),(28,7247575,'1',233,'N'),(28,7247575,'1A',213,'N'),(28,7247583,'1',211,'N'),(28,7247583,'1A',215,'N'),(28,7247591,'1',201,'N'),(28,7247591,'1A',212,'N'),(28,7247605,'1',655,'N'),(28,7247605,'1A',652,'N'),(28,7247613,'1',308,'N'),(28,7247621,'1',340,'N'),(28,7247630,'1',302,'N'),(28,7247648,'1',103,'N'),(28,7247656,'1',9,'N'),(28,7247664,'1',999,'N'),(28,7247680,'1',223,'N'),(28,7247699,'1',104,'N'),(28,7247702,'1',203,'N'),(28,7247702,'1A',214,'N'),(28,7247710,'1',501,'N'),(28,7247729,'1',601,'N'),(28,7247729,'1A',214,'N'),(28,7247737,'1',999,'N'),(28,7247745,'1',211,'N'),(28,7247745,'1A',653,'N'),(28,7247753,'1',999,'N'),(28,7247761,'1',103,'N'),(28,7247788,'1',203,'N'),(28,7247788,'1A',214,'N'),(28,7247796,'1',333,'N'),(28,7247800,'1',444,'N'),(28,7247818,'1',421,'N'),(28,7247818,'1A',427,'N'),(28,7247842,'1',653,'N'),(28,7247842,'1A',652,'N'),(28,7247850,'1',451,'N'),(28,7247869,'1',444,'N'),(28,7247877,'1',335,'N'),(28,7247893,'1',415,'N'),(28,7247907,'1',319,'N'),(28,7247915,'1',208,'N'),(28,7247931,'1',215,'N'),(28,7247931,'1A',214,'N'),(28,7247940,'1',201,'N'),(28,7247940,'1A',211,'N'),(28,7247958,'1',103,'N'),(28,7247966,'1',220,'N'),(28,7247966,'1A',214,'N'),(28,7247974,'1',426,'N'),(28,7247974,'1A',429,'N'),(28,7247982,'1',207,'N'),(28,7247982,'1A',212,'N'),(28,7247990,'1',103,'N'),(28,7248024,'1',5,'N'),(28,7248032,'1',320,'N'),(28,7248040,'1',202,'N'),(28,7248040,'1A',235,'N'),(28,7248059,'1',202,'N'),(28,7248059,'1A',214,'N'),(28,7248075,'1',207,'N'),(28,7248075,'1A',216,'N'),(28,7248083,'1',450,'N'),(28,7248091,'1',319,'N'),(28,7248105,'1',326,'N'),(28,7248113,'1',201,'N'),(28,7248113,'1A',203,'N'),(28,7248121,'1',428,'N'),(28,7248121,'1A',426,'N'),(28,7248130,'1',335,'N'),(28,7248156,'1',601,'N'),(28,7248156,'1A',235,'N'),(28,7248164,'1',201,'N'),(28,7248164,'1A',212,'N'),(28,7248172,'1',223,'N'),(28,7248180,'1',327,'N'),(28,7248202,'1',103,'N'),(28,7248210,'1',103,'N'),(28,7248229,'1',340,'N'),(28,7248237,'1',316,'N'),(28,7248245,'1',999,'N'),(28,7248253,'1',426,'N'),(28,7248261,'1',203,'N'),(28,7248261,'1A',216,'N'),(28,7248270,'1',220,'N'),(28,7248270,'1A',203,'N'),(28,7248288,'1',234,'N'),(28,7248296,'1',201,'N'),(28,7248296,'1A',207,'N'),(28,7248300,'1',308,'N'),(28,7248318,'1',309,'N'),(28,7248326,'1',207,'N'),(28,7248326,'1A',201,'N'),(28,7248334,'1',503,'N'),(28,7248342,'1',652,'N'),(28,7248342,'1A',238,'N'),(28,7248369,'1',216,'N'),(28,7248369,'1A',233,'N'),(28,7248377,'1',451,'N'),(28,7248385,'1',301,'N'),(28,7248407,'1',103,'N'),(28,7248415,'1',316,'N'),(28,7248423,'1',440,'N'),(28,7248431,'1',308,'N'),(28,7248458,'1',207,'N'),(28,7248458,'1A',201,'N'),(28,7248474,'1',103,'N'),(28,7248482,'1',103,'N'),(28,7248490,'1',326,'N'),(28,7248504,'1',103,'N'),(28,7248512,'1',5,'N'),(28,7248520,'1',340,'N'),(28,7248539,'1',103,'N'),(28,7248547,'1',450,'N'),(28,7248555,'1',2,'N'),(28,7248563,'1',552,'N'),(28,7248571,'1',303,'N'),(28,7248580,'1',303,'N'),(28,7248598,'1',203,'N'),(28,7248598,'1A',202,'N'),(28,7248601,'1',102,'N'),(28,7248610,'1',301,'N'),(28,7248628,'1',319,'N'),(28,7248636,'1',110,'N'),(28,7248644,'1',211,'N'),(28,7248652,'1',108,'N'),(28,7248660,'1',201,'N'),(28,7248660,'1A',207,'N'),(28,7248679,'1',3,'N'),(28,7248687,'1',104,'N'),(28,7248695,'1',207,'N'),(28,7248695,'1A',201,'N'),(28,7248709,'1',103,'N'),(28,7248725,'1',444,'N'),(28,7248741,'1',104,'N'),(28,7248750,'1',316,'N'),(28,7248768,'1',201,'N'),(28,7248768,'1A',207,'N'),(28,7248784,'1',212,'N'),(28,7248784,'1A',201,'N'),(28,7248792,'1',201,'N'),(28,7248792,'1A',652,'N'),(28,7248814,'1',552,'N'),(28,7248822,'1',303,'N'),(28,7248830,'1',552,'N'),(28,7248849,'1',319,'N'),(28,7248857,'1',203,'N'),(28,7248857,'1A',201,'N'),(28,7248873,'1',103,'N'),(28,7248881,'1',103,'N'),(28,7248903,'1',207,'N'),(28,7248903,'1A',201,'N'),(28,7248911,'1',103,'N'),(28,7248946,'1',103,'N'),(28,7248970,'1',503,'N'),(28,7248989,'1',303,'N'),(28,7248997,'1',104,'N'),(28,7249004,'1',340,'N'),(28,7249012,'1',333,'N'),(28,7249020,'1',208,'N'),(28,7249039,'1',207,'N'),(28,7249039,'1A',212,'N'),(28,7249047,'1',450,'N'),(28,7249055,'1',501,'N'),(28,7249063,'1',207,'N'),(28,7249063,'1A',201,'N'),(28,7249071,'1',103,'N'),(28,7249080,'1',5,'N'),(28,7249101,'1',103,'N'),(28,7249110,'1',424,'N'),(28,7249110,'1A',423,'N'),(28,7249128,'1',5,'N'),(28,7249136,'1',326,'N'),(28,7249152,'1',454,'N'),(28,7249160,'1',103,'N'),(28,7249187,'1',502,'N'),(28,7249195,'1',203,'N'),(28,7249195,'1A',201,'N'),(28,7249209,'1',318,'N'),(28,7249217,'1',301,'N'),(28,7249225,'1',103,'N'),(28,7249241,'1',207,'N'),(28,7249241,'1A',213,'N'),(28,7249268,'1',103,'N'),(28,7249276,'1',415,'N'),(28,7249284,'1',101,'N'),(28,7249292,'1',103,'N'),(28,7249306,'1',340,'N'),(28,7249314,'1',333,'N'),(28,7249322,'1',999,'N'),(28,7249330,'1',108,'N'),(28,7249349,'1',335,'N'),(28,7249357,'1',454,'N'),(28,7249365,'1',208,'N'),(28,7249390,'1',103,'N'),(28,7249403,'1',225,'N'),(28,7249411,'1',202,'N'),(28,7249411,'1A',203,'N'),(28,7249420,'1',301,'N'),(28,7249438,'1',5,'N'),(28,7249446,'1',308,'N'),(28,7249454,'1',212,'N'),(28,7249454,'1A',213,'N'),(28,7249462,'1',454,'N'),(28,7249489,'1',333,'N'),(28,7249497,'1',207,'N'),(28,7249497,'1A',201,'N'),(28,7249500,'1',302,'N'),(28,7249519,'1',415,'N'),(28,7249535,'1',201,'N'),(28,7249543,'1',234,'N'),(28,7249551,'1',316,'N'),(28,7249560,'1',108,'N'),(28,7249586,'1',302,'N'),(28,7249594,'1',201,'N'),(28,7249594,'1A',212,'N'),(28,7249608,'1',103,'N'),(28,7249616,'1',454,'N'),(28,7249624,'1',103,'N'),(28,7249632,'1',234,'N'),(28,7249640,'1',211,'N'),(28,7249640,'1A',233,'N'),(28,7249667,'1',319,'N'),(28,7249675,'1',316,'N'),(28,7249691,'1',5,'N'),(28,7249705,'1',203,'N'),(28,7249705,'1A',235,'N'),(28,7249730,'1',302,'N'),(28,7249748,'1',310,'N'),(28,7249772,'1',207,'N'),(28,7249772,'1A',201,'N'),(28,7249780,'1',207,'N'),(28,7249799,'1',224,'N'),(28,7249810,'1',326,'N'),(28,7249829,'1',316,'N'),(28,7249837,'1',301,'N'),(28,7249845,'1',201,'N'),(28,7249845,'1A',233,'N'),(28,7249853,'1',303,'N'),(28,7249870,'1',104,'N'),(28,7249896,'1',102,'N'),(28,7249900,'1',304,'N'),(28,7249934,'1',552,'N'),(28,7249942,'1',103,'N'),(28,7249950,'1',319,'N'),(28,7249969,'1',103,'N'),(28,7249977,'1',103,'N'),(28,7249985,'1',203,'N'),(28,7249985,'1A',235,'N'),(28,7250010,'1',427,'N'),(28,7250010,'1A',423,'N'),(28,7250029,'1',103,'N'),(28,7250045,'1',339,'N'),(28,7250053,'1',201,'N'),(28,7250053,'1A',207,'N'),(28,7250061,'1',653,'N'),(28,7250061,'1A',652,'N'),(28,7250070,'1',212,'N'),(28,7250070,'1A',207,'N'),(28,7250088,'1',427,'N'),(28,7250088,'1A',423,'N'),(28,7250096,'1',103,'N'),(28,7250100,'1',102,'N'),(28,7250118,'1',208,'N'),(28,7250126,'1',208,'N'),(28,7250134,'1',303,'N'),(28,7250142,'1',103,'N'),(28,7250150,'1',444,'N'),(28,7250169,'1',5,'N'),(28,7250177,'1',303,'N'),(28,7250185,'1',316,'N'),(28,7250193,'1',303,'N'),(28,7250207,'1',5,'N'),(28,7250215,'1',103,'N'),(28,7250223,'1',104,'N'),(28,7250231,'1',653,'N'),(28,7250231,'1A',652,'N'),(28,7250258,'1',319,'N'),(28,7250266,'1',208,'N'),(28,7250274,'1',103,'N'),(28,7250282,'1',308,'N'),(28,7250290,'1',551,'N'),(28,7250312,'1',317,'N'),(28,7250320,'1',450,'N'),(28,7250339,'1',444,'N'),(28,7250355,'1',303,'N'),(28,7250363,'1',9,'N'),(28,7250371,'1',216,'N'),(28,7250371,'1A',215,'N'),(28,7250398,'1',5,'N'),(28,7250401,'1',425,'N'),(28,7250410,'1',201,'N'),(28,7250410,'1A',207,'N'),(28,7250428,'1',999,'N'),(28,7250436,'1',303,'N'),(28,7250444,'1',316,'N'),(28,7250460,'1',340,'N'),(28,7250479,'1',212,'N'),(28,7250479,'1A',201,'N'),(28,7250487,'1',340,'N'),(28,7250495,'1',201,'N'),(28,7250495,'1A',212,'N'),(28,7250509,'1',308,'N'),(28,7250517,'1',203,'N'),(28,7250517,'1A',235,'N'),(28,7250525,'1',301,'N'),(28,7250533,'1',653,'N'),(28,7250533,'1A',601,'N'),(28,7250541,'1',207,'N'),(28,7250550,'1',102,'N'),(28,7250568,'1',207,'N'),(28,7250568,'1A',201,'N'),(28,7250576,'1',207,'N'),(28,7250576,'1A',233,'N'),(28,7250584,'1',202,'N'),(28,7250584,'1A',235,'N'),(28,7250592,'1',655,'N'),(28,7250606,'1',5,'N'),(28,7250614,'1',340,'N'),(28,7250622,'1',309,'N'),(28,7250630,'1',235,'N'),(28,7250630,'1A',202,'N'),(28,7250649,'1',238,'N'),(28,7250649,'1A',601,'N'),(28,7250657,'1',207,'N'),(28,7250657,'1A',201,'N'),(28,7250665,'1',108,'N'),(28,7250673,'1',102,'N'),(28,7250690,'1',103,'N'),(28,7250703,'1',332,'N'),(28,7250711,'1',653,'N'),(28,7250711,'1A',655,'N'),(28,7250720,'1',302,'N'),(28,7250738,'1',201,'N'),(28,7250746,'1',238,'N'),(28,7250746,'1A',220,'N'),(28,7250754,'1',404,'N'),(28,7250770,'1',340,'N'),(28,7250797,'1',333,'N'),(28,7250800,'1',5,'N'),(28,7250819,'1',316,'N'),(28,7250827,'1',428,'N'),(28,7250827,'1A',426,'N'),(28,7250835,'1',652,'N'),(28,7250835,'1A',653,'N'),(28,7250843,'1',102,'N'),(28,7250851,'1',103,'N'),(28,7250878,'1',999,'N'),(28,7250886,'1',316,'N'),(28,7250908,'1',207,'N'),(28,7250908,'1A',201,'N'),(28,7250916,'1',104,'N'),(28,7250924,'1',501,'N'),(28,7250932,'1',208,'N'),(28,7250959,'1',653,'N'),(28,7250967,'1',207,'N'),(28,7250967,'1A',201,'N'),(28,7250975,'1',103,'N'),(28,7250983,'1',202,'N'),(28,7250983,'1A',601,'N'),(28,7250991,'1',5,'N'),(28,7251009,'1',207,'N'),(28,7251009,'1A',201,'N'),(28,7251017,'1',110,'N'),(28,7251025,'1',103,'N'),(28,7251033,'1',454,'N'),(28,7251041,'1',201,'N'),(28,7251041,'1A',601,'N'),(28,7251050,'1',203,'N'),(28,7251050,'1A',202,'N'),(28,7251068,'1',338,'N'),(28,7251106,'1',454,'N'),(28,7251114,'1',308,'N'),(28,7251122,'1',415,'N'),(28,7251130,'1',203,'N'),(28,7251130,'1A',202,'N'),(28,7251149,'1',211,'N'),(28,7251149,'1A',653,'N'),(28,7251165,'1',202,'N'),(28,7251165,'1A',235,'N'),(28,7251173,'1',653,'N'),(28,7251173,'1A',655,'N'),(28,7251181,'1',103,'N'),(28,7251190,'1',103,'N'),(28,7251203,'1',317,'N'),(28,7251211,'1',319,'N'),(28,7251220,'1',103,'N'),(28,7251238,'1',104,'N'),(28,7251246,'1',319,'N'),(28,7251262,'1',450,'N'),(28,7251270,'1',9,'N'),(28,7251289,'1',601,'N'),(28,7251297,'1',415,'N'),(28,7251300,'1',654,'N'),(28,7251319,'1',104,'N'),(28,7251327,'1',211,'N'),(28,7251327,'1A',215,'N'),(28,7251335,'1',308,'N'),(28,7251343,'1',653,'N'),(28,7251343,'1A',655,'N'),(28,7251351,'1',203,'N'),(28,7251351,'1A',202,'N'),(28,7251360,'1',340,'N'),(28,7251378,'1',303,'N'),(28,7251386,'1',104,'N'),(28,7251408,'1',999,'N'),(28,7251416,'1',404,'N'),(28,7251424,'1',503,'N'),(28,7251432,'1',302,'N'),(28,7251440,'1',652,'N'),(28,7251440,'1A',655,'N'),(28,7251459,'1',5,'N'),(28,7251467,'1',316,'N'),(28,7251475,'1',201,'N'),(28,7251475,'1A',212,'N'),(28,7251483,'1',238,'N'),(28,7251483,'1A',653,'N'),(28,7251491,'1',654,'N'),(28,7251513,'1',303,'N'),(28,7251521,'1',303,'N'),(28,7251530,'1',327,'N'),(28,7251548,'1',551,'N'),(28,7251556,'1',317,'N'),(28,7251564,'1',655,'N'),(28,7251564,'1A',601,'N'),(28,7251572,'1',9,'N'),(28,7251580,'1',212,'N'),(28,7251580,'1A',233,'N'),(28,7251599,'1',999,'N'),(28,7251602,'1',450,'N'),(28,7251610,'1',103,'N'),(28,7251629,'1',316,'N'),(28,7251637,'1',501,'N'),(28,7251645,'1',301,'N'),(28,7251653,'1',203,'N'),(28,7251653,'1A',214,'N'),(28,7251661,'1',238,'N'),(28,7251670,'1',103,'N'),(28,7251688,'1',103,'N'),(28,7251696,'1',201,'N'),(28,7251696,'1A',238,'N'),(28,7251700,'1',999,'N'),(28,7251718,'1',238,'N'),(28,7251726,'1',238,'N'),(28,7251726,'1A',652,'N'),(28,7251734,'1',201,'N'),(28,7251734,'1A',203,'N'),(28,7251742,'1',999,'N'),(28,7251750,'1',302,'N'),(28,7251769,'1',5,'N'),(28,7251777,'1',103,'N'),(28,7251785,'1',601,'N'),(28,7251785,'1A',203,'N'),(28,7251793,'1',216,'N'),(28,7251793,'1A',215,'N'),(28,7251807,'1',326,'N'),(28,7251815,'1',201,'N'),(28,7251815,'1A',211,'N'),(28,7251823,'1',216,'N'),(28,7251823,'1A',202,'N'),(28,7251831,'1',103,'N'),(28,7251858,'1',301,'N'),(28,7251866,'1',207,'N'),(28,7251866,'1A',201,'N'),(28,7251882,'1',454,'N'),(28,7251890,'1',425,'N'),(28,7251890,'1A',428,'N'),(28,7251904,'1',214,'N'),(28,7251904,'1A',212,'N'),(28,7251912,'1',653,'N'),(28,7251912,'1A',655,'N'),(28,7251920,'1',303,'N'),(28,7251939,'1',444,'N'),(28,7251947,'1',552,'N'),(28,7251955,'1',103,'N'),(28,7251963,'1',213,'N'),(28,7251963,'1A',653,'N'),(28,7251980,'1',201,'N'),(28,7251980,'1A',203,'N'),(28,7251998,'1',103,'N'),(28,7252005,'1',450,'N'),(28,7252013,'1',203,'N'),(28,7252013,'1A',233,'N'),(28,7252021,'1',214,'N'),(28,7252021,'1A',212,'N'),(28,7252030,'1',211,'N'),(28,7252030,'1A',216,'N'),(28,7252048,'1',340,'N'),(28,7252056,'1',303,'N'),(28,7252064,'1',104,'N'),(28,7252072,'1',999,'N'),(28,7252080,'1',202,'N'),(28,7252080,'1A',235,'N'),(28,7252099,'1',108,'N'),(28,7252102,'1',303,'N'),(28,7252110,'1',552,'N'),(28,7252129,'1',207,'N'),(28,7252129,'1A',215,'N'),(28,7252145,'1',104,'N'),(28,7252153,'1',303,'N'),(28,7252161,'1',340,'N'),(28,7252170,'1',207,'N'),(28,7252188,'1',425,'N'),(28,7252188,'1A',428,'N'),(28,7252196,'1',301,'N'),(28,7252200,'1',301,'N'),(28,7252218,'1',333,'N'),(28,7252234,'1',201,'N'),(28,7252234,'1A',202,'N'),(28,7252242,'1',205,'N'),(28,7252250,'1',207,'N'),(28,7252250,'1A',201,'N'),(28,7252269,'1',104,'N'),(28,7252277,'1',415,'N'),(28,7252285,'1',103,'N'),(28,7252293,'1',653,'N'),(28,7252293,'1A',652,'N'),(28,7252307,'1',9,'N'),(28,7252315,'1',454,'N'),(28,7252323,'1',103,'N'),(28,7252331,'1',327,'N'),(28,7252358,'1',103,'N'),(28,7252366,'1',207,'N'),(28,7252366,'1A',601,'N'),(28,7252374,'1',103,'N'),(28,7252382,'1',404,'N'),(28,7252390,'1',234,'N'),(28,7252404,'1',103,'N'),(28,7252412,'1',501,'N'),(28,7252420,'1',103,'N'),(28,7252447,'1',653,'N'),(28,7252447,'1A',203,'N'),(28,7252455,'1',301,'N'),(28,7252463,'1',316,'N'),(28,7252471,'1',238,'N'),(28,7252471,'1A',213,'N'),(28,7252480,'1',207,'N'),(28,7252498,'1',103,'N'),(28,7252501,'1',234,'N'),(28,7252510,'1',103,'N'),(28,7252528,'1',201,'N'),(28,7252528,'1A',207,'N'),(28,7252536,'1',415,'N'),(28,7252544,'1',103,'N'),(28,7252552,'1',208,'N'),(28,7252587,'1',108,'N'),(28,7252595,'1',108,'N'),(28,7252625,'1',203,'N'),(28,7252625,'1A',201,'N'),(28,7252650,'1',213,'N'),(28,7252650,'1A',238,'N'),(28,7252668,'1',552,'N'),(28,7252676,'1',3,'N'),(28,7252684,'1',303,'N'),(28,7252692,'1',103,'N'),(28,7252706,'1',415,'N'),(28,7252714,'1',333,'N'),(28,7252722,'1',214,'N'),(28,7252722,'1A',203,'N'),(28,7252757,'1',108,'N'),(28,7252765,'1',328,'N'),(28,7252773,'1',308,'N'),(28,7252781,'1',303,'N'),(28,7252803,'1',212,'N'),(28,7252803,'1A',214,'N'),(28,7252820,'1',999,'N'),(28,7252846,'1',999,'N'),(28,7252862,'1',601,'N'),(28,7252870,'1',444,'N'),(28,7252889,'1',340,'N'),(28,7252897,'1',319,'N'),(28,7252919,'1',601,'N'),(28,7252919,'1A',235,'N'),(28,7252927,'1',652,'N'),(28,7252927,'1A',655,'N'),(28,7252943,'1',103,'N'),(28,7252951,'1',501,'N'),(28,7252960,'1',999,'N'),(28,7252978,'1',201,'N'),(28,7252978,'1A',212,'N'),(28,7252994,'1',552,'N'),(28,7253010,'1',316,'N'),(28,7253028,'1',318,'N'),(28,7253044,'1',999,'N'),(28,7253052,'1',202,'N'),(28,7253052,'1A',235,'N'),(28,7253060,'1',304,'N'),(28,7253079,'1',103,'N'),(28,7253087,'1',103,'N'),(28,7253095,'1',999,'N'),(28,7253109,'1',999,'N'),(28,7253117,'1',220,'N'),(28,7253117,'1A',601,'N'),(28,7253125,'1',203,'N'),(28,7253125,'1A',214,'N'),(28,7253133,'1',103,'N'),(28,7253141,'1',238,'N'),(28,7253141,'1A',655,'N'),(28,7253150,'1',211,'N'),(28,7253150,'1A',201,'N'),(28,7253168,'1',999,'N'),(28,7253176,'1',103,'N'),(28,7253192,'1',454,'N'),(28,7253206,'1',103,'N'),(28,7253214,'1',317,'N'),(28,7253222,'1',415,'N'),(28,7253249,'1',454,'N'),(28,7253257,'1',104,'N'),(28,7253265,'1',211,'N'),(28,7253273,'1',214,'N'),(28,7253273,'1A',601,'N'),(28,7253281,'1',501,'N'),(28,7253290,'1',415,'N'),(28,7253320,'1',303,'N'),(28,7253338,'1',104,'N'),(28,7253346,'1',304,'N'),(28,7253354,'1',9,'N'),(28,7253362,'1',238,'N'),(28,7253370,'1',214,'N'),(28,7253370,'1A',212,'N'),(28,7253389,'1',2,'N'),(28,7253400,'1',103,'N'),(28,7253419,'1',103,'N'),(28,7253427,'1',302,'N'),(28,7253443,'1',101,'N'),(28,7253451,'1',108,'N'),(28,7253460,'1',5,'N'),(28,7253494,'1',207,'N'),(28,7253494,'1A',216,'N'),(28,7253508,'1',601,'N'),(28,7253508,'1A',212,'N'),(28,7253516,'1',601,'N'),(28,7253516,'1A',201,'N'),(28,7253524,'1',101,'N'),(28,7253532,'1',201,'N'),(28,7253532,'1A',211,'N'),(28,7253559,'1',501,'N'),(28,7253567,'1',103,'N'),(28,7253575,'1',103,'N'),(28,7253583,'1',421,'N'),(28,7253583,'1A',424,'N'),(28,7253591,'1',309,'N'),(28,7253605,'1',424,'N'),(28,7253605,'1A',425,'N'),(28,7253613,'1',454,'N'),(28,7253630,'1',340,'N'),(28,7253648,'1',415,'N'),(28,7253656,'1',104,'N'),(28,7253664,'1',450,'N'),(28,7253680,'1',503,'N'),(28,7253699,'1',102,'N'),(28,7253710,'1',331,'N'),(28,7253729,'1',108,'N'),(28,7253737,'1',207,'N'),(28,7253737,'1A',203,'N'),(28,7253753,'1',202,'N'),(28,7253753,'1A',235,'N'),(28,7253761,'1',655,'N'),(28,7253761,'1A',238,'N'),(28,7253770,'1',103,'N'),(28,7253796,'1',303,'N'),(28,7253800,'1',201,'N'),(28,7253800,'1A',212,'N'),(28,7253818,'1',328,'N'),(28,7253826,'1',110,'N'),(28,7253834,'1',208,'N'),(28,7253842,'1',207,'N'),(28,7253842,'1A',201,'N'),(28,7253850,'1',319,'N'),(28,7253877,'1',201,'N'),(28,7253877,'1A',233,'N'),(28,7253885,'1',108,'N'),(28,7253907,'1',303,'N'),(28,7253915,'1',999,'N'),(28,7253931,'1',340,'N'),(28,7253940,'1',999,'N'),(28,7253958,'1',207,'N'),(28,7253958,'1A',201,'N'),(28,7253966,'1',415,'N'),(28,7253974,'1',201,'N'),(28,7253974,'1A',211,'N'),(28,7253982,'1',101,'N'),(28,7253990,'1',103,'N'),(28,7254008,'1',425,'N'),(28,7254008,'1A',426,'N'),(28,7254016,'1',303,'N'),(28,7254067,'1',5,'N'),(28,7254075,'1',427,'N'),(28,7254075,'1A',423,'N'),(28,7254083,'1',302,'N'),(28,7254091,'1',215,'N'),(28,7254091,'1A',207,'N'),(28,7254105,'1',316,'N'),(28,7254113,'1',999,'N'),(28,7254130,'1',109,'N'),(28,7254148,'1',999,'N'),(28,7254156,'1',207,'N'),(28,7254156,'1A',215,'N'),(28,7254164,'1',9,'N'),(28,7254172,'1',103,'N'),(28,7254180,'1',201,'N'),(28,7254180,'1A',235,'N'),(28,7254229,'1',103,'N'),(28,7254237,'1',2,'N'),(28,7254245,'1',203,'N'),(28,7254245,'1A',233,'N'),(28,7254253,'1',110,'N'),(28,7254261,'1',110,'N'),(28,7254270,'1',203,'N'),(28,7254270,'1A',235,'N'),(28,7254288,'1',207,'N'),(28,7254288,'1A',201,'N'),(28,7254296,'1',108,'N'),(28,7254300,'1',207,'N'),(28,7254300,'1A',211,'N'),(28,7254318,'1',301,'N'),(28,7254326,'1',201,'N'),(28,7254326,'1A',203,'N'),(28,7254334,'1',103,'N'),(28,7254342,'1',340,'N'),(28,7254350,'1',203,'N'),(28,7254350,'1A',601,'N'),(28,7254369,'1',103,'N'),(28,7254377,'1',103,'N'),(28,7254393,'1',213,'N'),(28,7254407,'1',340,'N'),(28,7254423,'1',103,'N'),(28,7254431,'1',201,'N'),(28,7254431,'1A',212,'N'),(28,7254440,'1',103,'N'),(28,7254458,'1',207,'N'),(28,7254458,'1A',211,'N'),(28,7254466,'1',103,'N'),(28,7254474,'1',103,'N'),(28,7254482,'1',235,'N'),(28,7254482,'1A',238,'N'),(28,7254490,'1',212,'N'),(28,7254490,'1A',238,'N'),(28,7254504,'1',601,'N'),(28,7254504,'1A',203,'N'),(28,7254512,'1',103,'N'),(28,7254539,'1',202,'N'),(28,7254539,'1A',238,'N'),(28,7254547,'1',444,'N'),(28,7254555,'1',103,'N'),(28,7254563,'1',103,'N'),(28,7254571,'1',235,'N'),(28,7254571,'1A',213,'N'),(28,7254580,'1',102,'N'),(28,7254636,'1',103,'N'),(28,7254644,'1',316,'N'),(28,7254679,'1',425,'N'),(28,7254679,'1A',426,'N'),(28,7254695,'1',102,'N'),(28,7254709,'1',303,'N'),(28,7254725,'1',238,'N'),(28,7254733,'1',5,'N'),(28,7254768,'1',425,'N'),(28,7254768,'1A',423,'N'),(28,7254784,'1',103,'N'),(28,7254806,'1',208,'N'),(28,7254822,'1',9,'N'),(28,7254830,'1',230,'N'),(28,7254849,'1',552,'N'),(28,7254857,'1',9,'N'),(28,7254865,'1',340,'N'),(28,7254873,'1',317,'N'),(28,7254881,'1',601,'N'),(28,7254881,'1A',203,'N'),(28,7254890,'1',5,'N'),(28,7254903,'1',5,'N'),(28,7254911,'1',103,'N'),(28,7254920,'1',319,'N'),(28,7254938,'1',103,'N'),(28,7254954,'1',201,'N'),(28,7254954,'1A',202,'N'),(28,7254962,'1',303,'N'),(28,7254989,'1',235,'N'),(28,7254989,'1A',220,'N'),(28,7254997,'1',238,'N'),(28,7254997,'1A',201,'N'),(28,7255004,'1',208,'N'),(28,7255039,'1',316,'N'),(28,7255047,'1',5,'N'),(28,7255055,'1',212,'N'),(28,7255055,'1A',215,'N'),(28,7255063,'1',103,'N'),(28,7255071,'1',303,'N'),(28,7255080,'1',201,'N'),(28,7255080,'1A',238,'N'),(28,7255098,'1',303,'N'),(28,7255101,'1',501,'N'),(28,7255110,'1',5,'N'),(28,7255128,'1',103,'N'),(28,7255136,'1',208,'N'),(28,7255144,'1',9,'N'),(28,7255160,'1',303,'N'),(28,7255187,'1',222,'N'),(28,7255209,'1',654,'N'),(28,7255217,'1',104,'N'),(28,7255241,'1',103,'N'),(28,7255250,'1',103,'N'),(28,7255268,'1',109,'N'),(28,7255276,'1',208,'N'),(28,7255284,'1',201,'N'),(28,7255284,'1A',212,'N'),(28,7255292,'1',501,'N'),(28,7255306,'1',103,'N'),(28,7255314,'1',101,'N'),(28,7255322,'1',327,'N'),(28,7255330,'1',340,'N'),(28,7255349,'1',230,'N'),(28,7255357,'1',308,'N'),(28,7255365,'1',201,'N'),(28,7255365,'1A',212,'N'),(28,7255373,'1',332,'N'),(28,7255390,'1',317,'N'),(28,7255403,'1',103,'N'),(28,7255411,'1',404,'N'),(28,7255420,'1',319,'N'),(28,7255438,'1',317,'N'),(28,7255446,'1',316,'N'),(28,7255454,'1',103,'N'),(28,7255462,'1',5,'N'),(28,7255470,'1',340,'N'),(28,7255489,'1',552,'N'),(28,7255497,'1',207,'N'),(28,7255497,'1A',211,'N'),(28,7255519,'1',103,'N'),(28,7255535,'1',103,'N'),(28,7255543,'1',203,'N'),(28,7255551,'1',302,'N'),(28,7255578,'1',211,'N'),(28,7255578,'1A',235,'N'),(28,7255586,'1',103,'N'),(28,7255594,'1',215,'N'),(28,7255594,'1A',216,'N'),(28,7255608,'1',999,'N'),(28,7255616,'1',207,'N'),(28,7255640,'1',5,'N'),(28,7255659,'1',103,'N'),(28,7255667,'1',212,'N'),(28,7255667,'1A',201,'N'),(28,7255675,'1',551,'N'),(28,7255705,'1',9,'N'),(28,7255713,'1',225,'N'),(28,7255721,'1',303,'N'),(28,7255730,'1',104,'N'),(28,7255748,'1',450,'N'),(28,7255756,'1',444,'N'),(28,7255764,'1',601,'N'),(28,7255772,'1',203,'N'),(28,7255772,'1A',202,'N'),(28,7255799,'1',316,'N'),(28,7255802,'1',103,'N'),(28,7255810,'1',102,'N'),(28,7255837,'1',444,'N'),(28,7255845,'1',332,'N'),(28,7255853,'1',203,'N'),(28,7255853,'1A',201,'N'),(28,7255861,'1',429,'N'),(28,7255861,'1A',423,'N'),(28,7255870,'1',201,'N'),(28,7255870,'1A',202,'N'),(28,7255888,'1',207,'N'),(28,7255888,'1A',201,'N'),(28,7255896,'1',551,'N'),(28,7255900,'1',220,'N'),(28,7255900,'1A',238,'N'),(28,7255926,'1',207,'N'),(28,7255926,'1A',201,'N'),(28,7255934,'1',301,'N'),(28,7255950,'1',302,'N'),(28,7255969,'1',415,'N'),(28,7255977,'1',9,'N'),(28,7255993,'1',302,'N'),(28,7256000,'1',103,'N'),(28,7256035,'1',103,'N'),(28,7256043,'1',309,'N'),(28,7256060,'1',451,'N'),(28,7256086,'1',104,'N'),(28,7256094,'1',999,'N'),(28,7256108,'1',104,'N'),(28,7256116,'1',5,'N'),(28,7256132,'1',202,'N'),(28,7256132,'1A',235,'N'),(28,7256140,'1',551,'N'),(28,7256159,'1',238,'N'),(28,7256159,'1A',235,'N'),(28,7256167,'1',201,'N'),(28,7256167,'1A',233,'N'),(28,7256175,'1',203,'N'),(28,7256175,'1A',220,'N'),(28,7256183,'1',502,'N'),(28,7256191,'1',101,'N'),(28,7256205,'1',999,'N'),(28,7256213,'1',337,'N'),(28,7256230,'1',340,'N'),(28,7256256,'1',3,'N'),(28,7256272,'1',333,'N'),(28,7256280,'1',415,'N'),(28,7256299,'1',103,'N'),(28,7256302,'1',301,'N'),(28,7256310,'1',552,'N'),(28,7256329,'1',425,'N'),(28,7256329,'1A',426,'N'),(28,7256337,'1',5,'N'),(28,7256353,'1',415,'N'),(28,7256370,'1',501,'N'),(28,7256388,'1',454,'N'),(28,7256418,'1',318,'N'),(28,7256426,'1',552,'N'),(28,7256434,'1',211,'N'),(28,7256434,'1A',601,'N'),(28,7256442,'1',454,'N'),(28,7256450,'1',328,'N'),(28,7256469,'1',308,'N'),(28,7256485,'1',207,'N'),(28,7256485,'1A',211,'N'),(28,7256493,'1',316,'N'),(28,7256507,'1',102,'N'),(28,7256515,'1',423,'N'),(28,7256515,'1A',425,'N'),(28,7256523,'1',235,'N'),(28,7256523,'1A',238,'N'),(28,7256531,'1',999,'N'),(28,7256540,'1',103,'N'),(28,7256566,'1',303,'N'),(28,7256574,'1',103,'N'),(28,7256582,'1',103,'N'),(28,7256590,'1',428,'N'),(28,7256590,'1A',427,'N'),(28,7256604,'1',415,'N'),(28,7256612,'1',212,'N'),(28,7256612,'1A',238,'N'),(28,7256620,'1',201,'N'),(28,7256620,'1A',601,'N'),(28,7256647,'1',103,'N'),(28,7256655,'1',301,'N'),(28,7256663,'1',333,'N'),(28,7256671,'1',999,'N'),(28,7256680,'1',103,'N'),(28,7256698,'1',203,'N'),(28,7256698,'1A',214,'N'),(28,7256701,'1',220,'N'),(28,7256701,'1A',213,'N'),(28,7256710,'1',110,'N'),(28,7256728,'1',103,'N'),(28,7256736,'1',451,'N'),(28,7256744,'1',601,'N'),(28,7256752,'1',103,'N'),(28,7256760,'1',238,'N'),(28,7256760,'1A',214,'N'),(28,7256779,'1',235,'N'),(28,7256779,'1A',216,'N'),(28,7256787,'1',316,'N'),(28,7256795,'1',103,'N'),(28,7256809,'1',552,'N'),(28,7256817,'1',103,'N'),(28,7256825,'1',201,'N'),(28,7256825,'1A',203,'N'),(28,7256833,'1',450,'N'),(28,7256841,'1',208,'N'),(28,7256868,'1',104,'N'),(28,7256876,'1',440,'N'),(28,7256884,'1',304,'N'),(28,7256914,'1',103,'N'),(28,7256922,'1',207,'N'),(28,7256922,'1A',215,'N'),(28,7256930,'1',5,'N'),(28,7256949,'1',233,'N'),(28,7256949,'1A',235,'N'),(28,7256957,'1',316,'N'),(28,7256965,'1',108,'N'),(28,7256973,'1',5,'N'),(28,7256990,'1',316,'N'),(28,7257015,'1',104,'N'),(28,7257023,'1',339,'N'),(28,7257031,'1',207,'N'),(28,7257066,'1',207,'N'),(28,7257066,'1A',201,'N'),(28,7257082,'1',102,'N'),(28,7257090,'1',301,'N'),(28,7257104,'1',103,'N'),(28,7257112,'1',302,'N'),(28,7257120,'1',319,'N'),(28,7257139,'1',103,'N'),(28,7257147,'1',9,'N'),(28,7257155,'1',108,'N'),(28,7257163,'1',104,'N'),(28,7257180,'1',327,'N'),(28,7257198,'1',207,'N'),(28,7257201,'1',5,'N'),(28,7257210,'1',502,'N'),(28,7257228,'1',601,'N'),(28,7257228,'1A',212,'N'),(28,7257236,'1',451,'N'),(28,7257244,'1',103,'N'),(28,7257252,'1',5,'N'),(28,7257260,'1',103,'N'),(28,7257279,'1',303,'N'),(28,7257287,'1',552,'N'),(28,7257309,'1',5,'N'),(28,7257317,'1',203,'N'),(28,7257317,'1A',233,'N'),(28,7257325,'1',999,'N'),(28,7257333,'1',103,'N'),(28,7257341,'1',215,'N'),(28,7257341,'1A',211,'N'),(28,7257350,'1',201,'N'),(28,7257350,'1A',211,'N'),(28,7257368,'1',207,'N'),(28,7257368,'1A',211,'N'),(28,7257376,'1',203,'N'),(28,7257376,'1A',211,'N'),(28,7257384,'1',601,'N'),(28,7257384,'1A',203,'N'),(28,7257392,'1',450,'N'),(28,7257430,'1',103,'N'),(28,7257449,'1',222,'N'),(28,7257457,'1',201,'N'),(28,7257457,'1A',203,'N'),(28,7257473,'1',103,'N'),(28,7257481,'1',108,'N'),(28,7257490,'1',653,'N'),(28,7257490,'1A',601,'N'),(28,7257503,'1',5,'N'),(28,7257511,'1',308,'N'),(28,7257520,'1',338,'N'),(28,7257538,'1',103,'N'),(28,7257546,'1',552,'N'),(28,7257554,'1',108,'N'),(28,7257562,'1',104,'N'),(28,7257570,'1',999,'N'),(28,7257600,'1',103,'N'),(28,7257619,'1',201,'N'),(28,7257619,'1A',212,'N'),(28,7257627,'1',454,'N'),(28,7257643,'1',654,'N'),(28,7257651,'1',655,'N'),(28,7257651,'1A',653,'N'),(28,7257678,'1',104,'N'),(28,7257686,'1',425,'N'),(28,7257708,'1',415,'N'),(28,7257716,'1',428,'N'),(28,7257716,'1A',426,'N'),(28,7257724,'1',332,'N'),(28,7257732,'1',103,'N'),(28,7257740,'1',103,'N'),(28,7257775,'1',201,'N'),(28,7257775,'1A',203,'N'),(28,7257783,'1',309,'N'),(28,7257791,'1',203,'N'),(28,7257791,'1A',653,'N'),(28,7257821,'1',103,'N'),(28,7257830,'1',302,'N'),(28,7257848,'1',103,'N'),(28,7257856,'1',999,'N'),(28,7257880,'1',216,'N'),(28,7257880,'1A',203,'N'),(28,7257899,'1',999,'N'),(28,7257902,'1',5,'N'),(28,7257910,'1',203,'N'),(28,7257910,'1A',214,'N'),(28,7257929,'1',999,'N'),(28,7257937,'1',551,'N'),(28,7257945,'1',104,'N'),(28,7257953,'1',601,'N'),(28,7257953,'1A',235,'N'),(28,7257970,'1',601,'N'),(28,7257970,'1A',201,'N'),(28,7257996,'1',340,'N'),(28,7258003,'1',103,'N'),(28,7258038,'1',655,'N'),(28,7258038,'1A',216,'N'),(28,7258054,'1',304,'N'),(28,7258062,'1',201,'N'),(28,7258062,'1A',601,'N'),(28,7258070,'1',201,'N'),(28,7258070,'1A',601,'N'),(28,7258097,'1',203,'N'),(28,7258097,'1A',202,'N'),(28,7258100,'1',201,'N'),(28,7258100,'1A',601,'N'),(28,7258119,'1',302,'N'),(28,7258127,'1',336,'N'),(28,7258135,'1',303,'N'),(28,7258143,'1',9,'N'),(28,7258151,'1',201,'N'),(28,7258151,'1A',207,'N'),(28,7258160,'1',220,'N'),(28,7258160,'1A',207,'N'),(28,7258178,'1',104,'N'),(28,7258186,'1',208,'N'),(28,7258194,'1',103,'N'),(28,7258208,'1',103,'N'),(28,7258216,'1',552,'N'),(28,7258224,'1',103,'N'),(28,7258232,'1',653,'N'),(28,7258232,'1A',213,'N'),(28,7258240,'1',316,'N'),(28,7258259,'1',101,'N'),(28,7258267,'1',5,'N'),(28,7258275,'1',317,'N'),(28,7258283,'1',201,'N'),(28,7258283,'1A',601,'N'),(28,7258291,'1',208,'N'),(28,7258313,'1',201,'N'),(28,7258313,'1A',211,'N'),(28,7258330,'1',340,'N'),(28,7258348,'1',202,'N'),(28,7258348,'1A',235,'N'),(28,7258356,'1',427,'N'),(28,7258356,'1A',423,'N'),(28,7258380,'1',327,'N'),(28,7258399,'1',238,'N'),(28,7258399,'1A',216,'N'),(28,7258402,'1',328,'N'),(28,7258410,'1',454,'N'),(28,7258429,'1',103,'N'),(28,7258437,'1',233,'N'),(28,7258437,'1A',213,'N'),(28,7258453,'1',103,'N'),(28,7258461,'1',316,'N'),(28,7258470,'1',999,'N'),(28,7258488,'1',999,'N'),(28,7258496,'1',207,'N'),(28,7258496,'1A',215,'N'),(28,7258500,'1',333,'N'),(28,7258526,'1',104,'N'),(28,7258542,'1',303,'N'),(28,7258550,'1',333,'N'),(28,7258569,'1',319,'N'),(28,7258577,'1',999,'N'),(28,7258585,'1',103,'N'),(28,7258593,'1',309,'N'),(28,7258607,'1',303,'N'),(28,7258615,'1',450,'N'),(28,7258640,'1',999,'N'),(28,7258658,'1',303,'N'),(28,7258666,'1',303,'N'),(28,7258682,'1',502,'N'),(28,7258690,'1',103,'N'),(28,7258704,'1',104,'N'),(28,7258712,'1',203,'N'),(28,7258712,'1A',220,'N'),(28,7258720,'1',444,'N'),(28,7258739,'1',425,'N'),(28,7258755,'1',999,'N'),(28,7258763,'1',203,'N'),(28,7258763,'1A',214,'N'),(28,7258771,'1',303,'N'),(28,7258780,'1',316,'N'),(28,7258801,'1',203,'N'),(28,7258801,'1A',220,'N'),(28,7258810,'1',317,'N'),(28,7258828,'1',101,'N'),(28,7258836,'1',208,'N'),(28,7258852,'1',103,'N'),(28,7258909,'1',501,'N'),(28,7258917,'1',203,'N'),(28,7258917,'1A',220,'N'),(28,7258925,'1',208,'N'),(28,7258933,'1',301,'N'),(28,7258950,'1',103,'N'),(28,7258976,'1',329,'N'),(28,7258984,'1',103,'N'),(28,7258992,'1',5,'N'),(28,7259000,'1',207,'N'),(28,7259000,'1A',201,'N'),(28,7259018,'1',103,'N'),(28,7259026,'1',216,'N'),(28,7259026,'1A',203,'N'),(28,7259042,'1',234,'N'),(28,7259050,'1',423,'N'),(28,7259069,'1',201,'N'),(28,7259069,'1A',207,'N'),(28,7259077,'1',103,'N'),(28,7259093,'1',223,'N'),(28,7259107,'1',415,'N'),(28,7259115,'1',9,'N'),(28,7259123,'1',552,'N'),(28,7259131,'1',999,'N'),(28,7259140,'1',425,'N'),(28,7259140,'1A',423,'N'),(28,7259158,'1',233,'N'),(28,7259158,'1A',238,'N'),(28,7259166,'1',207,'N'),(28,7259174,'1',233,'N'),(28,7259174,'1A',220,'N'),(28,7259182,'1',207,'N'),(28,7259182,'1A',233,'N'),(28,7259190,'1',654,'N'),(28,7259204,'1',501,'N'),(28,7259220,'1',318,'N'),(28,7259239,'1',502,'N'),(28,7259247,'1',207,'N'),(28,7259247,'1A',201,'N'),(28,7259255,'1',454,'N'),(28,7259263,'1',103,'N'),(28,7259298,'1',301,'N'),(28,7259301,'1',999,'N'),(28,7259310,'1',319,'N'),(28,7259328,'1',108,'N'),(28,7259336,'1',318,'N'),(28,7259344,'1',103,'N'),(28,7259360,'1',999,'N'),(28,7259379,'1',201,'N'),(28,7259387,'1',202,'N'),(28,7259387,'1A',201,'N'),(28,7259409,'1',444,'N'),(28,7259425,'1',208,'N'),(28,7259433,'1',501,'N'),(28,7259441,'1',501,'N'),(28,7259450,'1',201,'N'),(28,7259450,'1A',207,'N'),(28,7259468,'1',340,'N'),(28,7259476,'1',103,'N'),(28,7259484,'1',220,'N'),(28,7259484,'1A',653,'N'),(28,7259492,'1',415,'N'),(28,7259506,'1',999,'N'),(28,7259514,'1',203,'N'),(28,7259514,'1A',220,'N'),(28,7259530,'1',222,'N'),(28,7259549,'1',235,'N'),(28,7259549,'1A',214,'N'),(28,7259557,'1',102,'N'),(28,7259565,'1',238,'N'),(28,7259565,'1A',233,'N'),(28,7259573,'1',3,'N'),(28,7259581,'1',501,'N'),(28,7259590,'1',103,'N'),(28,7259603,'1',601,'N'),(28,7259603,'1A',233,'N'),(28,7259611,'1',319,'N'),(28,7259620,'1',207,'N'),(28,7259620,'1A',215,'N'),(28,7259638,'1',444,'N'),(28,7259646,'1',216,'N'),(28,7259646,'1A',207,'N'),(28,7259654,'1',104,'N'),(28,7259670,'1',319,'N'),(28,7259689,'1',309,'N'),(28,7259719,'1',109,'N'),(28,7259727,'1',104,'N'),(28,7259735,'1',316,'N'),(28,7259743,'1',103,'N'),(28,7259760,'1',108,'N'),(28,7259778,'1',207,'N'),(28,7259778,'1A',201,'N'),(28,7259786,'1',201,'N'),(28,7259786,'1A',601,'N'),(28,7259794,'1',201,'N'),(28,7259794,'1A',233,'N'),(28,7259840,'1',108,'N'),(28,7259859,'1',238,'N'),(28,7259859,'1A',207,'N'),(28,7259867,'1',303,'N'),(28,7259875,'1',202,'N'),(28,7259875,'1A',653,'N'),(28,7259883,'1',110,'N'),(28,7259891,'1',203,'N'),(28,7259891,'1A',214,'N'),(28,7259905,'1',309,'N'),(28,7259913,'1',303,'N'),(28,7259921,'1',207,'N'),(28,7259921,'1A',201,'N'),(28,7259930,'1',103,'N'),(28,7259948,'1',5,'N'),(28,7259964,'1',303,'N'),(28,7259999,'1',404,'N'),(28,7260008,'1',551,'N'),(28,7260016,'1',108,'N'),(28,7260024,'1',552,'N'),(28,7260032,'1',108,'N'),(28,7260040,'1',214,'N'),(28,7260040,'1A',653,'N'),(28,7260059,'1',454,'N'),(28,7260075,'1',999,'N'),(28,7260083,'1',429,'N'),(28,7260083,'1A',425,'N'),(28,7260091,'1',201,'N'),(28,7260091,'1A',207,'N'),(28,7260121,'1',103,'N'),(28,7260130,'1',999,'N'),(28,7260148,'1',212,'N'),(28,7260148,'1A',213,'N'),(28,7260156,'1',415,'N'),(28,7260164,'1',207,'N'),(28,7260180,'1',999,'N'),(28,7260199,'1',103,'N'),(28,7260202,'1',652,'N'),(28,7260202,'1A',655,'N'),(28,7260210,'1',223,'N'),(28,7260229,'1',201,'N'),(28,7260229,'1A',203,'N'),(28,7260237,'1',103,'N'),(28,7260245,'1',207,'N'),(28,7260245,'1A',212,'N'),(28,7260253,'1',207,'N'),(28,7260253,'1A',201,'N'),(28,7260261,'1',103,'N'),(28,7260270,'1',103,'N'),(28,7260288,'1',999,'N'),(28,7260296,'1',999,'N'),(28,7260300,'1',238,'N'),(28,7260300,'1A',655,'N'),(28,7260318,'1',216,'N'),(28,7260318,'1A',220,'N'),(28,7260342,'1',303,'N'),(28,7260350,'1',999,'N'),(28,7260369,'1',999,'N'),(28,7260377,'1',203,'N'),(28,7260377,'1A',214,'N'),(28,7260385,'1',5,'N'),(28,7260393,'1',103,'N'),(28,7260407,'1',444,'N'),(28,7260415,'1',211,'N'),(28,7260415,'1A',238,'N'),(28,7260423,'1',326,'N'),(28,7260440,'1',444,'N'),(28,7260466,'1',220,'N'),(28,7260466,'1A',202,'N'),(28,7260474,'1',303,'N'),(28,7260482,'1',454,'N'),(28,7260490,'1',5,'N'),(28,7260504,'1',339,'N'),(28,7260512,'1',2,'N'),(28,7260520,'1',104,'N'),(28,7260539,'1',104,'N'),(28,7260547,'1',235,'N'),(28,7260547,'1A',220,'N'),(28,7260555,'1',552,'N'),(28,7260563,'1',319,'N'),(28,7260571,'1',233,'N'),(28,7260571,'1A',238,'N'),(28,7260580,'1',103,'N'),(28,7260628,'1',110,'N'),(28,7260636,'1',101,'N'),(28,7260644,'1',103,'N'),(28,7260652,'1',319,'N'),(28,7260660,'1',201,'N'),(28,7260660,'1A',601,'N'),(28,7260687,'1',3,'N'),(28,7260709,'1',5,'N'),(28,7260717,'1',103,'N'),(28,7260725,'1',5,'N'),(28,7260733,'1',203,'N'),(28,7260733,'1A',202,'N'),(28,7260750,'1',207,'N'),(28,7260750,'1A',233,'N'),(28,7260768,'1',999,'N'),(28,7260784,'1',444,'N'),(28,7260792,'1',308,'N'),(28,7260806,'1',316,'N'),(28,7260814,'1',103,'N'),(28,7260822,'1',103,'N'),(28,7260830,'1',103,'N'),(28,7260849,'1',102,'N'),(28,7260857,'1',9,'N'),(28,7260865,'1',999,'N'),(28,7260873,'1',425,'N'),(28,7260873,'1A',424,'N'),(28,7260881,'1',103,'N'),(28,7260890,'1',551,'N'),(28,7260903,'1',320,'N'),(28,7260911,'1',999,'N'),(28,7260920,'1',238,'N'),(28,7260920,'1A',652,'N'),(28,7260938,'1',415,'N'),(28,7260946,'1',333,'N'),(28,7260954,'1',404,'N'),(28,7260962,'1',216,'N'),(28,7260962,'1A',211,'N'),(28,7260970,'1',5,'N'),(28,7260989,'1',207,'N'),(28,7260989,'1A',212,'N'),(28,7260997,'1',654,'N'),(28,7261004,'1',551,'N'),(28,7261012,'1',320,'N'),(28,7261020,'1',103,'N'),(28,7261039,'1',207,'N'),(28,7261039,'1A',202,'N'),(28,7261047,'1',999,'N'),(28,7261055,'1',102,'N'),(28,7261063,'1',211,'N'),(28,7261063,'1A',233,'N'),(28,7261080,'1',317,'N'),(28,7261098,'1',9,'N'),(28,7261101,'1',340,'N'),(28,7261110,'1',655,'N'),(28,7261110,'1A',652,'N'),(28,7261128,'1',202,'N'),(28,7261128,'1A',201,'N'),(28,7261144,'1',216,'N'),(28,7261144,'1A',215,'N'),(28,7261152,'1',999,'N'),(28,7261160,'1',103,'N'),(28,7261195,'1',304,'N'),(28,7261209,'1',454,'N'),(28,7261225,'1',216,'N'),(28,7261225,'1A',601,'N'),(28,7261233,'1',303,'N'),(28,7261241,'1',103,'N'),(28,7261250,'1',103,'N'),(28,7261268,'1',102,'N'),(28,7261284,'1',201,'N'),(28,7261284,'1A',207,'N'),(28,7261314,'1',208,'N'),(28,7261330,'1',9,'N'),(28,7261349,'1',316,'N'),(28,7261357,'1',110,'N'),(28,7261365,'1',329,'N'),(28,7261373,'1',308,'N'),(28,7261390,'1',415,'N'),(28,7261403,'1',103,'N'),(28,7261411,'1',201,'N'),(28,7261411,'1A',211,'N'),(28,7261420,'1',327,'N'),(28,7261438,'1',551,'N'),(28,7261446,'1',3,'N'),(28,7261462,'1',201,'N'),(28,7261462,'1A',212,'N'),(28,7261470,'1',207,'N'),(28,7261470,'1A',601,'N'),(28,7261489,'1',103,'N'),(28,7261497,'1',103,'N'),(28,7261500,'1',103,'N'),(28,7261519,'1',103,'N'),(28,7261535,'1',340,'N'),(28,7261543,'1',103,'N'),(28,7261560,'1',340,'N'),(28,7261578,'1',207,'N'),(28,7261578,'1A',233,'N'),(28,7261608,'1',415,'N'),(28,7261616,'1',5,'N'),(28,7261624,'1',502,'N'),(28,7261632,'1',653,'N'),(28,7261632,'1A',655,'N'),(28,7261640,'1',103,'N'),(28,7261659,'1',340,'N'),(28,7261667,'1',303,'N'),(28,7261675,'1',404,'N'),(28,7261683,'1',103,'N'),(28,7261691,'1',425,'N'),(28,7261705,'1',655,'N'),(28,7261705,'1A',653,'N'),(28,7261713,'1',103,'N'),(28,7261730,'1',207,'N'),(28,7261730,'1A',201,'N'),(28,7261748,'1',216,'N'),(28,7261748,'1A',201,'N'),(28,7261764,'1',9,'N'),(28,7261772,'1',653,'N'),(28,7261772,'1A',213,'N'),(28,7261780,'1',214,'N'),(28,7261780,'1A',203,'N'),(28,7261799,'1',318,'N'),(28,7261802,'1',9,'N'),(28,7261810,'1',201,'N'),(28,7261810,'1A',207,'N'),(28,7261829,'1',203,'N'),(28,7261829,'1A',202,'N'),(28,7261845,'1',102,'N'),(28,7261853,'1',103,'N'),(28,7261861,'1',429,'N'),(28,7261861,'1A',425,'N'),(28,7261870,'1',216,'N'),(28,7261870,'1A',215,'N'),(28,7261888,'1',454,'N'),(28,7261896,'1',225,'N'),(28,7261900,'1',303,'N'),(28,7261918,'1',340,'N'),(28,7261926,'1',103,'N'),(28,7261934,'1',303,'N'),(28,7261950,'1',503,'N'),(28,7261969,'1',203,'N'),(28,7261969,'1A',216,'N'),(28,7261977,'1',103,'N'),(28,7261985,'1',327,'N'),(28,7261993,'1',340,'N'),(28,7262000,'1',319,'N'),(28,7262019,'1',425,'N'),(28,7262019,'1A',426,'N'),(28,7262027,'1',501,'N'),(28,7262035,'1',404,'N'),(28,7262043,'1',102,'N'),(28,7262051,'1',324,'N'),(28,7262060,'1',340,'N'),(28,7262078,'1',103,'N'),(28,7262086,'1',5,'N'),(28,7262094,'1',316,'N'),(28,7262108,'1',454,'N'),(28,7262116,'1',415,'N'),(28,7262124,'1',450,'N'),(28,7262132,'1',104,'N'),(28,7262159,'1',3,'N'),(28,7262167,'1',201,'N'),(28,7262167,'1A',212,'N'),(28,7262175,'1',108,'N'),(28,7262183,'1',201,'N'),(28,7262183,'1A',220,'N'),(28,7262191,'1',333,'N'),(28,7262205,'1',103,'N'),(28,7262213,'1',320,'N'),(28,7262221,'1',309,'N'),(28,7262230,'1',220,'N'),(28,7262230,'1A',202,'N'),(28,7262248,'1',211,'N'),(28,7262248,'1A',215,'N'),(28,7262256,'1',320,'N'),(28,7262264,'1',216,'N'),(28,7262264,'1A',233,'N'),(28,7262272,'1',308,'N'),(28,7262280,'1',235,'N'),(28,7262280,'1A',655,'N'),(28,7262299,'1',103,'N'),(28,7262310,'1',102,'N'),(28,7262329,'1',103,'N'),(28,7262337,'1',340,'N'),(28,7262345,'1',303,'N'),(28,7262361,'1',450,'N'),(28,7262370,'1',212,'N'),(28,7262370,'1A',214,'N'),(28,7262388,'1',301,'N'),(28,7262396,'1',415,'N'),(28,7262400,'1',404,'N'),(28,7262426,'1',201,'N'),(28,7262426,'1A',212,'N'),(28,7262434,'1',303,'N'),(28,7262442,'1',450,'N'),(28,7262450,'1',319,'N'),(28,7262469,'1',450,'N'),(28,7262477,'1',103,'N'),(28,7262485,'1',404,'N'),(28,7262493,'1',201,'N'),(28,7262493,'1A',212,'N'),(28,7262507,'1',454,'N'),(28,7262531,'1',223,'N'),(28,7262540,'1',5,'N'),(28,7262558,'1',316,'N'),(28,7262566,'1',5,'N'),(28,7262582,'1',652,'N'),(28,7262582,'1A',655,'N'),(28,7262590,'1',317,'N'),(28,7262604,'1',316,'N'),(28,7262612,'1',103,'N'),(28,7262620,'1',316,'N'),(28,7262639,'1',201,'N'),(28,7262639,'1A',233,'N'),(28,7262647,'1',103,'N'),(28,7262655,'1',336,'N'),(28,7262663,'1',652,'N'),(28,7262671,'1',238,'N'),(28,7262671,'1A',655,'N'),(28,7262701,'1',303,'N'),(28,7262728,'1',551,'N'),(28,7262736,'1',103,'N'),(28,7262744,'1',303,'N'),(28,7262752,'1',454,'N'),(28,7262760,'1',214,'N'),(28,7262760,'1A',213,'N'),(28,7262779,'1',309,'N'),(28,7262787,'1',104,'N'),(28,7262795,'1',208,'N'),(28,7262825,'1',319,'N'),(28,7262833,'1',302,'N'),(28,7262841,'1',327,'N'),(28,7262850,'1',3,'N'),(28,7262868,'1',233,'N'),(28,7262868,'1A',601,'N'),(28,7262876,'1',316,'N'),(28,7262892,'1',316,'N'),(28,7262914,'1',208,'N'),(28,7262922,'1',340,'N'),(28,7262930,'1',103,'N'),(28,7262957,'1',238,'N'),(28,7262957,'1A',652,'N'),(28,7262965,'1',103,'N'),(28,7262973,'1',109,'N'),(28,7262981,'1',9,'N'),(28,7262990,'1',421,'N'),(28,7262990,'1A',427,'N'),(28,7263007,'1',108,'N'),(28,7263015,'1',301,'N'),(28,7263031,'1',103,'N'),(28,7263040,'1',303,'N'),(28,7263058,'1',207,'N'),(28,7263058,'1A',201,'N'),(28,7263066,'1',501,'N'),(28,7263074,'1',108,'N'),(28,7263082,'1',309,'N'),(28,7263104,'1',103,'N'),(28,7263112,'1',340,'N'),(28,7263120,'1',216,'N'),(28,7263120,'1A',203,'N'),(28,7263139,'1',318,'N'),(28,7263147,'1',104,'N'),(28,7263155,'1',601,'N'),(28,7263171,'1',201,'N'),(28,7263171,'1A',212,'N'),(28,7263201,'1',340,'N'),(28,7263228,'1',301,'N'),(28,7263236,'1',316,'N'),(28,7263244,'1',655,'N'),(28,7263244,'1A',653,'N'),(28,7263260,'1',303,'N'),(28,7263279,'1',207,'N'),(28,7263279,'1A',201,'N'),(28,7263295,'1',303,'N'),(28,7263317,'1',303,'N'),(28,7263325,'1',304,'N'),(28,7263350,'1',103,'N'),(28,7263376,'1',340,'N'),(28,7263392,'1',653,'N'),(28,7263392,'1A',601,'N'),(28,7263406,'1',103,'N'),(28,7263414,'1',303,'N'),(28,7263430,'1',653,'N'),(28,7263430,'1A',202,'N'),(28,7263449,'1',207,'N'),(28,7263449,'1A',201,'N'),(28,7263457,'1',302,'N'),(28,7263465,'1',103,'N'),(28,7263473,'1',999,'N'),(28,7263481,'1',318,'N'),(28,7263490,'1',201,'N'),(28,7263490,'1A',601,'N'),(28,7263503,'1',203,'N'),(28,7263503,'1A',201,'N'),(28,7263511,'1',601,'N'),(28,7263546,'1',201,'N'),(28,7263546,'1A',212,'N'),(28,7263554,'1',104,'N'),(28,7263562,'1',201,'N'),(28,7263562,'1A',207,'N'),(28,7263570,'1',319,'N'),(28,7263600,'1',103,'N'),(28,7263619,'1',103,'N'),(28,7263627,'1',103,'N'),(28,7263635,'1',201,'N'),(28,7263635,'1A',212,'N'),(28,7263643,'1',203,'N'),(28,7263643,'1A',202,'N'),(28,7263660,'1',201,'N'),(28,7263660,'1A',202,'N'),(28,7263678,'1',303,'N'),(28,7263694,'1',203,'N'),(28,7263694,'1A',201,'N'),(28,7263708,'1',103,'N'),(28,7263716,'1',337,'N'),(28,7263724,'1',103,'N'),(28,7263732,'1',207,'N'),(28,7263732,'1A',212,'N'),(28,7263740,'1',201,'N'),(28,7263740,'1A',601,'N'),(28,7263767,'1',454,'N'),(28,7263775,'1',316,'N'),(28,7263783,'1',999,'N'),(28,7263791,'1',220,'N'),(28,7263791,'1A',235,'N'),(28,7263805,'1',308,'N'),(28,7263813,'1',552,'N'),(28,7263821,'1',425,'N'),(28,7263830,'1',103,'N'),(28,7263848,'1',454,'N'),(28,7263856,'1',203,'N'),(28,7263856,'1A',212,'N'),(28,7263864,'1',404,'N'),(28,7263880,'1',201,'N'),(28,7263880,'1A',212,'N'),(28,7263902,'1',201,'N'),(28,7263902,'1A',212,'N'),(28,7263937,'1',601,'N'),(28,7263937,'1A',213,'N'),(28,7263953,'1',340,'N'),(28,7263961,'1',108,'N'),(28,7263988,'1',655,'N'),(28,7263988,'1A',652,'N'),(28,7263996,'1',104,'N'),(28,7264003,'1',653,'N'),(28,7264003,'1A',202,'N'),(28,7264011,'1',654,'N'),(28,7264020,'1',102,'N'),(28,7264038,'1',999,'N'),(28,7264054,'1',999,'N'),(28,7264062,'1',333,'N'),(28,7264097,'1',301,'N'),(28,7264100,'1',208,'N'),(28,7264119,'1',5,'N'),(28,7264127,'1',429,'N'),(28,7264127,'1A',425,'N'),(28,7264135,'1',333,'N'),(28,7264143,'1',223,'N'),(28,7264151,'1',104,'N'),(28,7264178,'1',9,'N'),(28,7264194,'1',333,'N'),(28,7264208,'1',213,'N'),(28,7264208,'1A',238,'N'),(28,7264224,'1',211,'N'),(28,7264224,'1A',215,'N'),(28,7264232,'1',103,'N'),(28,7264259,'1',104,'N'),(28,7264283,'1',238,'N'),(28,7264291,'1',999,'N'),(28,7264321,'1',652,'N'),(28,7264348,'1',415,'N'),(28,7264356,'1',238,'N'),(28,7264356,'1A',235,'N'),(28,7264364,'1',2,'N'),(28,7264372,'1',303,'N'),(28,7264380,'1',103,'N'),(28,7264399,'1',999,'N'),(28,7264402,'1',215,'N'),(28,7264402,'1A',211,'N'),(28,7264410,'1',203,'N'),(28,7264410,'1A',601,'N'),(28,7264437,'1',3,'N'),(28,7264453,'1',339,'N'),(28,7264461,'1',601,'N'),(28,7264461,'1A',207,'N'),(28,7264488,'1',102,'N'),(28,7264496,'1',451,'N'),(28,7264500,'1',207,'N'),(28,7264500,'1A',215,'N'),(28,7264518,'1',340,'N'),(28,7264526,'1',333,'N'),(28,7264534,'1',999,'N'),(28,7264542,'1',223,'N'),(28,7264550,'1',213,'N'),(28,7264550,'1A',220,'N'),(28,7264569,'1',552,'N'),(28,7264577,'1',203,'N'),(28,7264577,'1A',214,'N'),(28,7264593,'1',220,'N'),(28,7264593,'1A',235,'N'),(28,7264607,'1',501,'N'),(28,7264615,'1',5,'N'),(28,7264623,'1',552,'N'),(28,7264666,'1',340,'N'),(28,7264674,'1',103,'N'),(28,7264682,'1',404,'N'),(28,7264690,'1',201,'N'),(28,7264690,'1A',207,'N'),(28,7264704,'1',999,'N'),(28,7264712,'1',999,'N'),(28,7264720,'1',404,'N'),(28,7264739,'1',999,'N'),(28,7264747,'1',238,'N'),(28,7264747,'1A',235,'N'),(28,7264755,'1',205,'N'),(28,7264763,'1',208,'N'),(28,7264771,'1',103,'N'),(28,7264780,'1',203,'N'),(28,7264780,'1A',601,'N'),(28,7264798,'1',303,'N'),(28,7264801,'1',203,'N'),(28,7264801,'1A',214,'N'),(28,7264828,'1',103,'N'),(28,7264844,'1',5,'N'),(28,7264852,'1',316,'N'),(28,7264860,'1',109,'N'),(28,7264879,'1',551,'N'),(28,7264887,'1',103,'N'),(28,7264895,'1',207,'N'),(28,7264895,'1A',216,'N'),(28,7264909,'1',214,'N'),(28,7264909,'1A',212,'N'),(28,7264917,'1',319,'N'),(28,7264925,'1',103,'N'),(28,7264933,'1',302,'N'),(28,7264941,'1',308,'N'),(28,7264968,'1',233,'N'),(28,7264968,'1A',202,'N'),(28,7264976,'1',404,'N'),(28,7264984,'1',214,'N'),(28,7264984,'1A',213,'N'),(28,7264992,'1',234,'N'),(28,7265000,'1',211,'N'),(28,7265000,'1A',216,'N'),(28,7265018,'1',216,'N'),(28,7265018,'1A',235,'N'),(28,7265034,'1',3,'N'),(28,7265042,'1',339,'N'),(28,7265069,'1',207,'N'),(28,7265069,'1A',201,'N'),(28,7265085,'1',101,'N'),(28,7265093,'1',109,'N'),(28,7265107,'1',102,'N'),(28,7265115,'1',333,'N'),(28,7265123,'1',655,'N'),(28,7265123,'1A',235,'N'),(28,7265140,'1',3,'N'),(28,7265158,'1',223,'N'),(28,7265166,'1',319,'N'),(28,7265174,'1',5,'N'),(28,7265182,'1',441,'N'),(28,7265190,'1',102,'N'),(28,7265204,'1',5,'N'),(28,7265212,'1',238,'N'),(28,7265212,'1A',201,'N'),(28,7265220,'1',203,'N'),(28,7265220,'1A',215,'N'),(28,7265239,'1',103,'N'),(28,7265247,'1',501,'N'),(28,7265263,'1',316,'N'),(28,7265271,'1',208,'N'),(28,7265280,'1',303,'N'),(28,7265298,'1',235,'N'),(28,7265298,'1A',238,'N'),(28,7265328,'1',207,'N'),(28,7265344,'1',103,'N'),(28,7265352,'1',552,'N'),(28,7265360,'1',201,'N'),(28,7265379,'1',303,'N'),(28,7265387,'1',109,'N'),(28,7265395,'1',207,'N'),(28,7265395,'1A',201,'N'),(28,7265409,'1',216,'N'),(28,7265409,'1A',211,'N'),(28,7265417,'1',552,'N'),(28,7265425,'1',103,'N'),(28,7265433,'1',201,'N'),(28,7265433,'1A',235,'N'),(28,7265441,'1',103,'N'),(28,7265476,'1',103,'N'),(28,7265492,'1',108,'N'),(28,7265522,'1',214,'N'),(28,7265522,'1A',213,'N'),(28,7265530,'1',318,'N'),(28,7265549,'1',319,'N'),(28,7265565,'1',450,'N'),(28,7265573,'1',317,'N'),(28,7265581,'1',551,'N'),(28,7265590,'1',104,'N'),(28,7265603,'1',336,'N'),(28,7265611,'1',202,'N'),(28,7265611,'1A',211,'N'),(28,7265620,'1',551,'N'),(28,7265638,'1',332,'N'),(28,7265646,'1',103,'N'),(28,7265670,'1',211,'N'),(28,7265670,'1A',201,'N'),(28,7265689,'1',551,'N'),(28,7265697,'1',207,'N'),(28,7265697,'1A',201,'N'),(28,7265700,'1',319,'N'),(28,7265719,'1',999,'N'),(28,7265727,'1',502,'N'),(28,7265735,'1',454,'N'),(28,7265743,'1',999,'N'),(28,7265751,'1',103,'N'),(28,7265760,'1',319,'N'),(28,7265778,'1',207,'N'),(28,7265778,'1A',220,'N'),(28,7265794,'1',302,'N'),(28,7265808,'1',216,'N'),(28,7265808,'1A',215,'N'),(28,7265816,'1',303,'N'),(28,7265824,'1',201,'N'),(28,7265824,'1A',216,'N'),(28,7265832,'1',220,'N'),(28,7265832,'1A',203,'N'),(28,7265840,'1',999,'N'),(28,7265859,'1',109,'N'),(28,7265867,'1',202,'N'),(28,7265867,'1A',238,'N'),(28,7265875,'1',109,'N'),(28,7265883,'1',102,'N'),(28,7265891,'1',653,'N'),(28,7265905,'1',999,'N'),(28,7265913,'1',303,'N'),(28,7265921,'1',104,'N'),(28,7265930,'1',303,'N'),(28,7265948,'1',5,'N'),(28,7265956,'1',201,'N'),(28,7265956,'1A',212,'N'),(28,7265964,'1',201,'N'),(28,7265964,'1A',212,'N'),(28,7265972,'1',103,'N'),(28,7265999,'1',5,'N'),(28,7266006,'1',201,'N'),(28,7266006,'1A',235,'N'),(28,7266014,'1',201,'N'),(28,7266014,'1A',207,'N'),(28,7266022,'1',203,'N'),(28,7266030,'1',208,'N'),(28,7266049,'1',551,'N'),(28,7266057,'1',208,'N'),(28,7266073,'1',415,'N'),(28,7266081,'1',655,'N'),(28,7266081,'1A',653,'N'),(28,7266090,'1',454,'N'),(28,7266103,'1',454,'N'),(28,7266120,'1',215,'N'),(28,7266138,'1',552,'N'),(28,7266146,'1',201,'N'),(28,7266146,'1A',212,'N'),(28,7266162,'1',3,'N'),(28,7266170,'1',103,'N'),(28,7266200,'1',5,'N'),(28,7266235,'1',103,'N'),(28,7266243,'1',655,'N'),(28,7266251,'1',601,'N'),(28,7266251,'1A',238,'N'),(28,7266260,'1',340,'N'),(28,7266278,'1',201,'N'),(28,7266278,'1A',207,'N'),(28,7266294,'1',318,'N'),(28,7266308,'1',103,'N'),(28,7266316,'1',103,'N'),(28,7266324,'1',310,'N'),(28,7266332,'1',203,'N'),(28,7266332,'1A',202,'N'),(28,7266340,'1',5,'N'),(28,7266359,'1',103,'N'),(28,7266367,'1',652,'N'),(28,7266367,'1A',655,'N'),(28,7266405,'1',601,'N'),(28,7266413,'1',444,'N'),(28,7266448,'1',327,'N'),(28,7266456,'1',303,'N'),(28,7266464,'1',201,'N'),(28,7266464,'1A',233,'N'),(28,7266472,'1',108,'N'),(28,7266480,'1',201,'N'),(28,7266480,'1A',655,'N'),(28,7266502,'1',103,'N'),(28,7266510,'1',103,'N'),(28,7266529,'1',425,'N'),(28,7266529,'1A',429,'N'),(28,7266537,'1',216,'N'),(28,7266537,'1A',235,'N'),(28,7266545,'1',104,'N'),(28,7266553,'1',302,'N'),(28,7266561,'1',5,'N'),(28,7266570,'1',601,'N'),(28,7266570,'1A',213,'N'),(28,7266588,'1',215,'N'),(28,7266588,'1A',211,'N'),(28,7266596,'1',301,'N'),(28,7266600,'1',303,'N'),(28,7266618,'1',303,'N'),(28,7266634,'1',103,'N'),(28,7266642,'1',104,'N'),(28,7266650,'1',454,'N'),(28,7266669,'1',9,'N'),(28,7266677,'1',201,'N'),(28,7266677,'1A',203,'N'),(28,7266685,'1',655,'N'),(28,7266685,'1A',653,'N'),(28,7266693,'1',207,'N'),(28,7266693,'1A',201,'N'),(28,7266707,'1',216,'N'),(28,7266707,'1A',233,'N'),(28,7266723,'1',216,'N'),(28,7266723,'1A',233,'N'),(28,7266766,'1',103,'N'),(28,7266774,'1',234,'N'),(28,7266782,'1',317,'N'),(28,7266812,'1',501,'N'),(28,7266820,'1',999,'N'),(28,7266839,'1',427,'N'),(28,7266839,'1A',424,'N'),(28,7266847,'1',103,'N'),(28,7266863,'1',999,'N'),(28,7266871,'1',109,'N'),(28,7266880,'1',454,'N'),(28,7266901,'1',5,'N'),(28,7266910,'1',101,'N'),(28,7266928,'1',208,'N'),(28,7266936,'1',503,'N'),(28,7266944,'1',601,'N'),(28,7266944,'1A',238,'N'),(28,7266960,'1',319,'N'),(28,7266979,'1',212,'N'),(28,7266979,'1A',207,'N'),(28,7266987,'1',211,'N'),(28,7266987,'1A',215,'N'),(28,7266995,'1',319,'N'),(28,7267002,'1',103,'N'),(28,7267010,'1',339,'N'),(28,7267029,'1',421,'N'),(28,7267029,'1A',427,'N'),(28,7267037,'1',201,'N'),(28,7267037,'1A',207,'N'),(28,7267045,'1',404,'N'),(28,7267053,'1',654,'N'),(28,7267061,'1',101,'N'),(28,7267070,'1',215,'N'),(28,7267070,'1A',212,'N'),(28,7267088,'1',233,'N'),(28,7267088,'1A',601,'N'),(28,7267096,'1',302,'N'),(28,7267100,'1',9,'N'),(28,7267118,'1',454,'N'),(28,7267126,'1',2,'N'),(28,7267134,'1',601,'N'),(28,7267134,'1A',655,'N'),(28,7267142,'1',301,'N'),(28,7267169,'1',104,'N'),(28,7267177,'1',201,'N'),(28,7267177,'1A',203,'N'),(28,7267185,'1',9,'N'),(28,7267193,'1',104,'N'),(28,7267207,'1',103,'N'),(28,7267231,'1',316,'N'),(28,7267240,'1',340,'N'),(28,7267258,'1',238,'N'),(28,7267258,'1A',212,'N'),(28,7267266,'1',109,'N'),(28,7267274,'1',316,'N'),(28,7267282,'1',653,'N'),(28,7267282,'1A',207,'N'),(28,7267290,'1',201,'N'),(28,7267290,'1A',207,'N'),(28,7267312,'1',208,'N'),(28,7267320,'1',103,'N'),(28,7267339,'1',211,'N'),(28,7267339,'1A',601,'N'),(28,7267347,'1',304,'N'),(28,7267371,'1',340,'N'),(28,7267380,'1',201,'N'),(28,7267380,'1A',207,'N'),(28,7267398,'1',207,'N'),(28,7267398,'1A',201,'N'),(28,7267410,'1',301,'N'),(28,7267428,'1',303,'N'),(28,7267436,'1',5,'N'),(28,7267444,'1',202,'N'),(28,7267444,'1A',213,'N'),(28,7267452,'1',654,'N'),(28,7267460,'1',319,'N'),(28,7267487,'1',220,'N'),(28,7267487,'1A',235,'N'),(28,7267495,'1',340,'N'),(28,7267509,'1',103,'N'),(28,7267517,'1',318,'N'),(28,7267525,'1',211,'N'),(28,7267525,'1A',201,'N'),(28,7267533,'1',428,'N'),(28,7267533,'1A',426,'N'),(28,7267541,'1',208,'N'),(28,7267550,'1',103,'N'),(28,7267568,'1',316,'N'),(28,7267576,'1',212,'N'),(28,7267576,'1A',201,'N'),(28,7267584,'1',501,'N'),(28,7267592,'1',450,'N'),(28,7267606,'1',201,'N'),(28,7267606,'1A',203,'N'),(28,7267614,'1',201,'N'),(28,7267614,'1A',207,'N'),(28,7267622,'1',319,'N'),(28,7267630,'1',502,'N'),(28,7267649,'1',340,'N'),(28,7267657,'1',103,'N'),(28,7267673,'1',207,'N'),(28,7267673,'1A',211,'N'),(28,7267681,'1',303,'N'),(28,7267690,'1',220,'N'),(28,7267690,'1A',238,'N'),(28,7267703,'1',211,'N'),(28,7267703,'1A',215,'N'),(28,7267711,'1',103,'N'),(28,7267720,'1',214,'N'),(28,7267720,'1A',215,'N'),(28,7267738,'1',103,'N'),(28,7267746,'1',104,'N'),(28,7267762,'1',203,'N'),(28,7267762,'1A',214,'N'),(28,7267789,'1',316,'N'),(28,7267800,'1',103,'N'),(28,7267819,'1',103,'N'),(28,7267827,'1',223,'N'),(28,7267835,'1',238,'N'),(28,7267835,'1A',652,'N'),(28,7267843,'1',303,'N'),(28,7267851,'1',102,'N'),(28,7267860,'1',203,'N'),(28,7267860,'1A',201,'N'),(28,7267878,'1',103,'N'),(28,7267886,'1',104,'N'),(28,7267894,'1',415,'N'),(28,7267916,'1',336,'N'),(28,7267932,'1',652,'N'),(28,7267932,'1A',653,'N'),(28,7267940,'1',103,'N'),(28,7267959,'1',338,'N'),(28,7267967,'1',552,'N'),(28,7267975,'1',429,'N'),(28,7267991,'1',103,'N'),(28,7268009,'1',501,'N'),(28,7268025,'1',216,'N'),(28,7268025,'1A',201,'N'),(28,7268033,'1',9,'N'),(28,7268041,'1',202,'N'),(28,7268041,'1A',238,'N'),(28,7268050,'1',102,'N'),(28,7268068,'1',203,'N'),(28,7268068,'1A',216,'N'),(28,7268076,'1',415,'N'),(28,7268084,'1',103,'N'),(28,7268092,'1',103,'N'),(28,7268106,'1',233,'N'),(28,7268106,'1A',202,'N'),(28,7268114,'1',203,'N'),(28,7268114,'1A',201,'N'),(28,7268122,'1',203,'N'),(28,7268122,'1A',201,'N'),(28,7268130,'1',203,'N'),(28,7268130,'1A',235,'N'),(28,7268149,'1',423,'N'),(28,7268149,'1A',427,'N'),(28,7268157,'1',501,'N'),(28,7268165,'1',103,'N'),(28,7268173,'1',301,'N'),(28,7268181,'1',203,'N'),(28,7268181,'1A',201,'N'),(28,7268190,'1',339,'N'),(28,7268203,'1',103,'N'),(28,7268211,'1',203,'N'),(28,7268211,'1A',601,'N'),(28,7268220,'1',103,'N'),(28,7268238,'1',103,'N'),(28,7268254,'1',103,'N'),(28,7268262,'1',316,'N'),(28,7268270,'1',207,'N'),(28,7268270,'1A',238,'N'),(28,7268289,'1',999,'N'),(28,7268297,'1',103,'N'),(28,7268300,'1',201,'N'),(28,7268300,'1A',212,'N'),(28,7268319,'1',235,'N'),(28,7268319,'1A',220,'N'),(28,7268327,'1',501,'N'),(28,7268335,'1',203,'N'),(28,7268335,'1A',214,'N'),(28,7268351,'1',104,'N'),(28,7268360,'1',103,'N'),(28,7268378,'1',340,'N'),(28,7268394,'1',655,'N'),(28,7268394,'1A',652,'N'),(28,7268416,'1',454,'N'),(28,7268424,'1',101,'N'),(28,7268432,'1',652,'N'),(28,7268432,'1A',238,'N'),(28,7268440,'1',102,'N'),(28,7268459,'1',211,'N'),(28,7268459,'1A',202,'N'),(28,7268467,'1',454,'N'),(28,7268475,'1',3,'N'),(28,7268483,'1',103,'N'),(28,7268505,'1',211,'N'),(28,7268505,'1A',215,'N'),(28,7268513,'1',102,'N'),(28,7268521,'1',551,'N'),(28,7268530,'1',501,'N'),(28,7268548,'1',316,'N'),(28,7268556,'1',203,'N'),(28,7268556,'1A',216,'N'),(28,7268564,'1',552,'N'),(28,7268580,'1',454,'N'),(28,7268599,'1',5,'N'),(28,7268629,'1',999,'N'),(28,7268637,'1',501,'N'),(28,7268645,'1',233,'N'),(28,7268645,'1A',601,'N'),(28,7268653,'1',212,'N'),(28,7268653,'1A',215,'N'),(28,7268661,'1',201,'N'),(28,7268661,'1A',212,'N'),(28,7268670,'1',552,'N'),(28,7268696,'1',208,'N'),(28,7268700,'1',303,'N'),(28,7268718,'1',223,'N'),(28,7268742,'1',318,'N'),(28,7268750,'1',211,'N'),(28,7268750,'1A',215,'N'),(28,7268769,'1',425,'N'),(28,7268769,'1A',427,'N'),(28,7268777,'1',329,'N'),(28,7268785,'1',424,'N'),(28,7268785,'1A',423,'N'),(28,7268793,'1',108,'N'),(28,7268815,'1',103,'N'),(28,7268823,'1',320,'N'),(28,7268831,'1',104,'N'),(28,7268840,'1',233,'N'),(28,7268840,'1A',220,'N'),(28,7268858,'1',319,'N'),(28,7268866,'1',301,'N'),(28,7268874,'1',303,'N'),(28,7268882,'1',108,'N'),(28,7268890,'1',340,'N'),(28,7268904,'1',302,'N'),(28,7268912,'1',103,'N'),(28,7268920,'1',317,'N'),(28,7268947,'1',415,'N'),(28,7268955,'1',103,'N'),(28,7268963,'1',326,'N'),(28,7268971,'1',415,'N'),(28,7268980,'1',238,'N'),(28,7268980,'1A',202,'N'),(28,7268998,'1',303,'N'),(28,7269005,'1',444,'N'),(28,7269013,'1',301,'N'),(28,7269021,'1',104,'N'),(28,7269030,'1',103,'N'),(28,7269048,'1',316,'N'),(28,7269056,'1',9,'N'),(28,7269064,'1',207,'N'),(28,7269072,'1',319,'N'),(28,7269080,'1',103,'N'),(28,7269099,'1',109,'N'),(28,7269102,'1',310,'N'),(28,7269110,'1',238,'N'),(28,7269110,'1A',233,'N'),(28,7269145,'1',214,'N'),(28,7269145,'1A',213,'N'),(28,7269153,'1',201,'N'),(28,7269153,'1A',202,'N'),(28,7269161,'1',415,'N'),(28,7269170,'1',103,'N'),(28,7269196,'1',5,'N'),(28,7269200,'1',201,'N'),(28,7269200,'1A',212,'N'),(28,7269218,'1',999,'N'),(28,7269226,'1',203,'N'),(28,7269226,'1A',653,'N'),(28,7269234,'1',214,'N'),(28,7269250,'1',601,'N'),(28,7269250,'1A',211,'N'),(28,7269269,'1',103,'N'),(28,7269277,'1',201,'N'),(28,7269277,'1A',235,'N'),(28,7269293,'1',999,'N'),(28,7269307,'1',103,'N'),(28,7269315,'1',340,'N'),(28,7269323,'1',201,'N'),(28,7269323,'1A',235,'N'),(28,7269331,'1',319,'N'),(28,7269340,'1',451,'N'),(28,7269358,'1',103,'N'),(28,7269366,'1',211,'N'),(28,7269366,'1A',655,'N'),(28,7269382,'1',103,'N'),(28,7269390,'1',103,'N'),(28,7269404,'1',999,'N'),(28,7269420,'1',423,'N'),(28,7269420,'1A',427,'N'),(28,7269439,'1',331,'N'),(28,7269447,'1',201,'N'),(28,7269447,'1A',215,'N'),(28,7269455,'1',103,'N'),(28,7269471,'1',211,'N'),(28,7269471,'1A',207,'N'),(28,7269480,'1',601,'N'),(28,7269498,'1',652,'N'),(28,7269498,'1A',653,'N'),(28,7269501,'1',103,'N'),(28,7269510,'1',208,'N'),(28,7269528,'1',303,'N'),(28,7269536,'1',601,'N'),(28,7269536,'1A',201,'N'),(28,7269544,'1',303,'N'),(28,7269552,'1',415,'N'),(28,7269560,'1',220,'N'),(28,7269560,'1A',213,'N'),(28,7269579,'1',316,'N'),(28,7269595,'1',655,'N'),(28,7269595,'1A',652,'N'),(28,7269609,'1',234,'N'),(28,7269625,'1',304,'N'),(28,7269641,'1',654,'N'),(28,7269650,'1',234,'N'),(28,7269668,'1',207,'N'),(28,7269668,'1A',601,'N'),(28,7269676,'1',103,'N'),(28,7269684,'1',103,'N'),(28,7269692,'1',999,'N'),(28,7269706,'1',103,'N'),(28,7269714,'1',302,'N'),(28,7269722,'1',238,'N'),(28,7269722,'1A',235,'N'),(28,7269730,'1',102,'N'),(28,7269749,'1',103,'N'),(28,7269757,'1',109,'N'),(28,7269773,'1',999,'N'),(28,7269781,'1',103,'N'),(28,7269790,'1',207,'N'),(28,7269803,'1',340,'N'),(28,7269811,'1',552,'N'),(28,7269820,'1',103,'N'),(28,7269838,'1',203,'N'),(28,7269838,'1A',214,'N'),(28,7269854,'1',233,'N'),(28,7269862,'1',207,'N'),(28,7269862,'1A',201,'N'),(28,7269889,'1',328,'N'),(28,7269897,'1',331,'N'),(28,7269900,'1',501,'N'),(28,7269919,'1',103,'N'),(28,7269927,'1',103,'N'),(28,7269935,'1',601,'N'),(28,7269935,'1A',201,'N'),(28,7269943,'1',202,'N'),(28,7269943,'1A',601,'N'),(28,7269960,'1',211,'N'),(28,7269978,'1',101,'N'),(28,7269986,'1',201,'N'),(28,7269986,'1A',220,'N'),(28,7270003,'1',5,'N'),(28,7270011,'1',999,'N'),(28,7270020,'1',201,'N'),(28,7270020,'1A',207,'N'),(28,7270038,'1',216,'N'),(28,7270038,'1A',202,'N'),(28,7270046,'1',104,'N'),(28,7270054,'1',216,'N'),(28,7270054,'1A',233,'N'),(28,7270062,'1',103,'N'),(28,7270070,'1',319,'N'),(28,7270089,'1',103,'N'),(28,7270097,'1',551,'N'),(28,7270100,'1',9,'N'),(28,7270119,'1',103,'N'),(28,7270135,'1',319,'N'),(28,7270143,'1',415,'N'),(28,7270160,'1',303,'N'),(28,7270178,'1',103,'N'),(28,7270194,'1',5,'N'),(28,7270216,'1',207,'N'),(28,7270216,'1A',201,'N'),(28,7270224,'1',103,'N'),(28,7270232,'1',454,'N'),(28,7270240,'1',103,'N'),(28,7270259,'1',103,'N'),(28,7270267,'1',233,'N'),(28,7270267,'1A',211,'N'),(28,7270275,'1',501,'N'),(28,7270283,'1',225,'N'),(28,7270305,'1',999,'N'),(28,7270321,'1',208,'N'),(28,7270330,'1',211,'N'),(28,7270330,'1A',233,'N'),(28,7270348,'1',340,'N'),(28,7270356,'1',103,'N'),(28,7270364,'1',211,'N'),(28,7270364,'1A',601,'N'),(28,7270372,'1',235,'N'),(28,7270372,'1A',653,'N'),(28,7270380,'1',5,'N'),(28,7270399,'1',316,'N'),(28,7270402,'1',552,'N'),(28,7270410,'1',415,'N'),(28,7270429,'1',103,'N'),(28,7270437,'1',103,'N'),(28,7270453,'1',220,'N'),(28,7270453,'1A',601,'N'),(28,7270461,'1',225,'N'),(28,7270470,'1',201,'N'),(28,7270470,'1A',211,'N'),(28,7270488,'1',551,'N'),(28,7270496,'1',203,'N'),(28,7270496,'1A',220,'N'),(28,7270500,'1',103,'N'),(28,7270518,'1',207,'N'),(28,7270534,'1',223,'N'),(28,7270542,'1',454,'N'),(28,7270550,'1',104,'N'),(28,7270569,'1',103,'N'),(28,7270577,'1',201,'N'),(28,7270585,'1',103,'N'),(28,7270607,'1',103,'N'),(28,7270623,'1',303,'N'),(28,7270631,'1',103,'N'),(28,7270640,'1',109,'N'),(28,7270658,'1',104,'N'),(28,7270666,'1',302,'N'),(28,7270674,'1',104,'N'),(28,7270682,'1',201,'N'),(28,7270682,'1A',601,'N'),(28,7270690,'1',201,'N'),(28,7270690,'1A',655,'N'),(28,7270704,'1',216,'N'),(28,7270704,'1A',215,'N'),(28,7270712,'1',655,'N'),(28,7270712,'1A',652,'N'),(28,7270720,'1',207,'N'),(28,7270720,'1A',201,'N'),(28,7270739,'1',9,'N'),(28,7270747,'1',316,'N'),(28,7270755,'1',207,'N'),(28,7270755,'1A',201,'N'),(28,7270763,'1',5,'N'),(28,7270771,'1',104,'N'),(28,7270780,'1',653,'N'),(28,7270780,'1A',201,'N'),(28,7270798,'1',208,'N'),(28,7270801,'1',301,'N'),(28,7270810,'1',454,'N'),(28,7270828,'1',655,'N'),(28,7270828,'1A',220,'N'),(28,7270836,'1',216,'N'),(28,7270836,'1A',215,'N'),(28,7270844,'1',336,'N'),(28,7270852,'1',225,'N'),(28,7270860,'1',103,'N'),(28,7270879,'1',203,'N'),(28,7270879,'1A',202,'N'),(28,7270887,'1',999,'N'),(28,7270917,'1',104,'N'),(28,7270925,'1',103,'N'),(28,7270933,'1',9,'N'),(28,7270941,'1',216,'N'),(28,7270941,'1A',207,'N'),(28,7270950,'1',215,'N'),(28,7270950,'1A',211,'N'),(28,7270976,'1',207,'N'),(28,7270976,'1A',233,'N'),(28,7270984,'1',201,'N'),(28,7270984,'1A',216,'N'),(28,7271000,'1',103,'N'),(28,7271018,'1',203,'N'),(28,7271018,'1A',220,'N'),(28,7271026,'1',201,'N'),(28,7271042,'1',203,'N'),(28,7271042,'1A',211,'N'),(28,7271077,'1',999,'N'),(28,7271085,'1',303,'N'),(28,7271107,'1',103,'N'),(28,7271115,'1',104,'N'),(28,7271123,'1',103,'N'),(28,7271158,'1',303,'N'),(28,7271166,'1',316,'N'),(28,7271174,'1',303,'N'),(28,7271182,'1',215,'N'),(28,7271182,'1A',601,'N'),(28,7271190,'1',303,'N'),(28,7271204,'1',203,'N'),(28,7271204,'1A',601,'N'),(28,7271212,'1',5,'N'),(28,7271255,'1',551,'N'),(28,7271263,'1',441,'N'),(28,7271271,'1',103,'N'),(28,7271298,'1',233,'N'),(28,7271298,'1A',216,'N'),(28,7271301,'1',317,'N'),(28,7271310,'1',104,'N'),(28,7271328,'1',103,'N'),(28,7271336,'1',425,'N'),(28,7271336,'1A',423,'N'),(28,7271344,'1',216,'N'),(28,7271344,'1A',215,'N'),(28,7271360,'1',103,'N'),(28,7271379,'1',103,'N'),(28,7271395,'1',316,'N'),(28,7271409,'1',317,'N'),(28,7271425,'1',103,'N'),(28,7271441,'1',103,'N'),(28,7271450,'1',5,'N'),(28,7271468,'1',103,'N'),(28,7271484,'1',339,'N'),(28,7271492,'1',319,'N'),(28,7271506,'1',207,'N'),(28,7271506,'1A',601,'N'),(28,7271514,'1',103,'N'),(28,7271522,'1',454,'N'),(28,7271530,'1',103,'N'),(28,7271549,'1',201,'N'),(28,7271549,'1A',212,'N'),(28,7271557,'1',214,'N'),(28,7271557,'1A',203,'N'),(28,7271565,'1',444,'N'),(28,7271573,'1',999,'N'),(28,7271581,'1',336,'N'),(28,7271590,'1',303,'N'),(28,7271611,'1',336,'N'),(28,7271638,'1',233,'N'),(28,7271638,'1A',213,'N'),(28,7271646,'1',211,'N'),(28,7271646,'1A',653,'N'),(28,7271654,'1',103,'N'),(28,7271662,'1',216,'N'),(28,7271662,'1A',215,'N'),(28,7271670,'1',108,'N'),(28,7271689,'1',303,'N'),(28,7271697,'1',103,'N'),(28,7271700,'1',320,'N'),(28,7271719,'1',319,'N'),(28,7271735,'1',303,'N'),(28,7271743,'1',340,'N'),(28,7271751,'1',308,'N'),(28,7271760,'1',211,'N'),(28,7271760,'1A',220,'N'),(28,7271778,'1',203,'N'),(28,7271778,'1A',202,'N'),(28,7271786,'1',102,'N'),(28,7271794,'1',451,'N'),(28,7271808,'1',234,'N'),(28,7271816,'1',316,'N'),(28,7271824,'1',318,'N'),(28,7271832,'1',429,'N'),(28,7271832,'1A',425,'N'),(28,7271867,'1',201,'N'),(28,7271883,'1',454,'N'),(28,7271891,'1',201,'N'),(28,7271891,'1A',215,'N'),(28,7271905,'1',450,'N'),(28,7271913,'1',454,'N'),(28,7271921,'1',103,'N'),(28,7271930,'1',201,'N'),(28,7271930,'1A',202,'N'),(28,7271948,'1',415,'N'),(28,7271956,'1',999,'N'),(28,7271972,'1',103,'N'),(28,7271980,'1',103,'N'),(28,7271999,'1',339,'N'),(28,7272006,'1',327,'N'),(28,7272014,'1',303,'N'),(28,7272022,'1',108,'N'),(28,7272030,'1',9,'N'),(28,7272049,'1',201,'N'),(28,7272049,'1A',207,'N'),(28,7272057,'1',215,'N'),(28,7272057,'1A',233,'N'),(28,7272065,'1',999,'N'),(28,7272081,'1',2,'N'),(28,7272090,'1',220,'N'),(28,7272090,'1A',601,'N'),(28,7272103,'1',415,'N'),(28,7272111,'1',207,'N'),(28,7272111,'1A',201,'N'),(28,7272120,'1',428,'N'),(28,7272138,'1',5,'N'),(28,7272146,'1',302,'N'),(28,7272162,'1',104,'N'),(28,7272170,'1',211,'N'),(28,7272170,'1A',216,'N'),(28,7272189,'1',319,'N'),(28,7272197,'1',215,'N'),(28,7272200,'1',104,'N'),(28,7272227,'1',103,'N'),(28,7272235,'1',316,'N'),(28,7272243,'1',103,'N'),(28,7272251,'1',103,'N'),(28,7272278,'1',5,'N'),(28,7272286,'1',9,'N'),(28,7272294,'1',103,'N'),(28,7272316,'1',211,'N'),(28,7272316,'1A',235,'N'),(28,7272324,'1',652,'N'),(28,7272324,'1A',653,'N'),(28,7272332,'1',326,'N'),(28,7272340,'1',601,'N'),(28,7272340,'1A',202,'N'),(28,7272367,'1',2,'N'),(28,7272375,'1',238,'N'),(28,7272375,'1A',235,'N'),(28,7272383,'1',304,'N'),(28,7272405,'1',103,'N'),(28,7272413,'1',203,'N'),(28,7272413,'1A',207,'N'),(28,7272421,'1',201,'N'),(28,7272421,'1A',215,'N'),(28,7272472,'1',316,'N'),(28,7272499,'1',220,'N'),(28,7272499,'1A',235,'N'),(28,7272510,'1',104,'N'),(28,7272529,'1',103,'N'),(28,7272537,'1',301,'N'),(28,7272545,'1',103,'N'),(28,7272553,'1',3,'N'),(28,7272561,'1',234,'N'),(28,7272570,'1',652,'N'),(28,7272596,'1',552,'N'),(28,7272600,'1',317,'N'),(28,7272618,'1',308,'N'),(28,7272626,'1',103,'N'),(28,7272634,'1',102,'N'),(28,7272642,'1',5,'N'),(28,7272650,'1',415,'N'),(28,7272669,'1',5,'N'),(28,7272677,'1',303,'N'),(28,7272693,'1',225,'N'),(28,7272707,'1',216,'N'),(28,7272707,'1A',233,'N'),(28,7272715,'1',551,'N'),(28,7272723,'1',103,'N'),(28,7272740,'1',104,'N'),(28,7272758,'1',216,'N'),(28,7272766,'1',238,'N'),(28,7272766,'1A',220,'N'),(28,7272774,'1',302,'N'),(28,7272782,'1',327,'N'),(28,7272790,'1',552,'N'),(28,7272804,'1',317,'N'),(28,7272812,'1',317,'N'),(28,7272820,'1',317,'N'),(28,7272839,'1',103,'N'),(28,7272855,'1',653,'N'),(28,7272871,'1',203,'N'),(28,7272871,'1A',233,'N'),(28,7272898,'1',103,'N'),(28,7272901,'1',103,'N'),(28,7272910,'1',333,'N'),(28,7272928,'1',303,'N'),(28,7272944,'1',338,'N'),(28,7272952,'1',340,'N'),(28,7272979,'1',205,'N'),(28,7272987,'1',316,'N'),(28,7272995,'1',238,'N'),(28,7272995,'1A',201,'N'),(28,7273002,'1',551,'N'),(28,7273010,'1',319,'N'),(28,7273037,'1',103,'N'),(28,7273053,'1',211,'N'),(28,7273053,'1A',201,'N'),(28,7273061,'1',104,'N'),(28,7273070,'1',108,'N'),(28,7273088,'1',319,'N'),(28,7273096,'1',999,'N'),(28,7273100,'1',238,'N'),(28,7273100,'1A',203,'N'),(28,7273134,'1',102,'N'),(28,7273142,'1',103,'N'),(28,7273150,'1',9,'N'),(28,7273169,'1',308,'N'),(28,7273177,'1',316,'N'),(28,7273193,'1',238,'N'),(28,7273193,'1A',652,'N'),(28,7273215,'1',652,'N'),(28,7273231,'1',601,'N'),(28,7273231,'1A',203,'N'),(28,7273274,'1',238,'N'),(28,7273282,'1',303,'N'),(28,7273304,'1',103,'N'),(28,7273312,'1',9,'N'),(28,7273339,'1',317,'N'),(28,7273347,'1',103,'N'),(28,7273355,'1',101,'N'),(28,7273363,'1',103,'N'),(28,7273371,'1',653,'N'),(28,7273371,'1A',652,'N'),(28,7273380,'1',201,'N'),(28,7273398,'1',653,'N'),(28,7273398,'1A',655,'N'),(28,7273401,'1',216,'N'),(28,7273410,'1',5,'N'),(28,7273428,'1',301,'N'),(28,7273436,'1',101,'N'),(28,7273444,'1',201,'N'),(28,7273444,'1A',207,'N'),(28,7273460,'1',316,'N'),(28,7273479,'1',108,'N'),(28,7273487,'1',108,'N'),(28,7273495,'1',104,'N'),(28,7273509,'1',214,'N'),(28,7273509,'1A',213,'N'),(28,7273541,'1',103,'N'),(28,7273550,'1',340,'N'),(28,7273584,'1',108,'N'),(28,7273592,'1',302,'N'),(28,7273606,'1',303,'N'),(28,7273614,'1',999,'N'),(28,7273630,'1',415,'N'),(28,7273649,'1',104,'N'),(28,7273665,'1',318,'N'),(28,7273665,'1A',213,'S'),(28,7273681,'1',454,'N'),(28,7273690,'1',203,'N'),(28,7273690,'1A',201,'N'),(28,7273703,'1',103,'N'),(28,7273711,'1',201,'N'),(28,7273711,'1A',212,'N'),(28,7273738,'1',421,'N'),(28,7273738,'1A',424,'N'),(28,7273746,'1',338,'N'),(28,7273754,'1',104,'N'),(28,7273762,'1',303,'N'),(28,7273770,'1',319,'N'),(28,7273789,'1',216,'N'),(28,7273789,'1A',203,'N'),(28,7273797,'1',5,'N'),(28,7273819,'1',222,'N'),(28,7273827,'1',202,'N'),(28,7273835,'1',103,'N'),(28,7273843,'1',207,'N'),(28,7273843,'1A',215,'N'),(28,7273851,'1',201,'N'),(28,7273851,'1A',202,'N'),(28,7273860,'1',9,'N'),(28,7273878,'1',336,'N'),(28,7273886,'1',319,'N'),(28,7273894,'1',212,'N'),(28,7273894,'1A',211,'N'),(28,7273908,'1',3,'N'),(28,7273916,'1',316,'N'),(28,7273924,'1',103,'N'),(28,7273932,'1',203,'N'),(28,7273932,'1A',601,'N'),(28,7273959,'1',301,'N'),(28,7273967,'1',207,'N'),(28,7273967,'1A',201,'N'),(28,7273983,'1',103,'N'),(28,7273991,'1',415,'N'),(28,7274017,'1',103,'N'),(28,7274025,'1',201,'N'),(28,7274025,'1A',212,'N'),(28,7274033,'1',103,'N'),(28,7274050,'1',450,'N'),(28,7274068,'1',103,'N'),(28,7274084,'1',201,'N'),(28,7274084,'1A',216,'N'),(28,7274092,'1',104,'N'),(28,7274106,'1',103,'N'),(28,7274114,'1',202,'N'),(28,7274114,'1A',655,'N'),(28,7274122,'1',340,'N'),(28,7274149,'1',441,'N'),(28,7274157,'1',108,'N'),(28,7274173,'1',103,'N'),(28,7274181,'1',212,'N'),(28,7274181,'1A',201,'N'),(28,7274190,'1',332,'N'),(28,7274203,'1',319,'N'),(28,7274211,'1',235,'N'),(28,7274211,'1A',213,'N'),(28,7274246,'1',316,'N'),(28,7274254,'1',103,'N'),(28,7274270,'1',319,'N'),(28,7274289,'1',238,'N'),(28,7274289,'1A',207,'N'),(28,7274297,'1',103,'N'),(28,7274300,'1',424,'N'),(28,7274300,'1A',425,'N'),(28,7274319,'1',207,'N'),(28,7274319,'1A',238,'N'),(28,7274327,'1',454,'N'),(28,7274343,'1',201,'N'),(28,7274343,'1A',212,'N'),(28,7274351,'1',340,'N'),(28,7274360,'1',103,'N'),(28,7274378,'1',233,'N'),(28,7274378,'1A',213,'N'),(28,7274386,'1',316,'N'),(28,7274394,'1',238,'N'),(28,7274394,'1A',235,'N'),(28,7274408,'1',601,'N'),(28,7274424,'1',655,'N'),(28,7274424,'1A',652,'N'),(28,7274432,'1',207,'N'),(28,7274432,'1A',201,'N'),(28,7274440,'1',230,'N'),(28,7274459,'1',328,'N'),(28,7274467,'1',404,'N'),(28,7274483,'1',424,'N'),(28,7274483,'1A',423,'N'),(28,7274491,'1',340,'N'),(28,7274505,'1',552,'N'),(28,7274513,'1',103,'N'),(28,7274530,'1',101,'N'),(28,7274548,'1',303,'N'),(28,7274556,'1',207,'N'),(28,7274556,'1A',216,'N'),(28,7274564,'1',552,'N'),(28,7274572,'1',104,'N'),(28,7274580,'1',208,'N'),(28,7274599,'1',103,'N'),(28,7274602,'1',103,'N'),(28,7274610,'1',222,'N'),(28,7274629,'1',110,'N'),(28,7274645,'1',444,'N'),(28,7274653,'1',316,'N'),(28,7274661,'1',999,'N'),(28,7274670,'1',238,'N'),(28,7274670,'1A',201,'N'),(28,7274688,'1',220,'N'),(28,7274688,'1A',216,'N'),(28,7274696,'1',108,'N'),(28,7274700,'1',428,'N'),(28,7274718,'1',316,'N'),(28,7274726,'1',551,'N'),(28,7274742,'1',224,'N'),(28,7274750,'1',203,'N'),(28,7274750,'1A',220,'N'),(28,7274769,'1',103,'N'),(28,7274777,'1',103,'N'),(28,7274815,'1',216,'N'),(28,7274815,'1A',207,'N'),(28,7274823,'1',415,'N'),(28,7274831,'1',999,'N'),(28,7274858,'1',203,'N'),(28,7274866,'1',201,'N'),(28,7274866,'1A',212,'N'),(28,7274874,'1',201,'N'),(28,7274874,'1A',233,'N'),(28,7274882,'1',220,'N'),(28,7274882,'1A',601,'N'),(28,7274904,'1',235,'N'),(28,7274904,'1A',213,'N'),(28,7274912,'1',103,'N'),(28,7274939,'1',101,'N'),(28,7274947,'1',316,'N'),(28,7274955,'1',319,'N'),(28,7274963,'1',454,'N'),(28,7274971,'1',103,'N'),(28,7274980,'1',999,'N'),(28,7274998,'1',552,'N'),(28,7275005,'1',103,'N'),(28,7275013,'1',207,'N'),(28,7275013,'1A',601,'N'),(28,7275021,'1',103,'N'),(28,7275048,'1',104,'N'),(28,7275056,'1',203,'N'),(28,7275056,'1A',220,'N'),(28,7275064,'1',104,'N'),(28,7275072,'1',103,'N'),(28,7275080,'1',216,'N'),(28,7275080,'1A',201,'N'),(28,7275102,'1',454,'N'),(28,7275137,'1',101,'N'),(28,7275145,'1',304,'N'),(28,7275153,'1',444,'N'),(28,7275161,'1',454,'N'),(28,7275170,'1',104,'N'),(28,7275218,'1',415,'N'),(28,7275226,'1',303,'N'),(28,7275234,'1',103,'N'),(28,7275242,'1',108,'N'),(28,7275250,'1',340,'N'),(28,7275269,'1',303,'N'),(28,7275277,'1',337,'N'),(28,7275285,'1',316,'N'),(28,7275293,'1',329,'N'),(28,7275307,'1',220,'N'),(28,7275307,'1A',212,'N'),(28,7275323,'1',238,'N'),(28,7275323,'1A',220,'N'),(28,7275331,'1',103,'N'),(28,7275340,'1',601,'N'),(28,7275340,'1A',233,'N'),(28,7275358,'1',224,'N'),(28,7275366,'1',101,'N'),(28,7275374,'1',110,'N'),(28,7275382,'1',103,'N'),(28,7275412,'1',201,'N'),(28,7275412,'1A',202,'N'),(28,7275420,'1',207,'N'),(28,7275420,'1A',215,'N'),(28,7275439,'1',234,'N'),(28,7275447,'1',215,'N'),(28,7275447,'1A',216,'N'),(28,7275463,'1',216,'N'),(28,7275463,'1A',220,'N'),(28,7275471,'1',999,'N'),(28,7275480,'1',201,'N'),(28,7275480,'1A',655,'N'),(28,7275498,'1',999,'N'),(28,7275501,'1',340,'N'),(28,7275510,'1',415,'N'),(28,7275536,'1',214,'N'),(28,7275536,'1A',233,'N'),(28,7275544,'1',208,'N'),(28,7275560,'1',103,'N'),(28,7275579,'1',5,'N'),(28,7275587,'1',207,'N'),(28,7275587,'1A',201,'N'),(28,7275595,'1',999,'N'),(28,7275609,'1',230,'N'),(28,7275625,'1',103,'N'),(28,7275633,'1',102,'N'),(28,7275641,'1',207,'N'),(28,7275641,'1A',201,'N'),(28,7275650,'1',424,'N'),(28,7275650,'1A',423,'N'),(28,7275676,'1',103,'N'),(28,7275684,'1',415,'N'),(28,7275706,'1',101,'N'),(28,7275714,'1',654,'N'),(28,7275722,'1',213,'N'),(28,7275722,'1A',653,'N'),(28,7275730,'1',104,'N'),(28,7275749,'1',333,'N'),(28,7275773,'1',655,'N'),(28,7275790,'1',450,'N'),(28,7275803,'1',999,'N'),(28,7275811,'1',201,'N'),(28,7275811,'1A',212,'N'),(28,7275820,'1',215,'N'),(28,7275820,'1A',211,'N'),(28,7275838,'1',427,'N'),(28,7275846,'1',444,'N'),(28,7275854,'1',501,'N'),(28,7275889,'1',103,'N'),(28,7275897,'1',501,'N'),(28,7275900,'1',220,'N'),(28,7275900,'1A',601,'N'),(28,7275927,'1',101,'N'),(28,7275935,'1',309,'N'),(28,7275951,'1',404,'N'),(28,7275986,'1',103,'N'),(28,7276001,'1',201,'N'),(28,7276001,'1A',212,'N'),(28,7276028,'1',999,'N'),(28,7276036,'1',303,'N'),(28,7276060,'1',103,'N'),(28,7276079,'1',203,'N'),(28,7276079,'1A',220,'N'),(28,7276095,'1',103,'N'),(28,7276109,'1',552,'N'),(28,7276117,'1',214,'N'),(28,7276117,'1A',212,'N'),(28,7276125,'1',551,'N'),(28,7276141,'1',103,'N'),(28,7276150,'1',415,'N'),(28,7276168,'1',426,'N'),(28,7276168,'1A',428,'N'),(28,7276176,'1',340,'N'),(28,7276184,'1',104,'N'),(28,7276192,'1',103,'N'),(28,7276206,'1',103,'N'),(28,7276214,'1',103,'N'),(28,7276230,'1',502,'N'),(28,7276249,'1',503,'N'),(28,7276265,'1',454,'N'),(28,7276273,'1',201,'N'),(28,7276273,'1A',655,'N'),(28,7276281,'1',999,'N'),(28,7276290,'1',450,'N'),(28,7276303,'1',502,'N'),(28,7276311,'1',211,'N'),(28,7276311,'1A',653,'N'),(28,7276320,'1',216,'N'),(28,7276320,'1A',233,'N'),(28,7276338,'1',211,'N'),(28,7276338,'1A',201,'N'),(28,7276346,'1',216,'N'),(28,7276346,'1A',203,'N'),(28,7276354,'1',303,'N'),(28,7276362,'1',304,'N'),(28,7276370,'1',201,'N'),(28,7276370,'1A',601,'N'),(28,7276389,'1',211,'N'),(28,7276389,'1A',215,'N'),(28,7276397,'1',104,'N'),(28,7276400,'1',444,'N'),(28,7276419,'1',108,'N'),(28,7276435,'1',201,'N'),(28,7276435,'1A',203,'N'),(28,7276443,'1',103,'N'),(28,7276460,'1',104,'N'),(28,7276478,'1',317,'N'),(28,7276486,'1',444,'N'),(28,7276494,'1',318,'N'),(28,7276508,'1',207,'N'),(28,7276508,'1A',215,'N'),(28,7276516,'1',303,'N'),(28,7276524,'1',303,'N'),(28,7276532,'1',316,'N'),(28,7276559,'1',207,'N'),(28,7276559,'1A',212,'N'),(28,7276567,'1',999,'N'),(28,7276575,'1',102,'N'),(28,7276583,'1',415,'N'),(28,7276591,'1',9,'N'),(28,7276605,'1',103,'N'),(28,7276613,'1',235,'N'),(28,7276613,'1A',202,'N'),(28,7276621,'1',303,'N'),(28,7276630,'1',201,'N'),(28,7276630,'1A',207,'N'),(28,7276648,'1',211,'N'),(28,7276648,'1A',601,'N'),(28,7276664,'1',238,'N'),(28,7276664,'1A',235,'N'),(28,7276672,'1',5,'N'),(28,7276680,'1',220,'N'),(28,7276680,'1A',213,'N'),(28,7276699,'1',333,'N'),(28,7276702,'1',317,'N'),(28,7276710,'1',428,'N'),(28,7276710,'1A',425,'N'),(28,7276729,'1',653,'N'),(28,7276729,'1A',233,'N'),(28,7276737,'1',103,'N'),(28,7276745,'1',5,'N'),(28,7276753,'1',303,'N'),(28,7276761,'1',303,'N'),(28,7276770,'1',331,'N'),(28,7276788,'1',201,'N'),(28,7276788,'1A',207,'N'),(28,7276800,'1',201,'N'),(28,7276800,'1A',212,'N'),(28,7276850,'1',303,'N'),(28,7276869,'1',216,'N'),(28,7276869,'1A',215,'N'),(28,7276877,'1',103,'N'),(28,7276893,'1',652,'N'),(28,7276893,'1A',655,'N'),(28,7276931,'1',404,'N'),(28,7276940,'1',216,'N'),(28,7276940,'1A',215,'N'),(28,7276958,'1',104,'N'),(28,7276982,'1',220,'N'),(28,7276982,'1A',213,'N'),(28,7276990,'1',303,'N'),(28,7277008,'1',444,'N'),(28,7277016,'1',9,'N'),(28,7277024,'1',103,'N'),(28,7277032,'1',317,'N'),(28,7277040,'1',309,'N'),(28,7277059,'1',103,'N'),(28,7277067,'1',207,'N'),(28,7277067,'1A',238,'N'),(28,7277075,'1',201,'N'),(28,7277075,'1A',233,'N'),(28,7277091,'1',415,'N'),(28,7277105,'1',303,'N'),(28,7277113,'1',327,'N'),(28,7277121,'1',109,'N'),(28,7277130,'1',203,'N'),(28,7277130,'1A',220,'N'),(28,7277164,'1',215,'N'),(28,7277164,'1A',211,'N'),(28,7277172,'1',103,'N'),(28,7277180,'1',653,'N'),(28,7277180,'1A',211,'N'),(28,7277199,'1',404,'N'),(28,7277202,'1',201,'N'),(28,7277202,'1A',212,'N'),(28,7277210,'1',238,'N'),(28,7277210,'1A',652,'N'),(28,7277229,'1',103,'N'),(28,7277237,'1',317,'N'),(28,7277245,'1',340,'N'),(28,7277253,'1',308,'N'),(28,7277270,'1',5,'N'),(28,7277296,'1',316,'N'),(28,7277300,'1',203,'N'),(28,7277300,'1A',213,'N'),(28,7277318,'1',223,'N'),(28,7277326,'1',233,'N'),(28,7277326,'1A',238,'N'),(28,7277334,'1',5,'N'),(28,7277342,'1',552,'N'),(28,7277350,'1',304,'N'),(28,7277369,'1',103,'N'),(28,7277377,'1',104,'N'),(28,7277385,'1',213,'N'),(28,7277385,'1A',216,'N'),(28,7277415,'1',103,'N'),(28,7277431,'1',201,'N'),(28,7277431,'1A',207,'N'),(28,7277440,'1',654,'N'),(28,7277474,'1',653,'N'),(28,7277474,'1A',655,'N'),(28,7277490,'1',319,'N'),(28,7277504,'1',421,'N'),(28,7277504,'1A',427,'N'),(28,7277512,'1',214,'N'),(28,7277512,'1A',203,'N'),(28,7277520,'1',207,'N'),(28,7277539,'1',450,'N'),(28,7277547,'1',224,'N'),(28,7277555,'1',103,'N'),(28,7277571,'1',5,'N'),(28,7277580,'1',9,'N'),(28,7277598,'1',202,'N'),(28,7277598,'1A',601,'N'),(28,7277601,'1',104,'N'),(28,7277610,'1',333,'N'),(28,7277628,'1',415,'N'),(28,7277636,'1',102,'N'),(28,7277644,'1',203,'N'),(28,7277652,'1',337,'N'),(28,7277660,'1',601,'N'),(28,7277660,'1A',216,'N'),(28,7277679,'1',319,'N'),(28,7277687,'1',216,'N'),(28,7277687,'1A',215,'N'),(28,7277695,'1',303,'N'),(28,7277709,'1',103,'N'),(28,7277717,'1',999,'N'),(28,7277725,'1',999,'N'),(28,7277750,'1',208,'N'),(28,7277768,'1',316,'N'),(28,7277776,'1',103,'N'),(28,7277784,'1',9,'N'),(28,7277792,'1',999,'N'),(28,7277806,'1',207,'N'),(28,7277806,'1A',653,'N'),(28,7277822,'1',208,'N'),(28,7277830,'1',102,'N'),(28,7277849,'1',220,'N'),(28,7277849,'1A',655,'N'),(28,7277873,'1',103,'N'),(28,7277881,'1',551,'N'),(28,7277890,'1',103,'N'),(28,7277903,'1',319,'N'),(28,7277911,'1',318,'N'),(28,7277920,'1',238,'N'),(28,7277920,'1A',235,'N'),(28,7277938,'1',501,'N'),(28,7277954,'1',201,'N'),(28,7277962,'1',108,'N'),(28,7277970,'1',317,'N'),(28,7277989,'1',233,'N'),(28,7277989,'1A',211,'N'),(28,7278004,'1',450,'N'),(28,7278020,'1',319,'N'),(28,7278039,'1',340,'N'),(28,7278055,'1',103,'N'),(28,7278063,'1',501,'N'),(28,7278080,'1',102,'N'),(28,7278101,'1',999,'N'),(28,7278110,'1',999,'N'),(28,7278136,'1',238,'N'),(28,7278136,'1A',213,'N'),(28,7278144,'1',302,'N'),(28,7278152,'1',308,'N'),(28,7278160,'1',201,'N'),(28,7278160,'1A',653,'N'),(28,7278187,'1',303,'N'),(28,7278195,'1',316,'N'),(28,7278209,'1',423,'N'),(28,7278209,'1A',428,'N'),(28,7278217,'1',552,'N'),(28,7278225,'1',5,'N'),(28,7278233,'1',5,'N'),(28,7278241,'1',316,'N'),(28,7278250,'1',310,'N'),(28,7278268,'1',302,'N'),(28,7278284,'1',223,'N'),(28,7278306,'1',340,'N'),(28,7278314,'1',202,'N'),(28,7278314,'1A',203,'N'),(28,7278322,'1',316,'N'),(28,7278330,'1',316,'N'),(28,7278349,'1',235,'N'),(28,7278349,'1A',202,'N'),(28,7278365,'1',331,'N'),(28,7278373,'1',316,'N'),(28,7278381,'1',444,'N'),(28,7278403,'1',207,'N'),(28,7278403,'1A',215,'N'),(28,7278411,'1',235,'N'),(28,7278411,'1A',238,'N'),(28,7278420,'1',999,'N'),(28,7278438,'1',5,'N'),(28,7278446,'1',503,'N'),(28,7278454,'1',201,'N'),(28,7278454,'1A',653,'N'),(28,7278489,'1',203,'N'),(28,7278489,'1A',220,'N'),(28,7278497,'1',211,'N'),(28,7278497,'1A',653,'N'),(28,7278500,'1',110,'N'),(28,7278519,'1',502,'N'),(28,7278527,'1',304,'N'),(28,7278535,'1',238,'N'),(28,7278535,'1A',233,'N'),(28,7278543,'1',103,'N'),(28,7278551,'1',103,'N'),(28,7278560,'1',303,'N'),(28,7278578,'1',216,'N'),(28,7278578,'1A',201,'N'),(28,7278586,'1',207,'N'),(28,7278586,'1A',201,'N'),(28,7278608,'1',340,'N'),(28,7278616,'1',212,'N'),(28,7278616,'1A',233,'N'),(28,7278624,'1',103,'N'),(28,7278659,'1',415,'N'),(28,7278667,'1',652,'N'),(28,7278667,'1A',655,'N'),(28,7278675,'1',103,'N'),(28,7278683,'1',302,'N'),(28,7278713,'1',652,'N'),(28,7278713,'1A',655,'N'),(28,7278721,'1',207,'N'),(28,7278721,'1A',215,'N'),(28,7278756,'1',303,'N'),(28,7278772,'1',501,'N'),(28,7278802,'1',9,'N'),(28,7278810,'1',340,'N'),(28,7278837,'1',103,'N'),(28,7278845,'1',108,'N'),(28,7278853,'1',103,'N'),(28,7278870,'1',415,'N'),(28,7278888,'1',551,'N'),(28,7278900,'1',207,'N'),(28,7278900,'1A',201,'N'),(28,7278918,'1',999,'N'),(28,7278926,'1',303,'N'),(28,7278934,'1',201,'N'),(28,7278934,'1A',207,'N'),(28,7278950,'1',340,'N'),(28,7278969,'1',426,'N'),(28,7278969,'1A',429,'N'),(28,7278977,'1',326,'N'),(28,7278985,'1',552,'N'),(28,7278993,'1',103,'N'),(28,7279000,'1',9,'N'),(28,7279019,'1',340,'N'),(28,7279027,'1',444,'N'),(28,7279035,'1',103,'N'),(28,7279043,'1',203,'N'),(28,7279043,'1A',214,'N'),(28,7279051,'1',653,'N'),(28,7279051,'1A',213,'N'),(28,7279060,'1',202,'N'),(28,7279060,'1A',203,'N'),(28,7279078,'1',601,'N'),(28,7279078,'1A',201,'N'),(28,7279086,'1',999,'N'),(28,7279094,'1',211,'N'),(28,7279108,'1',601,'N'),(28,7279116,'1',331,'N'),(28,7279124,'1',202,'N'),(28,7279124,'1A',235,'N'),(28,7279132,'1',201,'N'),(28,7279132,'1A',203,'N'),(28,7279140,'1',340,'N'),(28,7279167,'1',203,'N'),(28,7279167,'1A',201,'N'),(28,7279175,'1',654,'N'),(28,7279183,'1',318,'N'),(28,7279191,'1',109,'N'),(28,7279205,'1',327,'N'),(28,7279213,'1',654,'N'),(28,7279221,'1',318,'N'),(28,7279230,'1',601,'N'),(28,7279230,'1A',201,'N'),(28,7279248,'1',110,'N'),(28,7279256,'1',503,'N'),(28,7279264,'1',216,'N'),(28,7279264,'1A',233,'N'),(28,7279272,'1',207,'N'),(28,7279272,'1A',215,'N'),(28,7279280,'1',202,'N'),(28,7279280,'1A',213,'N'),(28,7279310,'1',423,'N'),(28,7279310,'1A',425,'N'),(28,7279329,'1',318,'N'),(28,7279337,'1',103,'N'),(28,7279370,'1',303,'N'),(28,7279388,'1',103,'N'),(28,7279396,'1',203,'N'),(28,7279396,'1A',214,'N'),(28,7279400,'1',454,'N'),(28,7279418,'1',319,'N'),(28,7279426,'1',103,'N'),(28,7279434,'1',337,'N'),(28,7279442,'1',317,'N'),(28,7279450,'1',202,'N'),(28,7279450,'1A',235,'N'),(28,7279469,'1',201,'N'),(28,7279485,'1',215,'N'),(28,7279485,'1A',216,'N'),(28,7279493,'1',415,'N'),(28,7279515,'1',9,'N'),(28,7279523,'1',208,'N'),(28,7279531,'1',999,'N'),(28,7279558,'1',317,'N'),(28,7279566,'1',103,'N'),(28,7279574,'1',101,'N'),(28,7279582,'1',9,'N'),(28,7279590,'1',317,'N'),(28,7279612,'1',103,'N'),(28,7279620,'1',340,'N'),(28,7279639,'1',207,'N'),(28,7279647,'1',104,'N'),(28,7279655,'1',425,'N'),(28,7279663,'1',421,'N'),(28,7279663,'1A',423,'N'),(28,7279671,'1',303,'N'),(28,7279680,'1',102,'N'),(28,7279698,'1',340,'N'),(28,7279701,'1',233,'N'),(28,7279701,'1A',653,'N'),(28,7279710,'1',340,'N'),(28,7279736,'1',9,'N'),(28,7279744,'1',444,'N'),(28,7279752,'1',103,'N'),(28,7279760,'1',103,'N'),(28,7279779,'1',428,'N'),(28,7279809,'1',202,'N'),(28,7279809,'1A',216,'N'),(28,7279817,'1',203,'N'),(28,7279817,'1A',233,'N'),(28,7279825,'1',303,'N'),(28,7279833,'1',220,'N'),(28,7279833,'1A',213,'N'),(28,7279841,'1',104,'N'),(28,7279850,'1',501,'N'),(28,7279868,'1',454,'N'),(28,7279876,'1',201,'N'),(28,7279876,'1A',207,'N'),(28,7279884,'1',601,'N'),(28,7279884,'1A',653,'N'),(28,7279892,'1',340,'N'),(28,7279914,'1',316,'N'),(28,7279922,'1',207,'N'),(28,7279930,'1',552,'N'),(28,7279949,'1',333,'N'),(28,7279957,'1',235,'N'),(28,7279965,'1',220,'N'),(28,7279965,'1A',235,'N'),(28,7279973,'1',551,'N'),(28,7279981,'1',999,'N'),(28,7280009,'1',216,'N'),(28,7280009,'1A',233,'N'),(28,7280017,'1',103,'N'),(28,7280025,'1',999,'N'),(28,7280033,'1',333,'N'),(28,7280041,'1',212,'N'),(28,7280041,'1A',213,'N'),(28,7280050,'1',404,'N'),(28,7280068,'1',103,'N'),(28,7280076,'1',316,'N'),(28,7280084,'1',303,'N'),(28,7280092,'1',415,'N'),(28,7280106,'1',5,'N'),(28,7280114,'1',5,'N'),(28,7280122,'1',110,'N'),(28,7280149,'1',552,'N'),(28,7280157,'1',444,'N'),(28,7280157,'1A',207,'S'),(28,7280165,'1',103,'N'),(28,7280181,'1',501,'N'),(28,7280203,'1',3,'N'),(28,7280211,'1',304,'N'),(28,7280220,'1',331,'N'),(28,7280238,'1',233,'N'),(28,7280238,'1A',211,'N'),(28,7280246,'1',202,'N'),(28,7280246,'1A',235,'N'),(28,7280262,'1',103,'N'),(28,7280270,'1',340,'N'),(28,7280289,'1',201,'N'),(28,7280289,'1A',203,'N'),(28,7280297,'1',501,'N'),(28,7280300,'1',9,'N'),(28,7280319,'1',303,'N'),(28,7280327,'1',999,'N'),(28,7280335,'1',454,'N'),(28,7280343,'1',108,'N'),(28,7280360,'1',233,'N'),(28,7280360,'1A',653,'N'),(28,7280378,'1',201,'N'),(28,7280378,'1A',212,'N'),(28,7280386,'1',216,'N'),(28,7280386,'1A',215,'N'),(28,7280394,'1',999,'N'),(28,7280408,'1',319,'N'),(28,7280416,'1',205,'N'),(28,7280424,'1',5,'N'),(28,7280432,'1',552,'N'),(28,7280440,'1',108,'N'),(28,7280459,'1',211,'N'),(28,7280459,'1A',201,'N'),(28,7280467,'1',201,'N'),(28,7280467,'1A',653,'N'),(28,7280475,'1',103,'N'),(28,7280491,'1',999,'N'),(28,7280505,'1',601,'N'),(28,7280505,'1A',215,'N'),(28,7280513,'1',103,'N'),(28,7280521,'1',999,'N'),(28,7280530,'1',319,'N'),(28,7280548,'1',103,'N'),(28,7280556,'1',214,'N'),(28,7280556,'1A',235,'N'),(28,7280564,'1',110,'N'),(28,7280572,'1',216,'N'),(28,7280572,'1A',211,'N'),(28,7280580,'1',454,'N'),(28,7280599,'1',655,'N'),(28,7280602,'1',415,'N'),(28,7280610,'1',301,'N'),(28,7280629,'1',551,'N'),(28,7280637,'1',110,'N'),(28,7280645,'1',999,'N'),(28,7280653,'1',5,'N'),(28,7280661,'1',103,'N'),(28,7280670,'1',415,'N'),(28,7280688,'1',454,'N'),(28,7280696,'1',211,'N'),(28,7280696,'1A',215,'N'),(28,7280700,'1',103,'N'),(28,7280718,'1',201,'N'),(28,7280718,'1A',207,'N'),(28,7280726,'1',220,'N'),(28,7280726,'1A',601,'N'),(28,7280734,'1',319,'N'),(28,7280742,'1',654,'N'),(28,7280750,'1',319,'N'),(28,7280769,'1',454,'N'),(28,7280785,'1',653,'N'),(28,7280785,'1A',216,'N'),(28,7280793,'1',103,'N'),(28,7280807,'1',319,'N'),(28,7280815,'1',444,'N'),(28,7280823,'1',999,'N'),(28,7280831,'1',233,'N'),(28,7280831,'1A',213,'N'),(28,7280858,'1',216,'N'),(28,7280858,'1A',213,'N'),(28,7280866,'1',235,'N'),(28,7280866,'1A',213,'N'),(28,7280874,'1',103,'N'),(28,7280882,'1',319,'N'),(28,7280890,'1',317,'N'),(28,7280904,'1',104,'N'),(28,7280912,'1',201,'N'),(28,7280912,'1A',601,'N'),(28,7280920,'1',104,'N'),(28,7280939,'1',214,'N'),(28,7280939,'1A',235,'N'),(28,7280947,'1',103,'N'),(28,7280963,'1',654,'N'),(28,7280971,'1',301,'N'),(28,7280980,'1',203,'N'),(28,7280998,'1',103,'N'),(28,7281005,'1',326,'N'),(28,7281013,'1',203,'N'),(28,7281013,'1A',202,'N'),(28,7281021,'1',103,'N'),(28,7281030,'1',999,'N'),(28,7281048,'1',319,'N'),(28,7281056,'1',302,'N'),(28,7281064,'1',207,'N'),(28,7281064,'1A',201,'N'),(28,7281072,'1',211,'N'),(28,7281072,'1A',215,'N'),(28,7281080,'1',103,'N'),(28,7281099,'1',327,'N'),(28,7281102,'1',202,'N'),(28,7281102,'1A',201,'N'),(28,7281110,'1',5,'N'),(28,7281129,'1',303,'N'),(28,7281137,'1',201,'N'),(28,7281137,'1A',207,'N'),(28,7281153,'1',103,'N'),(28,7281170,'1',2,'N'),(28,7281188,'1',207,'N'),(28,7281188,'1A',201,'N'),(28,7281196,'1',303,'N'),(28,7281200,'1',425,'N'),(28,7281226,'1',201,'N'),(28,7281226,'1A',207,'N'),(28,7281234,'1',220,'N'),(28,7281234,'1A',207,'N'),(28,7281242,'1',235,'N'),(28,7281242,'1A',203,'N'),(28,7281269,'1',5,'N'),(28,7281277,'1',415,'N'),(28,7281285,'1',103,'N'),(28,7281293,'1',444,'N'),(28,7281307,'1',319,'N'),(28,7281315,'1',211,'N'),(28,7281315,'1A',201,'N'),(28,7281323,'1',9,'N'),(28,7281331,'1',207,'N'),(28,7281331,'1A',201,'N'),(28,7281340,'1',423,'N'),(28,7281358,'1',415,'N'),(28,7281374,'1',201,'N'),(28,7281374,'1A',212,'N'),(28,7281382,'1',999,'N'),(28,7281390,'1',415,'N'),(28,7281404,'1',339,'N'),(28,7281412,'1',552,'N'),(28,7281439,'1',655,'N'),(28,7281439,'1A',652,'N'),(28,7281447,'1',203,'N'),(28,7281447,'1A',201,'N'),(28,7281455,'1',103,'N'),(28,7281463,'1',212,'N'),(28,7281463,'1A',207,'N'),(28,7281480,'1',340,'N'),(28,7281498,'1',5,'N'),(28,7281501,'1',223,'N'),(28,7281510,'1',235,'N'),(28,7281528,'1',104,'N'),(28,7281536,'1',450,'N'),(28,7281544,'1',230,'N'),(28,7281552,'1',103,'N'),(28,7281560,'1',653,'N'),(28,7281560,'1A',214,'N'),(28,7281579,'1',5,'N'),(28,7281587,'1',109,'N'),(28,7281595,'1',9,'N'),(28,7281609,'1',103,'N'),(28,7281617,'1',202,'N'),(28,7281617,'1A',235,'N'),(28,7281625,'1',404,'N'),(28,7281633,'1',238,'N'),(28,7281633,'1A',235,'N'),(28,7281641,'1',5,'N'),(28,7281650,'1',203,'N'),(28,7281650,'1A',220,'N'),(28,7281668,'1',9,'N'),(28,7281676,'1',103,'N'),(28,7281684,'1',238,'N'),(28,7281684,'1A',203,'N'),(28,7281692,'1',103,'N'),(28,7281722,'1',339,'N'),(28,7281730,'1',207,'N'),(28,7281730,'1A',238,'N'),(28,7281749,'1',103,'N'),(28,7281757,'1',301,'N'),(28,7281765,'1',310,'N'),(28,7281773,'1',444,'N'),(28,7281781,'1',216,'N'),(28,7281781,'1A',212,'N'),(28,7281790,'1',303,'N'),(28,7281803,'1',316,'N'),(28,7281811,'1',316,'N'),(28,7281820,'1',215,'N'),(28,7281820,'1A',202,'N'),(28,7281838,'1',319,'N'),(28,7281846,'1',502,'N'),(28,7281854,'1',301,'N'),(28,7281862,'1',999,'N'),(28,7281870,'1',454,'N'),(28,7281889,'1',216,'N'),(28,7281889,'1A',233,'N'),(28,7281897,'1',102,'N'),(28,7281900,'1',501,'N'),(28,7281919,'1',203,'N'),(28,7281919,'1A',235,'N'),(28,7281935,'1',551,'N'),(28,7281943,'1',104,'N'),(28,7281951,'1',207,'N'),(28,7281951,'1A',201,'N'),(28,7281978,'1',415,'N'),(28,7281994,'1',654,'N'),(28,7282001,'1',203,'N'),(28,7282001,'1A',653,'N'),(28,7282010,'1',503,'N'),(28,7282028,'1',104,'N'),(28,7282036,'1',655,'N'),(28,7282036,'1A',653,'N'),(28,7282044,'1',450,'N'),(28,7282052,'1',340,'N'),(28,7282060,'1',104,'N'),(28,7282079,'1',551,'N'),(28,7282087,'1',319,'N'),(28,7282095,'1',103,'N'),(28,7282109,'1',316,'N'),(28,7282117,'1',212,'N'),(28,7282117,'1A',235,'N'),(28,7282141,'1',301,'N'),(28,7282150,'1',5,'N'),(28,7282168,'1',551,'N'),(28,7282176,'1',9,'N'),(28,7282184,'1',103,'N'),(28,7282192,'1',103,'N'),(28,7282206,'1',203,'N'),(28,7282214,'1',235,'N'),(28,7282214,'1A',213,'N'),(28,7282230,'1',5,'N'),(28,7282249,'1',319,'N'),(28,7282257,'1',203,'N'),(28,7282257,'1A',233,'N'),(28,7282265,'1',201,'N'),(28,7282265,'1A',212,'N'),(28,7282273,'1',233,'N'),(28,7282273,'1A',211,'N'),(28,7282281,'1',212,'N'),(28,7282281,'1A',233,'N'),(28,7282290,'1',601,'N'),(28,7282290,'1A',207,'N'),(28,7282303,'1',201,'N'),(28,7282303,'1A',212,'N'),(28,7282311,'1',201,'N'),(28,7282320,'1',5,'N'),(28,7282338,'1',233,'N'),(28,7282338,'1A',213,'N'),(28,7282346,'1',404,'N'),(28,7282354,'1',214,'N'),(28,7282354,'1A',203,'N'),(28,7282362,'1',203,'N'),(28,7282362,'1A',601,'N'),(28,7282370,'1',320,'N'),(28,7282389,'1',202,'N'),(28,7282389,'1A',235,'N'),(28,7282397,'1',103,'N'),(28,7282400,'1',652,'N'),(28,7282400,'1A',655,'N'),(28,7282427,'1',216,'N'),(28,7282435,'1',104,'N'),(28,7282443,'1',653,'N'),(28,7282443,'1A',601,'N'),(28,7282451,'1',203,'N'),(28,7282460,'1',201,'N'),(28,7282460,'1A',212,'N'),(28,7282478,'1',301,'N'),(28,7282494,'1',301,'N'),(28,7282508,'1',103,'N'),(28,7282532,'1',208,'N'),(28,7282540,'1',999,'N'),(28,7282559,'1',501,'N'),(28,7282567,'1',454,'N'),(28,7282575,'1',211,'N'),(28,7282575,'1A',601,'N'),(28,7282583,'1',103,'N'),(28,7282591,'1',454,'N'),(28,7282605,'1',655,'N'),(28,7282605,'1A',653,'N'),(28,7282613,'1',319,'N'),(28,7282621,'1',415,'N'),(28,7282630,'1',211,'N'),(28,7282630,'1A',215,'N'),(28,7282648,'1',103,'N'),(28,7282656,'1',5,'N'),(28,7282664,'1',454,'N'),(28,7282672,'1',207,'N'),(28,7282680,'1',202,'N'),(28,7282680,'1A',235,'N'),(28,7282699,'1',220,'N'),(28,7282699,'1A',235,'N'),(28,7282702,'1',208,'N'),(28,7282710,'1',415,'N'),(28,7282729,'1',216,'N'),(28,7282729,'1A',233,'N'),(28,7282737,'1',103,'N'),(28,7282753,'1',444,'N'),(28,7282761,'1',201,'N'),(28,7282761,'1A',238,'N'),(28,7282770,'1',104,'N'),(28,7282788,'1',318,'N'),(28,7282796,'1',652,'N'),(28,7282800,'1',318,'N'),(28,7282818,'1',211,'N'),(28,7282818,'1A',233,'N'),(28,7282826,'1',201,'N'),(28,7282826,'1A',215,'N'),(28,7282834,'1',999,'N'),(28,7282842,'1',208,'N'),(28,7282850,'1',303,'N'),(28,7282877,'1',2,'N'),(28,7282885,'1',103,'N'),(28,7282893,'1',104,'N'),(28,7282907,'1',207,'N'),(28,7282907,'1A',201,'N'),(28,7282915,'1',104,'N'),(28,7282966,'1',999,'N'),(28,7282974,'1',207,'N'),(28,7282974,'1A',202,'N'),(28,7282982,'1',303,'N'),(28,7282990,'1',317,'N'),(28,7283008,'1',201,'N'),(28,7283008,'1A',203,'N'),(28,7283016,'1',212,'N'),(28,7283016,'1A',207,'N'),(28,7283024,'1',203,'N'),(28,7283032,'1',425,'N'),(28,7283032,'1A',427,'N'),(28,7283059,'1',203,'N'),(28,7283059,'1A',201,'N'),(28,7283067,'1',201,'N'),(28,7283067,'1A',212,'N'),(28,7283075,'1',212,'N'),(28,7283075,'1A',215,'N'),(28,7283091,'1',211,'N'),(28,7283113,'1',303,'N'),(28,7283121,'1',551,'N'),(28,7283130,'1',202,'N'),(28,7283130,'1A',213,'N'),(28,7283148,'1',999,'N'),(28,7283156,'1',103,'N'),(28,7283164,'1',5,'N'),(28,7283172,'1',108,'N'),(28,7283180,'1',216,'N'),(28,7283180,'1A',203,'N'),(28,7283199,'1',3,'N'),(28,7283202,'1',203,'N'),(28,7283202,'1A',214,'N'),(28,7283210,'1',108,'N'),(28,7283229,'1',999,'N'),(28,7283237,'1',103,'N'),(28,7283245,'1',238,'N'),(28,7283245,'1A',655,'N'),(28,7283261,'1',303,'N'),(28,7283270,'1',104,'N'),(28,7283288,'1',301,'N'),(28,7283296,'1',109,'N'),(28,7283300,'1',653,'N'),(28,7283300,'1A',216,'N'),(28,7283318,'1',215,'N'),(28,7283318,'1A',216,'N'),(28,7283326,'1',304,'N'),(28,7283334,'1',202,'N'),(28,7283334,'1A',203,'N'),(28,7283342,'1',203,'N'),(28,7283342,'1A',214,'N'),(28,7283350,'1',336,'N'),(28,7283369,'1',303,'N'),(28,7283377,'1',103,'N'),(28,7283385,'1',338,'N'),(28,7283393,'1',655,'N'),(28,7283393,'1A',653,'N'),(28,7283407,'1',208,'N'),(28,7283415,'1',202,'N'),(28,7283415,'1A',233,'N'),(28,7283423,'1',233,'N'),(28,7283423,'1A',211,'N'),(28,7283440,'1',301,'N'),(28,7283458,'1',216,'N'),(28,7283458,'1A',214,'N'),(28,7283466,'1',201,'N'),(28,7283466,'1A',203,'N'),(28,7283482,'1',319,'N'),(28,7283504,'1',104,'N'),(28,7283512,'1',440,'N'),(28,7283520,'1',303,'N'),(28,7283539,'1',5,'N'),(28,7283547,'1',203,'N'),(28,7283547,'1A',214,'N'),(28,7283555,'1',103,'N'),(28,7283563,'1',203,'N'),(28,7283563,'1A',202,'N'),(28,7283571,'1',999,'N'),(28,7283580,'1',303,'N'),(28,7283598,'1',215,'N'),(28,7283598,'1A',216,'N'),(28,7283601,'1',5,'N'),(28,7283610,'1',503,'N'),(28,7283628,'1',220,'N'),(28,7283628,'1A',202,'N'),(28,7283636,'1',999,'N'),(28,7283644,'1',308,'N'),(28,7283652,'1',102,'N'),(28,7283660,'1',454,'N'),(28,7283679,'1',301,'N'),(28,7283695,'1',104,'N'),(28,7283709,'1',216,'N'),(28,7283717,'1',103,'N'),(28,7283725,'1',103,'N'),(28,7283733,'1',404,'N'),(28,7283741,'1',201,'N'),(28,7283741,'1A',203,'N'),(28,7283750,'1',103,'N'),(28,7283768,'1',450,'N'),(28,7283776,'1',238,'N'),(28,7283776,'1A',235,'N'),(28,7283784,'1',201,'N'),(28,7283784,'1A',207,'N'),(28,7283792,'1',207,'N'),(28,7283806,'1',303,'N'),(28,7283814,'1',207,'N'),(28,7283814,'1A',201,'N'),(28,7283822,'1',329,'N'),(28,7283830,'1',3,'N'),(28,7283849,'1',110,'N'),(28,7283873,'1',207,'N'),(28,7283873,'1A',211,'N'),(28,7283881,'1',444,'N'),(28,7283890,'1',444,'N'),(28,7283903,'1',444,'N'),(28,7283911,'1',207,'N'),(28,7283911,'1A',601,'N'),(28,7283920,'1',333,'N'),(28,7283938,'1',215,'N'),(28,7283938,'1A',216,'N'),(28,7283946,'1',444,'N'),(28,7283954,'1',233,'N'),(28,7283954,'1A',601,'N'),(28,7283962,'1',340,'N'),(28,7283970,'1',331,'N'),(28,7283989,'1',212,'N'),(28,7283989,'1A',214,'N'),(28,7283997,'1',103,'N'),(28,7284012,'1',222,'N'),(28,7284039,'1',201,'N'),(28,7284039,'1A',238,'N'),(28,7284047,'1',207,'N'),(28,7284055,'1',338,'N'),(28,7284063,'1',424,'N'),(28,7284071,'1',103,'N'),(28,7284080,'1',207,'N'),(28,7284080,'1A',201,'N'),(28,7284098,'1',208,'N'),(28,7284101,'1',999,'N'),(28,7284128,'1',999,'N'),(28,7284144,'1',428,'N'),(28,7284144,'1A',427,'N'),(28,7284152,'1',303,'N'),(28,7284160,'1',202,'N'),(28,7284179,'1',104,'N'),(28,7284187,'1',415,'N'),(28,7284195,'1',211,'N'),(28,7284195,'1A',653,'N'),(28,7284209,'1',208,'N'),(28,7284233,'1',999,'N'),(28,7284241,'1',203,'N'),(28,7284241,'1A',207,'N'),(28,7284250,'1',201,'N'),(28,7284250,'1A',212,'N'),(28,7284268,'1',440,'N'),(28,7284284,'1',230,'N'),(28,7284306,'1',444,'N'),(28,7284314,'1',429,'N'),(28,7284314,'1A',426,'N'),(28,7284322,'1',109,'N'),(28,7284330,'1',238,'N'),(28,7284330,'1A',202,'N'),(28,7284349,'1',333,'N'),(28,7284357,'1',303,'N'),(28,7284373,'1',203,'N'),(28,7284373,'1A',211,'N'),(28,7284381,'1',999,'N'),(28,7284403,'1',303,'N'),(28,7284411,'1',301,'N'),(28,7284420,'1',999,'N'),(28,7284438,'1',999,'N'),(28,7284446,'1',340,'N'),(28,7284454,'1',103,'N'),(28,7284462,'1',102,'N'),(28,7284470,'1',340,'N'),(28,7284497,'1',207,'N'),(28,7284497,'1A',201,'N'),(28,7284500,'1',316,'N'),(28,7284519,'1',104,'N'),(28,7284527,'1',340,'N'),(28,7284535,'1',238,'N'),(28,7284535,'1A',220,'N'),(28,7284543,'1',319,'N'),(28,7284551,'1',655,'N'),(28,7284551,'1A',653,'N'),(28,7284586,'1',318,'N'),(28,7284594,'1',203,'N'),(28,7284594,'1A',238,'N'),(28,7284608,'1',233,'N'),(28,7284608,'1A',653,'N'),(28,7284616,'1',216,'N'),(28,7284616,'1A',207,'N'),(28,7284624,'1',304,'N'),(28,7284632,'1',301,'N'),(28,7284659,'1',316,'N'),(28,7284667,'1',109,'N'),(28,7284675,'1',203,'N'),(28,7284675,'1A',207,'N'),(28,7284683,'1',304,'N'),(28,7284705,'1',303,'N'),(28,7284713,'1',211,'N'),(28,7284713,'1A',213,'N'),(28,7284721,'1',203,'N'),(28,7284721,'1A',235,'N'),(28,7284730,'1',101,'N'),(28,7284748,'1',5,'N'),(28,7284764,'1',213,'N'),(28,7284764,'1A',212,'N'),(28,7284772,'1',5,'N'),(28,7284780,'1',653,'N'),(28,7284780,'1A',233,'N'),(28,7284802,'1',207,'N'),(28,7284802,'1A',201,'N'),(28,7284810,'1',203,'N'),(28,7284810,'1A',214,'N'),(28,7284837,'1',303,'N'),(28,7284845,'1',102,'N'),(28,7284853,'1',103,'N'),(28,7284861,'1',999,'N'),(28,7284870,'1',216,'N'),(28,7284870,'1A',202,'N'),(28,7284888,'1',303,'N'),(28,7284896,'1',329,'N'),(28,7284918,'1',203,'N'),(28,7284918,'1A',214,'N'),(28,7284934,'1',429,'N'),(28,7284934,'1A',425,'N'),(28,7284950,'1',201,'N'),(28,7284950,'1A',211,'N'),(28,7284977,'1',316,'N'),(28,7284985,'1',212,'N'),(28,7284985,'1A',201,'N'),(28,7284993,'1',454,'N'),(28,7285000,'1',652,'N'),(28,7285035,'1',999,'N'),(28,7285043,'1',454,'N'),(28,7285051,'1',103,'N'),(28,7285060,'1',201,'N'),(28,7285060,'1A',203,'N'),(28,7285086,'1',103,'N'),(28,7285094,'1',220,'N'),(28,7285094,'1A',202,'N'),(28,7285108,'1',333,'N'),(28,7285116,'1',102,'N'),(28,7285124,'1',302,'N'),(28,7285132,'1',208,'N'),(28,7285159,'1',208,'N'),(28,7285167,'1',103,'N'),(28,7285175,'1',501,'N'),(28,7285183,'1',552,'N'),(28,7285191,'1',103,'N'),(28,7285205,'1',301,'N'),(28,7285213,'1',428,'N'),(28,7285213,'1A',426,'N'),(28,7285221,'1',213,'N'),(28,7285221,'1A',212,'N'),(28,7285256,'1',103,'N'),(28,7285264,'1',108,'N'),(28,7285272,'1',444,'N'),(28,7285280,'1',213,'N'),(28,7285280,'1A',235,'N'),(28,7285299,'1',309,'N'),(28,7285302,'1',652,'N'),(28,7285302,'1A',238,'N'),(28,7285310,'1',201,'N'),(28,7285310,'1A',207,'N'),(28,7285329,'1',654,'N'),(28,7285337,'1',101,'N'),(28,7285353,'1',303,'N'),(28,7285361,'1',103,'N'),(28,7285370,'1',201,'N'),(28,7285370,'1A',235,'N'),(28,7285388,'1',238,'N'),(28,7285388,'1A',211,'N'),(28,7285400,'1',319,'N'),(28,7285418,'1',108,'N'),(28,7285434,'1',303,'N'),(28,7285442,'1',203,'N'),(28,7285442,'1A',601,'N'),(28,7285469,'1',653,'N'),(28,7285469,'1A',202,'N'),(28,7285477,'1',211,'N'),(28,7285477,'1A',601,'N'),(28,7285485,'1',108,'N'),(28,7285493,'1',303,'N'),(28,7285507,'1',108,'N'),(28,7285523,'1',104,'N'),(28,7285531,'1',310,'N'),(28,7285582,'1',207,'N'),(28,7285582,'1A',201,'N'),(28,7285590,'1',208,'N'),(28,7285604,'1',454,'N'),(28,7285612,'1',320,'N'),(28,7285620,'1',101,'N'),(28,7285647,'1',201,'N'),(28,7285647,'1A',202,'N'),(28,7285655,'1',999,'N'),(28,7285663,'1',103,'N'),(28,7285671,'1',103,'N'),(28,7285698,'1',404,'N'),(28,7285710,'1',601,'N'),(28,7285710,'1A',203,'N'),(28,7285728,'1',201,'N'),(28,7285728,'1A',601,'N'),(28,7285744,'1',317,'N'),(28,7285752,'1',444,'N'),(28,7285760,'1',302,'N'),(28,7285779,'1',103,'N'),(28,7285787,'1',216,'N'),(28,7285787,'1A',211,'N'),(28,7285795,'1',203,'N'),(28,7285795,'1A',201,'N'),(28,7285809,'1',316,'N'),(28,7285817,'1',654,'N'),(28,7285825,'1',654,'N'),(28,7285833,'1',5,'N'),(28,7285841,'1',103,'N'),(28,7285850,'1',316,'N'),(28,7285868,'1',110,'N'),(28,7285876,'1',238,'N'),(28,7285876,'1A',655,'N'),(28,7285892,'1',552,'N'),(28,7285906,'1',552,'N'),(28,7285914,'1',309,'N'),(28,7285922,'1',103,'N'),(28,7285930,'1',317,'N'),(28,7285949,'1',234,'N'),(28,7285957,'1',339,'N'),(28,7285965,'1',450,'N'),(28,7285973,'1',415,'N'),(28,7285990,'1',5,'N'),(28,7286007,'1',103,'N'),(28,7286015,'1',304,'N'),(28,7286023,'1',103,'N'),(28,7286031,'1',5,'N'),(28,7286040,'1',101,'N'),(28,7286066,'1',653,'N'),(28,7286066,'1A',652,'N'),(28,7286112,'1',203,'N'),(28,7286112,'1A',202,'N'),(28,7286120,'1',440,'N'),(28,7286139,'1',415,'N'),(28,7286147,'1',339,'N'),(28,7286155,'1',454,'N'),(28,7286163,'1',454,'N'),(28,7286171,'1',104,'N'),(28,7286180,'1',104,'N'),(28,7286198,'1',9,'N'),(28,7286201,'1',211,'N'),(28,7286201,'1A',233,'N'),(28,7286210,'1',316,'N'),(28,7286228,'1',103,'N'),(28,7286236,'1',337,'N'),(28,7286244,'1',318,'N'),(28,7286252,'1',207,'N'),(28,7286252,'1A',211,'N'),(28,7286279,'1',328,'N'),(28,7286287,'1',101,'N'),(28,7286295,'1',103,'N'),(28,7286309,'1',103,'N'),(28,7286325,'1',301,'N'),(28,7286333,'1',103,'N'),(28,7286341,'1',103,'N'),(28,7286350,'1',653,'N'),(28,7286350,'1A',652,'N'),(28,7286368,'1',201,'N'),(28,7286368,'1A',233,'N'),(28,7286376,'1',207,'N'),(28,7286376,'1A',201,'N'),(28,7286392,'1',211,'N'),(28,7286392,'1A',233,'N'),(28,7286406,'1',319,'N'),(28,7286414,'1',319,'N'),(28,7286422,'1',222,'N'),(28,7286430,'1',503,'N'),(28,7286457,'1',216,'N'),(28,7286457,'1A',201,'N'),(28,7286465,'1',3,'N'),(28,7286473,'1',404,'N'),(28,7286490,'1',653,'N'),(28,7286490,'1A',655,'N'),(28,7286511,'1',201,'N'),(28,7286511,'1A',212,'N'),(28,7286538,'1',207,'N'),(28,7286538,'1A',201,'N'),(28,7286546,'1',216,'N'),(28,7286554,'1',211,'N'),(28,7286554,'1A',215,'N'),(28,7286562,'1',104,'N'),(28,7286570,'1',224,'N'),(28,7286589,'1',103,'N'),(28,7286597,'1',415,'N'),(28,7286600,'1',319,'N'),(28,7286619,'1',653,'N'),(28,7286619,'1A',201,'N'),(28,7286627,'1',103,'N'),(28,7286643,'1',103,'N'),(28,7286651,'1',454,'N'),(28,7286660,'1',309,'N'),(28,7286686,'1',319,'N'),(28,7286694,'1',5,'N'),(28,7286708,'1',202,'N'),(28,7286708,'1A',201,'N'),(28,7286724,'1',101,'N'),(28,7286732,'1',309,'N'),(28,7286740,'1',103,'N'),(28,7286767,'1',104,'N'),(28,7286775,'1',203,'N'),(28,7286775,'1A',202,'N'),(28,7286783,'1',316,'N'),(28,7286791,'1',234,'N'),(28,7286805,'1',110,'N'),(28,7286813,'1',319,'N'),(28,7286821,'1',103,'N'),(28,7286830,'1',454,'N'),(28,7286856,'1',212,'N'),(28,7286856,'1A',238,'N'),(28,7286880,'1',213,'N'),(28,7286880,'1A',235,'N'),(28,7286899,'1',201,'N'),(28,7286899,'1A',203,'N'),(28,7286902,'1',5,'N'),(28,7286910,'1',450,'N'),(28,7286929,'1',316,'N'),(28,7286937,'1',222,'N'),(28,7286945,'1',654,'N'),(28,7286953,'1',552,'N'),(28,7286961,'1',103,'N'),(28,7286970,'1',316,'N'),(28,7286996,'1',654,'N'),(28,7287003,'1',316,'N'),(28,7287011,'1',302,'N'),(28,7287020,'1',104,'N'),(28,7287038,'1',304,'N'),(28,7287046,'1',201,'N'),(28,7287046,'1A',601,'N'),(28,7287054,'1',320,'N'),(28,7287062,'1',103,'N'),(28,7287089,'1',215,'N'),(28,7287089,'1A',216,'N'),(28,7287097,'1',303,'N'),(28,7287100,'1',211,'N'),(28,7287100,'1A',207,'N'),(28,7287119,'1',319,'N'),(28,7287127,'1',502,'N'),(28,7287151,'1',310,'N'),(28,7287160,'1',201,'N'),(28,7287160,'1A',211,'N'),(28,7287178,'1',331,'N'),(28,7287186,'1',103,'N'),(28,7287194,'1',109,'N'),(28,7287208,'1',103,'N'),(28,7287232,'1',301,'N'),(28,7287240,'1',654,'N'),(28,7287259,'1',201,'N'),(28,7287259,'1A',220,'N'),(28,7287267,'1',201,'N'),(28,7287267,'1A',220,'N'),(28,7287275,'1',5,'N'),(28,7287283,'1',103,'N'),(28,7287291,'1',332,'N'),(28,7287305,'1',224,'N'),(28,7287313,'1',404,'N'),(28,7287321,'1',303,'N'),(28,7287330,'1',103,'N'),(28,7287348,'1',103,'N'),(28,7287356,'1',216,'N'),(28,7287364,'1',214,'N'),(28,7287364,'1A',233,'N'),(28,7287372,'1',202,'N'),(28,7287372,'1A',213,'N'),(28,7287380,'1',211,'N'),(28,7287380,'1A',201,'N'),(28,7287399,'1',552,'N'),(28,7287410,'1',552,'N'),(28,7287429,'1',101,'N'),(28,7287437,'1',203,'N'),(28,7287437,'1A',220,'N'),(28,7287461,'1',303,'N'),(28,7287488,'1',103,'N'),(28,7287496,'1',103,'N'),(28,7287500,'1',340,'N'),(28,7287526,'1',332,'N'),(28,7287534,'1',103,'N'),(28,7287542,'1',655,'N'),(28,7287542,'1A',653,'N'),(28,7287550,'1',233,'N'),(28,7287550,'1A',202,'N'),(28,7287585,'1',5,'N'),(28,7287593,'1',238,'N'),(28,7287615,'1',454,'N'),(28,7287623,'1',203,'N'),(28,7287623,'1A',652,'N'),(28,7287631,'1',340,'N'),(28,7287640,'1',319,'N'),(28,7287658,'1',426,'N'),(28,7287658,'1A',428,'N'),(28,7287666,'1',208,'N'),(28,7287674,'1',201,'N'),(28,7287674,'1A',653,'N'),(28,7287682,'1',303,'N'),(28,7287690,'1',316,'N'),(28,7287704,'1',203,'N'),(28,7287704,'1A',201,'N'),(28,7287712,'1',423,'N'),(28,7287712,'1A',427,'N'),(28,7287720,'1',207,'N'),(28,7287720,'1A',211,'N'),(28,7287747,'1',220,'N'),(28,7287747,'1A',203,'N'),(28,7287755,'1',102,'N'),(28,7287763,'1',552,'N'),(28,7287771,'1',428,'N'),(28,7287771,'1A',426,'N'),(28,7287798,'1',308,'N'),(28,7287810,'1',220,'N'),(28,7287810,'1A',211,'N'),(28,7287828,'1',339,'N'),(28,7287836,'1',318,'N'),(28,7287844,'1',103,'N'),(28,7287852,'1',319,'N'),(28,7287860,'1',103,'N'),(28,7287879,'1',101,'N'),(28,7287887,'1',103,'N'),(28,7287895,'1',5,'N'),(28,7287909,'1',104,'N'),(28,7287917,'1',104,'N'),(28,7287925,'1',220,'N'),(28,7287925,'1A',202,'N'),(28,7287933,'1',202,'N'),(28,7287933,'1A',213,'N'),(28,7287941,'1',319,'N'),(28,7287950,'1',999,'N'),(28,7287968,'1',331,'N'),(28,7287976,'1',203,'N'),(28,7287976,'1A',214,'N'),(28,7287984,'1',238,'N'),(28,7287984,'1A',655,'N'),(28,7288000,'1',103,'N'),(28,7288018,'1',110,'N'),(28,7288026,'1',425,'N'),(28,7288026,'1A',423,'N'),(28,7288034,'1',655,'N'),(28,7288042,'1',214,'N'),(28,7288042,'1A',213,'N'),(28,7288069,'1',201,'N'),(28,7288069,'1A',212,'N'),(28,7288077,'1',203,'N'),(28,7288077,'1A',220,'N'),(28,7288085,'1',102,'N'),(28,7288093,'1',202,'N'),(28,7288093,'1A',213,'N'),(28,7288107,'1',103,'N'),(28,7288115,'1',216,'N'),(28,7288115,'1A',215,'N'),(28,7288140,'1',207,'N'),(28,7288166,'1',201,'N'),(28,7288166,'1A',207,'N'),(28,7288174,'1',104,'N'),(28,7288190,'1',317,'N'),(28,7288220,'1',444,'N'),(28,7288239,'1',454,'N'),(28,7288247,'1',233,'N'),(28,7288247,'1A',215,'N'),(28,7288255,'1',601,'N'),(28,7288263,'1',5,'N'),(28,7288271,'1',103,'N'),(28,7288280,'1',103,'N'),(28,7288298,'1',207,'N'),(28,7288298,'1A',201,'N'),(28,7288310,'1',201,'N'),(28,7288310,'1A',202,'N'),(28,7288328,'1',5,'N'),(28,7288336,'1',213,'N'),(28,7288336,'1A',653,'N'),(28,7288344,'1',429,'N'),(28,7288344,'1A',425,'N'),(28,7288352,'1',316,'N'),(28,7288379,'1',103,'N'),(28,7288395,'1',201,'N'),(28,7288417,'1',207,'N'),(28,7288417,'1A',216,'N'),(28,7288425,'1',653,'N'),(28,7288425,'1A',601,'N'),(28,7288433,'1',319,'N'),(28,7288441,'1',103,'N'),(28,7288450,'1',304,'N'),(28,7288476,'1',454,'N'),(28,7288484,'1',601,'N'),(28,7288484,'1A',652,'N'),(28,7288492,'1',316,'N'),(28,7288506,'1',2,'N'),(28,7288522,'1',103,'N'),(28,7288530,'1',104,'N'),(28,7288549,'1',208,'N'),(28,7288557,'1',214,'N'),(28,7288557,'1A',212,'N'),(28,7288565,'1',332,'N'),(28,7288573,'1',444,'N'),(28,7288590,'1',551,'N'),(28,7288603,'1',303,'N'),(28,7288611,'1',303,'N'),(28,7288620,'1',999,'N'),(28,7288638,'1',450,'N'),(28,7288654,'1',551,'N'),(28,7288662,'1',655,'N'),(28,7288662,'1A',652,'N'),(28,7288670,'1',653,'N'),(28,7288670,'1A',601,'N'),(28,7288689,'1',415,'N'),(28,7288700,'1',318,'N'),(28,7288719,'1',999,'N'),(28,7288735,'1',340,'N'),(28,7288743,'1',102,'N'),(28,7288751,'1',103,'N'),(28,7288760,'1',332,'N'),(28,7288778,'1',324,'N'),(28,7288786,'1',203,'N'),(28,7288786,'1A',601,'N'),(28,7288794,'1',552,'N'),(28,7288808,'1',451,'N'),(28,7288816,'1',103,'N'),(28,7288824,'1',102,'N'),(28,7288832,'1',207,'N'),(28,7288840,'1',103,'N'),(28,7288859,'1',103,'N'),(28,7288875,'1',201,'N'),(28,7288875,'1A',203,'N'),(28,7288883,'1',103,'N'),(28,7288891,'1',3,'N'),(28,7288905,'1',103,'N'),(28,7288913,'1',304,'N'),(28,7288921,'1',552,'N'),(28,7288930,'1',317,'N'),(28,7288948,'1',103,'N'),(28,7288956,'1',208,'N'),(28,7288964,'1',316,'N'),(28,7288972,'1',103,'N'),(28,7288980,'1',103,'N'),(28,7288999,'1',202,'N'),(28,7288999,'1A',201,'N'),(28,7289006,'1',316,'N'),(28,7289014,'1',223,'N'),(28,7289030,'1',212,'N'),(28,7289030,'1A',211,'N'),(28,7289057,'1',450,'N'),(28,7289065,'1',201,'N'),(28,7289065,'1A',238,'N'),(28,7289073,'1',108,'N'),(28,7289090,'1',103,'N'),(28,7289103,'1',415,'N'),(28,7289111,'1',653,'N'),(28,7289111,'1A',203,'N'),(28,7289120,'1',326,'N'),(28,7289138,'1',220,'N'),(28,7289138,'1A',203,'N'),(28,7289146,'1',428,'N'),(28,7289146,'1A',426,'N'),(28,7289154,'1',103,'N'),(28,7289162,'1',318,'N'),(28,7289170,'1',450,'N'),(28,7289200,'1',423,'N'),(28,7289200,'1A',425,'N'),(28,7289219,'1',207,'N'),(28,7289219,'1A',201,'N'),(28,7289227,'1',999,'N'),(28,7289235,'1',233,'N'),(28,7289235,'1A',238,'N'),(28,7289251,'1',502,'N'),(28,7289286,'1',454,'N'),(28,7289294,'1',335,'N'),(28,7289316,'1',303,'N'),(28,7289324,'1',201,'N'),(28,7289324,'1A',211,'N'),(28,7289340,'1',301,'N'),(28,7289359,'1',454,'N'),(28,7289367,'1',104,'N'),(28,7289375,'1',5,'N'),(28,7289391,'1',103,'N'),(28,7289413,'1',108,'N'),(28,7289421,'1',999,'N'),(28,7289430,'1',333,'N'),(28,7289448,'1',203,'N'),(28,7289448,'1A',233,'N'),(28,7289464,'1',501,'N'),(28,7289472,'1',214,'N'),(28,7289472,'1A',212,'N'),(28,7289480,'1',316,'N'),(28,7289502,'1',2,'N'),(28,7289510,'1',201,'N'),(28,7289510,'1A',601,'N'),(28,7289529,'1',104,'N'),(28,7289537,'1',653,'N'),(28,7289537,'1A',601,'N'),(28,7289545,'1',233,'N'),(28,7289545,'1A',235,'N'),(28,7289553,'1',103,'N'),(28,7289570,'1',309,'N'),(28,7289588,'1',302,'N'),(28,7289600,'1',5,'N'),(28,7289618,'1',2,'N'),(28,7289634,'1',320,'N'),(28,7289642,'1',207,'N'),(28,7289642,'1A',220,'N'),(28,7289650,'1',502,'N'),(28,7289677,'1',201,'N'),(28,7289677,'1A',207,'N'),(28,7289693,'1',203,'N'),(28,7289693,'1A',212,'N'),(28,7289707,'1',104,'N'),(28,7289715,'1',103,'N'),(28,7289723,'1',454,'N'),(28,7289731,'1',202,'N'),(28,7289731,'1A',653,'N'),(28,7289758,'1',5,'N'),(28,7289774,'1',316,'N'),(28,7289782,'1',208,'N'),(28,7289790,'1',208,'N'),(28,7289812,'1',234,'N'),(28,7289839,'1',103,'N'),(28,7289847,'1',103,'N'),(28,7289855,'1',203,'N'),(28,7289855,'1A',220,'N'),(28,7289863,'1',338,'N'),(28,7289871,'1',104,'N'),(28,7289880,'1',103,'N'),(28,7289898,'1',552,'N'),(28,7289901,'1',5,'N'),(28,7289910,'1',103,'N'),(28,7289928,'1',211,'N'),(28,7289928,'1A',215,'N'),(28,7289936,'1',104,'N'),(28,7289944,'1',211,'N'),(28,7289944,'1A',215,'N'),(28,7289952,'1',552,'N'),(28,7289979,'1',203,'N'),(28,7289979,'1A',214,'N'),(28,7289987,'1',999,'N'),(28,7289995,'1',319,'N'),(28,7290004,'1',103,'N'),(28,7290012,'1',202,'N'),(28,7290047,'1',201,'N'),(28,7290047,'1A',214,'N'),(28,7290063,'1',451,'N'),(28,7290071,'1',110,'N'),(28,7290080,'1',211,'N'),(28,7290080,'1A',201,'N'),(28,7290098,'1',336,'N'),(28,7290101,'1',440,'N'),(28,7290110,'1',216,'N'),(28,7290110,'1A',207,'N'),(28,7290128,'1',214,'N'),(28,7290128,'1A',233,'N'),(28,7290160,'1',103,'N'),(28,7290179,'1',331,'N'),(28,7290187,'1',303,'N'),(28,7290195,'1',203,'N'),(28,7290195,'1A',220,'N'),(28,7290209,'1',329,'N'),(28,7290217,'1',428,'N'),(28,7290217,'1A',426,'N'),(28,7290225,'1',316,'N'),(28,7290233,'1',216,'N'),(28,7290233,'1A',211,'N'),(28,7290241,'1',339,'N'),(28,7290250,'1',103,'N'),(28,7290276,'1',104,'N'),(28,7290284,'1',103,'N'),(28,7290292,'1',207,'N'),(28,7290306,'1',103,'N'),(28,7290322,'1',103,'N'),(28,7290330,'1',201,'N'),(28,7290330,'1A',211,'N'),(28,7290349,'1',303,'N'),(28,7290357,'1',203,'N'),(28,7290357,'1A',233,'N'),(28,7290365,'1',552,'N'),(28,7290381,'1',224,'N'),(28,7290390,'1',104,'N'),(28,7290403,'1',103,'N'),(28,7290411,'1',109,'N'),(28,7290420,'1',203,'N'),(28,7290420,'1A',211,'N'),(28,7290446,'1',316,'N'),(28,7290454,'1',301,'N'),(28,7290462,'1',340,'N'),(28,7290489,'1',235,'N'),(28,7290489,'1A',601,'N'),(28,7290497,'1',224,'N'),(28,7290500,'1',319,'N'),(28,7290519,'1',303,'N'),(28,7290527,'1',552,'N'),(28,7290535,'1',338,'N'),(28,7290543,'1',303,'N'),(28,7290551,'1',103,'N'),(28,7290560,'1',501,'N'),(28,7290578,'1',999,'N'),(28,7290586,'1',999,'N'),(28,7290594,'1',318,'N'),(28,7290608,'1',319,'N'),(28,7290624,'1',207,'N'),(28,7290624,'1A',211,'N'),(28,7290632,'1',103,'N'),(28,7290659,'1',653,'N'),(28,7290659,'1A',216,'N'),(28,7290667,'1',320,'N'),(28,7290675,'1',340,'N'),(28,7290683,'1',318,'N'),(28,7290691,'1',238,'N'),(28,7290691,'1A',601,'N'),(28,7290705,'1',340,'N'),(28,7290730,'1',203,'N'),(28,7290730,'1A',213,'N'),(28,7290756,'1',999,'N'),(28,7290772,'1',415,'N'),(28,7290780,'1',303,'N'),(28,7290799,'1',340,'N'),(28,7290802,'1',238,'N'),(28,7290810,'1',319,'N'),(28,7290829,'1',211,'N'),(28,7290829,'1A',216,'N'),(28,7290837,'1',201,'N'),(28,7290837,'1A',207,'N'),(28,7290845,'1',415,'N'),(28,7290861,'1',238,'N'),(28,7290861,'1A',655,'N'),(28,7290870,'1',108,'N'),(28,7290888,'1',303,'N'),(28,7290896,'1',230,'N'),(28,7290900,'1',336,'N'),(28,7290926,'1',319,'N'),(28,7290934,'1',309,'N'),(28,7290942,'1',318,'N'),(28,7290950,'1',211,'N'),(28,7290950,'1A',215,'N'),(28,7290969,'1',451,'N'),(28,7290977,'1',202,'N'),(28,7290977,'1A',213,'N'),(28,7290993,'1',327,'N'),(28,7291000,'1',201,'N'),(28,7291000,'1A',207,'N'),(28,7291019,'1',320,'N'),(28,7291027,'1',207,'N'),(28,7291027,'1A',201,'N'),(28,7291035,'1',303,'N'),(28,7291043,'1',201,'N'),(28,7291043,'1A',207,'N'),(28,7291051,'1',103,'N'),(28,7291086,'1',214,'N'),(28,7291086,'1A',238,'N'),(28,7291094,'1',319,'N'),(28,7291108,'1',103,'N'),(28,7291116,'1',234,'N'),(28,7291124,'1',999,'N'),(28,7291132,'1',5,'N'),(28,7291140,'1',103,'N'),(28,7291159,'1',9,'N'),(28,7291167,'1',216,'N'),(28,7291167,'1A',215,'N'),(28,7291175,'1',103,'N'),(28,7291183,'1',5,'N'),(28,7291191,'1',104,'N'),(28,7291205,'1',201,'N'),(28,7291205,'1A',601,'N'),(28,7291213,'1',318,'N'),(28,7291221,'1',235,'N'),(28,7291221,'1A',213,'N'),(28,7291230,'1',103,'N'),(28,7291248,'1',451,'N'),(28,7291256,'1',454,'N'),(28,7291280,'1',215,'N'),(28,7291280,'1A',211,'N'),(28,7291299,'1',203,'N'),(28,7291299,'1A',220,'N'),(28,7291302,'1',326,'N'),(28,7291310,'1',454,'N'),(28,7291329,'1',336,'N'),(28,7291337,'1',211,'N'),(28,7291337,'1A',233,'N'),(28,7291345,'1',103,'N'),(28,7291353,'1',552,'N'),(28,7291361,'1',216,'N'),(28,7291361,'1A',233,'N'),(28,7291370,'1',552,'N'),(28,7291396,'1',214,'N'),(28,7291396,'1A',212,'N'),(28,7291400,'1',103,'N'),(28,7291418,'1',203,'N'),(28,7291418,'1A',238,'N'),(28,7291426,'1',103,'N'),(28,7291434,'1',552,'N'),(28,7291450,'1',103,'N'),(28,7291485,'1',201,'N'),(28,7291485,'1A',216,'N'),(28,7291493,'1',238,'N'),(28,7291507,'1',331,'N'),(28,7291515,'1',340,'N'),(28,7291540,'1',326,'N'),(28,7291558,'1',238,'N'),(28,7291558,'1A',207,'N'),(28,7291566,'1',340,'N'),(28,7291574,'1',215,'N'),(28,7291574,'1A',216,'N'),(28,7291582,'1',317,'N'),(28,7291590,'1',207,'N'),(28,7291604,'1',5,'N'),(28,7291612,'1',329,'N'),(28,7291639,'1',340,'N'),(28,7291647,'1',103,'N'),(28,7291671,'1',302,'N'),(28,7291680,'1',208,'N'),(28,7291701,'1',654,'N'),(28,7291710,'1',502,'N'),(28,7291736,'1',303,'N'),(28,7291744,'1',213,'N'),(28,7291744,'1A',233,'N'),(28,7291752,'1',207,'N'),(28,7291752,'1A',211,'N'),(28,7291760,'1',454,'N'),(28,7291779,'1',101,'N'),(28,7291787,'1',424,'N'),(28,7291787,'1A',425,'N'),(28,7291795,'1',103,'N'),(28,7291809,'1',319,'N'),(28,7291817,'1',201,'N'),(28,7291817,'1A',207,'N'),(28,7291825,'1',303,'N'),(28,7291833,'1',102,'N'),(28,7291841,'1',404,'N'),(28,7291850,'1',552,'N'),(28,7291892,'1',9,'N'),(28,7291914,'1',103,'N'),(28,7291930,'1',101,'N'),(28,7291949,'1',103,'N'),(28,7291957,'1',110,'N'),(28,7291973,'1',429,'N'),(28,7291973,'1A',425,'N'),(28,7291981,'1',208,'N'),(28,7291990,'1',999,'N'),(28,7292007,'1',303,'N'),(28,7292015,'1',319,'N'),(28,7292023,'1',601,'N'),(28,7292031,'1',999,'N'),(28,7292058,'1',103,'N'),(28,7292074,'1',212,'N'),(28,7292074,'1A',214,'N'),(28,7292082,'1',216,'N'),(28,7292082,'1A',220,'N'),(28,7292090,'1',601,'N'),(28,7292090,'1A',201,'N'),(28,7292104,'1',454,'N'),(28,7292120,'1',207,'N'),(28,7292120,'1A',201,'N'),(28,7292139,'1',233,'N'),(28,7292139,'1A',216,'N'),(28,7292147,'1',654,'N'),(28,7292155,'1',103,'N'),(28,7292163,'1',207,'N'),(28,7292163,'1A',201,'N'),(28,7292171,'1',214,'N'),(28,7292171,'1A',203,'N'),(28,7292180,'1',317,'N'),(28,7292198,'1',103,'N'),(28,7292210,'1',5,'N'),(28,7292228,'1',654,'N'),(28,7292236,'1',201,'N'),(28,7292236,'1A',207,'N'),(28,7292244,'1',108,'N'),(28,7292252,'1',103,'N'),(28,7292260,'1',211,'N'),(28,7292260,'1A',235,'N'),(28,7292279,'1',5,'N'),(28,7292295,'1',207,'N'),(28,7292325,'1',415,'N'),(28,7292333,'1',207,'N'),(28,7292333,'1A',201,'N'),(28,7292341,'1',211,'N'),(28,7292341,'1A',212,'N'),(28,7292350,'1',340,'N'),(28,7292376,'1',318,'N'),(28,7292384,'1',444,'N'),(28,7292392,'1',316,'N'),(28,7292406,'1',108,'N'),(28,7292414,'1',103,'N'),(28,7292422,'1',238,'N'),(28,7292430,'1',655,'N'),(28,7292430,'1A',201,'N'),(28,7292457,'1',109,'N'),(28,7292465,'1',207,'N'),(28,7292465,'1A',601,'N'),(28,7292473,'1',201,'N'),(28,7292473,'1A',203,'N'),(28,7292481,'1',103,'N'),(28,7292490,'1',320,'N'),(28,7292503,'1',103,'N'),(28,7292511,'1',103,'N'),(28,7292520,'1',205,'N'),(28,7292538,'1',225,'N'),(28,7292554,'1',319,'N'),(28,7292562,'1',201,'N'),(28,7292562,'1A',211,'N'),(28,7292570,'1',222,'N'),(28,7292589,'1',551,'N'),(28,7292597,'1',999,'N'),(28,7292600,'1',301,'N'),(28,7292619,'1',337,'N'),(28,7292635,'1',340,'N'),(28,7292643,'1',316,'N'),(28,7292651,'1',303,'N'),(28,7292660,'1',110,'N'),(28,7292678,'1',205,'N'),(28,7292686,'1',308,'N'),(28,7292694,'1',444,'N'),(28,7292708,'1',103,'N'),(28,7292716,'1',319,'N'),(28,7292724,'1',216,'N'),(28,7292724,'1A',211,'N'),(28,7292732,'1',203,'N'),(28,7292732,'1A',201,'N'),(28,7292740,'1',601,'N'),(28,7292740,'1A',207,'N'),(28,7292759,'1',340,'N'),(28,7292775,'1',207,'N'),(28,7292775,'1A',211,'N'),(28,7292783,'1',103,'N'),(28,7292791,'1',208,'N'),(28,7292805,'1',207,'N'),(28,7292805,'1A',233,'N'),(28,7292821,'1',333,'N'),(28,7292830,'1',103,'N'),(28,7292848,'1',213,'N'),(28,7292848,'1A',211,'N'),(28,7292856,'1',304,'N'),(28,7292864,'1',9,'N'),(28,7292872,'1',601,'N'),(28,7292872,'1A',202,'N'),(28,7292880,'1',308,'N'),(28,7292899,'1',103,'N'),(28,7292902,'1',310,'N'),(28,7292910,'1',319,'N'),(28,7292929,'1',103,'N'),(28,7292945,'1',203,'N'),(28,7292945,'1A',214,'N'),(28,7292953,'1',5,'N'),(28,7292970,'1',102,'N'),(28,7292988,'1',428,'N'),(28,7292988,'1A',426,'N'),(28,7292996,'1',104,'N'),(28,7293003,'1',303,'N'),(28,7293011,'1',415,'N'),(28,7293038,'1',201,'N'),(28,7293046,'1',216,'N'),(28,7293046,'1A',233,'N'),(28,7293054,'1',101,'N'),(28,7293070,'1',329,'N'),(28,7293089,'1',301,'N'),(28,7293119,'1',103,'N'),(28,7293127,'1',319,'N'),(28,7293135,'1',308,'N'),(28,7293143,'1',201,'N'),(28,7293143,'1A',233,'N'),(28,7293160,'1',601,'N'),(28,7293160,'1A',212,'N'),(28,7293178,'1',238,'N'),(28,7293178,'1A',235,'N'),(28,7293186,'1',103,'N'),(28,7293194,'1',208,'N'),(28,7293208,'1',103,'N'),(28,7293216,'1',103,'N'),(28,7293232,'1',454,'N'),(28,7293240,'1',601,'N'),(28,7293259,'1',103,'N'),(28,7293267,'1',308,'N'),(28,7293283,'1',999,'N'),(28,7293291,'1',327,'N'),(28,7293321,'1',207,'N'),(28,7293321,'1A',215,'N'),(28,7293330,'1',552,'N'),(28,7293356,'1',108,'N'),(28,7293364,'1',336,'N'),(28,7293380,'1',216,'N'),(28,7293380,'1A',235,'N'),(28,7293399,'1',317,'N'),(28,7293402,'1',207,'N'),(28,7293402,'1A',211,'N'),(28,7293410,'1',303,'N'),(28,7293429,'1',103,'N'),(28,7293445,'1',454,'N'),(28,7293461,'1',213,'N'),(28,7293461,'1A',653,'N'),(28,7293488,'1',654,'N'),(28,7293496,'1',103,'N'),(28,7293500,'1',208,'N'),(28,7293518,'1',202,'N'),(28,7293518,'1A',207,'N'),(28,7293526,'1',552,'N'),(28,7293534,'1',225,'N'),(28,7293542,'1',201,'N'),(28,7293542,'1A',212,'N'),(28,7293550,'1',9,'N'),(28,7293569,'1',203,'N'),(28,7293569,'1A',215,'N'),(28,7293577,'1',340,'N'),(28,7293585,'1',308,'N'),(28,7293593,'1',317,'N'),(28,7293607,'1',103,'N'),(28,7293615,'1',301,'N'),(28,7293623,'1',302,'N'),(28,7293631,'1',552,'N'),(28,7293640,'1',654,'N'),(28,7293658,'1',303,'N'),(28,7293682,'1',214,'N'),(28,7293682,'1A',212,'N'),(28,7293690,'1',103,'N'),(28,7293704,'1',101,'N'),(28,7293712,'1',104,'N'),(28,7293720,'1',339,'N'),(28,7293739,'1',999,'N'),(28,7293747,'1',318,'N'),(28,7293755,'1',302,'N'),(28,7293763,'1',101,'N'),(28,7293771,'1',552,'N'),(28,7293780,'1',103,'N'),(28,7293798,'1',308,'N'),(28,7293801,'1',201,'N'),(28,7293801,'1A',212,'N'),(28,7293810,'1',999,'N'),(28,7293828,'1',999,'N'),(28,7293836,'1',103,'N'),(28,7293844,'1',415,'N'),(28,7293860,'1',211,'N'),(28,7293860,'1A',201,'N'),(28,7293887,'1',301,'N'),(28,7293895,'1',103,'N'),(28,7293909,'1',201,'N'),(28,7293909,'1A',214,'N'),(28,7293925,'1',103,'N'),(28,7293933,'1',203,'N'),(28,7293933,'1A',214,'N'),(28,7293941,'1',333,'N'),(28,7293968,'1',216,'N'),(28,7293968,'1A',215,'N'),(28,7293976,'1',103,'N'),(28,7293984,'1',201,'N'),(28,7293984,'1A',213,'N'),(28,7294000,'1',211,'N'),(28,7294000,'1A',201,'N'),(28,7294018,'1',216,'N'),(28,7294026,'1',211,'N'),(28,7294026,'1A',212,'N'),(28,7294034,'1',103,'N'),(28,7294042,'1',230,'N'),(28,7294050,'1',308,'N'),(28,7294093,'1',316,'N'),(28,7294107,'1',999,'N'),(28,7294115,'1',503,'N'),(28,7294123,'1',340,'N'),(28,7294131,'1',655,'N'),(28,7294131,'1A',653,'N'),(28,7294158,'1',201,'N'),(28,7294158,'1A',233,'N'),(28,7294166,'1',302,'N'),(28,7294174,'1',201,'N'),(28,7294174,'1A',207,'N'),(28,7294182,'1',103,'N'),(28,7294190,'1',108,'N'),(28,7294204,'1',103,'N'),(28,7294220,'1',211,'N'),(28,7294220,'1A',207,'N'),(28,7294239,'1',216,'N'),(28,7294239,'1A',207,'N'),(28,7294247,'1',103,'N'),(28,7294263,'1',103,'N'),(28,7294271,'1',999,'N'),(28,7294280,'1',454,'N'),(28,7294301,'1',415,'N'),(28,7294310,'1',425,'N'),(28,7294310,'1A',423,'N'),(28,7294328,'1',201,'N'),(28,7294328,'1A',601,'N'),(28,7294336,'1',103,'N'),(28,7294352,'1',201,'N'),(28,7294352,'1A',212,'N'),(28,7294379,'1',451,'N'),(28,7294387,'1',212,'N'),(28,7294387,'1A',238,'N'),(28,7294395,'1',340,'N'),(28,7294409,'1',5,'N'),(28,7294417,'1',103,'N'),(28,7294425,'1',5,'N'),(28,7294433,'1',308,'N'),(28,7294441,'1',235,'N'),(28,7294441,'1A',233,'N'),(28,7294450,'1',319,'N'),(28,7294468,'1',207,'N'),(28,7294468,'1A',652,'N'),(28,7294476,'1',552,'N'),(28,7294484,'1',201,'N'),(28,7294484,'1A',203,'N'),(28,7294492,'1',207,'N'),(28,7294492,'1A',211,'N'),(28,7294506,'1',224,'N'),(28,7294514,'1',110,'N'),(28,7294530,'1',454,'N'),(28,7294549,'1',207,'N'),(28,7294549,'1A',201,'N'),(28,7294557,'1',318,'N'),(28,7294565,'1',999,'N'),(28,7294573,'1',103,'N'),(28,7294581,'1',327,'N'),(28,7294611,'1',309,'N'),(28,7294620,'1',103,'N'),(28,7294638,'1',999,'N'),(28,7294646,'1',303,'N'),(28,7294654,'1',303,'N'),(28,7294662,'1',201,'N'),(28,7294662,'1A',601,'N'),(28,7294670,'1',214,'N'),(28,7294670,'1A',203,'N'),(28,7294689,'1',103,'N'),(28,7294697,'1',108,'N'),(28,7294700,'1',230,'N'),(28,7294719,'1',203,'N'),(28,7294719,'1A',235,'N'),(28,7294727,'1',102,'N'),(28,7294743,'1',337,'N'),(28,7294751,'1',103,'N'),(28,7294760,'1',332,'N'),(28,7294778,'1',203,'N'),(28,7294778,'1A',220,'N'),(28,7294786,'1',339,'N'),(28,7294794,'1',214,'N'),(28,7294794,'1A',213,'N'),(28,7294808,'1',428,'N'),(28,7294808,'1A',429,'N'),(28,7294816,'1',103,'N'),(28,7294824,'1',103,'N'),(28,7294832,'1',316,'N'),(28,7294840,'1',450,'N'),(28,7294859,'1',103,'N'),(28,7294867,'1',999,'N'),(28,7294875,'1',5,'N'),(28,7294883,'1',207,'N'),(28,7294883,'1A',213,'N'),(28,7294891,'1',303,'N'),(28,7294913,'1',654,'N'),(28,7294921,'1',213,'N'),(28,7294921,'1A',238,'N'),(28,7294930,'1',5,'N'),(28,7294948,'1',211,'N'),(28,7294948,'1A',215,'N'),(28,7294956,'1',103,'N'),(28,7294964,'1',601,'N'),(28,7294964,'1A',207,'N'),(28,7294972,'1',214,'N'),(28,7294972,'1A',213,'N'),(28,7294980,'1',450,'N'),(28,7294999,'1',104,'N'),(28,7295006,'1',214,'N'),(28,7295006,'1A',212,'N'),(28,7295022,'1',303,'N'),(28,7295030,'1',326,'N'),(28,7295049,'1',220,'N'),(28,7295049,'1A',213,'N'),(28,7295057,'1',340,'N'),(28,7295065,'1',450,'N'),(28,7295073,'1',201,'N'),(28,7295073,'1A',207,'N'),(28,7295090,'1',203,'N'),(28,7295090,'1A',220,'N'),(28,7295103,'1',654,'N'),(28,7295111,'1',104,'N'),(28,7295120,'1',601,'N'),(28,7295120,'1A',207,'N'),(28,7295138,'1',415,'N'),(28,7295154,'1',108,'N'),(28,7295162,'1',303,'N'),(28,7295170,'1',104,'N'),(28,7295189,'1',103,'N'),(28,7295197,'1',303,'N'),(28,7295219,'1',110,'N'),(28,7295227,'1',203,'N'),(28,7295227,'1A',214,'N'),(28,7295235,'1',103,'N'),(28,7295251,'1',5,'N'),(28,7295260,'1',5,'N'),(28,7295278,'1',303,'N'),(28,7295308,'1',201,'N'),(28,7295324,'1',103,'N'),(28,7295332,'1',104,'N'),(28,7295375,'1',203,'N'),(28,7295375,'1A',233,'N'),(28,7295405,'1',201,'N'),(28,7295405,'1A',233,'N'),(28,7295421,'1',102,'N'),(28,7295430,'1',316,'N'),(28,7295448,'1',653,'N'),(28,7295448,'1A',652,'N'),(28,7295456,'1',103,'N'),(28,7295464,'1',103,'N'),(28,7295472,'1',5,'N'),(28,7295480,'1',317,'N'),(28,7295502,'1',203,'N'),(28,7295502,'1A',220,'N'),(28,7295510,'1',103,'N'),(28,7295545,'1',216,'N'),(28,7295545,'1A',233,'N'),(28,7295553,'1',3,'N'),(28,7295561,'1',337,'N'),(28,7295570,'1',339,'N'),(28,7295588,'1',103,'N'),(28,7295596,'1',303,'N'),(28,7295600,'1',319,'N'),(28,7295618,'1',653,'N'),(28,7295618,'1A',655,'N'),(28,7295626,'1',429,'N'),(28,7295626,'1A',425,'N'),(28,7295634,'1',233,'N'),(28,7295634,'1A',238,'N'),(28,7295642,'1',551,'N'),(28,7295669,'1',109,'N'),(28,7295677,'1',303,'N'),(28,7295685,'1',103,'N'),(28,7295693,'1',233,'N'),(28,7295693,'1A',601,'N'),(28,7295707,'1',318,'N'),(28,7295715,'1',212,'N'),(28,7295715,'1A',201,'N'),(28,7295723,'1',109,'N'),(28,7295731,'1',103,'N'),(28,7295740,'1',220,'N'),(28,7295740,'1A',202,'N'),(28,7295758,'1',207,'N'),(28,7295758,'1A',211,'N'),(28,7295766,'1',225,'N'),(28,7295774,'1',336,'N'),(28,7295782,'1',303,'N'),(28,7295790,'1',203,'N'),(28,7295790,'1A',233,'N'),(28,7295804,'1',444,'N'),(28,7295812,'1',302,'N'),(28,7295820,'1',302,'N'),(28,7295839,'1',203,'N'),(28,7295839,'1A',214,'N'),(28,7295847,'1',103,'N'),(28,7295855,'1',103,'N'),(28,7295863,'1',103,'N'),(28,7295871,'1',225,'N'),(28,7295880,'1',238,'N'),(28,7295898,'1',301,'N'),(28,7295901,'1',301,'N'),(28,7295910,'1',203,'N'),(28,7295910,'1A',220,'N'),(28,7295928,'1',103,'N'),(28,7295944,'1',303,'N'),(28,7295952,'1',601,'N'),(28,7295952,'1A',203,'N'),(28,7295979,'1',415,'N'),(28,7295987,'1',201,'N'),(28,7295987,'1A',212,'N'),(28,7295995,'1',238,'N'),(28,7295995,'1A',203,'N'),(28,7296002,'1',207,'N'),(28,7296002,'1A',201,'N'),(28,7296010,'1',207,'N'),(28,7296010,'1A',201,'N'),(28,7296029,'1',102,'N'),(28,7296045,'1',5,'N'),(28,7296053,'1',224,'N'),(28,7296061,'1',303,'N'),(28,7296070,'1',104,'N'),(28,7296088,'1',201,'N'),(28,7296088,'1A',212,'N'),(28,7296096,'1',208,'N'),(28,7296118,'1',220,'N'),(28,7296118,'1A',203,'N'),(28,7296126,'1',202,'N'),(28,7296126,'1A',238,'N'),(28,7296134,'1',333,'N'),(28,7296142,'1',225,'N'),(28,7296150,'1',109,'N'),(28,7296169,'1',103,'N'),(28,7296185,'1',336,'N'),(28,7296193,'1',103,'N'),(28,7296207,'1',450,'N'),(28,7296215,'1',207,'N'),(28,7296215,'1A',201,'N'),(28,7296223,'1',233,'N'),(28,7296223,'1A',238,'N'),(28,7296231,'1',999,'N'),(28,7296240,'1',415,'N'),(28,7296258,'1',654,'N'),(28,7296266,'1',316,'N'),(28,7296274,'1',415,'N'),(28,7296282,'1',9,'N'),(28,7296290,'1',319,'N'),(28,7296304,'1',103,'N'),(28,7296312,'1',220,'N'),(28,7296312,'1A',202,'N'),(28,7296320,'1',336,'N'),(28,7296339,'1',308,'N'),(28,7296347,'1',415,'N'),(28,7296355,'1',103,'N'),(28,7296363,'1',302,'N'),(28,7296371,'1',235,'N'),(28,7296371,'1A',655,'N'),(28,7296380,'1',552,'N'),(28,7296401,'1',202,'N'),(28,7296401,'1A',235,'N'),(28,7296428,'1',102,'N'),(28,7296436,'1',216,'N'),(28,7296436,'1A',233,'N'),(28,7296444,'1',103,'N'),(28,7296460,'1',216,'N'),(28,7296460,'1A',214,'N'),(28,7296479,'1',655,'N'),(28,7296479,'1A',652,'N'),(28,7296487,'1',207,'N'),(28,7296487,'1A',235,'N'),(28,7296495,'1',207,'N'),(28,7296495,'1A',235,'N'),(28,7296509,'1',103,'N'),(28,7296517,'1',654,'N'),(28,7296525,'1',214,'N'),(28,7296525,'1A',216,'N'),(28,7296533,'1',207,'N'),(28,7296541,'1',208,'N'),(28,7296550,'1',203,'N'),(28,7296550,'1A',235,'N'),(28,7296568,'1',103,'N'),(28,7296576,'1',601,'N'),(28,7296576,'1A',201,'N'),(28,7296592,'1',212,'N'),(28,7296592,'1A',211,'N'),(28,7296606,'1',9,'N'),(28,7296622,'1',501,'N'),(28,7296630,'1',103,'N'),(28,7296649,'1',104,'N'),(28,7296681,'1',301,'N'),(28,7296690,'1',216,'N'),(28,7296690,'1A',201,'N'),(28,7296703,'1',103,'N'),(28,7296720,'1',451,'N'),(28,7296738,'1',421,'N'),(28,7296738,'1A',425,'N'),(28,7296746,'1',225,'N'),(28,7296754,'1',103,'N'),(28,7296762,'1',301,'N'),(28,7296789,'1',202,'N'),(28,7296789,'1A',653,'N'),(28,7296797,'1',319,'N'),(28,7296800,'1',104,'N'),(28,7296819,'1',103,'N'),(28,7296827,'1',415,'N'),(28,7296835,'1',220,'N'),(28,7296835,'1A',202,'N'),(28,7296851,'1',340,'N'),(28,7296860,'1',203,'N'),(28,7296860,'1A',214,'N'),(28,7296878,'1',302,'N'),(28,7296886,'1',999,'N'),(28,7296894,'1',101,'N'),(28,7296916,'1',216,'N'),(28,7296916,'1A',212,'N'),(28,7296924,'1',203,'N'),(28,7296924,'1A',202,'N'),(28,7296932,'1',444,'N'),(28,7296940,'1',340,'N'),(28,7296967,'1',201,'N'),(28,7296967,'1A',233,'N'),(28,7296975,'1',202,'N'),(28,7296983,'1',203,'N'),(28,7296983,'1A',213,'N'),(28,7296991,'1',213,'N'),(28,7296991,'1A',235,'N'),(28,7297009,'1',103,'N'),(28,7297017,'1',304,'N'),(28,7297025,'1',201,'N'),(28,7297025,'1A',216,'N'),(28,7297033,'1',319,'N'),(28,7297041,'1',207,'N'),(28,7297041,'1A',652,'N'),(28,7297068,'1',301,'N'),(28,7297076,'1',103,'N'),(28,7297084,'1',207,'N'),(28,7297084,'1A',201,'N'),(28,7297092,'1',326,'N'),(28,7297106,'1',233,'N'),(28,7297106,'1A',214,'N'),(28,7297114,'1',214,'N'),(28,7297114,'1A',212,'N'),(28,7297122,'1',103,'N'),(28,7297130,'1',207,'N'),(28,7297130,'1A',201,'N'),(28,7297149,'1',208,'N'),(28,7297157,'1',999,'N'),(28,7297165,'1',301,'N'),(28,7297181,'1',551,'N'),(28,7297190,'1',207,'N'),(28,7297190,'1A',211,'N'),(28,7297203,'1',103,'N'),(28,7297211,'1',108,'N'),(28,7297220,'1',103,'N'),(28,7297238,'1',415,'N'),(28,7297246,'1',215,'N'),(28,7297246,'1A',211,'N'),(28,7297254,'1',201,'N'),(28,7297254,'1A',207,'N'),(28,7297262,'1',303,'N'),(28,7297270,'1',202,'N'),(28,7297270,'1A',201,'N'),(28,7297289,'1',319,'N'),(28,7297297,'1',103,'N'),(28,7297300,'1',999,'N'),(28,7297319,'1',301,'N'),(28,7297335,'1',551,'N'),(28,7297343,'1',215,'N'),(28,7297343,'1A',207,'N'),(28,7297351,'1',454,'N'),(28,7297360,'1',999,'N'),(28,7297378,'1',103,'N'),(28,7297386,'1',203,'N'),(28,7297386,'1A',233,'N'),(28,7297394,'1',426,'N'),(28,7297394,'1A',429,'N'),(28,7297408,'1',203,'N'),(28,7297416,'1',201,'N'),(28,7297416,'1A',212,'N'),(28,7297424,'1',201,'N'),(28,7297424,'1A',207,'N'),(28,7297432,'1',308,'N'),(28,7297467,'1',103,'N'),(28,7297475,'1',234,'N'),(28,7297483,'1',319,'N'),(28,7297491,'1',5,'N'),(28,7297505,'1',425,'N'),(28,7297505,'1A',423,'N'),(28,7297513,'1',207,'N'),(28,7297513,'1A',601,'N'),(28,7297521,'1',316,'N'),(28,7297530,'1',316,'N'),(28,7297548,'1',340,'N'),(28,7297556,'1',601,'N'),(28,7297556,'1A',201,'N'),(28,7297580,'1',201,'N'),(28,7297599,'1',216,'N'),(28,7297599,'1A',215,'N'),(28,7297602,'1',324,'N'),(28,7297610,'1',103,'N'),(28,7297629,'1',203,'N'),(28,7297629,'1A',201,'N'),(28,7297637,'1',222,'N'),(28,7297645,'1',316,'N'),(28,7297661,'1',5,'N'),(28,7297670,'1',552,'N'),(28,7297688,'1',207,'N'),(28,7297688,'1A',212,'N'),(28,7297696,'1',415,'N'),(28,7297700,'1',211,'N'),(28,7297700,'1A',216,'N'),(28,7297718,'1',309,'N'),(28,7297726,'1',427,'N'),(28,7297726,'1A',424,'N'),(28,7297734,'1',319,'N'),(28,7297742,'1',308,'N'),(28,7297750,'1',5,'N'),(28,7297769,'1',454,'N'),(28,7297777,'1',103,'N'),(28,7297785,'1',308,'N'),(28,7297793,'1',215,'N'),(28,7297793,'1A',211,'N'),(28,7297807,'1',303,'N'),(28,7297823,'1',220,'N'),(28,7297823,'1A',238,'N'),(28,7297831,'1',552,'N'),(28,7297858,'1',103,'N'),(28,7297866,'1',336,'N'),(28,7297874,'1',5,'N'),(28,7297882,'1',302,'N'),(28,7297890,'1',238,'N'),(28,7297890,'1A',211,'N'),(28,7297904,'1',211,'N'),(28,7297904,'1A',213,'N'),(28,7297920,'1',103,'N'),(28,7297939,'1',336,'N'),(28,7297947,'1',303,'N'),(28,7297955,'1',201,'N'),(28,7297955,'1A',203,'N'),(28,7297971,'1',104,'N'),(28,7297980,'1',423,'N'),(28,7297980,'1A',428,'N'),(28,7297998,'1',103,'N'),(28,7298005,'1',304,'N'),(28,7298013,'1',104,'N'),(28,7298021,'1',9,'N'),(28,7298048,'1',451,'N'),(28,7298056,'1',104,'N'),(28,7298072,'1',316,'N'),(28,7298099,'1',201,'N'),(28,7298099,'1A',203,'N'),(28,7298110,'1',339,'N'),(28,7298129,'1',103,'N'),(28,7298137,'1',454,'N'),(28,7298145,'1',5,'N'),(28,7298153,'1',340,'N'),(28,7298161,'1',212,'N'),(28,7298161,'1A',211,'N'),(28,7298170,'1',551,'N'),(28,7298188,'1',103,'N'),(28,7298196,'1',653,'N'),(28,7298196,'1A',655,'N'),(28,7298218,'1',103,'N'),(28,7298226,'1',103,'N'),(28,7298234,'1',444,'N'),(28,7298242,'1',308,'N'),(28,7298250,'1',454,'N'),(28,7298269,'1',220,'N'),(28,7298269,'1A',653,'N'),(28,7298285,'1',999,'N'),(28,7298293,'1',207,'N'),(28,7298293,'1A',211,'N'),(28,7298307,'1',303,'N'),(28,7298315,'1',309,'N'),(28,7298323,'1',238,'N'),(28,7298323,'1A',653,'N'),(28,7298331,'1',102,'N'),(28,7298340,'1',216,'N'),(28,7298340,'1A',203,'N'),(28,7298358,'1',653,'N'),(28,7298358,'1A',655,'N'),(28,7298366,'1',238,'N'),(28,7298366,'1A',235,'N'),(28,7298374,'1',201,'N'),(28,7298374,'1A',203,'N'),(28,7298382,'1',309,'N'),(28,7298390,'1',316,'N'),(28,7298404,'1',340,'N'),(28,7298412,'1',303,'N'),(28,7298420,'1',335,'N'),(28,7298439,'1',301,'N'),(28,7298447,'1',220,'N'),(28,7298447,'1A',202,'N'),(28,7298455,'1',339,'N'),(28,7298463,'1',999,'N'),(28,7298471,'1',653,'N'),(28,7298471,'1A',201,'N'),(28,7298480,'1',238,'N'),(28,7298480,'1A',213,'N'),(28,7298498,'1',340,'N'),(28,7298501,'1',207,'N'),(28,7298501,'1A',201,'N'),(28,7298510,'1',5,'N'),(28,7298536,'1',203,'N'),(28,7298536,'1A',214,'N'),(28,7298544,'1',103,'N'),(28,7298552,'1',304,'N'),(28,7298579,'1',201,'N'),(28,7298595,'1',207,'N'),(28,7298595,'1A',203,'N'),(28,7298617,'1',3,'N'),(28,7298625,'1',501,'N'),(28,7298633,'1',208,'N'),(28,7298641,'1',5,'N'),(28,7298650,'1',454,'N'),(28,7298668,'1',301,'N'),(28,7298692,'1',207,'N'),(28,7298692,'1A',211,'N'),(28,7298706,'1',999,'N'),(28,7298714,'1',303,'N'),(28,7298722,'1',339,'N'),(28,7298730,'1',103,'N'),(28,7298749,'1',203,'N'),(28,7298749,'1A',214,'N'),(28,7298757,'1',203,'N'),(28,7298757,'1A',202,'N'),(28,7298765,'1',207,'N'),(28,7298765,'1A',201,'N'),(28,7298781,'1',103,'N'),(28,7298790,'1',308,'N'),(28,7298811,'1',309,'N'),(28,7298820,'1',425,'N'),(28,7298820,'1A',426,'N'),(28,7298846,'1',213,'N'),(28,7298846,'1A',238,'N'),(28,7298854,'1',220,'N'),(28,7298854,'1A',235,'N'),(28,7298862,'1',201,'N'),(28,7298862,'1A',233,'N'),(28,7298889,'1',216,'N'),(28,7298889,'1A',215,'N'),(28,7298900,'1',404,'N'),(28,7298919,'1',653,'N'),(28,7298919,'1A',202,'N'),(28,7298927,'1',454,'N'),(28,7298935,'1',216,'N'),(28,7298935,'1A',211,'N'),(28,7298943,'1',301,'N'),(28,7298951,'1',999,'N'),(28,7298960,'1',340,'N'),(28,7298978,'1',454,'N'),(28,7298986,'1',103,'N'),(28,7298994,'1',207,'N'),(28,7299001,'1',103,'N'),(28,7299010,'1',303,'N'),(28,7299036,'1',303,'N'),(28,7299044,'1',225,'N'),(28,7299052,'1',102,'N'),(28,7299060,'1',999,'N'),(28,7299087,'1',201,'N'),(28,7299087,'1A',233,'N'),(28,7299095,'1',308,'N'),(28,7299117,'1',301,'N'),(28,7299125,'1',5,'N'),(28,7299133,'1',552,'N'),(28,7299141,'1',552,'N'),(28,7299150,'1',103,'N'),(28,7299168,'1',999,'N'),(28,7299176,'1',303,'N'),(28,7299184,'1',5,'N'),(28,7299206,'1',444,'N'),(28,7299214,'1',319,'N'),(28,7299222,'1',103,'N'),(28,7299230,'1',601,'N'),(28,7299230,'1A',201,'N'),(28,7299249,'1',552,'N'),(28,7299257,'1',655,'N'),(28,7299257,'1A',653,'N'),(28,7299265,'1',9,'N'),(28,7299273,'1',5,'N'),(28,7299281,'1',9,'N'),(28,7299290,'1',999,'N'),(28,7299303,'1',3,'N'),(28,7299311,'1',601,'N'),(28,7299311,'1A',214,'N'),(28,7299320,'1',201,'N'),(28,7299320,'1A',207,'N'),(28,7299338,'1',653,'N'),(28,7299338,'1A',652,'N'),(28,7299346,'1',327,'N'),(28,7299354,'1',426,'N'),(28,7299370,'1',203,'N'),(28,7299370,'1A',201,'N'),(28,7299400,'1',317,'N'),(28,7299419,'1',999,'N'),(28,7299427,'1',601,'N'),(28,7299427,'1A',652,'N'),(28,7299435,'1',103,'N'),(28,7299443,'1',318,'N'),(28,7299451,'1',601,'N'),(28,7299451,'1A',202,'N'),(28,7299460,'1',207,'N'),(28,7299460,'1A',203,'N'),(28,7299486,'1',215,'N'),(28,7299486,'1A',216,'N'),(28,7299508,'1',207,'N'),(28,7299508,'1A',202,'N'),(28,7299516,'1',333,'N'),(28,7299524,'1',238,'N'),(28,7299524,'1A',214,'N'),(28,7299532,'1',235,'N'),(28,7299532,'1A',213,'N'),(28,7299540,'1',319,'N'),(28,7299559,'1',999,'N'),(28,7299567,'1',211,'N'),(28,7299567,'1A',207,'N'),(28,7299575,'1',103,'N'),(28,7299583,'1',551,'N'),(28,7299591,'1',444,'N'),(28,7299605,'1',233,'N'),(28,7299605,'1A',215,'N'),(28,7299613,'1',104,'N'),(28,7299621,'1',9,'N'),(28,7299648,'1',425,'N'),(28,7299648,'1A',423,'N'),(28,7299656,'1',216,'N'),(28,7299656,'1A',213,'N'),(28,7299664,'1',653,'N'),(28,7299664,'1A',652,'N'),(28,7299680,'1',211,'N'),(28,7299680,'1A',212,'N'),(28,7299702,'1',207,'N'),(28,7299702,'1A',201,'N'),(28,7299710,'1',329,'N'),(28,7299729,'1',203,'N'),(28,7299729,'1A',216,'N'),(28,7299737,'1',601,'N'),(28,7299737,'1A',238,'N'),(28,7299745,'1',501,'N'),(28,7299753,'1',340,'N'),(28,7299761,'1',110,'N'),(28,7299796,'1',304,'N'),(28,7299800,'1',451,'N'),(28,7299818,'1',454,'N'),(28,7299826,'1',316,'N'),(28,7299842,'1',601,'N'),(28,7299850,'1',230,'N'),(28,7299869,'1',426,'N'),(28,7299869,'1A',429,'N'),(28,7299877,'1',999,'N'),(28,7299885,'1',999,'N'),(28,7299893,'1',103,'N'),(28,7299907,'1',303,'N'),(28,7299915,'1',444,'N'),(28,7299923,'1',212,'N'),(28,7299923,'1A',601,'N'),(28,7299940,'1',9,'N'),(28,7299958,'1',238,'N'),(28,7299958,'1A',215,'N'),(28,7299966,'1',103,'N'),(28,7299982,'1',207,'N'),(28,7299990,'1',208,'N'),(28,7300000,'1',303,'N'),(28,7300026,'1',340,'N'),(28,7300034,'1',333,'N'),(28,7300042,'1',103,'N'),(28,7300050,'1',327,'N'),(28,7300069,'1',999,'N'),(28,7300077,'1',319,'N'),(28,7300085,'1',103,'N'),(28,7300107,'1',207,'N'),(28,7300107,'1A',201,'N'),(28,7300115,'1',5,'N'),(28,7300123,'1',309,'N'),(28,7300131,'1',339,'N'),(28,7300140,'1',308,'N'),(28,7300158,'1',103,'N'),(28,7300166,'1',5,'N'),(28,7300174,'1',339,'N'),(28,7300182,'1',104,'N'),(28,7300190,'1',317,'N'),(28,7300204,'1',331,'N'),(28,7300212,'1',319,'N'),(28,7300220,'1',501,'N'),(28,7300239,'1',103,'N'),(28,7300247,'1',339,'N'),(28,7300255,'1',207,'N'),(28,7300255,'1A',201,'N'),(28,7300263,'1',213,'N'),(28,7300263,'1A',214,'N'),(28,7300271,'1',103,'N'),(28,7300280,'1',110,'N'),(28,7300298,'1',9,'N'),(28,7300301,'1',101,'N'),(28,7300310,'1',103,'N'),(28,7300328,'1',303,'N'),(28,7300336,'1',103,'N'),(28,7300344,'1',999,'N'),(28,7300352,'1',303,'N'),(28,7300360,'1',302,'N'),(28,7300379,'1',102,'N'),(28,7300395,'1',441,'N'),(28,7300409,'1',102,'N'),(28,7300417,'1',216,'N'),(28,7300417,'1A',233,'N'),(28,7300425,'1',454,'N'),(28,7300433,'1',220,'N'),(28,7300433,'1A',201,'N'),(28,7300450,'1',318,'N'),(28,7300468,'1',421,'N'),(28,7300476,'1',103,'N'),(28,7300484,'1',103,'N'),(28,7300492,'1',999,'N'),(28,7300506,'1',552,'N'),(28,7300514,'1',207,'N'),(28,7300514,'1A',201,'N'),(28,7300522,'1',201,'N'),(28,7300522,'1A',211,'N'),(28,7300530,'1',220,'N'),(28,7300530,'1A',601,'N'),(28,7300549,'1',207,'N'),(28,7300549,'1A',233,'N'),(28,7300557,'1',318,'N'),(28,7300573,'1',426,'N'),(28,7300573,'1A',428,'N'),(28,7300581,'1',104,'N'),(28,7300590,'1',102,'N'),(28,7300603,'1',211,'N'),(28,7300603,'1A',215,'N'),(28,7300611,'1',233,'N'),(28,7300611,'1A',220,'N'),(28,7300620,'1',103,'N'),(28,7300654,'1',216,'N'),(28,7300654,'1A',207,'N'),(28,7300662,'1',203,'N'),(28,7300662,'1A',202,'N'),(28,7300670,'1',318,'N'),(28,7300700,'1',425,'N'),(28,7300700,'1A',423,'N'),(28,7300719,'1',203,'N'),(28,7300719,'1A',220,'N'),(28,7300727,'1',203,'N'),(28,7300727,'1A',214,'N'),(28,7300735,'1',317,'N'),(28,7300751,'1',304,'N'),(28,7300760,'1',103,'N'),(28,7300786,'1',203,'N'),(28,7300786,'1A',220,'N'),(28,7300808,'1',316,'N'),(28,7300816,'1',301,'N'),(28,7300832,'1',103,'N'),(28,7300859,'1',303,'N'),(28,7300875,'1',207,'N'),(28,7300875,'1A',201,'N'),(28,7300905,'1',999,'N'),(28,7300913,'1',103,'N'),(28,7300921,'1',308,'N'),(28,7300930,'1',103,'N'),(28,7300948,'1',201,'N'),(28,7300948,'1A',207,'N'),(28,7300964,'1',103,'N'),(28,7300972,'1',104,'N'),(28,7300980,'1',103,'N'),(28,7301014,'1',233,'N'),(28,7301014,'1A',216,'N'),(28,7301022,'1',104,'N'),(28,7301030,'1',214,'N'),(28,7301030,'1A',203,'N'),(28,7301049,'1',201,'N'),(28,7301049,'1A',211,'N'),(28,7301065,'1',103,'N'),(28,7301073,'1',201,'N'),(28,7301073,'1A',212,'N'),(28,7301090,'1',444,'N'),(28,7301103,'1',103,'N'),(28,7301111,'1',340,'N'),(28,7301120,'1',207,'N'),(28,7301120,'1A',201,'N'),(28,7301138,'1',415,'N'),(28,7301146,'1',999,'N'),(28,7301154,'1',308,'N'),(28,7301162,'1',220,'N'),(28,7301162,'1A',203,'N'),(28,7301170,'1',301,'N'),(28,7301189,'1',212,'N'),(28,7301197,'1',503,'N'),(28,7301200,'1',319,'N'),(28,7301219,'1',201,'N'),(28,7301219,'1A',220,'N'),(28,7301227,'1',222,'N'),(28,7301235,'1',201,'N'),(28,7301235,'1A',207,'N'),(28,7301243,'1',103,'N'),(28,7301251,'1',103,'N'),(28,7301278,'1',220,'N'),(28,7301278,'1A',203,'N'),(28,7301286,'1',318,'N'),(28,7301308,'1',317,'N'),(28,7301316,'1',208,'N'),(28,7301324,'1',201,'N'),(28,7301324,'1A',207,'N'),(28,7301332,'1',207,'N'),(28,7301332,'1A',213,'N'),(28,7301340,'1',454,'N'),(28,7301359,'1',601,'N'),(28,7301359,'1A',216,'N'),(28,7301367,'1',9,'N'),(28,7301375,'1',316,'N'),(28,7301391,'1',340,'N'),(28,7301405,'1',9,'N'),(28,7301413,'1',108,'N'),(28,7301421,'1',501,'N'),(28,7301430,'1',238,'N'),(28,7301430,'1A',235,'N'),(28,7301448,'1',454,'N'),(28,7301456,'1',318,'N'),(28,7301464,'1',552,'N'),(28,7301472,'1',5,'N'),(28,7301480,'1',220,'N'),(28,7301480,'1A',238,'N'),(28,7301499,'1',454,'N'),(28,7301502,'1',203,'N'),(28,7301502,'1A',233,'N'),(28,7301510,'1',216,'N'),(28,7301510,'1A',215,'N'),(28,7301529,'1',415,'N'),(28,7301537,'1',202,'N'),(28,7301537,'1A',235,'N'),(28,7301553,'1',317,'N'),(28,7301588,'1',207,'N'),(28,7301588,'1A',201,'N'),(28,7301596,'1',304,'N'),(28,7301600,'1',104,'N'),(28,7301618,'1',450,'N'),(28,7301626,'1',201,'N'),(28,7301626,'1A',215,'N'),(28,7301634,'1',444,'N'),(28,7301642,'1',340,'N'),(28,7301650,'1',425,'N'),(28,7301650,'1A',423,'N'),(28,7301669,'1',331,'N'),(28,7301677,'1',208,'N'),(28,7301685,'1',552,'N'),(28,7301693,'1',429,'N'),(28,7301693,'1A',425,'N'),(28,7301707,'1',103,'N'),(28,7301715,'1',201,'N'),(28,7301715,'1A',207,'N'),(28,7301740,'1',208,'N'),(28,7301758,'1',340,'N'),(28,7301766,'1',317,'N'),(28,7301774,'1',110,'N'),(28,7301782,'1',208,'N'),(28,7301804,'1',304,'N'),(28,7301812,'1',202,'N'),(28,7301820,'1',415,'N'),(28,7301839,'1',415,'N'),(28,7301847,'1',201,'N'),(28,7301847,'1A',212,'N'),(28,7301855,'1',201,'N'),(28,7301855,'1A',212,'N'),(28,7301863,'1',101,'N'),(28,7301871,'1',336,'N'),(28,7301880,'1',203,'N'),(28,7301880,'1A',601,'N'),(28,7301901,'1',216,'N'),(28,7301901,'1A',211,'N'),(28,7301910,'1',454,'N'),(28,7301936,'1',454,'N'),(28,7301952,'1',201,'N'),(28,7301952,'1A',601,'N'),(28,7301960,'1',103,'N'),(28,7301987,'1',235,'N'),(28,7301987,'1A',238,'N'),(28,7301995,'1',601,'N'),(28,7301995,'1A',201,'N'),(28,7302010,'1',340,'N'),(28,7302037,'1',999,'N'),(28,7302045,'1',5,'N'),(28,7302053,'1',207,'N'),(28,7302053,'1A',216,'N'),(28,7302096,'1',336,'N'),(28,7302100,'1',340,'N'),(28,7302118,'1',999,'N'),(28,7302126,'1',214,'N'),(28,7302126,'1A',213,'N'),(28,7302134,'1',329,'N'),(28,7302150,'1',215,'N'),(28,7302150,'1A',207,'N'),(28,7302169,'1',654,'N'),(28,7302185,'1',303,'N'),(28,7302193,'1',201,'N'),(28,7302193,'1A',207,'N'),(28,7302207,'1',415,'N'),(28,7302231,'1',201,'N'),(28,7302231,'1A',653,'N'),(28,7302240,'1',238,'N'),(28,7302240,'1A',202,'N'),(28,7302258,'1',303,'N'),(28,7302266,'1',415,'N'),(28,7302274,'1',103,'N'),(28,7302290,'1',103,'N'),(28,7302304,'1',207,'N'),(28,7302304,'1A',235,'N'),(28,7302312,'1',108,'N'),(28,7302339,'1',103,'N'),(28,7302347,'1',319,'N'),(28,7302355,'1',404,'N'),(28,7302363,'1',5,'N'),(28,7302398,'1',451,'N'),(28,7302401,'1',203,'N'),(28,7302401,'1A',214,'N'),(28,7302410,'1',301,'N'),(28,7302428,'1',103,'N'),(28,7302436,'1',202,'N'),(28,7302436,'1A',235,'N'),(28,7302444,'1',203,'N'),(28,7302444,'1A',207,'N'),(28,7302452,'1',502,'N'),(28,7302460,'1',203,'N'),(28,7302460,'1A',216,'N'),(28,7302487,'1',999,'N'),(28,7302495,'1',303,'N'),(28,7302509,'1',238,'N'),(28,7302509,'1A',203,'N'),(28,7302517,'1',340,'N'),(28,7302533,'1',103,'N'),(28,7302550,'1',102,'N'),(28,7302568,'1',203,'N'),(28,7302568,'1A',214,'N'),(28,7302576,'1',211,'N'),(28,7302576,'1A',215,'N'),(28,7302584,'1',207,'N'),(28,7302614,'1',308,'N'),(28,7302622,'1',502,'N'),(28,7302630,'1',9,'N'),(28,7302649,'1',102,'N'),(28,7302657,'1',551,'N'),(28,7302665,'1',103,'N'),(28,7302673,'1',404,'N'),(28,7302681,'1',316,'N'),(28,7302690,'1',215,'N'),(28,7302690,'1A',216,'N'),(28,7302703,'1',999,'N'),(28,7302711,'1',203,'N'),(28,7302711,'1A',201,'N'),(28,7302746,'1',211,'N'),(28,7302746,'1A',215,'N'),(28,7302754,'1',5,'N'),(28,7302762,'1',303,'N'),(28,7302789,'1',551,'N'),(28,7302797,'1',652,'N'),(28,7302797,'1A',655,'N'),(28,7302800,'1',999,'N'),(28,7302819,'1',201,'N'),(28,7302819,'1A',655,'N'),(28,7302827,'1',329,'N'),(28,7302843,'1',213,'N'),(28,7302843,'1A',214,'N'),(28,7302851,'1',5,'N'),(28,7302860,'1',501,'N'),(28,7302894,'1',404,'N'),(28,7302908,'1',319,'N'),(28,7302916,'1',103,'N'),(28,7302932,'1',103,'N'),(28,7302940,'1',207,'N'),(28,7302940,'1A',233,'N'),(28,7302959,'1',654,'N'),(28,7302967,'1',426,'N'),(28,7302967,'1A',428,'N'),(28,7302975,'1',319,'N'),(28,7302983,'1',110,'N'),(28,7302991,'1',317,'N'),(28,7303009,'1',103,'N'),(28,7303017,'1',225,'N'),(28,7303025,'1',208,'N'),(28,7303033,'1',444,'N'),(28,7303041,'1',103,'N'),(28,7303050,'1',999,'N'),(28,7303068,'1',9,'N'),(28,7303076,'1',415,'N'),(28,7303084,'1',207,'N'),(28,7303084,'1A',201,'N'),(28,7303092,'1',104,'N'),(28,7303106,'1',3,'N'),(28,7303114,'1',207,'N'),(28,7303114,'1A',601,'N'),(28,7303130,'1',216,'N'),(28,7303130,'1A',203,'N'),(28,7303149,'1',318,'N'),(28,7303157,'1',201,'N'),(28,7303157,'1A',211,'N'),(28,7303165,'1',444,'N'),(28,7303173,'1',201,'N'),(28,7303173,'1A',220,'N'),(28,7303181,'1',222,'N'),(28,7303190,'1',316,'N'),(28,7303203,'1',103,'N'),(28,7303211,'1',454,'N'),(28,7303220,'1',104,'N'),(28,7303238,'1',308,'N'),(28,7303246,'1',103,'N'),(28,7303254,'1',601,'N'),(28,7303254,'1A',201,'N'),(28,7303262,'1',238,'N'),(28,7303262,'1A',652,'N'),(28,7303270,'1',202,'N'),(28,7303270,'1A',207,'N'),(28,7303289,'1',201,'N'),(28,7303289,'1A',213,'N'),(28,7303297,'1',339,'N'),(28,7303300,'1',332,'N'),(28,7303319,'1',653,'N'),(28,7303319,'1A',652,'N'),(28,7303335,'1',340,'N'),(28,7303378,'1',301,'N'),(28,7303386,'1',103,'N'),(28,7303408,'1',301,'N'),(28,7303424,'1',207,'N'),(28,7303424,'1A',201,'N'),(28,7303432,'1',108,'N'),(28,7303440,'1',201,'N'),(28,7303440,'1A',233,'N'),(28,7303459,'1',103,'N'),(28,7303467,'1',454,'N'),(28,7303475,'1',5,'N'),(28,7303483,'1',208,'N'),(28,7303491,'1',203,'N'),(28,7303491,'1A',235,'N'),(28,7303505,'1',404,'N'),(28,7303513,'1',415,'N'),(28,7303530,'1',552,'N'),(28,7303548,'1',220,'N'),(28,7303548,'1A',235,'N'),(28,7303564,'1',318,'N'),(28,7303572,'1',454,'N'),(28,7303580,'1',220,'N'),(28,7303580,'1A',238,'N'),(28,7303599,'1',601,'N'),(28,7303610,'1',444,'N'),(28,7303637,'1',212,'N'),(28,7303637,'1A',233,'N'),(28,7303653,'1',302,'N'),(28,7303661,'1',415,'N'),(28,7303670,'1',303,'N'),(28,7303688,'1',207,'N'),(28,7303688,'1A',233,'N'),(28,7303696,'1',5,'N'),(28,7303700,'1',653,'N'),(28,7303700,'1A',655,'N'),(28,7303718,'1',309,'N'),(28,7303726,'1',317,'N'),(28,7303742,'1',109,'N'),(28,7303750,'1',601,'N'),(28,7303750,'1A',220,'N'),(28,7303777,'1',202,'N'),(28,7303777,'1A',655,'N'),(28,7303793,'1',208,'N'),(28,7303807,'1',201,'N'),(28,7303807,'1A',207,'N'),(28,7303815,'1',207,'N'),(28,7303815,'1A',211,'N'),(28,7303823,'1',216,'N'),(28,7303823,'1A',653,'N'),(28,7303831,'1',216,'N'),(28,7303831,'1A',213,'N'),(28,7303840,'1',207,'N'),(28,7303840,'1A',201,'N'),(28,7303890,'1',9,'N'),(28,7303904,'1',110,'N'),(28,7303912,'1',102,'N'),(28,7303920,'1',303,'N'),(28,7303939,'1',211,'N'),(28,7303939,'1A',213,'N'),(28,7303947,'1',216,'N'),(28,7303947,'1A',211,'N'),(28,7303955,'1',104,'N'),(28,7303963,'1',201,'N'),(28,7303963,'1A',212,'N'),(28,7303971,'1',501,'N'),(28,7303980,'1',999,'N'),(28,7303998,'1',302,'N'),(28,7304005,'1',207,'N'),(28,7304005,'1A',201,'N'),(28,7304013,'1',999,'N'),(28,7304030,'1',201,'N'),(28,7304030,'1A',207,'N'),(28,7304048,'1',238,'N'),(28,7304048,'1A',235,'N'),(28,7304056,'1',999,'N'),(28,7304064,'1',103,'N'),(28,7304080,'1',108,'N'),(28,7304099,'1',5,'N'),(28,7304102,'1',202,'N'),(28,7304102,'1A',216,'N'),(28,7304110,'1',333,'N'),(28,7304129,'1',103,'N'),(28,7304137,'1',601,'N'),(28,7304137,'1A',203,'N'),(28,7304145,'1',207,'N'),(28,7304145,'1A',201,'N'),(28,7304153,'1',308,'N'),(28,7304170,'1',601,'N'),(28,7304170,'1A',652,'N'),(28,7304188,'1',424,'N'),(28,7304188,'1A',423,'N'),(28,7304196,'1',207,'N'),(28,7304196,'1A',201,'N'),(28,7304218,'1',103,'N'),(28,7304226,'1',654,'N'),(28,7304234,'1',211,'N'),(28,7304234,'1A',215,'N'),(28,7304277,'1',427,'N'),(28,7304285,'1',308,'N'),(28,7304293,'1',103,'N'),(28,7304307,'1',454,'N'),(28,7304323,'1',302,'N'),(28,7304331,'1',108,'N'),(28,7304340,'1',303,'N'),(28,7304366,'1',101,'N'),(28,7304374,'1',340,'N'),(28,7304390,'1',207,'N'),(28,7304390,'1A',201,'N'),(28,7304404,'1',103,'N'),(28,7304412,'1',203,'N'),(28,7304412,'1A',235,'N'),(28,7304420,'1',110,'N'),(28,7304439,'1',653,'N'),(28,7304439,'1A',601,'N'),(28,7304447,'1',339,'N'),(28,7304455,'1',552,'N'),(28,7304480,'1',201,'N'),(28,7304480,'1A',215,'N'),(28,7304498,'1',319,'N'),(28,7304501,'1',220,'N'),(28,7304501,'1A',203,'N'),(28,7304528,'1',203,'N'),(28,7304528,'1A',201,'N'),(28,7304536,'1',211,'N'),(28,7304536,'1A',215,'N'),(28,7304544,'1',110,'N'),(28,7304552,'1',450,'N'),(28,7304560,'1',309,'N'),(28,7304595,'1',317,'N'),(28,7304609,'1',102,'N'),(28,7304617,'1',404,'N'),(28,7304625,'1',320,'N'),(28,7304650,'1',336,'N'),(28,7304668,'1',503,'N'),(28,7304676,'1',213,'N'),(28,7304676,'1A',235,'N'),(28,7304692,'1',451,'N'),(28,7304749,'1',104,'N'),(28,7304757,'1',203,'N'),(28,7304757,'1A',214,'N'),(28,7304765,'1',415,'N'),(28,7304773,'1',318,'N'),(28,7304781,'1',208,'N'),(28,7304790,'1',202,'N'),(28,7304790,'1A',233,'N'),(28,7304811,'1',444,'N'),(28,7304820,'1',201,'N'),(28,7304820,'1A',212,'N'),(28,7304854,'1',104,'N'),(28,7304862,'1',454,'N'),(28,7304870,'1',999,'N'),(28,7304889,'1',340,'N'),(28,7304897,'1',339,'N'),(28,7304900,'1',654,'N'),(28,7304919,'1',203,'N'),(28,7304919,'1A',601,'N'),(28,7304927,'1',301,'N'),(28,7304935,'1',101,'N'),(28,7304943,'1',201,'N'),(28,7304943,'1A',213,'N'),(28,7304951,'1',201,'N'),(28,7304951,'1A',207,'N'),(28,7304960,'1',103,'N'),(28,7304978,'1',501,'N'),(28,7304986,'1',454,'N'),(28,7304994,'1',326,'N'),(28,7305001,'1',340,'N'),(28,7305010,'1',211,'N'),(28,7305010,'1A',201,'N'),(28,7305028,'1',425,'N'),(28,7305028,'1A',424,'N'),(28,7305036,'1',103,'N'),(28,7305044,'1',213,'N'),(28,7305044,'1A',235,'N'),(28,7305052,'1',301,'N'),(28,7305060,'1',103,'N'),(28,7305079,'1',208,'N'),(28,7305087,'1',203,'N'),(28,7305087,'1A',214,'N'),(28,7305095,'1',109,'N'),(28,7305109,'1',552,'N'),(28,7305125,'1',328,'N'),(28,7305133,'1',207,'N'),(28,7305133,'1A',214,'N'),(28,7305141,'1',444,'N'),(28,7305168,'1',999,'N'),(28,7305176,'1',203,'N'),(28,7305176,'1A',653,'N'),(28,7305184,'1',108,'N'),(28,7305206,'1',301,'N'),(28,7305214,'1',303,'N'),(28,7305222,'1',103,'N'),(28,7305230,'1',319,'N'),(28,7305249,'1',318,'N'),(28,7305257,'1',208,'N'),(28,7305265,'1',201,'N'),(28,7305265,'1A',207,'N'),(28,7305273,'1',203,'N'),(28,7305273,'1A',201,'N'),(28,7305281,'1',551,'N'),(28,7305290,'1',9,'N'),(28,7305303,'1',203,'N'),(28,7305303,'1A',235,'N'),(28,7305311,'1',103,'N'),(28,7305320,'1',336,'N'),(28,7305338,'1',211,'N'),(28,7305338,'1A',212,'N'),(28,7305346,'1',317,'N'),(28,7305354,'1',999,'N'),(28,7305362,'1',9,'N'),(28,7305370,'1',207,'N'),(28,7305370,'1A',201,'N'),(28,7305389,'1',103,'N'),(28,7305397,'1',3,'N'),(28,7305419,'1',301,'N'),(28,7305427,'1',552,'N'),(28,7305435,'1',303,'N'),(28,7305443,'1',319,'N'),(28,7305451,'1',340,'N'),(28,7305460,'1',428,'N'),(28,7305460,'1A',421,'N'),(28,7305494,'1',108,'N'),(28,7305508,'1',207,'N'),(28,7305508,'1A',215,'N'),(28,7305524,'1',999,'N'),(28,7305532,'1',203,'N'),(28,7305532,'1A',653,'N'),(28,7305540,'1',104,'N'),(28,7305559,'1',319,'N'),(28,7305567,'1',303,'N'),(28,7305575,'1',340,'N'),(28,7305583,'1',208,'N'),(28,7305591,'1',203,'N'),(28,7305591,'1A',220,'N'),(28,7305605,'1',201,'N'),(28,7305605,'1A',212,'N'),(28,7305613,'1',450,'N'),(28,7305621,'1',423,'N'),(28,7305621,'1A',424,'N'),(28,7305630,'1',213,'N'),(28,7305630,'1A',235,'N'),(28,7305648,'1',454,'N'),(28,7305656,'1',103,'N'),(28,7305664,'1',202,'N'),(28,7305664,'1A',220,'N'),(28,7305680,'1',415,'N'),(28,7305699,'1',326,'N'),(28,7305702,'1',999,'N'),(28,7305710,'1',201,'N'),(28,7305710,'1A',213,'N'),(28,7305729,'1',110,'N'),(28,7305737,'1',103,'N'),(28,7305745,'1',444,'N'),(28,7305753,'1',215,'N'),(28,7305753,'1A',601,'N'),(28,7305761,'1',316,'N'),(28,7305770,'1',5,'N'),(28,7305788,'1',303,'N'),(28,7305796,'1',108,'N'),(28,7305800,'1',444,'N'),(28,7305818,'1',999,'N'),(28,7305826,'1',103,'N'),(28,7305834,'1',316,'N'),(28,7305842,'1',104,'N'),(28,7305850,'1',103,'N'),(28,7305869,'1',201,'N'),(28,7305869,'1A',233,'N'),(28,7305877,'1',340,'N'),(28,7305885,'1',212,'N'),(28,7305885,'1A',211,'N'),(28,7305893,'1',304,'N'),(28,7305907,'1',653,'N'),(28,7305915,'1',101,'N'),(28,7305923,'1',655,'N'),(28,7305923,'1A',203,'N'),(28,7305931,'1',103,'N'),(28,7305940,'1',201,'N'),(28,7305940,'1A',212,'N'),(28,7305958,'1',317,'N'),(28,7305966,'1',103,'N'),(28,7305982,'1',203,'N'),(28,7305982,'1A',214,'N'),(28,7305990,'1',207,'N'),(28,7305990,'1A',201,'N'),(28,7306008,'1',220,'N'),(28,7306008,'1A',202,'N'),(28,7306016,'1',502,'N'),(28,7306032,'1',103,'N'),(28,7306040,'1',238,'N'),(28,7306040,'1A',655,'N'),(28,7306059,'1',233,'N'),(28,7306059,'1A',601,'N'),(28,7306075,'1',101,'N'),(28,7306083,'1',104,'N'),(28,7306091,'1',108,'N'),(28,7306105,'1',302,'N'),(28,7306113,'1',999,'N'),(28,7306121,'1',319,'N'),(28,7306130,'1',9,'N'),(28,7306148,'1',415,'N'),(28,7306156,'1',340,'N'),(28,7306164,'1',319,'N'),(28,7306172,'1',301,'N'),(28,7306180,'1',9,'N'),(28,7306199,'1',224,'N'),(28,7306202,'1',316,'N'),(28,7306210,'1',501,'N'),(28,7306229,'1',655,'N'),(28,7306229,'1A',653,'N'),(28,7306245,'1',201,'N'),(28,7306245,'1A',601,'N'),(28,7306261,'1',103,'N'),(28,7306270,'1',202,'N'),(28,7306270,'1A',235,'N'),(28,7306288,'1',415,'N'),(28,7306300,'1',303,'N'),(28,7306326,'1',103,'N'),(28,7306334,'1',303,'N'),(28,7306342,'1',654,'N'),(28,7306350,'1',316,'N'),(28,7306369,'1',653,'N'),(28,7306369,'1A',211,'N'),(28,7306377,'1',444,'N'),(28,7306415,'1',103,'N'),(28,7306423,'1',444,'N'),(28,7306431,'1',104,'N'),(28,7306440,'1',502,'N'),(28,7306458,'1',333,'N'),(28,7306466,'1',303,'N'),(28,7306490,'1',319,'N'),(28,7306504,'1',208,'N'),(28,7306520,'1',655,'N'),(28,7306520,'1A',652,'N'),(28,7306539,'1',216,'N'),(28,7306539,'1A',211,'N'),(28,7306547,'1',415,'N'),(28,7306555,'1',212,'N'),(28,7306555,'1A',220,'N'),(28,7306563,'1',317,'N'),(28,7306571,'1',999,'N'),(28,7306598,'1',601,'N'),(28,7306598,'1A',202,'N'),(28,7306601,'1',444,'N'),(28,7306610,'1',203,'N'),(28,7306610,'1A',214,'N'),(28,7306628,'1',319,'N'),(28,7306636,'1',220,'N'),(28,7306636,'1A',202,'N'),(28,7306644,'1',104,'N'),(28,7306652,'1',103,'N'),(28,7306660,'1',303,'N'),(28,7306679,'1',454,'N'),(28,7306687,'1',110,'N'),(28,7306695,'1',201,'N'),(28,7306695,'1A',212,'N'),(28,7306717,'1',999,'N'),(28,7306725,'1',212,'N'),(28,7306725,'1A',213,'N'),(28,7306733,'1',201,'N'),(28,7306733,'1A',202,'N'),(28,7306741,'1',220,'N'),(28,7306741,'1A',203,'N'),(28,7306768,'1',303,'N'),(28,7306776,'1',404,'N'),(28,7306792,'1',101,'N'),(28,7306806,'1',454,'N'),(28,7306814,'1',304,'N'),(28,7306822,'1',211,'N'),(28,7306822,'1A',216,'N'),(28,7306830,'1',103,'N'),(28,7306857,'1',103,'N'),(28,7306865,'1',303,'N'),(28,7306873,'1',201,'N'),(28,7306873,'1A',212,'N'),(28,7306881,'1',238,'N'),(28,7306881,'1A',213,'N'),(28,7306890,'1',207,'N'),(28,7306890,'1A',211,'N'),(28,7306903,'1',208,'N'),(28,7306911,'1',427,'N'),(28,7306911,'1A',421,'N'),(28,7306920,'1',999,'N'),(28,7306946,'1',211,'N'),(28,7306946,'1A',215,'N'),(28,7306954,'1',103,'N'),(28,7306962,'1',451,'N'),(28,7306970,'1',653,'N'),(28,7306970,'1A',655,'N'),(28,7306997,'1',454,'N'),(28,7307004,'1',303,'N'),(28,7307012,'1',203,'N'),(28,7307012,'1A',202,'N'),(28,7307020,'1',333,'N'),(28,7307039,'1',208,'N'),(28,7307047,'1',454,'N'),(28,7307055,'1',207,'N'),(28,7307055,'1A',211,'N'),(28,7307063,'1',316,'N'),(28,7307080,'1',207,'N'),(28,7307080,'1A',601,'N'),(28,7307098,'1',601,'N'),(28,7307098,'1A',214,'N'),(28,7307101,'1',103,'N'),(28,7307110,'1',201,'N'),(28,7307110,'1A',203,'N'),(28,7307128,'1',104,'N'),(28,7307136,'1',425,'N'),(28,7307144,'1',207,'N'),(28,7307144,'1A',212,'N'),(28,7307152,'1',316,'N'),(28,7307160,'1',601,'N'),(28,7307160,'1A',201,'N'),(28,7307179,'1',552,'N'),(28,7307195,'1',318,'N'),(28,7307209,'1',103,'N'),(28,7307217,'1',340,'N'),(28,7307225,'1',110,'N'),(28,7307233,'1',104,'N'),(28,7307241,'1',429,'N'),(28,7307250,'1',9,'N'),(28,7307276,'1',201,'N'),(28,7307276,'1A',203,'N'),(28,7307284,'1',234,'N'),(28,7307292,'1',304,'N'),(28,7307306,'1',203,'N'),(28,7307306,'1A',235,'N'),(28,7307314,'1',201,'N'),(28,7307314,'1A',207,'N'),(28,7307322,'1',316,'N'),(28,7307330,'1',655,'N'),(28,7307349,'1',318,'N'),(28,7307357,'1',211,'N'),(28,7307357,'1A',201,'N'),(28,7307365,'1',233,'N'),(28,7307365,'1A',653,'N'),(28,7307381,'1',3,'N'),(28,7307390,'1',103,'N'),(28,7307403,'1',104,'N'),(28,7307411,'1',999,'N'),(28,7307438,'1',104,'N'),(28,7307454,'1',999,'N'),(28,7307462,'1',316,'N'),(28,7307470,'1',340,'N'),(28,7307489,'1',103,'N'),(28,7307497,'1',501,'N'),(28,7307500,'1',201,'N'),(28,7307500,'1A',601,'N'),(28,7307527,'1',316,'N'),(28,7307535,'1',340,'N'),(28,7307543,'1',552,'N'),(28,7307551,'1',207,'N'),(28,7307551,'1A',203,'N'),(28,7307560,'1',316,'N'),(28,7307578,'1',404,'N'),(28,7307586,'1',108,'N'),(28,7307594,'1',225,'N'),(28,7307616,'1',309,'N'),(28,7307624,'1',999,'N'),(28,7307632,'1',999,'N'),(28,7307640,'1',451,'N'),(28,7307659,'1',201,'N'),(28,7307659,'1A',207,'N'),(28,7307675,'1',201,'N'),(28,7307675,'1A',203,'N'),(28,7307683,'1',319,'N'),(28,7307691,'1',211,'N'),(28,7307691,'1A',207,'N'),(28,7307705,'1',415,'N'),(28,7307713,'1',103,'N'),(28,7307721,'1',103,'N'),(28,7307730,'1',454,'N'),(28,7307748,'1',201,'N'),(28,7307756,'1',309,'N'),(28,7307764,'1',319,'N'),(28,7307772,'1',103,'N'),(28,7307780,'1',3,'N'),(28,7307799,'1',104,'N'),(28,7307802,'1',216,'N'),(28,7307802,'1A',215,'N'),(28,7307810,'1',999,'N'),(28,7307829,'1',301,'N'),(28,7307837,'1',233,'N'),(28,7307837,'1A',601,'N'),(28,7307845,'1',238,'N'),(28,7307845,'1A',235,'N'),(28,7307853,'1',211,'N'),(28,7307853,'1A',233,'N'),(28,7307861,'1',214,'N'),(28,7307861,'1A',201,'N'),(28,7307870,'1',502,'N'),(28,7307888,'1',201,'N'),(28,7307888,'1A',212,'N'),(28,7307918,'1',238,'N'),(28,7307918,'1A',235,'N'),(28,7307926,'1',238,'N'),(28,7307926,'1A',203,'N'),(28,7307934,'1',303,'N'),(28,7307942,'1',103,'N'),(28,7307950,'1',5,'N'),(28,7307977,'1',208,'N'),(28,7307985,'1',303,'N'),(28,7308000,'1',212,'N'),(28,7308000,'1A',235,'N'),(28,7308019,'1',324,'N'),(28,7308027,'1',103,'N'),(28,7308035,'1',601,'N'),(28,7308035,'1A',235,'N'),(28,7308051,'1',552,'N'),(28,7308060,'1',336,'N'),(28,7308078,'1',502,'N'),(28,7308086,'1',203,'N'),(28,7308086,'1A',214,'N'),(28,7308094,'1',101,'N'),(28,7308108,'1',103,'N'),(28,7308116,'1',207,'N'),(28,7308116,'1A',215,'N'),(28,7308124,'1',208,'N'),(28,7308132,'1',318,'N'),(28,7308140,'1',450,'N'),(28,7308159,'1',207,'N'),(28,7308159,'1A',215,'N'),(28,7308167,'1',214,'N'),(28,7308167,'1A',213,'N'),(28,7308175,'1',104,'N'),(28,7308183,'1',103,'N'),(28,7308191,'1',601,'N'),(28,7308191,'1A',653,'N'),(28,7308205,'1',220,'N'),(28,7308205,'1A',238,'N'),(28,7308213,'1',601,'N'),(28,7308213,'1A',201,'N'),(28,7308230,'1',319,'N'),(28,7308248,'1',451,'N'),(28,7308256,'1',999,'N'),(28,7308264,'1',999,'N'),(28,7308272,'1',103,'N'),(28,7308280,'1',201,'N'),(28,7308280,'1A',212,'N'),(28,7308299,'1',238,'N'),(28,7308299,'1A',220,'N'),(28,7308310,'1',319,'N'),(28,7308329,'1',302,'N'),(28,7308337,'1',238,'N'),(28,7308337,'1A',201,'N'),(28,7308345,'1',303,'N'),(28,7308353,'1',404,'N'),(28,7308361,'1',303,'N'),(28,7308370,'1',214,'N'),(28,7308370,'1A',601,'N'),(28,7308388,'1',103,'N'),(28,7308396,'1',103,'N'),(28,7308418,'1',601,'N'),(28,7308418,'1A',211,'N'),(28,7308426,'1',333,'N'),(28,7308434,'1',318,'N'),(28,7308442,'1',110,'N'),(28,7308450,'1',317,'N'),(28,7308469,'1',201,'N'),(28,7308469,'1A',211,'N'),(28,7308477,'1',103,'N'),(28,7308485,'1',103,'N'),(28,7308493,'1',103,'N'),(28,7308507,'1',429,'N'),(28,7308507,'1A',425,'N'),(28,7308515,'1',201,'N'),(28,7308515,'1A',212,'N'),(28,7308523,'1',201,'N'),(28,7308523,'1A',207,'N'),(28,7308540,'1',202,'N'),(28,7308540,'1A',235,'N'),(28,7308566,'1',103,'N'),(28,7308574,'1',319,'N'),(28,7308582,'1',203,'N'),(28,7308582,'1A',214,'N'),(28,7308590,'1',9,'N'),(28,7308604,'1',103,'N'),(28,7308612,'1',103,'N'),(28,7308620,'1',333,'N'),(28,7308639,'1',201,'N'),(28,7308639,'1A',601,'N'),(28,7308647,'1',202,'N'),(28,7308647,'1A',213,'N'),(28,7308655,'1',303,'N'),(28,7308663,'1',201,'N'),(28,7308663,'1A',207,'N'),(28,7308698,'1',235,'N'),(28,7308701,'1',234,'N'),(28,7308710,'1',104,'N'),(28,7308728,'1',201,'N'),(28,7308728,'1A',215,'N'),(28,7308736,'1',451,'N'),(28,7308744,'1',340,'N'),(28,7308752,'1',450,'N'),(28,7308760,'1',103,'N'),(28,7308779,'1',552,'N'),(28,7308787,'1',303,'N'),(28,7308795,'1',503,'N'),(28,7308809,'1',103,'N'),(28,7308817,'1',454,'N'),(28,7308825,'1',203,'N'),(28,7308825,'1A',211,'N'),(28,7308833,'1',303,'N'),(28,7308841,'1',225,'N'),(28,7308850,'1',201,'N'),(28,7308850,'1A',212,'N'),(28,7308868,'1',103,'N'),(28,7308876,'1',319,'N'),(28,7308884,'1',102,'N'),(28,7308892,'1',551,'N'),(28,7308906,'1',5,'N'),(28,7308914,'1',110,'N'),(28,7308922,'1',203,'N'),(28,7308922,'1A',213,'N'),(28,7308930,'1',999,'N'),(28,7308957,'1',308,'N'),(28,7308965,'1',233,'N'),(28,7308965,'1A',215,'N'),(28,7308973,'1',303,'N'),(28,7308981,'1',654,'N'),(28,7308990,'1',238,'N'),(28,7308990,'1A',220,'N'),(28,7309007,'1',454,'N'),(28,7309015,'1',301,'N'),(28,7309023,'1',201,'N'),(28,7309023,'1A',203,'N'),(28,7309031,'1',211,'N'),(28,7309031,'1A',216,'N'),(28,7309040,'1',201,'N'),(28,7309040,'1A',601,'N'),(28,7309058,'1',333,'N'),(28,7309066,'1',503,'N'),(28,7309074,'1',426,'N'),(28,7309082,'1',212,'N'),(28,7309082,'1A',215,'N'),(28,7309090,'1',234,'N'),(28,7309104,'1',103,'N'),(28,7309112,'1',303,'N'),(28,7309120,'1',103,'N'),(28,7309139,'1',213,'N'),(28,7309139,'1A',235,'N'),(28,7309147,'1',303,'N'),(28,7309155,'1',203,'N'),(28,7309155,'1A',214,'N'),(28,7309163,'1',303,'N'),(28,7309171,'1',103,'N'),(28,7309180,'1',238,'N'),(28,7309180,'1A',220,'N'),(28,7309198,'1',103,'N'),(28,7309201,'1',317,'N'),(28,7309210,'1',552,'N'),(28,7309236,'1',303,'N'),(28,7309244,'1',233,'N'),(28,7309244,'1A',215,'N'),(28,7309252,'1',211,'N'),(28,7309252,'1A',214,'N'),(28,7309287,'1',201,'N'),(28,7309287,'1A',233,'N'),(28,7309295,'1',552,'N'),(28,7309309,'1',601,'N'),(28,7309309,'1A',201,'N'),(28,7309333,'1',201,'N'),(28,7309333,'1A',207,'N'),(28,7309341,'1',421,'N'),(28,7309341,'1A',424,'N'),(28,7309350,'1',317,'N'),(28,7309368,'1',223,'N'),(28,7309376,'1',332,'N'),(28,7309384,'1',102,'N'),(28,7309392,'1',319,'N'),(28,7309406,'1',324,'N'),(28,7309414,'1',103,'N'),(28,7309422,'1',201,'N'),(28,7309422,'1A',212,'N'),(28,7309430,'1',207,'N'),(28,7309430,'1A',214,'N'),(28,7309465,'1',104,'N'),(28,7309473,'1',103,'N'),(28,7309481,'1',551,'N'),(28,7309490,'1',450,'N'),(28,7309503,'1',103,'N'),(28,7309511,'1',103,'N'),(28,7309520,'1',552,'N'),(28,7309538,'1',108,'N'),(28,7309546,'1',316,'N'),(28,7309554,'1',450,'N'),(28,7309562,'1',425,'N'),(28,7309562,'1A',428,'N'),(28,7309570,'1',304,'N'),(28,7309589,'1',202,'N'),(28,7309589,'1A',215,'N'),(28,7309597,'1',238,'N'),(28,7309600,'1',444,'N'),(28,7309619,'1',5,'N'),(28,7309627,'1',552,'N'),(28,7309635,'1',103,'N'),(28,7309643,'1',201,'N'),(28,7309643,'1A',213,'N'),(28,7309651,'1',316,'N'),(28,7309660,'1',203,'N'),(28,7309660,'1A',201,'N'),(28,7309678,'1',103,'N'),(28,7309686,'1',108,'N'),(28,7309694,'1',201,'N'),(28,7309694,'1A',211,'N'),(28,7309716,'1',501,'N'),(28,7309724,'1',203,'N'),(28,7309724,'1A',653,'N'),(28,7309732,'1',201,'N'),(28,7309732,'1A',211,'N'),(28,7309759,'1',207,'N'),(28,7309767,'1',207,'N'),(28,7309767,'1A',211,'N'),(28,7309775,'1',203,'N'),(28,7309775,'1A',235,'N'),(28,7309783,'1',333,'N'),(28,7309791,'1',233,'N'),(28,7309791,'1A',214,'N'),(28,7309813,'1',201,'N'),(28,7309813,'1A',653,'N'),(28,7309821,'1',601,'N'),(28,7309830,'1',301,'N'),(28,7309848,'1',999,'N'),(28,7309856,'1',444,'N'),(28,7309864,'1',999,'N'),(28,7309872,'1',215,'N'),(28,7309872,'1A',233,'N'),(28,7309880,'1',201,'N'),(28,7309880,'1A',211,'N'),(28,7309899,'1',103,'N'),(28,7309902,'1',207,'N'),(28,7309902,'1A',201,'N'),(28,7309910,'1',201,'N'),(28,7309910,'1A',653,'N'),(28,7309937,'1',440,'N'),(28,7309945,'1',207,'N'),(28,7309945,'1A',238,'N'),(28,7309970,'1',302,'N'),(28,7309988,'1',2,'N'),(28,7309996,'1',207,'N'),(28,7309996,'1A',201,'N'),(28,7310005,'1',501,'N'),(28,7310013,'1',201,'N'),(28,7310013,'1A',202,'N'),(28,7310021,'1',335,'N'),(28,7310030,'1',103,'N'),(28,7310048,'1',428,'N'),(28,7310048,'1A',427,'N'),(28,7310056,'1',426,'N'),(28,7310056,'1A',427,'N'),(28,7310064,'1',425,'N'),(28,7310064,'1A',429,'N'),(28,7310072,'1',340,'N'),(28,7310080,'1',104,'N'),(28,7310102,'1',601,'N'),(28,7310102,'1A',203,'N'),(28,7310110,'1',404,'N'),(28,7310129,'1',317,'N'),(28,7310137,'1',5,'N'),(28,7310145,'1',201,'N'),(28,7310145,'1A',238,'N'),(28,7310153,'1',304,'N'),(28,7310161,'1',201,'N'),(28,7310161,'1A',213,'N'),(28,7310170,'1',317,'N'),(28,7310188,'1',301,'N'),(28,7310196,'1',207,'N'),(28,7310196,'1A',238,'N'),(28,7310200,'1',103,'N'),(28,7310218,'1',104,'N'),(28,7310234,'1',9,'N'),(28,7310250,'1',103,'N'),(28,7310277,'1',104,'N'),(28,7310293,'1',103,'N'),(28,7310307,'1',424,'N'),(28,7310307,'1A',427,'N'),(28,7310315,'1',340,'N'),(28,7310323,'1',316,'N'),(28,7310331,'1',104,'N'),(28,7310340,'1',201,'N'),(28,7310358,'1',552,'N'),(28,7310366,'1',301,'N'),(28,7310374,'1',208,'N'),(28,7310382,'1',103,'N'),(28,7310390,'1',203,'N'),(28,7310390,'1A',214,'N'),(28,7310404,'1',103,'N'),(28,7310412,'1',450,'N'),(28,7310420,'1',303,'N'),(28,7310439,'1',216,'N'),(28,7310439,'1A',215,'N'),(28,7310447,'1',336,'N'),(28,7310455,'1',317,'N'),(28,7310463,'1',308,'N'),(28,7310471,'1',104,'N'),(28,7310480,'1',110,'N'),(28,7310498,'1',103,'N'),(28,7310510,'1',222,'N'),(28,7310528,'1',104,'N'),(28,7310544,'1',201,'N'),(28,7310544,'1A',212,'N'),(28,7310552,'1',999,'N'),(28,7310560,'1',103,'N'),(28,7310579,'1',208,'N'),(28,7310587,'1',999,'N'),(28,7310595,'1',202,'N'),(28,7310595,'1A',201,'N'),(28,7310609,'1',202,'N'),(28,7310609,'1A',201,'N'),(28,7310633,'1',444,'N'),(28,7310641,'1',207,'N'),(28,7310641,'1A',212,'N'),(28,7310650,'1',103,'N'),(28,7310668,'1',655,'N'),(28,7310668,'1A',235,'N'),(28,7310684,'1',215,'N'),(28,7310684,'1A',601,'N'),(28,7310692,'1',404,'N'),(28,7310706,'1',654,'N'),(28,7310714,'1',404,'N'),(28,7310722,'1',207,'N'),(28,7310730,'1',202,'N'),(28,7310730,'1A',213,'N'),(28,7310757,'1',103,'N'),(28,7310765,'1',301,'N'),(28,7310773,'1',5,'N'),(28,7310781,'1',216,'N'),(28,7310781,'1A',601,'N'),(28,7310790,'1',201,'N'),(28,7310790,'1A',203,'N'),(28,7310803,'1',5,'N'),(28,7310811,'1',208,'N'),(28,7310820,'1',316,'N'),(28,7310846,'1',203,'N'),(28,7310846,'1A',207,'N'),(28,7310854,'1',303,'N'),(28,7310889,'1',201,'N'),(28,7310889,'1A',203,'N'),(28,7310900,'1',999,'N'),(28,7310919,'1',454,'N'),(28,7310927,'1',303,'N'),(28,7310935,'1',215,'N'),(28,7310935,'1A',216,'N'),(28,7310943,'1',103,'N'),(28,7310951,'1',233,'N'),(28,7310951,'1A',211,'N'),(28,7310960,'1',340,'N'),(28,7310978,'1',450,'N'),(28,7310986,'1',214,'N'),(28,7310986,'1A',233,'N'),(28,7310994,'1',211,'N'),(28,7310994,'1A',213,'N'),(28,7311001,'1',421,'N'),(28,7311001,'1A',424,'N'),(28,7311010,'1',201,'N'),(28,7311010,'1A',207,'N'),(28,7311028,'1',999,'N'),(28,7311036,'1',203,'N'),(28,7311036,'1A',238,'N'),(28,7311052,'1',103,'N'),(28,7311060,'1',5,'N'),(28,7311087,'1',3,'N'),(28,7311109,'1',203,'N'),(28,7311109,'1A',202,'N'),(28,7311117,'1',340,'N'),(28,7311125,'1',207,'N'),(28,7311125,'1A',216,'N'),(28,7311133,'1',103,'N'),(28,7311141,'1',201,'N'),(28,7311141,'1A',233,'N'),(28,7311168,'1',320,'N'),(28,7311184,'1',317,'N'),(28,7311192,'1',450,'N'),(28,7311206,'1',424,'N'),(28,7311206,'1A',423,'N'),(28,7311214,'1',552,'N'),(28,7311222,'1',207,'N'),(28,7311222,'1A',233,'N'),(28,7311230,'1',104,'N'),(28,7311249,'1',444,'N'),(28,7311265,'1',103,'N'),(28,7311273,'1',309,'N'),(28,7311281,'1',320,'N'),(28,7311290,'1',415,'N'),(28,7311303,'1',104,'N'),(28,7311311,'1',331,'N'),(28,7311346,'1',327,'N'),(28,7311370,'1',103,'N'),(28,7311389,'1',203,'N'),(28,7311389,'1A',214,'N'),(28,7311397,'1',999,'N'),(28,7311419,'1',451,'N'),(28,7311427,'1',450,'N'),(28,7311435,'1',220,'N'),(28,7311435,'1A',203,'N'),(28,7311443,'1',216,'N'),(28,7311443,'1A',201,'N'),(28,7311451,'1',207,'N'),(28,7311451,'1A',201,'N'),(28,7311460,'1',301,'N'),(28,7311478,'1',201,'N'),(28,7311478,'1A',207,'N'),(28,7311486,'1',207,'N'),(28,7311486,'1A',201,'N'),(28,7311494,'1',337,'N'),(28,7311508,'1',999,'N'),(28,7311516,'1',454,'N'),(28,7311524,'1',103,'N'),(28,7311532,'1',444,'N'),(28,7311540,'1',207,'N'),(28,7311540,'1A',201,'N'),(28,7311559,'1',103,'N'),(28,7311575,'1',551,'N'),(28,7311583,'1',319,'N'),(28,7311591,'1',304,'N'),(28,7311605,'1',238,'N'),(28,7311621,'1',104,'N'),(28,7311630,'1',501,'N'),(28,7311648,'1',201,'N'),(28,7311648,'1A',211,'N'),(28,7311656,'1',999,'N'),(28,7311664,'1',336,'N'),(28,7311672,'1',415,'N'),(28,7311680,'1',101,'N'),(28,7311699,'1',5,'N'),(28,7311710,'1',201,'N'),(28,7311710,'1A',212,'N'),(28,7311737,'1',654,'N'),(28,7311745,'1',318,'N'),(28,7311753,'1',454,'N'),(28,7311761,'1',454,'N'),(28,7311788,'1',103,'N'),(28,7311800,'1',108,'N'),(28,7311818,'1',103,'N'),(28,7311826,'1',444,'N'),(28,7311834,'1',5,'N'),(28,7311842,'1',207,'N'),(28,7311842,'1A',201,'N'),(28,7311850,'1',303,'N'),(28,7311869,'1',103,'N'),(28,7311877,'1',308,'N'),(28,7311885,'1',319,'N'),(28,7311893,'1',103,'N'),(28,7311915,'1',319,'N'),(28,7311923,'1',503,'N'),(28,7311931,'1',303,'N'),(28,7311940,'1',309,'N'),(28,7311958,'1',103,'N'),(28,7311966,'1',301,'N'),(28,7311974,'1',220,'N'),(28,7311974,'1A',213,'N'),(28,7311982,'1',451,'N'),(28,7311990,'1',238,'N'),(28,7311990,'1A',235,'N'),(28,7312008,'1',211,'N'),(28,7312008,'1A',212,'N'),(28,7312016,'1',224,'N'),(28,7312024,'1',444,'N'),(28,7312032,'1',317,'N'),(28,7312040,'1',212,'N'),(28,7312040,'1A',238,'N'),(28,7312059,'1',302,'N'),(28,7312067,'1',317,'N'),(28,7312075,'1',319,'N'),(28,7312083,'1',207,'N'),(28,7312083,'1A',212,'N'),(28,7312091,'1',104,'N'),(28,7312113,'1',203,'N'),(28,7312113,'1A',214,'N'),(28,7312121,'1',340,'N'),(28,7312130,'1',103,'N'),(28,7312148,'1',203,'N'),(28,7312148,'1A',202,'N'),(28,7312164,'1',320,'N'),(28,7312172,'1',454,'N'),(28,7312180,'1',319,'N'),(28,7312199,'1',319,'N'),(28,7312202,'1',201,'N'),(28,7312202,'1A',211,'N'),(28,7312210,'1',103,'N'),(28,7312229,'1',308,'N'),(28,7312237,'1',316,'N'),(28,7312245,'1',308,'N'),(28,7312253,'1',5,'N'),(28,7312261,'1',301,'N'),(28,7312270,'1',212,'N'),(28,7312288,'1',108,'N'),(28,7312296,'1',230,'N'),(28,7312300,'1',999,'N'),(28,7312326,'1',110,'N'),(28,7312334,'1',427,'N'),(28,7312334,'1A',425,'N'),(28,7312342,'1',104,'N'),(28,7312350,'1',103,'N'),(28,7312369,'1',211,'N'),(28,7312369,'1A',201,'N'),(28,7312377,'1',202,'N'),(28,7312377,'1A',213,'N'),(28,7312385,'1',233,'N'),(28,7312385,'1A',203,'N'),(28,7312393,'1',601,'N'),(28,7312393,'1A',235,'N'),(28,7312407,'1',104,'N'),(28,7312415,'1',415,'N'),(28,7312423,'1',201,'N'),(28,7312423,'1A',216,'N'),(28,7312431,'1',215,'N'),(28,7312431,'1A',207,'N'),(28,7312440,'1',101,'N'),(28,7312458,'1',211,'N'),(28,7312458,'1A',233,'N'),(28,7312466,'1',339,'N'),(28,7312474,'1',328,'N'),(28,7312490,'1',319,'N'),(28,7312504,'1',302,'N'),(28,7312512,'1',308,'N'),(28,7312520,'1',999,'N'),(28,7312539,'1',653,'N'),(28,7312539,'1A',202,'N'),(28,7312547,'1',208,'N'),(28,7312571,'1',103,'N'),(28,7312580,'1',109,'N'),(28,7312598,'1',319,'N'),(28,7312601,'1',326,'N'),(28,7312610,'1',318,'N'),(28,7312628,'1',601,'N'),(28,7312636,'1',5,'N'),(28,7312644,'1',303,'N'),(28,7312652,'1',103,'N'),(28,7312660,'1',5,'N'),(28,7312679,'1',103,'N'),(28,7312687,'1',308,'N'),(28,7312695,'1',211,'N'),(28,7312695,'1A',215,'N'),(28,7312717,'1',316,'N'),(28,7312725,'1',215,'N'),(28,7312725,'1A',233,'N'),(28,7312733,'1',216,'N'),(28,7312733,'1A',214,'N'),(28,7312750,'1',215,'N'),(28,7312750,'1A',211,'N'),(28,7312768,'1',301,'N'),(28,7312776,'1',207,'N'),(28,7312776,'1A',212,'N'),(28,7312784,'1',201,'N'),(28,7312784,'1A',207,'N'),(28,7312792,'1',103,'N'),(28,7312806,'1',427,'N'),(28,7312814,'1',444,'N'),(28,7312822,'1',201,'N'),(28,7312822,'1A',238,'N'),(28,7312830,'1',454,'N'),(28,7312849,'1',103,'N'),(28,7312857,'1',203,'N'),(28,7312857,'1A',220,'N'),(28,7312873,'1',444,'N'),(28,7312890,'1',207,'N'),(28,7312890,'1A',201,'N'),(28,7312911,'1',207,'N'),(28,7312911,'1A',212,'N'),(28,7312920,'1',454,'N'),(28,7312938,'1',5,'N'),(28,7312954,'1',203,'N'),(28,7312962,'1',203,'N'),(28,7312962,'1A',202,'N'),(28,7312970,'1',220,'N'),(28,7312970,'1A',235,'N'),(28,7312997,'1',201,'N'),(28,7312997,'1A',207,'N'),(28,7313004,'1',208,'N'),(28,7313012,'1',103,'N'),(28,7313020,'1',202,'N'),(28,7313020,'1A',235,'N'),(28,7313039,'1',202,'N'),(28,7313055,'1',303,'N'),(28,7313063,'1',103,'N'),(28,7313071,'1',451,'N'),(28,7313080,'1',203,'N'),(28,7313080,'1A',235,'N'),(28,7313098,'1',235,'N'),(28,7313098,'1A',653,'N'),(28,7313128,'1',201,'N'),(28,7313128,'1A',212,'N'),(28,7313136,'1',999,'N'),(28,7313144,'1',103,'N'),(28,7313152,'1',208,'N'),(28,7313160,'1',207,'N'),(28,7313160,'1A',235,'N'),(28,7313179,'1',308,'N'),(28,7313187,'1',552,'N'),(28,7313195,'1',207,'N'),(28,7313195,'1A',655,'N'),(28,7313209,'1',238,'N'),(28,7313209,'1A',220,'N'),(28,7313217,'1',104,'N'),(28,7313225,'1',201,'N'),(28,7313225,'1A',203,'N'),(28,7313233,'1',302,'N'),(28,7313241,'1',5,'N'),(28,7313250,'1',302,'N'),(28,7313268,'1',316,'N'),(28,7313276,'1',601,'N'),(28,7313276,'1A',214,'N'),(28,7313284,'1',999,'N'),(28,7313292,'1',302,'N'),(28,7313306,'1',101,'N'),(28,7313314,'1',426,'N'),(28,7313314,'1A',428,'N'),(28,7313322,'1',108,'N'),(28,7313349,'1',999,'N'),(28,7313357,'1',110,'N'),(28,7313365,'1',338,'N'),(28,7313373,'1',201,'N'),(28,7313373,'1A',203,'N'),(28,7313381,'1',340,'N'),(28,7313403,'1',444,'N'),(28,7313438,'1',103,'N'),(28,7313462,'1',238,'N'),(28,7313462,'1A',235,'N'),(28,7313470,'1',201,'N'),(28,7313470,'1A',207,'N'),(28,7313497,'1',211,'N'),(28,7313500,'1',429,'N'),(28,7313500,'1A',425,'N'),(28,7313519,'1',429,'N'),(28,7313519,'1A',426,'N'),(28,7313527,'1',103,'N'),(28,7313543,'1',319,'N'),(28,7313551,'1',601,'N'),(28,7313551,'1A',203,'N'),(28,7313560,'1',216,'N'),(28,7313560,'1A',211,'N'),(28,7313578,'1',425,'N'),(28,7313578,'1A',423,'N'),(28,7313586,'1',415,'N'),(28,7313594,'1',304,'N'),(28,7313616,'1',454,'N'),(28,7313640,'1',309,'N'),(28,7313659,'1',327,'N'),(28,7313675,'1',427,'N'),(28,7313675,'1A',424,'N'),(28,7313683,'1',201,'N'),(28,7313683,'1A',202,'N'),(28,7313691,'1',207,'N'),(28,7313691,'1A',201,'N'),(28,7313705,'1',426,'N'),(28,7313705,'1A',429,'N'),(28,7313713,'1',319,'N'),(28,7313721,'1',502,'N'),(28,7313730,'1',308,'N'),(28,7313764,'1',552,'N'),(28,7313780,'1',3,'N'),(28,7313802,'1',103,'N'),(28,7313810,'1',317,'N'),(28,7313837,'1',5,'N'),(28,7313845,'1',444,'N'),(28,7313853,'1',303,'N'),(28,7313870,'1',652,'N'),(28,7313870,'1A',655,'N'),(28,7313888,'1',213,'N'),(28,7313888,'1A',220,'N'),(28,7313896,'1',103,'N'),(28,7313918,'1',503,'N'),(28,7313926,'1',652,'N'),(28,7313926,'1A',653,'N'),(28,7313934,'1',104,'N'),(28,7313942,'1',103,'N'),(28,7313950,'1',551,'N'),(28,7313969,'1',415,'N'),(28,7313977,'1',207,'N'),(28,7313993,'1',216,'N'),(28,7314000,'1',207,'N'),(28,7314000,'1A',212,'N'),(28,7314019,'1',201,'N'),(28,7314019,'1A',212,'N'),(28,7314027,'1',207,'N'),(28,7314027,'1A',201,'N'),(28,7314035,'1',212,'N'),(28,7314035,'1A',233,'N'),(28,7314043,'1',454,'N'),(28,7314051,'1',102,'N'),(28,7314060,'1',333,'N'),(28,7314078,'1',238,'N'),(28,7314078,'1A',235,'N'),(28,7314086,'1',9,'N'),(28,7314094,'1',201,'N'),(28,7314094,'1A',235,'N'),(28,7314108,'1',203,'N'),(28,7314108,'1A',216,'N'),(28,7314116,'1',203,'N'),(28,7314116,'1A',214,'N'),(28,7314124,'1',103,'N'),(28,7314132,'1',316,'N'),(28,7314140,'1',201,'N'),(28,7314140,'1A',238,'N'),(28,7314159,'1',551,'N'),(28,7314167,'1',454,'N'),(28,7314175,'1',337,'N'),(28,7314183,'1',303,'N'),(28,7314191,'1',501,'N'),(28,7314213,'1',203,'N'),(28,7314221,'1',212,'N'),(28,7314221,'1A',213,'N'),(28,7314230,'1',103,'N'),(28,7314248,'1',652,'N'),(28,7314248,'1A',655,'N'),(28,7314256,'1',101,'N'),(28,7314264,'1',213,'N'),(28,7314272,'1',303,'N'),(28,7314280,'1',339,'N'),(28,7314299,'1',101,'N'),(28,7314310,'1',308,'N'),(28,7314329,'1',440,'N'),(28,7314337,'1',415,'N'),(28,7314345,'1',332,'N'),(28,7314353,'1',102,'N'),(28,7314361,'1',429,'N'),(28,7314361,'1A',425,'N'),(28,7314370,'1',103,'N'),(28,7314388,'1',5,'N'),(28,7314396,'1',216,'N'),(28,7314400,'1',454,'N'),(28,7314418,'1',308,'N'),(28,7314426,'1',223,'N'),(28,7314442,'1',317,'N'),(28,7314469,'1',104,'N'),(28,7314485,'1',3,'N'),(28,7314493,'1',316,'N'),(28,7314507,'1',212,'N'),(28,7314507,'1A',213,'N'),(28,7314515,'1',5,'N'),(28,7314523,'1',103,'N'),(28,7314531,'1',308,'N'),(28,7314558,'1',440,'N'),(28,7314566,'1',104,'N'),(28,7314574,'1',444,'N'),(28,7314590,'1',103,'N'),(28,7314604,'1',326,'N'),(28,7314612,'1',415,'N'),(28,7314639,'1',601,'N'),(28,7314639,'1A',201,'N'),(28,7314655,'1',310,'N'),(28,7314663,'1',208,'N'),(28,7314671,'1',340,'N'),(28,7314680,'1',101,'N'),(28,7314698,'1',339,'N'),(28,7314701,'1',230,'N'),(28,7314710,'1',103,'N'),(28,7314728,'1',301,'N'),(28,7314736,'1',319,'N'),(28,7314752,'1',423,'N'),(28,7314752,'1A',427,'N'),(28,7314779,'1',202,'N'),(28,7314779,'1A',213,'N'),(28,7314787,'1',103,'N'),(28,7314795,'1',201,'N'),(28,7314795,'1A',207,'N'),(28,7314809,'1',552,'N'),(28,7314817,'1',238,'N'),(28,7314817,'1A',212,'N'),(28,7314841,'1',308,'N'),(28,7314850,'1',222,'N'),(28,7314876,'1',207,'N'),(28,7314884,'1',104,'N'),(28,7314892,'1',501,'N'),(28,7314906,'1',404,'N'),(28,7314914,'1',301,'N'),(28,7314949,'1',103,'N'),(28,7314957,'1',207,'N'),(28,7314957,'1A',201,'N'),(28,7314965,'1',332,'N'),(28,7314973,'1',203,'N'),(28,7314981,'1',320,'N'),(28,7314990,'1',216,'N'),(28,7314990,'1A',212,'N'),(28,7315007,'1',329,'N'),(28,7315015,'1',216,'N'),(28,7315015,'1A',211,'N'),(28,7315023,'1',201,'N'),(28,7315023,'1A',207,'N'),(28,7315031,'1',655,'N'),(28,7315031,'1A',653,'N'),(28,7315040,'1',108,'N'),(28,7315066,'1',102,'N'),(28,7315074,'1',601,'N'),(28,7315074,'1A',201,'N'),(28,7315090,'1',319,'N'),(28,7315104,'1',319,'N'),(28,7315112,'1',103,'N'),(28,7315120,'1',103,'N'),(28,7315139,'1',454,'N'),(28,7315147,'1',201,'N'),(28,7315147,'1A',213,'N'),(28,7315155,'1',238,'N'),(28,7315155,'1A',201,'N'),(28,7315163,'1',238,'N'),(28,7315163,'1A',220,'N'),(28,7315171,'1',104,'N'),(28,7315180,'1',327,'N'),(28,7315198,'1',213,'N'),(28,7315198,'1A',212,'N'),(28,7315201,'1',201,'N'),(28,7315201,'1A',653,'N'),(28,7315228,'1',215,'N'),(28,7315228,'1A',216,'N'),(28,7315236,'1',207,'N'),(28,7315236,'1A',201,'N'),(28,7315244,'1',103,'N'),(28,7315252,'1',103,'N'),(28,7315260,'1',9,'N'),(28,7315279,'1',327,'N'),(28,7315287,'1',655,'N'),(28,7315287,'1A',652,'N'),(28,7315295,'1',5,'N'),(28,7315309,'1',234,'N'),(28,7315325,'1',454,'N'),(28,7315333,'1',336,'N'),(28,7315341,'1',654,'N'),(28,7315350,'1',103,'N'),(28,7315368,'1',104,'N'),(28,7315376,'1',326,'N'),(28,7315384,'1',104,'N'),(28,7315392,'1',404,'N'),(28,7315406,'1',9,'N'),(28,7315414,'1',317,'N'),(28,7315422,'1',551,'N'),(28,7315457,'1',5,'N'),(28,7315465,'1',207,'N'),(28,7315465,'1A',238,'N'),(28,7315473,'1',201,'N'),(28,7315473,'1A',212,'N'),(28,7315490,'1',319,'N'),(28,7315503,'1',103,'N'),(28,7315511,'1',103,'N'),(28,7315520,'1',9,'N'),(28,7315538,'1',9,'N'),(28,7315546,'1',454,'N'),(28,7315554,'1',319,'N'),(28,7315562,'1',654,'N'),(28,7315570,'1',103,'N'),(28,7315589,'1',201,'N'),(28,7315589,'1A',601,'N'),(28,7315600,'1',208,'N'),(28,7315619,'1',301,'N'),(28,7315627,'1',201,'N'),(28,7315627,'1A',207,'N'),(28,7315643,'1',104,'N'),(28,7315651,'1',999,'N'),(28,7315660,'1',211,'N'),(28,7315660,'1A',216,'N'),(28,7315678,'1',319,'N'),(28,7315686,'1',201,'N'),(28,7315686,'1A',202,'N'),(28,7315694,'1',103,'N'),(28,7315708,'1',234,'N'),(28,7315732,'1',102,'N'),(28,7315759,'1',238,'N'),(28,7315759,'1A',235,'N'),(28,7315767,'1',220,'N'),(28,7315767,'1A',203,'N'),(28,7315775,'1',5,'N'),(28,7315783,'1',203,'N'),(28,7315783,'1A',213,'N'),(28,7315791,'1',101,'N'),(28,7315805,'1',337,'N'),(28,7315813,'1',338,'N'),(28,7315821,'1',201,'N'),(28,7315821,'1A',203,'N'),(28,7315830,'1',339,'N'),(28,7315864,'1',444,'N'),(28,7315880,'1',303,'N'),(28,7315899,'1',316,'N'),(28,7315902,'1',340,'N'),(28,7315929,'1',211,'N'),(28,7315929,'1A',212,'N'),(28,7315937,'1',220,'N'),(28,7315937,'1A',213,'N'),(28,7315945,'1',207,'N'),(28,7315945,'1A',201,'N'),(28,7315953,'1',207,'N'),(28,7315953,'1A',201,'N'),(28,7315961,'1',207,'N'),(28,7315961,'1A',201,'N'),(28,7315970,'1',104,'N'),(28,7315996,'1',999,'N'),(28,7316003,'1',234,'N'),(28,7316020,'1',340,'N'),(28,7316038,'1',999,'N'),(28,7316046,'1',205,'N'),(28,7316054,'1',336,'N'),(28,7316062,'1',108,'N'),(28,7316070,'1',101,'N'),(28,7316097,'1',201,'N'),(28,7316097,'1A',202,'N'),(28,7316100,'1',301,'N'),(28,7316119,'1',208,'N'),(28,7316127,'1',207,'N'),(28,7316127,'1A',216,'N'),(28,7316135,'1',102,'N'),(28,7316143,'1',225,'N'),(28,7316160,'1',5,'N'),(28,7316194,'1',109,'N'),(28,7316208,'1',5,'N'),(28,7316216,'1',316,'N'),(28,7316224,'1',340,'N'),(28,7316240,'1',2,'N'),(28,7316259,'1',319,'N'),(28,7316267,'1',201,'N'),(28,7316267,'1A',211,'N'),(28,7316275,'1',5,'N'),(28,7316283,'1',303,'N'),(28,7316305,'1',9,'N'),(28,7316330,'1',5,'N'),(28,7316348,'1',103,'N'),(28,7316356,'1',404,'N'),(28,7316364,'1',212,'N'),(28,7316364,'1A',238,'N'),(28,7316372,'1',319,'N'),(28,7316380,'1',103,'N'),(28,7316399,'1',335,'N'),(28,7316437,'1',238,'N'),(28,7316445,'1',999,'N'),(28,7316461,'1',319,'N'),(28,7316470,'1',601,'N'),(28,7316470,'1A',202,'N'),(28,7316488,'1',319,'N'),(28,7316496,'1',108,'N'),(28,7316500,'1',103,'N'),(28,7316518,'1',110,'N'),(28,7316526,'1',103,'N'),(28,7316534,'1',999,'N'),(28,7316542,'1',230,'N'),(28,7316550,'1',208,'N'),(28,7316569,'1',104,'N'),(28,7316577,'1',999,'N'),(28,7316593,'1',999,'N'),(28,7316607,'1',102,'N'),(28,7316623,'1',319,'N'),(28,7316631,'1',428,'N'),(28,7316631,'1A',424,'N'),(28,7316666,'1',319,'N'),(28,7316674,'1',423,'N'),(28,7316674,'1A',429,'N'),(28,7316682,'1',101,'N'),(28,7316690,'1',201,'N'),(28,7316690,'1A',212,'N'),(28,7316704,'1',552,'N'),(28,7316712,'1',103,'N'),(28,7316720,'1',999,'N'),(28,7316739,'1',207,'N'),(28,7316739,'1A',201,'N'),(28,7316747,'1',309,'N'),(28,7316755,'1',308,'N'),(28,7316763,'1',233,'N'),(28,7316763,'1A',216,'N'),(28,7316771,'1',429,'N'),(28,7316771,'1A',426,'N'),(28,7316780,'1',454,'N'),(28,7316801,'1',211,'N'),(28,7316801,'1A',215,'N'),(28,7316810,'1',340,'N'),(28,7316828,'1',238,'N'),(28,7316828,'1A',207,'N'),(28,7316836,'1',340,'N'),(28,7316852,'1',450,'N'),(28,7316860,'1',201,'N'),(28,7316860,'1A',203,'N'),(28,7316879,'1',655,'N'),(28,7316879,'1A',653,'N'),(28,7316887,'1',216,'N'),(28,7316887,'1A',215,'N'),(28,7316895,'1',102,'N'),(28,7316909,'1',999,'N'),(28,7316917,'1',211,'N'),(28,7316917,'1A',233,'N'),(28,7316925,'1',207,'N'),(28,7316925,'1A',215,'N'),(28,7316933,'1',101,'N'),(28,7316941,'1',208,'N'),(28,7316950,'1',999,'N'),(28,7316976,'1',302,'N'),(28,7316984,'1',110,'N'),(28,7316992,'1',501,'N'),(28,7317000,'1',103,'N'),(28,7317018,'1',109,'N'),(28,7317026,'1',415,'N'),(28,7317034,'1',316,'N'),(28,7317042,'1',319,'N'),(28,7317050,'1',202,'N'),(28,7317077,'1',444,'N'),(28,7317085,'1',103,'N'),(28,7317093,'1',303,'N'),(28,7317107,'1',103,'N'),(28,7317115,'1',552,'N'),(28,7317123,'1',308,'N'),(28,7317131,'1',103,'N'),(28,7317158,'1',216,'N'),(28,7317158,'1A',203,'N'),(28,7317166,'1',429,'N'),(28,7317166,'1A',425,'N'),(28,7317182,'1',234,'N'),(28,7317190,'1',208,'N'),(28,7317204,'1',207,'N'),(28,7317204,'1A',238,'N'),(28,7317212,'1',304,'N'),(28,7317220,'1',552,'N'),(28,7317247,'1',103,'N'),(28,7317255,'1',202,'N'),(28,7317255,'1A',220,'N'),(28,7317263,'1',317,'N'),(28,7317271,'1',5,'N'),(28,7317280,'1',303,'N'),(28,7317298,'1',201,'N'),(28,7317298,'1A',212,'N'),(28,7317301,'1',319,'N'),(28,7317328,'1',655,'N'),(28,7317328,'1A',235,'N'),(28,7317336,'1',234,'N'),(28,7317352,'1',103,'N'),(28,7317360,'1',601,'N'),(28,7317379,'1',502,'N'),(28,7317387,'1',110,'N'),(28,7317395,'1',415,'N'),(28,7317409,'1',552,'N'),(28,7317417,'1',652,'N'),(28,7317417,'1A',653,'N'),(28,7317425,'1',201,'N'),(28,7317425,'1A',207,'N'),(28,7317433,'1',655,'N'),(28,7317433,'1A',653,'N'),(28,7317450,'1',104,'N'),(28,7317468,'1',205,'N'),(28,7317476,'1',340,'N'),(28,7317484,'1',319,'N'),(28,7317492,'1',104,'N'),(28,7317506,'1',201,'N'),(28,7317514,'1',426,'N'),(28,7317514,'1A',428,'N'),(28,7317522,'1',316,'N'),(28,7317530,'1',108,'N'),(28,7317549,'1',551,'N'),(28,7317557,'1',104,'N'),(28,7317565,'1',301,'N'),(28,7317581,'1',103,'N'),(28,7317603,'1',317,'N'),(28,7317611,'1',999,'N'),(28,7317620,'1',415,'N'),(28,7317638,'1',301,'N'),(28,7317646,'1',319,'N'),(28,7317654,'1',317,'N'),(28,7317662,'1',421,'N'),(28,7317670,'1',324,'N'),(28,7317689,'1',340,'N'),(28,7317697,'1',303,'N'),(28,7317700,'1',103,'N'),(28,7317719,'1',104,'N'),(28,7317727,'1',104,'N'),(28,7317735,'1',454,'N'),(28,7317743,'1',201,'N'),(28,7317743,'1A',207,'N'),(28,7317751,'1',216,'N'),(28,7317751,'1A',233,'N'),(28,7317760,'1',552,'N'),(28,7317778,'1',103,'N'),(28,7317786,'1',340,'N'),(28,7317794,'1',238,'N'),(28,7317794,'1A',655,'N'),(28,7317808,'1',326,'N'),(28,7317816,'1',454,'N'),(28,7317824,'1',318,'N'),(28,7317832,'1',103,'N'),(28,7317859,'1',304,'N'),(28,7317867,'1',601,'N'),(28,7317875,'1',318,'N'),(28,7317883,'1',999,'N'),(28,7317891,'1',999,'N'),(28,7317905,'1',301,'N'),(28,7317913,'1',303,'N'),(28,7317948,'1',201,'N'),(28,7317948,'1A',233,'N'),(28,7317956,'1',551,'N'),(28,7317972,'1',317,'N'),(28,7317980,'1',340,'N'),(28,7317999,'1',340,'N'),(28,7318006,'1',301,'N'),(28,7318014,'1',216,'N'),(28,7318014,'1A',201,'N'),(28,7318022,'1',303,'N'),(28,7318049,'1',303,'N'),(28,7318057,'1',302,'N'),(28,7318065,'1',451,'N'),(28,7318073,'1',999,'N'),(28,7318081,'1',108,'N'),(28,7318090,'1',302,'N'),(28,7318103,'1',316,'N'),(28,7318111,'1',337,'N'),(28,7318120,'1',207,'N'),(28,7318120,'1A',201,'N'),(28,7318138,'1',999,'N'),(28,7318146,'1',103,'N'),(28,7318154,'1',220,'N'),(28,7318154,'1A',653,'N'),(28,7318162,'1',303,'N'),(28,7318170,'1',104,'N'),(28,7318189,'1',201,'N'),(28,7318189,'1A',212,'N'),(28,7318197,'1',415,'N'),(28,7318200,'1',108,'N'),(28,7318219,'1',201,'N'),(28,7318219,'1A',211,'N'),(28,7318227,'1',104,'N'),(28,7318235,'1',216,'N'),(28,7318235,'1A',202,'N'),(28,7318243,'1',233,'N'),(28,7318243,'1A',601,'N'),(28,7318251,'1',450,'N'),(28,7318260,'1',104,'N'),(28,7318278,'1',108,'N'),(28,7318286,'1',238,'N'),(28,7318294,'1',205,'N'),(28,7318308,'1',110,'N'),(28,7318316,'1',203,'N'),(28,7318316,'1A',601,'N'),(28,7318324,'1',340,'N'),(28,7318332,'1',103,'N'),(28,7318340,'1',213,'N'),(28,7318359,'1',104,'N'),(28,7318367,'1',303,'N'),(28,7318375,'1',318,'N'),(28,7318383,'1',207,'N'),(28,7318383,'1A',201,'N'),(28,7318391,'1',208,'N'),(28,7318413,'1',238,'N'),(28,7318413,'1A',207,'N'),(28,7318421,'1',103,'N'),(28,7318430,'1',303,'N'),(28,7318448,'1',340,'N'),(28,7318456,'1',212,'N'),(28,7318456,'1A',207,'N'),(28,7318464,'1',103,'N'),(28,7318472,'1',552,'N'),(28,7318480,'1',205,'N'),(28,7318499,'1',103,'N'),(28,7318502,'1',319,'N'),(28,7318510,'1',103,'N'),(28,7318537,'1',319,'N'),(28,7318545,'1',316,'N'),(28,7318553,'1',211,'N'),(28,7318553,'1A',215,'N'),(28,7318588,'1',317,'N'),(28,7318596,'1',316,'N'),(28,7318600,'1',201,'N'),(28,7318600,'1A',211,'N'),(28,7318618,'1',201,'N'),(28,7318626,'1',103,'N'),(28,7318642,'1',319,'N'),(28,7318650,'1',208,'N'),(28,7318669,'1',319,'N'),(28,7318677,'1',233,'N'),(28,7318677,'1A',213,'N'),(28,7318707,'1',655,'N'),(28,7318707,'1A',653,'N'),(28,7318715,'1',303,'N'),(28,7318723,'1',415,'N'),(28,7318731,'1',444,'N'),(28,7318740,'1',201,'N'),(28,7318758,'1',552,'N'),(28,7318766,'1',201,'N'),(28,7318766,'1A',207,'N'),(28,7318782,'1',205,'N'),(28,7318790,'1',211,'N'),(28,7318790,'1A',601,'N'),(28,7318804,'1',332,'N'),(28,7318820,'1',103,'N'),(28,7318839,'1',654,'N'),(28,7318847,'1',340,'N'),(28,7318855,'1',103,'N'),(28,7318863,'1',202,'N'),(28,7318863,'1A',213,'N'),(28,7318871,'1',332,'N'),(28,7318880,'1',207,'N'),(28,7318880,'1A',211,'N'),(28,7318898,'1',103,'N'),(28,7318901,'1',207,'N'),(28,7318901,'1A',601,'N'),(28,7318910,'1',308,'N'),(28,7318928,'1',654,'N'),(28,7318944,'1',340,'N'),(28,7318952,'1',404,'N'),(28,7318960,'1',316,'N'),(28,7318979,'1',454,'N'),(28,7318987,'1',999,'N'),(28,7318995,'1',310,'N'),(28,7319010,'1',5,'N'),(28,7319029,'1',216,'N'),(28,7319029,'1A',211,'N'),(28,7319037,'1',103,'N'),(28,7319045,'1',238,'N'),(28,7319045,'1A',601,'N'),(28,7319053,'1',203,'N'),(28,7319053,'1A',207,'N'),(28,7319061,'1',103,'N'),(28,7319088,'1',404,'N'),(28,7319096,'1',424,'N'),(28,7319096,'1A',427,'N'),(28,7319100,'1',103,'N'),(28,7319118,'1',202,'N'),(28,7319118,'1A',211,'N'),(28,7319142,'1',454,'N'),(28,7319150,'1',999,'N'),(28,7319169,'1',203,'N'),(28,7319169,'1A',220,'N'),(28,7319177,'1',328,'N'),(28,7319185,'1',211,'N'),(28,7319185,'1A',215,'N'),(28,7319193,'1',207,'N'),(28,7319193,'1A',201,'N'),(28,7319207,'1',213,'N'),(28,7319207,'1A',214,'N'),(28,7319240,'1',238,'N'),(28,7319258,'1',103,'N'),(28,7319266,'1',103,'N'),(28,7319274,'1',211,'N'),(28,7319274,'1A',238,'N'),(28,7319282,'1',207,'N'),(28,7319282,'1A',201,'N'),(28,7319290,'1',340,'N'),(28,7319304,'1',303,'N'),(28,7319312,'1',201,'N'),(28,7319312,'1A',203,'N'),(28,7319339,'1',233,'N'),(28,7319339,'1A',238,'N'),(28,7319347,'1',216,'N'),(28,7319347,'1A',201,'N'),(28,7319355,'1',211,'N'),(28,7319371,'1',238,'N'),(28,7319371,'1A',203,'N'),(28,7319380,'1',201,'N'),(28,7319401,'1',454,'N'),(28,7319410,'1',333,'N'),(28,7319428,'1',317,'N'),(28,7319436,'1',201,'N'),(28,7319436,'1A',601,'N'),(28,7319444,'1',201,'N'),(28,7319444,'1A',235,'N'),(28,7319460,'1',103,'N'),(28,7319479,'1',212,'N'),(28,7319479,'1A',213,'N'),(28,7319495,'1',103,'N'),(28,7319509,'1',215,'N'),(28,7319517,'1',317,'N'),(28,7319525,'1',214,'N'),(28,7319525,'1A',201,'N'),(28,7319541,'1',104,'N'),(28,7319550,'1',103,'N'),(28,7319568,'1',332,'N'),(28,7319576,'1',103,'N'),(28,7319592,'1',103,'N'),(28,7319606,'1',203,'N'),(28,7319606,'1A',214,'N'),(28,7319614,'1',110,'N'),(28,7319622,'1',108,'N'),(28,7319630,'1',208,'N'),(28,7319649,'1',201,'N'),(28,7319649,'1A',235,'N'),(28,7319657,'1',238,'N'),(28,7319657,'1A',652,'N'),(28,7319665,'1',450,'N'),(28,7319673,'1',326,'N'),(28,7319681,'1',103,'N'),(28,7319690,'1',319,'N'),(28,7319703,'1',654,'N'),(28,7319711,'1',104,'N'),(28,7319720,'1',601,'N'),(28,7319738,'1',233,'N'),(28,7319738,'1A',213,'N'),(28,7319746,'1',214,'N'),(28,7319746,'1A',216,'N'),(28,7319762,'1',301,'N'),(28,7319789,'1',502,'N'),(28,7319797,'1',5,'N'),(28,7319800,'1',207,'N'),(28,7319800,'1A',216,'N'),(28,7319819,'1',2,'N'),(28,7319827,'1',415,'N'),(28,7319835,'1',203,'N'),(28,7319835,'1A',233,'N'),(28,7319843,'1',655,'N'),(28,7319843,'1A',202,'N'),(28,7319851,'1',653,'N'),(28,7319851,'1A',216,'N'),(28,7319860,'1',316,'N'),(28,7319878,'1',999,'N'),(28,7319886,'1',999,'N'),(28,7319894,'1',654,'N'),(28,7319908,'1',319,'N'),(28,7319916,'1',404,'N'),(28,7319924,'1',201,'N'),(28,7319924,'1A',213,'N'),(28,7319932,'1',404,'N'),(28,7319940,'1',203,'N'),(28,7319940,'1A',202,'N'),(28,7319959,'1',444,'N'),(28,7319967,'1',110,'N'),(28,7319975,'1',220,'N'),(28,7319975,'1A',203,'N'),(28,7319983,'1',216,'N'),(28,7319983,'1A',235,'N'),(28,7319991,'1',501,'N'),(28,7320000,'1',552,'N'),(28,7320019,'1',203,'N'),(28,7320019,'1A',201,'N'),(28,7320043,'1',340,'N'),(28,7320051,'1',104,'N'),(28,7320060,'1',454,'N'),(28,7320086,'1',5,'N'),(28,7320094,'1',208,'N'),(28,7320108,'1',238,'N'),(28,7320116,'1',103,'N'),(28,7320124,'1',103,'N'),(28,7320132,'1',101,'N'),(28,7320159,'1',214,'N'),(28,7320159,'1A',213,'N'),(28,7320167,'1',104,'N'),(28,7320175,'1',304,'N'),(28,7320183,'1',319,'N'),(28,7320205,'1',655,'N'),(28,7320205,'1A',235,'N'),(28,7320213,'1',304,'N'),(28,7320221,'1',102,'N'),(28,7320248,'1',303,'N'),(28,7320256,'1',5,'N'),(28,7320264,'1',102,'N'),(28,7320272,'1',999,'N'),(28,7320280,'1',224,'N'),(28,7320299,'1',108,'N'),(28,7320310,'1',203,'N'),(28,7320310,'1A',233,'N'),(28,7320329,'1',454,'N'),(28,7320337,'1',999,'N'),(28,7320345,'1',339,'N'),(28,7320353,'1',103,'N'),(28,7320361,'1',201,'N'),(28,7320361,'1A',212,'N'),(28,7320370,'1',201,'N'),(28,7320370,'1A',212,'N'),(28,7320388,'1',999,'N'),(28,7320396,'1',104,'N'),(28,7320418,'1',211,'N'),(28,7320418,'1A',215,'N'),(28,7320426,'1',319,'N'),(28,7320442,'1',552,'N'),(28,7320450,'1',444,'N'),(28,7320469,'1',201,'N'),(28,7320469,'1A',601,'N'),(28,7320477,'1',205,'N'),(28,7320493,'1',211,'N'),(28,7320493,'1A',216,'N'),(28,7320523,'1',201,'N'),(28,7320523,'1A',207,'N'),(28,7320531,'1',203,'N'),(28,7320531,'1A',601,'N'),(28,7320540,'1',103,'N'),(28,7320558,'1',316,'N'),(28,7320566,'1',303,'N'),(28,7320574,'1',5,'N'),(28,7320582,'1',103,'N'),(28,7320604,'1',316,'N'),(28,7320612,'1',103,'N'),(28,7320620,'1',201,'N'),(28,7320620,'1A',235,'N'),(28,7320639,'1',303,'N'),(28,7320655,'1',304,'N'),(28,7320663,'1',5,'N'),(28,7320671,'1',9,'N'),(28,7320680,'1',203,'N'),(28,7320680,'1A',214,'N'),(28,7320698,'1',103,'N'),(28,7320710,'1',104,'N'),(28,7320728,'1',654,'N'),(28,7320736,'1',999,'N'),(28,7320744,'1',207,'N'),(28,7320744,'1A',601,'N'),(28,7320752,'1',201,'N'),(28,7320760,'1',101,'N'),(28,7320779,'1',320,'N'),(28,7320787,'1',207,'N'),(28,7320787,'1A',211,'N'),(28,7320795,'1',319,'N'),(28,7320809,'1',654,'N'),(28,7320817,'1',303,'N'),(28,7320825,'1',238,'N'),(28,7320825,'1A',655,'N'),(28,7320833,'1',207,'N'),(28,7320833,'1A',201,'N'),(28,7320850,'1',201,'N'),(28,7320850,'1A',207,'N'),(28,7320868,'1',207,'N'),(28,7320868,'1A',201,'N'),(28,7320884,'1',444,'N'),(28,7320892,'1',999,'N'),(28,7320906,'1',552,'N'),(28,7320914,'1',201,'N'),(28,7320914,'1A',212,'N'),(28,7320922,'1',201,'N'),(28,7320922,'1A',212,'N'),(28,7320930,'1',303,'N'),(28,7320949,'1',999,'N'),(28,7320957,'1',655,'N'),(28,7320957,'1A',238,'N'),(28,7320965,'1',103,'N'),(28,7320973,'1',336,'N'),(28,7320981,'1',203,'N'),(28,7320981,'1A',215,'N'),(28,7321007,'1',404,'N'),(28,7321015,'1',340,'N'),(28,7321040,'1',301,'N'),(28,7321058,'1',316,'N'),(28,7321066,'1',5,'N'),(28,7321074,'1',415,'N'),(28,7321082,'1',104,'N'),(28,7321104,'1',104,'N'),(28,7321112,'1',303,'N'),(28,7321120,'1',552,'N'),(28,7321147,'1',238,'N'),(28,7321147,'1A',235,'N'),(28,7321155,'1',999,'N'),(28,7321163,'1',103,'N'),(28,7321171,'1',501,'N'),(28,7321198,'1',415,'N'),(28,7321201,'1',201,'N'),(28,7321201,'1A',212,'N'),(28,7321228,'1',319,'N'),(28,7321236,'1',340,'N'),(28,7321244,'1',999,'N'),(28,7321252,'1',234,'N'),(28,7321260,'1',444,'N'),(28,7321279,'1',316,'N'),(28,7321287,'1',207,'N'),(28,7321287,'1A',211,'N'),(28,7321295,'1',502,'N'),(28,7321309,'1',654,'N'),(28,7321317,'1',333,'N'),(28,7321333,'1',440,'N'),(28,7321341,'1',444,'N'),(28,7321350,'1',103,'N'),(28,7321368,'1',201,'N'),(28,7321368,'1A',235,'N'),(28,7321376,'1',238,'N'),(28,7321406,'1',308,'N'),(28,7321414,'1',211,'N'),(28,7321414,'1A',215,'N'),(28,7321422,'1',501,'N'),(28,7321430,'1',301,'N'),(28,7321449,'1',601,'N'),(28,7321449,'1A',203,'N'),(28,7321457,'1',316,'N'),(28,7321465,'1',207,'N'),(28,7321465,'1A',201,'N'),(28,7321473,'1',103,'N'),(28,7321481,'1',301,'N'),(28,7321490,'1',104,'N'),(28,7321503,'1',203,'N'),(28,7321503,'1A',201,'N'),(28,7321511,'1',340,'N'),(28,7321546,'1',207,'N'),(28,7321554,'1',415,'N'),(28,7321562,'1',316,'N'),(28,7321570,'1',404,'N'),(28,7321589,'1',302,'N'),(28,7321597,'1',316,'N'),(28,7321600,'1',234,'N'),(28,7321619,'1',103,'N'),(28,7321643,'1',103,'N'),(28,7321678,'1',503,'N'),(28,7321686,'1',203,'N'),(28,7321686,'1A',235,'N'),(28,7321694,'1',5,'N'),(28,7321708,'1',421,'N'),(28,7321708,'1A',424,'N'),(28,7321716,'1',999,'N'),(28,7321724,'1',208,'N'),(28,7321732,'1',207,'N'),(28,7321759,'1',5,'N'),(28,7321767,'1',328,'N'),(28,7321783,'1',216,'N'),(28,7321783,'1A',233,'N'),(28,7321791,'1',109,'N'),(28,7321813,'1',238,'N'),(28,7321813,'1A',235,'N'),(28,7321821,'1',207,'N'),(28,7321821,'1A',201,'N'),(28,7321830,'1',333,'N'),(28,7321856,'1',215,'N'),(28,7321856,'1A',211,'N'),(28,7321864,'1',5,'N'),(28,7321872,'1',207,'N'),(28,7321872,'1A',601,'N'),(28,7321880,'1',103,'N'),(28,7321899,'1',5,'N'),(28,7321902,'1',5,'N'),(28,7321910,'1',207,'N'),(28,7321910,'1A',201,'N'),(28,7321929,'1',319,'N'),(28,7321937,'1',212,'N'),(28,7321937,'1A',207,'N'),(28,7321945,'1',332,'N'),(28,7321953,'1',335,'N'),(28,7321961,'1',450,'N'),(28,7321970,'1',301,'N'),(28,7321988,'1',208,'N'),(28,7321996,'1',108,'N'),(28,7322003,'1',104,'N'),(28,7322011,'1',104,'N'),(28,7322020,'1',327,'N'),(28,7322046,'1',552,'N'),(28,7322054,'1',317,'N'),(28,7322062,'1',103,'N'),(28,7322070,'1',339,'N'),(28,7322089,'1',213,'N'),(28,7322089,'1A',233,'N'),(28,7322100,'1',103,'N'),(28,7322119,'1',201,'N'),(28,7322119,'1A',601,'N'),(28,7322127,'1',999,'N'),(28,7322135,'1',103,'N'),(28,7322143,'1',216,'N'),(28,7322143,'1A',233,'N'),(28,7322151,'1',450,'N'),(28,7322160,'1',103,'N'),(28,7322178,'1',340,'N'),(28,7322186,'1',444,'N'),(28,7322194,'1',104,'N'),(28,7322208,'1',601,'N'),(28,7322208,'1A',212,'N'),(28,7322216,'1',211,'N'),(28,7322224,'1',201,'N'),(28,7322224,'1A',601,'N'),(28,7322240,'1',233,'N'),(28,7322240,'1A',601,'N'),(28,7322259,'1',5,'N'),(28,7322267,'1',601,'N'),(28,7322267,'1A',653,'N'),(28,7322283,'1',444,'N'),(28,7322291,'1',3,'N'),(28,7322305,'1',102,'N'),(28,7322313,'1',203,'N'),(28,7322313,'1A',214,'N'),(28,7322321,'1',404,'N'),(28,7322364,'1',340,'N'),(28,7322372,'1',3,'N'),(28,7322380,'1',501,'N'),(28,7322399,'1',203,'N'),(28,7322399,'1A',201,'N'),(28,7322402,'1',216,'N'),(28,7322402,'1A',214,'N'),(28,7322429,'1',454,'N'),(28,7322437,'1',216,'N'),(28,7322437,'1A',203,'N'),(28,7322445,'1',601,'N'),(28,7322445,'1A',203,'N'),(28,7322453,'1',454,'N'),(28,7322461,'1',208,'N'),(28,7322488,'1',303,'N'),(28,7322496,'1',331,'N'),(28,7322500,'1',208,'N'),(28,7322518,'1',316,'N'),(28,7322526,'1',454,'N'),(28,7322534,'1',101,'N'),(28,7322542,'1',5,'N'),(28,7322550,'1',303,'N'),(28,7322569,'1',333,'N'),(28,7322577,'1',302,'N'),(28,7322585,'1',317,'N'),(28,7322593,'1',502,'N'),(28,7322615,'1',308,'N'),(28,7322623,'1',103,'N'),(28,7322640,'1',302,'N'),(28,7322658,'1',5,'N'),(28,7322666,'1',310,'N'),(28,7322690,'1',208,'N'),(28,7322704,'1',316,'N'),(28,7322712,'1',319,'N'),(28,7322720,'1',103,'N'),(28,7322739,'1',104,'N'),(28,7322755,'1',316,'N'),(28,7322771,'1',999,'N'),(28,7322780,'1',212,'N'),(28,7322780,'1A',213,'N'),(28,7322798,'1',428,'N'),(28,7322798,'1A',425,'N'),(28,7322801,'1',502,'N'),(28,7322810,'1',104,'N'),(28,7322836,'1',216,'N'),(28,7322836,'1A',203,'N'),(28,7322844,'1',338,'N'),(28,7322852,'1',208,'N'),(28,7322860,'1',318,'N'),(28,7322879,'1',316,'N'),(28,7322887,'1',103,'N'),(28,7322895,'1',304,'N'),(28,7322909,'1',320,'N'),(28,7322917,'1',211,'N'),(28,7322917,'1A',207,'N'),(28,7322925,'1',320,'N'),(28,7322933,'1',999,'N'),(28,7322941,'1',309,'N'),(28,7322950,'1',450,'N'),(28,7322968,'1',601,'N'),(28,7322968,'1A',220,'N'),(28,7322976,'1',203,'N'),(28,7322976,'1A',207,'N'),(28,7322984,'1',103,'N'),(28,7322992,'1',103,'N'),(28,7323000,'1',404,'N'),(28,7323018,'1',102,'N'),(28,7323026,'1',108,'N'),(28,7323034,'1',238,'N'),(28,7323034,'1A',201,'N'),(28,7323042,'1',9,'N'),(28,7323050,'1',301,'N'),(28,7323085,'1',551,'N'),(28,7323093,'1',654,'N'),(28,7323107,'1',216,'N'),(28,7323115,'1',319,'N'),(28,7323123,'1',103,'N'),(28,7323131,'1',319,'N'),(28,7323140,'1',501,'N'),(28,7323158,'1',303,'N'),(28,7323174,'1',102,'N'),(28,7323212,'1',501,'N'),(28,7323220,'1',454,'N'),(28,7323239,'1',213,'N'),(28,7323239,'1A',214,'N'),(28,7323247,'1',301,'N'),(28,7323255,'1',102,'N'),(28,7323263,'1',207,'N'),(28,7323263,'1A',201,'N'),(28,7323271,'1',233,'N'),(28,7323271,'1A',601,'N'),(28,7323280,'1',103,'N'),(28,7323301,'1',601,'N'),(28,7323301,'1A',201,'N'),(28,7323310,'1',108,'N'),(28,7323328,'1',238,'N'),(28,7323328,'1A',211,'N'),(28,7323336,'1',317,'N'),(28,7323344,'1',104,'N'),(28,7323352,'1',103,'N'),(28,7323379,'1',211,'N'),(28,7323379,'1A',213,'N'),(28,7323387,'1',326,'N'),(28,7323395,'1',454,'N'),(28,7323409,'1',201,'N'),(28,7323409,'1A',238,'N'),(28,7323417,'1',318,'N'),(28,7323425,'1',104,'N'),(28,7323441,'1',103,'N'),(28,7323450,'1',110,'N'),(28,7323468,'1',454,'N'),(28,7323476,'1',108,'N'),(28,7323484,'1',310,'N'),(28,7323492,'1',999,'N'),(28,7323506,'1',301,'N'),(28,7323522,'1',316,'N'),(28,7323530,'1',318,'N'),(28,7323549,'1',222,'N'),(28,7323557,'1',316,'N'),(28,7323565,'1',454,'N'),(28,7323573,'1',103,'N'),(28,7323581,'1',103,'N'),(28,7323590,'1',339,'N'),(28,7323603,'1',104,'N'),(28,7323611,'1',212,'N'),(28,7323611,'1A',201,'N'),(28,7323620,'1',103,'N'),(28,7323638,'1',339,'N'),(28,7323646,'1',301,'N'),(28,7323654,'1',999,'N'),(28,7323662,'1',301,'N'),(28,7323670,'1',340,'N'),(28,7323689,'1',454,'N'),(28,7323697,'1',318,'N'),(28,7323700,'1',317,'N'),(28,7323719,'1',103,'N'),(28,7323727,'1',303,'N'),(28,7323735,'1',104,'N'),(28,7323743,'1',339,'N'),(28,7323760,'1',601,'N'),(28,7323760,'1A',655,'N'),(28,7323778,'1',102,'N'),(28,7323786,'1',5,'N'),(28,7323794,'1',450,'N'),(28,7323808,'1',326,'N'),(28,7323816,'1',9,'N'),(28,7323832,'1',415,'N'),(28,7323840,'1',601,'N'),(28,7323840,'1A',220,'N'),(28,7323859,'1',207,'N'),(28,7323859,'1A',220,'N'),(28,7323867,'1',208,'N'),(28,7323875,'1',103,'N'),(28,7323883,'1',332,'N'),(28,7323891,'1',302,'N'),(28,7323905,'1',203,'N'),(28,7323905,'1A',214,'N'),(28,7323913,'1',319,'N'),(28,7323921,'1',213,'N'),(28,7323921,'1A',235,'N'),(28,7323930,'1',454,'N'),(28,7323948,'1',303,'N'),(28,7323956,'1',653,'N'),(28,7323956,'1A',652,'N'),(28,7323964,'1',109,'N'),(28,7323972,'1',999,'N'),(28,7323980,'1',308,'N'),(28,7323999,'1',444,'N'),(28,7324014,'1',208,'N'),(28,7324022,'1',999,'N'),(28,7324030,'1',103,'N'),(28,7324049,'1',444,'N'),(28,7324057,'1',234,'N'),(28,7324065,'1',653,'N'),(28,7324073,'1',340,'N'),(28,7324081,'1',103,'N'),(28,7324090,'1',203,'N'),(28,7324090,'1A',235,'N'),(28,7324103,'1',101,'N'),(28,7324111,'1',203,'N'),(28,7324111,'1A',220,'N'),(28,7324138,'1',103,'N'),(28,7324146,'1',211,'N'),(28,7324146,'1A',601,'N'),(28,7324154,'1',208,'N'),(28,7324162,'1',303,'N'),(28,7324170,'1',601,'N'),(28,7324200,'1',5,'N'),(28,7324219,'1',320,'N'),(28,7324227,'1',552,'N'),(28,7324235,'1',444,'N'),(28,7324243,'1',303,'N'),(28,7324251,'1',999,'N'),(28,7324260,'1',303,'N'),(28,7324278,'1',308,'N'),(28,7324286,'1',601,'N'),(28,7324286,'1A',215,'N'),(28,7324294,'1',501,'N'),(28,7324316,'1',415,'N'),(28,7324332,'1',332,'N'),(28,7324340,'1',303,'N'),(28,7324359,'1',552,'N'),(28,7324367,'1',317,'N'),(28,7324375,'1',102,'N'),(28,7324383,'1',238,'N'),(28,7324383,'1A',214,'N'),(28,7324391,'1',316,'N'),(28,7324405,'1',109,'N'),(28,7324413,'1',5,'N'),(28,7324421,'1',319,'N'),(28,7324430,'1',2,'N'),(28,7324456,'1',238,'N'),(28,7324456,'1A',214,'N'),(28,7324464,'1',9,'N'),(28,7324472,'1',301,'N'),(28,7324480,'1',339,'N'),(28,7324499,'1',103,'N'),(28,7324502,'1',320,'N'),(28,7324510,'1',501,'N'),(28,7324529,'1',302,'N'),(28,7324537,'1',316,'N'),(28,7324545,'1',317,'N'),(28,7324570,'1',308,'N'),(28,7324588,'1',108,'N'),(28,7324596,'1',424,'N'),(28,7324596,'1A',426,'N'),(28,7324600,'1',103,'N'),(28,7324618,'1',201,'N'),(28,7324618,'1A',212,'N'),(28,7324626,'1',415,'N'),(28,7324634,'1',103,'N'),(28,7324650,'1',327,'N'),(28,7324677,'1',203,'N'),(28,7324677,'1A',214,'N'),(28,7324693,'1',428,'N'),(28,7324693,'1A',427,'N'),(28,7324715,'1',429,'N'),(28,7324715,'1A',425,'N'),(28,7324723,'1',428,'N'),(28,7324723,'1A',426,'N'),(28,7324731,'1',316,'N'),(28,7324740,'1',301,'N'),(28,7324758,'1',415,'N'),(28,7324766,'1',214,'N'),(28,7324766,'1A',212,'N'),(28,7324774,'1',207,'N'),(28,7324782,'1',103,'N'),(28,7324790,'1',202,'N'),(28,7324790,'1A',216,'N'),(28,7324804,'1',104,'N'),(28,7324812,'1',425,'N'),(28,7324820,'1',207,'N'),(28,7324820,'1A',201,'N'),(28,7324839,'1',103,'N'),(28,7324863,'1',215,'N'),(28,7324863,'1A',216,'N'),(28,7324871,'1',308,'N'),(28,7324880,'1',103,'N'),(28,7324898,'1',999,'N'),(28,7324901,'1',999,'N'),(28,7324910,'1',5,'N'),(28,7324928,'1',213,'N'),(28,7324928,'1A',207,'N'),(28,7324936,'1',999,'N'),(28,7324944,'1',203,'N'),(28,7324944,'1A',202,'N'),(28,7324952,'1',101,'N'),(28,7324960,'1',238,'N'),(28,7324960,'1A',655,'N'),(28,7324979,'1',319,'N'),(28,7324987,'1',208,'N'),(28,7324995,'1',444,'N'),(28,7325002,'1',999,'N'),(28,7325010,'1',999,'N'),(28,7325029,'1',103,'N'),(28,7325037,'1',502,'N'),(28,7325045,'1',319,'N'),(28,7325053,'1',999,'N'),(28,7325070,'1',653,'N'),(28,7325088,'1',203,'N'),(28,7325088,'1A',214,'N'),(28,7325118,'1',220,'N'),(28,7325118,'1A',215,'N'),(28,7325126,'1',319,'N'),(28,7325142,'1',301,'N'),(28,7325150,'1',212,'N'),(28,7325150,'1A',215,'N'),(28,7325169,'1',655,'N'),(28,7325169,'1A',202,'N'),(28,7325177,'1',103,'N'),(28,7325185,'1',103,'N'),(28,7325193,'1',5,'N'),(28,7325207,'1',103,'N'),(28,7325215,'1',203,'N'),(28,7325215,'1A',213,'N'),(28,7325223,'1',212,'N'),(28,7325223,'1A',238,'N'),(28,7325231,'1',451,'N'),(28,7325240,'1',201,'N'),(28,7325258,'1',223,'N'),(28,7325266,'1',103,'N'),(28,7325274,'1',238,'N'),(28,7325274,'1A',220,'N'),(28,7325282,'1',335,'N'),(28,7325290,'1',213,'N'),(28,7325290,'1A',207,'N'),(28,7325304,'1',207,'N'),(28,7325304,'1A',213,'N'),(28,7325312,'1',103,'N'),(28,7325339,'1',999,'N'),(28,7325347,'1',104,'N'),(28,7325355,'1',444,'N'),(28,7325363,'1',319,'N'),(28,7325371,'1',201,'N'),(28,7325371,'1A',212,'N'),(28,7325380,'1',5,'N'),(28,7325398,'1',201,'N'),(28,7325398,'1A',207,'N'),(28,7325410,'1',5,'N'),(28,7325428,'1',454,'N'),(28,7325436,'1',103,'N'),(28,7325444,'1',428,'N'),(28,7325444,'1A',427,'N'),(28,7325452,'1',207,'N'),(28,7325452,'1A',215,'N'),(28,7325460,'1',327,'N'),(28,7325479,'1',201,'N'),(28,7325479,'1A',212,'N'),(28,7325487,'1',415,'N'),(28,7325495,'1',444,'N'),(28,7325509,'1',327,'N'),(28,7325517,'1',109,'N'),(28,7325533,'1',201,'N'),(28,7325533,'1A',211,'N'),(28,7325541,'1',319,'N'),(28,7325550,'1',319,'N'),(28,7325584,'1',415,'N'),(28,7325592,'1',999,'N'),(28,7325606,'1',655,'N'),(28,7325606,'1A',653,'N'),(28,7325614,'1',333,'N'),(28,7325622,'1',999,'N'),(28,7325630,'1',110,'N'),(28,7325649,'1',454,'N'),(28,7325673,'1',216,'N'),(28,7325673,'1A',215,'N'),(28,7325681,'1',103,'N'),(28,7325690,'1',501,'N'),(28,7325703,'1',316,'N'),(28,7325711,'1',202,'N'),(28,7325711,'1A',601,'N'),(28,7325720,'1',207,'N'),(28,7325738,'1',213,'N'),(28,7325738,'1A',201,'N'),(28,7325746,'1',318,'N'),(28,7325754,'1',999,'N'),(28,7325762,'1',551,'N'),(28,7325770,'1',999,'N'),(28,7325789,'1',238,'N'),(28,7325789,'1A',655,'N'),(28,7325797,'1',999,'N'),(28,7325800,'1',211,'N'),(28,7325800,'1A',202,'N'),(28,7325819,'1',207,'N'),(28,7325819,'1A',201,'N'),(28,7325827,'1',552,'N'),(28,7325835,'1',301,'N'),(28,7325843,'1',103,'N'),(28,7325851,'1',316,'N'),(28,7325860,'1',108,'N'),(28,7325878,'1',103,'N'),(28,7325886,'1',303,'N'),(28,7325894,'1',103,'N'),(28,7325908,'1',207,'N'),(28,7325908,'1A',201,'N'),(28,7325916,'1',340,'N'),(28,7325924,'1',309,'N'),(28,7325932,'1',5,'N'),(28,7325940,'1',415,'N'),(28,7325959,'1',201,'N'),(28,7325959,'1A',211,'N'),(28,7325967,'1',451,'N'),(28,7325975,'1',201,'N'),(28,7325975,'1A',207,'N'),(28,7325983,'1',103,'N'),(28,7325991,'1',450,'N'),(28,7326009,'1',999,'N'),(28,7326017,'1',101,'N'),(28,7326033,'1',444,'N'),(28,7326050,'1',404,'N'),(28,7326068,'1',319,'N'),(28,7326076,'1',103,'N'),(28,7326084,'1',316,'N'),(28,7326092,'1',501,'N'),(28,7326106,'1',5,'N'),(28,7326114,'1',301,'N'),(28,7326122,'1',108,'N'),(28,7326130,'1',216,'N'),(28,7326157,'1',102,'N'),(28,7326173,'1',601,'N'),(28,7326173,'1A',653,'N'),(28,7326181,'1',415,'N'),(28,7326190,'1',655,'N'),(28,7326190,'1A',201,'N'),(28,7326203,'1',655,'N'),(28,7326203,'1A',652,'N'),(28,7326211,'1',101,'N'),(28,7326220,'1',103,'N'),(28,7326238,'1',201,'N'),(28,7326246,'1',303,'N'),(28,7326254,'1',212,'N'),(28,7326254,'1A',201,'N'),(28,7326270,'1',454,'N'),(28,7326289,'1',450,'N'),(28,7326297,'1',450,'N'),(28,7326300,'1',319,'N'),(28,7326319,'1',415,'N'),(28,7326327,'1',601,'N'),(28,7326335,'1',320,'N'),(28,7326343,'1',103,'N'),(28,7326351,'1',238,'N'),(28,7326351,'1A',235,'N'),(28,7326360,'1',201,'N'),(28,7326360,'1A',233,'N'),(28,7326378,'1',223,'N'),(28,7326394,'1',238,'N'),(28,7326394,'1A',207,'N'),(28,7326408,'1',302,'N'),(28,7326416,'1',108,'N'),(28,7326432,'1',202,'N'),(28,7326432,'1A',220,'N'),(28,7326440,'1',319,'N'),(28,7326459,'1',103,'N'),(28,7326467,'1',999,'N'),(28,7326483,'1',999,'N'),(28,7326491,'1',238,'N'),(28,7326491,'1A',207,'N'),(28,7326505,'1',103,'N'),(28,7326513,'1',331,'N'),(28,7326521,'1',203,'N'),(28,7326521,'1A',201,'N'),(28,7326548,'1',103,'N'),(28,7326556,'1',451,'N'),(28,7326564,'1',415,'N'),(28,7326572,'1',207,'N'),(28,7326580,'1',238,'N'),(28,7326580,'1A',235,'N'),(28,7326599,'1',104,'N'),(28,7326602,'1',654,'N'),(28,7326610,'1',999,'N'),(28,7326629,'1',301,'N'),(28,7326645,'1',238,'N'),(28,7326645,'1A',203,'N'),(28,7326661,'1',319,'N'),(28,7326696,'1',335,'N'),(28,7326700,'1',215,'N'),(28,7326700,'1A',201,'N'),(28,7326718,'1',454,'N'),(28,7326726,'1',103,'N'),(28,7326734,'1',102,'N'),(28,7326742,'1',216,'N'),(28,7326742,'1A',233,'N'),(28,7326750,'1',301,'N'),(28,7326769,'1',601,'N'),(28,7326769,'1A',655,'N'),(28,7326777,'1',5,'N'),(28,7326793,'1',425,'N'),(28,7326793,'1A',429,'N'),(28,7326807,'1',601,'N'),(28,7326807,'1A',212,'N'),(28,7326823,'1',203,'N'),(28,7326823,'1A',211,'N'),(28,7326831,'1',214,'N'),(28,7326831,'1A',601,'N'),(28,7326840,'1',201,'N'),(28,7326840,'1A',212,'N'),(28,7326858,'1',999,'N'),(28,7326866,'1',201,'N'),(28,7326866,'1A',211,'N'),(28,7326882,'1',999,'N'),(28,7326890,'1',999,'N'),(28,7326904,'1',9,'N'),(28,7326920,'1',303,'N'),(28,7326939,'1',103,'N'),(28,7326947,'1',211,'N'),(28,7326947,'1A',215,'N'),(28,7326955,'1',999,'N'),(28,7326963,'1',340,'N'),(28,7326971,'1',103,'N'),(28,7326980,'1',103,'N'),(28,7326998,'1',415,'N'),(28,7327005,'1',103,'N'),(28,7327013,'1',404,'N'),(28,7327021,'1',653,'N'),(28,7327021,'1A',211,'N'),(28,7327030,'1',208,'N'),(28,7327048,'1',9,'N'),(28,7327056,'1',103,'N'),(28,7327064,'1',103,'N'),(28,7327080,'1',208,'N'),(28,7327099,'1',203,'N'),(28,7327099,'1A',214,'N'),(28,7327102,'1',103,'N'),(28,7327110,'1',220,'N'),(28,7327110,'1A',207,'N'),(28,7327129,'1',9,'N'),(28,7327137,'1',304,'N'),(28,7327145,'1',220,'N'),(28,7327145,'1A',203,'N'),(28,7327153,'1',201,'N'),(28,7327153,'1A',212,'N'),(28,7327161,'1',238,'N'),(28,7327161,'1A',216,'N'),(28,7327170,'1',5,'N'),(28,7327188,'1',999,'N'),(28,7327196,'1',238,'N'),(28,7327200,'1',208,'N'),(28,7327218,'1',303,'N'),(28,7327226,'1',304,'N'),(28,7327234,'1',207,'N'),(28,7327234,'1A',201,'N'),(28,7327242,'1',233,'N'),(28,7327242,'1A',238,'N'),(28,7327250,'1',201,'N'),(28,7327250,'1A',212,'N'),(28,7327269,'1',601,'N'),(28,7327269,'1A',233,'N'),(28,7327277,'1',999,'N'),(28,7327285,'1',331,'N'),(28,7327307,'1',308,'N'),(28,7327315,'1',601,'N'),(28,7327315,'1A',203,'N'),(28,7327323,'1',208,'N'),(28,7327331,'1',207,'N'),(28,7327331,'1A',201,'N'),(28,7327340,'1',108,'N'),(28,7327366,'1',207,'N'),(28,7327366,'1A',201,'N'),(28,7327374,'1',999,'N'),(28,7327382,'1',316,'N'),(28,7327404,'1',425,'N'),(28,7327404,'1A',423,'N'),(28,7327412,'1',655,'N'),(28,7327412,'1A',238,'N'),(28,7327420,'1',203,'N'),(28,7327420,'1A',214,'N'),(28,7327447,'1',201,'N'),(28,7327447,'1A',216,'N'),(28,7327455,'1',317,'N'),(28,7327463,'1',324,'N'),(28,7327471,'1',653,'N'),(28,7327480,'1',552,'N'),(28,7327501,'1',441,'N'),(28,7327510,'1',213,'N'),(28,7327510,'1A',235,'N'),(28,7327528,'1',201,'N'),(28,7327528,'1A',220,'N'),(28,7327544,'1',103,'N'),(28,7327552,'1',333,'N'),(28,7327560,'1',3,'N'),(28,7327579,'1',340,'N'),(28,7327587,'1',211,'N'),(28,7327587,'1A',220,'N'),(28,7327595,'1',324,'N'),(28,7327609,'1',304,'N'),(28,7327617,'1',101,'N'),(28,7327641,'1',9,'N'),(28,7327668,'1',999,'N'),(28,7327676,'1',316,'N'),(28,7327684,'1',303,'N'),(28,7327692,'1',201,'N'),(28,7327692,'1A',214,'N'),(28,7327706,'1',203,'N'),(28,7327706,'1A',201,'N'),(28,7327714,'1',415,'N'),(28,7327722,'1',205,'N'),(28,7327730,'1',201,'N'),(28,7327730,'1A',207,'N'),(28,7327749,'1',336,'N'),(28,7327757,'1',102,'N'),(28,7327765,'1',238,'N'),(28,7327773,'1',103,'N'),(28,7327781,'1',225,'N'),(28,7327790,'1',454,'N'),(28,7327811,'1',999,'N'),(28,7327820,'1',108,'N'),(28,7327838,'1',404,'N'),(28,7327846,'1',302,'N'),(28,7327854,'1',444,'N'),(28,7327862,'1',216,'N'),(28,7327862,'1A',601,'N'),(28,7327870,'1',454,'N'),(28,7327889,'1',103,'N'),(28,7327897,'1',5,'N'),(28,7327900,'1',319,'N'),(28,7327927,'1',318,'N'),(28,7327935,'1',440,'N'),(28,7327943,'1',208,'N'),(28,7327951,'1',302,'N'),(28,7327960,'1',501,'N'),(28,7327978,'1',415,'N'),(28,7327986,'1',654,'N'),(28,7327994,'1',103,'N'),(28,7328010,'1',213,'N'),(28,7328010,'1A',202,'N'),(28,7328028,'1',999,'N'),(28,7328044,'1',302,'N'),(28,7328052,'1',103,'N'),(28,7328060,'1',220,'N'),(28,7328060,'1A',214,'N'),(28,7328079,'1',207,'N'),(28,7328079,'1A',213,'N'),(28,7328087,'1',324,'N'),(28,7328095,'1',444,'N'),(28,7328109,'1',103,'N'),(28,7328125,'1',5,'N'),(28,7328133,'1',319,'N'),(28,7328141,'1',319,'N'),(28,7328168,'1',103,'N'),(28,7328176,'1',415,'N'),(28,7328184,'1',999,'N'),(28,7328192,'1',203,'N'),(28,7328192,'1A',201,'N'),(28,7328206,'1',319,'N'),(28,7328214,'1',220,'N'),(28,7328214,'1A',213,'N'),(28,7328222,'1',102,'N'),(28,7328265,'1',5,'N'),(28,7328273,'1',429,'N'),(28,7328273,'1A',426,'N'),(28,7328281,'1',201,'N'),(28,7328281,'1A',203,'N'),(28,7328290,'1',202,'N'),(28,7328290,'1A',653,'N'),(28,7328303,'1',5,'N'),(28,7328311,'1',211,'N'),(28,7328311,'1A',235,'N'),(28,7328320,'1',501,'N'),(28,7328338,'1',999,'N'),(28,7328346,'1',216,'N'),(28,7328346,'1A',655,'N'),(28,7328354,'1',213,'N'),(28,7328354,'1A',601,'N'),(28,7328362,'1',220,'N'),(28,7328362,'1A',203,'N'),(28,7328370,'1',203,'N'),(28,7328389,'1',999,'N'),(28,7328397,'1',454,'N'),(28,7328400,'1',999,'N'),(28,7328419,'1',332,'N'),(28,7328427,'1',103,'N'),(28,7328435,'1',201,'N'),(28,7328435,'1A',212,'N'),(28,7328443,'1',337,'N'),(28,7328451,'1',202,'N'),(28,7328451,'1A',213,'N'),(28,7328478,'1',655,'N'),(28,7328478,'1A',652,'N'),(28,7328486,'1',103,'N'),(28,7328494,'1',202,'N'),(28,7328494,'1A',235,'N'),(28,7328508,'1',203,'N'),(28,7328508,'1A',207,'N'),(28,7328516,'1',426,'N'),(28,7328516,'1A',428,'N'),(28,7328524,'1',302,'N'),(28,7328532,'1',103,'N'),(28,7328540,'1',212,'N'),(28,7328540,'1A',213,'N'),(28,7328559,'1',214,'N'),(28,7328559,'1A',212,'N'),(28,7328567,'1',340,'N'),(28,7328575,'1',202,'N'),(28,7328575,'1A',213,'N'),(28,7328583,'1',213,'N'),(28,7328583,'1A',235,'N'),(28,7328591,'1',454,'N'),(28,7328605,'1',207,'N'),(28,7328605,'1A',201,'N'),(28,7328613,'1',9,'N'),(28,7328630,'1',102,'N'),(28,7328648,'1',601,'N'),(28,7328648,'1A',201,'N'),(28,7328656,'1',110,'N'),(28,7328664,'1',103,'N'),(28,7328672,'1',324,'N'),(28,7328680,'1',103,'N'),(28,7328699,'1',202,'N'),(28,7328699,'1A',233,'N'),(28,7328710,'1',999,'N'),(28,7328729,'1',220,'N'),(28,7328737,'1',104,'N'),(28,7328745,'1',211,'N'),(28,7328745,'1A',214,'N'),(28,7328753,'1',207,'N'),(28,7328761,'1',319,'N'),(28,7328770,'1',103,'N'),(28,7328788,'1',103,'N'),(28,7328800,'1',230,'N'),(28,7328818,'1',211,'N'),(28,7328818,'1A',215,'N'),(28,7328842,'1',503,'N'),(28,7328850,'1',202,'N'),(28,7328850,'1A',213,'N'),(28,7328885,'1',201,'N'),(28,7328885,'1A',212,'N'),(28,7328893,'1',103,'N'),(28,7328907,'1',215,'N'),(28,7328907,'1A',201,'N'),(28,7328915,'1',104,'N'),(28,7328923,'1',999,'N'),(28,7328931,'1',502,'N'),(28,7328940,'1',316,'N'),(28,7328966,'1',238,'N'),(28,7328966,'1A',652,'N'),(28,7328982,'1',999,'N'),(28,7328990,'1',316,'N'),(28,7329008,'1',216,'N'),(28,7329008,'1A',233,'N'),(28,7329016,'1',103,'N'),(28,7329024,'1',503,'N'),(28,7329032,'1',301,'N'),(28,7329040,'1',340,'N'),(28,7329067,'1',103,'N'),(28,7329075,'1',214,'N'),(28,7329075,'1A',233,'N'),(28,7329083,'1',427,'N'),(28,7329083,'1A',429,'N'),(28,7329091,'1',238,'N'),(28,7329091,'1A',220,'N'),(28,7329105,'1',216,'N'),(28,7329105,'1A',201,'N'),(28,7329113,'1',203,'N'),(28,7329113,'1A',214,'N'),(28,7329121,'1',103,'N'),(28,7329130,'1',103,'N'),(28,7329148,'1',223,'N'),(28,7329156,'1',108,'N'),(28,7329164,'1',404,'N'),(28,7329172,'1',216,'N'),(28,7329172,'1A',215,'N'),(28,7329180,'1',303,'N'),(28,7329210,'1',233,'N'),(28,7329210,'1A',235,'N'),(28,7329229,'1',225,'N'),(28,7329237,'1',340,'N'),(28,7329245,'1',207,'N'),(28,7329245,'1A',653,'N'),(28,7329253,'1',316,'N'),(28,7329261,'1',212,'N'),(28,7329261,'1A',201,'N'),(28,7329270,'1',103,'N'),(28,7329288,'1',213,'N'),(28,7329288,'1A',214,'N'),(28,7329296,'1',329,'N'),(28,7329326,'1',238,'N'),(28,7329326,'1A',213,'N'),(28,7329334,'1',103,'N'),(28,7329342,'1',213,'N'),(28,7329342,'1A',202,'N'),(28,7329350,'1',214,'N'),(28,7329350,'1A',215,'N'),(28,7329369,'1',503,'N'),(28,7329377,'1',103,'N'),(28,7329385,'1',425,'N'),(28,7329385,'1A',424,'N'),(28,7329393,'1',103,'N'),(28,7329407,'1',999,'N'),(28,7329415,'1',552,'N'),(28,7329423,'1',317,'N'),(28,7329431,'1',444,'N'),(28,7329440,'1',301,'N'),(28,7329458,'1',454,'N'),(28,7329466,'1',404,'N'),(28,7329474,'1',999,'N'),(28,7329482,'1',3,'N'),(28,7329490,'1',336,'N'),(28,7329520,'1',110,'N'),(28,7329547,'1',501,'N'),(28,7329555,'1',201,'N'),(28,7329555,'1A',202,'N'),(28,7329563,'1',201,'N'),(28,7329563,'1A',235,'N'),(28,7329571,'1',301,'N'),(28,7329580,'1',220,'N'),(28,7329580,'1A',235,'N'),(28,7329598,'1',103,'N'),(28,7329601,'1',103,'N'),(28,7329610,'1',208,'N'),(28,7329628,'1',101,'N'),(28,7329636,'1',5,'N'),(28,7329644,'1',653,'N'),(28,7329644,'1A',601,'N'),(28,7329652,'1',103,'N'),(28,7329660,'1',654,'N'),(28,7329679,'1',102,'N'),(28,7329687,'1',103,'N'),(28,7329709,'1',5,'N'),(28,7329717,'1',5,'N'),(28,7329725,'1',5,'N'),(28,7329733,'1',103,'N'),(28,7329741,'1',303,'N'),(28,7329750,'1',238,'N'),(28,7329750,'1A',213,'N'),(28,7329768,'1',103,'N'),(28,7329776,'1',502,'N'),(28,7329784,'1',601,'N'),(28,7329784,'1A',235,'N'),(28,7329792,'1',601,'N'),(28,7329792,'1A',207,'N'),(28,7329806,'1',301,'N'),(28,7329830,'1',103,'N'),(28,7329849,'1',336,'N'),(28,7329857,'1',103,'N'),(28,7329865,'1',327,'N'),(28,7329873,'1',208,'N'),(28,7329881,'1',454,'N'),(28,7329890,'1',999,'N'),(28,7329903,'1',319,'N'),(28,7329911,'1',108,'N'),(28,7329920,'1',101,'N'),(28,7329938,'1',304,'N'),(28,7329946,'1',103,'N'),(28,7329954,'1',552,'N'),(28,7329962,'1',213,'N'),(28,7329962,'1A',220,'N'),(28,7329970,'1',103,'N'),(28,7329989,'1',208,'N'),(28,7329997,'1',444,'N'),(28,7330006,'1',454,'N'),(28,7330014,'1',303,'N'),(28,7330022,'1',101,'N'),(28,7330030,'1',301,'N'),(28,7330049,'1',454,'N'),(28,7330057,'1',203,'N'),(28,7330057,'1A',214,'N'),(28,7330065,'1',216,'N'),(28,7330065,'1A',213,'N'),(28,7330073,'1',999,'N'),(28,7330081,'1',102,'N'),(28,7330103,'1',214,'N'),(28,7330103,'1A',203,'N'),(28,7330111,'1',203,'N'),(28,7330111,'1A',201,'N'),(28,7330154,'1',202,'N'),(28,7330154,'1A',201,'N'),(28,7330162,'1',454,'N'),(28,7330170,'1',103,'N'),(28,7330189,'1',999,'N'),(28,7330197,'1',552,'N'),(28,7330200,'1',202,'N'),(28,7330200,'1A',220,'N'),(28,7330219,'1',207,'N'),(28,7330219,'1A',212,'N'),(28,7330235,'1',302,'N'),(28,7330243,'1',103,'N'),(28,7330251,'1',103,'N'),(28,7330260,'1',999,'N'),(28,7330278,'1',324,'N'),(28,7330286,'1',324,'N'),(28,7330294,'1',999,'N'),(28,7330308,'1',316,'N'),(28,7330316,'1',202,'N'),(28,7330316,'1A',203,'N'),(28,7330332,'1',201,'N'),(28,7330332,'1A',216,'N'),(28,7330340,'1',652,'N'),(28,7330340,'1A',653,'N'),(28,7330359,'1',102,'N'),(28,7330367,'1',316,'N'),(28,7330375,'1',103,'N'),(28,7330383,'1',601,'N'),(28,7330383,'1A',215,'N'),(28,7330391,'1',5,'N'),(28,7330405,'1',316,'N'),(28,7330413,'1',301,'N'),(28,7330421,'1',103,'N'),(28,7330430,'1',5,'N'),(28,7330448,'1',301,'N'),(28,7330456,'1',415,'N'),(28,7330464,'1',304,'N'),(28,7330472,'1',203,'N'),(28,7330472,'1A',201,'N'),(28,7330480,'1',216,'N'),(28,7330480,'1A',207,'N'),(28,7330499,'1',319,'N'),(28,7330502,'1',201,'N'),(28,7330502,'1A',212,'N'),(28,7330529,'1',999,'N'),(28,7330537,'1',999,'N'),(28,7330545,'1',301,'N'),(28,7330553,'1',303,'N'),(28,7330561,'1',5,'N'),(28,7330570,'1',653,'N'),(28,7330570,'1A',211,'N'),(28,7330588,'1',104,'N'),(28,7330600,'1',999,'N'),(28,7330626,'1',214,'N'),(28,7330626,'1A',235,'N'),(28,7330634,'1',501,'N'),(28,7330642,'1',303,'N'),(28,7330650,'1',103,'N'),(28,7330669,'1',340,'N'),(28,7330677,'1',212,'N'),(28,7330677,'1A',214,'N'),(28,7330685,'1',211,'N'),(28,7330685,'1A',215,'N'),(28,7330693,'1',203,'N'),(28,7330693,'1A',202,'N'),(28,7330707,'1',230,'N'),(28,7330715,'1',501,'N'),(28,7330723,'1',302,'N'),(28,7330731,'1',207,'N'),(28,7330731,'1A',201,'N'),(28,7330740,'1',302,'N'),(28,7330758,'1',444,'N'),(28,7330766,'1',551,'N'),(28,7330774,'1',103,'N'),(28,7330782,'1',202,'N'),(28,7330782,'1A',213,'N'),(28,7330790,'1',316,'N'),(28,7330804,'1',319,'N'),(28,7330812,'1',103,'N'),(28,7330820,'1',309,'N'),(28,7330839,'1',415,'N'),(28,7330847,'1',110,'N'),(28,7330855,'1',201,'N'),(28,7330855,'1A',216,'N'),(28,7330863,'1',653,'N'),(28,7330863,'1A',655,'N'),(28,7330871,'1',340,'N'),(28,7330880,'1',103,'N'),(28,7330898,'1',103,'N'),(28,7330901,'1',444,'N'),(28,7330910,'1',5,'N'),(28,7330936,'1',301,'N'),(28,7330944,'1',233,'N'),(28,7330944,'1A',212,'N'),(28,7330952,'1',653,'N'),(28,7330952,'1A',655,'N'),(28,7330960,'1',454,'N'),(28,7330979,'1',103,'N'),(28,7330987,'1',999,'N'),(28,7330995,'1',601,'N'),(28,7331002,'1',454,'N'),(28,7331010,'1',999,'N'),(28,7331029,'1',308,'N'),(28,7331037,'1',103,'N'),(28,7331045,'1',208,'N'),(28,7331053,'1',207,'N'),(28,7331053,'1A',215,'N'),(28,7331061,'1',103,'N'),(28,7331088,'1',304,'N'),(28,7331096,'1',216,'N'),(28,7331096,'1A',211,'N'),(28,7331100,'1',211,'N'),(28,7331100,'1A',235,'N'),(28,7331118,'1',428,'N'),(28,7331118,'1A',424,'N'),(28,7331126,'1',335,'N'),(28,7331134,'1',103,'N'),(28,7331142,'1',9,'N'),(28,7331169,'1',202,'N'),(28,7331169,'1A',235,'N'),(28,7331177,'1',213,'N'),(28,7331177,'1A',212,'N'),(28,7331185,'1',207,'N'),(28,7331185,'1A',201,'N'),(28,7331193,'1',207,'N'),(28,7331207,'1',103,'N'),(28,7331215,'1',101,'N'),(28,7331223,'1',108,'N'),(28,7331231,'1',319,'N'),(28,7331240,'1',654,'N'),(28,7331266,'1',103,'N'),(28,7331274,'1',652,'N'),(28,7331274,'1A',238,'N'),(28,7331282,'1',654,'N'),(28,7331290,'1',216,'N'),(28,7331290,'1A',233,'N'),(28,7331304,'1',999,'N'),(28,7331312,'1',216,'N'),(28,7331312,'1A',211,'N'),(28,7331320,'1',303,'N'),(28,7331339,'1',655,'N'),(28,7331339,'1A',652,'N'),(28,7331347,'1',215,'N'),(28,7331347,'1A',213,'N'),(28,7331355,'1',440,'N'),(28,7331363,'1',318,'N'),(28,7331371,'1',552,'N'),(28,7331398,'1',103,'N'),(28,7331410,'1',340,'N'),(28,7331428,'1',103,'N'),(28,7331436,'1',450,'N'),(28,7331444,'1',203,'N'),(28,7331444,'1A',201,'N'),(28,7331452,'1',404,'N'),(28,7331460,'1',340,'N'),(28,7331479,'1',103,'N'),(28,7331487,'1',103,'N'),(28,7331495,'1',220,'N'),(28,7331495,'1A',216,'N'),(28,7331509,'1',211,'N'),(28,7331509,'1A',215,'N'),(28,7331517,'1',301,'N'),(28,7331525,'1',220,'N'),(28,7331525,'1A',235,'N'),(28,7331533,'1',201,'N'),(28,7331533,'1A',202,'N'),(28,7331541,'1',201,'N'),(28,7331541,'1A',601,'N'),(28,7331550,'1',203,'N'),(28,7331550,'1A',233,'N'),(28,7331584,'1',103,'N'),(28,7331592,'1',303,'N'),(28,7331606,'1',201,'N'),(28,7331606,'1A',207,'N'),(28,7331614,'1',318,'N'),(28,7331630,'1',201,'N'),(28,7331630,'1A',601,'N'),(28,7331649,'1',220,'N'),(28,7331657,'1',215,'N'),(28,7331665,'1',601,'N'),(28,7331665,'1A',207,'N'),(28,7331673,'1',233,'N'),(28,7331673,'1A',213,'N'),(28,7331681,'1',103,'N'),(28,7331690,'1',339,'N'),(28,7331703,'1',333,'N'),(28,7331711,'1',103,'N'),(28,7331720,'1',201,'N'),(28,7331720,'1A',601,'N'),(28,7331738,'1',303,'N'),(28,7331754,'1',502,'N'),(28,7331762,'1',201,'N'),(28,7331762,'1A',207,'N'),(28,7331770,'1',601,'N'),(28,7331770,'1A',203,'N'),(28,7331789,'1',303,'N'),(28,7331819,'1',444,'N'),(28,7331827,'1',235,'N'),(28,7331827,'1A',207,'N'),(28,7331835,'1',5,'N'),(28,7331843,'1',999,'N'),(28,7331851,'1',301,'N'),(28,7331878,'1',213,'N'),(28,7331878,'1A',238,'N'),(28,7331886,'1',202,'N'),(28,7331886,'1A',213,'N'),(28,7331894,'1',552,'N'),(28,7331908,'1',415,'N'),(28,7331916,'1',203,'N'),(28,7331916,'1A',220,'N'),(28,7331924,'1',999,'N'),(28,7331932,'1',103,'N'),(28,7331959,'1',415,'N'),(28,7331967,'1',103,'N'),(28,7331975,'1',233,'N'),(28,7331975,'1A',212,'N'),(28,7331983,'1',2,'N'),(28,7332009,'1',203,'N'),(28,7332009,'1A',233,'N'),(28,7332025,'1',104,'N'),(28,7332033,'1',552,'N'),(28,7332041,'1',215,'N'),(28,7332041,'1A',211,'N'),(28,7332050,'1',201,'N'),(28,7332050,'1A',601,'N'),(28,7332068,'1',103,'N'),(28,7332084,'1',103,'N'),(28,7332092,'1',304,'N'),(28,7332106,'1',202,'N'),(28,7332106,'1A',653,'N'),(28,7332114,'1',225,'N'),(28,7332122,'1',203,'N'),(28,7332122,'1A',220,'N'),(28,7332130,'1',404,'N'),(28,7332157,'1',103,'N'),(28,7332165,'1',208,'N'),(28,7332173,'1',103,'N'),(28,7332181,'1',207,'N'),(28,7332181,'1A',201,'N'),(28,7332190,'1',319,'N'),(28,7332203,'1',102,'N'),(28,7332211,'1',201,'N'),(28,7332211,'1A',213,'N'),(28,7332220,'1',201,'N'),(28,7332220,'1A',202,'N'),(28,7332246,'1',339,'N'),(28,7332254,'1',208,'N'),(28,7332262,'1',5,'N'),(28,7332289,'1',103,'N'),(28,7332297,'1',454,'N'),(28,7332300,'1',601,'N'),(28,7332335,'1',316,'N'),(28,7332343,'1',201,'N'),(28,7332343,'1A',215,'N'),(28,7332351,'1',201,'N'),(28,7332351,'1A',220,'N'),(28,7332378,'1',415,'N'),(28,7332386,'1',654,'N'),(28,7332408,'1',5,'N'),(28,7332416,'1',451,'N'),(28,7332424,'1',303,'N'),(28,7332432,'1',316,'N'),(28,7332459,'1',104,'N'),(28,7332467,'1',208,'N'),(28,7332475,'1',340,'N'),(28,7332483,'1',404,'N'),(28,7332491,'1',404,'N'),(28,7332505,'1',208,'N'),(28,7332513,'1',103,'N'),(28,7332521,'1',215,'N'),(28,7332548,'1',201,'N'),(28,7332548,'1A',233,'N'),(28,7332556,'1',108,'N'),(28,7332564,'1',201,'N'),(28,7332564,'1A',655,'N'),(28,7332572,'1',444,'N'),(28,7332580,'1',303,'N'),(28,7332599,'1',205,'N'),(28,7332602,'1',201,'N'),(28,7332602,'1A',212,'N'),(28,7332610,'1',103,'N'),(28,7332629,'1',454,'N'),(28,7332645,'1',340,'N'),(28,7332670,'1',205,'N'),(28,7332688,'1',109,'N'),(28,7332726,'1',415,'N'),(28,7332734,'1',207,'N'),(28,7332742,'1',103,'N'),(28,7332750,'1',103,'N'),(28,7332777,'1',503,'N'),(28,7332785,'1',201,'N'),(28,7332785,'1A',235,'N'),(28,7332793,'1',207,'N'),(28,7332793,'1A',201,'N'),(28,7332815,'1',108,'N'),(28,7332823,'1',450,'N'),(28,7332831,'1',103,'N'),(28,7332840,'1',9,'N'),(28,7332858,'1',203,'N'),(28,7332858,'1A',601,'N'),(28,7332866,'1',318,'N'),(28,7332874,'1',428,'N'),(28,7332874,'1A',429,'N'),(28,7332882,'1',5,'N'),(28,7332890,'1',324,'N'),(28,7332904,'1',601,'N'),(28,7332904,'1A',215,'N'),(28,7332912,'1',103,'N'),(28,7332920,'1',203,'N'),(28,7332920,'1A',235,'N'),(28,7332939,'1',103,'N'),(28,7332955,'1',201,'N'),(28,7332955,'1A',212,'N'),(28,7332963,'1',337,'N'),(28,7332971,'1',211,'N'),(28,7332971,'1A',212,'N'),(28,7332998,'1',318,'N'),(28,7333005,'1',103,'N'),(28,7333013,'1',103,'N'),(28,7333021,'1',303,'N'),(28,7333048,'1',201,'N'),(28,7333048,'1A',207,'N'),(28,7333056,'1',301,'N'),(28,7333064,'1',203,'N'),(28,7333064,'1A',233,'N'),(28,7333072,'1',501,'N'),(28,7333080,'1',319,'N'),(28,7333099,'1',454,'N'),(28,7333102,'1',215,'N'),(28,7333102,'1A',207,'N'),(28,7333110,'1',318,'N'),(28,7333129,'1',103,'N'),(28,7333137,'1',207,'N'),(28,7333137,'1A',201,'N'),(28,7333145,'1',207,'N'),(28,7333145,'1A',201,'N'),(28,7333153,'1',234,'N'),(28,7333161,'1',454,'N'),(28,7333188,'1',207,'N'),(28,7333188,'1A',238,'N'),(28,7333218,'1',215,'N'),(28,7333218,'1A',233,'N'),(28,7333226,'1',9,'N'),(28,7333234,'1',404,'N'),(28,7333242,'1',201,'N'),(28,7333242,'1A',233,'N'),(28,7333269,'1',213,'N'),(28,7333269,'1A',220,'N'),(28,7333285,'1',101,'N'),(28,7333323,'1',301,'N'),(28,7333331,'1',450,'N'),(28,7333340,'1',309,'N'),(28,7333358,'1',316,'N'),(28,7333366,'1',303,'N'),(28,7333374,'1',225,'N'),(28,7333382,'1',421,'N'),(28,7333382,'1A',429,'N'),(28,7333390,'1',108,'N'),(28,7333404,'1',319,'N'),(28,7333412,'1',214,'N'),(28,7333412,'1A',203,'N'),(28,7333439,'1',501,'N'),(28,7333455,'1',5,'N'),(28,7333463,'1',303,'N'),(28,7333471,'1',202,'N'),(28,7333471,'1A',213,'N'),(28,7333480,'1',318,'N'),(28,7333498,'1',301,'N'),(28,7333501,'1',109,'N'),(28,7333510,'1',303,'N'),(28,7333528,'1',220,'N'),(28,7333528,'1A',202,'N'),(28,7333536,'1',454,'N'),(28,7333544,'1',207,'N'),(28,7333552,'1',303,'N'),(28,7333579,'1',309,'N'),(28,7333587,'1',653,'N'),(28,7333587,'1A',655,'N'),(28,7333609,'1',238,'N'),(28,7333609,'1A',215,'N'),(28,7333617,'1',319,'N'),(28,7333633,'1',415,'N'),(28,7333641,'1',317,'N'),(28,7333668,'1',318,'N'),(28,7333676,'1',316,'N'),(28,7333684,'1',327,'N'),(28,7333692,'1',317,'N'),(28,7333706,'1',501,'N'),(28,7333714,'1',340,'N'),(28,7333730,'1',320,'N'),(28,7333757,'1',999,'N'),(28,7333765,'1',339,'N'),(28,7333773,'1',301,'N'),(28,7333781,'1',319,'N'),(28,7333803,'1',339,'N'),(28,7333820,'1',212,'N'),(28,7333820,'1A',215,'N'),(28,7333838,'1',238,'N'),(28,7333838,'1A',211,'N'),(28,7333846,'1',216,'N'),(28,7333846,'1A',211,'N'),(28,7333854,'1',327,'N'),(28,7333889,'1',5,'N'),(28,7333897,'1',201,'N'),(28,7333897,'1A',203,'N'),(28,7333919,'1',454,'N'),(28,7333927,'1',316,'N'),(28,7333935,'1',103,'N'),(28,7333943,'1',337,'N'),(28,7333951,'1',207,'N'),(28,7333951,'1A',212,'N'),(28,7333960,'1',332,'N'),(28,7333978,'1',103,'N'),(28,7333986,'1',425,'N'),(28,7333986,'1A',426,'N'),(28,7334001,'1',220,'N'),(28,7334001,'1A',235,'N'),(28,7334010,'1',103,'N'),(28,7334036,'1',454,'N'),(28,7334044,'1',317,'N'),(28,7334052,'1',340,'N'),(28,7334060,'1',103,'N'),(28,7334079,'1',108,'N'),(28,7334087,'1',316,'N'),(28,7334095,'1',5,'N'),(28,7334109,'1',5,'N'),(28,7334117,'1',103,'N'),(28,7334125,'1',444,'N'),(28,7334141,'1',207,'N'),(28,7334141,'1A',216,'N'),(28,7334176,'1',103,'N'),(28,7334184,'1',440,'N'),(28,7334214,'1',999,'N'),(28,7334222,'1',333,'N'),(28,7334230,'1',203,'N'),(28,7334230,'1A',214,'N'),(28,7334249,'1',999,'N'),(28,7334273,'1',316,'N'),(28,7334281,'1',319,'N'),(28,7334290,'1',316,'N'),(28,7334303,'1',324,'N'),(28,7334320,'1',201,'N'),(28,7334320,'1A',233,'N'),(28,7334338,'1',103,'N'),(28,7334346,'1',103,'N'),(28,7334354,'1',425,'N'),(28,7334370,'1',103,'N'),(28,7334389,'1',340,'N'),(28,7334400,'1',303,'N'),(28,7334427,'1',601,'N'),(28,7334435,'1',5,'N'),(28,7334451,'1',415,'N'),(28,7334460,'1',103,'N'),(28,7334478,'1',654,'N'),(28,7334494,'1',214,'N'),(28,7334494,'1A',213,'N'),(28,7334508,'1',340,'N'),(28,7334516,'1',301,'N'),(28,7334524,'1',999,'N'),(28,7334532,'1',103,'N'),(28,7334540,'1',103,'N'),(28,7334559,'1',428,'N'),(28,7334559,'1A',423,'N'),(28,7334567,'1',999,'N'),(28,7334575,'1',444,'N'),(28,7334583,'1',503,'N'),(28,7334591,'1',551,'N'),(28,7334605,'1',303,'N'),(28,7334613,'1',207,'N'),(28,7334613,'1A',201,'N'),(28,7334621,'1',655,'N'),(28,7334621,'1A',220,'N'),(28,7334648,'1',108,'N'),(28,7334656,'1',324,'N'),(28,7334664,'1',999,'N'),(28,7334672,'1',3,'N'),(28,7334680,'1',601,'N'),(28,7334699,'1',238,'N'),(28,7334702,'1',233,'N'),(28,7334702,'1A',216,'N'),(28,7334729,'1',552,'N'),(28,7334745,'1',103,'N'),(28,7334761,'1',319,'N'),(28,7334770,'1',415,'N'),(28,7334788,'1',110,'N'),(28,7334800,'1',103,'N'),(28,7334826,'1',319,'N'),(28,7334834,'1',203,'N'),(28,7334834,'1A',201,'N'),(28,7334842,'1',441,'N'),(28,7334850,'1',444,'N'),(28,7334869,'1',316,'N'),(28,7334877,'1',328,'N'),(28,7334885,'1',203,'N'),(28,7334885,'1A',216,'N'),(28,7334915,'1',238,'N'),(28,7334915,'1A',211,'N'),(28,7334923,'1',309,'N'),(28,7334940,'1',9,'N'),(28,7334958,'1',5,'N'),(28,7334966,'1',308,'N'),(28,7334974,'1',601,'N'),(28,7334974,'1A',203,'N'),(28,7334982,'1',999,'N'),(28,7334990,'1',202,'N'),(28,7334990,'1A',212,'N'),(28,7335008,'1',103,'N'),(28,7335016,'1',551,'N'),(28,7335024,'1',404,'N'),(28,7335032,'1',109,'N'),(28,7335040,'1',103,'N'),(28,7335067,'1',235,'N'),(28,7335067,'1A',203,'N'),(28,7335083,'1',324,'N'),(28,7335091,'1',601,'N'),(28,7335091,'1A',203,'N'),(28,7335105,'1',101,'N'),(28,7335113,'1',319,'N'),(28,7335121,'1',327,'N'),(28,7335130,'1',5,'N'),(28,7335148,'1',655,'N'),(28,7335148,'1A',203,'N'),(28,7335156,'1',109,'N'),(28,7335164,'1',552,'N'),(28,7335172,'1',101,'N'),(28,7335180,'1',104,'N'),(28,7335199,'1',317,'N'),(28,7335210,'1',319,'N'),(28,7335237,'1',202,'N'),(28,7335237,'1A',207,'N'),(28,7335245,'1',208,'N'),(28,7335253,'1',103,'N'),(28,7335296,'1',103,'N'),(28,7335300,'1',104,'N'),(28,7335318,'1',327,'N'),(28,7335326,'1',103,'N'),(28,7335342,'1',444,'N'),(28,7335350,'1',331,'N'),(28,7335369,'1',103,'N'),(28,7335377,'1',103,'N'),(28,7335393,'1',653,'N'),(28,7335393,'1A',652,'N'),(28,7335407,'1',319,'N'),(28,7335415,'1',211,'N'),(28,7335423,'1',201,'N'),(28,7335423,'1A',216,'N'),(28,7335431,'1',425,'N'),(28,7335431,'1A',429,'N'),(28,7335440,'1',211,'N'),(28,7335440,'1A',215,'N'),(28,7335458,'1',5,'N'),(28,7335466,'1',999,'N'),(28,7335482,'1',238,'N'),(28,7335482,'1A',202,'N'),(28,7335504,'1',454,'N'),(28,7335520,'1',340,'N'),(28,7335547,'1',450,'N'),(28,7335555,'1',234,'N'),(28,7335580,'1',5,'N'),(28,7335598,'1',303,'N'),(28,7335601,'1',301,'N'),(28,7335610,'1',303,'N'),(28,7335628,'1',5,'N'),(28,7335636,'1',212,'N'),(28,7335636,'1A',201,'N'),(28,7335644,'1',425,'N'),(28,7335644,'1A',428,'N'),(28,7335660,'1',103,'N'),(28,7335679,'1',103,'N'),(28,7335687,'1',317,'N'),(28,7335709,'1',316,'N'),(28,7335717,'1',318,'N'),(28,7335725,'1',337,'N'),(28,7335741,'1',339,'N'),(28,7335768,'1',208,'N'),(28,7335776,'1',316,'N'),(28,7335792,'1',101,'N'),(28,7335806,'1',999,'N'),(28,7335814,'1',331,'N'),(28,7335849,'1',201,'N'),(28,7335857,'1',203,'N'),(28,7335857,'1A',235,'N'),(28,7335865,'1',303,'N'),(28,7335873,'1',303,'N'),(28,7335881,'1',302,'N'),(28,7335890,'1',104,'N'),(28,7335903,'1',103,'N'),(28,7335911,'1',336,'N'),(28,7335920,'1',201,'N'),(28,7335920,'1A',211,'N'),(28,7335938,'1',103,'N'),(28,7335954,'1',238,'N'),(28,7335954,'1A',220,'N'),(28,7335962,'1',212,'N'),(28,7335962,'1A',201,'N'),(28,7335970,'1',103,'N'),(28,7335989,'1',333,'N'),(28,7335997,'1',339,'N'),(28,7336012,'1',316,'N'),(28,7336020,'1',109,'N'),(28,7336039,'1',317,'N'),(28,7336047,'1',101,'N'),(28,7336055,'1',216,'N'),(28,7336055,'1A',201,'N'),(28,7336063,'1',3,'N'),(28,7336071,'1',327,'N'),(28,7336080,'1',423,'N'),(28,7336080,'1A',421,'N'),(28,7336098,'1',238,'N'),(28,7336098,'1A',212,'N'),(28,7336101,'1',552,'N'),(28,7336110,'1',331,'N'),(28,7336128,'1',303,'N'),(28,7336136,'1',238,'N'),(28,7336144,'1',9,'N'),(28,7336152,'1',103,'N'),(28,7336187,'1',208,'N'),(28,7336195,'1',339,'N'),(28,7336209,'1',340,'N'),(28,7336217,'1',102,'N'),(28,7336225,'1',238,'N'),(28,7336225,'1A',211,'N'),(28,7336233,'1',103,'N'),(28,7336241,'1',316,'N'),(28,7336250,'1',337,'N'),(28,7336268,'1',202,'N'),(28,7336268,'1A',213,'N'),(28,7336276,'1',103,'N'),(28,7336284,'1',654,'N'),(28,7336292,'1',319,'N'),(28,7336306,'1',319,'N'),(28,7336314,'1',203,'N'),(28,7336314,'1A',235,'N'),(28,7336322,'1',339,'N'),(28,7336330,'1',201,'N'),(28,7336330,'1A',203,'N'),(28,7336349,'1',308,'N'),(28,7336357,'1',340,'N'),(28,7336365,'1',103,'N'),(28,7336373,'1',103,'N'),(28,7336381,'1',207,'N'),(28,7336381,'1A',201,'N'),(28,7336390,'1',301,'N'),(28,7336411,'1',213,'N'),(28,7336411,'1A',216,'N'),(28,7336420,'1',103,'N'),(28,7336438,'1',552,'N'),(28,7336454,'1',216,'N'),(28,7336454,'1A',202,'N'),(28,7336462,'1',103,'N'),(28,7336470,'1',201,'N'),(28,7336470,'1A',211,'N'),(28,7336497,'1',108,'N'),(28,7336500,'1',415,'N'),(28,7336519,'1',103,'N'),(28,7336527,'1',303,'N'),(28,7336535,'1',415,'N'),(28,7336543,'1',301,'N'),(28,7336551,'1',301,'N'),(28,7336560,'1',5,'N'),(28,7336578,'1',220,'N'),(28,7336578,'1A',601,'N'),(28,7336594,'1',501,'N'),(28,7336608,'1',213,'N'),(28,7336608,'1A',233,'N'),(28,7336616,'1',340,'N'),(28,7336624,'1',203,'N'),(28,7336624,'1A',220,'N'),(28,7336632,'1',339,'N'),(28,7336640,'1',653,'N'),(28,7336640,'1A',655,'N'),(28,7336659,'1',318,'N'),(28,7336675,'1',207,'N'),(28,7336683,'1',652,'N'),(28,7336683,'1A',235,'N'),(28,7336691,'1',336,'N'),(28,7336705,'1',220,'N'),(28,7336705,'1A',216,'N'),(28,7336713,'1',103,'N'),(28,7336721,'1',304,'N'),(28,7336730,'1',207,'N'),(28,7336730,'1A',216,'N'),(28,7336748,'1',303,'N'),(28,7336756,'1',104,'N'),(28,7336764,'1',335,'N'),(28,7336772,'1',309,'N'),(28,7336780,'1',5,'N'),(28,7336802,'1',216,'N'),(28,7336802,'1A',214,'N'),(28,7336810,'1',451,'N'),(28,7336829,'1',216,'N'),(28,7336829,'1A',212,'N'),(28,7336845,'1',552,'N'),(28,7336853,'1',225,'N'),(28,7336888,'1',104,'N'),(28,7336896,'1',301,'N'),(28,7336900,'1',207,'N'),(28,7336900,'1A',211,'N'),(28,7336918,'1',203,'N'),(28,7336918,'1A',215,'N'),(28,7336926,'1',308,'N'),(28,7336934,'1',320,'N'),(28,7336942,'1',110,'N'),(28,7336969,'1',102,'N'),(28,7336977,'1',103,'N'),(28,7336985,'1',454,'N'),(28,7336993,'1',104,'N'),(28,7337019,'1',999,'N'),(28,7337027,'1',309,'N'),(28,7337035,'1',319,'N'),(28,7337043,'1',103,'N'),(28,7337051,'1',103,'N'),(28,7337060,'1',103,'N'),(28,7337078,'1',212,'N'),(28,7337078,'1A',238,'N'),(28,7337086,'1',319,'N'),(28,7337094,'1',318,'N'),(28,7337116,'1',201,'N'),(28,7337116,'1A',601,'N'),(28,7337124,'1',318,'N'),(28,7337132,'1',103,'N'),(28,7337159,'1',220,'N'),(28,7337159,'1A',203,'N'),(28,7337167,'1',235,'N'),(28,7337167,'1A',203,'N'),(28,7337175,'1',339,'N'),(28,7337183,'1',454,'N'),(28,7337191,'1',104,'N'),(28,7337205,'1',238,'N'),(28,7337205,'1A',211,'N'),(28,7337213,'1',303,'N'),(28,7337221,'1',201,'N'),(28,7337221,'1A',238,'N'),(28,7337230,'1',999,'N'),(28,7337248,'1',103,'N'),(28,7337256,'1',335,'N'),(28,7337264,'1',303,'N'),(28,7337299,'1',109,'N'),(28,7337302,'1',429,'N'),(28,7337310,'1',103,'N'),(28,7337329,'1',551,'N'),(28,7337337,'1',303,'N'),(28,7337345,'1',9,'N'),(28,7337361,'1',999,'N'),(28,7337388,'1',303,'N'),(28,7337396,'1',220,'N'),(28,7337396,'1A',235,'N'),(28,7337400,'1',454,'N'),(28,7337418,'1',238,'N'),(28,7337418,'1A',213,'N'),(28,7337426,'1',601,'N'),(28,7337426,'1A',201,'N'),(28,7337434,'1',103,'N'),(28,7337442,'1',654,'N'),(28,7337450,'1',324,'N'),(28,7337469,'1',340,'N'),(28,7337485,'1',103,'N'),(28,7337493,'1',425,'N'),(28,7337493,'1A',429,'N'),(28,7337515,'1',103,'N'),(28,7337523,'1',103,'N'),(28,7337531,'1',212,'N'),(28,7337531,'1A',207,'N'),(28,7337558,'1',108,'N'),(28,7337590,'1',317,'N'),(28,7337612,'1',428,'N'),(28,7337612,'1A',426,'N'),(28,7337620,'1',454,'N'),(28,7337639,'1',552,'N'),(28,7337647,'1',108,'N'),(28,7337655,'1',211,'N'),(28,7337655,'1A',207,'N'),(28,7337671,'1',308,'N'),(28,7337680,'1',454,'N'),(28,7337698,'1',207,'N'),(28,7337698,'1A',201,'N'),(28,7337701,'1',3,'N'),(28,7337710,'1',201,'N'),(28,7337710,'1A',212,'N'),(28,7337728,'1',340,'N'),(28,7337736,'1',207,'N'),(28,7337736,'1A',233,'N'),(28,7337744,'1',319,'N'),(28,7337752,'1',301,'N'),(28,7337760,'1',103,'N'),(28,7337779,'1',225,'N'),(28,7337787,'1',336,'N'),(28,7337795,'1',303,'N'),(28,7337809,'1',429,'N'),(28,7337809,'1A',426,'N'),(28,7337817,'1',404,'N'),(28,7337825,'1',999,'N'),(28,7337833,'1',203,'N'),(28,7337833,'1A',214,'N'),(28,7337841,'1',201,'N'),(28,7337841,'1A',212,'N'),(28,7337850,'1',201,'N'),(28,7337850,'1A',212,'N'),(28,7337876,'1',319,'N'),(28,7337884,'1',238,'N'),(28,7337884,'1A',220,'N'),(28,7337892,'1',103,'N'),(28,7337906,'1',207,'N'),(28,7337906,'1A',233,'N'),(28,7337914,'1',223,'N'),(28,7337922,'1',340,'N'),(28,7337930,'1',203,'N'),(28,7337930,'1A',216,'N'),(28,7337949,'1',103,'N'),(28,7337957,'1',320,'N'),(28,7337965,'1',101,'N'),(28,7337973,'1',104,'N'),(28,7337981,'1',444,'N'),(28,7337990,'1',202,'N'),(28,7337990,'1A',220,'N'),(28,7338007,'1',309,'N'),(28,7338015,'1',102,'N'),(28,7338023,'1',301,'N'),(28,7338040,'1',302,'N'),(28,7338058,'1',109,'N'),(28,7338066,'1',454,'N'),(28,7338074,'1',103,'N'),(28,7338082,'1',454,'N'),(28,7338090,'1',655,'N'),(28,7338090,'1A',653,'N'),(28,7338104,'1',302,'N'),(28,7338112,'1',207,'N'),(28,7338112,'1A',655,'N'),(28,7338120,'1',110,'N'),(28,7338139,'1',310,'N'),(28,7338155,'1',999,'N'),(28,7338163,'1',101,'N'),(28,7338171,'1',454,'N'),(28,7338201,'1',234,'N'),(28,7338210,'1',316,'N'),(28,7338228,'1',999,'N'),(28,7338236,'1',655,'N'),(28,7338236,'1A',601,'N'),(28,7338244,'1',207,'N'),(28,7338252,'1',215,'N'),(28,7338252,'1A',216,'N'),(28,7338260,'1',415,'N'),(28,7338295,'1',304,'N'),(28,7338309,'1',212,'N'),(28,7338309,'1A',215,'N'),(28,7338325,'1',103,'N'),(28,7338333,'1',316,'N'),(28,7338341,'1',5,'N'),(28,7338350,'1',201,'N'),(28,7338350,'1A',601,'N'),(28,7338368,'1',654,'N'),(28,7338384,'1',425,'N'),(28,7338384,'1A',429,'N'),(28,7338392,'1',333,'N'),(28,7338406,'1',999,'N'),(28,7338414,'1',999,'N'),(28,7338422,'1',234,'N'),(28,7338449,'1',444,'N'),(28,7338481,'1',215,'N'),(28,7338481,'1A',601,'N'),(28,7338503,'1',304,'N'),(28,7338511,'1',207,'N'),(28,7338511,'1A',216,'N'),(28,7338520,'1',999,'N'),(28,7338538,'1',223,'N'),(28,7338546,'1',103,'N'),(28,7338554,'1',5,'N'),(28,7338562,'1',319,'N'),(28,7338570,'1',203,'N'),(28,7338570,'1A',214,'N'),(28,7338589,'1',102,'N'),(28,7338597,'1',652,'N'),(28,7338597,'1A',655,'N'),(28,7338600,'1',103,'N'),(28,7338619,'1',999,'N'),(28,7338627,'1',103,'N'),(28,7338643,'1',332,'N'),(28,7338651,'1',444,'N'),(28,7338660,'1',653,'N'),(28,7338660,'1A',211,'N'),(28,7338678,'1',203,'N'),(28,7338678,'1A',214,'N'),(28,7338686,'1',444,'N'),(28,7338694,'1',208,'N'),(28,7338708,'1',211,'N'),(28,7338708,'1A',215,'N'),(28,7338724,'1',208,'N'),(28,7338732,'1',9,'N'),(28,7338740,'1',103,'N'),(28,7338775,'1',9,'N'),(28,7338783,'1',103,'N'),(28,7338791,'1',208,'N'),(28,7338821,'1',303,'N'),(28,7338830,'1',207,'N'),(28,7338830,'1A',201,'N'),(28,7338848,'1',202,'N'),(28,7338848,'1A',653,'N'),(28,7338856,'1',104,'N'),(28,7338864,'1',224,'N'),(28,7338872,'1',104,'N'),(28,7338880,'1',103,'N'),(28,7338899,'1',318,'N'),(28,7338902,'1',102,'N'),(28,7338910,'1',317,'N'),(28,7338929,'1',207,'N'),(28,7338929,'1A',201,'N'),(28,7338937,'1',308,'N'),(28,7338953,'1',234,'N'),(28,7338970,'1',108,'N'),(28,7338988,'1',444,'N'),(28,7338996,'1',999,'N'),(28,7339003,'1',211,'N'),(28,7339003,'1A',215,'N'),(28,7339011,'1',654,'N'),(28,7339020,'1',319,'N'),(28,7339038,'1',208,'N'),(28,7339046,'1',211,'N'),(28,7339046,'1A',238,'N'),(28,7339062,'1',212,'N'),(28,7339062,'1A',207,'N'),(28,7339070,'1',999,'N'),(28,7339089,'1',317,'N'),(28,7339097,'1',103,'N'),(28,7339100,'1',450,'N'),(28,7339119,'1',318,'N'),(28,7339127,'1',103,'N'),(28,7339135,'1',207,'N'),(28,7339135,'1A',201,'N'),(28,7339143,'1',201,'N'),(28,7339151,'1',202,'N'),(28,7339151,'1A',203,'N'),(28,7339160,'1',999,'N'),(28,7339178,'1',5,'N'),(28,7339186,'1',340,'N'),(28,7339194,'1',601,'N'),(28,7339194,'1A',201,'N'),(28,7339208,'1',319,'N'),(28,7339216,'1',103,'N'),(28,7339224,'1',103,'N'),(28,7339232,'1',503,'N'),(28,7339240,'1',318,'N'),(28,7339267,'1',999,'N'),(28,7339275,'1',999,'N'),(28,7339291,'1',238,'N'),(28,7339291,'1A',652,'N'),(28,7339305,'1',9,'N'),(28,7339313,'1',208,'N'),(28,7339321,'1',999,'N'),(28,7339330,'1',203,'N'),(28,7339330,'1A',214,'N'),(28,7339364,'1',202,'N'),(28,7339364,'1A',203,'N'),(28,7339372,'1',103,'N'),(28,7339380,'1',5,'N'),(28,7339399,'1',319,'N'),(28,7339402,'1',303,'N'),(28,7339410,'1',303,'N'),(28,7339429,'1',238,'N'),(28,7339429,'1A',207,'N'),(28,7339437,'1',999,'N'),(28,7339445,'1',201,'N'),(28,7339445,'1A',207,'N'),(28,7339453,'1',201,'N'),(28,7339453,'1A',212,'N'),(28,7339461,'1',302,'N'),(28,7339470,'1',220,'N'),(28,7339470,'1A',213,'N'),(28,7339488,'1',999,'N'),(28,7339496,'1',110,'N'),(28,7339500,'1',655,'N'),(28,7339500,'1A',652,'N'),(28,7339518,'1',316,'N'),(28,7339526,'1',316,'N'),(28,7339534,'1',222,'N'),(28,7339542,'1',207,'N'),(28,7339542,'1A',201,'N'),(28,7339550,'1',316,'N'),(28,7339569,'1',220,'N'),(28,7339569,'1A',202,'N'),(28,7339577,'1',655,'N'),(28,7339577,'1A',202,'N'),(28,7339593,'1',653,'N'),(28,7339593,'1A',652,'N'),(28,7339607,'1',318,'N'),(28,7339615,'1',5,'N'),(28,7339631,'1',317,'N'),(28,7339640,'1',207,'N'),(28,7339640,'1A',201,'N'),(28,7339658,'1',238,'N'),(28,7339658,'1A',201,'N'),(28,7339666,'1',207,'N'),(28,7339666,'1A',201,'N'),(28,7339682,'1',653,'N'),(28,7339682,'1A',207,'N'),(28,7339712,'1',320,'N'),(28,7339720,'1',103,'N'),(28,7339747,'1',654,'N'),(28,7339755,'1',316,'N'),(28,7339771,'1',211,'N'),(28,7339780,'1',552,'N'),(28,7339798,'1',324,'N'),(28,7339801,'1',303,'N'),(28,7339810,'1',303,'N'),(28,7339828,'1',415,'N'),(28,7339836,'1',108,'N'),(28,7339844,'1',203,'N'),(28,7339844,'1A',233,'N'),(28,7339852,'1',110,'N'),(28,7339860,'1',423,'N'),(28,7339860,'1A',426,'N'),(28,7339879,'1',653,'N'),(28,7339879,'1A',216,'N'),(28,7339895,'1',999,'N'),(28,7339909,'1',999,'N'),(28,7339917,'1',234,'N'),(28,7339925,'1',103,'N'),(28,7339933,'1',214,'N'),(28,7339933,'1A',213,'N'),(28,7339941,'1',340,'N'),(28,7339950,'1',454,'N'),(28,7339968,'1',211,'N'),(28,7339968,'1A',601,'N'),(28,7339976,'1',203,'N'),(28,7339976,'1A',220,'N'),(28,7339992,'1',203,'N'),(28,7339992,'1A',235,'N'),(28,7340001,'1',110,'N'),(28,7340010,'1',207,'N'),(28,7340010,'1A',215,'N'),(28,7340028,'1',104,'N'),(28,7340036,'1',340,'N'),(28,7340044,'1',104,'N'),(28,7340052,'1',454,'N'),(28,7340060,'1',999,'N'),(28,7340079,'1',501,'N'),(28,7340087,'1',103,'N'),(28,7340095,'1',303,'N'),(28,7340109,'1',108,'N'),(28,7340117,'1',201,'N'),(28,7340117,'1A',207,'N'),(28,7340125,'1',5,'N'),(28,7340133,'1',212,'N'),(28,7340133,'1A',201,'N'),(28,7340141,'1',340,'N'),(28,7340150,'1',301,'N'),(28,7340168,'1',104,'N'),(28,7340176,'1',450,'N'),(28,7340184,'1',454,'N'),(28,7340192,'1',103,'N'),(28,7340206,'1',454,'N'),(28,7340214,'1',211,'N'),(28,7340214,'1A',233,'N'),(28,7340222,'1',654,'N'),(28,7340249,'1',324,'N'),(28,7340257,'1',2,'N'),(28,7340265,'1',9,'N'),(28,7340273,'1',340,'N'),(28,7340290,'1',5,'N'),(28,7340303,'1',999,'N'),(28,7340311,'1',102,'N'),(28,7340320,'1',211,'N'),(28,7340320,'1A',238,'N'),(28,7340338,'1',654,'N'),(28,7340346,'1',207,'N'),(28,7340346,'1A',211,'N'),(28,7340354,'1',108,'N'),(28,7340362,'1',425,'N'),(28,7340362,'1A',429,'N'),(28,7340389,'1',301,'N'),(28,7340397,'1',302,'N'),(28,7340400,'1',601,'N'),(28,7340400,'1A',202,'N'),(28,7340419,'1',999,'N'),(28,7340427,'1',601,'N'),(28,7340427,'1A',207,'N'),(28,7340435,'1',301,'N'),(28,7340443,'1',302,'N'),(28,7340451,'1',329,'N'),(28,7340460,'1',451,'N'),(28,7340478,'1',104,'N'),(28,7340486,'1',303,'N'),(28,7340494,'1',404,'N'),(28,7340508,'1',5,'N'),(28,7340516,'1',202,'N'),(28,7340516,'1A',601,'N'),(28,7340524,'1',208,'N'),(28,7340532,'1',103,'N'),(28,7340540,'1',999,'N'),(28,7340559,'1',337,'N'),(28,7340567,'1',601,'N'),(28,7340567,'1A',215,'N'),(28,7340575,'1',103,'N'),(28,7340605,'1',103,'N'),(28,7340613,'1',238,'N'),(28,7340621,'1',999,'N'),(28,7340630,'1',101,'N'),(28,7340648,'1',220,'N'),(28,7340648,'1A',653,'N'),(28,7340656,'1',316,'N'),(28,7340664,'1',220,'N'),(28,7340664,'1A',202,'N'),(28,7340672,'1',103,'N'),(28,7340680,'1',340,'N'),(28,7340699,'1',207,'N'),(28,7340699,'1A',203,'N'),(28,7340710,'1',234,'N'),(28,7340737,'1',201,'N'),(28,7340737,'1A',207,'N'),(28,7340753,'1',552,'N'),(28,7340761,'1',201,'N'),(28,7340770,'1',317,'N'),(28,7340788,'1',202,'N'),(28,7340788,'1A',203,'N'),(28,7340796,'1',104,'N'),(28,7340818,'1',101,'N'),(28,7340834,'1',301,'N'),(28,7340842,'1',503,'N'),(28,7340850,'1',212,'N'),(28,7340850,'1A',214,'N'),(28,7340869,'1',211,'N'),(28,7340869,'1A',215,'N'),(28,7340877,'1',308,'N'),(28,7340885,'1',319,'N'),(28,7340893,'1',3,'N'),(28,7340915,'1',444,'N'),(28,7340923,'1',5,'N'),(28,7340931,'1',303,'N'),(28,7340940,'1',9,'N'),(28,7340958,'1',308,'N'),(28,7340974,'1',103,'N'),(28,7340990,'1',103,'N'),(28,7341008,'1',103,'N'),(28,7341016,'1',215,'N'),(28,7341024,'1',108,'N'),(28,7341032,'1',5,'N'),(28,7341040,'1',303,'N'),(28,7341059,'1',441,'N'),(28,7341075,'1',999,'N'),(28,7341083,'1',103,'N'),(28,7341091,'1',451,'N'),(28,7341105,'1',999,'N'),(28,7341113,'1',102,'N'),(28,7341121,'1',319,'N'),(28,7341130,'1',999,'N'),(28,7341148,'1',108,'N'),(28,7341156,'1',421,'N'),(28,7341156,'1A',428,'N'),(28,7341164,'1',103,'N'),(28,7341172,'1',103,'N'),(28,7341180,'1',444,'N'),(28,7341199,'1',103,'N'),(28,7341202,'1',654,'N'),(28,7341229,'1',207,'N'),(28,7341229,'1A',201,'N'),(28,7341237,'1',999,'N'),(28,7341245,'1',238,'N'),(28,7341245,'1A',652,'N'),(28,7341253,'1',234,'N'),(28,7341270,'1',303,'N'),(28,7341288,'1',328,'N'),(28,7341296,'1',308,'N'),(28,7341318,'1',454,'N'),(28,7341326,'1',222,'N'),(28,7341334,'1',999,'N'),(28,7341342,'1',235,'N'),(28,7341342,'1A',238,'N'),(28,7341350,'1',5,'N'),(28,7341369,'1',104,'N'),(28,7341385,'1',319,'N'),(28,7341393,'1',101,'N'),(28,7341407,'1',340,'N'),(28,7341415,'1',202,'N'),(28,7341415,'1A',601,'N'),(28,7341431,'1',211,'N'),(28,7341431,'1A',238,'N'),(28,7341440,'1',235,'N'),(28,7341440,'1A',212,'N'),(28,7341458,'1',503,'N'),(28,7341466,'1',213,'N'),(28,7341466,'1A',214,'N'),(28,7341482,'1',5,'N'),(28,7341490,'1',444,'N'),(28,7341504,'1',301,'N'),(28,7341512,'1',208,'N'),(28,7341520,'1',5,'N'),(28,7341539,'1',201,'N'),(28,7341539,'1A',212,'N'),(28,7341555,'1',207,'N'),(28,7341563,'1',329,'N'),(28,7341571,'1',316,'N'),(28,7341598,'1',103,'N'),(28,7341601,'1',429,'N'),(28,7341601,'1A',425,'N'),(28,7341610,'1',5,'N'),(28,7341628,'1',303,'N'),(28,7341636,'1',223,'N'),(28,7341644,'1',207,'N'),(28,7341644,'1A',601,'N'),(28,7341652,'1',9,'N'),(28,7341679,'1',316,'N'),(28,7341687,'1',201,'N'),(28,7341687,'1A',601,'N'),(28,7341709,'1',340,'N'),(28,7341733,'1',601,'N'),(28,7341733,'1A',655,'N'),(28,7341750,'1',316,'N'),(28,7341768,'1',999,'N'),(28,7341784,'1',339,'N'),(28,7341792,'1',104,'N'),(28,7341806,'1',551,'N'),(28,7341814,'1',9,'N'),(28,7341822,'1',999,'N'),(28,7341830,'1',215,'N'),(28,7341849,'1',216,'N'),(28,7341849,'1A',215,'N'),(28,7341857,'1',207,'N'),(28,7341865,'1',103,'N'),(28,7341873,'1',235,'N'),(28,7341873,'1A',238,'N'),(28,7341881,'1',501,'N'),(28,7341890,'1',450,'N'),(28,7341903,'1',999,'N'),(28,7341911,'1',103,'N'),(28,7341938,'1',5,'N'),(28,7341946,'1',5,'N'),(28,7341954,'1',309,'N'),(28,7341962,'1',9,'N'),(28,7341970,'1',208,'N'),(28,7341989,'1',502,'N'),(28,7341997,'1',108,'N'),(28,7342004,'1',332,'N'),(28,7342012,'1',5,'N'),(28,7342020,'1',103,'N'),(28,7342039,'1',316,'N'),(28,7342047,'1',335,'N'),(28,7342055,'1',415,'N'),(28,7342063,'1',103,'N'),(28,7342071,'1',502,'N'),(28,7342080,'1',999,'N'),(28,7342098,'1',225,'N'),(28,7342101,'1',552,'N'),(28,7342110,'1',214,'N'),(28,7342110,'1A',213,'N'),(28,7342128,'1',207,'N'),(28,7342128,'1A',213,'N'),(28,7342136,'1',454,'N'),(28,7342144,'1',301,'N'),(28,7342152,'1',999,'N'),(28,7342160,'1',304,'N'),(28,7342187,'1',303,'N'),(28,7342195,'1',999,'N'),(28,7342209,'1',428,'N'),(28,7342217,'1',316,'N'),(28,7342225,'1',233,'N'),(28,7342225,'1A',215,'N'),(28,7342241,'1',308,'N'),(28,7342250,'1',999,'N'),(28,7342268,'1',104,'N'),(28,7342276,'1',454,'N'),(28,7342284,'1',329,'N'),(28,7342292,'1',3,'N'),(28,7342306,'1',304,'N'),(28,7342314,'1',103,'N'),(28,7342322,'1',336,'N'),(28,7342349,'1',103,'N'),(28,7342381,'1',2,'N'),(28,7342390,'1',308,'N'),(28,7342403,'1',339,'N'),(28,7342411,'1',601,'N'),(28,7342411,'1A',207,'N'),(28,7342420,'1',326,'N'),(28,7342446,'1',317,'N'),(28,7342454,'1',103,'N'),(28,7342462,'1',303,'N'),(28,7342470,'1',999,'N'),(28,7342489,'1',424,'N'),(28,7342489,'1A',425,'N'),(28,7342497,'1',340,'N'),(28,7342500,'1',303,'N'),(28,7342519,'1',552,'N'),(28,7342527,'1',5,'N'),(28,7342535,'1',999,'N'),(28,7342543,'1',201,'N'),(28,7342543,'1A',207,'N'),(28,7342551,'1',502,'N'),(28,7342560,'1',103,'N'),(28,7342578,'1',103,'N'),(28,7342586,'1',301,'N'),(28,7342594,'1',104,'N'),(28,7342632,'1',338,'N'),(28,7342640,'1',336,'N'),(28,7342667,'1',103,'N'),(28,7342675,'1',202,'N'),(28,7342675,'1A',203,'N'),(28,7342691,'1',207,'N'),(28,7342691,'1A',212,'N'),(28,7342705,'1',207,'N'),(28,7342705,'1A',201,'N'),(28,7342713,'1',340,'N'),(28,7342721,'1',110,'N'),(28,7342748,'1',103,'N'),(28,7342756,'1',207,'N'),(28,7342764,'1',332,'N'),(28,7342799,'1',5,'N'),(28,7342802,'1',601,'N'),(28,7342810,'1',501,'N'),(28,7342829,'1',103,'N'),(28,7342837,'1',339,'N'),(28,7342845,'1',103,'N'),(28,7342853,'1',316,'N'),(28,7342861,'1',205,'N'),(28,7342870,'1',999,'N'),(28,7342888,'1',501,'N'),(28,7342896,'1',201,'N'),(28,7342896,'1A',220,'N'),(28,7342900,'1',201,'N'),(28,7342918,'1',552,'N'),(28,7342926,'1',103,'N'),(28,7342934,'1',103,'N'),(28,7342942,'1',421,'N'),(28,7342942,'1A',424,'N'),(28,7342969,'1',201,'N'),(28,7342969,'1A',212,'N'),(28,7342977,'1',424,'N'),(28,7342977,'1A',428,'N'),(28,7342993,'1',326,'N'),(28,7343019,'1',454,'N'),(28,7343043,'1',340,'N'),(28,7343051,'1',319,'N'),(28,7343060,'1',328,'N'),(28,7343078,'1',454,'N'),(28,7343094,'1',222,'N'),(28,7343108,'1',501,'N'),(28,7343116,'1',103,'N'),(28,7343124,'1',110,'N'),(28,7343132,'1',202,'N'),(28,7343132,'1A',213,'N'),(28,7343140,'1',214,'N'),(28,7343140,'1A',220,'N'),(28,7343159,'1',5,'N'),(28,7343167,'1',999,'N'),(28,7343183,'1',207,'N'),(28,7343183,'1A',201,'N'),(28,7343191,'1',203,'N'),(28,7343191,'1A',201,'N'),(28,7343205,'1',424,'N'),(28,7343205,'1A',428,'N'),(28,7343221,'1',999,'N'),(28,7343230,'1',238,'N'),(28,7343230,'1A',235,'N'),(28,7343248,'1',424,'N'),(28,7343248,'1A',427,'N'),(28,7343264,'1',454,'N'),(28,7343280,'1',207,'N'),(28,7343280,'1A',201,'N'),(28,7343299,'1',339,'N'),(28,7343302,'1',202,'N'),(28,7343302,'1A',201,'N'),(28,7343310,'1',225,'N'),(28,7343329,'1',220,'N'),(28,7343329,'1A',216,'N'),(28,7343337,'1',336,'N'),(28,7343345,'1',317,'N'),(28,7343353,'1',103,'N'),(28,7343370,'1',303,'N'),(28,7343388,'1',304,'N'),(28,7343396,'1',103,'N'),(28,7343400,'1',317,'N'),(28,7343418,'1',319,'N'),(28,7343426,'1',329,'N'),(28,7343434,'1',326,'N'),(28,7343442,'1',329,'N'),(28,7343450,'1',5,'N'),(28,7343469,'1',501,'N'),(28,7343477,'1',103,'N'),(28,7343485,'1',415,'N'),(28,7343493,'1',301,'N'),(28,7343507,'1',999,'N'),(28,7343515,'1',103,'N'),(28,7343523,'1',211,'N'),(28,7343523,'1A',215,'N'),(28,7343531,'1',233,'N'),(28,7343531,'1A',203,'N'),(28,7343558,'1',317,'N'),(28,7343574,'1',335,'N'),(28,7343582,'1',301,'N'),(28,7343590,'1',233,'N'),(28,7343590,'1A',601,'N'),(28,7343604,'1',319,'N'),(28,7343612,'1',999,'N'),(28,7343620,'1',319,'N'),(28,7343639,'1',319,'N'),(28,7343647,'1',201,'N'),(28,7343655,'1',999,'N'),(28,7343663,'1',103,'N'),(28,7343671,'1',207,'N'),(28,7343671,'1A',211,'N'),(28,7343680,'1',201,'N'),(28,7343680,'1A',216,'N'),(28,7343698,'1',316,'N'),(28,7343701,'1',304,'N'),(28,7343710,'1',235,'N'),(28,7343710,'1A',220,'N'),(28,7343728,'1',103,'N'),(28,7343744,'1',303,'N'),(28,7343752,'1',103,'N'),(28,7343760,'1',999,'N'),(28,7343779,'1',425,'N'),(28,7343779,'1A',424,'N'),(28,7343787,'1',999,'N'),(28,7343795,'1',110,'N'),(28,7343809,'1',235,'N'),(28,7343809,'1A',211,'N'),(28,7343817,'1',109,'N'),(28,7343825,'1',601,'N'),(28,7343841,'1',103,'N'),(28,7343850,'1',103,'N'),(28,7343868,'1',103,'N'),(28,7343876,'1',654,'N'),(28,7343884,'1',415,'N'),(28,7343892,'1',103,'N'),(28,7343914,'1',207,'N'),(28,7343914,'1A',201,'N'),(28,7343922,'1',999,'N'),(28,7343930,'1',601,'N'),(28,7343930,'1A',235,'N'),(28,7343949,'1',207,'N'),(28,7343949,'1A',201,'N'),(28,7343957,'1',201,'N'),(28,7343957,'1A',211,'N'),(28,7343965,'1',220,'N'),(28,7343965,'1A',235,'N'),(28,7343981,'1',101,'N'),(28,7343990,'1',999,'N'),(28,7344007,'1',207,'N'),(28,7344007,'1A',238,'N'),(28,7344015,'1',9,'N'),(28,7344023,'1',103,'N'),(28,7344031,'1',207,'N'),(28,7344031,'1A',215,'N'),(28,7344040,'1',103,'N'),(28,7344058,'1',214,'N'),(28,7344058,'1A',238,'N'),(28,7344066,'1',340,'N'),(28,7344074,'1',103,'N'),(28,7344090,'1',103,'N'),(28,7344104,'1',424,'N'),(28,7344104,'1A',427,'N'),(28,7344112,'1',340,'N'),(28,7344120,'1',441,'N'),(28,7344139,'1',454,'N'),(28,7344147,'1',316,'N'),(28,7344155,'1',999,'N'),(28,7344171,'1',425,'N'),(28,7344180,'1',333,'N'),(28,7344201,'1',340,'N'),(28,7344210,'1',201,'N'),(28,7344210,'1A',212,'N'),(28,7344228,'1',212,'N'),(28,7344228,'1A',213,'N'),(28,7344236,'1',454,'N'),(28,7344244,'1',201,'N'),(28,7344244,'1A',238,'N'),(28,7344252,'1',319,'N'),(28,7344260,'1',652,'N'),(28,7344260,'1A',653,'N'),(28,7344279,'1',340,'N'),(28,7344295,'1',103,'N'),(28,7344309,'1',415,'N'),(28,7344317,'1',103,'N'),(28,7344333,'1',318,'N'),(28,7344350,'1',201,'N'),(28,7344350,'1A',233,'N'),(28,7344376,'1',501,'N'),(28,7344384,'1',316,'N'),(28,7344414,'1',201,'N'),(28,7344414,'1A',207,'N'),(28,7344422,'1',318,'N'),(28,7344430,'1',317,'N'),(28,7344449,'1',201,'N'),(28,7344449,'1A',233,'N'),(28,7344457,'1',333,'N'),(28,7344465,'1',201,'N'),(28,7344465,'1A',207,'N'),(28,7344473,'1',425,'N'),(28,7344473,'1A',426,'N'),(28,7344490,'1',102,'N'),(28,7344503,'1',319,'N'),(28,7344511,'1',337,'N'),(28,7344520,'1',102,'N'),(28,7344538,'1',999,'N'),(28,7344554,'1',450,'N'),(28,7344562,'1',502,'N'),(28,7344570,'1',302,'N'),(28,7344589,'1',999,'N'),(28,7344597,'1',501,'N'),(28,7344600,'1',3,'N'),(28,7344619,'1',301,'N'),(28,7344627,'1',601,'N'),(28,7344627,'1A',212,'N'),(28,7344635,'1',103,'N'),(28,7344643,'1',103,'N'),(28,7344651,'1',303,'N'),(28,7344678,'1',208,'N'),(28,7344686,'1',104,'N'),(28,7344694,'1',303,'N'),(28,7344708,'1',303,'N'),(28,7344716,'1',234,'N'),(28,7344724,'1',207,'N'),(28,7344724,'1A',202,'N'),(28,7344732,'1',235,'N'),(28,7344732,'1A',203,'N'),(28,7344740,'1',108,'N'),(28,7344759,'1',201,'N'),(28,7344759,'1A',203,'N'),(28,7344775,'1',999,'N'),(28,7344805,'1',999,'N'),(28,7344813,'1',304,'N'),(28,7344821,'1',103,'N'),(28,7344830,'1',301,'N'),(28,7344848,'1',303,'N'),(28,7344856,'1',319,'N'),(28,7344864,'1',339,'N'),(28,7344872,'1',502,'N'),(28,7344899,'1',103,'N'),(28,7344902,'1',337,'N'),(28,7344929,'1',208,'N'),(28,7344937,'1',207,'N'),(28,7344937,'1A',201,'N'),(28,7344945,'1',220,'N'),(28,7344945,'1A',233,'N'),(28,7344953,'1',203,'N'),(28,7344970,'1',303,'N'),(28,7344988,'1',601,'N'),(28,7344988,'1A',652,'N'),(28,7345003,'1',340,'N'),(28,7345011,'1',319,'N'),(28,7345020,'1',316,'N'),(28,7345038,'1',324,'N'),(28,7345054,'1',216,'N'),(28,7345054,'1A',235,'N'),(28,7345062,'1',238,'N'),(28,7345062,'1A',235,'N'),(28,7345070,'1',103,'N'),(28,7345089,'1',103,'N'),(28,7345097,'1',110,'N'),(28,7345100,'1',999,'N'),(28,7345119,'1',202,'N'),(28,7345119,'1A',220,'N'),(28,7345135,'1',207,'N'),(28,7345135,'1A',203,'N'),(28,7345151,'1',303,'N'),(28,7345160,'1',104,'N'),(28,7345178,'1',234,'N'),(28,7345208,'1',999,'N'),(28,7345216,'1',220,'N'),(28,7345216,'1A',238,'N'),(28,7345232,'1',202,'N'),(28,7345232,'1A',220,'N'),(28,7345240,'1',301,'N'),(28,7345259,'1',302,'N'),(28,7345267,'1',303,'N'),(28,7345275,'1',319,'N'),(28,7345283,'1',340,'N'),(28,7345291,'1',216,'N'),(28,7345291,'1A',207,'N'),(28,7345305,'1',303,'N'),(28,7345313,'1',103,'N'),(28,7345321,'1',316,'N'),(28,7345330,'1',301,'N'),(28,7345348,'1',340,'N'),(28,7345356,'1',110,'N'),(28,7345364,'1',319,'N'),(28,7345380,'1',601,'N'),(28,7345380,'1A',216,'N'),(28,7345399,'1',999,'N'),(28,7345402,'1',207,'N'),(28,7345402,'1A',233,'N'),(28,7345410,'1',103,'N'),(28,7345429,'1',303,'N'),(28,7345445,'1',429,'N'),(28,7345445,'1A',425,'N'),(28,7345453,'1',211,'N'),(28,7345461,'1',301,'N'),(28,7345488,'1',207,'N'),(28,7345488,'1A',201,'N'),(28,7345496,'1',103,'N'),(28,7345500,'1',454,'N'),(28,7345518,'1',333,'N'),(28,7345526,'1',225,'N'),(28,7345534,'1',317,'N'),(28,7345542,'1',654,'N'),(28,7345550,'1',316,'N'),(28,7345569,'1',999,'N'),(28,7345585,'1',316,'N'),(28,7345593,'1',224,'N'),(28,7345615,'1',202,'N'),(28,7345615,'1A',201,'N'),(28,7345623,'1',450,'N'),(28,7345631,'1',999,'N'),(28,7345640,'1',211,'N'),(28,7345640,'1A',601,'N'),(28,7345658,'1',454,'N'),(28,7345666,'1',451,'N'),(28,7345674,'1',303,'N'),(28,7345682,'1',201,'N'),(28,7345682,'1A',212,'N'),(28,7345690,'1',601,'N'),(28,7345690,'1A',214,'N'),(28,7345704,'1',104,'N'),(28,7345712,'1',319,'N'),(28,7345739,'1',103,'N'),(28,7345747,'1',999,'N'),(28,7345755,'1',316,'N'),(28,7345763,'1',454,'N'),(28,7345771,'1',404,'N'),(28,7345780,'1',308,'N'),(28,7345798,'1',425,'N'),(28,7345798,'1A',424,'N'),(28,7345801,'1',103,'N'),(28,7345828,'1',103,'N'),(28,7345836,'1',103,'N'),(28,7345844,'1',5,'N'),(28,7345860,'1',201,'N'),(28,7345860,'1A',212,'N'),(28,7345887,'1',303,'N'),(28,7345909,'1',655,'N'),(28,7345909,'1A',220,'N'),(28,7345917,'1',303,'N'),(28,7345925,'1',109,'N'),(28,7345933,'1',999,'N'),(28,7345941,'1',9,'N'),(28,7345950,'1',212,'N'),(28,7345950,'1A',233,'N'),(28,7345968,'1',329,'N'),(28,7345976,'1',331,'N'),(28,7345984,'1',415,'N'),(28,7346000,'1',415,'N'),(28,7346018,'1',340,'N'),(28,7346026,'1',319,'N'),(28,7346034,'1',103,'N'),(28,7346042,'1',216,'N'),(28,7346042,'1A',601,'N'),(28,7346050,'1',428,'N'),(28,7346050,'1A',426,'N'),(28,7346069,'1',203,'N'),(28,7346069,'1A',201,'N'),(28,7346077,'1',653,'N'),(28,7346077,'1A',601,'N'),(28,7346085,'1',212,'N'),(28,7346085,'1A',211,'N'),(28,7346093,'1',503,'N'),(28,7346107,'1',999,'N'),(28,7346115,'1',212,'N'),(28,7346115,'1A',203,'N'),(28,7346123,'1',340,'N'),(28,7346131,'1',103,'N'),(28,7346166,'1',999,'N'),(28,7346174,'1',207,'N'),(28,7346174,'1A',212,'N'),(28,7346182,'1',103,'N'),(28,7346190,'1',551,'N'),(28,7346204,'1',319,'N'),(28,7346220,'1',103,'N'),(28,7346239,'1',339,'N'),(28,7346247,'1',102,'N'),(28,7346255,'1',999,'N'),(28,7346271,'1',999,'N'),(28,7346280,'1',444,'N'),(28,7346298,'1',207,'N'),(28,7346298,'1A',201,'N'),(28,7346310,'1',201,'N'),(28,7346310,'1A',203,'N'),(28,7346328,'1',103,'N'),(28,7346336,'1',211,'N'),(28,7346336,'1A',652,'N'),(28,7346344,'1',103,'N'),(28,7346352,'1',303,'N'),(28,7346360,'1',308,'N'),(28,7346379,'1',502,'N'),(28,7346387,'1',304,'N'),(28,7346395,'1',999,'N'),(28,7346409,'1',316,'N'),(28,7346417,'1',207,'N'),(28,7346425,'1',223,'N'),(28,7346433,'1',552,'N'),(28,7346441,'1',207,'N'),(28,7346441,'1A',201,'N'),(28,7346450,'1',415,'N'),(28,7346468,'1',601,'N'),(28,7346468,'1A',201,'N'),(28,7346484,'1',201,'N'),(28,7346484,'1A',214,'N'),(28,7346492,'1',999,'N'),(28,7346506,'1',103,'N'),(28,7346514,'1',9,'N'),(28,7346522,'1',404,'N'),(28,7346530,'1',103,'N'),(28,7346549,'1',103,'N'),(28,7346557,'1',404,'N'),(28,7346565,'1',316,'N'),(28,7346573,'1',333,'N'),(28,7346581,'1',205,'N'),(28,7346590,'1',601,'N'),(28,7346590,'1A',201,'N'),(28,7346611,'1',454,'N'),(28,7346638,'1',655,'N'),(28,7346638,'1A',653,'N'),(28,7346646,'1',320,'N'),(28,7346654,'1',5,'N'),(28,7346662,'1',103,'N'),(28,7346670,'1',201,'N'),(28,7346670,'1A',212,'N'),(28,7346689,'1',333,'N'),(28,7346697,'1',303,'N'),(28,7346700,'1',319,'N'),(28,7346719,'1',340,'N'),(28,7346727,'1',104,'N'),(28,7346735,'1',238,'N'),(28,7346743,'1',318,'N'),(28,7346751,'1',103,'N'),(28,7346760,'1',601,'N'),(28,7346786,'1',999,'N'),(28,7346794,'1',652,'N'),(28,7346794,'1A',207,'N'),(28,7346824,'1',451,'N'),(28,7346832,'1',303,'N'),(28,7346840,'1',552,'N'),(28,7346859,'1',319,'N'),(28,7346867,'1',215,'N'),(28,7346867,'1A',211,'N'),(28,7346875,'1',415,'N'),(28,7346883,'1',454,'N'),(28,7346891,'1',319,'N'),(28,7346905,'1',999,'N'),(28,7346913,'1',316,'N'),(28,7346921,'1',601,'N'),(28,7346921,'1A',203,'N'),(28,7346930,'1',104,'N'),(28,7346956,'1',444,'N'),(28,7346972,'1',9,'N'),(28,7346980,'1',233,'N'),(28,7346980,'1A',213,'N'),(28,7346999,'1',208,'N'),(28,7347006,'1',316,'N'),(28,7347014,'1',220,'N'),(28,7347014,'1A',601,'N'),(28,7347022,'1',415,'N'),(28,7347030,'1',426,'N'),(28,7347030,'1A',429,'N'),(28,7347049,'1',208,'N'),(28,7347057,'1',328,'N'),(28,7347065,'1',220,'N'),(28,7347065,'1A',203,'N'),(28,7347081,'1',203,'N'),(28,7347081,'1A',214,'N'),(28,7347090,'1',212,'N'),(28,7347090,'1A',233,'N'),(28,7347103,'1',103,'N'),(28,7347111,'1',108,'N'),(28,7347120,'1',5,'N'),(28,7347138,'1',316,'N'),(28,7347146,'1',201,'N'),(28,7347146,'1A',233,'N'),(28,7347154,'1',340,'N'),(28,7347162,'1',203,'N'),(28,7347162,'1A',220,'N'),(28,7347189,'1',326,'N'),(28,7347200,'1',238,'N'),(28,7347200,'1A',235,'N'),(28,7347219,'1',340,'N'),(28,7347227,'1',216,'N'),(28,7347227,'1A',211,'N'),(28,7347235,'1',308,'N'),(28,7347260,'1',999,'N'),(28,7347278,'1',207,'N'),(28,7347278,'1A',213,'N'),(28,7347286,'1',319,'N'),(28,7347308,'1',316,'N'),(28,7347316,'1',5,'N'),(28,7347324,'1',5,'N'),(28,7347332,'1',201,'N'),(28,7347332,'1A',212,'N'),(28,7347340,'1',201,'N'),(28,7347340,'1A',212,'N'),(28,7347359,'1',103,'N'),(28,7347367,'1',999,'N'),(28,7347375,'1',601,'N'),(28,7347375,'1A',235,'N'),(28,7347383,'1',329,'N'),(28,7347391,'1',404,'N'),(28,7347413,'1',201,'N'),(28,7347413,'1A',207,'N'),(28,7347421,'1',303,'N'),(28,7347430,'1',207,'N'),(28,7347430,'1A',201,'N'),(28,7347448,'1',234,'N'),(28,7347456,'1',318,'N'),(28,7347464,'1',110,'N'),(28,7347472,'1',203,'N'),(28,7347472,'1A',233,'N'),(28,7347480,'1',310,'N'),(28,7347499,'1',203,'N'),(28,7347499,'1A',214,'N'),(28,7347502,'1',104,'N'),(28,7347510,'1',316,'N'),(28,7347529,'1',207,'N'),(28,7347529,'1A',212,'N'),(28,7347537,'1',316,'N'),(28,7347545,'1',216,'N'),(28,7347545,'1A',235,'N'),(28,7347553,'1',201,'N'),(28,7347553,'1A',233,'N'),(28,7347561,'1',108,'N'),(28,7347570,'1',653,'N'),(28,7347570,'1A',652,'N'),(28,7347588,'1',225,'N'),(28,7347596,'1',103,'N'),(28,7347618,'1',319,'N'),(28,7347626,'1',428,'N'),(28,7347642,'1',601,'N'),(28,7347642,'1A',214,'N'),(28,7347650,'1',655,'N'),(28,7347669,'1',301,'N'),(28,7347677,'1',238,'N'),(28,7347677,'1A',655,'N'),(28,7347685,'1',317,'N'),(28,7347693,'1',208,'N'),(28,7347715,'1',103,'N'),(28,7347723,'1',319,'N'),(28,7347731,'1',207,'N'),(28,7347731,'1A',201,'N'),(28,7347740,'1',103,'N'),(28,7347758,'1',655,'N'),(28,7347758,'1A',238,'N'),(28,7347774,'1',5,'N'),(28,7347782,'1',601,'N'),(28,7347790,'1',326,'N'),(28,7347804,'1',415,'N'),(28,7347812,'1',103,'N'),(28,7347820,'1',316,'N'),(28,7347847,'1',215,'N'),(28,7347847,'1A',211,'N'),(28,7347871,'1',316,'N'),(28,7347898,'1',202,'N'),(28,7347898,'1A',203,'N'),(28,7347901,'1',999,'N'),(28,7347910,'1',108,'N'),(28,7347936,'1',104,'N'),(28,7347944,'1',303,'N'),(28,7347952,'1',319,'N'),(28,7347960,'1',601,'N'),(28,7347960,'1A',201,'N'),(28,7347979,'1',211,'N'),(28,7347979,'1A',214,'N'),(28,7347987,'1',326,'N'),(28,7347995,'1',319,'N'),(28,7348002,'1',214,'N'),(28,7348002,'1A',238,'N'),(28,7348010,'1',301,'N'),(28,7348029,'1',103,'N'),(28,7348037,'1',303,'N'),(28,7348045,'1',316,'N'),(28,7348070,'1',303,'N'),(28,7348088,'1',207,'N'),(28,7348088,'1A',212,'N'),(28,7348096,'1',103,'N'),(28,7348100,'1',999,'N'),(28,7348118,'1',101,'N'),(28,7348126,'1',208,'N'),(28,7348134,'1',502,'N'),(28,7348142,'1',654,'N'),(28,7348150,'1',201,'N'),(28,7348150,'1A',212,'N'),(28,7348185,'1',2,'N'),(28,7348193,'1',208,'N'),(28,7348207,'1',654,'N'),(28,7348215,'1',303,'N'),(28,7348223,'1',201,'N'),(28,7348223,'1A',212,'N'),(28,7348274,'1',220,'N'),(28,7348274,'1A',202,'N'),(28,7348282,'1',303,'N'),(28,7348290,'1',999,'N'),(28,7348304,'1',429,'N'),(28,7348304,'1A',426,'N'),(28,7348312,'1',212,'N'),(28,7348312,'1A',233,'N'),(28,7348339,'1',238,'N'),(28,7348339,'1A',211,'N'),(28,7348347,'1',317,'N'),(28,7348355,'1',428,'N'),(28,7348355,'1A',427,'N'),(28,7348363,'1',303,'N'),(28,7348371,'1',233,'N'),(28,7348371,'1A',215,'N'),(28,7348380,'1',301,'N'),(28,7348398,'1',104,'N'),(28,7348401,'1',103,'N'),(28,7348410,'1',102,'N'),(28,7348428,'1',233,'N'),(28,7348428,'1A',215,'N'),(28,7348444,'1',301,'N'),(28,7348452,'1',201,'N'),(28,7348452,'1A',233,'N'),(28,7348460,'1',454,'N'),(28,7348487,'1',339,'N'),(28,7348495,'1',214,'N'),(28,7348495,'1A',201,'N'),(28,7348509,'1',201,'N'),(28,7348509,'1A',203,'N'),(28,7348517,'1',655,'N'),(28,7348517,'1A',653,'N'),(28,7348525,'1',999,'N'),(28,7348533,'1',317,'N'),(28,7348541,'1',5,'N'),(28,7348550,'1',103,'N'),(28,7348568,'1',552,'N'),(28,7348576,'1',214,'N'),(28,7348584,'1',201,'N'),(28,7348592,'1',233,'N'),(28,7348592,'1A',216,'N'),(28,7348606,'1',108,'N'),(28,7348614,'1',110,'N'),(28,7348622,'1',301,'N'),(28,7348630,'1',999,'N'),(28,7348649,'1',207,'N'),(28,7348649,'1A',601,'N'),(28,7348657,'1',103,'N'),(28,7348665,'1',340,'N'),(28,7348681,'1',202,'N'),(28,7348681,'1A',216,'N'),(28,7348690,'1',104,'N'),(28,7348703,'1',415,'N'),(28,7348711,'1',303,'N'),(28,7348720,'1',104,'N'),(28,7348738,'1',230,'N'),(28,7348746,'1',336,'N'),(28,7348754,'1',999,'N'),(28,7348762,'1',238,'N'),(28,7348762,'1A',235,'N'),(28,7348770,'1',331,'N'),(28,7348789,'1',103,'N'),(28,7348819,'1',404,'N'),(28,7348827,'1',454,'N'),(28,7348835,'1',103,'N'),(28,7348843,'1',601,'N'),(28,7348843,'1A',220,'N'),(28,7348860,'1',317,'N'),(28,7348894,'1',999,'N'),(28,7348908,'1',502,'N'),(28,7348916,'1',201,'N'),(28,7348916,'1A',212,'N'),(28,7348924,'1',5,'N'),(28,7348940,'1',103,'N'),(28,7348959,'1',103,'N'),(28,7348967,'1',215,'N'),(28,7348967,'1A',220,'N'),(28,7348975,'1',552,'N'),(28,7348983,'1',317,'N'),(28,7348991,'1',238,'N'),(28,7349009,'1',216,'N'),(28,7349009,'1A',215,'N'),(28,7349017,'1',404,'N'),(28,7349025,'1',201,'N'),(28,7349025,'1A',202,'N'),(28,7349041,'1',340,'N'),(28,7349050,'1',201,'N'),(28,7349050,'1A',213,'N'),(28,7349068,'1',318,'N'),(28,7349084,'1',203,'N'),(28,7349084,'1A',220,'N'),(28,7349092,'1',502,'N'),(28,7349106,'1',310,'N'),(28,7349114,'1',211,'N'),(28,7349114,'1A',220,'N'),(28,7349122,'1',999,'N'),(28,7349130,'1',301,'N'),(28,7349149,'1',655,'N'),(28,7349157,'1',215,'N'),(28,7349157,'1A',213,'N'),(28,7349165,'1',201,'N'),(28,7349165,'1A',207,'N'),(28,7349173,'1',103,'N'),(28,7349181,'1',301,'N'),(28,7349190,'1',999,'N'),(28,7349203,'1',655,'N'),(28,7349203,'1A',235,'N'),(28,7349211,'1',103,'N'),(28,7349220,'1',207,'N'),(28,7349220,'1A',201,'N'),(28,7349238,'1',207,'N'),(28,7349238,'1A',201,'N'),(28,7349246,'1',415,'N'),(28,7349254,'1',212,'N'),(28,7349254,'1A',601,'N'),(28,7349262,'1',318,'N'),(28,7349270,'1',208,'N'),(28,7349289,'1',104,'N'),(28,7349297,'1',203,'N'),(28,7349297,'1A',233,'N'),(28,7349319,'1',999,'N'),(28,7349327,'1',308,'N'),(28,7349343,'1',102,'N'),(28,7349351,'1',103,'N'),(28,7349360,'1',324,'N'),(28,7349394,'1',999,'N'),(28,7349408,'1',203,'N'),(28,7349416,'1',5,'N'),(28,7349424,'1',319,'N'),(28,7349432,'1',102,'N'),(28,7349440,'1',207,'N'),(28,7349459,'1',103,'N'),(28,7349467,'1',444,'N'),(28,7349483,'1',320,'N'),(28,7349491,'1',316,'N'),(28,7349505,'1',103,'N'),(28,7349513,'1',103,'N'),(28,7349521,'1',303,'N'),(28,7349530,'1',301,'N'),(28,7349548,'1',502,'N'),(28,7349556,'1',216,'N'),(28,7349556,'1A',655,'N'),(28,7349564,'1',340,'N'),(28,7349580,'1',103,'N'),(28,7349599,'1',104,'N'),(28,7349610,'1',207,'N'),(28,7349610,'1A',201,'N'),(28,7349629,'1',103,'N'),(28,7349645,'1',103,'N'),(28,7349653,'1',303,'N'),(28,7349661,'1',5,'N'),(28,7349670,'1',5,'N'),(28,7349688,'1',103,'N'),(28,7349696,'1',103,'N'),(28,7349700,'1',203,'N'),(28,7349700,'1A',214,'N'),(28,7349718,'1',552,'N'),(28,7349726,'1',104,'N'),(28,7349734,'1',207,'N'),(28,7349734,'1A',201,'N'),(28,7349742,'1',103,'N'),(28,7349750,'1',207,'N'),(28,7349750,'1A',216,'N'),(28,7349769,'1',201,'N'),(28,7349769,'1A',203,'N'),(28,7349777,'1',216,'N'),(28,7349777,'1A',653,'N'),(28,7349785,'1',201,'N'),(28,7349785,'1A',238,'N'),(28,7349793,'1',653,'N'),(28,7349793,'1A',652,'N'),(28,7349807,'1',999,'N'),(28,7349823,'1',308,'N'),(28,7349858,'1',103,'N'),(28,7349866,'1',201,'N'),(28,7349866,'1A',215,'N'),(28,7349874,'1',207,'N'),(28,7349874,'1A',655,'N'),(28,7349890,'1',318,'N'),(28,7349912,'1',339,'N'),(28,7349920,'1',9,'N'),(28,7349939,'1',999,'N'),(28,7349947,'1',319,'N'),(28,7349963,'1',212,'N'),(28,7349963,'1A',215,'N'),(28,7349980,'1',103,'N'),(28,7350007,'1',103,'N'),(28,7350015,'1',208,'N'),(28,7350023,'1',303,'N'),(28,7350031,'1',316,'N'),(28,7350058,'1',339,'N'),(28,7350074,'1',425,'N'),(28,7350074,'1A',428,'N'),(28,7350082,'1',202,'N'),(28,7350082,'1A',233,'N'),(28,7350090,'1',999,'N'),(28,7350104,'1',551,'N'),(28,7350112,'1',454,'N'),(28,7350120,'1',214,'N'),(28,7350120,'1A',213,'N'),(28,7350139,'1',454,'N'),(28,7350147,'1',103,'N'),(28,7350155,'1',211,'N'),(28,7350155,'1A',215,'N'),(28,7350163,'1',415,'N'),(28,7350180,'1',108,'N'),(28,7350198,'1',332,'N'),(28,7350201,'1',5,'N'),(28,7350210,'1',999,'N'),(28,7350228,'1',238,'N'),(28,7350228,'1A',655,'N'),(28,7350236,'1',301,'N'),(28,7350244,'1',202,'N'),(28,7350244,'1A',238,'N'),(28,7350252,'1',213,'N'),(28,7350252,'1A',212,'N'),(28,7350260,'1',454,'N'),(28,7350279,'1',9,'N'),(28,7350287,'1',303,'N'),(28,7350295,'1',212,'N'),(28,7350295,'1A',211,'N'),(28,7350309,'1',304,'N'),(28,7350317,'1',999,'N'),(28,7350325,'1',233,'N'),(28,7350325,'1A',601,'N'),(28,7350333,'1',103,'N'),(28,7350341,'1',211,'N'),(28,7350341,'1A',201,'N'),(28,7350350,'1',301,'N'),(28,7350368,'1',207,'N'),(28,7350368,'1A',201,'N'),(28,7350376,'1',999,'N'),(28,7350384,'1',320,'N'),(28,7350392,'1',326,'N'),(28,7350406,'1',103,'N'),(28,7350414,'1',655,'N'),(28,7350414,'1A',653,'N'),(28,7350422,'1',303,'N'),(28,7350430,'1',301,'N'),(28,7350449,'1',552,'N'),(28,7350457,'1',441,'N'),(28,7350473,'1',103,'N'),(28,7350481,'1',301,'N'),(28,7350511,'1',9,'N'),(28,7350520,'1',103,'N'),(28,7350546,'1',454,'N'),(28,7350562,'1',103,'N'),(28,7350570,'1',335,'N'),(28,7350589,'1',999,'N'),(28,7350600,'1',309,'N'),(28,7350619,'1',201,'N'),(28,7350619,'1A',207,'N'),(28,7350627,'1',202,'N'),(28,7350627,'1A',238,'N'),(28,7350635,'1',415,'N'),(28,7350643,'1',301,'N'),(28,7350678,'1',233,'N'),(28,7350678,'1A',211,'N'),(28,7350694,'1',327,'N'),(28,7350708,'1',104,'N'),(28,7350716,'1',316,'N'),(28,7350732,'1',220,'N'),(28,7350732,'1A',655,'N'),(28,7350740,'1',319,'N'),(28,7350759,'1',234,'N'),(28,7350767,'1',101,'N'),(28,7350775,'1',332,'N'),(28,7350783,'1',999,'N'),(28,7350805,'1',454,'N'),(28,7350813,'1',999,'N'),(28,7350821,'1',320,'N'),(28,7350830,'1',999,'N'),(28,7350848,'1',101,'N'),(28,7350856,'1',207,'N'),(28,7350864,'1',999,'N'),(28,7350872,'1',450,'N'),(28,7350902,'1',202,'N'),(28,7350902,'1A',220,'N'),(28,7350910,'1',450,'N'),(28,7350929,'1',216,'N'),(28,7350929,'1A',215,'N'),(28,7350937,'1',103,'N'),(28,7350945,'1',212,'N'),(28,7350945,'1A',211,'N'),(28,7350961,'1',103,'N'),(28,7350988,'1',999,'N'),(28,7350996,'1',441,'N'),(28,7351011,'1',999,'N'),(28,7351046,'1',999,'N'),(28,7351054,'1',207,'N'),(28,7351054,'1A',201,'N'),(28,7351062,'1',216,'N'),(28,7351062,'1A',211,'N'),(28,7351089,'1',214,'N'),(28,7351089,'1A',201,'N'),(28,7351097,'1',208,'N'),(28,7351100,'1',104,'N'),(28,7351119,'1',216,'N'),(28,7351119,'1A',203,'N'),(28,7351127,'1',425,'N'),(28,7351127,'1A',421,'N'),(28,7351135,'1',415,'N'),(28,7351143,'1',999,'N'),(28,7351151,'1',301,'N'),(28,7351160,'1',340,'N'),(28,7351178,'1',230,'N'),(28,7351186,'1',999,'N'),(28,7351194,'1',337,'N'),(28,7351208,'1',301,'N'),(28,7351224,'1',208,'N'),(28,7351232,'1',301,'N'),(28,7351240,'1',653,'N'),(28,7351240,'1A',601,'N'),(28,7351259,'1',103,'N'),(28,7351267,'1',203,'N'),(28,7351267,'1A',235,'N'),(28,7351275,'1',502,'N'),(28,7351283,'1',5,'N'),(28,7351291,'1',207,'N'),(28,7351291,'1A',201,'N'),(28,7351305,'1',302,'N'),(28,7351313,'1',9,'N'),(28,7351330,'1',601,'N'),(28,7351330,'1A',207,'N'),(28,7351348,'1',103,'N'),(28,7351356,'1',207,'N'),(28,7351356,'1A',212,'N'),(28,7351364,'1',999,'N'),(28,7351372,'1',415,'N'),(28,7351380,'1',208,'N'),(28,7351399,'1',601,'N'),(28,7351402,'1',103,'N'),(28,7351410,'1',203,'N'),(28,7351410,'1A',214,'N'),(28,7351429,'1',233,'N'),(28,7351429,'1A',214,'N'),(28,7351437,'1',207,'N'),(28,7351437,'1A',601,'N'),(28,7351453,'1',214,'N'),(28,7351453,'1A',233,'N'),(28,7351496,'1',415,'N'),(28,7351500,'1',303,'N'),(28,7351518,'1',103,'N'),(28,7351526,'1',201,'N'),(28,7351526,'1A',202,'N'),(28,7351534,'1',303,'N'),(28,7351542,'1',213,'N'),(28,7351542,'1A',601,'N'),(28,7351550,'1',207,'N'),(28,7351550,'1A',201,'N'),(28,7351569,'1',207,'N'),(28,7351569,'1A',201,'N'),(28,7351577,'1',653,'N'),(28,7351577,'1A',202,'N'),(28,7351585,'1',425,'N'),(28,7351585,'1A',428,'N'),(28,7351607,'1',303,'N'),(28,7351615,'1',319,'N'),(28,7351623,'1',318,'N'),(28,7351631,'1',999,'N'),(28,7351640,'1',104,'N'),(28,7351666,'1',103,'N'),(28,7351674,'1',207,'N'),(28,7351674,'1A',212,'N'),(28,7351682,'1',425,'N'),(28,7351690,'1',108,'N'),(28,7351712,'1',201,'N'),(28,7351712,'1A',655,'N'),(28,7351720,'1',653,'N'),(28,7351720,'1A',216,'N'),(28,7351739,'1',103,'N'),(28,7351747,'1',302,'N'),(28,7351755,'1',316,'N'),(28,7351771,'1',303,'N'),(28,7351780,'1',103,'N'),(28,7351798,'1',444,'N'),(28,7351801,'1',551,'N'),(28,7351836,'1',5,'N'),(28,7351844,'1',301,'N'),(28,7351852,'1',215,'N'),(28,7351879,'1',207,'N'),(28,7351895,'1',340,'N'),(28,7351909,'1',551,'N'),(28,7351917,'1',424,'N'),(28,7351917,'1A',427,'N'),(28,7351925,'1',108,'N'),(28,7351933,'1',336,'N'),(28,7351941,'1',451,'N'),(28,7351950,'1',208,'N'),(28,7351968,'1',440,'N'),(28,7351984,'1',316,'N'),(28,7351992,'1',233,'N'),(28,7351992,'1A',211,'N'),(28,7352000,'1',238,'N'),(28,7352000,'1A',207,'N'),(28,7352018,'1',238,'N'),(28,7352018,'1A',220,'N'),(28,7352034,'1',316,'N'),(28,7352042,'1',211,'N'),(28,7352042,'1A',653,'N'),(28,7352050,'1',103,'N'),(28,7352069,'1',103,'N'),(28,7352077,'1',339,'N'),(28,7352085,'1',202,'N'),(28,7352085,'1A',235,'N'),(28,7352093,'1',216,'N'),(28,7352093,'1A',215,'N'),(28,7352115,'1',103,'N'),(28,7352131,'1',301,'N'),(28,7352140,'1',336,'N'),(28,7352158,'1',103,'N'),(28,7352166,'1',423,'N'),(28,7352166,'1A',424,'N'),(28,7352182,'1',303,'N'),(28,7352204,'1',316,'N'),(28,7352212,'1',103,'N'),(28,7352220,'1',201,'N'),(28,7352220,'1A',202,'N'),(28,7352239,'1',108,'N'),(28,7352247,'1',201,'N'),(28,7352247,'1A',203,'N'),(28,7352255,'1',316,'N'),(28,7352263,'1',224,'N'),(28,7352271,'1',103,'N'),(28,7352298,'1',316,'N'),(28,7352310,'1',309,'N'),(28,7352328,'1',303,'N'),(28,7352336,'1',201,'N'),(28,7352336,'1A',203,'N'),(28,7352344,'1',303,'N'),(28,7352360,'1',429,'N'),(28,7352360,'1A',421,'N'),(28,7352379,'1',103,'N'),(28,7352387,'1',103,'N'),(28,7352395,'1',103,'N'),(28,7352409,'1',450,'N'),(28,7352425,'1',301,'N'),(28,7352433,'1',103,'N'),(28,7352441,'1',454,'N'),(28,7352468,'1',238,'N'),(28,7352468,'1A',233,'N'),(28,7352476,'1',301,'N'),(28,7352484,'1',301,'N'),(28,7352492,'1',211,'N'),(28,7352492,'1A',601,'N'),(28,7352506,'1',451,'N'),(28,7352514,'1',103,'N'),(28,7352522,'1',340,'N'),(28,7352530,'1',103,'N'),(28,7352549,'1',207,'N'),(28,7352557,'1',103,'N'),(28,7352565,'1',999,'N'),(28,7352573,'1',316,'N'),(28,7352581,'1',103,'N'),(28,7352590,'1',103,'N'),(28,7352603,'1',303,'N'),(28,7352611,'1',5,'N'),(28,7352620,'1',103,'N'),(28,7352638,'1',999,'N'),(28,7352646,'1',212,'N'),(28,7352646,'1A',214,'N'),(28,7352654,'1',999,'N'),(28,7352662,'1',208,'N'),(28,7352670,'1',5,'N'),(28,7352689,'1',552,'N'),(28,7352697,'1',454,'N'),(28,7352700,'1',101,'N'),(28,7352719,'1',340,'N'),(28,7352735,'1',207,'N'),(28,7352735,'1A',211,'N'),(28,7352743,'1',201,'N'),(28,7352743,'1A',207,'N'),(28,7352751,'1',203,'N'),(28,7352751,'1A',235,'N'),(28,7352760,'1',104,'N'),(28,7352778,'1',203,'N'),(28,7352778,'1A',214,'N'),(28,7352786,'1',103,'N'),(28,7352794,'1',108,'N'),(28,7352816,'1',327,'N'),(28,7352824,'1',212,'N'),(28,7352824,'1A',653,'N'),(28,7352832,'1',444,'N'),(28,7352840,'1',214,'N'),(28,7352840,'1A',212,'N'),(28,7352859,'1',103,'N'),(28,7352867,'1',301,'N'),(28,7352875,'1',999,'N'),(28,7352883,'1',103,'N'),(28,7352891,'1',339,'N'),(28,7352905,'1',303,'N'),(28,7352913,'1',207,'N'),(28,7352913,'1A',215,'N'),(28,7352930,'1',201,'N'),(28,7352930,'1A',202,'N'),(28,7352948,'1',999,'N'),(28,7352956,'1',202,'N'),(28,7352956,'1A',203,'N'),(28,7352964,'1',316,'N'),(28,7352972,'1',203,'N'),(28,7352972,'1A',601,'N'),(28,7352999,'1',103,'N'),(28,7353022,'1',655,'N'),(28,7353022,'1A',653,'N'),(28,7353030,'1',220,'N'),(28,7353030,'1A',203,'N'),(28,7353049,'1',425,'N'),(28,7353049,'1A',423,'N'),(28,7353057,'1',308,'N'),(28,7353073,'1',104,'N'),(28,7353081,'1',214,'N'),(28,7353081,'1A',203,'N'),(28,7353090,'1',318,'N'),(28,7353103,'1',103,'N'),(28,7353111,'1',303,'N'),(28,7353120,'1',103,'N'),(28,7353138,'1',108,'N'),(28,7353146,'1',233,'N'),(28,7353146,'1A',216,'N'),(28,7353154,'1',304,'N'),(28,7353162,'1',207,'N'),(28,7353162,'1A',201,'N'),(28,7353170,'1',444,'N'),(28,7353189,'1',324,'N'),(28,7353197,'1',203,'N'),(28,7353197,'1A',220,'N'),(28,7353200,'1',103,'N'),(28,7353219,'1',222,'N'),(28,7353227,'1',444,'N'),(28,7353235,'1',216,'N'),(28,7353235,'1A',215,'N'),(28,7353251,'1',103,'N'),(28,7353260,'1',5,'N'),(28,7353278,'1',454,'N'),(28,7353286,'1',427,'N'),(28,7353286,'1A',421,'N'),(28,7353294,'1',103,'N'),(28,7353316,'1',102,'N'),(28,7353324,'1',201,'N'),(28,7353324,'1A',203,'N'),(28,7353332,'1',103,'N'),(28,7353340,'1',203,'N'),(28,7353340,'1A',214,'N'),(28,7353359,'1',103,'N'),(28,7353367,'1',316,'N'),(28,7353391,'1',207,'N'),(28,7353391,'1A',214,'N'),(28,7353405,'1',653,'N'),(28,7353413,'1',551,'N'),(28,7353421,'1',103,'N'),(28,7353430,'1',201,'N'),(28,7353430,'1A',202,'N'),(28,7353456,'1',238,'N'),(28,7353464,'1',2,'N'),(28,7353499,'1',216,'N'),(28,7353499,'1A',233,'N'),(28,7353502,'1',601,'N'),(28,7353510,'1',317,'N'),(28,7353529,'1',319,'N'),(28,7353537,'1',9,'N'),(28,7353545,'1',501,'N'),(28,7353553,'1',110,'N'),(28,7353570,'1',999,'N'),(28,7353588,'1',317,'N'),(28,7353618,'1',103,'N'),(28,7353634,'1',208,'N'),(28,7353642,'1',451,'N'),(28,7353650,'1',201,'N'),(28,7353650,'1A',203,'N'),(28,7353677,'1',103,'N'),(28,7353685,'1',201,'N'),(28,7353685,'1A',212,'N'),(28,7353693,'1',213,'N'),(28,7353693,'1A',207,'N'),(28,7353707,'1',301,'N'),(28,7353715,'1',454,'N'),(28,7353723,'1',216,'N'),(28,7353723,'1A',201,'N'),(28,7353740,'1',238,'N'),(28,7353758,'1',103,'N'),(28,7353766,'1',201,'N'),(28,7353766,'1A',207,'N'),(28,7353774,'1',103,'N'),(28,7353782,'1',999,'N'),(28,7353790,'1',999,'N'),(28,7353812,'1',601,'N'),(28,7353820,'1',601,'N'),(28,7353839,'1',103,'N'),(28,7353847,'1',320,'N'),(28,7353855,'1',203,'N'),(28,7353855,'1A',211,'N'),(28,7353871,'1',103,'N'),(28,7353880,'1',308,'N'),(28,7353898,'1',103,'N'),(28,7353901,'1',104,'N'),(28,7353928,'1',234,'N'),(28,7353936,'1',333,'N'),(28,7353944,'1',103,'N'),(28,7353952,'1',301,'N'),(28,7353960,'1',404,'N'),(28,7353979,'1',212,'N'),(28,7353979,'1A',213,'N'),(28,7353995,'1',301,'N'),(28,7354002,'1',238,'N'),(28,7354002,'1A',220,'N'),(28,7354010,'1',223,'N'),(28,7354037,'1',230,'N'),(28,7354045,'1',9,'N'),(28,7354061,'1',999,'N'),(28,7354070,'1',104,'N'),(28,7354088,'1',211,'N'),(28,7354088,'1A',207,'N'),(28,7354096,'1',203,'N'),(28,7354096,'1A',220,'N'),(28,7354134,'1',319,'N'),(28,7354142,'1',208,'N'),(28,7354150,'1',104,'N'),(28,7354169,'1',212,'N'),(28,7354169,'1A',213,'N'),(28,7354177,'1',5,'N'),(28,7354185,'1',207,'N'),(28,7354185,'1A',201,'N'),(28,7354193,'1',308,'N'),(28,7354207,'1',999,'N'),(28,7354215,'1',404,'N'),(28,7354231,'1',212,'N'),(28,7354231,'1A',213,'N'),(28,7354240,'1',103,'N'),(28,7354258,'1',444,'N'),(28,7354266,'1',655,'N'),(28,7354266,'1A',653,'N'),(28,7354274,'1',238,'N'),(28,7354274,'1A',202,'N'),(28,7354282,'1',103,'N'),(28,7354304,'1',103,'N'),(28,7354312,'1',224,'N'),(28,7354347,'1',332,'N'),(28,7354363,'1',211,'N'),(28,7354363,'1A',207,'N'),(28,7354371,'1',301,'N'),(28,7354380,'1',103,'N'),(28,7354398,'1',238,'N'),(28,7354398,'1A',211,'N'),(28,7354401,'1',340,'N'),(28,7354410,'1',444,'N'),(28,7354428,'1',336,'N'),(28,7354436,'1',103,'N'),(28,7354452,'1',501,'N'),(28,7354460,'1',208,'N'),(28,7354479,'1',303,'N'),(28,7354487,'1',303,'N'),(28,7354495,'1',339,'N'),(28,7354509,'1',103,'N'),(28,7354517,'1',999,'N'),(28,7354525,'1',319,'N'),(28,7354533,'1',103,'N'),(28,7354541,'1',999,'N'),(28,7354550,'1',222,'N'),(28,7354568,'1',316,'N'),(28,7354576,'1',999,'N'),(28,7354584,'1',317,'N'),(28,7354592,'1',999,'N'),(28,7354606,'1',104,'N'),(28,7354614,'1',202,'N'),(28,7354614,'1A',201,'N'),(28,7354622,'1',999,'N'),(28,7354630,'1',336,'N'),(28,7354649,'1',339,'N'),(28,7354665,'1',201,'N'),(28,7354665,'1A',207,'N'),(28,7354673,'1',211,'N'),(28,7354681,'1',999,'N'),(28,7354703,'1',104,'N'),(28,7354711,'1',404,'N'),(28,7354738,'1',301,'N'),(28,7354746,'1',201,'N'),(28,7354746,'1A',212,'N'),(28,7354754,'1',224,'N'),(28,7354762,'1',999,'N'),(28,7354770,'1',999,'N'),(28,7354789,'1',317,'N'),(28,7354797,'1',202,'N'),(28,7354797,'1A',213,'N'),(28,7354800,'1',220,'N'),(28,7354800,'1A',216,'N'),(28,7354819,'1',655,'N'),(28,7354819,'1A',601,'N'),(28,7354827,'1',999,'N'),(28,7354835,'1',301,'N'),(28,7354851,'1',319,'N'),(28,7354878,'1',652,'N'),(28,7354878,'1A',655,'N'),(28,7354886,'1',216,'N'),(28,7354886,'1A',203,'N'),(28,7354894,'1',103,'N'),(28,7354908,'1',999,'N'),(28,7354916,'1',415,'N'),(28,7354924,'1',302,'N'),(28,7354932,'1',999,'N'),(28,7354940,'1',224,'N'),(28,7354959,'1',502,'N'),(28,7354967,'1',216,'N'),(28,7354975,'1',103,'N'),(28,7354983,'1',102,'N'),(28,7354991,'1',203,'N'),(28,7354991,'1A',202,'N'),(28,7355009,'1',201,'N'),(28,7355009,'1A',212,'N'),(28,7355017,'1',454,'N'),(28,7355025,'1',415,'N'),(28,7355033,'1',454,'N'),(28,7355041,'1',304,'N'),(28,7355050,'1',318,'N'),(28,7355068,'1',319,'N'),(28,7355076,'1',207,'N'),(28,7355076,'1A',201,'N'),(28,7355084,'1',551,'N'),(28,7355092,'1',653,'N'),(28,7355092,'1A',211,'N'),(28,7355106,'1',317,'N'),(28,7355122,'1',203,'N'),(28,7355122,'1A',220,'N'),(28,7355130,'1',655,'N'),(28,7355130,'1A',653,'N'),(28,7355157,'1',454,'N'),(28,7355173,'1',203,'N'),(28,7355173,'1A',202,'N'),(28,7355181,'1',103,'N'),(28,7355190,'1',5,'N'),(28,7355203,'1',214,'N'),(28,7355203,'1A',213,'N'),(28,7355220,'1',103,'N'),(28,7355238,'1',425,'N'),(28,7355238,'1A',424,'N'),(28,7355246,'1',601,'N'),(28,7355254,'1',103,'N'),(28,7355262,'1',207,'N'),(28,7355262,'1A',201,'N'),(28,7355270,'1',5,'N'),(28,7355289,'1',5,'N'),(28,7355300,'1',103,'N'),(28,7355327,'1',999,'N'),(28,7355335,'1',429,'N'),(28,7355351,'1',451,'N'),(28,7355360,'1',102,'N'),(28,7355378,'1',309,'N'),(28,7355386,'1',303,'N'),(28,7355394,'1',319,'N'),(28,7355416,'1',104,'N'),(28,7355424,'1',340,'N'),(28,7355432,'1',340,'N'),(28,7355440,'1',103,'N'),(28,7355459,'1',999,'N'),(28,7355467,'1',208,'N'),(28,7355475,'1',9,'N'),(28,7355483,'1',423,'N'),(28,7355483,'1A',421,'N'),(28,7355505,'1',104,'N'),(28,7355513,'1',999,'N'),(28,7355521,'1',103,'N'),(28,7355548,'1',999,'N'),(28,7355556,'1',238,'N'),(28,7355556,'1A',201,'N'),(28,7355564,'1',999,'N'),(28,7355572,'1',103,'N'),(28,7355599,'1',103,'N'),(28,7355602,'1',318,'N'),(28,7355610,'1',340,'N'),(28,7355629,'1',215,'N'),(28,7355629,'1A',233,'N'),(28,7355637,'1',316,'N'),(28,7355645,'1',238,'N'),(28,7355645,'1A',207,'N'),(28,7355653,'1',103,'N'),(28,7355670,'1',318,'N'),(28,7355688,'1',316,'N'),(28,7355696,'1',110,'N'),(28,7355718,'1',426,'N'),(28,7355718,'1A',428,'N'),(28,7355726,'1',999,'N'),(28,7355734,'1',238,'N'),(28,7355734,'1A',652,'N'),(28,7355750,'1',224,'N'),(28,7355769,'1',235,'N'),(28,7355769,'1A',213,'N'),(28,7355785,'1',104,'N'),(28,7355793,'1',220,'N'),(28,7355793,'1A',202,'N'),(28,7355807,'1',238,'N'),(28,7355807,'1A',655,'N'),(28,7355815,'1',317,'N'),(28,7355823,'1',444,'N'),(28,7355831,'1',501,'N'),(28,7355840,'1',332,'N'),(28,7355858,'1',426,'N'),(28,7355858,'1A',427,'N'),(28,7355874,'1',451,'N'),(28,7355890,'1',207,'N'),(28,7355890,'1A',201,'N'),(28,7355904,'1',9,'N'),(28,7355912,'1',103,'N'),(28,7355920,'1',5,'N'),(28,7355939,'1',454,'N'),(28,7355947,'1',208,'N'),(28,7355955,'1',318,'N'),(28,7355971,'1',103,'N'),(28,7355980,'1',303,'N'),(28,7355998,'1',207,'N'),(28,7356005,'1',216,'N'),(28,7356005,'1A',203,'N'),(28,7356013,'1',203,'N'),(28,7356013,'1A',201,'N'),(28,7356021,'1',454,'N'),(28,7356030,'1',5,'N'),(28,7356048,'1',5,'N'),(28,7356056,'1',108,'N'),(28,7356064,'1',238,'N'),(28,7356064,'1A',233,'N'),(28,7356072,'1',303,'N'),(28,7356080,'1',103,'N'),(28,7356099,'1',110,'N'),(28,7356102,'1',333,'N'),(28,7356110,'1',238,'N'),(28,7356110,'1A',235,'N'),(28,7356137,'1',103,'N'),(28,7356145,'1',318,'N'),(28,7356153,'1',201,'N'),(28,7356153,'1A',207,'N'),(28,7356170,'1',655,'N'),(28,7356170,'1A',652,'N'),(28,7356188,'1',333,'N'),(28,7356196,'1',999,'N'),(28,7356200,'1',340,'N'),(28,7356218,'1',337,'N'),(28,7356226,'1',211,'N'),(28,7356226,'1A',215,'N'),(28,7356234,'1',103,'N'),(28,7356242,'1',601,'N'),(28,7356242,'1A',214,'N'),(28,7356250,'1',103,'N'),(28,7356269,'1',444,'N'),(28,7356285,'1',302,'N'),(28,7356293,'1',340,'N'),(28,7356307,'1',208,'N'),(28,7356315,'1',5,'N'),(28,7356323,'1',308,'N'),(28,7356331,'1',332,'N'),(28,7356340,'1',336,'N'),(28,7356366,'1',340,'N'),(28,7356374,'1',201,'N'),(28,7356390,'1',552,'N'),(28,7356412,'1',316,'N'),(28,7356420,'1',104,'N'),(28,7356439,'1',104,'N'),(28,7356447,'1',451,'N'),(28,7356455,'1',103,'N'),(28,7356463,'1',103,'N'),(28,7356471,'1',5,'N'),(28,7356498,'1',103,'N'),(28,7356501,'1',340,'N'),(28,7356510,'1',207,'N'),(28,7356510,'1A',220,'N'),(28,7356528,'1',329,'N'),(28,7356544,'1',999,'N'),(28,7356552,'1',103,'N'),(28,7356560,'1',5,'N'),(28,7356579,'1',103,'N'),(28,7356587,'1',425,'N'),(28,7356587,'1A',426,'N'),(28,7356595,'1',103,'N'),(28,7356609,'1',103,'N'),(28,7356617,'1',103,'N'),(28,7356625,'1',202,'N'),(28,7356625,'1A',235,'N'),(28,7356633,'1',326,'N'),(28,7356650,'1',303,'N'),(28,7356668,'1',654,'N'),(28,7356676,'1',225,'N'),(28,7356692,'1',202,'N'),(28,7356706,'1',318,'N'),(28,7356714,'1',104,'N'),(28,7356722,'1',332,'N'),(28,7356730,'1',109,'N'),(28,7356749,'1',203,'N'),(28,7356749,'1A',214,'N'),(28,7356757,'1',211,'N'),(28,7356757,'1A',215,'N'),(28,7356765,'1',655,'N'),(28,7356765,'1A',652,'N'),(28,7356773,'1',454,'N'),(28,7356781,'1',213,'N'),(28,7356781,'1A',202,'N'),(28,7356790,'1',208,'N'),(28,7356803,'1',551,'N'),(28,7356820,'1',316,'N'),(28,7356838,'1',655,'N'),(28,7356838,'1A',652,'N'),(28,7356846,'1',503,'N'),(28,7356854,'1',201,'N'),(28,7356854,'1A',207,'N'),(28,7356862,'1',340,'N'),(28,7356889,'1',214,'N'),(28,7356889,'1A',211,'N'),(28,7356897,'1',103,'N'),(28,7356919,'1',224,'N'),(28,7356927,'1',340,'N'),(28,7356935,'1',316,'N'),(28,7356943,'1',302,'N'),(28,7356951,'1',103,'N'),(28,7356978,'1',202,'N'),(28,7356978,'1A',213,'N'),(28,7356994,'1',415,'N'),(28,7357001,'1',104,'N'),(28,7357010,'1',652,'N'),(28,7357028,'1',103,'N'),(28,7357036,'1',103,'N'),(28,7357044,'1',333,'N'),(28,7357052,'1',207,'N'),(28,7357052,'1A',211,'N'),(28,7357060,'1',104,'N'),(28,7357079,'1',454,'N'),(28,7357087,'1',103,'N'),(28,7357095,'1',203,'N'),(28,7357095,'1A',202,'N'),(28,7357109,'1',999,'N'),(28,7357133,'1',552,'N'),(28,7357141,'1',316,'N'),(28,7357176,'1',454,'N'),(28,7357184,'1',203,'N'),(28,7357184,'1A',202,'N'),(28,7357206,'1',201,'N'),(28,7357206,'1A',207,'N'),(28,7357214,'1',301,'N'),(28,7357222,'1',327,'N'),(28,7357230,'1',652,'N'),(28,7357230,'1A',655,'N'),(28,7357249,'1',207,'N'),(28,7357249,'1A',201,'N'),(28,7357257,'1',103,'N'),(28,7357265,'1',235,'N'),(28,7357273,'1',336,'N'),(28,7357281,'1',238,'N'),(28,7357281,'1A',202,'N'),(28,7357290,'1',415,'N'),(28,7357303,'1',212,'N'),(28,7357303,'1A',214,'N'),(28,7357311,'1',404,'N'),(28,7357320,'1',208,'N'),(28,7357338,'1',319,'N'),(28,7357346,'1',203,'N'),(28,7357346,'1A',220,'N'),(28,7357354,'1',328,'N'),(28,7357362,'1',5,'N'),(28,7357370,'1',108,'N'),(28,7357389,'1',415,'N'),(28,7357397,'1',207,'N'),(28,7357397,'1A',201,'N'),(28,7357400,'1',103,'N'),(28,7357419,'1',451,'N'),(28,7357435,'1',104,'N'),(28,7357443,'1',207,'N'),(28,7357443,'1A',201,'N'),(28,7357451,'1',2,'N'),(28,7357460,'1',109,'N'),(28,7357478,'1',212,'N'),(28,7357478,'1A',214,'N'),(28,7357486,'1',101,'N'),(28,7357494,'1',103,'N'),(28,7357508,'1',9,'N'),(28,7357524,'1',201,'N'),(28,7357524,'1A',212,'N'),(28,7357532,'1',201,'N'),(28,7357532,'1A',212,'N'),(28,7357540,'1',301,'N'),(28,7357559,'1',238,'N'),(28,7357559,'1A',235,'N'),(28,7357567,'1',415,'N'),(28,7357575,'1',337,'N'),(28,7357583,'1',103,'N'),(28,7357591,'1',214,'N'),(28,7357591,'1A',235,'N'),(28,7357605,'1',5,'N'),(28,7357621,'1',339,'N'),(28,7357648,'1',207,'N'),(28,7357648,'1A',201,'N'),(28,7357656,'1',234,'N'),(28,7357664,'1',301,'N'),(28,7357672,'1',104,'N'),(28,7357680,'1',211,'N'),(28,7357680,'1A',601,'N'),(28,7357699,'1',201,'N'),(28,7357699,'1A',233,'N'),(28,7357702,'1',319,'N'),(28,7357710,'1',502,'N'),(28,7357729,'1',309,'N'),(28,7357737,'1',103,'N'),(28,7357745,'1',103,'N'),(28,7357753,'1',653,'N'),(28,7357753,'1A',202,'N'),(28,7357761,'1',454,'N'),(28,7357788,'1',324,'N'),(28,7357796,'1',301,'N'),(28,7357800,'1',5,'N'),(28,7357826,'1',101,'N'),(28,7357842,'1',652,'N'),(28,7357850,'1',415,'N'),(28,7357877,'1',324,'N'),(28,7357893,'1',302,'N'),(28,7357907,'1',309,'N'),(28,7357923,'1',421,'N'),(28,7357923,'1A',424,'N'),(28,7357940,'1',302,'N'),(28,7357958,'1',9,'N'),(28,7357966,'1',329,'N'),(28,7357974,'1',335,'N'),(28,7357982,'1',326,'N'),(28,7358008,'1',316,'N'),(28,7358016,'1',999,'N'),(28,7358024,'1',320,'N'),(28,7358032,'1',444,'N'),(28,7358040,'1',319,'N'),(28,7358059,'1',201,'N'),(28,7358059,'1A',207,'N'),(28,7358067,'1',103,'N'),(28,7358075,'1',340,'N'),(28,7358091,'1',301,'N'),(28,7358105,'1',302,'N'),(28,7358113,'1',103,'N'),(28,7358121,'1',211,'N'),(28,7358121,'1A',235,'N'),(28,7358130,'1',103,'N'),(28,7358148,'1',5,'N'),(28,7358172,'1',339,'N'),(28,7358180,'1',203,'N'),(28,7358180,'1A',214,'N'),(28,7358199,'1',327,'N'),(28,7358202,'1',415,'N'),(28,7358210,'1',202,'N'),(28,7358210,'1A',601,'N'),(28,7358229,'1',653,'N'),(28,7358229,'1A',652,'N'),(28,7358237,'1',335,'N'),(28,7358253,'1',203,'N'),(28,7358253,'1A',238,'N'),(28,7358261,'1',303,'N'),(28,7358288,'1',301,'N'),(28,7358296,'1',103,'N'),(28,7358300,'1',319,'N'),(28,7358318,'1',308,'N'),(28,7358326,'1',444,'N'),(28,7358342,'1',2,'N'),(28,7358350,'1',308,'N'),(28,7358369,'1',9,'N'),(28,7358385,'1',238,'N'),(28,7358385,'1A',235,'N'),(28,7358407,'1',999,'N'),(28,7358423,'1',425,'N'),(28,7358431,'1',551,'N'),(28,7358440,'1',427,'N'),(28,7358440,'1A',424,'N'),(28,7358458,'1',551,'N'),(28,7358466,'1',208,'N'),(28,7358474,'1',425,'N'),(28,7358474,'1A',427,'N'),(28,7358482,'1',103,'N'),(28,7358504,'1',103,'N'),(28,7358512,'1',329,'N'),(28,7358520,'1',999,'N'),(28,7358539,'1',207,'N'),(28,7358539,'1A',201,'N'),(28,7358563,'1',103,'N'),(28,7358571,'1',104,'N'),(28,7358598,'1',103,'N'),(28,7358601,'1',333,'N'),(28,7358610,'1',207,'N'),(28,7358610,'1A',601,'N'),(28,7358636,'1',207,'N'),(28,7358636,'1A',235,'N'),(28,7358644,'1',202,'N'),(28,7358644,'1A',235,'N'),(28,7358652,'1',329,'N'),(28,7358660,'1',316,'N'),(28,7358679,'1',425,'N'),(28,7358679,'1A',426,'N'),(28,7358687,'1',103,'N'),(28,7358695,'1',317,'N'),(28,7358709,'1',301,'N'),(28,7358717,'1',211,'N'),(28,7358717,'1A',601,'N'),(28,7358725,'1',324,'N'),(28,7358733,'1',5,'N'),(28,7358741,'1',225,'N'),(28,7358750,'1',324,'N'),(28,7358768,'1',340,'N'),(28,7358784,'1',214,'N'),(28,7358784,'1A',213,'N'),(28,7358792,'1',301,'N'),(28,7358806,'1',238,'N'),(28,7358806,'1A',220,'N'),(28,7358814,'1',110,'N'),(28,7358849,'1',207,'N'),(28,7358849,'1A',201,'N'),(28,7358857,'1',327,'N'),(28,7358865,'1',212,'N'),(28,7358865,'1A',201,'N'),(28,7358873,'1',333,'N'),(28,7358881,'1',208,'N'),(28,7358890,'1',653,'N'),(28,7358890,'1A',207,'N'),(28,7358903,'1',326,'N'),(28,7358911,'1',238,'N'),(28,7358911,'1A',207,'N'),(28,7358920,'1',5,'N'),(28,7358938,'1',339,'N'),(28,7358946,'1',601,'N'),(28,7358962,'1',304,'N'),(28,7358970,'1',425,'N'),(28,7358970,'1A',426,'N'),(28,7358989,'1',104,'N'),(28,7359004,'1',316,'N'),(28,7359020,'1',224,'N'),(28,7359039,'1',421,'N'),(28,7359039,'1A',425,'N'),(28,7359047,'1',216,'N'),(28,7359047,'1A',235,'N'),(28,7359055,'1',103,'N'),(28,7359063,'1',999,'N'),(28,7359080,'1',215,'N'),(28,7359080,'1A',201,'N'),(28,7359098,'1',302,'N'),(28,7359110,'1',103,'N'),(28,7359128,'1',103,'N'),(28,7359136,'1',108,'N'),(28,7359152,'1',320,'N'),(28,7359160,'1',999,'N'),(28,7359179,'1',108,'N'),(28,7359187,'1',5,'N'),(28,7359195,'1',212,'N'),(28,7359195,'1A',213,'N'),(28,7359217,'1',103,'N'),(28,7359225,'1',331,'N'),(28,7359233,'1',308,'N'),(28,7359250,'1',212,'N'),(28,7359250,'1A',220,'N'),(28,7359268,'1',5,'N'),(28,7359284,'1',103,'N'),(28,7359292,'1',207,'N'),(28,7359292,'1A',212,'N'),(28,7359330,'1',103,'N'),(28,7359349,'1',103,'N'),(28,7359357,'1',5,'N'),(28,7359381,'1',654,'N'),(28,7359390,'1',551,'N'),(28,7359403,'1',317,'N'),(28,7359420,'1',103,'N'),(28,7359438,'1',318,'N'),(28,7359446,'1',5,'N'),(28,7359470,'1',103,'N'),(28,7359489,'1',339,'N'),(28,7359497,'1',225,'N'),(28,7359500,'1',235,'N'),(28,7359519,'1',316,'N'),(28,7359527,'1',203,'N'),(28,7359527,'1A',202,'N'),(28,7359535,'1',552,'N'),(28,7359543,'1',5,'N'),(28,7359551,'1',203,'N'),(28,7359551,'1A',214,'N'),(28,7359560,'1',316,'N'),(28,7359578,'1',5,'N'),(28,7359586,'1',335,'N'),(28,7359594,'1',308,'N'),(28,7359608,'1',339,'N'),(28,7359616,'1',201,'N'),(28,7359616,'1A',655,'N'),(28,7359624,'1',319,'N'),(28,7359632,'1',454,'N'),(28,7359659,'1',202,'N'),(28,7359659,'1A',601,'N'),(28,7359667,'1',601,'N'),(28,7359667,'1A',212,'N'),(28,7359675,'1',201,'N'),(28,7359675,'1A',207,'N'),(28,7359683,'1',5,'N'),(28,7359691,'1',225,'N'),(28,7359713,'1',103,'N'),(28,7359721,'1',316,'N'),(28,7359730,'1',303,'N'),(28,7359748,'1',201,'N'),(28,7359748,'1A',211,'N'),(28,7359764,'1',425,'N'),(28,7359764,'1A',426,'N'),(28,7359772,'1',429,'N'),(28,7359772,'1A',426,'N'),(28,7359780,'1',238,'N'),(28,7359780,'1A',212,'N'),(28,7359799,'1',103,'N'),(28,7359802,'1',303,'N'),(28,7359810,'1',5,'N'),(28,7359829,'1',214,'N'),(28,7359829,'1A',233,'N'),(28,7359837,'1',316,'N'),(28,7359845,'1',103,'N'),(28,7359853,'1',225,'N'),(28,7359861,'1',235,'N'),(28,7359861,'1A',216,'N'),(28,7359870,'1',5,'N'),(28,7359896,'1',316,'N'),(28,7359900,'1',207,'N'),(28,7359900,'1A',201,'N'),(28,7359918,'1',109,'N'),(28,7359926,'1',101,'N'),(28,7359934,'1',316,'N'),(28,7359942,'1',103,'N'),(28,7359950,'1',205,'N'),(28,7359977,'1',103,'N'),(28,7359985,'1',328,'N'),(28,7359993,'1',201,'N'),(28,7360010,'1',211,'N'),(28,7360010,'1A',201,'N'),(28,7360037,'1',207,'N'),(28,7360037,'1A',201,'N'),(28,7360045,'1',601,'N'),(28,7360045,'1A',655,'N'),(28,7360053,'1',103,'N'),(28,7360061,'1',201,'N'),(28,7360061,'1A',212,'N'),(28,7360070,'1',203,'N'),(28,7360070,'1A',202,'N'),(28,7360088,'1',340,'N'),(28,7360096,'1',552,'N'),(28,7360100,'1',208,'N'),(28,7360118,'1',201,'N'),(28,7360118,'1A',203,'N'),(28,7360134,'1',216,'N'),(28,7360134,'1A',203,'N'),(28,7360142,'1',316,'N'),(28,7360150,'1',327,'N'),(28,7360169,'1',404,'N'),(28,7360177,'1',101,'N'),(28,7360185,'1',320,'N'),(28,7360215,'1',213,'N'),(28,7360215,'1A',220,'N'),(28,7360223,'1',316,'N'),(28,7360231,'1',5,'N'),(28,7360258,'1',102,'N'),(28,7360266,'1',103,'N'),(28,7360274,'1',320,'N'),(28,7360290,'1',454,'N'),(28,7360304,'1',213,'N'),(28,7360304,'1A',235,'N'),(28,7360312,'1',999,'N'),(28,7360339,'1',316,'N'),(28,7360347,'1',319,'N'),(28,7360371,'1',404,'N'),(28,7360398,'1',103,'N'),(28,7360401,'1',5,'N'),(28,7360410,'1',404,'N'),(28,7360428,'1',454,'N'),(28,7360436,'1',211,'N'),(28,7360436,'1A',213,'N'),(28,7360444,'1',653,'N'),(28,7360444,'1A',601,'N'),(28,7360460,'1',601,'N'),(28,7360460,'1A',653,'N'),(28,7360487,'1',302,'N'),(28,7360495,'1',339,'N'),(28,7360509,'1',332,'N'),(28,7360517,'1',238,'N'),(28,7360517,'1A',215,'N'),(28,7360525,'1',103,'N'),(28,7360533,'1',329,'N'),(28,7360541,'1',103,'N'),(28,7360550,'1',103,'N'),(28,7360568,'1',327,'N'),(28,7360576,'1',338,'N'),(28,7360584,'1',2,'N'),(28,7360606,'1',212,'N'),(28,7360614,'1',316,'N'),(28,7360622,'1',319,'N'),(28,7360630,'1',104,'N'),(28,7360657,'1',320,'N'),(28,7360673,'1',444,'N'),(28,7360681,'1',225,'N'),(28,7360690,'1',652,'N'),(28,7360690,'1A',655,'N'),(28,7360703,'1',238,'N'),(28,7360703,'1A',235,'N'),(28,7360720,'1',103,'N'),(28,7360754,'1',203,'N'),(28,7360754,'1A',214,'N'),(28,7360762,'1',404,'N'),(28,7360770,'1',429,'N'),(28,7360770,'1A',427,'N'),(28,7360789,'1',101,'N'),(28,7360797,'1',320,'N'),(28,7360800,'1',339,'N'),(28,7360819,'1',5,'N'),(28,7360827,'1',103,'N'),(28,7360835,'1',207,'N'),(28,7360835,'1A',233,'N'),(28,7360843,'1',109,'N'),(28,7360851,'1',301,'N'),(28,7360878,'1',340,'N'),(28,7360886,'1',339,'N'),(28,7360894,'1',652,'N'),(28,7360894,'1A',655,'N'),(28,7360908,'1',308,'N'),(28,7360932,'1',103,'N'),(28,7360940,'1',426,'N'),(28,7360959,'1',320,'N'),(28,7360967,'1',454,'N'),(28,7360975,'1',5,'N'),(28,7360983,'1',103,'N'),(28,7360991,'1',207,'N'),(28,7361025,'1',216,'N'),(28,7361033,'1',301,'N'),(28,7361041,'1',501,'N'),(28,7361050,'1',428,'N'),(28,7361050,'1A',424,'N'),(28,7361068,'1',103,'N'),(28,7361076,'1',220,'N'),(28,7361076,'1A',203,'N'),(28,7361084,'1',102,'N'),(28,7361092,'1',328,'N'),(28,7361114,'1',103,'N'),(28,7361122,'1',103,'N'),(28,7361130,'1',211,'N'),(28,7361130,'1A',220,'N'),(28,7361149,'1',317,'N'),(28,7361165,'1',601,'N'),(28,7361165,'1A',220,'N'),(28,7361173,'1',404,'N'),(28,7361181,'1',316,'N'),(28,7361190,'1',653,'N'),(28,7361190,'1A',235,'N'),(28,7361203,'1',103,'N'),(28,7361211,'1',336,'N'),(28,7361246,'1',450,'N'),(28,7361254,'1',451,'N'),(28,7361289,'1',216,'N'),(28,7361297,'1',552,'N'),(28,7361300,'1',207,'N'),(28,7361300,'1A',235,'N'),(28,7361319,'1',318,'N'),(28,7361335,'1',103,'N'),(28,7361343,'1',339,'N'),(28,7361351,'1',5,'N'),(28,7361360,'1',5,'N'),(28,7361386,'1',551,'N'),(28,7361424,'1',316,'N'),(28,7361467,'1',654,'N'),(28,7361475,'1',102,'N'),(28,7361483,'1',5,'N'),(28,7361491,'1',318,'N'),(28,7361513,'1',104,'N'),(28,7361521,'1',501,'N'),(28,7361530,'1',212,'N'),(28,7361530,'1A',213,'N'),(28,7361548,'1',103,'N'),(28,7361564,'1',652,'N'),(28,7361564,'1A',655,'N'),(28,7361572,'1',332,'N'),(28,7361599,'1',207,'N'),(28,7361599,'1A',215,'N'),(28,7361602,'1',201,'N'),(28,7361602,'1A',202,'N'),(28,7361610,'1',238,'N'),(28,7361610,'1A',207,'N'),(28,7361653,'1',201,'N'),(28,7361653,'1A',220,'N'),(28,7361670,'1',404,'N'),(28,7361688,'1',601,'N'),(28,7361688,'1A',203,'N'),(28,7361696,'1',103,'N'),(28,7361700,'1',503,'N'),(28,7361718,'1',207,'N'),(28,7361718,'1A',212,'N'),(28,7361726,'1',303,'N'),(28,7361734,'1',302,'N'),(28,7361742,'1',102,'N'),(28,7361750,'1',5,'N'),(28,7361769,'1',234,'N'),(28,7361777,'1',201,'N'),(28,7361777,'1A',203,'N'),(28,7361785,'1',103,'N'),(28,7361793,'1',501,'N'),(28,7361807,'1',428,'N'),(28,7361807,'1A',426,'N'),(28,7361815,'1',404,'N'),(28,7361823,'1',999,'N'),(28,7361831,'1',424,'N'),(28,7361831,'1A',425,'N'),(28,7361858,'1',234,'N'),(28,7361874,'1',340,'N'),(28,7361904,'1',234,'N'),(28,7361912,'1',103,'N'),(28,7361920,'1',551,'N'),(28,7361939,'1',450,'N'),(28,7361955,'1',110,'N'),(28,7361963,'1',502,'N'),(28,7361971,'1',225,'N'),(28,7361980,'1',999,'N'),(28,7362005,'1',303,'N'),(28,7362013,'1',404,'N'),(28,7362021,'1',423,'N'),(28,7362021,'1A',425,'N'),(28,7362030,'1',425,'N'),(28,7362064,'1',208,'N'),(28,7362072,'1',201,'N'),(28,7362072,'1A',235,'N'),(28,7362102,'1',999,'N'),(28,7362110,'1',110,'N'),(28,7362129,'1',303,'N'),(28,7362137,'1',207,'N'),(28,7362137,'1A',238,'N'),(28,7362145,'1',308,'N'),(28,7362153,'1',444,'N'),(28,7362161,'1',339,'N'),(28,7362170,'1',207,'N'),(28,7362170,'1A',201,'N'),(28,7362188,'1',101,'N'),(28,7362196,'1',310,'N'),(28,7362200,'1',425,'N'),(28,7362200,'1A',424,'N'),(28,7362242,'1',103,'N'),(28,7362277,'1',303,'N'),(28,7362285,'1',332,'N'),(28,7362307,'1',220,'N'),(28,7362307,'1A',233,'N'),(28,7362315,'1',5,'N'),(28,7362323,'1',103,'N'),(28,7362331,'1',203,'N'),(28,7362331,'1A',601,'N'),(28,7362340,'1',203,'N'),(28,7362340,'1A',202,'N'),(28,7362358,'1',502,'N'),(28,7362366,'1',101,'N'),(28,7362374,'1',207,'N'),(28,7362374,'1A',203,'N'),(28,7362382,'1',103,'N'),(28,7362390,'1',203,'N'),(28,7362390,'1A',235,'N'),(28,7362404,'1',303,'N'),(28,7362412,'1',207,'N'),(28,7362412,'1A',238,'N'),(28,7362420,'1',451,'N'),(28,7362439,'1',110,'N'),(28,7362447,'1',654,'N'),(28,7362455,'1',999,'N'),(28,7362471,'1',427,'N'),(28,7362471,'1A',428,'N'),(28,7362501,'1',103,'N'),(28,7362510,'1',103,'N'),(28,7362528,'1',316,'N'),(28,7362536,'1',216,'N'),(28,7362552,'1',303,'N'),(28,7362579,'1',101,'N'),(28,7362587,'1',103,'N'),(28,7362595,'1',103,'N'),(28,7362609,'1',319,'N'),(28,7362617,'1',308,'N'),(28,7362625,'1',208,'N'),(28,7362633,'1',316,'N'),(28,7362641,'1',333,'N'),(28,7362650,'1',304,'N'),(28,7362668,'1',103,'N'),(28,7362676,'1',207,'N'),(28,7362676,'1A',212,'N'),(28,7362684,'1',238,'N'),(28,7362684,'1A',220,'N'),(28,7362714,'1',319,'N'),(28,7362722,'1',302,'N'),(28,7362730,'1',303,'N'),(28,7362749,'1',211,'N'),(28,7362749,'1A',212,'N'),(28,7362757,'1',235,'N'),(28,7362757,'1A',202,'N'),(28,7362765,'1',331,'N'),(28,7362790,'1',999,'N'),(28,7362803,'1',319,'N'),(28,7362811,'1',319,'N'),(28,7362820,'1',202,'N'),(28,7362820,'1A',235,'N'),(28,7362838,'1',207,'N'),(28,7362838,'1A',211,'N'),(28,7362846,'1',201,'N'),(28,7362846,'1A',233,'N'),(28,7362862,'1',551,'N'),(28,7362889,'1',303,'N'),(28,7362897,'1',316,'N'),(28,7362900,'1',999,'N'),(28,7362919,'1',601,'N'),(28,7362919,'1A',653,'N'),(28,7362927,'1',103,'N'),(28,7362943,'1',653,'N'),(28,7362943,'1A',201,'N'),(28,7362960,'1',454,'N'),(28,7362978,'1',207,'N'),(28,7362978,'1A',201,'N'),(28,7362986,'1',203,'N'),(28,7362986,'1A',233,'N'),(28,7362994,'1',501,'N'),(28,7363001,'1',203,'N'),(28,7363001,'1A',214,'N'),(28,7363010,'1',103,'N'),(28,7363028,'1',319,'N'),(28,7363036,'1',316,'N'),(28,7363044,'1',203,'N'),(28,7363044,'1A',201,'N'),(28,7363060,'1',5,'N'),(28,7363087,'1',501,'N'),(28,7363095,'1',201,'N'),(28,7363109,'1',109,'N'),(28,7363117,'1',501,'N'),(28,7363125,'1',104,'N'),(28,7363133,'1',215,'N'),(28,7363133,'1A',653,'N'),(28,7363141,'1',103,'N'),(28,7363150,'1',104,'N'),(28,7363168,'1',103,'N'),(28,7363176,'1',5,'N'),(28,7363192,'1',335,'N'),(28,7363206,'1',317,'N'),(28,7363214,'1',502,'N'),(28,7363222,'1',501,'N'),(28,7363230,'1',425,'N'),(28,7363230,'1A',421,'N'),(28,7363249,'1',110,'N'),(28,7363257,'1',308,'N'),(28,7363265,'1',454,'N'),(28,7363273,'1',101,'N'),(28,7363281,'1',201,'N'),(28,7363281,'1A',202,'N'),(28,7363290,'1',103,'N'),(28,7363303,'1',103,'N'),(28,7363311,'1',601,'N'),(28,7363311,'1A',203,'N'),(28,7363338,'1',316,'N'),(28,7363354,'1',332,'N'),(28,7363362,'1',425,'N'),(28,7363362,'1A',423,'N'),(28,7363370,'1',203,'N'),(28,7363370,'1A',238,'N'),(28,7363389,'1',103,'N'),(28,7363397,'1',326,'N'),(28,7363400,'1',552,'N'),(28,7363419,'1',201,'N'),(28,7363419,'1A',203,'N'),(28,7363427,'1',999,'N'),(28,7363435,'1',999,'N'),(28,7363443,'1',999,'N'),(28,7363451,'1',319,'N'),(28,7363460,'1',999,'N'),(28,7363478,'1',303,'N'),(28,7363494,'1',454,'N'),(28,7363508,'1',317,'N'),(28,7363532,'1',329,'N'),(28,7363567,'1',234,'N'),(28,7363575,'1',108,'N'),(28,7363583,'1',101,'N'),(28,7363591,'1',103,'N'),(28,7363605,'1',451,'N'),(28,7363613,'1',428,'N'),(28,7363613,'1A',425,'N'),(28,7363621,'1',207,'N'),(28,7363621,'1A',655,'N'),(28,7363630,'1',104,'N'),(28,7363648,'1',104,'N'),(28,7363656,'1',655,'N'),(28,7363656,'1A',652,'N'),(28,7363664,'1',207,'N'),(28,7363664,'1A',215,'N'),(28,7363672,'1',103,'N'),(28,7363680,'1',211,'N'),(28,7363680,'1A',201,'N'),(28,7363699,'1',103,'N'),(28,7363702,'1',203,'N'),(28,7363702,'1A',214,'N'),(28,7363710,'1',235,'N'),(28,7363710,'1A',601,'N'),(28,7363729,'1',425,'N'),(28,7363729,'1A',426,'N'),(28,7363737,'1',102,'N'),(28,7363745,'1',238,'N'),(28,7363753,'1',230,'N'),(28,7363761,'1',207,'N'),(28,7363761,'1A',201,'N'),(28,7363770,'1',238,'N'),(28,7363770,'1A',655,'N'),(28,7363788,'1',999,'N'),(28,7363796,'1',301,'N'),(28,7363800,'1',319,'N'),(28,7363818,'1',319,'N'),(28,7363834,'1',552,'N'),(28,7363842,'1',999,'N'),(28,7363850,'1',303,'N'),(28,7363869,'1',327,'N'),(28,7363877,'1',316,'N'),(28,7363885,'1',103,'N'),(28,7363893,'1',103,'N'),(28,7363907,'1',444,'N'),(28,7363915,'1',317,'N'),(28,7363923,'1',201,'N'),(28,7363923,'1A',220,'N'),(28,7363931,'1',207,'N'),(28,7363931,'1A',215,'N'),(28,7363940,'1',220,'N'),(28,7363958,'1',238,'N'),(28,7363958,'1A',235,'N'),(28,7363974,'1',5,'N'),(28,7363990,'1',103,'N'),(28,7364008,'1',104,'N'),(28,7364024,'1',501,'N'),(28,7364032,'1',444,'N'),(28,7364040,'1',5,'N'),(28,7364059,'1',340,'N'),(28,7364083,'1',230,'N'),(28,7364091,'1',202,'N'),(28,7364091,'1A',235,'N'),(28,7364105,'1',303,'N'),(28,7364113,'1',235,'N'),(28,7364113,'1A',213,'N'),(28,7364121,'1',331,'N'),(28,7364130,'1',103,'N'),(28,7364148,'1',207,'N'),(28,7364148,'1A',201,'N'),(28,7364164,'1',318,'N'),(28,7364172,'1',999,'N'),(28,7364199,'1',415,'N'),(28,7364202,'1',9,'N'),(28,7364210,'1',601,'N'),(28,7364210,'1A',214,'N'),(28,7364229,'1',333,'N'),(28,7364245,'1',652,'N'),(28,7364253,'1',103,'N'),(28,7364261,'1',428,'N'),(28,7364261,'1A',425,'N'),(28,7364270,'1',333,'N'),(28,7364288,'1',5,'N'),(28,7364300,'1',9,'N'),(28,7364318,'1',338,'N'),(28,7364334,'1',444,'N'),(28,7364342,'1',103,'N'),(28,7364350,'1',999,'N'),(28,7364369,'1',220,'N'),(28,7364369,'1A',655,'N'),(28,7364377,'1',211,'N'),(28,7364377,'1A',601,'N'),(28,7364385,'1',201,'N'),(28,7364385,'1A',212,'N'),(28,7364393,'1',103,'N'),(28,7364407,'1',999,'N'),(28,7364415,'1',104,'N'),(28,7364440,'1',303,'N'),(28,7364458,'1',9,'N'),(28,7364466,'1',551,'N'),(28,7364474,'1',103,'N'),(28,7364482,'1',415,'N'),(28,7364490,'1',103,'N'),(28,7364504,'1',202,'N'),(28,7364504,'1A',220,'N'),(28,7364512,'1',317,'N'),(28,7364520,'1',5,'N'),(28,7364539,'1',301,'N'),(28,7364547,'1',102,'N'),(28,7364555,'1',999,'N'),(28,7364563,'1',201,'N'),(28,7364563,'1A',212,'N'),(28,7364571,'1',108,'N'),(28,7364580,'1',999,'N'),(28,7364598,'1',103,'N'),(28,7364601,'1',454,'N'),(28,7364610,'1',454,'N'),(28,7364628,'1',220,'N'),(28,7364636,'1',317,'N'),(28,7364644,'1',340,'N'),(28,7364652,'1',337,'N'),(28,7364660,'1',103,'N'),(28,7364679,'1',326,'N'),(28,7364687,'1',103,'N'),(28,7364717,'1',207,'N'),(28,7364717,'1A',653,'N'),(28,7364725,'1',207,'N'),(28,7364725,'1A',201,'N'),(28,7364733,'1',103,'N'),(28,7364741,'1',999,'N'),(28,7364750,'1',202,'N'),(28,7364750,'1A',213,'N'),(28,7364768,'1',224,'N'),(28,7364776,'1',207,'N'),(28,7364776,'1A',652,'N'),(28,7364784,'1',103,'N'),(28,7364814,'1',234,'N'),(28,7364822,'1',335,'N'),(28,7364830,'1',454,'N'),(28,7364849,'1',320,'N'),(28,7364857,'1',103,'N'),(28,7364865,'1',103,'N'),(28,7364873,'1',552,'N'),(28,7364881,'1',333,'N'),(28,7364890,'1',329,'N'),(28,7364903,'1',999,'N'),(28,7364911,'1',552,'N'),(28,7364920,'1',423,'N'),(28,7364920,'1A',424,'N'),(28,7364938,'1',103,'N'),(28,7364946,'1',454,'N'),(28,7364954,'1',319,'N'),(28,7364962,'1',103,'N'),(28,7364970,'1',415,'N'),(28,7364989,'1',404,'N'),(28,7364997,'1',5,'N'),(28,7365004,'1',238,'N'),(28,7365004,'1A',652,'N'),(28,7365020,'1',201,'N'),(28,7365020,'1A',207,'N'),(28,7365039,'1',451,'N'),(28,7365055,'1',319,'N'),(28,7365063,'1',304,'N'),(28,7365080,'1',203,'N'),(28,7365080,'1A',220,'N'),(28,7365098,'1',999,'N'),(28,7365101,'1',103,'N'),(28,7365110,'1',102,'N'),(28,7365128,'1',415,'N'),(28,7365136,'1',454,'N'),(28,7365144,'1',316,'N'),(28,7365152,'1',999,'N'),(28,7365160,'1',238,'N'),(28,7365160,'1A',213,'N'),(28,7365179,'1',216,'N'),(28,7365179,'1A',211,'N'),(28,7365187,'1',327,'N'),(28,7365195,'1',103,'N'),(28,7365225,'1',999,'N'),(28,7365233,'1',340,'N'),(28,7365241,'1',103,'N'),(28,7365250,'1',451,'N'),(28,7365268,'1',5,'N'),(28,7365276,'1',103,'N'),(28,7365284,'1',326,'N'),(28,7365292,'1',415,'N'),(28,7365306,'1',444,'N'),(28,7365314,'1',316,'N'),(28,7365330,'1',103,'N'),(28,7365373,'1',318,'N'),(28,7365381,'1',324,'N'),(28,7365390,'1',212,'N'),(28,7365390,'1A',601,'N'),(28,7365403,'1',317,'N'),(28,7365411,'1',552,'N'),(28,7365420,'1',233,'N'),(28,7365420,'1A',216,'N'),(28,7365454,'1',211,'N'),(28,7365454,'1A',653,'N'),(28,7365462,'1',337,'N'),(28,7365489,'1',104,'N'),(28,7365497,'1',551,'N'),(28,7365519,'1',999,'N'),(28,7365527,'1',205,'N'),(28,7365535,'1',224,'N'),(28,7365543,'1',103,'N'),(28,7365551,'1',655,'N'),(28,7365551,'1A',207,'N'),(28,7365560,'1',304,'N'),(28,7365578,'1',207,'N'),(28,7365578,'1A',214,'N'),(28,7365586,'1',207,'N'),(28,7365586,'1A',201,'N'),(28,7365594,'1',653,'N'),(28,7365594,'1A',233,'N'),(28,7365608,'1',654,'N'),(28,7365616,'1',104,'N'),(28,7365624,'1',310,'N'),(28,7365632,'1',999,'N'),(28,7365640,'1',9,'N'),(28,7365659,'1',339,'N'),(28,7365667,'1',108,'N'),(28,7365675,'1',301,'N'),(28,7365683,'1',103,'N'),(28,7365691,'1',999,'N'),(28,7365705,'1',415,'N'),(28,7365713,'1',340,'N'),(28,7365721,'1',201,'N'),(28,7365721,'1A',601,'N'),(28,7365730,'1',213,'N'),(28,7365730,'1A',202,'N'),(28,7365748,'1',238,'N'),(28,7365748,'1A',235,'N'),(28,7365756,'1',104,'N'),(28,7365764,'1',340,'N'),(28,7365772,'1',415,'N'),(28,7365780,'1',215,'N'),(28,7365780,'1A',216,'N'),(28,7365799,'1',423,'N'),(28,7365799,'1A',428,'N'),(28,7365802,'1',655,'N'),(28,7365802,'1A',235,'N'),(28,7365810,'1',207,'N'),(28,7365810,'1A',211,'N'),(28,7365829,'1',303,'N'),(28,7365837,'1',212,'N'),(28,7365837,'1A',201,'N'),(28,7365845,'1',109,'N'),(28,7365853,'1',552,'N'),(28,7365861,'1',103,'N'),(28,7365870,'1',108,'N'),(28,7365888,'1',320,'N'),(28,7365896,'1',215,'N'),(28,7365896,'1A',207,'N'),(28,7365900,'1',216,'N'),(28,7365900,'1A',211,'N'),(28,7365918,'1',444,'N'),(28,7365926,'1',999,'N'),(28,7365942,'1',216,'N'),(28,7365942,'1A',215,'N'),(28,7365950,'1',451,'N'),(28,7365969,'1',213,'N'),(28,7365969,'1A',235,'N'),(28,7365977,'1',501,'N'),(28,7365985,'1',303,'N'),(28,7365993,'1',340,'N'),(28,7366000,'1',551,'N'),(28,7366027,'1',999,'N'),(28,7366035,'1',103,'N'),(28,7366043,'1',503,'N'),(28,7366051,'1',108,'N'),(28,7366060,'1',319,'N'),(28,7366078,'1',308,'N'),(28,7366086,'1',654,'N'),(28,7366094,'1',552,'N'),(28,7366108,'1',238,'N'),(28,7366116,'1',320,'N'),(28,7366132,'1',201,'N'),(28,7366132,'1A',212,'N'),(28,7366140,'1',109,'N'),(28,7366159,'1',999,'N'),(28,7366183,'1',329,'N'),(28,7366191,'1',233,'N'),(28,7366191,'1A',211,'N'),(28,7366213,'1',103,'N'),(28,7366256,'1',207,'N'),(28,7366256,'1A',211,'N'),(28,7366264,'1',103,'N'),(28,7366280,'1',103,'N'),(28,7366299,'1',444,'N'),(28,7366302,'1',238,'N'),(28,7366302,'1A',215,'N'),(28,7366310,'1',103,'N'),(28,7366345,'1',551,'N'),(28,7366353,'1',426,'N'),(28,7366353,'1A',428,'N'),(28,7366361,'1',203,'N'),(28,7366361,'1A',214,'N'),(28,7366370,'1',201,'N'),(28,7366370,'1A',216,'N'),(28,7366388,'1',108,'N'),(28,7366396,'1',220,'N'),(28,7366396,'1A',235,'N'),(28,7366426,'1',454,'N'),(28,7366434,'1',653,'N'),(28,7366434,'1A',652,'N'),(28,7366442,'1',203,'N'),(28,7366442,'1A',214,'N'),(28,7366450,'1',104,'N'),(28,7366469,'1',999,'N'),(28,7366477,'1',234,'N'),(28,7366485,'1',333,'N'),(28,7366493,'1',999,'N'),(28,7366515,'1',103,'N'),(28,7366523,'1',207,'N'),(28,7366523,'1A',201,'N'),(28,7366531,'1',999,'N'),(28,7366540,'1',324,'N'),(28,7366558,'1',333,'N'),(28,7366566,'1',316,'N'),(28,7366574,'1',104,'N'),(28,7366582,'1',104,'N'),(28,7366604,'1',109,'N'),(28,7366612,'1',108,'N'),(28,7366620,'1',103,'N'),(28,7366639,'1',451,'N'),(28,7366647,'1',203,'N'),(28,7366647,'1A',214,'N'),(28,7366655,'1',203,'N'),(28,7366655,'1A',214,'N'),(28,7366663,'1',211,'N'),(28,7366663,'1A',201,'N'),(28,7366680,'1',101,'N'),(28,7366698,'1',103,'N'),(28,7366701,'1',201,'N'),(28,7366701,'1A',212,'N'),(28,7366710,'1',103,'N'),(28,7366728,'1',303,'N'),(28,7366736,'1',425,'N'),(28,7366736,'1A',428,'N'),(28,7366744,'1',429,'N'),(28,7366744,'1A',425,'N'),(28,7366760,'1',109,'N'),(28,7366779,'1',235,'N'),(28,7366779,'1A',601,'N'),(28,7366787,'1',201,'N'),(28,7366809,'1',415,'N'),(28,7366817,'1',415,'N'),(28,7366833,'1',320,'N'),(28,7366841,'1',103,'N'),(28,7366850,'1',108,'N'),(28,7366868,'1',339,'N'),(28,7366876,'1',103,'N'),(28,7366884,'1',601,'N'),(28,7366884,'1A',201,'N'),(28,7366906,'1',551,'N'),(28,7366914,'1',999,'N'),(28,7366922,'1',552,'N'),(28,7366949,'1',103,'N'),(28,7366957,'1',502,'N'),(28,7366965,'1',501,'N'),(28,7366973,'1',303,'N'),(28,7366981,'1',404,'N'),(28,7366990,'1',340,'N'),(28,7367007,'1',999,'N'),(28,7367015,'1',319,'N'),(28,7367023,'1',5,'N'),(28,7367031,'1',211,'N'),(28,7367031,'1A',601,'N'),(28,7367040,'1',320,'N'),(28,7367058,'1',503,'N'),(28,7367066,'1',104,'N'),(28,7367074,'1',316,'N'),(28,7367082,'1',207,'N'),(28,7367082,'1A',201,'N'),(28,7367090,'1',440,'N'),(28,7367120,'1',216,'N'),(28,7367120,'1A',601,'N'),(28,7367139,'1',339,'N'),(28,7367155,'1',103,'N'),(28,7367163,'1',235,'N'),(28,7367163,'1A',213,'N'),(28,7367171,'1',216,'N'),(28,7367171,'1A',220,'N'),(28,7367180,'1',415,'N'),(28,7367198,'1',214,'N'),(28,7367198,'1A',220,'N'),(28,7367201,'1',103,'N'),(28,7367210,'1',317,'N'),(28,7367228,'1',318,'N'),(28,7367236,'1',333,'N'),(28,7367244,'1',208,'N'),(28,7367252,'1',203,'N'),(28,7367252,'1A',214,'N'),(28,7367260,'1',316,'N'),(28,7367279,'1',310,'N'),(28,7367287,'1',415,'N'),(28,7367295,'1',999,'N'),(28,7367309,'1',302,'N'),(28,7367317,'1',216,'N'),(28,7367325,'1',454,'N'),(28,7367341,'1',103,'N'),(28,7367350,'1',999,'N'),(28,7367368,'1',5,'N'),(28,7367376,'1',335,'N'),(28,7367384,'1',103,'N'),(28,7367406,'1',999,'N'),(28,7367414,'1',203,'N'),(28,7367414,'1A',211,'N'),(28,7367422,'1',216,'N'),(28,7367422,'1A',233,'N'),(28,7367449,'1',222,'N'),(28,7367457,'1',327,'N'),(28,7367465,'1',216,'N'),(28,7367465,'1A',201,'N'),(28,7367473,'1',999,'N'),(28,7367481,'1',211,'N'),(28,7367481,'1A',215,'N'),(28,7367490,'1',333,'N'),(28,7367503,'1',5,'N'),(28,7367511,'1',454,'N'),(28,7367538,'1',303,'N'),(28,7367554,'1',404,'N'),(28,7367562,'1',103,'N'),(28,7367570,'1',444,'N'),(28,7367589,'1',552,'N'),(28,7367597,'1',303,'N'),(28,7367600,'1',303,'N'),(28,7367627,'1',303,'N'),(28,7367635,'1',454,'N'),(28,7367643,'1',501,'N'),(28,7367651,'1',652,'N'),(28,7367651,'1A',655,'N'),(28,7367660,'1',108,'N'),(28,7367678,'1',319,'N'),(28,7367686,'1',104,'N'),(28,7367694,'1',103,'N'),(28,7367708,'1',201,'N'),(28,7367708,'1A',601,'N'),(28,7367724,'1',415,'N'),(28,7367732,'1',201,'N'),(28,7367732,'1A',212,'N'),(28,7367740,'1',426,'N'),(28,7367740,'1A',428,'N'),(28,7367759,'1',103,'N'),(28,7367767,'1',214,'N'),(28,7367767,'1A',212,'N'),(28,7367775,'1',601,'N'),(28,7367775,'1A',203,'N'),(28,7367783,'1',317,'N'),(28,7367791,'1',202,'N'),(28,7367791,'1A',653,'N'),(28,7367805,'1',302,'N'),(28,7367813,'1',454,'N'),(28,7367821,'1',103,'N'),(28,7367830,'1',450,'N'),(28,7367848,'1',238,'N'),(28,7367848,'1A',220,'N'),(28,7367856,'1',552,'N'),(28,7367872,'1',216,'N'),(28,7367872,'1A',220,'N'),(28,7367899,'1',223,'N'),(28,7367902,'1',103,'N'),(28,7367910,'1',999,'N'),(28,7367929,'1',444,'N'),(28,7367937,'1',104,'N'),(28,7367945,'1',652,'N'),(28,7367945,'1A',653,'N'),(28,7367953,'1',201,'N'),(28,7367953,'1A',207,'N'),(28,7367961,'1',502,'N'),(28,7367970,'1',214,'N'),(28,7367970,'1A',212,'N'),(28,7367988,'1',317,'N'),(28,7367996,'1',999,'N'),(28,7368003,'1',233,'N'),(28,7368003,'1A',202,'N'),(28,7368011,'1',303,'N'),(28,7368020,'1',552,'N'),(28,7368038,'1',444,'N'),(28,7368046,'1',332,'N'),(28,7368054,'1',326,'N'),(28,7368062,'1',9,'N'),(28,7368070,'1',303,'N'),(28,7368089,'1',501,'N'),(28,7368097,'1',103,'N'),(28,7368100,'1',552,'N'),(28,7368127,'1',327,'N'),(28,7368135,'1',103,'N'),(28,7368143,'1',340,'N'),(28,7368151,'1',103,'N'),(28,7368178,'1',103,'N'),(28,7368186,'1',999,'N'),(28,7368194,'1',103,'N'),(28,7368208,'1',999,'N'),(28,7368216,'1',304,'N'),(28,7368224,'1',316,'N'),(28,7368232,'1',104,'N'),(28,7368240,'1',404,'N'),(28,7368259,'1',103,'N'),(28,7368267,'1',317,'N'),(28,7368275,'1',309,'N'),(28,7368283,'1',319,'N'),(28,7368291,'1',101,'N'),(28,7368305,'1',320,'N'),(28,7368313,'1',103,'N'),(28,7368321,'1',214,'N'),(28,7368321,'1A',215,'N'),(28,7368330,'1',999,'N'),(28,7368348,'1',5,'N'),(28,7368356,'1',212,'N'),(28,7368356,'1A',213,'N'),(28,7368372,'1',317,'N'),(28,7368380,'1',654,'N'),(28,7368399,'1',303,'N'),(28,7368402,'1',103,'N'),(28,7368410,'1',340,'N'),(28,7368429,'1',103,'N'),(28,7368437,'1',332,'N'),(28,7368445,'1',223,'N'),(28,7368453,'1',103,'N'),(28,7368461,'1',318,'N'),(28,7368470,'1',404,'N'),(28,7368488,'1',304,'N'),(28,7368496,'1',207,'N'),(28,7368496,'1A',211,'N'),(28,7368500,'1',336,'N'),(28,7368518,'1',103,'N'),(28,7368526,'1',108,'N'),(28,7368534,'1',103,'N'),(28,7368542,'1',310,'N'),(28,7368550,'1',207,'N'),(28,7368569,'1',324,'N'),(28,7368577,'1',339,'N'),(28,7368585,'1',202,'N'),(28,7368585,'1A',220,'N'),(28,7368593,'1',5,'N'),(28,7368607,'1',304,'N'),(28,7368615,'1',212,'N'),(28,7368615,'1A',207,'N'),(28,7368623,'1',450,'N'),(28,7368640,'1',201,'N'),(28,7368640,'1A',216,'N'),(28,7368658,'1',5,'N'),(28,7368666,'1',104,'N'),(28,7368712,'1',427,'N'),(28,7368712,'1A',428,'N'),(28,7368720,'1',317,'N'),(28,7368739,'1',5,'N'),(28,7368747,'1',211,'N'),(28,7368747,'1A',601,'N'),(28,7368755,'1',327,'N'),(28,7368763,'1',104,'N'),(28,7368771,'1',103,'N'),(28,7368780,'1',454,'N'),(28,7368798,'1',103,'N'),(28,7368810,'1',303,'N'),(28,7368836,'1',203,'N'),(28,7368836,'1A',202,'N'),(28,7368844,'1',454,'N'),(28,7368852,'1',316,'N'),(28,7368860,'1',216,'N'),(28,7368860,'1A',235,'N'),(28,7368879,'1',207,'N'),(28,7368879,'1A',201,'N'),(28,7368887,'1',5,'N'),(28,7368895,'1',5,'N'),(28,7368909,'1',103,'N'),(28,7368933,'1',5,'N'),(28,7368941,'1',317,'N'),(28,7368950,'1',201,'N'),(28,7368950,'1A',212,'N'),(28,7368968,'1',103,'N'),(28,7368976,'1',326,'N'),(28,7368984,'1',320,'N'),(28,7369000,'1',103,'N'),(28,7369018,'1',454,'N'),(28,7369026,'1',203,'N'),(28,7369026,'1A',212,'N'),(28,7369034,'1',303,'N'),(28,7369042,'1',233,'N'),(28,7369042,'1A',213,'N'),(28,7369069,'1',5,'N'),(28,7369085,'1',601,'N'),(28,7369085,'1A',214,'N'),(28,7369093,'1',303,'N'),(28,7369123,'1',301,'N'),(28,7369131,'1',319,'N'),(28,7369140,'1',303,'N'),(28,7369158,'1',309,'N'),(28,7369174,'1',103,'N'),(28,7369182,'1',415,'N'),(28,7369204,'1',340,'N'),(28,7369239,'1',317,'N'),(28,7369247,'1',101,'N'),(28,7369255,'1',303,'N'),(28,7369263,'1',201,'N'),(28,7369263,'1A',207,'N'),(28,7369271,'1',552,'N'),(28,7369280,'1',454,'N'),(28,7369298,'1',326,'N'),(28,7369301,'1',101,'N'),(28,7369328,'1',653,'N'),(28,7369336,'1',5,'N'),(28,7369344,'1',440,'N'),(28,7369352,'1',327,'N'),(28,7369360,'1',235,'N'),(28,7369360,'1A',202,'N'),(28,7369379,'1',103,'N'),(28,7369387,'1',207,'N'),(28,7369387,'1A',215,'N'),(28,7369395,'1',207,'N'),(28,7369395,'1A',653,'N'),(28,7369425,'1',454,'N'),(28,7369433,'1',440,'N'),(28,7369441,'1',316,'N'),(28,7369450,'1',5,'N'),(28,7369468,'1',308,'N'),(28,7369476,'1',316,'N'),(28,7369484,'1',101,'N'),(28,7369492,'1',103,'N'),(28,7369506,'1',301,'N'),(28,7369522,'1',329,'N'),(28,7369549,'1',304,'N'),(28,7369557,'1',428,'N'),(28,7369557,'1A',426,'N'),(28,7369565,'1',203,'N'),(28,7369565,'1A',211,'N'),(28,7369581,'1',340,'N'),(28,7369590,'1',108,'N'),(28,7369603,'1',999,'N'),(28,7369611,'1',201,'N'),(28,7369611,'1A',213,'N'),(28,7369638,'1',202,'N'),(28,7369638,'1A',213,'N'),(28,7369646,'1',415,'N'),(28,7369654,'1',316,'N'),(28,7369662,'1',103,'N'),(28,7369670,'1',201,'N'),(28,7369670,'1A',213,'N'),(28,7369689,'1',551,'N'),(28,7369700,'1',207,'N'),(28,7369700,'1A',201,'N'),(28,7369719,'1',316,'N'),(28,7369727,'1',201,'N'),(28,7369727,'1A',213,'N'),(28,7369735,'1',316,'N'),(28,7369743,'1',404,'N'),(28,7369751,'1',302,'N'),(28,7369760,'1',320,'N'),(28,7369786,'1',201,'N'),(28,7369786,'1A',203,'N'),(28,7369794,'1',201,'N'),(28,7369816,'1',318,'N'),(28,7369824,'1',308,'N'),(28,7369832,'1',329,'N'),(28,7369840,'1',324,'N'),(28,7369867,'1',327,'N'),(28,7369875,'1',301,'N'),(28,7369891,'1',301,'N'),(28,7369905,'1',216,'N'),(28,7369905,'1A',201,'N'),(28,7369913,'1',451,'N'),(28,7369921,'1',103,'N'),(28,7369948,'1',103,'N'),(28,7369964,'1',999,'N'),(28,7369972,'1',444,'N'),(28,7369980,'1',207,'N'),(28,7369980,'1A',211,'N'),(28,7369999,'1',303,'N'),(28,7370008,'1',654,'N'),(28,7370016,'1',9,'N'),(28,7370024,'1',203,'N'),(28,7370024,'1A',214,'N'),(28,7370032,'1',302,'N'),(28,7370040,'1',207,'N'),(28,7370040,'1A',211,'N'),(28,7370067,'1',316,'N'),(28,7370075,'1',5,'N'),(28,7370091,'1',203,'N'),(28,7370091,'1A',201,'N'),(28,7370105,'1',5,'N'),(28,7370113,'1',340,'N'),(28,7370121,'1',103,'N'),(28,7370148,'1',225,'N'),(28,7370156,'1',220,'N'),(28,7370156,'1A',601,'N'),(28,7370164,'1',207,'N'),(28,7370164,'1A',211,'N'),(28,7370172,'1',318,'N'),(28,7370180,'1',201,'N'),(28,7370180,'1A',202,'N'),(28,7370202,'1',303,'N'),(28,7370229,'1',301,'N'),(28,7370237,'1',103,'N'),(28,7370245,'1',103,'N'),(28,7370296,'1',225,'N'),(28,7370326,'1',425,'N'),(28,7370326,'1A',427,'N'),(28,7370334,'1',104,'N'),(28,7370342,'1',238,'N'),(28,7370350,'1',425,'N'),(28,7370350,'1A',421,'N'),(28,7370369,'1',444,'N'),(28,7370377,'1',319,'N'),(28,7370393,'1',103,'N'),(28,7370407,'1',104,'N'),(28,7370423,'1',415,'N'),(28,7370431,'1',427,'N'),(28,7370431,'1A',426,'N'),(28,7370440,'1',103,'N'),(28,7370458,'1',108,'N'),(28,7370466,'1',302,'N'),(28,7370474,'1',327,'N'),(28,7370482,'1',207,'N'),(28,7370490,'1',454,'N'),(28,7370504,'1',326,'N'),(28,7370512,'1',203,'N'),(28,7370520,'1',211,'N'),(28,7370520,'1A',207,'N'),(28,7370539,'1',428,'N'),(28,7370539,'1A',427,'N'),(28,7370547,'1',103,'N'),(28,7370555,'1',340,'N'),(28,7370571,'1',308,'N'),(28,7370580,'1',109,'N'),(28,7370598,'1',103,'N'),(28,7370601,'1',201,'N'),(28,7370601,'1A',203,'N'),(28,7370610,'1',5,'N'),(28,7370628,'1',310,'N'),(28,7370636,'1',339,'N'),(28,7370644,'1',503,'N'),(28,7370652,'1',316,'N'),(28,7370660,'1',424,'N'),(28,7370660,'1A',423,'N'),(28,7370687,'1',5,'N'),(28,7370695,'1',319,'N'),(28,7370709,'1',450,'N'),(28,7370717,'1',317,'N'),(28,7370725,'1',201,'N'),(28,7370725,'1A',212,'N'),(28,7370741,'1',999,'N'),(28,7370750,'1',444,'N'),(28,7370768,'1',654,'N'),(28,7370776,'1',5,'N'),(28,7370784,'1',415,'N'),(28,7370806,'1',207,'N'),(28,7370814,'1',326,'N'),(28,7370822,'1',103,'N'),(28,7370830,'1',212,'N'),(28,7370849,'1',202,'N'),(28,7370849,'1A',213,'N'),(28,7370857,'1',110,'N'),(28,7370873,'1',309,'N'),(28,7370881,'1',340,'N'),(28,7370903,'1',103,'N'),(28,7370920,'1',423,'N'),(28,7370920,'1A',425,'N'),(28,7370938,'1',450,'N'),(28,7370962,'1',5,'N'),(28,7370989,'1',454,'N'),(28,7370997,'1',551,'N'),(28,7371012,'1',5,'N'),(28,7371039,'1',999,'N'),(28,7371047,'1',425,'N'),(28,7371047,'1A',424,'N'),(28,7371055,'1',444,'N'),(28,7371063,'1',337,'N'),(28,7371071,'1',207,'N'),(28,7371071,'1A',220,'N'),(28,7371098,'1',308,'N'),(28,7371101,'1',103,'N'),(28,7371110,'1',999,'N'),(28,7371128,'1',320,'N'),(28,7371136,'1',102,'N'),(28,7371144,'1',203,'N'),(28,7371144,'1A',216,'N'),(28,7371152,'1',428,'N'),(28,7371160,'1',103,'N'),(28,7371179,'1',5,'N'),(28,7371217,'1',415,'N'),(28,7371225,'1',501,'N'),(28,7371233,'1',103,'N'),(28,7371241,'1',103,'N'),(28,7371250,'1',317,'N'),(28,7371268,'1',201,'N'),(28,7371268,'1A',213,'N'),(28,7371276,'1',201,'N'),(28,7371276,'1A',202,'N'),(28,7371306,'1',101,'N'),(28,7371314,'1',203,'N'),(28,7371314,'1A',214,'N'),(28,7371322,'1',5,'N'),(28,7371330,'1',429,'N'),(28,7371349,'1',216,'N'),(28,7371349,'1A',201,'N'),(28,7371357,'1',207,'N'),(28,7371357,'1A',201,'N'),(28,7371365,'1',201,'N'),(28,7371365,'1A',207,'N'),(28,7371373,'1',601,'N'),(28,7371373,'1A',211,'N'),(28,7371390,'1',999,'N'),(28,7371403,'1',103,'N'),(28,7371411,'1',212,'N'),(28,7371411,'1A',214,'N'),(28,7371438,'1',3,'N'),(28,7371446,'1',103,'N'),(28,7371454,'1',331,'N'),(28,7371462,'1',215,'N'),(28,7371470,'1',303,'N'),(28,7371497,'1',551,'N'),(28,7371500,'1',108,'N'),(28,7371519,'1',207,'N'),(28,7371519,'1A',601,'N'),(28,7371527,'1',5,'N'),(28,7371578,'1',308,'N'),(28,7371586,'1',303,'N'),(28,7371608,'1',5,'N'),(28,7371616,'1',302,'N'),(28,7371624,'1',203,'N'),(28,7371632,'1',103,'N'),(28,7371640,'1',101,'N'),(28,7371659,'1',501,'N'),(28,7371667,'1',207,'N'),(28,7371667,'1A',201,'N'),(28,7371683,'1',201,'N'),(28,7371683,'1A',655,'N'),(28,7371691,'1',108,'N'),(28,7371705,'1',103,'N'),(28,7371713,'1',319,'N'),(28,7371721,'1',203,'N'),(28,7371721,'1A',202,'N'),(28,7371748,'1',202,'N'),(28,7371748,'1A',213,'N'),(28,7371764,'1',233,'N'),(28,7371764,'1A',216,'N'),(28,7371772,'1',318,'N'),(28,7371780,'1',207,'N'),(28,7371780,'1A',215,'N'),(28,7371799,'1',101,'N'),(28,7371802,'1',425,'N'),(28,7371802,'1A',428,'N'),(28,7371810,'1',202,'N'),(28,7371810,'1A',235,'N'),(28,7371829,'1',203,'N'),(28,7371829,'1A',214,'N'),(28,7371845,'1',216,'N'),(28,7371845,'1A',233,'N'),(28,7371853,'1',316,'N'),(28,7371861,'1',103,'N'),(28,7371870,'1',207,'N'),(28,7371888,'1',454,'N'),(28,7371896,'1',329,'N'),(28,7371918,'1',212,'N'),(28,7371918,'1A',214,'N'),(28,7371926,'1',999,'N'),(28,7371942,'1',454,'N'),(28,7371950,'1',340,'N'),(28,7371969,'1',336,'N'),(28,7371985,'1',103,'N'),(28,7372000,'1',211,'N'),(28,7372000,'1A',201,'N'),(28,7372019,'1',109,'N'),(28,7372027,'1',103,'N'),(28,7372043,'1',103,'N'),(28,7372051,'1',317,'N'),(28,7372078,'1',999,'N'),(28,7372086,'1',215,'N'),(28,7372086,'1A',207,'N'),(28,7372108,'1',601,'N'),(28,7372108,'1A',220,'N'),(28,7372124,'1',317,'N'),(28,7372132,'1',319,'N'),(28,7372159,'1',207,'N'),(28,7372159,'1A',213,'N'),(28,7372167,'1',317,'N'),(28,7372175,'1',203,'N'),(28,7372175,'1A',214,'N'),(28,7372191,'1',451,'N'),(28,7372205,'1',502,'N'),(28,7372213,'1',103,'N'),(28,7372248,'1',450,'N'),(28,7372256,'1',5,'N'),(28,7372264,'1',303,'N'),(28,7372280,'1',201,'N'),(28,7372280,'1A',211,'N'),(28,7372302,'1',335,'N'),(28,7372329,'1',444,'N'),(28,7372345,'1',303,'N'),(28,7372353,'1',320,'N'),(28,7372370,'1',999,'N'),(28,7372388,'1',238,'N'),(28,7372388,'1A',235,'N'),(28,7372396,'1',203,'N'),(28,7372396,'1A',235,'N'),(28,7372400,'1',5,'N'),(28,7372418,'1',415,'N'),(28,7372426,'1',104,'N'),(28,7372442,'1',999,'N'),(28,7372450,'1',303,'N'),(28,7372469,'1',203,'N'),(28,7372469,'1A',653,'N'),(28,7372485,'1',318,'N'),(28,7372493,'1',333,'N'),(28,7372507,'1',415,'N'),(28,7372523,'1',318,'N'),(28,7372558,'1',320,'N'),(28,7372590,'1',213,'N'),(28,7372590,'1A',235,'N'),(28,7372604,'1',301,'N'),(28,7372639,'1',319,'N'),(28,7372647,'1',425,'N'),(28,7372647,'1A',423,'N'),(28,7372663,'1',551,'N'),(28,7372671,'1',235,'N'),(28,7372671,'1A',238,'N'),(28,7372698,'1',450,'N'),(28,7372701,'1',103,'N'),(28,7372710,'1',103,'N'),(28,7372728,'1',444,'N'),(28,7372736,'1',303,'N'),(28,7372744,'1',654,'N'),(28,7372760,'1',216,'N'),(28,7372760,'1A',203,'N'),(28,7372779,'1',501,'N'),(28,7372787,'1',316,'N'),(28,7372809,'1',212,'N'),(28,7372809,'1A',213,'N'),(28,7372817,'1',207,'N'),(28,7372817,'1A',235,'N'),(28,7372833,'1',999,'N'),(28,7372841,'1',340,'N'),(28,7372850,'1',999,'N'),(28,7372868,'1',220,'N'),(28,7372868,'1A',203,'N'),(28,7372876,'1',103,'N'),(28,7372892,'1',999,'N'),(28,7372906,'1',309,'N'),(28,7372914,'1',324,'N'),(28,7372922,'1',103,'N'),(28,7372930,'1',333,'N'),(28,7372949,'1',101,'N'),(28,7372957,'1',326,'N'),(28,7372965,'1',207,'N'),(28,7372965,'1A',201,'N'),(28,7372973,'1',319,'N'),(28,7372990,'1',303,'N'),(28,7373015,'1',653,'N'),(28,7373023,'1',552,'N'),(28,7373040,'1',332,'N'),(28,7373058,'1',655,'N'),(28,7373058,'1A',238,'N'),(28,7373066,'1',208,'N'),(28,7373090,'1',201,'N'),(28,7373090,'1A',211,'N'),(28,7373112,'1',103,'N'),(28,7373120,'1',235,'N'),(28,7373120,'1A',202,'N'),(28,7373139,'1',502,'N'),(28,7373147,'1',207,'N'),(28,7373147,'1A',201,'N'),(28,7373155,'1',103,'N'),(28,7373163,'1',103,'N'),(28,7373171,'1',328,'N'),(28,7373180,'1',9,'N'),(28,7373198,'1',308,'N'),(28,7373201,'1',201,'N'),(28,7373201,'1A',213,'N'),(28,7373228,'1',319,'N'),(28,7373236,'1',201,'N'),(28,7373236,'1A',207,'N'),(28,7373244,'1',103,'N'),(28,7373252,'1',207,'N'),(28,7373252,'1A',215,'N'),(28,7373260,'1',103,'N'),(28,7373287,'1',654,'N'),(28,7373295,'1',318,'N'),(28,7373317,'1',203,'N'),(28,7373317,'1A',655,'N'),(28,7373333,'1',450,'N'),(28,7373341,'1',103,'N'),(28,7373368,'1',234,'N'),(28,7373384,'1',319,'N'),(28,7373392,'1',324,'N'),(28,7373414,'1',502,'N'),(28,7373422,'1',340,'N'),(28,7373430,'1',999,'N'),(28,7373449,'1',101,'N'),(28,7373457,'1',224,'N'),(28,7373465,'1',304,'N'),(28,7373473,'1',319,'N'),(28,7373481,'1',454,'N'),(28,7373503,'1',503,'N'),(28,7373520,'1',103,'N'),(28,7373538,'1',213,'N'),(28,7373538,'1A',212,'N'),(28,7373546,'1',201,'N'),(28,7373546,'1A',212,'N'),(28,7373554,'1',202,'N'),(28,7373554,'1A',203,'N'),(28,7373562,'1',202,'N'),(28,7373562,'1A',235,'N'),(28,7373570,'1',5,'N'),(28,7373589,'1',301,'N'),(28,7373597,'1',212,'N'),(28,7373597,'1A',214,'N'),(28,7373600,'1',101,'N'),(28,7373627,'1',238,'N'),(28,7373643,'1',999,'N'),(28,7373660,'1',552,'N'),(28,7373678,'1',103,'N'),(28,7373694,'1',654,'N'),(28,7373708,'1',103,'N'),(28,7373716,'1',103,'N'),(28,7373732,'1',5,'N'),(28,7373740,'1',201,'N'),(28,7373740,'1A',203,'N'),(28,7373759,'1',3,'N'),(28,7373767,'1',339,'N'),(28,7373775,'1',655,'N'),(28,7373783,'1',5,'N'),(28,7373791,'1',5,'N'),(28,7373805,'1',102,'N'),(28,7373813,'1',5,'N'),(28,7373821,'1',103,'N'),(28,7373830,'1',303,'N'),(28,7373848,'1',103,'N'),(28,7373864,'1',212,'N'),(28,7373864,'1A',214,'N'),(28,7373899,'1',999,'N'),(28,7373902,'1',201,'N'),(28,7373902,'1A',235,'N'),(28,7373910,'1',5,'N'),(28,7373929,'1',335,'N'),(28,7373937,'1',335,'N'),(28,7373945,'1',201,'N'),(28,7373945,'1A',235,'N'),(28,7373961,'1',415,'N'),(28,7373970,'1',444,'N'),(28,7373988,'1',428,'N'),(28,7374003,'1',404,'N'),(28,7374011,'1',999,'N'),(28,7374038,'1',999,'N'),(28,7374046,'1',103,'N'),(28,7374054,'1',999,'N'),(28,7374070,'1',317,'N'),(28,7374100,'1',101,'N'),(28,7374119,'1',308,'N'),(28,7374127,'1',103,'N'),(28,7374135,'1',207,'N'),(28,7374135,'1A',216,'N'),(28,7374151,'1',653,'N'),(28,7374151,'1A',652,'N'),(28,7374160,'1',104,'N'),(28,7374186,'1',999,'N'),(28,7374216,'1',440,'N'),(28,7374224,'1',201,'N'),(28,7374232,'1',302,'N'),(28,7374259,'1',201,'N'),(28,7374259,'1A',212,'N'),(28,7374267,'1',103,'N'),(28,7374275,'1',319,'N'),(28,7374283,'1',310,'N'),(28,7374291,'1',999,'N'),(28,7374305,'1',303,'N'),(28,7374313,'1',203,'N'),(28,7374313,'1A',601,'N'),(28,7374330,'1',220,'N'),(28,7374330,'1A',235,'N'),(28,7374348,'1',238,'N'),(28,7374356,'1',339,'N'),(28,7374364,'1',415,'N'),(28,7374380,'1',5,'N'),(28,7374399,'1',104,'N'),(28,7374402,'1',999,'N'),(28,7374429,'1',211,'N'),(28,7374429,'1A',207,'N'),(28,7374437,'1',109,'N'),(28,7374461,'1',303,'N'),(28,7374488,'1',103,'N'),(28,7374496,'1',238,'N'),(28,7374496,'1A',212,'N'),(28,7374500,'1',303,'N'),(28,7374518,'1',320,'N'),(28,7374526,'1',304,'N'),(28,7374534,'1',104,'N'),(28,7374542,'1',339,'N'),(28,7374585,'1',999,'N'),(28,7374593,'1',319,'N'),(28,7374607,'1',103,'N'),(28,7374615,'1',212,'N'),(28,7374615,'1A',214,'N'),(28,7374623,'1',207,'N'),(28,7374623,'1A',201,'N'),(28,7374640,'1',441,'N'),(28,7374682,'1',203,'N'),(28,7374682,'1A',201,'N'),(28,7374690,'1',601,'N'),(28,7374690,'1A',216,'N'),(28,7374704,'1',552,'N'),(28,7374712,'1',235,'N'),(28,7374712,'1A',215,'N'),(28,7374739,'1',444,'N'),(28,7374747,'1',101,'N'),(28,7374755,'1',103,'N'),(28,7374763,'1',429,'N'),(28,7374763,'1A',426,'N'),(28,7374771,'1',5,'N'),(28,7374780,'1',425,'N'),(28,7374780,'1A',421,'N'),(28,7374798,'1',103,'N'),(28,7374801,'1',451,'N'),(28,7374810,'1',425,'N'),(28,7374810,'1A',424,'N'),(28,7374828,'1',329,'N'),(28,7374836,'1',212,'N'),(28,7374836,'1A',653,'N'),(28,7374844,'1',103,'N'),(28,7374852,'1',211,'N'),(28,7374852,'1A',215,'N'),(28,7374860,'1',103,'N'),(28,7374879,'1',101,'N'),(28,7374887,'1',999,'N'),(28,7374895,'1',444,'N'),(28,7374917,'1',601,'N'),(28,7374917,'1A',212,'N'),(28,7374933,'1',999,'N'),(28,7374941,'1',318,'N'),(28,7374950,'1',999,'N'),(28,7374976,'1',654,'N'),(28,7374992,'1',999,'N'),(28,7375000,'1',9,'N'),(28,7375018,'1',317,'N'),(28,7375026,'1',303,'N'),(28,7375034,'1',207,'N'),(28,7375034,'1A',201,'N'),(28,7375042,'1',2,'N'),(28,7375050,'1',109,'N'),(28,7375093,'1',303,'N'),(28,7375107,'1',103,'N'),(28,7375123,'1',201,'N'),(28,7375123,'1A',220,'N'),(28,7375131,'1',337,'N'),(28,7375140,'1',999,'N'),(28,7375158,'1',425,'N'),(28,7375158,'1A',424,'N'),(28,7375166,'1',404,'N'),(28,7375174,'1',103,'N'),(28,7375182,'1',454,'N'),(28,7375190,'1',501,'N'),(28,7375204,'1',201,'N'),(28,7375204,'1A',212,'N'),(28,7375212,'1',329,'N'),(28,7375220,'1',340,'N'),(28,7375239,'1',303,'N'),(28,7375247,'1',233,'N'),(28,7375247,'1A',215,'N'),(28,7375255,'1',454,'N'),(28,7375263,'1',308,'N'),(28,7375271,'1',212,'N'),(28,7375271,'1A',201,'N'),(28,7375298,'1',201,'N'),(28,7375298,'1A',601,'N'),(28,7375310,'1',308,'N'),(28,7375328,'1',999,'N'),(28,7375336,'1',999,'N'),(28,7375360,'1',319,'N'),(28,7375379,'1',309,'N'),(28,7375387,'1',601,'N'),(28,7375387,'1A',215,'N'),(28,7375395,'1',309,'N'),(28,7375409,'1',233,'N'),(28,7375433,'1',339,'N'),(28,7375441,'1',108,'N'),(28,7375450,'1',601,'N'),(28,7375450,'1A',233,'N'),(28,7375468,'1',310,'N'),(28,7375476,'1',203,'N'),(28,7375476,'1A',220,'N'),(28,7375484,'1',601,'N'),(28,7375484,'1A',201,'N'),(28,7375492,'1',215,'N'),(28,7375492,'1A',233,'N'),(28,7375506,'1',301,'N'),(28,7375514,'1',201,'N'),(28,7375514,'1A',601,'N'),(28,7375522,'1',502,'N'),(28,7375530,'1',103,'N'),(28,7375557,'1',205,'N'),(28,7375565,'1',234,'N'),(28,7375573,'1',328,'N'),(28,7375603,'1',316,'N'),(28,7375638,'1',999,'N'),(28,7375646,'1',316,'N'),(28,7375654,'1',319,'N'),(28,7375662,'1',9,'N'),(28,7375670,'1',304,'N'),(28,7375697,'1',201,'N'),(28,7375697,'1A',233,'N'),(28,7375700,'1',999,'N'),(28,7375719,'1',201,'N'),(28,7375719,'1A',212,'N'),(28,7375727,'1',213,'N'),(28,7375727,'1A',202,'N'),(28,7375743,'1',301,'N'),(28,7375760,'1',317,'N'),(28,7375794,'1',215,'N'),(28,7375794,'1A',216,'N'),(28,7375816,'1',316,'N'),(28,7375824,'1',601,'N'),(28,7375824,'1A',207,'N'),(28,7375832,'1',207,'N'),(28,7375832,'1A',233,'N'),(28,7375840,'1',501,'N'),(28,7375859,'1',601,'N'),(28,7375859,'1A',201,'N'),(28,7375867,'1',332,'N'),(28,7375875,'1',202,'N'),(28,7375883,'1',207,'N'),(28,7375883,'1A',212,'N'),(28,7375891,'1',303,'N'),(28,7375905,'1',303,'N'),(28,7375921,'1',303,'N'),(28,7375948,'1',318,'N'),(28,7375956,'1',103,'N'),(28,7375972,'1',208,'N'),(28,7375980,'1',5,'N'),(28,7376022,'1',213,'N'),(28,7376022,'1A',653,'N'),(28,7376030,'1',103,'N'),(28,7376049,'1',316,'N'),(28,7376057,'1',454,'N'),(28,7376065,'1',999,'N'),(28,7376073,'1',103,'N'),(28,7376081,'1',552,'N'),(28,7376090,'1',324,'N'),(28,7376103,'1',333,'N'),(28,7376111,'1',551,'N'),(28,7376138,'1',336,'N'),(28,7376146,'1',999,'N'),(28,7376154,'1',203,'N'),(28,7376154,'1A',235,'N'),(28,7376162,'1',340,'N'),(28,7376170,'1',333,'N'),(28,7376197,'1',999,'N'),(28,7376200,'1',552,'N'),(28,7376219,'1',324,'N'),(28,7376227,'1',108,'N'),(28,7376235,'1',502,'N'),(28,7376243,'1',214,'N'),(28,7376243,'1A',213,'N'),(28,7376251,'1',103,'N'),(28,7376260,'1',327,'N'),(28,7376278,'1',454,'N'),(28,7376286,'1',309,'N'),(28,7376294,'1',203,'N'),(28,7376294,'1A',220,'N'),(28,7376308,'1',999,'N'),(28,7376316,'1',304,'N'),(28,7376324,'1',103,'N'),(28,7376332,'1',212,'N'),(28,7376332,'1A',213,'N'),(28,7376340,'1',319,'N'),(28,7376359,'1',337,'N'),(28,7376367,'1',326,'N'),(28,7376383,'1',340,'N'),(28,7376391,'1',316,'N'),(28,7376405,'1',220,'N'),(28,7376405,'1A',203,'N'),(28,7376413,'1',999,'N'),(28,7376430,'1',208,'N'),(28,7376464,'1',225,'N'),(28,7376472,'1',238,'N'),(28,7376480,'1',208,'N'),(28,7376499,'1',318,'N'),(28,7376502,'1',316,'N'),(28,7376510,'1',208,'N'),(28,7376553,'1',333,'N'),(28,7376570,'1',201,'N'),(28,7376570,'1A',207,'N'),(28,7376588,'1',207,'N'),(28,7376588,'1A',201,'N'),(28,7376596,'1',110,'N'),(28,7376600,'1',303,'N'),(28,7376634,'1',223,'N'),(28,7376642,'1',421,'N'),(28,7376650,'1',104,'N'),(28,7376669,'1',421,'N'),(28,7376669,'1A',429,'N'),(28,7376685,'1',451,'N'),(28,7376693,'1',201,'N'),(28,7376693,'1A',207,'N'),(28,7376715,'1',999,'N'),(28,7376723,'1',320,'N'),(28,7376740,'1',108,'N'),(28,7376774,'1',103,'N'),(28,7376782,'1',238,'N'),(28,7376790,'1',999,'N'),(28,7376804,'1',326,'N'),(28,7376812,'1',317,'N'),(28,7376839,'1',454,'N'),(28,7376855,'1',103,'N'),(28,7376863,'1',653,'N'),(28,7376871,'1',103,'N'),(28,7376901,'1',5,'N'),(28,7376936,'1',302,'N'),(28,7376944,'1',104,'N'),(28,7376979,'1',103,'N'),(28,7376987,'1',308,'N'),(28,7376995,'1',220,'N'),(28,7376995,'1A',214,'N'),(28,7377002,'1',215,'N'),(28,7377002,'1A',238,'N'),(28,7377010,'1',319,'N'),(28,7377029,'1',108,'N'),(28,7377037,'1',207,'N'),(28,7377045,'1',9,'N'),(28,7377053,'1',444,'N'),(28,7377061,'1',201,'N'),(28,7377070,'1',215,'N'),(28,7377070,'1A',233,'N'),(28,7377088,'1',552,'N'),(28,7377096,'1',552,'N'),(28,7377118,'1',999,'N'),(28,7377134,'1',202,'N'),(28,7377134,'1A',653,'N'),(28,7377142,'1',999,'N'),(28,7377150,'1',308,'N'),(28,7377169,'1',238,'N'),(28,7377169,'1A',220,'N'),(28,7377177,'1',338,'N'),(28,7377185,'1',999,'N'),(28,7377207,'1',203,'N'),(28,7377207,'1A',201,'N'),(28,7377215,'1',238,'N'),(28,7377215,'1A',202,'N'),(28,7377223,'1',999,'N'),(28,7377231,'1',103,'N'),(28,7377258,'1',454,'N'),(28,7377274,'1',104,'N'),(28,7377282,'1',5,'N'),(28,7377290,'1',103,'N'),(28,7377304,'1',211,'N'),(28,7377304,'1A',233,'N'),(28,7377312,'1',212,'N'),(28,7377312,'1A',201,'N'),(28,7377320,'1',303,'N'),(28,7377339,'1',329,'N'),(28,7377347,'1',203,'N'),(28,7377347,'1A',207,'N'),(28,7377355,'1',103,'N'),(28,7377363,'1',103,'N'),(28,7377371,'1',327,'N'),(28,7377398,'1',104,'N'),(28,7377401,'1',653,'N'),(28,7377401,'1A',233,'N'),(28,7377410,'1',308,'N'),(28,7377428,'1',444,'N'),(28,7377436,'1',103,'N'),(28,7377444,'1',103,'N'),(28,7377452,'1',103,'N'),(28,7377460,'1',655,'N'),(28,7377460,'1A',653,'N'),(28,7377479,'1',308,'N'),(28,7377487,'1',653,'N'),(28,7377487,'1A',601,'N'),(28,7377509,'1',207,'N'),(28,7377509,'1A',238,'N'),(28,7377525,'1',999,'N'),(28,7377533,'1',301,'N'),(28,7377541,'1',207,'N'),(28,7377541,'1A',211,'N'),(28,7377550,'1',999,'N'),(28,7377568,'1',225,'N'),(28,7377584,'1',450,'N'),(28,7377592,'1',999,'N'),(28,7377606,'1',999,'N'),(28,7377614,'1',103,'N'),(28,7377622,'1',316,'N'),(28,7377630,'1',103,'N'),(28,7377665,'1',319,'N'),(28,7377673,'1',336,'N'),(28,7377690,'1',999,'N'),(28,7377720,'1',5,'N'),(28,7377738,'1',103,'N'),(28,7377746,'1',654,'N'),(28,7377762,'1',207,'N'),(28,7377762,'1A',201,'N'),(28,7377789,'1',103,'N'),(28,7377800,'1',318,'N'),(28,7377819,'1',104,'N'),(28,7377827,'1',207,'N'),(28,7377827,'1A',201,'N'),(28,7377835,'1',103,'N'),(28,7377860,'1',208,'N'),(28,7377878,'1',328,'N'),(28,7377886,'1',999,'N'),(28,7377894,'1',308,'N'),(28,7377908,'1',103,'N'),(28,7377916,'1',201,'N'),(28,7377916,'1A',213,'N'),(28,7377924,'1',207,'N'),(28,7377924,'1A',201,'N'),(28,7377932,'1',502,'N'),(28,7377940,'1',109,'N'),(28,7377959,'1',308,'N'),(28,7377967,'1',329,'N'),(28,7377975,'1',318,'N'),(28,7377991,'1',103,'N'),(28,7378009,'1',102,'N'),(28,7378017,'1',216,'N'),(28,7378017,'1A',201,'N'),(28,7378025,'1',104,'N'),(28,7378033,'1',103,'N'),(28,7378041,'1',208,'N'),(28,7378068,'1',301,'N'),(28,7378122,'1',440,'N'),(28,7378130,'1',103,'N'),(28,7378149,'1',211,'N'),(28,7378149,'1A',216,'N'),(28,7378157,'1',9,'N'),(28,7378165,'1',327,'N'),(28,7378173,'1',103,'N'),(28,7378181,'1',454,'N'),(28,7378190,'1',316,'N'),(28,7378203,'1',308,'N'),(28,7378211,'1',303,'N'),(28,7378220,'1',238,'N'),(28,7378238,'1',454,'N'),(28,7378262,'1',340,'N'),(28,7378289,'1',319,'N'),(28,7378319,'1',104,'N'),(28,7378327,'1',220,'N'),(28,7378327,'1A',202,'N'),(28,7378335,'1',303,'N'),(28,7378343,'1',238,'N'),(28,7378343,'1A',235,'N'),(28,7378378,'1',9,'N'),(28,7378386,'1',340,'N'),(28,7378394,'1',5,'N'),(28,7378416,'1',316,'N'),(28,7378424,'1',303,'N'),(28,7378432,'1',444,'N'),(28,7378440,'1',999,'N'),(28,7378475,'1',103,'N'),(28,7378483,'1',501,'N'),(28,7378521,'1',103,'N'),(28,7378530,'1',103,'N'),(28,7378548,'1',108,'N'),(28,7378556,'1',999,'N'),(28,7378564,'1',9,'N'),(28,7378572,'1',404,'N'),(28,7378580,'1',331,'N'),(28,7378599,'1',415,'N'),(28,7378602,'1',201,'N'),(28,7378602,'1A',212,'N'),(28,7378610,'1',601,'N'),(28,7378629,'1',654,'N'),(28,7378637,'1',320,'N'),(28,7378661,'1',428,'N'),(28,7378661,'1A',426,'N'),(28,7378670,'1',999,'N'),(28,7378688,'1',212,'N'),(28,7378688,'1A',211,'N'),(28,7378696,'1',427,'N'),(28,7378696,'1A',421,'N'),(28,7378718,'1',333,'N'),(28,7378726,'1',203,'N'),(28,7378726,'1A',238,'N'),(28,7378734,'1',201,'N'),(28,7378734,'1A',212,'N'),(28,7378742,'1',310,'N'),(28,7378769,'1',103,'N'),(28,7378777,'1',999,'N'),(28,7378785,'1',2,'N'),(28,7378793,'1',654,'N'),(28,7378807,'1',233,'N'),(28,7378807,'1A',216,'N'),(28,7378815,'1',999,'N'),(28,7378823,'1',103,'N'),(28,7378831,'1',316,'N'),(28,7378866,'1',999,'N'),(28,7378874,'1',426,'N'),(28,7378874,'1A',429,'N'),(28,7378882,'1',318,'N'),(28,7378890,'1',103,'N'),(28,7378904,'1',454,'N'),(28,7378912,'1',415,'N'),(28,7378963,'1',316,'N'),(28,7378971,'1',451,'N'),(28,7378998,'1',327,'N'),(28,7379013,'1',203,'N'),(28,7379013,'1A',201,'N'),(28,7379030,'1',301,'N'),(28,7379056,'1',309,'N'),(28,7379064,'1',303,'N'),(28,7379080,'1',104,'N'),(28,7379102,'1',444,'N'),(28,7379110,'1',230,'N'),(28,7379129,'1',551,'N'),(28,7379145,'1',238,'N'),(28,7379145,'1A',655,'N'),(28,7379153,'1',203,'N'),(28,7379153,'1A',202,'N'),(28,7379161,'1',201,'N'),(28,7379161,'1A',212,'N'),(28,7379170,'1',999,'N'),(28,7379188,'1',203,'N'),(28,7379188,'1A',238,'N'),(28,7379218,'1',303,'N'),(28,7379226,'1',235,'N'),(28,7379226,'1A',202,'N'),(28,7379234,'1',238,'N'),(28,7379234,'1A',220,'N'),(28,7379242,'1',303,'N'),(28,7379269,'1',319,'N'),(28,7379277,'1',316,'N'),(28,7379285,'1',104,'N'),(28,7379293,'1',425,'N'),(28,7379293,'1A',424,'N'),(28,7379307,'1',103,'N'),(28,7379315,'1',103,'N'),(28,7379323,'1',103,'N'),(28,7379331,'1',999,'N'),(28,7379340,'1',316,'N'),(28,7379358,'1',319,'N'),(28,7379366,'1',5,'N'),(28,7379374,'1',201,'N'),(28,7379374,'1A',203,'N'),(28,7379382,'1',340,'N'),(28,7379390,'1',444,'N'),(28,7379404,'1',654,'N'),(28,7379412,'1',653,'N'),(28,7379412,'1A',652,'N'),(28,7379420,'1',2,'N'),(28,7379471,'1',103,'N'),(28,7379498,'1',103,'N'),(28,7379501,'1',454,'N'),(28,7379528,'1',103,'N'),(28,7379536,'1',211,'N'),(28,7379536,'1A',215,'N'),(28,7379552,'1',207,'N'),(28,7379552,'1A',216,'N'),(28,7379560,'1',303,'N'),(28,7379587,'1',444,'N'),(28,7379609,'1',316,'N'),(28,7379617,'1',201,'N'),(28,7379633,'1',238,'N'),(28,7379633,'1A',235,'N'),(28,7379650,'1',103,'N'),(28,7379668,'1',103,'N'),(28,7379676,'1',212,'N'),(28,7379676,'1A',213,'N'),(28,7379684,'1',340,'N'),(28,7379692,'1',103,'N'),(28,7379706,'1',317,'N'),(28,7379714,'1',202,'N'),(28,7379714,'1A',235,'N'),(28,7379722,'1',5,'N'),(28,7379730,'1',103,'N'),(28,7379749,'1',101,'N'),(28,7379757,'1',213,'N'),(28,7379757,'1A',212,'N'),(28,7379765,'1',415,'N'),(28,7379781,'1',109,'N'),(28,7379803,'1',601,'N'),(28,7379820,'1',319,'N'),(28,7379846,'1',319,'N'),(28,7379854,'1',207,'N'),(28,7379854,'1A',201,'N'),(28,7379870,'1',303,'N'),(28,7379889,'1',101,'N'),(28,7379897,'1',5,'N'),(28,7379919,'1',234,'N'),(28,7379927,'1',216,'N'),(28,7379927,'1A',202,'N'),(28,7379935,'1',319,'N'),(28,7379943,'1',103,'N'),(28,7379951,'1',320,'N'),(28,7379960,'1',426,'N'),(28,7379960,'1A',424,'N'),(28,7379978,'1',303,'N'),(28,7379994,'1',304,'N'),(28,7380011,'1',103,'N'),(28,7380020,'1',103,'N'),(28,7380038,'1',212,'N'),(28,7380038,'1A',201,'N'),(28,7380046,'1',211,'N'),(28,7380046,'1A',213,'N'),(28,7380054,'1',652,'N'),(28,7380054,'1A',653,'N'),(28,7380062,'1',207,'N'),(28,7380062,'1A',201,'N'),(28,7380070,'1',203,'N'),(28,7380070,'1A',235,'N'),(28,7380089,'1',301,'N'),(28,7380119,'1',999,'N'),(28,7380127,'1',104,'N'),(28,7380151,'1',301,'N'),(28,7380160,'1',214,'N'),(28,7380160,'1A',233,'N'),(28,7380186,'1',316,'N'),(28,7380208,'1',102,'N'),(28,7380224,'1',999,'N'),(28,7380232,'1',317,'N'),(28,7380240,'1',103,'N'),(28,7380259,'1',208,'N'),(28,7380267,'1',5,'N'),(28,7380291,'1',303,'N'),(28,7380305,'1',501,'N'),(28,7380313,'1',103,'N'),(28,7380321,'1',309,'N'),(28,7380356,'1',552,'N'),(28,7380372,'1',301,'N'),(28,7380399,'1',324,'N'),(28,7380402,'1',101,'N'),(28,7380429,'1',109,'N'),(28,7380445,'1',301,'N'),(28,7380453,'1',424,'N'),(28,7380453,'1A',425,'N'),(28,7380461,'1',308,'N'),(28,7380470,'1',103,'N'),(28,7380488,'1',319,'N'),(28,7380496,'1',5,'N'),(28,7380526,'1',101,'N'),(28,7380542,'1',103,'N'),(28,7380550,'1',103,'N'),(28,7380577,'1',216,'N'),(28,7380577,'1A',207,'N'),(28,7380585,'1',207,'N'),(28,7380585,'1A',201,'N'),(28,7380593,'1',225,'N'),(28,7380623,'1',320,'N'),(28,7380631,'1',415,'N'),(28,7380640,'1',103,'N'),(28,7380658,'1',317,'N'),(28,7380666,'1',303,'N'),(28,7380682,'1',302,'N'),(28,7380712,'1',214,'N'),(28,7380712,'1A',203,'N'),(28,7380739,'1',999,'N'),(28,7380747,'1',339,'N'),(28,7380755,'1',103,'N'),(28,7380763,'1',454,'N'),(28,7380801,'1',203,'N'),(28,7380801,'1A',214,'N'),(28,7380810,'1',208,'N'),(28,7380828,'1',999,'N'),(28,7380836,'1',103,'N'),(28,7380844,'1',444,'N'),(28,7380852,'1',203,'N'),(28,7380852,'1A',214,'N'),(28,7380860,'1',108,'N'),(28,7380879,'1',238,'N'),(28,7380895,'1',103,'N'),(28,7380909,'1',999,'N'),(28,7380925,'1',316,'N'),(28,7380941,'1',238,'N'),(28,7380941,'1A',220,'N'),(28,7380984,'1',310,'N'),(28,7381000,'1',207,'N'),(28,7381000,'1A',201,'N'),(28,7381018,'1',444,'N'),(28,7381026,'1',316,'N'),(28,7381042,'1',207,'N'),(28,7381042,'1A',201,'N'),(28,7381050,'1',213,'N'),(28,7381050,'1A',233,'N'),(28,7381069,'1',201,'N'),(28,7381069,'1A',207,'N'),(28,7381077,'1',316,'N'),(28,7381093,'1',109,'N'),(28,7381107,'1',5,'N'),(28,7381115,'1',653,'N'),(28,7381115,'1A',216,'N'),(28,7381131,'1',653,'N'),(28,7381131,'1A',207,'N'),(28,7381140,'1',5,'N'),(28,7381158,'1',444,'N'),(28,7381182,'1',103,'N'),(28,7381204,'1',103,'N'),(28,7381212,'1',316,'N'),(28,7381239,'1',225,'N'),(28,7381271,'1',224,'N'),(28,7381301,'1',234,'N'),(28,7381310,'1',653,'N'),(28,7381310,'1A',652,'N'),(28,7381328,'1',301,'N'),(28,7381336,'1',103,'N'),(28,7381344,'1',203,'N'),(28,7381344,'1A',214,'N'),(28,7381352,'1',317,'N'),(28,7381360,'1',404,'N'),(28,7381379,'1',238,'N'),(28,7381379,'1A',233,'N'),(28,7381409,'1',238,'N'),(28,7381409,'1A',211,'N'),(28,7381417,'1',238,'N'),(28,7381417,'1A',220,'N'),(28,7381433,'1',308,'N'),(28,7381441,'1',203,'N'),(28,7381441,'1A',214,'N'),(28,7381450,'1',501,'N'),(28,7381476,'1',340,'N'),(28,7381506,'1',601,'N'),(28,7381506,'1A',203,'N'),(28,7381514,'1',319,'N'),(28,7381530,'1',108,'N'),(28,7381549,'1',316,'N'),(28,7381557,'1',316,'N'),(28,7381565,'1',999,'N'),(28,7381581,'1',202,'N'),(28,7381581,'1A',238,'N'),(28,7381590,'1',999,'N'),(28,7381603,'1',103,'N'),(28,7381611,'1',316,'N'),(28,7381638,'1',9,'N'),(28,7381646,'1',212,'N'),(28,7381646,'1A',214,'N'),(28,7381654,'1',319,'N'),(28,7381670,'1',303,'N'),(28,7381689,'1',203,'N'),(28,7381689,'1A',220,'N'),(28,7381700,'1',340,'N'),(28,7381719,'1',225,'N'),(28,7381727,'1',108,'N'),(28,7381735,'1',340,'N'),(28,7381743,'1',224,'N'),(28,7381778,'1',201,'N'),(28,7381778,'1A',211,'N'),(28,7381786,'1',238,'N'),(28,7381786,'1A',220,'N'),(28,7381794,'1',425,'N'),(28,7381816,'1',999,'N'),(28,7381824,'1',601,'N'),(28,7381824,'1A',207,'N'),(28,7381832,'1',303,'N'),(28,7381867,'1',212,'N'),(28,7381867,'1A',216,'N'),(28,7381891,'1',301,'N'),(28,7381905,'1',201,'N'),(28,7381905,'1A',233,'N'),(28,7381913,'1',655,'N'),(28,7381913,'1A',202,'N'),(28,7381921,'1',222,'N'),(28,7381930,'1',444,'N'),(28,7381948,'1',103,'N'),(28,7381964,'1',426,'N'),(28,7381964,'1A',424,'N'),(28,7381972,'1',327,'N'),(28,7381980,'1',415,'N'),(28,7381999,'1',336,'N'),(28,7382006,'1',451,'N'),(28,7382022,'1',103,'N'),(28,7382030,'1',238,'N'),(28,7382030,'1A',235,'N'),(28,7382049,'1',5,'N'),(28,7382057,'1',104,'N'),(28,7382065,'1',332,'N'),(28,7382073,'1',415,'N'),(28,7382081,'1',451,'N'),(28,7382090,'1',109,'N'),(28,7382103,'1',501,'N'),(28,7382111,'1',104,'N'),(28,7382120,'1',103,'N'),(28,7382138,'1',301,'N'),(28,7382146,'1',653,'N'),(28,7382146,'1A',233,'N'),(28,7382162,'1',9,'N'),(28,7382189,'1',212,'N'),(28,7382189,'1A',201,'N'),(28,7382200,'1',551,'N'),(28,7382227,'1',601,'N'),(28,7382227,'1A',202,'N'),(28,7382235,'1',303,'N'),(28,7382243,'1',5,'N'),(28,7382251,'1',203,'N'),(28,7382251,'1A',202,'N'),(28,7382260,'1',303,'N'),(28,7382286,'1',203,'N'),(28,7382286,'1A',202,'N'),(28,7382294,'1',103,'N'),(28,7382308,'1',108,'N'),(28,7382324,'1',316,'N'),(28,7382332,'1',211,'N'),(28,7382332,'1A',207,'N'),(28,7382383,'1',104,'N'),(28,7382391,'1',103,'N'),(28,7382405,'1',425,'N'),(28,7382405,'1A',428,'N'),(28,7382413,'1',318,'N'),(28,7382421,'1',201,'N'),(28,7382421,'1A',207,'N'),(28,7382430,'1',319,'N'),(28,7382456,'1',103,'N'),(28,7382464,'1',108,'N'),(28,7382472,'1',444,'N'),(28,7382480,'1',108,'N'),(28,7382502,'1',320,'N'),(28,7382510,'1',302,'N'),(28,7382529,'1',317,'N'),(28,7382537,'1',999,'N'),(28,7382545,'1',303,'N'),(28,7382553,'1',108,'N'),(28,7382561,'1',103,'N'),(28,7382588,'1',326,'N'),(28,7382596,'1',214,'N'),(28,7382596,'1A',213,'N'),(28,7382600,'1',201,'N'),(28,7382600,'1A',233,'N'),(28,7382618,'1',415,'N'),(28,7382634,'1',110,'N'),(28,7382642,'1',109,'N'),(28,7382669,'1',304,'N'),(28,7382685,'1',202,'N'),(28,7382685,'1A',653,'N'),(28,7382693,'1',103,'N'),(28,7382731,'1',201,'N'),(28,7382740,'1',103,'N'),(28,7382774,'1',340,'N'),(28,7382782,'1',103,'N'),(28,7382790,'1',999,'N'),(28,7382804,'1',212,'N'),(28,7382804,'1A',653,'N'),(28,7382812,'1',316,'N'),(28,7382820,'1',316,'N'),(28,7382839,'1',103,'N'),(28,7382847,'1',336,'N'),(28,7382855,'1',319,'N'),(28,7382863,'1',303,'N'),(28,7382871,'1',303,'N'),(28,7382880,'1',654,'N'),(28,7382898,'1',601,'N'),(28,7382898,'1A',238,'N'),(28,7382901,'1',234,'N'),(28,7382910,'1',426,'N'),(28,7382910,'1A',428,'N'),(28,7382928,'1',5,'N'),(28,7382936,'1',216,'N'),(28,7382936,'1A',203,'N'),(28,7382944,'1',238,'N'),(28,7382944,'1A',202,'N'),(28,7382952,'1',454,'N'),(28,7382960,'1',999,'N'),(28,7382987,'1',216,'N'),(28,7382987,'1A',215,'N'),(28,7383002,'1',319,'N'),(28,7383010,'1',215,'N'),(28,7383010,'1A',233,'N'),(28,7383037,'1',310,'N'),(28,7383045,'1',335,'N'),(28,7383061,'1',319,'N'),(28,7383070,'1',233,'N'),(28,7383070,'1A',211,'N'),(28,7383088,'1',404,'N'),(28,7383096,'1',213,'N'),(28,7383096,'1A',214,'N'),(28,7383100,'1',202,'N'),(28,7383100,'1A',238,'N'),(28,7383118,'1',103,'N'),(28,7383126,'1',103,'N'),(28,7383134,'1',220,'N'),(28,7383134,'1A',652,'N'),(28,7383142,'1',108,'N'),(28,7383177,'1',103,'N'),(28,7383185,'1',201,'N'),(28,7383185,'1A',202,'N'),(28,7383207,'1',318,'N'),(28,7383231,'1',320,'N'),(28,7383258,'1',415,'N'),(28,7383274,'1',207,'N'),(28,7383274,'1A',201,'N'),(28,7383282,'1',203,'N'),(28,7383282,'1A',214,'N');
/*!40000 ALTER TABLE opcao_candidato ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `disciplina_prova`
--

DROP TABLE IF EXISTS disciplina_prova;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE disciplina_prova (
  id_evento smallint(6) NOT NULL,
  id_prova tinyint(4) NOT NULL,
  id_disciplina tinyint(4) NOT NULL,
  nome_disciplina varchar(40) NOT NULL,
  numero_questoes_subjetivas smallint(6) DEFAULT NULL,
  numero_questoes_objetivas smallint(6) DEFAULT NULL,
  acerto_minimo decimal(5,2) DEFAULT NULL,
  media_minima decimal(5,2) DEFAULT NULL,
  media_disciplina decimal(5,2) DEFAULT NULL,
  numero_questao_inicial tinyint(4) DEFAULT NULL,
  numero_questao_final tinyint(4) DEFAULT NULL,
  media_disciplina_aprovados decimal(5,2) DEFAULT NULL,
  PRIMARY KEY (id_evento,id_prova,id_disciplina),
  CONSTRAINT fk_disciplina_prova_evento FOREIGN KEY (id_evento) REFERENCES `evento` (id_evento)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `disciplina_prova`
--

LOCK TABLES disciplina_prova WRITE;
/*!40000 ALTER TABLE disciplina_prova DISABLE KEYS */;
INSERT INTO disciplina_prova VALUES (15,1,4,'LÍNGUA ESTRANGEIRA',NULL,10,NULL,NULL,5.39,11,20,6.98),(15,1,5,'LÍNGUA PORTUGUESA',NULL,10,3.00,NULL,6.64,1,10,7.78),(15,1,6,'REDAÇÃO',10,NULL,NULL,3.00,5.52,21,21,6.00),(15,1,10,'QUESTÃO DISCURSIVA 1',1,NULL,NULL,NULL,0.30,22,22,0.47),(15,2,1,'BIOLOGIA',NULL,10,NULL,NULL,3.94,1,10,5.22),(15,2,2,'GEOGRAFIA',NULL,10,NULL,NULL,6.55,11,20,7.66),(15,2,3,'MATEMÁTICA',NULL,10,NULL,NULL,4.43,21,30,5.98),(15,2,11,'QUESTÃO DISCURSIVA 2',1,NULL,NULL,NULL,0.68,31,31,0.81),(15,3,7,'FÍSICA',NULL,10,NULL,NULL,5.21,1,10,6.61),(15,3,8,'HISTÓRIA',NULL,10,NULL,NULL,5.47,11,20,6.77),(15,3,9,'QUÍMICA',NULL,10,NULL,NULL,3.84,21,30,4.95),(15,3,12,'QUESTÃO DISCURSIVA 3',1,NULL,NULL,NULL,1.08,31,31,1.27),(16,1,4,'LÍNGUA ESTRANGEIRA',NULL,10,NULL,NULL,5.95,11,20,7.38),(16,1,5,'LÍNGUA PORTUGUESA',NULL,10,4.00,NULL,5.21,1,10,6.64),(16,1,6,'REDAÇÃO',10,NULL,NULL,4.00,5.66,21,21,5.92),(16,1,10,'QUESTÃO DISCURSIVA 1',1,NULL,NULL,NULL,0.97,22,22,1.04),(16,2,1,'BIOLOGIA',NULL,10,NULL,NULL,4.98,1,10,6.19),(16,2,2,'GEOGRAFIA',NULL,10,NULL,NULL,5.13,11,20,6.60),(16,2,3,'MATEMÁTICA',NULL,10,NULL,NULL,4.02,21,30,5.11),(16,2,11,'QUESTÃO DISCURSIVA 2',1,NULL,NULL,NULL,0.92,31,31,1.07),(16,3,7,'FÍSICA',NULL,10,NULL,NULL,3.48,1,10,4.35),(16,3,8,'HISTÓRIA',NULL,10,NULL,NULL,5.69,11,20,7.13),(16,3,9,'QUÍMICA',NULL,10,NULL,NULL,4.62,21,30,5.72),(16,3,12,'QUESTÃO DISCURSIVA 3',1,NULL,NULL,NULL,0.64,31,31,0.76),(20,1,1,'BIOLOGIA',NULL,10,NULL,NULL,5.66,31,40,6.65),(20,1,3,'MATEMATICA',NULL,10,NULL,NULL,3.05,21,30,3.98),(20,1,4,'LÍNGUA ESTRANGEIRA',NULL,8,NULL,NULL,5.24,13,20,5.99),(20,1,5,'LÍNGUA PORTUGUESA',NULL,12,4.00,NULL,6.60,1,12,7.80),(20,2,2,'GEOGRAFIA',NULL,10,NULL,NULL,5.99,11,20,6.82),(20,2,7,'FÍSICA',NULL,10,NULL,NULL,2.99,21,30,3.82),(20,2,8,'HISTÓRIA',NULL,10,NULL,NULL,3.66,1,10,4.52),(20,2,9,'QUÍMICA',NULL,10,NULL,NULL,4.87,31,40,5.78),(20,3,6,'REDAÇÃO',15,NULL,NULL,6.00,8.64,1,1,8.40),(20,3,10,'QUESTÃO DISCURSIVA 1',1,NULL,NULL,NULL,1.80,2,2,1.79),(20,3,11,'QUESTÃO DISCURSIVA 2',1,NULL,NULL,NULL,1.41,3,3,1.40),(20,3,12,'QUESTÃO DISCURSIVA 3',1,NULL,NULL,NULL,0.71,4,4,0.75),(20,3,13,'QUESTÃO DISCURSIVA 4',1,NULL,NULL,NULL,0.94,5,5,0.94),(20,3,14,'QUESTÃO DISCURSIVA 5',1,NULL,NULL,NULL,1.14,6,6,1.13),(20,3,15,'QUESTÃO DISCURSIVA 6',1,NULL,NULL,NULL,1.68,7,7,1.67),(25,1,1,'BIOLOGIA',NULL,10,NULL,NULL,4.76,31,40,5.40),(25,1,3,'MATEMATICA',NULL,10,NULL,NULL,2.88,21,30,3.57),(25,1,4,'LÍNGUA ESTRANGEIRA',NULL,8,NULL,NULL,4.63,13,20,5.31),(25,1,5,'LÍNGUA PORTUGUESA',NULL,12,3.00,NULL,6.80,1,12,7.61),(25,2,2,'GEOGRAFIA',NULL,10,NULL,NULL,5.32,11,20,6.04),(25,2,7,'FÍSICA',NULL,10,NULL,NULL,2.32,21,30,2.82),(25,2,8,'HISTÓRIA',NULL,10,NULL,NULL,4.18,1,10,5.19),(25,2,9,'QUÍMICA',NULL,10,NULL,NULL,3.82,31,40,4.55),(25,3,6,'REDAÇÃO',15,NULL,NULL,4.50,8.41,1,1,8.68),(25,3,10,'QUESTÃO DISCURSIVA 1',1,NULL,0.00,NULL,0.38,2,2,0.50),(25,3,11,'QUESTÃO DISCURSIVA 2',1,NULL,0.00,NULL,0.89,3,3,1.00),(25,3,12,'QUESTÃO DISCURSIVA 3',1,NULL,0.00,NULL,0.35,4,4,0.37),(25,3,13,'QUESTÃO DISCURSIVA 4',1,NULL,0.00,NULL,0.65,5,5,0.79),(28,1,1,'BIOLOGIA',NULL,10,NULL,NULL,3.04,31,40,3.82),(28,1,3,'MATEMATICA',NULL,10,NULL,NULL,2.67,21,30,3.03),(28,1,4,'SEGUNDA LÍNGUA',NULL,8,NULL,NULL,5.45,13,20,6.01),(28,1,5,'LÍNGUA PORTUGUESA',NULL,12,3.00,NULL,6.22,1,12,7.23),(28,2,2,'GEOGRAFIA',NULL,10,NULL,NULL,5.97,11,20,6.68),(28,2,7,'FÍSICA',NULL,10,NULL,NULL,3.20,21,30,3.86),(28,2,8,'HISTÓRIA',NULL,10,NULL,NULL,5.12,1,10,5.80),(28,2,9,'QUÍMICA',NULL,10,NULL,NULL,3.79,31,40,4.48),(28,3,6,'REDAÇÃO',15,NULL,NULL,4.50,8.03,1,1,8.52),(28,3,10,'QUESTÃO DISCURSIVA 1',1,NULL,0.00,NULL,0.50,2,2,0.60),(28,3,11,'QUESTÃO DISCURSIVA 2',1,NULL,0.00,NULL,0.63,3,3,0.73),(28,3,12,'QUESTÃO DISCURSIVA 3',1,NULL,0.00,NULL,1.17,4,4,1.28),(28,3,13,'QUESTÃO DISCURSIVA 4',1,NULL,0.00,NULL,0.15,5,5,0.22);
/*!40000 ALTER TABLE disciplina_prova ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lingua_estrangeira`
--

DROP TABLE IF EXISTS lingua_estrangeira;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE lingua_estrangeira (
  id_evento smallint(6) NOT NULL,
  id_lingua tinyint(4) NOT NULL,
  descricao_lingua varchar(10) DEFAULT NULL,
  media_lingua decimal(5,2) DEFAULT NULL,
  qtidade_questoes tinyint(4) DEFAULT NULL,
  media_aprovados decimal(5,2) DEFAULT NULL,
  id_prova tinyint(4) DEFAULT NULL,
  id_disciplina tinyint(4) DEFAULT NULL,
  PRIMARY KEY (id_evento,id_lingua),
  KEY fk_lingua_estrangeira_disc_prova (id_evento,id_prova,id_disciplina),
  CONSTRAINT fk_lingua_estrangeira_evento FOREIGN KEY (id_evento) REFERENCES `evento` (id_evento),
  CONSTRAINT fk_lingua_estrangeira_disc_prova FOREIGN KEY (id_evento, id_prova, id_disciplina) REFERENCES disciplina_prova (id_evento, id_prova, id_disciplina)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lingua_estrangeira`
--

LOCK TABLES lingua_estrangeira WRITE;
/*!40000 ALTER TABLE lingua_estrangeira DISABLE KEYS */;
INSERT INTO lingua_estrangeira VALUES (15,1,'ALEMÃO',6.46,10,7.60,1,4),(15,2,'ESPANHOL',5.38,10,6.39,1,4),(15,3,'FRANCÊS',7.74,10,8.79,1,4),(15,4,'INGLÊS',5.36,10,7.31,1,4),(15,5,'ITALIANO',6.81,10,8.04,1,4),(16,1,'ALEMÃO',5.88,10,6.84,1,4),(16,2,'ESPANHOL',6.04,10,7.09,1,4),(16,3,'FRANCÊS',8.30,10,8.85,1,4),(16,4,'INGLÊS',5.84,10,7.55,1,4),(16,5,'ITALIANO',7.35,10,8.18,1,4),(20,1,'ALEMÃO',4.87,8,5.74,1,4),(20,2,'ESPANHOL',4.50,8,4.93,1,4),(20,3,'FRANCÊS',6.35,8,6.85,1,4),(20,4,'INGLÊS',5.77,8,6.61,1,4),(20,5,'ITALIANO',5.63,8,6.53,1,4),(25,1,'ALEMÃO',5.86,8,6.18,1,4),(25,2,'ESPANHOL',4.20,8,4.68,1,4),(25,3,'FRANCÊS',4.98,8,5.53,1,4),(25,4,'INGLÊS',4.92,8,5.70,1,4),(25,5,'ITALIANO',5.77,8,6.09,1,4),(28,1,'ALEMÃO',5.16,8,6.19,1,4),(28,2,'ESPANHOL',5.35,8,5.86,1,4),(28,3,'FRANCÊS',6.11,8,6.71,1,4),(28,4,'INGLÊS',5.54,8,6.11,1,4),(28,5,'ITALIANO',5.44,8,5.39,1,4),(28,6,'LIBRAS',3.23,8,3.93,1,4);
/*!40000 ALTER TABLE lingua_estrangeira ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `raca`
--

DROP TABLE IF EXISTS raca;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE raca (
  id_raca tinyint(4) NOT NULL,
  nome_raca varchar(10) NOT NULL,
  PRIMARY KEY (id_raca)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `raca`
--

LOCK TABLES raca WRITE;
/*!40000 ALTER TABLE raca DISABLE KEYS */;
INSERT INTO raca VALUES (1,'BRANCA'),(2,'PRETA'),(3,'AMARELA'),(4,'PARDA'),(5,'INDÍGENA');
/*!40000 ALTER TABLE raca ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `curso`
--

DROP TABLE IF EXISTS curso;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE curso (
  id_evento smallint(6) NOT NULL,
  id_curso smallint(6) NOT NULL,
  nome_curso varchar(60) DEFAULT NULL,
  id_area smallint(6) DEFAULT NULL,
  numero_vagas smallint(6) DEFAULT NULL,
  vagas_ocupadas smallint(6) DEFAULT NULL,
  id_centro smallint(6) DEFAULT NULL,
  opcao1a char(1) DEFAULT NULL,
  nome_abreviado varchar(40) DEFAULT NULL,
  PRIMARY KEY (id_evento,id_curso),
  KEY fk_curso_area_curso (id_area),
  KEY fk_curso_centro_curso (id_centro),
  CONSTRAINT fk_curso_evento FOREIGN KEY (id_evento) REFERENCES `evento` (id_evento),
  CONSTRAINT fk_curso_area_curso FOREIGN KEY (id_area) REFERENCES area_curso (id_area),
  CONSTRAINT fk_curso_centro_curso FOREIGN KEY (id_centro) REFERENCES centro_curso (id_centro)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `curso`
--

LOCK TABLES curso WRITE;
/*!40000 ALTER TABLE curso DISABLE KEYS */;
INSERT INTO curso VALUES (15,2,'FÍSICA - BACHARELADO - DIURNO',1,45,45,9,'N','FÍSICA - BACHARELADO - DIURNO'),(15,5,'DIREITO - NOTURNO',3,80,80,4,'N','DIREITO - NOTURNO'),(15,9,'NUTRIÇÃO',2,40,40,1,'N','NUTRIÇÃO'),(15,101,'ENFERMAGEM',2,70,70,1,'N','ENFERMAGEM'),(15,102,'FARMÁCIA',2,120,120,1,'N','FARMÁCIA'),(15,103,'MEDICINA',2,100,100,1,'N','MEDICINA'),(15,104,'ODONTOLOGIA',2,90,90,1,'N','ODONTOLOGIA'),(15,108,'CIÊNCIAS BIOLÓGICAS - BEL/LIC',2,60,60,8,'N','CIÊNCIAS BIOLÓGICAS'),(15,201,'ENGENHARIA CIVIL',1,100,100,6,'S','ENGENHARIA CIVIL'),(15,202,'ENGENHARIA ELÉTRICA',1,100,100,6,'S','ENGENHARIA ELÉTRICA'),(15,203,'ENGENHARIA MECÂNICA',1,100,100,6,'S','ENGENHARIA MECÂNICA'),(15,207,'ARQUITETURA E URBANISMO',1,80,80,6,'S','ARQUITETURA E URBANISMO'),(15,208,'CIÊNCIAS DA COMPUTAÇÃO',1,100,100,6,'S','CIÊNCIAS DA COMPUTAÇÃO'),(15,211,'ENGENHARIA SANITÁRIA E AMBIENTAL',1,80,80,6,'S','ENGENHARIA SANITÁRIA E AMBIENTAL'),(15,212,'ENGENHARIA DE PRODUÇÃO CIVIL',1,40,40,6,'S','ENGENHARIA DE PRODUÇÃO CIVIL'),(15,213,'ENGENHARIA DE PRODUÇÃO ELÉTRICA',1,40,40,6,'S','ENGENHARIA DE PRODUÇÃO ELÉTRICA'),(15,214,'ENGENHARIA DE PRODUÇÃO MECÂNICA',1,40,40,6,'S','ENGENHARIA DE PRODUÇÃO MECÂNICA'),(15,215,'ENGENHARIA DE ALIMENTOS',2,45,45,6,'S','ENGENHARIA DE ALIMENTOS'),(15,216,'ENGENHARIA QUÍMICA',1,45,45,6,'S','ENGENHARIA QUÍMICA'),(15,217,'QUÍMICA - BEL/LIC',2,80,80,9,'N','QUÍMICA'),(15,220,'ENG. DE CONTROLE E AUTOMAÇÃO',1,60,60,6,'S','ENG. DE CONTROLE E AUTOMAÇÃO'),(15,222,'MATEMÁTICA E COMPUTAÇÃO CIENTÍFICA - BEL',1,30,30,9,'N','MATEMÁTICA E COMPUT. CIENTÍFICA'),(15,223,'MATEMÁTICA - LICENCIATURA - DIURNO',1,65,65,9,'N','MATEMÁTICA - LICENC. - DIURNO'),(15,224,'MATEMÁTICA - LICENCIATURA - NOTURNO',1,40,40,9,'N','MATEMÁTICA - LICENCIATURA - NOT.'),(15,225,'FÍSICA - LICENCIATURA - NOTURNO',1,65,65,9,'N','FÍSICA - LICENCIATURA - NOTURNO'),(15,233,'ENGENHARIA DE MATERIAIS',1,60,60,6,'S','ENGENHARIA DE MATERIAIS'),(15,234,'ENGENHARIA DE AQÜICULTURA',2,60,60,7,'N','ENGENHARIA DE AQÜICULTURA'),(15,238,'SISTEMAS DE INFORMAÇÃO - NOTURNO',1,100,100,6,'S','SISTEMAS DE INFORMAÇÃO - NOTURNO'),(15,301,'ADMINISTRAÇÃO - DIURNO',3,90,90,5,'N','ADMINISTRAÇÃO - DIURNO'),(15,302,'CIÊNCIAS CONTÁBEIS - DIURNO',3,80,80,5,'N','CIÊNCIAS CONTÁBEIS - DIURNO'),(15,303,'DIREITO - DIURNO',3,80,80,4,'N','DIREITO - DIURNO'),(15,304,'CIÊNCIAS ECONÔMICAS - DIURNO',3,90,90,5,'N','CIÊNCIAS ECONÔMICAS - DIURNO'),(15,308,'PEDAGOGIA',3,100,100,3,'N','PEDAGOGIA'),(15,309,'SERVIÇO SOCIAL - DIURNO',3,80,80,5,'N','SERVIÇO SOCIAL - DIURNO'),(15,310,'CIÊNCIAS SOCIAIS - DIURNO - BEL/LIC',3,40,40,10,'N','CIÊNCIAS SOCIAIS - DIURNO'),(15,316,'ADMINISTRAÇÃO - NOTURNO',3,90,90,5,'N','ADMINISTRAÇÃO - NOTURNO'),(15,317,'CIÊNCIAS CONTÁBEIS - NOTURNO',3,80,80,5,'N','CIÊNCIAS CONTÁBEIS - NOTURNO'),(15,318,'CIÊNCIAS ECONÔMICAS - NOTURNO',3,90,90,5,'N','CIÊNCIAS ECONÔMICAS - NOTURNO'),(15,319,'PSICOLOGIA - BEL/LIC - PSICÓLOGO',3,80,80,10,'N','PSICOLOGIA'),(15,320,'CIÊNCIAS SOCIAIS - NOTURNO - BEL/LIC',3,40,40,10,'N','CIÊNCIAS SOCIAIS - NOTURNO'),(15,324,'BIBLIOTECONOMIA - NOTURNO',3,80,80,3,'N','BIBLIOTECONOMIA - NOTURNO'),(15,326,'HISTÓRIA - DIURNO - BEL/LIC',3,45,45,10,'N','HISTÓRIA - DIURNO'),(15,327,'HISTÓRIA - NOTURNO - BEL/LIC',3,45,45,10,'N','HISTÓRIA - NOTURNO'),(15,328,'FILOSOFIA - VESPERTINO/NOTURNO - BEL/LIC',3,35,35,10,'N','FILOSOFIA - VESPERTINO/NOTURNO'),(15,329,'FILOSOFIA - NOTURNO - BEL/LIC',3,35,35,10,'N','FILOSOFIA - NOTURNO'),(15,331,'GEOGRAFIA - DIURNO - BEL/LIC',3,40,40,10,'N','GEOGRAFIA - DIURNO'),(15,332,'GEOGRAFIA - NOTURNO - BEL/LIC',3,40,40,10,'N','GEOGRAFIA - NOTURNO'),(15,333,'OCEANOGRAFIA',2,30,30,8,'N','OCEANOGRAFIA'),(15,339,'SERVIÇO SOCIAL - NOTURNO',3,60,60,5,'N','SERVIÇO SOCIAL - NOTURNO'),(15,404,'EDUCAÇÃO FÍSICA - LICENCIATURA',3,60,60,2,'N','EDUCAÇÃO FÍSICA - LICENCIATURA'),(15,415,'JORNALISMO',3,60,60,11,'N','JORNALISMO'),(15,420,'DESIGN',3,60,60,11,'N','DESIGN'),(15,421,'LETRAS-LING. ALEMÃ E LITERAT. LING. ALEMÃ - BEL/LIC - DIURNO',3,40,40,11,'S','LETRAS - LÍNGUA ALEMÃ'),(15,423,'LETRAS-LING. ESPANHOLA E LITERAT.LING. ESPANHOLA - BEL/LIC',3,40,40,11,'S','LETRAS - LÍNGUA ESPANHOLA'),(15,424,'LETRAS-LING. FRANCESA E LITERAT.LING. FRANCESA - BEL/LIC',3,40,40,11,'S','LETRAS - LÍNGUA FRANCESA'),(15,425,'LETRAS-LING. INGLESA E LITERAT.LING. INGLESA - BEL/LIC',3,40,40,11,'S','LETRAS - LÍNGUA INGLESA'),(15,426,'LETRAS-LING.PORT. E LITERAT.DE LING.PORT.-BEL/LIC - NOTURNO',3,40,40,11,'S','LETRAS - LÍNGUA PORTUGUESA - NOT.'),(15,427,'LETRAS-LING.ITALIANA E LITERAT.DE LING.ITALIANA - BEL/LIC',3,40,40,11,'S','LETRAS - LÍNGUA ITALIANA'),(15,428,'LETRAS-LING.PORTUGUESA E LITERAT.DE LING.PORTUGUESA-BEL/LIC',3,80,80,11,'S','LETRAS - LÍNGUA PORTUGUESA'),(15,429,'LETRAS-SECRETARIADO EXECUTIVO INGLÊS BEL - NOTURNO',3,40,40,11,'S','LETRAS - SECRETARIADO EXEC. INGLÊS'),(15,444,'EDUCAÇÃO FÍSICA - BACHARELADO',3,60,60,2,'N','EDUCAÇÃO FÍSICA - BACHARELADO'),(15,450,'CINEMA-HAB.TEORIA E CRÍTICA E ROTEIROS-BEL DIURNO',3,30,30,11,'N','CINEMA'),(15,451,'ARTES CÊNICAS - HAB. EM TEATRO - BEL. - NOTURNO',3,30,30,11,'N','ARTES CÊNICAS - HAB. EM TEATRO'),(15,501,'AGRONOMIA',2,90,90,7,'N','AGRONOMIA'),(15,502,'ZOOTECNIA',2,60,60,7,'N','ZOOTECNIA'),(16,2,'FÍSICA - BACHARELADO - DIURNO',1,55,55,9,'N','FÍSICA - BACHARELADO - DIURNO'),(16,3,'QUÍMICA - BEL/BEL EM QUÍMICA TECNOLÓGICA - DIURNO',2,80,80,9,'N','QUÍMICA - BEL.'),(16,5,'DIREITO - NOTURNO',3,90,90,4,'N','DIREITO - NOTURNO'),(16,9,'NUTRIÇÃO',2,45,45,1,'N','NUTRIÇÃO'),(16,101,'ENFERMAGEM',2,75,75,1,'N','ENFERMAGEM'),(16,102,'FARMÁCIA',2,130,130,1,'N','FARMÁCIA'),(16,103,'MEDICINA',2,100,100,1,'N','MEDICINA'),(16,104,'ODONTOLOGIA',2,100,100,1,'N','ODONTOLOGIA'),(16,108,'CIÊNCIAS BIOLÓGICAS - BEL/LIC',2,80,80,8,'N','CIÊNCIAS BIOLÓGICAS'),(16,201,'ENGENHARIA CIVIL',1,110,110,6,'S','ENGENHARIA CIVIL'),(16,202,'ENGENHARIA ELÉTRICA',1,100,100,6,'S','ENGENHARIA ELÉTRICA'),(16,203,'ENGENHARIA MECÂNICA',1,110,110,6,'S','ENGENHARIA MECÂNICA'),(16,205,'QUÍMICA - LICENCIATURA - DIURNO',2,40,19,9,'N','QUÍMICA - LIC.'),(16,207,'ARQUITETURA E URBANISMO',1,80,80,6,'S','ARQUITETURA E URBANISMO'),(16,208,'CIÊNCIAS DA COMPUTAÇÃO',1,100,100,6,'S','CIÊNCIAS DA COMPUTAÇÃO'),(16,211,'ENGENHARIA SANITÁRIA E AMBIENTAL',1,90,90,6,'S','ENGENHARIA SANITÁRIA E AMBIENTAL'),(16,212,'ENGENHARIA DE PRODUÇÃO CIVIL',1,40,40,6,'S','ENGENHARIA DE PRODUÇÃO CIVIL'),(16,213,'ENGENHARIA DE PRODUÇÃO ELÉTRICA',1,40,40,6,'S','ENGENHARIA DE PRODUÇÃO ELÉTRICA'),(16,214,'ENGENHARIA DE PRODUÇÃO MECÂNICA',1,40,40,6,'S','ENGENHARIA DE PRODUÇÃO MECÂNICA'),(16,215,'ENGENHARIA DE ALIMENTOS',2,50,50,6,'S','ENGENHARIA DE ALIMENTOS'),(16,216,'ENGENHARIA QUÍMICA',1,50,50,6,'S','ENGENHARIA QUÍMICA'),(16,220,'ENG. DE CONTROLE E AUTOMAÇÃO',1,72,72,6,'S','ENG. DE CONTROLE E AUTOMAÇÃO'),(16,222,'MATEMÁTICA E COMPUTAÇÃO CIENTÍFICA - BEL',1,40,27,9,'N','MATEMÁTICA E COMPUT. CIENTÍFICA'),(16,223,'MATEMÁTICA - LICENCIATURA - DIURNO',1,65,55,9,'N','MATEMÁTICA - LICENC. - DIURNO'),(16,224,'MATEMÁTICA - LICENCIATURA - NOTURNO',1,40,35,9,'N','MATEMÁTICA - LICENCIATURA - NOT.'),(16,225,'FÍSICA - LICENCIATURA - NOTURNO',1,75,62,9,'N','FÍSICA - LICENCIATURA - NOTURNO'),(16,233,'ENGENHARIA DE MATERIAIS',1,70,70,6,'S','ENGENHARIA DE MATERIAIS'),(16,234,'ENGENHARIA DE AQÜICULTURA',2,70,70,7,'N','ENGENHARIA DE AQÜICULTURA'),(16,238,'SISTEMAS DE INFORMAÇÃO - NOTURNO',1,100,100,6,'S','SISTEMAS DE INFORMAÇÃO - NOTURNO'),(16,301,'ADMINISTRAÇÃO - DIURNO',3,100,100,5,'N','ADMINISTRAÇÃO - DIURNO'),(16,302,'CIÊNCIAS CONTÁBEIS - DIURNO',3,90,90,5,'N','CIÊNCIAS CONTÁBEIS - DIURNO'),(16,303,'DIREITO - DIURNO',3,90,90,4,'N','DIREITO - DIURNO'),(16,304,'CIÊNCIAS ECONÔMICAS - DIURNO',3,90,90,5,'N','CIÊNCIAS ECONÔMICAS - DIURNO'),(16,308,'PEDAGOGIA',3,100,98,3,'N','PEDAGOGIA'),(16,309,'SERVIÇO SOCIAL - DIURNO',3,80,80,5,'N','SERVIÇO SOCIAL - DIURNO'),(16,310,'CIÊNCIAS SOCIAIS - DIURNO - BEL/LIC',3,42,42,10,'N','CIÊNCIAS SOCIAIS - DIURNO'),(16,316,'ADMINISTRAÇÃO - NOTURNO',3,100,100,5,'N','ADMINISTRAÇÃO - NOTURNO'),(16,317,'CIÊNCIAS CONTÁBEIS - NOTURNO',3,90,90,5,'N','CIÊNCIAS CONTÁBEIS - NOTURNO'),(16,318,'CIÊNCIAS ECONÔMICAS - NOTURNO',3,90,90,5,'N','CIÊNCIAS ECONÔMICAS - NOTURNO'),(16,319,'PSICOLOGIA - BEL/LIC - PSICÓLOGO',3,90,90,10,'N','PSICOLOGIA'),(16,320,'CIÊNCIAS SOCIAIS - NOTURNO - BEL/LIC',3,48,48,10,'N','CIÊNCIAS SOCIAIS - NOTURNO'),(16,324,'BIBLIOTECONOMIA - NOTURNO',3,80,47,3,'N','BIBLIOTECONOMIA - NOTURNO'),(16,326,'HISTÓRIA - DIURNO - BEL/LIC',3,45,45,10,'N','HISTÓRIA - DIURNO'),(16,327,'HISTÓRIA - NOTURNO - BEL/LIC',3,45,45,10,'N','HISTÓRIA - NOTURNO'),(16,328,'FILOSOFIA - VESPERTINO/NOTURNO - BEL/LIC',3,37,37,10,'N','FILOSOFIA - VESPERTINO/NOTURNO'),(16,329,'FILOSOFIA - NOTURNO - BEL/LIC',3,37,37,10,'N','FILOSOFIA - NOTURNO'),(16,331,'GEOGRAFIA - DIURNO - BEL/LIC',3,40,40,10,'N','GEOGRAFIA - DIURNO'),(16,332,'GEOGRAFIA - NOTURNO - BEL/LIC',3,40,40,10,'N','GEOGRAFIA - NOTURNO'),(16,333,'OCEANOGRAFIA',2,30,30,8,'N','OCEANOGRAFIA'),(16,339,'SERVIÇO SOCIAL - NOTURNO',3,60,51,5,'N','SERVIÇO SOCIAL - NOTURNO'),(16,340,'RELAÇÕES INTERNACIONAIS',3,80,80,5,'N','RELAÇÕES INTERNACIONAIS'),(16,404,'EDUCAÇÃO FÍSICA - LICENCIATURA',3,60,60,2,'N','EDUCAÇÃO FÍSICA - LICENCIATURA'),(16,415,'JORNALISMO',3,60,60,11,'N','JORNALISMO'),(16,420,'DESIGN - HABILITAÇÃO DESIGN GRÁFICO - DIURNO',3,40,40,11,'N','DESIGN GRÁFICO'),(16,421,'LETRAS-LING. ALEMÃ E LITERAT. LING. ALEMÃ - BEL/LIC - DIURNO',3,40,40,11,'S','LETRAS - LÍNGUA ALEMÃ'),(16,423,'LETRAS-LING. ESPANHOLA E LITERAT.LING. ESPANHOLA - BEL/LIC',3,40,40,11,'S','LETRAS - LÍNGUA ESPANHOLA'),(16,424,'LETRAS-LING. FRANCESA E LITERAT.LING. FRANCESA - BEL/LIC',3,40,40,11,'S','LETRAS - LÍNGUA FRANCESA'),(16,425,'LETRAS-LING. INGLESA E LITERAT.LING. INGLESA - BEL/LIC',3,40,40,11,'S','LETRAS - LÍNGUA INGLESA'),(16,426,'LETRAS-LING.PORT. E LITERAT.DE LING.PORT.-BEL/LIC - NOTURNO',3,40,40,11,'S','LETRAS - LÍNGUA PORTUGUESA - NOT.'),(16,427,'LETRAS-LING.ITALIANA E LITERAT.DE LING.ITALIANA - BEL/LIC',3,40,25,11,'S','LETRAS - LÍNGUA ITALIANA'),(16,428,'LETRAS-LING.PORTUGUESA E LITERAT.DE LING.PORTUGUESA-BEL/LIC',3,80,80,11,'S','LETRAS - LÍNGUA PORTUGUESA'),(16,429,'LETRAS-SECRETARIADO EXECUTIVO INGLÊS BEL - NOTURNO',3,40,40,11,'S','LETRAS - SECRETARIADO EXEC. INGLÊS'),(16,444,'EDUCAÇÃO FÍSICA - BACHARELADO',3,60,60,2,'N','EDUCAÇÃO FÍSICA - BACHARELADO'),(16,450,'CINEMA-HAB.TEORIA E CRÍTICA E ROTEIROS-BEL DIURNO',3,30,30,11,'N','CINEMA'),(16,451,'ARTES CÊNICAS - HAB. EM TEATRO - BEL. - NOTURNO',3,30,30,11,'N','ARTES CÊNICAS - HAB. EM TEATRO'),(16,452,'DESIGN - HABILITAÇÃO DESIGN DE PRODUTO - DIURNO',3,40,40,11,'N','DESIGN DE PRODUTO'),(16,453,'DESIGN - HABILITAÇÃO DESIGN DE ANIMAÇÃO - DIURNO',3,40,40,11,'N','DESIGN DE ANIMAÇÃO'),(16,501,'AGRONOMIA',2,100,100,7,'N','AGRONOMIA'),(16,502,'ZOOTECNIA',2,60,60,7,'N','ZOOTECNIA'),(16,503,'CIÊNCIA E TECNOLOGIA AGROALIMENTAR - DIURNO',2,60,60,7,'N','CIÊNCIA E TECNOL. AGROALIMENTAR - DIURNO'),(20,2,'FÍSICA - BACHARELADO - DIURNO',1,55,55,9,'N','FÍSICA - BACHARELADO - DIURNO'),(20,3,'QUÍMICA - BEL/BEL EM QUÍMICA TECNOLÓGICA - DIURNO',2,80,80,9,'N','QUÍMICA - BEL.'),(20,5,'DIREITO - NOTURNO',3,90,90,4,'N','DIREITO - NOTURNO'),(20,9,'NUTRIÇÃO',2,45,45,1,'N','NUTRIÇÃO'),(20,101,'ENFERMAGEM',2,75,75,1,'N','ENFERMAGEM'),(20,102,'FARMÁCIA',2,130,130,1,'N','FARMÁCIA'),(20,103,'MEDICINA',2,100,100,1,'N','MEDICINA'),(20,104,'ODONTOLOGIA',2,100,100,1,'N','ODONTOLOGIA'),(20,108,'CIÊNCIAS BIOLÓGICAS - BEL/LIC',2,80,80,8,'N','CIÊNCIAS BIOLÓGICAS'),(20,109,'FONOAUDIOLOGIA - NOTURNO  C/ ATIV. COMPL. NO PER. VESPERTINO',3,80,51,11,'N','FONOAUDIOLOGIA - NOTURNO'),(20,110,'CIÊNCIAS BIOLÓGICAS - LICENCIATURA NOTURNO',2,80,43,8,'N','CIÊNCIAS BIOLÓGICAS - LIC NOTURNO'),(20,201,'ENGENHARIA CIVIL',1,110,110,6,'S','ENGENHARIA CIVIL'),(20,202,'ENGENHARIA ELÉTRICA',1,100,100,6,'S','ENGENHARIA ELÉTRICA'),(20,203,'ENGENHARIA MECÂNICA',1,110,110,6,'S','ENGENHARIA MECÂNICA'),(20,205,'QUÍMICA - LICENCIATURA - DIURNO',2,40,29,9,'N','QUÍMICA - LIC.'),(20,207,'ARQUITETURA E URBANISMO',1,80,80,6,'S','ARQUITETURA E URBANISMO'),(20,208,'CIÊNCIAS DA COMPUTAÇÃO',1,100,100,6,'S','CIÊNCIAS DA COMPUTAÇÃO'),(20,211,'ENGENHARIA SANITÁRIA E AMBIENTAL',1,90,90,6,'S','ENGENHARIA SANITÁRIA E AMBIENTAL'),(20,212,'ENGENHARIA DE PRODUÇÃO CIVIL',1,40,40,6,'S','ENGENHARIA DE PRODUÇÃO CIVIL'),(20,213,'ENGENHARIA DE PRODUÇÃO ELÉTRICA',1,40,40,6,'S','ENGENHARIA DE PRODUÇÃO ELÉTRICA'),(20,214,'ENGENHARIA DE PRODUÇÃO MECÂNICA',1,40,40,6,'S','ENGENHARIA DE PRODUÇÃO MECÂNICA'),(20,215,'ENGENHARIA DE ALIMENTOS',2,50,50,6,'S','ENGENHARIA DE ALIMENTOS'),(20,216,'ENGENHARIA QUÍMICA',1,50,50,6,'S','ENGENHARIA QUÍMICA'),(20,220,'ENG. DE CONTROLE E AUTOMAÇÃO',1,72,72,6,'S','ENG. DE CONTROLE E AUTOMAÇÃO'),(20,222,'MATEMÁTICA E COMPUTAÇÃO CIENTÍFICA - BEL',1,40,21,9,'N','MATEMÁTICA E COMPUT. CIENTÍFICA'),(20,223,'MATEMÁTICA - LICENCIATURA - DIURNO',1,65,18,9,'N','MATEMÁTICA - LICENC. - DIURNO'),(20,224,'MATEMÁTICA - LICENCIATURA - NOTURNO',1,40,19,9,'N','MATEMÁTICA - LICENCIATURA - NOT.'),(20,225,'FÍSICA - LICENCIATURA - NOTURNO',1,75,31,9,'N','FÍSICA - LICENCIATURA - NOTURNO'),(20,233,'ENGENHARIA DE MATERIAIS',1,70,70,6,'S','ENGENHARIA DE MATERIAIS'),(20,234,'ENGENHARIA DE AQÜICULTURA',2,80,60,7,'N','ENGENHARIA DE AQÜICULTURA'),(20,235,'ENGENHARIA ELETRÔNICA - DIURNO',1,60,60,6,'S','ENGENHARIA ELETRÔNICA - DIURNO'),(20,238,'SISTEMAS DE INFORMAÇÃO - NOTURNO',1,100,100,6,'S','SISTEMAS DE INFORMAÇÃO - NOTURNO'),(20,301,'ADMINISTRAÇÃO - DIURNO',3,100,100,5,'N','ADMINISTRAÇÃO - DIURNO'),(20,302,'CIÊNCIAS CONTÁBEIS - DIURNO',3,90,90,5,'N','CIÊNCIAS CONTÁBEIS - DIURNO'),(20,303,'DIREITO - DIURNO',3,90,90,4,'N','DIREITO - DIURNO'),(20,304,'CIÊNCIAS ECONÔMICAS - DIURNO',3,90,90,5,'N','CIÊNCIAS ECONÔMICAS - DIURNO'),(20,308,'PEDAGOGIA',3,100,50,3,'N','PEDAGOGIA'),(20,309,'SERVIÇO SOCIAL - DIURNO',3,80,29,5,'N','SERVIÇO SOCIAL - DIURNO'),(20,310,'CIÊNCIAS SOCIAIS - DIURNO - BEL/LIC',3,42,26,10,'N','CIÊNCIAS SOCIAIS - DIURNO'),(20,316,'ADMINISTRAÇÃO - NOTURNO',3,100,100,5,'N','ADMINISTRAÇÃO - NOTURNO'),(20,317,'CIÊNCIAS CONTÁBEIS - NOTURNO',3,90,90,5,'N','CIÊNCIAS CONTÁBEIS - NOTURNO'),(20,318,'CIÊNCIAS ECONÔMICAS - NOTURNO',3,90,90,5,'N','CIÊNCIAS ECONÔMICAS - NOTURNO'),(20,319,'PSICOLOGIA - BEL/LIC - PSICÓLOGO',3,90,90,10,'N','PSICOLOGIA'),(20,320,'CIÊNCIAS SOCIAIS - NOTURNO - BEL/LIC',3,48,48,10,'N','CIÊNCIAS SOCIAIS - NOTURNO'),(20,324,'BIBLIOTECONOMIA - NOTURNO',3,80,31,3,'N','BIBLIOTECONOMIA - NOTURNO'),(20,326,'HISTÓRIA - DIURNO - BEL/LIC',3,45,45,10,'N','HISTÓRIA - DIURNO'),(20,327,'HISTÓRIA - NOTURNO - BEL/LIC',3,45,45,10,'N','HISTÓRIA - NOTURNO'),(20,328,'FILOSOFIA - VESPERTINO/NOTURNO - BEL/LIC',3,37,13,10,'N','FILOSOFIA - VESPERTINO/NOTURNO'),(20,329,'FILOSOFIA - NOTURNO - BEL/LIC',3,37,29,10,'N','FILOSOFIA - NOTURNO'),(20,331,'GEOGRAFIA - DIURNO - BEL/LIC',3,40,40,10,'N','GEOGRAFIA - DIURNO'),(20,332,'GEOGRAFIA - NOTURNO - BEL/LIC',3,40,40,10,'N','GEOGRAFIA - NOTURNO'),(20,333,'OCEANOGRAFIA',2,30,30,8,'N','OCEANOGRAFIA'),(20,335,'ARQUIVOLOGIA',3,60,6,3,'N','ARQUIVOLOGIA'),(20,336,'GEOLOGIA',3,30,30,10,'N','GEOLOGIA'),(20,337,'ANTROPOLOGIA - BEL. DIURNO',3,25,21,10,'N','ANTROPOLOGIA'),(20,338,'MUSEOLOGIA - BEL. DIURNO',3,25,9,10,'N','MUSEOLOGIA'),(20,339,'SERVIÇO SOCIAL - NOTURNO',3,60,31,5,'N','SERVIÇO SOCIAL - NOTURNO'),(20,340,'RELAÇÕES INTERNACIONAIS',3,80,80,5,'N','RELAÇÕES INTERNACIONAIS'),(20,404,'EDUCAÇÃO FÍSICA - LICENCIATURA',3,60,60,2,'N','EDUCAÇÃO FÍSICA - LICENCIATURA'),(20,415,'JORNALISMO',3,60,60,11,'N','JORNALISMO'),(20,420,'DESIGN - HABILITAÇÃO DESIGN GRÁFICO - DIURNO',3,40,40,11,'N','DESIGN GRÁFICO'),(20,421,'LETRAS-LING. ALEMÃ E LITERAT. LING. ALEMÃ - BEL/LIC - DIURNO',3,40,18,11,'S','LETRAS - LÍNGUA ALEMÃ'),(20,423,'LETRAS-LING. ESPANHOLA E LITERAT.LING. ESPANHOLA - BEL/LIC',3,40,22,11,'S','LETRAS - LÍNGUA ESPANHOLA'),(20,424,'LETRAS-LING. FRANCESA E LITERAT.LING. FRANCESA - BEL/LIC',3,40,40,11,'S','LETRAS - LÍNGUA FRANCESA'),(20,425,'LETRAS-LING. INGLESA E LITERAT.LING. INGLESA - BEL/LIC',3,40,40,11,'S','LETRAS - LÍNGUA INGLESA'),(20,426,'LETRAS-LING.PORT. E LITERAT.DE LING.PORT.-BEL/LIC - NOTURNO',3,40,32,11,'S','LETRAS - LÍNGUA PORTUGUESA - NOT.'),(20,427,'LETRAS-LING.ITALIANA E LITERAT.DE LING.ITALIANA - BEL/LIC',3,40,29,11,'S','LETRAS - LÍNGUA ITALIANA'),(20,428,'LETRAS-LING.PORTUGUESA E LITERAT.DE LING.PORTUGUESA-BEL/LIC',3,80,46,11,'S','LETRAS - LÍNGUA PORTUGUESA'),(20,429,'LETRAS-SECRETARIADO EXECUTIVO INGLÊS BEL - NOTURNO',3,40,40,11,'S','LETRAS - SECRETARIADO EXEC. INGLÊS'),(20,444,'EDUCAÇÃO FÍSICA - BACHARELADO',3,60,60,2,'N','EDUCAÇÃO FÍSICA - BACHARELADO'),(20,450,'CINEMA - BEL/DIURNO',3,30,30,11,'N','CINEMA'),(20,451,'ARTES CÊNICAS - HAB. EM TEATRO - BEL. - NOTURNO',3,30,30,11,'N','ARTES CÊNICAS - HAB. EM TEATRO'),(20,452,'DESIGN - HABILITAÇÃO DESIGN DE PRODUTO - DIURNO',3,40,40,11,'N','DESIGN DE PRODUTO'),(20,453,'DESIGN - HABILITAÇÃO DESIGN DE ANIMAÇÃO - DIURNO',3,40,40,11,'N','DESIGN DE ANIMAÇÃO'),(20,501,'AGRONOMIA',2,110,110,7,'N','AGRONOMIA'),(20,502,'ZOOTECNIA',2,70,56,7,'N','ZOOTECNIA'),(20,503,'CIÊNCIA E TECNOLOGIA AGROALIMENTAR - DIURNO',2,70,56,7,'N','CIÊNCIA E TECNOL. AGROALIMENTAR - DIURNO'),(20,551,'CIÊNCIAS RURAIS - BACHARELADO - DIURNO',2,360,28,7,'N','CIÊNCIAS RURAIS - BEL - DIURNO'),(20,601,'ENGENHARIA DA MOBILIDADE - DIURNO',1,400,400,6,'S','ENGENHARIA DA MOBILIDADE - DIURNO'),(20,651,'TECNOLOGIAS DA INFORMAÇÃO E COMUNICAÇÃO - BEL - DIURNO',1,100,24,6,'S','TEC DA INFORMAÇÃO E COMUNICAÇÃO - DIURNO'),(20,652,'TECNOLOGIAS DA INFORMAÇÃO E COMUNICAÇÃO - BEL - NOTURNO',1,100,40,6,'S','TEC DA INFORMAÇÃO E COMUNICAÇÃO- NOTURNO'),(20,653,'ENGENHARIA DE ENERGIA',1,80,80,6,'S','ENGENHARIA DE ENERGIA'),(25,2,'FÍSICA - BACHARELADO - DIURNO',1,55,55,9,'N','FÍSICA - BACHARELADO - DIURNO'),(25,3,'QUÍMICA - BEL/BEL EM QUÍMICA TECNOLÓGICA - DIURNO',2,80,80,9,'N','QUÍMICA - BEL.'),(25,5,'DIREITO - NOTURNO',3,90,90,4,'N','DIREITO - NOTURNO'),(25,9,'NUTRIÇÃO',2,45,45,1,'N','NUTRIÇÃO'),(25,101,'ENFERMAGEM',2,75,75,1,'N','ENFERMAGEM'),(25,102,'FARMÁCIA',2,130,130,1,'N','FARMÁCIA'),(25,103,'MEDICINA',2,100,100,1,'N','MEDICINA'),(25,104,'ODONTOLOGIA',2,100,100,1,'N','ODONTOLOGIA'),(25,108,'CIÊNCIAS BIOLÓGICAS - BEL/LIC',2,80,80,8,'N','CIÊNCIAS BIOLÓGICAS'),(25,109,'FONOAUDIOLOGIA - NOTURNO',3,80,80,11,'N','FONOAUDIOLOGIA - NOTURNO'),(25,110,'CIÊNCIAS BIOLÓGICAS - LICENCIATURA NOTURNO',2,80,80,8,'N','CIÊNCIAS BIOLÓGICAS - LIC NOTURNO'),(25,201,'ENGENHARIA CIVIL',1,110,110,6,'S','ENGENHARIA CIVIL'),(25,202,'ENGENHARIA ELÉTRICA',1,100,100,6,'S','ENGENHARIA ELÉTRICA'),(25,203,'ENGENHARIA MECÂNICA',1,110,110,6,'S','ENGENHARIA MECÂNICA'),(25,205,'QUÍMICA - LICENCIATURA - DIURNO',2,40,29,9,'N','QUÍMICA - LIC.'),(25,207,'ARQUITETURA E URBANISMO',1,80,80,6,'S','ARQUITETURA E URBANISMO'),(25,208,'CIÊNCIAS DA COMPUTAÇÃO',1,100,100,6,'S','CIÊNCIAS DA COMPUTAÇÃO'),(25,211,'ENGENHARIA SANITÁRIA E AMBIENTAL',1,90,90,6,'S','ENGENHARIA SANITÁRIA E AMBIENTAL'),(25,212,'ENGENHARIA DE PRODUÇÃO CIVIL',1,40,40,6,'S','ENGENHARIA DE PRODUÇÃO CIVIL'),(25,213,'ENGENHARIA DE PRODUÇÃO ELÉTRICA',1,40,40,6,'S','ENGENHARIA DE PRODUÇÃO ELÉTRICA'),(25,214,'ENGENHARIA DE PRODUÇÃO MECÂNICA',1,40,40,6,'S','ENGENHARIA DE PRODUÇÃO MECÂNICA'),(25,215,'ENGENHARIA DE ALIMENTOS',2,50,50,6,'S','ENGENHARIA DE ALIMENTOS'),(25,216,'ENGENHARIA QUÍMICA',1,50,50,6,'S','ENGENHARIA QUÍMICA'),(25,220,'ENGENHARIA DE CONTROLE E AUTOMAÇÃO',1,72,72,6,'S','ENGENHARIA DE CONTROLE E AUTOMAÇÃO'),(25,222,'MATEMÁTICA E COMPUTAÇÃO CIENTÍFICA - BEL',1,40,18,9,'N','MATEMÁTICA E COMPUT. CIENTÍFICA'),(25,223,'MATEMÁTICA - LICENCIATURA - DIURNO',1,65,45,9,'N','MATEMÁTICA - LICENC. - DIURNO'),(25,224,'MATEMÁTICA - LICENCIATURA - NOTURNO',1,40,31,9,'N','MATEMÁTICA - LICENCIATURA - NOT.'),(25,225,'FÍSICA - LICENCIATURA - NOTURNO',1,75,57,9,'N','FÍSICA - LICENCIATURA - NOTURNO'),(25,233,'ENGENHARIA DE MATERIAIS',1,70,70,6,'S','ENGENHARIA DE MATERIAIS'),(25,234,'ENGENHARIA DE AQÜICULTURA',2,80,80,7,'N','ENGENHARIA DE AQÜICULTURA'),(25,235,'ENGENHARIA ELETRÔNICA - DIURNO',1,60,60,6,'S','ENGENHARIA ELETRÔNICA - DIURNO'),(25,238,'SISTEMAS DE INFORMAÇÃO - NOTURNO',1,100,100,6,'S','SISTEMAS DE INFORMAÇÃO - NOTURNO'),(25,301,'ADMINISTRAÇÃO - DIURNO',3,100,100,5,'N','ADMINISTRAÇÃO - DIURNO'),(25,302,'CIÊNCIAS CONTÁBEIS - DIURNO',3,90,90,5,'N','CIÊNCIAS CONTÁBEIS - DIURNO'),(25,303,'DIREITO - DIURNO',3,90,90,4,'N','DIREITO - DIURNO'),(25,304,'CIÊNCIAS ECONÔMICAS - DIURNO',3,90,90,5,'N','CIÊNCIAS ECONÔMICAS - DIURNO'),(25,308,'PEDAGOGIA',3,100,100,3,'N','PEDAGOGIA'),(25,309,'SERVIÇO SOCIAL - DIURNO',3,80,56,5,'N','SERVIÇO SOCIAL - DIURNO'),(25,310,'CIÊNCIAS SOCIAIS - DIURNO - BEL/LIC',3,42,42,10,'N','CIÊNCIAS SOCIAIS - DIURNO'),(25,316,'ADMINISTRAÇÃO - NOTURNO',3,100,100,5,'N','ADMINISTRAÇÃO - NOTURNO'),(25,317,'CIÊNCIAS CONTÁBEIS - NOTURNO',3,90,90,5,'N','CIÊNCIAS CONTÁBEIS - NOTURNO'),(25,318,'CIÊNCIAS ECONÔMICAS - NOTURNO',3,90,90,5,'N','CIÊNCIAS ECONÔMICAS - NOTURNO'),(25,319,'PSICOLOGIA - BEL/LIC - PSICÓLOGO',3,90,90,10,'N','PSICOLOGIA'),(25,320,'CIÊNCIAS SOCIAIS - NOTURNO - BEL/LIC',3,48,48,10,'N','CIÊNCIAS SOCIAIS - NOTURNO'),(25,324,'BIBLIOTECONOMIA - NOTURNO',3,80,38,3,'N','BIBLIOTECONOMIA - NOTURNO'),(25,326,'HISTÓRIA - DIURNO - BEL/LIC',3,45,45,10,'N','HISTÓRIA - DIURNO'),(25,327,'HISTÓRIA - NOTURNO - BEL/LIC',3,45,45,10,'N','HISTÓRIA - NOTURNO'),(25,328,'FILOSOFIA - VESPERTINO/NOTURNO - BEL/LIC',3,37,33,10,'N','FILOSOFIA - VESPERTINO/NOTURNO'),(25,329,'FILOSOFIA - NOTURNO - BEL/LIC',3,37,37,10,'N','FILOSOFIA - NOTURNO'),(25,331,'GEOGRAFIA - DIURNO - BEL/LIC',3,40,40,10,'N','GEOGRAFIA - DIURNO'),(25,332,'GEOGRAFIA - NOTURNO - BEL/LIC',3,40,40,10,'N','GEOGRAFIA - NOTURNO'),(25,333,'OCEANOGRAFIA',2,30,30,8,'N','OCEANOGRAFIA'),(25,335,'ARQUIVOLOGIA',3,60,34,3,'N','ARQUIVOLOGIA'),(25,336,'GEOLOGIA',3,30,30,10,'N','GEOLOGIA'),(25,337,'ANTROPOLOGIA - BEL. DIURNO',3,25,25,10,'N','ANTROPOLOGIA'),(25,338,'MUSEOLOGIA - BEL. DIURNO',3,25,25,10,'N','MUSEOLOGIA'),(25,339,'SERVIÇO SOCIAL - NOTURNO',3,60,46,5,'N','SERVIÇO SOCIAL - NOTURNO'),(25,340,'RELAÇÕES INTERNACIONAIS',3,80,80,5,'N','RELAÇÕES INTERNACIONAIS'),(25,404,'EDUCAÇÃO FÍSICA - LICENCIATURA',3,60,60,2,'N','EDUCAÇÃO FÍSICA - LICENCIATURA'),(25,415,'JORNALISMO',3,60,60,11,'N','JORNALISMO'),(25,420,'DESIGN - HABILITAÇÃO DESIGN GRÁFICO - DIURNO',3,40,40,11,'N','DESIGN GRÁFICO'),(25,421,'LETRAS-LING. ALEMÃ E LITERAT. LING. ALEMÃ - BEL/LIC - DIURNO',3,40,36,11,'S','LETRAS - LÍNGUA ALEMÃ'),(25,423,'LETRAS-LING. ESPANHOLA E LITERAT.LING. ESPANHOLA - BEL/LIC',3,40,38,11,'S','LETRAS - LÍNGUA ESPANHOLA'),(25,424,'LETRAS-LING. FRANCESA E LITERAT.LING. FRANCESA - BEL/LIC',3,40,40,11,'S','LETRAS - LÍNGUA FRANCESA'),(25,425,'LETRAS-LING. INGLESA E LITERAT.LING. INGLESA - BEL/LIC',3,40,40,11,'S','LETRAS - LÍNGUA INGLESA'),(25,426,'LETRAS-LING.PORT. E LITERAT.DE LING.PORT.-BEL/LIC - NOTURNO',3,40,40,11,'S','LETRAS - LÍNGUA PORTUGUESA - NOT.'),(25,427,'LETRAS-LING.ITALIANA E LITERAT.DE LING.ITALIANA - BEL/LIC',3,40,28,11,'S','LETRAS - LÍNGUA ITALIANA'),(25,428,'LETRAS-LING.PORTUGUESA E LITERAT.DE LING.PORTUGUESA-BEL/LIC',3,80,76,11,'S','LETRAS - LÍNGUA PORTUGUESA'),(25,429,'LETRAS-SECRETARIADO EXECUTIVO INGLÊS BEL - NOTURNO',3,40,40,11,'S','LETRAS - SECRETARIADO EXEC. INGLÊS'),(25,444,'EDUCAÇÃO FÍSICA - BACHARELADO',3,60,60,2,'N','EDUCAÇÃO FÍSICA - BACHARELADO'),(25,450,'CINEMA - BEL/DIURNO',3,30,30,11,'N','CINEMA'),(25,451,'ARTES CÊNICAS - HAB. EM TEATRO - BEL. - NOTURNO',3,30,30,11,'N','ARTES CÊNICAS - HAB. EM TEATRO'),(25,452,'DESIGN - HABILITAÇÃO DESIGN DE PRODUTO - DIURNO',3,40,40,11,'N','DESIGN DE PRODUTO'),(25,453,'DESIGN - HABILITAÇÃO DESIGN DE ANIMAÇÃO - DIURNO',3,40,40,11,'N','DESIGN DE ANIMAÇÃO'),(25,501,'AGRONOMIA',2,110,110,7,'N','AGRONOMIA'),(25,502,'ZOOTECNIA',2,70,70,7,'N','ZOOTECNIA'),(25,503,'CIÊNCIA E TECNOLOGIA AGROALIMENTAR - DIURNO',2,70,62,7,'N','CIÊNCIA E TECNOL. AGROALIMENTAR - DIURNO'),(25,551,'CIÊNCIAS RURAIS - BACHARELADO - DIURNO',2,200,112,7,'N','CIÊNCIAS RURAIS - BEL - DIURNO'),(25,601,'ENGENHARIA DA MOBILIDADE - DIURNO',1,400,400,6,'S','ENGENHARIA DA MOBILIDADE - DIURNO'),(25,652,'TECNOLOGIAS DA INFORMAÇÃO E COMUNICAÇÃO - BEL - NOTURNO',1,100,100,6,'S','TEC DA INFORMAÇÃO E COMUNICAÇÃO- NOTURNO'),(25,653,'ENGENHARIA DE ENERGIA',1,80,80,6,'S','ENGENHARIA DE ENERGIA'),(25,654,'FISIOTERAPIA - BEL - DIURNO',2,60,60,1,'N','FISIOTERAPIA - BEL - DIURNO'),(25,655,'ENGENHARIA DE COMPUTAÇÃO - NOTURNO',1,60,60,6,'S','ENGENHARIA DE COMPUTAÇÃO - NOTURNO'),(25,999,'CURSO TREINAMENTO - CANDIDATO POR EXPERIÊNCIA',NULL,0,0,8,'N','CURSO TREINAMENTO-CAND. POR EXPERIÊNCIA'),(28,2,'FÍSICA - BEL - DIURNO',1,55,55,9,'N','FÍSICA - BEL - DIURNO'),(28,3,'QUÍMICA - BEL/BEL EM QUÍMICA TECNOLÓGICA - DIURNO',2,80,80,9,'N','QUÍMICA - BEL - DIURNO'),(28,5,'DIREITO - NOTURNO',3,90,90,4,'N','DIREITO - NOTURNO'),(28,9,'NUTRIÇÃO',2,45,45,1,'N','NUTRIÇÃO'),(28,101,'ENFERMAGEM',2,75,75,1,'N','ENFERMAGEM'),(28,102,'FARMÁCIA',2,130,130,1,'N','FARMÁCIA'),(28,103,'MEDICINA',2,100,100,1,'N','MEDICINA'),(28,104,'ODONTOLOGIA',2,100,100,1,'N','ODONTOLOGIA'),(28,108,'CIÊNCIAS BIOLÓGICAS - BEL/LIC - DIURNO',2,80,80,8,'N','CIÊNCIAS BIOLÓGICAS - BEL/LIC - DIURNO'),(28,109,'FONOAUDIOLOGIA - NOTURNO',3,80,80,1,'N','FONOAUDIOLOGIA - NOTURNO'),(28,110,'CIÊNCIAS BIOLÓGICAS - LICENCIATURA NOTURNO',2,80,80,8,'N','CIÊNCIAS BIOLÓGICAS - LIC NOTURNO'),(28,201,'ENGENHARIA CIVIL',1,110,110,6,'S','ENGENHARIA CIVIL'),(28,202,'ENGENHARIA ELÉTRICA',1,100,100,6,'S','ENGENHARIA ELÉTRICA'),(28,203,'ENGENHARIA MECÂNICA',1,110,110,6,'S','ENGENHARIA MECÂNICA'),(28,205,'QUÍMICA - LICENCIATURA - DIURNO',2,40,24,9,'N','QUÍMICA - LICENCIATURA - DIURNO'),(28,207,'ARQUITETURA E URBANISMO',1,80,80,6,'S','ARQUITETURA E URBANISMO'),(28,208,'CIÊNCIAS DA COMPUTAÇÃO',1,100,100,6,'N','CIÊNCIAS DA COMPUTAÇÃO'),(28,211,'ENGENHARIA SANITÁRIA E AMBIENTAL',1,90,90,6,'S','ENGENHARIA SANITÁRIA E AMBIENTAL'),(28,212,'ENGENHARIA DE PRODUÇÃO CIVIL',1,40,40,6,'S','ENGENHARIA DE PRODUÇÃO CIVIL'),(28,213,'ENGENHARIA DE PRODUÇÃO ELÉTRICA',1,40,40,6,'S','ENGENHARIA DE PRODUÇÃO ELÉTRICA'),(28,214,'ENGENHARIA DE PRODUÇÃO MECÂNICA',1,40,40,6,'S','ENGENHARIA DE PRODUÇÃO MECÂNICA'),(28,215,'ENGENHARIA DE ALIMENTOS',2,50,50,6,'S','ENGENHARIA DE ALIMENTOS'),(28,216,'ENGENHARIA QUÍMICA',1,50,50,6,'S','ENGENHARIA QUÍMICA'),(28,220,'ENGENHARIA DE CONTROLE E AUTOMAÇÃO',1,72,72,6,'S','ENGENHARIA DE CONTROLE E AUTOMAÇÃO'),(28,222,'MATEMÁTICA E COMPUTAÇÃO CIENTÍFICA - BEL',1,40,40,9,'N','MATEMÁTICA E COMPUT. CIENTÍFICA - BEL'),(28,223,'MATEMÁTICA - LICENCIATURA - DIURNO',1,65,52,9,'N','MATEMÁTICA - LICENCIATURA - DIURNO'),(28,224,'MATEMÁTICA - LICENCIATURA - NOTURNO',1,40,38,9,'N','MATEMÁTICA - LICENCIATURA - NOTURNO'),(28,225,'FÍSICA - LICENCIATURA - NOTURNO',1,75,48,9,'N','FÍSICA - LICENCIATURA - NOTURNO'),(28,230,'METEOROLOGIA',3,30,28,10,'N','METEOROLOGIA'),(28,233,'ENGENHARIA DE MATERIAIS',1,70,70,6,'S','ENGENHARIA DE MATERIAIS'),(28,234,'ENGENHARIA DE AQÜICULTURA',2,80,68,7,'N','ENGENHARIA DE AQÜICULTURA'),(28,235,'ENGENHARIA ELETRÔNICA',1,60,60,6,'S','ENGENHARIA ELETRÔNICA'),(28,238,'SISTEMAS DE INFORMAÇÃO - NOTURNO',1,100,100,6,'S','SISTEMAS DE INFORMAÇÃO - NOTURNO'),(28,301,'ADMINISTRAÇÃO - DIURNO',3,100,100,5,'N','ADMINISTRAÇÃO - DIURNO'),(28,302,'CIÊNCIAS CONTÁBEIS - DIURNO',3,90,90,5,'N','CIÊNCIAS CONTÁBEIS - DIURNO'),(28,303,'DIREITO - DIURNO',3,90,90,4,'N','DIREITO - DIURNO'),(28,304,'CIÊNCIAS ECONÔMICAS - DIURNO',3,90,90,5,'N','CIÊNCIAS ECONÔMICAS - DIURNO'),(28,308,'PEDAGOGIA',3,100,100,3,'N','PEDAGOGIA'),(28,309,'SERVIÇO SOCIAL - DIURNO',3,80,72,5,'N','SERVIÇO SOCIAL - DIURNO'),(28,310,'CIÊNCIAS SOCIAIS - BEL/LIC - DIURNO',3,42,42,10,'N','CIÊNCIAS SOCIAIS - BEL/LIC - DIURNO'),(28,316,'ADMINISTRAÇÃO - NOTURNO',3,100,100,5,'N','ADMINISTRAÇÃO - NOTURNO'),(28,317,'CIÊNCIAS CONTÁBEIS - NOTURNO',3,90,90,5,'N','CIÊNCIAS CONTÁBEIS - NOTURNO'),(28,318,'CIÊNCIAS ECONÔMICAS - NOTURNO',3,90,90,5,'N','CIÊNCIAS ECONÔMICAS - NOTURNO'),(28,319,'PSICOLOGIA - BEL/LIC - DIURNO',3,90,90,10,'N','PSICOLOGIA - BEL/LIC - DIURNO'),(28,320,'CIÊNCIAS SOCIAIS - BEL/LIC - NOTURNO',3,48,48,10,'N','CIÊNCIAS SOCIAIS - BEL/LIC - NOTURNO'),(28,324,'BIBLIOTECONOMIA - NOTURNO',3,80,30,3,'N','BIBLIOTECONOMIA - NOTURNO'),(28,326,'HISTÓRIA - BEL/LIC - DIURNO',3,45,45,10,'N','HISTÓRIA - BEL/LIC - DIURNO'),(28,327,'HISTÓRIA - BEL/LIC - NOTURNO',3,45,45,10,'N','HISTÓRIA - BEL/LIC - NOTURNO'),(28,328,'FILOSOFIA - BEL/LIC - VESPERTINO/NOTURNO',3,37,23,10,'N','FILOSOFIA - VESPERTINO/NOTURNO'),(28,329,'FILOSOFIA - BEL/LIC - NOTURNO',3,37,31,10,'N','FILOSOFIA - BEL/LIC - NOTURNO'),(28,331,'GEOGRAFIA - BEL/LIC - DIURNO',3,40,40,10,'N','GEOGRAFIA - BEL/LIC - DIURNO'),(28,332,'GEOGRAFIA - BEL/LIC - NOTURNO',3,40,40,10,'N','GEOGRAFIA - BEL/LIC - NOTURNO'),(28,333,'OCEANOGRAFIA',2,30,30,10,'N','OCEANOGRAFIA'),(28,335,'ARQUIVOLOGIA - BEL - DIURNO',3,60,16,3,'N','ARQUIVOLOGIA - BEL - DIURNO'),(28,336,'GEOLOGIA - BEL - DIURNO',3,30,30,10,'N','GEOLOGIA - BEL - DIURNO'),(28,337,'ANTROPOLOGIA - BEL - DIURNO',3,25,25,10,'N','ANTROPOLOGIA - BEL - DIURNO'),(28,338,'MUSEOLOGIA - BEL - DIURNO',3,25,24,10,'N','MUSEOLOGIA - BEL - DIURNO'),(28,339,'SERVIÇO SOCIAL - NOTURNO',3,60,60,5,'N','SERVIÇO SOCIAL - NOTURNO'),(28,340,'RELAÇÕES INTERNACIONAIS',3,80,80,5,'N','RELAÇÕES INTERNACIONAIS'),(28,404,'EDUCAÇÃO FÍSICA - LIC - DIURNO',3,60,60,2,'N','EDUCAÇÃO FÍSICA - LIC - DIURNO'),(28,415,'JORNALISMO',3,60,60,11,'N','JORNALISMO'),(28,421,'LETRAS - ALEMÃO - BEL/LIC - DIURNO',3,40,28,11,'S','LETRAS - ALEMÃO - BEL/LIC - DIURNO'),(28,423,'LETRAS - ESPANHOL - BEL/LIC - DIURNO',3,40,37,11,'S','LETRAS - ESPANHOL - BEL/LIC - DIURNO'),(28,424,'LETRAS - FRANCÊS - BEL/LIC - DIURNO',3,40,40,11,'S','LETRAS - FRANCÊS - BEL/LIC - DIURNO'),(28,425,'LETRAS - INGLÊS - BEL/LIC - DIURNO',3,40,40,11,'S','LETRAS - INGLÊS - BEL/LIC - DIURNO'),(28,426,'LETRAS - PORTUGUÊS - BEL/LIC - NOTURNO',3,40,40,11,'S','LETRAS - PORTUGUÊS - BEL/LIC - NOTURNO'),(28,427,'LETRAS - ITALIANO - BEL/LIC - DIURNO',3,40,30,11,'S','LETRAS - ITALIANO - BEL/LIC - DIURNO'),(28,428,'LETRAS - PORTUGUÊS - BEL/LIC - DIURNO',3,80,72,11,'S','LETRAS - PORTUGUÊS - BEL/LIC - DIURNO'),(28,429,'SECRETARIADO EXECUTIVO - BEL - NOTURNO',3,40,40,11,'S','SECRETARIADO EXECUTIVO - BEL - NOTURNO'),(28,440,'LETRAS - LINGUA BRASILEIRA DE SINAIS - LIC - DIURNO',3,20,16,11,'N','LETRAS - LIBRAS - LIC - DIURNO'),(28,441,'LETRAS - LINGUA BRASILEIRA DE SINAIS - BEL - DIURNO',3,20,11,11,'N','LETRAS - LIBRAS - BEL - DIURNO'),(28,444,'EDUCAÇÃO FÍSICA - BEL - DIURNO',3,60,60,2,'N','EDUCAÇÃO FÍSICA - BEL - DIURNO'),(28,450,'CINEMA - BEL - DIURNO',3,30,30,11,'N','CINEMA - BEL - DIURNO'),(28,451,'ARTES CÊNICAS - BEL - NOTURNO',3,30,30,11,'N','ARTES CÊNICAS - BEL - NOTURNO'),(28,454,'DESIGN - BEL - DIURNO',3,120,120,11,'N','DESIGN - BEL - DIURNO'),(28,501,'AGRONOMIA',2,110,110,7,'N','AGRONOMIA'),(28,502,'ZOOTECNIA',2,70,70,7,'N','ZOOTECNIA'),(28,503,'CIÊNCIA E TECNOLOGIA AGROALIMENTAR - DIURNO',2,70,45,7,'N','CIÊNCIA E TECNOL. AGROALIMENTAR - DIURNO'),(28,551,'CIÊNCIAS RURAIS  - DIURNO (AGRONOMIA OU ENG. FLORESTAL)',2,200,75,26,'N','CIÊNCIAS RURAIS - DIURNO'),(28,552,'MEDICINA VETERINÁRIA',2,40,40,26,'N','MEDICINA VETERINÁRIA'),(28,601,'ENGENHARIA DA MOBILIDADE',1,400,400,25,'S','ENGENHARIA DA MOBILIDADE'),(28,652,'TECNOLOGIAS DA INFORMAÇÃO E COMUNICAÇÃO - BEL - VESP/NOT',1,100,100,24,'S','TEC DA INFORMAÇÃO E COMUNICAÇÃO-VESP/NOT'),(28,653,'ENGENHARIA DE ENERGIA - VESPERTINO E NOTURNO',1,80,80,24,'S','ENG. DE ENERGIA - VESPERTINO E NOTURNO'),(28,654,'FISIOTERAPIA - BEL - DIURNO',2,60,60,24,'N','FISIOTERAPIA - BEL - DIURNO'),(28,655,'ENGENHARIA DE COMPUTAÇÃO - VESPERTINO/NOTURNO',1,60,60,24,'S','ENG. DE COMPUTAÇÃO - VESPERTINO/NOTURNO'),(28,999,'CURSO TREINAMENTO - CANDIDATO POR EXPERIÊNCIA',NULL,0,0,8,'N','CURSO TREINAMENTO-CAND. POR EXPERIÊNCIA');
/*!40000 ALTER TABLE curso ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sexo`
--

DROP TABLE IF EXISTS sexo;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE sexo (
  id_sexo char(1) NOT NULL,
  nome_sexo varchar(9) NOT NULL,
  PRIMARY KEY (id_sexo)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sexo`
--

LOCK TABLES sexo WRITE;
/*!40000 ALTER TABLE sexo DISABLE KEYS */;
INSERT INTO sexo VALUES ('','Não Inf.'),('f','Feminino'),('m','Masculino');
/*!40000 ALTER TABLE sexo ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cidade`
--

DROP TABLE IF EXISTS cidade;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE cidade (
  id_cidade int(11) NOT NULL,
  nome_municipio varchar(40) NOT NULL,
  id_unidade_federativa char(2) NOT NULL,
  PRIMARY KEY (id_cidade),
  KEY fk_cidade_unidade_federativa (id_unidade_federativa),
  CONSTRAINT fk_cidade_unidade_federativa FOREIGN KEY (id_unidade_federativa) REFERENCES unidade_federativa (id_unidade_federativa)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cidade`
--

LOCK TABLES cidade WRITE;
/*!40000 ALTER TABLE cidade DISABLE KEYS */;
INSERT INTO cidade VALUES (0,'Não informado','NI'),(1,'CONSOLANDIA','PR'),(1100015,'Alta Floresta D\'Oeste','RO'),(1100023,'ARIQUEMES','RO'),(1100031,'Cabixi','RO'),(1100049,'Cacoal','RO'),(1100056,'Cerejeiras','RO'),(1100064,'Colorado do Oeste','RO'),(1100072,'Corumbiara','RO'),(1100080,'Costa Marques','RO'),(1100098,'Espigao D\'Oeste','RO'),(1100106,'Guajara-Mirim','RO'),(1100114,'Jaru','RO'),(1100122,'Ji-Parana','RO'),(1100130,'Machadinho D\'Oeste','RO'),(1100148,'Nova Brasilandia D\'Oeste','RO'),(1100155,'Ouro Preto do Oeste','RO'),(1100189,'Pimenta Bueno','RO'),(1100205,'Porto Velho','RO'),(1100254,'Presidente Medici','RO'),(1100262,'Rio Crespo','RO'),(1100288,'Rolim de Moura','RO'),(1100296,'Santa Luzia D\'Oeste','RO'),(1100304,'Vilhena','RO'),(1100320,'Sao Miguel do Guapore','RO'),(1100338,'Nova Mamore','RO'),(1100346,'Alvorada D\'Oeste','RO'),(1100379,'Alto Alegre do Parecis','RO'),(1100403,'Alto Paraiso','RO'),(1100452,'Buritis','RO'),(1100502,'Novo Horizonte do Oeste','RO'),(1100601,'Cacaulandia','RO'),(1100700,'Campo Novo de Rondonia','RO'),(1100809,'Candeias do Jamari','RO'),(1100908,'Castanheiras','RO'),(1100924,'Chupinguaia','RO'),(1100940,'Cujubim','RO'),(1101005,'Governador Jorge Teixeira','RO'),(1101104,'Jamari','RO'),(1101203,'Ministro Andreazza','RO'),(1101302,'Mirante da Serra','RO'),(1101401,'Monte Negro','RO'),(1101435,'Nova Uniao','RO'),(1101450,'Parecis','RO'),(1101468,'Pimenteiras do Oeste','RO'),(1101476,'Primavera de Rondonia','RO'),(1101484,'Sao Felipe D\'Oeste','RO'),(1101492,'Sao Francisco do Guapore','RO'),(1101500,'Seringueiras','RO'),(1101559,'Teixeiropolis','RO'),(1101609,'Theobroma','RO'),(1101708,'Urupa','RO'),(1101757,'Vale do Anari','RO'),(1101807,'Vale do Paraiso','RO'),(1200013,'Acrelandia','AC'),(1200054,'Assis Brasil','AC'),(1200104,'Brasileia','AC'),(1200138,'Bujari','AC'),(1200179,'Capixaba','AC'),(1200203,'Cruzeiro do Sul','AC'),(1200252,'Epitaciolandia','AC'),(1200302,'Feijo','AC'),(1200328,'Jordao','AC'),(1200336,'Mancio Lima','AC'),(1200344,'Manoel Urbano','AC'),(1200351,'Marechal Thaumaturgo','AC'),(1200385,'Placido de Castro','AC'),(1200393,'Porto Walter','AC'),(1200401,'Rio Branco','AC'),(1200427,'Rodrigues Alves','AC'),(1200435,'Santa Rosa do Purus','AC'),(1200450,'Senador Guiomard','AC'),(1200500,'Sena Madureira','AC'),(1200609,'Tarauaca','AC'),(1200708,'Xapuri','AC'),(1200807,'Porto Acre','AC'),(1300029,'Alvaraes','AM'),(1300060,'Amatura','AM'),(1300086,'Anama','AM'),(1300102,'Anori','AM'),(1300144,'Apui','AM'),(1300201,'Atalaia do Norte','AM'),(1300300,'Autazes','AM'),(1300409,'Barcelos','AM'),(1300508,'Barreirinha','AM'),(1300607,'Benjamin Constant','AM'),(1300631,'Beruri','AM'),(1300680,'Boa Vista do Ramos','AM'),(1300706,'Boca do Acre','AM'),(1300805,'Borba','AM'),(1300839,'Caapiranga','AM'),(1300904,'Canutama','AM'),(1301001,'Carauari','AM'),(1301100,'Careiro','AM'),(1301159,'Careiro da Varzea','AM'),(1301209,'Coari','AM'),(1301308,'Codajas','AM'),(1301407,'Eirunepe','AM'),(1301506,'Envira','AM'),(1301605,'Fonte Boa','AM'),(1301654,'Guajara','AM'),(1301704,'Humaita','AM'),(1301803,'Ipixuna','AM'),(1301852,'Iranduba','AM'),(1301902,'Itacoatiara','AM'),(1301951,'Itamarati','AM'),(1302009,'Itapiranga','AM'),(1302108,'Japura','AM'),(1302207,'Jurua','AM'),(1302306,'Jutai','AM'),(1302405,'Labrea','AM'),(1302504,'Manacapuru','AM'),(1302553,'Manaquiri','AM'),(1302603,'Manaus','AM'),(1302702,'Manicore','AM'),(1302801,'Maraa','AM'),(1302900,'Maues','AM'),(1303007,'Nhamunda','AM'),(1303106,'Nova Olinda do Norte','AM'),(1303205,'Novo Airao','AM'),(1303304,'Novo Aripuana','AM'),(1303403,'Parintins','AM'),(1303502,'Pauini','AM'),(1303536,'Presidente Figueiredo','AM'),(1303569,'Rio Preto da Eva','AM'),(1303601,'Santa Isabel do Rio Negro','AM'),(1303700,'Santo Antonio do Ica','AM'),(1303809,'Sao Gabriel da Cachoeira','AM'),(1303908,'Sao Paulo de Olivenca','AM'),(1303957,'Sao Sebastiao do Uatuma','AM'),(1304005,'Silves','AM'),(1304062,'Tabatinga','AM'),(1304104,'Tapaua','AM'),(1304203,'Tefe','AM'),(1304237,'Tonantins','AM'),(1304260,'Uarini','AM'),(1304302,'Urucara','AM'),(1304401,'Urucurituba','AM'),(1400027,'Amajari','RR'),(1400050,'Alto Alegre','RR'),(1400100,'Boa Vista','RR'),(1400159,'Bonfim','RR'),(1400175,'Canta','RR'),(1400209,'Caracarai','RR'),(1400233,'Caroebe','RR'),(1400282,'Iracema','RR'),(1400308,'Mucajai','RR'),(1400407,'Normandia','RR'),(1400456,'Pacaraima','RR'),(1400472,'Rorainopolis','RR'),(1400506,'Sao Joao da Baliza','RR'),(1400605,'São Luiz do Anauá','RR'),(1400704,'Uiramuta','RR'),(1500107,'Abaetetuba','PA'),(1500131,'Abel Figueiredo','PA'),(1500206,'Acara','PA'),(1500305,'Afua','PA'),(1500347,'Agua Azul do Norte','PA'),(1500404,'Alenquer','PA'),(1500503,'Almeirim','PA'),(1500602,'Altamira','PA'),(1500701,'Anajas','PA'),(1500800,'Ananindeua','PA'),(1500859,'Anapu','PA'),(1500909,'Augusto Correa','PA'),(1500958,'Aurora do Para','PA'),(1501006,'Aveiro','PA'),(1501105,'Bagre','PA'),(1501204,'Baiao','PA'),(1501253,'Bannach','PA'),(1501303,'Barcarena','PA'),(1501402,'Belem','PA'),(1501451,'Belterra','PA'),(1501501,'Benevides','PA'),(1501576,'Bom Jesus do Tocantins','PA'),(1501600,'Bonito','PA'),(1501709,'Braganca','PA'),(1501725,'Brasil Novo','PA'),(1501758,'Brejo Grande do Araguaia','PA'),(1501782,'Breu Branco','PA'),(1501808,'Breves','PA'),(1501907,'Bujaru','PA'),(1501956,'Cachoeira do Piria','PA'),(1502004,'Cachoeira do Arari','PA'),(1502103,'Cameta','PA'),(1502152,'Canaa dos Carajas','PA'),(1502202,'Capanema','PA'),(1502301,'Capitao Poco','PA'),(1502400,'Castanhal','PA'),(1502509,'Chaves','PA'),(1502608,'Colares','PA'),(1502707,'Conceicao do Araguaia','PA'),(1502756,'Concordia do Para','PA'),(1502764,'Cumaru do Norte','PA'),(1502772,'Curionopolis','PA'),(1502806,'Curralinho','PA'),(1502855,'Curua','PA'),(1502905,'Curuca','PA'),(1502939,'Dom Eliseu','PA'),(1502954,'Eldorado dos Carajas','PA'),(1503002,'Faro','PA'),(1503044,'Floresta do Araguaia','PA'),(1503077,'Garrafao do Norte','PA'),(1503093,'Goianesia do Para','PA'),(1503101,'Gurupa','PA'),(1503200,'Igarape-Acu','PA'),(1503309,'Igarape-Miri','PA'),(1503408,'Inhangapi','PA'),(1503457,'Ipixuna do Para','PA'),(1503507,'Irituia','PA'),(1503606,'Itaituba','PA'),(1503705,'Itupiranga','PA'),(1503754,'Jacareacanga','PA'),(1503804,'Jacunda','PA'),(1503903,'Juruti','PA'),(1504000,'Limoeiro do Ajuru','PA'),(1504059,'Mae do Rio','PA'),(1504109,'Magalhaes Barata','PA'),(1504208,'Maraba','PA'),(1504307,'Maracana','PA'),(1504406,'Marapanim','PA'),(1504422,'Marituba','PA'),(1504455,'Medicilandia','PA'),(1504505,'Melgaco','PA'),(1504604,'Mocajuba','PA'),(1504703,'Moju','PA'),(1504802,'Monte Alegre','PA'),(1504901,'Muana','PA'),(1504950,'Nova Esperanca do Piria','PA'),(1504976,'Nova Ipixuna','PA'),(1505007,'Nova Timboteua','PA'),(1505031,'Novo Progresso','PA'),(1505064,'Novo Repartimento','PA'),(1505106,'Obidos','PA'),(1505205,'Oeiras do Para','PA'),(1505304,'Oriximina','PA'),(1505403,'Ourem','PA'),(1505437,'Ourilandia do Norte','PA'),(1505486,'Pacaja','PA'),(1505494,'Palestina do Para','PA'),(1505502,'Paragominas','PA'),(1505536,'Parauapebas','PA'),(1505551,'Pau D\'Arco','PA'),(1505601,'Peixe-Boi','PA'),(1505635,'Picarra','PA'),(1505650,'Placas','PA'),(1505700,'Ponta de Pedras','PA'),(1505809,'Portel','PA'),(1505908,'Porto de Moz','PA'),(1506005,'Prainha','PA'),(1506104,'Primavera','PA'),(1506112,'Quatipuru','PA'),(1506138,'Redencao','PA'),(1506161,'Rio Maria','PA'),(1506187,'Rondon do Para','PA'),(1506195,'Ruropolis','PA'),(1506203,'Salinopolis','PA'),(1506302,'Salvaterra','PA'),(1506351,'Santa Barbara do Para','PA'),(1506401,'Santa Cruz do Arari','PA'),(1506500,'Santa Isabel do Para','PA'),(1506559,'Santa Luzia do Para','PA'),(1506583,'Santa Maria das Barreiras','PA'),(1506609,'Santa Maria do Para','PA'),(1506708,'Santana do Araguaia','PA'),(1506807,'Santarem','PA'),(1506906,'Santarem Novo','PA'),(1507003,'Santo Antonio do Taua','PA'),(1507102,'Sao Caetano de Odivelas','PA'),(1507151,'Sao Domingos do Araguaia','PA'),(1507201,'Sao Domingos do Capim','PA'),(1507300,'Sao Felix do Xingu','PA'),(1507409,'Sao Francisco do Para','PA'),(1507458,'Sao Geraldo do Araguaia','PA'),(1507466,'Sao Joao da Ponta','PA'),(1507474,'Sao Joao de Pirabas','PA'),(1507508,'Sao Joao do Araguaia','PA'),(1507607,'Sao Miguel do Guama','PA'),(1507706,'Sao Sebastiao da Boa Vista','PA'),(1507755,'Sapucaia','PA'),(1507805,'Senador Jose Porfirio','PA'),(1507904,'Soure','PA'),(1507953,'Tailandia','PA'),(1507961,'Terra Alta','PA'),(1507979,'Terra Santa','PA'),(1508001,'Tome-Acu','PA'),(1508035,'Tracuateua','PA'),(1508050,'Trairao','PA'),(1508084,'Tucuma','PA'),(1508100,'Tucurui','PA'),(1508126,'Ulianopolis','PA'),(1508159,'Uruara','PA'),(1508209,'Vigia','PA'),(1508308,'Viseu','PA'),(1508357,'Vitoria do Xingu','PA'),(1508407,'Xinguara','PA'),(1600055,'Serra do Navio','AP'),(1600105,'Amapa','AP'),(1600154,'Pedra Branca do Amapari','AP'),(1600204,'Calcoene','AP'),(1600212,'Cutias','AP'),(1600238,'Ferreira Gomes','AP'),(1600253,'Itaubal','AP'),(1600279,'Laranjal do Jari','AP'),(1600303,'Macapa','AP'),(1600402,'Mazagao','AP'),(1600501,'Oiapoque','AP'),(1600535,'Porto Grande','AP'),(1600550,'Pracuuba','AP'),(1600600,'Santana','AP'),(1600709,'Tartarugalzinho','AP'),(1600808,'Vitoria do Jari','AP'),(1700251,'Abreulandia','TO'),(1700301,'Aguiarnopolis','TO'),(1700350,'Alianca do Tocantins','TO'),(1700400,'Almas','TO'),(1700707,'Alvorada','TO'),(1701002,'Ananas','TO'),(1701051,'Angico','TO'),(1701101,'Aparecida do Rio Negro','TO'),(1701309,'Aragominas','TO'),(1701903,'Araguacema','TO'),(1702000,'Araguacu','TO'),(1702109,'Araguaina','TO'),(1702158,'Araguana','TO'),(1702208,'Araguatins','TO'),(1702307,'Arapoema','TO'),(1702406,'Arraias','TO'),(1702554,'Augustinopolis','TO'),(1702703,'Aurora do Tocantins','TO'),(1702901,'Axixa do Tocantins','TO'),(1703008,'Babaculandia','TO'),(1703057,'Bandeirantes do Tocantins','TO'),(1703073,'Barra do Ouro','TO'),(1703107,'Barrolandia','TO'),(1703206,'Bernardo Sayao','TO'),(1703305,'Bom Jesus do Tocantins','TO'),(1703602,'Brasilandia do Tocantins','TO'),(1703701,'Brejinho de Nazare','TO'),(1703800,'Buriti do Tocantins','TO'),(1703826,'Cachoeirinha','TO'),(1703842,'Campos Lindos','TO'),(1703867,'Cariri do Tocantins','TO'),(1703883,'Carmolandia','TO'),(1703891,'Carrasco Bonito','TO'),(1703909,'Caseara','TO'),(1704105,'Centenario','TO'),(1704600,'Chapada de Areia','TO'),(1705102,'Chapada da Natividade','TO'),(1705508,'Colinas do Tocantins','TO'),(1705557,'Combinado','TO'),(1705607,'Conceicao do Tocantins','TO'),(1706001,'Couto de Magalhaes','TO'),(1706100,'Cristalandia','TO'),(1706258,'Crixas do Tocantins','TO'),(1706506,'Darcinopolis','TO'),(1707009,'Dianopolis','TO'),(1707108,'Divinopolis do Tocantins','TO'),(1707207,'Dois Irmaos do Tocantins','TO'),(1707306,'Duere','TO'),(1707405,'Esperantina','TO'),(1707553,'Fatima','TO'),(1707652,'Figueiropolis','TO'),(1707702,'Filadelfia','TO'),(1708205,'Formoso do Araguaia','TO'),(1708254,'Fortaleza do Tabocao','TO'),(1708304,'Goianorte','TO'),(1709005,'Goiatins','TO'),(1709302,'Guarai','TO'),(1709500,'Gurupi','TO'),(1709807,'Ipueiras','TO'),(1710508,'Itacaja','TO'),(1710706,'Itaguatins','TO'),(1710904,'Itapiratins','TO'),(1711100,'Itapora do Tocantins','TO'),(1711506,'Jau do Tocantins','TO'),(1711803,'Juarina','TO'),(1711902,'Lagoa da Confusao','TO'),(1711951,'Lagoa do Tocantins','TO'),(1712009,'Lajeado','TO'),(1712157,'Lavandeira','TO'),(1712405,'Lizarda','TO'),(1712454,'Luzinopolis','TO'),(1712504,'Marianopolis do Tocantins','TO'),(1712702,'Mateiros','TO'),(1712801,'Maurilandia do Tocantins','TO'),(1713205,'Miracema do Tocantins','TO'),(1713304,'Miranorte','TO'),(1713601,'Monte do Carmo','TO'),(1713700,'Monte Santo do Tocantins','TO'),(1713809,'Mosquito','TO'),(1713957,'Muricilandia','TO'),(1714203,'Natividade','TO'),(1714302,'Nazare','TO'),(1714880,'Nova Olinda','TO'),(1715002,'Nova Rosalandia','TO'),(1715101,'Novo Acordo','TO'),(1715150,'Novo Alegre','TO'),(1715259,'Novo Jardim','TO'),(1715507,'Oliveira de Fatima','TO'),(1715705,'Palmeirante','TO'),(1715754,'Palmeiropolis','TO'),(1716109,'Paraiso do Tocantins','TO'),(1716208,'Parana','TO'),(1716307,'Pau D\'Arco','TO'),(1716505,'Pedro Afonso','TO'),(1716604,'Peixe','TO'),(1716653,'Pequizeiro','TO'),(1716703,'Colmeia','TO'),(1717008,'Pindorama do Tocantins','TO'),(1717206,'Piraque','TO'),(1717503,'Pium','TO'),(1717800,'Ponte Alta do Bom Jesus','TO'),(1717909,'Ponte Alta do Tocantins','TO'),(1718006,'Porto Alegre do Tocantins','TO'),(1718204,'Porto Nacional','TO'),(1718303,'Praia Norte','TO'),(1718402,'Presidente Kennedy','TO'),(1718451,'Pugmil','TO'),(1718501,'Recursolandia','TO'),(1718550,'Riachinho','TO'),(1718659,'Rio da Conceicao','TO'),(1718709,'Rio dos Bois','TO'),(1718758,'Rio Sono','TO'),(1718808,'Sampaio','TO'),(1718840,'Sandolandia','TO'),(1718865,'Santa Fe do Araguaia','TO'),(1718881,'Santa Maria do Tocantins','TO'),(1718899,'Santa Rita do Tocantins','TO'),(1718907,'Santa Rosa do Tocantins','TO'),(1719004,'Santa Tereza do Tocantins','TO'),(1720002,'Santa Terezinha do Tocantins','TO'),(1720101,'Sao Bento do Tocantins','TO'),(1720150,'Sao Felix do Tocantins','TO'),(1720200,'Sao Miguel do Tocantins','TO'),(1720259,'Sao Salvador do Tocantins','TO'),(1720309,'Sao Sebastiao do Tocantins','TO'),(1720499,'Sao Valerio da Natividade','TO'),(1720655,'Silvanopolis','TO'),(1720804,'Sitio Novo do Tocantins','TO'),(1720853,'Sucupira','TO'),(1720903,'Taguatinga','TO'),(1720937,'Taipas do Tocantins','TO'),(1720978,'Talisma','TO'),(1721000,'Palmas','TO'),(1721109,'Tocantinia','TO'),(1721208,'Tocantinopolis','TO'),(1721257,'Tupirama','TO'),(1721307,'Tupiratins','TO'),(1722081,'Wanderlandia','TO'),(1722107,'Xambioa','TO'),(2100055,'Acailandia','MA'),(2100105,'Afonso Cunha','MA'),(2100154,'Agua Doce do Maranhao','MA'),(2100204,'Alcantara','MA'),(2100303,'Aldeias Altas','MA'),(2100402,'Altamira do Maranhao','MA'),(2100436,'Alto Alegre do Maranhao','MA'),(2100477,'Alto Alegre do Pindare','MA'),(2100501,'Alto Parnaiba','MA'),(2100550,'Amapa do Maranhao','MA'),(2100600,'Amarante do Maranhao','MA'),(2100709,'Anajatuba','MA'),(2100808,'Anapurus','MA'),(2100832,'Apicum-Acu','MA'),(2100873,'Araguana','MA'),(2100907,'Araioses','MA'),(2100956,'Arame','MA'),(2101004,'Arari','MA'),(2101103,'Axixa','MA'),(2101202,'Bacabal','MA'),(2101251,'Bacabeira','MA'),(2101301,'Bacuri','MA'),(2101350,'Bacurituba','MA'),(2101400,'Balsas','MA'),(2101509,'Barao de Grajau','MA'),(2101608,'Barra do Corda','MA'),(2101707,'Barreirinhas','MA'),(2101731,'Belagua','MA'),(2101772,'Bela Vista do Maranhao','MA'),(2101806,'Benedito Leite','MA'),(2101905,'Bequimao','MA'),(2101939,'Bernardo do Mearim','MA'),(2101970,'Boa Vista do Gurupi','MA'),(2102002,'Bom Jardim','MA'),(2102036,'Bom Jesus das Selvas','MA'),(2102077,'Bom Lugar','MA'),(2102101,'Brejo','MA'),(2102150,'Brejo de Areia','MA'),(2102200,'Buriti','MA'),(2102309,'Buriti Bravo','MA'),(2102325,'Buriticupu','MA'),(2102358,'Buritirana','MA'),(2102374,'Cachoeira Grande','MA'),(2102408,'Cajapio','MA'),(2102507,'Cajari','MA'),(2102556,'Campestre do Maranhao','MA'),(2102606,'Candido Mendes','MA'),(2102705,'Cantanhede','MA'),(2102754,'Capinzal do Norte','MA'),(2102804,'Carolina','MA'),(2102903,'Carutapera','MA'),(2103000,'Caxias','MA'),(2103109,'Cedral','MA'),(2103125,'Central do Maranhao','MA'),(2103158,'Centro do Guilherme','MA'),(2103174,'Centro Novo do Maranhao','MA'),(2103208,'Chapadinha','MA'),(2103257,'Cidelandia','MA'),(2103307,'Codo','MA'),(2103406,'Coelho Neto','MA'),(2103505,'Colinas','MA'),(2103554,'Conceicao do Lago-Acu','MA'),(2103604,'Coroata','MA'),(2103703,'Cururupu','MA'),(2103752,'Davinopolis','MA'),(2103802,'Dom Pedro','MA'),(2103901,'Duque Bacelar','MA'),(2104008,'Esperantinopolis','MA'),(2104057,'Estreito','MA'),(2104073,'Feira Nova do Maranhao','MA'),(2104081,'Fernando Falcao','MA'),(2104099,'Formosa da Serra Negra','MA'),(2104107,'Fortaleza dos Nogueiras','MA'),(2104206,'Fortuna','MA'),(2104305,'Godofredo Viana','MA'),(2104404,'Goncalves Dias','MA'),(2104503,'Governador Archer','MA'),(2104552,'Governador Edison Lobao','MA'),(2104602,'Governador Eugenio Barros','MA'),(2104628,'Governador Luiz Rocha','MA'),(2104651,'Governador Newton Bello','MA'),(2104677,'Governador Nunes Freire','MA'),(2104701,'Graca Aranha','MA'),(2104800,'Grajau','MA'),(2104909,'Guimaraes','MA'),(2105005,'Humberto de Campos','MA'),(2105104,'Icatu','MA'),(2105153,'Igarape do Meio','MA'),(2105203,'Igarape Grande','MA'),(2105302,'Imperatriz','MA'),(2105351,'Itaipava do Grajau','MA'),(2105401,'Itapecuru Mirim','MA'),(2105427,'Itinga do Maranhao','MA'),(2105450,'Jatoba','MA'),(2105476,'Jenipapo dos Vieiras','MA'),(2105500,'Joao Lisboa','MA'),(2105609,'Joselandia','MA'),(2105658,'Junco do Maranhao','MA'),(2105708,'Lago da Pedra','MA'),(2105807,'Lago do Junco','MA'),(2105906,'Lago Verde','MA'),(2105922,'Lagoa do Mato','MA'),(2105948,'Lagoa dos Rodrigues','MA'),(2105963,'Lagoa Grande do Maranhao','MA'),(2105989,'Lajeado Novo','MA'),(2106003,'Lima Campos','MA'),(2106102,'Loreto','MA'),(2106201,'Luis Domingues','MA'),(2106300,'Magalhaes de Almeida','MA'),(2106326,'Maracacume','MA'),(2106359,'Maraja do Sena','MA'),(2106375,'Maranhaozinho','MA'),(2106409,'Mata Roma','MA'),(2106508,'Matinha','MA'),(2106607,'Matoes','MA'),(2106631,'Matoes do Norte','MA'),(2106672,'Milagres do Maranhao','MA'),(2106706,'Mirador','MA'),(2106755,'Miranda do Norte','MA'),(2106805,'Mirinzal','MA'),(2106904,'Moncao','MA'),(2107001,'Montes Altos','MA'),(2107100,'Morros','MA'),(2107209,'Nina Rodrigues','MA'),(2107258,'Nova Colinas','MA'),(2107308,'Nova Iorque','MA'),(2107357,'Nova Olinda do Maranhao','MA'),(2107407,'Olho d\'Agua das Cunhas','MA'),(2107456,'Olinda Nova do Maranhao','MA'),(2107506,'Paco do Lumiar','MA'),(2107605,'Palmeirandia','MA'),(2107704,'Paraibano','MA'),(2107803,'Parnarama','MA'),(2107902,'Passagem Franca','MA'),(2108009,'Pastos Bons','MA'),(2108058,'Paulino Neves','MA'),(2108108,'Paulo Ramos','MA'),(2108207,'Pedreiras','MA'),(2108256,'Pedro do Rosario','MA'),(2108306,'Penalva','MA'),(2108405,'Peri Mirim','MA'),(2108454,'Peritoro','MA'),(2108504,'Pindare Mirim','MA'),(2108603,'Pinheiro','MA'),(2108702,'Pio XII','MA'),(2108801,'Pirapemas','MA'),(2108900,'Pocao de Pedras','MA'),(2109007,'Porto Franco','MA'),(2109056,'Porto Rico do Maranhao','MA'),(2109106,'Presidente Dutra','MA'),(2109205,'Presidente Juscelino','MA'),(2109239,'Presidente Medici','MA'),(2109270,'Presidente Sarney','MA'),(2109304,'Presidente Vargas','MA'),(2109403,'Primeira Cruz','MA'),(2109452,'Raposa','MA'),(2109502,'Riachao','MA'),(2109551,'Ribamar Fiquene','MA'),(2109601,'Rosario','MA'),(2109700,'Sambaiba','MA'),(2109759,'Santa Filomena do Maranhao','MA'),(2109809,'Santa Helena','MA'),(2109908,'Santa Ines','MA'),(2110005,'Santa Luzia','MA'),(2110039,'Santa Luzia do Parua','MA'),(2110104,'Santa Quiteria do Maranhao','MA'),(2110203,'Santa Rita','MA'),(2110237,'Santana do Maranhao','MA'),(2110278,'Santo Amaro do Maranhao','MA'),(2110302,'Santo Antonio dos Lopes','MA'),(2110401,'Sao Benedito do Rio Preto','MA'),(2110500,'Sao Bento','MA'),(2110609,'Sao Bernardo','MA'),(2110658,'Sao Domingos do Azeitao','MA'),(2110708,'Sao Domingos do Maranhao','MA'),(2110807,'Sao Felix de Balsas','MA'),(2110856,'Sao Francisco do Brejao','MA'),(2110906,'Sao Francisco do Maranhao','MA'),(2111003,'Sao Joao Batista','MA'),(2111029,'Sao Joao do Caru','MA'),(2111052,'Sao Joao do Paraiso','MA'),(2111078,'Sao Joao do Soter','MA'),(2111102,'Sao Joao dos Patos','MA'),(2111201,'Sao Jose de Ribamar','MA'),(2111250,'Sao Jose dos Basilios','MA'),(2111300,'Sao Luis','MA'),(2111409,'Sao Luis Gonzaga do Maranhao','MA'),(2111508,'Sao Mateus do Maranhao','MA'),(2111532,'Sao Pedro da Agua Branca','MA'),(2111573,'Sao Pedro dos Crentes','MA'),(2111607,'Sao Raimundo das Mangabeiras','MA'),(2111631,'Sao Raimundo do Doca Bezerra','MA'),(2111672,'Sao Roberto','MA'),(2111706,'Sao Vicente Ferrer','MA'),(2111722,'Satubinha','MA'),(2111748,'Senador Alexandre Costa','MA'),(2111763,'Senador La Rocque','MA'),(2111789,'Serrano do Maranhao','MA'),(2111805,'Sitio Novo','MA'),(2111904,'Sucupira do Norte','MA'),(2111953,'Sucupira do Riachao','MA'),(2112001,'Tasso Fragoso','MA'),(2112100,'Timbiras','MA'),(2112209,'Timon','MA'),(2112233,'Trizidela do Vale','MA'),(2112274,'Tufilandia','MA'),(2112308,'Tuntum','MA'),(2112407,'Turiacu','MA'),(2112456,'Turilandia','MA'),(2112506,'Tutoia','MA'),(2112605,'Urbano Santos','MA'),(2112704,'Vargem Grande','MA'),(2112803,'Viana','MA'),(2112852,'Vila Nova dos Martirios','MA'),(2112902,'Vitoria do Mearim','MA'),(2113009,'Vitorino Freire','MA'),(2114007,'Ze Doca','MA'),(2200053,'Acaua','PI'),(2200103,'Agricolandia','PI'),(2200202,'Agua Branca','PI'),(2200251,'Alagoinha do Piaui','PI'),(2200277,'Alegrete do Piaui','PI'),(2200301,'Alto Longa','PI'),(2200400,'Altos','PI'),(2200459,'Alvorada do Gurgueia','PI'),(2200509,'Amarante','PI'),(2200608,'Angical do Piaui','PI'),(2200707,'Anisio de Abreu','PI'),(2200806,'Antonio Almeida','PI'),(2200905,'Aroazes','PI'),(2201002,'Arraial','PI'),(2201051,'Assuncao do Piaui','PI'),(2201101,'Avelino Lopes','PI'),(2201150,'Baixa Grande do Ribeiro','PI'),(2201176,'Barra D\'Alcantara','PI'),(2201200,'Barras','PI'),(2201309,'Barreiras do Piaui','PI'),(2201408,'Barro Duro','PI'),(2201507,'Batalha','PI'),(2201556,'Bela Vista do Piaui','PI'),(2201572,'Belem do Piaui','PI'),(2201606,'Beneditinos','PI'),(2201705,'Bertolinia','PI'),(2201739,'Betania do Piaui','PI'),(2201770,'Boa Hora','PI'),(2201804,'Bocaina','PI'),(2201903,'Bom Jesus','PI'),(2201919,'Bom Principio do Piaui','PI'),(2201929,'Bonfim do Piaui','PI'),(2201945,'Boqueirao do Piaui','PI'),(2201960,'Brasileira','PI'),(2201988,'Brejo do Piaui','PI'),(2202000,'Buriti dos Lopes','PI'),(2202026,'Buriti dos Montes','PI'),(2202059,'Cabeceiras do Piaui','PI'),(2202075,'Cajazeiras do Piaui','PI'),(2202083,'Cajueiro da Praia','PI'),(2202091,'Caldeirao Grande do Piaui','PI'),(2202109,'Campinas do Piaui','PI'),(2202117,'Campo Alegre do Fidalgo','PI'),(2202133,'Campo Grande do Piaui','PI'),(2202174,'Campo Largo do Piaui','PI'),(2202208,'Campo Maior','PI'),(2202251,'Canavieira','PI'),(2202307,'Canto do Buriti','PI'),(2202406,'Capitao de Campos','PI'),(2202455,'Capitao Gervasio de Oliveira','PI'),(2202505,'Caracol','PI'),(2202539,'Caraubas do Piaui','PI'),(2202554,'Caridade do Piaui','PI'),(2202604,'Castelo do Piaui','PI'),(2202653,'Caxingo','PI'),(2202703,'Cocal','PI'),(2202711,'Cocal de Telha','PI'),(2202729,'Cocal dos Alves','PI'),(2202737,'Coivaras','PI'),(2202752,'Colonia do Gurgueia','PI'),(2202778,'Colonia do Piaui','PI'),(2202802,'Conceicao do Caninde','PI'),(2202851,'Coronel Jose Dias','PI'),(2202901,'Corrente','PI'),(2203008,'Cristalandia do Piaui','PI'),(2203107,'Cristino Castro','PI'),(2203206,'Curimata','PI'),(2203230,'Currais','PI'),(2203255,'Curralinhos','PI'),(2203271,'Curral Novo do Piaui','PI'),(2203305,'Demerval Lobao','PI'),(2203354,'Dirceu Arcoverde','PI'),(2203404,'Dom Expedito Lopes','PI'),(2203420,'Domingos Mourao','PI'),(2203453,'Dom Inocencio','PI'),(2203503,'Elesbao Veloso','PI'),(2203602,'Eliseu Martins','PI'),(2203701,'Esperantina','PI'),(2203750,'Fartura do Piaui','PI'),(2203800,'Flores do Piaui','PI'),(2203859,'Floresta do Piaui','PI'),(2203909,'Floriano','PI'),(2204006,'Francinopolis','PI'),(2204105,'Francisco Ayres','PI'),(2204154,'Francisco Macedo','PI'),(2204204,'Francisco Santos','PI'),(2204303,'Fronteiras','PI'),(2204352,'Geminiano','PI'),(2204402,'Gilbues','PI'),(2204501,'Guadalupe','PI'),(2204550,'Guaribas','PI'),(2204600,'Hugo Napoleao','PI'),(2204659,'Ilha Grande','PI'),(2204709,'Inhuma','PI'),(2204808,'Ipiranga do Piaui','PI'),(2204907,'Isaias Coelho','PI'),(2205003,'Itainopolis','PI'),(2205102,'Itaueira','PI'),(2205151,'Jacobina do Piaui','PI'),(2205201,'Jaicos','PI'),(2205250,'Jardim do Mulato','PI'),(2205276,'Jatoba do Piaui','PI'),(2205300,'Jerumenha','PI'),(2205359,'Joao Costa','PI'),(2205409,'Joaquim Pires','PI'),(2205458,'Joca Marques','PI'),(2205508,'Jose de Freitas','PI'),(2205516,'Juazeiro do Piaui','PI'),(2205524,'Julio Borges','PI'),(2205532,'Jurema','PI'),(2205540,'Lagoinha do Piaui','PI'),(2205557,'Lagoa Alegre','PI'),(2205565,'Lagoa do Barro do Piaui','PI'),(2205573,'Lagoa de Sao Francisco','PI'),(2205581,'Lagoa do Piaui','PI'),(2205599,'Lagoa do Sitio','PI'),(2205607,'Landri Sales','PI'),(2205706,'Luis Correia','PI'),(2205805,'Luzilandia','PI'),(2205854,'Madeiro','PI'),(2205904,'Manoel Emidio','PI'),(2205953,'Marcolandia','PI'),(2206001,'Marcos Parente','PI'),(2206050,'Massape do Piaui','PI'),(2206100,'Matias Olimpio','PI'),(2206209,'Miguel Alves','PI'),(2206308,'Miguel Leao','PI'),(2206357,'Milton Brandao','PI'),(2206407,'Monsenhor Gil','PI'),(2206506,'Monsenhor Hipolito','PI'),(2206605,'Monte Alegre do Piaui','PI'),(2206654,'Morro Cabeca no Tempo','PI'),(2206670,'Morro do Chapeu do Piaui','PI'),(2206696,'Murici dos Portelas','PI'),(2206704,'Nazare do Piaui','PI'),(2206753,'Nossa Senhora do Nazare','PI'),(2206803,'Nossa Senhora dos Remedios','PI'),(2206902,'Novo Oriente do Piaui','PI'),(2206951,'Novo Santo Antonio','PI'),(2207009,'Oeiras','PI'),(2207108,'Olho D\'Agua do Piaui','PI'),(2207207,'Padre Marcos','PI'),(2207306,'Paes Landim','PI'),(2207355,'Pajeu do Piaui','PI'),(2207405,'Palmeira do Piaui','PI'),(2207504,'Palmeirais','PI'),(2207553,'Paqueta','PI'),(2207603,'Parnagua','PI'),(2207702,'Parnaiba','PI'),(2207751,'Passagem Franca do Piaui','PI'),(2207777,'Patos do Piaui','PI'),(2207801,'Paulistana','PI'),(2207850,'Pavussu','PI'),(2207900,'Pedro II','PI'),(2207934,'Pedro Laurentino','PI'),(2207959,'Petronio Portela','PI'),(2208007,'Picos','PI'),(2208106,'Pimenteiras','PI'),(2208205,'Pio IX','PI'),(2208304,'Piracuruca','PI'),(2208403,'Piripiri','PI'),(2208502,'Porto','PI'),(2208551,'Porto Alegre do Piaui','PI'),(2208601,'Prata do Piaui','PI'),(2208650,'Queimada Nova','PI'),(2208700,'Redencao do Gurgueia','PI'),(2208809,'Regeneracao','PI'),(2208858,'Riacho Frio','PI'),(2208874,'Ribeira do Piaui','PI'),(2208908,'Ribeiro Goncalves','PI'),(2209005,'Rio Grande do Piaui','PI'),(2209104,'Santa Cruz do Piaui','PI'),(2209153,'Santa Cruz dos Milagres','PI'),(2209203,'Santa Filomena','PI'),(2209302,'Santa Luz','PI'),(2209351,'Santana do Piaui','PI'),(2209377,'Santa Rosa do Piaui','PI'),(2209401,'Santo Antonio de Lisboa','PI'),(2209450,'Santo Antonio dos Milagres','PI'),(2209500,'Santo Inacio do Piaui','PI'),(2209559,'Sao Braz do Piaui','PI'),(2209609,'Sao Felix do Piaui','PI'),(2209658,'Sao Francisco de Assis do Piaui','PI'),(2209708,'Sao Francisco do Piaui','PI'),(2209757,'Sao Goncalo do Gurgueia','PI'),(2209807,'Sao Goncalo do Piaui','PI'),(2209856,'Sao Joao da Canabrava','PI'),(2209872,'Sao Joao da Fronteira','PI'),(2209906,'Sao Joao da Serra','PI'),(2209955,'Sao Joao da Varjota','PI'),(2209971,'Sao Joao do Arraial','PI'),(2210003,'Sao Joao do Piaui','PI'),(2210052,'Sao Jose do Divino','PI'),(2210102,'Sao Jose do Peixe','PI'),(2210201,'Sao Jose do Piaui','PI'),(2210300,'Sao Juliao','PI'),(2210359,'Sao Lourenco do Piaui','PI'),(2210375,'Sao Luis do Piaui','PI'),(2210383,'Sao Miguel da Baixa Grande','PI'),(2210391,'Sao Miguel do Fidalgo','PI'),(2210409,'Sao Miguel do Tapuio','PI'),(2210508,'Sao Pedro do Piaui','PI'),(2210607,'Sao Raimundo Nonato','PI'),(2210623,'Sebastiao Barros','PI'),(2210631,'Sebastiao Leal','PI'),(2210656,'Sigefredo Pacheco','PI'),(2210706,'Simoes','PI'),(2210805,'Simplicio Mendes','PI'),(2210904,'Socorro do Piaui','PI'),(2210938,'Sussuapara','PI'),(2210953,'Tamboril do Piaui','PI'),(2210979,'Tanque do Piaui','PI'),(2211001,'Teresina','PI'),(2211100,'Uniao','PI'),(2211209,'Urucui','PI'),(2211308,'Valenca do Piaui','PI'),(2211357,'Varzea Branca','PI'),(2211407,'Varzea Grande','PI'),(2211506,'Vera Mendes','PI'),(2211605,'Vila Nova do Piaui','PI'),(2211704,'Wall Ferraz','PI'),(2300101,'Abaiara','CE'),(2300150,'Acarape','CE'),(2300200,'Acarau','CE'),(2300309,'Acopiara','CE'),(2300408,'Aiuaba','CE'),(2300507,'Alcantaras','CE'),(2300606,'Altaneira','CE'),(2300705,'Alto Santo','CE'),(2300754,'Amontada','CE'),(2300804,'Antonina do Norte','CE'),(2300903,'Apuiares','CE'),(2301000,'Aquiraz','CE'),(2301109,'Aracati','CE'),(2301208,'Aracoiaba','CE'),(2301257,'Ararenda','CE'),(2301307,'Araripe','CE'),(2301406,'Aratuba','CE'),(2301505,'Arneiroz','CE'),(2301604,'Assare','CE'),(2301703,'Aurora','CE'),(2301802,'Baixio','CE'),(2301851,'Banabuiu','CE'),(2301901,'Barbalha','CE'),(2301950,'Barreira','CE'),(2302008,'Barro','CE'),(2302057,'Barroquinha','CE'),(2302107,'Baturite','CE'),(2302206,'Beberibe','CE'),(2302305,'Bela Cruz','CE'),(2302404,'Boa Viagem','CE'),(2302503,'Brejo Santo','CE'),(2302602,'Camocim','CE'),(2302701,'Campos Sales','CE'),(2302800,'Caninde','CE'),(2302909,'Capistrano','CE'),(2303006,'Caridade','CE'),(2303105,'Carire','CE'),(2303204,'Caririacu','CE'),(2303303,'Carius','CE'),(2303402,'Carnaubal','CE'),(2303501,'Cascavel','CE'),(2303600,'Catarina','CE'),(2303659,'Catunda','CE'),(2303709,'Caucaia','CE'),(2303808,'Cedro','CE'),(2303907,'Chaval','CE'),(2303931,'Choro','CE'),(2303956,'Chorozinho','CE'),(2304004,'Coreau','CE'),(2304103,'Crateus','CE'),(2304202,'Crato','CE'),(2304236,'Croata','CE'),(2304251,'Cruz','CE'),(2304269,'Deputado Irapuan Pinheiro','CE'),(2304277,'Erere','CE'),(2304285,'Eusebio','CE'),(2304301,'Farias Brito','CE'),(2304350,'Forquilha','CE'),(2304400,'Fortaleza','CE'),(2304459,'Fortim','CE'),(2304509,'Frecheirinha','CE'),(2304608,'General Sampaio','CE'),(2304657,'Graca','CE'),(2304707,'Granja','CE'),(2304806,'Granjeiro','CE'),(2304905,'Groairas','CE'),(2304954,'Guaiuba','CE'),(2305001,'Guaraciaba do Norte','CE'),(2305100,'Guaramiranga','CE'),(2305209,'Hidrolandia','CE'),(2305233,'Horizonte','CE'),(2305266,'Ibaretama','CE'),(2305308,'Ibiapina','CE'),(2305332,'Ibicuitinga','CE'),(2305357,'Icapui','CE'),(2305407,'Ico','CE'),(2305506,'Iguatu','CE'),(2305605,'Independencia','CE'),(2305654,'Ipaporanga','CE'),(2305704,'Ipaumirim','CE'),(2305803,'Ipu','CE'),(2305902,'Ipueiras','CE'),(2306009,'Iracema','CE'),(2306108,'Iraucuba','CE'),(2306207,'Itaicaba','CE'),(2306256,'Itaitinga','CE'),(2306306,'Itapage','CE'),(2306405,'Itapipoca','CE'),(2306504,'Itapiuna','CE'),(2306553,'Itarema','CE'),(2306603,'Itatira','CE'),(2306702,'Jaguaretama','CE'),(2306801,'Jaguaribara','CE'),(2306900,'Jaguaribe','CE'),(2307007,'Jaguaruana','CE'),(2307106,'Jardim','CE'),(2307205,'Jati','CE'),(2307254,'Jijoca de Jericoacoara','CE'),(2307304,'Juazeiro do Norte','CE'),(2307403,'Jucas','CE'),(2307502,'Lavras da Mangabeira','CE'),(2307601,'Limoeiro do Norte','CE'),(2307635,'Madalena','CE'),(2307650,'Maracanau','CE'),(2307700,'Maranguape','CE'),(2307809,'Marco','CE'),(2307908,'Martinopole','CE'),(2308005,'Massape','CE'),(2308104,'Mauriti','CE'),(2308203,'Meruoca','CE'),(2308302,'Milagres','CE'),(2308351,'Milha','CE'),(2308377,'Miraima','CE'),(2308401,'Missao Velha','CE'),(2308500,'Mombaca','CE'),(2308609,'Monsenhor Tabosa','CE'),(2308708,'Morada Nova','CE'),(2308807,'Moraujo','CE'),(2308906,'Morrinhos','CE'),(2309003,'Mucambo','CE'),(2309102,'Mulungu','CE'),(2309201,'Nova Olinda','CE'),(2309300,'Nova Russas','CE'),(2309409,'Novo Oriente','CE'),(2309458,'Ocara','CE'),(2309508,'Oros','CE'),(2309607,'Pacajus','CE'),(2309706,'Pacatuba','CE'),(2309805,'Pacoti','CE'),(2309904,'Pacuja','CE'),(2310001,'Palhano','CE'),(2310100,'Palmacia','CE'),(2310209,'Paracuru','CE'),(2310258,'Paraipaba','CE'),(2310308,'Parambu','CE'),(2310407,'Paramoti','CE'),(2310506,'Pedra Branca','CE'),(2310605,'Penaforte','CE'),(2310704,'Pentecoste','CE'),(2310803,'Pereiro','CE'),(2310852,'Pindoretama','CE'),(2310902,'Piquet Carneiro','CE'),(2310951,'Pires Ferreira','CE'),(2311009,'Poranga','CE'),(2311108,'Porteiras','CE'),(2311207,'Potengi','CE'),(2311231,'Potiretama','CE'),(2311264,'Quiterianopolis','CE'),(2311306,'Quixada','CE'),(2311355,'Quixelo','CE'),(2311405,'Quixeramobim','CE'),(2311504,'Quixere','CE'),(2311603,'Redencao','CE'),(2311702,'Reriutaba','CE'),(2311801,'Russas','CE'),(2311900,'Saboeiro','CE'),(2311959,'Salitre','CE'),(2312007,'Santana do Acarau','CE'),(2312106,'Santana do Cariri','CE'),(2312205,'Santa Quiteria','CE'),(2312304,'Sao Benedito','CE'),(2312403,'Sao Goncalo do Amarante','CE'),(2312502,'Sao Joao do Jaguaribe','CE'),(2312601,'Sao Luis do Curu','CE'),(2312700,'Senador Pompeu','CE'),(2312809,'Senador Sa','CE'),(2312908,'Sobral','CE'),(2313005,'Solonopole','CE'),(2313104,'Tabuleiro do Norte','CE'),(2313203,'Tamboril','CE'),(2313252,'Tarrafas','CE'),(2313302,'Taua','CE'),(2313351,'Tejucuoca','CE'),(2313401,'Tiangua','CE'),(2313500,'Trairi','CE'),(2313559,'Tururu','CE'),(2313609,'Ubajara','CE'),(2313708,'Umari','CE'),(2313757,'Umirim','CE'),(2313807,'Uruburetama','CE'),(2313906,'Uruoca','CE'),(2313955,'Varjota','CE'),(2314003,'Varzea Alegre','CE'),(2314102,'Vicosa do Ceara','CE'),(2400109,'Acari','RN'),(2400208,'Acu','RN'),(2400307,'Afonso Bezerra','RN'),(2400406,'Agua Nova','RN'),(2400505,'Alexandria','RN'),(2400604,'Almino Afonso','RN'),(2400703,'Alto do Rodrigues','RN'),(2400802,'Angicos','RN'),(2400901,'Antonio Martins','RN'),(2401008,'Apodi','RN'),(2401107,'Areia Branca','RN'),(2401206,'Ares','RN'),(2401305,'Augusto Severo','RN'),(2401404,'Baia Formosa','RN'),(2401453,'Barauna','RN'),(2401503,'Barcelona','RN'),(2401602,'Bento Fernandes','RN'),(2401651,'Bodo','RN'),(2401701,'Bom Jesus','RN'),(2401800,'Brejinho','RN'),(2401859,'Caicara do Norte','RN'),(2401909,'Caicara do Rio do Vento','RN'),(2402006,'Caico','RN'),(2402105,'Campo Redondo','RN'),(2402204,'Canguaretama','RN'),(2402303,'Caraubas','RN'),(2402402,'Carnauba dos Dantas','RN'),(2402501,'Carnaubais','RN'),(2402600,'Ceara-Mirim','RN'),(2402709,'Cerro Cora','RN'),(2402808,'Coronel Ezequiel','RN'),(2402907,'Coronel Joao Pessoa','RN'),(2403004,'Cruzeta','RN'),(2403103,'Currais Novos','RN'),(2403202,'Doutor Severiano','RN'),(2403251,'Parnamirim','RN'),(2403301,'Encanto','RN'),(2403400,'Equador','RN'),(2403509,'Espirito Santo','RN'),(2403608,'Extremoz','RN'),(2403707,'Felipe Guerra','RN'),(2403756,'Fernando Pedroza','RN'),(2403806,'Florania','RN'),(2403905,'Francisco Dantas','RN'),(2404002,'Frutuoso Gomes','RN'),(2404101,'Galinhos','RN'),(2404200,'Goianinha','RN'),(2404309,'Governador Dix-Sept Rosado','RN'),(2404408,'Grossos','RN'),(2404507,'Guamare','RN'),(2404606,'Ielmo Marinho','RN'),(2404705,'Ipanguacu','RN'),(2404804,'Ipueira','RN'),(2404853,'Itaja','RN'),(2404903,'Itau','RN'),(2405009,'Jacana','RN'),(2405108,'Jandaira','RN'),(2405207,'Janduis','RN'),(2405306,'Januario Cicco','RN'),(2405405,'Japi','RN'),(2405504,'Jardim de Angicos','RN'),(2405603,'Jardim de Piranhas','RN'),(2405702,'Jardim do Serido','RN'),(2405801,'Joao Camara','RN'),(2405900,'Joao Dias','RN'),(2406007,'Jose da Penha','RN'),(2406106,'Jucurutu','RN'),(2406205,'Lagoa d\'Anta','RN'),(2406304,'Lagoa de Pedras','RN'),(2406403,'Lagoa de Velhos','RN'),(2406502,'Lagoa Nova','RN'),(2406601,'Lagoa Salgada','RN'),(2406700,'Lajes','RN'),(2406809,'Lajes Pintadas','RN'),(2406908,'Lucrecia','RN'),(2407005,'Luis Gomes','RN'),(2407104,'Macaiba','RN'),(2407203,'Macau','RN'),(2407252,'Major Sales','RN'),(2407302,'Marcelino Vieira','RN'),(2407401,'Martins','RN'),(2407500,'Maxaranguape','RN'),(2407609,'Messias Targino','RN'),(2407708,'Montanhas','RN'),(2407807,'Monte Alegre','RN'),(2407906,'Monte das Gameleiras','RN'),(2408003,'Mossoro','RN'),(2408102,'Natal','RN'),(2408201,'Nisia Floresta','RN'),(2408300,'Nova Cruz','RN'),(2408409,'Olho-d\'Agua do Borges','RN'),(2408508,'Ouro Branco','RN'),(2408607,'Parana','RN'),(2408706,'Parau','RN'),(2408805,'Parazinho','RN'),(2408904,'Parelhas','RN'),(2408953,'Rio do Fogo','RN'),(2409100,'Passa e Fica','RN'),(2409209,'Passagem','RN'),(2409308,'Patu','RN'),(2409332,'Santa Maria','RN'),(2409407,'Pau dos Ferros','RN'),(2409506,'Pedra Grande','RN'),(2409605,'Pedra Preta','RN'),(2409704,'Pedro Avelino','RN'),(2409803,'Pedro Velho','RN'),(2409902,'Pendencias','RN'),(2410009,'Piloes','RN'),(2410108,'Poco Branco','RN'),(2410207,'Portalegre','RN'),(2410256,'Porto do Mangue','RN'),(2410306,'Presidente Juscelino','RN'),(2410405,'Pureza','RN'),(2410504,'Rafael Fernandes','RN'),(2410603,'Rafael Godeiro','RN'),(2410702,'Riacho da Cruz','RN'),(2410801,'Riacho de Santana','RN'),(2410900,'Riachuelo','RN'),(2411007,'Rodolfo Fernandes','RN'),(2411056,'Tibau','RN'),(2411106,'Ruy Barbosa','RN'),(2411205,'Santa Cruz','RN'),(2411403,'Santana do Matos','RN'),(2411429,'Santana do Serido','RN'),(2411502,'Santo Antonio','RN'),(2411601,'Sao Bento do Norte','RN'),(2411700,'Sao Bento do Trairi','RN'),(2411809,'Sao Fernando','RN'),(2411908,'Sao Francisco do Oeste','RN'),(2412005,'Sao Goncalo do Amarante','RN'),(2412104,'Sao Joao do Sabugi','RN'),(2412203,'Sao Jose de Mipibu','RN'),(2412302,'Sao Jose do Campestre','RN'),(2412401,'Sao Jose do Serido','RN'),(2412500,'Sao Miguel','RN'),(2412559,'Sao Miguel de Touros','RN'),(2412609,'Sao Paulo do Potengi','RN'),(2412708,'Sao Pedro','RN'),(2412807,'Sao Rafael','RN'),(2412906,'Sao Tome','RN'),(2413003,'Sao Vicente','RN'),(2413102,'Senador Eloi de Souza','RN'),(2413201,'Senador Georgino Avelino','RN'),(2413300,'Serra de Sao Bento','RN'),(2413359,'Serra do Mel','RN'),(2413409,'Serra Negra do Norte','RN'),(2413508,'Serrinha','RN'),(2413557,'Serrinha dos Pintos','RN'),(2413607,'Severiano Melo','RN'),(2413706,'Sitio Novo','RN'),(2413805,'Taboleiro Grande','RN'),(2413904,'Taipu','RN'),(2414001,'Tangara','RN'),(2414100,'Tenente Ananias','RN'),(2414159,'Tenente Laurentino Cruz','RN'),(2414209,'Tibau do Sul','RN'),(2414308,'Timbauba dos Batistas','RN'),(2414407,'Touros','RN'),(2414456,'Triunfo Potiguar','RN'),(2414506,'Umarizal','RN'),(2414605,'Upanema','RN'),(2414704,'Varzea','RN'),(2414753,'Venhar-Ver','RN'),(2414803,'Vera Cruz','RN'),(2414902,'Vicosa','RN'),(2415008,'Vila Flor','RN'),(2500106,'Agua Branca','PB'),(2500205,'Aguiar','PB'),(2500304,'Alagoa Grande','PB'),(2500403,'Alagoa Nova','PB'),(2500502,'Alagoinha','PB'),(2500536,'Alcantil','PB'),(2500577,'Algodao de Jandaira','PB'),(2500601,'Alhandra','PB'),(2500700,'Sao Joao do Rio do Peixe','PB'),(2500734,'Amparo','PB'),(2500775,'Aparecida','PB'),(2500809,'Aracagi','PB'),(2500908,'Arara','PB'),(2501005,'Araruna','PB'),(2501104,'Areia','PB'),(2501153,'Areia de Baraunas','PB'),(2501203,'Areial','PB'),(2501302,'Aroeiras','PB'),(2501351,'Assuncao','PB'),(2501401,'Baia da Traicao','PB'),(2501500,'Bananeiras','PB'),(2501534,'Barauna','PB'),(2501575,'Barra de Santana','PB'),(2501609,'Barra de Santa Rosa','PB'),(2501708,'Barra de Sao Miguel','PB'),(2501807,'Bayeux','PB'),(2501906,'Belem','PB'),(2502003,'Belem do Brejo do Cruz','PB'),(2502052,'Bernardino Batista','PB'),(2502102,'Boa Ventura','PB'),(2502151,'Boa Vista','PB'),(2502201,'Bom Jesus','PB'),(2502300,'Bom Sucesso','PB'),(2502409,'Bonito de Santa Fe','PB'),(2502508,'Boqueirao','PB'),(2502607,'Igaracy','PB'),(2502706,'Borborema','PB'),(2502805,'Brejo do Cruz','PB'),(2502904,'Brejo dos Santos','PB'),(2503001,'Caapora','PB'),(2503100,'Cabaceiras','PB'),(2503209,'Cabedelo','PB'),(2503308,'Cachoeira dos Indios','PB'),(2503407,'Cacimba de Areia','PB'),(2503506,'Cacimba de Dentro','PB'),(2503555,'Cacimbas','PB'),(2503605,'Caicara','PB'),(2503704,'Cajazeiras','PB'),(2503753,'Cajazeirinhas','PB'),(2503803,'Caldas Brandao','PB'),(2503902,'Camalau','PB'),(2504009,'Campina Grande','PB'),(2504033,'Capim','PB'),(2504074,'Caraubas','PB'),(2504108,'Carrapateira','PB'),(2504157,'Casserengue','PB'),(2504207,'Catingueira','PB'),(2504306,'Catole do Rocha','PB'),(2504355,'Caturite','PB'),(2504405,'Conceicao','PB'),(2504504,'Condado','PB'),(2504603,'Conde','PB'),(2504702,'Congo','PB'),(2504801,'Coremas','PB'),(2504850,'Coxixola','PB'),(2504900,'Cruz do Espirito Santo','PB'),(2505006,'Cubati','PB'),(2505105,'Cuite','PB'),(2505204,'Cuitegi','PB'),(2505238,'Cuite de Mamanguape','PB'),(2505279,'Curral de Cima','PB'),(2505303,'Curral Velho','PB'),(2505352,'Damiao','PB'),(2505402,'Desterro','PB'),(2505501,'Vista Serrana','PB'),(2505600,'Diamante','PB'),(2505709,'Dona Ines','PB'),(2505808,'Duas Estradas','PB'),(2505907,'Emas','PB'),(2506004,'Esperanca','PB'),(2506103,'Fagundes','PB'),(2506202,'Frei Martinho','PB'),(2506251,'Gado Bravo','PB'),(2506301,'Guarabira','PB'),(2506400,'Gurinhem','PB'),(2506509,'Gurjao','PB'),(2506608,'Ibiara','PB'),(2506707,'Imaculada','PB'),(2506806,'Inga','PB'),(2506905,'Itabaiana','PB'),(2507002,'Itaporanga','PB'),(2507101,'Itapororoca','PB'),(2507200,'Itatuba','PB'),(2507309,'Jacarau','PB'),(2507408,'Jerico','PB'),(2507507,'Joao Pessoa','PB'),(2507606,'Juarez Tavora','PB'),(2507705,'Juazeirinho','PB'),(2507804,'Junco do Serido','PB'),(2507903,'Juripiranga','PB'),(2508000,'Juru','PB'),(2508109,'Lagoa','PB'),(2508208,'Lagoa de Dentro','PB'),(2508307,'Lagoa Seca','PB'),(2508406,'Lastro','PB'),(2508505,'Livramento','PB'),(2508554,'Logradouro','PB'),(2508604,'Lucena','PB'),(2508703,'Mae d\'Agua','PB'),(2508802,'Malta','PB'),(2508901,'Mamanguape','PB'),(2509008,'Manaira','PB'),(2509057,'Marcacao','PB'),(2509107,'Mari','PB'),(2509156,'Marizopolis','PB'),(2509206,'Massaranduba','PB'),(2509305,'Mataraca','PB'),(2509339,'Matinhas','PB'),(2509370,'Mato Grosso','PB'),(2509396,'Matureia','PB'),(2509404,'Mogeiro','PB'),(2509503,'Montadas','PB'),(2509602,'Monte Horebe','PB'),(2509701,'Monteiro','PB'),(2509800,'Mulungu','PB'),(2509909,'Natuba','PB'),(2510006,'Nazarezinho','PB'),(2510105,'Nova Floresta','PB'),(2510204,'Nova Olinda','PB'),(2510303,'Nova Palmeira','PB'),(2510402,'Olho d\'Agua','PB'),(2510501,'Olivedos','PB'),(2510600,'Ouro Velho','PB'),(2510659,'Parari','PB'),(2510709,'Passagem','PB'),(2510808,'Patos','PB'),(2510907,'Paulista','PB'),(2511004,'Pedra Branca','PB'),(2511103,'Pedra Lavrada','PB'),(2511202,'Pedras de Fogo','PB'),(2511301,'Pianco','PB'),(2511400,'Picui','PB'),(2511509,'Pilar','PB'),(2511608,'Piloes','PB'),(2511707,'Piloezinhos','PB'),(2511806,'Pirpirituba','PB'),(2511905,'Pitimbu','PB'),(2512002,'Pocinhos','PB'),(2512036,'Poco Dantas','PB'),(2512077,'Poco de Jose de Moura','PB'),(2512101,'Pombal','PB'),(2512200,'Prata','PB'),(2512309,'Princesa Isabel','PB'),(2512408,'Puxinana','PB'),(2512507,'Queimadas','PB'),(2512606,'Quixaba','PB'),(2512705,'Remigio','PB'),(2512721,'Pedro Regio','PB'),(2512747,'Riachao','PB'),(2512754,'Assis Chateaubriand','PB'),(2512762,'Riachao do Poco','PB'),(2512788,'Riacho de Santo Antonio','PB'),(2512804,'Riacho dos Cavalos','PB'),(2512903,'Rio Tinto','PB'),(2513000,'Salgadinho','PB'),(2513109,'Salgado de Sao Felix','PB'),(2513158,'Santa Cecilia','PB'),(2513208,'Santa Cruz','PB'),(2513307,'Santa Helena','PB'),(2513356,'Santa Ines','PB'),(2513406,'Santa Luzia','PB'),(2513505,'Santana de Mangueira','PB'),(2513604,'Santana dos Garrotes','PB'),(2513653,'Santarem','PB'),(2513703,'Santa Rita','PB'),(2513802,'Santa Teresinha','PB'),(2513851,'Santo Andre','PB'),(2513901,'Sao Bento','PB'),(2513927,'Sao Bento de Pombal','PB'),(2513943,'Sao Domingos do Cariri','PB'),(2513968,'Sao Domingos de Pombal','PB'),(2513984,'Sao Francisco','PB'),(2514008,'Sao Joao do Cariri','PB'),(2514107,'Sao Joao do Tigre','PB'),(2514206,'Sao Jose da Lagoa Tapada','PB'),(2514305,'Sao Jose de Caiana','PB'),(2514404,'Sao Jose de Espinharas','PB'),(2514453,'Sao Jose dos Ramos','PB'),(2514503,'Sao Jose de Piranhas','PB'),(2514552,'Sao Jose de Princesa','PB'),(2514602,'Sao Jose do Bonfim','PB'),(2514651,'Sao Jose do Brejo do Cruz','PB'),(2514701,'Sao Jose do Sabugi','PB'),(2514800,'Sao Jose dos Cordeiros','PB'),(2514909,'Sao Mamede','PB'),(2515005,'Sao Miguel de Taipu','PB'),(2515104,'Sao Sebastiao de Lagoa de Roca','PB'),(2515203,'Sao Sebastiao do Umbuzeiro','PB'),(2515302,'Sape','PB'),(2515401,'Serido','PB'),(2515500,'Serra Branca','PB'),(2515609,'Serra da Raiz','PB'),(2515708,'Serra Grande','PB'),(2515807,'Serra Redonda','PB'),(2515906,'Serraria','PB'),(2515930,'Sertaozinho','PB'),(2515971,'Sobrado','PB'),(2516003,'Solanea','PB'),(2516102,'Soledade','PB'),(2516151,'Sossego','PB'),(2516201,'Sousa','PB'),(2516300,'Sume','PB'),(2516409,'Tacima','PB'),(2516508,'Taperoa','PB'),(2516607,'Tavares','PB'),(2516706,'Teixeira','PB'),(2516755,'Tenorio','PB'),(2516805,'Triunfo','PB'),(2516904,'Uirauna','PB'),(2517001,'Umbuzeiro','PB'),(2517100,'Varzea','PB'),(2517209,'Vieiropolis','PB'),(2517407,'Zabele','PB'),(2600054,'Abreu e Lima','PE'),(2600104,'Afogados da Ingazeira','PE'),(2600203,'Afranio','PE'),(2600302,'Agrestina','PE'),(2600401,'Agua Preta','PE'),(2600500,'Aguas Belas','PE'),(2600609,'Alagoinha','PE'),(2600708,'Alianca','PE'),(2600807,'Altinho','PE'),(2600906,'Amaraji','PE'),(2601003,'Angelim','PE'),(2601052,'Aracoiaba','PE'),(2601102,'Araripina','PE'),(2601201,'Arcoverde','PE'),(2601300,'Barra de Guabiraba','PE'),(2601409,'Barreiros','PE'),(2601508,'Belem de Maria','PE'),(2601607,'Belem de Sao Francisco','PE'),(2601706,'Belo Jardim','PE'),(2601805,'Betania','PE'),(2601904,'Bezerros','PE'),(2602001,'Bodoco','PE'),(2602100,'Bom Conselho','PE'),(2602209,'Bom Jardim','PE'),(2602308,'Bonito','PE'),(2602407,'Brejao','PE'),(2602506,'Brejinho','PE'),(2602605,'Brejo da Madre de Deus','PE'),(2602704,'Buenos Aires','PE'),(2602803,'Buique','PE'),(2602902,'Cabo de Santo Agostinho','PE'),(2603009,'Cabrobo','PE'),(2603108,'Cachoeirinha','PE'),(2603207,'Caetes','PE'),(2603306,'Calcado','PE'),(2603405,'Calumbi','PE'),(2603454,'Camaragibe','PE'),(2603504,'Camocim de Sao Felix','PE'),(2603603,'Camutanga','PE'),(2603702,'Canhotinho','PE'),(2603801,'Capoeiras','PE'),(2603900,'Carnaiba','PE'),(2603926,'Carnaubeira da Penha','PE'),(2604007,'Carpina','PE'),(2604106,'Caruaru','PE'),(2604155,'Casinhas','PE'),(2604205,'Catende','PE'),(2604304,'Cedro','PE'),(2604403,'Cha de Alegria','PE'),(2604502,'Cha Grande','PE'),(2604601,'Condado','PE'),(2604700,'Correntes','PE'),(2604809,'Cortes','PE'),(2604908,'Cumaru','PE'),(2605004,'Cupira','PE'),(2605103,'Custodia','PE'),(2605152,'Dormentes','PE'),(2605202,'Escada','PE'),(2605301,'Exu','PE'),(2605400,'Feira Nova','PE'),(2605459,'Fernando de Noronha','PE'),(2605509,'Ferreiros','PE'),(2605608,'Flores','PE'),(2605707,'Floresta','PE'),(2605806,'Frei Miguelinho','PE'),(2605905,'Gameleira','PE'),(2606002,'Garanhuns','PE'),(2606101,'Gloria do Goita','PE'),(2606200,'Goiana','PE'),(2606309,'Granito','PE'),(2606408,'Gravata','PE'),(2606507,'Iati','PE'),(2606606,'Ibimirim','PE'),(2606705,'Ibirajuba','PE'),(2606804,'Igarassu','PE'),(2606903,'Iguaraci','PE'),(2607000,'Inaja','PE'),(2607109,'Ingazeira','PE'),(2607208,'Ipojuca','PE'),(2607307,'Ipubi','PE'),(2607406,'Itacuruba','PE'),(2607505,'Itaiba','PE'),(2607604,'Itamaraca','PE'),(2607653,'Itambe','PE'),(2607703,'Itapetim','PE'),(2607752,'Itapissuma','PE'),(2607802,'Itaquitinga','PE'),(2607901,'Jaboatao dos Guararapes','PE'),(2607950,'Jaqueira','PE'),(2608008,'Jatauba','PE'),(2608057,'Jatoba','PE'),(2608107,'Joao Alfredo','PE'),(2608206,'Joaquim Nabuco','PE'),(2608255,'Jucati','PE'),(2608305,'Jupi','PE'),(2608404,'Jurema','PE'),(2608453,'Lagoa do Carro','PE'),(2608503,'Lagoa do Itaenga','PE'),(2608602,'Lagoa do Ouro','PE'),(2608701,'Lagoa dos Gatos','PE'),(2608750,'Lagoa Grande','PE'),(2608800,'Lajedo','PE'),(2608909,'Limoeiro','PE'),(2609006,'Macaparana','PE'),(2609105,'Machados','PE'),(2609154,'Manari','PE'),(2609204,'Maraial','PE'),(2609303,'Mirandiba','PE'),(2609402,'Moreno','PE'),(2609501,'Nazare da Mata','PE'),(2609600,'Olinda','PE'),(2609709,'Orobo','PE'),(2609808,'Oroco','PE'),(2609907,'Ouricuri','PE'),(2610004,'Palmares','PE'),(2610103,'Palmeirina','PE'),(2610202,'Panelas','PE'),(2610301,'Paranatama','PE'),(2610400,'Parnamirim','PE'),(2610509,'Passira','PE'),(2610608,'Paudalho','PE'),(2610707,'Paulista','PE'),(2610806,'Pedra','PE'),(2610905,'Pesqueira','PE'),(2611002,'Petrolandia','PE'),(2611101,'Petrolina','PE'),(2611200,'Pocao','PE'),(2611309,'Pombos','PE'),(2611408,'Primavera','PE'),(2611507,'Quipapa','PE'),(2611533,'Quixaba','PE'),(2611606,'Recife','PE'),(2611705,'Riacho das Almas','PE'),(2611804,'Ribeirao','PE'),(2611903,'Rio Formoso','PE'),(2612000,'Saire','PE'),(2612109,'Salgadinho','PE'),(2612208,'Salgueiro','PE'),(2612307,'Saloa','PE'),(2612406,'Sanharo','PE'),(2612455,'Santa Cruz','PE'),(2612471,'Santa Cruz da Baixa Verde','PE'),(2612505,'Santa Cruz do Capibaribe','PE'),(2612554,'Santa Filomena','PE'),(2612604,'Santa Maria da Boa Vista','PE'),(2612703,'Santa Maria do Cambuca','PE'),(2612802,'Santa Terezinha','PE'),(2612901,'Sao Benedito do Sul','PE'),(2613008,'Sao Bento do Una','PE'),(2613107,'Sao Caitano','PE'),(2613206,'Sao Joao','PE'),(2613305,'Sao Joaquim do Monte','PE'),(2613404,'Sao Jose da Coroa Grande','PE'),(2613503,'Sao Jose do Belmonte','PE'),(2613602,'Sao Jose do Egito','PE'),(2613701,'Sao Lourenco da Mata','PE'),(2613800,'Sao Vicente Ferrer','PE'),(2613909,'Serra Talhada','PE'),(2614006,'Serrita','PE'),(2614105,'Sertania','PE'),(2614204,'Sirinhaem','PE'),(2614303,'Moreilandia','PE'),(2614402,'Solidao','PE'),(2614501,'Surubim','PE'),(2614600,'Tabira','PE'),(2614709,'Tacaimbo','PE'),(2614808,'Tacaratu','PE'),(2614857,'Tamandare','PE'),(2615003,'Taquaritinga do Norte','PE'),(2615102,'Terezinha','PE'),(2615201,'Terra Nova','PE'),(2615300,'Timbauba','PE'),(2615409,'Toritama','PE'),(2615508,'Tracunhaem','PE'),(2615607,'Trindade','PE'),(2615706,'Triunfo','PE'),(2615805,'Tupanatinga','PE'),(2615904,'Tuparetama','PE'),(2616001,'Venturosa','PE'),(2616100,'Verdejante','PE'),(2616183,'Vertente do Lerio','PE'),(2616209,'Vertentes','PE'),(2616308,'Vicencia','PE'),(2616407,'Vitoria de Santo Antao','PE'),(2616506,'Xexeu','PE'),(2700102,'Agua Branca','AL'),(2700201,'Anadia','AL'),(2700300,'Arapiraca','AL'),(2700409,'Atalaia','AL'),(2700508,'Barra de Santo Antonio','AL'),(2700607,'Barra de Sao Miguel','AL'),(2700706,'Batalha','AL'),(2700805,'Belem','AL'),(2700904,'Belo Monte','AL'),(2701001,'Boca da Mata','AL'),(2701100,'Branquinha','AL'),(2701209,'Cacimbinhas','AL'),(2701308,'Cajueiro','AL'),(2701357,'Campestre','AL'),(2701407,'Campo Alegre','AL'),(2701506,'Campo Grande','AL'),(2701605,'Canapi','AL'),(2701704,'Capela','AL'),(2701803,'Carneiros','AL'),(2701902,'Cha Preta','AL'),(2702009,'Coite do Noia','AL'),(2702108,'Colonia Leopoldina','AL'),(2702207,'Coqueiro Seco','AL'),(2702306,'Coruripe','AL'),(2702355,'Craibas','AL'),(2702405,'Delmiro Gouveia','AL'),(2702504,'Dois Riachos','AL'),(2702553,'Estrela de Alagoas','AL'),(2702603,'Feira Grande','AL'),(2702702,'Feliz Deserto','AL'),(2702801,'Flexeiras','AL'),(2702900,'Girau do Ponciano','AL'),(2703007,'Ibateguara','AL'),(2703106,'Igaci','AL'),(2703205,'Igreja Nova','AL'),(2703304,'Inhapi','AL'),(2703403,'Jacare dos Homens','AL'),(2703502,'Jacuipe','AL'),(2703601,'Japaratinga','AL'),(2703700,'Jaramataia','AL'),(2703809,'Joaquim Gomes','AL'),(2703908,'Jundia','AL'),(2704005,'Junqueiro','AL'),(2704104,'Lagoa da Canoa','AL'),(2704203,'Limoeiro de Anadia','AL'),(2704302,'Maceio','AL'),(2704401,'Major Isidoro','AL'),(2704500,'Maragogi','AL'),(2704609,'Maravilha','AL'),(2704708,'Marechal Deodoro','AL'),(2704807,'Maribondo','AL'),(2704906,'Mar Vermelho','AL'),(2705002,'Mata Grande','AL'),(2705101,'Matriz de Camaragibe','AL'),(2705200,'Messias','AL'),(2705309,'Minador do Negrao','AL'),(2705408,'Monteiropolis','AL'),(2705507,'Murici','AL'),(2705606,'Novo Lino','AL'),(2705705,'Olho d\'Agua das Flores','AL'),(2705804,'Olho d\'Agua do Casado','AL'),(2705903,'Olho d\'Agua Grande','AL'),(2706000,'Olivenca','AL'),(2706109,'Ouro Branco','AL'),(2706208,'Palestina','AL'),(2706307,'Palmeira dos Indios','AL'),(2706406,'Pao de Acucar','AL'),(2706422,'Pariconha','AL'),(2706448,'Paripueira','AL'),(2706505,'Passo de Camaragibe','AL'),(2706604,'Paulo Jacinto','AL'),(2706703,'Penedo','AL'),(2706802,'Piacabucu','AL'),(2706901,'Pilar','AL'),(2707008,'Pindoba','AL'),(2707107,'Piranhas','AL'),(2707206,'Poco das Trincheiras','AL'),(2707305,'Porto Calvo','AL'),(2707404,'Porto de Pedras','AL'),(2707503,'Porto Real do Colegio','AL'),(2707602,'Quebrangulo','AL'),(2707701,'Rio Largo','AL'),(2707800,'Roteiro','AL'),(2707909,'Santa Luzia do Norte','AL'),(2708006,'Santana do Ipanema','AL'),(2708105,'Santana do Mundau','AL'),(2708204,'Sao Bras','AL'),(2708303,'Sao Jose da Laje','AL'),(2708402,'Sao Jose da Tapera','AL'),(2708501,'Sao Luis do Quitunde','AL'),(2708600,'Sao Miguel dos Campos','AL'),(2708709,'Sao Miguel dos Milagres','AL'),(2708808,'Sao Sebastiao','AL'),(2708907,'Satuba','AL'),(2708956,'Senador Rui Palmeira','AL'),(2709004,'Tanque d\'Arca','AL'),(2709103,'Taquarana','AL'),(2709152,'Teotonio Vilela','AL'),(2709202,'Traipu','AL'),(2709301,'Uniao dos Palmares','AL'),(2709400,'Vicosa','AL'),(2800100,'Amparo de Sao Francisco','SE'),(2800209,'Aquidaba','SE'),(2800308,'Aracaju','SE'),(2800407,'Araua','SE'),(2800506,'Areia Branca','SE'),(2800605,'Barra dos Coqueiros','SE'),(2800670,'Boquim','SE'),(2800704,'Brejo Grande','SE'),(2801009,'Campo do Brito','SE'),(2801108,'Canhoba','SE'),(2801207,'Caninde de Sao Francisco','SE'),(2801306,'Capela','SE'),(2801405,'Carira','SE'),(2801504,'Carmopolis','SE'),(2801603,'Cedro de Sao Joao','SE'),(2801702,'Cristinapolis','SE'),(2801900,'Cumbe','SE'),(2802007,'Divina Pastora','SE'),(2802106,'Estancia','SE'),(2802205,'Feira Nova','SE'),(2802304,'Frei Paulo','SE'),(2802403,'Gararu','SE'),(2802502,'General Maynard','SE'),(2802601,'Gracho Cardoso','SE'),(2802700,'Ilha das Flores','SE'),(2802809,'Indiaroba','SE'),(2802908,'Itabaiana','SE'),(2803005,'Itabaianinha','SE'),(2803104,'Itabi','SE'),(2803203,'Itaporanga d\'Ajuda','SE'),(2803302,'Japaratuba','SE'),(2803401,'Japoata','SE'),(2803500,'Lagarto','SE'),(2803609,'Laranjeiras','SE'),(2803708,'Macambira','SE'),(2803807,'Malhada dos Bois','SE'),(2803906,'Malhador','SE'),(2804003,'Maruim','SE'),(2804102,'Moita Bonita','SE'),(2804201,'Monte Alegre de Sergipe','SE'),(2804300,'Muribeca','SE'),(2804409,'Neopolis','SE'),(2804458,'Nossa Senhora Aparecida','SE'),(2804508,'Nossa Senhora da Gloria','SE'),(2804607,'Nossa Senhora das Dores','SE'),(2804706,'Nossa Senhora de Lourdes','SE'),(2804805,'Nossa Senhora do Socorro','SE'),(2804904,'Pacatuba','SE'),(2805000,'Pedra Mole','SE'),(2805109,'Pedrinhas','SE'),(2805208,'Pinhao','SE'),(2805307,'Pirambu','SE'),(2805406,'Poco Redondo','SE'),(2805505,'Poco Verde','SE'),(2805604,'Porto da Folha','SE'),(2805703,'Propria','SE'),(2805802,'Riachao do Dantas','SE'),(2805901,'Riachuelo','SE'),(2806008,'Ribeiropolis','SE'),(2806107,'Rosario do Catete','SE'),(2806206,'Salgado','SE'),(2806305,'Santa Luzia do Itanhy','SE'),(2806404,'Santana do Sao Francisco','SE'),(2806503,'Santa Rosa de Lima','SE'),(2806602,'Santo Amaro das Brotas','SE'),(2806701,'Sao Cristovao','SE'),(2806800,'Sao Domingos','SE'),(2806909,'Sao Francisco','SE'),(2807006,'Sao Miguel do Aleixo','SE'),(2807105,'Simao Dias','SE'),(2807204,'Siriri','SE'),(2807303,'Telha','SE'),(2807402,'Tobias Barreto','SE'),(2807501,'Tomar do Geru','SE'),(2807600,'Umbauba','SE'),(2900108,'Abaira','BA'),(2900207,'Abare','BA'),(2900306,'Acajutiba','BA'),(2900355,'Adustina','BA'),(2900405,'Agua Fria','BA'),(2900504,'Erico Cardoso','BA'),(2900603,'Aiquara','BA'),(2900702,'Alagoinhas','BA'),(2900801,'Alcobaca','BA'),(2900900,'Almadina','BA'),(2901007,'Amargosa','BA'),(2901106,'Amelia Rodrigues','BA'),(2901155,'America Dourada','BA'),(2901205,'Anage','BA'),(2901304,'Andarai','BA'),(2901353,'Andorinha','BA'),(2901403,'Angical','BA'),(2901502,'Anguera','BA'),(2901601,'Antas','BA'),(2901700,'Antonio Cardoso','BA'),(2901809,'Antonio Goncalves','BA'),(2901908,'Apora','BA'),(2901957,'Apuarema','BA'),(2902005,'Aracatu','BA'),(2902054,'Aracas','BA'),(2902104,'Araci','BA'),(2902203,'Aramari','BA'),(2902252,'Arataca','BA'),(2902302,'Aratuipe','BA'),(2902401,'Aurelino Leal','BA'),(2902500,'Baianopolis','BA'),(2902609,'Baixa Grande','BA'),(2902658,'Banzae','BA'),(2902708,'Barra','BA'),(2902807,'Barra da Estiva','BA'),(2902906,'Barra do Choca','BA'),(2903003,'Barra do Mendes','BA'),(2903102,'Barra do Rocha','BA'),(2903201,'Barreiras','BA'),(2903235,'Barro Alto','BA'),(2903300,'Barro Preto','BA'),(2903409,'Belmonte','BA'),(2903508,'Belo Campo','BA'),(2903607,'Biritinga','BA'),(2903706,'Boa Nova','BA'),(2903805,'Boa Vista do Tupim','BA'),(2903904,'Bom Jesus da Lapa','BA'),(2903953,'Bom Jesus da Serra','BA'),(2904001,'Boninal','BA'),(2904050,'Bonito','BA'),(2904100,'Boquira','BA'),(2904209,'Botupora','BA'),(2904308,'Brejoes','BA'),(2904407,'Brejolandia','BA'),(2904506,'Brotas de Macaubas','BA'),(2904605,'Brumado','BA'),(2904704,'Buerarema','BA'),(2904753,'Buritirama','BA'),(2904803,'Caatiba','BA'),(2904852,'Cabaceiras do Paraguacu','BA'),(2904902,'Cachoeira','BA'),(2905008,'Cacule','BA'),(2905107,'Caem','BA'),(2905156,'Caetanos','BA'),(2905206,'Caetite','BA'),(2905305,'Cafarnaum','BA'),(2905404,'Cairu','BA'),(2905503,'Caldeirao Grande','BA'),(2905602,'Camacan','BA'),(2905701,'Camacari','BA'),(2905800,'Camamu','BA'),(2905909,'Campo Alegre de Lourdes','BA'),(2906006,'Campo Formoso','BA'),(2906105,'Canapolis','BA'),(2906204,'Canarana','BA'),(2906303,'Canavieiras','BA'),(2906402,'Candeal','BA'),(2906501,'Candeias','BA'),(2906600,'Candiba','BA'),(2906709,'Candido Sales','BA'),(2906808,'Cansancao','BA'),(2906824,'Canudos','BA'),(2906857,'Capela do Alto Alegre','BA'),(2906873,'Capim Grosso','BA'),(2906899,'Caraibas','BA'),(2906907,'Caravelas','BA'),(2907004,'Cardeal da Silva','BA'),(2907103,'Carinhanha','BA'),(2907202,'Casa Nova','BA'),(2907301,'Castro Alves','BA'),(2907400,'Catolandia','BA'),(2907509,'Catu','BA'),(2907558,'Caturama','BA'),(2907608,'Central','BA'),(2907707,'Chorrocho','BA'),(2907806,'Cicero Dantas','BA'),(2907905,'Cipo','BA'),(2908002,'Coaraci','BA'),(2908101,'Cocos','BA'),(2908200,'Conceicao da Feira','BA'),(2908309,'Conceicao do Almeida','BA'),(2908408,'Conceicao do Coite','BA'),(2908507,'Conceicao do Jacuipe','BA'),(2908606,'Conde','BA'),(2908705,'Condeuba','BA'),(2908804,'Contendas do Sincora','BA'),(2908903,'Coracao de Maria','BA'),(2909000,'Cordeiros','BA'),(2909109,'Coribe','BA'),(2909208,'Coronel Joao Sa','BA'),(2909307,'Correntina','BA'),(2909406,'Cotegipe','BA'),(2909505,'Cravolandia','BA'),(2909604,'Crisopolis','BA'),(2909703,'Cristopolis','BA'),(2909802,'Cruz das Almas','BA'),(2909901,'Curaca','BA'),(2910008,'Dario Meira','BA'),(2910057,'Dias d\'Avila','BA'),(2910107,'Dom Basilio','BA'),(2910206,'Dom Macedo Costa','BA'),(2910305,'Elisio Medrado','BA'),(2910404,'Encruzilhada','BA'),(2910503,'Entre Rios','BA'),(2910602,'Esplanada','BA'),(2910701,'Euclides da Cunha','BA'),(2910727,'Eunapolis','BA'),(2910750,'Fatima','BA'),(2910776,'Feira da Mata','BA'),(2910800,'Feira de Santana','BA'),(2910859,'Filadelfia','BA'),(2910909,'Firmino Alves','BA'),(2911006,'Floresta Azul','BA'),(2911105,'Formosa do Rio Preto','BA'),(2911204,'Gandu','BA'),(2911253,'Gaviao','BA'),(2911303,'Gentio do Ouro','BA'),(2911402,'Gloria','BA'),(2911501,'Gongogi','BA'),(2911600,'Governador Mangabeira','BA'),(2911659,'Guajeru','BA'),(2911709,'Guanambi','BA'),(2911808,'Guaratinga','BA'),(2911857,'Heliopolis','BA'),(2911907,'Iacu','BA'),(2912004,'Ibiassuce','BA'),(2912103,'Ibicarai','BA'),(2912202,'Ibicoara','BA'),(2912301,'Ibicui','BA'),(2912400,'Ibipeba','BA'),(2912509,'Ibipitanga','BA'),(2912608,'Ibiquera','BA'),(2912707,'Ibirapitanga','BA'),(2912806,'Ibirapua','BA'),(2912905,'Ibirataia','BA'),(2913002,'Ibitiara','BA'),(2913101,'Ibitita','BA'),(2913200,'Ibotirama','BA'),(2913309,'Ichu','BA'),(2913408,'Igapora','BA'),(2913457,'Igrapiuna','BA'),(2913507,'Iguai','BA'),(2913606,'Ilheus','BA'),(2913705,'Inhambupe','BA'),(2913804,'Ipecaeta','BA'),(2913903,'Ipiau','BA'),(2914000,'Ipira','BA'),(2914109,'Ipupiara','BA'),(2914208,'Irajuba','BA'),(2914307,'Iramaia','BA'),(2914406,'Iraquara','BA'),(2914505,'Irara','BA'),(2914604,'Irece','BA'),(2914653,'Itabela','BA'),(2914703,'Itaberaba','BA'),(2914802,'Itabuna','BA'),(2914901,'Itacare','BA'),(2915007,'Itaete','BA'),(2915106,'Itagi','BA'),(2915205,'Itagiba','BA'),(2915304,'Itagimirim','BA'),(2915353,'Itaguacu da Bahia','BA'),(2915403,'Itaju do Colonia','BA'),(2915502,'Itajuipe','BA'),(2915601,'Itamaraju','BA'),(2915700,'Itamari','BA'),(2915809,'Itambe','BA'),(2915908,'Itanagra','BA'),(2916005,'Itanhem','BA'),(2916104,'Itaparica','BA'),(2916203,'Itape','BA'),(2916302,'Itapebi','BA'),(2916401,'Itapetinga','BA'),(2916500,'Itapicuru','BA'),(2916609,'Itapitanga','BA'),(2916708,'Itaquara','BA'),(2916807,'Itarantim','BA'),(2916856,'Itatim','BA'),(2916906,'Itirucu','BA'),(2917003,'Itiuba','BA'),(2917102,'Itororo','BA'),(2917201,'Ituacu','BA'),(2917300,'Itubera','BA'),(2917334,'Iuiu','BA'),(2917359,'Jaborandi','BA'),(2917409,'Jacaraci','BA'),(2917508,'Jacobina','BA'),(2917607,'Jaguaquara','BA'),(2917706,'Jaguarari','BA'),(2917805,'Jaguaripe','BA'),(2917904,'Jandaira','BA'),(2918001,'Jequie','BA'),(2918100,'Jeremoabo','BA'),(2918209,'Jiquirica','BA'),(2918308,'Jitauna','BA'),(2918357,'Joao Dourado','BA'),(2918407,'Juazeiro','BA'),(2918456,'Jucurucu','BA'),(2918506,'Jussara','BA'),(2918555,'Jussari','BA'),(2918605,'Jussiape','BA'),(2918704,'Lafaiete Coutinho','BA'),(2918753,'Lagoa Real','BA'),(2918803,'Laje','BA'),(2918902,'Lajedao','BA'),(2919009,'Lajedinho','BA'),(2919058,'Lajedo do Tabocal','BA'),(2919108,'Lamarao','BA'),(2919157,'Lapao','BA'),(2919207,'Lauro de Freitas','BA'),(2919306,'Lencois','BA'),(2919405,'Licinio de Almeida','BA'),(2919504,'Livramento do Brumado','BA'),(2919603,'Macajuba','BA'),(2919702,'Macarani','BA'),(2919801,'Macaubas','BA'),(2919900,'Macurure','BA'),(2919926,'Madre de Deus','BA'),(2919959,'Maetinga','BA'),(2920007,'Maiquinique','BA'),(2920106,'Mairi','BA'),(2920205,'Malhada','BA'),(2920304,'Malhada de Pedras','BA'),(2920403,'Manoel Vitorino','BA'),(2920452,'Mansidao','BA'),(2920502,'Maracas','BA'),(2920601,'Maragogipe','BA'),(2920700,'Marau','BA'),(2920809,'Marcionilio Souza','BA'),(2920908,'Mascote','BA'),(2921005,'Mata de Sao Joao','BA'),(2921054,'Matina','BA'),(2921104,'Medeiros Neto','BA'),(2921203,'Miguel Calmon','BA'),(2921302,'Milagres','BA'),(2921401,'Mirangaba','BA'),(2921450,'Mirante','BA'),(2921500,'Monte Santo','BA'),(2921609,'Morpara','BA'),(2921708,'Morro do Chapeu','BA'),(2921807,'Mortugaba','BA'),(2921906,'Mucuge','BA'),(2922003,'Mucuri','BA'),(2922052,'Mulungu do Morro','BA'),(2922102,'Mundo Novo','BA'),(2922201,'Muniz Ferreira','BA'),(2922250,'Muquem de Sao Francisco','BA'),(2922300,'Muritiba','BA'),(2922409,'Mutuipe','BA'),(2922508,'Nazare','BA'),(2922607,'Nilo Pecanha','BA'),(2922656,'Nordestina','BA'),(2922706,'Nova Canaa','BA'),(2922730,'Nova Fatima','BA'),(2922755,'Nova Ibia','BA'),(2922805,'Nova Itarana','BA'),(2922854,'Nova Redencao','BA'),(2922904,'Nova Soure','BA'),(2923001,'Nova Vicosa','BA'),(2923035,'Novo Horizonte','BA'),(2923050,'Novo Triunfo','BA'),(2923100,'Olindina','BA'),(2923209,'Oliveira dos Brejinhos','BA'),(2923308,'Ouricangas','BA'),(2923357,'Ourolandia','BA'),(2923407,'Palmas de Monte Alto','BA'),(2923506,'Palmeiras','BA'),(2923605,'Paramirim','BA'),(2923704,'Paratinga','BA'),(2923803,'Paripiranga','BA'),(2923902,'Pau Brasil','BA'),(2924009,'Paulo Afonso','BA'),(2924058,'Pe de Serra','BA'),(2924108,'Pedrao','BA'),(2924207,'Pedro Alexandre','BA'),(2924306,'Piata','BA'),(2924405,'Pilao Arcado','BA'),(2924504,'Pindai','BA'),(2924603,'Pindobacu','BA'),(2924652,'Pintadas','BA'),(2924678,'Pirai do Norte','BA'),(2924702,'Piripa','BA'),(2924801,'Piritiba','BA'),(2924900,'Planaltino','BA'),(2925006,'Planalto','BA'),(2925105,'Pocoes','BA'),(2925204,'Pojuca','BA'),(2925253,'Ponto Novo','BA'),(2925303,'Porto Seguro','BA'),(2925402,'Potiragua','BA'),(2925501,'Prado','BA'),(2925600,'Presidente Dutra','BA'),(2925709,'Presidente Janio Quadros','BA'),(2925758,'Presidente Tancredo Neves','BA'),(2925808,'Queimadas','BA'),(2925907,'Quijingue','BA'),(2925931,'Quixabeira','BA'),(2925956,'Rafael Jambeiro','BA'),(2926004,'Remanso','BA'),(2926103,'Retirolandia','BA'),(2926202,'Riachao das Neves','BA'),(2926301,'Riachao do Jacuipe','BA'),(2926400,'Riacho de Santana','BA'),(2926509,'Ribeira do Amparo','BA'),(2926608,'Ribeira do Pombal','BA'),(2926657,'Ribeirao do Largo','BA'),(2926707,'Rio de Contas','BA'),(2926806,'Rio do Antonio','BA'),(2926905,'Rio do Pires','BA'),(2927002,'Rio Real','BA'),(2927101,'Rodelas','BA'),(2927200,'Ruy Barbosa','BA'),(2927309,'Salinas da Margarida','BA'),(2927408,'Salvador','BA'),(2927507,'Santa Barbara','BA'),(2927606,'Santa Brigida','BA'),(2927705,'Santa Cruz Cabralia','BA'),(2927804,'Santa Cruz da Vitoria','BA'),(2927903,'Santa Ines','BA'),(2928000,'Santaluz','BA'),(2928059,'Santa Luzia','BA'),(2928109,'Santa Maria da Vitoria','BA'),(2928208,'Santana','BA'),(2928307,'Santanopolis','BA'),(2928406,'Santa Rita de Cassia','BA'),(2928505,'Santa Teresinha','BA'),(2928604,'Santo Amaro','BA'),(2928703,'Santo Antonio de Jesus','BA'),(2928802,'Santo Estevao','BA'),(2928901,'Sao Desiderio','BA'),(2928950,'Sao Domingos','BA'),(2929008,'Sao Felix','BA'),(2929057,'Sao Felix do Coribe','BA'),(2929107,'Sao Felipe','BA'),(2929206,'Sao Francisco do Conde','BA'),(2929255,'Sao Gabriel','BA'),(2929305,'Sao Goncalo dos Campos','BA'),(2929354,'Sao Jose da Vitoria','BA'),(2929370,'Sao Jose do Jacuipe','BA'),(2929404,'Sao Miguel das Matas','BA'),(2929503,'Sao Sebastiao do Passe','BA'),(2929602,'Sapeacu','BA'),(2929701,'Satiro Dias','BA'),(2929750,'Saubara','BA'),(2929800,'Saude','BA'),(2929909,'Seabra','BA'),(2930006,'Sebastiao Laranjeiras','BA'),(2930105,'Senhor do Bonfim','BA'),(2930154,'Serra do Ramalho','BA'),(2930204,'Sento Se','BA'),(2930303,'Serra Dourada','BA'),(2930402,'Serra Preta','BA'),(2930501,'Serrinha','BA'),(2930600,'Serrolandia','BA'),(2930709,'Simoes Filho','BA'),(2930758,'Sitio do Mato','BA'),(2930766,'Sitio do Quinto','BA'),(2930774,'Sobradinho','BA'),(2930808,'Souto Soares','BA'),(2930907,'Tabocas do Brejo Velho','BA'),(2931004,'Tanhacu','BA'),(2931053,'Tanque Novo','BA'),(2931103,'Tanquinho','BA'),(2931202,'Taperoa','BA'),(2931301,'Tapiramuta','BA'),(2931350,'Teixeira de Freitas','BA'),(2931400,'Teodoro Sampaio','BA'),(2931509,'Teofilandia','BA'),(2931608,'Teolandia','BA'),(2931707,'Terra Nova','BA'),(2931806,'Tremedal','BA'),(2931905,'Tucano','BA'),(2932002,'Uaua','BA'),(2932101,'Ubaira','BA'),(2932200,'Ubaitaba','BA'),(2932309,'Ubata','BA'),(2932408,'Uibai','BA'),(2932457,'Umburanas','BA'),(2932507,'Una','BA'),(2932606,'Urandi','BA'),(2932705,'Urucuca','BA'),(2932804,'Utinga','BA'),(2932903,'Valenca','BA'),(2933000,'Valente','BA'),(2933059,'Varzea da Roca','BA'),(2933109,'Varzea do Poco','BA'),(2933158,'Varzea Nova','BA'),(2933174,'Varzedo','BA'),(2933208,'Vera Cruz','BA'),(2933257,'Vereda','BA'),(2933307,'Vitoria da Conquista','BA'),(2933406,'Wagner','BA'),(2933455,'Wanderley','BA'),(2933505,'Wenceslau Guimaraes','BA'),(2933604,'Xique-Xique','BA'),(3100104,'Abadia dos Dourados','MG'),(3100203,'Abaete','MG'),(3100302,'Abre Campo','MG'),(3100401,'Acaiaca','MG'),(3100500,'Acucena','MG'),(3100609,'Agua Boa','MG'),(3100708,'Agua Comprida','MG'),(3100807,'Aguanil','MG'),(3100906,'Aguas Formosas','MG'),(3101003,'Aguas Vermelhas','MG'),(3101102,'Aimores','MG'),(3101201,'Aiuruoca','MG'),(3101300,'Alagoa','MG'),(3101409,'Albertina','MG'),(3101508,'Alem Paraiba','MG'),(3101607,'Alfenas','MG'),(3101631,'Alfredo Vasconcelos','MG'),(3101706,'Almenara','MG'),(3101805,'Alpercata','MG'),(3101904,'Alpinopolis','MG'),(3102001,'Alterosa','MG'),(3102050,'Alto Caparao','MG'),(3102100,'Alto Rio Doce','MG'),(3102209,'Alvarenga','MG'),(3102308,'Alvinopolis','MG'),(3102407,'Alvorada de Minas','MG'),(3102506,'Amparo do Serra','MG'),(3102605,'Andradas','MG'),(3102704,'Cachoeira de Pajeu','MG'),(3102803,'Andrelandia','MG'),(3102852,'Angelandia','MG'),(3102902,'Antonio Carlos','MG'),(3103009,'Antonio Dias','MG'),(3103108,'Antonio Prado de Minas','MG'),(3103207,'Aracai','MG'),(3103306,'Aracitaba','MG'),(3103405,'Aracuai','MG'),(3103504,'Araguari','MG'),(3103603,'Arantina','MG'),(3103702,'Araponga','MG'),(3103751,'Arapora','MG'),(3103801,'Arapua','MG'),(3103900,'Araujos','MG'),(3104007,'Araxa','MG'),(3104106,'Arceburgo','MG'),(3104205,'Arcos','MG'),(3104304,'Areado','MG'),(3104403,'Argirita','MG'),(3104452,'Aricanduva','MG'),(3104502,'Arinos','MG'),(3104601,'Astolfo Dutra','MG'),(3104700,'Ataleia','MG'),(3104809,'Augusto de Lima','MG'),(3104908,'Baependi','MG'),(3105004,'Baldim','MG'),(3105103,'Bambui','MG'),(3105202,'Bandeira','MG'),(3105301,'Bandeira do Sul','MG'),(3105400,'Barao de Cocais','MG'),(3105509,'Barao de Monte Alto','MG'),(3105608,'Barbacena','MG'),(3105707,'Barra Longa','MG'),(3105905,'Barroso','MG'),(3106002,'Bela Vista de Minas','MG'),(3106101,'Belmiro Braga','MG'),(3106200,'Belo Horizonte','MG'),(3106309,'Belo Oriente','MG'),(3106408,'Belo Vale','MG'),(3106507,'Berilo','MG'),(3106606,'Bertopolis','MG'),(3106655,'Berizal','MG'),(3106705,'Betim','MG'),(3106804,'Bias Fortes','MG'),(3106903,'Bicas','MG'),(3107000,'Biquinhas','MG'),(3107109,'Boa Esperanca','MG'),(3107208,'Bocaina de Minas','MG'),(3107307,'Bocaiuva','MG'),(3107406,'Bom Despacho','MG'),(3107505,'Bom Jardim de Minas','MG'),(3107604,'Bom Jesus da Penha','MG'),(3107703,'Bom Jesus do Amparo','MG'),(3107802,'Bom Jesus do Galho','MG'),(3107901,'Bom Repouso','MG'),(3108008,'Bom Sucesso','MG'),(3108107,'Bonfim','MG'),(3108206,'Bonfinopolis de Minas','MG'),(3108255,'Bonito de Minas','MG'),(3108305,'Borda da Mata','MG'),(3108404,'Botelhos','MG'),(3108503,'Botumirim','MG'),(3108552,'Brasilandia de Minas','MG'),(3108602,'Brasilia de Minas','MG'),(3108701,'Bras Pires','MG'),(3108800,'Braunas','MG'),(3108909,'Brasopolis','MG'),(3109006,'Brumadinho','MG'),(3109105,'Bueno Brandao','MG'),(3109204,'Buenopolis','MG'),(3109253,'Bugre','MG'),(3109303,'Buritis','MG'),(3109402,'Buritizeiro','MG'),(3109451,'Cabeceira Grande','MG'),(3109501,'Cabo Verde','MG'),(3109600,'Cachoeira da Prata','MG'),(3109709,'Cachoeira de Minas','MG'),(3109808,'Cachoeira Dourada','MG'),(3109907,'Caetanopolis','MG'),(3110004,'Caete','MG'),(3110103,'Caiana','MG'),(3110202,'Cajuri','MG'),(3110301,'Caldas','MG'),(3110400,'Camacho','MG'),(3110509,'Camanducaia','MG'),(3110608,'Cambui','MG'),(3110707,'Cambuquira','MG'),(3110806,'Campanario','MG'),(3110905,'Campanha','MG'),(3111002,'Campestre','MG'),(3111101,'Campina Verde','MG'),(3111150,'Campo Azul','MG'),(3111200,'Campo Belo','MG'),(3111309,'Campo do Meio','MG'),(3111408,'Campo Florido','MG'),(3111507,'Campos Altos','MG'),(3111606,'Campos Gerais','MG'),(3111705,'Canaa','MG'),(3111804,'Canapolis','MG'),(3111903,'Cana Verde','MG'),(3112000,'Candeias','MG'),(3112059,'Cantagalo','MG'),(3112109,'Caparao','MG'),(3112208,'Capela Nova','MG'),(3112307,'Capelinha','MG'),(3112406,'Capetinga','MG'),(3112505,'Capim Branco','MG'),(3112604,'Capinopolis','MG'),(3112653,'Capitao Andrade','MG'),(3112703,'Capitao Eneas','MG'),(3112802,'Capitolio','MG'),(3112901,'Caputira','MG'),(3113008,'Carai','MG'),(3113107,'Caranaiba','MG'),(3113206,'Carandai','MG'),(3113305,'Carangola','MG'),(3113404,'Caratinga','MG'),(3113503,'Carbonita','MG'),(3113602,'Careacu','MG'),(3113701,'Carlos Chagas','MG'),(3113800,'Carmesia','MG'),(3113909,'Carmo da Cachoeira','MG'),(3114006,'Carmo da Mata','MG'),(3114105,'Carmo de Minas','MG'),(3114204,'Carmo do Cajuru','MG'),(3114303,'Carmo do Paranaiba','MG'),(3114402,'Carmo do Rio Claro','MG'),(3114501,'Carmopolis de Minas','MG'),(3114550,'Carneirinho','MG'),(3114600,'Carrancas','MG'),(3114709,'Carvalhopolis','MG'),(3114808,'Carvalhos','MG'),(3114907,'Casa Grande','MG'),(3115003,'Cascalho Rico','MG'),(3115102,'Cassia','MG'),(3115201,'Conceicao da Barra de Minas','MG'),(3115300,'Cataguases','MG'),(3115359,'Catas Altas','MG'),(3115409,'Catas Altas da Noruega','MG'),(3115458,'Catuji','MG'),(3115474,'Catuti','MG'),(3115508,'Caxambu','MG'),(3115607,'Cedro do Abaete','MG'),(3115706,'Central de Minas','MG'),(3115805,'Centralina','MG'),(3115904,'Chacara','MG'),(3116001,'Chale','MG'),(3116100,'Chapada do Norte','MG'),(3116159,'Chapada Gaucha','MG'),(3116209,'Chiador','MG'),(3116308,'Cipotanea','MG'),(3116407,'Claraval','MG'),(3116506,'Claro dos Pocoes','MG'),(3116605,'Claudio','MG'),(3116704,'Coimbra','MG'),(3116803,'Coluna','MG'),(3116902,'Comendador Gomes','MG'),(3117009,'Comercinho','MG'),(3117108,'Conceicao da Aparecida','MG'),(3117207,'Conceicao das Pedras','MG'),(3117306,'Conceicao das Alagoas','MG'),(3117405,'Conceicao de Ipanema','MG'),(3117504,'Conceicao do Mato Dentro','MG'),(3117603,'Conceicao do Para','MG'),(3117702,'Conceicao do Rio Verde','MG'),(3117801,'Conceicao dos Ouros','MG'),(3117836,'Conego Marinho','MG'),(3117876,'Confins','MG'),(3117900,'Congonhal','MG'),(3118007,'Congonhas','MG'),(3118106,'Congonhas do Norte','MG'),(3118205,'Conquista','MG'),(3118304,'Conselheiro Lafaiete','MG'),(3118403,'Conselheiro Pena','MG'),(3118502,'Consolacao','MG'),(3118601,'Contagem','MG'),(3118700,'Coqueiral','MG'),(3118809,'Coracao de Jesus','MG'),(3118908,'Cordisburgo','MG'),(3119005,'Cordislandia','MG'),(3119104,'Corinto','MG'),(3119203,'Coroaci','MG'),(3119302,'Coromandel','MG'),(3119401,'Coronel Fabriciano','MG'),(3119500,'Coronel Murta','MG'),(3119609,'Coronel Pacheco','MG'),(3119708,'Coronel Xavier Chaves','MG'),(3119807,'Corrego Danta','MG'),(3119906,'Corrego do Bom Jesus','MG'),(3119955,'Corrego Fundo','MG'),(3120003,'Corrego Novo','MG'),(3120102,'Couto de Magalhaes de Minas','MG'),(3120151,'Crisolita','MG'),(3120201,'Cristais','MG'),(3120300,'Cristalia','MG'),(3120409,'Cristiano Otoni','MG'),(3120508,'Cristina','MG'),(3120607,'Crucilandia','MG'),(3120706,'Cruzeiro da Fortaleza','MG'),(3120805,'Cruzilia','MG'),(3120839,'Cuparaque','MG'),(3120870,'Curral de Dentro','MG'),(3120904,'Curvelo','MG'),(3121001,'Datas','MG'),(3121100,'Delfim Moreira','MG'),(3121209,'Delfinopolis','MG'),(3121258,'Delta','MG'),(3121308,'Descoberto','MG'),(3121407,'Desterro de Entre Rios','MG'),(3121506,'Desterro do Melo','MG'),(3121605,'Diamantina','MG'),(3121704,'Diogo de Vasconcelos','MG'),(3121803,'Dionisio','MG'),(3121902,'Divinesia','MG'),(3122009,'Divino','MG'),(3122108,'Divino das Laranjeiras','MG'),(3122207,'Divinolandia de Minas','MG'),(3122306,'Divinopolis','MG'),(3122355,'Divisa Alegre','MG'),(3122405,'Divisa Nova','MG'),(3122454,'Divisopolis','MG'),(3122470,'Dom Bosco','MG'),(3122504,'Dom Cavati','MG'),(3122603,'Dom Joaquim','MG'),(3122702,'Dom Silverio','MG'),(3122801,'Dom Vicoso','MG'),(3122900,'Dona Euzebia','MG'),(3123007,'Dores de Campos','MG'),(3123106,'Dores de Guanhaes','MG'),(3123205,'Dores do Indaia','MG'),(3123304,'Dores do Turvo','MG'),(3123403,'Doresopolis','MG'),(3123502,'Douradoquara','MG'),(3123528,'Durande','MG'),(3123601,'Eloi Mendes','MG'),(3123700,'Engenheiro Caldas','MG'),(3123809,'Engenheiro Navarro','MG'),(3123858,'Entre Folhas','MG'),(3123908,'Entre Rios de Minas','MG'),(3124005,'Ervalia','MG'),(3124104,'Esmeraldas','MG'),(3124203,'Espera Feliz','MG'),(3124302,'Espinosa','MG'),(3124401,'Espirito Santo do Dourado','MG'),(3124500,'Estiva','MG'),(3124609,'Estrela Dalva','MG'),(3124708,'Estrela do Indaia','MG'),(3124807,'Estrela do Sul','MG'),(3124906,'Eugenopolis','MG'),(3125002,'Ewbank da Camara','MG'),(3125101,'Extrema','MG'),(3125200,'Fama','MG'),(3125309,'Faria Lemos','MG'),(3125408,'Felicio dos Santos','MG'),(3125507,'Sao Goncalo do Rio Preto','MG'),(3125606,'Felisburgo','MG'),(3125705,'Felixlandia','MG'),(3125804,'Fernandes Tourinho','MG'),(3125903,'Ferros','MG'),(3125952,'Fervedouro','MG'),(3126000,'Florestal','MG'),(3126109,'Formiga','MG'),(3126208,'Formoso','MG'),(3126307,'Fortaleza de Minas','MG'),(3126406,'Fortuna de Minas','MG'),(3126505,'Francisco Badaro','MG'),(3126604,'Francisco Dumont','MG'),(3126703,'Francisco Sa','MG'),(3126752,'Franciscopolis','MG'),(3126802,'Frei Gaspar','MG'),(3126901,'Frei Inocencio','MG'),(3126950,'Frei Lagonegro','MG'),(3127008,'Fronteira','MG'),(3127057,'Fronteira dos Vales','MG'),(3127073,'Fruta de Leite','MG'),(3127107,'Frutal','MG'),(3127206,'Funilandia','MG'),(3127305,'Galileia','MG'),(3127339,'Gameleiras','MG'),(3127354,'Glaucilandia','MG'),(3127370,'Goiabeira','MG'),(3127388,'Goiana','MG'),(3127404,'Goncalves','MG'),(3127503,'Gonzaga','MG'),(3127602,'Gouvea','MG'),(3127701,'Governador Valadares','MG'),(3127800,'Grao Mogol','MG'),(3127909,'Grupiara','MG'),(3128006,'Guanhaes','MG'),(3128105,'Guape','MG'),(3128204,'Guaraciaba','MG'),(3128253,'Guaraciama','MG'),(3128303,'Guaranesia','MG'),(3128402,'Guarani','MG'),(3128501,'Guarara','MG'),(3128600,'Guarda-Mor','MG'),(3128709,'Guaxupe','MG'),(3128808,'Guidoval','MG'),(3128907,'Guimarania','MG'),(3129004,'Guiricema','MG'),(3129103,'Gurinhata','MG'),(3129202,'Heliodora','MG'),(3129301,'Iapu','MG'),(3129400,'Ibertioga','MG'),(3129509,'Ibia','MG'),(3129608,'Ibiai','MG'),(3129657,'Ibiracatu','MG'),(3129707,'Ibiraci','MG'),(3129806,'Ibirite','MG'),(3129905,'Ibitiura de Minas','MG'),(3130002,'Ibituruna','MG'),(3130051,'Icarai de Minas','MG'),(3130101,'Igarape','MG'),(3130200,'Igaratinga','MG'),(3130309,'Iguatama','MG'),(3130408,'Ijaci','MG'),(3130507,'Ilicinea','MG'),(3130556,'Imbe de Minas','MG'),(3130606,'Inconfidentes','MG'),(3130655,'Indaiabira','MG'),(3130705,'Indianopolis','MG'),(3130804,'Ingai','MG'),(3130903,'Inhapim','MG'),(3131000,'Inhauma','MG'),(3131109,'Inimutaba','MG'),(3131158,'Ipaba','MG'),(3131208,'Ipanema','MG'),(3131307,'Ipatinga','MG'),(3131406,'Ipiacu','MG'),(3131505,'Ipuiuna','MG'),(3131604,'Irai de Minas','MG'),(3131703,'Itabira','MG'),(3131802,'Itabirinha de Mantena','MG'),(3131901,'Itabirito','MG'),(3132008,'Itacambira','MG'),(3132107,'Itacarambi','MG'),(3132206,'Itaguara','MG'),(3132305,'Itaipe','MG'),(3132404,'Itajuba','MG'),(3132503,'Itamarandiba','MG'),(3132602,'Itamarati de Minas','MG'),(3132701,'Itambacuri','MG'),(3132800,'Itambe do Mato Dentro','MG'),(3132909,'Itamogi','MG'),(3133006,'Itamonte','MG'),(3133105,'Itanhandu','MG'),(3133204,'Itanhomi','MG'),(3133303,'Itaobim','MG'),(3133402,'Itapagipe','MG'),(3133501,'Itapecerica','MG'),(3133600,'Itapeva','MG'),(3133709,'Itatiaiucu','MG'),(3133758,'Itau de Minas','MG'),(3133808,'Itauna','MG'),(3133907,'Itaverava','MG'),(3134004,'Itinga','MG'),(3134103,'Itueta','MG'),(3134202,'Ituiutaba','MG'),(3134301,'Itumirim','MG'),(3134400,'Iturama','MG'),(3134509,'Itutinga','MG'),(3134608,'Jaboticatubas','MG'),(3134707,'Jacinto','MG'),(3134806,'Jacui','MG'),(3134905,'Jacutinga','MG'),(3135001,'Jaguaracu','MG'),(3135050,'Jaiba','MG'),(3135076,'Jampruca','MG'),(3135100,'Janauba','MG'),(3135209,'Januaria','MG'),(3135308,'Japaraiba','MG'),(3135357,'Japonvar','MG'),(3135407,'Jeceaba','MG'),(3135456,'Jenipapo de Minas','MG'),(3135506,'Jequeri','MG'),(3135605,'Jequitai','MG'),(3135704,'Jequitiba','MG'),(3135803,'Jequitinhonha','MG'),(3135902,'Jesuania','MG'),(3136009,'Joaima','MG'),(3136108,'Joanesia','MG'),(3136207,'Joao Monlevade','MG'),(3136306,'Joao Pinheiro','MG'),(3136405,'Joaquim Felicio','MG'),(3136504,'Jordania','MG'),(3136520,'Jose Goncalves de Minas','MG'),(3136553,'Jose Raydan','MG'),(3136579,'Josenopolis','MG'),(3136603,'Nova Uniao','MG'),(3136652,'Juatuba','MG'),(3136702,'Juiz de Fora','MG'),(3136801,'Juramento','MG'),(3136900,'Juruaia','MG'),(3136959,'Juvenilia','MG'),(3137007,'Ladainha','MG'),(3137106,'Lagamar','MG'),(3137205,'Lagoa da Prata','MG'),(3137304,'Lagoa dos Patos','MG'),(3137403,'Lagoa Dourada','MG'),(3137502,'Lagoa Formosa','MG'),(3137536,'Lagoa Grande','MG'),(3137601,'Lagoa Santa','MG'),(3137700,'Lajinha','MG'),(3137809,'Lambari','MG'),(3137908,'Lamim','MG'),(3138005,'Laranjal','MG'),(3138104,'Lassance','MG'),(3138203,'Lavras','MG'),(3138302,'Leandro Ferreira','MG'),(3138351,'Leme do Prado','MG'),(3138401,'Leopoldina','MG'),(3138500,'Liberdade','MG'),(3138609,'Lima Duarte','MG'),(3138625,'Limeira do Oeste','MG'),(3138658,'Lontra','MG'),(3138674,'Luisburgo','MG'),(3138682,'Luislandia','MG'),(3138708,'Luminarias','MG'),(3138807,'Luz','MG'),(3138906,'Machacalis','MG'),(3139003,'Machado','MG'),(3139102,'Madre de Deus de Minas','MG'),(3139201,'Malacacheta','MG'),(3139250,'Mamonas','MG'),(3139300,'Manga','MG'),(3139409,'Manhuacu','MG'),(3139508,'Manhumirim','MG'),(3139607,'Mantena','MG'),(3139706,'Maravilhas','MG'),(3139805,'Mar de Espanha','MG'),(3139904,'Maria da Fe','MG'),(3140001,'Mariana','MG'),(3140100,'Marilac','MG'),(3140159,'Mario Campos','MG'),(3140209,'Maripa de Minas','MG'),(3140308,'Marlieria','MG'),(3140407,'Marmelopolis','MG'),(3140506,'Martinho Campos','MG'),(3140530,'Martins Soares','MG'),(3140555,'Mata Verde','MG'),(3140605,'Materlandia','MG'),(3140704,'Mateus Leme','MG'),(3140803,'Matias Barbosa','MG'),(3140852,'Matias Cardoso','MG'),(3140902,'Matipo','MG'),(3141009,'Mato Verde','MG'),(3141108,'Matozinhos','MG'),(3141207,'Matutina','MG'),(3141306,'Medeiros','MG'),(3141405,'Medina','MG'),(3141504,'Mendes Pimentel','MG'),(3141603,'Merces','MG'),(3141702,'Mesquita','MG'),(3141801,'Minas Novas','MG'),(3141900,'Minduri','MG'),(3142007,'Mirabela','MG'),(3142106,'Miradouro','MG'),(3142205,'Mirai','MG'),(3142254,'Miravania','MG'),(3142304,'Moeda','MG'),(3142403,'Moema','MG'),(3142502,'Monjolos','MG'),(3142601,'Monsenhor Paulo','MG'),(3142700,'Montalvania','MG'),(3142809,'Monte Alegre de Minas','MG'),(3142908,'Monte Azul','MG'),(3143005,'Monte Belo','MG'),(3143104,'Monte Carmelo','MG'),(3143153,'Monte Formoso','MG'),(3143203,'Monte Santo de Minas','MG'),(3143302,'Montes Claros','MG'),(3143401,'Monte Siao','MG'),(3143450,'Montezuma','MG'),(3143500,'Morada Nova de Minas','MG'),(3143609,'Morro da Garca','MG'),(3143708,'Morro do Pilar','MG'),(3143807,'Munhoz','MG'),(3143906,'Muriae','MG'),(3144003,'Mutum','MG'),(3144102,'Muzambinho','MG'),(3144201,'Nacip Raydan','MG'),(3144300,'Nanuque','MG'),(3144359,'Naque','MG'),(3144375,'Natalandia','MG'),(3144409,'Natercia','MG'),(3144508,'Nazareno','MG'),(3144607,'Nepomuceno','MG'),(3144656,'Niheira','MG'),(3144672,'Nova Belem','MG'),(3144706,'Nova Era','MG'),(3144805,'Nova Lima','MG'),(3144904,'Nova Modica','MG'),(3145000,'Nova Ponte','MG'),(3145059,'Nova Porteirinha','MG'),(3145109,'Nova Resende','MG'),(3145208,'Nova Serrana','MG'),(3145307,'Novo Cruzeiro','MG'),(3145356,'Novo Oriente de Minas','MG'),(3145372,'Novorizonte','MG'),(3145406,'Olaria','MG'),(3145455,'Olhos-D\'Agua','MG'),(3145505,'Olimpio Noronha','MG'),(3145604,'Oliveira','MG'),(3145703,'Oliveira Fortes','MG'),(3145802,'Onca de Pitangui','MG'),(3145851,'Oratorios','MG'),(3145877,'Orizania','MG'),(3145901,'Ouro Branco','MG'),(3146008,'Ouro Fino','MG'),(3146107,'Ouro Preto','MG'),(3146206,'Ouro Verde de Minas','MG'),(3146255,'Padre Carvalho','MG'),(3146305,'Padre Paraiso','MG'),(3146404,'Paineiras','MG'),(3146503,'Pains','MG'),(3146552,'Pai Pedro','MG'),(3146602,'Paiva','MG'),(3146701,'Palma','MG'),(3146750,'Palmopolis','MG'),(3146909,'Papagaios','MG'),(3147006,'Paracatu','MG'),(3147105,'Para de Minas','MG'),(3147204,'Paraguacu','MG'),(3147303,'Paraisopolis','MG'),(3147402,'Paraopeba','MG'),(3147501,'Passabem','MG'),(3147600,'Passa Quatro','MG'),(3147709,'Passa Tempo','MG'),(3147808,'Passa Vinte','MG'),(3147907,'Passos','MG'),(3147956,'Patis','MG'),(3148004,'Patos de Minas','MG'),(3148103,'Patrocinio','MG'),(3148202,'Patrocinio do Muriae','MG'),(3148301,'Paula Candido','MG'),(3148400,'Paulistas','MG'),(3148509,'Pavao','MG'),(3148608,'Pecanha','MG'),(3148707,'Pedra Azul','MG'),(3148756,'Pedra Bonita','MG'),(3148806,'Pedra do Anta','MG'),(3148905,'Pedra do Indaia','MG'),(3149002,'Pedra Dourada','MG'),(3149101,'Pedralva','MG'),(3149150,'Pedras de Maria da Cruz','MG'),(3149200,'Pedrinopolis','MG'),(3149309,'Pedro Leopoldo','MG'),(3149408,'Pedro Teixeira','MG'),(3149507,'Pequeri','MG'),(3149606,'Pequi','MG'),(3149705,'Perdigao','MG'),(3149804,'Perdizes','MG'),(3149903,'Perdoes','MG'),(3149952,'Periquito','MG'),(3150000,'Pescador','MG'),(3150109,'Piau','MG'),(3150158,'Piedade de Caratinga','MG'),(3150208,'Piedade de Ponte Nova','MG'),(3150307,'Piedade do Rio Grande','MG'),(3150406,'Piedade dos Gerais','MG'),(3150505,'Pimenta','MG'),(3150539,'Pingo D\'Agua','MG'),(3150570,'Pintopolis','MG'),(3150604,'Piracema','MG'),(3150703,'Pirajuba','MG'),(3150802,'Piranga','MG'),(3150901,'Pirangucu','MG'),(3151008,'Piranguinho','MG'),(3151107,'Pirapetinga','MG'),(3151206,'Pirapora','MG'),(3151305,'Pirauba','MG'),(3151404,'Pitangui','MG'),(3151503,'Piui','MG'),(3151602,'Planura','MG'),(3151701,'Poco Fundo','MG'),(3151800,'Pocos de Caldas','MG'),(3151909,'Pocrane','MG'),(3152006,'Pompeu','MG'),(3152105,'Ponte Nova','MG'),(3152131,'Ponte Chique','MG'),(3152170,'Ponto dos Volantes','MG'),(3152204,'Porteirinha','MG'),(3152303,'Porto Firme','MG'),(3152402,'Pote','MG'),(3152501,'Pouso Alegre','MG'),(3152600,'Pouso Alto','MG'),(3152709,'Prados','MG'),(3152808,'Prata','MG'),(3152907,'Pratapolis','MG'),(3153004,'Pratinha','MG'),(3153103,'Presidente Bernardes','MG'),(3153202,'Presidente Juscelino','MG'),(3153301,'Presidente Kubitschek','MG'),(3153400,'Presidente Olegario','MG'),(3153509,'Alto Jequitiba','MG'),(3153608,'Prudente de Morais','MG'),(3153707,'Quartel Geral','MG'),(3153806,'Queluzita','MG'),(3153905,'Raposos','MG'),(3154002,'Raul Soares','MG'),(3154101,'Recreio','MG'),(3154150,'Reduto','MG'),(3154200,'Resende Costa','MG'),(3154309,'Resplendor','MG'),(3154408,'Ressaquinha','MG'),(3154457,'Riachinho','MG'),(3154507,'Riacho dos Machados','MG'),(3154606,'Ribeirao das Neves','MG'),(3154705,'Ribeirao Vermelho','MG'),(3154804,'Rio Acima','MG'),(3154903,'Rio Casca','MG'),(3155009,'Rio Doce','MG'),(3155108,'Rio do Prado','MG'),(3155207,'Rio Espera','MG'),(3155306,'Rio Manso','MG'),(3155405,'Rio Novo','MG'),(3155504,'Rio Paranaiba','MG'),(3155603,'Rio Pardo de Minas','MG'),(3155702,'Rio Piracicaba','MG'),(3155801,'Rio Pomba','MG'),(3155900,'Rio Preto','MG'),(3156007,'Rio Vermelho','MG'),(3156106,'Ritapolis','MG'),(3156205,'Rochedo de Minas','MG'),(3156304,'Rodeiro','MG'),(3156403,'Romaria','MG'),(3156452,'Rosario da Limeira','MG'),(3156502,'Rubelita','MG'),(3156601,'Rubim','MG'),(3156700,'Sabara','MG'),(3156809,'Sabinopolis','MG'),(3156908,'Sacramento','MG'),(3157005,'Salinas','MG'),(3157104,'Salto da Divisa','MG'),(3157203,'Santa Barbara','MG'),(3157252,'Santa Barbara do Leste','MG'),(3157278,'Santa Barbara do Monte Verde','MG'),(3157302,'Santa Barbara do Tugurio','MG'),(3157336,'Santa Cruz de Minas','MG'),(3157377,'Santa Cruz de Salinas','MG'),(3157401,'Santa Cruz do Escalvado','MG'),(3157500,'Santa Efigenia de Minas','MG'),(3157609,'Santa Fe de Minas','MG'),(3157658,'Santa Helena de Minas','MG'),(3157708,'Santa Juliana','MG'),(3157807,'Santa Luzia','MG'),(3157906,'Santa Margarida','MG'),(3158003,'Santa Maria de Itabira','MG'),(3158102,'Santa Maria do Salto','MG'),(3158201,'Santa Maria do Suacui','MG'),(3158300,'Santana da Vargem','MG'),(3158409,'Santana de Cataguases','MG'),(3158508,'Santana de Pirapama','MG'),(3158607,'Santana do Deserto','MG'),(3158706,'Santana do Garambeu','MG'),(3158805,'Santana do Jacare','MG'),(3158904,'Santana do Manhuacu','MG'),(3158953,'Santana do Paraiso','MG'),(3159001,'Santana do Riacho','MG'),(3159100,'Santana dos Montes','MG'),(3159209,'Santa Rita de Caldas','MG'),(3159308,'Santa Rita de Jacutinga','MG'),(3159357,'Santa Rita de Minas','MG'),(3159407,'Santa Rita do Ibitipoca','MG'),(3159506,'Santa Rita do Itueto','MG'),(3159605,'Santa Rita do Sapucai','MG'),(3159704,'Santa Rosa da Serra','MG'),(3159803,'Santa Vitoria','MG'),(3159902,'Santo Antonio do Amparo','MG'),(3160009,'Santo Antonio do Aventureiro','MG'),(3160108,'Santo Antonio do Grama','MG'),(3160207,'Santo Antonio do Itambe','MG'),(3160306,'Santo Antonio do Jacinto','MG'),(3160405,'Santo Antonio do Monte','MG'),(3160454,'Santo Antonio do Retiro','MG'),(3160504,'Santo Antonio do Rio Abaixo','MG'),(3160603,'Santo Hipolito','MG'),(3160702,'Santos Dumont','MG'),(3160801,'Sao Bento Abade','MG'),(3160900,'Sao Bras do Suacui','MG'),(3160959,'Sao Domingos das Dores','MG'),(3161007,'Sao Domingos do Prata','MG'),(3161056,'Sao Felix de Minas','MG'),(3161106,'Sao Francisco','MG'),(3161205,'Sao Francisco de Paula','MG'),(3161304,'Sao Francisco de Sales','MG'),(3161403,'Sao Francisco do Gloria','MG'),(3161502,'Sao Geraldo','MG'),(3161601,'Sao Geraldo da Piedade','MG'),(3161650,'Sao Geraldo do Baixio','MG'),(3161700,'Sao Goncalo do Abaete','MG'),(3161809,'Sao Goncalo do Para','MG'),(3161908,'Sao Goncalo do Rio Abaixo','MG'),(3162005,'Sao Goncalo do Sapucai','MG'),(3162104,'Sao Gotardo','MG'),(3162203,'Sao Joao Batista do Gloria','MG'),(3162252,'Sao Joao da Lagoa','MG'),(3162302,'Sao Joao da Mata','MG'),(3162401,'Sao Joao da Ponte','MG'),(3162450,'Sao Joao das Missoes','MG'),(3162500,'Sao Joao del Rei','MG'),(3162559,'Sao Joao do Manhuacu','MG'),(3162575,'Sao Joao do Manteninha','MG'),(3162609,'Sao Joao do Oriente','MG'),(3162658,'Sao Joao do Pacui','MG'),(3162708,'Sao Joao do Paraiso','MG'),(3162807,'Sao Joao Evangelista','MG'),(3162906,'Sao Joao Nepomuceno','MG'),(3162922,'Sao Joaquim de Bicas','MG'),(3162948,'Sao Jose da Barra','MG'),(3162955,'Sao Jose da Lapa','MG'),(3163003,'Sao Jose da Safira','MG'),(3163102,'Sao Jose da Varginha','MG'),(3163201,'Sao Jose do Alegre','MG'),(3163300,'Sao Jose do Divino','MG'),(3163409,'Sao Jose do Goiabal','MG'),(3163508,'Sao Jose do Jacuri','MG'),(3163607,'Sao Jose do Mantimento','MG'),(3163706,'Sao Lourenco','MG'),(3163805,'Sao Miguel do Anta','MG'),(3163904,'Sao Pedro da Uniao','MG'),(3164001,'Sao Pedro dos Ferros','MG'),(3164100,'Sao Pedro do Suacui','MG'),(3164209,'Sao Romao','MG'),(3164308,'Sao Roque de Minas','MG'),(3164407,'Sao Sebastiao da Bela Vista','MG'),(3164431,'Sao Sebastiao da Vargem Alegre','MG'),(3164472,'Sao Sebastiao do Anta','MG'),(3164506,'Sao Sebastiao do Maranhao','MG'),(3164605,'Sao Sebastiao do Oeste','MG'),(3164704,'Sao Sebastiao do Paraiso','MG'),(3164803,'Sao Sebastiao do Rio Preto','MG'),(3164902,'Sao Sebastiao do Rio Verde','MG'),(3165008,'Sao Tiago','MG'),(3165107,'Sao Tomas de Aquino','MG'),(3165206,'Sao Tome das Letras','MG'),(3165305,'Sao Vicente de Minas','MG'),(3165404,'Sapucai-Mirim','MG'),(3165503,'Sardoa','MG'),(3165537,'Sarzedo','MG'),(3165552,'Setubinha','MG'),(3165560,'Sem-Peixe','MG'),(3165578,'Senador Amaral','MG'),(3165602,'Senador Cortes','MG'),(3165701,'Senador Firmino','MG'),(3165800,'Senador Jose Bento','MG'),(3165909,'Senador Modestino Goncalves','MG'),(3166006,'Senhora de Oliveira','MG'),(3166105,'Senhora do Porto','MG'),(3166204,'Senhora dos Remedios','MG'),(3166303,'Sericita','MG'),(3166402,'Seritinga','MG'),(3166501,'Serra Azul de Minas','MG'),(3166600,'Serra da Saudade','MG'),(3166709,'Serra dos Aimores','MG'),(3166808,'Serra do Salitre','MG'),(3166907,'Serrania','MG'),(3166956,'Serranopolis de Minas','MG'),(3167004,'Serranos','MG'),(3167103,'Serro','MG'),(3167202,'Sete Lagoas','MG'),(3167301,'Silveirania','MG'),(3167400,'Silvianopolis','MG'),(3167509,'Simao Pereira','MG'),(3167608,'Simonesia','MG'),(3167707,'Sobralia','MG'),(3167806,'Soledade de Minas','MG'),(3167905,'Tabuleiro','MG'),(3168002,'Taiobeiras','MG'),(3168051,'Taparuba','MG'),(3168101,'Tapira','MG'),(3168200,'Tapirai','MG'),(3168309,'Taquaracu de Minas','MG'),(3168408,'Tarumirim','MG'),(3168507,'Teixeiras','MG'),(3168606,'Teofilo Otoni','MG'),(3168705,'Timoteo','MG'),(3168804,'Tiradentes','MG'),(3168903,'Tiros','MG'),(3169000,'Tocantins','MG'),(3169059,'Tocos do Moji','MG'),(3169109,'Toledo','MG'),(3169208,'Tombos','MG'),(3169307,'Tres Coracoes','MG'),(3169356,'Tres Marias','MG'),(3169406,'Tres Pontas','MG'),(3169505,'Tumiritinga','MG'),(3169604,'Tupaciguara','MG'),(3169703,'Turmalina','MG'),(3169802,'Turvolandia','MG'),(3169901,'Uba','MG'),(3170008,'Ubai','MG'),(3170057,'Ubaporanga','MG'),(3170107,'Uberaba','MG'),(3170206,'Uberlandia','MG'),(3170305,'Umburatiba','MG'),(3170404,'Unai','MG'),(3170438,'Uniao de Minas','MG'),(3170479,'Uruana de Minas','MG'),(3170503,'Urucania','MG'),(3170529,'Urucuia','MG'),(3170578,'Vargem Alegre','MG'),(3170602,'Vargem Bonita','MG'),(3170651,'Vargem Grande do Rio Pardo','MG'),(3170701,'Varginha','MG'),(3170750,'Varjao de Minas','MG'),(3170800,'Varzea da Palma','MG'),(3170909,'Varzelandia','MG'),(3171006,'Vazante','MG'),(3171030,'Verdelandia','MG'),(3171071,'Veredinha','MG'),(3171105,'Verissimo','MG'),(3171154,'Vermelho Novo','MG'),(3171204,'Vespasiano','MG'),(3171303,'Vicosa','MG'),(3171402,'Vieiras','MG'),(3171501,'Mathias Lobato','MG'),(3171600,'Virgem da Lapa','MG'),(3171709,'Virginia','MG'),(3171808,'Virginopolis','MG'),(3171907,'Virgolandia','MG'),(3172004,'Visconde do Rio Branco','MG'),(3172103,'Volta Grande','MG'),(3172202,'Wenceslau Braz','MG'),(3200102,'Afonso Claudio','ES'),(3200136,'Aguia Branca','ES'),(3200169,'Agua Doce do Norte','ES'),(3200201,'Alegre','ES'),(3200300,'Alfredo Chaves','ES'),(3200359,'Alto Rio Novo','ES'),(3200409,'Anchieta','ES'),(3200508,'Apiaca','ES'),(3200607,'Aracruz','ES'),(3200706,'Atilio Vivacqua','ES'),(3200805,'Baixo Guandu','ES'),(3200904,'Barra de Sao Francisco','ES'),(3201001,'Boa Esperanca','ES'),(3201100,'Bom Jesus do Norte','ES'),(3201159,'Brejetuba','ES'),(3201209,'Cachoeiro de Itapemirim','ES'),(3201308,'Cariacica','ES'),(3201407,'Castelo','ES'),(3201506,'Colatina','ES'),(3201605,'Conceicao da Barra','ES'),(3201704,'Conceicao do Castelo','ES'),(3201803,'Divino de Sao Lourenco','ES'),(3201902,'Domingos Martins','ES'),(3202009,'Dores do Rio Preto','ES'),(3202108,'Ecoporanga','ES'),(3202207,'Fundao','ES'),(3202306,'Guacui','ES'),(3202405,'Guarapari','ES'),(3202454,'Ibatiba','ES'),(3202504,'Ibiracu','ES'),(3202553,'Ibitirama','ES'),(3202603,'Iconha','ES'),(3202652,'Irupi','ES'),(3202702,'Itaguacu','ES'),(3202801,'Itapemirim','ES'),(3202900,'Itarana','ES'),(3203007,'Iuna','ES'),(3203056,'Jaguare','ES'),(3203106,'Jeronimo Monteiro','ES'),(3203130,'Joao Neiva','ES'),(3203163,'Laranja da Terra','ES'),(3203205,'Linhares','ES'),(3203304,'Mantenopolis','ES'),(3203320,'Marataizes','ES'),(3203346,'Marechal Floriano','ES'),(3203353,'Marilandia','ES'),(3203403,'Mimoso do Sul','ES'),(3203502,'Montanha','ES'),(3203601,'Mucurici','ES'),(3203700,'Muniz Freire','ES'),(3203809,'Muqui','ES'),(3203908,'Nova Venecia','ES'),(3204005,'Pancas','ES'),(3204054,'Pedro Canario','ES'),(3204104,'Pinheiros','ES'),(3204203,'Piuma','ES'),(3204252,'Ponto Belo','ES'),(3204302,'Presidente Kennedy','ES'),(3204351,'Rio Bananal','ES'),(3204401,'Rio Novo do Sul','ES'),(3204500,'Santa Leopoldina','ES'),(3204559,'Santa Maria de Jetiba','ES'),(3204609,'Santa Teresa','ES'),(3204658,'Sao Domingos do Norte','ES'),(3204708,'Sao Gabriel da Palha','ES'),(3204807,'Sao Jose do Calcado','ES'),(3204906,'Sao Mateus','ES'),(3204955,'Sao Roque do Canaa','ES'),(3205002,'Serra','ES'),(3205010,'Sooretama','ES'),(3205036,'Vargem Alta','ES'),(3205069,'Venda Nova do Imigrante','ES'),(3205101,'Viana','ES'),(3205150,'Vila Pavao','ES'),(3205176,'Vila Valerio','ES'),(3205200,'Vila Velha','ES'),(3205309,'Vitoria','ES'),(3300100,'Angra dos Reis','RJ'),(3300159,'Aperibe','RJ'),(3300209,'Araruama','RJ'),(3300225,'Areal','RJ'),(3300233,'Armacao de Buzios','RJ'),(3300258,'Arraial do Cabo','RJ'),(3300308,'Barra do Pirai','RJ'),(3300407,'Barra Mansa','RJ'),(3300456,'Belford Roxo','RJ'),(3300506,'Bom Jardim','RJ'),(3300605,'Bom Jesus do Itabapoana','RJ'),(3300704,'Cabo Frio','RJ'),(3300803,'Cachoeiras de Macacu','RJ'),(3300902,'Cambuci','RJ'),(3300936,'Carapebus','RJ'),(3300951,'Comendador Levy Gasparian','RJ'),(3301009,'Campos dos Goytacazes','RJ'),(3301108,'Cantagalo','RJ'),(3301157,'Cardoso Moreira','RJ'),(3301207,'Carmo','RJ'),(3301306,'Casimiro de Abreu','RJ'),(3301405,'Conceicao de Macabu','RJ'),(3301504,'Cordeiro','RJ'),(3301603,'Duas Barras','RJ'),(3301702,'Duque de Caxias','RJ'),(3301801,'Engenheiro Paulo de Frontin','RJ'),(3301850,'Guapimirim','RJ'),(3301876,'Iguaba Grande','RJ'),(3301900,'Itaborai','RJ'),(3302007,'Itaguai','RJ'),(3302056,'Italva','RJ'),(3302106,'Itaocara','RJ'),(3302205,'Itaperuna','RJ'),(3302254,'Itatiaia','RJ'),(3302270,'Japeri','RJ'),(3302304,'Laje do Muriae','RJ'),(3302403,'Macae','RJ'),(3302452,'Macuco','RJ'),(3302502,'Mage','RJ'),(3302601,'Mangaratiba','RJ'),(3302700,'Marica','RJ'),(3302809,'Mendes','RJ'),(3302908,'Miguel Pereira','RJ'),(3303005,'Miracema','RJ'),(3303104,'Natividade','RJ'),(3303203,'Nilopolis','RJ'),(3303302,'Niteroi','RJ'),(3303401,'Nova Friburgo','RJ'),(3303500,'Nova Iguacu','RJ'),(3303609,'Paracambi','RJ'),(3303708,'Paraiba do Sul','RJ'),(3303807,'Parati','RJ'),(3303856,'Paty do Alferes','RJ'),(3303906,'Petropolis','RJ'),(3303955,'Pinheiral','RJ'),(3304003,'Pirai','RJ'),(3304102,'Porciuncula','RJ'),(3304110,'Porto Real','RJ'),(3304128,'Quatis','RJ'),(3304144,'Queimados','RJ'),(3304151,'Quissama','RJ'),(3304201,'Resende','RJ'),(3304300,'Rio Bonito','RJ'),(3304409,'Rio Claro','RJ'),(3304508,'Rio das Flores','RJ'),(3304524,'Rio das Ostras','RJ'),(3304557,'Rio de Janeiro','RJ'),(3304607,'Santa Maria Madalena','RJ'),(3304706,'Santo Antonio de Padua','RJ'),(3304755,'Sao Francisco de Itabapoana','RJ'),(3304805,'Sao Fidelis','RJ'),(3304904,'Sao Goncalo','RJ'),(3305000,'Sao Joao da Barra','RJ'),(3305109,'Sao Joao de Meriti','RJ'),(3305133,'Sao Jose de Uba','RJ'),(3305158,'Sao Jose do Vale do Rio Preto','RJ'),(3305208,'Sao Pedro da Aldeia','RJ'),(3305307,'Sao Sebastiao do Alto','RJ'),(3305406,'Sapucaia','RJ'),(3305505,'Saquarema','RJ'),(3305554,'Seropedica','RJ'),(3305604,'Silva Jardim','RJ'),(3305703,'Sumidouro','RJ'),(3305752,'Tangua','RJ'),(3305802,'Teresopolis','RJ'),(3305901,'Trajano de Morais','RJ'),(3306008,'Tres Rios','RJ'),(3306107,'Valenca','RJ'),(3306156,'Varre-Sai','RJ'),(3306206,'Vassouras','RJ'),(3306305,'Volta Redonda','RJ'),(3500105,'Adamantina','SP'),(3500204,'Adolfo','SP'),(3500303,'Aguai','SP'),(3500402,'Aguas da Prata','SP'),(3500501,'Aguas de Lindoia','SP'),(3500550,'Aguas de Santa Barbara','SP'),(3500600,'Aguas de Sao Pedro','SP'),(3500709,'Agudos','SP'),(3500758,'Alambari','SP'),(3500808,'Alfredo Marcondes','SP'),(3500907,'Altair','SP'),(3501004,'Altinopolis','SP'),(3501103,'Alto Alegre','SP'),(3501152,'Aluminio','SP'),(3501202,'Alvares Florence','SP'),(3501301,'Alvares Machado','SP'),(3501400,'Alvaro de Carvalho','SP'),(3501509,'Alvinlandia','SP'),(3501608,'Americana','SP'),(3501707,'Americo Brasiliense','SP'),(3501806,'Americo de Campos','SP'),(3501905,'Amparo','SP'),(3502002,'Analandia','SP'),(3502101,'Andradina','SP'),(3502200,'Angatuba','SP'),(3502309,'Anhembi','SP'),(3502408,'Anhumas','SP'),(3502507,'Aparecida','SP'),(3502606,'Aparecida d\'Oeste','SP'),(3502705,'Apiai','SP'),(3502754,'Aracariguama','SP'),(3502804,'Aracatuba','SP'),(3502903,'Aracoiaba da Serra','SP'),(3503000,'Aramina','SP'),(3503109,'Arandu','SP'),(3503158,'Arapei','SP'),(3503208,'Araraquara','SP'),(3503307,'Araras','SP'),(3503356,'Arco-Iris','SP'),(3503406,'Arealva','SP'),(3503505,'Areias','SP'),(3503604,'Areiopolis','SP'),(3503703,'Ariranha','SP'),(3503802,'Artur Nogueira','SP'),(3503901,'Aruja','SP'),(3503950,'Aspasia','SP'),(3504008,'Assis','SP'),(3504107,'Atibaia','SP'),(3504206,'Auriflama','SP'),(3504305,'Avai','SP'),(3504404,'Avanhandava','SP'),(3504503,'Avare','SP'),(3504602,'Bady Bassitt','SP'),(3504701,'Balbinos','SP'),(3504800,'Balsamo','SP'),(3504909,'Bananal','SP'),(3505005,'Barao de Antonina','SP'),(3505104,'Barbosa','SP'),(3505203,'Bariri','SP'),(3505302,'Barra Bonita','SP'),(3505351,'Barra do Chapeu','SP'),(3505401,'Barra do Turvo','SP'),(3505500,'Barretos','SP'),(3505609,'Barrinha','SP'),(3505708,'Barueri','SP'),(3505807,'Bastos','SP'),(3505906,'Batatais','SP'),(3506003,'Bauru','SP'),(3506102,'Bebedouro','SP'),(3506201,'Bento de Abreu','SP'),(3506300,'Bernardino de Campos','SP'),(3506359,'Bertioga','SP'),(3506409,'Bilac','SP'),(3506508,'Birigui','SP'),(3506607,'Biritiba-Mirim','SP'),(3506706,'Boa Esperanca do Sul','SP'),(3506805,'Bocaina','SP'),(3506904,'Bofete','SP'),(3507001,'Boituva','SP'),(3507100,'Bom Jesus dos Perdoes','SP'),(3507159,'Bom Sucesso de Itarare','SP'),(3507209,'Bora','SP'),(3507308,'Boraceia','SP'),(3507407,'Borborema','SP'),(3507456,'Borebi','SP'),(3507506,'Botucatu','SP'),(3507605,'Braganca Paulista','SP'),(3507704,'Brauna','SP'),(3507753,'Brejo Alegre','SP'),(3507803,'Brodosqui','SP'),(3507902,'Brotas','SP'),(3508009,'Buri','SP'),(3508108,'Buritama','SP'),(3508207,'Buritizal','SP'),(3508306,'Cabralia Paulista','SP'),(3508405,'Cabreuva','SP'),(3508504,'Cacapava','SP'),(3508603,'Cachoeira Paulista','SP'),(3508702,'Caconde','SP'),(3508801,'Cafelandia','SP'),(3508900,'Caiabu','SP'),(3509007,'Caieiras','SP'),(3509106,'Caiua','SP'),(3509205,'Cajamar','SP'),(3509254,'Cajati','SP'),(3509304,'Cajobi','SP'),(3509403,'Cajuru','SP'),(3509452,'Campina do Monte Alegre','SP'),(3509502,'Campinas','SP'),(3509601,'Campo Limpo Paulista','SP'),(3509700,'Campos do Jordao','SP'),(3509809,'Campos Novos Paulista','SP'),(3509908,'Cananeia','SP'),(3509957,'Canas','SP'),(3510005,'Candido Mota','SP'),(3510104,'Candido Rodrigues','SP'),(3510153,'Canitar','SP'),(3510203,'Capao Bonito','SP'),(3510302,'Capela do Alto','SP'),(3510401,'Capivari','SP'),(3510500,'Caraguatatuba','SP'),(3510609,'Carapicuiba','SP'),(3510708,'Cardoso','SP'),(3510807,'Casa Branca','SP'),(3510906,'Cassia dos Coqueiros','SP'),(3511003,'Castilho','SP'),(3511102,'Catanduva','SP'),(3511201,'Catigua','SP'),(3511300,'Cedral','SP'),(3511409,'Cerqueira Cesar','SP'),(3511508,'Cerquilho','SP'),(3511607,'Cesario Lange','SP'),(3511706,'Charqueada','SP'),(3511904,'Clementina','SP'),(3512001,'Colina','SP'),(3512100,'Colombia','SP'),(3512209,'Conchal','SP'),(3512308,'Conchas','SP'),(3512407,'Cordeiropolis','SP'),(3512506,'Coroados','SP'),(3512605,'Coronel Macedo','SP'),(3512704,'Corumbatai','SP'),(3512803,'Cosmopolis','SP'),(3512902,'Cosmorama','SP'),(3513009,'Cotia','SP'),(3513108,'Cravinhos','SP'),(3513207,'Cristais Paulista','SP'),(3513306,'Cruzalia','SP'),(3513405,'Cruzeiro','SP'),(3513504,'Cubatao','SP'),(3513603,'Cunha','SP'),(3513702,'Descalvado','SP'),(3513801,'Diadema','SP'),(3513850,'Dirce Reis','SP'),(3513900,'Divinolandia','SP'),(3514007,'Dobrada','SP'),(3514106,'Dois Corregos','SP'),(3514205,'Dolcinopolis','SP'),(3514304,'Dourado','SP'),(3514403,'Dracena','SP'),(3514502,'Duartina','SP'),(3514601,'Dumont','SP'),(3514700,'Echapora','SP'),(3514809,'Eldorado','SP'),(3514908,'Elias Fausto','SP'),(3514924,'Elisiario','SP'),(3514957,'Embauba','SP'),(3515004,'Embu','SP'),(3515103,'Embu-Guacu','SP'),(3515129,'Emilianopolis','SP'),(3515152,'Engenheiro Coelho','SP'),(3515186,'Espirito Santo do Pinhal','SP'),(3515194,'Espirito Santo do Turvo','SP'),(3515202,'Estrela d\'Oeste','SP'),(3515301,'Estrela do Norte','SP'),(3515350,'Euclides da Cunha Paulista','SP'),(3515400,'Fartura','SP'),(3515509,'Fernandopolis','SP'),(3515608,'Fernando Prestes','SP'),(3515657,'Fernao','SP'),(3515707,'Ferraz de Vasconcelos','SP'),(3515806,'Flora Rica','SP'),(3515905,'Floreal','SP'),(3516002,'Florida Paulista','SP'),(3516101,'Florinia','SP'),(3516200,'Franca','SP'),(3516309,'Francisco Morato','SP'),(3516408,'Franco da Rocha','SP'),(3516507,'Gabriel Monteiro','SP'),(3516606,'Galia','SP'),(3516705,'Garca','SP'),(3516804,'Gastao Vidigal','SP'),(3516853,'Gaviao Peixoto','SP'),(3516903,'General Salgado','SP'),(3517000,'Getulina','SP'),(3517109,'Glicerio','SP'),(3517208,'Guaicara','SP'),(3517307,'Guaimbe','SP'),(3517406,'Guaira','SP'),(3517505,'Guapiacu','SP'),(3517604,'Guapiara','SP'),(3517703,'Guara','SP'),(3517802,'Guaracai','SP'),(3517901,'Guaraci','SP'),(3518008,'Guarani d\'Oeste','SP'),(3518107,'Guaranta','SP'),(3518206,'Guararapes','SP'),(3518305,'Guararema','SP'),(3518404,'Guaratingueta','SP'),(3518503,'Guarei','SP'),(3518602,'Guariba','SP'),(3518701,'Guaruja','SP'),(3518800,'Guarulhos','SP'),(3518859,'Guatapara','SP'),(3518909,'Guzolandia','SP'),(3519006,'Herculandia','SP'),(3519055,'Holambra','SP'),(3519071,'Hortolandia','SP'),(3519105,'Iacanga','SP'),(3519204,'Iacri','SP'),(3519253,'Iaras','SP'),(3519303,'Ibate','SP'),(3519402,'Ibira','SP'),(3519501,'Ibirarema','SP'),(3519600,'Ibitinga','SP'),(3519709,'Ibiuna','SP'),(3519808,'Icem','SP'),(3519907,'Iepe','SP'),(3520004,'Igaracu do Tiete','SP'),(3520103,'Igarapava','SP'),(3520202,'Igarata','SP'),(3520301,'Iguape','SP'),(3520400,'Ilhabela','SP'),(3520426,'Ilha Comprida','SP'),(3520442,'Ilha Solteira','SP'),(3520509,'Indaiatuba','SP'),(3520608,'Indiana','SP'),(3520707,'Indiapora','SP'),(3520806,'Inubia Paulista','SP'),(3520905,'Ipaucu','SP'),(3521002,'Ipero','SP'),(3521101,'Ipeuna','SP'),(3521150,'Ipigua','SP'),(3521200,'Iporanga','SP'),(3521309,'Ipua','SP'),(3521408,'Iracemapolis','SP'),(3521507,'Irapua','SP'),(3521606,'Irapuru','SP'),(3521705,'Itabera','SP'),(3521804,'Itai','SP'),(3521903,'Itajobi','SP'),(3522000,'Itaju','SP'),(3522109,'Itanhaem','SP'),(3522158,'Itaoca','SP'),(3522208,'Itapecerica da Serra','SP'),(3522307,'Itapetininga','SP'),(3522406,'Itapeva','SP'),(3522505,'Itapevi','SP'),(3522604,'Itapira','SP'),(3522653,'Itapirapua Paulista','SP'),(3522703,'Itapolis','SP'),(3522802,'Itaporanga','SP'),(3522901,'Itapui','SP'),(3523008,'Itapura','SP'),(3523107,'Itaquaquecetuba','SP'),(3523206,'Itarare','SP'),(3523305,'Itariri','SP'),(3523404,'Itatiba','SP'),(3523503,'Itatinga','SP'),(3523602,'Itirapina','SP'),(3523701,'Itirapua','SP'),(3523800,'Itobi','SP'),(3523909,'Itu','SP'),(3524006,'Itupeva','SP'),(3524105,'Ituverava','SP'),(3524204,'Jaborandi','SP'),(3524303,'Jaboticabal','SP'),(3524402,'Jacarei','SP'),(3524501,'Jaci','SP'),(3524600,'Jacupiranga','SP'),(3524709,'Jaguariuna','SP'),(3524808,'Jales','SP'),(3524907,'Jambeiro','SP'),(3525003,'Jandira','SP'),(3525102,'Jardinopolis','SP'),(3525201,'Jarinu','SP'),(3525300,'Jau','SP'),(3525409,'Jeriquara','SP'),(3525508,'Joanopolis','SP'),(3525607,'Joao Ramalho','SP'),(3525706,'Jose Bonifacio','SP'),(3525805,'Julio Mesquita','SP'),(3525854,'Jumirim','SP'),(3525904,'Jundiai','SP'),(3526001,'Junqueiropolis','SP'),(3526100,'Juquia','SP'),(3526209,'Juquitiba','SP'),(3526308,'Lagoinha','SP'),(3526407,'Laranjal Paulista','SP'),(3526506,'Lavinia','SP'),(3526605,'Lavrinhas','SP'),(3526704,'Leme','SP'),(3526803,'Lencois Paulista','SP'),(3526902,'Limeira','SP'),(3527009,'Lindoia','SP'),(3527108,'Lins','SP'),(3527207,'Lorena','SP'),(3527256,'Lourdes','SP'),(3527306,'Louveira','SP'),(3527405,'Lucelia','SP'),(3527504,'Lucianopolis','SP'),(3527603,'Luis Antonio','SP'),(3527702,'Luiziania','SP'),(3527801,'Lupercio','SP'),(3527900,'Lutecia','SP'),(3528007,'Macatuba','SP'),(3528106,'Macaubal','SP'),(3528205,'Macedonia','SP'),(3528304,'Magda','SP'),(3528403,'Mairinque','SP'),(3528502,'Mairipora','SP'),(3528601,'Manduri','SP'),(3528700,'Maraba Paulista','SP'),(3528809,'Maracai','SP'),(3528858,'Marapoama','SP'),(3528908,'Mariapolis','SP'),(3529005,'Marilia','SP'),(3529104,'Marinopolis','SP'),(3529203,'Martinopolis','SP'),(3529302,'Matao','SP'),(3529401,'Maua','SP'),(3529500,'Mendonca','SP'),(3529609,'Meridiano','SP'),(3529658,'Mesopolis','SP'),(3529708,'Miguelopolis','SP'),(3529807,'Mineiros do Tiete','SP'),(3529906,'Miracatu','SP'),(3530003,'Mira Estrela','SP'),(3530102,'Mirandopolis','SP'),(3530201,'Mirante do Paranapanema','SP'),(3530300,'Mirassol','SP'),(3530409,'Mirassolandia','SP'),(3530508,'Mococa','SP'),(3530607,'Moji das Cruzes','SP'),(3530706,'Moji-Guacu','SP'),(3530805,'Moji-Mirim','SP'),(3530904,'Mombuca','SP'),(3531001,'Moncoes','SP'),(3531100,'Mongagua','SP'),(3531209,'Monte Alegre do Sul','SP'),(3531308,'Monte Alto','SP'),(3531407,'Monte Aprazivel','SP'),(3531506,'Monte Azul Paulista','SP'),(3531605,'Monte Castelo','SP'),(3531704,'Monteiro Lobato','SP'),(3531803,'Monte Mor','SP'),(3531902,'Morro Agudo','SP'),(3532009,'Morungaba','SP'),(3532058,'Motuca','SP'),(3532108,'Murutinga do Sul','SP'),(3532157,'Nantes','SP'),(3532207,'Narandiba','SP'),(3532306,'Natividade da Serra','SP'),(3532405,'Nazare Paulista','SP'),(3532504,'Neves Paulista','SP'),(3532603,'Nhandeara','SP'),(3532702,'Nipoa','SP'),(3532801,'Nova Alianca','SP'),(3532827,'Nova Campina','SP'),(3532843,'Nova Canaa Paulista','SP'),(3532868,'Nova Castilho','SP'),(3532900,'Nova Europa','SP'),(3533007,'Nova Granada','SP'),(3533106,'Nova Guataporanga','SP'),(3533205,'Nova Independencia','SP'),(3533254,'Novais','SP'),(3533304,'Nova Luzitania','SP'),(3533403,'Nova Odessa','SP'),(3533502,'Novo Horizonte','SP'),(3533601,'Nuporanga','SP'),(3533700,'Ocaucu','SP'),(3533809,'Oleo','SP'),(3533908,'Olimpia','SP'),(3534005,'Onda Verde','SP'),(3534104,'Oriente','SP'),(3534203,'Orindiuva','SP'),(3534302,'Orlandia','SP'),(3534401,'Osasco','SP'),(3534500,'Oscar Bressane','SP'),(3534609,'Osvaldo Cruz','SP'),(3534708,'Ourinhos','SP'),(3534757,'Ouroeste','SP'),(3534807,'Ouro Verde','SP'),(3534906,'Pacaembu','SP'),(3535002,'Palestina','SP'),(3535101,'Palmares Paulista','SP'),(3535200,'Palmeira d\'Oeste','SP'),(3535309,'Palmital','SP'),(3535408,'Panorama','SP'),(3535507,'Paraguacu Paulista','SP'),(3535606,'Paraibuna','SP'),(3535705,'Paraiso','SP'),(3535804,'Paranapanema','SP'),(3535903,'Paranapua','SP'),(3536000,'Parapua','SP'),(3536109,'Pardinho','SP'),(3536208,'Pariquera-Acu','SP'),(3536257,'Parisi','SP'),(3536307,'Patrocinio Paulista','SP'),(3536406,'Pauliceia','SP'),(3536505,'Paulinia','SP'),(3536570,'Paulistania','SP'),(3536604,'Paulo de Faria','SP'),(3536703,'Pederneiras','SP'),(3536802,'Pedra Bela','SP'),(3536901,'Pedranopolis','SP'),(3537008,'Pedregulho','SP'),(3537107,'Pedreira','SP'),(3537156,'Pedrinhas Paulista','SP'),(3537206,'Pedro de Toledo','SP'),(3537305,'Penapolis','SP'),(3537404,'Pereira Barreto','SP'),(3537503,'Pereiras','SP'),(3537602,'Peruibe','SP'),(3537701,'Piacatu','SP'),(3537800,'Piedade','SP'),(3537909,'Pilar do Sul','SP'),(3538006,'Pindamonhangaba','SP'),(3538105,'Pindorama','SP'),(3538204,'Pinhalzinho','SP'),(3538303,'Piquerobi','SP'),(3538501,'Piquete','SP'),(3538600,'Piracaia','SP'),(3538709,'Piracicaba','SP'),(3538808,'Piraju','SP'),(3538907,'Pirajui','SP'),(3539004,'Pirangi','SP'),(3539103,'Pirapora do Bom Jesus','SP'),(3539202,'Pirapozinho','SP'),(3539301,'Pirassununga','SP'),(3539400,'Piratininga','SP'),(3539509,'Pitangueiras','SP'),(3539608,'Planalto','SP'),(3539707,'Platina','SP'),(3539806,'Poa','SP'),(3539905,'Poloni','SP'),(3540002,'Pompeia','SP'),(3540101,'Pongai','SP'),(3540200,'Pontal','SP'),(3540259,'Pontalinda','SP'),(3540309,'Pontes Gestal','SP'),(3540408,'Populina','SP'),(3540507,'Porangaba','SP'),(3540606,'Porto Feliz','SP'),(3540705,'Porto Ferreira','SP'),(3540754,'Potim','SP'),(3540804,'Potirendaba','SP'),(3540853,'Pracinha','SP'),(3540903,'Pradopolis','SP'),(3541000,'Praia Grande','SP'),(3541059,'Pratania','SP'),(3541109,'Presidente Alves','SP'),(3541208,'Presidente Bernardes','SP'),(3541307,'Presidente Epitacio','SP'),(3541406,'Presidente Prudente','SP'),(3541505,'Presidente Venceslau','SP'),(3541604,'Promissao','SP'),(3541653,'Quadra','SP'),(3541703,'Quata','SP'),(3541802,'Queiroz','SP'),(3541901,'Queluz','SP'),(3542008,'Quintana','SP'),(3542107,'Rafard','SP'),(3542206,'Rancharia','SP'),(3542305,'Redencao da Serra','SP'),(3542404,'Regente Feijo','SP'),(3542503,'Reginopolis','SP'),(3542602,'Registro','SP'),(3542701,'Restinga','SP'),(3542800,'Ribeira','SP'),(3542909,'Ribeirao Bonito','SP'),(3543006,'Ribeirao Branco','SP'),(3543105,'Ribeirao Corrente','SP'),(3543204,'Ribeirao do Sul','SP'),(3543238,'Ribeirao dos Indios','SP'),(3543253,'Ribeirao Grande','SP'),(3543303,'Ribeirao Pires','SP'),(3543402,'Ribeirao Preto','SP'),(3543501,'Riversul','SP'),(3543600,'Rifaina','SP'),(3543709,'Rincao','SP'),(3543808,'Rinopolis','SP'),(3543907,'Rio Claro','SP'),(3544004,'Rio das Pedras','SP'),(3544103,'Rio Grande da Serra','SP'),(3544202,'Riolandia','SP'),(3544251,'Rosana','SP'),(3544301,'Roseira','SP'),(3544400,'Rubiacea','SP'),(3544509,'Rubineia','SP'),(3544608,'Sabino','SP'),(3544707,'Sagres','SP'),(3544806,'Sales','SP'),(3544905,'Sales Oliveira','SP'),(3545001,'Salesopolis','SP'),(3545100,'Salmourao','SP'),(3545159,'Saltinho','SP'),(3545209,'Salto','SP'),(3545308,'Salto de Pirapora','SP'),(3545407,'Salto Grande','SP'),(3545506,'Sandovalina','SP'),(3545605,'Santa Adelia','SP'),(3545704,'Santa Albertina','SP'),(3545803,'Santa Barbara d\'Oeste','SP'),(3546009,'Santa Branca','SP'),(3546108,'Santa Clara d\'Oeste','SP'),(3546207,'Santa Cruz da Conceicao','SP'),(3546256,'Santa Cruz da Esperanca','SP'),(3546306,'Santa Cruz das Palmeiras','SP'),(3546405,'Santa Cruz do Rio Pardo','SP'),(3546504,'Santa Ernestina','SP'),(3546603,'Santa Fe do Sul','SP'),(3546702,'Santa Gertrudes','SP'),(3546801,'Santa Isabel','SP'),(3546900,'Santa Lucia','SP'),(3547007,'Santa Maria da Serra','SP'),(3547106,'Santa Mercedes','SP'),(3547205,'Santana da Ponte Pensa','SP'),(3547304,'Santana de Parnaiba','SP'),(3547403,'Santa Rita d\'Oeste','SP'),(3547502,'Santa Rita do Passa Quatro','SP'),(3547601,'Santa Rosa de Viterbo','SP'),(3547650,'Santa Salete','SP'),(3547700,'Santo Anastacio','SP'),(3547809,'Santo Andre','SP'),(3547908,'Santo Antonio da Alegria','SP'),(3548005,'Santo Antonio de Posse','SP'),(3548054,'Santo Antonio do Aracangua','SP'),(3548104,'Santo Antonio do Jardim','SP'),(3548203,'Santo Antonio do Pinhal','SP'),(3548302,'Santo Expedito','SP'),(3548401,'Santopolis do Aguapei','SP'),(3548500,'Santos','SP'),(3548609,'Sao Bento do Sapucai','SP'),(3548708,'Sao Bernardo do Campo','SP'),(3548807,'Sao Caetano do Sul','SP'),(3548906,'Sao Carlos','SP'),(3549003,'Sao Francisco','SP'),(3549102,'Sao Joao da Boa Vista','SP'),(3549201,'Sao Joao das Duas Pontes','SP'),(3549250,'Sao Joao de Iracema','SP'),(3549300,'Sao Joao do Pau d\'Alho','SP'),(3549409,'Sao Joaquim da Barra','SP'),(3549508,'Sao Jose da Bela Vista','SP'),(3549607,'Sao Jose do Barreiro','SP'),(3549706,'Sao Jose do Rio Pardo','SP'),(3549805,'Sao Jose do Rio Preto','SP'),(3549904,'Sao Jose dos Campos','SP'),(3549953,'Sao Lourenco da Serra','SP'),(3550001,'Sao Luis do Paraitinga','SP'),(3550100,'Sao Manuel','SP'),(3550209,'Sao Miguel Arcanjo','SP'),(3550308,'Sao Paulo','SP'),(3550407,'Sao Pedro','SP'),(3550506,'Sao Pedro do Turvo','SP'),(3550605,'Sao Roque','SP'),(3550704,'Sao Sebastiao','SP'),(3550803,'Sao Sebastiao da Grama','SP'),(3550902,'Sao Simao','SP'),(3551009,'Sao Vicente','SP'),(3551108,'Sarapui','SP'),(3551207,'Sarutaia','SP'),(3551306,'Sebastianopolis do Sul','SP'),(3551405,'Serra Azul','SP'),(3551504,'Serrana','SP'),(3551603,'Serra Negra','SP'),(3551702,'Sertaozinho','SP'),(3551801,'Sete Barras','SP'),(3551900,'Severinia','SP'),(3552007,'Silveiras','SP'),(3552106,'Socorro','SP'),(3552205,'Sorocaba','SP'),(3552304,'Sud Mennucci','SP'),(3552403,'Sumare','SP'),(3552502,'Suzano','SP'),(3552551,'Suzanapolis','SP'),(3552601,'Tabapua','SP'),(3552700,'Tabatinga','SP'),(3552809,'Taboao da Serra','SP'),(3552908,'Taciba','SP'),(3553005,'Taguai','SP'),(3553104,'Taiacu','SP'),(3553203,'Taiuva','SP'),(3553302,'Tambau','SP'),(3553401,'Tanabi','SP'),(3553500,'Tapirai','SP'),(3553609,'Tapiratiba','SP'),(3553658,'Taquaral','SP'),(3553708,'Taquaritinga','SP'),(3553807,'Taquarituba','SP'),(3553856,'Taquarivai','SP'),(3553906,'Tarabai','SP'),(3553955,'Taruma','SP'),(3554003,'Tatui','SP'),(3554102,'Taubate','SP'),(3554201,'Tejupa','SP'),(3554300,'Teodoro Sampaio','SP'),(3554409,'Terra Roxa','SP'),(3554508,'Tiete','SP'),(3554607,'Timburi','SP'),(3554656,'Torre de Pedra','SP'),(3554706,'Torrinha','SP'),(3554755,'Trabiju','SP'),(3554805,'Tremembe','SP'),(3554904,'Tres Fronteiras','SP'),(3554953,'Tuiuti','SP'),(3555000,'Tupa','SP'),(3555109,'Tupi Paulista','SP'),(3555208,'Turiuba','SP'),(3555307,'Turmalina','SP'),(3555356,'Ubarana','SP'),(3555406,'Ubatuba','SP'),(3555505,'Ubirajara','SP'),(3555604,'Uchoa','SP'),(3555703,'Uniao Paulista','SP'),(3555802,'Urania','SP'),(3555901,'Uru','SP'),(3556008,'Urupes','SP'),(3556107,'Valentim Gentil','SP'),(3556206,'Valinhos','SP'),(3556305,'Valparaiso','SP'),(3556354,'Vargem','SP'),(3556404,'Vargem Grande do Sul','SP'),(3556453,'Vargem Grande Paulista','SP'),(3556503,'Varzea Paulista','SP'),(3556602,'Vera Cruz','SP'),(3556701,'Vinhedo','SP'),(3556800,'Viradouro','SP'),(3556909,'Vista Alegre do Alto','SP'),(3556958,'Vitoria Brasil','SP'),(3557006,'Votorantim','SP'),(3557105,'Votuporanga','SP'),(3557154,'Zacarias','SP'),(3557204,'Chavantes','SP'),(3557303,'Estiva Gerbi','SP'),(4100103,'Abatia','PR'),(4100202,'Adrianopolis','PR'),(4100301,'Agudos do Sul','PR'),(4100400,'Almirante Tamandare','PR'),(4100459,'Altamira do Parana','PR'),(4100509,'Altonia','PR'),(4100608,'Alto Parana','PR'),(4100707,'Alto Piquiri','PR'),(4100806,'Alvorada do Sul','PR'),(4100905,'Amapora','PR'),(4101002,'Ampere','PR'),(4101051,'Anahy','PR'),(4101101,'Andira','PR'),(4101150,'Angulo','PR'),(4101200,'Antonina','PR'),(4101309,'Antonio Olinto','PR'),(4101408,'Apucarana','PR'),(4101507,'Arapongas','PR'),(4101606,'Arapoti','PR'),(4101655,'Arapua','PR'),(4101705,'Araruna','PR'),(4101804,'Araucaria','PR'),(4101853,'Ariranha do Ivai','PR'),(4101903,'Assai','PR'),(4102000,'Assis Chateaubriand','PR'),(4102109,'Astorga','PR'),(4102208,'Atalaia','PR'),(4102307,'Balsa Nova','PR'),(4102406,'Bandeirantes','PR'),(4102505,'Barbosa Ferraz','PR'),(4102604,'Barracao','PR'),(4102703,'Barra do Jacare','PR'),(4102752,'Bela Vista do Caroba','PR'),(4102802,'Bela Vista do Paraiso','PR'),(4102901,'Bituruna','PR'),(4103008,'Boa Esperanca','PR'),(4103024,'Boa Esperanca do Iguacu','PR'),(4103040,'Boa Ventura de Sao Roque','PR'),(4103057,'Boa Vista da Aparecida','PR'),(4103107,'Bocaiuva do Sul','PR'),(4103156,'Bom Jesus do Sul','PR'),(4103206,'Bom Sucesso','PR'),(4103222,'Bom Sucesso do Sul','PR'),(4103305,'Borrazopolis','PR'),(4103354,'Braganey','PR'),(4103370,'Brasilandia do Sul','PR'),(4103404,'Cafeara','PR'),(4103453,'Cafelandia','PR'),(4103479,'Cafezal do Sul','PR'),(4103503,'California','PR'),(4103602,'Cambara','PR'),(4103701,'Cambe','PR'),(4103800,'Cambira','PR'),(4103909,'Campina da Lagoa','PR'),(4103958,'Campina do Simao','PR'),(4104006,'Campina Grande do Sul','PR'),(4104055,'Campo Bonito','PR'),(4104105,'Campo do Tenente','PR'),(4104204,'Campo Largo','PR'),(4104253,'Campo Magro','PR'),(4104303,'Campo Mourao','PR'),(4104402,'Candido de Abreu','PR'),(4104428,'Candoi','PR'),(4104451,'Cantagalo','PR'),(4104501,'Capanema','PR'),(4104600,'Capitao Leonidas Marques','PR'),(4104659,'Carambei','PR'),(4104709,'Carlopolis','PR'),(4104808,'Cascavel','PR'),(4104907,'Castro','PR'),(4105003,'Catanduvas','PR'),(4105102,'Centenario do Sul','PR'),(4105201,'Cerro Azul','PR'),(4105300,'Ceu Azul','PR'),(4105409,'Chopinzinho','PR'),(4105508,'Cianorte','PR'),(4105607,'Cidade Gaucha','PR'),(4105706,'Clevelandia','PR'),(4105805,'Colombo','PR'),(4105904,'Colorado','PR'),(4106001,'Congonhinhas','PR'),(4106100,'Conselheiro Mairinck','PR'),(4106209,'Contenda','PR'),(4106308,'Corbelia','PR'),(4106407,'Cornelio Procopio','PR'),(4106456,'Coronel Domingos Soares','PR'),(4106506,'Coronel Vivida','PR'),(4106555,'Corumbatai do Sul','PR'),(4106571,'Cruzeiro do Iguacu','PR'),(4106605,'Cruzeiro do Oeste','PR'),(4106704,'Cruzeiro do Sul','PR'),(4106803,'Cruz Machado','PR'),(4106852,'Cruzmaltina','PR'),(4106902,'Curitiba','PR'),(4107009,'Curiuva','PR'),(4107108,'Diamante do Norte','PR'),(4107124,'Diamante do Sul','PR'),(4107157,'Diamante D\'Oeste','PR'),(4107207,'Dois Vizinhos','PR'),(4107256,'Douradina','PR'),(4107306,'Doutor Camargo','PR'),(4107405,'Eneas Marques','PR'),(4107504,'Engenheiro Beltrao','PR'),(4107520,'Esperanca Nova','PR'),(4107538,'Entre Rios do Oeste','PR'),(4107546,'Espigao Alto do Iguacu','PR'),(4107553,'Farol','PR'),(4107603,'Faxinal','PR'),(4107652,'Fazenda Rio Grande','PR'),(4107702,'Fenix','PR'),(4107736,'Fernandes Pinheiro','PR'),(4107751,'Figueira','PR'),(4107801,'Florai','PR'),(4107850,'Flor da Serra do Sul','PR'),(4107900,'Floresta','PR'),(4108007,'Florestopolis','PR'),(4108106,'Florida','PR'),(4108205,'Formosa do Oeste','PR'),(4108304,'Foz do Iguacu','PR'),(4108320,'Francisco Alves','PR'),(4108403,'Francisco Beltrao','PR'),(4108452,'Foz do Jordao','PR'),(4108502,'General Carneiro','PR'),(4108551,'Godoy Moreira','PR'),(4108601,'Goioere','PR'),(4108650,'Goioxim','PR'),(4108700,'Grandes Rios','PR'),(4108809,'Guaira','PR'),(4108908,'Guairaca','PR'),(4108957,'Guamiranga','PR'),(4109005,'Guapirama','PR'),(4109104,'Guaporema','PR'),(4109203,'Guaraci','PR'),(4109302,'Guaraniacu','PR'),(4109401,'Guarapuava','PR'),(4109500,'Guaraquecaba','PR'),(4109609,'Guaratuba','PR'),(4109658,'Honorio Serpa','PR'),(4109708,'Ibaiti','PR'),(4109757,'Ibema','PR'),(4109807,'Ibipora','PR'),(4109906,'Icaraima','PR'),(4110003,'Iguaracu','PR'),(4110052,'Iguatu','PR'),(4110078,'Imbau','PR'),(4110102,'Imbituva','PR'),(4110201,'Inacio Martins','PR'),(4110300,'Inaja','PR'),(4110409,'Indianopolis','PR'),(4110508,'Ipiranga','PR'),(4110607,'Ipora','PR'),(4110656,'Iracema do Oeste','PR'),(4110706,'Irati','PR'),(4110805,'Iretama','PR'),(4110904,'Itaguaje','PR'),(4110953,'Itaipulandia','PR'),(4111001,'Itambaraca','PR'),(4111100,'Itambe','PR'),(4111209,'Itapejara d\'Oeste','PR'),(4111258,'Itaperucu','PR'),(4111308,'Itauna do Sul','PR'),(4111407,'Ivai','PR'),(4111506,'Ivaipora','PR'),(4111555,'Ivate','PR'),(4111605,'Ivatuba','PR'),(4111704,'Jaboti','PR'),(4111803,'Jacarezinho','PR'),(4111902,'Jaguapita','PR'),(4112009,'Jaguariaiva','PR'),(4112108,'Jandaia do Sul','PR'),(4112207,'Janiopolis','PR'),(4112306,'Japira','PR'),(4112405,'Japura','PR'),(4112504,'Jardim Alegre','PR'),(4112603,'Jardim Olinda','PR'),(4112702,'Jataizinho','PR'),(4112751,'Jesuitas','PR'),(4112801,'Joaquim Tavora','PR'),(4112900,'Jundiai do Sul','PR'),(4112959,'Juranda','PR'),(4113007,'Jussara','PR'),(4113106,'Kalore','PR'),(4113205,'Lapa','PR'),(4113254,'Laranjal','PR'),(4113304,'Laranjeiras do Sul','PR'),(4113403,'Leopolis','PR'),(4113429,'Lidianopolis','PR'),(4113452,'Lindoeste','PR'),(4113502,'Loanda','PR'),(4113601,'Lobato','PR'),(4113700,'Londrina','PR'),(4113734,'Luiziana','PR'),(4113759,'Lunardelli','PR'),(4113809,'Lupionopolis','PR'),(4113908,'Mallet','PR'),(4114005,'Mambore','PR'),(4114104,'Mandaguacu','PR'),(4114203,'Mandaguari','PR'),(4114302,'Mandirituba','PR'),(4114351,'Manfrinopolis','PR'),(4114401,'Mangueirinha','PR'),(4114500,'Manoel Ribas','PR'),(4114609,'Marechal Candido Rondon','PR'),(4114708,'Maria Helena','PR'),(4114807,'Marialva','PR'),(4114906,'Marilandia do Sul','PR'),(4115002,'Marilena','PR'),(4115101,'Mariluz','PR'),(4115200,'Maringa','PR'),(4115309,'Mariopolis','PR'),(4115358,'Maripa','PR'),(4115408,'Marmeleiro','PR'),(4115457,'Marquinho','PR'),(4115507,'Marumbi','PR'),(4115606,'Matelandia','PR'),(4115705,'Matinhos','PR'),(4115739,'Mato Rico','PR'),(4115754,'Maua da Serra','PR'),(4115804,'Medianeira','PR'),(4115853,'Mercedes','PR'),(4115903,'Mirador','PR'),(4116000,'Miraselva','PR'),(4116059,'Missal','PR'),(4116109,'Moreira Sales','PR'),(4116208,'Morretes','PR'),(4116307,'Munhoz de Melo','PR'),(4116406,'Nossa Senhora das Gracas','PR'),(4116505,'Nova Alianca do Ivai','PR'),(4116604,'Nova America da Colina','PR'),(4116703,'Nova Aurora','PR'),(4116802,'Nova Cantu','PR'),(4116901,'Nova Esperanca','PR'),(4116950,'Nova Esperanca do Sudoeste','PR'),(4117008,'Nova Fatima','PR'),(4117057,'Nova Laranjeiras','PR'),(4117107,'Nova Londrina','PR'),(4117206,'Nova Olimpia','PR'),(4117214,'Nova Santa Barbara','PR'),(4117222,'Nova Santa Rosa','PR'),(4117255,'Nova Prata do Iguacu','PR'),(4117271,'Nova Tebas','PR'),(4117297,'Novo Itacolomi','PR'),(4117305,'Ortigueira','PR'),(4117404,'Ourizona','PR'),(4117453,'Ouro Verde do Oeste','PR'),(4117503,'Paicandu','PR'),(4117602,'Palmas','PR'),(4117701,'Palmeira','PR'),(4117800,'Palmital','PR'),(4117909,'Palotina','PR'),(4118006,'Paraiso do Norte','PR'),(4118105,'Paranacity','PR'),(4118204,'Paranagua','PR'),(4118303,'Paranapoema','PR'),(4118402,'Paranavai','PR'),(4118451,'Pato Bragado','PR'),(4118501,'Pato Branco','PR'),(4118600,'Paula Freitas','PR'),(4118709,'Paulo Frontin','PR'),(4118808,'Peabiru','PR'),(4118857,'Perobal','PR'),(4118907,'Perola','PR'),(4119004,'Perola d\'Oeste','PR'),(4119103,'Pien','PR'),(4119152,'Pinhais','PR'),(4119202,'Pinhalao','PR'),(4119251,'Pinhal de Sao Bento','PR'),(4119301,'Pinhao','PR'),(4119400,'Pirai do Sul','PR'),(4119509,'Piraquara','PR'),(4119608,'Pitanga','PR'),(4119657,'Pitangueiras','PR'),(4119707,'Planaltina do Parana','PR'),(4119806,'Planalto','PR'),(4119905,'Ponta Grossa','PR'),(4119954,'Pontal do Parana','PR'),(4120002,'Porecatu','PR'),(4120101,'Porto Amazonas','PR'),(4120150,'Porto Barreiro','PR'),(4120200,'Porto Rico','PR'),(4120309,'Porto Vitoria','PR'),(4120333,'Prado Ferreira','PR'),(4120358,'Pranchita','PR'),(4120408,'Presidente Castelo Branco','PR'),(4120507,'Primeiro de Maio','PR'),(4120606,'Prudentopolis','PR'),(4120655,'Quarto Centenario','PR'),(4120705,'Quatigua','PR'),(4120804,'Quatro Barras','PR'),(4120853,'Quatro Pontes','PR'),(4120903,'Quedas do Iguacu','PR'),(4121000,'Querencia do Norte','PR'),(4121109,'Quinta do Sol','PR'),(4121208,'Quitandinha','PR'),(4121257,'Ramilandia','PR'),(4121307,'Rancho Alegre','PR'),(4121356,'Rancho Alegre D\'Oeste','PR'),(4121406,'Realeza','PR'),(4121505,'Reboucas','PR'),(4121604,'Renascenca','PR'),(4121703,'Reserva','PR'),(4121752,'Reserva do Iguacu','PR'),(4121802,'Ribeirao Claro','PR'),(4121901,'Ribeirao do Pinhal','PR'),(4122008,'Rio Azul','PR'),(4122107,'Rio Bom','PR'),(4122156,'Rio Bonito do Iguacu','PR'),(4122172,'Rio Branco do Ivai','PR'),(4122206,'Rio Branco do Sul','PR'),(4122305,'Rio Negro','PR'),(4122404,'Rolandia','PR'),(4122503,'Roncador','PR'),(4122602,'Rondon','PR'),(4122651,'Rosario do Ivai','PR'),(4122701,'Sabaudia','PR'),(4122800,'Salgado Filho','PR'),(4122909,'Salto do Itarare','PR'),(4123006,'Salto do Lontra','PR'),(4123105,'Santa Amelia','PR'),(4123204,'Santa Cecilia do Pavao','PR'),(4123303,'Santa Cruz de Monte Castelo','PR'),(4123402,'Santa Fe','PR'),(4123501,'Santa Helena','PR'),(4123600,'Santa Ines','PR'),(4123709,'Santa Isabel do Ivai','PR'),(4123808,'Santa Izabel do Oeste','PR'),(4123824,'Santa Lucia','PR'),(4123857,'Santa Maria do Oeste','PR'),(4123907,'Santa Mariana','PR'),(4123956,'Santa Monica','PR'),(4124004,'Santana do Itarare','PR'),(4124020,'Santa Tereza do Oeste','PR'),(4124053,'Santa Terezinha de Itaipu','PR'),(4124103,'Santo Antonio da Platina','PR'),(4124202,'Santo Antonio do Caiua','PR'),(4124301,'Santo Antonio do Paraiso','PR'),(4124400,'Santo Antonio do Sudoeste','PR'),(4124509,'Santo Inacio','PR'),(4124608,'Sao Carlos do Ivai','PR'),(4124707,'Sao Jeronimo da Serra','PR'),(4124806,'Sao Joao','PR'),(4124905,'Sao Joao do Caiua','PR'),(4125001,'Sao Joao do Ivai','PR'),(4125100,'Sao Joao do Triunfo','PR'),(4125209,'Sao Jorge d\'Oeste','PR'),(4125308,'Sao Jorge do Ivai','PR'),(4125357,'Sao Jorge do Patrocinio','PR'),(4125407,'Sao Jose da Boa Vista','PR'),(4125456,'Sao Jose das Palmeiras','PR'),(4125506,'Sao Jose dos Pinhais','PR'),(4125555,'Sao Manoel do Parana','PR'),(4125605,'Sao Mateus do Sul','PR'),(4125704,'Sao Miguel do Iguacu','PR'),(4125753,'Sao Pedro do Iguacu','PR'),(4125803,'Sao Pedro do Ivai','PR'),(4125902,'Sao Pedro do Parana','PR'),(4126009,'Sao Sebastiao da Amoreira','PR'),(4126108,'Sao Tome','PR'),(4126207,'Sapopema','PR'),(4126256,'Sarandi','PR'),(4126272,'Saudade do Iguacu','PR'),(4126306,'Senges','PR'),(4126355,'Serranopolis do Iguacu','PR'),(4126405,'Sertaneja','PR'),(4126504,'Sertanopolis','PR'),(4126603,'Siqueira Campos','PR'),(4126652,'Sulina','PR'),(4126678,'Tamarana','PR'),(4126702,'Tamboara','PR'),(4126801,'Tapejara','PR'),(4126900,'Tapira','PR'),(4127007,'Teixeira Soares','PR'),(4127106,'Telemaco Borba','PR'),(4127205,'Terra Boa','PR'),(4127304,'Terra Rica','PR'),(4127403,'Terra Roxa','PR'),(4127502,'Tibagi','PR'),(4127601,'Tijucas do Sul','PR'),(4127700,'Toledo','PR'),(4127809,'Tomazina','PR'),(4127858,'Tres Barras do Parana','PR'),(4127882,'Tunas do Parana','PR'),(4127908,'Tuneiras do Oeste','PR'),(4127957,'Tupassi','PR'),(4127965,'Turvo','PR'),(4128005,'Ubirata','PR'),(4128104,'Umuarama','PR'),(4128203,'Uniao da Vitoria','PR'),(4128302,'Uniflor','PR'),(4128401,'Urai','PR'),(4128500,'Wenceslau Braz','PR'),(4128534,'Ventania','PR'),(4128559,'Vera Cruz do Oeste','PR'),(4128609,'Vere','PR'),(4128625,'Vila Alta','PR'),(4128633,'Doutor Ulysses','PR'),(4128658,'Virmond','PR'),(4128708,'Vitorino','PR'),(4128807,'Xambre','PR'),(4200051,'Abdon Batista','SC'),(4200101,'Abelardo Luz','SC'),(4200200,'Agrolandia','SC'),(4200309,'Agronomica','SC'),(4200408,'Agua Doce','SC'),(4200507,'Aguas de Chapeco','SC'),(4200556,'Aguas Frias','SC'),(4200606,'Aguas Mornas','SC'),(4200705,'Alfredo Wagner','SC'),(4200754,'Alto Bela Vista','SC'),(4200804,'Anchieta','SC'),(4200903,'Angelina','SC'),(4201000,'Anita Garibaldi','SC'),(4201109,'Anitapolis','SC'),(4201208,'Antonio Carlos','SC'),(4201257,'Apiuna','SC'),(4201273,'Arabuta','SC'),(4201307,'Araquari','SC'),(4201406,'Ararangua','SC'),(4201505,'Armazem','SC'),(4201604,'Arroio Trinta','SC'),(4201653,'Arvoredo','SC'),(4201703,'Ascurra','SC'),(4201802,'Atalanta','SC'),(4201901,'Aurora','SC'),(4201950,'Balneario Arroio do Silva','SC'),(4202008,'Balneario Camboriu','SC'),(4202057,'Balneario Barra do Sul','SC'),(4202073,'Balneario Gaivota','SC'),(4202081,'Bandeirante','SC'),(4202099,'Barra Bonita','SC'),(4202107,'Barra Velha','SC'),(4202131,'Bela Vista do Toldo','SC'),(4202156,'Belmonte','SC'),(4202206,'Benedito Novo','SC'),(4202305,'BIGUACU','SC'),(4202404,'Blumenau','SC'),(4202438,'Bocaina do Sul','SC'),(4202453,'Bombinhas','SC'),(4202503,'Bom Jardim da Serra','SC'),(4202537,'Bom Jesus','SC'),(4202578,'Bom Jesus do Oeste','SC'),(4202602,'Bom Retiro','SC'),(4202701,'Botuvera','SC'),(4202800,'Braco do Norte','SC'),(4202859,'Braco do Trombudo','SC'),(4202875,'Brunopolis','SC'),(4202909,'Brusque','SC'),(4203006,'Cacador','SC'),(4203105,'Caibi','SC'),(4203154,'Calmon','SC'),(4203204,'Camboriu','SC'),(4203253,'Capao Alto','SC'),(4203303,'Campo Alegre','SC'),(4203402,'Campo Belo do Sul','SC'),(4203501,'Campo Ere','SC'),(4203600,'Campos Novos','SC'),(4203709,'Canelinha','SC'),(4203808,'Canoinhas','SC'),(4203907,'Capinzal','SC'),(4203956,'Capivari de Baixo','SC'),(4204004,'Catanduvas','SC'),(4204103,'Caxambu do Sul','SC'),(4204152,'Celso Ramos','SC'),(4204178,'Cerro Negro','SC'),(4204194,'Chapadao do Lageado','SC'),(4204202,'Chapeco','SC'),(4204251,'Cocal do Sul','SC'),(4204301,'Concordia','SC'),(4204350,'Cordilheira Alta','SC'),(4204400,'Coronel Freitas','SC'),(4204459,'Coronel Martins','SC'),(4204509,'Corupa','SC'),(4204558,'Correia Pinto','SC'),(4204608,'Criciuma','SC'),(4204707,'Cunha Pora','SC'),(4204756,'Cunhatai','SC'),(4204806,'Curitibanos','SC'),(4204905,'Descanso','SC'),(4205001,'Dionisio Cerqueira','SC'),(4205100,'Dona Emma','SC'),(4205159,'Doutor Pedrinho','SC'),(4205175,'Entre Rios','SC'),(4205191,'Ermo','SC'),(4205209,'Erval Velho','SC'),(4205308,'Faxinal dos Guedes','SC'),(4205357,'Flor do Sertao','SC'),(4205407,'FLORIANOPOLIS','SC'),(4205431,'Formosa do Sul','SC'),(4205456,'Forquilhinha','SC'),(4205506,'Fraiburgo','SC'),(4205555,'Frei Rogerio','SC'),(4205605,'Galvao','SC'),(4205704,'Garopaba','SC'),(4205803,'Garuva','SC'),(4205902,'Gaspar','SC'),(4206009,'Governador Celso Ramos','SC'),(4206108,'Grao Para','SC'),(4206207,'Gravatal','SC'),(4206306,'Guabiruba','SC'),(4206405,'Guaraciaba','SC'),(4206504,'Guaramirim','SC'),(4206603,'Guaruja do Sul','SC'),(4206652,'Guatambu','SC'),(4206702,'Herval d\'Oeste','SC'),(4206751,'Ibiam','SC'),(4206801,'Ibicare','SC'),(4206900,'Ibirama','SC'),(4207007,'Icara','SC'),(4207106,'Ilhota','SC'),(4207205,'Imarui','SC'),(4207304,'Imbituba','SC'),(4207403,'Imbuia','SC'),(4207502,'Indaial','SC'),(4207577,'Iomere','SC'),(4207601,'Ipira','SC'),(4207650,'Ipora do Oeste','SC'),(4207684,'Ipuacu','SC'),(4207700,'Ipumirim','SC'),(4207759,'Iraceminha','SC'),(4207809,'Irani','SC'),(4207858,'Irati','SC'),(4207908,'Irineopolis','SC'),(4208005,'Ita','SC'),(4208104,'Itaiopolis','SC'),(4208203,'Itajai','SC'),(4208302,'Itapema','SC'),(4208401,'Itapiranga','SC'),(4208450,'Itapoa','SC'),(4208500,'Ituporanga','SC'),(4208609,'Jabora','SC'),(4208708,'Jacinto Machado','SC'),(4208807,'Jaguaruna','SC'),(4208906,'Jaragua do Sul','SC'),(4208955,'Jardinopolis','SC'),(4209003,'Joacaba','SC'),(4209102,'Joinville','SC'),(4209151,'Jose Boiteux','SC'),(4209177,'Jupia','SC'),(4209201,'Lacerdopolis','SC'),(4209300,'Lages','SC'),(4209409,'Laguna','SC'),(4209458,'Lajeado Grande','SC'),(4209508,'Laurentino','SC'),(4209607,'Lauro Muller','SC'),(4209706,'Lebon Regis','SC'),(4209805,'Leoberto Leal','SC'),(4209854,'Lindoia do Sul','SC'),(4209904,'Lontras','SC'),(4210001,'Luiz Alves','SC'),(4210035,'Luzerna','SC'),(4210050,'Macieira','SC'),(4210100,'Mafra','SC'),(4210209,'Major Gercino','SC'),(4210308,'Major Vieira','SC'),(4210407,'Maracaja','SC'),(4210506,'Maravilha','SC'),(4210555,'Marema','SC'),(4210605,'Massaranduba','SC'),(4210704,'Matos Costa','SC'),(4210803,'Meleiro','SC'),(4210852,'Mirim Doce','SC'),(4210902,'Modelo','SC'),(4211009,'Mondai','SC'),(4211058,'Monte Carlo','SC'),(4211108,'Monte Castelo','SC'),(4211207,'Morro da Fumaca','SC'),(4211256,'Morro Grande','SC'),(4211306,'Navegantes','SC'),(4211405,'Nova Erechim','SC'),(4211454,'Nova Itaberaba','SC'),(4211504,'Nova Trento','SC'),(4211603,'Nova Veneza','SC'),(4211652,'Novo Horizonte','SC'),(4211702,'Orleans','SC'),(4211751,'Otacilio Costa','SC'),(4211801,'Ouro','SC'),(4211850,'Ouro Verde','SC'),(4211876,'Paial','SC'),(4211892,'Painel','SC'),(4211900,'Palhoca','SC'),(4212007,'Palma Sola','SC'),(4212056,'Palmeira','SC'),(4212106,'Palmitos','SC'),(4212205,'Papanduva','SC'),(4212239,'Paraiso','SC'),(4212254,'Passo de Torres','SC'),(4212270,'Passos Maia','SC'),(4212304,'Paulo Lopes','SC'),(4212403,'Pedras Grandes','SC'),(4212502,'Penha','SC'),(4212601,'Peritiba','SC'),(4212700,'Petrolandia','SC'),(4212809,'Picarras','SC'),(4212908,'Pinhalzinho','SC'),(4213005,'Pinheiro Preto','SC'),(4213104,'Piratuba','SC'),(4213153,'Planalto Alegre','SC'),(4213203,'Pomerode','SC'),(4213302,'Ponte Alta','SC'),(4213351,'Ponte Alta do Norte','SC'),(4213401,'Ponte Serrada','SC'),(4213500,'Porto Belo','SC'),(4213609,'Porto Uniao','SC'),(4213708,'Pouso Redondo','SC'),(4213807,'Praia Grande','SC'),(4213906,'Presidente Castelo Branco','SC'),(4214003,'Presidente Getulio','SC'),(4214102,'Presidente Nereu','SC'),(4214151,'Princesa','SC'),(4214201,'Quilombo','SC'),(4214300,'Rancho Queimado','SC'),(4214409,'Rio das Antas','SC'),(4214508,'Rio do Campo','SC'),(4214607,'Rio do Oeste','SC'),(4214706,'Rio dos Cedros','SC'),(4214805,'Rio do Sul','SC'),(4214904,'Rio Fortuna','SC'),(4215000,'Rio Negrinho','SC'),(4215059,'Rio Rufino','SC'),(4215075,'Riqueza','SC'),(4215109,'Rodeio','SC'),(4215208,'Romelandia','SC'),(4215307,'Salete','SC'),(4215356,'Saltinho','SC'),(4215406,'Salto Veloso','SC'),(4215455,'Sangao','SC'),(4215505,'Santa Cecilia','SC'),(4215554,'Santa Helena','SC'),(4215604,'Santa Rosa de Lima','SC'),(4215653,'Santa Rosa do Sul','SC'),(4215679,'Santa Terezinha','SC'),(4215687,'Santa Terezinha do Progresso','SC'),(4215695,'Santiago do Sul','SC'),(4215703,'Santo Amaro da Imperatriz','SC'),(4215752,'Sao Bernardino','SC'),(4215802,'Sao Bento do Sul','SC'),(4215901,'Sao Bonifacio','SC'),(4216008,'Sao Carlos','SC'),(4216057,'Sao Cristovao do Sul','SC'),(4216107,'Sao Domingos','SC'),(4216206,'Sao Francisco do Sul','SC'),(4216255,'Sao Joao do Oeste','SC'),(4216305,'Sao Joao Batista','SC'),(4216354,'Sao Joao do Itaperiu','SC'),(4216404,'Sao Joao do Sul','SC'),(4216503,'Sao Joaquim','SC'),(4216602,'SAO JOSE','SC'),(4216701,'SAO JOSE DO CEDRO','SC'),(4216800,'SAO JOSE DO CERRITO','SC'),(4216909,'Sao Lourenco do Oeste','SC'),(4217006,'Sao Ludgero','SC'),(4217105,'Sao Martinho','SC'),(4217154,'Sao Miguel da Boa Vista','SC'),(4217204,'Sao Miguel D\'Oeste','SC'),(4217253,'Sao Pedro de Alcantara','SC'),(4217303,'Saudades','SC'),(4217402,'Schroeder','SC'),(4217501,'Seara','SC'),(4217550,'Serra Alta','SC'),(4217600,'Sideropolis','SC'),(4217709,'Sombrio','SC'),(4217758,'Sul Brasil','SC'),(4217808,'Taio','SC'),(4217907,'Tangara','SC'),(4217956,'Tigrinhos','SC'),(4218004,'Tijucas','SC'),(4218103,'Timbe do Sul','SC'),(4218202,'Timbo','SC'),(4218251,'Timbo Grande','SC'),(4218301,'Tres Barras','SC'),(4218350,'Treviso','SC'),(4218400,'Treze de Maio','SC'),(4218509,'Treze Tilias','SC'),(4218608,'Trombudo Central','SC'),(4218707,'Tubarao','SC'),(4218756,'Tunapolis','SC'),(4218806,'Turvo','SC'),(4218855,'Uniao do Oeste','SC'),(4218905,'Urubici','SC'),(4218954,'Urupema','SC'),(4219002,'Urussanga','SC'),(4219101,'Vargeao','SC'),(4219150,'Vargem','SC'),(4219176,'Vargem Bonita','SC'),(4219200,'Vidal Ramos','SC'),(4219309,'Videira','SC'),(4219358,'VITOR MEIRELES','SC'),(4219408,'Witmarsum','SC'),(4219507,'Xanxere','SC'),(4219606,'Xavantina','SC'),(4219705,'Xaxim','SC'),(4219853,'Zortea','SC'),(4300034,'ACEGUA','RS'),(4300059,'Agua Santa','RS'),(4300109,'Agudo','RS'),(4300208,'Ajuricaba','RS'),(4300307,'Alecrim','RS'),(4300406,'Alegrete','RS'),(4300455,'Alegria','RS'),(4300471,'ALMIRANTE TAMANDARE DO SUL','RS'),(4300505,'Alpestre','RS'),(4300554,'Alto Alegre','RS'),(4300570,'Alto Feliz','RS'),(4300604,'Alvorada','RS'),(4300638,'Amaral Ferrador','RS'),(4300646,'Ametista do Sul','RS'),(4300661,'Andre da Rocha','RS'),(4300703,'Anta Gorda','RS'),(4300802,'Antonio Prado','RS'),(4300851,'Arambare','RS'),(4300877,'Ararica','RS'),(4300901,'Aratiba','RS'),(4301008,'Arroio do Meio','RS'),(4301057,'Arroio do Sal','RS'),(4301073,'ARROIO DO PADRE','RS'),(4301107,'Arroio dos Ratos','RS'),(4301206,'Arroio do Tigre','RS'),(4301305,'Arroio Grande','RS'),(4301404,'Arvorezinha','RS'),(4301503,'Augusto Pestana','RS'),(4301552,'Aurea','RS'),(4301602,'Bage','RS'),(4301636,'Balneario Pinhal','RS'),(4301651,'Barao','RS'),(4301701,'Barao de Cotegipe','RS'),(4301750,'Barao do Triunfo','RS'),(4301800,'Barracao','RS'),(4301859,'Barra do Guarita','RS'),(4301875,'Barra do Quarai','RS'),(4301909,'Barra do Ribeiro','RS'),(4301925,'Barra do Rio Azul','RS'),(4301958,'Barra Funda','RS'),(4302006,'Barros Cassal','RS'),(4302055,'Benjamin Constant do Sul','RS'),(4302105,'Bento Goncalves','RS'),(4302154,'Boa Vista das Missoes','RS'),(4302204,'Boa Vista do Burica','RS'),(4302220,'BOA VISTA DO CADEADO','RS'),(4302238,'BOA VISTA DO INCRA','RS'),(4302253,'Boa Vista do Sul','RS'),(4302303,'Bom Jesus','RS'),(4302352,'Bom Principio','RS'),(4302378,'Bom Progresso','RS'),(4302402,'Bom Retiro do Sul','RS'),(4302451,'Boqueirao do Leao','RS'),(4302501,'Bossoroca','RS'),(4302584,'BOZANO','RS'),(4302600,'Braga','RS'),(4302659,'Brochier','RS'),(4302709,'Butia','RS'),(4302808,'Cacapava do Sul','RS'),(4302907,'Cacequi','RS'),(4303004,'Cachoeira do Sul','RS'),(4303103,'Cachoeirinha','RS'),(4303202,'Cacique Doble','RS'),(4303301,'Caibate','RS'),(4303400,'Caicara','RS'),(4303509,'Camaqua','RS'),(4303558,'Camargo','RS'),(4303608,'Cambara do Sul','RS'),(4303673,'Campestre da Serra','RS'),(4303707,'Campina das Missoes','RS'),(4303806,'Campinas do Sul','RS'),(4303905,'Campo Bom','RS'),(4304002,'Campo Novo','RS'),(4304101,'Campos Borges','RS'),(4304200,'Candelaria','RS'),(4304309,'Candido Godoi','RS'),(4304358,'Candiota','RS'),(4304408,'Canela','RS'),(4304507,'Cangucu','RS'),(4304606,'Canoas','RS'),(4304614,'CANUDOS DO VALE','RS'),(4304622,'CAPAO BONITO DO SUL','RS'),(4304630,'Capao da Canoa','RS'),(4304655,'CAPAO DO CIPO','RS'),(4304663,'Capao do Leao','RS'),(4304671,'Capivari do Sul','RS'),(4304689,'Capela de Santana','RS'),(4304697,'Capitao','RS'),(4304705,'Carazinho','RS'),(4304713,'Caraa','RS'),(4304804,'Carlos Barbosa','RS'),(4304853,'Carlos Gomes','RS'),(4304903,'Casca','RS'),(4304952,'Caseiros','RS'),(4305009,'Catuipe','RS'),(4305108,'Caxias do Sul','RS'),(4305116,'Centenario','RS'),(4305124,'Cerrito','RS'),(4305132,'Cerro Branco','RS'),(4305157,'Cerro Grande','RS'),(4305173,'Cerro Grande do Sul','RS'),(4305207,'Cerro Largo','RS'),(4305306,'Chapada','RS'),(4305355,'Charqueadas','RS'),(4305371,'Charrua','RS'),(4305405,'Chiapeta','RS'),(4305439,'Chui','RS'),(4305447,'Chuvisca','RS'),(4305454,'Cidreira','RS'),(4305504,'Ciriaco','RS'),(4305587,'Colinas','RS'),(4305603,'Colorado','RS'),(4305702,'Condor','RS'),(4305801,'Constantina','RS'),(4305850,'Coqueiros do Sul','RS'),(4305871,'Coronel Barros','RS'),(4305900,'Coronel Bicaco','RS'),(4305934,'CORONEL PILAR','RS'),(4305959,'Cotipora','RS'),(4305975,'Coxilha','RS'),(4306007,'Crissiumal','RS'),(4306056,'Cristal','RS'),(4306072,'Cristal do Sul','RS'),(4306106,'Cruz Alta','RS'),(4306130,'CRUZALTENSE','RS'),(4306205,'Cruzeiro do Sul','RS'),(4306304,'David Canabarro','RS'),(4306320,'Derrubadas','RS'),(4306353,'Dezesseis de Novembro','RS'),(4306379,'Dilermando de Aguiar','RS'),(4306403,'Dois Irmaos','RS'),(4306429,'Dois Irmaos das Missoes','RS'),(4306452,'Dois Lajeados','RS'),(4306502,'Dom Feliciano','RS'),(4306551,'Dom Pedro de Alcantara','RS'),(4306601,'Dom Pedrito','RS'),(4306700,'Dona Francisca','RS'),(4306734,'Doutor Mauricio Cardoso','RS'),(4306759,'Doutor Ricardo','RS'),(4306767,'Eldorado do Sul','RS'),(4306809,'Encantado','RS'),(4306908,'Encruzilhada do Sul','RS'),(4306924,'Engenho Velho','RS'),(4306932,'Entre-Ijuis','RS'),(4306957,'Entre Rios do Sul','RS'),(4306973,'Erebango','RS'),(4307005,'Erechim','RS'),(4307054,'Ernestina','RS'),(4307104,'Herval','RS'),(4307203,'Erval Grande','RS'),(4307302,'Erval Seco','RS'),(4307401,'Esmeralda','RS'),(4307450,'Esperanca do Sul','RS'),(4307500,'Espumoso','RS'),(4307559,'Estacao','RS'),(4307609,'Estancia Velha','RS'),(4307708,'Esteio','RS'),(4307807,'Estrela','RS'),(4307815,'Estrela Velha','RS'),(4307831,'Eugenio de Castro','RS'),(4307864,'Fagundes Varela','RS'),(4307906,'Farroupilha','RS'),(4308003,'Faxinal do Soturno','RS'),(4308052,'Faxinalzinho','RS'),(4308078,'Fazenda Vilanova','RS'),(4308102,'Feliz','RS'),(4308201,'Flores da Cunha','RS'),(4308250,'Floriano Peixoto','RS'),(4308300,'Fontoura Xavier','RS'),(4308409,'Formigueiro','RS'),(4308433,'FORQUETINHA','RS'),(4308458,'Fortaleza dos Valos','RS'),(4308508,'Frederico Westphalen','RS'),(4308607,'Garibaldi','RS'),(4308656,'Garruchos','RS'),(4308706,'Gaurama','RS'),(4308805,'General Camara','RS'),(4308854,'Gentil','RS'),(4308904,'Getulio Vargas','RS'),(4309001,'Girua','RS'),(4309050,'Glorinha','RS'),(4309100,'Gramado','RS'),(4309126,'Gramado dos Loureiros','RS'),(4309159,'Gramado Xavier','RS'),(4309209,'Gravatai','RS'),(4309258,'Guabiju','RS'),(4309308,'Guaiba','RS'),(4309407,'Guapore','RS'),(4309506,'Guarani das Missoes','RS'),(4309555,'Harmonia','RS'),(4309571,'Herveiras','RS'),(4309605,'Horizontina','RS'),(4309654,'Hulha Negra','RS'),(4309704,'Humaita','RS'),(4309753,'Ibarama','RS'),(4309803,'Ibiaca','RS'),(4309902,'Ibiraiaras','RS'),(4309951,'Ibirapuita','RS'),(4310009,'Ibiruba','RS'),(4310108,'Igrejinha','RS'),(4310207,'Ijui','RS'),(4310306,'Ilopolis','RS'),(4310330,'Imbe','RS'),(4310363,'Imigrante','RS'),(4310405,'Independencia','RS'),(4310413,'Inhacora','RS'),(4310439,'Ipe','RS'),(4310462,'Ipiranga do Sul','RS'),(4310504,'Irai','RS'),(4310538,'Itaara','RS'),(4310553,'Itacurubi','RS'),(4310579,'Itapuca','RS'),(4310603,'Itaqui','RS'),(4310652,'ITATI','RS'),(4310702,'Itatiba do Sul','RS'),(4310751,'Ivora','RS'),(4310801,'Ivoti','RS'),(4310850,'Jaboticaba','RS'),(4310876,'Jacuizinho','RS'),(4310900,'Jacutinga','RS'),(4311007,'Jaguarao','RS'),(4311106,'Jaguari','RS'),(4311122,'Jaquirana','RS'),(4311130,'Jari','RS'),(4311155,'Joia','RS'),(4311205,'Julio de Castilhos','RS'),(4311239,'LAGOA BONITA DO SUL','RS'),(4311254,'Lagoao','RS'),(4311270,'Lagoa dos Tres Cantos','RS'),(4311304,'Lagoa Vermelha','RS'),(4311403,'Lajeado','RS'),(4311429,'Lajeado do Bugre','RS'),(4311502,'Lavras do Sul','RS'),(4311601,'Liberato Salzano','RS'),(4311627,'Lindolfo Collor','RS'),(4311643,'Linha Nova','RS'),(4311700,'Machadinho','RS'),(4311718,'Macambara','RS'),(4311734,'Mampituba','RS'),(4311759,'Manoel Viana','RS'),(4311775,'Maquine','RS'),(4311791,'Marata','RS'),(4311809,'Marau','RS'),(4311908,'Marcelino Ramos','RS'),(4311981,'Mariana Pimentel','RS'),(4312005,'Mariano Moro','RS'),(4312054,'Marques de Souza','RS'),(4312104,'Mata','RS'),(4312138,'Mato Castelhano','RS'),(4312153,'Mato Leitao','RS'),(4312179,'MATO QUEIMADO','RS'),(4312203,'Maximiliano de Almeida','RS'),(4312252,'Minas do Leao','RS'),(4312302,'Miraguai','RS'),(4312351,'Montauri','RS'),(4312377,'Monte Alegre dos Campos','RS'),(4312385,'Monte Belo do Sul','RS'),(4312401,'Montenegro','RS'),(4312427,'Mormaco','RS'),(4312443,'Morrinhos do Sul','RS'),(4312450,'Morro Redondo','RS'),(4312476,'Morro Reuter','RS'),(4312500,'Mostardas','RS'),(4312609,'Mucum','RS'),(4312617,'Muitos Capoes','RS'),(4312625,'Muliterno','RS'),(4312658,'Nao-Me-Toque','RS'),(4312674,'Nicolau Vergueiro','RS'),(4312708,'Nonoai','RS'),(4312757,'Nova Alvorada','RS'),(4312807,'Nova Araca','RS'),(4312906,'Nova Bassano','RS'),(4312955,'Nova Boa Vista','RS'),(4313003,'Nova Brescia','RS'),(4313011,'Nova Candelaria','RS'),(4313037,'Nova Esperanca do Sul','RS'),(4313060,'Nova Hartz','RS'),(4313086,'Nova Padua','RS'),(4313102,'Nova Palma','RS'),(4313201,'Nova Petropolis','RS'),(4313300,'Nova Prata','RS'),(4313334,'Nova Ramada','RS'),(4313359,'Nova Roma do Sul','RS'),(4313375,'Nova Santa Rita','RS'),(4313391,'Novo Cabrais','RS'),(4313409,'Novo Hamburgo','RS'),(4313425,'Novo Machado','RS'),(4313441,'Novo Tiradentes','RS'),(4313466,'NOVO XINGU','RS'),(4313490,'Novo Barreiro','RS'),(4313508,'Osorio','RS'),(4313607,'Paim Filho','RS'),(4313656,'Palmares do Sul','RS'),(4313706,'Palmeira das Missoes','RS'),(4313805,'Palmitinho','RS'),(4313904,'Panambi','RS'),(4313953,'Pantano Grande','RS'),(4314001,'Parai','RS'),(4314027,'Paraiso do Sul','RS'),(4314035,'Pareci Novo','RS'),(4314050,'Parobe','RS'),(4314068,'Passa Sete','RS'),(4314076,'Passo do Sobrado','RS'),(4314100,'Passo Fundo','RS'),(4314134,'PAULO BENTO','RS'),(4314159,'Paverama','RS'),(4314175,'PEDRAS ALTAS','RS'),(4314209,'Pedro Osorio','RS'),(4314308,'Pejucara','RS'),(4314407,'Pelotas','RS'),(4314423,'Picada Cafe','RS'),(4314456,'Pinhal','RS'),(4314464,'PINHAL DA SERRA','RS'),(4314472,'Pinhal Grande','RS'),(4314498,'Pinheirinho do Vale','RS'),(4314506,'Pinheiro Machado','RS'),(4314555,'Pirapo','RS'),(4314605,'Piratini','RS'),(4314704,'Planalto','RS'),(4314753,'Poco das Antas','RS'),(4314779,'Pontao','RS'),(4314787,'Ponte Preta','RS'),(4314803,'Portao','RS'),(4314902,'Porto Alegre','RS'),(4315008,'Porto Lucena','RS'),(4315057,'Porto Maua','RS'),(4315073,'Porto Vera Cruz','RS'),(4315107,'Porto Xavier','RS'),(4315131,'Pouso Novo','RS'),(4315149,'Presidente Lucena','RS'),(4315156,'Progresso','RS'),(4315172,'Protasio Alves','RS'),(4315206,'Putinga','RS'),(4315305,'Quarai','RS'),(4315313,'QUATRO IRMAOS','RS'),(4315321,'Quevedos','RS'),(4315354,'Quinze de Novembro','RS'),(4315404,'Redentora','RS'),(4315453,'Relvado','RS'),(4315503,'Restinga Seca','RS'),(4315552,'Rio dos Indios','RS'),(4315602,'Rio Grande','RS'),(4315701,'Rio Pardo','RS'),(4315750,'Riozinho','RS'),(4315800,'Roca Sales','RS'),(4315909,'Rodeio Bonito','RS'),(4315958,'ROLADOR','RS'),(4316006,'Rolante','RS'),(4316105,'Ronda Alta','RS'),(4316204,'Rondinha','RS'),(4316303,'Roque Gonzales','RS'),(4316402,'Rosario do Sul','RS'),(4316428,'Sagrada Familia','RS'),(4316436,'Saldanha Marinho','RS'),(4316451,'Salto do Jacui','RS'),(4316477,'Salvador das Missoes','RS'),(4316501,'Salvador do Sul','RS'),(4316600,'Sananduva','RS'),(4316709,'Santa Barbara do Sul','RS'),(4316733,'SANTA CECILIA DO SUL','RS'),(4316758,'Santa Clara do Sul','RS'),(4316808,'Santa Cruz do Sul','RS'),(4316907,'Santa Maria','RS'),(4316956,'Santa Maria do Herval','RS'),(4317004,'Santana da Boa Vista','RS'),(4317103,'Santana do Livramento','RS'),(4317202,'Santa Rosa','RS'),(4317251,'Santa Tereza','RS'),(4317301,'Santa Vitoria do Palmar','RS'),(4317400,'Santiago','RS'),(4317509,'Santo Angelo','RS'),(4317558,'Santo Antonio do Palma','RS'),(4317608,'Santo Antonio da Patrulha','RS'),(4317707,'Santo Antonio das Missoes','RS'),(4317756,'Santo Antonio do Planalto','RS'),(4317806,'Santo Augusto','RS'),(4317905,'Santo Cristo','RS'),(4317954,'Santo Expedito do Sul','RS'),(4318002,'Sao Borja','RS'),(4318051,'Sao Domingos do Sul','RS'),(4318101,'Sao Francisco de Assis','RS'),(4318200,'Sao Francisco de Paula','RS'),(4318309,'Sao Gabriel','RS'),(4318408,'Sao Jeronimo','RS'),(4318424,'Sao Joao da Urtiga','RS'),(4318432,'Sao Joao do Polesine','RS'),(4318440,'Sao Jorge','RS'),(4318457,'Sao Jose das Missoes','RS'),(4318465,'Sao Jose do Herval','RS'),(4318481,'Sao Jose do Hortencio','RS'),(4318499,'Sao Jose do Inhacora','RS'),(4318507,'Sao Jose do Norte','RS'),(4318606,'Sao Jose do Ouro','RS'),(4318614,'SAO JOSE DO SUL','RS'),(4318622,'Sao Jose dos Ausentes','RS'),(4318705,'Sao Leopoldo','RS'),(4318804,'Sao Lourenco do Sul','RS'),(4318903,'Sao Luiz Gonzaga','RS'),(4319000,'Sao Marcos','RS'),(4319109,'Sao Martinho','RS'),(4319125,'Sao Martinho da Serra','RS'),(4319158,'Sao Miguel das Missoes','RS'),(4319208,'Sao Nicolau','RS'),(4319307,'Sao Paulo das Missoes','RS'),(4319356,'Sao Pedro da Serra','RS'),(4319364,'SAO PEDRO DAS MISSOES','RS'),(4319372,'Sao Pedro do Butia','RS'),(4319406,'Sao Pedro do Sul','RS'),(4319505,'Sao Sebastiao do Cai','RS'),(4319604,'Sao Sepe','RS'),(4319703,'Sao Valentim','RS'),(4319711,'Sao Valentim do Sul','RS'),(4319737,'Sao Valerio do Sul','RS'),(4319752,'Sao Vendelino','RS'),(4319802,'Sao Vicente do Sul','RS'),(4319901,'Sapiranga','RS'),(4320008,'Sapucaia do Sul','RS'),(4320107,'Sarandi','RS'),(4320206,'Seberi','RS'),(4320230,'Sede Nova','RS'),(4320263,'Segredo','RS'),(4320305,'Selbach','RS'),(4320321,'Senador Salgado Filho','RS'),(4320354,'Sentinela do Sul','RS'),(4320404,'Serafina Correa','RS'),(4320453,'Serio','RS'),(4320503,'Sertao','RS'),(4320552,'Sertao Santana','RS'),(4320578,'Sete de Setembro','RS'),(4320602,'Severiano de Almeida','RS'),(4320651,'Silveira Martins','RS'),(4320677,'Sinimbu','RS'),(4320701,'Sobradinho','RS'),(4320800,'Soledade','RS'),(4320859,'Tabai','RS'),(4320909,'Tapejara','RS'),(4321006,'Tapera','RS'),(4321105,'Tapes','RS'),(4321204,'Taquara','RS'),(4321303,'Taquari','RS'),(4321329,'Taquarucu do Sul','RS'),(4321352,'Tavares','RS'),(4321402,'Tenente Portela','RS'),(4321436,'Terra de Areia','RS'),(4321451,'Teutonia','RS'),(4321469,'Tio Hugo','RS'),(4321477,'Tiradentes do Sul','RS'),(4321493,'Toropi','RS'),(4321501,'Torres','RS'),(4321600,'Tramandai','RS'),(4321626,'Travesseiro','RS'),(4321634,'Tres Arroios','RS'),(4321667,'Tres Cachoeiras','RS'),(4321709,'Tres Coroas','RS'),(4321808,'Tres de Maio','RS'),(4321832,'Tres Forquilhas','RS'),(4321857,'Tres Palmeiras','RS'),(4321907,'Tres Passos','RS'),(4321956,'Trindade do Sul','RS'),(4322004,'Triunfo','RS'),(4322103,'Tucunduva','RS'),(4322152,'Tunas','RS'),(4322186,'Tupanci do Sul','RS'),(4322202,'Tupancireta','RS'),(4322251,'Tupandi','RS'),(4322301,'Tuparendi','RS'),(4322327,'Turucu','RS'),(4322343,'Ubiretama','RS'),(4322350,'Uniao da Serra','RS'),(4322376,'Unistalda','RS'),(4322400,'Uruguaiana','RS'),(4322509,'Vacaria','RS'),(4322525,'Vale Verde','RS'),(4322533,'Vale do Sol','RS'),(4322541,'Vale Real','RS'),(4322558,'Vanini','RS'),(4322608,'Venancio Aires','RS'),(4322707,'Vera Cruz','RS'),(4322806,'Veranopolis','RS'),(4322855,'Vespasiano Correa','RS'),(4322905,'Viadutos','RS'),(4323002,'Viamao','RS'),(4323101,'Vicente Dutra','RS'),(4323200,'Victor Graeff','RS'),(4323309,'Vila Flores','RS'),(4323358,'Vila Langaro','RS'),(4323408,'Vila Maria','RS'),(4323457,'Vila Nova do Sul','RS'),(4323507,'Vista Alegre','RS'),(4323606,'Vista Alegre do Prata','RS'),(4323705,'Vista Gaucha','RS'),(4323754,'Vitoria das Missoes','RS'),(4323770,'WESTFALIA','RS'),(4323804,'Xangri-la','RS'),(5000203,'Agua Clara','MS'),(5000252,'Alcinopolis','MS'),(5000609,'Amambai','MS'),(5000708,'Anastacio','MS'),(5000807,'Anaurilandia','MS'),(5000856,'Angelica','MS'),(5000906,'Antonio Joao','MS'),(5001003,'Aparecida do Taboado','MS'),(5001102,'Aquidauana','MS'),(5001243,'Aral Moreira','MS'),(5001508,'Bandeirantes','MS'),(5001904,'Bataguassu','MS'),(5002001,'Bataipora','MS'),(5002100,'Bela Vista','MS'),(5002159,'Bodoquena','MS'),(5002209,'Bonito','MS'),(5002308,'Brasilandia','MS'),(5002407,'Caarapo','MS'),(5002605,'Camapua','MS'),(5002704,'Campo Grande','MS'),(5002803,'Caracol','MS'),(5002902,'Cassilandia','MS'),(5002951,'Chapadao do Sul','MS'),(5003108,'Corguinho','MS'),(5003157,'Coronel Sapucaia','MS'),(5003207,'Corumba','MS'),(5003256,'Costa Rica','MS'),(5003306,'Coxim','MS'),(5003454,'Deodapolis','MS'),(5003488,'Dois Irmaos do Buriti','MS'),(5003504,'Douradina','MS'),(5003702,'Dourados','MS'),(5003751,'Eldorado','MS'),(5003801,'Fatima do Sul','MS'),(5004007,'Gloria de Dourados','MS'),(5004106,'Guia Lopes da Laguna','MS'),(5004304,'Iguatemi','MS'),(5004403,'Inocencia','MS'),(5004502,'Itapora','MS'),(5004601,'Itaquirai','MS'),(5004700,'Ivinhema','MS'),(5004809,'Japora','MS'),(5004908,'Jaraguari','MS'),(5005004,'Jardim','MS'),(5005103,'Jatei','MS'),(5005152,'Juti','MS'),(5005202,'Ladario','MS'),(5005251,'Laguna Carapa','MS'),(5005400,'Maracaju','MS'),(5005608,'Miranda','MS'),(5005681,'Mundo Novo','MS'),(5005707,'Navirai','MS'),(5005806,'Nioaque','MS'),(5006002,'Nova Alvorada do Sul','MS'),(5006200,'Nova Andradina','MS'),(5006259,'Novo Horizonte do Sul','MS'),(5006309,'Paranaiba','MS'),(5006358,'Paranhos','MS'),(5006408,'Pedro Gomes','MS'),(5006606,'Ponta Pora','MS'),(5006903,'Porto Murtinho','MS'),(5007109,'Ribas do Rio Pardo','MS'),(5007208,'Rio Brilhante','MS'),(5007307,'Rio Negro','MS'),(5007406,'Rio Verde de Mato Grosso','MS'),(5007505,'Rochedo','MS'),(5007554,'Santa Rita do Pardo','MS'),(5007695,'Sao Gabriel do Oeste','MS'),(5007703,'Sete Quedas','MS'),(5007802,'Selviria','MS'),(5007901,'Sidrolandia','MS'),(5007935,'Sonora','MS'),(5007950,'Tacuru','MS'),(5007976,'Taquarussu','MS'),(5008008,'Terenos','MS'),(5008305,'Tres Lagoas','MS'),(5008404,'Vicentina','MS'),(5100102,'Acorizal','MT'),(5100201,'Agua Boa','MT'),(5100250,'Alta Floresta','MT'),(5100300,'Alto Araguaia','MT'),(5100359,'Alto Boa Vista','MT'),(5100409,'Alto Garcas','MT'),(5100508,'Alto Paraguai','MT'),(5100607,'Alto Taquari','MT'),(5100805,'Apiacas','MT'),(5101001,'Araguaiana','MT'),(5101209,'Araguainha','MT'),(5101258,'Araputanga','MT'),(5101308,'Arenapolis','MT'),(5101407,'Aripuana','MT'),(5101605,'Barao de Melgaco','MT'),(5101704,'Barra do Bugres','MT'),(5101803,'Barra do Garcas','MT'),(5101902,'Brasnorte','MT'),(5102504,'Caceres','MT'),(5102603,'Campinapolis','MT'),(5102637,'Campo Novo do Parecis','MT'),(5102678,'Campo Verde','MT'),(5102686,'Campos de Julio','MT'),(5102694,'Canabrava do Norte','MT'),(5102702,'Canarana','MT'),(5102793,'Carlinda','MT'),(5102850,'Castanheira','MT'),(5103007,'Chapada dos Guimaraes','MT'),(5103056,'Claudia','MT'),(5103106,'Cocalinho','MT'),(5103205,'Colider','MT'),(5103304,'Comodoro','MT'),(5103353,'Confresa','MT'),(5103379,'Cotriguacu','MT'),(5103403,'Cuiaba','MT'),(5103452,'Denise','MT'),(5103502,'Diamantino','MT'),(5103601,'Dom Aquino','MT'),(5103700,'Feliz Natal','MT'),(5103809,'Figueiropolis D\'Oeste','MT'),(5103858,'Gaucha do Norte','MT'),(5103908,'General Carneiro','MT'),(5103957,'Gloria D\'Oeste','MT'),(5104104,'Guaranta do Norte','MT'),(5104203,'Guiratinga','MT'),(5104500,'Indiavai','MT'),(5104559,'Itauba','MT'),(5104609,'Itiquira','MT'),(5104807,'Jaciara','MT'),(5104906,'Jangada','MT'),(5105002,'Jauru','MT'),(5105101,'Juara','MT'),(5105150,'Juina','MT'),(5105176,'Juruena','MT'),(5105200,'Juscimeira','MT'),(5105234,'Lambari D\'Oeste','MT'),(5105259,'Lucas do Rio Verde','MT'),(5105309,'Luciara','MT'),(5105507,'Vila Bela da Santissima Trindade','MT'),(5105580,'Marcelandia','MT'),(5105606,'Matupa','MT'),(5105622,'Mirassol d\'Oeste','MT'),(5105903,'Nobres','MT'),(5106000,'Nortelandia','MT'),(5106109,'Nossa Senhora do Livramento','MT'),(5106158,'Nova Bandeirantes','MT'),(5106182,'Nova Lacerda','MT'),(5106208,'Nova Brasilandia','MT'),(5106216,'Nova Canaa do Norte','MT'),(5106224,'Nova Mutum','MT'),(5106232,'Nova Olimpia','MT'),(5106240,'Nova Ibirata','MT'),(5106257,'Nova Xavantina','MT'),(5106265,'Novo Mundo','MT'),(5106273,'Novo Horizonte do Norte','MT'),(5106281,'Novo Sao Joaquim','MT'),(5106299,'Paranaita','MT'),(5106307,'Paranatinga','MT'),(5106372,'Pedra Preta','MT'),(5106422,'Peixoto de Azevedo','MT'),(5106455,'Planalto da Serra','MT'),(5106505,'Pocone','MT'),(5106653,'Pontal do Araguaia','MT'),(5106703,'Ponte Branca','MT'),(5106752,'Pontes e Lacerda','MT'),(5106778,'Porto Alegre do Norte','MT'),(5106802,'Porto dos Gauchos','MT'),(5106828,'Porto Esperidiao','MT'),(5106851,'Porto Estrela','MT'),(5107008,'Poxoreo','MT'),(5107040,'Primavera do Leste','MT'),(5107065,'Querencia','MT'),(5107107,'Sao Jose dos Quatro Marcos','MT'),(5107156,'Reserva do Cabacal','MT'),(5107180,'Ribeirao Cascalheira','MT'),(5107198,'Ribeiraozinho','MT'),(5107206,'Rio Branco','MT'),(5107248,'Santa Carmem','MT'),(5107263,'Santo Afonso','MT'),(5107297,'Sao Jose do Povo','MT'),(5107305,'Sao Jose do Rio Claro','MT'),(5107354,'Sao Jose do Xingu','MT'),(5107404,'Sao Pedro da Cipa','MT'),(5107602,'Rondonopolis','MT'),(5107701,'Rosario Oeste','MT'),(5107750,'Salto do Ceu','MT'),(5107776,'Santa Terezinha','MT'),(5107800,'Santo Antonio do Leverger','MT'),(5107859,'Sao Felix do Araguaia','MT'),(5107875,'Sapezal','MT'),(5107909,'Sinop','MT'),(5107925,'Sorriso','MT'),(5107941,'Tabapora','MT'),(5107958,'Tangara da Serra','MT'),(5108006,'Tapurah','MT'),(5108055,'Terra Nova do Norte','MT'),(5108105,'Tesouro','MT'),(5108204,'Torixoreu','MT'),(5108303,'Uniao do Sul','MT'),(5108402,'Varzea Grande','MT'),(5108501,'Vera','MT'),(5108600,'Vila Rica','MT'),(5108808,'Nova Guarita','MT'),(5108857,'Nova Marilandia','MT'),(5108907,'Nova Maringa','MT'),(5108956,'Nova Monte verde','MT'),(5200050,'Abadia de Goias','GO'),(5200100,'Abadiania','GO'),(5200134,'Acreuna','GO'),(5200159,'Adelandia','GO'),(5200175,'Agua Fria de Goias','GO'),(5200209,'Agua Limpa','GO'),(5200258,'Aguas Lindas de Goias','GO'),(5200308,'Alexania','GO'),(5200506,'Aloandia','GO'),(5200555,'Alto Horizonte','GO'),(5200605,'Alto Paraiso de Goias','GO'),(5200803,'Alvorada do Norte','GO'),(5200829,'Amaralina','GO'),(5200852,'Americano do Brasil','GO'),(5200902,'Amorinopolis','GO'),(5201108,'Anapolis','GO'),(5201207,'Anhanguera','GO'),(5201306,'Anicuns','GO'),(5201405,'Aparecida de Goiania','GO'),(5201454,'Aparecida do Rio Doce','GO'),(5201504,'Apore','GO'),(5201603,'Aracu','GO'),(5201702,'Aragarcas','GO'),(5201801,'Aragoiania','GO'),(5202155,'Araguapaz','GO'),(5202353,'Arenopolis','GO'),(5202502,'Aruana','GO'),(5202601,'Aurilandia','GO'),(5202809,'Avelinopolis','GO'),(5203104,'Baliza','GO'),(5203203,'Barro Alto','GO'),(5203302,'Bela Vista de Goias','GO'),(5203401,'Bom Jardim de Goias','GO'),(5203500,'Bom Jesus de Goias','GO'),(5203559,'Bonfinopolis','GO'),(5203575,'Bonopolis','GO'),(5203609,'Brazabrantes','GO'),(5203807,'Britania','GO'),(5203906,'Buriti Alegre','GO'),(5203939,'Buriti de Goias','GO'),(5203962,'Buritinopolis','GO'),(5204003,'Cabeceiras','GO'),(5204102,'Cachoeira Alta','GO'),(5204201,'Cachoeira de Goias','GO'),(5204250,'Cachoeira Dourada','GO'),(5204300,'Cacu','GO'),(5204409,'Caiaponia','GO'),(5204508,'Caldas Novas','GO'),(5204557,'Caldazinha','GO'),(5204607,'Campestre de Goias','GO'),(5204656,'Campinacu','GO'),(5204706,'Campinorte','GO'),(5204805,'Campo Alegre de Goias','GO'),(5204904,'Campos Belos','GO'),(5204953,'Campos Verdes','GO'),(5205000,'Carmo do Rio Verde','GO'),(5205059,'Castelandia','GO'),(5205109,'Catalao','GO'),(5205208,'Caturai','GO'),(5205307,'Cavalcante','GO'),(5205406,'Ceres','GO'),(5205455,'Cezarina','GO'),(5205471,'Chapadao do Ceu','GO'),(5205497,'Cidade Ocidental','GO'),(5205513,'Cocalzinho de Goias','GO'),(5205521,'Colinas do Sul','GO'),(5205703,'Corrego do Ouro','GO'),(5205802,'Corumba de Goias','GO'),(5205901,'Corumbaiba','GO'),(5206206,'Cristalina','GO'),(5206305,'Cristianopolis','GO'),(5206404,'Crixas','GO'),(5206503,'Crominia','GO'),(5206602,'Cumari','GO'),(5206701,'Damianopolis','GO'),(5206800,'Damolandia','GO'),(5206909,'Davinopolis','GO'),(5207105,'Diorama','GO'),(5207253,'Doverlandia','GO'),(5207352,'Edealina','GO'),(5207402,'Edeia','GO'),(5207501,'Estrela do Norte','GO'),(5207535,'Faina','GO'),(5207600,'Fazenda Nova','GO'),(5207808,'Firminopolis','GO'),(5207907,'Flores de Goias','GO'),(5208004,'Formosa','GO'),(5208103,'Formoso','GO'),(5208301,'Divinopolis de Goias','GO'),(5208400,'Goianapolis','GO'),(5208509,'Goiandira','GO'),(5208608,'Goianesia','GO'),(5208707,'Goiania','GO'),(5208806,'Goianira','GO'),(5208905,'Goias','GO'),(5209101,'Goiatuba','GO'),(5209150,'Gouvelandia','GO'),(5209200,'Guapo','GO'),(5209291,'Guaraita','GO'),(5209408,'Guarani de Goias','GO'),(5209457,'Guarinos','GO'),(5209606,'Heitorai','GO'),(5209705,'Hidrolandia','GO'),(5209804,'Hidrolina','GO'),(5209903,'Iaciara','GO'),(5209937,'Inaciolandia','GO'),(5209952,'Indiara','GO'),(5210000,'Inhumas','GO'),(5210109,'Ipameri','GO'),(5210208,'Ipora','GO'),(5210307,'Israelandia','GO'),(5210406,'Itaberai','GO'),(5210562,'Itaguari','GO'),(5210604,'Itaguaru','GO'),(5210802,'Itaja','GO'),(5210901,'Itapaci','GO'),(5211008,'Itapirapua','GO'),(5211206,'Itapuranga','GO'),(5211305,'Itaruma','GO'),(5211404,'Itaucu','GO'),(5211503,'Itumbiara','GO'),(5211602,'Ivolandia','GO'),(5211701,'Jandaia','GO'),(5211800,'Jaragua','GO'),(5211909,'Jatai','GO'),(5212006,'Jaupaci','GO'),(5212055,'Jesupolis','GO'),(5212105,'Joviania','GO'),(5212204,'Jussara','GO'),(5212303,'Leopoldo de Bulhoes','GO'),(5212501,'Luziania','GO'),(5212600,'Mairipotaba','GO'),(5212709,'Mambai','GO'),(5212808,'Mara Rosa','GO'),(5212907,'Marzagao','GO'),(5212956,'Matrincha','GO'),(5213004,'Maurilandia','GO'),(5213053,'Mimoso de Goias','GO'),(5213087,'Minacu','GO'),(5213103,'Mineiros','GO'),(5213400,'Moipora','GO'),(5213509,'Monte Alegre de Goias','GO'),(5213707,'Montes Claros de Goias','GO'),(5213756,'Montividiu','GO'),(5213772,'Montividiu do Norte','GO'),(5213806,'Morrinhos','GO'),(5213855,'Morro Agudo de Goias','GO'),(5213905,'Mossamedes','GO'),(5214002,'Mozarlandia','GO'),(5214051,'Mundo Novo','GO'),(5214101,'Mutunopolis','GO'),(5214408,'Nazario','GO'),(5214507,'Neropolis','GO'),(5214606,'Niquelandia','GO'),(5214705,'Nova America','GO'),(5214804,'Nova Aurora','GO'),(5214838,'Nova Crixas','GO'),(5214861,'Nova Gloria','GO'),(5214879,'Nova Iguacu de Goias','GO'),(5214903,'Nova Roma','GO'),(5215009,'Nova Veneza','GO'),(5215207,'Novo Brasil','GO'),(5215231,'Novo Gama','GO'),(5215256,'Novo Planalto','GO'),(5215306,'Orizona','GO'),(5215405,'Ouro Verde de Goias','GO'),(5215504,'Ouvidor','GO'),(5215603,'Padre Bernardo','GO'),(5215652,'Palestina de Goias','GO'),(5215702,'Palmeiras de Goias','GO'),(5215801,'Palmelo','GO'),(5215900,'Palminopolis','GO'),(5216007,'Panama','GO'),(5216304,'Paranaiguara','GO'),(5216403,'Parauna','GO'),(5216452,'Perolandia','GO'),(5216809,'Petrolina de Goias','GO'),(5216908,'Pilar de Goias','GO'),(5217104,'Piracanjuba','GO'),(5217203,'Piranhas','GO'),(5217302,'Pirenopolis','GO'),(5217401,'Pires do Rio','GO'),(5217609,'Planaltina','GO'),(5217708,'Pontalina','GO'),(5218003,'Porangatu','GO'),(5218052,'Porteirao','GO'),(5218102,'Portelandia','GO'),(5218300,'Posse','GO'),(5218391,'Professor Jamil','GO'),(5218508,'Quirinopolis','GO'),(5218607,'Rialma','GO'),(5218706,'Rianapolis','GO'),(5218789,'Rio Quente','GO'),(5218805,'Rio Verde','GO'),(5218904,'Rubiataba','GO'),(5219001,'Sanclerlandia','GO'),(5219100,'Santa Barbara de Goias','GO'),(5219209,'Santa Cruz de Goias','GO'),(5219258,'Santa Fe de Goias','GO'),(5219308,'Santa Helena de Goias','GO'),(5219357,'Santa Isabel','GO'),(5219407,'Santa Rita do Araguaia','GO'),(5219456,'Santa Rita do Novo Destino','GO'),(5219506,'Santa Rosa de Goias','GO'),(5219605,'Santa Tereza de Goias','GO'),(5219704,'Santa Terezinha de Goias','GO'),(5219712,'Santo Antonio da Barra','GO'),(5219738,'Santo Antonio de Goias','GO'),(5219753,'Santo Antonio do Descoberto','GO'),(5219803,'Sao Domingos','GO'),(5219902,'Sao Francisco de Goias','GO'),(5220009,'Sao Joao d\'Alianca','GO'),(5220058,'Sao Joao da Parauna','GO'),(5220108,'Sao Luis de Montes Belos','GO'),(5220157,'Sao Luiz do Norte','GO'),(5220207,'Sao Miguel do Araguaia','GO'),(5220264,'Sao Miguel do Passa Quatro','GO'),(5220280,'Sao Patricio','GO'),(5220405,'Sao Simao','GO'),(5220454,'Senador Canedo','GO'),(5220504,'Serranopolis','GO'),(5220603,'Silvania','GO'),(5220686,'Simolandia','GO'),(5220702,'Sitio d\'Abadia','GO'),(5221007,'Taquaral de Goias','GO'),(5221080,'Teresina de Goias','GO'),(5221197,'Terezopolis de Goias','GO'),(5221304,'Tres Ranchos','GO'),(5221403,'Trindade','GO'),(5221452,'Trombas','GO'),(5221502,'Turvania','GO'),(5221551,'Turvelandia','GO'),(5221577,'Uirapuru','GO'),(5221601,'Uruacu','GO'),(5221700,'Uruana','GO'),(5221809,'Urutai','GO'),(5221858,'Valparaiso de Goias','GO'),(5221908,'Varjao','GO'),(5222005,'Vianopolis','GO'),(5222054,'Vicentinopolis','GO'),(5222203,'Vila Boa','GO'),(5222302,'Vila Propicio','GO'),(5300108,'Brasilia','DF');
/*!40000 ALTER TABLE cidade ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `acertos_questao_curso`
--

DROP TABLE IF EXISTS acertos_questao_curso;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE acertos_questao_curso (
  id_evento smallint(6) NOT NULL,
  id_curso smallint(6) NOT NULL,
  id_prova tinyint(4) NOT NULL,
  tipo_prova tinyint(4) NOT NULL,
  numero_questao tinyint(4) NOT NULL DEFAULT '0',
  numero_acertos decimal(6,0) DEFAULT NULL,
  numero_acertos_parciais decimal(6,0) DEFAULT NULL,
  acertos_aprovados decimal(6,0) DEFAULT NULL,
  acertos_parciais_aprovados decimal(6,0) DEFAULT NULL,
  PRIMARY KEY (id_evento,id_curso,id_prova,tipo_prova,numero_questao),
  CONSTRAINT fk_acertos_questao_curso_curso FOREIGN KEY (id_evento, id_curso) REFERENCES curso (id_evento, id_curso)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `acertos_questao_curso`
--

LOCK TABLES acertos_questao_curso WRITE;
/*!40000 ALTER TABLE acertos_questao_curso DISABLE KEYS */;
INSERT INTO acertos_questao_curso VALUES (15,2,1,11,1,0,0,NULL,NULL),(15,2,1,11,2,0,0,NULL,NULL),(15,2,1,11,3,0,0,NULL,NULL),(15,2,1,11,4,0,0,NULL,NULL),(15,2,1,11,5,0,0,NULL,NULL),(15,2,1,11,6,0,0,NULL,NULL),(15,2,1,11,7,0,0,NULL,NULL),(15,2,1,11,8,0,0,NULL,NULL),(15,2,1,11,9,0,0,NULL,NULL),(15,2,1,11,10,0,0,NULL,NULL),(15,2,1,11,11,0,0,NULL,NULL),(15,2,1,11,12,0,0,NULL,NULL),(15,2,1,11,13,0,0,NULL,NULL),(15,2,1,11,14,0,0,NULL,NULL),(15,2,1,11,15,0,0,NULL,NULL),(15,2,1,11,16,0,0,NULL,NULL),(15,2,1,11,17,0,0,NULL,NULL),(15,2,1,11,18,0,0,NULL,NULL),(15,2,1,11,19,0,0,NULL,NULL),(15,2,1,11,20,0,0,NULL,NULL),(15,2,1,12,1,0,0,NULL,NULL),(15,2,1,12,2,0,0,NULL,NULL),(15,2,1,12,3,0,0,NULL,NULL),(15,2,1,12,4,0,0,NULL,NULL),(15,2,1,12,5,0,0,NULL,NULL),(15,2,1,12,6,0,0,NULL,NULL),(15,2,1,12,7,0,0,NULL,NULL),(15,2,1,12,8,0,0,NULL,NULL),(15,2,1,12,9,0,0,NULL,NULL),(15,2,1,12,10,0,0,NULL,NULL),(15,2,1,12,11,0,0,NULL,NULL),(15,2,1,12,12,0,0,NULL,NULL),(15,2,1,12,13,0,0,NULL,NULL),(15,2,1,12,14,0,0,NULL,NULL),(15,2,1,12,15,0,0,NULL,NULL),(15,2,1,12,16,0,0,NULL,NULL),(15,2,1,12,17,0,0,NULL,NULL),(15,2,1,12,18,0,0,NULL,NULL),(15,2,1,12,19,0,0,NULL,NULL),(15,2,1,12,20,0,0,NULL,NULL),(15,2,1,13,1,0,0,NULL,NULL),(15,2,1,13,2,0,0,NULL,NULL),(15,2,1,13,3,0,0,NULL,NULL),(15,2,1,13,4,0,0,NULL,NULL),(15,2,1,13,5,0,0,NULL,NULL),(15,2,1,13,6,0,0,NULL,NULL),(15,2,1,13,7,0,0,NULL,NULL),(15,2,1,13,8,0,0,NULL,NULL),(15,2,1,13,9,0,0,NULL,NULL),(15,2,1,13,10,0,0,NULL,NULL),(15,2,1,13,11,0,0,NULL,NULL),(15,2,1,13,12,0,0,NULL,NULL),(15,2,1,13,13,0,0,NULL,NULL),(15,2,1,13,14,0,0,NULL,NULL),(15,2,1,13,15,0,0,NULL,NULL),(15,2,1,13,16,0,0,NULL,NULL),(15,2,1,13,17,0,0,NULL,NULL),(15,2,1,13,18,0,0,NULL,NULL),(15,2,1,13,19,0,0,NULL,NULL),(15,2,1,13,20,0,0,NULL,NULL),(15,2,1,14,1,21,13,14,6),(15,2,1,14,2,8,7,6,5),(15,2,1,14,3,8,24,7,12),(15,2,1,14,4,9,15,6,8),(15,2,1,14,5,5,15,4,8),(15,2,1,14,6,9,14,6,6),(15,2,1,14,7,10,6,7,5),(15,2,1,14,8,6,20,6,8),(15,2,1,14,9,17,0,11,NULL),(15,2,1,14,10,21,5,12,4),(15,2,1,14,11,5,8,4,6),(15,2,1,14,12,7,6,6,3),(15,2,1,14,13,9,9,6,5),(15,2,1,14,14,19,8,12,4),(15,2,1,14,15,23,0,16,NULL),(15,2,1,14,16,3,4,3,2),(15,2,1,14,17,16,3,12,3),(15,2,1,14,18,7,6,6,2),(15,2,1,14,19,14,8,8,5),(15,2,1,14,20,20,7,10,4),(15,2,1,15,1,16,5,10,4),(15,2,1,15,2,11,7,5,6),(15,2,1,15,3,4,8,3,5),(15,2,1,15,4,6,8,3,6),(15,2,1,15,5,2,11,1,6),(15,2,1,15,6,12,11,9,7),(15,2,1,15,7,6,4,5,3),(15,2,1,15,8,10,9,8,6),(15,2,1,15,9,11,0,8,NULL),(15,2,1,15,10,16,1,11,1),(15,2,1,15,11,1,6,1,5),(15,2,1,15,12,4,8,2,6),(15,2,1,15,13,2,4,2,3),(15,2,1,15,14,13,8,11,3),(15,2,1,15,15,20,0,14,NULL),(15,2,1,15,16,4,4,2,3),(15,2,1,15,17,8,4,6,4),(15,2,1,15,18,1,7,1,6),(15,2,1,15,19,8,3,5,3),(15,2,1,15,20,7,4,5,4),(15,2,1,16,1,4,6,4,2),(15,2,1,16,2,8,2,5,NULL),(15,2,1,16,3,2,5,2,3),(15,2,1,16,4,4,3,4,1),(15,2,1,16,5,0,5,NULL,3),(15,2,1,16,6,8,2,6,1),(15,2,1,16,7,2,2,NULL,1),(15,2,1,16,8,6,3,5,2),(15,2,1,16,9,6,0,3,NULL),(15,2,1,16,10,5,2,2,NULL),(15,2,1,16,11,9,4,8,NULL),(15,2,1,16,12,7,4,7,1),(15,2,1,16,13,2,10,1,6),(15,2,1,16,14,6,3,5,1),(15,2,1,16,15,2,0,2,NULL),(15,2,1,16,16,4,0,3,NULL),(15,2,1,16,17,2,6,1,3),(15,2,1,16,18,2,8,NULL,4),(15,2,1,16,19,2,1,1,NULL),(15,2,1,16,20,6,6,4,1),(15,2,1,17,1,2,5,NULL,NULL),(15,2,1,17,2,3,2,NULL,NULL),(15,2,1,17,3,0,2,NULL,NULL),(15,2,1,17,4,1,1,NULL,NULL),(15,2,1,17,5,0,1,NULL,NULL),(15,2,1,17,6,2,5,NULL,NULL),(15,2,1,17,7,0,0,NULL,NULL),(15,2,1,17,8,4,2,NULL,NULL),(15,2,1,17,9,0,0,NULL,NULL),(15,2,1,17,10,4,1,NULL,NULL),(15,2,1,17,11,6,1,NULL,NULL),(15,2,1,17,12,3,4,NULL,NULL),(15,2,1,17,13,1,10,NULL,NULL),(15,2,1,17,14,1,3,NULL,NULL),(15,2,1,17,15,1,2,NULL,NULL),(15,2,1,17,16,1,0,NULL,NULL),(15,2,1,17,17,1,3,NULL,NULL),(15,2,1,17,18,1,5,NULL,NULL),(15,2,1,17,19,0,1,NULL,NULL),(15,2,1,17,20,2,2,NULL,NULL),(15,2,2,21,1,6,10,5,6),(15,2,2,21,2,1,2,1,2),(15,2,2,21,3,2,7,1,3),(15,2,2,21,4,2,5,2,4),(15,2,2,21,5,9,3,7,2),(15,2,2,21,6,4,3,2,1),(15,2,2,21,7,3,2,3,1),(15,2,2,21,8,2,0,2,NULL),(15,2,2,21,9,1,5,NULL,4),(15,2,2,21,10,3,0,2,NULL),(15,2,2,21,11,5,8,5,3),(15,2,2,21,12,10,9,5,4),(15,2,2,21,13,16,5,12,1),(15,2,2,21,14,5,11,2,7),(15,2,2,21,15,6,5,3,4),(15,2,2,21,16,17,16,8,9),(15,2,2,21,17,5,10,1,7),(15,2,2,21,18,7,5,5,3),(15,2,2,21,19,11,12,6,6),(15,2,2,21,20,6,11,5,6),(15,2,2,21,21,3,4,3,4),(15,2,2,21,22,13,4,10,1),(15,2,2,21,23,6,10,5,6),(15,2,2,21,24,5,17,3,8),(15,2,2,21,25,17,0,12,NULL),(15,2,2,21,26,5,6,4,3),(15,2,2,21,27,1,11,1,7),(15,2,2,21,28,1,11,NULL,5),(15,2,2,21,29,19,13,13,3),(15,2,2,21,30,1,8,NULL,5),(15,2,2,22,1,2,4,2,3),(15,2,2,22,2,2,0,2,NULL),(15,2,2,22,3,0,5,NULL,4),(15,2,2,22,4,5,1,4,NULL),(15,2,2,22,5,10,8,7,5),(15,2,2,22,6,8,3,5,2),(15,2,2,22,7,4,1,3,NULL),(15,2,2,22,8,1,0,1,NULL),(15,2,2,22,9,3,4,1,1),(15,2,2,22,10,4,1,3,1),(15,2,2,22,11,5,9,2,6),(15,2,2,22,12,9,4,3,2),(15,2,2,22,13,10,4,6,3),(15,2,2,22,14,4,8,2,6),(15,2,2,22,15,9,5,5,2),(15,2,2,22,16,14,8,9,5),(15,2,2,22,17,2,5,1,2),(15,2,2,22,18,7,6,6,5),(15,2,2,22,19,2,14,2,9),(15,2,2,22,20,8,9,6,6),(15,2,2,22,21,2,6,1,4),(15,2,2,22,22,15,3,10,1),(15,2,2,22,23,10,4,7,3),(15,2,2,22,24,2,12,2,8),(15,2,2,22,25,17,0,12,NULL),(15,2,2,22,26,1,4,1,3),(15,2,2,22,27,4,6,2,6),(15,2,2,22,28,3,7,2,4),(15,2,2,22,29,15,8,7,6),(15,2,2,22,30,1,6,1,4),(15,2,2,23,1,0,5,NULL,2),(15,2,2,23,2,0,1,NULL,1),(15,2,2,23,3,0,4,NULL,2),(15,2,2,23,4,1,0,1,NULL),(15,2,2,23,5,5,6,3,2),(15,2,2,23,6,5,3,3,1),(15,2,2,23,7,1,2,1,1),(15,2,2,23,8,0,0,NULL,NULL),(15,2,2,23,9,4,3,4,1),(15,2,2,23,10,2,2,NULL,2),(15,2,2,23,11,1,2,NULL,1),(15,2,2,23,12,4,7,1,4),(15,2,2,23,13,7,1,3,1),(15,2,2,23,14,2,3,2,2),(15,2,2,23,15,4,3,2,1),(15,2,2,23,16,10,5,6,2),(15,2,2,23,17,2,5,1,3),(15,2,2,23,18,6,4,2,3),(15,2,2,23,19,5,2,3,1),(15,2,2,23,20,4,7,3,3),(15,2,2,23,21,3,3,2,2),(15,2,2,23,22,7,4,5,NULL),(15,2,2,23,23,1,6,1,4),(15,2,2,23,24,3,4,2,2),(15,2,2,23,25,11,0,7,NULL),(15,2,2,23,26,1,3,1,2),(15,2,2,23,27,2,5,NULL,3),(15,2,2,23,28,1,6,NULL,5),(15,2,2,23,29,11,6,7,1),(15,2,2,23,30,3,3,2,1),(15,2,2,24,1,0,0,NULL,NULL),(15,2,2,24,2,0,1,NULL,1),(15,2,2,24,3,1,0,NULL,NULL),(15,2,2,24,4,1,0,NULL,NULL),(15,2,2,24,5,0,5,NULL,3),(15,2,2,24,6,0,3,NULL,3),(15,2,2,24,7,0,0,NULL,NULL),(15,2,2,24,8,1,0,1,NULL),(15,2,2,24,9,1,2,1,NULL),(15,2,2,24,10,3,2,2,1),(15,2,2,24,11,0,6,NULL,4),(15,2,2,24,12,3,4,NULL,3),(15,2,2,24,13,3,2,2,1),(15,2,2,24,14,0,4,NULL,1),(15,2,2,24,15,3,1,3,NULL),(15,2,2,24,16,8,3,4,2),(15,2,2,24,17,0,2,NULL,2),(15,2,2,24,18,2,2,2,2),(15,2,2,24,19,4,4,2,4),(15,2,2,24,20,3,3,1,1),(15,2,2,24,21,2,1,2,1),(15,2,2,24,22,8,0,3,NULL),(15,2,2,24,23,3,4,3,2),(15,2,2,24,24,1,5,1,4),(15,2,2,24,25,7,0,3,NULL),(15,2,2,24,26,3,2,3,1),(15,2,2,24,27,1,4,1,2),(15,2,2,24,28,0,3,NULL,3),(15,2,2,24,29,7,3,5,1),(15,2,2,24,30,0,3,NULL,3),(15,2,3,31,1,9,3,5,1),(15,2,3,31,2,2,4,2,1),(15,2,3,31,3,6,2,4,1),(15,2,3,31,4,3,2,3,1),(15,2,3,31,5,3,4,3,1),(15,2,3,31,6,0,6,NULL,3),(15,2,3,31,7,0,5,NULL,3),(15,2,3,31,8,0,2,NULL,1),(15,2,3,31,9,5,1,4,1),(15,2,3,31,10,3,4,3,2),(15,2,3,31,11,0,0,NULL,NULL),(15,2,3,31,12,2,2,2,2),(15,2,3,31,13,1,4,NULL,1),(15,2,3,31,14,7,2,3,2),(15,2,3,31,15,4,2,3,1),(15,2,3,31,16,2,4,NULL,3),(15,2,3,31,17,6,2,4,NULL),(15,2,3,31,18,0,0,NULL,NULL),(15,2,3,31,19,0,3,NULL,3),(15,2,3,31,20,1,1,1,NULL),(15,2,3,31,21,0,0,NULL,NULL),(15,2,3,31,22,2,2,2,NULL),(15,2,3,31,23,1,2,1,1),(15,2,3,31,24,2,4,2,2),(15,2,3,31,25,1,3,NULL,3),(15,2,3,31,26,1,2,1,NULL),(15,2,3,31,27,0,1,NULL,1),(15,2,3,31,28,0,0,NULL,NULL),(15,2,3,31,29,0,3,NULL,2),(15,2,3,31,30,1,4,1,3),(15,2,3,32,1,9,9,4,4),(15,2,3,32,2,1,5,1,3),(15,2,3,32,3,6,3,5,1),(15,2,3,32,4,9,1,6,NULL),(15,2,3,32,5,3,3,2,3),(15,2,3,32,6,4,9,2,4),(15,2,3,32,7,0,4,NULL,2),(15,2,3,32,8,1,3,1,3),(15,2,3,32,9,2,6,1,4),(15,2,3,32,10,4,3,3,1),(15,2,3,32,11,2,0,1,NULL),(15,2,3,32,12,3,6,2,4),(15,2,3,32,13,1,3,1,1),(15,2,3,32,14,8,5,4,2),(15,2,3,32,15,5,2,4,1),(15,2,3,32,16,1,8,1,3),(15,2,3,32,17,10,5,5,2),(15,2,3,32,18,1,4,1,2),(15,2,3,32,19,3,4,NULL,3),(15,2,3,32,20,0,0,NULL,NULL),(15,2,3,32,21,2,0,2,NULL),(15,2,3,32,22,1,4,1,NULL),(15,2,3,32,23,1,0,NULL,NULL),(15,2,3,32,24,3,8,1,5),(15,2,3,32,25,0,1,NULL,NULL),(15,2,3,32,26,0,0,NULL,NULL),(15,2,3,32,27,0,0,NULL,NULL),(15,2,3,32,28,1,3,1,1),(15,2,3,32,29,0,11,NULL,5),(15,2,3,32,30,1,6,NULL,3),(15,2,3,33,1,18,6,12,2),(15,2,3,33,2,2,12,2,11),(15,2,3,33,3,9,3,6,2),(15,2,3,33,4,15,1,12,NULL),(15,2,3,33,5,6,9,6,7),(15,2,3,33,6,3,15,2,8),(15,2,3,33,7,3,8,3,5),(15,2,3,33,8,2,2,2,2),(15,2,3,33,9,6,6,5,2),(15,2,3,33,10,11,3,9,2),(15,2,3,33,11,2,3,1,1),(15,2,3,33,12,8,5,4,5),(15,2,3,33,13,0,10,NULL,8),(15,2,3,33,14,10,3,8,3),(15,2,3,33,15,9,8,5,6),(15,2,3,33,16,2,6,2,4),(15,2,3,33,17,13,6,8,4),(15,2,3,33,18,3,6,2,3),(15,2,3,33,19,5,3,3,2),(15,2,3,33,20,3,5,3,3),(15,2,3,33,21,1,0,NULL,NULL),(15,2,3,33,22,2,7,2,3),(15,2,3,33,23,1,3,1,3),(15,2,3,33,24,2,16,2,7),(15,2,3,33,25,0,3,NULL,2),(15,2,3,33,26,2,6,1,3),(15,2,3,33,27,1,5,NULL,5),(15,2,3,33,28,0,3,NULL,2),(15,2,3,33,29,1,12,1,8),(15,2,3,33,30,4,6,3,3),(15,2,3,34,1,22,14,15,2),(15,2,3,34,2,7,8,6,6),(15,2,3,34,3,13,5,9,4),(15,2,3,34,4,11,6,9,1),(15,2,3,34,5,8,11,3,8),(15,2,3,34,6,3,13,2,8),(15,2,3,34,7,1,15,1,11),(15,2,3,34,8,1,4,1,3),(15,2,3,34,9,8,6,8,3),(15,2,3,34,10,9,4,7,2),(15,2,3,34,11,2,3,2,3),(15,2,3,34,12,6,12,4,8),(15,2,3,34,13,2,6,NULL,4),(15,2,3,34,14,7,10,3,8),(15,2,3,34,15,13,8,10,4),(15,2,3,34,16,5,5,4,3),(15,2,3,34,17,21,6,14,1),(15,2,3,34,18,5,5,3,4),(15,2,3,34,19,6,5,3,2),(15,2,3,34,20,4,7,4,3),(15,2,3,34,21,7,0,6,NULL),(15,2,3,34,22,4,6,3,5),(15,2,3,34,23,1,4,1,3),(15,2,3,34,24,6,14,6,6),(15,2,3,34,25,0,6,NULL,4),(15,2,3,34,26,1,3,1,3),(15,2,3,34,27,1,6,NULL,5),(15,2,3,34,28,0,3,NULL,3),(15,2,3,34,29,0,17,NULL,10),(15,2,3,34,30,1,12,1,8),(15,5,1,11,1,4,NULL,NULL,NULL),(15,5,1,11,2,2,1,NULL,NULL),(15,5,1,11,3,NULL,1,NULL,NULL),(15,5,1,11,4,1,NULL,NULL,NULL),(15,5,1,11,5,1,1,NULL,NULL),(15,5,1,11,6,3,1,NULL,NULL),(15,5,1,11,7,NULL,NULL,NULL,NULL),(15,5,1,11,8,3,NULL,NULL,NULL),(15,5,1,11,9,1,NULL,NULL,NULL),(15,5,1,11,10,3,NULL,NULL,NULL),(15,5,1,11,11,1,NULL,NULL,NULL),(15,5,1,11,12,2,1,NULL,NULL),(15,5,1,11,13,3,NULL,NULL,NULL),(15,5,1,11,14,2,NULL,NULL,NULL),(15,5,1,11,15,1,2,NULL,NULL),(15,5,1,11,16,2,NULL,NULL,NULL),(15,5,1,11,17,4,NULL,NULL,NULL),(15,5,1,11,18,1,NULL,NULL,NULL),(15,5,1,11,19,2,NULL,NULL,NULL),(15,5,1,11,20,2,1,NULL,NULL),(15,5,1,12,1,4,1,NULL,NULL),(15,5,1,12,2,3,NULL,NULL,NULL),(15,5,1,12,3,2,1,NULL,NULL),(15,5,1,12,4,1,1,NULL,NULL),(15,5,1,12,5,NULL,1,NULL,NULL),(15,5,1,12,6,1,3,NULL,NULL),(15,5,1,12,7,NULL,1,NULL,NULL),(15,5,1,12,8,2,2,NULL,NULL),(15,5,1,12,9,2,NULL,NULL,NULL),(15,5,1,12,10,2,1,NULL,NULL),(15,5,1,12,11,1,NULL,NULL,NULL),(15,5,1,12,12,1,4,NULL,NULL),(15,5,1,12,13,2,NULL,NULL,NULL),(15,5,1,12,14,5,NULL,NULL,NULL),(15,5,1,12,15,3,1,NULL,NULL),(15,5,1,12,16,2,1,NULL,NULL),(15,5,1,12,17,3,NULL,NULL,NULL),(15,5,1,12,18,2,2,NULL,NULL),(15,5,1,12,19,2,1,NULL,NULL),(15,5,1,12,20,3,NULL,NULL,NULL),(15,5,1,13,1,3,1,NULL,NULL),(15,5,1,13,2,2,1,NULL,NULL),(15,5,1,13,3,NULL,3,NULL,NULL),(15,5,1,13,4,NULL,1,NULL,NULL),(15,5,1,13,5,1,3,NULL,NULL),(15,5,1,13,6,3,3,NULL,NULL),(15,5,1,13,7,NULL,1,NULL,NULL),(15,5,1,13,8,1,4,NULL,NULL),(15,5,1,13,9,4,NULL,NULL,NULL),(15,5,1,13,10,3,NULL,NULL,NULL),(15,5,1,13,11,4,1,NULL,NULL),(15,5,1,13,12,3,2,NULL,NULL),(15,5,1,13,13,1,1,NULL,NULL),(15,5,1,13,14,1,1,NULL,NULL),(15,5,1,13,15,4,NULL,NULL,NULL),(15,5,1,13,16,5,1,NULL,NULL),(15,5,1,13,17,1,2,NULL,NULL),(15,5,1,13,18,1,NULL,NULL,NULL),(15,5,1,13,19,NULL,NULL,NULL,NULL),(15,5,1,13,20,NULL,1,NULL,NULL),(15,5,1,14,1,170,71,21,6),(15,5,1,14,2,78,94,9,19),(15,5,1,14,3,44,153,8,21),(15,5,1,14,4,90,97,16,11),(15,5,1,14,5,42,120,12,12),(15,5,1,14,6,114,100,7,16),(15,5,1,14,7,131,40,22,2),(15,5,1,14,8,98,127,16,12),(15,5,1,14,9,121,NULL,19,NULL),(15,5,1,14,10,155,28,20,4),(15,5,1,14,11,54,70,18,9),(15,5,1,14,12,44,69,14,7),(15,5,1,14,13,80,51,15,5),(15,5,1,14,14,130,87,22,5),(15,5,1,14,15,208,NULL,30,NULL),(15,5,1,14,16,59,37,10,7),(15,5,1,14,17,94,40,21,2),(15,5,1,14,18,57,49,14,8),(15,5,1,14,19,115,54,21,6),(15,5,1,14,20,134,55,19,10),(15,5,1,15,1,144,87,22,7),(15,5,1,15,2,95,70,18,5),(15,5,1,15,3,51,142,9,20),(15,5,1,15,4,89,94,17,13),(15,5,1,15,5,37,125,8,20),(15,5,1,15,6,105,109,12,14),(15,5,1,15,7,131,30,22,5),(15,5,1,15,8,71,121,8,17),(15,5,1,15,9,109,NULL,23,NULL),(15,5,1,15,10,140,33,22,5),(15,5,1,15,11,49,79,10,11),(15,5,1,15,12,46,73,14,10),(15,5,1,15,13,80,53,18,7),(15,5,1,15,14,129,81,24,5),(15,5,1,15,15,202,NULL,30,NULL),(15,5,1,15,16,47,39,11,6),(15,5,1,15,17,109,27,23,2),(15,5,1,15,18,63,55,16,9),(15,5,1,15,19,107,52,23,5),(15,5,1,15,20,119,63,23,6),(15,5,1,16,1,92,76,2,6),(15,5,1,16,2,44,50,2,4),(15,5,1,16,3,35,99,3,5),(15,5,1,16,4,61,59,3,2),(15,5,1,16,5,30,78,3,3),(15,5,1,16,6,73,73,2,2),(15,5,1,16,7,86,24,5,1),(15,5,1,16,8,46,102,2,3),(15,5,1,16,9,56,NULL,3,NULL),(15,5,1,16,10,99,29,5,3),(15,5,1,16,11,88,60,3,2),(15,5,1,16,12,92,92,4,4),(15,5,1,16,13,26,155,1,7),(15,5,1,16,14,76,69,1,5),(15,5,1,16,15,29,38,3,2),(15,5,1,16,16,80,NULL,4,NULL),(15,5,1,16,17,50,78,3,4),(15,5,1,16,18,41,100,1,6),(15,5,1,16,19,18,20,3,NULL),(15,5,1,16,20,58,107,3,4),(15,5,1,17,1,75,71,6,5),(15,5,1,17,2,44,50,3,4),(15,5,1,17,3,27,96,4,7),(15,5,1,17,4,43,62,7,4),(15,5,1,17,5,18,81,4,6),(15,5,1,17,6,67,69,2,4),(15,5,1,17,7,67,28,9,NULL),(15,5,1,17,8,40,95,4,4),(15,5,1,17,9,58,NULL,8,NULL),(15,5,1,17,10,80,30,5,1),(15,5,1,17,11,73,48,8,2),(15,5,1,17,12,59,97,4,6),(15,5,1,17,13,24,153,1,9),(15,5,1,17,14,41,78,5,6),(15,5,1,17,15,25,42,2,2),(15,5,1,17,16,67,NULL,8,NULL),(15,5,1,17,17,42,67,5,4),(15,5,1,17,18,29,99,1,8),(15,5,1,17,19,13,27,NULL,1),(15,5,1,17,20,53,91,5,4),(15,5,2,21,1,21,39,9,7),(15,5,2,21,2,18,17,8,2),(15,5,2,21,3,15,49,1,8),(15,5,2,21,4,38,27,12,7),(15,5,2,21,5,79,52,18,3),(15,5,2,21,6,48,32,14,4),(15,5,2,21,7,30,16,12,6),(15,5,2,21,8,11,NULL,3,NULL),(15,5,2,21,9,39,44,10,6),(15,5,2,21,10,38,17,13,3),(15,5,2,21,11,59,50,14,5),(15,5,2,21,12,96,89,13,10),(15,5,2,21,13,115,53,22,5),(15,5,2,21,14,27,75,4,15),(15,5,2,21,15,68,85,12,7),(15,5,2,21,16,135,88,19,8),(15,5,2,21,17,27,78,7,10),(15,5,2,21,18,82,55,12,9),(15,5,2,21,19,32,117,4,17),(15,5,2,21,20,78,71,17,7),(15,5,2,21,21,24,34,9,11),(15,5,2,21,22,99,45,17,3),(15,5,2,21,23,39,57,14,3),(15,5,2,21,24,50,71,17,7),(15,5,2,21,25,148,NULL,24,NULL),(15,5,2,21,26,41,56,14,6),(15,5,2,21,27,28,72,9,15),(15,5,2,21,28,35,68,11,11),(15,5,2,21,29,107,111,22,7),(15,5,2,21,30,38,45,16,7),(15,5,2,22,1,16,45,3,6),(15,5,2,22,2,15,19,2,4),(15,5,2,22,3,15,42,1,3),(15,5,2,22,4,38,27,6,3),(15,5,2,22,5,76,61,11,3),(15,5,2,22,6,48,38,6,3),(15,5,2,22,7,34,10,8,1),(15,5,2,22,8,15,NULL,3,NULL),(15,5,2,22,9,45,43,3,6),(15,5,2,22,10,37,19,5,3),(15,5,2,22,11,59,51,10,3),(15,5,2,22,12,91,92,7,7),(15,5,2,22,13,128,38,14,2),(15,5,2,22,14,25,78,6,6),(15,5,2,22,15,61,81,5,9),(15,5,2,22,16,114,97,10,6),(15,5,2,22,17,28,64,4,5),(15,5,2,22,18,68,56,11,4),(15,5,2,22,19,32,107,1,8),(15,5,2,22,20,61,72,11,4),(15,5,2,22,21,20,30,5,1),(15,5,2,22,22,99,52,10,4),(15,5,2,22,23,46,69,10,3),(15,5,2,22,24,45,86,7,7),(15,5,2,22,25,135,NULL,16,NULL),(15,5,2,22,26,31,48,5,4),(15,5,2,22,27,32,77,4,10),(15,5,2,22,28,23,55,6,5),(15,5,2,22,29,99,100,10,6),(15,5,2,22,30,12,46,5,5),(15,5,2,23,1,15,39,6,1),(15,5,2,23,2,10,28,3,5),(15,5,2,23,3,11,32,NULL,4),(15,5,2,23,4,34,35,4,4),(15,5,2,23,5,71,35,11,2),(15,5,2,23,6,61,34,5,2),(15,5,2,23,7,17,13,4,3),(15,5,2,23,8,17,NULL,1,NULL),(15,5,2,23,9,35,38,4,4),(15,5,2,23,10,38,25,7,2),(15,5,2,23,11,53,43,9,2),(15,5,2,23,12,75,90,8,6),(15,5,2,23,13,115,34,14,1),(15,5,2,23,14,20,71,3,9),(15,5,2,23,15,71,75,7,5),(15,5,2,23,16,123,89,15,2),(15,5,2,23,17,27,68,4,6),(15,5,2,23,18,64,57,7,4),(15,5,2,23,19,34,112,1,12),(15,5,2,23,20,62,73,10,4),(15,5,2,23,21,22,24,3,2),(15,5,2,23,22,84,44,11,3),(15,5,2,23,23,50,56,9,4),(15,5,2,23,24,39,65,6,5),(15,5,2,23,25,121,NULL,15,NULL),(15,5,2,23,26,28,64,4,6),(15,5,2,23,27,19,70,4,8),(15,5,2,23,28,29,51,2,6),(15,5,2,23,29,102,115,11,5),(15,5,2,23,30,30,49,5,5),(15,5,2,24,1,20,42,2,6),(15,5,2,24,2,13,21,3,3),(15,5,2,24,3,10,35,NULL,3),(15,5,2,24,4,30,35,11,2),(15,5,2,24,5,74,44,7,3),(15,5,2,24,6,49,42,7,3),(15,5,2,24,7,27,7,4,2),(15,5,2,24,8,16,NULL,2,NULL),(15,5,2,24,9,34,42,7,5),(15,5,2,24,10,45,21,6,3),(15,5,2,24,11,55,64,6,5),(15,5,2,24,12,81,79,7,7),(15,5,2,24,13,118,32,15,2),(15,5,2,24,14,23,74,4,7),(15,5,2,24,15,62,84,5,8),(15,5,2,24,16,104,111,10,8),(15,5,2,24,17,23,70,5,7),(15,5,2,24,18,72,52,9,5),(15,5,2,24,19,37,114,5,9),(15,5,2,24,20,66,84,12,5),(15,5,2,24,21,29,26,7,6),(15,5,2,24,22,87,43,8,2),(15,5,2,24,23,48,72,8,3),(15,5,2,24,24,48,78,10,4),(15,5,2,24,25,127,NULL,16,NULL),(15,5,2,24,26,35,48,9,3),(15,5,2,24,27,31,64,9,8),(15,5,2,24,28,28,62,7,8),(15,5,2,24,29,97,109,14,4),(15,5,2,24,30,34,46,10,5),(15,5,3,31,1,140,107,12,5),(15,5,3,31,2,19,76,6,9),(15,5,3,31,3,92,44,12,4),(15,5,3,31,4,111,39,14,3),(15,5,3,31,5,52,88,8,10),(15,5,3,31,6,23,119,7,8),(15,5,3,31,7,11,64,6,6),(15,5,3,31,8,19,25,6,4),(15,5,3,31,9,31,43,7,3),(15,5,3,31,10,28,53,4,9),(15,5,3,31,11,6,37,NULL,1),(15,5,3,31,12,78,79,8,8),(15,5,3,31,13,21,62,3,7),(15,5,3,31,14,81,47,12,3),(15,5,3,31,15,93,59,13,4),(15,5,3,31,16,41,74,6,7),(15,5,3,31,17,139,61,14,3),(15,5,3,31,18,36,58,5,5),(15,5,3,31,19,45,44,3,5),(15,5,3,31,20,24,53,3,11),(15,5,3,31,21,24,NULL,7,NULL),(15,5,3,31,22,22,56,6,5),(15,5,3,31,23,5,31,1,8),(15,5,3,31,24,20,111,5,9),(15,5,3,31,25,11,20,1,4),(15,5,3,31,26,9,32,3,7),(15,5,3,31,27,7,34,NULL,6),(15,5,3,31,28,6,25,NULL,2),(15,5,3,31,29,5,124,1,14),(15,5,3,31,30,16,90,3,6),(15,5,3,32,1,155,86,12,4),(15,5,3,32,2,17,75,2,9),(15,5,3,32,3,61,45,10,2),(15,5,3,32,4,101,29,13,1),(15,5,3,32,5,50,74,7,6),(15,5,3,32,6,22,121,4,10),(15,5,3,32,7,12,62,2,4),(15,5,3,32,8,14,19,7,2),(15,5,3,32,9,25,48,8,5),(15,5,3,32,10,30,49,6,6),(15,5,3,32,11,9,27,1,3),(15,5,3,32,12,88,70,11,4),(15,5,3,32,13,11,71,NULL,7),(15,5,3,32,14,75,45,8,4),(15,5,3,32,15,109,52,9,5),(15,5,3,32,16,40,89,2,12),(15,5,3,32,17,133,62,11,3),(15,5,3,32,18,36,58,7,2),(15,5,3,32,19,39,42,3,2),(15,5,3,32,20,14,54,2,5),(15,5,3,32,21,25,NULL,7,NULL),(15,5,3,32,22,27,54,6,4),(15,5,3,32,23,9,28,1,5),(15,5,3,32,24,22,109,3,11),(15,5,3,32,25,6,27,1,3),(15,5,3,32,26,7,28,4,4),(15,5,3,32,27,4,27,NULL,5),(15,5,3,32,28,10,21,3,3),(15,5,3,32,29,6,112,NULL,13),(15,5,3,32,30,9,81,1,7),(15,5,3,33,1,122,113,8,9),(15,5,3,33,2,16,84,3,8),(15,5,3,33,3,62,57,12,3),(15,5,3,33,4,95,49,12,3),(15,5,3,33,5,53,83,8,9),(15,5,3,33,6,19,117,2,13),(15,5,3,33,7,7,55,3,6),(15,5,3,33,8,22,22,5,3),(15,5,3,33,9,23,45,8,3),(15,5,3,33,10,34,41,5,3),(15,5,3,33,11,10,31,3,2),(15,5,3,33,12,97,69,10,6),(15,5,3,33,13,20,88,2,7),(15,5,3,33,14,83,50,14,3),(15,5,3,33,15,86,78,9,7),(15,5,3,33,16,45,78,8,4),(15,5,3,33,17,130,67,14,2),(15,5,3,33,18,34,51,6,3),(15,5,3,33,19,47,46,3,5),(15,5,3,33,20,23,41,3,4),(15,5,3,33,21,34,NULL,4,NULL),(15,5,3,33,22,17,48,6,6),(15,5,3,33,23,7,27,2,5),(15,5,3,33,24,18,111,2,14),(15,5,3,33,25,9,36,1,7),(15,5,3,33,26,3,31,1,4),(15,5,3,33,27,5,31,NULL,5),(15,5,3,33,28,6,15,NULL,2),(15,5,3,33,29,10,125,1,13),(15,5,3,33,30,11,79,4,7),(15,5,3,34,1,138,116,24,5),(15,5,3,34,2,26,92,9,16),(15,5,3,34,3,89,51,20,4),(15,5,3,34,4,95,41,23,4),(15,5,3,34,5,55,83,13,12),(15,5,3,34,6,27,128,7,14),(15,5,3,34,7,11,63,6,13),(15,5,3,34,8,24,25,14,5),(15,5,3,34,9,36,44,17,3),(15,5,3,34,10,36,50,9,12),(15,5,3,34,11,2,41,2,7),(15,5,3,34,12,103,77,15,12),(15,5,3,34,13,24,76,8,11),(15,5,3,34,14,101,43,20,4),(15,5,3,34,15,103,56,23,3),(15,5,3,34,16,54,81,15,10),(15,5,3,34,17,154,56,26,1),(15,5,3,34,18,44,57,10,6),(15,5,3,34,19,45,36,6,8),(15,5,3,34,20,24,73,10,11),(15,5,3,34,21,30,NULL,10,NULL),(15,5,3,34,22,30,59,10,13),(15,5,3,34,23,10,33,3,10),(15,5,3,34,24,20,124,10,14),(15,5,3,34,25,7,34,5,9),(15,5,3,34,26,10,39,7,12),(15,5,3,34,27,6,31,4,13),(15,5,3,34,28,8,28,2,6),(15,5,3,34,29,7,135,4,20),(15,5,3,34,30,17,101,8,12),(15,9,1,11,1,NULL,NULL,NULL,NULL),(15,9,1,11,2,NULL,NULL,NULL,NULL),(15,9,1,11,3,NULL,NULL,NULL,NULL),(15,9,1,11,4,NULL,NULL,NULL,NULL),(15,9,1,11,5,NULL,NULL,NULL,NULL),(15,9,1,11,6,NULL,NULL,NULL,NULL),(15,9,1,11,7,NULL,NULL,NULL,NULL),(15,9,1,11,8,NULL,NULL,NULL,NULL),(15,9,1,11,9,NULL,NULL,NULL,NULL),(15,9,1,11,10,NULL,NULL,NULL,NULL),(15,9,1,11,11,NULL,NULL,NULL,NULL),(15,9,1,11,12,NULL,NULL,NULL,NULL),(15,9,1,11,13,NULL,NULL,NULL,NULL),(15,9,1,11,14,NULL,NULL,NULL,NULL),(15,9,1,11,15,NULL,NULL,NULL,NULL),(15,9,1,11,16,NULL,NULL,NULL,NULL),(15,9,1,11,17,NULL,NULL,NULL,NULL),(15,9,1,11,18,NULL,NULL,NULL,NULL),(15,9,1,11,19,NULL,NULL,NULL,NULL),(15,9,1,11,20,NULL,NULL,NULL,NULL),(15,9,1,12,1,1,NULL,NULL,NULL),(15,9,1,12,2,NULL,NULL,NULL,NULL),(15,9,1,12,3,NULL,1,NULL,NULL),(15,9,1,12,4,1,NULL,NULL,NULL),(15,9,1,12,5,NULL,1,NULL,NULL),(15,9,1,12,6,NULL,1,NULL,NULL),(15,9,1,12,7,1,NULL,NULL,NULL),(15,9,1,12,8,1,NULL,NULL,NULL),(15,9,1,12,9,NULL,NULL,NULL,NULL),(15,9,1,12,10,1,NULL,NULL,NULL),(15,9,1,12,11,1,NULL,NULL,NULL),(15,9,1,12,12,1,NULL,NULL,NULL),(15,9,1,12,13,1,NULL,NULL,NULL),(15,9,1,12,14,1,NULL,NULL,NULL),(15,9,1,12,15,1,NULL,NULL,NULL),(15,9,1,12,16,1,NULL,NULL,NULL),(15,9,1,12,17,1,NULL,NULL,NULL),(15,9,1,12,18,1,NULL,NULL,NULL),(15,9,1,12,19,1,NULL,NULL,NULL),(15,9,1,12,20,1,NULL,NULL,NULL),(15,9,1,13,1,NULL,1,NULL,NULL),(15,9,1,13,2,NULL,NULL,NULL,NULL),(15,9,1,13,3,NULL,NULL,NULL,NULL),(15,9,1,13,4,NULL,1,NULL,NULL),(15,9,1,13,5,NULL,NULL,NULL,NULL),(15,9,1,13,6,1,NULL,NULL,NULL),(15,9,1,13,7,NULL,1,NULL,NULL),(15,9,1,13,8,NULL,1,NULL,NULL),(15,9,1,13,9,NULL,NULL,NULL,NULL),(15,9,1,13,10,1,NULL,NULL,NULL),(15,9,1,13,11,1,NULL,NULL,NULL),(15,9,1,13,12,1,NULL,NULL,NULL),(15,9,1,13,13,NULL,NULL,NULL,NULL),(15,9,1,13,14,1,NULL,NULL,NULL),(15,9,1,13,15,1,NULL,NULL,NULL),(15,9,1,13,16,1,NULL,NULL,NULL),(15,9,1,13,17,1,NULL,NULL,NULL),(15,9,1,13,18,NULL,1,NULL,NULL),(15,9,1,13,19,NULL,1,NULL,NULL),(15,9,1,13,20,NULL,1,NULL,NULL),(15,9,1,14,1,36,39,8,4),(15,9,1,14,2,29,29,6,6),(15,9,1,14,3,16,48,3,10),(15,9,1,14,4,33,31,10,3),(15,9,1,14,5,18,35,7,6),(15,9,1,14,6,42,42,6,6),(15,9,1,14,7,44,13,12,1),(15,9,1,14,8,33,34,7,3),(15,9,1,14,9,40,NULL,6,NULL),(15,9,1,14,10,46,8,9,1),(15,9,1,14,11,7,26,1,6),(15,9,1,14,12,5,13,3,3),(15,9,1,14,13,11,13,5,1),(15,9,1,14,14,33,44,9,4),(15,9,1,14,15,62,NULL,13,NULL),(15,9,1,14,16,7,13,3,2),(15,9,1,14,17,20,12,7,2),(15,9,1,14,18,12,10,3,2),(15,9,1,14,19,19,18,7,4),(15,9,1,14,20,25,22,6,6),(15,9,1,15,1,36,33,5,2),(15,9,1,15,2,26,34,3,5),(15,9,1,15,3,16,53,4,3),(15,9,1,15,4,22,33,3,5),(15,9,1,15,5,4,52,1,4),(15,9,1,15,6,42,36,4,5),(15,9,1,15,7,43,15,5,2),(15,9,1,15,8,27,46,7,2),(15,9,1,15,9,45,NULL,5,NULL),(15,9,1,15,10,61,14,7,1),(15,9,1,15,11,12,15,2,3),(15,9,1,15,12,5,19,3,2),(15,9,1,15,13,16,15,5,2),(15,9,1,15,14,39,43,4,4),(15,9,1,15,15,71,NULL,8,NULL),(15,9,1,15,16,10,11,1,1),(15,9,1,15,17,22,16,6,2),(15,9,1,15,18,14,15,2,5),(15,9,1,15,19,19,19,4,3),(15,9,1,15,20,25,30,5,3),(15,9,1,16,1,27,36,3,4),(15,9,1,16,2,18,16,1,2),(15,9,1,16,3,19,46,1,6),(15,9,1,16,4,23,28,1,5),(15,9,1,16,5,11,38,NULL,5),(15,9,1,16,6,33,30,2,3),(15,9,1,16,7,41,14,4,3),(15,9,1,16,8,11,50,1,4),(15,9,1,16,9,36,NULL,5,NULL),(15,9,1,16,10,40,7,4,1),(15,9,1,16,11,36,29,3,4),(15,9,1,16,12,34,52,2,5),(15,9,1,16,13,14,67,NULL,6),(15,9,1,16,14,22,41,4,3),(15,9,1,16,15,14,10,1,1),(15,9,1,16,16,45,NULL,6,NULL),(15,9,1,16,17,22,28,2,5),(15,9,1,16,18,16,59,1,3),(15,9,1,16,19,12,6,1,2),(15,9,1,16,20,22,53,3,4),(15,9,1,17,1,29,41,4,6),(15,9,1,17,2,22,22,2,4),(15,9,1,17,3,11,53,5,4),(15,9,1,17,4,18,34,5,5),(15,9,1,17,5,7,43,NULL,8),(15,9,1,17,6,34,33,1,5),(15,9,1,17,7,38,12,5,4),(15,9,1,17,8,20,42,2,8),(15,9,1,17,9,32,NULL,7,NULL),(15,9,1,17,10,41,9,7,1),(15,9,1,17,11,34,25,3,7),(15,9,1,17,12,27,51,4,7),(15,9,1,17,13,14,68,1,9),(15,9,1,17,14,20,32,2,6),(15,9,1,17,15,12,16,2,4),(15,9,1,17,16,26,NULL,6,NULL),(15,9,1,17,17,20,30,2,6),(15,9,1,17,18,22,37,2,4),(15,9,1,17,19,5,6,1,2),(15,9,1,17,20,22,54,1,6),(15,9,2,21,1,6,12,NULL,1),(15,9,2,21,2,3,8,1,NULL),(15,9,2,21,3,5,21,NULL,NULL),(15,9,2,21,4,13,10,3,NULL),(15,9,2,21,5,14,22,3,1),(15,9,2,21,6,10,24,2,NULL),(15,9,2,21,7,4,4,2,1),(15,9,2,21,8,3,NULL,NULL,NULL),(15,9,2,21,9,12,12,NULL,2),(15,9,2,21,10,15,5,3,NULL),(15,9,2,21,11,19,19,3,1),(15,9,2,21,12,19,28,NULL,3),(15,9,2,21,13,29,15,2,2),(15,9,2,21,14,5,31,NULL,2),(15,9,2,21,15,16,30,1,3),(15,9,2,21,16,42,40,1,4),(15,9,2,21,17,10,26,NULL,2),(15,9,2,21,18,22,16,3,NULL),(15,9,2,21,19,14,34,NULL,3),(15,9,2,21,20,20,22,1,1),(15,9,2,21,21,3,5,NULL,1),(15,9,2,21,22,19,13,3,1),(15,9,2,21,23,8,28,1,3),(15,9,2,21,24,7,25,1,2),(15,9,2,21,25,38,NULL,4,NULL),(15,9,2,21,26,14,20,2,2),(15,9,2,21,27,5,20,1,1),(15,9,2,21,28,8,22,NULL,2),(15,9,2,21,29,30,36,4,2),(15,9,2,21,30,10,10,NULL,2),(15,9,2,22,1,2,15,1,4),(15,9,2,22,2,9,7,1,2),(15,9,2,22,3,11,18,1,3),(15,9,2,22,4,8,13,3,1),(15,9,2,22,5,25,15,7,1),(15,9,2,22,6,26,18,6,1),(15,9,2,22,7,8,4,4,NULL),(15,9,2,22,8,7,NULL,4,NULL),(15,9,2,22,9,12,15,4,4),(15,9,2,22,10,21,10,4,1),(15,9,2,22,11,15,25,4,3),(15,9,2,22,12,34,24,4,4),(15,9,2,22,13,47,14,6,3),(15,9,2,22,14,8,26,3,3),(15,9,2,22,15,26,30,5,4),(15,9,2,22,16,45,47,3,5),(15,9,2,22,17,7,27,1,4),(15,9,2,22,18,19,13,5,NULL),(15,9,2,22,19,11,49,1,6),(15,9,2,22,20,19,25,4,3),(15,9,2,22,21,7,3,1,1),(15,9,2,22,22,21,24,5,NULL),(15,9,2,22,23,15,22,4,3),(15,9,2,22,24,6,35,2,8),(15,9,2,22,25,39,NULL,7,NULL),(15,9,2,22,26,8,19,1,4),(15,9,2,22,27,10,25,1,5),(15,9,2,22,28,11,25,2,5),(15,9,2,22,29,34,56,6,3),(15,9,2,22,30,7,17,1,6),(15,9,2,23,1,7,15,4,8),(15,9,2,23,2,6,8,4,2),(15,9,2,23,3,5,13,1,3),(15,9,2,23,4,12,10,6,1),(15,9,2,23,5,23,19,8,2),(15,9,2,23,6,25,18,6,3),(15,9,2,23,7,11,3,6,1),(15,9,2,23,8,4,NULL,2,NULL),(15,9,2,23,9,10,14,4,2),(15,9,2,23,10,18,10,5,2),(15,9,2,23,11,14,22,2,5),(15,9,2,23,12,32,26,7,5),(15,9,2,23,13,36,15,8,2),(15,9,2,23,14,3,20,2,3),(15,9,2,23,15,22,32,3,6),(15,9,2,23,16,46,36,9,4),(15,9,2,23,17,8,17,3,6),(15,9,2,23,18,24,21,4,5),(15,9,2,23,19,20,42,4,7),(15,9,2,23,20,10,37,2,9),(15,9,2,23,21,6,9,4,3),(15,9,2,23,22,19,25,2,4),(15,9,2,23,23,15,28,4,6),(15,9,2,23,24,9,26,2,6),(15,9,2,23,25,43,NULL,10,NULL),(15,9,2,23,26,9,17,2,3),(15,9,2,23,27,6,32,3,6),(15,9,2,23,28,14,20,4,9),(15,9,2,23,29,40,53,5,6),(15,9,2,23,30,13,20,5,5),(15,9,2,24,1,11,8,3,2),(15,9,2,24,2,3,5,1,1),(15,9,2,24,3,4,16,NULL,4),(15,9,2,24,4,16,8,5,2),(15,9,2,24,5,23,20,5,2),(15,9,2,24,6,11,14,2,4),(15,9,2,24,7,4,2,3,1),(15,9,2,24,8,3,NULL,NULL,NULL),(15,9,2,24,9,8,13,4,2),(15,9,2,24,10,17,5,4,NULL),(15,9,2,24,11,15,15,3,2),(15,9,2,24,12,28,25,3,4),(15,9,2,24,13,35,12,6,3),(15,9,2,24,14,5,22,1,3),(15,9,2,24,15,21,26,5,3),(15,9,2,24,16,39,43,3,5),(15,9,2,24,17,6,16,1,5),(15,9,2,24,18,15,10,5,3),(15,9,2,24,19,13,41,1,4),(15,9,2,24,20,19,24,2,4),(15,9,2,24,21,2,11,1,1),(15,9,2,24,22,21,21,2,3),(15,9,2,24,23,13,21,5,3),(15,9,2,24,24,5,30,2,6),(15,9,2,24,25,38,NULL,7,NULL),(15,9,2,24,26,11,15,1,3),(15,9,2,24,27,7,23,3,5),(15,9,2,24,28,3,19,NULL,5),(15,9,2,24,29,31,46,4,5),(15,9,2,24,30,4,12,1,3),(15,9,3,31,1,44,49,6,3),(15,9,3,31,2,3,25,1,5),(15,9,3,31,3,18,15,5,2),(15,9,3,31,4,29,14,6,2),(15,9,3,31,5,15,27,2,7),(15,9,3,31,6,7,45,NULL,7),(15,9,3,31,7,3,19,2,3),(15,9,3,31,8,2,3,1,2),(15,9,3,31,9,8,22,1,4),(15,9,3,31,10,8,13,4,NULL),(15,9,3,31,11,2,9,NULL,2),(15,9,3,31,12,25,21,4,4),(15,9,3,31,13,5,21,2,3),(15,9,3,31,14,14,17,4,4),(15,9,3,31,15,23,15,6,2),(15,9,3,31,16,9,22,1,4),(15,9,3,31,17,37,32,3,5),(15,9,3,31,18,14,18,4,2),(15,9,3,31,19,14,12,2,2),(15,9,3,31,20,5,13,1,2),(15,9,3,31,21,11,NULL,5,NULL),(15,9,3,31,22,6,18,1,5),(15,9,3,31,23,1,12,NULL,1),(15,9,3,31,24,7,44,2,5),(15,9,3,31,25,4,11,3,4),(15,9,3,31,26,3,6,1,3),(15,9,3,31,27,1,9,NULL,NULL),(15,9,3,31,28,6,10,1,2),(15,9,3,31,29,NULL,49,NULL,9),(15,9,3,31,30,6,25,2,4),(15,9,3,32,1,64,36,12,1),(15,9,3,32,2,8,22,5,4),(15,9,3,32,3,18,19,8,2),(15,9,3,32,4,34,10,8,3),(15,9,3,32,5,20,20,6,3),(15,9,3,32,6,8,45,1,9),(15,9,3,32,7,1,21,NULL,8),(15,9,3,32,8,6,9,1,5),(15,9,3,32,9,9,26,4,5),(15,9,3,32,10,12,15,6,4),(15,9,3,32,11,NULL,10,NULL,2),(15,9,3,32,12,24,28,5,6),(15,9,3,32,13,3,21,1,8),(15,9,3,32,14,13,8,4,1),(15,9,3,32,15,18,26,5,5),(15,9,3,32,16,7,24,2,5),(15,9,3,32,17,47,32,11,1),(15,9,3,32,18,13,25,2,3),(15,9,3,32,19,14,14,1,3),(15,9,3,32,20,5,18,2,6),(15,9,3,32,21,12,NULL,4,NULL),(15,9,3,32,22,14,25,6,3),(15,9,3,32,23,2,12,1,3),(15,9,3,32,24,5,48,3,10),(15,9,3,32,25,2,12,1,2),(15,9,3,32,26,5,16,4,4),(15,9,3,32,27,1,9,NULL,2),(15,9,3,32,28,1,10,1,NULL),(15,9,3,32,29,2,49,1,9),(15,9,3,32,30,5,32,2,5),(15,9,3,33,1,60,45,5,5),(15,9,3,33,2,5,23,2,3),(15,9,3,33,3,22,17,4,6),(15,9,3,33,4,34,11,8,NULL),(15,9,3,33,5,21,33,4,6),(15,9,3,33,6,11,41,2,5),(15,9,3,33,7,2,19,1,3),(15,9,3,33,8,2,4,2,1),(15,9,3,33,9,5,22,1,6),(15,9,3,33,10,9,20,3,2),(15,9,3,33,11,3,17,NULL,2),(15,9,3,33,12,31,25,5,4),(15,9,3,33,13,1,30,NULL,6),(15,9,3,33,14,10,10,5,1),(15,9,3,33,15,30,20,5,4),(15,9,3,33,16,7,26,1,7),(15,9,3,33,17,51,23,6,2),(15,9,3,33,18,8,21,1,5),(15,9,3,33,19,20,11,5,1),(15,9,3,33,20,3,16,NULL,2),(15,9,3,33,21,8,NULL,3,NULL),(15,9,3,33,22,5,15,1,3),(15,9,3,33,23,1,10,NULL,4),(15,9,3,33,24,3,47,NULL,7),(15,9,3,33,25,2,4,NULL,2),(15,9,3,33,26,5,17,2,4),(15,9,3,33,27,2,10,NULL,1),(15,9,3,33,28,NULL,7,NULL,1),(15,9,3,33,29,NULL,45,NULL,8),(15,9,3,33,30,3,31,1,5),(15,9,3,34,1,57,51,4,2),(15,9,3,34,2,1,28,NULL,1),(15,9,3,34,3,25,29,2,3),(15,9,3,34,4,21,12,3,2),(15,9,3,34,5,12,26,NULL,2),(15,9,3,34,6,3,57,NULL,3),(15,9,3,34,7,1,24,NULL,3),(15,9,3,34,8,3,2,NULL,NULL),(15,9,3,34,9,2,15,NULL,1),(15,9,3,34,10,4,14,1,1),(15,9,3,34,11,NULL,15,NULL,NULL),(15,9,3,34,12,19,24,2,1),(15,9,3,34,13,4,22,NULL,3),(15,9,3,34,14,15,10,2,2),(15,9,3,34,15,21,19,2,2),(15,9,3,34,16,9,28,NULL,3),(15,9,3,34,17,49,33,4,2),(15,9,3,34,18,8,21,1,1),(15,9,3,34,19,12,20,4,2),(15,9,3,34,20,4,13,NULL,1),(15,9,3,34,21,5,NULL,1,NULL),(15,9,3,34,22,1,13,NULL,2),(15,9,3,34,23,1,8,NULL,NULL),(15,9,3,34,24,1,42,NULL,1),(15,9,3,34,25,2,4,NULL,2),(15,9,3,34,26,3,6,1,1),(15,9,3,34,27,3,12,NULL,NULL),(15,9,3,34,28,2,3,NULL,NULL),(15,9,3,34,29,NULL,33,NULL,4),(15,9,3,34,30,1,36,1,2),(15,101,1,11,1,NULL,NULL,NULL,NULL),(15,101,1,11,2,NULL,NULL,NULL,NULL),(15,101,1,11,3,NULL,NULL,NULL,NULL),(15,101,1,11,4,NULL,NULL,NULL,NULL),(15,101,1,11,5,NULL,NULL,NULL,NULL),(15,101,1,11,6,NULL,NULL,NULL,NULL),(15,101,1,11,7,NULL,NULL,NULL,NULL),(15,101,1,11,8,NULL,NULL,NULL,NULL),(15,101,1,11,9,NULL,NULL,NULL,NULL),(15,101,1,11,10,NULL,NULL,NULL,NULL),(15,101,1,11,11,NULL,NULL,NULL,NULL),(15,101,1,11,12,1,NULL,NULL,NULL),(15,101,1,11,13,NULL,NULL,NULL,NULL),(15,101,1,11,14,1,NULL,NULL,NULL),(15,101,1,11,15,1,NULL,NULL,NULL),(15,101,1,11,16,NULL,NULL,NULL,NULL),(15,101,1,11,17,NULL,NULL,NULL,NULL),(15,101,1,11,18,NULL,NULL,NULL,NULL),(15,101,1,11,19,1,NULL,NULL,NULL),(15,101,1,11,20,1,NULL,NULL,NULL),(15,101,1,12,1,1,NULL,NULL,NULL),(15,101,1,12,2,NULL,1,NULL,NULL),(15,101,1,12,3,NULL,1,NULL,NULL),(15,101,1,12,4,NULL,NULL,NULL,NULL),(15,101,1,12,5,NULL,NULL,NULL,NULL),(15,101,1,12,6,NULL,NULL,NULL,NULL),(15,101,1,12,7,1,NULL,NULL,NULL),(15,101,1,12,8,NULL,NULL,NULL,NULL),(15,101,1,12,9,1,NULL,NULL,NULL),(15,101,1,12,10,1,NULL,NULL,NULL),(15,101,1,12,11,NULL,NULL,NULL,NULL),(15,101,1,12,12,NULL,1,NULL,NULL),(15,101,1,12,13,1,NULL,NULL,NULL),(15,101,1,12,14,1,NULL,NULL,NULL),(15,101,1,12,15,1,NULL,NULL,NULL),(15,101,1,12,16,NULL,1,NULL,NULL),(15,101,1,12,17,1,NULL,NULL,NULL),(15,101,1,12,18,1,NULL,NULL,NULL),(15,101,1,12,19,1,NULL,NULL,NULL),(15,101,1,12,20,1,NULL,NULL,NULL),(15,101,1,13,1,NULL,3,NULL,NULL),(15,101,1,13,2,NULL,2,NULL,NULL),(15,101,1,13,3,NULL,2,NULL,NULL),(15,101,1,13,4,NULL,1,NULL,NULL),(15,101,1,13,5,NULL,1,NULL,NULL),(15,101,1,13,6,1,1,NULL,NULL),(15,101,1,13,7,1,NULL,NULL,1),(15,101,1,13,8,NULL,2,NULL,NULL),(15,101,1,13,9,1,NULL,NULL,NULL),(15,101,1,13,10,NULL,1,NULL,1),(15,101,1,13,11,2,2,NULL,1),(15,101,1,13,12,3,NULL,NULL,NULL),(15,101,1,13,13,NULL,NULL,NULL,NULL),(15,101,1,13,14,2,NULL,NULL,NULL),(15,101,1,13,15,NULL,2,NULL,NULL),(15,101,1,13,16,2,1,NULL,NULL),(15,101,1,13,17,1,NULL,NULL,1),(15,101,1,13,18,NULL,NULL,NULL,NULL),(15,101,1,13,19,1,NULL,NULL,1),(15,101,1,13,20,2,2,NULL,NULL),(15,101,1,14,1,20,27,8,3),(15,101,1,14,2,9,15,4,4),(15,101,1,14,3,11,25,4,7),(15,101,1,14,4,12,15,4,4),(15,101,1,14,5,5,24,3,6),(15,101,1,14,6,25,17,3,4),(15,101,1,14,7,22,6,6,1),(15,101,1,14,8,15,24,4,5),(15,101,1,14,9,20,NULL,5,NULL),(15,101,1,14,10,28,8,5,3),(15,101,1,14,11,4,13,4,4),(15,101,1,14,12,1,10,NULL,5),(15,101,1,14,13,3,9,2,4),(15,101,1,14,14,17,27,5,5),(15,101,1,14,15,28,NULL,9,NULL),(15,101,1,14,16,3,4,1,1),(15,101,1,14,17,9,6,4,NULL),(15,101,1,14,18,3,8,3,2),(15,101,1,14,19,10,6,3,3),(15,101,1,14,20,17,10,10,2),(15,101,1,15,1,27,21,5,3),(15,101,1,15,2,16,14,4,4),(15,101,1,15,3,13,34,4,6),(15,101,1,15,4,20,20,6,4),(15,101,1,15,5,10,31,4,6),(15,101,1,15,6,25,25,4,4),(15,101,1,15,7,23,5,7,2),(15,101,1,15,8,20,30,3,6),(15,101,1,15,9,22,NULL,6,NULL),(15,101,1,15,10,22,5,4,2),(15,101,1,15,11,5,10,1,6),(15,101,1,15,12,1,10,1,5),(15,101,1,15,13,9,11,3,2),(15,101,1,15,14,19,36,5,5),(15,101,1,15,15,36,NULL,9,NULL),(15,101,1,15,16,7,10,2,2),(15,101,1,15,17,4,10,2,3),(15,101,1,15,18,5,11,4,3),(15,101,1,15,19,10,9,5,1),(15,101,1,15,20,12,15,4,2),(15,101,1,16,1,39,51,9,7),(15,101,1,16,2,18,29,3,10),(15,101,1,16,3,19,73,5,15),(15,101,1,16,4,22,41,5,13),(15,101,1,16,5,15,55,7,11),(15,101,1,16,6,41,45,7,7),(15,101,1,16,7,44,24,15,5),(15,101,1,16,8,18,70,1,15),(15,101,1,16,9,38,NULL,13,NULL),(15,101,1,16,10,47,19,8,5),(15,101,1,16,11,44,40,9,10),(15,101,1,16,12,39,70,8,14),(15,101,1,16,13,16,104,4,19),(15,101,1,16,14,41,35,5,9),(15,101,1,16,15,15,35,1,7),(15,101,1,16,16,40,NULL,7,NULL),(15,101,1,16,17,26,51,4,12),(15,101,1,16,18,20,70,4,14),(15,101,1,16,19,8,19,2,4),(15,101,1,16,20,37,68,7,12),(15,101,1,17,1,43,58,8,12),(15,101,1,17,2,17,41,2,10),(15,101,1,17,3,16,75,4,18),(15,101,1,17,4,30,46,9,13),(15,101,1,17,5,7,61,NULL,15),(15,101,1,17,6,40,60,6,16),(15,101,1,17,7,40,21,16,4),(15,101,1,17,8,23,63,4,13),(15,101,1,17,9,38,NULL,13,NULL),(15,101,1,17,10,53,17,14,5),(15,101,1,17,11,46,33,11,6),(15,101,1,17,12,32,76,4,18),(15,101,1,17,13,8,107,NULL,23),(15,101,1,17,14,24,49,6,16),(15,101,1,17,15,19,36,3,7),(15,101,1,17,16,42,NULL,15,NULL),(15,101,1,17,17,24,45,7,13),(15,101,1,17,18,29,71,4,17),(15,101,1,17,19,19,13,4,2),(15,101,1,17,20,24,66,5,13),(15,101,2,21,1,10,11,NULL,3),(15,101,2,21,2,4,9,2,5),(15,101,2,21,3,3,15,NULL,5),(15,101,2,21,4,8,8,3,2),(15,101,2,21,5,26,15,7,5),(15,101,2,21,6,17,14,4,4),(15,101,2,21,7,4,3,3,2),(15,101,2,21,8,4,NULL,1,NULL),(15,101,2,21,9,12,17,4,4),(15,101,2,21,10,10,8,4,2),(15,101,2,21,11,22,23,6,1),(15,101,2,21,12,30,32,5,10),(15,101,2,21,13,36,13,8,5),(15,101,2,21,14,4,34,1,10),(15,101,2,21,15,17,28,3,4),(15,101,2,21,16,48,32,7,6),(15,101,2,21,17,5,27,1,5),(15,101,2,21,18,22,14,4,6),(15,101,2,21,19,10,39,1,8),(15,101,2,21,20,14,23,2,3),(15,101,2,21,21,1,11,1,3),(15,101,2,21,22,18,25,3,6),(15,101,2,21,23,6,28,3,6),(15,101,2,21,24,11,24,1,9),(15,101,2,21,25,30,NULL,10,NULL),(15,101,2,21,26,7,12,1,NULL),(15,101,2,21,27,4,16,NULL,4),(15,101,2,21,28,12,22,NULL,7),(15,101,2,21,29,28,49,4,11),(15,101,2,21,30,5,13,2,6),(15,101,2,22,1,3,16,1,3),(15,101,2,22,2,2,10,NULL,6),(15,101,2,22,3,8,23,1,6),(15,101,2,22,4,3,10,NULL,5),(15,101,2,22,5,14,23,3,6),(15,101,2,22,6,20,25,5,5),(15,101,2,22,7,4,5,2,1),(15,101,2,22,8,10,NULL,6,NULL),(15,101,2,22,9,16,19,5,7),(15,101,2,22,10,13,6,9,3),(15,101,2,22,11,11,23,3,4),(15,101,2,22,12,28,33,4,7),(15,101,2,22,13,31,12,6,5),(15,101,2,22,14,4,25,1,6),(15,101,2,22,15,19,31,3,6),(15,101,2,22,16,55,38,8,7),(15,101,2,22,17,4,27,2,4),(15,101,2,22,18,19,18,7,7),(15,101,2,22,19,11,43,3,10),(15,101,2,22,20,10,27,2,7),(15,101,2,22,21,NULL,3,NULL,NULL),(15,101,2,22,22,18,27,6,6),(15,101,2,22,23,7,26,4,6),(15,101,2,22,24,5,24,NULL,9),(15,101,2,22,25,34,NULL,8,NULL),(15,101,2,22,26,7,23,NULL,4),(15,101,2,22,27,6,22,2,8),(15,101,2,22,28,8,16,1,5),(15,101,2,22,29,31,55,7,7),(15,101,2,22,30,5,19,2,5),(15,101,2,23,1,3,9,NULL,3),(15,101,2,23,2,3,7,1,1),(15,101,2,23,3,8,14,1,3),(15,101,2,23,4,3,6,2,NULL),(15,101,2,23,5,17,14,3,1),(15,101,2,23,6,18,15,2,3),(15,101,2,23,7,4,2,3,NULL),(15,101,2,23,8,9,NULL,NULL,NULL),(15,101,2,23,9,10,21,2,4),(15,101,2,23,10,11,8,5,1),(15,101,2,23,11,10,29,2,5),(15,101,2,23,12,19,29,4,7),(15,101,2,23,13,22,9,5,NULL),(15,101,2,23,14,4,17,2,2),(15,101,2,23,15,10,30,3,8),(15,101,2,23,16,38,48,4,8),(15,101,2,23,17,5,24,1,5),(15,101,2,23,18,27,20,4,4),(15,101,2,23,19,5,46,1,6),(15,101,2,23,20,15,19,6,5),(15,101,2,23,21,1,7,NULL,2),(15,101,2,23,22,16,15,6,1),(15,101,2,23,23,16,24,5,1),(15,101,2,23,24,4,19,NULL,4),(15,101,2,23,25,24,NULL,7,NULL),(15,101,2,23,26,7,25,1,4),(15,101,2,23,27,5,24,2,5),(15,101,2,23,28,16,16,3,4),(15,101,2,23,29,28,52,2,10),(15,101,2,23,30,5,15,1,4),(15,101,2,24,1,7,17,3,4),(15,101,2,24,2,4,10,2,6),(15,101,2,24,3,7,18,NULL,5),(15,101,2,24,4,4,9,3,2),(15,101,2,24,5,24,24,6,7),(15,101,2,24,6,14,19,3,7),(15,101,2,24,7,7,3,4,1),(15,101,2,24,8,14,NULL,6,NULL),(15,101,2,24,9,10,19,4,9),(15,101,2,24,10,19,8,11,2),(15,101,2,24,11,8,30,4,6),(15,101,2,24,12,26,30,5,14),(15,101,2,24,13,37,17,6,6),(15,101,2,24,14,6,28,2,11),(15,101,2,24,15,20,36,5,10),(15,101,2,24,16,38,52,12,6),(15,101,2,24,17,7,24,2,5),(15,101,2,24,18,28,16,11,5),(15,101,2,24,19,9,36,NULL,12),(15,101,2,24,20,17,30,8,7),(15,101,2,24,21,1,13,1,3),(15,101,2,24,22,15,16,5,8),(15,101,2,24,23,6,29,2,9),(15,101,2,24,24,5,17,1,11),(15,101,2,24,25,32,NULL,15,NULL),(15,101,2,24,26,7,13,1,2),(15,101,2,24,27,8,22,1,7),(15,101,2,24,28,9,21,3,11),(15,101,2,24,29,21,57,6,14),(15,101,2,24,30,9,12,6,4),(15,101,3,31,1,50,55,13,8),(15,101,3,31,2,1,26,NULL,11),(15,101,3,31,3,21,18,6,6),(15,101,3,31,4,24,19,10,8),(15,101,3,31,5,11,27,5,10),(15,101,3,31,6,3,62,NULL,14),(15,101,3,31,7,2,18,1,6),(15,101,3,31,8,2,5,2,2),(15,101,3,31,9,6,11,4,3),(15,101,3,31,10,7,13,3,5),(15,101,3,31,11,7,12,3,2),(15,101,3,31,12,21,34,5,13),(15,101,3,31,13,6,29,1,11),(15,101,3,31,14,12,14,6,5),(15,101,3,31,15,29,24,9,7),(15,101,3,31,16,5,33,2,11),(15,101,3,31,17,35,32,12,6),(15,101,3,31,18,4,12,NULL,3),(15,101,3,31,19,11,18,4,5),(15,101,3,31,20,4,14,2,2),(15,101,3,31,21,9,NULL,5,NULL),(15,101,3,31,22,6,21,3,4),(15,101,3,31,23,3,6,1,NULL),(15,101,3,31,24,2,30,2,12),(15,101,3,31,25,3,5,2,1),(15,101,3,31,26,1,13,NULL,5),(15,101,3,31,27,NULL,10,NULL,3),(15,101,3,31,28,1,8,NULL,1),(15,101,3,31,29,NULL,47,NULL,12),(15,101,3,31,30,2,42,NULL,9),(15,101,3,32,1,56,48,9,5),(15,101,3,32,2,NULL,12,NULL,5),(15,101,3,32,3,15,26,3,3),(15,101,3,32,4,17,12,4,5),(15,101,3,32,5,11,22,2,8),(15,101,3,32,6,2,51,1,8),(15,101,3,32,7,NULL,17,NULL,2),(15,101,3,32,8,1,6,NULL,NULL),(15,101,3,32,9,1,11,1,2),(15,101,3,32,10,6,11,2,NULL),(15,101,3,32,11,NULL,9,NULL,2),(15,101,3,32,12,22,21,6,5),(15,101,3,32,13,5,21,NULL,7),(15,101,3,32,14,13,6,7,1),(15,101,3,32,15,24,15,5,1),(15,101,3,32,16,7,19,2,3),(15,101,3,32,17,36,33,6,5),(15,101,3,32,18,13,17,3,1),(15,101,3,32,19,18,16,1,1),(15,101,3,32,20,4,17,1,3),(15,101,3,32,21,3,NULL,1,NULL),(15,101,3,32,22,3,21,NULL,8),(15,101,3,32,23,NULL,10,NULL,3),(15,101,3,32,24,1,35,1,7),(15,101,3,32,25,2,5,NULL,NULL),(15,101,3,32,26,3,5,1,NULL),(15,101,3,32,27,1,11,NULL,3),(15,101,3,32,28,2,6,1,NULL),(15,101,3,32,29,1,41,NULL,10),(15,101,3,32,30,1,33,NULL,4),(15,101,3,33,1,58,50,13,6),(15,101,3,33,2,1,18,1,9),(15,101,3,33,3,16,25,3,9),(15,101,3,33,4,22,14,9,2),(15,101,3,33,5,12,25,4,6),(15,101,3,33,6,5,47,NULL,12),(15,101,3,33,7,1,17,NULL,3),(15,101,3,33,8,5,2,1,NULL),(15,101,3,33,9,4,13,2,4),(15,101,3,33,10,12,10,3,5),(15,101,3,33,11,1,17,NULL,4),(15,101,3,33,12,19,35,4,9),(15,101,3,33,13,6,19,2,5),(15,101,3,33,14,8,13,2,6),(15,101,3,33,15,24,26,6,8),(15,101,3,33,16,11,25,1,7),(15,101,3,33,17,44,29,12,6),(15,101,3,33,18,11,24,1,5),(15,101,3,33,19,16,16,2,6),(15,101,3,33,20,4,19,NULL,3),(15,101,3,33,21,4,NULL,1,NULL),(15,101,3,33,22,9,14,4,1),(15,101,3,33,23,3,5,1,3),(15,101,3,33,24,2,37,1,11),(15,101,3,33,25,2,1,NULL,NULL),(15,101,3,33,26,1,11,1,1),(15,101,3,33,27,1,8,NULL,NULL),(15,101,3,33,28,NULL,7,NULL,1),(15,101,3,33,29,NULL,50,NULL,12),(15,101,3,33,30,2,29,NULL,6),(15,101,3,34,1,50,58,8,8),(15,101,3,34,2,2,23,2,6),(15,101,3,34,3,19,16,3,4),(15,101,3,34,4,22,16,3,5),(15,101,3,34,5,10,19,4,8),(15,101,3,34,6,4,55,NULL,9),(15,101,3,34,7,NULL,19,NULL,2),(15,101,3,34,8,1,6,NULL,1),(15,101,3,34,9,2,20,1,8),(15,101,3,34,10,7,10,2,1),(15,101,3,34,11,3,8,2,NULL),(15,101,3,34,12,20,29,4,8),(15,101,3,34,13,3,24,1,8),(15,101,3,34,14,13,18,4,6),(15,101,3,34,15,21,20,8,4),(15,101,3,34,16,7,15,4,4),(15,101,3,34,17,37,34,10,4),(15,101,3,34,18,4,22,NULL,3),(15,101,3,34,19,22,13,6,3),(15,101,3,34,20,3,13,1,4),(15,101,3,34,21,5,NULL,NULL,NULL),(15,101,3,34,22,5,15,2,3),(15,101,3,34,23,1,11,NULL,3),(15,101,3,34,24,1,31,NULL,9),(15,101,3,34,25,5,10,NULL,5),(15,101,3,34,26,2,5,NULL,2),(15,101,3,34,27,1,5,NULL,1),(15,101,3,34,28,1,6,NULL,3),(15,101,3,34,29,NULL,38,NULL,11),(15,101,3,34,30,NULL,34,NULL,6),(15,102,1,11,1,NULL,1,NULL,NULL),(15,102,1,11,2,NULL,NULL,NULL,NULL),(15,102,1,11,3,NULL,1,NULL,NULL),(15,102,1,11,4,NULL,NULL,NULL,NULL),(15,102,1,11,5,1,NULL,NULL,NULL),(15,102,1,11,6,1,NULL,NULL,NULL),(15,102,1,11,7,NULL,NULL,NULL,NULL),(15,102,1,11,8,NULL,NULL,NULL,NULL),(15,102,1,11,9,NULL,NULL,NULL,NULL),(15,102,1,11,10,NULL,NULL,NULL,NULL),(15,102,1,11,11,NULL,NULL,NULL,NULL),(15,102,1,11,12,NULL,NULL,NULL,NULL),(15,102,1,11,13,NULL,NULL,NULL,NULL),(15,102,1,11,14,NULL,1,NULL,NULL),(15,102,1,11,15,NULL,NULL,NULL,NULL),(15,102,1,11,16,NULL,NULL,NULL,NULL),(15,102,1,11,17,NULL,NULL,NULL,NULL),(15,102,1,11,18,NULL,NULL,NULL,NULL),(15,102,1,11,19,NULL,NULL,NULL,NULL),(15,102,1,11,20,NULL,NULL,NULL,NULL),(15,102,1,12,1,1,NULL,NULL,NULL),(15,102,1,12,2,NULL,NULL,NULL,NULL),(15,102,1,12,3,NULL,NULL,NULL,NULL),(15,102,1,12,4,1,NULL,NULL,NULL),(15,102,1,12,5,NULL,NULL,NULL,NULL),(15,102,1,12,6,NULL,NULL,NULL,NULL),(15,102,1,12,7,NULL,NULL,NULL,NULL),(15,102,1,12,8,1,NULL,NULL,NULL),(15,102,1,12,9,1,NULL,NULL,NULL),(15,102,1,12,10,NULL,NULL,NULL,NULL),(15,102,1,12,11,NULL,NULL,NULL,NULL),(15,102,1,12,12,1,NULL,NULL,NULL),(15,102,1,12,13,1,NULL,NULL,NULL),(15,102,1,12,14,1,NULL,NULL,NULL),(15,102,1,12,15,NULL,1,NULL,NULL),(15,102,1,12,16,1,NULL,NULL,NULL),(15,102,1,12,17,1,NULL,NULL,NULL),(15,102,1,12,18,1,NULL,NULL,NULL),(15,102,1,12,19,1,NULL,NULL,NULL),(15,102,1,12,20,NULL,NULL,NULL,NULL),(15,102,1,13,1,2,1,2,NULL),(15,102,1,13,2,2,1,2,NULL),(15,102,1,13,3,1,2,1,1),(15,102,1,13,4,1,NULL,1,NULL),(15,102,1,13,5,1,1,1,1),(15,102,1,13,6,NULL,1,NULL,1),(15,102,1,13,7,NULL,2,NULL,2),(15,102,1,13,8,NULL,1,NULL,1),(15,102,1,13,9,2,NULL,2,NULL),(15,102,1,13,10,2,NULL,2,NULL),(15,102,1,13,11,3,NULL,2,NULL),(15,102,1,13,12,2,1,2,NULL),(15,102,1,13,13,NULL,2,NULL,1),(15,102,1,13,14,1,1,1,1),(15,102,1,13,15,1,1,1,1),(15,102,1,13,16,1,1,1,1),(15,102,1,13,17,1,2,1,1),(15,102,1,13,18,NULL,1,NULL,1),(15,102,1,13,19,1,2,1,1),(15,102,1,13,20,1,1,1,1),(15,102,1,14,1,61,60,18,14),(15,102,1,14,2,52,45,17,13),(15,102,1,14,3,28,87,11,24),(15,102,1,14,4,39,56,14,20),(15,102,1,14,5,29,50,11,14),(15,102,1,14,6,63,62,14,17),(15,102,1,14,7,66,21,26,5),(15,102,1,14,8,54,67,17,16),(15,102,1,14,9,57,NULL,26,NULL),(15,102,1,14,10,93,7,33,NULL),(15,102,1,14,11,11,31,5,12),(15,102,1,14,12,4,29,2,13),(15,102,1,14,13,23,26,11,10),(15,102,1,14,14,60,57,19,12),(15,102,1,14,15,99,NULL,32,NULL),(15,102,1,14,16,18,12,11,4),(15,102,1,14,17,31,20,16,3),(15,102,1,14,18,20,13,10,5),(15,102,1,14,19,29,22,16,8),(15,102,1,14,20,48,45,15,16),(15,102,1,15,1,53,63,13,13),(15,102,1,15,2,40,52,10,10),(15,102,1,15,3,20,74,9,21),(15,102,1,15,4,36,52,12,16),(15,102,1,15,5,10,58,5,14),(15,102,1,15,6,54,58,12,10),(15,102,1,15,7,52,22,19,6),(15,102,1,15,8,30,70,12,16),(15,102,1,15,9,63,NULL,19,NULL),(15,102,1,15,10,66,25,15,8),(15,102,1,15,11,14,36,4,13),(15,102,1,15,12,10,27,5,8),(15,102,1,15,13,18,27,6,8),(15,102,1,15,14,55,49,18,10),(15,102,1,15,15,91,NULL,25,NULL),(15,102,1,15,16,18,14,9,3),(15,102,1,15,17,30,17,12,5),(15,102,1,15,18,16,28,7,11),(15,102,1,15,19,36,23,13,10),(15,102,1,15,20,41,37,13,13),(15,102,1,16,1,52,45,13,10),(15,102,1,16,2,29,37,6,9),(15,102,1,16,3,28,79,8,16),(15,102,1,16,4,30,60,11,13),(15,102,1,16,5,24,59,9,11),(15,102,1,16,6,40,62,4,12),(15,102,1,16,7,70,28,16,7),(15,102,1,16,8,36,71,8,12),(15,102,1,16,9,59,NULL,17,NULL),(15,102,1,16,10,67,25,16,5),(15,102,1,16,11,64,37,13,9),(15,102,1,16,12,52,72,9,16),(15,102,1,16,13,17,104,2,19),(15,102,1,16,14,38,48,7,12),(15,102,1,16,15,17,23,3,6),(15,102,1,16,16,53,NULL,15,NULL),(15,102,1,16,17,35,50,8,13),(15,102,1,16,18,34,66,4,15),(15,102,1,16,19,11,22,NULL,6),(15,102,1,16,20,39,72,4,19),(15,102,1,17,1,53,47,12,5),(15,102,1,17,2,36,42,9,6),(15,102,1,17,3,19,80,9,9),(15,102,1,17,4,42,43,10,6),(15,102,1,17,5,12,62,4,10),(15,102,1,17,6,42,48,8,4),(15,102,1,17,7,53,22,16,1),(15,102,1,17,8,26,56,5,6),(15,102,1,17,9,55,NULL,13,NULL),(15,102,1,17,10,50,21,12,1),(15,102,1,17,11,37,46,8,6),(15,102,1,17,12,36,77,5,12),(15,102,1,17,13,16,105,3,16),(15,102,1,17,14,29,44,9,6),(15,102,1,17,15,16,24,4,4),(15,102,1,17,16,49,NULL,8,NULL),(15,102,1,17,17,23,47,3,8),(15,102,1,17,18,19,73,2,12),(15,102,1,17,19,14,19,5,3),(15,102,1,17,20,36,71,6,10),(15,102,2,21,1,13,30,5,10),(15,102,2,21,2,10,15,5,5),(15,102,2,21,3,8,20,1,6),(15,102,2,21,4,18,24,7,7),(15,102,2,21,5,50,29,18,6),(15,102,2,21,6,34,18,11,4),(15,102,2,21,7,12,2,5,2),(15,102,2,21,8,8,NULL,1,NULL),(15,102,2,21,9,25,21,13,4),(15,102,2,21,10,23,10,9,1),(15,102,2,21,11,20,37,7,8),(15,102,2,21,12,39,48,13,8),(15,102,2,21,13,58,32,16,1),(15,102,2,21,14,10,41,3,8),(15,102,2,21,15,40,39,12,7),(15,102,2,21,16,78,48,20,3),(15,102,2,21,17,9,41,3,6),(15,102,2,21,18,28,18,7,6),(15,102,2,21,19,23,71,NULL,16),(15,102,2,21,20,22,45,9,11),(15,102,2,21,21,9,14,3,5),(15,102,2,21,22,34,33,8,8),(15,102,2,21,23,25,30,11,6),(15,102,2,21,24,18,37,12,8),(15,102,2,21,25,59,NULL,18,NULL),(15,102,2,21,26,18,21,6,5),(15,102,2,21,27,6,44,2,9),(15,102,2,21,28,12,29,3,7),(15,102,2,21,29,57,71,14,8),(15,102,2,21,30,16,23,7,4),(15,102,2,22,1,6,24,4,7),(15,102,2,22,2,10,5,3,1),(15,102,2,22,3,10,26,4,4),(15,102,2,22,4,13,11,5,3),(15,102,2,22,5,39,32,13,6),(15,102,2,22,6,25,24,6,6),(15,102,2,22,7,9,6,2,4),(15,102,2,22,8,10,NULL,2,NULL),(15,102,2,22,9,23,23,8,7),(15,102,2,22,10,25,12,9,4),(15,102,2,22,11,19,41,8,8),(15,102,2,22,12,48,48,11,9),(15,102,2,22,13,73,12,17,1),(15,102,2,22,14,8,39,4,10),(15,102,2,22,15,28,47,11,10),(15,102,2,22,16,79,45,20,6),(15,102,2,22,17,6,42,3,5),(15,102,2,22,18,27,22,4,6),(15,102,2,22,19,22,61,5,17),(15,102,2,22,20,35,40,14,8),(15,102,2,22,21,6,17,5,6),(15,102,2,22,22,35,30,12,5),(15,102,2,22,23,11,34,6,10),(15,102,2,22,24,23,51,7,14),(15,102,2,22,25,68,NULL,17,NULL),(15,102,2,22,26,13,27,3,3),(15,102,2,22,27,13,32,2,11),(15,102,2,22,28,19,29,7,6),(15,102,2,22,29,55,69,18,7),(15,102,2,22,30,8,27,3,9),(15,102,2,23,1,19,21,11,8),(15,102,2,23,2,15,14,9,5),(15,102,2,23,3,7,21,4,9),(15,102,2,23,4,16,21,12,5),(15,102,2,23,5,38,30,20,8),(15,102,2,23,6,37,20,15,2),(15,102,2,23,7,11,6,7,3),(15,102,2,23,8,8,NULL,3,NULL),(15,102,2,23,9,25,22,16,3),(15,102,2,23,10,25,10,12,1),(15,102,2,23,11,19,34,6,8),(15,102,2,23,12,31,51,15,14),(15,102,2,23,13,55,23,25,4),(15,102,2,23,14,6,33,3,10),(15,102,2,23,15,33,44,13,11),(15,102,2,23,16,64,66,19,9),(15,102,2,23,17,10,40,4,12),(15,102,2,23,18,41,30,13,10),(15,102,2,23,19,21,73,4,21),(15,102,2,23,20,22,50,11,13),(15,102,2,23,21,8,18,4,7),(15,102,2,23,22,24,39,11,7),(15,102,2,23,23,24,46,12,10),(15,102,2,23,24,15,55,10,19),(15,102,2,23,25,73,NULL,31,NULL),(15,102,2,23,26,13,36,5,12),(15,102,2,23,27,15,39,6,14),(15,102,2,23,28,17,36,5,15),(15,102,2,23,29,55,70,16,17),(15,102,2,23,30,20,31,12,12),(15,102,2,24,1,11,28,7,10),(15,102,2,24,2,14,13,8,5),(15,102,2,24,3,6,19,3,5),(15,102,2,24,4,14,24,11,7),(15,102,2,24,5,39,29,17,4),(15,102,2,24,6,26,26,11,7),(15,102,2,24,7,14,4,8,NULL),(15,102,2,24,8,9,NULL,1,NULL),(15,102,2,24,9,16,29,9,9),(15,102,2,24,10,29,16,11,4),(15,102,2,24,11,17,27,9,8),(15,102,2,24,12,40,39,10,11),(15,102,2,24,13,56,18,23,3),(15,102,2,24,14,12,24,8,10),(15,102,2,24,15,31,44,11,14),(15,102,2,24,16,61,64,19,11),(15,102,2,24,17,10,30,4,8),(15,102,2,24,18,32,23,14,6),(15,102,2,24,19,14,69,6,15),(15,102,2,24,20,26,54,15,15),(15,102,2,24,21,5,21,5,9),(15,102,2,24,22,44,27,14,7),(15,102,2,24,23,27,35,13,7),(15,102,2,24,24,24,33,10,11),(15,102,2,24,25,69,NULL,25,NULL),(15,102,2,24,26,15,23,7,7),(15,102,2,24,27,8,46,3,15),(15,102,2,24,28,11,49,7,15),(15,102,2,24,29,51,62,17,11),(15,102,2,24,30,7,31,3,13),(15,102,3,31,1,92,53,22,11),(15,102,3,31,2,8,46,7,15),(15,102,3,31,3,34,28,15,10),(15,102,3,31,4,57,17,21,7),(15,102,3,31,5,25,52,12,16),(15,102,3,31,6,12,69,6,18),(15,102,3,31,7,4,36,2,11),(15,102,3,31,8,4,9,2,5),(15,102,3,31,9,8,33,7,12),(15,102,3,31,10,22,23,7,12),(15,102,3,31,11,3,22,1,4),(15,102,3,31,12,29,53,5,21),(15,102,3,31,13,5,18,1,9),(15,102,3,31,14,20,24,15,6),(15,102,3,31,15,41,35,17,12),(15,102,3,31,16,17,38,10,13),(15,102,3,31,17,62,50,19,8),(15,102,3,31,18,8,25,5,8),(15,102,3,31,19,21,21,5,7),(15,102,3,31,20,8,18,4,6),(15,102,3,31,21,18,NULL,10,NULL),(15,102,3,31,22,20,31,11,11),(15,102,3,31,23,4,18,4,9),(15,102,3,31,24,8,79,6,21),(15,102,3,31,25,3,14,2,9),(15,102,3,31,26,10,14,6,6),(15,102,3,31,27,4,10,1,5),(15,102,3,31,28,8,13,4,4),(15,102,3,31,29,2,71,3,24),(15,102,3,31,30,11,56,8,14),(15,102,3,32,1,86,61,22,12),(15,102,3,32,2,5,40,5,14),(15,102,3,32,3,34,26,11,10),(15,102,3,32,4,50,24,20,8),(15,102,3,32,5,29,33,10,16),(15,102,3,32,6,12,81,3,22),(15,102,3,32,7,3,36,3,12),(15,102,3,32,8,3,9,2,5),(15,102,3,32,9,19,23,10,7),(15,102,3,32,10,15,27,7,7),(15,102,3,32,11,2,28,1,6),(15,102,3,32,12,34,46,18,14),(15,102,3,32,13,7,31,2,10),(15,102,3,32,14,26,24,11,7),(15,102,3,32,15,47,38,19,10),(15,102,3,32,16,9,46,NULL,17),(15,102,3,32,17,79,37,22,9),(15,102,3,32,18,15,37,4,10),(15,102,3,32,19,25,26,6,8),(15,102,3,32,20,6,25,2,9),(15,102,3,32,21,13,NULL,4,NULL),(15,102,3,32,22,13,35,7,11),(15,102,3,32,23,4,20,1,10),(15,102,3,32,24,8,72,5,20),(15,102,3,32,25,6,8,2,2),(15,102,3,32,26,5,16,2,11),(15,102,3,32,27,3,13,1,5),(15,102,3,32,28,5,11,3,3),(15,102,3,32,29,2,71,2,22),(15,102,3,32,30,7,60,5,18),(15,102,3,33,1,87,58,16,10),(15,102,3,33,2,3,40,1,14),(15,102,3,33,3,36,24,10,5),(15,102,3,33,4,48,22,16,5),(15,102,3,33,5,30,39,10,12),(15,102,3,33,6,8,73,2,18),(15,102,3,33,7,3,35,1,4),(15,102,3,33,8,2,3,1,2),(15,102,3,33,9,15,27,6,9),(15,102,3,33,10,14,18,4,4),(15,102,3,33,11,6,23,1,7),(15,102,3,33,12,38,40,11,11),(15,102,3,33,13,7,25,1,9),(15,102,3,33,14,26,15,11,5),(15,102,3,33,15,39,32,13,11),(15,102,3,33,16,17,39,5,10),(15,102,3,33,17,63,43,21,5),(15,102,3,33,18,12,29,4,8),(15,102,3,33,19,29,16,5,4),(15,102,3,33,20,9,31,4,7),(15,102,3,33,21,15,NULL,9,NULL),(15,102,3,33,22,14,42,8,8),(15,102,3,33,23,1,21,NULL,4),(15,102,3,33,24,11,73,3,17),(15,102,3,33,25,4,11,4,2),(15,102,3,33,26,6,15,3,6),(15,102,3,33,27,4,19,NULL,4),(15,102,3,33,28,NULL,16,NULL,6),(15,102,3,33,29,1,75,NULL,16),(15,102,3,33,30,7,65,4,15),(15,102,3,34,1,89,68,15,9),(15,102,3,34,2,6,46,5,11),(15,102,3,34,3,28,28,9,5),(15,102,3,34,4,50,22,15,4),(15,102,3,34,5,27,48,8,12),(15,102,3,34,6,12,71,5,8),(15,102,3,34,7,2,35,3,9),(15,102,3,34,8,2,13,1,7),(15,102,3,34,9,11,34,6,11),(15,102,3,34,10,11,24,5,7),(15,102,3,34,11,3,13,2,5),(15,102,3,34,12,34,47,7,12),(15,102,3,34,13,10,36,2,8),(15,102,3,34,14,30,16,12,2),(15,102,3,34,15,42,39,15,4),(15,102,3,34,16,17,38,5,13),(15,102,3,34,17,83,30,16,7),(15,102,3,34,18,15,28,3,2),(15,102,3,34,19,24,22,3,10),(15,102,3,34,20,10,33,7,9),(15,102,3,34,21,12,NULL,6,NULL),(15,102,3,34,22,11,35,5,8),(15,102,3,34,23,2,17,3,6),(15,102,3,34,24,11,72,5,11),(15,102,3,34,25,10,7,5,NULL),(15,102,3,34,26,5,10,2,3),(15,102,3,34,27,6,23,1,4),(15,102,3,34,28,8,7,4,1),(15,102,3,34,29,2,70,1,18),(15,102,3,34,30,8,49,3,12),(15,103,1,11,1,7,3,NULL,NULL),(15,103,1,11,2,4,4,NULL,NULL),(15,103,1,11,3,3,5,NULL,NULL),(15,103,1,11,4,1,4,NULL,NULL),(15,103,1,11,5,1,6,NULL,NULL),(15,103,1,11,6,6,2,NULL,NULL),(15,103,1,11,7,4,1,NULL,NULL),(15,103,1,11,8,2,6,NULL,NULL),(15,103,1,11,9,6,NULL,NULL,NULL),(15,103,1,11,10,3,1,NULL,NULL),(15,103,1,11,11,4,3,NULL,NULL),(15,103,1,11,12,5,1,NULL,NULL),(15,103,1,11,13,4,2,NULL,NULL),(15,103,1,11,14,6,1,NULL,NULL),(15,103,1,11,15,5,4,NULL,NULL),(15,103,1,11,16,9,NULL,NULL,NULL),(15,103,1,11,17,6,NULL,NULL,NULL),(15,103,1,11,18,1,NULL,NULL,NULL),(15,103,1,11,19,7,NULL,NULL,NULL),(15,103,1,11,20,8,2,NULL,NULL),(15,103,1,12,1,3,5,1,NULL),(15,103,1,12,2,3,5,NULL,1),(15,103,1,12,3,4,5,NULL,1),(15,103,1,12,4,6,3,NULL,1),(15,103,1,12,5,2,5,1,NULL),(15,103,1,12,6,3,4,1,NULL),(15,103,1,12,7,9,NULL,1,NULL),(15,103,1,12,8,5,3,1,NULL),(15,103,1,12,9,5,NULL,NULL,NULL),(15,103,1,12,10,6,2,1,NULL),(15,103,1,12,11,8,NULL,1,NULL),(15,103,1,12,12,3,6,1,NULL),(15,103,1,12,13,7,2,1,NULL),(15,103,1,12,14,5,2,1,NULL),(15,103,1,12,15,7,2,1,NULL),(15,103,1,12,16,7,2,1,NULL),(15,103,1,12,17,8,NULL,1,NULL),(15,103,1,12,18,8,1,1,NULL),(15,103,1,12,19,8,NULL,1,NULL),(15,103,1,12,20,3,NULL,1,NULL),(15,103,1,13,1,8,6,NULL,NULL),(15,103,1,13,2,6,3,NULL,NULL),(15,103,1,13,3,8,6,NULL,NULL),(15,103,1,13,4,8,2,NULL,NULL),(15,103,1,13,5,4,4,NULL,NULL),(15,103,1,13,6,6,3,NULL,NULL),(15,103,1,13,7,11,2,NULL,NULL),(15,103,1,13,8,8,6,NULL,NULL),(15,103,1,13,9,5,NULL,NULL,NULL),(15,103,1,13,10,11,2,NULL,NULL),(15,103,1,13,11,13,2,NULL,NULL),(15,103,1,13,12,10,2,NULL,NULL),(15,103,1,13,13,3,6,NULL,NULL),(15,103,1,13,14,7,3,NULL,NULL),(15,103,1,13,15,6,4,NULL,NULL),(15,103,1,13,16,13,NULL,NULL,NULL),(15,103,1,13,17,9,5,NULL,NULL),(15,103,1,13,18,5,3,NULL,NULL),(15,103,1,13,19,6,3,NULL,NULL),(15,103,1,13,20,3,5,NULL,NULL),(15,103,1,14,1,586,346,34,3),(15,103,1,14,2,415,358,19,14),(15,103,1,14,3,286,618,20,21),(15,103,1,14,4,427,408,29,10),(15,103,1,14,5,213,457,25,12),(15,103,1,14,6,476,437,22,13),(15,103,1,14,7,582,144,34,5),(15,103,1,14,8,440,477,26,11),(15,103,1,14,9,535,NULL,35,NULL),(15,103,1,14,10,683,113,28,7),(15,103,1,14,11,208,295,22,10),(15,103,1,14,12,144,302,17,17),(15,103,1,14,13,287,215,22,9),(15,103,1,14,14,586,290,30,7),(15,103,1,14,15,856,NULL,40,NULL),(15,103,1,14,16,222,120,17,9),(15,103,1,14,17,480,138,29,5),(15,103,1,14,18,231,226,21,12),(15,103,1,14,19,474,229,27,9),(15,103,1,14,20,544,285,27,12),(15,103,1,15,1,572,324,28,4),(15,103,1,15,2,385,341,18,11),(15,103,1,15,3,262,581,15,20),(15,103,1,15,4,383,424,21,11),(15,103,1,15,5,201,486,16,19),(15,103,1,15,6,451,417,14,18),(15,103,1,15,7,570,130,32,2),(15,103,1,15,8,403,417,18,10),(15,103,1,15,9,522,NULL,24,NULL),(15,103,1,15,10,652,133,29,3),(15,103,1,15,11,183,282,24,8),(15,103,1,15,12,164,294,23,9),(15,103,1,15,13,279,223,28,3),(15,103,1,15,14,560,264,29,5),(15,103,1,15,15,845,NULL,36,NULL),(15,103,1,15,16,232,113,13,7),(15,103,1,15,17,462,136,30,4),(15,103,1,15,18,229,234,24,8),(15,103,1,15,19,421,216,31,2),(15,103,1,15,20,498,307,30,6),(15,103,1,16,1,209,162,11,2),(15,103,1,16,2,133,124,6,6),(15,103,1,16,3,118,237,10,4),(15,103,1,16,4,152,174,7,6),(15,103,1,16,5,89,187,6,6),(15,103,1,16,6,189,192,5,9),(15,103,1,16,7,255,64,11,2),(15,103,1,16,8,143,205,5,8),(15,103,1,16,9,193,NULL,12,NULL),(15,103,1,16,10,246,51,10,2),(15,103,1,16,11,225,139,8,7),(15,103,1,16,12,209,216,10,5),(15,103,1,16,13,78,345,1,14),(15,103,1,16,14,187,139,10,3),(15,103,1,16,15,84,70,6,3),(15,103,1,16,16,174,NULL,11,NULL),(15,103,1,16,17,117,161,6,4),(15,103,1,16,18,125,182,2,7),(15,103,1,16,19,35,31,NULL,1),(15,103,1,16,20,191,194,9,4),(15,103,1,17,1,210,145,4,2),(15,103,1,17,2,124,144,NULL,3),(15,103,1,17,3,98,238,3,3),(15,103,1,17,4,153,169,3,3),(15,103,1,17,5,67,217,3,2),(15,103,1,17,6,158,201,2,3),(15,103,1,17,7,228,62,5,1),(15,103,1,17,8,138,216,3,2),(15,103,1,17,9,172,NULL,3,NULL),(15,103,1,17,10,247,47,2,3),(15,103,1,17,11,185,138,1,5),(15,103,1,17,12,163,245,2,5),(15,103,1,17,13,68,334,1,6),(15,103,1,17,14,120,198,2,4),(15,103,1,17,15,55,97,NULL,2),(15,103,1,17,16,183,NULL,4,NULL),(15,103,1,17,17,115,177,2,3),(15,103,1,17,18,107,183,1,5),(15,103,1,17,19,36,36,1,1),(15,103,1,17,20,148,222,1,6),(15,103,2,21,1,181,210,12,7),(15,103,2,21,2,138,79,8,4),(15,103,2,21,3,48,161,1,9),(15,103,2,21,4,225,104,11,6),(15,103,2,21,5,367,139,19,3),(15,103,2,21,6,302,98,16,3),(15,103,2,21,7,149,34,11,1),(15,103,2,21,8,60,NULL,4,NULL),(15,103,2,21,9,236,121,13,2),(15,103,2,21,10,209,28,10,1),(15,103,2,21,11,206,151,13,2),(15,103,2,21,12,281,234,14,7),(15,103,2,21,13,423,113,11,11),(15,103,2,21,14,107,276,2,15),(15,103,2,21,15,288,256,14,8),(15,103,2,21,16,479,256,19,3),(15,103,2,21,17,140,211,9,8),(15,103,2,21,18,172,164,8,9),(15,103,2,21,19,163,411,3,16),(15,103,2,21,20,310,219,15,6),(15,103,2,21,21,148,158,12,2),(15,103,2,21,22,353,98,18,3),(15,103,2,21,23,235,159,13,1),(15,103,2,21,24,242,282,15,3),(15,103,2,21,25,574,NULL,21,NULL),(15,103,2,21,26,158,145,11,3),(15,103,2,21,27,138,284,15,6),(15,103,2,21,28,177,195,14,4),(15,103,2,21,29,473,245,20,3),(15,103,2,21,30,183,182,17,2),(15,103,2,22,1,173,236,21,5),(15,103,2,22,2,129,79,11,6),(15,103,2,22,3,83,171,4,11),(15,103,2,22,4,271,107,21,4),(15,103,2,22,5,370,147,26,2),(15,103,2,22,6,310,99,21,2),(15,103,2,22,7,201,34,19,1),(15,103,2,22,8,86,NULL,13,NULL),(15,103,2,22,9,274,134,20,4),(15,103,2,22,10,259,40,20,NULL),(15,103,2,22,11,208,121,19,1),(15,103,2,22,12,308,271,21,9),(15,103,2,22,13,452,116,27,2),(15,103,2,22,14,99,285,7,16),(15,103,2,22,15,319,246,20,9),(15,103,2,22,16,506,243,27,5),(15,103,2,22,17,89,214,12,8),(15,103,2,22,18,223,171,17,8),(15,103,2,22,19,162,411,7,18),(15,103,2,22,20,298,256,18,13),(15,103,2,22,21,148,132,16,9),(15,103,2,22,22,347,122,22,3),(15,103,2,22,23,269,164,17,1),(15,103,2,22,24,262,247,23,6),(15,103,2,22,25,549,NULL,26,NULL),(15,103,2,22,26,152,147,19,7),(15,103,2,22,27,155,277,25,2),(15,103,2,22,28,201,195,23,4),(15,103,2,22,29,469,278,26,5),(15,103,2,22,30,164,177,19,5),(15,103,2,23,1,181,184,16,3),(15,103,2,23,2,140,89,15,1),(15,103,2,23,3,57,160,3,9),(15,103,2,23,4,238,117,20,3),(15,103,2,23,5,347,122,22,NULL),(15,103,2,23,6,286,101,18,NULL),(15,103,2,23,7,173,34,13,2),(15,103,2,23,8,64,NULL,7,NULL),(15,103,2,23,9,220,138,15,3),(15,103,2,23,10,230,39,12,2),(15,103,2,23,11,190,138,12,NULL),(15,103,2,23,12,268,220,14,5),(15,103,2,23,13,399,120,16,5),(15,103,2,23,14,89,251,9,13),(15,103,2,23,15,283,244,17,6),(15,103,2,23,16,486,251,20,3),(15,103,2,23,17,109,196,9,5),(15,103,2,23,18,228,161,9,5),(15,103,2,23,19,136,413,3,17),(15,103,2,23,20,283,246,17,5),(15,103,2,23,21,137,130,11,6),(15,103,2,23,22,324,103,17,1),(15,103,2,23,23,237,152,16,2),(15,103,2,23,24,228,254,19,2),(15,103,2,23,25,529,NULL,23,NULL),(15,103,2,23,26,153,130,15,2),(15,103,2,23,27,144,245,13,8),(15,103,2,23,28,174,183,12,5),(15,103,2,23,29,483,243,19,5),(15,103,2,23,30,174,176,16,4),(15,103,2,24,1,179,203,10,7),(15,103,2,24,2,130,79,9,6),(15,103,2,24,3,59,149,4,5),(15,103,2,24,4,221,121,16,2),(15,103,2,24,5,384,112,17,4),(15,103,2,24,6,254,91,14,2),(15,103,2,24,7,198,26,13,NULL),(15,103,2,24,8,58,NULL,5,NULL),(15,103,2,24,9,209,131,11,4),(15,103,2,24,10,236,37,14,1),(15,103,2,24,11,215,153,8,2),(15,103,2,24,12,287,221,8,11),(15,103,2,24,13,446,99,14,5),(15,103,2,24,14,109,259,5,11),(15,103,2,24,15,283,252,11,7),(15,103,2,24,16,475,263,17,3),(15,103,2,24,17,93,183,5,5),(15,103,2,24,18,219,151,9,7),(15,103,2,24,19,155,425,3,12),(15,103,2,24,20,312,249,17,3),(15,103,2,24,21,168,147,10,6),(15,103,2,24,22,344,134,13,3),(15,103,2,24,23,248,148,15,1),(15,103,2,24,24,231,276,13,5),(15,103,2,24,25,558,NULL,20,NULL),(15,103,2,24,26,158,156,15,5),(15,103,2,24,27,173,252,15,2),(15,103,2,24,28,173,192,15,2),(15,103,2,24,29,489,250,16,3),(15,103,2,24,30,165,161,12,5),(15,103,3,31,1,546,253,17,4),(15,103,3,31,2,138,358,7,10),(15,103,3,31,3,367,113,18,1),(15,103,3,31,4,477,89,17,2),(15,103,3,31,5,255,279,13,7),(15,103,3,31,6,136,418,7,8),(15,103,3,31,7,100,279,11,3),(15,103,3,31,8,157,68,17,NULL),(15,103,3,31,9,256,174,16,1),(15,103,3,31,10,187,167,13,3),(15,103,3,31,11,38,122,4,5),(15,103,3,31,12,307,252,15,5),(15,103,3,31,13,48,180,4,5),(15,103,3,31,14,318,128,18,1),(15,103,3,31,15,389,190,17,3),(15,103,3,31,16,178,290,15,4),(15,103,3,31,17,519,154,13,4),(15,103,3,31,18,134,142,10,3),(15,103,3,31,19,142,88,7,2),(15,103,3,31,20,114,184,12,5),(15,103,3,31,21,140,NULL,11,NULL),(15,103,3,31,22,211,229,13,4),(15,103,3,31,23,89,169,11,3),(15,103,3,31,24,183,382,16,2),(15,103,3,31,25,82,116,6,7),(15,103,3,31,26,119,176,10,9),(15,103,3,31,27,48,166,9,9),(15,103,3,31,28,53,103,5,4),(15,103,3,31,29,75,429,14,5),(15,103,3,31,30,150,267,13,5),(15,103,3,32,1,534,247,21,3),(15,103,3,32,2,144,323,17,5),(15,103,3,32,3,359,122,23,NULL),(15,103,3,32,4,478,75,22,1),(15,103,3,32,5,259,234,19,3),(15,103,3,32,6,98,443,7,12),(15,103,3,32,7,106,240,11,7),(15,103,3,32,8,162,75,19,1),(15,103,3,32,9,255,145,21,3),(15,103,3,32,10,191,171,15,4),(15,103,3,32,11,33,131,6,7),(15,103,3,32,12,324,221,16,7),(15,103,3,32,13,57,174,6,10),(15,103,3,32,14,302,128,16,3),(15,103,3,32,15,408,165,23,NULL),(15,103,3,32,16,159,282,14,6),(15,103,3,32,17,517,169,22,NULL),(15,103,3,32,18,128,156,8,5),(15,103,3,32,19,133,104,4,5),(15,103,3,32,20,95,178,10,9),(15,103,3,32,21,127,NULL,14,NULL),(15,103,3,32,22,205,227,18,6),(15,103,3,32,23,86,169,14,4),(15,103,3,32,24,169,370,19,4),(15,103,3,32,25,64,100,5,11),(15,103,3,32,26,111,158,10,11),(15,103,3,32,27,53,149,7,10),(15,103,3,32,28,66,111,5,1),(15,103,3,32,29,67,414,11,11),(15,103,3,32,30,118,285,11,3),(15,103,3,33,1,533,272,26,5),(15,103,3,33,2,150,330,15,12),(15,103,3,33,3,368,142,30,2),(15,103,3,33,4,472,97,31,NULL),(15,103,3,33,5,290,236,22,6),(15,103,3,33,6,115,443,15,12),(15,103,3,33,7,129,300,14,11),(15,103,3,33,8,162,68,20,5),(15,103,3,33,9,250,196,26,4),(15,103,3,33,10,208,155,24,3),(15,103,3,33,11,44,167,5,6),(15,103,3,33,12,313,257,18,12),(15,103,3,33,13,43,208,7,13),(15,103,3,33,14,291,135,23,6),(15,103,3,33,15,374,221,27,3),(15,103,3,33,16,179,289,13,12),(15,103,3,33,17,541,178,29,1),(15,103,3,33,18,132,164,13,7),(15,103,3,33,19,170,117,5,11),(15,103,3,33,20,74,194,12,12),(15,103,3,33,21,152,NULL,18,NULL),(15,103,3,33,22,199,238,23,5),(15,103,3,33,23,93,167,14,11),(15,103,3,33,24,198,360,21,9),(15,103,3,33,25,76,106,12,9),(15,103,3,33,26,104,174,13,9),(15,103,3,33,27,66,166,8,11),(15,103,3,33,28,70,109,12,3),(15,103,3,33,29,76,444,10,18),(15,103,3,33,30,159,248,24,4),(15,103,3,34,1,515,263,17,6),(15,103,3,34,2,164,345,9,10),(15,103,3,34,3,375,129,18,3),(15,103,3,34,4,457,76,21,NULL),(15,103,3,34,5,241,297,13,7),(15,103,3,34,6,101,454,5,15),(15,103,3,34,7,101,290,11,5),(15,103,3,34,8,129,78,15,2),(15,103,3,34,9,263,150,19,1),(15,103,3,34,10,194,161,10,7),(15,103,3,34,11,44,128,1,5),(15,103,3,34,12,286,258,12,10),(15,103,3,34,13,37,185,2,8),(15,103,3,34,14,316,122,19,3),(15,103,3,34,15,380,180,19,3),(15,103,3,34,16,176,272,11,7),(15,103,3,34,17,533,158,19,3),(15,103,3,34,18,119,152,4,6),(15,103,3,34,19,142,99,2,6),(15,103,3,34,20,92,215,5,10),(15,103,3,34,21,131,NULL,12,NULL),(15,103,3,34,22,217,243,14,6),(15,103,3,34,23,100,176,13,5),(15,103,3,34,24,190,392,15,7),(15,103,3,34,25,64,139,7,6),(15,103,3,34,26,100,193,6,14),(15,103,3,34,27,58,164,3,11),(15,103,3,34,28,71,112,6,6),(15,103,3,34,29,74,395,8,13),(15,103,3,34,30,144,268,15,3),(15,104,1,11,1,NULL,NULL,NULL,NULL),(15,104,1,11,2,1,NULL,NULL,NULL),(15,104,1,11,3,NULL,1,NULL,NULL),(15,104,1,11,4,NULL,1,NULL,NULL),(15,104,1,11,5,NULL,1,NULL,NULL),(15,104,1,11,6,NULL,NULL,NULL,NULL),(15,104,1,11,7,1,NULL,NULL,NULL),(15,104,1,11,8,NULL,1,NULL,NULL),(15,104,1,11,9,NULL,NULL,NULL,NULL),(15,104,1,11,10,1,NULL,NULL,NULL),(15,104,1,11,11,NULL,NULL,NULL,NULL),(15,104,1,11,12,NULL,1,NULL,NULL),(15,104,1,11,13,NULL,NULL,NULL,NULL),(15,104,1,11,14,NULL,1,NULL,NULL),(15,104,1,11,15,NULL,NULL,NULL,NULL),(15,104,1,11,16,NULL,NULL,NULL,NULL),(15,104,1,11,17,1,NULL,NULL,NULL),(15,104,1,11,18,NULL,NULL,NULL,NULL),(15,104,1,11,19,NULL,1,NULL,NULL),(15,104,1,11,20,1,NULL,NULL,NULL),(15,104,1,12,1,NULL,NULL,NULL,NULL),(15,104,1,12,2,NULL,NULL,NULL,NULL),(15,104,1,12,3,NULL,1,NULL,NULL),(15,104,1,12,4,1,NULL,NULL,NULL),(15,104,1,12,5,NULL,1,NULL,NULL),(15,104,1,12,6,1,NULL,NULL,NULL),(15,104,1,12,7,1,NULL,NULL,NULL),(15,104,1,12,8,NULL,1,NULL,NULL),(15,104,1,12,9,NULL,NULL,NULL,NULL),(15,104,1,12,10,NULL,NULL,NULL,NULL),(15,104,1,12,11,NULL,NULL,NULL,NULL),(15,104,1,12,12,NULL,NULL,NULL,NULL),(15,104,1,12,13,NULL,NULL,NULL,NULL),(15,104,1,12,14,1,NULL,NULL,NULL),(15,104,1,12,15,NULL,1,NULL,NULL),(15,104,1,12,16,NULL,NULL,NULL,NULL),(15,104,1,12,17,1,NULL,NULL,NULL),(15,104,1,12,18,NULL,NULL,NULL,NULL),(15,104,1,12,19,NULL,NULL,NULL,NULL),(15,104,1,12,20,NULL,NULL,NULL,NULL),(15,104,1,13,1,NULL,1,NULL,NULL),(15,104,1,13,2,1,1,NULL,NULL),(15,104,1,13,3,1,1,NULL,NULL),(15,104,1,13,4,NULL,1,NULL,NULL),(15,104,1,13,5,NULL,2,NULL,NULL),(15,104,1,13,6,NULL,1,NULL,NULL),(15,104,1,13,7,1,NULL,NULL,NULL),(15,104,1,13,8,NULL,2,NULL,NULL),(15,104,1,13,9,1,NULL,NULL,NULL),(15,104,1,13,10,1,1,NULL,NULL),(15,104,1,13,11,3,NULL,NULL,NULL),(15,104,1,13,12,2,NULL,NULL,NULL),(15,104,1,13,13,NULL,NULL,NULL,NULL),(15,104,1,13,14,NULL,2,NULL,NULL),(15,104,1,13,15,1,2,NULL,NULL),(15,104,1,13,16,1,NULL,NULL,NULL),(15,104,1,13,17,2,NULL,NULL,NULL),(15,104,1,13,18,NULL,NULL,NULL,NULL),(15,104,1,13,19,NULL,1,NULL,NULL),(15,104,1,13,20,NULL,1,NULL,NULL),(15,104,1,14,1,90,70,17,7),(15,104,1,14,2,55,62,11,10),(15,104,1,14,3,38,113,6,19),(15,104,1,14,4,62,74,12,14),(15,104,1,14,5,29,74,8,12),(15,104,1,14,6,72,76,9,12),(15,104,1,14,7,98,38,19,5),(15,104,1,14,8,50,97,9,10),(15,104,1,14,9,90,NULL,17,NULL),(15,104,1,14,10,106,22,16,5),(15,104,1,14,11,25,50,9,13),(15,104,1,14,12,6,42,5,9),(15,104,1,14,13,24,31,10,4),(15,104,1,14,14,88,73,17,7),(15,104,1,14,15,121,NULL,24,NULL),(15,104,1,14,16,28,26,11,2),(15,104,1,14,17,43,30,17,5),(15,104,1,14,18,14,38,7,5),(15,104,1,14,19,50,43,15,8),(15,104,1,14,20,70,45,16,7),(15,104,1,15,1,71,71,10,7),(15,104,1,15,2,58,61,5,8),(15,104,1,15,3,27,99,6,15),(15,104,1,15,4,57,72,14,5),(15,104,1,15,5,31,75,10,8),(15,104,1,15,6,59,80,6,11),(15,104,1,15,7,80,28,16,3),(15,104,1,15,8,56,83,10,8),(15,104,1,15,9,87,NULL,15,NULL),(15,104,1,15,10,89,28,14,6),(15,104,1,15,11,17,46,7,10),(15,104,1,15,12,6,39,3,8),(15,104,1,15,13,30,40,9,7),(15,104,1,15,14,81,64,13,3),(15,104,1,15,15,127,NULL,22,NULL),(15,104,1,15,16,30,18,10,4),(15,104,1,15,17,35,39,10,6),(15,104,1,15,18,18,32,7,6),(15,104,1,15,19,48,37,14,4),(15,104,1,15,20,64,56,16,6),(15,104,1,16,1,61,67,7,5),(15,104,1,16,2,37,63,1,12),(15,104,1,16,3,37,104,6,11),(15,104,1,16,4,51,76,8,7),(15,104,1,16,5,33,84,4,9),(15,104,1,16,6,69,71,9,6),(15,104,1,16,7,85,30,12,3),(15,104,1,16,8,47,94,5,10),(15,104,1,16,9,79,NULL,13,NULL),(15,104,1,16,10,90,30,8,5),(15,104,1,16,11,96,47,9,6),(15,104,1,16,12,75,100,6,11),(15,104,1,16,13,24,142,3,14),(15,104,1,16,14,52,78,6,6),(15,104,1,16,15,28,49,4,6),(15,104,1,16,16,66,NULL,9,NULL),(15,104,1,16,17,38,75,3,11),(15,104,1,16,18,43,93,1,14),(15,104,1,16,19,18,17,3,1),(15,104,1,16,20,63,97,7,10),(15,104,1,17,1,64,63,13,5),(15,104,1,17,2,34,49,2,10),(15,104,1,17,3,34,106,8,12),(15,104,1,17,4,64,74,10,9),(15,104,1,17,5,24,93,6,10),(15,104,1,17,6,57,91,7,9),(15,104,1,17,7,86,19,17,3),(15,104,1,17,8,53,85,8,9),(15,104,1,17,9,73,NULL,10,NULL),(15,104,1,17,10,92,25,11,7),(15,104,1,17,11,71,62,10,7),(15,104,1,17,12,64,99,9,12),(15,104,1,17,13,29,130,4,15),(15,104,1,17,14,37,70,9,10),(15,104,1,17,15,18,35,2,3),(15,104,1,17,16,62,NULL,11,NULL),(15,104,1,17,17,50,86,8,11),(15,104,1,17,18,43,91,6,13),(15,104,1,17,19,23,9,3,2),(15,104,1,17,20,48,109,10,11),(15,104,2,21,1,27,38,5,6),(15,104,2,21,2,19,17,4,1),(15,104,2,21,3,15,35,3,7),(15,104,2,21,4,26,22,8,2),(15,104,2,21,5,55,38,15,1),(15,104,2,21,6,52,38,11,5),(15,104,2,21,7,12,14,7,3),(15,104,2,21,8,7,NULL,2,NULL),(15,104,2,21,9,35,31,8,6),(15,104,2,21,10,29,10,7,NULL),(15,104,2,21,11,36,44,8,4),(15,104,2,21,12,56,76,8,11),(15,104,2,21,13,82,32,11,7),(15,104,2,21,14,17,53,4,7),(15,104,2,21,15,45,64,7,10),(15,104,2,21,16,97,90,15,6),(15,104,2,21,17,28,56,4,8),(15,104,2,21,18,42,43,10,5),(15,104,2,21,19,18,109,1,15),(15,104,2,21,20,43,68,12,8),(15,104,2,21,21,14,28,5,5),(15,104,2,21,22,66,44,15,3),(15,104,2,21,23,36,59,6,3),(15,104,2,21,24,28,71,4,11),(15,104,2,21,25,111,NULL,19,NULL),(15,104,2,21,26,20,49,3,9),(15,104,2,21,27,18,60,8,6),(15,104,2,21,28,31,49,8,6),(15,104,2,21,29,71,109,12,8),(15,104,2,21,30,27,51,4,11),(15,104,2,22,1,18,40,9,7),(15,104,2,22,2,15,23,6,5),(15,104,2,22,3,13,43,1,8),(15,104,2,22,4,32,25,15,3),(15,104,2,22,5,63,38,15,3),(15,104,2,22,6,50,42,10,8),(15,104,2,22,7,24,8,9,1),(15,104,2,22,8,19,NULL,7,NULL),(15,104,2,22,9,42,37,10,4),(15,104,2,22,10,40,13,7,4),(15,104,2,22,11,47,37,11,5),(15,104,2,22,12,73,75,13,10),(15,104,2,22,13,89,45,15,3),(15,104,2,22,14,17,56,5,9),(15,104,2,22,15,47,68,11,6),(15,104,2,22,16,103,73,18,9),(15,104,2,22,17,16,53,3,10),(15,104,2,22,18,48,36,11,6),(15,104,2,22,19,37,81,8,14),(15,104,2,22,20,44,62,11,7),(15,104,2,22,21,18,21,9,5),(15,104,2,22,22,68,39,16,6),(15,104,2,22,23,32,64,11,5),(15,104,2,22,24,31,69,12,10),(15,104,2,22,25,106,NULL,20,NULL),(15,104,2,22,26,12,36,2,4),(15,104,2,22,27,31,56,10,11),(15,104,2,22,28,26,56,8,11),(15,104,2,22,29,78,99,12,14),(15,104,2,22,30,18,48,9,9),(15,104,2,23,1,16,38,4,10),(15,104,2,23,2,11,15,4,3),(15,104,2,23,3,14,34,1,6),(15,104,2,23,4,28,28,11,6),(15,104,2,23,5,56,50,13,5),(15,104,2,23,6,45,30,9,4),(15,104,2,23,7,17,10,8,1),(15,104,2,23,8,7,NULL,2,NULL),(15,104,2,23,9,27,36,8,5),(15,104,2,23,10,33,11,9,1),(15,104,2,23,11,39,33,12,4),(15,104,2,23,12,46,61,9,10),(15,104,2,23,13,89,32,17,4),(15,104,2,23,14,9,53,2,15),(15,104,2,23,15,47,71,3,13),(15,104,2,23,16,94,79,14,7),(15,104,2,23,17,16,48,8,6),(15,104,2,23,18,54,41,8,6),(15,104,2,23,19,22,91,1,14),(15,104,2,23,20,41,69,8,11),(15,104,2,23,21,16,22,6,4),(15,104,2,23,22,48,39,8,2),(15,104,2,23,23,38,41,10,5),(15,104,2,23,24,27,64,9,13),(15,104,2,23,25,105,NULL,19,NULL),(15,104,2,23,26,16,32,4,4),(15,104,2,23,27,23,55,4,11),(15,104,2,23,28,21,45,8,10),(15,104,2,23,29,84,85,11,10),(15,104,2,23,30,24,41,4,11),(15,104,2,24,1,16,28,6,5),(15,104,2,24,2,12,15,3,2),(15,104,2,24,3,7,29,2,3),(15,104,2,24,4,24,19,6,3),(15,104,2,24,5,59,41,10,2),(15,104,2,24,6,32,29,6,3),(15,104,2,24,7,10,9,2,2),(15,104,2,24,8,10,NULL,1,NULL),(15,104,2,24,9,26,33,9,1),(15,104,2,24,10,37,7,10,2),(15,104,2,24,11,37,39,7,4),(15,104,2,24,12,62,48,6,6),(15,104,2,24,13,69,36,10,4),(15,104,2,24,14,9,53,1,9),(15,104,2,24,15,46,52,7,8),(15,104,2,24,16,96,66,12,5),(15,104,2,24,17,17,42,2,4),(15,104,2,24,18,45,34,5,5),(15,104,2,24,19,25,84,2,12),(15,104,2,24,20,47,52,10,3),(15,104,2,24,21,10,21,3,4),(15,104,2,24,22,56,36,6,5),(15,104,2,24,23,43,46,10,3),(15,104,2,24,24,24,69,6,7),(15,104,2,24,25,84,NULL,13,NULL),(15,104,2,24,26,16,35,3,3),(15,104,2,24,27,14,58,2,8),(15,104,2,24,28,28,43,8,1),(15,104,2,24,29,87,81,14,2),(15,104,2,24,30,17,35,7,5),(15,104,3,31,1,108,79,8,10),(15,104,3,31,2,4,54,NULL,9),(15,104,3,31,3,47,42,7,5),(15,104,3,31,4,72,28,13,2),(15,104,3,31,5,25,69,5,10),(15,104,3,31,6,12,86,1,9),(15,104,3,31,7,4,39,NULL,5),(15,104,3,31,8,10,12,5,2),(15,104,3,31,9,14,35,7,5),(15,104,3,31,10,20,29,5,4),(15,104,3,31,11,6,22,2,3),(15,104,3,31,12,40,59,7,9),(15,104,3,31,13,9,51,2,7),(15,104,3,31,14,41,27,9,7),(15,104,3,31,15,62,31,11,2),(15,104,3,31,16,19,55,7,5),(15,104,3,31,17,94,58,13,2),(15,104,3,31,18,14,35,3,2),(15,104,3,31,19,26,31,3,4),(15,104,3,31,20,10,33,2,7),(15,104,3,31,21,16,NULL,4,NULL),(15,104,3,31,22,23,44,6,5),(15,104,3,31,23,5,21,2,3),(15,104,3,31,24,11,89,3,14),(15,104,3,31,25,2,19,1,4),(15,104,3,31,26,3,22,NULL,5),(15,104,3,31,27,3,26,NULL,4),(15,104,3,31,28,3,13,1,2),(15,104,3,31,29,6,89,3,12),(15,104,3,31,30,6,77,1,10),(15,104,3,32,1,116,75,14,9),(15,104,3,32,2,10,61,2,13),(15,104,3,32,3,45,38,11,7),(15,104,3,32,4,88,17,15,2),(15,104,3,32,5,46,57,13,8),(15,104,3,32,6,12,97,2,15),(15,104,3,32,7,5,45,3,6),(15,104,3,32,8,15,20,6,7),(15,104,3,32,9,16,36,7,6),(15,104,3,32,10,17,34,5,8),(15,104,3,32,11,7,20,2,2),(15,104,3,32,12,40,61,6,14),(15,104,3,32,13,9,49,3,9),(15,104,3,32,14,30,31,8,7),(15,104,3,32,15,58,48,15,2),(15,104,3,32,16,22,65,6,9),(15,104,3,32,17,96,57,18,4),(15,104,3,32,18,12,35,5,4),(15,104,3,32,19,28,32,1,8),(15,104,3,32,20,6,25,3,6),(15,104,3,32,21,15,NULL,5,NULL),(15,104,3,32,22,22,44,8,6),(15,104,3,32,23,1,30,NULL,7),(15,104,3,32,24,9,89,4,13),(15,104,3,32,25,5,16,1,6),(15,104,3,32,26,6,30,3,5),(15,104,3,32,27,3,27,NULL,4),(15,104,3,32,28,2,17,1,2),(15,104,3,32,29,5,96,5,12),(15,104,3,32,30,4,74,1,12),(15,104,3,33,1,126,76,17,9),(15,104,3,33,2,21,54,10,10),(15,104,3,33,3,60,46,14,5),(15,104,3,33,4,81,38,19,6),(15,104,3,33,5,54,60,13,8),(15,104,3,33,6,15,97,7,14),(15,104,3,33,7,5,54,2,10),(15,104,3,33,8,16,17,6,4),(15,104,3,33,9,22,39,12,5),(15,104,3,33,10,30,33,11,4),(15,104,3,33,11,3,33,NULL,9),(15,104,3,33,12,51,73,11,14),(15,104,3,33,13,9,40,4,4),(15,104,3,33,14,45,34,10,5),(15,104,3,33,15,65,55,15,8),(15,104,3,33,16,32,54,7,11),(15,104,3,33,17,95,65,18,7),(15,104,3,33,18,18,41,6,5),(15,104,3,33,19,48,30,5,5),(15,104,3,33,20,8,36,2,7),(15,104,3,33,21,23,NULL,4,NULL),(15,104,3,33,22,18,57,7,10),(15,104,3,33,23,7,28,5,9),(15,104,3,33,24,18,105,8,13),(15,104,3,33,25,7,23,5,7),(15,104,3,33,26,8,32,1,10),(15,104,3,33,27,2,22,NULL,4),(15,104,3,33,28,4,15,3,3),(15,104,3,33,29,8,107,3,20),(15,104,3,33,30,7,77,3,11),(15,104,3,34,1,116,102,20,2),(15,104,3,34,2,12,78,3,14),(15,104,3,34,3,65,44,12,4),(15,104,3,34,4,77,35,11,6),(15,104,3,34,5,37,72,10,9),(15,104,3,34,6,12,115,3,14),(15,104,3,34,7,3,62,2,7),(15,104,3,34,8,8,19,3,5),(15,104,3,34,9,19,42,7,5),(15,104,3,34,10,25,42,8,7),(15,104,3,34,11,6,26,NULL,2),(15,104,3,34,12,63,64,9,9),(15,104,3,34,13,13,61,1,11),(15,104,3,34,14,50,33,15,4),(15,104,3,34,15,55,47,16,3),(15,104,3,34,16,17,58,6,7),(15,104,3,34,17,129,58,17,3),(15,104,3,34,18,19,39,4,6),(15,104,3,34,19,36,31,5,2),(15,104,3,34,20,6,31,2,7),(15,104,3,34,21,18,NULL,5,NULL),(15,104,3,34,22,23,59,6,12),(15,104,3,34,23,5,30,1,10),(15,104,3,34,24,12,110,1,16),(15,104,3,34,25,2,24,1,1),(15,104,3,34,26,3,33,NULL,12),(15,104,3,34,27,1,25,NULL,5),(15,104,3,34,28,5,21,NULL,6),(15,104,3,34,29,5,106,3,15),(15,104,3,34,30,15,77,8,7),(15,108,1,11,1,NULL,NULL,NULL,NULL),(15,108,1,11,2,NULL,NULL,NULL,NULL),(15,108,1,11,3,NULL,NULL,NULL,NULL),(15,108,1,11,4,NULL,NULL,NULL,NULL),(15,108,1,11,5,NULL,NULL,NULL,NULL),(15,108,1,11,6,NULL,NULL,NULL,NULL),(15,108,1,11,7,NULL,NULL,NULL,NULL),(15,108,1,11,8,NULL,NULL,NULL,NULL),(15,108,1,11,9,NULL,NULL,NULL,NULL),(15,108,1,11,10,NULL,NULL,NULL,NULL),(15,108,1,11,11,NULL,NULL,NULL,NULL),(15,108,1,11,12,NULL,NULL,NULL,NULL),(15,108,1,11,13,NULL,NULL,NULL,NULL),(15,108,1,11,14,NULL,NULL,NULL,NULL),(15,108,1,11,15,NULL,NULL,NULL,NULL),(15,108,1,11,16,NULL,NULL,NULL,NULL),(15,108,1,11,17,NULL,NULL,NULL,NULL),(15,108,1,11,18,NULL,NULL,NULL,NULL),(15,108,1,11,19,NULL,NULL,NULL,NULL),(15,108,1,11,20,NULL,NULL,NULL,NULL),(15,108,1,12,1,1,2,1,NULL),(15,108,1,12,2,1,NULL,1,NULL),(15,108,1,12,3,1,3,1,1),(15,108,1,12,4,2,2,1,1),(15,108,1,12,5,2,NULL,2,NULL),(15,108,1,12,6,1,2,1,NULL),(15,108,1,12,7,2,1,1,1),(15,108,1,12,8,2,1,1,NULL),(15,108,1,12,9,1,NULL,1,NULL),(15,108,1,12,10,3,NULL,1,NULL),(15,108,1,12,11,3,NULL,2,NULL),(15,108,1,12,12,2,2,1,1),(15,108,1,12,13,4,NULL,2,NULL),(15,108,1,12,14,4,NULL,2,NULL),(15,108,1,12,15,3,1,2,NULL),(15,108,1,12,16,1,2,NULL,2),(15,108,1,12,17,3,NULL,2,NULL),(15,108,1,12,18,3,1,1,1),(15,108,1,12,19,3,1,1,1),(15,108,1,12,20,2,NULL,1,NULL),(15,108,1,13,1,NULL,NULL,NULL,NULL),(15,108,1,13,2,NULL,NULL,NULL,NULL),(15,108,1,13,3,NULL,NULL,NULL,NULL),(15,108,1,13,4,NULL,NULL,NULL,NULL),(15,108,1,13,5,NULL,NULL,NULL,NULL),(15,108,1,13,6,NULL,NULL,NULL,NULL),(15,108,1,13,7,NULL,NULL,NULL,NULL),(15,108,1,13,8,NULL,NULL,NULL,NULL),(15,108,1,13,9,NULL,NULL,NULL,NULL),(15,108,1,13,10,NULL,NULL,NULL,NULL),(15,108,1,13,11,NULL,NULL,NULL,NULL),(15,108,1,13,12,NULL,NULL,NULL,NULL),(15,108,1,13,13,NULL,NULL,NULL,NULL),(15,108,1,13,14,NULL,NULL,NULL,NULL),(15,108,1,13,15,NULL,NULL,NULL,NULL),(15,108,1,13,16,NULL,NULL,NULL,NULL),(15,108,1,13,17,NULL,NULL,NULL,NULL),(15,108,1,13,18,NULL,NULL,NULL,NULL),(15,108,1,13,19,NULL,NULL,NULL,NULL),(15,108,1,13,20,NULL,NULL,NULL,NULL),(15,108,1,14,1,83,35,13,3),(15,108,1,14,2,43,42,11,7),(15,108,1,14,3,32,76,11,8),(15,108,1,14,4,44,41,11,6),(15,108,1,14,5,21,61,7,8),(15,108,1,14,6,61,60,12,7),(15,108,1,14,7,54,27,15,4),(15,108,1,14,8,43,68,11,8),(15,108,1,14,9,57,NULL,14,NULL),(15,108,1,14,10,89,12,13,2),(15,108,1,14,11,20,39,7,6),(15,108,1,14,12,8,43,2,7),(15,108,1,14,13,25,29,9,9),(15,108,1,14,14,74,55,14,6),(15,108,1,14,15,103,NULL,19,NULL),(15,108,1,14,16,25,19,6,4),(15,108,1,14,17,45,15,12,1),(15,108,1,14,18,23,36,7,4),(15,108,1,14,19,41,36,10,8),(15,108,1,14,20,57,37,9,9),(15,108,1,15,1,74,53,14,5),(15,108,1,15,2,39,57,6,11),(15,108,1,15,3,34,71,11,8),(15,108,1,15,4,47,40,12,7),(15,108,1,15,5,22,57,9,8),(15,108,1,15,6,59,65,5,13),(15,108,1,15,7,67,19,14,5),(15,108,1,15,8,45,65,10,9),(15,108,1,15,9,62,NULL,14,NULL),(15,108,1,15,10,95,20,18,2),(15,108,1,15,11,19,41,10,10),(15,108,1,15,12,15,33,8,6),(15,108,1,15,13,26,31,7,7),(15,108,1,15,14,72,53,14,4),(15,108,1,15,15,114,NULL,21,NULL),(15,108,1,15,16,19,27,7,3),(15,108,1,15,17,46,20,13,4),(15,108,1,15,18,27,33,11,8),(15,108,1,15,19,50,33,17,3),(15,108,1,15,20,47,42,13,7),(15,108,1,16,1,43,44,6,4),(15,108,1,16,2,22,20,3,3),(15,108,1,16,3,15,69,5,6),(15,108,1,16,4,33,29,6,4),(15,108,1,16,5,21,39,4,4),(15,108,1,16,6,42,36,7,3),(15,108,1,16,7,42,9,10,NULL),(15,108,1,16,8,26,46,3,6),(15,108,1,16,9,38,NULL,5,NULL),(15,108,1,16,10,50,13,7,2),(15,108,1,16,11,46,29,3,5),(15,108,1,16,12,45,53,3,8),(15,108,1,16,13,17,88,1,10),(15,108,1,16,14,35,36,4,2),(15,108,1,16,15,20,19,5,1),(15,108,1,16,16,36,NULL,5,NULL),(15,108,1,16,17,24,34,3,4),(15,108,1,16,18,24,59,3,4),(15,108,1,16,19,5,8,1,NULL),(15,108,1,16,20,40,46,5,3),(15,108,1,17,1,30,40,1,2),(15,108,1,17,2,23,22,1,1),(15,108,1,17,3,20,54,NULL,3),(15,108,1,17,4,31,26,2,1),(15,108,1,17,5,14,36,NULL,3),(15,108,1,17,6,39,36,2,2),(15,108,1,17,7,31,13,1,1),(15,108,1,17,8,27,34,1,2),(15,108,1,17,9,22,NULL,3,NULL),(15,108,1,17,10,39,14,2,NULL),(15,108,1,17,11,35,26,2,NULL),(15,108,1,17,12,37,45,2,1),(15,108,1,17,13,12,68,NULL,4),(15,108,1,17,14,22,32,NULL,2),(15,108,1,17,15,15,17,NULL,1),(15,108,1,17,16,30,NULL,1,NULL),(15,108,1,17,17,14,32,1,2),(15,108,1,17,18,14,45,1,3),(15,108,1,17,19,13,6,NULL,NULL),(15,108,1,17,20,28,47,1,3),(15,108,2,21,1,14,32,8,4),(15,108,2,21,2,15,9,7,1),(15,108,2,21,3,9,21,2,4),(15,108,2,21,4,26,21,6,7),(15,108,2,21,5,49,27,13,NULL),(15,108,2,21,6,34,12,8,1),(15,108,2,21,7,13,2,5,NULL),(15,108,2,21,8,6,NULL,2,NULL),(15,108,2,21,9,24,26,9,2),(15,108,2,21,10,16,6,4,1),(15,108,2,21,11,24,28,5,2),(15,108,2,21,12,34,40,8,6),(15,108,2,21,13,57,15,12,1),(15,108,2,21,14,17,29,6,6),(15,108,2,21,15,35,36,9,7),(15,108,2,21,16,68,42,13,4),(15,108,2,21,17,15,26,7,3),(15,108,2,21,18,36,20,5,4),(15,108,2,21,19,21,61,4,6),(15,108,2,21,20,33,30,9,4),(15,108,2,21,21,12,17,5,3),(15,108,2,21,22,48,21,11,3),(15,108,2,21,23,19,34,4,7),(15,108,2,21,24,20,47,7,8),(15,108,2,21,25,56,NULL,14,NULL),(15,108,2,21,26,12,26,5,2),(15,108,2,21,27,7,34,1,14),(15,108,2,21,28,13,25,4,8),(15,108,2,21,29,48,57,12,5),(15,108,2,21,30,13,18,6,6),(15,108,2,22,1,16,22,5,5),(15,108,2,22,2,19,11,7,2),(15,108,2,22,3,9,29,1,7),(15,108,2,22,4,24,11,5,3),(15,108,2,22,5,47,23,10,5),(15,108,2,22,6,27,22,6,2),(15,108,2,22,7,20,7,8,NULL),(15,108,2,22,8,11,NULL,3,NULL),(15,108,2,22,9,26,30,7,5),(15,108,2,22,10,32,5,10,NULL),(15,108,2,22,11,17,28,4,2),(15,108,2,22,12,45,47,8,5),(15,108,2,22,13,63,18,10,4),(15,108,2,22,14,12,37,3,9),(15,108,2,22,15,17,56,2,11),(15,108,2,22,16,60,48,9,6),(15,108,2,22,17,9,32,3,4),(15,108,2,22,18,32,29,8,4),(15,108,2,22,19,13,63,1,13),(15,108,2,22,20,27,42,7,6),(15,108,2,22,21,11,13,4,2),(15,108,2,22,22,46,22,9,1),(15,108,2,22,23,19,38,8,3),(15,108,2,22,24,16,49,6,8),(15,108,2,22,25,72,NULL,15,NULL),(15,108,2,22,26,7,27,2,5),(15,108,2,22,27,17,43,3,11),(15,108,2,22,28,13,35,7,7),(15,108,2,22,29,45,74,7,9),(15,108,2,22,30,2,32,NULL,10),(15,108,2,23,1,17,25,1,4),(15,108,2,23,2,13,14,3,1),(15,108,2,23,3,4,21,2,1),(15,108,2,23,4,22,15,5,4),(15,108,2,23,5,46,25,6,2),(15,108,2,23,6,33,21,3,2),(15,108,2,23,7,9,4,7,NULL),(15,108,2,23,8,6,NULL,1,NULL),(15,108,2,23,9,23,30,4,1),(15,108,2,23,10,16,5,2,NULL),(15,108,2,23,11,21,34,2,5),(15,108,2,23,12,40,40,4,6),(15,108,2,23,13,58,22,10,1),(15,108,2,23,14,11,30,3,4),(15,108,2,23,15,22,50,6,3),(15,108,2,23,16,55,68,7,4),(15,108,2,23,17,19,27,4,4),(15,108,2,23,18,41,26,4,2),(15,108,2,23,19,28,56,2,5),(15,108,2,23,20,28,44,6,4),(15,108,2,23,21,10,17,2,NULL),(15,108,2,23,22,41,29,2,3),(15,108,2,23,23,20,32,4,1),(15,108,2,23,24,25,44,4,4),(15,108,2,23,25,67,NULL,11,NULL),(15,108,2,23,26,12,18,2,2),(15,108,2,23,27,13,36,2,4),(15,108,2,23,28,16,31,5,4),(15,108,2,23,29,57,70,7,3),(15,108,2,23,30,14,22,5,4),(15,108,2,24,1,15,24,3,4),(15,108,2,24,2,8,8,2,1),(15,108,2,24,3,8,17,NULL,3),(15,108,2,24,4,25,14,8,2),(15,108,2,24,5,39,30,7,4),(15,108,2,24,6,27,11,7,4),(15,108,2,24,7,13,9,4,3),(15,108,2,24,8,11,NULL,3,NULL),(15,108,2,24,9,18,17,4,2),(15,108,2,24,10,21,6,7,1),(15,108,2,24,11,26,25,4,2),(15,108,2,24,12,39,31,6,4),(15,108,2,24,13,46,21,6,6),(15,108,2,24,14,7,31,NULL,9),(15,108,2,24,15,38,33,4,8),(15,108,2,24,16,60,56,6,6),(15,108,2,24,17,8,28,2,5),(15,108,2,24,18,31,24,7,5),(15,108,2,24,19,18,63,1,6),(15,108,2,24,20,23,39,3,5),(15,108,2,24,21,9,17,2,5),(15,108,2,24,22,38,17,9,4),(15,108,2,24,23,22,20,6,4),(15,108,2,24,24,19,37,6,5),(15,108,2,24,25,55,NULL,12,NULL),(15,108,2,24,26,12,15,2,2),(15,108,2,24,27,12,36,1,10),(15,108,2,24,28,11,26,2,8),(15,108,2,24,29,53,56,5,10),(15,108,2,24,30,9,30,3,6),(15,108,3,31,1,69,56,6,9),(15,108,3,31,2,9,40,1,10),(15,108,3,31,3,41,23,10,NULL),(15,108,3,31,4,49,16,7,3),(15,108,3,31,5,30,41,3,10),(15,108,3,31,6,6,68,NULL,11),(15,108,3,31,7,4,37,3,5),(15,108,3,31,8,7,11,3,3),(15,108,3,31,9,11,22,5,6),(15,108,3,31,10,8,26,2,3),(15,108,3,31,11,4,14,2,3),(15,108,3,31,12,26,39,7,5),(15,108,3,31,13,5,31,NULL,5),(15,108,3,31,14,40,18,7,3),(15,108,3,31,15,39,31,7,5),(15,108,3,31,16,18,47,3,7),(15,108,3,31,17,69,29,11,2),(15,108,3,31,18,13,16,3,1),(15,108,3,31,19,16,16,1,3),(15,108,3,31,20,9,29,2,5),(15,108,3,31,21,11,NULL,4,NULL),(15,108,3,31,22,13,26,3,4),(15,108,3,31,23,3,15,1,5),(15,108,3,31,24,9,61,2,8),(15,108,3,31,25,4,13,1,5),(15,108,3,31,26,5,15,NULL,2),(15,108,3,31,27,1,12,NULL,2),(15,108,3,31,28,5,17,2,3),(15,108,3,31,29,3,51,1,9),(15,108,3,31,30,6,46,NULL,10),(15,108,3,32,1,85,60,6,5),(15,108,3,32,2,8,38,3,5),(15,108,3,32,3,32,22,5,4),(15,108,3,32,4,59,17,8,1),(15,108,3,32,5,37,36,6,4),(15,108,3,32,6,14,57,4,6),(15,108,3,32,7,4,38,2,2),(15,108,3,32,8,5,3,2,NULL),(15,108,3,32,9,13,22,4,1),(15,108,3,32,10,19,25,5,1),(15,108,3,32,11,2,16,NULL,4),(15,108,3,32,12,30,46,3,7),(15,108,3,32,13,13,27,5,3),(15,108,3,32,14,36,21,6,1),(15,108,3,32,15,44,34,10,NULL),(15,108,3,32,16,15,49,3,7),(15,108,3,32,17,78,42,11,NULL),(15,108,3,32,18,15,29,2,2),(15,108,3,32,19,18,18,NULL,2),(15,108,3,32,20,7,32,2,4),(15,108,3,32,21,9,NULL,1,NULL),(15,108,3,32,22,12,30,3,2),(15,108,3,32,23,4,7,3,3),(15,108,3,32,24,13,57,3,8),(15,108,3,32,25,6,13,1,3),(15,108,3,32,26,1,14,NULL,4),(15,108,3,32,27,5,15,NULL,2),(15,108,3,32,28,4,12,NULL,1),(15,108,3,32,29,2,59,2,8),(15,108,3,32,30,5,50,1,4),(15,108,3,33,1,83,50,14,3),(15,108,3,33,2,9,45,4,4),(15,108,3,33,3,39,22,10,3),(15,108,3,33,4,62,20,16,1),(15,108,3,33,5,26,49,3,11),(15,108,3,33,6,6,67,1,13),(15,108,3,33,7,11,33,6,7),(15,108,3,33,8,10,8,6,4),(15,108,3,33,9,15,22,6,2),(15,108,3,33,10,21,23,4,5),(15,108,3,33,11,5,20,1,6),(15,108,3,33,12,29,45,8,5),(15,108,3,33,13,7,37,3,7),(15,108,3,33,14,39,26,11,2),(15,108,3,33,15,50,32,9,5),(15,108,3,33,16,21,33,3,7),(15,108,3,33,17,67,34,15,2),(15,108,3,33,18,20,24,5,4),(15,108,3,33,19,31,16,3,3),(15,108,3,33,20,10,18,3,4),(15,108,3,33,21,19,NULL,4,NULL),(15,108,3,33,22,16,33,4,6),(15,108,3,33,23,1,11,NULL,5),(15,108,3,33,24,12,71,5,11),(15,108,3,33,25,7,13,3,3),(15,108,3,33,26,3,19,1,8),(15,108,3,33,27,1,16,1,5),(15,108,3,33,28,3,13,NULL,1),(15,108,3,33,29,1,67,1,10),(15,108,3,33,30,8,44,4,9),(15,108,3,34,1,64,61,12,4),(15,108,3,34,2,12,37,3,12),(15,108,3,34,3,39,27,9,5),(15,108,3,34,4,54,12,12,1),(15,108,3,34,5,29,36,5,9),(15,108,3,34,6,13,72,3,14),(15,108,3,34,7,6,40,4,5),(15,108,3,34,8,7,6,4,1),(15,108,3,34,9,22,22,9,4),(15,108,3,34,10,14,25,7,3),(15,108,3,34,11,2,16,NULL,4),(15,108,3,34,12,27,38,9,5),(15,108,3,34,13,3,26,NULL,6),(15,108,3,34,14,32,28,8,4),(15,108,3,34,15,48,25,15,1),(15,108,3,34,16,18,33,6,6),(15,108,3,34,17,66,35,15,NULL),(15,108,3,34,18,13,16,4,1),(15,108,3,34,19,23,26,2,1),(15,108,3,34,20,16,21,4,2),(15,108,3,34,21,21,NULL,3,NULL),(15,108,3,34,22,15,36,6,7),(15,108,3,34,23,3,16,NULL,8),(15,108,3,34,24,14,63,8,7),(15,108,3,34,25,1,12,1,4),(15,108,3,34,26,5,18,2,5),(15,108,3,34,27,1,14,NULL,5),(15,108,3,34,28,2,7,1,2),(15,108,3,34,29,4,53,4,5),(15,108,3,34,30,6,49,5,6),(15,201,1,11,1,2,1,NULL,NULL),(15,201,1,11,2,NULL,NULL,NULL,NULL),(15,201,1,11,3,NULL,1,NULL,NULL),(15,201,1,11,4,NULL,1,NULL,NULL),(15,201,1,11,5,NULL,1,NULL,NULL),(15,201,1,11,6,NULL,NULL,NULL,NULL),(15,201,1,11,7,1,NULL,NULL,NULL),(15,201,1,11,8,NULL,1,NULL,NULL),(15,201,1,11,9,1,NULL,NULL,NULL),(15,201,1,11,10,1,NULL,NULL,NULL),(15,201,1,11,11,1,NULL,NULL,NULL),(15,201,1,11,12,1,NULL,NULL,NULL),(15,201,1,11,13,1,NULL,NULL,NULL),(15,201,1,11,14,1,NULL,NULL,NULL),(15,201,1,11,15,NULL,1,NULL,NULL),(15,201,1,11,16,1,NULL,NULL,NULL),(15,201,1,11,17,NULL,NULL,NULL,NULL),(15,201,1,11,18,NULL,NULL,NULL,NULL),(15,201,1,11,19,1,NULL,NULL,NULL),(15,201,1,11,20,2,NULL,NULL,NULL),(15,201,1,12,1,NULL,NULL,NULL,NULL),(15,201,1,12,2,NULL,NULL,NULL,NULL),(15,201,1,12,3,NULL,NULL,NULL,NULL),(15,201,1,12,4,NULL,NULL,NULL,NULL),(15,201,1,12,5,NULL,NULL,NULL,NULL),(15,201,1,12,6,NULL,NULL,NULL,NULL),(15,201,1,12,7,NULL,NULL,NULL,NULL),(15,201,1,12,8,NULL,NULL,NULL,NULL),(15,201,1,12,9,NULL,NULL,NULL,NULL),(15,201,1,12,10,NULL,NULL,NULL,NULL),(15,201,1,12,11,NULL,NULL,NULL,NULL),(15,201,1,12,12,NULL,NULL,NULL,NULL),(15,201,1,12,13,NULL,NULL,NULL,NULL),(15,201,1,12,14,NULL,NULL,NULL,NULL),(15,201,1,12,15,NULL,NULL,NULL,NULL),(15,201,1,12,16,NULL,NULL,NULL,NULL),(15,201,1,12,17,NULL,NULL,NULL,NULL),(15,201,1,12,18,NULL,NULL,NULL,NULL),(15,201,1,12,19,NULL,NULL,NULL,NULL),(15,201,1,12,20,NULL,NULL,NULL,NULL),(15,201,1,13,1,NULL,1,NULL,NULL),(15,201,1,13,2,1,NULL,NULL,NULL),(15,201,1,13,3,NULL,1,NULL,NULL),(15,201,1,13,4,NULL,NULL,NULL,NULL),(15,201,1,13,5,NULL,NULL,NULL,NULL),(15,201,1,13,6,NULL,NULL,NULL,NULL),(15,201,1,13,7,NULL,1,NULL,NULL),(15,201,1,13,8,NULL,1,NULL,NULL),(15,201,1,13,9,NULL,NULL,NULL,NULL),(15,201,1,13,10,1,NULL,NULL,NULL),(15,201,1,13,11,1,NULL,NULL,NULL),(15,201,1,13,12,NULL,1,NULL,NULL),(15,201,1,13,13,NULL,NULL,NULL,NULL),(15,201,1,13,14,1,NULL,NULL,NULL),(15,201,1,13,15,NULL,NULL,NULL,NULL),(15,201,1,13,16,1,NULL,NULL,NULL),(15,201,1,13,17,1,NULL,NULL,NULL),(15,201,1,13,18,NULL,1,NULL,NULL),(15,201,1,13,19,NULL,NULL,NULL,NULL),(15,201,1,13,20,NULL,1,NULL,NULL),(15,201,1,14,1,82,40,22,4),(15,201,1,14,2,47,39,13,7),(15,201,1,14,3,24,76,12,13),(15,201,1,14,4,34,53,12,11),(15,201,1,14,5,16,67,5,13),(15,201,1,14,6,55,55,10,12),(15,201,1,14,7,49,18,24,1),(15,201,1,14,8,54,69,11,11),(15,201,1,14,9,59,NULL,19,NULL),(15,201,1,14,10,80,14,14,7),(15,201,1,14,11,20,38,9,8),(15,201,1,14,12,16,35,8,9),(15,201,1,14,13,28,32,8,10),(15,201,1,14,14,61,66,20,6),(15,201,1,14,15,99,NULL,24,NULL),(15,201,1,14,16,14,29,7,5),(15,201,1,14,17,49,16,14,3),(15,201,1,14,18,20,29,10,6),(15,201,1,14,19,47,23,11,10),(15,201,1,14,20,67,32,22,7),(15,201,1,15,1,87,57,16,10),(15,201,1,15,2,58,47,18,11),(15,201,1,15,3,26,79,12,20),(15,201,1,15,4,41,62,17,15),(15,201,1,15,5,16,69,14,17),(15,201,1,15,6,70,65,16,12),(15,201,1,15,7,58,29,25,6),(15,201,1,15,8,45,84,13,16),(15,201,1,15,9,65,NULL,26,NULL),(15,201,1,15,10,86,24,20,8),(15,201,1,15,11,23,47,17,11),(15,201,1,15,12,14,33,11,14),(15,201,1,15,13,37,31,12,12),(15,201,1,15,14,68,65,23,12),(15,201,1,15,15,119,NULL,35,NULL),(15,201,1,15,16,22,23,12,11),(15,201,1,15,17,46,23,18,10),(15,201,1,15,18,23,32,15,9),(15,201,1,15,19,57,28,22,7),(15,201,1,15,20,69,40,21,14),(15,201,1,16,1,44,39,11,3),(15,201,1,16,2,28,22,4,5),(15,201,1,16,3,12,54,4,9),(15,201,1,16,4,24,32,5,8),(15,201,1,16,5,13,38,3,8),(15,201,1,16,6,41,46,5,6),(15,201,1,16,7,33,15,9,4),(15,201,1,16,8,32,54,7,9),(15,201,1,16,9,39,NULL,8,NULL),(15,201,1,16,10,50,13,9,2),(15,201,1,16,11,54,27,10,5),(15,201,1,16,12,54,45,7,7),(15,201,1,16,13,20,83,NULL,14),(15,201,1,16,14,27,42,7,7),(15,201,1,16,15,18,14,2,3),(15,201,1,16,16,41,NULL,9,NULL),(15,201,1,16,17,19,42,2,9),(15,201,1,16,18,18,56,5,9),(15,201,1,16,19,10,10,NULL,2),(15,201,1,16,20,37,51,9,6),(15,201,1,17,1,40,35,10,3),(15,201,1,17,2,26,28,2,10),(15,201,1,17,3,21,48,5,9),(15,201,1,17,4,20,44,6,8),(15,201,1,17,5,10,47,NULL,10),(15,201,1,17,6,26,38,5,7),(15,201,1,17,7,34,13,10,3),(15,201,1,17,8,20,52,3,10),(15,201,1,17,9,36,NULL,11,NULL),(15,201,1,17,10,46,21,7,5),(15,201,1,17,11,38,30,8,7),(15,201,1,17,12,32,53,4,11),(15,201,1,17,13,21,72,NULL,15),(15,201,1,17,14,21,43,4,11),(15,201,1,17,15,14,20,1,7),(15,201,1,17,16,28,NULL,7,NULL),(15,201,1,17,17,22,38,5,8),(15,201,1,17,18,14,54,3,13),(15,201,1,17,19,10,12,3,3),(15,201,1,17,20,19,53,3,12),(15,201,2,21,1,11,27,6,10),(15,201,2,21,2,6,8,1,4),(15,201,2,21,3,8,21,3,7),(15,201,2,21,4,23,10,9,3),(15,201,2,21,5,39,31,14,4),(15,201,2,21,6,33,12,10,4),(15,201,2,21,7,11,9,9,2),(15,201,2,21,8,7,NULL,2,NULL),(15,201,2,21,9,10,19,6,3),(15,201,2,21,10,16,5,7,4),(15,201,2,21,11,28,22,11,3),(15,201,2,21,12,46,47,9,10),(15,201,2,21,13,64,19,17,4),(15,201,2,21,14,14,42,4,11),(15,201,2,21,15,39,37,10,6),(15,201,2,21,16,71,54,17,7),(15,201,2,21,17,20,31,4,9),(15,201,2,21,18,27,33,9,5),(15,201,2,21,19,23,60,2,20),(15,201,2,21,20,39,45,13,9),(15,201,2,21,21,24,26,7,7),(15,201,2,21,22,67,30,17,4),(15,201,2,21,23,42,35,13,7),(15,201,2,21,24,22,56,10,11),(15,201,2,21,25,105,NULL,20,NULL),(15,201,2,21,26,21,20,6,5),(15,201,2,21,27,13,64,5,15),(15,201,2,21,28,25,39,9,10),(15,201,2,21,29,78,51,18,5),(15,201,2,21,30,19,30,9,8),(15,201,2,22,1,14,19,8,5),(15,201,2,22,2,3,10,2,5),(15,201,2,22,3,9,25,3,7),(15,201,2,22,4,11,11,7,4),(15,201,2,22,5,33,31,10,9),(15,201,2,22,6,29,24,10,7),(15,201,2,22,7,15,5,6,3),(15,201,2,22,8,11,NULL,2,NULL),(15,201,2,22,9,20,13,10,3),(15,201,2,22,10,21,10,6,1),(15,201,2,22,11,26,28,11,6),(15,201,2,22,12,41,51,15,11),(15,201,2,22,13,63,30,16,4),(15,201,2,22,14,10,34,4,10),(15,201,2,22,15,25,49,7,12),(15,201,2,22,16,74,51,18,8),(15,201,2,22,17,10,41,3,11),(15,201,2,22,18,31,21,11,4),(15,201,2,22,19,21,59,3,18),(15,201,2,22,20,32,39,12,13),(15,201,2,22,21,15,24,13,4),(15,201,2,22,22,68,28,21,NULL),(15,201,2,22,23,31,44,14,5),(15,201,2,22,24,33,50,14,8),(15,201,2,22,25,89,NULL,23,NULL),(15,201,2,22,26,16,27,9,6),(15,201,2,22,27,29,44,8,16),(15,201,2,22,28,15,33,6,12),(15,201,2,22,29,68,58,19,6),(15,201,2,22,30,13,31,11,9),(15,201,2,23,1,14,18,6,5),(15,201,2,23,2,7,9,1,7),(15,201,2,23,3,11,25,2,3),(15,201,2,23,4,10,13,3,6),(15,201,2,23,5,33,28,8,5),(15,201,2,23,6,37,17,6,6),(15,201,2,23,7,12,9,7,1),(15,201,2,23,8,4,NULL,1,NULL),(15,201,2,23,9,8,19,4,7),(15,201,2,23,10,21,8,6,2),(15,201,2,23,11,24,32,10,7),(15,201,2,23,12,43,36,7,10),(15,201,2,23,13,59,25,11,10),(15,201,2,23,14,7,37,2,10),(15,201,2,23,15,27,46,7,12),(15,201,2,23,16,70,53,13,9),(15,201,2,23,17,12,26,5,5),(15,201,2,23,18,36,24,10,9),(15,201,2,23,19,20,65,7,9),(15,201,2,23,20,37,34,10,8),(15,201,2,23,21,19,23,10,2),(15,201,2,23,22,62,21,14,5),(15,201,2,23,23,30,49,11,6),(15,201,2,23,24,25,50,15,6),(15,201,2,23,25,95,NULL,22,NULL),(15,201,2,23,26,20,23,7,6),(15,201,2,23,27,15,48,8,12),(15,201,2,23,28,23,42,6,13),(15,201,2,23,29,69,55,14,7),(15,201,2,23,30,24,34,8,7),(15,201,2,24,1,11,24,3,7),(15,201,2,24,2,5,11,3,6),(15,201,2,24,3,3,24,NULL,4),(15,201,2,24,4,14,16,6,NULL),(15,201,2,24,5,51,20,11,2),(15,201,2,24,6,23,15,8,4),(15,201,2,24,7,11,7,7,1),(15,201,2,24,8,10,NULL,4,NULL),(15,201,2,24,9,15,22,5,4),(15,201,2,24,10,14,10,9,3),(15,201,2,24,11,25,39,6,5),(15,201,2,24,12,43,43,7,12),(15,201,2,24,13,66,26,10,8),(15,201,2,24,14,14,33,3,8),(15,201,2,24,15,27,41,7,6),(15,201,2,24,16,56,63,10,9),(15,201,2,24,17,11,32,4,6),(15,201,2,24,18,33,21,6,6),(15,201,2,24,19,19,70,1,12),(15,201,2,24,20,40,34,9,5),(15,201,2,24,21,15,24,7,5),(15,201,2,24,22,59,22,10,2),(15,201,2,24,23,30,34,13,2),(15,201,2,24,24,34,43,9,4),(15,201,2,24,25,89,NULL,20,NULL),(15,201,2,24,26,11,32,6,7),(15,201,2,24,27,19,37,3,11),(15,201,2,24,28,15,44,6,6),(15,201,2,24,29,76,60,18,3),(15,201,2,24,30,11,41,5,12),(15,201,3,31,1,90,50,17,5),(15,201,3,31,2,13,57,7,7),(15,201,3,31,3,36,25,8,6),(15,201,3,31,4,58,21,16,2),(15,201,3,31,5,36,48,11,8),(15,201,3,31,6,6,81,5,11),(15,201,3,31,7,12,40,5,9),(15,201,3,31,8,7,12,4,6),(15,201,3,31,9,14,23,7,6),(15,201,3,31,10,13,24,10,3),(15,201,3,31,11,4,23,1,2),(15,201,3,31,12,33,45,9,12),(15,201,3,31,13,5,37,2,8),(15,201,3,31,14,34,28,7,8),(15,201,3,31,15,42,38,14,6),(15,201,3,31,16,18,37,3,9),(15,201,3,31,17,69,30,15,6),(15,201,3,31,18,10,28,2,9),(15,201,3,31,19,18,25,3,6),(15,201,3,31,20,10,34,5,8),(15,201,3,31,21,9,NULL,7,NULL),(15,201,3,31,22,12,31,1,10),(15,201,3,31,23,1,21,NULL,8),(15,201,3,31,24,21,52,7,8),(15,201,3,31,25,9,15,1,4),(15,201,3,31,26,2,17,1,7),(15,201,3,31,27,2,12,NULL,6),(15,201,3,31,28,4,11,2,3),(15,201,3,31,29,2,72,1,13),(15,201,3,31,30,6,47,1,13),(15,201,3,32,1,93,47,16,7),(15,201,3,32,2,12,47,5,13),(15,201,3,32,3,43,25,17,6),(15,201,3,32,4,67,16,18,3),(15,201,3,32,5,39,39,11,12),(15,201,3,32,6,13,69,6,13),(15,201,3,32,7,10,42,4,7),(15,201,3,32,8,11,9,5,6),(15,201,3,32,9,22,34,8,9),(15,201,3,32,10,16,31,11,5),(15,201,3,32,11,11,18,2,3),(15,201,3,32,12,37,44,4,12),(15,201,3,32,13,11,33,4,5),(15,201,3,32,14,36,27,14,5),(15,201,3,32,15,47,42,14,4),(15,201,3,32,16,27,40,7,10),(15,201,3,32,17,75,40,16,5),(15,201,3,32,18,21,33,5,4),(15,201,3,32,19,17,18,3,5),(15,201,3,32,20,11,27,2,4),(15,201,3,32,21,11,NULL,7,NULL),(15,201,3,32,22,11,24,5,12),(15,201,3,32,23,3,16,NULL,8),(15,201,3,32,24,18,61,4,14),(15,201,3,32,25,7,15,2,6),(15,201,3,32,26,4,11,2,5),(15,201,3,32,27,7,19,2,7),(15,201,3,32,28,3,11,2,4),(15,201,3,32,29,4,62,NULL,16),(15,201,3,32,30,7,47,5,13),(15,201,3,33,1,84,56,20,6),(15,201,3,33,2,7,54,4,18),(15,201,3,33,3,45,27,20,6),(15,201,3,33,4,63,17,21,3),(15,201,3,33,5,30,49,10,15),(15,201,3,33,6,12,70,6,16),(15,201,3,33,7,10,41,10,5),(15,201,3,33,8,15,7,13,2),(15,201,3,33,9,22,28,14,7),(15,201,3,33,10,20,37,15,6),(15,201,3,33,11,6,19,NULL,6),(15,201,3,33,12,37,43,15,10),(15,201,3,33,13,9,33,5,15),(15,201,3,33,14,40,22,14,6),(15,201,3,33,15,41,42,17,7),(15,201,3,33,16,20,40,8,10),(15,201,3,33,17,84,33,23,3),(15,201,3,33,18,11,33,4,9),(15,201,3,33,19,22,24,4,6),(15,201,3,33,20,7,27,8,4),(15,201,3,33,21,14,NULL,6,NULL),(15,201,3,33,22,6,39,7,9),(15,201,3,33,23,4,9,2,4),(15,201,3,33,24,15,70,10,14),(15,201,3,33,25,9,16,4,6),(15,201,3,33,26,3,25,3,14),(15,201,3,33,27,1,18,1,5),(15,201,3,33,28,3,13,2,4),(15,201,3,33,29,1,62,2,21),(15,201,3,33,30,5,49,9,8),(15,201,3,34,1,76,67,16,10),(15,201,3,34,2,12,60,6,10),(15,201,3,34,3,67,26,18,7),(15,201,3,34,4,51,23,19,3),(15,201,3,34,5,26,53,11,12),(15,201,3,34,6,12,71,6,13),(15,201,3,34,7,7,45,3,15),(15,201,3,34,8,14,7,3,5),(15,201,3,34,9,21,24,12,5),(15,201,3,34,10,13,33,6,10),(15,201,3,34,11,3,15,NULL,2),(15,201,3,34,12,35,48,10,10),(15,201,3,34,13,17,27,5,9),(15,201,3,34,14,48,24,16,5),(15,201,3,34,15,48,44,15,8),(15,201,3,34,16,24,47,6,8),(15,201,3,34,17,70,45,22,2),(15,201,3,34,18,14,33,3,10),(15,201,3,34,19,19,25,4,4),(15,201,3,34,20,10,32,3,8),(15,201,3,34,21,16,NULL,8,NULL),(15,201,3,34,22,18,43,7,8),(15,201,3,34,23,2,18,NULL,5),(15,201,3,34,24,14,66,4,13),(15,201,3,34,25,7,20,2,7),(15,201,3,34,26,3,23,2,9),(15,201,3,34,27,4,23,1,6),(15,201,3,34,28,3,15,2,1),(15,201,3,34,29,7,66,3,16),(15,201,3,34,30,2,45,4,8),(15,202,1,11,1,1,1,NULL,NULL),(15,202,1,11,2,1,NULL,NULL,NULL),(15,202,1,11,3,NULL,1,NULL,NULL),(15,202,1,11,4,NULL,NULL,NULL,NULL),(15,202,1,11,5,NULL,1,NULL,NULL),(15,202,1,11,6,NULL,1,NULL,NULL),(15,202,1,11,7,1,NULL,NULL,NULL),(15,202,1,11,8,NULL,1,NULL,NULL),(15,202,1,11,9,NULL,NULL,NULL,NULL),(15,202,1,11,10,1,NULL,NULL,NULL),(15,202,1,11,11,NULL,NULL,NULL,NULL),(15,202,1,11,12,NULL,1,NULL,NULL),(15,202,1,11,13,NULL,NULL,NULL,NULL),(15,202,1,11,14,1,NULL,NULL,NULL),(15,202,1,11,15,NULL,1,NULL,NULL),(15,202,1,11,16,NULL,NULL,NULL,NULL),(15,202,1,11,17,2,NULL,NULL,NULL),(15,202,1,11,18,NULL,NULL,NULL,NULL),(15,202,1,11,19,1,NULL,NULL,NULL),(15,202,1,11,20,2,NULL,NULL,NULL),(15,202,1,12,1,NULL,NULL,NULL,NULL),(15,202,1,12,2,NULL,1,NULL,NULL),(15,202,1,12,3,NULL,1,NULL,NULL),(15,202,1,12,4,NULL,NULL,NULL,NULL),(15,202,1,12,5,NULL,NULL,NULL,NULL),(15,202,1,12,6,1,NULL,NULL,NULL),(15,202,1,12,7,NULL,NULL,NULL,NULL),(15,202,1,12,8,NULL,1,NULL,NULL),(15,202,1,12,9,NULL,NULL,NULL,NULL),(15,202,1,12,10,NULL,NULL,NULL,NULL),(15,202,1,12,11,NULL,NULL,NULL,NULL),(15,202,1,12,12,NULL,NULL,NULL,NULL),(15,202,1,12,13,NULL,NULL,NULL,NULL),(15,202,1,12,14,NULL,NULL,NULL,NULL),(15,202,1,12,15,NULL,1,NULL,NULL),(15,202,1,12,16,NULL,NULL,NULL,NULL),(15,202,1,12,17,NULL,NULL,NULL,NULL),(15,202,1,12,18,NULL,NULL,NULL,NULL),(15,202,1,12,19,NULL,NULL,NULL,NULL),(15,202,1,12,20,NULL,NULL,NULL,NULL),(15,202,1,13,1,NULL,NULL,NULL,NULL),(15,202,1,13,2,NULL,NULL,NULL,NULL),(15,202,1,13,3,NULL,NULL,NULL,NULL),(15,202,1,13,4,NULL,NULL,NULL,NULL),(15,202,1,13,5,NULL,NULL,NULL,NULL),(15,202,1,13,6,NULL,NULL,NULL,NULL),(15,202,1,13,7,NULL,NULL,NULL,NULL),(15,202,1,13,8,NULL,NULL,NULL,NULL),(15,202,1,13,9,NULL,NULL,NULL,NULL),(15,202,1,13,10,NULL,NULL,NULL,NULL),(15,202,1,13,11,NULL,NULL,NULL,NULL),(15,202,1,13,12,NULL,NULL,NULL,NULL),(15,202,1,13,13,NULL,NULL,NULL,NULL),(15,202,1,13,14,NULL,NULL,NULL,NULL),(15,202,1,13,15,NULL,NULL,NULL,NULL),(15,202,1,13,16,NULL,NULL,NULL,NULL),(15,202,1,13,17,NULL,NULL,NULL,NULL),(15,202,1,13,18,NULL,NULL,NULL,NULL),(15,202,1,13,19,NULL,NULL,NULL,NULL),(15,202,1,13,20,NULL,NULL,NULL,NULL),(15,202,1,14,1,66,42,24,11),(15,202,1,14,2,40,46,14,13),(15,202,1,14,3,18,69,7,27),(15,202,1,14,4,32,55,17,17),(15,202,1,14,5,18,49,6,20),(15,202,1,14,6,59,46,18,14),(15,202,1,14,7,46,18,25,5),(15,202,1,14,8,42,65,14,19),(15,202,1,14,9,63,NULL,28,NULL),(15,202,1,14,10,74,23,28,6),(15,202,1,14,11,22,42,13,13),(15,202,1,14,12,17,31,13,9),(15,202,1,14,13,38,29,13,8),(15,202,1,14,14,64,48,24,11),(15,202,1,14,15,103,NULL,34,NULL),(15,202,1,14,16,22,28,15,10),(15,202,1,14,17,55,19,26,2),(15,202,1,14,18,28,30,13,13),(15,202,1,14,19,60,31,30,7),(15,202,1,14,20,59,28,29,7),(15,202,1,15,1,80,34,24,11),(15,202,1,15,2,38,41,18,10),(15,202,1,15,3,18,60,11,26),(15,202,1,15,4,26,52,16,19),(15,202,1,15,5,15,53,13,19),(15,202,1,15,6,44,53,17,9),(15,202,1,15,7,34,19,20,7),(15,202,1,15,8,35,59,17,16),(15,202,1,15,9,62,NULL,27,NULL),(15,202,1,15,10,66,13,28,5),(15,202,1,15,11,16,23,10,11),(15,202,1,15,12,14,34,13,16),(15,202,1,15,13,28,21,13,10),(15,202,1,15,14,63,38,31,3),(15,202,1,15,15,97,NULL,35,NULL),(15,202,1,15,16,30,13,15,5),(15,202,1,15,17,46,16,22,7),(15,202,1,15,18,22,25,17,8),(15,202,1,15,19,40,36,23,8),(15,202,1,15,20,56,25,19,11),(15,202,1,16,1,27,29,4,3),(15,202,1,16,2,10,23,2,3),(15,202,1,16,3,6,31,NULL,6),(15,202,1,16,4,10,17,1,2),(15,202,1,16,5,5,22,2,5),(15,202,1,16,6,25,24,2,2),(15,202,1,16,7,18,7,3,3),(15,202,1,16,8,14,39,2,7),(15,202,1,16,9,28,NULL,7,NULL),(15,202,1,16,10,24,11,1,7),(15,202,1,16,11,28,17,4,4),(15,202,1,16,12,23,33,4,6),(15,202,1,16,13,11,53,1,8),(15,202,1,16,14,20,28,2,5),(15,202,1,16,15,15,11,2,2),(15,202,1,16,16,21,NULL,5,NULL),(15,202,1,16,17,7,19,NULL,5),(15,202,1,16,18,20,27,3,3),(15,202,1,16,19,8,6,NULL,2),(15,202,1,16,20,18,42,2,8),(15,202,1,17,1,26,36,5,2),(15,202,1,17,2,10,24,1,5),(15,202,1,17,3,4,40,NULL,8),(15,202,1,17,4,11,27,1,7),(15,202,1,17,5,2,30,1,7),(15,202,1,17,6,29,17,1,3),(15,202,1,17,7,21,14,3,3),(15,202,1,17,8,18,36,1,7),(15,202,1,17,9,24,NULL,4,NULL),(15,202,1,17,10,31,14,4,3),(15,202,1,17,11,27,17,3,3),(15,202,1,17,12,32,27,5,3),(15,202,1,17,13,12,46,1,7),(15,202,1,17,14,11,30,2,4),(15,202,1,17,15,10,7,1,3),(15,202,1,17,16,24,NULL,3,NULL),(15,202,1,17,17,13,24,2,6),(15,202,1,17,18,11,30,2,4),(15,202,1,17,19,11,8,1,1),(15,202,1,17,20,17,34,2,5),(15,202,2,21,1,16,23,5,10),(15,202,2,21,2,10,6,2,2),(15,202,2,21,3,7,21,NULL,4),(15,202,2,21,4,14,13,9,3),(15,202,2,21,5,34,24,14,5),(15,202,2,21,6,28,18,8,5),(15,202,2,21,7,11,5,8,1),(15,202,2,21,8,6,NULL,3,NULL),(15,202,2,21,9,8,18,3,7),(15,202,2,21,10,7,7,2,NULL),(15,202,2,21,11,31,16,7,6),(15,202,2,21,12,37,35,13,8),(15,202,2,21,13,44,19,10,8),(15,202,2,21,14,15,34,6,9),(15,202,2,21,15,23,30,6,11),(15,202,2,21,16,67,44,19,6),(15,202,2,21,17,5,33,2,13),(15,202,2,21,18,20,26,4,7),(15,202,2,21,19,24,56,4,17),(15,202,2,21,20,30,46,9,13),(15,202,2,21,21,17,13,8,4),(15,202,2,21,22,61,17,15,2),(15,202,2,21,23,26,31,11,7),(15,202,2,21,24,22,57,7,16),(15,202,2,21,25,86,NULL,23,NULL),(15,202,2,21,26,18,22,8,6),(15,202,2,21,27,16,34,5,12),(15,202,2,21,28,17,47,8,11),(15,202,2,21,29,62,45,18,5),(15,202,2,21,30,25,36,9,7),(15,202,2,22,1,11,12,10,8),(15,202,2,22,2,9,5,3,5),(15,202,2,22,3,8,11,3,9),(15,202,2,22,4,15,14,14,3),(15,202,2,22,5,32,29,12,9),(15,202,2,22,6,27,17,15,6),(15,202,2,22,7,17,5,13,1),(15,202,2,22,8,10,NULL,9,NULL),(15,202,2,22,9,16,13,7,8),(15,202,2,22,10,17,7,10,NULL),(15,202,2,22,11,23,18,10,5),(15,202,2,22,12,46,33,11,10),(15,202,2,22,13,53,16,19,6),(15,202,2,22,14,12,23,5,9),(15,202,2,22,15,29,36,10,10),(15,202,2,22,16,51,41,15,12),(15,202,2,22,17,13,21,6,3),(15,202,2,22,18,28,22,8,7),(15,202,2,22,19,15,51,2,17),(15,202,2,22,20,27,30,15,9),(15,202,2,22,21,17,24,10,3),(15,202,2,22,22,49,21,19,3),(15,202,2,22,23,29,31,18,3),(15,202,2,22,24,19,48,14,13),(15,202,2,22,25,81,NULL,25,NULL),(15,202,2,22,26,23,22,12,5),(15,202,2,22,27,16,31,10,17),(15,202,2,22,28,14,35,7,9),(15,202,2,22,29,66,33,25,4),(15,202,2,22,30,18,26,14,8),(15,202,2,23,1,11,21,9,7),(15,202,2,23,2,9,13,7,7),(15,202,2,23,3,7,17,3,4),(15,202,2,23,4,11,15,8,3),(15,202,2,23,5,28,24,12,5),(15,202,2,23,6,27,22,11,3),(15,202,2,23,7,9,3,7,1),(15,202,2,23,8,8,NULL,4,NULL),(15,202,2,23,9,8,18,6,3),(15,202,2,23,10,19,8,9,3),(15,202,2,23,11,20,21,11,2),(15,202,2,23,12,35,31,5,11),(15,202,2,23,13,53,21,15,6),(15,202,2,23,14,6,28,1,12),(15,202,2,23,15,24,29,11,8),(15,202,2,23,16,50,42,18,5),(15,202,2,23,17,11,22,3,7),(15,202,2,23,18,31,26,10,6),(15,202,2,23,19,8,50,3,15),(15,202,2,23,20,19,39,11,8),(15,202,2,23,21,23,12,13,1),(15,202,2,23,22,47,15,12,3),(15,202,2,23,23,38,23,14,3),(15,202,2,23,24,24,40,10,10),(15,202,2,23,25,72,NULL,19,NULL),(15,202,2,23,26,19,22,8,8),(15,202,2,23,27,13,38,2,12),(15,202,2,23,28,15,45,8,9),(15,202,2,23,29,74,29,22,2),(15,202,2,23,30,26,30,15,6),(15,202,2,24,1,9,22,5,7),(15,202,2,24,2,8,5,7,3),(15,202,2,24,3,4,17,NULL,4),(15,202,2,24,4,6,9,4,4),(15,202,2,24,5,22,25,12,5),(15,202,2,24,6,17,13,11,5),(15,202,2,24,7,14,2,10,1),(15,202,2,24,8,6,NULL,2,NULL),(15,202,2,24,9,9,12,6,3),(15,202,2,24,10,9,7,6,2),(15,202,2,24,11,19,22,8,2),(15,202,2,24,12,42,20,10,8),(15,202,2,24,13,42,9,13,4),(15,202,2,24,14,7,29,2,8),(15,202,2,24,15,21,25,7,6),(15,202,2,24,16,55,30,14,7),(15,202,2,24,17,13,22,3,5),(15,202,2,24,18,27,22,9,7),(15,202,2,24,19,13,47,2,12),(15,202,2,24,20,33,27,12,10),(15,202,2,24,21,13,17,4,1),(15,202,2,24,22,52,14,12,4),(15,202,2,24,23,21,23,8,5),(15,202,2,24,24,14,37,9,6),(15,202,2,24,25,65,NULL,18,NULL),(15,202,2,24,26,16,18,10,1),(15,202,2,24,27,13,33,7,12),(15,202,2,24,28,16,32,8,10),(15,202,2,24,29,51,36,18,4),(15,202,2,24,30,18,20,10,6),(15,202,3,31,1,67,29,17,5),(15,202,3,31,2,9,45,3,17),(15,202,3,31,3,42,14,17,NULL),(15,202,3,31,4,49,9,19,1),(15,202,3,31,5,25,41,9,10),(15,202,3,31,6,13,45,8,9),(15,202,3,31,7,13,26,8,4),(15,202,3,31,8,10,10,8,6),(15,202,3,31,9,33,23,14,4),(15,202,3,31,10,20,17,10,7),(15,202,3,31,11,4,18,3,6),(15,202,3,31,12,21,26,7,12),(15,202,3,31,13,5,22,3,5),(15,202,3,31,14,31,19,12,9),(15,202,3,31,15,32,21,13,4),(15,202,3,31,16,15,24,10,7),(15,202,3,31,17,47,30,17,4),(15,202,3,31,18,8,20,5,4),(15,202,3,31,19,14,14,7,4),(15,202,3,31,20,9,24,4,9),(15,202,3,31,21,8,NULL,6,NULL),(15,202,3,31,22,10,24,7,10),(15,202,3,31,23,4,8,3,4),(15,202,3,31,24,11,39,9,12),(15,202,3,31,25,3,14,4,8),(15,202,3,31,26,1,13,2,5),(15,202,3,31,27,2,17,1,8),(15,202,3,31,28,5,10,2,5),(15,202,3,31,29,3,44,1,12),(15,202,3,31,30,3,27,2,10),(15,202,3,32,1,66,40,18,6),(15,202,3,32,2,12,52,9,11),(15,202,3,32,3,45,24,14,6),(15,202,3,32,4,64,12,21,3),(15,202,3,32,5,31,31,10,8),(15,202,3,32,6,10,57,8,11),(15,202,3,32,7,10,28,7,6),(15,202,3,32,8,12,11,11,3),(15,202,3,32,9,39,27,16,5),(15,202,3,32,10,32,23,14,5),(15,202,3,32,11,3,16,1,5),(15,202,3,32,12,30,32,9,11),(15,202,3,32,13,8,26,1,8),(15,202,3,32,14,34,26,12,8),(15,202,3,32,15,43,28,17,3),(15,202,3,32,16,15,36,7,9),(15,202,3,32,17,56,27,19,3),(15,202,3,32,18,14,19,5,5),(15,202,3,32,19,23,19,6,2),(15,202,3,32,20,4,24,6,6),(15,202,3,32,21,8,NULL,7,NULL),(15,202,3,32,22,9,30,8,8),(15,202,3,32,23,4,14,4,7),(15,202,3,32,24,18,45,12,8),(15,202,3,32,25,6,15,3,8),(15,202,3,32,26,9,14,4,6),(15,202,3,32,27,2,17,2,6),(15,202,3,32,28,5,14,3,3),(15,202,3,32,29,4,48,3,17),(15,202,3,32,30,3,28,5,6),(15,202,3,33,1,77,30,23,6),(15,202,3,33,2,11,46,10,14),(15,202,3,33,3,42,17,21,5),(15,202,3,33,4,61,14,27,1),(15,202,3,33,5,33,47,19,10),(15,202,3,33,6,8,52,8,17),(15,202,3,33,7,13,35,15,9),(15,202,3,33,8,18,12,15,3),(15,202,3,33,9,43,25,21,4),(15,202,3,33,10,33,20,19,2),(15,202,3,33,11,1,19,1,4),(15,202,3,33,12,35,26,11,12),(15,202,3,33,13,7,26,3,10),(15,202,3,33,14,41,14,17,9),(15,202,3,33,15,44,25,19,5),(15,202,3,33,16,14,36,5,11),(15,202,3,33,17,62,30,20,7),(15,202,3,33,18,9,21,5,6),(15,202,3,33,19,17,12,6,5),(15,202,3,33,20,9,23,6,8),(15,202,3,33,21,11,NULL,11,NULL),(15,202,3,33,22,10,29,11,15),(15,202,3,33,23,4,13,7,7),(15,202,3,33,24,18,53,16,9),(15,202,3,33,25,8,9,6,10),(15,202,3,33,26,5,23,7,11),(15,202,3,33,27,2,12,4,8),(15,202,3,33,28,1,6,2,5),(15,202,3,33,29,4,52,4,16),(15,202,3,33,30,10,29,10,10),(15,202,3,34,1,78,40,20,4),(15,202,3,34,2,15,54,9,11),(15,202,3,34,3,48,22,17,1),(15,202,3,34,4,57,14,22,1),(15,202,3,34,5,29,38,10,8),(15,202,3,34,6,11,52,4,14),(15,202,3,34,7,5,44,4,12),(15,202,3,34,8,10,17,8,6),(15,202,3,34,9,45,25,15,3),(15,202,3,34,10,35,18,14,2),(15,202,3,34,11,6,12,1,5),(15,202,3,34,12,30,39,10,10),(15,202,3,34,13,3,30,1,7),(15,202,3,34,14,39,23,14,5),(15,202,3,34,15,40,26,15,6),(15,202,3,34,16,19,47,7,15),(15,202,3,34,17,56,39,14,4),(15,202,3,34,18,15,20,5,5),(15,202,3,34,19,20,16,8,3),(15,202,3,34,20,12,30,8,6),(15,202,3,34,21,12,NULL,10,NULL),(15,202,3,34,22,8,33,6,7),(15,202,3,34,23,6,12,5,4),(15,202,3,34,24,20,53,9,7),(15,202,3,34,25,8,16,5,6),(15,202,3,34,26,3,18,1,7),(15,202,3,34,27,1,13,2,6),(15,202,3,34,28,5,11,3,2),(15,202,3,34,29,3,58,1,10),(15,202,3,34,30,6,33,3,8),(15,203,1,11,1,7,4,1,NULL),(15,203,1,11,2,1,6,NULL,1),(15,203,1,11,3,NULL,6,NULL,1),(15,203,1,11,4,NULL,5,NULL,1),(15,203,1,11,5,NULL,5,NULL,1),(15,203,1,11,6,5,6,NULL,1),(15,203,1,11,7,4,2,1,NULL),(15,203,1,11,8,2,2,NULL,NULL),(15,203,1,11,9,3,NULL,1,NULL),(15,203,1,11,10,6,3,NULL,1),(15,203,1,11,11,6,1,1,NULL),(15,203,1,11,12,6,5,1,NULL),(15,203,1,11,13,10,NULL,1,NULL),(15,203,1,11,14,8,1,1,NULL),(15,203,1,11,15,10,2,1,NULL),(15,203,1,11,16,7,NULL,1,NULL),(15,203,1,11,17,9,NULL,1,NULL),(15,203,1,11,18,6,NULL,NULL,NULL),(15,203,1,11,19,9,NULL,1,NULL),(15,203,1,11,20,11,1,1,NULL),(15,203,1,12,1,3,NULL,3,NULL),(15,203,1,12,2,2,NULL,2,NULL),(15,203,1,12,3,1,2,1,2),(15,203,1,12,4,3,NULL,3,NULL),(15,203,1,12,5,NULL,1,NULL,1),(15,203,1,12,6,2,1,2,1),(15,203,1,12,7,1,NULL,1,NULL),(15,203,1,12,8,2,NULL,2,NULL),(15,203,1,12,9,3,NULL,3,NULL),(15,203,1,12,10,NULL,1,NULL,1),(15,203,1,12,11,1,NULL,1,NULL),(15,203,1,12,12,3,NULL,3,NULL),(15,203,1,12,13,3,NULL,3,NULL),(15,203,1,12,14,1,NULL,1,NULL),(15,203,1,12,15,2,NULL,2,NULL),(15,203,1,12,16,2,1,2,1),(15,203,1,12,17,3,NULL,3,NULL),(15,203,1,12,18,3,NULL,3,NULL),(15,203,1,12,19,2,NULL,2,NULL),(15,203,1,12,20,3,NULL,3,NULL),(15,203,1,13,1,2,2,NULL,NULL),(15,203,1,13,2,NULL,NULL,NULL,NULL),(15,203,1,13,3,NULL,2,NULL,NULL),(15,203,1,13,4,1,NULL,NULL,NULL),(15,203,1,13,5,NULL,1,NULL,NULL),(15,203,1,13,6,2,NULL,NULL,NULL),(15,203,1,13,7,NULL,NULL,NULL,NULL),(15,203,1,13,8,NULL,3,NULL,NULL),(15,203,1,13,9,NULL,NULL,NULL,NULL),(15,203,1,13,10,2,NULL,NULL,NULL),(15,203,1,13,11,5,NULL,NULL,NULL),(15,203,1,13,12,3,NULL,NULL,NULL),(15,203,1,13,13,NULL,NULL,NULL,NULL),(15,203,1,13,14,2,1,NULL,NULL),(15,203,1,13,15,3,NULL,NULL,NULL),(15,203,1,13,16,3,1,NULL,NULL),(15,203,1,13,17,3,NULL,NULL,NULL),(15,203,1,13,18,NULL,1,NULL,NULL),(15,203,1,13,19,NULL,NULL,NULL,NULL),(15,203,1,13,20,NULL,2,NULL,NULL),(15,203,1,14,1,188,93,31,5),(15,203,1,14,2,130,87,19,19),(15,203,1,14,3,62,173,14,25),(15,203,1,14,4,104,96,24,14),(15,203,1,14,5,47,139,12,25),(15,203,1,14,6,133,120,24,10),(15,203,1,14,7,137,43,31,7),(15,203,1,14,8,114,163,22,18),(15,203,1,14,9,145,NULL,32,NULL),(15,203,1,14,10,184,39,32,4),(15,203,1,14,11,61,92,18,14),(15,203,1,14,12,59,72,17,12),(15,203,1,14,13,92,57,22,7),(15,203,1,14,14,171,81,33,6),(15,203,1,14,15,242,NULL,41,NULL),(15,203,1,14,16,61,44,15,12),(15,203,1,14,17,139,48,34,5),(15,203,1,14,18,82,66,19,12),(15,203,1,14,19,143,68,31,7),(15,203,1,14,20,160,68,30,10),(15,203,1,15,1,174,113,25,11),(15,203,1,15,2,123,90,23,10),(15,203,1,15,3,57,172,14,24),(15,203,1,15,4,107,108,21,16),(15,203,1,15,5,53,153,14,24),(15,203,1,15,6,148,117,21,13),(15,203,1,15,7,132,47,26,6),(15,203,1,15,8,108,165,23,14),(15,203,1,15,9,130,NULL,26,NULL),(15,203,1,15,10,192,47,29,6),(15,203,1,15,11,57,100,16,20),(15,203,1,15,12,55,85,16,13),(15,203,1,15,13,101,68,27,5),(15,203,1,15,14,173,97,25,12),(15,203,1,15,15,264,NULL,40,NULL),(15,203,1,15,16,62,48,14,7),(15,203,1,15,17,137,54,29,5),(15,203,1,15,18,80,76,19,12),(15,203,1,15,19,138,66,28,8),(15,203,1,15,20,176,72,25,12),(15,203,1,16,1,51,42,2,2),(15,203,1,16,2,28,29,NULL,3),(15,203,1,16,3,10,63,NULL,4),(15,203,1,16,4,22,32,2,1),(15,203,1,16,5,11,39,2,1),(15,203,1,16,6,46,38,NULL,3),(15,203,1,16,7,39,16,2,2),(15,203,1,16,8,33,61,1,2),(15,203,1,16,9,49,NULL,4,NULL),(15,203,1,16,10,50,17,2,1),(15,203,1,16,11,54,31,NULL,4),(15,203,1,16,12,48,54,3,1),(15,203,1,16,13,16,92,NULL,4),(15,203,1,16,14,38,40,1,3),(15,203,1,16,15,15,16,NULL,2),(15,203,1,16,16,32,NULL,2,NULL),(15,203,1,16,17,25,36,1,3),(15,203,1,16,18,29,46,NULL,4),(15,203,1,16,19,12,12,1,NULL),(15,203,1,16,20,32,63,1,3),(15,203,1,17,1,45,46,2,4),(15,203,1,17,2,26,35,2,3),(15,203,1,17,3,18,59,3,5),(15,203,1,17,4,25,41,2,3),(15,203,1,17,5,13,45,2,3),(15,203,1,17,6,35,54,1,6),(15,203,1,17,7,37,21,6,1),(15,203,1,17,8,33,61,2,5),(15,203,1,17,9,47,NULL,7,NULL),(15,203,1,17,10,50,23,3,3),(15,203,1,17,11,43,33,1,6),(15,203,1,17,12,38,57,2,6),(15,203,1,17,13,19,84,1,6),(15,203,1,17,14,23,38,2,5),(15,203,1,17,15,13,22,1,2),(15,203,1,17,16,43,NULL,5,NULL),(15,203,1,17,17,29,36,2,4),(15,203,1,17,18,21,49,3,4),(15,203,1,17,19,9,14,NULL,NULL),(15,203,1,17,20,21,66,1,6),(15,203,2,21,1,42,58,10,5),(15,203,2,21,2,17,22,8,6),(15,203,2,21,3,14,47,2,8),(15,203,2,21,4,45,22,9,5),(15,203,2,21,5,72,49,14,4),(15,203,2,21,6,62,26,16,NULL),(15,203,2,21,7,35,8,9,2),(15,203,2,21,8,21,NULL,10,NULL),(15,203,2,21,9,36,40,3,8),(15,203,2,21,10,44,14,14,1),(15,203,2,21,11,55,44,12,5),(15,203,2,21,12,91,66,13,5),(15,203,2,21,13,120,34,18,3),(15,203,2,21,14,31,68,6,9),(15,203,2,21,15,79,62,12,7),(15,203,2,21,16,150,78,21,3),(15,203,2,21,17,25,52,6,7),(15,203,2,21,18,55,46,6,8),(15,203,2,21,19,53,112,5,15),(15,203,2,21,20,81,83,11,11),(15,203,2,21,21,60,42,12,3),(15,203,2,21,22,142,37,24,NULL),(15,203,2,21,23,76,40,13,2),(15,203,2,21,24,68,100,15,7),(15,203,2,21,25,164,NULL,21,NULL),(15,203,2,21,26,65,40,17,2),(15,203,2,21,27,42,85,9,11),(15,203,2,21,28,44,79,11,12),(15,203,2,21,29,153,79,21,2),(15,203,2,21,30,52,57,13,10),(15,203,2,22,1,37,52,7,7),(15,203,2,22,2,20,28,6,7),(15,203,2,22,3,12,41,1,6),(15,203,2,22,4,45,24,11,5),(15,203,2,22,5,80,58,11,7),(15,203,2,22,6,68,37,16,3),(15,203,2,22,7,61,7,17,2),(15,203,2,22,8,24,NULL,6,NULL),(15,203,2,22,9,50,41,11,5),(15,203,2,22,10,63,13,11,4),(15,203,2,22,11,56,53,11,5),(15,203,2,22,12,105,62,12,7),(15,203,2,22,13,116,43,18,4),(15,203,2,22,14,19,74,3,12),(15,203,2,22,15,76,68,10,8),(15,203,2,22,16,135,82,17,4),(15,203,2,22,17,30,59,6,8),(15,203,2,22,18,50,61,8,8),(15,203,2,22,19,30,110,2,13),(15,203,2,22,20,83,77,16,4),(15,203,2,22,21,50,41,11,6),(15,203,2,22,22,138,24,15,2),(15,203,2,22,23,77,56,14,3),(15,203,2,22,24,80,97,15,7),(15,203,2,22,25,185,NULL,23,NULL),(15,203,2,22,26,51,60,15,3),(15,203,2,22,27,58,81,14,6),(15,203,2,22,28,52,76,13,4),(15,203,2,22,29,154,65,21,NULL),(15,203,2,22,30,56,55,10,8),(15,203,2,23,1,44,48,14,7),(15,203,2,23,2,24,30,8,7),(15,203,2,23,3,14,40,1,7),(15,203,2,23,4,51,23,17,2),(15,203,2,23,5,87,35,18,2),(15,203,2,23,6,72,30,14,3),(15,203,2,23,7,39,13,13,2),(15,203,2,23,8,16,NULL,4,NULL),(15,203,2,23,9,39,45,9,5),(15,203,2,23,10,44,16,15,1),(15,203,2,23,11,62,36,12,4),(15,203,2,23,12,62,64,11,9),(15,203,2,23,13,128,31,19,5),(15,203,2,23,14,22,71,5,13),(15,203,2,23,15,75,63,8,12),(15,203,2,23,16,138,66,17,6),(15,203,2,23,17,19,61,4,8),(15,203,2,23,18,57,58,8,8),(15,203,2,23,19,44,102,3,17),(15,203,2,23,20,81,76,19,4),(15,203,2,23,21,60,31,15,4),(15,203,2,23,22,130,29,18,2),(15,203,2,23,23,80,44,15,3),(15,203,2,23,24,73,87,16,8),(15,203,2,23,25,175,NULL,24,NULL),(15,203,2,23,26,55,48,13,7),(15,203,2,23,27,57,74,14,8),(15,203,2,23,28,62,69,18,1),(15,203,2,23,29,160,65,22,2),(15,203,2,23,30,71,44,16,2),(15,203,2,24,1,37,58,11,12),(15,203,2,24,2,16,29,7,7),(15,203,2,24,3,8,36,1,6),(15,203,2,24,4,49,29,13,5),(15,203,2,24,5,93,46,20,3),(15,203,2,24,6,71,31,13,6),(15,203,2,24,7,54,6,17,NULL),(15,203,2,24,8,17,NULL,4,NULL),(15,203,2,24,9,32,40,9,9),(15,203,2,24,10,54,13,13,2),(15,203,2,24,11,65,50,15,2),(15,203,2,24,12,98,62,15,9),(15,203,2,24,13,136,33,22,4),(15,203,2,24,14,25,66,7,15),(15,203,2,24,15,70,80,10,15),(15,203,2,24,16,147,79,25,2),(15,203,2,24,17,32,63,8,11),(15,203,2,24,18,59,53,11,12),(15,203,2,24,19,43,131,3,21),(15,203,2,24,20,90,79,17,8),(15,203,2,24,21,50,49,12,9),(15,203,2,24,22,128,39,22,2),(15,203,2,24,23,86,40,16,3),(15,203,2,24,24,87,88,22,5),(15,203,2,24,25,175,NULL,26,NULL),(15,203,2,24,26,62,39,17,6),(15,203,2,24,27,54,79,16,7),(15,203,2,24,28,54,77,18,10),(15,203,2,24,29,162,76,25,4),(15,203,2,24,30,62,60,13,7),(15,203,3,31,1,173,78,24,5),(15,203,3,31,2,33,117,9,16),(15,203,3,31,3,123,28,21,3),(15,203,3,31,4,148,23,25,1),(15,203,3,31,5,80,85,14,10),(15,203,3,31,6,41,131,14,12),(15,203,3,31,7,45,66,9,6),(15,203,3,31,8,58,37,15,8),(15,203,3,31,9,84,45,20,3),(15,203,3,31,10,68,43,13,6),(15,203,3,31,11,9,39,3,5),(15,203,3,31,12,72,80,10,16),(15,203,3,31,13,15,43,6,7),(15,203,3,31,14,95,53,16,9),(15,203,3,31,15,125,41,24,2),(15,203,3,31,16,45,87,8,15),(15,203,3,31,17,159,50,25,1),(15,203,3,31,18,36,52,11,6),(15,203,3,31,19,36,46,5,7),(15,203,3,31,20,33,49,8,7),(15,203,3,31,21,54,NULL,18,NULL),(15,203,3,31,22,42,75,9,13),(15,203,3,31,23,28,28,10,5),(15,203,3,31,24,72,101,19,7),(15,203,3,31,25,29,42,6,11),(15,203,3,31,26,16,46,6,11),(15,203,3,31,27,14,55,6,12),(15,203,3,31,28,21,35,7,8),(15,203,3,31,29,15,136,7,18),(15,203,3,31,30,38,80,14,10),(15,203,3,32,1,159,75,21,3),(15,203,3,32,2,46,97,10,11),(15,203,3,32,3,109,29,19,1),(15,203,3,32,4,151,20,22,2),(15,203,3,32,5,70,84,14,9),(15,203,3,32,6,37,117,8,15),(15,203,3,32,7,52,65,14,4),(15,203,3,32,8,59,25,17,5),(15,203,3,32,9,77,35,18,4),(15,203,3,32,10,70,44,13,6),(15,203,3,32,11,5,36,2,5),(15,203,3,32,12,75,75,12,10),(15,203,3,32,13,15,54,2,11),(15,203,3,32,14,100,37,20,4),(15,203,3,32,15,121,46,21,2),(15,203,3,32,16,43,81,5,15),(15,203,3,32,17,145,53,19,5),(15,203,3,32,18,31,44,7,6),(15,203,3,32,19,34,38,8,4),(15,203,3,32,20,31,47,4,9),(15,203,3,32,21,36,NULL,11,NULL),(15,203,3,32,22,49,65,12,9),(15,203,3,32,23,27,41,10,5),(15,203,3,32,24,71,95,15,9),(15,203,3,32,25,24,31,7,10),(15,203,3,32,26,25,49,6,12),(15,203,3,32,27,18,46,6,10),(15,203,3,32,28,19,32,4,3),(15,203,3,32,29,13,114,7,17),(15,203,3,32,30,30,70,10,7),(15,203,3,33,1,160,72,20,3),(15,203,3,33,2,38,113,7,12),(15,203,3,33,3,130,39,22,1),(15,203,3,33,4,149,33,22,1),(15,203,3,33,5,85,79,16,6),(15,203,3,33,6,43,123,11,12),(15,203,3,33,7,55,67,12,3),(15,203,3,33,8,51,20,14,3),(15,203,3,33,9,74,63,15,6),(15,203,3,33,10,72,34,11,6),(15,203,3,33,11,8,37,1,3),(15,203,3,33,12,69,77,12,9),(15,203,3,33,13,23,50,8,7),(15,203,3,33,14,93,53,14,4),(15,203,3,33,15,96,53,15,6),(15,203,3,33,16,35,78,10,7),(15,203,3,33,17,143,57,20,2),(15,203,3,33,18,40,55,10,8),(15,203,3,33,19,45,34,6,3),(15,203,3,33,20,25,51,3,8),(15,203,3,33,21,40,NULL,6,NULL),(15,203,3,33,22,43,76,12,4),(15,203,3,33,23,21,33,9,4),(15,203,3,33,24,71,103,18,5),(15,203,3,33,25,17,40,4,9),(15,203,3,33,26,25,56,8,9),(15,203,3,33,27,12,42,2,9),(15,203,3,33,28,11,29,2,5),(15,203,3,33,29,14,131,4,18),(15,203,3,33,30,35,88,11,7),(15,203,3,34,1,155,93,20,4),(15,203,3,34,2,43,106,11,10),(15,203,3,34,3,119,36,18,4),(15,203,3,34,4,139,28,19,3),(15,203,3,34,5,79,89,12,9),(15,203,3,34,6,40,128,5,14),(15,203,3,34,7,33,80,10,7),(15,203,3,34,8,37,30,11,5),(15,203,3,34,9,75,51,16,2),(15,203,3,34,10,66,51,15,4),(15,203,3,34,11,10,34,3,1),(15,203,3,34,12,71,80,7,14),(15,203,3,34,13,14,44,3,7),(15,203,3,34,14,94,47,16,7),(15,203,3,34,15,113,47,17,6),(15,203,3,34,16,47,74,7,12),(15,203,3,34,17,156,57,18,4),(15,203,3,34,18,39,46,10,6),(15,203,3,34,19,57,33,11,5),(15,203,3,34,20,27,50,5,8),(15,203,3,34,21,37,NULL,10,NULL),(15,203,3,34,22,35,89,10,10),(15,203,3,34,23,29,36,11,5),(15,203,3,34,24,68,111,16,6),(15,203,3,34,25,23,36,6,10),(15,203,3,34,26,20,52,5,9),(15,203,3,34,27,19,39,6,9),(15,203,3,34,28,16,23,8,5),(15,203,3,34,29,10,129,3,17),(15,203,3,34,30,31,84,8,11),(15,207,1,11,1,1,1,1,NULL),(15,207,1,11,2,NULL,2,NULL,1),(15,207,1,11,3,NULL,2,NULL,1),(15,207,1,11,4,1,NULL,1,NULL),(15,207,1,11,5,NULL,1,NULL,1),(15,207,1,11,6,1,NULL,1,NULL),(15,207,1,11,7,NULL,1,NULL,1),(15,207,1,11,8,1,NULL,NULL,NULL),(15,207,1,11,9,NULL,NULL,NULL,NULL),(15,207,1,11,10,1,NULL,NULL,NULL),(15,207,1,11,11,2,NULL,1,NULL),(15,207,1,11,12,1,1,NULL,1),(15,207,1,11,13,2,NULL,1,NULL),(15,207,1,11,14,1,NULL,NULL,NULL),(15,207,1,11,15,2,NULL,1,NULL),(15,207,1,11,16,1,NULL,1,NULL),(15,207,1,11,17,2,NULL,1,NULL),(15,207,1,11,18,NULL,NULL,NULL,NULL),(15,207,1,11,19,1,NULL,NULL,NULL),(15,207,1,11,20,2,NULL,1,NULL),(15,207,1,12,1,6,1,NULL,NULL),(15,207,1,12,2,4,3,NULL,NULL),(15,207,1,12,3,1,4,NULL,NULL),(15,207,1,12,4,5,2,NULL,NULL),(15,207,1,12,5,3,2,NULL,NULL),(15,207,1,12,6,4,3,NULL,NULL),(15,207,1,12,7,1,2,NULL,NULL),(15,207,1,12,8,NULL,6,NULL,NULL),(15,207,1,12,9,2,NULL,NULL,NULL),(15,207,1,12,10,3,NULL,NULL,NULL),(15,207,1,12,11,4,NULL,NULL,NULL),(15,207,1,12,12,2,6,NULL,NULL),(15,207,1,12,13,6,1,NULL,NULL),(15,207,1,12,14,4,NULL,NULL,NULL),(15,207,1,12,15,6,2,NULL,NULL),(15,207,1,12,16,4,NULL,NULL,NULL),(15,207,1,12,17,6,NULL,NULL,NULL),(15,207,1,12,18,6,NULL,NULL,NULL),(15,207,1,12,19,6,1,NULL,NULL),(15,207,1,12,20,3,NULL,NULL,NULL),(15,207,1,13,1,4,2,NULL,NULL),(15,207,1,13,2,1,4,NULL,NULL),(15,207,1,13,3,NULL,4,NULL,NULL),(15,207,1,13,4,3,2,NULL,NULL),(15,207,1,13,5,NULL,3,NULL,NULL),(15,207,1,13,6,3,1,NULL,NULL),(15,207,1,13,7,3,2,NULL,NULL),(15,207,1,13,8,2,2,NULL,NULL),(15,207,1,13,9,4,NULL,NULL,NULL),(15,207,1,13,10,1,1,NULL,NULL),(15,207,1,13,11,6,NULL,NULL,NULL),(15,207,1,13,12,5,2,NULL,NULL),(15,207,1,13,13,2,2,NULL,NULL),(15,207,1,13,14,1,3,NULL,NULL),(15,207,1,13,15,5,NULL,NULL,NULL),(15,207,1,13,16,5,NULL,NULL,NULL),(15,207,1,13,17,4,3,NULL,NULL),(15,207,1,13,18,1,1,NULL,NULL),(15,207,1,13,19,2,3,NULL,NULL),(15,207,1,13,20,NULL,3,NULL,NULL),(15,207,1,14,1,129,89,12,4),(15,207,1,14,2,86,84,4,10),(15,207,1,14,3,43,144,6,12),(15,207,1,14,4,77,102,7,10),(15,207,1,14,5,47,99,6,11),(15,207,1,14,6,107,116,9,4),(15,207,1,14,7,119,48,16,NULL),(15,207,1,14,8,75,135,8,11),(15,207,1,14,9,112,NULL,11,NULL),(15,207,1,14,10,146,33,13,5),(15,207,1,14,11,49,72,5,7),(15,207,1,14,12,20,65,3,6),(15,207,1,14,13,59,43,5,2),(15,207,1,14,14,146,73,12,6),(15,207,1,14,15,204,NULL,19,NULL),(15,207,1,14,16,38,35,4,6),(15,207,1,14,17,122,26,11,4),(15,207,1,14,18,60,48,5,6),(15,207,1,14,19,116,60,14,5),(15,207,1,14,20,122,81,10,9),(15,207,1,15,1,133,89,25,7),(15,207,1,15,2,81,88,11,16),(15,207,1,15,3,52,146,14,23),(15,207,1,15,4,75,107,18,17),(15,207,1,15,5,36,123,9,22),(15,207,1,15,6,103,102,16,13),(15,207,1,15,7,127,34,32,2),(15,207,1,15,8,74,123,19,10),(15,207,1,15,9,110,NULL,24,NULL),(15,207,1,15,10,129,34,22,7),(15,207,1,15,11,32,74,14,18),(15,207,1,15,12,29,64,12,11),(15,207,1,15,13,55,52,16,9),(15,207,1,15,14,122,73,22,10),(15,207,1,15,15,192,NULL,36,NULL),(15,207,1,15,16,33,31,8,3),(15,207,1,15,17,79,36,27,3),(15,207,1,15,18,49,52,17,9),(15,207,1,15,19,100,51,27,8),(15,207,1,15,20,99,84,18,17),(15,207,1,16,1,64,64,5,5),(15,207,1,16,2,44,40,3,2),(15,207,1,16,3,31,89,5,4),(15,207,1,16,4,42,64,4,4),(15,207,1,16,5,21,73,2,5),(15,207,1,16,6,67,62,6,3),(15,207,1,16,7,60,31,5,2),(15,207,1,16,8,41,94,4,4),(15,207,1,16,9,63,NULL,6,NULL),(15,207,1,16,10,74,21,6,3),(15,207,1,16,11,65,60,4,4),(15,207,1,16,12,68,83,4,6),(15,207,1,16,13,25,123,NULL,9),(15,207,1,16,14,50,47,3,5),(15,207,1,16,15,24,33,1,2),(15,207,1,16,16,62,NULL,3,NULL),(15,207,1,16,17,36,62,2,5),(15,207,1,16,18,46,59,5,2),(15,207,1,16,19,17,16,1,2),(15,207,1,16,20,54,71,4,4),(15,207,1,17,1,43,69,5,4),(15,207,1,17,2,39,51,5,4),(15,207,1,17,3,25,88,3,7),(15,207,1,17,4,40,68,5,5),(15,207,1,17,5,17,75,NULL,9),(15,207,1,17,6,51,56,6,3),(15,207,1,17,7,64,27,8,2),(15,207,1,17,8,29,77,3,8),(15,207,1,17,9,67,NULL,6,NULL),(15,207,1,17,10,66,21,8,1),(15,207,1,17,11,52,52,6,4),(15,207,1,17,12,48,89,5,6),(15,207,1,17,13,23,106,NULL,10),(15,207,1,17,14,20,62,4,3),(15,207,1,17,15,21,16,4,2),(15,207,1,17,16,52,NULL,7,NULL),(15,207,1,17,17,32,66,5,4),(15,207,1,17,18,33,56,1,5),(15,207,1,17,19,16,20,NULL,1),(15,207,1,17,20,53,72,3,8),(15,207,2,21,1,22,33,6,2),(15,207,2,21,2,9,21,3,3),(15,207,2,21,3,18,34,1,6),(15,207,2,21,4,26,25,6,1),(15,207,2,21,5,58,44,9,3),(15,207,2,21,6,53,25,6,3),(15,207,2,21,7,19,6,5,1),(15,207,2,21,8,10,NULL,3,NULL),(15,207,2,21,9,28,35,5,4),(15,207,2,21,10,36,14,5,2),(15,207,2,21,11,36,41,3,3),(15,207,2,21,12,73,61,8,3),(15,207,2,21,13,90,38,11,3),(15,207,2,21,14,38,64,5,4),(15,207,2,21,15,55,83,7,7),(15,207,2,21,16,99,87,9,4),(15,207,2,21,17,30,52,2,5),(15,207,2,21,18,48,40,6,5),(15,207,2,21,19,44,109,2,11),(15,207,2,21,20,61,67,4,10),(15,207,2,21,21,19,38,3,5),(15,207,2,21,22,93,37,11,1),(15,207,2,21,23,46,56,8,5),(15,207,2,21,24,35,79,7,5),(15,207,2,21,25,143,NULL,16,NULL),(15,207,2,21,26,22,41,5,3),(15,207,2,21,27,18,73,4,8),(15,207,2,21,28,30,52,5,5),(15,207,2,21,29,87,104,11,2),(15,207,2,21,30,33,43,8,5),(15,207,2,22,1,18,40,7,8),(15,207,2,22,2,13,28,3,4),(15,207,2,22,3,12,38,2,5),(15,207,2,22,4,24,26,7,7),(15,207,2,22,5,56,57,12,7),(15,207,2,22,6,49,40,12,3),(15,207,2,22,7,36,11,10,NULL),(15,207,2,22,8,16,NULL,5,NULL),(15,207,2,22,9,30,33,7,3),(15,207,2,22,10,40,16,8,2),(15,207,2,22,11,37,41,6,4),(15,207,2,22,12,76,70,12,10),(15,207,2,22,13,85,46,15,6),(15,207,2,22,14,17,57,4,8),(15,207,2,22,15,50,80,10,8),(15,207,2,22,16,92,90,14,8),(15,207,2,22,17,11,61,1,10),(15,207,2,22,18,46,52,12,6),(15,207,2,22,19,20,110,2,14),(15,207,2,22,20,48,70,13,5),(15,207,2,22,21,24,32,6,3),(15,207,2,22,22,81,45,9,2),(15,207,2,22,23,52,52,12,4),(15,207,2,22,24,36,76,11,8),(15,207,2,22,25,134,NULL,21,NULL),(15,207,2,22,26,21,42,5,5),(15,207,2,22,27,29,74,8,9),(15,207,2,22,28,30,70,9,8),(15,207,2,22,29,93,99,18,5),(15,207,2,22,30,27,42,11,4),(15,207,2,23,1,19,40,9,4),(15,207,2,23,2,17,23,5,4),(15,207,2,23,3,13,21,1,6),(15,207,2,23,4,28,24,8,3),(15,207,2,23,5,74,49,13,4),(15,207,2,23,6,66,26,11,3),(15,207,2,23,7,18,11,5,4),(15,207,2,23,8,10,NULL,3,NULL),(15,207,2,23,9,36,39,6,6),(15,207,2,23,10,38,20,10,1),(15,207,2,23,11,41,54,5,4),(15,207,2,23,12,54,73,9,10),(15,207,2,23,13,97,46,12,7),(15,207,2,23,14,13,64,1,7),(15,207,2,23,15,50,74,9,8),(15,207,2,23,16,120,87,14,5),(15,207,2,23,17,17,56,4,7),(15,207,2,23,18,66,54,10,8),(15,207,2,23,19,27,129,3,15),(15,207,2,23,20,54,74,6,12),(15,207,2,23,21,21,34,8,2),(15,207,2,23,22,86,40,13,NULL),(15,207,2,23,23,53,60,11,4),(15,207,2,23,24,44,78,6,11),(15,207,2,23,25,140,NULL,16,NULL),(15,207,2,23,26,21,48,5,7),(15,207,2,23,27,26,73,8,8),(15,207,2,23,28,30,65,8,11),(15,207,2,23,29,106,109,11,7),(15,207,2,23,30,39,49,9,4),(15,207,2,24,1,8,50,3,8),(15,207,2,24,2,13,17,3,4),(15,207,2,24,3,14,32,2,4),(15,207,2,24,4,24,26,9,3),(15,207,2,24,5,63,44,11,3),(15,207,2,24,6,40,38,3,5),(15,207,2,24,7,29,6,6,1),(15,207,2,24,8,17,NULL,2,NULL),(15,207,2,24,9,18,30,5,5),(15,207,2,24,10,33,17,8,NULL),(15,207,2,24,11,42,42,7,2),(15,207,2,24,12,62,69,4,9),(15,207,2,24,13,90,42,10,3),(15,207,2,24,14,20,52,2,11),(15,207,2,24,15,36,73,7,6),(15,207,2,24,16,101,78,13,5),(15,207,2,24,17,21,57,6,5),(15,207,2,24,18,50,43,7,6),(15,207,2,24,19,39,99,5,8),(15,207,2,24,20,70,59,12,5),(15,207,2,24,21,16,33,8,4),(15,207,2,24,22,80,49,11,4),(15,207,2,24,23,42,57,8,1),(15,207,2,24,24,30,74,8,4),(15,207,2,24,25,132,NULL,18,NULL),(15,207,2,24,26,26,45,9,3),(15,207,2,24,27,27,67,6,9),(15,207,2,24,28,27,53,6,6),(15,207,2,24,29,100,100,12,7),(15,207,2,24,30,24,58,4,6),(15,207,3,31,1,134,75,14,5),(15,207,3,31,2,15,88,7,9),(15,207,3,31,3,50,40,8,5),(15,207,3,31,4,92,33,12,2),(15,207,3,31,5,47,80,4,8),(15,207,3,31,6,24,103,4,10),(15,207,3,31,7,14,58,4,9),(15,207,3,31,8,12,23,7,4),(15,207,3,31,9,29,56,8,5),(15,207,3,31,10,20,42,8,4),(15,207,3,31,11,4,28,NULL,2),(15,207,3,31,12,49,61,5,10),(15,207,3,31,13,9,52,2,6),(15,207,3,31,14,49,44,10,5),(15,207,3,31,15,72,53,12,4),(15,207,3,31,16,32,61,7,9),(15,207,3,31,17,109,54,14,3),(15,207,3,31,18,17,47,3,4),(15,207,3,31,19,30,36,4,3),(15,207,3,31,20,10,52,1,9),(15,207,3,31,21,22,NULL,4,NULL),(15,207,3,31,22,20,55,3,9),(15,207,3,31,23,6,28,4,4),(15,207,3,31,24,16,95,6,8),(15,207,3,31,25,2,29,NULL,7),(15,207,3,31,26,7,27,3,2),(15,207,3,31,27,5,28,1,4),(15,207,3,31,28,4,21,NULL,5),(15,207,3,31,29,6,121,2,12),(15,207,3,31,30,7,79,5,7),(15,207,3,32,1,135,94,6,16),(15,207,3,32,2,13,83,7,10),(15,207,3,32,3,60,49,13,5),(15,207,3,32,4,107,25,14,4),(15,207,3,32,5,47,76,9,9),(15,207,3,32,6,16,122,1,18),(15,207,3,32,7,6,66,2,9),(15,207,3,32,8,11,25,7,2),(15,207,3,32,9,20,53,6,8),(15,207,3,32,10,27,43,4,6),(15,207,3,32,11,6,40,NULL,7),(15,207,3,32,12,61,90,7,8),(15,207,3,32,13,12,46,4,5),(15,207,3,32,14,57,46,8,7),(15,207,3,32,15,89,62,15,5),(15,207,3,32,16,30,76,4,11),(15,207,3,32,17,131,69,15,2),(15,207,3,32,18,37,58,3,5),(15,207,3,32,19,39,38,2,9),(15,207,3,32,20,13,49,4,8),(15,207,3,32,21,28,NULL,4,NULL),(15,207,3,32,22,23,67,5,8),(15,207,3,32,23,5,30,1,7),(15,207,3,32,24,22,119,5,13),(15,207,3,32,25,2,27,NULL,7),(15,207,3,32,26,7,36,2,8),(15,207,3,32,27,1,32,1,7),(15,207,3,32,28,3,18,NULL,5),(15,207,3,32,29,6,121,4,11),(15,207,3,32,30,13,96,5,8),(15,207,3,33,1,133,81,13,10),(15,207,3,33,2,17,67,7,11),(15,207,3,33,3,53,42,17,2),(15,207,3,33,4,85,32,20,1),(15,207,3,33,5,49,77,9,10),(15,207,3,33,6,19,111,4,10),(15,207,3,33,7,17,53,7,7),(15,207,3,33,8,18,13,7,4),(15,207,3,33,9,20,50,10,6),(15,207,3,33,10,25,42,2,9),(15,207,3,33,11,3,33,NULL,6),(15,207,3,33,12,50,84,14,8),(15,207,3,33,13,22,44,6,8),(15,207,3,33,14,50,49,11,5),(15,207,3,33,15,67,64,18,4),(15,207,3,33,16,31,71,7,9),(15,207,3,33,17,127,60,20,3),(15,207,3,33,18,21,52,5,8),(15,207,3,33,19,33,24,7,6),(15,207,3,33,20,16,40,5,2),(15,207,3,33,21,25,NULL,8,NULL),(15,207,3,33,22,13,72,5,8),(15,207,3,33,23,10,25,5,7),(15,207,3,33,24,23,112,8,13),(15,207,3,33,25,4,32,2,8),(15,207,3,33,26,5,32,4,7),(15,207,3,33,27,6,23,4,6),(15,207,3,33,28,2,18,1,5),(15,207,3,33,29,3,122,2,16),(15,207,3,33,30,16,73,7,6),(15,207,3,34,1,127,102,11,5),(15,207,3,34,2,16,77,4,8),(15,207,3,34,3,65,36,11,3),(15,207,3,34,4,90,35,11,1),(15,207,3,34,5,43,78,4,9),(15,207,3,34,6,15,121,3,11),(15,207,3,34,7,7,72,2,8),(15,207,3,34,8,9,11,3,3),(15,207,3,34,9,33,41,8,4),(15,207,3,34,10,25,37,5,3),(15,207,3,34,11,4,22,NULL,1),(15,207,3,34,12,54,68,6,4),(15,207,3,34,13,10,57,1,6),(15,207,3,34,14,49,45,8,5),(15,207,3,34,15,77,62,8,6),(15,207,3,34,16,31,67,4,8),(15,207,3,34,17,128,51,10,3),(15,207,3,34,18,25,51,7,4),(15,207,3,34,19,23,40,NULL,7),(15,207,3,34,20,15,44,3,6),(15,207,3,34,21,24,NULL,3,NULL),(15,207,3,34,22,20,50,5,3),(15,207,3,34,23,6,29,3,5),(15,207,3,34,24,22,107,8,6),(15,207,3,34,25,5,29,NULL,NULL),(15,207,3,34,26,7,27,1,3),(15,207,3,34,27,6,20,1,2),(15,207,3,34,28,5,19,1,2),(15,207,3,34,29,7,112,1,12),(15,207,3,34,30,10,80,1,10),(15,208,1,11,1,1,NULL,NULL,NULL),(15,208,1,11,2,1,NULL,NULL,NULL),(15,208,1,11,3,NULL,NULL,NULL,NULL),(15,208,1,11,4,NULL,NULL,NULL,NULL),(15,208,1,11,5,NULL,NULL,NULL,NULL),(15,208,1,11,6,1,NULL,NULL,NULL),(15,208,1,11,7,NULL,NULL,NULL,NULL),(15,208,1,11,8,NULL,NULL,NULL,NULL),(15,208,1,11,9,NULL,NULL,NULL,NULL),(15,208,1,11,10,NULL,NULL,NULL,NULL),(15,208,1,11,11,NULL,NULL,NULL,NULL),(15,208,1,11,12,NULL,NULL,NULL,NULL),(15,208,1,11,13,NULL,NULL,NULL,NULL),(15,208,1,11,14,NULL,NULL,NULL,NULL),(15,208,1,11,15,NULL,NULL,NULL,NULL),(15,208,1,11,16,NULL,NULL,NULL,NULL),(15,208,1,11,17,1,NULL,NULL,NULL),(15,208,1,11,18,NULL,NULL,NULL,NULL),(15,208,1,11,19,NULL,1,NULL,NULL),(15,208,1,11,20,NULL,NULL,NULL,NULL),(15,208,1,12,1,NULL,2,NULL,NULL),(15,208,1,12,2,1,NULL,NULL,NULL),(15,208,1,12,3,NULL,1,NULL,NULL),(15,208,1,12,4,NULL,1,NULL,NULL),(15,208,1,12,5,NULL,1,NULL,NULL),(15,208,1,12,6,1,NULL,NULL,NULL),(15,208,1,12,7,1,NULL,NULL,NULL),(15,208,1,12,8,1,NULL,NULL,NULL),(15,208,1,12,9,NULL,NULL,NULL,NULL),(15,208,1,12,10,1,NULL,NULL,NULL),(15,208,1,12,11,NULL,NULL,NULL,NULL),(15,208,1,12,12,1,1,NULL,NULL),(15,208,1,12,13,1,NULL,NULL,NULL),(15,208,1,12,14,1,NULL,NULL,NULL),(15,208,1,12,15,NULL,NULL,NULL,NULL),(15,208,1,12,16,2,NULL,NULL,NULL),(15,208,1,12,17,1,NULL,NULL,NULL),(15,208,1,12,18,1,NULL,NULL,NULL),(15,208,1,12,19,1,1,NULL,NULL),(15,208,1,12,20,NULL,NULL,NULL,NULL),(15,208,1,13,1,NULL,1,NULL,NULL),(15,208,1,13,2,NULL,NULL,NULL,NULL),(15,208,1,13,3,NULL,NULL,NULL,NULL),(15,208,1,13,4,NULL,NULL,NULL,NULL),(15,208,1,13,5,NULL,NULL,NULL,NULL),(15,208,1,13,6,NULL,1,NULL,NULL),(15,208,1,13,7,NULL,NULL,NULL,NULL),(15,208,1,13,8,NULL,1,NULL,NULL),(15,208,1,13,9,NULL,NULL,NULL,NULL),(15,208,1,13,10,1,NULL,NULL,NULL),(15,208,1,13,11,1,NULL,NULL,NULL),(15,208,1,13,12,1,NULL,NULL,NULL),(15,208,1,13,13,NULL,NULL,NULL,NULL),(15,208,1,13,14,NULL,1,NULL,NULL),(15,208,1,13,15,1,NULL,NULL,NULL),(15,208,1,13,16,1,NULL,NULL,NULL),(15,208,1,13,17,1,NULL,NULL,NULL),(15,208,1,13,18,NULL,NULL,NULL,NULL),(15,208,1,13,19,1,NULL,NULL,NULL),(15,208,1,13,20,NULL,1,NULL,NULL),(15,208,1,14,1,90,56,20,10),(15,208,1,14,2,39,40,18,8),(15,208,1,14,3,19,73,8,18),(15,208,1,14,4,27,51,14,14),(15,208,1,14,5,11,66,6,15),(15,208,1,14,6,72,71,18,14),(15,208,1,14,7,39,29,15,7),(15,208,1,14,8,49,78,18,14),(15,208,1,14,9,52,NULL,19,NULL),(15,208,1,14,10,96,24,24,7),(15,208,1,14,11,22,50,18,12),(15,208,1,14,12,23,28,12,6),(15,208,1,14,13,39,32,14,6),(15,208,1,14,14,73,72,30,4),(15,208,1,14,15,126,NULL,33,NULL),(15,208,1,14,16,33,23,14,7),(15,208,1,14,17,55,24,21,4),(15,208,1,14,18,29,33,18,7),(15,208,1,14,19,71,34,24,11),(15,208,1,14,20,85,25,24,6),(15,208,1,15,1,81,57,32,4),(15,208,1,15,2,45,41,20,15),(15,208,1,15,3,15,95,7,33),(15,208,1,15,4,29,59,15,14),(15,208,1,15,5,18,69,9,23),(15,208,1,15,6,72,55,18,11),(15,208,1,15,7,37,28,21,5),(15,208,1,15,8,42,90,15,26),(15,208,1,15,9,54,NULL,19,NULL),(15,208,1,15,10,78,21,28,5),(15,208,1,15,11,25,47,16,13),(15,208,1,15,12,25,28,19,8),(15,208,1,15,13,48,31,20,12),(15,208,1,15,14,67,71,32,6),(15,208,1,15,15,112,NULL,42,NULL),(15,208,1,15,16,25,35,16,11),(15,208,1,15,17,55,24,28,10),(15,208,1,15,18,24,42,15,9),(15,208,1,15,19,54,29,28,7),(15,208,1,15,20,80,26,33,6),(15,208,1,16,1,35,28,2,2),(15,208,1,16,2,13,16,1,3),(15,208,1,16,3,7,40,1,5),(15,208,1,16,4,9,19,NULL,4),(15,208,1,16,5,7,37,1,6),(15,208,1,16,6,30,28,3,5),(15,208,1,16,7,18,14,3,4),(15,208,1,16,8,20,42,NULL,6),(15,208,1,16,9,17,NULL,5,NULL),(15,208,1,16,10,33,9,3,3),(15,208,1,16,11,26,19,3,5),(15,208,1,16,12,33,32,4,4),(15,208,1,16,13,8,52,1,6),(15,208,1,16,14,21,23,3,4),(15,208,1,16,15,12,9,3,2),(15,208,1,16,16,27,NULL,2,NULL),(15,208,1,16,17,16,35,2,3),(15,208,1,16,18,19,46,2,4),(15,208,1,16,19,4,7,NULL,2),(15,208,1,16,20,21,37,3,4),(15,208,1,17,1,28,24,5,4),(15,208,1,17,2,8,24,2,2),(15,208,1,17,3,5,37,NULL,6),(15,208,1,17,4,14,23,1,3),(15,208,1,17,5,2,38,1,5),(15,208,1,17,6,23,27,1,3),(15,208,1,17,7,18,14,4,6),(15,208,1,17,8,15,40,4,4),(15,208,1,17,9,20,NULL,7,NULL),(15,208,1,17,10,38,9,9,1),(15,208,1,17,11,26,17,3,6),(15,208,1,17,12,26,33,5,5),(15,208,1,17,13,8,60,1,9),(15,208,1,17,14,16,27,3,6),(15,208,1,17,15,11,13,1,NULL),(15,208,1,17,16,27,NULL,5,NULL),(15,208,1,17,17,22,27,3,6),(15,208,1,17,18,13,40,1,6),(15,208,1,17,19,9,7,3,2),(15,208,1,17,20,19,42,2,7),(15,208,2,21,1,16,21,6,6),(15,208,2,21,2,6,12,6,2),(15,208,2,21,3,8,20,2,2),(15,208,2,21,4,12,12,4,4),(15,208,2,21,5,36,37,7,5),(15,208,2,21,6,25,19,4,8),(15,208,2,21,7,13,6,5,2),(15,208,2,21,8,2,NULL,1,NULL),(15,208,2,21,9,13,19,4,5),(15,208,2,21,10,21,7,5,4),(15,208,2,21,11,17,32,6,3),(15,208,2,21,12,44,40,9,8),(15,208,2,21,13,57,21,12,5),(15,208,2,21,14,13,36,4,9),(15,208,2,21,15,20,35,5,10),(15,208,2,21,16,69,49,12,7),(15,208,2,21,17,12,30,3,5),(15,208,2,21,18,32,26,5,6),(15,208,2,21,19,27,50,5,13),(15,208,2,21,20,24,39,5,10),(15,208,2,21,21,8,11,6,5),(15,208,2,21,22,55,28,12,4),(15,208,2,21,23,18,31,5,5),(15,208,2,21,24,20,46,8,8),(15,208,2,21,25,70,NULL,14,NULL),(15,208,2,21,26,19,28,9,4),(15,208,2,21,27,11,40,4,14),(15,208,2,21,28,16,43,5,9),(15,208,2,21,29,59,68,14,5),(15,208,2,21,30,17,30,8,6),(15,208,2,22,1,6,19,3,9),(15,208,2,22,2,6,9,NULL,6),(15,208,2,22,3,8,21,2,5),(15,208,2,22,4,12,19,9,7),(15,208,2,22,5,36,35,15,9),(15,208,2,22,6,23,20,8,6),(15,208,2,22,7,18,3,10,1),(15,208,2,22,8,7,NULL,7,NULL),(15,208,2,22,9,13,16,7,5),(15,208,2,22,10,12,7,9,3),(15,208,2,22,11,32,32,13,7),(15,208,2,22,12,45,43,12,12),(15,208,2,22,13,61,20,17,9),(15,208,2,22,14,10,34,5,11),(15,208,2,22,15,23,41,7,10),(15,208,2,22,16,61,63,13,16),(15,208,2,22,17,14,28,8,7),(15,208,2,22,18,43,23,8,10),(15,208,2,22,19,24,59,5,17),(15,208,2,22,20,32,38,16,12),(15,208,2,22,21,14,24,10,8),(15,208,2,22,22,57,20,22,2),(15,208,2,22,23,24,37,14,7),(15,208,2,22,24,22,47,8,18),(15,208,2,22,25,81,NULL,26,NULL),(15,208,2,22,26,28,18,17,2),(15,208,2,22,27,19,28,11,13),(15,208,2,22,28,19,35,8,15),(15,208,2,22,29,66,69,28,4),(15,208,2,22,30,8,24,6,13),(15,208,2,23,1,8,16,3,3),(15,208,2,23,2,3,15,1,3),(15,208,2,23,3,7,15,1,1),(15,208,2,23,4,6,17,3,4),(15,208,2,23,5,37,37,8,6),(15,208,2,23,6,27,19,8,5),(15,208,2,23,7,13,3,5,2),(15,208,2,23,8,10,NULL,3,NULL),(15,208,2,23,9,9,18,4,5),(15,208,2,23,10,14,14,5,NULL),(15,208,2,23,11,9,35,2,2),(15,208,2,23,12,29,37,6,8),(15,208,2,23,13,48,15,16,2),(15,208,2,23,14,8,36,3,11),(15,208,2,23,15,19,29,3,11),(15,208,2,23,16,52,43,13,6),(15,208,2,23,17,6,27,2,5),(15,208,2,23,18,28,30,7,8),(15,208,2,23,19,12,49,4,10),(15,208,2,23,20,23,32,9,5),(15,208,2,23,21,10,19,7,1),(15,208,2,23,22,49,22,15,1),(15,208,2,23,23,20,36,9,2),(15,208,2,23,24,17,43,5,11),(15,208,2,23,25,67,NULL,16,NULL),(15,208,2,23,26,12,28,3,9),(15,208,2,23,27,10,36,3,5),(15,208,2,23,28,16,34,3,10),(15,208,2,23,29,56,60,14,5),(15,208,2,23,30,12,33,5,4),(15,208,2,24,1,6,14,4,7),(15,208,2,24,2,5,12,4,4),(15,208,2,24,3,9,16,NULL,6),(15,208,2,24,4,9,15,8,6),(15,208,2,24,5,31,25,10,7),(15,208,2,24,6,15,18,4,7),(15,208,2,24,7,7,8,8,4),(15,208,2,24,8,8,NULL,2,NULL),(15,208,2,24,9,10,14,6,8),(15,208,2,24,10,11,8,10,1),(15,208,2,24,11,21,29,2,9),(15,208,2,24,12,45,34,9,11),(15,208,2,24,13,48,19,12,5),(15,208,2,24,14,6,29,2,11),(15,208,2,24,15,22,46,6,11),(15,208,2,24,16,50,56,15,8),(15,208,2,24,17,6,23,5,2),(15,208,2,24,18,24,30,6,7),(15,208,2,24,19,13,45,2,13),(15,208,2,24,20,22,47,12,7),(15,208,2,24,21,9,22,6,4),(15,208,2,24,22,54,25,15,4),(15,208,2,24,23,19,35,13,4),(15,208,2,24,24,14,42,13,7),(15,208,2,24,25,59,NULL,25,NULL),(15,208,2,24,26,11,11,6,6),(15,208,2,24,27,10,32,9,12),(15,208,2,24,28,13,36,6,12),(15,208,2,24,29,51,61,19,5),(15,208,2,24,30,3,24,9,9),(15,208,3,31,1,65,58,12,12),(15,208,3,31,2,6,30,5,13),(15,208,3,31,3,39,13,17,3),(15,208,3,31,4,45,17,17,5),(15,208,3,31,5,31,28,12,9),(15,208,3,31,6,5,64,2,15),(15,208,3,31,7,7,28,5,9),(15,208,3,31,8,8,6,9,6),(15,208,3,31,9,10,23,14,2),(15,208,3,31,10,14,23,5,9),(15,208,3,31,11,NULL,16,1,1),(15,208,3,31,12,24,30,7,12),(15,208,3,31,13,4,22,1,3),(15,208,3,31,14,30,27,13,8),(15,208,3,31,15,37,23,15,6),(15,208,3,31,16,14,38,4,8),(15,208,3,31,17,63,33,18,7),(15,208,3,31,18,8,25,1,8),(15,208,3,31,19,22,20,7,7),(15,208,3,31,20,7,27,4,10),(15,208,3,31,21,5,NULL,5,NULL),(15,208,3,31,22,10,17,8,9),(15,208,3,31,23,1,9,4,2),(15,208,3,31,24,16,48,7,13),(15,208,3,31,25,3,7,2,5),(15,208,3,31,26,1,9,NULL,6),(15,208,3,31,27,2,12,NULL,6),(15,208,3,31,28,4,13,2,3),(15,208,3,31,29,NULL,64,2,14),(15,208,3,31,30,1,29,5,9),(15,208,3,32,1,74,51,16,4),(15,208,3,32,2,6,39,4,14),(15,208,3,32,3,28,24,17,1),(15,208,3,32,4,56,11,16,1),(15,208,3,32,5,38,39,9,8),(15,208,3,32,6,5,73,2,17),(15,208,3,32,7,7,24,3,8),(15,208,3,32,8,8,9,7,4),(15,208,3,32,9,14,16,6,7),(15,208,3,32,10,21,21,7,6),(15,208,3,32,11,2,18,2,7),(15,208,3,32,12,29,32,5,8),(15,208,3,32,13,6,25,2,6),(15,208,3,32,14,28,35,11,4),(15,208,3,32,15,33,31,13,3),(15,208,3,32,16,18,26,9,7),(15,208,3,32,17,60,32,14,2),(15,208,3,32,18,9,25,1,11),(15,208,3,32,19,19,23,5,1),(15,208,3,32,20,6,20,4,4),(15,208,3,32,21,10,NULL,2,NULL),(15,208,3,32,22,6,22,4,8),(15,208,3,32,23,5,14,3,3),(15,208,3,32,24,11,49,8,8),(15,208,3,32,25,4,13,2,4),(15,208,3,32,26,6,7,2,2),(15,208,3,32,27,4,13,1,5),(15,208,3,32,28,1,12,1,4),(15,208,3,32,29,4,58,2,10),(15,208,3,32,30,6,35,3,6),(15,208,3,33,1,87,60,26,6),(15,208,3,33,2,5,42,8,15),(15,208,3,33,3,42,22,21,4),(15,208,3,33,4,64,20,23,5),(15,208,3,33,5,37,40,16,11),(15,208,3,33,6,12,69,10,16),(15,208,3,33,7,7,35,7,12),(15,208,3,33,8,14,5,12,3),(15,208,3,33,9,23,19,18,4),(15,208,3,33,10,29,25,16,6),(15,208,3,33,11,6,13,1,3),(15,208,3,33,12,31,36,11,13),(15,208,3,33,13,7,38,4,10),(15,208,3,33,14,37,23,16,6),(15,208,3,33,15,41,28,15,9),(15,208,3,33,16,16,32,8,12),(15,208,3,33,17,76,32,22,6),(15,208,3,33,18,12,28,6,9),(15,208,3,33,19,19,24,6,6),(15,208,3,33,20,4,25,1,9),(15,208,3,33,21,14,NULL,8,NULL),(15,208,3,33,22,9,39,5,10),(15,208,3,33,23,2,17,3,8),(15,208,3,33,24,12,69,14,14),(15,208,3,33,25,5,14,4,9),(15,208,3,33,26,4,25,3,9),(15,208,3,33,27,2,15,1,9),(15,208,3,33,28,2,9,1,2),(15,208,3,33,29,2,58,1,19),(15,208,3,33,30,9,39,8,16),(15,208,3,34,1,74,73,16,7),(15,208,3,34,2,5,45,3,13),(15,208,3,34,3,46,20,13,5),(15,208,3,34,4,55,21,18,2),(15,208,3,34,5,28,49,13,7),(15,208,3,34,6,16,55,4,13),(15,208,3,34,7,NULL,41,2,9),(15,208,3,34,8,9,10,6,6),(15,208,3,34,9,17,22,7,4),(15,208,3,34,10,22,25,12,3),(15,208,3,34,11,3,20,1,5),(15,208,3,34,12,23,36,7,9),(15,208,3,34,13,3,23,1,7),(15,208,3,34,14,38,27,10,3),(15,208,3,34,15,34,32,9,9),(15,208,3,34,16,9,42,4,10),(15,208,3,34,17,62,43,14,5),(15,208,3,34,18,8,34,2,4),(15,208,3,34,19,28,27,7,3),(15,208,3,34,20,7,19,4,5),(15,208,3,34,21,8,NULL,4,NULL),(15,208,3,34,22,6,44,3,11),(15,208,3,34,23,2,19,1,9),(15,208,3,34,24,11,69,6,10),(15,208,3,34,25,8,16,4,2),(15,208,3,34,26,2,12,2,4),(15,208,3,34,27,4,14,4,8),(15,208,3,34,28,2,13,1,2),(15,208,3,34,29,3,67,2,16),(15,208,3,34,30,6,43,4,8),(15,211,1,11,1,2,NULL,NULL,NULL),(15,211,1,11,2,2,NULL,NULL,NULL),(15,211,1,11,3,1,NULL,NULL,NULL),(15,211,1,11,4,1,NULL,NULL,NULL),(15,211,1,11,5,1,NULL,NULL,NULL),(15,211,1,11,6,2,NULL,NULL,NULL),(15,211,1,11,7,1,1,NULL,NULL),(15,211,1,11,8,1,1,NULL,NULL),(15,211,1,11,9,NULL,NULL,NULL,NULL),(15,211,1,11,10,NULL,NULL,NULL,NULL),(15,211,1,11,11,NULL,NULL,NULL,NULL),(15,211,1,11,12,1,NULL,NULL,NULL),(15,211,1,11,13,1,1,NULL,NULL),(15,211,1,11,14,1,1,NULL,NULL),(15,211,1,11,15,1,1,NULL,NULL),(15,211,1,11,16,2,NULL,NULL,NULL),(15,211,1,11,17,2,NULL,NULL,NULL),(15,211,1,11,18,1,NULL,NULL,NULL),(15,211,1,11,19,2,NULL,NULL,NULL),(15,211,1,11,20,2,NULL,NULL,NULL),(15,211,1,12,1,NULL,1,NULL,NULL),(15,211,1,12,2,NULL,NULL,NULL,NULL),(15,211,1,12,3,NULL,2,NULL,NULL),(15,211,1,12,4,NULL,NULL,NULL,NULL),(15,211,1,12,5,NULL,1,NULL,NULL),(15,211,1,12,6,1,1,NULL,NULL),(15,211,1,12,7,NULL,NULL,NULL,NULL),(15,211,1,12,8,NULL,2,NULL,NULL),(15,211,1,12,9,1,NULL,NULL,NULL),(15,211,1,12,10,1,NULL,NULL,NULL),(15,211,1,12,11,NULL,NULL,NULL,NULL),(15,211,1,12,12,1,NULL,NULL,NULL),(15,211,1,12,13,1,NULL,NULL,NULL),(15,211,1,12,14,1,1,NULL,NULL),(15,211,1,12,15,1,NULL,NULL,NULL),(15,211,1,12,16,NULL,1,NULL,NULL),(15,211,1,12,17,1,NULL,NULL,NULL),(15,211,1,12,18,1,NULL,NULL,NULL),(15,211,1,12,19,1,NULL,NULL,NULL),(15,211,1,12,20,NULL,NULL,NULL,NULL),(15,211,1,13,1,NULL,1,NULL,NULL),(15,211,1,13,2,1,NULL,NULL,NULL),(15,211,1,13,3,NULL,1,NULL,NULL),(15,211,1,13,4,1,NULL,NULL,NULL),(15,211,1,13,5,NULL,NULL,NULL,NULL),(15,211,1,13,6,NULL,1,NULL,NULL),(15,211,1,13,7,NULL,NULL,NULL,NULL),(15,211,1,13,8,1,NULL,NULL,NULL),(15,211,1,13,9,NULL,NULL,NULL,NULL),(15,211,1,13,10,1,NULL,NULL,NULL),(15,211,1,13,11,1,NULL,NULL,NULL),(15,211,1,13,12,NULL,1,NULL,NULL),(15,211,1,13,13,NULL,NULL,NULL,NULL),(15,211,1,13,14,1,NULL,NULL,NULL),(15,211,1,13,15,1,NULL,NULL,NULL),(15,211,1,13,16,1,NULL,NULL,NULL),(15,211,1,13,17,NULL,1,NULL,NULL),(15,211,1,13,18,NULL,NULL,NULL,NULL),(15,211,1,13,19,NULL,1,NULL,NULL),(15,211,1,13,20,NULL,1,NULL,NULL),(15,211,1,14,1,83,57,21,7),(15,211,1,14,2,49,48,14,10),(15,211,1,14,3,27,85,11,16),(15,211,1,14,4,53,58,17,11),(15,211,1,14,5,15,62,5,18),(15,211,1,14,6,64,64,12,12),(15,211,1,14,7,76,19,24,2),(15,211,1,14,8,50,82,8,18),(15,211,1,14,9,74,NULL,20,NULL),(15,211,1,14,10,93,21,17,10),(15,211,1,14,11,23,37,10,11),(15,211,1,14,12,5,30,2,10),(15,211,1,14,13,32,34,11,5),(15,211,1,14,14,74,63,21,5),(15,211,1,14,15,119,NULL,26,NULL),(15,211,1,14,16,25,19,9,5),(15,211,1,14,17,58,15,17,4),(15,211,1,14,18,31,23,10,7),(15,211,1,14,19,60,38,17,7),(15,211,1,14,20,63,48,18,8),(15,211,1,15,1,69,65,14,12),(15,211,1,15,2,43,65,10,11),(15,211,1,15,3,20,89,6,17),(15,211,1,15,4,39,62,9,16),(15,211,1,15,5,21,70,5,15),(15,211,1,15,6,61,62,13,12),(15,211,1,15,7,71,30,16,9),(15,211,1,15,8,30,92,7,17),(15,211,1,15,9,70,NULL,22,NULL),(15,211,1,15,10,78,31,19,5),(15,211,1,15,11,16,54,6,13),(15,211,1,15,12,19,46,8,11),(15,211,1,15,13,32,31,13,10),(15,211,1,15,14,75,52,20,7),(15,211,1,15,15,107,NULL,27,NULL),(15,211,1,15,16,24,25,7,7),(15,211,1,15,17,57,23,20,5),(15,211,1,15,18,27,31,11,5),(15,211,1,15,19,45,30,14,4),(15,211,1,15,20,56,43,14,10),(15,211,1,16,1,43,42,5,1),(15,211,1,16,2,20,23,NULL,2),(15,211,1,16,3,12,50,NULL,7),(15,211,1,16,4,21,38,5,1),(15,211,1,16,5,11,39,NULL,4),(15,211,1,16,6,38,32,1,5),(15,211,1,16,7,27,19,2,2),(15,211,1,16,8,25,55,1,6),(15,211,1,16,9,36,NULL,5,NULL),(15,211,1,16,10,47,7,1,3),(15,211,1,16,11,46,23,3,2),(15,211,1,16,12,40,44,3,4),(15,211,1,16,13,15,75,NULL,7),(15,211,1,16,14,21,24,NULL,2),(15,211,1,16,15,19,16,NULL,1),(15,211,1,16,16,32,NULL,1,NULL),(15,211,1,16,17,18,29,4,3),(15,211,1,16,18,24,46,NULL,6),(15,211,1,16,19,9,10,2,1),(15,211,1,16,20,31,44,3,1),(15,211,1,17,1,43,36,6,6),(15,211,1,17,2,25,29,4,6),(15,211,1,17,3,14,54,3,9),(15,211,1,17,4,29,29,4,7),(15,211,1,17,5,9,47,1,8),(15,211,1,17,6,32,32,4,4),(15,211,1,17,7,33,25,9,NULL),(15,211,1,17,8,22,41,3,8),(15,211,1,17,9,30,NULL,9,NULL),(15,211,1,17,10,48,10,7,NULL),(15,211,1,17,11,23,36,4,5),(15,211,1,17,12,43,40,7,5),(15,211,1,17,13,14,73,2,10),(15,211,1,17,14,17,47,3,8),(15,211,1,17,15,12,13,NULL,4),(15,211,1,17,16,42,NULL,9,NULL),(15,211,1,17,17,16,46,3,6),(15,211,1,17,18,14,47,2,9),(15,211,1,17,19,8,15,NULL,1),(15,211,1,17,20,27,49,4,6),(15,211,2,21,1,13,23,7,10),(15,211,2,21,2,9,14,4,4),(15,211,2,21,3,8,24,1,6),(15,211,2,21,4,19,18,8,2),(15,211,2,21,5,47,27,14,3),(15,211,2,21,6,29,25,9,7),(15,211,2,21,7,12,4,8,1),(15,211,2,21,8,8,NULL,NULL,NULL),(15,211,2,21,9,16,25,4,8),(15,211,2,21,10,18,11,10,1),(15,211,2,21,11,25,31,10,4),(15,211,2,21,12,46,51,8,11),(15,211,2,21,13,67,22,14,6),(15,211,2,21,14,13,39,5,9),(15,211,2,21,15,30,53,5,15),(15,211,2,21,16,59,67,13,9),(15,211,2,21,17,11,37,NULL,9),(15,211,2,21,18,35,24,13,4),(15,211,2,21,19,15,77,4,13),(15,211,2,21,20,33,41,10,8),(15,211,2,21,21,21,21,4,4),(15,211,2,21,22,45,26,9,5),(15,211,2,21,23,34,39,12,5),(15,211,2,21,24,28,48,9,9),(15,211,2,21,25,80,NULL,19,NULL),(15,211,2,21,26,15,27,4,5),(15,211,2,21,27,15,41,5,12),(15,211,2,21,28,20,34,8,9),(15,211,2,21,29,64,65,17,6),(15,211,2,21,30,21,31,8,6),(15,211,2,22,1,7,29,5,6),(15,211,2,22,2,9,12,3,5),(15,211,2,22,3,5,17,1,4),(15,211,2,22,4,21,16,5,5),(15,211,2,22,5,44,26,12,3),(15,211,2,22,6,30,19,5,8),(15,211,2,22,7,13,7,6,2),(15,211,2,22,8,10,NULL,5,NULL),(15,211,2,22,9,21,21,4,6),(15,211,2,22,10,26,10,10,4),(15,211,2,22,11,37,21,9,5),(15,211,2,22,12,58,40,12,9),(15,211,2,22,13,64,29,8,13),(15,211,2,22,14,9,44,4,10),(15,211,2,22,15,41,40,6,11),(15,211,2,22,16,71,49,14,6),(15,211,2,22,17,11,35,2,8),(15,211,2,22,18,34,27,6,9),(15,211,2,22,19,12,68,2,13),(15,211,2,22,20,36,46,6,9),(15,211,2,22,21,12,23,6,9),(15,211,2,22,22,54,27,9,6),(15,211,2,22,23,26,38,9,7),(15,211,2,22,24,29,48,11,5),(15,211,2,22,25,84,NULL,17,NULL),(15,211,2,22,26,13,30,6,8),(15,211,2,22,27,15,44,5,14),(15,211,2,22,28,21,35,6,11),(15,211,2,22,29,76,52,16,8),(15,211,2,22,30,18,36,5,11),(15,211,2,23,1,10,21,5,2),(15,211,2,23,2,8,7,2,3),(15,211,2,23,3,8,20,1,2),(15,211,2,23,4,12,21,3,4),(15,211,2,23,5,34,28,9,3),(15,211,2,23,6,39,13,5,2),(15,211,2,23,7,9,9,6,1),(15,211,2,23,8,8,NULL,2,NULL),(15,211,2,23,9,20,23,6,2),(15,211,2,23,10,19,10,4,3),(15,211,2,23,11,11,30,2,2),(15,211,2,23,12,41,44,3,6),(15,211,2,23,13,64,24,8,3),(15,211,2,23,14,12,28,2,5),(15,211,2,23,15,27,48,4,6),(15,211,2,23,16,63,67,10,4),(15,211,2,23,17,13,25,1,2),(15,211,2,23,18,40,27,3,5),(15,211,2,23,19,21,68,3,6),(15,211,2,23,20,30,50,8,5),(15,211,2,23,21,8,23,2,6),(15,211,2,23,22,49,23,11,NULL),(15,211,2,23,23,29,35,6,1),(15,211,2,23,24,24,40,6,3),(15,211,2,23,25,86,NULL,13,NULL),(15,211,2,23,26,18,20,5,2),(15,211,2,23,27,13,38,2,5),(15,211,2,23,28,14,36,8,2),(15,211,2,23,29,67,64,14,NULL),(15,211,2,23,30,20,23,3,8),(15,211,2,24,1,6,28,2,6),(15,211,2,24,2,10,9,4,6),(15,211,2,24,3,5,10,NULL,5),(15,211,2,24,4,16,12,10,3),(15,211,2,24,5,29,19,7,5),(15,211,2,24,6,28,22,10,5),(15,211,2,24,7,8,9,7,1),(15,211,2,24,8,9,NULL,3,NULL),(15,211,2,24,9,7,21,4,5),(15,211,2,24,10,11,9,7,2),(15,211,2,24,11,22,28,5,5),(15,211,2,24,12,43,38,4,6),(15,211,2,24,13,60,22,11,5),(15,211,2,24,14,10,33,4,12),(15,211,2,24,15,38,34,11,6),(15,211,2,24,16,76,40,12,5),(15,211,2,24,17,13,27,5,5),(15,211,2,24,18,30,29,7,6),(15,211,2,24,19,20,65,1,15),(15,211,2,24,20,36,42,8,10),(15,211,2,24,21,12,24,6,7),(15,211,2,24,22,54,16,14,NULL),(15,211,2,24,23,30,31,8,2),(15,211,2,24,24,24,45,9,6),(15,211,2,24,25,78,NULL,15,NULL),(15,211,2,24,26,15,23,5,4),(15,211,2,24,27,10,54,3,12),(15,211,2,24,28,14,31,5,10),(15,211,2,24,29,64,57,13,4),(15,211,2,24,30,24,23,7,9),(15,211,3,31,1,77,62,9,9),(15,211,3,31,2,10,47,6,10),(15,211,3,31,3,52,22,12,6),(15,211,3,31,4,54,26,13,4),(15,211,3,31,5,23,54,7,11),(15,211,3,31,6,14,68,3,10),(15,211,3,31,7,10,32,3,5),(15,211,3,31,8,12,8,5,4),(15,211,3,31,9,15,34,6,6),(15,211,3,31,10,17,17,7,4),(15,211,3,31,11,2,14,NULL,1),(15,211,3,31,12,36,33,6,8),(15,211,3,31,13,8,32,1,7),(15,211,3,31,14,36,24,10,5),(15,211,3,31,15,52,25,11,5),(15,211,3,31,16,17,41,2,9),(15,211,3,31,17,80,29,15,1),(15,211,3,31,18,12,25,3,4),(15,211,3,31,19,17,17,1,6),(15,211,3,31,20,8,27,2,8),(15,211,3,31,21,14,NULL,5,NULL),(15,211,3,31,22,14,29,5,8),(15,211,3,31,23,7,12,3,7),(15,211,3,31,24,17,65,9,7),(15,211,3,31,25,5,17,1,7),(15,211,3,31,26,2,18,2,7),(15,211,3,31,27,2,22,NULL,7),(15,211,3,31,28,4,8,2,3),(15,211,3,31,29,2,66,1,14),(15,211,3,31,30,8,33,1,7),(15,211,3,32,1,86,58,9,5),(15,211,3,32,2,9,52,4,4),(15,211,3,32,3,45,23,11,1),(15,211,3,32,4,60,16,11,NULL),(15,211,3,32,5,28,40,2,8),(15,211,3,32,6,11,71,3,8),(15,211,3,32,7,8,36,4,3),(15,211,3,32,8,9,13,3,3),(15,211,3,32,9,7,37,4,5),(15,211,3,32,10,18,24,7,2),(15,211,3,32,11,3,12,NULL,1),(15,211,3,32,12,35,49,3,9),(15,211,3,32,13,8,26,3,2),(15,211,3,32,14,35,20,7,3),(15,211,3,32,15,50,37,10,2),(15,211,3,32,16,17,44,2,6),(15,211,3,32,17,86,31,13,NULL),(15,211,3,32,18,19,39,4,4),(15,211,3,32,19,29,21,1,3),(15,211,3,32,20,8,30,2,6),(15,211,3,32,21,10,NULL,3,NULL),(15,211,3,32,22,11,34,3,6),(15,211,3,32,23,4,15,3,4),(15,211,3,32,24,11,74,6,6),(15,211,3,32,25,1,21,1,3),(15,211,3,32,26,1,12,1,4),(15,211,3,32,27,2,19,1,5),(15,211,3,32,28,3,8,1,2),(15,211,3,32,29,5,64,1,10),(15,211,3,32,30,6,58,3,8),(15,211,3,33,1,76,55,13,11),(15,211,3,33,2,12,52,3,13),(15,211,3,33,3,43,25,11,6),(15,211,3,33,4,61,18,14,5),(15,211,3,33,5,26,51,5,10),(15,211,3,33,6,14,63,3,14),(15,211,3,33,7,9,42,4,8),(15,211,3,33,8,14,6,7,3),(15,211,3,33,9,22,31,9,7),(15,211,3,33,10,20,20,4,5),(15,211,3,33,11,2,15,NULL,3),(15,211,3,33,12,34,47,9,10),(15,211,3,33,13,7,30,1,6),(15,211,3,33,14,43,19,13,6),(15,211,3,33,15,49,37,14,6),(15,211,3,33,16,21,38,6,8),(15,211,3,33,17,85,33,15,7),(15,211,3,33,18,16,31,5,9),(15,211,3,33,19,24,21,4,6),(15,211,3,33,20,8,32,5,9),(15,211,3,33,21,11,NULL,4,NULL),(15,211,3,33,22,14,33,3,10),(15,211,3,33,23,4,18,2,5),(15,211,3,33,24,22,60,8,8),(15,211,3,33,25,5,15,1,6),(15,211,3,33,26,7,17,3,7),(15,211,3,33,27,4,17,2,5),(15,211,3,33,28,NULL,14,NULL,6),(15,211,3,33,29,7,68,2,16),(15,211,3,33,30,9,58,2,11),(15,211,3,34,1,85,64,18,5),(15,211,3,34,2,13,54,6,10),(15,211,3,34,3,54,24,9,6),(15,211,3,34,4,61,26,17,2),(15,211,3,34,5,37,42,7,9),(15,211,3,34,6,11,70,1,12),(15,211,3,34,7,10,38,4,7),(15,211,3,34,8,12,11,4,6),(15,211,3,34,9,20,23,9,7),(15,211,3,34,10,19,37,7,8),(15,211,3,34,11,4,14,NULL,2),(15,211,3,34,12,36,37,8,10),(15,211,3,34,13,15,30,3,7),(15,211,3,34,14,31,29,11,7),(15,211,3,34,15,54,32,11,4),(15,211,3,34,16,19,43,4,14),(15,211,3,34,17,69,40,16,3),(15,211,3,34,18,11,24,4,7),(15,211,3,34,19,21,22,4,6),(15,211,3,34,20,5,25,2,7),(15,211,3,34,21,13,NULL,3,NULL),(15,211,3,34,22,14,42,6,11),(15,211,3,34,23,3,21,1,6),(15,211,3,34,24,22,67,7,11),(15,211,3,34,25,6,16,4,8),(15,211,3,34,26,6,17,1,7),(15,211,3,34,27,4,22,1,6),(15,211,3,34,28,4,11,1,2),(15,211,3,34,29,4,65,1,16),(15,211,3,34,30,12,45,6,10),(15,212,1,11,1,NULL,NULL,NULL,NULL),(15,212,1,11,2,NULL,NULL,NULL,NULL),(15,212,1,11,3,NULL,NULL,NULL,NULL),(15,212,1,11,4,NULL,NULL,NULL,NULL),(15,212,1,11,5,NULL,NULL,NULL,NULL),(15,212,1,11,6,NULL,NULL,NULL,NULL),(15,212,1,11,7,NULL,NULL,NULL,NULL),(15,212,1,11,8,NULL,NULL,NULL,NULL),(15,212,1,11,9,NULL,NULL,NULL,NULL),(15,212,1,11,10,NULL,NULL,NULL,NULL),(15,212,1,11,11,NULL,NULL,NULL,NULL),(15,212,1,11,12,NULL,NULL,NULL,NULL),(15,212,1,11,13,NULL,NULL,NULL,NULL),(15,212,1,11,14,NULL,NULL,NULL,NULL),(15,212,1,11,15,NULL,NULL,NULL,NULL),(15,212,1,11,16,NULL,NULL,NULL,NULL),(15,212,1,11,17,NULL,NULL,NULL,NULL),(15,212,1,11,18,NULL,NULL,NULL,NULL),(15,212,1,11,19,NULL,NULL,NULL,NULL),(15,212,1,11,20,NULL,NULL,NULL,NULL),(15,212,1,12,1,NULL,NULL,NULL,NULL),(15,212,1,12,2,NULL,NULL,NULL,NULL),(15,212,1,12,3,NULL,NULL,NULL,NULL),(15,212,1,12,4,NULL,NULL,NULL,NULL),(15,212,1,12,5,NULL,NULL,NULL,NULL),(15,212,1,12,6,NULL,NULL,NULL,NULL),(15,212,1,12,7,NULL,NULL,NULL,NULL),(15,212,1,12,8,NULL,NULL,NULL,NULL),(15,212,1,12,9,NULL,NULL,NULL,NULL),(15,212,1,12,10,NULL,NULL,NULL,NULL),(15,212,1,12,11,NULL,NULL,NULL,NULL),(15,212,1,12,12,NULL,NULL,NULL,NULL),(15,212,1,12,13,NULL,NULL,NULL,NULL),(15,212,1,12,14,NULL,NULL,NULL,NULL),(15,212,1,12,15,NULL,NULL,NULL,NULL),(15,212,1,12,16,NULL,NULL,NULL,NULL),(15,212,1,12,17,NULL,NULL,NULL,NULL),(15,212,1,12,18,NULL,NULL,NULL,NULL),(15,212,1,12,19,NULL,NULL,NULL,NULL),(15,212,1,12,20,NULL,NULL,NULL,NULL),(15,212,1,13,1,NULL,NULL,NULL,NULL),(15,212,1,13,2,NULL,NULL,NULL,NULL),(15,212,1,13,3,NULL,NULL,NULL,NULL),(15,212,1,13,4,NULL,NULL,NULL,NULL),(15,212,1,13,5,NULL,NULL,NULL,NULL),(15,212,1,13,6,NULL,NULL,NULL,NULL),(15,212,1,13,7,NULL,NULL,NULL,NULL),(15,212,1,13,8,NULL,NULL,NULL,NULL),(15,212,1,13,9,NULL,NULL,NULL,NULL),(15,212,1,13,10,NULL,NULL,NULL,NULL),(15,212,1,13,11,NULL,NULL,NULL,NULL),(15,212,1,13,12,NULL,NULL,NULL,NULL),(15,212,1,13,13,NULL,NULL,NULL,NULL),(15,212,1,13,14,NULL,NULL,NULL,NULL),(15,212,1,13,15,NULL,NULL,NULL,NULL),(15,212,1,13,16,NULL,NULL,NULL,NULL),(15,212,1,13,17,NULL,NULL,NULL,NULL),(15,212,1,13,18,NULL,NULL,NULL,NULL),(15,212,1,13,19,NULL,NULL,NULL,NULL),(15,212,1,13,20,NULL,NULL,NULL,NULL),(15,212,1,14,1,27,21,7,4),(15,212,1,14,2,17,18,8,1),(15,212,1,14,3,6,27,3,5),(15,212,1,14,4,7,18,2,5),(15,212,1,14,5,5,19,2,6),(15,212,1,14,6,21,26,2,8),(15,212,1,14,7,16,7,5,3),(15,212,1,14,8,24,20,8,5),(15,212,1,14,9,19,NULL,7,NULL),(15,212,1,14,10,30,4,8,2),(15,212,1,14,11,9,12,2,5),(15,212,1,14,12,3,12,2,3),(15,212,1,14,13,9,12,3,4),(15,212,1,14,14,26,15,5,3),(15,212,1,14,15,42,NULL,12,NULL),(15,212,1,14,16,9,3,2,1),(15,212,1,14,17,16,8,8,1),(15,212,1,14,18,7,8,3,4),(15,212,1,14,19,20,14,7,3),(15,212,1,14,20,24,11,8,4),(15,212,1,15,1,23,17,9,4),(15,212,1,15,2,15,20,7,8),(15,212,1,15,3,9,28,3,12),(15,212,1,15,4,14,20,5,9),(15,212,1,15,5,6,24,6,6),(15,212,1,15,6,17,22,3,8),(15,212,1,15,7,26,5,6,3),(15,212,1,15,8,19,22,3,10),(15,212,1,15,9,20,NULL,10,NULL),(15,212,1,15,10,22,9,9,4),(15,212,1,15,11,8,19,6,5),(15,212,1,15,12,9,10,5,6),(15,212,1,15,13,16,14,8,7),(15,212,1,15,14,20,14,8,6),(15,212,1,15,15,30,NULL,16,NULL),(15,212,1,15,16,8,4,1,3),(15,212,1,15,17,16,12,8,4),(15,212,1,15,18,12,9,7,6),(15,212,1,15,19,20,10,12,3),(15,212,1,15,20,25,9,11,5),(15,212,1,16,1,10,10,1,5),(15,212,1,16,2,9,6,5,1),(15,212,1,16,3,2,12,NULL,4),(15,212,1,16,4,5,9,4,2),(15,212,1,16,5,4,8,1,2),(15,212,1,16,6,10,10,1,3),(15,212,1,16,7,8,1,3,2),(15,212,1,16,8,6,8,4,2),(15,212,1,16,9,5,NULL,3,NULL),(15,212,1,16,10,13,1,5,NULL),(15,212,1,16,11,7,9,3,2),(15,212,1,16,12,11,11,2,4),(15,212,1,16,13,3,18,NULL,5),(15,212,1,16,14,11,3,2,3),(15,212,1,16,15,2,2,NULL,NULL),(15,212,1,16,16,7,NULL,2,NULL),(15,212,1,16,17,8,5,1,3),(15,212,1,16,18,7,11,2,3),(15,212,1,16,19,1,2,NULL,NULL),(15,212,1,16,20,5,17,2,4),(15,212,1,17,1,4,7,1,1),(15,212,1,17,2,3,2,2,NULL),(15,212,1,17,3,1,7,1,2),(15,212,1,17,4,3,7,3,NULL),(15,212,1,17,5,NULL,9,NULL,4),(15,212,1,17,6,3,8,NULL,2),(15,212,1,17,7,4,2,2,1),(15,212,1,17,8,3,6,1,2),(15,212,1,17,9,4,NULL,3,NULL),(15,212,1,17,10,5,2,2,1),(15,212,1,17,11,7,2,2,2),(15,212,1,17,12,1,8,1,3),(15,212,1,17,13,2,9,1,3),(15,212,1,17,14,1,4,NULL,4),(15,212,1,17,15,2,2,NULL,NULL),(15,212,1,17,16,3,NULL,2,NULL),(15,212,1,17,17,4,4,1,3),(15,212,1,17,18,NULL,10,NULL,3),(15,212,1,17,19,1,1,NULL,1),(15,212,1,17,20,2,10,1,1),(15,212,2,21,1,5,6,1,2),(15,212,2,21,2,3,3,1,1),(15,212,2,21,3,3,4,NULL,2),(15,212,2,21,4,2,7,3,2),(15,212,2,21,5,10,6,4,2),(15,212,2,21,6,10,5,3,3),(15,212,2,21,7,2,NULL,2,NULL),(15,212,2,21,8,1,NULL,1,NULL),(15,212,2,21,9,3,3,3,1),(15,212,2,21,10,5,2,2,NULL),(15,212,2,21,11,6,9,NULL,2),(15,212,2,21,12,11,15,4,5),(15,212,2,21,13,17,7,6,1),(15,212,2,21,14,6,9,1,6),(15,212,2,21,15,9,8,2,6),(15,212,2,21,16,17,18,4,5),(15,212,2,21,17,5,11,3,5),(15,212,2,21,18,11,7,4,4),(15,212,2,21,19,4,19,NULL,7),(15,212,2,21,20,10,13,3,4),(15,212,2,21,21,5,5,2,2),(15,212,2,21,22,18,6,7,NULL),(15,212,2,21,23,10,9,3,2),(15,212,2,21,24,6,17,1,9),(15,212,2,21,25,29,NULL,9,NULL),(15,212,2,21,26,9,6,6,1),(15,212,2,21,27,5,14,NULL,6),(15,212,2,21,28,5,10,2,3),(15,212,2,21,29,21,16,6,3),(15,212,2,21,30,4,11,2,4),(15,212,2,22,1,1,12,2,6),(15,212,2,22,2,2,4,2,2),(15,212,2,22,3,2,7,1,1),(15,212,2,22,4,5,7,4,1),(15,212,2,22,5,14,5,6,1),(15,212,2,22,6,11,5,5,2),(15,212,2,22,7,8,3,7,NULL),(15,212,2,22,8,2,NULL,NULL,NULL),(15,212,2,22,9,9,5,6,NULL),(15,212,2,22,10,4,4,4,NULL),(15,212,2,22,11,9,7,2,1),(15,212,2,22,12,21,10,4,3),(15,212,2,22,13,13,7,4,2),(15,212,2,22,14,5,7,1,5),(15,212,2,22,15,8,17,4,7),(15,212,2,22,16,21,15,7,3),(15,212,2,22,17,4,5,NULL,4),(15,212,2,22,18,9,6,4,1),(15,212,2,22,19,7,21,4,4),(15,212,2,22,20,15,7,6,4),(15,212,2,22,21,4,4,5,NULL),(15,212,2,22,22,19,5,7,1),(15,212,2,22,23,7,8,5,NULL),(15,212,2,22,24,5,15,4,6),(15,212,2,22,25,23,NULL,9,NULL),(15,212,2,22,26,8,4,5,2),(15,212,2,22,27,4,13,3,7),(15,212,2,22,28,5,3,3,2),(15,212,2,22,29,18,19,9,2),(15,212,2,22,30,3,8,3,5),(15,212,2,23,1,2,5,2,3),(15,212,2,23,2,2,6,1,2),(15,212,2,23,3,2,3,NULL,1),(15,212,2,23,4,5,2,5,2),(15,212,2,23,5,11,6,8,1),(15,212,2,23,6,7,3,7,3),(15,212,2,23,7,3,NULL,4,1),(15,212,2,23,8,3,NULL,2,NULL),(15,212,2,23,9,7,5,3,2),(15,212,2,23,10,1,4,4,1),(15,212,2,23,11,5,5,6,2),(15,212,2,23,12,14,7,6,4),(15,212,2,23,13,20,2,10,NULL),(15,212,2,23,14,1,9,NULL,7),(15,212,2,23,15,7,11,4,5),(15,212,2,23,16,17,14,8,3),(15,212,2,23,17,3,13,NULL,5),(15,212,2,23,18,10,6,4,4),(15,212,2,23,19,2,18,2,7),(15,212,2,23,20,14,9,6,4),(15,212,2,23,21,5,7,5,3),(15,212,2,23,22,15,7,10,2),(15,212,2,23,23,8,4,5,3),(15,212,2,23,24,9,13,8,2),(15,212,2,23,25,24,NULL,10,NULL),(15,212,2,23,26,4,5,6,2),(15,212,2,23,27,4,9,1,8),(15,212,2,23,28,5,8,5,6),(15,212,2,23,29,22,10,9,3),(15,212,2,23,30,6,9,3,6),(15,212,2,24,1,4,12,2,3),(15,212,2,24,2,3,NULL,2,NULL),(15,212,2,24,3,2,2,NULL,2),(15,212,2,24,4,6,1,6,1),(15,212,2,24,5,9,5,1,4),(15,212,2,24,6,8,5,2,1),(15,212,2,24,7,6,NULL,3,1),(15,212,2,24,8,NULL,NULL,1,NULL),(15,212,2,24,9,4,7,2,2),(15,212,2,24,10,10,2,3,NULL),(15,212,2,24,11,10,4,4,2),(15,212,2,24,12,12,8,5,NULL),(15,212,2,24,13,21,6,6,NULL),(15,212,2,24,14,1,12,NULL,3),(15,212,2,24,15,8,15,NULL,6),(15,212,2,24,16,16,12,4,2),(15,212,2,24,17,4,6,NULL,4),(15,212,2,24,18,9,5,3,1),(15,212,2,24,19,6,17,1,4),(15,212,2,24,20,9,9,6,1),(15,212,2,24,21,6,6,2,2),(15,212,2,24,22,21,4,6,NULL),(15,212,2,24,23,13,10,5,1),(15,212,2,24,24,5,16,5,NULL),(15,212,2,24,25,25,NULL,7,NULL),(15,212,2,24,26,1,9,2,2),(15,212,2,24,27,5,16,2,5),(15,212,2,24,28,3,12,3,2),(15,212,2,24,29,25,9,7,NULL),(15,212,2,24,30,6,6,5,1),(15,212,3,31,1,20,16,5,2),(15,212,3,31,2,3,14,2,3),(15,212,3,31,3,16,4,5,NULL),(15,212,3,31,4,15,5,6,NULL),(15,212,3,31,5,6,15,2,3),(15,212,3,31,6,2,20,NULL,5),(15,212,3,31,7,3,13,1,4),(15,212,3,31,8,3,4,2,2),(15,212,3,31,9,5,10,3,NULL),(15,212,3,31,10,4,9,3,1),(15,212,3,31,11,1,5,NULL,1),(15,212,3,31,12,9,8,3,3),(15,212,3,31,13,5,11,NULL,3),(15,212,3,31,14,12,6,4,2),(15,212,3,31,15,15,6,3,2),(15,212,3,31,16,6,9,2,3),(15,212,3,31,17,19,15,7,NULL),(15,212,3,31,18,1,12,NULL,2),(15,212,3,31,19,4,6,NULL,NULL),(15,212,3,31,20,3,9,1,3),(15,212,3,31,21,3,NULL,1,NULL),(15,212,3,31,22,7,12,3,3),(15,212,3,31,23,NULL,2,3,1),(15,212,3,31,24,5,16,4,3),(15,212,3,31,25,1,4,2,2),(15,212,3,31,26,2,4,1,2),(15,212,3,31,27,NULL,4,NULL,1),(15,212,3,31,28,1,4,NULL,NULL),(15,212,3,31,29,1,19,NULL,5),(15,212,3,31,30,NULL,14,2,3),(15,212,3,32,1,18,14,10,2),(15,212,3,32,2,3,17,2,10),(15,212,3,32,3,15,4,9,1),(15,212,3,32,4,17,4,9,3),(15,212,3,32,5,9,8,5,7),(15,212,3,32,6,4,19,4,8),(15,212,3,32,7,5,7,5,1),(15,212,3,32,8,4,2,3,4),(15,212,3,32,9,9,4,6,3),(15,212,3,32,10,6,3,4,5),(15,212,3,32,11,NULL,6,1,3),(15,212,3,32,12,10,10,3,7),(15,212,3,32,13,1,5,1,4),(15,212,3,32,14,19,3,7,2),(15,212,3,32,15,15,7,7,3),(15,212,3,32,16,6,13,3,5),(15,212,3,32,17,19,8,9,2),(15,212,3,32,18,3,6,2,2),(15,212,3,32,19,6,6,2,4),(15,212,3,32,20,3,6,2,1),(15,212,3,32,21,6,NULL,5,NULL),(15,212,3,32,22,6,5,2,1),(15,212,3,32,23,NULL,4,1,3),(15,212,3,32,24,6,14,6,4),(15,212,3,32,25,2,5,1,4),(15,212,3,32,26,2,3,1,2),(15,212,3,32,27,1,5,2,5),(15,212,3,32,28,4,5,3,2),(15,212,3,32,29,3,15,1,7),(15,212,3,32,30,2,14,2,3),(15,212,3,33,1,25,14,7,4),(15,212,3,33,2,3,14,6,3),(15,212,3,33,3,19,5,6,1),(15,212,3,33,4,19,6,10,1),(15,212,3,33,5,12,13,5,3),(15,212,3,33,6,7,20,6,2),(15,212,3,33,7,3,11,2,5),(15,212,3,33,8,5,4,5,2),(15,212,3,33,9,9,10,6,4),(15,212,3,33,10,10,8,6,2),(15,212,3,33,11,1,5,NULL,2),(15,212,3,33,12,13,15,1,6),(15,212,3,33,13,1,7,NULL,3),(15,212,3,33,14,13,6,6,2),(15,212,3,33,15,17,11,7,3),(15,212,3,33,16,10,12,5,4),(15,212,3,33,17,19,13,9,2),(15,212,3,33,18,4,7,3,3),(15,212,3,33,19,7,5,3,2),(15,212,3,33,20,5,9,3,3),(15,212,3,33,21,3,NULL,2,NULL),(15,212,3,33,22,3,8,3,3),(15,212,3,33,23,NULL,3,1,3),(15,212,3,33,24,9,13,6,3),(15,212,3,33,25,1,2,2,1),(15,212,3,33,26,1,5,NULL,4),(15,212,3,33,27,1,6,NULL,5),(15,212,3,33,28,NULL,4,NULL,2),(15,212,3,33,29,NULL,20,NULL,4),(15,212,3,33,30,2,12,2,6),(15,212,3,34,1,18,21,5,5),(15,212,3,34,2,4,17,1,6),(15,212,3,34,3,18,6,6,2),(15,212,3,34,4,18,3,7,1),(15,212,3,34,5,9,17,4,5),(15,212,3,34,6,3,19,NULL,6),(15,212,3,34,7,2,17,NULL,6),(15,212,3,34,8,4,4,1,4),(15,212,3,34,9,9,9,2,5),(15,212,3,34,10,2,6,1,2),(15,212,3,34,11,1,2,NULL,NULL),(15,212,3,34,12,13,10,4,5),(15,212,3,34,13,1,7,1,3),(15,212,3,34,14,10,11,3,5),(15,212,3,34,15,15,9,5,2),(15,212,3,34,16,4,14,1,6),(15,212,3,34,17,31,3,8,1),(15,212,3,34,18,6,5,NULL,3),(15,212,3,34,19,7,4,3,2),(15,212,3,34,20,3,9,NULL,4),(15,212,3,34,21,5,NULL,2,NULL),(15,212,3,34,22,3,8,1,3),(15,212,3,34,23,1,5,NULL,2),(15,212,3,34,24,5,19,2,6),(15,212,3,34,25,1,2,1,2),(15,212,3,34,26,1,4,NULL,1),(15,212,3,34,27,NULL,5,NULL,2),(15,212,3,34,28,NULL,7,NULL,3),(15,212,3,34,29,1,20,NULL,6),(15,212,3,34,30,1,13,NULL,1),(15,213,1,11,1,1,NULL,NULL,NULL),(15,213,1,11,2,NULL,NULL,NULL,NULL),(15,213,1,11,3,NULL,NULL,NULL,NULL),(15,213,1,11,4,NULL,NULL,NULL,NULL),(15,213,1,11,5,NULL,NULL,NULL,NULL),(15,213,1,11,6,NULL,NULL,NULL,NULL),(15,213,1,11,7,NULL,NULL,NULL,NULL),(15,213,1,11,8,NULL,1,NULL,NULL),(15,213,1,11,9,NULL,NULL,NULL,NULL),(15,213,1,11,10,NULL,NULL,NULL,NULL),(15,213,1,11,11,NULL,NULL,NULL,NULL),(15,213,1,11,12,NULL,NULL,NULL,NULL),(15,213,1,11,13,NULL,NULL,NULL,NULL),(15,213,1,11,14,NULL,NULL,NULL,NULL),(15,213,1,11,15,NULL,NULL,NULL,NULL),(15,213,1,11,16,NULL,NULL,NULL,NULL),(15,213,1,11,17,NULL,NULL,NULL,NULL),(15,213,1,11,18,NULL,NULL,NULL,NULL),(15,213,1,11,19,NULL,NULL,NULL,NULL),(15,213,1,11,20,NULL,NULL,NULL,NULL),(15,213,1,12,1,1,NULL,1,NULL),(15,213,1,12,2,NULL,1,NULL,1),(15,213,1,12,3,NULL,1,NULL,1),(15,213,1,12,4,NULL,1,NULL,1),(15,213,1,12,5,NULL,1,NULL,1),(15,213,1,12,6,1,NULL,1,NULL),(15,213,1,12,7,NULL,1,NULL,1),(15,213,1,12,8,NULL,1,NULL,1),(15,213,1,12,9,1,NULL,1,NULL),(15,213,1,12,10,NULL,NULL,NULL,NULL),(15,213,1,12,11,1,NULL,1,NULL),(15,213,1,12,12,1,NULL,1,NULL),(15,213,1,12,13,1,NULL,1,NULL),(15,213,1,12,14,1,NULL,1,NULL),(15,213,1,12,15,NULL,1,NULL,1),(15,213,1,12,16,NULL,1,NULL,1),(15,213,1,12,17,1,NULL,1,NULL),(15,213,1,12,18,1,NULL,1,NULL),(15,213,1,12,19,1,NULL,1,NULL),(15,213,1,12,20,NULL,NULL,NULL,NULL),(15,213,1,13,1,NULL,1,NULL,NULL),(15,213,1,13,2,1,NULL,NULL,NULL),(15,213,1,13,3,NULL,NULL,NULL,NULL),(15,213,1,13,4,NULL,NULL,NULL,NULL),(15,213,1,13,5,NULL,NULL,NULL,NULL),(15,213,1,13,6,NULL,1,NULL,NULL),(15,213,1,13,7,NULL,NULL,NULL,NULL),(15,213,1,13,8,NULL,1,NULL,NULL),(15,213,1,13,9,NULL,NULL,NULL,NULL),(15,213,1,13,10,1,NULL,NULL,NULL),(15,213,1,13,11,NULL,1,NULL,NULL),(15,213,1,13,12,NULL,NULL,NULL,NULL),(15,213,1,13,13,NULL,NULL,NULL,NULL),(15,213,1,13,14,NULL,NULL,NULL,NULL),(15,213,1,13,15,1,NULL,NULL,NULL),(15,213,1,13,16,NULL,NULL,NULL,NULL),(15,213,1,13,17,1,NULL,NULL,NULL),(15,213,1,13,18,NULL,NULL,NULL,NULL),(15,213,1,13,19,NULL,NULL,NULL,NULL),(15,213,1,13,20,NULL,NULL,NULL,NULL),(15,213,1,14,1,26,11,7,5),(15,213,1,14,2,8,9,5,1),(15,213,1,14,3,5,19,4,6),(15,213,1,14,4,6,9,5,2),(15,213,1,14,5,5,15,2,5),(15,213,1,14,6,13,15,4,4),(15,213,1,14,7,11,1,3,1),(15,213,1,14,8,11,18,3,6),(15,213,1,14,9,9,NULL,5,NULL),(15,213,1,14,10,18,6,7,1),(15,213,1,14,11,3,9,2,3),(15,213,1,14,12,4,5,2,1),(15,213,1,14,13,8,2,4,2),(15,213,1,14,14,14,15,8,3),(15,213,1,14,15,25,NULL,10,NULL),(15,213,1,14,16,8,3,4,1),(15,213,1,14,17,12,6,6,4),(15,213,1,14,18,8,6,2,4),(15,213,1,14,19,9,7,7,2),(15,213,1,14,20,16,4,7,3),(15,213,1,15,1,22,14,9,4),(15,213,1,15,2,16,8,10,4),(15,213,1,15,3,5,16,5,10),(15,213,1,15,4,11,11,8,7),(15,213,1,15,5,NULL,20,NULL,9),(15,213,1,15,6,14,17,8,6),(15,213,1,15,7,14,8,8,6),(15,213,1,15,8,10,20,6,7),(15,213,1,15,9,15,NULL,11,NULL),(15,213,1,15,10,18,7,12,1),(15,213,1,15,11,5,11,3,7),(15,213,1,15,12,5,10,5,6),(15,213,1,15,13,13,10,9,5),(15,213,1,15,14,10,16,8,6),(15,213,1,15,15,28,NULL,14,NULL),(15,213,1,15,16,5,9,3,5),(15,213,1,15,17,11,8,11,2),(15,213,1,15,18,7,9,4,8),(15,213,1,15,19,14,7,10,4),(15,213,1,15,20,22,6,11,3),(15,213,1,16,1,12,8,2,4),(15,213,1,16,2,2,5,2,1),(15,213,1,16,3,1,15,NULL,5),(15,213,1,16,4,4,11,1,5),(15,213,1,16,5,2,12,1,4),(15,213,1,16,6,8,14,3,3),(15,213,1,16,7,13,2,5,NULL),(15,213,1,16,8,7,14,1,4),(15,213,1,16,9,7,NULL,2,NULL),(15,213,1,16,10,11,2,2,1),(15,213,1,16,11,9,6,3,1),(15,213,1,16,12,14,9,5,1),(15,213,1,16,13,4,18,NULL,5),(15,213,1,16,14,9,7,4,2),(15,213,1,16,15,3,4,1,2),(15,213,1,16,16,4,NULL,3,NULL),(15,213,1,16,17,7,8,1,3),(15,213,1,16,18,5,13,1,2),(15,213,1,16,19,3,3,NULL,1),(15,213,1,16,20,8,8,2,2),(15,213,1,17,1,13,12,3,2),(15,213,1,17,2,9,9,1,4),(15,213,1,17,3,1,15,2,1),(15,213,1,17,4,3,10,NULL,3),(15,213,1,17,5,2,12,1,1),(15,213,1,17,6,6,9,1,2),(15,213,1,17,7,7,6,2,1),(15,213,1,17,8,6,12,1,4),(15,213,1,17,9,7,NULL,3,NULL),(15,213,1,17,10,6,6,3,2),(15,213,1,17,11,4,7,1,1),(15,213,1,17,12,4,15,1,3),(15,213,1,17,13,2,22,NULL,5),(15,213,1,17,14,5,10,4,NULL),(15,213,1,17,15,2,2,1,NULL),(15,213,1,17,16,6,NULL,2,NULL),(15,213,1,17,17,6,10,1,3),(15,213,1,17,18,4,12,NULL,4),(15,213,1,17,19,4,NULL,1,NULL),(15,213,1,17,20,6,15,2,2),(15,213,2,21,1,2,3,3,2),(15,213,2,21,2,NULL,1,1,1),(15,213,2,21,3,1,4,1,NULL),(15,213,2,21,4,1,3,4,1),(15,213,2,21,5,9,4,4,3),(15,213,2,21,6,7,6,1,4),(15,213,2,21,7,1,2,1,NULL),(15,213,2,21,8,2,NULL,1,NULL),(15,213,2,21,9,NULL,3,3,1),(15,213,2,21,10,1,5,2,1),(15,213,2,21,11,4,6,3,5),(15,213,2,21,12,15,7,6,3),(15,213,2,21,13,15,4,4,3),(15,213,2,21,14,4,6,1,3),(15,213,2,21,15,6,9,5,4),(15,213,2,21,16,18,12,7,3),(15,213,2,21,17,2,6,2,3),(15,213,2,21,18,7,7,3,2),(15,213,2,21,19,3,15,1,3),(15,213,2,21,20,11,13,4,5),(15,213,2,21,21,4,2,3,2),(15,213,2,21,22,17,4,5,2),(15,213,2,21,23,7,7,4,2),(15,213,2,21,24,5,12,5,2),(15,213,2,21,25,26,NULL,10,NULL),(15,213,2,21,26,4,9,4,1),(15,213,2,21,27,3,10,3,6),(15,213,2,21,28,3,8,5,3),(15,213,2,21,29,15,13,10,1),(15,213,2,21,30,1,8,3,5),(15,213,2,22,1,5,5,3,3),(15,213,2,22,2,2,3,3,1),(15,213,2,22,3,1,5,NULL,4),(15,213,2,22,4,5,4,6,2),(15,213,2,22,5,12,5,3,4),(15,213,2,22,6,11,4,10,1),(15,213,2,22,7,4,NULL,3,1),(15,213,2,22,8,1,NULL,1,NULL),(15,213,2,22,9,6,2,5,NULL),(15,213,2,22,10,8,1,7,NULL),(15,213,2,22,11,4,7,3,4),(15,213,2,22,12,14,8,7,4),(15,213,2,22,13,13,6,9,1),(15,213,2,22,14,1,9,2,6),(15,213,2,22,15,11,7,6,3),(15,213,2,22,16,22,12,10,3),(15,213,2,22,17,5,6,3,5),(15,213,2,22,18,8,5,6,2),(15,213,2,22,19,9,14,4,6),(15,213,2,22,20,13,13,8,4),(15,213,2,22,21,4,3,2,1),(15,213,2,22,22,15,6,7,1),(15,213,2,22,23,8,5,7,1),(15,213,2,22,24,11,14,7,5),(15,213,2,22,25,24,NULL,11,NULL),(15,213,2,22,26,9,6,5,3),(15,213,2,22,27,7,10,3,7),(15,213,2,22,28,8,9,3,3),(15,213,2,22,29,25,11,10,2),(15,213,2,22,30,9,5,8,3),(15,213,2,23,1,2,8,3,3),(15,213,2,23,2,1,4,NULL,4),(15,213,2,23,3,6,4,NULL,NULL),(15,213,2,23,4,3,4,2,2),(15,213,2,23,5,10,8,4,4),(15,213,2,23,6,7,7,1,4),(15,213,2,23,7,5,2,4,2),(15,213,2,23,8,1,NULL,2,NULL),(15,213,2,23,9,4,5,3,2),(15,213,2,23,10,2,1,3,1),(15,213,2,23,11,5,6,1,3),(15,213,2,23,12,10,9,2,5),(15,213,2,23,13,15,3,6,2),(15,213,2,23,14,2,9,NULL,6),(15,213,2,23,15,11,7,7,3),(15,213,2,23,16,24,12,7,3),(15,213,2,23,17,2,11,1,3),(15,213,2,23,18,9,7,2,4),(15,213,2,23,19,6,15,3,3),(15,213,2,23,20,10,10,5,3),(15,213,2,23,21,5,5,3,3),(15,213,2,23,22,15,3,7,3),(15,213,2,23,23,7,8,1,2),(15,213,2,23,24,9,10,4,5),(15,213,2,23,25,29,NULL,9,NULL),(15,213,2,23,26,4,7,5,2),(15,213,2,23,27,2,12,2,6),(15,213,2,23,28,2,10,2,5),(15,213,2,23,29,18,16,6,2),(15,213,2,23,30,7,6,4,4),(15,213,2,24,1,2,9,NULL,1),(15,213,2,24,2,NULL,2,NULL,NULL),(15,213,2,24,3,3,9,1,NULL),(15,213,2,24,4,3,3,2,NULL),(15,213,2,24,5,8,9,2,1),(15,213,2,24,6,5,8,NULL,1),(15,213,2,24,7,5,2,3,NULL),(15,213,2,24,8,4,NULL,2,NULL),(15,213,2,24,9,2,4,1,NULL),(15,213,2,24,10,2,4,1,1),(15,213,2,24,11,7,10,2,1),(15,213,2,24,12,14,8,2,1),(15,213,2,24,13,19,3,2,2),(15,213,2,24,14,6,10,NULL,4),(15,213,2,24,15,5,12,1,NULL),(15,213,2,24,16,20,12,3,3),(15,213,2,24,17,3,8,NULL,1),(15,213,2,24,18,8,4,4,1),(15,213,2,24,19,4,14,NULL,5),(15,213,2,24,20,6,12,4,NULL),(15,213,2,24,21,5,4,3,1),(15,213,2,24,22,17,7,5,NULL),(15,213,2,24,23,5,6,3,NULL),(15,213,2,24,24,6,11,2,1),(15,213,2,24,25,21,NULL,4,NULL),(15,213,2,24,26,6,3,1,2),(15,213,2,24,27,2,10,2,1),(15,213,2,24,28,2,7,1,3),(15,213,2,24,29,20,16,5,NULL),(15,213,2,24,30,3,1,2,NULL),(15,213,3,31,1,23,13,6,NULL),(15,213,3,31,2,NULL,18,2,3),(15,213,3,31,3,14,6,3,2),(15,213,3,31,4,13,7,4,1),(15,213,3,31,5,11,10,4,1),(15,213,3,31,6,3,18,NULL,3),(15,213,3,31,7,3,8,1,3),(15,213,3,31,8,4,1,3,1),(15,213,3,31,9,9,3,3,1),(15,213,3,31,10,4,10,3,2),(15,213,3,31,11,NULL,6,NULL,1),(15,213,3,31,12,6,17,1,3),(15,213,3,31,13,3,7,NULL,1),(15,213,3,31,14,9,7,2,2),(15,213,3,31,15,17,9,5,1),(15,213,3,31,16,10,7,2,2),(15,213,3,31,17,22,6,5,1),(15,213,3,31,18,4,10,1,2),(15,213,3,31,19,4,5,NULL,1),(15,213,3,31,20,2,8,1,3),(15,213,3,31,21,6,NULL,3,NULL),(15,213,3,31,22,2,10,2,2),(15,213,3,31,23,NULL,1,NULL,NULL),(15,213,3,31,24,2,17,3,2),(15,213,3,31,25,2,6,1,2),(15,213,3,31,26,2,3,2,NULL),(15,213,3,31,27,2,3,1,NULL),(15,213,3,31,28,NULL,4,NULL,1),(15,213,3,31,29,NULL,19,NULL,3),(15,213,3,31,30,NULL,14,NULL,2),(15,213,3,32,1,28,7,7,3),(15,213,3,32,2,4,16,4,5),(15,213,3,32,3,12,7,5,3),(15,213,3,32,4,19,3,10,NULL),(15,213,3,32,5,10,10,3,6),(15,213,3,32,6,4,24,NULL,8),(15,213,3,32,7,NULL,9,1,3),(15,213,3,32,8,3,2,4,1),(15,213,3,32,9,5,11,5,4),(15,213,3,32,10,6,8,4,3),(15,213,3,32,11,NULL,5,NULL,2),(15,213,3,32,12,5,15,1,7),(15,213,3,32,13,1,11,NULL,4),(15,213,3,32,14,12,11,6,3),(15,213,3,32,15,16,11,8,2),(15,213,3,32,16,2,19,1,6),(15,213,3,32,17,17,10,6,3),(15,213,3,32,18,4,11,2,4),(15,213,3,32,19,6,5,1,2),(15,213,3,32,20,2,12,3,2),(15,213,3,32,21,4,NULL,3,NULL),(15,213,3,32,22,2,17,2,5),(15,213,3,32,23,2,5,1,3),(15,213,3,32,24,4,17,3,7),(15,213,3,32,25,NULL,5,1,2),(15,213,3,32,26,1,6,NULL,5),(15,213,3,32,27,NULL,6,NULL,2),(15,213,3,32,28,4,4,2,2),(15,213,3,32,29,NULL,23,1,8),(15,213,3,32,30,3,19,2,7),(15,213,3,33,1,23,13,11,2),(15,213,3,33,2,4,12,3,6),(15,213,3,33,3,18,4,10,1),(15,213,3,33,4,19,2,9,2),(15,213,3,33,5,10,10,5,5),(15,213,3,33,6,4,19,2,7),(15,213,3,33,7,3,5,4,2),(15,213,3,33,8,2,2,3,1),(15,213,3,33,9,11,6,6,3),(15,213,3,33,10,7,9,7,2),(15,213,3,33,11,3,5,NULL,3),(15,213,3,33,12,13,7,8,1),(15,213,3,33,13,4,4,2,1),(15,213,3,33,14,12,3,8,2),(15,213,3,33,15,24,5,12,NULL),(15,213,3,33,16,4,8,NULL,6),(15,213,3,33,17,19,9,12,NULL),(15,213,3,33,18,4,2,1,4),(15,213,3,33,19,9,1,5,1),(15,213,3,33,20,7,6,2,5),(15,213,3,33,21,2,NULL,2,NULL),(15,213,3,33,22,6,11,4,5),(15,213,3,33,23,1,4,1,5),(15,213,3,33,24,5,16,6,4),(15,213,3,33,25,2,2,3,3),(15,213,3,33,26,2,7,2,5),(15,213,3,33,27,1,5,3,3),(15,213,3,33,28,2,2,NULL,1),(15,213,3,33,29,2,17,1,8),(15,213,3,33,30,2,7,3,4),(15,213,3,34,1,12,22,7,4),(15,213,3,34,2,4,6,2,5),(15,213,3,34,3,8,7,6,1),(15,213,3,34,4,8,6,6,1),(15,213,3,34,5,7,9,2,5),(15,213,3,34,6,3,19,3,6),(15,213,3,34,7,2,9,3,6),(15,213,3,34,8,3,2,3,3),(15,213,3,34,9,9,5,8,2),(15,213,3,34,10,7,3,4,1),(15,213,3,34,11,NULL,6,NULL,1),(15,213,3,34,12,9,9,5,4),(15,213,3,34,13,2,6,NULL,3),(15,213,3,34,14,7,8,7,2),(15,213,3,34,15,15,3,5,4),(15,213,3,34,16,3,5,3,4),(15,213,3,34,17,10,12,7,2),(15,213,3,34,18,2,3,NULL,1),(15,213,3,34,19,NULL,6,NULL,2),(15,213,3,34,20,1,9,2,4),(15,213,3,34,21,3,NULL,4,NULL),(15,213,3,34,22,1,1,2,3),(15,213,3,34,23,NULL,1,1,3),(15,213,3,34,24,5,15,1,8),(15,213,3,34,25,NULL,3,1,3),(15,213,3,34,26,3,1,1,3),(15,213,3,34,27,1,3,NULL,1),(15,213,3,34,28,NULL,NULL,NULL,NULL),(15,213,3,34,29,3,13,1,6),(15,213,3,34,30,2,12,1,5),(15,214,1,11,1,NULL,NULL,NULL,NULL),(15,214,1,11,2,NULL,NULL,NULL,NULL),(15,214,1,11,3,NULL,NULL,NULL,NULL),(15,214,1,11,4,NULL,NULL,NULL,NULL),(15,214,1,11,5,NULL,NULL,NULL,NULL),(15,214,1,11,6,NULL,NULL,NULL,NULL),(15,214,1,11,7,NULL,NULL,NULL,NULL),(15,214,1,11,8,NULL,NULL,NULL,NULL),(15,214,1,11,9,NULL,NULL,NULL,NULL),(15,214,1,11,10,NULL,NULL,NULL,NULL),(15,214,1,11,11,NULL,NULL,NULL,NULL),(15,214,1,11,12,NULL,NULL,NULL,NULL),(15,214,1,11,13,NULL,NULL,NULL,NULL),(15,214,1,11,14,NULL,NULL,NULL,NULL),(15,214,1,11,15,NULL,NULL,NULL,NULL),(15,214,1,11,16,NULL,NULL,NULL,NULL),(15,214,1,11,17,NULL,NULL,NULL,NULL),(15,214,1,11,18,NULL,NULL,NULL,NULL),(15,214,1,11,19,NULL,NULL,NULL,NULL),(15,214,1,11,20,NULL,NULL,NULL,NULL),(15,214,1,12,1,1,1,1,1),(15,214,1,12,2,1,NULL,1,NULL),(15,214,1,12,3,NULL,1,NULL,1),(15,214,1,12,4,1,NULL,1,NULL),(15,214,1,12,5,1,NULL,1,NULL),(15,214,1,12,6,2,NULL,2,NULL),(15,214,1,12,7,2,NULL,2,NULL),(15,214,1,12,8,1,1,1,1),(15,214,1,12,9,NULL,NULL,NULL,NULL),(15,214,1,12,10,1,NULL,1,NULL),(15,214,1,12,11,1,NULL,1,NULL),(15,214,1,12,12,2,NULL,2,NULL),(15,214,1,12,13,2,NULL,2,NULL),(15,214,1,12,14,2,NULL,2,NULL),(15,214,1,12,15,2,NULL,2,NULL),(15,214,1,12,16,2,NULL,2,NULL),(15,214,1,12,17,1,NULL,1,NULL),(15,214,1,12,18,NULL,1,NULL,1),(15,214,1,12,19,2,NULL,2,NULL),(15,214,1,12,20,1,NULL,1,NULL),(15,214,1,13,1,1,1,NULL,1),(15,214,1,13,2,NULL,NULL,NULL,NULL),(15,214,1,13,3,1,1,NULL,NULL),(15,214,1,13,4,NULL,NULL,NULL,NULL),(15,214,1,13,5,NULL,1,NULL,NULL),(15,214,1,13,6,1,NULL,NULL,NULL),(15,214,1,13,7,NULL,NULL,NULL,NULL),(15,214,1,13,8,1,NULL,NULL,1),(15,214,1,13,9,2,NULL,NULL,NULL),(15,214,1,13,10,1,NULL,1,NULL),(15,214,1,13,11,2,NULL,1,NULL),(15,214,1,13,12,2,NULL,NULL,NULL),(15,214,1,13,13,2,NULL,NULL,NULL),(15,214,1,13,14,2,NULL,1,NULL),(15,214,1,13,15,2,NULL,1,NULL),(15,214,1,13,16,2,NULL,1,NULL),(15,214,1,13,17,2,NULL,NULL,NULL),(15,214,1,13,18,1,1,NULL,NULL),(15,214,1,13,19,2,NULL,NULL,NULL),(15,214,1,13,20,1,NULL,NULL,1),(15,214,1,14,1,55,26,12,2),(15,214,1,14,2,39,29,8,4),(15,214,1,14,3,18,48,3,9),(15,214,1,14,4,28,18,8,6),(15,214,1,14,5,13,39,6,5),(15,214,1,14,6,39,34,7,6),(15,214,1,14,7,34,10,10,1),(15,214,1,14,8,35,36,5,4),(15,214,1,14,9,39,NULL,9,NULL),(15,214,1,14,10,53,11,8,3),(15,214,1,14,11,16,24,7,3),(15,214,1,14,12,13,22,7,2),(15,214,1,14,13,32,10,9,1),(15,214,1,14,14,51,27,10,3),(15,214,1,14,15,73,NULL,14,NULL),(15,214,1,14,16,21,11,6,2),(15,214,1,14,17,43,10,11,1),(15,214,1,14,18,23,26,6,3),(15,214,1,14,19,47,20,9,2),(15,214,1,14,20,52,17,10,4),(15,214,1,15,1,49,26,12,NULL),(15,214,1,15,2,39,23,6,3),(15,214,1,15,3,14,54,4,7),(15,214,1,15,4,25,38,5,8),(15,214,1,15,5,13,38,3,7),(15,214,1,15,6,36,35,7,6),(15,214,1,15,7,30,15,5,4),(15,214,1,15,8,37,34,5,7),(15,214,1,15,9,43,NULL,5,NULL),(15,214,1,15,10,56,12,11,1),(15,214,1,15,11,21,24,6,5),(15,214,1,15,12,17,30,3,7),(15,214,1,15,13,26,25,4,3),(15,214,1,15,14,48,27,12,1),(15,214,1,15,15,76,NULL,13,NULL),(15,214,1,15,16,19,12,4,3),(15,214,1,15,17,44,14,9,3),(15,214,1,15,18,25,20,6,2),(15,214,1,15,19,42,24,7,5),(15,214,1,15,20,45,19,10,2),(15,214,1,16,1,8,14,2,1),(15,214,1,16,2,7,10,3,1),(15,214,1,16,3,4,9,2,2),(15,214,1,16,4,3,6,2,NULL),(15,214,1,16,5,2,8,2,2),(15,214,1,16,6,15,4,2,1),(15,214,1,16,7,7,2,4,NULL),(15,214,1,16,8,12,11,2,NULL),(15,214,1,16,9,10,NULL,3,NULL),(15,214,1,16,10,13,2,2,1),(15,214,1,16,11,13,7,2,3),(15,214,1,16,12,8,18,3,2),(15,214,1,16,13,7,21,NULL,5),(15,214,1,16,14,11,15,1,3),(15,214,1,16,15,3,1,NULL,NULL),(15,214,1,16,16,7,NULL,3,NULL),(15,214,1,16,17,5,5,2,NULL),(15,214,1,16,18,7,14,1,3),(15,214,1,16,19,4,1,1,1),(15,214,1,16,20,12,9,2,2),(15,214,1,17,1,11,9,3,1),(15,214,1,17,2,7,6,1,2),(15,214,1,17,3,4,14,2,2),(15,214,1,17,4,6,8,1,2),(15,214,1,17,5,3,10,NULL,3),(15,214,1,17,6,10,7,2,1),(15,214,1,17,7,14,1,3,NULL),(15,214,1,17,8,7,15,2,2),(15,214,1,17,9,13,NULL,2,NULL),(15,214,1,17,10,11,6,3,1),(15,214,1,17,11,9,7,2,2),(15,214,1,17,12,13,15,2,2),(15,214,1,17,13,3,18,1,3),(15,214,1,17,14,3,13,1,2),(15,214,1,17,15,NULL,9,1,NULL),(15,214,1,17,16,7,NULL,3,NULL),(15,214,1,17,17,9,8,2,NULL),(15,214,1,17,18,2,13,1,2),(15,214,1,17,19,5,2,NULL,NULL),(15,214,1,17,20,6,14,1,2),(15,214,2,21,1,10,14,1,2),(15,214,2,21,2,6,4,2,NULL),(15,214,2,21,3,3,17,1,1),(15,214,2,21,4,15,7,3,1),(15,214,2,21,5,20,13,3,NULL),(15,214,2,21,6,17,8,4,3),(15,214,2,21,7,4,4,NULL,1),(15,214,2,21,8,3,NULL,2,NULL),(15,214,2,21,9,12,2,3,1),(15,214,2,21,10,9,3,NULL,1),(15,214,2,21,11,11,16,3,2),(15,214,2,21,12,28,15,4,3),(15,214,2,21,13,37,7,6,NULL),(15,214,2,21,14,8,25,2,4),(15,214,2,21,15,23,15,4,4),(15,214,2,21,16,46,15,8,1),(15,214,2,21,17,10,17,3,1),(15,214,2,21,18,22,8,5,1),(15,214,2,21,19,13,33,4,3),(15,214,2,21,20,34,19,5,2),(15,214,2,21,21,18,10,2,1),(15,214,2,21,22,40,7,6,1),(15,214,2,21,23,24,11,3,3),(15,214,2,21,24,22,29,6,2),(15,214,2,21,25,53,NULL,8,NULL),(15,214,2,21,26,16,17,4,2),(15,214,2,21,27,11,21,3,3),(15,214,2,21,28,9,23,3,3),(15,214,2,21,29,46,14,8,1),(15,214,2,21,30,17,17,4,2),(15,214,2,22,1,9,13,4,5),(15,214,2,22,2,6,2,2,1),(15,214,2,22,3,5,4,1,1),(15,214,2,22,4,12,8,6,2),(15,214,2,22,5,20,9,8,2),(15,214,2,22,6,22,8,7,NULL),(15,214,2,22,7,14,2,7,1),(15,214,2,22,8,5,NULL,1,NULL),(15,214,2,22,9,9,6,6,2),(15,214,2,22,10,6,3,4,2),(15,214,2,22,11,12,9,4,2),(15,214,2,22,12,19,20,2,5),(15,214,2,22,13,27,6,7,1),(15,214,2,22,14,6,14,1,8),(15,214,2,22,15,20,18,9,2),(15,214,2,22,16,41,13,11,NULL),(15,214,2,22,17,4,11,2,3),(15,214,2,22,18,12,6,5,2),(15,214,2,22,19,13,24,4,3),(15,214,2,22,20,21,15,9,1),(15,214,2,22,21,16,5,5,1),(15,214,2,22,22,30,6,9,NULL),(15,214,2,22,23,22,14,8,NULL),(15,214,2,22,24,25,20,7,4),(15,214,2,22,25,45,NULL,11,NULL),(15,214,2,22,26,13,7,6,3),(15,214,2,22,27,14,18,6,3),(15,214,2,22,28,9,22,7,2),(15,214,2,22,29,32,20,9,2),(15,214,2,22,30,14,10,8,2),(15,214,2,23,1,6,13,NULL,4),(15,214,2,23,2,3,6,NULL,1),(15,214,2,23,3,5,10,NULL,2),(15,214,2,23,4,14,9,3,2),(15,214,2,23,5,25,10,4,1),(15,214,2,23,6,19,15,2,2),(15,214,2,23,7,13,4,4,NULL),(15,214,2,23,8,4,NULL,1,NULL),(15,214,2,23,9,8,7,3,NULL),(15,214,2,23,10,12,5,2,1),(15,214,2,23,11,16,12,2,2),(15,214,2,23,12,20,19,3,2),(15,214,2,23,13,34,6,6,NULL),(15,214,2,23,14,5,20,NULL,4),(15,214,2,23,15,17,17,1,2),(15,214,2,23,16,30,24,5,2),(15,214,2,23,17,8,15,2,NULL),(15,214,2,23,18,17,12,2,3),(15,214,2,23,19,14,25,3,1),(15,214,2,23,20,23,21,5,1),(15,214,2,23,21,16,10,3,NULL),(15,214,2,23,22,31,8,6,NULL),(15,214,2,23,23,19,7,4,NULL),(15,214,2,23,24,23,24,3,3),(15,214,2,23,25,46,NULL,7,NULL),(15,214,2,23,26,20,11,5,1),(15,214,2,23,27,9,23,1,3),(15,214,2,23,28,11,30,2,3),(15,214,2,23,29,37,24,4,3),(15,214,2,23,30,12,16,3,2),(15,214,2,24,1,11,11,3,4),(15,214,2,24,2,4,7,NULL,1),(15,214,2,24,3,NULL,10,1,1),(15,214,2,24,4,10,9,3,4),(15,214,2,24,5,26,14,8,3),(15,214,2,24,6,9,12,1,2),(15,214,2,24,7,8,3,2,NULL),(15,214,2,24,8,3,NULL,1,NULL),(15,214,2,24,9,14,16,4,3),(15,214,2,24,10,17,2,3,NULL),(15,214,2,24,11,19,13,8,2),(15,214,2,24,12,19,23,6,5),(15,214,2,24,13,35,6,11,NULL),(15,214,2,24,14,9,24,2,7),(15,214,2,24,15,13,23,3,4),(15,214,2,24,16,41,20,8,4),(15,214,2,24,17,9,15,1,7),(15,214,2,24,18,17,12,4,3),(15,214,2,24,19,12,37,3,9),(15,214,2,24,20,30,23,6,5),(15,214,2,24,21,13,12,3,3),(15,214,2,24,22,37,11,12,1),(15,214,2,24,23,21,16,9,2),(15,214,2,24,24,25,23,5,2),(15,214,2,24,25,43,NULL,10,NULL),(15,214,2,24,26,15,12,5,3),(15,214,2,24,27,7,27,3,5),(15,214,2,24,28,11,23,4,4),(15,214,2,24,29,47,19,8,4),(15,214,2,24,30,20,13,4,1),(15,214,3,31,1,45,24,9,3),(15,214,3,31,2,10,33,3,7),(15,214,3,31,3,38,11,11,1),(15,214,3,31,4,43,5,9,NULL),(15,214,3,31,5,22,28,7,3),(15,214,3,31,6,5,44,NULL,8),(15,214,3,31,7,7,26,1,4),(15,214,3,31,8,12,7,5,NULL),(15,214,3,31,9,14,19,4,5),(15,214,3,31,10,16,13,8,3),(15,214,3,31,11,2,13,NULL,3),(15,214,3,31,12,20,23,6,5),(15,214,3,31,13,3,21,3,4),(15,214,3,31,14,30,11,10,1),(15,214,3,31,15,33,19,9,4),(15,214,3,31,16,16,24,3,5),(15,214,3,31,17,43,16,10,2),(15,214,3,31,18,9,14,3,4),(15,214,3,31,19,10,8,5,2),(15,214,3,31,20,6,14,2,3),(15,214,3,31,21,7,NULL,3,NULL),(15,214,3,31,22,13,18,5,4),(15,214,3,31,23,7,11,5,1),(15,214,3,31,24,18,32,4,6),(15,214,3,31,25,6,11,2,3),(15,214,3,31,26,12,8,4,1),(15,214,3,31,27,2,13,1,2),(15,214,3,31,28,3,14,1,3),(15,214,3,31,29,NULL,30,NULL,9),(15,214,3,31,30,6,24,4,2),(15,214,3,32,1,43,20,6,1),(15,214,3,32,2,13,20,3,1),(15,214,3,32,3,34,3,5,1),(15,214,3,32,4,41,4,7,NULL),(15,214,3,32,5,21,21,4,3),(15,214,3,32,6,12,36,2,4),(15,214,3,32,7,13,12,2,2),(15,214,3,32,8,13,4,4,NULL),(15,214,3,32,9,19,14,4,1),(15,214,3,32,10,15,14,5,NULL),(15,214,3,32,11,NULL,10,NULL,1),(15,214,3,32,12,19,17,4,3),(15,214,3,32,13,1,11,NULL,NULL),(15,214,3,32,14,29,13,6,NULL),(15,214,3,32,15,33,15,5,1),(15,214,3,32,16,7,29,1,3),(15,214,3,32,17,37,12,5,1),(15,214,3,32,18,12,12,4,NULL),(15,214,3,32,19,12,10,2,1),(15,214,3,32,20,8,15,3,2),(15,214,3,32,21,8,NULL,3,NULL),(15,214,3,32,22,13,14,1,4),(15,214,3,32,23,9,8,2,NULL),(15,214,3,32,24,15,29,2,5),(15,214,3,32,25,3,5,NULL,1),(15,214,3,32,26,5,9,1,3),(15,214,3,32,27,4,11,1,2),(15,214,3,32,28,4,7,NULL,2),(15,214,3,32,29,2,26,NULL,3),(15,214,3,32,30,10,20,2,1),(15,214,3,33,1,36,17,8,3),(15,214,3,33,2,5,33,2,9),(15,214,3,33,3,26,12,9,2),(15,214,3,33,4,31,13,8,2),(15,214,3,33,5,19,17,6,4),(15,214,3,33,6,10,21,6,4),(15,214,3,33,7,8,18,4,4),(15,214,3,33,8,11,9,4,5),(15,214,3,33,9,18,12,8,3),(15,214,3,33,10,12,8,5,1),(15,214,3,33,11,3,4,3,NULL),(15,214,3,33,12,16,16,3,7),(15,214,3,33,13,1,10,NULL,3),(15,214,3,33,14,15,12,6,4),(15,214,3,33,15,23,11,9,1),(15,214,3,33,16,14,16,4,4),(15,214,3,33,17,38,8,8,1),(15,214,3,33,18,8,9,NULL,3),(15,214,3,33,19,14,8,5,2),(15,214,3,33,20,9,8,2,3),(15,214,3,33,21,9,NULL,4,NULL),(15,214,3,33,22,8,17,4,6),(15,214,3,33,23,3,12,3,5),(15,214,3,33,24,15,20,5,5),(15,214,3,33,25,4,9,2,3),(15,214,3,33,26,6,9,4,3),(15,214,3,33,27,4,8,4,4),(15,214,3,33,28,4,4,NULL,1),(15,214,3,33,29,2,27,2,5),(15,214,3,33,30,8,16,3,5),(15,214,3,34,1,44,21,9,NULL),(15,214,3,34,2,14,30,3,4),(15,214,3,34,3,28,17,7,2),(15,214,3,34,4,44,5,9,NULL),(15,214,3,34,5,13,31,3,4),(15,214,3,34,6,12,40,2,4),(15,214,3,34,7,9,28,2,2),(15,214,3,34,8,8,7,2,1),(15,214,3,34,9,22,15,3,4),(15,214,3,34,10,12,12,5,2),(15,214,3,34,11,3,10,NULL,1),(15,214,3,34,12,16,23,1,5),(15,214,3,34,13,4,13,1,NULL),(15,214,3,34,14,33,11,6,2),(15,214,3,34,15,31,12,9,NULL),(15,214,3,34,16,9,26,2,2),(15,214,3,34,17,38,18,3,6),(15,214,3,34,18,9,10,NULL,3),(15,214,3,34,19,9,12,1,2),(15,214,3,34,20,10,20,1,2),(15,214,3,34,21,7,NULL,2,NULL),(15,214,3,34,22,6,26,2,3),(15,214,3,34,23,3,11,2,3),(15,214,3,34,24,20,31,3,6),(15,214,3,34,25,7,6,1,1),(15,214,3,34,26,4,14,2,4),(15,214,3,34,27,4,19,NULL,5),(15,214,3,34,28,4,9,NULL,1),(15,214,3,34,29,2,37,2,6),(15,214,3,34,30,9,19,3,1),(15,215,1,11,1,NULL,1,NULL,NULL),(15,215,1,11,2,1,NULL,NULL,NULL),(15,215,1,11,3,NULL,1,NULL,NULL),(15,215,1,11,4,NULL,NULL,NULL,NULL),(15,215,1,11,5,NULL,NULL,NULL,NULL),(15,215,1,11,6,1,NULL,NULL,NULL),(15,215,1,11,7,1,NULL,NULL,NULL),(15,215,1,11,8,NULL,1,NULL,NULL),(15,215,1,11,9,2,NULL,NULL,NULL),(15,215,1,11,10,1,1,NULL,NULL),(15,215,1,11,11,1,NULL,NULL,NULL),(15,215,1,11,12,1,1,NULL,NULL),(15,215,1,11,13,1,1,NULL,NULL),(15,215,1,11,14,2,NULL,NULL,NULL),(15,215,1,11,15,NULL,2,NULL,NULL),(15,215,1,11,16,2,NULL,NULL,NULL),(15,215,1,11,17,1,NULL,NULL,NULL),(15,215,1,11,18,1,NULL,NULL,NULL),(15,215,1,11,19,1,1,NULL,NULL),(15,215,1,11,20,2,NULL,NULL,NULL),(15,215,1,12,1,NULL,NULL,NULL,NULL),(15,215,1,12,2,NULL,NULL,NULL,NULL),(15,215,1,12,3,NULL,NULL,NULL,NULL),(15,215,1,12,4,NULL,NULL,NULL,NULL),(15,215,1,12,5,NULL,NULL,NULL,NULL),(15,215,1,12,6,NULL,NULL,NULL,NULL),(15,215,1,12,7,NULL,NULL,NULL,NULL),(15,215,1,12,8,NULL,NULL,NULL,NULL),(15,215,1,12,9,NULL,NULL,NULL,NULL),(15,215,1,12,10,NULL,NULL,NULL,NULL),(15,215,1,12,11,NULL,NULL,NULL,NULL),(15,215,1,12,12,NULL,NULL,NULL,NULL),(15,215,1,12,13,NULL,NULL,NULL,NULL),(15,215,1,12,14,NULL,NULL,NULL,NULL),(15,215,1,12,15,NULL,NULL,NULL,NULL),(15,215,1,12,16,NULL,NULL,NULL,NULL),(15,215,1,12,17,NULL,NULL,NULL,NULL),(15,215,1,12,18,NULL,NULL,NULL,NULL),(15,215,1,12,19,NULL,NULL,NULL,NULL),(15,215,1,12,20,NULL,NULL,NULL,NULL),(15,215,1,13,1,1,2,NULL,NULL),(15,215,1,13,2,1,1,NULL,NULL),(15,215,1,13,3,NULL,3,NULL,NULL),(15,215,1,13,4,2,NULL,NULL,NULL),(15,215,1,13,5,NULL,2,NULL,NULL),(15,215,1,13,6,2,NULL,NULL,NULL),(15,215,1,13,7,2,NULL,NULL,NULL),(15,215,1,13,8,2,2,NULL,NULL),(15,215,1,13,9,1,NULL,NULL,NULL),(15,215,1,13,10,2,NULL,NULL,NULL),(15,215,1,13,11,2,NULL,NULL,NULL),(15,215,1,13,12,2,NULL,NULL,NULL),(15,215,1,13,13,NULL,2,NULL,NULL),(15,215,1,13,14,1,1,NULL,NULL),(15,215,1,13,15,2,NULL,NULL,NULL),(15,215,1,13,16,NULL,2,NULL,NULL),(15,215,1,13,17,NULL,2,NULL,NULL),(15,215,1,13,18,NULL,1,NULL,NULL),(15,215,1,13,19,1,1,NULL,NULL),(15,215,1,13,20,NULL,2,NULL,NULL),(15,215,1,14,1,25,15,11,5),(15,215,1,14,2,18,11,11,8),(15,215,1,14,3,10,22,8,11),(15,215,1,14,4,10,13,9,7),(15,215,1,14,5,7,13,6,7),(15,215,1,14,6,21,12,11,5),(15,215,1,14,7,18,1,16,2),(15,215,1,14,8,17,19,6,11),(15,215,1,14,9,20,NULL,11,NULL),(15,215,1,14,10,22,9,14,2),(15,215,1,14,11,4,15,6,7),(15,215,1,14,12,4,4,4,4),(15,215,1,14,13,11,10,7,3),(15,215,1,14,14,19,20,11,4),(15,215,1,14,15,34,NULL,21,NULL),(15,215,1,14,16,2,10,2,4),(15,215,1,14,17,14,8,13,2),(15,215,1,14,18,6,9,8,3),(15,215,1,14,19,14,12,10,6),(15,215,1,14,20,19,13,10,4),(15,215,1,15,1,20,28,8,4),(15,215,1,15,2,18,21,7,4),(15,215,1,15,3,10,30,5,6),(15,215,1,15,4,14,28,5,6),(15,215,1,15,5,6,22,3,5),(15,215,1,15,6,16,23,3,8),(15,215,1,15,7,19,12,5,2),(15,215,1,15,8,17,33,6,3),(15,215,1,15,9,26,NULL,7,NULL),(15,215,1,15,10,26,6,8,1),(15,215,1,15,11,2,20,3,4),(15,215,1,15,12,4,12,2,3),(15,215,1,15,13,5,17,4,3),(15,215,1,15,14,24,24,5,6),(15,215,1,15,15,43,NULL,12,NULL),(15,215,1,15,16,9,6,4,NULL),(15,215,1,15,17,14,13,7,1),(15,215,1,15,18,7,10,4,5),(15,215,1,15,19,10,19,4,6),(15,215,1,15,20,22,21,8,3),(15,215,1,16,1,13,12,1,3),(15,215,1,16,2,5,6,2,1),(15,215,1,16,3,2,21,2,2),(15,215,1,16,4,3,16,1,2),(15,215,1,16,5,4,13,1,3),(15,215,1,16,6,20,9,2,2),(15,215,1,16,7,14,2,1,2),(15,215,1,16,8,11,17,3,1),(15,215,1,16,9,11,NULL,3,NULL),(15,215,1,16,10,14,4,3,1),(15,215,1,16,11,15,10,1,2),(15,215,1,16,12,6,23,1,4),(15,215,1,16,13,5,32,NULL,4),(15,215,1,16,14,15,5,1,2),(15,215,1,16,15,8,7,NULL,2),(15,215,1,16,16,12,NULL,1,NULL),(15,215,1,16,17,8,12,3,2),(15,215,1,16,18,7,19,NULL,4),(15,215,1,16,19,7,3,1,NULL),(15,215,1,16,20,13,15,3,2),(15,215,1,17,1,16,9,3,NULL),(15,215,1,17,2,7,9,3,1),(15,215,1,17,3,6,18,1,1),(15,215,1,17,4,8,12,2,3),(15,215,1,17,5,4,9,3,2),(15,215,1,17,6,16,8,2,NULL),(15,215,1,17,7,12,4,2,3),(15,215,1,17,8,8,11,1,3),(15,215,1,17,9,11,NULL,3,NULL),(15,215,1,17,10,17,4,2,2),(15,215,1,17,11,14,7,2,2),(15,215,1,17,12,13,18,1,4),(15,215,1,17,13,7,23,NULL,5),(15,215,1,17,14,7,11,2,2),(15,215,1,17,15,6,8,2,1),(15,215,1,17,16,11,NULL,4,NULL),(15,215,1,17,17,9,14,NULL,3),(15,215,1,17,18,9,13,1,1),(15,215,1,17,19,1,3,NULL,1),(15,215,1,17,20,9,17,2,3),(15,215,2,21,1,4,9,5,1),(15,215,2,21,2,5,2,1,2),(15,215,2,21,3,4,4,NULL,2),(15,215,2,21,4,7,8,5,1),(15,215,2,21,5,13,8,7,4),(15,215,2,21,6,11,4,5,1),(15,215,2,21,7,1,2,2,1),(15,215,2,21,8,1,NULL,1,NULL),(15,215,2,21,9,5,5,5,1),(15,215,2,21,10,4,2,4,2),(15,215,2,21,11,9,8,4,1),(15,215,2,21,12,14,13,7,1),(15,215,2,21,13,18,5,8,1),(15,215,2,21,14,4,12,2,6),(15,215,2,21,15,10,15,5,6),(15,215,2,21,16,29,14,9,4),(15,215,2,21,17,8,11,3,3),(15,215,2,21,18,12,10,8,3),(15,215,2,21,19,8,29,1,10),(15,215,2,21,20,10,12,7,2),(15,215,2,21,21,1,7,4,3),(15,215,2,21,22,15,8,9,1),(15,215,2,21,23,8,13,6,2),(15,215,2,21,24,5,24,5,6),(15,215,2,21,25,25,NULL,12,NULL),(15,215,2,21,26,2,5,3,1),(15,215,2,21,27,3,18,3,8),(15,215,2,21,28,7,8,3,2),(15,215,2,21,29,23,21,10,3),(15,215,2,21,30,9,11,4,5),(15,215,2,22,1,1,9,3,1),(15,215,2,22,2,3,3,1,1),(15,215,2,22,3,4,4,NULL,4),(15,215,2,22,4,3,4,2,3),(15,215,2,22,5,20,10,3,2),(15,215,2,22,6,9,9,1,5),(15,215,2,22,7,6,2,5,NULL),(15,215,2,22,8,2,NULL,1,NULL),(15,215,2,22,9,6,6,1,2),(15,215,2,22,10,7,2,4,NULL),(15,215,2,22,11,9,14,2,4),(15,215,2,22,12,16,14,1,5),(15,215,2,22,13,21,10,5,1),(15,215,2,22,14,2,8,NULL,3),(15,215,2,22,15,8,20,4,4),(15,215,2,22,16,27,17,5,3),(15,215,2,22,17,5,15,NULL,3),(15,215,2,22,18,7,7,2,2),(15,215,2,22,19,11,23,1,3),(15,215,2,22,20,10,9,3,4),(15,215,2,22,21,3,9,2,2),(15,215,2,22,22,17,11,4,2),(15,215,2,22,23,10,13,1,3),(15,215,2,22,24,8,17,3,3),(15,215,2,22,25,30,NULL,8,NULL),(15,215,2,22,26,4,7,3,NULL),(15,215,2,22,27,7,12,2,4),(15,215,2,22,28,4,13,3,5),(15,215,2,22,29,22,26,4,4),(15,215,2,22,30,4,5,2,2),(15,215,2,23,1,3,6,2,7),(15,215,2,23,2,2,9,1,2),(15,215,2,23,3,5,7,1,1),(15,215,2,23,4,3,4,5,1),(15,215,2,23,5,8,13,6,3),(15,215,2,23,6,6,10,4,6),(15,215,2,23,7,9,NULL,5,NULL),(15,215,2,23,8,3,NULL,1,NULL),(15,215,2,23,9,5,7,4,3),(15,215,2,23,10,4,4,5,2),(15,215,2,23,11,6,10,2,3),(15,215,2,23,12,4,16,3,8),(15,215,2,23,13,10,10,6,4),(15,215,2,23,14,5,8,4,1),(15,215,2,23,15,11,11,3,3),(15,215,2,23,16,23,16,8,5),(15,215,2,23,17,2,12,3,4),(15,215,2,23,18,9,5,3,4),(15,215,2,23,19,13,16,6,6),(15,215,2,23,20,6,11,6,7),(15,215,2,23,21,4,3,5,1),(15,215,2,23,22,14,9,6,3),(15,215,2,23,23,9,8,6,4),(15,215,2,23,24,5,15,6,6),(15,215,2,23,25,27,NULL,12,NULL),(15,215,2,23,26,2,8,2,5),(15,215,2,23,27,3,11,3,3),(15,215,2,23,28,4,10,5,2),(15,215,2,23,29,21,18,10,3),(15,215,2,23,30,7,11,8,3),(15,215,2,24,1,3,8,NULL,3),(15,215,2,24,2,3,5,1,1),(15,215,2,24,3,1,10,NULL,3),(15,215,2,24,4,8,5,2,1),(15,215,2,24,5,13,14,5,NULL),(15,215,2,24,6,5,8,1,3),(15,215,2,24,7,4,2,4,NULL),(15,215,2,24,8,3,NULL,NULL,NULL),(15,215,2,24,9,9,7,3,3),(15,215,2,24,10,9,1,2,NULL),(15,215,2,24,11,8,14,5,2),(15,215,2,24,12,10,14,3,3),(15,215,2,24,13,20,12,4,2),(15,215,2,24,14,2,18,1,4),(15,215,2,24,15,15,16,3,4),(15,215,2,24,16,21,20,5,3),(15,215,2,24,17,6,9,1,3),(15,215,2,24,18,7,11,1,3),(15,215,2,24,19,4,17,NULL,4),(15,215,2,24,20,11,13,5,1),(15,215,2,24,21,3,4,NULL,2),(15,215,2,24,22,15,10,4,3),(15,215,2,24,23,15,14,2,3),(15,215,2,24,24,5,17,1,3),(15,215,2,24,25,28,NULL,8,NULL),(15,215,2,24,26,7,4,2,NULL),(15,215,2,24,27,5,16,1,5),(15,215,2,24,28,2,18,2,4),(15,215,2,24,29,18,23,2,4),(15,215,2,24,30,7,14,3,2),(15,215,3,31,1,23,22,3,6),(15,215,3,31,2,4,16,1,5),(15,215,3,31,3,12,10,3,2),(15,215,3,31,4,13,10,6,NULL),(15,215,3,31,5,6,19,1,5),(15,215,3,31,6,2,29,1,7),(15,215,3,31,7,2,10,1,5),(15,215,3,31,8,3,3,3,NULL),(15,215,3,31,9,5,12,NULL,4),(15,215,3,31,10,3,13,NULL,4),(15,215,3,31,11,1,7,NULL,3),(15,215,3,31,12,14,17,2,2),(15,215,3,31,13,3,10,1,5),(15,215,3,31,14,9,6,5,NULL),(15,215,3,31,15,16,19,5,2),(15,215,3,31,16,2,16,2,4),(15,215,3,31,17,24,16,7,1),(15,215,3,31,18,2,7,2,1),(15,215,3,31,19,7,5,2,1),(15,215,3,31,20,1,8,1,2),(15,215,3,31,21,2,NULL,1,NULL),(15,215,3,31,22,11,16,1,5),(15,215,3,31,23,NULL,8,NULL,4),(15,215,3,31,24,10,21,5,1),(15,215,3,31,25,1,9,1,2),(15,215,3,31,26,5,6,1,2),(15,215,3,31,27,NULL,9,NULL,3),(15,215,3,31,28,3,5,2,4),(15,215,3,31,29,NULL,21,NULL,6),(15,215,3,31,30,4,21,2,4),(15,215,3,32,1,25,21,8,5),(15,215,3,32,2,NULL,11,4,4),(15,215,3,32,3,8,4,6,3),(15,215,3,32,4,15,11,11,2),(15,215,3,32,5,10,12,8,4),(15,215,3,32,6,4,17,3,8),(15,215,3,32,7,1,11,2,5),(15,215,3,32,8,4,2,1,NULL),(15,215,3,32,9,5,13,4,5),(15,215,3,32,10,3,9,3,3),(15,215,3,32,11,NULL,6,NULL,NULL),(15,215,3,32,12,12,13,4,8),(15,215,3,32,13,2,8,NULL,3),(15,215,3,32,14,6,7,7,2),(15,215,3,32,15,13,7,10,3),(15,215,3,32,16,1,9,2,5),(15,215,3,32,17,21,11,10,3),(15,215,3,32,18,7,8,4,3),(15,215,3,32,19,4,11,1,3),(15,215,3,32,20,2,10,2,7),(15,215,3,32,21,4,NULL,2,NULL),(15,215,3,32,22,5,13,4,6),(15,215,3,32,23,2,8,5,4),(15,215,3,32,24,6,17,6,7),(15,215,3,32,25,NULL,6,NULL,4),(15,215,3,32,26,2,4,2,3),(15,215,3,32,27,2,5,2,5),(15,215,3,32,28,1,3,2,4),(15,215,3,32,29,4,19,2,7),(15,215,3,32,30,2,15,2,7),(15,215,3,33,1,28,21,7,2),(15,215,3,33,2,3,20,3,2),(15,215,3,33,3,15,9,5,1),(15,215,3,33,4,22,8,6,2),(15,215,3,33,5,6,16,5,2),(15,215,3,33,6,3,25,2,5),(15,215,3,33,7,1,20,NULL,3),(15,215,3,33,8,2,1,2,NULL),(15,215,3,33,9,5,10,2,3),(15,215,3,33,10,4,6,3,2),(15,215,3,33,11,1,4,NULL,2),(15,215,3,33,12,15,11,2,5),(15,215,3,33,13,1,6,NULL,2),(15,215,3,33,14,8,4,4,3),(15,215,3,33,15,19,12,4,2),(15,215,3,33,16,11,12,NULL,4),(15,215,3,33,17,27,12,9,NULL),(15,215,3,33,18,8,8,1,3),(15,215,3,33,19,8,5,4,3),(15,215,3,33,20,2,11,1,NULL),(15,215,3,33,21,3,NULL,1,NULL),(15,215,3,33,22,5,11,1,3),(15,215,3,33,23,NULL,5,2,3),(15,215,3,33,24,5,23,3,6),(15,215,3,33,25,NULL,3,1,3),(15,215,3,33,26,1,4,NULL,3),(15,215,3,33,27,NULL,4,NULL,1),(15,215,3,33,28,NULL,3,1,2),(15,215,3,33,29,NULL,25,1,8),(15,215,3,33,30,4,17,3,2),(15,215,3,34,1,24,28,11,2),(15,215,3,34,2,2,19,3,9),(15,215,3,34,3,10,9,5,3),(15,215,3,34,4,19,4,8,2),(15,215,3,34,5,9,13,6,5),(15,215,3,34,6,3,29,2,8),(15,215,3,34,7,2,14,2,6),(15,215,3,34,8,3,2,2,3),(15,215,3,34,9,10,7,4,1),(15,215,3,34,10,3,6,2,2),(15,215,3,34,11,NULL,4,NULL,1),(15,215,3,34,12,10,15,7,4),(15,215,3,34,13,1,8,NULL,9),(15,215,3,34,14,13,4,9,NULL),(15,215,3,34,15,16,13,8,3),(15,215,3,34,16,11,7,5,3),(15,215,3,34,17,23,13,11,2),(15,215,3,34,18,4,12,1,4),(15,215,3,34,19,7,5,3,1),(15,215,3,34,20,5,10,4,5),(15,215,3,34,21,4,NULL,5,NULL),(15,215,3,34,22,5,19,2,5),(15,215,3,34,23,3,6,2,3),(15,215,3,34,24,6,26,6,4),(15,215,3,34,25,3,4,1,2),(15,215,3,34,26,2,1,1,4),(15,215,3,34,27,3,7,NULL,4),(15,215,3,34,28,3,7,1,3),(15,215,3,34,29,1,22,1,9),(15,215,3,34,30,2,13,1,3),(15,216,1,11,1,NULL,1,NULL,NULL),(15,216,1,11,2,1,NULL,NULL,NULL),(15,216,1,11,3,NULL,1,NULL,NULL),(15,216,1,11,4,NULL,1,NULL,NULL),(15,216,1,11,5,1,NULL,NULL,NULL),(15,216,1,11,6,1,1,NULL,NULL),(15,216,1,11,7,NULL,NULL,NULL,NULL),(15,216,1,11,8,NULL,1,NULL,NULL),(15,216,1,11,9,2,NULL,NULL,NULL),(15,216,1,11,10,2,NULL,NULL,NULL),(15,216,1,11,11,NULL,1,NULL,NULL),(15,216,1,11,12,NULL,1,NULL,NULL),(15,216,1,11,13,1,NULL,NULL,NULL),(15,216,1,11,14,2,NULL,NULL,NULL),(15,216,1,11,15,2,NULL,NULL,NULL),(15,216,1,11,16,1,NULL,NULL,NULL),(15,216,1,11,17,2,NULL,NULL,NULL),(15,216,1,11,18,1,NULL,NULL,NULL),(15,216,1,11,19,NULL,1,NULL,NULL),(15,216,1,11,20,1,NULL,NULL,NULL),(15,216,1,12,1,NULL,NULL,NULL,NULL),(15,216,1,12,2,NULL,NULL,NULL,NULL),(15,216,1,12,3,NULL,NULL,NULL,NULL),(15,216,1,12,4,NULL,NULL,NULL,NULL),(15,216,1,12,5,NULL,NULL,NULL,NULL),(15,216,1,12,6,NULL,NULL,NULL,NULL),(15,216,1,12,7,NULL,NULL,NULL,NULL),(15,216,1,12,8,NULL,NULL,NULL,NULL),(15,216,1,12,9,NULL,NULL,NULL,NULL),(15,216,1,12,10,NULL,NULL,NULL,NULL),(15,216,1,12,11,NULL,NULL,NULL,NULL),(15,216,1,12,12,NULL,NULL,NULL,NULL),(15,216,1,12,13,NULL,NULL,NULL,NULL),(15,216,1,12,14,NULL,NULL,NULL,NULL),(15,216,1,12,15,NULL,NULL,NULL,NULL),(15,216,1,12,16,NULL,NULL,NULL,NULL),(15,216,1,12,17,NULL,NULL,NULL,NULL),(15,216,1,12,18,NULL,NULL,NULL,NULL),(15,216,1,12,19,NULL,NULL,NULL,NULL),(15,216,1,12,20,NULL,NULL,NULL,NULL),(15,216,1,13,1,2,NULL,NULL,NULL),(15,216,1,13,2,1,NULL,NULL,NULL),(15,216,1,13,3,NULL,2,NULL,NULL),(15,216,1,13,4,NULL,2,NULL,NULL),(15,216,1,13,5,NULL,NULL,NULL,NULL),(15,216,1,13,6,NULL,NULL,NULL,NULL),(15,216,1,13,7,NULL,1,NULL,NULL),(15,216,1,13,8,1,NULL,NULL,NULL),(15,216,1,13,9,NULL,NULL,NULL,NULL),(15,216,1,13,10,1,NULL,NULL,NULL),(15,216,1,13,11,1,1,NULL,NULL),(15,216,1,13,12,NULL,NULL,NULL,NULL),(15,216,1,13,13,NULL,NULL,NULL,NULL),(15,216,1,13,14,NULL,NULL,NULL,NULL),(15,216,1,13,15,1,1,NULL,NULL),(15,216,1,13,16,1,1,NULL,NULL),(15,216,1,13,17,NULL,NULL,NULL,NULL),(15,216,1,13,18,1,NULL,NULL,NULL),(15,216,1,13,19,NULL,NULL,NULL,NULL),(15,216,1,13,20,NULL,NULL,NULL,NULL),(15,216,1,14,1,82,29,8,NULL),(15,216,1,14,2,52,41,3,6),(15,216,1,14,3,33,58,4,7),(15,216,1,14,4,37,45,8,4),(15,216,1,14,5,19,54,1,7),(15,216,1,14,6,53,51,5,5),(15,216,1,14,7,52,20,9,1),(15,216,1,14,8,43,52,6,4),(15,216,1,14,9,50,NULL,8,NULL),(15,216,1,14,10,80,13,10,2),(15,216,1,14,11,20,34,6,2),(15,216,1,14,12,13,29,3,4),(15,216,1,14,13,28,27,5,3),(15,216,1,14,14,65,32,9,3),(15,216,1,14,15,91,NULL,12,NULL),(15,216,1,14,16,24,10,3,1),(15,216,1,14,17,44,15,9,1),(15,216,1,14,18,31,22,4,2),(15,216,1,14,19,43,32,7,3),(15,216,1,14,20,49,32,7,5),(15,216,1,15,1,56,45,14,6),(15,216,1,15,2,43,44,9,6),(15,216,1,15,3,24,67,7,13),(15,216,1,15,4,38,57,14,6),(15,216,1,15,5,12,62,6,9),(15,216,1,15,6,48,49,7,11),(15,216,1,15,7,56,25,18,NULL),(15,216,1,15,8,32,74,6,12),(15,216,1,15,9,64,NULL,13,NULL),(15,216,1,15,10,84,14,18,3),(15,216,1,15,11,19,40,7,6),(15,216,1,15,12,13,27,4,8),(15,216,1,15,13,33,30,8,5),(15,216,1,15,14,63,39,14,3),(15,216,1,15,15,94,NULL,16,NULL),(15,216,1,15,16,25,14,7,4),(15,216,1,15,17,50,26,13,6),(15,216,1,15,18,25,25,8,4),(15,216,1,15,19,48,25,12,5),(15,216,1,15,20,62,35,12,7),(15,216,1,16,1,38,21,6,1),(15,216,1,16,2,19,19,5,2),(15,216,1,16,3,17,32,3,3),(15,216,1,16,4,17,21,2,3),(15,216,1,16,5,9,21,3,2),(15,216,1,16,6,27,25,1,6),(15,216,1,16,7,28,6,4,1),(15,216,1,16,8,20,35,3,1),(15,216,1,16,9,26,NULL,3,NULL),(15,216,1,16,10,34,9,5,1),(15,216,1,16,11,25,25,2,3),(15,216,1,16,12,23,35,1,5),(15,216,1,16,13,11,47,NULL,6),(15,216,1,16,14,26,17,2,4),(15,216,1,16,15,12,15,2,3),(15,216,1,16,16,22,NULL,2,NULL),(15,216,1,16,17,12,31,NULL,5),(15,216,1,16,18,22,20,1,3),(15,216,1,16,19,4,5,NULL,NULL),(15,216,1,16,20,21,26,1,5),(15,216,1,17,1,33,20,3,2),(15,216,1,17,2,16,19,1,NULL),(15,216,1,17,3,11,30,2,3),(15,216,1,17,4,16,21,2,2),(15,216,1,17,5,6,25,1,4),(15,216,1,17,6,18,18,1,3),(15,216,1,17,7,18,11,3,1),(15,216,1,17,8,18,25,4,1),(15,216,1,17,9,33,NULL,2,NULL),(15,216,1,17,10,27,8,2,1),(15,216,1,17,11,16,16,1,2),(15,216,1,17,12,16,35,5,NULL),(15,216,1,17,13,2,42,NULL,2),(15,216,1,17,14,15,19,1,NULL),(15,216,1,17,15,5,9,2,NULL),(15,216,1,17,16,19,NULL,NULL,NULL),(15,216,1,17,17,14,28,3,1),(15,216,1,17,18,8,24,1,1),(15,216,1,17,19,8,4,1,NULL),(15,216,1,17,20,12,29,3,1),(15,216,2,21,1,15,25,5,6),(15,216,2,21,2,12,10,1,2),(15,216,2,21,3,4,16,1,2),(15,216,2,21,4,12,18,4,3),(15,216,2,21,5,26,22,7,3),(15,216,2,21,6,23,15,4,4),(15,216,2,21,7,13,3,7,NULL),(15,216,2,21,8,3,NULL,1,NULL),(15,216,2,21,9,18,21,2,5),(15,216,2,21,10,18,8,5,NULL),(15,216,2,21,11,19,19,4,4),(15,216,2,21,12,35,24,8,2),(15,216,2,21,13,38,16,9,2),(15,216,2,21,14,8,37,4,9),(15,216,2,21,15,27,32,8,5),(15,216,2,21,16,57,30,12,2),(15,216,2,21,17,4,25,2,3),(15,216,2,21,18,21,20,5,2),(15,216,2,21,19,18,50,3,6),(15,216,2,21,20,30,36,9,4),(15,216,2,21,21,14,15,3,3),(15,216,2,21,22,44,19,6,4),(15,216,2,21,23,31,20,9,2),(15,216,2,21,24,26,42,7,5),(15,216,2,21,25,78,NULL,14,NULL),(15,216,2,21,26,9,18,5,4),(15,216,2,21,27,13,44,5,6),(15,216,2,21,28,24,25,10,3),(15,216,2,21,29,56,34,11,1),(15,216,2,21,30,22,25,9,2),(15,216,2,22,1,8,16,2,3),(15,216,2,22,2,10,8,1,2),(15,216,2,22,3,4,14,NULL,2),(15,216,2,22,4,12,14,2,3),(15,216,2,22,5,25,23,5,3),(15,216,2,22,6,24,18,4,1),(15,216,2,22,7,9,8,2,1),(15,216,2,22,8,8,NULL,1,NULL),(15,216,2,22,9,13,15,3,2),(15,216,2,22,10,27,3,7,NULL),(15,216,2,22,11,24,18,6,1),(15,216,2,22,12,30,35,5,3),(15,216,2,22,13,51,12,9,NULL),(15,216,2,22,14,4,24,1,5),(15,216,2,22,15,26,31,4,4),(15,216,2,22,16,48,30,6,3),(15,216,2,22,17,7,33,2,7),(15,216,2,22,18,17,15,5,2),(15,216,2,22,19,15,46,2,8),(15,216,2,22,20,29,29,5,4),(15,216,2,22,21,12,10,2,1),(15,216,2,22,22,37,16,5,1),(15,216,2,22,23,25,25,6,1),(15,216,2,22,24,26,34,3,4),(15,216,2,22,25,64,NULL,7,NULL),(15,216,2,22,26,10,15,2,3),(15,216,2,22,27,20,35,5,4),(15,216,2,22,28,18,29,3,4),(15,216,2,22,29,53,29,8,2),(15,216,2,22,30,15,21,4,3),(15,216,2,23,1,12,20,3,3),(15,216,2,23,2,7,9,NULL,1),(15,216,2,23,3,4,17,1,2),(15,216,2,23,4,19,18,5,2),(15,216,2,23,5,31,23,5,3),(15,216,2,23,6,27,16,4,2),(15,216,2,23,7,17,2,5,1),(15,216,2,23,8,7,NULL,1,NULL),(15,216,2,23,9,18,18,3,3),(15,216,2,23,10,21,6,5,1),(15,216,2,23,11,17,22,4,3),(15,216,2,23,12,29,29,4,4),(15,216,2,23,13,45,17,6,3),(15,216,2,23,14,9,25,1,4),(15,216,2,23,15,33,30,5,3),(15,216,2,23,16,58,32,9,NULL),(15,216,2,23,17,10,25,1,4),(15,216,2,23,18,28,18,7,2),(15,216,2,23,19,21,53,1,5),(15,216,2,23,20,28,39,5,4),(15,216,2,23,21,18,20,4,1),(15,216,2,23,22,44,19,6,NULL),(15,216,2,23,23,28,26,7,NULL),(15,216,2,23,24,28,41,6,3),(15,216,2,23,25,74,NULL,10,NULL),(15,216,2,23,26,19,21,5,2),(15,216,2,23,27,16,36,1,8),(15,216,2,23,28,17,34,5,4),(15,216,2,23,29,59,41,6,4),(15,216,2,23,30,25,28,5,4),(15,216,2,24,1,14,19,4,2),(15,216,2,24,2,14,11,4,2),(15,216,2,24,3,3,18,NULL,5),(15,216,2,24,4,13,10,3,2),(15,216,2,24,5,30,19,6,2),(15,216,2,24,6,20,14,5,2),(15,216,2,24,7,12,3,6,1),(15,216,2,24,8,6,NULL,1,NULL),(15,216,2,24,9,13,13,2,2),(15,216,2,24,10,18,4,6,NULL),(15,216,2,24,11,22,21,3,2),(15,216,2,24,12,31,25,3,1),(15,216,2,24,13,53,16,5,2),(15,216,2,24,14,7,33,1,8),(15,216,2,24,15,26,31,2,6),(15,216,2,24,16,52,34,5,5),(15,216,2,24,17,11,14,1,2),(15,216,2,24,18,24,16,6,2),(15,216,2,24,19,18,43,1,8),(15,216,2,24,20,25,32,5,2),(15,216,2,24,21,20,12,6,1),(15,216,2,24,22,35,18,7,NULL),(15,216,2,24,23,28,17,7,1),(15,216,2,24,24,28,27,6,3),(15,216,2,24,25,68,NULL,9,NULL),(15,216,2,24,26,12,19,4,2),(15,216,2,24,27,13,28,4,4),(15,216,2,24,28,15,30,4,4),(15,216,2,24,29,52,31,9,1),(15,216,2,24,30,13,20,3,4),(15,216,3,31,1,76,25,9,1),(15,216,3,31,2,18,34,3,6),(15,216,3,31,3,37,14,9,NULL),(15,216,3,31,4,49,23,8,NULL),(15,216,3,31,5,28,31,4,5),(15,216,3,31,6,12,52,2,6),(15,216,3,31,7,8,32,2,4),(15,216,3,31,8,10,7,4,1),(15,216,3,31,9,26,21,6,2),(15,216,3,31,10,18,21,4,1),(15,216,3,31,11,4,21,1,2),(15,216,3,31,12,30,27,4,4),(15,216,3,31,13,4,19,1,2),(15,216,3,31,14,30,17,7,1),(15,216,3,31,15,34,25,3,4),(15,216,3,31,16,17,34,2,5),(15,216,3,31,17,57,20,6,3),(15,216,3,31,18,13,14,3,2),(15,216,3,31,19,17,12,4,2),(15,216,3,31,20,14,17,2,1),(15,216,3,31,21,16,NULL,4,NULL),(15,216,3,31,22,18,32,2,5),(15,216,3,31,23,7,22,3,2),(15,216,3,31,24,24,41,4,3),(15,216,3,31,25,4,11,1,3),(15,216,3,31,26,8,20,1,5),(15,216,3,31,27,6,14,2,4),(15,216,3,31,28,5,11,1,1),(15,216,3,31,29,5,54,NULL,10),(15,216,3,31,30,14,32,3,1),(15,216,3,32,1,66,38,9,2),(15,216,3,32,2,12,41,3,3),(15,216,3,32,3,37,19,6,1),(15,216,3,32,4,63,12,8,1),(15,216,3,32,5,32,41,4,6),(15,216,3,32,6,9,51,2,5),(15,216,3,32,7,7,32,1,4),(15,216,3,32,8,14,10,5,1),(15,216,3,32,9,23,26,5,3),(15,216,3,32,10,21,28,5,2),(15,216,3,32,11,6,10,2,1),(15,216,3,32,12,30,34,5,3),(15,216,3,32,13,3,25,NULL,6),(15,216,3,32,14,36,21,6,3),(15,216,3,32,15,40,33,7,2),(15,216,3,32,16,14,31,3,3),(15,216,3,32,17,64,23,9,1),(15,216,3,32,18,17,26,2,4),(15,216,3,32,19,11,26,1,5),(15,216,3,32,20,11,26,2,4),(15,216,3,32,21,12,NULL,2,NULL),(15,216,3,32,22,16,38,3,4),(15,216,3,32,23,11,16,3,4),(15,216,3,32,24,27,42,6,4),(15,216,3,32,25,6,16,1,3),(15,216,3,32,26,9,24,1,4),(15,216,3,32,27,4,24,NULL,3),(15,216,3,32,28,10,18,NULL,1),(15,216,3,32,29,2,66,NULL,9),(15,216,3,32,30,8,41,2,3),(15,216,3,33,1,66,27,10,NULL),(15,216,3,33,2,15,31,5,4),(15,216,3,33,3,34,14,7,1),(15,216,3,33,4,50,15,9,1),(15,216,3,33,5,27,33,5,4),(15,216,3,33,6,12,51,2,7),(15,216,3,33,7,5,27,3,6),(15,216,3,33,8,6,9,3,NULL),(15,216,3,33,9,19,26,5,1),(15,216,3,33,10,21,15,5,1),(15,216,3,33,11,2,12,1,2),(15,216,3,33,12,19,42,4,4),(15,216,3,33,13,1,21,NULL,7),(15,216,3,33,14,32,17,5,2),(15,216,3,33,15,30,28,3,6),(15,216,3,33,16,14,26,1,7),(15,216,3,33,17,60,22,9,1),(15,216,3,33,18,12,17,2,2),(15,216,3,33,19,19,15,2,2),(15,216,3,33,20,10,15,2,4),(15,216,3,33,21,20,NULL,5,NULL),(15,216,3,33,22,15,34,3,2),(15,216,3,33,23,6,16,2,3),(15,216,3,33,24,14,48,4,4),(15,216,3,33,25,3,16,1,3),(15,216,3,33,26,8,25,2,5),(15,216,3,33,27,4,10,1,2),(15,216,3,33,28,4,13,2,3),(15,216,3,33,29,1,57,NULL,9),(15,216,3,33,30,8,39,2,6),(15,216,3,34,1,62,38,8,5),(15,216,3,34,2,13,49,6,6),(15,216,3,34,3,38,16,11,2),(15,216,3,34,4,53,6,12,1),(15,216,3,34,5,30,35,11,3),(15,216,3,34,6,17,51,3,10),(15,216,3,34,7,8,34,6,4),(15,216,3,34,8,4,21,5,5),(15,216,3,34,9,26,26,10,3),(15,216,3,34,10,18,17,7,4),(15,216,3,34,11,2,11,1,2),(15,216,3,34,12,30,32,4,8),(15,216,3,34,13,1,20,NULL,6),(15,216,3,34,14,31,22,7,4),(15,216,3,34,15,40,27,12,2),(15,216,3,34,16,11,38,2,9),(15,216,3,34,17,63,20,9,5),(15,216,3,34,18,17,27,6,5),(15,216,3,34,19,14,15,3,2),(15,216,3,34,20,6,22,1,7),(15,216,3,34,21,17,NULL,3,NULL),(15,216,3,34,22,12,35,7,7),(15,216,3,34,23,6,22,5,6),(15,216,3,34,24,22,50,7,5),(15,216,3,34,25,6,18,4,5),(15,216,3,34,26,8,25,6,6),(15,216,3,34,27,2,23,2,7),(15,216,3,34,28,6,15,2,5),(15,216,3,34,29,4,61,2,9),(15,216,3,34,30,7,41,2,7),(15,217,1,11,1,NULL,NULL,NULL,NULL),(15,217,1,11,2,NULL,NULL,NULL,NULL),(15,217,1,11,3,NULL,NULL,NULL,NULL),(15,217,1,11,4,NULL,NULL,NULL,NULL),(15,217,1,11,5,NULL,NULL,NULL,NULL),(15,217,1,11,6,NULL,NULL,NULL,NULL),(15,217,1,11,7,NULL,NULL,NULL,NULL),(15,217,1,11,8,NULL,NULL,NULL,NULL),(15,217,1,11,9,NULL,NULL,NULL,NULL),(15,217,1,11,10,NULL,NULL,NULL,NULL),(15,217,1,11,11,NULL,NULL,NULL,NULL),(15,217,1,11,12,NULL,NULL,NULL,NULL),(15,217,1,11,13,NULL,NULL,NULL,NULL),(15,217,1,11,14,NULL,NULL,NULL,NULL),(15,217,1,11,15,NULL,NULL,NULL,NULL),(15,217,1,11,16,NULL,NULL,NULL,NULL),(15,217,1,11,17,NULL,NULL,NULL,NULL),(15,217,1,11,18,NULL,NULL,NULL,NULL),(15,217,1,11,19,NULL,NULL,NULL,NULL),(15,217,1,11,20,NULL,NULL,NULL,NULL),(15,217,1,12,1,NULL,2,NULL,2),(15,217,1,12,2,1,NULL,1,NULL),(15,217,1,12,3,NULL,NULL,NULL,NULL),(15,217,1,12,4,NULL,1,NULL,1),(15,217,1,12,5,1,NULL,1,NULL),(15,217,1,12,6,1,1,1,1),(15,217,1,12,7,1,NULL,1,NULL),(15,217,1,12,8,NULL,1,NULL,1),(15,217,1,12,9,2,NULL,2,NULL),(15,217,1,12,10,1,NULL,1,NULL),(15,217,1,12,11,2,NULL,2,NULL),(15,217,1,12,12,1,1,1,1),(15,217,1,12,13,2,NULL,2,NULL),(15,217,1,12,14,NULL,1,NULL,1),(15,217,1,12,15,1,1,1,1),(15,217,1,12,16,1,1,1,1),(15,217,1,12,17,1,NULL,1,NULL),(15,217,1,12,18,2,NULL,2,NULL),(15,217,1,12,19,2,NULL,2,NULL),(15,217,1,12,20,NULL,NULL,NULL,NULL),(15,217,1,13,1,NULL,NULL,NULL,NULL),(15,217,1,13,2,NULL,NULL,NULL,NULL),(15,217,1,13,3,NULL,1,NULL,NULL),(15,217,1,13,4,NULL,NULL,NULL,NULL),(15,217,1,13,5,NULL,1,NULL,NULL),(15,217,1,13,6,NULL,1,NULL,NULL),(15,217,1,13,7,1,NULL,NULL,NULL),(15,217,1,13,8,NULL,1,NULL,NULL),(15,217,1,13,9,NULL,NULL,NULL,NULL),(15,217,1,13,10,NULL,1,NULL,NULL),(15,217,1,13,11,1,NULL,NULL,NULL),(15,217,1,13,12,1,NULL,NULL,NULL),(15,217,1,13,13,NULL,1,NULL,NULL),(15,217,1,13,14,NULL,1,NULL,NULL),(15,217,1,13,15,NULL,NULL,NULL,NULL),(15,217,1,13,16,1,NULL,NULL,NULL),(15,217,1,13,17,NULL,1,NULL,NULL),(15,217,1,13,18,NULL,NULL,NULL,NULL),(15,217,1,13,19,NULL,NULL,NULL,NULL),(15,217,1,13,20,NULL,NULL,NULL,NULL),(15,217,1,14,1,25,18,10,7),(15,217,1,14,2,14,18,6,12),(15,217,1,14,3,12,27,6,12),(15,217,1,14,4,15,23,7,10),(15,217,1,14,5,10,24,5,11),(15,217,1,14,6,14,21,4,12),(15,217,1,14,7,20,12,8,9),(15,217,1,14,8,13,24,4,12),(15,217,1,14,9,22,NULL,11,NULL),(15,217,1,14,10,24,4,13,2),(15,217,1,14,11,8,11,7,7),(15,217,1,14,12,4,13,3,9),(15,217,1,14,13,10,10,8,5),(15,217,1,14,14,25,18,11,8),(15,217,1,14,15,37,NULL,19,NULL),(15,217,1,14,16,9,6,6,4),(15,217,1,14,17,19,6,14,3),(15,217,1,14,18,8,9,6,6),(15,217,1,14,19,18,10,13,4),(15,217,1,14,20,24,10,14,5),(15,217,1,15,1,28,20,12,10),(15,217,1,15,2,21,17,11,7),(15,217,1,15,3,4,33,3,15),(15,217,1,15,4,18,21,10,11),(15,217,1,15,5,11,20,6,8),(15,217,1,15,6,18,26,7,12),(15,217,1,15,7,18,11,13,6),(15,217,1,15,8,14,24,8,12),(15,217,1,15,9,25,NULL,15,NULL),(15,217,1,15,10,27,6,12,5),(15,217,1,15,11,3,17,3,13),(15,217,1,15,12,5,13,3,6),(15,217,1,15,13,10,13,6,9),(15,217,1,15,14,25,25,12,10),(15,217,1,15,15,39,NULL,21,NULL),(15,217,1,15,16,14,5,11,3),(15,217,1,15,17,13,13,8,7),(15,217,1,15,18,9,10,6,5),(15,217,1,15,19,19,10,13,6),(15,217,1,15,20,21,13,11,9),(15,217,1,16,1,16,25,7,4),(15,217,1,16,2,10,10,3,5),(15,217,1,16,3,11,35,4,9),(15,217,1,16,4,11,28,4,8),(15,217,1,16,5,3,26,1,10),(15,217,1,16,6,20,15,5,2),(15,217,1,16,7,18,13,9,2),(15,217,1,16,8,14,29,3,8),(15,217,1,16,9,23,NULL,9,NULL),(15,217,1,16,10,21,14,4,6),(15,217,1,16,11,28,15,8,3),(15,217,1,16,12,17,33,5,9),(15,217,1,16,13,9,36,2,12),(15,217,1,16,14,19,16,5,6),(15,217,1,16,15,5,6,4,1),(15,217,1,16,16,12,NULL,6,NULL),(15,217,1,16,17,15,18,4,7),(15,217,1,16,18,7,40,NULL,13),(15,217,1,16,19,5,7,2,NULL),(15,217,1,16,20,14,30,3,8),(15,217,1,17,1,19,21,3,7),(15,217,1,17,2,7,14,2,7),(15,217,1,17,3,9,31,4,10),(15,217,1,17,4,9,19,5,4),(15,217,1,17,5,2,22,1,10),(15,217,1,17,6,11,17,2,5),(15,217,1,17,7,20,9,7,3),(15,217,1,17,8,7,31,1,8),(15,217,1,17,9,19,NULL,5,NULL),(15,217,1,17,10,21,13,7,3),(15,217,1,17,11,16,12,5,4),(15,217,1,17,12,16,29,4,9),(15,217,1,17,13,6,45,NULL,14),(15,217,1,17,14,11,20,5,6),(15,217,1,17,15,6,11,2,3),(15,217,1,17,16,19,NULL,5,NULL),(15,217,1,17,17,10,25,3,8),(15,217,1,17,18,9,27,2,8),(15,217,1,17,19,6,8,1,4),(15,217,1,17,20,13,23,4,5),(15,217,2,21,1,4,9,4,6),(15,217,2,21,2,6,4,5,3),(15,217,2,21,3,4,15,1,9),(15,217,2,21,4,4,12,3,9),(15,217,2,21,5,9,19,6,11),(15,217,2,21,6,10,10,6,6),(15,217,2,21,7,6,2,5,2),(15,217,2,21,8,4,NULL,1,NULL),(15,217,2,21,9,11,10,8,8),(15,217,2,21,10,12,3,8,1),(15,217,2,21,11,15,11,8,7),(15,217,2,21,12,23,28,9,13),(15,217,2,21,13,23,12,17,5),(15,217,2,21,14,6,16,5,7),(15,217,2,21,15,14,18,5,15),(15,217,2,21,16,34,18,18,7),(15,217,2,21,17,4,17,3,8),(15,217,2,21,18,23,14,12,7),(15,217,2,21,19,8,31,4,14),(15,217,2,21,20,14,13,8,8),(15,217,2,21,21,2,10,2,4),(15,217,2,21,22,17,15,11,8),(15,217,2,21,23,11,19,7,9),(15,217,2,21,24,4,22,4,15),(15,217,2,21,25,33,NULL,20,NULL),(15,217,2,21,26,6,11,5,6),(15,217,2,21,27,4,16,2,8),(15,217,2,21,28,4,16,1,10),(15,217,2,21,29,23,33,11,11),(15,217,2,21,30,7,8,3,6),(15,217,2,22,1,3,11,2,5),(15,217,2,22,2,2,3,1,2),(15,217,2,22,3,3,11,NULL,4),(15,217,2,22,4,3,10,2,3),(15,217,2,22,5,13,14,5,3),(15,217,2,22,6,9,15,2,6),(15,217,2,22,7,3,3,2,3),(15,217,2,22,8,5,NULL,2,NULL),(15,217,2,22,9,6,13,4,3),(15,217,2,22,10,11,3,5,3),(15,217,2,22,11,8,20,5,6),(15,217,2,22,12,18,22,5,11),(15,217,2,22,13,29,10,14,2),(15,217,2,22,14,3,14,1,6),(15,217,2,22,15,10,27,6,9),(15,217,2,22,16,31,20,13,2),(15,217,2,22,17,3,5,NULL,2),(15,217,2,22,18,19,9,7,3),(15,217,2,22,19,2,27,NULL,10),(15,217,2,22,20,9,27,5,9),(15,217,2,22,21,2,2,2,NULL),(15,217,2,22,22,19,10,11,4),(15,217,2,22,23,10,11,4,7),(15,217,2,22,24,5,22,1,11),(15,217,2,22,25,26,NULL,11,NULL),(15,217,2,22,26,4,6,3,2),(15,217,2,22,27,6,16,NULL,7),(15,217,2,22,28,4,15,NULL,5),(15,217,2,22,29,19,35,6,11),(15,217,2,22,30,4,6,3,4),(15,217,2,23,1,5,5,3,3),(15,217,2,23,2,NULL,4,NULL,2),(15,217,2,23,3,3,7,2,3),(15,217,2,23,4,3,4,2,3),(15,217,2,23,5,15,15,6,6),(15,217,2,23,6,12,14,8,8),(15,217,2,23,7,2,5,2,4),(15,217,2,23,8,NULL,NULL,NULL,NULL),(15,217,2,23,9,6,6,4,3),(15,217,2,23,10,6,7,5,4),(15,217,2,23,11,9,12,3,3),(15,217,2,23,12,11,19,5,8),(15,217,2,23,13,17,9,8,3),(15,217,2,23,14,2,11,2,3),(15,217,2,23,15,12,18,7,8),(15,217,2,23,16,23,20,10,10),(15,217,2,23,17,NULL,15,NULL,7),(15,217,2,23,18,16,14,4,10),(15,217,2,23,19,10,25,4,8),(15,217,2,23,20,6,19,6,8),(15,217,2,23,21,6,8,4,3),(15,217,2,23,22,22,7,14,2),(15,217,2,23,23,10,13,8,4),(15,217,2,23,24,7,13,4,9),(15,217,2,23,25,26,NULL,12,NULL),(15,217,2,23,26,10,6,4,3),(15,217,2,23,27,5,16,2,8),(15,217,2,23,28,7,9,5,3),(15,217,2,23,29,22,21,11,6),(15,217,2,23,30,2,14,2,7),(15,217,2,24,1,8,9,3,3),(15,217,2,24,2,1,3,1,2),(15,217,2,24,3,NULL,8,NULL,5),(15,217,2,24,4,8,6,5,4),(15,217,2,24,5,16,15,6,2),(15,217,2,24,6,14,10,4,2),(15,217,2,24,7,3,2,3,NULL),(15,217,2,24,8,5,NULL,1,NULL),(15,217,2,24,9,2,11,NULL,4),(15,217,2,24,10,9,2,2,1),(15,217,2,24,11,10,15,6,5),(15,217,2,24,12,21,19,5,4),(15,217,2,24,13,25,12,5,4),(15,217,2,24,14,1,17,NULL,8),(15,217,2,24,15,6,25,3,9),(15,217,2,24,16,24,29,6,8),(15,217,2,24,17,5,14,2,3),(15,217,2,24,18,18,18,6,5),(15,217,2,24,19,7,23,NULL,7),(15,217,2,24,20,7,17,3,7),(15,217,2,24,21,1,6,1,1),(15,217,2,24,22,21,20,8,5),(15,217,2,24,23,5,17,2,6),(15,217,2,24,24,3,25,1,12),(15,217,2,24,25,29,NULL,10,NULL),(15,217,2,24,26,3,14,3,4),(15,217,2,24,27,3,13,1,7),(15,217,2,24,28,4,18,2,4),(15,217,2,24,29,20,30,7,5),(15,217,2,24,30,4,11,2,5),(15,217,3,31,1,32,30,8,7),(15,217,3,31,2,NULL,16,NULL,8),(15,217,3,31,3,10,11,4,4),(15,217,3,31,4,23,7,10,3),(15,217,3,31,5,8,30,4,9),(15,217,3,31,6,2,28,NULL,8),(15,217,3,31,7,NULL,10,NULL,2),(15,217,3,31,8,1,2,1,NULL),(15,217,3,31,9,NULL,7,NULL,3),(15,217,3,31,10,6,9,3,3),(15,217,3,31,11,1,10,1,1),(15,217,3,31,12,13,23,6,3),(15,217,3,31,13,4,14,2,5),(15,217,3,31,14,11,15,6,6),(15,217,3,31,15,16,15,3,7),(15,217,3,31,16,10,11,2,5),(15,217,3,31,17,27,14,10,2),(15,217,3,31,18,4,12,1,4),(15,217,3,31,19,6,11,2,4),(15,217,3,31,20,4,5,NULL,2),(15,217,3,31,21,7,NULL,1,NULL),(15,217,3,31,22,5,22,2,6),(15,217,3,31,23,2,6,1,3),(15,217,3,31,24,9,24,4,7),(15,217,3,31,25,1,9,1,1),(15,217,3,31,26,2,8,1,4),(15,217,3,31,27,NULL,9,NULL,5),(15,217,3,31,28,3,6,1,2),(15,217,3,31,29,NULL,39,NULL,14),(15,217,3,31,30,5,19,3,2),(15,217,3,32,1,35,18,13,6),(15,217,3,32,2,1,18,1,11),(15,217,3,32,3,15,7,6,4),(15,217,3,32,4,16,10,10,3),(15,217,3,32,5,6,20,5,10),(15,217,3,32,6,3,21,3,8),(15,217,3,32,7,1,14,1,5),(15,217,3,32,8,1,4,1,4),(15,217,3,32,9,3,9,3,6),(15,217,3,32,10,5,10,2,7),(15,217,3,32,11,NULL,8,NULL,3),(15,217,3,32,12,13,16,6,8),(15,217,3,32,13,NULL,13,NULL,7),(15,217,3,32,14,13,9,7,6),(15,217,3,32,15,21,13,10,6),(15,217,3,32,16,5,21,3,8),(15,217,3,32,17,28,13,13,5),(15,217,3,32,18,5,15,3,7),(15,217,3,32,19,7,7,2,4),(15,217,3,32,20,1,9,NULL,6),(15,217,3,32,21,1,NULL,1,NULL),(15,217,3,32,22,3,14,3,7),(15,217,3,32,23,NULL,5,NULL,4),(15,217,3,32,24,6,24,6,9),(15,217,3,32,25,2,5,2,3),(15,217,3,32,26,3,5,3,4),(15,217,3,32,27,NULL,8,NULL,5),(15,217,3,32,28,NULL,5,NULL,2),(15,217,3,32,29,NULL,26,NULL,15),(15,217,3,32,30,3,21,1,7),(15,217,3,33,1,33,26,9,9),(15,217,3,33,2,1,11,1,5),(15,217,3,33,3,13,17,7,6),(15,217,3,33,4,20,5,9,NULL),(15,217,3,33,5,16,14,6,5),(15,217,3,33,6,4,27,2,10),(15,217,3,33,7,3,10,2,3),(15,217,3,33,8,2,4,2,2),(15,217,3,33,9,3,10,1,3),(15,217,3,33,10,9,10,4,3),(15,217,3,33,11,2,6,1,NULL),(15,217,3,33,12,21,15,9,5),(15,217,3,33,13,4,16,3,5),(15,217,3,33,14,9,17,6,5),(15,217,3,33,15,19,23,8,7),(15,217,3,33,16,5,22,3,5),(15,217,3,33,17,23,28,10,6),(15,217,3,33,18,5,13,2,3),(15,217,3,33,19,9,13,3,5),(15,217,3,33,20,3,15,1,3),(15,217,3,33,21,5,NULL,3,NULL),(15,217,3,33,22,3,14,3,3),(15,217,3,33,23,NULL,5,NULL,3),(15,217,3,33,24,7,29,4,10),(15,217,3,33,25,3,7,1,4),(15,217,3,33,26,1,6,1,2),(15,217,3,33,27,1,7,NULL,2),(15,217,3,33,28,1,10,NULL,1),(15,217,3,33,29,NULL,32,NULL,12),(15,217,3,33,30,4,23,2,4),(15,217,3,34,1,28,31,15,12),(15,217,3,34,2,1,25,1,14),(15,217,3,34,3,13,12,8,4),(15,217,3,34,4,21,11,14,8),(15,217,3,34,5,15,22,11,10),(15,217,3,34,6,3,32,3,13),(15,217,3,34,7,1,10,1,7),(15,217,3,34,8,5,6,4,6),(15,217,3,34,9,6,10,5,6),(15,217,3,34,10,8,9,5,5),(15,217,3,34,11,4,6,2,4),(15,217,3,34,12,12,18,9,10),(15,217,3,34,13,4,13,NULL,8),(15,217,3,34,14,12,13,9,8),(15,217,3,34,15,16,24,7,15),(15,217,3,34,16,10,13,9,7),(15,217,3,34,17,36,16,18,6),(15,217,3,34,18,7,15,4,9),(15,217,3,34,19,4,11,3,6),(15,217,3,34,20,2,6,2,3),(15,217,3,34,21,8,NULL,5,NULL),(15,217,3,34,22,7,23,2,15),(15,217,3,34,23,1,7,1,3),(15,217,3,34,24,13,32,8,16),(15,217,3,34,25,4,1,3,1),(15,217,3,34,26,3,3,3,3),(15,217,3,34,27,2,8,1,4),(15,217,3,34,28,3,9,3,5),(15,217,3,34,29,1,34,NULL,23),(15,217,3,34,30,3,16,2,8),(15,220,1,11,1,NULL,1,NULL,NULL),(15,220,1,11,2,NULL,NULL,NULL,NULL),(15,220,1,11,3,NULL,NULL,NULL,NULL),(15,220,1,11,4,NULL,1,NULL,NULL),(15,220,1,11,5,NULL,NULL,NULL,NULL),(15,220,1,11,6,1,NULL,NULL,NULL),(15,220,1,11,7,NULL,NULL,NULL,NULL),(15,220,1,11,8,NULL,1,NULL,NULL),(15,220,1,11,9,NULL,NULL,NULL,NULL),(15,220,1,11,10,1,NULL,NULL,NULL),(15,220,1,11,11,NULL,NULL,NULL,NULL),(15,220,1,11,12,NULL,NULL,NULL,NULL),(15,220,1,11,13,NULL,NULL,NULL,NULL),(15,220,1,11,14,NULL,NULL,NULL,NULL),(15,220,1,11,15,NULL,NULL,NULL,NULL),(15,220,1,11,16,NULL,NULL,NULL,NULL),(15,220,1,11,17,NULL,NULL,NULL,NULL),(15,220,1,11,18,NULL,NULL,NULL,NULL),(15,220,1,11,19,NULL,NULL,NULL,NULL),(15,220,1,11,20,NULL,NULL,NULL,NULL),(15,220,1,12,1,NULL,NULL,NULL,NULL),(15,220,1,12,2,NULL,NULL,NULL,NULL),(15,220,1,12,3,NULL,NULL,NULL,NULL),(15,220,1,12,4,NULL,NULL,NULL,NULL),(15,220,1,12,5,NULL,NULL,NULL,NULL),(15,220,1,12,6,NULL,NULL,NULL,NULL),(15,220,1,12,7,NULL,NULL,NULL,NULL),(15,220,1,12,8,NULL,NULL,NULL,NULL),(15,220,1,12,9,NULL,NULL,NULL,NULL),(15,220,1,12,10,NULL,NULL,NULL,NULL),(15,220,1,12,11,NULL,NULL,NULL,NULL),(15,220,1,12,12,NULL,NULL,NULL,NULL),(15,220,1,12,13,NULL,NULL,NULL,NULL),(15,220,1,12,14,NULL,NULL,NULL,NULL),(15,220,1,12,15,NULL,NULL,NULL,NULL),(15,220,1,12,16,NULL,NULL,NULL,NULL),(15,220,1,12,17,NULL,NULL,NULL,NULL),(15,220,1,12,18,NULL,NULL,NULL,NULL),(15,220,1,12,19,NULL,NULL,NULL,NULL),(15,220,1,12,20,NULL,NULL,NULL,NULL),(15,220,1,13,1,1,NULL,1,NULL),(15,220,1,13,2,1,NULL,NULL,NULL),(15,220,1,13,3,NULL,1,NULL,1),(15,220,1,13,4,1,NULL,1,NULL),(15,220,1,13,5,NULL,NULL,NULL,NULL),(15,220,1,13,6,NULL,NULL,1,NULL),(15,220,1,13,7,1,NULL,NULL,NULL),(15,220,1,13,8,1,NULL,NULL,1),(15,220,1,13,9,NULL,NULL,NULL,NULL),(15,220,1,13,10,1,NULL,NULL,NULL),(15,220,1,13,11,1,NULL,1,NULL),(15,220,1,13,12,1,NULL,1,NULL),(15,220,1,13,13,1,NULL,NULL,NULL),(15,220,1,13,14,1,NULL,NULL,NULL),(15,220,1,13,15,1,NULL,1,NULL),(15,220,1,13,16,1,NULL,1,NULL),(15,220,1,13,17,1,NULL,1,NULL),(15,220,1,13,18,1,NULL,NULL,1),(15,220,1,13,19,1,NULL,NULL,NULL),(15,220,1,13,20,NULL,NULL,NULL,1),(15,220,1,14,1,96,52,11,3),(15,220,1,14,2,63,55,8,8),(15,220,1,14,3,33,81,7,9),(15,220,1,14,4,44,55,7,7),(15,220,1,14,5,24,60,8,6),(15,220,1,14,6,69,77,7,8),(15,220,1,14,7,75,27,15,1),(15,220,1,14,8,59,70,8,6),(15,220,1,14,9,77,NULL,10,NULL),(15,220,1,14,10,108,13,12,1),(15,220,1,14,11,37,41,10,4),(15,220,1,14,12,26,33,7,4),(15,220,1,14,13,51,29,12,1),(15,220,1,14,14,92,42,11,4),(15,220,1,14,15,141,NULL,17,NULL),(15,220,1,14,16,34,23,10,2),(15,220,1,14,17,82,22,12,2),(15,220,1,14,18,37,38,9,2),(15,220,1,14,19,80,36,12,1),(15,220,1,14,20,88,33,12,5),(15,220,1,15,1,100,40,21,5),(15,220,1,15,2,68,50,23,6),(15,220,1,15,3,36,75,12,18),(15,220,1,15,4,49,59,11,15),(15,220,1,15,5,28,65,9,15),(15,220,1,15,6,72,56,17,7),(15,220,1,15,7,66,25,22,5),(15,220,1,15,8,65,65,14,10),(15,220,1,15,9,89,NULL,20,NULL),(15,220,1,15,10,107,21,22,2),(15,220,1,15,11,31,51,15,10),(15,220,1,15,12,38,37,14,11),(15,220,1,15,13,56,28,14,3),(15,220,1,15,14,86,48,23,7),(15,220,1,15,15,136,NULL,30,NULL),(15,220,1,15,16,27,29,8,11),(15,220,1,15,17,77,27,20,7),(15,220,1,15,18,42,34,14,6),(15,220,1,15,19,85,28,25,3),(15,220,1,15,20,85,37,20,8),(15,220,1,16,1,24,10,3,3),(15,220,1,16,2,13,9,2,NULL),(15,220,1,16,3,7,17,2,4),(15,220,1,16,4,11,9,5,1),(15,220,1,16,5,5,13,2,2),(15,220,1,16,6,15,15,4,2),(15,220,1,16,7,15,5,5,NULL),(15,220,1,16,8,13,15,3,2),(15,220,1,16,9,17,NULL,5,NULL),(15,220,1,16,10,23,NULL,3,NULL),(15,220,1,16,11,20,7,4,2),(15,220,1,16,12,24,10,3,3),(15,220,1,16,13,6,27,1,5),(15,220,1,16,14,15,9,3,2),(15,220,1,16,15,8,1,1,NULL),(15,220,1,16,16,12,NULL,3,NULL),(15,220,1,16,17,3,15,2,3),(15,220,1,16,18,9,14,3,1),(15,220,1,16,19,5,1,3,NULL),(15,220,1,16,20,15,15,4,1),(15,220,1,17,1,16,10,1,NULL),(15,220,1,17,2,11,10,NULL,2),(15,220,1,17,3,4,17,NULL,1),(15,220,1,17,4,4,14,NULL,1),(15,220,1,17,5,NULL,10,NULL,1),(15,220,1,17,6,10,14,NULL,1),(15,220,1,17,7,9,2,1,1),(15,220,1,17,8,11,14,NULL,2),(15,220,1,17,9,9,NULL,2,NULL),(15,220,1,17,10,16,4,1,2),(15,220,1,17,11,9,10,NULL,1),(15,220,1,17,12,13,13,1,2),(15,220,1,17,13,4,22,1,2),(15,220,1,17,14,5,14,NULL,2),(15,220,1,17,15,2,3,NULL,NULL),(15,220,1,17,16,10,NULL,1,NULL),(15,220,1,17,17,10,10,1,1),(15,220,1,17,18,7,9,2,1),(15,220,1,17,19,3,3,NULL,1),(15,220,1,17,20,10,11,1,2),(15,220,2,21,1,28,27,8,2),(15,220,2,21,2,9,13,3,3),(15,220,2,21,3,6,17,1,4),(15,220,2,21,4,23,8,6,1),(15,220,2,21,5,39,27,8,2),(15,220,2,21,6,31,9,7,NULL),(15,220,2,21,7,24,2,7,NULL),(15,220,2,21,8,8,NULL,NULL,NULL),(15,220,2,21,9,14,13,4,NULL),(15,220,2,21,10,18,6,1,NULL),(15,220,2,21,11,31,12,5,1),(15,220,2,21,12,44,24,5,3),(15,220,2,21,13,53,17,6,3),(15,220,2,21,14,17,35,3,5),(15,220,2,21,15,41,27,6,3),(15,220,2,21,16,75,30,10,NULL),(15,220,2,21,17,19,23,2,5),(15,220,2,21,18,26,15,6,1),(15,220,2,21,19,27,51,3,7),(15,220,2,21,20,40,38,7,4),(15,220,2,21,21,25,20,4,4),(15,220,2,21,22,63,12,7,2),(15,220,2,21,23,38,26,7,1),(15,220,2,21,24,38,42,7,3),(15,220,2,21,25,84,NULL,9,NULL),(15,220,2,21,26,26,22,4,4),(15,220,2,21,27,21,37,5,2),(15,220,2,21,28,21,38,5,2),(15,220,2,21,29,75,27,11,NULL),(15,220,2,21,30,29,25,7,2),(15,220,2,22,1,17,25,6,2),(15,220,2,22,2,6,16,2,6),(15,220,2,22,3,8,12,NULL,1),(15,220,2,22,4,26,13,7,2),(15,220,2,22,5,45,20,10,4),(15,220,2,22,6,28,21,9,4),(15,220,2,22,7,12,8,6,3),(15,220,2,22,8,9,NULL,3,NULL),(15,220,2,22,9,22,22,4,5),(15,220,2,22,10,25,4,6,1),(15,220,2,22,11,22,16,6,4),(15,220,2,22,12,39,22,12,4),(15,220,2,22,13,56,15,12,5),(15,220,2,22,14,6,33,3,9),(15,220,2,22,15,27,29,7,10),(15,220,2,22,16,64,26,15,2),(15,220,2,22,17,10,22,5,5),(15,220,2,22,18,21,23,4,6),(15,220,2,22,19,18,60,3,12),(15,220,2,22,20,37,36,7,6),(15,220,2,22,21,25,16,8,4),(15,220,2,22,22,59,16,14,2),(15,220,2,22,23,39,12,9,2),(15,220,2,22,24,33,39,9,6),(15,220,2,22,25,77,NULL,15,NULL),(15,220,2,22,26,18,18,6,4),(15,220,2,22,27,24,41,6,7),(15,220,2,22,28,23,29,8,2),(15,220,2,22,29,78,22,13,5),(15,220,2,22,30,30,30,8,5),(15,220,2,23,1,21,20,6,4),(15,220,2,23,2,12,12,6,4),(15,220,2,23,3,11,24,5,6),(15,220,2,23,4,21,11,9,4),(15,220,2,23,5,38,21,13,3),(15,220,2,23,6,35,19,8,3),(15,220,2,23,7,30,7,10,3),(15,220,2,23,8,7,NULL,2,NULL),(15,220,2,23,9,23,20,8,6),(15,220,2,23,10,26,4,9,2),(15,220,2,23,11,31,15,13,NULL),(15,220,2,23,12,35,27,8,5),(15,220,2,23,13,54,15,17,2),(15,220,2,23,14,8,35,1,10),(15,220,2,23,15,23,40,8,7),(15,220,2,23,16,58,33,14,5),(15,220,2,23,17,8,29,5,2),(15,220,2,23,18,27,26,9,6),(15,220,2,23,19,15,46,1,8),(15,220,2,23,20,39,31,12,5),(15,220,2,23,21,33,16,12,1),(15,220,2,23,22,70,13,14,3),(15,220,2,23,23,39,21,13,NULL),(15,220,2,23,24,37,34,10,8),(15,220,2,23,25,80,NULL,18,NULL),(15,220,2,23,26,27,22,9,4),(15,220,2,23,27,18,39,6,11),(15,220,2,23,28,17,40,10,9),(15,220,2,23,29,70,30,14,5),(15,220,2,23,30,24,28,6,8),(15,220,2,24,1,21,25,6,1),(15,220,2,24,2,7,11,4,1),(15,220,2,24,3,6,14,NULL,3),(15,220,2,24,4,23,12,3,2),(15,220,2,24,5,32,24,8,NULL),(15,220,2,24,6,26,19,6,NULL),(15,220,2,24,7,18,8,4,2),(15,220,2,24,8,12,NULL,2,NULL),(15,220,2,24,9,15,12,3,2),(15,220,2,24,10,27,5,5,NULL),(15,220,2,24,11,17,18,4,1),(15,220,2,24,12,39,30,7,1),(15,220,2,24,13,48,20,6,1),(15,220,2,24,14,12,31,2,3),(15,220,2,24,15,30,31,4,5),(15,220,2,24,16,57,34,7,3),(15,220,2,24,17,12,26,3,2),(15,220,2,24,18,24,28,4,2),(15,220,2,24,19,24,52,3,6),(15,220,2,24,20,37,36,7,1),(15,220,2,24,21,30,19,7,3),(15,220,2,24,22,62,10,9,NULL),(15,220,2,24,23,45,21,7,NULL),(15,220,2,24,24,33,41,6,4),(15,220,2,24,25,82,NULL,10,NULL),(15,220,2,24,26,22,23,5,3),(15,220,2,24,27,21,45,5,3),(15,220,2,24,28,27,32,7,2),(15,220,2,24,29,80,22,9,1),(15,220,2,24,30,27,25,4,2),(15,220,3,31,1,81,23,9,1),(15,220,3,31,2,25,48,2,6),(15,220,3,31,3,55,12,9,NULL),(15,220,3,31,4,72,10,8,NULL),(15,220,3,31,5,40,42,9,1),(15,220,3,31,6,15,54,2,7),(15,220,3,31,7,25,31,6,2),(15,220,3,31,8,27,9,5,3),(15,220,3,31,9,50,19,6,3),(15,220,3,31,10,30,23,6,1),(15,220,3,31,11,7,18,NULL,3),(15,220,3,31,12,42,29,6,4),(15,220,3,31,13,7,22,2,4),(15,220,3,31,14,48,20,8,NULL),(15,220,3,31,15,56,20,7,3),(15,220,3,31,16,21,39,3,5),(15,220,3,31,17,64,23,7,1),(15,220,3,31,18,12,23,5,2),(15,220,3,31,19,23,16,4,3),(15,220,3,31,20,19,21,1,5),(15,220,3,31,21,17,NULL,5,NULL),(15,220,3,31,22,21,39,4,4),(15,220,3,31,23,11,16,5,2),(15,220,3,31,24,31,49,6,3),(15,220,3,31,25,9,13,2,5),(15,220,3,31,26,9,23,4,3),(15,220,3,31,27,9,16,3,3),(15,220,3,31,28,9,14,2,2),(15,220,3,31,29,4,46,1,7),(15,220,3,31,30,14,32,4,4),(15,220,3,32,1,63,36,16,3),(15,220,3,32,2,25,38,12,4),(15,220,3,32,3,56,13,14,2),(15,220,3,32,4,68,10,18,NULL),(15,220,3,32,5,31,34,8,9),(15,220,3,32,6,18,52,6,12),(15,220,3,32,7,21,27,10,2),(15,220,3,32,8,29,11,14,3),(15,220,3,32,9,39,22,15,4),(15,220,3,32,10,30,30,13,3),(15,220,3,32,11,9,11,2,1),(15,220,3,32,12,33,37,6,9),(15,220,3,32,13,10,16,2,6),(15,220,3,32,14,42,23,14,5),(15,220,3,32,15,46,25,17,2),(15,220,3,32,16,15,29,8,5),(15,220,3,32,17,57,30,17,2),(15,220,3,32,18,17,23,5,3),(15,220,3,32,19,15,21,5,2),(15,220,3,32,20,9,30,3,6),(15,220,3,32,21,19,NULL,10,NULL),(15,220,3,32,22,22,30,11,4),(15,220,3,32,23,9,15,5,2),(15,220,3,32,24,31,51,10,9),(15,220,3,32,25,10,17,2,6),(15,220,3,32,26,6,21,5,8),(15,220,3,32,27,7,22,3,11),(15,220,3,32,28,11,13,4,2),(15,220,3,32,29,6,54,4,12),(15,220,3,32,30,13,29,9,3),(15,220,3,33,1,66,31,12,6),(15,220,3,33,2,23,47,3,11),(15,220,3,33,3,55,14,13,3),(15,220,3,33,4,65,11,14,1),(15,220,3,33,5,39,30,11,5),(15,220,3,33,6,19,58,5,8),(15,220,3,33,7,24,32,7,7),(15,220,3,33,8,26,14,8,3),(15,220,3,33,9,52,24,10,5),(15,220,3,33,10,35,20,7,3),(15,220,3,33,11,3,16,1,6),(15,220,3,33,12,25,36,6,8),(15,220,3,33,13,7,14,3,6),(15,220,3,33,14,41,22,10,4),(15,220,3,33,15,50,23,13,2),(15,220,3,33,16,19,30,2,9),(15,220,3,33,17,70,16,16,3),(15,220,3,33,18,11,15,5,2),(15,220,3,33,19,18,17,3,5),(15,220,3,33,20,12,24,5,5),(15,220,3,33,21,20,NULL,9,NULL),(15,220,3,33,22,25,31,7,7),(15,220,3,33,23,15,21,5,3),(15,220,3,33,24,38,47,6,12),(15,220,3,33,25,15,14,6,4),(15,220,3,33,26,16,22,5,7),(15,220,3,33,27,11,22,3,6),(15,220,3,33,28,5,14,1,1),(15,220,3,33,29,8,48,4,10),(15,220,3,33,30,15,30,5,4),(15,220,3,34,1,70,40,10,1),(15,220,3,34,2,20,58,6,4),(15,220,3,34,3,59,14,10,NULL),(15,220,3,34,4,70,9,11,NULL),(15,220,3,34,5,44,29,3,6),(15,220,3,34,6,21,61,4,5),(15,220,3,34,7,25,38,4,5),(15,220,3,34,8,18,12,5,2),(15,220,3,34,9,51,13,8,1),(15,220,3,34,10,31,17,7,4),(15,220,3,34,11,5,13,1,1),(15,220,3,34,12,43,36,8,2),(15,220,3,34,13,4,24,2,3),(15,220,3,34,14,43,25,8,3),(15,220,3,34,15,58,23,10,1),(15,220,3,34,16,25,40,5,6),(15,220,3,34,17,73,21,10,NULL),(15,220,3,34,18,15,28,3,5),(15,220,3,34,19,20,14,2,1),(15,220,3,34,20,14,32,1,7),(15,220,3,34,21,16,NULL,3,NULL),(15,220,3,34,22,23,38,7,1),(15,220,3,34,23,15,18,4,4),(15,220,3,34,24,41,48,6,5),(15,220,3,34,25,16,23,2,6),(15,220,3,34,26,12,21,2,4),(15,220,3,34,27,10,23,4,3),(15,220,3,34,28,12,8,4,1),(15,220,3,34,29,5,64,2,6),(15,220,3,34,30,15,35,2,4),(15,222,1,11,1,NULL,NULL,NULL,NULL),(15,222,1,11,2,NULL,NULL,NULL,NULL),(15,222,1,11,3,NULL,1,NULL,NULL),(15,222,1,11,4,NULL,NULL,NULL,NULL),(15,222,1,11,5,NULL,NULL,NULL,NULL),(15,222,1,11,6,NULL,NULL,NULL,NULL),(15,222,1,11,7,NULL,NULL,NULL,NULL),(15,222,1,11,8,NULL,1,NULL,NULL),(15,222,1,11,9,NULL,NULL,NULL,NULL),(15,222,1,11,10,NULL,NULL,NULL,NULL),(15,222,1,11,11,NULL,NULL,NULL,NULL),(15,222,1,11,12,NULL,1,NULL,NULL),(15,222,1,11,13,1,NULL,NULL,NULL),(15,222,1,11,14,NULL,NULL,NULL,NULL),(15,222,1,11,15,1,NULL,NULL,NULL),(15,222,1,11,16,NULL,NULL,NULL,NULL),(15,222,1,11,17,1,NULL,NULL,NULL),(15,222,1,11,18,NULL,NULL,NULL,NULL),(15,222,1,11,19,1,NULL,NULL,NULL),(15,222,1,11,20,NULL,NULL,NULL,NULL),(15,222,1,12,1,NULL,NULL,NULL,NULL),(15,222,1,12,2,NULL,NULL,NULL,NULL),(15,222,1,12,3,NULL,NULL,NULL,NULL),(15,222,1,12,4,NULL,NULL,NULL,NULL),(15,222,1,12,5,NULL,NULL,NULL,NULL),(15,222,1,12,6,NULL,NULL,NULL,NULL),(15,222,1,12,7,NULL,NULL,NULL,NULL),(15,222,1,12,8,NULL,NULL,NULL,NULL),(15,222,1,12,9,NULL,NULL,NULL,NULL),(15,222,1,12,10,NULL,NULL,NULL,NULL),(15,222,1,12,11,NULL,NULL,NULL,NULL),(15,222,1,12,12,NULL,NULL,NULL,NULL),(15,222,1,12,13,NULL,NULL,NULL,NULL),(15,222,1,12,14,NULL,NULL,NULL,NULL),(15,222,1,12,15,NULL,NULL,NULL,NULL),(15,222,1,12,16,NULL,NULL,NULL,NULL),(15,222,1,12,17,NULL,NULL,NULL,NULL),(15,222,1,12,18,NULL,NULL,NULL,NULL),(15,222,1,12,19,NULL,NULL,NULL,NULL),(15,222,1,12,20,NULL,NULL,NULL,NULL),(15,222,1,13,1,NULL,NULL,NULL,NULL),(15,222,1,13,2,NULL,NULL,NULL,NULL),(15,222,1,13,3,NULL,NULL,NULL,NULL),(15,222,1,13,4,NULL,NULL,NULL,NULL),(15,222,1,13,5,NULL,NULL,NULL,NULL),(15,222,1,13,6,NULL,NULL,NULL,NULL),(15,222,1,13,7,NULL,NULL,NULL,NULL),(15,222,1,13,8,NULL,NULL,NULL,NULL),(15,222,1,13,9,NULL,NULL,NULL,NULL),(15,222,1,13,10,NULL,NULL,NULL,NULL),(15,222,1,13,11,NULL,NULL,NULL,NULL),(15,222,1,13,12,NULL,NULL,NULL,NULL),(15,222,1,13,13,NULL,NULL,NULL,NULL),(15,222,1,13,14,NULL,NULL,NULL,NULL),(15,222,1,13,15,NULL,NULL,NULL,NULL),(15,222,1,13,16,NULL,NULL,NULL,NULL),(15,222,1,13,17,NULL,NULL,NULL,NULL),(15,222,1,13,18,NULL,NULL,NULL,NULL),(15,222,1,13,19,NULL,NULL,NULL,NULL),(15,222,1,13,20,NULL,NULL,NULL,NULL),(15,222,1,14,1,9,7,6,5),(15,222,1,14,2,4,5,3,4),(15,222,1,14,3,3,7,3,6),(15,222,1,14,4,4,4,4,3),(15,222,1,14,5,NULL,5,NULL,3),(15,222,1,14,6,6,9,3,5),(15,222,1,14,7,6,1,6,1),(15,222,1,14,8,5,9,3,6),(15,222,1,14,9,4,NULL,4,NULL),(15,222,1,14,10,5,3,4,2),(15,222,1,14,11,2,8,1,8),(15,222,1,14,12,1,3,1,3),(15,222,1,14,13,2,5,2,3),(15,222,1,14,14,3,9,3,6),(15,222,1,14,15,9,NULL,8,NULL),(15,222,1,14,16,1,4,1,2),(15,222,1,14,17,5,1,3,1),(15,222,1,14,18,1,2,1,1),(15,222,1,14,19,2,6,2,4),(15,222,1,14,20,5,5,4,5),(15,222,1,15,1,7,4,6,1),(15,222,1,15,2,2,5,2,1),(15,222,1,15,3,3,6,3,4),(15,222,1,15,4,4,5,4,2),(15,222,1,15,5,1,4,1,3),(15,222,1,15,6,5,4,3,2),(15,222,1,15,7,5,1,5,NULL),(15,222,1,15,8,6,3,3,2),(15,222,1,15,9,4,NULL,3,NULL),(15,222,1,15,10,4,3,3,1),(15,222,1,15,11,NULL,3,NULL,1),(15,222,1,15,12,2,3,1,3),(15,222,1,15,13,4,4,2,2),(15,222,1,15,14,5,3,3,2),(15,222,1,15,15,8,NULL,6,NULL),(15,222,1,15,16,NULL,1,NULL,1),(15,222,1,15,17,5,2,4,1),(15,222,1,15,18,NULL,2,NULL,1),(15,222,1,15,19,3,2,2,2),(15,222,1,15,20,4,3,3,2),(15,222,1,16,1,1,4,NULL,3),(15,222,1,16,2,3,2,NULL,2),(15,222,1,16,3,NULL,3,NULL,3),(15,222,1,16,4,1,1,NULL,1),(15,222,1,16,5,NULL,4,NULL,3),(15,222,1,16,6,2,6,1,3),(15,222,1,16,7,NULL,2,NULL,2),(15,222,1,16,8,2,3,1,2),(15,222,1,16,9,1,NULL,1,NULL),(15,222,1,16,10,2,1,2,NULL),(15,222,1,16,11,6,1,3,1),(15,222,1,16,12,4,4,2,1),(15,222,1,16,13,1,8,1,3),(15,222,1,16,14,2,2,2,1),(15,222,1,16,15,1,3,1,1),(15,222,1,16,16,5,NULL,3,NULL),(15,222,1,16,17,3,3,NULL,1),(15,222,1,16,18,2,5,1,2),(15,222,1,16,19,NULL,1,NULL,NULL),(15,222,1,16,20,2,4,1,2),(15,222,1,17,1,9,3,4,2),(15,222,1,17,2,3,4,2,2),(15,222,1,17,3,2,3,2,NULL),(15,222,1,17,4,3,3,2,2),(15,222,1,17,5,2,3,1,1),(15,222,1,17,6,6,10,1,6),(15,222,1,17,7,4,1,3,1),(15,222,1,17,8,6,4,3,1),(15,222,1,17,9,5,NULL,2,NULL),(15,222,1,17,10,5,2,3,1),(15,222,1,17,11,7,2,4,NULL),(15,222,1,17,12,5,6,4,2),(15,222,1,17,13,4,12,2,5),(15,222,1,17,14,5,6,4,3),(15,222,1,17,15,1,2,NULL,2),(15,222,1,17,16,5,NULL,3,NULL),(15,222,1,17,17,4,3,2,2),(15,222,1,17,18,4,9,3,3),(15,222,1,17,19,4,1,2,1),(15,222,1,17,20,3,6,3,2),(15,222,2,21,1,1,1,1,1),(15,222,2,21,2,2,2,2,2),(15,222,2,21,3,NULL,4,NULL,3),(15,222,2,21,4,3,1,2,1),(15,222,2,21,5,6,1,4,1),(15,222,2,21,6,5,3,5,1),(15,222,2,21,7,2,NULL,1,NULL),(15,222,2,21,8,2,NULL,1,NULL),(15,222,2,21,9,2,4,2,4),(15,222,2,21,10,3,1,3,1),(15,222,2,21,11,4,5,2,2),(15,222,2,21,12,7,7,3,4),(15,222,2,21,13,8,7,6,2),(15,222,2,21,14,3,5,3,4),(15,222,2,21,15,10,4,6,3),(15,222,2,21,16,10,8,6,4),(15,222,2,21,17,1,9,1,4),(15,222,2,21,18,3,3,3,3),(15,222,2,21,19,2,7,2,4),(15,222,2,21,20,4,8,2,6),(15,222,2,21,21,3,6,3,5),(15,222,2,21,22,9,3,7,NULL),(15,222,2,21,23,7,4,5,2),(15,222,2,21,24,2,8,2,5),(15,222,2,21,25,13,NULL,9,NULL),(15,222,2,21,26,3,5,2,4),(15,222,2,21,27,3,9,2,8),(15,222,2,21,28,3,8,3,5),(15,222,2,21,29,11,6,8,4),(15,222,2,21,30,4,6,4,4),(15,222,2,22,1,NULL,3,NULL,3),(15,222,2,22,2,2,1,2,1),(15,222,2,22,3,1,5,NULL,4),(15,222,2,22,4,NULL,3,NULL,2),(15,222,2,22,5,4,4,4,2),(15,222,2,22,6,5,2,4,1),(15,222,2,22,7,2,NULL,2,NULL),(15,222,2,22,8,NULL,NULL,NULL,NULL),(15,222,2,22,9,2,4,1,4),(15,222,2,22,10,3,1,2,1),(15,222,2,22,11,3,3,2,3),(15,222,2,22,12,7,3,4,3),(15,222,2,22,13,9,1,6,1),(15,222,2,22,14,NULL,3,NULL,1),(15,222,2,22,15,6,3,5,2),(15,222,2,22,16,10,5,5,4),(15,222,2,22,17,1,4,1,2),(15,222,2,22,18,5,1,4,1),(15,222,2,22,19,NULL,9,NULL,6),(15,222,2,22,20,3,5,1,5),(15,222,2,22,21,1,2,NULL,1),(15,222,2,22,22,10,1,7,NULL),(15,222,2,22,23,4,2,3,1),(15,222,2,22,24,2,7,2,6),(15,222,2,22,25,9,NULL,7,NULL),(15,222,2,22,26,1,6,1,5),(15,222,2,22,27,2,7,1,5),(15,222,2,22,28,2,4,2,4),(15,222,2,22,29,9,6,6,4),(15,222,2,22,30,2,2,2,1),(15,222,2,23,1,2,1,1,NULL),(15,222,2,23,2,1,NULL,1,NULL),(15,222,2,23,3,1,2,1,2),(15,222,2,23,4,NULL,1,NULL,1),(15,222,2,23,5,2,4,1,2),(15,222,2,23,6,3,2,2,NULL),(15,222,2,23,7,NULL,2,NULL,NULL),(15,222,2,23,8,NULL,NULL,NULL,NULL),(15,222,2,23,9,1,2,1,1),(15,222,2,23,10,1,NULL,1,NULL),(15,222,2,23,11,2,2,2,1),(15,222,2,23,12,8,2,5,NULL),(15,222,2,23,13,5,NULL,3,NULL),(15,222,2,23,14,NULL,5,NULL,3),(15,222,2,23,15,2,6,1,3),(15,222,2,23,16,7,2,4,NULL),(15,222,2,23,17,NULL,4,NULL,1),(15,222,2,23,18,4,1,1,NULL),(15,222,2,23,19,1,3,1,2),(15,222,2,23,20,3,4,3,NULL),(15,222,2,23,21,2,NULL,2,NULL),(15,222,2,23,22,4,1,2,NULL),(15,222,2,23,23,1,2,1,NULL),(15,222,2,23,24,1,2,1,1),(15,222,2,23,25,7,NULL,5,NULL),(15,222,2,23,26,2,2,1,NULL),(15,222,2,23,27,1,4,1,3),(15,222,2,23,28,1,3,NULL,2),(15,222,2,23,29,6,3,4,1),(15,222,2,23,30,2,NULL,2,NULL),(15,222,2,24,1,NULL,2,NULL,1),(15,222,2,24,2,NULL,1,NULL,NULL),(15,222,2,24,3,NULL,NULL,NULL,NULL),(15,222,2,24,4,NULL,NULL,NULL,NULL),(15,222,2,24,5,1,1,NULL,1),(15,222,2,24,6,1,1,1,NULL),(15,222,2,24,7,NULL,NULL,NULL,NULL),(15,222,2,24,8,1,NULL,NULL,NULL),(15,222,2,24,9,NULL,NULL,NULL,NULL),(15,222,2,24,10,NULL,1,NULL,1),(15,222,2,24,11,2,1,1,NULL),(15,222,2,24,12,4,1,2,1),(15,222,2,24,13,4,NULL,1,NULL),(15,222,2,24,14,NULL,5,NULL,2),(15,222,2,24,15,1,4,NULL,2),(15,222,2,24,16,3,6,NULL,3),(15,222,2,24,17,NULL,2,NULL,1),(15,222,2,24,18,NULL,2,NULL,2),(15,222,2,24,19,1,4,1,NULL),(15,222,2,24,20,2,1,1,NULL),(15,222,2,24,21,1,NULL,1,NULL),(15,222,2,24,22,5,NULL,2,NULL),(15,222,2,24,23,1,4,1,2),(15,222,2,24,24,1,3,1,2),(15,222,2,24,25,6,NULL,2,NULL),(15,222,2,24,26,NULL,2,NULL,1),(15,222,2,24,27,1,5,1,2),(15,222,2,24,28,1,NULL,NULL,NULL),(15,222,2,24,29,3,4,2,1),(15,222,2,24,30,NULL,3,NULL,1),(15,222,3,31,1,3,6,1,2),(15,222,3,31,2,NULL,2,NULL,NULL),(15,222,3,31,3,1,2,1,NULL),(15,222,3,31,4,3,3,NULL,1),(15,222,3,31,5,NULL,5,NULL,2),(15,222,3,31,6,1,6,NULL,3),(15,222,3,31,7,NULL,NULL,NULL,NULL),(15,222,3,31,8,1,NULL,NULL,NULL),(15,222,3,31,9,NULL,3,NULL,NULL),(15,222,3,31,10,1,1,NULL,NULL),(15,222,3,31,11,NULL,1,NULL,NULL),(15,222,3,31,12,2,4,NULL,2),(15,222,3,31,13,NULL,2,NULL,1),(15,222,3,31,14,1,1,NULL,1),(15,222,3,31,15,2,1,NULL,1),(15,222,3,31,16,1,4,NULL,2),(15,222,3,31,17,5,6,1,2),(15,222,3,31,18,2,1,NULL,NULL),(15,222,3,31,19,3,3,3,NULL),(15,222,3,31,20,1,2,1,NULL),(15,222,3,31,21,1,NULL,1,NULL),(15,222,3,31,22,1,NULL,1,NULL),(15,222,3,31,23,NULL,1,NULL,NULL),(15,222,3,31,24,1,6,NULL,3),(15,222,3,31,25,NULL,NULL,NULL,NULL),(15,222,3,31,26,NULL,1,NULL,NULL),(15,222,3,31,27,NULL,1,NULL,1),(15,222,3,31,28,NULL,NULL,NULL,NULL),(15,222,3,31,29,NULL,4,NULL,3),(15,222,3,31,30,NULL,2,NULL,NULL),(15,222,3,32,1,8,3,5,NULL),(15,222,3,32,2,2,2,2,1),(15,222,3,32,3,3,2,3,NULL),(15,222,3,32,4,5,1,3,NULL),(15,222,3,32,5,3,3,2,2),(15,222,3,32,6,1,2,1,NULL),(15,222,3,32,7,NULL,5,NULL,4),(15,222,3,32,8,1,NULL,1,NULL),(15,222,3,32,9,2,NULL,2,NULL),(15,222,3,32,10,3,3,1,2),(15,222,3,32,11,1,2,NULL,2),(15,222,3,32,12,4,1,2,NULL),(15,222,3,32,13,NULL,5,NULL,3),(15,222,3,32,14,5,4,4,1),(15,222,3,32,15,6,2,4,1),(15,222,3,32,16,3,4,3,NULL),(15,222,3,32,17,6,1,4,1),(15,222,3,32,18,5,1,3,NULL),(15,222,3,32,19,3,2,2,NULL),(15,222,3,32,20,NULL,4,NULL,2),(15,222,3,32,21,1,NULL,1,NULL),(15,222,3,32,22,2,2,2,1),(15,222,3,32,23,1,NULL,1,NULL),(15,222,3,32,24,2,3,2,2),(15,222,3,32,25,NULL,1,NULL,1),(15,222,3,32,26,NULL,2,NULL,1),(15,222,3,32,27,1,1,1,1),(15,222,3,32,28,NULL,NULL,NULL,NULL),(15,222,3,32,29,NULL,6,NULL,4),(15,222,3,32,30,1,3,1,2),(15,222,3,33,1,10,7,4,6),(15,222,3,33,2,NULL,11,NULL,8),(15,222,3,33,3,6,NULL,4,NULL),(15,222,3,33,4,10,NULL,7,NULL),(15,222,3,33,5,7,3,5,2),(15,222,3,33,6,2,8,2,4),(15,222,3,33,7,NULL,2,NULL,2),(15,222,3,33,8,2,NULL,2,NULL),(15,222,3,33,9,4,1,3,1),(15,222,3,33,10,1,6,1,5),(15,222,3,33,11,1,3,1,2),(15,222,3,33,12,5,1,5,1),(15,222,3,33,13,NULL,5,NULL,4),(15,222,3,33,14,5,NULL,5,NULL),(15,222,3,33,15,6,1,4,1),(15,222,3,33,16,3,6,2,5),(15,222,3,33,17,9,5,7,2),(15,222,3,33,18,3,2,1,2),(15,222,3,33,19,2,2,1,2),(15,222,3,33,20,NULL,5,NULL,3),(15,222,3,33,21,NULL,NULL,NULL,NULL),(15,222,3,33,22,2,2,1,2),(15,222,3,33,23,NULL,1,NULL,1),(15,222,3,33,24,1,11,NULL,7),(15,222,3,33,25,NULL,2,NULL,1),(15,222,3,33,26,1,3,1,3),(15,222,3,33,27,NULL,1,NULL,NULL),(15,222,3,33,28,NULL,2,NULL,2),(15,222,3,33,29,NULL,8,NULL,6),(15,222,3,33,30,1,4,1,3),(15,222,3,34,1,11,10,7,5),(15,222,3,34,2,1,7,1,5),(15,222,3,34,3,5,5,4,2),(15,222,3,34,4,5,4,4,3),(15,222,3,34,5,4,6,1,6),(15,222,3,34,6,1,15,1,6),(15,222,3,34,7,NULL,4,NULL,4),(15,222,3,34,8,1,2,1,1),(15,222,3,34,9,4,7,4,5),(15,222,3,34,10,4,4,4,2),(15,222,3,34,11,NULL,3,NULL,1),(15,222,3,34,12,5,6,4,3),(15,222,3,34,13,1,7,1,5),(15,222,3,34,14,6,3,6,2),(15,222,3,34,15,3,8,2,4),(15,222,3,34,16,3,4,3,1),(15,222,3,34,17,13,4,9,1),(15,222,3,34,18,4,5,3,3),(15,222,3,34,19,1,5,NULL,2),(15,222,3,34,20,NULL,2,NULL,2),(15,222,3,34,21,NULL,NULL,NULL,NULL),(15,222,3,34,22,1,7,1,7),(15,222,3,34,23,NULL,5,NULL,3),(15,222,3,34,24,2,12,2,7),(15,222,3,34,25,NULL,4,NULL,2),(15,222,3,34,26,NULL,2,NULL,1),(15,222,3,34,27,NULL,5,NULL,3),(15,222,3,34,28,1,1,1,1),(15,222,3,34,29,NULL,10,NULL,8),(15,222,3,34,30,1,9,1,6),(15,223,1,11,1,NULL,NULL,NULL,NULL),(15,223,1,11,2,NULL,NULL,NULL,NULL),(15,223,1,11,3,NULL,NULL,NULL,NULL),(15,223,1,11,4,NULL,NULL,NULL,NULL),(15,223,1,11,5,NULL,NULL,NULL,NULL),(15,223,1,11,6,NULL,NULL,NULL,NULL),(15,223,1,11,7,NULL,NULL,NULL,NULL),(15,223,1,11,8,NULL,NULL,NULL,NULL),(15,223,1,11,9,NULL,NULL,NULL,NULL),(15,223,1,11,10,NULL,NULL,NULL,NULL),(15,223,1,11,11,NULL,NULL,NULL,NULL),(15,223,1,11,12,NULL,NULL,NULL,NULL),(15,223,1,11,13,NULL,NULL,NULL,NULL),(15,223,1,11,14,NULL,NULL,NULL,NULL),(15,223,1,11,15,NULL,NULL,NULL,NULL),(15,223,1,11,16,NULL,NULL,NULL,NULL),(15,223,1,11,17,NULL,NULL,NULL,NULL),(15,223,1,11,18,NULL,NULL,NULL,NULL),(15,223,1,11,19,NULL,NULL,NULL,NULL),(15,223,1,11,20,NULL,NULL,NULL,NULL),(15,223,1,12,1,NULL,NULL,NULL,NULL),(15,223,1,12,2,NULL,NULL,NULL,NULL),(15,223,1,12,3,NULL,NULL,NULL,NULL),(15,223,1,12,4,NULL,NULL,NULL,NULL),(15,223,1,12,5,NULL,NULL,NULL,NULL),(15,223,1,12,6,NULL,NULL,NULL,NULL),(15,223,1,12,7,NULL,NULL,NULL,NULL),(15,223,1,12,8,NULL,NULL,NULL,NULL),(15,223,1,12,9,NULL,NULL,NULL,NULL),(15,223,1,12,10,NULL,NULL,NULL,NULL),(15,223,1,12,11,NULL,NULL,NULL,NULL),(15,223,1,12,12,NULL,NULL,NULL,NULL),(15,223,1,12,13,NULL,NULL,NULL,NULL),(15,223,1,12,14,NULL,NULL,NULL,NULL),(15,223,1,12,15,NULL,NULL,NULL,NULL),(15,223,1,12,16,NULL,NULL,NULL,NULL),(15,223,1,12,17,NULL,NULL,NULL,NULL),(15,223,1,12,18,NULL,NULL,NULL,NULL),(15,223,1,12,19,NULL,NULL,NULL,NULL),(15,223,1,12,20,NULL,NULL,NULL,NULL),(15,223,1,13,1,1,NULL,1,NULL),(15,223,1,13,2,NULL,1,NULL,1),(15,223,1,13,3,NULL,NULL,NULL,NULL),(15,223,1,13,4,NULL,NULL,NULL,NULL),(15,223,1,13,5,NULL,NULL,NULL,NULL),(15,223,1,13,6,NULL,1,NULL,1),(15,223,1,13,7,NULL,NULL,NULL,NULL),(15,223,1,13,8,NULL,1,NULL,1),(15,223,1,13,9,1,NULL,1,NULL),(15,223,1,13,10,1,NULL,1,NULL),(15,223,1,13,11,1,NULL,1,NULL),(15,223,1,13,12,1,NULL,1,NULL),(15,223,1,13,13,NULL,1,NULL,1),(15,223,1,13,14,NULL,1,NULL,1),(15,223,1,13,15,NULL,1,NULL,1),(15,223,1,13,16,1,NULL,1,NULL),(15,223,1,13,17,NULL,1,NULL,1),(15,223,1,13,18,NULL,NULL,NULL,NULL),(15,223,1,13,19,NULL,NULL,NULL,NULL),(15,223,1,13,20,NULL,1,NULL,1),(15,223,1,14,1,3,1,3,1),(15,223,1,14,2,3,1,3,1),(15,223,1,14,3,1,2,1,2),(15,223,1,14,4,2,3,2,2),(15,223,1,14,5,NULL,4,NULL,3),(15,223,1,14,6,3,4,3,3),(15,223,1,14,7,3,NULL,2,NULL),(15,223,1,14,8,1,3,1,3),(15,223,1,14,9,2,NULL,1,NULL),(15,223,1,14,10,4,1,4,NULL),(15,223,1,14,11,2,2,2,2),(15,223,1,14,12,NULL,2,NULL,2),(15,223,1,14,13,1,3,1,2),(15,223,1,14,14,4,6,3,5),(15,223,1,14,15,8,NULL,8,NULL),(15,223,1,14,16,1,2,1,1),(15,223,1,14,17,1,2,1,1),(15,223,1,14,18,NULL,NULL,NULL,NULL),(15,223,1,14,19,1,2,1,2),(15,223,1,14,20,2,1,2,1),(15,223,1,15,1,3,9,2,7),(15,223,1,15,2,4,3,4,3),(15,223,1,15,3,2,5,2,4),(15,223,1,15,4,3,4,2,4),(15,223,1,15,5,NULL,9,NULL,7),(15,223,1,15,6,2,6,2,6),(15,223,1,15,7,2,3,2,3),(15,223,1,15,8,2,7,2,6),(15,223,1,15,9,6,NULL,6,NULL),(15,223,1,15,10,7,1,7,1),(15,223,1,15,11,NULL,2,NULL,2),(15,223,1,15,12,1,2,1,2),(15,223,1,15,13,2,3,2,3),(15,223,1,15,14,5,4,5,3),(15,223,1,15,15,8,NULL,8,NULL),(15,223,1,15,16,1,3,1,3),(15,223,1,15,17,3,1,3,1),(15,223,1,15,18,2,1,2,1),(15,223,1,15,19,4,1,4,1),(15,223,1,15,20,2,6,2,6),(15,223,1,16,1,5,11,5,8),(15,223,1,16,2,7,6,7,6),(15,223,1,16,3,2,17,2,17),(15,223,1,16,4,5,9,5,8),(15,223,1,16,5,1,16,1,15),(15,223,1,16,6,9,7,9,6),(15,223,1,16,7,8,8,8,8),(15,223,1,16,8,7,11,6,11),(15,223,1,16,9,7,NULL,7,NULL),(15,223,1,16,10,10,4,9,4),(15,223,1,16,11,9,10,9,8),(15,223,1,16,12,8,11,7,10),(15,223,1,16,13,2,25,2,23),(15,223,1,16,14,9,12,7,12),(15,223,1,16,15,1,9,NULL,9),(15,223,1,16,16,10,NULL,9,NULL),(15,223,1,16,17,3,5,3,5),(15,223,1,16,18,4,13,4,13),(15,223,1,16,19,1,5,1,5),(15,223,1,16,20,5,12,5,12),(15,223,1,17,1,6,6,6,6),(15,223,1,17,2,1,5,1,5),(15,223,1,17,3,1,6,1,7),(15,223,1,17,4,2,7,2,6),(15,223,1,17,5,1,3,1,3),(15,223,1,17,6,9,5,8,4),(15,223,1,17,7,1,1,2,1),(15,223,1,17,8,3,8,3,7),(15,223,1,17,9,4,NULL,5,NULL),(15,223,1,17,10,11,1,10,2),(15,223,1,17,11,6,3,5,2),(15,223,1,17,12,3,5,4,4),(15,223,1,17,13,2,9,1,10),(15,223,1,17,14,4,4,4,4),(15,223,1,17,15,5,5,3,5),(15,223,1,17,16,5,NULL,5,NULL),(15,223,1,17,17,2,3,3,3),(15,223,1,17,18,3,9,2,9),(15,223,1,17,19,NULL,3,NULL,3),(15,223,1,17,20,4,8,4,9),(15,223,2,21,1,NULL,4,NULL,4),(15,223,2,21,2,NULL,4,NULL,4),(15,223,2,21,3,1,4,1,4),(15,223,2,21,4,NULL,3,NULL,3),(15,223,2,21,5,4,2,4,2),(15,223,2,21,6,1,2,1,2),(15,223,2,21,7,3,NULL,3,NULL),(15,223,2,21,8,2,NULL,2,NULL),(15,223,2,21,9,2,1,2,1),(15,223,2,21,10,1,2,1,2),(15,223,2,21,11,3,4,3,4),(15,223,2,21,12,5,8,5,8),(15,223,2,21,13,6,4,6,4),(15,223,2,21,14,1,5,1,5),(15,223,2,21,15,2,6,2,6),(15,223,2,21,16,6,10,5,9),(15,223,2,21,17,1,7,1,7),(15,223,2,21,18,5,6,5,6),(15,223,2,21,19,3,7,2,7),(15,223,2,21,20,4,3,4,3),(15,223,2,21,21,NULL,2,NULL,2),(15,223,2,21,22,8,4,8,3),(15,223,2,21,23,4,9,4,9),(15,223,2,21,24,2,4,2,4),(15,223,2,21,25,8,NULL,8,NULL),(15,223,2,21,26,1,4,1,4),(15,223,2,21,27,NULL,11,NULL,11),(15,223,2,21,28,1,9,NULL,9),(15,223,2,21,29,8,8,7,8),(15,223,2,21,30,1,6,1,6),(15,223,2,22,1,NULL,3,NULL,2),(15,223,2,22,2,NULL,1,NULL,1),(15,223,2,22,3,2,5,2,2),(15,223,2,22,4,NULL,3,NULL,2),(15,223,2,22,5,1,1,1,NULL),(15,223,2,22,6,2,5,2,5),(15,223,2,22,7,1,1,1,1),(15,223,2,22,8,NULL,NULL,NULL,NULL),(15,223,2,22,9,1,NULL,1,NULL),(15,223,2,22,10,1,3,1,2),(15,223,2,22,11,2,NULL,2,NULL),(15,223,2,22,12,9,2,6,2),(15,223,2,22,13,3,4,2,4),(15,223,2,22,14,NULL,4,NULL,2),(15,223,2,22,15,2,6,2,5),(15,223,2,22,16,5,5,3,4),(15,223,2,22,17,2,3,2,2),(15,223,2,22,18,3,2,3,1),(15,223,2,22,19,1,7,1,5),(15,223,2,22,20,1,3,NULL,3),(15,223,2,22,21,1,NULL,1,NULL),(15,223,2,22,22,5,2,5,2),(15,223,2,22,23,5,4,4,2),(15,223,2,22,24,NULL,2,NULL,2),(15,223,2,22,25,6,NULL,4,NULL),(15,223,2,22,26,NULL,2,NULL,2),(15,223,2,22,27,1,2,1,2),(15,223,2,22,28,2,1,2,NULL),(15,223,2,22,29,9,2,8,2),(15,223,2,22,30,2,2,2,2),(15,223,2,23,1,1,2,1,2),(15,223,2,23,2,NULL,1,NULL,1),(15,223,2,23,3,1,1,1,1),(15,223,2,23,4,1,4,1,4),(15,223,2,23,5,7,2,7,2),(15,223,2,23,6,3,4,3,4),(15,223,2,23,7,1,1,1,1),(15,223,2,23,8,1,NULL,1,NULL),(15,223,2,23,9,1,1,1,1),(15,223,2,23,10,4,3,4,3),(15,223,2,23,11,1,6,1,6),(15,223,2,23,12,6,5,6,5),(15,223,2,23,13,6,3,6,3),(15,223,2,23,14,1,5,1,5),(15,223,2,23,15,1,9,1,9),(15,223,2,23,16,8,7,8,7),(15,223,2,23,17,1,5,1,5),(15,223,2,23,18,5,5,5,5),(15,223,2,23,19,2,11,2,11),(15,223,2,23,20,3,9,3,9),(15,223,2,23,21,1,4,1,4),(15,223,2,23,22,3,4,3,4),(15,223,2,23,23,6,7,6,7),(15,223,2,23,24,1,7,1,7),(15,223,2,23,25,14,NULL,14,NULL),(15,223,2,23,26,1,5,1,5),(15,223,2,23,27,4,7,4,7),(15,223,2,23,28,1,5,1,5),(15,223,2,23,29,7,9,7,9),(15,223,2,23,30,2,4,2,4),(15,223,2,24,1,NULL,1,NULL,1),(15,223,2,24,2,1,NULL,1,1),(15,223,2,24,3,NULL,NULL,NULL,1),(15,223,2,24,4,NULL,2,NULL,2),(15,223,2,24,5,5,3,4,3),(15,223,2,24,6,1,4,1,5),(15,223,2,24,7,NULL,1,NULL,1),(15,223,2,24,8,3,NULL,3,NULL),(15,223,2,24,9,NULL,2,NULL,3),(15,223,2,24,10,2,NULL,1,NULL),(15,223,2,24,11,3,5,4,3),(15,223,2,24,12,6,5,7,4),(15,223,2,24,13,1,5,NULL,6),(15,223,2,24,14,NULL,6,NULL,4),(15,223,2,24,15,NULL,9,NULL,8),(15,223,2,24,16,6,5,5,4),(15,223,2,24,17,2,2,1,2),(15,223,2,24,18,7,2,6,3),(15,223,2,24,19,2,7,2,7),(15,223,2,24,20,4,3,4,1),(15,223,2,24,21,2,3,2,3),(15,223,2,24,22,6,4,6,4),(15,223,2,24,23,1,4,1,5),(15,223,2,24,24,3,4,3,4),(15,223,2,24,25,11,NULL,11,NULL),(15,223,2,24,26,2,6,2,5),(15,223,2,24,27,1,8,1,8),(15,223,2,24,28,1,4,1,4),(15,223,2,24,29,8,7,8,5),(15,223,2,24,30,1,2,1,2),(15,223,3,31,1,8,9,8,7),(15,223,3,31,2,NULL,1,NULL,1),(15,223,3,31,3,8,2,8,2),(15,223,3,31,4,5,2,3,2),(15,223,3,31,5,2,4,1,4),(15,223,3,31,6,1,5,1,5),(15,223,3,31,7,NULL,3,NULL,3),(15,223,3,31,8,NULL,NULL,NULL,NULL),(15,223,3,31,9,NULL,2,NULL,2),(15,223,3,31,10,1,4,1,3),(15,223,3,31,11,1,2,1,1),(15,223,3,31,12,6,3,4,3),(15,223,3,31,13,NULL,2,NULL,3),(15,223,3,31,14,NULL,4,NULL,4),(15,223,3,31,15,NULL,5,1,4),(15,223,3,31,16,1,4,1,3),(15,223,3,31,17,8,6,6,6),(15,223,3,31,18,2,6,2,4),(15,223,3,31,19,3,4,4,2),(15,223,3,31,20,NULL,3,NULL,2),(15,223,3,31,21,2,NULL,2,NULL),(15,223,3,31,22,1,4,1,4),(15,223,3,31,23,1,1,1,1),(15,223,3,31,24,1,7,1,8),(15,223,3,31,25,1,1,1,2),(15,223,3,31,26,1,2,1,2),(15,223,3,31,27,NULL,3,NULL,1),(15,223,3,31,28,1,NULL,1,NULL),(15,223,3,31,29,NULL,6,NULL,7),(15,223,3,31,30,NULL,8,NULL,7),(15,223,3,32,1,12,6,12,6),(15,223,3,32,2,NULL,6,NULL,6),(15,223,3,32,3,1,5,1,5),(15,223,3,32,4,6,3,6,3),(15,223,3,32,5,1,7,1,7),(15,223,3,32,6,NULL,10,NULL,10),(15,223,3,32,7,NULL,2,NULL,2),(15,223,3,32,8,NULL,2,NULL,2),(15,223,3,32,9,1,1,1,1),(15,223,3,32,10,NULL,6,NULL,6),(15,223,3,32,11,NULL,1,NULL,1),(15,223,3,32,12,7,4,7,4),(15,223,3,32,13,NULL,4,NULL,4),(15,223,3,32,14,2,1,2,1),(15,223,3,32,15,6,5,6,5),(15,223,3,32,16,NULL,8,NULL,8),(15,223,3,32,17,10,4,10,4),(15,223,3,32,18,1,3,1,3),(15,223,3,32,19,1,3,1,3),(15,223,3,32,20,1,3,1,3),(15,223,3,32,21,4,NULL,4,NULL),(15,223,3,32,22,NULL,7,NULL,7),(15,223,3,32,23,1,1,1,1),(15,223,3,32,24,NULL,6,NULL,6),(15,223,3,32,25,NULL,1,NULL,1),(15,223,3,32,26,NULL,1,NULL,1),(15,223,3,32,27,NULL,2,NULL,2),(15,223,3,32,28,NULL,NULL,NULL,NULL),(15,223,3,32,29,NULL,13,NULL,13),(15,223,3,32,30,1,5,1,5),(15,223,3,33,1,10,8,8,5),(15,223,3,33,2,1,1,1,1),(15,223,3,33,3,1,NULL,1,NULL),(15,223,3,33,4,1,3,1,3),(15,223,3,33,5,4,2,4,2),(15,223,3,33,6,NULL,6,NULL,4),(15,223,3,33,7,NULL,2,NULL,1),(15,223,3,33,8,NULL,NULL,NULL,NULL),(15,223,3,33,9,NULL,1,NULL,NULL),(15,223,3,33,10,3,2,2,2),(15,223,3,33,11,1,1,1,1),(15,223,3,33,12,3,4,3,4),(15,223,3,33,13,1,NULL,1,NULL),(15,223,3,33,14,NULL,3,NULL,2),(15,223,3,33,15,1,4,1,4),(15,223,3,33,16,1,3,1,2),(15,223,3,33,17,5,4,5,1),(15,223,3,33,18,NULL,4,NULL,4),(15,223,3,33,19,3,3,2,3),(15,223,3,33,20,NULL,1,NULL,1),(15,223,3,33,21,3,NULL,3,NULL),(15,223,3,33,22,NULL,2,NULL,2),(15,223,3,33,23,NULL,1,NULL,NULL),(15,223,3,33,24,NULL,7,NULL,5),(15,223,3,33,25,NULL,3,NULL,3),(15,223,3,33,26,NULL,1,NULL,NULL),(15,223,3,33,27,NULL,1,NULL,NULL),(15,223,3,33,28,NULL,NULL,NULL,NULL),(15,223,3,33,29,NULL,9,NULL,6),(15,223,3,33,30,NULL,9,NULL,5),(15,223,3,34,1,4,14,3,12),(15,223,3,34,2,NULL,8,NULL,8),(15,223,3,34,3,1,6,1,6),(15,223,3,34,4,5,5,5,5),(15,223,3,34,5,2,7,2,6),(15,223,3,34,6,NULL,5,NULL,5),(15,223,3,34,7,NULL,3,NULL,3),(15,223,3,34,8,NULL,2,NULL,2),(15,223,3,34,9,NULL,NULL,NULL,NULL),(15,223,3,34,10,1,2,1,2),(15,223,3,34,11,NULL,2,NULL,2),(15,223,3,34,12,5,8,4,8),(15,223,3,34,13,NULL,2,NULL,2),(15,223,3,34,14,6,2,6,2),(15,223,3,34,15,8,3,8,3),(15,223,3,34,16,1,3,1,3),(15,223,3,34,17,5,6,5,5),(15,223,3,34,18,NULL,3,NULL,3),(15,223,3,34,19,3,5,3,5),(15,223,3,34,20,2,1,2,1),(15,223,3,34,21,2,NULL,2,NULL),(15,223,3,34,22,1,4,1,4),(15,223,3,34,23,1,2,1,2),(15,223,3,34,24,1,4,1,4),(15,223,3,34,25,NULL,4,NULL,4),(15,223,3,34,26,NULL,NULL,NULL,NULL),(15,223,3,34,27,NULL,NULL,NULL,NULL),(15,223,3,34,28,NULL,1,NULL,1),(15,223,3,34,29,NULL,13,NULL,13),(15,223,3,34,30,NULL,8,NULL,8),(15,224,1,11,1,NULL,NULL,NULL,NULL),(15,224,1,11,2,NULL,NULL,NULL,NULL),(15,224,1,11,3,NULL,NULL,NULL,NULL),(15,224,1,11,4,NULL,NULL,NULL,NULL),(15,224,1,11,5,NULL,NULL,NULL,NULL),(15,224,1,11,6,NULL,NULL,NULL,NULL),(15,224,1,11,7,NULL,1,NULL,NULL),(15,224,1,11,8,NULL,NULL,NULL,NULL),(15,224,1,11,9,1,NULL,NULL,NULL),(15,224,1,11,10,NULL,1,NULL,NULL),(15,224,1,11,11,NULL,1,NULL,NULL),(15,224,1,11,12,NULL,NULL,NULL,NULL),(15,224,1,11,13,NULL,1,NULL,NULL),(15,224,1,11,14,NULL,NULL,NULL,NULL),(15,224,1,11,15,NULL,1,NULL,NULL),(15,224,1,11,16,NULL,NULL,NULL,NULL),(15,224,1,11,17,NULL,NULL,NULL,NULL),(15,224,1,11,18,1,NULL,NULL,NULL),(15,224,1,11,19,NULL,1,NULL,NULL),(15,224,1,11,20,1,NULL,NULL,NULL),(15,224,1,12,1,1,NULL,NULL,NULL),(15,224,1,12,2,NULL,NULL,NULL,NULL),(15,224,1,12,3,NULL,NULL,NULL,NULL),(15,224,1,12,4,NULL,NULL,NULL,NULL),(15,224,1,12,5,NULL,NULL,NULL,NULL),(15,224,1,12,6,1,NULL,NULL,NULL),(15,224,1,12,7,NULL,NULL,NULL,NULL),(15,224,1,12,8,NULL,NULL,NULL,NULL),(15,224,1,12,9,NULL,NULL,NULL,NULL),(15,224,1,12,10,NULL,NULL,NULL,NULL),(15,224,1,12,11,NULL,NULL,NULL,NULL),(15,224,1,12,12,1,NULL,NULL,NULL),(15,224,1,12,13,NULL,NULL,NULL,NULL),(15,224,1,12,14,NULL,NULL,NULL,NULL),(15,224,1,12,15,NULL,NULL,NULL,NULL),(15,224,1,12,16,NULL,NULL,NULL,NULL),(15,224,1,12,17,NULL,NULL,NULL,NULL),(15,224,1,12,18,NULL,NULL,NULL,NULL),(15,224,1,12,19,NULL,NULL,NULL,NULL),(15,224,1,12,20,NULL,NULL,NULL,NULL),(15,224,1,13,1,NULL,NULL,NULL,NULL),(15,224,1,13,2,NULL,NULL,NULL,NULL),(15,224,1,13,3,NULL,NULL,NULL,NULL),(15,224,1,13,4,NULL,NULL,NULL,NULL),(15,224,1,13,5,NULL,NULL,NULL,NULL),(15,224,1,13,6,NULL,NULL,NULL,NULL),(15,224,1,13,7,NULL,NULL,NULL,NULL),(15,224,1,13,8,NULL,NULL,NULL,NULL),(15,224,1,13,9,NULL,NULL,NULL,NULL),(15,224,1,13,10,NULL,NULL,NULL,NULL),(15,224,1,13,11,NULL,NULL,NULL,NULL),(15,224,1,13,12,NULL,NULL,NULL,NULL),(15,224,1,13,13,NULL,NULL,NULL,NULL),(15,224,1,13,14,NULL,NULL,NULL,NULL),(15,224,1,13,15,NULL,NULL,NULL,NULL),(15,224,1,13,16,NULL,NULL,NULL,NULL),(15,224,1,13,17,NULL,NULL,NULL,NULL),(15,224,1,13,18,NULL,NULL,NULL,NULL),(15,224,1,13,19,NULL,NULL,NULL,NULL),(15,224,1,13,20,NULL,NULL,NULL,NULL),(15,224,1,14,1,10,9,9,6),(15,224,1,14,2,4,10,4,7),(15,224,1,14,3,1,15,1,12),(15,224,1,14,4,4,7,4,5),(15,224,1,14,5,1,12,1,8),(15,224,1,14,6,10,11,7,8),(15,224,1,14,7,10,3,8,3),(15,224,1,14,8,1,14,1,9),(15,224,1,14,9,7,NULL,6,NULL),(15,224,1,14,10,12,4,8,4),(15,224,1,14,11,2,8,2,5),(15,224,1,14,12,1,4,1,4),(15,224,1,14,13,3,5,2,5),(15,224,1,14,14,7,14,6,9),(15,224,1,14,15,15,NULL,13,NULL),(15,224,1,14,16,1,1,1,1),(15,224,1,14,17,3,2,3,1),(15,224,1,14,18,2,4,2,4),(15,224,1,14,19,5,4,5,3),(15,224,1,14,20,4,5,3,5),(15,224,1,15,1,6,12,NULL,2),(15,224,1,15,2,4,5,NULL,2),(15,224,1,15,3,3,4,1,1),(15,224,1,15,4,4,8,1,3),(15,224,1,15,5,1,7,1,2),(15,224,1,15,6,7,8,NULL,1),(15,224,1,15,7,6,4,3,1),(15,224,1,15,8,6,7,NULL,2),(15,224,1,15,9,7,NULL,2,NULL),(15,224,1,15,10,6,3,1,1),(15,224,1,15,11,2,3,1,1),(15,224,1,15,12,NULL,1,NULL,1),(15,224,1,15,13,4,4,1,2),(15,224,1,15,14,5,12,1,3),(15,224,1,15,15,10,NULL,4,NULL),(15,224,1,15,16,2,NULL,NULL,NULL),(15,224,1,15,17,4,1,1,NULL),(15,224,1,15,18,1,NULL,1,NULL),(15,224,1,15,19,1,3,1,2),(15,224,1,15,20,2,4,2,1),(15,224,1,16,1,6,11,2,1),(15,224,1,16,2,4,6,NULL,2),(15,224,1,16,3,8,7,3,NULL),(15,224,1,16,4,1,9,NULL,3),(15,224,1,16,5,1,13,1,3),(15,224,1,16,6,7,9,2,3),(15,224,1,16,7,6,1,2,NULL),(15,224,1,16,8,2,17,NULL,5),(15,224,1,16,9,3,NULL,2,NULL),(15,224,1,16,10,14,2,4,1),(15,224,1,16,11,12,5,3,2),(15,224,1,16,12,10,20,4,4),(15,224,1,16,13,3,23,2,6),(15,224,1,16,14,12,7,5,2),(15,224,1,16,15,3,8,1,4),(15,224,1,16,16,8,NULL,2,NULL),(15,224,1,16,17,7,8,3,4),(15,224,1,16,18,1,17,NULL,5),(15,224,1,16,19,5,5,NULL,3),(15,224,1,16,20,6,15,1,5),(15,224,1,17,1,13,13,6,4),(15,224,1,17,2,4,9,3,3),(15,224,1,17,3,2,14,2,3),(15,224,1,17,4,6,6,3,3),(15,224,1,17,5,NULL,8,NULL,3),(15,224,1,17,6,14,9,7,2),(15,224,1,17,7,4,7,1,4),(15,224,1,17,8,6,19,2,6),(15,224,1,17,9,8,NULL,4,NULL),(15,224,1,17,10,10,10,4,6),(15,224,1,17,11,9,10,3,4),(15,224,1,17,12,7,13,3,6),(15,224,1,17,13,3,26,1,8),(15,224,1,17,14,6,13,1,6),(15,224,1,17,15,3,5,NULL,2),(15,224,1,17,16,13,NULL,7,NULL),(15,224,1,17,17,7,9,2,4),(15,224,1,17,18,3,18,NULL,5),(15,224,1,17,19,5,7,2,2),(15,224,1,17,20,5,19,1,9),(15,224,2,21,1,1,3,1,1),(15,224,2,21,2,NULL,1,NULL,NULL),(15,224,2,21,3,1,4,1,NULL),(15,224,2,21,4,1,3,1,NULL),(15,224,2,21,5,2,7,1,3),(15,224,2,21,6,4,5,NULL,4),(15,224,2,21,7,1,2,1,1),(15,224,2,21,8,NULL,NULL,NULL,NULL),(15,224,2,21,9,2,1,2,1),(15,224,2,21,10,1,1,1,1),(15,224,2,21,11,4,4,3,1),(15,224,2,21,12,4,9,1,4),(15,224,2,21,13,5,3,2,2),(15,224,2,21,14,2,4,1,NULL),(15,224,2,21,15,2,5,1,3),(15,224,2,21,16,9,6,1,1),(15,224,2,21,17,NULL,5,NULL,2),(15,224,2,21,18,8,3,2,1),(15,224,2,21,19,2,6,1,3),(15,224,2,21,20,1,5,NULL,4),(15,224,2,21,21,NULL,NULL,NULL,NULL),(15,224,2,21,22,6,4,3,1),(15,224,2,21,23,3,5,2,2),(15,224,2,21,24,3,5,3,2),(15,224,2,21,25,11,NULL,5,NULL),(15,224,2,21,26,3,5,NULL,4),(15,224,2,21,27,2,8,2,4),(15,224,2,21,28,4,7,1,3),(15,224,2,21,29,6,9,4,3),(15,224,2,21,30,4,3,2,1),(15,224,2,22,1,NULL,6,NULL,3),(15,224,2,22,2,NULL,2,NULL,NULL),(15,224,2,22,3,2,6,1,1),(15,224,2,22,4,NULL,1,NULL,NULL),(15,224,2,22,5,7,11,4,4),(15,224,2,22,6,2,6,2,3),(15,224,2,22,7,NULL,1,NULL,NULL),(15,224,2,22,8,NULL,NULL,NULL,NULL),(15,224,2,22,9,2,3,2,NULL),(15,224,2,22,10,3,5,2,2),(15,224,2,22,11,5,9,1,1),(15,224,2,22,12,14,12,5,7),(15,224,2,22,13,11,10,6,4),(15,224,2,22,14,2,8,NULL,2),(15,224,2,22,15,4,15,2,7),(15,224,2,22,16,14,15,2,9),(15,224,2,22,17,NULL,5,NULL,3),(15,224,2,22,18,6,7,2,3),(15,224,2,22,19,3,13,1,5),(15,224,2,22,20,1,11,NULL,4),(15,224,2,22,21,2,3,2,1),(15,224,2,22,22,12,13,5,4),(15,224,2,22,23,1,15,1,8),(15,224,2,22,24,2,11,1,8),(15,224,2,22,25,17,NULL,8,NULL),(15,224,2,22,26,5,7,2,6),(15,224,2,22,27,3,11,NULL,6),(15,224,2,22,28,4,10,4,6),(15,224,2,22,29,13,19,7,4),(15,224,2,22,30,2,5,2,3),(15,224,2,23,1,2,4,2,3),(15,224,2,23,2,1,1,NULL,NULL),(15,224,2,23,3,2,2,NULL,1),(15,224,2,23,4,1,4,NULL,1),(15,224,2,23,5,10,5,4,4),(15,224,2,23,6,6,5,3,3),(15,224,2,23,7,NULL,2,NULL,2),(15,224,2,23,8,1,NULL,NULL,NULL),(15,224,2,23,9,2,4,1,3),(15,224,2,23,10,2,NULL,1,NULL),(15,224,2,23,11,4,5,3,2),(15,224,2,23,12,9,9,6,4),(15,224,2,23,13,7,7,5,3),(15,224,2,23,14,3,2,1,2),(15,224,2,23,15,4,8,2,5),(15,224,2,23,16,10,11,6,4),(15,224,2,23,17,1,6,1,2),(15,224,2,23,18,8,8,5,4),(15,224,2,23,19,1,14,NULL,8),(15,224,2,23,20,2,9,1,5),(15,224,2,23,21,3,1,2,NULL),(15,224,2,23,22,9,5,5,3),(15,224,2,23,23,3,5,2,4),(15,224,2,23,24,2,10,2,3),(15,224,2,23,25,15,NULL,9,NULL),(15,224,2,23,26,NULL,1,NULL,1),(15,224,2,23,27,2,7,2,5),(15,224,2,23,28,2,9,NULL,5),(15,224,2,23,29,11,14,3,10),(15,224,2,23,30,2,4,2,2),(15,224,2,24,1,1,2,NULL,1),(15,224,2,24,2,NULL,1,NULL,1),(15,224,2,24,3,NULL,2,NULL,NULL),(15,224,2,24,4,4,3,1,NULL),(15,224,2,24,5,3,4,1,3),(15,224,2,24,6,2,6,NULL,3),(15,224,2,24,7,2,NULL,2,NULL),(15,224,2,24,8,1,NULL,NULL,NULL),(15,224,2,24,9,1,3,NULL,1),(15,224,2,24,10,4,2,1,1),(15,224,2,24,11,1,4,NULL,1),(15,224,2,24,12,7,7,3,4),(15,224,2,24,13,8,5,3,3),(15,224,2,24,14,2,4,1,1),(15,224,2,24,15,5,5,NULL,3),(15,224,2,24,16,11,5,4,2),(15,224,2,24,17,1,9,1,6),(15,224,2,24,18,11,3,4,1),(15,224,2,24,19,4,12,2,3),(15,224,2,24,20,3,7,3,3),(15,224,2,24,21,2,2,2,2),(15,224,2,24,22,10,5,5,1),(15,224,2,24,23,2,5,2,2),(15,224,2,24,24,3,7,2,3),(15,224,2,24,25,12,NULL,6,NULL),(15,224,2,24,26,4,5,2,2),(15,224,2,24,27,2,7,NULL,3),(15,224,2,24,28,2,8,1,3),(15,224,2,24,29,10,11,3,4),(15,224,2,24,30,1,3,1,2),(15,224,3,31,1,13,11,4,3),(15,224,3,31,2,NULL,6,NULL,2),(15,224,3,31,3,6,8,1,3),(15,224,3,31,4,9,3,3,1),(15,224,3,31,5,3,7,1,5),(15,224,3,31,6,3,12,NULL,5),(15,224,3,31,7,1,6,1,3),(15,224,3,31,8,NULL,1,NULL,NULL),(15,224,3,31,9,1,4,1,NULL),(15,224,3,31,10,1,3,1,NULL),(15,224,3,31,11,NULL,6,NULL,1),(15,224,3,31,12,3,8,2,4),(15,224,3,31,13,2,7,1,3),(15,224,3,31,14,2,3,1,2),(15,224,3,31,15,5,9,5,1),(15,224,3,31,16,1,8,1,3),(15,224,3,31,17,8,10,4,2),(15,224,3,31,18,NULL,9,NULL,4),(15,224,3,31,19,1,4,NULL,2),(15,224,3,31,20,1,4,1,NULL),(15,224,3,31,21,NULL,NULL,NULL,NULL),(15,224,3,31,22,1,3,1,1),(15,224,3,31,23,2,2,NULL,1),(15,224,3,31,24,NULL,8,NULL,5),(15,224,3,31,25,1,4,NULL,2),(15,224,3,31,26,NULL,3,NULL,NULL),(15,224,3,31,27,1,NULL,NULL,NULL),(15,224,3,31,28,NULL,NULL,NULL,NULL),(15,224,3,31,29,NULL,14,NULL,5),(15,224,3,31,30,NULL,3,NULL,2),(15,224,3,32,1,12,15,6,7),(15,224,3,32,2,1,5,1,1),(15,224,3,32,3,4,2,3,NULL),(15,224,3,32,4,5,4,4,2),(15,224,3,32,5,7,6,5,3),(15,224,3,32,6,NULL,13,NULL,8),(15,224,3,32,7,1,3,1,3),(15,224,3,32,8,NULL,3,NULL,1),(15,224,3,32,9,1,4,NULL,1),(15,224,3,32,10,1,6,1,2),(15,224,3,32,11,1,5,1,4),(15,224,3,32,12,4,6,4,2),(15,224,3,32,13,2,2,1,1),(15,224,3,32,14,7,3,5,2),(15,224,3,32,15,8,10,5,5),(15,224,3,32,16,3,7,2,3),(15,224,3,32,17,15,9,7,5),(15,224,3,32,18,NULL,7,NULL,2),(15,224,3,32,19,3,2,2,1),(15,224,3,32,20,2,5,1,2),(15,224,3,32,21,NULL,NULL,NULL,NULL),(15,224,3,32,22,1,2,1,1),(15,224,3,32,23,NULL,1,NULL,NULL),(15,224,3,32,24,1,8,1,5),(15,224,3,32,25,NULL,NULL,NULL,NULL),(15,224,3,32,26,1,1,1,1),(15,224,3,32,27,1,1,NULL,NULL),(15,224,3,32,28,NULL,3,NULL,2),(15,224,3,32,29,NULL,12,NULL,7),(15,224,3,32,30,1,10,1,6),(15,224,3,33,1,24,13,9,4),(15,224,3,33,2,NULL,11,NULL,6),(15,224,3,33,3,5,6,NULL,4),(15,224,3,33,4,9,4,6,2),(15,224,3,33,5,4,9,1,5),(15,224,3,33,6,NULL,12,NULL,7),(15,224,3,33,7,NULL,6,NULL,3),(15,224,3,33,8,2,2,2,NULL),(15,224,3,33,9,3,7,2,2),(15,224,3,33,10,1,7,NULL,4),(15,224,3,33,11,NULL,5,NULL,4),(15,224,3,33,12,4,8,1,4),(15,224,3,33,13,NULL,11,NULL,3),(15,224,3,33,14,3,10,2,8),(15,224,3,33,15,9,8,4,5),(15,224,3,33,16,5,7,3,4),(15,224,3,33,17,13,13,5,6),(15,224,3,33,18,1,4,1,NULL),(15,224,3,33,19,6,2,2,2),(15,224,3,33,20,1,5,NULL,3),(15,224,3,33,21,2,NULL,1,NULL),(15,224,3,33,22,NULL,7,NULL,4),(15,224,3,33,23,NULL,2,NULL,1),(15,224,3,33,24,NULL,14,NULL,8),(15,224,3,33,25,1,3,NULL,2),(15,224,3,33,26,2,6,1,NULL),(15,224,3,33,27,NULL,1,NULL,NULL),(15,224,3,33,28,1,4,NULL,1),(15,224,3,33,29,NULL,17,NULL,7),(15,224,3,33,30,1,15,NULL,5),(15,224,3,34,1,10,15,3,4),(15,224,3,34,2,NULL,3,NULL,2),(15,224,3,34,3,3,5,2,1),(15,224,3,34,4,7,5,4,3),(15,224,3,34,5,2,8,2,3),(15,224,3,34,6,1,9,1,4),(15,224,3,34,7,NULL,5,NULL,2),(15,224,3,34,8,NULL,3,NULL,2),(15,224,3,34,9,4,1,3,NULL),(15,224,3,34,10,1,3,1,1),(15,224,3,34,11,NULL,5,NULL,1),(15,224,3,34,12,4,8,NULL,4),(15,224,3,34,13,1,5,NULL,2),(15,224,3,34,14,3,8,2,3),(15,224,3,34,15,6,3,1,2),(15,224,3,34,16,3,6,1,3),(15,224,3,34,17,8,7,2,3),(15,224,3,34,18,1,4,1,1),(15,224,3,34,19,6,4,1,2),(15,224,3,34,20,NULL,2,NULL,1),(15,224,3,34,21,2,NULL,1,NULL),(15,224,3,34,22,NULL,3,NULL,2),(15,224,3,34,23,1,NULL,NULL,NULL),(15,224,3,34,24,3,5,3,1),(15,224,3,34,25,NULL,4,NULL,2),(15,224,3,34,26,NULL,1,NULL,1),(15,224,3,34,27,NULL,1,NULL,1),(15,224,3,34,28,NULL,1,NULL,NULL),(15,224,3,34,29,NULL,11,NULL,5),(15,224,3,34,30,NULL,8,NULL,3),(15,225,1,11,1,NULL,NULL,NULL,NULL),(15,225,1,11,2,NULL,NULL,NULL,NULL),(15,225,1,11,3,NULL,NULL,NULL,NULL),(15,225,1,11,4,NULL,NULL,NULL,NULL),(15,225,1,11,5,NULL,NULL,NULL,NULL),(15,225,1,11,6,NULL,NULL,NULL,NULL),(15,225,1,11,7,NULL,NULL,NULL,NULL),(15,225,1,11,8,NULL,NULL,NULL,NULL),(15,225,1,11,9,NULL,NULL,NULL,NULL),(15,225,1,11,10,NULL,NULL,NULL,NULL),(15,225,1,11,11,NULL,NULL,NULL,NULL),(15,225,1,11,12,NULL,NULL,NULL,NULL),(15,225,1,11,13,NULL,NULL,NULL,NULL),(15,225,1,11,14,NULL,NULL,NULL,NULL),(15,225,1,11,15,NULL,NULL,NULL,NULL),(15,225,1,11,16,NULL,NULL,NULL,NULL),(15,225,1,11,17,NULL,NULL,NULL,NULL),(15,225,1,11,18,NULL,NULL,NULL,NULL),(15,225,1,11,19,NULL,NULL,NULL,NULL),(15,225,1,11,20,NULL,NULL,NULL,NULL),(15,225,1,12,1,NULL,NULL,NULL,NULL),(15,225,1,12,2,NULL,NULL,NULL,NULL),(15,225,1,12,3,NULL,NULL,NULL,NULL),(15,225,1,12,4,NULL,NULL,NULL,NULL),(15,225,1,12,5,NULL,NULL,NULL,NULL),(15,225,1,12,6,NULL,NULL,NULL,NULL),(15,225,1,12,7,NULL,NULL,NULL,NULL),(15,225,1,12,8,NULL,NULL,NULL,NULL),(15,225,1,12,9,NULL,NULL,NULL,NULL),(15,225,1,12,10,NULL,NULL,NULL,NULL),(15,225,1,12,11,NULL,NULL,NULL,NULL),(15,225,1,12,12,NULL,NULL,NULL,NULL),(15,225,1,12,13,NULL,NULL,NULL,NULL),(15,225,1,12,14,NULL,NULL,NULL,NULL),(15,225,1,12,15,NULL,NULL,NULL,NULL),(15,225,1,12,16,NULL,NULL,NULL,NULL),(15,225,1,12,17,NULL,NULL,NULL,NULL),(15,225,1,12,18,NULL,NULL,NULL,NULL),(15,225,1,12,19,NULL,NULL,NULL,NULL),(15,225,1,12,20,NULL,NULL,NULL,NULL),(15,225,1,13,1,NULL,1,NULL,1),(15,225,1,13,2,NULL,NULL,NULL,NULL),(15,225,1,13,3,NULL,1,NULL,1),(15,225,1,13,4,NULL,1,NULL,1),(15,225,1,13,5,1,NULL,1,NULL),(15,225,1,13,6,NULL,NULL,NULL,NULL),(15,225,1,13,7,NULL,NULL,NULL,NULL),(15,225,1,13,8,NULL,NULL,NULL,NULL),(15,225,1,13,9,NULL,NULL,NULL,NULL),(15,225,1,13,10,NULL,NULL,NULL,NULL),(15,225,1,13,11,1,NULL,1,NULL),(15,225,1,13,12,NULL,1,NULL,1),(15,225,1,13,13,NULL,NULL,NULL,NULL),(15,225,1,13,14,1,NULL,1,NULL),(15,225,1,13,15,NULL,NULL,NULL,NULL),(15,225,1,13,16,NULL,1,NULL,1),(15,225,1,13,17,NULL,NULL,NULL,NULL),(15,225,1,13,18,NULL,NULL,NULL,NULL),(15,225,1,13,19,1,NULL,1,NULL),(15,225,1,13,20,1,NULL,1,NULL),(15,225,1,14,1,12,5,11,4),(15,225,1,14,2,2,4,2,3),(15,225,1,14,3,1,10,1,9),(15,225,1,14,4,4,6,4,5),(15,225,1,14,5,2,6,2,5),(15,225,1,14,6,9,6,9,5),(15,225,1,14,7,9,2,8,2),(15,225,1,14,8,4,8,3,7),(15,225,1,14,9,4,NULL,3,NULL),(15,225,1,14,10,8,5,8,4),(15,225,1,14,11,1,5,1,4),(15,225,1,14,12,NULL,6,NULL,6),(15,225,1,14,13,1,2,1,2),(15,225,1,14,14,5,9,4,7),(15,225,1,14,15,8,NULL,8,NULL),(15,225,1,14,16,1,2,1,2),(15,225,1,14,17,4,3,4,3),(15,225,1,14,18,2,2,2,2),(15,225,1,14,19,3,NULL,3,NULL),(15,225,1,14,20,6,4,6,4),(15,225,1,15,1,9,3,8,2),(15,225,1,15,2,5,7,4,5),(15,225,1,15,3,3,3,3,2),(15,225,1,15,4,4,4,2,4),(15,225,1,15,5,NULL,6,NULL,4),(15,225,1,15,6,4,4,4,3),(15,225,1,15,7,3,2,2,1),(15,225,1,15,8,1,6,1,5),(15,225,1,15,9,4,NULL,4,NULL),(15,225,1,15,10,8,2,6,2),(15,225,1,15,11,2,3,2,2),(15,225,1,15,12,2,4,2,4),(15,225,1,15,13,2,4,2,3),(15,225,1,15,14,1,7,1,5),(15,225,1,15,15,10,NULL,9,NULL),(15,225,1,15,16,2,4,2,3),(15,225,1,15,17,4,1,4,1),(15,225,1,15,18,4,1,4,1),(15,225,1,15,19,5,2,5,2),(15,225,1,15,20,6,4,5,3),(15,225,1,16,1,9,14,7,10),(15,225,1,16,2,2,10,1,8),(15,225,1,16,3,1,9,1,9),(15,225,1,16,4,4,6,3,6),(15,225,1,16,5,2,6,2,4),(15,225,1,16,6,8,9,7,8),(15,225,1,16,7,6,8,5,7),(15,225,1,16,8,2,13,1,10),(15,225,1,16,9,12,NULL,10,NULL),(15,225,1,16,10,16,6,12,5),(15,225,1,16,11,10,7,9,5),(15,225,1,16,12,10,14,9,14),(15,225,1,16,13,1,27,1,20),(15,225,1,16,14,6,12,6,9),(15,225,1,16,15,4,6,4,4),(15,225,1,16,16,10,NULL,8,NULL),(15,225,1,16,17,5,12,5,11),(15,225,1,16,18,5,16,3,12),(15,225,1,16,19,1,8,1,6),(15,225,1,16,20,2,18,2,15),(15,225,1,17,1,5,9,4,5),(15,225,1,17,2,2,6,1,3),(15,225,1,17,3,2,12,1,7),(15,225,1,17,4,1,9,NULL,5),(15,225,1,17,5,NULL,10,NULL,5),(15,225,1,17,6,4,5,1,4),(15,225,1,17,7,5,2,4,NULL),(15,225,1,17,8,6,6,5,5),(15,225,1,17,9,6,NULL,3,NULL),(15,225,1,17,10,5,2,3,1),(15,225,1,17,11,5,6,3,3),(15,225,1,17,12,2,15,2,10),(15,225,1,17,13,3,13,1,9),(15,225,1,17,14,5,7,5,2),(15,225,1,17,15,3,5,2,2),(15,225,1,17,16,6,NULL,3,NULL),(15,225,1,17,17,3,7,2,5),(15,225,1,17,18,3,9,2,6),(15,225,1,17,19,1,1,1,1),(15,225,1,17,20,4,7,3,5),(15,225,2,21,1,NULL,2,NULL,2),(15,225,2,21,2,NULL,2,NULL,2),(15,225,2,21,3,3,7,3,5),(15,225,2,21,4,1,NULL,1,NULL),(15,225,2,21,5,4,7,3,4),(15,225,2,21,6,4,4,3,4),(15,225,2,21,7,1,NULL,1,NULL),(15,225,2,21,8,NULL,NULL,NULL,NULL),(15,225,2,21,9,1,5,1,4),(15,225,2,21,10,NULL,3,NULL,3),(15,225,2,21,11,2,6,1,3),(15,225,2,21,12,8,7,4,7),(15,225,2,21,13,7,5,6,4),(15,225,2,21,14,1,3,1,3),(15,225,2,21,15,2,12,1,10),(15,225,2,21,16,8,9,7,6),(15,225,2,21,17,2,9,2,7),(15,225,2,21,18,3,7,3,5),(15,225,2,21,19,2,6,2,5),(15,225,2,21,20,3,5,2,4),(15,225,2,21,21,1,2,1,2),(15,225,2,21,22,9,4,7,3),(15,225,2,21,23,2,9,2,8),(15,225,2,21,24,2,6,1,5),(15,225,2,21,25,8,NULL,7,NULL),(15,225,2,21,26,1,5,1,4),(15,225,2,21,27,NULL,4,NULL,3),(15,225,2,21,28,1,4,NULL,4),(15,225,2,21,29,7,12,7,8),(15,225,2,21,30,NULL,2,NULL,1),(15,225,2,22,1,1,2,1,2),(15,225,2,22,2,NULL,NULL,NULL,NULL),(15,225,2,22,3,3,4,3,3),(15,225,2,22,4,1,3,1,3),(15,225,2,22,5,5,5,4,4),(15,225,2,22,6,4,3,4,3),(15,225,2,22,7,2,1,1,1),(15,225,2,22,8,3,NULL,3,NULL),(15,225,2,22,9,3,4,3,3),(15,225,2,22,10,1,1,1,1),(15,225,2,22,11,2,4,1,4),(15,225,2,22,12,11,9,7,8),(15,225,2,22,13,9,4,8,4),(15,225,2,22,14,2,4,2,3),(15,225,2,22,15,3,4,2,4),(15,225,2,22,16,11,8,9,7),(15,225,2,22,17,2,5,2,4),(15,225,2,22,18,5,6,5,4),(15,225,2,22,19,1,11,NULL,10),(15,225,2,22,20,5,4,5,4),(15,225,2,22,21,1,2,1,2),(15,225,2,22,22,10,6,8,5),(15,225,2,22,23,3,7,3,5),(15,225,2,22,24,1,7,1,7),(15,225,2,22,25,14,NULL,12,NULL),(15,225,2,22,26,NULL,7,NULL,6),(15,225,2,22,27,2,6,1,5),(15,225,2,22,28,4,5,4,4),(15,225,2,22,29,9,12,7,11),(15,225,2,22,30,1,4,1,3),(15,225,2,23,1,NULL,2,NULL,1),(15,225,2,23,2,2,1,1,1),(15,225,2,23,3,2,3,2,3),(15,225,2,23,4,2,2,1,2),(15,225,2,23,5,3,4,3,4),(15,225,2,23,6,5,2,4,2),(15,225,2,23,7,2,1,2,1),(15,225,2,23,8,NULL,NULL,NULL,NULL),(15,225,2,23,9,2,3,2,3),(15,225,2,23,10,1,2,1,2),(15,225,2,23,11,3,4,3,3),(15,225,2,23,12,8,3,8,2),(15,225,2,23,13,8,2,7,2),(15,225,2,23,14,1,4,1,4),(15,225,2,23,15,5,7,4,7),(15,225,2,23,16,10,9,9,7),(15,225,2,23,17,1,5,1,5),(15,225,2,23,18,5,5,5,4),(15,225,2,23,19,3,7,3,7),(15,225,2,23,20,5,5,5,5),(15,225,2,23,21,1,2,1,2),(15,225,2,23,22,6,7,5,7),(15,225,2,23,23,3,7,3,6),(15,225,2,23,24,2,4,2,4),(15,225,2,23,25,9,NULL,8,NULL),(15,225,2,23,26,2,1,2,NULL),(15,225,2,23,27,3,6,1,5),(15,225,2,23,28,2,5,1,5),(15,225,2,23,29,3,15,2,13),(15,225,2,23,30,2,4,2,3),(15,225,2,24,1,NULL,5,NULL,4),(15,225,2,24,2,2,2,1,2),(15,225,2,24,3,2,3,2,2),(15,225,2,24,4,2,3,1,2),(15,225,2,24,5,4,7,1,5),(15,225,2,24,6,1,4,NULL,3),(15,225,2,24,7,2,1,2,1),(15,225,2,24,8,4,NULL,2,NULL),(15,225,2,24,9,NULL,7,NULL,5),(15,225,2,24,10,3,2,2,1),(15,225,2,24,11,5,9,3,5),(15,225,2,24,12,8,7,3,6),(15,225,2,24,13,6,9,4,6),(15,225,2,24,14,NULL,4,NULL,2),(15,225,2,24,15,4,2,3,1),(15,225,2,24,16,10,10,5,6),(15,225,2,24,17,NULL,5,NULL,2),(15,225,2,24,18,4,6,2,4),(15,225,2,24,19,3,9,1,5),(15,225,2,24,20,4,9,4,4),(15,225,2,24,21,1,4,1,2),(15,225,2,24,22,8,8,6,5),(15,225,2,24,23,2,9,2,6),(15,225,2,24,24,NULL,4,NULL,3),(15,225,2,24,25,11,NULL,9,NULL),(15,225,2,24,26,2,5,1,4),(15,225,2,24,27,2,8,1,6),(15,225,2,24,28,1,7,1,6),(15,225,2,24,29,6,9,5,5),(15,225,2,24,30,1,4,1,2),(15,225,3,31,1,11,12,8,4),(15,225,3,31,2,1,2,1,2),(15,225,3,31,3,7,6,5,6),(15,225,3,31,4,7,5,6,2),(15,225,3,31,5,4,6,3,5),(15,225,3,31,6,3,10,2,5),(15,225,3,31,7,1,4,1,2),(15,225,3,31,8,4,2,4,2),(15,225,3,31,9,3,5,2,3),(15,225,3,31,10,2,7,1,6),(15,225,3,31,11,1,1,NULL,1),(15,225,3,31,12,3,9,3,5),(15,225,3,31,13,NULL,5,NULL,3),(15,225,3,31,14,5,9,3,7),(15,225,3,31,15,6,7,4,5),(15,225,3,31,16,2,7,NULL,6),(15,225,3,31,17,6,14,4,9),(15,225,3,31,18,NULL,5,NULL,2),(15,225,3,31,19,2,7,2,5),(15,225,3,31,20,NULL,5,NULL,3),(15,225,3,31,21,NULL,NULL,NULL,NULL),(15,225,3,31,22,NULL,1,NULL,1),(15,225,3,31,23,NULL,NULL,NULL,NULL),(15,225,3,31,24,1,7,1,4),(15,225,3,31,25,NULL,5,NULL,4),(15,225,3,31,26,NULL,3,NULL,NULL),(15,225,3,31,27,1,NULL,NULL,NULL),(15,225,3,31,28,NULL,NULL,NULL,NULL),(15,225,3,31,29,1,7,NULL,5),(15,225,3,31,30,NULL,6,NULL,3),(15,225,3,32,1,11,9,7,9),(15,225,3,32,2,NULL,6,NULL,6),(15,225,3,32,3,5,6,4,6),(15,225,3,32,4,7,5,6,3),(15,225,3,32,5,5,4,5,3),(15,225,3,32,6,NULL,6,NULL,6),(15,225,3,32,7,NULL,5,NULL,5),(15,225,3,32,8,2,1,2,1),(15,225,3,32,9,4,1,3,1),(15,225,3,32,10,1,6,1,6),(15,225,3,32,11,NULL,3,NULL,2),(15,225,3,32,12,6,8,6,6),(15,225,3,32,13,NULL,6,NULL,5),(15,225,3,32,14,3,3,3,3),(15,225,3,32,15,9,6,9,5),(15,225,3,32,16,4,7,4,6),(15,225,3,32,17,6,9,5,7),(15,225,3,32,18,2,6,2,6),(15,225,3,32,19,1,2,NULL,2),(15,225,3,32,20,1,4,1,3),(15,225,3,32,21,1,NULL,1,NULL),(15,225,3,32,22,NULL,5,NULL,5),(15,225,3,32,23,2,2,1,2),(15,225,3,32,24,1,5,1,5),(15,225,3,32,25,NULL,2,NULL,2),(15,225,3,32,26,NULL,NULL,NULL,NULL),(15,225,3,32,27,NULL,4,NULL,3),(15,225,3,32,28,NULL,1,NULL,1),(15,225,3,32,29,NULL,11,NULL,11),(15,225,3,32,30,1,6,1,5),(15,225,3,33,1,13,9,10,7),(15,225,3,33,2,NULL,7,NULL,7),(15,225,3,33,3,13,5,10,4),(15,225,3,33,4,8,4,8,3),(15,225,3,33,5,5,11,4,9),(15,225,3,33,6,1,7,1,6),(15,225,3,33,7,NULL,5,NULL,5),(15,225,3,33,8,2,2,2,2),(15,225,3,33,9,2,6,2,4),(15,225,3,33,10,2,7,2,6),(15,225,3,33,11,NULL,1,NULL,1),(15,225,3,33,12,4,6,4,6),(15,225,3,33,13,1,8,1,7),(15,225,3,33,14,2,6,2,6),(15,225,3,33,15,6,5,5,5),(15,225,3,33,16,2,7,2,5),(15,225,3,33,17,11,5,9,4),(15,225,3,33,18,1,3,NULL,3),(15,225,3,33,19,2,6,1,6),(15,225,3,33,20,2,5,2,3),(15,225,3,33,21,3,NULL,3,NULL),(15,225,3,33,22,1,1,1,1),(15,225,3,33,23,NULL,2,NULL,2),(15,225,3,33,24,2,9,2,9),(15,225,3,33,25,1,5,1,4),(15,225,3,33,26,NULL,3,NULL,2),(15,225,3,33,27,1,1,1,1),(15,225,3,33,28,1,NULL,1,NULL),(15,225,3,33,29,NULL,10,NULL,9),(15,225,3,33,30,NULL,8,NULL,8),(15,225,3,34,1,9,11,7,9),(15,225,3,34,2,1,2,1,2),(15,225,3,34,3,4,5,3,4),(15,225,3,34,4,3,4,3,4),(15,225,3,34,5,5,9,5,7),(15,225,3,34,6,2,7,1,6),(15,225,3,34,7,NULL,3,NULL,3),(15,225,3,34,8,NULL,2,NULL,2),(15,225,3,34,9,3,3,3,3),(15,225,3,34,10,1,8,1,7),(15,225,3,34,11,NULL,1,NULL,1),(15,225,3,34,12,8,9,7,7),(15,225,3,34,13,NULL,4,NULL,4),(15,225,3,34,14,4,6,4,5),(15,225,3,34,15,6,6,5,6),(15,225,3,34,16,1,7,1,6),(15,225,3,34,17,9,7,8,5),(15,225,3,34,18,3,5,3,4),(15,225,3,34,19,5,5,4,4),(15,225,3,34,20,NULL,6,NULL,5),(15,225,3,34,21,3,NULL,3,NULL),(15,225,3,34,22,1,2,1,2),(15,225,3,34,23,1,2,1,2),(15,225,3,34,24,1,10,1,7),(15,225,3,34,25,NULL,NULL,NULL,NULL),(15,225,3,34,26,NULL,1,NULL,NULL),(15,225,3,34,27,NULL,NULL,NULL,NULL),(15,225,3,34,28,NULL,3,NULL,3),(15,225,3,34,29,NULL,9,NULL,7),(15,225,3,34,30,NULL,7,NULL,7),(15,233,1,11,1,NULL,NULL,NULL,NULL),(15,233,1,11,2,NULL,NULL,NULL,NULL),(15,233,1,11,3,NULL,NULL,NULL,NULL),(15,233,1,11,4,NULL,NULL,NULL,NULL),(15,233,1,11,5,NULL,NULL,NULL,NULL),(15,233,1,11,6,NULL,NULL,NULL,NULL),(15,233,1,11,7,NULL,NULL,NULL,NULL),(15,233,1,11,8,NULL,NULL,NULL,NULL),(15,233,1,11,9,NULL,NULL,NULL,NULL),(15,233,1,11,10,NULL,NULL,NULL,NULL),(15,233,1,11,11,NULL,NULL,NULL,NULL),(15,233,1,11,12,NULL,NULL,NULL,NULL),(15,233,1,11,13,NULL,NULL,NULL,NULL),(15,233,1,11,14,NULL,NULL,NULL,NULL),(15,233,1,11,15,NULL,NULL,NULL,NULL),(15,233,1,11,16,NULL,NULL,NULL,NULL),(15,233,1,11,17,NULL,NULL,NULL,NULL),(15,233,1,11,18,NULL,NULL,NULL,NULL),(15,233,1,11,19,NULL,NULL,NULL,NULL),(15,233,1,11,20,NULL,NULL,NULL,NULL),(15,233,1,12,1,NULL,NULL,NULL,NULL),(15,233,1,12,2,NULL,NULL,NULL,NULL),(15,233,1,12,3,NULL,NULL,NULL,NULL),(15,233,1,12,4,NULL,NULL,NULL,NULL),(15,233,1,12,5,NULL,NULL,NULL,NULL),(15,233,1,12,6,NULL,NULL,NULL,NULL),(15,233,1,12,7,NULL,NULL,NULL,NULL),(15,233,1,12,8,NULL,NULL,NULL,NULL),(15,233,1,12,9,NULL,NULL,NULL,NULL),(15,233,1,12,10,NULL,NULL,NULL,NULL),(15,233,1,12,11,NULL,NULL,NULL,NULL),(15,233,1,12,12,NULL,NULL,NULL,NULL),(15,233,1,12,13,NULL,NULL,NULL,NULL),(15,233,1,12,14,NULL,NULL,NULL,NULL),(15,233,1,12,15,NULL,NULL,NULL,NULL),(15,233,1,12,16,NULL,NULL,NULL,NULL),(15,233,1,12,17,NULL,NULL,NULL,NULL),(15,233,1,12,18,NULL,NULL,NULL,NULL),(15,233,1,12,19,NULL,NULL,NULL,NULL),(15,233,1,12,20,NULL,NULL,NULL,NULL),(15,233,1,13,1,NULL,NULL,NULL,NULL),(15,233,1,13,2,NULL,NULL,NULL,NULL),(15,233,1,13,3,NULL,NULL,NULL,NULL),(15,233,1,13,4,NULL,NULL,NULL,NULL),(15,233,1,13,5,NULL,NULL,NULL,NULL),(15,233,1,13,6,NULL,NULL,NULL,NULL),(15,233,1,13,7,NULL,NULL,NULL,NULL),(15,233,1,13,8,NULL,NULL,NULL,NULL),(15,233,1,13,9,NULL,NULL,NULL,NULL),(15,233,1,13,10,NULL,NULL,NULL,NULL),(15,233,1,13,11,NULL,NULL,NULL,NULL),(15,233,1,13,12,NULL,NULL,NULL,NULL),(15,233,1,13,13,NULL,NULL,NULL,NULL),(15,233,1,13,14,NULL,NULL,NULL,NULL),(15,233,1,13,15,NULL,NULL,NULL,NULL),(15,233,1,13,16,NULL,NULL,NULL,NULL),(15,233,1,13,17,NULL,NULL,NULL,NULL),(15,233,1,13,18,NULL,NULL,NULL,NULL),(15,233,1,13,19,NULL,NULL,NULL,NULL),(15,233,1,13,20,NULL,NULL,NULL,NULL),(15,233,1,14,1,32,17,11,7),(15,233,1,14,2,16,17,10,8),(15,233,1,14,3,7,30,6,13),(15,233,1,14,4,13,18,10,8),(15,233,1,14,5,8,20,6,10),(15,233,1,14,6,28,16,10,9),(15,233,1,14,7,20,10,15,3),(15,233,1,14,8,19,27,11,8),(15,233,1,14,9,17,NULL,12,NULL),(15,233,1,14,10,33,6,12,5),(15,233,1,14,11,8,11,4,9),(15,233,1,14,12,8,14,5,6),(15,233,1,14,13,13,10,7,3),(15,233,1,14,14,27,18,12,7),(15,233,1,14,15,40,NULL,19,NULL),(15,233,1,14,16,9,5,7,3),(15,233,1,14,17,25,5,14,1),(15,233,1,14,18,15,9,6,5),(15,233,1,14,19,25,6,10,6),(15,233,1,14,20,34,5,15,6),(15,233,1,15,1,27,16,15,7),(15,233,1,15,2,12,19,6,10),(15,233,1,15,3,9,26,6,15),(15,233,1,15,4,11,21,12,6),(15,233,1,15,5,4,25,4,12),(15,233,1,15,6,23,13,7,10),(15,233,1,15,7,21,12,15,2),(15,233,1,15,8,11,26,7,9),(15,233,1,15,9,26,NULL,15,NULL),(15,233,1,15,10,26,9,11,5),(15,233,1,15,11,10,26,7,8),(15,233,1,15,12,5,18,4,9),(15,233,1,15,13,13,13,6,5),(15,233,1,15,14,28,22,12,7),(15,233,1,15,15,45,NULL,21,NULL),(15,233,1,15,16,10,12,8,4),(15,233,1,15,17,17,13,8,7),(15,233,1,15,18,12,11,8,5),(15,233,1,15,19,24,12,11,6),(15,233,1,15,20,21,19,13,7),(15,233,1,16,1,10,6,3,3),(15,233,1,16,2,2,6,2,2),(15,233,1,16,3,2,18,3,4),(15,233,1,16,4,6,10,2,4),(15,233,1,16,5,3,12,NULL,5),(15,233,1,16,6,10,9,NULL,4),(15,233,1,16,7,13,2,6,1),(15,233,1,16,8,8,7,2,2),(15,233,1,16,9,12,NULL,4,NULL),(15,233,1,16,10,10,1,5,1),(15,233,1,16,11,11,4,3,1),(15,233,1,16,12,11,9,4,3),(15,233,1,16,13,2,18,NULL,7),(15,233,1,16,14,9,6,4,2),(15,233,1,16,15,3,3,1,1),(15,233,1,16,16,7,NULL,3,NULL),(15,233,1,16,17,6,6,2,2),(15,233,1,16,18,7,9,1,5),(15,233,1,16,19,3,1,1,NULL),(15,233,1,16,20,8,7,4,3),(15,233,1,17,1,17,11,6,1),(15,233,1,17,2,6,5,4,2),(15,233,1,17,3,7,16,3,6),(15,233,1,17,4,11,10,3,3),(15,233,1,17,5,4,12,2,2),(15,233,1,17,6,11,9,6,1),(15,233,1,17,7,12,7,5,4),(15,233,1,17,8,7,14,5,3),(15,233,1,17,9,10,NULL,6,NULL),(15,233,1,17,10,13,5,8,1),(15,233,1,17,11,10,12,6,2),(15,233,1,17,12,12,13,3,6),(15,233,1,17,13,4,22,1,6),(15,233,1,17,14,5,12,1,5),(15,233,1,17,15,2,6,2,3),(15,233,1,17,16,12,NULL,6,NULL),(15,233,1,17,17,6,9,2,7),(15,233,1,17,18,5,17,4,2),(15,233,1,17,19,3,7,1,3),(15,233,1,17,20,7,18,3,5),(15,233,2,21,1,3,11,5,4),(15,233,2,21,2,8,2,5,2),(15,233,2,21,3,3,6,1,1),(15,233,2,21,4,10,7,5,2),(15,233,2,21,5,20,9,7,3),(15,233,2,21,6,15,8,7,4),(15,233,2,21,7,4,1,2,NULL),(15,233,2,21,8,3,NULL,NULL,NULL),(15,233,2,21,9,11,7,8,1),(15,233,2,21,10,10,1,5,1),(15,233,2,21,11,7,9,2,4),(15,233,2,21,12,19,13,4,6),(15,233,2,21,13,29,8,11,1),(15,233,2,21,14,4,13,5,5),(15,233,2,21,15,11,18,7,4),(15,233,2,21,16,33,11,12,3),(15,233,2,21,17,7,11,4,2),(15,233,2,21,18,9,13,3,6),(15,233,2,21,19,12,22,5,5),(15,233,2,21,20,20,16,9,3),(15,233,2,21,21,9,8,4,4),(15,233,2,21,22,25,12,11,2),(15,233,2,21,23,12,9,7,2),(15,233,2,21,24,12,17,7,5),(15,233,2,21,25,29,NULL,14,NULL),(15,233,2,21,26,10,9,8,2),(15,233,2,21,27,4,16,6,6),(15,233,2,21,28,4,16,7,3),(15,233,2,21,29,27,17,11,4),(15,233,2,21,30,8,14,6,6),(15,233,2,22,1,NULL,11,NULL,8),(15,233,2,22,2,4,3,5,1),(15,233,2,22,3,3,4,1,3),(15,233,2,22,4,4,3,4,2),(15,233,2,22,5,13,6,10,4),(15,233,2,22,6,9,7,7,1),(15,233,2,22,7,10,3,8,1),(15,233,2,22,8,2,NULL,5,NULL),(15,233,2,22,9,8,7,5,2),(15,233,2,22,10,8,4,7,1),(15,233,2,22,11,7,8,7,6),(15,233,2,22,12,11,16,6,5),(15,233,2,22,13,16,9,10,3),(15,233,2,22,14,2,12,1,7),(15,233,2,22,15,9,15,2,9),(15,233,2,22,16,17,17,10,4),(15,233,2,22,17,5,9,NULL,4),(15,233,2,22,18,7,14,6,4),(15,233,2,22,19,6,13,NULL,9),(15,233,2,22,20,10,16,5,8),(15,233,2,22,21,11,7,7,2),(15,233,2,22,22,18,3,10,2),(15,233,2,22,23,12,9,8,3),(15,233,2,22,24,9,15,6,6),(15,233,2,22,25,29,NULL,11,NULL),(15,233,2,22,26,6,5,7,3),(15,233,2,22,27,9,13,7,6),(15,233,2,22,28,8,10,9,3),(15,233,2,22,29,25,14,13,1),(15,233,2,22,30,7,15,9,3),(15,233,2,23,1,3,11,3,5),(15,233,2,23,2,4,2,2,1),(15,233,2,23,3,2,6,NULL,5),(15,233,2,23,4,5,5,6,4),(15,233,2,23,5,11,16,6,2),(15,233,2,23,6,8,7,7,1),(15,233,2,23,7,7,4,1,2),(15,233,2,23,8,2,NULL,NULL,NULL),(15,233,2,23,9,3,5,5,2),(15,233,2,23,10,9,4,5,NULL),(15,233,2,23,11,4,11,5,2),(15,233,2,23,12,11,17,2,6),(15,233,2,23,13,22,5,7,2),(15,233,2,23,14,3,11,2,7),(15,233,2,23,15,9,13,5,3),(15,233,2,23,16,24,18,7,3),(15,233,2,23,17,6,10,3,1),(15,233,2,23,18,12,10,4,3),(15,233,2,23,19,4,22,1,7),(15,233,2,23,20,11,16,5,4),(15,233,2,23,21,3,10,3,2),(15,233,2,23,22,25,5,8,NULL),(15,233,2,23,23,12,11,5,1),(15,233,2,23,24,6,22,5,4),(15,233,2,23,25,36,NULL,11,NULL),(15,233,2,23,26,6,14,3,4),(15,233,2,23,27,5,16,6,4),(15,233,2,23,28,9,16,5,4),(15,233,2,23,29,22,17,10,1),(15,233,2,23,30,7,12,6,2),(15,233,2,24,1,5,8,6,4),(15,233,2,24,2,3,3,2,3),(15,233,2,24,3,2,11,2,3),(15,233,2,24,4,5,4,8,1),(15,233,2,24,5,12,10,9,4),(15,233,2,24,6,13,3,8,3),(15,233,2,24,7,1,2,3,1),(15,233,2,24,8,5,NULL,3,NULL),(15,233,2,24,9,2,8,3,4),(15,233,2,24,10,10,NULL,4,3),(15,233,2,24,11,8,5,8,2),(15,233,2,24,12,9,13,6,6),(15,233,2,24,13,22,7,14,2),(15,233,2,24,14,5,9,3,3),(15,233,2,24,15,8,8,8,6),(15,233,2,24,16,22,17,14,6),(15,233,2,24,17,1,11,1,4),(15,233,2,24,18,11,8,8,3),(15,233,2,24,19,6,22,1,13),(15,233,2,24,20,8,18,7,7),(15,233,2,24,21,1,11,3,5),(15,233,2,24,22,24,8,7,6),(15,233,2,24,23,11,16,13,2),(15,233,2,24,24,8,16,8,8),(15,233,2,24,25,29,NULL,18,NULL),(15,233,2,24,26,3,12,6,5),(15,233,2,24,27,6,19,5,12),(15,233,2,24,28,6,13,5,5),(15,233,2,24,29,20,18,14,4),(15,233,2,24,30,4,7,7,6),(15,233,3,31,1,25,18,13,6),(15,233,3,31,2,2,21,3,10),(15,233,3,31,3,18,8,11,3),(15,233,3,31,4,24,9,13,3),(15,233,3,31,5,7,22,7,10),(15,233,3,31,6,2,22,3,13),(15,233,3,31,7,3,9,3,5),(15,233,3,31,8,3,4,6,2),(15,233,3,31,9,11,5,12,2),(15,233,3,31,10,5,9,6,4),(15,233,3,31,11,NULL,3,NULL,5),(15,233,3,31,12,12,16,5,9),(15,233,3,31,13,1,11,1,4),(15,233,3,31,14,16,8,11,3),(15,233,3,31,15,19,9,13,5),(15,233,3,31,16,6,15,7,5),(15,233,3,31,17,26,10,17,2),(15,233,3,31,18,1,12,1,9),(15,233,3,31,19,4,7,4,4),(15,233,3,31,20,2,4,3,1),(15,233,3,31,21,3,NULL,4,NULL),(15,233,3,31,22,8,7,6,5),(15,233,3,31,23,1,5,3,6),(15,233,3,31,24,9,19,7,7),(15,233,3,31,25,1,7,1,7),(15,233,3,31,26,1,6,2,5),(15,233,3,31,27,NULL,6,1,5),(15,233,3,31,28,1,3,NULL,NULL),(15,233,3,31,29,NULL,34,1,12),(15,233,3,31,30,2,17,4,6),(15,233,3,32,1,28,17,7,4),(15,233,3,32,2,4,22,3,5),(15,233,3,32,3,13,10,8,1),(15,233,3,32,4,21,9,10,1),(15,233,3,32,5,13,16,4,6),(15,233,3,32,6,5,30,4,6),(15,233,3,32,7,3,10,2,2),(15,233,3,32,8,5,4,5,1),(15,233,3,32,9,10,10,6,2),(15,233,3,32,10,5,11,4,4),(15,233,3,32,11,3,5,NULL,2),(15,233,3,32,12,13,18,3,8),(15,233,3,32,13,1,10,NULL,6),(15,233,3,32,14,10,10,9,1),(15,233,3,32,15,16,13,6,5),(15,233,3,32,16,10,18,4,2),(15,233,3,32,17,29,9,10,1),(15,233,3,32,18,6,10,2,3),(15,233,3,32,19,8,7,4,1),(15,233,3,32,20,3,8,2,3),(15,233,3,32,21,5,NULL,2,NULL),(15,233,3,32,22,10,9,7,3),(15,233,3,32,23,2,6,NULL,3),(15,233,3,32,24,9,19,7,3),(15,233,3,32,25,1,7,2,3),(15,233,3,32,26,1,9,2,3),(15,233,3,32,27,1,6,1,4),(15,233,3,32,28,1,6,1,5),(15,233,3,32,29,2,27,1,9),(15,233,3,32,30,2,20,2,5),(15,233,3,33,1,27,12,6,8),(15,233,3,33,2,3,19,5,7),(15,233,3,33,3,15,6,8,3),(15,233,3,33,4,21,4,11,2),(15,233,3,33,5,7,17,9,3),(15,233,3,33,6,6,15,4,8),(15,233,3,33,7,3,13,3,5),(15,233,3,33,8,4,4,7,3),(15,233,3,33,9,10,10,8,4),(15,233,3,33,10,10,5,8,2),(15,233,3,33,11,1,6,NULL,2),(15,233,3,33,12,7,16,1,10),(15,233,3,33,13,NULL,8,1,6),(15,233,3,33,14,11,12,11,3),(15,233,3,33,15,15,10,7,7),(15,233,3,33,16,8,12,1,6),(15,233,3,33,17,21,15,9,5),(15,233,3,33,18,4,8,3,4),(15,233,3,33,19,3,8,2,6),(15,233,3,33,20,2,8,NULL,4),(15,233,3,33,21,5,NULL,5,NULL),(15,233,3,33,22,2,17,3,5),(15,233,3,33,23,1,7,1,5),(15,233,3,33,24,4,16,5,7),(15,233,3,33,25,1,8,NULL,8),(15,233,3,33,26,4,3,2,7),(15,233,3,33,27,1,7,1,5),(15,233,3,33,28,1,6,NULL,3),(15,233,3,33,29,NULL,28,1,12),(15,233,3,33,30,2,14,1,11),(15,233,3,34,1,32,19,10,5),(15,233,3,34,2,5,26,4,8),(15,233,3,34,3,25,5,12,2),(15,233,3,34,4,26,5,14,1),(15,233,3,34,5,14,20,11,4),(15,233,3,34,6,7,21,2,8),(15,233,3,34,7,4,13,3,6),(15,233,3,34,8,6,6,5,3),(15,233,3,34,9,12,12,11,1),(15,233,3,34,10,13,8,7,4),(15,233,3,34,11,NULL,4,NULL,1),(15,233,3,34,12,20,11,8,5),(15,233,3,34,13,3,10,1,3),(15,233,3,34,14,23,7,8,2),(15,233,3,34,15,20,9,8,2),(15,233,3,34,16,10,13,2,6),(15,233,3,34,17,34,10,14,1),(15,233,3,34,18,9,15,6,3),(15,233,3,34,19,10,7,1,5),(15,233,3,34,20,3,8,2,4),(15,233,3,34,21,6,NULL,4,NULL),(15,233,3,34,22,5,18,5,7),(15,233,3,34,23,3,6,4,2),(15,233,3,34,24,14,24,7,5),(15,233,3,34,25,NULL,3,NULL,3),(15,233,3,34,26,1,8,1,7),(15,233,3,34,27,NULL,11,NULL,6),(15,233,3,34,28,NULL,6,NULL,4),(15,233,3,34,29,3,28,NULL,11),(15,233,3,34,30,5,18,4,6),(15,234,1,11,1,NULL,NULL,NULL,NULL),(15,234,1,11,2,NULL,NULL,NULL,NULL),(15,234,1,11,3,NULL,NULL,NULL,NULL),(15,234,1,11,4,NULL,NULL,NULL,NULL),(15,234,1,11,5,NULL,NULL,NULL,NULL),(15,234,1,11,6,NULL,NULL,NULL,NULL),(15,234,1,11,7,NULL,NULL,NULL,NULL),(15,234,1,11,8,NULL,NULL,NULL,NULL),(15,234,1,11,9,NULL,NULL,NULL,NULL),(15,234,1,11,10,NULL,NULL,NULL,NULL),(15,234,1,11,11,NULL,NULL,NULL,NULL),(15,234,1,11,12,NULL,NULL,NULL,NULL),(15,234,1,11,13,NULL,NULL,NULL,NULL),(15,234,1,11,14,NULL,NULL,NULL,NULL),(15,234,1,11,15,NULL,NULL,NULL,NULL),(15,234,1,11,16,NULL,NULL,NULL,NULL),(15,234,1,11,17,NULL,NULL,NULL,NULL),(15,234,1,11,18,NULL,NULL,NULL,NULL),(15,234,1,11,19,NULL,NULL,NULL,NULL),(15,234,1,11,20,NULL,NULL,NULL,NULL),(15,234,1,12,1,NULL,NULL,NULL,NULL),(15,234,1,12,2,NULL,NULL,NULL,NULL),(15,234,1,12,3,NULL,NULL,NULL,NULL),(15,234,1,12,4,NULL,NULL,NULL,NULL),(15,234,1,12,5,NULL,NULL,NULL,NULL),(15,234,1,12,6,NULL,NULL,NULL,NULL),(15,234,1,12,7,NULL,NULL,NULL,NULL),(15,234,1,12,8,NULL,NULL,NULL,NULL),(15,234,1,12,9,NULL,NULL,NULL,NULL),(15,234,1,12,10,NULL,NULL,NULL,NULL),(15,234,1,12,11,NULL,NULL,NULL,NULL),(15,234,1,12,12,NULL,NULL,NULL,NULL),(15,234,1,12,13,NULL,NULL,NULL,NULL),(15,234,1,12,14,NULL,NULL,NULL,NULL),(15,234,1,12,15,NULL,NULL,NULL,NULL),(15,234,1,12,16,NULL,NULL,NULL,NULL),(15,234,1,12,17,NULL,NULL,NULL,NULL),(15,234,1,12,18,NULL,NULL,NULL,NULL),(15,234,1,12,19,NULL,NULL,NULL,NULL),(15,234,1,12,20,NULL,NULL,NULL,NULL),(15,234,1,13,1,1,NULL,NULL,NULL),(15,234,1,13,2,NULL,NULL,NULL,NULL),(15,234,1,13,3,NULL,1,NULL,NULL),(15,234,1,13,4,NULL,1,NULL,NULL),(15,234,1,13,5,NULL,NULL,NULL,NULL),(15,234,1,13,6,1,NULL,NULL,NULL),(15,234,1,13,7,NULL,NULL,NULL,NULL),(15,234,1,13,8,1,NULL,NULL,NULL),(15,234,1,13,9,NULL,NULL,NULL,NULL),(15,234,1,13,10,1,NULL,NULL,NULL),(15,234,1,13,11,1,NULL,NULL,NULL),(15,234,1,13,12,NULL,1,NULL,NULL),(15,234,1,13,13,NULL,1,NULL,NULL),(15,234,1,13,14,1,NULL,NULL,NULL),(15,234,1,13,15,1,NULL,NULL,NULL),(15,234,1,13,16,1,NULL,NULL,NULL),(15,234,1,13,17,1,NULL,NULL,NULL),(15,234,1,13,18,NULL,NULL,NULL,NULL),(15,234,1,13,19,1,NULL,NULL,NULL),(15,234,1,13,20,NULL,1,NULL,NULL),(15,234,1,14,1,15,10,11,5),(15,234,1,14,2,13,7,10,3),(15,234,1,14,3,3,16,3,12),(15,234,1,14,4,5,10,3,7),(15,234,1,14,5,2,14,2,10),(15,234,1,14,6,10,14,8,8),(15,234,1,14,7,9,4,8,3),(15,234,1,14,8,5,17,5,11),(15,234,1,14,9,15,NULL,13,NULL),(15,234,1,14,10,20,3,14,2),(15,234,1,14,11,3,5,3,3),(15,234,1,14,12,2,4,2,3),(15,234,1,14,13,5,8,5,4),(15,234,1,14,14,11,12,8,7),(15,234,1,14,15,15,NULL,12,NULL),(15,234,1,14,16,6,2,4,2),(15,234,1,14,17,9,5,7,3),(15,234,1,14,18,6,8,6,4),(15,234,1,14,19,12,4,9,3),(15,234,1,14,20,13,6,8,4),(15,234,1,15,1,10,13,5,4),(15,234,1,15,2,12,5,4,3),(15,234,1,15,3,3,13,NULL,8),(15,234,1,15,4,4,13,3,5),(15,234,1,15,5,3,13,NULL,5),(15,234,1,15,6,11,13,4,7),(15,234,1,15,7,9,5,3,2),(15,234,1,15,8,5,13,2,4),(15,234,1,15,9,11,NULL,7,NULL),(15,234,1,15,10,16,7,7,3),(15,234,1,15,11,2,8,1,4),(15,234,1,15,12,4,5,2,1),(15,234,1,15,13,3,8,1,5),(15,234,1,15,14,10,15,3,6),(15,234,1,15,15,22,NULL,11,NULL),(15,234,1,15,16,5,1,2,1),(15,234,1,15,17,7,5,4,3),(15,234,1,15,18,5,4,2,2),(15,234,1,15,19,8,4,3,4),(15,234,1,15,20,10,9,6,5),(15,234,1,16,1,17,13,7,4),(15,234,1,16,2,3,11,1,5),(15,234,1,16,3,3,25,2,13),(15,234,1,16,4,5,13,4,8),(15,234,1,16,5,4,22,3,12),(15,234,1,16,6,10,19,3,10),(15,234,1,16,7,15,7,11,3),(15,234,1,16,8,5,24,1,12),(15,234,1,16,9,13,NULL,9,NULL),(15,234,1,16,10,13,8,5,6),(15,234,1,16,11,14,11,5,7),(15,234,1,16,12,13,21,7,10),(15,234,1,16,13,4,31,1,13),(15,234,1,16,14,13,13,6,7),(15,234,1,16,15,7,11,2,3),(15,234,1,16,16,16,NULL,6,NULL),(15,234,1,16,17,8,13,4,8),(15,234,1,16,18,7,18,3,10),(15,234,1,16,19,1,5,NULL,2),(15,234,1,16,20,7,24,3,12),(15,234,1,17,1,8,14,3,5),(15,234,1,17,2,4,14,NULL,3),(15,234,1,17,3,5,17,3,6),(15,234,1,17,4,10,6,7,2),(15,234,1,17,5,1,17,NULL,8),(15,234,1,17,6,6,13,4,3),(15,234,1,17,7,14,6,6,2),(15,234,1,17,8,6,15,1,7),(15,234,1,17,9,7,NULL,2,NULL),(15,234,1,17,10,14,7,4,3),(15,234,1,17,11,16,4,6,2),(15,234,1,17,12,10,17,6,5),(15,234,1,17,13,4,23,NULL,9),(15,234,1,17,14,3,18,1,7),(15,234,1,17,15,3,11,NULL,4),(15,234,1,17,16,7,NULL,2,NULL),(15,234,1,17,17,6,11,5,4),(15,234,1,17,18,6,18,1,7),(15,234,1,17,19,7,NULL,2,NULL),(15,234,1,17,20,10,14,3,5),(15,234,2,21,1,2,5,3,3),(15,234,2,21,2,2,4,1,2),(15,234,2,21,3,2,6,1,2),(15,234,2,21,4,1,2,1,2),(15,234,2,21,5,7,7,4,5),(15,234,2,21,6,4,7,2,4),(15,234,2,21,7,2,1,1,NULL),(15,234,2,21,8,3,NULL,1,NULL),(15,234,2,21,9,2,5,2,2),(15,234,2,21,10,7,5,5,3),(15,234,2,21,11,2,10,1,6),(15,234,2,21,12,9,18,4,12),(15,234,2,21,13,11,9,7,7),(15,234,2,21,14,2,12,NULL,9),(15,234,2,21,15,4,13,4,7),(15,234,2,21,16,19,12,8,6),(15,234,2,21,17,6,11,4,4),(15,234,2,21,18,11,8,6,7),(15,234,2,21,19,4,10,2,7),(15,234,2,21,20,5,9,5,4),(15,234,2,21,21,3,2,3,3),(15,234,2,21,22,11,5,6,3),(15,234,2,21,23,5,8,3,4),(15,234,2,21,24,2,12,2,6),(15,234,2,21,25,15,NULL,12,NULL),(15,234,2,21,26,1,10,NULL,7),(15,234,2,21,27,3,6,2,6),(15,234,2,21,28,4,11,2,8),(15,234,2,21,29,13,18,8,7),(15,234,2,21,30,3,6,1,3),(15,234,2,22,1,1,4,1,2),(15,234,2,22,2,2,5,1,3),(15,234,2,22,3,2,5,1,1),(15,234,2,22,4,4,3,2,1),(15,234,2,22,5,7,6,3,1),(15,234,2,22,6,11,5,6,1),(15,234,2,22,7,1,1,1,NULL),(15,234,2,22,8,4,NULL,NULL,NULL),(15,234,2,22,9,6,8,4,3),(15,234,2,22,10,9,1,4,NULL),(15,234,2,22,11,7,5,4,1),(15,234,2,22,12,10,12,4,5),(15,234,2,22,13,13,8,6,4),(15,234,2,22,14,1,11,1,5),(15,234,2,22,15,7,14,2,8),(15,234,2,22,16,16,14,6,3),(15,234,2,22,17,4,8,1,4),(15,234,2,22,18,15,6,7,2),(15,234,2,22,19,4,15,1,6),(15,234,2,22,20,9,11,5,3),(15,234,2,22,21,1,4,1,2),(15,234,2,22,22,15,6,4,3),(15,234,2,22,23,3,15,1,7),(15,234,2,22,24,2,15,NULL,7),(15,234,2,22,25,13,NULL,7,NULL),(15,234,2,22,26,2,5,1,1),(15,234,2,22,27,5,11,1,7),(15,234,2,22,28,4,11,1,7),(15,234,2,22,29,10,18,5,4),(15,234,2,22,30,2,8,2,4),(15,234,2,23,1,2,8,2,3),(15,234,2,23,2,4,2,4,1),(15,234,2,23,3,2,4,1,1),(15,234,2,23,4,3,2,2,1),(15,234,2,23,5,8,8,4,3),(15,234,2,23,6,11,3,3,1),(15,234,2,23,7,4,1,4,1),(15,234,2,23,8,2,NULL,1,NULL),(15,234,2,23,9,8,7,3,4),(15,234,2,23,10,2,NULL,2,NULL),(15,234,2,23,11,4,11,4,5),(15,234,2,23,12,5,8,2,4),(15,234,2,23,13,16,6,6,4),(15,234,2,23,14,2,8,1,4),(15,234,2,23,15,5,7,4,2),(15,234,2,23,16,15,13,4,7),(15,234,2,23,17,7,5,5,3),(15,234,2,23,18,14,3,6,1),(15,234,2,23,19,2,19,1,7),(15,234,2,23,20,7,10,4,5),(15,234,2,23,21,NULL,6,NULL,2),(15,234,2,23,22,13,6,5,2),(15,234,2,23,23,3,7,2,2),(15,234,2,23,24,2,9,2,4),(15,234,2,23,25,15,NULL,8,NULL),(15,234,2,23,26,2,8,1,3),(15,234,2,23,27,1,7,1,3),(15,234,2,23,28,8,6,4,4),(15,234,2,23,29,12,18,6,6),(15,234,2,23,30,1,8,NULL,4),(15,234,2,24,1,3,7,3,4),(15,234,2,24,2,1,1,1,1),(15,234,2,24,3,5,6,4,3),(15,234,2,24,4,NULL,5,NULL,3),(15,234,2,24,5,10,8,7,4),(15,234,2,24,6,7,8,4,5),(15,234,2,24,7,4,1,4,1),(15,234,2,24,8,5,NULL,3,NULL),(15,234,2,24,9,5,7,5,3),(15,234,2,24,10,10,2,6,1),(15,234,2,24,11,4,11,3,5),(15,234,2,24,12,16,8,9,5),(15,234,2,24,13,16,7,9,4),(15,234,2,24,14,4,14,4,8),(15,234,2,24,15,12,13,9,5),(15,234,2,24,16,16,18,11,6),(15,234,2,24,17,4,10,4,6),(15,234,2,24,18,15,4,8,2),(15,234,2,24,19,2,18,1,10),(15,234,2,24,20,6,18,5,8),(15,234,2,24,21,NULL,9,NULL,8),(15,234,2,24,22,15,8,9,3),(15,234,2,24,23,5,13,4,7),(15,234,2,24,24,3,12,2,6),(15,234,2,24,25,27,NULL,15,NULL),(15,234,2,24,26,3,6,2,1),(15,234,2,24,27,3,12,3,7),(15,234,2,24,28,1,9,1,5),(15,234,2,24,29,16,17,9,8),(15,234,2,24,30,3,6,3,4),(15,234,3,31,1,21,17,12,6),(15,234,3,31,2,3,9,3,8),(15,234,3,31,3,8,7,5,4),(15,234,3,31,4,18,7,10,4),(15,234,3,31,5,9,14,5,7),(15,234,3,31,6,1,25,1,13),(15,234,3,31,7,NULL,9,NULL,6),(15,234,3,31,8,4,2,3,2),(15,234,3,31,9,5,6,5,4),(15,234,3,31,10,3,8,3,3),(15,234,3,31,11,2,3,2,2),(15,234,3,31,12,10,11,8,7),(15,234,3,31,13,1,11,NULL,6),(15,234,3,31,14,10,7,7,2),(15,234,3,31,15,12,11,10,4),(15,234,3,31,16,3,9,3,4),(15,234,3,31,17,17,12,11,6),(15,234,3,31,18,8,7,4,3),(15,234,3,31,19,8,3,4,NULL),(15,234,3,31,20,2,8,1,6),(15,234,3,31,21,3,NULL,3,NULL),(15,234,3,31,22,NULL,14,NULL,7),(15,234,3,31,23,NULL,3,NULL,3),(15,234,3,31,24,2,21,2,13),(15,234,3,31,25,2,3,1,2),(15,234,3,31,26,NULL,5,NULL,4),(15,234,3,31,27,1,2,1,1),(15,234,3,31,28,NULL,3,NULL,2),(15,234,3,31,29,NULL,23,NULL,13),(15,234,3,31,30,2,16,2,9),(15,234,3,32,1,15,20,7,6),(15,234,3,32,2,1,9,NULL,5),(15,234,3,32,3,11,6,6,4),(15,234,3,32,4,14,2,9,1),(15,234,3,32,5,5,11,3,5),(15,234,3,32,6,3,16,2,7),(15,234,3,32,7,4,6,3,2),(15,234,3,32,8,3,NULL,2,NULL),(15,234,3,32,9,3,3,1,1),(15,234,3,32,10,6,6,4,3),(15,234,3,32,11,1,4,1,2),(15,234,3,32,12,7,8,3,5),(15,234,3,32,13,4,8,2,3),(15,234,3,32,14,10,2,7,1),(15,234,3,32,15,17,6,11,1),(15,234,3,32,16,6,11,4,5),(15,234,3,32,17,15,7,9,2),(15,234,3,32,18,2,5,1,2),(15,234,3,32,19,1,6,NULL,2),(15,234,3,32,20,NULL,8,NULL,4),(15,234,3,32,21,1,NULL,NULL,NULL),(15,234,3,32,22,4,9,3,5),(15,234,3,32,23,NULL,1,NULL,1),(15,234,3,32,24,1,13,NULL,7),(15,234,3,32,25,NULL,2,NULL,1),(15,234,3,32,26,NULL,3,NULL,2),(15,234,3,32,27,NULL,6,NULL,5),(15,234,3,32,28,1,1,1,NULL),(15,234,3,32,29,NULL,14,NULL,5),(15,234,3,32,30,5,11,3,5),(15,234,3,33,1,23,13,7,4),(15,234,3,33,2,1,11,1,4),(15,234,3,33,3,8,6,5,3),(15,234,3,33,4,11,5,6,3),(15,234,3,33,5,4,13,2,7),(15,234,3,33,6,1,24,1,8),(15,234,3,33,7,1,7,NULL,3),(15,234,3,33,8,2,3,NULL,2),(15,234,3,33,9,1,7,1,3),(15,234,3,33,10,2,10,1,5),(15,234,3,33,11,NULL,5,NULL,3),(15,234,3,33,12,5,13,2,7),(15,234,3,33,13,2,11,NULL,4),(15,234,3,33,14,7,9,2,6),(15,234,3,33,15,10,10,4,5),(15,234,3,33,16,4,10,1,4),(15,234,3,33,17,11,15,3,6),(15,234,3,33,18,4,5,1,NULL),(15,234,3,33,19,5,5,1,2),(15,234,3,33,20,2,8,1,3),(15,234,3,33,21,4,NULL,2,NULL),(15,234,3,33,22,NULL,4,NULL,2),(15,234,3,33,23,1,2,1,1),(15,234,3,33,24,3,17,2,6),(15,234,3,33,25,1,3,1,1),(15,234,3,33,26,NULL,4,NULL,3),(15,234,3,33,27,NULL,4,NULL,1),(15,234,3,33,28,NULL,2,NULL,1),(15,234,3,33,29,1,19,1,7),(15,234,3,33,30,1,14,1,4),(15,234,3,34,1,17,17,7,10),(15,234,3,34,2,NULL,8,NULL,5),(15,234,3,34,3,11,7,6,5),(15,234,3,34,4,12,7,7,4),(15,234,3,34,5,5,13,3,8),(15,234,3,34,6,NULL,18,NULL,9),(15,234,3,34,7,NULL,9,NULL,7),(15,234,3,34,8,1,5,NULL,4),(15,234,3,34,9,3,8,2,6),(15,234,3,34,10,5,4,3,2),(15,234,3,34,11,NULL,2,NULL,2),(15,234,3,34,12,6,15,3,11),(15,234,3,34,13,6,8,3,6),(15,234,3,34,14,8,11,5,6),(15,234,3,34,15,10,10,6,5),(15,234,3,34,16,3,15,1,10),(15,234,3,34,17,15,10,7,6),(15,234,3,34,18,3,10,NULL,5),(15,234,3,34,19,4,6,1,3),(15,234,3,34,20,1,7,NULL,4),(15,234,3,34,21,1,NULL,1,NULL),(15,234,3,34,22,2,9,1,6),(15,234,3,34,23,NULL,4,NULL,3),(15,234,3,34,24,NULL,19,NULL,11),(15,234,3,34,25,NULL,6,NULL,3),(15,234,3,34,26,NULL,2,NULL,2),(15,234,3,34,27,NULL,2,NULL,1),(15,234,3,34,28,1,4,1,3),(15,234,3,34,29,1,11,1,6),(15,234,3,34,30,1,12,1,6),(15,238,1,11,1,1,NULL,1,NULL),(15,238,1,11,2,NULL,1,NULL,1),(15,238,1,11,3,NULL,1,NULL,1),(15,238,1,11,4,NULL,NULL,NULL,NULL),(15,238,1,11,5,NULL,NULL,NULL,NULL),(15,238,1,11,6,NULL,NULL,NULL,NULL),(15,238,1,11,7,NULL,1,NULL,1),(15,238,1,11,8,NULL,1,NULL,1),(15,238,1,11,9,1,NULL,1,NULL),(15,238,1,11,10,NULL,1,NULL,1),(15,238,1,11,11,NULL,NULL,NULL,NULL),(15,238,1,11,12,NULL,NULL,NULL,NULL),(15,238,1,11,13,NULL,1,NULL,1),(15,238,1,11,14,NULL,1,NULL,1),(15,238,1,11,15,1,NULL,1,NULL),(15,238,1,11,16,1,NULL,1,NULL),(15,238,1,11,17,1,NULL,1,NULL),(15,238,1,11,18,NULL,NULL,NULL,NULL),(15,238,1,11,19,1,NULL,1,NULL),(15,238,1,11,20,1,NULL,1,NULL),(15,238,1,12,1,1,NULL,NULL,NULL),(15,238,1,12,2,NULL,1,NULL,NULL),(15,238,1,12,3,NULL,1,NULL,NULL),(15,238,1,12,4,1,NULL,NULL,NULL),(15,238,1,12,5,NULL,1,NULL,NULL),(15,238,1,12,6,1,NULL,NULL,NULL),(15,238,1,12,7,1,NULL,NULL,NULL),(15,238,1,12,8,NULL,NULL,NULL,NULL),(15,238,1,12,9,NULL,NULL,NULL,NULL),(15,238,1,12,10,NULL,NULL,NULL,NULL),(15,238,1,12,11,NULL,NULL,NULL,NULL),(15,238,1,12,12,NULL,1,NULL,NULL),(15,238,1,12,13,1,NULL,NULL,NULL),(15,238,1,12,14,NULL,NULL,NULL,NULL),(15,238,1,12,15,NULL,NULL,NULL,NULL),(15,238,1,12,16,1,NULL,NULL,NULL),(15,238,1,12,17,1,NULL,NULL,NULL),(15,238,1,12,18,1,NULL,NULL,NULL),(15,238,1,12,19,NULL,NULL,NULL,NULL),(15,238,1,12,20,NULL,NULL,NULL,NULL),(15,238,1,13,1,1,NULL,NULL,NULL),(15,238,1,13,2,NULL,NULL,NULL,NULL),(15,238,1,13,3,NULL,NULL,NULL,NULL),(15,238,1,13,4,NULL,NULL,NULL,NULL),(15,238,1,13,5,NULL,1,NULL,NULL),(15,238,1,13,6,1,NULL,NULL,NULL),(15,238,1,13,7,NULL,NULL,NULL,NULL),(15,238,1,13,8,NULL,1,NULL,NULL),(15,238,1,13,9,1,NULL,NULL,NULL),(15,238,1,13,10,1,NULL,NULL,NULL),(15,238,1,13,11,1,NULL,NULL,NULL),(15,238,1,13,12,1,NULL,NULL,NULL),(15,238,1,13,13,1,NULL,NULL,NULL),(15,238,1,13,14,NULL,1,NULL,NULL),(15,238,1,13,15,1,NULL,NULL,NULL),(15,238,1,13,16,1,NULL,NULL,NULL),(15,238,1,13,17,1,NULL,NULL,NULL),(15,238,1,13,18,NULL,NULL,NULL,NULL),(15,238,1,13,19,NULL,NULL,NULL,NULL),(15,238,1,13,20,NULL,1,NULL,NULL),(15,238,1,14,1,85,66,17,11),(15,238,1,14,2,35,48,10,12),(15,238,1,14,3,23,86,9,21),(15,238,1,14,4,29,60,13,13),(15,238,1,14,5,18,68,9,14),(15,238,1,14,6,67,71,6,18),(15,238,1,14,7,52,29,22,3),(15,238,1,14,8,47,86,5,21),(15,238,1,14,9,71,NULL,18,NULL),(15,238,1,14,10,84,25,18,4),(15,238,1,14,11,20,56,8,13),(15,238,1,14,12,16,41,10,8),(15,238,1,14,13,38,41,12,6),(15,238,1,14,14,63,79,20,8),(15,238,1,14,15,110,NULL,27,NULL),(15,238,1,14,16,30,29,11,9),(15,238,1,14,17,55,23,20,6),(15,238,1,14,18,19,41,10,12),(15,238,1,14,19,62,34,18,6),(15,238,1,14,20,61,48,17,10),(15,238,1,15,1,76,67,23,12),(15,238,1,15,2,41,61,12,19),(15,238,1,15,3,18,87,13,24),(15,238,1,15,4,46,52,17,20),(15,238,1,15,5,15,72,10,26),(15,238,1,15,6,67,68,16,16),(15,238,1,15,7,56,23,30,8),(15,238,1,15,8,44,86,14,19),(15,238,1,15,9,68,NULL,29,NULL),(15,238,1,15,10,88,25,22,10),(15,238,1,15,11,28,38,15,9),(15,238,1,15,12,22,39,11,16),(15,238,1,15,13,39,35,20,10),(15,238,1,15,14,68,69,24,16),(15,238,1,15,15,126,NULL,39,NULL),(15,238,1,15,16,25,27,16,7),(15,238,1,15,17,59,17,28,4),(15,238,1,15,18,28,44,14,17),(15,238,1,15,19,61,29,29,5),(15,238,1,15,20,66,37,27,10),(15,238,1,16,1,39,34,7,4),(15,238,1,16,2,15,27,4,5),(15,238,1,16,3,12,47,1,10),(15,238,1,16,4,12,33,4,5),(15,238,1,16,5,10,36,NULL,5),(15,238,1,16,6,26,36,3,7),(15,238,1,16,7,32,9,7,1),(15,238,1,16,8,19,48,4,5),(15,238,1,16,9,24,NULL,3,NULL),(15,238,1,16,10,52,10,8,1),(15,238,1,16,11,39,24,4,4),(15,238,1,16,12,34,51,5,6),(15,238,1,16,13,12,74,2,8),(15,238,1,16,14,32,38,2,4),(15,238,1,16,15,18,17,4,1),(15,238,1,16,16,32,NULL,8,NULL),(15,238,1,16,17,29,28,2,7),(15,238,1,16,18,20,51,2,7),(15,238,1,16,19,8,9,3,NULL),(15,238,1,16,20,24,46,3,6),(15,238,1,17,1,29,32,6,5),(15,238,1,17,2,12,26,2,6),(15,238,1,17,3,12,37,5,5),(15,238,1,17,4,18,31,6,4),(15,238,1,17,5,7,46,3,8),(15,238,1,17,6,19,34,4,6),(15,238,1,17,7,31,11,9,1),(15,238,1,17,8,10,54,2,9),(15,238,1,17,9,26,NULL,5,NULL),(15,238,1,17,10,35,10,7,3),(15,238,1,17,11,31,19,5,4),(15,238,1,17,12,34,47,6,7),(15,238,1,17,13,6,71,1,11),(15,238,1,17,14,21,35,6,5),(15,238,1,17,15,12,17,4,2),(15,238,1,17,16,25,NULL,6,NULL),(15,238,1,17,17,19,32,3,6),(15,238,1,17,18,13,46,2,4),(15,238,1,17,19,6,18,1,3),(15,238,1,17,20,13,54,6,4),(15,238,2,21,1,9,19,3,5),(15,238,2,21,2,6,12,3,3),(15,238,2,21,3,3,21,NULL,4),(15,238,2,21,4,13,9,5,5),(15,238,2,21,5,31,27,12,3),(15,238,2,21,6,26,27,7,5),(15,238,2,21,7,11,7,3,2),(15,238,2,21,8,9,NULL,4,NULL),(15,238,2,21,9,11,19,3,6),(15,238,2,21,10,19,11,8,1),(15,238,2,21,11,21,31,8,5),(15,238,2,21,12,46,49,6,12),(15,238,2,21,13,55,34,14,4),(15,238,2,21,14,12,44,3,9),(15,238,2,21,15,21,42,6,9),(15,238,2,21,16,68,54,14,6),(15,238,2,21,17,12,40,4,7),(15,238,2,21,18,38,39,10,8),(15,238,2,21,19,11,61,1,16),(15,238,2,21,20,28,45,7,11),(15,238,2,21,21,11,21,3,4),(15,238,2,21,22,58,34,16,2),(15,238,2,21,23,19,41,9,6),(15,238,2,21,24,19,62,7,12),(15,238,2,21,25,90,NULL,18,NULL),(15,238,2,21,26,7,26,3,6),(15,238,2,21,27,8,43,5,10),(15,238,2,21,28,11,54,5,12),(15,238,2,21,29,61,69,13,8),(15,238,2,21,30,9,36,7,9),(15,238,2,22,1,9,18,5,5),(15,238,2,22,2,5,11,3,NULL),(15,238,2,22,3,9,32,1,10),(15,238,2,22,4,7,18,4,6),(15,238,2,22,5,30,42,14,10),(15,238,2,22,6,23,32,7,8),(15,238,2,22,7,18,3,9,1),(15,238,2,22,8,8,NULL,2,NULL),(15,238,2,22,9,8,22,4,6),(15,238,2,22,10,17,14,7,2),(15,238,2,22,11,19,44,6,7),(15,238,2,22,12,51,52,13,12),(15,238,2,22,13,57,25,17,6),(15,238,2,22,14,6,47,2,10),(15,238,2,22,15,24,52,8,16),(15,238,2,22,16,54,73,12,15),(15,238,2,22,17,15,33,6,8),(15,238,2,22,18,45,40,14,8),(15,238,2,22,19,15,61,4,16),(15,238,2,22,20,32,48,10,14),(15,238,2,22,21,3,22,3,8),(15,238,2,22,22,67,25,15,1),(15,238,2,22,23,16,45,6,10),(15,238,2,22,24,18,44,9,13),(15,238,2,22,25,94,NULL,23,NULL),(15,238,2,22,26,14,20,6,6),(15,238,2,22,27,15,43,2,17),(15,238,2,22,28,17,42,11,10),(15,238,2,22,29,53,79,22,5),(15,238,2,22,30,8,34,5,13),(15,238,2,23,1,11,19,4,9),(15,238,2,23,2,5,18,3,6),(15,238,2,23,3,5,14,2,2),(15,238,2,23,4,8,9,6,5),(15,238,2,23,5,35,29,12,8),(15,238,2,23,6,36,22,10,8),(15,238,2,23,7,13,7,11,3),(15,238,2,23,8,12,NULL,5,NULL),(15,238,2,23,9,8,18,6,10),(15,238,2,23,10,19,14,13,1),(15,238,2,23,11,18,39,10,6),(15,238,2,23,12,31,42,6,13),(15,238,2,23,13,49,23,18,5),(15,238,2,23,14,7,43,3,15),(15,238,2,23,15,26,37,9,9),(15,238,2,23,16,50,52,16,12),(15,238,2,23,17,9,41,5,12),(15,238,2,23,18,51,25,15,6),(15,238,2,23,19,12,59,4,17),(15,238,2,23,20,22,35,9,10),(15,238,2,23,21,8,18,7,8),(15,238,2,23,22,56,27,12,4),(15,238,2,23,23,15,42,11,7),(15,238,2,23,24,15,44,5,19),(15,238,2,23,25,77,NULL,23,NULL),(15,238,2,23,26,13,28,6,9),(15,238,2,23,27,19,35,4,12),(15,238,2,23,28,13,39,5,12),(15,238,2,23,29,52,67,18,9),(15,238,2,23,30,13,35,9,14),(15,238,2,24,1,5,16,3,4),(15,238,2,24,2,2,8,2,2),(15,238,2,24,3,4,17,1,4),(15,238,2,24,4,10,12,5,6),(15,238,2,24,5,27,34,7,8),(15,238,2,24,6,24,20,6,2),(15,238,2,24,7,14,12,9,3),(15,238,2,24,8,9,NULL,4,NULL),(15,238,2,24,9,6,23,3,6),(15,238,2,24,10,16,11,5,1),(15,238,2,24,11,20,29,4,5),(15,238,2,24,12,36,36,5,10),(15,238,2,24,13,46,19,9,6),(15,238,2,24,14,6,33,1,7),(15,238,2,24,15,23,31,7,4),(15,238,2,24,16,47,64,9,9),(15,238,2,24,17,9,34,2,7),(15,238,2,24,18,30,26,8,6),(15,238,2,24,19,12,50,2,6),(15,238,2,24,20,28,42,6,9),(15,238,2,24,21,8,14,4,3),(15,238,2,24,22,48,30,15,2),(15,238,2,24,23,13,36,3,4),(15,238,2,24,24,13,36,5,7),(15,238,2,24,25,71,NULL,13,NULL),(15,238,2,24,26,11,29,5,4),(15,238,2,24,27,10,37,1,13),(15,238,2,24,28,5,33,3,8),(15,238,2,24,29,50,68,15,5),(15,238,2,24,30,9,19,3,7),(15,238,3,31,1,69,57,14,6),(15,238,3,31,2,3,38,5,11),(15,238,3,31,3,42,19,7,7),(15,238,3,31,4,50,20,16,3),(15,238,3,31,5,28,40,6,7),(15,238,3,31,6,6,66,2,15),(15,238,3,31,7,5,23,5,7),(15,238,3,31,8,5,12,4,2),(15,238,3,31,9,12,24,6,5),(15,238,3,31,10,19,25,6,5),(15,238,3,31,11,1,18,NULL,5),(15,238,3,31,12,34,28,6,8),(15,238,3,31,13,5,37,3,7),(15,238,3,31,14,29,21,10,5),(15,238,3,31,15,29,36,9,5),(15,238,3,31,16,18,37,2,9),(15,238,3,31,17,58,32,8,9),(15,238,3,31,18,12,25,3,4),(15,238,3,31,19,13,19,2,5),(15,238,3,31,20,11,30,1,12),(15,238,3,31,21,13,NULL,4,NULL),(15,238,3,31,22,6,31,1,8),(15,238,3,31,23,2,12,NULL,2),(15,238,3,31,24,2,55,3,10),(15,238,3,31,25,1,8,NULL,NULL),(15,238,3,31,26,2,10,1,3),(15,238,3,31,27,3,14,NULL,3),(15,238,3,31,28,4,9,1,5),(15,238,3,31,29,NULL,54,NULL,12),(15,238,3,31,30,NULL,34,NULL,7),(15,238,3,32,1,79,53,23,6),(15,238,3,32,2,6,34,5,17),(15,238,3,32,3,27,36,12,8),(15,238,3,32,4,40,33,20,6),(15,238,3,32,5,23,44,9,15),(15,238,3,32,6,4,57,5,17),(15,238,3,32,7,6,29,4,9),(15,238,3,32,8,4,15,4,8),(15,238,3,32,9,9,18,6,6),(15,238,3,32,10,9,41,9,11),(15,238,3,32,11,2,11,2,NULL),(15,238,3,32,12,25,43,18,10),(15,238,3,32,13,6,35,3,12),(15,238,3,32,14,35,38,11,12),(15,238,3,32,15,35,31,13,10),(15,238,3,32,16,9,41,6,13),(15,238,3,32,17,51,47,18,10),(15,238,3,32,18,14,37,3,6),(15,238,3,32,19,24,39,5,11),(15,238,3,32,20,6,22,2,4),(15,238,3,32,21,11,NULL,5,NULL),(15,238,3,32,22,5,29,7,10),(15,238,3,32,23,1,11,2,6),(15,238,3,32,24,8,58,11,14),(15,238,3,32,25,6,16,3,4),(15,238,3,32,26,2,12,2,5),(15,238,3,32,27,4,15,2,7),(15,238,3,32,28,NULL,15,1,9),(15,238,3,32,29,1,60,3,14),(15,238,3,32,30,1,42,1,18),(15,238,3,33,1,82,69,20,8),(15,238,3,33,2,6,38,2,15),(15,238,3,33,3,55,31,12,10),(15,238,3,33,4,50,21,21,3),(15,238,3,33,5,31,53,12,12),(15,238,3,33,6,3,83,2,17),(15,238,3,33,7,2,32,2,15),(15,238,3,33,8,3,7,6,3),(15,238,3,33,9,16,27,4,8),(15,238,3,33,10,19,34,9,12),(15,238,3,33,11,3,19,1,5),(15,238,3,33,12,27,50,7,14),(15,238,3,33,13,5,34,1,11),(15,238,3,33,14,33,42,14,7),(15,238,3,33,15,30,43,13,9),(15,238,3,33,16,18,45,9,8),(15,238,3,33,17,64,43,21,5),(15,238,3,33,18,13,33,3,11),(15,238,3,33,19,25,32,5,4),(15,238,3,33,20,5,34,NULL,9),(15,238,3,33,21,14,NULL,7,NULL),(15,238,3,33,22,6,30,4,12),(15,238,3,33,23,NULL,19,NULL,11),(15,238,3,33,24,10,73,4,17),(15,238,3,33,25,5,15,4,2),(15,238,3,33,26,5,16,5,8),(15,238,3,33,27,1,10,NULL,6),(15,238,3,33,28,6,13,1,6),(15,238,3,33,29,NULL,87,NULL,25),(15,238,3,33,30,7,43,4,12),(15,238,3,34,1,71,78,17,5),(15,238,3,34,2,5,63,2,15),(15,238,3,34,3,42,28,13,4),(15,238,3,34,4,51,24,12,4),(15,238,3,34,5,34,49,14,7),(15,238,3,34,6,8,82,3,15),(15,238,3,34,7,4,35,4,5),(15,238,3,34,8,10,6,6,3),(15,238,3,34,9,12,37,3,10),(15,238,3,34,10,13,38,8,5),(15,238,3,34,11,3,20,NULL,4),(15,238,3,34,12,30,38,8,9),(15,238,3,34,13,11,44,6,6),(15,238,3,34,14,40,25,14,5),(15,238,3,34,15,40,37,10,9),(15,238,3,34,16,22,58,5,12),(15,238,3,34,17,66,41,16,3),(15,238,3,34,18,13,32,5,8),(15,238,3,34,19,22,20,3,2),(15,238,3,34,20,4,32,2,6),(15,238,3,34,21,9,NULL,4,NULL),(15,238,3,34,22,6,29,1,8),(15,238,3,34,23,1,5,NULL,3),(15,238,3,34,24,9,71,4,11),(15,238,3,34,25,5,16,2,4),(15,238,3,34,26,4,11,1,6),(15,238,3,34,27,6,10,1,4),(15,238,3,34,28,5,12,1,4),(15,238,3,34,29,1,75,NULL,15),(15,238,3,34,30,4,43,2,10),(15,301,1,11,1,1,2,NULL,NULL),(15,301,1,11,2,1,NULL,NULL,NULL),(15,301,1,11,3,1,1,NULL,NULL),(15,301,1,11,4,NULL,1,NULL,NULL),(15,301,1,11,5,NULL,3,NULL,NULL),(15,301,1,11,6,3,NULL,NULL,NULL),(15,301,1,11,7,2,NULL,NULL,NULL),(15,301,1,11,8,2,1,NULL,NULL),(15,301,1,11,9,2,NULL,NULL,NULL),(15,301,1,11,10,2,1,NULL,NULL),(15,301,1,11,11,1,NULL,NULL,NULL),(15,301,1,11,12,2,NULL,NULL,NULL),(15,301,1,11,13,NULL,2,NULL,NULL),(15,301,1,11,14,2,1,NULL,NULL),(15,301,1,11,15,2,1,NULL,NULL),(15,301,1,11,16,2,NULL,NULL,NULL),(15,301,1,11,17,1,NULL,NULL,NULL),(15,301,1,11,18,1,NULL,NULL,NULL),(15,301,1,11,19,2,NULL,NULL,NULL),(15,301,1,11,20,3,NULL,NULL,NULL),(15,301,1,12,1,NULL,1,NULL,NULL),(15,301,1,12,2,1,NULL,NULL,NULL),(15,301,1,12,3,NULL,NULL,NULL,NULL),(15,301,1,12,4,NULL,1,NULL,NULL),(15,301,1,12,5,NULL,1,NULL,NULL),(15,301,1,12,6,1,1,NULL,NULL),(15,301,1,12,7,NULL,NULL,NULL,NULL),(15,301,1,12,8,NULL,2,NULL,NULL),(15,301,1,12,9,NULL,NULL,NULL,NULL),(15,301,1,12,10,1,NULL,NULL,NULL),(15,301,1,12,11,NULL,NULL,NULL,NULL),(15,301,1,12,12,NULL,1,NULL,NULL),(15,301,1,12,13,1,NULL,NULL,NULL),(15,301,1,12,14,1,NULL,NULL,NULL),(15,301,1,12,15,1,NULL,NULL,NULL),(15,301,1,12,16,NULL,2,NULL,NULL),(15,301,1,12,17,NULL,NULL,NULL,NULL),(15,301,1,12,18,NULL,NULL,NULL,NULL),(15,301,1,12,19,1,NULL,NULL,NULL),(15,301,1,12,20,NULL,NULL,NULL,NULL),(15,301,1,13,1,1,NULL,1,NULL),(15,301,1,13,2,NULL,NULL,NULL,NULL),(15,301,1,13,3,NULL,1,NULL,1),(15,301,1,13,4,NULL,NULL,NULL,NULL),(15,301,1,13,5,NULL,1,NULL,1),(15,301,1,13,6,NULL,NULL,NULL,NULL),(15,301,1,13,7,NULL,1,NULL,1),(15,301,1,13,8,NULL,1,NULL,1),(15,301,1,13,9,NULL,NULL,NULL,NULL),(15,301,1,13,10,1,NULL,1,NULL),(15,301,1,13,11,NULL,1,NULL,1),(15,301,1,13,12,NULL,1,NULL,1),(15,301,1,13,13,NULL,NULL,NULL,NULL),(15,301,1,13,14,NULL,1,NULL,1),(15,301,1,13,15,NULL,NULL,NULL,NULL),(15,301,1,13,16,NULL,NULL,NULL,NULL),(15,301,1,13,17,NULL,1,NULL,1),(15,301,1,13,18,NULL,NULL,NULL,NULL),(15,301,1,13,19,NULL,1,NULL,1),(15,301,1,13,20,NULL,1,NULL,1),(15,301,1,14,1,77,44,17,9),(15,301,1,14,2,37,46,12,7),(15,301,1,14,3,20,76,8,20),(15,301,1,14,4,30,55,10,15),(15,301,1,14,5,12,53,6,17),(15,301,1,14,6,46,59,10,12),(15,301,1,14,7,59,20,20,3),(15,301,1,14,8,41,64,10,16),(15,301,1,14,9,65,NULL,24,NULL),(15,301,1,14,10,79,16,20,6),(15,301,1,14,11,15,39,6,10),(15,301,1,14,12,19,27,8,10),(15,301,1,14,13,36,30,12,6),(15,301,1,14,14,68,49,20,7),(15,301,1,14,15,105,NULL,26,NULL),(15,301,1,14,16,19,19,5,5),(15,301,1,14,17,53,16,16,4),(15,301,1,14,18,37,22,14,6),(15,301,1,14,19,58,33,16,11),(15,301,1,14,20,61,37,18,8),(15,301,1,15,1,72,45,19,10),(15,301,1,15,2,39,32,7,13),(15,301,1,15,3,19,68,11,21),(15,301,1,15,4,31,44,14,15),(15,301,1,15,5,14,70,7,20),(15,301,1,15,6,62,52,16,14),(15,301,1,15,7,55,20,21,6),(15,301,1,15,8,42,63,17,15),(15,301,1,15,9,53,NULL,16,NULL),(15,301,1,15,10,73,16,18,8),(15,301,1,15,11,14,48,9,15),(15,301,1,15,12,18,42,6,16),(15,301,1,15,13,36,24,13,7),(15,301,1,15,14,58,46,21,7),(15,301,1,15,15,104,NULL,31,NULL),(15,301,1,15,16,25,17,13,4),(15,301,1,15,17,36,32,16,10),(15,301,1,15,18,19,25,8,7),(15,301,1,15,19,40,30,16,9),(15,301,1,15,20,61,37,19,10),(15,301,1,16,1,27,27,5,2),(15,301,1,16,2,9,21,NULL,4),(15,301,1,16,3,8,34,NULL,6),(15,301,1,16,4,14,18,2,3),(15,301,1,16,5,10,33,2,3),(15,301,1,16,6,21,30,4,2),(15,301,1,16,7,26,13,5,1),(15,301,1,16,8,20,35,3,3),(15,301,1,16,9,20,NULL,3,NULL),(15,301,1,16,10,28,12,3,1),(15,301,1,16,11,29,25,3,3),(15,301,1,16,12,26,33,4,3),(15,301,1,16,13,7,57,1,7),(15,301,1,16,14,21,21,2,3),(15,301,1,16,15,12,11,4,NULL),(15,301,1,16,16,23,NULL,4,NULL),(15,301,1,16,17,14,24,2,3),(15,301,1,16,18,12,37,3,3),(15,301,1,16,19,6,10,1,1),(15,301,1,16,20,21,40,4,3),(15,301,1,17,1,30,21,6,3),(15,301,1,17,2,16,24,3,4),(15,301,1,17,3,6,35,2,4),(15,301,1,17,4,14,17,3,4),(15,301,1,17,5,7,33,3,5),(15,301,1,17,6,26,24,6,3),(15,301,1,17,7,16,13,4,NULL),(15,301,1,17,8,13,30,2,3),(15,301,1,17,9,25,NULL,5,NULL),(15,301,1,17,10,23,15,4,3),(15,301,1,17,11,24,18,4,2),(15,301,1,17,12,20,37,5,5),(15,301,1,17,13,14,51,NULL,9),(15,301,1,17,14,14,35,4,4),(15,301,1,17,15,6,13,2,1),(15,301,1,17,16,12,NULL,2,NULL),(15,301,1,17,17,10,32,2,5),(15,301,1,17,18,13,32,2,6),(15,301,1,17,19,13,7,2,1),(15,301,1,17,20,14,40,2,7),(15,301,2,21,1,5,14,3,5),(15,301,2,21,2,4,12,NULL,5),(15,301,2,21,3,9,9,NULL,2),(15,301,2,21,4,6,10,2,3),(15,301,2,21,5,21,21,7,5),(15,301,2,21,6,22,14,3,2),(15,301,2,21,7,5,4,1,1),(15,301,2,21,8,5,NULL,1,NULL),(15,301,2,21,9,9,10,1,3),(15,301,2,21,10,11,6,5,4),(15,301,2,21,11,19,28,5,3),(15,301,2,21,12,37,36,12,6),(15,301,2,21,13,49,19,10,6),(15,301,2,21,14,13,35,6,4),(15,301,2,21,15,28,34,4,9),(15,301,2,21,16,58,43,16,4),(15,301,2,21,17,11,25,5,7),(15,301,2,21,18,25,20,9,1),(15,301,2,21,19,13,56,6,10),(15,301,2,21,20,31,32,9,5),(15,301,2,21,21,8,14,5,6),(15,301,2,21,22,50,23,9,4),(15,301,2,21,23,19,21,7,3),(15,301,2,21,24,18,41,8,7),(15,301,2,21,25,58,NULL,16,NULL),(15,301,2,21,26,13,25,6,4),(15,301,2,21,27,8,26,3,11),(15,301,2,21,28,11,35,4,8),(15,301,2,21,29,45,44,12,5),(15,301,2,21,30,9,28,4,8),(15,301,2,22,1,4,14,1,4),(15,301,2,22,2,4,10,1,3),(15,301,2,22,3,8,15,3,4),(15,301,2,22,4,8,8,4,1),(15,301,2,22,5,27,24,9,6),(15,301,2,22,6,19,20,7,3),(15,301,2,22,7,14,3,7,1),(15,301,2,22,8,7,NULL,3,NULL),(15,301,2,22,9,15,18,4,6),(15,301,2,22,10,20,7,5,2),(15,301,2,22,11,15,22,5,5),(15,301,2,22,12,48,31,12,10),(15,301,2,22,13,49,20,17,3),(15,301,2,22,14,4,31,1,11),(15,301,2,22,15,29,32,9,4),(15,301,2,22,16,52,44,16,6),(15,301,2,22,17,11,23,3,3),(15,301,2,22,18,26,18,11,4),(15,301,2,22,19,10,58,4,12),(15,301,2,22,20,26,27,10,4),(15,301,2,22,21,7,12,3,2),(15,301,2,22,22,51,22,15,3),(15,301,2,22,23,15,32,5,6),(15,301,2,22,24,20,48,6,11),(15,301,2,22,25,58,NULL,16,NULL),(15,301,2,22,26,10,21,3,6),(15,301,2,22,27,7,41,2,11),(15,301,2,22,28,11,30,5,9),(15,301,2,22,29,43,51,13,7),(15,301,2,22,30,9,25,6,7),(15,301,2,23,1,10,15,6,6),(15,301,2,23,2,5,10,3,2),(15,301,2,23,3,4,19,1,2),(15,301,2,23,4,12,12,9,4),(15,301,2,23,5,25,22,8,5),(15,301,2,23,6,25,14,9,4),(15,301,2,23,7,10,4,7,3),(15,301,2,23,8,4,NULL,NULL,NULL),(15,301,2,23,9,6,19,5,7),(15,301,2,23,10,20,6,11,1),(15,301,2,23,11,17,28,4,11),(15,301,2,23,12,25,28,6,8),(15,301,2,23,13,35,17,13,4),(15,301,2,23,14,7,31,2,14),(15,301,2,23,15,19,31,7,7),(15,301,2,23,16,45,42,16,8),(15,301,2,23,17,6,32,5,10),(15,301,2,23,18,33,24,10,6),(15,301,2,23,19,12,54,4,11),(15,301,2,23,20,22,39,9,11),(15,301,2,23,21,10,12,8,3),(15,301,2,23,22,40,11,13,NULL),(15,301,2,23,23,24,24,12,6),(15,301,2,23,24,12,43,8,10),(15,301,2,23,25,55,NULL,18,NULL),(15,301,2,23,26,8,20,2,5),(15,301,2,23,27,5,30,1,11),(15,301,2,23,28,7,35,4,14),(15,301,2,23,29,48,45,16,7),(15,301,2,23,30,13,18,6,6),(15,301,2,24,1,7,10,2,3),(15,301,2,24,2,5,9,1,4),(15,301,2,24,3,5,14,NULL,1),(15,301,2,24,4,5,15,3,3),(15,301,2,24,5,29,22,9,4),(15,301,2,24,6,17,18,6,5),(15,301,2,24,7,9,4,4,2),(15,301,2,24,8,3,NULL,NULL,NULL),(15,301,2,24,9,6,20,4,4),(15,301,2,24,10,14,11,5,3),(15,301,2,24,11,18,20,4,3),(15,301,2,24,12,37,28,5,9),(15,301,2,24,13,40,20,11,2),(15,301,2,24,14,8,27,2,4),(15,301,2,24,15,22,34,5,6),(15,301,2,24,16,46,46,9,5),(15,301,2,24,17,10,27,2,7),(15,301,2,24,18,38,19,10,3),(15,301,2,24,19,19,49,2,9),(15,301,2,24,20,23,39,7,8),(15,301,2,24,21,7,12,4,4),(15,301,2,24,22,39,21,10,4),(15,301,2,24,23,12,34,7,7),(15,301,2,24,24,15,35,7,8),(15,301,2,24,25,55,NULL,16,NULL),(15,301,2,24,26,6,17,1,2),(15,301,2,24,27,13,40,2,13),(15,301,2,24,28,6,22,3,7),(15,301,2,24,29,43,44,9,9),(15,301,2,24,30,3,24,1,9),(15,301,3,31,1,65,47,11,8),(15,301,3,31,2,3,35,1,8),(15,301,3,31,3,34,12,9,5),(15,301,3,31,4,44,11,13,2),(15,301,3,31,5,21,36,7,8),(15,301,3,31,6,7,58,3,8),(15,301,3,31,7,2,27,2,5),(15,301,3,31,8,1,7,NULL,3),(15,301,3,31,9,10,15,4,5),(15,301,3,31,10,7,21,NULL,4),(15,301,3,31,11,4,12,2,3),(15,301,3,31,12,26,25,6,6),(15,301,3,31,13,2,33,2,9),(15,301,3,31,14,33,13,9,6),(15,301,3,31,15,35,23,11,3),(15,301,3,31,16,10,34,3,11),(15,301,3,31,17,54,23,13,3),(15,301,3,31,18,8,20,4,2),(15,301,3,31,19,14,15,2,1),(15,301,3,31,20,8,15,4,1),(15,301,3,31,21,11,NULL,5,NULL),(15,301,3,31,22,2,22,NULL,7),(15,301,3,31,23,NULL,6,NULL,1),(15,301,3,31,24,3,49,2,8),(15,301,3,31,25,6,13,3,5),(15,301,3,31,26,3,12,NULL,4),(15,301,3,31,27,2,9,1,2),(15,301,3,31,28,3,11,NULL,6),(15,301,3,31,29,2,53,1,13),(15,301,3,31,30,2,39,1,9),(15,301,3,32,1,63,46,15,9),(15,301,3,32,2,4,35,2,11),(15,301,3,32,3,31,17,13,4),(15,301,3,32,4,51,11,17,3),(15,301,3,32,5,16,39,7,11),(15,301,3,32,6,9,55,5,11),(15,301,3,32,7,3,29,3,10),(15,301,3,32,8,4,7,3,3),(15,301,3,32,9,7,20,5,9),(15,301,3,32,10,8,23,3,7),(15,301,3,32,11,2,13,2,3),(15,301,3,32,12,27,31,8,11),(15,301,3,32,13,5,21,3,9),(15,301,3,32,14,27,19,13,5),(15,301,3,32,15,40,29,15,4),(15,301,3,32,16,15,29,7,9),(15,301,3,32,17,57,34,17,6),(15,301,3,32,18,8,28,3,7),(15,301,3,32,19,22,14,7,3),(15,301,3,32,20,8,20,4,7),(15,301,3,32,21,9,NULL,5,NULL),(15,301,3,32,22,1,33,NULL,9),(15,301,3,32,23,2,8,2,4),(15,301,3,32,24,10,49,6,13),(15,301,3,32,25,5,5,3,1),(15,301,3,32,26,1,12,1,6),(15,301,3,32,27,1,8,NULL,5),(15,301,3,32,28,1,10,1,3),(15,301,3,32,29,NULL,48,NULL,12),(15,301,3,32,30,4,36,3,10),(15,301,3,33,1,60,52,16,9),(15,301,3,33,2,6,22,3,7),(15,301,3,33,3,32,19,11,4),(15,301,3,33,4,42,13,16,1),(15,301,3,33,5,22,38,8,9),(15,301,3,33,6,5,60,4,13),(15,301,3,33,7,5,35,2,10),(15,301,3,33,8,3,3,2,2),(15,301,3,33,9,13,17,6,6),(15,301,3,33,10,17,16,8,8),(15,301,3,33,11,6,13,2,4),(15,301,3,33,12,29,41,12,10),(15,301,3,33,13,7,24,3,8),(15,301,3,33,14,26,25,10,4),(15,301,3,33,15,42,25,15,4),(15,301,3,33,16,18,31,5,8),(15,301,3,33,17,62,28,19,4),(15,301,3,33,18,15,25,11,4),(15,301,3,33,19,21,13,2,3),(15,301,3,33,20,11,15,5,5),(15,301,3,33,21,11,NULL,4,NULL),(15,301,3,33,22,6,21,3,7),(15,301,3,33,23,1,12,NULL,6),(15,301,3,33,24,9,47,4,13),(15,301,3,33,25,2,9,2,2),(15,301,3,33,26,2,17,NULL,5),(15,301,3,33,27,2,13,2,4),(15,301,3,33,28,NULL,7,NULL,2),(15,301,3,33,29,NULL,53,NULL,13),(15,301,3,33,30,5,38,1,11),(15,301,3,34,1,47,65,14,6),(15,301,3,34,2,5,30,3,11),(15,301,3,34,3,39,22,11,6),(15,301,3,34,4,37,20,13,1),(15,301,3,34,5,21,38,6,9),(15,301,3,34,6,6,68,4,9),(15,301,3,34,7,1,21,1,3),(15,301,3,34,8,3,8,1,2),(15,301,3,34,9,11,12,5,4),(15,301,3,34,10,5,26,1,4),(15,301,3,34,11,2,18,1,4),(15,301,3,34,12,26,39,10,10),(15,301,3,34,13,5,22,NULL,6),(15,301,3,34,14,33,18,8,5),(15,301,3,34,15,33,28,9,7),(15,301,3,34,16,9,35,4,8),(15,301,3,34,17,47,38,11,8),(15,301,3,34,18,10,25,4,3),(15,301,3,34,19,23,15,3,1),(15,301,3,34,20,8,21,6,6),(15,301,3,34,21,13,NULL,2,NULL),(15,301,3,34,22,4,30,3,6),(15,301,3,34,23,1,10,1,3),(15,301,3,34,24,14,53,6,8),(15,301,3,34,25,6,9,2,3),(15,301,3,34,26,1,13,NULL,5),(15,301,3,34,27,3,10,NULL,3),(15,301,3,34,28,1,5,1,1),(15,301,3,34,29,1,49,1,13),(15,301,3,34,30,4,36,1,10),(15,302,1,11,1,NULL,NULL,NULL,NULL),(15,302,1,11,2,NULL,NULL,NULL,NULL),(15,302,1,11,3,NULL,NULL,NULL,NULL),(15,302,1,11,4,NULL,NULL,NULL,NULL),(15,302,1,11,5,NULL,NULL,NULL,NULL),(15,302,1,11,6,NULL,NULL,NULL,NULL),(15,302,1,11,7,NULL,NULL,NULL,NULL),(15,302,1,11,8,NULL,NULL,NULL,NULL),(15,302,1,11,9,NULL,NULL,NULL,NULL),(15,302,1,11,10,NULL,NULL,NULL,NULL),(15,302,1,11,11,NULL,NULL,NULL,NULL),(15,302,1,11,12,NULL,NULL,NULL,NULL),(15,302,1,11,13,NULL,NULL,NULL,NULL),(15,302,1,11,14,NULL,NULL,NULL,NULL),(15,302,1,11,15,NULL,NULL,NULL,NULL),(15,302,1,11,16,NULL,NULL,NULL,NULL),(15,302,1,11,17,NULL,NULL,NULL,NULL),(15,302,1,11,18,NULL,NULL,NULL,NULL),(15,302,1,11,19,NULL,NULL,NULL,NULL),(15,302,1,11,20,NULL,NULL,NULL,NULL),(15,302,1,12,1,1,NULL,NULL,NULL),(15,302,1,12,2,NULL,1,NULL,NULL),(15,302,1,12,3,NULL,NULL,NULL,NULL),(15,302,1,12,4,NULL,NULL,NULL,NULL),(15,302,1,12,5,NULL,NULL,NULL,NULL),(15,302,1,12,6,NULL,1,NULL,NULL),(15,302,1,12,7,NULL,NULL,NULL,NULL),(15,302,1,12,8,NULL,1,NULL,NULL),(15,302,1,12,9,1,NULL,NULL,NULL),(15,302,1,12,10,1,NULL,NULL,NULL),(15,302,1,12,11,NULL,NULL,NULL,NULL),(15,302,1,12,12,NULL,1,NULL,NULL),(15,302,1,12,13,NULL,1,NULL,NULL),(15,302,1,12,14,NULL,1,NULL,NULL),(15,302,1,12,15,NULL,NULL,NULL,NULL),(15,302,1,12,16,NULL,1,NULL,NULL),(15,302,1,12,17,NULL,NULL,NULL,NULL),(15,302,1,12,18,NULL,NULL,NULL,NULL),(15,302,1,12,19,1,NULL,NULL,NULL),(15,302,1,12,20,NULL,NULL,NULL,NULL),(15,302,1,13,1,3,NULL,2,NULL),(15,302,1,13,2,2,1,1,1),(15,302,1,13,3,1,2,1,2),(15,302,1,13,4,1,1,1,1),(15,302,1,13,5,NULL,1,NULL,1),(15,302,1,13,6,2,1,1,1),(15,302,1,13,7,3,NULL,3,NULL),(15,302,1,13,8,NULL,2,NULL,2),(15,302,1,13,9,1,NULL,1,NULL),(15,302,1,13,10,NULL,NULL,NULL,NULL),(15,302,1,13,11,2,NULL,2,NULL),(15,302,1,13,12,2,1,2,1),(15,302,1,13,13,NULL,NULL,NULL,NULL),(15,302,1,13,14,2,1,2,1),(15,302,1,13,15,2,2,1,2),(15,302,1,13,16,2,1,1,1),(15,302,1,13,17,2,1,1,1),(15,302,1,13,18,NULL,2,NULL,2),(15,302,1,13,19,3,NULL,2,NULL),(15,302,1,13,20,NULL,3,NULL,3),(15,302,1,14,1,17,17,6,8),(15,302,1,14,2,16,11,8,5),(15,302,1,14,3,5,24,3,12),(15,302,1,14,4,6,16,5,9),(15,302,1,14,5,3,16,3,8),(15,302,1,14,6,15,15,5,6),(15,302,1,14,7,18,9,10,3),(15,302,1,14,8,11,28,5,11),(15,302,1,14,9,17,NULL,10,NULL),(15,302,1,14,10,24,5,13,2),(15,302,1,14,11,5,14,4,6),(15,302,1,14,12,1,5,1,3),(15,302,1,14,13,5,10,3,4),(15,302,1,14,14,14,17,7,5),(15,302,1,14,15,26,NULL,15,NULL),(15,302,1,14,16,4,9,3,3),(15,302,1,14,17,4,9,4,5),(15,302,1,14,18,3,4,3,2),(15,302,1,14,19,11,6,6,4),(15,302,1,14,20,10,16,5,7),(15,302,1,15,1,18,12,9,6),(15,302,1,15,2,8,15,3,8),(15,302,1,15,3,2,26,1,14),(15,302,1,15,4,2,16,NULL,11),(15,302,1,15,5,1,12,1,8),(15,302,1,15,6,15,15,9,3),(15,302,1,15,7,14,3,10,3),(15,302,1,15,8,10,15,4,6),(15,302,1,15,9,19,NULL,12,NULL),(15,302,1,15,10,16,9,8,5),(15,302,1,15,11,NULL,7,NULL,8),(15,302,1,15,12,2,5,3,3),(15,302,1,15,13,5,10,5,6),(15,302,1,15,14,12,24,8,9),(15,302,1,15,15,25,NULL,11,NULL),(15,302,1,15,16,3,4,3,4),(15,302,1,15,17,7,6,7,5),(15,302,1,15,18,4,8,4,5),(15,302,1,15,19,7,7,6,4),(15,302,1,15,20,12,12,8,8),(15,302,1,16,1,22,35,5,13),(15,302,1,16,2,15,17,3,10),(15,302,1,16,3,7,54,4,16),(15,302,1,16,4,14,32,5,11),(15,302,1,16,5,6,37,1,16),(15,302,1,16,6,28,27,6,11),(15,302,1,16,7,38,7,17,2),(15,302,1,16,8,10,44,2,13),(15,302,1,16,9,37,NULL,17,NULL),(15,302,1,16,10,33,19,10,9),(15,302,1,16,11,33,23,12,9),(15,302,1,16,12,25,39,10,12),(15,302,1,16,13,10,59,3,18),(15,302,1,16,14,24,30,7,14),(15,302,1,16,15,9,12,2,4),(15,302,1,16,16,24,NULL,12,NULL),(15,302,1,16,17,18,23,5,12),(15,302,1,16,18,9,32,2,10),(15,302,1,16,19,8,10,2,6),(15,302,1,16,20,17,40,4,14),(15,302,1,17,1,21,33,11,7),(15,302,1,17,2,13,15,5,4),(15,302,1,17,3,12,41,8,11),(15,302,1,17,4,16,27,5,11),(15,302,1,17,5,3,36,2,11),(15,302,1,17,6,21,30,5,10),(15,302,1,17,7,31,9,15,2),(15,302,1,17,8,11,39,4,15),(15,302,1,17,9,31,NULL,16,NULL),(15,302,1,17,10,26,10,11,7),(15,302,1,17,11,21,27,7,8),(15,302,1,17,12,13,45,7,14),(15,302,1,17,13,7,54,3,16),(15,302,1,17,14,21,25,11,9),(15,302,1,17,15,7,15,2,5),(15,302,1,17,16,20,NULL,7,NULL),(15,302,1,17,17,18,21,4,8),(15,302,1,17,18,12,27,4,11),(15,302,1,17,19,5,9,1,3),(15,302,1,17,20,16,35,4,13),(15,302,2,21,1,3,7,2,1),(15,302,2,21,2,4,1,3,1),(15,302,2,21,3,5,6,NULL,2),(15,302,2,21,4,8,9,4,2),(15,302,2,21,5,14,14,7,5),(15,302,2,21,6,9,5,4,3),(15,302,2,21,7,2,1,1,NULL),(15,302,2,21,8,6,NULL,3,NULL),(15,302,2,21,9,4,10,2,3),(15,302,2,21,10,7,3,3,NULL),(15,302,2,21,11,7,13,4,1),(15,302,2,21,12,21,17,6,7),(15,302,2,21,13,19,10,9,2),(15,302,2,21,14,7,15,6,5),(15,302,2,21,15,14,16,6,6),(15,302,2,21,16,26,28,13,2),(15,302,2,21,17,3,21,1,6),(15,302,2,21,18,18,11,7,4),(15,302,2,21,19,7,19,2,8),(15,302,2,21,20,17,12,7,4),(15,302,2,21,21,3,8,2,5),(15,302,2,21,22,20,12,11,2),(15,302,2,21,23,9,14,8,4),(15,302,2,21,24,10,11,6,5),(15,302,2,21,25,30,NULL,14,NULL),(15,302,2,21,26,7,10,1,2),(15,302,2,21,27,5,16,1,7),(15,302,2,21,28,2,15,NULL,6),(15,302,2,21,29,19,30,7,5),(15,302,2,21,30,5,7,3,5),(15,302,2,22,1,2,3,1,3),(15,302,2,22,2,2,4,1,1),(15,302,2,22,3,6,13,NULL,5),(15,302,2,22,4,8,3,6,1),(15,302,2,22,5,11,16,5,7),(15,302,2,22,6,10,14,4,6),(15,302,2,22,7,12,3,4,2),(15,302,2,22,8,6,NULL,2,NULL),(15,302,2,22,9,6,7,4,2),(15,302,2,22,10,11,3,3,3),(15,302,2,22,11,10,16,5,6),(15,302,2,22,12,25,24,8,8),(15,302,2,22,13,22,11,8,5),(15,302,2,22,14,NULL,19,NULL,9),(15,302,2,22,15,16,26,8,7),(15,302,2,22,16,18,36,7,7),(15,302,2,22,17,4,16,2,5),(15,302,2,22,18,25,11,9,4),(15,302,2,22,19,5,30,3,10),(15,302,2,22,20,8,24,3,10),(15,302,2,22,21,3,10,2,4),(15,302,2,22,22,14,17,7,6),(15,302,2,22,23,10,16,6,2),(15,302,2,22,24,5,20,3,7),(15,302,2,22,25,37,NULL,16,NULL),(15,302,2,22,26,6,13,1,5),(15,302,2,22,27,6,25,3,9),(15,302,2,22,28,5,14,2,7),(15,302,2,22,29,21,41,8,10),(15,302,2,22,30,6,10,4,6),(15,302,2,23,1,NULL,11,NULL,8),(15,302,2,23,2,4,5,3,2),(15,302,2,23,3,NULL,8,NULL,3),(15,302,2,23,4,1,3,2,1),(15,302,2,23,5,8,11,6,7),(15,302,2,23,6,7,11,4,5),(15,302,2,23,7,3,3,2,1),(15,302,2,23,8,1,NULL,1,NULL),(15,302,2,23,9,8,15,8,8),(15,302,2,23,10,15,5,6,2),(15,302,2,23,11,14,9,10,1),(15,302,2,23,12,9,21,3,12),(15,302,2,23,13,19,15,11,9),(15,302,2,23,14,1,12,1,8),(15,302,2,23,15,10,23,7,11),(15,302,2,23,16,20,29,10,10),(15,302,2,23,17,3,20,2,11),(15,302,2,23,18,20,13,12,8),(15,302,2,23,19,1,26,NULL,12),(15,302,2,23,20,10,19,4,8),(15,302,2,23,21,1,2,1,1),(15,302,2,23,22,20,16,11,7),(15,302,2,23,23,7,25,5,13),(15,302,2,23,24,5,21,2,13),(15,302,2,23,25,34,NULL,19,NULL),(15,302,2,23,26,2,9,1,2),(15,302,2,23,27,5,16,2,8),(15,302,2,23,28,4,20,3,11),(15,302,2,23,29,21,34,9,13),(15,302,2,23,30,4,17,1,12),(15,302,2,24,1,2,9,NULL,6),(15,302,2,24,2,NULL,9,NULL,3),(15,302,2,24,3,2,4,2,1),(15,302,2,24,4,2,5,1,5),(15,302,2,24,5,10,14,7,6),(15,302,2,24,6,4,12,3,7),(15,302,2,24,7,4,1,2,1),(15,302,2,24,8,10,NULL,2,NULL),(15,302,2,24,9,7,7,5,4),(15,302,2,24,10,9,7,5,3),(15,302,2,24,11,7,11,4,3),(15,302,2,24,12,16,24,3,13),(15,302,2,24,13,18,17,12,4),(15,302,2,24,14,2,19,2,6),(15,302,2,24,15,13,19,6,10),(15,302,2,24,16,16,26,10,9),(15,302,2,24,17,4,14,3,5),(15,302,2,24,18,7,17,3,8),(15,302,2,24,19,4,25,3,12),(15,302,2,24,20,3,26,2,13),(15,302,2,24,21,3,11,3,9),(15,302,2,24,22,19,15,10,6),(15,302,2,24,23,13,18,9,5),(15,302,2,24,24,7,30,6,13),(15,302,2,24,25,31,NULL,16,NULL),(15,302,2,24,26,8,8,3,4),(15,302,2,24,27,5,29,2,14),(15,302,2,24,28,5,24,2,12),(15,302,2,24,29,23,31,14,8),(15,302,2,24,30,5,15,4,10),(15,302,3,31,1,29,32,10,12),(15,302,3,31,2,2,12,2,10),(15,302,3,31,3,18,8,11,3),(15,302,3,31,4,15,16,8,9),(15,302,3,31,5,6,23,4,12),(15,302,3,31,6,1,30,1,15),(15,302,3,31,7,NULL,9,NULL,5),(15,302,3,31,8,1,10,1,6),(15,302,3,31,9,3,12,3,6),(15,302,3,31,10,5,11,4,4),(15,302,3,31,11,NULL,8,NULL,3),(15,302,3,31,12,13,16,6,9),(15,302,3,31,13,3,15,2,9),(15,302,3,31,14,8,11,4,6),(15,302,3,31,15,15,13,9,6),(15,302,3,31,16,7,16,2,8),(15,302,3,31,17,23,21,12,8),(15,302,3,31,18,1,11,1,5),(15,302,3,31,19,10,13,3,9),(15,302,3,31,20,2,7,1,2),(15,302,3,31,21,3,NULL,3,NULL),(15,302,3,31,22,2,17,1,10),(15,302,3,31,23,NULL,8,NULL,6),(15,302,3,31,24,1,37,NULL,21),(15,302,3,31,25,1,7,NULL,4),(15,302,3,31,26,2,6,2,5),(15,302,3,31,27,1,5,NULL,2),(15,302,3,31,28,NULL,9,NULL,5),(15,302,3,31,29,1,26,1,10),(15,302,3,31,30,1,23,NULL,11),(15,302,3,32,1,32,28,11,13),(15,302,3,32,2,2,20,1,8),(15,302,3,32,3,9,20,5,10),(15,302,3,32,4,16,14,11,8),(15,302,3,32,5,5,21,2,13),(15,302,3,32,6,2,24,NULL,10),(15,302,3,32,7,NULL,5,NULL,3),(15,302,3,32,8,1,9,1,6),(15,302,3,32,9,5,12,4,6),(15,302,3,32,10,1,18,1,10),(15,302,3,32,11,1,7,1,1),(15,302,3,32,12,10,21,7,13),(15,302,3,32,13,3,15,2,11),(15,302,3,32,14,8,13,5,12),(15,302,3,32,15,17,17,12,6),(15,302,3,32,16,4,15,1,8),(15,302,3,32,17,24,20,17,4),(15,302,3,32,18,3,12,1,6),(15,302,3,32,19,9,14,4,7),(15,302,3,32,20,2,11,1,7),(15,302,3,32,21,4,NULL,4,NULL),(15,302,3,32,22,5,14,1,4),(15,302,3,32,23,NULL,3,NULL,2),(15,302,3,32,24,2,21,2,13),(15,302,3,32,25,1,8,1,5),(15,302,3,32,26,2,4,2,2),(15,302,3,32,27,NULL,10,NULL,5),(15,302,3,32,28,NULL,8,NULL,2),(15,302,3,32,29,NULL,33,NULL,16),(15,302,3,32,30,NULL,23,NULL,11),(15,302,3,33,1,38,22,10,8),(15,302,3,33,2,3,13,2,9),(15,302,3,33,3,14,7,5,3),(15,302,3,33,4,20,7,8,5),(15,302,3,33,5,12,20,7,8),(15,302,3,33,6,NULL,24,NULL,10),(15,302,3,33,7,NULL,17,NULL,7),(15,302,3,33,8,2,5,2,4),(15,302,3,33,9,1,12,1,7),(15,302,3,33,10,4,12,2,4),(15,302,3,33,11,3,16,NULL,3),(15,302,3,33,12,16,15,10,6),(15,302,3,33,13,3,11,2,7),(15,302,3,33,14,15,7,10,4),(15,302,3,33,15,18,17,6,6),(15,302,3,33,16,7,19,2,8),(15,302,3,33,17,25,22,12,2),(15,302,3,33,18,4,17,4,5),(15,302,3,33,19,9,5,6,1),(15,302,3,33,20,1,14,1,7),(15,302,3,33,21,2,NULL,1,NULL),(15,302,3,33,22,4,14,4,7),(15,302,3,33,23,1,7,NULL,6),(15,302,3,33,24,1,30,NULL,13),(15,302,3,33,25,1,3,1,3),(15,302,3,33,26,NULL,7,NULL,4),(15,302,3,33,27,1,9,NULL,3),(15,302,3,33,28,NULL,8,NULL,4),(15,302,3,33,29,NULL,28,NULL,10),(15,302,3,33,30,2,16,1,9),(15,302,3,34,1,31,31,10,6),(15,302,3,34,2,2,18,2,8),(15,302,3,34,3,21,13,7,6),(15,302,3,34,4,17,8,7,4),(15,302,3,34,5,10,18,4,8),(15,302,3,34,6,9,24,5,6),(15,302,3,34,7,NULL,11,NULL,5),(15,302,3,34,8,1,5,NULL,1),(15,302,3,34,9,8,9,3,4),(15,302,3,34,10,6,8,3,3),(15,302,3,34,11,NULL,7,NULL,2),(15,302,3,34,12,15,12,6,5),(15,302,3,34,13,6,21,2,9),(15,302,3,34,14,13,10,8,4),(15,302,3,34,15,15,13,5,5),(15,302,3,34,16,11,25,7,6),(15,302,3,34,17,27,25,9,5),(15,302,3,34,18,4,11,1,5),(15,302,3,34,19,8,5,2,2),(15,302,3,34,20,3,16,NULL,6),(15,302,3,34,21,4,NULL,NULL,NULL),(15,302,3,34,22,2,14,2,4),(15,302,3,34,23,NULL,8,NULL,3),(15,302,3,34,24,2,24,1,9),(15,302,3,34,25,NULL,7,NULL,5),(15,302,3,34,26,2,8,NULL,4),(15,302,3,34,27,NULL,9,NULL,5),(15,302,3,34,28,2,8,1,4),(15,302,3,34,29,NULL,37,NULL,12),(15,302,3,34,30,1,20,1,6),(15,303,1,11,1,NULL,2,NULL,NULL),(15,303,1,11,2,NULL,NULL,NULL,NULL),(15,303,1,11,3,2,1,NULL,NULL),(15,303,1,11,4,2,NULL,NULL,NULL),(15,303,1,11,5,NULL,2,NULL,NULL),(15,303,1,11,6,NULL,1,NULL,NULL),(15,303,1,11,7,2,NULL,NULL,NULL),(15,303,1,11,8,NULL,1,NULL,NULL),(15,303,1,11,9,1,NULL,NULL,NULL),(15,303,1,11,10,1,NULL,NULL,NULL),(15,303,1,11,11,1,NULL,NULL,NULL),(15,303,1,11,12,1,1,NULL,NULL),(15,303,1,11,13,1,NULL,NULL,NULL),(15,303,1,11,14,2,NULL,NULL,NULL),(15,303,1,11,15,1,1,NULL,NULL),(15,303,1,11,16,3,NULL,NULL,NULL),(15,303,1,11,17,2,NULL,NULL,NULL),(15,303,1,11,18,1,NULL,NULL,NULL),(15,303,1,11,19,1,1,NULL,NULL),(15,303,1,11,20,3,NULL,NULL,NULL),(15,303,1,12,1,5,3,2,NULL),(15,303,1,12,2,7,3,3,NULL),(15,303,1,12,3,3,7,2,1),(15,303,1,12,4,5,3,3,NULL),(15,303,1,12,5,6,3,2,1),(15,303,1,12,6,6,4,1,2),(15,303,1,12,7,9,1,3,NULL),(15,303,1,12,8,3,4,1,1),(15,303,1,12,9,4,NULL,1,NULL),(15,303,1,12,10,8,2,2,1),(15,303,1,12,11,5,NULL,1,NULL),(15,303,1,12,12,4,6,1,2),(15,303,1,12,13,8,1,3,NULL),(15,303,1,12,14,8,3,3,NULL),(15,303,1,12,15,7,4,2,1),(15,303,1,12,16,5,5,2,1),(15,303,1,12,17,10,NULL,3,NULL),(15,303,1,12,18,9,NULL,3,NULL),(15,303,1,12,19,7,NULL,3,NULL),(15,303,1,12,20,3,3,NULL,NULL),(15,303,1,13,1,1,1,NULL,NULL),(15,303,1,13,2,NULL,NULL,NULL,NULL),(15,303,1,13,3,1,NULL,NULL,NULL),(15,303,1,13,4,1,NULL,NULL,NULL),(15,303,1,13,5,NULL,NULL,NULL,NULL),(15,303,1,13,6,NULL,NULL,NULL,NULL),(15,303,1,13,7,NULL,NULL,NULL,NULL),(15,303,1,13,8,NULL,NULL,NULL,NULL),(15,303,1,13,9,1,NULL,NULL,NULL),(15,303,1,13,10,NULL,NULL,NULL,NULL),(15,303,1,13,11,1,NULL,NULL,NULL),(15,303,1,13,12,1,1,NULL,NULL),(15,303,1,13,13,1,NULL,NULL,NULL),(15,303,1,13,14,NULL,1,NULL,NULL),(15,303,1,13,15,1,NULL,NULL,NULL),(15,303,1,13,16,2,NULL,NULL,NULL),(15,303,1,13,17,1,1,NULL,NULL),(15,303,1,13,18,NULL,NULL,NULL,NULL),(15,303,1,13,19,1,1,NULL,NULL),(15,303,1,13,20,1,NULL,NULL,NULL),(15,303,1,14,1,188,90,23,5),(15,303,1,14,2,113,92,14,9),(15,303,1,14,3,86,188,15,17),(15,303,1,14,4,113,141,18,12),(15,303,1,14,5,53,136,10,17),(15,303,1,14,6,116,149,10,19),(15,303,1,14,7,185,47,27,4),(15,303,1,14,8,124,138,21,7),(15,303,1,14,9,160,NULL,29,NULL),(15,303,1,14,10,195,37,24,6),(15,303,1,14,11,73,97,16,13),(15,303,1,14,12,34,102,11,16),(15,303,1,14,13,80,70,15,8),(15,303,1,14,14,179,86,25,3),(15,303,1,14,15,257,NULL,33,NULL),(15,303,1,14,16,75,42,16,4),(15,303,1,14,17,151,44,25,3),(15,303,1,14,18,67,72,12,15),(15,303,1,14,19,157,62,27,3),(15,303,1,14,20,156,98,19,11),(15,303,1,15,1,174,112,22,6),(15,303,1,15,2,124,101,11,11),(15,303,1,15,3,67,172,10,20),(15,303,1,15,4,117,124,22,7),(15,303,1,15,5,46,152,7,18),(15,303,1,15,6,111,134,10,13),(15,303,1,15,7,162,35,23,5),(15,303,1,15,8,110,141,11,14),(15,303,1,15,9,168,NULL,24,NULL),(15,303,1,15,10,181,50,18,9),(15,303,1,15,11,55,101,16,7),(15,303,1,15,12,53,95,8,6),(15,303,1,15,13,87,61,12,10),(15,303,1,15,14,163,96,20,7),(15,303,1,15,15,269,NULL,28,NULL),(15,303,1,15,16,63,48,4,5),(15,303,1,15,17,137,64,18,5),(15,303,1,15,18,79,71,12,9),(15,303,1,15,19,133,66,20,5),(15,303,1,15,20,155,103,21,8),(15,303,1,16,1,58,46,4,1),(15,303,1,16,2,37,33,2,3),(15,303,1,16,3,25,78,1,5),(15,303,1,16,4,38,41,4,3),(15,303,1,16,5,13,53,1,3),(15,303,1,16,6,45,50,NULL,6),(15,303,1,16,7,58,18,5,NULL),(15,303,1,16,8,33,70,4,1),(15,303,1,16,9,49,NULL,4,NULL),(15,303,1,16,10,63,21,7,NULL),(15,303,1,16,11,66,43,5,2),(15,303,1,16,12,63,66,3,4),(15,303,1,16,13,15,107,1,6),(15,303,1,16,14,38,48,NULL,4),(15,303,1,16,15,20,29,1,1),(15,303,1,16,16,48,NULL,3,NULL),(15,303,1,16,17,28,58,1,4),(15,303,1,16,18,33,68,3,2),(15,303,1,16,19,13,15,NULL,NULL),(15,303,1,16,20,48,71,3,4),(15,303,1,17,1,65,43,3,NULL),(15,303,1,17,2,26,37,1,1),(15,303,1,17,3,21,73,1,3),(15,303,1,17,4,34,45,2,2),(15,303,1,17,5,16,63,2,2),(15,303,1,17,6,55,41,NULL,2),(15,303,1,17,7,55,13,3,1),(15,303,1,17,8,29,61,2,2),(15,303,1,17,9,48,NULL,2,NULL),(15,303,1,17,10,63,16,3,2),(15,303,1,17,11,57,34,1,2),(15,303,1,17,12,38,69,2,3),(15,303,1,17,13,17,89,NULL,4),(15,303,1,17,14,37,45,1,3),(15,303,1,17,15,20,21,1,1),(15,303,1,17,16,44,NULL,2,NULL),(15,303,1,17,17,34,41,1,2),(15,303,1,17,18,23,57,NULL,4),(15,303,1,17,19,12,13,2,1),(15,303,1,17,20,35,61,3,2),(15,303,2,21,1,45,52,8,6),(15,303,2,21,2,17,23,2,7),(15,303,2,21,3,17,45,2,5),(15,303,2,21,4,42,19,9,2),(15,303,2,21,5,92,36,12,3),(15,303,2,21,6,58,30,8,4),(15,303,2,21,7,23,14,7,3),(15,303,2,21,8,12,NULL,5,NULL),(15,303,2,21,9,43,33,7,2),(15,303,2,21,10,33,14,7,2),(15,303,2,21,11,68,44,8,2),(15,303,2,21,12,76,77,8,7),(15,303,2,21,13,120,34,16,2),(15,303,2,21,14,36,84,3,11),(15,303,2,21,15,73,98,10,8),(15,303,2,21,16,152,71,15,3),(15,303,2,21,17,36,56,8,7),(15,303,2,21,18,63,41,8,4),(15,303,2,21,19,47,113,2,14),(15,303,2,21,20,86,81,6,8),(15,303,2,21,21,25,45,5,2),(15,303,2,21,22,89,43,11,3),(15,303,2,21,23,64,54,11,3),(15,303,2,21,24,43,88,5,11),(15,303,2,21,25,151,NULL,14,NULL),(15,303,2,21,26,30,44,4,5),(15,303,2,21,27,31,87,7,10),(15,303,2,21,28,31,61,9,5),(15,303,2,21,29,116,97,16,5),(15,303,2,21,30,36,50,11,6),(15,303,2,22,1,22,51,8,7),(15,303,2,22,2,14,27,1,6),(15,303,2,22,3,10,46,1,3),(15,303,2,22,4,36,33,11,3),(15,303,2,22,5,87,48,16,2),(15,303,2,22,6,54,55,9,5),(15,303,2,22,7,35,13,11,2),(15,303,2,22,8,22,NULL,6,NULL),(15,303,2,22,9,54,37,15,2),(15,303,2,22,10,58,18,9,NULL),(15,303,2,22,11,57,42,10,1),(15,303,2,22,12,82,90,7,11),(15,303,2,22,13,114,53,16,4),(15,303,2,22,14,22,87,2,11),(15,303,2,22,15,63,89,10,7),(15,303,2,22,16,123,85,14,5),(15,303,2,22,17,30,73,4,7),(15,303,2,22,18,45,60,9,8),(15,303,2,22,19,28,113,1,15),(15,303,2,22,20,66,93,10,8),(15,303,2,22,21,22,41,5,8),(15,303,2,22,22,94,49,11,6),(15,303,2,22,23,50,64,14,2),(15,303,2,22,24,57,79,12,4),(15,303,2,22,25,139,NULL,20,NULL),(15,303,2,22,26,21,56,8,5),(15,303,2,22,27,33,78,9,8),(15,303,2,22,28,28,71,6,8),(15,303,2,22,29,104,112,14,6),(15,303,2,22,30,27,59,9,7),(15,303,2,23,1,25,37,8,3),(15,303,2,23,2,15,22,2,3),(15,303,2,23,3,6,37,NULL,3),(15,303,2,23,4,44,32,9,2),(15,303,2,23,5,67,50,6,4),(15,303,2,23,6,52,31,9,1),(15,303,2,23,7,31,16,7,2),(15,303,2,23,8,13,NULL,2,NULL),(15,303,2,23,9,52,44,9,2),(15,303,2,23,10,45,14,7,1),(15,303,2,23,11,59,37,10,NULL),(15,303,2,23,12,68,74,5,9),(15,303,2,23,13,121,31,10,2),(15,303,2,23,14,23,57,1,11),(15,303,2,23,15,70,78,7,4),(15,303,2,23,16,115,92,10,4),(15,303,2,23,17,24,56,5,3),(15,303,2,23,18,63,54,7,6),(15,303,2,23,19,41,99,2,6),(15,303,2,23,20,57,86,2,10),(15,303,2,23,21,33,40,6,7),(15,303,2,23,22,78,37,9,1),(15,303,2,23,23,47,57,7,2),(15,303,2,23,24,48,81,10,4),(15,303,2,23,25,145,NULL,14,NULL),(15,303,2,23,26,28,49,6,5),(15,303,2,23,27,22,71,7,5),(15,303,2,23,28,34,66,8,7),(15,303,2,23,29,97,101,12,2),(15,303,2,23,30,35,53,8,6),(15,303,2,24,1,26,44,5,5),(15,303,2,24,2,27,15,10,4),(15,303,2,24,3,18,36,2,8),(15,303,2,24,4,39,35,14,5),(15,303,2,24,5,89,40,18,2),(15,303,2,24,6,53,44,7,5),(15,303,2,24,7,41,5,11,NULL),(15,303,2,24,8,18,NULL,3,NULL),(15,303,2,24,9,35,47,10,4),(15,303,2,24,10,47,8,9,2),(15,303,2,24,11,64,39,13,2),(15,303,2,24,12,99,54,13,5),(15,303,2,24,13,113,32,17,2),(15,303,2,24,14,24,94,5,14),(15,303,2,24,15,64,91,10,6),(15,303,2,24,16,121,90,17,6),(15,303,2,24,17,25,59,9,5),(15,303,2,24,18,63,49,9,5),(15,303,2,24,19,24,105,2,14),(15,303,2,24,20,88,74,15,4),(15,303,2,24,21,39,40,14,2),(15,303,2,24,22,96,38,14,1),(15,303,2,24,23,51,58,13,2),(15,303,2,24,24,53,87,13,7),(15,303,2,24,25,137,NULL,21,NULL),(15,303,2,24,26,41,27,13,3),(15,303,2,24,27,36,81,12,6),(15,303,2,24,28,42,54,12,4),(15,303,2,24,29,123,92,19,4),(15,303,2,24,30,36,54,14,6),(15,303,3,31,1,146,84,16,7),(15,303,3,31,2,19,101,9,12),(15,303,3,31,3,91,42,20,1),(15,303,3,31,4,119,34,20,2),(15,303,3,31,5,65,84,12,10),(15,303,3,31,6,21,134,6,14),(15,303,3,31,7,20,69,8,4),(15,303,3,31,8,23,21,12,6),(15,303,3,31,9,40,51,16,3),(15,303,3,31,10,39,52,12,4),(15,303,3,31,11,9,43,2,6),(15,303,3,31,12,76,74,12,8),(15,303,3,31,13,20,64,4,10),(15,303,3,31,14,97,39,15,5),(15,303,3,31,15,99,59,13,7),(15,303,3,31,16,47,90,10,9),(15,303,3,31,17,151,44,18,2),(15,303,3,31,18,35,53,4,6),(15,303,3,31,19,45,44,4,8),(15,303,3,31,20,21,64,7,6),(15,303,3,31,21,25,NULL,8,NULL),(15,303,3,31,22,36,55,13,4),(15,303,3,31,23,8,32,4,9),(15,303,3,31,24,37,116,11,10),(15,303,3,31,25,11,37,2,10),(15,303,3,31,26,13,23,4,7),(15,303,3,31,27,7,31,3,10),(15,303,3,31,28,10,22,1,5),(15,303,3,31,29,10,126,6,14),(15,303,3,31,30,16,96,6,7),(15,303,3,32,1,146,81,14,1),(15,303,3,32,2,14,95,3,7),(15,303,3,32,3,79,38,11,2),(15,303,3,32,4,119,27,13,NULL),(15,303,3,32,5,62,64,9,5),(15,303,3,32,6,15,122,3,11),(15,303,3,32,7,10,70,2,4),(15,303,3,32,8,22,19,8,2),(15,303,3,32,9,30,48,8,6),(15,303,3,32,10,29,50,7,5),(15,303,3,32,11,6,38,NULL,2),(15,303,3,32,12,77,81,6,7),(15,303,3,32,13,21,47,1,5),(15,303,3,32,14,81,51,8,5),(15,303,3,32,15,111,42,10,3),(15,303,3,32,16,56,78,5,9),(15,303,3,32,17,144,47,14,NULL),(15,303,3,32,18,40,44,3,2),(15,303,3,32,19,26,42,NULL,6),(15,303,3,32,20,29,39,2,7),(15,303,3,32,21,30,NULL,5,NULL),(15,303,3,32,22,26,60,6,5),(15,303,3,32,23,7,33,3,7),(15,303,3,32,24,29,101,6,8),(15,303,3,32,25,6,28,1,4),(15,303,3,32,26,14,38,1,8),(15,303,3,32,27,4,34,1,6),(15,303,3,32,28,11,20,3,1),(15,303,3,32,29,9,118,4,10),(15,303,3,32,30,15,84,3,4),(15,303,3,33,1,138,103,15,6),(15,303,3,33,2,23,78,7,12),(15,303,3,33,3,72,48,11,8),(15,303,3,33,4,102,37,16,4),(15,303,3,33,5,61,82,9,7),(15,303,3,33,6,13,125,6,12),(15,303,3,33,7,23,59,8,5),(15,303,3,33,8,21,22,9,3),(15,303,3,33,9,41,49,11,4),(15,303,3,33,10,37,43,8,6),(15,303,3,33,11,10,41,NULL,8),(15,303,3,33,12,80,83,10,9),(15,303,3,33,13,21,52,3,6),(15,303,3,33,14,80,44,11,5),(15,303,3,33,15,103,63,15,6),(15,303,3,33,16,55,74,7,7),(15,303,3,33,17,153,65,18,2),(15,303,3,33,18,35,54,4,7),(15,303,3,33,19,40,41,5,5),(15,303,3,33,20,18,53,7,4),(15,303,3,33,21,34,NULL,9,NULL),(15,303,3,33,22,17,59,8,8),(15,303,3,33,23,9,22,6,4),(15,303,3,33,24,21,138,8,11),(15,303,3,33,25,8,30,1,12),(15,303,3,33,26,12,28,6,3),(15,303,3,33,27,2,39,1,9),(15,303,3,33,28,9,19,2,3),(15,303,3,33,29,5,138,2,19),(15,303,3,33,30,13,93,6,9),(15,303,3,34,1,143,102,13,8),(15,303,3,34,2,26,98,6,9),(15,303,3,34,3,77,52,12,5),(15,303,3,34,4,110,36,14,2),(15,303,3,34,5,66,76,8,9),(15,303,3,34,6,32,130,5,11),(15,303,3,34,7,14,68,6,8),(15,303,3,34,8,15,23,6,4),(15,303,3,34,9,33,56,7,8),(15,303,3,34,10,36,66,4,9),(15,303,3,34,11,16,37,2,7),(15,303,3,34,12,101,81,13,6),(15,303,3,34,13,24,63,6,6),(15,303,3,34,14,87,44,14,6),(15,303,3,34,15,106,55,17,1),(15,303,3,34,16,52,79,7,10),(15,303,3,34,17,147,52,16,1),(15,303,3,34,18,34,58,10,5),(15,303,3,34,19,41,36,5,6),(15,303,3,34,20,33,42,6,7),(15,303,3,34,21,28,NULL,2,NULL),(15,303,3,34,22,23,64,7,6),(15,303,3,34,23,12,39,3,9),(15,303,3,34,24,36,124,6,10),(15,303,3,34,25,7,26,3,6),(15,303,3,34,26,11,42,6,5),(15,303,3,34,27,7,30,1,9),(15,303,3,34,28,8,33,3,5),(15,303,3,34,29,8,110,4,9),(15,303,3,34,30,13,89,3,6),(15,304,1,11,1,1,1,NULL,1),(15,304,1,11,2,NULL,2,NULL,1),(15,304,1,11,3,NULL,1,NULL,NULL),(15,304,1,11,4,NULL,1,NULL,NULL),(15,304,1,11,5,NULL,1,NULL,NULL),(15,304,1,11,6,NULL,NULL,NULL,NULL),(15,304,1,11,7,1,1,NULL,1),(15,304,1,11,8,NULL,2,NULL,1),(15,304,1,11,9,1,NULL,NULL,NULL),(15,304,1,11,10,2,NULL,1,NULL),(15,304,1,11,11,NULL,NULL,NULL,NULL),(15,304,1,11,12,1,NULL,NULL,NULL),(15,304,1,11,13,1,NULL,NULL,NULL),(15,304,1,11,14,NULL,2,NULL,1),(15,304,1,11,15,NULL,2,NULL,1),(15,304,1,11,16,1,NULL,NULL,NULL),(15,304,1,11,17,NULL,NULL,NULL,NULL),(15,304,1,11,18,1,NULL,NULL,NULL),(15,304,1,11,19,1,1,NULL,1),(15,304,1,11,20,2,NULL,1,NULL),(15,304,1,12,1,6,NULL,3,NULL),(15,304,1,12,2,4,3,3,1),(15,304,1,12,3,1,3,1,1),(15,304,1,12,4,4,1,3,NULL),(15,304,1,12,5,1,4,1,2),(15,304,1,12,6,1,3,NULL,2),(15,304,1,12,7,2,3,2,1),(15,304,1,12,8,3,3,3,NULL),(15,304,1,12,9,4,NULL,2,NULL),(15,304,1,12,10,4,NULL,2,NULL),(15,304,1,12,11,3,NULL,NULL,NULL),(15,304,1,12,12,2,5,1,3),(15,304,1,12,13,5,2,3,1),(15,304,1,12,14,4,3,4,NULL),(15,304,1,12,15,7,NULL,3,NULL),(15,304,1,12,16,5,1,3,1),(15,304,1,12,17,5,NULL,2,NULL),(15,304,1,12,18,5,1,4,NULL),(15,304,1,12,19,7,1,4,NULL),(15,304,1,12,20,1,1,1,NULL),(15,304,1,13,1,NULL,NULL,NULL,NULL),(15,304,1,13,2,NULL,NULL,NULL,NULL),(15,304,1,13,3,NULL,NULL,NULL,NULL),(15,304,1,13,4,NULL,NULL,NULL,NULL),(15,304,1,13,5,NULL,NULL,NULL,NULL),(15,304,1,13,6,NULL,NULL,NULL,NULL),(15,304,1,13,7,NULL,NULL,NULL,NULL),(15,304,1,13,8,NULL,NULL,NULL,NULL),(15,304,1,13,9,NULL,NULL,NULL,NULL),(15,304,1,13,10,NULL,NULL,NULL,NULL),(15,304,1,13,11,NULL,NULL,NULL,NULL),(15,304,1,13,12,NULL,NULL,NULL,NULL),(15,304,1,13,13,NULL,NULL,NULL,NULL),(15,304,1,13,14,NULL,NULL,NULL,NULL),(15,304,1,13,15,NULL,NULL,NULL,NULL),(15,304,1,13,16,NULL,NULL,NULL,NULL),(15,304,1,13,17,NULL,NULL,NULL,NULL),(15,304,1,13,18,NULL,NULL,NULL,NULL),(15,304,1,13,19,NULL,NULL,NULL,NULL),(15,304,1,13,20,NULL,NULL,NULL,NULL),(15,304,1,14,1,35,26,17,7),(15,304,1,14,2,15,23,10,8),(15,304,1,14,3,5,38,1,19),(15,304,1,14,4,12,29,5,14),(15,304,1,14,5,7,29,3,11),(15,304,1,14,6,32,29,11,10),(15,304,1,14,7,28,14,13,6),(15,304,1,14,8,21,30,7,12),(15,304,1,14,9,30,NULL,17,NULL),(15,304,1,14,10,32,11,15,4),(15,304,1,14,11,10,18,7,6),(15,304,1,14,12,6,19,3,13),(15,304,1,14,13,18,17,9,5),(15,304,1,14,14,33,25,15,8),(15,304,1,14,15,50,NULL,26,NULL),(15,304,1,14,16,11,13,5,7),(15,304,1,14,17,19,13,10,6),(15,304,1,14,18,12,18,5,9),(15,304,1,14,19,31,16,14,5),(15,304,1,14,20,35,16,14,7),(15,304,1,15,1,45,23,20,8),(15,304,1,15,2,25,26,9,10),(15,304,1,15,3,9,37,6,18),(15,304,1,15,4,19,28,10,13),(15,304,1,15,5,9,29,6,11),(15,304,1,15,6,31,30,12,11),(15,304,1,15,7,23,14,15,6),(15,304,1,15,8,22,37,12,11),(15,304,1,15,9,32,NULL,15,NULL),(15,304,1,15,10,38,8,16,5),(15,304,1,15,11,6,23,3,10),(15,304,1,15,12,8,19,7,8),(15,304,1,15,13,20,13,14,4),(15,304,1,15,14,35,27,18,7),(15,304,1,15,15,58,NULL,27,NULL),(15,304,1,15,16,16,12,9,7),(15,304,1,15,17,29,15,18,4),(15,304,1,15,18,17,14,10,8),(15,304,1,15,19,27,19,18,7),(15,304,1,15,20,34,14,22,3),(15,304,1,16,1,15,19,8,4),(15,304,1,16,2,6,15,1,4),(15,304,1,16,3,1,25,1,11),(15,304,1,16,4,11,18,5,7),(15,304,1,16,5,3,13,1,5),(15,304,1,16,6,14,18,4,8),(15,304,1,16,7,15,10,7,3),(15,304,1,16,8,12,25,8,4),(15,304,1,16,9,13,NULL,4,NULL),(15,304,1,16,10,21,8,6,3),(15,304,1,16,11,19,18,7,5),(15,304,1,16,12,10,33,2,10),(15,304,1,16,13,3,43,NULL,14),(15,304,1,16,14,8,22,2,6),(15,304,1,16,15,9,11,5,5),(15,304,1,16,16,15,NULL,6,NULL),(15,304,1,16,17,6,29,NULL,8),(15,304,1,16,18,3,26,NULL,7),(15,304,1,16,19,1,11,NULL,2),(15,304,1,16,20,6,25,2,9),(15,304,1,17,1,18,17,8,4),(15,304,1,17,2,10,11,3,4),(15,304,1,17,3,1,23,1,8),(15,304,1,17,4,8,16,5,6),(15,304,1,17,5,3,17,2,6),(15,304,1,17,6,13,13,3,4),(15,304,1,17,7,9,14,6,4),(15,304,1,17,8,2,32,2,10),(15,304,1,17,9,10,NULL,4,NULL),(15,304,1,17,10,20,5,8,3),(15,304,1,17,11,16,12,4,5),(15,304,1,17,12,14,21,6,8),(15,304,1,17,13,5,33,2,12),(15,304,1,17,14,7,21,3,8),(15,304,1,17,15,3,4,2,2),(15,304,1,17,16,14,NULL,5,NULL),(15,304,1,17,17,10,16,3,7),(15,304,1,17,18,6,19,2,8),(15,304,1,17,19,3,3,2,2),(15,304,1,17,20,13,20,4,9),(15,304,2,21,1,3,9,2,5),(15,304,2,21,2,NULL,6,NULL,3),(15,304,2,21,3,5,13,3,7),(15,304,2,21,4,10,5,7,3),(15,304,2,21,5,12,25,5,12),(15,304,2,21,6,12,18,7,6),(15,304,2,21,7,5,4,4,3),(15,304,2,21,8,4,NULL,1,NULL),(15,304,2,21,9,8,6,5,1),(15,304,2,21,10,14,7,6,1),(15,304,2,21,11,9,19,5,12),(15,304,2,21,12,16,31,9,11),(15,304,2,21,13,26,24,9,12),(15,304,2,21,14,10,21,5,12),(15,304,2,21,15,17,21,7,10),(15,304,2,21,16,28,25,16,10),(15,304,2,21,17,6,17,4,9),(15,304,2,21,18,22,20,7,12),(15,304,2,21,19,10,27,8,12),(15,304,2,21,20,14,34,6,15),(15,304,2,21,21,10,6,8,4),(15,304,2,21,22,31,14,17,5),(15,304,2,21,23,10,27,6,12),(15,304,2,21,24,7,31,7,11),(15,304,2,21,25,46,NULL,24,NULL),(15,304,2,21,26,8,12,7,5),(15,304,2,21,27,6,23,5,11),(15,304,2,21,28,5,27,2,12),(15,304,2,21,29,28,25,14,10),(15,304,2,21,30,6,21,4,9),(15,304,2,22,1,7,7,3,4),(15,304,2,22,2,1,12,1,7),(15,304,2,22,3,2,11,NULL,5),(15,304,2,22,4,8,7,6,3),(15,304,2,22,5,18,15,12,4),(15,304,2,22,6,11,16,4,6),(15,304,2,22,7,4,1,3,NULL),(15,304,2,22,8,6,NULL,3,NULL),(15,304,2,22,9,8,12,6,4),(15,304,2,22,10,12,3,8,NULL),(15,304,2,22,11,11,11,6,2),(15,304,2,22,12,24,26,13,4),(15,304,2,22,13,30,12,13,4),(15,304,2,22,14,5,20,3,9),(15,304,2,22,15,9,27,2,10),(15,304,2,22,16,29,22,12,8),(15,304,2,22,17,6,12,2,4),(15,304,2,22,18,14,17,10,5),(15,304,2,22,19,8,29,2,15),(15,304,2,22,20,21,16,12,7),(15,304,2,22,21,4,5,4,2),(15,304,2,22,22,26,13,14,3),(15,304,2,22,23,14,18,9,6),(15,304,2,22,24,7,29,7,10),(15,304,2,22,25,44,NULL,17,NULL),(15,304,2,22,26,7,15,5,7),(15,304,2,22,27,9,22,6,11),(15,304,2,22,28,7,18,5,6),(15,304,2,22,29,31,25,17,5),(15,304,2,22,30,5,9,4,4),(15,304,2,23,1,10,4,6,2),(15,304,2,23,2,7,5,5,2),(15,304,2,23,3,1,7,1,2),(15,304,2,23,4,4,5,3,3),(15,304,2,23,5,14,14,8,5),(15,304,2,23,6,12,8,4,3),(15,304,2,23,7,6,2,3,1),(15,304,2,23,8,2,NULL,1,NULL),(15,304,2,23,9,10,13,6,4),(15,304,2,23,10,7,6,3,2),(15,304,2,23,11,7,19,4,6),(15,304,2,23,12,25,16,9,5),(15,304,2,23,13,25,13,11,7),(15,304,2,23,14,3,17,3,9),(15,304,2,23,15,15,16,9,6),(15,304,2,23,16,30,21,16,6),(15,304,2,23,17,9,15,2,8),(15,304,2,23,18,26,11,8,4),(15,304,2,23,19,7,31,2,13),(15,304,2,23,20,18,20,11,5),(15,304,2,23,21,7,5,6,1),(15,304,2,23,22,18,13,8,3),(15,304,2,23,23,15,14,10,5),(15,304,2,23,24,14,18,9,8),(15,304,2,23,25,36,NULL,13,NULL),(15,304,2,23,26,3,10,3,3),(15,304,2,23,27,8,18,7,8),(15,304,2,23,28,5,20,3,9),(15,304,2,23,29,28,31,17,6),(15,304,2,23,30,8,12,8,4),(15,304,2,24,1,2,14,1,5),(15,304,2,24,2,2,8,1,3),(15,304,2,24,3,3,6,NULL,3),(15,304,2,24,4,NULL,11,NULL,5),(15,304,2,24,5,11,12,5,4),(15,304,2,24,6,9,15,3,6),(15,304,2,24,7,5,4,4,2),(15,304,2,24,8,4,NULL,2,NULL),(15,304,2,24,9,1,13,1,8),(15,304,2,24,10,15,8,4,4),(15,304,2,24,11,13,8,4,3),(15,304,2,24,12,20,22,6,8),(15,304,2,24,13,29,11,7,6),(15,304,2,24,14,3,12,1,2),(15,304,2,24,15,15,12,7,2),(15,304,2,24,16,28,24,10,5),(15,304,2,24,17,5,18,1,6),(15,304,2,24,18,12,10,3,4),(15,304,2,24,19,8,24,1,9),(15,304,2,24,20,11,23,5,8),(15,304,2,24,21,4,8,3,2),(15,304,2,24,22,23,14,5,3),(15,304,2,24,23,9,20,5,5),(15,304,2,24,24,4,26,3,10),(15,304,2,24,25,38,NULL,13,NULL),(15,304,2,24,26,2,13,2,5),(15,304,2,24,27,5,23,4,8),(15,304,2,24,28,3,22,2,7),(15,304,2,24,29,24,28,7,6),(15,304,2,24,30,6,12,4,6),(15,304,3,31,1,32,26,9,8),(15,304,3,31,2,5,15,2,4),(15,304,3,31,3,21,13,10,4),(15,304,3,31,4,23,13,6,5),(15,304,3,31,5,8,24,1,12),(15,304,3,31,6,3,33,2,7),(15,304,3,31,7,1,16,1,6),(15,304,3,31,8,1,2,1,2),(15,304,3,31,9,5,4,4,NULL),(15,304,3,31,10,6,10,3,1),(15,304,3,31,11,2,4,2,1),(15,304,3,31,12,13,17,8,6),(15,304,3,31,13,3,10,1,3),(15,304,3,31,14,15,16,9,4),(15,304,3,31,15,14,18,9,5),(15,304,3,31,16,9,20,3,7),(15,304,3,31,17,31,16,12,3),(15,304,3,31,18,5,15,1,8),(15,304,3,31,19,8,10,2,5),(15,304,3,31,20,3,13,2,4),(15,304,3,31,21,3,NULL,2,NULL),(15,304,3,31,22,2,11,1,4),(15,304,3,31,23,1,4,NULL,3),(15,304,3,31,24,3,31,3,8),(15,304,3,31,25,2,10,1,4),(15,304,3,31,26,5,2,4,NULL),(15,304,3,31,27,NULL,3,NULL,1),(15,304,3,31,28,NULL,1,NULL,NULL),(15,304,3,31,29,NULL,29,NULL,10),(15,304,3,31,30,NULL,24,NULL,7),(15,304,3,32,1,34,32,10,12),(15,304,3,32,2,5,16,5,9),(15,304,3,32,3,20,13,9,5),(15,304,3,32,4,23,10,12,3),(15,304,3,32,5,16,21,7,9),(15,304,3,32,6,5,30,4,9),(15,304,3,32,7,NULL,15,NULL,10),(15,304,3,32,8,2,9,2,8),(15,304,3,32,9,5,12,3,5),(15,304,3,32,10,7,13,6,5),(15,304,3,32,11,2,3,2,1),(15,304,3,32,12,18,22,8,10),(15,304,3,32,13,2,14,NULL,7),(15,304,3,32,14,26,8,11,5),(15,304,3,32,15,22,18,10,7),(15,304,3,32,16,9,22,6,9),(15,304,3,32,17,41,13,16,3),(15,304,3,32,18,9,20,3,10),(15,304,3,32,19,13,13,4,5),(15,304,3,32,20,4,7,1,3),(15,304,3,32,21,6,NULL,3,NULL),(15,304,3,32,22,3,15,1,7),(15,304,3,32,23,2,8,2,4),(15,304,3,32,24,6,33,5,10),(15,304,3,32,25,2,9,1,5),(15,304,3,32,26,4,5,3,2),(15,304,3,32,27,3,8,NULL,5),(15,304,3,32,28,2,4,1,3),(15,304,3,32,29,NULL,21,NULL,9),(15,304,3,32,30,2,16,2,7),(15,304,3,33,1,34,27,14,8),(15,304,3,33,2,6,17,4,8),(15,304,3,33,3,23,9,12,2),(15,304,3,33,4,29,9,15,1),(15,304,3,33,5,16,23,8,9),(15,304,3,33,6,6,26,3,10),(15,304,3,33,7,6,15,3,6),(15,304,3,33,8,4,3,3,3),(15,304,3,33,9,6,16,4,8),(15,304,3,33,10,7,10,4,4),(15,304,3,33,11,2,4,1,1),(15,304,3,33,12,19,20,8,8),(15,304,3,33,13,5,14,3,6),(15,304,3,33,14,14,16,8,6),(15,304,3,33,15,21,17,8,8),(15,304,3,33,16,8,22,5,9),(15,304,3,33,17,35,12,17,4),(15,304,3,33,18,11,10,7,6),(15,304,3,33,19,5,9,3,4),(15,304,3,33,20,5,21,3,8),(15,304,3,33,21,5,NULL,4,NULL),(15,304,3,33,22,2,16,2,6),(15,304,3,33,23,1,5,1,3),(15,304,3,33,24,7,25,6,7),(15,304,3,33,25,NULL,9,NULL,5),(15,304,3,33,26,2,6,2,2),(15,304,3,33,27,NULL,5,NULL,3),(15,304,3,33,28,NULL,4,NULL,3),(15,304,3,33,29,NULL,42,NULL,13),(15,304,3,33,30,2,25,2,9),(15,304,3,34,1,33,32,19,8),(15,304,3,34,2,2,31,2,17),(15,304,3,34,3,12,20,8,9),(15,304,3,34,4,23,16,13,10),(15,304,3,34,5,14,35,6,14),(15,304,3,34,6,2,38,2,16),(15,304,3,34,7,2,16,2,12),(15,304,3,34,8,1,7,1,3),(15,304,3,34,9,4,11,4,9),(15,304,3,34,10,9,13,7,6),(15,304,3,34,11,3,8,2,4),(15,304,3,34,12,20,22,11,9),(15,304,3,34,13,2,18,2,9),(15,304,3,34,14,18,18,11,10),(15,304,3,34,15,24,17,12,7),(15,304,3,34,16,12,22,6,10),(15,304,3,34,17,34,16,19,5),(15,304,3,34,18,9,18,3,8),(15,304,3,34,19,8,11,3,5),(15,304,3,34,20,5,15,4,6),(15,304,3,34,21,6,NULL,4,NULL),(15,304,3,34,22,3,17,2,10),(15,304,3,34,23,1,2,1,2),(15,304,3,34,24,4,39,4,19),(15,304,3,34,25,2,7,2,5),(15,304,3,34,26,1,11,1,6),(15,304,3,34,27,NULL,8,NULL,3),(15,304,3,34,28,2,8,NULL,2),(15,304,3,34,29,1,41,1,21),(15,304,3,34,30,1,18,1,11),(15,308,1,11,1,NULL,NULL,NULL,NULL),(15,308,1,11,2,NULL,NULL,NULL,NULL),(15,308,1,11,3,NULL,NULL,NULL,NULL),(15,308,1,11,4,NULL,NULL,NULL,NULL),(15,308,1,11,5,NULL,NULL,NULL,NULL),(15,308,1,11,6,NULL,NULL,NULL,NULL),(15,308,1,11,7,NULL,NULL,NULL,NULL),(15,308,1,11,8,NULL,NULL,NULL,NULL),(15,308,1,11,9,NULL,NULL,NULL,NULL),(15,308,1,11,10,NULL,NULL,NULL,NULL),(15,308,1,11,11,NULL,NULL,NULL,NULL),(15,308,1,11,12,NULL,NULL,NULL,NULL),(15,308,1,11,13,NULL,NULL,NULL,NULL),(15,308,1,11,14,NULL,NULL,NULL,NULL),(15,308,1,11,15,NULL,NULL,NULL,NULL),(15,308,1,11,16,NULL,NULL,NULL,NULL),(15,308,1,11,17,NULL,NULL,NULL,NULL),(15,308,1,11,18,NULL,NULL,NULL,NULL),(15,308,1,11,19,NULL,NULL,NULL,NULL),(15,308,1,11,20,NULL,NULL,NULL,NULL),(15,308,1,12,1,NULL,NULL,NULL,NULL),(15,308,1,12,2,NULL,NULL,NULL,NULL),(15,308,1,12,3,NULL,NULL,NULL,NULL),(15,308,1,12,4,NULL,NULL,NULL,NULL),(15,308,1,12,5,NULL,NULL,NULL,NULL),(15,308,1,12,6,NULL,NULL,NULL,NULL),(15,308,1,12,7,NULL,NULL,NULL,NULL),(15,308,1,12,8,NULL,NULL,NULL,NULL),(15,308,1,12,9,NULL,NULL,NULL,NULL),(15,308,1,12,10,NULL,NULL,NULL,NULL),(15,308,1,12,11,NULL,NULL,NULL,NULL),(15,308,1,12,12,NULL,NULL,NULL,NULL),(15,308,1,12,13,NULL,NULL,NULL,NULL),(15,308,1,12,14,NULL,NULL,NULL,NULL),(15,308,1,12,15,NULL,NULL,NULL,NULL),(15,308,1,12,16,NULL,NULL,NULL,NULL),(15,308,1,12,17,NULL,NULL,NULL,NULL),(15,308,1,12,18,NULL,NULL,NULL,NULL),(15,308,1,12,19,NULL,NULL,NULL,NULL),(15,308,1,12,20,NULL,NULL,NULL,NULL),(15,308,1,13,1,1,1,1,NULL),(15,308,1,13,2,NULL,1,NULL,1),(15,308,1,13,3,NULL,NULL,NULL,NULL),(15,308,1,13,4,NULL,NULL,NULL,NULL),(15,308,1,13,5,NULL,NULL,NULL,NULL),(15,308,1,13,6,NULL,2,NULL,1),(15,308,1,13,7,NULL,NULL,NULL,NULL),(15,308,1,13,8,NULL,1,NULL,1),(15,308,1,13,9,NULL,NULL,NULL,NULL),(15,308,1,13,10,1,NULL,NULL,NULL),(15,308,1,13,11,2,NULL,1,NULL),(15,308,1,13,12,2,NULL,1,NULL),(15,308,1,13,13,1,NULL,NULL,NULL),(15,308,1,13,14,NULL,1,NULL,NULL),(15,308,1,13,15,1,NULL,1,NULL),(15,308,1,13,16,1,NULL,1,NULL),(15,308,1,13,17,2,NULL,1,NULL),(15,308,1,13,18,1,NULL,1,NULL),(15,308,1,13,19,NULL,1,NULL,NULL),(15,308,1,13,20,1,NULL,1,NULL),(15,308,1,14,1,10,16,7,8),(15,308,1,14,2,10,8,9,4),(15,308,1,14,3,5,19,4,8),(15,308,1,14,4,7,13,3,8),(15,308,1,14,5,8,10,4,6),(15,308,1,14,6,15,14,5,9),(15,308,1,14,7,13,5,7,3),(15,308,1,14,8,5,16,4,6),(15,308,1,14,9,14,NULL,11,NULL),(15,308,1,14,10,18,2,11,NULL),(15,308,1,14,11,3,7,2,5),(15,308,1,14,12,2,4,2,4),(15,308,1,14,13,4,10,3,7),(15,308,1,14,14,8,26,6,11),(15,308,1,14,15,19,NULL,10,NULL),(15,308,1,14,16,2,11,1,7),(15,308,1,14,17,5,6,4,1),(15,308,1,14,18,1,5,1,4),(15,308,1,14,19,6,6,4,5),(15,308,1,14,20,5,9,3,7),(15,308,1,15,1,11,14,3,4),(15,308,1,15,2,6,9,2,4),(15,308,1,15,3,4,16,3,4),(15,308,1,15,4,8,14,2,3),(15,308,1,15,5,3,19,1,6),(15,308,1,15,6,6,13,2,3),(15,308,1,15,7,9,5,4,2),(15,308,1,15,8,4,17,1,6),(15,308,1,15,9,8,NULL,5,NULL),(15,308,1,15,10,14,7,6,2),(15,308,1,15,11,2,15,NULL,4),(15,308,1,15,12,NULL,2,NULL,2),(15,308,1,15,13,NULL,4,NULL,2),(15,308,1,15,14,11,19,3,4),(15,308,1,15,15,13,NULL,4,NULL),(15,308,1,15,16,1,1,1,1),(15,308,1,15,17,2,4,2,2),(15,308,1,15,18,2,1,NULL,1),(15,308,1,15,19,2,4,1,2),(15,308,1,15,20,3,5,2,3),(15,308,1,16,1,31,40,15,13),(15,308,1,16,2,16,19,10,10),(15,308,1,16,3,12,51,7,26),(15,308,1,16,4,21,27,10,14),(15,308,1,16,5,9,43,4,19),(15,308,1,16,6,43,35,17,11),(15,308,1,16,7,26,16,12,8),(15,308,1,16,8,13,52,5,16),(15,308,1,16,9,25,NULL,13,NULL),(15,308,1,16,10,50,9,20,5),(15,308,1,16,11,40,30,14,14),(15,308,1,16,12,23,58,13,20),(15,308,1,16,13,16,90,3,35),(15,308,1,16,14,36,36,14,15),(15,308,1,16,15,18,20,9,7),(15,308,1,16,16,29,NULL,11,NULL),(15,308,1,16,17,15,42,7,19),(15,308,1,16,18,28,55,10,20),(15,308,1,16,19,16,22,7,7),(15,308,1,16,20,19,55,10,26),(15,308,1,17,1,28,40,10,10),(15,308,1,17,2,13,24,3,11),(15,308,1,17,3,9,57,5,19),(15,308,1,17,4,16,33,9,8),(15,308,1,17,5,6,46,2,12),(15,308,1,17,6,27,39,4,15),(15,308,1,17,7,24,19,10,11),(15,308,1,17,8,14,52,5,20),(15,308,1,17,9,30,NULL,15,NULL),(15,308,1,17,10,38,12,14,6),(15,308,1,17,11,42,26,13,11),(15,308,1,17,12,15,62,6,23),(15,308,1,17,13,13,80,2,26),(15,308,1,17,14,22,40,6,16),(15,308,1,17,15,4,37,NULL,8),(15,308,1,17,16,29,NULL,10,NULL),(15,308,1,17,17,26,28,13,13),(15,308,1,17,18,11,60,4,18),(15,308,1,17,19,14,15,5,7),(15,308,1,17,20,16,64,5,18),(15,308,2,21,1,NULL,12,NULL,4),(15,308,2,21,2,2,6,1,1),(15,308,2,21,3,5,21,1,10),(15,308,2,21,4,1,9,1,3),(15,308,2,21,5,11,14,3,5),(15,308,2,21,6,8,14,3,6),(15,308,2,21,7,NULL,NULL,1,NULL),(15,308,2,21,8,2,NULL,1,NULL),(15,308,2,21,9,NULL,13,NULL,8),(15,308,2,21,10,9,5,6,2),(15,308,2,21,11,7,18,3,7),(15,308,2,21,12,16,21,6,8),(15,308,2,21,13,19,12,7,4),(15,308,2,21,14,4,14,2,6),(15,308,2,21,15,7,12,4,2),(15,308,2,21,16,24,39,9,14),(15,308,2,21,17,3,21,1,10),(15,308,2,21,18,11,12,5,2),(15,308,2,21,19,6,15,2,5),(15,308,2,21,20,4,16,4,7),(15,308,2,21,21,NULL,3,NULL,1),(15,308,2,21,22,11,19,5,7),(15,308,2,21,23,3,20,1,10),(15,308,2,21,24,4,23,3,9),(15,308,2,21,25,18,NULL,8,NULL),(15,308,2,21,26,3,18,1,6),(15,308,2,21,27,1,12,1,4),(15,308,2,21,28,8,12,NULL,7),(15,308,2,21,29,10,35,3,14),(15,308,2,21,30,1,14,NULL,4),(15,308,2,22,1,NULL,6,NULL,4),(15,308,2,22,2,2,6,1,3),(15,308,2,22,3,7,5,2,2),(15,308,2,22,4,2,9,2,3),(15,308,2,22,5,11,15,6,6),(15,308,2,22,6,9,11,3,3),(15,308,2,22,7,4,1,3,1),(15,308,2,22,8,9,NULL,4,NULL),(15,308,2,22,9,5,13,3,8),(15,308,2,22,10,4,3,2,3),(15,308,2,22,11,6,16,3,4),(15,308,2,22,12,25,21,11,9),(15,308,2,22,13,25,13,7,7),(15,308,2,22,14,2,17,1,7),(15,308,2,22,15,8,19,3,8),(15,308,2,22,16,23,33,7,10),(15,308,2,22,17,1,16,NULL,6),(15,308,2,22,18,22,11,12,5),(15,308,2,22,19,1,28,NULL,12),(15,308,2,22,20,2,19,1,6),(15,308,2,22,21,NULL,3,NULL,1),(15,308,2,22,22,13,15,6,8),(15,308,2,22,23,5,14,2,6),(15,308,2,22,24,4,19,2,10),(15,308,2,22,25,16,NULL,10,NULL),(15,308,2,22,26,4,12,1,4),(15,308,2,22,27,5,14,2,7),(15,308,2,22,28,6,15,1,8),(15,308,2,22,29,9,39,4,17),(15,308,2,22,30,NULL,5,NULL,3),(15,308,2,23,1,2,4,1,1),(15,308,2,23,2,2,7,1,6),(15,308,2,23,3,6,6,2,NULL),(15,308,2,23,4,4,4,2,2),(15,308,2,23,5,12,7,5,5),(15,308,2,23,6,12,21,4,12),(15,308,2,23,7,5,NULL,4,NULL),(15,308,2,23,8,3,NULL,1,NULL),(15,308,2,23,9,5,10,3,4),(15,308,2,23,10,3,9,2,3),(15,308,2,23,11,4,17,1,7),(15,308,2,23,12,15,24,6,7),(15,308,2,23,13,14,11,6,5),(15,308,2,23,14,4,16,2,4),(15,308,2,23,15,11,22,3,12),(15,308,2,23,16,26,27,9,9),(15,308,2,23,17,2,18,1,9),(15,308,2,23,18,17,14,6,6),(15,308,2,23,19,9,26,2,10),(15,308,2,23,20,2,15,2,6),(15,308,2,23,21,NULL,3,NULL,NULL),(15,308,2,23,22,3,21,2,13),(15,308,2,23,23,8,22,3,11),(15,308,2,23,24,2,20,2,12),(15,308,2,23,25,16,NULL,10,NULL),(15,308,2,23,26,8,19,2,6),(15,308,2,23,27,6,8,1,3),(15,308,2,23,28,4,15,NULL,9),(15,308,2,23,29,20,37,7,15),(15,308,2,23,30,2,9,NULL,4),(15,308,2,24,1,NULL,8,NULL,3),(15,308,2,24,2,2,8,1,3),(15,308,2,24,3,3,7,1,2),(15,308,2,24,4,4,3,2,1),(15,308,2,24,5,12,18,5,8),(15,308,2,24,6,7,7,2,3),(15,308,2,24,7,NULL,2,NULL,2),(15,308,2,24,8,10,NULL,5,NULL),(15,308,2,24,9,1,8,1,4),(15,308,2,24,10,3,7,1,3),(15,308,2,24,11,5,16,3,7),(15,308,2,24,12,18,22,6,14),(15,308,2,24,13,12,20,3,12),(15,308,2,24,14,3,11,2,4),(15,308,2,24,15,7,23,2,10),(15,308,2,24,16,23,29,10,8),(15,308,2,24,17,2,15,2,4),(15,308,2,24,18,18,16,8,4),(15,308,2,24,19,5,22,2,8),(15,308,2,24,20,4,16,NULL,5),(15,308,2,24,21,1,2,NULL,NULL),(15,308,2,24,22,9,23,5,8),(15,308,2,24,23,5,20,1,8),(15,308,2,24,24,2,8,1,3),(15,308,2,24,25,10,NULL,3,NULL),(15,308,2,24,26,7,15,2,5),(15,308,2,24,27,6,20,5,5),(15,308,2,24,28,2,12,NULL,4),(15,308,2,24,29,16,39,6,14),(15,308,2,24,30,6,10,2,2),(15,308,3,31,1,38,37,13,10),(15,308,3,31,2,NULL,6,NULL,2),(15,308,3,31,3,8,9,4,4),(15,308,3,31,4,5,17,3,9),(15,308,3,31,5,4,15,1,5),(15,308,3,31,6,1,32,NULL,12),(15,308,3,31,7,NULL,9,NULL,2),(15,308,3,31,8,3,6,1,1),(15,308,3,31,9,3,11,2,3),(15,308,3,31,10,4,11,NULL,5),(15,308,3,31,11,1,7,NULL,3),(15,308,3,31,12,13,12,3,4),(15,308,3,31,13,3,11,1,5),(15,308,3,31,14,2,8,2,6),(15,308,3,31,15,7,9,4,6),(15,308,3,31,16,1,14,1,7),(15,308,3,31,17,19,22,7,11),(15,308,3,31,18,2,10,2,2),(15,308,3,31,19,7,12,1,5),(15,308,3,31,20,3,1,2,NULL),(15,308,3,31,21,4,NULL,2,NULL),(15,308,3,31,22,2,4,NULL,1),(15,308,3,31,23,1,4,NULL,2),(15,308,3,31,24,NULL,17,NULL,12),(15,308,3,31,25,NULL,9,NULL,3),(15,308,3,31,26,1,3,NULL,1),(15,308,3,31,27,NULL,4,NULL,2),(15,308,3,31,28,3,6,NULL,2),(15,308,3,31,29,NULL,29,NULL,13),(15,308,3,31,30,NULL,25,NULL,10),(15,308,3,32,1,48,37,14,12),(15,308,3,32,2,2,9,NULL,4),(15,308,3,32,3,7,14,4,6),(15,308,3,32,4,11,8,7,5),(15,308,3,32,5,2,19,1,14),(15,308,3,32,6,2,34,NULL,12),(15,308,3,32,7,NULL,8,NULL,4),(15,308,3,32,8,2,4,1,NULL),(15,308,3,32,9,1,2,NULL,NULL),(15,308,3,32,10,3,9,NULL,4),(15,308,3,32,11,4,7,2,2),(15,308,3,32,12,11,22,6,9),(15,308,3,32,13,1,15,NULL,8),(15,308,3,32,14,4,10,3,8),(15,308,3,32,15,13,17,8,9),(15,308,3,32,16,3,17,1,9),(15,308,3,32,17,19,33,9,9),(15,308,3,32,18,5,22,1,7),(15,308,3,32,19,8,18,5,6),(15,308,3,32,20,2,12,NULL,3),(15,308,3,32,21,3,NULL,1,NULL),(15,308,3,32,22,3,14,1,8),(15,308,3,32,23,1,8,NULL,1),(15,308,3,32,24,NULL,14,NULL,8),(15,308,3,32,25,3,6,1,3),(15,308,3,32,26,1,4,NULL,1),(15,308,3,32,27,NULL,7,NULL,3),(15,308,3,32,28,1,2,NULL,NULL),(15,308,3,32,29,2,30,1,12),(15,308,3,32,30,NULL,27,NULL,10),(15,308,3,33,1,31,46,7,17),(15,308,3,33,2,NULL,9,NULL,4),(15,308,3,33,3,6,19,3,8),(15,308,3,33,4,7,17,3,6),(15,308,3,33,5,6,11,1,6),(15,308,3,33,6,NULL,28,NULL,9),(15,308,3,33,7,NULL,6,NULL,4),(15,308,3,33,8,NULL,6,NULL,NULL),(15,308,3,33,9,NULL,11,NULL,5),(15,308,3,33,10,1,13,NULL,6),(15,308,3,33,11,1,10,NULL,4),(15,308,3,33,12,12,23,3,10),(15,308,3,33,13,3,11,NULL,7),(15,308,3,33,14,5,11,3,7),(15,308,3,33,15,7,20,3,9),(15,308,3,33,16,8,10,4,6),(15,308,3,33,17,15,25,9,10),(15,308,3,33,18,4,13,2,7),(15,308,3,33,19,10,11,4,4),(15,308,3,33,20,1,6,1,4),(15,308,3,33,21,3,NULL,2,NULL),(15,308,3,33,22,1,13,1,4),(15,308,3,33,23,1,4,1,1),(15,308,3,33,24,NULL,21,NULL,8),(15,308,3,33,25,2,6,1,1),(15,308,3,33,26,2,9,NULL,2),(15,308,3,33,27,1,6,1,3),(15,308,3,33,28,NULL,4,NULL,1),(15,308,3,33,29,NULL,24,NULL,11),(15,308,3,33,30,NULL,23,NULL,9),(15,308,3,34,1,31,51,8,15),(15,308,3,34,2,1,11,1,4),(15,308,3,34,3,17,10,6,3),(15,308,3,34,4,12,13,6,4),(15,308,3,34,5,2,19,NULL,11),(15,308,3,34,6,1,38,NULL,9),(15,308,3,34,7,NULL,6,NULL,2),(15,308,3,34,8,NULL,2,NULL,NULL),(15,308,3,34,9,2,5,NULL,4),(15,308,3,34,10,2,7,NULL,3),(15,308,3,34,11,NULL,8,NULL,2),(15,308,3,34,12,11,25,5,11),(15,308,3,34,13,3,10,1,4),(15,308,3,34,14,6,4,3,3),(15,308,3,34,15,10,10,2,5),(15,308,3,34,16,7,14,4,7),(15,308,3,34,17,23,14,11,4),(15,308,3,34,18,3,11,1,5),(15,308,3,34,19,8,7,4,3),(15,308,3,34,20,2,12,1,4),(15,308,3,34,21,5,NULL,3,NULL),(15,308,3,34,22,4,8,1,5),(15,308,3,34,23,1,4,1,1),(15,308,3,34,24,1,26,NULL,11),(15,308,3,34,25,1,8,NULL,2),(15,308,3,34,26,1,6,NULL,1),(15,308,3,34,27,NULL,4,NULL,NULL),(15,308,3,34,28,1,5,1,NULL),(15,308,3,34,29,1,25,1,10),(15,308,3,34,30,NULL,21,NULL,9),(15,309,1,11,1,NULL,NULL,NULL,NULL),(15,309,1,11,2,NULL,NULL,NULL,NULL),(15,309,1,11,3,NULL,NULL,NULL,NULL),(15,309,1,11,4,NULL,NULL,NULL,NULL),(15,309,1,11,5,NULL,NULL,NULL,NULL),(15,309,1,11,6,NULL,NULL,NULL,NULL),(15,309,1,11,7,NULL,NULL,NULL,NULL),(15,309,1,11,8,NULL,NULL,NULL,NULL),(15,309,1,11,9,NULL,NULL,NULL,NULL),(15,309,1,11,10,NULL,NULL,NULL,NULL),(15,309,1,11,11,NULL,NULL,NULL,NULL),(15,309,1,11,12,NULL,NULL,NULL,NULL),(15,309,1,11,13,NULL,NULL,NULL,NULL),(15,309,1,11,14,NULL,NULL,NULL,NULL),(15,309,1,11,15,NULL,NULL,NULL,NULL),(15,309,1,11,16,NULL,NULL,NULL,NULL),(15,309,1,11,17,NULL,NULL,NULL,NULL),(15,309,1,11,18,NULL,NULL,NULL,NULL),(15,309,1,11,19,NULL,NULL,NULL,NULL),(15,309,1,11,20,NULL,NULL,NULL,NULL),(15,309,1,12,1,NULL,NULL,NULL,NULL),(15,309,1,12,2,NULL,NULL,NULL,NULL),(15,309,1,12,3,NULL,NULL,NULL,NULL),(15,309,1,12,4,NULL,NULL,NULL,NULL),(15,309,1,12,5,NULL,NULL,NULL,NULL),(15,309,1,12,6,NULL,NULL,NULL,NULL),(15,309,1,12,7,NULL,NULL,NULL,NULL),(15,309,1,12,8,NULL,NULL,NULL,NULL),(15,309,1,12,9,NULL,NULL,NULL,NULL),(15,309,1,12,10,NULL,NULL,NULL,NULL),(15,309,1,12,11,NULL,NULL,NULL,NULL),(15,309,1,12,12,NULL,NULL,NULL,NULL),(15,309,1,12,13,NULL,NULL,NULL,NULL),(15,309,1,12,14,NULL,NULL,NULL,NULL),(15,309,1,12,15,NULL,NULL,NULL,NULL),(15,309,1,12,16,NULL,NULL,NULL,NULL),(15,309,1,12,17,NULL,NULL,NULL,NULL),(15,309,1,12,18,NULL,NULL,NULL,NULL),(15,309,1,12,19,NULL,NULL,NULL,NULL),(15,309,1,12,20,NULL,NULL,NULL,NULL),(15,309,1,13,1,1,NULL,1,NULL),(15,309,1,13,2,NULL,1,NULL,NULL),(15,309,1,13,3,NULL,1,NULL,NULL),(15,309,1,13,4,NULL,1,NULL,NULL),(15,309,1,13,5,NULL,1,NULL,NULL),(15,309,1,13,6,2,NULL,1,NULL),(15,309,1,13,7,2,NULL,1,NULL),(15,309,1,13,8,NULL,1,NULL,1),(15,309,1,13,9,NULL,NULL,NULL,NULL),(15,309,1,13,10,NULL,1,NULL,1),(15,309,1,13,11,1,1,1,NULL),(15,309,1,13,12,NULL,1,NULL,1),(15,309,1,13,13,1,NULL,1,NULL),(15,309,1,13,14,NULL,1,NULL,1),(15,309,1,13,15,1,NULL,1,NULL),(15,309,1,13,16,NULL,1,NULL,NULL),(15,309,1,13,17,NULL,NULL,NULL,NULL),(15,309,1,13,18,NULL,1,NULL,1),(15,309,1,13,19,1,NULL,1,NULL),(15,309,1,13,20,NULL,1,NULL,NULL),(15,309,1,14,1,4,2,2,1),(15,309,1,14,2,4,1,2,1),(15,309,1,14,3,3,6,1,4),(15,309,1,14,4,4,5,3,2),(15,309,1,14,5,NULL,4,NULL,2),(15,309,1,14,6,7,7,4,3),(15,309,1,14,7,3,2,1,2),(15,309,1,14,8,1,8,NULL,3),(15,309,1,14,9,5,NULL,4,NULL),(15,309,1,14,10,7,2,5,2),(15,309,1,14,11,1,3,1,3),(15,309,1,14,12,1,1,1,1),(15,309,1,14,13,1,3,1,2),(15,309,1,14,14,5,7,2,4),(15,309,1,14,15,4,NULL,3,NULL),(15,309,1,14,16,NULL,2,NULL,2),(15,309,1,14,17,3,NULL,2,NULL),(15,309,1,14,18,NULL,2,NULL,1),(15,309,1,14,19,2,1,2,1),(15,309,1,14,20,4,2,2,1),(15,309,1,15,1,3,6,2,5),(15,309,1,15,2,3,3,2,2),(15,309,1,15,3,2,6,2,4),(15,309,1,15,4,2,6,1,6),(15,309,1,15,5,NULL,7,NULL,6),(15,309,1,15,6,5,6,4,5),(15,309,1,15,7,3,3,2,3),(15,309,1,15,8,2,6,1,6),(15,309,1,15,9,4,NULL,3,NULL),(15,309,1,15,10,4,4,4,2),(15,309,1,15,11,NULL,5,NULL,4),(15,309,1,15,12,NULL,2,NULL,2),(15,309,1,15,13,NULL,7,NULL,5),(15,309,1,15,14,6,4,5,2),(15,309,1,15,15,8,NULL,8,NULL),(15,309,1,15,16,NULL,3,NULL,3),(15,309,1,15,17,3,2,3,1),(15,309,1,15,18,NULL,2,NULL,2),(15,309,1,15,19,4,3,3,2),(15,309,1,15,20,3,5,3,3),(15,309,1,16,1,14,20,8,15),(15,309,1,16,2,2,8,3,7),(15,309,1,16,3,9,25,7,13),(15,309,1,16,4,6,14,6,9),(15,309,1,16,5,2,19,2,16),(15,309,1,16,6,7,24,7,13),(15,309,1,16,7,14,9,11,6),(15,309,1,16,8,3,18,3,11),(15,309,1,16,9,13,NULL,11,NULL),(15,309,1,16,10,18,5,12,5),(15,309,1,16,11,17,15,11,13),(15,309,1,16,12,12,26,10,18),(15,309,1,16,13,9,35,5,22),(15,309,1,16,14,18,10,11,7),(15,309,1,16,15,2,12,2,9),(15,309,1,16,16,11,NULL,4,NULL),(15,309,1,16,17,11,20,7,13),(15,309,1,16,18,5,24,2,15),(15,309,1,16,19,6,5,3,4),(15,309,1,16,20,15,19,10,12),(15,309,1,17,1,9,17,3,11),(15,309,1,17,2,4,13,2,11),(15,309,1,17,3,7,26,6,16),(15,309,1,17,4,10,14,9,11),(15,309,1,17,5,4,16,2,13),(15,309,1,17,6,19,12,15,6),(15,309,1,17,7,19,5,15,3),(15,309,1,17,8,3,29,1,20),(15,309,1,17,9,15,NULL,14,NULL),(15,309,1,17,10,17,8,15,4),(15,309,1,17,11,22,9,15,7),(15,309,1,17,12,8,24,7,18),(15,309,1,17,13,2,35,2,21),(15,309,1,17,14,10,12,7,9),(15,309,1,17,15,2,11,2,7),(15,309,1,17,16,11,NULL,6,NULL),(15,309,1,17,17,12,13,10,9),(15,309,1,17,18,3,31,3,19),(15,309,1,17,19,3,6,2,4),(15,309,1,17,20,8,30,6,16),(15,309,2,21,1,2,1,2,1),(15,309,2,21,2,NULL,1,NULL,NULL),(15,309,2,21,3,3,6,NULL,4),(15,309,2,21,4,NULL,3,NULL,1),(15,309,2,21,5,3,9,3,6),(15,309,2,21,6,4,7,4,4),(15,309,2,21,7,1,1,NULL,1),(15,309,2,21,8,1,NULL,NULL,NULL),(15,309,2,21,9,1,7,1,5),(15,309,2,21,10,1,3,1,2),(15,309,2,21,11,5,8,3,1),(15,309,2,21,12,9,8,9,5),(15,309,2,21,13,6,6,4,3),(15,309,2,21,14,1,8,NULL,5),(15,309,2,21,15,6,11,5,7),(15,309,2,21,16,9,11,6,7),(15,309,2,21,17,3,10,1,6),(15,309,2,21,18,5,8,1,6),(15,309,2,21,19,3,6,1,4),(15,309,2,21,20,3,7,1,5),(15,309,2,21,21,1,1,1,1),(15,309,2,21,22,4,10,4,6),(15,309,2,21,23,5,11,4,7),(15,309,2,21,24,1,8,1,5),(15,309,2,21,25,5,NULL,2,NULL),(15,309,2,21,26,1,8,NULL,3),(15,309,2,21,27,3,6,1,3),(15,309,2,21,28,7,3,4,2),(15,309,2,21,29,8,13,3,8),(15,309,2,21,30,2,5,2,2),(15,309,2,22,1,NULL,2,NULL,3),(15,309,2,22,2,NULL,4,NULL,3),(15,309,2,22,3,NULL,5,NULL,3),(15,309,2,22,4,NULL,4,NULL,2),(15,309,2,22,5,2,9,1,4),(15,309,2,22,6,3,9,4,7),(15,309,2,22,7,NULL,1,1,1),(15,309,2,22,8,2,NULL,1,NULL),(15,309,2,22,9,1,3,NULL,4),(15,309,2,22,10,2,2,2,2),(15,309,2,22,11,2,3,1,3),(15,309,2,22,12,8,13,5,6),(15,309,2,22,13,9,10,7,6),(15,309,2,22,14,NULL,4,NULL,2),(15,309,2,22,15,6,8,5,4),(15,309,2,22,16,11,17,6,10),(15,309,2,22,17,NULL,7,NULL,1),(15,309,2,22,18,7,7,8,2),(15,309,2,22,19,4,9,3,7),(15,309,2,22,20,2,7,2,4),(15,309,2,22,21,NULL,1,NULL,1),(15,309,2,22,22,5,5,4,4),(15,309,2,22,23,1,10,NULL,7),(15,309,2,22,24,NULL,7,1,6),(15,309,2,22,25,11,NULL,7,NULL),(15,309,2,22,26,1,6,NULL,5),(15,309,2,22,27,3,6,2,6),(15,309,2,22,28,4,5,3,2),(15,309,2,22,29,6,18,3,12),(15,309,2,22,30,1,3,NULL,1),(15,309,2,23,1,NULL,1,NULL,1),(15,309,2,23,2,3,3,2,2),(15,309,2,23,3,1,2,1,1),(15,309,2,23,4,NULL,1,NULL,NULL),(15,309,2,23,5,3,5,1,2),(15,309,2,23,6,7,9,5,7),(15,309,2,23,7,3,NULL,3,NULL),(15,309,2,23,8,NULL,NULL,NULL,NULL),(15,309,2,23,9,2,3,1,1),(15,309,2,23,10,1,5,1,4),(15,309,2,23,11,3,6,3,5),(15,309,2,23,12,4,9,4,6),(15,309,2,23,13,5,1,4,1),(15,309,2,23,14,NULL,4,NULL,2),(15,309,2,23,15,2,9,2,7),(15,309,2,23,16,9,11,3,7),(15,309,2,23,17,1,7,1,3),(15,309,2,23,18,10,4,6,4),(15,309,2,23,19,NULL,10,NULL,8),(15,309,2,23,20,1,5,1,3),(15,309,2,23,21,1,2,1,1),(15,309,2,23,22,2,6,2,6),(15,309,2,23,23,3,7,3,6),(15,309,2,23,24,1,7,1,5),(15,309,2,23,25,3,NULL,3,NULL),(15,309,2,23,26,1,8,1,8),(15,309,2,23,27,1,7,1,5),(15,309,2,23,28,4,4,NULL,4),(15,309,2,23,29,6,14,2,10),(15,309,2,23,30,1,1,NULL,1),(15,309,2,24,1,1,2,1,1),(15,309,2,24,2,NULL,4,NULL,3),(15,309,2,24,3,1,8,NULL,4),(15,309,2,24,4,1,5,1,4),(15,309,2,24,5,9,6,7,5),(15,309,2,24,6,5,5,4,5),(15,309,2,24,7,NULL,NULL,NULL,NULL),(15,309,2,24,8,2,NULL,2,NULL),(15,309,2,24,9,NULL,4,NULL,3),(15,309,2,24,10,4,4,4,3),(15,309,2,24,11,2,5,2,2),(15,309,2,24,12,13,8,10,7),(15,309,2,24,13,6,4,5,4),(15,309,2,24,14,1,12,NULL,8),(15,309,2,24,15,6,7,5,5),(15,309,2,24,16,9,17,2,12),(15,309,2,24,17,1,7,1,5),(15,309,2,24,18,3,6,2,5),(15,309,2,24,19,1,11,1,8),(15,309,2,24,20,1,6,NULL,4),(15,309,2,24,21,1,NULL,NULL,NULL),(15,309,2,24,22,4,6,3,5),(15,309,2,24,23,NULL,10,NULL,10),(15,309,2,24,24,NULL,1,NULL,1),(15,309,2,24,25,8,NULL,7,NULL),(15,309,2,24,26,4,6,4,5),(15,309,2,24,27,2,6,1,6),(15,309,2,24,28,2,5,2,5),(15,309,2,24,29,6,18,3,16),(15,309,2,24,30,2,2,NULL,2),(15,309,3,31,1,18,16,11,10),(15,309,3,31,2,NULL,8,NULL,7),(15,309,3,31,3,7,5,4,3),(15,309,3,31,4,5,8,3,6),(15,309,3,31,5,1,4,1,3),(15,309,3,31,6,NULL,11,NULL,6),(15,309,3,31,7,NULL,1,NULL,NULL),(15,309,3,31,8,1,NULL,1,NULL),(15,309,3,31,9,NULL,2,NULL,2),(15,309,3,31,10,NULL,5,NULL,3),(15,309,3,31,11,1,2,1,1),(15,309,3,31,12,9,8,6,7),(15,309,3,31,13,1,8,1,5),(15,309,3,31,14,1,9,1,8),(15,309,3,31,15,7,7,5,5),(15,309,3,31,16,1,7,1,5),(15,309,3,31,17,10,15,5,10),(15,309,3,31,18,NULL,11,NULL,7),(15,309,3,31,19,4,9,3,8),(15,309,3,31,20,NULL,3,NULL,2),(15,309,3,31,21,3,NULL,3,NULL),(15,309,3,31,22,1,4,1,4),(15,309,3,31,23,NULL,4,NULL,4),(15,309,3,31,24,NULL,11,NULL,7),(15,309,3,31,25,1,4,1,3),(15,309,3,31,26,NULL,NULL,NULL,NULL),(15,309,3,31,27,1,1,1,NULL),(15,309,3,31,28,NULL,3,NULL,2),(15,309,3,31,29,NULL,13,NULL,11),(15,309,3,31,30,NULL,13,NULL,8),(15,309,3,32,1,13,16,9,8),(15,309,3,32,2,NULL,1,NULL,NULL),(15,309,3,32,3,5,4,3,3),(15,309,3,32,4,3,3,3,3),(15,309,3,32,5,3,8,1,7),(15,309,3,32,6,NULL,13,NULL,8),(15,309,3,32,7,NULL,4,NULL,3),(15,309,3,32,8,1,2,NULL,2),(15,309,3,32,9,NULL,2,NULL,1),(15,309,3,32,10,1,3,1,2),(15,309,3,32,11,NULL,3,NULL,2),(15,309,3,32,12,5,8,2,8),(15,309,3,32,13,2,6,2,4),(15,309,3,32,14,2,2,2,2),(15,309,3,32,15,8,4,6,2),(15,309,3,32,16,NULL,6,NULL,4),(15,309,3,32,17,5,8,3,7),(15,309,3,32,18,2,6,2,3),(15,309,3,32,19,6,5,2,5),(15,309,3,32,20,1,4,1,3),(15,309,3,32,21,2,NULL,2,NULL),(15,309,3,32,22,1,3,NULL,3),(15,309,3,32,23,NULL,2,NULL,1),(15,309,3,32,24,1,7,NULL,6),(15,309,3,32,25,NULL,4,NULL,3),(15,309,3,32,26,NULL,1,NULL,1),(15,309,3,32,27,1,2,NULL,2),(15,309,3,32,28,NULL,NULL,NULL,NULL),(15,309,3,32,29,NULL,8,NULL,6),(15,309,3,32,30,1,11,1,8),(15,309,3,33,1,15,18,8,11),(15,309,3,33,2,NULL,3,NULL,4),(15,309,3,33,3,8,7,3,7),(15,309,3,33,4,6,6,6,6),(15,309,3,33,5,4,8,3,3),(15,309,3,33,6,NULL,13,NULL,6),(15,309,3,33,7,NULL,4,NULL,1),(15,309,3,33,8,NULL,2,NULL,NULL),(15,309,3,33,9,1,5,NULL,3),(15,309,3,33,10,1,6,NULL,4),(15,309,3,33,11,NULL,4,NULL,2),(15,309,3,33,12,5,12,3,8),(15,309,3,33,13,2,9,1,6),(15,309,3,33,14,5,4,4,3),(15,309,3,33,15,8,9,6,9),(15,309,3,33,16,3,6,2,4),(15,309,3,33,17,9,10,9,6),(15,309,3,33,18,2,8,1,3),(15,309,3,33,19,3,5,3,4),(15,309,3,33,20,2,4,2,4),(15,309,3,33,21,2,NULL,2,NULL),(15,309,3,33,22,NULL,5,NULL,3),(15,309,3,33,23,NULL,2,NULL,1),(15,309,3,33,24,1,10,NULL,9),(15,309,3,33,25,NULL,3,NULL,3),(15,309,3,33,26,NULL,3,NULL,2),(15,309,3,33,27,NULL,3,NULL,3),(15,309,3,33,28,NULL,2,1,1),(15,309,3,33,29,NULL,13,NULL,9),(15,309,3,33,30,NULL,7,NULL,4),(15,309,3,34,1,13,20,9,10),(15,309,3,34,2,NULL,5,NULL,3),(15,309,3,34,3,3,6,2,2),(15,309,3,34,4,5,10,2,6),(15,309,3,34,5,2,13,1,9),(15,309,3,34,6,3,13,3,7),(15,309,3,34,7,NULL,2,NULL,NULL),(15,309,3,34,8,NULL,1,NULL,1),(15,309,3,34,9,NULL,1,NULL,NULL),(15,309,3,34,10,2,3,NULL,1),(15,309,3,34,11,3,3,2,4),(15,309,3,34,12,4,15,3,9),(15,309,3,34,13,1,5,NULL,5),(15,309,3,34,14,NULL,3,NULL,3),(15,309,3,34,15,2,9,2,5),(15,309,3,34,16,NULL,7,NULL,5),(15,309,3,34,17,9,12,7,10),(15,309,3,34,18,NULL,5,NULL,4),(15,309,3,34,19,3,5,2,4),(15,309,3,34,20,3,8,1,4),(15,309,3,34,21,3,NULL,1,NULL),(15,309,3,34,22,1,4,1,2),(15,309,3,34,23,1,NULL,NULL,NULL),(15,309,3,34,24,NULL,9,NULL,5),(15,309,3,34,25,NULL,4,NULL,2),(15,309,3,34,26,1,2,1,NULL),(15,309,3,34,27,NULL,NULL,NULL,NULL),(15,309,3,34,28,NULL,NULL,NULL,NULL),(15,309,3,34,29,NULL,17,NULL,7),(15,309,3,34,30,NULL,4,NULL,1),(15,310,1,11,1,NULL,NULL,NULL,NULL),(15,310,1,11,2,NULL,NULL,NULL,NULL),(15,310,1,11,3,NULL,NULL,NULL,NULL),(15,310,1,11,4,NULL,NULL,NULL,NULL),(15,310,1,11,5,NULL,NULL,NULL,NULL),(15,310,1,11,6,NULL,NULL,NULL,NULL),(15,310,1,11,7,NULL,NULL,NULL,NULL),(15,310,1,11,8,NULL,NULL,NULL,NULL),(15,310,1,11,9,NULL,NULL,NULL,NULL),(15,310,1,11,10,NULL,NULL,NULL,NULL),(15,310,1,11,11,NULL,NULL,NULL,NULL),(15,310,1,11,12,NULL,NULL,NULL,NULL),(15,310,1,11,13,NULL,NULL,NULL,NULL),(15,310,1,11,14,NULL,NULL,NULL,NULL),(15,310,1,11,15,NULL,NULL,NULL,NULL),(15,310,1,11,16,NULL,NULL,NULL,NULL),(15,310,1,11,17,NULL,NULL,NULL,NULL),(15,310,1,11,18,NULL,NULL,NULL,NULL),(15,310,1,11,19,NULL,NULL,NULL,NULL),(15,310,1,11,20,NULL,NULL,NULL,NULL),(15,310,1,12,1,3,NULL,2,NULL),(15,310,1,12,2,2,2,1,1),(15,310,1,12,3,NULL,5,NULL,2),(15,310,1,12,4,2,2,1,1),(15,310,1,12,5,1,2,NULL,1),(15,310,1,12,6,NULL,3,NULL,1),(15,310,1,12,7,5,NULL,2,NULL),(15,310,1,12,8,1,2,1,1),(15,310,1,12,9,3,NULL,2,NULL),(15,310,1,12,10,4,1,2,NULL),(15,310,1,12,11,2,NULL,1,NULL),(15,310,1,12,12,2,3,1,1),(15,310,1,12,13,3,1,2,NULL),(15,310,1,12,14,5,NULL,2,NULL),(15,310,1,12,15,3,2,2,NULL),(15,310,1,12,16,4,NULL,2,NULL),(15,310,1,12,17,3,NULL,2,NULL),(15,310,1,12,18,4,1,2,NULL),(15,310,1,12,19,3,NULL,2,NULL),(15,310,1,12,20,1,NULL,1,NULL),(15,310,1,13,1,NULL,NULL,NULL,NULL),(15,310,1,13,2,NULL,NULL,NULL,NULL),(15,310,1,13,3,NULL,NULL,NULL,NULL),(15,310,1,13,4,NULL,NULL,NULL,NULL),(15,310,1,13,5,NULL,NULL,NULL,NULL),(15,310,1,13,6,NULL,NULL,NULL,NULL),(15,310,1,13,7,NULL,NULL,NULL,NULL),(15,310,1,13,8,NULL,NULL,NULL,NULL),(15,310,1,13,9,NULL,NULL,NULL,NULL),(15,310,1,13,10,NULL,NULL,NULL,NULL),(15,310,1,13,11,NULL,NULL,NULL,NULL),(15,310,1,13,12,NULL,NULL,NULL,NULL),(15,310,1,13,13,NULL,NULL,NULL,NULL),(15,310,1,13,14,NULL,NULL,NULL,NULL),(15,310,1,13,15,NULL,NULL,NULL,NULL),(15,310,1,13,16,NULL,NULL,NULL,NULL),(15,310,1,13,17,NULL,NULL,NULL,NULL),(15,310,1,13,18,NULL,NULL,NULL,NULL),(15,310,1,13,19,NULL,NULL,NULL,NULL),(15,310,1,13,20,NULL,NULL,NULL,NULL),(15,310,1,14,1,12,11,7,7),(15,310,1,14,2,6,14,4,10),(15,310,1,14,3,6,12,4,8),(15,310,1,14,4,12,8,9,3),(15,310,1,14,5,1,9,1,5),(15,310,1,14,6,7,10,2,7),(15,310,1,14,7,9,2,7,NULL),(15,310,1,14,8,8,12,3,8),(15,310,1,14,9,8,NULL,7,NULL),(15,310,1,14,10,15,6,12,3),(15,310,1,14,11,2,8,2,3),(15,310,1,14,12,5,9,4,6),(15,310,1,14,13,6,6,5,4),(15,310,1,14,14,14,8,9,5),(15,310,1,14,15,16,NULL,11,NULL),(15,310,1,14,16,6,5,5,3),(15,310,1,14,17,13,NULL,10,NULL),(15,310,1,14,18,4,4,4,4),(15,310,1,14,19,13,3,11,1),(15,310,1,14,20,5,8,4,4),(15,310,1,15,1,12,9,9,1),(15,310,1,15,2,2,11,2,3),(15,310,1,15,3,3,12,2,6),(15,310,1,15,4,6,9,3,2),(15,310,1,15,5,4,9,2,5),(15,310,1,15,6,7,13,3,6),(15,310,1,15,7,7,5,4,3),(15,310,1,15,8,7,8,4,4),(15,310,1,15,9,11,NULL,4,NULL),(15,310,1,15,10,14,2,6,1),(15,310,1,15,11,1,5,1,3),(15,310,1,15,12,4,6,3,3),(15,310,1,15,13,7,3,3,1),(15,310,1,15,14,12,5,7,1),(15,310,1,15,15,19,NULL,10,NULL),(15,310,1,15,16,4,5,2,3),(15,310,1,15,17,9,5,6,1),(15,310,1,15,18,2,7,1,4),(15,310,1,15,19,8,5,6,2),(15,310,1,15,20,12,5,6,2),(15,310,1,16,1,7,6,3,2),(15,310,1,16,2,2,6,1,NULL),(15,310,1,16,3,4,4,NULL,3),(15,310,1,16,4,7,6,1,2),(15,310,1,16,5,3,4,1,1),(15,310,1,16,6,5,8,1,3),(15,310,1,16,7,4,5,2,1),(15,310,1,16,8,3,6,1,2),(15,310,1,16,9,3,NULL,NULL,NULL),(15,310,1,16,10,11,NULL,4,NULL),(15,310,1,16,11,5,3,3,1),(15,310,1,16,12,7,9,3,2),(15,310,1,16,13,1,13,NULL,5),(15,310,1,16,14,1,9,NULL,3),(15,310,1,16,15,1,1,1,NULL),(15,310,1,16,16,7,NULL,2,NULL),(15,310,1,16,17,4,3,2,1),(15,310,1,16,18,3,6,1,1),(15,310,1,16,19,1,1,1,NULL),(15,310,1,16,20,4,9,3,1),(15,310,1,17,1,9,7,3,3),(15,310,1,17,2,5,5,3,2),(15,310,1,17,3,1,8,1,1),(15,310,1,17,4,3,6,1,2),(15,310,1,17,5,1,6,NULL,1),(15,310,1,17,6,5,7,3,2),(15,310,1,17,7,3,4,NULL,1),(15,310,1,17,8,4,5,2,2),(15,310,1,17,9,3,NULL,1,NULL),(15,310,1,17,10,5,2,3,NULL),(15,310,1,17,11,10,3,4,1),(15,310,1,17,12,6,11,2,4),(15,310,1,17,13,2,13,NULL,5),(15,310,1,17,14,3,11,2,5),(15,310,1,17,15,2,4,1,1),(15,310,1,17,16,4,NULL,3,NULL),(15,310,1,17,17,7,6,3,3),(15,310,1,17,18,3,7,1,2),(15,310,1,17,19,NULL,NULL,NULL,NULL),(15,310,1,17,20,3,10,2,4),(15,310,2,21,1,1,3,1,2),(15,310,2,21,2,3,2,2,2),(15,310,2,21,3,3,5,NULL,1),(15,310,2,21,4,2,4,1,2),(15,310,2,21,5,7,8,3,2),(15,310,2,21,6,5,4,1,3),(15,310,2,21,7,2,2,1,1),(15,310,2,21,8,1,NULL,1,NULL),(15,310,2,21,9,3,5,2,2),(15,310,2,21,10,3,1,3,1),(15,310,2,21,11,6,7,3,4),(15,310,2,21,12,10,5,5,2),(15,310,2,21,13,11,3,4,2),(15,310,2,21,14,7,9,3,5),(15,310,2,21,15,9,12,4,5),(15,310,2,21,16,13,12,5,4),(15,310,2,21,17,4,5,NULL,2),(15,310,2,21,18,5,8,1,2),(15,310,2,21,19,5,14,2,6),(15,310,2,21,20,8,9,2,4),(15,310,2,21,21,1,3,1,NULL),(15,310,2,21,22,8,7,4,3),(15,310,2,21,23,2,4,2,1),(15,310,2,21,24,2,9,1,5),(15,310,2,21,25,11,NULL,5,NULL),(15,310,2,21,26,3,3,2,NULL),(15,310,2,21,27,1,4,NULL,2),(15,310,2,21,28,3,6,1,3),(15,310,2,21,29,9,17,5,4),(15,310,2,21,30,NULL,7,NULL,5),(15,310,2,22,1,NULL,4,NULL,3),(15,310,2,22,2,NULL,3,NULL,1),(15,310,2,22,3,NULL,6,NULL,3),(15,310,2,22,4,3,3,3,3),(15,310,2,22,5,5,5,4,4),(15,310,2,22,6,3,7,2,4),(15,310,2,22,7,3,NULL,3,NULL),(15,310,2,22,8,NULL,NULL,NULL,NULL),(15,310,2,22,9,2,4,2,3),(15,310,2,22,10,2,1,2,NULL),(15,310,2,22,11,3,5,2,3),(15,310,2,22,12,12,3,9,2),(15,310,2,22,13,5,4,5,2),(15,310,2,22,14,1,4,NULL,3),(15,310,2,22,15,6,9,4,6),(15,310,2,22,16,10,6,7,4),(15,310,2,22,17,2,7,2,6),(15,310,2,22,18,7,4,5,3),(15,310,2,22,19,2,8,2,4),(15,310,2,22,20,7,7,6,5),(15,310,2,22,21,NULL,4,NULL,4),(15,310,2,22,22,3,5,3,2),(15,310,2,22,23,5,2,3,2),(15,310,2,22,24,1,11,1,8),(15,310,2,22,25,13,NULL,10,NULL),(15,310,2,22,26,3,3,3,1),(15,310,2,22,27,2,7,2,7),(15,310,2,22,28,1,6,NULL,5),(15,310,2,22,29,8,7,6,7),(15,310,2,22,30,1,6,NULL,4),(15,310,2,23,1,3,2,1,1),(15,310,2,23,2,NULL,2,NULL,1),(15,310,2,23,3,NULL,3,NULL,1),(15,310,2,23,4,2,NULL,2,NULL),(15,310,2,23,5,3,4,3,2),(15,310,2,23,6,3,3,1,1),(15,310,2,23,7,1,2,1,1),(15,310,2,23,8,1,NULL,NULL,NULL),(15,310,2,23,9,NULL,6,NULL,4),(15,310,2,23,10,1,1,1,1),(15,310,2,23,11,2,5,2,3),(15,310,2,23,12,8,5,4,3),(15,310,2,23,13,12,1,8,NULL),(15,310,2,23,14,2,6,NULL,3),(15,310,2,23,15,7,2,3,NULL),(15,310,2,23,16,8,8,6,3),(15,310,2,23,17,3,3,1,2),(15,310,2,23,18,5,4,2,4),(15,310,2,23,19,5,6,3,4),(15,310,2,23,20,4,9,3,6),(15,310,2,23,21,NULL,NULL,NULL,NULL),(15,310,2,23,22,5,5,4,3),(15,310,2,23,23,2,3,1,3),(15,310,2,23,24,2,3,1,1),(15,310,2,23,25,11,NULL,7,NULL),(15,310,2,23,26,1,2,NULL,2),(15,310,2,23,27,NULL,8,NULL,5),(15,310,2,23,28,1,6,1,3),(15,310,2,23,29,6,14,4,7),(15,310,2,23,30,1,5,NULL,4),(15,310,2,24,1,NULL,4,NULL,2),(15,310,2,24,2,2,NULL,1,NULL),(15,310,2,24,3,NULL,2,NULL,1),(15,310,2,24,4,NULL,2,NULL,1),(15,310,2,24,5,6,3,3,NULL),(15,310,2,24,6,NULL,3,NULL,NULL),(15,310,2,24,7,1,1,1,NULL),(15,310,2,24,8,2,NULL,1,NULL),(15,310,2,24,9,NULL,5,NULL,2),(15,310,2,24,10,2,1,2,NULL),(15,310,2,24,11,2,3,1,1),(15,310,2,24,12,3,6,2,2),(15,310,2,24,13,8,3,3,NULL),(15,310,2,24,14,NULL,6,NULL,1),(15,310,2,24,15,5,4,2,2),(15,310,2,24,16,7,10,3,2),(15,310,2,24,17,2,5,NULL,3),(15,310,2,24,18,NULL,5,NULL,1),(15,310,2,24,19,1,7,NULL,3),(15,310,2,24,20,2,9,1,3),(15,310,2,24,21,1,NULL,1,NULL),(15,310,2,24,22,5,2,3,1),(15,310,2,24,23,NULL,6,NULL,2),(15,310,2,24,24,4,5,1,3),(15,310,2,24,25,6,NULL,4,NULL),(15,310,2,24,26,NULL,4,NULL,1),(15,310,2,24,27,1,5,1,3),(15,310,2,24,28,1,3,1,1),(15,310,2,24,29,5,8,3,2),(15,310,2,24,30,NULL,2,NULL,2),(15,310,3,31,1,9,9,2,3),(15,310,3,31,2,2,2,2,1),(15,310,3,31,3,2,4,1,1),(15,310,3,31,4,3,4,2,1),(15,310,3,31,5,3,7,2,1),(15,310,3,31,6,1,7,1,3),(15,310,3,31,7,NULL,3,NULL,1),(15,310,3,31,8,1,1,1,1),(15,310,3,31,9,4,NULL,2,NULL),(15,310,3,31,10,1,1,NULL,1),(15,310,3,31,11,1,4,NULL,1),(15,310,3,31,12,4,8,NULL,3),(15,310,3,31,13,1,4,1,2),(15,310,3,31,14,4,3,4,NULL),(15,310,3,31,15,7,3,4,1),(15,310,3,31,16,3,8,NULL,3),(15,310,3,31,17,7,6,2,2),(15,310,3,31,18,2,4,1,1),(15,310,3,31,19,3,4,2,NULL),(15,310,3,31,20,2,2,1,1),(15,310,3,31,21,2,NULL,1,NULL),(15,310,3,31,22,1,1,1,1),(15,310,3,31,23,NULL,1,NULL,1),(15,310,3,31,24,1,9,NULL,4),(15,310,3,31,25,NULL,2,NULL,NULL),(15,310,3,31,26,NULL,NULL,NULL,NULL),(15,310,3,31,27,NULL,NULL,NULL,NULL),(15,310,3,31,28,2,NULL,1,NULL),(15,310,3,31,29,NULL,5,NULL,1),(15,310,3,31,30,NULL,4,NULL,2),(15,310,3,32,1,10,9,6,5),(15,310,3,32,2,NULL,6,NULL,2),(15,310,3,32,3,5,2,4,1),(15,310,3,32,4,6,2,3,2),(15,310,3,32,5,2,5,2,2),(15,310,3,32,6,NULL,8,NULL,4),(15,310,3,32,7,NULL,7,NULL,5),(15,310,3,32,8,NULL,NULL,NULL,NULL),(15,310,3,32,9,NULL,1,NULL,NULL),(15,310,3,32,10,2,7,2,5),(15,310,3,32,11,NULL,5,NULL,2),(15,310,3,32,12,10,4,5,2),(15,310,3,32,13,NULL,6,NULL,4),(15,310,3,32,14,5,5,3,3),(15,310,3,32,15,10,5,7,3),(15,310,3,32,16,5,9,4,4),(15,310,3,32,17,12,5,8,2),(15,310,3,32,18,4,4,3,3),(15,310,3,32,19,2,3,1,2),(15,310,3,32,20,3,3,3,1),(15,310,3,32,21,1,NULL,NULL,NULL),(15,310,3,32,22,NULL,5,NULL,5),(15,310,3,32,23,NULL,NULL,NULL,NULL),(15,310,3,32,24,2,6,1,3),(15,310,3,32,25,NULL,3,NULL,2),(15,310,3,32,26,NULL,NULL,NULL,NULL),(15,310,3,32,27,1,5,NULL,3),(15,310,3,32,28,NULL,1,NULL,1),(15,310,3,32,29,NULL,15,NULL,8),(15,310,3,32,30,NULL,6,NULL,3),(15,310,3,33,1,12,8,9,6),(15,310,3,33,2,NULL,8,NULL,7),(15,310,3,33,3,4,4,2,3),(15,310,3,33,4,9,2,8,1),(15,310,3,33,5,4,7,4,6),(15,310,3,33,6,2,7,2,5),(15,310,3,33,7,1,5,1,4),(15,310,3,33,8,NULL,1,NULL,NULL),(15,310,3,33,9,1,3,1,2),(15,310,3,33,10,1,6,1,4),(15,310,3,33,11,NULL,NULL,NULL,NULL),(15,310,3,33,12,8,7,4,5),(15,310,3,33,13,1,7,NULL,5),(15,310,3,33,14,12,4,10,2),(15,310,3,33,15,10,6,10,3),(15,310,3,33,16,7,5,5,5),(15,310,3,33,17,15,5,11,3),(15,310,3,33,18,5,6,4,5),(15,310,3,33,19,7,4,5,3),(15,310,3,33,20,3,3,2,3),(15,310,3,33,21,5,NULL,5,NULL),(15,310,3,33,22,NULL,5,NULL,4),(15,310,3,33,23,1,4,NULL,2),(15,310,3,33,24,NULL,8,NULL,7),(15,310,3,33,25,1,1,1,NULL),(15,310,3,33,26,NULL,NULL,NULL,NULL),(15,310,3,33,27,NULL,3,NULL,2),(15,310,3,33,28,NULL,3,NULL,2),(15,310,3,33,29,NULL,9,NULL,6),(15,310,3,33,30,NULL,5,NULL,3),(15,310,3,34,1,16,13,5,4),(15,310,3,34,2,NULL,8,NULL,4),(15,310,3,34,3,7,4,3,2),(15,310,3,34,4,12,4,6,2),(15,310,3,34,5,3,8,1,5),(15,310,3,34,6,2,12,NULL,4),(15,310,3,34,7,NULL,3,NULL,2),(15,310,3,34,8,NULL,1,NULL,1),(15,310,3,34,9,1,6,1,1),(15,310,3,34,10,3,10,NULL,6),(15,310,3,34,11,1,4,NULL,1),(15,310,3,34,12,12,11,5,3),(15,310,3,34,13,2,6,NULL,3),(15,310,3,34,14,12,7,5,2),(15,310,3,34,15,15,3,4,2),(15,310,3,34,16,10,9,4,3),(15,310,3,34,17,18,7,8,NULL),(15,310,3,34,18,6,12,2,4),(15,310,3,34,19,5,2,3,1),(15,310,3,34,20,4,4,2,NULL),(15,310,3,34,21,4,NULL,1,NULL),(15,310,3,34,22,3,1,3,1),(15,310,3,34,23,NULL,3,NULL,1),(15,310,3,34,24,3,13,2,6),(15,310,3,34,25,NULL,4,NULL,3),(15,310,3,34,26,NULL,2,NULL,2),(15,310,3,34,27,NULL,1,NULL,NULL),(15,310,3,34,28,1,3,NULL,2),(15,310,3,34,29,NULL,15,NULL,4),(15,310,3,34,30,NULL,12,NULL,4),(15,316,1,11,1,NULL,1,NULL,NULL),(15,316,1,11,2,1,NULL,NULL,NULL),(15,316,1,11,3,NULL,NULL,NULL,NULL),(15,316,1,11,4,NULL,NULL,NULL,NULL),(15,316,1,11,5,NULL,NULL,NULL,NULL),(15,316,1,11,6,NULL,2,NULL,NULL),(15,316,1,11,7,NULL,NULL,NULL,NULL),(15,316,1,11,8,NULL,2,NULL,NULL),(15,316,1,11,9,2,NULL,NULL,NULL),(15,316,1,11,10,1,NULL,NULL,NULL),(15,316,1,11,11,1,1,NULL,NULL),(15,316,1,11,12,1,1,NULL,NULL),(15,316,1,11,13,1,NULL,NULL,NULL),(15,316,1,11,14,1,NULL,NULL,NULL),(15,316,1,11,15,2,NULL,NULL,NULL),(15,316,1,11,16,1,NULL,NULL,NULL),(15,316,1,11,17,1,NULL,NULL,NULL),(15,316,1,11,18,1,NULL,NULL,NULL),(15,316,1,11,19,1,NULL,NULL,NULL),(15,316,1,11,20,2,NULL,NULL,NULL),(15,316,1,12,1,1,NULL,1,NULL),(15,316,1,12,2,NULL,NULL,NULL,NULL),(15,316,1,12,3,1,NULL,1,NULL),(15,316,1,12,4,NULL,1,NULL,1),(15,316,1,12,5,NULL,1,NULL,1),(15,316,1,12,6,NULL,NULL,NULL,NULL),(15,316,1,12,7,1,NULL,1,NULL),(15,316,1,12,8,NULL,2,NULL,1),(15,316,1,12,9,NULL,NULL,NULL,NULL),(15,316,1,12,10,NULL,NULL,NULL,NULL),(15,316,1,12,11,1,1,1,NULL),(15,316,1,12,12,1,1,1,NULL),(15,316,1,12,13,2,NULL,1,NULL),(15,316,1,12,14,2,NULL,1,NULL),(15,316,1,12,15,2,NULL,1,NULL),(15,316,1,12,16,NULL,2,NULL,1),(15,316,1,12,17,2,NULL,1,NULL),(15,316,1,12,18,NULL,1,NULL,NULL),(15,316,1,12,19,2,NULL,1,NULL),(15,316,1,12,20,1,NULL,NULL,NULL),(15,316,1,13,1,3,2,1,1),(15,316,1,13,2,NULL,2,NULL,1),(15,316,1,13,3,NULL,5,NULL,2),(15,316,1,13,4,2,2,NULL,2),(15,316,1,13,5,NULL,3,NULL,1),(15,316,1,13,6,1,3,1,1),(15,316,1,13,7,NULL,1,NULL,1),(15,316,1,13,8,1,4,1,1),(15,316,1,13,9,3,NULL,1,NULL),(15,316,1,13,10,3,1,1,NULL),(15,316,1,13,11,4,NULL,2,NULL),(15,316,1,13,12,5,NULL,2,NULL),(15,316,1,13,13,1,2,NULL,2),(15,316,1,13,14,4,NULL,2,NULL),(15,316,1,13,15,4,NULL,2,NULL),(15,316,1,13,16,5,NULL,2,NULL),(15,316,1,13,17,3,1,1,1),(15,316,1,13,18,2,1,1,1),(15,316,1,13,19,2,2,1,1),(15,316,1,13,20,2,2,NULL,2),(15,316,1,14,1,100,64,27,9),(15,316,1,14,2,53,45,13,14),(15,316,1,14,3,18,101,5,23),(15,316,1,14,4,39,72,9,22),(15,316,1,14,5,28,72,10,15),(15,316,1,14,6,85,68,16,16),(15,316,1,14,7,68,24,21,4),(15,316,1,14,8,54,94,12,18),(15,316,1,14,9,68,NULL,20,NULL),(15,316,1,14,10,101,30,23,9),(15,316,1,14,11,22,52,11,11),(15,316,1,14,12,13,42,6,15),(15,316,1,14,13,43,41,14,9),(15,316,1,14,14,81,83,17,18),(15,316,1,14,15,125,NULL,31,NULL),(15,316,1,14,16,35,35,11,7),(15,316,1,14,17,63,23,22,7),(15,316,1,14,18,30,36,11,12),(15,316,1,14,19,53,44,20,9),(15,316,1,14,20,87,37,24,9),(15,316,1,15,1,86,67,11,4),(15,316,1,15,2,45,48,9,4),(15,316,1,15,3,22,79,7,9),(15,316,1,15,4,42,57,8,9),(15,316,1,15,5,17,76,4,10),(15,316,1,15,6,73,72,9,5),(15,316,1,15,7,55,28,11,3),(15,316,1,15,8,51,99,8,8),(15,316,1,15,9,61,NULL,8,NULL),(15,316,1,15,10,95,25,11,2),(15,316,1,15,11,19,43,5,7),(15,316,1,15,12,19,44,4,5),(15,316,1,15,13,32,39,7,5),(15,316,1,15,14,72,65,11,5),(15,316,1,15,15,117,NULL,14,NULL),(15,316,1,15,16,22,30,9,3),(15,316,1,15,17,40,26,8,2),(15,316,1,15,18,18,33,4,4),(15,316,1,15,19,50,41,8,5),(15,316,1,15,20,63,41,8,6),(15,316,1,16,1,66,75,5,8),(15,316,1,16,2,33,50,2,7),(15,316,1,16,3,21,100,4,11),(15,316,1,16,4,33,70,6,10),(15,316,1,16,5,20,81,4,10),(15,316,1,16,6,60,73,7,3),(15,316,1,16,7,71,31,9,5),(15,316,1,16,8,28,122,6,10),(15,316,1,16,9,69,NULL,7,NULL),(15,316,1,16,10,65,35,6,6),(15,316,1,16,11,71,65,8,6),(15,316,1,16,12,74,100,9,7),(15,316,1,16,13,29,146,1,15),(15,316,1,16,14,46,72,5,10),(15,316,1,16,15,28,43,6,3),(15,316,1,16,16,61,NULL,8,NULL),(15,316,1,16,17,46,68,6,8),(15,316,1,16,18,31,96,2,9),(15,316,1,16,19,18,23,NULL,2),(15,316,1,16,20,47,93,3,10),(15,316,1,17,1,70,70,8,5),(15,316,1,17,2,27,50,7,5),(15,316,1,17,3,24,86,4,8),(15,316,1,17,4,47,57,4,7),(15,316,1,17,5,14,80,1,8),(15,316,1,17,6,63,58,6,3),(15,316,1,17,7,65,28,10,1),(15,316,1,17,8,32,106,5,7),(15,316,1,17,9,64,NULL,10,NULL),(15,316,1,17,10,67,32,8,3),(15,316,1,17,11,66,58,9,4),(15,316,1,17,12,53,98,5,10),(15,316,1,17,13,21,139,NULL,13),(15,316,1,17,14,41,81,6,5),(15,316,1,17,15,17,40,1,2),(15,316,1,17,16,65,NULL,6,NULL),(15,316,1,17,17,39,72,3,8),(15,316,1,17,18,34,79,2,3),(15,316,1,17,19,18,20,1,2),(15,316,1,17,20,35,101,5,9),(15,316,2,21,1,9,35,2,10),(15,316,2,21,2,5,15,3,2),(15,316,2,21,3,12,22,3,NULL),(15,316,2,21,4,14,20,9,4),(15,316,2,21,5,38,49,10,6),(15,316,2,21,6,36,27,5,3),(15,316,2,21,7,7,9,4,NULL),(15,316,2,21,8,8,NULL,2,NULL),(15,316,2,21,9,16,28,7,1),(15,316,2,21,10,19,17,5,2),(15,316,2,21,11,24,37,6,6),(15,316,2,21,12,59,71,4,11),(15,316,2,21,13,75,32,12,4),(15,316,2,21,14,13,58,2,15),(15,316,2,21,15,31,60,5,9),(15,316,2,21,16,85,74,9,10),(15,316,2,21,17,18,58,7,8),(15,316,2,21,18,46,34,8,5),(15,316,2,21,19,25,78,NULL,14),(15,316,2,21,20,31,67,9,6),(15,316,2,21,21,11,21,3,5),(15,316,2,21,22,71,38,11,4),(15,316,2,21,23,30,45,8,4),(15,316,2,21,24,23,72,8,6),(15,316,2,21,25,93,NULL,12,NULL),(15,316,2,21,26,12,34,4,5),(15,316,2,21,27,9,53,3,11),(15,316,2,21,28,21,44,7,7),(15,316,2,21,29,53,107,11,6),(15,316,2,21,30,16,31,6,5),(15,316,2,22,1,10,31,2,7),(15,316,2,22,2,6,18,1,4),(15,316,2,22,3,14,24,4,4),(15,316,2,22,4,13,18,5,2),(15,316,2,22,5,47,50,12,3),(15,316,2,22,6,35,34,7,5),(15,316,2,22,7,12,12,4,4),(15,316,2,22,8,15,NULL,2,NULL),(15,316,2,22,9,19,32,3,6),(15,316,2,22,10,33,14,6,NULL),(15,316,2,22,11,28,41,8,7),(15,316,2,22,12,73,66,12,9),(15,316,2,22,13,88,29,17,5),(15,316,2,22,14,7,57,1,14),(15,316,2,22,15,44,61,12,7),(15,316,2,22,16,82,78,16,5),(15,316,2,22,17,12,57,5,10),(15,316,2,22,18,60,37,10,11),(15,316,2,22,19,25,91,1,16),(15,316,2,22,20,46,62,13,6),(15,316,2,22,21,8,20,3,2),(15,316,2,22,22,63,48,10,6),(15,316,2,22,23,27,55,9,6),(15,316,2,22,24,20,77,4,17),(15,316,2,22,25,108,NULL,22,NULL),(15,316,2,22,26,13,33,2,8),(15,316,2,22,27,13,51,4,15),(15,316,2,22,28,15,47,2,14),(15,316,2,22,29,70,99,18,4),(15,316,2,22,30,11,36,8,10),(15,316,2,23,1,9,35,3,4),(15,316,2,23,2,10,16,4,3),(15,316,2,23,3,15,28,3,2),(15,316,2,23,4,12,19,4,4),(15,316,2,23,5,45,40,10,4),(15,316,2,23,6,42,37,6,9),(15,316,2,23,7,13,11,4,2),(15,316,2,23,8,5,NULL,1,NULL),(15,316,2,23,9,16,31,4,7),(15,316,2,23,10,30,21,8,3),(15,316,2,23,11,26,34,6,3),(15,316,2,23,12,68,60,12,5),(15,316,2,23,13,76,40,13,7),(15,316,2,23,14,5,48,2,5),(15,316,2,23,15,41,57,7,10),(15,316,2,23,16,87,81,12,12),(15,316,2,23,17,16,55,3,11),(15,316,2,23,18,62,50,14,6),(15,316,2,23,19,18,77,4,10),(15,316,2,23,20,44,54,9,11),(15,316,2,23,21,18,19,5,5),(15,316,2,23,22,72,44,10,3),(15,316,2,23,23,34,64,8,9),(15,316,2,23,24,20,66,5,13),(15,316,2,23,25,102,NULL,20,NULL),(15,316,2,23,26,18,39,2,6),(15,316,2,23,27,21,46,3,13),(15,316,2,23,28,16,59,3,15),(15,316,2,23,29,63,121,12,11),(15,316,2,23,30,16,37,5,9),(15,316,2,24,1,12,27,3,7),(15,316,2,24,2,5,14,1,3),(15,316,2,24,3,12,31,1,5),(15,316,2,24,4,15,26,5,6),(15,316,2,24,5,49,43,11,6),(15,316,2,24,6,33,33,4,3),(15,316,2,24,7,13,2,8,1),(15,316,2,24,8,10,NULL,NULL,NULL),(15,316,2,24,9,12,28,6,5),(15,316,2,24,10,27,14,6,1),(15,316,2,24,11,27,44,6,5),(15,316,2,24,12,62,62,6,8),(15,316,2,24,13,67,29,13,4),(15,316,2,24,14,15,53,4,10),(15,316,2,24,15,42,57,8,9),(15,316,2,24,16,80,81,12,7),(15,316,2,24,17,22,52,4,6),(15,316,2,24,18,61,26,7,3),(15,316,2,24,19,21,85,4,12),(15,316,2,24,20,39,64,7,11),(15,316,2,24,21,15,26,9,3),(15,316,2,24,22,75,42,12,4),(15,316,2,24,23,25,53,9,5),(15,316,2,24,24,21,50,6,9),(15,316,2,24,25,91,NULL,18,NULL),(15,316,2,24,26,17,33,5,4),(15,316,2,24,27,10,61,NULL,12),(15,316,2,24,28,16,40,7,7),(15,316,2,24,29,74,97,15,5),(15,316,2,24,30,11,31,5,5),(15,316,3,31,1,109,85,14,6),(15,316,3,31,2,8,47,6,8),(15,316,3,31,3,49,29,12,3),(15,316,3,31,4,78,33,15,1),(15,316,3,31,5,26,68,7,11),(15,316,3,31,6,9,96,3,13),(15,316,3,31,7,6,32,3,5),(15,316,3,31,8,5,9,3,3),(15,316,3,31,9,12,43,3,8),(15,316,3,31,10,17,39,3,7),(15,316,3,31,11,4,22,1,4),(15,316,3,31,12,46,59,10,7),(15,316,3,31,13,15,39,5,3),(15,316,3,31,14,42,34,7,5),(15,316,3,31,15,60,50,12,7),(15,316,3,31,16,26,53,8,5),(15,316,3,31,17,91,60,15,4),(15,316,3,31,18,17,48,7,4),(15,316,3,31,19,24,25,2,3),(15,316,3,31,20,13,34,5,3),(15,316,3,31,21,15,NULL,5,NULL),(15,316,3,31,22,12,35,4,8),(15,316,3,31,23,4,15,1,2),(15,316,3,31,24,12,84,6,11),(15,316,3,31,25,9,20,2,5),(15,316,3,31,26,3,19,2,2),(15,316,3,31,27,5,19,1,7),(15,316,3,31,28,3,20,1,1),(15,316,3,31,29,1,87,1,15),(15,316,3,31,30,5,57,4,8),(15,316,3,32,1,118,93,16,9),(15,316,3,32,2,7,59,2,9),(15,316,3,32,3,44,36,10,7),(15,316,3,32,4,73,38,15,8),(15,316,3,32,5,33,64,5,11),(15,316,3,32,6,8,99,4,11),(15,316,3,32,7,4,42,2,8),(15,316,3,32,8,12,9,5,3),(15,316,3,32,9,14,35,8,6),(15,316,3,32,10,20,41,8,9),(15,316,3,32,11,3,26,NULL,6),(15,316,3,32,12,46,58,10,11),(15,316,3,32,13,20,53,1,7),(15,316,3,32,14,41,35,12,5),(15,316,3,32,15,60,45,12,5),(15,316,3,32,16,20,62,4,13),(15,316,3,32,17,82,70,17,5),(15,316,3,32,18,22,41,3,4),(15,316,3,32,19,33,35,6,8),(15,316,3,32,20,8,41,2,10),(15,316,3,32,21,19,NULL,6,NULL),(15,316,3,32,22,11,38,1,4),(15,316,3,32,23,1,19,NULL,9),(15,316,3,32,24,8,92,2,17),(15,316,3,32,25,5,17,2,3),(15,316,3,32,26,3,21,NULL,4),(15,316,3,32,27,6,13,1,5),(15,316,3,32,28,4,10,NULL,1),(15,316,3,32,29,3,100,3,16),(15,316,3,32,30,4,71,2,9),(15,316,3,33,1,100,98,17,7),(15,316,3,33,2,7,44,3,10),(15,316,3,33,3,48,45,12,6),(15,316,3,33,4,69,39,11,9),(15,316,3,33,5,32,63,8,11),(15,316,3,33,6,9,93,4,13),(15,316,3,33,7,5,43,3,10),(15,316,3,33,8,11,15,6,4),(15,316,3,33,9,16,28,7,5),(15,316,3,33,10,14,35,5,10),(15,316,3,33,11,4,22,NULL,1),(15,316,3,33,12,43,67,9,12),(15,316,3,33,13,15,62,3,10),(15,316,3,33,14,46,33,14,5),(15,316,3,33,15,40,62,13,7),(15,316,3,33,16,17,55,5,8),(15,316,3,33,17,85,63,16,6),(15,316,3,33,18,22,40,5,7),(15,316,3,33,19,35,33,6,3),(15,316,3,33,20,10,36,4,4),(15,316,3,33,21,11,NULL,1,NULL),(15,316,3,33,22,6,33,6,6),(15,316,3,33,23,1,12,1,4),(15,316,3,33,24,6,75,4,14),(15,316,3,33,25,7,27,4,6),(15,316,3,33,26,3,17,1,7),(15,316,3,33,27,2,14,NULL,2),(15,316,3,33,28,2,14,1,1),(15,316,3,33,29,3,90,3,15),(15,316,3,33,30,9,57,4,5),(15,316,3,34,1,81,112,11,9),(15,316,3,34,2,7,64,2,12),(15,316,3,34,3,54,36,12,3),(15,316,3,34,4,65,30,12,3),(15,316,3,34,5,32,57,7,9),(15,316,3,34,6,11,106,1,15),(15,316,3,34,7,4,42,2,8),(15,316,3,34,8,9,10,5,4),(15,316,3,34,9,13,32,4,7),(15,316,3,34,10,11,33,2,11),(15,316,3,34,11,6,19,NULL,3),(15,316,3,34,12,43,49,6,8),(15,316,3,34,13,14,40,2,5),(15,316,3,34,14,46,33,12,3),(15,316,3,34,15,51,47,10,6),(15,316,3,34,16,25,53,4,11),(15,316,3,34,17,90,61,13,6),(15,316,3,34,18,15,41,3,5),(15,316,3,34,19,32,29,3,4),(15,316,3,34,20,5,35,1,6),(15,316,3,34,21,19,NULL,5,NULL),(15,316,3,34,22,10,32,5,5),(15,316,3,34,23,6,19,1,5),(15,316,3,34,24,10,81,2,15),(15,316,3,34,25,3,18,1,1),(15,316,3,34,26,1,16,NULL,4),(15,316,3,34,27,3,18,1,1),(15,316,3,34,28,4,13,NULL,4),(15,316,3,34,29,5,80,3,13),(15,316,3,34,30,6,59,NULL,9),(15,317,1,11,1,NULL,NULL,NULL,NULL),(15,317,1,11,2,NULL,NULL,NULL,NULL),(15,317,1,11,3,NULL,1,NULL,1),(15,317,1,11,4,NULL,NULL,NULL,NULL),(15,317,1,11,5,NULL,1,NULL,1),(15,317,1,11,6,NULL,NULL,NULL,NULL),(15,317,1,11,7,NULL,1,NULL,1),(15,317,1,11,8,NULL,1,NULL,1),(15,317,1,11,9,1,NULL,1,NULL),(15,317,1,11,10,NULL,1,NULL,1),(15,317,1,11,11,1,NULL,1,NULL),(15,317,1,11,12,1,NULL,1,NULL),(15,317,1,11,13,1,NULL,1,NULL),(15,317,1,11,14,NULL,NULL,NULL,NULL),(15,317,1,11,15,NULL,1,NULL,1),(15,317,1,11,16,1,NULL,1,NULL),(15,317,1,11,17,1,NULL,1,NULL),(15,317,1,11,18,NULL,NULL,NULL,NULL),(15,317,1,11,19,1,NULL,1,NULL),(15,317,1,11,20,1,NULL,1,NULL),(15,317,1,12,1,NULL,NULL,NULL,NULL),(15,317,1,12,2,NULL,NULL,NULL,NULL),(15,317,1,12,3,NULL,NULL,NULL,NULL),(15,317,1,12,4,NULL,NULL,NULL,NULL),(15,317,1,12,5,NULL,NULL,NULL,NULL),(15,317,1,12,6,NULL,NULL,NULL,NULL),(15,317,1,12,7,NULL,NULL,NULL,NULL),(15,317,1,12,8,NULL,NULL,NULL,NULL),(15,317,1,12,9,NULL,NULL,NULL,NULL),(15,317,1,12,10,NULL,NULL,NULL,NULL),(15,317,1,12,11,NULL,NULL,NULL,NULL),(15,317,1,12,12,NULL,NULL,NULL,NULL),(15,317,1,12,13,NULL,NULL,NULL,NULL),(15,317,1,12,14,NULL,NULL,NULL,NULL),(15,317,1,12,15,NULL,NULL,NULL,NULL),(15,317,1,12,16,NULL,NULL,NULL,NULL),(15,317,1,12,17,NULL,NULL,NULL,NULL),(15,317,1,12,18,NULL,NULL,NULL,NULL),(15,317,1,12,19,NULL,NULL,NULL,NULL),(15,317,1,12,20,NULL,NULL,NULL,NULL),(15,317,1,13,1,NULL,1,NULL,NULL),(15,317,1,13,2,NULL,NULL,NULL,NULL),(15,317,1,13,3,1,NULL,NULL,NULL),(15,317,1,13,4,NULL,1,NULL,NULL),(15,317,1,13,5,NULL,1,NULL,NULL),(15,317,1,13,6,1,NULL,NULL,NULL),(15,317,1,13,7,1,1,NULL,NULL),(15,317,1,13,8,NULL,2,NULL,NULL),(15,317,1,13,9,1,NULL,NULL,NULL),(15,317,1,13,10,NULL,1,NULL,NULL),(15,317,1,13,11,2,NULL,NULL,NULL),(15,317,1,13,12,NULL,2,NULL,NULL),(15,317,1,13,13,2,NULL,NULL,NULL),(15,317,1,13,14,NULL,2,NULL,NULL),(15,317,1,13,15,1,1,NULL,NULL),(15,317,1,13,16,2,NULL,NULL,NULL),(15,317,1,13,17,2,NULL,NULL,NULL),(15,317,1,13,18,NULL,1,NULL,NULL),(15,317,1,13,19,1,NULL,NULL,NULL),(15,317,1,13,20,1,1,NULL,NULL),(15,317,1,14,1,34,21,8,5),(15,317,1,14,2,16,22,6,6),(15,317,1,14,3,9,28,4,10),(15,317,1,14,4,14,24,9,3),(15,317,1,14,5,10,25,3,4),(15,317,1,14,6,29,30,6,7),(15,317,1,14,7,27,8,11,1),(15,317,1,14,8,21,31,7,5),(15,317,1,14,9,29,NULL,10,NULL),(15,317,1,14,10,35,8,5,3),(15,317,1,14,11,7,17,6,4),(15,317,1,14,12,6,4,5,1),(15,317,1,14,13,5,13,3,6),(15,317,1,14,14,18,29,7,6),(15,317,1,14,15,38,NULL,12,NULL),(15,317,1,14,16,4,13,3,3),(15,317,1,14,17,15,8,10,3),(15,317,1,14,18,10,5,6,2),(15,317,1,14,19,12,9,8,3),(15,317,1,14,20,15,15,7,6),(15,317,1,15,1,31,22,9,1),(15,317,1,15,2,16,25,6,4),(15,317,1,15,3,11,33,2,8),(15,317,1,15,4,17,23,3,5),(15,317,1,15,5,6,25,2,3),(15,317,1,15,6,26,29,5,6),(15,317,1,15,7,19,10,5,4),(15,317,1,15,8,19,36,4,4),(15,317,1,15,9,28,NULL,9,NULL),(15,317,1,15,10,33,12,7,3),(15,317,1,15,11,8,10,3,4),(15,317,1,15,12,4,9,2,5),(15,317,1,15,13,13,9,3,7),(15,317,1,15,14,17,33,6,4),(15,317,1,15,15,40,NULL,10,NULL),(15,317,1,15,16,9,10,2,4),(15,317,1,15,17,13,6,6,2),(15,317,1,15,18,4,12,2,3),(15,317,1,15,19,11,10,6,2),(15,317,1,15,20,14,15,2,8),(15,317,1,16,1,62,65,10,8),(15,317,1,16,2,25,40,6,9),(15,317,1,16,3,28,83,8,14),(15,317,1,16,4,34,57,11,11),(15,317,1,16,5,14,83,5,16),(15,317,1,16,6,55,60,11,8),(15,317,1,16,7,60,31,19,5),(15,317,1,16,8,18,103,2,17),(15,317,1,16,9,64,NULL,15,NULL),(15,317,1,16,10,59,40,7,11),(15,317,1,16,11,66,62,10,11),(15,317,1,16,12,42,99,8,17),(15,317,1,16,13,23,130,3,21),(15,317,1,16,14,59,56,14,7),(15,317,1,16,15,19,53,4,8),(15,317,1,16,16,39,NULL,8,NULL),(15,317,1,16,17,37,78,5,15),(15,317,1,16,18,16,106,3,18),(15,317,1,16,19,19,28,2,6),(15,317,1,16,20,38,98,9,13),(15,317,1,17,1,57,58,10,11),(15,317,1,17,2,18,40,3,11),(15,317,1,17,3,15,85,1,13),(15,317,1,17,4,25,65,7,10),(15,317,1,17,5,9,93,2,15),(15,317,1,17,6,42,68,5,13),(15,317,1,17,7,55,30,12,5),(15,317,1,17,8,21,92,3,16),(15,317,1,17,9,53,NULL,15,NULL),(15,317,1,17,10,62,34,7,11),(15,317,1,17,11,57,46,6,11),(15,317,1,17,12,38,88,6,16),(15,317,1,17,13,15,121,3,20),(15,317,1,17,14,28,60,4,12),(15,317,1,17,15,16,46,3,6),(15,317,1,17,16,40,NULL,11,NULL),(15,317,1,17,17,30,64,1,18),(15,317,1,17,18,19,73,3,14),(15,317,1,17,19,18,21,4,5),(15,317,1,17,20,35,84,6,16),(15,317,2,21,1,5,15,2,4),(15,317,2,21,2,4,9,1,4),(15,317,2,21,3,8,22,2,3),(15,317,2,21,4,10,14,3,4),(15,317,2,21,5,22,34,4,6),(15,317,2,21,6,27,25,6,8),(15,317,2,21,7,7,4,6,3),(15,317,2,21,8,6,NULL,2,NULL),(15,317,2,21,9,7,22,3,7),(15,317,2,21,10,17,10,6,3),(15,317,2,21,11,20,36,5,11),(15,317,2,21,12,29,48,6,13),(15,317,2,21,13,47,19,10,8),(15,317,2,21,14,4,39,2,8),(15,317,2,21,15,18,38,3,6),(15,317,2,21,16,50,49,9,6),(15,317,2,21,17,4,29,1,7),(15,317,2,21,18,37,21,8,7),(15,317,2,21,19,11,49,1,11),(15,317,2,21,20,18,50,6,9),(15,317,2,21,21,9,10,4,4),(15,317,2,21,22,37,31,10,3),(15,317,2,21,23,16,37,5,10),(15,317,2,21,24,12,30,6,9),(15,317,2,21,25,64,NULL,17,NULL),(15,317,2,21,26,11,27,2,5),(15,317,2,21,27,3,37,NULL,14),(15,317,2,21,28,13,32,1,10),(15,317,2,21,29,32,73,9,10),(15,317,2,21,30,7,19,3,8),(15,317,2,22,1,4,17,2,2),(15,317,2,22,2,3,11,NULL,3),(15,317,2,22,3,6,21,NULL,4),(15,317,2,22,4,10,11,4,NULL),(15,317,2,22,5,25,27,7,3),(15,317,2,22,6,27,28,7,5),(15,317,2,22,7,13,3,9,2),(15,317,2,22,8,10,NULL,2,NULL),(15,317,2,22,9,7,16,3,6),(15,317,2,22,10,11,11,4,4),(15,317,2,22,11,20,37,5,7),(15,317,2,22,12,43,46,6,9),(15,317,2,22,13,50,23,10,6),(15,317,2,22,14,7,30,3,4),(15,317,2,22,15,14,45,3,8),(15,317,2,22,16,51,48,11,6),(15,317,2,22,17,9,27,6,5),(15,317,2,22,18,36,26,9,5),(15,317,2,22,19,11,52,3,12),(15,317,2,22,20,23,35,8,5),(15,317,2,22,21,3,16,2,3),(15,317,2,22,22,34,36,8,5),(15,317,2,22,23,15,40,8,4),(15,317,2,22,24,14,41,7,8),(15,317,2,22,25,71,NULL,17,NULL),(15,317,2,22,26,8,27,3,5),(15,317,2,22,27,10,36,2,14),(15,317,2,22,28,15,31,4,10),(15,317,2,22,29,39,68,10,7),(15,317,2,22,30,3,27,1,10),(15,317,2,23,1,1,9,NULL,2),(15,317,2,23,2,8,17,1,3),(15,317,2,23,3,10,31,1,8),(15,317,2,23,4,3,11,1,1),(15,317,2,23,5,14,35,4,12),(15,317,2,23,6,20,33,7,8),(15,317,2,23,7,12,6,2,5),(15,317,2,23,8,13,NULL,2,NULL),(15,317,2,23,9,9,19,3,5),(15,317,2,23,10,18,14,6,3),(15,317,2,23,11,19,26,5,6),(15,317,2,23,12,38,41,11,10),(15,317,2,23,13,42,29,14,7),(15,317,2,23,14,2,41,1,11),(15,317,2,23,15,15,39,5,14),(15,317,2,23,16,41,61,7,13),(15,317,2,23,17,6,33,3,7),(15,317,2,23,18,47,27,13,5),(15,317,2,23,19,5,51,2,14),(15,317,2,23,20,14,41,7,12),(15,317,2,23,21,4,15,2,5),(15,317,2,23,22,40,29,11,10),(15,317,2,23,23,10,38,5,10),(15,317,2,23,24,5,39,2,16),(15,317,2,23,25,69,NULL,18,NULL),(15,317,2,23,26,7,26,1,3),(15,317,2,23,27,8,41,2,13),(15,317,2,23,28,9,36,3,10),(15,317,2,23,29,41,63,10,10),(15,317,2,23,30,14,29,6,9),(15,317,2,24,1,4,6,3,3),(15,317,2,24,2,3,6,2,NULL),(15,317,2,24,3,5,13,NULL,1),(15,317,2,24,4,3,13,2,1),(15,317,2,24,5,24,21,7,5),(15,317,2,24,6,20,21,5,4),(15,317,2,24,7,4,3,2,NULL),(15,317,2,24,8,9,NULL,1,NULL),(15,317,2,24,9,11,20,5,3),(15,317,2,24,10,15,11,2,1),(15,317,2,24,11,16,22,4,4),(15,317,2,24,12,28,40,6,5),(15,317,2,24,13,41,27,10,4),(15,317,2,24,14,9,25,2,3),(15,317,2,24,15,16,30,4,5),(15,317,2,24,16,38,50,7,8),(15,317,2,24,17,6,30,1,7),(15,317,2,24,18,39,22,6,2),(15,317,2,24,19,6,46,4,6),(15,317,2,24,20,17,38,7,5),(15,317,2,24,21,2,10,1,4),(15,317,2,24,22,40,26,10,NULL),(15,317,2,24,23,16,45,7,6),(15,317,2,24,24,4,29,3,6),(15,317,2,24,25,56,NULL,10,NULL),(15,317,2,24,26,11,25,2,5),(15,317,2,24,27,6,31,1,9),(15,317,2,24,28,10,24,5,5),(15,317,2,24,29,37,61,9,5),(15,317,2,24,30,5,18,2,7),(15,317,3,31,1,50,65,6,9),(15,317,3,31,2,2,19,1,6),(15,317,3,31,3,22,25,9,4),(15,317,3,31,4,26,18,8,5),(15,317,3,31,5,6,41,2,11),(15,317,3,31,6,6,55,2,9),(15,317,3,31,7,2,20,1,6),(15,317,3,31,8,4,6,1,2),(15,317,3,31,9,5,20,1,6),(15,317,3,31,10,13,17,4,4),(15,317,3,31,11,3,14,2,2),(15,317,3,31,12,26,23,5,6),(15,317,3,31,13,8,33,1,6),(15,317,3,31,14,20,19,8,4),(15,317,3,31,15,29,25,8,5),(15,317,3,31,16,14,33,5,5),(15,317,3,31,17,42,41,8,5),(15,317,3,31,18,8,16,2,2),(15,317,3,31,19,20,13,6,3),(15,317,3,31,20,3,26,1,3),(15,317,3,31,21,12,NULL,5,NULL),(15,317,3,31,22,2,19,1,2),(15,317,3,31,23,NULL,4,NULL,1),(15,317,3,31,24,1,38,NULL,11),(15,317,3,31,25,NULL,14,NULL,6),(15,317,3,31,26,1,4,NULL,NULL),(15,317,3,31,27,2,6,1,NULL),(15,317,3,31,28,2,7,NULL,1),(15,317,3,31,29,NULL,49,NULL,8),(15,317,3,31,30,NULL,26,NULL,5),(15,317,3,32,1,60,63,13,11),(15,317,3,32,2,2,23,NULL,9),(15,317,3,32,3,25,24,9,7),(15,317,3,32,4,34,23,14,5),(15,317,3,32,5,18,33,6,11),(15,317,3,32,6,5,51,2,14),(15,317,3,32,7,1,22,NULL,9),(15,317,3,32,8,3,12,2,3),(15,317,3,32,9,11,12,5,3),(15,317,3,32,10,7,31,1,11),(15,317,3,32,11,3,17,1,5),(15,317,3,32,12,24,43,7,12),(15,317,3,32,13,4,26,1,8),(15,317,3,32,14,21,28,11,6),(15,317,3,32,15,36,37,6,7),(15,317,3,32,16,13,41,4,11),(15,317,3,32,17,60,40,12,10),(15,317,3,32,18,16,32,5,8),(15,317,3,32,19,17,18,4,5),(15,317,3,32,20,4,23,1,1),(15,317,3,32,21,12,NULL,5,NULL),(15,317,3,32,22,3,24,NULL,9),(15,317,3,32,23,1,8,NULL,2),(15,317,3,32,24,2,45,NULL,13),(15,317,3,32,25,1,12,NULL,4),(15,317,3,32,26,1,5,NULL,1),(15,317,3,32,27,1,15,NULL,4),(15,317,3,32,28,1,5,NULL,1),(15,317,3,32,29,1,52,NULL,15),(15,317,3,32,30,2,39,1,12),(15,317,3,33,1,60,66,11,9),(15,317,3,33,2,3,24,1,6),(15,317,3,33,3,19,32,4,8),(15,317,3,33,4,31,19,7,6),(15,317,3,33,5,16,45,5,11),(15,317,3,33,6,11,45,2,8),(15,317,3,33,7,4,19,3,4),(15,317,3,33,8,3,9,2,2),(15,317,3,33,9,4,20,4,2),(15,317,3,33,10,4,23,3,4),(15,317,3,33,11,1,17,1,3),(15,317,3,33,12,34,43,5,9),(15,317,3,33,13,4,29,2,4),(15,317,3,33,14,23,24,7,6),(15,317,3,33,15,33,33,11,5),(15,317,3,33,16,11,39,NULL,13),(15,317,3,33,17,41,46,9,6),(15,317,3,33,18,10,25,2,7),(15,317,3,33,19,17,25,2,6),(15,317,3,33,20,8,19,1,8),(15,317,3,33,21,4,NULL,NULL,NULL),(15,317,3,33,22,2,21,1,2),(15,317,3,33,23,NULL,8,NULL,1),(15,317,3,33,24,3,53,2,13),(15,317,3,33,25,2,13,1,3),(15,317,3,33,26,2,10,NULL,2),(15,317,3,33,27,1,8,NULL,2),(15,317,3,33,28,1,5,1,1),(15,317,3,33,29,1,66,NULL,13),(15,317,3,33,30,5,42,1,11),(15,317,3,34,1,50,79,9,11),(15,317,3,34,2,4,36,1,10),(15,317,3,34,3,21,30,4,11),(15,317,3,34,4,34,24,11,6),(15,317,3,34,5,13,36,6,9),(15,317,3,34,6,4,57,1,8),(15,317,3,34,7,2,19,1,4),(15,317,3,34,8,4,9,2,3),(15,317,3,34,9,7,19,2,6),(15,317,3,34,10,4,15,1,1),(15,317,3,34,11,2,17,NULL,2),(15,317,3,34,12,23,38,4,11),(15,317,3,34,13,8,32,2,8),(15,317,3,34,14,19,31,6,7),(15,317,3,34,15,29,34,9,8),(15,317,3,34,16,17,31,6,4),(15,317,3,34,17,48,32,7,7),(15,317,3,34,18,6,25,NULL,4),(15,317,3,34,19,20,20,2,7),(15,317,3,34,20,6,22,1,4),(15,317,3,34,21,9,NULL,3,NULL),(15,317,3,34,22,3,24,1,10),(15,317,3,34,23,NULL,9,NULL,1),(15,317,3,34,24,3,60,2,14),(15,317,3,34,25,4,15,1,4),(15,317,3,34,26,3,12,NULL,2),(15,317,3,34,27,1,11,NULL,2),(15,317,3,34,28,1,4,1,1),(15,317,3,34,29,2,58,1,14),(15,317,3,34,30,1,31,NULL,7),(15,318,1,11,1,NULL,NULL,NULL,NULL),(15,318,1,11,2,NULL,NULL,NULL,NULL),(15,318,1,11,3,NULL,NULL,NULL,NULL),(15,318,1,11,4,NULL,NULL,NULL,NULL),(15,318,1,11,5,NULL,NULL,NULL,NULL),(15,318,1,11,6,NULL,NULL,NULL,NULL),(15,318,1,11,7,NULL,NULL,NULL,NULL),(15,318,1,11,8,NULL,NULL,NULL,NULL),(15,318,1,11,9,NULL,NULL,NULL,NULL),(15,318,1,11,10,NULL,NULL,NULL,NULL),(15,318,1,11,11,NULL,NULL,NULL,NULL),(15,318,1,11,12,NULL,NULL,NULL,NULL),(15,318,1,11,13,NULL,NULL,NULL,NULL),(15,318,1,11,14,NULL,NULL,NULL,NULL),(15,318,1,11,15,NULL,NULL,NULL,NULL),(15,318,1,11,16,NULL,NULL,NULL,NULL),(15,318,1,11,17,NULL,NULL,NULL,NULL),(15,318,1,11,18,NULL,NULL,NULL,NULL),(15,318,1,11,19,NULL,NULL,NULL,NULL),(15,318,1,11,20,NULL,NULL,NULL,NULL),(15,318,1,12,1,NULL,1,NULL,1),(15,318,1,12,2,2,NULL,1,NULL),(15,318,1,12,3,NULL,NULL,NULL,NULL),(15,318,1,12,4,NULL,NULL,NULL,NULL),(15,318,1,12,5,NULL,NULL,NULL,NULL),(15,318,1,12,6,1,NULL,1,NULL),(15,318,1,12,7,NULL,NULL,NULL,NULL),(15,318,1,12,8,1,NULL,1,NULL),(15,318,1,12,9,NULL,NULL,NULL,NULL),(15,318,1,12,10,1,NULL,NULL,NULL),(15,318,1,12,11,2,NULL,1,NULL),(15,318,1,12,12,1,1,NULL,1),(15,318,1,12,13,2,NULL,1,NULL),(15,318,1,12,14,1,1,NULL,1),(15,318,1,12,15,1,1,NULL,1),(15,318,1,12,16,2,NULL,1,NULL),(15,318,1,12,17,2,NULL,1,NULL),(15,318,1,12,18,1,NULL,NULL,NULL),(15,318,1,12,19,2,NULL,1,NULL),(15,318,1,12,20,2,NULL,1,NULL),(15,318,1,13,1,NULL,1,NULL,NULL),(15,318,1,13,2,NULL,NULL,NULL,NULL),(15,318,1,13,3,NULL,4,NULL,2),(15,318,1,13,4,3,1,2,NULL),(15,318,1,13,5,3,1,1,1),(15,318,1,13,6,1,2,1,NULL),(15,318,1,13,7,3,1,1,1),(15,318,1,13,8,1,2,NULL,1),(15,318,1,13,9,2,NULL,1,NULL),(15,318,1,13,10,2,NULL,1,NULL),(15,318,1,13,11,3,NULL,2,NULL),(15,318,1,13,12,1,2,1,1),(15,318,1,13,13,NULL,NULL,NULL,NULL),(15,318,1,13,14,1,2,1,1),(15,318,1,13,15,2,1,2,NULL),(15,318,1,13,16,2,2,2,NULL),(15,318,1,13,17,1,2,1,1),(15,318,1,13,18,NULL,NULL,NULL,NULL),(15,318,1,13,19,1,NULL,NULL,NULL),(15,318,1,13,20,1,2,1,1),(15,318,1,14,1,47,27,14,6),(15,318,1,14,2,13,25,6,6),(15,318,1,14,3,12,32,3,14),(15,318,1,14,4,16,31,3,15),(15,318,1,14,5,8,35,3,9),(15,318,1,14,6,21,32,7,10),(15,318,1,14,7,29,14,11,6),(15,318,1,14,8,29,33,6,12),(15,318,1,14,9,36,NULL,16,NULL),(15,318,1,14,10,48,9,13,4),(15,318,1,14,11,5,21,3,8),(15,318,1,14,12,6,14,5,5),(15,318,1,14,13,13,14,7,5),(15,318,1,14,14,18,38,5,11),(15,318,1,14,15,46,NULL,19,NULL),(15,318,1,14,16,8,14,6,8),(15,318,1,14,17,17,13,10,5),(15,318,1,14,18,5,13,3,4),(15,318,1,14,19,18,10,9,3),(15,318,1,14,20,33,19,11,8),(15,318,1,15,1,37,28,12,9),(15,318,1,15,2,17,27,7,14),(15,318,1,15,3,5,48,3,20),(15,318,1,15,4,15,32,7,17),(15,318,1,15,5,4,33,2,15),(15,318,1,15,6,29,38,10,13),(15,318,1,15,7,22,12,10,4),(15,318,1,15,8,26,33,10,11),(15,318,1,15,9,32,NULL,16,NULL),(15,318,1,15,10,41,12,18,3),(15,318,1,15,11,7,23,4,12),(15,318,1,15,12,11,11,9,7),(15,318,1,15,13,19,12,14,4),(15,318,1,15,14,32,45,15,13),(15,318,1,15,15,55,NULL,22,NULL),(15,318,1,15,16,13,16,9,3),(15,318,1,15,17,23,18,15,6),(15,318,1,15,18,12,18,8,8),(15,318,1,15,19,17,23,12,8),(15,318,1,15,20,27,24,13,11),(15,318,1,16,1,35,31,13,6),(15,318,1,16,2,12,18,4,9),(15,318,1,16,3,11,37,4,10),(15,318,1,16,4,17,32,6,11),(15,318,1,16,5,5,32,2,10),(15,318,1,16,6,21,27,6,6),(15,318,1,16,7,29,20,7,9),(15,318,1,16,8,16,40,6,9),(15,318,1,16,9,31,NULL,12,NULL),(15,318,1,16,10,30,12,11,4),(15,318,1,16,11,29,24,9,8),(15,318,1,16,12,22,42,7,10),(15,318,1,16,13,11,58,2,15),(15,318,1,16,14,22,33,5,10),(15,318,1,16,15,8,17,1,4),(15,318,1,16,16,19,NULL,7,NULL),(15,318,1,16,17,12,34,6,10),(15,318,1,16,18,15,39,6,10),(15,318,1,16,19,10,9,5,3),(15,318,1,16,20,15,41,5,14),(15,318,1,17,1,26,25,7,8),(15,318,1,17,2,13,18,5,7),(15,318,1,17,3,10,28,2,8),(15,318,1,17,4,11,25,3,6),(15,318,1,17,5,4,30,NULL,9),(15,318,1,17,6,23,17,3,3),(15,318,1,17,7,20,9,7,5),(15,318,1,17,8,11,43,4,10),(15,318,1,17,9,24,NULL,10,NULL),(15,318,1,17,10,24,17,7,6),(15,318,1,17,11,23,16,6,7),(15,318,1,17,12,13,43,5,12),(15,318,1,17,13,5,51,1,15),(15,318,1,17,14,15,29,6,7),(15,318,1,17,15,8,14,1,9),(15,318,1,17,16,17,NULL,7,NULL),(15,318,1,17,17,11,30,4,8),(15,318,1,17,18,6,29,1,11),(15,318,1,17,19,9,3,3,1),(15,318,1,17,20,17,35,6,9),(15,318,2,21,1,3,15,1,5),(15,318,2,21,2,1,5,NULL,2),(15,318,2,21,3,1,12,1,4),(15,318,2,21,4,6,5,3,1),(15,318,2,21,5,19,20,8,7),(15,318,2,21,6,14,18,4,8),(15,318,2,21,7,2,5,2,2),(15,318,2,21,8,2,NULL,1,NULL),(15,318,2,21,9,4,11,3,3),(15,318,2,21,10,9,7,6,3),(15,318,2,21,11,12,18,7,3),(15,318,2,21,12,23,30,3,13),(15,318,2,21,13,31,11,11,3),(15,318,2,21,14,8,20,3,4),(15,318,2,21,15,18,22,7,5),(15,318,2,21,16,39,28,11,6),(15,318,2,21,17,7,19,3,7),(15,318,2,21,18,24,9,10,3),(15,318,2,21,19,6,36,NULL,11),(15,318,2,21,20,17,19,7,8),(15,318,2,21,21,1,6,1,1),(15,318,2,21,22,23,18,9,3),(15,318,2,21,23,9,15,7,3),(15,318,2,21,24,8,25,3,8),(15,318,2,21,25,42,NULL,14,NULL),(15,318,2,21,26,7,18,4,5),(15,318,2,21,27,5,19,4,12),(15,318,2,21,28,6,8,NULL,5),(15,318,2,21,29,31,31,11,6),(15,318,2,21,30,5,12,4,7),(15,318,2,22,1,2,12,1,5),(15,318,2,22,2,2,6,2,4),(15,318,2,22,3,5,18,1,7),(15,318,2,22,4,3,9,2,3),(15,318,2,22,5,12,19,5,10),(15,318,2,22,6,11,19,7,9),(15,318,2,22,7,5,7,4,6),(15,318,2,22,8,6,NULL,4,NULL),(15,318,2,22,9,4,18,3,8),(15,318,2,22,10,14,5,8,1),(15,318,2,22,11,14,14,6,5),(15,318,2,22,12,28,32,8,12),(15,318,2,22,13,28,23,10,11),(15,318,2,22,14,3,20,2,7),(15,318,2,22,15,20,27,7,11),(15,318,2,22,16,40,27,12,9),(15,318,2,22,17,5,24,2,10),(15,318,2,22,18,26,20,10,9),(15,318,2,22,19,4,36,1,13),(15,318,2,22,20,23,28,9,10),(15,318,2,22,21,8,5,3,2),(15,318,2,22,22,29,19,11,6),(15,318,2,22,23,13,25,9,9),(15,318,2,22,24,8,26,3,10),(15,318,2,22,25,46,NULL,18,NULL),(15,318,2,22,26,8,16,1,5),(15,318,2,22,27,8,29,2,14),(15,318,2,22,28,4,23,1,13),(15,318,2,22,29,32,40,14,10),(15,318,2,22,30,6,16,5,9),(15,318,2,23,1,7,15,3,7),(15,318,2,23,2,3,8,2,4),(15,318,2,23,3,3,10,2,4),(15,318,2,23,4,5,10,4,5),(15,318,2,23,5,24,19,12,6),(15,318,2,23,6,20,13,9,4),(15,318,2,23,7,7,5,5,2),(15,318,2,23,8,7,NULL,4,NULL),(15,318,2,23,9,7,15,3,7),(15,318,2,23,10,14,8,8,1),(15,318,2,23,11,11,26,6,10),(15,318,2,23,12,23,40,6,15),(15,318,2,23,13,34,22,12,7),(15,318,2,23,14,4,21,3,8),(15,318,2,23,15,19,33,4,13),(15,318,2,23,16,37,31,13,8),(15,318,2,23,17,8,27,3,10),(15,318,2,23,18,30,23,9,11),(15,318,2,23,19,7,37,1,12),(15,318,2,23,20,18,31,7,15),(15,318,2,23,21,3,10,3,6),(15,318,2,23,22,36,19,13,6),(15,318,2,23,23,9,20,6,7),(15,318,2,23,24,11,28,4,9),(15,318,2,23,25,51,NULL,20,NULL),(15,318,2,23,26,3,26,2,8),(15,318,2,23,27,4,18,2,7),(15,318,2,23,28,7,23,4,9),(15,318,2,23,29,36,39,13,11),(15,318,2,23,30,9,20,5,9),(15,318,2,24,1,2,9,1,6),(15,318,2,24,2,NULL,3,NULL,NULL),(15,318,2,24,3,3,10,NULL,4),(15,318,2,24,4,5,11,4,2),(15,318,2,24,5,15,24,8,6),(15,318,2,24,6,11,9,5,2),(15,318,2,24,7,5,3,3,1),(15,318,2,24,8,4,NULL,3,NULL),(15,318,2,24,9,9,16,3,7),(15,318,2,24,10,11,6,6,2),(15,318,2,24,11,14,26,4,8),(15,318,2,24,12,31,25,11,8),(15,318,2,24,13,35,14,15,4),(15,318,2,24,14,8,21,4,6),(15,318,2,24,15,18,25,7,8),(15,318,2,24,16,30,35,7,12),(15,318,2,24,17,6,20,2,6),(15,318,2,24,18,28,13,6,5),(15,318,2,24,19,3,38,1,12),(15,318,2,24,20,24,30,11,8),(15,318,2,24,21,3,10,2,7),(15,318,2,24,22,30,18,10,3),(15,318,2,24,23,16,23,8,6),(15,318,2,24,24,11,23,6,8),(15,318,2,24,25,40,NULL,16,NULL),(15,318,2,24,26,6,15,2,7),(15,318,2,24,27,8,19,3,7),(15,318,2,24,28,4,22,2,9),(15,318,2,24,29,34,41,12,9),(15,318,2,24,30,7,17,4,8),(15,318,3,31,1,43,36,13,8),(15,318,3,31,2,3,18,3,10),(15,318,3,31,3,18,16,7,7),(15,318,3,31,4,30,10,12,3),(15,318,3,31,5,8,20,4,9),(15,318,3,31,6,5,43,2,15),(15,318,3,31,7,2,15,1,6),(15,318,3,31,8,2,6,2,4),(15,318,3,31,9,10,13,6,4),(15,318,3,31,10,5,21,3,6),(15,318,3,31,11,NULL,12,NULL,2),(15,318,3,31,12,26,22,8,7),(15,318,3,31,13,11,17,2,6),(15,318,3,31,14,29,16,11,7),(15,318,3,31,15,30,25,11,9),(15,318,3,31,16,16,26,4,12),(15,318,3,31,17,36,26,14,6),(15,318,3,31,18,8,21,3,7),(15,318,3,31,19,10,14,5,6),(15,318,3,31,20,4,26,1,9),(15,318,3,31,21,7,NULL,3,NULL),(15,318,3,31,22,1,15,NULL,6),(15,318,3,31,23,2,4,1,NULL),(15,318,3,31,24,NULL,33,NULL,19),(15,318,3,31,25,2,10,1,3),(15,318,3,31,26,NULL,2,NULL,1),(15,318,3,31,27,1,7,NULL,4),(15,318,3,31,28,2,6,NULL,4),(15,318,3,31,29,2,44,NULL,14),(15,318,3,31,30,NULL,31,NULL,12),(15,318,3,32,1,41,39,17,7),(15,318,3,32,2,3,25,3,11),(15,318,3,32,3,18,21,8,6),(15,318,3,32,4,31,15,15,5),(15,318,3,32,5,13,25,5,10),(15,318,3,32,6,3,46,2,16),(15,318,3,32,7,1,18,1,10),(15,318,3,32,8,5,3,5,1),(15,318,3,32,9,11,12,9,4),(15,318,3,32,10,8,11,6,7),(15,318,3,32,11,6,8,4,2),(15,318,3,32,12,24,29,9,10),(15,318,3,32,13,5,19,1,7),(15,318,3,32,14,22,22,9,10),(15,318,3,32,15,35,21,12,9),(15,318,3,32,16,14,27,4,12),(15,318,3,32,17,49,21,18,4),(15,318,3,32,18,14,19,7,5),(15,318,3,32,19,10,18,3,8),(15,318,3,32,20,8,20,5,8),(15,318,3,32,21,11,NULL,7,NULL),(15,318,3,32,22,1,18,1,9),(15,318,3,32,23,4,7,2,1),(15,318,3,32,24,8,30,7,9),(15,318,3,32,25,2,11,1,3),(15,318,3,32,26,1,5,NULL,3),(15,318,3,32,27,4,7,2,3),(15,318,3,32,28,3,7,2,4),(15,318,3,32,29,NULL,39,NULL,14),(15,318,3,32,30,4,25,3,6),(15,318,3,33,1,41,39,11,15),(15,318,3,33,2,2,21,2,8),(15,318,3,33,3,20,21,11,9),(15,318,3,33,4,32,16,14,4),(15,318,3,33,5,12,37,5,11),(15,318,3,33,6,3,31,2,9),(15,318,3,33,7,4,21,2,9),(15,318,3,33,8,2,3,2,3),(15,318,3,33,9,6,13,4,3),(15,318,3,33,10,7,18,4,11),(15,318,3,33,11,4,9,1,3),(15,318,3,33,12,23,28,7,11),(15,318,3,33,13,3,20,2,7),(15,318,3,33,14,24,22,10,11),(15,318,3,33,15,24,24,10,10),(15,318,3,33,16,9,33,3,12),(15,318,3,33,17,37,28,12,8),(15,318,3,33,18,9,16,4,6),(15,318,3,33,19,13,18,8,7),(15,318,3,33,20,5,15,4,3),(15,318,3,33,21,8,NULL,7,NULL),(15,318,3,33,22,3,12,2,7),(15,318,3,33,23,NULL,3,NULL,1),(15,318,3,33,24,5,35,2,13),(15,318,3,33,25,2,8,2,1),(15,318,3,33,26,NULL,10,NULL,2),(15,318,3,33,27,NULL,7,NULL,2),(15,318,3,33,28,1,6,1,1),(15,318,3,33,29,1,39,NULL,15),(15,318,3,33,30,1,27,1,7),(15,318,3,34,1,33,34,8,10),(15,318,3,34,2,4,14,2,9),(15,318,3,34,3,11,16,2,7),(15,318,3,34,4,19,10,11,4),(15,318,3,34,5,8,18,3,10),(15,318,3,34,6,6,34,2,13),(15,318,3,34,7,2,9,1,3),(15,318,3,34,8,1,7,1,NULL),(15,318,3,34,9,4,5,3,4),(15,318,3,34,10,9,11,5,2),(15,318,3,34,11,2,10,1,3),(15,318,3,34,12,26,21,10,4),(15,318,3,34,13,4,17,NULL,10),(15,318,3,34,14,25,10,11,4),(15,318,3,34,15,25,19,11,5),(15,318,3,34,16,10,24,4,10),(15,318,3,34,17,39,20,13,4),(15,318,3,34,18,11,19,6,6),(15,318,3,34,19,15,8,5,2),(15,318,3,34,20,7,19,3,5),(15,318,3,34,21,8,NULL,4,NULL),(15,318,3,34,22,NULL,10,NULL,4),(15,318,3,34,23,NULL,2,NULL,2),(15,318,3,34,24,8,27,4,9),(15,318,3,34,25,1,7,NULL,3),(15,318,3,34,26,NULL,9,NULL,1),(15,318,3,34,27,1,7,1,3),(15,318,3,34,28,NULL,6,NULL,1),(15,318,3,34,29,1,28,1,11),(15,318,3,34,30,NULL,16,NULL,9),(15,319,1,11,1,1,3,NULL,NULL),(15,319,1,11,2,1,NULL,NULL,NULL),(15,319,1,11,3,NULL,1,NULL,NULL),(15,319,1,11,4,3,NULL,NULL,NULL),(15,319,1,11,5,NULL,2,NULL,NULL),(15,319,1,11,6,NULL,1,NULL,NULL),(15,319,1,11,7,1,2,NULL,NULL),(15,319,1,11,8,1,1,NULL,NULL),(15,319,1,11,9,2,NULL,NULL,NULL),(15,319,1,11,10,2,1,NULL,NULL),(15,319,1,11,11,1,NULL,NULL,NULL),(15,319,1,11,12,2,NULL,NULL,NULL),(15,319,1,11,13,2,NULL,NULL,NULL),(15,319,1,11,14,2,1,NULL,NULL),(15,319,1,11,15,2,1,NULL,NULL),(15,319,1,11,16,2,NULL,NULL,NULL),(15,319,1,11,17,2,1,NULL,NULL),(15,319,1,11,18,2,NULL,NULL,NULL),(15,319,1,11,19,1,2,NULL,NULL),(15,319,1,11,20,2,1,NULL,NULL),(15,319,1,12,1,2,1,1,NULL),(15,319,1,12,2,1,1,1,NULL),(15,319,1,12,3,2,1,1,NULL),(15,319,1,12,4,1,2,1,NULL),(15,319,1,12,5,NULL,1,NULL,NULL),(15,319,1,12,6,2,1,NULL,1),(15,319,1,12,7,1,1,1,NULL),(15,319,1,12,8,1,2,1,NULL),(15,319,1,12,9,1,NULL,1,NULL),(15,319,1,12,10,3,NULL,1,NULL),(15,319,1,12,11,2,NULL,1,NULL),(15,319,1,12,12,NULL,3,NULL,1),(15,319,1,12,13,1,2,NULL,1),(15,319,1,12,14,2,1,1,NULL),(15,319,1,12,15,2,1,1,NULL),(15,319,1,12,16,1,2,NULL,1),(15,319,1,12,17,2,NULL,1,NULL),(15,319,1,12,18,3,NULL,1,NULL),(15,319,1,12,19,2,NULL,NULL,NULL),(15,319,1,12,20,NULL,NULL,NULL,NULL),(15,319,1,13,1,1,1,NULL,NULL),(15,319,1,13,2,2,NULL,NULL,NULL),(15,319,1,13,3,NULL,2,NULL,NULL),(15,319,1,13,4,2,NULL,NULL,NULL),(15,319,1,13,5,2,NULL,NULL,NULL),(15,319,1,13,6,1,1,NULL,NULL),(15,319,1,13,7,1,1,NULL,NULL),(15,319,1,13,8,1,2,NULL,NULL),(15,319,1,13,9,1,NULL,NULL,NULL),(15,319,1,13,10,2,NULL,NULL,NULL),(15,319,1,13,11,3,NULL,NULL,NULL),(15,319,1,13,12,2,NULL,NULL,NULL),(15,319,1,13,13,1,NULL,NULL,NULL),(15,319,1,13,14,1,1,NULL,NULL),(15,319,1,13,15,2,2,NULL,NULL),(15,319,1,13,16,3,NULL,NULL,NULL),(15,319,1,13,17,1,NULL,NULL,NULL),(15,319,1,13,18,NULL,1,NULL,NULL),(15,319,1,13,19,1,NULL,NULL,NULL),(15,319,1,13,20,NULL,2,NULL,NULL),(15,319,1,14,1,73,50,18,7),(15,319,1,14,2,44,37,14,12),(15,319,1,14,3,35,66,10,15),(15,319,1,14,4,45,54,16,10),(15,319,1,14,5,19,61,6,15),(15,319,1,14,6,63,56,11,16),(15,319,1,14,7,62,21,19,4),(15,319,1,14,8,48,71,15,15),(15,319,1,14,9,67,NULL,23,NULL),(15,319,1,14,10,91,19,23,4),(15,319,1,14,11,17,44,6,11),(15,319,1,14,12,19,34,9,10),(15,319,1,14,13,29,34,11,6),(15,319,1,14,14,56,61,17,8),(15,319,1,14,15,113,NULL,30,NULL),(15,319,1,14,16,23,22,8,6),(15,319,1,14,17,59,13,21,4),(15,319,1,14,18,24,27,9,9),(15,319,1,14,19,56,31,21,3),(15,319,1,14,20,63,48,20,12),(15,319,1,15,1,58,62,10,9),(15,319,1,15,2,30,51,4,9),(15,319,1,15,3,18,80,2,15),(15,319,1,15,4,32,53,7,13),(15,319,1,15,5,9,68,3,16),(15,319,1,15,6,59,62,7,11),(15,319,1,15,7,57,24,15,4),(15,319,1,15,8,27,69,5,13),(15,319,1,15,9,54,NULL,18,NULL),(15,319,1,15,10,80,23,17,2),(15,319,1,15,11,12,47,3,15),(15,319,1,15,12,15,36,2,8),(15,319,1,15,13,27,27,11,6),(15,319,1,15,14,54,63,10,9),(15,319,1,15,15,95,NULL,21,NULL),(15,319,1,15,16,18,26,8,8),(15,319,1,15,17,39,24,11,5),(15,319,1,15,18,17,27,6,8),(15,319,1,15,19,37,25,13,4),(15,319,1,15,20,46,35,12,8),(15,319,1,16,1,51,48,7,1),(15,319,1,16,2,22,35,3,3),(15,319,1,16,3,15,73,1,6),(15,319,1,16,4,26,44,1,7),(15,319,1,16,5,12,53,1,7),(15,319,1,16,6,47,43,4,3),(15,319,1,16,7,44,14,7,NULL),(15,319,1,16,8,31,63,5,3),(15,319,1,16,9,35,NULL,6,NULL),(15,319,1,16,10,55,9,6,1),(15,319,1,16,11,55,42,4,4),(15,319,1,16,12,59,59,5,4),(15,319,1,16,13,17,105,1,7),(15,319,1,16,14,40,36,5,4),(15,319,1,16,15,18,21,1,1),(15,319,1,16,16,59,NULL,5,NULL),(15,319,1,16,17,27,44,3,3),(15,319,1,16,18,29,58,1,7),(15,319,1,16,19,9,22,NULL,2),(15,319,1,16,20,41,66,3,7),(15,319,1,17,1,54,51,4,4),(15,319,1,17,2,33,34,6,4),(15,319,1,17,3,21,73,5,8),(15,319,1,17,4,38,52,5,6),(15,319,1,17,5,16,52,2,8),(15,319,1,17,6,49,63,4,6),(15,319,1,17,7,60,18,12,1),(15,319,1,17,8,33,66,NULL,9),(15,319,1,17,9,46,NULL,7,NULL),(15,319,1,17,10,57,20,4,3),(15,319,1,17,11,54,39,5,5),(15,319,1,17,12,42,81,1,12),(15,319,1,17,13,8,105,NULL,9),(15,319,1,17,14,26,56,3,7),(15,319,1,17,15,12,20,1,2),(15,319,1,17,16,38,NULL,5,NULL),(15,319,1,17,17,38,48,4,6),(15,319,1,17,18,19,77,2,7),(15,319,1,17,19,14,11,1,3),(15,319,1,17,20,32,80,4,5),(15,319,2,21,1,5,19,1,6),(15,319,2,21,2,7,11,4,1),(15,319,2,21,3,7,24,1,6),(15,319,2,21,4,14,13,4,4),(15,319,2,21,5,42,30,13,3),(15,319,2,21,6,16,32,4,11),(15,319,2,21,7,11,3,7,2),(15,319,2,21,8,7,NULL,1,NULL),(15,319,2,21,9,7,23,2,5),(15,319,2,21,10,16,11,6,1),(15,319,2,21,11,18,37,5,7),(15,319,2,21,12,49,48,11,8),(15,319,2,21,13,49,36,14,4),(15,319,2,21,14,11,35,4,11),(15,319,2,21,15,26,44,4,10),(15,319,2,21,16,68,48,12,9),(15,319,2,21,17,5,37,NULL,9),(15,319,2,21,18,36,34,7,7),(15,319,2,21,19,28,62,5,12),(15,319,2,21,20,22,35,11,6),(15,319,2,21,21,9,16,4,3),(15,319,2,21,22,36,41,10,3),(15,319,2,21,23,20,39,6,8),(15,319,2,21,24,13,47,6,14),(15,319,2,21,25,67,NULL,19,NULL),(15,319,2,21,26,18,24,4,3),(15,319,2,21,27,11,33,1,12),(15,319,2,21,28,10,37,2,9),(15,319,2,21,29,42,78,9,11),(15,319,2,21,30,11,24,4,8),(15,319,2,22,1,7,24,1,2),(15,319,2,22,2,5,12,3,2),(15,319,2,22,3,9,22,NULL,2),(15,319,2,22,4,10,11,1,6),(15,319,2,22,5,35,34,9,3),(15,319,2,22,6,32,29,7,7),(15,319,2,22,7,10,6,7,1),(15,319,2,22,8,9,NULL,3,NULL),(15,319,2,22,9,17,29,5,5),(15,319,2,22,10,32,13,11,3),(15,319,2,22,11,14,29,5,5),(15,319,2,22,12,50,54,7,11),(15,319,2,22,13,52,32,12,5),(15,319,2,22,14,9,38,2,8),(15,319,2,22,15,30,55,6,10),(15,319,2,22,16,59,66,12,6),(15,319,2,22,17,11,29,3,9),(15,319,2,22,18,28,33,7,10),(15,319,2,22,19,25,53,3,8),(15,319,2,22,20,21,47,8,8),(15,319,2,22,21,3,19,1,5),(15,319,2,22,22,36,35,7,2),(15,319,2,22,23,18,44,6,7),(15,319,2,22,24,16,40,3,9),(15,319,2,22,25,60,NULL,16,NULL),(15,319,2,22,26,7,34,1,8),(15,319,2,22,27,16,35,3,9),(15,319,2,22,28,13,37,2,8),(15,319,2,22,29,41,85,11,9),(15,319,2,22,30,7,24,4,8),(15,319,2,23,1,5,20,3,4),(15,319,2,23,2,2,12,1,4),(15,319,2,23,3,6,20,1,1),(15,319,2,23,4,7,13,4,2),(15,319,2,23,5,39,33,9,2),(15,319,2,23,6,31,20,7,3),(15,319,2,23,7,11,9,3,1),(15,319,2,23,8,6,NULL,1,NULL),(15,319,2,23,9,12,23,5,3),(15,319,2,23,10,17,13,4,2),(15,319,2,23,11,12,34,1,6),(15,319,2,23,12,33,54,3,7),(15,319,2,23,13,49,23,6,2),(15,319,2,23,14,9,36,2,9),(15,319,2,23,15,18,49,6,9),(15,319,2,23,16,63,64,9,7),(15,319,2,23,17,12,33,2,5),(15,319,2,23,18,39,36,8,3),(15,319,2,23,19,17,56,1,9),(15,319,2,23,20,22,34,7,5),(15,319,2,23,21,6,8,3,NULL),(15,319,2,23,22,32,35,6,2),(15,319,2,23,23,25,36,8,3),(15,319,2,23,24,11,46,5,7),(15,319,2,23,25,59,NULL,11,NULL),(15,319,2,23,26,11,29,2,3),(15,319,2,23,27,15,40,3,4),(15,319,2,23,28,15,32,5,6),(15,319,2,23,29,47,79,10,6),(15,319,2,23,30,15,19,4,6),(15,319,2,24,1,5,24,3,7),(15,319,2,24,2,9,9,NULL,3),(15,319,2,24,3,16,23,2,4),(15,319,2,24,4,9,19,6,2),(15,319,2,24,5,43,28,12,3),(15,319,2,24,6,24,23,5,3),(15,319,2,24,7,10,4,5,3),(15,319,2,24,8,11,NULL,2,NULL),(15,319,2,24,9,10,25,2,6),(15,319,2,24,10,26,6,8,NULL),(15,319,2,24,11,25,31,5,5),(15,319,2,24,12,51,37,7,8),(15,319,2,24,13,41,24,8,4),(15,319,2,24,14,10,37,2,8),(15,319,2,24,15,31,52,7,9),(15,319,2,24,16,66,50,11,7),(15,319,2,24,17,8,36,2,4),(15,319,2,24,18,31,23,7,5),(15,319,2,24,19,23,62,1,9),(15,319,2,24,20,27,41,6,9),(15,319,2,24,21,7,14,2,3),(15,319,2,24,22,36,36,9,6),(15,319,2,24,23,27,29,7,6),(15,319,2,24,24,13,40,8,5),(15,319,2,24,25,62,NULL,16,NULL),(15,319,2,24,26,7,25,NULL,7),(15,319,2,24,27,14,37,2,9),(15,319,2,24,28,8,36,2,11),(15,319,2,24,29,52,69,10,9),(15,319,2,24,30,10,27,2,8),(15,319,3,31,1,73,76,13,7),(15,319,3,31,2,9,43,3,11),(15,319,3,31,3,40,30,11,6),(15,319,3,31,4,46,26,11,6),(15,319,3,31,5,23,40,8,9),(15,319,3,31,6,3,82,1,15),(15,319,3,31,7,7,23,5,4),(15,319,3,31,8,6,8,4,1),(15,319,3,31,9,11,30,4,4),(15,319,3,31,10,10,21,2,4),(15,319,3,31,11,6,23,1,2),(15,319,3,31,12,32,46,8,8),(15,319,3,31,13,11,33,1,7),(15,319,3,31,14,20,22,8,4),(15,319,3,31,15,37,32,8,5),(15,319,3,31,16,20,35,6,7),(15,319,3,31,17,66,44,11,8),(15,319,3,31,18,13,31,2,7),(15,319,3,31,19,21,17,3,2),(15,319,3,31,20,11,30,3,3),(15,319,3,31,21,15,NULL,5,NULL),(15,319,3,31,22,9,24,4,6),(15,319,3,31,23,2,5,2,NULL),(15,319,3,31,24,4,71,3,11),(15,319,3,31,25,5,12,2,4),(15,319,3,31,26,2,14,NULL,4),(15,319,3,31,27,5,9,1,3),(15,319,3,31,28,3,7,NULL,3),(15,319,3,31,29,1,63,1,10),(15,319,3,31,30,3,42,NULL,9),(15,319,3,32,1,86,60,12,5),(15,319,3,32,2,4,36,1,9),(15,319,3,32,3,26,32,7,2),(15,319,3,32,4,38,15,12,2),(15,319,3,32,5,26,39,11,3),(15,319,3,32,6,13,72,3,8),(15,319,3,32,7,2,39,1,7),(15,319,3,32,8,5,6,2,2),(15,319,3,32,9,13,23,4,5),(15,319,3,32,10,10,23,3,6),(15,319,3,32,11,5,21,1,4),(15,319,3,32,12,32,48,5,7),(15,319,3,32,13,5,30,3,6),(15,319,3,32,14,29,31,9,4),(15,319,3,32,15,40,36,6,6),(15,319,3,32,16,15,37,4,5),(15,319,3,32,17,65,46,15,2),(15,319,3,32,18,17,33,3,5),(15,319,3,32,19,18,21,3,3),(15,319,3,32,20,11,23,4,1),(15,319,3,32,21,13,NULL,5,NULL),(15,319,3,32,22,14,32,4,5),(15,319,3,32,23,3,12,2,4),(15,319,3,32,24,11,43,7,6),(15,319,3,32,25,6,11,2,2),(15,319,3,32,26,4,12,1,3),(15,319,3,32,27,4,13,1,2),(15,319,3,32,28,5,11,3,1),(15,319,3,32,29,2,56,1,9),(15,319,3,32,30,5,40,3,6),(15,319,3,33,1,84,65,11,9),(15,319,3,33,2,4,33,2,11),(15,319,3,33,3,31,33,10,2),(15,319,3,33,4,48,25,15,3),(15,319,3,33,5,23,39,3,12),(15,319,3,33,6,6,73,2,13),(15,319,3,33,7,1,36,NULL,10),(15,319,3,33,8,4,16,1,7),(15,319,3,33,9,7,35,5,8),(15,319,3,33,10,14,24,5,7),(15,319,3,33,11,3,17,1,3),(15,319,3,33,12,44,50,10,9),(15,319,3,33,13,9,25,2,6),(15,319,3,33,14,34,23,11,6),(15,319,3,33,15,39,52,10,9),(15,319,3,33,16,14,43,2,10),(15,319,3,33,17,73,47,15,3),(15,319,3,33,18,8,27,5,4),(15,319,3,33,19,25,21,5,5),(15,319,3,33,20,9,22,4,3),(15,319,3,33,21,13,NULL,5,NULL),(15,319,3,33,22,10,35,2,5),(15,319,3,33,23,3,11,NULL,4),(15,319,3,33,24,4,71,1,16),(15,319,3,33,25,5,18,1,5),(15,319,3,33,26,2,20,1,4),(15,319,3,33,27,5,15,NULL,4),(15,319,3,33,28,1,11,NULL,3),(15,319,3,33,29,1,64,1,14),(15,319,3,33,30,6,44,2,6),(15,319,3,34,1,79,77,13,10),(15,319,3,34,2,6,33,2,13),(15,319,3,34,3,39,34,11,3),(15,319,3,34,4,33,27,9,7),(15,319,3,34,5,22,37,9,11),(15,319,3,34,6,3,71,NULL,16),(15,319,3,34,7,3,25,1,4),(15,319,3,34,8,1,5,1,1),(15,319,3,34,9,7,31,3,5),(15,319,3,34,10,13,24,6,3),(15,319,3,34,11,6,14,1,2),(15,319,3,34,12,39,38,11,8),(15,319,3,34,13,5,28,1,10),(15,319,3,34,14,29,23,12,6),(15,319,3,34,15,33,42,11,8),(15,319,3,34,16,18,37,6,11),(15,319,3,34,17,83,34,16,3),(15,319,3,34,18,16,20,4,3),(15,319,3,34,19,22,26,3,9),(15,319,3,34,20,6,28,1,5),(15,319,3,34,21,12,NULL,4,NULL),(15,319,3,34,22,1,37,1,10),(15,319,3,34,23,4,13,NULL,3),(15,319,3,34,24,3,59,2,14),(15,319,3,34,25,5,18,3,2),(15,319,3,34,26,NULL,15,NULL,7),(15,319,3,34,27,3,12,NULL,3),(15,319,3,34,28,1,10,NULL,3),(15,319,3,34,29,2,57,NULL,12),(15,319,3,34,30,4,52,2,9),(15,320,1,11,1,NULL,NULL,NULL,NULL),(15,320,1,11,2,NULL,NULL,NULL,NULL),(15,320,1,11,3,NULL,NULL,NULL,NULL),(15,320,1,11,4,NULL,NULL,NULL,NULL),(15,320,1,11,5,NULL,NULL,NULL,NULL),(15,320,1,11,6,NULL,NULL,NULL,NULL),(15,320,1,11,7,NULL,NULL,NULL,NULL),(15,320,1,11,8,NULL,NULL,NULL,NULL),(15,320,1,11,9,NULL,NULL,NULL,NULL),(15,320,1,11,10,NULL,NULL,NULL,NULL),(15,320,1,11,11,NULL,NULL,NULL,NULL),(15,320,1,11,12,NULL,NULL,NULL,NULL),(15,320,1,11,13,NULL,NULL,NULL,NULL),(15,320,1,11,14,NULL,NULL,NULL,NULL),(15,320,1,11,15,NULL,NULL,NULL,NULL),(15,320,1,11,16,NULL,NULL,NULL,NULL),(15,320,1,11,17,NULL,NULL,NULL,NULL),(15,320,1,11,18,NULL,NULL,NULL,NULL),(15,320,1,11,19,NULL,NULL,NULL,NULL),(15,320,1,11,20,NULL,NULL,NULL,NULL),(15,320,1,12,1,NULL,1,NULL,NULL),(15,320,1,12,2,NULL,NULL,NULL,NULL),(15,320,1,12,3,NULL,NULL,NULL,NULL),(15,320,1,12,4,NULL,NULL,NULL,NULL),(15,320,1,12,5,NULL,NULL,NULL,NULL),(15,320,1,12,6,1,NULL,NULL,NULL),(15,320,1,12,7,NULL,NULL,NULL,NULL),(15,320,1,12,8,1,NULL,NULL,NULL),(15,320,1,12,9,NULL,NULL,NULL,NULL),(15,320,1,12,10,NULL,NULL,NULL,NULL),(15,320,1,12,11,NULL,NULL,NULL,NULL),(15,320,1,12,12,NULL,1,NULL,NULL),(15,320,1,12,13,NULL,NULL,NULL,NULL),(15,320,1,12,14,1,NULL,NULL,NULL),(15,320,1,12,15,1,NULL,NULL,NULL),(15,320,1,12,16,1,NULL,NULL,NULL),(15,320,1,12,17,1,NULL,NULL,NULL),(15,320,1,12,18,1,NULL,NULL,NULL),(15,320,1,12,19,NULL,NULL,NULL,NULL),(15,320,1,12,20,NULL,NULL,NULL,NULL),(15,320,1,13,1,NULL,NULL,NULL,NULL),(15,320,1,13,2,NULL,NULL,NULL,NULL),(15,320,1,13,3,NULL,NULL,NULL,NULL),(15,320,1,13,4,NULL,NULL,NULL,NULL),(15,320,1,13,5,NULL,NULL,NULL,NULL),(15,320,1,13,6,NULL,NULL,NULL,NULL),(15,320,1,13,7,NULL,NULL,NULL,NULL),(15,320,1,13,8,NULL,NULL,NULL,NULL),(15,320,1,13,9,NULL,NULL,NULL,NULL),(15,320,1,13,10,NULL,NULL,NULL,NULL),(15,320,1,13,11,NULL,NULL,NULL,NULL),(15,320,1,13,12,NULL,NULL,NULL,NULL),(15,320,1,13,13,NULL,NULL,NULL,NULL),(15,320,1,13,14,NULL,NULL,NULL,NULL),(15,320,1,13,15,NULL,NULL,NULL,NULL),(15,320,1,13,16,NULL,NULL,NULL,NULL),(15,320,1,13,17,NULL,NULL,NULL,NULL),(15,320,1,13,18,NULL,NULL,NULL,NULL),(15,320,1,13,19,NULL,NULL,NULL,NULL),(15,320,1,13,20,NULL,NULL,NULL,NULL),(15,320,1,14,1,13,12,7,5),(15,320,1,14,2,7,9,4,6),(15,320,1,14,3,4,15,4,9),(15,320,1,14,4,7,11,5,7),(15,320,1,14,5,2,16,2,9),(15,320,1,14,6,14,10,7,7),(15,320,1,14,7,15,6,12,1),(15,320,1,14,8,9,11,6,4),(15,320,1,14,9,11,NULL,4,NULL),(15,320,1,14,10,14,3,8,NULL),(15,320,1,14,11,2,15,2,7),(15,320,1,14,12,3,9,3,5),(15,320,1,14,13,7,9,5,4),(15,320,1,14,14,16,10,13,2),(15,320,1,14,15,20,NULL,13,NULL),(15,320,1,14,16,5,6,4,1),(15,320,1,14,17,9,5,7,3),(15,320,1,14,18,4,6,4,3),(15,320,1,14,19,7,9,6,6),(15,320,1,14,20,14,7,10,2),(15,320,1,15,1,15,11,7,3),(15,320,1,15,2,8,8,6,3),(15,320,1,15,3,1,10,1,5),(15,320,1,15,4,7,8,5,4),(15,320,1,15,5,1,11,1,4),(15,320,1,15,6,15,9,2,2),(15,320,1,15,7,9,7,3,5),(15,320,1,15,8,4,17,NULL,8),(15,320,1,15,9,14,NULL,10,NULL),(15,320,1,15,10,20,7,7,3),(15,320,1,15,11,3,12,3,5),(15,320,1,15,12,2,8,2,4),(15,320,1,15,13,3,8,3,1),(15,320,1,15,14,15,14,8,2),(15,320,1,15,15,22,NULL,10,NULL),(15,320,1,15,16,7,9,2,5),(15,320,1,15,17,12,8,7,3),(15,320,1,15,18,6,6,5,3),(15,320,1,15,19,9,11,7,3),(15,320,1,15,20,17,8,8,2),(15,320,1,16,1,11,10,6,2),(15,320,1,16,2,6,7,2,2),(15,320,1,16,3,1,18,NULL,8),(15,320,1,16,4,7,8,5,3),(15,320,1,16,5,3,14,3,5),(15,320,1,16,6,11,11,5,4),(15,320,1,16,7,10,2,4,2),(15,320,1,16,8,7,13,2,4),(15,320,1,16,9,11,NULL,5,NULL),(15,320,1,16,10,12,5,5,1),(15,320,1,16,11,13,9,5,2),(15,320,1,16,12,16,13,8,1),(15,320,1,16,13,4,27,1,9),(15,320,1,16,14,12,12,6,2),(15,320,1,16,15,3,9,1,1),(15,320,1,16,16,12,NULL,5,NULL),(15,320,1,16,17,8,11,5,4),(15,320,1,16,18,7,11,2,3),(15,320,1,16,19,2,4,1,1),(15,320,1,16,20,13,8,4,4),(15,320,1,17,1,10,8,3,NULL),(15,320,1,17,2,5,6,NULL,3),(15,320,1,17,3,4,10,1,NULL),(15,320,1,17,4,6,7,1,2),(15,320,1,17,5,1,9,NULL,2),(15,320,1,17,6,9,11,2,1),(15,320,1,17,7,3,9,1,NULL),(15,320,1,17,8,7,10,3,1),(15,320,1,17,9,8,NULL,1,NULL),(15,320,1,17,10,11,6,3,NULL),(15,320,1,17,11,6,10,2,2),(15,320,1,17,12,7,15,3,1),(15,320,1,17,13,2,25,NULL,4),(15,320,1,17,14,5,8,1,3),(15,320,1,17,15,4,2,1,NULL),(15,320,1,17,16,11,NULL,2,NULL),(15,320,1,17,17,9,11,2,2),(15,320,1,17,18,NULL,14,NULL,2),(15,320,1,17,19,NULL,5,NULL,1),(15,320,1,17,20,5,16,1,2),(15,320,2,21,1,1,3,1,2),(15,320,2,21,2,2,2,1,NULL),(15,320,2,21,3,3,4,NULL,4),(15,320,2,21,4,3,2,3,NULL),(15,320,2,21,5,6,7,4,3),(15,320,2,21,6,6,9,4,1),(15,320,2,21,7,2,NULL,2,NULL),(15,320,2,21,8,1,NULL,NULL,NULL),(15,320,2,21,9,2,2,1,1),(15,320,2,21,10,3,7,2,2),(15,320,2,21,11,3,5,1,2),(15,320,2,21,12,11,12,4,2),(15,320,2,21,13,12,11,5,2),(15,320,2,21,14,2,7,NULL,4),(15,320,2,21,15,5,7,3,1),(15,320,2,21,16,10,16,4,5),(15,320,2,21,17,3,7,2,1),(15,320,2,21,18,11,7,3,2),(15,320,2,21,19,3,15,1,4),(15,320,2,21,20,9,10,5,2),(15,320,2,21,21,2,1,2,NULL),(15,320,2,21,22,8,9,6,1),(15,320,2,21,23,2,11,NULL,2),(15,320,2,21,24,1,7,NULL,4),(15,320,2,21,25,8,NULL,1,NULL),(15,320,2,21,26,2,6,1,1),(15,320,2,21,27,2,6,2,1),(15,320,2,21,28,2,7,NULL,4),(15,320,2,21,29,5,20,1,8),(15,320,2,21,30,NULL,7,NULL,3),(15,320,2,22,1,NULL,4,NULL,2),(15,320,2,22,2,NULL,6,NULL,3),(15,320,2,22,3,4,5,NULL,4),(15,320,2,22,4,1,4,1,2),(15,320,2,22,5,7,7,3,3),(15,320,2,22,6,2,13,NULL,7),(15,320,2,22,7,5,NULL,4,NULL),(15,320,2,22,8,3,NULL,1,NULL),(15,320,2,22,9,3,8,2,5),(15,320,2,22,10,2,2,1,2),(15,320,2,22,11,3,11,1,6),(15,320,2,22,12,10,14,5,4),(15,320,2,22,13,12,10,3,4),(15,320,2,22,14,NULL,9,NULL,5),(15,320,2,22,15,2,14,NULL,7),(15,320,2,22,16,13,12,4,5),(15,320,2,22,17,2,9,1,6),(15,320,2,22,18,6,13,4,6),(15,320,2,22,19,6,9,1,2),(15,320,2,22,20,3,12,NULL,6),(15,320,2,22,21,1,2,1,2),(15,320,2,22,22,8,7,4,5),(15,320,2,22,23,6,7,1,5),(15,320,2,22,24,2,11,NULL,6),(15,320,2,22,25,11,NULL,5,NULL),(15,320,2,22,26,2,5,NULL,5),(15,320,2,22,27,2,7,NULL,4),(15,320,2,22,28,2,7,NULL,5),(15,320,2,22,29,9,19,3,8),(15,320,2,22,30,2,6,2,4),(15,320,2,23,1,2,5,2,1),(15,320,2,23,2,NULL,3,NULL,1),(15,320,2,23,3,3,3,NULL,2),(15,320,2,23,4,2,2,2,2),(15,320,2,23,5,8,5,5,2),(15,320,2,23,6,7,3,3,1),(15,320,2,23,7,1,2,1,1),(15,320,2,23,8,NULL,NULL,NULL,NULL),(15,320,2,23,9,1,3,1,1),(15,320,2,23,10,2,4,1,2),(15,320,2,23,11,4,5,3,2),(15,320,2,23,12,6,6,5,3),(15,320,2,23,13,12,6,7,2),(15,320,2,23,14,2,6,2,1),(15,320,2,23,15,8,7,5,1),(15,320,2,23,16,11,8,8,2),(15,320,2,23,17,NULL,5,NULL,2),(15,320,2,23,18,4,9,2,4),(15,320,2,23,19,1,13,NULL,8),(15,320,2,23,20,9,8,5,4),(15,320,2,23,21,NULL,2,NULL,2),(15,320,2,23,22,8,7,5,3),(15,320,2,23,23,3,8,1,5),(15,320,2,23,24,3,9,1,5),(15,320,2,23,25,8,NULL,6,NULL),(15,320,2,23,26,1,3,1,2),(15,320,2,23,27,3,4,NULL,1),(15,320,2,23,28,3,5,1,5),(15,320,2,23,29,6,14,4,6),(15,320,2,23,30,NULL,3,NULL,2),(15,320,2,24,1,NULL,3,NULL,1),(15,320,2,24,2,1,2,1,1),(15,320,2,24,3,NULL,5,NULL,2),(15,320,2,24,4,4,5,2,NULL),(15,320,2,24,5,5,11,3,3),(15,320,2,24,6,3,3,2,2),(15,320,2,24,7,NULL,2,NULL,1),(15,320,2,24,8,1,NULL,NULL,NULL),(15,320,2,24,9,5,5,1,3),(15,320,2,24,10,3,3,2,1),(15,320,2,24,11,9,10,5,2),(15,320,2,24,12,14,7,4,2),(15,320,2,24,13,16,8,3,2),(15,320,2,24,14,2,14,2,5),(15,320,2,24,15,11,12,4,4),(15,320,2,24,16,15,15,5,4),(15,320,2,24,17,2,11,1,3),(15,320,2,24,18,8,8,1,3),(15,320,2,24,19,4,18,NULL,6),(15,320,2,24,20,10,13,4,4),(15,320,2,24,21,1,5,NULL,3),(15,320,2,24,22,12,6,5,2),(15,320,2,24,23,6,10,3,2),(15,320,2,24,24,2,6,1,3),(15,320,2,24,25,16,NULL,7,NULL),(15,320,2,24,26,3,4,NULL,3),(15,320,2,24,27,1,7,NULL,3),(15,320,2,24,28,1,10,NULL,5),(15,320,2,24,29,12,13,4,4),(15,320,2,24,30,4,5,NULL,4),(15,320,3,31,1,15,20,4,5),(15,320,3,31,2,NULL,10,NULL,5),(15,320,3,31,3,7,9,2,2),(15,320,3,31,4,6,7,2,3),(15,320,3,31,5,2,14,2,7),(15,320,3,31,6,1,15,NULL,4),(15,320,3,31,7,NULL,6,NULL,2),(15,320,3,31,8,NULL,3,NULL,2),(15,320,3,31,9,1,8,1,3),(15,320,3,31,10,3,8,2,2),(15,320,3,31,11,2,1,NULL,NULL),(15,320,3,31,12,15,9,4,3),(15,320,3,31,13,2,9,1,2),(15,320,3,31,14,11,8,7,1),(15,320,3,31,15,14,9,4,2),(15,320,3,31,16,7,15,2,5),(15,320,3,31,17,20,6,7,1),(15,320,3,31,18,6,9,2,1),(15,320,3,31,19,6,1,2,NULL),(15,320,3,31,20,6,5,1,2),(15,320,3,31,21,5,NULL,2,NULL),(15,320,3,31,22,1,8,NULL,3),(15,320,3,31,23,1,1,NULL,NULL),(15,320,3,31,24,NULL,17,NULL,5),(15,320,3,31,25,1,5,NULL,1),(15,320,3,31,26,NULL,3,NULL,NULL),(15,320,3,31,27,1,1,NULL,NULL),(15,320,3,31,28,NULL,3,NULL,1),(15,320,3,31,29,1,11,1,3),(15,320,3,31,30,NULL,12,NULL,2),(15,320,3,32,1,15,12,7,4),(15,320,3,32,2,NULL,4,NULL,3),(15,320,3,32,3,5,4,4,3),(15,320,3,32,4,9,6,6,3),(15,320,3,32,5,1,6,1,3),(15,320,3,32,6,NULL,12,NULL,6),(15,320,3,32,7,NULL,3,NULL,2),(15,320,3,32,8,2,2,1,2),(15,320,3,32,9,NULL,2,NULL,1),(15,320,3,32,10,2,4,1,1),(15,320,3,32,11,NULL,6,NULL,4),(15,320,3,32,12,8,9,4,5),(15,320,3,32,13,2,7,NULL,1),(15,320,3,32,14,10,3,6,2),(15,320,3,32,15,9,7,6,1),(15,320,3,32,16,4,12,3,6),(15,320,3,32,17,13,12,7,4),(15,320,3,32,18,5,9,3,3),(15,320,3,32,19,6,2,3,1),(15,320,3,32,20,3,5,2,4),(15,320,3,32,21,NULL,NULL,NULL,NULL),(15,320,3,32,22,1,6,1,2),(15,320,3,32,23,1,1,NULL,NULL),(15,320,3,32,24,1,8,1,3),(15,320,3,32,25,NULL,2,NULL,1),(15,320,3,32,26,NULL,NULL,NULL,NULL),(15,320,3,32,27,NULL,3,NULL,2),(15,320,3,32,28,NULL,2,NULL,1),(15,320,3,32,29,1,9,1,5),(15,320,3,32,30,NULL,15,NULL,7),(15,320,3,33,1,10,18,3,6),(15,320,3,33,2,NULL,5,NULL,3),(15,320,3,33,3,5,9,1,4),(15,320,3,33,4,10,7,5,3),(15,320,3,33,5,3,16,NULL,8),(15,320,3,33,6,NULL,16,NULL,6),(15,320,3,33,7,NULL,4,NULL,2),(15,320,3,33,8,2,1,1,NULL),(15,320,3,33,9,NULL,2,NULL,2),(15,320,3,33,10,2,2,NULL,1),(15,320,3,33,11,NULL,5,NULL,3),(15,320,3,33,12,9,11,6,3),(15,320,3,33,13,4,7,2,3),(15,320,3,33,14,9,11,4,7),(15,320,3,33,15,8,14,3,5),(15,320,3,33,16,6,12,3,7),(15,320,3,33,17,17,7,8,1),(15,320,3,33,18,4,8,2,6),(15,320,3,33,19,5,4,3,3),(15,320,3,33,20,5,6,1,2),(15,320,3,33,21,2,NULL,2,NULL),(15,320,3,33,22,1,4,NULL,1),(15,320,3,33,23,NULL,NULL,NULL,NULL),(15,320,3,33,24,NULL,11,NULL,7),(15,320,3,33,25,NULL,3,NULL,3),(15,320,3,33,26,NULL,1,NULL,NULL),(15,320,3,33,27,NULL,2,NULL,1),(15,320,3,33,28,NULL,3,NULL,1),(15,320,3,33,29,NULL,15,NULL,8),(15,320,3,33,30,NULL,7,NULL,3),(15,320,3,34,1,10,21,3,5),(15,320,3,34,2,NULL,9,NULL,4),(15,320,3,34,3,6,11,1,4),(15,320,3,34,4,6,6,4,3),(15,320,3,34,5,3,9,1,5),(15,320,3,34,6,2,16,2,3),(15,320,3,34,7,1,5,1,2),(15,320,3,34,8,2,2,1,NULL),(15,320,3,34,9,NULL,3,NULL,1),(15,320,3,34,10,3,5,2,4),(15,320,3,34,11,1,3,1,2),(15,320,3,34,12,8,13,3,4),(15,320,3,34,13,1,6,1,NULL),(15,320,3,34,14,9,6,5,2),(15,320,3,34,15,13,8,5,4),(15,320,3,34,16,7,13,4,4),(15,320,3,34,17,17,8,8,NULL),(15,320,3,34,18,5,8,2,3),(15,320,3,34,19,2,8,2,2),(15,320,3,34,20,2,10,2,3),(15,320,3,34,21,3,NULL,1,NULL),(15,320,3,34,22,1,3,1,1),(15,320,3,34,23,NULL,5,NULL,1),(15,320,3,34,24,NULL,13,NULL,5),(15,320,3,34,25,2,2,2,1),(15,320,3,34,26,1,5,1,NULL),(15,320,3,34,27,NULL,3,NULL,1),(15,320,3,34,28,NULL,3,NULL,1),(15,320,3,34,29,NULL,14,NULL,6),(15,320,3,34,30,1,12,1,4),(15,324,1,11,1,NULL,NULL,NULL,NULL),(15,324,1,11,2,NULL,NULL,NULL,NULL),(15,324,1,11,3,NULL,1,NULL,NULL),(15,324,1,11,4,NULL,NULL,NULL,NULL),(15,324,1,11,5,NULL,1,NULL,NULL),(15,324,1,11,6,NULL,NULL,NULL,NULL),(15,324,1,11,7,NULL,1,NULL,NULL),(15,324,1,11,8,NULL,1,NULL,NULL),(15,324,1,11,9,1,NULL,NULL,NULL),(15,324,1,11,10,NULL,1,NULL,NULL),(15,324,1,11,11,NULL,NULL,NULL,NULL),(15,324,1,11,12,NULL,NULL,NULL,NULL),(15,324,1,11,13,NULL,NULL,NULL,NULL),(15,324,1,11,14,NULL,NULL,NULL,NULL),(15,324,1,11,15,NULL,NULL,NULL,NULL),(15,324,1,11,16,NULL,NULL,NULL,NULL),(15,324,1,11,17,NULL,NULL,NULL,NULL),(15,324,1,11,18,NULL,NULL,NULL,NULL),(15,324,1,11,19,NULL,NULL,NULL,NULL),(15,324,1,11,20,NULL,1,NULL,NULL),(15,324,1,12,1,1,NULL,1,NULL),(15,324,1,12,2,NULL,1,NULL,1),(15,324,1,12,3,1,NULL,1,NULL),(15,324,1,12,4,NULL,1,NULL,1),(15,324,1,12,5,1,NULL,1,NULL),(15,324,1,12,6,NULL,NULL,NULL,NULL),(15,324,1,12,7,1,NULL,1,NULL),(15,324,1,12,8,NULL,1,NULL,1),(15,324,1,12,9,1,NULL,1,NULL),(15,324,1,12,10,NULL,NULL,NULL,NULL),(15,324,1,12,11,1,NULL,1,NULL),(15,324,1,12,12,NULL,1,NULL,1),(15,324,1,12,13,1,NULL,1,NULL),(15,324,1,12,14,1,NULL,1,NULL),(15,324,1,12,15,1,NULL,1,NULL),(15,324,1,12,16,1,NULL,1,NULL),(15,324,1,12,17,1,NULL,1,NULL),(15,324,1,12,18,1,NULL,1,NULL),(15,324,1,12,19,1,NULL,1,NULL),(15,324,1,12,20,NULL,NULL,NULL,NULL),(15,324,1,13,1,1,NULL,1,NULL),(15,324,1,13,2,1,NULL,1,NULL),(15,324,1,13,3,1,NULL,1,NULL),(15,324,1,13,4,2,NULL,2,NULL),(15,324,1,13,5,NULL,1,NULL,1),(15,324,1,13,6,1,NULL,1,NULL),(15,324,1,13,7,1,1,1,1),(15,324,1,13,8,NULL,1,NULL,1),(15,324,1,13,9,1,NULL,1,NULL),(15,324,1,13,10,1,1,1,1),(15,324,1,13,11,2,NULL,2,NULL),(15,324,1,13,12,1,1,1,1),(15,324,1,13,13,1,NULL,1,NULL),(15,324,1,13,14,1,1,1,1),(15,324,1,13,15,1,NULL,1,NULL),(15,324,1,13,16,1,1,1,1),(15,324,1,13,17,1,1,1,1),(15,324,1,13,18,1,NULL,1,NULL),(15,324,1,13,19,1,1,1,1),(15,324,1,13,20,1,1,1,1),(15,324,1,14,1,8,9,6,3),(15,324,1,14,2,2,9,2,7),(15,324,1,14,3,4,8,2,6),(15,324,1,14,4,5,5,4,4),(15,324,1,14,5,1,9,1,6),(15,324,1,14,6,11,10,5,4),(15,324,1,14,7,7,3,4,1),(15,324,1,14,8,5,11,4,4),(15,324,1,14,9,7,NULL,3,NULL),(15,324,1,14,10,7,5,5,1),(15,324,1,14,11,NULL,5,NULL,5),(15,324,1,14,12,NULL,4,NULL,3),(15,324,1,14,13,NULL,5,NULL,3),(15,324,1,14,14,7,14,5,4),(15,324,1,14,15,10,NULL,7,NULL),(15,324,1,14,16,1,2,1,1),(15,324,1,14,17,3,1,3,NULL),(15,324,1,14,18,1,NULL,1,NULL),(15,324,1,14,19,4,4,3,4),(15,324,1,14,20,6,7,5,4),(15,324,1,15,1,12,2,4,1),(15,324,1,15,2,3,3,3,1),(15,324,1,15,3,2,7,1,6),(15,324,1,15,4,3,8,1,5),(15,324,1,15,5,1,5,1,2),(15,324,1,15,6,5,5,3,2),(15,324,1,15,7,5,3,4,2),(15,324,1,15,8,3,4,1,2),(15,324,1,15,9,4,NULL,3,NULL),(15,324,1,15,10,7,2,3,2),(15,324,1,15,11,1,6,1,5),(15,324,1,15,12,NULL,5,NULL,3),(15,324,1,15,13,4,2,3,1),(15,324,1,15,14,9,8,6,3),(15,324,1,15,15,10,NULL,7,NULL),(15,324,1,15,16,2,1,NULL,NULL),(15,324,1,15,17,1,1,1,NULL),(15,324,1,15,18,1,1,1,1),(15,324,1,15,19,6,NULL,3,NULL),(15,324,1,15,20,3,3,2,3),(15,324,1,16,1,13,25,6,11),(15,324,1,16,2,5,12,3,3),(15,324,1,16,3,5,26,3,13),(15,324,1,16,4,14,16,11,7),(15,324,1,16,5,5,36,5,15),(15,324,1,16,6,16,18,10,8),(15,324,1,16,7,11,12,9,7),(15,324,1,16,8,9,30,3,16),(15,324,1,16,9,18,NULL,11,NULL),(15,324,1,16,10,26,13,10,9),(15,324,1,16,11,34,16,20,5),(15,324,1,16,12,11,40,6,16),(15,324,1,16,13,7,60,2,26),(15,324,1,16,14,20,22,10,7),(15,324,1,16,15,12,15,3,8),(15,324,1,16,16,26,NULL,14,NULL),(15,324,1,16,17,11,30,5,15),(15,324,1,16,18,10,34,3,16),(15,324,1,16,19,2,20,1,6),(15,324,1,16,20,13,31,8,11),(15,324,1,17,1,17,18,10,4),(15,324,1,17,2,6,11,3,6),(15,324,1,17,3,10,20,5,7),(15,324,1,17,4,10,21,5,8),(15,324,1,17,5,1,21,1,7),(15,324,1,17,6,15,21,6,8),(15,324,1,17,7,16,7,9,3),(15,324,1,17,8,7,36,3,14),(15,324,1,17,9,13,NULL,8,NULL),(15,324,1,17,10,23,15,13,5),(15,324,1,17,11,19,9,8,3),(15,324,1,17,12,12,27,5,16),(15,324,1,17,13,2,48,1,19),(15,324,1,17,14,7,17,2,7),(15,324,1,17,15,4,18,NULL,12),(15,324,1,17,16,15,NULL,8,NULL),(15,324,1,17,17,14,16,8,7),(15,324,1,17,18,3,34,NULL,17),(15,324,1,17,19,10,12,4,3),(15,324,1,17,20,8,38,5,14),(15,324,2,21,1,NULL,4,NULL,3),(15,324,2,21,2,2,3,NULL,3),(15,324,2,21,3,1,10,NULL,5),(15,324,2,21,4,3,3,2,NULL),(15,324,2,21,5,8,8,5,4),(15,324,2,21,6,7,10,4,6),(15,324,2,21,7,1,NULL,NULL,NULL),(15,324,2,21,8,NULL,NULL,NULL,NULL),(15,324,2,21,9,2,8,2,5),(15,324,2,21,10,4,2,3,1),(15,324,2,21,11,7,11,5,7),(15,324,2,21,12,16,14,6,10),(15,324,2,21,13,11,9,4,7),(15,324,2,21,14,1,13,1,7),(15,324,2,21,15,9,11,7,5),(15,324,2,21,16,15,21,10,7),(15,324,2,21,17,2,8,NULL,6),(15,324,2,21,18,13,10,9,6),(15,324,2,21,19,2,14,NULL,7),(15,324,2,21,20,5,8,5,4),(15,324,2,21,21,NULL,2,NULL,2),(15,324,2,21,22,5,13,4,7),(15,324,2,21,23,3,14,2,9),(15,324,2,21,24,1,9,NULL,7),(15,324,2,21,25,10,NULL,7,NULL),(15,324,2,21,26,5,8,NULL,4),(15,324,2,21,27,2,8,1,5),(15,324,2,21,28,5,7,2,5),(15,324,2,21,29,12,26,7,14),(15,324,2,21,30,2,3,1,1),(15,324,2,22,1,NULL,3,NULL,1),(15,324,2,22,2,NULL,5,NULL,4),(15,324,2,22,3,5,3,2,2),(15,324,2,22,4,NULL,1,NULL,3),(15,324,2,22,5,3,9,1,5),(15,324,2,22,6,6,11,4,8),(15,324,2,22,7,NULL,NULL,NULL,NULL),(15,324,2,22,8,7,NULL,3,NULL),(15,324,2,22,9,3,6,2,4),(15,324,2,22,10,2,4,2,2),(15,324,2,22,11,6,6,4,5),(15,324,2,22,12,17,9,7,7),(15,324,2,22,13,16,11,11,6),(15,324,2,22,14,2,10,2,7),(15,324,2,22,15,4,8,4,5),(15,324,2,22,16,18,19,10,8),(15,324,2,22,17,NULL,10,NULL,7),(15,324,2,22,18,14,13,8,10),(15,324,2,22,19,6,18,4,9),(15,324,2,22,20,7,11,6,6),(15,324,2,22,21,NULL,3,NULL,3),(15,324,2,22,22,6,11,4,8),(15,324,2,22,23,1,15,NULL,11),(15,324,2,22,24,2,9,1,7),(15,324,2,22,25,11,NULL,8,NULL),(15,324,2,22,26,3,9,1,4),(15,324,2,22,27,4,4,2,3),(15,324,2,22,28,4,5,1,3),(15,324,2,22,29,6,29,1,19),(15,324,2,22,30,1,2,1,1),(15,324,2,23,1,NULL,3,NULL,1),(15,324,2,23,2,NULL,2,NULL,2),(15,324,2,23,3,7,9,2,3),(15,324,2,23,4,NULL,4,NULL,3),(15,324,2,23,5,4,10,2,4),(15,324,2,23,6,4,8,2,2),(15,324,2,23,7,3,1,2,1),(15,324,2,23,8,3,NULL,NULL,NULL),(15,324,2,23,9,2,9,2,5),(15,324,2,23,10,2,3,2,1),(15,324,2,23,11,6,10,3,5),(15,324,2,23,12,7,11,2,6),(15,324,2,23,13,5,11,1,6),(15,324,2,23,14,NULL,8,NULL,6),(15,324,2,23,15,7,9,2,5),(15,324,2,23,16,8,13,5,6),(15,324,2,23,17,2,4,1,1),(15,324,2,23,18,15,8,6,3),(15,324,2,23,19,3,14,1,5),(15,324,2,23,20,1,9,1,4),(15,324,2,23,21,2,1,NULL,1),(15,324,2,23,22,2,13,1,4),(15,324,2,23,23,2,10,2,4),(15,324,2,23,24,NULL,5,NULL,2),(15,324,2,23,25,13,NULL,7,NULL),(15,324,2,23,26,4,8,1,2),(15,324,2,23,27,3,6,1,2),(15,324,2,23,28,4,9,2,3),(15,324,2,23,29,6,21,4,7),(15,324,2,23,30,1,7,1,NULL),(15,324,2,24,1,NULL,4,NULL,1),(15,324,2,24,2,1,5,1,1),(15,324,2,24,3,4,8,2,3),(15,324,2,24,4,NULL,7,NULL,2),(15,324,2,24,5,5,14,2,5),(15,324,2,24,6,4,8,1,3),(15,324,2,24,7,3,NULL,2,NULL),(15,324,2,24,8,3,NULL,2,NULL),(15,324,2,24,9,2,6,2,2),(15,324,2,24,10,NULL,2,NULL,1),(15,324,2,24,11,5,13,1,3),(15,324,2,24,12,14,9,9,4),(15,324,2,24,13,10,10,5,4),(15,324,2,24,14,1,7,NULL,2),(15,324,2,24,15,4,15,2,8),(15,324,2,24,16,8,21,5,6),(15,324,2,24,17,1,6,1,3),(15,324,2,24,18,11,5,4,3),(15,324,2,24,19,3,14,NULL,8),(15,324,2,24,20,5,8,3,3),(15,324,2,24,21,NULL,1,NULL,1),(15,324,2,24,22,6,12,1,4),(15,324,2,24,23,2,11,1,5),(15,324,2,24,24,1,5,1,1),(15,324,2,24,25,6,NULL,2,NULL),(15,324,2,24,26,5,9,1,4),(15,324,2,24,27,6,4,3,2),(15,324,2,24,28,2,7,NULL,4),(15,324,2,24,29,6,22,2,10),(15,324,2,24,30,1,8,1,4),(15,324,3,31,1,12,26,2,13),(15,324,3,31,2,1,5,1,2),(15,324,3,31,3,6,5,3,2),(15,324,3,31,4,4,7,4,5),(15,324,3,31,5,3,10,2,7),(15,324,3,31,6,NULL,22,NULL,9),(15,324,3,31,7,NULL,5,NULL,3),(15,324,3,31,8,NULL,NULL,NULL,NULL),(15,324,3,31,9,NULL,5,NULL,2),(15,324,3,31,10,NULL,11,NULL,5),(15,324,3,31,11,NULL,3,NULL,1),(15,324,3,31,12,7,13,4,8),(15,324,3,31,13,2,14,1,6),(15,324,3,31,14,2,8,1,4),(15,324,3,31,15,5,8,3,4),(15,324,3,31,16,5,8,4,2),(15,324,3,31,17,9,18,7,5),(15,324,3,31,18,3,4,2,NULL),(15,324,3,31,19,4,7,NULL,4),(15,324,3,31,20,3,7,2,3),(15,324,3,31,21,3,NULL,2,NULL),(15,324,3,31,22,NULL,4,NULL,1),(15,324,3,31,23,1,3,1,1),(15,324,3,31,24,NULL,7,NULL,4),(15,324,3,31,25,NULL,7,NULL,3),(15,324,3,31,26,NULL,2,NULL,1),(15,324,3,31,27,1,4,1,NULL),(15,324,3,31,28,NULL,3,NULL,NULL),(15,324,3,31,29,NULL,17,NULL,6),(15,324,3,31,30,NULL,12,NULL,4),(15,324,3,32,1,18,22,7,8),(15,324,3,32,2,3,3,1,1),(15,324,3,32,3,3,14,2,8),(15,324,3,32,4,3,5,2,2),(15,324,3,32,5,2,14,NULL,10),(15,324,3,32,6,NULL,21,NULL,9),(15,324,3,32,7,NULL,6,NULL,3),(15,324,3,32,8,1,2,NULL,NULL),(15,324,3,32,9,2,3,2,NULL),(15,324,3,32,10,1,6,NULL,3),(15,324,3,32,11,1,3,1,1),(15,324,3,32,12,3,17,1,9),(15,324,3,32,13,1,7,1,4),(15,324,3,32,14,6,2,6,1),(15,324,3,32,15,12,7,5,4),(15,324,3,32,16,5,6,2,4),(15,324,3,32,17,16,10,8,2),(15,324,3,32,18,3,8,2,2),(15,324,3,32,19,3,13,2,7),(15,324,3,32,20,NULL,2,NULL,NULL),(15,324,3,32,21,1,NULL,NULL,NULL),(15,324,3,32,22,NULL,7,NULL,3),(15,324,3,32,23,NULL,5,NULL,NULL),(15,324,3,32,24,NULL,11,NULL,5),(15,324,3,32,25,2,8,NULL,5),(15,324,3,32,26,NULL,NULL,NULL,NULL),(15,324,3,32,27,NULL,2,NULL,1),(15,324,3,32,28,NULL,1,NULL,NULL),(15,324,3,32,29,NULL,12,NULL,8),(15,324,3,32,30,NULL,10,NULL,2),(15,324,3,33,1,25,26,15,9),(15,324,3,33,2,NULL,6,NULL,5),(15,324,3,33,3,7,14,2,7),(15,324,3,33,4,4,10,3,6),(15,324,3,33,5,4,16,4,11),(15,324,3,33,6,1,19,NULL,8),(15,324,3,33,7,NULL,4,NULL,2),(15,324,3,33,8,NULL,1,NULL,NULL),(15,324,3,33,9,3,4,2,2),(15,324,3,33,10,2,6,2,2),(15,324,3,33,11,3,3,3,1),(15,324,3,33,12,10,11,5,9),(15,324,3,33,13,2,7,1,5),(15,324,3,33,14,4,7,4,6),(15,324,3,33,15,9,15,6,9),(15,324,3,33,16,3,7,NULL,4),(15,324,3,33,17,16,11,11,5),(15,324,3,33,18,1,10,1,3),(15,324,3,33,19,6,11,5,7),(15,324,3,33,20,1,3,1,2),(15,324,3,33,21,4,NULL,3,NULL),(15,324,3,33,22,NULL,5,NULL,2),(15,324,3,33,23,1,2,NULL,NULL),(15,324,3,33,24,NULL,15,NULL,7),(15,324,3,33,25,1,4,NULL,3),(15,324,3,33,26,NULL,3,NULL,1),(15,324,3,33,27,1,4,NULL,2),(15,324,3,33,28,NULL,1,NULL,NULL),(15,324,3,33,29,1,19,NULL,9),(15,324,3,33,30,1,10,1,4),(15,324,3,34,1,16,37,3,19),(15,324,3,34,2,1,7,1,3),(15,324,3,34,3,14,9,8,5),(15,324,3,34,4,3,5,2,4),(15,324,3,34,5,7,13,3,7),(15,324,3,34,6,1,18,NULL,11),(15,324,3,34,7,NULL,4,NULL,2),(15,324,3,34,8,1,5,NULL,3),(15,324,3,34,9,2,3,1,NULL),(15,324,3,34,10,1,8,1,3),(15,324,3,34,11,3,9,1,5),(15,324,3,34,12,12,23,7,13),(15,324,3,34,13,2,10,1,6),(15,324,3,34,14,3,8,2,7),(15,324,3,34,15,9,9,6,6),(15,324,3,34,16,2,13,2,7),(15,324,3,34,17,15,12,7,8),(15,324,3,34,18,3,11,1,5),(15,324,3,34,19,6,9,3,5),(15,324,3,34,20,2,3,1,NULL),(15,324,3,34,21,1,NULL,1,NULL),(15,324,3,34,22,1,8,NULL,3),(15,324,3,34,23,NULL,5,NULL,1),(15,324,3,34,24,1,11,1,5),(15,324,3,34,25,1,5,NULL,2),(15,324,3,34,26,1,3,NULL,1),(15,324,3,34,27,1,4,1,2),(15,324,3,34,28,NULL,2,NULL,NULL),(15,324,3,34,29,NULL,14,NULL,7),(15,324,3,34,30,1,14,1,7),(15,326,1,11,1,NULL,NULL,NULL,NULL),(15,326,1,11,2,NULL,NULL,NULL,NULL),(15,326,1,11,3,NULL,NULL,NULL,NULL),(15,326,1,11,4,NULL,NULL,NULL,NULL),(15,326,1,11,5,NULL,NULL,NULL,NULL),(15,326,1,11,6,NULL,NULL,NULL,NULL),(15,326,1,11,7,NULL,NULL,NULL,NULL),(15,326,1,11,8,NULL,NULL,NULL,NULL),(15,326,1,11,9,NULL,NULL,NULL,NULL),(15,326,1,11,10,NULL,NULL,NULL,NULL),(15,326,1,11,11,NULL,NULL,NULL,NULL),(15,326,1,11,12,NULL,NULL,NULL,NULL),(15,326,1,11,13,NULL,NULL,NULL,NULL),(15,326,1,11,14,NULL,NULL,NULL,NULL),(15,326,1,11,15,NULL,NULL,NULL,NULL),(15,326,1,11,16,NULL,NULL,NULL,NULL),(15,326,1,11,17,NULL,NULL,NULL,NULL),(15,326,1,11,18,NULL,NULL,NULL,NULL),(15,326,1,11,19,NULL,NULL,NULL,NULL),(15,326,1,11,20,NULL,NULL,NULL,NULL),(15,326,1,12,1,2,1,1,NULL),(15,326,1,12,2,NULL,1,NULL,1),(15,326,1,12,3,2,NULL,1,NULL),(15,326,1,12,4,1,2,1,NULL),(15,326,1,12,5,2,1,1,NULL),(15,326,1,12,6,NULL,NULL,NULL,NULL),(15,326,1,12,7,2,NULL,1,NULL),(15,326,1,12,8,NULL,2,NULL,1),(15,326,1,12,9,2,NULL,1,NULL),(15,326,1,12,10,2,NULL,1,NULL),(15,326,1,12,11,3,NULL,1,NULL),(15,326,1,12,12,1,1,NULL,1),(15,326,1,12,13,2,NULL,1,NULL),(15,326,1,12,14,1,1,NULL,1),(15,326,1,12,15,1,2,1,NULL),(15,326,1,12,16,1,2,1,NULL),(15,326,1,12,17,1,NULL,1,NULL),(15,326,1,12,18,3,NULL,1,NULL),(15,326,1,12,19,2,NULL,1,NULL),(15,326,1,12,20,1,NULL,1,NULL),(15,326,1,13,1,2,NULL,2,NULL),(15,326,1,13,2,1,1,1,1),(15,326,1,13,3,2,1,2,NULL),(15,326,1,13,4,2,1,2,NULL),(15,326,1,13,5,2,1,1,1),(15,326,1,13,6,NULL,3,NULL,2),(15,326,1,13,7,2,NULL,1,NULL),(15,326,1,13,8,1,2,1,1),(15,326,1,13,9,2,NULL,2,NULL),(15,326,1,13,10,2,NULL,1,NULL),(15,326,1,13,11,3,NULL,2,NULL),(15,326,1,13,12,3,NULL,2,NULL),(15,326,1,13,13,1,1,1,1),(15,326,1,13,14,2,NULL,1,NULL),(15,326,1,13,15,3,NULL,2,NULL),(15,326,1,13,16,3,NULL,2,NULL),(15,326,1,13,17,3,NULL,2,NULL),(15,326,1,13,18,2,NULL,1,NULL),(15,326,1,13,19,NULL,1,NULL,1),(15,326,1,13,20,1,1,1,1),(15,326,1,14,1,22,14,7,6),(15,326,1,14,2,11,8,5,7),(15,326,1,14,3,7,18,4,8),(15,326,1,14,4,16,9,12,2),(15,326,1,14,5,4,17,2,11),(15,326,1,14,6,10,15,2,7),(15,326,1,14,7,17,9,8,5),(15,326,1,14,8,8,20,3,8),(15,326,1,14,9,17,NULL,10,NULL),(15,326,1,14,10,22,4,8,2),(15,326,1,14,11,8,12,5,5),(15,326,1,14,12,6,10,3,6),(15,326,1,14,13,9,6,4,4),(15,326,1,14,14,20,13,10,4),(15,326,1,14,15,27,NULL,14,NULL),(15,326,1,14,16,5,9,5,8),(15,326,1,14,17,13,7,9,4),(15,326,1,14,18,8,9,5,6),(15,326,1,14,19,15,5,8,3),(15,326,1,14,20,19,10,7,6),(15,326,1,15,1,18,10,6,5),(15,326,1,15,2,7,16,5,2),(15,326,1,15,3,7,20,2,6),(15,326,1,15,4,7,17,3,3),(15,326,1,15,5,2,11,1,4),(15,326,1,15,6,5,14,2,3),(15,326,1,15,7,16,5,4,4),(15,326,1,15,8,9,16,5,5),(15,326,1,15,9,12,NULL,4,NULL),(15,326,1,15,10,20,7,9,1),(15,326,1,15,11,3,8,1,4),(15,326,1,15,12,4,9,3,5),(15,326,1,15,13,7,8,5,3),(15,326,1,15,14,16,15,7,4),(15,326,1,15,15,29,NULL,11,NULL),(15,326,1,15,16,4,6,1,3),(15,326,1,15,17,9,8,8,1),(15,326,1,15,18,9,9,6,4),(15,326,1,15,19,9,10,7,2),(15,326,1,15,20,11,13,7,4),(15,326,1,16,1,8,14,1,4),(15,326,1,16,2,4,4,1,NULL),(15,326,1,16,3,7,15,3,5),(15,326,1,16,4,11,10,3,5),(15,326,1,16,5,6,13,1,5),(15,326,1,16,6,8,13,2,3),(15,326,1,16,7,15,5,7,1),(15,326,1,16,8,10,13,2,4),(15,326,1,16,9,11,NULL,5,NULL),(15,326,1,16,10,11,6,1,4),(15,326,1,16,11,13,8,5,3),(15,326,1,16,12,10,19,2,6),(15,326,1,16,13,5,21,1,7),(15,326,1,16,14,10,8,3,4),(15,326,1,16,15,1,9,NULL,3),(15,326,1,16,16,5,NULL,1,NULL),(15,326,1,16,17,3,15,2,5),(15,326,1,16,18,4,20,2,5),(15,326,1,16,19,2,7,NULL,3),(15,326,1,16,20,5,18,2,4),(15,326,1,17,1,16,9,4,2),(15,326,1,17,2,7,5,2,1),(15,326,1,17,3,8,15,2,4),(15,326,1,17,4,5,11,3,4),(15,326,1,17,5,3,11,1,2),(15,326,1,17,6,10,9,4,2),(15,326,1,17,7,11,5,3,1),(15,326,1,17,8,6,14,2,5),(15,326,1,17,9,9,NULL,NULL,NULL),(15,326,1,17,10,15,4,5,1),(15,326,1,17,11,15,5,6,1),(15,326,1,17,12,11,12,3,4),(15,326,1,17,13,4,25,NULL,8),(15,326,1,17,14,7,15,2,4),(15,326,1,17,15,3,6,2,1),(15,326,1,17,16,12,NULL,3,NULL),(15,326,1,17,17,8,10,2,3),(15,326,1,17,18,3,14,1,4),(15,326,1,17,19,NULL,2,NULL,NULL),(15,326,1,17,20,8,13,4,4),(15,326,2,21,1,3,5,2,2),(15,326,2,21,2,2,1,2,1),(15,326,2,21,3,NULL,6,NULL,2),(15,326,2,21,4,3,6,2,3),(15,326,2,21,5,5,12,3,4),(15,326,2,21,6,4,4,1,2),(15,326,2,21,7,1,1,1,1),(15,326,2,21,8,NULL,NULL,NULL,NULL),(15,326,2,21,9,2,9,2,6),(15,326,2,21,10,2,2,2,NULL),(15,326,2,21,11,5,11,5,2),(15,326,2,21,12,11,13,3,6),(15,326,2,21,13,17,5,7,2),(15,326,2,21,14,4,18,2,6),(15,326,2,21,15,5,16,3,8),(15,326,2,21,16,11,19,3,7),(15,326,2,21,17,4,12,2,3),(15,326,2,21,18,9,5,3,3),(15,326,2,21,19,3,16,2,6),(15,326,2,21,20,7,11,4,6),(15,326,2,21,21,1,5,1,2),(15,326,2,21,22,11,10,4,6),(15,326,2,21,23,3,9,2,4),(15,326,2,21,24,2,9,1,5),(15,326,2,21,25,7,NULL,5,NULL),(15,326,2,21,26,3,13,NULL,7),(15,326,2,21,27,3,8,1,5),(15,326,2,21,28,4,9,1,4),(15,326,2,21,29,9,21,2,10),(15,326,2,21,30,1,6,NULL,4),(15,326,2,22,1,1,4,1,3),(15,326,2,22,2,2,3,2,2),(15,326,2,22,3,NULL,7,NULL,4),(15,326,2,22,4,3,10,2,6),(15,326,2,22,5,8,11,5,4),(15,326,2,22,6,11,11,6,8),(15,326,2,22,7,7,1,5,1),(15,326,2,22,8,3,NULL,NULL,NULL),(15,326,2,22,9,6,5,5,2),(15,326,2,22,10,6,4,4,2),(15,326,2,22,11,11,7,8,2),(15,326,2,22,12,14,18,6,9),(15,326,2,22,13,15,12,8,6),(15,326,2,22,14,4,8,4,5),(15,326,2,22,15,9,21,4,10),(15,326,2,22,16,19,13,9,5),(15,326,2,22,17,5,14,3,9),(15,326,2,22,18,10,12,2,9),(15,326,2,22,19,5,14,2,7),(15,326,2,22,20,14,8,10,1),(15,326,2,22,21,4,6,4,4),(15,326,2,22,22,12,8,9,2),(15,326,2,22,23,5,14,3,7),(15,326,2,22,24,4,15,4,9),(15,326,2,22,25,16,NULL,12,NULL),(15,326,2,22,26,3,6,3,4),(15,326,2,22,27,3,9,2,7),(15,326,2,22,28,1,13,1,7),(15,326,2,22,29,11,18,7,10),(15,326,2,22,30,4,5,4,4),(15,326,2,23,1,3,2,2,1),(15,326,2,23,2,2,4,1,1),(15,326,2,23,3,3,8,NULL,3),(15,326,2,23,4,NULL,7,NULL,1),(15,326,2,23,5,10,10,3,2),(15,326,2,23,6,5,6,1,2),(15,326,2,23,7,4,NULL,1,NULL),(15,326,2,23,8,4,NULL,NULL,NULL),(15,326,2,23,9,1,12,NULL,2),(15,326,2,23,10,3,6,2,3),(15,326,2,23,11,9,6,3,3),(15,326,2,23,12,12,15,1,4),(15,326,2,23,13,12,14,4,4),(15,326,2,23,14,2,11,1,3),(15,326,2,23,15,7,13,3,3),(15,326,2,23,16,14,20,3,3),(15,326,2,23,17,6,7,1,2),(15,326,2,23,18,14,10,5,2),(15,326,2,23,19,4,15,1,3),(15,326,2,23,20,9,11,3,2),(15,326,2,23,21,4,2,1,1),(15,326,2,23,22,10,8,3,2),(15,326,2,23,23,4,7,2,1),(15,326,2,23,24,6,11,2,2),(15,326,2,23,25,17,NULL,4,NULL),(15,326,2,23,26,2,13,1,3),(15,326,2,23,27,2,9,1,4),(15,326,2,23,28,2,4,1,NULL),(15,326,2,23,29,13,17,3,4),(15,326,2,23,30,1,4,1,1),(15,326,2,24,1,NULL,5,NULL,2),(15,326,2,24,2,1,2,NULL,2),(15,326,2,24,3,1,8,1,2),(15,326,2,24,4,1,5,1,1),(15,326,2,24,5,10,9,2,4),(15,326,2,24,6,5,4,3,1),(15,326,2,24,7,3,2,2,1),(15,326,2,24,8,1,NULL,1,NULL),(15,326,2,24,9,2,4,1,NULL),(15,326,2,24,10,1,NULL,NULL,NULL),(15,326,2,24,11,4,6,1,NULL),(15,326,2,24,12,13,12,4,3),(15,326,2,24,13,10,6,4,1),(15,326,2,24,14,2,11,NULL,4),(15,326,2,24,15,3,11,1,5),(15,326,2,24,16,16,11,5,3),(15,326,2,24,17,4,9,2,4),(15,326,2,24,18,12,9,2,3),(15,326,2,24,19,8,15,2,4),(15,326,2,24,20,6,11,1,6),(15,326,2,24,21,NULL,4,NULL,2),(15,326,2,24,22,16,6,7,1),(15,326,2,24,23,4,7,1,4),(15,326,2,24,24,1,8,1,4),(15,326,2,24,25,15,NULL,6,NULL),(15,326,2,24,26,7,2,2,NULL),(15,326,2,24,27,3,7,1,3),(15,326,2,24,28,2,4,NULL,3),(15,326,2,24,29,9,21,4,4),(15,326,2,24,30,2,1,2,NULL),(15,326,3,31,1,20,13,4,4),(15,326,3,31,2,1,8,NULL,3),(15,326,3,31,3,11,8,3,3),(15,326,3,31,4,12,6,3,2),(15,326,3,31,5,4,15,2,5),(15,326,3,31,6,NULL,18,NULL,6),(15,326,3,31,7,1,3,1,1),(15,326,3,31,8,2,4,1,1),(15,326,3,31,9,2,5,1,1),(15,326,3,31,10,3,5,1,2),(15,326,3,31,11,2,3,1,2),(15,326,3,31,12,18,8,4,3),(15,326,3,31,13,2,9,NULL,2),(15,326,3,31,14,10,4,6,1),(15,326,3,31,15,12,11,5,3),(15,326,3,31,16,7,11,2,3),(15,326,3,31,17,21,7,8,NULL),(15,326,3,31,18,7,4,3,1),(15,326,3,31,19,5,7,2,3),(15,326,3,31,20,2,9,NULL,4),(15,326,3,31,21,2,NULL,1,NULL),(15,326,3,31,22,1,5,1,2),(15,326,3,31,23,1,2,NULL,NULL),(15,326,3,31,24,2,15,2,5),(15,326,3,31,25,1,5,1,1),(15,326,3,31,26,NULL,4,NULL,1),(15,326,3,31,27,NULL,2,NULL,2),(15,326,3,31,28,1,2,NULL,NULL),(15,326,3,31,29,NULL,16,NULL,7),(15,326,3,31,30,1,8,1,3),(15,326,3,32,1,23,20,5,3),(15,326,3,32,2,NULL,12,NULL,3),(15,326,3,32,3,8,12,2,3),(15,326,3,32,4,12,11,4,2),(15,326,3,32,5,5,10,4,3),(15,326,3,32,6,1,18,NULL,4),(15,326,3,32,7,NULL,4,NULL,1),(15,326,3,32,8,NULL,4,NULL,2),(15,326,3,32,9,NULL,5,NULL,1),(15,326,3,32,10,5,4,1,2),(15,326,3,32,11,NULL,8,NULL,NULL),(15,326,3,32,12,12,17,4,4),(15,326,3,32,13,1,10,NULL,2),(15,326,3,32,14,10,11,1,2),(15,326,3,32,15,15,13,7,NULL),(15,326,3,32,16,6,17,1,3),(15,326,3,32,17,27,10,5,2),(15,326,3,32,18,3,12,1,1),(15,326,3,32,19,5,11,NULL,3),(15,326,3,32,20,4,10,2,2),(15,326,3,32,21,2,NULL,NULL,NULL),(15,326,3,32,22,NULL,5,NULL,3),(15,326,3,32,23,1,1,1,1),(15,326,3,32,24,2,15,2,1),(15,326,3,32,25,NULL,5,NULL,2),(15,326,3,32,26,1,3,1,1),(15,326,3,32,27,NULL,3,NULL,NULL),(15,326,3,32,28,NULL,7,NULL,3),(15,326,3,32,29,1,11,NULL,3),(15,326,3,32,30,NULL,15,NULL,1),(15,326,3,33,1,20,15,13,4),(15,326,3,33,2,1,9,1,5),(15,326,3,33,3,14,8,7,6),(15,326,3,33,4,18,7,13,3),(15,326,3,33,5,8,18,6,10),(15,326,3,33,6,3,15,1,9),(15,326,3,33,7,1,5,1,2),(15,326,3,33,8,2,7,2,7),(15,326,3,33,9,1,3,1,1),(15,326,3,33,10,3,4,2,4),(15,326,3,33,11,3,7,3,4),(15,326,3,33,12,11,19,8,7),(15,326,3,33,13,2,13,NULL,4),(15,326,3,33,14,15,9,8,6),(15,326,3,33,15,18,7,8,5),(15,326,3,33,16,8,14,4,8),(15,326,3,33,17,23,11,11,4),(15,326,3,33,18,9,9,5,5),(15,326,3,33,19,7,6,5,4),(15,326,3,33,20,4,8,3,3),(15,326,3,33,21,4,NULL,2,NULL),(15,326,3,33,22,2,6,2,4),(15,326,3,33,23,2,3,1,2),(15,326,3,33,24,5,18,5,9),(15,326,3,33,25,1,3,1,3),(15,326,3,33,26,NULL,3,NULL,1),(15,326,3,33,27,NULL,3,NULL,1),(15,326,3,33,28,3,1,3,1),(15,326,3,33,29,1,21,1,10),(15,326,3,33,30,3,10,3,4),(15,326,3,34,1,16,20,6,6),(15,326,3,34,2,NULL,10,NULL,3),(15,326,3,34,3,9,7,4,4),(15,326,3,34,4,8,5,4,3),(15,326,3,34,5,5,11,2,5),(15,326,3,34,6,2,14,1,5),(15,326,3,34,7,1,6,1,3),(15,326,3,34,8,NULL,2,NULL,2),(15,326,3,34,9,NULL,5,NULL,2),(15,326,3,34,10,4,3,1,1),(15,326,3,34,11,2,4,NULL,1),(15,326,3,34,12,13,12,4,6),(15,326,3,34,13,4,11,1,5),(15,326,3,34,14,16,7,6,4),(15,326,3,34,15,14,11,6,2),(15,326,3,34,16,8,8,4,1),(15,326,3,34,17,22,9,8,2),(15,326,3,34,18,6,5,3,1),(15,326,3,34,19,6,5,1,3),(15,326,3,34,20,5,10,2,4),(15,326,3,34,21,2,NULL,2,NULL),(15,326,3,34,22,NULL,7,NULL,4),(15,326,3,34,23,NULL,6,NULL,2),(15,326,3,34,24,NULL,14,NULL,6),(15,326,3,34,25,1,5,NULL,4),(15,326,3,34,26,NULL,2,NULL,NULL),(15,326,3,34,27,NULL,4,NULL,1),(15,326,3,34,28,1,5,NULL,1),(15,326,3,34,29,1,9,NULL,4),(15,326,3,34,30,NULL,14,NULL,6),(15,327,1,11,1,NULL,NULL,NULL,NULL),(15,327,1,11,2,NULL,NULL,NULL,NULL),(15,327,1,11,3,NULL,NULL,NULL,NULL),(15,327,1,11,4,NULL,NULL,NULL,NULL),(15,327,1,11,5,NULL,NULL,NULL,NULL),(15,327,1,11,6,NULL,NULL,NULL,NULL),(15,327,1,11,7,NULL,NULL,NULL,NULL),(15,327,1,11,8,NULL,NULL,NULL,NULL),(15,327,1,11,9,NULL,NULL,NULL,NULL),(15,327,1,11,10,NULL,NULL,NULL,NULL),(15,327,1,11,11,NULL,NULL,NULL,NULL),(15,327,1,11,12,NULL,NULL,NULL,NULL),(15,327,1,11,13,NULL,NULL,NULL,NULL),(15,327,1,11,14,NULL,NULL,NULL,NULL),(15,327,1,11,15,NULL,NULL,NULL,NULL),(15,327,1,11,16,NULL,NULL,NULL,NULL),(15,327,1,11,17,NULL,NULL,NULL,NULL),(15,327,1,11,18,NULL,NULL,NULL,NULL),(15,327,1,11,19,NULL,NULL,NULL,NULL),(15,327,1,11,20,NULL,NULL,NULL,NULL),(15,327,1,12,1,NULL,NULL,NULL,NULL),(15,327,1,12,2,NULL,NULL,NULL,NULL),(15,327,1,12,3,NULL,NULL,NULL,NULL),(15,327,1,12,4,NULL,NULL,NULL,NULL),(15,327,1,12,5,NULL,NULL,NULL,NULL),(15,327,1,12,6,NULL,NULL,NULL,NULL),(15,327,1,12,7,NULL,NULL,NULL,NULL),(15,327,1,12,8,NULL,NULL,NULL,NULL),(15,327,1,12,9,NULL,NULL,NULL,NULL),(15,327,1,12,10,NULL,NULL,NULL,NULL),(15,327,1,12,11,NULL,NULL,NULL,NULL),(15,327,1,12,12,NULL,NULL,NULL,NULL),(15,327,1,12,13,NULL,NULL,NULL,NULL),(15,327,1,12,14,NULL,NULL,NULL,NULL),(15,327,1,12,15,NULL,NULL,NULL,NULL),(15,327,1,12,16,NULL,NULL,NULL,NULL),(15,327,1,12,17,NULL,NULL,NULL,NULL),(15,327,1,12,18,NULL,NULL,NULL,NULL),(15,327,1,12,19,NULL,NULL,NULL,NULL),(15,327,1,12,20,NULL,NULL,NULL,NULL),(15,327,1,13,1,1,NULL,NULL,NULL),(15,327,1,13,2,NULL,NULL,NULL,NULL),(15,327,1,13,3,1,1,1,NULL),(15,327,1,13,4,1,NULL,1,NULL),(15,327,1,13,5,NULL,NULL,NULL,NULL),(15,327,1,13,6,1,NULL,NULL,NULL),(15,327,1,13,7,NULL,NULL,NULL,NULL),(15,327,1,13,8,NULL,2,NULL,1),(15,327,1,13,9,NULL,NULL,NULL,NULL),(15,327,1,13,10,1,NULL,NULL,NULL),(15,327,1,13,11,1,1,1,NULL),(15,327,1,13,12,1,NULL,1,NULL),(15,327,1,13,13,1,NULL,1,NULL),(15,327,1,13,14,NULL,NULL,NULL,NULL),(15,327,1,13,15,1,NULL,NULL,NULL),(15,327,1,13,16,1,1,1,NULL),(15,327,1,13,17,NULL,1,NULL,1),(15,327,1,13,18,NULL,NULL,NULL,NULL),(15,327,1,13,19,NULL,1,NULL,1),(15,327,1,13,20,1,NULL,1,NULL),(15,327,1,14,1,34,15,12,4),(15,327,1,14,2,13,14,3,6),(15,327,1,14,3,8,26,3,10),(15,327,1,14,4,16,13,7,7),(15,327,1,14,5,8,18,5,6),(15,327,1,14,6,18,27,5,9),(15,327,1,14,7,19,11,8,3),(15,327,1,14,8,19,24,4,10),(15,327,1,14,9,20,NULL,11,NULL),(15,327,1,14,10,36,5,13,1),(15,327,1,14,11,5,14,4,7),(15,327,1,14,12,5,8,4,3),(15,327,1,14,13,10,17,6,5),(15,327,1,14,14,28,24,9,5),(15,327,1,14,15,36,NULL,16,NULL),(15,327,1,14,16,11,8,8,1),(15,327,1,14,17,15,5,7,4),(15,327,1,14,18,8,11,7,5),(15,327,1,14,19,14,10,9,2),(15,327,1,14,20,18,8,9,3),(15,327,1,15,1,26,19,5,4),(15,327,1,15,2,11,12,4,3),(15,327,1,15,3,6,21,2,5),(15,327,1,15,4,9,16,3,5),(15,327,1,15,5,8,15,1,4),(15,327,1,15,6,17,18,5,4),(15,327,1,15,7,17,7,7,1),(15,327,1,15,8,15,21,5,4),(15,327,1,15,9,17,NULL,6,NULL),(15,327,1,15,10,23,10,4,5),(15,327,1,15,11,3,10,1,4),(15,327,1,15,12,3,8,NULL,5),(15,327,1,15,13,8,12,1,5),(15,327,1,15,14,16,22,5,2),(15,327,1,15,15,34,NULL,9,NULL),(15,327,1,15,16,6,11,3,3),(15,327,1,15,17,14,6,6,2),(15,327,1,15,18,9,12,3,3),(15,327,1,15,19,14,11,3,6),(15,327,1,15,20,14,16,3,2),(15,327,1,16,1,21,19,1,4),(15,327,1,16,2,9,13,2,2),(15,327,1,16,3,5,28,1,4),(15,327,1,16,4,10,21,3,3),(15,327,1,16,5,4,24,2,3),(15,327,1,16,6,13,23,1,4),(15,327,1,16,7,14,9,3,NULL),(15,327,1,16,8,9,26,1,5),(15,327,1,16,9,13,NULL,3,NULL),(15,327,1,16,10,18,8,4,NULL),(15,327,1,16,11,20,6,3,2),(15,327,1,16,12,25,24,4,2),(15,327,1,16,13,6,39,NULL,6),(15,327,1,16,14,19,21,2,3),(15,327,1,16,15,4,13,1,1),(15,327,1,16,16,12,NULL,3,NULL),(15,327,1,16,17,12,17,3,3),(15,327,1,16,18,7,26,NULL,5),(15,327,1,16,19,3,9,NULL,1),(15,327,1,16,20,12,28,4,2),(15,327,1,17,1,24,17,8,1),(15,327,1,17,2,7,13,2,4),(15,327,1,17,3,4,25,1,4),(15,327,1,17,4,16,16,3,2),(15,327,1,17,5,5,16,1,4),(15,327,1,17,6,17,16,5,2),(15,327,1,17,7,16,8,4,2),(15,327,1,17,8,9,21,3,1),(15,327,1,17,9,9,NULL,2,NULL),(15,327,1,17,10,20,4,4,NULL),(15,327,1,17,11,18,11,6,3),(15,327,1,17,12,18,27,4,6),(15,327,1,17,13,7,43,1,9),(15,327,1,17,14,17,22,3,6),(15,327,1,17,15,2,8,1,1),(15,327,1,17,16,15,NULL,5,NULL),(15,327,1,17,17,13,20,2,5),(15,327,1,17,18,8,26,1,6),(15,327,1,17,19,4,3,2,NULL),(15,327,1,17,20,15,27,3,7),(15,327,2,21,1,2,7,NULL,1),(15,327,2,21,2,NULL,4,NULL,1),(15,327,2,21,3,4,8,NULL,1),(15,327,2,21,4,1,7,NULL,1),(15,327,2,21,5,10,14,5,3),(15,327,2,21,6,10,4,NULL,3),(15,327,2,21,7,1,2,NULL,2),(15,327,2,21,8,2,NULL,2,NULL),(15,327,2,21,9,3,3,2,1),(15,327,2,21,10,5,3,2,2),(15,327,2,21,11,8,10,1,3),(15,327,2,21,12,19,15,5,2),(15,327,2,21,13,19,7,6,1),(15,327,2,21,14,3,16,1,2),(15,327,2,21,15,7,20,1,6),(15,327,2,21,16,29,22,5,3),(15,327,2,21,17,4,19,1,5),(15,327,2,21,18,15,12,3,3),(15,327,2,21,19,7,27,NULL,5),(15,327,2,21,20,6,17,NULL,4),(15,327,2,21,21,NULL,4,NULL,2),(15,327,2,21,22,7,11,2,3),(15,327,2,21,23,1,8,1,3),(15,327,2,21,24,2,8,NULL,3),(15,327,2,21,25,16,NULL,6,NULL),(15,327,2,21,26,4,5,NULL,2),(15,327,2,21,27,3,5,NULL,1),(15,327,2,21,28,5,7,1,1),(15,327,2,21,29,14,28,2,6),(15,327,2,21,30,2,6,NULL,1),(15,327,2,22,1,1,6,1,1),(15,327,2,22,2,1,4,NULL,2),(15,327,2,22,3,3,9,NULL,1),(15,327,2,22,4,2,6,1,3),(15,327,2,22,5,5,18,NULL,5),(15,327,2,22,6,12,14,4,3),(15,327,2,22,7,1,3,1,1),(15,327,2,22,8,5,NULL,3,NULL),(15,327,2,22,9,3,11,NULL,4),(15,327,2,22,10,5,6,2,2),(15,327,2,22,11,6,13,2,4),(15,327,2,22,12,23,21,5,2),(15,327,2,22,13,27,10,8,1),(15,327,2,22,14,3,15,NULL,5),(15,327,2,22,15,9,21,1,5),(15,327,2,22,16,25,21,3,6),(15,327,2,22,17,4,18,1,5),(15,327,2,22,18,16,15,4,2),(15,327,2,22,19,7,24,1,3),(15,327,2,22,20,8,16,1,5),(15,327,2,22,21,NULL,4,NULL,1),(15,327,2,22,22,11,15,4,2),(15,327,2,22,23,NULL,15,NULL,5),(15,327,2,22,24,4,11,2,3),(15,327,2,22,25,17,NULL,6,NULL),(15,327,2,22,26,2,14,1,2),(15,327,2,22,27,4,16,2,3),(15,327,2,22,28,2,12,1,2),(15,327,2,22,29,10,39,3,5),(15,327,2,22,30,NULL,11,NULL,4),(15,327,2,23,1,2,6,1,2),(15,327,2,23,2,2,2,1,2),(15,327,2,23,3,2,5,NULL,2),(15,327,2,23,4,NULL,6,NULL,1),(15,327,2,23,5,11,17,6,5),(15,327,2,23,6,9,8,3,2),(15,327,2,23,7,2,2,NULL,1),(15,327,2,23,8,2,NULL,NULL,NULL),(15,327,2,23,9,2,11,1,4),(15,327,2,23,10,3,6,2,4),(15,327,2,23,11,4,9,2,1),(15,327,2,23,12,12,14,3,7),(15,327,2,23,13,21,8,8,1),(15,327,2,23,14,2,14,NULL,4),(15,327,2,23,15,8,16,NULL,8),(15,327,2,23,16,30,19,8,5),(15,327,2,23,17,1,13,1,2),(15,327,2,23,18,16,14,3,6),(15,327,2,23,19,5,20,NULL,7),(15,327,2,23,20,14,13,5,2),(15,327,2,23,21,2,7,NULL,1),(15,327,2,23,22,9,14,5,4),(15,327,2,23,23,2,16,1,6),(15,327,2,23,24,3,14,2,3),(15,327,2,23,25,18,NULL,10,NULL),(15,327,2,23,26,5,6,NULL,5),(15,327,2,23,27,5,8,1,6),(15,327,2,23,28,2,10,NULL,5),(15,327,2,23,29,10,35,4,11),(15,327,2,23,30,3,10,2,5),(15,327,2,24,1,2,8,1,5),(15,327,2,24,2,1,4,1,2),(15,327,2,24,3,1,8,NULL,1),(15,327,2,24,4,2,7,NULL,3),(15,327,2,24,5,11,8,3,4),(15,327,2,24,6,2,9,NULL,5),(15,327,2,24,7,3,1,2,NULL),(15,327,2,24,8,NULL,NULL,NULL,NULL),(15,327,2,24,9,8,5,1,3),(15,327,2,24,10,5,3,1,1),(15,327,2,24,11,13,8,5,1),(15,327,2,24,12,24,12,6,3),(15,327,2,24,13,20,8,7,2),(15,327,2,24,14,3,13,1,4),(15,327,2,24,15,10,15,2,4),(15,327,2,24,16,29,18,6,5),(15,327,2,24,17,3,20,2,5),(15,327,2,24,18,17,11,6,3),(15,327,2,24,19,7,29,NULL,8),(15,327,2,24,20,9,22,3,6),(15,327,2,24,21,2,1,1,NULL),(15,327,2,24,22,18,10,6,2),(15,327,2,24,23,5,13,3,4),(15,327,2,24,24,1,16,NULL,7),(15,327,2,24,25,22,NULL,8,NULL),(15,327,2,24,26,4,7,NULL,1),(15,327,2,24,27,2,13,NULL,8),(15,327,2,24,28,3,5,1,3),(15,327,2,24,29,19,29,6,5),(15,327,2,24,30,3,7,2,4),(15,327,3,31,1,30,25,7,5),(15,327,3,31,2,NULL,16,NULL,6),(15,327,3,31,3,16,11,5,3),(15,327,3,31,4,10,10,5,7),(15,327,3,31,5,4,17,2,6),(15,327,3,31,6,3,25,NULL,5),(15,327,3,31,7,NULL,10,NULL,5),(15,327,3,31,8,2,1,2,NULL),(15,327,3,31,9,1,6,NULL,NULL),(15,327,3,31,10,6,11,3,3),(15,327,3,31,11,3,5,NULL,NULL),(15,327,3,31,12,19,15,5,5),(15,327,3,31,13,6,12,1,3),(15,327,3,31,14,14,11,4,5),(15,327,3,31,15,19,15,9,2),(15,327,3,31,16,13,16,6,3),(15,327,3,31,17,34,12,10,1),(15,327,3,31,18,3,10,1,2),(15,327,3,31,19,9,4,3,1),(15,327,3,31,20,8,15,6,3),(15,327,3,31,21,5,NULL,4,NULL),(15,327,3,31,22,NULL,3,NULL,2),(15,327,3,31,23,NULL,2,NULL,NULL),(15,327,3,31,24,NULL,28,NULL,9),(15,327,3,31,25,1,8,NULL,2),(15,327,3,31,26,1,4,1,1),(15,327,3,31,27,NULL,1,NULL,1),(15,327,3,31,28,NULL,4,NULL,NULL),(15,327,3,31,29,1,22,NULL,4),(15,327,3,31,30,1,14,NULL,3),(15,327,3,32,1,27,23,7,7),(15,327,3,32,2,NULL,10,NULL,4),(15,327,3,32,3,10,10,4,5),(15,327,3,32,4,13,6,5,2),(15,327,3,32,5,8,16,3,5),(15,327,3,32,6,1,21,1,7),(15,327,3,32,7,1,8,1,2),(15,327,3,32,8,2,2,2,1),(15,327,3,32,9,3,7,1,1),(15,327,3,32,10,4,7,2,2),(15,327,3,32,11,6,8,3,1),(15,327,3,32,12,17,16,7,5),(15,327,3,32,13,3,19,2,5),(15,327,3,32,14,18,16,7,3),(15,327,3,32,15,20,14,10,3),(15,327,3,32,16,7,20,2,6),(15,327,3,32,17,37,7,9,2),(15,327,3,32,18,8,21,3,7),(15,327,3,32,19,4,13,1,4),(15,327,3,32,20,8,10,2,4),(15,327,3,32,21,3,NULL,1,NULL),(15,327,3,32,22,2,9,1,3),(15,327,3,32,23,1,1,NULL,NULL),(15,327,3,32,24,NULL,23,NULL,10),(15,327,3,32,25,1,5,NULL,4),(15,327,3,32,26,NULL,5,NULL,2),(15,327,3,32,27,NULL,NULL,NULL,NULL),(15,327,3,32,28,3,6,1,3),(15,327,3,32,29,NULL,20,NULL,5),(15,327,3,32,30,NULL,13,NULL,3),(15,327,3,33,1,24,32,4,5),(15,327,3,33,2,2,12,NULL,5),(15,327,3,33,3,10,21,1,5),(15,327,3,33,4,15,10,6,NULL),(15,327,3,33,5,6,18,NULL,6),(15,327,3,33,6,NULL,23,NULL,6),(15,327,3,33,7,NULL,7,NULL,1),(15,327,3,33,8,NULL,4,NULL,1),(15,327,3,33,9,1,7,NULL,2),(15,327,3,33,10,5,8,2,2),(15,327,3,33,11,1,10,NULL,4),(15,327,3,33,12,21,12,5,2),(15,327,3,33,13,6,14,NULL,3),(15,327,3,33,14,12,17,4,3),(15,327,3,33,15,16,19,3,5),(15,327,3,33,16,7,19,2,3),(15,327,3,33,17,30,15,6,2),(15,327,3,33,18,2,12,NULL,4),(15,327,3,33,19,9,10,3,2),(15,327,3,33,20,6,6,1,2),(15,327,3,33,21,5,NULL,2,NULL),(15,327,3,33,22,1,8,NULL,2),(15,327,3,33,23,NULL,5,NULL,1),(15,327,3,33,24,NULL,22,NULL,8),(15,327,3,33,25,NULL,4,NULL,NULL),(15,327,3,33,26,NULL,2,NULL,NULL),(15,327,3,33,27,NULL,3,NULL,NULL),(15,327,3,33,28,NULL,4,NULL,NULL),(15,327,3,33,29,NULL,25,NULL,8),(15,327,3,33,30,1,20,NULL,4),(15,327,3,34,1,23,35,2,6),(15,327,3,34,2,1,9,NULL,2),(15,327,3,34,3,10,12,2,2),(15,327,3,34,4,10,9,5,1),(15,327,3,34,5,8,12,2,1),(15,327,3,34,6,2,29,1,4),(15,327,3,34,7,NULL,8,NULL,1),(15,327,3,34,8,1,3,NULL,1),(15,327,3,34,9,1,3,NULL,NULL),(15,327,3,34,10,2,10,NULL,1),(15,327,3,34,11,1,8,NULL,2),(15,327,3,34,12,10,24,1,4),(15,327,3,34,13,5,12,2,1),(15,327,3,34,14,11,19,4,2),(15,327,3,34,15,16,13,4,2),(15,327,3,34,16,9,16,2,3),(15,327,3,34,17,26,18,4,4),(15,327,3,34,18,8,12,1,4),(15,327,3,34,19,4,11,NULL,NULL),(15,327,3,34,20,4,13,2,3),(15,327,3,34,21,4,NULL,3,NULL),(15,327,3,34,22,1,6,NULL,1),(15,327,3,34,23,1,3,1,NULL),(15,327,3,34,24,1,22,NULL,5),(15,327,3,34,25,NULL,7,NULL,NULL),(15,327,3,34,26,2,7,1,1),(15,327,3,34,27,2,2,NULL,1),(15,327,3,34,28,NULL,5,NULL,1),(15,327,3,34,29,NULL,16,NULL,1),(15,327,3,34,30,NULL,13,NULL,2),(15,328,1,11,1,NULL,1,NULL,NULL),(15,328,1,11,2,NULL,NULL,NULL,NULL),(15,328,1,11,3,NULL,NULL,NULL,NULL),(15,328,1,11,4,NULL,NULL,NULL,NULL),(15,328,1,11,5,NULL,NULL,NULL,NULL),(15,328,1,11,6,NULL,NULL,NULL,NULL),(15,328,1,11,7,NULL,NULL,NULL,NULL),(15,328,1,11,8,NULL,NULL,NULL,NULL),(15,328,1,11,9,1,NULL,NULL,NULL),(15,328,1,11,10,1,NULL,NULL,NULL),(15,328,1,11,11,NULL,NULL,NULL,NULL),(15,328,1,11,12,NULL,NULL,NULL,NULL),(15,328,1,11,13,NULL,NULL,NULL,NULL),(15,328,1,11,14,NULL,NULL,NULL,NULL),(15,328,1,11,15,NULL,NULL,NULL,NULL),(15,328,1,11,16,1,NULL,NULL,NULL),(15,328,1,11,17,NULL,NULL,NULL,NULL),(15,328,1,11,18,NULL,NULL,NULL,NULL),(15,328,1,11,19,NULL,NULL,NULL,NULL),(15,328,1,11,20,NULL,1,NULL,NULL),(15,328,1,12,1,1,NULL,1,NULL),(15,328,1,12,2,NULL,1,NULL,1),(15,328,1,12,3,NULL,NULL,NULL,NULL),(15,328,1,12,4,1,NULL,1,NULL),(15,328,1,12,5,NULL,1,NULL,1),(15,328,1,12,6,1,NULL,1,NULL),(15,328,1,12,7,NULL,1,NULL,1),(15,328,1,12,8,NULL,1,NULL,1),(15,328,1,12,9,NULL,NULL,NULL,NULL),(15,328,1,12,10,1,NULL,1,NULL),(15,328,1,12,11,1,NULL,1,NULL),(15,328,1,12,12,1,NULL,1,NULL),(15,328,1,12,13,1,NULL,1,NULL),(15,328,1,12,14,1,NULL,1,NULL),(15,328,1,12,15,1,NULL,1,NULL),(15,328,1,12,16,1,NULL,1,NULL),(15,328,1,12,17,1,NULL,1,NULL),(15,328,1,12,18,1,NULL,1,NULL),(15,328,1,12,19,1,NULL,1,NULL),(15,328,1,12,20,NULL,1,NULL,1),(15,328,1,13,1,1,NULL,1,NULL),(15,328,1,13,2,NULL,1,NULL,1),(15,328,1,13,3,NULL,1,NULL,1),(15,328,1,13,4,NULL,1,NULL,1),(15,328,1,13,5,NULL,1,NULL,1),(15,328,1,13,6,NULL,1,NULL,1),(15,328,1,13,7,NULL,NULL,NULL,NULL),(15,328,1,13,8,NULL,1,NULL,1),(15,328,1,13,9,1,NULL,1,NULL),(15,328,1,13,10,NULL,NULL,NULL,NULL),(15,328,1,13,11,1,NULL,1,NULL),(15,328,1,13,12,1,NULL,1,NULL),(15,328,1,13,13,NULL,NULL,NULL,NULL),(15,328,1,13,14,1,NULL,1,NULL),(15,328,1,13,15,1,NULL,1,NULL),(15,328,1,13,16,1,NULL,1,NULL),(15,328,1,13,17,1,NULL,1,NULL),(15,328,1,13,18,1,NULL,1,NULL),(15,328,1,13,19,1,NULL,1,NULL),(15,328,1,13,20,1,NULL,1,NULL),(15,328,1,14,1,3,2,2,2),(15,328,1,14,2,NULL,2,NULL,2),(15,328,1,14,3,1,3,NULL,3),(15,328,1,14,4,1,2,1,2),(15,328,1,14,5,NULL,3,NULL,3),(15,328,1,14,6,1,4,NULL,4),(15,328,1,14,7,1,3,1,3),(15,328,1,14,8,NULL,3,NULL,2),(15,328,1,14,9,5,NULL,5,NULL),(15,328,1,14,10,3,2,2,2),(15,328,1,14,11,NULL,2,NULL,1),(15,328,1,14,12,1,1,1,NULL),(15,328,1,14,13,1,1,1,1),(15,328,1,14,14,NULL,4,NULL,4),(15,328,1,14,15,3,NULL,3,NULL),(15,328,1,14,16,NULL,2,NULL,2),(15,328,1,14,17,1,1,1,1),(15,328,1,14,18,1,1,1,NULL),(15,328,1,14,19,NULL,2,NULL,2),(15,328,1,14,20,1,3,1,3),(15,328,1,15,1,12,5,9,3),(15,328,1,15,2,6,5,5,2),(15,328,1,15,3,NULL,9,NULL,6),(15,328,1,15,4,5,5,4,5),(15,328,1,15,5,2,8,2,5),(15,328,1,15,6,4,8,2,6),(15,328,1,15,7,5,1,4,1),(15,328,1,15,8,4,7,4,5),(15,328,1,15,9,2,NULL,1,NULL),(15,328,1,15,10,8,2,5,1),(15,328,1,15,11,6,3,5,2),(15,328,1,15,12,3,5,2,5),(15,328,1,15,13,9,1,8,1),(15,328,1,15,14,8,6,5,3),(15,328,1,15,15,14,NULL,10,NULL),(15,328,1,15,16,2,5,2,4),(15,328,1,15,17,8,3,6,2),(15,328,1,15,18,5,3,4,3),(15,328,1,15,19,9,2,7,2),(15,328,1,15,20,11,3,9,2),(15,328,1,16,1,5,6,3,2),(15,328,1,16,2,3,3,2,2),(15,328,1,16,3,2,4,2,2),(15,328,1,16,4,3,2,2,NULL),(15,328,1,16,5,NULL,5,NULL,3),(15,328,1,16,6,5,7,3,3),(15,328,1,16,7,4,3,3,NULL),(15,328,1,16,8,3,2,2,1),(15,328,1,16,9,4,NULL,2,NULL),(15,328,1,16,10,3,1,2,NULL),(15,328,1,16,11,5,4,2,2),(15,328,1,16,12,5,6,4,2),(15,328,1,16,13,1,8,1,5),(15,328,1,16,14,5,2,2,2),(15,328,1,16,15,NULL,3,NULL,NULL),(15,328,1,16,16,4,NULL,3,NULL),(15,328,1,16,17,1,5,NULL,2),(15,328,1,16,18,NULL,9,NULL,5),(15,328,1,16,19,1,NULL,1,NULL),(15,328,1,16,20,3,4,3,2),(15,328,1,17,1,9,4,5,3),(15,328,1,17,2,3,1,3,1),(15,328,1,17,3,5,3,3,3),(15,328,1,17,4,3,4,2,4),(15,328,1,17,5,NULL,6,NULL,4),(15,328,1,17,6,4,6,1,6),(15,328,1,17,7,4,1,4,1),(15,328,1,17,8,5,4,2,2),(15,328,1,17,9,4,NULL,4,NULL),(15,328,1,17,10,8,NULL,5,NULL),(15,328,1,17,11,4,3,4,2),(15,328,1,17,12,2,10,1,8),(15,328,1,17,13,1,14,NULL,9),(15,328,1,17,14,6,6,4,4),(15,328,1,17,15,1,5,1,3),(15,328,1,17,16,3,NULL,1,NULL),(15,328,1,17,17,2,7,2,6),(15,328,1,17,18,1,10,1,7),(15,328,1,17,19,NULL,2,NULL,1),(15,328,1,17,20,4,9,2,5),(15,328,2,21,1,NULL,NULL,NULL,NULL),(15,328,2,21,2,NULL,1,NULL,1),(15,328,2,21,3,1,2,NULL,NULL),(15,328,2,21,4,NULL,1,NULL,NULL),(15,328,2,21,5,2,2,1,2),(15,328,2,21,6,1,2,1,NULL),(15,328,2,21,7,NULL,NULL,NULL,NULL),(15,328,2,21,8,1,NULL,1,NULL),(15,328,2,21,9,1,NULL,1,NULL),(15,328,2,21,10,1,2,NULL,1),(15,328,2,21,11,3,1,1,1),(15,328,2,21,12,6,1,3,1),(15,328,2,21,13,5,3,2,2),(15,328,2,21,14,NULL,3,NULL,2),(15,328,2,21,15,3,2,1,1),(15,328,2,21,16,5,3,3,2),(15,328,2,21,17,1,3,NULL,2),(15,328,2,21,18,2,4,1,2),(15,328,2,21,19,1,5,1,1),(15,328,2,21,20,2,5,1,3),(15,328,2,21,21,NULL,NULL,NULL,NULL),(15,328,2,21,22,4,3,3,2),(15,328,2,21,23,2,4,1,3),(15,328,2,21,24,NULL,4,NULL,3),(15,328,2,21,25,4,NULL,3,NULL),(15,328,2,21,26,1,1,1,1),(15,328,2,21,27,1,4,1,2),(15,328,2,21,28,NULL,2,NULL,2),(15,328,2,21,29,3,7,1,4),(15,328,2,21,30,NULL,NULL,NULL,NULL),(15,328,2,22,1,1,2,1,2),(15,328,2,22,2,NULL,1,NULL,1),(15,328,2,22,3,NULL,2,NULL,2),(15,328,2,22,4,1,1,1,1),(15,328,2,22,5,4,2,3,2),(15,328,2,22,6,2,3,2,2),(15,328,2,22,7,2,2,2,2),(15,328,2,22,8,NULL,NULL,NULL,NULL),(15,328,2,22,9,5,1,3,NULL),(15,328,2,22,10,2,2,2,2),(15,328,2,22,11,1,3,1,3),(15,328,2,22,12,5,6,4,5),(15,328,2,22,13,5,5,5,4),(15,328,2,22,14,1,3,1,2),(15,328,2,22,15,5,4,4,3),(15,328,2,22,16,6,5,5,5),(15,328,2,22,17,1,1,1,NULL),(15,328,2,22,18,7,5,5,4),(15,328,2,22,19,NULL,7,NULL,5),(15,328,2,22,20,4,4,3,4),(15,328,2,22,21,1,1,1,NULL),(15,328,2,22,22,2,4,2,4),(15,328,2,22,23,4,3,3,3),(15,328,2,22,24,1,4,1,4),(15,328,2,22,25,3,NULL,1,NULL),(15,328,2,22,26,3,2,3,2),(15,328,2,22,27,2,3,2,3),(15,328,2,22,28,NULL,4,NULL,4),(15,328,2,22,29,4,10,2,9),(15,328,2,22,30,1,2,1,2),(15,328,2,23,1,1,2,1,2),(15,328,2,23,2,NULL,1,NULL,1),(15,328,2,23,3,NULL,2,NULL,2),(15,328,2,23,4,2,3,1,3),(15,328,2,23,5,1,2,1,2),(15,328,2,23,6,1,3,1,3),(15,328,2,23,7,NULL,1,NULL,1),(15,328,2,23,8,NULL,NULL,NULL,NULL),(15,328,2,23,9,1,2,1,2),(15,328,2,23,10,2,3,2,3),(15,328,2,23,11,2,4,2,4),(15,328,2,23,12,6,6,6,5),(15,328,2,23,13,7,4,6,3),(15,328,2,23,14,1,5,1,5),(15,328,2,23,15,4,5,3,5),(15,328,2,23,16,8,4,7,3),(15,328,2,23,17,2,3,2,3),(15,328,2,23,18,3,2,3,2),(15,328,2,23,19,1,12,1,9),(15,328,2,23,20,1,6,1,6),(15,328,2,23,21,1,NULL,1,NULL),(15,328,2,23,22,3,3,3,3),(15,328,2,23,23,2,6,2,6),(15,328,2,23,24,1,3,1,3),(15,328,2,23,25,5,NULL,5,NULL),(15,328,2,23,26,NULL,2,NULL,2),(15,328,2,23,27,1,1,1,NULL),(15,328,2,23,28,NULL,6,NULL,5),(15,328,2,23,29,5,8,4,7),(15,328,2,23,30,1,4,1,3),(15,328,2,24,1,1,2,NULL,NULL),(15,328,2,24,2,1,NULL,1,NULL),(15,328,2,24,3,NULL,2,NULL,1),(15,328,2,24,4,NULL,NULL,NULL,NULL),(15,328,2,24,5,4,NULL,2,NULL),(15,328,2,24,6,2,3,1,3),(15,328,2,24,7,NULL,NULL,NULL,NULL),(15,328,2,24,8,1,NULL,1,NULL),(15,328,2,24,9,2,2,2,1),(15,328,2,24,10,2,2,2,2),(15,328,2,24,11,1,3,NULL,2),(15,328,2,24,12,3,4,1,3),(15,328,2,24,13,3,3,1,2),(15,328,2,24,14,2,2,1,1),(15,328,2,24,15,1,5,1,2),(15,328,2,24,16,5,7,3,3),(15,328,2,24,17,1,4,1,2),(15,328,2,24,18,7,1,5,1),(15,328,2,24,19,1,6,1,3),(15,328,2,24,20,2,4,NULL,4),(15,328,2,24,21,NULL,1,NULL,NULL),(15,328,2,24,22,3,2,1,2),(15,328,2,24,23,1,5,1,3),(15,328,2,24,24,NULL,1,NULL,1),(15,328,2,24,25,3,NULL,3,NULL),(15,328,2,24,26,1,4,NULL,2),(15,328,2,24,27,2,3,1,2),(15,328,2,24,28,NULL,2,NULL,2),(15,328,2,24,29,4,5,2,4),(15,328,2,24,30,2,2,2,2),(15,328,3,31,1,4,10,3,4),(15,328,3,31,2,NULL,1,NULL,NULL),(15,328,3,31,3,1,3,1,2),(15,328,3,31,4,4,4,4,1),(15,328,3,31,5,1,5,1,3),(15,328,3,31,6,NULL,7,NULL,4),(15,328,3,31,7,NULL,5,NULL,3),(15,328,3,31,8,NULL,1,NULL,1),(15,328,3,31,9,NULL,2,NULL,1),(15,328,3,31,10,1,2,NULL,2),(15,328,3,31,11,NULL,2,NULL,2),(15,328,3,31,12,7,4,5,2),(15,328,3,31,13,1,3,1,3),(15,328,3,31,14,5,2,4,2),(15,328,3,31,15,5,3,2,2),(15,328,3,31,16,5,3,2,2),(15,328,3,31,17,6,5,3,3),(15,328,3,31,18,4,2,2,1),(15,328,3,31,19,3,2,3,2),(15,328,3,31,20,1,5,NULL,3),(15,328,3,31,21,NULL,NULL,NULL,NULL),(15,328,3,31,22,2,1,2,NULL),(15,328,3,31,23,NULL,1,NULL,NULL),(15,328,3,31,24,NULL,3,NULL,2),(15,328,3,31,25,NULL,3,NULL,1),(15,328,3,31,26,NULL,NULL,NULL,NULL),(15,328,3,31,27,NULL,2,NULL,2),(15,328,3,31,28,NULL,NULL,NULL,NULL),(15,328,3,31,29,NULL,3,NULL,3),(15,328,3,31,30,2,4,1,3),(15,328,3,32,1,3,9,2,8),(15,328,3,32,2,NULL,1,NULL,1),(15,328,3,32,3,1,6,NULL,5),(15,328,3,32,4,5,3,5,3),(15,328,3,32,5,4,4,4,4),(15,328,3,32,6,NULL,5,NULL,4),(15,328,3,32,7,NULL,3,NULL,2),(15,328,3,32,8,1,1,1,1),(15,328,3,32,9,NULL,1,NULL,1),(15,328,3,32,10,NULL,2,NULL,2),(15,328,3,32,11,3,3,2,3),(15,328,3,32,12,6,4,6,3),(15,328,3,32,13,1,3,1,3),(15,328,3,32,14,6,3,5,2),(15,328,3,32,15,9,5,8,4),(15,328,3,32,16,4,6,3,6),(15,328,3,32,17,13,1,11,1),(15,328,3,32,18,4,4,3,3),(15,328,3,32,19,1,2,1,1),(15,328,3,32,20,3,4,3,4),(15,328,3,32,21,1,NULL,1,NULL),(15,328,3,32,22,NULL,4,NULL,4),(15,328,3,32,23,NULL,NULL,NULL,NULL),(15,328,3,32,24,NULL,6,NULL,6),(15,328,3,32,25,1,1,1,1),(15,328,3,32,26,NULL,NULL,NULL,NULL),(15,328,3,32,27,NULL,NULL,NULL,NULL),(15,328,3,32,28,NULL,1,NULL,1),(15,328,3,32,29,NULL,6,NULL,5),(15,328,3,32,30,NULL,5,NULL,5),(15,328,3,33,1,8,6,7,3),(15,328,3,33,2,NULL,2,NULL,2),(15,328,3,33,3,3,5,2,5),(15,328,3,33,4,5,3,4,3),(15,328,3,33,5,NULL,6,NULL,5),(15,328,3,33,6,1,8,1,6),(15,328,3,33,7,1,2,1,2),(15,328,3,33,8,1,1,1,1),(15,328,3,33,9,NULL,2,NULL,2),(15,328,3,33,10,3,3,2,2),(15,328,3,33,11,NULL,1,NULL,NULL),(15,328,3,33,12,5,4,4,2),(15,328,3,33,13,1,3,1,2),(15,328,3,33,14,4,4,4,3),(15,328,3,33,15,6,1,5,1),(15,328,3,33,16,2,3,2,2),(15,328,3,33,17,8,3,7,3),(15,328,3,33,18,2,3,2,3),(15,328,3,33,19,NULL,3,NULL,2),(15,328,3,33,20,1,2,1,2),(15,328,3,33,21,1,NULL,1,NULL),(15,328,3,33,22,1,2,NULL,2),(15,328,3,33,23,NULL,NULL,NULL,NULL),(15,328,3,33,24,NULL,6,NULL,5),(15,328,3,33,25,NULL,2,NULL,2),(15,328,3,33,26,NULL,1,NULL,1),(15,328,3,33,27,NULL,1,NULL,1),(15,328,3,33,28,1,1,1,1),(15,328,3,33,29,NULL,8,NULL,8),(15,328,3,33,30,NULL,2,NULL,2),(15,328,3,34,1,2,10,2,3),(15,328,3,34,2,NULL,3,NULL,3),(15,328,3,34,3,2,1,NULL,1),(15,328,3,34,4,2,3,2,2),(15,328,3,34,5,2,2,1,2),(15,328,3,34,6,1,5,NULL,2),(15,328,3,34,7,NULL,1,NULL,1),(15,328,3,34,8,1,NULL,1,NULL),(15,328,3,34,9,NULL,1,NULL,1),(15,328,3,34,10,1,2,1,2),(15,328,3,34,11,1,1,NULL,1),(15,328,3,34,12,2,6,2,2),(15,328,3,34,13,NULL,2,NULL,1),(15,328,3,34,14,3,2,2,2),(15,328,3,34,15,5,3,2,3),(15,328,3,34,16,1,5,NULL,1),(15,328,3,34,17,6,4,3,2),(15,328,3,34,18,3,2,2,2),(15,328,3,34,19,2,2,1,1),(15,328,3,34,20,2,1,1,NULL),(15,328,3,34,21,NULL,NULL,NULL,NULL),(15,328,3,34,22,NULL,NULL,NULL,NULL),(15,328,3,34,23,NULL,1,NULL,NULL),(15,328,3,34,24,NULL,3,NULL,3),(15,328,3,34,25,NULL,1,NULL,NULL),(15,328,3,34,26,NULL,1,NULL,1),(15,328,3,34,27,1,NULL,1,NULL),(15,328,3,34,28,NULL,NULL,NULL,NULL),(15,328,3,34,29,1,3,NULL,2),(15,328,3,34,30,NULL,2,NULL,2),(15,329,1,11,1,NULL,NULL,NULL,NULL),(15,329,1,11,2,NULL,NULL,NULL,NULL),(15,329,1,11,3,NULL,NULL,NULL,NULL),(15,329,1,11,4,NULL,NULL,NULL,NULL),(15,329,1,11,5,NULL,NULL,NULL,NULL),(15,329,1,11,6,NULL,NULL,NULL,NULL),(15,329,1,11,7,NULL,NULL,NULL,NULL),(15,329,1,11,8,NULL,NULL,NULL,NULL),(15,329,1,11,9,NULL,NULL,NULL,NULL),(15,329,1,11,10,NULL,NULL,NULL,NULL),(15,329,1,11,11,NULL,NULL,NULL,NULL),(15,329,1,11,12,NULL,NULL,NULL,NULL),(15,329,1,11,13,NULL,NULL,NULL,NULL),(15,329,1,11,14,NULL,NULL,NULL,NULL),(15,329,1,11,15,NULL,NULL,NULL,NULL),(15,329,1,11,16,NULL,NULL,NULL,NULL),(15,329,1,11,17,NULL,NULL,NULL,NULL),(15,329,1,11,18,NULL,NULL,NULL,NULL),(15,329,1,11,19,NULL,NULL,NULL,NULL),(15,329,1,11,20,NULL,NULL,NULL,NULL),(15,329,1,12,1,NULL,NULL,NULL,NULL),(15,329,1,12,2,NULL,NULL,NULL,NULL),(15,329,1,12,3,NULL,NULL,NULL,NULL),(15,329,1,12,4,NULL,NULL,NULL,NULL),(15,329,1,12,5,NULL,NULL,NULL,NULL),(15,329,1,12,6,NULL,NULL,NULL,NULL),(15,329,1,12,7,NULL,NULL,NULL,NULL),(15,329,1,12,8,NULL,NULL,NULL,NULL),(15,329,1,12,9,NULL,NULL,NULL,NULL),(15,329,1,12,10,NULL,NULL,NULL,NULL),(15,329,1,12,11,NULL,NULL,NULL,NULL),(15,329,1,12,12,NULL,NULL,NULL,NULL),(15,329,1,12,13,NULL,NULL,NULL,NULL),(15,329,1,12,14,NULL,NULL,NULL,NULL),(15,329,1,12,15,NULL,NULL,NULL,NULL),(15,329,1,12,16,NULL,NULL,NULL,NULL),(15,329,1,12,17,NULL,NULL,NULL,NULL),(15,329,1,12,18,NULL,NULL,NULL,NULL),(15,329,1,12,19,NULL,NULL,NULL,NULL),(15,329,1,12,20,NULL,NULL,NULL,NULL),(15,329,1,13,1,1,NULL,NULL,NULL),(15,329,1,13,2,NULL,NULL,NULL,NULL),(15,329,1,13,3,NULL,NULL,NULL,NULL),(15,329,1,13,4,NULL,NULL,NULL,NULL),(15,329,1,13,5,NULL,NULL,NULL,NULL),(15,329,1,13,6,1,NULL,NULL,NULL),(15,329,1,13,7,NULL,NULL,NULL,NULL),(15,329,1,13,8,1,NULL,NULL,NULL),(15,329,1,13,9,NULL,NULL,NULL,NULL),(15,329,1,13,10,NULL,NULL,NULL,NULL),(15,329,1,13,11,1,NULL,NULL,NULL),(15,329,1,13,12,1,NULL,NULL,NULL),(15,329,1,13,13,1,NULL,NULL,NULL),(15,329,1,13,14,NULL,NULL,NULL,NULL),(15,329,1,13,15,NULL,NULL,NULL,NULL),(15,329,1,13,16,1,NULL,NULL,NULL),(15,329,1,13,17,1,NULL,NULL,NULL),(15,329,1,13,18,NULL,NULL,NULL,NULL),(15,329,1,13,19,NULL,NULL,NULL,NULL),(15,329,1,13,20,NULL,NULL,NULL,NULL),(15,329,1,14,1,18,4,7,1),(15,329,1,14,2,6,5,3,2),(15,329,1,14,3,3,8,2,4),(15,329,1,14,4,6,2,4,NULL),(15,329,1,14,5,2,5,2,2),(15,329,1,14,6,8,6,4,3),(15,329,1,14,7,2,9,2,6),(15,329,1,14,8,6,10,3,4),(15,329,1,14,9,8,NULL,7,NULL),(15,329,1,14,10,12,1,5,1),(15,329,1,14,11,3,8,2,5),(15,329,1,14,12,2,9,1,5),(15,329,1,14,13,6,4,3,2),(15,329,1,14,14,8,14,5,5),(15,329,1,14,15,14,NULL,9,NULL),(15,329,1,14,16,5,6,4,3),(15,329,1,14,17,8,2,5,2),(15,329,1,14,18,5,3,3,2),(15,329,1,14,19,8,3,4,3),(15,329,1,14,20,7,7,5,3),(15,329,1,15,1,14,5,7,1),(15,329,1,15,2,10,2,5,NULL),(15,329,1,15,3,3,6,1,4),(15,329,1,15,4,6,4,2,2),(15,329,1,15,5,NULL,6,NULL,3),(15,329,1,15,6,7,6,3,3),(15,329,1,15,7,9,1,4,NULL),(15,329,1,15,8,11,7,5,2),(15,329,1,15,9,7,NULL,2,NULL),(15,329,1,15,10,15,3,7,1),(15,329,1,15,11,2,7,1,6),(15,329,1,15,12,3,4,3,4),(15,329,1,15,13,5,2,4,1),(15,329,1,15,14,10,9,7,1),(15,329,1,15,15,17,NULL,8,NULL),(15,329,1,15,16,5,2,4,1),(15,329,1,15,17,6,4,5,2),(15,329,1,15,18,4,2,4,1),(15,329,1,15,19,6,6,4,4),(15,329,1,15,20,11,4,8,1),(15,329,1,16,1,11,6,3,3),(15,329,1,16,2,6,5,3,2),(15,329,1,16,3,1,12,1,7),(15,329,1,16,4,4,6,3,5),(15,329,1,16,5,3,8,2,5),(15,329,1,16,6,10,6,3,3),(15,329,1,16,7,7,3,4,1),(15,329,1,16,8,3,12,2,5),(15,329,1,16,9,11,NULL,5,NULL),(15,329,1,16,10,11,4,6,2),(15,329,1,16,11,6,8,3,4),(15,329,1,16,12,11,12,5,4),(15,329,1,16,13,1,21,NULL,9),(15,329,1,16,14,6,11,2,5),(15,329,1,16,15,2,9,1,1),(15,329,1,16,16,8,NULL,5,NULL),(15,329,1,16,17,5,8,2,6),(15,329,1,16,18,4,12,1,5),(15,329,1,16,19,NULL,5,NULL,NULL),(15,329,1,16,20,2,16,1,5),(15,329,1,17,1,13,6,4,2),(15,329,1,17,2,4,6,2,1),(15,329,1,17,3,4,5,2,NULL),(15,329,1,17,4,7,7,2,3),(15,329,1,17,5,NULL,14,NULL,3),(15,329,1,17,6,10,6,3,1),(15,329,1,17,7,4,3,1,2),(15,329,1,17,8,4,14,1,3),(15,329,1,17,9,6,NULL,1,NULL),(15,329,1,17,10,5,1,3,1),(15,329,1,17,11,9,5,3,1),(15,329,1,17,12,10,14,3,3),(15,329,1,17,13,6,18,2,3),(15,329,1,17,14,12,7,3,NULL),(15,329,1,17,15,1,4,1,1),(15,329,1,17,16,5,NULL,NULL,NULL),(15,329,1,17,17,6,13,1,4),(15,329,1,17,18,4,18,2,3),(15,329,1,17,19,3,2,NULL,1),(15,329,1,17,20,9,11,3,1),(15,329,2,21,1,3,2,2,1),(15,329,2,21,2,NULL,2,NULL,1),(15,329,2,21,3,2,2,2,1),(15,329,2,21,4,3,2,3,NULL),(15,329,2,21,5,6,3,3,3),(15,329,2,21,6,3,1,1,NULL),(15,329,2,21,7,3,2,3,NULL),(15,329,2,21,8,1,NULL,1,NULL),(15,329,2,21,9,3,2,2,1),(15,329,2,21,10,4,NULL,3,NULL),(15,329,2,21,11,4,6,3,1),(15,329,2,21,12,11,6,3,4),(15,329,2,21,13,5,6,3,2),(15,329,2,21,14,2,9,1,5),(15,329,2,21,15,3,8,1,4),(15,329,2,21,16,13,7,5,2),(15,329,2,21,17,3,5,1,2),(15,329,2,21,18,4,2,4,2),(15,329,2,21,19,2,11,NULL,4),(15,329,2,21,20,6,4,5,1),(15,329,2,21,21,1,2,1,1),(15,329,2,21,22,6,2,4,1),(15,329,2,21,23,1,6,1,2),(15,329,2,21,24,1,4,1,3),(15,329,2,21,25,7,NULL,5,NULL),(15,329,2,21,26,4,3,2,1),(15,329,2,21,27,NULL,5,NULL,2),(15,329,2,21,28,1,5,NULL,4),(15,329,2,21,29,7,10,3,4),(15,329,2,21,30,2,NULL,1,NULL),(15,329,2,22,1,3,4,2,4),(15,329,2,22,2,NULL,1,NULL,NULL),(15,329,2,22,3,1,5,NULL,3),(15,329,2,22,4,1,1,1,1),(15,329,2,22,5,7,2,6,2),(15,329,2,22,6,4,2,2,1),(15,329,2,22,7,2,2,2,2),(15,329,2,22,8,4,NULL,1,NULL),(15,329,2,22,9,5,1,5,1),(15,329,2,22,10,3,1,3,1),(15,329,2,22,11,1,7,1,4),(15,329,2,22,12,12,10,4,5),(15,329,2,22,13,11,3,6,1),(15,329,2,22,14,3,7,1,5),(15,329,2,22,15,8,7,4,2),(15,329,2,22,16,14,10,6,6),(15,329,2,22,17,3,3,3,1),(15,329,2,22,18,7,7,4,4),(15,329,2,22,19,3,11,2,6),(15,329,2,22,20,5,7,4,4),(15,329,2,22,21,2,2,1,2),(15,329,2,22,22,8,11,5,5),(15,329,2,22,23,4,8,2,4),(15,329,2,22,24,2,10,NULL,7),(15,329,2,22,25,15,NULL,7,NULL),(15,329,2,22,26,3,9,1,4),(15,329,2,22,27,4,6,2,2),(15,329,2,22,28,NULL,4,NULL,3),(15,329,2,22,29,12,14,5,6),(15,329,2,22,30,1,4,1,3),(15,329,2,23,1,1,2,1,2),(15,329,2,23,2,1,1,NULL,NULL),(15,329,2,23,3,2,3,NULL,NULL),(15,329,2,23,4,2,2,1,NULL),(15,329,2,23,5,3,8,2,3),(15,329,2,23,6,6,3,3,1),(15,329,2,23,7,1,1,1,NULL),(15,329,2,23,8,3,NULL,1,NULL),(15,329,2,23,9,2,5,NULL,2),(15,329,2,23,10,NULL,1,NULL,NULL),(15,329,2,23,11,3,5,1,1),(15,329,2,23,12,4,8,NULL,3),(15,329,2,23,13,8,5,4,2),(15,329,2,23,14,2,6,1,1),(15,329,2,23,15,3,9,1,4),(15,329,2,23,16,7,11,2,3),(15,329,2,23,17,4,4,NULL,1),(15,329,2,23,18,10,9,4,2),(15,329,2,23,19,3,8,1,3),(15,329,2,23,20,4,7,1,2),(15,329,2,23,21,NULL,2,NULL,1),(15,329,2,23,22,7,7,5,1),(15,329,2,23,23,2,4,NULL,2),(15,329,2,23,24,3,2,2,2),(15,329,2,23,25,10,NULL,3,NULL),(15,329,2,23,26,2,7,NULL,5),(15,329,2,23,27,NULL,3,NULL,1),(15,329,2,23,28,1,3,NULL,2),(15,329,2,23,29,8,14,2,4),(15,329,2,23,30,NULL,4,NULL,1),(15,329,2,24,1,1,1,1,NULL),(15,329,2,24,2,NULL,2,NULL,2),(15,329,2,24,3,4,2,4,NULL),(15,329,2,24,4,NULL,1,NULL,NULL),(15,329,2,24,5,3,7,3,NULL),(15,329,2,24,6,4,3,2,NULL),(15,329,2,24,7,NULL,NULL,NULL,NULL),(15,329,2,24,8,1,NULL,NULL,NULL),(15,329,2,24,9,4,3,1,3),(15,329,2,24,10,1,2,1,NULL),(15,329,2,24,11,4,5,2,3),(15,329,2,24,12,7,4,1,3),(15,329,2,24,13,11,3,5,1),(15,329,2,24,14,4,4,2,1),(15,329,2,24,15,8,6,3,3),(15,329,2,24,16,13,10,7,1),(15,329,2,24,17,2,6,1,3),(15,329,2,24,18,10,3,4,1),(15,329,2,24,19,6,11,5,2),(15,329,2,24,20,5,8,2,4),(15,329,2,24,21,NULL,1,NULL,1),(15,329,2,24,22,9,5,5,NULL),(15,329,2,24,23,NULL,6,1,2),(15,329,2,24,24,2,4,NULL,1),(15,329,2,24,25,11,NULL,6,NULL),(15,329,2,24,26,1,5,1,2),(15,329,2,24,27,4,5,2,2),(15,329,2,24,28,1,3,1,1),(15,329,2,24,29,5,15,1,4),(15,329,2,24,30,NULL,NULL,NULL,1),(15,329,3,31,1,11,14,2,5),(15,329,3,31,2,1,2,1,1),(15,329,3,31,3,2,7,1,2),(15,329,3,31,4,5,4,2,1),(15,329,3,31,5,3,4,1,3),(15,329,3,31,6,3,11,1,4),(15,329,3,31,7,NULL,2,NULL,NULL),(15,329,3,31,8,1,NULL,1,NULL),(15,329,3,31,9,2,2,NULL,NULL),(15,329,3,31,10,2,3,NULL,1),(15,329,3,31,11,2,7,2,NULL),(15,329,3,31,12,8,7,3,3),(15,329,3,31,13,3,10,2,2),(15,329,3,31,14,9,3,5,2),(15,329,3,31,15,10,5,5,2),(15,329,3,31,16,6,7,3,4),(15,329,3,31,17,14,7,6,1),(15,329,3,31,18,4,3,2,2),(15,329,3,31,19,2,3,3,1),(15,329,3,31,20,2,4,1,2),(15,329,3,31,21,NULL,NULL,NULL,NULL),(15,329,3,31,22,1,1,NULL,2),(15,329,3,31,23,NULL,NULL,NULL,NULL),(15,329,3,31,24,1,4,NULL,3),(15,329,3,31,25,NULL,2,NULL,NULL),(15,329,3,31,26,2,NULL,2,1),(15,329,3,31,27,NULL,NULL,NULL,NULL),(15,329,3,31,28,NULL,1,NULL,1),(15,329,3,31,29,NULL,8,NULL,3),(15,329,3,31,30,NULL,8,NULL,2),(15,329,3,32,1,11,16,3,4),(15,329,3,32,2,NULL,4,NULL,1),(15,329,3,32,3,4,6,1,4),(15,329,3,32,4,5,4,1,2),(15,329,3,32,5,3,8,1,3),(15,329,3,32,6,NULL,13,NULL,1),(15,329,3,32,7,2,2,2,1),(15,329,3,32,8,1,1,1,NULL),(15,329,3,32,9,NULL,2,NULL,NULL),(15,329,3,32,10,1,6,NULL,5),(15,329,3,32,11,2,3,NULL,2),(15,329,3,32,12,6,10,1,2),(15,329,3,32,13,2,7,NULL,2),(15,329,3,32,14,4,7,3,1),(15,329,3,32,15,11,6,3,1),(15,329,3,32,16,2,7,1,4),(15,329,3,32,17,13,7,5,2),(15,329,3,32,18,NULL,1,NULL,1),(15,329,3,32,19,5,6,3,1),(15,329,3,32,20,NULL,4,NULL,2),(15,329,3,32,21,NULL,NULL,NULL,NULL),(15,329,3,32,22,1,2,NULL,2),(15,329,3,32,23,1,NULL,NULL,NULL),(15,329,3,32,24,NULL,10,NULL,5),(15,329,3,32,25,NULL,3,NULL,1),(15,329,3,32,26,1,2,NULL,NULL),(15,329,3,32,27,NULL,1,NULL,NULL),(15,329,3,32,28,NULL,6,NULL,1),(15,329,3,32,29,NULL,11,NULL,3),(15,329,3,32,30,NULL,6,NULL,3),(15,329,3,33,1,12,15,5,6),(15,329,3,33,2,NULL,6,NULL,3),(15,329,3,33,3,6,6,5,2),(15,329,3,33,4,7,3,7,1),(15,329,3,33,5,5,6,4,4),(15,329,3,33,6,1,10,NULL,5),(15,329,3,33,7,NULL,4,NULL,2),(15,329,3,33,8,1,2,1,2),(15,329,3,33,9,2,3,2,2),(15,329,3,33,10,4,5,3,4),(15,329,3,33,11,NULL,3,NULL,1),(15,329,3,33,12,8,6,4,3),(15,329,3,33,13,2,4,1,4),(15,329,3,33,14,9,5,7,3),(15,329,3,33,15,7,7,5,4),(15,329,3,33,16,5,11,3,5),(15,329,3,33,17,16,7,8,3),(15,329,3,33,18,7,5,6,2),(15,329,3,33,19,2,5,1,2),(15,329,3,33,20,1,4,NULL,3),(15,329,3,33,21,2,NULL,1,NULL),(15,329,3,33,22,NULL,4,NULL,3),(15,329,3,33,23,NULL,1,NULL,1),(15,329,3,33,24,1,9,1,4),(15,329,3,33,25,NULL,3,NULL,1),(15,329,3,33,26,NULL,3,NULL,1),(15,329,3,33,27,NULL,2,NULL,1),(15,329,3,33,28,3,1,3,NULL),(15,329,3,33,29,NULL,12,NULL,8),(15,329,3,33,30,NULL,12,NULL,6),(15,329,3,34,1,8,12,3,4),(15,329,3,34,2,1,6,1,4),(15,329,3,34,3,6,5,3,NULL),(15,329,3,34,4,4,5,2,3),(15,329,3,34,5,7,3,4,2),(15,329,3,34,6,1,7,1,3),(15,329,3,34,7,NULL,6,NULL,5),(15,329,3,34,8,2,1,2,1),(15,329,3,34,9,1,3,1,2),(15,329,3,34,10,2,2,2,NULL),(15,329,3,34,11,1,4,NULL,2),(15,329,3,34,12,9,3,4,2),(15,329,3,34,13,1,7,1,3),(15,329,3,34,14,8,3,3,2),(15,329,3,34,15,10,4,3,4),(15,329,3,34,16,4,8,1,5),(15,329,3,34,17,13,4,6,1),(15,329,3,34,18,3,3,2,1),(15,329,3,34,19,5,2,3,NULL),(15,329,3,34,20,4,5,3,2),(15,329,3,34,21,NULL,NULL,NULL,NULL),(15,329,3,34,22,NULL,1,NULL,1),(15,329,3,34,23,NULL,NULL,NULL,NULL),(15,329,3,34,24,1,4,1,3),(15,329,3,34,25,NULL,3,NULL,2),(15,329,3,34,26,NULL,5,NULL,1),(15,329,3,34,27,1,NULL,NULL,NULL),(15,329,3,34,28,NULL,NULL,NULL,NULL),(15,329,3,34,29,NULL,5,NULL,1),(15,329,3,34,30,1,10,1,2),(15,331,1,11,1,NULL,NULL,NULL,NULL),(15,331,1,11,2,NULL,NULL,NULL,NULL),(15,331,1,11,3,NULL,NULL,NULL,NULL),(15,331,1,11,4,NULL,NULL,NULL,NULL),(15,331,1,11,5,NULL,NULL,NULL,NULL),(15,331,1,11,6,NULL,NULL,NULL,NULL),(15,331,1,11,7,NULL,NULL,NULL,NULL),(15,331,1,11,8,NULL,NULL,NULL,NULL),(15,331,1,11,9,NULL,NULL,NULL,NULL),(15,331,1,11,10,NULL,NULL,NULL,NULL),(15,331,1,11,11,NULL,NULL,NULL,NULL),(15,331,1,11,12,NULL,NULL,NULL,NULL),(15,331,1,11,13,NULL,NULL,NULL,NULL),(15,331,1,11,14,NULL,NULL,NULL,NULL),(15,331,1,11,15,NULL,NULL,NULL,NULL),(15,331,1,11,16,NULL,NULL,NULL,NULL),(15,331,1,11,17,NULL,NULL,NULL,NULL),(15,331,1,11,18,NULL,NULL,NULL,NULL),(15,331,1,11,19,NULL,NULL,NULL,NULL),(15,331,1,11,20,NULL,NULL,NULL,NULL),(15,331,1,12,1,NULL,NULL,NULL,NULL),(15,331,1,12,2,NULL,NULL,NULL,NULL),(15,331,1,12,3,NULL,NULL,NULL,NULL),(15,331,1,12,4,NULL,NULL,NULL,NULL),(15,331,1,12,5,NULL,NULL,NULL,NULL),(15,331,1,12,6,NULL,NULL,NULL,NULL),(15,331,1,12,7,NULL,NULL,NULL,NULL),(15,331,1,12,8,NULL,NULL,NULL,NULL),(15,331,1,12,9,NULL,NULL,NULL,NULL),(15,331,1,12,10,NULL,NULL,NULL,NULL),(15,331,1,12,11,NULL,NULL,NULL,NULL),(15,331,1,12,12,NULL,NULL,NULL,NULL),(15,331,1,12,13,NULL,NULL,NULL,NULL),(15,331,1,12,14,NULL,NULL,NULL,NULL),(15,331,1,12,15,NULL,NULL,NULL,NULL),(15,331,1,12,16,NULL,NULL,NULL,NULL),(15,331,1,12,17,NULL,NULL,NULL,NULL),(15,331,1,12,18,NULL,NULL,NULL,NULL),(15,331,1,12,19,NULL,NULL,NULL,NULL),(15,331,1,12,20,NULL,NULL,NULL,NULL),(15,331,1,13,1,NULL,NULL,NULL,NULL),(15,331,1,13,2,NULL,NULL,NULL,NULL),(15,331,1,13,3,NULL,NULL,NULL,NULL),(15,331,1,13,4,NULL,NULL,NULL,NULL),(15,331,1,13,5,NULL,NULL,NULL,NULL),(15,331,1,13,6,NULL,NULL,NULL,NULL),(15,331,1,13,7,NULL,NULL,NULL,NULL),(15,331,1,13,8,NULL,NULL,NULL,NULL),(15,331,1,13,9,NULL,NULL,NULL,NULL),(15,331,1,13,10,NULL,NULL,NULL,NULL),(15,331,1,13,11,NULL,NULL,NULL,NULL),(15,331,1,13,12,NULL,NULL,NULL,NULL),(15,331,1,13,13,NULL,NULL,NULL,NULL),(15,331,1,13,14,NULL,NULL,NULL,NULL),(15,331,1,13,15,NULL,NULL,NULL,NULL),(15,331,1,13,16,NULL,NULL,NULL,NULL),(15,331,1,13,17,NULL,NULL,NULL,NULL),(15,331,1,13,18,NULL,NULL,NULL,NULL),(15,331,1,13,19,NULL,NULL,NULL,NULL),(15,331,1,13,20,NULL,NULL,NULL,NULL),(15,331,1,14,1,9,12,7,5),(15,331,1,14,2,3,9,NULL,7),(15,331,1,14,3,1,19,NULL,11),(15,331,1,14,4,6,14,2,9),(15,331,1,14,5,1,10,1,5),(15,331,1,14,6,10,9,6,5),(15,331,1,14,7,7,7,4,5),(15,331,1,14,8,7,11,4,5),(15,331,1,14,9,14,NULL,7,NULL),(15,331,1,14,10,15,6,7,4),(15,331,1,14,11,1,6,1,4),(15,331,1,14,12,1,6,1,5),(15,331,1,14,13,5,7,4,6),(15,331,1,14,14,8,15,5,7),(15,331,1,14,15,12,NULL,9,NULL),(15,331,1,14,16,5,3,5,NULL),(15,331,1,14,17,5,2,4,NULL),(15,331,1,14,18,5,2,4,1),(15,331,1,14,19,6,6,5,4),(15,331,1,14,20,4,6,3,3),(15,331,1,15,1,13,3,5,NULL),(15,331,1,15,2,2,8,2,3),(15,331,1,15,3,4,6,2,2),(15,331,1,15,4,4,8,2,1),(15,331,1,15,5,2,12,2,4),(15,331,1,15,6,8,8,2,3),(15,331,1,15,7,6,4,2,3),(15,331,1,15,8,2,10,NULL,3),(15,331,1,15,9,8,NULL,3,NULL),(15,331,1,15,10,12,2,3,1),(15,331,1,15,11,1,5,NULL,2),(15,331,1,15,12,1,2,1,2),(15,331,1,15,13,2,6,2,2),(15,331,1,15,14,5,13,2,2),(15,331,1,15,15,7,NULL,2,NULL),(15,331,1,15,16,1,4,1,1),(15,331,1,15,17,4,2,2,2),(15,331,1,15,18,2,1,2,1),(15,331,1,15,19,3,2,2,1),(15,331,1,15,20,5,2,3,1),(15,331,1,16,1,11,11,5,4),(15,331,1,16,2,7,9,4,2),(15,331,1,16,3,4,22,2,7),(15,331,1,16,4,5,10,1,5),(15,331,1,16,5,2,15,2,5),(15,331,1,16,6,13,11,7,3),(15,331,1,16,7,11,6,5,2),(15,331,1,16,8,4,18,2,8),(15,331,1,16,9,11,NULL,5,NULL),(15,331,1,16,10,15,5,6,1),(15,331,1,16,11,13,7,4,1),(15,331,1,16,12,12,16,8,3),(15,331,1,16,13,6,23,3,8),(15,331,1,16,14,10,11,5,3),(15,331,1,16,15,3,8,NULL,3),(15,331,1,16,16,12,NULL,6,NULL),(15,331,1,16,17,6,11,2,2),(15,331,1,16,18,9,13,2,3),(15,331,1,16,19,5,4,1,1),(15,331,1,16,20,9,16,5,4),(15,331,1,17,1,15,11,5,1),(15,331,1,17,2,7,9,2,2),(15,331,1,17,3,8,11,3,4),(15,331,1,17,4,10,11,4,4),(15,331,1,17,5,1,13,1,4),(15,331,1,17,6,14,11,4,3),(15,331,1,17,7,12,6,5,2),(15,331,1,17,8,9,16,4,2),(15,331,1,17,9,14,NULL,6,NULL),(15,331,1,17,10,10,6,3,3),(15,331,1,17,11,10,7,5,NULL),(15,331,1,17,12,10,20,2,6),(15,331,1,17,13,1,28,NULL,6),(15,331,1,17,14,4,10,2,3),(15,331,1,17,15,1,7,NULL,2),(15,331,1,17,16,10,NULL,3,NULL),(15,331,1,17,17,9,9,1,3),(15,331,1,17,18,4,17,2,2),(15,331,1,17,19,NULL,7,NULL,NULL),(15,331,1,17,20,12,17,3,5),(15,331,2,21,1,1,2,NULL,NULL),(15,331,2,21,2,2,1,1,NULL),(15,331,2,21,3,NULL,5,NULL,2),(15,331,2,21,4,2,3,2,2),(15,331,2,21,5,9,5,2,2),(15,331,2,21,6,4,4,1,2),(15,331,2,21,7,1,1,1,1),(15,331,2,21,8,1,NULL,1,NULL),(15,331,2,21,9,4,1,2,1),(15,331,2,21,10,3,2,2,NULL),(15,331,2,21,11,7,7,2,1),(15,331,2,21,12,16,11,3,4),(15,331,2,21,13,13,9,4,1),(15,331,2,21,14,NULL,9,NULL,4),(15,331,2,21,15,3,10,1,4),(15,331,2,21,16,13,13,6,2),(15,331,2,21,17,3,10,1,3),(15,331,2,21,18,10,6,4,NULL),(15,331,2,21,19,6,10,1,3),(15,331,2,21,20,7,9,4,1),(15,331,2,21,21,NULL,1,NULL,1),(15,331,2,21,22,7,8,4,2),(15,331,2,21,23,3,10,2,4),(15,331,2,21,24,1,4,NULL,2),(15,331,2,21,25,8,NULL,5,NULL),(15,331,2,21,26,3,3,1,1),(15,331,2,21,27,2,6,NULL,3),(15,331,2,21,28,1,7,NULL,2),(15,331,2,21,29,7,20,1,6),(15,331,2,21,30,1,2,1,NULL),(15,331,2,22,1,5,1,3,1),(15,331,2,22,2,1,3,1,2),(15,331,2,22,3,NULL,4,NULL,2),(15,331,2,22,4,2,1,2,NULL),(15,331,2,22,5,5,7,2,4),(15,331,2,22,6,2,4,1,1),(15,331,2,22,7,4,NULL,2,NULL),(15,331,2,22,8,3,NULL,3,NULL),(15,331,2,22,9,3,4,2,3),(15,331,2,22,10,5,3,3,NULL),(15,331,2,22,11,5,4,3,1),(15,331,2,22,12,9,11,3,4),(15,331,2,22,13,14,7,8,2),(15,331,2,22,14,5,6,3,4),(15,331,2,22,15,4,12,2,6),(15,331,2,22,16,13,14,4,6),(15,331,2,22,17,6,8,3,3),(15,331,2,22,18,9,12,4,3),(15,331,2,22,19,2,14,1,4),(15,331,2,22,20,12,11,4,5),(15,331,2,22,21,1,1,1,1),(15,331,2,22,22,9,11,6,2),(15,331,2,22,23,3,8,1,4),(15,331,2,22,24,NULL,8,NULL,5),(15,331,2,22,25,9,NULL,5,NULL),(15,331,2,22,26,2,6,NULL,2),(15,331,2,22,27,1,5,1,1),(15,331,2,22,28,2,6,2,2),(15,331,2,22,29,9,20,5,5),(15,331,2,22,30,1,5,NULL,4),(15,331,2,23,1,1,3,1,1),(15,331,2,23,2,2,3,NULL,2),(15,331,2,23,3,NULL,4,NULL,1),(15,331,2,23,4,3,3,2,2),(15,331,2,23,5,9,6,5,3),(15,331,2,23,6,7,2,3,1),(15,331,2,23,7,NULL,NULL,NULL,NULL),(15,331,2,23,8,1,NULL,NULL,NULL),(15,331,2,23,9,2,8,1,4),(15,331,2,23,10,2,6,2,3),(15,331,2,23,11,4,5,3,2),(15,331,2,23,12,4,19,2,6),(15,331,2,23,13,14,5,8,1),(15,331,2,23,14,3,9,2,3),(15,331,2,23,15,10,6,2,3),(15,331,2,23,16,12,13,4,4),(15,331,2,23,17,2,4,1,2),(15,331,2,23,18,10,8,2,3),(15,331,2,23,19,2,11,1,4),(15,331,2,23,20,8,9,5,3),(15,331,2,23,21,NULL,4,NULL,3),(15,331,2,23,22,7,11,5,4),(15,331,2,23,23,1,7,1,2),(15,331,2,23,24,2,7,1,5),(15,331,2,23,25,14,NULL,8,NULL),(15,331,2,23,26,2,7,2,2),(15,331,2,23,27,2,3,NULL,1),(15,331,2,23,28,4,4,3,2),(15,331,2,23,29,6,19,2,8),(15,331,2,23,30,1,5,NULL,2),(15,331,2,24,1,3,3,2,NULL),(15,331,2,24,2,1,1,1,NULL),(15,331,2,24,3,NULL,7,NULL,3),(15,331,2,24,4,1,3,1,2),(15,331,2,24,5,8,5,5,3),(15,331,2,24,6,3,2,1,NULL),(15,331,2,24,7,2,2,2,1),(15,331,2,24,8,3,NULL,NULL,NULL),(15,331,2,24,9,3,6,3,3),(15,331,2,24,10,3,3,2,2),(15,331,2,24,11,6,7,4,3),(15,331,2,24,12,9,12,5,4),(15,331,2,24,13,12,6,6,3),(15,331,2,24,14,3,6,3,3),(15,331,2,24,15,3,9,2,2),(15,331,2,24,16,12,8,7,1),(15,331,2,24,17,1,9,1,6),(15,331,2,24,18,8,8,5,3),(15,331,2,24,19,1,15,1,8),(15,331,2,24,20,10,6,5,3),(15,331,2,24,21,NULL,1,NULL,1),(15,331,2,24,22,7,9,4,4),(15,331,2,24,23,NULL,10,NULL,5),(15,331,2,24,24,1,6,1,4),(15,331,2,24,25,9,NULL,5,NULL),(15,331,2,24,26,3,6,1,3),(15,331,2,24,27,4,5,NULL,3),(15,331,2,24,28,NULL,7,NULL,4),(15,331,2,24,29,4,20,1,9),(15,331,2,24,30,NULL,6,NULL,3),(15,331,3,31,1,10,14,4,6),(15,331,3,31,2,1,2,1,1),(15,331,3,31,3,7,3,5,2),(15,331,3,31,4,7,5,3,3),(15,331,3,31,5,5,9,3,5),(15,331,3,31,6,1,9,1,5),(15,331,3,31,7,1,5,1,3),(15,331,3,31,8,NULL,2,NULL,NULL),(15,331,3,31,9,NULL,5,NULL,1),(15,331,3,31,10,3,1,2,NULL),(15,331,3,31,11,NULL,5,NULL,3),(15,331,3,31,12,6,7,4,2),(15,331,3,31,13,1,13,1,7),(15,331,3,31,14,8,7,7,NULL),(15,331,3,31,15,9,6,5,2),(15,331,3,31,16,5,5,4,3),(15,331,3,31,17,13,8,10,NULL),(15,331,3,31,18,8,8,5,4),(15,331,3,31,19,5,5,4,1),(15,331,3,31,20,2,5,1,2),(15,331,3,31,21,4,NULL,2,NULL),(15,331,3,31,22,NULL,4,NULL,2),(15,331,3,31,23,NULL,1,NULL,1),(15,331,3,31,24,2,12,2,7),(15,331,3,31,25,1,1,NULL,NULL),(15,331,3,31,26,NULL,NULL,NULL,NULL),(15,331,3,31,27,NULL,3,NULL,1),(15,331,3,31,28,NULL,1,NULL,NULL),(15,331,3,31,29,NULL,12,NULL,6),(15,331,3,31,30,1,5,1,3),(15,331,3,32,1,17,15,6,5),(15,331,3,32,2,NULL,6,NULL,3),(15,331,3,32,3,5,4,2,NULL),(15,331,3,32,4,12,6,7,1),(15,331,3,32,5,6,7,2,4),(15,331,3,32,6,1,16,1,6),(15,331,3,32,7,NULL,7,NULL,5),(15,331,3,32,8,NULL,5,NULL,2),(15,331,3,32,9,1,1,1,1),(15,331,3,32,10,4,6,1,3),(15,331,3,32,11,1,2,NULL,1),(15,331,3,32,12,6,11,5,2),(15,331,3,32,13,2,9,1,4),(15,331,3,32,14,10,5,5,2),(15,331,3,32,15,11,8,6,2),(15,331,3,32,16,5,9,4,4),(15,331,3,32,17,10,9,6,3),(15,331,3,32,18,6,7,2,4),(15,331,3,32,19,3,8,1,3),(15,331,3,32,20,2,7,1,3),(15,331,3,32,21,1,NULL,NULL,NULL),(15,331,3,32,22,2,6,1,5),(15,331,3,32,23,NULL,1,NULL,NULL),(15,331,3,32,24,1,14,NULL,7),(15,331,3,32,25,NULL,NULL,NULL,NULL),(15,331,3,32,26,2,3,2,1),(15,331,3,32,27,1,5,NULL,3),(15,331,3,32,28,1,1,NULL,NULL),(15,331,3,32,29,NULL,15,NULL,8),(15,331,3,32,30,NULL,13,NULL,7),(15,331,3,33,1,17,12,6,4),(15,331,3,33,2,NULL,5,NULL,3),(15,331,3,33,3,8,8,5,3),(15,331,3,33,4,9,7,4,4),(15,331,3,33,5,5,10,4,4),(15,331,3,33,6,3,11,1,5),(15,331,3,33,7,NULL,6,NULL,2),(15,331,3,33,8,NULL,3,NULL,2),(15,331,3,33,9,NULL,5,NULL,3),(15,331,3,33,10,1,5,1,1),(15,331,3,33,11,NULL,2,NULL,NULL),(15,331,3,33,12,9,11,4,3),(15,331,3,33,13,1,7,NULL,NULL),(15,331,3,33,14,8,12,6,3),(15,331,3,33,15,10,7,6,2),(15,331,3,33,16,4,9,2,3),(15,331,3,33,17,18,5,8,NULL),(15,331,3,33,18,3,2,1,1),(15,331,3,33,19,7,5,3,3),(15,331,3,33,20,2,2,NULL,1),(15,331,3,33,21,3,NULL,2,NULL),(15,331,3,33,22,NULL,4,NULL,3),(15,331,3,33,23,NULL,1,NULL,1),(15,331,3,33,24,1,15,1,5),(15,331,3,33,25,NULL,2,NULL,1),(15,331,3,33,26,1,2,NULL,1),(15,331,3,33,27,2,4,NULL,1),(15,331,3,33,28,NULL,2,NULL,NULL),(15,331,3,33,29,NULL,20,NULL,9),(15,331,3,33,30,NULL,13,NULL,5),(15,331,3,34,1,11,20,5,3),(15,331,3,34,2,2,8,2,4),(15,331,3,34,3,8,9,5,1),(15,331,3,34,4,6,7,3,3),(15,331,3,34,5,4,8,2,3),(15,331,3,34,6,NULL,13,NULL,2),(15,331,3,34,7,NULL,6,NULL,3),(15,331,3,34,8,NULL,3,NULL,2),(15,331,3,34,9,NULL,4,NULL,2),(15,331,3,34,10,4,5,2,NULL),(15,331,3,34,11,1,4,1,NULL),(15,331,3,34,12,5,15,1,4),(15,331,3,34,13,NULL,10,NULL,5),(15,331,3,34,14,5,8,3,1),(15,331,3,34,15,7,11,5,2),(15,331,3,34,16,2,8,1,2),(15,331,3,34,17,15,10,6,1),(15,331,3,34,18,3,4,3,1),(15,331,3,34,19,6,6,3,2),(15,331,3,34,20,1,9,1,NULL),(15,331,3,34,21,3,NULL,2,NULL),(15,331,3,34,22,1,2,1,1),(15,331,3,34,23,NULL,2,NULL,2),(15,331,3,34,24,1,7,1,3),(15,331,3,34,25,NULL,3,NULL,NULL),(15,331,3,34,26,NULL,4,NULL,1),(15,331,3,34,27,1,3,NULL,NULL),(15,331,3,34,28,NULL,1,NULL,1),(15,331,3,34,29,NULL,16,NULL,4),(15,331,3,34,30,1,8,1,1),(15,332,1,11,1,NULL,NULL,NULL,NULL),(15,332,1,11,2,NULL,NULL,NULL,NULL),(15,332,1,11,3,NULL,NULL,NULL,NULL),(15,332,1,11,4,NULL,NULL,NULL,NULL),(15,332,1,11,5,NULL,NULL,NULL,NULL),(15,332,1,11,6,NULL,NULL,NULL,NULL),(15,332,1,11,7,NULL,NULL,NULL,NULL),(15,332,1,11,8,NULL,NULL,NULL,NULL),(15,332,1,11,9,NULL,NULL,NULL,NULL),(15,332,1,11,10,NULL,NULL,NULL,NULL),(15,332,1,11,11,NULL,NULL,NULL,NULL),(15,332,1,11,12,NULL,NULL,NULL,NULL),(15,332,1,11,13,NULL,NULL,NULL,NULL),(15,332,1,11,14,NULL,NULL,NULL,NULL),(15,332,1,11,15,NULL,NULL,NULL,NULL),(15,332,1,11,16,NULL,NULL,NULL,NULL),(15,332,1,11,17,NULL,NULL,NULL,NULL),(15,332,1,11,18,NULL,NULL,NULL,NULL),(15,332,1,11,19,NULL,NULL,NULL,NULL),(15,332,1,11,20,NULL,NULL,NULL,NULL),(15,332,1,12,1,1,1,1,NULL),(15,332,1,12,2,1,1,1,NULL),(15,332,1,12,3,NULL,1,NULL,NULL),(15,332,1,12,4,NULL,NULL,NULL,NULL),(15,332,1,12,5,NULL,NULL,NULL,NULL),(15,332,1,12,6,1,NULL,NULL,NULL),(15,332,1,12,7,NULL,NULL,NULL,NULL),(15,332,1,12,8,NULL,1,NULL,1),(15,332,1,12,9,1,NULL,1,NULL),(15,332,1,12,10,1,NULL,1,NULL),(15,332,1,12,11,1,NULL,NULL,NULL),(15,332,1,12,12,NULL,2,NULL,1),(15,332,1,12,13,1,NULL,NULL,NULL),(15,332,1,12,14,1,NULL,NULL,NULL),(15,332,1,12,15,2,NULL,1,NULL),(15,332,1,12,16,NULL,1,NULL,1),(15,332,1,12,17,NULL,NULL,NULL,NULL),(15,332,1,12,18,2,NULL,1,NULL),(15,332,1,12,19,1,NULL,NULL,NULL),(15,332,1,12,20,NULL,NULL,NULL,NULL),(15,332,1,13,1,NULL,NULL,NULL,NULL),(15,332,1,13,2,NULL,NULL,NULL,NULL),(15,332,1,13,3,NULL,NULL,NULL,NULL),(15,332,1,13,4,NULL,NULL,NULL,NULL),(15,332,1,13,5,NULL,NULL,NULL,NULL),(15,332,1,13,6,NULL,NULL,NULL,NULL),(15,332,1,13,7,NULL,NULL,NULL,NULL),(15,332,1,13,8,NULL,NULL,NULL,NULL),(15,332,1,13,9,NULL,NULL,NULL,NULL),(15,332,1,13,10,NULL,NULL,NULL,NULL),(15,332,1,13,11,NULL,NULL,NULL,NULL),(15,332,1,13,12,NULL,NULL,NULL,NULL),(15,332,1,13,13,NULL,NULL,NULL,NULL),(15,332,1,13,14,NULL,NULL,NULL,NULL),(15,332,1,13,15,NULL,NULL,NULL,NULL),(15,332,1,13,16,NULL,NULL,NULL,NULL),(15,332,1,13,17,NULL,NULL,NULL,NULL),(15,332,1,13,18,NULL,NULL,NULL,NULL),(15,332,1,13,19,NULL,NULL,NULL,NULL),(15,332,1,13,20,NULL,NULL,NULL,NULL),(15,332,1,14,1,12,8,2,3),(15,332,1,14,2,6,5,4,2),(15,332,1,14,3,1,12,1,3),(15,332,1,14,4,4,9,1,4),(15,332,1,14,5,NULL,10,NULL,3),(15,332,1,14,6,5,9,3,2),(15,332,1,14,7,8,3,3,2),(15,332,1,14,8,4,12,NULL,4),(15,332,1,14,9,9,NULL,4,NULL),(15,332,1,14,10,12,4,4,2),(15,332,1,14,11,NULL,7,NULL,1),(15,332,1,14,12,4,2,3,NULL),(15,332,1,14,13,4,3,1,1),(15,332,1,14,14,8,12,2,3),(15,332,1,14,15,7,NULL,4,NULL),(15,332,1,14,16,2,3,1,1),(15,332,1,14,17,3,4,2,2),(15,332,1,14,18,2,3,1,1),(15,332,1,14,19,3,8,2,1),(15,332,1,14,20,9,6,4,3),(15,332,1,15,1,12,11,7,5),(15,332,1,15,2,8,5,7,1),(15,332,1,15,3,3,16,1,7),(15,332,1,15,4,6,10,4,6),(15,332,1,15,5,4,4,2,2),(15,332,1,15,6,11,6,5,3),(15,332,1,15,7,8,3,4,1),(15,332,1,15,8,7,18,4,8),(15,332,1,15,9,7,NULL,4,NULL),(15,332,1,15,10,13,2,7,1),(15,332,1,15,11,2,6,1,3),(15,332,1,15,12,1,3,1,2),(15,332,1,15,13,1,8,NULL,3),(15,332,1,15,14,10,14,6,5),(15,332,1,15,15,16,NULL,10,NULL),(15,332,1,15,16,2,9,1,4),(15,332,1,15,17,5,4,3,4),(15,332,1,15,18,4,4,4,2),(15,332,1,15,19,6,2,5,1),(15,332,1,15,20,14,6,9,2),(15,332,1,16,1,20,26,5,4),(15,332,1,16,2,7,12,3,3),(15,332,1,16,3,5,35,2,7),(15,332,1,16,4,9,19,3,6),(15,332,1,16,5,NULL,30,NULL,8),(15,332,1,16,6,19,28,5,4),(15,332,1,16,7,15,10,6,1),(15,332,1,16,8,7,37,1,7),(15,332,1,16,9,14,NULL,5,NULL),(15,332,1,16,10,28,7,5,2),(15,332,1,16,11,23,14,6,3),(15,332,1,16,12,21,32,4,6),(15,332,1,16,13,8,50,1,9),(15,332,1,16,14,17,19,3,6),(15,332,1,16,15,3,11,1,1),(15,332,1,16,16,22,NULL,4,NULL),(15,332,1,16,17,14,18,1,3),(15,332,1,16,18,8,37,1,7),(15,332,1,16,19,6,7,1,1),(15,332,1,16,20,14,33,5,4),(15,332,1,17,1,17,18,5,5),(15,332,1,17,2,9,9,3,2),(15,332,1,17,3,3,24,1,7),(15,332,1,17,4,15,17,5,4),(15,332,1,17,5,1,24,NULL,5),(15,332,1,17,6,17,21,3,5),(15,332,1,17,7,22,8,7,2),(15,332,1,17,8,10,29,3,6),(15,332,1,17,9,14,NULL,4,NULL),(15,332,1,17,10,19,10,6,2),(15,332,1,17,11,20,11,7,1),(15,332,1,17,12,7,35,1,9),(15,332,1,17,13,4,45,1,7),(15,332,1,17,14,10,19,4,5),(15,332,1,17,15,3,14,1,3),(15,332,1,17,16,11,NULL,3,NULL),(15,332,1,17,17,8,23,3,6),(15,332,1,17,18,10,25,2,5),(15,332,1,17,19,10,8,1,3),(15,332,1,17,20,13,26,4,5),(15,332,2,21,1,4,5,NULL,NULL),(15,332,2,21,2,NULL,3,NULL,1),(15,332,2,21,3,4,3,NULL,NULL),(15,332,2,21,4,NULL,6,NULL,1),(15,332,2,21,5,11,13,3,2),(15,332,2,21,6,5,8,NULL,2),(15,332,2,21,7,NULL,2,NULL,NULL),(15,332,2,21,8,1,NULL,NULL,NULL),(15,332,2,21,9,1,7,NULL,1),(15,332,2,21,10,2,3,NULL,2),(15,332,2,21,11,11,8,2,1),(15,332,2,21,12,13,13,1,3),(15,332,2,21,13,8,8,NULL,3),(15,332,2,21,14,3,9,NULL,2),(15,332,2,21,15,8,11,NULL,5),(15,332,2,21,16,21,11,2,4),(15,332,2,21,17,5,11,1,4),(15,332,2,21,18,12,7,4,2),(15,332,2,21,19,7,19,2,4),(15,332,2,21,20,12,12,3,3),(15,332,2,21,21,2,4,2,1),(15,332,2,21,22,15,8,1,2),(15,332,2,21,23,3,11,3,1),(15,332,2,21,24,2,11,NULL,4),(15,332,2,21,25,9,NULL,3,NULL),(15,332,2,21,26,5,9,NULL,2),(15,332,2,21,27,5,8,1,3),(15,332,2,21,28,NULL,7,NULL,1),(15,332,2,21,29,15,20,2,4),(15,332,2,21,30,1,4,1,2),(15,332,2,22,1,2,2,2,NULL),(15,332,2,22,2,1,1,NULL,NULL),(15,332,2,22,3,5,7,3,NULL),(15,332,2,22,4,1,3,1,2),(15,332,2,22,5,15,7,4,2),(15,332,2,22,6,8,11,2,3),(15,332,2,22,7,6,1,4,1),(15,332,2,22,8,5,NULL,3,NULL),(15,332,2,22,9,4,7,2,1),(15,332,2,22,10,2,2,1,NULL),(15,332,2,22,11,11,5,4,2),(15,332,2,22,12,20,18,7,4),(15,332,2,22,13,20,10,8,2),(15,332,2,22,14,3,12,2,5),(15,332,2,22,15,13,14,6,3),(15,332,2,22,16,21,17,10,2),(15,332,2,22,17,5,12,1,6),(15,332,2,22,18,15,12,5,4),(15,332,2,22,19,7,17,3,6),(15,332,2,22,20,10,15,4,6),(15,332,2,22,21,2,2,2,1),(15,332,2,22,22,11,6,7,2),(15,332,2,22,23,1,14,1,6),(15,332,2,22,24,3,11,1,4),(15,332,2,22,25,14,NULL,6,NULL),(15,332,2,22,26,1,11,1,2),(15,332,2,22,27,6,10,1,2),(15,332,2,22,28,2,4,1,4),(15,332,2,22,29,6,29,4,5),(15,332,2,22,30,4,4,2,2),(15,332,2,23,1,1,5,NULL,3),(15,332,2,23,2,1,4,NULL,3),(15,332,2,23,3,4,5,NULL,2),(15,332,2,23,4,2,4,1,1),(15,332,2,23,5,8,10,5,2),(15,332,2,23,6,12,11,2,3),(15,332,2,23,7,1,5,1,2),(15,332,2,23,8,4,NULL,NULL,NULL),(15,332,2,23,9,1,13,1,6),(15,332,2,23,10,6,4,3,1),(15,332,2,23,11,7,11,5,NULL),(15,332,2,23,12,15,13,4,4),(15,332,2,23,13,13,9,4,3),(15,332,2,23,14,2,9,1,2),(15,332,2,23,15,4,16,1,6),(15,332,2,23,16,15,21,3,7),(15,332,2,23,17,7,12,1,3),(15,332,2,23,18,15,13,7,3),(15,332,2,23,19,3,16,1,4),(15,332,2,23,20,8,13,4,3),(15,332,2,23,21,4,1,2,NULL),(15,332,2,23,22,16,10,7,NULL),(15,332,2,23,23,5,8,2,2),(15,332,2,23,24,1,10,NULL,3),(15,332,2,23,25,14,NULL,5,NULL),(15,332,2,23,26,2,15,NULL,3),(15,332,2,23,27,4,10,NULL,3),(15,332,2,23,28,4,12,NULL,4),(15,332,2,23,29,8,24,1,7),(15,332,2,23,30,NULL,9,NULL,2),(15,332,2,24,1,2,2,NULL,NULL),(15,332,2,24,2,2,2,1,NULL),(15,332,2,24,3,1,7,1,1),(15,332,2,24,4,1,1,1,NULL),(15,332,2,24,5,9,8,3,2),(15,332,2,24,6,7,11,1,5),(15,332,2,24,7,1,2,1,2),(15,332,2,24,8,4,NULL,1,NULL),(15,332,2,24,9,2,5,1,NULL),(15,332,2,24,10,4,4,NULL,3),(15,332,2,24,11,5,9,2,2),(15,332,2,24,12,17,14,3,6),(15,332,2,24,13,13,13,3,5),(15,332,2,24,14,4,7,3,1),(15,332,2,24,15,9,12,2,5),(15,332,2,24,16,17,15,4,3),(15,332,2,24,17,3,10,1,3),(15,332,2,24,18,22,8,6,3),(15,332,2,24,19,2,24,NULL,8),(15,332,2,24,20,9,15,3,5),(15,332,2,24,21,NULL,3,NULL,1),(15,332,2,24,22,9,10,2,4),(15,332,2,24,23,6,11,2,4),(15,332,2,24,24,2,10,1,4),(15,332,2,24,25,18,NULL,9,NULL),(15,332,2,24,26,2,4,NULL,3),(15,332,2,24,27,2,9,NULL,2),(15,332,2,24,28,2,8,1,4),(15,332,2,24,29,8,22,2,5),(15,332,2,24,30,2,4,NULL,2),(15,332,3,31,1,18,25,5,6),(15,332,3,31,2,NULL,7,NULL,1),(15,332,3,31,3,9,9,3,3),(15,332,3,31,4,5,4,2,3),(15,332,3,31,5,1,13,NULL,4),(15,332,3,31,6,4,15,2,5),(15,332,3,31,7,1,4,1,1),(15,332,3,31,8,1,3,NULL,2),(15,332,3,31,9,1,3,1,2),(15,332,3,31,10,1,4,1,1),(15,332,3,31,11,2,5,1,NULL),(15,332,3,31,12,10,12,1,5),(15,332,3,31,13,6,14,NULL,4),(15,332,3,31,14,7,7,4,3),(15,332,3,31,15,10,7,5,2),(15,332,3,31,16,5,15,5,1),(15,332,3,31,17,17,14,6,5),(15,332,3,31,18,3,8,1,2),(15,332,3,31,19,3,7,2,2),(15,332,3,31,20,3,5,2,3),(15,332,3,31,21,3,NULL,2,NULL),(15,332,3,31,22,NULL,8,NULL,1),(15,332,3,31,23,1,3,NULL,2),(15,332,3,31,24,1,11,NULL,5),(15,332,3,31,25,NULL,6,NULL,2),(15,332,3,31,26,NULL,4,NULL,1),(15,332,3,31,27,1,2,NULL,2),(15,332,3,31,28,NULL,4,NULL,1),(15,332,3,31,29,NULL,20,NULL,7),(15,332,3,31,30,NULL,14,NULL,3),(15,332,3,32,1,19,24,6,5),(15,332,3,32,2,1,4,1,1),(15,332,3,32,3,6,12,2,2),(15,332,3,32,4,12,6,6,1),(15,332,3,32,5,7,13,2,5),(15,332,3,32,6,NULL,12,NULL,4),(15,332,3,32,7,NULL,10,NULL,5),(15,332,3,32,8,1,2,NULL,NULL),(15,332,3,32,9,NULL,8,NULL,3),(15,332,3,32,10,NULL,9,NULL,3),(15,332,3,32,11,NULL,5,NULL,2),(15,332,3,32,12,9,18,5,4),(15,332,3,32,13,4,12,1,5),(15,332,3,32,14,10,11,7,3),(15,332,3,32,15,14,13,6,5),(15,332,3,32,16,9,9,4,3),(15,332,3,32,17,16,18,9,1),(15,332,3,32,18,5,12,3,3),(15,332,3,32,19,6,12,2,3),(15,332,3,32,20,1,11,1,3),(15,332,3,32,21,4,NULL,2,NULL),(15,332,3,32,22,1,6,NULL,1),(15,332,3,32,23,NULL,5,NULL,NULL),(15,332,3,32,24,NULL,13,NULL,4),(15,332,3,32,25,NULL,9,NULL,3),(15,332,3,32,26,NULL,1,NULL,NULL),(15,332,3,32,27,1,1,NULL,NULL),(15,332,3,32,28,NULL,2,NULL,NULL),(15,332,3,32,29,NULL,18,NULL,5),(15,332,3,32,30,NULL,17,NULL,4),(15,332,3,33,1,24,22,6,6),(15,332,3,33,2,NULL,4,NULL,2),(15,332,3,33,3,14,11,7,1),(15,332,3,33,4,12,6,5,3),(15,332,3,33,5,7,12,3,8),(15,332,3,33,6,1,17,NULL,6),(15,332,3,33,7,1,4,1,1),(15,332,3,33,8,NULL,3,NULL,1),(15,332,3,33,9,4,2,1,NULL),(15,332,3,33,10,4,5,1,2),(15,332,3,33,11,3,2,2,1),(15,332,3,33,12,15,11,7,3),(15,332,3,33,13,1,20,NULL,6),(15,332,3,33,14,10,7,4,3),(15,332,3,33,15,12,15,6,3),(15,332,3,33,16,6,10,3,4),(15,332,3,33,17,23,18,9,3),(15,332,3,33,18,7,10,3,3),(15,332,3,33,19,10,9,4,1),(15,332,3,33,20,5,10,2,3),(15,332,3,33,21,2,NULL,1,NULL),(15,332,3,33,22,3,8,2,4),(15,332,3,33,23,NULL,3,NULL,1),(15,332,3,33,24,2,17,2,6),(15,332,3,33,25,NULL,2,NULL,1),(15,332,3,33,26,NULL,5,NULL,NULL),(15,332,3,33,27,NULL,4,NULL,2),(15,332,3,33,28,1,1,1,NULL),(15,332,3,33,29,NULL,24,NULL,9),(15,332,3,33,30,NULL,16,NULL,5),(15,332,3,34,1,16,29,2,4),(15,332,3,34,2,NULL,13,NULL,2),(15,332,3,34,3,9,9,2,3),(15,332,3,34,4,8,6,2,2),(15,332,3,34,5,8,15,2,3),(15,332,3,34,6,3,15,NULL,3),(15,332,3,34,7,1,5,NULL,1),(15,332,3,34,8,1,2,1,1),(15,332,3,34,9,NULL,1,NULL,NULL),(15,332,3,34,10,1,9,NULL,2),(15,332,3,34,11,2,4,NULL,2),(15,332,3,34,12,5,14,NULL,2),(15,332,3,34,13,4,12,1,3),(15,332,3,34,14,8,10,1,1),(15,332,3,34,15,14,5,4,1),(15,332,3,34,16,8,16,1,3),(15,332,3,34,17,16,12,3,1),(15,332,3,34,18,2,11,1,2),(15,332,3,34,19,6,5,NULL,NULL),(15,332,3,34,20,3,7,NULL,NULL),(15,332,3,34,21,2,NULL,1,NULL),(15,332,3,34,22,2,4,1,2),(15,332,3,34,23,1,3,NULL,1),(15,332,3,34,24,1,14,NULL,2),(15,332,3,34,25,NULL,3,NULL,NULL),(15,332,3,34,26,NULL,5,NULL,NULL),(15,332,3,34,27,NULL,2,NULL,NULL),(15,332,3,34,28,1,1,NULL,NULL),(15,332,3,34,29,1,15,NULL,3),(15,332,3,34,30,3,11,1,1),(15,333,1,11,1,NULL,NULL,NULL,NULL),(15,333,1,11,2,NULL,NULL,NULL,NULL),(15,333,1,11,3,NULL,NULL,NULL,NULL),(15,333,1,11,4,NULL,NULL,NULL,NULL),(15,333,1,11,5,NULL,NULL,NULL,NULL),(15,333,1,11,6,NULL,NULL,NULL,NULL),(15,333,1,11,7,NULL,NULL,NULL,NULL),(15,333,1,11,8,NULL,NULL,NULL,NULL),(15,333,1,11,9,NULL,NULL,NULL,NULL),(15,333,1,11,10,NULL,NULL,NULL,NULL),(15,333,1,11,11,NULL,NULL,NULL,NULL),(15,333,1,11,12,NULL,NULL,NULL,NULL),(15,333,1,11,13,NULL,NULL,NULL,NULL),(15,333,1,11,14,NULL,NULL,NULL,NULL),(15,333,1,11,15,NULL,NULL,NULL,NULL),(15,333,1,11,16,NULL,NULL,NULL,NULL),(15,333,1,11,17,NULL,NULL,NULL,NULL),(15,333,1,11,18,NULL,NULL,NULL,NULL),(15,333,1,11,19,NULL,NULL,NULL,NULL),(15,333,1,11,20,NULL,NULL,NULL,NULL),(15,333,1,12,1,NULL,NULL,NULL,NULL),(15,333,1,12,2,1,NULL,NULL,NULL),(15,333,1,12,3,NULL,NULL,NULL,NULL),(15,333,1,12,4,NULL,1,NULL,NULL),(15,333,1,12,5,NULL,1,NULL,NULL),(15,333,1,12,6,1,NULL,NULL,NULL),(15,333,1,12,7,1,NULL,NULL,NULL),(15,333,1,12,8,NULL,NULL,NULL,NULL),(15,333,1,12,9,NULL,NULL,NULL,NULL),(15,333,1,12,10,1,NULL,NULL,NULL),(15,333,1,12,11,NULL,NULL,NULL,NULL),(15,333,1,12,12,NULL,1,NULL,NULL),(15,333,1,12,13,1,NULL,NULL,NULL),(15,333,1,12,14,NULL,NULL,NULL,NULL),(15,333,1,12,15,NULL,NULL,NULL,NULL),(15,333,1,12,16,NULL,NULL,NULL,NULL),(15,333,1,12,17,NULL,NULL,NULL,NULL),(15,333,1,12,18,NULL,NULL,NULL,NULL),(15,333,1,12,19,NULL,NULL,NULL,NULL),(15,333,1,12,20,NULL,NULL,NULL,NULL),(15,333,1,13,1,1,NULL,NULL,NULL),(15,333,1,13,2,1,1,NULL,NULL),(15,333,1,13,3,NULL,1,NULL,NULL),(15,333,1,13,4,NULL,NULL,NULL,NULL),(15,333,1,13,5,NULL,1,NULL,NULL),(15,333,1,13,6,2,NULL,NULL,NULL),(15,333,1,13,7,1,2,NULL,NULL),(15,333,1,13,8,NULL,NULL,NULL,NULL),(15,333,1,13,9,1,NULL,NULL,NULL),(15,333,1,13,10,1,1,NULL,NULL),(15,333,1,13,11,1,1,NULL,NULL),(15,333,1,13,12,NULL,2,NULL,NULL),(15,333,1,13,13,1,NULL,NULL,NULL),(15,333,1,13,14,NULL,2,NULL,NULL),(15,333,1,13,15,1,1,NULL,NULL),(15,333,1,13,16,1,1,NULL,NULL),(15,333,1,13,17,1,1,NULL,NULL),(15,333,1,13,18,NULL,NULL,NULL,NULL),(15,333,1,13,19,1,1,NULL,NULL),(15,333,1,13,20,1,1,NULL,NULL),(15,333,1,14,1,50,42,7,2),(15,333,1,14,2,26,21,7,2),(15,333,1,14,3,10,52,3,8),(15,333,1,14,4,20,34,7,3),(15,333,1,14,5,10,42,4,4),(15,333,1,14,6,44,49,7,2),(15,333,1,14,7,36,20,9,NULL),(15,333,1,14,8,30,60,7,3),(15,333,1,14,9,41,NULL,5,NULL),(15,333,1,14,10,64,15,10,NULL),(15,333,1,14,11,13,27,3,1),(15,333,1,14,12,6,21,2,3),(15,333,1,14,13,21,27,5,1),(15,333,1,14,14,55,49,10,1),(15,333,1,14,15,77,NULL,8,NULL),(15,333,1,14,16,15,20,2,2),(15,333,1,14,17,30,15,7,1),(15,333,1,14,18,14,17,6,2),(15,333,1,14,19,40,26,8,2),(15,333,1,14,20,38,35,6,4),(15,333,1,15,1,57,35,8,3),(15,333,1,15,2,39,37,6,2),(15,333,1,15,3,16,60,4,6),(15,333,1,15,4,28,33,8,2),(15,333,1,15,5,11,55,4,7),(15,333,1,15,6,45,48,2,6),(15,333,1,15,7,40,19,8,3),(15,333,1,15,8,26,59,5,6),(15,333,1,15,9,42,NULL,6,NULL),(15,333,1,15,10,58,17,10,1),(15,333,1,15,11,8,30,NULL,4),(15,333,1,15,12,12,26,5,3),(15,333,1,15,13,25,18,4,3),(15,333,1,15,14,46,52,8,4),(15,333,1,15,15,82,NULL,12,NULL),(15,333,1,15,16,8,23,5,2),(15,333,1,15,17,26,13,6,3),(15,333,1,15,18,11,27,3,1),(15,333,1,15,19,36,26,7,4),(15,333,1,15,20,54,24,8,3),(15,333,1,16,1,34,46,2,NULL),(15,333,1,16,2,14,22,NULL,1),(15,333,1,16,3,14,43,NULL,1),(15,333,1,16,4,16,29,NULL,1),(15,333,1,16,5,4,31,NULL,2),(15,333,1,16,6,47,27,1,2),(15,333,1,16,7,27,9,2,NULL),(15,333,1,16,8,19,50,1,1),(15,333,1,16,9,21,NULL,NULL,NULL),(15,333,1,16,10,47,4,1,NULL),(15,333,1,16,11,39,24,1,NULL),(15,333,1,16,12,32,54,NULL,3),(15,333,1,16,13,6,83,NULL,3),(15,333,1,16,14,22,34,NULL,1),(15,333,1,16,15,9,20,NULL,2),(15,333,1,16,16,27,NULL,2,NULL),(15,333,1,16,17,18,30,NULL,1),(15,333,1,16,18,19,50,NULL,1),(15,333,1,16,19,8,8,NULL,NULL),(15,333,1,16,20,23,49,2,NULL),(15,333,1,17,1,39,40,1,1),(15,333,1,17,2,17,19,1,NULL),(15,333,1,17,3,10,48,NULL,2),(15,333,1,17,4,14,35,NULL,1),(15,333,1,17,5,8,37,NULL,1),(15,333,1,17,6,41,31,2,NULL),(15,333,1,17,7,21,15,2,NULL),(15,333,1,17,8,23,52,2,NULL),(15,333,1,17,9,29,NULL,1,NULL),(15,333,1,17,10,42,20,NULL,NULL),(15,333,1,17,11,34,25,1,NULL),(15,333,1,17,12,19,69,1,1),(15,333,1,17,13,6,81,NULL,2),(15,333,1,17,14,28,32,NULL,1),(15,333,1,17,15,6,18,NULL,NULL),(15,333,1,17,16,27,NULL,1,NULL),(15,333,1,17,17,30,32,2,NULL),(15,333,1,17,18,20,49,NULL,NULL),(15,333,1,17,19,12,15,NULL,NULL),(15,333,1,17,20,27,62,1,1),(15,333,2,21,1,11,22,1,1),(15,333,2,21,2,4,10,NULL,1),(15,333,2,21,3,8,16,NULL,1),(15,333,2,21,4,9,12,1,1),(15,333,2,21,5,24,28,3,NULL),(15,333,2,21,6,18,14,2,NULL),(15,333,2,21,7,5,6,NULL,NULL),(15,333,2,21,8,6,NULL,NULL,NULL),(15,333,2,21,9,6,14,NULL,2),(15,333,2,21,10,10,8,1,NULL),(15,333,2,21,11,16,26,2,1),(15,333,2,21,12,36,37,4,NULL),(15,333,2,21,13,34,21,4,NULL),(15,333,2,21,14,12,23,1,2),(15,333,2,21,15,21,26,1,2),(15,333,2,21,16,51,49,4,1),(15,333,2,21,17,8,26,NULL,4),(15,333,2,21,18,24,20,NULL,1),(15,333,2,21,19,14,50,1,3),(15,333,2,21,20,18,35,2,1),(15,333,2,21,21,5,12,1,2),(15,333,2,21,22,36,21,1,NULL),(15,333,2,21,23,11,26,2,NULL),(15,333,2,21,24,8,28,NULL,3),(15,333,2,21,25,48,NULL,4,NULL),(15,333,2,21,26,10,23,NULL,NULL),(15,333,2,21,27,9,34,2,2),(15,333,2,21,28,6,22,NULL,2),(15,333,2,21,29,43,50,3,1),(15,333,2,21,30,7,22,2,NULL),(15,333,2,22,1,7,13,2,2),(15,333,2,22,2,4,6,2,NULL),(15,333,2,22,3,7,18,1,3),(15,333,2,22,4,12,8,3,2),(15,333,2,22,5,26,20,3,5),(15,333,2,22,6,27,11,4,2),(15,333,2,22,7,10,4,3,NULL),(15,333,2,22,8,10,NULL,2,NULL),(15,333,2,22,9,17,14,5,1),(15,333,2,22,10,16,8,4,1),(15,333,2,22,11,28,24,6,2),(15,333,2,22,12,40,41,2,4),(15,333,2,22,13,44,19,6,NULL),(15,333,2,22,14,5,27,1,4),(15,333,2,22,15,24,36,3,3),(15,333,2,22,16,60,35,7,1),(15,333,2,22,17,8,23,1,1),(15,333,2,22,18,29,19,3,3),(15,333,2,22,19,17,46,2,5),(15,333,2,22,20,23,31,5,2),(15,333,2,22,21,8,5,1,NULL),(15,333,2,22,22,33,29,4,2),(15,333,2,22,23,14,27,3,2),(15,333,2,22,24,13,40,2,2),(15,333,2,22,25,52,NULL,7,NULL),(15,333,2,22,26,11,17,1,1),(15,333,2,22,27,16,28,3,3),(15,333,2,22,28,14,18,1,4),(15,333,2,22,29,38,65,5,3),(15,333,2,22,30,7,23,2,2),(15,333,2,23,1,6,17,3,NULL),(15,333,2,23,2,7,7,2,1),(15,333,2,23,3,7,14,1,2),(15,333,2,23,4,5,10,1,2),(15,333,2,23,5,26,25,3,2),(15,333,2,23,6,32,8,5,NULL),(15,333,2,23,7,5,3,2,NULL),(15,333,2,23,8,7,NULL,1,NULL),(15,333,2,23,9,11,17,2,2),(15,333,2,23,10,8,6,1,NULL),(15,333,2,23,11,21,26,3,NULL),(15,333,2,23,12,31,33,2,4),(15,333,2,23,13,43,16,4,2),(15,333,2,23,14,6,24,1,2),(15,333,2,23,15,22,30,3,1),(15,333,2,23,16,52,38,5,2),(15,333,2,23,17,9,29,1,2),(15,333,2,23,18,34,19,2,2),(15,333,2,23,19,19,54,2,4),(15,333,2,23,20,20,36,2,4),(15,333,2,23,21,6,13,3,1),(15,333,2,23,22,33,19,2,1),(15,333,2,23,23,13,36,3,2),(15,333,2,23,24,5,34,2,3),(15,333,2,23,25,50,NULL,7,NULL),(15,333,2,23,26,9,30,1,1),(15,333,2,23,27,8,33,NULL,3),(15,333,2,23,28,10,26,1,2),(15,333,2,23,29,33,72,5,3),(15,333,2,23,30,5,18,1,2),(15,333,2,24,1,10,24,1,5),(15,333,2,24,2,12,10,4,1),(15,333,2,24,3,8,19,NULL,2),(15,333,2,24,4,15,15,4,1),(15,333,2,24,5,40,22,6,NULL),(15,333,2,24,6,14,22,2,1),(15,333,2,24,7,5,3,2,1),(15,333,2,24,8,9,NULL,2,NULL),(15,333,2,24,9,12,22,5,2),(15,333,2,24,10,22,13,5,NULL),(15,333,2,24,11,24,28,2,1),(15,333,2,24,12,31,36,3,3),(15,333,2,24,13,46,24,5,2),(15,333,2,24,14,10,28,2,4),(15,333,2,24,15,19,42,3,5),(15,333,2,24,16,57,44,6,3),(15,333,2,24,17,10,23,2,2),(15,333,2,24,18,36,26,5,1),(15,333,2,24,19,11,51,1,5),(15,333,2,24,20,27,28,8,1),(15,333,2,24,21,10,17,4,1),(15,333,2,24,22,37,22,6,NULL),(15,333,2,24,23,11,31,4,2),(15,333,2,24,24,13,37,6,2),(15,333,2,24,25,56,NULL,9,NULL),(15,333,2,24,26,13,24,2,4),(15,333,2,24,27,7,37,1,7),(15,333,2,24,28,11,31,4,5),(15,333,2,24,29,44,61,8,1),(15,333,2,24,30,15,26,4,4),(15,333,3,31,1,52,69,7,2),(15,333,3,31,2,4,46,NULL,8),(15,333,3,31,3,35,25,4,2),(15,333,3,31,4,40,24,6,2),(15,333,3,31,5,18,38,4,5),(15,333,3,31,6,4,51,NULL,5),(15,333,3,31,7,6,25,1,6),(15,333,3,31,8,7,12,5,2),(15,333,3,31,9,10,24,4,1),(15,333,3,31,10,6,26,NULL,6),(15,333,3,31,11,3,20,1,NULL),(15,333,3,31,12,24,38,4,3),(15,333,3,31,13,7,27,2,1),(15,333,3,31,14,24,21,6,1),(15,333,3,31,15,29,30,7,2),(15,333,3,31,16,16,29,1,5),(15,333,3,31,17,50,37,8,1),(15,333,3,31,18,17,27,1,4),(15,333,3,31,19,13,22,1,3),(15,333,3,31,20,9,22,1,3),(15,333,3,31,21,13,NULL,1,NULL),(15,333,3,31,22,11,19,3,2),(15,333,3,31,23,NULL,16,NULL,5),(15,333,3,31,24,4,57,2,7),(15,333,3,31,25,5,11,2,1),(15,333,3,31,26,5,16,1,2),(15,333,3,31,27,3,9,NULL,3),(15,333,3,31,28,1,8,NULL,3),(15,333,3,31,29,1,50,NULL,7),(15,333,3,31,30,4,45,1,4),(15,333,3,32,1,58,59,5,2),(15,333,3,32,2,5,32,3,1),(15,333,3,32,3,15,23,3,NULL),(15,333,3,32,4,37,15,4,1),(15,333,3,32,5,20,31,1,1),(15,333,3,32,6,6,42,NULL,5),(15,333,3,32,7,2,28,NULL,2),(15,333,3,32,8,2,8,1,NULL),(15,333,3,32,9,9,14,3,NULL),(15,333,3,32,10,17,23,2,3),(15,333,3,32,11,1,13,NULL,3),(15,333,3,32,12,29,32,4,2),(15,333,3,32,13,10,19,1,1),(15,333,3,32,14,32,14,2,2),(15,333,3,32,15,39,26,4,2),(15,333,3,32,16,10,27,1,2),(15,333,3,32,17,58,41,5,2),(15,333,3,32,18,11,21,4,NULL),(15,333,3,32,19,15,16,NULL,NULL),(15,333,3,32,20,4,25,NULL,5),(15,333,3,32,21,7,NULL,NULL,NULL),(15,333,3,32,22,5,26,3,NULL),(15,333,3,32,23,2,10,1,1),(15,333,3,32,24,6,49,1,5),(15,333,3,32,25,4,13,NULL,1),(15,333,3,32,26,4,7,NULL,1),(15,333,3,32,27,3,6,NULL,3),(15,333,3,32,28,3,8,NULL,NULL),(15,333,3,32,29,1,54,NULL,5),(15,333,3,32,30,3,35,1,1),(15,333,3,33,1,71,50,7,1),(15,333,3,33,2,4,31,2,6),(15,333,3,33,3,39,19,5,1),(15,333,3,33,4,42,23,6,2),(15,333,3,33,5,21,29,3,3),(15,333,3,33,6,9,57,1,6),(15,333,3,33,7,2,28,NULL,5),(15,333,3,33,8,3,6,1,1),(15,333,3,33,9,7,26,1,2),(15,333,3,33,10,9,24,2,1),(15,333,3,33,11,4,15,1,4),(15,333,3,33,12,26,38,4,3),(15,333,3,33,13,6,31,1,5),(15,333,3,33,14,18,17,4,1),(15,333,3,33,15,26,31,5,2),(15,333,3,33,16,18,24,3,3),(15,333,3,33,17,57,35,5,2),(15,333,3,33,18,6,25,2,2),(15,333,3,33,19,15,13,1,NULL),(15,333,3,33,20,5,30,NULL,4),(15,333,3,33,21,7,NULL,NULL,NULL),(15,333,3,33,22,6,20,4,2),(15,333,3,33,23,2,9,1,2),(15,333,3,33,24,9,42,3,4),(15,333,3,33,25,5,9,1,1),(15,333,3,33,26,1,19,1,2),(15,333,3,33,27,NULL,12,NULL,5),(15,333,3,33,28,3,7,1,NULL),(15,333,3,33,29,1,59,NULL,6),(15,333,3,33,30,7,35,3,2),(15,333,3,34,1,53,63,4,1),(15,333,3,34,2,3,41,NULL,3),(15,333,3,34,3,29,23,3,1),(15,333,3,34,4,33,20,2,NULL),(15,333,3,34,5,15,30,1,1),(15,333,3,34,6,7,52,NULL,2),(15,333,3,34,7,2,26,NULL,3),(15,333,3,34,8,5,7,NULL,1),(15,333,3,34,9,4,22,NULL,2),(15,333,3,34,10,16,20,2,NULL),(15,333,3,34,11,4,10,NULL,1),(15,333,3,34,12,19,32,3,2),(15,333,3,34,13,3,17,NULL,NULL),(15,333,3,34,14,23,20,3,NULL),(15,333,3,34,15,25,30,2,NULL),(15,333,3,34,16,9,28,1,3),(15,333,3,34,17,49,30,5,NULL),(15,333,3,34,18,7,26,NULL,3),(15,333,3,34,19,18,16,1,NULL),(15,333,3,34,20,7,20,2,NULL),(15,333,3,34,21,6,NULL,NULL,NULL),(15,333,3,34,22,5,14,NULL,NULL),(15,333,3,34,23,1,9,1,NULL),(15,333,3,34,24,10,50,2,1),(15,333,3,34,25,4,7,NULL,NULL),(15,333,3,34,26,4,11,1,NULL),(15,333,3,34,27,5,10,1,1),(15,333,3,34,28,1,6,NULL,1),(15,333,3,34,29,2,46,NULL,1),(15,333,3,34,30,7,36,3,NULL),(15,339,1,11,1,NULL,NULL,NULL,NULL),(15,339,1,11,2,NULL,NULL,NULL,NULL),(15,339,1,11,3,NULL,1,NULL,1),(15,339,1,11,4,NULL,NULL,NULL,NULL),(15,339,1,11,5,NULL,NULL,NULL,NULL),(15,339,1,11,6,1,NULL,1,NULL),(15,339,1,11,7,NULL,1,NULL,1),(15,339,1,11,8,NULL,NULL,NULL,NULL),(15,339,1,11,9,1,NULL,1,NULL),(15,339,1,11,10,1,NULL,1,NULL),(15,339,1,11,11,NULL,NULL,NULL,NULL),(15,339,1,11,12,NULL,NULL,NULL,NULL),(15,339,1,11,13,1,NULL,1,NULL),(15,339,1,11,14,1,NULL,1,NULL),(15,339,1,11,15,NULL,1,NULL,1),(15,339,1,11,16,1,NULL,1,NULL),(15,339,1,11,17,NULL,NULL,NULL,NULL),(15,339,1,11,18,1,NULL,1,NULL),(15,339,1,11,19,1,NULL,1,NULL),(15,339,1,11,20,1,NULL,1,NULL),(15,339,1,12,1,1,1,1,NULL),(15,339,1,12,2,2,1,1,NULL),(15,339,1,12,3,NULL,2,NULL,1),(15,339,1,12,4,NULL,2,NULL,1),(15,339,1,12,5,NULL,2,NULL,NULL),(15,339,1,12,6,NULL,2,NULL,NULL),(15,339,1,12,7,1,NULL,NULL,NULL),(15,339,1,12,8,NULL,4,NULL,1),(15,339,1,12,9,NULL,NULL,NULL,NULL),(15,339,1,12,10,1,NULL,NULL,NULL),(15,339,1,12,11,NULL,NULL,NULL,NULL),(15,339,1,12,12,NULL,2,NULL,1),(15,339,1,12,13,2,NULL,1,NULL),(15,339,1,12,14,NULL,3,NULL,1),(15,339,1,12,15,NULL,1,NULL,1),(15,339,1,12,16,1,1,1,NULL),(15,339,1,12,17,1,NULL,1,NULL),(15,339,1,12,18,2,NULL,1,NULL),(15,339,1,12,19,NULL,1,NULL,NULL),(15,339,1,12,20,NULL,NULL,NULL,NULL),(15,339,1,13,1,1,1,1,NULL),(15,339,1,13,2,NULL,1,NULL,NULL),(15,339,1,13,3,NULL,NULL,NULL,NULL),(15,339,1,13,4,NULL,1,NULL,1),(15,339,1,13,5,NULL,2,NULL,1),(15,339,1,13,6,NULL,1,NULL,1),(15,339,1,13,7,NULL,1,NULL,1),(15,339,1,13,8,1,1,1,NULL),(15,339,1,13,9,1,NULL,1,NULL),(15,339,1,13,10,1,1,NULL,1),(15,339,1,13,11,2,NULL,1,NULL),(15,339,1,13,12,2,NULL,1,NULL),(15,339,1,13,13,NULL,2,NULL,1),(15,339,1,13,14,1,NULL,1,NULL),(15,339,1,13,15,NULL,NULL,NULL,NULL),(15,339,1,13,16,1,NULL,NULL,NULL),(15,339,1,13,17,NULL,NULL,NULL,NULL),(15,339,1,13,18,NULL,1,NULL,1),(15,339,1,13,19,NULL,2,NULL,1),(15,339,1,13,20,1,NULL,NULL,NULL),(15,339,1,14,1,7,10,1,1),(15,339,1,14,2,4,7,2,2),(15,339,1,14,3,2,10,1,4),(15,339,1,14,4,3,7,1,4),(15,339,1,14,5,1,10,NULL,4),(15,339,1,14,6,10,9,2,3),(15,339,1,14,7,3,6,2,3),(15,339,1,14,8,4,9,1,3),(15,339,1,14,9,9,NULL,5,NULL),(15,339,1,14,10,6,2,2,1),(15,339,1,14,11,3,2,1,1),(15,339,1,14,12,NULL,1,NULL,NULL),(15,339,1,14,13,1,4,NULL,1),(15,339,1,14,14,3,15,1,4),(15,339,1,14,15,11,NULL,4,NULL),(15,339,1,14,16,NULL,7,NULL,2),(15,339,1,14,17,NULL,4,NULL,2),(15,339,1,14,18,2,3,1,1),(15,339,1,14,19,2,1,NULL,NULL),(15,339,1,14,20,1,5,NULL,3),(15,339,1,15,1,6,8,1,2),(15,339,1,15,2,4,4,3,NULL),(15,339,1,15,3,3,9,1,1),(15,339,1,15,4,3,6,1,NULL),(15,339,1,15,5,1,10,NULL,3),(15,339,1,15,6,7,7,NULL,2),(15,339,1,15,7,6,2,2,1),(15,339,1,15,8,6,11,NULL,4),(15,339,1,15,9,5,NULL,1,NULL),(15,339,1,15,10,9,2,1,NULL),(15,339,1,15,11,NULL,3,NULL,1),(15,339,1,15,12,NULL,2,NULL,NULL),(15,339,1,15,13,2,3,1,1),(15,339,1,15,14,2,20,1,3),(15,339,1,15,15,8,NULL,1,NULL),(15,339,1,15,16,3,4,NULL,1),(15,339,1,15,17,1,2,1,NULL),(15,339,1,15,18,NULL,NULL,NULL,NULL),(15,339,1,15,19,NULL,4,NULL,2),(15,339,1,15,20,2,5,1,NULL),(15,339,1,16,1,28,35,9,11),(15,339,1,16,2,9,23,2,11),(15,339,1,16,3,7,45,4,14),(15,339,1,16,4,11,23,6,10),(15,339,1,16,5,5,35,3,12),(15,339,1,16,6,27,30,4,9),(15,339,1,16,7,26,14,9,5),(15,339,1,16,8,15,43,3,13),(15,339,1,16,9,23,NULL,10,NULL),(15,339,1,16,10,30,13,10,5),(15,339,1,16,11,45,19,14,6),(15,339,1,16,12,24,44,5,17),(15,339,1,16,13,8,76,1,23),(15,339,1,16,14,22,23,3,9),(15,339,1,16,15,13,29,2,6),(15,339,1,16,16,23,NULL,9,NULL),(15,339,1,16,17,15,28,3,15),(15,339,1,16,18,13,47,1,14),(15,339,1,16,19,10,13,4,3),(15,339,1,16,20,13,47,4,13),(15,339,1,17,1,15,36,4,10),(15,339,1,17,2,5,18,4,6),(15,339,1,17,3,11,36,3,5),(15,339,1,17,4,12,31,3,11),(15,339,1,17,5,5,46,2,13),(15,339,1,17,6,22,28,7,7),(15,339,1,17,7,17,19,3,8),(15,339,1,17,8,12,49,2,13),(15,339,1,17,9,23,NULL,9,NULL),(15,339,1,17,10,31,22,5,7),(15,339,1,17,11,28,22,6,8),(15,339,1,17,12,18,41,8,12),(15,339,1,17,13,7,69,2,17),(15,339,1,17,14,14,38,2,10),(15,339,1,17,15,12,19,3,5),(15,339,1,17,16,25,NULL,7,NULL),(15,339,1,17,17,19,29,4,7),(15,339,1,17,18,10,43,2,13),(15,339,1,17,19,8,16,1,4),(15,339,1,17,20,16,44,5,11),(15,339,2,21,1,1,6,NULL,4),(15,339,2,21,2,1,9,1,3),(15,339,2,21,3,3,6,1,2),(15,339,2,21,4,1,10,NULL,3),(15,339,2,21,5,12,7,8,5),(15,339,2,21,6,12,11,4,4),(15,339,2,21,7,2,2,NULL,1),(15,339,2,21,8,1,NULL,1,NULL),(15,339,2,21,9,4,13,2,7),(15,339,2,21,10,4,4,3,2),(15,339,2,21,11,4,12,NULL,7),(15,339,2,21,12,12,18,3,12),(15,339,2,21,13,18,7,6,3),(15,339,2,21,14,3,15,2,7),(15,339,2,21,15,11,13,4,5),(15,339,2,21,16,18,35,3,13),(15,339,2,21,17,5,17,1,4),(15,339,2,21,18,16,9,8,5),(15,339,2,21,19,9,23,3,10),(15,339,2,21,20,8,11,1,6),(15,339,2,21,21,1,2,1,1),(15,339,2,21,22,9,20,3,9),(15,339,2,21,23,2,15,1,7),(15,339,2,21,24,5,12,3,5),(15,339,2,21,25,16,NULL,12,NULL),(15,339,2,21,26,3,11,NULL,2),(15,339,2,21,27,2,11,1,5),(15,339,2,21,28,3,9,1,3),(15,339,2,21,29,14,32,6,11),(15,339,2,21,30,2,7,NULL,4),(15,339,2,22,1,3,5,1,NULL),(15,339,2,22,2,NULL,5,NULL,1),(15,339,2,22,3,6,13,3,4),(15,339,2,22,4,2,8,2,2),(15,339,2,22,5,13,9,7,5),(15,339,2,22,6,7,21,1,7),(15,339,2,22,7,2,NULL,1,NULL),(15,339,2,22,8,5,NULL,1,NULL),(15,339,2,22,9,4,8,1,3),(15,339,2,22,10,2,3,NULL,3),(15,339,2,22,11,4,12,NULL,4),(15,339,2,22,12,21,16,9,7),(15,339,2,22,13,15,14,6,4),(15,339,2,22,14,1,9,NULL,3),(15,339,2,22,15,8,15,5,3),(15,339,2,22,16,29,20,9,6),(15,339,2,22,17,NULL,11,NULL,4),(15,339,2,22,18,14,9,7,2),(15,339,2,22,19,4,25,1,7),(15,339,2,22,20,2,12,1,4),(15,339,2,22,21,NULL,6,NULL,3),(15,339,2,22,22,4,12,2,5),(15,339,2,22,23,3,11,1,4),(15,339,2,22,24,4,9,1,1),(15,339,2,22,25,14,NULL,5,NULL),(15,339,2,22,26,4,16,1,3),(15,339,2,22,27,5,14,2,3),(15,339,2,22,28,4,11,NULL,2),(15,339,2,22,29,15,27,5,10),(15,339,2,22,30,4,5,2,NULL),(15,339,2,23,1,NULL,3,NULL,2),(15,339,2,23,2,2,3,NULL,NULL),(15,339,2,23,3,1,11,1,2),(15,339,2,23,4,2,5,2,3),(15,339,2,23,5,6,11,1,6),(15,339,2,23,6,7,6,2,1),(15,339,2,23,7,1,2,NULL,NULL),(15,339,2,23,8,6,NULL,1,NULL),(15,339,2,23,9,2,8,1,3),(15,339,2,23,10,2,4,1,1),(15,339,2,23,11,7,6,NULL,4),(15,339,2,23,12,11,8,5,5),(15,339,2,23,13,10,8,4,3),(15,339,2,23,14,2,11,NULL,4),(15,339,2,23,15,7,15,1,7),(15,339,2,23,16,20,24,5,4),(15,339,2,23,17,2,12,NULL,NULL),(15,339,2,23,18,14,9,6,2),(15,339,2,23,19,2,21,1,3),(15,339,2,23,20,4,10,3,1),(15,339,2,23,21,NULL,5,NULL,1),(15,339,2,23,22,5,8,4,3),(15,339,2,23,23,4,11,1,3),(15,339,2,23,24,3,9,1,4),(15,339,2,23,25,10,NULL,5,NULL),(15,339,2,23,26,5,10,NULL,4),(15,339,2,23,27,7,14,NULL,2),(15,339,2,23,28,6,13,1,5),(15,339,2,23,29,11,25,2,8),(15,339,2,23,30,1,9,NULL,2),(15,339,2,24,1,NULL,2,NULL,1),(15,339,2,24,2,NULL,3,NULL,2),(15,339,2,24,3,1,7,NULL,2),(15,339,2,24,4,2,4,NULL,1),(15,339,2,24,5,9,9,2,3),(15,339,2,24,6,5,8,2,2),(15,339,2,24,7,1,NULL,NULL,NULL),(15,339,2,24,8,7,NULL,2,NULL),(15,339,2,24,9,2,12,1,3),(15,339,2,24,10,1,2,NULL,NULL),(15,339,2,24,11,4,11,2,1),(15,339,2,24,12,11,12,3,2),(15,339,2,24,13,12,9,4,1),(15,339,2,24,14,NULL,7,NULL,1),(15,339,2,24,15,5,11,1,2),(15,339,2,24,16,16,21,5,2),(15,339,2,24,17,3,12,1,4),(15,339,2,24,18,12,8,5,2),(15,339,2,24,19,6,15,NULL,4),(15,339,2,24,20,3,15,1,1),(15,339,2,24,21,NULL,3,NULL,1),(15,339,2,24,22,10,13,3,4),(15,339,2,24,23,1,11,1,3),(15,339,2,24,24,NULL,5,NULL,3),(15,339,2,24,25,12,NULL,5,NULL),(15,339,2,24,26,6,9,1,NULL),(15,339,2,24,27,NULL,8,NULL,2),(15,339,2,24,28,4,4,NULL,1),(15,339,2,24,29,7,32,NULL,9),(15,339,2,24,30,1,8,NULL,NULL),(15,339,3,31,1,26,27,5,4),(15,339,3,31,2,NULL,6,NULL,2),(15,339,3,31,3,6,7,2,1),(15,339,3,31,4,4,6,3,NULL),(15,339,3,31,5,7,17,3,4),(15,339,3,31,6,1,14,NULL,3),(15,339,3,31,7,2,9,NULL,2),(15,339,3,31,8,1,2,NULL,1),(15,339,3,31,9,1,7,NULL,1),(15,339,3,31,10,2,9,NULL,4),(15,339,3,31,11,1,9,NULL,1),(15,339,3,31,12,8,14,5,4),(15,339,3,31,13,1,11,1,3),(15,339,3,31,14,3,10,2,2),(15,339,3,31,15,11,10,1,1),(15,339,3,31,16,7,6,2,NULL),(15,339,3,31,17,15,22,2,3),(15,339,3,31,18,1,11,NULL,2),(15,339,3,31,19,4,10,NULL,2),(15,339,3,31,20,3,10,NULL,3),(15,339,3,31,21,3,NULL,NULL,NULL),(15,339,3,31,22,NULL,3,NULL,2),(15,339,3,31,23,NULL,2,NULL,1),(15,339,3,31,24,NULL,15,NULL,5),(15,339,3,31,25,2,7,NULL,1),(15,339,3,31,26,NULL,1,NULL,NULL),(15,339,3,31,27,1,NULL,NULL,NULL),(15,339,3,31,28,NULL,2,NULL,1),(15,339,3,31,29,NULL,13,NULL,2),(15,339,3,31,30,NULL,16,NULL,NULL),(15,339,3,32,1,31,30,7,5),(15,339,3,32,2,1,7,NULL,5),(15,339,3,32,3,7,7,2,1),(15,339,3,32,4,7,6,5,2),(15,339,3,32,5,1,10,NULL,4),(15,339,3,32,6,1,20,1,6),(15,339,3,32,7,1,6,1,2),(15,339,3,32,8,NULL,3,NULL,1),(15,339,3,32,9,NULL,3,NULL,3),(15,339,3,32,10,2,8,1,3),(15,339,3,32,11,1,7,1,4),(15,339,3,32,12,10,17,3,4),(15,339,3,32,13,NULL,11,NULL,2),(15,339,3,32,14,5,5,4,3),(15,339,3,32,15,10,9,4,3),(15,339,3,32,16,3,9,1,5),(15,339,3,32,17,16,16,8,4),(15,339,3,32,18,2,11,2,3),(15,339,3,32,19,9,13,NULL,3),(15,339,3,32,20,2,10,1,1),(15,339,3,32,21,3,NULL,NULL,NULL),(15,339,3,32,22,2,6,NULL,1),(15,339,3,32,23,2,5,1,1),(15,339,3,32,24,NULL,15,NULL,5),(15,339,3,32,25,NULL,3,NULL,NULL),(15,339,3,32,26,NULL,4,NULL,1),(15,339,3,32,27,NULL,3,NULL,1),(15,339,3,32,28,1,2,NULL,NULL),(15,339,3,32,29,NULL,11,NULL,2),(15,339,3,32,30,2,17,1,4),(15,339,3,33,1,23,36,7,12),(15,339,3,33,2,NULL,10,NULL,4),(15,339,3,33,3,8,16,2,8),(15,339,3,33,4,11,11,5,3),(15,339,3,33,5,6,12,2,3),(15,339,3,33,6,3,23,1,5),(15,339,3,33,7,NULL,2,NULL,1),(15,339,3,33,8,1,2,NULL,1),(15,339,3,33,9,NULL,8,NULL,2),(15,339,3,33,10,4,11,NULL,4),(15,339,3,33,11,NULL,7,NULL,4),(15,339,3,33,12,13,16,3,8),(15,339,3,33,13,4,13,NULL,4),(15,339,3,33,14,3,6,2,3),(15,339,3,33,15,9,17,2,10),(15,339,3,33,16,3,9,2,5),(15,339,3,33,17,14,24,6,8),(15,339,3,33,18,6,10,5,3),(15,339,3,33,19,13,10,5,3),(15,339,3,33,20,NULL,11,NULL,4),(15,339,3,33,21,1,NULL,1,NULL),(15,339,3,33,22,NULL,8,NULL,3),(15,339,3,33,23,NULL,10,NULL,4),(15,339,3,33,24,NULL,17,NULL,4),(15,339,3,33,25,1,5,NULL,1),(15,339,3,33,26,NULL,7,NULL,2),(15,339,3,33,27,NULL,3,NULL,1),(15,339,3,33,28,NULL,3,NULL,1),(15,339,3,33,29,NULL,21,NULL,8),(15,339,3,33,30,NULL,18,NULL,5),(15,339,3,34,1,20,51,6,14),(15,339,3,34,2,NULL,13,NULL,7),(15,339,3,34,3,9,12,4,3),(15,339,3,34,4,10,12,5,6),(15,339,3,34,5,4,15,1,8),(15,339,3,34,6,NULL,25,NULL,6),(15,339,3,34,7,NULL,13,NULL,7),(15,339,3,34,8,1,2,NULL,2),(15,339,3,34,9,2,8,NULL,2),(15,339,3,34,10,3,15,NULL,5),(15,339,3,34,11,1,5,NULL,2),(15,339,3,34,12,11,15,3,7),(15,339,3,34,13,2,23,NULL,7),(15,339,3,34,14,5,9,2,6),(15,339,3,34,15,13,15,5,6),(15,339,3,34,16,4,17,1,8),(15,339,3,34,17,14,26,3,12),(15,339,3,34,18,3,13,1,3),(15,339,3,34,19,7,7,2,3),(15,339,3,34,20,3,8,2,2),(15,339,3,34,21,4,NULL,2,NULL),(15,339,3,34,22,1,12,1,3),(15,339,3,34,23,3,2,NULL,1),(15,339,3,34,24,NULL,20,NULL,8),(15,339,3,34,25,1,6,1,2),(15,339,3,34,26,3,3,NULL,NULL),(15,339,3,34,27,2,3,NULL,NULL),(15,339,3,34,28,NULL,6,NULL,1),(15,339,3,34,29,NULL,19,NULL,9),(15,339,3,34,30,1,21,NULL,6),(15,404,1,11,1,1,NULL,1,NULL),(15,404,1,11,2,NULL,NULL,NULL,NULL),(15,404,1,11,3,NULL,1,NULL,1),(15,404,1,11,4,NULL,1,NULL,1),(15,404,1,11,5,1,NULL,1,NULL),(15,404,1,11,6,NULL,NULL,NULL,NULL),(15,404,1,11,7,1,NULL,1,NULL),(15,404,1,11,8,1,NULL,1,NULL),(15,404,1,11,9,NULL,NULL,NULL,NULL),(15,404,1,11,10,1,NULL,1,NULL),(15,404,1,11,11,NULL,NULL,NULL,NULL),(15,404,1,11,12,NULL,1,NULL,1),(15,404,1,11,13,1,NULL,1,NULL),(15,404,1,11,14,NULL,NULL,NULL,NULL),(15,404,1,11,15,NULL,NULL,NULL,NULL),(15,404,1,11,16,1,NULL,1,NULL),(15,404,1,11,17,1,NULL,1,NULL),(15,404,1,11,18,NULL,NULL,NULL,NULL),(15,404,1,11,19,1,NULL,1,NULL),(15,404,1,11,20,1,NULL,1,NULL),(15,404,1,12,1,1,NULL,1,NULL),(15,404,1,12,2,NULL,NULL,NULL,NULL),(15,404,1,12,3,NULL,NULL,NULL,NULL),(15,404,1,12,4,NULL,NULL,NULL,NULL),(15,404,1,12,5,NULL,NULL,NULL,NULL),(15,404,1,12,6,1,NULL,1,NULL),(15,404,1,12,7,NULL,NULL,NULL,NULL),(15,404,1,12,8,NULL,1,NULL,1),(15,404,1,12,9,NULL,NULL,NULL,NULL),(15,404,1,12,10,1,NULL,1,NULL),(15,404,1,12,11,1,NULL,1,NULL),(15,404,1,12,12,NULL,1,NULL,1),(15,404,1,12,13,1,NULL,1,NULL),(15,404,1,12,14,1,NULL,1,NULL),(15,404,1,12,15,1,NULL,1,NULL),(15,404,1,12,16,1,NULL,1,NULL),(15,404,1,12,17,1,NULL,1,NULL),(15,404,1,12,18,1,NULL,1,NULL),(15,404,1,12,19,1,NULL,1,NULL),(15,404,1,12,20,NULL,NULL,NULL,NULL),(15,404,1,13,1,NULL,NULL,NULL,NULL),(15,404,1,13,2,NULL,NULL,NULL,NULL),(15,404,1,13,3,NULL,NULL,NULL,NULL),(15,404,1,13,4,NULL,NULL,NULL,NULL),(15,404,1,13,5,NULL,NULL,NULL,NULL),(15,404,1,13,6,NULL,NULL,NULL,NULL),(15,404,1,13,7,NULL,NULL,NULL,NULL),(15,404,1,13,8,NULL,NULL,NULL,NULL),(15,404,1,13,9,1,NULL,NULL,NULL),(15,404,1,13,10,NULL,1,NULL,NULL),(15,404,1,13,11,NULL,NULL,NULL,NULL),(15,404,1,13,12,NULL,NULL,NULL,NULL),(15,404,1,13,13,NULL,NULL,NULL,NULL),(15,404,1,13,14,NULL,NULL,NULL,NULL),(15,404,1,13,15,NULL,1,NULL,NULL),(15,404,1,13,16,NULL,NULL,NULL,NULL),(15,404,1,13,17,NULL,NULL,NULL,NULL),(15,404,1,13,18,NULL,NULL,NULL,NULL),(15,404,1,13,19,NULL,1,NULL,NULL),(15,404,1,13,20,NULL,1,NULL,NULL),(15,404,1,14,1,19,24,5,3),(15,404,1,14,2,7,11,4,3),(15,404,1,14,3,12,25,3,6),(15,404,1,14,4,11,19,3,3),(15,404,1,14,5,5,22,1,6),(15,404,1,14,6,14,22,4,3),(15,404,1,14,7,21,7,7,1),(15,404,1,14,8,12,31,2,8),(15,404,1,14,9,16,NULL,6,NULL),(15,404,1,14,10,19,11,4,2),(15,404,1,14,11,5,13,3,5),(15,404,1,14,12,2,7,NULL,4),(15,404,1,14,13,5,12,2,4),(15,404,1,14,14,15,32,6,2),(15,404,1,14,15,27,NULL,8,NULL),(15,404,1,14,16,7,5,3,2),(15,404,1,14,17,7,8,3,2),(15,404,1,14,18,2,8,NULL,3),(15,404,1,14,19,11,13,4,3),(15,404,1,14,20,12,9,6,1),(15,404,1,15,1,20,18,5,5),(15,404,1,15,2,8,18,NULL,5),(15,404,1,15,3,3,31,NULL,7),(15,404,1,15,4,9,13,4,3),(15,404,1,15,5,3,29,2,6),(15,404,1,15,6,19,20,4,5),(15,404,1,15,7,16,7,6,2),(15,404,1,15,8,11,24,1,5),(15,404,1,15,9,16,NULL,4,NULL),(15,404,1,15,10,24,7,2,2),(15,404,1,15,11,1,8,NULL,2),(15,404,1,15,12,1,6,NULL,1),(15,404,1,15,13,6,10,1,7),(15,404,1,15,14,17,27,4,5),(15,404,1,15,15,28,NULL,9,NULL),(15,404,1,15,16,3,5,1,2),(15,404,1,15,17,7,8,3,2),(15,404,1,15,18,3,7,1,2),(15,404,1,15,19,8,9,3,3),(15,404,1,15,20,14,10,4,5),(15,404,1,16,1,36,40,5,8),(15,404,1,16,2,14,24,5,7),(15,404,1,16,3,16,53,4,12),(15,404,1,16,4,17,33,6,8),(15,404,1,16,5,7,47,4,11),(15,404,1,16,6,32,50,6,10),(15,404,1,16,7,29,15,7,6),(15,404,1,16,8,13,54,3,8),(15,404,1,16,9,29,NULL,11,NULL),(15,404,1,16,10,44,15,11,4),(15,404,1,16,11,48,24,11,7),(15,404,1,16,12,43,50,15,5),(15,404,1,16,13,12,89,1,18),(15,404,1,16,14,28,41,2,14),(15,404,1,16,15,19,23,3,3),(15,404,1,16,16,32,NULL,8,NULL),(15,404,1,16,17,27,35,4,11),(15,404,1,16,18,23,43,5,9),(15,404,1,16,19,13,16,2,2),(15,404,1,16,20,26,47,3,6),(15,404,1,17,1,32,32,7,2),(15,404,1,17,2,13,25,3,5),(15,404,1,17,3,6,50,2,8),(15,404,1,17,4,16,31,4,7),(15,404,1,17,5,6,46,NULL,8),(15,404,1,17,6,28,42,4,7),(15,404,1,17,7,30,14,2,6),(15,404,1,17,8,12,62,1,7),(15,404,1,17,9,34,NULL,11,NULL),(15,404,1,17,10,39,20,6,5),(15,404,1,17,11,35,35,4,8),(15,404,1,17,12,22,58,6,8),(15,404,1,17,13,11,88,2,13),(15,404,1,17,14,27,37,5,5),(15,404,1,17,15,12,26,3,4),(15,404,1,17,16,25,NULL,8,NULL),(15,404,1,17,17,23,31,4,8),(15,404,1,17,18,17,51,2,7),(15,404,1,17,19,10,15,2,3),(15,404,1,17,20,15,49,4,6),(15,404,2,21,1,1,17,NULL,4),(15,404,2,21,2,2,2,NULL,NULL),(15,404,2,21,3,4,10,NULL,2),(15,404,2,21,4,5,10,1,1),(15,404,2,21,5,16,12,6,NULL),(15,404,2,21,6,19,10,2,4),(15,404,2,21,7,5,NULL,2,NULL),(15,404,2,21,8,7,NULL,1,NULL),(15,404,2,21,9,3,8,1,1),(15,404,2,21,10,9,6,4,1),(15,404,2,21,11,8,25,1,3),(15,404,2,21,12,23,28,3,7),(15,404,2,21,13,21,12,4,4),(15,404,2,21,14,6,25,NULL,4),(15,404,2,21,15,9,23,1,4),(15,404,2,21,16,31,39,3,6),(15,404,2,21,17,5,18,NULL,4),(15,404,2,21,18,18,20,3,3),(15,404,2,21,19,10,25,NULL,3),(15,404,2,21,20,6,19,1,2),(15,404,2,21,21,1,7,NULL,1),(15,404,2,21,22,23,17,6,3),(15,404,2,21,23,6,19,1,6),(15,404,2,21,24,6,17,1,4),(15,404,2,21,25,35,NULL,9,NULL),(15,404,2,21,26,8,22,1,2),(15,404,2,21,27,5,15,NULL,3),(15,404,2,21,28,11,15,1,5),(15,404,2,21,29,11,52,3,8),(15,404,2,21,30,6,10,1,4),(15,404,2,22,1,4,11,2,3),(15,404,2,22,2,NULL,5,NULL,2),(15,404,2,22,3,5,10,NULL,3),(15,404,2,22,4,4,11,1,2),(15,404,2,22,5,15,20,6,4),(15,404,2,22,6,12,9,2,2),(15,404,2,22,7,2,2,NULL,1),(15,404,2,22,8,7,NULL,2,NULL),(15,404,2,22,9,5,12,3,6),(15,404,2,22,10,7,7,3,NULL),(15,404,2,22,11,13,15,4,5),(15,404,2,22,12,26,29,5,7),(15,404,2,22,13,30,18,6,5),(15,404,2,22,14,3,21,NULL,5),(15,404,2,22,15,13,18,6,6),(15,404,2,22,16,31,42,8,5),(15,404,2,22,17,4,21,2,5),(15,404,2,22,18,14,20,4,6),(15,404,2,22,19,19,31,2,7),(15,404,2,22,20,13,21,5,4),(15,404,2,22,21,2,6,NULL,1),(15,404,2,22,22,29,20,10,2),(15,404,2,22,23,5,31,NULL,9),(15,404,2,22,24,4,21,2,6),(15,404,2,22,25,29,NULL,8,NULL),(15,404,2,22,26,6,20,2,5),(15,404,2,22,27,9,24,1,7),(15,404,2,22,28,4,16,1,3),(15,404,2,22,29,26,45,5,10),(15,404,2,22,30,2,7,NULL,3),(15,404,2,23,1,8,8,4,3),(15,404,2,23,2,3,3,1,1),(15,404,2,23,3,4,13,1,4),(15,404,2,23,4,7,8,1,2),(15,404,2,23,5,15,17,7,4),(15,404,2,23,6,19,11,5,1),(15,404,2,23,7,5,1,4,NULL),(15,404,2,23,8,6,NULL,3,NULL),(15,404,2,23,9,3,7,1,2),(15,404,2,23,10,8,5,1,1),(15,404,2,23,11,7,27,3,9),(15,404,2,23,12,20,30,4,9),(15,404,2,23,13,26,13,10,3),(15,404,2,23,14,5,19,1,5),(15,404,2,23,15,15,21,4,4),(15,404,2,23,16,26,38,4,9),(15,404,2,23,17,8,22,5,4),(15,404,2,23,18,28,14,7,4),(15,404,2,23,19,3,34,NULL,11),(15,404,2,23,20,11,23,6,4),(15,404,2,23,21,1,7,1,NULL),(15,404,2,23,22,23,16,11,4),(15,404,2,23,23,7,19,NULL,5),(15,404,2,23,24,3,19,3,5),(15,404,2,23,25,26,NULL,12,NULL),(15,404,2,23,26,7,16,NULL,2),(15,404,2,23,27,3,20,1,7),(15,404,2,23,28,10,11,3,3),(15,404,2,23,29,18,48,6,8),(15,404,2,23,30,2,11,NULL,2),(15,404,2,24,1,3,10,1,3),(15,404,2,24,2,NULL,8,NULL,2),(15,404,2,24,3,5,10,1,2),(15,404,2,24,4,2,6,NULL,3),(15,404,2,24,5,13,15,4,3),(15,404,2,24,6,9,18,3,5),(15,404,2,24,7,4,2,3,NULL),(15,404,2,24,8,9,NULL,NULL,NULL),(15,404,2,24,9,2,12,2,5),(15,404,2,24,10,9,12,4,6),(15,404,2,24,11,9,17,4,2),(15,404,2,24,12,28,29,4,8),(15,404,2,24,13,30,14,6,5),(15,404,2,24,14,4,23,1,5),(15,404,2,24,15,15,19,2,3),(15,404,2,24,16,29,41,5,7),(15,404,2,24,17,2,17,NULL,3),(15,404,2,24,18,19,20,3,7),(15,404,2,24,19,3,34,1,8),(15,404,2,24,20,6,25,3,6),(15,404,2,24,21,1,10,1,4),(15,404,2,24,22,22,24,5,5),(15,404,2,24,23,10,21,2,4),(15,404,2,24,24,5,21,2,7),(15,404,2,24,25,29,NULL,8,NULL),(15,404,2,24,26,6,23,1,4),(15,404,2,24,27,6,25,1,7),(15,404,2,24,28,6,17,1,6),(15,404,2,24,29,27,49,5,10),(15,404,2,24,30,3,7,1,2),(15,404,3,31,1,36,48,6,9),(15,404,3,31,2,NULL,14,NULL,4),(15,404,3,31,3,18,16,7,5),(15,404,3,31,4,20,11,9,1),(15,404,3,31,5,13,25,3,6),(15,404,3,31,6,2,33,NULL,7),(15,404,3,31,7,NULL,11,NULL,4),(15,404,3,31,8,2,5,2,1),(15,404,3,31,9,2,7,2,4),(15,404,3,31,10,4,9,1,4),(15,404,3,31,11,1,11,NULL,2),(15,404,3,31,12,13,29,3,10),(15,404,3,31,13,3,15,NULL,5),(15,404,3,31,14,12,17,5,5),(15,404,3,31,15,15,25,4,7),(15,404,3,31,16,4,20,NULL,4),(15,404,3,31,17,36,30,7,4),(15,404,3,31,18,9,9,3,3),(15,404,3,31,19,12,10,3,3),(15,404,3,31,20,2,13,1,4),(15,404,3,31,21,6,NULL,4,NULL),(15,404,3,31,22,2,12,NULL,3),(15,404,3,31,23,NULL,6,NULL,NULL),(15,404,3,31,24,1,28,1,7),(15,404,3,31,25,2,8,2,3),(15,404,3,31,26,2,5,NULL,1),(15,404,3,31,27,1,5,NULL,NULL),(15,404,3,31,28,3,4,NULL,NULL),(15,404,3,31,29,NULL,37,NULL,8),(15,404,3,31,30,3,21,2,6),(15,404,3,32,1,39,44,10,7),(15,404,3,32,2,1,20,NULL,8),(15,404,3,32,3,11,16,5,4),(15,404,3,32,4,17,15,6,5),(15,404,3,32,5,13,16,4,5),(15,404,3,32,6,2,37,NULL,10),(15,404,3,32,7,NULL,20,NULL,8),(15,404,3,32,8,2,2,1,1),(15,404,3,32,9,NULL,18,NULL,8),(15,404,3,32,10,8,16,3,3),(15,404,3,32,11,3,12,NULL,4),(15,404,3,32,12,14,27,3,5),(15,404,3,32,13,6,17,3,4),(15,404,3,32,14,19,13,5,5),(15,404,3,32,15,20,21,8,4),(15,404,3,32,16,6,18,2,7),(15,404,3,32,17,35,28,11,2),(15,404,3,32,18,10,26,2,7),(15,404,3,32,19,16,14,6,2),(15,404,3,32,20,4,19,2,4),(15,404,3,32,21,3,NULL,1,NULL),(15,404,3,32,22,4,16,2,6),(15,404,3,32,23,1,7,NULL,2),(15,404,3,32,24,3,31,1,10),(15,404,3,32,25,NULL,4,NULL,NULL),(15,404,3,32,26,2,9,1,2),(15,404,3,32,27,2,10,1,3),(15,404,3,32,28,1,5,NULL,NULL),(15,404,3,32,29,NULL,37,NULL,8),(15,404,3,32,30,NULL,24,NULL,6),(15,404,3,33,1,48,49,8,6),(15,404,3,33,2,1,9,NULL,3),(15,404,3,33,3,18,22,4,6),(15,404,3,33,4,18,11,7,3),(15,404,3,33,5,13,23,6,6),(15,404,3,33,6,4,42,NULL,10),(15,404,3,33,7,1,12,1,1),(15,404,3,33,8,2,2,2,NULL),(15,404,3,33,9,2,11,NULL,5),(15,404,3,33,10,4,10,2,1),(15,404,3,33,11,NULL,12,NULL,1),(15,404,3,33,12,14,26,6,4),(15,404,3,33,13,9,26,3,9),(15,404,3,33,14,5,6,3,2),(15,404,3,33,15,21,17,6,3),(15,404,3,33,16,8,21,2,7),(15,404,3,33,17,37,28,7,7),(15,404,3,33,18,6,17,2,2),(15,404,3,33,19,10,15,4,4),(15,404,3,33,20,1,13,1,1),(15,404,3,33,21,8,NULL,2,NULL),(15,404,3,33,22,3,14,1,4),(15,404,3,33,23,NULL,7,NULL,1),(15,404,3,33,24,4,35,NULL,11),(15,404,3,33,25,NULL,12,NULL,3),(15,404,3,33,26,1,9,NULL,1),(15,404,3,33,27,1,6,NULL,1),(15,404,3,33,28,1,5,1,NULL),(15,404,3,33,29,NULL,32,NULL,11),(15,404,3,33,30,3,23,NULL,5),(15,404,3,34,1,43,46,6,5),(15,404,3,34,2,1,25,NULL,5),(15,404,3,34,3,18,10,4,2),(15,404,3,34,4,15,13,8,2),(15,404,3,34,5,9,23,2,7),(15,404,3,34,6,4,36,NULL,5),(15,404,3,34,7,NULL,17,NULL,5),(15,404,3,34,8,1,5,NULL,2),(15,404,3,34,9,2,7,1,1),(15,404,3,34,10,7,11,NULL,4),(15,404,3,34,11,1,4,NULL,NULL),(15,404,3,34,12,16,16,3,6),(15,404,3,34,13,NULL,18,NULL,5),(15,404,3,34,14,14,9,4,4),(15,404,3,34,15,21,13,5,3),(15,404,3,34,16,7,20,2,3),(15,404,3,34,17,33,26,4,4),(15,404,3,34,18,4,20,NULL,1),(15,404,3,34,19,15,10,1,2),(15,404,3,34,20,3,18,NULL,1),(15,404,3,34,21,3,NULL,NULL,NULL),(15,404,3,34,22,1,10,NULL,2),(15,404,3,34,23,1,10,NULL,NULL),(15,404,3,34,24,1,33,NULL,7),(15,404,3,34,25,1,6,NULL,1),(15,404,3,34,26,1,15,NULL,2),(15,404,3,34,27,NULL,7,NULL,1),(15,404,3,34,28,1,5,NULL,1),(15,404,3,34,29,NULL,35,NULL,5),(15,404,3,34,30,NULL,37,NULL,4),(15,415,1,11,1,NULL,NULL,NULL,NULL),(15,415,1,11,2,NULL,NULL,NULL,NULL),(15,415,1,11,3,NULL,NULL,NULL,NULL),(15,415,1,11,4,NULL,NULL,NULL,NULL),(15,415,1,11,5,NULL,NULL,NULL,NULL),(15,415,1,11,6,NULL,NULL,NULL,NULL),(15,415,1,11,7,NULL,NULL,NULL,NULL),(15,415,1,11,8,NULL,NULL,NULL,NULL),(15,415,1,11,9,NULL,NULL,NULL,NULL),(15,415,1,11,10,NULL,NULL,NULL,NULL),(15,415,1,11,11,NULL,NULL,NULL,NULL),(15,415,1,11,12,NULL,NULL,NULL,NULL),(15,415,1,11,13,NULL,NULL,NULL,NULL),(15,415,1,11,14,NULL,NULL,NULL,NULL),(15,415,1,11,15,NULL,NULL,NULL,NULL),(15,415,1,11,16,NULL,NULL,NULL,NULL),(15,415,1,11,17,NULL,NULL,NULL,NULL),(15,415,1,11,18,NULL,NULL,NULL,NULL),(15,415,1,11,19,NULL,NULL,NULL,NULL),(15,415,1,11,20,NULL,NULL,NULL,NULL),(15,415,1,12,1,5,NULL,1,NULL),(15,415,1,12,2,1,3,1,NULL),(15,415,1,12,3,2,2,1,NULL),(15,415,1,12,4,4,1,NULL,1),(15,415,1,12,5,2,1,1,NULL),(15,415,1,12,6,4,1,1,NULL),(15,415,1,12,7,3,NULL,1,NULL),(15,415,1,12,8,2,1,NULL,NULL),(15,415,1,12,9,2,NULL,1,NULL),(15,415,1,12,10,2,2,NULL,NULL),(15,415,1,12,11,2,NULL,NULL,NULL),(15,415,1,12,12,2,3,NULL,1),(15,415,1,12,13,4,1,1,NULL),(15,415,1,12,14,4,NULL,1,NULL),(15,415,1,12,15,3,NULL,1,NULL),(15,415,1,12,16,4,1,1,NULL),(15,415,1,12,17,4,NULL,1,NULL),(15,415,1,12,18,5,NULL,1,NULL),(15,415,1,12,19,3,NULL,1,NULL),(15,415,1,12,20,2,NULL,1,NULL),(15,415,1,13,1,1,1,1,NULL),(15,415,1,13,2,NULL,1,NULL,1),(15,415,1,13,3,NULL,2,NULL,1),(15,415,1,13,4,NULL,2,NULL,1),(15,415,1,13,5,1,1,NULL,1),(15,415,1,13,6,2,NULL,1,NULL),(15,415,1,13,7,1,1,NULL,1),(15,415,1,13,8,1,1,NULL,1),(15,415,1,13,9,1,NULL,1,NULL),(15,415,1,13,10,NULL,NULL,NULL,NULL),(15,415,1,13,11,1,1,1,NULL),(15,415,1,13,12,2,NULL,1,NULL),(15,415,1,13,13,NULL,NULL,NULL,NULL),(15,415,1,13,14,1,NULL,1,NULL),(15,415,1,13,15,1,1,1,NULL),(15,415,1,13,16,2,NULL,1,NULL),(15,415,1,13,17,1,NULL,1,NULL),(15,415,1,13,18,NULL,1,NULL,1),(15,415,1,13,19,1,NULL,1,NULL),(15,415,1,13,20,1,NULL,1,NULL),(15,415,1,14,1,113,47,13,2),(15,415,1,14,2,61,49,12,6),(15,415,1,14,3,39,103,10,6),(15,415,1,14,4,58,61,10,7),(15,415,1,14,5,35,77,8,7),(15,415,1,14,6,85,74,8,10),(15,415,1,14,7,96,21,15,1),(15,415,1,14,8,84,68,15,3),(15,415,1,14,9,81,NULL,9,NULL),(15,415,1,14,10,116,13,16,1),(15,415,1,14,11,43,38,12,1),(15,415,1,14,12,23,44,7,7),(15,415,1,14,13,49,31,9,2),(15,415,1,14,14,104,61,15,1),(15,415,1,14,15,145,NULL,19,NULL),(15,415,1,14,16,39,28,6,5),(15,415,1,14,17,92,13,18,NULL),(15,415,1,14,18,42,28,13,3),(15,415,1,14,19,77,36,16,2),(15,415,1,14,20,84,41,13,5),(15,415,1,15,1,91,66,11,7),(15,415,1,15,2,77,44,11,5),(15,415,1,15,3,45,103,9,13),(15,415,1,15,4,59,61,13,10),(15,415,1,15,5,29,76,8,12),(15,415,1,15,6,79,72,8,11),(15,415,1,15,7,84,24,18,3),(15,415,1,15,8,64,72,10,10),(15,415,1,15,9,78,NULL,14,NULL),(15,415,1,15,10,100,26,16,4),(15,415,1,15,11,25,45,6,8),(15,415,1,15,12,33,44,9,10),(15,415,1,15,13,42,40,8,6),(15,415,1,15,14,94,52,16,6),(15,415,1,15,15,142,NULL,22,NULL),(15,415,1,15,16,34,21,7,4),(15,415,1,15,17,73,28,16,4),(15,415,1,15,18,36,36,8,10),(15,415,1,15,19,84,32,15,4),(15,415,1,15,20,77,42,13,8),(15,415,1,16,1,46,34,5,3),(15,415,1,16,2,19,24,2,5),(15,415,1,16,3,21,46,3,6),(15,415,1,16,4,32,27,5,3),(15,415,1,16,5,14,42,2,6),(15,415,1,16,6,44,38,3,3),(15,415,1,16,7,46,11,6,2),(15,415,1,16,8,27,52,1,6),(15,415,1,16,9,37,NULL,7,NULL),(15,415,1,16,10,52,11,5,2),(15,415,1,16,11,44,27,3,3),(15,415,1,16,12,48,57,3,6),(15,415,1,16,13,17,84,2,6),(15,415,1,16,14,35,36,3,4),(15,415,1,16,15,19,18,2,2),(15,415,1,16,16,33,NULL,5,NULL),(15,415,1,16,17,21,36,2,4),(15,415,1,16,18,25,50,1,6),(15,415,1,16,19,12,7,1,1),(15,415,1,16,20,41,50,4,4),(15,415,1,17,1,30,31,NULL,3),(15,415,1,17,2,22,20,1,2),(15,415,1,17,3,16,44,NULL,5),(15,415,1,17,4,32,30,3,2),(15,415,1,17,5,9,36,1,5),(15,415,1,17,6,38,41,2,2),(15,415,1,17,7,40,7,6,NULL),(15,415,1,17,8,28,43,3,2),(15,415,1,17,9,23,NULL,3,NULL),(15,415,1,17,10,45,12,4,1),(15,415,1,17,11,39,24,3,2),(15,415,1,17,12,32,47,1,5),(15,415,1,17,13,7,73,NULL,6),(15,415,1,17,14,20,34,3,4),(15,415,1,17,15,9,15,NULL,2),(15,415,1,17,16,36,NULL,3,NULL),(15,415,1,17,17,21,41,1,5),(15,415,1,17,18,20,42,2,3),(15,415,1,17,19,11,6,NULL,NULL),(15,415,1,17,20,34,48,2,5),(15,415,2,21,1,12,22,2,3),(15,415,2,21,2,8,11,2,3),(15,415,2,21,3,6,20,1,1),(15,415,2,21,4,23,18,5,2),(15,415,2,21,5,44,28,6,NULL),(15,415,2,21,6,30,16,5,1),(15,415,2,21,7,13,4,4,1),(15,415,2,21,8,7,NULL,2,NULL),(15,415,2,21,9,8,25,NULL,7),(15,415,2,21,10,23,6,3,1),(15,415,2,21,11,31,25,4,1),(15,415,2,21,12,44,48,5,1),(15,415,2,21,13,54,21,10,NULL),(15,415,2,21,14,20,46,3,5),(15,415,2,21,15,42,45,5,3),(15,415,2,21,16,94,46,10,NULL),(15,415,2,21,17,17,32,3,3),(15,415,2,21,18,33,17,5,1),(15,415,2,21,19,29,73,3,6),(15,415,2,21,20,40,34,8,1),(15,415,2,21,21,10,21,1,5),(15,415,2,21,22,39,25,4,NULL),(15,415,2,21,23,24,33,7,1),(15,415,2,21,24,26,47,5,3),(15,415,2,21,25,68,NULL,9,NULL),(15,415,2,21,26,11,32,2,4),(15,415,2,21,27,6,33,1,6),(15,415,2,21,28,7,39,2,4),(15,415,2,21,29,58,70,7,2),(15,415,2,21,30,11,26,3,7),(15,415,2,22,1,9,28,1,8),(15,415,2,22,2,10,11,4,3),(15,415,2,22,3,9,21,NULL,3),(15,415,2,22,4,20,16,7,2),(15,415,2,22,5,51,25,9,3),(15,415,2,22,6,24,14,4,2),(15,415,2,22,7,17,4,6,1),(15,415,2,22,8,8,NULL,2,NULL),(15,415,2,22,9,20,20,5,7),(15,415,2,22,10,30,7,6,NULL),(15,415,2,22,11,20,28,4,2),(15,415,2,22,12,54,53,5,9),(15,415,2,22,13,60,26,9,5),(15,415,2,22,14,14,40,2,9),(15,415,2,22,15,47,57,7,9),(15,415,2,22,16,86,48,11,6),(15,415,2,22,17,19,32,6,4),(15,415,2,22,18,40,27,4,7),(15,415,2,22,19,25,77,1,12),(15,415,2,22,20,39,49,5,9),(15,415,2,22,21,10,14,4,2),(15,415,2,22,22,48,25,11,3),(15,415,2,22,23,21,40,7,3),(15,415,2,22,24,21,45,4,11),(15,415,2,22,25,68,NULL,13,NULL),(15,415,2,22,26,14,26,1,6),(15,415,2,22,27,15,42,3,10),(15,415,2,22,28,13,27,2,6),(15,415,2,22,29,48,77,10,7),(15,415,2,22,30,9,24,1,8),(15,415,2,23,1,11,18,6,7),(15,415,2,23,2,11,19,4,8),(15,415,2,23,3,11,22,3,6),(15,415,2,23,4,21,20,8,2),(15,415,2,23,5,50,25,16,4),(15,415,2,23,6,37,19,10,4),(15,415,2,23,7,15,8,6,2),(15,415,2,23,8,7,NULL,2,NULL),(15,415,2,23,9,27,24,10,3),(15,415,2,23,10,24,12,7,2),(15,415,2,23,11,28,26,8,3),(15,415,2,23,12,39,51,7,8),(15,415,2,23,13,67,30,13,6),(15,415,2,23,14,13,44,4,9),(15,415,2,23,15,37,69,7,11),(15,415,2,23,16,81,50,15,7),(15,415,2,23,17,16,43,5,7),(15,415,2,23,18,41,34,12,5),(15,415,2,23,19,27,77,6,15),(15,415,2,23,20,49,40,9,9),(15,415,2,23,21,14,19,5,2),(15,415,2,23,22,43,27,6,4),(15,415,2,23,23,33,41,12,6),(15,415,2,23,24,21,47,9,9),(15,415,2,23,25,85,NULL,18,NULL),(15,415,2,23,26,13,24,4,1),(15,415,2,23,27,14,43,6,12),(15,415,2,23,28,17,32,8,7),(15,415,2,23,29,61,70,16,5),(15,415,2,23,30,20,38,8,7),(15,415,2,24,1,14,21,1,2),(15,415,2,24,2,8,16,3,3),(15,415,2,24,3,9,24,NULL,2),(15,415,2,24,4,22,15,4,2),(15,415,2,24,5,44,27,5,3),(15,415,2,24,6,25,15,4,2),(15,415,2,24,7,7,1,1,NULL),(15,415,2,24,8,9,NULL,3,NULL),(15,415,2,24,9,12,17,4,NULL),(15,415,2,24,10,18,13,3,1),(15,415,2,24,11,31,26,4,3),(15,415,2,24,12,36,52,4,2),(15,415,2,24,13,50,25,5,3),(15,415,2,24,14,9,52,NULL,1),(15,415,2,24,15,43,45,4,3),(15,415,2,24,16,72,48,6,2),(15,415,2,24,17,16,38,1,3),(15,415,2,24,18,32,24,4,2),(15,415,2,24,19,21,69,NULL,6),(15,415,2,24,20,36,37,7,1),(15,415,2,24,21,4,19,NULL,1),(15,415,2,24,22,43,29,4,1),(15,415,2,24,23,27,21,5,NULL),(15,415,2,24,24,18,40,3,4),(15,415,2,24,25,65,NULL,8,NULL),(15,415,2,24,26,9,18,1,1),(15,415,2,24,27,10,37,2,6),(15,415,2,24,28,14,22,2,2),(15,415,2,24,29,60,59,6,2),(15,415,2,24,30,13,24,3,4),(15,415,3,31,1,77,65,5,3),(15,415,3,31,2,9,45,3,4),(15,415,3,31,3,32,23,4,1),(15,415,3,31,4,54,18,5,1),(15,415,3,31,5,21,46,3,5),(15,415,3,31,6,5,77,2,5),(15,415,3,31,7,5,42,2,3),(15,415,3,31,8,3,12,NULL,2),(15,415,3,31,9,11,22,5,NULL),(15,415,3,31,10,14,27,4,3),(15,415,3,31,11,5,21,NULL,2),(15,415,3,31,12,41,42,2,4),(15,415,3,31,13,9,34,1,3),(15,415,3,31,14,39,22,6,2),(15,415,3,31,15,50,45,6,2),(15,415,3,31,16,21,50,1,6),(15,415,3,31,17,74,41,6,1),(15,415,3,31,18,13,40,1,2),(15,415,3,31,19,27,16,2,1),(15,415,3,31,20,6,26,3,1),(15,415,3,31,21,15,NULL,2,NULL),(15,415,3,31,22,15,33,4,2),(15,415,3,31,23,4,12,2,1),(15,415,3,31,24,10,64,2,4),(15,415,3,31,25,1,13,1,3),(15,415,3,31,26,7,16,NULL,2),(15,415,3,31,27,1,18,NULL,1),(15,415,3,31,28,3,9,1,NULL),(15,415,3,31,29,4,58,1,5),(15,415,3,31,30,7,48,1,3),(15,415,3,32,1,83,66,15,6),(15,415,3,32,2,8,41,6,10),(15,415,3,32,3,47,27,16,4),(15,415,3,32,4,61,26,19,4),(15,415,3,32,5,40,41,12,7),(15,415,3,32,6,13,95,6,16),(15,415,3,32,7,5,41,2,13),(15,415,3,32,8,7,8,5,5),(15,415,3,32,9,22,22,9,6),(15,415,3,32,10,18,27,4,6),(15,415,3,32,11,4,19,1,2),(15,415,3,32,12,51,54,10,10),(15,415,3,32,13,12,28,4,6),(15,415,3,32,14,51,37,12,8),(15,415,3,32,15,63,40,15,6),(15,415,3,32,16,29,52,7,10),(15,415,3,32,17,94,35,16,3),(15,415,3,32,18,14,42,3,6),(15,415,3,32,19,20,39,4,8),(15,415,3,32,20,13,41,7,6),(15,415,3,32,21,11,NULL,4,NULL),(15,415,3,32,22,9,39,5,6),(15,415,3,32,23,4,19,3,7),(15,415,3,32,24,13,71,6,12),(15,415,3,32,25,4,18,3,5),(15,415,3,32,26,6,22,3,6),(15,415,3,32,27,1,20,NULL,7),(15,415,3,32,28,4,15,1,4),(15,415,3,32,29,5,76,3,16),(15,415,3,32,30,7,69,4,13),(15,415,3,33,1,95,57,12,5),(15,415,3,33,2,12,40,5,8),(15,415,3,33,3,44,27,10,4),(15,415,3,33,4,45,28,10,4),(15,415,3,33,5,31,44,4,8),(15,415,3,33,6,12,72,3,9),(15,415,3,33,7,7,40,1,9),(15,415,3,33,8,11,11,4,4),(15,415,3,33,9,16,30,6,1),(15,415,3,33,10,24,24,3,7),(15,415,3,33,11,3,23,NULL,5),(15,415,3,33,12,52,41,11,4),(15,415,3,33,13,12,29,1,5),(15,415,3,33,14,47,19,10,3),(15,415,3,33,15,44,41,7,6),(15,415,3,33,16,34,41,8,6),(15,415,3,33,17,83,43,13,4),(15,415,3,33,18,29,27,6,4),(15,415,3,33,19,27,15,3,2),(15,415,3,33,20,13,26,3,5),(15,415,3,33,21,15,NULL,5,NULL),(15,415,3,33,22,10,28,2,3),(15,415,3,33,23,3,23,2,6),(15,415,3,33,24,12,64,6,6),(15,415,3,33,25,10,19,3,5),(15,415,3,33,26,5,14,3,5),(15,415,3,33,27,1,17,NULL,4),(15,415,3,33,28,7,15,NULL,5),(15,415,3,33,29,1,76,NULL,13),(15,415,3,33,30,5,52,3,6),(15,415,3,34,1,77,78,6,5),(15,415,3,34,2,13,52,5,5),(15,415,3,34,3,34,28,3,4),(15,415,3,34,4,53,28,8,1),(15,415,3,34,5,21,43,3,5),(15,415,3,34,6,16,65,4,5),(15,415,3,34,7,5,43,2,7),(15,415,3,34,8,4,11,3,4),(15,415,3,34,9,11,29,3,3),(15,415,3,34,10,16,18,6,2),(15,415,3,34,11,5,21,1,2),(15,415,3,34,12,66,43,6,3),(15,415,3,34,13,11,30,1,2),(15,415,3,34,14,42,22,7,1),(15,415,3,34,15,55,35,7,3),(15,415,3,34,16,32,53,6,3),(15,415,3,34,17,85,39,8,NULL),(15,415,3,34,18,23,22,4,2),(15,415,3,34,19,20,24,4,1),(15,415,3,34,20,17,33,5,4),(15,415,3,34,21,12,NULL,3,NULL),(15,415,3,34,22,11,42,2,6),(15,415,3,34,23,7,17,1,2),(15,415,3,34,24,13,74,5,4),(15,415,3,34,25,5,19,3,1),(15,415,3,34,26,3,14,1,3),(15,415,3,34,27,10,17,4,3),(15,415,3,34,28,1,13,1,4),(15,415,3,34,29,2,69,NULL,10),(15,415,3,34,30,4,49,1,4),(15,420,1,11,1,NULL,1,NULL,NULL),(15,420,1,11,2,2,NULL,NULL,NULL),(15,420,1,11,3,NULL,2,NULL,NULL),(15,420,1,11,4,1,1,NULL,NULL),(15,420,1,11,5,NULL,1,NULL,NULL),(15,420,1,11,6,1,1,NULL,NULL),(15,420,1,11,7,2,NULL,NULL,NULL),(15,420,1,11,8,1,NULL,NULL,NULL),(15,420,1,11,9,NULL,NULL,NULL,NULL),(15,420,1,11,10,2,NULL,NULL,NULL),(15,420,1,11,11,NULL,NULL,NULL,NULL),(15,420,1,11,12,NULL,1,NULL,NULL),(15,420,1,11,13,NULL,NULL,NULL,NULL),(15,420,1,11,14,1,1,NULL,NULL),(15,420,1,11,15,NULL,1,NULL,NULL),(15,420,1,11,16,1,NULL,NULL,NULL),(15,420,1,11,17,1,NULL,NULL,NULL),(15,420,1,11,18,NULL,NULL,NULL,NULL),(15,420,1,11,19,1,NULL,NULL,NULL),(15,420,1,11,20,NULL,1,NULL,NULL),(15,420,1,12,1,1,NULL,NULL,NULL),(15,420,1,12,2,NULL,1,NULL,NULL),(15,420,1,12,3,1,NULL,NULL,NULL),(15,420,1,12,4,1,NULL,NULL,NULL),(15,420,1,12,5,NULL,1,NULL,NULL),(15,420,1,12,6,NULL,1,NULL,NULL),(15,420,1,12,7,NULL,1,NULL,NULL),(15,420,1,12,8,NULL,NULL,NULL,NULL),(15,420,1,12,9,1,NULL,NULL,NULL),(15,420,1,12,10,NULL,1,NULL,NULL),(15,420,1,12,11,1,NULL,NULL,NULL),(15,420,1,12,12,1,NULL,NULL,NULL),(15,420,1,12,13,1,NULL,NULL,NULL),(15,420,1,12,14,NULL,1,NULL,NULL),(15,420,1,12,15,1,NULL,NULL,NULL),(15,420,1,12,16,1,NULL,NULL,NULL),(15,420,1,12,17,1,NULL,NULL,NULL),(15,420,1,12,18,1,NULL,NULL,NULL),(15,420,1,12,19,1,NULL,NULL,NULL),(15,420,1,12,20,NULL,NULL,NULL,NULL),(15,420,1,13,1,2,1,NULL,NULL),(15,420,1,13,2,1,NULL,NULL,NULL),(15,420,1,13,3,NULL,1,NULL,NULL),(15,420,1,13,4,NULL,1,NULL,NULL),(15,420,1,13,5,1,NULL,NULL,NULL),(15,420,1,13,6,1,1,NULL,NULL),(15,420,1,13,7,1,NULL,NULL,NULL),(15,420,1,13,8,NULL,NULL,NULL,NULL),(15,420,1,13,9,2,NULL,NULL,NULL),(15,420,1,13,10,NULL,NULL,NULL,NULL),(15,420,1,13,11,2,NULL,NULL,NULL),(15,420,1,13,12,1,NULL,NULL,NULL),(15,420,1,13,13,NULL,1,NULL,NULL),(15,420,1,13,14,1,NULL,NULL,NULL),(15,420,1,13,15,3,NULL,NULL,NULL),(15,420,1,13,16,1,1,NULL,NULL),(15,420,1,13,17,1,1,NULL,NULL),(15,420,1,13,18,NULL,1,NULL,NULL),(15,420,1,13,19,1,NULL,NULL,NULL),(15,420,1,13,20,1,NULL,NULL,NULL),(15,420,1,14,1,77,47,12,4),(15,420,1,14,2,44,45,9,3),(15,420,1,14,3,21,83,3,10),(15,420,1,14,4,36,48,5,9),(15,420,1,14,5,20,60,5,5),(15,420,1,14,6,57,57,5,8),(15,420,1,14,7,57,20,10,1),(15,420,1,14,8,39,70,5,8),(15,420,1,14,9,59,NULL,10,NULL),(15,420,1,14,10,79,18,9,2),(15,420,1,14,11,14,33,4,4),(15,420,1,14,12,19,35,3,10),(15,420,1,14,13,36,35,10,3),(15,420,1,14,14,78,53,14,2),(15,420,1,14,15,120,NULL,17,NULL),(15,420,1,14,16,24,21,5,4),(15,420,1,14,17,57,18,12,2),(15,420,1,14,18,22,29,7,3),(15,420,1,14,19,67,29,12,4),(15,420,1,14,20,73,37,10,6),(15,420,1,15,1,70,58,17,7),(15,420,1,15,2,48,47,11,10),(15,420,1,15,3,27,85,13,15),(15,420,1,15,4,38,52,9,14),(15,420,1,15,5,25,60,10,11),(15,420,1,15,6,73,54,10,14),(15,420,1,15,7,57,27,17,6),(15,420,1,15,8,49,58,11,11),(15,420,1,15,9,71,NULL,17,NULL),(15,420,1,15,10,90,24,16,9),(15,420,1,15,11,22,41,6,9),(15,420,1,15,12,18,44,5,10),(15,420,1,15,13,42,33,15,4),(15,420,1,15,14,81,52,21,4),(15,420,1,15,15,127,NULL,26,NULL),(15,420,1,15,16,26,18,8,3),(15,420,1,15,17,77,18,19,3),(15,420,1,15,18,27,31,12,6),(15,420,1,15,19,62,32,17,5),(15,420,1,15,20,83,39,18,8),(15,420,1,16,1,32,32,2,2),(15,420,1,16,2,24,11,1,3),(15,420,1,16,3,10,33,2,3),(15,420,1,16,4,12,24,NULL,5),(15,420,1,16,5,4,40,1,4),(15,420,1,16,6,22,35,2,2),(15,420,1,16,7,22,10,2,1),(15,420,1,16,8,16,40,NULL,4),(15,420,1,16,9,31,NULL,3,NULL),(15,420,1,16,10,32,6,4,NULL),(15,420,1,16,11,32,20,1,4),(15,420,1,16,12,34,34,2,3),(15,420,1,16,13,11,59,NULL,4),(15,420,1,16,14,21,30,1,5),(15,420,1,16,15,11,15,3,NULL),(15,420,1,16,16,31,NULL,3,NULL),(15,420,1,16,17,21,30,1,4),(15,420,1,16,18,17,40,NULL,4),(15,420,1,16,19,8,4,1,NULL),(15,420,1,16,20,22,33,1,2),(15,420,1,17,1,30,21,6,1),(15,420,1,17,2,16,20,3,5),(15,420,1,17,3,18,38,4,3),(15,420,1,17,4,20,31,3,6),(15,420,1,17,5,12,32,2,6),(15,420,1,17,6,35,22,5,2),(15,420,1,17,7,26,10,5,NULL),(15,420,1,17,8,20,31,6,3),(15,420,1,17,9,33,NULL,4,NULL),(15,420,1,17,10,37,15,7,1),(15,420,1,17,11,32,21,4,4),(15,420,1,17,12,25,39,5,4),(15,420,1,17,13,4,66,NULL,9),(15,420,1,17,14,12,32,4,3),(15,420,1,17,15,15,10,4,1),(15,420,1,17,16,23,NULL,6,NULL),(15,420,1,17,17,17,28,2,6),(15,420,1,17,18,11,33,1,6),(15,420,1,17,19,8,7,1,1),(15,420,1,17,20,25,31,5,4),(15,420,2,21,1,4,20,2,10),(15,420,2,21,2,6,10,2,3),(15,420,2,21,3,6,20,1,6),(15,420,2,21,4,11,15,6,4),(15,420,2,21,5,38,19,12,3),(15,420,2,21,6,27,14,8,2),(15,420,2,21,7,13,6,6,3),(15,420,2,21,8,7,NULL,NULL,NULL),(15,420,2,21,9,8,9,4,3),(15,420,2,21,10,12,9,3,2),(15,420,2,21,11,21,28,6,5),(15,420,2,21,12,44,39,8,9),(15,420,2,21,13,47,25,12,2),(15,420,2,21,14,11,26,4,5),(15,420,2,21,15,26,33,8,9),(15,420,2,21,16,60,49,12,7),(15,420,2,21,17,13,31,1,7),(15,420,2,21,18,30,21,4,6),(15,420,2,21,19,20,49,4,11),(15,420,2,21,20,30,35,8,5),(15,420,2,21,21,11,20,6,4),(15,420,2,21,22,46,17,12,NULL),(15,420,2,21,23,18,23,6,5),(15,420,2,21,24,14,42,3,9),(15,420,2,21,25,58,NULL,13,NULL),(15,420,2,21,26,12,20,5,5),(15,420,2,21,27,7,27,2,10),(15,420,2,21,28,16,29,6,7),(15,420,2,21,29,53,50,15,1),(15,420,2,21,30,15,20,8,6),(15,420,2,22,1,8,21,4,4),(15,420,2,22,2,5,10,2,3),(15,420,2,22,3,5,17,NULL,1),(15,420,2,22,4,8,12,5,3),(15,420,2,22,5,32,26,7,3),(15,420,2,22,6,31,22,5,2),(15,420,2,22,7,10,5,2,1),(15,420,2,22,8,5,NULL,2,NULL),(15,420,2,22,9,16,21,4,5),(15,420,2,22,10,12,8,2,1),(15,420,2,22,11,14,24,4,2),(15,420,2,22,12,40,40,5,6),(15,420,2,22,13,58,22,8,3),(15,420,2,22,14,3,33,1,5),(15,420,2,22,15,28,35,7,1),(15,420,2,22,16,48,59,7,4),(15,420,2,22,17,7,33,1,3),(15,420,2,22,18,25,28,3,5),(15,420,2,22,19,22,42,2,6),(15,420,2,22,20,23,32,9,1),(15,420,2,22,21,10,11,3,1),(15,420,2,22,22,44,33,5,4),(15,420,2,22,23,31,26,7,3),(15,420,2,22,24,14,42,3,10),(15,420,2,22,25,57,NULL,12,NULL),(15,420,2,22,26,7,25,3,4),(15,420,2,22,27,14,25,3,4),(15,420,2,22,28,15,37,2,6),(15,420,2,22,29,47,62,10,4),(15,420,2,22,30,3,29,NULL,5),(15,420,2,23,1,9,17,3,7),(15,420,2,23,2,6,10,2,3),(15,420,2,23,3,8,22,1,2),(15,420,2,23,4,16,12,6,2),(15,420,2,23,5,35,27,10,4),(15,420,2,23,6,28,22,4,2),(15,420,2,23,7,15,9,6,4),(15,420,2,23,8,5,NULL,1,NULL),(15,420,2,23,9,13,23,4,5),(15,420,2,23,10,21,12,2,5),(15,420,2,23,11,22,27,7,2),(15,420,2,23,12,28,48,4,9),(15,420,2,23,13,52,21,11,3),(15,420,2,23,14,8,30,4,4),(15,420,2,23,15,31,38,7,6),(15,420,2,23,16,49,55,12,4),(15,420,2,23,17,17,24,5,8),(15,420,2,23,18,36,37,5,7),(15,420,2,23,19,10,62,2,10),(15,420,2,23,20,31,25,9,4),(15,420,2,23,21,10,14,6,4),(15,420,2,23,22,45,21,8,1),(15,420,2,23,23,25,29,7,4),(15,420,2,23,24,12,43,7,6),(15,420,2,23,25,59,NULL,13,NULL),(15,420,2,23,26,12,28,4,2),(15,420,2,23,27,12,35,3,9),(15,420,2,23,28,18,35,6,7),(15,420,2,23,29,46,68,9,4),(15,420,2,23,30,12,28,4,6),(15,420,2,24,1,9,20,1,4),(15,420,2,24,2,4,6,NULL,NULL),(15,420,2,24,3,9,22,1,1),(15,420,2,24,4,8,13,2,2),(15,420,2,24,5,31,25,4,2),(15,420,2,24,6,15,18,NULL,NULL),(15,420,2,24,7,8,6,3,1),(15,420,2,24,8,9,NULL,1,NULL),(15,420,2,24,9,11,12,3,1),(15,420,2,24,10,16,10,3,1),(15,420,2,24,11,17,24,3,1),(15,420,2,24,12,44,37,5,1),(15,420,2,24,13,56,14,8,1),(15,420,2,24,14,13,31,3,4),(15,420,2,24,15,17,35,3,2),(15,420,2,24,16,38,53,5,5),(15,420,2,24,17,13,28,2,1),(15,420,2,24,18,24,21,4,2),(15,420,2,24,19,12,64,1,8),(15,420,2,24,20,24,38,6,4),(15,420,2,24,21,3,20,1,3),(15,420,2,24,22,39,21,3,1),(15,420,2,24,23,17,34,4,3),(15,420,2,24,24,14,35,5,2),(15,420,2,24,25,61,NULL,8,NULL),(15,420,2,24,26,9,16,1,3),(15,420,2,24,27,14,31,2,3),(15,420,2,24,28,11,38,1,7),(15,420,2,24,29,42,65,7,4),(15,420,2,24,30,12,18,5,1),(15,420,3,31,1,71,47,9,2),(15,420,3,31,2,3,36,1,5),(15,420,3,31,3,31,22,7,1),(15,420,3,31,4,45,24,9,1),(15,420,3,31,5,23,38,3,4),(15,420,3,31,6,9,64,1,5),(15,420,3,31,7,3,29,1,5),(15,420,3,31,8,7,8,4,NULL),(15,420,3,31,9,7,26,2,4),(15,420,3,31,10,16,17,2,1),(15,420,3,31,11,5,17,1,2),(15,420,3,31,12,26,33,4,1),(15,420,3,31,13,8,30,2,4),(15,420,3,31,14,28,23,6,2),(15,420,3,31,15,33,27,6,1),(15,420,3,31,16,16,31,3,6),(15,420,3,31,17,60,28,9,NULL),(15,420,3,31,18,15,15,2,1),(15,420,3,31,19,19,15,5,NULL),(15,420,3,31,20,4,24,NULL,5),(15,420,3,31,21,10,NULL,1,NULL),(15,420,3,31,22,8,25,3,6),(15,420,3,31,23,2,9,NULL,1),(15,420,3,31,24,4,45,3,3),(15,420,3,31,25,4,5,1,1),(15,420,3,31,26,4,15,2,4),(15,420,3,31,27,1,10,NULL,2),(15,420,3,31,28,3,10,NULL,2),(15,420,3,31,29,NULL,60,NULL,5),(15,420,3,31,30,1,38,NULL,2),(15,420,3,32,1,74,53,11,5),(15,420,3,32,2,8,40,3,12),(15,420,3,32,3,38,28,7,7),(15,420,3,32,4,55,21,10,3),(15,420,3,32,5,28,41,4,8),(15,420,3,32,6,4,70,1,14),(15,420,3,32,7,5,28,4,5),(15,420,3,32,8,13,6,8,3),(15,420,3,32,9,15,29,8,4),(15,420,3,32,10,18,24,7,5),(15,420,3,32,11,4,10,NULL,1),(15,420,3,32,12,31,47,5,7),(15,420,3,32,13,6,28,1,5),(15,420,3,32,14,33,29,8,3),(15,420,3,32,15,37,36,6,8),(15,420,3,32,16,12,35,4,8),(15,420,3,32,17,73,36,13,3),(15,420,3,32,18,15,34,3,4),(15,420,3,32,19,20,22,1,6),(15,420,3,32,20,7,21,4,4),(15,420,3,32,21,13,NULL,3,NULL),(15,420,3,32,22,5,25,3,8),(15,420,3,32,23,5,14,2,3),(15,420,3,32,24,12,57,4,9),(15,420,3,32,25,2,15,NULL,4),(15,420,3,32,26,4,7,2,3),(15,420,3,32,27,3,16,NULL,6),(15,420,3,32,28,4,5,1,NULL),(15,420,3,32,29,1,70,NULL,13),(15,420,3,32,30,3,43,2,9),(15,420,3,33,1,79,42,9,4),(15,420,3,33,2,9,28,3,6),(15,420,3,33,3,42,17,6,2),(15,420,3,33,4,38,19,7,4),(15,420,3,33,5,36,32,6,6),(15,420,3,33,6,5,62,2,9),(15,420,3,33,7,6,26,3,3),(15,420,3,33,8,5,9,1,2),(15,420,3,33,9,5,26,2,3),(15,420,3,33,10,18,16,5,4),(15,420,3,33,11,8,11,1,2),(15,420,3,33,12,42,22,7,6),(15,420,3,33,13,12,22,2,1),(15,420,3,33,14,29,20,7,4),(15,420,3,33,15,32,32,6,3),(15,420,3,33,16,13,38,2,6),(15,420,3,33,17,66,25,11,1),(15,420,3,33,18,12,24,1,3),(15,420,3,33,19,28,19,4,4),(15,420,3,33,20,7,15,3,3),(15,420,3,33,21,6,NULL,NULL,NULL),(15,420,3,33,22,6,18,3,2),(15,420,3,33,23,NULL,10,NULL,1),(15,420,3,33,24,7,47,4,6),(15,420,3,33,25,NULL,15,NULL,5),(15,420,3,33,26,3,10,2,NULL),(15,420,3,33,27,2,10,NULL,NULL),(15,420,3,33,28,3,7,NULL,2),(15,420,3,33,29,2,56,2,9),(15,420,3,33,30,1,49,NULL,10),(15,420,3,34,1,65,61,15,4),(15,420,3,34,2,11,40,6,12),(15,420,3,34,3,39,21,10,6),(15,420,3,34,4,42,17,14,1),(15,420,3,34,5,18,32,6,7),(15,420,3,34,6,9,69,3,14),(15,420,3,34,7,8,29,4,6),(15,420,3,34,8,6,9,2,5),(15,420,3,34,9,11,29,5,7),(15,420,3,34,10,13,23,6,4),(15,420,3,34,11,4,15,NULL,3),(15,420,3,34,12,22,34,5,11),(15,420,3,34,13,8,28,4,4),(15,420,3,34,14,24,23,10,4),(15,420,3,34,15,33,28,11,4),(15,420,3,34,16,22,34,4,6),(15,420,3,34,17,64,35,14,3),(15,420,3,34,18,7,24,2,4),(15,420,3,34,19,19,20,3,4),(15,420,3,34,20,2,23,1,5),(15,420,3,34,21,8,NULL,6,NULL),(15,420,3,34,22,6,18,2,5),(15,420,3,34,23,2,13,NULL,6),(15,420,3,34,24,14,58,8,10),(15,420,3,34,25,7,11,2,3),(15,420,3,34,26,5,14,1,7),(15,420,3,34,27,3,14,2,6),(15,420,3,34,28,1,10,NULL,2),(15,420,3,34,29,3,48,2,9),(15,420,3,34,30,7,37,1,10),(15,421,1,11,1,2,2,2,1),(15,421,1,11,2,NULL,4,NULL,3),(15,421,1,11,3,NULL,3,NULL,3),(15,421,1,11,4,1,1,1,1),(15,421,1,11,5,NULL,4,NULL,3),(15,421,1,11,6,4,1,3,1),(15,421,1,11,7,2,3,2,2),(15,421,1,11,8,2,3,1,3),(15,421,1,11,9,1,NULL,1,NULL),(15,421,1,11,10,4,2,3,1),(15,421,1,11,11,4,1,3,1),(15,421,1,11,12,2,3,1,3),(15,421,1,11,13,7,2,5,1),(15,421,1,11,14,6,NULL,4,NULL),(15,421,1,11,15,6,3,4,2),(15,421,1,11,16,7,NULL,4,NULL),(15,421,1,11,17,5,3,4,1),(15,421,1,11,18,3,NULL,2,NULL),(15,421,1,11,19,7,2,4,2),(15,421,1,11,20,7,2,4,2),(15,421,1,12,1,1,NULL,1,NULL),(15,421,1,12,2,NULL,NULL,NULL,NULL),(15,421,1,12,3,NULL,1,NULL,1),(15,421,1,12,4,NULL,1,NULL,1),(15,421,1,12,5,NULL,1,NULL,1),(15,421,1,12,6,1,NULL,1,NULL),(15,421,1,12,7,1,NULL,1,NULL),(15,421,1,12,8,1,NULL,1,NULL),(15,421,1,12,9,1,NULL,1,NULL),(15,421,1,12,10,1,NULL,1,NULL),(15,421,1,12,11,1,NULL,1,NULL),(15,421,1,12,12,1,NULL,1,NULL),(15,421,1,12,13,1,NULL,1,NULL),(15,421,1,12,14,1,NULL,1,NULL),(15,421,1,12,15,1,NULL,1,NULL),(15,421,1,12,16,1,NULL,1,NULL),(15,421,1,12,17,1,NULL,1,NULL),(15,421,1,12,18,1,NULL,1,NULL),(15,421,1,12,19,1,NULL,1,NULL),(15,421,1,12,20,1,NULL,1,NULL),(15,421,1,13,1,NULL,NULL,NULL,1),(15,421,1,13,2,NULL,NULL,NULL,NULL),(15,421,1,13,3,NULL,NULL,NULL,NULL),(15,421,1,13,4,NULL,NULL,NULL,NULL),(15,421,1,13,5,NULL,NULL,NULL,NULL),(15,421,1,13,6,NULL,NULL,NULL,1),(15,421,1,13,7,NULL,NULL,NULL,NULL),(15,421,1,13,8,NULL,NULL,NULL,1),(15,421,1,13,9,NULL,NULL,NULL,NULL),(15,421,1,13,10,NULL,NULL,NULL,NULL),(15,421,1,13,11,NULL,NULL,1,NULL),(15,421,1,13,12,NULL,NULL,NULL,1),(15,421,1,13,13,NULL,NULL,NULL,NULL),(15,421,1,13,14,NULL,NULL,NULL,NULL),(15,421,1,13,15,NULL,NULL,NULL,NULL),(15,421,1,13,16,NULL,NULL,NULL,1),(15,421,1,13,17,NULL,NULL,NULL,1),(15,421,1,13,18,NULL,NULL,NULL,1),(15,421,1,13,19,NULL,NULL,1,NULL),(15,421,1,13,20,NULL,NULL,NULL,NULL),(15,421,1,14,1,6,2,6,2),(15,421,1,14,2,3,1,4,2),(15,421,1,14,3,NULL,3,1,2),(15,421,1,14,4,1,1,2,2),(15,421,1,14,5,NULL,1,1,3),(15,421,1,14,6,5,2,5,2),(15,421,1,14,7,NULL,1,1,1),(15,421,1,14,8,4,1,4,2),(15,421,1,14,9,2,NULL,4,NULL),(15,421,1,14,10,7,NULL,5,1),(15,421,1,14,11,1,1,2,3),(15,421,1,14,12,NULL,2,NULL,3),(15,421,1,14,13,1,3,3,3),(15,421,1,14,14,1,6,3,6),(15,421,1,14,15,5,NULL,8,NULL),(15,421,1,14,16,2,3,1,5),(15,421,1,14,17,4,NULL,4,1),(15,421,1,14,18,2,2,1,2),(15,421,1,14,19,3,2,3,4),(15,421,1,14,20,5,2,4,4),(15,421,1,15,1,7,1,8,1),(15,421,1,15,2,2,1,2,3),(15,421,1,15,3,1,3,2,2),(15,421,1,15,4,2,NULL,4,1),(15,421,1,15,5,1,1,1,2),(15,421,1,15,6,5,3,4,4),(15,421,1,15,7,1,1,1,2),(15,421,1,15,8,2,1,2,2),(15,421,1,15,9,3,NULL,4,NULL),(15,421,1,15,10,4,1,6,1),(15,421,1,15,11,1,2,1,NULL),(15,421,1,15,12,2,3,3,3),(15,421,1,15,13,2,2,2,3),(15,421,1,15,14,3,5,4,4),(15,421,1,15,15,5,NULL,6,NULL),(15,421,1,15,16,NULL,NULL,NULL,1),(15,421,1,15,17,3,NULL,3,NULL),(15,421,1,15,18,1,3,2,2),(15,421,1,15,19,1,2,4,2),(15,421,1,15,20,3,1,3,2),(15,421,1,16,1,1,3,NULL,1),(15,421,1,16,2,NULL,2,1,1),(15,421,1,16,3,NULL,4,NULL,3),(15,421,1,16,4,NULL,3,NULL,2),(15,421,1,16,5,NULL,3,NULL,2),(15,421,1,16,6,1,4,NULL,3),(15,421,1,16,7,1,1,1,NULL),(15,421,1,16,8,3,3,1,1),(15,421,1,16,9,2,NULL,2,NULL),(15,421,1,16,10,1,1,2,1),(15,421,1,16,11,4,NULL,3,NULL),(15,421,1,16,12,2,3,NULL,3),(15,421,1,16,13,NULL,5,NULL,2),(15,421,1,16,14,3,1,3,NULL),(15,421,1,16,15,NULL,NULL,NULL,1),(15,421,1,16,16,3,NULL,2,NULL),(15,421,1,16,17,1,2,NULL,1),(15,421,1,16,18,NULL,2,NULL,NULL),(15,421,1,16,19,NULL,3,NULL,2),(15,421,1,16,20,1,3,NULL,1),(15,421,1,17,1,1,5,1,6),(15,421,1,17,2,1,2,NULL,2),(15,421,1,17,3,1,6,1,6),(15,421,1,17,4,1,3,1,3),(15,421,1,17,5,1,4,1,5),(15,421,1,17,6,2,3,3,1),(15,421,1,17,7,3,NULL,3,1),(15,421,1,17,8,2,2,2,4),(15,421,1,17,9,1,NULL,2,NULL),(15,421,1,17,10,1,1,3,2),(15,421,1,17,11,4,NULL,2,3),(15,421,1,17,12,3,4,2,6),(15,421,1,17,13,1,4,1,7),(15,421,1,17,14,NULL,3,2,5),(15,421,1,17,15,2,1,NULL,1),(15,421,1,17,16,2,NULL,3,NULL),(15,421,1,17,17,1,1,3,2),(15,421,1,17,18,3,2,2,6),(15,421,1,17,19,1,NULL,1,1),(15,421,1,17,20,1,4,1,5),(15,421,2,21,1,NULL,NULL,NULL,1),(15,421,2,21,2,NULL,NULL,NULL,NULL),(15,421,2,21,3,NULL,2,NULL,2),(15,421,2,21,4,1,1,1,2),(15,421,2,21,5,4,2,3,2),(15,421,2,21,6,1,3,NULL,3),(15,421,2,21,7,NULL,NULL,NULL,NULL),(15,421,2,21,8,NULL,NULL,NULL,NULL),(15,421,2,21,9,NULL,2,NULL,2),(15,421,2,21,10,1,1,1,1),(15,421,2,21,11,1,1,1,2),(15,421,2,21,12,1,4,2,4),(15,421,2,21,13,1,4,2,4),(15,421,2,21,14,2,3,2,4),(15,421,2,21,15,2,1,2,2),(15,421,2,21,16,4,2,4,3),(15,421,2,21,17,1,NULL,1,1),(15,421,2,21,18,2,2,3,2),(15,421,2,21,19,NULL,4,NULL,5),(15,421,2,21,20,2,1,2,1),(15,421,2,21,21,1,NULL,1,NULL),(15,421,2,21,22,3,2,3,2),(15,421,2,21,23,1,3,2,3),(15,421,2,21,24,NULL,3,NULL,3),(15,421,2,21,25,6,NULL,7,NULL),(15,421,2,21,26,2,1,2,1),(15,421,2,21,27,NULL,2,NULL,2),(15,421,2,21,28,1,2,1,2),(15,421,2,21,29,1,5,2,5),(15,421,2,21,30,NULL,4,NULL,5),(15,421,2,22,1,1,NULL,1,NULL),(15,421,2,22,2,NULL,1,NULL,1),(15,421,2,22,3,NULL,2,NULL,1),(15,421,2,22,4,1,3,1,3),(15,421,2,22,5,5,1,4,1),(15,421,2,22,6,2,1,2,1),(15,421,2,22,7,2,1,1,1),(15,421,2,22,8,1,NULL,NULL,NULL),(15,421,2,22,9,2,NULL,2,NULL),(15,421,2,22,10,NULL,NULL,1,1),(15,421,2,22,11,4,NULL,3,2),(15,421,2,22,12,4,4,5,5),(15,421,2,22,13,5,3,5,3),(15,421,2,22,14,NULL,4,1,2),(15,421,2,22,15,NULL,4,3,3),(15,421,2,22,16,7,2,6,3),(15,421,2,22,17,1,2,2,2),(15,421,2,22,18,4,2,3,1),(15,421,2,22,19,1,3,1,6),(15,421,2,22,20,3,2,3,2),(15,421,2,22,21,2,2,2,1),(15,421,2,22,22,3,2,6,1),(15,421,2,22,23,NULL,1,NULL,3),(15,421,2,22,24,NULL,NULL,NULL,2),(15,421,2,22,25,3,NULL,5,NULL),(15,421,2,22,26,2,2,2,1),(15,421,2,22,27,2,3,1,3),(15,421,2,22,28,1,4,1,4),(15,421,2,22,29,2,5,2,6),(15,421,2,22,30,1,1,1,NULL),(15,421,2,23,1,NULL,NULL,NULL,NULL),(15,421,2,23,2,NULL,NULL,NULL,NULL),(15,421,2,23,3,NULL,3,NULL,4),(15,421,2,23,4,3,3,2,3),(15,421,2,23,5,1,4,1,2),(15,421,2,23,6,1,3,NULL,1),(15,421,2,23,7,1,2,NULL,1),(15,421,2,23,8,1,NULL,1,NULL),(15,421,2,23,9,1,3,2,1),(15,421,2,23,10,2,NULL,3,NULL),(15,421,2,23,11,1,5,1,5),(15,421,2,23,12,4,4,3,4),(15,421,2,23,13,5,3,5,3),(15,421,2,23,14,1,5,1,5),(15,421,2,23,15,1,5,1,4),(15,421,2,23,16,7,6,5,4),(15,421,2,23,17,NULL,7,NULL,5),(15,421,2,23,18,2,2,1,2),(15,421,2,23,19,1,3,1,4),(15,421,2,23,20,3,3,4,3),(15,421,2,23,21,1,2,2,2),(15,421,2,23,22,3,1,3,1),(15,421,2,23,23,2,5,1,4),(15,421,2,23,24,1,5,NULL,4),(15,421,2,23,25,7,NULL,6,NULL),(15,421,2,23,26,1,2,NULL,3),(15,421,2,23,27,NULL,4,NULL,4),(15,421,2,23,28,1,3,NULL,2),(15,421,2,23,29,4,5,5,3),(15,421,2,23,30,2,1,1,1),(15,421,2,24,1,NULL,NULL,NULL,NULL),(15,421,2,24,2,1,NULL,1,NULL),(15,421,2,24,3,1,1,1,2),(15,421,2,24,4,NULL,1,NULL,1),(15,421,2,24,5,1,2,3,3),(15,421,2,24,6,1,2,1,2),(15,421,2,24,7,NULL,NULL,NULL,1),(15,421,2,24,8,1,NULL,NULL,NULL),(15,421,2,24,9,NULL,1,1,3),(15,421,2,24,10,NULL,NULL,1,NULL),(15,421,2,24,11,3,2,2,2),(15,421,2,24,12,5,1,1,5),(15,421,2,24,13,2,1,4,2),(15,421,2,24,14,NULL,3,1,3),(15,421,2,24,15,2,2,2,3),(15,421,2,24,16,3,5,6,3),(15,421,2,24,17,1,1,NULL,NULL),(15,421,2,24,18,NULL,1,2,3),(15,421,2,24,19,1,4,NULL,5),(15,421,2,24,20,NULL,2,1,2),(15,421,2,24,21,NULL,NULL,NULL,NULL),(15,421,2,24,22,NULL,3,1,3),(15,421,2,24,23,2,NULL,NULL,2),(15,421,2,24,24,NULL,1,NULL,2),(15,421,2,24,25,2,NULL,2,NULL),(15,421,2,24,26,NULL,2,1,3),(15,421,2,24,27,NULL,1,NULL,4),(15,421,2,24,28,NULL,1,NULL,2),(15,421,2,24,29,4,5,2,7),(15,421,2,24,30,NULL,2,NULL,3),(15,421,3,31,1,5,5,2,7),(15,421,3,31,2,NULL,2,NULL,1),(15,421,3,31,3,2,2,2,2),(15,421,3,31,4,2,3,2,2),(15,421,3,31,5,NULL,1,2,4),(15,421,3,31,6,NULL,3,NULL,4),(15,421,3,31,7,NULL,1,NULL,NULL),(15,421,3,31,8,NULL,NULL,NULL,NULL),(15,421,3,31,9,NULL,1,NULL,1),(15,421,3,31,10,NULL,NULL,NULL,1),(15,421,3,31,11,NULL,1,NULL,NULL),(15,421,3,31,12,1,2,1,2),(15,421,3,31,13,1,NULL,1,NULL),(15,421,3,31,14,3,1,4,NULL),(15,421,3,31,15,3,NULL,3,1),(15,421,3,31,16,1,1,2,1),(15,421,3,31,17,4,3,2,4),(15,421,3,31,18,NULL,1,NULL,3),(15,421,3,31,19,1,1,2,1),(15,421,3,31,20,1,2,1,1),(15,421,3,31,21,NULL,NULL,NULL,NULL),(15,421,3,31,22,NULL,1,NULL,1),(15,421,3,31,23,NULL,NULL,NULL,NULL),(15,421,3,31,24,NULL,4,NULL,4),(15,421,3,31,25,NULL,NULL,NULL,1),(15,421,3,31,26,NULL,1,NULL,1),(15,421,3,31,27,NULL,NULL,NULL,NULL),(15,421,3,31,28,NULL,NULL,NULL,NULL),(15,421,3,31,29,NULL,3,NULL,3),(15,421,3,31,30,NULL,5,NULL,5),(15,421,3,32,1,8,6,7,4),(15,421,3,32,2,NULL,4,NULL,5),(15,421,3,32,3,5,4,4,2),(15,421,3,32,4,4,3,4,2),(15,421,3,32,5,1,2,1,2),(15,421,3,32,6,NULL,6,NULL,6),(15,421,3,32,7,NULL,2,NULL,2),(15,421,3,32,8,NULL,NULL,NULL,NULL),(15,421,3,32,9,1,NULL,1,NULL),(15,421,3,32,10,3,3,3,2),(15,421,3,32,11,NULL,5,NULL,5),(15,421,3,32,12,6,3,4,1),(15,421,3,32,13,1,3,1,3),(15,421,3,32,14,2,2,2,4),(15,421,3,32,15,3,4,2,2),(15,421,3,32,16,1,5,2,5),(15,421,3,32,17,3,7,1,5),(15,421,3,32,18,2,5,3,3),(15,421,3,32,19,1,4,1,1),(15,421,3,32,20,NULL,4,1,3),(15,421,3,32,21,NULL,NULL,NULL,NULL),(15,421,3,32,22,NULL,2,1,3),(15,421,3,32,23,NULL,NULL,NULL,NULL),(15,421,3,32,24,NULL,5,NULL,6),(15,421,3,32,25,1,NULL,1,NULL),(15,421,3,32,26,NULL,1,NULL,1),(15,421,3,32,27,NULL,1,NULL,1),(15,421,3,32,28,NULL,NULL,NULL,1),(15,421,3,32,29,NULL,7,NULL,4),(15,421,3,32,30,NULL,6,NULL,4),(15,421,3,33,1,5,7,4,7),(15,421,3,33,2,NULL,2,NULL,2),(15,421,3,33,3,3,2,3,1),(15,421,3,33,4,3,2,2,1),(15,421,3,33,5,1,6,NULL,5),(15,421,3,33,6,NULL,7,NULL,7),(15,421,3,33,7,NULL,1,NULL,3),(15,421,3,33,8,NULL,1,NULL,2),(15,421,3,33,9,NULL,1,NULL,1),(15,421,3,33,10,2,2,2,1),(15,421,3,33,11,NULL,2,NULL,2),(15,421,3,33,12,1,3,2,4),(15,421,3,33,13,NULL,3,NULL,3),(15,421,3,33,14,1,4,1,3),(15,421,3,33,15,3,4,4,5),(15,421,3,33,16,2,2,1,2),(15,421,3,33,17,4,3,4,5),(15,421,3,33,18,2,NULL,1,NULL),(15,421,3,33,19,2,4,3,1),(15,421,3,33,20,2,1,2,NULL),(15,421,3,33,21,3,NULL,1,NULL),(15,421,3,33,22,NULL,1,NULL,1),(15,421,3,33,23,NULL,2,NULL,2),(15,421,3,33,24,1,3,1,2),(15,421,3,33,25,1,3,1,1),(15,421,3,33,26,NULL,NULL,NULL,NULL),(15,421,3,33,27,NULL,2,NULL,2),(15,421,3,33,28,NULL,1,NULL,NULL),(15,421,3,33,29,NULL,5,NULL,6),(15,421,3,33,30,NULL,5,NULL,3),(15,421,3,34,1,3,4,3,5),(15,421,3,34,2,NULL,3,NULL,3),(15,421,3,34,3,NULL,3,NULL,3),(15,421,3,34,4,3,2,3,2),(15,421,3,34,5,2,2,2,3),(15,421,3,34,6,1,5,1,3),(15,421,3,34,7,1,1,1,1),(15,421,3,34,8,NULL,1,NULL,1),(15,421,3,34,9,1,NULL,1,NULL),(15,421,3,34,10,NULL,1,NULL,1),(15,421,3,34,11,NULL,1,NULL,3),(15,421,3,34,12,1,3,1,3),(15,421,3,34,13,1,2,1,2),(15,421,3,34,14,3,1,2,1),(15,421,3,34,15,2,NULL,2,1),(15,421,3,34,16,1,1,1,1),(15,421,3,34,17,4,2,5,2),(15,421,3,34,18,2,NULL,2,2),(15,421,3,34,19,NULL,2,NULL,2),(15,421,3,34,20,NULL,1,NULL,2),(15,421,3,34,21,3,NULL,3,NULL),(15,421,3,34,22,NULL,NULL,NULL,NULL),(15,421,3,34,23,NULL,NULL,NULL,NULL),(15,421,3,34,24,NULL,5,NULL,7),(15,421,3,34,25,2,4,1,4),(15,421,3,34,26,NULL,NULL,NULL,NULL),(15,421,3,34,27,NULL,NULL,NULL,1),(15,421,3,34,28,NULL,NULL,NULL,NULL),(15,421,3,34,29,NULL,4,NULL,5),(15,421,3,34,30,NULL,3,NULL,3),(15,423,1,11,1,NULL,NULL,NULL,NULL),(15,423,1,11,2,NULL,NULL,NULL,NULL),(15,423,1,11,3,NULL,NULL,NULL,NULL),(15,423,1,11,4,NULL,NULL,NULL,NULL),(15,423,1,11,5,NULL,NULL,NULL,NULL),(15,423,1,11,6,NULL,NULL,NULL,NULL),(15,423,1,11,7,NULL,NULL,NULL,NULL),(15,423,1,11,8,NULL,NULL,NULL,NULL),(15,423,1,11,9,NULL,NULL,NULL,NULL),(15,423,1,11,10,NULL,NULL,NULL,NULL),(15,423,1,11,11,NULL,NULL,NULL,NULL),(15,423,1,11,12,NULL,NULL,NULL,NULL),(15,423,1,11,13,NULL,NULL,NULL,NULL),(15,423,1,11,14,NULL,NULL,NULL,NULL),(15,423,1,11,15,NULL,NULL,NULL,NULL),(15,423,1,11,16,NULL,NULL,NULL,NULL),(15,423,1,11,17,NULL,NULL,NULL,NULL),(15,423,1,11,18,NULL,NULL,NULL,NULL),(15,423,1,11,19,NULL,NULL,NULL,NULL),(15,423,1,11,20,NULL,NULL,NULL,NULL),(15,423,1,12,1,NULL,NULL,1,NULL),(15,423,1,12,2,NULL,NULL,NULL,1),(15,423,1,12,3,NULL,NULL,NULL,1),(15,423,1,12,4,NULL,NULL,1,NULL),(15,423,1,12,5,NULL,NULL,NULL,1),(15,423,1,12,6,NULL,NULL,1,NULL),(15,423,1,12,7,NULL,NULL,1,NULL),(15,423,1,12,8,NULL,NULL,NULL,1),(15,423,1,12,9,NULL,NULL,1,NULL),(15,423,1,12,10,NULL,NULL,NULL,NULL),(15,423,1,12,11,NULL,NULL,1,NULL),(15,423,1,12,12,NULL,NULL,1,NULL),(15,423,1,12,13,NULL,NULL,1,NULL),(15,423,1,12,14,NULL,NULL,1,NULL),(15,423,1,12,15,NULL,NULL,NULL,1),(15,423,1,12,16,NULL,NULL,1,NULL),(15,423,1,12,17,NULL,NULL,1,NULL),(15,423,1,12,18,NULL,NULL,NULL,1),(15,423,1,12,19,NULL,NULL,1,NULL),(15,423,1,12,20,NULL,NULL,NULL,1),(15,423,1,13,1,NULL,NULL,NULL,NULL),(15,423,1,13,2,NULL,NULL,NULL,NULL),(15,423,1,13,3,NULL,NULL,NULL,NULL),(15,423,1,13,4,NULL,NULL,NULL,NULL),(15,423,1,13,5,NULL,NULL,NULL,NULL),(15,423,1,13,6,NULL,NULL,NULL,NULL),(15,423,1,13,7,NULL,NULL,NULL,NULL),(15,423,1,13,8,NULL,NULL,NULL,NULL),(15,423,1,13,9,NULL,NULL,NULL,NULL),(15,423,1,13,10,NULL,NULL,NULL,NULL),(15,423,1,13,11,NULL,NULL,NULL,NULL),(15,423,1,13,12,NULL,NULL,NULL,NULL),(15,423,1,13,13,NULL,NULL,NULL,NULL),(15,423,1,13,14,NULL,NULL,NULL,NULL),(15,423,1,13,15,NULL,NULL,NULL,NULL),(15,423,1,13,16,NULL,NULL,NULL,NULL),(15,423,1,13,17,NULL,NULL,NULL,NULL),(15,423,1,13,18,NULL,NULL,NULL,NULL),(15,423,1,13,19,NULL,NULL,NULL,NULL),(15,423,1,13,20,NULL,NULL,NULL,NULL),(15,423,1,14,1,3,NULL,2,1),(15,423,1,14,2,NULL,2,1,1),(15,423,1,14,3,2,1,NULL,2),(15,423,1,14,4,NULL,3,1,NULL),(15,423,1,14,5,NULL,2,1,NULL),(15,423,1,14,6,2,NULL,NULL,3),(15,423,1,14,7,1,1,3,1),(15,423,1,14,8,1,2,1,3),(15,423,1,14,9,2,NULL,3,NULL),(15,423,1,14,10,1,2,2,3),(15,423,1,14,11,NULL,NULL,NULL,2),(15,423,1,14,12,1,1,1,1),(15,423,1,14,13,NULL,1,NULL,2),(15,423,1,14,14,2,4,1,2),(15,423,1,14,15,3,NULL,5,NULL),(15,423,1,14,16,1,1,1,2),(15,423,1,14,17,1,2,3,2),(15,423,1,14,18,1,NULL,1,1),(15,423,1,14,19,1,NULL,2,1),(15,423,1,14,20,1,NULL,2,2),(15,423,1,15,1,2,3,2,1),(15,423,1,15,2,2,2,2,2),(15,423,1,15,3,NULL,3,NULL,2),(15,423,1,15,4,1,1,1,NULL),(15,423,1,15,5,1,3,1,1),(15,423,1,15,6,4,2,3,1),(15,423,1,15,7,2,NULL,1,NULL),(15,423,1,15,8,1,2,1,1),(15,423,1,15,9,1,NULL,2,NULL),(15,423,1,15,10,2,NULL,3,NULL),(15,423,1,15,11,NULL,2,NULL,2),(15,423,1,15,12,1,NULL,2,NULL),(15,423,1,15,13,2,NULL,2,NULL),(15,423,1,15,14,1,3,1,2),(15,423,1,15,15,5,NULL,2,NULL),(15,423,1,15,16,NULL,2,NULL,2),(15,423,1,15,17,2,NULL,2,NULL),(15,423,1,15,18,2,NULL,2,NULL),(15,423,1,15,19,2,1,2,1),(15,423,1,15,20,2,NULL,2,NULL),(15,423,1,16,1,14,11,8,7),(15,423,1,16,2,6,10,4,5),(15,423,1,16,3,3,18,1,10),(15,423,1,16,4,13,7,8,2),(15,423,1,16,5,1,17,1,9),(15,423,1,16,6,19,11,8,6),(15,423,1,16,7,7,7,4,6),(15,423,1,16,8,7,21,5,10),(15,423,1,16,9,12,NULL,10,NULL),(15,423,1,16,10,17,3,9,2),(15,423,1,16,11,26,5,13,2),(15,423,1,16,12,18,20,5,13),(15,423,1,16,13,4,32,2,15),(15,423,1,16,14,7,10,1,7),(15,423,1,16,15,4,8,3,4),(15,423,1,16,16,20,NULL,11,NULL),(15,423,1,16,17,8,12,6,6),(15,423,1,16,18,9,20,5,10),(15,423,1,16,19,4,2,2,2),(15,423,1,16,20,12,18,7,10),(15,423,1,17,1,8,17,2,8),(15,423,1,17,2,6,8,4,3),(15,423,1,17,3,2,16,1,7),(15,423,1,17,4,5,13,2,5),(15,423,1,17,5,2,12,NULL,4),(15,423,1,17,6,9,11,4,3),(15,423,1,17,7,10,4,3,5),(15,423,1,17,8,3,19,3,3),(15,423,1,17,9,11,NULL,6,NULL),(15,423,1,17,10,15,5,7,3),(15,423,1,17,11,13,8,7,4),(15,423,1,17,12,11,16,5,7),(15,423,1,17,13,7,24,2,9),(15,423,1,17,14,2,13,2,8),(15,423,1,17,15,1,11,NULL,2),(15,423,1,17,16,14,NULL,9,NULL),(15,423,1,17,17,12,12,2,8),(15,423,1,17,18,10,14,6,4),(15,423,1,17,19,1,10,1,3),(15,423,1,17,20,6,23,4,8),(15,423,2,21,1,1,NULL,NULL,1),(15,423,2,21,2,NULL,1,NULL,1),(15,423,2,21,3,2,3,NULL,2),(15,423,2,21,4,3,1,2,NULL),(15,423,2,21,5,10,4,5,1),(15,423,2,21,6,4,1,2,3),(15,423,2,21,7,3,1,2,1),(15,423,2,21,8,NULL,NULL,NULL,NULL),(15,423,2,21,9,1,1,NULL,NULL),(15,423,2,21,10,2,1,1,2),(15,423,2,21,11,1,8,1,3),(15,423,2,21,12,6,8,3,5),(15,423,2,21,13,9,3,5,3),(15,423,2,21,14,3,5,3,3),(15,423,2,21,15,3,7,2,3),(15,423,2,21,16,10,9,5,6),(15,423,2,21,17,NULL,6,NULL,5),(15,423,2,21,18,4,2,2,4),(15,423,2,21,19,2,10,2,4),(15,423,2,21,20,NULL,5,NULL,5),(15,423,2,21,21,1,1,NULL,NULL),(15,423,2,21,22,2,3,3,2),(15,423,2,21,23,1,5,1,3),(15,423,2,21,24,1,3,NULL,2),(15,423,2,21,25,4,NULL,5,NULL),(15,423,2,21,26,3,2,NULL,1),(15,423,2,21,27,1,4,NULL,4),(15,423,2,21,28,2,2,1,1),(15,423,2,21,29,5,9,3,6),(15,423,2,21,30,1,5,NULL,5),(15,423,2,22,1,2,2,2,2),(15,423,2,22,2,NULL,1,NULL,1),(15,423,2,22,3,4,4,1,3),(15,423,2,22,4,1,NULL,NULL,NULL),(15,423,2,22,5,4,4,4,2),(15,423,2,22,6,2,4,1,1),(15,423,2,22,7,NULL,NULL,NULL,NULL),(15,423,2,22,8,1,NULL,2,NULL),(15,423,2,22,9,4,1,4,2),(15,423,2,22,10,3,NULL,3,NULL),(15,423,2,22,11,2,8,1,6),(15,423,2,22,12,7,6,3,5),(15,423,2,22,13,7,5,6,2),(15,423,2,22,14,2,5,NULL,6),(15,423,2,22,15,4,6,3,7),(15,423,2,22,16,7,7,6,5),(15,423,2,22,17,3,5,3,5),(15,423,2,22,18,4,7,5,4),(15,423,2,22,19,1,6,NULL,5),(15,423,2,22,20,2,5,2,3),(15,423,2,22,21,1,2,1,1),(15,423,2,22,22,2,3,4,NULL),(15,423,2,22,23,NULL,8,NULL,5),(15,423,2,22,24,1,3,1,4),(15,423,2,22,25,5,NULL,5,NULL),(15,423,2,22,26,1,3,1,3),(15,423,2,22,27,2,6,1,5),(15,423,2,22,28,1,4,1,2),(15,423,2,22,29,6,11,3,7),(15,423,2,22,30,2,NULL,1,1),(15,423,2,23,1,NULL,1,NULL,2),(15,423,2,23,2,NULL,3,NULL,2),(15,423,2,23,3,1,3,1,3),(15,423,2,23,4,NULL,1,NULL,1),(15,423,2,23,5,3,7,2,2),(15,423,2,23,6,2,5,1,4),(15,423,2,23,7,1,NULL,1,NULL),(15,423,2,23,8,3,NULL,2,NULL),(15,423,2,23,9,1,3,NULL,1),(15,423,2,23,10,NULL,1,NULL,2),(15,423,2,23,11,1,2,NULL,1),(15,423,2,23,12,5,6,5,2),(15,423,2,23,13,3,3,2,1),(15,423,2,23,14,NULL,4,NULL,3),(15,423,2,23,15,3,4,1,2),(15,423,2,23,16,5,8,2,3),(15,423,2,23,17,3,4,1,2),(15,423,2,23,18,3,6,2,3),(15,423,2,23,19,NULL,7,NULL,2),(15,423,2,23,20,2,5,1,2),(15,423,2,23,21,NULL,2,NULL,NULL),(15,423,2,23,22,3,6,2,2),(15,423,2,23,23,1,4,NULL,3),(15,423,2,23,24,NULL,4,NULL,2),(15,423,2,23,25,4,NULL,1,NULL),(15,423,2,23,26,NULL,4,1,3),(15,423,2,23,27,NULL,2,NULL,1),(15,423,2,23,28,NULL,6,NULL,4),(15,423,2,23,29,4,12,2,5),(15,423,2,23,30,1,6,1,4),(15,423,2,24,1,NULL,1,NULL,1),(15,423,2,24,2,1,1,1,1),(15,423,2,24,3,3,2,1,2),(15,423,2,24,4,NULL,2,NULL,2),(15,423,2,24,5,4,4,3,3),(15,423,2,24,6,6,2,2,1),(15,423,2,24,7,NULL,NULL,NULL,NULL),(15,423,2,24,8,2,NULL,1,NULL),(15,423,2,24,9,1,3,1,2),(15,423,2,24,10,1,3,1,2),(15,423,2,24,11,NULL,4,NULL,1),(15,423,2,24,12,5,5,2,3),(15,423,2,24,13,6,NULL,3,NULL),(15,423,2,24,14,NULL,3,NULL,1),(15,423,2,24,15,2,4,2,3),(15,423,2,24,16,8,10,3,6),(15,423,2,24,17,NULL,4,NULL,3),(15,423,2,24,18,7,4,2,3),(15,423,2,24,19,1,3,NULL,3),(15,423,2,24,20,5,4,3,2),(15,423,2,24,21,NULL,1,NULL,1),(15,423,2,24,22,4,5,1,4),(15,423,2,24,23,2,6,3,3),(15,423,2,24,24,1,2,NULL,2),(15,423,2,24,25,4,NULL,3,NULL),(15,423,2,24,26,2,4,NULL,2),(15,423,2,24,27,5,4,3,3),(15,423,2,24,28,2,3,NULL,1),(15,423,2,24,29,2,12,1,6),(15,423,2,24,30,NULL,2,NULL,1),(15,423,3,31,1,8,8,4,5),(15,423,3,31,2,NULL,2,NULL,1),(15,423,3,31,3,2,2,1,1),(15,423,3,31,4,5,2,6,1),(15,423,3,31,5,1,5,NULL,4),(15,423,3,31,6,1,10,1,7),(15,423,3,31,7,1,5,NULL,3),(15,423,3,31,8,NULL,NULL,NULL,NULL),(15,423,3,31,9,1,NULL,1,NULL),(15,423,3,31,10,2,2,3,1),(15,423,3,31,11,3,NULL,1,NULL),(15,423,3,31,12,3,3,2,3),(15,423,3,31,13,1,2,1,NULL),(15,423,3,31,14,3,2,3,2),(15,423,3,31,15,2,9,1,4),(15,423,3,31,16,2,5,NULL,2),(15,423,3,31,17,7,7,4,4),(15,423,3,31,18,2,2,3,1),(15,423,3,31,19,3,2,1,1),(15,423,3,31,20,NULL,5,NULL,4),(15,423,3,31,21,1,NULL,1,NULL),(15,423,3,31,22,1,2,NULL,1),(15,423,3,31,23,NULL,4,NULL,3),(15,423,3,31,24,NULL,7,NULL,3),(15,423,3,31,25,1,1,1,NULL),(15,423,3,31,26,NULL,1,NULL,NULL),(15,423,3,31,27,1,1,NULL,1),(15,423,3,31,28,NULL,NULL,1,NULL),(15,423,3,31,29,NULL,10,NULL,6),(15,423,3,31,30,NULL,5,NULL,3),(15,423,3,32,1,7,11,3,5),(15,423,3,32,2,NULL,2,NULL,2),(15,423,3,32,3,1,3,NULL,2),(15,423,3,32,4,5,5,2,3),(15,423,3,32,5,2,6,2,2),(15,423,3,32,6,NULL,9,NULL,6),(15,423,3,32,7,NULL,NULL,NULL,NULL),(15,423,3,32,8,NULL,1,NULL,NULL),(15,423,3,32,9,NULL,NULL,NULL,NULL),(15,423,3,32,10,1,3,NULL,2),(15,423,3,32,11,NULL,NULL,NULL,1),(15,423,3,32,12,1,5,1,3),(15,423,3,32,13,1,3,1,1),(15,423,3,32,14,3,3,3,1),(15,423,3,32,15,4,4,3,1),(15,423,3,32,16,2,4,2,3),(15,423,3,32,17,3,8,1,3),(15,423,3,32,18,1,5,1,2),(15,423,3,32,19,4,5,3,4),(15,423,3,32,20,NULL,4,NULL,3),(15,423,3,32,21,1,NULL,1,NULL),(15,423,3,32,22,NULL,5,1,3),(15,423,3,32,23,NULL,NULL,NULL,NULL),(15,423,3,32,24,1,6,NULL,3),(15,423,3,32,25,1,2,NULL,3),(15,423,3,32,26,NULL,NULL,NULL,NULL),(15,423,3,32,27,NULL,1,NULL,NULL),(15,423,3,32,28,NULL,NULL,NULL,NULL),(15,423,3,32,29,NULL,8,NULL,5),(15,423,3,32,30,NULL,3,NULL,3),(15,423,3,33,1,14,9,5,6),(15,423,3,33,2,NULL,2,NULL,2),(15,423,3,33,3,4,5,2,2),(15,423,3,33,4,1,3,2,3),(15,423,3,33,5,1,5,1,4),(15,423,3,33,6,1,5,2,2),(15,423,3,33,7,NULL,8,NULL,5),(15,423,3,33,8,NULL,1,NULL,NULL),(15,423,3,33,9,NULL,1,NULL,2),(15,423,3,33,10,2,6,1,4),(15,423,3,33,11,2,2,1,1),(15,423,3,33,12,4,9,4,5),(15,423,3,33,13,NULL,8,NULL,3),(15,423,3,33,14,3,NULL,2,NULL),(15,423,3,33,15,6,5,5,NULL),(15,423,3,33,16,NULL,6,NULL,3),(15,423,3,33,17,6,10,3,5),(15,423,3,33,18,1,4,NULL,4),(15,423,3,33,19,NULL,5,1,3),(15,423,3,33,20,NULL,2,NULL,1),(15,423,3,33,21,1,NULL,1,NULL),(15,423,3,33,22,NULL,6,NULL,4),(15,423,3,33,23,NULL,2,NULL,1),(15,423,3,33,24,NULL,5,NULL,4),(15,423,3,33,25,NULL,2,NULL,2),(15,423,3,33,26,NULL,2,NULL,1),(15,423,3,33,27,1,1,NULL,NULL),(15,423,3,33,28,NULL,NULL,NULL,NULL),(15,423,3,33,29,1,10,NULL,5),(15,423,3,33,30,NULL,9,NULL,4),(15,423,3,34,1,8,18,4,7),(15,423,3,34,2,NULL,5,NULL,2),(15,423,3,34,3,5,2,3,2),(15,423,3,34,4,2,3,1,3),(15,423,3,34,5,NULL,6,NULL,5),(15,423,3,34,6,2,10,NULL,5),(15,423,3,34,7,NULL,1,NULL,2),(15,423,3,34,8,NULL,1,NULL,2),(15,423,3,34,9,NULL,5,NULL,2),(15,423,3,34,10,3,2,1,2),(15,423,3,34,11,NULL,NULL,NULL,NULL),(15,423,3,34,12,6,3,4,3),(15,423,3,34,13,NULL,8,NULL,3),(15,423,3,34,14,5,3,5,2),(15,423,3,34,15,4,4,4,2),(15,423,3,34,16,1,8,NULL,5),(15,423,3,34,17,12,9,7,3),(15,423,3,34,18,1,4,1,1),(15,423,3,34,19,2,4,2,4),(15,423,3,34,20,NULL,5,NULL,2),(15,423,3,34,21,NULL,NULL,NULL,NULL),(15,423,3,34,22,NULL,4,NULL,3),(15,423,3,34,23,1,1,NULL,2),(15,423,3,34,24,NULL,10,NULL,3),(15,423,3,34,25,NULL,2,1,1),(15,423,3,34,26,NULL,2,NULL,2),(15,423,3,34,27,NULL,2,NULL,1),(15,423,3,34,28,NULL,NULL,NULL,NULL),(15,423,3,34,29,NULL,8,NULL,3),(15,423,3,34,30,NULL,6,NULL,2),(15,424,1,11,1,NULL,NULL,NULL,NULL),(15,424,1,11,2,NULL,NULL,NULL,NULL),(15,424,1,11,3,NULL,NULL,NULL,NULL),(15,424,1,11,4,NULL,NULL,NULL,NULL),(15,424,1,11,5,NULL,NULL,NULL,NULL),(15,424,1,11,6,NULL,NULL,NULL,NULL),(15,424,1,11,7,NULL,NULL,NULL,NULL),(15,424,1,11,8,NULL,NULL,NULL,NULL),(15,424,1,11,9,NULL,NULL,NULL,NULL),(15,424,1,11,10,NULL,NULL,NULL,NULL),(15,424,1,11,11,NULL,NULL,NULL,NULL),(15,424,1,11,12,NULL,NULL,NULL,NULL),(15,424,1,11,13,NULL,NULL,NULL,NULL),(15,424,1,11,14,NULL,NULL,NULL,NULL),(15,424,1,11,15,NULL,NULL,NULL,NULL),(15,424,1,11,16,NULL,NULL,NULL,NULL),(15,424,1,11,17,NULL,NULL,NULL,NULL),(15,424,1,11,18,NULL,NULL,NULL,NULL),(15,424,1,11,19,NULL,NULL,NULL,NULL),(15,424,1,11,20,NULL,NULL,NULL,NULL),(15,424,1,12,1,NULL,3,NULL,3),(15,424,1,12,2,1,2,1,2),(15,424,1,12,3,2,3,2,2),(15,424,1,12,4,2,2,2,2),(15,424,1,12,5,NULL,NULL,NULL,NULL),(15,424,1,12,6,2,3,1,3),(15,424,1,12,7,1,1,1,1),(15,424,1,12,8,3,3,2,3),(15,424,1,12,9,3,NULL,3,NULL),(15,424,1,12,10,3,1,3,1),(15,424,1,12,11,4,1,4,NULL),(15,424,1,12,12,NULL,6,NULL,5),(15,424,1,12,13,5,1,4,1),(15,424,1,12,14,3,1,3,1),(15,424,1,12,15,5,2,4,1),(15,424,1,12,16,4,2,4,1),(15,424,1,12,17,4,NULL,4,NULL),(15,424,1,12,18,5,1,4,1),(15,424,1,12,19,4,NULL,4,NULL),(15,424,1,12,20,2,2,2,2),(15,424,1,13,1,NULL,NULL,NULL,NULL),(15,424,1,13,2,NULL,NULL,NULL,NULL),(15,424,1,13,3,NULL,NULL,NULL,NULL),(15,424,1,13,4,NULL,NULL,NULL,NULL),(15,424,1,13,5,NULL,NULL,NULL,NULL),(15,424,1,13,6,NULL,NULL,NULL,NULL),(15,424,1,13,7,NULL,NULL,NULL,NULL),(15,424,1,13,8,NULL,NULL,NULL,NULL),(15,424,1,13,9,NULL,NULL,NULL,NULL),(15,424,1,13,10,NULL,NULL,NULL,NULL),(15,424,1,13,11,NULL,NULL,NULL,NULL),(15,424,1,13,12,NULL,NULL,NULL,NULL),(15,424,1,13,13,NULL,NULL,NULL,NULL),(15,424,1,13,14,NULL,NULL,NULL,NULL),(15,424,1,13,15,NULL,NULL,NULL,NULL),(15,424,1,13,16,NULL,NULL,NULL,NULL),(15,424,1,13,17,NULL,NULL,NULL,NULL),(15,424,1,13,18,NULL,NULL,NULL,NULL),(15,424,1,13,19,NULL,NULL,NULL,NULL),(15,424,1,13,20,NULL,NULL,NULL,NULL),(15,424,1,14,1,9,8,4,4),(15,424,1,14,2,8,3,5,1),(15,424,1,14,3,1,11,1,8),(15,424,1,14,4,7,3,4,3),(15,424,1,14,5,2,5,1,4),(15,424,1,14,6,9,7,7,3),(15,424,1,14,7,6,1,5,2),(15,424,1,14,8,4,6,3,4),(15,424,1,14,9,7,NULL,4,NULL),(15,424,1,14,10,10,2,6,2),(15,424,1,14,11,4,5,2,5),(15,424,1,14,12,1,7,1,7),(15,424,1,14,13,6,3,3,2),(15,424,1,14,14,9,11,9,2),(15,424,1,14,15,14,NULL,9,NULL),(15,424,1,14,16,2,2,3,1),(15,424,1,14,17,8,2,7,1),(15,424,1,14,18,3,1,2,2),(15,424,1,14,19,6,3,3,3),(15,424,1,14,20,9,5,6,4),(15,424,1,15,1,10,6,6,4),(15,424,1,15,2,5,3,5,2),(15,424,1,15,3,3,8,2,5),(15,424,1,15,4,1,8,1,7),(15,424,1,15,5,NULL,10,NULL,5),(15,424,1,15,6,12,1,7,2),(15,424,1,15,7,5,4,5,3),(15,424,1,15,8,8,8,6,4),(15,424,1,15,9,5,NULL,5,NULL),(15,424,1,15,10,9,3,9,2),(15,424,1,15,11,3,5,4,4),(15,424,1,15,12,5,2,4,1),(15,424,1,15,13,8,4,7,2),(15,424,1,15,14,6,10,5,6),(15,424,1,15,15,14,NULL,11,NULL),(15,424,1,15,16,2,2,2,2),(15,424,1,15,17,8,1,7,1),(15,424,1,15,18,5,3,4,3),(15,424,1,15,19,10,2,9,1),(15,424,1,15,20,7,4,6,3),(15,424,1,16,1,6,7,2,3),(15,424,1,16,2,5,2,1,1),(15,424,1,16,3,2,7,2,3),(15,424,1,16,4,6,2,4,1),(15,424,1,16,5,1,8,NULL,3),(15,424,1,16,6,11,5,3,3),(15,424,1,16,7,4,4,2,3),(15,424,1,16,8,4,10,2,3),(15,424,1,16,9,6,NULL,4,NULL),(15,424,1,16,10,4,2,1,1),(15,424,1,16,11,7,4,2,2),(15,424,1,16,12,5,9,2,4),(15,424,1,16,13,3,14,1,5),(15,424,1,16,14,5,4,NULL,2),(15,424,1,16,15,2,7,3,1),(15,424,1,16,16,6,NULL,1,NULL),(15,424,1,16,17,6,2,2,1),(15,424,1,16,18,4,7,2,2),(15,424,1,16,19,1,3,NULL,NULL),(15,424,1,16,20,5,4,3,3),(15,424,1,17,1,7,11,1,3),(15,424,1,17,2,2,4,2,2),(15,424,1,17,3,NULL,9,NULL,5),(15,424,1,17,4,4,9,NULL,4),(15,424,1,17,5,1,6,1,1),(15,424,1,17,6,2,8,NULL,3),(15,424,1,17,7,8,4,3,2),(15,424,1,17,8,2,10,NULL,5),(15,424,1,17,9,6,NULL,4,NULL),(15,424,1,17,10,10,5,4,2),(15,424,1,17,11,8,5,2,4),(15,424,1,17,12,5,10,3,3),(15,424,1,17,13,3,16,1,5),(15,424,1,17,14,2,9,NULL,5),(15,424,1,17,15,2,3,1,1),(15,424,1,17,16,6,NULL,3,NULL),(15,424,1,17,17,2,7,1,3),(15,424,1,17,18,4,11,2,1),(15,424,1,17,19,1,3,NULL,1),(15,424,1,17,20,4,12,2,4),(15,424,2,21,1,1,1,NULL,2),(15,424,2,21,2,NULL,3,NULL,2),(15,424,2,21,3,1,2,NULL,1),(15,424,2,21,4,1,1,2,NULL),(15,424,2,21,5,5,4,4,2),(15,424,2,21,6,2,5,3,2),(15,424,2,21,7,2,NULL,2,NULL),(15,424,2,21,8,NULL,NULL,NULL,NULL),(15,424,2,21,9,1,2,1,2),(15,424,2,21,10,3,2,2,NULL),(15,424,2,21,11,3,6,2,3),(15,424,2,21,12,7,7,5,6),(15,424,2,21,13,6,6,4,6),(15,424,2,21,14,6,6,4,3),(15,424,2,21,15,2,7,3,3),(15,424,2,21,16,8,11,6,6),(15,424,2,21,17,2,6,2,4),(15,424,2,21,18,5,9,2,8),(15,424,2,21,19,2,9,2,5),(15,424,2,21,20,2,5,1,4),(15,424,2,21,21,2,1,1,2),(15,424,2,21,22,6,4,6,NULL),(15,424,2,21,23,2,10,1,7),(15,424,2,21,24,2,2,2,1),(15,424,2,21,25,11,NULL,10,NULL),(15,424,2,21,26,2,3,1,3),(15,424,2,21,27,2,5,1,4),(15,424,2,21,28,1,6,2,5),(15,424,2,21,29,8,13,7,7),(15,424,2,21,30,1,3,1,2),(15,424,2,22,1,NULL,3,NULL,2),(15,424,2,22,2,2,3,2,2),(15,424,2,22,3,1,6,1,4),(15,424,2,22,4,NULL,1,NULL,1),(15,424,2,22,5,5,4,4,3),(15,424,2,22,6,NULL,5,NULL,4),(15,424,2,22,7,1,1,1,NULL),(15,424,2,22,8,1,NULL,1,NULL),(15,424,2,22,9,NULL,7,NULL,5),(15,424,2,22,10,2,2,2,1),(15,424,2,22,11,1,6,1,3),(15,424,2,22,12,8,6,3,5),(15,424,2,22,13,8,4,5,4),(15,424,2,22,14,3,4,2,4),(15,424,2,22,15,6,3,3,3),(15,424,2,22,16,5,10,1,5),(15,424,2,22,17,2,4,NULL,3),(15,424,2,22,18,4,7,3,5),(15,424,2,22,19,NULL,9,1,5),(15,424,2,22,20,2,5,2,4),(15,424,2,22,21,NULL,1,1,1),(15,424,2,22,22,6,3,6,2),(15,424,2,22,23,1,2,1,1),(15,424,2,22,24,1,6,1,5),(15,424,2,22,25,7,NULL,5,NULL),(15,424,2,22,26,NULL,3,1,3),(15,424,2,22,27,1,7,NULL,3),(15,424,2,22,28,2,8,1,5),(15,424,2,22,29,5,11,4,7),(15,424,2,22,30,2,NULL,1,NULL),(15,424,2,23,1,NULL,NULL,NULL,NULL),(15,424,2,23,2,NULL,1,NULL,1),(15,424,2,23,3,2,2,NULL,NULL),(15,424,2,23,4,1,1,1,1),(15,424,2,23,5,6,4,2,3),(15,424,2,23,6,2,3,2,NULL),(15,424,2,23,7,1,NULL,1,NULL),(15,424,2,23,8,2,NULL,NULL,NULL),(15,424,2,23,9,1,6,NULL,3),(15,424,2,23,10,1,2,1,1),(15,424,2,23,11,4,4,1,3),(15,424,2,23,12,12,7,4,3),(15,424,2,23,13,8,1,2,NULL),(15,424,2,23,14,1,6,NULL,5),(15,424,2,23,15,4,6,1,4),(15,424,2,23,16,12,7,4,2),(15,424,2,23,17,2,10,NULL,4),(15,424,2,23,18,13,1,4,1),(15,424,2,23,19,4,9,NULL,3),(15,424,2,23,20,2,7,NULL,3),(15,424,2,23,21,NULL,1,NULL,1),(15,424,2,23,22,4,5,2,3),(15,424,2,23,23,1,3,NULL,2),(15,424,2,23,24,3,6,2,1),(15,424,2,23,25,8,NULL,4,NULL),(15,424,2,23,26,1,3,1,2),(15,424,2,23,27,3,4,1,1),(15,424,2,23,28,NULL,5,NULL,4),(15,424,2,23,29,5,13,1,5),(15,424,2,23,30,NULL,5,NULL,4),(15,424,2,24,1,NULL,2,NULL,3),(15,424,2,24,2,1,NULL,1,1),(15,424,2,24,3,1,5,NULL,2),(15,424,2,24,4,1,3,1,2),(15,424,2,24,5,1,7,2,5),(15,424,2,24,6,NULL,4,NULL,2),(15,424,2,24,7,NULL,NULL,NULL,NULL),(15,424,2,24,8,1,NULL,1,NULL),(15,424,2,24,9,3,3,3,2),(15,424,2,24,10,3,NULL,3,NULL),(15,424,2,24,11,4,3,2,2),(15,424,2,24,12,6,6,3,3),(15,424,2,24,13,6,5,4,2),(15,424,2,24,14,2,4,1,4),(15,424,2,24,15,NULL,6,1,3),(15,424,2,24,16,9,6,3,5),(15,424,2,24,17,1,3,NULL,2),(15,424,2,24,18,8,6,5,2),(15,424,2,24,19,NULL,10,NULL,6),(15,424,2,24,20,4,4,3,2),(15,424,2,24,21,NULL,1,NULL,1),(15,424,2,24,22,4,4,4,2),(15,424,2,24,23,1,3,1,2),(15,424,2,24,24,1,2,1,2),(15,424,2,24,25,5,NULL,5,NULL),(15,424,2,24,26,1,7,1,1),(15,424,2,24,27,1,5,1,2),(15,424,2,24,28,NULL,2,NULL,NULL),(15,424,2,24,29,3,11,4,4),(15,424,2,24,30,NULL,3,NULL,NULL),(15,424,3,31,1,12,7,4,4),(15,424,3,31,2,NULL,4,NULL,3),(15,424,3,31,3,3,6,1,2),(15,424,3,31,4,1,NULL,1,NULL),(15,424,3,31,5,1,6,NULL,3),(15,424,3,31,6,1,6,1,2),(15,424,3,31,7,NULL,1,NULL,NULL),(15,424,3,31,8,1,NULL,1,NULL),(15,424,3,31,9,NULL,2,NULL,1),(15,424,3,31,10,1,5,1,2),(15,424,3,31,11,NULL,2,NULL,1),(15,424,3,31,12,4,6,1,5),(15,424,3,31,13,3,5,2,3),(15,424,3,31,14,4,2,2,2),(15,424,3,31,15,7,3,4,2),(15,424,3,31,16,3,7,NULL,2),(15,424,3,31,17,10,4,4,2),(15,424,3,31,18,1,4,1,2),(15,424,3,31,19,2,3,1,2),(15,424,3,31,20,2,2,1,NULL),(15,424,3,31,21,NULL,NULL,NULL,NULL),(15,424,3,31,22,NULL,1,NULL,1),(15,424,3,31,23,NULL,1,NULL,NULL),(15,424,3,31,24,1,7,1,4),(15,424,3,31,25,NULL,3,NULL,3),(15,424,3,31,26,1,2,1,1),(15,424,3,31,27,NULL,1,NULL,NULL),(15,424,3,31,28,1,2,1,1),(15,424,3,31,29,NULL,8,NULL,2),(15,424,3,31,30,NULL,11,NULL,5),(15,424,3,32,1,17,8,4,3),(15,424,3,32,2,2,3,1,NULL),(15,424,3,32,3,3,4,1,3),(15,424,3,32,4,3,3,1,3),(15,424,3,32,5,3,1,2,NULL),(15,424,3,32,6,1,8,1,3),(15,424,3,32,7,NULL,4,NULL,2),(15,424,3,32,8,1,NULL,1,NULL),(15,424,3,32,9,1,NULL,1,NULL),(15,424,3,32,10,1,4,1,1),(15,424,3,32,11,3,3,NULL,NULL),(15,424,3,32,12,7,7,5,1),(15,424,3,32,13,NULL,3,NULL,2),(15,424,3,32,14,5,6,4,2),(15,424,3,32,15,4,9,1,4),(15,424,3,32,16,4,10,2,4),(15,424,3,32,17,6,10,2,5),(15,424,3,32,18,1,5,1,2),(15,424,3,32,19,2,5,1,2),(15,424,3,32,20,1,4,1,1),(15,424,3,32,21,1,NULL,1,NULL),(15,424,3,32,22,1,5,NULL,3),(15,424,3,32,23,2,1,NULL,1),(15,424,3,32,24,1,7,1,4),(15,424,3,32,25,NULL,2,NULL,1),(15,424,3,32,26,NULL,2,NULL,NULL),(15,424,3,32,27,1,1,NULL,1),(15,424,3,32,28,NULL,1,NULL,NULL),(15,424,3,32,29,1,11,NULL,4),(15,424,3,32,30,NULL,9,NULL,2),(15,424,3,33,1,8,12,5,6),(15,424,3,33,2,1,3,1,2),(15,424,3,33,3,5,3,3,2),(15,424,3,33,4,4,3,3,4),(15,424,3,33,5,2,7,2,6),(15,424,3,33,6,NULL,12,NULL,5),(15,424,3,33,7,NULL,4,NULL,3),(15,424,3,33,8,NULL,2,NULL,2),(15,424,3,33,9,3,NULL,3,1),(15,424,3,33,10,1,1,NULL,1),(15,424,3,33,11,1,4,1,2),(15,424,3,33,12,6,9,5,4),(15,424,3,33,13,2,5,2,2),(15,424,3,33,14,2,6,3,4),(15,424,3,33,15,7,3,8,NULL),(15,424,3,33,16,3,7,3,3),(15,424,3,33,17,10,6,8,1),(15,424,3,33,18,1,3,1,2),(15,424,3,33,19,1,3,1,3),(15,424,3,33,20,1,6,1,4),(15,424,3,33,21,1,NULL,NULL,NULL),(15,424,3,33,22,3,NULL,2,1),(15,424,3,33,23,NULL,1,NULL,1),(15,424,3,33,24,1,7,1,4),(15,424,3,33,25,NULL,NULL,NULL,NULL),(15,424,3,33,26,1,2,NULL,1),(15,424,3,33,27,NULL,NULL,NULL,NULL),(15,424,3,33,28,NULL,NULL,NULL,NULL),(15,424,3,33,29,NULL,12,NULL,6),(15,424,3,33,30,NULL,7,NULL,5),(15,424,3,34,1,9,14,7,7),(15,424,3,34,2,NULL,4,NULL,4),(15,424,3,34,3,4,6,4,4),(15,424,3,34,4,7,5,7,4),(15,424,3,34,5,2,7,1,8),(15,424,3,34,6,1,10,2,6),(15,424,3,34,7,NULL,3,NULL,3),(15,424,3,34,8,NULL,2,NULL,3),(15,424,3,34,9,NULL,4,1,2),(15,424,3,34,10,NULL,3,NULL,2),(15,424,3,34,11,2,5,2,4),(15,424,3,34,12,8,8,6,4),(15,424,3,34,13,2,5,2,2),(15,424,3,34,14,8,1,5,2),(15,424,3,34,15,3,7,4,6),(15,424,3,34,16,4,8,3,6),(15,424,3,34,17,12,6,8,3),(15,424,3,34,18,4,7,3,3),(15,424,3,34,19,2,4,1,2),(15,424,3,34,20,6,3,5,2),(15,424,3,34,21,NULL,NULL,2,NULL),(15,424,3,34,22,1,5,NULL,3),(15,424,3,34,23,NULL,3,NULL,1),(15,424,3,34,24,NULL,8,NULL,7),(15,424,3,34,25,NULL,2,NULL,3),(15,424,3,34,26,NULL,2,NULL,1),(15,424,3,34,27,NULL,1,NULL,1),(15,424,3,34,28,NULL,1,NULL,1),(15,424,3,34,29,NULL,9,NULL,7),(15,424,3,34,30,NULL,5,NULL,3),(15,425,1,11,1,NULL,NULL,NULL,NULL),(15,425,1,11,2,1,NULL,NULL,NULL),(15,425,1,11,3,NULL,NULL,NULL,NULL),(15,425,1,11,4,NULL,NULL,NULL,NULL),(15,425,1,11,5,1,NULL,NULL,NULL),(15,425,1,11,6,NULL,NULL,NULL,NULL),(15,425,1,11,7,NULL,NULL,NULL,NULL),(15,425,1,11,8,NULL,1,NULL,NULL),(15,425,1,11,9,NULL,NULL,NULL,NULL),(15,425,1,11,10,NULL,NULL,NULL,NULL),(15,425,1,11,11,NULL,NULL,NULL,NULL),(15,425,1,11,12,NULL,NULL,NULL,NULL),(15,425,1,11,13,NULL,NULL,NULL,NULL),(15,425,1,11,14,NULL,NULL,NULL,NULL),(15,425,1,11,15,NULL,1,NULL,NULL),(15,425,1,11,16,NULL,NULL,NULL,NULL),(15,425,1,11,17,NULL,NULL,NULL,NULL),(15,425,1,11,18,NULL,NULL,NULL,NULL),(15,425,1,11,19,NULL,NULL,NULL,NULL),(15,425,1,11,20,1,NULL,NULL,NULL),(15,425,1,12,1,1,NULL,NULL,NULL),(15,425,1,12,2,NULL,1,NULL,NULL),(15,425,1,12,3,NULL,1,NULL,NULL),(15,425,1,12,4,1,NULL,NULL,NULL),(15,425,1,12,5,NULL,1,NULL,NULL),(15,425,1,12,6,1,NULL,NULL,NULL),(15,425,1,12,7,1,NULL,NULL,NULL),(15,425,1,12,8,NULL,1,NULL,NULL),(15,425,1,12,9,1,NULL,NULL,NULL),(15,425,1,12,10,NULL,NULL,NULL,NULL),(15,425,1,12,11,1,NULL,NULL,NULL),(15,425,1,12,12,1,NULL,NULL,NULL),(15,425,1,12,13,1,NULL,NULL,NULL),(15,425,1,12,14,1,NULL,NULL,NULL),(15,425,1,12,15,NULL,1,NULL,NULL),(15,425,1,12,16,1,NULL,NULL,NULL),(15,425,1,12,17,1,NULL,NULL,NULL),(15,425,1,12,18,NULL,1,NULL,NULL),(15,425,1,12,19,1,NULL,NULL,NULL),(15,425,1,12,20,NULL,1,NULL,NULL),(15,425,1,13,1,NULL,NULL,NULL,NULL),(15,425,1,13,2,NULL,NULL,NULL,NULL),(15,425,1,13,3,1,NULL,1,NULL),(15,425,1,13,4,1,NULL,1,NULL),(15,425,1,13,5,NULL,1,NULL,1),(15,425,1,13,6,NULL,1,NULL,1),(15,425,1,13,7,1,NULL,1,NULL),(15,425,1,13,8,NULL,1,NULL,1),(15,425,1,13,9,1,NULL,1,NULL),(15,425,1,13,10,NULL,NULL,NULL,NULL),(15,425,1,13,11,1,NULL,1,NULL),(15,425,1,13,12,1,NULL,1,NULL),(15,425,1,13,13,NULL,1,NULL,1),(15,425,1,13,14,1,NULL,1,NULL),(15,425,1,13,15,1,NULL,1,NULL),(15,425,1,13,16,1,NULL,1,NULL),(15,425,1,13,17,1,NULL,1,NULL),(15,425,1,13,18,1,NULL,1,NULL),(15,425,1,13,19,NULL,1,NULL,1),(15,425,1,13,20,1,NULL,1,NULL),(15,425,1,14,1,36,28,14,4),(15,425,1,14,2,19,20,4,11),(15,425,1,14,3,8,37,3,12),(15,425,1,14,4,13,21,5,10),(15,425,1,14,5,11,24,4,9),(15,425,1,14,6,30,30,7,9),(15,425,1,14,7,27,8,8,4),(15,425,1,14,8,21,33,6,8),(15,425,1,14,9,29,NULL,10,NULL),(15,425,1,14,10,34,13,12,3),(15,425,1,14,11,13,27,8,6),(15,425,1,14,12,12,27,4,11),(15,425,1,14,13,21,17,9,4),(15,425,1,14,14,39,26,15,3),(15,425,1,14,15,54,NULL,17,NULL),(15,425,1,14,16,21,12,11,2),(15,425,1,14,17,39,9,14,2),(15,425,1,14,18,16,14,10,2),(15,425,1,14,19,29,20,10,5),(15,425,1,14,20,31,28,10,8),(15,425,1,15,1,31,23,7,5),(15,425,1,15,2,16,17,5,5),(15,425,1,15,3,6,28,4,6),(15,425,1,15,4,9,17,4,6),(15,425,1,15,5,5,25,1,6),(15,425,1,15,6,22,34,1,11),(15,425,1,15,7,19,5,7,2),(15,425,1,15,8,17,31,5,7),(15,425,1,15,9,26,NULL,6,NULL),(15,425,1,15,10,30,9,10,3),(15,425,1,15,11,8,18,3,9),(15,425,1,15,12,5,13,3,4),(15,425,1,15,13,10,9,2,6),(15,425,1,15,14,31,28,10,6),(15,425,1,15,15,50,NULL,14,NULL),(15,425,1,15,16,13,13,6,4),(15,425,1,15,17,24,5,9,2),(15,425,1,15,18,12,12,6,4),(15,425,1,15,19,27,13,9,2),(15,425,1,15,20,23,17,9,5),(15,425,1,16,1,5,1,1,1),(15,425,1,16,2,3,1,2,NULL),(15,425,1,16,3,1,2,NULL,2),(15,425,1,16,4,1,5,1,2),(15,425,1,16,5,1,5,1,1),(15,425,1,16,6,4,3,1,2),(15,425,1,16,7,3,1,2,1),(15,425,1,16,8,1,4,NULL,2),(15,425,1,16,9,3,NULL,3,NULL),(15,425,1,16,10,5,1,1,1),(15,425,1,16,11,3,2,1,2),(15,425,1,16,12,5,2,2,1),(15,425,1,16,13,NULL,8,NULL,2),(15,425,1,16,14,3,2,1,1),(15,425,1,16,15,2,NULL,NULL,NULL),(15,425,1,16,16,5,NULL,2,NULL),(15,425,1,16,17,1,2,NULL,2),(15,425,1,16,18,2,3,2,1),(15,425,1,16,19,1,1,1,NULL),(15,425,1,16,20,1,4,NULL,3),(15,425,1,17,1,4,5,NULL,NULL),(15,425,1,17,2,2,NULL,NULL,NULL),(15,425,1,17,3,1,3,NULL,NULL),(15,425,1,17,4,2,1,NULL,NULL),(15,425,1,17,5,NULL,5,NULL,NULL),(15,425,1,17,6,4,3,NULL,NULL),(15,425,1,17,7,2,1,NULL,NULL),(15,425,1,17,8,1,5,NULL,NULL),(15,425,1,17,9,5,NULL,NULL,NULL),(15,425,1,17,10,6,2,NULL,NULL),(15,425,1,17,11,3,3,NULL,NULL),(15,425,1,17,12,4,6,NULL,NULL),(15,425,1,17,13,1,6,NULL,NULL),(15,425,1,17,14,1,4,NULL,NULL),(15,425,1,17,15,NULL,3,NULL,NULL),(15,425,1,17,16,5,NULL,NULL,NULL),(15,425,1,17,17,7,1,NULL,NULL),(15,425,1,17,18,3,6,NULL,NULL),(15,425,1,17,19,NULL,NULL,NULL,NULL),(15,425,1,17,20,3,5,NULL,NULL),(15,425,2,21,1,NULL,6,NULL,2),(15,425,2,21,2,NULL,1,NULL,NULL),(15,425,2,21,3,4,7,1,NULL),(15,425,2,21,4,6,3,2,2),(15,425,2,21,5,9,10,4,3),(15,425,2,21,6,5,10,1,3),(15,425,2,21,7,1,3,NULL,2),(15,425,2,21,8,3,NULL,2,NULL),(15,425,2,21,9,4,4,3,2),(15,425,2,21,10,3,2,1,1),(15,425,2,21,11,5,7,4,NULL),(15,425,2,21,12,19,8,7,2),(15,425,2,21,13,13,9,3,3),(15,425,2,21,14,5,12,1,5),(15,425,2,21,15,9,11,4,6),(15,425,2,21,16,15,18,7,4),(15,425,2,21,17,4,8,2,2),(15,425,2,21,18,9,8,6,1),(15,425,2,21,19,4,22,1,6),(15,425,2,21,20,7,10,4,2),(15,425,2,21,21,1,3,NULL,NULL),(15,425,2,21,22,17,4,6,1),(15,425,2,21,23,8,5,3,NULL),(15,425,2,21,24,1,5,NULL,2),(15,425,2,21,25,14,NULL,5,NULL),(15,425,2,21,26,8,10,NULL,4),(15,425,2,21,27,4,7,NULL,2),(15,425,2,21,28,3,5,2,2),(15,425,2,21,29,14,18,3,5),(15,425,2,21,30,1,4,NULL,1),(15,425,2,22,1,2,4,1,1),(15,425,2,22,2,NULL,2,NULL,NULL),(15,425,2,22,3,2,2,NULL,NULL),(15,425,2,22,4,2,NULL,1,NULL),(15,425,2,22,5,10,7,3,1),(15,425,2,22,6,7,7,1,1),(15,425,2,22,7,NULL,1,NULL,NULL),(15,425,2,22,8,NULL,NULL,NULL,NULL),(15,425,2,22,9,3,5,2,1),(15,425,2,22,10,4,2,1,NULL),(15,425,2,22,11,5,8,1,1),(15,425,2,22,12,12,13,2,3),(15,425,2,22,13,12,5,2,3),(15,425,2,22,14,5,9,3,2),(15,425,2,22,15,11,8,2,1),(15,425,2,22,16,16,14,2,4),(15,425,2,22,17,8,9,2,2),(15,425,2,22,18,12,5,1,2),(15,425,2,22,19,5,18,1,3),(15,425,2,22,20,3,6,2,1),(15,425,2,22,21,1,1,NULL,NULL),(15,425,2,22,22,8,15,3,3),(15,425,2,22,23,3,6,2,1),(15,425,2,22,24,4,8,1,3),(15,425,2,22,25,12,NULL,4,NULL),(15,425,2,22,26,5,3,1,NULL),(15,425,2,22,27,4,7,1,2),(15,425,2,22,28,2,6,1,1),(15,425,2,22,29,8,23,3,3),(15,425,2,22,30,1,2,1,1),(15,425,2,23,1,1,2,1,2),(15,425,2,23,2,2,1,1,NULL),(15,425,2,23,3,2,7,NULL,3),(15,425,2,23,4,1,6,1,3),(15,425,2,23,5,9,12,4,7),(15,425,2,23,6,4,12,1,8),(15,425,2,23,7,4,3,3,1),(15,425,2,23,8,1,NULL,1,NULL),(15,425,2,23,9,5,7,3,2),(15,425,2,23,10,8,8,5,6),(15,425,2,23,11,4,12,1,8),(15,425,2,23,12,14,14,4,7),(15,425,2,23,13,7,13,4,6),(15,425,2,23,14,2,12,1,5),(15,425,2,23,15,6,15,1,8),(15,425,2,23,16,13,20,4,7),(15,425,2,23,17,3,8,3,4),(15,425,2,23,18,10,10,6,6),(15,425,2,23,19,4,18,NULL,6),(15,425,2,23,20,9,10,3,2),(15,425,2,23,21,1,2,1,NULL),(15,425,2,23,22,9,11,5,5),(15,425,2,23,23,3,12,1,7),(15,425,2,23,24,4,7,1,3),(15,425,2,23,25,15,NULL,7,NULL),(15,425,2,23,26,3,8,NULL,4),(15,425,2,23,27,3,9,NULL,6),(15,425,2,23,28,2,5,1,5),(15,425,2,23,29,6,28,1,10),(15,425,2,23,30,4,6,1,5),(15,425,2,24,1,1,6,1,2),(15,425,2,24,2,1,4,NULL,2),(15,425,2,24,3,1,8,NULL,4),(15,425,2,24,4,2,4,1,3),(15,425,2,24,5,10,9,3,4),(15,425,2,24,6,4,10,3,1),(15,425,2,24,7,NULL,1,NULL,NULL),(15,425,2,24,8,2,NULL,NULL,NULL),(15,425,2,24,9,4,10,1,2),(15,425,2,24,10,6,5,4,1),(15,425,2,24,11,7,12,1,3),(15,425,2,24,12,15,17,5,4),(15,425,2,24,13,17,4,3,2),(15,425,2,24,14,2,12,NULL,4),(15,425,2,24,15,5,18,1,4),(15,425,2,24,16,21,19,4,4),(15,425,2,24,17,3,12,NULL,5),(15,425,2,24,18,9,8,3,2),(15,425,2,24,19,8,22,1,5),(15,425,2,24,20,7,11,3,2),(15,425,2,24,21,NULL,2,NULL,1),(15,425,2,24,22,14,11,4,4),(15,425,2,24,23,3,16,NULL,6),(15,425,2,24,24,NULL,13,NULL,5),(15,425,2,24,25,22,NULL,7,NULL),(15,425,2,24,26,3,8,NULL,2),(15,425,2,24,27,4,11,1,4),(15,425,2,24,28,2,8,NULL,2),(15,425,2,24,29,12,27,2,6),(15,425,2,24,30,2,11,NULL,4),(15,425,3,31,1,25,23,7,2),(15,425,3,31,2,1,10,NULL,6),(15,425,3,31,3,11,9,5,2),(15,425,3,31,4,10,6,3,1),(15,425,3,31,5,5,12,1,3),(15,425,3,31,6,4,21,1,4),(15,425,3,31,7,NULL,7,NULL,3),(15,425,3,31,8,1,1,NULL,1),(15,425,3,31,9,2,10,1,1),(15,425,3,31,10,3,13,NULL,4),(15,425,3,31,11,3,5,1,1),(15,425,3,31,12,10,11,5,3),(15,425,3,31,13,3,11,NULL,5),(15,425,3,31,14,11,4,5,2),(15,425,3,31,15,12,7,3,1),(15,425,3,31,16,5,8,2,3),(15,425,3,31,17,17,19,4,4),(15,425,3,31,18,7,7,2,2),(15,425,3,31,19,7,7,2,4),(15,425,3,31,20,4,9,NULL,3),(15,425,3,31,21,3,NULL,2,NULL),(15,425,3,31,22,3,9,NULL,3),(15,425,3,31,23,2,5,NULL,2),(15,425,3,31,24,2,15,NULL,6),(15,425,3,31,25,2,5,NULL,2),(15,425,3,31,26,NULL,1,NULL,NULL),(15,425,3,31,27,1,2,NULL,NULL),(15,425,3,31,28,3,1,NULL,1),(15,425,3,31,29,NULL,21,NULL,8),(15,425,3,31,30,3,15,NULL,6),(15,425,3,32,1,25,11,6,6),(15,425,3,32,2,NULL,8,NULL,4),(15,425,3,32,3,9,4,5,3),(15,425,3,32,4,9,7,5,4),(15,425,3,32,5,2,12,2,8),(15,425,3,32,6,1,16,1,5),(15,425,3,32,7,1,4,NULL,1),(15,425,3,32,8,NULL,2,NULL,2),(15,425,3,32,9,NULL,8,NULL,3),(15,425,3,32,10,4,8,3,6),(15,425,3,32,11,3,4,2,2),(15,425,3,32,12,7,11,3,5),(15,425,3,32,13,3,8,1,3),(15,425,3,32,14,10,3,6,2),(15,425,3,32,15,11,12,5,4),(15,425,3,32,16,2,11,2,7),(15,425,3,32,17,17,14,8,5),(15,425,3,32,18,4,7,NULL,4),(15,425,3,32,19,5,10,2,5),(15,425,3,32,20,3,5,2,2),(15,425,3,32,21,2,NULL,1,NULL),(15,425,3,32,22,NULL,7,NULL,2),(15,425,3,32,23,NULL,7,NULL,3),(15,425,3,32,24,NULL,19,NULL,7),(15,425,3,32,25,3,5,1,3),(15,425,3,32,26,NULL,1,NULL,1),(15,425,3,32,27,NULL,5,NULL,2),(15,425,3,32,28,1,3,NULL,3),(15,425,3,32,29,NULL,18,NULL,9),(15,425,3,32,30,1,13,NULL,6),(15,425,3,33,1,19,14,5,1),(15,425,3,33,2,1,8,1,1),(15,425,3,33,3,2,7,1,1),(15,425,3,33,4,7,8,1,1),(15,425,3,33,5,5,6,3,1),(15,425,3,33,6,1,8,NULL,2),(15,425,3,33,7,NULL,4,NULL,1),(15,425,3,33,8,NULL,NULL,NULL,NULL),(15,425,3,33,9,1,5,NULL,NULL),(15,425,3,33,10,1,6,NULL,2),(15,425,3,33,11,1,5,NULL,1),(15,425,3,33,12,10,7,3,2),(15,425,3,33,13,2,7,1,3),(15,425,3,33,14,9,5,3,1),(15,425,3,33,15,10,7,3,1),(15,425,3,33,16,2,8,1,2),(15,425,3,33,17,13,14,3,3),(15,425,3,33,18,2,3,1,NULL),(15,425,3,33,19,4,4,NULL,1),(15,425,3,33,20,1,2,NULL,NULL),(15,425,3,33,21,1,NULL,NULL,NULL),(15,425,3,33,22,NULL,5,NULL,1),(15,425,3,33,23,NULL,NULL,NULL,NULL),(15,425,3,33,24,1,19,NULL,6),(15,425,3,33,25,NULL,5,NULL,1),(15,425,3,33,26,1,3,NULL,3),(15,425,3,33,27,NULL,6,NULL,3),(15,425,3,33,28,2,2,1,1),(15,425,3,33,29,NULL,17,NULL,4),(15,425,3,33,30,NULL,8,NULL,1),(15,425,3,34,1,20,24,7,5),(15,425,3,34,2,NULL,17,NULL,8),(15,425,3,34,3,5,7,1,3),(15,425,3,34,4,9,4,5,1),(15,425,3,34,5,6,14,4,4),(15,425,3,34,6,3,19,1,1),(15,425,3,34,7,NULL,5,NULL,2),(15,425,3,34,8,2,NULL,NULL,NULL),(15,425,3,34,9,1,7,NULL,2),(15,425,3,34,10,1,3,NULL,1),(15,425,3,34,11,2,7,1,3),(15,425,3,34,12,10,8,6,2),(15,425,3,34,13,3,12,2,7),(15,425,3,34,14,14,6,6,1),(15,425,3,34,15,6,10,4,3),(15,425,3,34,16,6,13,4,3),(15,425,3,34,17,17,15,8,3),(15,425,3,34,18,3,9,1,3),(15,425,3,34,19,1,8,1,3),(15,425,3,34,20,1,10,NULL,4),(15,425,3,34,21,1,NULL,NULL,NULL),(15,425,3,34,22,1,5,NULL,NULL),(15,425,3,34,23,NULL,5,NULL,1),(15,425,3,34,24,NULL,16,NULL,3),(15,425,3,34,25,2,6,NULL,1),(15,425,3,34,26,NULL,6,NULL,1),(15,425,3,34,27,1,1,NULL,1),(15,425,3,34,28,1,2,NULL,1),(15,425,3,34,29,NULL,15,NULL,6),(15,425,3,34,30,NULL,17,NULL,6),(15,426,1,11,1,NULL,NULL,NULL,NULL),(15,426,1,11,2,NULL,NULL,NULL,NULL),(15,426,1,11,3,NULL,NULL,NULL,NULL),(15,426,1,11,4,NULL,NULL,NULL,NULL),(15,426,1,11,5,NULL,NULL,NULL,NULL),(15,426,1,11,6,NULL,NULL,NULL,NULL),(15,426,1,11,7,NULL,NULL,NULL,NULL),(15,426,1,11,8,NULL,NULL,NULL,NULL),(15,426,1,11,9,NULL,NULL,NULL,NULL),(15,426,1,11,10,NULL,NULL,NULL,NULL),(15,426,1,11,11,NULL,NULL,NULL,NULL),(15,426,1,11,12,NULL,NULL,NULL,NULL),(15,426,1,11,13,NULL,NULL,NULL,NULL),(15,426,1,11,14,NULL,NULL,NULL,NULL),(15,426,1,11,15,NULL,NULL,NULL,NULL),(15,426,1,11,16,NULL,NULL,NULL,NULL),(15,426,1,11,17,NULL,NULL,NULL,NULL),(15,426,1,11,18,NULL,NULL,NULL,NULL),(15,426,1,11,19,NULL,NULL,NULL,NULL),(15,426,1,11,20,NULL,NULL,NULL,NULL),(15,426,1,12,1,1,NULL,1,NULL),(15,426,1,12,2,2,NULL,2,NULL),(15,426,1,12,3,1,NULL,1,NULL),(15,426,1,12,4,1,NULL,1,NULL),(15,426,1,12,5,NULL,2,NULL,2),(15,426,1,12,6,2,NULL,2,NULL),(15,426,1,12,7,1,NULL,1,NULL),(15,426,1,12,8,2,NULL,2,NULL),(15,426,1,12,9,2,NULL,2,NULL),(15,426,1,12,10,NULL,NULL,NULL,NULL),(15,426,1,12,11,NULL,NULL,NULL,NULL),(15,426,1,12,12,NULL,2,NULL,2),(15,426,1,12,13,2,NULL,2,NULL),(15,426,1,12,14,1,1,1,1),(15,426,1,12,15,1,1,1,1),(15,426,1,12,16,1,NULL,1,NULL),(15,426,1,12,17,2,NULL,2,NULL),(15,426,1,12,18,1,NULL,1,NULL),(15,426,1,12,19,NULL,1,NULL,1),(15,426,1,12,20,1,NULL,1,NULL),(15,426,1,13,1,NULL,NULL,NULL,NULL),(15,426,1,13,2,NULL,NULL,NULL,NULL),(15,426,1,13,3,NULL,NULL,NULL,NULL),(15,426,1,13,4,NULL,NULL,NULL,NULL),(15,426,1,13,5,NULL,NULL,NULL,NULL),(15,426,1,13,6,NULL,NULL,NULL,NULL),(15,426,1,13,7,NULL,NULL,NULL,NULL),(15,426,1,13,8,NULL,NULL,NULL,NULL),(15,426,1,13,9,NULL,NULL,NULL,NULL),(15,426,1,13,10,NULL,NULL,NULL,NULL),(15,426,1,13,11,NULL,NULL,NULL,NULL),(15,426,1,13,12,NULL,NULL,NULL,NULL),(15,426,1,13,13,NULL,NULL,NULL,NULL),(15,426,1,13,14,NULL,NULL,NULL,NULL),(15,426,1,13,15,NULL,NULL,NULL,NULL),(15,426,1,13,16,NULL,NULL,NULL,NULL),(15,426,1,13,17,NULL,NULL,NULL,NULL),(15,426,1,13,18,NULL,NULL,NULL,NULL),(15,426,1,13,19,NULL,NULL,NULL,NULL),(15,426,1,13,20,NULL,NULL,NULL,NULL),(15,426,1,14,1,9,4,5,2),(15,426,1,14,2,5,3,4,1),(15,426,1,14,3,2,4,2,4),(15,426,1,14,4,4,3,3,2),(15,426,1,14,5,2,6,2,2),(15,426,1,14,6,6,5,3,3),(15,426,1,14,7,5,2,3,1),(15,426,1,14,8,4,11,3,4),(15,426,1,14,9,10,NULL,4,NULL),(15,426,1,14,10,9,3,6,NULL),(15,426,1,14,11,1,3,1,1),(15,426,1,14,12,NULL,2,NULL,2),(15,426,1,14,13,2,5,1,4),(15,426,1,14,14,7,10,5,3),(15,426,1,14,15,8,NULL,6,NULL),(15,426,1,14,16,1,1,1,NULL),(15,426,1,14,17,2,2,2,1),(15,426,1,14,18,1,3,1,3),(15,426,1,14,19,2,4,2,3),(15,426,1,14,20,4,5,3,2),(15,426,1,15,1,7,5,5,2),(15,426,1,15,2,5,5,5,1),(15,426,1,15,3,5,5,3,4),(15,426,1,15,4,6,4,4,3),(15,426,1,15,5,1,8,1,7),(15,426,1,15,6,6,7,3,5),(15,426,1,15,7,5,1,3,1),(15,426,1,15,8,3,7,1,6),(15,426,1,15,9,3,NULL,2,NULL),(15,426,1,15,10,11,2,8,1),(15,426,1,15,11,1,5,2,4),(15,426,1,15,12,2,2,2,2),(15,426,1,15,13,NULL,5,NULL,4),(15,426,1,15,14,8,5,8,2),(15,426,1,15,15,8,NULL,8,NULL),(15,426,1,15,16,2,1,3,NULL),(15,426,1,15,17,3,1,4,1),(15,426,1,15,18,2,4,3,3),(15,426,1,15,19,4,1,6,NULL),(15,426,1,15,20,4,5,4,4),(15,426,1,16,1,12,12,5,2),(15,426,1,16,2,2,8,NULL,5),(15,426,1,16,3,4,21,3,8),(15,426,1,16,4,7,8,4,5),(15,426,1,16,5,1,15,1,4),(15,426,1,16,6,7,13,2,4),(15,426,1,16,7,13,6,5,3),(15,426,1,16,8,6,15,3,6),(15,426,1,16,9,13,NULL,6,NULL),(15,426,1,16,10,14,7,8,1),(15,426,1,16,11,16,11,7,3),(15,426,1,16,12,12,19,6,6),(15,426,1,16,13,2,30,NULL,12),(15,426,1,16,14,14,11,5,4),(15,426,1,16,15,5,6,3,NULL),(15,426,1,16,16,11,NULL,4,NULL),(15,426,1,16,17,8,10,5,5),(15,426,1,16,18,5,11,2,6),(15,426,1,16,19,3,3,1,2),(15,426,1,16,20,9,17,4,6),(15,426,1,17,1,7,6,5,1),(15,426,1,17,2,3,5,3,1),(15,426,1,17,3,3,12,2,5),(15,426,1,17,4,7,9,4,3),(15,426,1,17,5,NULL,12,NULL,7),(15,426,1,17,6,10,7,4,2),(15,426,1,17,7,7,3,4,1),(15,426,1,17,8,8,8,7,1),(15,426,1,17,9,8,NULL,3,NULL),(15,426,1,17,10,11,4,5,1),(15,426,1,17,11,14,3,7,NULL),(15,426,1,17,12,6,12,3,5),(15,426,1,17,13,1,19,NULL,8),(15,426,1,17,14,6,12,2,4),(15,426,1,17,15,1,6,NULL,2),(15,426,1,17,16,3,NULL,2,NULL),(15,426,1,17,17,6,6,2,3),(15,426,1,17,18,2,8,NULL,2),(15,426,1,17,19,NULL,2,NULL,1),(15,426,1,17,20,5,9,3,3),(15,426,2,21,1,1,4,NULL,1),(15,426,2,21,2,1,2,1,1),(15,426,2,21,3,2,8,NULL,4),(15,426,2,21,4,3,3,2,2),(15,426,2,21,5,3,5,3,2),(15,426,2,21,6,4,2,2,NULL),(15,426,2,21,7,NULL,4,NULL,1),(15,426,2,21,8,4,NULL,2,NULL),(15,426,2,21,9,1,3,1,1),(15,426,2,21,10,NULL,2,NULL,1),(15,426,2,21,11,2,10,1,5),(15,426,2,21,12,5,13,5,6),(15,426,2,21,13,5,8,1,2),(15,426,2,21,14,3,8,1,8),(15,426,2,21,15,5,7,5,2),(15,426,2,21,16,10,11,4,4),(15,426,2,21,17,1,5,1,2),(15,426,2,21,18,7,4,2,2),(15,426,2,21,19,2,6,1,5),(15,426,2,21,20,3,5,3,1),(15,426,2,21,21,NULL,1,NULL,NULL),(15,426,2,21,22,6,5,5,2),(15,426,2,21,23,2,6,1,NULL),(15,426,2,21,24,5,2,2,2),(15,426,2,21,25,8,NULL,5,NULL),(15,426,2,21,26,2,6,1,2),(15,426,2,21,27,NULL,4,NULL,NULL),(15,426,2,21,28,5,4,1,2),(15,426,2,21,29,5,13,2,5),(15,426,2,21,30,1,3,NULL,2),(15,426,2,22,1,NULL,4,NULL,2),(15,426,2,22,2,NULL,2,NULL,1),(15,426,2,22,3,1,3,1,3),(15,426,2,22,4,1,3,1,3),(15,426,2,22,5,3,4,2,3),(15,426,2,22,6,2,7,1,1),(15,426,2,22,7,1,NULL,1,NULL),(15,426,2,22,8,1,NULL,NULL,NULL),(15,426,2,22,9,6,3,4,1),(15,426,2,22,10,2,3,2,1),(15,426,2,22,11,1,NULL,1,NULL),(15,426,2,22,12,5,8,2,4),(15,426,2,22,13,11,4,6,2),(15,426,2,22,14,2,5,2,1),(15,426,2,22,15,4,7,3,4),(15,426,2,22,16,17,7,6,3),(15,426,2,22,17,3,10,NULL,6),(15,426,2,22,18,6,5,5,3),(15,426,2,22,19,3,12,NULL,8),(15,426,2,22,20,1,8,2,3),(15,426,2,22,21,NULL,1,NULL,1),(15,426,2,22,22,3,5,3,1),(15,426,2,22,23,6,9,4,5),(15,426,2,22,24,5,2,5,1),(15,426,2,22,25,11,NULL,8,NULL),(15,426,2,22,26,1,6,1,2),(15,426,2,22,27,2,6,1,4),(15,426,2,22,28,4,4,1,2),(15,426,2,22,29,4,19,3,8),(15,426,2,22,30,2,4,1,3),(15,426,2,23,1,NULL,NULL,NULL,NULL),(15,426,2,23,2,1,2,1,1),(15,426,2,23,3,3,4,2,NULL),(15,426,2,23,4,NULL,3,NULL,3),(15,426,2,23,5,3,10,3,4),(15,426,2,23,6,6,2,4,NULL),(15,426,2,23,7,NULL,NULL,NULL,NULL),(15,426,2,23,8,1,NULL,NULL,NULL),(15,426,2,23,9,1,4,1,3),(15,426,2,23,10,3,3,2,2),(15,426,2,23,11,2,2,3,1),(15,426,2,23,12,4,8,3,6),(15,426,2,23,13,2,6,1,4),(15,426,2,23,14,1,7,NULL,3),(15,426,2,23,15,5,4,4,3),(15,426,2,23,16,11,7,9,3),(15,426,2,23,17,4,5,3,5),(15,426,2,23,18,6,4,4,4),(15,426,2,23,19,2,12,2,7),(15,426,2,23,20,2,4,1,4),(15,426,2,23,21,1,NULL,NULL,NULL),(15,426,2,23,22,7,2,6,2),(15,426,2,23,23,4,5,3,3),(15,426,2,23,24,2,5,3,5),(15,426,2,23,25,10,NULL,9,NULL),(15,426,2,23,26,1,6,1,4),(15,426,2,23,27,1,4,1,2),(15,426,2,23,28,2,5,2,4),(15,426,2,23,29,2,17,1,12),(15,426,2,23,30,2,2,2,3),(15,426,2,24,1,NULL,2,NULL,2),(15,426,2,24,2,NULL,1,NULL,NULL),(15,426,2,24,3,1,1,1,NULL),(15,426,2,24,4,NULL,3,NULL,2),(15,426,2,24,5,5,2,1,1),(15,426,2,24,6,1,2,NULL,1),(15,426,2,24,7,NULL,1,NULL,NULL),(15,426,2,24,8,1,NULL,NULL,NULL),(15,426,2,24,9,1,4,1,NULL),(15,426,2,24,10,2,1,1,NULL),(15,426,2,24,11,NULL,1,NULL,NULL),(15,426,2,24,12,6,5,2,1),(15,426,2,24,13,4,5,1,1),(15,426,2,24,14,1,2,1,NULL),(15,426,2,24,15,1,6,NULL,3),(15,426,2,24,16,4,9,2,2),(15,426,2,24,17,1,4,NULL,1),(15,426,2,24,18,3,6,1,1),(15,426,2,24,19,NULL,8,NULL,2),(15,426,2,24,20,1,5,1,1),(15,426,2,24,21,NULL,NULL,NULL,NULL),(15,426,2,24,22,3,2,1,NULL),(15,426,2,24,23,1,4,NULL,2),(15,426,2,24,24,1,2,1,1),(15,426,2,24,25,7,NULL,3,NULL),(15,426,2,24,26,1,2,NULL,NULL),(15,426,2,24,27,1,3,NULL,2),(15,426,2,24,28,NULL,4,NULL,1),(15,426,2,24,29,3,7,1,2),(15,426,2,24,30,NULL,2,NULL,NULL),(15,426,3,31,1,8,9,2,2),(15,426,3,31,2,NULL,4,NULL,1),(15,426,3,31,3,1,9,NULL,3),(15,426,3,31,4,3,2,3,NULL),(15,426,3,31,5,3,5,2,1),(15,426,3,31,6,1,8,NULL,3),(15,426,3,31,7,NULL,2,NULL,1),(15,426,3,31,8,NULL,2,NULL,1),(15,426,3,31,9,2,3,NULL,1),(15,426,3,31,10,NULL,2,NULL,NULL),(15,426,3,31,11,NULL,4,NULL,1),(15,426,3,31,12,6,5,1,2),(15,426,3,31,13,1,3,1,1),(15,426,3,31,14,6,1,3,NULL),(15,426,3,31,15,2,5,1,2),(15,426,3,31,16,NULL,5,NULL,2),(15,426,3,31,17,7,5,2,1),(15,426,3,31,18,3,2,2,NULL),(15,426,3,31,19,NULL,3,NULL,NULL),(15,426,3,31,20,3,2,2,1),(15,426,3,31,21,NULL,NULL,NULL,NULL),(15,426,3,31,22,NULL,1,NULL,NULL),(15,426,3,31,23,NULL,1,NULL,1),(15,426,3,31,24,NULL,4,NULL,3),(15,426,3,31,25,1,NULL,NULL,NULL),(15,426,3,31,26,1,1,NULL,1),(15,426,3,31,27,1,NULL,1,NULL),(15,426,3,31,28,NULL,1,NULL,NULL),(15,426,3,31,29,NULL,7,NULL,1),(15,426,3,31,30,NULL,3,NULL,1),(15,426,3,32,1,15,9,7,6),(15,426,3,32,2,NULL,4,NULL,1),(15,426,3,32,3,1,6,1,5),(15,426,3,32,4,8,4,7,3),(15,426,3,32,5,1,7,1,3),(15,426,3,32,6,1,10,NULL,7),(15,426,3,32,7,NULL,4,NULL,3),(15,426,3,32,8,NULL,1,NULL,1),(15,426,3,32,9,NULL,4,NULL,3),(15,426,3,32,10,3,2,2,1),(15,426,3,32,11,2,5,1,3),(15,426,3,32,12,10,5,9,1),(15,426,3,32,13,3,4,3,3),(15,426,3,32,14,7,3,7,2),(15,426,3,32,15,8,3,7,2),(15,426,3,32,16,7,6,4,5),(15,426,3,32,17,9,7,9,2),(15,426,3,32,18,1,8,NULL,6),(15,426,3,32,19,5,3,4,2),(15,426,3,32,20,3,5,1,3),(15,426,3,32,21,NULL,NULL,NULL,NULL),(15,426,3,32,22,4,NULL,3,1),(15,426,3,32,23,NULL,3,NULL,1),(15,426,3,32,24,1,9,1,6),(15,426,3,32,25,NULL,3,NULL,3),(15,426,3,32,26,1,3,1,3),(15,426,3,32,27,NULL,1,NULL,1),(15,426,3,32,28,NULL,3,NULL,1),(15,426,3,32,29,NULL,8,NULL,6),(15,426,3,32,30,NULL,7,NULL,5),(15,426,3,33,1,10,19,3,9),(15,426,3,33,2,NULL,5,NULL,4),(15,426,3,33,3,4,3,2,3),(15,426,3,33,4,5,3,4,2),(15,426,3,33,5,2,9,1,5),(15,426,3,33,6,NULL,9,NULL,4),(15,426,3,33,7,NULL,7,NULL,4),(15,426,3,33,8,1,2,1,1),(15,426,3,33,9,2,NULL,1,NULL),(15,426,3,33,10,3,1,1,1),(15,426,3,33,11,NULL,5,NULL,3),(15,426,3,33,12,7,4,5,2),(15,426,3,33,13,1,7,1,7),(15,426,3,33,14,2,2,3,1),(15,426,3,33,15,6,6,5,3),(15,426,3,33,16,10,8,5,4),(15,426,3,33,17,13,10,7,4),(15,426,3,33,18,3,3,1,2),(15,426,3,33,19,5,5,1,3),(15,426,3,33,20,1,3,1,1),(15,426,3,33,21,1,NULL,1,NULL),(15,426,3,33,22,1,1,1,NULL),(15,426,3,33,23,NULL,2,NULL,1),(15,426,3,33,24,NULL,5,NULL,2),(15,426,3,33,25,NULL,1,NULL,1),(15,426,3,33,26,NULL,3,NULL,2),(15,426,3,33,27,NULL,1,NULL,1),(15,426,3,33,28,NULL,2,NULL,2),(15,426,3,33,29,NULL,10,NULL,6),(15,426,3,33,30,NULL,14,NULL,6),(15,426,3,34,1,9,19,5,6),(15,426,3,34,2,NULL,5,NULL,4),(15,426,3,34,3,6,6,3,2),(15,426,3,34,4,5,2,3,2),(15,426,3,34,5,3,8,2,4),(15,426,3,34,6,1,13,1,3),(15,426,3,34,7,NULL,5,NULL,1),(15,426,3,34,8,NULL,2,NULL,1),(15,426,3,34,9,NULL,NULL,NULL,1),(15,426,3,34,10,1,2,NULL,NULL),(15,426,3,34,11,NULL,1,NULL,NULL),(15,426,3,34,12,11,10,5,2),(15,426,3,34,13,2,8,2,2),(15,426,3,34,14,4,2,3,1),(15,426,3,34,15,6,4,4,2),(15,426,3,34,16,6,3,4,2),(15,426,3,34,17,12,8,6,3),(15,426,3,34,18,NULL,5,NULL,1),(15,426,3,34,19,3,7,1,3),(15,426,3,34,20,2,8,2,3),(15,426,3,34,21,1,NULL,NULL,NULL),(15,426,3,34,22,NULL,1,NULL,1),(15,426,3,34,23,NULL,4,NULL,NULL),(15,426,3,34,24,NULL,7,NULL,3),(15,426,3,34,25,NULL,5,NULL,1),(15,426,3,34,26,1,1,NULL,NULL),(15,426,3,34,27,1,1,NULL,1),(15,426,3,34,28,NULL,NULL,NULL,NULL),(15,426,3,34,29,NULL,8,NULL,4),(15,426,3,34,30,NULL,7,NULL,4),(15,427,1,11,1,NULL,NULL,NULL,NULL),(15,427,1,11,2,NULL,NULL,NULL,NULL),(15,427,1,11,3,NULL,NULL,NULL,NULL),(15,427,1,11,4,NULL,NULL,NULL,NULL),(15,427,1,11,5,NULL,NULL,NULL,NULL),(15,427,1,11,6,NULL,NULL,NULL,NULL),(15,427,1,11,7,NULL,NULL,NULL,NULL),(15,427,1,11,8,NULL,NULL,NULL,NULL),(15,427,1,11,9,NULL,NULL,NULL,NULL),(15,427,1,11,10,NULL,NULL,NULL,NULL),(15,427,1,11,11,NULL,NULL,NULL,NULL),(15,427,1,11,12,NULL,NULL,NULL,NULL),(15,427,1,11,13,NULL,NULL,NULL,NULL),(15,427,1,11,14,NULL,NULL,NULL,NULL),(15,427,1,11,15,NULL,NULL,NULL,NULL),(15,427,1,11,16,NULL,NULL,NULL,NULL),(15,427,1,11,17,NULL,NULL,NULL,NULL),(15,427,1,11,18,NULL,NULL,NULL,NULL),(15,427,1,11,19,NULL,NULL,NULL,NULL),(15,427,1,11,20,NULL,NULL,NULL,NULL),(15,427,1,12,1,NULL,NULL,NULL,NULL),(15,427,1,12,2,NULL,NULL,NULL,NULL),(15,427,1,12,3,NULL,NULL,NULL,NULL),(15,427,1,12,4,NULL,NULL,NULL,NULL),(15,427,1,12,5,NULL,NULL,NULL,NULL),(15,427,1,12,6,NULL,NULL,NULL,NULL),(15,427,1,12,7,NULL,NULL,NULL,NULL),(15,427,1,12,8,NULL,NULL,NULL,NULL),(15,427,1,12,9,NULL,NULL,NULL,NULL),(15,427,1,12,10,NULL,NULL,NULL,NULL),(15,427,1,12,11,NULL,NULL,NULL,NULL),(15,427,1,12,12,NULL,NULL,NULL,NULL),(15,427,1,12,13,NULL,NULL,NULL,NULL),(15,427,1,12,14,NULL,NULL,NULL,NULL),(15,427,1,12,15,NULL,NULL,NULL,NULL),(15,427,1,12,16,NULL,NULL,NULL,NULL),(15,427,1,12,17,NULL,NULL,NULL,NULL),(15,427,1,12,18,NULL,NULL,NULL,NULL),(15,427,1,12,19,NULL,NULL,NULL,NULL),(15,427,1,12,20,NULL,NULL,NULL,NULL),(15,427,1,13,1,2,2,1,NULL),(15,427,1,13,2,NULL,3,NULL,1),(15,427,1,13,3,2,1,NULL,1),(15,427,1,13,4,1,3,1,1),(15,427,1,13,5,NULL,1,NULL,NULL),(15,427,1,13,6,2,1,1,NULL),(15,427,1,13,7,NULL,1,NULL,1),(15,427,1,13,8,2,3,1,NULL),(15,427,1,13,9,2,NULL,1,NULL),(15,427,1,13,10,2,1,1,1),(15,427,1,13,11,3,2,1,1),(15,427,1,13,12,1,2,1,NULL),(15,427,1,13,13,NULL,1,NULL,NULL),(15,427,1,13,14,1,1,1,1),(15,427,1,13,15,1,1,1,1),(15,427,1,13,16,2,3,1,NULL),(15,427,1,13,17,2,3,1,1),(15,427,1,13,18,1,2,NULL,1),(15,427,1,13,19,2,NULL,NULL,NULL),(15,427,1,13,20,1,1,NULL,1),(15,427,1,14,1,7,2,9,2),(15,427,1,14,2,NULL,3,3,5),(15,427,1,14,3,2,3,3,5),(15,427,1,14,4,3,1,4,2),(15,427,1,14,5,1,4,2,4),(15,427,1,14,6,6,2,7,1),(15,427,1,14,7,1,1,5,1),(15,427,1,14,8,2,6,3,4),(15,427,1,14,9,2,NULL,5,NULL),(15,427,1,14,10,5,NULL,5,3),(15,427,1,14,11,1,4,2,5),(15,427,1,14,12,1,2,2,2),(15,427,1,14,13,2,2,6,2),(15,427,1,14,14,5,4,10,NULL),(15,427,1,14,15,7,NULL,8,NULL),(15,427,1,14,16,NULL,2,3,1),(15,427,1,14,17,5,1,8,1),(15,427,1,14,18,2,2,2,4),(15,427,1,14,19,5,1,7,1),(15,427,1,14,20,5,1,8,1),(15,427,1,15,1,1,6,2,2),(15,427,1,15,2,1,3,1,1),(15,427,1,15,3,2,3,1,NULL),(15,427,1,15,4,3,3,1,2),(15,427,1,15,5,NULL,2,1,1),(15,427,1,15,6,5,3,1,3),(15,427,1,15,7,1,1,2,1),(15,427,1,15,8,2,7,2,4),(15,427,1,15,9,4,NULL,4,NULL),(15,427,1,15,10,4,2,2,2),(15,427,1,15,11,NULL,3,NULL,3),(15,427,1,15,12,NULL,NULL,NULL,NULL),(15,427,1,15,13,NULL,2,NULL,3),(15,427,1,15,14,2,6,1,5),(15,427,1,15,15,7,NULL,4,NULL),(15,427,1,15,16,2,1,1,NULL),(15,427,1,15,17,1,1,1,1),(15,427,1,15,18,NULL,2,NULL,3),(15,427,1,15,19,1,2,2,3),(15,427,1,15,20,2,2,2,3),(15,427,1,16,1,5,6,6,4),(15,427,1,16,2,1,6,1,6),(15,427,1,16,3,2,7,2,7),(15,427,1,16,4,1,6,1,6),(15,427,1,16,5,2,7,2,5),(15,427,1,16,6,4,5,4,5),(15,427,1,16,7,6,1,6,NULL),(15,427,1,16,8,2,5,1,5),(15,427,1,16,9,8,NULL,7,NULL),(15,427,1,16,10,10,1,7,2),(15,427,1,16,11,8,5,8,3),(15,427,1,16,12,2,10,4,7),(15,427,1,16,13,2,9,1,10),(15,427,1,16,14,2,7,3,6),(15,427,1,16,15,NULL,5,2,3),(15,427,1,16,16,2,NULL,3,NULL),(15,427,1,16,17,7,4,3,6),(15,427,1,16,18,1,11,1,10),(15,427,1,16,19,NULL,3,NULL,1),(15,427,1,16,20,6,8,4,5),(15,427,1,17,1,4,5,1,4),(15,427,1,17,2,2,2,1,2),(15,427,1,17,3,2,4,NULL,4),(15,427,1,17,4,3,3,1,2),(15,427,1,17,5,1,4,NULL,1),(15,427,1,17,6,5,1,4,1),(15,427,1,17,7,3,3,3,4),(15,427,1,17,8,2,7,NULL,5),(15,427,1,17,9,3,NULL,4,NULL),(15,427,1,17,10,9,1,6,3),(15,427,1,17,11,3,7,4,5),(15,427,1,17,12,4,9,2,6),(15,427,1,17,13,2,10,NULL,7),(15,427,1,17,14,3,4,2,3),(15,427,1,17,15,1,5,1,2),(15,427,1,17,16,6,NULL,4,NULL),(15,427,1,17,17,3,4,1,5),(15,427,1,17,18,3,4,2,3),(15,427,1,17,19,2,2,1,3),(15,427,1,17,20,NULL,11,NULL,7),(15,427,2,21,1,1,4,1,3),(15,427,2,21,2,NULL,1,NULL,1),(15,427,2,21,3,NULL,3,1,3),(15,427,2,21,4,NULL,3,1,3),(15,427,2,21,5,2,3,3,3),(15,427,2,21,6,1,4,NULL,3),(15,427,2,21,7,1,1,1,2),(15,427,2,21,8,3,NULL,2,NULL),(15,427,2,21,9,NULL,3,NULL,1),(15,427,2,21,10,1,2,NULL,1),(15,427,2,21,11,1,4,2,5),(15,427,2,21,12,4,8,4,7),(15,427,2,21,13,7,4,6,5),(15,427,2,21,14,NULL,5,NULL,2),(15,427,2,21,15,2,3,2,5),(15,427,2,21,16,5,7,6,5),(15,427,2,21,17,NULL,5,NULL,2),(15,427,2,21,18,5,5,4,2),(15,427,2,21,19,1,5,1,5),(15,427,2,21,20,3,4,4,2),(15,427,2,21,21,NULL,2,NULL,1),(15,427,2,21,22,5,4,6,4),(15,427,2,21,23,1,3,NULL,3),(15,427,2,21,24,NULL,5,1,3),(15,427,2,21,25,6,NULL,5,NULL),(15,427,2,21,26,1,3,2,1),(15,427,2,21,27,1,4,1,2),(15,427,2,21,28,2,5,1,3),(15,427,2,21,29,3,8,4,7),(15,427,2,21,30,NULL,3,NULL,2),(15,427,2,22,1,NULL,NULL,NULL,NULL),(15,427,2,22,2,NULL,1,NULL,2),(15,427,2,22,3,1,2,1,3),(15,427,2,22,4,1,NULL,1,NULL),(15,427,2,22,5,5,2,5,2),(15,427,2,22,6,1,3,NULL,3),(15,427,2,22,7,2,NULL,1,NULL),(15,427,2,22,8,NULL,NULL,NULL,NULL),(15,427,2,22,9,2,2,2,2),(15,427,2,22,10,1,NULL,2,NULL),(15,427,2,22,11,3,3,3,3),(15,427,2,22,12,6,6,4,6),(15,427,2,22,13,6,2,5,2),(15,427,2,22,14,NULL,4,NULL,3),(15,427,2,22,15,3,2,2,4),(15,427,2,22,16,6,8,5,4),(15,427,2,22,17,NULL,6,NULL,4),(15,427,2,22,18,4,3,5,2),(15,427,2,22,19,2,5,1,3),(15,427,2,22,20,1,1,1,3),(15,427,2,22,21,NULL,NULL,NULL,NULL),(15,427,2,22,22,2,3,2,2),(15,427,2,22,23,NULL,7,NULL,5),(15,427,2,22,24,NULL,3,NULL,5),(15,427,2,22,25,4,NULL,8,NULL),(15,427,2,22,26,1,2,1,1),(15,427,2,22,27,3,4,1,3),(15,427,2,22,28,1,3,NULL,3),(15,427,2,22,29,4,8,2,7),(15,427,2,22,30,NULL,1,NULL,1),(15,427,2,23,1,NULL,2,NULL,1),(15,427,2,23,2,NULL,NULL,NULL,NULL),(15,427,2,23,3,NULL,4,NULL,3),(15,427,2,23,4,NULL,NULL,NULL,NULL),(15,427,2,23,5,NULL,3,1,3),(15,427,2,23,6,3,1,NULL,2),(15,427,2,23,7,1,NULL,1,NULL),(15,427,2,23,8,1,NULL,NULL,NULL),(15,427,2,23,9,NULL,NULL,NULL,NULL),(15,427,2,23,10,1,1,NULL,NULL),(15,427,2,23,11,1,3,NULL,2),(15,427,2,23,12,1,8,1,5),(15,427,2,23,13,5,3,3,1),(15,427,2,23,14,1,2,NULL,NULL),(15,427,2,23,15,NULL,4,NULL,4),(15,427,2,23,16,3,8,3,3),(15,427,2,23,17,NULL,5,NULL,1),(15,427,2,23,18,4,4,1,3),(15,427,2,23,19,4,2,NULL,3),(15,427,2,23,20,2,6,3,3),(15,427,2,23,21,NULL,NULL,NULL,1),(15,427,2,23,22,NULL,3,2,3),(15,427,2,23,23,1,4,NULL,2),(15,427,2,23,24,2,1,2,2),(15,427,2,23,25,4,NULL,4,NULL),(15,427,2,23,26,2,2,NULL,NULL),(15,427,2,23,27,NULL,6,NULL,2),(15,427,2,23,28,2,1,NULL,1),(15,427,2,23,29,5,5,1,4),(15,427,2,23,30,NULL,3,NULL,3),(15,427,2,24,1,1,4,NULL,3),(15,427,2,24,2,1,2,1,2),(15,427,2,24,3,3,1,3,2),(15,427,2,24,4,NULL,3,NULL,3),(15,427,2,24,5,4,2,4,NULL),(15,427,2,24,6,1,1,NULL,2),(15,427,2,24,7,NULL,1,NULL,1),(15,427,2,24,8,1,NULL,1,NULL),(15,427,2,24,9,2,3,2,3),(15,427,2,24,10,1,NULL,1,NULL),(15,427,2,24,11,1,4,3,3),(15,427,2,24,12,5,5,3,7),(15,427,2,24,13,6,2,5,2),(15,427,2,24,14,NULL,4,NULL,4),(15,427,2,24,15,4,4,4,4),(15,427,2,24,16,7,5,6,3),(15,427,2,24,17,NULL,1,NULL,4),(15,427,2,24,18,5,2,3,4),(15,427,2,24,19,2,5,1,6),(15,427,2,24,20,4,2,4,4),(15,427,2,24,21,1,2,1,2),(15,427,2,24,22,2,1,3,1),(15,427,2,24,23,2,2,2,2),(15,427,2,24,24,1,4,1,6),(15,427,2,24,25,5,NULL,6,NULL),(15,427,2,24,26,NULL,NULL,NULL,2),(15,427,2,24,27,1,2,NULL,2),(15,427,2,24,28,NULL,4,NULL,4),(15,427,2,24,29,5,6,5,7),(15,427,2,24,30,1,6,2,6),(15,427,3,31,1,5,6,8,4),(15,427,3,31,2,NULL,3,NULL,3),(15,427,3,31,3,2,3,3,3),(15,427,3,31,4,4,3,4,4),(15,427,3,31,5,4,2,3,2),(15,427,3,31,6,NULL,5,2,5),(15,427,3,31,7,NULL,1,NULL,1),(15,427,3,31,8,NULL,NULL,NULL,NULL),(15,427,3,31,9,NULL,2,1,2),(15,427,3,31,10,NULL,2,NULL,2),(15,427,3,31,11,NULL,2,NULL,1),(15,427,3,31,12,4,2,3,3),(15,427,3,31,13,2,3,2,2),(15,427,3,31,14,3,2,4,1),(15,427,3,31,15,4,3,4,2),(15,427,3,31,16,1,5,1,3),(15,427,3,31,17,9,2,8,1),(15,427,3,31,18,1,NULL,NULL,NULL),(15,427,3,31,19,2,NULL,2,1),(15,427,3,31,20,1,1,2,2),(15,427,3,31,21,NULL,NULL,NULL,NULL),(15,427,3,31,22,1,NULL,1,NULL),(15,427,3,31,23,NULL,NULL,1,NULL),(15,427,3,31,24,NULL,5,NULL,5),(15,427,3,31,25,1,2,1,1),(15,427,3,31,26,NULL,1,NULL,2),(15,427,3,31,27,1,1,NULL,NULL),(15,427,3,31,28,NULL,2,NULL,NULL),(15,427,3,31,29,NULL,5,NULL,4),(15,427,3,31,30,NULL,7,NULL,7),(15,427,3,32,1,5,9,1,5),(15,427,3,32,2,NULL,1,NULL,1),(15,427,3,32,3,NULL,3,NULL,2),(15,427,3,32,4,NULL,2,1,3),(15,427,3,32,5,2,1,1,NULL),(15,427,3,32,6,NULL,9,NULL,4),(15,427,3,32,7,NULL,3,NULL,NULL),(15,427,3,32,8,NULL,NULL,NULL,NULL),(15,427,3,32,9,NULL,NULL,NULL,NULL),(15,427,3,32,10,1,2,1,NULL),(15,427,3,32,11,NULL,1,NULL,1),(15,427,3,32,12,4,4,3,1),(15,427,3,32,13,NULL,3,NULL,1),(15,427,3,32,14,1,4,1,2),(15,427,3,32,15,6,2,2,2),(15,427,3,32,16,1,4,NULL,1),(15,427,3,32,17,5,6,2,2),(15,427,3,32,18,2,3,NULL,2),(15,427,3,32,19,1,3,2,NULL),(15,427,3,32,20,2,3,2,1),(15,427,3,32,21,NULL,NULL,NULL,NULL),(15,427,3,32,22,NULL,3,NULL,NULL),(15,427,3,32,23,NULL,3,NULL,NULL),(15,427,3,32,24,NULL,3,NULL,4),(15,427,3,32,25,NULL,3,NULL,2),(15,427,3,32,26,NULL,3,NULL,NULL),(15,427,3,32,27,NULL,NULL,NULL,NULL),(15,427,3,32,28,NULL,NULL,NULL,1),(15,427,3,32,29,NULL,7,NULL,4),(15,427,3,32,30,NULL,2,NULL,1),(15,427,3,33,1,6,9,4,6),(15,427,3,33,2,1,NULL,NULL,1),(15,427,3,33,3,2,2,1,4),(15,427,3,33,4,5,1,5,2),(15,427,3,33,5,2,4,2,5),(15,427,3,33,6,NULL,5,NULL,4),(15,427,3,33,7,NULL,1,NULL,1),(15,427,3,33,8,NULL,NULL,NULL,NULL),(15,427,3,33,9,NULL,2,NULL,2),(15,427,3,33,10,1,2,NULL,2),(15,427,3,33,11,NULL,1,NULL,1),(15,427,3,33,12,2,3,1,5),(15,427,3,33,13,1,2,1,2),(15,427,3,33,14,1,6,4,4),(15,427,3,33,15,4,NULL,3,2),(15,427,3,33,16,NULL,6,NULL,5),(15,427,3,33,17,4,4,3,4),(15,427,3,33,18,1,3,NULL,2),(15,427,3,33,19,NULL,4,NULL,4),(15,427,3,33,20,1,5,NULL,5),(15,427,3,33,21,3,NULL,1,NULL),(15,427,3,33,22,NULL,1,NULL,2),(15,427,3,33,23,NULL,3,NULL,2),(15,427,3,33,24,NULL,9,NULL,4),(15,427,3,33,25,1,NULL,NULL,1),(15,427,3,33,26,NULL,1,NULL,NULL),(15,427,3,33,27,NULL,1,NULL,1),(15,427,3,33,28,1,1,1,NULL),(15,427,3,33,29,NULL,8,NULL,6),(15,427,3,33,30,NULL,5,NULL,1),(15,427,3,34,1,4,10,3,9),(15,427,3,34,2,NULL,2,NULL,1),(15,427,3,34,3,4,4,2,5),(15,427,3,34,4,2,4,2,3),(15,427,3,34,5,2,4,2,2),(15,427,3,34,6,NULL,4,NULL,6),(15,427,3,34,7,NULL,1,NULL,1),(15,427,3,34,8,NULL,NULL,NULL,NULL),(15,427,3,34,9,NULL,NULL,NULL,1),(15,427,3,34,10,1,3,1,1),(15,427,3,34,11,NULL,3,NULL,3),(15,427,3,34,12,3,6,2,5),(15,427,3,34,13,1,4,NULL,3),(15,427,3,34,14,2,4,3,4),(15,427,3,34,15,2,3,1,1),(15,427,3,34,16,1,2,1,2),(15,427,3,34,17,2,10,2,6),(15,427,3,34,18,1,3,2,2),(15,427,3,34,19,2,5,1,5),(15,427,3,34,20,NULL,5,NULL,3),(15,427,3,34,21,3,NULL,3,NULL),(15,427,3,34,22,NULL,4,1,4),(15,427,3,34,23,NULL,1,NULL,1),(15,427,3,34,24,1,6,1,5),(15,427,3,34,25,1,2,NULL,1),(15,427,3,34,26,NULL,NULL,NULL,NULL),(15,427,3,34,27,NULL,1,NULL,NULL),(15,427,3,34,28,NULL,NULL,NULL,NULL),(15,427,3,34,29,NULL,7,NULL,6),(15,427,3,34,30,NULL,6,NULL,7),(15,428,1,11,1,NULL,1,NULL,1),(15,428,1,11,2,1,NULL,1,NULL),(15,428,1,11,3,1,NULL,1,NULL),(15,428,1,11,4,NULL,NULL,NULL,NULL),(15,428,1,11,5,NULL,NULL,NULL,NULL),(15,428,1,11,6,NULL,1,NULL,1),(15,428,1,11,7,NULL,NULL,NULL,NULL),(15,428,1,11,8,NULL,NULL,NULL,NULL),(15,428,1,11,9,1,NULL,1,NULL),(15,428,1,11,10,NULL,NULL,NULL,NULL),(15,428,1,11,11,NULL,NULL,NULL,NULL),(15,428,1,11,12,1,NULL,1,NULL),(15,428,1,11,13,1,NULL,1,NULL),(15,428,1,11,14,1,NULL,1,NULL),(15,428,1,11,15,1,NULL,1,NULL),(15,428,1,11,16,1,NULL,1,NULL),(15,428,1,11,17,1,NULL,1,NULL),(15,428,1,11,18,NULL,NULL,NULL,NULL),(15,428,1,11,19,NULL,NULL,NULL,NULL),(15,428,1,11,20,1,NULL,1,NULL),(15,428,1,12,1,NULL,NULL,NULL,NULL),(15,428,1,12,2,NULL,NULL,NULL,NULL),(15,428,1,12,3,NULL,NULL,NULL,NULL),(15,428,1,12,4,NULL,NULL,NULL,NULL),(15,428,1,12,5,NULL,NULL,NULL,NULL),(15,428,1,12,6,NULL,NULL,NULL,NULL),(15,428,1,12,7,NULL,NULL,NULL,NULL),(15,428,1,12,8,NULL,NULL,NULL,NULL),(15,428,1,12,9,NULL,NULL,NULL,NULL),(15,428,1,12,10,NULL,NULL,NULL,NULL),(15,428,1,12,11,NULL,NULL,NULL,NULL),(15,428,1,12,12,NULL,NULL,NULL,NULL),(15,428,1,12,13,NULL,NULL,NULL,NULL),(15,428,1,12,14,NULL,NULL,NULL,NULL),(15,428,1,12,15,NULL,NULL,NULL,NULL),(15,428,1,12,16,NULL,NULL,NULL,NULL),(15,428,1,12,17,NULL,NULL,NULL,NULL),(15,428,1,12,18,NULL,NULL,NULL,NULL),(15,428,1,12,19,NULL,NULL,NULL,NULL),(15,428,1,12,20,NULL,NULL,NULL,NULL),(15,428,1,13,1,NULL,NULL,NULL,NULL),(15,428,1,13,2,NULL,NULL,NULL,NULL),(15,428,1,13,3,NULL,NULL,NULL,NULL),(15,428,1,13,4,NULL,NULL,NULL,NULL),(15,428,1,13,5,NULL,NULL,NULL,NULL),(15,428,1,13,6,NULL,NULL,NULL,NULL),(15,428,1,13,7,NULL,NULL,NULL,NULL),(15,428,1,13,8,NULL,NULL,NULL,NULL),(15,428,1,13,9,NULL,NULL,NULL,NULL),(15,428,1,13,10,NULL,NULL,NULL,NULL),(15,428,1,13,11,NULL,NULL,NULL,NULL),(15,428,1,13,12,NULL,NULL,NULL,NULL),(15,428,1,13,13,NULL,NULL,NULL,NULL),(15,428,1,13,14,NULL,NULL,NULL,NULL),(15,428,1,13,15,NULL,NULL,NULL,NULL),(15,428,1,13,16,NULL,NULL,NULL,NULL),(15,428,1,13,17,NULL,NULL,NULL,NULL),(15,428,1,13,18,NULL,NULL,NULL,NULL),(15,428,1,13,19,NULL,NULL,NULL,NULL),(15,428,1,13,20,NULL,NULL,NULL,NULL),(15,428,1,14,1,17,6,17,5),(15,428,1,14,2,5,5,6,6),(15,428,1,14,3,4,12,3,12),(15,428,1,14,4,5,9,6,9),(15,428,1,14,5,3,7,4,8),(15,428,1,14,6,7,8,9,10),(15,428,1,14,7,9,1,12,1),(15,428,1,14,8,6,11,7,14),(15,428,1,14,9,8,NULL,11,NULL),(15,428,1,14,10,15,1,16,1),(15,428,1,14,11,3,4,5,6),(15,428,1,14,12,1,7,2,6),(15,428,1,14,13,3,4,3,4),(15,428,1,14,14,10,10,10,11),(15,428,1,14,15,17,NULL,17,NULL),(15,428,1,14,16,5,3,4,3),(15,428,1,14,17,9,1,9,1),(15,428,1,14,18,5,3,5,3),(15,428,1,14,19,6,6,6,6),(15,428,1,14,20,9,NULL,10,2),(15,428,1,15,1,10,9,11,10),(15,428,1,15,2,9,5,11,5),(15,428,1,15,3,2,13,4,14),(15,428,1,15,4,5,12,6,14),(15,428,1,15,5,4,8,5,10),(15,428,1,15,6,7,8,9,9),(15,428,1,15,7,13,2,14,3),(15,428,1,15,8,4,12,4,13),(15,428,1,15,9,12,NULL,14,NULL),(15,428,1,15,10,11,4,11,5),(15,428,1,15,11,4,5,4,6),(15,428,1,15,12,3,3,3,3),(15,428,1,15,13,2,4,2,6),(15,428,1,15,14,6,14,6,14),(15,428,1,15,15,19,NULL,19,NULL),(15,428,1,15,16,6,5,7,6),(15,428,1,15,17,5,1,6,2),(15,428,1,15,18,4,1,4,1),(15,428,1,15,19,1,10,2,11),(15,428,1,15,20,9,1,9,3),(15,428,1,16,1,7,8,5,7),(15,428,1,16,2,8,1,6,NULL),(15,428,1,16,3,4,10,3,7),(15,428,1,16,4,7,6,6,5),(15,428,1,16,5,NULL,12,NULL,7),(15,428,1,16,6,7,7,4,4),(15,428,1,16,7,10,3,9,2),(15,428,1,16,8,6,7,6,3),(15,428,1,16,9,7,NULL,6,NULL),(15,428,1,16,10,7,NULL,6,2),(15,428,1,16,11,7,6,4,6),(15,428,1,16,12,11,10,7,8),(15,428,1,16,13,1,20,1,13),(15,428,1,16,14,10,6,5,6),(15,428,1,16,15,2,6,2,3),(15,428,1,16,16,10,NULL,8,NULL),(15,428,1,16,17,7,4,3,4),(15,428,1,16,18,4,11,3,6),(15,428,1,16,19,2,2,1,1),(15,428,1,16,20,4,12,4,7),(15,428,1,17,1,10,6,9,2),(15,428,1,17,2,6,6,3,5),(15,428,1,17,3,4,11,4,5),(15,428,1,17,4,8,5,5,7),(15,428,1,17,5,2,7,1,6),(15,428,1,17,6,9,6,6,3),(15,428,1,17,7,9,2,7,1),(15,428,1,17,8,6,11,5,6),(15,428,1,17,9,9,NULL,7,NULL),(15,428,1,17,10,9,2,6,1),(15,428,1,17,11,7,4,6,3),(15,428,1,17,12,5,12,4,10),(15,428,1,17,13,4,12,1,11),(15,428,1,17,14,4,7,4,7),(15,428,1,17,15,3,2,1,2),(15,428,1,17,16,4,NULL,3,NULL),(15,428,1,17,17,5,8,3,6),(15,428,1,17,18,5,12,2,11),(15,428,1,17,19,1,4,1,5),(15,428,1,17,20,6,11,5,8),(15,428,2,21,1,NULL,3,NULL,4),(15,428,2,21,2,2,NULL,1,1),(15,428,2,21,3,1,3,1,3),(15,428,2,21,4,4,4,5,3),(15,428,2,21,5,6,4,6,4),(15,428,2,21,6,5,2,3,4),(15,428,2,21,7,3,NULL,3,NULL),(15,428,2,21,8,1,NULL,2,NULL),(15,428,2,21,9,3,3,3,3),(15,428,2,21,10,3,1,3,1),(15,428,2,21,11,5,6,3,6),(15,428,2,21,12,11,3,8,6),(15,428,2,21,13,9,2,9,3),(15,428,2,21,14,3,6,3,3),(15,428,2,21,15,7,9,5,8),(15,428,2,21,16,13,8,10,8),(15,428,2,21,17,2,4,2,4),(15,428,2,21,18,7,3,7,3),(15,428,2,21,19,4,8,4,7),(15,428,2,21,20,7,5,6,4),(15,428,2,21,21,2,1,2,1),(15,428,2,21,22,7,4,7,4),(15,428,2,21,23,4,7,4,7),(15,428,2,21,24,4,5,3,6),(15,428,2,21,25,10,NULL,8,NULL),(15,428,2,21,26,4,1,2,3),(15,428,2,21,27,3,2,2,2),(15,428,2,21,28,2,8,2,7),(15,428,2,21,29,6,10,6,12),(15,428,2,21,30,NULL,3,NULL,2),(15,428,2,22,1,2,1,2,2),(15,428,2,22,2,1,4,1,4),(15,428,2,22,3,NULL,4,1,3),(15,428,2,22,4,1,NULL,1,NULL),(15,428,2,22,5,4,4,4,3),(15,428,2,22,6,4,4,5,6),(15,428,2,22,7,1,NULL,1,NULL),(15,428,2,22,8,NULL,NULL,NULL,NULL),(15,428,2,22,9,4,2,4,2),(15,428,2,22,10,2,1,3,1),(15,428,2,22,11,2,6,3,6),(15,428,2,22,12,8,9,7,9),(15,428,2,22,13,2,5,2,6),(15,428,2,22,14,3,8,3,8),(15,428,2,22,15,5,9,6,10),(15,428,2,22,16,9,9,11,8),(15,428,2,22,17,2,6,3,5),(15,428,2,22,18,5,3,4,4),(15,428,2,22,19,2,11,1,13),(15,428,2,22,20,3,6,3,7),(15,428,2,22,21,1,NULL,NULL,1),(15,428,2,22,22,4,4,4,6),(15,428,2,22,23,2,3,2,6),(15,428,2,22,24,3,7,2,7),(15,428,2,22,25,9,NULL,11,NULL),(15,428,2,22,26,2,5,2,5),(15,428,2,22,27,1,6,1,7),(15,428,2,22,28,1,4,1,7),(15,428,2,22,29,9,11,9,12),(15,428,2,22,30,NULL,4,NULL,4),(15,428,2,23,1,2,NULL,2,NULL),(15,428,2,23,2,1,1,1,1),(15,428,2,23,3,NULL,2,NULL,2),(15,428,2,23,4,2,NULL,2,NULL),(15,428,2,23,5,5,3,4,4),(15,428,2,23,6,4,3,3,3),(15,428,2,23,7,NULL,2,NULL,2),(15,428,2,23,8,NULL,NULL,NULL,NULL),(15,428,2,23,9,1,2,1,1),(15,428,2,23,10,4,NULL,4,1),(15,428,2,23,11,3,7,2,8),(15,428,2,23,12,8,3,8,3),(15,428,2,23,13,5,1,3,2),(15,428,2,23,14,2,3,1,4),(15,428,2,23,15,7,3,7,2),(15,428,2,23,16,7,11,5,10),(15,428,2,23,17,3,4,2,4),(15,428,2,23,18,3,4,3,4),(15,428,2,23,19,1,14,NULL,14),(15,428,2,23,20,NULL,6,NULL,6),(15,428,2,23,21,NULL,3,NULL,3),(15,428,2,23,22,5,1,7,2),(15,428,2,23,23,4,3,3,3),(15,428,2,23,24,1,3,1,3),(15,428,2,23,25,9,NULL,11,NULL),(15,428,2,23,26,2,1,1,1),(15,428,2,23,27,1,7,2,6),(15,428,2,23,28,2,4,1,3),(15,428,2,23,29,8,7,6,7),(15,428,2,23,30,1,1,NULL,1),(15,428,2,24,1,1,1,1,1),(15,428,2,24,2,1,NULL,1,NULL),(15,428,2,24,3,NULL,3,NULL,2),(15,428,2,24,4,1,1,1,1),(15,428,2,24,5,5,6,5,5),(15,428,2,24,6,3,4,3,2),(15,428,2,24,7,1,1,1,1),(15,428,2,24,8,2,NULL,1,NULL),(15,428,2,24,9,5,2,5,3),(15,428,2,24,10,2,2,2,1),(15,428,2,24,11,3,6,3,2),(15,428,2,24,12,8,8,8,7),(15,428,2,24,13,9,2,8,2),(15,428,2,24,14,2,8,2,6),(15,428,2,24,15,5,8,4,7),(15,428,2,24,16,5,12,5,6),(15,428,2,24,17,2,5,1,4),(15,428,2,24,18,7,4,5,4),(15,428,2,24,19,NULL,13,1,10),(15,428,2,24,20,4,6,3,5),(15,428,2,24,21,NULL,3,NULL,2),(15,428,2,24,22,3,6,2,4),(15,428,2,24,23,1,3,NULL,5),(15,428,2,24,24,NULL,6,NULL,4),(15,428,2,24,25,6,NULL,6,NULL),(15,428,2,24,26,2,2,1,2),(15,428,2,24,27,2,1,2,2),(15,428,2,24,28,1,6,NULL,8),(15,428,2,24,29,4,10,3,7),(15,428,2,24,30,1,6,NULL,3),(15,428,3,31,1,13,9,10,6),(15,428,3,31,2,NULL,3,NULL,3),(15,428,3,31,3,4,6,2,4),(15,428,3,31,4,7,5,7,4),(15,428,3,31,5,2,6,2,7),(15,428,3,31,6,NULL,12,1,8),(15,428,3,31,7,NULL,3,NULL,2),(15,428,3,31,8,NULL,NULL,NULL,1),(15,428,3,31,9,1,2,1,2),(15,428,3,31,10,NULL,4,NULL,2),(15,428,3,31,11,1,6,NULL,5),(15,428,3,31,12,7,7,5,5),(15,428,3,31,13,3,5,2,4),(15,428,3,31,14,4,4,5,4),(15,428,3,31,15,6,10,6,6),(15,428,3,31,16,3,6,3,6),(15,428,3,31,17,7,11,5,8),(15,428,3,31,18,1,4,1,4),(15,428,3,31,19,1,2,1,1),(15,428,3,31,20,NULL,4,NULL,4),(15,428,3,31,21,1,NULL,1,NULL),(15,428,3,31,22,3,3,4,2),(15,428,3,31,23,1,1,NULL,1),(15,428,3,31,24,NULL,8,NULL,6),(15,428,3,31,25,NULL,5,NULL,4),(15,428,3,31,26,NULL,1,NULL,1),(15,428,3,31,27,NULL,1,NULL,2),(15,428,3,31,28,1,2,1,NULL),(15,428,3,31,29,NULL,10,NULL,6),(15,428,3,31,30,NULL,8,1,5),(15,428,3,32,1,10,9,10,8),(15,428,3,32,2,NULL,3,1,2),(15,428,3,32,3,1,4,2,5),(15,428,3,32,4,3,2,3,3),(15,428,3,32,5,2,3,2,5),(15,428,3,32,6,NULL,9,NULL,10),(15,428,3,32,7,NULL,3,NULL,4),(15,428,3,32,8,NULL,1,NULL,1),(15,428,3,32,9,1,1,1,2),(15,428,3,32,10,3,4,2,3),(15,428,3,32,11,NULL,3,NULL,4),(15,428,3,32,12,3,7,4,6),(15,428,3,32,13,2,7,2,7),(15,428,3,32,14,3,4,5,3),(15,428,3,32,15,8,1,8,1),(15,428,3,32,16,2,8,2,8),(15,428,3,32,17,12,4,12,6),(15,428,3,32,18,3,5,3,6),(15,428,3,32,19,1,3,1,4),(15,428,3,32,20,NULL,6,NULL,6),(15,428,3,32,21,3,NULL,3,NULL),(15,428,3,32,22,2,3,2,3),(15,428,3,32,23,NULL,2,1,2),(15,428,3,32,24,1,7,1,7),(15,428,3,32,25,1,3,NULL,4),(15,428,3,32,26,NULL,1,NULL,1),(15,428,3,32,27,NULL,2,NULL,1),(15,428,3,32,28,NULL,NULL,NULL,NULL),(15,428,3,32,29,NULL,8,NULL,8),(15,428,3,32,30,1,10,1,9),(15,428,3,33,1,11,12,12,12),(15,428,3,33,2,NULL,6,NULL,5),(15,428,3,33,3,8,4,7,5),(15,428,3,33,4,8,6,8,6),(15,428,3,33,5,3,12,4,11),(15,428,3,33,6,3,10,3,11),(15,428,3,33,7,NULL,3,NULL,4),(15,428,3,33,8,NULL,2,NULL,2),(15,428,3,33,9,1,3,1,3),(15,428,3,33,10,2,6,3,5),(15,428,3,33,11,NULL,4,NULL,6),(15,428,3,33,12,10,7,7,9),(15,428,3,33,13,1,8,1,8),(15,428,3,33,14,7,3,7,2),(15,428,3,33,15,7,7,9,5),(15,428,3,33,16,NULL,14,1,16),(15,428,3,33,17,11,11,14,8),(15,428,3,33,18,2,2,2,3),(15,428,3,33,19,5,2,5,2),(15,428,3,33,20,3,5,3,5),(15,428,3,33,21,NULL,NULL,NULL,NULL),(15,428,3,33,22,NULL,5,NULL,7),(15,428,3,33,23,NULL,3,NULL,2),(15,428,3,33,24,NULL,11,1,13),(15,428,3,33,25,2,4,2,4),(15,428,3,33,26,1,1,1,NULL),(15,428,3,33,27,NULL,2,NULL,2),(15,428,3,33,28,NULL,1,NULL,1),(15,428,3,33,29,1,12,1,13),(15,428,3,33,30,NULL,8,NULL,10),(15,428,3,34,1,13,12,8,13),(15,428,3,34,2,1,9,1,6),(15,428,3,34,3,4,1,5,3),(15,428,3,34,4,3,2,4,3),(15,428,3,34,5,6,5,6,6),(15,428,3,34,6,1,7,1,10),(15,428,3,34,7,NULL,8,NULL,6),(15,428,3,34,8,1,2,1,2),(15,428,3,34,9,NULL,3,NULL,3),(15,428,3,34,10,2,6,2,5),(15,428,3,34,11,2,3,2,2),(15,428,3,34,12,4,6,6,7),(15,428,3,34,13,NULL,11,NULL,11),(15,428,3,34,14,4,2,4,2),(15,428,3,34,15,3,6,5,6),(15,428,3,34,16,5,4,4,5),(15,428,3,34,17,12,10,11,8),(15,428,3,34,18,1,3,1,5),(15,428,3,34,19,3,2,4,3),(15,428,3,34,20,1,5,1,5),(15,428,3,34,21,3,NULL,3,NULL),(15,428,3,34,22,1,7,1,5),(15,428,3,34,23,NULL,3,NULL,2),(15,428,3,34,24,2,8,2,8),(15,428,3,34,25,1,NULL,1,NULL),(15,428,3,34,26,NULL,5,NULL,3),(15,428,3,34,27,1,2,1,2),(15,428,3,34,28,NULL,3,NULL,2),(15,428,3,34,29,1,12,NULL,12),(15,428,3,34,30,1,6,1,6),(15,429,1,11,1,1,NULL,NULL,NULL),(15,429,1,11,2,NULL,NULL,NULL,NULL),(15,429,1,11,3,NULL,1,NULL,NULL),(15,429,1,11,4,NULL,NULL,NULL,NULL),(15,429,1,11,5,NULL,NULL,NULL,NULL),(15,429,1,11,6,NULL,NULL,NULL,NULL),(15,429,1,11,7,1,NULL,NULL,NULL),(15,429,1,11,8,NULL,NULL,NULL,NULL),(15,429,1,11,9,1,NULL,NULL,NULL),(15,429,1,11,10,NULL,1,NULL,NULL),(15,429,1,11,11,NULL,NULL,NULL,NULL),(15,429,1,11,12,NULL,NULL,NULL,NULL),(15,429,1,11,13,1,NULL,NULL,NULL),(15,429,1,11,14,NULL,NULL,NULL,NULL),(15,429,1,11,15,1,NULL,NULL,NULL),(15,429,1,11,16,1,NULL,NULL,NULL),(15,429,1,11,17,NULL,NULL,NULL,NULL),(15,429,1,11,18,NULL,NULL,NULL,NULL),(15,429,1,11,19,1,NULL,NULL,NULL),(15,429,1,11,20,NULL,NULL,NULL,NULL),(15,429,1,12,1,NULL,NULL,NULL,NULL),(15,429,1,12,2,NULL,NULL,NULL,NULL),(15,429,1,12,3,NULL,NULL,NULL,NULL),(15,429,1,12,4,NULL,NULL,NULL,NULL),(15,429,1,12,5,NULL,NULL,NULL,NULL),(15,429,1,12,6,NULL,NULL,NULL,NULL),(15,429,1,12,7,NULL,NULL,NULL,NULL),(15,429,1,12,8,NULL,NULL,NULL,NULL),(15,429,1,12,9,NULL,NULL,NULL,NULL),(15,429,1,12,10,NULL,NULL,NULL,NULL),(15,429,1,12,11,NULL,NULL,NULL,NULL),(15,429,1,12,12,NULL,NULL,NULL,NULL),(15,429,1,12,13,NULL,NULL,NULL,NULL),(15,429,1,12,14,NULL,NULL,NULL,NULL),(15,429,1,12,15,NULL,NULL,NULL,NULL),(15,429,1,12,16,NULL,NULL,NULL,NULL),(15,429,1,12,17,NULL,NULL,NULL,NULL),(15,429,1,12,18,NULL,NULL,NULL,NULL),(15,429,1,12,19,NULL,NULL,NULL,NULL),(15,429,1,12,20,NULL,NULL,NULL,NULL),(15,429,1,13,1,1,NULL,NULL,NULL),(15,429,1,13,2,1,NULL,NULL,NULL),(15,429,1,13,3,NULL,NULL,NULL,NULL),(15,429,1,13,4,NULL,NULL,NULL,NULL),(15,429,1,13,5,NULL,NULL,NULL,NULL),(15,429,1,13,6,NULL,1,NULL,NULL),(15,429,1,13,7,NULL,NULL,NULL,NULL),(15,429,1,13,8,NULL,NULL,NULL,NULL),(15,429,1,13,9,NULL,NULL,NULL,NULL),(15,429,1,13,10,1,NULL,NULL,NULL),(15,429,1,13,11,NULL,NULL,NULL,NULL),(15,429,1,13,12,NULL,NULL,NULL,NULL),(15,429,1,13,13,NULL,NULL,NULL,NULL),(15,429,1,13,14,NULL,NULL,NULL,NULL),(15,429,1,13,15,1,NULL,NULL,NULL),(15,429,1,13,16,NULL,NULL,NULL,NULL),(15,429,1,13,17,NULL,1,NULL,NULL),(15,429,1,13,18,NULL,NULL,NULL,NULL),(15,429,1,13,19,NULL,NULL,NULL,NULL),(15,429,1,13,20,NULL,NULL,NULL,NULL),(15,429,1,14,1,19,17,8,6),(15,429,1,14,2,7,15,4,7),(15,429,1,14,3,5,26,NULL,11),(15,429,1,14,4,13,14,7,7),(15,429,1,14,5,6,24,3,9),(15,429,1,14,6,17,17,8,7),(15,429,1,14,7,16,9,7,7),(15,429,1,14,8,5,19,4,6),(15,429,1,14,9,18,NULL,12,NULL),(15,429,1,14,10,21,4,9,4),(15,429,1,14,11,3,15,2,11),(15,429,1,14,12,1,14,2,7),(15,429,1,14,13,10,6,8,3),(15,429,1,14,14,21,12,14,3),(15,429,1,14,15,30,NULL,16,NULL),(15,429,1,14,16,6,7,5,4),(15,429,1,14,17,6,9,5,7),(15,429,1,14,18,4,9,2,5),(15,429,1,14,19,17,3,11,1),(15,429,1,14,20,19,12,9,6),(15,429,1,15,1,21,14,7,2),(15,429,1,15,2,8,17,2,4),(15,429,1,15,3,7,16,2,7),(15,429,1,15,4,8,18,4,6),(15,429,1,15,5,6,16,3,5),(15,429,1,15,6,23,17,4,6),(15,429,1,15,7,14,4,7,3),(15,429,1,15,8,6,22,3,6),(15,429,1,15,9,18,NULL,6,NULL),(15,429,1,15,10,19,8,8,1),(15,429,1,15,11,3,18,2,5),(15,429,1,15,12,3,9,3,1),(15,429,1,15,13,11,11,5,2),(15,429,1,15,14,16,20,7,2),(15,429,1,15,15,32,NULL,11,NULL),(15,429,1,15,16,6,12,2,2),(15,429,1,15,17,16,6,7,3),(15,429,1,15,18,4,11,1,4),(15,429,1,15,19,15,9,7,2),(15,429,1,15,20,10,17,4,7),(15,429,1,16,1,8,10,2,2),(15,429,1,16,2,3,3,1,NULL),(15,429,1,16,3,4,13,2,1),(15,429,1,16,4,5,6,1,2),(15,429,1,16,5,2,11,1,2),(15,429,1,16,6,8,12,1,3),(15,429,1,16,7,9,6,4,NULL),(15,429,1,16,8,3,18,NULL,4),(15,429,1,16,9,12,NULL,3,NULL),(15,429,1,16,10,12,4,3,NULL),(15,429,1,16,11,11,8,1,2),(15,429,1,16,12,10,15,3,1),(15,429,1,16,13,3,23,NULL,4),(15,429,1,16,14,7,11,2,2),(15,429,1,16,15,6,6,1,NULL),(15,429,1,16,16,10,NULL,3,NULL),(15,429,1,16,17,6,8,NULL,2),(15,429,1,16,18,6,12,2,2),(15,429,1,16,19,2,8,NULL,1),(15,429,1,16,20,6,14,1,1),(15,429,1,17,1,6,8,2,4),(15,429,1,17,2,3,6,2,2),(15,429,1,17,3,2,10,1,2),(15,429,1,17,4,3,8,1,2),(15,429,1,17,5,NULL,9,NULL,2),(15,429,1,17,6,5,7,1,2),(15,429,1,17,7,9,6,3,NULL),(15,429,1,17,8,3,12,1,3),(15,429,1,17,9,9,NULL,3,NULL),(15,429,1,17,10,8,10,2,3),(15,429,1,17,11,10,7,2,2),(15,429,1,17,12,7,16,4,3),(15,429,1,17,13,1,22,1,5),(15,429,1,17,14,7,12,3,3),(15,429,1,17,15,3,5,1,NULL),(15,429,1,17,16,8,NULL,2,NULL),(15,429,1,17,17,5,11,1,3),(15,429,1,17,18,4,11,2,2),(15,429,1,17,19,1,7,1,3),(15,429,1,17,20,9,14,5,1),(15,429,2,21,1,3,4,2,1),(15,429,2,21,2,NULL,6,NULL,2),(15,429,2,21,3,NULL,3,NULL,2),(15,429,2,21,4,NULL,2,NULL,2),(15,429,2,21,5,6,6,2,3),(15,429,2,21,6,5,4,4,2),(15,429,2,21,7,1,1,NULL,1),(15,429,2,21,8,1,NULL,NULL,NULL),(15,429,2,21,9,1,3,NULL,NULL),(15,429,2,21,10,4,4,3,1),(15,429,2,21,11,1,8,NULL,3),(15,429,2,21,12,10,12,4,3),(15,429,2,21,13,7,14,3,3),(15,429,2,21,14,3,11,2,2),(15,429,2,21,15,2,11,1,6),(15,429,2,21,16,14,15,5,5),(15,429,2,21,17,6,6,4,NULL),(15,429,2,21,18,4,11,2,3),(15,429,2,21,19,4,13,2,4),(15,429,2,21,20,4,9,1,3),(15,429,2,21,21,NULL,2,NULL,2),(15,429,2,21,22,5,6,5,1),(15,429,2,21,23,2,12,2,4),(15,429,2,21,24,3,9,1,4),(15,429,2,21,25,14,NULL,7,NULL),(15,429,2,21,26,1,7,NULL,2),(15,429,2,21,27,NULL,5,NULL,3),(15,429,2,21,28,2,8,1,3),(15,429,2,21,29,5,22,3,7),(15,429,2,21,30,2,2,1,1),(15,429,2,22,1,1,NULL,1,1),(15,429,2,22,2,NULL,2,NULL,2),(15,429,2,22,3,4,4,1,1),(15,429,2,22,4,NULL,NULL,NULL,NULL),(15,429,2,22,5,7,6,1,4),(15,429,2,22,6,4,5,1,3),(15,429,2,22,7,1,1,1,1),(15,429,2,22,8,3,NULL,1,NULL),(15,429,2,22,9,1,5,NULL,2),(15,429,2,22,10,7,2,2,1),(15,429,2,22,11,2,7,1,NULL),(15,429,2,22,12,12,15,3,3),(15,429,2,22,13,13,8,4,1),(15,429,2,22,14,1,9,1,NULL),(15,429,2,22,15,7,14,1,2),(15,429,2,22,16,16,18,1,5),(15,429,2,22,17,1,12,NULL,5),(15,429,2,22,18,9,7,2,4),(15,429,2,22,19,4,18,1,4),(15,429,2,22,20,4,10,1,2),(15,429,2,22,21,3,2,2,1),(15,429,2,22,22,7,7,2,3),(15,429,2,22,23,3,13,NULL,2),(15,429,2,22,24,2,9,1,2),(15,429,2,22,25,12,NULL,4,NULL),(15,429,2,22,26,5,9,NULL,2),(15,429,2,22,27,1,8,NULL,2),(15,429,2,22,28,1,8,NULL,2),(15,429,2,22,29,8,22,4,3),(15,429,2,22,30,NULL,4,NULL,1),(15,429,2,23,1,NULL,4,NULL,2),(15,429,2,23,2,NULL,2,NULL,2),(15,429,2,23,3,2,4,NULL,NULL),(15,429,2,23,4,3,5,1,1),(15,429,2,23,5,5,7,3,3),(15,429,2,23,6,6,9,4,2),(15,429,2,23,7,2,1,2,1),(15,429,2,23,8,2,NULL,NULL,NULL),(15,429,2,23,9,1,5,NULL,2),(15,429,2,23,10,5,4,4,2),(15,429,2,23,11,7,11,5,3),(15,429,2,23,12,9,10,2,4),(15,429,2,23,13,10,7,3,2),(15,429,2,23,14,3,8,NULL,2),(15,429,2,23,15,4,11,1,4),(15,429,2,23,16,9,15,4,4),(15,429,2,23,17,3,9,1,5),(15,429,2,23,18,10,7,1,3),(15,429,2,23,19,2,15,1,5),(15,429,2,23,20,1,9,NULL,5),(15,429,2,23,21,1,4,1,2),(15,429,2,23,22,11,6,7,2),(15,429,2,23,23,2,11,NULL,5),(15,429,2,23,24,3,7,2,3),(15,429,2,23,25,12,NULL,7,NULL),(15,429,2,23,26,6,9,2,3),(15,429,2,23,27,NULL,8,NULL,4),(15,429,2,23,28,1,9,1,3),(15,429,2,23,29,10,19,4,4),(15,429,2,23,30,1,6,NULL,2),(15,429,2,24,1,1,2,1,2),(15,429,2,24,2,NULL,1,NULL,1),(15,429,2,24,3,2,6,NULL,2),(15,429,2,24,4,2,4,NULL,NULL),(15,429,2,24,5,12,10,6,1),(15,429,2,24,6,6,5,1,2),(15,429,2,24,7,NULL,2,NULL,1),(15,429,2,24,8,2,NULL,NULL,NULL),(15,429,2,24,9,8,9,5,2),(15,429,2,24,10,5,3,NULL,1),(15,429,2,24,11,5,8,3,4),(15,429,2,24,12,20,10,4,7),(15,429,2,24,13,19,6,7,1),(15,429,2,24,14,3,16,NULL,6),(15,429,2,24,15,6,11,3,4),(15,429,2,24,16,15,20,8,4),(15,429,2,24,17,2,4,NULL,2),(15,429,2,24,18,11,7,3,3),(15,429,2,24,19,4,16,2,5),(15,429,2,24,20,5,12,1,4),(15,429,2,24,21,NULL,3,1,1),(15,429,2,24,22,11,9,6,3),(15,429,2,24,23,NULL,14,1,6),(15,429,2,24,24,1,11,NULL,4),(15,429,2,24,25,12,NULL,9,NULL),(15,429,2,24,26,2,4,1,1),(15,429,2,24,27,2,2,3,1),(15,429,2,24,28,1,9,NULL,4),(15,429,2,24,29,10,19,5,6),(15,429,2,24,30,3,5,NULL,1),(15,429,3,31,1,20,18,6,5),(15,429,3,31,2,NULL,5,NULL,3),(15,429,3,31,3,2,9,2,4),(15,429,3,31,4,11,8,6,2),(15,429,3,31,5,6,9,4,6),(15,429,3,31,6,NULL,16,NULL,5),(15,429,3,31,7,NULL,10,NULL,5),(15,429,3,31,8,1,3,NULL,2),(15,429,3,31,9,NULL,6,NULL,3),(15,429,3,31,10,1,5,NULL,2),(15,429,3,31,11,NULL,6,NULL,2),(15,429,3,31,12,6,14,5,4),(15,429,3,31,13,2,11,1,5),(15,429,3,31,14,6,8,3,5),(15,429,3,31,15,7,5,5,2),(15,429,3,31,16,6,8,3,1),(15,429,3,31,17,16,9,7,3),(15,429,3,31,18,2,5,1,1),(15,429,3,31,19,2,9,1,2),(15,429,3,31,20,3,5,2,2),(15,429,3,31,21,2,NULL,2,NULL),(15,429,3,31,22,NULL,5,NULL,1),(15,429,3,31,23,NULL,2,NULL,NULL),(15,429,3,31,24,1,14,1,7),(15,429,3,31,25,NULL,3,1,1),(15,429,3,31,26,NULL,2,NULL,NULL),(15,429,3,31,27,NULL,2,NULL,1),(15,429,3,31,28,1,6,1,1),(15,429,3,31,29,NULL,12,NULL,7),(15,429,3,31,30,NULL,11,1,5),(15,429,3,32,1,20,14,5,5),(15,429,3,32,2,NULL,6,NULL,2),(15,429,3,32,3,3,5,1,1),(15,429,3,32,4,7,6,3,4),(15,429,3,32,5,4,7,3,3),(15,429,3,32,6,NULL,23,NULL,5),(15,429,3,32,7,1,2,1,1),(15,429,3,32,8,NULL,3,NULL,3),(15,429,3,32,9,1,3,1,1),(15,429,3,32,10,NULL,9,1,3),(15,429,3,32,11,1,1,NULL,NULL),(15,429,3,32,12,5,12,2,4),(15,429,3,32,13,1,8,1,2),(15,429,3,32,14,4,6,1,5),(15,429,3,32,15,6,8,1,6),(15,429,3,32,16,2,10,2,5),(15,429,3,32,17,14,11,5,4),(15,429,3,32,18,5,5,3,1),(15,429,3,32,19,4,9,1,3),(15,429,3,32,20,1,7,NULL,1),(15,429,3,32,21,2,NULL,2,NULL),(15,429,3,32,22,2,5,NULL,2),(15,429,3,32,23,NULL,1,NULL,NULL),(15,429,3,32,24,NULL,10,NULL,6),(15,429,3,32,25,NULL,4,NULL,2),(15,429,3,32,26,NULL,2,NULL,1),(15,429,3,32,27,2,NULL,NULL,NULL),(15,429,3,32,28,NULL,4,NULL,NULL),(15,429,3,32,29,NULL,14,NULL,6),(15,429,3,32,30,NULL,14,NULL,3),(15,429,3,33,1,20,21,5,2),(15,429,3,33,2,NULL,7,NULL,2),(15,429,3,33,3,7,7,2,1),(15,429,3,33,4,8,5,2,1),(15,429,3,33,5,6,8,3,2),(15,429,3,33,6,1,18,NULL,3),(15,429,3,33,7,NULL,6,NULL,2),(15,429,3,33,8,NULL,NULL,NULL,NULL),(15,429,3,33,9,1,4,1,1),(15,429,3,33,10,1,3,1,1),(15,429,3,33,11,2,3,NULL,1),(15,429,3,33,12,10,7,4,NULL),(15,429,3,33,13,4,14,2,2),(15,429,3,33,14,7,4,4,2),(15,429,3,33,15,9,16,3,4),(15,429,3,33,16,2,11,NULL,3),(15,429,3,33,17,11,14,3,3),(15,429,3,33,18,1,8,NULL,3),(15,429,3,33,19,8,3,1,NULL),(15,429,3,33,20,1,7,NULL,2),(15,429,3,33,21,3,NULL,1,NULL),(15,429,3,33,22,NULL,6,NULL,3),(15,429,3,33,23,NULL,1,NULL,NULL),(15,429,3,33,24,NULL,9,NULL,4),(15,429,3,33,25,NULL,1,NULL,NULL),(15,429,3,33,26,NULL,6,NULL,2),(15,429,3,33,27,NULL,NULL,NULL,NULL),(15,429,3,33,28,NULL,5,NULL,1),(15,429,3,33,29,1,19,NULL,4),(15,429,3,33,30,NULL,16,NULL,4),(15,429,3,34,1,18,20,4,7),(15,429,3,34,2,1,7,NULL,4),(15,429,3,34,3,10,7,5,3),(15,429,3,34,4,6,6,3,3),(15,429,3,34,5,3,15,2,5),(15,429,3,34,6,2,13,1,6),(15,429,3,34,7,NULL,8,NULL,4),(15,429,3,34,8,NULL,4,NULL,1),(15,429,3,34,9,NULL,8,NULL,4),(15,429,3,34,10,1,3,1,2),(15,429,3,34,11,2,5,2,1),(15,429,3,34,12,11,14,6,4),(15,429,3,34,13,2,8,1,5),(15,429,3,34,14,8,4,4,1),(15,429,3,34,15,9,9,5,2),(15,429,3,34,16,2,5,NULL,2),(15,429,3,34,17,16,8,6,1),(15,429,3,34,18,1,7,NULL,3),(15,429,3,34,19,4,4,3,1),(15,429,3,34,20,2,6,2,2),(15,429,3,34,21,1,NULL,NULL,NULL),(15,429,3,34,22,NULL,6,NULL,4),(15,429,3,34,23,1,5,NULL,3),(15,429,3,34,24,1,14,1,4),(15,429,3,34,25,1,3,NULL,1),(15,429,3,34,26,1,1,1,NULL),(15,429,3,34,27,NULL,1,NULL,NULL),(15,429,3,34,28,1,4,1,NULL),(15,429,3,34,29,NULL,14,NULL,6),(15,429,3,34,30,NULL,12,NULL,5),(15,444,1,11,1,NULL,NULL,NULL,NULL),(15,444,1,11,2,NULL,NULL,NULL,NULL),(15,444,1,11,3,NULL,NULL,NULL,NULL),(15,444,1,11,4,NULL,NULL,NULL,NULL),(15,444,1,11,5,NULL,NULL,NULL,NULL),(15,444,1,11,6,NULL,NULL,NULL,NULL),(15,444,1,11,7,NULL,NULL,NULL,NULL),(15,444,1,11,8,NULL,NULL,NULL,NULL),(15,444,1,11,9,NULL,NULL,NULL,NULL),(15,444,1,11,10,NULL,NULL,NULL,NULL),(15,444,1,11,11,NULL,NULL,NULL,NULL),(15,444,1,11,12,NULL,NULL,NULL,NULL),(15,444,1,11,13,NULL,NULL,NULL,NULL),(15,444,1,11,14,NULL,NULL,NULL,NULL),(15,444,1,11,15,NULL,NULL,NULL,NULL),(15,444,1,11,16,NULL,NULL,NULL,NULL),(15,444,1,11,17,NULL,NULL,NULL,NULL),(15,444,1,11,18,NULL,NULL,NULL,NULL),(15,444,1,11,19,NULL,NULL,NULL,NULL),(15,444,1,11,20,NULL,NULL,NULL,NULL),(15,444,1,12,1,NULL,NULL,NULL,NULL),(15,444,1,12,2,NULL,NULL,NULL,NULL),(15,444,1,12,3,NULL,NULL,NULL,NULL),(15,444,1,12,4,NULL,NULL,NULL,NULL),(15,444,1,12,5,NULL,NULL,NULL,NULL),(15,444,1,12,6,NULL,NULL,NULL,NULL),(15,444,1,12,7,NULL,NULL,NULL,NULL),(15,444,1,12,8,NULL,NULL,NULL,NULL),(15,444,1,12,9,NULL,NULL,NULL,NULL),(15,444,1,12,10,NULL,NULL,NULL,NULL),(15,444,1,12,11,NULL,NULL,NULL,NULL),(15,444,1,12,12,NULL,NULL,NULL,NULL),(15,444,1,12,13,NULL,NULL,NULL,NULL),(15,444,1,12,14,NULL,NULL,NULL,NULL),(15,444,1,12,15,NULL,NULL,NULL,NULL),(15,444,1,12,16,NULL,NULL,NULL,NULL),(15,444,1,12,17,NULL,NULL,NULL,NULL),(15,444,1,12,18,NULL,NULL,NULL,NULL),(15,444,1,12,19,NULL,NULL,NULL,NULL),(15,444,1,12,20,NULL,NULL,NULL,NULL),(15,444,1,13,1,NULL,NULL,NULL,NULL),(15,444,1,13,2,NULL,NULL,NULL,NULL),(15,444,1,13,3,NULL,NULL,NULL,NULL),(15,444,1,13,4,NULL,NULL,NULL,NULL),(15,444,1,13,5,NULL,NULL,NULL,NULL),(15,444,1,13,6,NULL,NULL,NULL,NULL),(15,444,1,13,7,NULL,NULL,NULL,NULL),(15,444,1,13,8,NULL,NULL,NULL,NULL),(15,444,1,13,9,NULL,NULL,NULL,NULL),(15,444,1,13,10,NULL,NULL,NULL,NULL),(15,444,1,13,11,NULL,NULL,NULL,NULL),(15,444,1,13,12,NULL,NULL,NULL,NULL),(15,444,1,13,13,NULL,NULL,NULL,NULL),(15,444,1,13,14,NULL,NULL,NULL,NULL),(15,444,1,13,15,NULL,NULL,NULL,NULL),(15,444,1,13,16,NULL,NULL,NULL,NULL),(15,444,1,13,17,NULL,NULL,NULL,NULL),(15,444,1,13,18,NULL,NULL,NULL,NULL),(15,444,1,13,19,NULL,NULL,NULL,NULL),(15,444,1,13,20,NULL,NULL,NULL,NULL),(15,444,1,14,1,28,32,9,8),(15,444,1,14,2,13,18,7,7),(15,444,1,14,3,7,45,2,15),(15,444,1,14,4,11,30,3,13),(15,444,1,14,5,7,29,2,9),(15,444,1,14,6,26,28,10,6),(15,444,1,14,7,27,9,13,NULL),(15,444,1,14,8,18,38,4,13),(15,444,1,14,9,23,NULL,15,NULL),(15,444,1,14,10,28,13,12,4),(15,444,1,14,11,5,20,3,5),(15,444,1,14,12,1,12,NULL,4),(15,444,1,14,13,9,16,4,6),(15,444,1,14,14,29,44,8,10),(15,444,1,14,15,41,NULL,16,NULL),(15,444,1,14,16,6,8,3,3),(15,444,1,14,17,11,10,6,5),(15,444,1,14,18,8,7,4,4),(15,444,1,14,19,16,13,8,5),(15,444,1,14,20,20,10,8,5),(15,444,1,15,1,30,25,8,2),(15,444,1,15,2,17,20,4,4),(15,444,1,15,3,8,35,3,7),(15,444,1,15,4,12,21,2,6),(15,444,1,15,5,5,31,1,9),(15,444,1,15,6,25,26,4,4),(15,444,1,15,7,19,12,7,2),(15,444,1,15,8,12,39,3,9),(15,444,1,15,9,20,NULL,6,NULL),(15,444,1,15,10,37,11,9,2),(15,444,1,15,11,3,16,3,6),(15,444,1,15,12,5,14,3,5),(15,444,1,15,13,11,11,4,3),(15,444,1,15,14,24,36,6,6),(15,444,1,15,15,43,NULL,13,NULL),(15,444,1,15,16,7,10,4,3),(15,444,1,15,17,15,7,5,3),(15,444,1,15,18,5,10,3,2),(15,444,1,15,19,17,7,6,2),(15,444,1,15,20,23,18,9,4),(15,444,1,16,1,27,49,6,4),(15,444,1,16,2,19,20,2,2),(15,444,1,16,3,6,51,1,9),(15,444,1,16,4,15,32,2,8),(15,444,1,16,5,4,36,2,4),(15,444,1,16,6,27,37,1,7),(15,444,1,16,7,23,25,5,5),(15,444,1,16,8,20,60,2,8),(15,444,1,16,9,23,NULL,5,NULL),(15,444,1,16,10,43,13,5,4),(15,444,1,16,11,43,29,8,3),(15,444,1,16,12,31,52,6,6),(15,444,1,16,13,13,85,NULL,12),(15,444,1,16,14,26,40,3,6),(15,444,1,16,15,13,17,1,2),(15,444,1,16,16,24,NULL,6,NULL),(15,444,1,16,17,24,33,NULL,8),(15,444,1,16,18,16,56,2,8),(15,444,1,16,19,10,16,NULL,2),(15,444,1,16,20,19,46,1,10),(15,444,1,17,1,34,46,6,5),(15,444,1,17,2,18,37,2,9),(15,444,1,17,3,5,53,1,9),(15,444,1,17,4,9,29,1,5),(15,444,1,17,5,5,45,1,5),(15,444,1,17,6,33,41,3,6),(15,444,1,17,7,26,18,6,5),(15,444,1,17,8,18,48,NULL,8),(15,444,1,17,9,36,NULL,7,NULL),(15,444,1,17,10,44,12,6,4),(15,444,1,17,11,34,33,3,9),(15,444,1,17,12,20,66,3,10),(15,444,1,17,13,11,83,1,11),(15,444,1,17,14,17,41,3,10),(15,444,1,17,15,11,19,2,4),(15,444,1,17,16,32,NULL,5,NULL),(15,444,1,17,17,19,41,2,10),(15,444,1,17,18,13,53,2,7),(15,444,1,17,19,12,14,3,2),(15,444,1,17,20,18,56,5,6),(15,444,2,21,1,8,11,3,1),(15,444,2,21,2,3,6,1,2),(15,444,2,21,3,2,10,NULL,1),(15,444,2,21,4,5,11,2,2),(15,444,2,21,5,22,23,5,2),(15,444,2,21,6,14,13,3,4),(15,444,2,21,7,5,1,3,NULL),(15,444,2,21,8,5,NULL,2,NULL),(15,444,2,21,9,3,13,2,1),(15,444,2,21,10,10,5,1,1),(15,444,2,21,11,14,24,4,2),(15,444,2,21,12,30,29,5,4),(15,444,2,21,13,30,8,10,NULL),(15,444,2,21,14,7,31,2,5),(15,444,2,21,15,11,29,2,5),(15,444,2,21,16,35,35,7,4),(15,444,2,21,17,5,26,2,3),(15,444,2,21,18,25,19,6,2),(15,444,2,21,19,16,34,1,5),(15,444,2,21,20,11,28,2,5),(15,444,2,21,21,2,14,2,4),(15,444,2,21,22,23,16,6,2),(15,444,2,21,23,8,30,3,6),(15,444,2,21,24,6,26,4,5),(15,444,2,21,25,36,NULL,10,NULL),(15,444,2,21,26,8,20,1,1),(15,444,2,21,27,5,22,NULL,4),(15,444,2,21,28,3,26,NULL,11),(15,444,2,21,29,14,60,4,9),(15,444,2,21,30,9,11,3,2),(15,444,2,22,1,8,9,NULL,3),(15,444,2,22,2,1,5,1,1),(15,444,2,22,3,5,17,1,4),(15,444,2,22,4,6,7,3,1),(15,444,2,22,5,16,18,5,6),(15,444,2,22,6,13,18,4,6),(15,444,2,22,7,7,3,2,2),(15,444,2,22,8,NULL,NULL,NULL,NULL),(15,444,2,22,9,5,14,1,5),(15,444,2,22,10,14,4,5,1),(15,444,2,22,11,14,29,5,5),(15,444,2,22,12,39,24,6,8),(15,444,2,22,13,25,18,5,6),(15,444,2,22,14,3,26,2,7),(15,444,2,22,15,13,28,4,8),(15,444,2,22,16,40,35,7,8),(15,444,2,22,17,8,16,NULL,5),(15,444,2,22,18,25,16,4,7),(15,444,2,22,19,12,35,3,9),(15,444,2,22,20,15,30,6,8),(15,444,2,22,21,3,6,NULL,2),(15,444,2,22,22,20,28,3,8),(15,444,2,22,23,16,24,7,4),(15,444,2,22,24,2,28,NULL,10),(15,444,2,22,25,34,NULL,12,NULL),(15,444,2,22,26,5,17,2,7),(15,444,2,22,27,6,28,2,7),(15,444,2,22,28,9,20,3,9),(15,444,2,22,29,19,57,6,11),(15,444,2,22,30,9,13,2,7),(15,444,2,23,1,8,8,4,2),(15,444,2,23,2,5,7,1,2),(15,444,2,23,3,2,16,1,4),(15,444,2,23,4,2,12,NULL,3),(15,444,2,23,5,11,20,5,3),(15,444,2,23,6,14,13,4,7),(15,444,2,23,7,2,1,1,NULL),(15,444,2,23,8,9,NULL,3,NULL),(15,444,2,23,9,4,16,3,6),(15,444,2,23,10,11,7,7,1),(15,444,2,23,11,13,28,3,4),(15,444,2,23,12,29,24,7,7),(15,444,2,23,13,28,11,11,2),(15,444,2,23,14,3,20,1,5),(15,444,2,23,15,8,24,2,8),(15,444,2,23,16,36,43,9,7),(15,444,2,23,17,5,19,NULL,6),(15,444,2,23,18,24,13,9,4),(15,444,2,23,19,4,35,1,7),(15,444,2,23,20,10,24,6,8),(15,444,2,23,21,3,7,NULL,1),(15,444,2,23,22,29,12,10,4),(15,444,2,23,23,7,25,2,8),(15,444,2,23,24,5,25,NULL,8),(15,444,2,23,25,33,NULL,11,NULL),(15,444,2,23,26,8,22,1,3),(15,444,2,23,27,5,27,NULL,8),(15,444,2,23,28,10,25,1,8),(15,444,2,23,29,28,44,10,7),(15,444,2,23,30,6,18,1,6),(15,444,2,24,1,5,14,1,3),(15,444,2,24,2,2,4,NULL,1),(15,444,2,24,3,3,7,NULL,2),(15,444,2,24,4,2,9,1,1),(15,444,2,24,5,20,20,4,6),(15,444,2,24,6,11,11,3,2),(15,444,2,24,7,2,5,2,1),(15,444,2,24,8,6,NULL,1,NULL),(15,444,2,24,9,NULL,8,NULL,2),(15,444,2,24,10,12,5,6,3),(15,444,2,24,11,10,24,2,6),(15,444,2,24,12,20,25,2,7),(15,444,2,24,13,20,14,4,4),(15,444,2,24,14,5,20,NULL,6),(15,444,2,24,15,14,22,4,5),(15,444,2,24,16,28,42,3,7),(15,444,2,24,17,2,19,1,5),(15,444,2,24,18,16,17,3,8),(15,444,2,24,19,9,32,NULL,8),(15,444,2,24,20,12,25,2,8),(15,444,2,24,21,3,6,1,3),(15,444,2,24,22,24,17,4,5),(15,444,2,24,23,17,22,3,6),(15,444,2,24,24,12,18,4,4),(15,444,2,24,25,32,NULL,9,NULL),(15,444,2,24,26,9,13,3,2),(15,444,2,24,27,8,25,1,9),(15,444,2,24,28,3,23,NULL,5),(15,444,2,24,29,27,47,4,8),(15,444,2,24,30,6,12,1,4),(15,444,3,31,1,41,45,5,7),(15,444,3,31,2,1,29,NULL,6),(15,444,3,31,3,19,16,7,3),(15,444,3,31,4,23,14,8,3),(15,444,3,31,5,13,24,4,6),(15,444,3,31,6,1,48,NULL,9),(15,444,3,31,7,2,15,1,2),(15,444,3,31,8,1,4,1,2),(15,444,3,31,9,4,13,2,2),(15,444,3,31,10,6,15,3,4),(15,444,3,31,11,2,13,NULL,NULL),(15,444,3,31,12,18,15,6,3),(15,444,3,31,13,4,13,NULL,4),(15,444,3,31,14,17,10,8,3),(15,444,3,31,15,16,20,4,6),(15,444,3,31,16,8,22,2,4),(15,444,3,31,17,33,27,5,6),(15,444,3,31,18,5,12,3,2),(15,444,3,31,19,7,11,2,3),(15,444,3,31,20,4,11,NULL,1),(15,444,3,31,21,6,NULL,1,NULL),(15,444,3,31,22,6,15,1,3),(15,444,3,31,23,2,6,1,NULL),(15,444,3,31,24,4,30,1,7),(15,444,3,31,25,NULL,12,NULL,6),(15,444,3,31,26,1,9,NULL,2),(15,444,3,31,27,3,7,NULL,NULL),(15,444,3,31,28,2,6,NULL,2),(15,444,3,31,29,1,41,NULL,8),(15,444,3,31,30,1,27,1,5),(15,444,3,32,1,54,43,8,9),(15,444,3,32,2,1,18,NULL,6),(15,444,3,32,3,10,13,4,3),(15,444,3,32,4,29,11,14,1),(15,444,3,32,5,15,26,6,8),(15,444,3,32,6,3,38,2,11),(15,444,3,32,7,NULL,18,NULL,4),(15,444,3,32,8,1,5,NULL,3),(15,444,3,32,9,3,14,2,4),(15,444,3,32,10,3,12,NULL,6),(15,444,3,32,11,5,10,1,1),(15,444,3,32,12,8,29,3,9),(15,444,3,32,13,6,21,3,9),(15,444,3,32,14,13,19,4,8),(15,444,3,32,15,21,18,8,6),(15,444,3,32,16,3,24,3,9),(15,444,3,32,17,37,34,12,3),(15,444,3,32,18,9,20,4,5),(15,444,3,32,19,12,17,3,6),(15,444,3,32,20,2,14,NULL,3),(15,444,3,32,21,3,NULL,NULL,NULL),(15,444,3,32,22,6,22,2,8),(15,444,3,32,23,3,4,NULL,1),(15,444,3,32,24,2,44,NULL,12),(15,444,3,32,25,3,10,NULL,5),(15,444,3,32,26,NULL,10,NULL,2),(15,444,3,32,27,2,6,1,3),(15,444,3,32,28,1,4,NULL,NULL),(15,444,3,32,29,NULL,33,NULL,10),(15,444,3,32,30,1,31,NULL,9),(15,444,3,33,1,38,45,8,8),(15,444,3,33,2,NULL,19,NULL,7),(15,444,3,33,3,17,18,3,9),(15,444,3,33,4,22,12,7,4),(15,444,3,33,5,14,25,5,6),(15,444,3,33,6,7,38,3,6),(15,444,3,33,7,3,19,2,6),(15,444,3,33,8,6,3,2,2),(15,444,3,33,9,3,13,1,5),(15,444,3,33,10,7,10,3,4),(15,444,3,33,11,NULL,9,NULL,3),(15,444,3,33,12,15,25,4,7),(15,444,3,33,13,2,23,NULL,7),(15,444,3,33,14,12,16,4,5),(15,444,3,33,15,26,17,7,4),(15,444,3,33,16,12,25,3,7),(15,444,3,33,17,35,30,9,4),(15,444,3,33,18,7,22,2,2),(15,444,3,33,19,14,15,3,6),(15,444,3,33,20,4,13,1,2),(15,444,3,33,21,7,NULL,5,NULL),(15,444,3,33,22,5,19,1,6),(15,444,3,33,23,2,6,1,2),(15,444,3,33,24,3,43,1,10),(15,444,3,33,25,NULL,7,NULL,4),(15,444,3,33,26,1,13,NULL,5),(15,444,3,33,27,NULL,8,NULL,1),(15,444,3,33,28,1,4,NULL,1),(15,444,3,33,29,NULL,53,NULL,14),(15,444,3,33,30,NULL,30,NULL,11),(15,444,3,34,1,38,57,7,5),(15,444,3,34,2,1,24,1,6),(15,444,3,34,3,14,15,5,3),(15,444,3,34,4,25,21,7,2),(15,444,3,34,5,8,23,1,7),(15,444,3,34,6,1,48,1,7),(15,444,3,34,7,1,16,1,4),(15,444,3,34,8,1,5,1,1),(15,444,3,34,9,3,13,1,4),(15,444,3,34,10,8,11,5,2),(15,444,3,34,11,NULL,9,NULL,NULL),(15,444,3,34,12,23,20,7,2),(15,444,3,34,13,2,27,NULL,6),(15,444,3,34,14,16,16,5,4),(15,444,3,34,15,19,17,3,2),(15,444,3,34,16,9,21,3,4),(15,444,3,34,17,39,24,10,NULL),(15,444,3,34,18,5,19,3,3),(15,444,3,34,19,10,12,2,3),(15,444,3,34,20,2,19,2,5),(15,444,3,34,21,7,NULL,2,NULL),(15,444,3,34,22,1,19,NULL,6),(15,444,3,34,23,NULL,8,NULL,2),(15,444,3,34,24,4,43,2,7),(15,444,3,34,25,2,3,1,NULL),(15,444,3,34,26,2,8,1,4),(15,444,3,34,27,NULL,11,NULL,2),(15,444,3,34,28,1,9,NULL,NULL),(15,444,3,34,29,NULL,44,NULL,7),(15,444,3,34,30,NULL,28,NULL,4),(15,450,1,11,1,NULL,1,NULL,NULL),(15,450,1,11,2,1,NULL,NULL,NULL),(15,450,1,11,3,NULL,NULL,NULL,NULL),(15,450,1,11,4,NULL,NULL,NULL,NULL),(15,450,1,11,5,NULL,NULL,NULL,NULL),(15,450,1,11,6,NULL,NULL,NULL,NULL),(15,450,1,11,7,NULL,NULL,NULL,NULL),(15,450,1,11,8,NULL,1,NULL,NULL),(15,450,1,11,9,NULL,NULL,NULL,NULL),(15,450,1,11,10,NULL,NULL,NULL,NULL),(15,450,1,11,11,NULL,NULL,NULL,NULL),(15,450,1,11,12,NULL,NULL,NULL,NULL),(15,450,1,11,13,NULL,NULL,NULL,NULL),(15,450,1,11,14,NULL,NULL,NULL,NULL),(15,450,1,11,15,NULL,NULL,NULL,NULL),(15,450,1,11,16,NULL,NULL,NULL,NULL),(15,450,1,11,17,NULL,NULL,NULL,NULL),(15,450,1,11,18,NULL,NULL,NULL,NULL),(15,450,1,11,19,NULL,NULL,NULL,NULL),(15,450,1,11,20,1,NULL,NULL,NULL),(15,450,1,12,1,NULL,1,NULL,NULL),(15,450,1,12,2,NULL,NULL,NULL,NULL),(15,450,1,12,3,1,NULL,NULL,NULL),(15,450,1,12,4,1,NULL,NULL,NULL),(15,450,1,12,5,1,NULL,NULL,NULL),(15,450,1,12,6,1,NULL,NULL,NULL),(15,450,1,12,7,1,NULL,NULL,NULL),(15,450,1,12,8,1,NULL,NULL,NULL),(15,450,1,12,9,NULL,NULL,NULL,NULL),(15,450,1,12,10,1,NULL,NULL,NULL),(15,450,1,12,11,1,NULL,NULL,NULL),(15,450,1,12,12,NULL,1,NULL,NULL),(15,450,1,12,13,NULL,1,NULL,NULL),(15,450,1,12,14,1,NULL,NULL,NULL),(15,450,1,12,15,1,NULL,NULL,NULL),(15,450,1,12,16,1,NULL,NULL,NULL),(15,450,1,12,17,NULL,NULL,NULL,NULL),(15,450,1,12,18,NULL,1,NULL,NULL),(15,450,1,12,19,1,NULL,NULL,NULL),(15,450,1,12,20,NULL,NULL,NULL,NULL),(15,450,1,13,1,NULL,NULL,NULL,NULL),(15,450,1,13,2,NULL,NULL,NULL,NULL),(15,450,1,13,3,NULL,NULL,NULL,NULL),(15,450,1,13,4,NULL,NULL,NULL,NULL),(15,450,1,13,5,NULL,NULL,NULL,NULL),(15,450,1,13,6,NULL,NULL,NULL,NULL),(15,450,1,13,7,NULL,NULL,NULL,NULL),(15,450,1,13,8,NULL,NULL,NULL,NULL),(15,450,1,13,9,NULL,NULL,NULL,NULL),(15,450,1,13,10,NULL,NULL,NULL,NULL),(15,450,1,13,11,NULL,NULL,NULL,NULL),(15,450,1,13,12,NULL,NULL,NULL,NULL),(15,450,1,13,13,NULL,NULL,NULL,NULL),(15,450,1,13,14,NULL,NULL,NULL,NULL),(15,450,1,13,15,NULL,NULL,NULL,NULL),(15,450,1,13,16,NULL,NULL,NULL,NULL),(15,450,1,13,17,NULL,NULL,NULL,NULL),(15,450,1,13,18,NULL,NULL,NULL,NULL),(15,450,1,13,19,NULL,NULL,NULL,NULL),(15,450,1,13,20,NULL,NULL,NULL,NULL),(15,450,1,14,1,51,27,9,8),(15,450,1,14,2,35,27,9,8),(15,450,1,14,3,19,38,5,12),(15,450,1,14,4,33,28,10,6),(15,450,1,14,5,17,30,8,6),(15,450,1,14,6,35,34,7,7),(15,450,1,14,7,46,8,11,4),(15,450,1,14,8,28,42,6,9),(15,450,1,14,9,34,NULL,10,NULL),(15,450,1,14,10,50,9,12,4),(15,450,1,14,11,22,26,6,9),(15,450,1,14,12,13,26,2,10),(15,450,1,14,13,29,13,12,NULL),(15,450,1,14,14,51,24,12,6),(15,450,1,14,15,70,NULL,17,NULL),(15,450,1,14,16,21,11,8,1),(15,450,1,14,17,40,14,12,2),(15,450,1,14,18,20,17,4,3),(15,450,1,14,19,37,19,10,4),(15,450,1,14,20,37,29,8,7),(15,450,1,15,1,50,26,7,NULL),(15,450,1,15,2,28,20,4,1),(15,450,1,15,3,13,43,3,5),(15,450,1,15,4,27,23,3,4),(15,450,1,15,5,10,27,1,3),(15,450,1,15,6,46,30,2,4),(15,450,1,15,7,23,6,6,NULL),(15,450,1,15,8,29,31,5,2),(15,450,1,15,9,26,NULL,6,NULL),(15,450,1,15,10,40,8,6,1),(15,450,1,15,11,17,23,3,2),(15,450,1,15,12,13,31,3,3),(15,450,1,15,13,30,13,3,3),(15,450,1,15,14,50,26,5,2),(15,450,1,15,15,74,NULL,7,NULL),(15,450,1,15,16,14,9,5,1),(15,450,1,15,17,38,11,3,2),(15,450,1,15,18,21,18,2,NULL),(15,450,1,15,19,46,15,5,NULL),(15,450,1,15,20,51,16,5,2),(15,450,1,16,1,8,6,NULL,NULL),(15,450,1,16,2,7,NULL,NULL,NULL),(15,450,1,16,3,2,11,NULL,NULL),(15,450,1,16,4,1,5,NULL,NULL),(15,450,1,16,5,3,8,NULL,NULL),(15,450,1,16,6,6,5,NULL,NULL),(15,450,1,16,7,5,1,NULL,NULL),(15,450,1,16,8,6,9,NULL,NULL),(15,450,1,16,9,4,NULL,NULL,NULL),(15,450,1,16,10,6,3,NULL,NULL),(15,450,1,16,11,9,4,NULL,NULL),(15,450,1,16,12,8,6,NULL,NULL),(15,450,1,16,13,2,13,NULL,NULL),(15,450,1,16,14,8,5,NULL,NULL),(15,450,1,16,15,1,5,NULL,NULL),(15,450,1,16,16,12,NULL,NULL,NULL),(15,450,1,16,17,7,2,NULL,NULL),(15,450,1,16,18,3,9,NULL,NULL),(15,450,1,16,19,3,1,NULL,NULL),(15,450,1,16,20,8,6,NULL,NULL),(15,450,1,17,1,5,9,1,1),(15,450,1,17,2,2,5,1,1),(15,450,1,17,3,4,10,1,2),(15,450,1,17,4,9,3,2,NULL),(15,450,1,17,5,2,10,1,2),(15,450,1,17,6,9,6,2,1),(15,450,1,17,7,5,3,NULL,1),(15,450,1,17,8,5,10,1,1),(15,450,1,17,9,7,NULL,1,NULL),(15,450,1,17,10,8,3,2,NULL),(15,450,1,17,11,9,7,3,NULL),(15,450,1,17,12,11,6,2,1),(15,450,1,17,13,4,15,NULL,3),(15,450,1,17,14,4,9,1,1),(15,450,1,17,15,NULL,6,NULL,NULL),(15,450,1,17,16,6,NULL,2,NULL),(15,450,1,17,17,3,5,NULL,1),(15,450,1,17,18,3,10,1,1),(15,450,1,17,19,2,1,NULL,NULL),(15,450,1,17,20,7,11,1,2),(15,450,2,21,1,2,11,1,1),(15,450,2,21,2,1,1,1,NULL),(15,450,2,21,3,3,6,NULL,2),(15,450,2,21,4,6,4,2,1),(15,450,2,21,5,15,9,5,1),(15,450,2,21,6,10,12,1,5),(15,450,2,21,7,6,2,3,NULL),(15,450,2,21,8,1,NULL,1,NULL),(15,450,2,21,9,7,3,2,NULL),(15,450,2,21,10,7,4,3,2),(15,450,2,21,11,5,16,NULL,4),(15,450,2,21,12,17,14,4,3),(15,450,2,21,13,25,9,5,4),(15,450,2,21,14,9,14,NULL,2),(15,450,2,21,15,21,13,5,2),(15,450,2,21,16,30,17,5,4),(15,450,2,21,17,4,15,2,4),(15,450,2,21,18,9,10,1,3),(15,450,2,21,19,12,28,1,6),(15,450,2,21,20,17,14,6,3),(15,450,2,21,21,8,4,2,2),(15,450,2,21,22,17,7,5,1),(15,450,2,21,23,9,19,3,5),(15,450,2,21,24,8,14,3,5),(15,450,2,21,25,23,NULL,6,NULL),(15,450,2,21,26,9,5,1,NULL),(15,450,2,21,27,4,12,NULL,6),(15,450,2,21,28,7,18,NULL,6),(15,450,2,21,29,19,26,5,5),(15,450,2,21,30,8,5,2,2),(15,450,2,22,1,3,11,2,2),(15,450,2,22,2,3,4,NULL,2),(15,450,2,22,3,6,9,NULL,2),(15,450,2,22,4,9,5,3,1),(15,450,2,22,5,27,10,4,NULL),(15,450,2,22,6,14,4,2,NULL),(15,450,2,22,7,1,6,NULL,NULL),(15,450,2,22,8,3,NULL,NULL,NULL),(15,450,2,22,9,11,5,2,NULL),(15,450,2,22,10,11,5,3,1),(15,450,2,22,11,11,12,6,NULL),(15,450,2,22,12,24,16,2,2),(15,450,2,22,13,25,12,2,2),(15,450,2,22,14,6,16,1,4),(15,450,2,22,15,22,16,3,3),(15,450,2,22,16,34,19,4,2),(15,450,2,22,17,3,20,1,1),(15,450,2,22,18,13,13,2,1),(15,450,2,22,19,11,24,2,4),(15,450,2,22,20,22,19,3,3),(15,450,2,22,21,5,10,2,NULL),(15,450,2,22,22,22,12,3,1),(15,450,2,22,23,8,15,2,2),(15,450,2,22,24,4,23,1,3),(15,450,2,22,25,34,NULL,6,NULL),(15,450,2,22,26,3,12,1,5),(15,450,2,22,27,6,14,3,1),(15,450,2,22,28,5,16,2,3),(15,450,2,22,29,25,24,4,3),(15,450,2,22,30,6,9,3,2),(15,450,2,23,1,6,4,NULL,1),(15,450,2,23,2,4,5,NULL,3),(15,450,2,23,3,6,3,1,NULL),(15,450,2,23,4,8,6,3,1),(15,450,2,23,5,11,9,3,1),(15,450,2,23,6,13,8,2,2),(15,450,2,23,7,5,1,2,1),(15,450,2,23,8,2,NULL,2,NULL),(15,450,2,23,9,2,7,1,2),(15,450,2,23,10,7,3,2,1),(15,450,2,23,11,7,8,2,NULL),(15,450,2,23,12,14,16,2,5),(15,450,2,23,13,18,7,4,2),(15,450,2,23,14,6,12,NULL,3),(15,450,2,23,15,15,11,2,4),(15,450,2,23,16,31,17,6,1),(15,450,2,23,17,11,11,5,NULL),(15,450,2,23,18,16,10,2,4),(15,450,2,23,19,10,25,1,3),(15,450,2,23,20,17,11,2,4),(15,450,2,23,21,3,6,1,1),(15,450,2,23,22,19,7,4,2),(15,450,2,23,23,7,8,3,2),(15,450,2,23,24,5,17,2,4),(15,450,2,23,25,33,NULL,7,NULL),(15,450,2,23,26,2,7,1,3),(15,450,2,23,27,7,11,1,4),(15,450,2,23,28,2,18,NULL,4),(15,450,2,23,29,25,19,5,2),(15,450,2,23,30,6,14,2,5),(15,450,2,24,1,2,7,NULL,NULL),(15,450,2,24,2,2,2,NULL,1),(15,450,2,24,3,4,5,NULL,1),(15,450,2,24,4,6,4,1,NULL),(15,450,2,24,5,14,11,1,2),(15,450,2,24,6,10,5,4,NULL),(15,450,2,24,7,4,NULL,1,NULL),(15,450,2,24,8,5,NULL,1,NULL),(15,450,2,24,9,4,9,2,NULL),(15,450,2,24,10,7,4,1,1),(15,450,2,24,11,10,10,1,1),(15,450,2,24,12,22,13,5,NULL),(15,450,2,24,13,25,5,4,2),(15,450,2,24,14,2,18,NULL,1),(15,450,2,24,15,12,19,2,3),(15,450,2,24,16,28,18,4,2),(15,450,2,24,17,9,8,1,2),(15,450,2,24,18,7,12,2,4),(15,450,2,24,19,12,25,3,2),(15,450,2,24,20,12,18,4,1),(15,450,2,24,21,3,7,NULL,NULL),(15,450,2,24,22,25,8,4,1),(15,450,2,24,23,16,15,3,3),(15,450,2,24,24,3,25,2,4),(15,450,2,24,25,35,NULL,6,NULL),(15,450,2,24,26,4,8,1,1),(15,450,2,24,27,4,12,2,1),(15,450,2,24,28,10,10,3,NULL),(15,450,2,24,29,21,22,4,NULL),(15,450,2,24,30,4,7,1,2),(15,450,3,31,1,27,25,3,3),(15,450,3,31,2,4,18,2,3),(15,450,3,31,3,15,5,3,NULL),(15,450,3,31,4,19,8,1,5),(15,450,3,31,5,14,11,3,1),(15,450,3,31,6,5,23,1,2),(15,450,3,31,7,NULL,16,NULL,4),(15,450,3,31,8,4,1,1,1),(15,450,3,31,9,6,8,2,2),(15,450,3,31,10,5,9,2,1),(15,450,3,31,11,2,14,1,2),(15,450,3,31,12,14,17,4,1),(15,450,3,31,13,1,9,NULL,3),(15,450,3,31,14,13,15,2,1),(15,450,3,31,15,26,9,4,2),(15,450,3,31,16,7,17,NULL,3),(15,450,3,31,17,30,14,5,1),(15,450,3,31,18,8,10,NULL,2),(15,450,3,31,19,8,7,4,NULL),(15,450,3,31,20,6,14,NULL,2),(15,450,3,31,21,5,NULL,2,NULL),(15,450,3,31,22,1,10,1,1),(15,450,3,31,23,1,3,NULL,2),(15,450,3,31,24,4,20,1,2),(15,450,3,31,25,3,1,NULL,NULL),(15,450,3,31,26,1,8,NULL,2),(15,450,3,31,27,NULL,5,NULL,2),(15,450,3,31,28,1,5,NULL,1),(15,450,3,31,29,1,21,NULL,3),(15,450,3,31,30,3,20,1,4),(15,450,3,32,1,25,24,4,2),(15,450,3,32,2,4,16,2,4),(15,450,3,32,3,16,3,4,1),(15,450,3,32,4,26,5,4,1),(15,450,3,32,5,14,9,1,5),(15,450,3,32,6,6,17,1,5),(15,450,3,32,7,1,17,1,NULL),(15,450,3,32,8,NULL,1,NULL,1),(15,450,3,32,9,6,10,1,3),(15,450,3,32,10,8,5,3,NULL),(15,450,3,32,11,2,6,NULL,NULL),(15,450,3,32,12,20,15,2,5),(15,450,3,32,13,1,8,NULL,1),(15,450,3,32,14,22,9,2,2),(15,450,3,32,15,21,11,4,2),(15,450,3,32,16,12,19,1,3),(15,450,3,32,17,33,9,4,2),(15,450,3,32,18,10,11,1,4),(15,450,3,32,19,7,7,3,2),(15,450,3,32,20,9,11,3,1),(15,450,3,32,21,3,NULL,2,NULL),(15,450,3,32,22,2,16,NULL,4),(15,450,3,32,23,NULL,5,NULL,3),(15,450,3,32,24,7,21,1,3),(15,450,3,32,25,3,2,2,NULL),(15,450,3,32,26,4,1,1,NULL),(15,450,3,32,27,1,3,NULL,1),(15,450,3,32,28,NULL,9,NULL,2),(15,450,3,32,29,1,27,NULL,6),(15,450,3,32,30,3,19,NULL,5),(15,450,3,33,1,28,32,4,3),(15,450,3,33,2,5,16,2,2),(15,450,3,33,3,19,9,4,1),(15,450,3,33,4,26,6,6,NULL),(15,450,3,33,5,14,17,4,2),(15,450,3,33,6,5,22,1,3),(15,450,3,33,7,2,16,NULL,4),(15,450,3,33,8,2,3,1,2),(15,450,3,33,9,6,10,2,1),(15,450,3,33,10,8,12,1,NULL),(15,450,3,33,11,3,7,2,1),(15,450,3,33,12,18,20,2,3),(15,450,3,33,13,2,9,1,1),(15,450,3,33,14,18,12,2,1),(15,450,3,33,15,23,17,2,3),(15,450,3,33,16,16,14,2,NULL),(15,450,3,33,17,39,10,6,NULL),(15,450,3,33,18,13,10,NULL,1),(15,450,3,33,19,11,7,2,1),(15,450,3,33,20,4,15,3,2),(15,450,3,33,21,3,NULL,NULL,NULL),(15,450,3,33,22,6,12,2,2),(15,450,3,33,23,1,5,1,4),(15,450,3,33,24,8,27,2,4),(15,450,3,33,25,1,6,1,1),(15,450,3,33,26,2,4,1,2),(15,450,3,33,27,2,4,NULL,1),(15,450,3,33,28,NULL,1,NULL,1),(15,450,3,33,29,2,23,2,4),(15,450,3,33,30,3,16,1,2),(15,450,3,34,1,33,26,6,4),(15,450,3,34,2,3,22,NULL,7),(15,450,3,34,3,15,6,4,2),(15,450,3,34,4,25,5,6,1),(15,450,3,34,5,11,21,2,7),(15,450,3,34,6,7,29,1,5),(15,450,3,34,7,2,15,1,1),(15,450,3,34,8,5,3,3,NULL),(15,450,3,34,9,8,12,2,4),(15,450,3,34,10,8,6,2,NULL),(15,450,3,34,11,6,7,1,2),(15,450,3,34,12,24,11,3,1),(15,450,3,34,13,3,16,1,7),(15,450,3,34,14,24,9,6,2),(15,450,3,34,15,30,13,8,2),(15,450,3,34,16,21,11,5,3),(15,450,3,34,17,37,14,8,2),(15,450,3,34,18,9,12,1,3),(15,450,3,34,19,9,4,1,1),(15,450,3,34,20,11,6,4,2),(15,450,3,34,21,3,NULL,1,NULL),(15,450,3,34,22,5,11,1,6),(15,450,3,34,23,NULL,6,NULL,2),(15,450,3,34,24,5,23,3,5),(15,450,3,34,25,3,8,NULL,2),(15,450,3,34,26,1,2,1,NULL),(15,450,3,34,27,2,6,NULL,1),(15,450,3,34,28,3,5,2,2),(15,450,3,34,29,1,23,NULL,4),(15,450,3,34,30,1,18,NULL,5),(15,451,1,11,1,NULL,NULL,NULL,NULL),(15,451,1,11,2,NULL,NULL,NULL,NULL),(15,451,1,11,3,NULL,NULL,NULL,NULL),(15,451,1,11,4,NULL,NULL,NULL,NULL),(15,451,1,11,5,NULL,NULL,NULL,NULL),(15,451,1,11,6,NULL,NULL,NULL,NULL),(15,451,1,11,7,NULL,NULL,NULL,NULL),(15,451,1,11,8,NULL,NULL,NULL,NULL),(15,451,1,11,9,NULL,NULL,NULL,NULL),(15,451,1,11,10,NULL,NULL,NULL,NULL),(15,451,1,11,11,NULL,NULL,NULL,NULL),(15,451,1,11,12,NULL,NULL,NULL,NULL),(15,451,1,11,13,NULL,NULL,NULL,NULL),(15,451,1,11,14,NULL,NULL,NULL,NULL),(15,451,1,11,15,NULL,NULL,NULL,NULL),(15,451,1,11,16,NULL,NULL,NULL,NULL),(15,451,1,11,17,NULL,NULL,NULL,NULL),(15,451,1,11,18,NULL,NULL,NULL,NULL),(15,451,1,11,19,NULL,NULL,NULL,NULL),(15,451,1,11,20,NULL,NULL,NULL,NULL),(15,451,1,12,1,NULL,NULL,NULL,NULL),(15,451,1,12,2,NULL,NULL,NULL,NULL),(15,451,1,12,3,NULL,NULL,NULL,NULL),(15,451,1,12,4,NULL,NULL,NULL,NULL),(15,451,1,12,5,NULL,NULL,NULL,NULL),(15,451,1,12,6,NULL,NULL,NULL,NULL),(15,451,1,12,7,NULL,NULL,NULL,NULL),(15,451,1,12,8,NULL,NULL,NULL,NULL),(15,451,1,12,9,NULL,NULL,NULL,NULL),(15,451,1,12,10,NULL,NULL,NULL,NULL),(15,451,1,12,11,NULL,NULL,NULL,NULL),(15,451,1,12,12,NULL,NULL,NULL,NULL),(15,451,1,12,13,NULL,NULL,NULL,NULL),(15,451,1,12,14,NULL,NULL,NULL,NULL),(15,451,1,12,15,NULL,NULL,NULL,NULL),(15,451,1,12,16,NULL,NULL,NULL,NULL),(15,451,1,12,17,NULL,NULL,NULL,NULL),(15,451,1,12,18,NULL,NULL,NULL,NULL),(15,451,1,12,19,NULL,NULL,NULL,NULL),(15,451,1,12,20,NULL,NULL,NULL,NULL),(15,451,1,13,1,NULL,NULL,NULL,NULL),(15,451,1,13,2,NULL,NULL,NULL,NULL),(15,451,1,13,3,NULL,NULL,NULL,NULL),(15,451,1,13,4,NULL,NULL,NULL,NULL),(15,451,1,13,5,NULL,NULL,NULL,NULL),(15,451,1,13,6,NULL,NULL,NULL,NULL),(15,451,1,13,7,NULL,NULL,NULL,NULL),(15,451,1,13,8,1,NULL,NULL,NULL),(15,451,1,13,9,NULL,NULL,NULL,NULL),(15,451,1,13,10,NULL,NULL,NULL,NULL),(15,451,1,13,11,NULL,NULL,NULL,NULL),(15,451,1,13,12,NULL,NULL,NULL,NULL),(15,451,1,13,13,NULL,NULL,NULL,NULL),(15,451,1,13,14,NULL,NULL,NULL,NULL),(15,451,1,13,15,NULL,NULL,NULL,NULL),(15,451,1,13,16,1,NULL,NULL,NULL),(15,451,1,13,17,1,NULL,NULL,NULL),(15,451,1,13,18,NULL,NULL,NULL,NULL),(15,451,1,13,19,1,NULL,NULL,NULL),(15,451,1,13,20,NULL,NULL,NULL,NULL),(15,451,1,14,1,9,14,2,4),(15,451,1,14,2,9,7,NULL,3),(15,451,1,14,3,1,14,1,3),(15,451,1,14,4,4,7,2,1),(15,451,1,14,5,2,9,NULL,3),(15,451,1,14,6,14,12,4,2),(15,451,1,14,7,4,6,2,2),(15,451,1,14,8,7,13,1,3),(15,451,1,14,9,7,NULL,3,NULL),(15,451,1,14,10,18,2,5,1),(15,451,1,14,11,3,8,2,4),(15,451,1,14,12,1,5,1,2),(15,451,1,14,13,2,4,2,NULL),(15,451,1,14,14,9,13,5,1),(15,451,1,14,15,21,NULL,5,NULL),(15,451,1,14,16,2,2,2,NULL),(15,451,1,14,17,6,1,2,NULL),(15,451,1,14,18,4,2,2,2),(15,451,1,14,19,7,6,3,2),(15,451,1,14,20,10,10,5,2),(15,451,1,15,1,15,8,6,3),(15,451,1,15,2,9,5,4,3),(15,451,1,15,3,6,11,3,6),(15,451,1,15,4,8,10,4,4),(15,451,1,15,5,3,11,1,4),(15,451,1,15,6,13,9,5,4),(15,451,1,15,7,8,3,4,NULL),(15,451,1,15,8,7,15,3,3),(15,451,1,15,9,5,NULL,3,NULL),(15,451,1,15,10,16,4,5,2),(15,451,1,15,11,4,2,4,1),(15,451,1,15,12,3,5,3,3),(15,451,1,15,13,5,6,3,1),(15,451,1,15,14,11,9,7,1),(15,451,1,15,15,16,NULL,8,NULL),(15,451,1,15,16,4,1,2,1),(15,451,1,15,17,6,4,5,2),(15,451,1,15,18,3,6,2,3),(15,451,1,15,19,11,4,5,2),(15,451,1,15,20,8,6,6,2),(15,451,1,16,1,13,13,4,3),(15,451,1,16,2,9,9,2,3),(15,451,1,16,3,5,15,2,4),(15,451,1,16,4,10,10,4,3),(15,451,1,16,5,4,15,1,4),(15,451,1,16,6,12,13,2,4),(15,451,1,16,7,8,4,3,2),(15,451,1,16,8,11,15,3,3),(15,451,1,16,9,8,NULL,3,NULL),(15,451,1,16,10,16,4,4,1),(15,451,1,16,11,15,8,3,2),(15,451,1,16,12,10,15,2,4),(15,451,1,16,13,3,23,NULL,5),(15,451,1,16,14,11,4,4,NULL),(15,451,1,16,15,NULL,6,NULL,1),(15,451,1,16,16,12,NULL,4,NULL),(15,451,1,16,17,3,9,NULL,1),(15,451,1,16,18,6,12,NULL,3),(15,451,1,16,19,3,5,3,1),(15,451,1,16,20,9,15,3,3),(15,451,1,17,1,11,12,4,1),(15,451,1,17,2,3,14,3,1),(15,451,1,17,3,3,16,1,3),(15,451,1,17,4,7,12,2,3),(15,451,1,17,5,2,20,1,6),(15,451,1,17,6,15,8,4,1),(15,451,1,17,7,12,10,3,2),(15,451,1,17,8,4,17,1,3),(15,451,1,17,9,6,NULL,1,NULL),(15,451,1,17,10,14,5,4,2),(15,451,1,17,11,9,6,2,2),(15,451,1,17,12,12,14,4,2),(15,451,1,17,13,5,22,1,5),(15,451,1,17,14,6,13,1,3),(15,451,1,17,15,4,7,1,1),(15,451,1,17,16,14,NULL,2,NULL),(15,451,1,17,17,9,8,2,2),(15,451,1,17,18,2,14,NULL,3),(15,451,1,17,19,5,3,NULL,NULL),(15,451,1,17,20,7,20,1,3),(15,451,2,21,1,3,1,2,NULL),(15,451,2,21,2,NULL,2,NULL,1),(15,451,2,21,3,3,1,1,NULL),(15,451,2,21,4,1,3,1,2),(15,451,2,21,5,6,4,2,2),(15,451,2,21,6,4,5,1,3),(15,451,2,21,7,2,3,1,2),(15,451,2,21,8,NULL,NULL,NULL,NULL),(15,451,2,21,9,2,2,2,2),(15,451,2,21,10,1,3,1,2),(15,451,2,21,11,3,12,NULL,4),(15,451,2,21,12,8,7,3,4),(15,451,2,21,13,7,5,4,1),(15,451,2,21,14,NULL,6,NULL,1),(15,451,2,21,15,3,11,2,3),(15,451,2,21,16,12,14,4,1),(15,451,2,21,17,2,6,1,2),(15,451,2,21,18,4,6,NULL,2),(15,451,2,21,19,2,12,NULL,5),(15,451,2,21,20,5,5,2,2),(15,451,2,21,21,2,2,1,2),(15,451,2,21,22,3,5,3,NULL),(15,451,2,21,23,3,5,1,1),(15,451,2,21,24,1,10,1,5),(15,451,2,21,25,9,NULL,4,NULL),(15,451,2,21,26,2,10,2,1),(15,451,2,21,27,2,6,NULL,4),(15,451,2,21,28,3,9,1,4),(15,451,2,21,29,11,14,3,4),(15,451,2,21,30,2,5,1,3),(15,451,2,22,1,4,5,2,1),(15,451,2,22,2,1,2,1,1),(15,451,2,22,3,1,6,NULL,1),(15,451,2,22,4,NULL,NULL,NULL,NULL),(15,451,2,22,5,5,9,1,3),(15,451,2,22,6,4,4,2,2),(15,451,2,22,7,4,NULL,3,NULL),(15,451,2,22,8,3,NULL,1,NULL),(15,451,2,22,9,2,6,1,2),(15,451,2,22,10,6,NULL,4,NULL),(15,451,2,22,11,5,11,2,3),(15,451,2,22,12,13,10,5,5),(15,451,2,22,13,16,5,8,1),(15,451,2,22,14,2,9,1,5),(15,451,2,22,15,9,11,6,2),(15,451,2,22,16,15,16,6,2),(15,451,2,22,17,NULL,7,NULL,3),(15,451,2,22,18,11,3,7,2),(15,451,2,22,19,3,15,1,7),(15,451,2,22,20,4,11,1,5),(15,451,2,22,21,NULL,6,NULL,3),(15,451,2,22,22,7,10,3,4),(15,451,2,22,23,3,5,3,1),(15,451,2,22,24,2,8,1,7),(15,451,2,22,25,14,NULL,8,NULL),(15,451,2,22,26,1,7,NULL,4),(15,451,2,22,27,2,7,NULL,4),(15,451,2,22,28,4,7,3,2),(15,451,2,22,29,10,22,3,8),(15,451,2,22,30,NULL,4,NULL,1),(15,451,2,23,1,NULL,4,NULL,NULL),(15,451,2,23,2,1,2,NULL,2),(15,451,2,23,3,3,5,NULL,1),(15,451,2,23,4,1,1,NULL,NULL),(15,451,2,23,5,4,6,3,2),(15,451,2,23,6,6,5,NULL,1),(15,451,2,23,7,3,4,1,2),(15,451,2,23,8,3,NULL,1,NULL),(15,451,2,23,9,4,2,3,1),(15,451,2,23,10,3,NULL,2,NULL),(15,451,2,23,11,4,4,2,3),(15,451,2,23,12,10,7,1,2),(15,451,2,23,13,11,7,4,1),(15,451,2,23,14,2,7,2,4),(15,451,2,23,15,6,11,3,3),(15,451,2,23,16,11,11,3,2),(15,451,2,23,17,3,6,1,3),(15,451,2,23,18,14,4,3,1),(15,451,2,23,19,5,15,1,5),(15,451,2,23,20,6,12,3,2),(15,451,2,23,21,1,6,NULL,4),(15,451,2,23,22,6,7,3,3),(15,451,2,23,23,2,8,NULL,4),(15,451,2,23,24,1,7,1,3),(15,451,2,23,25,10,NULL,4,NULL),(15,451,2,23,26,2,5,NULL,1),(15,451,2,23,27,4,6,1,NULL),(15,451,2,23,28,2,2,NULL,1),(15,451,2,23,29,10,16,3,3),(15,451,2,23,30,2,4,NULL,2),(15,451,2,24,1,1,1,1,NULL),(15,451,2,24,2,1,NULL,NULL,NULL),(15,451,2,24,3,1,6,NULL,2),(15,451,2,24,4,4,4,2,NULL),(15,451,2,24,5,3,6,1,3),(15,451,2,24,6,6,5,3,1),(15,451,2,24,7,2,NULL,1,NULL),(15,451,2,24,8,NULL,NULL,NULL,NULL),(15,451,2,24,9,1,4,NULL,3),(15,451,2,24,10,2,NULL,NULL,NULL),(15,451,2,24,11,3,5,2,NULL),(15,451,2,24,12,9,11,2,3),(15,451,2,24,13,9,5,1,2),(15,451,2,24,14,1,9,NULL,2),(15,451,2,24,15,4,10,1,2),(15,451,2,24,16,14,9,4,NULL),(15,451,2,24,17,3,6,2,NULL),(15,451,2,24,18,10,6,3,1),(15,451,2,24,19,3,12,NULL,4),(15,451,2,24,20,1,11,1,2),(15,451,2,24,21,NULL,3,NULL,1),(15,451,2,24,22,6,7,2,1),(15,451,2,24,23,2,5,1,2),(15,451,2,24,24,1,3,NULL,1),(15,451,2,24,25,11,NULL,4,NULL),(15,451,2,24,26,2,1,NULL,NULL),(15,451,2,24,27,1,8,NULL,3),(15,451,2,24,28,1,6,NULL,2),(15,451,2,24,29,6,15,1,4),(15,451,2,24,30,1,2,1,NULL),(15,451,3,31,1,19,10,3,2),(15,451,3,31,2,NULL,8,NULL,5),(15,451,3,31,3,6,7,2,2),(15,451,3,31,4,4,2,2,1),(15,451,3,31,5,2,5,1,1),(15,451,3,31,6,1,13,NULL,4),(15,451,3,31,7,NULL,4,NULL,2),(15,451,3,31,8,NULL,1,NULL,NULL),(15,451,3,31,9,NULL,5,NULL,3),(15,451,3,31,10,1,6,NULL,NULL),(15,451,3,31,11,2,6,1,1),(15,451,3,31,12,10,6,2,NULL),(15,451,3,31,13,3,9,2,2),(15,451,3,31,14,5,4,1,1),(15,451,3,31,15,7,5,3,NULL),(15,451,3,31,16,2,8,2,1),(15,451,3,31,17,13,10,3,2),(15,451,3,31,18,2,6,NULL,2),(15,451,3,31,19,4,5,2,1),(15,451,3,31,20,NULL,6,NULL,1),(15,451,3,31,21,3,NULL,2,NULL),(15,451,3,31,22,NULL,6,NULL,1),(15,451,3,31,23,NULL,1,NULL,NULL),(15,451,3,31,24,1,9,NULL,3),(15,451,3,31,25,NULL,2,NULL,NULL),(15,451,3,31,26,1,2,NULL,1),(15,451,3,31,27,1,2,NULL,1),(15,451,3,31,28,NULL,1,NULL,NULL),(15,451,3,31,29,NULL,10,NULL,3),(15,451,3,31,30,NULL,11,NULL,2),(15,451,3,32,1,17,17,2,5),(15,451,3,32,2,1,8,NULL,5),(15,451,3,32,3,6,7,2,3),(15,451,3,32,4,9,6,2,2),(15,451,3,32,5,2,7,1,3),(15,451,3,32,6,1,12,1,4),(15,451,3,32,7,NULL,5,NULL,2),(15,451,3,32,8,1,3,NULL,1),(15,451,3,32,9,2,2,2,NULL),(15,451,3,32,10,2,6,1,3),(15,451,3,32,11,2,2,2,1),(15,451,3,32,12,5,10,1,4),(15,451,3,32,13,3,3,1,NULL),(15,451,3,32,14,4,4,2,NULL),(15,451,3,32,15,11,4,6,NULL),(15,451,3,32,16,7,2,3,NULL),(15,451,3,32,17,11,8,6,NULL),(15,451,3,32,18,4,7,1,2),(15,451,3,32,19,2,3,NULL,NULL),(15,451,3,32,20,3,7,1,4),(15,451,3,32,21,3,NULL,3,NULL),(15,451,3,32,22,NULL,4,NULL,1),(15,451,3,32,23,NULL,1,NULL,NULL),(15,451,3,32,24,2,12,1,3),(15,451,3,32,25,NULL,2,NULL,NULL),(15,451,3,32,26,NULL,NULL,NULL,NULL),(15,451,3,32,27,NULL,3,NULL,1),(15,451,3,32,28,1,1,NULL,NULL),(15,451,3,32,29,1,9,NULL,2),(15,451,3,32,30,NULL,9,NULL,6),(15,451,3,33,1,23,14,5,5),(15,451,3,33,2,NULL,9,NULL,5),(15,451,3,33,3,5,4,3,1),(15,451,3,33,4,14,5,8,NULL),(15,451,3,33,5,4,10,2,4),(15,451,3,33,6,2,25,NULL,10),(15,451,3,33,7,NULL,8,NULL,3),(15,451,3,33,8,NULL,2,NULL,NULL),(15,451,3,33,9,1,4,1,1),(15,451,3,33,10,2,3,3,1),(15,451,3,33,11,NULL,9,NULL,2),(15,451,3,33,12,12,14,6,4),(15,451,3,33,13,1,6,NULL,3),(15,451,3,33,14,8,6,6,3),(15,451,3,33,15,7,6,5,3),(15,451,3,33,16,5,10,4,4),(15,451,3,33,17,16,8,7,3),(15,451,3,33,18,6,5,5,1),(15,451,3,33,19,6,3,3,1),(15,451,3,33,20,1,5,2,3),(15,451,3,33,21,1,NULL,1,NULL),(15,451,3,33,22,2,4,NULL,2),(15,451,3,33,23,NULL,3,NULL,2),(15,451,3,33,24,1,14,NULL,4),(15,451,3,33,25,2,2,1,NULL),(15,451,3,33,26,1,3,NULL,2),(15,451,3,33,27,2,3,1,NULL),(15,451,3,33,28,1,4,1,1),(15,451,3,33,29,NULL,16,NULL,5),(15,451,3,33,30,NULL,11,NULL,4),(15,451,3,34,1,12,17,3,4),(15,451,3,34,2,NULL,8,NULL,4),(15,451,3,34,3,10,4,4,NULL),(15,451,3,34,4,7,6,3,3),(15,451,3,34,5,1,9,1,3),(15,451,3,34,6,1,12,NULL,3),(15,451,3,34,7,NULL,7,NULL,1),(15,451,3,34,8,1,4,1,1),(15,451,3,34,9,NULL,6,NULL,3),(15,451,3,34,10,4,9,1,4),(15,451,3,34,11,NULL,3,NULL,NULL),(15,451,3,34,12,7,9,3,2),(15,451,3,34,13,1,6,NULL,3),(15,451,3,34,14,8,1,5,NULL),(15,451,3,34,15,6,7,2,3),(15,451,3,34,16,2,6,2,2),(15,451,3,34,17,11,9,5,1),(15,451,3,34,18,3,5,1,1),(15,451,3,34,19,3,6,NULL,3),(15,451,3,34,20,2,3,1,NULL),(15,451,3,34,21,NULL,NULL,NULL,NULL),(15,451,3,34,22,1,5,NULL,2),(15,451,3,34,23,1,4,NULL,2),(15,451,3,34,24,NULL,10,NULL,5),(15,451,3,34,25,NULL,5,NULL,3),(15,451,3,34,26,NULL,NULL,NULL,NULL),(15,451,3,34,27,NULL,2,NULL,1),(15,451,3,34,28,NULL,2,NULL,NULL),(15,451,3,34,29,NULL,9,NULL,4),(15,451,3,34,30,NULL,10,NULL,3),(15,501,1,11,1,NULL,NULL,NULL,NULL),(15,501,1,11,2,NULL,NULL,NULL,NULL),(15,501,1,11,3,NULL,NULL,NULL,NULL),(15,501,1,11,4,NULL,NULL,NULL,NULL),(15,501,1,11,5,NULL,NULL,NULL,NULL),(15,501,1,11,6,NULL,NULL,NULL,NULL),(15,501,1,11,7,NULL,NULL,NULL,NULL),(15,501,1,11,8,NULL,NULL,NULL,NULL),(15,501,1,11,9,1,NULL,NULL,NULL),(15,501,1,11,10,NULL,1,NULL,NULL),(15,501,1,11,11,NULL,1,NULL,NULL),(15,501,1,11,12,NULL,NULL,NULL,NULL),(15,501,1,11,13,NULL,1,NULL,NULL),(15,501,1,11,14,NULL,NULL,NULL,NULL),(15,501,1,11,15,NULL,1,NULL,NULL),(15,501,1,11,16,NULL,NULL,NULL,NULL),(15,501,1,11,17,NULL,NULL,NULL,NULL),(15,501,1,11,18,1,NULL,NULL,NULL),(15,501,1,11,19,NULL,1,NULL,NULL),(15,501,1,11,20,NULL,1,NULL,NULL),(15,501,1,12,1,NULL,NULL,NULL,NULL),(15,501,1,12,2,NULL,1,NULL,NULL),(15,501,1,12,3,NULL,NULL,NULL,NULL),(15,501,1,12,4,NULL,NULL,NULL,NULL),(15,501,1,12,5,NULL,NULL,NULL,NULL),(15,501,1,12,6,NULL,NULL,NULL,NULL),(15,501,1,12,7,NULL,NULL,NULL,NULL),(15,501,1,12,8,NULL,NULL,NULL,NULL),(15,501,1,12,9,NULL,NULL,NULL,NULL),(15,501,1,12,10,NULL,NULL,NULL,NULL),(15,501,1,12,11,NULL,NULL,NULL,NULL),(15,501,1,12,12,NULL,NULL,NULL,NULL),(15,501,1,12,13,NULL,NULL,NULL,NULL),(15,501,1,12,14,NULL,NULL,NULL,NULL),(15,501,1,12,15,NULL,1,NULL,NULL),(15,501,1,12,16,NULL,NULL,NULL,NULL),(15,501,1,12,17,NULL,NULL,NULL,NULL),(15,501,1,12,18,NULL,NULL,NULL,NULL),(15,501,1,12,19,NULL,1,NULL,NULL),(15,501,1,12,20,NULL,1,NULL,NULL),(15,501,1,13,1,NULL,1,NULL,1),(15,501,1,13,2,NULL,1,NULL,1),(15,501,1,13,3,NULL,1,NULL,1),(15,501,1,13,4,NULL,NULL,NULL,NULL),(15,501,1,13,5,NULL,NULL,NULL,NULL),(15,501,1,13,6,NULL,NULL,NULL,NULL),(15,501,1,13,7,NULL,1,NULL,1),(15,501,1,13,8,NULL,1,NULL,1),(15,501,1,13,9,1,NULL,1,NULL),(15,501,1,13,10,NULL,1,NULL,1),(15,501,1,13,11,1,1,1,NULL),(15,501,1,13,12,NULL,2,NULL,1),(15,501,1,13,13,NULL,NULL,NULL,NULL),(15,501,1,13,14,NULL,1,NULL,1),(15,501,1,13,15,1,1,1,NULL),(15,501,1,13,16,1,NULL,1,NULL),(15,501,1,13,17,NULL,1,NULL,1),(15,501,1,13,18,NULL,NULL,NULL,NULL),(15,501,1,13,19,NULL,1,NULL,1),(15,501,1,13,20,NULL,1,NULL,1),(15,501,1,14,1,26,35,10,10),(15,501,1,14,2,19,22,8,6),(15,501,1,14,3,8,37,4,11),(15,501,1,14,4,10,28,6,10),(15,501,1,14,5,4,31,2,12),(15,501,1,14,6,29,33,6,11),(15,501,1,14,7,27,9,13,3),(15,501,1,14,8,14,43,5,15),(15,501,1,14,9,26,NULL,10,NULL),(15,501,1,14,10,33,7,13,1),(15,501,1,14,11,2,13,1,6),(15,501,1,14,12,3,14,3,10),(15,501,1,14,13,5,16,3,3),(15,501,1,14,14,24,38,9,11),(15,501,1,14,15,41,NULL,18,NULL),(15,501,1,14,16,13,7,8,3),(15,501,1,14,17,17,6,9,4),(15,501,1,14,18,9,10,5,6),(15,501,1,14,19,19,13,11,6),(15,501,1,14,20,27,14,12,5),(15,501,1,15,1,29,25,9,4),(15,501,1,15,2,12,23,4,10),(15,501,1,15,3,9,27,4,11),(15,501,1,15,4,19,21,8,7),(15,501,1,15,5,6,36,3,10),(15,501,1,15,6,19,22,6,3),(15,501,1,15,7,21,8,9,4),(15,501,1,15,8,8,39,2,11),(15,501,1,15,9,26,NULL,13,NULL),(15,501,1,15,10,37,3,11,NULL),(15,501,1,15,11,5,20,4,9),(15,501,1,15,12,6,15,4,6),(15,501,1,15,13,13,11,6,4),(15,501,1,15,14,25,31,10,4),(15,501,1,15,15,41,NULL,11,NULL),(15,501,1,15,16,8,12,4,4),(15,501,1,15,17,14,12,7,4),(15,501,1,15,18,8,8,5,2),(15,501,1,15,19,16,7,7,4),(15,501,1,15,20,25,16,12,4),(15,501,1,16,1,37,37,14,7),(15,501,1,16,2,15,16,4,6),(15,501,1,16,3,9,48,5,11),(15,501,1,16,4,18,35,9,9),(15,501,1,16,5,6,37,4,11),(15,501,1,16,6,29,36,12,7),(15,501,1,16,7,36,17,13,6),(15,501,1,16,8,15,48,2,17),(15,501,1,16,9,16,NULL,7,NULL),(15,501,1,16,10,43,16,15,4),(15,501,1,16,11,37,28,12,8),(15,501,1,16,12,32,51,9,13),(15,501,1,16,13,12,82,2,19),(15,501,1,16,14,40,29,9,9),(15,501,1,16,15,16,20,3,4),(15,501,1,16,16,29,NULL,9,NULL),(15,501,1,16,17,18,39,6,13),(15,501,1,16,18,21,42,7,10),(15,501,1,16,19,8,12,4,4),(15,501,1,16,20,24,45,7,11),(15,501,1,17,1,31,34,12,7),(15,501,1,17,2,18,30,6,10),(15,501,1,17,3,14,53,5,18),(15,501,1,17,4,19,26,11,9),(15,501,1,17,5,5,49,5,14),(15,501,1,17,6,30,41,9,12),(15,501,1,17,7,28,16,12,7),(15,501,1,17,8,21,58,5,15),(15,501,1,17,9,32,NULL,10,NULL),(15,501,1,17,10,42,21,13,6),(15,501,1,17,11,29,31,9,8),(15,501,1,17,12,24,63,10,13),(15,501,1,17,13,8,85,3,20),(15,501,1,17,14,21,40,2,12),(15,501,1,17,15,12,22,2,8),(15,501,1,17,16,29,NULL,10,NULL),(15,501,1,17,17,18,39,4,13),(15,501,1,17,18,12,51,3,13),(15,501,1,17,19,4,16,NULL,4),(15,501,1,17,20,17,64,5,17),(15,501,2,21,1,5,17,4,8),(15,501,2,21,2,2,4,1,1),(15,501,2,21,3,8,20,3,8),(15,501,2,21,4,5,12,1,6),(15,501,2,21,5,25,19,10,5),(15,501,2,21,6,14,14,5,3),(15,501,2,21,7,4,2,1,2),(15,501,2,21,8,3,NULL,1,NULL),(15,501,2,21,9,9,8,6,3),(15,501,2,21,10,10,3,6,1),(15,501,2,21,11,14,25,9,5),(15,501,2,21,12,28,31,9,11),(15,501,2,21,13,44,21,15,5),(15,501,2,21,14,6,30,2,11),(15,501,2,21,15,23,32,12,8),(15,501,2,21,16,46,36,15,7),(15,501,2,21,17,9,22,3,8),(15,501,2,21,18,29,18,13,3),(15,501,2,21,19,9,45,3,17),(15,501,2,21,20,20,22,12,8),(15,501,2,21,21,2,13,2,4),(15,501,2,21,22,23,20,9,7),(15,501,2,21,23,6,24,4,6),(15,501,2,21,24,10,28,2,9),(15,501,2,21,25,35,NULL,15,NULL),(15,501,2,21,26,5,15,5,5),(15,501,2,21,27,6,23,2,15),(15,501,2,21,28,11,16,5,8),(15,501,2,21,29,32,48,12,12),(15,501,2,21,30,1,15,1,6),(15,501,2,22,1,6,8,2,2),(15,501,2,22,2,2,8,1,2),(15,501,2,22,3,5,9,2,3),(15,501,2,22,4,6,6,3,3),(15,501,2,22,5,23,20,13,3),(15,501,2,22,6,22,12,10,6),(15,501,2,22,7,4,3,2,2),(15,501,2,22,8,4,NULL,2,NULL),(15,501,2,22,9,5,19,2,9),(15,501,2,22,10,14,4,7,2),(15,501,2,22,11,9,21,1,9),(15,501,2,22,12,24,32,6,13),(15,501,2,22,13,41,22,16,4),(15,501,2,22,14,8,18,4,7),(15,501,2,22,15,18,27,5,11),(15,501,2,22,16,40,32,13,10),(15,501,2,22,17,4,20,1,9),(15,501,2,22,18,20,19,9,8),(15,501,2,22,19,7,39,1,15),(15,501,2,22,20,14,28,4,14),(15,501,2,22,21,NULL,5,NULL,4),(15,501,2,22,22,24,29,10,7),(15,501,2,22,23,8,27,5,10),(15,501,2,22,24,6,27,4,11),(15,501,2,22,25,35,NULL,18,NULL),(15,501,2,22,26,9,16,3,8),(15,501,2,22,27,10,23,1,10),(15,501,2,22,28,12,19,5,10),(15,501,2,22,29,20,49,7,16),(15,501,2,22,30,6,13,4,4),(15,501,2,23,1,3,18,2,9),(15,501,2,23,2,4,5,2,1),(15,501,2,23,3,5,16,NULL,5),(15,501,2,23,4,2,12,NULL,5),(15,501,2,23,5,28,14,8,3),(15,501,2,23,6,20,11,6,5),(15,501,2,23,7,2,7,1,1),(15,501,2,23,8,6,NULL,1,NULL),(15,501,2,23,9,7,26,4,11),(15,501,2,23,10,16,7,10,1),(15,501,2,23,11,13,17,6,7),(15,501,2,23,12,27,36,7,9),(15,501,2,23,13,37,18,11,6),(15,501,2,23,14,2,23,1,9),(15,501,2,23,15,16,28,6,8),(15,501,2,23,16,44,36,13,8),(15,501,2,23,17,9,19,2,8),(15,501,2,23,18,34,22,11,5),(15,501,2,23,19,5,57,NULL,16),(15,501,2,23,20,25,25,8,7),(15,501,2,23,21,4,11,3,5),(15,501,2,23,22,37,18,16,4),(15,501,2,23,23,8,19,6,3),(15,501,2,23,24,9,22,4,10),(15,501,2,23,25,37,NULL,13,NULL),(15,501,2,23,26,10,14,1,5),(15,501,2,23,27,7,17,2,5),(15,501,2,23,28,10,21,5,8),(15,501,2,23,29,29,58,10,11),(15,501,2,23,30,10,11,5,6),(15,501,2,24,1,6,8,2,4),(15,501,2,24,2,5,6,2,1),(15,501,2,24,3,3,12,1,5),(15,501,2,24,4,6,10,2,2),(15,501,2,24,5,14,19,6,5),(15,501,2,24,6,9,16,2,4),(15,501,2,24,7,5,3,4,NULL),(15,501,2,24,8,7,NULL,2,NULL),(15,501,2,24,9,11,15,6,3),(15,501,2,24,10,7,7,1,2),(15,501,2,24,11,5,26,2,10),(15,501,2,24,12,28,25,6,7),(15,501,2,24,13,39,12,8,5),(15,501,2,24,14,7,20,1,6),(15,501,2,24,15,19,23,6,4),(15,501,2,24,16,47,32,8,8),(15,501,2,24,17,8,15,3,5),(15,501,2,24,18,22,26,7,4),(15,501,2,24,19,12,39,2,11),(15,501,2,24,20,20,34,8,6),(15,501,2,24,21,2,8,1,1),(15,501,2,24,22,29,22,8,5),(15,501,2,24,23,9,25,2,6),(15,501,2,24,24,7,20,2,11),(15,501,2,24,25,33,NULL,15,NULL),(15,501,2,24,26,13,17,2,4),(15,501,2,24,27,10,17,2,4),(15,501,2,24,28,4,26,NULL,11),(15,501,2,24,29,27,47,5,13),(15,501,2,24,30,1,14,NULL,4),(15,501,3,31,1,55,42,10,8),(15,501,3,31,2,5,19,3,3),(15,501,3,31,3,19,16,7,5),(15,501,3,31,4,30,17,10,3),(15,501,3,31,5,7,32,3,12),(15,501,3,31,6,8,39,5,8),(15,501,3,31,7,4,18,1,4),(15,501,3,31,8,2,4,2,NULL),(15,501,3,31,9,5,23,4,8),(15,501,3,31,10,7,21,3,5),(15,501,3,31,11,4,13,1,2),(15,501,3,31,12,21,22,9,4),(15,501,3,31,13,6,22,NULL,7),(15,501,3,31,14,25,13,12,2),(15,501,3,31,15,32,20,9,2),(15,501,3,31,16,13,24,6,8),(15,501,3,31,17,49,20,11,3),(15,501,3,31,18,6,9,1,3),(15,501,3,31,19,8,13,1,4),(15,501,3,31,20,6,22,1,5),(15,501,3,31,21,7,NULL,2,NULL),(15,501,3,31,22,5,20,2,5),(15,501,3,31,23,1,6,NULL,1),(15,501,3,31,24,2,49,NULL,17),(15,501,3,31,25,2,11,NULL,4),(15,501,3,31,26,1,12,NULL,2),(15,501,3,31,27,2,6,NULL,2),(15,501,3,31,28,2,4,NULL,1),(15,501,3,31,29,NULL,28,NULL,8),(15,501,3,31,30,4,32,2,6),(15,501,3,32,1,52,46,17,6),(15,501,3,32,2,1,25,NULL,9),(15,501,3,32,3,21,23,9,8),(15,501,3,32,4,35,10,14,3),(15,501,3,32,5,15,22,9,5),(15,501,3,32,6,6,52,2,16),(15,501,3,32,7,1,16,1,7),(15,501,3,32,8,3,5,2,4),(15,501,3,32,9,2,18,2,8),(15,501,3,32,10,9,14,7,4),(15,501,3,32,11,1,11,NULL,3),(15,501,3,32,12,26,28,8,10),(15,501,3,32,13,5,25,1,7),(15,501,3,32,14,16,18,5,9),(15,501,3,32,15,25,27,6,11),(15,501,3,32,16,11,29,5,8),(15,501,3,32,17,43,28,13,7),(15,501,3,32,18,8,21,2,4),(15,501,3,32,19,12,17,4,4),(15,501,3,32,20,3,16,1,2),(15,501,3,32,21,9,NULL,3,NULL),(15,501,3,32,22,4,26,1,7),(15,501,3,32,23,2,10,1,4),(15,501,3,32,24,1,37,NULL,13),(15,501,3,32,25,5,13,3,7),(15,501,3,32,26,NULL,11,NULL,6),(15,501,3,32,27,1,7,NULL,3),(15,501,3,32,28,1,11,NULL,5),(15,501,3,32,29,NULL,40,NULL,16),(15,501,3,32,30,2,46,1,13),(15,501,3,33,1,38,42,10,14),(15,501,3,33,2,1,11,1,5),(15,501,3,33,3,17,25,5,10),(15,501,3,33,4,20,14,12,5),(15,501,3,33,5,19,21,7,10),(15,501,3,33,6,1,34,NULL,12),(15,501,3,33,7,2,18,1,8),(15,501,3,33,8,1,4,NULL,1),(15,501,3,33,9,5,12,2,3),(15,501,3,33,10,7,9,4,5),(15,501,3,33,11,3,8,NULL,3),(15,501,3,33,12,12,35,6,14),(15,501,3,33,13,5,21,2,9),(15,501,3,33,14,17,20,6,7),(15,501,3,33,15,23,18,11,6),(15,501,3,33,16,10,20,4,9),(15,501,3,33,17,36,26,15,7),(15,501,3,33,18,4,20,2,8),(15,501,3,33,19,14,15,2,2),(15,501,3,33,20,6,14,1,6),(15,501,3,33,21,4,NULL,1,NULL),(15,501,3,33,22,8,17,4,9),(15,501,3,33,23,NULL,5,NULL,3),(15,501,3,33,24,4,37,3,13),(15,501,3,33,25,1,8,NULL,2),(15,501,3,33,26,2,5,1,2),(15,501,3,33,27,1,6,NULL,2),(15,501,3,33,28,1,4,1,2),(15,501,3,33,29,NULL,45,NULL,16),(15,501,3,33,30,NULL,35,NULL,13),(15,501,3,34,1,44,53,12,13),(15,501,3,34,2,2,22,2,11),(15,501,3,34,3,22,20,7,7),(15,501,3,34,4,32,16,17,3),(15,501,3,34,5,18,31,7,13),(15,501,3,34,6,2,53,NULL,18),(15,501,3,34,7,2,19,2,6),(15,501,3,34,8,NULL,3,NULL,2),(15,501,3,34,9,5,14,4,11),(15,501,3,34,10,8,17,3,5),(15,501,3,34,11,6,9,1,3),(15,501,3,34,12,27,26,10,7),(15,501,3,34,13,6,25,2,10),(15,501,3,34,14,18,19,12,5),(15,501,3,34,15,30,23,13,5),(15,501,3,34,16,6,26,5,10),(15,501,3,34,17,53,26,18,4),(15,501,3,34,18,8,23,5,7),(15,501,3,34,19,20,14,8,5),(15,501,3,34,20,5,15,4,2),(15,501,3,34,21,5,NULL,5,NULL),(15,501,3,34,22,3,20,2,8),(15,501,3,34,23,NULL,16,NULL,3),(15,501,3,34,24,6,41,6,14),(15,501,3,34,25,3,15,2,8),(15,501,3,34,26,2,4,NULL,NULL),(15,501,3,34,27,1,9,NULL,5),(15,501,3,34,28,1,8,1,4),(15,501,3,34,29,NULL,47,NULL,17),(15,501,3,34,30,3,23,2,7),(15,502,1,11,1,NULL,NULL,NULL,NULL),(15,502,1,11,2,NULL,NULL,NULL,NULL),(15,502,1,11,3,NULL,NULL,NULL,NULL),(15,502,1,11,4,NULL,NULL,NULL,NULL),(15,502,1,11,5,NULL,NULL,NULL,NULL),(15,502,1,11,6,NULL,NULL,NULL,NULL),(15,502,1,11,7,NULL,NULL,NULL,NULL),(15,502,1,11,8,NULL,NULL,NULL,NULL),(15,502,1,11,9,NULL,NULL,NULL,NULL),(15,502,1,11,10,NULL,NULL,NULL,NULL),(15,502,1,11,11,NULL,NULL,NULL,NULL),(15,502,1,11,12,NULL,NULL,NULL,NULL),(15,502,1,11,13,NULL,NULL,NULL,NULL),(15,502,1,11,14,NULL,NULL,NULL,NULL),(15,502,1,11,15,NULL,NULL,NULL,NULL),(15,502,1,11,16,NULL,NULL,NULL,NULL),(15,502,1,11,17,NULL,NULL,NULL,NULL),(15,502,1,11,18,NULL,NULL,NULL,NULL),(15,502,1,11,19,NULL,NULL,NULL,NULL),(15,502,1,11,20,NULL,NULL,NULL,NULL),(15,502,1,12,1,1,NULL,1,NULL),(15,502,1,12,2,1,NULL,1,NULL),(15,502,1,12,3,NULL,1,NULL,1),(15,502,1,12,4,NULL,NULL,NULL,NULL),(15,502,1,12,5,NULL,NULL,NULL,NULL),(15,502,1,12,6,NULL,1,NULL,1),(15,502,1,12,7,1,NULL,1,NULL),(15,502,1,12,8,1,NULL,1,NULL),(15,502,1,12,9,NULL,NULL,NULL,NULL),(15,502,1,12,10,NULL,NULL,NULL,NULL),(15,502,1,12,11,1,NULL,1,NULL),(15,502,1,12,12,NULL,1,NULL,1),(15,502,1,12,13,NULL,1,NULL,1),(15,502,1,12,14,1,NULL,1,NULL),(15,502,1,12,15,1,NULL,1,NULL),(15,502,1,12,16,NULL,NULL,NULL,NULL),(15,502,1,12,17,NULL,NULL,NULL,NULL),(15,502,1,12,18,1,NULL,1,NULL),(15,502,1,12,19,1,NULL,1,NULL),(15,502,1,12,20,NULL,NULL,NULL,NULL),(15,502,1,13,1,1,NULL,1,NULL),(15,502,1,13,2,NULL,1,NULL,1),(15,502,1,13,3,NULL,1,NULL,1),(15,502,1,13,4,1,NULL,1,NULL),(15,502,1,13,5,1,NULL,1,NULL),(15,502,1,13,6,1,NULL,1,NULL),(15,502,1,13,7,1,NULL,1,NULL),(15,502,1,13,8,NULL,1,NULL,1),(15,502,1,13,9,1,NULL,1,NULL),(15,502,1,13,10,1,NULL,1,NULL),(15,502,1,13,11,1,NULL,1,NULL),(15,502,1,13,12,1,NULL,1,NULL),(15,502,1,13,13,1,NULL,1,NULL),(15,502,1,13,14,1,NULL,1,NULL),(15,502,1,13,15,1,NULL,1,NULL),(15,502,1,13,16,1,NULL,1,NULL),(15,502,1,13,17,1,NULL,1,NULL),(15,502,1,13,18,1,NULL,1,NULL),(15,502,1,13,19,NULL,1,NULL,1),(15,502,1,13,20,1,NULL,1,NULL),(15,502,1,14,1,9,16,3,11),(15,502,1,14,2,4,12,2,9),(15,502,1,14,3,5,15,3,9),(15,502,1,14,4,6,8,6,7),(15,502,1,14,5,2,9,2,6),(15,502,1,14,6,5,17,2,10),(15,502,1,14,7,11,3,10,2),(15,502,1,14,8,8,14,4,7),(15,502,1,14,9,10,NULL,7,NULL),(15,502,1,14,10,13,4,8,2),(15,502,1,14,11,2,6,2,6),(15,502,1,14,12,NULL,5,NULL,4),(15,502,1,14,13,5,6,4,3),(15,502,1,14,14,11,13,9,2),(15,502,1,14,15,13,NULL,10,NULL),(15,502,1,14,16,5,3,3,1),(15,502,1,14,17,5,9,5,6),(15,502,1,14,18,NULL,9,NULL,9),(15,502,1,14,19,8,7,6,6),(15,502,1,14,20,12,6,7,4),(15,502,1,15,1,11,8,8,3),(15,502,1,15,2,6,9,3,5),(15,502,1,15,3,8,9,4,4),(15,502,1,15,4,6,9,5,5),(15,502,1,15,5,2,10,2,4),(15,502,1,15,6,7,11,4,6),(15,502,1,15,7,8,2,6,1),(15,502,1,15,8,4,11,2,6),(15,502,1,15,9,12,NULL,6,NULL),(15,502,1,15,10,13,5,5,3),(15,502,1,15,11,2,3,2,3),(15,502,1,15,12,NULL,3,NULL,3),(15,502,1,15,13,6,6,4,2),(15,502,1,15,14,8,9,7,4),(15,502,1,15,15,13,NULL,10,NULL),(15,502,1,15,16,3,3,3,2),(15,502,1,15,17,7,1,5,1),(15,502,1,15,18,4,5,3,3),(15,502,1,15,19,7,2,7,2),(15,502,1,15,20,5,5,4,3),(15,502,1,16,1,13,18,6,5),(15,502,1,16,2,8,3,4,2),(15,502,1,16,3,3,22,2,10),(15,502,1,16,4,6,11,2,6),(15,502,1,16,5,4,16,3,5),(15,502,1,16,6,15,13,2,3),(15,502,1,16,7,13,4,7,2),(15,502,1,16,8,12,23,4,6),(15,502,1,16,9,13,NULL,8,NULL),(15,502,1,16,10,19,6,6,4),(15,502,1,16,11,15,13,3,7),(15,502,1,16,12,14,18,5,8),(15,502,1,16,13,7,36,2,10),(15,502,1,16,14,14,7,7,3),(15,502,1,16,15,4,7,1,1),(15,502,1,16,16,6,NULL,2,NULL),(15,502,1,16,17,12,11,6,5),(15,502,1,16,18,7,19,2,8),(15,502,1,16,19,2,1,1,1),(15,502,1,16,20,12,15,3,5),(15,502,1,17,1,9,16,3,8),(15,502,1,17,2,6,17,3,8),(15,502,1,17,3,7,17,5,8),(15,502,1,17,4,9,12,5,7),(15,502,1,17,5,1,16,1,8),(15,502,1,17,6,11,17,4,3),(15,502,1,17,7,10,5,5,5),(15,502,1,17,8,8,22,2,10),(15,502,1,17,9,13,NULL,3,NULL),(15,502,1,17,10,14,7,7,3),(15,502,1,17,11,8,15,4,7),(15,502,1,17,12,11,27,3,12),(15,502,1,17,13,4,36,2,13),(15,502,1,17,14,10,17,5,7),(15,502,1,17,15,4,11,2,4),(15,502,1,17,16,17,NULL,8,NULL),(15,502,1,17,17,7,17,4,7),(15,502,1,17,18,11,19,4,7),(15,502,1,17,19,5,8,2,1),(15,502,1,17,20,6,24,3,9),(15,502,2,21,1,1,3,1,2),(15,502,2,21,2,1,3,NULL,2),(15,502,2,21,3,1,6,1,3),(15,502,2,21,4,4,2,3,1),(15,502,2,21,5,4,8,4,7),(15,502,2,21,6,8,6,4,3),(15,502,2,21,7,NULL,2,NULL,1),(15,502,2,21,8,1,NULL,NULL,NULL),(15,502,2,21,9,7,2,6,1),(15,502,2,21,10,1,1,1,NULL),(15,502,2,21,11,6,7,2,4),(15,502,2,21,12,15,10,7,5),(15,502,2,21,13,12,8,9,3),(15,502,2,21,14,3,6,1,4),(15,502,2,21,15,8,12,4,10),(15,502,2,21,16,14,18,7,6),(15,502,2,21,17,4,12,2,7),(15,502,2,21,18,8,5,7,NULL),(15,502,2,21,19,5,16,1,11),(15,502,2,21,20,7,9,5,7),(15,502,2,21,21,NULL,7,NULL,5),(15,502,2,21,22,6,9,2,4),(15,502,2,21,23,9,8,3,5),(15,502,2,21,24,1,12,NULL,9),(15,502,2,21,25,9,NULL,6,NULL),(15,502,2,21,26,1,12,1,4),(15,502,2,21,27,NULL,8,NULL,4),(15,502,2,21,28,4,7,1,3),(15,502,2,21,29,10,23,3,10),(15,502,2,21,30,3,5,1,3),(15,502,2,22,1,2,6,1,3),(15,502,2,22,2,1,3,NULL,1),(15,502,2,22,3,1,10,NULL,4),(15,502,2,22,4,3,5,NULL,3),(15,502,2,22,5,8,10,1,5),(15,502,2,22,6,6,6,5,3),(15,502,2,22,7,3,2,3,2),(15,502,2,22,8,1,NULL,1,NULL),(15,502,2,22,9,6,5,1,5),(15,502,2,22,10,8,3,3,2),(15,502,2,22,11,7,12,5,2),(15,502,2,22,12,11,11,3,4),(15,502,2,22,13,16,5,8,3),(15,502,2,22,14,1,11,NULL,7),(15,502,2,22,15,5,15,3,8),(15,502,2,22,16,17,22,4,9),(15,502,2,22,17,1,6,NULL,2),(15,502,2,22,18,10,8,4,4),(15,502,2,22,19,8,19,1,8),(15,502,2,22,20,5,15,5,4),(15,502,2,22,21,1,3,1,2),(15,502,2,22,22,9,10,4,4),(15,502,2,22,23,3,12,3,4),(15,502,2,22,24,2,8,1,3),(15,502,2,22,25,18,NULL,7,NULL),(15,502,2,22,26,4,8,NULL,5),(15,502,2,22,27,2,11,NULL,4),(15,502,2,22,28,6,5,3,3),(15,502,2,22,29,12,21,5,8),(15,502,2,22,30,4,4,NULL,4),(15,502,2,23,1,NULL,4,NULL,3),(15,502,2,23,2,NULL,3,NULL,2),(15,502,2,23,3,4,4,3,2),(15,502,2,23,4,2,2,2,1),(15,502,2,23,5,6,1,4,1),(15,502,2,23,6,8,6,4,4),(15,502,2,23,7,2,NULL,2,NULL),(15,502,2,23,8,NULL,NULL,NULL,NULL),(15,502,2,23,9,2,5,2,3),(15,502,2,23,10,3,3,2,1),(15,502,2,23,11,7,4,4,1),(15,502,2,23,12,6,10,6,5),(15,502,2,23,13,14,4,7,2),(15,502,2,23,14,1,3,1,2),(15,502,2,23,15,2,7,2,5),(15,502,2,23,16,16,9,6,7),(15,502,2,23,17,3,8,1,3),(15,502,2,23,18,13,7,7,2),(15,502,2,23,19,5,16,2,8),(15,502,2,23,20,5,8,3,4),(15,502,2,23,21,1,3,NULL,2),(15,502,2,23,22,7,8,3,4),(15,502,2,23,23,1,8,1,4),(15,502,2,23,24,NULL,12,1,6),(15,502,2,23,25,15,NULL,11,NULL),(15,502,2,23,26,1,5,1,3),(15,502,2,23,27,4,7,3,3),(15,502,2,23,28,3,8,2,2),(15,502,2,23,29,8,17,5,5),(15,502,2,23,30,2,5,2,3),(15,502,2,24,1,2,9,1,7),(15,502,2,24,2,2,2,2,NULL),(15,502,2,24,3,NULL,11,NULL,6),(15,502,2,24,4,2,2,1,2),(15,502,2,24,5,13,8,8,3),(15,502,2,24,6,7,7,2,4),(15,502,2,24,7,1,1,1,1),(15,502,2,24,8,2,NULL,NULL,NULL),(15,502,2,24,9,3,4,NULL,3),(15,502,2,24,10,6,2,5,1),(15,502,2,24,11,7,5,2,4),(15,502,2,24,12,8,15,6,8),(15,502,2,24,13,15,9,5,6),(15,502,2,24,14,1,8,NULL,3),(15,502,2,24,15,8,11,2,9),(15,502,2,24,16,21,12,10,4),(15,502,2,24,17,4,9,2,6),(15,502,2,24,18,11,5,7,3),(15,502,2,24,19,4,19,NULL,10),(15,502,2,24,20,6,14,3,5),(15,502,2,24,21,2,5,1,4),(15,502,2,24,22,14,8,10,3),(15,502,2,24,23,1,9,NULL,7),(15,502,2,24,24,2,8,1,4),(15,502,2,24,25,14,NULL,8,NULL),(15,502,2,24,26,NULL,2,NULL,1),(15,502,2,24,27,4,7,3,5),(15,502,2,24,28,2,9,1,5),(15,502,2,24,29,10,21,4,11),(15,502,2,24,30,1,5,1,3),(15,502,3,31,1,27,16,11,7),(15,502,3,31,2,NULL,8,NULL,4),(15,502,3,31,3,10,8,6,3),(15,502,3,31,4,6,7,3,3),(15,502,3,31,5,3,11,2,8),(15,502,3,31,6,3,16,1,8),(15,502,3,31,7,NULL,9,NULL,5),(15,502,3,31,8,1,2,NULL,1),(15,502,3,31,9,3,6,1,4),(15,502,3,31,10,3,10,1,4),(15,502,3,31,11,NULL,6,NULL,3),(15,502,3,31,12,8,11,4,7),(15,502,3,31,13,1,13,NULL,7),(15,502,3,31,14,4,10,1,7),(15,502,3,31,15,11,10,5,5),(15,502,3,31,16,3,3,1,1),(15,502,3,31,17,16,14,9,3),(15,502,3,31,18,NULL,7,NULL,4),(15,502,3,31,19,3,6,3,4),(15,502,3,31,20,2,5,1,2),(15,502,3,31,21,3,NULL,1,NULL),(15,502,3,31,22,2,8,1,5),(15,502,3,31,23,1,3,NULL,2),(15,502,3,31,24,2,16,2,9),(15,502,3,31,25,1,9,NULL,3),(15,502,3,31,26,2,3,1,3),(15,502,3,31,27,NULL,2,NULL,2),(15,502,3,31,28,1,3,NULL,2),(15,502,3,31,29,NULL,19,NULL,9),(15,502,3,31,30,2,11,1,4),(15,502,3,32,1,21,15,8,6),(15,502,3,32,2,NULL,6,NULL,4),(15,502,3,32,3,5,6,3,3),(15,502,3,32,4,13,2,7,1),(15,502,3,32,5,5,6,2,4),(15,502,3,32,6,1,18,1,8),(15,502,3,32,7,2,7,2,1),(15,502,3,32,8,NULL,NULL,NULL,NULL),(15,502,3,32,9,NULL,5,NULL,2),(15,502,3,32,10,2,6,NULL,4),(15,502,3,32,11,1,4,1,2),(15,502,3,32,12,5,8,5,2),(15,502,3,32,13,4,5,3,4),(15,502,3,32,14,7,1,5,1),(15,502,3,32,15,9,5,6,4),(15,502,3,32,16,3,7,4,2),(15,502,3,32,17,16,9,10,2),(15,502,3,32,18,1,3,1,1),(15,502,3,32,19,3,7,2,3),(15,502,3,32,20,NULL,7,NULL,3),(15,502,3,32,21,2,NULL,1,NULL),(15,502,3,32,22,1,8,NULL,5),(15,502,3,32,23,NULL,1,NULL,1),(15,502,3,32,24,1,16,1,7),(15,502,3,32,25,1,3,1,1),(15,502,3,32,26,NULL,4,NULL,2),(15,502,3,32,27,NULL,3,NULL,1),(15,502,3,32,28,1,5,1,3),(15,502,3,32,29,1,13,1,5),(15,502,3,32,30,1,13,1,6),(15,502,3,33,1,24,22,6,7),(15,502,3,33,2,NULL,7,NULL,4),(15,502,3,33,3,10,7,4,4),(15,502,3,33,4,12,2,8,1),(15,502,3,33,5,9,9,4,6),(15,502,3,33,6,1,14,NULL,6),(15,502,3,33,7,2,5,2,1),(15,502,3,33,8,1,4,1,2),(15,502,3,33,9,4,5,2,2),(15,502,3,33,10,3,5,2,3),(15,502,3,33,11,NULL,5,NULL,NULL),(15,502,3,33,12,7,9,1,6),(15,502,3,33,13,1,11,NULL,6),(15,502,3,33,14,2,8,2,6),(15,502,3,33,15,6,14,2,6),(15,502,3,33,16,1,9,1,3),(15,502,3,33,17,15,16,7,4),(15,502,3,33,18,2,9,1,3),(15,502,3,33,19,10,4,5,2),(15,502,3,33,20,2,4,1,2),(15,502,3,33,21,1,NULL,1,NULL),(15,502,3,33,22,2,8,2,2),(15,502,3,33,23,NULL,5,NULL,1),(15,502,3,33,24,NULL,19,NULL,11),(15,502,3,33,25,NULL,5,NULL,3),(15,502,3,33,26,NULL,4,NULL,2),(15,502,3,33,27,1,3,NULL,1),(15,502,3,33,28,NULL,3,NULL,2),(15,502,3,33,29,NULL,16,NULL,8),(15,502,3,33,30,1,13,NULL,4),(15,502,3,34,1,18,22,9,6),(15,502,3,34,2,2,8,1,4),(15,502,3,34,3,4,12,3,9),(15,502,3,34,4,8,7,4,4),(15,502,3,34,5,3,10,2,6),(15,502,3,34,6,2,18,NULL,9),(15,502,3,34,7,NULL,5,NULL,4),(15,502,3,34,8,NULL,2,NULL,NULL),(15,502,3,34,9,1,4,1,1),(15,502,3,34,10,3,3,1,2),(15,502,3,34,11,NULL,5,NULL,3),(15,502,3,34,12,8,12,5,4),(15,502,3,34,13,3,7,2,4),(15,502,3,34,14,5,6,3,3),(15,502,3,34,15,10,7,7,3),(15,502,3,34,16,6,10,2,7),(15,502,3,34,17,14,17,4,10),(15,502,3,34,18,3,10,3,6),(15,502,3,34,19,3,7,1,3),(15,502,3,34,20,2,11,1,6),(15,502,3,34,21,2,NULL,1,NULL),(15,502,3,34,22,NULL,8,NULL,6),(15,502,3,34,23,NULL,NULL,NULL,NULL),(15,502,3,34,24,NULL,21,NULL,11),(15,502,3,34,25,1,5,NULL,2),(15,502,3,34,26,NULL,1,NULL,1),(15,502,3,34,27,NULL,2,NULL,1),(15,502,3,34,28,NULL,3,NULL,2),(15,502,3,34,29,1,14,1,8),(15,502,3,34,30,NULL,14,NULL,8),(16,2,1,11,1,0,0,NULL,NULL),(16,2,1,11,2,0,0,NULL,NULL),(16,2,1,11,3,0,0,NULL,NULL),(16,2,1,11,4,0,0,NULL,NULL),(16,2,1,11,5,0,0,NULL,NULL),(16,2,1,11,6,0,0,NULL,NULL),(16,2,1,11,7,0,0,NULL,NULL),(16,2,1,11,8,0,0,NULL,NULL),(16,2,1,11,9,0,0,NULL,NULL),(16,2,1,11,10,0,0,NULL,NULL),(16,2,1,11,11,0,0,NULL,NULL),(16,2,1,11,12,0,0,NULL,NULL),(16,2,1,11,13,0,0,NULL,NULL),(16,2,1,11,14,0,0,NULL,NULL),(16,2,1,11,15,0,0,NULL,NULL),(16,2,1,11,16,0,0,NULL,NULL),(16,2,1,11,17,0,0,NULL,NULL),(16,2,1,11,18,0,0,NULL,NULL),(16,2,1,11,19,0,0,NULL,NULL),(16,2,1,11,20,0,0,NULL,NULL),(16,2,1,12,1,0,0,NULL,NULL),(16,2,1,12,2,0,0,NULL,NULL),(16,2,1,12,3,0,0,NULL,NULL),(16,2,1,12,4,0,0,NULL,NULL),(16,2,1,12,5,0,0,NULL,NULL),(16,2,1,12,6,0,0,NULL,NULL),(16,2,1,12,7,0,0,NULL,NULL),(16,2,1,12,8,0,0,NULL,NULL),(16,2,1,12,9,0,0,NULL,NULL),(16,2,1,12,10,0,0,NULL,NULL),(16,2,1,12,11,0,0,NULL,NULL),(16,2,1,12,12,0,0,NULL,NULL),(16,2,1,12,13,0,0,NULL,NULL),(16,2,1,12,14,0,0,NULL,NULL),(16,2,1,12,15,0,0,NULL,NULL),(16,2,1,12,16,0,0,NULL,NULL),(16,2,1,12,17,0,0,NULL,NULL),(16,2,1,12,18,0,0,NULL,NULL),(16,2,1,12,19,0,0,NULL,NULL),(16,2,1,12,20,0,0,NULL,NULL),(16,2,1,13,1,0,1,NULL,NULL),(16,2,1,13,2,0,0,NULL,NULL),(16,2,1,13,3,1,0,NULL,NULL),(16,2,1,13,4,0,0,NULL,NULL),(16,2,1,13,5,0,1,NULL,NULL),(16,2,1,13,6,0,0,NULL,NULL),(16,2,1,13,7,0,0,NULL,NULL),(16,2,1,13,8,0,1,NULL,NULL),(16,2,1,13,9,0,0,NULL,NULL),(16,2,1,13,10,0,0,NULL,NULL),(16,2,1,13,11,2,0,NULL,NULL),(16,2,1,13,12,1,0,NULL,NULL),(16,2,1,13,13,2,0,NULL,NULL),(16,2,1,13,14,1,1,NULL,NULL),(16,2,1,13,15,0,0,NULL,NULL),(16,2,1,13,16,2,0,NULL,NULL),(16,2,1,13,17,1,0,NULL,NULL),(16,2,1,13,18,1,0,NULL,NULL),(16,2,1,13,19,0,1,NULL,NULL),(16,2,1,13,20,0,2,NULL,NULL),(16,2,1,14,1,13,6,10,4),(16,2,1,14,2,2,3,2,3),(16,2,1,14,3,8,8,5,7),(16,2,1,14,4,0,4,NULL,4),(16,2,1,14,5,7,9,6,6),(16,2,1,14,6,3,7,2,6),(16,2,1,14,7,3,4,3,4),(16,2,1,14,8,3,8,2,7),(16,2,1,14,9,4,5,3,5),(16,2,1,14,10,6,2,4,2),(16,2,1,14,11,10,3,8,3),(16,2,1,14,12,6,9,6,8),(16,2,1,14,13,19,7,13,5),(16,2,1,14,14,13,0,11,NULL),(16,2,1,14,15,6,5,5,5),(16,2,1,14,16,19,3,14,3),(16,2,1,14,17,13,9,11,6),(16,2,1,14,18,10,2,9,1),(16,2,1,14,19,13,7,10,6),(16,2,1,14,20,10,10,7,8),(16,2,1,15,1,15,6,11,6),(16,2,1,15,2,2,3,2,2),(16,2,1,15,3,10,8,9,6),(16,2,1,15,4,0,9,NULL,9),(16,2,1,15,5,3,10,3,9),(16,2,1,15,6,8,6,8,3),(16,2,1,15,7,4,4,3,4),(16,2,1,15,8,8,6,7,5),(16,2,1,15,9,3,10,3,10),(16,2,1,15,10,10,5,10,4),(16,2,1,15,11,13,4,9,2),(16,2,1,15,12,6,8,6,7),(16,2,1,15,13,15,6,12,4),(16,2,1,15,14,6,3,6,2),(16,2,1,15,15,1,11,1,9),(16,2,1,15,16,17,6,14,4),(16,2,1,15,17,11,10,10,8),(16,2,1,15,18,2,10,2,8),(16,2,1,15,19,12,8,11,7),(16,2,1,15,20,7,14,5,11),(16,2,1,16,1,4,5,1,1),(16,2,1,16,2,0,1,NULL,1),(16,2,1,16,3,3,4,2,1),(16,2,1,16,4,1,2,1,1),(16,2,1,16,5,5,3,1,3),(16,2,1,16,6,1,4,1,3),(16,2,1,16,7,1,0,1,NULL),(16,2,1,16,8,2,2,1,2),(16,2,1,16,9,1,4,1,2),(16,2,1,16,10,6,0,3,NULL),(16,2,1,16,11,3,11,1,4),(16,2,1,16,12,3,4,1,2),(16,2,1,16,13,5,7,2,3),(16,2,1,16,14,2,8,1,4),(16,2,1,16,15,7,6,1,3),(16,2,1,16,16,0,10,NULL,3),(16,2,1,16,17,2,8,1,2),(16,2,1,16,18,4,1,2,1),(16,2,1,16,19,5,5,3,1),(16,2,1,16,20,0,5,NULL,3),(16,2,1,17,1,5,1,2,NULL),(16,2,1,17,2,0,1,NULL,1),(16,2,1,17,3,0,3,NULL,2),(16,2,1,17,4,0,2,NULL,2),(16,2,1,17,5,1,2,NULL,2),(16,2,1,17,6,0,3,NULL,2),(16,2,1,17,7,0,2,NULL,1),(16,2,1,17,8,1,0,NULL,NULL),(16,2,1,17,9,0,1,NULL,1),(16,2,1,17,10,4,3,1,1),(16,2,1,17,11,3,5,1,2),(16,2,1,17,12,0,3,NULL,1),(16,2,1,17,13,4,4,2,1),(16,2,1,17,14,0,3,NULL,2),(16,2,1,17,15,3,7,1,2),(16,2,1,17,16,0,2,NULL,NULL),(16,2,1,17,17,0,5,NULL,2),(16,2,1,17,18,3,3,2,1),(16,2,1,17,19,1,5,1,1),(16,2,1,17,20,0,8,NULL,3),(16,2,2,21,1,3,1,2,NULL),(16,2,2,21,2,3,10,3,7),(16,2,2,21,3,5,6,3,4),(16,2,2,21,4,12,4,10,2),(16,2,2,21,5,6,4,5,2),(16,2,2,21,6,4,5,4,4),(16,2,2,21,7,5,3,4,3),(16,2,2,21,8,0,1,NULL,1),(16,2,2,21,9,2,1,1,1),(16,2,2,21,10,2,8,2,5),(16,2,2,21,11,2,5,2,4),(16,2,2,21,12,2,7,1,5),(16,2,2,21,13,4,9,3,7),(16,2,2,21,14,10,7,6,5),(16,2,2,21,15,8,1,6,1),(16,2,2,21,16,4,7,3,5),(16,2,2,21,17,7,2,4,2),(16,2,2,21,18,2,5,2,4),(16,2,2,21,19,9,7,7,5),(16,2,2,21,20,5,4,3,3),(16,2,2,21,21,5,8,3,6),(16,2,2,21,22,3,0,2,NULL),(16,2,2,21,23,9,5,8,4),(16,2,2,21,24,2,3,2,2),(16,2,2,21,25,7,0,6,NULL),(16,2,2,21,26,24,0,14,NULL),(16,2,2,21,27,2,6,2,5),(16,2,2,21,28,1,2,1,1),(16,2,2,21,29,6,6,5,5),(16,2,2,21,30,4,1,4,1),(16,2,2,22,1,2,1,2,NULL),(16,2,2,22,2,3,10,2,3),(16,2,2,22,3,2,7,1,3),(16,2,2,22,4,13,5,7,3),(16,2,2,22,5,6,6,5,2),(16,2,2,22,6,4,4,3,3),(16,2,2,22,7,2,2,1,1),(16,2,2,22,8,6,2,2,1),(16,2,2,22,9,2,2,1,NULL),(16,2,2,22,10,4,6,3,2),(16,2,2,22,11,2,6,2,1),(16,2,2,22,12,2,10,2,4),(16,2,2,22,13,0,10,NULL,5),(16,2,2,22,14,6,13,3,7),(16,2,2,22,15,15,1,6,1),(16,2,2,22,16,8,6,5,4),(16,2,2,22,17,6,5,4,2),(16,2,2,22,18,2,6,2,2),(16,2,2,22,19,10,7,6,4),(16,2,2,22,20,6,3,3,1),(16,2,2,22,21,2,5,1,1),(16,2,2,22,22,4,2,3,1),(16,2,2,22,23,8,6,6,3),(16,2,2,22,24,6,9,2,5),(16,2,2,22,25,2,0,1,NULL),(16,2,2,22,26,28,0,11,NULL),(16,2,2,22,27,5,8,3,4),(16,2,2,22,28,1,5,NULL,4),(16,2,2,22,29,4,9,2,5),(16,2,2,22,30,4,5,2,NULL),(16,2,2,23,1,1,4,1,4),(16,2,2,23,2,2,10,2,5),(16,2,2,23,3,6,2,6,2),(16,2,2,23,4,9,3,5,2),(16,2,2,23,5,5,7,3,5),(16,2,2,23,6,1,8,NULL,5),(16,2,2,23,7,2,3,1,1),(16,2,2,23,8,3,1,1,NULL),(16,2,2,23,9,1,6,1,1),(16,2,2,23,10,6,3,5,2),(16,2,2,23,11,2,5,1,4),(16,2,2,23,12,6,3,4,2),(16,2,2,23,13,3,2,2,2),(16,2,2,23,14,12,9,6,6),(16,2,2,23,15,13,1,9,1),(16,2,2,23,16,2,8,NULL,5),(16,2,2,23,17,1,5,NULL,4),(16,2,2,23,18,3,4,2,4),(16,2,2,23,19,8,7,5,5),(16,2,2,23,20,2,7,2,5),(16,2,2,23,21,2,5,2,5),(16,2,2,23,22,2,5,1,4),(16,2,2,23,23,3,7,2,5),(16,2,2,23,24,3,10,2,5),(16,2,2,23,25,2,0,1,NULL),(16,2,2,23,26,25,0,13,NULL),(16,2,2,23,27,5,7,4,5),(16,2,2,23,28,0,2,NULL,1),(16,2,2,23,29,3,9,2,4),(16,2,2,23,30,4,5,3,3),(16,2,2,24,1,2,6,2,6),(16,2,2,24,2,3,9,3,7),(16,2,2,24,3,4,4,4,4),(16,2,2,24,4,13,1,11,NULL),(16,2,2,24,5,6,6,6,5),(16,2,2,24,6,0,10,NULL,10),(16,2,2,24,7,3,4,2,4),(16,2,2,24,8,6,3,6,3),(16,2,2,24,9,0,1,NULL,NULL),(16,2,2,24,10,3,7,3,7),(16,2,2,24,11,5,6,5,6),(16,2,2,24,12,5,6,5,3),(16,2,2,24,13,1,4,1,4),(16,2,2,24,14,12,8,8,7),(16,2,2,24,15,14,1,12,1),(16,2,2,24,16,3,8,3,7),(16,2,2,24,17,4,4,3,4),(16,2,2,24,18,3,6,3,4),(16,2,2,24,19,7,6,4,4),(16,2,2,24,20,8,4,8,3),(16,2,2,24,21,8,3,7,3),(16,2,2,24,22,9,5,9,4),(16,2,2,24,23,7,4,7,3),(16,2,2,24,24,3,11,3,10),(16,2,2,24,25,5,0,5,NULL),(16,2,2,24,26,24,0,17,NULL),(16,2,2,24,27,4,5,4,4),(16,2,2,24,28,3,3,3,2),(16,2,2,24,29,3,8,2,8),(16,2,2,24,30,3,6,2,5),(16,2,3,31,1,2,4,2,3),(16,2,3,31,2,3,3,3,2),(16,2,3,31,3,2,4,2,4),(16,2,3,31,4,5,4,5,3),(16,2,3,31,5,5,7,4,5),(16,2,3,31,6,17,5,12,4),(16,2,3,31,7,2,3,2,3),(16,2,3,31,8,0,2,NULL,1),(16,2,3,31,9,2,1,2,1),(16,2,3,31,10,1,1,NULL,1),(16,2,3,31,11,2,3,2,3),(16,2,3,31,12,4,5,3,5),(16,2,3,31,13,6,2,5,2),(16,2,3,31,14,6,9,5,5),(16,2,3,31,15,6,8,5,6),(16,2,3,31,16,4,7,3,6),(16,2,3,31,17,9,8,8,6),(16,2,3,31,18,0,2,NULL,1),(16,2,3,31,19,4,5,3,4),(16,2,3,31,20,13,0,11,NULL),(16,2,3,31,21,4,8,3,6),(16,2,3,31,22,2,1,2,1),(16,2,3,31,23,1,6,1,4),(16,2,3,31,24,3,3,3,3),(16,2,3,31,25,1,1,1,1),(16,2,3,31,26,0,3,NULL,3),(16,2,3,31,27,2,3,1,2),(16,2,3,31,28,2,10,2,9),(16,2,3,31,29,6,1,6,NULL),(16,2,3,31,30,1,4,1,4),(16,2,3,32,1,1,5,NULL,5),(16,2,3,32,2,0,3,NULL,2),(16,2,3,32,3,1,3,1,1),(16,2,3,32,4,3,4,2,1),(16,2,3,32,5,3,8,2,3),(16,2,3,32,6,17,2,10,NULL),(16,2,3,32,7,0,3,NULL,3),(16,2,3,32,8,1,2,1,2),(16,2,3,32,9,0,0,NULL,NULL),(16,2,3,32,10,0,3,NULL,1),(16,2,3,32,11,7,5,5,2),(16,2,3,32,12,4,3,3,1),(16,2,3,32,13,6,3,4,1),(16,2,3,32,14,7,8,4,5),(16,2,3,32,15,8,4,5,2),(16,2,3,32,16,7,6,4,1),(16,2,3,32,17,12,6,8,3),(16,2,3,32,18,3,3,NULL,2),(16,2,3,32,19,0,6,NULL,3),(16,2,3,32,20,14,0,9,NULL),(16,2,3,32,21,5,9,3,5),(16,2,3,32,22,1,2,NULL,2),(16,2,3,32,23,1,7,1,2),(16,2,3,32,24,3,2,3,NULL),(16,2,3,32,25,0,2,NULL,1),(16,2,3,32,26,0,5,NULL,3),(16,2,3,32,27,1,1,1,1),(16,2,3,32,28,3,4,1,4),(16,2,3,32,29,4,7,3,5),(16,2,3,32,30,0,5,NULL,4),(16,2,3,33,1,2,4,2,1),(16,2,3,33,2,3,0,1,NULL),(16,2,3,33,3,2,5,2,3),(16,2,3,33,4,2,2,2,NULL),(16,2,3,33,5,7,9,4,6),(16,2,3,33,6,11,6,7,1),(16,2,3,33,7,0,4,NULL,3),(16,2,3,33,8,0,3,NULL,1),(16,2,3,33,9,2,1,2,NULL),(16,2,3,33,10,0,3,NULL,NULL),(16,2,3,33,11,8,5,3,NULL),(16,2,3,33,12,4,7,4,3),(16,2,3,33,13,7,5,5,2),(16,2,3,33,14,5,7,4,3),(16,2,3,33,15,8,3,6,1),(16,2,3,33,16,7,6,6,1),(16,2,3,33,17,12,4,7,NULL),(16,2,3,33,18,3,4,1,2),(16,2,3,33,19,2,8,NULL,3),(16,2,3,33,20,14,0,8,NULL),(16,2,3,33,21,3,9,2,4),(16,2,3,33,22,2,3,2,1),(16,2,3,33,23,0,4,NULL,1),(16,2,3,33,24,1,5,1,3),(16,2,3,33,25,2,1,1,1),(16,2,3,33,26,1,2,1,2),(16,2,3,33,27,2,3,1,2),(16,2,3,33,28,3,7,3,5),(16,2,3,33,29,1,6,NULL,2),(16,2,3,33,30,0,3,NULL,NULL),(16,2,3,34,1,1,4,NULL,2),(16,2,3,34,2,1,7,1,7),(16,2,3,34,3,2,5,1,4),(16,2,3,34,4,4,4,4,1),(16,2,3,34,5,6,7,3,4),(16,2,3,34,6,11,8,8,6),(16,2,3,34,7,2,4,1,3),(16,2,3,34,8,0,2,NULL,1),(16,2,3,34,9,1,1,1,NULL),(16,2,3,34,10,0,2,NULL,1),(16,2,3,34,11,6,3,5,3),(16,2,3,34,12,5,6,3,4),(16,2,3,34,13,6,4,5,3),(16,2,3,34,14,3,10,2,7),(16,2,3,34,15,7,5,4,4),(16,2,3,34,16,7,3,3,3),(16,2,3,34,17,9,6,8,5),(16,2,3,34,18,4,2,3,1),(16,2,3,34,19,0,6,NULL,4),(16,2,3,34,20,10,0,9,NULL),(16,2,3,34,21,8,10,5,5),(16,2,3,34,22,2,2,1,2),(16,2,3,34,23,1,5,NULL,4),(16,2,3,34,24,5,0,3,NULL),(16,2,3,34,25,1,1,1,1),(16,2,3,34,26,2,6,1,4),(16,2,3,34,27,4,2,2,NULL),(16,2,3,34,28,5,5,4,2),(16,2,3,34,29,9,5,6,3),(16,2,3,34,30,2,3,1,1),(16,3,1,11,1,NULL,NULL,NULL,NULL),(16,3,1,11,2,NULL,NULL,NULL,NULL),(16,3,1,11,3,NULL,NULL,NULL,NULL),(16,3,1,11,4,NULL,NULL,NULL,NULL),(16,3,1,11,5,NULL,NULL,NULL,NULL),(16,3,1,11,6,NULL,NULL,NULL,NULL),(16,3,1,11,7,NULL,NULL,NULL,NULL),(16,3,1,11,8,NULL,NULL,NULL,NULL),(16,3,1,11,9,NULL,NULL,NULL,NULL),(16,3,1,11,10,NULL,NULL,NULL,NULL),(16,3,1,11,11,NULL,1,NULL,NULL),(16,3,1,11,12,1,NULL,NULL,NULL),(16,3,1,11,13,NULL,1,NULL,NULL),(16,3,1,11,14,1,NULL,NULL,NULL),(16,3,1,11,15,NULL,1,NULL,NULL),(16,3,1,11,16,NULL,NULL,NULL,NULL),(16,3,1,11,17,NULL,1,NULL,NULL),(16,3,1,11,18,NULL,NULL,NULL,NULL),(16,3,1,11,19,1,NULL,NULL,NULL),(16,3,1,11,20,1,NULL,NULL,NULL),(16,3,1,12,1,NULL,NULL,NULL,NULL),(16,3,1,12,2,NULL,NULL,NULL,NULL),(16,3,1,12,3,NULL,NULL,NULL,NULL),(16,3,1,12,4,NULL,NULL,NULL,NULL),(16,3,1,12,5,NULL,NULL,NULL,NULL),(16,3,1,12,6,NULL,NULL,NULL,NULL),(16,3,1,12,7,NULL,NULL,NULL,NULL),(16,3,1,12,8,NULL,NULL,NULL,NULL),(16,3,1,12,9,NULL,NULL,NULL,NULL),(16,3,1,12,10,NULL,NULL,NULL,NULL),(16,3,1,12,11,NULL,NULL,NULL,NULL),(16,3,1,12,12,NULL,NULL,NULL,NULL),(16,3,1,12,13,NULL,NULL,NULL,NULL),(16,3,1,12,14,NULL,NULL,NULL,NULL),(16,3,1,12,15,NULL,NULL,NULL,NULL),(16,3,1,12,16,NULL,NULL,NULL,NULL),(16,3,1,12,17,NULL,NULL,NULL,NULL),(16,3,1,12,18,NULL,NULL,NULL,NULL),(16,3,1,12,19,NULL,NULL,NULL,NULL),(16,3,1,12,20,NULL,NULL,NULL,NULL),(16,3,1,13,1,NULL,1,NULL,1),(16,3,1,13,2,NULL,NULL,NULL,NULL),(16,3,1,13,3,1,NULL,1,NULL),(16,3,1,13,4,NULL,1,NULL,1),(16,3,1,13,5,NULL,1,NULL,1),(16,3,1,13,6,NULL,NULL,NULL,NULL),(16,3,1,13,7,NULL,NULL,NULL,NULL),(16,3,1,13,8,1,NULL,1,NULL),(16,3,1,13,9,NULL,1,NULL,1),(16,3,1,13,10,1,NULL,1,NULL),(16,3,1,13,11,NULL,NULL,NULL,NULL),(16,3,1,13,12,1,NULL,1,NULL),(16,3,1,13,13,1,NULL,1,NULL),(16,3,1,13,14,1,NULL,1,NULL),(16,3,1,13,15,NULL,NULL,NULL,NULL),(16,3,1,13,16,NULL,NULL,NULL,NULL),(16,3,1,13,17,1,NULL,1,NULL),(16,3,1,13,18,1,NULL,1,NULL),(16,3,1,13,19,NULL,NULL,NULL,NULL),(16,3,1,13,20,NULL,NULL,NULL,NULL),(16,3,1,14,1,15,9,12,8),(16,3,1,14,2,1,5,1,4),(16,3,1,14,3,9,12,7,11),(16,3,1,14,4,2,11,1,11),(16,3,1,14,5,14,11,11,10),(16,3,1,14,6,2,11,2,9),(16,3,1,14,7,2,5,2,5),(16,3,1,14,8,9,7,9,5),(16,3,1,14,9,4,8,3,8),(16,3,1,14,10,18,5,16,4),(16,3,1,14,11,11,7,9,6),(16,3,1,14,12,7,9,5,7),(16,3,1,14,13,11,19,8,13),(16,3,1,14,14,5,7,4,6),(16,3,1,14,15,5,10,5,10),(16,3,1,14,16,16,6,14,3),(16,3,1,14,17,11,10,9,9),(16,3,1,14,18,4,5,3,3),(16,3,1,14,19,9,8,8,8),(16,3,1,14,20,9,16,7,13),(16,3,1,15,1,11,14,4,9),(16,3,1,15,2,1,2,NULL,1),(16,3,1,15,3,5,13,3,7),(16,3,1,15,4,3,9,2,7),(16,3,1,15,5,4,11,3,5),(16,3,1,15,6,5,5,3,4),(16,3,1,15,7,2,2,2,2),(16,3,1,15,8,9,9,5,5),(16,3,1,15,9,2,5,2,2),(16,3,1,15,10,14,8,8,5),(16,3,1,15,11,3,4,1,NULL),(16,3,1,15,12,7,1,2,1),(16,3,1,15,13,16,5,10,1),(16,3,1,15,14,2,5,2,3),(16,3,1,15,15,1,5,1,5),(16,3,1,15,16,10,2,7,NULL),(16,3,1,15,17,11,7,6,4),(16,3,1,15,18,6,3,4,1),(16,3,1,15,19,7,9,5,4),(16,3,1,15,20,8,8,4,3),(16,3,1,16,1,7,12,5,7),(16,3,1,16,2,1,NULL,NULL,NULL),(16,3,1,16,3,3,11,1,8),(16,3,1,16,4,NULL,3,NULL,3),(16,3,1,16,5,7,12,5,5),(16,3,1,16,6,2,3,2,3),(16,3,1,16,7,1,4,1,3),(16,3,1,16,8,5,6,4,4),(16,3,1,16,9,2,2,NULL,2),(16,3,1,16,10,8,8,5,6),(16,3,1,16,11,11,14,7,8),(16,3,1,16,12,5,5,5,5),(16,3,1,16,13,8,12,5,7),(16,3,1,16,14,2,15,NULL,7),(16,3,1,16,15,9,18,5,10),(16,3,1,16,16,NULL,10,NULL,7),(16,3,1,16,17,8,9,2,7),(16,3,1,16,18,6,8,4,4),(16,3,1,16,19,3,19,2,10),(16,3,1,16,20,1,11,NULL,8),(16,3,1,17,1,10,9,5,7),(16,3,1,17,2,1,3,1,2),(16,3,1,17,3,6,8,6,6),(16,3,1,17,4,NULL,9,NULL,7),(16,3,1,17,5,5,11,5,7),(16,3,1,17,6,3,7,2,6),(16,3,1,17,7,3,9,2,6),(16,3,1,17,8,9,12,7,8),(16,3,1,17,9,NULL,2,NULL,2),(16,3,1,17,10,12,11,9,6),(16,3,1,17,11,8,26,6,14),(16,3,1,17,12,3,5,2,1),(16,3,1,17,13,7,17,5,10),(16,3,1,17,14,4,13,2,8),(16,3,1,17,15,7,18,5,10),(16,3,1,17,16,2,9,2,5),(16,3,1,17,17,6,14,5,9),(16,3,1,17,18,6,10,5,6),(16,3,1,17,19,4,22,4,14),(16,3,1,17,20,1,13,1,7),(16,3,2,21,1,3,3,3,2),(16,3,2,21,2,7,13,6,8),(16,3,2,21,3,11,9,6,6),(16,3,2,21,4,18,8,12,5),(16,3,2,21,5,11,9,8,7),(16,3,2,21,6,2,9,NULL,6),(16,3,2,21,7,1,8,1,5),(16,3,2,21,8,4,5,2,2),(16,3,2,21,9,1,10,1,4),(16,3,2,21,10,4,8,4,6),(16,3,2,21,11,9,8,6,6),(16,3,2,21,12,7,9,5,6),(16,3,2,21,13,3,11,2,8),(16,3,2,21,14,14,14,9,10),(16,3,2,21,15,14,4,11,3),(16,3,2,21,16,2,12,2,8),(16,3,2,21,17,9,5,8,4),(16,3,2,21,18,7,6,6,5),(16,3,2,21,19,7,14,6,9),(16,3,2,21,20,4,11,3,9),(16,3,2,21,21,3,6,2,5),(16,3,2,21,22,3,11,2,8),(16,3,2,21,23,7,7,6,6),(16,3,2,21,24,8,9,2,6),(16,3,2,21,25,2,NULL,2,NULL),(16,3,2,21,26,38,NULL,22,NULL),(16,3,2,21,27,5,13,4,9),(16,3,2,21,28,5,2,4,2),(16,3,2,21,29,5,9,3,8),(16,3,2,21,30,6,5,6,3),(16,3,2,22,1,6,6,5,5),(16,3,2,22,2,3,22,3,14),(16,3,2,22,3,8,5,4,3),(16,3,2,22,4,13,4,11,4),(16,3,2,22,5,8,11,7,6),(16,3,2,22,6,4,8,3,7),(16,3,2,22,7,6,8,5,7),(16,3,2,22,8,2,5,2,4),(16,3,2,22,9,2,5,2,4),(16,3,2,22,10,3,10,3,7),(16,3,2,22,11,4,6,3,5),(16,3,2,22,12,6,15,5,12),(16,3,2,22,13,1,12,1,9),(16,3,2,22,14,14,14,12,10),(16,3,2,22,15,16,5,9,4),(16,3,2,22,16,8,10,8,6),(16,3,2,22,17,6,8,6,4),(16,3,2,22,18,4,8,4,6),(16,3,2,22,19,8,18,7,11),(16,3,2,22,20,5,5,5,3),(16,3,2,22,21,NULL,11,NULL,9),(16,3,2,22,22,5,6,5,5),(16,3,2,22,23,4,7,4,7),(16,3,2,22,24,5,10,4,7),(16,3,2,22,25,1,NULL,1,NULL),(16,3,2,22,26,40,NULL,25,NULL),(16,3,2,22,27,5,8,3,5),(16,3,2,22,28,1,7,NULL,5),(16,3,2,22,29,2,12,2,10),(16,3,2,22,30,2,11,2,10),(16,3,2,23,1,6,4,5,2),(16,3,2,23,2,2,17,2,8),(16,3,2,23,3,7,5,5,3),(16,3,2,23,4,13,5,8,3),(16,3,2,23,5,7,11,4,6),(16,3,2,23,6,7,8,5,5),(16,3,2,23,7,3,5,3,2),(16,3,2,23,8,1,2,1,1),(16,3,2,23,9,4,6,1,6),(16,3,2,23,10,4,9,3,6),(16,3,2,23,11,1,4,1,2),(16,3,2,23,12,7,10,5,5),(16,3,2,23,13,1,11,1,8),(16,3,2,23,14,10,12,6,7),(16,3,2,23,15,18,2,11,NULL),(16,3,2,23,16,7,8,5,4),(16,3,2,23,17,6,7,6,5),(16,3,2,23,18,4,3,3,3),(16,3,2,23,19,7,17,3,10),(16,3,2,23,20,3,7,1,4),(16,3,2,23,21,2,6,1,4),(16,3,2,23,22,2,6,2,3),(16,3,2,23,23,6,8,3,5),(16,3,2,23,24,8,11,3,6),(16,3,2,23,25,1,NULL,NULL,NULL),(16,3,2,23,26,37,NULL,16,NULL),(16,3,2,23,27,3,9,2,6),(16,3,2,23,28,2,4,1,2),(16,3,2,23,29,5,13,2,4),(16,3,2,23,30,3,7,3,3),(16,3,2,24,1,4,7,2,6),(16,3,2,24,2,4,11,4,8),(16,3,2,24,3,8,6,6,2),(16,3,2,24,4,10,4,7,2),(16,3,2,24,5,4,7,3,6),(16,3,2,24,6,1,3,1,2),(16,3,2,24,7,4,6,1,4),(16,3,2,24,8,NULL,7,NULL,2),(16,3,2,24,9,1,4,NULL,3),(16,3,2,24,10,2,11,1,8),(16,3,2,24,11,4,4,2,4),(16,3,2,24,12,5,8,3,6),(16,3,2,24,13,4,6,1,6),(16,3,2,24,14,13,7,8,6),(16,3,2,24,15,15,6,12,3),(16,3,2,24,16,5,8,2,7),(16,3,2,24,17,4,7,3,4),(16,3,2,24,18,3,3,3,2),(16,3,2,24,19,8,12,6,6),(16,3,2,24,20,9,5,7,3),(16,3,2,24,21,1,6,NULL,3),(16,3,2,24,22,5,7,4,5),(16,3,2,24,23,4,8,3,8),(16,3,2,24,24,3,6,1,4),(16,3,2,24,25,1,NULL,NULL,NULL),(16,3,2,24,26,34,NULL,17,NULL),(16,3,2,24,27,1,9,1,7),(16,3,2,24,28,NULL,4,NULL,3),(16,3,2,24,29,1,11,NULL,7),(16,3,2,24,30,5,3,2,2),(16,3,3,31,1,1,8,NULL,5),(16,3,3,31,2,2,8,1,5),(16,3,3,31,3,NULL,3,NULL,2),(16,3,3,31,4,1,4,NULL,3),(16,3,3,31,5,9,4,5,1),(16,3,3,31,6,20,6,11,3),(16,3,3,31,7,3,4,1,3),(16,3,3,31,8,2,4,1,2),(16,3,3,31,9,1,2,1,2),(16,3,3,31,10,1,1,1,1),(16,3,3,31,11,3,4,3,1),(16,3,3,31,12,5,7,4,7),(16,3,3,31,13,5,6,3,4),(16,3,3,31,14,3,13,3,6),(16,3,3,31,15,6,11,4,6),(16,3,3,31,16,10,9,8,5),(16,3,3,31,17,10,9,7,6),(16,3,3,31,18,6,1,6,NULL),(16,3,3,31,19,3,4,3,2),(16,3,3,31,20,15,NULL,10,NULL),(16,3,3,31,21,10,9,7,6),(16,3,3,31,22,2,5,1,3),(16,3,3,31,23,NULL,7,NULL,4),(16,3,3,31,24,4,7,4,4),(16,3,3,31,25,2,3,2,3),(16,3,3,31,26,NULL,3,NULL,3),(16,3,3,31,27,NULL,3,NULL,2),(16,3,3,31,28,10,9,7,3),(16,3,3,31,29,3,3,3,NULL),(16,3,3,31,30,NULL,5,NULL,3),(16,3,3,32,1,1,5,1,4),(16,3,3,32,2,3,2,3,2),(16,3,3,32,3,NULL,2,NULL,1),(16,3,3,32,4,1,2,1,2),(16,3,3,32,5,4,14,2,7),(16,3,3,32,6,24,7,13,2),(16,3,3,32,7,2,3,2,3),(16,3,3,32,8,NULL,2,NULL,1),(16,3,3,32,9,NULL,NULL,NULL,NULL),(16,3,3,32,10,1,2,NULL,NULL),(16,3,3,32,11,6,7,3,2),(16,3,3,32,12,6,12,4,8),(16,3,3,32,13,5,5,2,3),(16,3,3,32,14,7,10,5,6),(16,3,3,32,15,7,7,6,3),(16,3,3,32,16,8,11,4,7),(16,3,3,32,17,16,8,10,5),(16,3,3,32,18,4,2,NULL,NULL),(16,3,3,32,19,4,6,3,2),(16,3,3,32,20,18,NULL,12,NULL),(16,3,3,32,21,6,11,5,2),(16,3,3,32,22,1,6,NULL,5),(16,3,3,32,23,1,7,1,2),(16,3,3,32,24,7,7,4,2),(16,3,3,32,25,1,4,1,2),(16,3,3,32,26,NULL,4,NULL,4),(16,3,3,32,27,2,4,1,4),(16,3,3,32,28,8,8,6,3),(16,3,3,32,29,7,3,4,2),(16,3,3,32,30,1,5,1,3),(16,3,3,33,1,NULL,3,NULL,2),(16,3,3,33,2,NULL,2,NULL,1),(16,3,3,33,3,NULL,4,NULL,4),(16,3,3,33,4,3,7,3,6),(16,3,3,33,5,5,17,2,12),(16,3,3,33,6,23,9,17,6),(16,3,3,33,7,4,3,3,3),(16,3,3,33,8,NULL,7,NULL,7),(16,3,3,33,9,NULL,1,NULL,NULL),(16,3,3,33,10,1,3,1,1),(16,3,3,33,11,10,8,6,5),(16,3,3,33,12,10,8,9,5),(16,3,3,33,13,9,5,8,3),(16,3,3,33,14,10,10,7,9),(16,3,3,33,15,7,7,6,6),(16,3,3,33,16,7,11,6,9),(16,3,3,33,17,17,11,12,8),(16,3,3,33,18,6,1,4,NULL),(16,3,3,33,19,8,10,5,7),(16,3,3,33,20,22,NULL,17,NULL),(16,3,3,33,21,11,18,8,10),(16,3,3,33,22,1,2,1,1),(16,3,3,33,23,2,5,2,2),(16,3,3,33,24,6,6,6,5),(16,3,3,33,25,2,8,2,7),(16,3,3,33,26,NULL,2,NULL,2),(16,3,3,33,27,3,9,1,7),(16,3,3,33,28,9,9,8,6),(16,3,3,33,29,9,9,8,4),(16,3,3,33,30,1,3,1,3),(16,3,3,34,1,2,8,1,6),(16,3,3,34,2,NULL,4,NULL,3),(16,3,3,34,3,NULL,3,NULL,3),(16,3,3,34,4,1,5,1,4),(16,3,3,34,5,6,14,4,9),(16,3,3,34,6,21,11,13,5),(16,3,3,34,7,1,4,1,3),(16,3,3,34,8,1,4,1,3),(16,3,3,34,9,NULL,1,NULL,1),(16,3,3,34,10,1,3,NULL,3),(16,3,3,34,11,6,13,3,9),(16,3,3,34,12,5,14,5,11),(16,3,3,34,13,2,6,2,6),(16,3,3,34,14,8,9,6,5),(16,3,3,34,15,6,7,3,6),(16,3,3,34,16,7,9,3,5),(16,3,3,34,17,9,12,6,8),(16,3,3,34,18,7,2,6,2),(16,3,3,34,19,2,10,2,6),(16,3,3,34,20,17,NULL,15,NULL),(16,3,3,34,21,6,20,5,11),(16,3,3,34,22,2,NULL,1,NULL),(16,3,3,34,23,1,15,1,11),(16,3,3,34,24,5,5,5,5),(16,3,3,34,25,NULL,9,NULL,7),(16,3,3,34,26,1,4,1,3),(16,3,3,34,27,3,9,1,7),(16,3,3,34,28,9,10,6,7),(16,3,3,34,29,10,9,7,5),(16,3,3,34,30,NULL,3,NULL,1),(16,5,1,11,1,2,NULL,1,NULL),(16,5,1,11,2,1,1,NULL,NULL),(16,5,1,11,3,NULL,1,NULL,NULL),(16,5,1,11,4,NULL,NULL,NULL,NULL),(16,5,1,11,5,1,NULL,NULL,NULL),(16,5,1,11,6,NULL,2,NULL,1),(16,5,1,11,7,1,1,NULL,NULL),(16,5,1,11,8,NULL,1,NULL,NULL),(16,5,1,11,9,NULL,1,NULL,NULL),(16,5,1,11,10,2,NULL,NULL,NULL),(16,5,1,11,11,1,3,1,NULL),(16,5,1,11,12,2,2,1,NULL),(16,5,1,11,13,1,2,NULL,1),(16,5,1,11,14,1,1,1,NULL),(16,5,1,11,15,1,3,1,NULL),(16,5,1,11,16,2,1,1,NULL),(16,5,1,11,17,NULL,NULL,NULL,NULL),(16,5,1,11,18,NULL,2,NULL,1),(16,5,1,11,19,2,NULL,1,NULL),(16,5,1,11,20,2,NULL,1,NULL),(16,5,1,12,1,5,2,2,NULL),(16,5,1,12,2,NULL,NULL,NULL,NULL),(16,5,1,12,3,4,3,2,NULL),(16,5,1,12,4,1,3,1,1),(16,5,1,12,5,5,NULL,2,NULL),(16,5,1,12,6,NULL,3,NULL,2),(16,5,1,12,7,NULL,NULL,NULL,NULL),(16,5,1,12,8,4,NULL,1,NULL),(16,5,1,12,9,2,2,1,1),(16,5,1,12,10,4,NULL,1,NULL),(16,5,1,12,11,5,1,1,1),(16,5,1,12,12,5,NULL,2,NULL),(16,5,1,12,13,3,3,2,NULL),(16,5,1,12,14,4,1,1,1),(16,5,1,12,15,7,NULL,2,NULL),(16,5,1,12,16,7,NULL,2,NULL),(16,5,1,12,17,6,NULL,2,NULL),(16,5,1,12,18,8,NULL,2,NULL),(16,5,1,12,19,3,3,2,NULL),(16,5,1,12,20,5,NULL,2,NULL),(16,5,1,13,1,NULL,NULL,NULL,NULL),(16,5,1,13,2,NULL,NULL,NULL,NULL),(16,5,1,13,3,NULL,1,NULL,NULL),(16,5,1,13,4,NULL,NULL,NULL,NULL),(16,5,1,13,5,2,NULL,NULL,NULL),(16,5,1,13,6,NULL,NULL,NULL,NULL),(16,5,1,13,7,NULL,NULL,NULL,NULL),(16,5,1,13,8,NULL,NULL,NULL,NULL),(16,5,1,13,9,NULL,NULL,NULL,NULL),(16,5,1,13,10,1,NULL,NULL,NULL),(16,5,1,13,11,1,NULL,NULL,NULL),(16,5,1,13,12,1,NULL,NULL,NULL),(16,5,1,13,13,NULL,NULL,NULL,NULL),(16,5,1,13,14,1,NULL,NULL,NULL),(16,5,1,13,15,NULL,NULL,NULL,NULL),(16,5,1,13,16,NULL,NULL,NULL,NULL),(16,5,1,13,17,NULL,NULL,NULL,NULL),(16,5,1,13,18,NULL,NULL,NULL,NULL),(16,5,1,13,19,1,NULL,NULL,NULL),(16,5,1,13,20,NULL,NULL,NULL,NULL),(16,5,1,14,1,92,58,13,8),(16,5,1,14,2,27,26,1,8),(16,5,1,14,3,66,62,7,14),(16,5,1,14,4,13,59,NULL,16),(16,5,1,14,5,78,62,12,8),(16,5,1,14,6,28,54,4,10),(16,5,1,14,7,20,22,5,4),(16,5,1,14,8,38,60,7,12),(16,5,1,14,9,27,54,9,8),(16,5,1,14,10,78,26,17,3),(16,5,1,14,11,66,32,14,1),(16,5,1,14,12,68,39,12,8),(16,5,1,14,13,100,62,19,3),(16,5,1,14,14,46,36,7,7),(16,5,1,14,15,37,53,11,10),(16,5,1,14,16,100,30,17,5),(16,5,1,14,17,84,62,15,7),(16,5,1,14,18,41,40,7,10),(16,5,1,14,19,73,43,16,5),(16,5,1,14,20,39,98,5,18),(16,5,1,15,1,89,59,21,9),(16,5,1,15,2,31,24,8,8),(16,5,1,15,3,56,66,17,14),(16,5,1,15,4,13,56,3,22),(16,5,1,15,5,70,48,21,9),(16,5,1,15,6,23,56,7,15),(16,5,1,15,7,30,19,15,4),(16,5,1,15,8,66,45,18,9),(16,5,1,15,9,32,44,16,7),(16,5,1,15,10,90,38,23,5),(16,5,1,15,11,80,15,23,3),(16,5,1,15,12,70,37,19,7),(16,5,1,15,13,103,46,26,6),(16,5,1,15,14,48,31,17,5),(16,5,1,15,15,39,51,10,14),(16,5,1,15,16,99,20,23,7),(16,5,1,15,17,78,62,17,15),(16,5,1,15,18,40,40,14,8),(16,5,1,15,19,74,47,21,6),(16,5,1,15,20,46,96,10,22),(16,5,1,16,1,62,33,9,3),(16,5,1,16,2,10,7,3,2),(16,5,1,16,3,29,37,7,3),(16,5,1,16,4,5,36,NULL,7),(16,5,1,16,5,59,47,9,4),(16,5,1,16,6,12,26,3,7),(16,5,1,16,7,17,17,4,5),(16,5,1,16,8,38,36,6,5),(16,5,1,16,9,7,27,2,6),(16,5,1,16,10,56,28,8,3),(16,5,1,16,11,59,97,10,6),(16,5,1,16,12,16,17,4,3),(16,5,1,16,13,44,60,8,5),(16,5,1,16,14,11,87,2,9),(16,5,1,16,15,48,80,7,9),(16,5,1,16,16,7,53,1,8),(16,5,1,16,17,37,70,3,11),(16,5,1,16,18,61,39,9,5),(16,5,1,16,19,51,69,11,4),(16,5,1,16,20,14,64,1,8),(16,5,1,17,1,49,37,6,4),(16,5,1,17,2,12,7,2,2),(16,5,1,17,3,33,30,6,2),(16,5,1,17,4,4,29,NULL,3),(16,5,1,17,5,35,47,3,4),(16,5,1,17,6,11,33,NULL,5),(16,5,1,17,7,12,14,1,2),(16,5,1,17,8,30,24,3,3),(16,5,1,17,9,13,16,2,1),(16,5,1,17,10,42,27,7,1),(16,5,1,17,11,54,77,5,6),(16,5,1,17,12,8,20,1,2),(16,5,1,17,13,49,50,5,5),(16,5,1,17,14,13,64,1,6),(16,5,1,17,15,66,45,5,4),(16,5,1,17,16,6,49,2,5),(16,5,1,17,17,35,54,5,4),(16,5,1,17,18,50,39,6,4),(16,5,1,17,19,51,59,5,5),(16,5,1,17,20,21,44,4,4),(16,5,2,21,1,31,18,10,3),(16,5,2,21,2,38,69,13,10),(16,5,2,21,3,61,29,12,4),(16,5,2,21,4,88,24,22,2),(16,5,2,21,5,50,60,15,5),(16,5,2,21,6,22,38,5,10),(16,5,2,21,7,16,26,2,4),(16,5,2,21,8,18,26,3,4),(16,5,2,21,9,21,27,5,8),(16,5,2,21,10,38,40,10,9),(16,5,2,21,11,32,24,10,6),(16,5,2,21,12,43,36,9,7),(16,5,2,21,13,35,56,8,9),(16,5,2,21,14,82,60,15,11),(16,5,2,21,15,111,9,21,1),(16,5,2,21,16,37,34,9,11),(16,5,2,21,17,37,36,11,3),(16,5,2,21,18,22,30,6,8),(16,5,2,21,19,69,55,15,7),(16,5,2,21,20,65,27,15,1),(16,5,2,21,21,31,45,17,1),(16,5,2,21,22,40,36,15,6),(16,5,2,21,23,31,48,8,12),(16,5,2,21,24,32,64,6,12),(16,5,2,21,25,27,NULL,10,NULL),(16,5,2,21,26,205,NULL,26,NULL),(16,5,2,21,27,26,47,10,9),(16,5,2,21,28,4,32,1,5),(16,5,2,21,29,27,81,7,15),(16,5,2,21,30,39,29,13,3),(16,5,2,22,1,20,30,7,6),(16,5,2,22,2,33,67,12,6),(16,5,2,22,3,55,25,15,5),(16,5,2,22,4,85,28,16,2),(16,5,2,22,5,47,47,11,7),(16,5,2,22,6,21,40,4,10),(16,5,2,22,7,17,22,2,3),(16,5,2,22,8,15,21,1,2),(16,5,2,22,9,13,22,3,4),(16,5,2,22,10,23,49,8,9),(16,5,2,22,11,28,28,5,5),(16,5,2,22,12,38,50,7,10),(16,5,2,22,13,32,47,6,10),(16,5,2,22,14,73,81,15,10),(16,5,2,22,15,112,10,19,NULL),(16,5,2,22,16,48,45,9,7),(16,5,2,22,17,36,47,5,13),(16,5,2,22,18,22,33,5,5),(16,5,2,22,19,68,65,17,6),(16,5,2,22,20,37,46,12,9),(16,5,2,22,21,28,47,4,7),(16,5,2,22,22,40,42,10,6),(16,5,2,22,23,42,53,9,10),(16,5,2,22,24,26,68,2,12),(16,5,2,22,25,20,NULL,7,NULL),(16,5,2,22,26,199,NULL,25,NULL),(16,5,2,22,27,24,61,8,9),(16,5,2,22,28,5,40,1,10),(16,5,2,22,29,15,73,2,15),(16,5,2,22,30,38,28,11,5),(16,5,2,23,1,17,27,6,3),(16,5,2,23,2,32,65,11,1),(16,5,2,23,3,49,22,7,5),(16,5,2,23,4,83,25,10,2),(16,5,2,23,5,43,52,9,3),(16,5,2,23,6,27,32,6,6),(16,5,2,23,7,11,26,1,3),(16,5,2,23,8,17,24,3,3),(16,5,2,23,9,10,31,5,1),(16,5,2,23,10,27,37,5,5),(16,5,2,23,11,27,28,5,4),(16,5,2,23,12,34,56,3,8),(16,5,2,23,13,30,51,6,5),(16,5,2,23,14,66,61,7,7),(16,5,2,23,15,99,15,12,1),(16,5,2,23,16,51,30,7,3),(16,5,2,23,17,31,35,4,3),(16,5,2,23,18,18,27,4,6),(16,5,2,23,19,65,55,11,4),(16,5,2,23,20,51,33,11,NULL),(16,5,2,23,21,33,37,8,3),(16,5,2,23,22,34,33,7,2),(16,5,2,23,23,39,49,5,6),(16,5,2,23,24,25,67,2,6),(16,5,2,23,25,13,NULL,3,NULL),(16,5,2,23,26,191,NULL,15,NULL),(16,5,2,23,27,26,51,8,5),(16,5,2,23,28,4,34,NULL,5),(16,5,2,23,29,25,69,2,9),(16,5,2,23,30,28,25,6,4),(16,5,2,24,1,23,25,12,3),(16,5,2,24,2,38,62,20,3),(16,5,2,24,3,55,26,15,1),(16,5,2,24,4,75,21,19,2),(16,5,2,24,5,36,38,12,5),(16,5,2,24,6,23,44,7,9),(16,5,2,24,7,22,16,5,NULL),(16,5,2,24,8,17,17,1,4),(16,5,2,24,9,18,15,11,4),(16,5,2,24,10,24,36,7,12),(16,5,2,24,11,25,15,3,2),(16,5,2,24,12,36,32,8,5),(16,5,2,24,13,20,51,5,10),(16,5,2,24,14,87,45,18,7),(16,5,2,24,15,97,8,24,NULL),(16,5,2,24,16,53,30,13,7),(16,5,2,24,17,22,39,6,9),(16,5,2,24,18,20,25,8,3),(16,5,2,24,19,79,45,17,7),(16,5,2,24,20,47,26,15,4),(16,5,2,24,21,27,37,9,3),(16,5,2,24,22,37,31,11,8),(16,5,2,24,23,42,45,14,7),(16,5,2,24,24,23,61,7,13),(16,5,2,24,25,14,NULL,10,NULL),(16,5,2,24,26,183,NULL,25,NULL),(16,5,2,24,27,27,36,16,2),(16,5,2,24,28,13,31,3,6),(16,5,2,24,29,28,62,6,14),(16,5,2,24,30,32,24,9,4),(16,5,3,31,1,7,31,3,8),(16,5,3,31,2,17,17,9,3),(16,5,3,31,3,3,27,2,7),(16,5,3,31,4,13,25,4,6),(16,5,3,31,5,29,54,7,11),(16,5,3,31,6,115,29,19,4),(16,5,3,31,7,4,21,1,8),(16,5,3,31,8,6,16,1,4),(16,5,3,31,9,4,20,2,9),(16,5,3,31,10,5,12,1,2),(16,5,3,31,11,33,17,3,2),(16,5,3,31,12,43,60,12,10),(16,5,3,31,13,40,29,13,4),(16,5,3,31,14,48,47,15,5),(16,5,3,31,15,63,30,18,3),(16,5,3,31,16,34,57,9,12),(16,5,3,31,17,86,55,16,9),(16,5,3,31,18,31,9,5,NULL),(16,5,3,31,19,27,31,4,9),(16,5,3,31,20,89,NULL,22,NULL),(16,5,3,31,21,39,67,12,9),(16,5,3,31,22,7,26,1,8),(16,5,3,31,23,12,36,4,5),(16,5,3,31,24,26,20,9,7),(16,5,3,31,25,11,29,4,9),(16,5,3,31,26,3,25,NULL,10),(16,5,3,31,27,9,30,2,8),(16,5,3,31,28,43,38,14,6),(16,5,3,31,29,45,38,15,2),(16,5,3,31,30,2,20,1,8),(16,5,3,32,1,9,21,1,1),(16,5,3,32,2,12,20,2,1),(16,5,3,32,3,6,36,2,6),(16,5,3,32,4,10,25,5,4),(16,5,3,32,5,39,62,7,6),(16,5,3,32,6,108,25,14,NULL),(16,5,3,32,7,6,26,NULL,4),(16,5,3,32,8,4,18,1,5),(16,5,3,32,9,3,17,2,1),(16,5,3,32,10,3,15,1,1),(16,5,3,32,11,31,26,1,1),(16,5,3,32,12,43,56,8,6),(16,5,3,32,13,36,26,6,3),(16,5,3,32,14,50,57,6,8),(16,5,3,32,15,61,38,10,NULL),(16,5,3,32,16,33,62,3,8),(16,5,3,32,17,94,44,11,4),(16,5,3,32,18,34,11,1,NULL),(16,5,3,32,19,35,38,5,6),(16,5,3,32,20,103,NULL,13,NULL),(16,5,3,32,21,46,68,6,3),(16,5,3,32,22,9,28,3,6),(16,5,3,32,23,12,27,4,4),(16,5,3,32,24,29,24,10,3),(16,5,3,32,25,4,28,2,4),(16,5,3,32,26,4,11,1,3),(16,5,3,32,27,3,27,1,5),(16,5,3,32,28,44,29,10,3),(16,5,3,32,29,56,36,8,4),(16,5,3,32,30,4,19,1,6),(16,5,3,33,1,7,31,3,6),(16,5,3,33,2,15,21,4,6),(16,5,3,33,3,4,24,3,8),(16,5,3,33,4,18,34,3,5),(16,5,3,33,5,36,71,8,7),(16,5,3,33,6,121,44,20,5),(16,5,3,33,7,7,27,3,4),(16,5,3,33,8,7,23,3,5),(16,5,3,33,9,3,18,2,2),(16,5,3,33,10,7,13,3,1),(16,5,3,33,11,31,21,4,2),(16,5,3,33,12,45,65,10,13),(16,5,3,33,13,36,28,11,6),(16,5,3,33,14,50,56,16,5),(16,5,3,33,15,62,44,13,8),(16,5,3,33,16,39,61,6,15),(16,5,3,33,17,90,54,16,8),(16,5,3,33,18,30,19,1,2),(16,5,3,33,19,35,41,5,9),(16,5,3,33,20,122,NULL,22,NULL),(16,5,3,33,21,52,77,10,10),(16,5,3,33,22,8,23,2,4),(16,5,3,33,23,11,31,4,3),(16,5,3,33,24,26,23,11,4),(16,5,3,33,25,14,34,3,10),(16,5,3,33,26,6,18,3,6),(16,5,3,33,27,5,28,3,8),(16,5,3,33,28,45,33,12,3),(16,5,3,33,29,48,19,12,NULL),(16,5,3,33,30,3,29,NULL,10),(16,5,3,34,1,7,28,1,8),(16,5,3,34,2,9,27,3,3),(16,5,3,34,3,3,22,1,5),(16,5,3,34,4,10,24,6,7),(16,5,3,34,5,36,55,9,8),(16,5,3,34,6,110,58,18,6),(16,5,3,34,7,8,24,5,7),(16,5,3,34,8,4,25,2,6),(16,5,3,34,9,9,16,3,3),(16,5,3,34,10,5,16,1,2),(16,5,3,34,11,35,18,5,4),(16,5,3,34,12,50,64,9,13),(16,5,3,34,13,36,30,11,6),(16,5,3,34,14,46,59,11,11),(16,5,3,34,15,59,46,15,6),(16,5,3,34,16,43,55,7,12),(16,5,3,34,17,79,50,17,7),(16,5,3,34,18,34,25,5,2),(16,5,3,34,19,35,47,10,6),(16,5,3,34,20,107,NULL,23,NULL),(16,5,3,34,21,49,66,13,9),(16,5,3,34,22,4,17,3,6),(16,5,3,34,23,16,29,7,6),(16,5,3,34,24,34,26,11,5),(16,5,3,34,25,15,26,4,7),(16,5,3,34,26,8,8,5,2),(16,5,3,34,27,14,41,3,8),(16,5,3,34,28,51,35,16,3),(16,5,3,34,29,48,29,10,3),(16,5,3,34,30,4,21,1,10),(16,9,1,11,1,NULL,NULL,NULL,NULL),(16,9,1,11,2,NULL,NULL,NULL,NULL),(16,9,1,11,3,NULL,NULL,NULL,NULL),(16,9,1,11,4,NULL,NULL,NULL,NULL),(16,9,1,11,5,NULL,NULL,NULL,NULL),(16,9,1,11,6,NULL,NULL,NULL,NULL),(16,9,1,11,7,NULL,NULL,NULL,NULL),(16,9,1,11,8,NULL,NULL,NULL,NULL),(16,9,1,11,9,NULL,NULL,NULL,NULL),(16,9,1,11,10,NULL,NULL,NULL,NULL),(16,9,1,11,11,NULL,NULL,NULL,NULL),(16,9,1,11,12,NULL,NULL,NULL,NULL),(16,9,1,11,13,NULL,NULL,NULL,NULL),(16,9,1,11,14,NULL,NULL,NULL,NULL),(16,9,1,11,15,NULL,NULL,NULL,NULL),(16,9,1,11,16,NULL,NULL,NULL,NULL),(16,9,1,11,17,NULL,NULL,NULL,NULL),(16,9,1,11,18,NULL,NULL,NULL,NULL),(16,9,1,11,19,NULL,NULL,NULL,NULL),(16,9,1,11,20,NULL,NULL,NULL,NULL),(16,9,1,12,1,NULL,NULL,NULL,NULL),(16,9,1,12,2,NULL,NULL,NULL,NULL),(16,9,1,12,3,NULL,NULL,NULL,NULL),(16,9,1,12,4,NULL,NULL,NULL,NULL),(16,9,1,12,5,NULL,NULL,NULL,NULL),(16,9,1,12,6,NULL,NULL,NULL,NULL),(16,9,1,12,7,NULL,NULL,NULL,NULL),(16,9,1,12,8,NULL,NULL,NULL,NULL),(16,9,1,12,9,NULL,NULL,NULL,NULL),(16,9,1,12,10,NULL,NULL,NULL,NULL),(16,9,1,12,11,NULL,NULL,NULL,NULL),(16,9,1,12,12,NULL,NULL,NULL,NULL),(16,9,1,12,13,NULL,NULL,NULL,NULL),(16,9,1,12,14,NULL,NULL,NULL,NULL),(16,9,1,12,15,NULL,NULL,NULL,NULL),(16,9,1,12,16,NULL,NULL,NULL,NULL),(16,9,1,12,17,NULL,NULL,NULL,NULL),(16,9,1,12,18,NULL,NULL,NULL,NULL),(16,9,1,12,19,NULL,NULL,NULL,NULL),(16,9,1,12,20,NULL,NULL,NULL,NULL),(16,9,1,13,1,1,NULL,NULL,NULL),(16,9,1,13,2,NULL,NULL,NULL,NULL),(16,9,1,13,3,2,NULL,NULL,NULL),(16,9,1,13,4,NULL,NULL,NULL,NULL),(16,9,1,13,5,1,NULL,NULL,NULL),(16,9,1,13,6,1,NULL,NULL,NULL),(16,9,1,13,7,NULL,NULL,NULL,NULL),(16,9,1,13,8,NULL,NULL,NULL,NULL),(16,9,1,13,9,NULL,NULL,NULL,NULL),(16,9,1,13,10,NULL,NULL,NULL,NULL),(16,9,1,13,11,2,NULL,NULL,NULL),(16,9,1,13,12,1,NULL,NULL,NULL),(16,9,1,13,13,2,NULL,NULL,NULL),(16,9,1,13,14,1,NULL,NULL,NULL),(16,9,1,13,15,1,1,NULL,NULL),(16,9,1,13,16,NULL,NULL,NULL,NULL),(16,9,1,13,17,NULL,NULL,NULL,NULL),(16,9,1,13,18,2,NULL,NULL,NULL),(16,9,1,13,19,1,1,NULL,NULL),(16,9,1,13,20,2,NULL,NULL,NULL),(16,9,1,14,1,25,19,7,2),(16,9,1,14,2,8,7,5,4),(16,9,1,14,3,21,27,5,6),(16,9,1,14,4,4,16,2,5),(16,9,1,14,5,28,29,8,4),(16,9,1,14,6,8,21,4,7),(16,9,1,14,7,3,8,1,2),(16,9,1,14,8,9,18,2,5),(16,9,1,14,9,5,15,NULL,8),(16,9,1,14,10,27,19,9,2),(16,9,1,14,11,22,13,6,2),(16,9,1,14,12,12,9,4,2),(16,9,1,14,13,30,24,10,4),(16,9,1,14,14,5,10,2,3),(16,9,1,14,15,1,15,NULL,6),(16,9,1,14,16,24,8,5,2),(16,9,1,14,17,18,20,6,6),(16,9,1,14,18,4,9,1,3),(16,9,1,14,19,10,27,4,6),(16,9,1,14,20,19,22,5,6),(16,9,1,15,1,23,22,9,2),(16,9,1,15,2,5,5,3,2),(16,9,1,15,3,18,20,4,6),(16,9,1,15,4,1,16,NULL,4),(16,9,1,15,5,17,19,4,4),(16,9,1,15,6,3,18,1,5),(16,9,1,15,7,5,5,3,NULL),(16,9,1,15,8,12,24,4,4),(16,9,1,15,9,8,9,3,1),(16,9,1,15,10,31,10,8,2),(16,9,1,15,11,21,14,7,3),(16,9,1,15,12,12,5,5,3),(16,9,1,15,13,25,21,8,4),(16,9,1,15,14,7,12,4,2),(16,9,1,15,15,6,10,3,4),(16,9,1,15,16,25,11,9,2),(16,9,1,15,17,14,22,5,5),(16,9,1,15,18,2,17,1,7),(16,9,1,15,19,22,20,5,4),(16,9,1,15,20,19,29,4,8),(16,9,1,16,1,13,28,2,5),(16,9,1,16,2,NULL,6,NULL,1),(16,9,1,16,3,17,25,1,4),(16,9,1,16,4,1,11,NULL,3),(16,9,1,16,5,22,22,5,2),(16,9,1,16,6,1,13,NULL,1),(16,9,1,16,7,10,7,2,1),(16,9,1,16,8,17,18,3,5),(16,9,1,16,9,2,10,NULL,3),(16,9,1,16,10,21,19,4,3),(16,9,1,16,11,30,51,4,4),(16,9,1,16,12,2,14,NULL,1),(16,9,1,16,13,22,31,2,5),(16,9,1,16,14,15,41,2,5),(16,9,1,16,15,25,40,1,5),(16,9,1,16,16,4,24,NULL,4),(16,9,1,16,17,16,31,2,6),(16,9,1,16,18,21,21,5,2),(16,9,1,16,19,20,42,3,4),(16,9,1,16,20,4,38,NULL,8),(16,9,1,17,1,20,22,3,1),(16,9,1,17,2,2,6,NULL,2),(16,9,1,17,3,12,19,2,4),(16,9,1,17,4,3,12,1,3),(16,9,1,17,5,16,23,5,3),(16,9,1,17,6,5,10,1,3),(16,9,1,17,7,4,5,1,2),(16,9,1,17,8,10,26,2,2),(16,9,1,17,9,5,11,1,3),(16,9,1,17,10,22,20,6,1),(16,9,1,17,11,24,45,5,3),(16,9,1,17,12,4,6,NULL,1),(16,9,1,17,13,14,29,2,6),(16,9,1,17,14,5,31,2,6),(16,9,1,17,15,25,28,4,1),(16,9,1,17,16,1,20,NULL,4),(16,9,1,17,17,18,33,1,5),(16,9,1,17,18,19,20,3,3),(16,9,1,17,19,15,43,2,5),(16,9,1,17,20,6,27,3,3),(16,9,2,21,1,2,8,2,3),(16,9,2,21,2,8,38,3,6),(16,9,2,21,3,17,14,6,2),(16,9,2,21,4,38,9,9,1),(16,9,2,21,5,13,24,3,1),(16,9,2,21,6,7,18,3,6),(16,9,2,21,7,9,12,2,NULL),(16,9,2,21,8,5,20,NULL,4),(16,9,2,21,9,6,7,4,2),(16,9,2,21,10,16,16,9,1),(16,9,2,21,11,6,9,3,NULL),(16,9,2,21,12,17,14,3,2),(16,9,2,21,13,7,15,2,3),(16,9,2,21,14,23,20,6,3),(16,9,2,21,15,22,4,7,NULL),(16,9,2,21,16,6,14,2,2),(16,9,2,21,17,10,7,4,2),(16,9,2,21,18,6,5,2,NULL),(16,9,2,21,19,19,22,6,3),(16,9,2,21,20,14,13,4,1),(16,9,2,21,21,6,25,2,4),(16,9,2,21,22,7,7,3,1),(16,9,2,21,23,8,16,1,4),(16,9,2,21,24,8,28,1,4),(16,9,2,21,25,3,NULL,2,NULL),(16,9,2,21,26,98,NULL,11,NULL),(16,9,2,21,27,2,23,NULL,7),(16,9,2,21,28,1,10,NULL,2),(16,9,2,21,29,13,23,1,5),(16,9,2,21,30,13,8,3,1),(16,9,2,22,1,12,9,5,5),(16,9,2,22,2,9,32,2,3),(16,9,2,22,3,17,14,5,2),(16,9,2,22,4,37,10,9,1),(16,9,2,22,5,19,26,4,8),(16,9,2,22,6,7,21,4,5),(16,9,2,22,7,8,9,1,1),(16,9,2,22,8,12,11,2,NULL),(16,9,2,22,9,6,9,4,3),(16,9,2,22,10,7,21,4,3),(16,9,2,22,11,7,6,3,3),(16,9,2,22,12,17,17,6,3),(16,9,2,22,13,6,11,1,6),(16,9,2,22,14,30,27,8,6),(16,9,2,22,15,32,7,6,1),(16,9,2,22,16,11,17,3,5),(16,9,2,22,17,8,14,3,2),(16,9,2,22,18,8,6,1,4),(16,9,2,22,19,12,33,4,4),(16,9,2,22,20,10,16,6,5),(16,9,2,22,21,11,28,5,6),(16,9,2,22,22,10,13,2,6),(16,9,2,22,23,9,21,3,6),(16,9,2,22,24,7,23,NULL,5),(16,9,2,22,25,4,NULL,3,NULL),(16,9,2,22,26,98,NULL,15,NULL),(16,9,2,22,27,12,23,1,5),(16,9,2,22,28,1,14,NULL,8),(16,9,2,22,29,9,16,1,5),(16,9,2,22,30,9,15,2,3),(16,9,2,23,1,2,7,NULL,1),(16,9,2,23,2,7,35,4,NULL),(16,9,2,23,3,12,9,1,NULL),(16,9,2,23,4,35,7,3,NULL),(16,9,2,23,5,8,27,2,2),(16,9,2,23,6,7,18,2,5),(16,9,2,23,7,2,8,NULL,NULL),(16,9,2,23,8,5,7,NULL,NULL),(16,9,2,23,9,5,6,2,NULL),(16,9,2,23,10,7,16,1,2),(16,9,2,23,11,1,4,NULL,NULL),(16,9,2,23,12,17,12,4,2),(16,9,2,23,13,4,18,NULL,3),(16,9,2,23,14,17,17,4,NULL),(16,9,2,23,15,27,5,4,NULL),(16,9,2,23,16,8,15,1,1),(16,9,2,23,17,7,15,1,1),(16,9,2,23,18,8,5,2,1),(16,9,2,23,19,10,28,4,2),(16,9,2,23,20,10,12,NULL,1),(16,9,2,23,21,12,18,2,1),(16,9,2,23,22,11,9,2,2),(16,9,2,23,23,9,11,3,NULL),(16,9,2,23,24,8,28,1,5),(16,9,2,23,25,1,NULL,NULL,NULL),(16,9,2,23,26,89,NULL,7,NULL),(16,9,2,23,27,8,15,1,2),(16,9,2,23,28,1,8,NULL,2),(16,9,2,23,29,17,16,1,2),(16,9,2,23,30,11,14,3,1),(16,9,2,24,1,4,11,NULL,6),(16,9,2,24,2,5,24,2,6),(16,9,2,24,3,14,19,4,4),(16,9,2,24,4,29,10,8,1),(16,9,2,24,5,20,22,4,5),(16,9,2,24,6,6,13,2,3),(16,9,2,24,7,8,8,NULL,3),(16,9,2,24,8,4,14,1,1),(16,9,2,24,9,2,11,1,2),(16,9,2,24,10,8,16,4,4),(16,9,2,24,11,12,12,5,2),(16,9,2,24,12,13,14,1,4),(16,9,2,24,13,5,22,2,7),(16,9,2,24,14,15,24,5,5),(16,9,2,24,15,34,2,8,NULL),(16,9,2,24,16,10,20,5,5),(16,9,2,24,17,6,21,1,10),(16,9,2,24,18,5,8,1,2),(16,9,2,24,19,12,26,4,5),(16,9,2,24,20,15,16,3,3),(16,9,2,24,21,6,21,1,4),(16,9,2,24,22,6,13,2,5),(16,9,2,24,23,8,14,3,4),(16,9,2,24,24,4,26,1,7),(16,9,2,24,25,4,NULL,2,NULL),(16,9,2,24,26,89,NULL,12,NULL),(16,9,2,24,27,4,12,2,3),(16,9,2,24,28,4,10,NULL,4),(16,9,2,24,29,5,29,4,7),(16,9,2,24,30,13,11,5,3),(16,9,3,31,1,5,11,1,3),(16,9,3,31,2,2,11,1,1),(16,9,3,31,3,NULL,6,NULL,2),(16,9,3,31,4,1,11,1,2),(16,9,3,31,5,5,20,1,7),(16,9,3,31,6,37,24,7,4),(16,9,3,31,7,1,10,1,5),(16,9,3,31,8,2,6,NULL,2),(16,9,3,31,9,2,7,1,3),(16,9,3,31,10,2,3,1,NULL),(16,9,3,31,11,9,13,1,2),(16,9,3,31,12,8,18,4,5),(16,9,3,31,13,7,15,3,3),(16,9,3,31,14,9,27,2,4),(16,9,3,31,15,11,15,5,4),(16,9,3,31,16,16,25,3,5),(16,9,3,31,17,27,21,7,2),(16,9,3,31,18,15,9,3,1),(16,9,3,31,19,11,13,5,2),(16,9,3,31,20,39,NULL,8,NULL),(16,9,3,31,21,14,36,3,8),(16,9,3,31,22,2,5,NULL,NULL),(16,9,3,31,23,7,10,NULL,4),(16,9,3,31,24,8,6,7,1),(16,9,3,31,25,4,4,1,1),(16,9,3,31,26,1,5,NULL,1),(16,9,3,31,27,1,5,1,2),(16,9,3,31,28,16,17,6,4),(16,9,3,31,29,15,15,3,4),(16,9,3,31,30,NULL,8,NULL,2),(16,9,3,32,1,5,5,NULL,NULL),(16,9,3,32,2,5,8,2,1),(16,9,3,32,3,NULL,9,NULL,2),(16,9,3,32,4,5,11,NULL,1),(16,9,3,32,5,10,30,2,1),(16,9,3,32,6,40,15,6,1),(16,9,3,32,7,2,7,NULL,2),(16,9,3,32,8,NULL,5,NULL,1),(16,9,3,32,9,1,4,NULL,2),(16,9,3,32,10,3,10,NULL,1),(16,9,3,32,11,15,9,3,NULL),(16,9,3,32,12,5,15,1,2),(16,9,3,32,13,10,11,1,1),(16,9,3,32,14,9,28,2,1),(16,9,3,32,15,7,15,NULL,3),(16,9,3,32,16,14,22,3,2),(16,9,3,32,17,23,20,3,1),(16,9,3,32,18,11,10,NULL,2),(16,9,3,32,19,9,14,1,4),(16,9,3,32,20,29,NULL,5,NULL),(16,9,3,32,21,24,29,4,NULL),(16,9,3,32,22,4,10,NULL,NULL),(16,9,3,32,23,2,14,NULL,4),(16,9,3,32,24,2,13,NULL,1),(16,9,3,32,25,1,8,1,2),(16,9,3,32,26,2,3,NULL,NULL),(16,9,3,32,27,6,8,1,3),(16,9,3,32,28,9,18,1,NULL),(16,9,3,32,29,18,16,3,1),(16,9,3,32,30,1,7,NULL,NULL),(16,9,3,33,1,3,13,1,3),(16,9,3,33,2,6,7,1,4),(16,9,3,33,3,NULL,10,NULL,3),(16,9,3,33,4,6,13,1,2),(16,9,3,33,5,4,37,2,5),(16,9,3,33,6,52,23,8,5),(16,9,3,33,7,2,6,NULL,4),(16,9,3,33,8,NULL,14,NULL,2),(16,9,3,33,9,2,4,NULL,1),(16,9,3,33,10,3,6,1,1),(16,9,3,33,11,16,19,3,4),(16,9,3,33,12,15,21,4,2),(16,9,3,33,13,12,12,5,2),(16,9,3,33,14,14,26,5,4),(16,9,3,33,15,15,18,5,5),(16,9,3,33,16,10,37,3,3),(16,9,3,33,17,21,23,7,5),(16,9,3,33,18,21,8,4,1),(16,9,3,33,19,7,20,4,4),(16,9,3,33,20,44,NULL,15,NULL),(16,9,3,33,21,24,34,7,3),(16,9,3,33,22,6,13,2,3),(16,9,3,33,23,1,12,NULL,1),(16,9,3,33,24,7,8,5,1),(16,9,3,33,25,3,14,2,3),(16,9,3,33,26,NULL,7,NULL,1),(16,9,3,33,27,2,15,NULL,5),(16,9,3,33,28,17,18,7,2),(16,9,3,33,29,18,19,4,4),(16,9,3,33,30,NULL,7,NULL,2),(16,9,3,34,1,5,13,NULL,2),(16,9,3,34,2,5,2,1,NULL),(16,9,3,34,3,NULL,4,NULL,2),(16,9,3,34,4,5,4,3,1),(16,9,3,34,5,7,29,3,4),(16,9,3,34,6,43,24,10,NULL),(16,9,3,34,7,5,12,1,4),(16,9,3,34,8,1,6,NULL,2),(16,9,3,34,9,NULL,7,NULL,NULL),(16,9,3,34,10,2,8,NULL,2),(16,9,3,34,11,5,14,2,1),(16,9,3,34,12,12,11,5,3),(16,9,3,34,13,11,8,3,3),(16,9,3,34,14,12,22,4,3),(16,9,3,34,15,10,8,4,1),(16,9,3,34,16,12,33,3,5),(16,9,3,34,17,17,16,7,2),(16,9,3,34,18,5,9,1,1),(16,9,3,34,19,5,16,1,3),(16,9,3,34,20,36,NULL,10,NULL),(16,9,3,34,21,15,39,6,2),(16,9,3,34,22,1,12,NULL,1),(16,9,3,34,23,2,25,1,4),(16,9,3,34,24,7,11,4,2),(16,9,3,34,25,4,14,NULL,3),(16,9,3,34,26,4,5,NULL,3),(16,9,3,34,27,5,9,NULL,1),(16,9,3,34,28,18,17,4,4),(16,9,3,34,29,16,18,7,1),(16,9,3,34,30,1,9,NULL,4),(16,101,1,11,1,NULL,1,NULL,NULL),(16,101,1,11,2,NULL,NULL,NULL,NULL),(16,101,1,11,3,NULL,NULL,NULL,NULL),(16,101,1,11,4,NULL,NULL,NULL,NULL),(16,101,1,11,5,NULL,NULL,NULL,NULL),(16,101,1,11,6,NULL,NULL,NULL,NULL),(16,101,1,11,7,NULL,NULL,NULL,NULL),(16,101,1,11,8,NULL,NULL,NULL,NULL),(16,101,1,11,9,NULL,NULL,NULL,NULL),(16,101,1,11,10,NULL,NULL,NULL,NULL),(16,101,1,11,11,NULL,NULL,NULL,NULL),(16,101,1,11,12,NULL,NULL,NULL,NULL),(16,101,1,11,13,1,NULL,NULL,NULL),(16,101,1,11,14,NULL,NULL,NULL,NULL),(16,101,1,11,15,NULL,NULL,NULL,NULL),(16,101,1,11,16,NULL,NULL,NULL,NULL),(16,101,1,11,17,1,NULL,NULL,NULL),(16,101,1,11,18,NULL,NULL,NULL,NULL),(16,101,1,11,19,1,NULL,NULL,NULL),(16,101,1,11,20,NULL,NULL,NULL,NULL),(16,101,1,12,1,NULL,1,NULL,NULL),(16,101,1,12,2,NULL,NULL,NULL,NULL),(16,101,1,12,3,NULL,NULL,NULL,NULL),(16,101,1,12,4,NULL,NULL,NULL,NULL),(16,101,1,12,5,NULL,NULL,NULL,NULL),(16,101,1,12,6,NULL,NULL,NULL,NULL),(16,101,1,12,7,NULL,1,NULL,NULL),(16,101,1,12,8,NULL,1,NULL,NULL),(16,101,1,12,9,NULL,1,NULL,NULL),(16,101,1,12,10,NULL,NULL,NULL,NULL),(16,101,1,12,11,1,NULL,NULL,NULL),(16,101,1,12,12,NULL,1,NULL,NULL),(16,101,1,12,13,NULL,NULL,NULL,NULL),(16,101,1,12,14,NULL,NULL,NULL,NULL),(16,101,1,12,15,NULL,NULL,NULL,NULL),(16,101,1,12,16,NULL,NULL,NULL,NULL),(16,101,1,12,17,NULL,NULL,NULL,NULL),(16,101,1,12,18,1,NULL,NULL,NULL),(16,101,1,12,19,NULL,1,NULL,NULL),(16,101,1,12,20,NULL,NULL,NULL,NULL),(16,101,1,13,1,NULL,NULL,NULL,NULL),(16,101,1,13,2,NULL,NULL,NULL,NULL),(16,101,1,13,3,NULL,NULL,NULL,NULL),(16,101,1,13,4,NULL,NULL,NULL,NULL),(16,101,1,13,5,NULL,NULL,NULL,NULL),(16,101,1,13,6,NULL,NULL,NULL,NULL),(16,101,1,13,7,NULL,NULL,NULL,NULL),(16,101,1,13,8,NULL,NULL,NULL,NULL),(16,101,1,13,9,NULL,NULL,NULL,NULL),(16,101,1,13,10,NULL,NULL,NULL,NULL),(16,101,1,13,11,NULL,NULL,NULL,NULL),(16,101,1,13,12,NULL,NULL,NULL,NULL),(16,101,1,13,13,NULL,NULL,NULL,NULL),(16,101,1,13,14,NULL,NULL,NULL,NULL),(16,101,1,13,15,NULL,NULL,NULL,NULL),(16,101,1,13,16,NULL,NULL,NULL,NULL),(16,101,1,13,17,NULL,NULL,NULL,NULL),(16,101,1,13,18,NULL,NULL,NULL,NULL),(16,101,1,13,19,NULL,NULL,NULL,NULL),(16,101,1,13,20,NULL,NULL,NULL,NULL),(16,101,1,14,1,13,20,6,12),(16,101,1,14,2,5,4,5,3),(16,101,1,14,3,9,6,6,4),(16,101,1,14,4,1,8,1,5),(16,101,1,14,5,17,11,9,8),(16,101,1,14,6,3,8,2,7),(16,101,1,14,7,5,3,4,2),(16,101,1,14,8,13,8,6,6),(16,101,1,14,9,2,9,2,5),(16,101,1,14,10,24,7,15,2),(16,101,1,14,11,10,8,6,4),(16,101,1,14,12,4,6,4,5),(16,101,1,14,13,22,12,13,6),(16,101,1,14,14,3,5,3,4),(16,101,1,14,15,1,4,1,2),(16,101,1,14,16,10,6,6,2),(16,101,1,14,17,13,9,9,4),(16,101,1,14,18,3,9,2,4),(16,101,1,14,19,7,12,5,6),(16,101,1,14,20,4,15,3,7),(16,101,1,15,1,14,15,1,6),(16,101,1,15,2,5,2,3,2),(16,101,1,15,3,12,6,7,2),(16,101,1,15,4,2,7,NULL,5),(16,101,1,15,5,8,10,5,4),(16,101,1,15,6,3,8,1,4),(16,101,1,15,7,7,3,1,1),(16,101,1,15,8,7,10,4,3),(16,101,1,15,9,1,7,1,2),(16,101,1,15,10,13,8,4,4),(16,101,1,15,11,8,7,6,2),(16,101,1,15,12,5,5,5,3),(16,101,1,15,13,10,14,6,3),(16,101,1,15,14,4,6,2,3),(16,101,1,15,15,4,7,2,4),(16,101,1,15,16,13,5,7,1),(16,101,1,15,17,7,15,3,6),(16,101,1,15,18,3,3,3,2),(16,101,1,15,19,8,11,4,6),(16,101,1,15,20,8,14,4,6),(16,101,1,16,1,22,27,6,10),(16,101,1,16,2,8,7,1,1),(16,101,1,16,3,19,20,8,8),(16,101,1,16,4,4,19,1,8),(16,101,1,16,5,25,34,9,11),(16,101,1,16,6,1,13,NULL,5),(16,101,1,16,7,9,11,4,2),(16,101,1,16,8,16,35,5,9),(16,101,1,16,9,3,13,1,2),(16,101,1,16,10,27,19,11,5),(16,101,1,16,11,32,72,8,14),(16,101,1,16,12,4,21,2,5),(16,101,1,16,13,23,45,4,12),(16,101,1,16,14,5,52,1,10),(16,101,1,16,15,14,74,4,14),(16,101,1,16,16,4,23,1,7),(16,101,1,16,17,10,58,2,14),(16,101,1,16,18,19,26,5,5),(16,101,1,16,19,15,46,5,8),(16,101,1,16,20,2,42,1,11),(16,101,1,17,1,24,21,5,7),(16,101,1,17,2,4,3,1,NULL),(16,101,1,17,3,11,25,4,12),(16,101,1,17,4,NULL,14,NULL,10),(16,101,1,17,5,13,32,5,11),(16,101,1,17,6,1,9,NULL,3),(16,101,1,17,7,6,9,3,3),(16,101,1,17,8,16,16,7,5),(16,101,1,17,9,2,9,2,4),(16,101,1,17,10,23,18,10,2),(16,101,1,17,11,20,63,5,14),(16,101,1,17,12,1,8,NULL,3),(16,101,1,17,13,20,42,4,10),(16,101,1,17,14,15,40,3,7),(16,101,1,17,15,25,44,6,10),(16,101,1,17,16,1,26,NULL,4),(16,101,1,17,17,15,35,3,11),(16,101,1,17,18,18,27,5,4),(16,101,1,17,19,14,56,2,14),(16,101,1,17,20,2,33,NULL,9),(16,101,2,21,1,1,6,1,1),(16,101,2,21,2,5,44,2,9),(16,101,2,21,3,12,8,3,4),(16,101,2,21,4,31,10,10,2),(16,101,2,21,5,13,32,3,7),(16,101,2,21,6,2,13,NULL,4),(16,101,2,21,7,5,19,1,4),(16,101,2,21,8,7,14,NULL,3),(16,101,2,21,9,NULL,5,NULL,3),(16,101,2,21,10,7,11,4,4),(16,101,2,21,11,5,10,3,6),(16,101,2,21,12,11,15,1,3),(16,101,2,21,13,5,18,2,5),(16,101,2,21,14,21,20,5,5),(16,101,2,21,15,28,14,6,4),(16,101,2,21,16,5,17,3,5),(16,101,2,21,17,9,13,4,3),(16,101,2,21,18,6,15,1,5),(16,101,2,21,19,11,21,4,5),(16,101,2,21,20,7,13,1,2),(16,101,2,21,21,4,20,2,6),(16,101,2,21,22,6,9,2,3),(16,101,2,21,23,5,15,1,7),(16,101,2,21,24,9,13,1,4),(16,101,2,21,25,1,NULL,1,NULL),(16,101,2,21,26,97,NULL,16,NULL),(16,101,2,21,27,7,12,3,3),(16,101,2,21,28,2,13,NULL,4),(16,101,2,21,29,7,20,2,5),(16,101,2,21,30,12,11,3,6),(16,101,2,22,1,3,6,2,2),(16,101,2,22,2,6,31,2,8),(16,101,2,22,3,15,13,6,5),(16,101,2,22,4,24,11,8,5),(16,101,2,22,5,14,22,4,6),(16,101,2,22,6,6,8,3,2),(16,101,2,22,7,5,15,2,8),(16,101,2,22,8,10,13,1,2),(16,101,2,22,9,3,14,1,3),(16,101,2,22,10,5,13,3,6),(16,101,2,22,11,8,6,1,3),(16,101,2,22,12,10,13,6,4),(16,101,2,22,13,6,12,3,5),(16,101,2,22,14,19,18,9,6),(16,101,2,22,15,28,11,9,4),(16,101,2,22,16,6,16,3,7),(16,101,2,22,17,7,11,2,5),(16,101,2,22,18,3,7,2,3),(16,101,2,22,19,10,23,6,6),(16,101,2,22,20,9,9,4,3),(16,101,2,22,21,9,15,4,5),(16,101,2,22,22,5,6,2,3),(16,101,2,22,23,7,14,1,9),(16,101,2,22,24,13,20,6,5),(16,101,2,22,25,NULL,NULL,NULL,NULL),(16,101,2,22,26,93,NULL,21,NULL),(16,101,2,22,27,12,13,4,5),(16,101,2,22,28,5,10,1,1),(16,101,2,22,29,7,16,3,9),(16,101,2,22,30,2,6,1,5),(16,101,2,23,1,3,3,1,1),(16,101,2,23,2,7,27,5,4),(16,101,2,23,3,10,11,4,4),(16,101,2,23,4,24,18,8,1),(16,101,2,23,5,14,26,7,3),(16,101,2,23,6,3,11,1,5),(16,101,2,23,7,8,12,4,1),(16,101,2,23,8,2,20,NULL,3),(16,101,2,23,9,4,5,1,3),(16,101,2,23,10,4,17,2,4),(16,101,2,23,11,3,7,2,3),(16,101,2,23,12,20,13,4,3),(16,101,2,23,13,2,14,1,5),(16,101,2,23,14,19,28,5,7),(16,101,2,23,15,19,9,6,1),(16,101,2,23,16,6,14,1,3),(16,101,2,23,17,5,11,2,2),(16,101,2,23,18,3,1,1,NULL),(16,101,2,23,19,19,24,7,4),(16,101,2,23,20,6,19,2,6),(16,101,2,23,21,6,14,2,3),(16,101,2,23,22,6,9,1,2),(16,101,2,23,23,11,6,5,4),(16,101,2,23,24,9,24,2,3),(16,101,2,23,25,2,NULL,2,NULL),(16,101,2,23,26,85,NULL,13,NULL),(16,101,2,23,27,7,13,3,3),(16,101,2,23,28,2,9,1,2),(16,101,2,23,29,16,23,5,3),(16,101,2,23,30,9,13,5,4),(16,101,2,24,1,5,9,4,6),(16,101,2,24,2,9,28,7,13),(16,101,2,24,3,19,10,9,4),(16,101,2,24,4,26,11,16,4),(16,101,2,24,5,8,24,4,10),(16,101,2,24,6,7,15,2,10),(16,101,2,24,7,7,7,3,3),(16,101,2,24,8,10,10,5,3),(16,101,2,24,9,4,6,3,4),(16,101,2,24,10,6,13,4,8),(16,101,2,24,11,6,7,5,4),(16,101,2,24,12,12,9,7,4),(16,101,2,24,13,8,10,4,7),(16,101,2,24,14,18,16,7,9),(16,101,2,24,15,23,4,18,NULL),(16,101,2,24,16,9,14,7,6),(16,101,2,24,17,6,4,4,3),(16,101,2,24,18,6,10,3,4),(16,101,2,24,19,12,27,5,14),(16,101,2,24,20,11,11,7,5),(16,101,2,24,21,5,13,2,9),(16,101,2,24,22,5,13,NULL,10),(16,101,2,24,23,5,11,NULL,9),(16,101,2,24,24,9,17,1,8),(16,101,2,24,25,1,NULL,1,NULL),(16,101,2,24,26,84,NULL,25,NULL),(16,101,2,24,27,NULL,9,NULL,6),(16,101,2,24,28,6,11,3,4),(16,101,2,24,29,8,16,3,6),(16,101,2,24,30,9,10,6,5),(16,101,3,31,1,1,12,1,8),(16,101,3,31,2,3,5,2,3),(16,101,3,31,3,NULL,15,NULL,8),(16,101,3,31,4,3,6,NULL,2),(16,101,3,31,5,8,16,3,10),(16,101,3,31,6,39,14,17,6),(16,101,3,31,7,NULL,5,NULL,3),(16,101,3,31,8,NULL,7,NULL,6),(16,101,3,31,9,NULL,3,NULL,NULL),(16,101,3,31,10,4,5,1,3),(16,101,3,31,11,14,13,7,2),(16,101,3,31,12,9,14,4,7),(16,101,3,31,13,11,9,4,4),(16,101,3,31,14,14,14,8,6),(16,101,3,31,15,8,17,4,9),(16,101,3,31,16,11,16,2,10),(16,101,3,31,17,19,22,12,10),(16,101,3,31,18,7,8,2,4),(16,101,3,31,19,5,10,1,6),(16,101,3,31,20,29,NULL,19,NULL),(16,101,3,31,21,11,32,6,11),(16,101,3,31,22,NULL,5,NULL,2),(16,101,3,31,23,3,15,2,4),(16,101,3,31,24,6,7,5,5),(16,101,3,31,25,1,5,1,2),(16,101,3,31,26,NULL,4,NULL,2),(16,101,3,31,27,2,8,NULL,5),(16,101,3,31,28,10,15,9,7),(16,101,3,31,29,15,10,11,2),(16,101,3,31,30,1,7,1,3),(16,101,3,32,1,1,8,NULL,1),(16,101,3,32,2,5,9,1,2),(16,101,3,32,3,1,13,1,3),(16,101,3,32,4,2,13,NULL,3),(16,101,3,32,5,6,17,1,6),(16,101,3,32,6,34,24,6,2),(16,101,3,32,7,NULL,5,NULL,2),(16,101,3,32,8,2,11,NULL,2),(16,101,3,32,9,1,3,NULL,NULL),(16,101,3,32,10,1,11,NULL,1),(16,101,3,32,11,14,14,NULL,1),(16,101,3,32,12,4,11,1,5),(16,101,3,32,13,6,18,2,4),(16,101,3,32,14,6,13,NULL,4),(16,101,3,32,15,8,21,3,4),(16,101,3,32,16,9,24,2,5),(16,101,3,32,17,23,16,5,4),(16,101,3,32,18,17,10,1,4),(16,101,3,32,19,5,16,1,3),(16,101,3,32,20,32,NULL,9,NULL),(16,101,3,32,21,7,36,1,6),(16,101,3,32,22,2,7,NULL,NULL),(16,101,3,32,23,1,8,1,3),(16,101,3,32,24,3,5,1,3),(16,101,3,32,25,1,9,NULL,3),(16,101,3,32,26,1,3,NULL,1),(16,101,3,32,27,1,6,NULL,3),(16,101,3,32,28,11,22,3,6),(16,101,3,32,29,9,14,5,NULL),(16,101,3,32,30,1,8,NULL,3),(16,101,3,33,1,2,9,1,5),(16,101,3,33,2,4,7,1,5),(16,101,3,33,3,1,9,NULL,3),(16,101,3,33,4,6,8,1,2),(16,101,3,33,5,6,27,2,11),(16,101,3,33,6,38,23,10,8),(16,101,3,33,7,NULL,8,NULL,3),(16,101,3,33,8,1,4,NULL,3),(16,101,3,33,9,NULL,2,NULL,NULL),(16,101,3,33,10,3,2,NULL,1),(16,101,3,33,11,14,18,5,5),(16,101,3,33,12,7,12,6,5),(16,101,3,33,13,4,17,3,6),(16,101,3,33,14,5,26,2,10),(16,101,3,33,15,10,13,8,3),(16,101,3,33,16,7,36,4,8),(16,101,3,33,17,25,24,11,7),(16,101,3,33,18,12,6,5,2),(16,101,3,33,19,6,16,1,5),(16,101,3,33,20,36,NULL,11,NULL),(16,101,3,33,21,8,30,3,6),(16,101,3,33,22,1,7,NULL,NULL),(16,101,3,33,23,1,12,NULL,4),(16,101,3,33,24,6,16,3,5),(16,101,3,33,25,1,3,NULL,2),(16,101,3,33,26,1,6,NULL,2),(16,101,3,33,27,1,7,NULL,1),(16,101,3,33,28,6,18,2,6),(16,101,3,33,29,7,14,3,4),(16,101,3,33,30,1,5,NULL,2),(16,101,3,34,1,4,9,1,5),(16,101,3,34,2,5,12,2,1),(16,101,3,34,3,1,6,NULL,NULL),(16,101,3,34,4,2,10,1,2),(16,101,3,34,5,5,28,1,3),(16,101,3,34,6,38,31,10,5),(16,101,3,34,7,NULL,10,NULL,2),(16,101,3,34,8,1,4,NULL,2),(16,101,3,34,9,NULL,5,NULL,2),(16,101,3,34,10,2,11,NULL,2),(16,101,3,34,11,9,21,2,5),(16,101,3,34,12,4,14,3,5),(16,101,3,34,13,2,12,1,NULL),(16,101,3,34,14,10,13,5,5),(16,101,3,34,15,15,16,6,5),(16,101,3,34,16,8,21,1,6),(16,101,3,34,17,14,20,7,4),(16,101,3,34,18,8,15,1,3),(16,101,3,34,19,3,12,NULL,4),(16,101,3,34,20,30,NULL,10,NULL),(16,101,3,34,21,13,38,6,6),(16,101,3,34,22,NULL,9,NULL,3),(16,101,3,34,23,3,15,NULL,6),(16,101,3,34,24,6,7,2,4),(16,101,3,34,25,NULL,8,NULL,5),(16,101,3,34,26,2,4,1,NULL),(16,101,3,34,27,3,9,1,3),(16,101,3,34,28,11,14,4,4),(16,101,3,34,29,9,14,4,4),(16,101,3,34,30,NULL,NULL,NULL,NULL),(16,102,1,11,1,2,NULL,2,NULL),(16,102,1,11,2,1,NULL,1,NULL),(16,102,1,11,3,NULL,1,NULL,1),(16,102,1,11,4,NULL,NULL,NULL,NULL),(16,102,1,11,5,NULL,NULL,NULL,NULL),(16,102,1,11,6,1,NULL,1,NULL),(16,102,1,11,7,NULL,NULL,NULL,NULL),(16,102,1,11,8,NULL,1,NULL,1),(16,102,1,11,9,1,NULL,1,NULL),(16,102,1,11,10,NULL,NULL,NULL,NULL),(16,102,1,11,11,2,NULL,2,NULL),(16,102,1,11,12,1,1,1,1),(16,102,1,11,13,NULL,1,NULL,1),(16,102,1,11,14,1,NULL,1,NULL),(16,102,1,11,15,1,NULL,1,NULL),(16,102,1,11,16,2,NULL,2,NULL),(16,102,1,11,17,NULL,NULL,NULL,NULL),(16,102,1,11,18,1,NULL,1,NULL),(16,102,1,11,19,1,NULL,1,NULL),(16,102,1,11,20,1,NULL,1,NULL),(16,102,1,12,1,NULL,NULL,NULL,NULL),(16,102,1,12,2,NULL,NULL,NULL,NULL),(16,102,1,12,3,NULL,NULL,NULL,NULL),(16,102,1,12,4,NULL,NULL,NULL,NULL),(16,102,1,12,5,NULL,NULL,NULL,NULL),(16,102,1,12,6,NULL,NULL,NULL,NULL),(16,102,1,12,7,NULL,NULL,NULL,NULL),(16,102,1,12,8,NULL,NULL,NULL,NULL),(16,102,1,12,9,NULL,NULL,NULL,NULL),(16,102,1,12,10,NULL,NULL,NULL,NULL),(16,102,1,12,11,NULL,NULL,NULL,NULL),(16,102,1,12,12,NULL,NULL,NULL,NULL),(16,102,1,12,13,NULL,NULL,NULL,NULL),(16,102,1,12,14,NULL,NULL,NULL,NULL),(16,102,1,12,15,NULL,NULL,NULL,NULL),(16,102,1,12,16,NULL,NULL,NULL,NULL),(16,102,1,12,17,NULL,NULL,NULL,NULL),(16,102,1,12,18,NULL,NULL,NULL,NULL),(16,102,1,12,19,NULL,NULL,NULL,NULL),(16,102,1,12,20,NULL,NULL,NULL,NULL),(16,102,1,13,1,1,NULL,NULL,NULL),(16,102,1,13,2,1,NULL,NULL,NULL),(16,102,1,13,3,1,1,1,NULL),(16,102,1,13,4,NULL,1,NULL,NULL),(16,102,1,13,5,NULL,1,NULL,1),(16,102,1,13,6,NULL,1,NULL,NULL),(16,102,1,13,7,NULL,NULL,NULL,NULL),(16,102,1,13,8,NULL,NULL,NULL,NULL),(16,102,1,13,9,NULL,1,NULL,1),(16,102,1,13,10,NULL,1,NULL,1),(16,102,1,13,11,2,NULL,1,NULL),(16,102,1,13,12,1,NULL,1,NULL),(16,102,1,13,13,2,NULL,1,NULL),(16,102,1,13,14,2,NULL,1,NULL),(16,102,1,13,15,NULL,1,NULL,NULL),(16,102,1,13,16,2,NULL,1,NULL),(16,102,1,13,17,1,NULL,1,NULL),(16,102,1,13,18,2,NULL,1,NULL),(16,102,1,13,19,2,NULL,1,NULL),(16,102,1,13,20,NULL,NULL,NULL,NULL),(16,102,1,14,1,40,40,19,14),(16,102,1,14,2,10,7,7,4),(16,102,1,14,3,30,28,15,12),(16,102,1,14,4,2,31,1,19),(16,102,1,14,5,54,25,26,9),(16,102,1,14,6,13,28,9,8),(16,102,1,14,7,14,11,6,6),(16,102,1,14,8,24,31,12,15),(16,102,1,14,9,13,26,8,11),(16,102,1,14,10,41,22,17,11),(16,102,1,14,11,33,16,17,9),(16,102,1,14,12,22,23,17,8),(16,102,1,14,13,52,33,27,10),(16,102,1,14,14,18,28,8,13),(16,102,1,14,15,8,22,5,12),(16,102,1,14,16,52,24,23,7),(16,102,1,14,17,36,37,21,16),(16,102,1,14,18,9,16,6,9),(16,102,1,14,19,39,25,24,4),(16,102,1,14,20,22,49,10,22),(16,102,1,15,1,36,38,9,9),(16,102,1,15,2,8,9,4,5),(16,102,1,15,3,19,30,5,9),(16,102,1,15,4,4,34,NULL,16),(16,102,1,15,5,23,35,9,10),(16,102,1,15,6,13,23,2,11),(16,102,1,15,7,9,9,3,4),(16,102,1,15,8,21,27,10,7),(16,102,1,15,9,11,19,5,7),(16,102,1,15,10,45,24,20,6),(16,102,1,15,11,25,9,9,6),(16,102,1,15,12,21,13,12,5),(16,102,1,15,13,49,24,16,9),(16,102,1,15,14,14,15,7,4),(16,102,1,15,15,11,15,5,4),(16,102,1,15,16,38,16,17,3),(16,102,1,15,17,39,32,11,10),(16,102,1,15,18,8,14,2,6),(16,102,1,15,19,20,30,6,10),(16,102,1,15,20,22,53,5,18),(16,102,1,16,1,37,45,5,12),(16,102,1,16,2,6,16,3,6),(16,102,1,16,3,22,27,8,10),(16,102,1,16,4,6,26,3,9),(16,102,1,16,5,42,43,9,11),(16,102,1,16,6,6,22,1,10),(16,102,1,16,7,12,7,5,2),(16,102,1,16,8,12,39,3,13),(16,102,1,16,9,6,15,NULL,4),(16,102,1,16,10,34,42,11,11),(16,102,1,16,11,38,83,9,20),(16,102,1,16,12,8,20,4,8),(16,102,1,16,13,33,45,6,13),(16,102,1,16,14,15,54,1,12),(16,102,1,16,15,37,64,4,23),(16,102,1,16,16,7,45,2,9),(16,102,1,16,17,26,54,5,18),(16,102,1,16,18,35,30,8,12),(16,102,1,16,19,28,70,7,18),(16,102,1,16,20,6,55,NULL,14),(16,102,1,17,1,31,35,9,7),(16,102,1,17,2,5,13,2,5),(16,102,1,17,3,24,20,8,4),(16,102,1,17,4,6,25,1,7),(16,102,1,17,5,22,38,9,7),(16,102,1,17,6,7,17,1,8),(16,102,1,17,7,8,13,3,4),(16,102,1,17,8,18,31,5,14),(16,102,1,17,9,9,11,3,5),(16,102,1,17,10,30,30,13,4),(16,102,1,17,11,36,70,10,16),(16,102,1,17,12,5,17,1,5),(16,102,1,17,13,29,58,7,17),(16,102,1,17,14,10,52,1,12),(16,102,1,17,15,50,51,8,14),(16,102,1,17,16,4,33,NULL,7),(16,102,1,17,17,21,54,4,11),(16,102,1,17,18,31,36,11,8),(16,102,1,17,19,25,68,7,10),(16,102,1,17,20,7,57,2,16),(16,102,2,21,1,10,13,5,7),(16,102,2,21,2,14,47,7,14),(16,102,2,21,3,27,21,6,6),(16,102,2,21,4,56,15,19,3),(16,102,2,21,5,36,39,14,5),(16,102,2,21,6,10,23,3,9),(16,102,2,21,7,12,18,3,4),(16,102,2,21,8,14,11,1,3),(16,102,2,21,9,8,9,5,4),(16,102,2,21,10,12,30,9,7),(16,102,2,21,11,14,13,6,3),(16,102,2,21,12,25,23,7,7),(16,102,2,21,13,12,29,3,10),(16,102,2,21,14,35,32,10,12),(16,102,2,21,15,52,9,18,1),(16,102,2,21,16,15,20,7,9),(16,102,2,21,17,17,23,5,6),(16,102,2,21,18,9,8,3,3),(16,102,2,21,19,28,42,12,11),(16,102,2,21,20,36,16,15,5),(16,102,2,21,21,13,24,6,7),(16,102,2,21,22,12,24,6,9),(16,102,2,21,23,14,28,4,14),(16,102,2,21,24,13,36,4,8),(16,102,2,21,25,4,NULL,3,NULL),(16,102,2,21,26,141,NULL,28,NULL),(16,102,2,21,27,9,21,6,8),(16,102,2,21,28,6,21,NULL,7),(16,102,2,21,29,18,31,4,10),(16,102,2,21,30,17,23,7,7),(16,102,2,22,1,8,13,3,7),(16,102,2,22,2,16,64,10,16),(16,102,2,22,3,42,18,19,4),(16,102,2,22,4,48,17,18,2),(16,102,2,22,5,29,39,14,12),(16,102,2,22,6,20,21,8,10),(16,102,2,22,7,12,21,7,4),(16,102,2,22,8,19,15,7,3),(16,102,2,22,9,8,16,6,3),(16,102,2,22,10,11,25,5,8),(16,102,2,22,11,13,16,7,7),(16,102,2,22,12,29,28,8,8),(16,102,2,22,13,13,26,6,8),(16,102,2,22,14,37,43,17,13),(16,102,2,22,15,53,10,20,1),(16,102,2,22,16,19,27,11,11),(16,102,2,22,17,13,21,6,6),(16,102,2,22,18,13,16,5,6),(16,102,2,22,19,23,45,8,19),(16,102,2,22,20,13,19,8,9),(16,102,2,22,21,10,35,2,8),(16,102,2,22,22,13,20,8,8),(16,102,2,22,23,21,30,10,17),(16,102,2,22,24,16,42,6,12),(16,102,2,22,25,6,NULL,5,NULL),(16,102,2,22,26,136,NULL,35,NULL),(16,102,2,22,27,17,26,5,7),(16,102,2,22,28,8,16,3,8),(16,102,2,22,29,12,33,3,12),(16,102,2,22,30,15,19,11,5),(16,102,2,23,1,10,21,6,8),(16,102,2,23,2,17,45,11,11),(16,102,2,23,3,32,23,10,10),(16,102,2,23,4,42,26,14,4),(16,102,2,23,5,32,41,11,9),(16,102,2,23,6,15,21,8,9),(16,102,2,23,7,10,18,2,5),(16,102,2,23,8,11,25,2,7),(16,102,2,23,9,6,15,6,3),(16,102,2,23,10,14,35,9,10),(16,102,2,23,11,16,12,6,5),(16,102,2,23,12,31,17,10,8),(16,102,2,23,13,4,25,2,12),(16,102,2,23,14,43,33,15,10),(16,102,2,23,15,51,5,19,1),(16,102,2,23,16,16,34,7,11),(16,102,2,23,17,6,28,2,7),(16,102,2,23,18,10,13,6,4),(16,102,2,23,19,25,55,9,12),(16,102,2,23,20,31,19,10,9),(16,102,2,23,21,14,23,6,6),(16,102,2,23,22,12,13,6,7),(16,102,2,23,23,8,23,4,7),(16,102,2,23,24,16,46,4,12),(16,102,2,23,25,6,NULL,5,NULL),(16,102,2,23,26,142,NULL,29,NULL),(16,102,2,23,27,9,29,3,14),(16,102,2,23,28,2,22,1,8),(16,102,2,23,29,22,32,5,8),(16,102,2,23,30,20,11,8,4),(16,102,2,24,1,10,17,6,10),(16,102,2,24,2,23,46,13,14),(16,102,2,24,3,41,22,17,9),(16,102,2,24,4,51,19,23,5),(16,102,2,24,5,31,32,15,7),(16,102,2,24,6,11,21,5,10),(16,102,2,24,7,9,17,5,6),(16,102,2,24,8,8,16,2,4),(16,102,2,24,9,5,12,1,9),(16,102,2,24,10,13,32,4,9),(16,102,2,24,11,14,15,9,4),(16,102,2,24,12,26,22,11,11),(16,102,2,24,13,9,26,5,12),(16,102,2,24,14,40,32,17,13),(16,102,2,24,15,56,15,23,7),(16,102,2,24,16,17,28,9,14),(16,102,2,24,17,10,17,8,9),(16,102,2,24,18,10,13,7,4),(16,102,2,24,19,37,30,12,13),(16,102,2,24,20,24,30,12,8),(16,102,2,24,21,14,27,8,11),(16,102,2,24,22,12,25,5,9),(16,102,2,24,23,25,32,12,11),(16,102,2,24,24,8,36,2,13),(16,102,2,24,25,7,NULL,5,NULL),(16,102,2,24,26,141,NULL,38,NULL),(16,102,2,24,27,7,28,5,12),(16,102,2,24,28,2,16,1,7),(16,102,2,24,29,14,47,4,14),(16,102,2,24,30,18,24,11,10),(16,102,3,31,1,7,18,3,8),(16,102,3,31,2,5,11,3,3),(16,102,3,31,3,2,20,1,7),(16,102,3,31,4,3,21,1,7),(16,102,3,31,5,18,28,8,5),(16,102,3,31,6,81,23,25,7),(16,102,3,31,7,1,18,1,6),(16,102,3,31,8,3,15,NULL,7),(16,102,3,31,9,2,8,1,2),(16,102,3,31,10,1,7,NULL,4),(16,102,3,31,11,21,24,9,4),(16,102,3,31,12,19,33,11,14),(16,102,3,31,13,17,22,7,11),(16,102,3,31,14,17,33,9,13),(16,102,3,31,15,26,24,19,8),(16,102,3,31,16,23,39,7,14),(16,102,3,31,17,46,42,16,19),(16,102,3,31,18,11,12,3,2),(16,102,3,31,19,10,22,2,11),(16,102,3,31,20,62,NULL,28,NULL),(16,102,3,31,21,28,47,17,10),(16,102,3,31,22,6,24,2,11),(16,102,3,31,23,6,20,3,6),(16,102,3,31,24,18,11,11,4),(16,102,3,31,25,6,26,2,14),(16,102,3,31,26,2,7,1,3),(16,102,3,31,27,8,25,3,12),(16,102,3,31,28,29,28,13,12),(16,102,3,31,29,33,29,15,6),(16,102,3,31,30,3,13,NULL,7),(16,102,3,32,1,5,21,1,8),(16,102,3,32,2,6,10,NULL,6),(16,102,3,32,3,3,15,2,3),(16,102,3,32,4,3,12,1,5),(16,102,3,32,5,19,35,5,8),(16,102,3,32,6,76,27,22,7),(16,102,3,32,7,2,9,1,6),(16,102,3,32,8,6,5,3,2),(16,102,3,32,9,NULL,9,NULL,3),(16,102,3,32,10,NULL,11,NULL,3),(16,102,3,32,11,24,25,5,5),(16,102,3,32,12,23,33,6,12),(16,102,3,32,13,16,17,7,8),(16,102,3,32,14,25,38,8,7),(16,102,3,32,15,19,29,9,13),(16,102,3,32,16,27,40,6,9),(16,102,3,32,17,47,42,17,9),(16,102,3,32,18,25,9,9,3),(16,102,3,32,19,19,24,3,8),(16,102,3,32,20,61,NULL,22,NULL),(16,102,3,32,21,31,53,7,18),(16,102,3,32,22,5,10,1,3),(16,102,3,32,23,7,25,NULL,10),(16,102,3,32,24,12,21,9,7),(16,102,3,32,25,4,15,2,7),(16,102,3,32,26,NULL,9,NULL,NULL),(16,102,3,32,27,7,20,2,7),(16,102,3,32,28,25,27,13,3),(16,102,3,32,29,25,24,9,4),(16,102,3,32,30,1,4,NULL,2),(16,102,3,33,1,6,11,5,7),(16,102,3,33,2,5,14,1,5),(16,102,3,33,3,2,24,1,10),(16,102,3,33,4,3,12,NULL,4),(16,102,3,33,5,18,44,8,10),(16,102,3,33,6,69,31,19,9),(16,102,3,33,7,6,10,4,5),(16,102,3,33,8,NULL,6,NULL,2),(16,102,3,33,9,1,9,1,2),(16,102,3,33,10,NULL,10,NULL,2),(16,102,3,33,11,22,25,8,8),(16,102,3,33,12,14,33,9,12),(16,102,3,33,13,8,18,2,5),(16,102,3,33,14,17,44,8,14),(16,102,3,33,15,17,26,10,11),(16,102,3,33,16,18,34,8,11),(16,102,3,33,17,60,22,26,3),(16,102,3,33,18,15,10,6,1),(16,102,3,33,19,10,28,6,13),(16,102,3,33,20,71,NULL,29,NULL),(16,102,3,33,21,37,46,18,11),(16,102,3,33,22,8,11,3,3),(16,102,3,33,23,2,15,1,3),(16,102,3,33,24,17,17,10,7),(16,102,3,33,25,6,24,3,13),(16,102,3,33,26,NULL,10,NULL,6),(16,102,3,33,27,2,25,2,11),(16,102,3,33,28,31,28,17,8),(16,102,3,33,29,19,33,10,3),(16,102,3,33,30,2,11,1,4),(16,102,3,34,1,5,10,1,1),(16,102,3,34,2,3,18,2,5),(16,102,3,34,3,2,8,NULL,2),(16,102,3,34,4,NULL,9,NULL,2),(16,102,3,34,5,20,34,5,8),(16,102,3,34,6,70,37,18,8),(16,102,3,34,7,4,11,1,1),(16,102,3,34,8,1,12,NULL,5),(16,102,3,34,9,1,15,NULL,3),(16,102,3,34,10,8,7,2,1),(16,102,3,34,11,18,19,4,5),(16,102,3,34,12,24,24,15,6),(16,102,3,34,13,13,20,3,5),(16,102,3,34,14,23,42,4,12),(16,102,3,34,15,23,15,15,6),(16,102,3,34,16,28,39,6,15),(16,102,3,34,17,27,32,11,12),(16,102,3,34,18,25,7,9,1),(16,102,3,34,19,17,22,2,7),(16,102,3,34,20,64,NULL,17,NULL),(16,102,3,34,21,33,50,10,11),(16,102,3,34,22,2,14,1,4),(16,102,3,34,23,7,18,2,6),(16,102,3,34,24,14,20,7,7),(16,102,3,34,25,2,13,1,6),(16,102,3,34,26,1,13,1,5),(16,102,3,34,27,7,23,NULL,6),(16,102,3,34,28,30,21,13,7),(16,102,3,34,29,27,31,12,4),(16,102,3,34,30,2,16,NULL,5),(16,103,1,11,1,2,4,NULL,NULL),(16,103,1,11,2,NULL,1,NULL,NULL),(16,103,1,11,3,2,3,NULL,NULL),(16,103,1,11,4,NULL,2,NULL,NULL),(16,103,1,11,5,2,2,NULL,NULL),(16,103,1,11,6,NULL,4,NULL,NULL),(16,103,1,11,7,NULL,NULL,NULL,NULL),(16,103,1,11,8,2,1,NULL,NULL),(16,103,1,11,9,NULL,NULL,NULL,NULL),(16,103,1,11,10,3,1,NULL,NULL),(16,103,1,11,11,2,3,NULL,NULL),(16,103,1,11,12,4,2,NULL,NULL),(16,103,1,11,13,2,4,NULL,NULL),(16,103,1,11,14,2,NULL,NULL,NULL),(16,103,1,11,15,3,NULL,NULL,NULL),(16,103,1,11,16,4,2,NULL,NULL),(16,103,1,11,17,1,5,NULL,NULL),(16,103,1,11,18,3,2,NULL,NULL),(16,103,1,11,19,4,NULL,NULL,NULL),(16,103,1,11,20,4,NULL,NULL,NULL),(16,103,1,12,1,9,5,NULL,NULL),(16,103,1,12,2,4,3,NULL,NULL),(16,103,1,12,3,14,4,NULL,NULL),(16,103,1,12,4,1,11,NULL,NULL),(16,103,1,12,5,10,6,NULL,NULL),(16,103,1,12,6,5,7,NULL,NULL),(16,103,1,12,7,3,2,NULL,NULL),(16,103,1,12,8,12,4,NULL,1),(16,103,1,12,9,6,4,1,NULL),(16,103,1,12,10,10,3,1,NULL),(16,103,1,12,11,20,3,1,NULL),(16,103,1,12,12,19,1,1,NULL),(16,103,1,12,13,11,9,NULL,1),(16,103,1,12,14,16,3,NULL,1),(16,103,1,12,15,20,3,NULL,1),(16,103,1,12,16,10,NULL,NULL,NULL),(16,103,1,12,17,20,1,1,NULL),(16,103,1,12,18,25,NULL,1,NULL),(16,103,1,12,19,18,4,NULL,1),(16,103,1,12,20,17,1,1,NULL),(16,103,1,13,1,9,7,1,NULL),(16,103,1,13,2,2,1,NULL,1),(16,103,1,13,3,8,3,1,NULL),(16,103,1,13,4,NULL,8,NULL,NULL),(16,103,1,13,5,3,9,NULL,NULL),(16,103,1,13,6,2,2,NULL,NULL),(16,103,1,13,7,3,1,1,NULL),(16,103,1,13,8,6,5,1,NULL),(16,103,1,13,9,2,5,NULL,NULL),(16,103,1,13,10,5,5,NULL,NULL),(16,103,1,13,11,13,NULL,1,NULL),(16,103,1,13,12,10,1,1,NULL),(16,103,1,13,13,13,3,1,NULL),(16,103,1,13,14,19,NULL,1,NULL),(16,103,1,13,15,3,9,NULL,1),(16,103,1,13,16,12,1,1,NULL),(16,103,1,13,17,12,NULL,1,NULL),(16,103,1,13,18,15,2,1,NULL),(16,103,1,13,19,14,4,1,NULL),(16,103,1,13,20,10,7,1,NULL),(16,103,1,14,1,532,295,32,5),(16,103,1,14,2,115,180,6,18),(16,103,1,14,3,350,379,22,16),(16,103,1,14,4,40,360,2,29),(16,103,1,14,5,487,319,32,7),(16,103,1,14,6,132,361,14,15),(16,103,1,14,7,160,87,15,6),(16,103,1,14,8,371,239,30,6),(16,103,1,14,9,198,284,19,12),(16,103,1,14,10,555,166,32,3),(16,103,1,14,11,464,108,29,5),(16,103,1,14,12,409,162,27,6),(16,103,1,14,13,602,298,33,9),(16,103,1,14,14,226,263,17,17),(16,103,1,14,15,217,270,20,13),(16,103,1,14,16,588,169,35,4),(16,103,1,14,17,496,375,22,18),(16,103,1,14,18,228,213,21,9),(16,103,1,14,19,457,290,26,15),(16,103,1,14,20,270,550,15,26),(16,103,1,15,1,464,300,20,4),(16,103,1,15,2,133,120,8,11),(16,103,1,15,3,317,340,15,11),(16,103,1,15,4,44,346,2,17),(16,103,1,15,5,346,300,21,3),(16,103,1,15,6,133,339,5,19),(16,103,1,15,7,137,85,10,9),(16,103,1,15,8,331,230,18,8),(16,103,1,15,9,176,235,17,6),(16,103,1,15,10,497,188,27,NULL),(16,103,1,15,11,420,86,19,NULL),(16,103,1,15,12,368,156,21,4),(16,103,1,15,13,595,204,25,3),(16,103,1,15,14,218,216,16,4),(16,103,1,15,15,223,262,20,7),(16,103,1,15,16,540,134,26,4),(16,103,1,15,17,489,340,20,9),(16,103,1,15,18,201,196,13,12),(16,103,1,15,19,417,254,19,6),(16,103,1,15,20,284,495,11,20),(16,103,1,16,1,209,164,6,3),(16,103,1,16,2,46,50,3,1),(16,103,1,16,3,135,154,6,3),(16,103,1,16,4,30,145,2,5),(16,103,1,16,5,204,152,8,1),(16,103,1,16,6,37,111,1,5),(16,103,1,16,7,78,36,2,NULL),(16,103,1,16,8,148,105,7,1),(16,103,1,16,9,54,82,5,1),(16,103,1,16,10,218,105,6,1),(16,103,1,16,11,232,270,6,3),(16,103,1,16,12,71,93,3,1),(16,103,1,16,13,206,175,5,4),(16,103,1,16,14,77,290,1,7),(16,103,1,16,15,222,231,6,3),(16,103,1,16,16,25,197,NULL,3),(16,103,1,16,17,141,247,3,6),(16,103,1,16,18,205,136,5,4),(16,103,1,16,19,257,210,7,3),(16,103,1,16,20,64,232,3,5),(16,103,1,17,1,161,172,6,5),(16,103,1,17,2,34,39,1,3),(16,103,1,17,3,124,144,6,4),(16,103,1,17,4,24,129,NULL,9),(16,103,1,17,5,137,154,7,5),(16,103,1,17,6,40,106,1,8),(16,103,1,17,7,58,40,4,1),(16,103,1,17,8,114,91,6,7),(16,103,1,17,9,38,95,1,5),(16,103,1,17,10,225,101,9,NULL),(16,103,1,17,11,216,269,8,7),(16,103,1,17,12,51,66,2,1),(16,103,1,17,13,164,208,5,8),(16,103,1,17,14,64,243,4,8),(16,103,1,17,15,201,203,9,3),(16,103,1,17,16,35,176,3,4),(16,103,1,17,17,133,219,7,6),(16,103,1,17,18,189,134,11,3),(16,103,1,17,19,227,225,10,4),(16,103,1,17,20,52,230,5,6),(16,103,2,21,1,229,102,13,1),(16,103,2,21,2,335,315,17,1),(16,103,2,21,3,311,122,14,3),(16,103,2,21,4,497,78,18,1),(16,103,2,21,5,363,171,18,1),(16,103,2,21,6,179,261,12,5),(16,103,2,21,7,122,56,4,1),(16,103,2,21,8,108,98,3,8),(16,103,2,21,9,159,155,10,6),(16,103,2,21,10,244,221,10,6),(16,103,2,21,11,112,102,1,3),(16,103,2,21,12,216,164,9,5),(16,103,2,21,13,86,154,2,3),(16,103,2,21,14,424,226,15,4),(16,103,2,21,15,425,27,16,NULL),(16,103,2,21,16,218,188,9,6),(16,103,2,21,17,185,186,11,7),(16,103,2,21,18,166,120,9,3),(16,103,2,21,19,372,275,15,4),(16,103,2,21,20,263,132,13,3),(16,103,2,21,21,220,186,13,3),(16,103,2,21,22,230,170,15,1),(16,103,2,21,23,293,230,15,2),(16,103,2,21,24,148,282,5,9),(16,103,2,21,25,172,NULL,14,NULL),(16,103,2,21,26,910,NULL,19,NULL),(16,103,2,21,27,206,202,13,4),(16,103,2,21,28,48,145,2,7),(16,103,2,21,29,186,291,14,4),(16,103,2,21,30,218,100,11,2),(16,103,2,22,1,221,113,16,4),(16,103,2,22,2,308,303,24,2),(16,103,2,22,3,321,117,18,5),(16,103,2,22,4,503,56,25,2),(16,103,2,22,5,346,152,18,4),(16,103,2,22,6,211,231,10,13),(16,103,2,22,7,125,48,7,2),(16,103,2,22,8,97,87,6,5),(16,103,2,22,9,150,142,17,5),(16,103,2,22,10,230,205,19,5),(16,103,2,22,11,136,81,8,2),(16,103,2,22,12,237,159,14,9),(16,103,2,22,13,72,155,7,9),(16,103,2,22,14,374,286,19,9),(16,103,2,22,15,420,28,22,1),(16,103,2,22,16,211,181,11,11),(16,103,2,22,17,201,185,15,11),(16,103,2,22,18,179,117,12,7),(16,103,2,22,19,366,265,24,4),(16,103,2,22,20,232,112,19,5),(16,103,2,22,21,211,181,16,7),(16,103,2,22,22,225,178,21,3),(16,103,2,22,23,277,243,18,7),(16,103,2,22,24,154,286,9,8),(16,103,2,22,25,179,NULL,21,NULL),(16,103,2,22,26,871,NULL,28,NULL),(16,103,2,22,27,216,191,19,4),(16,103,2,22,28,45,139,6,4),(16,103,2,22,29,157,265,10,10),(16,103,2,22,30,226,119,18,3),(16,103,2,23,1,234,85,20,4),(16,103,2,23,2,317,288,27,4),(16,103,2,23,3,318,132,26,4),(16,103,2,23,4,464,81,27,1),(16,103,2,23,5,339,173,24,2),(16,103,2,23,6,194,255,18,11),(16,103,2,23,7,123,36,17,NULL),(16,103,2,23,8,97,79,8,3),(16,103,2,23,9,163,139,20,11),(16,103,2,23,10,234,216,24,3),(16,103,2,23,11,108,87,8,2),(16,103,2,23,12,243,132,21,1),(16,103,2,23,13,80,147,7,6),(16,103,2,23,14,395,228,25,6),(16,103,2,23,15,410,23,21,1),(16,103,2,23,16,232,152,17,4),(16,103,2,23,17,191,190,17,10),(16,103,2,23,18,135,122,17,3),(16,103,2,23,19,321,301,24,8),(16,103,2,23,20,263,105,20,2),(16,103,2,23,21,186,203,22,6),(16,103,2,23,22,230,172,26,2),(16,103,2,23,23,274,215,21,8),(16,103,2,23,24,130,304,5,15),(16,103,2,23,25,184,NULL,22,NULL),(16,103,2,23,26,854,NULL,32,NULL),(16,103,2,23,27,223,193,25,2),(16,103,2,23,28,47,160,8,4),(16,103,2,23,29,168,294,22,5),(16,103,2,23,30,235,94,21,NULL),(16,103,2,24,1,226,96,15,1),(16,103,2,24,2,322,287,21,1),(16,103,2,24,3,319,117,17,NULL),(16,103,2,24,4,477,67,19,1),(16,103,2,24,5,326,153,21,1),(16,103,2,24,6,206,224,13,7),(16,103,2,24,7,108,52,9,1),(16,103,2,24,8,87,88,8,2),(16,103,2,24,9,139,127,13,5),(16,103,2,24,10,202,220,15,4),(16,103,2,24,11,124,102,5,3),(16,103,2,24,12,225,141,11,6),(16,103,2,24,13,81,147,6,2),(16,103,2,24,14,420,214,15,6),(16,103,2,24,15,434,26,17,NULL),(16,103,2,24,16,210,155,9,5),(16,103,2,24,17,178,179,12,9),(16,103,2,24,18,156,116,13,4),(16,103,2,24,19,359,264,21,1),(16,103,2,24,20,266,142,15,4),(16,103,2,24,21,197,163,19,3),(16,103,2,24,22,215,169,18,2),(16,103,2,24,23,246,227,19,3),(16,103,2,24,24,113,273,10,7),(16,103,2,24,25,156,NULL,20,NULL),(16,103,2,24,26,849,NULL,22,NULL),(16,103,2,24,27,173,178,18,1),(16,103,2,24,28,44,150,2,7),(16,103,2,24,29,145,311,13,6),(16,103,2,24,30,239,113,19,NULL),(16,103,3,31,1,57,139,4,5),(16,103,3,31,2,86,72,7,4),(16,103,3,31,3,37,162,7,2),(16,103,3,31,4,130,85,17,3),(16,103,3,31,5,189,255,12,7),(16,103,3,31,6,600,114,21,1),(16,103,3,31,7,111,141,10,6),(16,103,3,31,8,44,164,5,10),(16,103,3,31,9,55,121,8,3),(16,103,3,31,10,49,46,5,1),(16,103,3,31,11,138,85,4,2),(16,103,3,31,12,269,284,15,5),(16,103,3,31,13,281,122,17,4),(16,103,3,31,14,273,237,13,7),(16,103,3,31,15,338,118,21,1),(16,103,3,31,16,297,260,14,7),(16,103,3,31,17,460,184,19,3),(16,103,3,31,18,139,29,5,1),(16,103,3,31,19,126,187,11,5),(16,103,3,31,20,494,NULL,20,NULL),(16,103,3,31,21,354,194,17,2),(16,103,3,31,22,85,183,11,6),(16,103,3,31,23,72,168,5,7),(16,103,3,31,24,255,100,19,1),(16,103,3,31,25,114,198,8,9),(16,103,3,31,26,62,124,11,3),(16,103,3,31,27,66,198,5,7),(16,103,3,31,28,361,149,18,2),(16,103,3,31,29,284,118,21,NULL),(16,103,3,31,30,71,172,9,11),(16,103,3,32,1,52,130,3,15),(16,103,3,32,2,85,83,6,3),(16,103,3,32,3,50,170,12,11),(16,103,3,32,4,129,74,17,3),(16,103,3,32,5,198,290,14,11),(16,103,3,32,6,576,110,30,2),(16,103,3,32,7,86,138,12,7),(16,103,3,32,8,32,97,2,4),(16,103,3,32,9,39,114,9,10),(16,103,3,32,10,27,53,5,1),(16,103,3,32,11,162,71,6,3),(16,103,3,32,12,270,243,20,10),(16,103,3,32,13,246,130,24,2),(16,103,3,32,14,292,235,23,9),(16,103,3,32,15,317,151,20,5),(16,103,3,32,16,313,236,23,9),(16,103,3,32,17,426,215,23,6),(16,103,3,32,18,130,41,6,1),(16,103,3,32,19,136,182,14,10),(16,103,3,32,20,519,NULL,28,NULL),(16,103,3,32,21,379,204,25,5),(16,103,3,32,22,85,161,14,10),(16,103,3,32,23,69,174,6,9),(16,103,3,32,24,259,105,24,3),(16,103,3,32,25,109,206,14,15),(16,103,3,32,26,74,115,15,8),(16,103,3,32,27,76,231,8,13),(16,103,3,32,28,359,142,25,2),(16,103,3,32,29,300,100,27,NULL),(16,103,3,32,30,50,142,10,13),(16,103,3,33,1,66,126,4,8),(16,103,3,33,2,81,74,10,4),(16,103,3,33,3,60,147,8,7),(16,103,3,33,4,142,86,20,2),(16,103,3,33,5,240,271,15,9),(16,103,3,33,6,597,121,24,4),(16,103,3,33,7,94,129,14,4),(16,103,3,33,8,23,111,4,5),(16,103,3,33,9,55,109,10,9),(16,103,3,33,10,21,56,1,4),(16,103,3,33,11,166,58,6,2),(16,103,3,33,12,305,244,7,16),(16,103,3,33,13,251,122,17,5),(16,103,3,33,14,286,250,19,8),(16,103,3,33,15,300,127,24,3),(16,103,3,33,16,261,273,12,10),(16,103,3,33,17,438,183,20,7),(16,103,3,33,18,147,34,3,1),(16,103,3,33,19,130,187,11,12),(16,103,3,33,20,565,NULL,26,NULL),(16,103,3,33,21,384,200,23,4),(16,103,3,33,22,112,166,9,9),(16,103,3,33,23,57,155,5,10),(16,103,3,33,24,246,113,21,4),(16,103,3,33,25,116,223,9,12),(16,103,3,33,26,76,109,8,10),(16,103,3,33,27,72,231,3,7),(16,103,3,33,28,348,185,22,3),(16,103,3,33,29,305,82,24,1),(16,103,3,33,30,46,152,2,15),(16,103,3,34,1,60,145,5,5),(16,103,3,34,2,56,107,4,2),(16,103,3,34,3,55,118,7,5),(16,103,3,34,4,119,84,12,1),(16,103,3,34,5,217,282,10,6),(16,103,3,34,6,602,158,13,6),(16,103,3,34,7,89,132,8,6),(16,103,3,34,8,36,132,1,8),(16,103,3,34,9,46,133,7,2),(16,103,3,34,10,37,53,1,2),(16,103,3,34,11,143,93,4,1),(16,103,3,34,12,289,252,14,4),(16,103,3,34,13,258,120,16,1),(16,103,3,34,14,302,253,13,5),(16,103,3,34,15,332,124,16,1),(16,103,3,34,16,283,283,12,6),(16,103,3,34,17,395,209,11,8),(16,103,3,34,18,162,45,4,NULL),(16,103,3,34,19,130,182,7,4),(16,103,3,34,20,545,NULL,17,NULL),(16,103,3,34,21,411,228,15,4),(16,103,3,34,22,86,174,11,3),(16,103,3,34,23,77,169,5,5),(16,103,3,34,24,264,103,17,1),(16,103,3,34,25,116,224,5,12),(16,103,3,34,26,64,127,10,5),(16,103,3,34,27,67,245,4,10),(16,103,3,34,28,379,188,13,6),(16,103,3,34,29,321,85,17,NULL),(16,103,3,34,30,69,181,5,6),(16,104,1,11,1,NULL,NULL,NULL,NULL),(16,104,1,11,2,NULL,NULL,NULL,NULL),(16,104,1,11,3,NULL,NULL,NULL,NULL),(16,104,1,11,4,NULL,NULL,NULL,NULL),(16,104,1,11,5,NULL,NULL,NULL,NULL),(16,104,1,11,6,NULL,NULL,NULL,NULL),(16,104,1,11,7,NULL,NULL,NULL,NULL),(16,104,1,11,8,NULL,NULL,NULL,NULL),(16,104,1,11,9,NULL,NULL,NULL,NULL),(16,104,1,11,10,NULL,NULL,NULL,NULL),(16,104,1,11,11,NULL,NULL,NULL,NULL),(16,104,1,11,12,NULL,NULL,NULL,NULL),(16,104,1,11,13,NULL,NULL,NULL,NULL),(16,104,1,11,14,NULL,NULL,NULL,NULL),(16,104,1,11,15,NULL,NULL,NULL,NULL),(16,104,1,11,16,NULL,NULL,NULL,NULL),(16,104,1,11,17,NULL,NULL,NULL,NULL),(16,104,1,11,18,NULL,NULL,NULL,NULL),(16,104,1,11,19,NULL,NULL,NULL,NULL),(16,104,1,11,20,NULL,NULL,NULL,NULL),(16,104,1,12,1,NULL,1,NULL,1),(16,104,1,12,2,NULL,NULL,NULL,NULL),(16,104,1,12,3,1,NULL,1,NULL),(16,104,1,12,4,NULL,NULL,NULL,NULL),(16,104,1,12,5,1,NULL,1,NULL),(16,104,1,12,6,NULL,NULL,NULL,NULL),(16,104,1,12,7,NULL,NULL,NULL,NULL),(16,104,1,12,8,1,NULL,1,NULL),(16,104,1,12,9,NULL,NULL,NULL,NULL),(16,104,1,12,10,NULL,NULL,NULL,NULL),(16,104,1,12,11,1,NULL,1,NULL),(16,104,1,12,12,1,NULL,1,NULL),(16,104,1,12,13,NULL,1,NULL,1),(16,104,1,12,14,NULL,NULL,NULL,NULL),(16,104,1,12,15,1,NULL,1,NULL),(16,104,1,12,16,NULL,NULL,NULL,NULL),(16,104,1,12,17,1,NULL,1,NULL),(16,104,1,12,18,1,NULL,1,NULL),(16,104,1,12,19,1,NULL,1,NULL),(16,104,1,12,20,1,NULL,1,NULL),(16,104,1,13,1,1,NULL,1,NULL),(16,104,1,13,2,NULL,1,NULL,NULL),(16,104,1,13,3,1,NULL,1,NULL),(16,104,1,13,4,NULL,1,NULL,NULL),(16,104,1,13,5,NULL,3,NULL,1),(16,104,1,13,6,1,NULL,NULL,NULL),(16,104,1,13,7,NULL,NULL,NULL,NULL),(16,104,1,13,8,NULL,NULL,NULL,NULL),(16,104,1,13,9,NULL,NULL,NULL,NULL),(16,104,1,13,10,2,NULL,NULL,NULL),(16,104,1,13,11,3,NULL,1,NULL),(16,104,1,13,12,3,NULL,1,NULL),(16,104,1,13,13,3,NULL,1,NULL),(16,104,1,13,14,3,NULL,1,NULL),(16,104,1,13,15,NULL,1,NULL,NULL),(16,104,1,13,16,1,1,NULL,NULL),(16,104,1,13,17,2,NULL,1,NULL),(16,104,1,13,18,2,1,1,NULL),(16,104,1,13,19,2,1,1,NULL),(16,104,1,13,20,2,1,1,NULL),(16,104,1,14,1,52,45,9,3),(16,104,1,14,2,8,18,1,6),(16,104,1,14,3,47,39,12,5),(16,104,1,14,4,8,46,NULL,11),(16,104,1,14,5,63,56,10,2),(16,104,1,14,6,16,35,6,6),(16,104,1,14,7,13,17,1,2),(16,104,1,14,8,38,32,9,6),(16,104,1,14,9,9,33,4,4),(16,104,1,14,10,57,45,11,6),(16,104,1,14,11,41,20,7,2),(16,104,1,14,12,19,28,2,4),(16,104,1,14,13,66,53,11,4),(16,104,1,14,14,15,29,4,3),(16,104,1,14,15,14,29,2,9),(16,104,1,14,16,58,29,8,6),(16,104,1,14,17,40,56,7,7),(16,104,1,14,18,14,23,4,3),(16,104,1,14,19,41,41,6,6),(16,104,1,14,20,36,72,9,6),(16,104,1,15,1,60,55,15,8),(16,104,1,15,2,8,13,2,8),(16,104,1,15,3,42,55,9,11),(16,104,1,15,4,5,41,1,16),(16,104,1,15,5,41,47,12,9),(16,104,1,15,6,11,52,1,10),(16,104,1,15,7,12,14,5,5),(16,104,1,15,8,36,32,9,14),(16,104,1,15,9,15,25,3,10),(16,104,1,15,10,71,32,19,5),(16,104,1,15,11,46,21,18,2),(16,104,1,15,12,34,22,8,10),(16,104,1,15,13,83,36,17,7),(16,104,1,15,14,14,38,4,9),(16,104,1,15,15,18,31,3,10),(16,104,1,15,16,62,17,16,6),(16,104,1,15,17,58,53,13,10),(16,104,1,15,18,14,24,3,7),(16,104,1,15,19,50,31,13,7),(16,104,1,15,20,31,65,7,18),(16,104,1,16,1,58,61,12,12),(16,104,1,16,2,12,12,4,2),(16,104,1,16,3,33,57,9,11),(16,104,1,16,4,13,40,4,14),(16,104,1,16,5,58,61,12,15),(16,104,1,16,6,8,30,2,6),(16,104,1,16,7,11,18,4,2),(16,104,1,16,8,37,44,8,10),(16,104,1,16,9,11,25,4,7),(16,104,1,16,10,72,34,22,4),(16,104,1,16,11,56,120,10,22),(16,104,1,16,12,13,33,9,6),(16,104,1,16,13,45,79,7,19),(16,104,1,16,14,9,89,NULL,17),(16,104,1,16,15,53,105,10,19),(16,104,1,16,16,5,63,NULL,9),(16,104,1,16,17,24,100,2,26),(16,104,1,16,18,60,60,13,14),(16,104,1,16,19,59,89,12,18),(16,104,1,16,20,14,83,4,20),(16,104,1,17,1,53,50,7,11),(16,104,1,17,2,7,12,1,3),(16,104,1,17,3,29,48,5,6),(16,104,1,17,4,10,33,1,10),(16,104,1,17,5,35,54,6,8),(16,104,1,17,6,7,33,1,9),(16,104,1,17,7,13,14,5,4),(16,104,1,17,8,30,42,7,6),(16,104,1,17,9,13,33,4,10),(16,104,1,17,10,51,44,11,7),(16,104,1,17,11,65,91,8,10),(16,104,1,17,12,12,26,2,3),(16,104,1,17,13,49,71,3,13),(16,104,1,17,14,23,68,2,9),(16,104,1,17,15,62,80,11,7),(16,104,1,17,16,6,46,2,5),(16,104,1,17,17,35,81,5,11),(16,104,1,17,18,53,48,10,6),(16,104,1,17,19,38,114,8,9),(16,104,1,17,20,14,79,2,11),(16,104,2,21,1,12,20,5,3),(16,104,2,21,2,27,77,8,5),(16,104,2,21,3,42,23,9,2),(16,104,2,21,4,89,25,11,1),(16,104,2,21,5,50,46,7,3),(16,104,2,21,6,20,43,2,9),(16,104,2,21,7,17,21,1,4),(16,104,2,21,8,21,27,3,4),(16,104,2,21,9,13,25,2,3),(16,104,2,21,10,32,47,5,5),(16,104,2,21,11,12,16,1,2),(16,104,2,21,12,33,23,3,2),(16,104,2,21,13,16,33,4,3),(16,104,2,21,14,52,54,10,3),(16,104,2,21,15,76,8,9,NULL),(16,104,2,21,16,19,35,1,5),(16,104,2,21,17,25,34,5,4),(16,104,2,21,18,16,27,5,1),(16,104,2,21,19,45,60,9,4),(16,104,2,21,20,30,38,3,4),(16,104,2,21,21,18,52,2,7),(16,104,2,21,22,19,23,4,3),(16,104,2,21,23,32,42,4,9),(16,104,2,21,24,29,44,2,6),(16,104,2,21,25,5,NULL,1,NULL),(16,104,2,21,26,202,NULL,15,NULL),(16,104,2,21,27,17,40,3,4),(16,104,2,21,28,7,39,1,4),(16,104,2,21,29,22,59,1,6),(16,104,2,21,30,40,19,8,1),(16,104,2,22,1,22,19,6,5),(16,104,2,22,2,26,86,7,9),(16,104,2,22,3,45,27,14,6),(16,104,2,22,4,85,24,16,2),(16,104,2,22,5,37,50,10,8),(16,104,2,22,6,21,35,3,11),(16,104,2,22,7,19,18,3,NULL),(16,104,2,22,8,15,23,5,4),(16,104,2,22,9,18,17,8,2),(16,104,2,22,10,24,42,7,9),(16,104,2,22,11,21,17,4,5),(16,104,2,22,12,30,38,5,6),(16,104,2,22,13,18,39,3,10),(16,104,2,22,14,54,63,8,11),(16,104,2,22,15,79,10,17,3),(16,104,2,22,16,30,36,9,8),(16,104,2,22,17,26,30,8,5),(16,104,2,22,18,21,21,7,4),(16,104,2,22,19,40,67,9,8),(16,104,2,22,20,25,32,8,5),(16,104,2,22,21,20,43,5,8),(16,104,2,22,22,19,27,6,5),(16,104,2,22,23,26,50,7,6),(16,104,2,22,24,26,63,5,12),(16,104,2,22,25,8,NULL,2,NULL),(16,104,2,22,26,199,NULL,24,NULL),(16,104,2,22,27,23,56,6,10),(16,104,2,22,28,6,17,1,5),(16,104,2,22,29,22,48,7,11),(16,104,2,22,30,27,27,11,2),(16,104,2,23,1,14,29,7,11),(16,104,2,23,2,29,68,18,6),(16,104,2,23,3,49,29,13,10),(16,104,2,23,4,82,30,25,5),(16,104,2,23,5,48,48,14,13),(16,104,2,23,6,21,52,6,16),(16,104,2,23,7,15,23,3,6),(16,104,2,23,8,9,29,NULL,6),(16,104,2,23,9,15,19,3,4),(16,104,2,23,10,33,54,12,12),(16,104,2,23,11,19,18,10,7),(16,104,2,23,12,50,36,12,9),(16,104,2,23,13,18,35,7,8),(16,104,2,23,14,56,51,16,15),(16,104,2,23,15,81,11,24,1),(16,104,2,23,16,43,34,14,13),(16,104,2,23,17,15,34,8,14),(16,104,2,23,18,23,25,9,10),(16,104,2,23,19,59,55,15,10),(16,104,2,23,20,32,35,13,10),(16,104,2,23,21,24,46,9,9),(16,104,2,23,22,20,37,11,8),(16,104,2,23,23,31,50,11,15),(16,104,2,23,24,24,53,10,11),(16,104,2,23,25,12,NULL,8,NULL),(16,104,2,23,26,199,NULL,33,NULL),(16,104,2,23,27,19,52,4,16),(16,104,2,23,28,9,29,2,10),(16,104,2,23,29,27,73,5,19),(16,104,2,23,30,33,32,16,6),(16,104,2,24,1,18,24,9,7),(16,104,2,24,2,24,86,10,11),(16,104,2,24,3,49,32,16,4),(16,104,2,24,4,80,15,19,3),(16,104,2,24,5,37,44,9,11),(16,104,2,24,6,24,34,8,7),(16,104,2,24,7,26,15,5,3),(16,104,2,24,8,19,34,4,4),(16,104,2,24,9,16,28,9,5),(16,104,2,24,10,21,53,4,16),(16,104,2,24,11,23,20,6,9),(16,104,2,24,12,44,30,10,7),(16,104,2,24,13,15,37,4,12),(16,104,2,24,14,71,37,17,8),(16,104,2,24,15,81,14,21,NULL),(16,104,2,24,16,30,33,3,8),(16,104,2,24,17,21,26,9,8),(16,104,2,24,18,20,16,4,6),(16,104,2,24,19,41,50,8,12),(16,104,2,24,20,29,35,8,8),(16,104,2,24,21,19,44,5,6),(16,104,2,24,22,13,29,1,8),(16,104,2,24,23,21,51,5,14),(16,104,2,24,24,21,47,NULL,13),(16,104,2,24,25,7,NULL,4,NULL),(16,104,2,24,26,196,NULL,28,NULL),(16,104,2,24,27,13,36,7,8),(16,104,2,24,28,3,20,1,6),(16,104,2,24,29,16,54,3,13),(16,104,2,24,30,35,29,9,5),(16,104,3,31,1,10,26,2,8),(16,104,3,31,2,12,19,2,6),(16,104,3,31,3,2,21,1,9),(16,104,3,31,4,8,22,1,7),(16,104,3,31,5,21,57,5,10),(16,104,3,31,6,111,39,20,5),(16,104,3,31,7,4,24,2,8),(16,104,3,31,8,2,22,1,8),(16,104,3,31,9,2,17,NULL,7),(16,104,3,31,10,4,18,2,1),(16,104,3,31,11,28,14,2,2),(16,104,3,31,12,37,58,13,9),(16,104,3,31,13,26,23,4,4),(16,104,3,31,14,42,52,10,9),(16,104,3,31,15,41,24,12,6),(16,104,3,31,16,39,54,11,7),(16,104,3,31,17,81,40,15,7),(16,104,3,31,18,28,17,4,6),(16,104,3,31,19,18,33,4,6),(16,104,3,31,20,95,NULL,22,NULL),(16,104,3,31,21,47,58,15,9),(16,104,3,31,22,7,15,3,4),(16,104,3,31,23,4,31,2,6),(16,104,3,31,24,28,21,9,4),(16,104,3,31,25,7,26,2,7),(16,104,3,31,26,3,12,2,5),(16,104,3,31,27,8,40,NULL,13),(16,104,3,31,28,38,39,18,5),(16,104,3,31,29,50,35,18,3),(16,104,3,31,30,5,23,4,4),(16,104,3,32,1,8,28,2,11),(16,104,3,32,2,12,21,3,7),(16,104,3,32,3,3,29,2,5),(16,104,3,32,4,3,21,1,7),(16,104,3,32,5,28,52,7,14),(16,104,3,32,6,103,35,25,6),(16,104,3,32,7,3,20,2,9),(16,104,3,32,8,2,14,NULL,3),(16,104,3,32,9,5,17,2,4),(16,104,3,32,10,6,16,2,5),(16,104,3,32,11,38,29,7,6),(16,104,3,32,12,29,48,11,12),(16,104,3,32,13,28,32,12,6),(16,104,3,32,14,43,53,16,12),(16,104,3,32,15,35,44,16,11),(16,104,3,32,16,44,66,11,12),(16,104,3,32,17,70,38,20,8),(16,104,3,32,18,40,18,11,4),(16,104,3,32,19,35,40,7,10),(16,104,3,32,20,96,NULL,28,NULL),(16,104,3,32,21,52,76,19,9),(16,104,3,32,22,3,19,2,4),(16,104,3,32,23,8,28,3,6),(16,104,3,32,24,25,19,14,3),(16,104,3,32,25,8,40,2,17),(16,104,3,32,26,3,11,NULL,3),(16,104,3,32,27,10,36,4,10),(16,104,3,32,28,49,29,21,7),(16,104,3,32,29,44,36,15,5),(16,104,3,32,30,3,12,1,9),(16,104,3,33,1,11,23,4,6),(16,104,3,33,2,14,17,3,2),(16,104,3,33,3,1,27,NULL,9),(16,104,3,33,4,9,21,3,3),(16,104,3,33,5,31,57,8,12),(16,104,3,33,6,118,37,17,4),(16,104,3,33,7,6,19,4,5),(16,104,3,33,8,2,19,2,6),(16,104,3,33,9,5,15,NULL,6),(16,104,3,33,10,1,19,NULL,1),(16,104,3,33,11,33,26,5,2),(16,104,3,33,12,35,55,9,9),(16,104,3,33,13,20,26,5,6),(16,104,3,33,14,39,58,8,7),(16,104,3,33,15,27,31,7,11),(16,104,3,33,16,37,66,6,10),(16,104,3,33,17,67,55,13,10),(16,104,3,33,18,33,15,8,1),(16,104,3,33,19,18,33,1,6),(16,104,3,33,20,96,NULL,21,NULL),(16,104,3,33,21,45,68,13,5),(16,104,3,33,22,7,26,NULL,4),(16,104,3,33,23,8,29,4,4),(16,104,3,33,24,28,25,9,5),(16,104,3,33,25,14,18,4,7),(16,104,3,33,26,1,13,NULL,4),(16,104,3,33,27,5,36,1,8),(16,104,3,33,28,37,34,11,3),(16,104,3,33,29,46,33,11,2),(16,104,3,33,30,1,24,1,5),(16,104,3,34,1,6,25,NULL,1),(16,104,3,34,2,7,19,1,3),(16,104,3,34,3,1,19,NULL,1),(16,104,3,34,4,6,14,2,2),(16,104,3,34,5,31,54,3,2),(16,104,3,34,6,94,44,9,4),(16,104,3,34,7,3,15,2,1),(16,104,3,34,8,2,22,NULL,5),(16,104,3,34,9,4,21,NULL,2),(16,104,3,34,10,4,13,2,NULL),(16,104,3,34,11,17,24,2,NULL),(16,104,3,34,12,26,45,6,6),(16,104,3,34,13,15,28,2,4),(16,104,3,34,14,37,59,7,4),(16,104,3,34,15,28,38,6,7),(16,104,3,34,16,44,54,7,5),(16,104,3,34,17,55,41,8,5),(16,104,3,34,18,33,23,3,1),(16,104,3,34,19,21,40,3,4),(16,104,3,34,20,92,NULL,12,NULL),(16,104,3,34,21,43,84,7,5),(16,104,3,34,22,7,26,1,3),(16,104,3,34,23,7,34,1,2),(16,104,3,34,24,23,17,7,1),(16,104,3,34,25,13,31,2,4),(16,104,3,34,26,3,14,NULL,2),(16,104,3,34,27,9,36,2,3),(16,104,3,34,28,34,40,9,NULL),(16,104,3,34,29,41,30,6,3),(16,104,3,34,30,3,16,NULL,2),(16,108,1,11,1,1,1,NULL,NULL),(16,108,1,11,2,NULL,NULL,NULL,NULL),(16,108,1,11,3,NULL,1,NULL,NULL),(16,108,1,11,4,NULL,NULL,NULL,NULL),(16,108,1,11,5,2,NULL,NULL,NULL),(16,108,1,11,6,NULL,1,NULL,NULL),(16,108,1,11,7,NULL,NULL,NULL,NULL),(16,108,1,11,8,1,NULL,NULL,NULL),(16,108,1,11,9,NULL,NULL,NULL,NULL),(16,108,1,11,10,NULL,1,NULL,NULL),(16,108,1,11,11,1,1,NULL,NULL),(16,108,1,11,12,2,NULL,NULL,NULL),(16,108,1,11,13,NULL,1,NULL,NULL),(16,108,1,11,14,NULL,2,NULL,NULL),(16,108,1,11,15,NULL,1,NULL,NULL),(16,108,1,11,16,NULL,2,NULL,NULL),(16,108,1,11,17,1,NULL,NULL,NULL),(16,108,1,11,18,NULL,NULL,NULL,NULL),(16,108,1,11,19,NULL,NULL,NULL,NULL),(16,108,1,11,20,NULL,NULL,NULL,NULL),(16,108,1,12,1,2,1,1,1),(16,108,1,12,2,NULL,NULL,NULL,NULL),(16,108,1,12,3,2,2,1,1),(16,108,1,12,4,NULL,1,NULL,1),(16,108,1,12,5,1,3,1,1),(16,108,1,12,6,NULL,NULL,NULL,NULL),(16,108,1,12,7,1,NULL,1,NULL),(16,108,1,12,8,2,1,1,1),(16,108,1,12,9,NULL,1,NULL,1),(16,108,1,12,10,1,2,NULL,2),(16,108,1,12,11,4,NULL,2,NULL),(16,108,1,12,12,2,1,1,1),(16,108,1,12,13,1,2,1,1),(16,108,1,12,14,1,2,1,1),(16,108,1,12,15,3,NULL,2,NULL),(16,108,1,12,16,3,NULL,2,NULL),(16,108,1,12,17,NULL,2,NULL,1),(16,108,1,12,18,4,NULL,2,NULL),(16,108,1,12,19,2,1,1,1),(16,108,1,12,20,2,NULL,1,NULL),(16,108,1,13,1,2,2,1,1),(16,108,1,13,2,NULL,NULL,NULL,NULL),(16,108,1,13,3,2,1,1,NULL),(16,108,1,13,4,NULL,1,NULL,1),(16,108,1,13,5,1,1,1,NULL),(16,108,1,13,6,1,1,1,1),(16,108,1,13,7,NULL,NULL,NULL,NULL),(16,108,1,13,8,2,1,2,NULL),(16,108,1,13,9,3,1,2,NULL),(16,108,1,13,10,3,NULL,2,NULL),(16,108,1,13,11,3,NULL,2,NULL),(16,108,1,13,12,2,NULL,1,NULL),(16,108,1,13,13,3,NULL,2,NULL),(16,108,1,13,14,5,NULL,2,NULL),(16,108,1,13,15,NULL,2,NULL,2),(16,108,1,13,16,4,NULL,2,NULL),(16,108,1,13,17,3,NULL,2,NULL),(16,108,1,13,18,3,NULL,2,NULL),(16,108,1,13,19,5,NULL,2,NULL),(16,108,1,13,20,2,1,2,NULL),(16,108,1,14,1,54,36,15,7),(16,108,1,14,2,18,17,5,11),(16,108,1,14,3,38,36,12,8),(16,108,1,14,4,3,36,1,19),(16,108,1,14,5,41,44,13,13),(16,108,1,14,6,21,34,6,13),(16,108,1,14,7,19,13,8,7),(16,108,1,14,8,31,30,9,13),(16,108,1,14,9,25,23,12,11),(16,108,1,14,10,55,21,18,4),(16,108,1,14,11,53,18,21,4),(16,108,1,14,12,34,23,13,8),(16,108,1,14,13,63,42,22,9),(16,108,1,14,14,33,23,17,8),(16,108,1,14,15,20,25,11,12),(16,108,1,14,16,63,25,26,5),(16,108,1,14,17,51,41,19,13),(16,108,1,14,18,12,29,9,8),(16,108,1,14,19,53,30,21,7),(16,108,1,14,20,33,57,8,21),(16,108,1,15,1,56,40,8,8),(16,108,1,15,2,10,10,3,6),(16,108,1,15,3,38,34,11,6),(16,108,1,15,4,14,35,1,10),(16,108,1,15,5,28,42,6,9),(16,108,1,15,6,17,27,3,7),(16,108,1,15,7,16,7,3,1),(16,108,1,15,8,34,30,9,8),(16,108,1,15,9,14,35,3,8),(16,108,1,15,10,53,21,13,4),(16,108,1,15,11,47,18,13,2),(16,108,1,15,12,29,20,8,4),(16,108,1,15,13,80,25,17,3),(16,108,1,15,14,23,19,3,4),(16,108,1,15,15,16,23,5,6),(16,108,1,15,16,59,18,16,NULL),(16,108,1,15,17,52,44,13,5),(16,108,1,15,18,13,23,3,6),(16,108,1,15,19,42,32,8,8),(16,108,1,15,20,41,57,7,11),(16,108,1,16,1,32,31,5,4),(16,108,1,16,2,9,8,2,3),(16,108,1,16,3,22,29,3,7),(16,108,1,16,4,7,29,2,7),(16,108,1,16,5,39,36,5,5),(16,108,1,16,6,8,22,1,3),(16,108,1,16,7,12,9,NULL,3),(16,108,1,16,8,16,33,1,8),(16,108,1,16,9,3,18,NULL,4),(16,108,1,16,10,30,32,4,6),(16,108,1,16,11,34,71,3,9),(16,108,1,16,12,16,22,3,6),(16,108,1,16,13,27,45,NULL,12),(16,108,1,16,14,14,51,NULL,8),(16,108,1,16,15,27,72,2,11),(16,108,1,16,16,2,40,NULL,4),(16,108,1,16,17,12,63,2,9),(16,108,1,16,18,31,36,2,8),(16,108,1,16,19,22,53,1,6),(16,108,1,16,20,6,51,1,7),(16,108,1,17,1,33,25,5,2),(16,108,1,17,2,3,6,NULL,3),(16,108,1,17,3,17,21,4,2),(16,108,1,17,4,2,23,NULL,7),(16,108,1,17,5,20,29,3,5),(16,108,1,17,6,4,17,NULL,3),(16,108,1,17,7,4,11,NULL,2),(16,108,1,17,8,14,27,4,4),(16,108,1,17,9,3,13,NULL,1),(16,108,1,17,10,34,20,5,2),(16,108,1,17,11,43,56,3,5),(16,108,1,17,12,6,16,1,2),(16,108,1,17,13,21,46,1,4),(16,108,1,17,14,12,42,2,3),(16,108,1,17,15,30,51,1,5),(16,108,1,17,16,NULL,31,NULL,3),(16,108,1,17,17,16,51,1,7),(16,108,1,17,18,40,27,4,4),(16,108,1,17,19,18,69,2,6),(16,108,1,17,20,6,47,NULL,6),(16,108,2,21,1,24,19,10,6),(16,108,2,21,2,28,41,12,6),(16,108,2,21,3,27,25,8,6),(16,108,2,21,4,61,9,20,NULL),(16,108,2,21,5,35,35,14,1),(16,108,2,21,6,18,29,7,7),(16,108,2,21,7,15,21,4,3),(16,108,2,21,8,8,19,3,2),(16,108,2,21,9,19,18,5,6),(16,108,2,21,10,23,36,7,9),(16,108,2,21,11,25,17,8,4),(16,108,2,21,12,20,24,4,7),(16,108,2,21,13,17,33,5,8),(16,108,2,21,14,49,37,12,8),(16,108,2,21,15,57,11,16,1),(16,108,2,21,16,19,27,5,9),(16,108,2,21,17,8,26,1,8),(16,108,2,21,18,17,11,6,5),(16,108,2,21,19,39,34,11,8),(16,108,2,21,20,28,31,6,4),(16,108,2,21,21,11,29,5,7),(16,108,2,21,22,12,23,3,10),(16,108,2,21,23,15,27,8,8),(16,108,2,21,24,15,37,2,9),(16,108,2,21,25,6,NULL,4,NULL),(16,108,2,21,26,137,NULL,21,NULL),(16,108,2,21,27,13,22,4,9),(16,108,2,21,28,6,9,2,2),(16,108,2,21,29,21,31,4,7),(16,108,2,21,30,15,9,6,3),(16,108,2,22,1,20,24,5,7),(16,108,2,22,2,26,58,8,6),(16,108,2,22,3,39,25,10,3),(16,108,2,22,4,67,13,15,3),(16,108,2,22,5,43,27,8,4),(16,108,2,22,6,26,37,6,7),(16,108,2,22,7,11,13,NULL,3),(16,108,2,22,8,4,15,2,5),(16,108,2,22,9,13,16,5,4),(16,108,2,22,10,20,31,10,3),(16,108,2,22,11,15,16,3,4),(16,108,2,22,12,26,25,5,5),(16,108,2,22,13,6,18,2,3),(16,108,2,22,14,46,50,9,8),(16,108,2,22,15,65,7,12,2),(16,108,2,22,16,17,27,4,8),(16,108,2,22,17,14,26,3,5),(16,108,2,22,18,15,23,4,6),(16,108,2,22,19,40,48,8,6),(16,108,2,22,20,21,28,7,6),(16,108,2,22,21,14,37,6,7),(16,108,2,22,22,25,27,8,6),(16,108,2,22,23,23,29,6,6),(16,108,2,22,24,24,35,5,8),(16,108,2,22,25,12,NULL,8,NULL),(16,108,2,22,26,142,NULL,18,NULL),(16,108,2,22,27,18,36,4,8),(16,108,2,22,28,5,21,1,5),(16,108,2,22,29,15,35,4,8),(16,108,2,22,30,23,20,14,4),(16,108,2,23,1,21,17,10,5),(16,108,2,23,2,31,42,11,6),(16,108,2,23,3,35,24,11,6),(16,108,2,23,4,57,20,15,3),(16,108,2,23,5,32,36,11,6),(16,108,2,23,6,19,40,5,9),(16,108,2,23,7,11,17,3,3),(16,108,2,23,8,10,19,3,3),(16,108,2,23,9,14,23,8,6),(16,108,2,23,10,20,33,7,8),(16,108,2,23,11,19,22,6,4),(16,108,2,23,12,43,25,10,4),(16,108,2,23,13,8,26,1,12),(16,108,2,23,14,41,39,10,11),(16,108,2,23,15,65,6,18,2),(16,108,2,23,16,15,33,3,9),(16,108,2,23,17,20,19,8,4),(16,108,2,23,18,12,14,1,5),(16,108,2,23,19,26,44,9,8),(16,108,2,23,20,31,25,12,4),(16,108,2,23,21,11,36,5,5),(16,108,2,23,22,15,21,7,6),(16,108,2,23,23,22,32,10,9),(16,108,2,23,24,16,47,5,11),(16,108,2,23,25,9,NULL,4,NULL),(16,108,2,23,26,135,NULL,21,NULL),(16,108,2,23,27,20,37,9,6),(16,108,2,23,28,3,14,1,5),(16,108,2,23,29,19,51,2,13),(16,108,2,23,30,23,18,10,4),(16,108,2,24,1,19,27,9,8),(16,108,2,24,2,27,42,10,5),(16,108,2,24,3,32,25,8,6),(16,108,2,24,4,53,18,15,1),(16,108,2,24,5,34,39,7,5),(16,108,2,24,6,16,29,5,5),(16,108,2,24,7,7,14,2,2),(16,108,2,24,8,11,16,NULL,3),(16,108,2,24,9,10,23,3,5),(16,108,2,24,10,26,31,9,4),(16,108,2,24,11,17,14,6,4),(16,108,2,24,12,29,16,5,5),(16,108,2,24,13,8,31,NULL,8),(16,108,2,24,14,43,36,9,7),(16,108,2,24,15,62,10,14,1),(16,108,2,24,16,21,32,7,8),(16,108,2,24,17,14,21,5,6),(16,108,2,24,18,13,20,4,6),(16,108,2,24,19,33,39,10,6),(16,108,2,24,20,25,21,3,6),(16,108,2,24,21,12,36,5,9),(16,108,2,24,22,14,27,6,6),(16,108,2,24,23,14,34,6,9),(16,108,2,24,24,15,34,2,6),(16,108,2,24,25,4,NULL,2,NULL),(16,108,2,24,26,132,NULL,20,NULL),(16,108,2,24,27,9,30,2,8),(16,108,2,24,28,3,11,1,4),(16,108,2,24,29,12,47,3,9),(16,108,2,24,30,18,15,9,4),(16,108,3,31,1,1,17,NULL,8),(16,108,3,31,2,8,12,2,2),(16,108,3,31,3,2,18,1,8),(16,108,3,31,4,9,17,5,4),(16,108,3,31,5,19,41,5,8),(16,108,3,31,6,75,25,14,6),(16,108,3,31,7,7,8,4,4),(16,108,3,31,8,2,12,1,5),(16,108,3,31,9,1,15,NULL,6),(16,108,3,31,10,2,12,NULL,3),(16,108,3,31,11,20,20,2,4),(16,108,3,31,12,21,51,4,11),(16,108,3,31,13,15,25,4,4),(16,108,3,31,14,24,41,10,7),(16,108,3,31,15,38,26,12,5),(16,108,3,31,16,18,39,4,8),(16,108,3,31,17,56,41,12,7),(16,108,3,31,18,19,13,4,1),(16,108,3,31,19,16,22,4,5),(16,108,3,31,20,58,NULL,15,NULL),(16,108,3,31,21,25,56,5,8),(16,108,3,31,22,2,14,NULL,1),(16,108,3,31,23,4,20,NULL,5),(16,108,3,31,24,13,15,6,6),(16,108,3,31,25,2,18,NULL,8),(16,108,3,31,26,3,8,1,4),(16,108,3,31,27,4,23,1,9),(16,108,3,31,28,29,31,10,8),(16,108,3,31,29,29,30,9,2),(16,108,3,31,30,1,10,NULL,2),(16,108,3,32,1,8,15,4,4),(16,108,3,32,2,6,11,2,5),(16,108,3,32,3,5,21,1,7),(16,108,3,32,4,8,16,3,6),(16,108,3,32,5,15,36,4,8),(16,108,3,32,6,73,20,16,5),(16,108,3,32,7,3,14,1,4),(16,108,3,32,8,NULL,12,NULL,4),(16,108,3,32,9,3,9,NULL,2),(16,108,3,32,10,1,11,1,NULL),(16,108,3,32,11,27,20,5,3),(16,108,3,32,12,19,34,6,11),(16,108,3,32,13,14,20,7,3),(16,108,3,32,14,24,48,7,9),(16,108,3,32,15,41,26,13,6),(16,108,3,32,16,25,45,4,9),(16,108,3,32,17,56,28,12,6),(16,108,3,32,18,19,12,5,1),(16,108,3,32,19,14,26,6,6),(16,108,3,32,20,75,NULL,18,NULL),(16,108,3,32,21,24,55,6,11),(16,108,3,32,22,3,16,1,9),(16,108,3,32,23,2,25,NULL,6),(16,108,3,32,24,16,19,6,7),(16,108,3,32,25,4,15,3,6),(16,108,3,32,26,5,11,1,5),(16,108,3,32,27,8,25,NULL,10),(16,108,3,32,28,28,23,12,4),(16,108,3,32,29,24,17,8,2),(16,108,3,32,30,NULL,13,NULL,3),(16,108,3,33,1,8,19,1,5),(16,108,3,33,2,8,16,3,5),(16,108,3,33,3,NULL,24,NULL,10),(16,108,3,33,4,7,21,3,5),(16,108,3,33,5,24,55,3,8),(16,108,3,33,6,80,35,12,5),(16,108,3,33,7,4,14,1,3),(16,108,3,33,8,2,10,NULL,2),(16,108,3,33,9,1,11,1,NULL),(16,108,3,33,10,3,16,1,1),(16,108,3,33,11,26,22,4,5),(16,108,3,33,12,20,33,7,6),(16,108,3,33,13,18,20,4,1),(16,108,3,33,14,27,44,7,4),(16,108,3,33,15,36,25,10,5),(16,108,3,33,16,17,41,6,9),(16,108,3,33,17,59,37,11,6),(16,108,3,33,18,25,13,5,2),(16,108,3,33,19,14,35,2,8),(16,108,3,33,20,88,NULL,11,NULL),(16,108,3,33,21,30,60,11,5),(16,108,3,33,22,2,23,NULL,4),(16,108,3,33,23,6,16,2,2),(16,108,3,33,24,14,20,10,3),(16,108,3,33,25,5,22,2,3),(16,108,3,33,26,NULL,11,NULL,3),(16,108,3,33,27,5,25,4,3),(16,108,3,33,28,35,45,14,2),(16,108,3,33,29,37,23,8,3),(16,108,3,33,30,3,13,1,3),(16,108,3,34,1,2,18,1,4),(16,108,3,34,2,2,16,NULL,5),(16,108,3,34,3,3,13,3,4),(16,108,3,34,4,7,15,3,5),(16,108,3,34,5,20,50,8,8),(16,108,3,34,6,75,29,15,5),(16,108,3,34,7,6,9,4,4),(16,108,3,34,8,2,13,NULL,4),(16,108,3,34,9,2,11,1,3),(16,108,3,34,10,5,14,1,NULL),(16,108,3,34,11,17,30,3,5),(16,108,3,34,12,23,29,10,7),(16,108,3,34,13,19,25,7,4),(16,108,3,34,14,27,41,8,5),(16,108,3,34,15,35,32,10,8),(16,108,3,34,16,14,44,5,8),(16,108,3,34,17,45,36,8,12),(16,108,3,34,18,23,13,5,2),(16,108,3,34,19,16,23,2,5),(16,108,3,34,20,69,NULL,18,NULL),(16,108,3,34,21,26,58,7,12),(16,108,3,34,22,3,12,1,4),(16,108,3,34,23,6,15,2,4),(16,108,3,34,24,17,13,6,5),(16,108,3,34,25,6,21,3,3),(16,108,3,34,26,1,8,1,3),(16,108,3,34,27,3,28,1,11),(16,108,3,34,28,32,26,14,2),(16,108,3,34,29,35,25,12,4),(16,108,3,34,30,1,18,NULL,7),(16,201,1,11,1,1,1,NULL,NULL),(16,201,1,11,2,1,NULL,NULL,NULL),(16,201,1,11,3,1,1,NULL,NULL),(16,201,1,11,4,NULL,NULL,NULL,NULL),(16,201,1,11,5,1,1,NULL,NULL),(16,201,1,11,6,1,NULL,NULL,NULL),(16,201,1,11,7,1,NULL,NULL,NULL),(16,201,1,11,8,1,1,NULL,NULL),(16,201,1,11,9,NULL,NULL,NULL,NULL),(16,201,1,11,10,1,1,NULL,NULL),(16,201,1,11,11,3,NULL,NULL,NULL),(16,201,1,11,12,1,NULL,NULL,NULL),(16,201,1,11,13,2,NULL,NULL,NULL),(16,201,1,11,14,1,NULL,NULL,NULL),(16,201,1,11,15,NULL,NULL,NULL,NULL),(16,201,1,11,16,3,NULL,NULL,NULL),(16,201,1,11,17,NULL,2,NULL,NULL),(16,201,1,11,18,1,NULL,NULL,NULL),(16,201,1,11,19,NULL,NULL,NULL,NULL),(16,201,1,11,20,NULL,NULL,NULL,NULL),(16,201,1,12,1,1,NULL,NULL,NULL),(16,201,1,12,2,NULL,NULL,NULL,NULL),(16,201,1,12,3,1,NULL,NULL,NULL),(16,201,1,12,4,NULL,NULL,NULL,NULL),(16,201,1,12,5,NULL,NULL,NULL,NULL),(16,201,1,12,6,NULL,NULL,NULL,NULL),(16,201,1,12,7,NULL,NULL,NULL,NULL),(16,201,1,12,8,NULL,NULL,NULL,NULL),(16,201,1,12,9,NULL,NULL,NULL,NULL),(16,201,1,12,10,NULL,NULL,NULL,NULL),(16,201,1,12,11,1,NULL,NULL,NULL),(16,201,1,12,12,1,NULL,NULL,NULL),(16,201,1,12,13,NULL,1,NULL,NULL),(16,201,1,12,14,1,NULL,NULL,NULL),(16,201,1,12,15,NULL,1,NULL,NULL),(16,201,1,12,16,NULL,NULL,NULL,NULL),(16,201,1,12,17,1,NULL,NULL,NULL),(16,201,1,12,18,1,NULL,NULL,NULL),(16,201,1,12,19,1,NULL,NULL,NULL),(16,201,1,12,20,1,NULL,NULL,NULL),(16,201,1,13,1,2,2,NULL,1),(16,201,1,13,2,1,1,NULL,1),(16,201,1,13,3,1,3,NULL,1),(16,201,1,13,4,1,NULL,1,NULL),(16,201,1,13,5,2,1,1,1),(16,201,1,13,6,NULL,NULL,NULL,NULL),(16,201,1,13,7,NULL,1,NULL,NULL),(16,201,1,13,8,NULL,2,NULL,NULL),(16,201,1,13,9,1,1,NULL,NULL),(16,201,1,13,10,4,NULL,2,NULL),(16,201,1,13,11,3,NULL,2,NULL),(16,201,1,13,12,2,NULL,1,NULL),(16,201,1,13,13,4,NULL,1,NULL),(16,201,1,13,14,3,NULL,1,NULL),(16,201,1,13,15,1,2,NULL,2),(16,201,1,13,16,2,NULL,1,NULL),(16,201,1,13,17,4,NULL,1,NULL),(16,201,1,13,18,5,NULL,2,NULL),(16,201,1,13,19,3,NULL,1,NULL),(16,201,1,13,20,5,NULL,2,NULL),(16,201,1,14,1,113,75,17,9),(16,201,1,14,2,20,30,3,5),(16,201,1,14,3,71,87,16,11),(16,201,1,14,4,16,50,1,20),(16,201,1,14,5,80,85,17,13),(16,201,1,14,6,32,57,4,9),(16,201,1,14,7,16,24,5,4),(16,201,1,14,8,58,63,15,9),(16,201,1,14,9,29,48,10,12),(16,201,1,14,10,99,65,18,11),(16,201,1,14,11,94,39,17,3),(16,201,1,14,12,62,42,12,7),(16,201,1,14,13,133,84,24,8),(16,201,1,14,14,41,51,11,11),(16,201,1,14,15,42,56,14,8),(16,201,1,14,16,119,40,24,5),(16,201,1,14,17,88,93,20,11),(16,201,1,14,18,48,40,16,6),(16,201,1,14,19,93,80,17,9),(16,201,1,14,20,57,135,9,21),(16,201,1,15,1,96,66,21,10),(16,201,1,15,2,14,23,NULL,8),(16,201,1,15,3,59,79,9,19),(16,201,1,15,4,21,51,3,18),(16,201,1,15,5,79,60,15,8),(16,201,1,15,6,34,63,9,16),(16,201,1,15,7,15,17,8,5),(16,201,1,15,8,44,50,11,11),(16,201,1,15,9,30,56,9,13),(16,201,1,15,10,98,48,15,11),(16,201,1,15,11,86,30,23,4),(16,201,1,15,12,64,32,19,4),(16,201,1,15,13,127,54,30,5),(16,201,1,15,14,40,48,13,9),(16,201,1,15,15,32,60,12,10),(16,201,1,15,16,112,29,27,5),(16,201,1,15,17,92,88,18,17),(16,201,1,15,18,43,31,13,11),(16,201,1,15,19,81,71,15,15),(16,201,1,15,20,57,121,14,21),(16,201,1,16,1,57,48,9,3),(16,201,1,16,2,7,13,1,3),(16,201,1,16,3,43,43,4,5),(16,201,1,16,4,4,30,NULL,4),(16,201,1,16,5,57,53,4,7),(16,201,1,16,6,17,24,2,4),(16,201,1,16,7,18,16,3,2),(16,201,1,16,8,33,31,10,1),(16,201,1,16,9,7,18,1,4),(16,201,1,16,10,46,28,7,2),(16,201,1,16,11,68,100,6,6),(16,201,1,16,12,11,19,3,1),(16,201,1,16,13,53,49,8,5),(16,201,1,16,14,26,79,1,5),(16,201,1,16,15,59,78,7,5),(16,201,1,16,16,7,70,1,6),(16,201,1,16,17,32,64,4,7),(16,201,1,16,18,54,36,6,5),(16,201,1,16,19,48,104,4,5),(16,201,1,16,20,11,84,1,9),(16,201,1,17,1,56,53,7,9),(16,201,1,17,2,12,15,2,5),(16,201,1,17,3,43,47,9,5),(16,201,1,17,4,7,22,NULL,6),(16,201,1,17,5,35,46,5,9),(16,201,1,17,6,9,37,2,6),(16,201,1,17,7,12,17,1,2),(16,201,1,17,8,41,29,9,6),(16,201,1,17,9,3,36,1,5),(16,201,1,17,10,38,43,5,6),(16,201,1,17,11,58,103,6,11),(16,201,1,17,12,8,12,1,5),(16,201,1,17,13,52,59,4,10),(16,201,1,17,14,18,72,NULL,8),(16,201,1,17,15,60,63,6,7),(16,201,1,17,16,8,50,NULL,6),(16,201,1,17,17,37,70,4,9),(16,201,1,17,18,59,43,5,8),(16,201,1,17,19,40,97,6,11),(16,201,1,17,20,20,69,5,8),(16,201,2,21,1,13,28,8,6),(16,201,2,21,2,27,87,12,8),(16,201,2,21,3,50,41,16,2),(16,201,2,21,4,93,32,19,5),(16,201,2,21,5,47,57,14,2),(16,201,2,21,6,32,52,6,14),(16,201,2,21,7,27,26,4,3),(16,201,2,21,8,23,31,1,NULL),(16,201,2,21,9,14,21,10,4),(16,201,2,21,10,30,57,7,10),(16,201,2,21,11,32,32,8,5),(16,201,2,21,12,46,41,9,8),(16,201,2,21,13,28,54,6,8),(16,201,2,21,14,88,69,14,10),(16,201,2,21,15,123,20,22,1),(16,201,2,21,16,49,56,12,10),(16,201,2,21,17,34,42,12,7),(16,201,2,21,18,17,39,15,3),(16,201,2,21,19,76,64,19,7),(16,201,2,21,20,51,37,8,6),(16,201,2,21,21,46,43,15,3),(16,201,2,21,22,43,57,14,5),(16,201,2,21,23,63,56,15,9),(16,201,2,21,24,32,85,6,12),(16,201,2,21,25,25,NULL,13,NULL),(16,201,2,21,26,243,NULL,27,NULL),(16,201,2,21,27,35,65,15,8),(16,201,2,21,28,1,33,1,4),(16,201,2,21,29,38,82,5,14),(16,201,2,21,30,48,32,16,1),(16,201,2,22,1,24,25,6,6),(16,201,2,22,2,36,103,15,9),(16,201,2,22,3,55,43,13,8),(16,201,2,22,4,116,33,22,2),(16,201,2,22,5,50,56,16,9),(16,201,2,22,6,34,64,9,11),(16,201,2,22,7,19,29,2,4),(16,201,2,22,8,23,34,7,NULL),(16,201,2,22,9,11,28,6,3),(16,201,2,22,10,33,61,9,11),(16,201,2,22,11,33,35,8,5),(16,201,2,22,12,64,53,15,7),(16,201,2,22,13,28,55,6,9),(16,201,2,22,14,79,90,16,11),(16,201,2,22,15,135,11,21,NULL),(16,201,2,22,16,52,55,11,9),(16,201,2,22,17,38,53,9,9),(16,201,2,22,18,33,38,9,10),(16,201,2,22,19,77,94,18,7),(16,201,2,22,20,42,39,14,8),(16,201,2,22,21,35,56,9,9),(16,201,2,22,22,48,54,9,12),(16,201,2,22,23,65,70,14,11),(16,201,2,22,24,48,79,3,11),(16,201,2,22,25,28,NULL,14,NULL),(16,201,2,22,26,256,NULL,29,NULL),(16,201,2,22,27,47,69,12,10),(16,201,2,22,28,15,37,2,7),(16,201,2,22,29,34,101,10,13),(16,201,2,22,30,49,35,7,4),(16,201,2,23,1,21,26,10,5),(16,201,2,23,2,34,99,9,10),(16,201,2,23,3,53,34,13,4),(16,201,2,23,4,109,39,17,5),(16,201,2,23,5,52,60,17,3),(16,201,2,23,6,34,60,8,8),(16,201,2,23,7,26,17,4,2),(16,201,2,23,8,16,22,4,3),(16,201,2,23,9,9,25,3,3),(16,201,2,23,10,38,58,10,8),(16,201,2,23,11,32,25,6,4),(16,201,2,23,12,59,34,8,8),(16,201,2,23,13,19,57,6,9),(16,201,2,23,14,91,61,15,10),(16,201,2,23,15,136,14,23,NULL),(16,201,2,23,16,43,57,5,17),(16,201,2,23,17,30,47,7,8),(16,201,2,23,18,26,41,5,11),(16,201,2,23,19,74,81,10,14),(16,201,2,23,20,44,40,9,3),(16,201,2,23,21,35,58,9,7),(16,201,2,23,22,43,51,12,7),(16,201,2,23,23,55,55,13,9),(16,201,2,23,24,35,87,6,9),(16,201,2,23,25,22,NULL,8,NULL),(16,201,2,23,26,248,NULL,26,NULL),(16,201,2,23,27,36,68,11,10),(16,201,2,23,28,9,41,1,7),(16,201,2,23,29,38,90,5,11),(16,201,2,23,30,51,38,14,1),(16,201,2,24,1,22,31,11,4),(16,201,2,24,2,41,88,15,8),(16,201,2,24,3,53,40,9,8),(16,201,2,24,4,107,41,25,2),(16,201,2,24,5,44,63,14,8),(16,201,2,24,6,31,63,9,13),(16,201,2,24,7,20,22,5,NULL),(16,201,2,24,8,27,42,1,4),(16,201,2,24,9,16,28,3,5),(16,201,2,24,10,31,70,8,10),(16,201,2,24,11,34,35,10,4),(16,201,2,24,12,54,49,9,10),(16,201,2,24,13,17,43,5,2),(16,201,2,24,14,94,72,17,10),(16,201,2,24,15,136,11,19,NULL),(16,201,2,24,16,46,56,11,9),(16,201,2,24,17,23,35,8,9),(16,201,2,24,18,25,28,7,4),(16,201,2,24,19,74,89,11,14),(16,201,2,24,20,55,35,14,4),(16,201,2,24,21,38,48,9,6),(16,201,2,24,22,40,60,11,9),(16,201,2,24,23,56,72,15,8),(16,201,2,24,24,29,86,4,9),(16,201,2,24,25,22,NULL,13,NULL),(16,201,2,24,26,250,NULL,28,NULL),(16,201,2,24,27,35,55,18,5),(16,201,2,24,28,15,27,3,5),(16,201,2,24,29,36,101,10,6),(16,201,2,24,30,56,31,15,2),(16,201,3,31,1,8,30,5,4),(16,201,3,31,2,16,21,5,5),(16,201,3,31,3,3,41,2,9),(16,201,3,31,4,13,37,10,6),(16,201,3,31,5,38,80,10,9),(16,201,3,31,6,153,45,24,4),(16,201,3,31,7,12,31,4,11),(16,201,3,31,8,2,30,2,4),(16,201,3,31,9,2,20,2,2),(16,201,3,31,10,1,13,1,NULL),(16,201,3,31,11,58,34,9,5),(16,201,3,31,12,55,67,10,12),(16,201,3,31,13,49,46,11,5),(16,201,3,31,14,58,67,16,6),(16,201,3,31,15,57,41,15,6),(16,201,3,31,16,42,74,8,11),(16,201,3,31,17,117,59,22,5),(16,201,3,31,18,33,26,6,1),(16,201,3,31,19,33,51,6,9),(16,201,3,31,20,123,NULL,25,NULL),(16,201,3,31,21,62,84,16,9),(16,201,3,31,22,13,36,6,5),(16,201,3,31,23,15,43,3,7),(16,201,3,31,24,29,39,9,8),(16,201,3,31,25,12,43,4,10),(16,201,3,31,26,2,26,1,6),(16,201,3,31,27,11,37,1,9),(16,201,3,31,28,58,49,20,7),(16,201,3,31,29,53,44,13,3),(16,201,3,31,30,6,27,2,8),(16,201,3,32,1,5,36,4,2),(16,201,3,32,2,17,33,1,9),(16,201,3,32,3,2,40,1,6),(16,201,3,32,4,19,31,8,6),(16,201,3,32,5,46,87,7,11),(16,201,3,32,6,158,34,21,3),(16,201,3,32,7,10,30,3,9),(16,201,3,32,8,6,21,NULL,3),(16,201,3,32,9,2,23,2,2),(16,201,3,32,10,7,15,1,2),(16,201,3,32,11,51,31,7,2),(16,201,3,32,12,39,67,8,8),(16,201,3,32,13,39,31,9,7),(16,201,3,32,14,63,76,7,10),(16,201,3,32,15,59,51,10,8),(16,201,3,32,16,55,69,6,8),(16,201,3,32,17,104,66,13,8),(16,201,3,32,18,51,25,6,1),(16,201,3,32,19,32,59,5,7),(16,201,3,32,20,122,NULL,21,NULL),(16,201,3,32,21,59,106,11,12),(16,201,3,32,22,7,38,3,7),(16,201,3,32,23,11,46,NULL,7),(16,201,3,32,24,40,32,13,3),(16,201,3,32,25,8,41,NULL,6),(16,201,3,32,26,5,20,2,8),(16,201,3,32,27,11,29,2,7),(16,201,3,32,28,60,50,14,7),(16,201,3,32,29,53,38,14,3),(16,201,3,32,30,4,20,NULL,8),(16,201,3,33,1,13,30,2,4),(16,201,3,33,2,11,26,2,6),(16,201,3,33,3,8,46,3,9),(16,201,3,33,4,16,42,8,10),(16,201,3,33,5,48,85,11,8),(16,201,3,33,6,155,47,16,7),(16,201,3,33,7,13,23,3,4),(16,201,3,33,8,7,20,1,2),(16,201,3,33,9,8,28,4,7),(16,201,3,33,10,5,16,2,1),(16,201,3,33,11,51,30,4,5),(16,201,3,33,12,53,72,13,12),(16,201,3,33,13,40,47,11,7),(16,201,3,33,14,58,73,16,5),(16,201,3,33,15,51,57,18,7),(16,201,3,33,16,41,74,9,9),(16,201,3,33,17,102,67,18,8),(16,201,3,33,18,53,19,8,2),(16,201,3,33,19,33,59,6,10),(16,201,3,33,20,128,NULL,23,NULL),(16,201,3,33,21,69,94,16,6),(16,201,3,33,22,7,34,2,9),(16,201,3,33,23,10,36,3,2),(16,201,3,33,24,40,38,18,5),(16,201,3,33,25,6,29,4,7),(16,201,3,33,26,6,23,3,6),(16,201,3,33,27,10,45,1,7),(16,201,3,33,28,55,56,15,8),(16,201,3,33,29,64,49,14,2),(16,201,3,33,30,3,26,1,10),(16,201,3,34,1,10,34,2,10),(16,201,3,34,2,19,23,5,2),(16,201,3,34,3,7,38,2,9),(16,201,3,34,4,14,18,11,2),(16,201,3,34,5,50,73,9,9),(16,201,3,34,6,153,42,21,5),(16,201,3,34,7,13,25,5,9),(16,201,3,34,8,11,31,4,7),(16,201,3,34,9,8,24,7,5),(16,201,3,34,10,9,14,2,1),(16,201,3,34,11,39,26,2,1),(16,201,3,34,12,39,60,11,9),(16,201,3,34,13,34,47,9,3),(16,201,3,34,14,57,69,10,8),(16,201,3,34,15,55,46,16,8),(16,201,3,34,16,39,77,11,10),(16,201,3,34,17,78,57,17,7),(16,201,3,34,18,39,18,7,2),(16,201,3,34,19,32,43,7,8),(16,201,3,34,20,116,NULL,24,NULL),(16,201,3,34,21,57,86,15,5),(16,201,3,34,22,5,38,5,9),(16,201,3,34,23,10,44,2,3),(16,201,3,34,24,27,33,11,7),(16,201,3,34,25,12,32,4,7),(16,201,3,34,26,11,21,6,5),(16,201,3,34,27,11,40,2,11),(16,201,3,34,28,58,48,21,2),(16,201,3,34,29,59,33,15,2),(16,201,3,34,30,5,32,1,8),(16,202,1,11,1,2,NULL,NULL,NULL),(16,202,1,11,2,1,NULL,NULL,NULL),(16,202,1,11,3,NULL,2,NULL,NULL),(16,202,1,11,4,NULL,NULL,NULL,NULL),(16,202,1,11,5,1,NULL,NULL,NULL),(16,202,1,11,6,NULL,NULL,NULL,NULL),(16,202,1,11,7,1,NULL,NULL,NULL),(16,202,1,11,8,NULL,NULL,NULL,NULL),(16,202,1,11,9,NULL,NULL,NULL,NULL),(16,202,1,11,10,2,NULL,NULL,NULL),(16,202,1,11,11,2,NULL,NULL,NULL),(16,202,1,11,12,3,NULL,NULL,NULL),(16,202,1,11,13,NULL,2,NULL,NULL),(16,202,1,11,14,1,NULL,NULL,NULL),(16,202,1,11,15,1,1,NULL,NULL),(16,202,1,11,16,2,NULL,NULL,NULL),(16,202,1,11,17,1,NULL,NULL,NULL),(16,202,1,11,18,1,NULL,NULL,NULL),(16,202,1,11,19,2,NULL,NULL,NULL),(16,202,1,11,20,1,NULL,NULL,NULL),(16,202,1,12,1,NULL,2,NULL,NULL),(16,202,1,12,2,NULL,1,NULL,NULL),(16,202,1,12,3,NULL,NULL,NULL,NULL),(16,202,1,12,4,NULL,1,NULL,NULL),(16,202,1,12,5,NULL,2,NULL,NULL),(16,202,1,12,6,NULL,NULL,NULL,NULL),(16,202,1,12,7,NULL,1,NULL,NULL),(16,202,1,12,8,NULL,2,NULL,NULL),(16,202,1,12,9,NULL,NULL,NULL,NULL),(16,202,1,12,10,1,1,NULL,NULL),(16,202,1,12,11,1,1,NULL,NULL),(16,202,1,12,12,2,NULL,NULL,NULL),(16,202,1,12,13,2,NULL,NULL,NULL),(16,202,1,12,14,2,NULL,NULL,NULL),(16,202,1,12,15,2,NULL,NULL,NULL),(16,202,1,12,16,2,NULL,NULL,NULL),(16,202,1,12,17,2,NULL,NULL,NULL),(16,202,1,12,18,1,1,NULL,NULL),(16,202,1,12,19,1,1,NULL,NULL),(16,202,1,12,20,1,1,NULL,NULL),(16,202,1,13,1,NULL,NULL,NULL,NULL),(16,202,1,13,2,NULL,NULL,NULL,NULL),(16,202,1,13,3,NULL,NULL,NULL,NULL),(16,202,1,13,4,NULL,NULL,NULL,NULL),(16,202,1,13,5,NULL,NULL,NULL,NULL),(16,202,1,13,6,NULL,NULL,NULL,NULL),(16,202,1,13,7,NULL,NULL,NULL,NULL),(16,202,1,13,8,NULL,NULL,NULL,NULL),(16,202,1,13,9,NULL,NULL,NULL,NULL),(16,202,1,13,10,NULL,NULL,NULL,NULL),(16,202,1,13,11,NULL,NULL,NULL,NULL),(16,202,1,13,12,NULL,NULL,NULL,NULL),(16,202,1,13,13,NULL,NULL,NULL,NULL),(16,202,1,13,14,1,NULL,NULL,NULL),(16,202,1,13,15,NULL,NULL,NULL,NULL),(16,202,1,13,16,NULL,NULL,NULL,NULL),(16,202,1,13,17,NULL,NULL,NULL,NULL),(16,202,1,13,18,NULL,1,NULL,NULL),(16,202,1,13,19,NULL,NULL,NULL,NULL),(16,202,1,13,20,NULL,NULL,NULL,NULL),(16,202,1,14,1,47,45,15,13),(16,202,1,14,2,11,19,3,12),(16,202,1,14,3,28,40,13,17),(16,202,1,14,4,4,24,2,14),(16,202,1,14,5,35,36,11,15),(16,202,1,14,6,15,28,7,13),(16,202,1,14,7,6,5,8,1),(16,202,1,14,8,25,27,9,13),(16,202,1,14,9,9,30,6,11),(16,202,1,14,10,44,25,15,11),(16,202,1,14,11,41,24,18,6),(16,202,1,14,12,31,26,15,11),(16,202,1,14,13,59,40,18,19),(16,202,1,14,14,24,20,14,12),(16,202,1,14,15,16,30,9,13),(16,202,1,14,16,56,21,25,6),(16,202,1,14,17,42,46,17,16),(16,202,1,14,18,20,24,11,17),(16,202,1,14,19,41,42,20,15),(16,202,1,14,20,35,58,12,24),(16,202,1,15,1,53,44,15,10),(16,202,1,15,2,13,15,6,7),(16,202,1,15,3,28,44,11,14),(16,202,1,15,4,9,23,3,17),(16,202,1,15,5,21,31,10,14),(16,202,1,15,6,13,42,5,13),(16,202,1,15,7,11,9,6,4),(16,202,1,15,8,35,27,13,11),(16,202,1,15,9,9,28,5,12),(16,202,1,15,10,45,24,19,10),(16,202,1,15,11,40,20,17,6),(16,202,1,15,12,30,22,19,5),(16,202,1,15,13,65,30,24,6),(16,202,1,15,14,21,29,12,9),(16,202,1,15,15,15,23,13,10),(16,202,1,15,16,61,24,23,7),(16,202,1,15,17,44,38,19,12),(16,202,1,15,18,17,26,9,9),(16,202,1,15,19,36,45,15,10),(16,202,1,15,20,27,58,13,17),(16,202,1,16,1,24,21,6,2),(16,202,1,16,2,5,7,2,3),(16,202,1,16,3,14,17,5,3),(16,202,1,16,4,5,6,NULL,NULL),(16,202,1,16,5,22,21,5,3),(16,202,1,16,6,6,14,2,4),(16,202,1,16,7,3,5,NULL,1),(16,202,1,16,8,7,16,2,3),(16,202,1,16,9,3,12,1,5),(16,202,1,16,10,19,10,2,2),(16,202,1,16,11,27,38,2,6),(16,202,1,16,12,5,7,1,NULL),(16,202,1,16,13,20,26,3,5),(16,202,1,16,14,10,33,1,5),(16,202,1,16,15,29,29,3,2),(16,202,1,16,16,6,29,1,4),(16,202,1,16,17,10,26,4,5),(16,202,1,16,18,10,20,3,6),(16,202,1,16,19,18,36,6,4),(16,202,1,16,20,7,22,2,4),(16,202,1,17,1,14,23,4,4),(16,202,1,17,2,2,9,NULL,1),(16,202,1,17,3,18,26,6,6),(16,202,1,17,4,NULL,9,NULL,6),(16,202,1,17,5,14,13,6,3),(16,202,1,17,6,3,14,1,4),(16,202,1,17,7,4,12,1,3),(16,202,1,17,8,9,16,4,2),(16,202,1,17,9,3,8,NULL,3),(16,202,1,17,10,24,19,5,8),(16,202,1,17,11,28,41,4,9),(16,202,1,17,12,5,5,2,1),(16,202,1,17,13,18,34,4,7),(16,202,1,17,14,7,31,1,6),(16,202,1,17,15,29,31,4,9),(16,202,1,17,16,3,25,1,1),(16,202,1,17,17,13,31,2,10),(16,202,1,17,18,21,19,4,6),(16,202,1,17,19,11,48,2,7),(16,202,1,17,20,7,29,3,5),(16,202,2,21,1,11,14,8,4),(16,202,2,21,2,15,49,15,6),(16,202,2,21,3,25,17,16,2),(16,202,2,21,4,51,17,18,2),(16,202,2,21,5,18,25,9,6),(16,202,2,21,6,15,21,8,7),(16,202,2,21,7,7,10,3,3),(16,202,2,21,8,9,15,2,5),(16,202,2,21,9,7,9,4,2),(16,202,2,21,10,10,29,3,10),(16,202,2,21,11,18,12,7,5),(16,202,2,21,12,17,26,6,7),(16,202,2,21,13,12,28,5,6),(16,202,2,21,14,38,35,11,11),(16,202,2,21,15,48,8,18,1),(16,202,2,21,16,20,28,9,7),(16,202,2,21,17,14,20,8,7),(16,202,2,21,18,15,15,7,2),(16,202,2,21,19,39,41,13,9),(16,202,2,21,20,37,16,11,6),(16,202,2,21,21,17,27,10,8),(16,202,2,21,22,27,24,14,6),(16,202,2,21,23,29,29,12,10),(16,202,2,21,24,21,39,5,8),(16,202,2,21,25,14,NULL,10,NULL),(16,202,2,21,26,115,NULL,24,NULL),(16,202,2,21,27,21,33,11,8),(16,202,2,21,28,5,8,1,1),(16,202,2,21,29,15,46,6,15),(16,202,2,21,30,25,10,8,1),(16,202,2,22,1,11,17,10,5),(16,202,2,22,2,13,46,8,13),(16,202,2,22,3,23,19,9,5),(16,202,2,22,4,41,31,20,3),(16,202,2,22,5,19,26,14,7),(16,202,2,22,6,23,22,8,8),(16,202,2,22,7,6,12,5,3),(16,202,2,22,8,9,17,5,2),(16,202,2,22,9,6,10,7,4),(16,202,2,22,10,13,29,8,7),(16,202,2,22,11,19,19,7,4),(16,202,2,22,12,17,36,4,11),(16,202,2,22,13,13,23,7,9),(16,202,2,22,14,36,48,12,11),(16,202,2,22,15,63,2,23,1),(16,202,2,22,16,25,33,6,12),(16,202,2,22,17,17,25,8,8),(16,202,2,22,18,12,17,7,8),(16,202,2,22,19,42,42,13,12),(16,202,2,22,20,27,22,8,7),(16,202,2,22,21,15,30,8,8),(16,202,2,22,22,24,31,13,5),(16,202,2,22,23,33,28,12,4),(16,202,2,22,24,14,37,6,13),(16,202,2,22,25,13,NULL,8,NULL),(16,202,2,22,26,120,NULL,27,NULL),(16,202,2,22,27,21,36,12,7),(16,202,2,22,28,2,21,1,7),(16,202,2,22,29,19,46,6,15),(16,202,2,22,30,20,15,12,4),(16,202,2,23,1,16,13,11,4),(16,202,2,23,2,16,44,11,6),(16,202,2,23,3,26,14,10,5),(16,202,2,23,4,59,11,17,4),(16,202,2,23,5,28,31,11,8),(16,202,2,23,6,17,28,9,7),(16,202,2,23,7,12,12,3,2),(16,202,2,23,8,8,13,NULL,4),(16,202,2,23,9,8,13,3,4),(16,202,2,23,10,13,26,2,10),(16,202,2,23,11,15,18,6,7),(16,202,2,23,12,30,18,8,8),(16,202,2,23,13,12,26,5,9),(16,202,2,23,14,47,36,19,8),(16,202,2,23,15,60,6,20,2),(16,202,2,23,16,32,21,11,11),(16,202,2,23,17,11,20,8,9),(16,202,2,23,18,11,17,5,7),(16,202,2,23,19,44,42,13,11),(16,202,2,23,20,23,22,8,8),(16,202,2,23,21,16,28,7,12),(16,202,2,23,22,22,34,10,6),(16,202,2,23,23,27,35,11,9),(16,202,2,23,24,18,43,2,16),(16,202,2,23,25,9,NULL,7,NULL),(16,202,2,23,26,126,NULL,28,NULL),(16,202,2,23,27,18,36,13,8),(16,202,2,23,28,4,17,1,7),(16,202,2,23,29,24,46,8,15),(16,202,2,23,30,18,11,7,5),(16,202,2,24,1,4,16,6,5),(16,202,2,24,2,10,39,8,9),(16,202,2,24,3,19,18,10,5),(16,202,2,24,4,45,16,17,2),(16,202,2,24,5,17,25,5,6),(16,202,2,24,6,16,22,3,8),(16,202,2,24,7,9,10,1,3),(16,202,2,24,8,12,12,3,6),(16,202,2,24,9,3,5,3,3),(16,202,2,24,10,8,17,4,9),(16,202,2,24,11,9,16,6,4),(16,202,2,24,12,25,14,4,7),(16,202,2,24,13,8,19,7,4),(16,202,2,24,14,38,36,11,8),(16,202,2,24,15,47,5,15,NULL),(16,202,2,24,16,15,23,2,9),(16,202,2,24,17,18,18,8,8),(16,202,2,24,18,14,13,4,7),(16,202,2,24,19,42,32,10,8),(16,202,2,24,20,29,13,8,4),(16,202,2,24,21,12,27,7,5),(16,202,2,24,22,18,26,8,8),(16,202,2,24,23,24,27,8,8),(16,202,2,24,24,17,28,2,7),(16,202,2,24,25,7,NULL,5,NULL),(16,202,2,24,26,110,NULL,21,NULL),(16,202,2,24,27,12,26,10,6),(16,202,2,24,28,5,21,1,5),(16,202,2,24,29,18,42,3,12),(16,202,2,24,30,19,11,10,1),(16,202,3,31,1,5,17,2,6),(16,202,3,31,2,10,8,5,2),(16,202,3,31,3,5,16,3,4),(16,202,3,31,4,6,20,6,3),(16,202,3,31,5,16,38,7,5),(16,202,3,31,6,66,23,11,9),(16,202,3,31,7,4,16,2,9),(16,202,3,31,8,2,10,2,1),(16,202,3,31,9,3,7,2,3),(16,202,3,31,10,3,10,NULL,1),(16,202,3,31,11,15,12,3,5),(16,202,3,31,12,24,30,7,9),(16,202,3,31,13,18,14,7,8),(16,202,3,31,14,22,39,4,8),(16,202,3,31,15,26,22,11,5),(16,202,3,31,16,13,31,9,8),(16,202,3,31,17,46,27,14,6),(16,202,3,31,18,11,10,3,1),(16,202,3,31,19,11,15,3,6),(16,202,3,31,20,45,NULL,15,NULL),(16,202,3,31,21,18,40,8,6),(16,202,3,31,22,4,12,2,7),(16,202,3,31,23,4,22,3,3),(16,202,3,31,24,10,14,6,4),(16,202,3,31,25,6,11,4,9),(16,202,3,31,26,3,5,3,6),(16,202,3,31,27,7,13,NULL,7),(16,202,3,31,28,16,21,11,6),(16,202,3,31,29,16,22,14,1),(16,202,3,31,30,4,13,2,3),(16,202,3,32,1,4,14,1,5),(16,202,3,32,2,9,16,4,4),(16,202,3,32,3,3,29,1,16),(16,202,3,32,4,13,18,10,4),(16,202,3,32,5,19,48,7,6),(16,202,3,32,6,88,15,24,4),(16,202,3,32,7,12,18,7,5),(16,202,3,32,8,5,16,2,3),(16,202,3,32,9,2,13,3,4),(16,202,3,32,10,3,9,NULL,2),(16,202,3,32,11,22,20,3,6),(16,202,3,32,12,24,34,8,6),(16,202,3,32,13,27,16,5,5),(16,202,3,32,14,33,45,13,10),(16,202,3,32,15,37,25,16,10),(16,202,3,32,16,25,35,7,12),(16,202,3,32,17,59,20,13,10),(16,202,3,32,18,20,7,5,4),(16,202,3,32,19,20,26,3,9),(16,202,3,32,20,55,NULL,22,NULL),(16,202,3,32,21,37,46,14,7),(16,202,3,32,22,6,17,4,5),(16,202,3,32,23,4,19,1,6),(16,202,3,32,24,16,16,7,6),(16,202,3,32,25,3,22,3,3),(16,202,3,32,26,3,12,4,4),(16,202,3,32,27,6,21,NULL,9),(16,202,3,32,28,28,29,14,5),(16,202,3,32,29,27,23,10,4),(16,202,3,32,30,1,14,1,5),(16,202,3,33,1,2,12,1,3),(16,202,3,33,2,4,15,1,2),(16,202,3,33,3,2,27,3,11),(16,202,3,33,4,10,28,9,10),(16,202,3,33,5,27,42,11,7),(16,202,3,33,6,71,28,22,3),(16,202,3,33,7,5,17,2,6),(16,202,3,33,8,3,15,NULL,4),(16,202,3,33,9,3,15,4,5),(16,202,3,33,10,6,11,3,2),(16,202,3,33,11,29,21,9,4),(16,202,3,33,12,24,33,11,10),(16,202,3,33,13,23,9,13,3),(16,202,3,33,14,25,38,15,9),(16,202,3,33,15,31,22,14,6),(16,202,3,33,16,16,38,7,14),(16,202,3,33,17,40,43,10,12),(16,202,3,33,18,17,12,6,1),(16,202,3,33,19,15,18,5,10),(16,202,3,33,20,71,NULL,23,NULL),(16,202,3,33,21,24,45,10,9),(16,202,3,33,22,5,13,3,5),(16,202,3,33,23,7,21,4,9),(16,202,3,33,24,12,15,11,4),(16,202,3,33,25,3,12,3,7),(16,202,3,33,26,5,10,3,7),(16,202,3,33,27,3,16,2,5),(16,202,3,33,28,25,26,14,5),(16,202,3,33,29,31,25,14,4),(16,202,3,33,30,2,12,1,7),(16,202,3,34,1,6,16,2,7),(16,202,3,34,2,9,14,6,2),(16,202,3,34,3,3,18,3,7),(16,202,3,34,4,8,22,6,8),(16,202,3,34,5,21,38,9,9),(16,202,3,34,6,68,24,19,3),(16,202,3,34,7,7,25,3,9),(16,202,3,34,8,4,16,2,6),(16,202,3,34,9,2,18,1,10),(16,202,3,34,10,2,9,NULL,2),(16,202,3,34,11,23,15,5,3),(16,202,3,34,12,17,38,11,11),(16,202,3,34,13,12,27,11,4),(16,202,3,34,14,17,43,10,10),(16,202,3,34,15,24,27,10,6),(16,202,3,34,16,17,34,8,12),(16,202,3,34,17,47,24,19,2),(16,202,3,34,18,28,11,5,1),(16,202,3,34,19,14,25,1,6),(16,202,3,34,20,65,NULL,24,NULL),(16,202,3,34,21,25,47,13,7),(16,202,3,34,22,7,16,3,6),(16,202,3,34,23,7,25,3,6),(16,202,3,34,24,19,18,9,7),(16,202,3,34,25,2,20,2,11),(16,202,3,34,26,4,4,3,5),(16,202,3,34,27,2,18,1,9),(16,202,3,34,28,30,28,14,6),(16,202,3,34,29,29,15,7,3),(16,202,3,34,30,2,13,2,10),(16,203,1,11,1,2,2,NULL,NULL),(16,203,1,11,2,NULL,3,NULL,NULL),(16,203,1,11,3,3,NULL,NULL,NULL),(16,203,1,11,4,NULL,1,NULL,NULL),(16,203,1,11,5,2,1,NULL,NULL),(16,203,1,11,6,NULL,1,NULL,NULL),(16,203,1,11,7,NULL,1,NULL,NULL),(16,203,1,11,8,1,2,NULL,NULL),(16,203,1,11,9,1,1,NULL,NULL),(16,203,1,11,10,1,2,NULL,NULL),(16,203,1,11,11,4,2,NULL,NULL),(16,203,1,11,12,3,3,NULL,NULL),(16,203,1,11,13,2,3,NULL,NULL),(16,203,1,11,14,4,2,NULL,NULL),(16,203,1,11,15,3,2,NULL,NULL),(16,203,1,11,16,4,1,NULL,NULL),(16,203,1,11,17,NULL,2,NULL,NULL),(16,203,1,11,18,2,2,NULL,NULL),(16,203,1,11,19,6,NULL,NULL,NULL),(16,203,1,11,20,6,NULL,NULL,NULL),(16,203,1,12,1,NULL,NULL,NULL,NULL),(16,203,1,12,2,NULL,NULL,NULL,NULL),(16,203,1,12,3,NULL,NULL,NULL,NULL),(16,203,1,12,4,NULL,NULL,NULL,NULL),(16,203,1,12,5,NULL,NULL,NULL,NULL),(16,203,1,12,6,NULL,NULL,NULL,NULL),(16,203,1,12,7,NULL,NULL,NULL,NULL),(16,203,1,12,8,NULL,NULL,NULL,NULL),(16,203,1,12,9,NULL,1,NULL,NULL),(16,203,1,12,10,NULL,NULL,NULL,NULL),(16,203,1,12,11,2,NULL,NULL,NULL),(16,203,1,12,12,2,NULL,NULL,NULL),(16,203,1,12,13,NULL,1,NULL,NULL),(16,203,1,12,14,1,NULL,NULL,NULL),(16,203,1,12,15,2,NULL,NULL,NULL),(16,203,1,12,16,2,NULL,NULL,NULL),(16,203,1,12,17,2,NULL,NULL,NULL),(16,203,1,12,18,2,NULL,NULL,NULL),(16,203,1,12,19,1,1,NULL,NULL),(16,203,1,12,20,2,NULL,NULL,NULL),(16,203,1,13,1,NULL,1,NULL,1),(16,203,1,13,2,NULL,NULL,NULL,NULL),(16,203,1,13,3,NULL,NULL,NULL,NULL),(16,203,1,13,4,NULL,NULL,NULL,NULL),(16,203,1,13,5,NULL,NULL,NULL,NULL),(16,203,1,13,6,NULL,NULL,NULL,NULL),(16,203,1,13,7,NULL,NULL,NULL,NULL),(16,203,1,13,8,NULL,NULL,NULL,NULL),(16,203,1,13,9,NULL,NULL,NULL,NULL),(16,203,1,13,10,NULL,NULL,NULL,NULL),(16,203,1,13,11,1,NULL,1,NULL),(16,203,1,13,12,NULL,NULL,NULL,NULL),(16,203,1,13,13,NULL,1,NULL,1),(16,203,1,13,14,1,NULL,1,NULL),(16,203,1,13,15,NULL,NULL,NULL,NULL),(16,203,1,13,16,1,NULL,1,NULL),(16,203,1,13,17,NULL,NULL,NULL,NULL),(16,203,1,13,18,1,NULL,1,NULL),(16,203,1,13,19,NULL,1,NULL,1),(16,203,1,13,20,1,NULL,1,NULL),(16,203,1,14,1,120,114,22,15),(16,203,1,14,2,30,48,10,8),(16,203,1,14,3,93,114,13,15),(16,203,1,14,4,12,101,2,29),(16,203,1,14,5,124,95,21,12),(16,203,1,14,6,43,104,9,15),(16,203,1,14,7,39,31,7,6),(16,203,1,14,8,75,87,18,13),(16,203,1,14,9,42,69,9,11),(16,203,1,14,10,141,64,27,6),(16,203,1,14,11,145,39,23,7),(16,203,1,14,12,106,67,22,9),(16,203,1,14,13,175,89,31,7),(16,203,1,14,14,81,72,14,14),(16,203,1,14,15,74,88,10,15),(16,203,1,14,16,186,48,31,7),(16,203,1,14,17,146,124,20,18),(16,203,1,14,18,86,67,14,10),(16,203,1,14,19,139,106,15,17),(16,203,1,14,20,84,166,9,29),(16,203,1,15,1,144,90,25,13),(16,203,1,15,2,32,47,10,18),(16,203,1,15,3,97,118,17,19),(16,203,1,15,4,12,82,1,25),(16,203,1,15,5,84,87,23,17),(16,203,1,15,6,50,85,14,20),(16,203,1,15,7,39,35,12,8),(16,203,1,15,8,83,87,24,19),(16,203,1,15,9,45,78,10,14),(16,203,1,15,10,133,57,32,7),(16,203,1,15,11,144,37,29,5),(16,203,1,15,12,118,60,25,10),(16,203,1,15,13,206,65,31,9),(16,203,1,15,14,90,70,22,12),(16,203,1,15,15,75,85,12,19),(16,203,1,15,16,197,35,34,6),(16,203,1,15,17,154,124,27,20),(16,203,1,15,18,77,54,18,11),(16,203,1,15,19,128,102,20,18),(16,203,1,15,20,91,169,16,28),(16,203,1,16,1,38,25,3,2),(16,203,1,16,2,6,12,3,2),(16,203,1,16,3,19,37,1,4),(16,203,1,16,4,8,16,3,4),(16,203,1,16,5,26,39,4,4),(16,203,1,16,6,9,20,NULL,2),(16,203,1,16,7,9,14,NULL,3),(16,203,1,16,8,20,27,3,5),(16,203,1,16,9,8,12,2,2),(16,203,1,16,10,35,23,6,4),(16,203,1,16,11,35,66,3,4),(16,203,1,16,12,6,17,1,2),(16,203,1,16,13,30,43,4,3),(16,203,1,16,14,12,45,1,4),(16,203,1,16,15,39,47,4,4),(16,203,1,16,16,3,36,NULL,3),(16,203,1,16,17,27,48,3,6),(16,203,1,16,18,33,27,4,3),(16,203,1,16,19,36,51,4,6),(16,203,1,16,20,10,46,NULL,4),(16,203,1,17,1,34,40,5,3),(16,203,1,17,2,7,11,1,3),(16,203,1,17,3,19,31,2,6),(16,203,1,17,4,1,20,NULL,4),(16,203,1,17,5,15,34,2,2),(16,203,1,17,6,7,17,2,2),(16,203,1,17,7,6,10,1,3),(16,203,1,17,8,22,21,3,4),(16,203,1,17,9,5,15,1,3),(16,203,1,17,10,32,23,7,2),(16,203,1,17,11,46,55,3,6),(16,203,1,17,12,6,9,2,2),(16,203,1,17,13,25,46,NULL,8),(16,203,1,17,14,14,45,NULL,3),(16,203,1,17,15,42,51,4,6),(16,203,1,17,16,5,31,1,3),(16,203,1,17,17,30,41,2,7),(16,203,1,17,18,35,32,5,3),(16,203,1,17,19,40,57,5,5),(16,203,1,17,20,15,39,1,6),(16,203,2,21,1,52,27,10,3),(16,203,2,21,2,77,83,14,9),(16,203,2,21,3,96,40,14,4),(16,203,2,21,4,149,26,20,1),(16,203,2,21,5,89,57,16,5),(16,203,2,21,6,50,68,6,11),(16,203,2,21,7,28,21,6,3),(16,203,2,21,8,24,36,6,3),(16,203,2,21,9,22,31,5,6),(16,203,2,21,10,52,68,12,8),(16,203,2,21,11,40,40,4,3),(16,203,2,21,12,56,65,8,8),(16,203,2,21,13,29,61,4,5),(16,203,2,21,14,105,93,13,11),(16,203,2,21,15,163,18,23,NULL),(16,203,2,21,16,59,67,7,11),(16,203,2,21,17,61,52,7,5),(16,203,2,21,18,46,38,9,8),(16,203,2,21,19,100,101,16,8),(16,203,2,21,20,79,57,13,5),(16,203,2,21,21,61,57,9,5),(16,203,2,21,22,80,61,16,4),(16,203,2,21,23,97,63,19,3),(16,203,2,21,24,61,90,8,11),(16,203,2,21,25,61,NULL,14,NULL),(16,203,2,21,26,273,NULL,26,NULL),(16,203,2,21,27,70,72,13,7),(16,203,2,21,28,11,42,3,6),(16,203,2,21,29,56,111,11,9),(16,203,2,21,30,75,34,12,2),(16,203,2,22,1,42,30,16,5),(16,203,2,22,2,61,106,16,10),(16,203,2,22,3,77,38,17,6),(16,203,2,22,4,127,21,24,4),(16,203,2,22,5,76,44,21,4),(16,203,2,22,6,58,53,14,11),(16,203,2,22,7,15,25,5,3),(16,203,2,22,8,24,30,5,5),(16,203,2,22,9,12,37,5,11),(16,203,2,22,10,48,63,11,7),(16,203,2,22,11,36,42,11,11),(16,203,2,22,12,60,64,7,13),(16,203,2,22,13,27,54,8,10),(16,203,2,22,14,100,98,16,13),(16,203,2,22,15,139,15,28,2),(16,203,2,22,16,58,67,13,12),(16,203,2,22,17,52,50,10,9),(16,203,2,22,18,42,35,10,7),(16,203,2,22,19,102,94,21,10),(16,203,2,22,20,52,50,14,8),(16,203,2,22,21,66,54,15,9),(16,203,2,22,22,70,67,19,5),(16,203,2,22,23,84,71,18,10),(16,203,2,22,24,36,98,6,17),(16,203,2,22,25,50,NULL,16,NULL),(16,203,2,22,26,257,NULL,31,NULL),(16,203,2,22,27,65,69,20,4),(16,203,2,22,28,9,48,3,7),(16,203,2,22,29,40,91,10,12),(16,203,2,22,30,70,29,16,2),(16,203,2,23,1,35,34,9,9),(16,203,2,23,2,67,78,19,5),(16,203,2,23,3,57,40,17,3),(16,203,2,23,4,124,35,22,4),(16,203,2,23,5,68,57,18,4),(16,203,2,23,6,55,62,11,8),(16,203,2,23,7,29,13,6,1),(16,203,2,23,8,15,27,4,1),(16,203,2,23,9,24,26,8,6),(16,203,2,23,10,50,56,10,10),(16,203,2,23,11,47,27,10,3),(16,203,2,23,12,72,46,14,6),(16,203,2,23,13,21,56,4,13),(16,203,2,23,14,101,79,12,10),(16,203,2,23,15,135,14,22,1),(16,203,2,23,16,55,68,9,10),(16,203,2,23,17,56,47,14,6),(16,203,2,23,18,34,41,9,7),(16,203,2,23,19,85,93,17,8),(16,203,2,23,20,72,36,15,5),(16,203,2,23,21,62,54,12,7),(16,203,2,23,22,68,58,14,6),(16,203,2,23,23,86,58,17,6),(16,203,2,23,24,46,90,6,15),(16,203,2,23,25,56,NULL,21,NULL),(16,203,2,23,26,244,NULL,27,NULL),(16,203,2,23,27,61,67,20,3),(16,203,2,23,28,10,40,4,9),(16,203,2,23,29,53,90,9,14),(16,203,2,23,30,68,26,14,5),(16,203,2,24,1,51,32,12,1),(16,203,2,24,2,77,80,20,6),(16,203,2,24,3,69,36,15,3),(16,203,2,24,4,129,34,21,3),(16,203,2,24,5,84,48,16,5),(16,203,2,24,6,57,54,9,8),(16,203,2,24,7,16,18,1,NULL),(16,203,2,24,8,17,24,2,2),(16,203,2,24,9,22,31,4,5),(16,203,2,24,10,43,66,8,11),(16,203,2,24,11,45,32,15,5),(16,203,2,24,12,54,50,8,8),(16,203,2,24,13,27,57,4,10),(16,203,2,24,14,98,85,15,11),(16,203,2,24,15,138,8,23,1),(16,203,2,24,16,55,69,9,13),(16,203,2,24,17,49,52,10,8),(16,203,2,24,18,46,40,8,4),(16,203,2,24,19,98,90,22,4),(16,203,2,24,20,63,60,13,11),(16,203,2,24,21,74,58,17,5),(16,203,2,24,22,66,63,17,6),(16,203,2,24,23,98,61,18,6),(16,203,2,24,24,36,81,11,8),(16,203,2,24,25,61,NULL,17,NULL),(16,203,2,24,26,248,NULL,26,NULL),(16,203,2,24,27,72,52,17,6),(16,203,2,24,28,9,44,3,6),(16,203,2,24,29,50,90,12,11),(16,203,2,24,30,68,38,12,6),(16,203,3,31,1,14,37,3,3),(16,203,3,31,2,29,23,9,6),(16,203,3,31,3,20,50,7,11),(16,203,3,31,4,59,30,15,2),(16,203,3,31,5,76,80,14,4),(16,203,3,31,6,181,35,24,2),(16,203,3,31,7,23,52,7,8),(16,203,3,31,8,19,37,4,4),(16,203,3,31,9,11,34,4,9),(16,203,3,31,10,9,16,7,2),(16,203,3,31,11,44,30,8,1),(16,203,3,31,12,64,79,11,11),(16,203,3,31,13,61,42,13,7),(16,203,3,31,14,80,66,12,6),(16,203,3,31,15,82,55,15,6),(16,203,3,31,16,63,68,8,9),(16,203,3,31,17,127,70,19,7),(16,203,3,31,18,33,18,3,3),(16,203,3,31,19,40,56,5,8),(16,203,3,31,20,137,NULL,20,NULL),(16,203,3,31,21,97,66,19,3),(16,203,3,31,22,35,41,10,3),(16,203,3,31,23,17,42,3,7),(16,203,3,31,24,63,41,13,8),(16,203,3,31,25,24,54,4,11),(16,203,3,31,26,15,32,3,8),(16,203,3,31,27,14,51,4,9),(16,203,3,31,28,91,50,20,4),(16,203,3,31,29,88,33,19,4),(16,203,3,31,30,23,38,6,8),(16,203,3,32,1,17,28,6,5),(16,203,3,32,2,34,29,8,3),(16,203,3,32,3,19,57,8,9),(16,203,3,32,4,46,32,16,4),(16,203,3,32,5,62,96,12,11),(16,203,3,32,6,171,34,23,3),(16,203,3,32,7,29,35,9,3),(16,203,3,32,8,11,22,3,4),(16,203,3,32,9,10,25,3,9),(16,203,3,32,10,6,14,4,4),(16,203,3,32,11,37,31,3,3),(16,203,3,32,12,51,68,11,11),(16,203,3,32,13,64,37,14,2),(16,203,3,32,14,72,74,13,11),(16,203,3,32,15,87,48,23,3),(16,203,3,32,16,49,78,8,15),(16,203,3,32,17,115,60,16,8),(16,203,3,32,18,37,22,5,3),(16,203,3,32,19,33,53,7,7),(16,203,3,32,20,131,NULL,24,NULL),(16,203,3,32,21,83,80,18,7),(16,203,3,32,22,24,45,8,7),(16,203,3,32,23,14,50,1,7),(16,203,3,32,24,55,28,15,6),(16,203,3,32,25,22,39,5,9),(16,203,3,32,26,17,28,9,5),(16,203,3,32,27,15,52,1,12),(16,203,3,32,28,86,50,21,3),(16,203,3,32,29,74,29,18,2),(16,203,3,32,30,10,42,3,9),(16,203,3,33,1,14,39,4,11),(16,203,3,33,2,38,24,8,5),(16,203,3,33,3,15,44,3,12),(16,203,3,33,4,43,49,16,4),(16,203,3,33,5,77,81,13,12),(16,203,3,33,6,171,49,25,5),(16,203,3,33,7,23,34,8,8),(16,203,3,33,8,11,22,3,3),(16,203,3,33,9,13,33,5,9),(16,203,3,33,10,9,19,3,3),(16,203,3,33,11,51,28,10,8),(16,203,3,33,12,64,79,11,12),(16,203,3,33,13,54,44,12,10),(16,203,3,33,14,71,68,14,11),(16,203,3,33,15,79,45,21,5),(16,203,3,33,16,52,86,10,11),(16,203,3,33,17,113,64,20,10),(16,203,3,33,18,41,22,11,2),(16,203,3,33,19,39,58,6,12),(16,203,3,33,20,151,NULL,29,NULL),(16,203,3,33,21,83,76,21,9),(16,203,3,33,22,26,55,4,10),(16,203,3,33,23,14,49,3,13),(16,203,3,33,24,57,30,19,3),(16,203,3,33,25,19,53,5,13),(16,203,3,33,26,18,35,7,3),(16,203,3,33,27,23,45,4,7),(16,203,3,33,28,78,52,21,5),(16,203,3,33,29,89,30,21,1),(16,203,3,33,30,10,32,1,10),(16,203,3,34,1,15,50,5,9),(16,203,3,34,2,37,24,10,5),(16,203,3,34,3,16,55,6,6),(16,203,3,34,4,43,49,10,5),(16,203,3,34,5,101,79,18,5),(16,203,3,34,6,189,44,21,5),(16,203,3,34,7,33,44,5,8),(16,203,3,34,8,16,49,5,10),(16,203,3,34,9,13,51,3,8),(16,203,3,34,10,16,18,2,1),(16,203,3,34,11,41,39,5,4),(16,203,3,34,12,62,84,8,14),(16,203,3,34,13,66,46,12,6),(16,203,3,34,14,90,71,14,10),(16,203,3,34,15,84,60,14,8),(16,203,3,34,16,73,81,12,6),(16,203,3,34,17,114,77,21,4),(16,203,3,34,18,36,29,4,3),(16,203,3,34,19,36,70,3,9),(16,203,3,34,20,133,NULL,20,NULL),(16,203,3,34,21,98,88,15,8),(16,203,3,34,22,35,45,7,7),(16,203,3,34,23,19,53,3,9),(16,203,3,34,24,61,42,12,4),(16,203,3,34,25,22,52,8,8),(16,203,3,34,26,20,38,10,5),(16,203,3,34,27,15,54,2,9),(16,203,3,34,28,88,56,15,5),(16,203,3,34,29,90,28,14,NULL),(16,203,3,34,30,13,64,1,13),(16,205,1,11,1,NULL,NULL,NULL,NULL),(16,205,1,11,2,NULL,NULL,NULL,NULL),(16,205,1,11,3,NULL,NULL,NULL,NULL),(16,205,1,11,4,NULL,NULL,NULL,NULL),(16,205,1,11,5,NULL,NULL,NULL,NULL),(16,205,1,11,6,NULL,NULL,NULL,NULL),(16,205,1,11,7,NULL,NULL,NULL,NULL),(16,205,1,11,8,NULL,NULL,NULL,NULL),(16,205,1,11,9,NULL,NULL,NULL,NULL),(16,205,1,11,10,NULL,NULL,NULL,NULL),(16,205,1,11,11,NULL,NULL,NULL,NULL),(16,205,1,11,12,NULL,NULL,NULL,NULL),(16,205,1,11,13,NULL,NULL,NULL,NULL),(16,205,1,11,14,NULL,NULL,NULL,NULL),(16,205,1,11,15,NULL,NULL,NULL,NULL),(16,205,1,11,16,NULL,NULL,NULL,NULL),(16,205,1,11,17,NULL,NULL,NULL,NULL),(16,205,1,11,18,NULL,NULL,NULL,NULL),(16,205,1,11,19,NULL,NULL,NULL,NULL),(16,205,1,11,20,NULL,NULL,NULL,NULL),(16,205,1,12,1,NULL,NULL,NULL,NULL),(16,205,1,12,2,NULL,NULL,NULL,NULL),(16,205,1,12,3,NULL,NULL,NULL,NULL),(16,205,1,12,4,NULL,NULL,NULL,NULL),(16,205,1,12,5,NULL,NULL,NULL,NULL),(16,205,1,12,6,NULL,NULL,NULL,NULL),(16,205,1,12,7,NULL,NULL,NULL,NULL),(16,205,1,12,8,NULL,NULL,NULL,NULL),(16,205,1,12,9,NULL,NULL,NULL,NULL),(16,205,1,12,10,NULL,NULL,NULL,NULL),(16,205,1,12,11,NULL,NULL,NULL,NULL),(16,205,1,12,12,NULL,NULL,NULL,NULL),(16,205,1,12,13,NULL,NULL,NULL,NULL),(16,205,1,12,14,NULL,NULL,NULL,NULL),(16,205,1,12,15,NULL,NULL,NULL,NULL),(16,205,1,12,16,NULL,NULL,NULL,NULL),(16,205,1,12,17,NULL,NULL,NULL,NULL),(16,205,1,12,18,NULL,NULL,NULL,NULL),(16,205,1,12,19,NULL,NULL,NULL,NULL),(16,205,1,12,20,NULL,NULL,NULL,NULL),(16,205,1,13,1,NULL,NULL,NULL,NULL),(16,205,1,13,2,NULL,NULL,NULL,NULL),(16,205,1,13,3,NULL,NULL,NULL,NULL),(16,205,1,13,4,NULL,NULL,NULL,NULL),(16,205,1,13,5,NULL,NULL,NULL,NULL),(16,205,1,13,6,NULL,NULL,NULL,NULL),(16,205,1,13,7,NULL,NULL,NULL,NULL),(16,205,1,13,8,NULL,NULL,NULL,NULL),(16,205,1,13,9,NULL,NULL,NULL,NULL),(16,205,1,13,10,NULL,NULL,NULL,NULL),(16,205,1,13,11,NULL,NULL,NULL,NULL),(16,205,1,13,12,NULL,NULL,NULL,NULL),(16,205,1,13,13,NULL,NULL,NULL,NULL),(16,205,1,13,14,NULL,NULL,NULL,NULL),(16,205,1,13,15,NULL,NULL,NULL,NULL),(16,205,1,13,16,NULL,NULL,NULL,NULL),(16,205,1,13,17,NULL,NULL,NULL,NULL),(16,205,1,13,18,NULL,NULL,NULL,NULL),(16,205,1,13,19,NULL,NULL,NULL,NULL),(16,205,1,13,20,NULL,NULL,NULL,NULL),(16,205,1,14,1,7,2,4,1),(16,205,1,14,2,NULL,NULL,NULL,NULL),(16,205,1,14,3,2,5,1,3),(16,205,1,14,4,NULL,NULL,NULL,NULL),(16,205,1,14,5,1,3,NULL,3),(16,205,1,14,6,1,2,1,1),(16,205,1,14,7,NULL,4,NULL,3),(16,205,1,14,8,3,2,3,2),(16,205,1,14,9,2,NULL,2,NULL),(16,205,1,14,10,2,1,2,1),(16,205,1,14,11,2,2,2,1),(16,205,1,14,12,1,2,1,1),(16,205,1,14,13,2,4,2,2),(16,205,1,14,14,1,3,1,3),(16,205,1,14,15,NULL,3,NULL,1),(16,205,1,14,16,5,1,4,1),(16,205,1,14,17,1,3,1,3),(16,205,1,14,18,1,NULL,1,NULL),(16,205,1,14,19,3,NULL,3,NULL),(16,205,1,14,20,1,3,NULL,3),(16,205,1,15,1,2,3,1,1),(16,205,1,15,2,NULL,NULL,NULL,NULL),(16,205,1,15,3,1,2,NULL,NULL),(16,205,1,15,4,NULL,NULL,NULL,NULL),(16,205,1,15,5,1,1,1,1),(16,205,1,15,6,1,1,NULL,1),(16,205,1,15,7,NULL,1,NULL,1),(16,205,1,15,8,1,1,1,1),(16,205,1,15,9,NULL,1,NULL,1),(16,205,1,15,10,2,NULL,NULL,NULL),(16,205,1,15,11,2,1,1,1),(16,205,1,15,12,1,NULL,1,NULL),(16,205,1,15,13,NULL,4,NULL,2),(16,205,1,15,14,NULL,1,NULL,NULL),(16,205,1,15,15,1,2,NULL,NULL),(16,205,1,15,16,2,1,NULL,1),(16,205,1,15,17,1,2,1,1),(16,205,1,15,18,NULL,NULL,NULL,NULL),(16,205,1,15,19,2,1,1,NULL),(16,205,1,15,20,NULL,3,NULL,1),(16,205,1,16,1,2,3,1,3),(16,205,1,16,2,2,NULL,2,NULL),(16,205,1,16,3,1,3,1,2),(16,205,1,16,4,2,3,1,3),(16,205,1,16,5,1,5,1,3),(16,205,1,16,6,4,NULL,3,NULL),(16,205,1,16,7,NULL,1,NULL,NULL),(16,205,1,16,8,2,1,2,NULL),(16,205,1,16,9,NULL,1,NULL,1),(16,205,1,16,10,1,4,1,2),(16,205,1,16,11,3,6,3,3),(16,205,1,16,12,NULL,NULL,NULL,NULL),(16,205,1,16,13,4,NULL,2,NULL),(16,205,1,16,14,2,6,2,3),(16,205,1,16,15,2,4,2,2),(16,205,1,16,16,NULL,2,NULL,1),(16,205,1,16,17,NULL,5,NULL,3),(16,205,1,16,18,1,2,1,1),(16,205,1,16,19,1,5,1,3),(16,205,1,16,20,NULL,2,NULL,2),(16,205,1,17,1,3,2,1,2),(16,205,1,17,2,1,NULL,1,NULL),(16,205,1,17,3,1,3,1,2),(16,205,1,17,4,NULL,NULL,NULL,NULL),(16,205,1,17,5,1,1,1,1),(16,205,1,17,6,NULL,NULL,NULL,NULL),(16,205,1,17,7,NULL,1,NULL,1),(16,205,1,17,8,NULL,3,NULL,3),(16,205,1,17,9,NULL,4,NULL,3),(16,205,1,17,10,1,2,1,2),(16,205,1,17,11,1,4,1,3),(16,205,1,17,12,NULL,1,NULL,1),(16,205,1,17,13,1,1,1,1),(16,205,1,17,14,1,3,NULL,2),(16,205,1,17,15,2,2,2,1),(16,205,1,17,16,NULL,2,NULL,NULL),(16,205,1,17,17,NULL,3,NULL,3),(16,205,1,17,18,2,2,1,2),(16,205,1,17,19,NULL,3,NULL,2),(16,205,1,17,20,NULL,5,NULL,3),(16,205,2,21,1,NULL,NULL,NULL,NULL),(16,205,2,21,2,NULL,2,NULL,1),(16,205,2,21,3,1,NULL,NULL,NULL),(16,205,2,21,4,3,1,2,NULL),(16,205,2,21,5,2,3,1,2),(16,205,2,21,6,NULL,1,NULL,NULL),(16,205,2,21,7,1,2,1,1),(16,205,2,21,8,2,3,NULL,1),(16,205,2,21,9,NULL,NULL,NULL,NULL),(16,205,2,21,10,1,1,NULL,NULL),(16,205,2,21,11,NULL,2,NULL,1),(16,205,2,21,12,3,2,1,NULL),(16,205,2,21,13,1,2,NULL,2),(16,205,2,21,14,2,NULL,1,NULL),(16,205,2,21,15,3,NULL,1,NULL),(16,205,2,21,16,1,1,1,NULL),(16,205,2,21,17,NULL,2,NULL,1),(16,205,2,21,18,NULL,2,NULL,NULL),(16,205,2,21,19,2,4,1,1),(16,205,2,21,20,2,2,1,1),(16,205,2,21,21,1,1,1,NULL),(16,205,2,21,22,2,1,NULL,1),(16,205,2,21,23,1,1,NULL,1),(16,205,2,21,24,3,2,1,1),(16,205,2,21,25,NULL,NULL,NULL,NULL),(16,205,2,21,26,12,NULL,3,NULL),(16,205,2,21,27,NULL,1,NULL,1),(16,205,2,21,28,1,NULL,NULL,NULL),(16,205,2,21,29,1,2,NULL,1),(16,205,2,21,30,1,1,NULL,NULL),(16,205,2,22,1,NULL,1,NULL,1),(16,205,2,22,2,NULL,5,NULL,3),(16,205,2,22,3,NULL,2,NULL,2),(16,205,2,22,4,3,1,3,1),(16,205,2,22,5,1,3,1,3),(16,205,2,22,6,NULL,3,NULL,3),(16,205,2,22,7,1,1,1,1),(16,205,2,22,8,NULL,2,NULL,2),(16,205,2,22,9,NULL,1,NULL,1),(16,205,2,22,10,2,2,2,2),(16,205,2,22,11,3,2,2,2),(16,205,2,22,12,2,3,2,3),(16,205,2,22,13,1,1,NULL,1),(16,205,2,22,14,2,5,1,4),(16,205,2,22,15,3,1,3,1),(16,205,2,22,16,2,3,2,3),(16,205,2,22,17,NULL,4,NULL,4),(16,205,2,22,18,NULL,1,NULL,1),(16,205,2,22,19,3,2,2,1),(16,205,2,22,20,NULL,2,NULL,2),(16,205,2,22,21,2,1,1,1),(16,205,2,22,22,NULL,4,NULL,3),(16,205,2,22,23,NULL,1,NULL,1),(16,205,2,22,24,1,2,1,2),(16,205,2,22,25,NULL,NULL,NULL,NULL),(16,205,2,22,26,9,NULL,6,NULL),(16,205,2,22,27,NULL,2,NULL,2),(16,205,2,22,28,1,2,1,2),(16,205,2,22,29,1,2,1,2),(16,205,2,22,30,1,NULL,1,NULL),(16,205,2,23,1,NULL,1,NULL,NULL),(16,205,2,23,2,NULL,3,NULL,2),(16,205,2,23,3,1,3,1,1),(16,205,2,23,4,3,2,NULL,1),(16,205,2,23,5,1,2,NULL,1),(16,205,2,23,6,1,2,1,NULL),(16,205,2,23,7,NULL,NULL,NULL,NULL),(16,205,2,23,8,1,NULL,1,NULL),(16,205,2,23,9,NULL,NULL,NULL,NULL),(16,205,2,23,10,NULL,1,NULL,1),(16,205,2,23,11,NULL,NULL,NULL,NULL),(16,205,2,23,12,1,3,1,1),(16,205,2,23,13,NULL,3,NULL,2),(16,205,2,23,14,2,3,2,NULL),(16,205,2,23,15,3,1,2,NULL),(16,205,2,23,16,3,NULL,2,NULL),(16,205,2,23,17,2,2,1,1),(16,205,2,23,18,NULL,1,NULL,NULL),(16,205,2,23,19,4,1,2,NULL),(16,205,2,23,20,1,2,1,1),(16,205,2,23,21,2,NULL,2,NULL),(16,205,2,23,22,NULL,1,NULL,NULL),(16,205,2,23,23,1,1,1,NULL),(16,205,2,23,24,2,3,1,2),(16,205,2,23,25,NULL,NULL,NULL,NULL),(16,205,2,23,26,10,NULL,4,NULL),(16,205,2,23,27,1,2,NULL,1),(16,205,2,23,28,NULL,2,NULL,NULL),(16,205,2,23,29,1,4,NULL,3),(16,205,2,23,30,2,1,1,NULL),(16,205,2,24,1,NULL,2,NULL,1),(16,205,2,24,2,1,4,1,4),(16,205,2,24,3,4,NULL,4,NULL),(16,205,2,24,4,2,3,2,1),(16,205,2,24,5,1,4,1,3),(16,205,2,24,6,1,2,1,2),(16,205,2,24,7,2,NULL,1,NULL),(16,205,2,24,8,1,1,1,NULL),(16,205,2,24,9,NULL,1,NULL,1),(16,205,2,24,10,1,2,1,1),(16,205,2,24,11,1,2,1,1),(16,205,2,24,12,2,2,2,1),(16,205,2,24,13,1,1,1,NULL),(16,205,2,24,14,3,2,2,1),(16,205,2,24,15,3,NULL,2,NULL),(16,205,2,24,16,1,2,1,2),(16,205,2,24,17,NULL,2,NULL,1),(16,205,2,24,18,4,NULL,3,NULL),(16,205,2,24,19,1,2,1,1),(16,205,2,24,20,3,NULL,3,NULL),(16,205,2,24,21,1,2,1,1),(16,205,2,24,22,2,3,2,NULL),(16,205,2,24,23,3,1,3,NULL),(16,205,2,24,24,NULL,2,NULL,2),(16,205,2,24,25,NULL,NULL,NULL,NULL),(16,205,2,24,26,9,NULL,6,NULL),(16,205,2,24,27,NULL,2,NULL,1),(16,205,2,24,28,NULL,1,NULL,1),(16,205,2,24,29,NULL,4,NULL,2),(16,205,2,24,30,3,NULL,3,NULL),(16,205,3,31,1,NULL,2,NULL,1),(16,205,3,31,2,NULL,1,NULL,NULL),(16,205,3,31,3,1,2,NULL,2),(16,205,3,31,4,2,1,2,NULL),(16,205,3,31,5,4,NULL,3,NULL),(16,205,3,31,6,4,1,4,NULL),(16,205,3,31,7,NULL,NULL,NULL,NULL),(16,205,3,31,8,NULL,2,NULL,2),(16,205,3,31,9,1,NULL,NULL,NULL),(16,205,3,31,10,NULL,NULL,NULL,NULL),(16,205,3,31,11,2,NULL,2,NULL),(16,205,3,31,12,4,1,4,1),(16,205,3,31,13,1,3,NULL,3),(16,205,3,31,14,3,3,3,2),(16,205,3,31,15,2,2,2,1),(16,205,3,31,16,1,2,1,2),(16,205,3,31,17,5,4,4,2),(16,205,3,31,18,NULL,2,NULL,1),(16,205,3,31,19,NULL,1,NULL,NULL),(16,205,3,31,20,3,NULL,2,NULL),(16,205,3,31,21,3,4,3,3),(16,205,3,31,22,1,1,1,1),(16,205,3,31,23,1,2,1,1),(16,205,3,31,24,1,3,1,3),(16,205,3,31,25,2,1,2,1),(16,205,3,31,26,1,1,1,1),(16,205,3,31,27,NULL,3,NULL,3),(16,205,3,31,28,4,3,4,2),(16,205,3,31,29,2,4,2,2),(16,205,3,31,30,1,NULL,1,NULL),(16,205,3,32,1,NULL,2,NULL,1),(16,205,3,32,2,NULL,NULL,NULL,NULL),(16,205,3,32,3,NULL,1,NULL,NULL),(16,205,3,32,4,NULL,2,NULL,1),(16,205,3,32,5,NULL,3,NULL,2),(16,205,3,32,6,5,NULL,3,NULL),(16,205,3,32,7,NULL,1,NULL,1),(16,205,3,32,8,NULL,1,NULL,NULL),(16,205,3,32,9,NULL,NULL,NULL,NULL),(16,205,3,32,10,NULL,1,NULL,1),(16,205,3,32,11,1,2,NULL,1),(16,205,3,32,12,NULL,NULL,NULL,NULL),(16,205,3,32,13,3,1,2,NULL),(16,205,3,32,14,4,1,1,1),(16,205,3,32,15,1,2,1,1),(16,205,3,32,16,1,2,NULL,2),(16,205,3,32,17,4,1,3,NULL),(16,205,3,32,18,1,1,1,NULL),(16,205,3,32,19,1,1,NULL,NULL),(16,205,3,32,20,3,NULL,2,NULL),(16,205,3,32,21,2,2,1,NULL),(16,205,3,32,22,2,NULL,1,NULL),(16,205,3,32,23,NULL,3,NULL,1),(16,205,3,32,24,NULL,3,NULL,1),(16,205,3,32,25,NULL,3,NULL,1),(16,205,3,32,26,1,2,1,2),(16,205,3,32,27,NULL,2,NULL,2),(16,205,3,32,28,NULL,2,NULL,NULL),(16,205,3,32,29,2,1,1,1),(16,205,3,32,30,NULL,2,NULL,1),(16,205,3,33,1,NULL,1,NULL,1),(16,205,3,33,2,1,1,NULL,1),(16,205,3,33,3,NULL,1,NULL,1),(16,205,3,33,4,1,1,NULL,1),(16,205,3,33,5,NULL,5,NULL,4),(16,205,3,33,6,4,2,3,2),(16,205,3,33,7,1,NULL,1,NULL),(16,205,3,33,8,NULL,NULL,NULL,NULL),(16,205,3,33,9,NULL,NULL,NULL,NULL),(16,205,3,33,10,NULL,1,NULL,NULL),(16,205,3,33,11,2,2,1,2),(16,205,3,33,12,2,1,1,1),(16,205,3,33,13,2,NULL,1,NULL),(16,205,3,33,14,1,4,1,2),(16,205,3,33,15,2,1,1,1),(16,205,3,33,16,1,3,NULL,3),(16,205,3,33,17,3,2,2,1),(16,205,3,33,18,3,2,2,1),(16,205,3,33,19,1,1,1,1),(16,205,3,33,20,4,NULL,3,NULL),(16,205,3,33,21,2,5,1,4),(16,205,3,33,22,1,1,NULL,1),(16,205,3,33,23,1,2,NULL,2),(16,205,3,33,24,1,2,1,NULL),(16,205,3,33,25,2,2,2,1),(16,205,3,33,26,NULL,2,NULL,1),(16,205,3,33,27,1,2,1,2),(16,205,3,33,28,2,1,2,1),(16,205,3,33,29,2,2,1,2),(16,205,3,33,30,NULL,NULL,NULL,NULL),(16,205,3,34,1,NULL,NULL,NULL,NULL),(16,205,3,34,2,NULL,1,NULL,NULL),(16,205,3,34,3,NULL,1,NULL,NULL),(16,205,3,34,4,NULL,2,NULL,1),(16,205,3,34,5,1,4,1,1),(16,205,3,34,6,6,4,1,2),(16,205,3,34,7,1,1,1,NULL),(16,205,3,34,8,NULL,NULL,NULL,NULL),(16,205,3,34,9,1,NULL,NULL,NULL),(16,205,3,34,10,NULL,2,NULL,NULL),(16,205,3,34,11,NULL,2,NULL,1),(16,205,3,34,12,2,2,1,1),(16,205,3,34,13,1,5,NULL,2),(16,205,3,34,14,3,NULL,1,NULL),(16,205,3,34,15,1,1,NULL,1),(16,205,3,34,16,NULL,2,NULL,1),(16,205,3,34,17,2,2,1,2),(16,205,3,34,18,1,1,NULL,NULL),(16,205,3,34,19,1,1,NULL,NULL),(16,205,3,34,20,3,NULL,2,NULL),(16,205,3,34,21,NULL,5,NULL,2),(16,205,3,34,22,NULL,NULL,NULL,NULL),(16,205,3,34,23,1,3,1,NULL),(16,205,3,34,24,NULL,2,NULL,1),(16,205,3,34,25,NULL,2,NULL,1),(16,205,3,34,26,NULL,1,NULL,NULL),(16,205,3,34,27,NULL,NULL,NULL,NULL),(16,205,3,34,28,1,2,1,NULL),(16,205,3,34,29,1,1,1,NULL),(16,205,3,34,30,NULL,3,NULL,2),(16,207,1,11,1,NULL,NULL,NULL,NULL),(16,207,1,11,2,NULL,NULL,NULL,NULL),(16,207,1,11,3,NULL,NULL,NULL,NULL),(16,207,1,11,4,NULL,NULL,NULL,NULL),(16,207,1,11,5,NULL,NULL,NULL,NULL),(16,207,1,11,6,NULL,NULL,NULL,NULL),(16,207,1,11,7,NULL,NULL,NULL,NULL),(16,207,1,11,8,NULL,NULL,NULL,NULL),(16,207,1,11,9,NULL,NULL,NULL,NULL),(16,207,1,11,10,NULL,NULL,NULL,NULL),(16,207,1,11,11,NULL,NULL,NULL,NULL),(16,207,1,11,12,NULL,1,NULL,NULL),(16,207,1,11,13,NULL,1,NULL,NULL),(16,207,1,11,14,NULL,1,NULL,NULL),(16,207,1,11,15,NULL,NULL,NULL,NULL),(16,207,1,11,16,NULL,NULL,NULL,NULL),(16,207,1,11,17,NULL,NULL,NULL,NULL),(16,207,1,11,18,NULL,NULL,NULL,NULL),(16,207,1,11,19,NULL,NULL,NULL,NULL),(16,207,1,11,20,1,NULL,NULL,NULL),(16,207,1,12,1,1,NULL,NULL,NULL),(16,207,1,12,2,1,NULL,NULL,NULL),(16,207,1,12,3,3,NULL,NULL,NULL),(16,207,1,12,4,NULL,3,NULL,NULL),(16,207,1,12,5,2,1,NULL,NULL),(16,207,1,12,6,1,1,NULL,NULL),(16,207,1,12,7,NULL,NULL,NULL,NULL),(16,207,1,12,8,NULL,NULL,NULL,NULL),(16,207,1,12,9,NULL,1,NULL,NULL),(16,207,1,12,10,3,NULL,NULL,NULL),(16,207,1,12,11,4,NULL,NULL,NULL),(16,207,1,12,12,4,NULL,NULL,NULL),(16,207,1,12,13,4,1,NULL,NULL),(16,207,1,12,14,2,2,NULL,NULL),(16,207,1,12,15,4,NULL,NULL,NULL),(16,207,1,12,16,4,NULL,NULL,NULL),(16,207,1,12,17,4,NULL,NULL,NULL),(16,207,1,12,18,5,NULL,NULL,NULL),(16,207,1,12,19,3,1,NULL,NULL),(16,207,1,12,20,4,NULL,NULL,NULL),(16,207,1,13,1,1,1,NULL,1),(16,207,1,13,2,NULL,NULL,1,NULL),(16,207,1,13,3,1,1,NULL,1),(16,207,1,13,4,NULL,1,NULL,NULL),(16,207,1,13,5,1,2,NULL,NULL),(16,207,1,13,6,NULL,NULL,NULL,NULL),(16,207,1,13,7,NULL,NULL,NULL,NULL),(16,207,1,13,8,2,1,NULL,1),(16,207,1,13,9,NULL,1,NULL,1),(16,207,1,13,10,1,2,1,NULL),(16,207,1,13,11,5,NULL,NULL,NULL),(16,207,1,13,12,4,NULL,NULL,NULL),(16,207,1,13,13,7,NULL,1,NULL),(16,207,1,13,14,6,NULL,NULL,NULL),(16,207,1,13,15,NULL,2,NULL,NULL),(16,207,1,13,16,4,NULL,1,NULL),(16,207,1,13,17,3,NULL,1,NULL),(16,207,1,13,18,6,NULL,1,NULL),(16,207,1,13,19,3,NULL,1,NULL),(16,207,1,13,20,2,2,1,NULL),(16,207,1,14,1,111,81,21,7),(16,207,1,14,2,31,29,8,9),(16,207,1,14,3,79,79,17,9),(16,207,1,14,4,14,66,1,14),(16,207,1,14,5,102,76,21,5),(16,207,1,14,6,36,80,9,13),(16,207,1,14,7,25,26,11,4),(16,207,1,14,8,53,57,17,7),(16,207,1,14,9,27,55,8,7),(16,207,1,14,10,105,47,21,5),(16,207,1,14,11,93,31,20,4),(16,207,1,14,12,77,28,22,4),(16,207,1,14,13,132,60,26,6),(16,207,1,14,14,39,53,9,11),(16,207,1,14,15,35,46,13,11),(16,207,1,14,16,138,34,31,NULL),(16,207,1,14,17,119,84,20,11),(16,207,1,14,18,37,45,12,10),(16,207,1,14,19,95,65,26,4),(16,207,1,14,20,73,115,14,14),(16,207,1,15,1,87,77,13,6),(16,207,1,15,2,24,22,1,6),(16,207,1,15,3,62,79,8,12),(16,207,1,15,4,13,61,2,12),(16,207,1,15,5,57,70,7,11),(16,207,1,15,6,40,77,5,16),(16,207,1,15,7,16,20,4,1),(16,207,1,15,8,64,58,12,7),(16,207,1,15,9,21,53,10,9),(16,207,1,15,10,99,55,18,1),(16,207,1,15,11,96,27,18,2),(16,207,1,15,12,69,30,15,2),(16,207,1,15,13,145,52,19,5),(16,207,1,15,14,47,45,8,5),(16,207,1,15,15,39,51,10,6),(16,207,1,15,16,125,24,17,1),(16,207,1,15,17,111,79,17,6),(16,207,1,15,18,35,38,7,9),(16,207,1,15,19,85,72,10,7),(16,207,1,15,20,64,102,9,16),(16,207,1,16,1,54,45,6,1),(16,207,1,16,2,12,17,2,NULL),(16,207,1,16,3,39,50,4,5),(16,207,1,16,4,2,33,NULL,4),(16,207,1,16,5,58,45,6,4),(16,207,1,16,6,4,44,NULL,3),(16,207,1,16,7,10,15,1,1),(16,207,1,16,8,26,41,2,4),(16,207,1,16,9,12,26,1,4),(16,207,1,16,10,59,40,4,3),(16,207,1,16,11,61,111,3,9),(16,207,1,16,12,18,22,3,4),(16,207,1,16,13,51,56,6,3),(16,207,1,16,14,16,97,1,7),(16,207,1,16,15,61,80,4,3),(16,207,1,16,16,9,64,NULL,5),(16,207,1,16,17,30,76,2,7),(16,207,1,16,18,43,48,5,5),(16,207,1,16,19,52,91,2,10),(16,207,1,16,20,4,75,NULL,10),(16,207,1,17,1,43,58,1,3),(16,207,1,17,2,13,16,2,1),(16,207,1,17,3,39,41,1,2),(16,207,1,17,4,5,37,NULL,1),(16,207,1,17,5,26,45,1,4),(16,207,1,17,6,6,25,NULL,1),(16,207,1,17,7,12,11,1,1),(16,207,1,17,8,29,49,1,2),(16,207,1,17,9,10,20,NULL,NULL),(16,207,1,17,10,42,42,2,2),(16,207,1,17,11,48,96,1,3),(16,207,1,17,12,6,23,NULL,1),(16,207,1,17,13,41,65,1,3),(16,207,1,17,14,25,73,NULL,3),(16,207,1,17,15,66,74,1,4),(16,207,1,17,16,5,49,NULL,1),(16,207,1,17,17,30,78,NULL,2),(16,207,1,17,18,50,42,1,2),(16,207,1,17,19,40,102,NULL,5),(16,207,1,17,20,16,63,NULL,3),(16,207,2,21,1,27,29,10,7),(16,207,2,21,2,33,93,9,11),(16,207,2,21,3,53,52,12,4),(16,207,2,21,4,111,30,18,3),(16,207,2,21,5,52,69,11,7),(16,207,2,21,6,30,48,9,5),(16,207,2,21,7,23,39,2,2),(16,207,2,21,8,29,37,4,4),(16,207,2,21,9,11,31,4,5),(16,207,2,21,10,29,67,7,9),(16,207,2,21,11,29,33,4,5),(16,207,2,21,12,52,45,7,5),(16,207,2,21,13,15,57,4,9),(16,207,2,21,14,83,62,10,11),(16,207,2,21,15,121,14,19,1),(16,207,2,21,16,42,61,8,9),(16,207,2,21,17,40,49,6,10),(16,207,2,21,18,30,40,7,3),(16,207,2,21,19,71,76,11,7),(16,207,2,21,20,45,50,10,3),(16,207,2,21,21,44,48,13,2),(16,207,2,21,22,30,47,9,7),(16,207,2,21,23,41,60,9,6),(16,207,2,21,24,40,80,6,11),(16,207,2,21,25,23,NULL,10,NULL),(16,207,2,21,26,256,NULL,25,NULL),(16,207,2,21,27,23,57,11,5),(16,207,2,21,28,12,33,1,5),(16,207,2,21,29,33,90,8,9),(16,207,2,21,30,47,25,12,2),(16,207,2,22,1,17,27,4,5),(16,207,2,22,2,28,109,4,7),(16,207,2,22,3,58,41,10,4),(16,207,2,22,4,98,35,15,4),(16,207,2,22,5,51,57,9,5),(16,207,2,22,6,26,50,9,5),(16,207,2,22,7,14,34,NULL,1),(16,207,2,22,8,30,20,2,3),(16,207,2,22,9,11,23,4,3),(16,207,2,22,10,37,56,8,3),(16,207,2,22,11,25,36,4,3),(16,207,2,22,12,52,52,4,5),(16,207,2,22,13,19,45,3,4),(16,207,2,22,14,91,77,13,6),(16,207,2,22,15,112,18,14,2),(16,207,2,22,16,48,58,9,6),(16,207,2,22,17,23,40,5,7),(16,207,2,22,18,26,30,6,4),(16,207,2,22,19,80,78,13,5),(16,207,2,22,20,34,50,5,7),(16,207,2,22,21,34,67,4,5),(16,207,2,22,22,36,45,9,2),(16,207,2,22,23,42,56,14,2),(16,207,2,22,24,30,93,4,8),(16,207,2,22,25,15,NULL,6,NULL),(16,207,2,22,26,259,NULL,20,NULL),(16,207,2,22,27,27,74,5,9),(16,207,2,22,28,10,30,3,3),(16,207,2,22,29,30,68,3,9),(16,207,2,22,30,34,40,9,2),(16,207,2,23,1,24,20,3,1),(16,207,2,23,2,33,87,9,6),(16,207,2,23,3,49,26,8,3),(16,207,2,23,4,106,28,11,2),(16,207,2,23,5,44,58,11,NULL),(16,207,2,23,6,33,60,2,11),(16,207,2,23,7,18,19,1,1),(16,207,2,23,8,29,28,2,2),(16,207,2,23,9,13,21,1,3),(16,207,2,23,10,35,46,5,3),(16,207,2,23,11,30,26,6,2),(16,207,2,23,12,53,31,5,2),(16,207,2,23,13,23,54,3,4),(16,207,2,23,14,73,69,5,10),(16,207,2,23,15,102,8,8,NULL),(16,207,2,23,16,39,51,6,4),(16,207,2,23,17,25,42,5,4),(16,207,2,23,18,24,25,4,4),(16,207,2,23,19,67,75,8,6),(16,207,2,23,20,37,47,9,4),(16,207,2,23,21,37,53,4,5),(16,207,2,23,22,30,43,9,4),(16,207,2,23,23,34,62,3,8),(16,207,2,23,24,33,74,4,8),(16,207,2,23,25,15,NULL,7,NULL),(16,207,2,23,26,236,NULL,16,NULL),(16,207,2,23,27,32,62,8,5),(16,207,2,23,28,7,25,1,6),(16,207,2,23,29,32,75,4,8),(16,207,2,23,30,40,15,4,2),(16,207,2,24,1,26,29,8,3),(16,207,2,24,2,34,96,8,6),(16,207,2,24,3,59,41,10,3),(16,207,2,24,4,105,34,13,3),(16,207,2,24,5,63,66,10,6),(16,207,2,24,6,34,47,8,3),(16,207,2,24,7,14,25,1,NULL),(16,207,2,24,8,20,28,1,1),(16,207,2,24,9,11,29,5,3),(16,207,2,24,10,23,61,6,7),(16,207,2,24,11,28,35,3,5),(16,207,2,24,12,56,31,5,6),(16,207,2,24,13,15,44,3,4),(16,207,2,24,14,80,49,10,8),(16,207,2,24,15,112,12,15,1),(16,207,2,24,16,46,42,10,3),(16,207,2,24,17,31,43,7,4),(16,207,2,24,18,35,30,4,6),(16,207,2,24,19,60,87,9,6),(16,207,2,24,20,55,45,11,3),(16,207,2,24,21,32,52,7,10),(16,207,2,24,22,32,43,7,6),(16,207,2,24,23,47,63,11,5),(16,207,2,24,24,31,72,2,9),(16,207,2,24,25,17,NULL,5,NULL),(16,207,2,24,26,245,NULL,19,NULL),(16,207,2,24,27,29,61,7,7),(16,207,2,24,28,11,27,1,4),(16,207,2,24,29,32,73,6,9),(16,207,2,24,30,33,30,7,2),(16,207,3,31,1,13,40,1,7),(16,207,3,31,2,13,21,2,6),(16,207,3,31,3,7,41,NULL,9),(16,207,3,31,4,7,24,3,4),(16,207,3,31,5,31,82,7,8),(16,207,3,31,6,163,38,19,1),(16,207,3,31,7,6,43,3,5),(16,207,3,31,8,7,29,1,2),(16,207,3,31,9,4,21,1,5),(16,207,3,31,10,4,28,2,2),(16,207,3,31,11,42,36,2,3),(16,207,3,31,12,43,61,7,7),(16,207,3,31,13,40,38,7,6),(16,207,3,31,14,54,66,10,7),(16,207,3,31,15,48,41,12,4),(16,207,3,31,16,41,68,5,8),(16,207,3,31,17,91,60,14,4),(16,207,3,31,18,37,20,2,4),(16,207,3,31,19,24,56,3,8),(16,207,3,31,20,114,NULL,17,NULL),(16,207,3,31,21,48,88,12,6),(16,207,3,31,22,5,24,1,6),(16,207,3,31,23,13,37,1,4),(16,207,3,31,24,27,29,6,5),(16,207,3,31,25,18,37,4,7),(16,207,3,31,26,5,22,1,7),(16,207,3,31,27,9,38,2,3),(16,207,3,31,28,42,46,14,2),(16,207,3,31,29,51,49,9,2),(16,207,3,31,30,2,23,NULL,6),(16,207,3,32,1,5,28,NULL,3),(16,207,3,32,2,5,22,1,2),(16,207,3,32,3,5,31,2,6),(16,207,3,32,4,17,21,3,2),(16,207,3,32,5,46,66,6,4),(16,207,3,32,6,122,43,14,NULL),(16,207,3,32,7,12,21,4,2),(16,207,3,32,8,4,21,NULL,3),(16,207,3,32,9,4,23,NULL,2),(16,207,3,32,10,5,12,1,1),(16,207,3,32,11,36,32,3,2),(16,207,3,32,12,51,50,6,7),(16,207,3,32,13,31,39,7,4),(16,207,3,32,14,52,72,7,8),(16,207,3,32,15,42,51,11,3),(16,207,3,32,16,47,63,7,2),(16,207,3,32,17,110,42,12,4),(16,207,3,32,18,36,18,3,2),(16,207,3,32,19,27,53,3,8),(16,207,3,32,20,92,NULL,11,NULL),(16,207,3,32,21,57,83,7,6),(16,207,3,32,22,5,26,2,4),(16,207,3,32,23,8,38,1,2),(16,207,3,32,24,17,18,7,2),(16,207,3,32,25,6,33,2,5),(16,207,3,32,26,4,15,2,3),(16,207,3,32,27,11,27,1,5),(16,207,3,32,28,50,44,8,4),(16,207,3,32,29,46,33,6,2),(16,207,3,32,30,4,22,1,5),(16,207,3,33,1,9,30,1,3),(16,207,3,33,2,13,21,5,2),(16,207,3,33,3,4,41,NULL,8),(16,207,3,33,4,10,32,3,2),(16,207,3,33,5,39,73,9,6),(16,207,3,33,6,155,53,18,2),(16,207,3,33,7,6,19,1,3),(16,207,3,33,8,2,27,NULL,2),(16,207,3,33,9,1,17,NULL,3),(16,207,3,33,10,6,20,1,NULL),(16,207,3,33,11,53,32,6,1),(16,207,3,33,12,37,76,7,11),(16,207,3,33,13,43,50,8,4),(16,207,3,33,14,42,74,9,3),(16,207,3,33,15,45,47,9,5),(16,207,3,33,16,37,87,6,11),(16,207,3,33,17,92,69,12,6),(16,207,3,33,18,38,21,2,1),(16,207,3,33,19,27,47,6,6),(16,207,3,33,20,137,NULL,17,NULL),(16,207,3,33,21,60,84,8,6),(16,207,3,33,22,5,32,2,6),(16,207,3,33,23,7,31,1,7),(16,207,3,33,24,24,34,8,3),(16,207,3,33,25,9,32,2,7),(16,207,3,33,26,3,13,1,3),(16,207,3,33,27,7,42,NULL,5),(16,207,3,33,28,46,65,12,5),(16,207,3,33,29,37,45,9,2),(16,207,3,33,30,2,14,1,5),(16,207,3,34,1,10,38,1,7),(16,207,3,34,2,16,21,4,3),(16,207,3,34,3,3,32,1,6),(16,207,3,34,4,10,31,4,6),(16,207,3,34,5,33,92,6,13),(16,207,3,34,6,150,49,18,4),(16,207,3,34,7,8,28,5,5),(16,207,3,34,8,1,30,NULL,5),(16,207,3,34,9,1,23,NULL,4),(16,207,3,34,10,5,10,NULL,1),(16,207,3,34,11,30,33,2,3),(16,207,3,34,12,43,62,7,8),(16,207,3,34,13,37,28,7,4),(16,207,3,34,14,56,64,9,7),(16,207,3,34,15,52,49,10,5),(16,207,3,34,16,43,79,7,8),(16,207,3,34,17,75,68,9,10),(16,207,3,34,18,39,19,5,3),(16,207,3,34,19,23,50,5,7),(16,207,3,34,20,126,NULL,18,NULL),(16,207,3,34,21,67,92,11,8),(16,207,3,34,22,10,27,3,2),(16,207,3,34,23,6,42,4,3),(16,207,3,34,24,26,30,10,3),(16,207,3,34,25,9,34,6,7),(16,207,3,34,26,5,16,NULL,4),(16,207,3,34,27,6,45,NULL,8),(16,207,3,34,28,51,62,13,5),(16,207,3,34,29,56,38,13,1),(16,207,3,34,30,3,28,NULL,7),(16,208,1,11,1,NULL,NULL,1,NULL),(16,208,1,11,2,NULL,NULL,NULL,NULL),(16,208,1,11,3,NULL,NULL,NULL,1),(16,208,1,11,4,NULL,NULL,NULL,1),(16,208,1,11,5,NULL,NULL,NULL,1),(16,208,1,11,6,NULL,NULL,NULL,1),(16,208,1,11,7,NULL,NULL,NULL,NULL),(16,208,1,11,8,NULL,NULL,NULL,2),(16,208,1,11,9,NULL,NULL,NULL,NULL),(16,208,1,11,10,NULL,NULL,1,NULL),(16,208,1,11,11,NULL,NULL,2,NULL),(16,208,1,11,12,NULL,NULL,NULL,1),(16,208,1,11,13,NULL,NULL,1,1),(16,208,1,11,14,NULL,NULL,1,NULL),(16,208,1,11,15,NULL,NULL,1,NULL),(16,208,1,11,16,NULL,NULL,2,NULL),(16,208,1,11,17,NULL,NULL,1,NULL),(16,208,1,11,18,NULL,NULL,1,NULL),(16,208,1,11,19,NULL,NULL,1,NULL),(16,208,1,11,20,NULL,NULL,1,NULL),(16,208,1,12,1,1,NULL,NULL,NULL),(16,208,1,12,2,NULL,NULL,NULL,NULL),(16,208,1,12,3,1,NULL,NULL,NULL),(16,208,1,12,4,NULL,1,NULL,NULL),(16,208,1,12,5,NULL,NULL,NULL,NULL),(16,208,1,12,6,NULL,1,NULL,NULL),(16,208,1,12,7,NULL,NULL,NULL,NULL),(16,208,1,12,8,NULL,1,NULL,NULL),(16,208,1,12,9,NULL,NULL,NULL,NULL),(16,208,1,12,10,NULL,1,NULL,NULL),(16,208,1,12,11,1,NULL,NULL,NULL),(16,208,1,12,12,1,NULL,NULL,NULL),(16,208,1,12,13,NULL,1,NULL,NULL),(16,208,1,12,14,1,NULL,NULL,NULL),(16,208,1,12,15,1,NULL,NULL,NULL),(16,208,1,12,16,1,NULL,NULL,NULL),(16,208,1,12,17,1,NULL,NULL,NULL),(16,208,1,12,18,1,NULL,NULL,NULL),(16,208,1,12,19,NULL,1,NULL,NULL),(16,208,1,12,20,1,NULL,NULL,NULL),(16,208,1,13,1,NULL,NULL,NULL,NULL),(16,208,1,13,2,NULL,1,NULL,NULL),(16,208,1,13,3,NULL,NULL,NULL,NULL),(16,208,1,13,4,NULL,NULL,NULL,NULL),(16,208,1,13,5,NULL,NULL,NULL,NULL),(16,208,1,13,6,NULL,NULL,NULL,NULL),(16,208,1,13,7,NULL,1,NULL,NULL),(16,208,1,13,8,NULL,1,NULL,NULL),(16,208,1,13,9,NULL,NULL,NULL,NULL),(16,208,1,13,10,NULL,NULL,NULL,NULL),(16,208,1,13,11,1,NULL,NULL,NULL),(16,208,1,13,12,1,1,NULL,NULL),(16,208,1,13,13,1,1,NULL,NULL),(16,208,1,13,14,1,NULL,NULL,NULL),(16,208,1,13,15,1,NULL,NULL,NULL),(16,208,1,13,16,1,1,NULL,NULL),(16,208,1,13,17,1,NULL,NULL,NULL),(16,208,1,13,18,1,NULL,NULL,NULL),(16,208,1,13,19,1,NULL,NULL,NULL),(16,208,1,13,20,1,NULL,NULL,NULL),(16,208,1,14,1,59,52,23,18),(16,208,1,14,2,19,21,10,11),(16,208,1,14,3,32,53,7,23),(16,208,1,14,4,4,26,3,12),(16,208,1,14,5,32,53,12,17),(16,208,1,14,6,14,41,4,15),(16,208,1,14,7,15,21,10,8),(16,208,1,14,8,15,51,8,22),(16,208,1,14,9,9,30,5,15),(16,208,1,14,10,44,32,18,15),(16,208,1,14,11,54,24,23,8),(16,208,1,14,12,33,36,18,18),(16,208,1,14,13,65,55,26,16),(16,208,1,14,14,30,31,18,11),(16,208,1,14,15,14,37,8,14),(16,208,1,14,16,88,26,36,7),(16,208,1,14,17,52,54,15,29),(16,208,1,14,18,30,26,15,17),(16,208,1,14,19,55,41,19,18),(16,208,1,14,20,36,74,14,29),(16,208,1,15,1,56,43,20,7),(16,208,1,15,2,9,13,3,8),(16,208,1,15,3,32,38,9,10),(16,208,1,15,4,8,11,3,8),(16,208,1,15,5,22,38,12,12),(16,208,1,15,6,15,31,3,16),(16,208,1,15,7,5,11,5,6),(16,208,1,15,8,26,31,14,12),(16,208,1,15,9,13,20,6,9),(16,208,1,15,10,31,29,18,9),(16,208,1,15,11,40,26,24,2),(16,208,1,15,12,33,24,22,6),(16,208,1,15,13,63,38,29,4),(16,208,1,15,14,26,24,12,12),(16,208,1,15,15,18,28,7,12),(16,208,1,15,16,64,22,22,7),(16,208,1,15,17,31,55,11,20),(16,208,1,15,18,26,15,15,9),(16,208,1,15,19,44,38,17,13),(16,208,1,15,20,35,56,15,14),(16,208,1,16,1,20,18,6,3),(16,208,1,16,2,9,5,3,3),(16,208,1,16,3,13,16,6,2),(16,208,1,16,4,4,7,1,7),(16,208,1,16,5,15,18,4,4),(16,208,1,16,6,3,8,NULL,1),(16,208,1,16,7,4,10,2,2),(16,208,1,16,8,12,18,4,4),(16,208,1,16,9,5,9,2,NULL),(16,208,1,16,10,10,14,6,2),(16,208,1,16,11,23,44,5,4),(16,208,1,16,12,5,9,NULL,4),(16,208,1,16,13,20,15,4,2),(16,208,1,16,14,5,32,1,4),(16,208,1,16,15,23,33,7,3),(16,208,1,16,16,6,20,NULL,3),(16,208,1,16,17,13,35,2,7),(16,208,1,16,18,16,18,3,3),(16,208,1,16,19,17,42,3,8),(16,208,1,16,20,5,24,1,6),(16,208,1,17,1,18,20,4,1),(16,208,1,17,2,6,4,1,2),(16,208,1,17,3,11,8,3,NULL),(16,208,1,17,4,1,7,NULL,3),(16,208,1,17,5,8,15,2,NULL),(16,208,1,17,6,4,7,2,2),(16,208,1,17,7,6,5,2,1),(16,208,1,17,8,11,18,2,2),(16,208,1,17,9,2,9,2,2),(16,208,1,17,10,7,17,1,2),(16,208,1,17,11,20,36,2,3),(16,208,1,17,12,2,8,1,NULL),(16,208,1,17,13,15,25,3,1),(16,208,1,17,14,7,22,1,4),(16,208,1,17,15,16,30,2,2),(16,208,1,17,16,4,13,1,1),(16,208,1,17,17,6,25,3,2),(16,208,1,17,18,11,18,2,2),(16,208,1,17,19,12,32,3,NULL),(16,208,1,17,20,3,22,1,3),(16,208,2,21,1,15,13,8,8),(16,208,2,21,2,14,55,12,9),(16,208,2,21,3,23,16,14,6),(16,208,2,21,4,52,14,20,5),(16,208,2,21,5,30,29,11,9),(16,208,2,21,6,12,34,6,10),(16,208,2,21,7,13,10,3,6),(16,208,2,21,8,12,18,5,3),(16,208,2,21,9,4,16,1,5),(16,208,2,21,10,8,33,8,10),(16,208,2,21,11,17,22,6,10),(16,208,2,21,12,18,22,4,12),(16,208,2,21,13,12,23,1,16),(16,208,2,21,14,40,42,12,14),(16,208,2,21,15,70,8,23,1),(16,208,2,21,16,19,34,7,14),(16,208,2,21,17,18,24,6,9),(16,208,2,21,18,7,26,3,17),(16,208,2,21,19,41,38,16,6),(16,208,2,21,20,27,28,10,9),(16,208,2,21,21,15,24,9,7),(16,208,2,21,22,18,27,9,11),(16,208,2,21,23,21,33,12,13),(16,208,2,21,24,18,42,8,13),(16,208,2,21,25,7,NULL,7,NULL),(16,208,2,21,26,141,NULL,28,NULL),(16,208,2,21,27,10,34,10,15),(16,208,2,21,28,2,12,1,4),(16,208,2,21,29,24,40,4,16),(16,208,2,21,30,20,14,12,7),(16,208,2,22,1,8,13,5,5),(16,208,2,22,2,12,64,6,8),(16,208,2,22,3,25,17,8,4),(16,208,2,22,4,34,18,11,4),(16,208,2,22,5,26,29,6,6),(16,208,2,22,6,12,22,5,5),(16,208,2,22,7,13,13,3,1),(16,208,2,22,8,11,18,1,3),(16,208,2,22,9,1,8,NULL,3),(16,208,2,22,10,4,19,1,4),(16,208,2,22,11,14,17,2,8),(16,208,2,22,12,21,36,5,7),(16,208,2,22,13,13,25,2,7),(16,208,2,22,14,32,45,5,13),(16,208,2,22,15,58,13,12,1),(16,208,2,22,16,16,36,5,7),(16,208,2,22,17,9,21,6,4),(16,208,2,22,18,14,9,5,5),(16,208,2,22,19,35,45,10,8),(16,208,2,22,20,19,20,6,6),(16,208,2,22,21,14,28,6,3),(16,208,2,22,22,21,27,6,9),(16,208,2,22,23,27,30,6,7),(16,208,2,22,24,19,36,3,10),(16,208,2,22,25,6,NULL,5,NULL),(16,208,2,22,26,134,NULL,18,NULL),(16,208,2,22,27,16,36,7,3),(16,208,2,22,28,5,22,NULL,3),(16,208,2,22,29,13,45,3,10),(16,208,2,22,30,11,13,5,4),(16,208,2,23,1,11,10,8,6),(16,208,2,23,2,16,60,11,9),(16,208,2,23,3,17,13,9,7),(16,208,2,23,4,45,18,18,3),(16,208,2,23,5,33,22,13,6),(16,208,2,23,6,19,27,8,8),(16,208,2,23,7,11,18,2,4),(16,208,2,23,8,5,15,1,3),(16,208,2,23,9,5,12,6,3),(16,208,2,23,10,16,27,9,9),(16,208,2,23,11,11,13,3,7),(16,208,2,23,12,29,15,9,6),(16,208,2,23,13,7,29,3,14),(16,208,2,23,14,46,36,14,12),(16,208,2,23,15,59,10,17,2),(16,208,2,23,16,14,29,5,7),(16,208,2,23,17,13,27,8,9),(16,208,2,23,18,6,14,5,5),(16,208,2,23,19,26,55,10,13),(16,208,2,23,20,28,25,8,10),(16,208,2,23,21,13,27,9,4),(16,208,2,23,22,23,25,13,5),(16,208,2,23,23,32,15,16,5),(16,208,2,23,24,29,36,5,14),(16,208,2,23,25,9,NULL,8,NULL),(16,208,2,23,26,140,NULL,27,NULL),(16,208,2,23,27,20,37,7,9),(16,208,2,23,28,5,12,2,2),(16,208,2,23,29,17,44,5,10),(16,208,2,23,30,20,11,9,3),(16,208,2,24,1,10,16,10,5),(16,208,2,24,2,7,39,8,11),(16,208,2,24,3,19,21,7,7),(16,208,2,24,4,37,21,23,3),(16,208,2,24,5,23,25,10,7),(16,208,2,24,6,14,27,7,11),(16,208,2,24,7,6,19,4,2),(16,208,2,24,8,10,14,2,3),(16,208,2,24,9,6,10,7,2),(16,208,2,24,10,8,27,5,13),(16,208,2,24,11,13,15,8,6),(16,208,2,24,12,22,25,10,5),(16,208,2,24,13,11,25,3,9),(16,208,2,24,14,35,32,12,10),(16,208,2,24,15,61,3,21,NULL),(16,208,2,24,16,18,26,13,8),(16,208,2,24,17,11,25,5,14),(16,208,2,24,18,17,15,6,8),(16,208,2,24,19,29,40,11,13),(16,208,2,24,20,21,29,9,10),(16,208,2,24,21,9,26,6,6),(16,208,2,24,22,17,25,9,14),(16,208,2,24,23,25,20,11,9),(16,208,2,24,24,14,36,5,13),(16,208,2,24,25,9,NULL,9,NULL),(16,208,2,24,26,124,NULL,27,NULL),(16,208,2,24,27,8,33,7,10),(16,208,2,24,28,7,19,2,8),(16,208,2,24,29,9,40,4,15),(16,208,2,24,30,21,12,11,7),(16,208,3,31,1,3,8,2,9),(16,208,3,31,2,5,11,5,3),(16,208,3,31,3,1,22,NULL,16),(16,208,3,31,4,10,19,6,4),(16,208,3,31,5,18,37,7,12),(16,208,3,31,6,65,22,20,4),(16,208,3,31,7,8,11,4,9),(16,208,3,31,8,4,18,NULL,12),(16,208,3,31,9,1,12,1,8),(16,208,3,31,10,NULL,9,NULL,3),(16,208,3,31,11,22,17,7,4),(16,208,3,31,12,16,27,9,10),(16,208,3,31,13,17,20,7,9),(16,208,3,31,14,16,27,8,12),(16,208,3,31,15,26,21,16,6),(16,208,3,31,16,15,28,6,12),(16,208,3,31,17,54,19,18,7),(16,208,3,31,18,15,5,10,1),(16,208,3,31,19,8,14,6,9),(16,208,3,31,20,45,NULL,17,NULL),(16,208,3,31,21,16,42,10,12),(16,208,3,31,22,2,12,1,4),(16,208,3,31,23,2,16,1,5),(16,208,3,31,24,8,7,7,7),(16,208,3,31,25,1,12,NULL,8),(16,208,3,31,26,1,9,NULL,6),(16,208,3,31,27,1,16,1,5),(16,208,3,31,28,10,36,7,11),(16,208,3,31,29,26,21,9,4),(16,208,3,31,30,3,13,1,10),(16,208,3,32,1,5,11,5,6),(16,208,3,32,2,7,11,4,4),(16,208,3,32,3,2,27,NULL,12),(16,208,3,32,4,11,19,6,3),(16,208,3,32,5,25,52,8,11),(16,208,3,32,6,85,24,19,7),(16,208,3,32,7,6,13,3,10),(16,208,3,32,8,1,10,NULL,6),(16,208,3,32,9,2,8,1,4),(16,208,3,32,10,3,18,NULL,NULL),(16,208,3,32,11,26,18,4,4),(16,208,3,32,12,19,34,12,9),(16,208,3,32,13,14,18,10,7),(16,208,3,32,14,21,36,14,7),(16,208,3,32,15,27,27,13,7),(16,208,3,32,16,12,42,8,14),(16,208,3,32,17,54,33,15,11),(16,208,3,32,18,20,14,6,3),(16,208,3,32,19,15,26,6,11),(16,208,3,32,20,56,NULL,22,NULL),(16,208,3,32,21,27,56,9,12),(16,208,3,32,22,5,17,2,5),(16,208,3,32,23,8,23,3,7),(16,208,3,32,24,7,17,8,5),(16,208,3,32,25,3,11,3,6),(16,208,3,32,26,5,7,3,3),(16,208,3,32,27,3,24,1,6),(16,208,3,32,28,23,26,15,6),(16,208,3,32,29,23,25,14,4),(16,208,3,32,30,1,17,NULL,11),(16,208,3,33,1,2,16,1,5),(16,208,3,33,2,3,13,4,NULL),(16,208,3,33,3,3,16,NULL,6),(16,208,3,33,4,10,24,3,4),(16,208,3,33,5,28,43,7,5),(16,208,3,33,6,69,31,13,3),(16,208,3,33,7,3,8,2,5),(16,208,3,33,8,4,9,NULL,1),(16,208,3,33,9,1,9,NULL,2),(16,208,3,33,10,NULL,8,NULL,4),(16,208,3,33,11,24,22,5,1),(16,208,3,33,12,18,30,7,8),(16,208,3,33,13,17,19,4,3),(16,208,3,33,14,17,28,6,7),(16,208,3,33,15,17,26,7,4),(16,208,3,33,16,18,27,3,2),(16,208,3,33,17,50,33,12,4),(16,208,3,33,18,19,13,5,1),(16,208,3,33,19,9,22,1,4),(16,208,3,33,20,54,NULL,12,NULL),(16,208,3,33,21,28,54,9,5),(16,208,3,33,22,4,17,3,6),(16,208,3,33,23,6,25,1,3),(16,208,3,33,24,9,17,6,6),(16,208,3,33,25,7,8,4,5),(16,208,3,33,26,3,8,2,1),(16,208,3,33,27,6,16,2,3),(16,208,3,33,28,26,23,8,4),(16,208,3,33,29,30,24,6,4),(16,208,3,33,30,3,21,NULL,5),(16,208,3,34,1,6,18,2,10),(16,208,3,34,2,2,13,3,5),(16,208,3,34,3,3,16,2,9),(16,208,3,34,4,2,22,3,5),(16,208,3,34,5,26,41,5,13),(16,208,3,34,6,63,34,19,8),(16,208,3,34,7,6,16,1,6),(16,208,3,34,8,2,13,NULL,5),(16,208,3,34,9,3,10,1,3),(16,208,3,34,10,NULL,9,NULL,1),(16,208,3,34,11,29,17,5,9),(16,208,3,34,12,19,37,6,12),(16,208,3,34,13,15,21,10,8),(16,208,3,34,14,28,33,12,7),(16,208,3,34,15,27,37,10,13),(16,208,3,34,16,23,32,6,13),(16,208,3,34,17,48,29,11,13),(16,208,3,34,18,23,12,4,4),(16,208,3,34,19,9,21,3,7),(16,208,3,34,20,49,NULL,20,NULL),(16,208,3,34,21,27,50,9,13),(16,208,3,34,22,4,18,NULL,3),(16,208,3,34,23,7,17,3,8),(16,208,3,34,24,7,17,9,6),(16,208,3,34,25,3,12,1,4),(16,208,3,34,26,5,13,3,4),(16,208,3,34,27,8,14,1,5),(16,208,3,34,28,19,29,12,9),(16,208,3,34,29,32,17,15,4),(16,208,3,34,30,1,17,1,6),(16,211,1,11,1,NULL,1,NULL,NULL),(16,211,1,11,2,NULL,NULL,NULL,NULL),(16,211,1,11,3,1,NULL,NULL,NULL),(16,211,1,11,4,NULL,NULL,NULL,NULL),(16,211,1,11,5,1,NULL,NULL,NULL),(16,211,1,11,6,NULL,1,NULL,NULL),(16,211,1,11,7,NULL,1,NULL,NULL),(16,211,1,11,8,NULL,NULL,NULL,NULL),(16,211,1,11,9,NULL,1,NULL,NULL),(16,211,1,11,10,NULL,NULL,NULL,NULL),(16,211,1,11,11,1,NULL,NULL,NULL),(16,211,1,11,12,1,NULL,NULL,NULL),(16,211,1,11,13,NULL,NULL,NULL,NULL),(16,211,1,11,14,1,NULL,NULL,NULL),(16,211,1,11,15,1,NULL,NULL,NULL),(16,211,1,11,16,1,NULL,NULL,NULL),(16,211,1,11,17,NULL,1,NULL,NULL),(16,211,1,11,18,NULL,1,NULL,NULL),(16,211,1,11,19,1,NULL,NULL,NULL),(16,211,1,11,20,1,NULL,NULL,NULL),(16,211,1,12,1,1,1,NULL,NULL),(16,211,1,12,2,NULL,NULL,NULL,NULL),(16,211,1,12,3,NULL,NULL,NULL,NULL),(16,211,1,12,4,1,NULL,NULL,NULL),(16,211,1,12,5,NULL,1,NULL,NULL),(16,211,1,12,6,NULL,1,NULL,NULL),(16,211,1,12,7,NULL,NULL,NULL,NULL),(16,211,1,12,8,NULL,2,NULL,NULL),(16,211,1,12,9,NULL,NULL,NULL,NULL),(16,211,1,12,10,1,NULL,NULL,NULL),(16,211,1,12,11,2,NULL,NULL,NULL),(16,211,1,12,12,2,NULL,NULL,NULL),(16,211,1,12,13,2,NULL,NULL,NULL),(16,211,1,12,14,1,NULL,NULL,NULL),(16,211,1,12,15,1,1,NULL,NULL),(16,211,1,12,16,2,NULL,NULL,NULL),(16,211,1,12,17,2,NULL,NULL,NULL),(16,211,1,12,18,2,NULL,NULL,NULL),(16,211,1,12,19,NULL,2,NULL,NULL),(16,211,1,12,20,2,NULL,NULL,NULL),(16,211,1,13,1,1,1,NULL,NULL),(16,211,1,13,2,NULL,NULL,NULL,NULL),(16,211,1,13,3,NULL,2,NULL,NULL),(16,211,1,13,4,NULL,NULL,NULL,NULL),(16,211,1,13,5,1,1,NULL,NULL),(16,211,1,13,6,NULL,1,NULL,NULL),(16,211,1,13,7,NULL,1,NULL,NULL),(16,211,1,13,8,1,1,NULL,NULL),(16,211,1,13,9,NULL,NULL,NULL,NULL),(16,211,1,13,10,NULL,1,NULL,NULL),(16,211,1,13,11,3,NULL,NULL,NULL),(16,211,1,13,12,NULL,NULL,NULL,NULL),(16,211,1,13,13,3,NULL,NULL,NULL),(16,211,1,13,14,3,NULL,NULL,NULL),(16,211,1,13,15,NULL,NULL,NULL,NULL),(16,211,1,13,16,2,NULL,NULL,NULL),(16,211,1,13,17,1,NULL,NULL,NULL),(16,211,1,13,18,3,NULL,NULL,NULL),(16,211,1,13,19,2,1,NULL,NULL),(16,211,1,13,20,2,NULL,NULL,NULL),(16,211,1,14,1,53,45,20,11),(16,211,1,14,2,15,11,6,7),(16,211,1,14,3,44,46,14,9),(16,211,1,14,4,6,27,1,18),(16,211,1,14,5,55,42,19,10),(16,211,1,14,6,20,33,6,13),(16,211,1,14,7,13,21,7,8),(16,211,1,14,8,27,39,15,13),(16,211,1,14,9,14,28,8,11),(16,211,1,14,10,58,24,20,2),(16,211,1,14,11,55,29,18,4),(16,211,1,14,12,44,18,20,5),(16,211,1,14,13,67,49,22,8),(16,211,1,14,14,24,34,7,12),(16,211,1,14,15,21,42,11,12),(16,211,1,14,16,76,22,23,2),(16,211,1,14,17,55,53,17,16),(16,211,1,14,18,27,28,14,8),(16,211,1,14,19,56,39,18,8),(16,211,1,14,20,37,77,12,17),(16,211,1,15,1,47,54,10,11),(16,211,1,15,2,11,16,3,7),(16,211,1,15,3,27,47,6,10),(16,211,1,15,4,5,32,1,11),(16,211,1,15,5,35,40,12,4),(16,211,1,15,6,17,37,6,8),(16,211,1,15,7,11,11,3,3),(16,211,1,15,8,28,35,11,11),(16,211,1,15,9,9,31,4,8),(16,211,1,15,10,54,31,15,5),(16,211,1,15,11,46,16,11,2),(16,211,1,15,12,36,21,12,6),(16,211,1,15,13,64,24,16,4),(16,211,1,15,14,20,29,6,10),(16,211,1,15,15,23,21,8,6),(16,211,1,15,16,52,20,15,6),(16,211,1,15,17,45,47,14,9),(16,211,1,15,18,16,23,8,5),(16,211,1,15,19,39,39,13,6),(16,211,1,15,20,26,64,3,20),(16,211,1,16,1,33,32,4,4),(16,211,1,16,2,7,10,1,2),(16,211,1,16,3,24,28,3,5),(16,211,1,16,4,2,25,NULL,4),(16,211,1,16,5,44,24,3,6),(16,211,1,16,6,5,27,NULL,2),(16,211,1,16,7,7,17,1,4),(16,211,1,16,8,17,21,2,5),(16,211,1,16,9,5,17,2,1),(16,211,1,16,10,43,13,9,NULL),(16,211,1,16,11,34,70,2,12),(16,211,1,16,12,5,29,3,5),(16,211,1,16,13,28,45,6,6),(16,211,1,16,14,12,49,1,7),(16,211,1,16,15,35,56,6,8),(16,211,1,16,16,7,36,NULL,4),(16,211,1,16,17,23,51,4,8),(16,211,1,16,18,38,22,3,6),(16,211,1,16,19,24,60,7,5),(16,211,1,16,20,11,41,1,10),(16,211,1,17,1,21,33,4,9),(16,211,1,17,2,3,8,NULL,3),(16,211,1,17,3,17,25,4,4),(16,211,1,17,4,7,26,2,5),(16,211,1,17,5,29,28,6,3),(16,211,1,17,6,6,15,1,5),(16,211,1,17,7,5,9,2,1),(16,211,1,17,8,19,23,5,6),(16,211,1,17,9,10,13,2,3),(16,211,1,17,10,32,18,7,2),(16,211,1,17,11,30,55,5,8),(16,211,1,17,12,7,11,1,4),(16,211,1,17,13,25,46,3,10),(16,211,1,17,14,8,45,1,10),(16,211,1,17,15,38,39,9,3),(16,211,1,17,16,3,28,NULL,6),(16,211,1,17,17,22,49,1,10),(16,211,1,17,18,27,27,7,6),(16,211,1,17,19,22,66,4,5),(16,211,1,17,20,6,47,1,8),(16,211,2,21,1,11,14,5,4),(16,211,2,21,2,20,60,7,6),(16,211,2,21,3,26,26,3,4),(16,211,2,21,4,56,16,7,6),(16,211,2,21,5,25,42,7,4),(16,211,2,21,6,12,33,7,4),(16,211,2,21,7,14,13,1,2),(16,211,2,21,8,11,15,1,3),(16,211,2,21,9,8,14,4,3),(16,211,2,21,10,20,31,6,5),(16,211,2,21,11,16,19,5,2),(16,211,2,21,12,26,23,5,4),(16,211,2,21,13,11,25,1,6),(16,211,2,21,14,49,34,10,4),(16,211,2,21,15,60,16,10,2),(16,211,2,21,16,22,22,6,3),(16,211,2,21,17,24,21,4,5),(16,211,2,21,18,15,16,3,2),(16,211,2,21,19,46,38,6,5),(16,211,2,21,20,26,19,8,4),(16,211,2,21,21,19,33,5,4),(16,211,2,21,22,15,33,5,6),(16,211,2,21,23,13,27,4,6),(16,211,2,21,24,21,38,1,10),(16,211,2,21,25,4,NULL,2,NULL),(16,211,2,21,26,146,NULL,14,NULL),(16,211,2,21,27,12,34,5,6),(16,211,2,21,28,3,11,1,4),(16,211,2,21,29,15,29,4,6),(16,211,2,21,30,20,15,9,1),(16,211,2,22,1,14,25,8,5),(16,211,2,22,2,23,66,9,10),(16,211,2,22,3,44,27,11,7),(16,211,2,22,4,72,21,19,3),(16,211,2,22,5,37,32,13,8),(16,211,2,22,6,22,26,10,4),(16,211,2,22,7,12,25,5,6),(16,211,2,22,8,10,18,4,4),(16,211,2,22,9,15,14,8,3),(16,211,2,22,10,22,43,6,9),(16,211,2,22,11,20,24,7,11),(16,211,2,22,12,25,43,4,10),(16,211,2,22,13,6,34,4,9),(16,211,2,22,14,40,55,11,14),(16,211,2,22,15,74,9,21,1),(16,211,2,22,16,27,36,7,14),(16,211,2,22,17,21,28,6,9),(16,211,2,22,18,11,23,3,7),(16,211,2,22,19,40,55,16,7),(16,211,2,22,20,22,29,7,10),(16,211,2,22,21,26,35,8,9),(16,211,2,22,22,27,29,6,13),(16,211,2,22,23,34,44,10,14),(16,211,2,22,24,19,45,2,12),(16,211,2,22,25,11,NULL,9,NULL),(16,211,2,22,26,151,NULL,29,NULL),(16,211,2,22,27,31,40,15,9),(16,211,2,22,28,4,22,2,5),(16,211,2,22,29,18,61,4,19),(16,211,2,22,30,27,24,7,9),(16,211,2,23,1,17,8,8,2),(16,211,2,23,2,23,56,9,11),(16,211,2,23,3,35,21,10,3),(16,211,2,23,4,52,12,15,2),(16,211,2,23,5,24,37,11,4),(16,211,2,23,6,24,34,8,9),(16,211,2,23,7,9,12,1,NULL),(16,211,2,23,8,13,8,3,1),(16,211,2,23,9,4,12,2,3),(16,211,2,23,10,21,23,7,6),(16,211,2,23,11,16,20,7,8),(16,211,2,23,12,36,22,12,6),(16,211,2,23,13,9,38,1,13),(16,211,2,23,14,54,38,15,9),(16,211,2,23,15,70,5,17,1),(16,211,2,23,16,25,30,8,7),(16,211,2,23,17,18,31,8,8),(16,211,2,23,18,11,21,5,7),(16,211,2,23,19,39,48,13,11),(16,211,2,23,20,35,21,12,3),(16,211,2,23,21,18,30,7,5),(16,211,2,23,22,14,22,5,7),(16,211,2,23,23,24,39,8,11),(16,211,2,23,24,13,48,5,10),(16,211,2,23,25,14,NULL,9,NULL),(16,211,2,23,26,141,NULL,25,NULL),(16,211,2,23,27,24,30,12,5),(16,211,2,23,28,5,22,2,6),(16,211,2,23,29,16,55,4,14),(16,211,2,23,30,27,14,12,3),(16,211,2,24,1,20,16,13,4),(16,211,2,24,2,28,43,11,6),(16,211,2,24,3,33,26,9,3),(16,211,2,24,4,48,17,18,2),(16,211,2,24,5,33,35,13,3),(16,211,2,24,6,22,29,8,8),(16,211,2,24,7,13,7,2,NULL),(16,211,2,24,8,12,18,5,2),(16,211,2,24,9,4,21,3,5),(16,211,2,24,10,18,30,4,6),(16,211,2,24,11,12,18,4,3),(16,211,2,24,12,18,25,5,7),(16,211,2,24,13,21,18,10,4),(16,211,2,24,14,51,30,12,7),(16,211,2,24,15,64,9,16,NULL),(16,211,2,24,16,24,33,8,8),(16,211,2,24,17,21,18,7,4),(16,211,2,24,18,11,18,4,3),(16,211,2,24,19,45,46,17,5),(16,211,2,24,20,32,26,13,2),(16,211,2,24,21,12,26,8,6),(16,211,2,24,22,22,29,11,7),(16,211,2,24,23,28,35,11,5),(16,211,2,24,24,13,47,5,10),(16,211,2,24,25,8,NULL,6,NULL),(16,211,2,24,26,132,NULL,22,NULL),(16,211,2,24,27,18,27,12,5),(16,211,2,24,28,5,17,NULL,3),(16,211,2,24,29,14,53,7,10),(16,211,2,24,30,28,16,11,2),(16,211,3,31,1,3,22,2,4),(16,211,3,31,2,10,15,3,4),(16,211,3,31,3,6,23,4,9),(16,211,3,31,4,12,22,8,5),(16,211,3,31,5,20,40,4,10),(16,211,3,31,6,80,24,19,1),(16,211,3,31,7,10,11,4,4),(16,211,3,31,8,4,15,2,4),(16,211,3,31,9,2,17,3,3),(16,211,3,31,10,6,10,1,NULL),(16,211,3,31,11,25,19,5,2),(16,211,3,31,12,23,28,12,5),(16,211,3,31,13,25,26,9,6),(16,211,3,31,14,29,41,8,4),(16,211,3,31,15,26,28,14,3),(16,211,3,31,16,25,30,8,8),(16,211,3,31,17,61,32,15,4),(16,211,3,31,18,24,8,4,NULL),(16,211,3,31,19,17,21,9,3),(16,211,3,31,20,61,NULL,20,NULL),(16,211,3,31,21,30,53,10,7),(16,211,3,31,22,5,18,3,6),(16,211,3,31,23,6,31,2,7),(16,211,3,31,24,18,21,9,5),(16,211,3,31,25,5,23,3,10),(16,211,3,31,26,4,6,3,4),(16,211,3,31,27,3,23,NULL,8),(16,211,3,31,28,29,35,13,5),(16,211,3,31,29,25,26,8,3),(16,211,3,31,30,1,14,1,7),(16,211,3,32,1,6,23,3,6),(16,211,3,32,2,6,18,1,2),(16,211,3,32,3,4,24,2,11),(16,211,3,32,4,8,17,3,4),(16,211,3,32,5,28,48,9,7),(16,211,3,32,6,86,20,19,2),(16,211,3,32,7,5,16,2,4),(16,211,3,32,8,1,16,NULL,6),(16,211,3,32,9,1,13,1,3),(16,211,3,32,10,1,11,1,2),(16,211,3,32,11,29,19,11,3),(16,211,3,32,12,28,35,11,8),(16,211,3,32,13,22,20,8,6),(16,211,3,32,14,35,39,11,7),(16,211,3,32,15,33,32,9,10),(16,211,3,32,16,18,49,2,13),(16,211,3,32,17,61,35,13,8),(16,211,3,32,18,19,12,4,1),(16,211,3,32,19,19,29,3,9),(16,211,3,32,20,75,NULL,19,NULL),(16,211,3,32,21,30,49,9,8),(16,211,3,32,22,7,13,3,2),(16,211,3,32,23,7,23,1,6),(16,211,3,32,24,16,15,5,6),(16,211,3,32,25,6,18,2,6),(16,211,3,32,26,4,9,1,6),(16,211,3,32,27,5,25,2,8),(16,211,3,32,28,29,32,9,7),(16,211,3,32,29,33,23,11,4),(16,211,3,32,30,1,10,2,1),(16,211,3,33,1,7,16,1,10),(16,211,3,33,2,8,16,2,7),(16,211,3,33,3,6,26,3,8),(16,211,3,33,4,7,20,4,3),(16,211,3,33,5,38,41,9,9),(16,211,3,33,6,92,27,21,5),(16,211,3,33,7,8,15,4,3),(16,211,3,33,8,3,7,1,2),(16,211,3,33,9,3,16,1,6),(16,211,3,33,10,3,10,NULL,NULL),(16,211,3,33,11,24,26,4,5),(16,211,3,33,12,28,42,11,7),(16,211,3,33,13,18,27,8,9),(16,211,3,33,14,22,40,11,8),(16,211,3,33,15,29,33,13,11),(16,211,3,33,16,21,52,9,11),(16,211,3,33,17,64,40,16,11),(16,211,3,33,18,23,15,2,6),(16,211,3,33,19,11,40,5,10),(16,211,3,33,20,85,NULL,24,NULL),(16,211,3,33,21,41,61,11,11),(16,211,3,33,22,6,19,4,6),(16,211,3,33,23,5,29,3,6),(16,211,3,33,24,20,24,10,8),(16,211,3,33,25,5,19,2,10),(16,211,3,33,26,5,8,3,1),(16,211,3,33,27,3,25,2,8),(16,211,3,33,28,37,31,15,7),(16,211,3,33,29,38,28,10,5),(16,211,3,33,30,3,12,NULL,5),(16,211,3,34,1,2,21,NULL,2),(16,211,3,34,2,3,19,NULL,3),(16,211,3,34,3,1,19,1,5),(16,211,3,34,4,3,27,1,2),(16,211,3,34,5,30,32,4,7),(16,211,3,34,6,74,38,9,3),(16,211,3,34,7,6,11,1,3),(16,211,3,34,8,NULL,16,NULL,4),(16,211,3,34,9,5,9,NULL,3),(16,211,3,34,10,5,13,NULL,1),(16,211,3,34,11,20,21,1,3),(16,211,3,34,12,22,33,5,6),(16,211,3,34,13,12,21,2,6),(16,211,3,34,14,22,40,5,7),(16,211,3,34,15,29,25,5,5),(16,211,3,34,16,26,46,3,8),(16,211,3,34,17,37,35,3,9),(16,211,3,34,18,28,11,6,NULL),(16,211,3,34,19,16,29,2,3),(16,211,3,34,20,67,NULL,11,NULL),(16,211,3,34,21,38,53,11,1),(16,211,3,34,22,6,13,3,2),(16,211,3,34,23,7,20,1,4),(16,211,3,34,24,16,21,4,3),(16,211,3,34,25,4,20,3,2),(16,211,3,34,26,2,6,NULL,3),(16,211,3,34,27,6,19,1,4),(16,211,3,34,28,25,31,7,4),(16,211,3,34,29,28,28,5,2),(16,211,3,34,30,2,11,NULL,4),(16,212,1,11,1,NULL,NULL,NULL,NULL),(16,212,1,11,2,NULL,NULL,NULL,NULL),(16,212,1,11,3,NULL,NULL,NULL,NULL),(16,212,1,11,4,NULL,NULL,NULL,NULL),(16,212,1,11,5,NULL,NULL,NULL,NULL),(16,212,1,11,6,NULL,NULL,NULL,NULL),(16,212,1,11,7,NULL,NULL,NULL,NULL),(16,212,1,11,8,NULL,NULL,NULL,NULL),(16,212,1,11,9,NULL,NULL,NULL,NULL),(16,212,1,11,10,NULL,NULL,NULL,NULL),(16,212,1,11,11,NULL,NULL,NULL,NULL),(16,212,1,11,12,NULL,NULL,NULL,NULL),(16,212,1,11,13,NULL,NULL,NULL,NULL),(16,212,1,11,14,NULL,NULL,NULL,NULL),(16,212,1,11,15,NULL,NULL,NULL,NULL),(16,212,1,11,16,NULL,NULL,NULL,NULL),(16,212,1,11,17,NULL,NULL,NULL,NULL),(16,212,1,11,18,NULL,NULL,NULL,NULL),(16,212,1,11,19,NULL,NULL,NULL,NULL),(16,212,1,11,20,NULL,NULL,NULL,NULL),(16,212,1,12,1,NULL,NULL,NULL,NULL),(16,212,1,12,2,NULL,NULL,NULL,NULL),(16,212,1,12,3,NULL,NULL,NULL,NULL),(16,212,1,12,4,NULL,NULL,NULL,NULL),(16,212,1,12,5,NULL,NULL,NULL,NULL),(16,212,1,12,6,NULL,NULL,NULL,NULL),(16,212,1,12,7,NULL,NULL,NULL,NULL),(16,212,1,12,8,NULL,NULL,NULL,NULL),(16,212,1,12,9,NULL,NULL,NULL,NULL),(16,212,1,12,10,NULL,NULL,NULL,NULL),(16,212,1,12,11,NULL,NULL,NULL,NULL),(16,212,1,12,12,NULL,NULL,NULL,NULL),(16,212,1,12,13,NULL,NULL,NULL,NULL),(16,212,1,12,14,NULL,NULL,NULL,NULL),(16,212,1,12,15,NULL,NULL,NULL,NULL),(16,212,1,12,16,NULL,NULL,NULL,NULL),(16,212,1,12,17,NULL,NULL,NULL,NULL),(16,212,1,12,18,NULL,NULL,NULL,NULL),(16,212,1,12,19,NULL,NULL,NULL,NULL),(16,212,1,12,20,NULL,NULL,NULL,NULL),(16,212,1,13,1,1,NULL,NULL,NULL),(16,212,1,13,2,NULL,NULL,NULL,NULL),(16,212,1,13,3,NULL,NULL,NULL,NULL),(16,212,1,13,4,NULL,NULL,NULL,NULL),(16,212,1,13,5,NULL,1,NULL,NULL),(16,212,1,13,6,NULL,1,NULL,NULL),(16,212,1,13,7,NULL,NULL,NULL,NULL),(16,212,1,13,8,1,NULL,NULL,NULL),(16,212,1,13,9,NULL,NULL,NULL,NULL),(16,212,1,13,10,1,NULL,NULL,NULL),(16,212,1,13,11,1,NULL,NULL,NULL),(16,212,1,13,12,1,NULL,NULL,NULL),(16,212,1,13,13,1,NULL,NULL,NULL),(16,212,1,13,14,NULL,NULL,NULL,NULL),(16,212,1,13,15,NULL,1,NULL,NULL),(16,212,1,13,16,NULL,NULL,NULL,NULL),(16,212,1,13,17,1,NULL,NULL,NULL),(16,212,1,13,18,NULL,1,NULL,NULL),(16,212,1,13,19,NULL,NULL,NULL,NULL),(16,212,1,13,20,NULL,NULL,NULL,NULL),(16,212,1,14,1,19,22,7,6),(16,212,1,14,2,5,8,NULL,5),(16,212,1,14,3,9,15,3,6),(16,212,1,14,4,5,13,2,8),(16,212,1,14,5,17,10,8,5),(16,212,1,14,6,9,16,2,4),(16,212,1,14,7,3,5,1,4),(16,212,1,14,8,8,7,4,7),(16,212,1,14,9,7,9,3,2),(16,212,1,14,10,13,5,9,2),(16,212,1,14,11,19,5,9,2),(16,212,1,14,12,19,10,7,6),(16,212,1,14,13,31,9,11,3),(16,212,1,14,14,6,10,6,1),(16,212,1,14,15,7,16,3,6),(16,212,1,14,16,30,4,15,1),(16,212,1,14,17,19,21,10,6),(16,212,1,14,18,16,11,8,2),(16,212,1,14,19,22,10,8,4),(16,212,1,14,20,10,21,3,12),(16,212,1,15,1,19,15,4,3),(16,212,1,15,2,6,8,3,1),(16,212,1,15,3,13,21,NULL,7),(16,212,1,15,4,3,18,1,6),(16,212,1,15,5,9,16,4,4),(16,212,1,15,6,9,19,3,5),(16,212,1,15,7,2,5,1,NULL),(16,212,1,15,8,9,12,4,1),(16,212,1,15,9,4,14,2,4),(16,212,1,15,10,16,17,3,4),(16,212,1,15,11,18,3,7,NULL),(16,212,1,15,12,9,9,8,1),(16,212,1,15,13,28,13,9,1),(16,212,1,15,14,8,13,5,3),(16,212,1,15,15,8,16,2,5),(16,212,1,15,16,25,3,8,NULL),(16,212,1,15,17,31,12,6,3),(16,212,1,15,18,8,14,4,4),(16,212,1,15,19,21,16,4,3),(16,212,1,15,20,10,25,5,2),(16,212,1,16,1,12,14,4,2),(16,212,1,16,2,2,8,1,1),(16,212,1,16,3,9,11,2,3),(16,212,1,16,4,1,9,NULL,1),(16,212,1,16,5,10,15,2,2),(16,212,1,16,6,NULL,2,1,2),(16,212,1,16,7,3,5,NULL,NULL),(16,212,1,16,8,9,7,2,2),(16,212,1,16,9,1,5,NULL,1),(16,212,1,16,10,12,11,3,1),(16,212,1,16,11,8,28,2,3),(16,212,1,16,12,3,13,2,1),(16,212,1,16,13,12,17,2,2),(16,212,1,16,14,4,19,NULL,1),(16,212,1,16,15,12,18,3,2),(16,212,1,16,16,1,11,NULL,1),(16,212,1,16,17,5,16,NULL,5),(16,212,1,16,18,8,14,1,1),(16,212,1,16,19,9,25,3,2),(16,212,1,16,20,2,22,1,1),(16,212,1,17,1,10,11,1,2),(16,212,1,17,2,1,3,NULL,2),(16,212,1,17,3,7,10,NULL,4),(16,212,1,17,4,2,6,NULL,3),(16,212,1,17,5,7,10,4,1),(16,212,1,17,6,2,5,NULL,2),(16,212,1,17,7,4,4,2,NULL),(16,212,1,17,8,9,11,1,4),(16,212,1,17,9,7,4,NULL,NULL),(16,212,1,17,10,15,7,4,3),(16,212,1,17,11,14,20,1,6),(16,212,1,17,12,1,5,NULL,2),(16,212,1,17,13,7,15,3,4),(16,212,1,17,14,6,19,NULL,3),(16,212,1,17,15,13,17,3,2),(16,212,1,17,16,1,8,NULL,2),(16,212,1,17,17,3,13,1,5),(16,212,1,17,18,13,10,3,2),(16,212,1,17,19,8,21,NULL,3),(16,212,1,17,20,3,23,NULL,4),(16,212,2,21,1,6,9,4,2),(16,212,2,21,2,7,19,3,5),(16,212,2,21,3,8,10,3,2),(16,212,2,21,4,20,10,7,NULL),(16,212,2,21,5,8,18,5,4),(16,212,2,21,6,6,13,2,4),(16,212,2,21,7,5,8,2,1),(16,212,2,21,8,7,5,NULL,1),(16,212,2,21,9,4,8,4,3),(16,212,2,21,10,3,18,1,5),(16,212,2,21,11,5,8,1,3),(16,212,2,21,12,9,8,2,2),(16,212,2,21,13,6,11,1,3),(16,212,2,21,14,15,18,6,3),(16,212,2,21,15,27,2,6,NULL),(16,212,2,21,16,14,9,3,3),(16,212,2,21,17,7,12,3,4),(16,212,2,21,18,6,3,1,4),(16,212,2,21,19,16,19,4,4),(16,212,2,21,20,7,13,3,3),(16,212,2,21,21,7,8,2,2),(16,212,2,21,22,12,9,4,4),(16,212,2,21,23,10,13,4,2),(16,212,2,21,24,6,18,1,5),(16,212,2,21,25,9,NULL,6,NULL),(16,212,2,21,26,53,NULL,10,NULL),(16,212,2,21,27,12,9,3,4),(16,212,2,21,28,3,7,NULL,1),(16,212,2,21,29,11,14,4,6),(16,212,2,21,30,11,6,2,1),(16,212,2,22,1,5,7,5,4),(16,212,2,22,2,3,20,4,7),(16,212,2,22,3,13,11,5,2),(16,212,2,22,4,18,8,6,3),(16,212,2,22,5,13,8,5,4),(16,212,2,22,6,2,11,1,6),(16,212,2,22,7,5,7,3,3),(16,212,2,22,8,NULL,13,NULL,3),(16,212,2,22,9,1,5,2,4),(16,212,2,22,10,4,15,2,5),(16,212,2,22,11,8,4,4,2),(16,212,2,22,12,9,16,3,5),(16,212,2,22,13,5,14,2,3),(16,212,2,22,14,17,22,5,6),(16,212,2,22,15,27,5,7,NULL),(16,212,2,22,16,6,17,3,6),(16,212,2,22,17,10,8,3,3),(16,212,2,22,18,3,9,2,2),(16,212,2,22,19,14,17,5,4),(16,212,2,22,20,6,17,4,3),(16,212,2,22,21,5,12,3,5),(16,212,2,22,22,11,13,6,2),(16,212,2,22,23,13,16,2,7),(16,212,2,22,24,5,24,NULL,8),(16,212,2,22,25,6,NULL,3,NULL),(16,212,2,22,26,54,NULL,11,NULL),(16,212,2,22,27,7,17,5,4),(16,212,2,22,28,1,11,1,1),(16,212,2,22,29,10,21,3,8),(16,212,2,22,30,9,11,5,2),(16,212,2,23,1,3,8,2,1),(16,212,2,23,2,7,20,4,2),(16,212,2,23,3,9,7,4,1),(16,212,2,23,4,19,3,6,NULL),(16,212,2,23,5,11,13,4,3),(16,212,2,23,6,10,10,5,2),(16,212,2,23,7,2,7,2,1),(16,212,2,23,8,5,4,1,1),(16,212,2,23,9,1,9,1,3),(16,212,2,23,10,5,7,4,4),(16,212,2,23,11,5,3,3,1),(16,212,2,23,12,13,8,3,1),(16,212,2,23,13,5,16,1,2),(16,212,2,23,14,20,16,4,4),(16,212,2,23,15,20,4,6,NULL),(16,212,2,23,16,11,15,6,1),(16,212,2,23,17,6,14,4,1),(16,212,2,23,18,6,2,2,1),(16,212,2,23,19,17,21,4,3),(16,212,2,23,20,12,11,3,2),(16,212,2,23,21,12,6,4,NULL),(16,212,2,23,22,9,10,1,3),(16,212,2,23,23,18,8,5,2),(16,212,2,23,24,8,15,1,4),(16,212,2,23,25,4,NULL,4,NULL),(16,212,2,23,26,53,NULL,8,NULL),(16,212,2,23,27,10,14,5,1),(16,212,2,23,28,1,8,NULL,2),(16,212,2,23,29,3,24,1,5),(16,212,2,23,30,10,8,4,1),(16,212,2,24,1,5,8,NULL,2),(16,212,2,24,2,4,20,3,4),(16,212,2,24,3,11,8,5,1),(16,212,2,24,4,23,7,6,1),(16,212,2,24,5,5,13,3,3),(16,212,2,24,6,8,11,3,4),(16,212,2,24,7,5,3,NULL,NULL),(16,212,2,24,8,6,4,3,2),(16,212,2,24,9,5,3,3,1),(16,212,2,24,10,5,14,1,3),(16,212,2,24,11,7,8,1,4),(16,212,2,24,12,13,8,1,3),(16,212,2,24,13,9,10,3,4),(16,212,2,24,14,17,15,2,9),(16,212,2,24,15,26,1,10,NULL),(16,212,2,24,16,10,13,2,7),(16,212,2,24,17,5,8,1,6),(16,212,2,24,18,5,10,3,3),(16,212,2,24,19,17,15,6,3),(16,212,2,24,20,7,10,5,2),(16,212,2,24,21,11,4,2,2),(16,212,2,24,22,10,13,5,2),(16,212,2,24,23,11,16,4,6),(16,212,2,24,24,6,19,NULL,6),(16,212,2,24,25,3,NULL,3,NULL),(16,212,2,24,26,51,NULL,11,NULL),(16,212,2,24,27,6,12,3,6),(16,212,2,24,28,4,6,2,2),(16,212,2,24,29,3,23,1,8),(16,212,2,24,30,10,5,5,1),(16,212,3,31,1,4,8,2,2),(16,212,3,31,2,2,5,NULL,1),(16,212,3,31,3,1,11,NULL,8),(16,212,3,31,4,2,4,NULL,2),(16,212,3,31,5,10,10,3,3),(16,212,3,31,6,33,10,9,1),(16,212,3,31,7,1,6,1,4),(16,212,3,31,8,2,7,2,3),(16,212,3,31,9,3,3,1,1),(16,212,3,31,10,NULL,2,NULL,1),(16,212,3,31,11,6,10,2,2),(16,212,3,31,12,7,12,3,4),(16,212,3,31,13,9,5,4,2),(16,212,3,31,14,8,14,3,5),(16,212,3,31,15,10,14,4,5),(16,212,3,31,16,6,11,2,4),(16,212,3,31,17,16,16,6,5),(16,212,3,31,18,10,3,3,1),(16,212,3,31,19,1,4,1,2),(16,212,3,31,20,25,NULL,9,NULL),(16,212,3,31,21,6,20,3,4),(16,212,3,31,22,1,8,2,2),(16,212,3,31,23,4,7,NULL,2),(16,212,3,31,24,4,6,4,2),(16,212,3,31,25,1,7,1,4),(16,212,3,31,26,NULL,4,NULL,2),(16,212,3,31,27,3,6,1,2),(16,212,3,31,28,10,12,6,2),(16,212,3,31,29,11,8,2,2),(16,212,3,31,30,2,10,NULL,6),(16,212,3,32,1,3,5,NULL,1),(16,212,3,32,2,NULL,3,1,1),(16,212,3,32,3,2,9,1,4),(16,212,3,32,4,1,8,3,NULL),(16,212,3,32,5,9,15,2,1),(16,212,3,32,6,35,7,6,1),(16,212,3,32,7,4,8,2,4),(16,212,3,32,8,2,4,1,1),(16,212,3,32,9,2,3,2,NULL),(16,212,3,32,10,1,3,NULL,NULL),(16,212,3,32,11,12,9,2,NULL),(16,212,3,32,12,10,18,4,4),(16,212,3,32,13,8,8,4,1),(16,212,3,32,14,8,17,NULL,5),(16,212,3,32,15,10,11,3,1),(16,212,3,32,16,6,21,2,3),(16,212,3,32,17,26,13,4,4),(16,212,3,32,18,13,4,1,1),(16,212,3,32,19,3,15,3,3),(16,212,3,32,20,24,NULL,5,NULL),(16,212,3,32,21,7,20,5,2),(16,212,3,32,22,NULL,11,1,1),(16,212,3,32,23,1,9,NULL,1),(16,212,3,32,24,7,4,5,NULL),(16,212,3,32,25,3,13,NULL,6),(16,212,3,32,26,NULL,3,NULL,1),(16,212,3,32,27,2,9,1,2),(16,212,3,32,28,8,14,4,3),(16,212,3,32,29,7,11,1,1),(16,212,3,32,30,NULL,5,2,1),(16,212,3,33,1,NULL,8,1,2),(16,212,3,33,2,NULL,5,NULL,NULL),(16,212,3,33,3,NULL,8,NULL,2),(16,212,3,33,4,2,10,2,2),(16,212,3,33,5,10,13,4,3),(16,212,3,33,6,31,12,7,3),(16,212,3,33,7,4,4,4,NULL),(16,212,3,33,8,3,5,1,2),(16,212,3,33,9,1,3,NULL,2),(16,212,3,33,10,1,2,1,NULL),(16,212,3,33,11,9,9,1,2),(16,212,3,33,12,9,14,3,4),(16,212,3,33,13,11,6,1,1),(16,212,3,33,14,9,12,1,8),(16,212,3,33,15,12,6,5,5),(16,212,3,33,16,7,11,4,3),(16,212,3,33,17,20,18,6,3),(16,212,3,33,18,15,2,4,2),(16,212,3,33,19,7,17,1,4),(16,212,3,33,20,29,NULL,9,NULL),(16,212,3,33,21,10,31,6,5),(16,212,3,33,22,3,8,NULL,1),(16,212,3,33,23,NULL,14,NULL,1),(16,212,3,33,24,7,9,2,2),(16,212,3,33,25,NULL,6,NULL,NULL),(16,212,3,33,26,NULL,2,NULL,1),(16,212,3,33,27,3,8,1,NULL),(16,212,3,33,28,9,12,6,1),(16,212,3,33,29,6,10,4,1),(16,212,3,33,30,2,4,1,NULL),(16,212,3,34,1,NULL,7,NULL,4),(16,212,3,34,2,10,7,4,3),(16,212,3,34,3,3,6,1,3),(16,212,3,34,4,3,5,1,3),(16,212,3,34,5,5,23,1,4),(16,212,3,34,6,32,9,10,NULL),(16,212,3,34,7,4,4,2,3),(16,212,3,34,8,1,10,NULL,1),(16,212,3,34,9,1,3,NULL,1),(16,212,3,34,10,NULL,4,NULL,1),(16,212,3,34,11,7,8,NULL,3),(16,212,3,34,12,7,12,2,4),(16,212,3,34,13,10,6,5,1),(16,212,3,34,14,13,18,4,4),(16,212,3,34,15,15,5,5,2),(16,212,3,34,16,14,14,5,2),(16,212,3,34,17,15,15,7,3),(16,212,3,34,18,11,3,4,NULL),(16,212,3,34,19,5,11,3,6),(16,212,3,34,20,26,NULL,9,NULL),(16,212,3,34,21,8,18,5,5),(16,212,3,34,22,2,6,NULL,1),(16,212,3,34,23,2,8,1,4),(16,212,3,34,24,3,8,3,1),(16,212,3,34,25,NULL,7,NULL,4),(16,212,3,34,26,3,5,2,2),(16,212,3,34,27,5,10,NULL,6),(16,212,3,34,28,9,10,3,3),(16,212,3,34,29,8,7,4,3),(16,212,3,34,30,1,6,NULL,4),(16,213,1,11,1,NULL,NULL,NULL,NULL),(16,213,1,11,2,NULL,NULL,NULL,NULL),(16,213,1,11,3,NULL,NULL,NULL,NULL),(16,213,1,11,4,NULL,NULL,NULL,NULL),(16,213,1,11,5,NULL,NULL,NULL,NULL),(16,213,1,11,6,NULL,NULL,NULL,NULL),(16,213,1,11,7,NULL,NULL,NULL,NULL),(16,213,1,11,8,NULL,NULL,NULL,NULL),(16,213,1,11,9,NULL,NULL,NULL,NULL),(16,213,1,11,10,NULL,NULL,NULL,NULL),(16,213,1,11,11,NULL,NULL,NULL,NULL),(16,213,1,11,12,NULL,NULL,NULL,NULL),(16,213,1,11,13,NULL,NULL,NULL,NULL),(16,213,1,11,14,NULL,NULL,NULL,NULL),(16,213,1,11,15,NULL,NULL,NULL,NULL),(16,213,1,11,16,NULL,NULL,NULL,NULL),(16,213,1,11,17,NULL,NULL,NULL,NULL),(16,213,1,11,18,NULL,NULL,NULL,NULL),(16,213,1,11,19,NULL,NULL,NULL,NULL),(16,213,1,11,20,NULL,NULL,NULL,NULL),(16,213,1,12,1,NULL,NULL,NULL,NULL),(16,213,1,12,2,NULL,NULL,NULL,NULL),(16,213,1,12,3,NULL,NULL,NULL,NULL),(16,213,1,12,4,NULL,NULL,NULL,NULL),(16,213,1,12,5,NULL,NULL,NULL,NULL),(16,213,1,12,6,NULL,NULL,NULL,NULL),(16,213,1,12,7,NULL,NULL,NULL,NULL),(16,213,1,12,8,NULL,NULL,NULL,NULL),(16,213,1,12,9,NULL,NULL,NULL,NULL),(16,213,1,12,10,NULL,NULL,NULL,NULL),(16,213,1,12,11,NULL,NULL,NULL,NULL),(16,213,1,12,12,NULL,NULL,NULL,NULL),(16,213,1,12,13,NULL,NULL,NULL,NULL),(16,213,1,12,14,NULL,NULL,NULL,NULL),(16,213,1,12,15,NULL,NULL,NULL,NULL),(16,213,1,12,16,NULL,NULL,NULL,NULL),(16,213,1,12,17,NULL,NULL,NULL,NULL),(16,213,1,12,18,NULL,NULL,NULL,NULL),(16,213,1,12,19,NULL,NULL,NULL,NULL),(16,213,1,12,20,NULL,NULL,NULL,NULL),(16,213,1,13,1,NULL,NULL,NULL,NULL),(16,213,1,13,2,NULL,NULL,NULL,NULL),(16,213,1,13,3,NULL,NULL,NULL,NULL),(16,213,1,13,4,NULL,NULL,NULL,NULL),(16,213,1,13,5,NULL,NULL,NULL,NULL),(16,213,1,13,6,NULL,NULL,NULL,NULL),(16,213,1,13,7,NULL,NULL,NULL,NULL),(16,213,1,13,8,NULL,NULL,NULL,NULL),(16,213,1,13,9,NULL,NULL,NULL,NULL),(16,213,1,13,10,NULL,NULL,NULL,NULL),(16,213,1,13,11,NULL,NULL,NULL,NULL),(16,213,1,13,12,NULL,NULL,NULL,NULL),(16,213,1,13,13,NULL,NULL,NULL,NULL),(16,213,1,13,14,NULL,NULL,NULL,NULL),(16,213,1,13,15,NULL,NULL,NULL,NULL),(16,213,1,13,16,NULL,NULL,NULL,NULL),(16,213,1,13,17,NULL,NULL,NULL,NULL),(16,213,1,13,18,NULL,NULL,NULL,NULL),(16,213,1,13,19,NULL,NULL,NULL,NULL),(16,213,1,13,20,NULL,NULL,NULL,NULL),(16,213,1,14,1,14,7,10,4),(16,213,1,14,2,2,6,2,5),(16,213,1,14,3,9,9,6,9),(16,213,1,14,4,1,4,NULL,6),(16,213,1,14,5,8,8,7,6),(16,213,1,14,6,2,8,NULL,3),(16,213,1,14,7,3,2,2,4),(16,213,1,14,8,3,10,2,13),(16,213,1,14,9,3,4,4,1),(16,213,1,14,10,13,7,12,3),(16,213,1,14,11,11,6,8,4),(16,213,1,14,12,9,4,11,2),(16,213,1,14,13,18,6,10,4),(16,213,1,14,14,6,7,7,4),(16,213,1,14,15,7,6,6,5),(16,213,1,14,16,15,7,10,4),(16,213,1,14,17,11,12,8,9),(16,213,1,14,18,6,7,6,7),(16,213,1,14,19,8,9,9,7),(16,213,1,14,20,5,17,3,13),(16,213,1,15,1,7,10,4,3),(16,213,1,15,2,2,6,NULL,2),(16,213,1,15,3,9,13,3,3),(16,213,1,15,4,NULL,10,NULL,7),(16,213,1,15,5,6,9,3,2),(16,213,1,15,6,4,7,2,3),(16,213,1,15,7,NULL,1,NULL,NULL),(16,213,1,15,8,5,8,3,1),(16,213,1,15,9,4,7,2,3),(16,213,1,15,10,14,5,7,1),(16,213,1,15,11,17,2,6,NULL),(16,213,1,15,12,9,8,7,3),(16,213,1,15,13,21,3,8,NULL),(16,213,1,15,14,6,12,2,3),(16,213,1,15,15,4,11,4,6),(16,213,1,15,16,19,6,10,NULL),(16,213,1,15,17,14,11,6,3),(16,213,1,15,18,8,4,3,NULL),(16,213,1,15,19,18,10,3,4),(16,213,1,15,20,11,13,7,3),(16,213,1,16,1,4,8,2,1),(16,213,1,16,2,NULL,NULL,NULL,1),(16,213,1,16,3,6,3,1,1),(16,213,1,16,4,NULL,4,NULL,2),(16,213,1,16,5,5,7,2,1),(16,213,1,16,6,NULL,2,NULL,NULL),(16,213,1,16,7,1,2,NULL,NULL),(16,213,1,16,8,3,3,2,NULL),(16,213,1,16,9,NULL,3,NULL,NULL),(16,213,1,16,10,5,2,1,NULL),(16,213,1,16,11,4,11,1,2),(16,213,1,16,12,1,4,NULL,NULL),(16,213,1,16,13,4,8,1,2),(16,213,1,16,14,2,4,NULL,2),(16,213,1,16,15,5,10,NULL,3),(16,213,1,16,16,NULL,3,NULL,1),(16,213,1,16,17,3,7,1,2),(16,213,1,16,18,6,6,1,2),(16,213,1,16,19,4,8,1,2),(16,213,1,16,20,1,6,NULL,2),(16,213,1,17,1,4,9,1,2),(16,213,1,17,2,4,1,1,1),(16,213,1,17,3,3,9,2,4),(16,213,1,17,4,NULL,5,NULL,3),(16,213,1,17,5,4,11,2,3),(16,213,1,17,6,5,6,NULL,2),(16,213,1,17,7,2,2,NULL,NULL),(16,213,1,17,8,3,4,2,1),(16,213,1,17,9,NULL,6,NULL,2),(16,213,1,17,10,6,6,6,NULL),(16,213,1,17,11,7,15,2,3),(16,213,1,17,12,2,6,1,2),(16,213,1,17,13,4,13,2,3),(16,213,1,17,14,1,10,NULL,4),(16,213,1,17,15,13,8,2,3),(16,213,1,17,16,NULL,7,NULL,3),(16,213,1,17,17,3,15,2,3),(16,213,1,17,18,4,11,2,2),(16,213,1,17,19,6,12,1,4),(16,213,1,17,20,2,11,NULL,2),(16,213,2,21,1,5,2,3,NULL),(16,213,2,21,2,4,12,4,3),(16,213,2,21,3,4,3,3,1),(16,213,2,21,4,15,3,7,NULL),(16,213,2,21,5,3,8,3,2),(16,213,2,21,6,2,5,NULL,3),(16,213,2,21,7,2,5,1,NULL),(16,213,2,21,8,3,4,3,NULL),(16,213,2,21,9,1,2,2,NULL),(16,213,2,21,10,2,10,1,4),(16,213,2,21,11,3,2,2,NULL),(16,213,2,21,12,5,9,3,2),(16,213,2,21,13,1,8,NULL,4),(16,213,2,21,14,9,5,6,2),(16,213,2,21,15,11,2,3,NULL),(16,213,2,21,16,7,7,4,3),(16,213,2,21,17,7,5,6,2),(16,213,2,21,18,NULL,4,2,1),(16,213,2,21,19,11,9,5,2),(16,213,2,21,20,6,7,5,NULL),(16,213,2,21,21,4,NULL,1,NULL),(16,213,2,21,22,3,9,2,5),(16,213,2,21,23,6,11,4,3),(16,213,2,21,24,3,10,3,3),(16,213,2,21,25,3,NULL,1,NULL),(16,213,2,21,26,29,NULL,8,NULL),(16,213,2,21,27,2,8,2,3),(16,213,2,21,28,NULL,5,1,1),(16,213,2,21,29,4,11,2,5),(16,213,2,21,30,6,NULL,1,NULL),(16,213,2,22,1,4,1,3,NULL),(16,213,2,22,2,4,14,3,3),(16,213,2,22,3,6,4,4,4),(16,213,2,22,4,15,4,7,NULL),(16,213,2,22,5,6,8,1,5),(16,213,2,22,6,1,10,2,5),(16,213,2,22,7,3,4,1,2),(16,213,2,22,8,2,2,2,1),(16,213,2,22,9,NULL,2,1,1),(16,213,2,22,10,1,7,3,2),(16,213,2,22,11,5,NULL,2,1),(16,213,2,22,12,6,8,3,4),(16,213,2,22,13,3,6,3,1),(16,213,2,22,14,7,10,3,5),(16,213,2,22,15,13,NULL,5,2),(16,213,2,22,16,4,8,2,4),(16,213,2,22,17,5,5,2,5),(16,213,2,22,18,4,4,1,3),(16,213,2,22,19,9,12,4,4),(16,213,2,22,20,7,4,3,1),(16,213,2,22,21,6,7,4,1),(16,213,2,22,22,6,7,4,3),(16,213,2,22,23,8,7,3,5),(16,213,2,22,24,9,8,1,3),(16,213,2,22,25,7,NULL,3,NULL),(16,213,2,22,26,30,NULL,8,NULL),(16,213,2,22,27,4,7,NULL,7),(16,213,2,22,28,1,3,1,1),(16,213,2,22,29,5,10,NULL,5),(16,213,2,22,30,6,NULL,4,1),(16,213,2,23,1,3,8,1,3),(16,213,2,23,2,5,8,2,3),(16,213,2,23,3,10,5,6,1),(16,213,2,23,4,13,3,3,2),(16,213,2,23,5,3,9,2,4),(16,213,2,23,6,3,6,2,1),(16,213,2,23,7,5,5,1,2),(16,213,2,23,8,3,5,2,NULL),(16,213,2,23,9,1,2,1,NULL),(16,213,2,23,10,2,10,NULL,5),(16,213,2,23,11,5,6,1,3),(16,213,2,23,12,3,7,1,2),(16,213,2,23,13,3,9,2,3),(16,213,2,23,14,10,11,3,4),(16,213,2,23,15,12,NULL,6,NULL),(16,213,2,23,16,5,9,2,4),(16,213,2,23,17,4,4,1,3),(16,213,2,23,18,3,3,1,2),(16,213,2,23,19,7,14,1,6),(16,213,2,23,20,8,5,2,4),(16,213,2,23,21,3,7,1,2),(16,213,2,23,22,7,8,2,4),(16,213,2,23,23,10,7,4,2),(16,213,2,23,24,2,12,NULL,4),(16,213,2,23,25,6,NULL,1,NULL),(16,213,2,23,26,28,NULL,7,NULL),(16,213,2,23,27,3,14,1,5),(16,213,2,23,28,1,1,NULL,2),(16,213,2,23,29,2,13,1,3),(16,213,2,23,30,5,4,2,1),(16,213,2,24,1,8,6,5,6),(16,213,2,24,2,3,13,7,9),(16,213,2,24,3,7,7,5,3),(16,213,2,24,4,17,6,10,7),(16,213,2,24,5,10,11,8,3),(16,213,2,24,6,3,14,4,8),(16,213,2,24,7,3,4,NULL,5),(16,213,2,24,8,NULL,4,2,NULL),(16,213,2,24,9,3,NULL,3,2),(16,213,2,24,10,5,10,2,7),(16,213,2,24,11,8,4,5,2),(16,213,2,24,12,8,9,3,4),(16,213,2,24,13,2,11,2,5),(16,213,2,24,14,12,11,7,9),(16,213,2,24,15,21,3,10,2),(16,213,2,24,16,11,10,9,8),(16,213,2,24,17,5,6,3,5),(16,213,2,24,18,5,6,NULL,5),(16,213,2,24,19,11,15,10,3),(16,213,2,24,20,5,7,6,3),(16,213,2,24,21,4,8,7,3),(16,213,2,24,22,9,13,9,5),(16,213,2,24,23,10,10,9,6),(16,213,2,24,24,4,7,4,4),(16,213,2,24,25,8,NULL,7,NULL),(16,213,2,24,26,33,NULL,17,NULL),(16,213,2,24,27,7,8,6,5),(16,213,2,24,28,1,11,4,5),(16,213,2,24,29,5,14,1,12),(16,213,2,24,30,6,2,7,NULL),(16,213,3,31,1,3,6,4,1),(16,213,3,31,2,1,7,NULL,2),(16,213,3,31,3,NULL,10,NULL,5),(16,213,3,31,4,1,6,3,3),(16,213,3,31,5,10,9,7,6),(16,213,3,31,6,19,6,14,NULL),(16,213,3,31,7,4,3,2,4),(16,213,3,31,8,1,4,NULL,2),(16,213,3,31,9,NULL,2,NULL,4),(16,213,3,31,10,NULL,2,NULL,NULL),(16,213,3,31,11,13,3,6,1),(16,213,3,31,12,11,6,7,4),(16,213,3,31,13,7,5,8,2),(16,213,3,31,14,7,14,5,7),(16,213,3,31,15,10,8,6,7),(16,213,3,31,16,6,10,5,7),(16,213,3,31,17,16,9,11,6),(16,213,3,31,18,8,NULL,4,NULL),(16,213,3,31,19,1,7,2,5),(16,213,3,31,20,22,NULL,14,NULL),(16,213,3,31,21,8,13,6,8),(16,213,3,31,22,3,5,2,5),(16,213,3,31,23,2,1,1,4),(16,213,3,31,24,NULL,8,4,6),(16,213,3,31,25,1,1,1,3),(16,213,3,31,26,3,5,3,4),(16,213,3,31,27,2,5,2,3),(16,213,3,31,28,7,7,7,4),(16,213,3,31,29,13,3,9,1),(16,213,3,31,30,1,9,2,6),(16,213,3,32,1,1,3,1,2),(16,213,3,32,2,2,3,1,3),(16,213,3,32,3,1,9,1,3),(16,213,3,32,4,2,3,2,1),(16,213,3,32,5,7,7,3,2),(16,213,3,32,6,20,3,5,1),(16,213,3,32,7,3,3,1,3),(16,213,3,32,8,NULL,5,NULL,1),(16,213,3,32,9,NULL,2,NULL,NULL),(16,213,3,32,10,1,1,1,NULL),(16,213,3,32,11,5,7,2,NULL),(16,213,3,32,12,4,7,3,2),(16,213,3,32,13,5,5,2,2),(16,213,3,32,14,4,8,3,1),(16,213,3,32,15,10,6,4,1),(16,213,3,32,16,6,7,2,2),(16,213,3,32,17,14,5,4,1),(16,213,3,32,18,2,2,1,1),(16,213,3,32,19,3,6,1,3),(16,213,3,32,20,18,NULL,6,NULL),(16,213,3,32,21,5,12,1,4),(16,213,3,32,22,1,1,NULL,NULL),(16,213,3,32,23,2,3,NULL,1),(16,213,3,32,24,4,5,2,2),(16,213,3,32,25,NULL,2,NULL,1),(16,213,3,32,26,1,2,NULL,2),(16,213,3,32,27,1,2,1,2),(16,213,3,32,28,5,6,3,2),(16,213,3,32,29,7,5,5,NULL),(16,213,3,32,30,NULL,3,NULL,3),(16,213,3,33,1,NULL,4,NULL,3),(16,213,3,33,2,5,3,1,2),(16,213,3,33,3,1,3,1,1),(16,213,3,33,4,3,7,1,4),(16,213,3,33,5,7,11,3,2),(16,213,3,33,6,23,1,5,3),(16,213,3,33,7,3,4,NULL,2),(16,213,3,33,8,1,4,1,1),(16,213,3,33,9,2,NULL,1,2),(16,213,3,33,10,2,2,2,1),(16,213,3,33,11,7,3,3,1),(16,213,3,33,12,4,7,1,5),(16,213,3,33,13,3,3,2,3),(16,213,3,33,14,6,5,4,NULL),(16,213,3,33,15,3,3,2,4),(16,213,3,33,16,5,6,3,4),(16,213,3,33,17,12,8,2,5),(16,213,3,33,18,4,1,1,1),(16,213,3,33,19,5,4,2,1),(16,213,3,33,20,13,NULL,8,NULL),(16,213,3,33,21,4,11,4,3),(16,213,3,33,22,2,4,3,1),(16,213,3,33,23,NULL,8,2,2),(16,213,3,33,24,4,5,4,1),(16,213,3,33,25,1,1,1,1),(16,213,3,33,26,NULL,1,1,2),(16,213,3,33,27,1,4,NULL,2),(16,213,3,33,28,6,5,5,3),(16,213,3,33,29,5,4,3,1),(16,213,3,33,30,2,2,1,2),(16,213,3,34,1,NULL,9,2,4),(16,213,3,34,2,4,3,2,2),(16,213,3,34,3,NULL,1,NULL,4),(16,213,3,34,4,1,NULL,NULL,NULL),(16,213,3,34,5,7,12,1,4),(16,213,3,34,6,19,6,6,1),(16,213,3,34,7,2,2,2,4),(16,213,3,34,8,NULL,1,1,NULL),(16,213,3,34,9,1,NULL,NULL,NULL),(16,213,3,34,10,1,1,1,1),(16,213,3,34,11,7,5,2,NULL),(16,213,3,34,12,4,8,1,6),(16,213,3,34,13,8,2,4,2),(16,213,3,34,14,5,5,1,3),(16,213,3,34,15,5,7,4,2),(16,213,3,34,16,3,13,NULL,6),(16,213,3,34,17,10,7,6,1),(16,213,3,34,18,2,1,2,NULL),(16,213,3,34,19,3,7,2,1),(16,213,3,34,20,8,NULL,5,NULL),(16,213,3,34,21,5,12,1,3),(16,213,3,34,22,1,5,NULL,3),(16,213,3,34,23,NULL,3,NULL,3),(16,213,3,34,24,3,4,3,1),(16,213,3,34,25,3,2,1,1),(16,213,3,34,26,1,1,NULL,NULL),(16,213,3,34,27,1,1,NULL,1),(16,213,3,34,28,3,5,4,2),(16,213,3,34,29,4,4,3,NULL),(16,213,3,34,30,1,1,NULL,NULL),(16,214,1,11,1,2,NULL,1,NULL),(16,214,1,11,2,NULL,NULL,NULL,1),(16,214,1,11,3,1,1,NULL,NULL),(16,214,1,11,4,NULL,NULL,NULL,1),(16,214,1,11,5,1,1,1,NULL),(16,214,1,11,6,NULL,NULL,NULL,NULL),(16,214,1,11,7,1,NULL,NULL,NULL),(16,214,1,11,8,NULL,1,NULL,1),(16,214,1,11,9,NULL,NULL,NULL,1),(16,214,1,11,10,1,NULL,NULL,1),(16,214,1,11,11,1,1,1,NULL),(16,214,1,11,12,1,NULL,NULL,1),(16,214,1,11,13,NULL,1,NULL,1),(16,214,1,11,14,NULL,1,1,NULL),(16,214,1,11,15,1,NULL,1,NULL),(16,214,1,11,16,1,NULL,1,NULL),(16,214,1,11,17,1,NULL,NULL,NULL),(16,214,1,11,18,NULL,NULL,1,NULL),(16,214,1,11,19,1,NULL,1,NULL),(16,214,1,11,20,1,NULL,1,NULL),(16,214,1,12,1,NULL,NULL,NULL,NULL),(16,214,1,12,2,NULL,NULL,NULL,NULL),(16,214,1,12,3,NULL,NULL,NULL,NULL),(16,214,1,12,4,NULL,NULL,NULL,NULL),(16,214,1,12,5,NULL,NULL,NULL,NULL),(16,214,1,12,6,NULL,NULL,NULL,NULL),(16,214,1,12,7,NULL,NULL,NULL,NULL),(16,214,1,12,8,NULL,NULL,NULL,NULL),(16,214,1,12,9,NULL,NULL,NULL,NULL),(16,214,1,12,10,NULL,NULL,NULL,NULL),(16,214,1,12,11,NULL,NULL,NULL,NULL),(16,214,1,12,12,NULL,NULL,NULL,NULL),(16,214,1,12,13,NULL,NULL,NULL,NULL),(16,214,1,12,14,NULL,NULL,NULL,NULL),(16,214,1,12,15,NULL,NULL,NULL,NULL),(16,214,1,12,16,NULL,NULL,NULL,NULL),(16,214,1,12,17,NULL,NULL,NULL,NULL),(16,214,1,12,18,NULL,NULL,NULL,NULL),(16,214,1,12,19,NULL,NULL,NULL,NULL),(16,214,1,12,20,NULL,NULL,NULL,NULL),(16,214,1,13,1,NULL,NULL,NULL,NULL),(16,214,1,13,2,NULL,NULL,NULL,NULL),(16,214,1,13,3,NULL,NULL,NULL,NULL),(16,214,1,13,4,NULL,NULL,NULL,NULL),(16,214,1,13,5,NULL,1,NULL,NULL),(16,214,1,13,6,NULL,NULL,NULL,NULL),(16,214,1,13,7,NULL,NULL,NULL,NULL),(16,214,1,13,8,NULL,NULL,NULL,NULL),(16,214,1,13,9,NULL,NULL,NULL,NULL),(16,214,1,13,10,NULL,NULL,NULL,NULL),(16,214,1,13,11,NULL,1,NULL,NULL),(16,214,1,13,12,1,NULL,NULL,NULL),(16,214,1,13,13,NULL,1,NULL,NULL),(16,214,1,13,14,NULL,1,NULL,NULL),(16,214,1,13,15,NULL,NULL,NULL,NULL),(16,214,1,13,16,NULL,NULL,NULL,NULL),(16,214,1,13,17,1,NULL,NULL,NULL),(16,214,1,13,18,NULL,NULL,NULL,NULL),(16,214,1,13,19,NULL,1,NULL,NULL),(16,214,1,13,20,NULL,NULL,NULL,NULL),(16,214,1,14,1,43,27,8,5),(16,214,1,14,2,6,9,2,3),(16,214,1,14,3,33,29,5,6),(16,214,1,14,4,3,25,NULL,7),(16,214,1,14,5,33,26,10,2),(16,214,1,14,6,6,26,1,5),(16,214,1,14,7,9,9,4,2),(16,214,1,14,8,20,30,7,2),(16,214,1,14,9,7,15,4,2),(16,214,1,14,10,35,22,9,4),(16,214,1,14,11,34,15,8,1),(16,214,1,14,12,32,16,11,1),(16,214,1,14,13,53,24,9,3),(16,214,1,14,14,24,23,6,6),(16,214,1,14,15,21,21,8,3),(16,214,1,14,16,48,14,13,1),(16,214,1,14,17,44,22,10,3),(16,214,1,14,18,21,22,7,4),(16,214,1,14,19,36,25,7,7),(16,214,1,14,20,22,49,4,10),(16,214,1,15,1,33,29,10,4),(16,214,1,15,2,5,14,1,5),(16,214,1,15,3,28,31,5,8),(16,214,1,15,4,4,23,1,7),(16,214,1,15,5,25,23,11,3),(16,214,1,15,6,7,24,1,6),(16,214,1,15,7,7,8,1,1),(16,214,1,15,8,17,22,13,2),(16,214,1,15,9,14,20,3,4),(16,214,1,15,10,34,20,11,1),(16,214,1,15,11,39,7,8,1),(16,214,1,15,12,29,17,9,4),(16,214,1,15,13,53,16,13,1),(16,214,1,15,14,20,11,7,2),(16,214,1,15,15,20,24,5,8),(16,214,1,15,16,47,15,13,1),(16,214,1,15,17,38,23,10,4),(16,214,1,15,18,16,19,2,7),(16,214,1,15,19,41,21,10,3),(16,214,1,15,20,26,41,7,9),(16,214,1,16,1,12,10,1,2),(16,214,1,16,2,4,6,NULL,1),(16,214,1,16,3,12,7,1,3),(16,214,1,16,4,2,7,NULL,2),(16,214,1,16,5,10,15,NULL,2),(16,214,1,16,6,4,4,NULL,NULL),(16,214,1,16,7,5,7,1,1),(16,214,1,16,8,7,10,NULL,3),(16,214,1,16,9,1,9,1,1),(16,214,1,16,10,12,10,1,2),(16,214,1,16,11,14,24,1,3),(16,214,1,16,12,1,4,NULL,2),(16,214,1,16,13,13,15,1,4),(16,214,1,16,14,6,16,1,1),(16,214,1,16,15,16,14,2,1),(16,214,1,16,16,1,11,NULL,1),(16,214,1,16,17,7,21,NULL,4),(16,214,1,16,18,10,14,2,3),(16,214,1,16,19,10,19,3,1),(16,214,1,16,20,2,14,NULL,NULL),(16,214,1,17,1,13,16,1,3),(16,214,1,17,2,3,7,NULL,1),(16,214,1,17,3,7,14,1,3),(16,214,1,17,4,1,9,NULL,1),(16,214,1,17,5,6,11,2,1),(16,214,1,17,6,3,9,1,NULL),(16,214,1,17,7,3,4,NULL,1),(16,214,1,17,8,9,6,2,1),(16,214,1,17,9,2,8,1,NULL),(16,214,1,17,10,13,9,2,1),(16,214,1,17,11,12,22,3,1),(16,214,1,17,12,1,5,NULL,NULL),(16,214,1,17,13,9,14,4,NULL),(16,214,1,17,14,6,15,1,2),(16,214,1,17,15,18,14,3,NULL),(16,214,1,17,16,1,13,NULL,2),(16,214,1,17,17,8,21,2,1),(16,214,1,17,18,10,14,2,1),(16,214,1,17,19,8,17,NULL,3),(16,214,1,17,20,2,20,NULL,2),(16,214,2,21,1,15,5,6,2),(16,214,2,21,2,16,21,9,1),(16,214,2,21,3,19,11,5,4),(16,214,2,21,4,40,7,11,NULL),(16,214,2,21,5,21,20,7,2),(16,214,2,21,6,14,15,4,5),(16,214,2,21,7,3,4,NULL,NULL),(16,214,2,21,8,6,13,NULL,3),(16,214,2,21,9,5,8,3,3),(16,214,2,21,10,14,20,3,6),(16,214,2,21,11,8,9,3,3),(16,214,2,21,12,16,13,4,6),(16,214,2,21,13,9,20,1,5),(16,214,2,21,14,23,33,7,7),(16,214,2,21,15,37,6,10,NULL),(16,214,2,21,16,17,18,6,7),(16,214,2,21,17,15,12,7,4),(16,214,2,21,18,8,9,3,1),(16,214,2,21,19,30,26,7,5),(16,214,2,21,20,17,12,7,5),(16,214,2,21,21,11,22,6,3),(16,214,2,21,22,17,22,5,5),(16,214,2,21,23,18,25,8,5),(16,214,2,21,24,10,31,6,4),(16,214,2,21,25,13,NULL,9,NULL),(16,214,2,21,26,75,NULL,14,NULL),(16,214,2,21,27,15,16,9,2),(16,214,2,21,28,4,16,NULL,4),(16,214,2,21,29,15,24,6,5),(16,214,2,21,30,16,6,8,1),(16,214,2,22,1,8,8,3,2),(16,214,2,22,2,12,30,4,3),(16,214,2,22,3,16,17,5,1),(16,214,2,22,4,28,9,7,NULL),(16,214,2,22,5,13,13,3,NULL),(16,214,2,22,6,15,23,4,2),(16,214,2,22,7,14,9,1,NULL),(16,214,2,22,8,5,9,1,NULL),(16,214,2,22,9,4,4,1,1),(16,214,2,22,10,7,18,1,2),(16,214,2,22,11,11,11,2,2),(16,214,2,22,12,15,22,3,2),(16,214,2,22,13,10,18,3,1),(16,214,2,22,14,22,36,5,2),(16,214,2,22,15,36,5,4,1),(16,214,2,22,16,16,21,3,3),(16,214,2,22,17,14,17,2,3),(16,214,2,22,18,10,7,2,2),(16,214,2,22,19,23,25,6,1),(16,214,2,22,20,16,17,3,2),(16,214,2,22,21,14,19,4,NULL),(16,214,2,22,22,18,13,5,NULL),(16,214,2,22,23,24,20,4,2),(16,214,2,22,24,14,28,3,2),(16,214,2,22,25,16,NULL,2,NULL),(16,214,2,22,26,76,NULL,7,NULL),(16,214,2,22,27,20,16,4,1),(16,214,2,22,28,4,10,1,1),(16,214,2,22,29,13,27,2,4),(16,214,2,22,30,18,6,6,NULL),(16,214,2,23,1,10,11,2,2),(16,214,2,23,2,13,29,4,2),(16,214,2,23,3,20,12,2,2),(16,214,2,23,4,38,11,6,2),(16,214,2,23,5,23,19,4,4),(16,214,2,23,6,10,14,3,3),(16,214,2,23,7,9,7,2,NULL),(16,214,2,23,8,9,7,NULL,1),(16,214,2,23,9,4,9,2,1),(16,214,2,23,10,7,25,2,3),(16,214,2,23,11,9,11,3,1),(16,214,2,23,12,20,16,3,3),(16,214,2,23,13,8,14,1,3),(16,214,2,23,14,30,24,3,5),(16,214,2,23,15,36,3,7,NULL),(16,214,2,23,16,24,15,3,3),(16,214,2,23,17,11,18,2,2),(16,214,2,23,18,14,8,2,2),(16,214,2,23,19,21,36,4,4),(16,214,2,23,20,19,14,4,1),(16,214,2,23,21,10,29,2,3),(16,214,2,23,22,18,16,3,3),(16,214,2,23,23,28,18,5,2),(16,214,2,23,24,13,29,3,4),(16,214,2,23,25,15,NULL,2,NULL),(16,214,2,23,26,76,NULL,8,NULL),(16,214,2,23,27,10,25,1,3),(16,214,2,23,28,3,14,NULL,4),(16,214,2,23,29,11,31,3,3),(16,214,2,23,30,16,6,3,1),(16,214,2,24,1,8,7,2,1),(16,214,2,24,2,7,21,4,1),(16,214,2,24,3,19,6,7,1),(16,214,2,24,4,24,15,7,NULL),(16,214,2,24,5,17,8,5,3),(16,214,2,24,6,6,19,1,4),(16,214,2,24,7,7,6,1,1),(16,214,2,24,8,9,8,2,1),(16,214,2,24,9,4,8,2,4),(16,214,2,24,10,9,17,1,6),(16,214,2,24,11,5,13,2,3),(16,214,2,24,12,11,13,NULL,6),(16,214,2,24,13,7,15,2,5),(16,214,2,24,14,21,28,5,6),(16,214,2,24,15,34,4,6,NULL),(16,214,2,24,16,11,16,3,3),(16,214,2,24,17,8,8,5,NULL),(16,214,2,24,18,4,8,2,4),(16,214,2,24,19,27,23,7,3),(16,214,2,24,20,15,12,2,2),(16,214,2,24,21,14,16,3,1),(16,214,2,24,22,16,14,5,3),(16,214,2,24,23,22,17,4,5),(16,214,2,24,24,5,28,1,3),(16,214,2,24,25,16,NULL,4,NULL),(16,214,2,24,26,70,NULL,11,NULL),(16,214,2,24,27,13,21,6,3),(16,214,2,24,28,6,6,2,4),(16,214,2,24,29,10,26,4,3),(16,214,2,24,30,16,8,4,2),(16,214,3,31,1,5,11,4,3),(16,214,3,31,2,7,4,2,2),(16,214,3,31,3,2,14,NULL,6),(16,214,3,31,4,10,7,4,2),(16,214,3,31,5,18,28,3,4),(16,214,3,31,6,38,16,8,3),(16,214,3,31,7,3,10,1,5),(16,214,3,31,8,4,11,2,2),(16,214,3,31,9,1,6,NULL,3),(16,214,3,31,10,3,4,NULL,1),(16,214,3,31,11,14,11,3,2),(16,214,3,31,12,13,24,2,7),(16,214,3,31,13,20,9,5,3),(16,214,3,31,14,17,23,6,4),(16,214,3,31,15,16,15,4,4),(16,214,3,31,16,12,16,3,3),(16,214,3,31,17,41,17,7,4),(16,214,3,31,18,12,6,3,NULL),(16,214,3,31,19,7,22,1,6),(16,214,3,31,20,35,NULL,7,NULL),(16,214,3,31,21,14,22,5,2),(16,214,3,31,22,5,8,2,3),(16,214,3,31,23,3,11,1,2),(16,214,3,31,24,11,11,3,3),(16,214,3,31,25,2,10,1,5),(16,214,3,31,26,2,11,NULL,6),(16,214,3,31,27,NULL,8,NULL,2),(16,214,3,31,28,16,15,7,3),(16,214,3,31,29,23,6,8,NULL),(16,214,3,31,30,3,15,2,2),(16,214,3,32,1,2,11,NULL,2),(16,214,3,32,2,8,9,1,2),(16,214,3,32,3,NULL,18,1,3),(16,214,3,32,4,10,12,3,1),(16,214,3,32,5,15,30,NULL,6),(16,214,3,32,6,52,14,8,NULL),(16,214,3,32,7,5,11,2,3),(16,214,3,32,8,NULL,10,NULL,NULL),(16,214,3,32,9,4,8,2,2),(16,214,3,32,10,1,4,NULL,2),(16,214,3,32,11,11,13,4,2),(16,214,3,32,12,16,18,1,6),(16,214,3,32,13,15,15,2,1),(16,214,3,32,14,16,23,3,3),(16,214,3,32,15,24,15,3,4),(16,214,3,32,16,10,33,3,2),(16,214,3,32,17,35,21,4,3),(16,214,3,32,18,15,6,5,1),(16,214,3,32,19,12,21,3,4),(16,214,3,32,20,39,NULL,7,NULL),(16,214,3,32,21,23,27,4,3),(16,214,3,32,22,4,10,NULL,1),(16,214,3,32,23,4,17,NULL,5),(16,214,3,32,24,11,9,2,3),(16,214,3,32,25,1,12,1,1),(16,214,3,32,26,NULL,9,1,1),(16,214,3,32,27,1,12,NULL,2),(16,214,3,32,28,18,22,4,3),(16,214,3,32,29,15,15,4,2),(16,214,3,32,30,2,10,NULL,1),(16,214,3,33,1,4,10,NULL,2),(16,214,3,33,2,7,6,1,NULL),(16,214,3,33,3,5,9,2,1),(16,214,3,33,4,7,15,3,2),(16,214,3,33,5,16,29,2,3),(16,214,3,33,6,47,9,6,NULL),(16,214,3,33,7,4,10,1,2),(16,214,3,33,8,3,9,NULL,NULL),(16,214,3,33,9,NULL,9,NULL,3),(16,214,3,33,10,1,4,NULL,1),(16,214,3,33,11,17,11,2,NULL),(16,214,3,33,12,18,23,2,5),(16,214,3,33,13,16,13,2,4),(16,214,3,33,14,14,28,1,4),(16,214,3,33,15,15,21,4,3),(16,214,3,33,16,13,28,1,5),(16,214,3,33,17,34,14,5,1),(16,214,3,33,18,11,5,2,NULL),(16,214,3,33,19,17,10,2,2),(16,214,3,33,20,39,NULL,6,NULL),(16,214,3,33,21,19,31,4,2),(16,214,3,33,22,6,8,NULL,2),(16,214,3,33,23,7,11,3,2),(16,214,3,33,24,13,7,4,1),(16,214,3,33,25,6,13,1,3),(16,214,3,33,26,1,10,NULL,3),(16,214,3,33,27,2,14,NULL,3),(16,214,3,33,28,14,20,6,1),(16,214,3,33,29,15,16,4,NULL),(16,214,3,33,30,2,6,1,2),(16,214,3,34,1,2,15,1,6),(16,214,3,34,2,6,11,1,4),(16,214,3,34,3,2,11,1,5),(16,214,3,34,4,11,10,7,5),(16,214,3,34,5,20,21,8,3),(16,214,3,34,6,45,14,14,NULL),(16,214,3,34,7,5,16,3,3),(16,214,3,34,8,1,7,2,2),(16,214,3,34,9,2,10,NULL,6),(16,214,3,34,10,4,4,1,1),(16,214,3,34,11,12,7,1,2),(16,214,3,34,12,15,21,3,6),(16,214,3,34,13,14,12,5,2),(16,214,3,34,14,18,22,6,6),(16,214,3,34,15,24,18,9,5),(16,214,3,34,16,13,30,2,8),(16,214,3,34,17,35,20,9,4),(16,214,3,34,18,21,7,2,1),(16,214,3,34,19,9,20,3,6),(16,214,3,34,20,44,NULL,12,NULL),(16,214,3,34,21,24,23,8,3),(16,214,3,34,22,7,11,4,2),(16,214,3,34,23,8,13,4,4),(16,214,3,34,24,13,12,7,4),(16,214,3,34,25,4,15,1,5),(16,214,3,34,26,1,9,1,2),(16,214,3,34,27,6,11,NULL,3),(16,214,3,34,28,18,17,6,4),(16,214,3,34,29,22,13,6,3),(16,214,3,34,30,2,11,1,6),(16,215,1,11,1,NULL,NULL,NULL,NULL),(16,215,1,11,2,NULL,NULL,NULL,NULL),(16,215,1,11,3,NULL,NULL,NULL,NULL),(16,215,1,11,4,NULL,NULL,NULL,NULL),(16,215,1,11,5,NULL,1,NULL,NULL),(16,215,1,11,6,NULL,NULL,NULL,NULL),(16,215,1,11,7,NULL,NULL,NULL,NULL),(16,215,1,11,8,NULL,1,NULL,NULL),(16,215,1,11,9,NULL,NULL,NULL,NULL),(16,215,1,11,10,NULL,NULL,NULL,NULL),(16,215,1,11,11,NULL,1,NULL,NULL),(16,215,1,11,12,1,NULL,NULL,NULL),(16,215,1,11,13,NULL,NULL,NULL,NULL),(16,215,1,11,14,NULL,NULL,NULL,NULL),(16,215,1,11,15,1,NULL,NULL,NULL),(16,215,1,11,16,NULL,1,NULL,NULL),(16,215,1,11,17,NULL,NULL,NULL,NULL),(16,215,1,11,18,NULL,NULL,NULL,NULL),(16,215,1,11,19,1,NULL,NULL,NULL),(16,215,1,11,20,NULL,NULL,NULL,NULL),(16,215,1,12,1,NULL,NULL,NULL,NULL),(16,215,1,12,2,NULL,NULL,NULL,NULL),(16,215,1,12,3,NULL,NULL,NULL,NULL),(16,215,1,12,4,NULL,NULL,NULL,NULL),(16,215,1,12,5,NULL,NULL,NULL,NULL),(16,215,1,12,6,NULL,NULL,NULL,NULL),(16,215,1,12,7,NULL,NULL,NULL,NULL),(16,215,1,12,8,NULL,NULL,NULL,NULL),(16,215,1,12,9,NULL,NULL,NULL,NULL),(16,215,1,12,10,NULL,NULL,NULL,NULL),(16,215,1,12,11,NULL,NULL,NULL,NULL),(16,215,1,12,12,NULL,NULL,NULL,NULL),(16,215,1,12,13,NULL,NULL,NULL,NULL),(16,215,1,12,14,NULL,NULL,NULL,NULL),(16,215,1,12,15,NULL,NULL,NULL,NULL),(16,215,1,12,16,NULL,NULL,NULL,NULL),(16,215,1,12,17,NULL,NULL,NULL,NULL),(16,215,1,12,18,NULL,NULL,NULL,NULL),(16,215,1,12,19,NULL,NULL,NULL,NULL),(16,215,1,12,20,NULL,NULL,NULL,NULL),(16,215,1,13,1,NULL,NULL,NULL,NULL),(16,215,1,13,2,NULL,NULL,NULL,NULL),(16,215,1,13,3,NULL,NULL,NULL,NULL),(16,215,1,13,4,NULL,NULL,NULL,NULL),(16,215,1,13,5,NULL,NULL,NULL,NULL),(16,215,1,13,6,NULL,NULL,NULL,NULL),(16,215,1,13,7,NULL,NULL,NULL,NULL),(16,215,1,13,8,NULL,NULL,NULL,NULL),(16,215,1,13,9,NULL,NULL,NULL,NULL),(16,215,1,13,10,NULL,NULL,NULL,NULL),(16,215,1,13,11,NULL,NULL,NULL,NULL),(16,215,1,13,12,NULL,NULL,NULL,NULL),(16,215,1,13,13,NULL,NULL,NULL,NULL),(16,215,1,13,14,NULL,NULL,NULL,NULL),(16,215,1,13,15,NULL,NULL,NULL,NULL),(16,215,1,13,16,NULL,NULL,NULL,NULL),(16,215,1,13,17,NULL,NULL,NULL,NULL),(16,215,1,13,18,NULL,NULL,NULL,NULL),(16,215,1,13,19,NULL,NULL,NULL,NULL),(16,215,1,13,20,NULL,NULL,NULL,NULL),(16,215,1,14,1,23,20,11,8),(16,215,1,14,2,4,7,3,6),(16,215,1,14,3,10,19,7,8),(16,215,1,14,4,1,14,2,10),(16,215,1,14,5,18,12,7,9),(16,215,1,14,6,3,12,3,5),(16,215,1,14,7,2,6,2,5),(16,215,1,14,8,9,10,8,6),(16,215,1,14,9,2,13,3,10),(16,215,1,14,10,16,12,12,7),(16,215,1,14,11,16,8,13,2),(16,215,1,14,12,19,10,12,7),(16,215,1,14,13,27,20,12,9),(16,215,1,14,14,12,12,8,10),(16,215,1,14,15,5,12,5,8),(16,215,1,14,16,26,6,18,1),(16,215,1,14,17,14,20,11,12),(16,215,1,14,18,9,9,6,6),(16,215,1,14,19,14,16,8,10),(16,215,1,14,20,14,20,3,16),(16,215,1,15,1,11,11,4,2),(16,215,1,15,2,2,3,NULL,1),(16,215,1,15,3,5,17,4,6),(16,215,1,15,4,2,10,1,4),(16,215,1,15,5,7,11,4,2),(16,215,1,15,6,2,6,NULL,6),(16,215,1,15,7,1,2,NULL,1),(16,215,1,15,8,6,10,6,2),(16,215,1,15,9,NULL,7,2,3),(16,215,1,15,10,16,10,6,2),(16,215,1,15,11,11,2,3,NULL),(16,215,1,15,12,7,6,4,1),(16,215,1,15,13,18,11,8,1),(16,215,1,15,14,7,8,2,4),(16,215,1,15,15,6,9,4,5),(16,215,1,15,16,16,6,5,3),(16,215,1,15,17,16,10,6,3),(16,215,1,15,18,4,3,3,2),(16,215,1,15,19,15,12,7,3),(16,215,1,15,20,8,18,4,6),(16,215,1,16,1,8,13,4,4),(16,215,1,16,2,2,2,1,3),(16,215,1,16,3,7,11,2,3),(16,215,1,16,4,3,6,NULL,2),(16,215,1,16,5,14,8,4,4),(16,215,1,16,6,6,4,2,1),(16,215,1,16,7,4,3,3,1),(16,215,1,16,8,4,6,2,1),(16,215,1,16,9,3,4,2,3),(16,215,1,16,10,10,8,5,3),(16,215,1,16,11,13,22,4,6),(16,215,1,16,12,2,6,1,2),(16,215,1,16,13,8,17,2,5),(16,215,1,16,14,3,17,NULL,9),(16,215,1,16,15,6,19,5,5),(16,215,1,16,16,3,10,2,3),(16,215,1,16,17,7,18,3,5),(16,215,1,16,18,12,7,5,3),(16,215,1,16,19,14,16,3,7),(16,215,1,16,20,3,16,3,2),(16,215,1,17,1,9,11,1,3),(16,215,1,17,2,1,9,NULL,NULL),(16,215,1,17,3,8,9,2,2),(16,215,1,17,4,1,6,1,4),(16,215,1,17,5,6,13,5,1),(16,215,1,17,6,2,3,1,1),(16,215,1,17,7,1,5,NULL,3),(16,215,1,17,8,6,12,2,4),(16,215,1,17,9,NULL,6,1,3),(16,215,1,17,10,14,6,3,2),(16,215,1,17,11,11,26,3,3),(16,215,1,17,12,2,4,NULL,NULL),(16,215,1,17,13,10,14,3,3),(16,215,1,17,14,3,16,NULL,6),(16,215,1,17,15,13,21,1,3),(16,215,1,17,16,1,11,1,NULL),(16,215,1,17,17,8,15,NULL,5),(16,215,1,17,18,10,12,3,3),(16,215,1,17,19,10,20,2,3),(16,215,1,17,20,2,14,2,3),(16,215,2,21,1,1,11,1,2),(16,215,2,21,2,5,25,2,4),(16,215,2,21,3,13,11,6,1),(16,215,2,21,4,21,1,6,NULL),(16,215,2,21,5,6,12,1,2),(16,215,2,21,6,4,14,2,5),(16,215,2,21,7,2,9,NULL,1),(16,215,2,21,8,4,7,1,1),(16,215,2,21,9,1,7,1,1),(16,215,2,21,10,6,14,1,6),(16,215,2,21,11,9,8,2,4),(16,215,2,21,12,10,8,3,1),(16,215,2,21,13,2,11,NULL,1),(16,215,2,21,14,17,17,4,6),(16,215,2,21,15,22,3,8,NULL),(16,215,2,21,16,8,14,3,3),(16,215,2,21,17,6,16,NULL,5),(16,215,2,21,18,7,7,2,2),(16,215,2,21,19,12,11,5,2),(16,215,2,21,20,10,9,3,2),(16,215,2,21,21,10,13,3,4),(16,215,2,21,22,6,13,1,5),(16,215,2,21,23,8,13,4,3),(16,215,2,21,24,7,17,2,3),(16,215,2,21,25,2,NULL,NULL,NULL),(16,215,2,21,26,56,NULL,10,NULL),(16,215,2,21,27,8,12,3,3),(16,215,2,21,28,1,11,1,2),(16,215,2,21,29,7,20,NULL,6),(16,215,2,21,30,11,9,6,1),(16,215,2,22,1,7,2,5,3),(16,215,2,22,2,6,20,6,7),(16,215,2,22,3,12,6,6,4),(16,215,2,22,4,22,3,11,2),(16,215,2,22,5,10,11,6,8),(16,215,2,22,6,4,13,3,9),(16,215,2,22,7,2,6,1,1),(16,215,2,22,8,2,4,2,NULL),(16,215,2,22,9,1,7,NULL,4),(16,215,2,22,10,3,9,3,5),(16,215,2,22,11,2,7,3,3),(16,215,2,22,12,12,8,4,5),(16,215,2,22,13,1,9,1,3),(16,215,2,22,14,13,13,8,6),(16,215,2,22,15,12,3,12,NULL),(16,215,2,22,16,6,12,4,6),(16,215,2,22,17,6,5,3,2),(16,215,2,22,18,7,5,3,3),(16,215,2,22,19,9,15,8,3),(16,215,2,22,20,4,6,6,3),(16,215,2,22,21,5,11,2,3),(16,215,2,22,22,9,6,5,6),(16,215,2,22,23,7,9,8,4),(16,215,2,22,24,6,17,4,5),(16,215,2,22,25,1,NULL,4,NULL),(16,215,2,22,26,48,NULL,17,NULL),(16,215,2,22,27,9,6,7,3),(16,215,2,22,28,NULL,5,NULL,3),(16,215,2,22,29,6,10,4,7),(16,215,2,22,30,8,7,5,3),(16,215,2,23,1,3,4,2,1),(16,215,2,23,2,3,17,3,6),(16,215,2,23,3,8,8,3,6),(16,215,2,23,4,18,9,3,3),(16,215,2,23,5,7,11,1,4),(16,215,2,23,6,1,12,NULL,6),(16,215,2,23,7,3,1,2,2),(16,215,2,23,8,2,5,1,4),(16,215,2,23,9,1,7,1,1),(16,215,2,23,10,4,12,4,1),(16,215,2,23,11,7,4,4,3),(16,215,2,23,12,15,8,4,5),(16,215,2,23,13,NULL,7,NULL,7),(16,215,2,23,14,11,10,2,9),(16,215,2,23,15,21,3,8,NULL),(16,215,2,23,16,10,5,3,6),(16,215,2,23,17,6,7,NULL,4),(16,215,2,23,18,3,5,3,5),(16,215,2,23,19,6,20,3,5),(16,215,2,23,20,7,6,4,3),(16,215,2,23,21,7,14,3,2),(16,215,2,23,22,4,6,2,6),(16,215,2,23,23,5,14,NULL,8),(16,215,2,23,24,8,13,3,4),(16,215,2,23,25,5,NULL,4,NULL),(16,215,2,23,26,48,NULL,11,NULL),(16,215,2,23,27,5,16,4,6),(16,215,2,23,28,2,3,1,2),(16,215,2,23,29,5,12,4,6),(16,215,2,23,30,12,2,4,2),(16,215,2,24,1,4,6,4,3),(16,215,2,24,2,5,13,7,3),(16,215,2,24,3,11,10,6,3),(16,215,2,24,4,15,7,6,3),(16,215,2,24,5,7,8,4,4),(16,215,2,24,6,5,11,4,1),(16,215,2,24,7,5,6,2,2),(16,215,2,24,8,2,4,2,2),(16,215,2,24,9,9,3,8,NULL),(16,215,2,24,10,7,8,5,5),(16,215,2,24,11,2,4,3,4),(16,215,2,24,12,7,7,6,2),(16,215,2,24,13,1,9,2,5),(16,215,2,24,14,15,13,6,6),(16,215,2,24,15,17,2,8,2),(16,215,2,24,16,4,9,4,4),(16,215,2,24,17,2,7,2,4),(16,215,2,24,18,2,6,3,4),(16,215,2,24,19,10,11,4,5),(16,215,2,24,20,5,10,2,4),(16,215,2,24,21,4,13,3,4),(16,215,2,24,22,5,6,7,1),(16,215,2,24,23,6,7,7,5),(16,215,2,24,24,3,13,2,3),(16,215,2,24,25,4,NULL,4,NULL),(16,215,2,24,26,43,NULL,12,NULL),(16,215,2,24,27,6,10,3,6),(16,215,2,24,28,2,9,2,7),(16,215,2,24,29,8,13,2,6),(16,215,2,24,30,9,10,3,3),(16,215,3,31,1,NULL,3,1,4),(16,215,3,31,2,1,3,NULL,1),(16,215,3,31,3,1,7,NULL,4),(16,215,3,31,4,4,4,1,2),(16,215,3,31,5,5,13,5,4),(16,215,3,31,6,25,7,10,2),(16,215,3,31,7,2,4,1,NULL),(16,215,3,31,8,1,2,1,1),(16,215,3,31,9,1,6,NULL,1),(16,215,3,31,10,2,5,NULL,2),(16,215,3,31,11,7,6,3,1),(16,215,3,31,12,9,8,3,7),(16,215,3,31,13,6,7,3,4),(16,215,3,31,14,5,10,1,4),(16,215,3,31,15,4,8,5,2),(16,215,3,31,16,9,13,3,5),(16,215,3,31,17,9,16,9,3),(16,215,3,31,18,10,5,8,NULL),(16,215,3,31,19,5,6,2,4),(16,215,3,31,20,14,NULL,8,NULL),(16,215,3,31,21,9,19,5,5),(16,215,3,31,22,4,7,1,3),(16,215,3,31,23,NULL,8,NULL,3),(16,215,3,31,24,3,9,6,3),(16,215,3,31,25,4,2,2,3),(16,215,3,31,26,1,6,2,2),(16,215,3,31,27,3,5,NULL,5),(16,215,3,31,28,12,9,8,3),(16,215,3,31,29,10,11,8,1),(16,215,3,31,30,2,2,1,3),(16,215,3,32,1,1,5,1,4),(16,215,3,32,2,2,7,2,4),(16,215,3,32,3,1,7,NULL,6),(16,215,3,32,4,3,3,NULL,4),(16,215,3,32,5,7,15,1,4),(16,215,3,32,6,25,7,8,3),(16,215,3,32,7,1,7,1,1),(16,215,3,32,8,1,3,NULL,2),(16,215,3,32,9,NULL,1,NULL,1),(16,215,3,32,10,1,3,NULL,3),(16,215,3,32,11,7,6,1,3),(16,215,3,32,12,6,10,2,8),(16,215,3,32,13,9,7,4,4),(16,215,3,32,14,6,9,2,4),(16,215,3,32,15,3,11,3,4),(16,215,3,32,16,9,14,4,5),(16,215,3,32,17,13,5,6,3),(16,215,3,32,18,5,6,4,2),(16,215,3,32,19,3,3,NULL,3),(16,215,3,32,20,15,NULL,10,NULL),(16,215,3,32,21,9,16,5,5),(16,215,3,32,22,3,5,1,3),(16,215,3,32,23,2,12,NULL,2),(16,215,3,32,24,9,4,4,5),(16,215,3,32,25,2,6,NULL,2),(16,215,3,32,26,3,2,1,NULL),(16,215,3,32,27,3,9,1,5),(16,215,3,32,28,12,11,4,5),(16,215,3,32,29,10,4,6,1),(16,215,3,32,30,1,5,2,3),(16,215,3,33,1,1,6,NULL,2),(16,215,3,33,2,NULL,5,1,2),(16,215,3,33,3,1,9,NULL,6),(16,215,3,33,4,3,4,2,3),(16,215,3,33,5,3,16,5,7),(16,215,3,33,6,24,9,14,2),(16,215,3,33,7,1,2,3,2),(16,215,3,33,8,1,4,1,4),(16,215,3,33,9,NULL,6,NULL,2),(16,215,3,33,10,NULL,6,1,1),(16,215,3,33,11,7,4,5,3),(16,215,3,33,12,6,9,3,8),(16,215,3,33,13,5,3,5,3),(16,215,3,33,14,12,8,6,4),(16,215,3,33,15,8,10,7,4),(16,215,3,33,16,7,15,4,6),(16,215,3,33,17,21,8,10,5),(16,215,3,33,18,9,3,3,1),(16,215,3,33,19,3,3,NULL,4),(16,215,3,33,20,30,NULL,15,NULL),(16,215,3,33,21,15,13,10,5),(16,215,3,33,22,NULL,7,NULL,4),(16,215,3,33,23,2,4,1,3),(16,215,3,33,24,10,3,5,4),(16,215,3,33,25,2,9,1,2),(16,215,3,33,26,2,3,4,3),(16,215,3,33,27,1,10,2,5),(16,215,3,33,28,10,10,8,5),(16,215,3,33,29,9,8,4,4),(16,215,3,33,30,3,5,2,4),(16,215,3,34,1,1,10,1,3),(16,215,3,34,2,2,5,NULL,2),(16,215,3,34,3,1,5,NULL,2),(16,215,3,34,4,NULL,2,1,NULL),(16,215,3,34,5,12,12,3,5),(16,215,3,34,6,36,9,9,NULL),(16,215,3,34,7,4,7,2,1),(16,215,3,34,8,2,8,NULL,3),(16,215,3,34,9,1,2,1,2),(16,215,3,34,10,2,4,NULL,1),(16,215,3,34,11,5,12,2,1),(16,215,3,34,12,3,15,4,4),(16,215,3,34,13,7,7,1,1),(16,215,3,34,14,6,20,2,4),(16,215,3,34,15,10,11,5,3),(16,215,3,34,16,10,16,2,4),(16,215,3,34,17,16,14,7,2),(16,215,3,34,18,8,2,1,NULL),(16,215,3,34,19,9,11,3,4),(16,215,3,34,20,23,NULL,8,NULL),(16,215,3,34,21,15,17,4,3),(16,215,3,34,22,2,9,NULL,2),(16,215,3,34,23,3,9,NULL,2),(16,215,3,34,24,7,8,NULL,2),(16,215,3,34,25,1,12,2,3),(16,215,3,34,26,1,3,NULL,1),(16,215,3,34,27,5,9,1,2),(16,215,3,34,28,12,13,8,2),(16,215,3,34,29,10,8,5,1),(16,215,3,34,30,NULL,5,1,NULL),(16,216,1,11,1,NULL,2,NULL,NULL),(16,216,1,11,2,NULL,1,NULL,NULL),(16,216,1,11,3,1,1,NULL,NULL),(16,216,1,11,4,NULL,NULL,NULL,NULL),(16,216,1,11,5,1,1,NULL,NULL),(16,216,1,11,6,NULL,NULL,NULL,NULL),(16,216,1,11,7,1,NULL,NULL,NULL),(16,216,1,11,8,NULL,1,NULL,NULL),(16,216,1,11,9,NULL,NULL,NULL,NULL),(16,216,1,11,10,1,1,NULL,NULL),(16,216,1,11,11,2,1,NULL,NULL),(16,216,1,11,12,1,2,NULL,NULL),(16,216,1,11,13,2,1,NULL,NULL),(16,216,1,11,14,1,1,NULL,NULL),(16,216,1,11,15,2,1,NULL,NULL),(16,216,1,11,16,1,1,NULL,NULL),(16,216,1,11,17,1,1,NULL,NULL),(16,216,1,11,18,1,1,NULL,NULL),(16,216,1,11,19,2,NULL,NULL,NULL),(16,216,1,11,20,2,NULL,NULL,NULL),(16,216,1,12,1,1,NULL,NULL,NULL),(16,216,1,12,2,NULL,1,NULL,NULL),(16,216,1,12,3,NULL,NULL,NULL,NULL),(16,216,1,12,4,NULL,NULL,NULL,NULL),(16,216,1,12,5,1,NULL,NULL,NULL),(16,216,1,12,6,NULL,1,NULL,NULL),(16,216,1,12,7,NULL,NULL,NULL,NULL),(16,216,1,12,8,NULL,NULL,NULL,NULL),(16,216,1,12,9,NULL,NULL,NULL,NULL),(16,216,1,12,10,1,NULL,NULL,NULL),(16,216,1,12,11,1,NULL,NULL,NULL),(16,216,1,12,12,1,NULL,NULL,NULL),(16,216,1,12,13,1,NULL,NULL,NULL),(16,216,1,12,14,NULL,1,NULL,NULL),(16,216,1,12,15,1,NULL,NULL,NULL),(16,216,1,12,16,1,NULL,NULL,NULL),(16,216,1,12,17,1,NULL,NULL,NULL),(16,216,1,12,18,1,NULL,NULL,NULL),(16,216,1,12,19,1,NULL,NULL,NULL),(16,216,1,12,20,1,NULL,NULL,NULL),(16,216,1,13,1,1,1,NULL,1),(16,216,1,13,2,NULL,NULL,NULL,NULL),(16,216,1,13,3,1,1,NULL,1),(16,216,1,13,4,1,1,NULL,1),(16,216,1,13,5,2,NULL,1,NULL),(16,216,1,13,6,NULL,1,NULL,NULL),(16,216,1,13,7,1,NULL,1,NULL),(16,216,1,13,8,NULL,1,NULL,1),(16,216,1,13,9,NULL,2,NULL,1),(16,216,1,13,10,1,NULL,1,NULL),(16,216,1,13,11,2,NULL,1,NULL),(16,216,1,13,12,2,NULL,1,NULL),(16,216,1,13,13,2,NULL,1,NULL),(16,216,1,13,14,2,NULL,1,NULL),(16,216,1,13,15,NULL,1,NULL,1),(16,216,1,13,16,1,NULL,1,NULL),(16,216,1,13,17,1,NULL,1,NULL),(16,216,1,13,18,2,NULL,1,NULL),(16,216,1,13,19,2,NULL,1,NULL),(16,216,1,13,20,1,1,NULL,1),(16,216,1,14,1,62,46,12,2),(16,216,1,14,2,10,16,4,3),(16,216,1,14,3,43,44,8,5),(16,216,1,14,4,6,40,NULL,9),(16,216,1,14,5,58,47,12,4),(16,216,1,14,6,15,37,3,7),(16,216,1,14,7,11,18,3,NULL),(16,216,1,14,8,35,35,9,4),(16,216,1,14,9,17,38,5,6),(16,216,1,14,10,52,24,9,3),(16,216,1,14,11,61,19,9,1),(16,216,1,14,12,41,25,10,6),(16,216,1,14,13,84,32,12,3),(16,216,1,14,14,27,29,8,5),(16,216,1,14,15,22,30,6,7),(16,216,1,14,16,71,18,12,2),(16,216,1,14,17,58,54,6,8),(16,216,1,14,18,26,32,8,6),(16,216,1,14,19,45,42,8,4),(16,216,1,14,20,40,57,7,7),(16,216,1,15,1,49,41,10,5),(16,216,1,15,2,8,14,1,3),(16,216,1,15,3,36,45,7,6),(16,216,1,15,4,9,30,1,9),(16,216,1,15,5,37,39,8,8),(16,216,1,15,6,12,47,4,6),(16,216,1,15,7,17,8,5,2),(16,216,1,15,8,33,25,11,4),(16,216,1,15,9,17,24,5,5),(16,216,1,15,10,43,29,12,2),(16,216,1,15,11,45,17,7,3),(16,216,1,15,12,33,25,8,3),(16,216,1,15,13,76,28,14,3),(16,216,1,15,14,36,29,8,7),(16,216,1,15,15,19,38,6,6),(16,216,1,15,16,73,17,16,1),(16,216,1,15,17,53,48,9,8),(16,216,1,15,18,23,25,6,1),(16,216,1,15,19,52,37,10,5),(16,216,1,15,20,41,68,9,10),(16,216,1,16,1,18,18,3,1),(16,216,1,16,2,3,7,1,2),(16,216,1,16,3,15,18,3,3),(16,216,1,16,4,3,17,NULL,4),(16,216,1,16,5,31,20,5,1),(16,216,1,16,6,4,20,1,3),(16,216,1,16,7,8,3,2,NULL),(16,216,1,16,8,14,12,4,2),(16,216,1,16,9,9,14,3,3),(16,216,1,16,10,25,13,5,NULL),(16,216,1,16,11,26,40,2,5),(16,216,1,16,12,6,9,2,2),(16,216,1,16,13,28,22,1,5),(16,216,1,16,14,12,42,2,NULL),(16,216,1,16,15,24,33,3,3),(16,216,1,16,16,6,28,1,4),(16,216,1,16,17,21,30,3,4),(16,216,1,16,18,28,19,5,2),(16,216,1,16,19,24,34,3,2),(16,216,1,16,20,8,32,NULL,3),(16,216,1,17,1,24,22,2,3),(16,216,1,17,2,4,5,1,1),(16,216,1,17,3,12,21,1,4),(16,216,1,17,4,2,13,NULL,1),(16,216,1,17,5,12,25,2,3),(16,216,1,17,6,5,15,NULL,2),(16,216,1,17,7,5,6,1,3),(16,216,1,17,8,5,19,1,2),(16,216,1,17,9,7,9,1,1),(16,216,1,17,10,20,13,5,1),(16,216,1,17,11,19,37,1,5),(16,216,1,17,12,3,4,2,2),(16,216,1,17,13,16,25,NULL,5),(16,216,1,17,14,9,26,NULL,4),(16,216,1,17,15,23,20,2,4),(16,216,1,17,16,4,23,NULL,NULL),(16,216,1,17,17,17,23,NULL,4),(16,216,1,17,18,30,16,2,4),(16,216,1,17,19,16,43,2,2),(16,216,1,17,20,4,31,NULL,5),(16,216,2,21,1,24,11,11,1),(16,216,2,21,2,33,44,11,1),(16,216,2,21,3,32,22,9,3),(16,216,2,21,4,64,12,13,1),(16,216,2,21,5,39,26,7,2),(16,216,2,21,6,19,25,7,4),(16,216,2,21,7,18,10,5,NULL),(16,216,2,21,8,14,20,4,2),(16,216,2,21,9,15,21,6,2),(16,216,2,21,10,21,32,7,5),(16,216,2,21,11,19,16,4,1),(16,216,2,21,12,33,22,5,6),(16,216,2,21,13,7,23,3,2),(16,216,2,21,14,42,45,6,7),(16,216,2,21,15,53,4,10,NULL),(16,216,2,21,16,18,34,3,3),(16,216,2,21,17,13,28,3,4),(16,216,2,21,18,13,14,6,3),(16,216,2,21,19,42,40,10,4),(16,216,2,21,20,36,16,8,3),(16,216,2,21,21,23,24,6,2),(16,216,2,21,22,24,31,7,4),(16,216,2,21,23,33,32,10,2),(16,216,2,21,24,24,35,5,4),(16,216,2,21,25,22,NULL,12,NULL),(16,216,2,21,26,120,NULL,14,NULL),(16,216,2,21,27,25,33,9,3),(16,216,2,21,28,9,18,6,3),(16,216,2,21,29,25,43,4,7),(16,216,2,21,30,30,14,5,3),(16,216,2,22,1,21,15,5,3),(16,216,2,22,2,23,42,6,6),(16,216,2,22,3,34,20,7,2),(16,216,2,22,4,66,11,10,NULL),(16,216,2,22,5,35,29,6,4),(16,216,2,22,6,17,30,3,3),(16,216,2,22,7,10,11,1,1),(16,216,2,22,8,3,14,NULL,1),(16,216,2,22,9,13,12,3,2),(16,216,2,22,10,19,27,5,4),(16,216,2,22,11,23,13,7,2),(16,216,2,22,12,31,33,3,6),(16,216,2,22,13,14,21,2,4),(16,216,2,22,14,42,45,6,5),(16,216,2,22,15,59,1,7,NULL),(16,216,2,22,16,22,32,3,4),(16,216,2,22,17,15,26,3,3),(16,216,2,22,18,13,18,2,2),(16,216,2,22,19,48,40,10,2),(16,216,2,22,20,21,20,5,2),(16,216,2,22,21,27,17,5,2),(16,216,2,22,22,28,26,7,1),(16,216,2,22,23,37,30,8,2),(16,216,2,22,24,23,32,3,7),(16,216,2,22,25,15,NULL,5,NULL),(16,216,2,22,26,118,NULL,12,NULL),(16,216,2,22,27,27,23,7,1),(16,216,2,22,28,4,12,NULL,3),(16,216,2,22,29,19,40,4,5),(16,216,2,22,30,27,20,2,2),(16,216,2,23,1,10,12,6,3),(16,216,2,23,2,23,46,6,4),(16,216,2,23,3,23,20,6,1),(16,216,2,23,4,47,16,10,NULL),(16,216,2,23,5,33,25,7,4),(16,216,2,23,6,12,28,1,6),(16,216,2,23,7,17,5,2,1),(16,216,2,23,8,10,14,4,NULL),(16,216,2,23,9,8,11,2,2),(16,216,2,23,10,18,25,7,2),(16,216,2,23,11,12,14,4,4),(16,216,2,23,12,23,26,3,6),(16,216,2,23,13,8,29,2,8),(16,216,2,23,14,39,34,6,6),(16,216,2,23,15,52,6,12,NULL),(16,216,2,23,16,24,22,6,4),(16,216,2,23,17,14,28,4,3),(16,216,2,23,18,16,6,6,1),(16,216,2,23,19,35,51,8,6),(16,216,2,23,20,28,21,4,4),(16,216,2,23,21,19,33,4,7),(16,216,2,23,22,20,21,5,7),(16,216,2,23,23,32,26,4,5),(16,216,2,23,24,18,38,6,6),(16,216,2,23,25,13,NULL,3,NULL),(16,216,2,23,26,121,NULL,14,NULL),(16,216,2,23,27,22,35,7,3),(16,216,2,23,28,5,13,3,6),(16,216,2,23,29,23,45,3,8),(16,216,2,23,30,23,13,6,5),(16,216,2,24,1,21,13,4,1),(16,216,2,24,2,20,46,4,5),(16,216,2,24,3,23,23,6,1),(16,216,2,24,4,51,13,6,1),(16,216,2,24,5,28,17,6,NULL),(16,216,2,24,6,24,31,3,4),(16,216,2,24,7,16,12,1,2),(16,216,2,24,8,8,20,1,1),(16,216,2,24,9,13,17,1,4),(16,216,2,24,10,17,33,3,1),(16,216,2,24,11,17,10,1,1),(16,216,2,24,12,14,30,1,2),(16,216,2,24,13,12,28,2,2),(16,216,2,24,14,43,34,7,3),(16,216,2,24,15,58,1,8,NULL),(16,216,2,24,16,25,27,2,4),(16,216,2,24,17,26,18,3,3),(16,216,2,24,18,17,16,1,2),(16,216,2,24,19,41,36,7,1),(16,216,2,24,20,27,19,2,2),(16,216,2,24,21,19,24,4,3),(16,216,2,24,22,25,17,3,2),(16,216,2,24,23,39,27,7,1),(16,216,2,24,24,16,32,NULL,7),(16,216,2,24,25,17,NULL,5,NULL),(16,216,2,24,26,113,NULL,10,NULL),(16,216,2,24,27,18,29,4,4),(16,216,2,24,28,4,12,1,2),(16,216,2,24,29,23,40,3,5),(16,216,2,24,30,24,15,6,1),(16,216,3,31,1,4,11,1,1),(16,216,3,31,2,7,20,1,4),(16,216,3,31,3,2,18,NULL,3),(16,216,3,31,4,11,15,4,3),(16,216,3,31,5,30,28,4,2),(16,216,3,31,6,72,19,6,2),(16,216,3,31,7,9,19,2,2),(16,216,3,31,8,3,17,NULL,4),(16,216,3,31,9,1,10,NULL,3),(16,216,3,31,10,3,9,1,1),(16,216,3,31,11,24,13,2,1),(16,216,3,31,12,23,41,1,5),(16,216,3,31,13,27,14,5,2),(16,216,3,31,14,27,39,5,4),(16,216,3,31,15,32,28,4,4),(16,216,3,31,16,23,42,2,4),(16,216,3,31,17,55,23,7,2),(16,216,3,31,18,17,8,NULL,2),(16,216,3,31,19,15,25,1,4),(16,216,3,31,20,54,NULL,8,NULL),(16,216,3,31,21,37,33,8,1),(16,216,3,31,22,10,26,1,3),(16,216,3,31,23,11,27,2,2),(16,216,3,31,24,30,19,7,2),(16,216,3,31,25,10,31,3,3),(16,216,3,31,26,6,12,2,2),(16,216,3,31,27,7,27,NULL,4),(16,216,3,31,28,50,27,9,NULL),(16,216,3,31,29,38,16,6,1),(16,216,3,31,30,7,25,4,5),(16,216,3,32,1,6,15,2,3),(16,216,3,32,2,9,8,NULL,4),(16,216,3,32,3,3,16,NULL,3),(16,216,3,32,4,8,12,3,1),(16,216,3,32,5,33,41,5,5),(16,216,3,32,6,78,15,12,1),(16,216,3,32,7,12,13,3,7),(16,216,3,32,8,3,10,NULL,2),(16,216,3,32,9,3,8,1,3),(16,216,3,32,10,3,5,2,NULL),(16,216,3,32,11,28,14,1,5),(16,216,3,32,12,28,29,10,2),(16,216,3,32,13,27,16,6,2),(16,216,3,32,14,22,41,4,7),(16,216,3,32,15,31,19,8,2),(16,216,3,32,16,20,40,5,7),(16,216,3,32,17,48,25,8,4),(16,216,3,32,18,15,10,5,2),(16,216,3,32,19,16,26,4,5),(16,216,3,32,20,48,NULL,12,NULL),(16,216,3,32,21,40,41,9,3),(16,216,3,32,22,4,18,NULL,3),(16,216,3,32,23,9,17,NULL,2),(16,216,3,32,24,21,25,7,1),(16,216,3,32,25,5,25,1,4),(16,216,3,32,26,4,6,2,2),(16,216,3,32,27,11,23,1,4),(16,216,3,32,28,42,34,12,2),(16,216,3,32,29,38,17,6,3),(16,216,3,32,30,7,16,1,6),(16,216,3,33,1,4,14,2,1),(16,216,3,33,2,7,14,1,2),(16,216,3,33,3,4,12,2,1),(16,216,3,33,4,14,10,5,NULL),(16,216,3,33,5,24,38,4,3),(16,216,3,33,6,71,26,8,1),(16,216,3,33,7,10,22,3,4),(16,216,3,33,8,3,17,1,3),(16,216,3,33,9,3,14,2,3),(16,216,3,33,10,2,7,NULL,1),(16,216,3,33,11,25,19,3,2),(16,216,3,33,12,25,38,4,5),(16,216,3,33,13,22,23,5,3),(16,216,3,33,14,26,45,5,6),(16,216,3,33,15,33,25,9,1),(16,216,3,33,16,16,46,4,5),(16,216,3,33,17,54,31,9,2),(16,216,3,33,18,20,5,4,NULL),(16,216,3,33,19,15,25,2,5),(16,216,3,33,20,68,NULL,10,NULL),(16,216,3,33,21,51,35,10,1),(16,216,3,33,22,4,26,1,4),(16,216,3,33,23,3,28,NULL,5),(16,216,3,33,24,38,19,9,2),(16,216,3,33,25,7,25,2,5),(16,216,3,33,26,7,15,2,3),(16,216,3,33,27,11,28,4,2),(16,216,3,33,28,42,33,9,3),(16,216,3,33,29,33,14,7,1),(16,216,3,33,30,1,17,1,3),(16,216,3,34,1,2,17,1,3),(16,216,3,34,2,7,13,3,2),(16,216,3,34,3,2,15,2,6),(16,216,3,34,4,12,4,9,1),(16,216,3,34,5,22,37,4,8),(16,216,3,34,6,80,18,10,2),(16,216,3,34,7,9,19,2,5),(16,216,3,34,8,5,23,3,2),(16,216,3,34,9,6,14,2,4),(16,216,3,34,10,2,8,1,1),(16,216,3,34,11,17,14,2,NULL),(16,216,3,34,12,29,32,6,5),(16,216,3,34,13,31,20,10,3),(16,216,3,34,14,39,39,8,4),(16,216,3,34,15,31,28,5,6),(16,216,3,34,16,32,36,5,5),(16,216,3,34,17,47,33,9,5),(16,216,3,34,18,14,7,2,NULL),(16,216,3,34,19,16,29,4,5),(16,216,3,34,20,73,NULL,13,NULL),(16,216,3,34,21,45,42,12,1),(16,216,3,34,22,9,22,5,5),(16,216,3,34,23,11,23,5,2),(16,216,3,34,24,27,12,10,1),(16,216,3,34,25,5,24,2,5),(16,216,3,34,26,6,18,4,3),(16,216,3,34,27,4,29,NULL,6),(16,216,3,34,28,51,18,11,1),(16,216,3,34,29,39,10,8,1),(16,216,3,34,30,2,21,1,7),(16,220,1,11,1,NULL,2,NULL,1),(16,220,1,11,2,NULL,NULL,NULL,NULL),(16,220,1,11,3,NULL,2,NULL,1),(16,220,1,11,4,NULL,1,NULL,NULL),(16,220,1,11,5,1,1,1,NULL),(16,220,1,11,6,1,NULL,NULL,NULL),(16,220,1,11,7,NULL,NULL,NULL,NULL),(16,220,1,11,8,NULL,1,NULL,1),(16,220,1,11,9,1,1,1,NULL),(16,220,1,11,10,1,NULL,1,NULL),(16,220,1,11,11,1,1,1,NULL),(16,220,1,11,12,2,NULL,1,NULL),(16,220,1,11,13,NULL,2,NULL,1),(16,220,1,11,14,1,1,1,NULL),(16,220,1,11,15,1,NULL,1,NULL),(16,220,1,11,16,1,1,1,NULL),(16,220,1,11,17,NULL,2,NULL,1),(16,220,1,11,18,1,NULL,1,NULL),(16,220,1,11,19,1,NULL,NULL,NULL),(16,220,1,11,20,2,NULL,1,NULL),(16,220,1,12,1,NULL,1,NULL,1),(16,220,1,12,2,NULL,NULL,NULL,NULL),(16,220,1,12,3,NULL,1,NULL,1),(16,220,1,12,4,NULL,1,NULL,1),(16,220,1,12,5,NULL,1,NULL,1),(16,220,1,12,6,NULL,NULL,NULL,NULL),(16,220,1,12,7,NULL,1,NULL,1),(16,220,1,12,8,NULL,1,NULL,1),(16,220,1,12,9,NULL,1,NULL,1),(16,220,1,12,10,1,NULL,1,NULL),(16,220,1,12,11,1,NULL,1,NULL),(16,220,1,12,12,1,NULL,1,NULL),(16,220,1,12,13,NULL,1,NULL,1),(16,220,1,12,14,1,NULL,1,NULL),(16,220,1,12,15,NULL,1,NULL,1),(16,220,1,12,16,1,NULL,1,NULL),(16,220,1,12,17,1,NULL,1,NULL),(16,220,1,12,18,1,NULL,1,NULL),(16,220,1,12,19,NULL,1,NULL,1),(16,220,1,12,20,1,NULL,1,NULL),(16,220,1,13,1,1,NULL,NULL,NULL),(16,220,1,13,2,NULL,NULL,NULL,NULL),(16,220,1,13,3,NULL,1,NULL,NULL),(16,220,1,13,4,NULL,NULL,NULL,NULL),(16,220,1,13,5,NULL,1,NULL,NULL),(16,220,1,13,6,NULL,1,NULL,NULL),(16,220,1,13,7,NULL,1,NULL,NULL),(16,220,1,13,8,NULL,NULL,NULL,NULL),(16,220,1,13,9,NULL,1,NULL,NULL),(16,220,1,13,10,NULL,NULL,NULL,NULL),(16,220,1,13,11,1,1,NULL,NULL),(16,220,1,13,12,2,NULL,NULL,NULL),(16,220,1,13,13,2,NULL,NULL,NULL),(16,220,1,13,14,2,1,NULL,NULL),(16,220,1,13,15,NULL,1,NULL,NULL),(16,220,1,13,16,1,NULL,NULL,NULL),(16,220,1,13,17,NULL,NULL,NULL,NULL),(16,220,1,13,18,2,NULL,NULL,NULL),(16,220,1,13,19,NULL,NULL,NULL,NULL),(16,220,1,13,20,1,1,NULL,NULL),(16,220,1,14,1,73,38,14,8),(16,220,1,14,2,14,17,4,5),(16,220,1,14,3,52,44,15,8),(16,220,1,14,4,7,34,2,12),(16,220,1,14,5,58,41,15,4),(16,220,1,14,6,20,40,6,13),(16,220,1,14,7,14,17,4,4),(16,220,1,14,8,35,39,15,7),(16,220,1,14,9,33,31,8,7),(16,220,1,14,10,57,24,15,2),(16,220,1,14,11,63,17,18,1),(16,220,1,14,12,51,25,16,4),(16,220,1,14,13,84,44,21,4),(16,220,1,14,14,39,32,12,8),(16,220,1,14,15,27,40,7,12),(16,220,1,14,16,85,24,22,3),(16,220,1,14,17,73,53,18,10),(16,220,1,14,18,38,28,9,7),(16,220,1,14,19,66,45,18,8),(16,220,1,14,20,57,66,15,12),(16,220,1,15,1,68,44,17,9),(16,220,1,15,2,20,20,4,9),(16,220,1,15,3,60,51,11,15),(16,220,1,15,4,6,48,1,21),(16,220,1,15,5,50,46,19,8),(16,220,1,15,6,28,47,9,14),(16,220,1,15,7,15,16,6,4),(16,220,1,15,8,43,44,18,13),(16,220,1,15,9,34,39,14,10),(16,220,1,15,10,63,36,24,8),(16,220,1,15,11,66,14,19,3),(16,220,1,15,12,62,21,23,4),(16,220,1,15,13,103,25,32,1),(16,220,1,15,14,45,27,17,8),(16,220,1,15,15,39,37,10,14),(16,220,1,15,16,93,27,28,4),(16,220,1,15,17,71,60,19,15),(16,220,1,15,18,50,22,15,8),(16,220,1,15,19,64,43,22,8),(16,220,1,15,20,52,82,9,26),(16,220,1,16,1,20,18,3,NULL),(16,220,1,16,2,4,3,2,1),(16,220,1,16,3,9,15,NULL,3),(16,220,1,16,4,2,6,NULL,1),(16,220,1,16,5,14,15,1,1),(16,220,1,16,6,4,10,NULL,NULL),(16,220,1,16,7,3,6,NULL,NULL),(16,220,1,16,8,5,11,NULL,NULL),(16,220,1,16,9,1,6,NULL,NULL),(16,220,1,16,10,13,10,1,1),(16,220,1,16,11,19,27,1,2),(16,220,1,16,12,5,9,NULL,1),(16,220,1,16,13,21,20,2,1),(16,220,1,16,14,10,23,NULL,2),(16,220,1,16,15,18,28,1,2),(16,220,1,16,16,1,23,NULL,2),(16,220,1,16,17,16,23,NULL,2),(16,220,1,16,18,17,19,1,1),(16,220,1,16,19,18,24,NULL,1),(16,220,1,16,20,8,18,NULL,2),(16,220,1,17,1,14,15,1,1),(16,220,1,17,2,2,3,NULL,NULL),(16,220,1,17,3,11,13,1,2),(16,220,1,17,4,3,7,NULL,1),(16,220,1,17,5,7,14,2,1),(16,220,1,17,6,1,14,NULL,1),(16,220,1,17,7,2,7,NULL,NULL),(16,220,1,17,8,5,13,NULL,2),(16,220,1,17,9,2,9,NULL,2),(16,220,1,17,10,13,10,2,NULL),(16,220,1,17,11,15,29,1,2),(16,220,1,17,12,7,1,1,NULL),(16,220,1,17,13,14,18,2,1),(16,220,1,17,14,5,19,2,NULL),(16,220,1,17,15,18,24,2,1),(16,220,1,17,16,3,22,NULL,2),(16,220,1,17,17,6,23,2,1),(16,220,1,17,18,13,15,1,2),(16,220,1,17,19,16,30,2,1),(16,220,1,17,20,6,18,1,1),(16,220,2,21,1,21,12,5,3),(16,220,2,21,2,27,44,8,3),(16,220,2,21,3,30,25,8,2),(16,220,2,21,4,60,14,10,1),(16,220,2,21,5,39,23,8,2),(16,220,2,21,6,24,31,2,6),(16,220,2,21,7,13,6,3,NULL),(16,220,2,21,8,13,19,3,1),(16,220,2,21,9,6,17,3,2),(16,220,2,21,10,18,28,3,5),(16,220,2,21,11,21,15,5,1),(16,220,2,21,12,30,19,3,2),(16,220,2,21,13,12,23,1,2),(16,220,2,21,14,61,29,11,2),(16,220,2,21,15,55,8,8,1),(16,220,2,21,16,28,38,5,6),(16,220,2,21,17,28,23,5,4),(16,220,2,21,18,17,21,4,3),(16,220,2,21,19,53,36,12,1),(16,220,2,21,20,29,20,9,1),(16,220,2,21,21,33,22,7,3),(16,220,2,21,22,36,23,6,3),(16,220,2,21,23,44,32,9,2),(16,220,2,21,24,24,46,5,6),(16,220,2,21,25,28,NULL,5,NULL),(16,220,2,21,26,119,NULL,13,NULL),(16,220,2,21,27,28,33,9,1),(16,220,2,21,28,5,24,1,2),(16,220,2,21,29,30,46,4,6),(16,220,2,21,30,39,20,9,NULL),(16,220,2,22,1,24,16,9,6),(16,220,2,22,2,31,43,11,7),(16,220,2,22,3,40,14,11,3),(16,220,2,22,4,67,11,14,3),(16,220,2,22,5,41,20,12,4),(16,220,2,22,6,20,39,5,8),(16,220,2,22,7,9,9,4,1),(16,220,2,22,8,9,19,2,1),(16,220,2,22,9,7,14,1,5),(16,220,2,22,10,18,32,5,7),(16,220,2,22,11,9,22,4,6),(16,220,2,22,12,25,29,4,8),(16,220,2,22,13,10,23,2,6),(16,220,2,22,14,52,48,10,10),(16,220,2,22,15,58,8,12,2),(16,220,2,22,16,27,30,8,8),(16,220,2,22,17,33,26,9,5),(16,220,2,22,18,22,21,3,6),(16,220,2,22,19,55,40,12,7),(16,220,2,22,20,26,23,8,3),(16,220,2,22,21,35,27,12,3),(16,220,2,22,22,39,30,13,2),(16,220,2,22,23,52,28,14,5),(16,220,2,22,24,21,50,5,11),(16,220,2,22,25,31,NULL,11,NULL),(16,220,2,22,26,122,NULL,20,NULL),(16,220,2,22,27,42,32,12,5),(16,220,2,22,28,9,26,3,6),(16,220,2,22,29,27,54,9,8),(16,220,2,22,30,30,16,10,1),(16,220,2,23,1,28,13,14,1),(16,220,2,23,2,35,49,16,6),(16,220,2,23,3,27,22,8,8),(16,220,2,23,4,62,19,18,3),(16,220,2,23,5,44,27,15,3),(16,220,2,23,6,25,31,8,6),(16,220,2,23,7,12,14,2,2),(16,220,2,23,8,8,15,4,3),(16,220,2,23,9,11,18,6,6),(16,220,2,23,10,17,30,6,12),(16,220,2,23,11,17,20,7,3),(16,220,2,23,12,29,31,11,8),(16,220,2,23,13,6,30,2,7),(16,220,2,23,14,49,39,13,9),(16,220,2,23,15,67,3,16,NULL),(16,220,2,23,16,27,29,10,8),(16,220,2,23,17,25,24,8,6),(16,220,2,23,18,19,22,7,7),(16,220,2,23,19,47,37,16,5),(16,220,2,23,20,32,22,13,5),(16,220,2,23,21,37,24,14,4),(16,220,2,23,22,42,29,12,8),(16,220,2,23,23,49,28,16,3),(16,220,2,23,24,20,46,6,13),(16,220,2,23,25,33,NULL,15,NULL),(16,220,2,23,26,122,NULL,23,NULL),(16,220,2,23,27,43,34,17,2),(16,220,2,23,28,9,16,3,4),(16,220,2,23,29,30,45,8,9),(16,220,2,23,30,35,12,16,1),(16,220,2,24,1,30,14,12,NULL),(16,220,2,24,2,30,42,10,4),(16,220,2,24,3,32,21,10,4),(16,220,2,24,4,62,9,15,NULL),(16,220,2,24,5,37,25,8,4),(16,220,2,24,6,21,34,9,5),(16,220,2,24,7,13,7,3,1),(16,220,2,24,8,4,15,1,3),(16,220,2,24,9,5,15,1,3),(16,220,2,24,10,24,26,10,4),(16,220,2,24,11,25,18,4,4),(16,220,2,24,12,19,21,3,4),(16,220,2,24,13,13,23,7,4),(16,220,2,24,14,48,42,12,4),(16,220,2,24,15,53,5,11,1),(16,220,2,24,16,24,35,7,8),(16,220,2,24,17,18,30,4,10),(16,220,2,24,18,24,14,8,4),(16,220,2,24,19,41,42,10,5),(16,220,2,24,20,36,25,11,3),(16,220,2,24,21,29,26,9,4),(16,220,2,24,22,37,23,11,3),(16,220,2,24,23,41,38,7,8),(16,220,2,24,24,15,51,2,10),(16,220,2,24,25,22,NULL,8,NULL),(16,220,2,24,26,116,NULL,16,NULL),(16,220,2,24,27,31,32,11,1),(16,220,2,24,28,7,20,1,6),(16,220,2,24,29,22,50,7,6),(16,220,2,24,30,31,19,8,1),(16,220,3,31,1,7,16,2,4),(16,220,3,31,2,15,16,5,4),(16,220,3,31,3,7,30,4,6),(16,220,3,31,4,24,21,12,1),(16,220,3,31,5,33,41,7,8),(16,220,3,31,6,81,10,14,NULL),(16,220,3,31,7,17,22,3,6),(16,220,3,31,8,8,23,2,2),(16,220,3,31,9,5,17,3,2),(16,220,3,31,10,2,9,1,1),(16,220,3,31,11,27,18,7,2),(16,220,3,31,12,23,43,4,7),(16,220,3,31,13,35,18,9,3),(16,220,3,31,14,27,42,10,4),(16,220,3,31,15,40,28,10,4),(16,220,3,31,16,22,42,5,7),(16,220,3,31,17,57,27,14,1),(16,220,3,31,18,17,8,NULL,2),(16,220,3,31,19,10,24,5,5),(16,220,3,31,20,62,NULL,12,NULL),(16,220,3,31,21,30,37,8,3),(16,220,3,31,22,9,24,5,7),(16,220,3,31,23,6,30,3,5),(16,220,3,31,24,21,19,8,5),(16,220,3,31,25,10,29,2,7),(16,220,3,31,26,6,10,7,1),(16,220,3,31,27,9,21,3,4),(16,220,3,31,28,40,25,9,4),(16,220,3,31,29,38,15,11,NULL),(16,220,3,31,30,4,22,1,9),(16,220,3,32,1,10,16,5,4),(16,220,3,32,2,13,14,4,3),(16,220,3,32,3,10,31,6,5),(16,220,3,32,4,22,14,11,3),(16,220,3,32,5,37,39,11,9),(16,220,3,32,6,86,17,17,6),(16,220,3,32,7,16,23,5,7),(16,220,3,32,8,9,7,3,2),(16,220,3,32,9,7,13,3,9),(16,220,3,32,10,2,8,NULL,1),(16,220,3,32,11,7,14,4,3),(16,220,3,32,12,27,33,6,7),(16,220,3,32,13,35,22,8,5),(16,220,3,32,14,42,36,14,4),(16,220,3,32,15,41,27,14,6),(16,220,3,32,16,27,39,10,6),(16,220,3,32,17,68,28,16,6),(16,220,3,32,18,17,14,4,4),(16,220,3,32,19,15,28,4,8),(16,220,3,32,20,62,NULL,19,NULL),(16,220,3,32,21,43,37,11,10),(16,220,3,32,22,16,17,7,3),(16,220,3,32,23,10,29,4,5),(16,220,3,32,24,22,15,9,9),(16,220,3,32,25,10,25,6,6),(16,220,3,32,26,9,19,5,8),(16,220,3,32,27,5,21,2,7),(16,220,3,32,28,42,29,15,5),(16,220,3,32,29,38,13,9,3),(16,220,3,32,30,6,28,2,10),(16,220,3,33,1,8,13,5,5),(16,220,3,33,2,17,10,5,3),(16,220,3,33,3,8,19,3,6),(16,220,3,33,4,21,22,10,2),(16,220,3,33,5,35,45,10,4),(16,220,3,33,6,84,21,17,3),(16,220,3,33,7,16,22,6,6),(16,220,3,33,8,5,6,4,3),(16,220,3,33,9,7,11,3,5),(16,220,3,33,10,5,11,1,1),(16,220,3,33,11,24,17,4,2),(16,220,3,33,12,29,32,5,10),(16,220,3,33,13,34,18,10,4),(16,220,3,33,14,35,43,10,6),(16,220,3,33,15,43,20,11,5),(16,220,3,33,16,37,28,11,5),(16,220,3,33,17,60,29,11,8),(16,220,3,33,18,20,8,2,3),(16,220,3,33,19,18,25,2,7),(16,220,3,33,20,69,NULL,15,NULL),(16,220,3,33,21,41,44,13,5),(16,220,3,33,22,12,25,4,7),(16,220,3,33,23,11,19,3,4),(16,220,3,33,24,28,18,9,6),(16,220,3,33,25,14,29,8,6),(16,220,3,33,26,8,24,3,7),(16,220,3,33,27,5,24,NULL,10),(16,220,3,33,28,40,29,14,5),(16,220,3,33,29,37,10,8,1),(16,220,3,33,30,4,21,1,6),(16,220,3,34,1,5,17,1,3),(16,220,3,34,2,11,16,2,3),(16,220,3,34,3,4,25,2,4),(16,220,3,34,4,20,17,7,1),(16,220,3,34,5,35,42,6,5),(16,220,3,34,6,73,20,11,1),(16,220,3,34,7,11,24,2,6),(16,220,3,34,8,5,23,3,3),(16,220,3,34,9,4,14,1,3),(16,220,3,34,10,NULL,5,NULL,1),(16,220,3,34,11,9,10,1,1),(16,220,3,34,12,30,39,2,8),(16,220,3,34,13,37,16,9,1),(16,220,3,34,14,27,35,4,5),(16,220,3,34,15,37,28,5,3),(16,220,3,34,16,32,34,4,4),(16,220,3,34,17,51,23,9,2),(16,220,3,34,18,21,8,1,NULL),(16,220,3,34,19,18,14,3,3),(16,220,3,34,20,73,NULL,12,NULL),(16,220,3,34,21,35,39,7,3),(16,220,3,34,22,6,27,2,4),(16,220,3,34,23,6,19,2,3),(16,220,3,34,24,20,22,6,2),(16,220,3,34,25,7,22,NULL,5),(16,220,3,34,26,5,17,1,5),(16,220,3,34,27,3,19,1,5),(16,220,3,34,28,42,31,10,NULL),(16,220,3,34,29,43,10,8,2),(16,220,3,34,30,7,18,2,4),(16,222,1,11,1,1,NULL,1,NULL),(16,222,1,11,2,NULL,NULL,NULL,NULL),(16,222,1,11,3,NULL,NULL,NULL,NULL),(16,222,1,11,4,NULL,NULL,NULL,NULL),(16,222,1,11,5,NULL,NULL,NULL,NULL),(16,222,1,11,6,NULL,NULL,NULL,NULL),(16,222,1,11,7,NULL,NULL,NULL,NULL),(16,222,1,11,8,NULL,NULL,NULL,NULL),(16,222,1,11,9,NULL,NULL,NULL,NULL),(16,222,1,11,10,NULL,NULL,NULL,NULL),(16,222,1,11,11,1,NULL,1,NULL),(16,222,1,11,12,1,NULL,1,NULL),(16,222,1,11,13,NULL,1,NULL,1),(16,222,1,11,14,1,NULL,1,NULL),(16,222,1,11,15,1,NULL,1,NULL),(16,222,1,11,16,1,NULL,1,NULL),(16,222,1,11,17,NULL,NULL,NULL,NULL),(16,222,1,11,18,1,NULL,1,NULL),(16,222,1,11,19,1,NULL,1,NULL),(16,222,1,11,20,1,NULL,1,NULL),(16,222,1,12,1,NULL,NULL,NULL,NULL),(16,222,1,12,2,NULL,NULL,NULL,NULL),(16,222,1,12,3,NULL,NULL,NULL,NULL),(16,222,1,12,4,NULL,NULL,NULL,NULL),(16,222,1,12,5,NULL,NULL,NULL,NULL),(16,222,1,12,6,NULL,NULL,NULL,NULL),(16,222,1,12,7,NULL,NULL,NULL,NULL),(16,222,1,12,8,NULL,NULL,NULL,NULL),(16,222,1,12,9,NULL,NULL,NULL,NULL),(16,222,1,12,10,NULL,NULL,NULL,NULL),(16,222,1,12,11,NULL,NULL,NULL,NULL),(16,222,1,12,12,NULL,NULL,NULL,NULL),(16,222,1,12,13,NULL,NULL,NULL,NULL),(16,222,1,12,14,NULL,NULL,NULL,NULL),(16,222,1,12,15,NULL,NULL,NULL,NULL),(16,222,1,12,16,NULL,NULL,NULL,NULL),(16,222,1,12,17,NULL,NULL,NULL,NULL),(16,222,1,12,18,NULL,NULL,NULL,NULL),(16,222,1,12,19,NULL,NULL,NULL,NULL),(16,222,1,12,20,NULL,NULL,NULL,NULL),(16,222,1,13,1,1,NULL,1,NULL),(16,222,1,13,2,1,NULL,1,NULL),(16,222,1,13,3,NULL,NULL,NULL,NULL),(16,222,1,13,4,NULL,NULL,NULL,NULL),(16,222,1,13,5,1,NULL,1,NULL),(16,222,1,13,6,NULL,NULL,NULL,NULL),(16,222,1,13,7,NULL,NULL,NULL,NULL),(16,222,1,13,8,NULL,NULL,NULL,NULL),(16,222,1,13,9,NULL,NULL,NULL,NULL),(16,222,1,13,10,NULL,NULL,NULL,NULL),(16,222,1,13,11,1,NULL,1,NULL),(16,222,1,13,12,1,NULL,1,NULL),(16,222,1,13,13,1,NULL,1,NULL),(16,222,1,13,14,1,NULL,1,NULL),(16,222,1,13,15,NULL,NULL,NULL,NULL),(16,222,1,13,16,NULL,NULL,NULL,NULL),(16,222,1,13,17,1,NULL,1,NULL),(16,222,1,13,18,1,NULL,1,NULL),(16,222,1,13,19,1,NULL,1,NULL),(16,222,1,13,20,NULL,NULL,NULL,NULL),(16,222,1,14,1,6,3,6,2),(16,222,1,14,2,1,NULL,1,NULL),(16,222,1,14,3,5,2,5,1),(16,222,1,14,4,NULL,2,NULL,2),(16,222,1,14,5,2,3,2,3),(16,222,1,14,6,1,4,1,4),(16,222,1,14,7,1,3,NULL,2),(16,222,1,14,8,NULL,3,NULL,2),(16,222,1,14,9,3,1,3,1),(16,222,1,14,10,2,5,2,3),(16,222,1,14,11,5,1,4,NULL),(16,222,1,14,12,2,5,2,4),(16,222,1,14,13,5,5,5,3),(16,222,1,14,14,3,2,3,2),(16,222,1,14,15,NULL,4,NULL,4),(16,222,1,14,16,5,5,5,3),(16,222,1,14,17,4,4,4,4),(16,222,1,14,18,2,1,2,1),(16,222,1,14,19,4,3,4,3),(16,222,1,14,20,1,8,1,6),(16,222,1,15,1,6,3,4,3),(16,222,1,15,2,2,NULL,2,NULL),(16,222,1,15,3,2,2,1,2),(16,222,1,15,4,NULL,2,NULL,2),(16,222,1,15,5,2,3,2,1),(16,222,1,15,6,1,2,1,2),(16,222,1,15,7,NULL,2,NULL,1),(16,222,1,15,8,2,3,2,1),(16,222,1,15,9,1,4,NULL,3),(16,222,1,15,10,2,5,2,3),(16,222,1,15,11,3,NULL,1,NULL),(16,222,1,15,12,3,4,3,3),(16,222,1,15,13,7,2,6,1),(16,222,1,15,14,3,1,2,1),(16,222,1,15,15,4,2,3,2),(16,222,1,15,16,9,1,6,1),(16,222,1,15,17,4,7,3,4),(16,222,1,15,18,3,NULL,2,NULL),(16,222,1,15,19,6,4,3,3),(16,222,1,15,20,2,9,2,6),(16,222,1,16,1,2,1,2,1),(16,222,1,16,2,NULL,1,NULL,1),(16,222,1,16,3,NULL,1,NULL,1),(16,222,1,16,4,NULL,NULL,NULL,NULL),(16,222,1,16,5,1,NULL,1,NULL),(16,222,1,16,6,NULL,NULL,NULL,NULL),(16,222,1,16,7,NULL,NULL,NULL,NULL),(16,222,1,16,8,NULL,2,NULL,2),(16,222,1,16,9,NULL,NULL,NULL,NULL),(16,222,1,16,10,1,2,1,2),(16,222,1,16,11,NULL,3,NULL,3),(16,222,1,16,12,NULL,1,NULL,1),(16,222,1,16,13,1,2,1,2),(16,222,1,16,14,1,1,1,1),(16,222,1,16,15,2,NULL,2,NULL),(16,222,1,16,16,1,3,1,3),(16,222,1,16,17,2,NULL,2,NULL),(16,222,1,16,18,1,1,1,1),(16,222,1,16,19,1,2,1,2),(16,222,1,16,20,1,2,1,2),(16,222,1,17,1,2,2,1,NULL),(16,222,1,17,2,NULL,NULL,NULL,NULL),(16,222,1,17,3,NULL,1,NULL,1),(16,222,1,17,4,NULL,1,NULL,1),(16,222,1,17,5,1,1,1,NULL),(16,222,1,17,6,NULL,1,NULL,NULL),(16,222,1,17,7,NULL,1,NULL,NULL),(16,222,1,17,8,1,1,1,NULL),(16,222,1,17,9,NULL,NULL,NULL,NULL),(16,222,1,17,10,NULL,1,NULL,1),(16,222,1,17,11,1,3,NULL,2),(16,222,1,17,12,NULL,NULL,NULL,NULL),(16,222,1,17,13,1,1,NULL,NULL),(16,222,1,17,14,NULL,2,NULL,1),(16,222,1,17,15,NULL,5,NULL,2),(16,222,1,17,16,NULL,2,NULL,1),(16,222,1,17,17,NULL,2,NULL,1),(16,222,1,17,18,NULL,2,NULL,2),(16,222,1,17,19,NULL,5,NULL,2),(16,222,1,17,20,NULL,1,NULL,1),(16,222,2,21,1,1,NULL,1,NULL),(16,222,2,21,2,2,4,2,3),(16,222,2,21,3,2,NULL,1,NULL),(16,222,2,21,4,2,3,1,2),(16,222,2,21,5,3,NULL,3,NULL),(16,222,2,21,6,NULL,1,NULL,1),(16,222,2,21,7,NULL,1,NULL,1),(16,222,2,21,8,1,1,1,1),(16,222,2,21,9,1,NULL,1,NULL),(16,222,2,21,10,NULL,3,NULL,3),(16,222,2,21,11,NULL,1,NULL,NULL),(16,222,2,21,12,1,1,1,NULL),(16,222,2,21,13,1,2,1,1),(16,222,2,21,14,2,2,1,2),(16,222,2,21,15,4,NULL,4,NULL),(16,222,2,21,16,1,1,1,1),(16,222,2,21,17,1,NULL,1,NULL),(16,222,2,21,18,NULL,2,NULL,2),(16,222,2,21,19,5,1,5,1),(16,222,2,21,20,3,1,3,1),(16,222,2,21,21,1,NULL,1,NULL),(16,222,2,21,22,3,1,2,1),(16,222,2,21,23,3,4,3,2),(16,222,2,21,24,1,2,1,2),(16,222,2,21,25,2,NULL,2,NULL),(16,222,2,21,26,10,NULL,8,NULL),(16,222,2,21,27,1,2,1,2),(16,222,2,21,28,1,2,1,1),(16,222,2,21,29,1,6,1,4),(16,222,2,21,30,2,1,2,1),(16,222,2,22,1,NULL,1,NULL,1),(16,222,2,22,2,1,4,1,4),(16,222,2,22,3,2,1,2,1),(16,222,2,22,4,2,NULL,2,NULL),(16,222,2,22,5,1,3,1,3),(16,222,2,22,6,1,2,1,1),(16,222,2,22,7,1,2,1,2),(16,222,2,22,8,NULL,1,NULL,1),(16,222,2,22,9,1,3,1,3),(16,222,2,22,10,NULL,2,NULL,1),(16,222,2,22,11,2,1,2,1),(16,222,2,22,12,3,1,2,1),(16,222,2,22,13,1,2,1,2),(16,222,2,22,14,2,3,1,3),(16,222,2,22,15,3,2,3,2),(16,222,2,22,16,1,3,1,3),(16,222,2,22,17,3,NULL,2,NULL),(16,222,2,22,18,1,NULL,1,NULL),(16,222,2,22,19,2,5,2,3),(16,222,2,22,20,NULL,3,NULL,3),(16,222,2,22,21,NULL,2,NULL,1),(16,222,2,22,22,2,3,1,2),(16,222,2,22,23,2,2,2,2),(16,222,2,22,24,1,5,1,5),(16,222,2,22,25,NULL,NULL,NULL,NULL),(16,222,2,22,26,10,NULL,7,NULL),(16,222,2,22,27,3,2,3,1),(16,222,2,22,28,NULL,1,NULL,1),(16,222,2,22,29,1,3,1,3),(16,222,2,22,30,2,2,2,2),(16,222,2,23,1,NULL,3,NULL,2),(16,222,2,23,2,2,4,2,2),(16,222,2,23,3,4,2,2,2),(16,222,2,23,4,2,4,1,3),(16,222,2,23,5,2,7,1,4),(16,222,2,23,6,1,2,1,2),(16,222,2,23,7,NULL,3,NULL,1),(16,222,2,23,8,1,3,1,2),(16,222,2,23,9,2,NULL,2,NULL),(16,222,2,23,10,1,2,1,2),(16,222,2,23,11,1,3,1,2),(16,222,2,23,12,1,3,1,2),(16,222,2,23,13,NULL,7,NULL,5),(16,222,2,23,14,3,9,2,6),(16,222,2,23,15,7,2,5,2),(16,222,2,23,16,2,5,2,4),(16,222,2,23,17,1,1,1,1),(16,222,2,23,18,NULL,3,NULL,2),(16,222,2,23,19,3,5,2,4),(16,222,2,23,20,3,4,2,2),(16,222,2,23,21,2,3,2,3),(16,222,2,23,22,2,5,1,4),(16,222,2,23,23,5,3,4,2),(16,222,2,23,24,2,7,2,5),(16,222,2,23,25,4,NULL,3,NULL),(16,222,2,23,26,12,NULL,8,NULL),(16,222,2,23,27,3,6,2,4),(16,222,2,23,28,1,3,1,2),(16,222,2,23,29,1,10,1,7),(16,222,2,23,30,3,NULL,3,NULL),(16,222,2,24,1,NULL,1,NULL,1),(16,222,2,24,2,1,2,1,1),(16,222,2,24,3,NULL,2,NULL,1),(16,222,2,24,4,2,3,2,1),(16,222,2,24,5,NULL,3,NULL,2),(16,222,2,24,6,NULL,2,NULL,1),(16,222,2,24,7,NULL,2,NULL,1),(16,222,2,24,8,2,1,1,NULL),(16,222,2,24,9,NULL,NULL,NULL,NULL),(16,222,2,24,10,NULL,3,NULL,2),(16,222,2,24,11,1,2,1,1),(16,222,2,24,12,1,2,1,1),(16,222,2,24,13,NULL,1,NULL,1),(16,222,2,24,14,3,2,2,1),(16,222,2,24,15,2,1,NULL,1),(16,222,2,24,16,1,3,1,1),(16,222,2,24,17,1,1,1,1),(16,222,2,24,18,1,1,NULL,1),(16,222,2,24,19,1,2,1,1),(16,222,2,24,20,2,2,1,1),(16,222,2,24,21,NULL,2,NULL,1),(16,222,2,24,22,NULL,3,NULL,2),(16,222,2,24,23,NULL,1,NULL,1),(16,222,2,24,24,NULL,2,NULL,1),(16,222,2,24,25,1,NULL,1,NULL),(16,222,2,24,26,8,NULL,4,NULL),(16,222,2,24,27,NULL,3,NULL,2),(16,222,2,24,28,NULL,1,NULL,NULL),(16,222,2,24,29,1,4,1,2),(16,222,2,24,30,2,1,1,NULL),(16,222,3,31,1,NULL,NULL,NULL,NULL),(16,222,3,31,2,NULL,NULL,NULL,NULL),(16,222,3,31,3,NULL,2,NULL,1),(16,222,3,31,4,1,1,NULL,NULL),(16,222,3,31,5,1,2,NULL,1),(16,222,3,31,6,5,2,3,1),(16,222,3,31,7,1,1,1,1),(16,222,3,31,8,NULL,NULL,NULL,NULL),(16,222,3,31,9,NULL,1,NULL,1),(16,222,3,31,10,NULL,1,NULL,NULL),(16,222,3,31,11,1,3,1,1),(16,222,3,31,12,1,5,1,3),(16,222,3,31,13,NULL,NULL,NULL,NULL),(16,222,3,31,14,1,4,NULL,3),(16,222,3,31,15,2,2,1,2),(16,222,3,31,16,NULL,1,NULL,1),(16,222,3,31,17,2,3,1,1),(16,222,3,31,18,1,1,1,NULL),(16,222,3,31,19,NULL,1,NULL,NULL),(16,222,3,31,20,2,NULL,1,NULL),(16,222,3,31,21,1,6,NULL,3),(16,222,3,31,22,NULL,1,NULL,1),(16,222,3,31,23,NULL,2,NULL,1),(16,222,3,31,24,NULL,1,NULL,1),(16,222,3,31,25,NULL,1,NULL,NULL),(16,222,3,31,26,NULL,NULL,NULL,NULL),(16,222,3,31,27,NULL,2,NULL,2),(16,222,3,31,28,2,1,1,1),(16,222,3,31,29,1,1,1,NULL),(16,222,3,31,30,NULL,1,NULL,1),(16,222,3,32,1,1,5,1,2),(16,222,3,32,2,1,2,1,2),(16,222,3,32,3,NULL,3,NULL,2),(16,222,3,32,4,3,3,2,2),(16,222,3,32,5,1,6,1,3),(16,222,3,32,6,7,2,4,1),(16,222,3,32,7,1,4,NULL,3),(16,222,3,32,8,NULL,2,NULL,1),(16,222,3,32,9,NULL,1,NULL,NULL),(16,222,3,32,10,1,NULL,1,NULL),(16,222,3,32,11,3,2,2,1),(16,222,3,32,12,NULL,3,NULL,3),(16,222,3,32,13,1,1,NULL,NULL),(16,222,3,32,14,3,4,2,3),(16,222,3,32,15,3,4,2,3),(16,222,3,32,16,2,3,1,1),(16,222,3,32,17,2,7,NULL,6),(16,222,3,32,18,1,4,1,3),(16,222,3,32,19,3,1,3,1),(16,222,3,32,20,8,NULL,5,NULL),(16,222,3,32,21,1,7,1,4),(16,222,3,32,22,1,1,NULL,1),(16,222,3,32,23,NULL,4,NULL,3),(16,222,3,32,24,2,NULL,2,NULL),(16,222,3,32,25,NULL,3,NULL,2),(16,222,3,32,26,NULL,3,NULL,3),(16,222,3,32,27,NULL,2,NULL,2),(16,222,3,32,28,3,2,3,1),(16,222,3,32,29,1,1,1,1),(16,222,3,32,30,NULL,NULL,NULL,NULL),(16,222,3,33,1,NULL,1,NULL,1),(16,222,3,33,2,NULL,2,NULL,2),(16,222,3,33,3,NULL,NULL,NULL,NULL),(16,222,3,33,4,1,3,1,2),(16,222,3,33,5,3,2,2,1),(16,222,3,33,6,5,4,3,4),(16,222,3,33,7,1,1,1,1),(16,222,3,33,8,NULL,1,NULL,NULL),(16,222,3,33,9,NULL,1,NULL,1),(16,222,3,33,10,NULL,NULL,NULL,NULL),(16,222,3,33,11,3,NULL,2,NULL),(16,222,3,33,12,1,5,1,4),(16,222,3,33,13,2,NULL,2,NULL),(16,222,3,33,14,3,2,2,2),(16,222,3,33,15,1,4,1,4),(16,222,3,33,16,5,1,4,1),(16,222,3,33,17,6,4,3,4),(16,222,3,33,18,NULL,1,NULL,1),(16,222,3,33,19,NULL,2,NULL,1),(16,222,3,33,20,3,NULL,3,NULL),(16,222,3,33,21,1,2,1,2),(16,222,3,33,22,NULL,1,NULL,1),(16,222,3,33,23,1,2,1,1),(16,222,3,33,24,NULL,NULL,NULL,NULL),(16,222,3,33,25,1,NULL,1,NULL),(16,222,3,33,26,1,NULL,1,NULL),(16,222,3,33,27,1,NULL,1,NULL),(16,222,3,33,28,1,4,1,3),(16,222,3,33,29,4,2,4,1),(16,222,3,33,30,NULL,NULL,NULL,NULL),(16,222,3,34,1,NULL,2,NULL,1),(16,222,3,34,2,NULL,2,NULL,1),(16,222,3,34,3,NULL,NULL,NULL,NULL),(16,222,3,34,4,1,1,1,1),(16,222,3,34,5,3,2,3,2),(16,222,3,34,6,8,NULL,7,NULL),(16,222,3,34,7,1,1,1,1),(16,222,3,34,8,NULL,1,NULL,1),(16,222,3,34,9,NULL,1,NULL,1),(16,222,3,34,10,NULL,NULL,NULL,NULL),(16,222,3,34,11,2,NULL,2,NULL),(16,222,3,34,12,3,NULL,2,NULL),(16,222,3,34,13,3,NULL,3,NULL),(16,222,3,34,14,2,4,2,4),(16,222,3,34,15,2,1,1,NULL),(16,222,3,34,16,1,4,1,3),(16,222,3,34,17,3,2,2,2),(16,222,3,34,18,NULL,NULL,NULL,NULL),(16,222,3,34,19,2,2,2,2),(16,222,3,34,20,2,NULL,2,NULL),(16,222,3,34,21,2,1,2,NULL),(16,222,3,34,22,NULL,1,NULL,NULL),(16,222,3,34,23,1,1,1,1),(16,222,3,34,24,1,2,1,2),(16,222,3,34,25,NULL,2,NULL,1),(16,222,3,34,26,1,1,1,1),(16,222,3,34,27,NULL,2,NULL,2),(16,222,3,34,28,1,2,1,1),(16,222,3,34,29,5,1,4,1),(16,222,3,34,30,1,3,1,3),(16,223,1,11,1,NULL,NULL,NULL,NULL),(16,223,1,11,2,NULL,NULL,NULL,NULL),(16,223,1,11,3,NULL,NULL,NULL,NULL),(16,223,1,11,4,NULL,NULL,NULL,NULL),(16,223,1,11,5,NULL,NULL,NULL,NULL),(16,223,1,11,6,NULL,NULL,NULL,NULL),(16,223,1,11,7,NULL,NULL,NULL,NULL),(16,223,1,11,8,NULL,NULL,NULL,NULL),(16,223,1,11,9,NULL,NULL,NULL,NULL),(16,223,1,11,10,NULL,NULL,NULL,NULL),(16,223,1,11,11,NULL,NULL,NULL,NULL),(16,223,1,11,12,NULL,NULL,NULL,NULL),(16,223,1,11,13,NULL,NULL,NULL,NULL),(16,223,1,11,14,NULL,NULL,NULL,NULL),(16,223,1,11,15,NULL,NULL,NULL,NULL),(16,223,1,11,16,NULL,NULL,NULL,NULL),(16,223,1,11,17,NULL,NULL,NULL,NULL),(16,223,1,11,18,NULL,NULL,NULL,NULL),(16,223,1,11,19,NULL,NULL,NULL,NULL),(16,223,1,11,20,NULL,NULL,NULL,NULL),(16,223,1,12,1,NULL,NULL,NULL,NULL),(16,223,1,12,2,NULL,NULL,NULL,NULL),(16,223,1,12,3,NULL,1,NULL,NULL),(16,223,1,12,4,NULL,NULL,NULL,NULL),(16,223,1,12,5,NULL,NULL,NULL,NULL),(16,223,1,12,6,NULL,NULL,NULL,NULL),(16,223,1,12,7,NULL,1,NULL,NULL),(16,223,1,12,8,NULL,NULL,NULL,NULL),(16,223,1,12,9,NULL,NULL,NULL,NULL),(16,223,1,12,10,NULL,NULL,NULL,NULL),(16,223,1,12,11,1,NULL,NULL,NULL),(16,223,1,12,12,NULL,NULL,NULL,NULL),(16,223,1,12,13,NULL,NULL,NULL,NULL),(16,223,1,12,14,NULL,NULL,NULL,NULL),(16,223,1,12,15,1,NULL,NULL,NULL),(16,223,1,12,16,NULL,NULL,NULL,NULL),(16,223,1,12,17,NULL,NULL,NULL,NULL),(16,223,1,12,18,1,NULL,NULL,NULL),(16,223,1,12,19,1,NULL,NULL,NULL),(16,223,1,12,20,NULL,NULL,NULL,NULL),(16,223,1,13,1,NULL,NULL,NULL,NULL),(16,223,1,13,2,NULL,NULL,NULL,NULL),(16,223,1,13,3,NULL,NULL,NULL,NULL),(16,223,1,13,4,NULL,NULL,NULL,NULL),(16,223,1,13,5,NULL,NULL,NULL,NULL),(16,223,1,13,6,NULL,NULL,NULL,NULL),(16,223,1,13,7,NULL,NULL,NULL,NULL),(16,223,1,13,8,NULL,NULL,NULL,NULL),(16,223,1,13,9,NULL,NULL,NULL,NULL),(16,223,1,13,10,NULL,NULL,NULL,NULL),(16,223,1,13,11,NULL,NULL,NULL,NULL),(16,223,1,13,12,NULL,NULL,NULL,NULL),(16,223,1,13,13,NULL,NULL,NULL,NULL),(16,223,1,13,14,NULL,NULL,NULL,NULL),(16,223,1,13,15,NULL,NULL,NULL,NULL),(16,223,1,13,16,NULL,NULL,NULL,NULL),(16,223,1,13,17,NULL,NULL,NULL,NULL),(16,223,1,13,18,NULL,NULL,NULL,NULL),(16,223,1,13,19,NULL,NULL,NULL,NULL),(16,223,1,13,20,NULL,NULL,NULL,NULL),(16,223,1,14,1,12,6,8,3),(16,223,1,14,2,1,2,1,NULL),(16,223,1,14,3,9,7,5,5),(16,223,1,14,4,NULL,3,NULL,3),(16,223,1,14,5,7,4,6,2),(16,223,1,14,6,2,5,2,4),(16,223,1,14,7,2,NULL,2,NULL),(16,223,1,14,8,1,5,NULL,5),(16,223,1,14,9,2,5,2,3),(16,223,1,14,10,1,7,1,6),(16,223,1,14,11,4,6,4,3),(16,223,1,14,12,3,3,2,2),(16,223,1,14,13,5,5,4,5),(16,223,1,14,14,3,NULL,3,NULL),(16,223,1,14,15,1,2,1,2),(16,223,1,14,16,5,5,4,3),(16,223,1,14,17,2,5,2,3),(16,223,1,14,18,1,4,1,3),(16,223,1,14,19,2,4,2,1),(16,223,1,14,20,3,8,3,4),(16,223,1,15,1,9,5,6,1),(16,223,1,15,2,3,NULL,2,NULL),(16,223,1,15,3,7,8,5,3),(16,223,1,15,4,NULL,2,NULL,2),(16,223,1,15,5,NULL,3,NULL,3),(16,223,1,15,6,NULL,8,NULL,8),(16,223,1,15,7,3,NULL,3,NULL),(16,223,1,15,8,4,4,3,2),(16,223,1,15,9,2,5,2,4),(16,223,1,15,10,5,6,4,3),(16,223,1,15,11,3,4,1,3),(16,223,1,15,12,4,4,2,4),(16,223,1,15,13,5,7,2,5),(16,223,1,15,14,1,4,1,2),(16,223,1,15,15,1,4,NULL,3),(16,223,1,15,16,6,5,4,3),(16,223,1,15,17,5,4,3,2),(16,223,1,15,18,1,NULL,1,NULL),(16,223,1,15,19,7,5,4,1),(16,223,1,15,20,3,9,1,6),(16,223,1,16,1,13,6,6,3),(16,223,1,16,2,1,5,1,4),(16,223,1,16,3,5,10,3,4),(16,223,1,16,4,NULL,3,NULL,3),(16,223,1,16,5,11,5,8,2),(16,223,1,16,6,4,3,2,2),(16,223,1,16,7,1,6,1,5),(16,223,1,16,8,4,9,1,6),(16,223,1,16,9,NULL,5,NULL,4),(16,223,1,16,10,3,9,3,4),(16,223,1,16,11,9,21,4,12),(16,223,1,16,12,1,3,NULL,1),(16,223,1,16,13,11,14,7,8),(16,223,1,16,14,1,18,1,8),(16,223,1,16,15,7,16,4,11),(16,223,1,16,16,1,7,NULL,4),(16,223,1,16,17,5,12,3,9),(16,223,1,16,18,13,7,10,6),(16,223,1,16,19,4,15,2,8),(16,223,1,16,20,NULL,7,NULL,5),(16,223,1,17,1,8,7,5,4),(16,223,1,17,2,1,2,1,1),(16,223,1,17,3,1,5,1,3),(16,223,1,17,4,NULL,3,NULL,3),(16,223,1,17,5,2,6,2,6),(16,223,1,17,6,2,1,2,1),(16,223,1,17,7,2,5,1,4),(16,223,1,17,8,3,5,2,2),(16,223,1,17,9,NULL,4,NULL,4),(16,223,1,17,10,5,4,5,3),(16,223,1,17,11,1,15,NULL,12),(16,223,1,17,12,1,3,1,2),(16,223,1,17,13,4,9,2,7),(16,223,1,17,14,1,9,NULL,4),(16,223,1,17,15,8,11,3,7),(16,223,1,17,16,3,2,3,2),(16,223,1,17,17,1,9,1,7),(16,223,1,17,18,7,6,5,4),(16,223,1,17,19,3,9,2,6),(16,223,1,17,20,NULL,10,NULL,7),(16,223,2,21,1,1,2,1,2),(16,223,2,21,2,1,17,1,12),(16,223,2,21,3,2,7,1,6),(16,223,2,21,4,10,3,7,3),(16,223,2,21,5,6,8,5,6),(16,223,2,21,6,NULL,1,NULL,NULL),(16,223,2,21,7,NULL,6,NULL,4),(16,223,2,21,8,1,2,1,1),(16,223,2,21,9,NULL,1,NULL,1),(16,223,2,21,10,2,6,1,6),(16,223,2,21,11,3,1,3,NULL),(16,223,2,21,12,5,6,4,5),(16,223,2,21,13,3,8,2,8),(16,223,2,21,14,9,11,8,8),(16,223,2,21,15,13,4,10,2),(16,223,2,21,16,4,8,4,7),(16,223,2,21,17,1,6,1,5),(16,223,2,21,18,2,4,2,3),(16,223,2,21,19,6,10,5,7),(16,223,2,21,20,2,9,2,8),(16,223,2,21,21,4,10,4,7),(16,223,2,21,22,6,4,6,3),(16,223,2,21,23,9,8,7,8),(16,223,2,21,24,5,11,4,8),(16,223,2,21,25,3,NULL,2,NULL),(16,223,2,21,26,33,NULL,21,NULL),(16,223,2,21,27,5,10,5,6),(16,223,2,21,28,2,5,2,4),(16,223,2,21,29,4,11,4,6),(16,223,2,21,30,3,5,2,5),(16,223,2,22,1,1,NULL,1,NULL),(16,223,2,22,2,1,8,1,2),(16,223,2,22,3,3,5,2,1),(16,223,2,22,4,3,5,2,4),(16,223,2,22,5,2,7,1,2),(16,223,2,22,6,NULL,6,NULL,5),(16,223,2,22,7,3,2,2,NULL),(16,223,2,22,8,NULL,5,NULL,3),(16,223,2,22,9,1,NULL,NULL,NULL),(16,223,2,22,10,1,4,1,NULL),(16,223,2,22,11,1,2,1,2),(16,223,2,22,12,5,7,3,4),(16,223,2,22,13,2,4,1,2),(16,223,2,22,14,7,5,3,1),(16,223,2,22,15,9,2,3,1),(16,223,2,22,16,4,5,3,3),(16,223,2,22,17,2,4,2,NULL),(16,223,2,22,18,NULL,2,NULL,1),(16,223,2,22,19,3,8,2,5),(16,223,2,22,20,2,3,1,1),(16,223,2,22,21,2,6,1,4),(16,223,2,22,22,3,1,3,1),(16,223,2,22,23,2,8,2,4),(16,223,2,22,24,3,11,2,5),(16,223,2,22,25,1,NULL,1,NULL),(16,223,2,22,26,28,NULL,10,NULL),(16,223,2,22,27,5,3,2,1),(16,223,2,22,28,2,1,2,NULL),(16,223,2,22,29,4,7,3,4),(16,223,2,22,30,2,2,2,1),(16,223,2,23,1,2,3,1,2),(16,223,2,23,2,3,4,3,1),(16,223,2,23,3,5,4,3,3),(16,223,2,23,4,6,7,4,2),(16,223,2,23,5,3,13,2,7),(16,223,2,23,6,2,5,2,3),(16,223,2,23,7,2,3,2,1),(16,223,2,23,8,2,3,1,1),(16,223,2,23,9,NULL,3,NULL,3),(16,223,2,23,10,1,9,1,6),(16,223,2,23,11,2,3,1,3),(16,223,2,23,12,7,6,3,4),(16,223,2,23,13,4,6,2,3),(16,223,2,23,14,8,9,5,6),(16,223,2,23,15,13,4,9,2),(16,223,2,23,16,3,10,1,6),(16,223,2,23,17,1,4,1,1),(16,223,2,23,18,4,7,2,4),(16,223,2,23,19,3,11,1,6),(16,223,2,23,20,7,3,2,2),(16,223,2,23,21,3,8,2,3),(16,223,2,23,22,5,7,3,3),(16,223,2,23,23,7,4,4,3),(16,223,2,23,24,5,11,4,4),(16,223,2,23,25,3,NULL,3,NULL),(16,223,2,23,26,32,NULL,14,NULL),(16,223,2,23,27,2,9,2,6),(16,223,2,23,28,3,5,2,4),(16,223,2,23,29,6,10,5,5),(16,223,2,23,30,3,6,2,3),(16,223,2,24,1,NULL,3,NULL,3),(16,223,2,24,2,2,7,2,3),(16,223,2,24,3,4,NULL,3,NULL),(16,223,2,24,4,5,4,2,2),(16,223,2,24,5,4,9,2,4),(16,223,2,24,6,2,3,NULL,2),(16,223,2,24,7,1,5,1,3),(16,223,2,24,8,NULL,5,NULL,2),(16,223,2,24,9,NULL,1,NULL,1),(16,223,2,24,10,NULL,5,NULL,1),(16,223,2,24,11,1,3,NULL,3),(16,223,2,24,12,1,5,1,3),(16,223,2,24,13,1,6,1,4),(16,223,2,24,14,4,10,2,5),(16,223,2,24,15,8,3,3,2),(16,223,2,24,16,3,9,NULL,6),(16,223,2,24,17,NULL,5,NULL,2),(16,223,2,24,18,1,5,NULL,5),(16,223,2,24,19,4,4,2,2),(16,223,2,24,20,2,6,2,4),(16,223,2,24,21,NULL,6,NULL,3),(16,223,2,24,22,NULL,4,NULL,2),(16,223,2,24,23,2,4,1,3),(16,223,2,24,24,NULL,8,NULL,4),(16,223,2,24,25,NULL,NULL,NULL,NULL),(16,223,2,24,26,23,NULL,10,NULL),(16,223,2,24,27,1,5,1,4),(16,223,2,24,28,NULL,2,NULL,2),(16,223,2,24,29,NULL,8,NULL,4),(16,223,2,24,30,4,5,2,3),(16,223,3,31,1,1,1,1,NULL),(16,223,3,31,2,2,4,1,2),(16,223,3,31,3,1,3,1,1),(16,223,3,31,4,2,4,NULL,2),(16,223,3,31,5,2,4,1,1),(16,223,3,31,6,8,9,1,8),(16,223,3,31,7,NULL,1,NULL,NULL),(16,223,3,31,8,NULL,NULL,NULL,NULL),(16,223,3,31,9,NULL,NULL,NULL,NULL),(16,223,3,31,10,NULL,2,NULL,NULL),(16,223,3,31,11,6,3,3,2),(16,223,3,31,12,NULL,2,NULL,NULL),(16,223,3,31,13,4,5,2,3),(16,223,3,31,14,2,4,1,2),(16,223,3,31,15,3,4,3,2),(16,223,3,31,16,2,5,1,2),(16,223,3,31,17,8,3,5,2),(16,223,3,31,18,3,2,1,1),(16,223,3,31,19,1,3,1,2),(16,223,3,31,20,8,NULL,6,NULL),(16,223,3,31,21,1,12,1,7),(16,223,3,31,22,NULL,NULL,NULL,NULL),(16,223,3,31,23,NULL,NULL,NULL,NULL),(16,223,3,31,24,NULL,2,NULL,1),(16,223,3,31,25,NULL,1,NULL,1),(16,223,3,31,26,1,NULL,NULL,NULL),(16,223,3,31,27,1,2,1,NULL),(16,223,3,31,28,2,6,2,2),(16,223,3,31,29,1,7,NULL,2),(16,223,3,31,30,NULL,NULL,NULL,NULL),(16,223,3,32,1,NULL,1,NULL,1),(16,223,3,32,2,2,2,2,NULL),(16,223,3,32,3,1,5,1,4),(16,223,3,32,4,1,4,NULL,2),(16,223,3,32,5,4,12,3,4),(16,223,3,32,6,13,11,9,2),(16,223,3,32,7,1,3,1,3),(16,223,3,32,8,1,1,1,1),(16,223,3,32,9,1,NULL,NULL,NULL),(16,223,3,32,10,NULL,1,NULL,NULL),(16,223,3,32,11,8,8,3,5),(16,223,3,32,12,NULL,6,NULL,3),(16,223,3,32,13,5,4,4,2),(16,223,3,32,14,5,6,4,3),(16,223,3,32,15,3,8,3,3),(16,223,3,32,16,7,8,3,5),(16,223,3,32,17,8,9,4,6),(16,223,3,32,18,5,5,4,1),(16,223,3,32,19,4,5,2,3),(16,223,3,32,20,11,NULL,8,NULL),(16,223,3,32,21,4,12,4,4),(16,223,3,32,22,NULL,2,NULL,2),(16,223,3,32,23,NULL,4,NULL,2),(16,223,3,32,24,2,3,2,1),(16,223,3,32,25,NULL,1,NULL,1),(16,223,3,32,26,1,2,1,NULL),(16,223,3,32,27,NULL,3,NULL,1),(16,223,3,32,28,3,9,3,6),(16,223,3,32,29,4,7,2,5),(16,223,3,32,30,NULL,3,NULL,1),(16,223,3,33,1,NULL,1,NULL,1),(16,223,3,33,2,NULL,4,NULL,2),(16,223,3,33,3,NULL,1,NULL,NULL),(16,223,3,33,4,1,4,1,3),(16,223,3,33,5,2,6,NULL,3),(16,223,3,33,6,14,4,6,2),(16,223,3,33,7,NULL,2,NULL,NULL),(16,223,3,33,8,NULL,1,NULL,1),(16,223,3,33,9,NULL,2,NULL,1),(16,223,3,33,10,NULL,1,NULL,NULL),(16,223,3,33,11,5,6,1,3),(16,223,3,33,12,1,6,NULL,3),(16,223,3,33,13,1,3,1,NULL),(16,223,3,33,14,5,6,3,3),(16,223,3,33,15,1,5,1,3),(16,223,3,33,16,1,7,NULL,3),(16,223,3,33,17,7,5,5,4),(16,223,3,33,18,1,4,1,2),(16,223,3,33,19,3,1,NULL,NULL),(16,223,3,33,20,11,NULL,8,NULL),(16,223,3,33,21,1,11,1,4),(16,223,3,33,22,NULL,2,NULL,1),(16,223,3,33,23,1,3,1,NULL),(16,223,3,33,24,NULL,4,NULL,1),(16,223,3,33,25,NULL,1,NULL,NULL),(16,223,3,33,26,NULL,4,NULL,1),(16,223,3,33,27,NULL,1,NULL,NULL),(16,223,3,33,28,1,4,NULL,2),(16,223,3,33,29,1,8,1,3),(16,223,3,33,30,NULL,NULL,NULL,NULL),(16,223,3,34,1,2,5,1,4),(16,223,3,34,2,NULL,3,NULL,2),(16,223,3,34,3,NULL,2,NULL,1),(16,223,3,34,4,1,2,NULL,2),(16,223,3,34,5,4,6,3,3),(16,223,3,34,6,19,9,14,5),(16,223,3,34,7,NULL,NULL,NULL,NULL),(16,223,3,34,8,1,3,1,2),(16,223,3,34,9,NULL,4,NULL,3),(16,223,3,34,10,NULL,2,NULL,1),(16,223,3,34,11,6,6,4,4),(16,223,3,34,12,3,8,2,6),(16,223,3,34,13,1,4,NULL,2),(16,223,3,34,14,4,9,2,8),(16,223,3,34,15,6,4,6,4),(16,223,3,34,16,4,5,1,4),(16,223,3,34,17,10,12,7,9),(16,223,3,34,18,4,2,3,2),(16,223,3,34,19,1,8,1,5),(16,223,3,34,20,13,NULL,11,NULL),(16,223,3,34,21,5,12,3,9),(16,223,3,34,22,NULL,NULL,NULL,NULL),(16,223,3,34,23,NULL,4,NULL,4),(16,223,3,34,24,2,2,1,2),(16,223,3,34,25,NULL,2,NULL,2),(16,223,3,34,26,NULL,3,NULL,1),(16,223,3,34,27,1,3,1,1),(16,223,3,34,28,4,3,3,2),(16,223,3,34,29,3,8,3,7),(16,223,3,34,30,NULL,2,NULL,1),(16,224,1,11,1,NULL,NULL,NULL,NULL),(16,224,1,11,2,NULL,NULL,NULL,NULL),(16,224,1,11,3,NULL,NULL,NULL,NULL),(16,224,1,11,4,NULL,NULL,NULL,NULL),(16,224,1,11,5,NULL,NULL,NULL,NULL),(16,224,1,11,6,NULL,NULL,NULL,NULL),(16,224,1,11,7,NULL,NULL,NULL,NULL),(16,224,1,11,8,NULL,NULL,NULL,NULL),(16,224,1,11,9,NULL,NULL,NULL,NULL),(16,224,1,11,10,NULL,NULL,NULL,NULL),(16,224,1,11,11,NULL,NULL,NULL,NULL),(16,224,1,11,12,NULL,NULL,NULL,NULL),(16,224,1,11,13,NULL,NULL,NULL,NULL),(16,224,1,11,14,NULL,NULL,NULL,NULL),(16,224,1,11,15,NULL,NULL,NULL,NULL),(16,224,1,11,16,NULL,NULL,NULL,NULL),(16,224,1,11,17,NULL,NULL,NULL,NULL),(16,224,1,11,18,NULL,NULL,NULL,NULL),(16,224,1,11,19,NULL,NULL,NULL,NULL),(16,224,1,11,20,NULL,NULL,NULL,NULL),(16,224,1,12,1,NULL,NULL,NULL,NULL),(16,224,1,12,2,NULL,NULL,NULL,NULL),(16,224,1,12,3,NULL,NULL,NULL,NULL),(16,224,1,12,4,NULL,NULL,NULL,NULL),(16,224,1,12,5,NULL,NULL,NULL,NULL),(16,224,1,12,6,NULL,NULL,NULL,NULL),(16,224,1,12,7,NULL,NULL,NULL,NULL),(16,224,1,12,8,NULL,NULL,NULL,NULL),(16,224,1,12,9,NULL,NULL,NULL,NULL),(16,224,1,12,10,NULL,NULL,NULL,NULL),(16,224,1,12,11,NULL,NULL,NULL,NULL),(16,224,1,12,12,NULL,NULL,NULL,NULL),(16,224,1,12,13,NULL,NULL,NULL,NULL),(16,224,1,12,14,NULL,NULL,NULL,NULL),(16,224,1,12,15,NULL,NULL,NULL,NULL),(16,224,1,12,16,NULL,NULL,NULL,NULL),(16,224,1,12,17,NULL,NULL,NULL,NULL),(16,224,1,12,18,NULL,NULL,NULL,NULL),(16,224,1,12,19,NULL,NULL,NULL,NULL),(16,224,1,12,20,NULL,NULL,NULL,NULL),(16,224,1,13,1,NULL,NULL,NULL,NULL),(16,224,1,13,2,NULL,NULL,NULL,NULL),(16,224,1,13,3,1,NULL,1,NULL),(16,224,1,13,4,NULL,NULL,NULL,NULL),(16,224,1,13,5,NULL,1,NULL,1),(16,224,1,13,6,NULL,NULL,NULL,NULL),(16,224,1,13,7,NULL,NULL,NULL,NULL),(16,224,1,13,8,1,NULL,1,NULL),(16,224,1,13,9,NULL,1,NULL,1),(16,224,1,13,10,NULL,NULL,NULL,NULL),(16,224,1,13,11,1,NULL,1,NULL),(16,224,1,13,12,NULL,NULL,NULL,NULL),(16,224,1,13,13,NULL,NULL,NULL,NULL),(16,224,1,13,14,1,NULL,1,NULL),(16,224,1,13,15,NULL,1,NULL,1),(16,224,1,13,16,1,NULL,1,NULL),(16,224,1,13,17,1,NULL,1,NULL),(16,224,1,13,18,NULL,NULL,NULL,NULL),(16,224,1,13,19,NULL,NULL,NULL,NULL),(16,224,1,13,20,1,NULL,1,NULL),(16,224,1,14,1,5,1,4,1),(16,224,1,14,2,NULL,NULL,NULL,NULL),(16,224,1,14,3,3,2,2,2),(16,224,1,14,4,NULL,NULL,NULL,NULL),(16,224,1,14,5,4,3,3,3),(16,224,1,14,6,2,2,1,2),(16,224,1,14,7,1,NULL,1,NULL),(16,224,1,14,8,NULL,2,NULL,2),(16,224,1,14,9,NULL,1,NULL,1),(16,224,1,14,10,2,1,2,1),(16,224,1,14,11,2,2,2,2),(16,224,1,14,12,2,NULL,2,NULL),(16,224,1,14,13,1,1,1,1),(16,224,1,14,14,1,NULL,1,NULL),(16,224,1,14,15,1,NULL,1,NULL),(16,224,1,14,16,2,NULL,2,NULL),(16,224,1,14,17,NULL,2,NULL,1),(16,224,1,14,18,1,NULL,1,NULL),(16,224,1,14,19,2,2,2,2),(16,224,1,14,20,1,3,1,3),(16,224,1,15,1,4,4,2,2),(16,224,1,15,2,NULL,NULL,NULL,NULL),(16,224,1,15,3,2,1,2,NULL),(16,224,1,15,4,NULL,NULL,NULL,NULL),(16,224,1,15,5,3,NULL,3,NULL),(16,224,1,15,6,2,1,2,NULL),(16,224,1,15,7,1,NULL,1,NULL),(16,224,1,15,8,1,4,1,2),(16,224,1,15,9,1,NULL,1,NULL),(16,224,1,15,10,3,NULL,1,NULL),(16,224,1,15,11,2,1,2,NULL),(16,224,1,15,12,1,1,1,1),(16,224,1,15,13,3,4,3,1),(16,224,1,15,14,1,2,1,1),(16,224,1,15,15,1,1,1,1),(16,224,1,15,16,4,1,2,NULL),(16,224,1,15,17,1,3,1,2),(16,224,1,15,18,1,1,NULL,NULL),(16,224,1,15,19,2,3,2,1),(16,224,1,15,20,3,3,2,NULL),(16,224,1,16,1,3,6,2,6),(16,224,1,16,2,NULL,4,NULL,3),(16,224,1,16,3,3,4,2,3),(16,224,1,16,4,1,5,1,4),(16,224,1,16,5,4,6,3,4),(16,224,1,16,6,1,2,1,1),(16,224,1,16,7,2,3,NULL,2),(16,224,1,16,8,NULL,7,NULL,5),(16,224,1,16,9,NULL,4,NULL,2),(16,224,1,16,10,3,5,3,1),(16,224,1,16,11,4,13,2,9),(16,224,1,16,12,NULL,4,NULL,3),(16,224,1,16,13,5,7,2,6),(16,224,1,16,14,NULL,6,NULL,4),(16,224,1,16,15,4,12,2,10),(16,224,1,16,16,NULL,3,NULL,3),(16,224,1,16,17,2,6,NULL,4),(16,224,1,16,18,3,6,2,3),(16,224,1,16,19,1,11,1,7),(16,224,1,16,20,NULL,8,NULL,6),(16,224,1,17,1,4,6,4,3),(16,224,1,17,2,2,3,2,2),(16,224,1,17,3,NULL,3,NULL,2),(16,224,1,17,4,NULL,2,NULL,2),(16,224,1,17,5,1,3,1,2),(16,224,1,17,6,NULL,2,NULL,2),(16,224,1,17,7,1,3,1,1),(16,224,1,17,8,3,3,2,3),(16,224,1,17,9,1,1,1,1),(16,224,1,17,10,1,5,1,4),(16,224,1,17,11,3,8,2,5),(16,224,1,17,12,NULL,1,NULL,1),(16,224,1,17,13,6,5,4,3),(16,224,1,17,14,NULL,5,NULL,3),(16,224,1,17,15,3,12,2,7),(16,224,1,17,16,NULL,2,NULL,2),(16,224,1,17,17,2,5,1,2),(16,224,1,17,18,5,5,3,4),(16,224,1,17,19,2,11,2,5),(16,224,1,17,20,NULL,7,NULL,5),(16,224,2,21,1,NULL,1,NULL,1),(16,224,2,21,2,1,6,1,5),(16,224,2,21,3,2,4,2,3),(16,224,2,21,4,2,NULL,2,NULL),(16,224,2,21,5,2,3,1,2),(16,224,2,21,6,1,1,1,1),(16,224,2,21,7,2,3,NULL,3),(16,224,2,21,8,1,5,NULL,2),(16,224,2,21,9,NULL,2,NULL,NULL),(16,224,2,21,10,NULL,1,NULL,NULL),(16,224,2,21,11,NULL,5,NULL,5),(16,224,2,21,12,3,3,2,3),(16,224,2,21,13,2,2,1,2),(16,224,2,21,14,4,3,3,2),(16,224,2,21,15,3,NULL,3,NULL),(16,224,2,21,16,1,2,1,1),(16,224,2,21,17,1,2,NULL,1),(16,224,2,21,18,NULL,NULL,NULL,NULL),(16,224,2,21,19,1,3,1,2),(16,224,2,21,20,2,7,1,5),(16,224,2,21,21,2,4,2,2),(16,224,2,21,22,3,3,3,2),(16,224,2,21,23,6,4,4,4),(16,224,2,21,24,4,5,4,3),(16,224,2,21,25,1,NULL,NULL,NULL),(16,224,2,21,26,16,NULL,10,NULL),(16,224,2,21,27,3,5,2,4),(16,224,2,21,28,1,4,NULL,3),(16,224,2,21,29,1,6,1,4),(16,224,2,21,30,1,1,NULL,1),(16,224,2,22,1,1,1,1,1),(16,224,2,22,2,1,6,1,2),(16,224,2,22,3,1,3,1,2),(16,224,2,22,4,1,4,1,2),(16,224,2,22,5,2,5,NULL,4),(16,224,2,22,6,1,NULL,1,NULL),(16,224,2,22,7,NULL,3,NULL,2),(16,224,2,22,8,1,4,NULL,3),(16,224,2,22,9,1,NULL,1,NULL),(16,224,2,22,10,NULL,1,NULL,1),(16,224,2,22,11,2,NULL,2,NULL),(16,224,2,22,12,3,3,3,NULL),(16,224,2,22,13,1,2,1,1),(16,224,2,22,14,1,5,1,3),(16,224,2,22,15,4,2,3,1),(16,224,2,22,16,1,4,1,2),(16,224,2,22,17,1,2,1,2),(16,224,2,22,18,2,NULL,1,NULL),(16,224,2,22,19,4,2,3,1),(16,224,2,22,20,1,2,1,NULL),(16,224,2,22,21,2,3,1,3),(16,224,2,22,22,1,3,NULL,2),(16,224,2,22,23,3,4,2,3),(16,224,2,22,24,2,5,1,2),(16,224,2,22,25,1,NULL,NULL,NULL),(16,224,2,22,26,14,NULL,9,NULL),(16,224,2,22,27,2,3,NULL,2),(16,224,2,22,28,NULL,4,NULL,1),(16,224,2,22,29,1,5,1,2),(16,224,2,22,30,2,2,2,1),(16,224,2,23,1,NULL,NULL,NULL,NULL),(16,224,2,23,2,NULL,7,NULL,3),(16,224,2,23,3,1,2,NULL,1),(16,224,2,23,4,5,4,2,2),(16,224,2,23,5,NULL,4,NULL,2),(16,224,2,23,6,1,4,NULL,1),(16,224,2,23,7,1,2,NULL,1),(16,224,2,23,8,NULL,5,NULL,2),(16,224,2,23,9,NULL,1,NULL,NULL),(16,224,2,23,10,NULL,2,NULL,1),(16,224,2,23,11,3,3,3,1),(16,224,2,23,12,5,4,2,3),(16,224,2,23,13,1,6,NULL,4),(16,224,2,23,14,3,7,NULL,3),(16,224,2,23,15,6,2,3,NULL),(16,224,2,23,16,NULL,3,NULL,2),(16,224,2,23,17,2,2,NULL,1),(16,224,2,23,18,3,1,1,NULL),(16,224,2,23,19,1,5,NULL,1),(16,224,2,23,20,3,5,1,4),(16,224,2,23,21,2,2,NULL,1),(16,224,2,23,22,3,4,1,3),(16,224,2,23,23,4,5,2,1),(16,224,2,23,24,3,7,1,3),(16,224,2,23,25,1,NULL,1,NULL),(16,224,2,23,26,15,NULL,6,NULL),(16,224,2,23,27,1,6,1,3),(16,224,2,23,28,1,4,NULL,2),(16,224,2,23,29,NULL,6,NULL,3),(16,224,2,23,30,6,1,5,NULL),(16,224,2,24,1,1,NULL,1,NULL),(16,224,2,24,2,1,2,1,2),(16,224,2,24,3,2,5,2,4),(16,224,2,24,4,2,2,2,1),(16,224,2,24,5,4,1,3,1),(16,224,2,24,6,1,1,1,NULL),(16,224,2,24,7,1,NULL,NULL,NULL),(16,224,2,24,8,NULL,2,NULL,2),(16,224,2,24,9,NULL,1,NULL,1),(16,224,2,24,10,NULL,2,NULL,1),(16,224,2,24,11,3,2,3,2),(16,224,2,24,12,2,3,1,3),(16,224,2,24,13,NULL,4,NULL,4),(16,224,2,24,14,3,5,3,3),(16,224,2,24,15,6,1,5,1),(16,224,2,24,16,3,2,2,2),(16,224,2,24,17,1,2,1,2),(16,224,2,24,18,2,1,2,1),(16,224,2,24,19,2,6,2,4),(16,224,2,24,20,2,4,1,3),(16,224,2,24,21,2,4,2,3),(16,224,2,24,22,1,4,1,3),(16,224,2,24,23,4,2,4,1),(16,224,2,24,24,1,6,1,5),(16,224,2,24,25,1,NULL,1,NULL),(16,224,2,24,26,14,NULL,10,NULL),(16,224,2,24,27,1,1,1,1),(16,224,2,24,28,NULL,NULL,NULL,NULL),(16,224,2,24,29,1,6,1,5),(16,224,2,24,30,2,1,1,1),(16,224,3,31,1,1,1,1,1),(16,224,3,31,2,NULL,2,NULL,1),(16,224,3,31,3,1,2,NULL,2),(16,224,3,31,4,2,1,1,1),(16,224,3,31,5,1,4,1,3),(16,224,3,31,6,7,3,7,1),(16,224,3,31,7,1,2,1,1),(16,224,3,31,8,NULL,2,NULL,2),(16,224,3,31,9,NULL,2,NULL,2),(16,224,3,31,10,NULL,1,NULL,NULL),(16,224,3,31,11,2,1,1,1),(16,224,3,31,12,1,2,1,2),(16,224,3,31,13,4,2,3,2),(16,224,3,31,14,3,2,3,2),(16,224,3,31,15,2,3,1,2),(16,224,3,31,16,NULL,6,NULL,5),(16,224,3,31,17,3,4,3,4),(16,224,3,31,18,2,2,1,1),(16,224,3,31,19,NULL,2,NULL,2),(16,224,3,31,20,4,NULL,4,NULL),(16,224,3,31,21,2,7,1,5),(16,224,3,31,22,1,NULL,1,NULL),(16,224,3,31,23,NULL,2,NULL,2),(16,224,3,31,24,2,1,2,1),(16,224,3,31,25,NULL,1,NULL,1),(16,224,3,31,26,1,NULL,1,NULL),(16,224,3,31,27,2,3,2,2),(16,224,3,31,28,1,2,1,1),(16,224,3,31,29,3,3,3,3),(16,224,3,31,30,2,1,2,1),(16,224,3,32,1,NULL,3,NULL,2),(16,224,3,32,2,NULL,3,NULL,2),(16,224,3,32,3,NULL,3,NULL,2),(16,224,3,32,4,NULL,3,NULL,NULL),(16,224,3,32,5,NULL,5,NULL,3),(16,224,3,32,6,5,4,2,1),(16,224,3,32,7,1,2,NULL,NULL),(16,224,3,32,8,1,NULL,NULL,NULL),(16,224,3,32,9,NULL,NULL,NULL,NULL),(16,224,3,32,10,NULL,3,NULL,1),(16,224,3,32,11,3,5,2,1),(16,224,3,32,12,1,3,NULL,NULL),(16,224,3,32,13,1,5,NULL,2),(16,224,3,32,14,1,4,NULL,2),(16,224,3,32,15,NULL,8,NULL,4),(16,224,3,32,16,1,6,1,2),(16,224,3,32,17,5,5,2,3),(16,224,3,32,18,3,2,2,1),(16,224,3,32,19,1,1,NULL,1),(16,224,3,32,20,9,NULL,4,NULL),(16,224,3,32,21,1,9,NULL,6),(16,224,3,32,22,NULL,NULL,NULL,NULL),(16,224,3,32,23,1,NULL,1,NULL),(16,224,3,32,24,NULL,2,NULL,1),(16,224,3,32,25,NULL,NULL,NULL,NULL),(16,224,3,32,26,NULL,1,NULL,NULL),(16,224,3,32,27,NULL,1,NULL,NULL),(16,224,3,32,28,2,2,1,1),(16,224,3,32,29,4,1,2,NULL),(16,224,3,32,30,NULL,1,NULL,NULL),(16,224,3,33,1,NULL,1,NULL,NULL),(16,224,3,33,2,NULL,1,NULL,NULL),(16,224,3,33,3,NULL,3,NULL,1),(16,224,3,33,4,1,3,1,2),(16,224,3,33,5,2,6,NULL,4),(16,224,3,33,6,8,3,5,2),(16,224,3,33,7,NULL,NULL,NULL,NULL),(16,224,3,33,8,1,NULL,1,NULL),(16,224,3,33,9,NULL,2,NULL,1),(16,224,3,33,10,NULL,NULL,NULL,NULL),(16,224,3,33,11,2,4,1,3),(16,224,3,33,12,NULL,3,NULL,3),(16,224,3,33,13,1,3,1,2),(16,224,3,33,14,2,5,2,2),(16,224,3,33,15,1,4,NULL,2),(16,224,3,33,16,2,2,1,1),(16,224,3,33,17,5,4,3,4),(16,224,3,33,18,2,NULL,2,NULL),(16,224,3,33,19,2,1,1,NULL),(16,224,3,33,20,5,NULL,4,NULL),(16,224,3,33,21,2,10,2,6),(16,224,3,33,22,NULL,1,NULL,1),(16,224,3,33,23,NULL,1,NULL,NULL),(16,224,3,33,24,NULL,3,NULL,3),(16,224,3,33,25,NULL,1,NULL,1),(16,224,3,33,26,NULL,NULL,NULL,NULL),(16,224,3,33,27,NULL,NULL,NULL,NULL),(16,224,3,33,28,2,4,1,2),(16,224,3,33,29,2,3,2,1),(16,224,3,33,30,1,NULL,1,NULL),(16,224,3,34,1,NULL,2,NULL,1),(16,224,3,34,2,NULL,1,NULL,1),(16,224,3,34,3,1,NULL,NULL,NULL),(16,224,3,34,4,1,2,NULL,2),(16,224,3,34,5,NULL,6,NULL,5),(16,224,3,34,6,5,5,4,3),(16,224,3,34,7,1,NULL,1,NULL),(16,224,3,34,8,NULL,3,NULL,2),(16,224,3,34,9,NULL,2,NULL,NULL),(16,224,3,34,10,1,1,NULL,1),(16,224,3,34,11,1,5,1,3),(16,224,3,34,12,3,1,2,1),(16,224,3,34,13,NULL,4,NULL,3),(16,224,3,34,14,2,7,1,4),(16,224,3,34,15,2,2,2,2),(16,224,3,34,16,2,5,2,1),(16,224,3,34,17,2,7,2,3),(16,224,3,34,18,1,2,1,1),(16,224,3,34,19,NULL,5,NULL,3),(16,224,3,34,20,5,NULL,3,NULL),(16,224,3,34,21,NULL,7,NULL,4),(16,224,3,34,22,NULL,1,NULL,1),(16,224,3,34,23,1,3,1,3),(16,224,3,34,24,2,2,2,1),(16,224,3,34,25,NULL,1,NULL,1),(16,224,3,34,26,NULL,1,NULL,NULL),(16,224,3,34,27,1,NULL,1,NULL),(16,224,3,34,28,NULL,3,NULL,3),(16,224,3,34,29,3,3,2,2),(16,224,3,34,30,NULL,NULL,NULL,NULL),(16,225,1,11,1,NULL,1,NULL,1),(16,225,1,11,2,NULL,NULL,NULL,NULL),(16,225,1,11,3,NULL,1,NULL,1),(16,225,1,11,4,NULL,NULL,NULL,NULL),(16,225,1,11,5,NULL,NULL,NULL,NULL),(16,225,1,11,6,NULL,NULL,NULL,NULL),(16,225,1,11,7,NULL,NULL,NULL,NULL),(16,225,1,11,8,NULL,1,NULL,1),(16,225,1,11,9,NULL,NULL,NULL,NULL),(16,225,1,11,10,NULL,NULL,NULL,NULL),(16,225,1,11,11,NULL,1,NULL,1),(16,225,1,11,12,NULL,NULL,NULL,NULL),(16,225,1,11,13,NULL,1,NULL,1),(16,225,1,11,14,NULL,NULL,NULL,NULL),(16,225,1,11,15,NULL,1,NULL,1),(16,225,1,11,16,NULL,NULL,NULL,NULL),(16,225,1,11,17,NULL,NULL,NULL,NULL),(16,225,1,11,18,NULL,NULL,NULL,NULL),(16,225,1,11,19,NULL,NULL,NULL,NULL),(16,225,1,11,20,NULL,NULL,NULL,NULL),(16,225,1,12,1,NULL,1,NULL,1),(16,225,1,12,2,NULL,NULL,NULL,NULL),(16,225,1,12,3,NULL,NULL,NULL,NULL),(16,225,1,12,4,NULL,NULL,NULL,NULL),(16,225,1,12,5,NULL,NULL,NULL,NULL),(16,225,1,12,6,NULL,NULL,NULL,NULL),(16,225,1,12,7,1,NULL,1,NULL),(16,225,1,12,8,NULL,NULL,NULL,NULL),(16,225,1,12,9,1,NULL,1,NULL),(16,225,1,12,10,NULL,NULL,NULL,NULL),(16,225,1,12,11,NULL,1,NULL,1),(16,225,1,12,12,1,NULL,1,NULL),(16,225,1,12,13,1,NULL,1,NULL),(16,225,1,12,14,NULL,1,NULL,1),(16,225,1,12,15,1,NULL,1,NULL),(16,225,1,12,16,1,NULL,1,NULL),(16,225,1,12,17,1,NULL,1,NULL),(16,225,1,12,18,NULL,NULL,NULL,NULL),(16,225,1,12,19,1,NULL,1,NULL),(16,225,1,12,20,NULL,NULL,NULL,NULL),(16,225,1,13,1,NULL,NULL,NULL,NULL),(16,225,1,13,2,NULL,NULL,NULL,NULL),(16,225,1,13,3,NULL,NULL,NULL,NULL),(16,225,1,13,4,NULL,NULL,NULL,NULL),(16,225,1,13,5,NULL,NULL,NULL,NULL),(16,225,1,13,6,NULL,NULL,NULL,NULL),(16,225,1,13,7,NULL,NULL,NULL,NULL),(16,225,1,13,8,NULL,NULL,NULL,NULL),(16,225,1,13,9,NULL,NULL,NULL,NULL),(16,225,1,13,10,NULL,NULL,NULL,NULL),(16,225,1,13,11,NULL,NULL,NULL,NULL),(16,225,1,13,12,NULL,NULL,NULL,NULL),(16,225,1,13,13,NULL,NULL,NULL,NULL),(16,225,1,13,14,NULL,NULL,NULL,NULL),(16,225,1,13,15,NULL,NULL,NULL,NULL),(16,225,1,13,16,NULL,NULL,NULL,NULL),(16,225,1,13,17,NULL,NULL,NULL,NULL),(16,225,1,13,18,NULL,NULL,NULL,NULL),(16,225,1,13,19,NULL,NULL,NULL,NULL),(16,225,1,13,20,NULL,NULL,NULL,NULL),(16,225,1,14,1,12,8,7,6),(16,225,1,14,2,2,2,2,2),(16,225,1,14,3,6,4,4,3),(16,225,1,14,4,NULL,2,NULL,2),(16,225,1,14,5,9,4,6,3),(16,225,1,14,6,1,3,1,1),(16,225,1,14,7,NULL,6,NULL,5),(16,225,1,14,8,2,7,2,6),(16,225,1,14,9,NULL,4,NULL,3),(16,225,1,14,10,2,4,2,3),(16,225,1,14,11,7,6,4,3),(16,225,1,14,12,3,4,3,3),(16,225,1,14,13,9,9,7,5),(16,225,1,14,14,4,2,2,2),(16,225,1,14,15,2,3,1,3),(16,225,1,14,16,7,8,4,6),(16,225,1,14,17,4,10,2,10),(16,225,1,14,18,3,4,1,3),(16,225,1,14,19,3,8,1,5),(16,225,1,14,20,5,9,4,7),(16,225,1,15,1,9,6,6,5),(16,225,1,15,2,3,1,3,NULL),(16,225,1,15,3,2,7,2,5),(16,225,1,15,4,1,2,1,2),(16,225,1,15,5,6,3,5,3),(16,225,1,15,6,1,6,1,4),(16,225,1,15,7,1,3,1,2),(16,225,1,15,8,2,8,2,6),(16,225,1,15,9,NULL,1,NULL,NULL),(16,225,1,15,10,4,3,3,1),(16,225,1,15,11,4,2,2,1),(16,225,1,15,12,1,4,1,4),(16,225,1,15,13,8,5,7,4),(16,225,1,15,14,3,NULL,3,NULL),(16,225,1,15,15,1,2,1,1),(16,225,1,15,16,7,4,6,2),(16,225,1,15,17,5,6,4,6),(16,225,1,15,18,NULL,2,NULL,1),(16,225,1,15,19,3,10,2,8),(16,225,1,15,20,4,7,3,5),(16,225,1,16,1,7,6,6,1),(16,225,1,16,2,1,NULL,1,NULL),(16,225,1,16,3,NULL,5,NULL,4),(16,225,1,16,4,1,2,NULL,2),(16,225,1,16,5,3,4,3,2),(16,225,1,16,6,NULL,3,NULL,2),(16,225,1,16,7,2,4,2,1),(16,225,1,16,8,2,8,2,6),(16,225,1,16,9,2,4,1,4),(16,225,1,16,10,4,1,3,NULL),(16,225,1,16,11,8,12,6,6),(16,225,1,16,12,3,5,2,2),(16,225,1,16,13,7,8,3,5),(16,225,1,16,14,3,5,3,3),(16,225,1,16,15,9,7,6,4),(16,225,1,16,16,1,3,NULL,3),(16,225,1,16,17,1,9,1,6),(16,225,1,16,18,1,4,NULL,3),(16,225,1,16,19,7,10,5,8),(16,225,1,16,20,2,6,1,4),(16,225,1,17,1,10,9,5,5),(16,225,1,17,2,NULL,6,NULL,3),(16,225,1,17,3,6,6,6,3),(16,225,1,17,4,NULL,4,NULL,3),(16,225,1,17,5,1,6,1,3),(16,225,1,17,6,NULL,2,NULL,2),(16,225,1,17,7,2,1,1,1),(16,225,1,17,8,3,6,2,2),(16,225,1,17,9,1,4,1,2),(16,225,1,17,10,3,5,2,4),(16,225,1,17,11,6,17,3,9),(16,225,1,17,12,2,4,2,1),(16,225,1,17,13,7,10,3,4),(16,225,1,17,14,2,9,1,4),(16,225,1,17,15,5,17,5,6),(16,225,1,17,16,NULL,6,NULL,4),(16,225,1,17,17,3,7,3,3),(16,225,1,17,18,8,7,6,3),(16,225,1,17,19,4,5,4,3),(16,225,1,17,20,1,11,1,8),(16,225,2,21,1,NULL,2,NULL,2),(16,225,2,21,2,NULL,7,NULL,4),(16,225,2,21,3,2,1,2,NULL),(16,225,2,21,4,3,10,2,7),(16,225,2,21,5,1,6,NULL,5),(16,225,2,21,6,NULL,2,NULL,NULL),(16,225,2,21,7,1,4,NULL,3),(16,225,2,21,8,1,2,1,2),(16,225,2,21,9,1,1,NULL,1),(16,225,2,21,10,3,1,1,1),(16,225,2,21,11,3,4,3,3),(16,225,2,21,12,NULL,9,NULL,5),(16,225,2,21,13,3,7,1,5),(16,225,2,21,14,5,12,3,10),(16,225,2,21,15,9,7,6,7),(16,225,2,21,16,3,8,2,6),(16,225,2,21,17,3,3,3,1),(16,225,2,21,18,2,4,1,3),(16,225,2,21,19,9,7,6,5),(16,225,2,21,20,8,4,6,3),(16,225,2,21,21,NULL,7,NULL,4),(16,225,2,21,22,1,8,NULL,6),(16,225,2,21,23,3,9,1,7),(16,225,2,21,24,1,10,NULL,7),(16,225,2,21,25,NULL,NULL,NULL,NULL),(16,225,2,21,26,24,NULL,16,NULL),(16,225,2,21,27,1,6,1,5),(16,225,2,21,28,NULL,3,NULL,2),(16,225,2,21,29,4,8,2,6),(16,225,2,21,30,NULL,4,NULL,4),(16,225,2,22,1,1,2,1,2),(16,225,2,22,2,NULL,9,NULL,8),(16,225,2,22,3,4,4,4,1),(16,225,2,22,4,7,6,7,3),(16,225,2,22,5,5,13,5,7),(16,225,2,22,6,2,1,1,1),(16,225,2,22,7,2,4,2,1),(16,225,2,22,8,1,4,1,3),(16,225,2,22,9,1,1,1,1),(16,225,2,22,10,2,NULL,2,NULL),(16,225,2,22,11,4,5,2,2),(16,225,2,22,12,1,9,NULL,6),(16,225,2,22,13,1,6,1,5),(16,225,2,22,14,4,14,4,8),(16,225,2,22,15,14,4,11,2),(16,225,2,22,16,2,8,2,5),(16,225,2,22,17,3,3,2,2),(16,225,2,22,18,2,1,2,NULL),(16,225,2,22,19,5,10,5,8),(16,225,2,22,20,2,7,2,4),(16,225,2,22,21,NULL,8,NULL,3),(16,225,2,22,22,7,2,7,NULL),(16,225,2,22,23,5,7,5,4),(16,225,2,22,24,2,10,1,7),(16,225,2,22,25,NULL,NULL,NULL,NULL),(16,225,2,22,26,24,NULL,18,NULL),(16,225,2,22,27,1,6,1,3),(16,225,2,22,28,1,4,1,3),(16,225,2,22,29,2,10,2,9),(16,225,2,22,30,1,NULL,1,NULL),(16,225,2,23,1,1,1,1,NULL),(16,225,2,23,2,NULL,5,NULL,2),(16,225,2,23,3,1,4,NULL,3),(16,225,2,23,4,7,3,3,1),(16,225,2,23,5,4,7,1,4),(16,225,2,23,6,2,4,2,3),(16,225,2,23,7,2,5,NULL,3),(16,225,2,23,8,NULL,5,NULL,2),(16,225,2,23,9,NULL,NULL,NULL,NULL),(16,225,2,23,10,2,2,1,1),(16,225,2,23,11,NULL,4,NULL,3),(16,225,2,23,12,2,4,1,3),(16,225,2,23,13,1,4,NULL,3),(16,225,2,23,14,6,8,3,5),(16,225,2,23,15,8,5,4,2),(16,225,2,23,16,3,8,NULL,3),(16,225,2,23,17,2,2,1,1),(16,225,2,23,18,2,2,2,2),(16,225,2,23,19,5,3,2,2),(16,225,2,23,20,4,8,2,5),(16,225,2,23,21,2,4,1,1),(16,225,2,23,22,3,2,3,1),(16,225,2,23,23,7,3,4,1),(16,225,2,23,24,2,10,1,5),(16,225,2,23,25,2,NULL,2,NULL),(16,225,2,23,26,22,NULL,9,NULL),(16,225,2,23,27,NULL,5,NULL,5),(16,225,2,23,28,NULL,NULL,NULL,NULL),(16,225,2,23,29,2,9,NULL,5),(16,225,2,23,30,NULL,1,NULL,1),(16,225,2,24,1,1,3,1,3),(16,225,2,24,2,NULL,11,NULL,8),(16,225,2,24,3,3,3,2,3),(16,225,2,24,4,3,7,2,7),(16,225,2,24,5,5,6,5,4),(16,225,2,24,6,3,7,3,6),(16,225,2,24,7,3,4,3,3),(16,225,2,24,8,1,1,1,NULL),(16,225,2,24,9,NULL,2,NULL,2),(16,225,2,24,10,2,5,2,5),(16,225,2,24,11,3,4,2,3),(16,225,2,24,12,5,8,2,6),(16,225,2,24,13,2,7,1,4),(16,225,2,24,14,6,13,5,10),(16,225,2,24,15,14,9,10,6),(16,225,2,24,16,3,7,2,6),(16,225,2,24,17,4,1,4,NULL),(16,225,2,24,18,1,6,1,6),(16,225,2,24,19,11,6,7,4),(16,225,2,24,20,4,7,3,5),(16,225,2,24,21,1,2,1,2),(16,225,2,24,22,2,7,2,7),(16,225,2,24,23,7,7,4,6),(16,225,2,24,24,1,10,1,9),(16,225,2,24,25,1,NULL,1,NULL),(16,225,2,24,26,29,NULL,19,NULL),(16,225,2,24,27,NULL,7,NULL,6),(16,225,2,24,28,1,4,NULL,3),(16,225,2,24,29,4,11,2,8),(16,225,2,24,30,2,4,1,4),(16,225,3,31,1,1,6,NULL,5),(16,225,3,31,2,1,5,1,4),(16,225,3,31,3,NULL,6,NULL,6),(16,225,3,31,4,NULL,5,NULL,3),(16,225,3,31,5,6,10,4,5),(16,225,3,31,6,12,7,7,6),(16,225,3,31,7,NULL,2,NULL,2),(16,225,3,31,8,NULL,3,NULL,2),(16,225,3,31,9,2,NULL,NULL,NULL),(16,225,3,31,10,1,1,NULL,1),(16,225,3,31,11,4,6,3,5),(16,225,3,31,12,4,6,4,4),(16,225,3,31,13,2,8,2,5),(16,225,3,31,14,4,11,3,8),(16,225,3,31,15,6,9,5,7),(16,225,3,31,16,4,6,4,6),(16,225,3,31,17,9,9,5,7),(16,225,3,31,18,1,6,1,4),(16,225,3,31,19,3,7,2,4),(16,225,3,31,20,10,NULL,9,NULL),(16,225,3,31,21,NULL,14,NULL,10),(16,225,3,31,22,1,4,NULL,2),(16,225,3,31,23,NULL,3,NULL,2),(16,225,3,31,24,NULL,1,NULL,1),(16,225,3,31,25,1,3,1,1),(16,225,3,31,26,NULL,1,NULL,1),(16,225,3,31,27,1,1,1,NULL),(16,225,3,31,28,3,4,3,3),(16,225,3,31,29,2,7,2,4),(16,225,3,31,30,NULL,1,NULL,1),(16,225,3,32,1,NULL,1,NULL,1),(16,225,3,32,2,1,6,1,2),(16,225,3,32,3,NULL,5,NULL,3),(16,225,3,32,4,1,5,NULL,5),(16,225,3,32,5,8,4,4,2),(16,225,3,32,6,10,5,6,2),(16,225,3,32,7,NULL,1,NULL,1),(16,225,3,32,8,NULL,NULL,NULL,NULL),(16,225,3,32,9,NULL,2,NULL,1),(16,225,3,32,10,NULL,4,NULL,2),(16,225,3,32,11,1,5,NULL,2),(16,225,3,32,12,1,4,NULL,2),(16,225,3,32,13,1,3,NULL,2),(16,225,3,32,14,3,3,1,3),(16,225,3,32,15,4,7,2,4),(16,225,3,32,16,1,8,1,7),(16,225,3,32,17,9,4,3,2),(16,225,3,32,18,4,1,3,1),(16,225,3,32,19,4,4,2,2),(16,225,3,32,20,7,NULL,4,NULL),(16,225,3,32,21,3,8,3,4),(16,225,3,32,22,NULL,1,NULL,NULL),(16,225,3,32,23,1,7,1,3),(16,225,3,32,24,NULL,2,NULL,2),(16,225,3,32,25,NULL,1,NULL,1),(16,225,3,32,26,NULL,NULL,NULL,NULL),(16,225,3,32,27,NULL,2,NULL,1),(16,225,3,32,28,1,NULL,1,NULL),(16,225,3,32,29,1,7,NULL,4),(16,225,3,32,30,NULL,2,NULL,1),(16,225,3,33,1,1,3,1,2),(16,225,3,33,2,NULL,2,NULL,2),(16,225,3,33,3,NULL,3,NULL,2),(16,225,3,33,4,1,8,1,4),(16,225,3,33,5,6,9,6,6),(16,225,3,33,6,15,3,13,2),(16,225,3,33,7,2,1,2,1),(16,225,3,33,8,1,2,1,2),(16,225,3,33,9,NULL,1,NULL,1),(16,225,3,33,10,NULL,2,NULL,2),(16,225,3,33,11,4,8,3,4),(16,225,3,33,12,5,2,5,1),(16,225,3,33,13,3,2,3,2),(16,225,3,33,14,5,4,5,4),(16,225,3,33,15,3,7,3,4),(16,225,3,33,16,1,10,1,8),(16,225,3,33,17,11,8,9,4),(16,225,3,33,18,2,3,2,2),(16,225,3,33,19,3,8,2,6),(16,225,3,33,20,14,NULL,11,NULL),(16,225,3,33,21,4,8,3,7),(16,225,3,33,22,NULL,3,NULL,2),(16,225,3,33,23,NULL,3,NULL,3),(16,225,3,33,24,1,1,1,1),(16,225,3,33,25,NULL,NULL,NULL,NULL),(16,225,3,33,26,1,3,1,2),(16,225,3,33,27,NULL,1,NULL,1),(16,225,3,33,28,1,3,1,2),(16,225,3,33,29,2,5,2,4),(16,225,3,33,30,NULL,1,NULL,1),(16,225,3,34,1,NULL,3,NULL,3),(16,225,3,34,2,2,6,2,5),(16,225,3,34,3,NULL,4,NULL,2),(16,225,3,34,4,NULL,6,NULL,5),(16,225,3,34,5,3,8,2,6),(16,225,3,34,6,10,10,6,7),(16,225,3,34,7,NULL,1,NULL,1),(16,225,3,34,8,1,2,1,2),(16,225,3,34,9,NULL,NULL,NULL,NULL),(16,225,3,34,10,1,1,1,1),(16,225,3,34,11,4,5,4,4),(16,225,3,34,12,1,6,1,2),(16,225,3,34,13,6,1,5,NULL),(16,225,3,34,14,4,8,4,5),(16,225,3,34,15,5,9,5,6),(16,225,3,34,16,4,8,4,4),(16,225,3,34,17,5,10,5,4),(16,225,3,34,18,1,6,1,4),(16,225,3,34,19,4,5,3,3),(16,225,3,34,20,12,NULL,10,NULL),(16,225,3,34,21,2,12,2,8),(16,225,3,34,22,NULL,NULL,NULL,NULL),(16,225,3,34,23,3,4,2,2),(16,225,3,34,24,NULL,NULL,NULL,NULL),(16,225,3,34,25,1,1,NULL,1),(16,225,3,34,26,1,3,1,2),(16,225,3,34,27,2,NULL,2,NULL),(16,225,3,34,28,NULL,3,NULL,1),(16,225,3,34,29,2,3,2,2),(16,225,3,34,30,NULL,2,NULL,1),(16,233,1,11,1,1,NULL,NULL,1),(16,233,1,11,2,NULL,NULL,NULL,NULL),(16,233,1,11,3,NULL,1,1,NULL),(16,233,1,11,4,NULL,1,NULL,NULL),(16,233,1,11,5,NULL,1,1,NULL),(16,233,1,11,6,NULL,1,NULL,NULL),(16,233,1,11,7,NULL,NULL,1,NULL),(16,233,1,11,8,NULL,1,NULL,NULL),(16,233,1,11,9,NULL,1,NULL,NULL),(16,233,1,11,10,2,NULL,1,NULL),(16,233,1,11,11,1,NULL,NULL,1),(16,233,1,11,12,1,1,1,NULL),(16,233,1,11,13,NULL,2,NULL,1),(16,233,1,11,14,1,1,NULL,1),(16,233,1,11,15,1,1,1,NULL),(16,233,1,11,16,2,NULL,NULL,1),(16,233,1,11,17,1,NULL,1,NULL),(16,233,1,11,18,NULL,NULL,NULL,NULL),(16,233,1,11,19,2,NULL,1,NULL),(16,233,1,11,20,2,NULL,NULL,NULL),(16,233,1,12,1,NULL,NULL,NULL,NULL),(16,233,1,12,2,NULL,NULL,NULL,NULL),(16,233,1,12,3,NULL,NULL,NULL,NULL),(16,233,1,12,4,NULL,NULL,NULL,NULL),(16,233,1,12,5,NULL,NULL,NULL,NULL),(16,233,1,12,6,NULL,NULL,NULL,NULL),(16,233,1,12,7,NULL,NULL,NULL,NULL),(16,233,1,12,8,NULL,NULL,NULL,NULL),(16,233,1,12,9,NULL,NULL,NULL,NULL),(16,233,1,12,10,NULL,NULL,NULL,NULL),(16,233,1,12,11,NULL,NULL,NULL,NULL),(16,233,1,12,12,NULL,NULL,NULL,NULL),(16,233,1,12,13,NULL,NULL,NULL,NULL),(16,233,1,12,14,NULL,NULL,NULL,NULL),(16,233,1,12,15,NULL,NULL,NULL,NULL),(16,233,1,12,16,NULL,NULL,NULL,NULL),(16,233,1,12,17,NULL,NULL,NULL,NULL),(16,233,1,12,18,NULL,NULL,NULL,NULL),(16,233,1,12,19,NULL,NULL,NULL,NULL),(16,233,1,12,20,NULL,NULL,NULL,NULL),(16,233,1,13,1,2,1,NULL,NULL),(16,233,1,13,2,NULL,NULL,NULL,NULL),(16,233,1,13,3,1,1,NULL,NULL),(16,233,1,13,4,NULL,1,NULL,NULL),(16,233,1,13,5,1,NULL,NULL,NULL),(16,233,1,13,6,1,NULL,NULL,NULL),(16,233,1,13,7,NULL,NULL,NULL,NULL),(16,233,1,13,8,1,NULL,NULL,NULL),(16,233,1,13,9,NULL,NULL,NULL,NULL),(16,233,1,13,10,NULL,1,NULL,NULL),(16,233,1,13,11,3,NULL,NULL,NULL),(16,233,1,13,12,1,NULL,NULL,NULL),(16,233,1,13,13,3,NULL,NULL,NULL),(16,233,1,13,14,3,NULL,NULL,NULL),(16,233,1,13,15,1,2,NULL,NULL),(16,233,1,13,16,2,NULL,NULL,NULL),(16,233,1,13,17,1,NULL,NULL,NULL),(16,233,1,13,18,3,NULL,NULL,NULL),(16,233,1,13,19,3,NULL,NULL,NULL),(16,233,1,13,20,1,1,NULL,NULL),(16,233,1,14,1,21,10,16,4),(16,233,1,14,2,6,6,3,8),(16,233,1,14,3,17,16,10,11),(16,233,1,14,4,1,11,3,8),(16,233,1,14,5,24,14,15,6),(16,233,1,14,6,1,13,5,10),(16,233,1,14,7,5,5,4,5),(16,233,1,14,8,17,15,9,12),(16,233,1,14,9,4,13,3,10),(16,233,1,14,10,22,9,16,4),(16,233,1,14,11,12,10,15,4),(16,233,1,14,12,20,15,11,9),(16,233,1,14,13,30,13,17,6),(16,233,1,14,14,6,14,6,11),(16,233,1,14,15,7,15,8,8),(16,233,1,14,16,25,8,18,4),(16,233,1,14,17,20,22,11,12),(16,233,1,14,18,8,12,9,7),(16,233,1,14,19,20,18,13,7),(16,233,1,14,20,6,30,4,17),(16,233,1,15,1,28,21,14,6),(16,233,1,15,2,6,9,3,10),(16,233,1,15,3,21,25,11,10),(16,233,1,15,4,4,15,3,8),(16,233,1,15,5,15,25,5,9),(16,233,1,15,6,7,18,6,8),(16,233,1,15,7,2,5,NULL,4),(16,233,1,15,8,14,13,10,5),(16,233,1,15,9,5,19,3,9),(16,233,1,15,10,32,13,12,6),(16,233,1,15,11,25,10,7,2),(16,233,1,15,12,22,14,13,6),(16,233,1,15,13,37,10,15,4),(16,233,1,15,14,14,13,11,4),(16,233,1,15,15,15,10,5,6),(16,233,1,15,16,40,9,16,2),(16,233,1,15,17,28,23,18,4),(16,233,1,15,18,13,8,7,3),(16,233,1,15,19,24,21,12,5),(16,233,1,15,20,19,31,6,13),(16,233,1,16,1,15,18,4,6),(16,233,1,16,2,4,7,NULL,5),(16,233,1,16,3,10,13,4,3),(16,233,1,16,4,3,13,NULL,5),(16,233,1,16,5,17,10,5,6),(16,233,1,16,6,NULL,9,NULL,3),(16,233,1,16,7,2,11,NULL,4),(16,233,1,16,8,10,10,2,4),(16,233,1,16,9,3,16,1,6),(16,233,1,16,10,18,14,9,1),(16,233,1,16,11,14,35,4,8),(16,233,1,16,12,4,7,2,2),(16,233,1,16,13,12,22,7,5),(16,233,1,16,14,3,26,1,6),(16,233,1,16,15,23,25,4,8),(16,233,1,16,16,3,13,NULL,6),(16,233,1,16,17,13,24,5,8),(16,233,1,16,18,11,21,5,7),(16,233,1,16,19,15,26,9,3),(16,233,1,16,20,6,21,2,8),(16,233,1,17,1,18,15,3,NULL),(16,233,1,17,2,1,7,NULL,1),(16,233,1,17,3,10,9,2,2),(16,233,1,17,4,2,5,1,NULL),(16,233,1,17,5,10,13,NULL,2),(16,233,1,17,6,3,9,1,3),(16,233,1,17,7,2,3,1,1),(16,233,1,17,8,5,19,2,2),(16,233,1,17,9,5,7,1,1),(16,233,1,17,10,16,9,4,NULL),(16,233,1,17,11,13,27,5,NULL),(16,233,1,17,12,2,4,NULL,1),(16,233,1,17,13,11,15,1,2),(16,233,1,17,14,4,13,2,1),(16,233,1,17,15,13,19,4,1),(16,233,1,17,16,2,11,NULL,3),(16,233,1,17,17,8,16,NULL,3),(16,233,1,17,18,11,8,1,3),(16,233,1,17,19,10,18,2,3),(16,233,1,17,20,2,9,NULL,2),(16,233,2,21,1,9,5,4,9),(16,233,2,21,2,10,24,6,9),(16,233,2,21,3,11,11,10,7),(16,233,2,21,4,27,10,13,3),(16,233,2,21,5,13,15,12,7),(16,233,2,21,6,11,11,4,10),(16,233,2,21,7,7,7,NULL,6),(16,233,2,21,8,6,5,2,3),(16,233,2,21,9,2,6,4,7),(16,233,2,21,10,5,17,8,6),(16,233,2,21,11,7,11,4,7),(16,233,2,21,12,18,17,8,9),(16,233,2,21,13,8,15,4,9),(16,233,2,21,14,20,17,9,11),(16,233,2,21,15,34,2,18,1),(16,233,2,21,16,10,16,5,5),(16,233,2,21,17,8,13,3,7),(16,233,2,21,18,8,10,5,6),(16,233,2,21,19,15,32,6,14),(16,233,2,21,20,13,11,10,6),(16,233,2,21,21,9,12,7,6),(16,233,2,21,22,10,9,8,5),(16,233,2,21,23,11,19,8,10),(16,233,2,21,24,13,20,4,10),(16,233,2,21,25,7,NULL,9,NULL),(16,233,2,21,26,61,NULL,22,NULL),(16,233,2,21,27,6,22,7,8),(16,233,2,21,28,3,8,2,5),(16,233,2,21,29,11,24,4,11),(16,233,2,21,30,10,10,9,1),(16,233,2,22,1,8,7,6,1),(16,233,2,22,2,10,19,8,2),(16,233,2,22,3,15,10,5,4),(16,233,2,22,4,30,6,10,NULL),(16,233,2,22,5,12,13,8,3),(16,233,2,22,6,10,16,6,4),(16,233,2,22,7,5,3,1,1),(16,233,2,22,8,5,5,1,2),(16,233,2,22,9,4,9,2,5),(16,233,2,22,10,4,13,2,6),(16,233,2,22,11,8,7,2,4),(16,233,2,22,12,13,15,4,5),(16,233,2,22,13,6,14,2,3),(16,233,2,22,14,18,24,7,6),(16,233,2,22,15,30,3,11,NULL),(16,233,2,22,16,8,17,4,4),(16,233,2,22,17,12,17,7,3),(16,233,2,22,18,7,8,2,4),(16,233,2,22,19,17,22,7,6),(16,233,2,22,20,10,15,6,3),(16,233,2,22,21,11,11,6,1),(16,233,2,22,22,8,14,6,5),(16,233,2,22,23,12,10,9,3),(16,233,2,22,24,10,18,3,3),(16,233,2,22,25,5,NULL,7,NULL),(16,233,2,22,26,58,NULL,14,NULL),(16,233,2,22,27,12,15,7,3),(16,233,2,22,28,1,9,NULL,3),(16,233,2,22,29,12,16,4,4),(16,233,2,22,30,9,7,8,2),(16,233,2,23,1,7,10,4,7),(16,233,2,23,2,8,28,10,6),(16,233,2,23,3,13,10,9,3),(16,233,2,23,4,31,10,13,4),(16,233,2,23,5,12,17,7,7),(16,233,2,23,6,15,12,5,7),(16,233,2,23,7,8,5,4,1),(16,233,2,23,8,3,10,NULL,5),(16,233,2,23,9,4,10,3,5),(16,233,2,23,10,10,12,8,5),(16,233,2,23,11,11,11,5,5),(16,233,2,23,12,13,11,6,6),(16,233,2,23,13,5,14,1,7),(16,233,2,23,14,22,22,9,11),(16,233,2,23,15,29,2,13,NULL),(16,233,2,23,16,15,16,7,9),(16,233,2,23,17,11,14,7,9),(16,233,2,23,18,3,13,2,6),(16,233,2,23,19,19,17,9,7),(16,233,2,23,20,16,15,8,4),(16,233,2,23,21,12,13,9,6),(16,233,2,23,22,12,16,8,6),(16,233,2,23,23,13,17,11,7),(16,233,2,23,24,5,23,3,9),(16,233,2,23,25,8,NULL,7,NULL),(16,233,2,23,26,57,NULL,21,NULL),(16,233,2,23,27,11,14,9,6),(16,233,2,23,28,3,8,1,4),(16,233,2,23,29,7,30,3,11),(16,233,2,23,30,14,12,6,3),(16,233,2,24,1,8,6,3,3),(16,233,2,24,2,9,23,4,4),(16,233,2,24,3,15,10,7,2),(16,233,2,24,4,29,9,10,NULL),(16,233,2,24,5,16,14,6,4),(16,233,2,24,6,20,12,8,4),(16,233,2,24,7,2,NULL,1,1),(16,233,2,24,8,9,7,5,NULL),(16,233,2,24,9,6,3,7,1),(16,233,2,24,10,6,20,5,4),(16,233,2,24,11,8,7,1,4),(16,233,2,24,12,12,9,3,2),(16,233,2,24,13,9,18,1,5),(16,233,2,24,14,15,23,3,7),(16,233,2,24,15,32,4,10,1),(16,233,2,24,16,13,9,4,3),(16,233,2,24,17,15,8,8,1),(16,233,2,24,18,10,2,5,1),(16,233,2,24,19,21,19,9,3),(16,233,2,24,20,15,13,2,6),(16,233,2,24,21,15,12,5,2),(16,233,2,24,22,10,13,7,5),(16,233,2,24,23,14,19,7,5),(16,233,2,24,24,9,15,2,5),(16,233,2,24,25,4,NULL,5,NULL),(16,233,2,24,26,58,NULL,13,NULL),(16,233,2,24,27,6,18,7,4),(16,233,2,24,28,1,9,NULL,5),(16,233,2,24,29,13,21,3,7),(16,233,2,24,30,16,7,6,3),(16,233,3,31,1,5,9,2,4),(16,233,3,31,2,1,8,1,1),(16,233,3,31,3,NULL,9,NULL,6),(16,233,3,31,4,2,7,3,3),(16,233,3,31,5,11,22,3,4),(16,233,3,31,6,33,14,9,3),(16,233,3,31,7,4,10,2,3),(16,233,3,31,8,6,6,NULL,NULL),(16,233,3,31,9,NULL,6,NULL,1),(16,233,3,31,10,2,8,1,2),(16,233,3,31,11,7,13,1,4),(16,233,3,31,12,11,16,6,3),(16,233,3,31,13,12,7,5,1),(16,233,3,31,14,18,14,7,2),(16,233,3,31,15,20,11,4,8),(16,233,3,31,16,14,17,6,2),(16,233,3,31,17,25,17,8,4),(16,233,3,31,18,16,3,4,1),(16,233,3,31,19,7,14,1,4),(16,233,3,31,20,36,NULL,11,NULL),(16,233,3,31,21,11,24,7,4),(16,233,3,31,22,3,12,4,3),(16,233,3,31,23,3,10,NULL,2),(16,233,3,31,24,7,9,4,5),(16,233,3,31,25,5,10,3,4),(16,233,3,31,26,NULL,5,NULL,4),(16,233,3,31,27,10,8,5,1),(16,233,3,31,28,17,7,8,3),(16,233,3,31,29,20,9,7,1),(16,233,3,31,30,2,13,NULL,6),(16,233,3,32,1,NULL,9,NULL,6),(16,233,3,32,2,4,8,5,1),(16,233,3,32,3,2,11,4,4),(16,233,3,32,4,3,5,4,3),(16,233,3,32,5,7,24,4,9),(16,233,3,32,6,38,11,17,3),(16,233,3,32,7,3,5,2,3),(16,233,3,32,8,NULL,8,1,NULL),(16,233,3,32,9,1,5,1,6),(16,233,3,32,10,NULL,5,NULL,1),(16,233,3,32,11,12,8,6,3),(16,233,3,32,12,16,15,8,8),(16,233,3,32,13,12,12,7,4),(16,233,3,32,14,17,14,9,4),(16,233,3,32,15,16,12,9,5),(16,233,3,32,16,11,19,9,9),(16,233,3,32,17,27,16,14,4),(16,233,3,32,18,11,5,4,2),(16,233,3,32,19,10,12,3,9),(16,233,3,32,20,33,NULL,17,NULL),(16,233,3,32,21,18,18,11,3),(16,233,3,32,22,2,10,1,5),(16,233,3,32,23,4,8,1,5),(16,233,3,32,24,11,5,10,3),(16,233,3,32,25,3,12,2,6),(16,233,3,32,26,2,4,3,5),(16,233,3,32,27,5,12,2,5),(16,233,3,32,28,20,11,12,3),(16,233,3,32,29,18,11,11,2),(16,233,3,32,30,NULL,11,NULL,12),(16,233,3,33,1,4,8,3,4),(16,233,3,33,2,5,6,1,2),(16,233,3,33,3,1,12,1,5),(16,233,3,33,4,6,6,3,1),(16,233,3,33,5,12,20,5,6),(16,233,3,33,6,36,11,11,3),(16,233,3,33,7,3,5,3,3),(16,233,3,33,8,1,12,1,5),(16,233,3,33,9,NULL,4,NULL,2),(16,233,3,33,10,2,3,NULL,NULL),(16,233,3,33,11,13,10,2,3),(16,233,3,33,12,12,19,6,6),(16,233,3,33,13,17,7,6,5),(16,233,3,33,14,14,25,6,6),(16,233,3,33,15,19,9,8,2),(16,233,3,33,16,11,24,3,8),(16,233,3,33,17,28,18,8,6),(16,233,3,33,18,14,3,5,NULL),(16,233,3,33,19,10,12,2,7),(16,233,3,33,20,32,NULL,13,NULL),(16,233,3,33,21,20,14,10,4),(16,233,3,33,22,3,11,1,7),(16,233,3,33,23,2,7,2,1),(16,233,3,33,24,14,7,9,3),(16,233,3,33,25,2,10,1,4),(16,233,3,33,26,1,9,2,4),(16,233,3,33,27,2,13,2,6),(16,233,3,33,28,17,10,12,NULL),(16,233,3,33,29,13,8,4,2),(16,233,3,33,30,1,8,1,5),(16,233,3,34,1,4,11,NULL,10),(16,233,3,34,2,3,8,2,4),(16,233,3,34,3,3,7,2,8),(16,233,3,34,4,3,7,3,6),(16,233,3,34,5,8,22,5,11),(16,233,3,34,6,32,12,17,3),(16,233,3,34,7,3,10,6,6),(16,233,3,34,8,1,5,NULL,6),(16,233,3,34,9,NULL,7,1,7),(16,233,3,34,10,2,3,NULL,1),(16,233,3,34,11,8,12,6,5),(16,233,3,34,12,17,13,6,10),(16,233,3,34,13,8,10,7,3),(16,233,3,34,14,10,28,12,6),(16,233,3,34,15,14,15,12,6),(16,233,3,34,16,8,23,6,9),(16,233,3,34,17,27,14,12,9),(16,233,3,34,18,11,8,3,4),(16,233,3,34,19,5,14,4,8),(16,233,3,34,20,34,NULL,19,NULL),(16,233,3,34,21,18,24,11,7),(16,233,3,34,22,4,9,4,3),(16,233,3,34,23,2,12,2,2),(16,233,3,34,24,7,9,8,3),(16,233,3,34,25,4,8,1,5),(16,233,3,34,26,2,6,1,6),(16,233,3,34,27,4,7,1,8),(16,233,3,34,28,17,14,6,6),(16,233,3,34,29,18,13,9,5),(16,233,3,34,30,1,7,1,7),(16,234,1,11,1,1,NULL,NULL,NULL),(16,234,1,11,2,NULL,NULL,NULL,NULL),(16,234,1,11,3,NULL,NULL,NULL,NULL),(16,234,1,11,4,NULL,NULL,NULL,NULL),(16,234,1,11,5,NULL,NULL,NULL,NULL),(16,234,1,11,6,NULL,NULL,NULL,NULL),(16,234,1,11,7,NULL,NULL,NULL,NULL),(16,234,1,11,8,NULL,NULL,NULL,NULL),(16,234,1,11,9,NULL,NULL,NULL,NULL),(16,234,1,11,10,NULL,NULL,NULL,NULL),(16,234,1,11,11,NULL,1,NULL,NULL),(16,234,1,11,12,1,NULL,NULL,NULL),(16,234,1,11,13,NULL,NULL,NULL,NULL),(16,234,1,11,14,1,NULL,NULL,NULL),(16,234,1,11,15,1,NULL,NULL,NULL),(16,234,1,11,16,1,NULL,NULL,NULL),(16,234,1,11,17,NULL,NULL,NULL,NULL),(16,234,1,11,18,NULL,1,NULL,NULL),(16,234,1,11,19,NULL,NULL,NULL,NULL),(16,234,1,11,20,NULL,NULL,NULL,NULL),(16,234,1,12,1,NULL,NULL,NULL,NULL),(16,234,1,12,2,NULL,NULL,NULL,NULL),(16,234,1,12,3,NULL,NULL,NULL,NULL),(16,234,1,12,4,NULL,NULL,NULL,NULL),(16,234,1,12,5,NULL,NULL,NULL,NULL),(16,234,1,12,6,NULL,NULL,NULL,NULL),(16,234,1,12,7,NULL,NULL,NULL,NULL),(16,234,1,12,8,NULL,NULL,NULL,NULL),(16,234,1,12,9,NULL,NULL,NULL,NULL),(16,234,1,12,10,NULL,NULL,NULL,NULL),(16,234,1,12,11,NULL,NULL,NULL,NULL),(16,234,1,12,12,NULL,NULL,NULL,NULL),(16,234,1,12,13,NULL,NULL,NULL,NULL),(16,234,1,12,14,NULL,NULL,NULL,NULL),(16,234,1,12,15,NULL,NULL,NULL,NULL),(16,234,1,12,16,NULL,NULL,NULL,NULL),(16,234,1,12,17,NULL,NULL,NULL,NULL),(16,234,1,12,18,NULL,NULL,NULL,NULL),(16,234,1,12,19,NULL,NULL,NULL,NULL),(16,234,1,12,20,NULL,NULL,NULL,NULL),(16,234,1,13,1,NULL,NULL,NULL,NULL),(16,234,1,13,2,NULL,NULL,NULL,NULL),(16,234,1,13,3,NULL,NULL,NULL,NULL),(16,234,1,13,4,NULL,NULL,NULL,NULL),(16,234,1,13,5,NULL,NULL,NULL,NULL),(16,234,1,13,6,NULL,NULL,NULL,NULL),(16,234,1,13,7,NULL,NULL,NULL,NULL),(16,234,1,13,8,NULL,NULL,NULL,NULL),(16,234,1,13,9,NULL,NULL,NULL,NULL),(16,234,1,13,10,NULL,NULL,NULL,NULL),(16,234,1,13,11,NULL,NULL,NULL,NULL),(16,234,1,13,12,NULL,NULL,NULL,NULL),(16,234,1,13,13,NULL,NULL,NULL,NULL),(16,234,1,13,14,NULL,NULL,NULL,NULL),(16,234,1,13,15,NULL,NULL,NULL,NULL),(16,234,1,13,16,NULL,NULL,NULL,NULL),(16,234,1,13,17,NULL,NULL,NULL,NULL),(16,234,1,13,18,NULL,NULL,NULL,NULL),(16,234,1,13,19,NULL,NULL,NULL,NULL),(16,234,1,13,20,NULL,NULL,NULL,NULL),(16,234,1,14,1,9,8,7,4),(16,234,1,14,2,3,2,3,2),(16,234,1,14,3,8,8,3,5),(16,234,1,14,4,NULL,5,NULL,5),(16,234,1,14,5,10,7,7,3),(16,234,1,14,6,1,6,1,3),(16,234,1,14,7,1,4,NULL,3),(16,234,1,14,8,7,8,6,3),(16,234,1,14,9,1,2,1,2),(16,234,1,14,10,10,6,5,5),(16,234,1,14,11,9,2,7,1),(16,234,1,14,12,8,3,5,3),(16,234,1,14,13,9,11,5,7),(16,234,1,14,14,2,2,2,1),(16,234,1,14,15,3,5,2,4),(16,234,1,14,16,6,9,3,4),(16,234,1,14,17,7,10,6,5),(16,234,1,14,18,3,2,2,1),(16,234,1,14,19,3,9,2,5),(16,234,1,14,20,8,10,6,3),(16,234,1,15,1,11,6,5,4),(16,234,1,15,2,NULL,1,NULL,NULL),(16,234,1,15,3,9,8,4,4),(16,234,1,15,4,NULL,2,NULL,1),(16,234,1,15,5,6,4,3,NULL),(16,234,1,15,6,2,NULL,1,NULL),(16,234,1,15,7,NULL,4,NULL,1),(16,234,1,15,8,2,5,NULL,3),(16,234,1,15,9,1,5,NULL,1),(16,234,1,15,10,11,3,6,2),(16,234,1,15,11,6,3,3,NULL),(16,234,1,15,12,6,1,3,NULL),(16,234,1,15,13,9,5,4,2),(16,234,1,15,14,1,5,1,1),(16,234,1,15,15,3,5,2,3),(16,234,1,15,16,10,5,5,1),(16,234,1,15,17,8,4,4,3),(16,234,1,15,18,2,3,1,2),(16,234,1,15,19,7,5,4,3),(16,234,1,15,20,1,12,NULL,5),(16,234,1,16,1,13,24,4,12),(16,234,1,16,2,2,3,2,1),(16,234,1,16,3,7,19,5,5),(16,234,1,16,4,NULL,8,NULL,3),(16,234,1,16,5,10,19,4,11),(16,234,1,16,6,4,4,2,3),(16,234,1,16,7,5,7,4,5),(16,234,1,16,8,6,13,3,11),(16,234,1,16,9,1,3,1,2),(16,234,1,16,10,10,7,7,5),(16,234,1,16,11,15,33,2,18),(16,234,1,16,12,3,12,3,7),(16,234,1,16,13,16,21,6,13),(16,234,1,16,14,8,20,2,7),(16,234,1,16,15,9,35,3,17),(16,234,1,16,16,3,19,1,6),(16,234,1,16,17,9,21,2,13),(16,234,1,16,18,13,13,6,11),(16,234,1,16,19,7,29,3,11),(16,234,1,16,20,3,13,2,6),(16,234,1,17,1,8,18,3,5),(16,234,1,17,2,2,NULL,1,NULL),(16,234,1,17,3,9,6,7,3),(16,234,1,17,4,NULL,3,NULL,2),(16,234,1,17,5,10,15,5,10),(16,234,1,17,6,NULL,4,NULL,4),(16,234,1,17,7,3,8,1,5),(16,234,1,17,8,9,12,6,8),(16,234,1,17,9,4,3,1,2),(16,234,1,17,10,11,15,5,7),(16,234,1,17,11,11,32,6,13),(16,234,1,17,12,NULL,7,NULL,3),(16,234,1,17,13,11,23,7,9),(16,234,1,17,14,4,15,2,9),(16,234,1,17,15,14,30,6,12),(16,234,1,17,16,3,10,3,5),(16,234,1,17,17,12,18,5,11),(16,234,1,17,18,10,18,7,8),(16,234,1,17,19,12,26,6,14),(16,234,1,17,20,3,17,2,7),(16,234,2,21,1,3,5,2,4),(16,234,2,21,2,1,17,1,9),(16,234,2,21,3,5,9,3,6),(16,234,2,21,4,12,12,3,5),(16,234,2,21,5,2,21,1,11),(16,234,2,21,6,1,7,1,4),(16,234,2,21,7,8,9,3,5),(16,234,2,21,8,5,7,4,3),(16,234,2,21,9,2,9,1,4),(16,234,2,21,10,2,15,1,6),(16,234,2,21,11,6,9,4,6),(16,234,2,21,12,5,14,3,10),(16,234,2,21,13,5,14,3,7),(16,234,2,21,14,13,16,6,10),(16,234,2,21,15,18,5,11,3),(16,234,2,21,16,6,11,3,8),(16,234,2,21,17,3,10,NULL,5),(16,234,2,21,18,6,9,4,5),(16,234,2,21,19,11,16,3,7),(16,234,2,21,20,8,15,3,9),(16,234,2,21,21,6,6,1,4),(16,234,2,21,22,1,7,NULL,5),(16,234,2,21,23,1,6,1,4),(16,234,2,21,24,4,10,NULL,6),(16,234,2,21,25,NULL,NULL,NULL,NULL),(16,234,2,21,26,50,NULL,19,NULL),(16,234,2,21,27,4,9,3,7),(16,234,2,21,28,2,3,NULL,2),(16,234,2,21,29,6,13,1,7),(16,234,2,21,30,5,9,4,2),(16,234,2,22,1,NULL,4,NULL,3),(16,234,2,22,2,NULL,16,NULL,9),(16,234,2,22,3,13,3,10,2),(16,234,2,22,4,13,10,8,9),(16,234,2,22,5,9,8,6,2),(16,234,2,22,6,5,4,4,2),(16,234,2,22,7,4,7,3,4),(16,234,2,22,8,5,3,3,2),(16,234,2,22,9,1,5,NULL,4),(16,234,2,22,10,5,6,3,4),(16,234,2,22,11,4,10,3,6),(16,234,2,22,12,10,11,5,8),(16,234,2,22,13,3,12,1,5),(16,234,2,22,14,14,13,7,9),(16,234,2,22,15,13,6,7,5),(16,234,2,22,16,5,9,4,5),(16,234,2,22,17,4,11,2,4),(16,234,2,22,18,2,3,2,2),(16,234,2,22,19,13,13,8,6),(16,234,2,22,20,1,10,NULL,6),(16,234,2,22,21,3,3,1,2),(16,234,2,22,22,4,4,2,2),(16,234,2,22,23,7,5,6,3),(16,234,2,22,24,4,17,2,12),(16,234,2,22,25,NULL,NULL,NULL,NULL),(16,234,2,22,26,46,NULL,20,NULL),(16,234,2,22,27,3,8,2,4),(16,234,2,22,28,3,4,3,2),(16,234,2,22,29,7,15,5,8),(16,234,2,22,30,2,4,2,2),(16,234,2,23,1,NULL,3,NULL,2),(16,234,2,23,2,2,14,2,4),(16,234,2,23,3,3,7,3,3),(16,234,2,23,4,13,5,6,2),(16,234,2,23,5,5,10,2,6),(16,234,2,23,6,2,9,1,4),(16,234,2,23,7,4,5,NULL,4),(16,234,2,23,8,3,4,1,1),(16,234,2,23,9,1,5,1,3),(16,234,2,23,10,3,5,1,1),(16,234,2,23,11,2,6,1,4),(16,234,2,23,12,11,7,4,3),(16,234,2,23,13,4,9,1,5),(16,234,2,23,14,11,8,3,5),(16,234,2,23,15,21,2,7,2),(16,234,2,23,16,4,9,2,4),(16,234,2,23,17,6,4,4,2),(16,234,2,23,18,5,4,2,1),(16,234,2,23,19,9,16,4,5),(16,234,2,23,20,7,10,3,4),(16,234,2,23,21,3,15,NULL,8),(16,234,2,23,22,9,8,4,4),(16,234,2,23,23,7,9,1,6),(16,234,2,23,24,4,10,3,3),(16,234,2,23,25,5,NULL,1,NULL),(16,234,2,23,26,45,NULL,14,NULL),(16,234,2,23,27,4,8,1,3),(16,234,2,23,28,4,4,2,1),(16,234,2,23,29,4,14,3,6),(16,234,2,23,30,6,1,3,1),(16,234,2,24,1,3,7,2,5),(16,234,2,24,2,1,11,1,4),(16,234,2,24,3,5,6,2,2),(16,234,2,24,4,11,9,6,5),(16,234,2,24,5,3,12,2,4),(16,234,2,24,6,5,9,4,6),(16,234,2,24,7,6,6,4,4),(16,234,2,24,8,4,8,1,4),(16,234,2,24,9,NULL,5,NULL,4),(16,234,2,24,10,2,10,1,6),(16,234,2,24,11,7,6,3,4),(16,234,2,24,12,2,12,1,8),(16,234,2,24,13,4,11,3,7),(16,234,2,24,14,9,19,6,9),(16,234,2,24,15,18,3,9,1),(16,234,2,24,16,6,15,1,10),(16,234,2,24,17,2,5,2,4),(16,234,2,24,18,2,8,2,4),(16,234,2,24,19,8,17,4,8),(16,234,2,24,20,9,6,4,3),(16,234,2,24,21,1,11,1,5),(16,234,2,24,22,1,11,1,9),(16,234,2,24,23,7,9,5,6),(16,234,2,24,24,4,17,2,9),(16,234,2,24,25,1,NULL,1,NULL),(16,234,2,24,26,44,NULL,17,NULL),(16,234,2,24,27,1,7,NULL,3),(16,234,2,24,28,4,5,NULL,2),(16,234,2,24,29,NULL,14,NULL,7),(16,234,2,24,30,2,3,1,2),(16,234,3,31,1,NULL,5,NULL,3),(16,234,3,31,2,4,4,1,1),(16,234,3,31,3,2,8,1,5),(16,234,3,31,4,1,12,NULL,6),(16,234,3,31,5,5,15,1,7),(16,234,3,31,6,15,10,9,6),(16,234,3,31,7,NULL,2,NULL,NULL),(16,234,3,31,8,NULL,2,NULL,2),(16,234,3,31,9,NULL,4,NULL,2),(16,234,3,31,10,NULL,3,NULL,NULL),(16,234,3,31,11,10,4,4,3),(16,234,3,31,12,3,15,1,5),(16,234,3,31,13,1,10,1,5),(16,234,3,31,14,8,13,5,6),(16,234,3,31,15,3,12,NULL,6),(16,234,3,31,16,6,8,1,4),(16,234,3,31,17,14,11,8,6),(16,234,3,31,18,4,1,2,1),(16,234,3,31,19,2,10,1,5),(16,234,3,31,20,11,NULL,7,NULL),(16,234,3,31,21,6,18,2,4),(16,234,3,31,22,3,1,2,1),(16,234,3,31,23,1,2,1,2),(16,234,3,31,24,1,1,1,1),(16,234,3,31,25,2,3,2,3),(16,234,3,31,26,1,2,NULL,NULL),(16,234,3,31,27,NULL,3,NULL,1),(16,234,3,31,28,4,3,4,2),(16,234,3,31,29,9,4,7,NULL),(16,234,3,31,30,1,4,NULL,1),(16,234,3,32,1,1,2,1,NULL),(16,234,3,32,2,2,5,1,3),(16,234,3,32,3,NULL,3,NULL,NULL),(16,234,3,32,4,1,5,NULL,1),(16,234,3,32,5,5,9,3,1),(16,234,3,32,6,26,6,9,4),(16,234,3,32,7,1,5,1,1),(16,234,3,32,8,NULL,4,NULL,NULL),(16,234,3,32,9,NULL,5,NULL,NULL),(16,234,3,32,10,NULL,1,NULL,NULL),(16,234,3,32,11,10,11,1,4),(16,234,3,32,12,4,9,3,5),(16,234,3,32,13,3,6,2,2),(16,234,3,32,14,6,12,2,4),(16,234,3,32,15,7,9,3,3),(16,234,3,32,16,8,10,4,4),(16,234,3,32,17,13,14,5,7),(16,234,3,32,18,7,3,4,2),(16,234,3,32,19,7,6,3,1),(16,234,3,32,20,15,NULL,9,NULL),(16,234,3,32,21,1,16,1,5),(16,234,3,32,22,1,2,1,1),(16,234,3,32,23,2,5,1,2),(16,234,3,32,24,1,2,1,1),(16,234,3,32,25,1,NULL,1,NULL),(16,234,3,32,26,NULL,1,NULL,NULL),(16,234,3,32,27,1,4,NULL,1),(16,234,3,32,28,1,9,1,4),(16,234,3,32,29,6,12,4,4),(16,234,3,32,30,NULL,2,NULL,NULL),(16,234,3,33,1,1,8,1,4),(16,234,3,33,2,1,1,1,1),(16,234,3,33,3,NULL,3,NULL,2),(16,234,3,33,4,1,6,NULL,2),(16,234,3,33,5,5,15,4,5),(16,234,3,33,6,24,13,10,7),(16,234,3,33,7,NULL,1,NULL,1),(16,234,3,33,8,1,4,NULL,1),(16,234,3,33,9,NULL,1,NULL,NULL),(16,234,3,33,10,1,3,1,2),(16,234,3,33,11,10,6,4,4),(16,234,3,33,12,2,10,1,6),(16,234,3,33,13,4,5,2,2),(16,234,3,33,14,5,10,2,6),(16,234,3,33,15,3,9,1,7),(16,234,3,33,16,5,13,4,8),(16,234,3,33,17,11,15,5,10),(16,234,3,33,18,5,4,1,2),(16,234,3,33,19,8,7,4,3),(16,234,3,33,20,19,NULL,13,NULL),(16,234,3,33,21,3,24,3,13),(16,234,3,33,22,NULL,4,NULL,3),(16,234,3,33,23,2,4,1,3),(16,234,3,33,24,2,3,2,2),(16,234,3,33,25,NULL,1,NULL,NULL),(16,234,3,33,26,NULL,1,NULL,1),(16,234,3,33,27,2,4,1,1),(16,234,3,33,28,2,9,1,6),(16,234,3,33,29,8,7,6,4),(16,234,3,33,30,1,5,NULL,2),(16,234,3,34,1,2,7,1,4),(16,234,3,34,2,NULL,4,NULL,3),(16,234,3,34,3,NULL,4,NULL,1),(16,234,3,34,4,NULL,9,NULL,3),(16,234,3,34,5,7,10,3,4),(16,234,3,34,6,24,12,9,7),(16,234,3,34,7,NULL,2,NULL,2),(16,234,3,34,8,NULL,5,NULL,2),(16,234,3,34,9,1,4,1,2),(16,234,3,34,10,NULL,7,NULL,4),(16,234,3,34,11,7,8,1,5),(16,234,3,34,12,3,14,1,8),(16,234,3,34,13,4,7,4,4),(16,234,3,34,14,12,14,5,4),(16,234,3,34,15,11,7,4,3),(16,234,3,34,16,6,15,NULL,8),(16,234,3,34,17,21,13,7,6),(16,234,3,34,18,6,6,1,2),(16,234,3,34,19,4,10,3,3),(16,234,3,34,20,15,NULL,8,NULL),(16,234,3,34,21,6,24,2,10),(16,234,3,34,22,NULL,9,NULL,4),(16,234,3,34,23,3,8,1,2),(16,234,3,34,24,3,7,3,5),(16,234,3,34,25,1,3,1,1),(16,234,3,34,26,NULL,3,NULL,2),(16,234,3,34,27,1,12,NULL,4),(16,234,3,34,28,3,10,3,5),(16,234,3,34,29,4,9,3,4),(16,234,3,34,30,1,5,NULL,2),(16,238,1,11,1,NULL,NULL,NULL,NULL),(16,238,1,11,2,NULL,NULL,NULL,NULL),(16,238,1,11,3,NULL,NULL,NULL,NULL),(16,238,1,11,4,NULL,NULL,NULL,NULL),(16,238,1,11,5,NULL,NULL,NULL,NULL),(16,238,1,11,6,NULL,NULL,NULL,NULL),(16,238,1,11,7,NULL,NULL,NULL,NULL),(16,238,1,11,8,NULL,NULL,NULL,NULL),(16,238,1,11,9,NULL,NULL,NULL,NULL),(16,238,1,11,10,NULL,NULL,NULL,NULL),(16,238,1,11,11,NULL,NULL,NULL,NULL),(16,238,1,11,12,NULL,NULL,NULL,NULL),(16,238,1,11,13,NULL,NULL,NULL,NULL),(16,238,1,11,14,NULL,NULL,NULL,NULL),(16,238,1,11,15,NULL,NULL,NULL,NULL),(16,238,1,11,16,NULL,NULL,NULL,NULL),(16,238,1,11,17,NULL,NULL,NULL,NULL),(16,238,1,11,18,NULL,NULL,NULL,NULL),(16,238,1,11,19,NULL,NULL,NULL,NULL),(16,238,1,11,20,NULL,NULL,NULL,NULL),(16,238,1,12,1,NULL,NULL,NULL,NULL),(16,238,1,12,2,NULL,NULL,NULL,NULL),(16,238,1,12,3,NULL,NULL,NULL,NULL),(16,238,1,12,4,NULL,NULL,NULL,NULL),(16,238,1,12,5,NULL,NULL,NULL,NULL),(16,238,1,12,6,NULL,NULL,NULL,NULL),(16,238,1,12,7,NULL,NULL,NULL,NULL),(16,238,1,12,8,NULL,NULL,NULL,NULL),(16,238,1,12,9,NULL,NULL,NULL,NULL),(16,238,1,12,10,NULL,NULL,NULL,NULL),(16,238,1,12,11,NULL,NULL,NULL,NULL),(16,238,1,12,12,NULL,NULL,NULL,NULL),(16,238,1,12,13,NULL,NULL,NULL,NULL),(16,238,1,12,14,NULL,NULL,NULL,NULL),(16,238,1,12,15,NULL,NULL,NULL,NULL),(16,238,1,12,16,NULL,NULL,NULL,NULL),(16,238,1,12,17,NULL,NULL,NULL,NULL),(16,238,1,12,18,NULL,NULL,NULL,NULL),(16,238,1,12,19,NULL,NULL,NULL,NULL),(16,238,1,12,20,NULL,NULL,NULL,NULL),(16,238,1,13,1,1,NULL,NULL,NULL),(16,238,1,13,2,NULL,NULL,NULL,NULL),(16,238,1,13,3,NULL,1,NULL,NULL),(16,238,1,13,4,NULL,NULL,NULL,NULL),(16,238,1,13,5,NULL,1,NULL,NULL),(16,238,1,13,6,NULL,NULL,NULL,NULL),(16,238,1,13,7,NULL,1,NULL,NULL),(16,238,1,13,8,NULL,1,NULL,NULL),(16,238,1,13,9,1,NULL,NULL,NULL),(16,238,1,13,10,NULL,1,NULL,NULL),(16,238,1,13,11,1,NULL,NULL,NULL),(16,238,1,13,12,1,1,NULL,NULL),(16,238,1,13,13,1,NULL,NULL,NULL),(16,238,1,13,14,NULL,1,NULL,NULL),(16,238,1,13,15,NULL,NULL,NULL,NULL),(16,238,1,13,16,1,NULL,NULL,NULL),(16,238,1,13,17,1,NULL,NULL,NULL),(16,238,1,13,18,1,NULL,NULL,NULL),(16,238,1,13,19,1,1,NULL,NULL),(16,238,1,13,20,1,NULL,NULL,NULL),(16,238,1,14,1,55,44,14,15),(16,238,1,14,2,17,17,6,10),(16,238,1,14,3,28,47,9,14),(16,238,1,14,4,6,22,3,8),(16,238,1,14,5,43,35,18,11),(16,238,1,14,6,11,39,5,15),(16,238,1,14,7,7,15,2,7),(16,238,1,14,8,18,40,8,18),(16,238,1,14,9,17,27,4,12),(16,238,1,14,10,33,22,17,7),(16,238,1,14,11,45,27,20,6),(16,238,1,14,12,37,26,17,11),(16,238,1,14,13,51,64,21,14),(16,238,1,14,14,28,23,14,13),(16,238,1,14,15,15,31,8,14),(16,238,1,14,16,65,40,26,9),(16,238,1,14,17,46,44,14,17),(16,238,1,14,18,29,21,11,10),(16,238,1,14,19,54,37,19,13),(16,238,1,14,20,32,64,9,26),(16,238,1,15,1,51,40,12,11),(16,238,1,15,2,17,10,5,6),(16,238,1,15,3,31,31,7,9),(16,238,1,15,4,6,22,2,12),(16,238,1,15,5,25,37,8,11),(16,238,1,15,6,12,24,NULL,11),(16,238,1,15,7,8,14,3,4),(16,238,1,15,8,22,37,8,13),(16,238,1,15,9,11,21,6,10),(16,238,1,15,10,42,30,16,9),(16,238,1,15,11,41,20,15,7),(16,238,1,15,12,29,22,16,7),(16,238,1,15,13,69,38,23,5),(16,238,1,15,14,26,16,9,8),(16,238,1,15,15,17,28,10,8),(16,238,1,15,16,67,25,25,3),(16,238,1,15,17,38,44,17,12),(16,238,1,15,18,18,25,6,11),(16,238,1,15,19,45,35,13,10),(16,238,1,15,20,33,62,13,15),(16,238,1,16,1,30,30,10,4),(16,238,1,16,2,3,10,1,3),(16,238,1,16,3,12,23,2,6),(16,238,1,16,4,2,20,NULL,8),(16,238,1,16,5,19,35,8,5),(16,238,1,16,6,6,12,2,1),(16,238,1,16,7,1,10,NULL,3),(16,238,1,16,8,14,34,6,6),(16,238,1,16,9,1,9,NULL,2),(16,238,1,16,10,21,21,9,5),(16,238,1,16,11,22,72,4,17),(16,238,1,16,12,2,16,1,5),(16,238,1,16,13,23,50,6,12),(16,238,1,16,14,6,50,NULL,11),(16,238,1,16,15,23,58,8,11),(16,238,1,16,16,5,31,1,5),(16,238,1,16,17,12,55,5,14),(16,238,1,16,18,20,28,8,6),(16,238,1,16,19,15,51,5,7),(16,238,1,16,20,8,38,2,9),(16,238,1,17,1,19,32,2,3),(16,238,1,17,2,3,8,NULL,3),(16,238,1,17,3,10,22,NULL,6),(16,238,1,17,4,3,7,NULL,1),(16,238,1,17,5,11,27,3,4),(16,238,1,17,6,4,8,NULL,3),(16,238,1,17,7,7,15,1,2),(16,238,1,17,8,11,27,3,2),(16,238,1,17,9,4,8,1,1),(16,238,1,17,10,24,19,2,3),(16,238,1,17,11,27,62,3,5),(16,238,1,17,12,3,10,1,1),(16,238,1,17,13,22,36,1,6),(16,238,1,17,14,4,34,NULL,2),(16,238,1,17,15,21,51,2,6),(16,238,1,17,16,2,20,1,3),(16,238,1,17,17,15,38,1,5),(16,238,1,17,18,21,26,4,2),(16,238,1,17,19,16,51,4,2),(16,238,1,17,20,1,43,NULL,7),(16,238,2,21,1,8,24,2,9),(16,238,2,21,2,6,46,8,5),(16,238,2,21,3,22,17,8,2),(16,238,2,21,4,40,27,11,8),(16,238,2,21,5,16,39,8,10),(16,238,2,21,6,9,28,5,6),(16,238,2,21,7,15,17,3,4),(16,238,2,21,8,9,23,4,2),(16,238,2,21,9,5,13,NULL,4),(16,238,2,21,10,12,30,8,5),(16,238,2,21,11,21,20,7,4),(16,238,2,21,12,6,41,3,9),(16,238,2,21,13,14,36,4,9),(16,238,2,21,14,35,58,10,14),(16,238,2,21,15,69,10,16,1),(16,238,2,21,16,22,37,4,8),(16,238,2,21,17,13,28,7,3),(16,238,2,21,18,10,18,1,5),(16,238,2,21,19,24,56,10,10),(16,238,2,21,20,31,38,9,5),(16,238,2,21,21,12,26,2,7),(16,238,2,21,22,16,29,5,6),(16,238,2,21,23,20,38,4,10),(16,238,2,21,24,20,40,4,7),(16,238,2,21,25,6,NULL,4,NULL),(16,238,2,21,26,141,NULL,24,NULL),(16,238,2,21,27,5,36,4,9),(16,238,2,21,28,4,23,1,3),(16,238,2,21,29,11,52,2,15),(16,238,2,21,30,15,24,4,8),(16,238,2,22,1,9,14,4,7),(16,238,2,22,2,8,52,3,7),(16,238,2,22,3,21,13,7,2),(16,238,2,22,4,45,28,13,5),(16,238,2,22,5,22,41,5,11),(16,238,2,22,6,17,27,4,6),(16,238,2,22,7,8,18,2,5),(16,238,2,22,8,12,12,3,2),(16,238,2,22,9,4,18,2,7),(16,238,2,22,10,11,23,3,6),(16,238,2,22,11,11,26,6,7),(16,238,2,22,12,19,40,6,9),(16,238,2,22,13,12,36,5,13),(16,238,2,22,14,36,55,6,15),(16,238,2,22,15,63,12,19,1),(16,238,2,22,16,21,42,5,13),(16,238,2,22,17,15,25,7,5),(16,238,2,22,18,11,24,5,6),(16,238,2,22,19,36,41,12,6),(16,238,2,22,20,13,37,5,12),(16,238,2,22,21,9,31,4,10),(16,238,2,22,22,16,33,8,5),(16,238,2,22,23,31,30,10,11),(16,238,2,22,24,9,47,3,11),(16,238,2,22,25,3,NULL,3,NULL),(16,238,2,22,26,138,NULL,23,NULL),(16,238,2,22,27,12,48,4,14),(16,238,2,22,28,4,16,2,5),(16,238,2,22,29,14,51,3,14),(16,238,2,22,30,18,23,7,5),(16,238,2,23,1,5,13,4,6),(16,238,2,23,2,6,45,5,10),(16,238,2,23,3,21,18,8,4),(16,238,2,23,4,32,29,13,5),(16,238,2,23,5,18,36,7,8),(16,238,2,23,6,11,30,4,6),(16,238,2,23,7,15,18,4,4),(16,238,2,23,8,13,17,3,3),(16,238,2,23,9,3,13,1,3),(16,238,2,23,10,7,27,5,9),(16,238,2,23,11,10,17,5,3),(16,238,2,23,12,21,37,6,11),(16,238,2,23,13,6,43,3,6),(16,238,2,23,14,48,46,8,9),(16,238,2,23,15,64,10,17,NULL),(16,238,2,23,16,23,31,4,7),(16,238,2,23,17,15,27,5,6),(16,238,2,23,18,9,14,4,5),(16,238,2,23,19,31,54,6,14),(16,238,2,23,20,31,26,9,5),(16,238,2,23,21,13,30,4,6),(16,238,2,23,22,19,29,9,5),(16,238,2,23,23,23,28,8,8),(16,238,2,23,24,11,46,5,12),(16,238,2,23,25,7,NULL,4,NULL),(16,238,2,23,26,133,NULL,23,NULL),(16,238,2,23,27,9,42,3,12),(16,238,2,23,28,1,20,NULL,10),(16,238,2,23,29,22,46,2,18),(16,238,2,23,30,12,13,11,3),(16,238,2,24,1,7,17,6,12),(16,238,2,24,2,12,48,9,9),(16,238,2,24,3,23,21,11,7),(16,238,2,24,4,41,28,15,10),(16,238,2,24,5,20,34,11,11),(16,238,2,24,6,10,26,2,12),(16,238,2,24,7,13,14,5,5),(16,238,2,24,8,8,18,1,5),(16,238,2,24,9,5,9,2,5),(16,238,2,24,10,10,25,6,14),(16,238,2,24,11,8,23,6,11),(16,238,2,24,12,15,23,4,13),(16,238,2,24,13,12,31,4,12),(16,238,2,24,14,33,49,9,19),(16,238,2,24,15,61,10,22,4),(16,238,2,24,16,13,36,9,13),(16,238,2,24,17,15,21,8,8),(16,238,2,24,18,16,13,9,6),(16,238,2,24,19,25,46,8,22),(16,238,2,24,20,28,35,15,6),(16,238,2,24,21,8,23,7,6),(16,238,2,24,22,9,30,6,8),(16,238,2,24,23,23,30,12,12),(16,238,2,24,24,10,37,3,12),(16,238,2,24,25,3,NULL,3,NULL),(16,238,2,24,26,130,NULL,30,NULL),(16,238,2,24,27,12,35,7,14),(16,238,2,24,28,4,21,3,8),(16,238,2,24,29,10,54,6,14),(16,238,2,24,30,22,19,13,7),(16,238,3,31,1,2,21,NULL,12),(16,238,3,31,2,3,11,NULL,6),(16,238,3,31,3,2,19,2,9),(16,238,3,31,4,4,23,2,9),(16,238,3,31,5,19,47,3,13),(16,238,3,31,6,70,30,19,8),(16,238,3,31,7,4,13,3,8),(16,238,3,31,8,3,16,1,2),(16,238,3,31,9,2,7,1,4),(16,238,3,31,10,1,19,NULL,5),(16,238,3,31,11,28,20,10,4),(16,238,3,31,12,16,31,7,14),(16,238,3,31,13,8,25,4,8),(16,238,3,31,14,23,29,10,9),(16,238,3,31,15,25,31,13,11),(16,238,3,31,16,14,27,6,11),(16,238,3,31,17,43,40,18,10),(16,238,3,31,18,17,13,10,2),(16,238,3,31,19,14,20,5,6),(16,238,3,31,20,40,NULL,24,NULL),(16,238,3,31,21,12,48,8,12),(16,238,3,31,22,3,12,1,1),(16,238,3,31,23,8,15,3,7),(16,238,3,31,24,5,18,4,8),(16,238,3,31,25,NULL,12,NULL,4),(16,238,3,31,26,NULL,13,NULL,4),(16,238,3,31,27,3,14,2,3),(16,238,3,31,28,18,27,9,12),(16,238,3,31,29,24,27,14,5),(16,238,3,31,30,6,8,3,3),(16,238,3,32,1,1,18,1,11),(16,238,3,32,2,5,13,2,1),(16,238,3,32,3,1,18,NULL,7),(16,238,3,32,4,9,18,3,5),(16,238,3,32,5,15,48,4,10),(16,238,3,32,6,71,23,17,4),(16,238,3,32,7,5,14,2,6),(16,238,3,32,8,2,8,1,2),(16,238,3,32,9,NULL,12,NULL,NULL),(16,238,3,32,10,1,10,2,2),(16,238,3,32,11,38,22,7,2),(16,238,3,32,12,20,34,8,10),(16,238,3,32,13,13,22,4,8),(16,238,3,32,14,16,43,4,9),(16,238,3,32,15,21,40,7,11),(16,238,3,32,16,17,42,3,11),(16,238,3,32,17,62,34,15,6),(16,238,3,32,18,25,8,6,2),(16,238,3,32,19,15,27,4,6),(16,238,3,32,20,52,NULL,16,NULL),(16,238,3,32,21,22,61,10,9),(16,238,3,32,22,2,10,NULL,5),(16,238,3,32,23,7,25,1,5),(16,238,3,32,24,10,13,2,7),(16,238,3,32,25,2,15,3,3),(16,238,3,32,26,2,4,NULL,NULL),(16,238,3,32,27,3,18,1,6),(16,238,3,32,28,15,27,13,3),(16,238,3,32,29,22,32,11,3),(16,238,3,32,30,NULL,9,NULL,4),(16,238,3,33,1,7,13,2,7),(16,238,3,33,2,4,12,2,4),(16,238,3,33,3,2,23,1,7),(16,238,3,33,4,2,28,2,6),(16,238,3,33,5,26,45,8,3),(16,238,3,33,6,76,38,14,8),(16,238,3,33,7,3,14,1,4),(16,238,3,33,8,1,16,1,3),(16,238,3,33,9,4,4,1,1),(16,238,3,33,10,2,10,1,3),(16,238,3,33,11,27,32,5,7),(16,238,3,33,12,14,35,7,5),(16,238,3,33,13,14,20,5,4),(16,238,3,33,14,20,36,7,7),(16,238,3,33,15,20,36,10,8),(16,238,3,33,16,14,45,5,6),(16,238,3,33,17,54,47,13,9),(16,238,3,33,18,21,21,6,4),(16,238,3,33,19,20,20,3,4),(16,238,3,33,20,66,NULL,19,NULL),(16,238,3,33,21,24,57,8,10),(16,238,3,33,22,1,17,NULL,4),(16,238,3,33,23,6,21,1,3),(16,238,3,33,24,11,17,6,8),(16,238,3,33,25,3,16,1,3),(16,238,3,33,26,4,9,2,2),(16,238,3,33,27,1,21,NULL,7),(16,238,3,33,28,18,28,6,6),(16,238,3,33,29,26,28,7,6),(16,238,3,33,30,NULL,14,NULL,5),(16,238,3,34,1,3,18,NULL,6),(16,238,3,34,2,5,13,2,4),(16,238,3,34,3,1,19,2,8),(16,238,3,34,4,7,17,3,6),(16,238,3,34,5,31,41,5,5),(16,238,3,34,6,67,41,11,12),(16,238,3,34,7,2,8,2,1),(16,238,3,34,8,NULL,9,NULL,5),(16,238,3,34,9,1,6,NULL,1),(16,238,3,34,10,4,6,NULL,1),(16,238,3,34,11,29,17,7,5),(16,238,3,34,12,14,36,6,9),(16,238,3,34,13,20,21,7,4),(16,238,3,34,14,18,45,7,11),(16,238,3,34,15,24,35,11,10),(16,238,3,34,16,18,39,7,7),(16,238,3,34,17,36,44,12,10),(16,238,3,34,18,19,16,4,5),(16,238,3,34,19,18,32,5,4),(16,238,3,34,20,65,NULL,16,NULL),(16,238,3,34,21,22,70,8,13),(16,238,3,34,22,2,11,NULL,3),(16,238,3,34,23,2,24,2,2),(16,238,3,34,24,6,18,3,3),(16,238,3,34,25,3,9,1,NULL),(16,238,3,34,26,NULL,10,NULL,1),(16,238,3,34,27,3,9,1,4),(16,238,3,34,28,13,35,5,6),(16,238,3,34,29,26,26,10,2),(16,238,3,34,30,4,10,1,3),(16,301,1,11,1,1,NULL,NULL,NULL),(16,301,1,11,2,NULL,NULL,NULL,NULL),(16,301,1,11,3,1,NULL,NULL,NULL),(16,301,1,11,4,NULL,NULL,NULL,NULL),(16,301,1,11,5,NULL,NULL,NULL,NULL),(16,301,1,11,6,NULL,NULL,NULL,NULL),(16,301,1,11,7,NULL,NULL,NULL,NULL),(16,301,1,11,8,NULL,NULL,NULL,NULL),(16,301,1,11,9,NULL,NULL,NULL,NULL),(16,301,1,11,10,NULL,NULL,NULL,NULL),(16,301,1,11,11,NULL,NULL,NULL,NULL),(16,301,1,11,12,NULL,NULL,NULL,NULL),(16,301,1,11,13,NULL,NULL,NULL,NULL),(16,301,1,11,14,NULL,NULL,NULL,NULL),(16,301,1,11,15,NULL,NULL,NULL,NULL),(16,301,1,11,16,1,NULL,NULL,NULL),(16,301,1,11,17,NULL,NULL,NULL,NULL),(16,301,1,11,18,NULL,NULL,NULL,NULL),(16,301,1,11,19,NULL,NULL,NULL,NULL),(16,301,1,11,20,NULL,NULL,NULL,NULL),(16,301,1,12,1,1,NULL,1,NULL),(16,301,1,12,2,NULL,NULL,NULL,NULL),(16,301,1,12,3,1,NULL,1,NULL),(16,301,1,12,4,NULL,NULL,NULL,NULL),(16,301,1,12,5,NULL,1,NULL,1),(16,301,1,12,6,NULL,NULL,NULL,NULL),(16,301,1,12,7,NULL,NULL,NULL,NULL),(16,301,1,12,8,1,NULL,1,NULL),(16,301,1,12,9,1,NULL,1,NULL),(16,301,1,12,10,NULL,1,NULL,1),(16,301,1,12,11,1,NULL,1,NULL),(16,301,1,12,12,1,NULL,1,NULL),(16,301,1,12,13,NULL,1,NULL,1),(16,301,1,12,14,NULL,1,NULL,1),(16,301,1,12,15,1,NULL,1,NULL),(16,301,1,12,16,1,NULL,1,NULL),(16,301,1,12,17,NULL,1,NULL,1),(16,301,1,12,18,1,NULL,1,NULL),(16,301,1,12,19,1,NULL,1,NULL),(16,301,1,12,20,1,NULL,1,NULL),(16,301,1,13,1,NULL,1,NULL,NULL),(16,301,1,13,2,NULL,NULL,NULL,NULL),(16,301,1,13,3,NULL,NULL,NULL,NULL),(16,301,1,13,4,NULL,1,NULL,NULL),(16,301,1,13,5,NULL,1,NULL,NULL),(16,301,1,13,6,NULL,NULL,NULL,NULL),(16,301,1,13,7,NULL,NULL,NULL,NULL),(16,301,1,13,8,NULL,NULL,NULL,NULL),(16,301,1,13,9,NULL,NULL,NULL,NULL),(16,301,1,13,10,1,NULL,NULL,NULL),(16,301,1,13,11,1,NULL,NULL,NULL),(16,301,1,13,12,1,NULL,NULL,NULL),(16,301,1,13,13,1,NULL,NULL,NULL),(16,301,1,13,14,1,NULL,NULL,NULL),(16,301,1,13,15,NULL,1,NULL,NULL),(16,301,1,13,16,1,NULL,NULL,NULL),(16,301,1,13,17,1,NULL,NULL,NULL),(16,301,1,13,18,1,NULL,NULL,NULL),(16,301,1,13,19,1,NULL,NULL,NULL),(16,301,1,13,20,NULL,1,NULL,NULL),(16,301,1,14,1,53,47,15,8),(16,301,1,14,2,9,14,3,6),(16,301,1,14,3,31,56,7,16),(16,301,1,14,4,9,36,2,12),(16,301,1,14,5,45,34,10,10),(16,301,1,14,6,15,29,7,12);
INSERT INTO acertos_questao_curso VALUES (16,301,1,14,7,10,15,6,6),(16,301,1,14,8,25,36,9,12),(16,301,1,14,9,8,31,3,8),(16,301,1,14,10,55,27,19,4),(16,301,1,14,11,53,20,14,5),(16,301,1,14,12,35,27,13,7),(16,301,1,14,13,70,57,22,7),(16,301,1,14,14,24,29,11,5),(16,301,1,14,15,20,28,8,9),(16,301,1,14,16,64,30,16,12),(16,301,1,14,17,51,52,19,10),(16,301,1,14,18,22,31,8,9),(16,301,1,14,19,50,42,15,10),(16,301,1,14,20,33,62,10,15),(16,301,1,15,1,63,52,18,14),(16,301,1,15,2,9,13,2,6),(16,301,1,15,3,43,43,18,8),(16,301,1,15,4,8,35,2,11),(16,301,1,15,5,41,53,15,14),(16,301,1,15,6,14,37,7,13),(16,301,1,15,7,13,13,3,3),(16,301,1,15,8,27,42,11,15),(16,301,1,15,9,8,26,4,9),(16,301,1,15,10,62,41,22,8),(16,301,1,15,11,41,21,15,6),(16,301,1,15,12,38,27,14,10),(16,301,1,15,13,72,34,25,5),(16,301,1,15,14,25,29,13,10),(16,301,1,15,15,24,36,6,14),(16,301,1,15,16,76,25,26,3),(16,301,1,15,17,46,58,13,16),(16,301,1,15,18,23,26,14,8),(16,301,1,15,19,53,41,22,6),(16,301,1,15,20,33,72,10,21),(16,301,1,16,1,27,55,6,9),(16,301,1,16,2,6,13,NULL,6),(16,301,1,16,3,20,28,2,7),(16,301,1,16,4,3,17,NULL,6),(16,301,1,16,5,39,49,7,8),(16,301,1,16,6,8,10,2,1),(16,301,1,16,7,10,21,4,4),(16,301,1,16,8,26,33,6,4),(16,301,1,16,9,2,10,1,2),(16,301,1,16,10,47,31,7,4),(16,301,1,16,11,42,102,6,11),(16,301,1,16,12,9,18,1,4),(16,301,1,16,13,33,47,5,7),(16,301,1,16,14,22,58,1,8),(16,301,1,16,15,38,82,6,10),(16,301,1,16,16,5,50,2,5),(16,301,1,16,17,27,60,2,11),(16,301,1,16,18,31,39,5,7),(16,301,1,16,19,26,65,6,6),(16,301,1,16,20,10,55,NULL,12),(16,301,1,17,1,28,43,2,5),(16,301,1,17,2,3,13,NULL,2),(16,301,1,17,3,22,30,4,6),(16,301,1,17,4,2,21,NULL,4),(16,301,1,17,5,24,36,1,7),(16,301,1,17,6,9,20,NULL,4),(16,301,1,17,7,7,18,1,7),(16,301,1,17,8,11,36,1,7),(16,301,1,17,9,7,13,1,2),(16,301,1,17,10,33,33,3,4),(16,301,1,17,11,42,82,3,9),(16,301,1,17,12,2,26,1,4),(16,301,1,17,13,23,63,1,10),(16,301,1,17,14,11,48,NULL,2),(16,301,1,17,15,32,71,3,9),(16,301,1,17,16,6,30,1,2),(16,301,1,17,17,30,62,2,10),(16,301,1,17,18,27,44,2,9),(16,301,1,17,19,23,83,NULL,10),(16,301,1,17,20,11,49,2,5),(16,301,2,21,1,8,19,5,5),(16,301,2,21,2,16,50,10,4),(16,301,2,21,3,30,27,6,3),(16,301,2,21,4,64,21,18,4),(16,301,2,21,5,27,45,8,10),(16,301,2,21,6,19,29,4,6),(16,301,2,21,7,16,28,5,7),(16,301,2,21,8,15,27,1,4),(16,301,2,21,9,5,20,2,6),(16,301,2,21,10,16,43,4,13),(16,301,2,21,11,13,27,5,10),(16,301,2,21,12,21,35,4,10),(16,301,2,21,13,9,47,3,15),(16,301,2,21,14,54,43,17,6),(16,301,2,21,15,71,15,16,2),(16,301,2,21,16,25,38,8,10),(16,301,2,21,17,26,30,8,9),(16,301,2,21,18,9,25,2,12),(16,301,2,21,19,43,52,15,5),(16,301,2,21,20,26,37,10,9),(16,301,2,21,21,20,38,4,8),(16,301,2,21,22,21,28,7,6),(16,301,2,21,23,22,35,7,12),(16,301,2,21,24,28,52,5,13),(16,301,2,21,25,10,NULL,5,NULL),(16,301,2,21,26,179,NULL,25,NULL),(16,301,2,21,27,11,39,7,12),(16,301,2,21,28,5,19,NULL,5),(16,301,2,21,29,23,54,3,16),(16,301,2,21,30,23,26,12,3),(16,301,2,22,1,12,12,6,5),(16,301,2,22,2,15,58,7,11),(16,301,2,22,3,32,20,9,4),(16,301,2,22,4,43,33,14,6),(16,301,2,22,5,22,54,6,10),(16,301,2,22,6,19,30,8,5),(16,301,2,22,7,11,19,3,3),(16,301,2,22,8,14,19,4,2),(16,301,2,22,9,6,13,4,4),(16,301,2,22,10,9,40,2,10),(16,301,2,22,11,13,19,4,5),(16,301,2,22,12,34,31,7,8),(16,301,2,22,13,17,31,2,7),(16,301,2,22,14,40,56,10,13),(16,301,2,22,15,73,10,12,2),(16,301,2,22,16,21,43,6,8),(16,301,2,22,17,23,31,6,7),(16,301,2,22,18,12,14,4,3),(16,301,2,22,19,51,36,15,4),(16,301,2,22,20,23,22,8,4),(16,301,2,22,21,14,44,4,8),(16,301,2,22,22,23,31,7,4),(16,301,2,22,23,24,35,5,11),(16,301,2,22,24,23,53,6,10),(16,301,2,22,25,6,NULL,3,NULL),(16,301,2,22,26,177,NULL,26,NULL),(16,301,2,22,27,19,43,8,9),(16,301,2,22,28,9,21,1,2),(16,301,2,22,29,16,67,2,17),(16,301,2,22,30,16,26,5,6),(16,301,2,23,1,7,17,4,7),(16,301,2,23,2,8,56,6,6),(16,301,2,23,3,28,28,7,3),(16,301,2,23,4,47,33,13,3),(16,301,2,23,5,23,49,8,6),(16,301,2,23,6,15,30,5,5),(16,301,2,23,7,15,20,1,5),(16,301,2,23,8,13,20,1,5),(16,301,2,23,9,8,21,3,4),(16,301,2,23,10,16,42,6,6),(16,301,2,23,11,15,23,3,6),(16,301,2,23,12,30,27,5,5),(16,301,2,23,13,14,32,1,7),(16,301,2,23,14,42,43,6,10),(16,301,2,23,15,73,11,15,2),(16,301,2,23,16,21,32,4,7),(16,301,2,23,17,8,37,1,5),(16,301,2,23,18,9,20,1,7),(16,301,2,23,19,26,60,6,8),(16,301,2,23,20,29,27,8,5),(16,301,2,23,21,13,41,2,8),(16,301,2,23,22,14,36,4,8),(16,301,2,23,23,28,29,8,7),(16,301,2,23,24,22,61,2,13),(16,301,2,23,25,5,NULL,2,NULL),(16,301,2,23,26,169,NULL,20,NULL),(16,301,2,23,27,11,40,3,10),(16,301,2,23,28,4,9,1,1),(16,301,2,23,29,17,59,1,14),(16,301,2,23,30,25,19,7,2),(16,301,2,24,1,11,19,6,7),(16,301,2,24,2,10,50,7,11),(16,301,2,24,3,33,30,9,9),(16,301,2,24,4,51,30,19,4),(16,301,2,24,5,26,38,8,11),(16,301,2,24,6,10,36,7,6),(16,301,2,24,7,15,12,3,4),(16,301,2,24,8,7,22,1,5),(16,301,2,24,9,8,11,4,6),(16,301,2,24,10,17,29,7,10),(16,301,2,24,11,10,18,8,6),(16,301,2,24,12,25,35,8,10),(16,301,2,24,13,16,28,8,6),(16,301,2,24,14,44,43,10,14),(16,301,2,24,15,69,14,21,1),(16,301,2,24,16,21,38,6,12),(16,301,2,24,17,13,25,7,9),(16,301,2,24,18,17,23,7,7),(16,301,2,24,19,42,52,9,17),(16,301,2,24,20,20,33,10,11),(16,301,2,24,21,13,33,6,12),(16,301,2,24,22,17,31,6,14),(16,301,2,24,23,21,36,11,11),(16,301,2,24,24,14,53,3,17),(16,301,2,24,25,11,NULL,7,NULL),(16,301,2,24,26,159,NULL,29,NULL),(16,301,2,24,27,12,34,5,12),(16,301,2,24,28,6,14,2,5),(16,301,2,24,29,14,50,2,19),(16,301,2,24,30,28,23,13,6),(16,301,3,31,1,4,19,3,5),(16,301,3,31,2,4,18,NULL,6),(16,301,3,31,3,NULL,31,NULL,9),(16,301,3,31,4,8,27,2,6),(16,301,3,31,5,16,45,3,10),(16,301,3,31,6,79,34,19,7),(16,301,3,31,7,4,14,1,3),(16,301,3,31,8,1,18,1,9),(16,301,3,31,9,2,15,1,3),(16,301,3,31,10,4,11,1,2),(16,301,3,31,11,24,29,6,7),(16,301,3,31,12,27,38,8,12),(16,301,3,31,13,27,19,11,4),(16,301,3,31,14,27,43,12,7),(16,301,3,31,15,30,35,14,8),(16,301,3,31,16,22,42,9,9),(16,301,3,31,17,59,36,14,13),(16,301,3,31,18,22,20,4,4),(16,301,3,31,19,17,21,6,9),(16,301,3,31,20,59,NULL,19,NULL),(16,301,3,31,21,33,56,11,9),(16,301,3,31,22,5,13,2,4),(16,301,3,31,23,4,28,1,7),(16,301,3,31,24,9,19,7,5),(16,301,3,31,25,6,19,4,6),(16,301,3,31,26,3,12,1,2),(16,301,3,31,27,2,19,NULL,8),(16,301,3,31,28,23,38,11,11),(16,301,3,31,29,28,38,11,5),(16,301,3,31,30,1,12,NULL,5),(16,301,3,32,1,3,27,1,8),(16,301,3,32,2,4,28,NULL,7),(16,301,3,32,3,1,23,NULL,7),(16,301,3,32,4,5,21,1,4),(16,301,3,32,5,20,59,5,9),(16,301,3,32,6,81,37,13,5),(16,301,3,32,7,1,18,1,2),(16,301,3,32,8,5,9,1,1),(16,301,3,32,9,1,11,1,NULL),(16,301,3,32,10,1,11,NULL,2),(16,301,3,32,11,30,24,9,4),(16,301,3,32,12,25,37,5,7),(16,301,3,32,13,19,31,5,3),(16,301,3,32,14,24,51,4,8),(16,301,3,32,15,26,28,7,4),(16,301,3,32,16,16,60,2,10),(16,301,3,32,17,54,37,10,6),(16,301,3,32,18,31,20,9,3),(16,301,3,32,19,16,34,4,8),(16,301,3,32,20,71,NULL,19,NULL),(16,301,3,32,21,31,65,8,7),(16,301,3,32,22,2,19,NULL,3),(16,301,3,32,23,2,25,NULL,4),(16,301,3,32,24,8,22,5,4),(16,301,3,32,25,6,18,1,4),(16,301,3,32,26,2,17,NULL,5),(16,301,3,32,27,3,16,NULL,4),(16,301,3,32,28,27,24,7,3),(16,301,3,32,29,20,36,6,8),(16,301,3,32,30,1,13,NULL,1),(16,301,3,33,1,4,16,NULL,5),(16,301,3,33,2,6,19,1,3),(16,301,3,33,3,2,19,1,5),(16,301,3,33,4,4,27,1,6),(16,301,3,33,5,23,50,2,9),(16,301,3,33,6,89,40,11,7),(16,301,3,33,7,4,11,3,4),(16,301,3,33,8,2,7,NULL,1),(16,301,3,33,9,4,11,NULL,3),(16,301,3,33,10,2,13,NULL,NULL),(16,301,3,33,11,25,30,4,9),(16,301,3,33,12,27,37,8,11),(16,301,3,33,13,29,34,6,7),(16,301,3,33,14,39,43,9,8),(16,301,3,33,15,28,27,9,7),(16,301,3,33,16,26,38,6,10),(16,301,3,33,17,62,40,10,13),(16,301,3,33,18,29,20,7,2),(16,301,3,33,19,17,27,4,4),(16,301,3,33,20,69,NULL,18,NULL),(16,301,3,33,21,39,54,12,6),(16,301,3,33,22,5,18,NULL,5),(16,301,3,33,23,6,24,1,5),(16,301,3,33,24,12,18,3,3),(16,301,3,33,25,7,19,1,5),(16,301,3,33,26,6,8,3,1),(16,301,3,33,27,9,22,1,3),(16,301,3,33,28,19,36,6,8),(16,301,3,33,29,29,32,9,4),(16,301,3,33,30,5,21,1,7),(16,301,3,34,1,11,17,2,7),(16,301,3,34,2,7,15,1,4),(16,301,3,34,3,3,9,NULL,3),(16,301,3,34,4,8,20,4,7),(16,301,3,34,5,28,50,5,8),(16,301,3,34,6,84,44,17,6),(16,301,3,34,7,1,13,NULL,4),(16,301,3,34,8,2,17,NULL,3),(16,301,3,34,9,3,18,1,2),(16,301,3,34,10,1,23,NULL,4),(16,301,3,34,11,20,31,3,4),(16,301,3,34,12,22,34,9,12),(16,301,3,34,13,20,18,6,6),(16,301,3,34,14,29,33,9,8),(16,301,3,34,15,34,46,15,9),(16,301,3,34,16,30,49,7,9),(16,301,3,34,17,53,40,17,7),(16,301,3,34,18,25,20,5,3),(16,301,3,34,19,24,36,3,12),(16,301,3,34,20,68,NULL,21,NULL),(16,301,3,34,21,29,63,7,13),(16,301,3,34,22,4,7,2,2),(16,301,3,34,23,1,25,NULL,6),(16,301,3,34,24,12,23,5,9),(16,301,3,34,25,3,15,NULL,4),(16,301,3,34,26,2,7,NULL,1),(16,301,3,34,27,1,21,NULL,6),(16,301,3,34,28,26,36,9,7),(16,301,3,34,29,42,28,13,NULL),(16,301,3,34,30,7,18,1,8),(16,302,1,11,1,NULL,NULL,NULL,NULL),(16,302,1,11,2,NULL,NULL,NULL,NULL),(16,302,1,11,3,NULL,NULL,NULL,NULL),(16,302,1,11,4,NULL,NULL,NULL,NULL),(16,302,1,11,5,NULL,NULL,NULL,NULL),(16,302,1,11,6,NULL,NULL,NULL,NULL),(16,302,1,11,7,NULL,NULL,NULL,NULL),(16,302,1,11,8,NULL,NULL,NULL,NULL),(16,302,1,11,9,NULL,NULL,NULL,NULL),(16,302,1,11,10,NULL,NULL,NULL,NULL),(16,302,1,11,11,NULL,NULL,NULL,NULL),(16,302,1,11,12,NULL,NULL,NULL,NULL),(16,302,1,11,13,NULL,NULL,NULL,NULL),(16,302,1,11,14,NULL,NULL,NULL,NULL),(16,302,1,11,15,NULL,NULL,NULL,NULL),(16,302,1,11,16,NULL,NULL,NULL,NULL),(16,302,1,11,17,NULL,NULL,NULL,NULL),(16,302,1,11,18,NULL,NULL,NULL,NULL),(16,302,1,11,19,NULL,NULL,NULL,NULL),(16,302,1,11,20,NULL,NULL,NULL,NULL),(16,302,1,12,1,NULL,NULL,NULL,NULL),(16,302,1,12,2,NULL,NULL,NULL,NULL),(16,302,1,12,3,NULL,NULL,NULL,NULL),(16,302,1,12,4,NULL,NULL,NULL,NULL),(16,302,1,12,5,NULL,NULL,NULL,NULL),(16,302,1,12,6,NULL,NULL,NULL,NULL),(16,302,1,12,7,NULL,NULL,NULL,NULL),(16,302,1,12,8,NULL,NULL,NULL,NULL),(16,302,1,12,9,NULL,NULL,NULL,NULL),(16,302,1,12,10,NULL,NULL,NULL,NULL),(16,302,1,12,11,1,NULL,NULL,NULL),(16,302,1,12,12,1,NULL,NULL,NULL),(16,302,1,12,13,1,NULL,NULL,NULL),(16,302,1,12,14,1,NULL,NULL,NULL),(16,302,1,12,15,NULL,1,NULL,NULL),(16,302,1,12,16,NULL,NULL,NULL,NULL),(16,302,1,12,17,1,NULL,NULL,NULL),(16,302,1,12,18,1,NULL,NULL,NULL),(16,302,1,12,19,1,NULL,NULL,NULL),(16,302,1,12,20,1,NULL,NULL,NULL),(16,302,1,13,1,NULL,NULL,NULL,NULL),(16,302,1,13,2,NULL,NULL,NULL,NULL),(16,302,1,13,3,1,NULL,1,NULL),(16,302,1,13,4,NULL,NULL,NULL,NULL),(16,302,1,13,5,NULL,NULL,NULL,NULL),(16,302,1,13,6,NULL,NULL,NULL,NULL),(16,302,1,13,7,NULL,NULL,NULL,NULL),(16,302,1,13,8,NULL,NULL,NULL,NULL),(16,302,1,13,9,NULL,NULL,NULL,NULL),(16,302,1,13,10,NULL,NULL,NULL,NULL),(16,302,1,13,11,2,NULL,1,NULL),(16,302,1,13,12,1,NULL,1,NULL),(16,302,1,13,13,2,NULL,1,NULL),(16,302,1,13,14,2,NULL,1,NULL),(16,302,1,13,15,1,1,NULL,1),(16,302,1,13,16,1,NULL,1,NULL),(16,302,1,13,17,NULL,NULL,NULL,NULL),(16,302,1,13,18,2,NULL,1,NULL),(16,302,1,13,19,2,NULL,1,NULL),(16,302,1,13,20,1,1,NULL,1),(16,302,1,14,1,17,21,7,9),(16,302,1,14,2,4,8,3,5),(16,302,1,14,3,14,14,7,6),(16,302,1,14,4,4,15,1,9),(16,302,1,14,5,19,23,8,10),(16,302,1,14,6,3,9,NULL,5),(16,302,1,14,7,6,10,2,4),(16,302,1,14,8,11,14,8,4),(16,302,1,14,9,2,7,1,3),(16,302,1,14,10,17,18,9,7),(16,302,1,14,11,10,8,5,3),(16,302,1,14,12,14,8,5,5),(16,302,1,14,13,23,18,12,6),(16,302,1,14,14,7,6,4,4),(16,302,1,14,15,3,15,1,4),(16,302,1,14,16,22,7,9,3),(16,302,1,14,17,15,21,7,10),(16,302,1,14,18,5,8,4,1),(16,302,1,14,19,13,16,6,5),(16,302,1,14,20,21,20,9,5),(16,302,1,15,1,12,20,3,7),(16,302,1,15,2,3,2,NULL,2),(16,302,1,15,3,10,14,6,3),(16,302,1,15,4,3,15,1,8),(16,302,1,15,5,11,18,2,7),(16,302,1,15,6,5,12,1,6),(16,302,1,15,7,4,5,2,1),(16,302,1,15,8,13,13,3,5),(16,302,1,15,9,4,9,1,6),(16,302,1,15,10,25,15,9,5),(16,302,1,15,11,11,9,7,4),(16,302,1,15,12,10,9,6,4),(16,302,1,15,13,25,11,10,3),(16,302,1,15,14,7,8,5,4),(16,302,1,15,15,3,12,2,7),(16,302,1,15,16,26,4,10,1),(16,302,1,15,17,18,19,8,8),(16,302,1,15,18,8,5,6,3),(16,302,1,15,19,13,17,5,8),(16,302,1,15,20,10,27,4,10),(16,302,1,16,1,28,40,7,12),(16,302,1,16,2,2,9,2,3),(16,302,1,16,3,14,27,2,8),(16,302,1,16,4,4,27,NULL,14),(16,302,1,16,5,29,40,8,12),(16,302,1,16,6,1,16,1,4),(16,302,1,16,7,6,20,3,5),(16,302,1,16,8,16,35,3,15),(16,302,1,16,9,6,17,4,5),(16,302,1,16,10,36,30,10,10),(16,302,1,16,11,29,77,6,19),(16,302,1,16,12,13,20,7,2),(16,302,1,16,13,23,53,4,18),(16,302,1,16,14,7,41,1,13),(16,302,1,16,15,30,77,10,14),(16,302,1,16,16,2,31,NULL,3),(16,302,1,16,17,19,64,1,19),(16,302,1,16,18,27,43,9,8),(16,302,1,16,19,15,82,7,14),(16,302,1,16,20,6,45,3,9),(16,302,1,17,1,36,42,11,11),(16,302,1,17,2,7,16,2,10),(16,302,1,17,3,23,26,12,4),(16,302,1,17,4,2,18,NULL,8),(16,302,1,17,5,31,40,7,11),(16,302,1,17,6,7,22,3,7),(16,302,1,17,7,2,13,1,4),(16,302,1,17,8,21,37,4,16),(16,302,1,17,9,5,22,1,8),(16,302,1,17,10,31,40,13,11),(16,302,1,17,11,40,74,8,19),(16,302,1,17,12,5,24,2,9),(16,302,1,17,13,29,58,6,20),(16,302,1,17,14,3,48,NULL,9),(16,302,1,17,15,37,66,11,15),(16,302,1,17,16,7,29,1,5),(16,302,1,17,17,24,58,6,18),(16,302,1,17,18,29,42,12,13),(16,302,1,17,19,18,69,2,20),(16,302,1,17,20,1,52,1,16),(16,302,2,21,1,5,13,2,5),(16,302,2,21,2,7,40,7,9),(16,302,2,21,3,19,18,7,7),(16,302,2,21,4,40,16,16,2),(16,302,2,21,5,13,31,5,7),(16,302,2,21,6,10,18,4,10),(16,302,2,21,7,4,24,1,6),(16,302,2,21,8,7,18,2,3),(16,302,2,21,9,8,11,3,5),(16,302,2,21,10,6,28,4,10),(16,302,2,21,11,9,16,3,5),(16,302,2,21,12,22,28,8,11),(16,302,2,21,13,6,28,2,7),(16,302,2,21,14,33,30,10,8),(16,302,2,21,15,54,15,17,2),(16,302,2,21,16,11,28,4,9),(16,302,2,21,17,17,13,5,5),(16,302,2,21,18,8,13,4,3),(16,302,2,21,19,22,30,8,8),(16,302,2,21,20,14,32,5,6),(16,302,2,21,21,15,18,5,4),(16,302,2,21,22,8,9,3,2),(16,302,2,21,23,15,24,9,8),(16,302,2,21,24,14,38,5,11),(16,302,2,21,25,4,NULL,3,NULL),(16,302,2,21,26,105,NULL,23,NULL),(16,302,2,21,27,5,40,1,13),(16,302,2,21,28,6,17,1,6),(16,302,2,21,29,12,28,3,13),(16,302,2,21,30,9,23,6,7),(16,302,2,22,1,8,10,4,6),(16,302,2,22,2,13,30,9,10),(16,302,2,22,3,20,17,7,6),(16,302,2,22,4,43,21,17,5),(16,302,2,22,5,17,29,10,10),(16,302,2,22,6,13,14,6,8),(16,302,2,22,7,10,18,5,4),(16,302,2,22,8,14,13,4,3),(16,302,2,22,9,8,7,6,2),(16,302,2,22,10,12,22,8,8),(16,302,2,22,11,13,12,8,4),(16,302,2,22,12,21,15,4,6),(16,302,2,22,13,6,32,2,13),(16,302,2,22,14,28,38,10,13),(16,302,2,22,15,42,7,18,2),(16,302,2,22,16,12,24,4,11),(16,302,2,22,17,12,17,6,5),(16,302,2,22,18,10,9,3,6),(16,302,2,22,19,23,32,10,10),(16,302,2,22,20,13,20,8,10),(16,302,2,22,21,10,37,1,11),(16,302,2,22,22,8,21,5,12),(16,302,2,22,23,15,32,5,12),(16,302,2,22,24,9,35,4,11),(16,302,2,22,25,3,NULL,NULL,NULL),(16,302,2,22,26,104,NULL,25,NULL),(16,302,2,22,27,10,30,5,9),(16,302,2,22,28,5,11,2,5),(16,302,2,22,29,16,43,4,16),(16,302,2,22,30,11,22,7,9),(16,302,2,23,1,6,10,4,3),(16,302,2,23,2,6,30,2,8),(16,302,2,23,3,15,13,5,3),(16,302,2,23,4,23,28,9,3),(16,302,2,23,5,9,29,3,7),(16,302,2,23,6,5,28,2,8),(16,302,2,23,7,10,16,3,4),(16,302,2,23,8,9,13,NULL,4),(16,302,2,23,9,NULL,12,NULL,4),(16,302,2,23,10,5,13,2,3),(16,302,2,23,11,6,13,4,5),(16,302,2,23,12,18,25,3,9),(16,302,2,23,13,5,29,4,8),(16,302,2,23,14,27,33,8,8),(16,302,2,23,15,49,10,12,3),(16,302,2,23,16,13,25,5,6),(16,302,2,23,17,7,18,3,7),(16,302,2,23,18,7,15,2,5),(16,302,2,23,19,20,38,4,11),(16,302,2,23,20,9,22,3,6),(16,302,2,23,21,6,35,1,8),(16,302,2,23,22,5,19,3,7),(16,302,2,23,23,8,21,2,9),(16,302,2,23,24,9,49,2,10),(16,302,2,23,25,1,NULL,1,NULL),(16,302,2,23,26,101,NULL,19,NULL),(16,302,2,23,27,4,33,NULL,10),(16,302,2,23,28,3,15,1,4),(16,302,2,23,29,6,39,NULL,10),(16,302,2,23,30,14,19,5,5),(16,302,2,24,1,11,10,8,6),(16,302,2,24,2,6,29,5,10),(16,302,2,24,3,20,24,7,11),(16,302,2,24,4,38,15,19,1),(16,302,2,24,5,16,30,6,10),(16,302,2,24,6,4,18,1,8),(16,302,2,24,7,3,17,2,5),(16,302,2,24,8,7,13,2,5),(16,302,2,24,9,8,9,7,4),(16,302,2,24,10,8,28,5,10),(16,302,2,24,11,9,8,4,7),(16,302,2,24,12,18,20,8,7),(16,302,2,24,13,9,28,4,11),(16,302,2,24,14,26,27,6,11),(16,302,2,24,15,45,9,11,4),(16,302,2,24,16,11,15,2,7),(16,302,2,24,17,5,20,1,8),(16,302,2,24,18,9,13,7,6),(16,302,2,24,19,14,38,7,9),(16,302,2,24,20,12,13,4,8),(16,302,2,24,21,9,21,2,7),(16,302,2,24,22,10,18,6,7),(16,302,2,24,23,14,18,4,9),(16,302,2,24,24,11,29,5,8),(16,302,2,24,25,3,NULL,1,NULL),(16,302,2,24,26,94,NULL,23,NULL),(16,302,2,24,27,8,27,4,10),(16,302,2,24,28,3,9,1,1),(16,302,2,24,29,11,37,2,12),(16,302,2,24,30,12,22,6,9),(16,302,3,31,1,3,9,1,4),(16,302,3,31,2,4,11,3,8),(16,302,3,31,3,2,11,NULL,7),(16,302,3,31,4,2,11,1,4),(16,302,3,31,5,8,25,NULL,9),(16,302,3,31,6,39,23,10,7),(16,302,3,31,7,2,7,1,3),(16,302,3,31,8,2,6,1,2),(16,302,3,31,9,1,6,1,1),(16,302,3,31,10,4,11,2,NULL),(16,302,3,31,11,9,19,NULL,8),(16,302,3,31,12,17,15,11,5),(16,302,3,31,13,10,19,3,5),(16,302,3,31,14,14,22,4,6),(16,302,3,31,15,11,19,6,6),(16,302,3,31,16,12,26,5,9),(16,302,3,31,17,29,22,9,9),(16,302,3,31,18,21,9,10,2),(16,302,3,31,19,7,13,3,6),(16,302,3,31,20,36,NULL,17,NULL),(16,302,3,31,21,12,40,6,14),(16,302,3,31,22,2,8,1,3),(16,302,3,31,23,2,15,NULL,1),(16,302,3,31,24,7,12,6,7),(16,302,3,31,25,2,7,NULL,3),(16,302,3,31,26,1,5,1,1),(16,302,3,31,27,NULL,10,NULL,5),(16,302,3,31,28,11,18,7,7),(16,302,3,31,29,14,23,8,3),(16,302,3,31,30,1,9,NULL,4),(16,302,3,32,1,NULL,12,NULL,7),(16,302,3,32,2,7,10,4,3),(16,302,3,32,3,NULL,10,NULL,3),(16,302,3,32,4,4,12,NULL,3),(16,302,3,32,5,5,32,NULL,8),(16,302,3,32,6,56,20,11,6),(16,302,3,32,7,NULL,1,NULL,NULL),(16,302,3,32,8,NULL,8,NULL,3),(16,302,3,32,9,NULL,5,NULL,NULL),(16,302,3,32,10,1,4,NULL,1),(16,302,3,32,11,20,18,5,4),(16,302,3,32,12,14,22,6,6),(16,302,3,32,13,7,13,1,3),(16,302,3,32,14,11,36,3,7),(16,302,3,32,15,9,26,6,7),(16,302,3,32,16,20,25,5,5),(16,302,3,32,17,32,30,8,7),(16,302,3,32,18,24,15,6,6),(16,302,3,32,19,14,18,6,5),(16,302,3,32,20,46,NULL,14,NULL),(16,302,3,32,21,17,52,3,13),(16,302,3,32,22,NULL,8,NULL,3),(16,302,3,32,23,5,13,2,NULL),(16,302,3,32,24,5,10,2,5),(16,302,3,32,25,2,10,1,2),(16,302,3,32,26,2,5,1,2),(16,302,3,32,27,3,8,1,3),(16,302,3,32,28,12,19,6,6),(16,302,3,32,29,11,20,3,4),(16,302,3,32,30,1,5,NULL,1),(16,302,3,33,1,6,11,2,5),(16,302,3,33,2,1,8,1,1),(16,302,3,33,3,NULL,12,NULL,5),(16,302,3,33,4,4,14,1,5),(16,302,3,33,5,10,34,2,8),(16,302,3,33,6,57,26,17,7),(16,302,3,33,7,1,8,NULL,4),(16,302,3,33,8,2,8,2,3),(16,302,3,33,9,1,13,1,5),(16,302,3,33,10,1,6,NULL,1),(16,302,3,33,11,18,19,6,5),(16,302,3,33,12,11,24,5,11),(16,302,3,33,13,10,22,5,7),(16,302,3,33,14,11,21,3,9),(16,302,3,33,15,11,19,7,8),(16,302,3,33,16,11,34,4,9),(16,302,3,33,17,38,23,15,6),(16,302,3,33,18,19,11,6,2),(16,302,3,33,19,9,17,2,9),(16,302,3,33,20,51,NULL,20,NULL),(16,302,3,33,21,19,50,6,13),(16,302,3,33,22,1,9,1,3),(16,302,3,33,23,1,8,NULL,1),(16,302,3,33,24,10,10,7,4),(16,302,3,33,25,NULL,19,NULL,6),(16,302,3,33,26,NULL,7,NULL,5),(16,302,3,33,27,1,12,NULL,4),(16,302,3,33,28,22,15,10,6),(16,302,3,33,29,10,26,6,6),(16,302,3,33,30,1,10,NULL,4),(16,302,3,34,1,6,14,2,4),(16,302,3,34,2,3,20,1,5),(16,302,3,34,3,2,8,1,3),(16,302,3,34,4,1,19,1,5),(16,302,3,34,5,8,30,5,6),(16,302,3,34,6,46,34,18,4),(16,302,3,34,7,2,13,NULL,6),(16,302,3,34,8,1,10,NULL,4),(16,302,3,34,9,1,6,NULL,2),(16,302,3,34,10,3,10,1,1),(16,302,3,34,11,24,22,7,6),(16,302,3,34,12,14,24,5,8),(16,302,3,34,13,11,15,3,7),(16,302,3,34,14,13,23,6,8),(16,302,3,34,15,11,12,6,5),(16,302,3,34,16,7,29,1,8),(16,302,3,34,17,26,30,11,8),(16,302,3,34,18,8,16,2,5),(16,302,3,34,19,11,19,3,5),(16,302,3,34,20,43,NULL,11,NULL),(16,302,3,34,21,17,33,6,9),(16,302,3,34,22,NULL,7,NULL,1),(16,302,3,34,23,NULL,13,NULL,5),(16,302,3,34,24,7,14,4,6),(16,302,3,34,25,2,9,NULL,5),(16,302,3,34,26,NULL,5,NULL,2),(16,302,3,34,27,1,9,NULL,3),(16,302,3,34,28,13,24,8,7),(16,302,3,34,29,14,25,6,6),(16,302,3,34,30,2,16,NULL,8),(16,303,1,11,1,NULL,NULL,NULL,NULL),(16,303,1,11,2,NULL,NULL,NULL,NULL),(16,303,1,11,3,NULL,NULL,NULL,NULL),(16,303,1,11,4,NULL,NULL,NULL,NULL),(16,303,1,11,5,NULL,NULL,NULL,NULL),(16,303,1,11,6,NULL,NULL,NULL,NULL),(16,303,1,11,7,NULL,1,NULL,NULL),(16,303,1,11,8,NULL,1,NULL,NULL),(16,303,1,11,9,NULL,NULL,NULL,NULL),(16,303,1,11,10,NULL,NULL,NULL,NULL),(16,303,1,11,11,1,NULL,NULL,NULL),(16,303,1,11,12,1,NULL,NULL,NULL),(16,303,1,11,13,1,NULL,NULL,NULL),(16,303,1,11,14,1,NULL,NULL,NULL),(16,303,1,11,15,1,NULL,NULL,NULL),(16,303,1,11,16,1,NULL,NULL,NULL),(16,303,1,11,17,NULL,NULL,NULL,NULL),(16,303,1,11,18,NULL,1,NULL,NULL),(16,303,1,11,19,NULL,NULL,NULL,NULL),(16,303,1,11,20,1,NULL,NULL,NULL),(16,303,1,12,1,4,1,2,NULL),(16,303,1,12,2,NULL,1,NULL,1),(16,303,1,12,3,3,2,1,1),(16,303,1,12,4,NULL,4,NULL,2),(16,303,1,12,5,3,2,2,1),(16,303,1,12,6,NULL,3,NULL,1),(16,303,1,12,7,1,1,1,NULL),(16,303,1,12,8,4,1,2,1),(16,303,1,12,9,1,2,1,NULL),(16,303,1,12,10,3,2,2,1),(16,303,1,12,11,5,1,2,1),(16,303,1,12,12,6,NULL,3,NULL),(16,303,1,12,13,3,3,1,2),(16,303,1,12,14,3,2,1,2),(16,303,1,12,15,5,1,2,1),(16,303,1,12,16,4,NULL,2,NULL),(16,303,1,12,17,4,1,3,NULL),(16,303,1,12,18,6,NULL,3,NULL),(16,303,1,12,19,6,NULL,3,NULL),(16,303,1,12,20,5,NULL,3,NULL),(16,303,1,13,1,2,2,NULL,NULL),(16,303,1,13,2,NULL,1,NULL,NULL),(16,303,1,13,3,1,2,NULL,NULL),(16,303,1,13,4,1,1,NULL,NULL),(16,303,1,13,5,4,1,NULL,NULL),(16,303,1,13,6,NULL,2,NULL,NULL),(16,303,1,13,7,1,NULL,NULL,NULL),(16,303,1,13,8,3,1,NULL,NULL),(16,303,1,13,9,1,NULL,NULL,NULL),(16,303,1,13,10,3,1,NULL,NULL),(16,303,1,13,11,5,1,NULL,NULL),(16,303,1,13,12,2,NULL,NULL,NULL),(16,303,1,13,13,4,2,NULL,NULL),(16,303,1,13,14,5,NULL,NULL,NULL),(16,303,1,13,15,1,2,NULL,NULL),(16,303,1,13,16,6,1,NULL,NULL),(16,303,1,13,17,3,NULL,NULL,NULL),(16,303,1,13,18,5,2,NULL,NULL),(16,303,1,13,19,3,3,NULL,NULL),(16,303,1,13,20,4,NULL,NULL,NULL),(16,303,1,14,1,129,69,20,6),(16,303,1,14,2,25,33,1,14),(16,303,1,14,3,98,95,10,15),(16,303,1,14,4,11,83,4,15),(16,303,1,14,5,111,89,21,9),(16,303,1,14,6,39,77,5,12),(16,303,1,14,7,37,28,8,6),(16,303,1,14,8,78,60,18,13),(16,303,1,14,9,42,53,10,6),(16,303,1,14,10,140,45,28,4),(16,303,1,14,11,113,32,18,5),(16,303,1,14,12,85,45,19,4),(16,303,1,14,13,144,88,24,7),(16,303,1,14,14,61,65,12,15),(16,303,1,14,15,58,55,10,7),(16,303,1,14,16,163,33,27,3),(16,303,1,14,17,125,97,20,12),(16,303,1,14,18,66,38,12,8),(16,303,1,14,19,119,64,20,8),(16,303,1,14,20,74,140,9,22),(16,303,1,15,1,112,90,7,10),(16,303,1,15,2,29,30,8,7),(16,303,1,15,3,72,80,12,4),(16,303,1,15,4,18,81,NULL,17),(16,303,1,15,5,80,73,14,5),(16,303,1,15,6,37,70,4,9),(16,303,1,15,7,35,24,9,3),(16,303,1,15,8,75,67,15,6),(16,303,1,15,9,31,66,7,6),(16,303,1,15,10,127,52,17,3),(16,303,1,15,11,91,32,16,2),(16,303,1,15,12,80,44,11,6),(16,303,1,15,13,142,60,19,3),(16,303,1,15,14,50,49,8,9),(16,303,1,15,15,49,63,9,10),(16,303,1,15,16,133,43,19,3),(16,303,1,15,17,92,94,14,7),(16,303,1,15,18,39,44,11,8),(16,303,1,15,19,99,62,11,9),(16,303,1,15,20,70,121,10,13),(16,303,1,16,1,69,43,6,4),(16,303,1,16,2,10,17,3,5),(16,303,1,16,3,39,39,3,7),(16,303,1,16,4,5,39,1,8),(16,303,1,16,5,58,53,9,3),(16,303,1,16,6,8,33,3,6),(16,303,1,16,7,12,16,1,NULL),(16,303,1,16,8,34,39,6,5),(16,303,1,16,9,10,31,4,4),(16,303,1,16,10,54,37,10,3),(16,303,1,16,11,64,99,6,9),(16,303,1,16,12,17,38,4,4),(16,303,1,16,13,48,67,7,6),(16,303,1,16,14,20,92,1,10),(16,303,1,16,15,62,73,10,5),(16,303,1,16,16,7,59,1,7),(16,303,1,16,17,45,82,2,11),(16,303,1,16,18,57,48,11,3),(16,303,1,16,19,54,87,8,5),(16,303,1,16,20,17,70,4,8),(16,303,1,17,1,64,45,8,6),(16,303,1,17,2,8,14,1,2),(16,303,1,17,3,40,40,4,6),(16,303,1,17,4,9,28,2,7),(16,303,1,17,5,42,48,6,5),(16,303,1,17,6,12,34,1,7),(16,303,1,17,7,13,15,2,3),(16,303,1,17,8,38,40,9,3),(16,303,1,17,9,12,30,1,5),(16,303,1,17,10,66,36,9,2),(16,303,1,17,11,63,100,6,9),(16,303,1,17,12,11,28,2,2),(16,303,1,17,13,43,78,5,7),(16,303,1,17,14,22,89,1,11),(16,303,1,17,15,61,77,8,5),(16,303,1,17,16,6,50,1,3),(16,303,1,17,17,40,72,6,8),(16,303,1,17,18,62,41,6,6),(16,303,1,17,19,54,97,7,7),(16,303,1,17,20,15,63,3,6),(16,303,2,21,1,36,32,12,4),(16,303,2,21,2,37,106,9,8),(16,303,2,21,3,66,39,11,3),(16,303,2,21,4,111,33,16,NULL),(16,303,2,21,5,62,74,10,7),(16,303,2,21,6,33,59,3,11),(16,303,2,21,7,25,26,8,1),(16,303,2,21,8,19,29,4,1),(16,303,2,21,9,17,35,8,4),(16,303,2,21,10,41,71,8,8),(16,303,2,21,11,38,27,12,2),(16,303,2,21,12,57,52,8,5),(16,303,2,21,13,32,49,6,2),(16,303,2,21,14,100,72,15,4),(16,303,2,21,15,104,17,17,1),(16,303,2,21,16,44,50,9,5),(16,303,2,21,17,45,43,9,5),(16,303,2,21,18,29,30,6,7),(16,303,2,21,19,91,67,12,6),(16,303,2,21,20,70,46,17,1),(16,303,2,21,21,35,47,10,3),(16,303,2,21,22,35,56,13,3),(16,303,2,21,23,48,58,11,3),(16,303,2,21,24,25,87,3,11),(16,303,2,21,25,11,NULL,7,NULL),(16,303,2,21,26,268,NULL,20,NULL),(16,303,2,21,27,33,60,9,8),(16,303,2,21,28,11,48,2,6),(16,303,2,21,29,38,77,4,10),(16,303,2,21,30,46,36,9,2),(16,303,2,22,1,29,22,10,3),(16,303,2,22,2,39,91,10,8),(16,303,2,22,3,73,32,14,4),(16,303,2,22,4,107,31,20,2),(16,303,2,22,5,62,64,10,6),(16,303,2,22,6,34,61,7,11),(16,303,2,22,7,29,14,8,1),(16,303,2,22,8,15,37,NULL,3),(16,303,2,22,9,19,31,7,3),(16,303,2,22,10,31,54,8,10),(16,303,2,22,11,39,25,11,3),(16,303,2,22,12,63,48,11,6),(16,303,2,22,13,24,55,6,8),(16,303,2,22,14,92,91,13,12),(16,303,2,22,15,124,15,19,NULL),(16,303,2,22,16,47,54,10,11),(16,303,2,22,17,49,52,10,12),(16,303,2,22,18,36,32,9,7),(16,303,2,22,19,99,68,18,6),(16,303,2,22,20,59,43,15,4),(16,303,2,22,21,47,58,10,6),(16,303,2,22,22,42,43,12,5),(16,303,2,22,23,50,50,7,11),(16,303,2,22,24,32,92,4,14),(16,303,2,22,25,18,NULL,7,NULL),(16,303,2,22,26,255,NULL,25,NULL),(16,303,2,22,27,41,57,11,5),(16,303,2,22,28,15,34,3,7),(16,303,2,22,29,32,83,10,12),(16,303,2,22,30,48,34,12,4),(16,303,2,23,1,25,28,6,4),(16,303,2,23,2,46,89,12,6),(16,303,2,23,3,65,33,14,2),(16,303,2,23,4,97,41,14,3),(16,303,2,23,5,54,68,11,6),(16,303,2,23,6,37,59,11,4),(16,303,2,23,7,28,22,5,1),(16,303,2,23,8,12,31,3,2),(16,303,2,23,9,23,25,6,4),(16,303,2,23,10,31,48,5,6),(16,303,2,23,11,27,32,7,5),(16,303,2,23,12,59,40,8,4),(16,303,2,23,13,28,48,6,8),(16,303,2,23,14,99,69,14,5),(16,303,2,23,15,109,19,15,1),(16,303,2,23,16,55,53,11,7),(16,303,2,23,17,49,45,11,4),(16,303,2,23,18,35,31,4,10),(16,303,2,23,19,78,83,13,6),(16,303,2,23,20,56,44,10,6),(16,303,2,23,21,38,65,7,6),(16,303,2,23,22,50,57,10,5),(16,303,2,23,23,51,48,7,7),(16,303,2,23,24,29,75,4,10),(16,303,2,23,25,22,NULL,9,NULL),(16,303,2,23,26,256,NULL,20,NULL),(16,303,2,23,27,40,69,9,7),(16,303,2,23,28,3,30,NULL,6),(16,303,2,23,29,41,83,1,16),(16,303,2,23,30,40,28,9,1),(16,303,2,24,1,23,33,6,6),(16,303,2,24,2,33,90,10,10),(16,303,2,24,3,72,29,16,2),(16,303,2,24,4,108,32,22,1),(16,303,2,24,5,48,70,13,8),(16,303,2,24,6,27,65,9,8),(16,303,2,24,7,30,29,9,2),(16,303,2,24,8,19,37,1,2),(16,303,2,24,9,19,26,7,4),(16,303,2,24,10,27,52,6,7),(16,303,2,24,11,28,23,12,2),(16,303,2,24,12,47,42,11,5),(16,303,2,24,13,30,46,9,4),(16,303,2,24,14,113,61,19,6),(16,303,2,24,15,120,18,16,NULL),(16,303,2,24,16,60,40,12,3),(16,303,2,24,17,40,45,12,6),(16,303,2,24,18,35,34,11,5),(16,303,2,24,19,89,78,19,2),(16,303,2,24,20,54,42,11,6),(16,303,2,24,21,37,44,10,4),(16,303,2,24,22,34,42,8,6),(16,303,2,24,23,42,57,7,12),(16,303,2,24,24,36,73,4,13),(16,303,2,24,25,15,NULL,3,NULL),(16,303,2,24,26,255,NULL,25,NULL),(16,303,2,24,27,31,54,11,7),(16,303,2,24,28,11,30,3,5),(16,303,2,24,29,20,89,6,15),(16,303,2,24,30,43,40,12,4),(16,303,3,31,1,5,37,3,6),(16,303,3,31,2,19,23,8,1),(16,303,3,31,3,3,31,1,9),(16,303,3,31,4,13,36,4,4),(16,303,3,31,5,43,73,7,9),(16,303,3,31,6,150,44,21,1),(16,303,3,31,7,11,25,5,7),(16,303,3,31,8,6,32,NULL,6),(16,303,3,31,9,7,16,2,2),(16,303,3,31,10,5,25,1,3),(16,303,3,31,11,52,33,5,2),(16,303,3,31,12,50,81,7,14),(16,303,3,31,13,61,31,12,2),(16,303,3,31,14,69,67,17,5),(16,303,3,31,15,79,34,19,2),(16,303,3,31,16,53,79,6,11),(16,303,3,31,17,113,53,19,4),(16,303,3,31,18,34,15,2,3),(16,303,3,31,19,34,57,5,9),(16,303,3,31,20,122,NULL,20,NULL),(16,303,3,31,21,55,80,9,8),(16,303,3,31,22,16,26,5,3),(16,303,3,31,23,15,39,4,3),(16,303,3,31,24,27,28,11,6),(16,303,3,31,25,16,26,5,7),(16,303,3,31,26,6,24,3,7),(16,303,3,31,27,10,52,3,8),(16,303,3,31,28,55,45,16,3),(16,303,3,31,29,57,55,14,2),(16,303,3,31,30,9,35,2,10),(16,303,3,32,1,10,30,2,5),(16,303,3,32,2,11,26,1,4),(16,303,3,32,3,4,40,1,7),(16,303,3,32,4,20,24,7,5),(16,303,3,32,5,54,67,8,5),(16,303,3,32,6,150,37,16,3),(16,303,3,32,7,12,20,4,2),(16,303,3,32,8,5,23,1,6),(16,303,3,32,9,5,28,1,9),(16,303,3,32,10,4,21,NULL,2),(16,303,3,32,11,42,35,4,1),(16,303,3,32,12,56,69,8,8),(16,303,3,32,13,60,27,9,5),(16,303,3,32,14,71,73,12,4),(16,303,3,32,15,79,39,16,3),(16,303,3,32,16,57,74,9,6),(16,303,3,32,17,109,62,15,3),(16,303,3,32,18,48,19,5,NULL),(16,303,3,32,19,46,42,5,5),(16,303,3,32,20,120,NULL,18,NULL),(16,303,3,32,21,57,78,13,5),(16,303,3,32,22,7,36,2,5),(16,303,3,32,23,16,42,3,7),(16,303,3,32,24,31,34,10,4),(16,303,3,32,25,13,41,4,7),(16,303,3,32,26,13,24,5,2),(16,303,3,32,27,11,49,1,4),(16,303,3,32,28,57,48,9,6),(16,303,3,32,29,57,32,15,2),(16,303,3,32,30,4,29,NULL,8),(16,303,3,33,1,10,35,2,6),(16,303,3,33,2,17,23,2,4),(16,303,3,33,3,6,44,4,11),(16,303,3,33,4,17,38,7,8),(16,303,3,33,5,54,70,11,8),(16,303,3,33,6,157,39,18,5),(16,303,3,33,7,7,29,3,6),(16,303,3,33,8,4,32,1,5),(16,303,3,33,9,11,17,1,7),(16,303,3,33,10,6,28,NULL,5),(16,303,3,33,11,49,23,5,1),(16,303,3,33,12,68,67,10,13),(16,303,3,33,13,74,37,15,6),(16,303,3,33,14,69,68,11,10),(16,303,3,33,15,80,48,16,7),(16,303,3,33,16,57,75,13,5),(16,303,3,33,17,119,59,18,6),(16,303,3,33,18,33,15,8,NULL),(16,303,3,33,19,34,52,6,4),(16,303,3,33,20,153,NULL,23,NULL),(16,303,3,33,21,64,85,14,6),(16,303,3,33,22,21,33,7,6),(16,303,3,33,23,5,32,3,4),(16,303,3,33,24,32,42,9,8),(16,303,3,33,25,16,34,10,5),(16,303,3,33,26,4,23,2,6),(16,303,3,33,27,12,34,2,8),(16,303,3,33,28,59,48,18,2),(16,303,3,33,29,64,38,15,2),(16,303,3,33,30,8,33,1,9),(16,303,3,34,1,3,44,1,7),(16,303,3,34,2,13,26,3,5),(16,303,3,34,3,6,22,4,5),(16,303,3,34,4,15,20,6,3),(16,303,3,34,5,51,79,8,9),(16,303,3,34,6,142,68,15,3),(16,303,3,34,7,2,40,1,9),(16,303,3,34,8,5,28,3,5),(16,303,3,34,9,8,26,2,6),(16,303,3,34,10,6,21,1,1),(16,303,3,34,11,28,35,3,NULL),(16,303,3,34,12,61,74,7,10),(16,303,3,34,13,53,42,9,5),(16,303,3,34,14,73,73,12,7),(16,303,3,34,15,74,48,14,1),(16,303,3,34,16,55,91,7,10),(16,303,3,34,17,97,66,16,3),(16,303,3,34,18,43,25,4,3),(16,303,3,34,19,42,51,2,6),(16,303,3,34,20,138,NULL,18,NULL),(16,303,3,34,21,70,93,10,7),(16,303,3,34,22,13,27,2,4),(16,303,3,34,23,8,41,5,7),(16,303,3,34,24,44,33,12,3),(16,303,3,34,25,12,36,1,8),(16,303,3,34,26,7,24,2,3),(16,303,3,34,27,9,48,3,8),(16,303,3,34,28,58,49,13,5),(16,303,3,34,29,75,42,12,1),(16,303,3,34,30,8,39,3,9),(16,304,1,11,1,NULL,1,NULL,NULL),(16,304,1,11,2,NULL,NULL,NULL,NULL),(16,304,1,11,3,NULL,1,NULL,NULL),(16,304,1,11,4,NULL,NULL,NULL,NULL),(16,304,1,11,5,NULL,NULL,NULL,NULL),(16,304,1,11,6,NULL,NULL,NULL,NULL),(16,304,1,11,7,NULL,NULL,NULL,NULL),(16,304,1,11,8,NULL,NULL,NULL,NULL),(16,304,1,11,9,NULL,1,NULL,NULL),(16,304,1,11,10,NULL,NULL,NULL,NULL),(16,304,1,11,11,1,NULL,NULL,NULL),(16,304,1,11,12,1,NULL,NULL,NULL),(16,304,1,11,13,1,NULL,NULL,NULL),(16,304,1,11,14,1,NULL,NULL,NULL),(16,304,1,11,15,1,NULL,NULL,NULL),(16,304,1,11,16,1,NULL,NULL,NULL),(16,304,1,11,17,NULL,NULL,NULL,NULL),(16,304,1,11,18,NULL,NULL,NULL,NULL),(16,304,1,11,19,1,NULL,NULL,NULL),(16,304,1,11,20,1,NULL,NULL,NULL),(16,304,1,12,1,NULL,1,NULL,NULL),(16,304,1,12,2,NULL,NULL,NULL,NULL),(16,304,1,12,3,NULL,NULL,NULL,NULL),(16,304,1,12,4,NULL,NULL,NULL,NULL),(16,304,1,12,5,NULL,1,NULL,NULL),(16,304,1,12,6,NULL,NULL,NULL,NULL),(16,304,1,12,7,NULL,NULL,NULL,NULL),(16,304,1,12,8,NULL,NULL,NULL,NULL),(16,304,1,12,9,1,NULL,NULL,NULL),(16,304,1,12,10,NULL,NULL,NULL,NULL),(16,304,1,12,11,1,NULL,NULL,NULL),(16,304,1,12,12,1,NULL,NULL,NULL),(16,304,1,12,13,NULL,1,NULL,NULL),(16,304,1,12,14,1,NULL,NULL,NULL),(16,304,1,12,15,NULL,1,NULL,NULL),(16,304,1,12,16,1,NULL,NULL,NULL),(16,304,1,12,17,1,NULL,NULL,NULL),(16,304,1,12,18,1,NULL,NULL,NULL),(16,304,1,12,19,NULL,1,NULL,NULL),(16,304,1,12,20,1,NULL,NULL,NULL),(16,304,1,13,1,1,NULL,NULL,NULL),(16,304,1,13,2,NULL,NULL,NULL,NULL),(16,304,1,13,3,NULL,NULL,NULL,NULL),(16,304,1,13,4,NULL,NULL,NULL,NULL),(16,304,1,13,5,NULL,NULL,NULL,NULL),(16,304,1,13,6,1,NULL,NULL,NULL),(16,304,1,13,7,NULL,NULL,NULL,NULL),(16,304,1,13,8,NULL,NULL,NULL,NULL),(16,304,1,13,9,NULL,NULL,NULL,NULL),(16,304,1,13,10,NULL,NULL,NULL,NULL),(16,304,1,13,11,1,NULL,NULL,NULL),(16,304,1,13,12,1,NULL,NULL,NULL),(16,304,1,13,13,1,NULL,NULL,NULL),(16,304,1,13,14,1,NULL,NULL,NULL),(16,304,1,13,15,NULL,1,NULL,NULL),(16,304,1,13,16,1,NULL,NULL,NULL),(16,304,1,13,17,1,NULL,NULL,NULL),(16,304,1,13,18,1,NULL,NULL,NULL),(16,304,1,13,19,1,NULL,NULL,NULL),(16,304,1,13,20,NULL,1,NULL,NULL),(16,304,1,14,1,24,25,13,9),(16,304,1,14,2,5,10,3,6),(16,304,1,14,3,25,18,11,6),(16,304,1,14,4,6,14,2,9),(16,304,1,14,5,30,30,13,10),(16,304,1,14,6,5,25,1,11),(16,304,1,14,7,6,7,2,3),(16,304,1,14,8,27,13,13,7),(16,304,1,14,9,6,14,2,6),(16,304,1,14,10,24,14,11,3),(16,304,1,14,11,25,7,12,NULL),(16,304,1,14,12,19,13,9,8),(16,304,1,14,13,44,20,22,5),(16,304,1,14,14,14,16,9,6),(16,304,1,14,15,14,24,9,12),(16,304,1,14,16,40,18,17,5),(16,304,1,14,17,30,22,13,10),(16,304,1,14,18,15,15,7,8),(16,304,1,14,19,30,24,15,10),(16,304,1,14,20,22,28,9,13),(16,304,1,15,1,34,24,13,7),(16,304,1,15,2,3,7,NULL,4),(16,304,1,15,3,17,27,8,9),(16,304,1,15,4,6,10,5,5),(16,304,1,15,5,13,13,7,9),(16,304,1,15,6,9,20,3,11),(16,304,1,15,7,3,6,1,3),(16,304,1,15,8,12,16,6,9),(16,304,1,15,9,5,13,2,6),(16,304,1,15,10,22,11,10,5),(16,304,1,15,11,26,6,9,2),(16,304,1,15,12,23,12,12,6),(16,304,1,15,13,43,16,19,5),(16,304,1,15,14,17,13,10,4),(16,304,1,15,15,13,22,7,13),(16,304,1,15,16,36,13,19,7),(16,304,1,15,17,24,25,13,9),(16,304,1,15,18,14,14,8,6),(16,304,1,15,19,30,16,16,6),(16,304,1,15,20,18,31,10,16),(16,304,1,16,1,19,18,5,5),(16,304,1,16,2,1,7,1,3),(16,304,1,16,3,13,12,3,5),(16,304,1,16,4,1,10,NULL,5),(16,304,1,16,5,19,17,5,6),(16,304,1,16,6,2,9,1,5),(16,304,1,16,7,8,7,2,4),(16,304,1,16,8,7,15,1,5),(16,304,1,16,9,2,7,NULL,3),(16,304,1,16,10,13,13,5,4),(16,304,1,16,11,19,37,5,9),(16,304,1,16,12,7,10,1,5),(16,304,1,16,13,12,17,4,4),(16,304,1,16,14,8,23,3,7),(16,304,1,16,15,20,29,8,6),(16,304,1,16,16,4,22,1,1),(16,304,1,16,17,7,30,2,9),(16,304,1,16,18,14,16,4,5),(16,304,1,16,19,14,33,8,6),(16,304,1,16,20,3,29,3,5),(16,304,1,17,1,20,17,5,7),(16,304,1,17,2,3,4,2,1),(16,304,1,17,3,7,14,5,4),(16,304,1,17,4,1,9,1,6),(16,304,1,17,5,5,19,2,8),(16,304,1,17,6,3,11,2,4),(16,304,1,17,7,2,5,1,2),(16,304,1,17,8,7,18,2,8),(16,304,1,17,9,1,7,NULL,5),(16,304,1,17,10,8,16,5,4),(16,304,1,17,11,15,38,6,9),(16,304,1,17,12,5,5,2,3),(16,304,1,17,13,15,26,3,11),(16,304,1,17,14,3,22,2,8),(16,304,1,17,15,18,23,5,8),(16,304,1,17,16,1,11,1,5),(16,304,1,17,17,9,28,4,11),(16,304,1,17,18,15,18,4,9),(16,304,1,17,19,8,31,3,10),(16,304,1,17,20,2,26,1,12),(16,304,2,21,1,3,7,2,4),(16,304,2,21,2,5,26,4,8),(16,304,2,21,3,12,12,3,4),(16,304,2,21,4,31,12,16,3),(16,304,2,21,5,14,23,3,7),(16,304,2,21,6,5,19,2,5),(16,304,2,21,7,6,10,1,4),(16,304,2,21,8,11,15,2,4),(16,304,2,21,9,4,9,2,1),(16,304,2,21,10,2,21,1,6),(16,304,2,21,11,10,13,3,5),(16,304,2,21,12,11,14,5,7),(16,304,2,21,13,7,20,3,9),(16,304,2,21,14,28,25,9,12),(16,304,2,21,15,36,6,17,1),(16,304,2,21,16,10,17,3,7),(16,304,2,21,17,14,10,7,3),(16,304,2,21,18,4,11,1,5),(16,304,2,21,19,24,32,11,8),(16,304,2,21,20,18,19,8,10),(16,304,2,21,21,8,12,5,6),(16,304,2,21,22,15,13,9,3),(16,304,2,21,23,14,26,10,9),(16,304,2,21,24,13,32,4,14),(16,304,2,21,25,7,NULL,5,NULL),(16,304,2,21,26,83,NULL,22,NULL),(16,304,2,21,27,8,23,6,9),(16,304,2,21,28,4,14,1,7),(16,304,2,21,29,15,27,5,10),(16,304,2,21,30,12,12,7,5),(16,304,2,22,1,6,5,5,3),(16,304,2,22,2,5,32,3,8),(16,304,2,22,3,17,9,1,6),(16,304,2,22,4,33,11,14,1),(16,304,2,22,5,18,17,5,5),(16,304,2,22,6,4,20,3,5),(16,304,2,22,7,9,9,2,2),(16,304,2,22,8,3,5,1,1),(16,304,2,22,9,4,7,2,3),(16,304,2,22,10,11,19,3,3),(16,304,2,22,11,9,8,2,4),(16,304,2,22,12,12,21,4,6),(16,304,2,22,13,8,19,5,4),(16,304,2,22,14,28,29,7,10),(16,304,2,22,15,35,6,11,1),(16,304,2,22,16,17,19,8,4),(16,304,2,22,17,15,12,6,5),(16,304,2,22,18,4,7,NULL,2),(16,304,2,22,19,22,29,8,7),(16,304,2,22,20,11,14,6,5),(16,304,2,22,21,9,22,3,6),(16,304,2,22,22,4,18,2,8),(16,304,2,22,23,17,14,7,7),(16,304,2,22,24,10,34,1,10),(16,304,2,22,25,8,NULL,5,NULL),(16,304,2,22,26,83,NULL,18,NULL),(16,304,2,22,27,9,18,3,6),(16,304,2,22,28,3,5,NULL,1),(16,304,2,22,29,5,27,2,9),(16,304,2,22,30,12,12,5,4),(16,304,2,23,1,4,13,4,8),(16,304,2,23,2,6,31,3,13),(16,304,2,23,3,10,12,3,7),(16,304,2,23,4,21,14,13,5),(16,304,2,23,5,15,27,8,11),(16,304,2,23,6,8,16,6,6),(16,304,2,23,7,5,6,2,3),(16,304,2,23,8,3,9,1,4),(16,304,2,23,9,6,8,3,4),(16,304,2,23,10,6,14,3,6),(16,304,2,23,11,8,10,4,5),(16,304,2,23,12,19,11,11,7),(16,304,2,23,13,7,16,3,8),(16,304,2,23,14,32,29,14,11),(16,304,2,23,15,42,3,21,1),(16,304,2,23,16,11,16,7,8),(16,304,2,23,17,9,19,7,10),(16,304,2,23,18,5,6,2,3),(16,304,2,23,19,23,28,13,10),(16,304,2,23,20,11,14,7,6),(16,304,2,23,21,7,20,5,8),(16,304,2,23,22,7,22,5,10),(16,304,2,23,23,13,18,8,8),(16,304,2,23,24,8,29,4,13),(16,304,2,23,25,3,NULL,1,NULL),(16,304,2,23,26,76,NULL,29,NULL),(16,304,2,23,27,4,23,4,12),(16,304,2,23,28,1,12,NULL,6),(16,304,2,23,29,6,23,3,13),(16,304,2,23,30,10,10,5,5),(16,304,2,24,1,3,12,2,8),(16,304,2,24,2,7,28,5,9),(16,304,2,24,3,13,11,6,6),(16,304,2,24,4,28,14,12,4),(16,304,2,24,5,10,15,2,9),(16,304,2,24,6,6,13,3,6),(16,304,2,24,7,9,8,5,2),(16,304,2,24,8,8,11,1,4),(16,304,2,24,9,2,6,2,3),(16,304,2,24,10,2,15,2,8),(16,304,2,24,11,11,7,7,4),(16,304,2,24,12,10,13,3,5),(16,304,2,24,13,6,17,2,8),(16,304,2,24,14,28,23,9,11),(16,304,2,24,15,33,4,12,NULL),(16,304,2,24,16,12,12,4,7),(16,304,2,24,17,11,14,4,6),(16,304,2,24,18,9,4,5,3),(16,304,2,24,19,21,23,11,7),(16,304,2,24,20,11,18,5,6),(16,304,2,24,21,5,11,2,4),(16,304,2,24,22,6,12,2,6),(16,304,2,24,23,8,21,4,11),(16,304,2,24,24,10,14,3,6),(16,304,2,24,25,3,NULL,2,NULL),(16,304,2,24,26,71,NULL,21,NULL),(16,304,2,24,27,7,14,2,10),(16,304,2,24,28,6,9,1,5),(16,304,2,24,29,4,24,NULL,12),(16,304,2,24,30,6,10,2,5),(16,304,3,31,1,2,7,2,3),(16,304,3,31,2,5,7,3,3),(16,304,3,31,3,1,7,NULL,4),(16,304,3,31,4,3,8,NULL,3),(16,304,3,31,5,16,17,8,5),(16,304,3,31,6,41,11,16,4),(16,304,3,31,7,2,4,1,2),(16,304,3,31,8,1,4,1,3),(16,304,3,31,9,2,6,1,1),(16,304,3,31,10,2,7,NULL,1),(16,304,3,31,11,16,10,5,4),(16,304,3,31,12,12,21,6,8),(16,304,3,31,13,15,9,8,3),(16,304,3,31,14,17,20,10,7),(16,304,3,31,15,18,10,9,8),(16,304,3,31,16,10,23,4,9),(16,304,3,31,17,29,18,14,6),(16,304,3,31,18,11,3,5,NULL),(16,304,3,31,19,9,13,4,4),(16,304,3,31,20,35,NULL,15,NULL),(16,304,3,31,21,7,25,3,9),(16,304,3,31,22,1,3,1,2),(16,304,3,31,23,2,10,1,4),(16,304,3,31,24,5,8,4,5),(16,304,3,31,25,1,10,1,4),(16,304,3,31,26,5,3,2,3),(16,304,3,31,27,4,8,NULL,6),(16,304,3,31,28,10,13,6,6),(16,304,3,31,29,9,12,4,3),(16,304,3,31,30,NULL,5,NULL,4),(16,304,3,32,1,2,15,1,7),(16,304,3,32,2,3,6,2,3),(16,304,3,32,3,NULL,16,NULL,10),(16,304,3,32,4,1,14,1,5),(16,304,3,32,5,11,23,5,7),(16,304,3,32,6,42,14,19,6),(16,304,3,32,7,2,5,2,3),(16,304,3,32,8,1,5,NULL,3),(16,304,3,32,9,1,5,NULL,1),(16,304,3,32,10,1,9,1,4),(16,304,3,32,11,13,10,8,6),(16,304,3,32,12,19,25,13,10),(16,304,3,32,13,11,17,8,9),(16,304,3,32,14,21,21,10,11),(16,304,3,32,15,23,14,16,5),(16,304,3,32,16,10,22,4,9),(16,304,3,32,17,33,23,18,8),(16,304,3,32,18,9,8,5,6),(16,304,3,32,19,6,21,3,10),(16,304,3,32,20,34,NULL,20,NULL),(16,304,3,32,21,14,39,7,13),(16,304,3,32,22,3,9,2,2),(16,304,3,32,23,3,12,3,2),(16,304,3,32,24,5,10,4,4),(16,304,3,32,25,3,6,2,3),(16,304,3,32,26,NULL,10,NULL,4),(16,304,3,32,27,2,8,2,4),(16,304,3,32,28,11,18,7,7),(16,304,3,32,29,19,11,9,5),(16,304,3,32,30,1,8,NULL,2),(16,304,3,33,1,1,12,NULL,3),(16,304,3,33,2,NULL,7,NULL,3),(16,304,3,33,3,NULL,11,NULL,5),(16,304,3,33,4,3,12,1,5),(16,304,3,33,5,12,22,5,6),(16,304,3,33,6,49,13,17,2),(16,304,3,33,7,2,6,1,2),(16,304,3,33,8,NULL,8,NULL,2),(16,304,3,33,9,NULL,4,NULL,1),(16,304,3,33,10,2,7,1,NULL),(16,304,3,33,11,27,8,6,3),(16,304,3,33,12,14,24,5,9),(16,304,3,33,13,14,14,7,NULL),(16,304,3,33,14,18,25,5,6),(16,304,3,33,15,24,15,10,4),(16,304,3,33,16,13,18,3,5),(16,304,3,33,17,30,15,11,3),(16,304,3,33,18,14,7,5,2),(16,304,3,33,19,8,16,NULL,9),(16,304,3,33,20,40,NULL,12,NULL),(16,304,3,33,21,21,40,7,8),(16,304,3,33,22,2,11,1,6),(16,304,3,33,23,3,12,1,4),(16,304,3,33,24,5,7,4,2),(16,304,3,33,25,2,12,1,5),(16,304,3,33,26,NULL,6,NULL,3),(16,304,3,33,27,2,7,1,3),(16,304,3,33,28,9,13,5,4),(16,304,3,33,29,15,19,4,3),(16,304,3,33,30,NULL,9,NULL,5),(16,304,3,34,1,2,15,1,7),(16,304,3,34,2,3,6,3,2),(16,304,3,34,3,NULL,9,NULL,6),(16,304,3,34,4,1,13,NULL,4),(16,304,3,34,5,13,25,6,9),(16,304,3,34,6,48,14,16,3),(16,304,3,34,7,2,9,1,2),(16,304,3,34,8,1,6,1,1),(16,304,3,34,9,1,5,NULL,4),(16,304,3,34,10,2,9,NULL,1),(16,304,3,34,11,13,13,4,3),(16,304,3,34,12,17,18,10,6),(16,304,3,34,13,14,16,5,5),(16,304,3,34,14,12,21,5,7),(16,304,3,34,15,17,13,12,2),(16,304,3,34,16,8,31,2,12),(16,304,3,34,17,29,25,12,8),(16,304,3,34,18,21,7,9,1),(16,304,3,34,19,8,13,4,5),(16,304,3,34,20,28,NULL,12,NULL),(16,304,3,34,21,14,35,6,9),(16,304,3,34,22,1,10,1,2),(16,304,3,34,23,3,12,NULL,5),(16,304,3,34,24,5,10,5,6),(16,304,3,34,25,2,8,1,5),(16,304,3,34,26,2,5,NULL,NULL),(16,304,3,34,27,2,13,NULL,6),(16,304,3,34,28,13,13,11,4),(16,304,3,34,29,16,11,10,2),(16,304,3,34,30,1,8,NULL,1),(16,308,1,11,1,NULL,NULL,NULL,NULL),(16,308,1,11,2,NULL,NULL,NULL,NULL),(16,308,1,11,3,NULL,NULL,NULL,NULL),(16,308,1,11,4,NULL,NULL,NULL,NULL),(16,308,1,11,5,NULL,NULL,NULL,NULL),(16,308,1,11,6,NULL,NULL,NULL,NULL),(16,308,1,11,7,NULL,NULL,NULL,NULL),(16,308,1,11,8,NULL,NULL,NULL,NULL),(16,308,1,11,9,NULL,NULL,NULL,NULL),(16,308,1,11,10,NULL,NULL,NULL,NULL),(16,308,1,11,11,1,NULL,NULL,NULL),(16,308,1,11,12,NULL,NULL,NULL,NULL),(16,308,1,11,13,1,NULL,NULL,NULL),(16,308,1,11,14,NULL,NULL,NULL,NULL),(16,308,1,11,15,1,NULL,NULL,NULL),(16,308,1,11,16,NULL,NULL,NULL,NULL),(16,308,1,11,17,NULL,1,NULL,NULL),(16,308,1,11,18,1,NULL,NULL,NULL),(16,308,1,11,19,NULL,NULL,NULL,NULL),(16,308,1,11,20,NULL,NULL,NULL,NULL),(16,308,1,12,1,NULL,NULL,NULL,NULL),(16,308,1,12,2,NULL,NULL,NULL,NULL),(16,308,1,12,3,NULL,NULL,NULL,NULL),(16,308,1,12,4,NULL,NULL,NULL,NULL),(16,308,1,12,5,NULL,NULL,NULL,NULL),(16,308,1,12,6,NULL,NULL,NULL,NULL),(16,308,1,12,7,NULL,NULL,NULL,NULL),(16,308,1,12,8,NULL,NULL,NULL,NULL),(16,308,1,12,9,NULL,NULL,NULL,NULL),(16,308,1,12,10,NULL,NULL,NULL,NULL),(16,308,1,12,11,NULL,NULL,NULL,NULL),(16,308,1,12,12,NULL,NULL,NULL,NULL),(16,308,1,12,13,NULL,NULL,NULL,NULL),(16,308,1,12,14,NULL,NULL,NULL,NULL),(16,308,1,12,15,NULL,NULL,NULL,NULL),(16,308,1,12,16,NULL,NULL,NULL,NULL),(16,308,1,12,17,NULL,NULL,NULL,NULL),(16,308,1,12,18,NULL,NULL,NULL,NULL),(16,308,1,12,19,NULL,NULL,NULL,NULL),(16,308,1,12,20,NULL,NULL,NULL,NULL),(16,308,1,13,1,2,NULL,2,NULL),(16,308,1,13,2,NULL,1,NULL,1),(16,308,1,13,3,1,1,1,1),(16,308,1,13,4,NULL,NULL,NULL,NULL),(16,308,1,13,5,NULL,1,NULL,1),(16,308,1,13,6,NULL,NULL,NULL,NULL),(16,308,1,13,7,1,NULL,1,NULL),(16,308,1,13,8,1,NULL,1,NULL),(16,308,1,13,9,1,NULL,1,NULL),(16,308,1,13,10,1,NULL,1,NULL),(16,308,1,13,11,2,NULL,2,NULL),(16,308,1,13,12,1,NULL,1,NULL),(16,308,1,13,13,2,NULL,2,NULL),(16,308,1,13,14,2,NULL,2,NULL),(16,308,1,13,15,NULL,1,NULL,1),(16,308,1,13,16,2,NULL,2,NULL),(16,308,1,13,17,2,NULL,2,NULL),(16,308,1,13,18,2,NULL,2,NULL),(16,308,1,13,19,1,1,1,1),(16,308,1,13,20,NULL,2,NULL,2),(16,308,1,14,1,8,6,6,2),(16,308,1,14,2,2,2,1,1),(16,308,1,14,3,5,5,4,1),(16,308,1,14,4,1,1,1,1),(16,308,1,14,5,8,6,5,3),(16,308,1,14,6,2,2,2,2),(16,308,1,14,7,3,1,NULL,1),(16,308,1,14,8,4,4,2,3),(16,308,1,14,9,1,3,1,2),(16,308,1,14,10,7,4,6,2),(16,308,1,14,11,3,2,3,1),(16,308,1,14,12,5,1,3,1),(16,308,1,14,13,5,10,5,6),(16,308,1,14,14,2,NULL,2,NULL),(16,308,1,14,15,1,3,1,2),(16,308,1,14,16,7,5,5,4),(16,308,1,14,17,4,2,4,2),(16,308,1,14,18,1,2,1,NULL),(16,308,1,14,19,6,4,6,NULL),(16,308,1,14,20,6,13,3,7),(16,308,1,15,1,9,3,5,1),(16,308,1,15,2,3,1,3,NULL),(16,308,1,15,3,4,4,1,2),(16,308,1,15,4,NULL,1,NULL,NULL),(16,308,1,15,5,4,3,2,2),(16,308,1,15,6,3,2,2,2),(16,308,1,15,7,5,2,2,2),(16,308,1,15,8,2,3,1,2),(16,308,1,15,9,2,3,2,1),(16,308,1,15,10,10,2,6,1),(16,308,1,15,11,5,5,3,3),(16,308,1,15,12,2,7,1,5),(16,308,1,15,13,7,8,4,3),(16,308,1,15,14,2,3,1,2),(16,308,1,15,15,2,3,2,2),(16,308,1,15,16,9,3,6,NULL),(16,308,1,15,17,6,2,4,1),(16,308,1,15,18,NULL,1,NULL,NULL),(16,308,1,15,19,4,5,4,1),(16,308,1,15,20,7,5,3,5),(16,308,1,16,1,15,22,10,11),(16,308,1,16,2,4,10,4,7),(16,308,1,16,3,8,16,6,10),(16,308,1,16,4,2,7,2,5),(16,308,1,16,5,19,27,10,14),(16,308,1,16,6,3,14,1,9),(16,308,1,16,7,4,9,1,3),(16,308,1,16,8,9,23,5,16),(16,308,1,16,9,5,6,4,4),(16,308,1,16,10,14,16,8,11),(16,308,1,16,11,18,53,9,25),(16,308,1,16,12,4,10,2,5),(16,308,1,16,13,24,27,13,15),(16,308,1,16,14,6,30,1,16),(16,308,1,16,15,24,43,12,19),(16,308,1,16,16,NULL,25,NULL,13),(16,308,1,16,17,15,30,6,14),(16,308,1,16,18,11,23,6,11),(16,308,1,16,19,9,31,4,13),(16,308,1,16,20,2,32,2,12),(16,308,1,17,1,24,28,16,13),(16,308,1,17,2,1,4,1,3),(16,308,1,17,3,10,17,7,10),(16,308,1,17,4,NULL,12,NULL,10),(16,308,1,17,5,13,22,7,11),(16,308,1,17,6,5,15,1,8),(16,308,1,17,7,9,9,5,7),(16,308,1,17,8,14,23,8,12),(16,308,1,17,9,2,9,2,4),(16,308,1,17,10,21,18,8,12),(16,308,1,17,11,19,50,5,28),(16,308,1,17,12,4,5,2,2),(16,308,1,17,13,13,29,9,18),(16,308,1,17,14,5,26,1,19),(16,308,1,17,15,25,36,15,14),(16,308,1,17,16,2,17,NULL,9),(16,308,1,17,17,17,25,8,11),(16,308,1,17,18,20,20,11,11),(16,308,1,17,19,12,46,4,17),(16,308,1,17,20,3,25,1,11),(16,308,2,21,1,2,3,NULL,2),(16,308,2,21,2,NULL,10,NULL,4),(16,308,2,21,3,6,8,2,4),(16,308,2,21,4,11,14,4,3),(16,308,2,21,5,7,20,3,3),(16,308,2,21,6,1,5,1,3),(16,308,2,21,7,3,6,1,2),(16,308,2,21,8,2,10,1,4),(16,308,2,21,9,NULL,4,NULL,3),(16,308,2,21,10,NULL,7,NULL,6),(16,308,2,21,11,1,4,NULL,NULL),(16,308,2,21,12,9,9,4,1),(16,308,2,21,13,1,7,NULL,4),(16,308,2,21,14,8,14,5,5),(16,308,2,21,15,11,5,5,1),(16,308,2,21,16,2,9,2,4),(16,308,2,21,17,NULL,7,NULL,2),(16,308,2,21,18,4,3,2,1),(16,308,2,21,19,4,14,2,5),(16,308,2,21,20,4,7,NULL,4),(16,308,2,21,21,4,14,NULL,5),(16,308,2,21,22,5,3,1,1),(16,308,2,21,23,1,7,NULL,4),(16,308,2,21,24,8,14,2,5),(16,308,2,21,25,1,NULL,1,NULL),(16,308,2,21,26,65,NULL,17,NULL),(16,308,2,21,27,NULL,8,NULL,6),(16,308,2,21,28,1,7,NULL,3),(16,308,2,21,29,3,13,1,5),(16,308,2,21,30,3,6,1,3),(16,308,2,22,1,NULL,2,NULL,1),(16,308,2,22,2,2,15,2,8),(16,308,2,22,3,12,9,8,6),(16,308,2,22,4,18,4,13,2),(16,308,2,22,5,9,18,4,9),(16,308,2,22,6,NULL,8,NULL,6),(16,308,2,22,7,6,5,3,2),(16,308,2,22,8,1,7,NULL,3),(16,308,2,22,9,1,10,NULL,7),(16,308,2,22,10,2,10,2,5),(16,308,2,22,11,4,5,1,4),(16,308,2,22,12,13,8,6,6),(16,308,2,22,13,NULL,12,NULL,5),(16,308,2,22,14,12,16,6,10),(16,308,2,22,15,14,4,11,1),(16,308,2,22,16,4,12,3,7),(16,308,2,22,17,3,3,1,2),(16,308,2,22,18,3,5,3,2),(16,308,2,22,19,6,16,4,9),(16,308,2,22,20,5,6,2,2),(16,308,2,22,21,5,14,3,6),(16,308,2,22,22,6,5,2,2),(16,308,2,22,23,3,8,2,3),(16,308,2,22,24,11,15,6,6),(16,308,2,22,25,1,NULL,1,NULL),(16,308,2,22,26,64,NULL,27,NULL),(16,308,2,22,27,9,15,3,9),(16,308,2,22,28,5,10,3,8),(16,308,2,22,29,5,13,3,7),(16,308,2,22,30,3,8,3,4),(16,308,2,23,1,1,5,1,2),(16,308,2,23,2,2,20,2,6),(16,308,2,23,3,6,10,1,6),(16,308,2,23,4,15,16,6,9),(16,308,2,23,5,5,26,2,13),(16,308,2,23,6,NULL,9,NULL,3),(16,308,2,23,7,3,8,NULL,7),(16,308,2,23,8,4,10,NULL,4),(16,308,2,23,9,3,4,1,1),(16,308,2,23,10,2,4,NULL,3),(16,308,2,23,11,6,6,2,5),(16,308,2,23,12,12,12,4,8),(16,308,2,23,13,5,16,4,10),(16,308,2,23,14,13,15,7,12),(16,308,2,23,15,18,8,11,6),(16,308,2,23,16,4,14,3,11),(16,308,2,23,17,2,12,1,7),(16,308,2,23,18,3,8,2,5),(16,308,2,23,19,9,13,4,11),(16,308,2,23,20,7,12,4,8),(16,308,2,23,21,4,12,1,6),(16,308,2,23,22,7,7,4,6),(16,308,2,23,23,2,12,NULL,8),(16,308,2,23,24,8,25,3,15),(16,308,2,23,25,NULL,NULL,NULL,NULL),(16,308,2,23,26,69,NULL,29,NULL),(16,308,2,23,27,3,15,NULL,9),(16,308,2,23,28,1,9,NULL,4),(16,308,2,23,29,5,16,4,11),(16,308,2,23,30,8,6,6,4),(16,308,2,24,1,1,6,NULL,5),(16,308,2,24,2,2,20,1,10),(16,308,2,24,3,4,10,2,6),(16,308,2,24,4,13,9,5,5),(16,308,2,24,5,8,14,4,7),(16,308,2,24,6,3,8,3,3),(16,308,2,24,7,4,8,1,5),(16,308,2,24,8,7,6,3,1),(16,308,2,24,9,NULL,7,NULL,3),(16,308,2,24,10,1,10,1,5),(16,308,2,24,11,4,3,3,3),(16,308,2,24,12,8,9,4,7),(16,308,2,24,13,3,8,NULL,6),(16,308,2,24,14,14,12,8,9),(16,308,2,24,15,16,7,6,3),(16,308,2,24,16,4,11,2,6),(16,308,2,24,17,2,11,2,6),(16,308,2,24,18,2,4,2,2),(16,308,2,24,19,11,12,4,6),(16,308,2,24,20,7,8,2,6),(16,308,2,24,21,2,7,NULL,3),(16,308,2,24,22,5,5,NULL,3),(16,308,2,24,23,1,7,NULL,3),(16,308,2,24,24,3,16,2,13),(16,308,2,24,25,NULL,NULL,NULL,NULL),(16,308,2,24,26,66,NULL,25,NULL),(16,308,2,24,27,2,7,1,3),(16,308,2,24,28,4,5,1,2),(16,308,2,24,29,6,12,1,7),(16,308,2,24,30,1,3,1,1),(16,308,3,31,1,NULL,5,NULL,5),(16,308,3,31,2,3,5,NULL,5),(16,308,3,31,3,NULL,5,NULL,4),(16,308,3,31,4,7,5,2,4),(16,308,3,31,5,2,14,2,7),(16,308,3,31,6,25,13,10,7),(16,308,3,31,7,NULL,5,NULL,2),(16,308,3,31,8,1,3,NULL,1),(16,308,3,31,9,NULL,3,NULL,NULL),(16,308,3,31,10,1,2,NULL,2),(16,308,3,31,11,6,15,1,7),(16,308,3,31,12,2,9,2,4),(16,308,3,31,13,4,13,2,4),(16,308,3,31,14,8,11,6,4),(16,308,3,31,15,4,12,2,5),(16,308,3,31,16,7,13,6,6),(16,308,3,31,17,13,16,7,9),(16,308,3,31,18,11,6,3,3),(16,308,3,31,19,3,8,3,4),(16,308,3,31,20,17,NULL,13,NULL),(16,308,3,31,21,4,27,4,9),(16,308,3,31,22,3,8,1,3),(16,308,3,31,23,1,3,1,2),(16,308,3,31,24,2,9,1,2),(16,308,3,31,25,1,2,NULL,1),(16,308,3,31,26,1,2,1,NULL),(16,308,3,31,27,NULL,6,NULL,2),(16,308,3,31,28,5,9,4,4),(16,308,3,31,29,5,11,3,6),(16,308,3,31,30,NULL,2,NULL,2),(16,308,3,32,1,2,11,1,7),(16,308,3,32,2,2,6,1,3),(16,308,3,32,3,NULL,14,NULL,7),(16,308,3,32,4,NULL,9,NULL,6),(16,308,3,32,5,2,17,NULL,9),(16,308,3,32,6,24,17,12,8),(16,308,3,32,7,1,7,NULL,2),(16,308,3,32,8,1,2,NULL,1),(16,308,3,32,9,1,5,1,3),(16,308,3,32,10,NULL,5,NULL,2),(16,308,3,32,11,11,14,6,10),(16,308,3,32,12,4,7,3,7),(16,308,3,32,13,10,9,3,5),(16,308,3,32,14,3,16,2,8),(16,308,3,32,15,9,17,7,12),(16,308,3,32,16,6,16,1,9),(16,308,3,32,17,8,21,4,17),(16,308,3,32,18,11,8,6,4),(16,308,3,32,19,6,10,2,8),(16,308,3,32,20,26,NULL,17,NULL),(16,308,3,32,21,1,34,NULL,13),(16,308,3,32,22,4,6,NULL,2),(16,308,3,32,23,1,12,1,5),(16,308,3,32,24,2,6,2,2),(16,308,3,32,25,NULL,1,NULL,NULL),(16,308,3,32,26,NULL,4,NULL,2),(16,308,3,32,27,NULL,5,NULL,1),(16,308,3,32,28,2,11,2,6),(16,308,3,32,29,3,8,2,4),(16,308,3,32,30,1,2,NULL,NULL),(16,308,3,33,1,2,9,1,7),(16,308,3,33,2,2,6,1,2),(16,308,3,33,3,2,3,NULL,3),(16,308,3,33,4,7,12,2,7),(16,308,3,33,5,6,16,5,5),(16,308,3,33,6,31,12,15,5),(16,308,3,33,7,NULL,5,NULL,4),(16,308,3,33,8,NULL,2,NULL,1),(16,308,3,33,9,1,3,1,1),(16,308,3,33,10,NULL,3,NULL,NULL),(16,308,3,33,11,8,7,4,5),(16,308,3,33,12,4,9,3,6),(16,308,3,33,13,8,7,5,2),(16,308,3,33,14,3,12,2,6),(16,308,3,33,15,4,5,4,4),(16,308,3,33,16,3,16,1,6),(16,308,3,33,17,15,16,9,9),(16,308,3,33,18,9,3,5,1),(16,308,3,33,19,4,9,2,6),(16,308,3,33,20,21,NULL,13,NULL),(16,308,3,33,21,6,28,2,12),(16,308,3,33,22,NULL,3,NULL,2),(16,308,3,33,23,NULL,7,NULL,2),(16,308,3,33,24,1,6,1,2),(16,308,3,33,25,1,4,1,3),(16,308,3,33,26,NULL,3,NULL,2),(16,308,3,33,27,2,3,1,1),(16,308,3,33,28,4,4,4,2),(16,308,3,33,29,2,14,NULL,9),(16,308,3,33,30,2,4,1,1),(16,308,3,34,1,5,2,NULL,2),(16,308,3,34,2,NULL,5,NULL,NULL),(16,308,3,34,3,1,7,NULL,3),(16,308,3,34,4,NULL,NULL,NULL,NULL),(16,308,3,34,5,3,8,1,1),(16,308,3,34,6,19,17,8,4),(16,308,3,34,7,NULL,1,NULL,NULL),(16,308,3,34,8,NULL,3,NULL,2),(16,308,3,34,9,1,1,1,NULL),(16,308,3,34,10,1,1,1,NULL),(16,308,3,34,11,3,15,1,4),(16,308,3,34,12,2,9,2,5),(16,308,3,34,13,5,12,3,4),(16,308,3,34,14,4,12,2,4),(16,308,3,34,15,3,7,2,2),(16,308,3,34,16,8,11,2,3),(16,308,3,34,17,6,11,2,5),(16,308,3,34,18,7,6,4,1),(16,308,3,34,19,5,6,3,2),(16,308,3,34,20,22,NULL,9,NULL),(16,308,3,34,21,1,27,NULL,8),(16,308,3,34,22,NULL,1,NULL,1),(16,308,3,34,23,3,11,NULL,4),(16,308,3,34,24,NULL,3,NULL,2),(16,308,3,34,25,1,4,1,3),(16,308,3,34,26,NULL,4,NULL,1),(16,308,3,34,27,1,6,NULL,1),(16,308,3,34,28,1,10,1,4),(16,308,3,34,29,1,9,NULL,3),(16,308,3,34,30,NULL,4,NULL,1),(16,309,1,11,1,NULL,NULL,NULL,NULL),(16,309,1,11,2,NULL,NULL,NULL,NULL),(16,309,1,11,3,NULL,NULL,NULL,NULL),(16,309,1,11,4,NULL,NULL,NULL,NULL),(16,309,1,11,5,NULL,NULL,NULL,NULL),(16,309,1,11,6,NULL,NULL,NULL,NULL),(16,309,1,11,7,NULL,NULL,NULL,NULL),(16,309,1,11,8,NULL,NULL,NULL,NULL),(16,309,1,11,9,NULL,NULL,NULL,NULL),(16,309,1,11,10,NULL,NULL,NULL,NULL),(16,309,1,11,11,NULL,NULL,NULL,NULL),(16,309,1,11,12,NULL,NULL,NULL,NULL),(16,309,1,11,13,NULL,NULL,NULL,NULL),(16,309,1,11,14,NULL,NULL,NULL,NULL),(16,309,1,11,15,NULL,NULL,NULL,NULL),(16,309,1,11,16,NULL,NULL,NULL,NULL),(16,309,1,11,17,NULL,NULL,NULL,NULL),(16,309,1,11,18,NULL,NULL,NULL,NULL),(16,309,1,11,19,NULL,NULL,NULL,NULL),(16,309,1,11,20,NULL,NULL,NULL,NULL),(16,309,1,12,1,NULL,NULL,NULL,NULL),(16,309,1,12,2,NULL,NULL,NULL,NULL),(16,309,1,12,3,NULL,NULL,NULL,NULL),(16,309,1,12,4,NULL,NULL,NULL,NULL),(16,309,1,12,5,NULL,NULL,NULL,NULL),(16,309,1,12,6,NULL,NULL,NULL,NULL),(16,309,1,12,7,NULL,NULL,NULL,NULL),(16,309,1,12,8,NULL,NULL,NULL,NULL),(16,309,1,12,9,NULL,NULL,NULL,NULL),(16,309,1,12,10,NULL,NULL,NULL,NULL),(16,309,1,12,11,NULL,NULL,NULL,NULL),(16,309,1,12,12,NULL,NULL,NULL,NULL),(16,309,1,12,13,NULL,NULL,NULL,NULL),(16,309,1,12,14,NULL,NULL,NULL,NULL),(16,309,1,12,15,NULL,NULL,NULL,NULL),(16,309,1,12,16,NULL,NULL,NULL,NULL),(16,309,1,12,17,NULL,NULL,NULL,NULL),(16,309,1,12,18,NULL,NULL,NULL,NULL),(16,309,1,12,19,NULL,NULL,NULL,NULL),(16,309,1,12,20,NULL,NULL,NULL,NULL),(16,309,1,13,1,NULL,NULL,NULL,NULL),(16,309,1,13,2,NULL,NULL,NULL,NULL),(16,309,1,13,3,NULL,NULL,NULL,NULL),(16,309,1,13,4,NULL,NULL,NULL,NULL),(16,309,1,13,5,NULL,NULL,NULL,NULL),(16,309,1,13,6,NULL,NULL,NULL,NULL),(16,309,1,13,7,NULL,NULL,NULL,NULL),(16,309,1,13,8,NULL,NULL,NULL,NULL),(16,309,1,13,9,NULL,NULL,NULL,NULL),(16,309,1,13,10,NULL,NULL,NULL,NULL),(16,309,1,13,11,NULL,NULL,NULL,NULL),(16,309,1,13,12,1,NULL,NULL,NULL),(16,309,1,13,13,1,NULL,NULL,NULL),(16,309,1,13,14,NULL,NULL,NULL,NULL),(16,309,1,13,15,NULL,NULL,NULL,NULL),(16,309,1,13,16,NULL,NULL,NULL,NULL),(16,309,1,13,17,1,NULL,NULL,NULL),(16,309,1,13,18,NULL,NULL,NULL,NULL),(16,309,1,13,19,NULL,NULL,NULL,NULL),(16,309,1,13,20,NULL,NULL,NULL,NULL),(16,309,1,14,1,4,7,NULL,3),(16,309,1,14,2,4,1,NULL,1),(16,309,1,14,3,5,4,4,1),(16,309,1,14,4,NULL,1,NULL,1),(16,309,1,14,5,6,4,3,2),(16,309,1,14,6,1,NULL,NULL,NULL),(16,309,1,14,7,1,3,1,2),(16,309,1,14,8,3,5,NULL,3),(16,309,1,14,9,NULL,NULL,NULL,NULL),(16,309,1,14,10,5,3,2,2),(16,309,1,14,11,5,4,3,1),(16,309,1,14,12,1,2,NULL,1),(16,309,1,14,13,5,7,3,3),(16,309,1,14,14,NULL,3,NULL,2),(16,309,1,14,15,NULL,2,NULL,NULL),(16,309,1,14,16,5,5,2,3),(16,309,1,14,17,4,3,1,2),(16,309,1,14,18,1,2,1,2),(16,309,1,14,19,4,1,3,NULL),(16,309,1,14,20,3,13,2,5),(16,309,1,15,1,7,7,1,2),(16,309,1,15,2,1,NULL,1,NULL),(16,309,1,15,3,2,3,1,1),(16,309,1,15,4,1,NULL,1,NULL),(16,309,1,15,5,3,8,1,3),(16,309,1,15,6,2,1,NULL,1),(16,309,1,15,7,3,NULL,2,NULL),(16,309,1,15,8,1,3,1,2),(16,309,1,15,9,2,2,1,1),(16,309,1,15,10,5,5,NULL,2),(16,309,1,15,11,2,4,1,2),(16,309,1,15,12,3,NULL,1,NULL),(16,309,1,15,13,4,4,2,1),(16,309,1,15,14,NULL,3,NULL,2),(16,309,1,15,15,NULL,3,NULL,2),(16,309,1,15,16,2,3,NULL,2),(16,309,1,15,17,1,4,1,2),(16,309,1,15,18,NULL,3,NULL,1),(16,309,1,15,19,1,5,NULL,3),(16,309,1,15,20,4,7,2,1),(16,309,1,16,1,12,24,7,13),(16,309,1,16,2,3,10,3,7),(16,309,1,16,3,8,14,5,10),(16,309,1,16,4,2,5,2,4),(16,309,1,16,5,17,19,10,9),(16,309,1,16,6,2,10,NULL,6),(16,309,1,16,7,6,16,3,7),(16,309,1,16,8,7,24,4,16),(16,309,1,16,9,NULL,10,NULL,4),(16,309,1,16,10,14,16,7,10),(16,309,1,16,11,21,55,6,29),(16,309,1,16,12,6,12,2,7),(16,309,1,16,13,23,30,11,17),(16,309,1,16,14,9,36,3,14),(16,309,1,16,15,19,42,12,17),(16,309,1,16,16,2,22,NULL,11),(16,309,1,16,17,14,35,9,18),(16,309,1,16,18,16,22,12,13),(16,309,1,16,19,20,30,10,12),(16,309,1,16,20,1,19,NULL,10),(16,309,1,17,1,18,18,14,8),(16,309,1,17,2,4,1,2,NULL),(16,309,1,17,3,11,19,7,10),(16,309,1,17,4,1,12,1,10),(16,309,1,17,5,8,18,6,11),(16,309,1,17,6,4,9,3,5),(16,309,1,17,7,5,4,3,2),(16,309,1,17,8,8,13,3,8),(16,309,1,17,9,3,5,2,2),(16,309,1,17,10,21,12,13,7),(16,309,1,17,11,21,49,7,20),(16,309,1,17,12,2,15,2,5),(16,309,1,17,13,17,22,6,10),(16,309,1,17,14,8,26,1,10),(16,309,1,17,15,20,39,9,18),(16,309,1,17,16,4,12,1,5),(16,309,1,17,17,10,28,4,14),(16,309,1,17,18,12,18,7,10),(16,309,1,17,19,10,30,6,7),(16,309,1,17,20,3,28,1,14),(16,309,2,21,1,NULL,3,NULL,3),(16,309,2,21,2,NULL,18,NULL,8),(16,309,2,21,3,1,7,1,4),(16,309,2,21,4,14,6,9,3),(16,309,2,21,5,6,19,2,9),(16,309,2,21,6,1,5,NULL,2),(16,309,2,21,7,6,12,2,5),(16,309,2,21,8,4,7,1,3),(16,309,2,21,9,1,5,1,1),(16,309,2,21,10,NULL,4,NULL,1),(16,309,2,21,11,3,7,2,2),(16,309,2,21,12,7,7,4,2),(16,309,2,21,13,4,13,1,8),(16,309,2,21,14,11,18,8,10),(16,309,2,21,15,12,5,9,1),(16,309,2,21,16,4,5,2,3),(16,309,2,21,17,4,7,3,2),(16,309,2,21,18,4,7,2,4),(16,309,2,21,19,5,10,2,5),(16,309,2,21,20,11,13,4,8),(16,309,2,21,21,2,15,NULL,8),(16,309,2,21,22,8,11,1,6),(16,309,2,21,23,3,6,3,3),(16,309,2,21,24,7,12,1,6),(16,309,2,21,25,1,NULL,NULL,NULL),(16,309,2,21,26,63,NULL,22,NULL),(16,309,2,21,27,2,12,1,6),(16,309,2,21,28,NULL,13,NULL,4),(16,309,2,21,29,3,15,1,8),(16,309,2,21,30,2,10,NULL,5),(16,309,2,22,1,1,1,NULL,1),(16,309,2,22,2,1,16,1,9),(16,309,2,22,3,9,5,6,2),(16,309,2,22,4,7,12,4,4),(16,309,2,22,5,9,18,4,8),(16,309,2,22,6,2,3,1,2),(16,309,2,22,7,6,11,3,6),(16,309,2,22,8,6,3,1,1),(16,309,2,22,9,NULL,4,NULL,2),(16,309,2,22,10,1,7,1,4),(16,309,2,22,11,2,5,2,4),(16,309,2,22,12,11,7,5,3),(16,309,2,22,13,2,10,1,6),(16,309,2,22,14,13,21,7,10),(16,309,2,22,15,13,7,6,5),(16,309,2,22,16,3,8,3,6),(16,309,2,22,17,8,5,5,1),(16,309,2,22,18,1,4,1,2),(16,309,2,22,19,6,13,3,8),(16,309,2,22,20,3,4,3,2),(16,309,2,22,21,1,12,1,5),(16,309,2,22,22,6,4,1,3),(16,309,2,22,23,3,3,2,3),(16,309,2,22,24,5,14,2,7),(16,309,2,22,25,NULL,NULL,NULL,NULL),(16,309,2,22,26,65,NULL,23,NULL),(16,309,2,22,27,3,8,2,5),(16,309,2,22,28,4,3,2,1),(16,309,2,22,29,7,12,3,10),(16,309,2,22,30,1,4,NULL,2),(16,309,2,23,1,NULL,3,NULL,2),(16,309,2,23,2,NULL,14,NULL,5),(16,309,2,23,3,2,7,1,2),(16,309,2,23,4,13,9,3,4),(16,309,2,23,5,4,18,1,8),(16,309,2,23,6,1,7,1,3),(16,309,2,23,7,1,4,NULL,1),(16,309,2,23,8,4,6,2,2),(16,309,2,23,9,NULL,3,NULL,1),(16,309,2,23,10,1,2,1,1),(16,309,2,23,11,1,5,NULL,3),(16,309,2,23,12,16,11,5,6),(16,309,2,23,13,2,13,NULL,7),(16,309,2,23,14,8,14,2,7),(16,309,2,23,15,14,4,5,2),(16,309,2,23,16,4,10,1,5),(16,309,2,23,17,1,6,NULL,3),(16,309,2,23,18,2,4,NULL,3),(16,309,2,23,19,4,13,2,6),(16,309,2,23,20,1,13,NULL,7),(16,309,2,23,21,8,13,3,5),(16,309,2,23,22,2,5,NULL,2),(16,309,2,23,23,2,5,NULL,2),(16,309,2,23,24,7,11,2,5),(16,309,2,23,25,1,NULL,NULL,NULL),(16,309,2,23,26,59,NULL,17,NULL),(16,309,2,23,27,3,13,NULL,4),(16,309,2,23,28,NULL,12,NULL,5),(16,309,2,23,29,1,19,NULL,5),(16,309,2,23,30,1,3,NULL,2),(16,309,2,24,1,NULL,5,NULL,3),(16,309,2,24,2,1,10,1,3),(16,309,2,24,3,4,11,3,5),(16,309,2,24,4,5,13,NULL,4),(16,309,2,24,5,8,15,4,6),(16,309,2,24,6,NULL,6,NULL,3),(16,309,2,24,7,5,7,2,4),(16,309,2,24,8,6,11,3,5),(16,309,2,24,9,1,5,1,2),(16,309,2,24,10,NULL,7,NULL,4),(16,309,2,24,11,NULL,10,NULL,8),(16,309,2,24,12,5,14,NULL,7),(16,309,2,24,13,6,11,3,6),(16,309,2,24,14,10,14,7,7),(16,309,2,24,15,11,3,7,1),(16,309,2,24,16,5,11,3,7),(16,309,2,24,17,2,2,NULL,1),(16,309,2,24,18,3,4,2,1),(16,309,2,24,19,9,14,5,6),(16,309,2,24,20,6,7,1,6),(16,309,2,24,21,4,9,2,4),(16,309,2,24,22,3,7,1,4),(16,309,2,24,23,NULL,4,NULL,3),(16,309,2,24,24,6,9,3,4),(16,309,2,24,25,NULL,NULL,NULL,NULL),(16,309,2,24,26,59,NULL,18,NULL),(16,309,2,24,27,NULL,12,NULL,6),(16,309,2,24,28,5,5,1,2),(16,309,2,24,29,8,10,1,6),(16,309,2,24,30,NULL,5,NULL,3),(16,309,3,31,1,1,6,1,3),(16,309,3,31,2,2,3,NULL,2),(16,309,3,31,3,1,5,1,4),(16,309,3,31,4,2,8,1,4),(16,309,3,31,5,1,10,NULL,4),(16,309,3,31,6,19,18,6,6),(16,309,3,31,7,2,2,1,1),(16,309,3,31,8,NULL,5,NULL,1),(16,309,3,31,9,NULL,3,NULL,1),(16,309,3,31,10,2,4,1,NULL),(16,309,3,31,11,7,14,4,8),(16,309,3,31,12,4,5,3,3),(16,309,3,31,13,2,4,NULL,1),(16,309,3,31,14,3,13,1,7),(16,309,3,31,15,4,11,4,5),(16,309,3,31,16,4,10,1,4),(16,309,3,31,17,10,15,7,9),(16,309,3,31,18,4,10,2,3),(16,309,3,31,19,7,4,2,2),(16,309,3,31,20,19,NULL,10,NULL),(16,309,3,31,21,7,15,3,8),(16,309,3,31,22,1,6,1,2),(16,309,3,31,23,NULL,1,NULL,NULL),(16,309,3,31,24,1,1,NULL,1),(16,309,3,31,25,1,4,1,NULL),(16,309,3,31,26,NULL,1,NULL,NULL),(16,309,3,31,27,1,4,1,2),(16,309,3,31,28,3,7,3,NULL),(16,309,3,31,29,1,8,NULL,4),(16,309,3,31,30,1,5,NULL,4),(16,309,3,32,1,2,5,NULL,2),(16,309,3,32,2,NULL,4,NULL,2),(16,309,3,32,3,NULL,7,NULL,4),(16,309,3,32,4,1,6,1,1),(16,309,3,32,5,6,14,2,5),(16,309,3,32,6,17,13,4,4),(16,309,3,32,7,NULL,1,NULL,1),(16,309,3,32,8,1,2,NULL,NULL),(16,309,3,32,9,1,5,1,1),(16,309,3,32,10,NULL,5,NULL,1),(16,309,3,32,11,7,15,3,7),(16,309,3,32,12,3,8,1,5),(16,309,3,32,13,3,5,1,2),(16,309,3,32,14,5,9,3,2),(16,309,3,32,15,4,9,2,6),(16,309,3,32,16,3,15,2,3),(16,309,3,32,17,15,14,8,5),(16,309,3,32,18,4,7,2,6),(16,309,3,32,19,3,5,1,2),(16,309,3,32,20,15,NULL,8,NULL),(16,309,3,32,21,3,19,2,6),(16,309,3,32,22,1,2,NULL,1),(16,309,3,32,23,NULL,4,NULL,1),(16,309,3,32,24,NULL,3,NULL,2),(16,309,3,32,25,2,1,NULL,NULL),(16,309,3,32,26,NULL,3,NULL,NULL),(16,309,3,32,27,1,2,NULL,NULL),(16,309,3,32,28,2,4,NULL,1),(16,309,3,32,29,2,10,NULL,4),(16,309,3,32,30,NULL,2,NULL,1),(16,309,3,33,1,2,7,2,3),(16,309,3,33,2,2,6,2,2),(16,309,3,33,3,1,9,NULL,3),(16,309,3,33,4,2,3,NULL,1),(16,309,3,33,5,5,11,3,3),(16,309,3,33,6,29,10,13,4),(16,309,3,33,7,1,3,1,2),(16,309,3,33,8,1,3,1,NULL),(16,309,3,33,9,NULL,2,NULL,2),(16,309,3,33,10,1,9,NULL,2),(16,309,3,33,11,7,10,3,7),(16,309,3,33,12,8,11,2,4),(16,309,3,33,13,8,6,4,2),(16,309,3,33,14,4,13,2,5),(16,309,3,33,15,8,9,3,5),(16,309,3,33,16,5,19,2,8),(16,309,3,33,17,16,13,7,6),(16,309,3,33,18,9,7,4,2),(16,309,3,33,19,6,11,2,4),(16,309,3,33,20,20,NULL,10,NULL),(16,309,3,33,21,9,35,6,13),(16,309,3,33,22,NULL,11,NULL,4),(16,309,3,33,23,2,3,1,1),(16,309,3,33,24,1,1,1,NULL),(16,309,3,33,25,NULL,5,NULL,1),(16,309,3,33,26,1,2,NULL,NULL),(16,309,3,33,27,NULL,5,NULL,3),(16,309,3,33,28,6,8,4,3),(16,309,3,33,29,3,8,3,4),(16,309,3,33,30,1,3,1,2),(16,309,3,34,1,2,7,1,3),(16,309,3,34,2,1,8,1,3),(16,309,3,34,3,1,4,1,2),(16,309,3,34,4,1,4,1,2),(16,309,3,34,5,3,19,NULL,8),(16,309,3,34,6,21,17,12,5),(16,309,3,34,7,NULL,5,NULL,3),(16,309,3,34,8,NULL,1,NULL,NULL),(16,309,3,34,9,NULL,3,NULL,2),(16,309,3,34,10,2,4,NULL,3),(16,309,3,34,11,5,9,3,5),(16,309,3,34,12,3,11,1,7),(16,309,3,34,13,2,7,2,3),(16,309,3,34,14,6,17,3,8),(16,309,3,34,15,2,14,1,8),(16,309,3,34,16,5,16,1,9),(16,309,3,34,17,12,11,8,5),(16,309,3,34,18,3,7,3,4),(16,309,3,34,19,7,12,3,5),(16,309,3,34,20,20,NULL,14,NULL),(16,309,3,34,21,5,20,2,10),(16,309,3,34,22,1,1,NULL,NULL),(16,309,3,34,23,NULL,5,NULL,2),(16,309,3,34,24,1,3,1,1),(16,309,3,34,25,2,4,NULL,NULL),(16,309,3,34,26,NULL,1,NULL,1),(16,309,3,34,27,1,8,NULL,2),(16,309,3,34,28,NULL,9,NULL,2),(16,309,3,34,29,1,7,1,6),(16,309,3,34,30,NULL,2,NULL,1),(16,310,1,11,1,1,NULL,1,NULL),(16,310,1,11,2,1,NULL,1,NULL),(16,310,1,11,3,NULL,1,NULL,1),(16,310,1,11,4,NULL,NULL,NULL,NULL),(16,310,1,11,5,NULL,NULL,NULL,NULL),(16,310,1,11,6,1,NULL,1,NULL),(16,310,1,11,7,NULL,1,NULL,1),(16,310,1,11,8,1,NULL,1,NULL),(16,310,1,11,9,NULL,1,NULL,1),(16,310,1,11,10,NULL,1,NULL,1),(16,310,1,11,11,NULL,NULL,NULL,NULL),(16,310,1,11,12,NULL,1,NULL,1),(16,310,1,11,13,NULL,NULL,NULL,NULL),(16,310,1,11,14,NULL,NULL,NULL,NULL),(16,310,1,11,15,NULL,1,NULL,1),(16,310,1,11,16,1,NULL,1,NULL),(16,310,1,11,17,NULL,NULL,NULL,NULL),(16,310,1,11,18,NULL,NULL,NULL,NULL),(16,310,1,11,19,NULL,NULL,NULL,NULL),(16,310,1,11,20,NULL,NULL,NULL,NULL),(16,310,1,12,1,3,NULL,2,NULL),(16,310,1,12,2,2,NULL,2,NULL),(16,310,1,12,3,1,NULL,NULL,NULL),(16,310,1,12,4,NULL,2,NULL,2),(16,310,1,12,5,NULL,1,NULL,1),(16,310,1,12,6,NULL,1,NULL,1),(16,310,1,12,7,NULL,1,NULL,1),(16,310,1,12,8,1,NULL,1,NULL),(16,310,1,12,9,NULL,2,NULL,2),(16,310,1,12,10,1,NULL,1,NULL),(16,310,1,12,11,2,NULL,2,NULL),(16,310,1,12,12,1,NULL,1,NULL),(16,310,1,12,13,1,NULL,1,NULL),(16,310,1,12,14,2,NULL,2,NULL),(16,310,1,12,15,1,NULL,1,NULL),(16,310,1,12,16,1,NULL,1,NULL),(16,310,1,12,17,1,NULL,1,NULL),(16,310,1,12,18,3,NULL,2,NULL),(16,310,1,12,19,1,2,1,1),(16,310,1,12,20,2,NULL,2,NULL),(16,310,1,13,1,NULL,NULL,NULL,NULL),(16,310,1,13,2,NULL,NULL,NULL,NULL),(16,310,1,13,3,NULL,NULL,NULL,NULL),(16,310,1,13,4,NULL,NULL,NULL,NULL),(16,310,1,13,5,NULL,NULL,NULL,NULL),(16,310,1,13,6,NULL,NULL,NULL,NULL),(16,310,1,13,7,NULL,NULL,NULL,NULL),(16,310,1,13,8,NULL,NULL,NULL,NULL),(16,310,1,13,9,NULL,NULL,NULL,NULL),(16,310,1,13,10,NULL,NULL,NULL,NULL),(16,310,1,13,11,NULL,NULL,NULL,NULL),(16,310,1,13,12,NULL,NULL,NULL,NULL),(16,310,1,13,13,NULL,NULL,NULL,NULL),(16,310,1,13,14,NULL,NULL,NULL,NULL),(16,310,1,13,15,NULL,NULL,NULL,NULL),(16,310,1,13,16,NULL,NULL,NULL,NULL),(16,310,1,13,17,NULL,NULL,NULL,NULL),(16,310,1,13,18,NULL,NULL,NULL,NULL),(16,310,1,13,19,NULL,NULL,NULL,NULL),(16,310,1,13,20,NULL,NULL,NULL,NULL),(16,310,1,14,1,16,6,8,NULL),(16,310,1,14,2,5,NULL,4,NULL),(16,310,1,14,3,5,11,1,7),(16,310,1,14,4,1,8,NULL,8),(16,310,1,14,5,12,10,9,3),(16,310,1,14,6,4,9,4,5),(16,310,1,14,7,4,6,2,NULL),(16,310,1,14,8,9,6,6,3),(16,310,1,14,9,5,8,3,4),(16,310,1,14,10,13,8,8,2),(16,310,1,14,11,11,8,7,NULL),(16,310,1,14,12,6,6,6,4),(16,310,1,14,13,16,10,10,4),(16,310,1,14,14,4,7,3,5),(16,310,1,14,15,2,8,1,4),(16,310,1,14,16,19,4,10,1),(16,310,1,14,17,12,11,8,7),(16,310,1,14,18,4,5,4,3),(16,310,1,14,19,11,8,10,NULL),(16,310,1,14,20,9,16,3,9),(16,310,1,15,1,10,5,5,1),(16,310,1,15,2,1,2,1,1),(16,310,1,15,3,5,8,1,4),(16,310,1,15,4,1,3,NULL,2),(16,310,1,15,5,6,7,3,2),(16,310,1,15,6,2,5,1,3),(16,310,1,15,7,2,1,1,NULL),(16,310,1,15,8,3,3,1,NULL),(16,310,1,15,9,3,5,3,2),(16,310,1,15,10,11,4,5,1),(16,310,1,15,11,7,3,4,1),(16,310,1,15,12,8,1,4,1),(16,310,1,15,13,10,6,3,2),(16,310,1,15,14,4,5,3,NULL),(16,310,1,15,15,1,3,1,2),(16,310,1,15,16,10,4,6,1),(16,310,1,15,17,8,9,4,4),(16,310,1,15,18,4,3,3,1),(16,310,1,15,19,9,3,4,1),(16,310,1,15,20,8,11,3,3),(16,310,1,16,1,6,10,2,3),(16,310,1,16,2,NULL,1,NULL,1),(16,310,1,16,3,3,6,2,NULL),(16,310,1,16,4,2,4,NULL,NULL),(16,310,1,16,5,5,8,1,2),(16,310,1,16,6,1,1,NULL,NULL),(16,310,1,16,7,2,2,NULL,1),(16,310,1,16,8,5,5,1,1),(16,310,1,16,9,NULL,4,NULL,2),(16,310,1,16,10,6,8,2,NULL),(16,310,1,16,11,7,17,1,4),(16,310,1,16,12,3,4,1,NULL),(16,310,1,16,13,10,9,2,2),(16,310,1,16,14,3,9,NULL,3),(16,310,1,16,15,5,13,2,2),(16,310,1,16,16,3,10,NULL,3),(16,310,1,16,17,3,10,NULL,2),(16,310,1,16,18,3,5,1,NULL),(16,310,1,16,19,6,9,1,2),(16,310,1,16,20,NULL,6,NULL,NULL),(16,310,1,17,1,10,5,3,2),(16,310,1,17,2,NULL,2,NULL,1),(16,310,1,17,3,3,7,3,2),(16,310,1,17,4,1,7,1,3),(16,310,1,17,5,8,4,4,1),(16,310,1,17,6,4,NULL,1,NULL),(16,310,1,17,7,2,2,1,1),(16,310,1,17,8,3,9,1,2),(16,310,1,17,9,NULL,4,NULL,2),(16,310,1,17,10,9,6,5,1),(16,310,1,17,11,8,17,5,4),(16,310,1,17,12,1,5,1,3),(16,310,1,17,13,7,7,2,3),(16,310,1,17,14,2,15,NULL,6),(16,310,1,17,15,8,11,4,4),(16,310,1,17,16,1,11,NULL,4),(16,310,1,17,17,5,11,2,3),(16,310,1,17,18,7,7,3,2),(16,310,1,17,19,8,14,3,6),(16,310,1,17,20,2,9,1,4),(16,310,2,21,1,1,2,1,2),(16,310,2,21,2,2,11,2,3),(16,310,2,21,3,6,7,4,3),(16,310,2,21,4,5,4,4,2),(16,310,2,21,5,6,13,3,6),(16,310,2,21,6,1,2,1,1),(16,310,2,21,7,3,1,1,NULL),(16,310,2,21,8,2,4,1,1),(16,310,2,21,9,1,5,NULL,2),(16,310,2,21,10,1,8,1,6),(16,310,2,21,11,2,5,2,5),(16,310,2,21,12,2,5,NULL,3),(16,310,2,21,13,3,10,2,5),(16,310,2,21,14,11,9,6,4),(16,310,2,21,15,12,NULL,9,NULL),(16,310,2,21,16,6,7,6,5),(16,310,2,21,17,4,8,3,4),(16,310,2,21,18,2,3,2,2),(16,310,2,21,19,5,12,4,6),(16,310,2,21,20,8,4,6,3),(16,310,2,21,21,3,3,1,NULL),(16,310,2,21,22,4,4,3,4),(16,310,2,21,23,2,2,2,1),(16,310,2,21,24,5,5,NULL,3),(16,310,2,21,25,3,NULL,3,NULL),(16,310,2,21,26,33,NULL,12,NULL),(16,310,2,21,27,3,5,3,3),(16,310,2,21,28,1,4,NULL,2),(16,310,2,21,29,1,6,1,4),(16,310,2,21,30,2,2,1,2),(16,310,2,22,1,NULL,1,NULL,NULL),(16,310,2,22,2,NULL,9,NULL,5),(16,310,2,22,3,3,8,2,2),(16,310,2,22,4,6,8,3,2),(16,310,2,22,5,5,6,4,NULL),(16,310,2,22,6,2,4,2,3),(16,310,2,22,7,1,2,NULL,1),(16,310,2,22,8,NULL,5,NULL,1),(16,310,2,22,9,NULL,2,NULL,2),(16,310,2,22,10,1,3,1,2),(16,310,2,22,11,1,4,1,3),(16,310,2,22,12,9,6,6,1),(16,310,2,22,13,2,9,1,5),(16,310,2,22,14,9,12,5,4),(16,310,2,22,15,11,4,2,2),(16,310,2,22,16,3,9,3,4),(16,310,2,22,17,2,9,2,5),(16,310,2,22,18,NULL,4,NULL,2),(16,310,2,22,19,2,10,1,6),(16,310,2,22,20,3,11,3,4),(16,310,2,22,21,1,8,NULL,3),(16,310,2,22,22,4,4,3,1),(16,310,2,22,23,1,7,1,2),(16,310,2,22,24,3,9,1,4),(16,310,2,22,25,NULL,NULL,NULL,NULL),(16,310,2,22,26,33,NULL,11,NULL),(16,310,2,22,27,3,9,1,4),(16,310,2,22,28,NULL,5,NULL,2),(16,310,2,22,29,NULL,10,NULL,4),(16,310,2,22,30,1,6,1,1),(16,310,2,23,1,1,1,1,1),(16,310,2,23,2,3,12,1,4),(16,310,2,23,3,5,8,4,2),(16,310,2,23,4,9,6,4,2),(16,310,2,23,5,2,11,1,6),(16,310,2,23,6,3,10,1,5),(16,310,2,23,7,1,4,1,1),(16,310,2,23,8,3,5,1,2),(16,310,2,23,9,1,2,1,1),(16,310,2,23,10,3,5,3,4),(16,310,2,23,11,3,2,2,NULL),(16,310,2,23,12,8,6,3,2),(16,310,2,23,13,5,10,1,7),(16,310,2,23,14,12,15,5,6),(16,310,2,23,15,13,2,7,NULL),(16,310,2,23,16,6,3,3,3),(16,310,2,23,17,4,9,2,7),(16,310,2,23,18,2,2,1,1),(16,310,2,23,19,10,15,4,6),(16,310,2,23,20,9,5,2,3),(16,310,2,23,21,NULL,4,NULL,2),(16,310,2,23,22,5,2,1,NULL),(16,310,2,23,23,3,3,2,1),(16,310,2,23,24,5,7,3,3),(16,310,2,23,25,NULL,NULL,NULL,NULL),(16,310,2,23,26,38,NULL,12,NULL),(16,310,2,23,27,1,9,NULL,3),(16,310,2,23,28,2,1,NULL,1),(16,310,2,23,29,5,10,2,4),(16,310,2,23,30,1,5,1,4),(16,310,2,24,1,NULL,4,NULL,2),(16,310,2,24,2,3,9,3,3),(16,310,2,24,3,5,7,2,2),(16,310,2,24,4,5,10,3,3),(16,310,2,24,5,4,7,3,1),(16,310,2,24,6,5,3,3,2),(16,310,2,24,7,2,5,2,1),(16,310,2,24,8,1,8,NULL,1),(16,310,2,24,9,1,5,1,3),(16,310,2,24,10,1,4,1,3),(16,310,2,24,11,3,6,NULL,3),(16,310,2,24,12,8,5,NULL,2),(16,310,2,24,13,1,9,1,2),(16,310,2,24,14,10,9,4,2),(16,310,2,24,15,9,4,2,NULL),(16,310,2,24,16,4,8,1,1),(16,310,2,24,17,7,9,5,2),(16,310,2,24,18,1,4,1,2),(16,310,2,24,19,8,8,4,2),(16,310,2,24,20,7,8,4,1),(16,310,2,24,21,4,4,NULL,1),(16,310,2,24,22,NULL,3,NULL,2),(16,310,2,24,23,4,1,3,1),(16,310,2,24,24,5,3,1,NULL),(16,310,2,24,25,1,NULL,1,NULL),(16,310,2,24,26,29,NULL,7,NULL),(16,310,2,24,27,NULL,7,NULL,2),(16,310,2,24,28,NULL,1,NULL,NULL),(16,310,2,24,29,4,10,2,3),(16,310,2,24,30,3,5,NULL,2),(16,310,3,31,1,NULL,3,NULL,2),(16,310,3,31,2,NULL,NULL,NULL,NULL),(16,310,3,31,3,NULL,5,NULL,2),(16,310,3,31,4,NULL,4,NULL,2),(16,310,3,31,5,5,7,2,4),(16,310,3,31,6,15,5,6,1),(16,310,3,31,7,1,2,1,2),(16,310,3,31,8,NULL,NULL,NULL,NULL),(16,310,3,31,9,NULL,NULL,NULL,NULL),(16,310,3,31,10,1,5,NULL,1),(16,310,3,31,11,2,1,2,NULL),(16,310,3,31,12,8,8,4,3),(16,310,3,31,13,8,9,2,5),(16,310,3,31,14,4,16,2,3),(16,310,3,31,15,10,5,4,3),(16,310,3,31,16,5,6,2,3),(16,310,3,31,17,15,5,7,NULL),(16,310,3,31,18,4,NULL,2,NULL),(16,310,3,31,19,3,3,NULL,3),(16,310,3,31,20,14,NULL,6,NULL),(16,310,3,31,21,2,16,1,3),(16,310,3,31,22,NULL,2,NULL,1),(16,310,3,31,23,1,5,1,3),(16,310,3,31,24,1,1,1,NULL),(16,310,3,31,25,NULL,1,NULL,1),(16,310,3,31,26,NULL,NULL,NULL,NULL),(16,310,3,31,27,NULL,2,NULL,1),(16,310,3,31,28,2,4,2,1),(16,310,3,31,29,2,10,1,4),(16,310,3,31,30,NULL,4,NULL,1),(16,310,3,32,1,NULL,4,NULL,2),(16,310,3,32,2,NULL,4,NULL,2),(16,310,3,32,3,NULL,4,NULL,3),(16,310,3,32,4,NULL,3,NULL,1),(16,310,3,32,5,5,8,1,3),(16,310,3,32,6,15,9,5,3),(16,310,3,32,7,NULL,5,NULL,3),(16,310,3,32,8,1,3,NULL,1),(16,310,3,32,9,1,4,NULL,NULL),(16,310,3,32,10,NULL,3,NULL,NULL),(16,310,3,32,11,6,4,2,3),(16,310,3,32,12,6,8,4,4),(16,310,3,32,13,11,3,3,2),(16,310,3,32,14,7,8,3,3),(16,310,3,32,15,14,7,6,3),(16,310,3,32,16,9,12,3,6),(16,310,3,32,17,18,10,7,3),(16,310,3,32,18,8,4,4,2),(16,310,3,32,19,2,8,NULL,3),(16,310,3,32,20,22,NULL,11,NULL),(16,310,3,32,21,3,22,3,5),(16,310,3,32,22,2,3,1,1),(16,310,3,32,23,1,6,NULL,2),(16,310,3,32,24,1,3,NULL,2),(16,310,3,32,25,1,2,1,1),(16,310,3,32,26,1,3,NULL,1),(16,310,3,32,27,1,2,NULL,NULL),(16,310,3,32,28,1,8,NULL,4),(16,310,3,32,29,3,4,2,NULL),(16,310,3,32,30,1,3,NULL,NULL),(16,310,3,33,1,1,3,1,2),(16,310,3,33,2,3,3,NULL,1),(16,310,3,33,3,1,5,1,2),(16,310,3,33,4,2,2,1,1),(16,310,3,33,5,3,7,NULL,3),(16,310,3,33,6,9,11,6,2),(16,310,3,33,7,1,2,1,NULL),(16,310,3,33,8,1,1,1,1),(16,310,3,33,9,NULL,NULL,NULL,NULL),(16,310,3,33,10,1,2,1,NULL),(16,310,3,33,11,7,4,3,NULL),(16,310,3,33,12,5,8,2,4),(16,310,3,33,13,5,4,2,3),(16,310,3,33,14,4,11,3,4),(16,310,3,33,15,6,7,5,4),(16,310,3,33,16,4,10,1,3),(16,310,3,33,17,12,6,6,4),(16,310,3,33,18,2,3,NULL,1),(16,310,3,33,19,6,6,2,2),(16,310,3,33,20,10,NULL,6,NULL),(16,310,3,33,21,4,13,4,4),(16,310,3,33,22,1,2,1,1),(16,310,3,33,23,1,2,NULL,1),(16,310,3,33,24,1,2,1,NULL),(16,310,3,33,25,1,3,NULL,1),(16,310,3,33,26,NULL,3,NULL,2),(16,310,3,33,27,1,1,1,NULL),(16,310,3,33,28,NULL,5,NULL,1),(16,310,3,33,29,NULL,3,NULL,2),(16,310,3,33,30,NULL,NULL,NULL,NULL),(16,310,3,34,1,NULL,4,NULL,2),(16,310,3,34,2,1,4,1,1),(16,310,3,34,3,NULL,4,NULL,2),(16,310,3,34,4,NULL,5,NULL,2),(16,310,3,34,5,5,9,2,4),(16,310,3,34,6,15,10,9,3),(16,310,3,34,7,NULL,1,NULL,NULL),(16,310,3,34,8,1,3,NULL,1),(16,310,3,34,9,1,3,1,3),(16,310,3,34,10,NULL,4,NULL,NULL),(16,310,3,34,11,5,8,2,4),(16,310,3,34,12,4,11,3,5),(16,310,3,34,13,8,4,4,2),(16,310,3,34,14,6,7,4,3),(16,310,3,34,15,7,7,6,2),(16,310,3,34,16,4,16,4,6),(16,310,3,34,17,13,7,6,5),(16,310,3,34,18,7,3,4,1),(16,310,3,34,19,1,9,NULL,5),(16,310,3,34,20,14,NULL,8,NULL),(16,310,3,34,21,2,18,2,5),(16,310,3,34,22,NULL,4,NULL,2),(16,310,3,34,23,NULL,6,NULL,4),(16,310,3,34,24,2,NULL,2,NULL),(16,310,3,34,25,1,3,1,3),(16,310,3,34,26,1,3,1,NULL),(16,310,3,34,27,2,1,NULL,1),(16,310,3,34,28,1,7,1,5),(16,310,3,34,29,1,9,1,3),(16,310,3,34,30,NULL,3,NULL,1),(16,316,1,11,1,2,NULL,NULL,NULL),(16,316,1,11,2,NULL,NULL,NULL,NULL),(16,316,1,11,3,1,NULL,NULL,NULL),(16,316,1,11,4,NULL,NULL,NULL,NULL),(16,316,1,11,5,NULL,NULL,NULL,NULL),(16,316,1,11,6,NULL,NULL,NULL,NULL),(16,316,1,11,7,NULL,NULL,NULL,NULL),(16,316,1,11,8,NULL,NULL,NULL,NULL),(16,316,1,11,9,1,NULL,NULL,NULL),(16,316,1,11,10,NULL,NULL,NULL,NULL),(16,316,1,11,11,NULL,NULL,NULL,NULL),(16,316,1,11,12,1,NULL,NULL,NULL),(16,316,1,11,13,NULL,NULL,NULL,NULL),(16,316,1,11,14,1,NULL,NULL,NULL),(16,316,1,11,15,1,NULL,NULL,NULL),(16,316,1,11,16,1,NULL,NULL,NULL),(16,316,1,11,17,1,NULL,NULL,NULL),(16,316,1,11,18,1,1,NULL,NULL),(16,316,1,11,19,1,NULL,NULL,NULL),(16,316,1,11,20,NULL,NULL,NULL,NULL),(16,316,1,12,1,NULL,NULL,NULL,NULL),(16,316,1,12,2,NULL,NULL,NULL,NULL),(16,316,1,12,3,NULL,NULL,NULL,NULL),(16,316,1,12,4,NULL,NULL,NULL,NULL),(16,316,1,12,5,NULL,NULL,NULL,NULL),(16,316,1,12,6,NULL,NULL,NULL,NULL),(16,316,1,12,7,NULL,NULL,NULL,NULL),(16,316,1,12,8,NULL,NULL,NULL,NULL),(16,316,1,12,9,NULL,NULL,NULL,NULL),(16,316,1,12,10,NULL,NULL,NULL,NULL),(16,316,1,12,11,NULL,NULL,NULL,NULL),(16,316,1,12,12,NULL,NULL,NULL,NULL),(16,316,1,12,13,NULL,NULL,NULL,NULL),(16,316,1,12,14,NULL,NULL,NULL,NULL),(16,316,1,12,15,NULL,NULL,NULL,NULL),(16,316,1,12,16,NULL,NULL,NULL,NULL),(16,316,1,12,17,NULL,NULL,NULL,NULL),(16,316,1,12,18,NULL,NULL,NULL,NULL),(16,316,1,12,19,NULL,NULL,NULL,NULL),(16,316,1,12,20,NULL,NULL,NULL,NULL),(16,316,1,13,1,NULL,NULL,NULL,NULL),(16,316,1,13,2,NULL,NULL,NULL,NULL),(16,316,1,13,3,NULL,1,NULL,1),(16,316,1,13,4,NULL,NULL,NULL,NULL),(16,316,1,13,5,1,NULL,1,NULL),(16,316,1,13,6,NULL,NULL,NULL,NULL),(16,316,1,13,7,1,NULL,1,NULL),(16,316,1,13,8,NULL,NULL,NULL,NULL),(16,316,1,13,9,NULL,NULL,NULL,NULL),(16,316,1,13,10,1,NULL,1,NULL),(16,316,1,13,11,1,1,1,NULL),(16,316,1,13,12,1,1,1,NULL),(16,316,1,13,13,1,NULL,1,NULL),(16,316,1,13,14,1,1,1,NULL),(16,316,1,13,15,NULL,NULL,NULL,NULL),(16,316,1,13,16,NULL,1,NULL,NULL),(16,316,1,13,17,NULL,NULL,NULL,NULL),(16,316,1,13,18,1,NULL,1,NULL),(16,316,1,13,19,NULL,1,NULL,NULL),(16,316,1,13,20,NULL,NULL,NULL,NULL),(16,316,1,14,1,23,39,17,11),(16,316,1,14,2,4,9,3,8),(16,316,1,14,3,16,32,10,13),(16,316,1,14,4,6,16,2,11),(16,316,1,14,5,33,29,17,10),(16,316,1,14,6,5,17,3,9),(16,316,1,14,7,7,11,3,7),(16,316,1,14,8,14,20,7,9),(16,316,1,14,9,6,18,3,8),(16,316,1,14,10,30,17,14,9),(16,316,1,14,11,34,14,19,5),(16,316,1,14,12,18,18,8,11),(16,316,1,14,13,39,26,24,8),(16,316,1,14,14,17,15,10,9),(16,316,1,14,15,13,22,9,8),(16,316,1,14,16,46,17,21,9),(16,316,1,14,17,34,29,17,11),(16,316,1,14,18,17,17,10,11),(16,316,1,14,19,31,23,16,8),(16,316,1,14,20,17,43,8,21),(16,316,1,15,1,26,30,7,10),(16,316,1,15,2,8,6,3,3),(16,316,1,15,3,18,19,7,5),(16,316,1,15,4,5,15,3,8),(16,316,1,15,5,17,18,8,3),(16,316,1,15,6,8,24,4,8),(16,316,1,15,7,8,5,4,2),(16,316,1,15,8,13,17,6,7),(16,316,1,15,9,9,20,4,5),(16,316,1,15,10,22,27,11,4),(16,316,1,15,11,24,14,11,3),(16,316,1,15,12,16,12,7,4),(16,316,1,15,13,38,24,19,2),(16,316,1,15,14,13,18,8,8),(16,316,1,15,15,9,15,8,6),(16,316,1,15,16,35,14,13,6),(16,316,1,15,17,24,31,9,12),(16,316,1,15,18,9,12,4,6),(16,316,1,15,19,21,32,9,11),(16,316,1,15,20,18,31,9,12),(16,316,1,16,1,35,37,9,7),(16,316,1,16,2,5,9,1,4),(16,316,1,16,3,18,25,4,8),(16,316,1,16,4,3,16,NULL,7),(16,316,1,16,5,27,32,9,6),(16,316,1,16,6,5,19,2,5),(16,316,1,16,7,11,15,1,3),(16,316,1,16,8,14,28,5,9),(16,316,1,16,9,7,16,3,4),(16,316,1,16,10,23,24,10,3),(16,316,1,16,11,32,69,8,12),(16,316,1,16,12,3,18,1,6),(16,316,1,16,13,30,43,5,11),(16,316,1,16,14,8,55,NULL,11),(16,316,1,16,15,39,57,10,9),(16,316,1,16,16,3,33,1,8),(16,316,1,16,17,21,37,5,9),(16,316,1,16,18,29,30,4,10),(16,316,1,16,19,13,52,2,14),(16,316,1,16,20,6,48,1,9),(16,316,1,17,1,24,40,6,7),(16,316,1,17,2,2,10,NULL,4),(16,316,1,17,3,17,21,4,7),(16,316,1,17,4,3,11,2,4),(16,316,1,17,5,13,29,4,7),(16,316,1,17,6,4,13,1,4),(16,316,1,17,7,7,11,4,4),(16,316,1,17,8,12,27,4,8),(16,316,1,17,9,3,10,NULL,2),(16,316,1,17,10,21,23,7,3),(16,316,1,17,11,38,66,4,16),(16,316,1,17,12,3,16,2,3),(16,316,1,17,13,31,44,4,13),(16,316,1,17,14,17,32,3,7),(16,316,1,17,15,26,57,4,12),(16,316,1,17,16,3,26,NULL,4),(16,316,1,17,17,25,34,5,12),(16,316,1,17,18,21,26,3,10),(16,316,1,17,19,18,60,4,10),(16,316,1,17,20,1,39,NULL,7),(16,316,2,21,1,7,15,4,9),(16,316,2,21,2,6,44,6,10),(16,316,2,21,3,11,16,2,5),(16,316,2,21,4,32,25,15,8),(16,316,2,21,5,19,32,9,9),(16,316,2,21,6,2,16,1,6),(16,316,2,21,7,9,17,2,6),(16,316,2,21,8,9,14,4,4),(16,316,2,21,9,7,9,4,2),(16,316,2,21,10,4,25,2,10),(16,316,2,21,11,9,13,5,6),(16,316,2,21,12,19,23,7,5),(16,316,2,21,13,5,43,2,14),(16,316,2,21,14,32,29,9,13),(16,316,2,21,15,49,9,20,3),(16,316,2,21,16,16,27,5,10),(16,316,2,21,17,9,22,4,6),(16,316,2,21,18,8,12,2,4),(16,316,2,21,19,19,37,7,13),(16,316,2,21,20,18,30,11,8),(16,316,2,21,21,8,15,4,5),(16,316,2,21,22,10,20,3,9),(16,316,2,21,23,8,26,6,10),(16,316,2,21,24,12,40,5,12),(16,316,2,21,25,1,NULL,NULL,NULL),(16,316,2,21,26,125,NULL,28,NULL),(16,316,2,21,27,9,28,3,11),(16,316,2,21,28,4,14,3,5),(16,316,2,21,29,10,41,NULL,15),(16,316,2,21,30,16,15,7,4),(16,316,2,22,1,2,2,1,2),(16,316,2,22,2,8,35,4,9),(16,316,2,22,3,30,15,11,4),(16,316,2,22,4,37,19,7,7),(16,316,2,22,5,14,25,4,5),(16,316,2,22,6,6,14,3,4),(16,316,2,22,7,6,16,1,4),(16,316,2,22,8,10,16,3,2),(16,316,2,22,9,3,7,1,3),(16,316,2,22,10,8,26,1,8),(16,316,2,22,11,5,12,3,5),(16,316,2,22,12,14,23,4,6),(16,316,2,22,13,6,23,1,7),(16,316,2,22,14,25,38,7,13),(16,316,2,22,15,49,12,18,2),(16,316,2,22,16,15,19,6,9),(16,316,2,22,17,14,12,6,4),(16,316,2,22,18,4,14,1,7),(16,316,2,22,19,23,43,5,10),(16,316,2,22,20,11,26,8,9),(16,316,2,22,21,13,26,6,9),(16,316,2,22,22,10,21,5,10),(16,316,2,22,23,16,19,5,8),(16,316,2,22,24,18,37,2,12),(16,316,2,22,25,4,NULL,2,NULL),(16,316,2,22,26,128,NULL,24,NULL),(16,316,2,22,27,14,45,3,14),(16,316,2,22,28,7,19,2,5),(16,316,2,22,29,10,39,2,11),(16,316,2,22,30,9,16,6,6),(16,316,2,23,1,3,9,2,5),(16,316,2,23,2,4,38,4,8),(16,316,2,23,3,13,22,5,8),(16,316,2,23,4,44,23,16,5),(16,316,2,23,5,16,37,7,9),(16,316,2,23,6,5,25,5,6),(16,316,2,23,7,13,9,4,3),(16,316,2,23,8,7,19,4,3),(16,316,2,23,9,3,9,1,5),(16,316,2,23,10,7,20,2,4),(16,316,2,23,11,10,13,6,5),(16,316,2,23,12,31,16,8,8),(16,316,2,23,13,9,19,4,6),(16,316,2,23,14,44,23,13,10),(16,316,2,23,15,53,9,18,2),(16,316,2,23,16,17,16,7,10),(16,316,2,23,17,17,19,7,5),(16,316,2,23,18,5,13,2,6),(16,316,2,23,19,20,49,10,11),(16,316,2,23,20,25,15,10,3),(16,316,2,23,21,11,31,6,11),(16,316,2,23,22,14,22,7,11),(16,316,2,23,23,26,20,10,8),(16,316,2,23,24,21,36,3,11),(16,316,2,23,25,3,NULL,2,NULL),(16,316,2,23,26,119,NULL,25,NULL),(16,316,2,23,27,7,30,2,9),(16,316,2,23,28,6,15,3,5),(16,316,2,23,29,14,33,1,12),(16,316,2,23,30,15,15,3,8),(16,316,2,24,1,7,15,4,8),(16,316,2,24,2,8,34,5,6),(16,316,2,24,3,22,16,8,3),(16,316,2,24,4,43,17,18,3),(16,316,2,24,5,15,33,7,5),(16,316,2,24,6,9,22,2,8),(16,316,2,24,7,10,22,2,4),(16,316,2,24,8,4,21,1,3),(16,316,2,24,9,4,13,3,1),(16,316,2,24,10,6,25,2,8),(16,316,2,24,11,6,17,2,9),(16,316,2,24,12,17,27,6,8),(16,316,2,24,13,9,34,4,11),(16,316,2,24,14,33,38,8,14),(16,316,2,24,15,57,9,18,1),(16,316,2,24,16,20,32,6,10),(16,316,2,24,17,11,23,5,10),(16,316,2,24,18,13,24,5,6),(16,316,2,24,19,27,35,11,7),(16,316,2,24,20,20,27,12,5),(16,316,2,24,21,13,32,5,8),(16,316,2,24,22,13,20,3,6),(16,316,2,24,23,16,27,8,12),(16,316,2,24,24,7,39,1,9),(16,316,2,24,25,4,NULL,3,NULL),(16,316,2,24,26,123,NULL,23,NULL),(16,316,2,24,27,9,24,6,10),(16,316,2,24,28,4,10,NULL,2),(16,316,2,24,29,9,48,3,12),(16,316,2,24,30,16,16,7,7),(16,316,3,31,1,6,19,2,5),(16,316,3,31,2,9,16,5,2),(16,316,3,31,3,NULL,10,NULL,4),(16,316,3,31,4,5,20,NULL,7),(16,316,3,31,5,14,33,2,8),(16,316,3,31,6,62,31,15,6),(16,316,3,31,7,NULL,8,NULL,4),(16,316,3,31,8,3,7,1,3),(16,316,3,31,9,NULL,7,NULL,1),(16,316,3,31,10,4,9,2,2),(16,316,3,31,11,18,26,3,6),(16,316,3,31,12,8,35,5,14),(16,316,3,31,13,11,28,4,8),(16,316,3,31,14,11,34,3,8),(16,316,3,31,15,24,33,12,9),(16,316,3,31,16,11,45,4,9),(16,316,3,31,17,43,30,13,8),(16,316,3,31,18,15,14,6,3),(16,316,3,31,19,13,24,4,5),(16,316,3,31,20,53,NULL,20,NULL),(16,316,3,31,21,11,59,3,11),(16,316,3,31,22,2,14,NULL,8),(16,316,3,31,23,3,17,NULL,3),(16,316,3,31,24,4,11,3,5),(16,316,3,31,25,1,18,NULL,9),(16,316,3,31,26,NULL,9,NULL,1),(16,316,3,31,27,2,10,1,5),(16,316,3,31,28,13,21,7,6),(16,316,3,31,29,20,26,7,4),(16,316,3,31,30,4,12,1,6),(16,316,3,32,1,1,10,1,3),(16,316,3,32,2,6,10,3,3),(16,316,3,32,3,1,10,NULL,1),(16,316,3,32,4,2,11,1,5),(16,316,3,32,5,16,44,4,11),(16,316,3,32,6,57,31,18,4),(16,316,3,32,7,3,11,2,3),(16,316,3,32,8,3,9,1,4),(16,316,3,32,9,NULL,6,NULL,1),(16,316,3,32,10,3,4,NULL,NULL),(16,316,3,32,11,17,15,7,5),(16,316,3,32,12,12,37,5,11),(16,316,3,32,13,17,17,6,7),(16,316,3,32,14,22,31,6,9),(16,316,3,32,15,17,25,8,6),(16,316,3,32,16,24,34,8,10),(16,316,3,32,17,39,30,15,8),(16,316,3,32,18,16,12,4,1),(16,316,3,32,19,22,19,4,7),(16,316,3,32,20,49,NULL,18,NULL),(16,316,3,32,21,22,53,8,9),(16,316,3,32,22,NULL,13,NULL,3),(16,316,3,32,23,1,23,NULL,5),(16,316,3,32,24,3,11,3,9),(16,316,3,32,25,NULL,11,NULL,3),(16,316,3,32,26,3,5,NULL,NULL),(16,316,3,32,27,7,17,2,7),(16,316,3,32,28,14,19,7,5),(16,316,3,32,29,14,25,10,2),(16,316,3,32,30,NULL,8,NULL,6),(16,316,3,33,1,8,16,3,4),(16,316,3,33,2,1,9,1,3),(16,316,3,33,3,3,12,NULL,3),(16,316,3,33,4,3,26,NULL,8),(16,316,3,33,5,16,32,4,6),(16,316,3,33,6,61,30,17,6),(16,316,3,33,7,2,4,NULL,2),(16,316,3,33,8,5,11,1,NULL),(16,316,3,33,9,2,7,1,NULL),(16,316,3,33,10,6,18,1,3),(16,316,3,33,11,26,15,3,5),(16,316,3,33,12,13,19,6,8),(16,316,3,33,13,18,14,5,5),(16,316,3,33,14,11,47,5,14),(16,316,3,33,15,14,14,8,4),(16,316,3,33,16,20,30,7,8),(16,316,3,33,17,33,26,13,7),(16,316,3,33,18,21,12,5,3),(16,316,3,33,19,20,15,7,3),(16,316,3,33,20,47,NULL,18,NULL),(16,316,3,33,21,28,57,9,11),(16,316,3,33,22,1,9,NULL,2),(16,316,3,33,23,2,11,1,5),(16,316,3,33,24,9,13,7,3),(16,316,3,33,25,2,16,NULL,5),(16,316,3,33,26,NULL,9,NULL,2),(16,316,3,33,27,1,14,NULL,2),(16,316,3,33,28,10,23,1,5),(16,316,3,33,29,17,25,4,4),(16,316,3,33,30,3,6,2,1),(16,316,3,34,1,2,9,NULL,5),(16,316,3,34,2,2,8,NULL,4),(16,316,3,34,3,1,11,NULL,3),(16,316,3,34,4,1,13,1,3),(16,316,3,34,5,12,34,3,12),(16,316,3,34,6,46,35,22,5),(16,316,3,34,7,3,9,1,3),(16,316,3,34,8,1,10,NULL,3),(16,316,3,34,9,2,4,1,2),(16,316,3,34,10,3,10,2,1),(16,316,3,34,11,22,20,6,7),(16,316,3,34,12,13,34,9,14),(16,316,3,34,13,12,22,6,10),(16,316,3,34,14,17,32,8,8),(16,316,3,34,15,15,23,9,8),(16,316,3,34,16,17,29,6,9),(16,316,3,34,17,32,27,11,11),(16,316,3,34,18,21,14,11,5),(16,316,3,34,19,11,34,3,12),(16,316,3,34,20,45,NULL,18,NULL),(16,316,3,34,21,21,52,7,14),(16,316,3,34,22,NULL,7,NULL,3),(16,316,3,34,23,3,17,1,3),(16,316,3,34,24,6,14,5,6),(16,316,3,34,25,1,7,NULL,2),(16,316,3,34,26,3,9,1,2),(16,316,3,34,27,2,17,NULL,5),(16,316,3,34,28,13,23,9,5),(16,316,3,34,29,11,17,7,4),(16,316,3,34,30,NULL,6,NULL,2),(16,317,1,11,1,NULL,NULL,NULL,NULL),(16,317,1,11,2,NULL,NULL,NULL,NULL),(16,317,1,11,3,NULL,NULL,NULL,NULL),(16,317,1,11,4,NULL,NULL,NULL,NULL),(16,317,1,11,5,NULL,NULL,NULL,NULL),(16,317,1,11,6,NULL,NULL,NULL,NULL),(16,317,1,11,7,NULL,NULL,NULL,NULL),(16,317,1,11,8,NULL,NULL,NULL,NULL),(16,317,1,11,9,NULL,NULL,NULL,NULL),(16,317,1,11,10,NULL,NULL,NULL,NULL),(16,317,1,11,11,NULL,NULL,NULL,NULL),(16,317,1,11,12,NULL,NULL,NULL,NULL),(16,317,1,11,13,NULL,NULL,NULL,NULL),(16,317,1,11,14,NULL,NULL,NULL,NULL),(16,317,1,11,15,NULL,NULL,NULL,NULL),(16,317,1,11,16,NULL,NULL,NULL,NULL),(16,317,1,11,17,NULL,NULL,NULL,NULL),(16,317,1,11,18,NULL,NULL,NULL,NULL),(16,317,1,11,19,NULL,NULL,NULL,NULL),(16,317,1,11,20,NULL,NULL,NULL,NULL),(16,317,1,12,1,1,1,NULL,1),(16,317,1,12,2,1,NULL,1,NULL),(16,317,1,12,3,2,NULL,1,NULL),(16,317,1,12,4,NULL,NULL,NULL,NULL),(16,317,1,12,5,1,1,NULL,1),(16,317,1,12,6,NULL,NULL,NULL,NULL),(16,317,1,12,7,NULL,1,NULL,1),(16,317,1,12,8,1,NULL,1,NULL),(16,317,1,12,9,NULL,NULL,NULL,NULL),(16,317,1,12,10,1,NULL,1,NULL),(16,317,1,12,11,1,1,NULL,1),(16,317,1,12,12,1,1,NULL,1),(16,317,1,12,13,NULL,NULL,NULL,NULL),(16,317,1,12,14,1,1,NULL,1),(16,317,1,12,15,1,1,NULL,1),(16,317,1,12,16,NULL,NULL,NULL,NULL),(16,317,1,12,17,1,1,NULL,1),(16,317,1,12,18,2,NULL,1,NULL),(16,317,1,12,19,NULL,1,NULL,1),(16,317,1,12,20,NULL,1,NULL,1),(16,317,1,13,1,1,NULL,NULL,NULL),(16,317,1,13,2,NULL,1,NULL,NULL),(16,317,1,13,3,NULL,NULL,NULL,NULL),(16,317,1,13,4,NULL,NULL,NULL,NULL),(16,317,1,13,5,NULL,1,NULL,NULL),(16,317,1,13,6,NULL,NULL,NULL,NULL),(16,317,1,13,7,NULL,1,NULL,NULL),(16,317,1,13,8,NULL,1,NULL,NULL),(16,317,1,13,9,NULL,NULL,NULL,NULL),(16,317,1,13,10,NULL,NULL,NULL,NULL),(16,317,1,13,11,NULL,1,NULL,NULL),(16,317,1,13,12,NULL,1,NULL,NULL),(16,317,1,13,13,NULL,1,NULL,NULL),(16,317,1,13,14,NULL,1,NULL,NULL),(16,317,1,13,15,NULL,1,NULL,NULL),(16,317,1,13,16,NULL,1,NULL,NULL),(16,317,1,13,17,1,NULL,NULL,NULL),(16,317,1,13,18,NULL,NULL,NULL,NULL),(16,317,1,13,19,NULL,1,NULL,NULL),(16,317,1,13,20,1,NULL,NULL,NULL),(16,317,1,14,1,22,21,4,7),(16,317,1,14,2,7,6,3,4),(16,317,1,14,3,15,9,6,3),(16,317,1,14,4,NULL,12,NULL,5),(16,317,1,14,5,18,18,5,6),(16,317,1,14,6,4,14,1,5),(16,317,1,14,7,1,6,NULL,2),(16,317,1,14,8,10,13,5,3),(16,317,1,14,9,5,12,1,5),(16,317,1,14,10,14,15,6,6),(16,317,1,14,11,9,9,6,2),(16,317,1,14,12,11,3,8,1),(16,317,1,14,13,15,17,6,5),(16,317,1,14,14,7,7,3,4),(16,317,1,14,15,1,10,1,5),(16,317,1,14,16,11,13,6,4),(16,317,1,14,17,12,11,9,4),(16,317,1,14,18,1,5,1,3),(16,317,1,14,19,6,11,4,5),(16,317,1,14,20,14,16,5,8),(16,317,1,15,1,18,12,8,1),(16,317,1,15,2,6,1,5,NULL),(16,317,1,15,3,6,13,5,7),(16,317,1,15,4,1,7,1,3),(16,317,1,15,5,10,11,2,6),(16,317,1,15,6,5,5,5,4),(16,317,1,15,7,4,6,3,1),(16,317,1,15,8,8,12,4,2),(16,317,1,15,9,4,4,4,3),(16,317,1,15,10,8,4,6,1),(16,317,1,15,11,12,4,8,NULL),(16,317,1,15,12,5,7,4,3),(16,317,1,15,13,13,14,10,2),(16,317,1,15,14,8,4,5,2),(16,317,1,15,15,2,7,2,3),(16,317,1,15,16,7,12,3,4),(16,317,1,15,17,8,12,5,7),(16,317,1,15,18,4,7,4,3),(16,317,1,15,19,11,7,8,2),(16,317,1,15,20,6,21,2,8),(16,317,1,16,1,38,34,13,11),(16,317,1,16,2,5,18,3,8),(16,317,1,16,3,20,29,9,14),(16,317,1,16,4,3,18,2,10),(16,317,1,16,5,20,39,12,16),(16,317,1,16,6,4,16,1,7),(16,317,1,16,7,11,16,4,6),(16,317,1,16,8,22,29,10,14),(16,317,1,16,9,3,17,3,7),(16,317,1,16,10,27,26,13,10),(16,317,1,16,11,26,82,8,26),(16,317,1,16,12,8,20,4,5),(16,317,1,16,13,24,51,8,15),(16,317,1,16,14,8,45,3,16),(16,317,1,16,15,35,68,15,18),(16,317,1,16,16,3,21,1,3),(16,317,1,16,17,28,50,9,20),(16,317,1,16,18,30,35,13,13),(16,317,1,16,19,18,54,5,22),(16,317,1,16,20,4,48,3,19),(16,317,1,17,1,25,45,10,10),(16,317,1,17,2,11,11,2,4),(16,317,1,17,3,16,17,4,4),(16,317,1,17,4,1,19,NULL,9),(16,317,1,17,5,19,40,6,12),(16,317,1,17,6,3,10,1,3),(16,317,1,17,7,10,15,3,4),(16,317,1,17,8,15,36,6,12),(16,317,1,17,9,2,13,1,6),(16,317,1,17,10,18,25,9,6),(16,317,1,17,11,20,78,7,18),(16,317,1,17,12,6,18,1,8),(16,317,1,17,13,20,43,4,15),(16,317,1,17,14,6,36,1,7),(16,317,1,17,15,28,64,9,15),(16,317,1,17,16,2,23,NULL,3),(16,317,1,17,17,15,52,4,18),(16,317,1,17,18,20,35,5,12),(16,317,1,17,19,12,60,2,16),(16,317,1,17,20,4,44,1,12),(16,317,2,21,1,2,13,2,2),(16,317,2,21,2,2,26,1,10),(16,317,2,21,3,11,11,7,1),(16,317,2,21,4,28,21,10,3),(16,317,2,21,5,11,33,5,8),(16,317,2,21,6,3,10,1,5),(16,317,2,21,7,3,22,NULL,7),(16,317,2,21,8,9,14,2,4),(16,317,2,21,9,1,10,NULL,4),(16,317,2,21,10,NULL,12,NULL,6),(16,317,2,21,11,10,11,2,5),(16,317,2,21,12,14,18,6,8),(16,317,2,21,13,3,32,1,12),(16,317,2,21,14,21,28,7,9),(16,317,2,21,15,49,8,16,2),(16,317,2,21,16,10,20,5,7),(16,317,2,21,17,12,14,5,3),(16,317,2,21,18,3,16,3,6),(16,317,2,21,19,11,31,4,8),(16,317,2,21,20,17,21,5,8),(16,317,2,21,21,6,23,1,5),(16,317,2,21,22,6,22,2,8),(16,317,2,21,23,8,21,5,7),(16,317,2,21,24,21,32,8,6),(16,317,2,21,25,2,NULL,1,NULL),(16,317,2,21,26,98,NULL,20,NULL),(16,317,2,21,27,NULL,23,NULL,7),(16,317,2,21,28,NULL,14,NULL,5),(16,317,2,21,29,7,39,2,11),(16,317,2,21,30,12,16,7,5),(16,317,2,22,1,2,10,2,8),(16,317,2,22,2,2,28,2,13),(16,317,2,22,3,23,14,9,7),(16,317,2,22,4,20,21,8,8),(16,317,2,22,5,12,31,4,10),(16,317,2,22,6,5,14,2,5),(16,317,2,22,7,6,12,2,5),(16,317,2,22,8,9,17,3,5),(16,317,2,22,9,1,7,1,2),(16,317,2,22,10,2,13,2,5),(16,317,2,22,11,11,9,6,7),(16,317,2,22,12,25,21,6,13),(16,317,2,22,13,4,22,1,12),(16,317,2,22,14,27,32,9,15),(16,317,2,22,15,45,10,19,3),(16,317,2,22,16,8,29,5,14),(16,317,2,22,17,8,21,2,7),(16,317,2,22,18,5,19,3,10),(16,317,2,22,19,17,34,11,9),(16,317,2,22,20,9,26,6,11),(16,317,2,22,21,2,32,NULL,14),(16,317,2,22,22,9,25,3,12),(16,317,2,22,23,11,21,6,11),(16,317,2,22,24,10,33,1,16),(16,317,2,22,25,1,NULL,1,NULL),(16,317,2,22,26,101,NULL,27,NULL),(16,317,2,22,27,8,27,3,12),(16,317,2,22,28,3,11,1,3),(16,317,2,22,29,8,23,1,11),(16,317,2,22,30,12,9,5,4),(16,317,2,23,1,2,6,2,3),(16,317,2,23,2,4,31,3,8),(16,317,2,23,3,10,13,3,6),(16,317,2,23,4,26,17,13,2),(16,317,2,23,5,11,33,5,9),(16,317,2,23,6,9,13,4,7),(16,317,2,23,7,6,14,1,3),(16,317,2,23,8,5,8,1,3),(16,317,2,23,9,5,3,3,2),(16,317,2,23,10,2,18,1,7),(16,317,2,23,11,10,6,5,NULL),(16,317,2,23,12,19,20,6,6),(16,317,2,23,13,3,22,2,11),(16,317,2,23,14,21,33,8,10),(16,317,2,23,15,40,14,16,1),(16,317,2,23,16,10,25,3,7),(16,317,2,23,17,3,12,2,6),(16,317,2,23,18,6,12,2,3),(16,317,2,23,19,13,35,3,11),(16,317,2,23,20,17,22,7,3),(16,317,2,23,21,9,29,2,8),(16,317,2,23,22,11,18,7,5),(16,317,2,23,23,7,22,4,10),(16,317,2,23,24,9,31,4,11),(16,317,2,23,25,4,NULL,1,NULL),(16,317,2,23,26,90,NULL,22,NULL),(16,317,2,23,27,5,26,NULL,8),(16,317,2,23,28,1,14,NULL,6),(16,317,2,23,29,7,35,2,13),(16,317,2,23,30,10,12,6,5),(16,317,2,24,1,1,6,NULL,1),(16,317,2,24,2,6,28,2,8),(16,317,2,24,3,13,17,4,3),(16,317,2,24,4,18,21,8,6),(16,317,2,24,5,7,25,3,6),(16,317,2,24,6,2,11,NULL,4),(16,317,2,24,7,9,22,3,8),(16,317,2,24,8,5,12,1,3),(16,317,2,24,9,2,6,1,5),(16,317,2,24,10,5,9,2,5),(16,317,2,24,11,3,12,3,7),(16,317,2,24,12,20,19,7,8),(16,317,2,24,13,5,25,2,11),(16,317,2,24,14,31,25,11,8),(16,317,2,24,15,39,12,15,2),(16,317,2,24,16,13,20,6,6),(16,317,2,24,17,7,17,3,6),(16,317,2,24,18,4,17,NULL,7),(16,317,2,24,19,13,29,3,10),(16,317,2,24,20,8,24,6,7),(16,317,2,24,21,4,23,1,9),(16,317,2,24,22,7,10,3,5),(16,317,2,24,23,13,15,6,10),(16,317,2,24,24,7,23,1,7),(16,317,2,24,25,2,NULL,NULL,NULL),(16,317,2,24,26,93,NULL,21,NULL),(16,317,2,24,27,3,22,1,10),(16,317,2,24,28,3,8,NULL,2),(16,317,2,24,29,4,30,NULL,11),(16,317,2,24,30,11,12,6,4),(16,317,3,31,1,NULL,16,NULL,8),(16,317,3,31,2,4,9,1,5),(16,317,3,31,3,1,12,NULL,4),(16,317,3,31,4,3,14,1,4),(16,317,3,31,5,6,25,NULL,4),(16,317,3,31,6,33,29,10,8),(16,317,3,31,7,3,8,1,3),(16,317,3,31,8,NULL,7,NULL,3),(16,317,3,31,9,NULL,4,NULL,3),(16,317,3,31,10,2,10,1,4),(16,317,3,31,11,13,19,3,5),(16,317,3,31,12,8,17,3,9),(16,317,3,31,13,13,14,3,5),(16,317,3,31,14,9,20,5,5),(16,317,3,31,15,15,21,6,9),(16,317,3,31,16,11,21,3,3),(16,317,3,31,17,23,30,7,11),(16,317,3,31,18,16,19,9,5),(16,317,3,31,19,11,16,2,2),(16,317,3,31,20,45,NULL,17,NULL),(16,317,3,31,21,7,41,3,10),(16,317,3,31,22,1,9,1,2),(16,317,3,31,23,1,13,NULL,3),(16,317,3,31,24,4,4,2,2),(16,317,3,31,25,NULL,8,NULL,3),(16,317,3,31,26,1,4,NULL,1),(16,317,3,31,27,NULL,9,NULL,2),(16,317,3,31,28,10,17,4,8),(16,317,3,31,29,8,19,4,8),(16,317,3,31,30,NULL,2,NULL,1),(16,317,3,32,1,3,14,1,8),(16,317,3,32,2,3,13,2,5),(16,317,3,32,3,NULL,8,NULL,4),(16,317,3,32,4,7,11,2,3),(16,317,3,32,5,10,26,4,10),(16,317,3,32,6,43,20,16,3),(16,317,3,32,7,2,5,NULL,1),(16,317,3,32,8,1,6,NULL,2),(16,317,3,32,9,NULL,5,NULL,4),(16,317,3,32,10,1,5,NULL,1),(16,317,3,32,11,20,19,7,6),(16,317,3,32,12,6,22,1,14),(16,317,3,32,13,6,14,2,7),(16,317,3,32,14,11,18,7,3),(16,317,3,32,15,10,22,6,6),(16,317,3,32,16,7,32,2,11),(16,317,3,32,17,27,25,13,6),(16,317,3,32,18,14,18,7,4),(16,317,3,32,19,11,13,3,5),(16,317,3,32,20,34,NULL,14,NULL),(16,317,3,32,21,9,38,4,8),(16,317,3,32,22,1,6,NULL,3),(16,317,3,32,23,3,11,1,2),(16,317,3,32,24,5,3,4,1),(16,317,3,32,25,3,2,2,NULL),(16,317,3,32,26,2,7,NULL,2),(16,317,3,32,27,1,9,NULL,6),(16,317,3,32,28,13,8,6,2),(16,317,3,32,29,12,13,6,6),(16,317,3,32,30,2,5,1,3),(16,317,3,33,1,5,4,1,2),(16,317,3,33,2,5,11,4,4),(16,317,3,33,3,2,16,1,7),(16,317,3,33,4,4,14,NULL,7),(16,317,3,33,5,7,22,3,5),(16,317,3,33,6,49,25,15,9),(16,317,3,33,7,NULL,10,NULL,4),(16,317,3,33,8,NULL,5,NULL,1),(16,317,3,33,9,1,8,NULL,3),(16,317,3,33,10,NULL,3,NULL,NULL),(16,317,3,33,11,20,13,9,2),(16,317,3,33,12,12,21,6,8),(16,317,3,33,13,11,21,6,4),(16,317,3,33,14,5,38,5,12),(16,317,3,33,15,9,23,4,12),(16,317,3,33,16,12,34,6,9),(16,317,3,33,17,23,33,13,13),(16,317,3,33,18,11,13,4,4),(16,317,3,33,19,13,17,4,7),(16,317,3,33,20,46,NULL,19,NULL),(16,317,3,33,21,11,54,4,9),(16,317,3,33,22,NULL,6,NULL,1),(16,317,3,33,23,NULL,11,NULL,4),(16,317,3,33,24,7,10,5,3),(16,317,3,33,25,1,6,NULL,2),(16,317,3,33,26,1,6,1,2),(16,317,3,33,27,1,5,NULL,2),(16,317,3,33,28,10,14,8,5),(16,317,3,33,29,14,19,5,10),(16,317,3,33,30,1,3,1,2),(16,317,3,34,1,3,15,NULL,5),(16,317,3,34,2,4,13,3,6),(16,317,3,34,3,NULL,12,NULL,5),(16,317,3,34,4,5,9,1,1),(16,317,3,34,5,8,20,5,5),(16,317,3,34,6,39,33,11,7),(16,317,3,34,7,2,4,1,2),(16,317,3,34,8,1,6,NULL,2),(16,317,3,34,9,NULL,8,NULL,2),(16,317,3,34,10,3,5,1,1),(16,317,3,34,11,14,19,2,3),(16,317,3,34,12,8,24,5,5),(16,317,3,34,13,11,18,3,6),(16,317,3,34,14,8,24,6,4),(16,317,3,34,15,11,21,8,4),(16,317,3,34,16,8,33,4,8),(16,317,3,34,17,29,22,12,5),(16,317,3,34,18,13,10,5,NULL),(16,317,3,34,19,12,15,6,4),(16,317,3,34,20,42,NULL,16,NULL),(16,317,3,34,21,21,46,4,10),(16,317,3,34,22,2,12,NULL,4),(16,317,3,34,23,NULL,8,NULL,2),(16,317,3,34,24,5,11,2,4),(16,317,3,34,25,1,10,1,4),(16,317,3,34,26,NULL,5,NULL,2),(16,317,3,34,27,3,9,2,2),(16,317,3,34,28,8,21,4,8),(16,317,3,34,29,9,21,5,6),(16,317,3,34,30,NULL,5,NULL,1),(16,318,1,11,1,NULL,NULL,NULL,NULL),(16,318,1,11,2,1,NULL,1,NULL),(16,318,1,11,3,1,NULL,1,NULL),(16,318,1,11,4,NULL,NULL,NULL,NULL),(16,318,1,11,5,NULL,NULL,NULL,NULL),(16,318,1,11,6,NULL,1,NULL,1),(16,318,1,11,7,NULL,NULL,NULL,NULL),(16,318,1,11,8,NULL,NULL,NULL,NULL),(16,318,1,11,9,NULL,NULL,NULL,NULL),(16,318,1,11,10,NULL,NULL,NULL,NULL),(16,318,1,11,11,1,NULL,1,NULL),(16,318,1,11,12,1,NULL,1,NULL),(16,318,1,11,13,NULL,1,NULL,1),(16,318,1,11,14,NULL,NULL,NULL,NULL),(16,318,1,11,15,1,NULL,1,NULL),(16,318,1,11,16,1,NULL,1,NULL),(16,318,1,11,17,1,NULL,1,NULL),(16,318,1,11,18,NULL,NULL,NULL,NULL),(16,318,1,11,19,1,NULL,1,NULL),(16,318,1,11,20,1,NULL,1,NULL),(16,318,1,12,1,1,NULL,NULL,NULL),(16,318,1,12,2,NULL,NULL,NULL,NULL),(16,318,1,12,3,NULL,1,NULL,NULL),(16,318,1,12,4,NULL,1,NULL,NULL),(16,318,1,12,5,NULL,1,NULL,NULL),(16,318,1,12,6,NULL,NULL,NULL,NULL),(16,318,1,12,7,NULL,NULL,NULL,NULL),(16,318,1,12,8,1,NULL,NULL,NULL),(16,318,1,12,9,NULL,NULL,NULL,NULL),(16,318,1,12,10,NULL,NULL,NULL,NULL),(16,318,1,12,11,NULL,1,NULL,NULL),(16,318,1,12,12,NULL,NULL,NULL,NULL),(16,318,1,12,13,NULL,NULL,NULL,NULL),(16,318,1,12,14,NULL,NULL,NULL,NULL),(16,318,1,12,15,NULL,NULL,NULL,NULL),(16,318,1,12,16,1,NULL,NULL,NULL),(16,318,1,12,17,NULL,NULL,NULL,NULL),(16,318,1,12,18,1,NULL,NULL,NULL),(16,318,1,12,19,NULL,NULL,NULL,NULL),(16,318,1,12,20,NULL,NULL,NULL,NULL),(16,318,1,13,1,NULL,NULL,NULL,NULL),(16,318,1,13,2,NULL,NULL,NULL,NULL),(16,318,1,13,3,1,NULL,1,NULL),(16,318,1,13,4,NULL,NULL,NULL,NULL),(16,318,1,13,5,NULL,NULL,NULL,NULL),(16,318,1,13,6,NULL,NULL,NULL,NULL),(16,318,1,13,7,NULL,NULL,NULL,NULL),(16,318,1,13,8,NULL,1,NULL,1),(16,318,1,13,9,NULL,NULL,NULL,NULL),(16,318,1,13,10,1,NULL,1,NULL),(16,318,1,13,11,1,NULL,1,NULL),(16,318,1,13,12,1,NULL,1,NULL),(16,318,1,13,13,1,NULL,1,NULL),(16,318,1,13,14,1,NULL,1,NULL),(16,318,1,13,15,NULL,NULL,NULL,NULL),(16,318,1,13,16,1,NULL,1,NULL),(16,318,1,13,17,1,NULL,1,NULL),(16,318,1,13,18,1,NULL,1,NULL),(16,318,1,13,19,NULL,1,NULL,1),(16,318,1,13,20,NULL,1,NULL,1),(16,318,1,14,1,19,16,11,8),(16,318,1,14,2,5,4,5,4),(16,318,1,14,3,14,12,11,9),(16,318,1,14,4,2,10,1,10),(16,318,1,14,5,16,19,8,12),(16,318,1,14,6,8,11,6,9),(16,318,1,14,7,3,6,2,2),(16,318,1,14,8,15,14,12,11),(16,318,1,14,9,6,11,5,7),(16,318,1,14,10,16,11,12,7),(16,318,1,14,11,23,11,17,4),(16,318,1,14,12,16,12,13,10),(16,318,1,14,13,21,19,18,7),(16,318,1,14,14,12,12,8,9),(16,318,1,14,15,11,13,10,8),(16,318,1,14,16,27,9,20,2),(16,318,1,14,17,20,17,16,9),(16,318,1,14,18,14,12,10,9),(16,318,1,14,19,16,15,10,9),(16,318,1,14,20,11,28,4,22),(16,318,1,15,1,22,20,13,8),(16,318,1,15,2,11,5,5,3),(16,318,1,15,3,18,16,11,7),(16,318,1,15,4,1,7,1,5),(16,318,1,15,5,10,20,7,11),(16,318,1,15,6,5,14,3,8),(16,318,1,15,7,7,5,4,2),(16,318,1,15,8,9,5,4,2),(16,318,1,15,9,4,12,4,8),(16,318,1,15,10,14,12,7,8),(16,318,1,15,11,18,10,14,4),(16,318,1,15,12,16,9,12,4),(16,318,1,15,13,20,11,13,4),(16,318,1,15,14,11,7,8,5),(16,318,1,15,15,6,9,5,6),(16,318,1,15,16,23,8,16,2),(16,318,1,15,17,15,12,12,6),(16,318,1,15,18,7,13,6,5),(16,318,1,15,19,16,16,11,8),(16,318,1,15,20,15,19,10,9),(16,318,1,16,1,26,21,9,10),(16,318,1,16,2,7,4,2,3),(16,318,1,16,3,16,12,11,5),(16,318,1,16,4,1,12,1,10),(16,318,1,16,5,18,23,9,10),(16,318,1,16,6,3,8,2,6),(16,318,1,16,7,1,12,1,5),(16,318,1,16,8,8,19,4,10),(16,318,1,16,9,2,9,2,6),(16,318,1,16,10,20,10,11,4),(16,318,1,16,11,26,33,10,12),(16,318,1,16,12,5,13,3,5),(16,318,1,16,13,12,27,5,16),(16,318,1,16,14,8,25,1,11),(16,318,1,16,15,22,31,8,11),(16,318,1,16,16,4,14,1,5),(16,318,1,16,17,16,26,6,14),(16,318,1,16,18,22,17,10,9),(16,318,1,16,19,23,25,11,8),(16,318,1,16,20,7,23,3,12),(16,318,1,17,1,10,16,NULL,8),(16,318,1,17,2,NULL,5,NULL,1),(16,318,1,17,3,4,15,1,7),(16,318,1,17,4,1,7,NULL,6),(16,318,1,17,5,7,11,2,6),(16,318,1,17,6,NULL,7,NULL,3),(16,318,1,17,7,1,9,NULL,3),(16,318,1,17,8,7,15,1,9),(16,318,1,17,9,2,7,1,1),(16,318,1,17,10,13,11,8,2),(16,318,1,17,11,8,34,2,11),(16,318,1,17,12,2,4,1,2),(16,318,1,17,13,11,24,4,8),(16,318,1,17,14,4,18,2,4),(16,318,1,17,15,8,26,2,8),(16,318,1,17,16,1,9,NULL,5),(16,318,1,17,17,9,23,1,11),(16,318,1,17,18,16,11,3,9),(16,318,1,17,19,9,24,2,8),(16,318,1,17,20,NULL,22,NULL,5),(16,318,2,21,1,4,5,3,5),(16,318,2,21,2,8,19,8,6),(16,318,2,21,3,11,15,9,7),(16,318,2,21,4,23,14,14,6),(16,318,2,21,5,19,17,10,8),(16,318,2,21,6,8,12,3,6),(16,318,2,21,7,7,11,4,5),(16,318,2,21,8,2,10,NULL,8),(16,318,2,21,9,2,10,2,4),(16,318,2,21,10,5,14,3,8),(16,318,2,21,11,9,13,5,8),(16,318,2,21,12,9,17,5,10),(16,318,2,21,13,7,23,2,15),(16,318,2,21,14,23,30,9,13),(16,318,2,21,15,34,3,18,1),(16,318,2,21,16,13,19,7,11),(16,318,2,21,17,9,13,8,6),(16,318,2,21,18,9,7,7,4),(16,318,2,21,19,12,33,5,14),(16,318,2,21,20,18,19,11,8),(16,318,2,21,21,7,7,5,6),(16,318,2,21,22,7,16,1,6),(16,318,2,21,23,7,19,3,9),(16,318,2,21,24,8,23,3,11),(16,318,2,21,25,3,NULL,3,NULL),(16,318,2,21,26,67,NULL,24,NULL),(16,318,2,21,27,8,19,4,12),(16,318,2,21,28,2,8,NULL,4),(16,318,2,21,29,8,23,2,15),(16,318,2,21,30,4,10,3,6),(16,318,2,22,1,1,3,1,3),(16,318,2,22,2,4,15,3,7),(16,318,2,22,3,14,9,8,6),(16,318,2,22,4,20,7,13,2),(16,318,2,22,5,18,15,11,6),(16,318,2,22,6,5,14,4,9),(16,318,2,22,7,5,7,2,4),(16,318,2,22,8,2,11,1,3),(16,318,2,22,9,1,6,1,4),(16,318,2,22,10,4,13,2,7),(16,318,2,22,11,12,7,8,3),(16,318,2,22,12,7,14,4,5),(16,318,2,22,13,12,19,6,9),(16,318,2,22,14,18,32,12,12),(16,318,2,22,15,40,4,19,1),(16,318,2,22,16,13,22,6,10),(16,318,2,22,17,10,17,5,8),(16,318,2,22,18,2,11,1,8),(16,318,2,22,19,17,26,12,7),(16,318,2,22,20,9,17,6,8),(16,318,2,22,21,6,17,3,8),(16,318,2,22,22,8,16,5,11),(16,318,2,22,23,17,18,12,7),(16,318,2,22,24,7,23,4,10),(16,318,2,22,25,1,NULL,1,NULL),(16,318,2,22,26,69,NULL,26,NULL),(16,318,2,22,27,8,20,5,8),(16,318,2,22,28,NULL,7,NULL,3),(16,318,2,22,29,4,29,3,14),(16,318,2,22,30,5,12,3,8),(16,318,2,23,1,1,5,1,2),(16,318,2,23,2,1,28,1,12),(16,318,2,23,3,4,7,1,4),(16,318,2,23,4,14,12,8,3),(16,318,2,23,5,8,18,2,9),(16,318,2,23,6,3,7,2,3),(16,318,2,23,7,5,8,NULL,1),(16,318,2,23,8,5,6,1,3),(16,318,2,23,9,2,4,1,NULL),(16,318,2,23,10,2,12,NULL,6),(16,318,2,23,11,9,3,8,1),(16,318,2,23,12,13,9,5,5),(16,318,2,23,13,6,19,3,8),(16,318,2,23,14,15,22,11,5),(16,318,2,23,15,28,5,14,1),(16,318,2,23,16,17,15,9,5),(16,318,2,23,17,8,12,5,7),(16,318,2,23,18,4,9,1,5),(16,318,2,23,19,12,21,7,7),(16,318,2,23,20,11,15,4,7),(16,318,2,23,21,7,21,5,6),(16,318,2,23,22,5,8,3,4),(16,318,2,23,23,13,14,8,8),(16,318,2,23,24,4,33,NULL,14),(16,318,2,23,25,4,NULL,3,NULL),(16,318,2,23,26,61,NULL,18,NULL),(16,318,2,23,27,5,21,2,6),(16,318,2,23,28,2,7,NULL,2),(16,318,2,23,29,6,27,2,9),(16,318,2,23,30,8,8,7,2),(16,318,2,24,1,5,6,4,4),(16,318,2,24,2,4,16,4,7),(16,318,2,24,3,14,11,10,6),(16,318,2,24,4,11,11,8,5),(16,318,2,24,5,7,17,5,9),(16,318,2,24,6,2,10,2,4),(16,318,2,24,7,5,7,2,4),(16,318,2,24,8,3,10,1,3),(16,318,2,24,9,2,3,2,1),(16,318,2,24,10,3,10,1,7),(16,318,2,24,11,4,12,2,7),(16,318,2,24,12,9,11,4,7),(16,318,2,24,13,6,12,3,7),(16,318,2,24,14,26,18,13,8),(16,318,2,24,15,28,6,17,1),(16,318,2,24,16,15,14,11,6),(16,318,2,24,17,5,10,4,7),(16,318,2,24,18,5,8,3,4),(16,318,2,24,19,18,20,11,6),(16,318,2,24,20,18,12,10,5),(16,318,2,24,21,2,14,2,9),(16,318,2,24,22,11,12,5,6),(16,318,2,24,23,10,13,5,9),(16,318,2,24,24,4,22,3,12),(16,318,2,24,25,3,NULL,3,NULL),(16,318,2,24,26,58,NULL,22,NULL),(16,318,2,24,27,4,13,3,6),(16,318,2,24,28,3,6,1,3),(16,318,2,24,29,3,24,1,15),(16,318,2,24,30,12,5,7,3),(16,318,3,31,1,1,7,1,4),(16,318,3,31,2,3,5,3,2),(16,318,3,31,3,NULL,7,NULL,3),(16,318,3,31,4,NULL,11,NULL,7),(16,318,3,31,5,6,15,4,6),(16,318,3,31,6,23,15,13,6),(16,318,3,31,7,NULL,8,NULL,3),(16,318,3,31,8,NULL,6,NULL,6),(16,318,3,31,9,1,4,NULL,4),(16,318,3,31,10,NULL,3,NULL,1),(16,318,3,31,11,9,10,3,3),(16,318,3,31,12,9,13,6,8),(16,318,3,31,13,11,9,9,2),(16,318,3,31,14,15,15,9,5),(16,318,3,31,15,21,12,13,6),(16,318,3,31,16,13,15,9,5),(16,318,3,31,17,23,17,12,9),(16,318,3,31,18,6,8,2,3),(16,318,3,31,19,7,19,2,9),(16,318,3,31,20,21,NULL,14,NULL),(16,318,3,31,21,7,24,5,9),(16,318,3,31,22,2,6,1,1),(16,318,3,31,23,3,7,3,6),(16,318,3,31,24,4,4,4,2),(16,318,3,31,25,2,4,NULL,4),(16,318,3,31,26,2,4,1,4),(16,318,3,31,27,2,4,NULL,3),(16,318,3,31,28,3,10,2,6),(16,318,3,31,29,6,9,4,4),(16,318,3,31,30,NULL,3,NULL,1),(16,318,3,32,1,2,9,NULL,4),(16,318,3,32,2,1,8,1,NULL),(16,318,3,32,3,1,6,1,2),(16,318,3,32,4,1,12,1,6),(16,318,3,32,5,6,18,3,6),(16,318,3,32,6,26,15,12,6),(16,318,3,32,7,1,4,NULL,2),(16,318,3,32,8,2,4,1,2),(16,318,3,32,9,NULL,6,NULL,2),(16,318,3,32,10,2,6,NULL,1),(16,318,3,32,11,10,10,3,4),(16,318,3,32,12,11,12,8,5),(16,318,3,32,13,8,9,6,2),(16,318,3,32,14,9,15,4,6),(16,318,3,32,15,14,13,6,8),(16,318,3,32,16,6,17,4,7),(16,318,3,32,17,17,15,9,5),(16,318,3,32,18,8,2,5,1),(16,318,3,32,19,8,14,2,4),(16,318,3,32,20,20,NULL,12,NULL),(16,318,3,32,21,8,25,5,7),(16,318,3,32,22,4,4,1,2),(16,318,3,32,23,3,5,1,2),(16,318,3,32,24,2,3,2,3),(16,318,3,32,25,2,4,1,1),(16,318,3,32,26,NULL,8,NULL,2),(16,318,3,32,27,2,4,NULL,3),(16,318,3,32,28,5,6,4,3),(16,318,3,32,29,7,11,5,4),(16,318,3,32,30,NULL,5,NULL,3),(16,318,3,33,1,2,11,2,6),(16,318,3,33,2,1,4,1,2),(16,318,3,33,3,1,9,NULL,4),(16,318,3,33,4,5,9,3,4),(16,318,3,33,5,12,26,4,13),(16,318,3,33,6,40,10,17,3),(16,318,3,33,7,3,9,2,5),(16,318,3,33,8,2,3,2,2),(16,318,3,33,9,NULL,1,NULL,NULL),(16,318,3,33,10,2,4,1,NULL),(16,318,3,33,11,17,11,8,7),(16,318,3,33,12,18,17,12,7),(16,318,3,33,13,14,15,10,6),(16,318,3,33,14,17,20,8,9),(16,318,3,33,15,27,10,12,7),(16,318,3,33,16,14,22,8,9),(16,318,3,33,17,32,21,12,11),(16,318,3,33,18,10,2,4,1),(16,318,3,33,19,12,11,7,5),(16,318,3,33,20,39,NULL,22,NULL),(16,318,3,33,21,11,40,3,17),(16,318,3,33,22,2,11,1,6),(16,318,3,33,23,1,12,NULL,8),(16,318,3,33,24,3,4,1,2),(16,318,3,33,25,2,11,NULL,8),(16,318,3,33,26,1,6,NULL,2),(16,318,3,33,27,3,13,2,7),(16,318,3,33,28,7,10,5,2),(16,318,3,33,29,10,16,6,6),(16,318,3,33,30,4,3,2,2),(16,318,3,34,1,1,8,1,6),(16,318,3,34,2,1,6,NULL,3),(16,318,3,34,3,1,6,1,4),(16,318,3,34,4,NULL,7,NULL,2),(16,318,3,34,5,9,21,7,10),(16,318,3,34,6,29,19,12,8),(16,318,3,34,7,1,4,1,2),(16,318,3,34,8,1,6,1,3),(16,318,3,34,9,NULL,5,NULL,1),(16,318,3,34,10,3,3,NULL,2),(16,318,3,34,11,14,4,5,1),(16,318,3,34,12,10,15,4,8),(16,318,3,34,13,15,13,12,3),(16,318,3,34,14,10,17,6,7),(16,318,3,34,15,15,14,9,9),(16,318,3,34,16,10,20,5,10),(16,318,3,34,17,24,23,13,8),(16,318,3,34,18,11,3,9,1),(16,318,3,34,19,11,14,7,7),(16,318,3,34,20,38,NULL,21,NULL),(16,318,3,34,21,10,26,4,15),(16,318,3,34,22,2,1,2,NULL),(16,318,3,34,23,3,10,1,1),(16,318,3,34,24,2,11,2,4),(16,318,3,34,25,4,5,2,5),(16,318,3,34,26,2,3,1,NULL),(16,318,3,34,27,4,4,2,4),(16,318,3,34,28,9,12,8,6),(16,318,3,34,29,15,8,8,5),(16,318,3,34,30,1,2,1,1),(16,319,1,11,1,NULL,NULL,NULL,NULL),(16,319,1,11,2,NULL,NULL,NULL,NULL),(16,319,1,11,3,NULL,NULL,NULL,NULL),(16,319,1,11,4,NULL,NULL,NULL,NULL),(16,319,1,11,5,NULL,NULL,NULL,NULL),(16,319,1,11,6,NULL,NULL,NULL,NULL),(16,319,1,11,7,NULL,NULL,NULL,NULL),(16,319,1,11,8,NULL,NULL,NULL,NULL),(16,319,1,11,9,NULL,NULL,NULL,NULL),(16,319,1,11,10,NULL,NULL,NULL,NULL),(16,319,1,11,11,NULL,NULL,NULL,NULL),(16,319,1,11,12,NULL,NULL,NULL,NULL),(16,319,1,11,13,NULL,NULL,NULL,NULL),(16,319,1,11,14,NULL,NULL,NULL,NULL),(16,319,1,11,15,NULL,NULL,NULL,NULL),(16,319,1,11,16,NULL,NULL,NULL,NULL),(16,319,1,11,17,NULL,NULL,NULL,NULL),(16,319,1,11,18,NULL,NULL,NULL,NULL),(16,319,1,11,19,NULL,NULL,NULL,NULL),(16,319,1,11,20,NULL,NULL,NULL,NULL),(16,319,1,12,1,2,NULL,1,NULL),(16,319,1,12,2,1,NULL,1,NULL),(16,319,1,12,3,1,2,1,1),(16,319,1,12,4,NULL,1,NULL,1),(16,319,1,12,5,1,1,NULL,1),(16,319,1,12,6,1,NULL,NULL,NULL),(16,319,1,12,7,NULL,NULL,NULL,NULL),(16,319,1,12,8,1,NULL,1,NULL),(16,319,1,12,9,NULL,NULL,NULL,NULL),(16,319,1,12,10,1,NULL,1,NULL),(16,319,1,12,11,3,1,2,NULL),(16,319,1,12,12,3,1,1,1),(16,319,1,12,13,2,NULL,NULL,NULL),(16,319,1,12,14,2,NULL,1,NULL),(16,319,1,12,15,3,1,2,NULL),(16,319,1,12,16,3,NULL,2,NULL),(16,319,1,12,17,3,NULL,1,NULL),(16,319,1,12,18,4,NULL,2,NULL),(16,319,1,12,19,3,1,1,1),(16,319,1,12,20,3,1,1,1),(16,319,1,13,1,3,NULL,NULL,NULL),(16,319,1,13,2,1,NULL,NULL,NULL),(16,319,1,13,3,NULL,1,NULL,NULL),(16,319,1,13,4,NULL,1,NULL,NULL),(16,319,1,13,5,2,1,NULL,NULL),(16,319,1,13,6,1,1,NULL,NULL),(16,319,1,13,7,NULL,1,NULL,NULL),(16,319,1,13,8,2,NULL,NULL,NULL),(16,319,1,13,9,NULL,2,NULL,NULL),(16,319,1,13,10,NULL,NULL,NULL,NULL),(16,319,1,13,11,4,NULL,NULL,NULL),(16,319,1,13,12,2,NULL,NULL,NULL),(16,319,1,13,13,4,NULL,NULL,NULL),(16,319,1,13,14,4,NULL,NULL,NULL),(16,319,1,13,15,NULL,1,NULL,NULL),(16,319,1,13,16,1,NULL,NULL,NULL),(16,319,1,13,17,4,NULL,NULL,NULL),(16,319,1,13,18,4,NULL,NULL,NULL),(16,319,1,13,19,4,NULL,NULL,NULL),(16,319,1,13,20,2,NULL,NULL,NULL),(16,319,1,14,1,56,38,16,7),(16,319,1,14,2,11,11,4,3),(16,319,1,14,3,34,41,9,10),(16,319,1,14,4,8,27,2,11),(16,319,1,14,5,50,42,12,7),(16,319,1,14,6,15,31,6,13),(16,319,1,14,7,10,16,3,5),(16,319,1,14,8,26,39,10,11),(16,319,1,14,9,10,27,5,10),(16,319,1,14,10,52,29,11,8),(16,319,1,14,11,35,18,15,NULL),(16,319,1,14,12,41,21,15,7),(16,319,1,14,13,74,40,18,4),(16,319,1,14,14,26,24,9,10),(16,319,1,14,15,11,29,2,10),(16,319,1,14,16,54,20,17,3),(16,319,1,14,17,53,40,12,12),(16,319,1,14,18,26,24,12,9),(16,319,1,14,19,55,38,17,9),(16,319,1,14,20,29,56,6,14),(16,319,1,15,1,42,36,7,11),(16,319,1,15,2,16,15,6,5),(16,319,1,15,3,40,42,9,10),(16,319,1,15,4,8,35,NULL,13),(16,319,1,15,5,42,36,14,6),(16,319,1,15,6,20,32,4,14),(16,319,1,15,7,15,11,7,3),(16,319,1,15,8,31,38,6,14),(16,319,1,15,9,11,32,6,10),(16,319,1,15,10,55,25,14,6),(16,319,1,15,11,38,10,12,2),(16,319,1,15,12,33,17,10,6),(16,319,1,15,13,66,28,19,2),(16,319,1,15,14,27,21,9,5),(16,319,1,15,15,16,32,7,10),(16,319,1,15,16,65,18,16,4),(16,319,1,15,17,57,36,13,9),(16,319,1,15,18,13,24,6,8),(16,319,1,15,19,43,40,12,11),(16,319,1,15,20,39,56,10,12),(16,319,1,16,1,46,42,7,7),(16,319,1,16,2,6,7,1,2),(16,319,1,16,3,32,31,5,8),(16,319,1,16,4,5,27,NULL,12),(16,319,1,16,5,44,45,10,4),(16,319,1,16,6,6,25,2,7),(16,319,1,16,7,4,17,NULL,3),(16,319,1,16,8,19,42,5,10),(16,319,1,16,9,7,22,2,7),(16,319,1,16,10,49,24,11,7),(16,319,1,16,11,54,79,5,15),(16,319,1,16,12,11,26,3,7),(16,319,1,16,13,47,48,10,9),(16,319,1,16,14,27,62,2,12),(16,319,1,16,15,49,64,8,10),(16,319,1,16,16,6,47,NULL,5),(16,319,1,16,17,29,58,4,15),(16,319,1,16,18,44,32,9,7),(16,319,1,16,19,35,66,8,9),(16,319,1,16,20,7,48,2,9),(16,319,1,17,1,44,40,4,6),(16,319,1,17,2,10,16,2,6),(16,319,1,17,3,19,33,6,3),(16,319,1,17,4,5,23,1,7),(16,319,1,17,5,25,45,3,6),(16,319,1,17,6,5,23,1,7),(16,319,1,17,7,9,11,3,2),(16,319,1,17,8,24,33,3,7),(16,319,1,17,9,8,10,2,4),(16,319,1,17,10,45,24,6,4),(16,319,1,17,11,39,79,2,10),(16,319,1,17,12,6,12,2,2),(16,319,1,17,13,32,63,2,7),(16,319,1,17,14,18,53,3,5),(16,319,1,17,15,49,53,3,8),(16,319,1,17,16,9,36,1,3),(16,319,1,17,17,23,49,6,6),(16,319,1,17,18,39,26,8,2),(16,319,1,17,19,32,61,8,3),(16,319,1,17,20,6,40,2,5),(16,319,2,21,1,10,19,5,9),(16,319,2,21,2,12,53,8,5),(16,319,2,21,3,18,24,6,7),(16,319,2,21,4,56,16,14,3),(16,319,2,21,5,23,45,5,8),(16,319,2,21,6,16,26,3,8),(16,319,2,21,7,11,11,3,2),(16,319,2,21,8,16,26,3,4),(16,319,2,21,9,5,15,4,3),(16,319,2,21,10,22,26,5,7),(16,319,2,21,11,18,16,8,3),(16,319,2,21,12,21,30,4,11),(16,319,2,21,13,21,34,4,9),(16,319,2,21,14,55,33,14,7),(16,319,2,21,15,53,11,15,1),(16,319,2,21,16,32,26,8,8),(16,319,2,21,17,20,25,5,8),(16,319,2,21,18,12,13,2,6),(16,319,2,21,19,42,44,13,7),(16,319,2,21,20,31,26,5,5),(16,319,2,21,21,12,23,5,5),(16,319,2,21,22,21,16,10,5),(16,319,2,21,23,17,26,6,8),(16,319,2,21,24,15,34,1,7),(16,319,2,21,25,1,NULL,1,NULL),(16,319,2,21,26,161,NULL,22,NULL),(16,319,2,21,27,11,34,5,8),(16,319,2,21,28,6,24,NULL,12),(16,319,2,21,29,19,47,2,13),(16,319,2,21,30,21,22,8,6),(16,319,2,22,1,12,17,7,8),(16,319,2,22,2,19,64,12,5),(16,319,2,22,3,38,25,13,3),(16,319,2,22,4,50,31,17,6),(16,319,2,22,5,28,41,9,9),(16,319,2,22,6,17,28,7,6),(16,319,2,22,7,6,16,1,2),(16,319,2,22,8,11,20,3,3),(16,319,2,22,9,6,16,2,5),(16,319,2,22,10,15,32,6,4),(16,319,2,22,11,9,15,4,6),(16,319,2,22,12,27,35,9,9),(16,319,2,22,13,9,44,2,12),(16,319,2,22,14,48,53,14,11),(16,319,2,22,15,61,15,19,3),(16,319,2,22,16,20,35,5,9),(16,319,2,22,17,19,19,5,8),(16,319,2,22,18,15,24,4,8),(16,319,2,22,19,46,46,15,10),(16,319,2,22,20,17,26,8,8),(16,319,2,22,21,11,36,4,12),(16,319,2,22,22,16,29,5,12),(16,319,2,22,23,16,33,7,13),(16,319,2,22,24,23,50,2,15),(16,319,2,22,25,6,NULL,3,NULL),(16,319,2,22,26,169,NULL,27,NULL),(16,319,2,22,27,14,48,4,11),(16,319,2,22,28,13,31,3,11),(16,319,2,22,29,16,50,2,16),(16,319,2,22,30,19,19,10,4),(16,319,2,23,1,9,8,3,2),(16,319,2,23,2,13,50,6,7),(16,319,2,23,3,35,28,5,4),(16,319,2,23,4,60,19,12,4),(16,319,2,23,5,18,43,4,8),(16,319,2,23,6,9,32,2,9),(16,319,2,23,7,13,23,4,3),(16,319,2,23,8,8,14,1,3),(16,319,2,23,9,1,12,NULL,NULL),(16,319,2,23,10,12,19,3,7),(16,319,2,23,11,9,18,5,4),(16,319,2,23,12,35,22,4,5),(16,319,2,23,13,6,28,2,4),(16,319,2,23,14,39,40,7,8),(16,319,2,23,15,60,8,11,2),(16,319,2,23,16,29,31,7,7),(16,319,2,23,17,18,16,5,2),(16,319,2,23,18,12,16,3,3),(16,319,2,23,19,24,45,4,9),(16,319,2,23,20,22,32,8,5),(16,319,2,23,21,12,34,4,5),(16,319,2,23,22,15,29,3,5),(16,319,2,23,23,12,32,3,7),(16,319,2,23,24,17,47,4,7),(16,319,2,23,25,4,NULL,1,NULL),(16,319,2,23,26,153,NULL,17,NULL),(16,319,2,23,27,10,39,2,8),(16,319,2,23,28,6,15,NULL,NULL),(16,319,2,23,29,18,38,5,6),(16,319,2,23,30,15,14,3,2),(16,319,2,24,1,10,10,5,3),(16,319,2,24,2,16,45,8,7),(16,319,2,24,3,22,19,5,6),(16,319,2,24,4,44,25,15,2),(16,319,2,24,5,25,42,9,8),(16,319,2,24,6,18,28,5,7),(16,319,2,24,7,14,22,3,7),(16,319,2,24,8,7,17,1,2),(16,319,2,24,9,10,14,6,5),(16,319,2,24,10,13,29,6,5),(16,319,2,24,11,16,14,8,6),(16,319,2,24,12,22,26,5,10),(16,319,2,24,13,13,27,5,5),(16,319,2,24,14,41,37,10,11),(16,319,2,24,15,49,12,12,3),(16,319,2,24,16,23,26,8,7),(16,319,2,24,17,15,18,6,6),(16,319,2,24,18,16,18,5,6),(16,319,2,24,19,31,37,9,11),(16,319,2,24,20,29,28,13,5),(16,319,2,24,21,12,38,2,13),(16,319,2,24,22,7,18,3,7),(16,319,2,24,23,14,24,4,7),(16,319,2,24,24,10,40,4,10),(16,319,2,24,25,6,NULL,4,NULL),(16,319,2,24,26,148,NULL,24,NULL),(16,319,2,24,27,9,28,5,9),(16,319,2,24,28,4,13,1,5),(16,319,2,24,29,9,49,4,13),(16,319,2,24,30,15,22,7,7),(16,319,3,31,1,3,13,2,4),(16,319,3,31,2,6,10,3,2),(16,319,3,31,3,1,18,NULL,5),(16,319,3,31,4,7,18,NULL,7),(16,319,3,31,5,12,34,4,7),(16,319,3,31,6,74,31,14,6),(16,319,3,31,7,1,18,1,6),(16,319,3,31,8,2,11,1,4),(16,319,3,31,9,1,14,NULL,2),(16,319,3,31,10,1,15,NULL,4),(16,319,3,31,11,32,19,9,4),(16,319,3,31,12,27,27,7,10),(16,319,3,31,13,18,16,5,3),(16,319,3,31,14,23,42,6,10),(16,319,3,31,15,33,24,11,5),(16,319,3,31,16,28,48,7,10),(16,319,3,31,17,59,35,13,10),(16,319,3,31,18,27,13,6,3),(16,319,3,31,19,20,18,4,7),(16,319,3,31,20,62,NULL,14,NULL),(16,319,3,31,21,22,53,6,12),(16,319,3,31,22,1,13,NULL,2),(16,319,3,31,23,3,23,1,2),(16,319,3,31,24,5,17,3,5),(16,319,3,31,25,3,15,1,3),(16,319,3,31,26,1,11,1,1),(16,319,3,31,27,1,13,NULL,2),(16,319,3,31,28,23,41,7,13),(16,319,3,31,29,21,29,5,5),(16,319,3,31,30,5,19,NULL,9),(16,319,3,32,1,2,19,NULL,4),(16,319,3,32,2,7,11,2,3),(16,319,3,32,3,3,18,NULL,3),(16,319,3,32,4,7,21,2,5),(16,319,3,32,5,17,40,2,5),(16,319,3,32,6,81,33,11,4),(16,319,3,32,7,2,16,2,5),(16,319,3,32,8,1,9,NULL,2),(16,319,3,32,9,4,4,2,2),(16,319,3,32,10,4,15,1,2),(16,319,3,32,11,19,24,4,2),(16,319,3,32,12,20,32,5,8),(16,319,3,32,13,22,16,6,4),(16,319,3,32,14,23,39,7,5),(16,319,3,32,15,30,21,12,4),(16,319,3,32,16,20,51,1,9),(16,319,3,32,17,43,40,9,6),(16,319,3,32,18,25,12,6,1),(16,319,3,32,19,15,30,2,7),(16,319,3,32,20,59,NULL,13,NULL),(16,319,3,32,21,28,59,4,8),(16,319,3,32,22,4,10,2,3),(16,319,3,32,23,2,16,1,3),(16,319,3,32,24,12,13,3,4),(16,319,3,32,25,3,13,1,3),(16,319,3,32,26,1,10,NULL,1),(16,319,3,32,27,6,13,3,2),(16,319,3,32,28,17,31,7,6),(16,319,3,32,29,28,27,9,2),(16,319,3,32,30,6,9,1,3),(16,319,3,33,1,8,22,4,7),(16,319,3,33,2,7,15,4,4),(16,319,3,33,3,3,24,NULL,10),(16,319,3,33,4,5,24,1,7),(16,319,3,33,5,26,48,4,7),(16,319,3,33,6,93,45,15,12),(16,319,3,33,7,4,10,3,3),(16,319,3,33,8,2,17,1,7),(16,319,3,33,9,2,9,1,2),(16,319,3,33,10,2,13,NULL,3),(16,319,3,33,11,26,20,1,5),(16,319,3,33,12,25,45,11,12),(16,319,3,33,13,29,17,14,3),(16,319,3,33,14,27,46,12,9),(16,319,3,33,15,32,26,16,4),(16,319,3,33,16,23,46,8,10),(16,319,3,33,17,54,43,16,6),(16,319,3,33,18,24,18,5,NULL),(16,319,3,33,19,16,38,5,6),(16,319,3,33,20,87,NULL,22,NULL),(16,319,3,33,21,39,66,12,6),(16,319,3,33,22,6,21,2,4),(16,319,3,33,23,4,20,1,2),(16,319,3,33,24,12,18,6,7),(16,319,3,33,25,6,21,2,8),(16,319,3,33,26,1,11,NULL,4),(16,319,3,33,27,4,23,1,5),(16,319,3,33,28,27,35,14,5),(16,319,3,33,29,26,30,9,3),(16,319,3,33,30,1,17,NULL,6),(16,319,3,34,1,8,21,NULL,3),(16,319,3,34,2,5,12,2,2),(16,319,3,34,3,3,14,1,5),(16,319,3,34,4,3,11,2,4),(16,319,3,34,5,15,51,2,10),(16,319,3,34,6,67,39,16,6),(16,319,3,34,7,7,18,4,4),(16,319,3,34,8,5,8,2,3),(16,319,3,34,9,1,13,NULL,4),(16,319,3,34,10,8,17,NULL,1),(16,319,3,34,11,17,32,6,4),(16,319,3,34,12,26,33,6,9),(16,319,3,34,13,20,23,9,7),(16,319,3,34,14,33,36,8,7),(16,319,3,34,15,31,26,12,7),(16,319,3,34,16,21,45,3,10),(16,319,3,34,17,37,42,11,7),(16,319,3,34,18,29,13,8,3),(16,319,3,34,19,15,26,4,7),(16,319,3,34,20,74,NULL,18,NULL),(16,319,3,34,21,21,68,5,10),(16,319,3,34,22,4,16,1,4),(16,319,3,34,23,4,24,1,7),(16,319,3,34,24,6,19,4,6),(16,319,3,34,25,3,17,1,5),(16,319,3,34,26,2,7,1,2),(16,319,3,34,27,5,21,2,6),(16,319,3,34,28,24,20,10,4),(16,319,3,34,29,27,20,9,3),(16,319,3,34,30,2,15,1,5),(16,320,1,11,1,NULL,NULL,NULL,NULL),(16,320,1,11,2,NULL,NULL,NULL,NULL),(16,320,1,11,3,NULL,NULL,NULL,NULL),(16,320,1,11,4,NULL,NULL,NULL,NULL),(16,320,1,11,5,NULL,NULL,NULL,NULL),(16,320,1,11,6,NULL,NULL,NULL,NULL),(16,320,1,11,7,NULL,NULL,NULL,NULL),(16,320,1,11,8,NULL,NULL,NULL,NULL),(16,320,1,11,9,NULL,NULL,NULL,NULL),(16,320,1,11,10,NULL,NULL,NULL,NULL),(16,320,1,11,11,NULL,NULL,NULL,NULL),(16,320,1,11,12,NULL,NULL,NULL,NULL),(16,320,1,11,13,NULL,NULL,NULL,NULL),(16,320,1,11,14,NULL,NULL,NULL,NULL),(16,320,1,11,15,NULL,NULL,NULL,NULL),(16,320,1,11,16,NULL,NULL,NULL,NULL),(16,320,1,11,17,NULL,NULL,NULL,NULL),(16,320,1,11,18,NULL,NULL,NULL,NULL),(16,320,1,11,19,NULL,NULL,NULL,NULL),(16,320,1,11,20,NULL,NULL,NULL,NULL),(16,320,1,12,1,NULL,NULL,NULL,NULL),(16,320,1,12,2,NULL,NULL,NULL,NULL),(16,320,1,12,3,NULL,NULL,NULL,NULL),(16,320,1,12,4,NULL,NULL,NULL,NULL),(16,320,1,12,5,1,NULL,1,NULL),(16,320,1,12,6,NULL,1,NULL,1),(16,320,1,12,7,NULL,NULL,NULL,NULL),(16,320,1,12,8,NULL,NULL,NULL,NULL),(16,320,1,12,9,NULL,NULL,NULL,NULL),(16,320,1,12,10,NULL,NULL,NULL,NULL),(16,320,1,12,11,1,NULL,1,NULL),(16,320,1,12,12,NULL,1,NULL,1),(16,320,1,12,13,NULL,NULL,NULL,NULL),(16,320,1,12,14,1,NULL,1,NULL),(16,320,1,12,15,1,NULL,1,NULL),(16,320,1,12,16,1,NULL,1,NULL),(16,320,1,12,17,1,NULL,1,NULL),(16,320,1,12,18,1,NULL,1,NULL),(16,320,1,12,19,1,NULL,1,NULL),(16,320,1,12,20,NULL,1,NULL,1),(16,320,1,13,1,NULL,NULL,NULL,NULL),(16,320,1,13,2,NULL,NULL,NULL,NULL),(16,320,1,13,3,1,NULL,1,NULL),(16,320,1,13,4,NULL,NULL,NULL,NULL),(16,320,1,13,5,1,NULL,1,NULL),(16,320,1,13,6,NULL,NULL,NULL,NULL),(16,320,1,13,7,NULL,NULL,NULL,NULL),(16,320,1,13,8,NULL,NULL,NULL,NULL),(16,320,1,13,9,NULL,NULL,NULL,NULL),(16,320,1,13,10,NULL,NULL,NULL,NULL),(16,320,1,13,11,1,NULL,1,NULL),(16,320,1,13,12,NULL,NULL,NULL,NULL),(16,320,1,13,13,1,NULL,1,NULL),(16,320,1,13,14,1,NULL,1,NULL),(16,320,1,13,15,NULL,1,NULL,1),(16,320,1,13,16,NULL,NULL,NULL,NULL),(16,320,1,13,17,1,NULL,1,NULL),(16,320,1,13,18,1,NULL,1,NULL),(16,320,1,13,19,NULL,NULL,NULL,NULL),(16,320,1,13,20,1,NULL,1,NULL),(16,320,1,14,1,6,9,3,4),(16,320,1,14,2,4,1,4,1),(16,320,1,14,3,4,5,2,2),(16,320,1,14,4,NULL,3,NULL,3),(16,320,1,14,5,7,2,6,1),(16,320,1,14,6,3,2,1,2),(16,320,1,14,7,4,NULL,2,NULL),(16,320,1,14,8,8,2,7,1),(16,320,1,14,9,2,5,1,5),(16,320,1,14,10,5,4,5,3),(16,320,1,14,11,8,3,6,1),(16,320,1,14,12,4,3,4,2),(16,320,1,14,13,9,4,7,2),(16,320,1,14,14,3,3,3,2),(16,320,1,14,15,2,1,2,1),(16,320,1,14,16,8,3,6,2),(16,320,1,14,17,4,6,3,5),(16,320,1,14,18,5,1,4,1),(16,320,1,14,19,8,5,4,3),(16,320,1,14,20,3,6,3,4),(16,320,1,15,1,10,3,6,3),(16,320,1,15,2,NULL,3,NULL,3),(16,320,1,15,3,9,4,7,2),(16,320,1,15,4,3,2,3,2),(16,320,1,15,5,5,5,3,4),(16,320,1,15,6,3,4,1,3),(16,320,1,15,7,1,2,1,2),(16,320,1,15,8,4,4,4,4),(16,320,1,15,9,1,6,NULL,6),(16,320,1,15,10,7,NULL,7,NULL),(16,320,1,15,11,8,1,8,1),(16,320,1,15,12,5,2,5,NULL),(16,320,1,15,13,9,5,7,4),(16,320,1,15,14,4,2,4,2),(16,320,1,15,15,3,3,2,3),(16,320,1,15,16,12,NULL,11,NULL),(16,320,1,15,17,8,4,7,3),(16,320,1,15,18,5,3,4,3),(16,320,1,15,19,7,5,6,3),(16,320,1,15,20,8,7,6,5),(16,320,1,16,1,9,8,7,4),(16,320,1,16,2,2,1,1,1),(16,320,1,16,3,2,5,2,4),(16,320,1,16,4,1,1,1,1),(16,320,1,16,5,6,6,5,5),(16,320,1,16,6,NULL,4,NULL,3),(16,320,1,16,7,2,3,2,2),(16,320,1,16,8,4,5,4,3),(16,320,1,16,9,1,4,NULL,2),(16,320,1,16,10,6,6,3,3),(16,320,1,16,11,7,14,3,9),(16,320,1,16,12,4,4,3,3),(16,320,1,16,13,8,11,5,5),(16,320,1,16,14,2,14,2,9),(16,320,1,16,15,12,7,10,2),(16,320,1,16,16,2,10,2,5),(16,320,1,16,17,6,7,6,4),(16,320,1,16,18,6,4,3,3),(16,320,1,16,19,12,6,9,2),(16,320,1,16,20,NULL,13,NULL,8),(16,320,1,17,1,5,9,3,4),(16,320,1,17,2,2,3,2,1),(16,320,1,17,3,6,8,4,3),(16,320,1,17,4,2,5,2,2),(16,320,1,17,5,4,6,2,2),(16,320,1,17,6,NULL,4,NULL,3),(16,320,1,17,7,2,3,1,2),(16,320,1,17,8,5,6,4,3),(16,320,1,17,9,4,3,4,1),(16,320,1,17,10,8,3,4,1),(16,320,1,17,11,5,16,3,7),(16,320,1,17,12,4,4,2,2),(16,320,1,17,13,6,9,5,3),(16,320,1,17,14,3,9,3,4),(16,320,1,17,15,8,13,6,3),(16,320,1,17,16,1,3,1,2),(16,320,1,17,17,5,11,3,5),(16,320,1,17,18,8,4,4,3),(16,320,1,17,19,5,9,5,4),(16,320,1,17,20,3,8,3,4),(16,320,2,21,1,1,3,1,2),(16,320,2,21,2,NULL,9,NULL,5),(16,320,2,21,3,3,5,2,3),(16,320,2,21,4,6,1,4,NULL),(16,320,2,21,5,3,4,1,2),(16,320,2,21,6,1,2,1,1),(16,320,2,21,7,3,NULL,1,NULL),(16,320,2,21,8,3,2,NULL,2),(16,320,2,21,9,NULL,5,NULL,4),(16,320,2,21,10,NULL,4,NULL,3),(16,320,2,21,11,1,2,NULL,2),(16,320,2,21,12,5,NULL,3,NULL),(16,320,2,21,13,2,3,2,1),(16,320,2,21,14,9,8,5,6),(16,320,2,21,15,10,1,7,1),(16,320,2,21,16,9,2,6,1),(16,320,2,21,17,2,7,1,4),(16,320,2,21,18,NULL,4,NULL,3),(16,320,2,21,19,11,7,8,4),(16,320,2,21,20,7,3,7,2),(16,320,2,21,21,2,NULL,2,NULL),(16,320,2,21,22,3,4,3,3),(16,320,2,21,23,4,4,4,3),(16,320,2,21,24,2,8,2,5),(16,320,2,21,25,NULL,NULL,NULL,NULL),(16,320,2,21,26,22,NULL,12,NULL),(16,320,2,21,27,NULL,4,NULL,2),(16,320,2,21,28,2,2,1,1),(16,320,2,21,29,2,5,2,3),(16,320,2,21,30,2,NULL,1,NULL),(16,320,2,22,1,NULL,1,NULL,1),(16,320,2,22,2,1,8,NULL,3),(16,320,2,22,3,2,3,1,1),(16,320,2,22,4,2,9,1,6),(16,320,2,22,5,2,6,1,3),(16,320,2,22,6,1,3,1,NULL),(16,320,2,22,7,3,6,NULL,4),(16,320,2,22,8,1,6,NULL,5),(16,320,2,22,9,NULL,2,NULL,1),(16,320,2,22,10,1,2,1,1),(16,320,2,22,11,1,1,1,1),(16,320,2,22,12,2,7,NULL,4),(16,320,2,22,13,NULL,6,NULL,3),(16,320,2,22,14,9,5,4,3),(16,320,2,22,15,9,3,5,NULL),(16,320,2,22,16,2,7,2,2),(16,320,2,22,17,3,3,1,2),(16,320,2,22,18,1,4,1,3),(16,320,2,22,19,5,2,4,NULL),(16,320,2,22,20,2,7,2,4),(16,320,2,22,21,1,3,NULL,2),(16,320,2,22,22,3,4,2,3),(16,320,2,22,23,3,4,3,2),(16,320,2,22,24,1,9,NULL,5),(16,320,2,22,25,NULL,NULL,NULL,NULL),(16,320,2,22,26,21,NULL,10,NULL),(16,320,2,22,27,NULL,5,NULL,2),(16,320,2,22,28,1,3,1,2),(16,320,2,22,29,1,9,1,5),(16,320,2,22,30,1,4,NULL,2),(16,320,2,23,1,NULL,2,NULL,2),(16,320,2,23,2,1,7,1,5),(16,320,2,23,3,4,5,3,4),(16,320,2,23,4,10,4,7,2),(16,320,2,23,5,4,6,3,4),(16,320,2,23,6,2,11,1,7),(16,320,2,23,7,NULL,6,NULL,3),(16,320,2,23,8,3,2,2,2),(16,320,2,23,9,4,1,3,1),(16,320,2,23,10,2,4,2,3),(16,320,2,23,11,3,5,3,3),(16,320,2,23,12,4,7,4,3),(16,320,2,23,13,2,7,2,4),(16,320,2,23,14,4,12,3,8),(16,320,2,23,15,13,2,9,1),(16,320,2,23,16,9,6,5,5),(16,320,2,23,17,4,6,3,3),(16,320,2,23,18,1,4,1,4),(16,320,2,23,19,5,10,4,4),(16,320,2,23,20,8,3,6,2),(16,320,2,23,21,2,5,1,1),(16,320,2,23,22,3,5,2,4),(16,320,2,23,23,3,7,3,6),(16,320,2,23,24,3,9,3,5),(16,320,2,23,25,NULL,NULL,NULL,NULL),(16,320,2,23,26,26,NULL,14,NULL),(16,320,2,23,27,3,7,2,5),(16,320,2,23,28,2,1,1,NULL),(16,320,2,23,29,4,8,3,5),(16,320,2,23,30,3,NULL,3,NULL),(16,320,2,24,1,NULL,2,NULL,1),(16,320,2,24,2,3,8,3,4),(16,320,2,24,3,5,4,2,4),(16,320,2,24,4,8,6,4,4),(16,320,2,24,5,4,6,2,3),(16,320,2,24,6,2,4,1,1),(16,320,2,24,7,NULL,3,NULL,3),(16,320,2,24,8,3,3,NULL,1),(16,320,2,24,9,2,2,1,1),(16,320,2,24,10,2,3,1,2),(16,320,2,24,11,2,4,1,4),(16,320,2,24,12,8,3,4,3),(16,320,2,24,13,5,6,2,5),(16,320,2,24,14,5,11,2,8),(16,320,2,24,15,15,3,7,2),(16,320,2,24,16,7,7,3,5),(16,320,2,24,17,3,5,2,2),(16,320,2,24,18,1,4,NULL,2),(16,320,2,24,19,8,6,4,2),(16,320,2,24,20,5,4,4,4),(16,320,2,24,21,1,5,NULL,4),(16,320,2,24,22,1,4,1,1),(16,320,2,24,23,4,4,1,4),(16,320,2,24,24,1,7,NULL,4),(16,320,2,24,25,NULL,NULL,NULL,NULL),(16,320,2,24,26,28,NULL,12,NULL),(16,320,2,24,27,1,7,1,4),(16,320,2,24,28,2,2,1,1),(16,320,2,24,29,1,5,1,4),(16,320,2,24,30,NULL,5,NULL,5),(16,320,3,31,1,NULL,3,NULL,1),(16,320,3,31,2,2,3,1,2),(16,320,3,31,3,NULL,3,NULL,1),(16,320,3,31,4,NULL,6,NULL,5),(16,320,3,31,5,2,5,1,2),(16,320,3,31,6,8,13,5,5),(16,320,3,31,7,NULL,2,NULL,1),(16,320,3,31,8,2,4,1,1),(16,320,3,31,9,NULL,1,NULL,1),(16,320,3,31,10,NULL,5,NULL,3),(16,320,3,31,11,9,3,5,NULL),(16,320,3,31,12,3,12,1,8),(16,320,3,31,13,4,4,2,2),(16,320,3,31,14,2,13,1,6),(16,320,3,31,15,9,5,6,2),(16,320,3,31,16,5,7,1,4),(16,320,3,31,17,12,10,5,5),(16,320,3,31,18,3,2,1,NULL),(16,320,3,31,19,4,7,NULL,6),(16,320,3,31,20,14,NULL,7,NULL),(16,320,3,31,21,2,13,1,4),(16,320,3,31,22,NULL,1,NULL,NULL),(16,320,3,31,23,1,4,1,NULL),(16,320,3,31,24,NULL,2,NULL,2),(16,320,3,31,25,1,NULL,NULL,NULL),(16,320,3,31,26,NULL,1,NULL,1),(16,320,3,31,27,NULL,3,NULL,2),(16,320,3,31,28,1,3,1,2),(16,320,3,31,29,1,6,NULL,2),(16,320,3,31,30,NULL,1,NULL,1),(16,320,3,32,1,2,9,2,5),(16,320,3,32,2,1,NULL,NULL,NULL),(16,320,3,32,3,NULL,5,NULL,3),(16,320,3,32,4,NULL,4,NULL,3),(16,320,3,32,5,1,7,1,5),(16,320,3,32,6,11,6,8,3),(16,320,3,32,7,1,NULL,NULL,NULL),(16,320,3,32,8,NULL,NULL,NULL,NULL),(16,320,3,32,9,NULL,2,NULL,1),(16,320,3,32,10,1,1,1,NULL),(16,320,3,32,11,3,2,1,1),(16,320,3,32,12,5,6,4,5),(16,320,3,32,13,2,6,2,4),(16,320,3,32,14,5,7,3,6),(16,320,3,32,15,5,11,5,5),(16,320,3,32,16,2,9,2,5),(16,320,3,32,17,11,5,7,3),(16,320,3,32,18,1,2,NULL,NULL),(16,320,3,32,19,3,6,1,3),(16,320,3,32,20,14,NULL,8,NULL),(16,320,3,32,21,3,8,1,3),(16,320,3,32,22,1,2,1,2),(16,320,3,32,23,2,2,1,1),(16,320,3,32,24,1,4,1,4),(16,320,3,32,25,1,4,1,3),(16,320,3,32,26,NULL,4,NULL,3),(16,320,3,32,27,1,1,NULL,1),(16,320,3,32,28,2,4,2,2),(16,320,3,32,29,1,7,1,5),(16,320,3,32,30,NULL,3,NULL,1),(16,320,3,33,1,NULL,1,NULL,1),(16,320,3,33,2,1,3,NULL,2),(16,320,3,33,3,2,1,NULL,NULL),(16,320,3,33,4,NULL,4,NULL,2),(16,320,3,33,5,NULL,8,NULL,4),(16,320,3,33,6,10,6,5,4),(16,320,3,33,7,NULL,NULL,NULL,NULL),(16,320,3,33,8,NULL,NULL,NULL,NULL),(16,320,3,33,9,NULL,NULL,NULL,NULL),(16,320,3,33,10,NULL,4,NULL,1),(16,320,3,33,11,1,5,1,5),(16,320,3,33,12,4,6,2,4),(16,320,3,33,13,3,3,2,1),(16,320,3,33,14,5,3,4,2),(16,320,3,33,15,7,4,5,1),(16,320,3,33,16,1,5,NULL,2),(16,320,3,33,17,7,4,5,3),(16,320,3,33,18,2,5,1,3),(16,320,3,33,19,3,2,1,1),(16,320,3,33,20,15,NULL,8,NULL),(16,320,3,33,21,3,8,3,1),(16,320,3,33,22,NULL,2,NULL,1),(16,320,3,33,23,NULL,2,NULL,1),(16,320,3,33,24,NULL,NULL,NULL,NULL),(16,320,3,33,25,NULL,1,NULL,1),(16,320,3,33,26,NULL,NULL,NULL,NULL),(16,320,3,33,27,NULL,3,NULL,1),(16,320,3,33,28,1,5,1,2),(16,320,3,33,29,1,NULL,NULL,NULL),(16,320,3,33,30,1,1,1,1),(16,320,3,34,1,1,2,NULL,1),(16,320,3,34,2,1,4,1,3),(16,320,3,34,3,NULL,1,NULL,NULL),(16,320,3,34,4,NULL,2,NULL,1),(16,320,3,34,5,4,8,2,6),(16,320,3,34,6,12,6,7,2),(16,320,3,34,7,NULL,2,NULL,1),(16,320,3,34,8,1,1,1,1),(16,320,3,34,9,NULL,1,NULL,1),(16,320,3,34,10,1,1,NULL,NULL),(16,320,3,34,11,6,2,6,1),(16,320,3,34,12,3,7,2,6),(16,320,3,34,13,2,2,2,2),(16,320,3,34,14,5,4,4,2),(16,320,3,34,15,10,3,7,2),(16,320,3,34,16,5,7,3,5),(16,320,3,34,17,7,3,6,1),(16,320,3,34,18,6,1,5,NULL),(16,320,3,34,19,5,4,3,3),(16,320,3,34,20,10,NULL,9,NULL),(16,320,3,34,21,4,13,3,6),(16,320,3,34,22,NULL,1,NULL,NULL),(16,320,3,34,23,1,2,1,2),(16,320,3,34,24,NULL,5,NULL,5),(16,320,3,34,25,NULL,2,NULL,2),(16,320,3,34,26,NULL,2,NULL,2),(16,320,3,34,27,NULL,2,NULL,2),(16,320,3,34,28,2,2,2,1),(16,320,3,34,29,2,3,2,1),(16,320,3,34,30,NULL,3,NULL,2),(16,324,1,11,1,NULL,NULL,NULL,NULL),(16,324,1,11,2,NULL,NULL,NULL,NULL),(16,324,1,11,3,NULL,NULL,NULL,NULL),(16,324,1,11,4,NULL,NULL,NULL,NULL),(16,324,1,11,5,NULL,NULL,NULL,NULL),(16,324,1,11,6,NULL,NULL,NULL,NULL),(16,324,1,11,7,NULL,NULL,NULL,NULL),(16,324,1,11,8,NULL,NULL,NULL,NULL),(16,324,1,11,9,NULL,NULL,NULL,NULL),(16,324,1,11,10,NULL,NULL,NULL,NULL),(16,324,1,11,11,NULL,NULL,NULL,NULL),(16,324,1,11,12,NULL,NULL,NULL,NULL),(16,324,1,11,13,NULL,NULL,NULL,NULL),(16,324,1,11,14,NULL,NULL,NULL,NULL),(16,324,1,11,15,NULL,NULL,NULL,NULL),(16,324,1,11,16,NULL,NULL,NULL,NULL),(16,324,1,11,17,NULL,NULL,NULL,NULL),(16,324,1,11,18,NULL,NULL,NULL,NULL),(16,324,1,11,19,NULL,NULL,NULL,NULL),(16,324,1,11,20,NULL,NULL,NULL,NULL),(16,324,1,12,1,NULL,NULL,NULL,NULL),(16,324,1,12,2,NULL,NULL,NULL,NULL),(16,324,1,12,3,NULL,NULL,NULL,NULL),(16,324,1,12,4,NULL,NULL,NULL,NULL),(16,324,1,12,5,NULL,NULL,NULL,NULL),(16,324,1,12,6,NULL,NULL,NULL,NULL),(16,324,1,12,7,NULL,NULL,NULL,NULL),(16,324,1,12,8,NULL,NULL,NULL,NULL),(16,324,1,12,9,NULL,NULL,NULL,NULL),(16,324,1,12,10,NULL,NULL,NULL,NULL),(16,324,1,12,11,NULL,NULL,NULL,NULL),(16,324,1,12,12,NULL,NULL,NULL,NULL),(16,324,1,12,13,NULL,NULL,NULL,NULL),(16,324,1,12,14,NULL,NULL,NULL,NULL),(16,324,1,12,15,NULL,NULL,NULL,NULL),(16,324,1,12,16,NULL,NULL,NULL,NULL),(16,324,1,12,17,NULL,NULL,NULL,NULL),(16,324,1,12,18,NULL,NULL,NULL,NULL),(16,324,1,12,19,NULL,NULL,NULL,NULL),(16,324,1,12,20,NULL,NULL,NULL,NULL),(16,324,1,13,1,NULL,NULL,NULL,NULL),(16,324,1,13,2,NULL,NULL,NULL,NULL),(16,324,1,13,3,NULL,NULL,NULL,NULL),(16,324,1,13,4,NULL,NULL,NULL,NULL),(16,324,1,13,5,NULL,NULL,NULL,NULL),(16,324,1,13,6,NULL,NULL,NULL,NULL),(16,324,1,13,7,NULL,NULL,NULL,NULL),(16,324,1,13,8,NULL,1,NULL,NULL),(16,324,1,13,9,NULL,NULL,NULL,NULL),(16,324,1,13,10,NULL,NULL,NULL,NULL),(16,324,1,13,11,NULL,1,NULL,NULL),(16,324,1,13,12,1,NULL,NULL,NULL),(16,324,1,13,13,NULL,1,NULL,NULL),(16,324,1,13,14,NULL,1,NULL,NULL),(16,324,1,13,15,NULL,NULL,NULL,NULL),(16,324,1,13,16,NULL,NULL,NULL,NULL),(16,324,1,13,17,NULL,NULL,NULL,NULL),(16,324,1,13,18,NULL,1,NULL,NULL),(16,324,1,13,19,NULL,NULL,NULL,NULL),(16,324,1,13,20,NULL,1,NULL,NULL),(16,324,1,14,1,5,4,4,2),(16,324,1,14,2,3,NULL,2,NULL),(16,324,1,14,3,4,2,3,2),(16,324,1,14,4,1,NULL,NULL,NULL),(16,324,1,14,5,3,5,2,4),(16,324,1,14,6,1,3,1,2),(16,324,1,14,7,1,1,NULL,1),(16,324,1,14,8,2,3,2,2),(16,324,1,14,9,2,NULL,2,NULL),(16,324,1,14,10,5,4,3,3),(16,324,1,14,11,3,1,3,NULL),(16,324,1,14,12,3,2,2,2),(16,324,1,14,13,8,6,6,2),(16,324,1,14,14,2,2,2,1),(16,324,1,14,15,NULL,4,NULL,3),(16,324,1,14,16,5,NULL,4,NULL),(16,324,1,14,17,2,4,2,2),(16,324,1,14,18,NULL,3,NULL,1),(16,324,1,14,19,5,5,3,3),(16,324,1,14,20,2,7,NULL,5),(16,324,1,15,1,5,3,4,1),(16,324,1,15,2,NULL,1,NULL,NULL),(16,324,1,15,3,4,3,3,2),(16,324,1,15,4,NULL,1,NULL,1),(16,324,1,15,5,3,4,2,2),(16,324,1,15,6,1,2,NULL,2),(16,324,1,15,7,1,NULL,NULL,NULL),(16,324,1,15,8,NULL,2,NULL,1),(16,324,1,15,9,NULL,2,NULL,2),(16,324,1,15,10,3,NULL,3,NULL),(16,324,1,15,11,2,1,2,1),(16,324,1,15,12,1,1,1,1),(16,324,1,15,13,5,3,4,2),(16,324,1,15,14,1,1,1,1),(16,324,1,15,15,1,1,1,1),(16,324,1,15,16,6,3,5,1),(16,324,1,15,17,3,5,3,3),(16,324,1,15,18,NULL,2,NULL,1),(16,324,1,15,19,4,2,4,1),(16,324,1,15,20,3,5,3,3),(16,324,1,16,1,3,9,2,6),(16,324,1,16,2,3,4,2,2),(16,324,1,16,3,1,6,NULL,4),(16,324,1,16,4,1,1,1,1),(16,324,1,16,5,1,12,NULL,8),(16,324,1,16,6,2,3,1,3),(16,324,1,16,7,4,2,3,1),(16,324,1,16,8,3,6,2,2),(16,324,1,16,9,NULL,1,NULL,NULL),(16,324,1,16,10,4,6,2,6),(16,324,1,16,11,4,19,1,13),(16,324,1,16,12,2,5,2,4),(16,324,1,16,13,4,12,2,8),(16,324,1,16,14,2,9,1,4),(16,324,1,16,15,3,20,1,12),(16,324,1,16,16,NULL,4,NULL,3),(16,324,1,16,17,4,8,2,7),(16,324,1,16,18,3,8,3,6),(16,324,1,16,19,4,10,2,7),(16,324,1,16,20,2,7,NULL,4),(16,324,1,17,1,2,8,2,5),(16,324,1,17,2,1,2,1,2),(16,324,1,17,3,1,5,1,4),(16,324,1,17,4,1,6,NULL,4),(16,324,1,17,5,5,3,3,1),(16,324,1,17,6,NULL,NULL,NULL,NULL),(16,324,1,17,7,2,6,1,6),(16,324,1,17,8,3,8,3,6),(16,324,1,17,9,1,5,NULL,3),(16,324,1,17,10,5,3,3,2),(16,324,1,17,11,2,21,1,14),(16,324,1,17,12,NULL,1,NULL,1),(16,324,1,17,13,6,11,6,6),(16,324,1,17,14,2,7,1,4),(16,324,1,17,15,3,19,2,12),(16,324,1,17,16,NULL,6,NULL,3),(16,324,1,17,17,2,13,NULL,8),(16,324,1,17,18,6,8,4,7),(16,324,1,17,19,3,9,2,4),(16,324,1,17,20,1,9,1,7),(16,324,2,21,1,2,2,2,2),(16,324,2,21,2,2,11,2,5),(16,324,2,21,3,3,3,3,2),(16,324,2,21,4,8,5,6,3),(16,324,2,21,5,2,3,1,2),(16,324,2,21,6,NULL,4,NULL,3),(16,324,2,21,7,1,3,1,2),(16,324,2,21,8,1,5,1,3),(16,324,2,21,9,NULL,2,NULL,2),(16,324,2,21,10,1,3,1,3),(16,324,2,21,11,1,1,1,NULL),(16,324,2,21,12,2,8,1,6),(16,324,2,21,13,NULL,6,NULL,4),(16,324,2,21,14,11,9,9,6),(16,324,2,21,15,6,6,6,4),(16,324,2,21,16,2,6,2,4),(16,324,2,21,17,2,3,NULL,3),(16,324,2,21,18,NULL,2,NULL,2),(16,324,2,21,19,5,6,4,4),(16,324,2,21,20,5,6,5,4),(16,324,2,21,21,1,7,1,6),(16,324,2,21,22,2,4,2,2),(16,324,2,21,23,1,4,1,3),(16,324,2,21,24,4,8,4,5),(16,324,2,21,25,NULL,NULL,NULL,NULL),(16,324,2,21,26,30,NULL,17,NULL),(16,324,2,21,27,2,4,NULL,2),(16,324,2,21,28,2,10,1,6),(16,324,2,21,29,4,5,4,3),(16,324,2,21,30,2,2,NULL,2),(16,324,2,22,1,NULL,NULL,NULL,NULL),(16,324,2,22,2,NULL,4,NULL,1),(16,324,2,22,3,4,2,2,1),(16,324,2,22,4,3,9,1,8),(16,324,2,22,5,2,7,2,4),(16,324,2,22,6,1,2,1,NULL),(16,324,2,22,7,2,3,1,3),(16,324,2,22,8,1,2,1,NULL),(16,324,2,22,9,NULL,2,NULL,NULL),(16,324,2,22,10,NULL,4,NULL,2),(16,324,2,22,11,4,2,2,2),(16,324,2,22,12,3,4,1,4),(16,324,2,22,13,1,7,1,4),(16,324,2,22,14,2,10,1,7),(16,324,2,22,15,6,4,5,3),(16,324,2,22,16,5,7,2,7),(16,324,2,22,17,NULL,3,NULL,3),(16,324,2,22,18,3,2,2,2),(16,324,2,22,19,2,8,1,5),(16,324,2,22,20,2,6,1,5),(16,324,2,22,21,NULL,6,NULL,2),(16,324,2,22,22,NULL,1,NULL,NULL),(16,324,2,22,23,4,3,3,3),(16,324,2,22,24,1,9,1,6),(16,324,2,22,25,NULL,NULL,NULL,NULL),(16,324,2,22,26,21,NULL,12,NULL),(16,324,2,22,27,3,7,1,4),(16,324,2,22,28,1,2,NULL,NULL),(16,324,2,22,29,1,6,1,4),(16,324,2,22,30,NULL,3,NULL,2),(16,324,2,23,1,NULL,4,NULL,4),(16,324,2,23,2,NULL,7,NULL,2),(16,324,2,23,3,NULL,4,NULL,2),(16,324,2,23,4,2,6,NULL,5),(16,324,2,23,5,NULL,7,NULL,6),(16,324,2,23,6,1,2,1,NULL),(16,324,2,23,7,1,3,NULL,1),(16,324,2,23,8,2,2,1,NULL),(16,324,2,23,9,NULL,2,NULL,NULL),(16,324,2,23,10,NULL,1,NULL,NULL),(16,324,2,23,11,NULL,2,NULL,2),(16,324,2,23,12,2,6,1,6),(16,324,2,23,13,1,8,NULL,6),(16,324,2,23,14,3,3,2,1),(16,324,2,23,15,4,4,4,3),(16,324,2,23,16,1,6,NULL,5),(16,324,2,23,17,1,1,NULL,1),(16,324,2,23,18,NULL,4,NULL,4),(16,324,2,23,19,3,8,NULL,5),(16,324,2,23,20,1,5,1,3),(16,324,2,23,21,1,5,NULL,4),(16,324,2,23,22,2,3,1,3),(16,324,2,23,23,3,2,3,2),(16,324,2,23,24,3,8,NULL,3),(16,324,2,23,25,NULL,NULL,NULL,NULL),(16,324,2,23,26,23,NULL,9,NULL),(16,324,2,23,27,NULL,7,NULL,4),(16,324,2,23,28,1,3,NULL,2),(16,324,2,23,29,3,6,NULL,4),(16,324,2,23,30,NULL,3,NULL,3),(16,324,2,24,1,1,2,NULL,2),(16,324,2,24,2,NULL,3,NULL,1),(16,324,2,24,3,1,2,NULL,1),(16,324,2,24,4,5,3,3,1),(16,324,2,24,5,1,3,NULL,2),(16,324,2,24,6,NULL,4,NULL,2),(16,324,2,24,7,2,1,NULL,NULL),(16,324,2,24,8,NULL,3,NULL,1),(16,324,2,24,9,NULL,1,NULL,1),(16,324,2,24,10,NULL,2,NULL,2),(16,324,2,24,11,5,2,3,2),(16,324,2,24,12,NULL,5,NULL,4),(16,324,2,24,13,1,2,1,1),(16,324,2,24,14,8,3,5,3),(16,324,2,24,15,5,1,3,1),(16,324,2,24,16,2,2,2,2),(16,324,2,24,17,1,1,1,1),(16,324,2,24,18,1,1,1,1),(16,324,2,24,19,3,3,2,1),(16,324,2,24,20,6,1,4,NULL),(16,324,2,24,21,1,1,NULL,1),(16,324,2,24,22,NULL,2,NULL,1),(16,324,2,24,23,1,2,1,1),(16,324,2,24,24,2,3,NULL,2),(16,324,2,24,25,NULL,NULL,NULL,NULL),(16,324,2,24,26,21,NULL,9,NULL),(16,324,2,24,27,NULL,1,NULL,1),(16,324,2,24,28,NULL,2,NULL,2),(16,324,2,24,29,1,4,1,2),(16,324,2,24,30,1,NULL,1,NULL),(16,324,3,31,1,NULL,5,NULL,4),(16,324,3,31,2,1,NULL,1,NULL),(16,324,3,31,3,1,3,1,2),(16,324,3,31,4,1,3,1,2),(16,324,3,31,5,1,4,NULL,NULL),(16,324,3,31,6,9,4,4,3),(16,324,3,31,7,NULL,1,NULL,1),(16,324,3,31,8,1,NULL,NULL,NULL),(16,324,3,31,9,NULL,2,NULL,2),(16,324,3,31,10,NULL,1,NULL,1),(16,324,3,31,11,3,1,3,NULL),(16,324,3,31,12,3,3,2,2),(16,324,3,31,13,3,2,2,2),(16,324,3,31,14,3,9,1,6),(16,324,3,31,15,2,1,2,1),(16,324,3,31,16,1,4,1,2),(16,324,3,31,17,6,4,4,2),(16,324,3,31,18,3,NULL,3,NULL),(16,324,3,31,19,3,4,NULL,3),(16,324,3,31,20,8,NULL,7,NULL),(16,324,3,31,21,1,7,NULL,3),(16,324,3,31,22,1,1,NULL,NULL),(16,324,3,31,23,NULL,3,NULL,1),(16,324,3,31,24,NULL,1,NULL,1),(16,324,3,31,25,NULL,1,NULL,NULL),(16,324,3,31,26,NULL,1,NULL,1),(16,324,3,31,27,1,1,NULL,1),(16,324,3,31,28,NULL,6,NULL,4),(16,324,3,31,29,1,3,NULL,2),(16,324,3,31,30,NULL,NULL,NULL,NULL),(16,324,3,32,1,NULL,3,NULL,3),(16,324,3,32,2,NULL,3,NULL,2),(16,324,3,32,3,NULL,2,NULL,1),(16,324,3,32,4,NULL,2,NULL,2),(16,324,3,32,5,1,5,NULL,4),(16,324,3,32,6,8,6,4,4),(16,324,3,32,7,NULL,2,NULL,1),(16,324,3,32,8,NULL,2,NULL,NULL),(16,324,3,32,9,1,2,NULL,NULL),(16,324,3,32,10,1,2,NULL,NULL),(16,324,3,32,11,4,5,2,3),(16,324,3,32,12,1,2,1,1),(16,324,3,32,13,1,2,1,1),(16,324,3,32,14,3,4,2,1),(16,324,3,32,15,NULL,4,NULL,4),(16,324,3,32,16,1,4,NULL,2),(16,324,3,32,17,2,6,1,5),(16,324,3,32,18,1,5,NULL,3),(16,324,3,32,19,3,4,1,2),(16,324,3,32,20,8,NULL,5,NULL),(16,324,3,32,21,2,7,NULL,4),(16,324,3,32,22,NULL,2,NULL,1),(16,324,3,32,23,NULL,3,NULL,NULL),(16,324,3,32,24,NULL,2,NULL,1),(16,324,3,32,25,NULL,1,NULL,NULL),(16,324,3,32,26,NULL,4,NULL,NULL),(16,324,3,32,27,2,1,1,1),(16,324,3,32,28,2,1,1,NULL),(16,324,3,32,29,2,3,1,1),(16,324,3,32,30,NULL,2,NULL,2),(16,324,3,33,1,NULL,1,NULL,1),(16,324,3,33,2,1,1,NULL,1),(16,324,3,33,3,NULL,6,NULL,5),(16,324,3,33,4,NULL,7,NULL,5),(16,324,3,33,5,2,6,1,3),(16,324,3,33,6,7,8,4,5),(16,324,3,33,7,NULL,2,NULL,1),(16,324,3,33,8,NULL,NULL,NULL,NULL),(16,324,3,33,9,NULL,1,NULL,1),(16,324,3,33,10,NULL,3,NULL,2),(16,324,3,33,11,6,3,5,2),(16,324,3,33,12,1,6,1,5),(16,324,3,33,13,4,5,4,3),(16,324,3,33,14,2,6,2,4),(16,324,3,33,15,2,3,2,1),(16,324,3,33,16,NULL,6,NULL,5),(16,324,3,33,17,5,7,3,5),(16,324,3,33,18,4,1,2,NULL),(16,324,3,33,19,7,3,4,1),(16,324,3,33,20,8,NULL,3,NULL),(16,324,3,33,21,NULL,10,NULL,5),(16,324,3,33,22,NULL,1,NULL,1),(16,324,3,33,23,NULL,2,NULL,NULL),(16,324,3,33,24,NULL,2,NULL,NULL),(16,324,3,33,25,NULL,2,NULL,2),(16,324,3,33,26,NULL,2,NULL,1),(16,324,3,33,27,NULL,NULL,NULL,NULL),(16,324,3,33,28,NULL,6,NULL,5),(16,324,3,33,29,1,2,1,1),(16,324,3,33,30,NULL,1,NULL,1),(16,324,3,34,1,NULL,3,NULL,2),(16,324,3,34,2,NULL,1,NULL,1),(16,324,3,34,3,NULL,NULL,NULL,NULL),(16,324,3,34,4,NULL,4,NULL,4),(16,324,3,34,5,4,9,4,5),(16,324,3,34,6,9,11,6,7),(16,324,3,34,7,NULL,1,NULL,1),(16,324,3,34,8,NULL,1,NULL,1),(16,324,3,34,9,NULL,3,NULL,2),(16,324,3,34,10,NULL,2,NULL,2),(16,324,3,34,11,3,5,1,4),(16,324,3,34,12,5,7,4,6),(16,324,3,34,13,2,4,2,3),(16,324,3,34,14,5,8,4,5),(16,324,3,34,15,4,11,4,7),(16,324,3,34,16,5,5,3,5),(16,324,3,34,17,9,9,7,6),(16,324,3,34,18,2,5,2,4),(16,324,3,34,19,1,6,1,5),(16,324,3,34,20,12,NULL,9,NULL),(16,324,3,34,21,4,15,2,11),(16,324,3,34,22,1,NULL,NULL,NULL),(16,324,3,34,23,NULL,5,NULL,4),(16,324,3,34,24,NULL,4,NULL,3),(16,324,3,34,25,1,3,1,3),(16,324,3,34,26,1,NULL,NULL,NULL),(16,324,3,34,27,3,NULL,2,NULL),(16,324,3,34,28,1,3,NULL,3),(16,324,3,34,29,2,1,2,1),(16,324,3,34,30,NULL,2,NULL,1),(16,326,1,11,1,NULL,NULL,NULL,NULL),(16,326,1,11,2,NULL,NULL,NULL,NULL),(16,326,1,11,3,NULL,NULL,NULL,NULL),(16,326,1,11,4,NULL,NULL,NULL,NULL),(16,326,1,11,5,NULL,NULL,NULL,NULL),(16,326,1,11,6,NULL,NULL,NULL,NULL),(16,326,1,11,7,NULL,NULL,NULL,NULL),(16,326,1,11,8,NULL,NULL,NULL,NULL),(16,326,1,11,9,NULL,NULL,NULL,NULL),(16,326,1,11,10,NULL,NULL,NULL,NULL),(16,326,1,11,11,NULL,NULL,NULL,NULL),(16,326,1,11,12,NULL,NULL,NULL,NULL),(16,326,1,11,13,NULL,NULL,NULL,NULL),(16,326,1,11,14,NULL,NULL,NULL,NULL),(16,326,1,11,15,NULL,NULL,NULL,NULL),(16,326,1,11,16,NULL,NULL,NULL,NULL),(16,326,1,11,17,NULL,NULL,NULL,NULL),(16,326,1,11,18,NULL,NULL,NULL,NULL),(16,326,1,11,19,NULL,NULL,NULL,NULL),(16,326,1,11,20,NULL,NULL,NULL,NULL),(16,326,1,12,1,NULL,1,NULL,NULL),(16,326,1,12,2,NULL,1,NULL,NULL),(16,326,1,12,3,NULL,NULL,NULL,NULL),(16,326,1,12,4,NULL,NULL,NULL,NULL),(16,326,1,12,5,NULL,1,NULL,NULL),(16,326,1,12,6,NULL,NULL,NULL,NULL),(16,326,1,12,7,1,NULL,NULL,NULL),(16,326,1,12,8,NULL,NULL,NULL,NULL),(16,326,1,12,9,NULL,NULL,NULL,NULL),(16,326,1,12,10,NULL,1,NULL,NULL),(16,326,1,12,11,NULL,NULL,NULL,NULL),(16,326,1,12,12,NULL,NULL,NULL,NULL),(16,326,1,12,13,NULL,NULL,NULL,NULL),(16,326,1,12,14,1,NULL,NULL,NULL),(16,326,1,12,15,NULL,NULL,NULL,NULL),(16,326,1,12,16,1,NULL,NULL,NULL),(16,326,1,12,17,1,NULL,NULL,NULL),(16,326,1,12,18,1,NULL,NULL,NULL),(16,326,1,12,19,NULL,NULL,NULL,NULL),(16,326,1,12,20,NULL,NULL,NULL,NULL),(16,326,1,13,1,NULL,NULL,NULL,NULL),(16,326,1,13,2,NULL,NULL,NULL,NULL),(16,326,1,13,3,1,NULL,NULL,NULL),(16,326,1,13,4,NULL,NULL,NULL,NULL),(16,326,1,13,5,NULL,NULL,NULL,NULL),(16,326,1,13,6,NULL,NULL,NULL,NULL),(16,326,1,13,7,NULL,NULL,NULL,NULL),(16,326,1,13,8,NULL,NULL,NULL,NULL),(16,326,1,13,9,NULL,NULL,NULL,NULL),(16,326,1,13,10,NULL,NULL,NULL,NULL),(16,326,1,13,11,1,NULL,NULL,NULL),(16,326,1,13,12,NULL,NULL,NULL,NULL),(16,326,1,13,13,NULL,NULL,NULL,NULL),(16,326,1,13,14,1,NULL,NULL,NULL),(16,326,1,13,15,NULL,NULL,NULL,NULL),(16,326,1,13,16,NULL,1,NULL,NULL),(16,326,1,13,17,NULL,NULL,NULL,NULL),(16,326,1,13,18,1,NULL,NULL,NULL),(16,326,1,13,19,1,NULL,NULL,NULL),(16,326,1,13,20,NULL,1,NULL,NULL),(16,326,1,14,1,15,11,8,4),(16,326,1,14,2,5,2,4,2),(16,326,1,14,3,5,5,4,2),(16,326,1,14,4,NULL,5,NULL,3),(16,326,1,14,5,5,9,3,3),(16,326,1,14,6,2,6,2,5),(16,326,1,14,7,3,3,1,3),(16,326,1,14,8,8,6,5,3),(16,326,1,14,9,2,7,2,4),(16,326,1,14,10,15,4,7,2),(16,326,1,14,11,11,6,7,2),(16,326,1,14,12,6,9,2,7),(16,326,1,14,13,14,10,9,2),(16,326,1,14,14,5,4,2,3),(16,326,1,14,15,5,3,3,3),(16,326,1,14,16,14,4,9,1),(16,326,1,14,17,9,10,4,5),(16,326,1,14,18,5,6,4,2),(16,326,1,14,19,11,3,7,1),(16,326,1,14,20,3,12,2,7),(16,326,1,15,1,13,6,8,3),(16,326,1,15,2,3,2,2,1),(16,326,1,15,3,4,11,1,5),(16,326,1,15,4,NULL,9,NULL,6),(16,326,1,15,5,7,9,6,4),(16,326,1,15,6,3,8,3,3),(16,326,1,15,7,4,3,1,2),(16,326,1,15,8,8,9,3,4),(16,326,1,15,9,2,4,1,3),(16,326,1,15,10,10,10,7,4),(16,326,1,15,11,9,6,6,1),(16,326,1,15,12,8,5,6,4),(16,326,1,15,13,9,6,6,2),(16,326,1,15,14,3,4,2,4),(16,326,1,15,15,6,3,5,2),(16,326,1,15,16,16,2,10,1),(16,326,1,15,17,10,5,5,3),(16,326,1,15,18,3,4,3,4),(16,326,1,15,19,8,10,6,4),(16,326,1,15,20,9,9,6,3),(16,326,1,16,1,11,11,3,5),(16,326,1,16,2,6,2,2,1),(16,326,1,16,3,5,8,3,1),(16,326,1,16,4,1,4,1,2),(16,326,1,16,5,11,9,5,2),(16,326,1,16,6,3,2,1,1),(16,326,1,16,7,2,2,NULL,1),(16,326,1,16,8,7,7,2,4),(16,326,1,16,9,2,6,NULL,3),(16,326,1,16,10,10,8,3,3),(16,326,1,16,11,9,27,3,7),(16,326,1,16,12,NULL,2,NULL,1),(16,326,1,16,13,9,16,4,4),(16,326,1,16,14,3,12,2,2),(16,326,1,16,15,7,22,2,5),(16,326,1,16,16,2,9,1,2),(16,326,1,16,17,6,12,3,6),(16,326,1,16,18,9,12,5,3),(16,326,1,16,19,6,9,3,3),(16,326,1,16,20,2,15,1,2),(16,326,1,17,1,6,7,1,3),(16,326,1,17,2,NULL,1,NULL,1),(16,326,1,17,3,4,1,2,NULL),(16,326,1,17,4,1,4,1,2),(16,326,1,17,5,2,6,2,2),(16,326,1,17,6,1,3,1,NULL),(16,326,1,17,7,3,2,1,2),(16,326,1,17,8,6,5,4,NULL),(16,326,1,17,9,NULL,2,NULL,1),(16,326,1,17,10,7,3,3,2),(16,326,1,17,11,7,19,1,6),(16,326,1,17,12,2,5,NULL,NULL),(16,326,1,17,13,7,10,2,2),(16,326,1,17,14,3,13,1,3),(16,326,1,17,15,4,14,NULL,5),(16,326,1,17,16,2,5,NULL,3),(16,326,1,17,17,4,12,2,3),(16,326,1,17,18,6,6,1,3),(16,326,1,17,19,8,13,2,2),(16,326,1,17,20,2,11,NULL,3),(16,326,2,21,1,2,5,2,4),(16,326,2,21,2,2,12,2,4),(16,326,2,21,3,8,7,3,NULL),(16,326,2,21,4,7,8,4,2),(16,326,2,21,5,4,12,2,4),(16,326,2,21,6,4,7,3,2),(16,326,2,21,7,NULL,6,NULL,2),(16,326,2,21,8,2,7,1,2),(16,326,2,21,9,1,6,NULL,4),(16,326,2,21,10,3,9,2,1),(16,326,2,21,11,4,6,2,3),(16,326,2,21,12,4,15,2,3),(16,326,2,21,13,2,10,NULL,3),(16,326,2,21,14,21,9,7,3),(16,326,2,21,15,20,3,6,1),(16,326,2,21,16,3,13,1,3),(16,326,2,21,17,3,13,1,4),(16,326,2,21,18,2,11,2,2),(16,326,2,21,19,12,9,6,2),(16,326,2,21,20,8,11,2,4),(16,326,2,21,21,2,7,1,1),(16,326,2,21,22,2,6,1,1),(16,326,2,21,23,3,4,1,2),(16,326,2,21,24,7,8,3,3),(16,326,2,21,25,NULL,NULL,NULL,NULL),(16,326,2,21,26,37,NULL,10,NULL),(16,326,2,21,27,1,5,1,3),(16,326,2,21,28,NULL,4,NULL,2),(16,326,2,21,29,5,7,2,2),(16,326,2,21,30,2,5,2,1),(16,326,2,22,1,3,2,3,2),(16,326,2,22,2,2,9,2,4),(16,326,2,22,3,8,4,3,3),(16,326,2,22,4,13,8,8,3),(16,326,2,22,5,5,8,1,3),(16,326,2,22,6,4,8,1,5),(16,326,2,22,7,2,9,1,4),(16,326,2,22,8,2,5,NULL,3),(16,326,2,22,9,3,1,3,1),(16,326,2,22,10,1,5,1,5),(16,326,2,22,11,3,4,2,4),(16,326,2,22,12,6,7,4,4),(16,326,2,22,13,3,9,2,6),(16,326,2,22,14,6,17,4,9),(16,326,2,22,15,16,4,9,1),(16,326,2,22,16,6,11,5,8),(16,326,2,22,17,4,9,3,4),(16,326,2,22,18,4,5,4,2),(16,326,2,22,19,9,12,6,4),(16,326,2,22,20,2,9,1,6),(16,326,2,22,21,2,6,NULL,2),(16,326,2,22,22,5,6,3,3),(16,326,2,22,23,NULL,4,NULL,3),(16,326,2,22,24,4,6,1,4),(16,326,2,22,25,1,NULL,1,NULL),(16,326,2,22,26,35,NULL,15,NULL),(16,326,2,22,27,3,7,3,3),(16,326,2,22,28,1,3,1,1),(16,326,2,22,29,1,7,1,6),(16,326,2,22,30,2,2,2,1),(16,326,2,23,1,2,4,1,4),(16,326,2,23,2,1,15,1,4),(16,326,2,23,3,7,1,4,NULL),(16,326,2,23,4,7,6,5,2),(16,326,2,23,5,6,8,3,3),(16,326,2,23,6,4,9,3,3),(16,326,2,23,7,1,7,NULL,2),(16,326,2,23,8,1,2,NULL,NULL),(16,326,2,23,9,1,4,1,NULL),(16,326,2,23,10,2,7,2,3),(16,326,2,23,11,NULL,5,NULL,1),(16,326,2,23,12,14,5,4,4),(16,326,2,23,13,4,7,1,3),(16,326,2,23,14,13,12,6,4),(16,326,2,23,15,15,4,4,1),(16,326,2,23,16,9,6,3,2),(16,326,2,23,17,6,7,3,3),(16,326,2,23,18,3,2,3,1),(16,326,2,23,19,14,9,6,2),(16,326,2,23,20,4,9,3,2),(16,326,2,23,21,4,3,3,NULL),(16,326,2,23,22,7,5,2,3),(16,326,2,23,23,2,7,2,5),(16,326,2,23,24,6,9,3,3),(16,326,2,23,25,NULL,NULL,NULL,NULL),(16,326,2,23,26,35,NULL,10,NULL),(16,326,2,23,27,4,6,3,3),(16,326,2,23,28,2,3,1,2),(16,326,2,23,29,4,5,2,2),(16,326,2,23,30,4,3,3,2),(16,326,2,24,1,2,3,1,3),(16,326,2,24,2,2,7,1,4),(16,326,2,24,3,5,6,2,3),(16,326,2,24,4,4,5,3,3),(16,326,2,24,5,7,5,2,3),(16,326,2,24,6,1,3,1,2),(16,326,2,24,7,1,1,1,NULL),(16,326,2,24,8,1,3,NULL,1),(16,326,2,24,9,1,1,NULL,NULL),(16,326,2,24,10,3,5,2,3),(16,326,2,24,11,1,6,NULL,3),(16,326,2,24,12,6,5,4,2),(16,326,2,24,13,5,4,4,1),(16,326,2,24,14,16,8,5,5),(16,326,2,24,15,13,NULL,7,NULL),(16,326,2,24,16,6,7,5,2),(16,326,2,24,17,6,5,4,1),(16,326,2,24,18,3,3,2,1),(16,326,2,24,19,11,5,6,2),(16,326,2,24,20,5,3,2,2),(16,326,2,24,21,3,2,3,2),(16,326,2,24,22,2,7,1,3),(16,326,2,24,23,1,3,1,2),(16,326,2,24,24,4,3,NULL,2),(16,326,2,24,25,1,NULL,1,NULL),(16,326,2,24,26,31,NULL,10,NULL),(16,326,2,24,27,2,6,2,4),(16,326,2,24,28,NULL,4,NULL,2),(16,326,2,24,29,1,7,1,3),(16,326,2,24,30,1,4,1,3),(16,326,3,31,1,1,3,NULL,2),(16,326,3,31,2,NULL,1,NULL,1),(16,326,3,31,3,NULL,2,NULL,2),(16,326,3,31,4,NULL,4,NULL,1),(16,326,3,31,5,3,12,2,4),(16,326,3,31,6,17,7,5,3),(16,326,3,31,7,NULL,1,NULL,1),(16,326,3,31,8,NULL,1,NULL,1),(16,326,3,31,9,NULL,3,NULL,1),(16,326,3,31,10,NULL,2,NULL,1),(16,326,3,31,11,3,4,2,1),(16,326,3,31,12,5,15,3,5),(16,326,3,31,13,3,8,2,4),(16,326,3,31,14,10,10,7,3),(16,326,3,31,15,18,4,8,1),(16,326,3,31,16,7,10,3,5),(16,326,3,31,17,16,6,5,5),(16,326,3,31,18,4,3,3,1),(16,326,3,31,19,3,7,2,2),(16,326,3,31,20,17,NULL,8,NULL),(16,326,3,31,21,3,10,1,5),(16,326,3,31,22,1,1,1,NULL),(16,326,3,31,23,2,4,2,2),(16,326,3,31,24,1,3,1,1),(16,326,3,31,25,1,4,1,2),(16,326,3,31,26,NULL,1,NULL,NULL),(16,326,3,31,27,1,2,NULL,1),(16,326,3,31,28,2,5,1,1),(16,326,3,31,29,3,6,2,3),(16,326,3,31,30,NULL,2,NULL,1),(16,326,3,32,1,NULL,3,NULL,NULL),(16,326,3,32,2,NULL,2,NULL,2),(16,326,3,32,3,NULL,2,NULL,1),(16,326,3,32,4,1,5,1,2),(16,326,3,32,5,4,10,2,3),(16,326,3,32,6,19,10,7,3),(16,326,3,32,7,1,1,1,NULL),(16,326,3,32,8,NULL,2,NULL,1),(16,326,3,32,9,NULL,2,NULL,1),(16,326,3,32,10,1,NULL,NULL,NULL),(16,326,3,32,11,8,9,2,3),(16,326,3,32,12,6,10,1,5),(16,326,3,32,13,3,10,1,4),(16,326,3,32,14,7,13,3,4),(16,326,3,32,15,11,6,4,2),(16,326,3,32,16,9,13,1,4),(16,326,3,32,17,17,6,7,2),(16,326,3,32,18,7,3,2,2),(16,326,3,32,19,5,5,2,NULL),(16,326,3,32,20,20,NULL,8,NULL),(16,326,3,32,21,7,13,1,5),(16,326,3,32,22,1,2,NULL,1),(16,326,3,32,23,NULL,5,NULL,2),(16,326,3,32,24,2,NULL,1,NULL),(16,326,3,32,25,2,3,1,1),(16,326,3,32,26,NULL,1,NULL,NULL),(16,326,3,32,27,1,8,1,4),(16,326,3,32,28,3,5,3,1),(16,326,3,32,29,3,6,2,1),(16,326,3,32,30,1,NULL,1,NULL),(16,326,3,33,1,1,4,1,2),(16,326,3,33,2,1,1,1,NULL),(16,326,3,33,3,NULL,4,NULL,2),(16,326,3,33,4,NULL,5,NULL,1),(16,326,3,33,5,8,8,4,4),(16,326,3,33,6,16,9,9,3),(16,326,3,33,7,NULL,1,NULL,1),(16,326,3,33,8,NULL,1,NULL,1),(16,326,3,33,9,1,1,1,1),(16,326,3,33,10,NULL,3,NULL,1),(16,326,3,33,11,3,4,1,1),(16,326,3,33,12,9,3,7,1),(16,326,3,33,13,7,6,7,3),(16,326,3,33,14,10,6,7,4),(16,326,3,33,15,4,9,2,6),(16,326,3,33,16,9,8,5,2),(16,326,3,33,17,18,8,11,4),(16,326,3,33,18,2,3,1,3),(16,326,3,33,19,5,12,2,5),(16,326,3,33,20,22,NULL,10,NULL),(16,326,3,33,21,2,16,1,7),(16,326,3,33,22,1,3,1,1),(16,326,3,33,23,NULL,7,NULL,5),(16,326,3,33,24,3,3,3,2),(16,326,3,33,25,1,1,1,NULL),(16,326,3,33,26,NULL,1,NULL,NULL),(16,326,3,33,27,NULL,4,NULL,2),(16,326,3,33,28,1,8,NULL,6),(16,326,3,33,29,7,10,4,4),(16,326,3,33,30,NULL,3,NULL,1),(16,326,3,34,1,3,5,1,4),(16,326,3,34,2,3,1,1,1),(16,326,3,34,3,NULL,3,NULL,NULL),(16,326,3,34,4,NULL,3,NULL,1),(16,326,3,34,5,4,12,1,2),(16,326,3,34,6,12,13,3,3),(16,326,3,34,7,1,2,NULL,1),(16,326,3,34,8,NULL,4,NULL,1),(16,326,3,34,9,NULL,5,NULL,2),(16,326,3,34,10,NULL,2,NULL,1),(16,326,3,34,11,9,3,5,NULL),(16,326,3,34,12,9,9,5,2),(16,326,3,34,13,8,8,5,1),(16,326,3,34,14,6,14,3,5),(16,326,3,34,15,15,7,7,1),(16,326,3,34,16,8,5,6,1),(16,326,3,34,17,10,13,3,3),(16,326,3,34,18,7,4,3,NULL),(16,326,3,34,19,2,8,NULL,3),(16,326,3,34,20,18,NULL,8,NULL),(16,326,3,34,21,4,16,3,4),(16,326,3,34,22,NULL,5,NULL,2),(16,326,3,34,23,NULL,4,NULL,2),(16,326,3,34,24,1,1,1,NULL),(16,326,3,34,25,NULL,3,NULL,1),(16,326,3,34,26,NULL,4,NULL,1),(16,326,3,34,27,NULL,5,NULL,3),(16,326,3,34,28,4,2,3,1),(16,326,3,34,29,3,5,1,1),(16,326,3,34,30,1,2,NULL,NULL),(16,327,1,11,1,NULL,NULL,NULL,NULL),(16,327,1,11,2,NULL,NULL,NULL,NULL),(16,327,1,11,3,NULL,NULL,NULL,NULL),(16,327,1,11,4,NULL,NULL,NULL,NULL),(16,327,1,11,5,NULL,NULL,NULL,NULL),(16,327,1,11,6,NULL,NULL,NULL,NULL),(16,327,1,11,7,NULL,NULL,NULL,NULL),(16,327,1,11,8,NULL,1,NULL,1),(16,327,1,11,9,NULL,NULL,NULL,NULL),(16,327,1,11,10,NULL,NULL,NULL,NULL),(16,327,1,11,11,NULL,1,NULL,1),(16,327,1,11,12,NULL,1,NULL,1),(16,327,1,11,13,NULL,1,NULL,1),(16,327,1,11,14,NULL,1,NULL,1),(16,327,1,11,15,NULL,1,NULL,1),(16,327,1,11,16,NULL,1,NULL,1),(16,327,1,11,17,NULL,NULL,NULL,NULL),(16,327,1,11,18,NULL,NULL,NULL,NULL),(16,327,1,11,19,1,NULL,1,NULL),(16,327,1,11,20,1,NULL,1,NULL),(16,327,1,12,1,NULL,NULL,NULL,NULL),(16,327,1,12,2,NULL,NULL,NULL,NULL),(16,327,1,12,3,NULL,NULL,NULL,NULL),(16,327,1,12,4,NULL,NULL,NULL,NULL),(16,327,1,12,5,NULL,NULL,NULL,NULL),(16,327,1,12,6,NULL,NULL,NULL,NULL),(16,327,1,12,7,NULL,NULL,NULL,NULL),(16,327,1,12,8,NULL,NULL,NULL,NULL),(16,327,1,12,9,NULL,NULL,NULL,NULL),(16,327,1,12,10,NULL,NULL,NULL,NULL),(16,327,1,12,11,NULL,NULL,NULL,NULL),(16,327,1,12,12,NULL,NULL,NULL,NULL),(16,327,1,12,13,NULL,NULL,NULL,NULL),(16,327,1,12,14,NULL,NULL,NULL,NULL),(16,327,1,12,15,NULL,NULL,NULL,NULL),(16,327,1,12,16,NULL,NULL,NULL,NULL),(16,327,1,12,17,NULL,NULL,NULL,NULL),(16,327,1,12,18,NULL,NULL,NULL,NULL),(16,327,1,12,19,NULL,NULL,NULL,NULL),(16,327,1,12,20,NULL,NULL,NULL,NULL),(16,327,1,13,1,NULL,NULL,NULL,NULL),(16,327,1,13,2,NULL,NULL,NULL,NULL),(16,327,1,13,3,NULL,1,NULL,1),(16,327,1,13,4,NULL,NULL,NULL,NULL),(16,327,1,13,5,1,NULL,1,NULL),(16,327,1,13,6,NULL,NULL,NULL,NULL),(16,327,1,13,7,1,1,1,NULL),(16,327,1,13,8,NULL,1,NULL,NULL),(16,327,1,13,9,NULL,NULL,NULL,NULL),(16,327,1,13,10,NULL,NULL,NULL,NULL),(16,327,1,13,11,1,1,1,NULL),(16,327,1,13,12,1,1,1,NULL),(16,327,1,13,13,1,1,1,NULL),(16,327,1,13,14,1,NULL,1,NULL),(16,327,1,13,15,1,NULL,1,NULL),(16,327,1,13,16,NULL,1,NULL,NULL),(16,327,1,13,17,1,NULL,NULL,NULL),(16,327,1,13,18,1,NULL,1,NULL),(16,327,1,13,19,NULL,1,NULL,NULL),(16,327,1,13,20,NULL,NULL,NULL,NULL),(16,327,1,14,1,8,2,4,2),(16,327,1,14,2,1,NULL,NULL,NULL),(16,327,1,14,3,4,4,2,3),(16,327,1,14,4,1,2,1,1),(16,327,1,14,5,7,6,5,3),(16,327,1,14,6,NULL,4,NULL,4),(16,327,1,14,7,NULL,2,NULL,2),(16,327,1,14,8,1,5,NULL,2),(16,327,1,14,9,NULL,6,NULL,4),(16,327,1,14,10,6,5,4,3),(16,327,1,14,11,4,2,4,1),(16,327,1,14,12,3,1,1,1),(16,327,1,14,13,5,7,3,3),(16,327,1,14,14,1,2,1,1),(16,327,1,14,15,2,2,1,2),(16,327,1,14,16,6,3,4,3),(16,327,1,14,17,5,3,4,2),(16,327,1,14,18,1,2,1,2),(16,327,1,14,19,2,6,2,4),(16,327,1,14,20,5,7,3,4),(16,327,1,15,1,3,8,1,3),(16,327,1,15,2,2,3,1,1),(16,327,1,15,3,5,1,3,NULL),(16,327,1,15,4,NULL,2,NULL,2),(16,327,1,15,5,4,5,2,2),(16,327,1,15,6,1,4,1,3),(16,327,1,15,7,4,2,NULL,NULL),(16,327,1,15,8,3,6,2,1),(16,327,1,15,9,4,3,2,1),(16,327,1,15,10,6,5,3,2),(16,327,1,15,11,9,1,4,NULL),(16,327,1,15,12,4,2,2,1),(16,327,1,15,13,8,5,3,2),(16,327,1,15,14,3,2,1,2),(16,327,1,15,15,2,6,1,1),(16,327,1,15,16,11,1,5,NULL),(16,327,1,15,17,5,6,2,3),(16,327,1,15,18,1,2,NULL,1),(16,327,1,15,19,5,5,2,4),(16,327,1,15,20,3,7,2,3),(16,327,1,16,1,15,9,11,6),(16,327,1,16,2,3,2,2,2),(16,327,1,16,3,5,14,3,11),(16,327,1,16,4,NULL,6,NULL,5),(16,327,1,16,5,7,15,5,12),(16,327,1,16,6,2,2,1,2),(16,327,1,16,7,NULL,5,NULL,4),(16,327,1,16,8,7,7,6,6),(16,327,1,16,9,2,4,1,3),(16,327,1,16,10,10,9,7,8),(16,327,1,16,11,9,21,6,13),(16,327,1,16,12,1,5,NULL,4),(16,327,1,16,13,12,14,9,8),(16,327,1,16,14,2,12,2,8),(16,327,1,16,15,5,20,5,14),(16,327,1,16,16,1,10,NULL,7),(16,327,1,16,17,3,11,3,9),(16,327,1,16,18,9,9,8,8),(16,327,1,16,19,6,12,5,8),(16,327,1,16,20,NULL,15,NULL,11),(16,327,1,17,1,10,6,5,2),(16,327,1,17,2,NULL,3,NULL,NULL),(16,327,1,17,3,5,8,2,4),(16,327,1,17,4,2,3,2,2),(16,327,1,17,5,4,9,NULL,4),(16,327,1,17,6,1,4,NULL,2),(16,327,1,17,7,3,3,2,NULL),(16,327,1,17,8,1,5,1,3),(16,327,1,17,9,NULL,3,NULL,1),(16,327,1,17,10,8,4,4,1),(16,327,1,17,11,12,12,4,4),(16,327,1,17,12,1,2,1,1),(16,327,1,17,13,8,12,2,6),(16,327,1,17,14,4,13,2,4),(16,327,1,17,15,8,12,3,4),(16,327,1,17,16,1,11,NULL,4),(16,327,1,17,17,8,6,3,2),(16,327,1,17,18,11,4,6,NULL),(16,327,1,17,19,14,10,6,2),(16,327,1,17,20,1,8,1,2),(16,327,2,21,1,3,4,1,NULL),(16,327,2,21,2,NULL,15,NULL,4),(16,327,2,21,3,4,1,NULL,NULL),(16,327,2,21,4,7,5,3,1),(16,327,2,21,5,3,6,2,2),(16,327,2,21,6,3,5,NULL,3),(16,327,2,21,7,3,1,NULL,NULL),(16,327,2,21,8,NULL,3,NULL,1),(16,327,2,21,9,NULL,5,NULL,1),(16,327,2,21,10,3,5,1,2),(16,327,2,21,11,NULL,3,NULL,1),(16,327,2,21,12,7,4,2,1),(16,327,2,21,13,5,1,2,1),(16,327,2,21,14,9,6,1,3),(16,327,2,21,15,10,2,4,1),(16,327,2,21,16,6,1,2,NULL),(16,327,2,21,17,1,4,NULL,1),(16,327,2,21,18,1,NULL,NULL,NULL),(16,327,2,21,19,9,9,4,2),(16,327,2,21,20,7,5,NULL,2),(16,327,2,21,21,2,6,NULL,1),(16,327,2,21,22,3,4,NULL,NULL),(16,327,2,21,23,2,1,1,NULL),(16,327,2,21,24,3,4,2,1),(16,327,2,21,25,1,NULL,NULL,NULL),(16,327,2,21,26,30,NULL,7,NULL),(16,327,2,21,27,2,3,NULL,3),(16,327,2,21,28,1,3,1,1),(16,327,2,21,29,3,7,2,2),(16,327,2,21,30,1,4,1,2),(16,327,2,22,1,NULL,3,NULL,3),(16,327,2,22,2,NULL,16,NULL,11),(16,327,2,22,3,6,8,2,7),(16,327,2,22,4,8,3,6,2),(16,327,2,22,5,4,9,1,7),(16,327,2,22,6,3,5,1,2),(16,327,2,22,7,2,4,1,3),(16,327,2,22,8,2,3,1,2),(16,327,2,22,9,NULL,5,NULL,4),(16,327,2,22,10,1,7,1,3),(16,327,2,22,11,1,5,1,4),(16,327,2,22,12,4,9,3,7),(16,327,2,22,13,3,10,2,10),(16,327,2,22,14,6,14,5,11),(16,327,2,22,15,15,5,12,3),(16,327,2,22,16,6,6,4,6),(16,327,2,22,17,2,7,2,4),(16,327,2,22,18,3,3,2,2),(16,327,2,22,19,8,13,5,12),(16,327,2,22,20,7,10,6,7),(16,327,2,22,21,3,6,1,6),(16,327,2,22,22,1,6,NULL,6),(16,327,2,22,23,4,5,3,5),(16,327,2,22,24,7,10,3,6),(16,327,2,22,25,1,NULL,1,NULL),(16,327,2,22,26,32,NULL,18,NULL),(16,327,2,22,27,5,8,3,6),(16,327,2,22,28,2,3,NULL,1),(16,327,2,22,29,7,7,1,6),(16,327,2,22,30,1,5,NULL,5),(16,327,2,23,1,NULL,NULL,NULL,NULL),(16,327,2,23,2,NULL,13,NULL,6),(16,327,2,23,3,4,3,3,1),(16,327,2,23,4,6,3,2,NULL),(16,327,2,23,5,5,8,5,3),(16,327,2,23,6,3,7,3,4),(16,327,2,23,7,2,1,NULL,NULL),(16,327,2,23,8,2,3,2,NULL),(16,327,2,23,9,NULL,3,NULL,3),(16,327,2,23,10,NULL,3,NULL,2),(16,327,2,23,11,2,NULL,2,NULL),(16,327,2,23,12,4,5,NULL,2),(16,327,2,23,13,4,8,2,4),(16,327,2,23,14,11,3,6,1),(16,327,2,23,15,14,2,8,NULL),(16,327,2,23,16,8,4,4,2),(16,327,2,23,17,3,4,1,1),(16,327,2,23,18,1,3,1,2),(16,327,2,23,19,8,10,5,5),(16,327,2,23,20,6,6,3,2),(16,327,2,23,21,NULL,5,NULL,2),(16,327,2,23,22,3,3,2,2),(16,327,2,23,23,2,8,2,4),(16,327,2,23,24,3,11,1,5),(16,327,2,23,25,1,NULL,1,NULL),(16,327,2,23,26,29,NULL,10,NULL),(16,327,2,23,27,NULL,10,NULL,5),(16,327,2,23,28,1,3,NULL,1),(16,327,2,23,29,3,10,NULL,5),(16,327,2,23,30,1,3,1,2),(16,327,2,24,1,NULL,2,NULL,2),(16,327,2,24,2,2,9,1,3),(16,327,2,24,3,2,2,2,NULL),(16,327,2,24,4,5,8,3,3),(16,327,2,24,5,3,11,2,5),(16,327,2,24,6,NULL,3,NULL,2),(16,327,2,24,7,1,8,1,4),(16,327,2,24,8,2,5,2,3),(16,327,2,24,9,1,1,NULL,NULL),(16,327,2,24,10,NULL,5,NULL,3),(16,327,2,24,11,NULL,7,NULL,3),(16,327,2,24,12,2,4,NULL,3),(16,327,2,24,13,2,5,1,4),(16,327,2,24,14,7,7,4,5),(16,327,2,24,15,10,2,6,1),(16,327,2,24,16,4,2,2,1),(16,327,2,24,17,4,5,3,1),(16,327,2,24,18,2,2,1,2),(16,327,2,24,19,2,10,1,6),(16,327,2,24,20,7,3,5,2),(16,327,2,24,21,1,2,NULL,2),(16,327,2,24,22,2,3,NULL,3),(16,327,2,24,23,2,2,2,1),(16,327,2,24,24,2,4,1,1),(16,327,2,24,25,NULL,NULL,NULL,NULL),(16,327,2,24,26,23,NULL,10,NULL),(16,327,2,24,27,1,4,NULL,4),(16,327,2,24,28,2,1,2,NULL),(16,327,2,24,29,2,9,1,5),(16,327,2,24,30,2,NULL,2,NULL),(16,327,3,31,1,NULL,1,NULL,1),(16,327,3,31,2,2,2,1,2),(16,327,3,31,3,NULL,3,NULL,2),(16,327,3,31,4,NULL,1,NULL,1),(16,327,3,31,5,6,7,3,3),(16,327,3,31,6,10,5,4,4),(16,327,3,31,7,NULL,1,NULL,1),(16,327,3,31,8,NULL,3,NULL,2),(16,327,3,31,9,NULL,NULL,NULL,NULL),(16,327,3,31,10,NULL,1,NULL,1),(16,327,3,31,11,1,5,1,3),(16,327,3,31,12,3,4,1,3),(16,327,3,31,13,5,4,3,3),(16,327,3,31,14,1,8,1,3),(16,327,3,31,15,9,3,4,NULL),(16,327,3,31,16,3,10,1,6),(16,327,3,31,17,9,5,3,4),(16,327,3,31,18,3,1,1,NULL),(16,327,3,31,19,3,5,2,2),(16,327,3,31,20,10,NULL,5,NULL),(16,327,3,31,21,4,10,2,4),(16,327,3,31,22,1,2,NULL,1),(16,327,3,31,23,NULL,2,NULL,1),(16,327,3,31,24,1,NULL,1,NULL),(16,327,3,31,25,NULL,2,NULL,1),(16,327,3,31,26,NULL,2,NULL,NULL),(16,327,3,31,27,1,3,NULL,2),(16,327,3,31,28,NULL,4,NULL,3),(16,327,3,31,29,2,5,1,3),(16,327,3,31,30,2,1,NULL,1),(16,327,3,32,1,NULL,1,NULL,NULL),(16,327,3,32,2,NULL,4,NULL,3),(16,327,3,32,3,NULL,4,NULL,3),(16,327,3,32,4,1,2,1,1),(16,327,3,32,5,4,6,1,3),(16,327,3,32,6,13,4,6,1),(16,327,3,32,7,1,5,1,3),(16,327,3,32,8,NULL,4,NULL,1),(16,327,3,32,9,1,1,1,NULL),(16,327,3,32,10,NULL,2,NULL,1),(16,327,3,32,11,6,7,3,1),(16,327,3,32,12,3,8,2,5),(16,327,3,32,13,3,4,2,2),(16,327,3,32,14,8,6,4,4),(16,327,3,32,15,8,5,4,1),(16,327,3,32,16,6,8,4,4),(16,327,3,32,17,16,5,9,1),(16,327,3,32,18,3,2,2,NULL),(16,327,3,32,19,4,6,3,2),(16,327,3,32,20,13,NULL,8,NULL),(16,327,3,32,21,3,10,3,3),(16,327,3,32,22,NULL,2,NULL,1),(16,327,3,32,23,NULL,2,NULL,1),(16,327,3,32,24,1,1,1,NULL),(16,327,3,32,25,NULL,2,NULL,1),(16,327,3,32,26,NULL,2,NULL,NULL),(16,327,3,32,27,NULL,2,NULL,1),(16,327,3,32,28,3,5,1,3),(16,327,3,32,29,2,6,2,3),(16,327,3,32,30,1,NULL,NULL,NULL),(16,327,3,33,1,1,NULL,1,NULL),(16,327,3,33,2,1,2,NULL,1),(16,327,3,33,3,NULL,5,NULL,3),(16,327,3,33,4,1,5,NULL,4),(16,327,3,33,5,5,9,3,4),(16,327,3,33,6,12,9,7,5),(16,327,3,33,7,3,2,2,1),(16,327,3,33,8,NULL,2,NULL,1),(16,327,3,33,9,NULL,1,NULL,NULL),(16,327,3,33,10,NULL,2,NULL,2),(16,327,3,33,11,7,5,5,3),(16,327,3,33,12,10,8,7,2),(16,327,3,33,13,3,4,2,3),(16,327,3,33,14,7,12,4,6),(16,327,3,33,15,11,6,8,5),(16,327,3,33,16,5,14,4,6),(16,327,3,33,17,12,9,8,6),(16,327,3,33,18,6,1,4,NULL),(16,327,3,33,19,5,7,3,3),(16,327,3,33,20,14,NULL,13,NULL),(16,327,3,33,21,2,20,NULL,13),(16,327,3,33,22,1,4,NULL,3),(16,327,3,33,23,NULL,2,NULL,2),(16,327,3,33,24,NULL,3,NULL,1),(16,327,3,33,25,NULL,6,NULL,4),(16,327,3,33,26,NULL,1,NULL,1),(16,327,3,33,27,NULL,2,NULL,1),(16,327,3,33,28,NULL,5,NULL,4),(16,327,3,33,29,1,9,1,5),(16,327,3,33,30,1,1,NULL,1),(16,327,3,34,1,1,3,NULL,2),(16,327,3,34,2,NULL,4,NULL,2),(16,327,3,34,3,NULL,5,NULL,1),(16,327,3,34,4,NULL,3,NULL,1),(16,327,3,34,5,2,7,NULL,2),(16,327,3,34,6,11,11,5,2),(16,327,3,34,7,1,3,NULL,2),(16,327,3,34,8,NULL,NULL,NULL,NULL),(16,327,3,34,9,NULL,2,NULL,NULL),(16,327,3,34,10,NULL,3,NULL,NULL),(16,327,3,34,11,6,4,2,2),(16,327,3,34,12,4,8,2,3),(16,327,3,34,13,3,5,1,1),(16,327,3,34,14,7,7,1,4),(16,327,3,34,15,4,9,3,4),(16,327,3,34,16,7,7,3,2),(16,327,3,34,17,15,6,7,1),(16,327,3,34,18,4,2,1,2),(16,327,3,34,19,3,4,2,NULL),(16,327,3,34,20,11,NULL,5,NULL),(16,327,3,34,21,4,14,2,3),(16,327,3,34,22,1,NULL,NULL,NULL),(16,327,3,34,23,2,5,NULL,1),(16,327,3,34,24,NULL,1,NULL,1),(16,327,3,34,25,2,4,NULL,2),(16,327,3,34,26,NULL,NULL,NULL,NULL),(16,327,3,34,27,NULL,4,NULL,2),(16,327,3,34,28,3,2,2,1),(16,327,3,34,29,3,3,1,1),(16,327,3,34,30,NULL,NULL,NULL,NULL),(16,328,1,11,1,NULL,NULL,NULL,NULL),(16,328,1,11,2,NULL,NULL,NULL,NULL),(16,328,1,11,3,1,NULL,1,NULL),(16,328,1,11,4,NULL,NULL,NULL,NULL),(16,328,1,11,5,1,NULL,1,NULL),(16,328,1,11,6,NULL,1,NULL,1),(16,328,1,11,7,NULL,NULL,NULL,NULL),(16,328,1,11,8,NULL,NULL,NULL,NULL),(16,328,1,11,9,NULL,NULL,NULL,NULL),(16,328,1,11,10,1,NULL,1,NULL),(16,328,1,11,11,1,NULL,1,NULL),(16,328,1,11,12,1,NULL,1,NULL),(16,328,1,11,13,NULL,NULL,NULL,NULL),(16,328,1,11,14,1,NULL,1,NULL),(16,328,1,11,15,NULL,NULL,NULL,NULL),(16,328,1,11,16,NULL,NULL,NULL,NULL),(16,328,1,11,17,NULL,NULL,NULL,NULL),(16,328,1,11,18,NULL,NULL,NULL,NULL),(16,328,1,11,19,NULL,NULL,NULL,NULL),(16,328,1,11,20,1,NULL,1,NULL),(16,328,1,12,1,NULL,NULL,NULL,NULL),(16,328,1,12,2,NULL,NULL,NULL,NULL),(16,328,1,12,3,NULL,1,NULL,1),(16,328,1,12,4,NULL,1,NULL,1),(16,328,1,12,5,NULL,NULL,NULL,NULL),(16,328,1,12,6,NULL,NULL,NULL,NULL),(16,328,1,12,7,NULL,NULL,NULL,NULL),(16,328,1,12,8,NULL,NULL,NULL,NULL),(16,328,1,12,9,NULL,1,NULL,1),(16,328,1,12,10,NULL,NULL,NULL,NULL),(16,328,1,12,11,1,NULL,1,NULL),(16,328,1,12,12,1,NULL,1,NULL),(16,328,1,12,13,1,NULL,1,NULL),(16,328,1,12,14,1,NULL,1,NULL),(16,328,1,12,15,1,NULL,1,NULL),(16,328,1,12,16,1,NULL,1,NULL),(16,328,1,12,17,1,NULL,1,NULL),(16,328,1,12,18,1,NULL,1,NULL),(16,328,1,12,19,NULL,NULL,NULL,NULL),(16,328,1,12,20,NULL,NULL,NULL,NULL),(16,328,1,13,1,NULL,NULL,NULL,NULL),(16,328,1,13,2,NULL,NULL,NULL,NULL),(16,328,1,13,3,NULL,NULL,NULL,NULL),(16,328,1,13,4,NULL,NULL,NULL,NULL),(16,328,1,13,5,NULL,NULL,NULL,NULL),(16,328,1,13,6,NULL,NULL,NULL,NULL),(16,328,1,13,7,NULL,NULL,NULL,NULL),(16,328,1,13,8,NULL,NULL,NULL,NULL),(16,328,1,13,9,NULL,NULL,NULL,NULL),(16,328,1,13,10,NULL,NULL,NULL,NULL),(16,328,1,13,11,NULL,NULL,NULL,NULL),(16,328,1,13,12,NULL,NULL,NULL,NULL),(16,328,1,13,13,NULL,NULL,NULL,NULL),(16,328,1,13,14,NULL,NULL,NULL,NULL),(16,328,1,13,15,NULL,NULL,NULL,NULL),(16,328,1,13,16,NULL,NULL,NULL,NULL),(16,328,1,13,17,NULL,NULL,NULL,NULL),(16,328,1,13,18,NULL,NULL,NULL,NULL),(16,328,1,13,19,NULL,NULL,NULL,NULL),(16,328,1,13,20,NULL,NULL,NULL,NULL),(16,328,1,14,1,5,2,1,2),(16,328,1,14,2,2,2,2,NULL),(16,328,1,14,3,5,4,2,3),(16,328,1,14,4,NULL,NULL,NULL,NULL),(16,328,1,14,5,3,3,1,NULL),(16,328,1,14,6,NULL,4,NULL,3),(16,328,1,14,7,1,2,NULL,2),(16,328,1,14,8,NULL,5,NULL,3),(16,328,1,14,9,1,3,1,2),(16,328,1,14,10,3,1,NULL,1),(16,328,1,14,11,5,6,3,1),(16,328,1,14,12,3,5,2,3),(16,328,1,14,13,3,8,3,2),(16,328,1,14,14,6,1,5,NULL),(16,328,1,14,15,1,4,1,3),(16,328,1,14,16,9,2,5,NULL),(16,328,1,14,17,5,2,4,1),(16,328,1,14,18,4,1,3,1),(16,328,1,14,19,6,3,4,1),(16,328,1,14,20,5,6,5,2),(16,328,1,15,1,8,5,3,NULL),(16,328,1,15,2,1,1,1,NULL),(16,328,1,15,3,4,5,2,1),(16,328,1,15,4,NULL,4,NULL,1),(16,328,1,15,5,3,3,1,1),(16,328,1,15,6,NULL,2,NULL,1),(16,328,1,15,7,NULL,7,NULL,2),(16,328,1,15,8,2,3,1,1),(16,328,1,15,9,1,3,1,2),(16,328,1,15,10,2,5,1,2),(16,328,1,15,11,2,6,2,2),(16,328,1,15,12,3,1,1,NULL),(16,328,1,15,13,6,6,3,1),(16,328,1,15,14,1,3,NULL,1),(16,328,1,15,15,NULL,3,NULL,2),(16,328,1,15,16,5,6,2,1),(16,328,1,15,17,6,2,5,NULL),(16,328,1,15,18,NULL,4,NULL,3),(16,328,1,15,19,5,5,3,NULL),(16,328,1,15,20,1,11,1,2),(16,328,1,16,1,6,8,4,4),(16,328,1,16,2,1,1,1,1),(16,328,1,16,3,6,4,2,3),(16,328,1,16,4,1,1,1,1),(16,328,1,16,5,5,3,3,2),(16,328,1,16,6,2,2,2,2),(16,328,1,16,7,NULL,2,NULL,2),(16,328,1,16,8,2,5,1,3),(16,328,1,16,9,NULL,7,NULL,6),(16,328,1,16,10,5,3,4,2),(16,328,1,16,11,8,11,3,7),(16,328,1,16,12,1,9,NULL,5),(16,328,1,16,13,3,10,2,6),(16,328,1,16,14,1,6,1,3),(16,328,1,16,15,7,11,2,7),(16,328,1,16,16,1,6,NULL,5),(16,328,1,16,17,2,5,2,3),(16,328,1,16,18,2,7,1,7),(16,328,1,16,19,7,5,4,3),(16,328,1,16,20,1,8,1,3),(16,328,1,17,1,9,9,7,3),(16,328,1,17,2,NULL,2,NULL,1),(16,328,1,17,3,4,4,2,4),(16,328,1,17,4,NULL,6,NULL,3),(16,328,1,17,5,4,7,3,5),(16,328,1,17,6,1,3,NULL,2),(16,328,1,17,7,2,3,2,2),(16,328,1,17,8,8,3,7,1),(16,328,1,17,9,1,1,1,1),(16,328,1,17,10,5,4,3,4),(16,328,1,17,11,7,12,4,7),(16,328,1,17,12,4,4,4,1),(16,328,1,17,13,8,6,5,4),(16,328,1,17,14,5,7,3,5),(16,328,1,17,15,14,5,9,2),(16,328,1,17,16,2,10,2,6),(16,328,1,17,17,6,7,3,6),(16,328,1,17,18,8,4,6,1),(16,328,1,17,19,9,6,7,3),(16,328,1,17,20,4,6,4,4),(16,328,2,21,1,1,1,NULL,1),(16,328,2,21,2,NULL,7,NULL,3),(16,328,2,21,3,2,6,2,2),(16,328,2,21,4,5,4,1,2),(16,328,2,21,5,2,13,1,4),(16,328,2,21,6,1,3,1,2),(16,328,2,21,7,NULL,5,NULL,1),(16,328,2,21,8,3,2,2,NULL),(16,328,2,21,9,NULL,1,NULL,NULL),(16,328,2,21,10,1,1,1,1),(16,328,2,21,11,2,2,1,2),(16,328,2,21,12,5,6,1,3),(16,328,2,21,13,4,5,3,5),(16,328,2,21,14,10,6,6,3),(16,328,2,21,15,5,2,4,2),(16,328,2,21,16,6,5,4,2),(16,328,2,21,17,4,2,2,2),(16,328,2,21,18,2,2,NULL,2),(16,328,2,21,19,4,7,2,3),(16,328,2,21,20,4,10,3,5),(16,328,2,21,21,1,3,NULL,2),(16,328,2,21,22,NULL,3,NULL,2),(16,328,2,21,23,3,2,3,2),(16,328,2,21,24,3,9,1,5),(16,328,2,21,25,NULL,NULL,NULL,NULL),(16,328,2,21,26,25,NULL,10,NULL),(16,328,2,21,27,1,7,NULL,5),(16,328,2,21,28,2,4,1,2),(16,328,2,21,29,2,6,1,5),(16,328,2,21,30,NULL,1,NULL,1),(16,328,2,22,1,1,3,1,3),(16,328,2,22,2,1,6,1,4),(16,328,2,22,3,4,1,3,NULL),(16,328,2,22,4,4,4,3,3),(16,328,2,22,5,3,7,1,5),(16,328,2,22,6,3,4,3,1),(16,328,2,22,7,1,NULL,1,NULL),(16,328,2,22,8,2,NULL,1,NULL),(16,328,2,22,9,1,NULL,1,NULL),(16,328,2,22,10,NULL,5,NULL,3),(16,328,2,22,11,1,4,1,3),(16,328,2,22,12,2,5,1,3),(16,328,2,22,13,5,4,3,3),(16,328,2,22,14,7,8,3,4),(16,328,2,22,15,5,1,4,NULL),(16,328,2,22,16,3,3,2,2),(16,328,2,22,17,7,3,3,2),(16,328,2,22,18,1,2,1,2),(16,328,2,22,19,7,7,2,5),(16,328,2,22,20,4,7,2,5),(16,328,2,22,21,3,6,1,2),(16,328,2,22,22,4,5,2,4),(16,328,2,22,23,1,5,NULL,5),(16,328,2,22,24,2,9,NULL,6),(16,328,2,22,25,1,NULL,1,NULL),(16,328,2,22,26,20,NULL,9,NULL),(16,328,2,22,27,1,3,1,2),(16,328,2,22,28,2,4,1,2),(16,328,2,22,29,1,3,NULL,2),(16,328,2,22,30,NULL,3,NULL,2),(16,328,2,23,1,NULL,NULL,NULL,NULL),(16,328,2,23,2,NULL,4,NULL,3),(16,328,2,23,3,2,2,1,1),(16,328,2,23,4,2,6,NULL,3),(16,328,2,23,5,1,6,1,2),(16,328,2,23,6,NULL,1,NULL,NULL),(16,328,2,23,7,1,3,NULL,1),(16,328,2,23,8,2,4,1,2),(16,328,2,23,9,NULL,NULL,NULL,NULL),(16,328,2,23,10,NULL,1,NULL,1),(16,328,2,23,11,NULL,1,NULL,1),(16,328,2,23,12,1,5,NULL,2),(16,328,2,23,13,1,3,NULL,1),(16,328,2,23,14,5,7,2,3),(16,328,2,23,15,3,2,2,1),(16,328,2,23,16,1,5,NULL,3),(16,328,2,23,17,NULL,3,NULL,1),(16,328,2,23,18,1,4,1,1),(16,328,2,23,19,5,6,1,4),(16,328,2,23,20,4,3,1,2),(16,328,2,23,21,1,3,NULL,1),(16,328,2,23,22,3,3,1,2),(16,328,2,23,23,1,2,NULL,1),(16,328,2,23,24,NULL,8,NULL,2),(16,328,2,23,25,NULL,NULL,NULL,NULL),(16,328,2,23,26,20,NULL,6,NULL),(16,328,2,23,27,2,5,1,2),(16,328,2,23,28,NULL,2,NULL,2),(16,328,2,23,29,3,6,3,1),(16,328,2,23,30,1,1,NULL,NULL),(16,328,2,24,1,NULL,6,NULL,4),(16,328,2,24,2,1,9,1,5),(16,328,2,24,3,2,6,1,5),(16,328,2,24,4,3,4,3,3),(16,328,2,24,5,2,9,2,5),(16,328,2,24,6,1,4,1,3),(16,328,2,24,7,3,4,NULL,2),(16,328,2,24,8,4,1,1,1),(16,328,2,24,9,NULL,1,NULL,1),(16,328,2,24,10,4,1,3,1),(16,328,2,24,11,1,3,1,3),(16,328,2,24,12,1,8,NULL,5),(16,328,2,24,13,2,5,2,4),(16,328,2,24,14,7,10,4,7),(16,328,2,24,15,7,NULL,5,NULL),(16,328,2,24,16,3,6,3,3),(16,328,2,24,17,5,3,4,3),(16,328,2,24,18,1,2,1,NULL),(16,328,2,24,19,3,9,2,6),(16,328,2,24,20,7,6,5,4),(16,328,2,24,21,2,5,2,3),(16,328,2,24,22,2,3,2,2),(16,328,2,24,23,4,4,4,2),(16,328,2,24,24,NULL,7,NULL,4),(16,328,2,24,25,NULL,NULL,NULL,NULL),(16,328,2,24,26,21,NULL,12,NULL),(16,328,2,24,27,1,7,NULL,6),(16,328,2,24,28,NULL,3,NULL,2),(16,328,2,24,29,1,7,NULL,6),(16,328,2,24,30,1,1,NULL,1),(16,328,3,31,1,NULL,2,NULL,1),(16,328,3,31,2,NULL,3,NULL,2),(16,328,3,31,3,NULL,2,NULL,2),(16,328,3,31,4,NULL,5,NULL,3),(16,328,3,31,5,3,7,1,6),(16,328,3,31,6,10,8,7,4),(16,328,3,31,7,NULL,3,NULL,2),(16,328,3,31,8,NULL,3,NULL,3),(16,328,3,31,9,NULL,1,NULL,NULL),(16,328,3,31,10,NULL,2,NULL,1),(16,328,3,31,11,4,3,3,1),(16,328,3,31,12,4,8,3,7),(16,328,3,31,13,2,3,1,1),(16,328,3,31,14,4,10,4,4),(16,328,3,31,15,9,6,7,3),(16,328,3,31,16,3,9,3,5),(16,328,3,31,17,4,11,2,7),(16,328,3,31,18,NULL,4,NULL,2),(16,328,3,31,19,3,6,3,3),(16,328,3,31,20,13,NULL,9,NULL),(16,328,3,31,21,1,10,1,8),(16,328,3,31,22,1,2,1,1),(16,328,3,31,23,NULL,2,NULL,NULL),(16,328,3,31,24,2,NULL,2,NULL),(16,328,3,31,25,NULL,NULL,NULL,NULL),(16,328,3,31,26,1,1,1,NULL),(16,328,3,31,27,1,NULL,1,NULL),(16,328,3,31,28,1,1,1,NULL),(16,328,3,31,29,1,6,1,4),(16,328,3,31,30,NULL,NULL,NULL,NULL),(16,328,3,32,1,NULL,3,NULL,1),(16,328,3,32,2,NULL,2,NULL,NULL),(16,328,3,32,3,NULL,4,NULL,1),(16,328,3,32,4,NULL,3,NULL,2),(16,328,3,32,5,1,4,1,1),(16,328,3,32,6,6,5,1,2),(16,328,3,32,7,NULL,2,NULL,NULL),(16,328,3,32,8,NULL,NULL,NULL,NULL),(16,328,3,32,9,1,1,1,NULL),(16,328,3,32,10,NULL,4,NULL,NULL),(16,328,3,32,11,4,4,1,1),(16,328,3,32,12,2,1,1,1),(16,328,3,32,13,2,5,2,2),(16,328,3,32,14,2,5,NULL,2),(16,328,3,32,15,4,5,1,2),(16,328,3,32,16,1,6,1,2),(16,328,3,32,17,4,4,3,1),(16,328,3,32,18,1,3,1,NULL),(16,328,3,32,19,1,6,NULL,4),(16,328,3,32,20,7,NULL,4,NULL),(16,328,3,32,21,NULL,6,NULL,3),(16,328,3,32,22,NULL,2,NULL,NULL),(16,328,3,32,23,NULL,3,NULL,2),(16,328,3,32,24,NULL,1,NULL,NULL),(16,328,3,32,25,NULL,1,NULL,NULL),(16,328,3,32,26,NULL,2,NULL,NULL),(16,328,3,32,27,1,1,NULL,NULL),(16,328,3,32,28,NULL,NULL,NULL,NULL),(16,328,3,32,29,1,3,1,NULL),(16,328,3,32,30,NULL,NULL,NULL,NULL),(16,328,3,33,1,1,2,1,2),(16,328,3,33,2,1,2,1,2),(16,328,3,33,3,NULL,1,NULL,NULL),(16,328,3,33,4,NULL,3,NULL,3),(16,328,3,33,5,4,7,3,2),(16,328,3,33,6,10,1,4,1),(16,328,3,33,7,NULL,1,NULL,1),(16,328,3,33,8,NULL,1,NULL,NULL),(16,328,3,33,9,NULL,NULL,NULL,NULL),(16,328,3,33,10,NULL,1,NULL,NULL),(16,328,3,33,11,2,3,1,2),(16,328,3,33,12,2,7,1,4),(16,328,3,33,13,4,2,1,2),(16,328,3,33,14,7,7,1,5),(16,328,3,33,15,8,5,5,2),(16,328,3,33,16,3,6,1,3),(16,328,3,33,17,10,5,6,2),(16,328,3,33,18,1,6,NULL,4),(16,328,3,33,19,3,5,2,2),(16,328,3,33,20,11,NULL,6,NULL),(16,328,3,33,21,2,10,1,4),(16,328,3,33,22,NULL,2,NULL,1),(16,328,3,33,23,1,5,1,3),(16,328,3,33,24,1,NULL,1,NULL),(16,328,3,33,25,NULL,1,NULL,NULL),(16,328,3,33,26,1,NULL,1,NULL),(16,328,3,33,27,NULL,NULL,NULL,NULL),(16,328,3,33,28,1,5,1,2),(16,328,3,33,29,2,3,NULL,1),(16,328,3,33,30,NULL,1,NULL,NULL),(16,328,3,34,1,NULL,1,NULL,NULL),(16,328,3,34,2,1,4,NULL,3),(16,328,3,34,3,NULL,2,NULL,2),(16,328,3,34,4,1,1,1,1),(16,328,3,34,5,3,5,NULL,4),(16,328,3,34,6,2,8,NULL,4),(16,328,3,34,7,NULL,6,NULL,4),(16,328,3,34,8,NULL,1,NULL,NULL),(16,328,3,34,9,1,NULL,NULL,NULL),(16,328,3,34,10,NULL,3,NULL,1),(16,328,3,34,11,5,2,3,NULL),(16,328,3,34,12,3,8,1,6),(16,328,3,34,13,3,4,3,2),(16,328,3,34,14,2,6,1,5),(16,328,3,34,15,8,5,5,1),(16,328,3,34,16,5,6,2,4),(16,328,3,34,17,4,9,2,6),(16,328,3,34,18,3,1,NULL,NULL),(16,328,3,34,19,3,5,2,1),(16,328,3,34,20,8,NULL,5,NULL),(16,328,3,34,21,3,10,1,6),(16,328,3,34,22,NULL,2,NULL,1),(16,328,3,34,23,2,7,1,3),(16,328,3,34,24,NULL,1,NULL,NULL),(16,328,3,34,25,1,1,1,NULL),(16,328,3,34,26,NULL,2,NULL,1),(16,328,3,34,27,1,2,NULL,1),(16,328,3,34,28,NULL,2,NULL,1),(16,328,3,34,29,NULL,NULL,NULL,NULL),(16,328,3,34,30,NULL,1,NULL,NULL),(16,329,1,11,1,NULL,NULL,NULL,NULL),(16,329,1,11,2,NULL,NULL,NULL,NULL),(16,329,1,11,3,NULL,NULL,NULL,NULL),(16,329,1,11,4,NULL,NULL,NULL,NULL),(16,329,1,11,5,NULL,NULL,NULL,NULL),(16,329,1,11,6,NULL,NULL,NULL,NULL),(16,329,1,11,7,NULL,NULL,NULL,NULL),(16,329,1,11,8,NULL,NULL,NULL,NULL),(16,329,1,11,9,NULL,NULL,NULL,NULL),(16,329,1,11,10,NULL,NULL,NULL,NULL),(16,329,1,11,11,NULL,NULL,NULL,NULL),(16,329,1,11,12,NULL,NULL,NULL,NULL),(16,329,1,11,13,NULL,NULL,NULL,NULL),(16,329,1,11,14,NULL,NULL,NULL,NULL),(16,329,1,11,15,NULL,NULL,NULL,NULL),(16,329,1,11,16,NULL,NULL,NULL,NULL),(16,329,1,11,17,NULL,NULL,NULL,NULL),(16,329,1,11,18,NULL,NULL,NULL,NULL),(16,329,1,11,19,NULL,NULL,NULL,NULL),(16,329,1,11,20,NULL,NULL,NULL,NULL),(16,329,1,12,1,NULL,NULL,NULL,NULL),(16,329,1,12,2,NULL,NULL,NULL,NULL),(16,329,1,12,3,NULL,NULL,NULL,NULL),(16,329,1,12,4,NULL,NULL,NULL,NULL),(16,329,1,12,5,NULL,NULL,NULL,NULL),(16,329,1,12,6,NULL,NULL,NULL,NULL),(16,329,1,12,7,NULL,NULL,NULL,NULL),(16,329,1,12,8,NULL,NULL,NULL,NULL),(16,329,1,12,9,NULL,NULL,NULL,NULL),(16,329,1,12,10,NULL,NULL,NULL,NULL),(16,329,1,12,11,NULL,NULL,NULL,NULL),(16,329,1,12,12,NULL,NULL,NULL,NULL),(16,329,1,12,13,NULL,NULL,NULL,NULL),(16,329,1,12,14,NULL,NULL,NULL,NULL),(16,329,1,12,15,NULL,NULL,NULL,NULL),(16,329,1,12,16,NULL,NULL,NULL,NULL),(16,329,1,12,17,NULL,NULL,NULL,NULL),(16,329,1,12,18,NULL,NULL,NULL,NULL),(16,329,1,12,19,NULL,NULL,NULL,NULL),(16,329,1,12,20,NULL,NULL,NULL,NULL),(16,329,1,13,1,NULL,NULL,NULL,NULL),(16,329,1,13,2,NULL,NULL,NULL,NULL),(16,329,1,13,3,NULL,1,NULL,1),(16,329,1,13,4,NULL,1,NULL,1),(16,329,1,13,5,NULL,1,NULL,1),(16,329,1,13,6,NULL,NULL,NULL,NULL),(16,329,1,13,7,1,NULL,1,NULL),(16,329,1,13,8,1,NULL,1,NULL),(16,329,1,13,9,NULL,NULL,NULL,NULL),(16,329,1,13,10,1,NULL,1,NULL),(16,329,1,13,11,1,NULL,1,NULL),(16,329,1,13,12,1,NULL,1,NULL),(16,329,1,13,13,1,NULL,1,NULL),(16,329,1,13,14,1,NULL,1,NULL),(16,329,1,13,15,NULL,NULL,NULL,NULL),(16,329,1,13,16,NULL,NULL,NULL,NULL),(16,329,1,13,17,1,NULL,1,NULL),(16,329,1,13,18,1,NULL,1,NULL),(16,329,1,13,19,1,NULL,1,NULL),(16,329,1,13,20,1,NULL,1,NULL),(16,329,1,14,1,7,3,6,2),(16,329,1,14,2,1,NULL,1,NULL),(16,329,1,14,3,4,6,4,5),(16,329,1,14,4,1,1,1,1),(16,329,1,14,5,7,4,7,3),(16,329,1,14,6,1,3,1,2),(16,329,1,14,7,3,3,2,1),(16,329,1,14,8,2,4,1,2),(16,329,1,14,9,2,3,2,3),(16,329,1,14,10,3,4,3,4),(16,329,1,14,11,7,3,6,NULL),(16,329,1,14,12,2,3,2,2),(16,329,1,14,13,8,4,7,2),(16,329,1,14,14,4,2,4,2),(16,329,1,14,15,1,3,1,2),(16,329,1,14,16,7,3,6,1),(16,329,1,14,17,6,3,6,3),(16,329,1,14,18,1,3,1,3),(16,329,1,14,19,8,3,7,2),(16,329,1,14,20,2,7,2,5),(16,329,1,15,1,7,1,6,1),(16,329,1,15,2,2,1,2,1),(16,329,1,15,3,2,2,2,2),(16,329,1,15,4,NULL,NULL,NULL,NULL),(16,329,1,15,5,NULL,3,NULL,2),(16,329,1,15,6,NULL,1,NULL,NULL),(16,329,1,15,7,NULL,3,NULL,3),(16,329,1,15,8,3,1,3,1),(16,329,1,15,9,1,3,1,3),(16,329,1,15,10,3,2,2,2),(16,329,1,15,11,2,4,2,3),(16,329,1,15,12,2,4,1,3),(16,329,1,15,13,5,2,4,2),(16,329,1,15,14,NULL,4,NULL,2),(16,329,1,15,15,1,1,NULL,1),(16,329,1,15,16,6,1,5,1),(16,329,1,15,17,3,4,3,2),(16,329,1,15,18,1,2,1,2),(16,329,1,15,19,5,3,4,3),(16,329,1,15,20,1,6,1,5),(16,329,1,16,1,3,7,NULL,3),(16,329,1,16,2,2,NULL,2,NULL),(16,329,1,16,3,2,6,1,2),(16,329,1,16,4,1,1,1,1),(16,329,1,16,5,4,3,3,1),(16,329,1,16,6,3,2,2,NULL),(16,329,1,16,7,2,3,2,2),(16,329,1,16,8,2,1,1,1),(16,329,1,16,9,2,1,2,1),(16,329,1,16,10,3,2,2,1),(16,329,1,16,11,4,11,1,5),(16,329,1,16,12,1,1,1,1),(16,329,1,16,13,8,4,4,1),(16,329,1,16,14,NULL,9,NULL,4),(16,329,1,16,15,7,4,2,3),(16,329,1,16,16,NULL,9,NULL,4),(16,329,1,16,17,2,4,2,2),(16,329,1,16,18,7,1,5,NULL),(16,329,1,16,19,7,7,4,2),(16,329,1,16,20,1,6,NULL,2),(16,329,1,17,1,7,5,5,2),(16,329,1,17,2,1,1,1,NULL),(16,329,1,17,3,7,1,3,1),(16,329,1,17,4,NULL,3,NULL,2),(16,329,1,17,5,2,1,NULL,1),(16,329,1,17,6,1,1,1,NULL),(16,329,1,17,7,1,NULL,1,NULL),(16,329,1,17,8,3,1,2,NULL),(16,329,1,17,9,2,1,1,NULL),(16,329,1,17,10,5,1,3,1),(16,329,1,17,11,9,9,4,4),(16,329,1,17,12,1,2,NULL,NULL),(16,329,1,17,13,7,6,4,3),(16,329,1,17,14,3,10,1,4),(16,329,1,17,15,9,4,2,2),(16,329,1,17,16,3,4,2,1),(16,329,1,17,17,3,7,1,5),(16,329,1,17,18,2,4,1,2),(16,329,1,17,19,8,6,4,3),(16,329,1,17,20,1,6,NULL,1),(16,329,2,21,1,1,4,NULL,3),(16,329,2,21,2,NULL,6,NULL,4),(16,329,2,21,3,3,3,NULL,3),(16,329,2,21,4,4,NULL,3,NULL),(16,329,2,21,5,2,4,1,1),(16,329,2,21,6,NULL,5,NULL,4),(16,329,2,21,7,3,1,NULL,NULL),(16,329,2,21,8,NULL,1,NULL,1),(16,329,2,21,9,1,NULL,1,NULL),(16,329,2,21,10,NULL,5,NULL,3),(16,329,2,21,11,1,2,1,1),(16,329,2,21,12,6,2,3,1),(16,329,2,21,13,1,4,NULL,1),(16,329,2,21,14,6,7,4,3),(16,329,2,21,15,9,2,4,1),(16,329,2,21,16,1,5,NULL,3),(16,329,2,21,17,1,3,NULL,3),(16,329,2,21,18,1,4,NULL,2),(16,329,2,21,19,8,3,4,2),(16,329,2,21,20,3,5,2,2),(16,329,2,21,21,NULL,3,NULL,1),(16,329,2,21,22,3,2,2,1),(16,329,2,21,23,3,3,NULL,2),(16,329,2,21,24,1,3,1,2),(16,329,2,21,25,NULL,NULL,NULL,NULL),(16,329,2,21,26,16,NULL,8,NULL),(16,329,2,21,27,NULL,2,NULL,NULL),(16,329,2,21,28,NULL,3,NULL,2),(16,329,2,21,29,1,2,1,1),(16,329,2,21,30,1,2,1,1),(16,329,2,22,1,1,NULL,1,NULL),(16,329,2,22,2,1,3,1,2),(16,329,2,22,3,2,3,NULL,3),(16,329,2,22,4,3,5,3,4),(16,329,2,22,5,4,5,3,3),(16,329,2,22,6,1,4,1,3),(16,329,2,22,7,1,1,NULL,NULL),(16,329,2,22,8,1,1,NULL,NULL),(16,329,2,22,9,2,3,1,3),(16,329,2,22,10,1,1,NULL,1),(16,329,2,22,11,3,2,2,1),(16,329,2,22,12,3,5,2,3),(16,329,2,22,13,2,5,2,3),(16,329,2,22,14,6,6,3,3),(16,329,2,22,15,8,1,7,NULL),(16,329,2,22,16,6,6,4,3),(16,329,2,22,17,2,3,1,3),(16,329,2,22,18,NULL,2,NULL,1),(16,329,2,22,19,6,8,2,5),(16,329,2,22,20,4,4,3,4),(16,329,2,22,21,1,3,1,2),(16,329,2,22,22,5,2,3,2),(16,329,2,22,23,2,5,1,4),(16,329,2,22,24,6,4,4,3),(16,329,2,22,25,NULL,NULL,NULL,NULL),(16,329,2,22,26,17,NULL,9,NULL),(16,329,2,22,27,3,3,1,2),(16,329,2,22,28,NULL,3,NULL,2),(16,329,2,22,29,1,7,NULL,6),(16,329,2,22,30,3,2,2,1),(16,329,2,23,1,1,NULL,1,NULL),(16,329,2,23,2,1,5,1,3),(16,329,2,23,3,4,1,4,NULL),(16,329,2,23,4,6,3,4,2),(16,329,2,23,5,1,3,1,1),(16,329,2,23,6,4,2,3,2),(16,329,2,23,7,1,3,1,2),(16,329,2,23,8,1,2,NULL,1),(16,329,2,23,9,1,2,NULL,1),(16,329,2,23,10,NULL,5,NULL,5),(16,329,2,23,11,2,3,2,3),(16,329,2,23,12,8,5,3,4),(16,329,2,23,13,4,3,4,2),(16,329,2,23,14,9,9,4,7),(16,329,2,23,15,9,3,6,3),(16,329,2,23,16,2,4,2,4),(16,329,2,23,17,1,3,1,3),(16,329,2,23,18,1,2,1,2),(16,329,2,23,19,9,4,6,4),(16,329,2,23,20,5,6,4,5),(16,329,2,23,21,1,3,1,2),(16,329,2,23,22,1,2,1,2),(16,329,2,23,23,2,3,2,3),(16,329,2,23,24,4,6,4,5),(16,329,2,23,25,NULL,NULL,NULL,NULL),(16,329,2,23,26,21,NULL,13,NULL),(16,329,2,23,27,1,4,1,4),(16,329,2,23,28,2,2,NULL,2),(16,329,2,23,29,7,3,4,2),(16,329,2,23,30,2,1,1,1),(16,329,2,24,1,NULL,2,NULL,1),(16,329,2,24,2,NULL,4,NULL,2),(16,329,2,24,3,NULL,3,NULL,1),(16,329,2,24,4,3,4,2,2),(16,329,2,24,5,1,7,NULL,5),(16,329,2,24,6,3,1,2,1),(16,329,2,24,7,NULL,2,NULL,1),(16,329,2,24,8,NULL,3,NULL,1),(16,329,2,24,9,NULL,NULL,NULL,NULL),(16,329,2,24,10,1,NULL,1,NULL),(16,329,2,24,11,1,2,NULL,2),(16,329,2,24,12,3,1,2,NULL),(16,329,2,24,13,2,3,2,2),(16,329,2,24,14,3,5,3,2),(16,329,2,24,15,6,1,4,NULL),(16,329,2,24,16,6,1,6,NULL),(16,329,2,24,17,NULL,2,NULL,2),(16,329,2,24,18,1,2,1,1),(16,329,2,24,19,4,5,4,3),(16,329,2,24,20,3,2,2,2),(16,329,2,24,21,1,1,1,NULL),(16,329,2,24,22,NULL,1,NULL,1),(16,329,2,24,23,1,2,1,1),(16,329,2,24,24,1,4,1,3),(16,329,2,24,25,NULL,NULL,NULL,NULL),(16,329,2,24,26,13,NULL,7,NULL),(16,329,2,24,27,NULL,2,NULL,1),(16,329,2,24,28,1,1,1,NULL),(16,329,2,24,29,NULL,5,NULL,3),(16,329,2,24,30,1,NULL,NULL,NULL),(16,329,3,31,1,1,1,1,NULL),(16,329,3,31,2,1,2,NULL,2),(16,329,3,31,3,NULL,3,NULL,1),(16,329,3,31,4,NULL,1,NULL,1),(16,329,3,31,5,3,3,2,2),(16,329,3,31,6,6,3,3,2),(16,329,3,31,7,NULL,2,NULL,1),(16,329,3,31,8,1,1,1,NULL),(16,329,3,31,9,NULL,3,NULL,1),(16,329,3,31,10,NULL,1,NULL,1),(16,329,3,31,11,NULL,3,NULL,2),(16,329,3,31,12,2,5,2,4),(16,329,3,31,13,4,3,4,1),(16,329,3,31,14,4,2,4,2),(16,329,3,31,15,2,3,2,2),(16,329,3,31,16,3,3,2,2),(16,329,3,31,17,6,2,4,2),(16,329,3,31,18,3,NULL,2,NULL),(16,329,3,31,19,2,4,2,3),(16,329,3,31,20,5,NULL,3,NULL),(16,329,3,31,21,1,7,1,3),(16,329,3,31,22,NULL,NULL,NULL,NULL),(16,329,3,31,23,2,1,1,1),(16,329,3,31,24,NULL,1,NULL,1),(16,329,3,31,25,NULL,NULL,NULL,NULL),(16,329,3,31,26,NULL,2,NULL,2),(16,329,3,31,27,NULL,2,NULL,NULL),(16,329,3,31,28,NULL,2,NULL,2),(16,329,3,31,29,1,1,1,1),(16,329,3,31,30,NULL,3,NULL,NULL),(16,329,3,32,1,2,2,1,1),(16,329,3,32,2,2,NULL,2,NULL),(16,329,3,32,3,1,2,1,1),(16,329,3,32,4,1,4,NULL,4),(16,329,3,32,5,3,8,2,7),(16,329,3,32,6,9,3,6,2),(16,329,3,32,7,1,1,1,1),(16,329,3,32,8,1,NULL,1,NULL),(16,329,3,32,9,NULL,NULL,NULL,NULL),(16,329,3,32,10,NULL,2,NULL,1),(16,329,3,32,11,4,NULL,4,NULL),(16,329,3,32,12,4,7,3,4),(16,329,3,32,13,4,2,3,2),(16,329,3,32,14,4,8,3,6),(16,329,3,32,15,8,5,5,5),(16,329,3,32,16,4,10,3,5),(16,329,3,32,17,12,1,10,1),(16,329,3,32,18,2,NULL,1,NULL),(16,329,3,32,19,3,2,1,2),(16,329,3,32,20,7,NULL,6,NULL),(16,329,3,32,21,3,7,1,5),(16,329,3,32,22,NULL,2,NULL,2),(16,329,3,32,23,1,4,1,2),(16,329,3,32,24,NULL,4,NULL,3),(16,329,3,32,25,NULL,5,NULL,4),(16,329,3,32,26,NULL,NULL,NULL,NULL),(16,329,3,32,27,1,1,NULL,1),(16,329,3,32,28,NULL,2,NULL,2),(16,329,3,32,29,NULL,5,NULL,2),(16,329,3,32,30,NULL,2,NULL,1),(16,329,3,33,1,2,2,1,1),(16,329,3,33,2,2,NULL,2,NULL),(16,329,3,33,3,1,1,1,1),(16,329,3,33,4,NULL,2,NULL,2),(16,329,3,33,5,2,8,2,5),(16,329,3,33,6,7,4,3,3),(16,329,3,33,7,NULL,1,NULL,NULL),(16,329,3,33,8,NULL,1,NULL,1),(16,329,3,33,9,NULL,NULL,NULL,NULL),(16,329,3,33,10,NULL,2,NULL,1),(16,329,3,33,11,5,3,2,3),(16,329,3,33,12,7,1,3,1),(16,329,3,33,13,2,2,1,1),(16,329,3,33,14,3,7,2,6),(16,329,3,33,15,7,3,4,2),(16,329,3,33,16,6,4,2,3),(16,329,3,33,17,8,4,4,2),(16,329,3,33,18,1,2,1,1),(16,329,3,33,19,5,4,3,2),(16,329,3,33,20,9,NULL,4,NULL),(16,329,3,33,21,2,10,1,5),(16,329,3,33,22,NULL,2,NULL,2),(16,329,3,33,23,NULL,2,NULL,2),(16,329,3,33,24,NULL,NULL,NULL,NULL),(16,329,3,33,25,NULL,1,NULL,1),(16,329,3,33,26,NULL,1,NULL,1),(16,329,3,33,27,NULL,NULL,NULL,NULL),(16,329,3,33,28,NULL,2,NULL,NULL),(16,329,3,33,29,3,3,3,2),(16,329,3,33,30,NULL,2,NULL,2),(16,329,3,34,1,NULL,1,NULL,1),(16,329,3,34,2,NULL,3,NULL,3),(16,329,3,34,3,NULL,2,NULL,1),(16,329,3,34,4,NULL,1,NULL,NULL),(16,329,3,34,5,1,2,1,2),(16,329,3,34,6,6,5,3,2),(16,329,3,34,7,NULL,2,NULL,2),(16,329,3,34,8,1,NULL,1,NULL),(16,329,3,34,9,1,1,NULL,1),(16,329,3,34,10,NULL,1,NULL,1),(16,329,3,34,11,1,1,1,NULL),(16,329,3,34,12,3,2,2,NULL),(16,329,3,34,13,3,2,2,NULL),(16,329,3,34,14,5,4,3,3),(16,329,3,34,15,5,4,3,2),(16,329,3,34,16,2,4,1,3),(16,329,3,34,17,3,5,2,4),(16,329,3,34,18,1,3,NULL,2),(16,329,3,34,19,2,3,2,1),(16,329,3,34,20,8,NULL,5,NULL),(16,329,3,34,21,2,7,1,5),(16,329,3,34,22,NULL,1,NULL,NULL),(16,329,3,34,23,1,NULL,1,NULL),(16,329,3,34,24,NULL,2,NULL,NULL),(16,329,3,34,25,NULL,NULL,NULL,NULL),(16,329,3,34,26,NULL,1,NULL,1),(16,329,3,34,27,1,2,1,NULL),(16,329,3,34,28,NULL,3,NULL,3),(16,329,3,34,29,1,NULL,1,NULL),(16,329,3,34,30,NULL,1,NULL,1),(16,331,1,11,1,NULL,NULL,NULL,NULL),(16,331,1,11,2,NULL,NULL,NULL,NULL),(16,331,1,11,3,NULL,NULL,NULL,NULL),(16,331,1,11,4,NULL,NULL,NULL,NULL),(16,331,1,11,5,NULL,NULL,NULL,NULL),(16,331,1,11,6,NULL,NULL,NULL,NULL),(16,331,1,11,7,NULL,NULL,NULL,NULL),(16,331,1,11,8,NULL,NULL,NULL,NULL),(16,331,1,11,9,NULL,NULL,NULL,NULL),(16,331,1,11,10,NULL,NULL,NULL,NULL),(16,331,1,11,11,NULL,NULL,NULL,NULL),(16,331,1,11,12,NULL,NULL,NULL,NULL),(16,331,1,11,13,NULL,NULL,NULL,NULL),(16,331,1,11,14,NULL,NULL,NULL,NULL),(16,331,1,11,15,NULL,NULL,NULL,NULL),(16,331,1,11,16,NULL,NULL,NULL,NULL),(16,331,1,11,17,NULL,NULL,NULL,NULL),(16,331,1,11,18,NULL,NULL,NULL,NULL),(16,331,1,11,19,NULL,NULL,NULL,NULL),(16,331,1,11,20,NULL,NULL,NULL,NULL),(16,331,1,12,1,2,NULL,1,NULL),(16,331,1,12,2,1,NULL,1,NULL),(16,331,1,12,3,2,NULL,1,NULL),(16,331,1,12,4,NULL,NULL,NULL,NULL),(16,331,1,12,5,NULL,1,NULL,1),(16,331,1,12,6,NULL,1,NULL,1),(16,331,1,12,7,NULL,NULL,NULL,NULL),(16,331,1,12,8,NULL,NULL,NULL,NULL),(16,331,1,12,9,1,NULL,1,NULL),(16,331,1,12,10,NULL,NULL,NULL,NULL),(16,331,1,12,11,2,NULL,1,NULL),(16,331,1,12,12,2,NULL,1,NULL),(16,331,1,12,13,NULL,1,NULL,1),(16,331,1,12,14,2,NULL,1,NULL),(16,331,1,12,15,2,NULL,1,NULL),(16,331,1,12,16,NULL,NULL,NULL,NULL),(16,331,1,12,17,2,NULL,1,NULL),(16,331,1,12,18,2,NULL,1,NULL),(16,331,1,12,19,2,NULL,1,NULL),(16,331,1,12,20,1,NULL,1,NULL),(16,331,1,13,1,NULL,NULL,NULL,NULL),(16,331,1,13,2,NULL,NULL,NULL,NULL),(16,331,1,13,3,NULL,NULL,NULL,NULL),(16,331,1,13,4,NULL,NULL,NULL,NULL),(16,331,1,13,5,NULL,NULL,NULL,NULL),(16,331,1,13,6,NULL,NULL,NULL,NULL),(16,331,1,13,7,NULL,NULL,NULL,NULL),(16,331,1,13,8,NULL,NULL,NULL,NULL),(16,331,1,13,9,NULL,NULL,NULL,NULL),(16,331,1,13,10,NULL,NULL,NULL,NULL),(16,331,1,13,11,NULL,NULL,NULL,NULL),(16,331,1,13,12,NULL,NULL,NULL,NULL),(16,331,1,13,13,NULL,NULL,NULL,NULL),(16,331,1,13,14,NULL,NULL,NULL,NULL),(16,331,1,13,15,NULL,NULL,NULL,NULL),(16,331,1,13,16,NULL,NULL,NULL,NULL),(16,331,1,13,17,NULL,NULL,NULL,NULL),(16,331,1,13,18,NULL,NULL,NULL,NULL),(16,331,1,13,19,NULL,NULL,NULL,NULL),(16,331,1,13,20,NULL,NULL,NULL,NULL),(16,331,1,14,1,11,7,4,4),(16,331,1,14,2,3,NULL,2,NULL),(16,331,1,14,3,6,11,4,4),(16,331,1,14,4,NULL,5,NULL,2),(16,331,1,14,5,6,5,4,1),(16,331,1,14,6,2,4,1,2),(16,331,1,14,7,3,1,NULL,1),(16,331,1,14,8,2,6,1,4),(16,331,1,14,9,NULL,5,NULL,3),(16,331,1,14,10,7,8,3,5),(16,331,1,14,11,6,5,4,2),(16,331,1,14,12,3,4,3,NULL),(16,331,1,14,13,6,10,5,4),(16,331,1,14,14,3,6,2,3),(16,331,1,14,15,2,NULL,2,NULL),(16,331,1,14,16,8,5,4,1),(16,331,1,14,17,8,4,5,1),(16,331,1,14,18,1,3,1,2),(16,331,1,14,19,7,1,5,NULL),(16,331,1,14,20,6,9,2,5),(16,331,1,15,1,12,9,3,5),(16,331,1,15,2,1,2,NULL,2),(16,331,1,15,3,7,6,3,4),(16,331,1,15,4,1,5,1,4),(16,331,1,15,5,4,7,1,4),(16,331,1,15,6,4,5,2,3),(16,331,1,15,7,2,5,1,3),(16,331,1,15,8,5,11,4,4),(16,331,1,15,9,1,4,NULL,2),(16,331,1,15,10,4,7,3,4),(16,331,1,15,11,7,3,4,NULL),(16,331,1,15,12,4,4,2,2),(16,331,1,15,13,12,4,8,1),(16,331,1,15,14,2,6,2,2),(16,331,1,15,15,2,5,1,2),(16,331,1,15,16,9,6,4,4),(16,331,1,15,17,7,6,4,4),(16,331,1,15,18,NULL,6,NULL,4),(16,331,1,15,19,6,6,5,2),(16,331,1,15,20,4,10,4,4),(16,331,1,16,1,14,9,4,3),(16,331,1,16,2,NULL,3,NULL,3),(16,331,1,16,3,7,9,3,6),(16,331,1,16,4,1,7,1,4),(16,331,1,16,5,11,10,4,3),(16,331,1,16,6,NULL,9,NULL,5),(16,331,1,16,7,3,7,1,3),(16,331,1,16,8,6,10,2,6),(16,331,1,16,9,2,2,1,1),(16,331,1,16,10,17,9,2,5),(16,331,1,16,11,10,29,3,8),(16,331,1,16,12,6,7,1,2),(16,331,1,16,13,6,17,NULL,5),(16,331,1,16,14,2,15,1,8),(16,331,1,16,15,11,23,5,4),(16,331,1,16,16,2,9,NULL,3),(16,331,1,16,17,7,16,4,5),(16,331,1,16,18,9,14,5,5),(16,331,1,16,19,6,20,1,8),(16,331,1,16,20,1,18,NULL,6),(16,331,1,17,1,9,12,3,3),(16,331,1,17,2,4,3,3,1),(16,331,1,17,3,4,8,1,3),(16,331,1,17,4,3,5,2,1),(16,331,1,17,5,5,10,2,4),(16,331,1,17,6,2,9,NULL,2),(16,331,1,17,7,2,4,1,NULL),(16,331,1,17,8,4,10,2,1),(16,331,1,17,9,1,5,NULL,2),(16,331,1,17,10,12,8,5,1),(16,331,1,17,11,11,17,6,2),(16,331,1,17,12,1,3,NULL,1),(16,331,1,17,13,10,13,3,4),(16,331,1,17,14,3,14,NULL,5),(16,331,1,17,15,11,17,2,4),(16,331,1,17,16,NULL,8,NULL,3),(16,331,1,17,17,3,14,NULL,5),(16,331,1,17,18,7,5,3,1),(16,331,1,17,19,7,17,4,4),(16,331,1,17,20,6,8,2,3),(16,331,2,21,1,1,1,1,NULL),(16,331,2,21,2,2,10,2,2),(16,331,2,21,3,4,5,1,3),(16,331,2,21,4,6,9,5,1),(16,331,2,21,5,3,10,1,4),(16,331,2,21,6,4,3,2,1),(16,331,2,21,7,NULL,7,NULL,2),(16,331,2,21,8,4,3,1,1),(16,331,2,21,9,1,1,NULL,1),(16,331,2,21,10,1,6,NULL,3),(16,331,2,21,11,2,8,NULL,3),(16,331,2,21,12,2,12,NULL,4),(16,331,2,21,13,1,14,1,4),(16,331,2,21,14,8,15,4,3),(16,331,2,21,15,16,4,5,1),(16,331,2,21,16,6,8,3,3),(16,331,2,21,17,3,6,3,2),(16,331,2,21,18,6,6,3,4),(16,331,2,21,19,8,9,2,5),(16,331,2,21,20,8,8,5,3),(16,331,2,21,21,2,8,1,4),(16,331,2,21,22,5,5,4,2),(16,331,2,21,23,2,7,2,2),(16,331,2,21,24,5,8,4,2),(16,331,2,21,25,NULL,NULL,NULL,NULL),(16,331,2,21,26,35,NULL,9,NULL),(16,331,2,21,27,2,8,1,2),(16,331,2,21,28,2,5,1,2),(16,331,2,21,29,5,10,NULL,3),(16,331,2,21,30,2,2,2,1),(16,331,2,22,1,3,5,NULL,3),(16,331,2,22,2,1,14,1,4),(16,331,2,22,3,7,8,3,1),(16,331,2,22,4,15,7,6,5),(16,331,2,22,5,11,12,7,5),(16,331,2,22,6,2,5,1,3),(16,331,2,22,7,4,5,2,1),(16,331,2,22,8,3,9,NULL,4),(16,331,2,22,9,1,2,1,2),(16,331,2,22,10,NULL,12,NULL,8),(16,331,2,22,11,4,6,3,3),(16,331,2,22,12,9,8,1,3),(16,331,2,22,13,4,14,3,5),(16,331,2,22,14,9,18,4,7),(16,331,2,22,15,21,4,9,2),(16,331,2,22,16,4,15,3,6),(16,331,2,22,17,4,10,2,2),(16,331,2,22,18,4,4,2,4),(16,331,2,22,19,12,13,7,6),(16,331,2,22,20,5,10,4,4),(16,331,2,22,21,2,10,NULL,4),(16,331,2,22,22,1,4,1,2),(16,331,2,22,23,8,8,4,4),(16,331,2,22,24,3,16,1,7),(16,331,2,22,25,NULL,NULL,NULL,NULL),(16,331,2,22,26,38,NULL,14,NULL),(16,331,2,22,27,3,15,NULL,7),(16,331,2,22,28,NULL,8,NULL,6),(16,331,2,22,29,2,10,NULL,6),(16,331,2,22,30,3,3,3,1),(16,331,2,23,1,2,1,NULL,1),(16,331,2,23,2,2,9,NULL,1),(16,331,2,23,3,5,7,NULL,1),(16,331,2,23,4,3,10,NULL,1),(16,331,2,23,5,3,13,1,2),(16,331,2,23,6,1,4,1,NULL),(16,331,2,23,7,3,5,NULL,1),(16,331,2,23,8,2,2,NULL,NULL),(16,331,2,23,9,1,1,NULL,NULL),(16,331,2,23,10,1,7,NULL,1),(16,331,2,23,11,4,5,2,NULL),(16,331,2,23,12,4,6,NULL,NULL),(16,331,2,23,13,6,4,2,NULL),(16,331,2,23,14,7,14,1,1),(16,331,2,23,15,15,3,2,NULL),(16,331,2,23,16,6,8,NULL,2),(16,331,2,23,17,6,6,1,1),(16,331,2,23,18,1,3,NULL,2),(16,331,2,23,19,11,12,2,1),(16,331,2,23,20,7,7,NULL,NULL),(16,331,2,23,21,3,3,1,NULL),(16,331,2,23,22,2,1,NULL,1),(16,331,2,23,23,3,5,1,NULL),(16,331,2,23,24,1,10,1,NULL),(16,331,2,23,25,NULL,NULL,NULL,NULL),(16,331,2,23,26,33,NULL,3,NULL),(16,331,2,23,27,1,8,NULL,2),(16,331,2,23,28,1,3,NULL,1),(16,331,2,23,29,5,11,1,2),(16,331,2,23,30,3,2,2,NULL),(16,331,2,24,1,1,6,1,2),(16,331,2,24,2,3,10,3,3),(16,331,2,24,3,10,5,5,4),(16,331,2,24,4,10,8,6,5),(16,331,2,24,5,5,10,3,6),(16,331,2,24,6,3,8,NULL,4),(16,331,2,24,7,1,5,1,2),(16,331,2,24,8,2,6,1,2),(16,331,2,24,9,2,3,2,1),(16,331,2,24,10,1,2,1,1),(16,331,2,24,11,5,8,3,3),(16,331,2,24,12,4,13,2,7),(16,331,2,24,13,5,12,4,4),(16,331,2,24,14,15,13,7,5),(16,331,2,24,15,21,5,8,2),(16,331,2,24,16,8,13,5,5),(16,331,2,24,17,5,6,3,2),(16,331,2,24,18,2,5,1,3),(16,331,2,24,19,12,13,4,7),(16,331,2,24,20,6,13,5,4),(16,331,2,24,21,1,7,1,3),(16,331,2,24,22,4,9,2,5),(16,331,2,24,23,5,8,4,5),(16,331,2,24,24,NULL,11,NULL,8),(16,331,2,24,25,3,NULL,3,NULL),(16,331,2,24,26,36,NULL,14,NULL),(16,331,2,24,27,1,11,1,6),(16,331,2,24,28,NULL,4,NULL,3),(16,331,2,24,29,1,12,NULL,8),(16,331,2,24,30,NULL,1,NULL,1),(16,331,3,31,1,1,3,1,2),(16,331,3,31,2,NULL,4,NULL,2),(16,331,3,31,3,NULL,5,NULL,2),(16,331,3,31,4,1,9,NULL,6),(16,331,3,31,5,1,10,NULL,3),(16,331,3,31,6,18,8,7,5),(16,331,3,31,7,1,1,NULL,NULL),(16,331,3,31,8,1,3,NULL,3),(16,331,3,31,9,NULL,1,NULL,1),(16,331,3,31,10,1,3,NULL,NULL),(16,331,3,31,11,7,8,2,4),(16,331,3,31,12,8,11,5,4),(16,331,3,31,13,5,5,4,1),(16,331,3,31,14,6,14,2,4),(16,331,3,31,15,12,9,3,6),(16,331,3,31,16,3,13,2,6),(16,331,3,31,17,17,12,4,7),(16,331,3,31,18,7,3,4,1),(16,331,3,31,19,6,6,2,3),(16,331,3,31,20,15,NULL,10,NULL),(16,331,3,31,21,3,21,2,8),(16,331,3,31,22,1,2,NULL,1),(16,331,3,31,23,1,4,NULL,2),(16,331,3,31,24,2,5,1,3),(16,331,3,31,25,1,4,NULL,3),(16,331,3,31,26,NULL,1,NULL,1),(16,331,3,31,27,NULL,2,NULL,1),(16,331,3,31,28,5,4,3,2),(16,331,3,31,29,6,6,3,1),(16,331,3,31,30,NULL,1,NULL,1),(16,331,3,32,1,1,2,NULL,NULL),(16,331,3,32,2,1,5,NULL,1),(16,331,3,32,3,1,4,NULL,1),(16,331,3,32,4,NULL,6,NULL,NULL),(16,331,3,32,5,4,10,NULL,1),(16,331,3,32,6,17,8,2,1),(16,331,3,32,7,1,NULL,NULL,NULL),(16,331,3,32,8,NULL,NULL,NULL,NULL),(16,331,3,32,9,NULL,2,NULL,NULL),(16,331,3,32,10,1,4,NULL,NULL),(16,331,3,32,11,7,8,NULL,NULL),(16,331,3,32,12,5,6,2,1),(16,331,3,32,13,3,4,1,NULL),(16,331,3,32,14,4,9,1,1),(16,331,3,32,15,6,5,2,NULL),(16,331,3,32,16,2,5,1,1),(16,331,3,32,17,14,7,2,1),(16,331,3,32,18,5,2,1,NULL),(16,331,3,32,19,2,10,NULL,2),(16,331,3,32,20,12,NULL,3,NULL),(16,331,3,32,21,9,9,1,2),(16,331,3,32,22,1,1,NULL,NULL),(16,331,3,32,23,2,4,NULL,1),(16,331,3,32,24,NULL,4,NULL,NULL),(16,331,3,32,25,NULL,1,NULL,NULL),(16,331,3,32,26,2,2,NULL,NULL),(16,331,3,32,27,NULL,2,NULL,NULL),(16,331,3,32,28,2,5,NULL,1),(16,331,3,32,29,3,4,NULL,2),(16,331,3,32,30,NULL,2,NULL,NULL),(16,331,3,33,1,1,5,1,4),(16,331,3,33,2,1,2,NULL,2),(16,331,3,33,3,NULL,8,NULL,6),(16,331,3,33,4,NULL,8,NULL,3),(16,331,3,33,5,6,12,2,6),(16,331,3,33,6,19,12,9,3),(16,331,3,33,7,NULL,2,NULL,2),(16,331,3,33,8,1,1,1,NULL),(16,331,3,33,9,1,1,1,NULL),(16,331,3,33,10,NULL,1,NULL,NULL),(16,331,3,33,11,6,9,3,2),(16,331,3,33,12,7,8,4,5),(16,331,3,33,13,3,12,3,6),(16,331,3,33,14,3,14,2,7),(16,331,3,33,15,7,9,5,5),(16,331,3,33,16,4,14,1,9),(16,331,3,33,17,14,12,10,3),(16,331,3,33,18,7,6,3,2),(16,331,3,33,19,4,6,2,2),(16,331,3,33,20,23,NULL,11,NULL),(16,331,3,33,21,1,17,1,5),(16,331,3,33,22,NULL,2,NULL,1),(16,331,3,33,23,1,7,1,5),(16,331,3,33,24,NULL,2,NULL,1),(16,331,3,33,25,1,6,1,2),(16,331,3,33,26,1,1,1,NULL),(16,331,3,33,27,NULL,6,NULL,3),(16,331,3,33,28,3,11,2,5),(16,331,3,33,29,1,4,NULL,1),(16,331,3,33,30,NULL,2,NULL,1),(16,331,3,34,1,NULL,5,NULL,3),(16,331,3,34,2,1,2,1,1),(16,331,3,34,3,NULL,3,NULL,2),(16,331,3,34,4,2,3,2,NULL),(16,331,3,34,5,7,4,4,1),(16,331,3,34,6,14,11,5,3),(16,331,3,34,7,NULL,1,NULL,NULL),(16,331,3,34,8,NULL,2,NULL,1),(16,331,3,34,9,1,3,1,NULL),(16,331,3,34,10,1,5,1,1),(16,331,3,34,11,8,6,3,3),(16,331,3,34,12,4,11,3,4),(16,331,3,34,13,2,6,2,3),(16,331,3,34,14,5,4,3,1),(16,331,3,34,15,10,10,6,2),(16,331,3,34,16,5,9,1,3),(16,331,3,34,17,11,10,6,2),(16,331,3,34,18,4,5,1,1),(16,331,3,34,19,9,8,4,3),(16,331,3,34,20,16,NULL,8,NULL),(16,331,3,34,21,5,14,4,3),(16,331,3,34,22,NULL,1,NULL,NULL),(16,331,3,34,23,1,3,NULL,1),(16,331,3,34,24,NULL,4,NULL,2),(16,331,3,34,25,NULL,2,NULL,1),(16,331,3,34,26,NULL,2,NULL,NULL),(16,331,3,34,27,2,2,1,1),(16,331,3,34,28,4,5,3,2),(16,331,3,34,29,4,5,3,3),(16,331,3,34,30,NULL,5,NULL,4),(16,332,1,11,1,NULL,NULL,NULL,NULL),(16,332,1,11,2,NULL,NULL,NULL,NULL),(16,332,1,11,3,NULL,NULL,NULL,NULL),(16,332,1,11,4,NULL,NULL,NULL,NULL),(16,332,1,11,5,NULL,NULL,NULL,NULL),(16,332,1,11,6,NULL,NULL,NULL,NULL),(16,332,1,11,7,NULL,NULL,NULL,NULL),(16,332,1,11,8,NULL,NULL,NULL,NULL),(16,332,1,11,9,NULL,NULL,NULL,NULL),(16,332,1,11,10,NULL,NULL,NULL,NULL),(16,332,1,11,11,NULL,NULL,NULL,NULL),(16,332,1,11,12,NULL,NULL,NULL,NULL),(16,332,1,11,13,NULL,NULL,NULL,NULL),(16,332,1,11,14,NULL,NULL,NULL,NULL),(16,332,1,11,15,NULL,NULL,NULL,NULL),(16,332,1,11,16,NULL,NULL,NULL,NULL),(16,332,1,11,17,NULL,NULL,NULL,NULL),(16,332,1,11,18,NULL,NULL,NULL,NULL),(16,332,1,11,19,NULL,NULL,NULL,NULL),(16,332,1,11,20,NULL,NULL,NULL,NULL),(16,332,1,12,1,NULL,NULL,NULL,NULL),(16,332,1,12,2,NULL,NULL,NULL,NULL),(16,332,1,12,3,NULL,NULL,NULL,NULL),(16,332,1,12,4,NULL,NULL,NULL,NULL),(16,332,1,12,5,NULL,NULL,NULL,NULL),(16,332,1,12,6,NULL,NULL,NULL,NULL),(16,332,1,12,7,NULL,NULL,NULL,NULL),(16,332,1,12,8,NULL,NULL,NULL,NULL),(16,332,1,12,9,NULL,NULL,NULL,NULL),(16,332,1,12,10,NULL,NULL,NULL,NULL),(16,332,1,12,11,NULL,NULL,NULL,NULL),(16,332,1,12,12,NULL,NULL,NULL,NULL),(16,332,1,12,13,NULL,NULL,NULL,NULL),(16,332,1,12,14,NULL,NULL,NULL,NULL),(16,332,1,12,15,NULL,NULL,NULL,NULL),(16,332,1,12,16,NULL,NULL,NULL,NULL),(16,332,1,12,17,NULL,NULL,NULL,NULL),(16,332,1,12,18,NULL,NULL,NULL,NULL),(16,332,1,12,19,NULL,NULL,NULL,NULL),(16,332,1,12,20,NULL,NULL,NULL,NULL),(16,332,1,13,1,1,NULL,NULL,NULL),(16,332,1,13,2,NULL,NULL,NULL,NULL),(16,332,1,13,3,NULL,NULL,NULL,NULL),(16,332,1,13,4,NULL,NULL,NULL,NULL),(16,332,1,13,5,NULL,NULL,NULL,NULL),(16,332,1,13,6,NULL,NULL,NULL,NULL),(16,332,1,13,7,NULL,NULL,NULL,NULL),(16,332,1,13,8,1,NULL,NULL,NULL),(16,332,1,13,9,1,NULL,NULL,NULL),(16,332,1,13,10,NULL,NULL,NULL,NULL),(16,332,1,13,11,1,NULL,NULL,NULL),(16,332,1,13,12,1,NULL,NULL,NULL),(16,332,1,13,13,NULL,NULL,NULL,NULL),(16,332,1,13,14,NULL,1,NULL,NULL),(16,332,1,13,15,NULL,NULL,NULL,NULL),(16,332,1,13,16,NULL,NULL,NULL,NULL),(16,332,1,13,17,1,NULL,NULL,NULL),(16,332,1,13,18,1,NULL,NULL,NULL),(16,332,1,13,19,NULL,NULL,NULL,NULL),(16,332,1,13,20,NULL,NULL,NULL,NULL),(16,332,1,14,1,7,7,4,2),(16,332,1,14,2,2,NULL,1,NULL),(16,332,1,14,3,3,5,1,1),(16,332,1,14,4,NULL,2,NULL,2),(16,332,1,14,5,5,8,3,3),(16,332,1,14,6,1,8,1,4),(16,332,1,14,7,2,NULL,1,NULL),(16,332,1,14,8,3,4,NULL,2),(16,332,1,14,9,2,4,1,3),(16,332,1,14,10,5,5,3,2),(16,332,1,14,11,5,5,2,2),(16,332,1,14,12,4,5,2,2),(16,332,1,14,13,5,6,2,2),(16,332,1,14,14,2,2,1,1),(16,332,1,14,15,2,4,1,1),(16,332,1,14,16,5,4,2,1),(16,332,1,14,17,6,5,3,2),(16,332,1,14,18,NULL,1,NULL,1),(16,332,1,14,19,2,2,1,1),(16,332,1,14,20,4,4,NULL,3),(16,332,1,15,1,4,5,2,1),(16,332,1,15,2,NULL,2,NULL,NULL),(16,332,1,15,3,NULL,5,NULL,2),(16,332,1,15,4,NULL,1,NULL,1),(16,332,1,15,5,2,3,NULL,1),(16,332,1,15,6,NULL,3,NULL,1),(16,332,1,15,7,2,3,1,1),(16,332,1,15,8,1,4,NULL,2),(16,332,1,15,9,NULL,1,NULL,1),(16,332,1,15,10,3,3,1,2),(16,332,1,15,11,1,6,NULL,3),(16,332,1,15,12,NULL,2,NULL,NULL),(16,332,1,15,13,2,4,NULL,2),(16,332,1,15,14,2,1,NULL,NULL),(16,332,1,15,15,NULL,5,NULL,1),(16,332,1,15,16,4,2,3,1),(16,332,1,15,17,1,6,NULL,1),(16,332,1,15,18,NULL,2,NULL,2),(16,332,1,15,19,3,1,1,NULL),(16,332,1,15,20,4,8,1,1),(16,332,1,16,1,16,12,9,4),(16,332,1,16,2,2,6,2,2),(16,332,1,16,3,2,12,NULL,6),(16,332,1,16,4,1,6,1,5),(16,332,1,16,5,7,11,2,7),(16,332,1,16,6,NULL,4,NULL,1),(16,332,1,16,7,3,7,1,6),(16,332,1,16,8,5,9,5,4),(16,332,1,16,9,1,5,NULL,3),(16,332,1,16,10,14,8,9,4),(16,332,1,16,11,7,26,4,11),(16,332,1,16,12,NULL,9,NULL,5),(16,332,1,16,13,16,9,6,4),(16,332,1,16,14,5,7,2,4),(16,332,1,16,15,10,20,7,7),(16,332,1,16,16,1,8,NULL,2),(16,332,1,16,17,9,12,3,6),(16,332,1,16,18,9,7,4,6),(16,332,1,16,19,9,15,3,8),(16,332,1,16,20,1,16,1,7),(16,332,1,17,1,6,16,1,4),(16,332,1,17,2,1,3,1,NULL),(16,332,1,17,3,7,11,3,6),(16,332,1,17,4,NULL,8,NULL,4),(16,332,1,17,5,8,13,3,3),(16,332,1,17,6,NULL,6,NULL,2),(16,332,1,17,7,5,7,2,2),(16,332,1,17,8,8,15,2,5),(16,332,1,17,9,2,4,1,2),(16,332,1,17,10,12,11,6,2),(16,332,1,17,11,11,33,4,9),(16,332,1,17,12,1,9,1,5),(16,332,1,17,13,11,19,4,8),(16,332,1,17,14,3,18,1,8),(16,332,1,17,15,14,22,5,6),(16,332,1,17,16,NULL,8,NULL,3),(16,332,1,17,17,9,16,4,4),(16,332,1,17,18,7,15,2,6),(16,332,1,17,19,8,18,4,5),(16,332,1,17,20,2,17,2,4),(16,332,2,21,1,1,4,1,3),(16,332,2,21,2,NULL,15,NULL,9),(16,332,2,21,3,5,9,3,4),(16,332,2,21,4,5,7,4,5),(16,332,2,21,5,6,10,4,5),(16,332,2,21,6,2,5,1,3),(16,332,2,21,7,5,6,3,5),(16,332,2,21,8,3,9,1,4),(16,332,2,21,9,NULL,2,NULL,2),(16,332,2,21,10,3,7,2,7),(16,332,2,21,11,5,5,3,2),(16,332,2,21,12,6,11,2,7),(16,332,2,21,13,2,6,1,3),(16,332,2,21,14,13,15,4,11),(16,332,2,21,15,17,4,10,2),(16,332,2,21,16,5,13,3,9),(16,332,2,21,17,4,4,2,1),(16,332,2,21,18,3,7,1,6),(16,332,2,21,19,9,14,4,6),(16,332,2,21,20,8,9,3,6),(16,332,2,21,21,2,11,1,5),(16,332,2,21,22,4,5,1,2),(16,332,2,21,23,5,4,3,3),(16,332,2,21,24,7,9,5,3),(16,332,2,21,25,NULL,NULL,NULL,NULL),(16,332,2,21,26,39,NULL,15,NULL),(16,332,2,21,27,1,10,NULL,6),(16,332,2,21,28,2,3,NULL,2),(16,332,2,21,29,3,9,1,4),(16,332,2,21,30,2,5,1,3),(16,332,2,22,1,NULL,3,NULL,NULL),(16,332,2,22,2,1,8,NULL,2),(16,332,2,22,3,7,6,4,1),(16,332,2,22,4,8,8,4,1),(16,332,2,22,5,9,6,1,2),(16,332,2,22,6,2,4,NULL,3),(16,332,2,22,7,NULL,3,NULL,NULL),(16,332,2,22,8,NULL,7,NULL,3),(16,332,2,22,9,1,2,NULL,1),(16,332,2,22,10,1,7,1,3),(16,332,2,22,11,1,8,NULL,3),(16,332,2,22,12,9,6,2,2),(16,332,2,22,13,4,2,2,NULL),(16,332,2,22,14,5,14,2,2),(16,332,2,22,15,18,2,6,NULL),(16,332,2,22,16,6,6,3,1),(16,332,2,22,17,5,8,3,2),(16,332,2,22,18,1,4,NULL,NULL),(16,332,2,22,19,5,11,3,3),(16,332,2,22,20,1,6,1,2),(16,332,2,22,21,1,6,NULL,1),(16,332,2,22,22,2,7,1,3),(16,332,2,22,23,1,7,NULL,2),(16,332,2,22,24,2,8,1,2),(16,332,2,22,25,1,NULL,NULL,NULL),(16,332,2,22,26,31,NULL,6,NULL),(16,332,2,22,27,3,1,1,NULL),(16,332,2,22,28,NULL,2,NULL,NULL),(16,332,2,22,29,4,9,NULL,2),(16,332,2,22,30,NULL,4,NULL,NULL),(16,332,2,23,1,3,1,2,1),(16,332,2,23,2,NULL,9,NULL,3),(16,332,2,23,3,5,7,2,2),(16,332,2,23,4,7,8,2,3),(16,332,2,23,5,8,9,4,2),(16,332,2,23,6,3,8,NULL,2),(16,332,2,23,7,2,4,2,1),(16,332,2,23,8,2,6,1,2),(16,332,2,23,9,NULL,1,NULL,1),(16,332,2,23,10,1,5,NULL,2),(16,332,2,23,11,7,4,2,2),(16,332,2,23,12,8,6,3,2),(16,332,2,23,13,2,7,1,3),(16,332,2,23,14,12,14,4,4),(16,332,2,23,15,15,4,6,1),(16,332,2,23,16,7,5,2,2),(16,332,2,23,17,3,8,1,4),(16,332,2,23,18,1,5,NULL,1),(16,332,2,23,19,10,12,5,2),(16,332,2,23,20,7,6,4,1),(16,332,2,23,21,2,8,NULL,4),(16,332,2,23,22,1,7,1,3),(16,332,2,23,23,4,8,2,3),(16,332,2,23,24,5,9,4,2),(16,332,2,23,25,NULL,NULL,NULL,NULL),(16,332,2,23,26,33,NULL,8,NULL),(16,332,2,23,27,NULL,10,NULL,3),(16,332,2,23,28,NULL,2,NULL,1),(16,332,2,23,29,NULL,6,NULL,4),(16,332,2,23,30,2,5,2,2),(16,332,2,24,1,1,3,1,3),(16,332,2,24,2,2,9,2,2),(16,332,2,24,3,4,5,3,3),(16,332,2,24,4,4,12,3,4),(16,332,2,24,5,4,9,3,4),(16,332,2,24,6,5,4,5,3),(16,332,2,24,7,NULL,1,NULL,NULL),(16,332,2,24,8,1,3,1,1),(16,332,2,24,9,NULL,8,NULL,5),(16,332,2,24,10,1,5,1,3),(16,332,2,24,11,3,4,1,1),(16,332,2,24,12,5,5,2,2),(16,332,2,24,13,5,8,3,5),(16,332,2,24,14,12,8,6,4),(16,332,2,24,15,18,2,8,NULL),(16,332,2,24,16,6,7,2,2),(16,332,2,24,17,3,8,3,2),(16,332,2,24,18,2,2,NULL,2),(16,332,2,24,19,13,8,7,2),(16,332,2,24,20,6,4,4,3),(16,332,2,24,21,1,10,1,3),(16,332,2,24,22,7,3,1,2),(16,332,2,24,23,2,7,1,3),(16,332,2,24,24,3,11,3,4),(16,332,2,24,25,NULL,NULL,NULL,NULL),(16,332,2,24,26,35,NULL,11,NULL),(16,332,2,24,27,1,6,NULL,4),(16,332,2,24,28,1,4,NULL,1),(16,332,2,24,29,3,13,1,5),(16,332,2,24,30,NULL,5,NULL,3),(16,332,3,31,1,2,2,1,2),(16,332,3,31,2,1,1,1,NULL),(16,332,3,31,3,NULL,2,NULL,2),(16,332,3,31,4,1,3,NULL,2),(16,332,3,31,5,8,12,2,6),(16,332,3,31,6,13,8,5,4),(16,332,3,31,7,NULL,NULL,NULL,NULL),(16,332,3,31,8,1,NULL,NULL,NULL),(16,332,3,31,9,1,NULL,NULL,NULL),(16,332,3,31,10,NULL,3,NULL,NULL),(16,332,3,31,11,7,4,2,1),(16,332,3,31,12,8,6,5,2),(16,332,3,31,13,9,3,5,2),(16,332,3,31,14,9,8,5,4),(16,332,3,31,15,14,6,6,4),(16,332,3,31,16,3,9,1,3),(16,332,3,31,17,14,8,7,3),(16,332,3,31,18,4,NULL,1,NULL),(16,332,3,31,19,5,9,4,4),(16,332,3,31,20,11,NULL,7,NULL),(16,332,3,31,21,2,16,1,6),(16,332,3,31,22,NULL,1,NULL,NULL),(16,332,3,31,23,2,2,1,NULL),(16,332,3,31,24,NULL,2,NULL,1),(16,332,3,31,25,1,4,1,NULL),(16,332,3,31,26,1,1,NULL,1),(16,332,3,31,27,NULL,2,NULL,1),(16,332,3,31,28,2,4,2,2),(16,332,3,31,29,2,8,2,4),(16,332,3,31,30,NULL,1,NULL,1),(16,332,3,32,1,1,1,NULL,NULL),(16,332,3,32,2,1,1,NULL,1),(16,332,3,32,3,NULL,3,NULL,1),(16,332,3,32,4,1,4,1,2),(16,332,3,32,5,5,10,3,4),(16,332,3,32,6,13,7,5,2),(16,332,3,32,7,1,2,1,1),(16,332,3,32,8,NULL,3,NULL,2),(16,332,3,32,9,NULL,1,NULL,NULL),(16,332,3,32,10,1,2,NULL,1),(16,332,3,32,11,4,3,4,1),(16,332,3,32,12,7,8,2,5),(16,332,3,32,13,3,4,2,2),(16,332,3,32,14,9,7,4,2),(16,332,3,32,15,6,10,3,3),(16,332,3,32,16,3,7,1,3),(16,332,3,32,17,11,9,4,3),(16,332,3,32,18,4,4,NULL,NULL),(16,332,3,32,19,3,8,1,4),(16,332,3,32,20,14,NULL,6,NULL),(16,332,3,32,21,3,16,1,5),(16,332,3,32,22,NULL,3,NULL,2),(16,332,3,32,23,3,3,1,2),(16,332,3,32,24,NULL,2,NULL,NULL),(16,332,3,32,25,NULL,2,NULL,1),(16,332,3,32,26,NULL,1,NULL,NULL),(16,332,3,32,27,1,2,1,NULL),(16,332,3,32,28,3,1,2,NULL),(16,332,3,32,29,5,4,3,1),(16,332,3,32,30,NULL,2,NULL,NULL),(16,332,3,33,1,1,2,NULL,NULL),(16,332,3,33,2,NULL,2,NULL,NULL),(16,332,3,33,3,1,3,NULL,NULL),(16,332,3,33,4,1,6,NULL,4),(16,332,3,33,5,7,5,2,2),(16,332,3,33,6,18,7,5,1),(16,332,3,33,7,2,NULL,1,NULL),(16,332,3,33,8,1,4,NULL,1),(16,332,3,33,9,NULL,NULL,NULL,NULL),(16,332,3,33,10,NULL,1,NULL,1),(16,332,3,33,11,7,3,NULL,2),(16,332,3,33,12,1,10,1,3),(16,332,3,33,13,8,5,3,NULL),(16,332,3,33,14,6,8,1,2),(16,332,3,33,15,6,5,2,1),(16,332,3,33,16,5,9,1,3),(16,332,3,33,17,11,7,3,1),(16,332,3,33,18,5,2,2,1),(16,332,3,33,19,3,10,1,3),(16,332,3,33,20,14,NULL,4,NULL),(16,332,3,33,21,2,18,2,3),(16,332,3,33,22,2,2,NULL,1),(16,332,3,33,23,NULL,6,NULL,1),(16,332,3,33,24,1,2,NULL,1),(16,332,3,33,25,1,3,NULL,NULL),(16,332,3,33,26,NULL,2,NULL,NULL),(16,332,3,33,27,2,3,NULL,1),(16,332,3,33,28,2,9,1,3),(16,332,3,33,29,1,4,1,1),(16,332,3,33,30,1,1,NULL,NULL),(16,332,3,34,1,NULL,8,NULL,5),(16,332,3,34,2,NULL,4,NULL,2),(16,332,3,34,3,1,7,1,2),(16,332,3,34,4,1,6,NULL,4),(16,332,3,34,5,3,11,1,6),(16,332,3,34,6,13,15,7,7),(16,332,3,34,7,NULL,3,NULL,NULL),(16,332,3,34,8,NULL,2,NULL,2),(16,332,3,34,9,NULL,NULL,NULL,NULL),(16,332,3,34,10,NULL,NULL,NULL,NULL),(16,332,3,34,11,6,8,2,5),(16,332,3,34,12,4,10,2,8),(16,332,3,34,13,5,3,1,2),(16,332,3,34,14,5,8,NULL,4),(16,332,3,34,15,9,10,5,7),(16,332,3,34,16,2,9,NULL,7),(16,332,3,34,17,15,9,6,8),(16,332,3,34,18,3,6,1,3),(16,332,3,34,19,6,14,2,9),(16,332,3,34,20,20,NULL,11,NULL),(16,332,3,34,21,7,16,2,6),(16,332,3,34,22,NULL,2,NULL,NULL),(16,332,3,34,23,1,5,NULL,1),(16,332,3,34,24,2,2,2,1),(16,332,3,34,25,NULL,4,NULL,2),(16,332,3,34,26,1,5,NULL,3),(16,332,3,34,27,NULL,4,NULL,3),(16,332,3,34,28,5,4,3,2),(16,332,3,34,29,1,6,1,4),(16,332,3,34,30,NULL,4,NULL,3),(16,333,1,11,1,NULL,1,NULL,NULL),(16,333,1,11,2,1,NULL,NULL,NULL),(16,333,1,11,3,1,1,NULL,NULL),(16,333,1,11,4,1,1,NULL,NULL),(16,333,1,11,5,NULL,1,NULL,NULL),(16,333,1,11,6,NULL,NULL,NULL,NULL),(16,333,1,11,7,NULL,NULL,NULL,NULL),(16,333,1,11,8,NULL,1,NULL,NULL),(16,333,1,11,9,1,NULL,NULL,NULL),(16,333,1,11,10,2,NULL,NULL,NULL),(16,333,1,11,11,NULL,1,NULL,NULL),(16,333,1,11,12,2,NULL,NULL,NULL),(16,333,1,11,13,NULL,1,NULL,NULL),(16,333,1,11,14,NULL,1,NULL,NULL),(16,333,1,11,15,1,NULL,NULL,NULL),(16,333,1,11,16,1,1,NULL,NULL),(16,333,1,11,17,NULL,1,NULL,NULL),(16,333,1,11,18,NULL,NULL,NULL,NULL),(16,333,1,11,19,2,NULL,NULL,NULL),(16,333,1,11,20,1,NULL,NULL,NULL),(16,333,1,12,1,NULL,NULL,NULL,NULL),(16,333,1,12,2,NULL,NULL,NULL,NULL),(16,333,1,12,3,NULL,NULL,NULL,NULL),(16,333,1,12,4,NULL,NULL,NULL,NULL),(16,333,1,12,5,NULL,NULL,NULL,NULL),(16,333,1,12,6,NULL,NULL,NULL,NULL),(16,333,1,12,7,NULL,NULL,NULL,NULL),(16,333,1,12,8,NULL,NULL,NULL,NULL),(16,333,1,12,9,NULL,NULL,NULL,NULL),(16,333,1,12,10,NULL,NULL,NULL,NULL),(16,333,1,12,11,NULL,NULL,NULL,NULL),(16,333,1,12,12,NULL,NULL,NULL,NULL),(16,333,1,12,13,NULL,NULL,NULL,NULL),(16,333,1,12,14,NULL,NULL,NULL,NULL),(16,333,1,12,15,NULL,NULL,NULL,NULL),(16,333,1,12,16,NULL,NULL,NULL,NULL),(16,333,1,12,17,NULL,NULL,NULL,NULL),(16,333,1,12,18,NULL,NULL,NULL,NULL),(16,333,1,12,19,NULL,NULL,NULL,NULL),(16,333,1,12,20,NULL,NULL,NULL,NULL),(16,333,1,13,1,NULL,NULL,NULL,NULL),(16,333,1,13,2,NULL,NULL,NULL,NULL),(16,333,1,13,3,NULL,1,NULL,NULL),(16,333,1,13,4,NULL,NULL,NULL,NULL),(16,333,1,13,5,NULL,NULL,NULL,NULL),(16,333,1,13,6,NULL,NULL,NULL,NULL),(16,333,1,13,7,NULL,NULL,NULL,NULL),(16,333,1,13,8,NULL,NULL,NULL,NULL),(16,333,1,13,9,NULL,NULL,NULL,NULL),(16,333,1,13,10,1,NULL,NULL,NULL),(16,333,1,13,11,1,NULL,NULL,NULL),(16,333,1,13,12,1,NULL,NULL,NULL),(16,333,1,13,13,1,NULL,NULL,NULL),(16,333,1,13,14,1,NULL,NULL,NULL),(16,333,1,13,15,NULL,NULL,NULL,NULL),(16,333,1,13,16,NULL,NULL,NULL,NULL),(16,333,1,13,17,NULL,NULL,NULL,NULL),(16,333,1,13,18,1,NULL,NULL,NULL),(16,333,1,13,19,NULL,NULL,NULL,NULL),(16,333,1,13,20,1,NULL,NULL,NULL),(16,333,1,14,1,29,18,6,4),(16,333,1,14,2,5,8,1,2),(16,333,1,14,3,14,17,3,6),(16,333,1,14,4,3,12,2,5),(16,333,1,14,5,15,19,5,5),(16,333,1,14,6,6,8,4,2),(16,333,1,14,7,4,5,2,1),(16,333,1,14,8,10,15,3,3),(16,333,1,14,9,4,12,NULL,6),(16,333,1,14,10,24,8,9,1),(16,333,1,14,11,23,8,7,NULL),(16,333,1,14,12,17,10,7,2),(16,333,1,14,13,29,17,9,2),(16,333,1,14,14,9,10,2,1),(16,333,1,14,15,7,13,3,5),(16,333,1,14,16,31,6,9,1),(16,333,1,14,17,25,16,4,5),(16,333,1,14,18,9,10,2,2),(16,333,1,14,19,28,14,6,3),(16,333,1,14,20,16,23,2,9),(16,333,1,15,1,22,16,3,3),(16,333,1,15,2,4,4,2,1),(16,333,1,15,3,11,16,2,5),(16,333,1,15,4,1,10,NULL,4),(16,333,1,15,5,13,13,3,4),(16,333,1,15,6,7,14,1,1),(16,333,1,15,7,3,2,NULL,NULL),(16,333,1,15,8,14,5,3,2),(16,333,1,15,9,10,13,2,5),(16,333,1,15,10,19,7,5,1),(16,333,1,15,11,22,5,5,NULL),(16,333,1,15,12,13,7,4,1),(16,333,1,15,13,25,15,4,2),(16,333,1,15,14,8,10,3,1),(16,333,1,15,15,6,14,2,3),(16,333,1,15,16,22,11,4,1),(16,333,1,15,17,16,16,5,2),(16,333,1,15,18,6,6,2,1),(16,333,1,15,19,20,13,5,2),(16,333,1,15,20,11,19,3,3),(16,333,1,16,1,13,13,1,1),(16,333,1,16,2,2,4,NULL,2),(16,333,1,16,3,8,12,1,1),(16,333,1,16,4,2,6,NULL,1),(16,333,1,16,5,14,10,1,3),(16,333,1,16,6,3,12,NULL,2),(16,333,1,16,7,4,5,2,NULL),(16,333,1,16,8,7,12,NULL,4),(16,333,1,16,9,2,6,1,1),(16,333,1,16,10,8,11,NULL,2),(16,333,1,16,11,12,25,3,1),(16,333,1,16,12,5,8,1,2),(16,333,1,16,13,11,21,1,2),(16,333,1,16,14,5,26,NULL,3),(16,333,1,16,15,19,17,2,1),(16,333,1,16,16,1,13,NULL,1),(16,333,1,16,17,5,18,NULL,2),(16,333,1,16,18,12,10,2,1),(16,333,1,16,19,5,28,NULL,4),(16,333,1,16,20,2,23,1,3),(16,333,1,17,1,12,15,1,4),(16,333,1,17,2,3,5,1,1),(16,333,1,17,3,3,14,1,2),(16,333,1,17,4,1,8,NULL,3),(16,333,1,17,5,6,14,1,3),(16,333,1,17,6,2,9,NULL,5),(16,333,1,17,7,2,3,1,NULL),(16,333,1,17,8,9,10,3,1),(16,333,1,17,9,NULL,6,NULL,1),(16,333,1,17,10,15,5,4,NULL),(16,333,1,17,11,11,31,3,2),(16,333,1,17,12,2,4,NULL,NULL),(16,333,1,17,13,11,16,3,3),(16,333,1,17,14,6,22,2,4),(16,333,1,17,15,19,16,3,2),(16,333,1,17,16,3,11,1,2),(16,333,1,17,17,8,17,3,2),(16,333,1,17,18,15,7,2,1),(16,333,1,17,19,10,27,2,4),(16,333,1,17,20,2,17,1,4),(16,333,2,21,1,5,4,3,2),(16,333,2,21,2,8,20,5,1),(16,333,2,21,3,6,15,2,4),(16,333,2,21,4,19,13,6,2),(16,333,2,21,5,10,17,3,4),(16,333,2,21,6,6,8,3,2),(16,333,2,21,7,3,7,NULL,3),(16,333,2,21,8,9,10,3,4),(16,333,2,21,9,2,8,2,1),(16,333,2,21,10,3,16,NULL,4),(16,333,2,21,11,5,8,2,2),(16,333,2,21,12,8,16,2,6),(16,333,2,21,13,4,12,4,4),(16,333,2,21,14,22,15,3,6),(16,333,2,21,15,26,2,8,NULL),(16,333,2,21,16,8,19,4,4),(16,333,2,21,17,8,7,4,2),(16,333,2,21,18,5,6,2,3),(16,333,2,21,19,15,18,6,4),(16,333,2,21,20,10,14,5,2),(16,333,2,21,21,3,11,3,4),(16,333,2,21,22,11,12,6,3),(16,333,2,21,23,10,16,5,3),(16,333,2,21,24,10,20,1,6),(16,333,2,21,25,NULL,NULL,NULL,NULL),(16,333,2,21,26,59,NULL,12,NULL),(16,333,2,21,27,4,18,3,5),(16,333,2,21,28,2,6,1,3),(16,333,2,21,29,10,18,3,5),(16,333,2,21,30,5,7,3,2),(16,333,2,22,1,3,5,1,2),(16,333,2,22,2,9,17,1,2),(16,333,2,22,3,17,3,3,NULL),(16,333,2,22,4,15,8,2,2),(16,333,2,22,5,10,8,3,NULL),(16,333,2,22,6,2,10,1,2),(16,333,2,22,7,3,6,NULL,NULL),(16,333,2,22,8,2,7,1,1),(16,333,2,22,9,2,6,1,1),(16,333,2,22,10,9,12,2,1),(16,333,2,22,11,4,6,NULL,2),(16,333,2,22,12,8,8,3,NULL),(16,333,2,22,13,2,14,NULL,3),(16,333,2,22,14,17,17,NULL,4),(16,333,2,22,15,22,1,3,NULL),(16,333,2,22,16,10,9,NULL,1),(16,333,2,22,17,6,7,NULL,3),(16,333,2,22,18,3,6,NULL,2),(16,333,2,22,19,15,18,2,1),(16,333,2,22,20,10,5,2,NULL),(16,333,2,22,21,3,12,1,2),(16,333,2,22,22,6,6,1,1),(16,333,2,22,23,5,12,NULL,3),(16,333,2,22,24,7,20,NULL,4),(16,333,2,22,25,1,NULL,1,NULL),(16,333,2,22,26,56,NULL,4,NULL),(16,333,2,22,27,5,15,1,2),(16,333,2,22,28,1,8,NULL,NULL),(16,333,2,22,29,2,13,1,2),(16,333,2,22,30,4,10,NULL,2),(16,333,2,23,1,3,4,2,NULL),(16,333,2,23,2,5,25,3,2),(16,333,2,23,3,12,12,3,3),(16,333,2,23,4,22,3,5,1),(16,333,2,23,5,10,20,3,2),(16,333,2,23,6,10,16,1,2),(16,333,2,23,7,7,3,NULL,2),(16,333,2,23,8,3,6,1,2),(16,333,2,23,9,4,9,1,3),(16,333,2,23,10,9,19,1,4),(16,333,2,23,11,10,7,1,3),(16,333,2,23,12,9,10,2,2),(16,333,2,23,13,7,17,3,3),(16,333,2,23,14,24,16,5,3),(16,333,2,23,15,29,3,8,NULL),(16,333,2,23,16,16,11,4,2),(16,333,2,23,17,7,12,2,4),(16,333,2,23,18,12,9,2,4),(16,333,2,23,19,17,24,4,3),(16,333,2,23,20,12,11,3,1),(16,333,2,23,21,14,11,4,2),(16,333,2,23,22,8,14,3,2),(16,333,2,23,23,13,11,3,2),(16,333,2,23,24,6,19,1,3),(16,333,2,23,25,3,NULL,2,NULL),(16,333,2,23,26,62,NULL,8,NULL),(16,333,2,23,27,10,15,3,3),(16,333,2,23,28,1,4,NULL,1),(16,333,2,23,29,8,18,1,5),(16,333,2,23,30,9,9,4,NULL),(16,333,2,24,1,6,6,2,2),(16,333,2,24,2,7,22,1,3),(16,333,2,24,3,18,11,3,2),(16,333,2,24,4,32,4,6,NULL),(16,333,2,24,5,9,10,2,1),(16,333,2,24,6,6,13,1,3),(16,333,2,24,7,8,6,NULL,NULL),(16,333,2,24,8,4,13,2,2),(16,333,2,24,9,2,10,NULL,2),(16,333,2,24,10,3,10,NULL,3),(16,333,2,24,11,1,4,NULL,2),(16,333,2,24,12,16,10,1,1),(16,333,2,24,13,7,10,1,3),(16,333,2,24,14,22,16,3,1),(16,333,2,24,15,22,4,3,NULL),(16,333,2,24,16,8,11,1,2),(16,333,2,24,17,5,13,2,NULL),(16,333,2,24,18,5,5,1,NULL),(16,333,2,24,19,19,22,4,2),(16,333,2,24,20,12,8,1,NULL),(16,333,2,24,21,5,16,1,2),(16,333,2,24,22,7,6,2,2),(16,333,2,24,23,10,13,2,1),(16,333,2,24,24,10,12,NULL,2),(16,333,2,24,25,4,NULL,3,NULL),(16,333,2,24,26,62,NULL,6,NULL),(16,333,2,24,27,6,13,2,2),(16,333,2,24,28,3,10,NULL,1),(16,333,2,24,29,6,21,NULL,4),(16,333,2,24,30,6,13,NULL,2),(16,333,3,31,1,3,7,1,2),(16,333,3,31,2,4,5,NULL,2),(16,333,3,31,3,2,10,1,1),(16,333,3,31,4,2,11,NULL,2),(16,333,3,31,5,8,18,2,1),(16,333,3,31,6,33,7,5,NULL),(16,333,3,31,7,NULL,8,NULL,3),(16,333,3,31,8,4,6,NULL,NULL),(16,333,3,31,9,NULL,1,NULL,NULL),(16,333,3,31,10,6,3,1,NULL),(16,333,3,31,11,12,7,1,2),(16,333,3,31,12,11,15,3,3),(16,333,3,31,13,11,5,1,NULL),(16,333,3,31,14,12,21,1,3),(16,333,3,31,15,17,4,3,NULL),(16,333,3,31,16,7,22,2,2),(16,333,3,31,17,25,10,4,2),(16,333,3,31,18,13,2,2,NULL),(16,333,3,31,19,5,8,NULL,3),(16,333,3,31,20,28,NULL,3,NULL),(16,333,3,31,21,16,21,2,4),(16,333,3,31,22,3,11,1,1),(16,333,3,31,23,2,9,1,1),(16,333,3,31,24,4,13,3,2),(16,333,3,31,25,3,6,1,1),(16,333,3,31,26,2,8,NULL,2),(16,333,3,31,27,1,7,1,1),(16,333,3,31,28,10,20,3,3),(16,333,3,31,29,9,14,3,NULL),(16,333,3,31,30,2,5,NULL,1),(16,333,3,32,1,NULL,8,NULL,2),(16,333,3,32,2,5,8,1,3),(16,333,3,32,3,NULL,10,NULL,1),(16,333,3,32,4,1,8,NULL,4),(16,333,3,32,5,11,22,4,1),(16,333,3,32,6,35,12,6,1),(16,333,3,32,7,NULL,12,NULL,3),(16,333,3,32,8,NULL,5,NULL,1),(16,333,3,32,9,NULL,7,NULL,NULL),(16,333,3,32,10,NULL,6,NULL,NULL),(16,333,3,32,11,10,10,2,2),(16,333,3,32,12,10,20,3,2),(16,333,3,32,13,13,11,2,4),(16,333,3,32,14,18,19,5,2),(16,333,3,32,15,13,16,1,3),(16,333,3,32,16,8,24,1,6),(16,333,3,32,17,25,11,5,2),(16,333,3,32,18,8,3,1,1),(16,333,3,32,19,8,14,2,1),(16,333,3,32,20,32,NULL,7,NULL),(16,333,3,32,21,14,22,3,5),(16,333,3,32,22,1,8,NULL,1),(16,333,3,32,23,4,13,1,2),(16,333,3,32,24,4,6,2,1),(16,333,3,32,25,1,7,NULL,3),(16,333,3,32,26,NULL,4,NULL,NULL),(16,333,3,32,27,1,10,NULL,2),(16,333,3,32,28,12,18,4,3),(16,333,3,32,29,5,13,NULL,1),(16,333,3,32,30,NULL,6,NULL,3),(16,333,3,33,1,3,5,1,1),(16,333,3,33,2,2,3,NULL,NULL),(16,333,3,33,3,1,8,NULL,NULL),(16,333,3,33,4,NULL,8,NULL,1),(16,333,3,33,5,8,17,NULL,3),(16,333,3,33,6,30,8,4,NULL),(16,333,3,33,7,1,5,1,1),(16,333,3,33,8,NULL,3,NULL,NULL),(16,333,3,33,9,NULL,6,NULL,NULL),(16,333,3,33,10,NULL,3,NULL,NULL),(16,333,3,33,11,6,10,NULL,NULL),(16,333,3,33,12,12,9,3,1),(16,333,3,33,13,4,6,1,1),(16,333,3,33,14,8,14,1,2),(16,333,3,33,15,8,8,1,2),(16,333,3,33,16,10,22,2,1),(16,333,3,33,17,18,12,1,2),(16,333,3,33,18,5,6,2,NULL),(16,333,3,33,19,7,13,3,NULL),(16,333,3,33,20,32,NULL,2,NULL),(16,333,3,33,21,10,15,NULL,1),(16,333,3,33,22,3,9,NULL,3),(16,333,3,33,23,2,10,1,1),(16,333,3,33,24,2,4,NULL,2),(16,333,3,33,25,6,5,NULL,1),(16,333,3,33,26,2,2,2,NULL),(16,333,3,33,27,2,13,NULL,2),(16,333,3,33,28,7,11,3,NULL),(16,333,3,33,29,8,11,3,NULL),(16,333,3,33,30,NULL,5,NULL,1),(16,333,3,34,1,5,5,3,3),(16,333,3,34,2,1,7,1,2),(16,333,3,34,3,NULL,10,NULL,2),(16,333,3,34,4,1,7,1,4),(16,333,3,34,5,8,15,2,5),(16,333,3,34,6,31,18,7,4),(16,333,3,34,7,3,7,1,5),(16,333,3,34,8,2,5,1,2),(16,333,3,34,9,NULL,5,NULL,1),(16,333,3,34,10,1,1,NULL,NULL),(16,333,3,34,11,7,9,3,1),(16,333,3,34,12,11,9,5,1),(16,333,3,34,13,5,9,4,1),(16,333,3,34,14,10,15,4,4),(16,333,3,34,15,12,12,6,4),(16,333,3,34,16,9,19,3,4),(16,333,3,34,17,18,12,7,3),(16,333,3,34,18,15,7,4,1),(16,333,3,34,19,10,5,5,NULL),(16,333,3,34,20,25,NULL,11,NULL),(16,333,3,34,21,12,24,5,4),(16,333,3,34,22,NULL,7,NULL,3),(16,333,3,34,23,1,7,NULL,2),(16,333,3,34,24,5,3,3,2),(16,333,3,34,25,3,10,2,3),(16,333,3,34,26,NULL,4,NULL,1),(16,333,3,34,27,3,7,1,3),(16,333,3,34,28,14,13,5,5),(16,333,3,34,29,15,6,6,NULL),(16,333,3,34,30,1,6,1,1),(16,339,1,11,1,NULL,NULL,NULL,NULL),(16,339,1,11,2,NULL,NULL,NULL,NULL),(16,339,1,11,3,NULL,NULL,NULL,NULL),(16,339,1,11,4,NULL,NULL,NULL,NULL),(16,339,1,11,5,NULL,NULL,NULL,NULL),(16,339,1,11,6,NULL,NULL,NULL,NULL),(16,339,1,11,7,NULL,NULL,NULL,NULL),(16,339,1,11,8,NULL,NULL,NULL,NULL),(16,339,1,11,9,NULL,NULL,NULL,NULL),(16,339,1,11,10,NULL,NULL,NULL,NULL),(16,339,1,11,11,NULL,NULL,NULL,NULL),(16,339,1,11,12,NULL,NULL,NULL,NULL),(16,339,1,11,13,NULL,NULL,NULL,NULL),(16,339,1,11,14,NULL,NULL,NULL,NULL),(16,339,1,11,15,NULL,NULL,NULL,NULL),(16,339,1,11,16,NULL,NULL,NULL,NULL),(16,339,1,11,17,NULL,NULL,NULL,NULL),(16,339,1,11,18,NULL,NULL,NULL,NULL),(16,339,1,11,19,NULL,NULL,NULL,NULL),(16,339,1,11,20,NULL,NULL,NULL,NULL),(16,339,1,12,1,NULL,NULL,NULL,NULL),(16,339,1,12,2,NULL,NULL,NULL,NULL),(16,339,1,12,3,NULL,NULL,NULL,NULL),(16,339,1,12,4,NULL,NULL,NULL,NULL),(16,339,1,12,5,NULL,NULL,NULL,NULL),(16,339,1,12,6,NULL,NULL,NULL,NULL),(16,339,1,12,7,NULL,NULL,NULL,NULL),(16,339,1,12,8,NULL,NULL,NULL,NULL),(16,339,1,12,9,NULL,NULL,NULL,NULL),(16,339,1,12,10,NULL,NULL,NULL,NULL),(16,339,1,12,11,NULL,NULL,NULL,NULL),(16,339,1,12,12,NULL,NULL,NULL,NULL),(16,339,1,12,13,NULL,NULL,NULL,NULL),(16,339,1,12,14,NULL,NULL,NULL,NULL),(16,339,1,12,15,NULL,NULL,NULL,NULL),(16,339,1,12,16,NULL,NULL,NULL,NULL),(16,339,1,12,17,NULL,NULL,NULL,NULL),(16,339,1,12,18,NULL,NULL,NULL,NULL),(16,339,1,12,19,NULL,NULL,NULL,NULL),(16,339,1,12,20,NULL,NULL,NULL,NULL),(16,339,1,13,1,NULL,NULL,NULL,NULL),(16,339,1,13,2,NULL,NULL,NULL,NULL),(16,339,1,13,3,NULL,NULL,NULL,NULL),(16,339,1,13,4,NULL,NULL,NULL,NULL),(16,339,1,13,5,NULL,NULL,NULL,NULL),(16,339,1,13,6,NULL,NULL,NULL,NULL),(16,339,1,13,7,NULL,NULL,NULL,NULL),(16,339,1,13,8,NULL,NULL,NULL,NULL),(16,339,1,13,9,NULL,NULL,NULL,NULL),(16,339,1,13,10,NULL,NULL,NULL,NULL),(16,339,1,13,11,NULL,NULL,NULL,NULL),(16,339,1,13,12,NULL,NULL,NULL,NULL),(16,339,1,13,13,NULL,NULL,NULL,NULL),(16,339,1,13,14,NULL,NULL,NULL,NULL),(16,339,1,13,15,NULL,NULL,NULL,NULL),(16,339,1,13,16,NULL,NULL,NULL,NULL),(16,339,1,13,17,NULL,NULL,NULL,NULL),(16,339,1,13,18,NULL,NULL,NULL,NULL),(16,339,1,13,19,NULL,NULL,NULL,NULL),(16,339,1,13,20,NULL,NULL,NULL,NULL),(16,339,1,14,1,3,4,2,NULL),(16,339,1,14,2,1,NULL,1,NULL),(16,339,1,14,3,2,4,1,2),(16,339,1,14,4,NULL,NULL,NULL,NULL),(16,339,1,14,5,1,2,1,NULL),(16,339,1,14,6,NULL,1,NULL,1),(16,339,1,14,7,2,3,1,1),(16,339,1,14,8,2,1,NULL,NULL),(16,339,1,14,9,1,1,1,NULL),(16,339,1,14,10,4,1,NULL,1),(16,339,1,14,11,1,4,NULL,1),(16,339,1,14,12,NULL,1,NULL,NULL),(16,339,1,14,13,1,5,NULL,1),(16,339,1,14,14,NULL,2,NULL,1),(16,339,1,14,15,NULL,2,NULL,1),(16,339,1,14,16,2,3,1,NULL),(16,339,1,14,17,NULL,3,NULL,3),(16,339,1,14,18,NULL,1,NULL,NULL),(16,339,1,14,19,NULL,4,NULL,1),(16,339,1,14,20,2,4,NULL,2),(16,339,1,15,1,3,3,1,3),(16,339,1,15,2,1,1,1,1),(16,339,1,15,3,2,3,1,2),(16,339,1,15,4,NULL,2,NULL,2),(16,339,1,15,5,NULL,4,NULL,2),(16,339,1,15,6,NULL,3,NULL,2),(16,339,1,15,7,3,2,1,1),(16,339,1,15,8,3,2,2,1),(16,339,1,15,9,NULL,2,NULL,2),(16,339,1,15,10,4,1,2,1),(16,339,1,15,11,2,1,2,NULL),(16,339,1,15,12,NULL,1,NULL,1),(16,339,1,15,13,5,3,3,2),(16,339,1,15,14,4,NULL,3,NULL),(16,339,1,15,15,NULL,3,NULL,3),(16,339,1,15,16,3,3,3,2),(16,339,1,15,17,1,4,NULL,4),(16,339,1,15,18,NULL,NULL,NULL,NULL),(16,339,1,15,19,2,1,2,NULL),(16,339,1,15,20,5,2,4,2),(16,339,1,16,1,7,13,4,4),(16,339,1,16,2,NULL,3,NULL,3),(16,339,1,16,3,3,10,2,5),(16,339,1,16,4,1,5,NULL,3),(16,339,1,16,5,9,13,4,5),(16,339,1,16,6,2,6,1,5),(16,339,1,16,7,2,9,NULL,7),(16,339,1,16,8,5,13,2,8),(16,339,1,16,9,4,2,1,NULL),(16,339,1,16,10,8,12,2,4),(16,339,1,16,11,4,35,1,17),(16,339,1,16,12,1,9,NULL,6),(16,339,1,16,13,13,22,2,11),(16,339,1,16,14,4,18,2,5),(16,339,1,16,15,12,30,3,12),(16,339,1,16,16,2,3,NULL,1),(16,339,1,16,17,2,18,NULL,10),(16,339,1,16,18,9,9,2,6),(16,339,1,16,19,7,14,3,4),(16,339,1,16,20,1,15,NULL,5),(16,339,1,17,1,9,14,6,7),(16,339,1,17,2,3,6,2,3),(16,339,1,17,3,4,8,4,4),(16,339,1,17,4,NULL,7,NULL,5),(16,339,1,17,5,5,11,3,3),(16,339,1,17,6,2,4,2,3),(16,339,1,17,7,3,6,1,5),(16,339,1,17,8,6,13,3,8),(16,339,1,17,9,NULL,4,NULL,2),(16,339,1,17,10,9,12,7,6),(16,339,1,17,11,4,39,NULL,21),(16,339,1,17,12,1,7,NULL,4),(16,339,1,17,13,10,20,6,13),(16,339,1,17,14,2,10,2,6),(16,339,1,17,15,16,28,6,16),(16,339,1,17,16,3,11,1,5),(16,339,1,17,17,7,19,1,12),(16,339,1,17,18,8,11,5,7),(16,339,1,17,19,7,19,2,12),(16,339,1,17,20,2,12,2,5),(16,339,2,21,1,1,NULL,1,NULL),(16,339,2,21,2,2,8,2,2),(16,339,2,21,3,3,6,3,3),(16,339,2,21,4,3,4,3,2),(16,339,2,21,5,5,11,2,4),(16,339,2,21,6,NULL,2,NULL,NULL),(16,339,2,21,7,3,5,2,2),(16,339,2,21,8,2,5,NULL,2),(16,339,2,21,9,NULL,2,NULL,2),(16,339,2,21,10,2,5,NULL,4),(16,339,2,21,11,1,1,1,NULL),(16,339,2,21,12,6,4,5,1),(16,339,2,21,13,NULL,7,NULL,4),(16,339,2,21,14,6,6,2,3),(16,339,2,21,15,7,4,5,2),(16,339,2,21,16,3,6,2,3),(16,339,2,21,17,1,4,NULL,3),(16,339,2,21,18,4,6,3,3),(16,339,2,21,19,3,5,2,3),(16,339,2,21,20,1,6,NULL,4),(16,339,2,21,21,NULL,4,NULL,2),(16,339,2,21,22,1,5,NULL,2),(16,339,2,21,23,2,4,2,2),(16,339,2,21,24,5,10,1,6),(16,339,2,21,25,NULL,NULL,NULL,NULL),(16,339,2,21,26,34,NULL,12,NULL),(16,339,2,21,27,1,8,NULL,6),(16,339,2,21,28,1,4,NULL,2),(16,339,2,21,29,5,6,1,5),(16,339,2,21,30,1,6,1,2),(16,339,2,22,1,NULL,1,NULL,NULL),(16,339,2,22,2,NULL,15,NULL,10),(16,339,2,22,3,3,7,2,4),(16,339,2,22,4,4,11,3,7),(16,339,2,22,5,5,16,1,9),(16,339,2,22,6,NULL,2,NULL,2),(16,339,2,22,7,2,3,NULL,3),(16,339,2,22,8,2,3,1,2),(16,339,2,22,9,1,NULL,1,NULL),(16,339,2,22,10,1,5,1,4),(16,339,2,22,11,5,6,1,4),(16,339,2,22,12,7,10,6,5),(16,339,2,22,13,1,14,1,5),(16,339,2,22,14,8,14,6,7),(16,339,2,22,15,10,6,8,2),(16,339,2,22,16,6,7,3,6),(16,339,2,22,17,4,2,2,2),(16,339,2,22,18,5,3,2,3),(16,339,2,22,19,3,11,1,8),(16,339,2,22,20,3,9,3,5),(16,339,2,22,21,3,11,2,7),(16,339,2,22,22,3,6,1,4),(16,339,2,22,23,4,8,3,6),(16,339,2,22,24,5,14,1,6),(16,339,2,22,25,NULL,NULL,NULL,NULL),(16,339,2,22,26,45,NULL,19,NULL),(16,339,2,22,27,3,15,2,10),(16,339,2,22,28,NULL,4,NULL,1),(16,339,2,22,29,6,11,3,6),(16,339,2,22,30,3,6,NULL,4),(16,339,2,23,1,NULL,3,NULL,3),(16,339,2,23,2,NULL,5,NULL,3),(16,339,2,23,3,NULL,5,NULL,3),(16,339,2,23,4,7,5,4,2),(16,339,2,23,5,2,10,2,4),(16,339,2,23,6,1,2,NULL,NULL),(16,339,2,23,7,3,5,NULL,2),(16,339,2,23,8,2,4,NULL,NULL),(16,339,2,23,9,1,3,NULL,1),(16,339,2,23,10,NULL,2,NULL,2),(16,339,2,23,11,3,3,1,1),(16,339,2,23,12,4,5,1,4),(16,339,2,23,13,1,5,1,1),(16,339,2,23,14,5,7,2,5),(16,339,2,23,15,6,5,2,2),(16,339,2,23,16,5,5,2,3),(16,339,2,23,17,2,3,1,1),(16,339,2,23,18,NULL,3,NULL,2),(16,339,2,23,19,4,6,2,4),(16,339,2,23,20,4,3,2,3),(16,339,2,23,21,3,6,NULL,4),(16,339,2,23,22,NULL,1,NULL,1),(16,339,2,23,23,1,4,1,3),(16,339,2,23,24,2,6,1,2),(16,339,2,23,25,NULL,NULL,NULL,NULL),(16,339,2,23,26,34,NULL,10,NULL),(16,339,2,23,27,NULL,7,NULL,2),(16,339,2,23,28,2,2,NULL,1),(16,339,2,23,29,6,7,2,3),(16,339,2,23,30,1,3,NULL,3),(16,339,2,24,1,NULL,NULL,NULL,NULL),(16,339,2,24,2,NULL,12,NULL,4),(16,339,2,24,3,5,4,1,2),(16,339,2,24,4,5,6,1,2),(16,339,2,24,5,4,9,1,2),(16,339,2,24,6,2,2,NULL,1),(16,339,2,24,7,2,4,1,1),(16,339,2,24,8,2,3,NULL,1),(16,339,2,24,9,NULL,NULL,NULL,NULL),(16,339,2,24,10,2,2,1,1),(16,339,2,24,11,3,4,1,2),(16,339,2,24,12,6,3,3,2),(16,339,2,24,13,NULL,2,NULL,NULL),(16,339,2,24,14,6,4,4,3),(16,339,2,24,15,6,2,3,1),(16,339,2,24,16,3,5,2,4),(16,339,2,24,17,2,2,2,1),(16,339,2,24,18,NULL,2,NULL,1),(16,339,2,24,19,3,7,NULL,2),(16,339,2,24,20,3,7,2,4),(16,339,2,24,21,1,4,NULL,1),(16,339,2,24,22,3,3,NULL,3),(16,339,2,24,23,1,1,1,1),(16,339,2,24,24,NULL,4,NULL,2),(16,339,2,24,25,NULL,NULL,NULL,NULL),(16,339,2,24,26,32,NULL,10,NULL),(16,339,2,24,27,NULL,4,NULL,1),(16,339,2,24,28,1,4,NULL,2),(16,339,2,24,29,1,7,1,3),(16,339,2,24,30,NULL,3,NULL,2),(16,339,3,31,1,NULL,3,NULL,NULL),(16,339,3,31,2,1,6,NULL,3),(16,339,3,31,3,1,2,1,1),(16,339,3,31,4,2,4,NULL,2),(16,339,3,31,5,5,3,1,NULL),(16,339,3,31,6,9,11,5,3),(16,339,3,31,7,NULL,1,NULL,1),(16,339,3,31,8,1,1,NULL,NULL),(16,339,3,31,9,1,4,NULL,2),(16,339,3,31,10,NULL,6,NULL,3),(16,339,3,31,11,3,4,3,1),(16,339,3,31,12,2,4,2,2),(16,339,3,31,13,4,6,3,2),(16,339,3,31,14,3,1,1,NULL),(16,339,3,31,15,3,7,NULL,5),(16,339,3,31,16,4,7,2,1),(16,339,3,31,17,10,5,7,2),(16,339,3,31,18,2,4,2,3),(16,339,3,31,19,1,2,1,NULL),(16,339,3,31,20,9,NULL,8,NULL),(16,339,3,31,21,1,12,NULL,2),(16,339,3,31,22,1,2,NULL,1),(16,339,3,31,23,NULL,5,NULL,1),(16,339,3,31,24,1,NULL,NULL,NULL),(16,339,3,31,25,NULL,3,NULL,1),(16,339,3,31,26,NULL,3,NULL,3),(16,339,3,31,27,1,2,NULL,1),(16,339,3,31,28,4,3,2,1),(16,339,3,31,29,4,4,1,3),(16,339,3,31,30,NULL,2,NULL,2),(16,339,3,32,1,1,4,NULL,2),(16,339,3,32,2,1,4,1,1),(16,339,3,32,3,NULL,4,NULL,1),(16,339,3,32,4,2,5,NULL,3),(16,339,3,32,5,2,3,1,NULL),(16,339,3,32,6,7,8,2,3),(16,339,3,32,7,NULL,NULL,NULL,NULL),(16,339,3,32,8,1,1,NULL,NULL),(16,339,3,32,9,NULL,1,NULL,NULL),(16,339,3,32,10,1,1,NULL,NULL),(16,339,3,32,11,5,5,3,3),(16,339,3,32,12,NULL,3,NULL,1),(16,339,3,32,13,2,1,2,1),(16,339,3,32,14,1,12,NULL,7),(16,339,3,32,15,4,8,3,3),(16,339,3,32,16,3,9,1,4),(16,339,3,32,17,6,6,1,3),(16,339,3,32,18,NULL,7,NULL,4),(16,339,3,32,19,3,5,2,1),(16,339,3,32,20,7,NULL,2,NULL),(16,339,3,32,21,4,9,1,5),(16,339,3,32,22,NULL,1,NULL,NULL),(16,339,3,32,23,2,2,1,NULL),(16,339,3,32,24,NULL,2,NULL,1),(16,339,3,32,25,NULL,2,NULL,NULL),(16,339,3,32,26,NULL,NULL,NULL,NULL),(16,339,3,32,27,1,1,1,1),(16,339,3,32,28,2,1,1,1),(16,339,3,32,29,NULL,3,NULL,1),(16,339,3,32,30,NULL,NULL,NULL,NULL),(16,339,3,33,1,3,6,1,2),(16,339,3,33,2,NULL,4,NULL,2),(16,339,3,33,3,NULL,6,NULL,3),(16,339,3,33,4,NULL,9,NULL,5),(16,339,3,33,5,1,8,1,3),(16,339,3,33,6,20,13,12,5),(16,339,3,33,7,NULL,2,NULL,2),(16,339,3,33,8,NULL,5,NULL,3),(16,339,3,33,9,NULL,1,NULL,NULL),(16,339,3,33,10,NULL,3,NULL,NULL),(16,339,3,33,11,8,6,4,4),(16,339,3,33,12,NULL,5,NULL,4),(16,339,3,33,13,5,3,4,2),(16,339,3,33,14,3,13,NULL,6),(16,339,3,33,15,4,11,3,6),(16,339,3,33,16,3,10,NULL,5),(16,339,3,33,17,6,12,4,8),(16,339,3,33,18,7,6,3,1),(16,339,3,33,19,5,8,2,4),(16,339,3,33,20,17,NULL,12,NULL),(16,339,3,33,21,3,20,2,7),(16,339,3,33,22,NULL,4,NULL,1),(16,339,3,33,23,1,5,1,3),(16,339,3,33,24,NULL,1,NULL,1),(16,339,3,33,25,NULL,2,NULL,NULL),(16,339,3,33,26,NULL,2,NULL,1),(16,339,3,33,27,NULL,3,NULL,2),(16,339,3,33,28,NULL,7,NULL,3),(16,339,3,33,29,2,6,2,3),(16,339,3,33,30,NULL,2,NULL,2),(16,339,3,34,1,1,2,NULL,1),(16,339,3,34,2,NULL,1,NULL,NULL),(16,339,3,34,3,NULL,1,NULL,NULL),(16,339,3,34,4,NULL,5,NULL,4),(16,339,3,34,5,2,5,1,1),(16,339,3,34,6,10,8,3,3),(16,339,3,34,7,1,3,NULL,2),(16,339,3,34,8,1,1,1,1),(16,339,3,34,9,NULL,3,NULL,1),(16,339,3,34,10,1,1,1,NULL),(16,339,3,34,11,4,3,1,NULL),(16,339,3,34,12,1,3,1,2),(16,339,3,34,13,1,7,NULL,4),(16,339,3,34,14,1,10,NULL,4),(16,339,3,34,15,NULL,7,NULL,5),(16,339,3,34,16,5,10,2,3),(16,339,3,34,17,7,4,5,2),(16,339,3,34,18,4,6,3,2),(16,339,3,34,19,3,7,1,4),(16,339,3,34,20,8,NULL,5,NULL),(16,339,3,34,21,2,14,2,5),(16,339,3,34,22,1,3,NULL,1),(16,339,3,34,23,1,2,1,1),(16,339,3,34,24,NULL,NULL,NULL,NULL),(16,339,3,34,25,NULL,3,NULL,2),(16,339,3,34,26,NULL,4,NULL,2),(16,339,3,34,27,1,1,NULL,NULL),(16,339,3,34,28,1,2,NULL,2),(16,339,3,34,29,1,2,NULL,1),(16,339,3,34,30,NULL,3,NULL,1),(16,340,1,11,1,3,NULL,1,NULL),(16,340,1,11,2,NULL,NULL,NULL,NULL),(16,340,1,11,3,1,NULL,1,NULL),(16,340,1,11,4,NULL,1,NULL,1),(16,340,1,11,5,3,NULL,1,NULL),(16,340,1,11,6,2,NULL,1,NULL),(16,340,1,11,7,NULL,1,NULL,1),(16,340,1,11,8,1,1,NULL,1),(16,340,1,11,9,NULL,NULL,NULL,NULL),(16,340,1,11,10,1,NULL,1,NULL),(16,340,1,11,11,1,1,1,NULL),(16,340,1,11,12,2,NULL,1,NULL),(16,340,1,11,13,NULL,2,NULL,1),(16,340,1,11,14,1,NULL,1,NULL),(16,340,1,11,15,1,NULL,1,NULL),(16,340,1,11,16,3,NULL,1,NULL),(16,340,1,11,17,1,NULL,NULL,NULL),(16,340,1,11,18,1,NULL,1,NULL),(16,340,1,11,19,2,NULL,1,NULL),(16,340,1,11,20,1,NULL,1,NULL),(16,340,1,12,1,2,5,1,1),(16,340,1,12,2,1,NULL,1,NULL),(16,340,1,12,3,2,6,NULL,2),(16,340,1,12,4,NULL,1,NULL,1),(16,340,1,12,5,3,4,1,1),(16,340,1,12,6,2,2,NULL,1),(16,340,1,12,7,NULL,1,NULL,1),(16,340,1,12,8,1,4,NULL,1),(16,340,1,12,9,1,1,1,NULL),(16,340,1,12,10,6,1,1,1),(16,340,1,12,11,8,1,1,1),(16,340,1,12,12,8,1,2,NULL),(16,340,1,12,13,4,5,2,NULL),(16,340,1,12,14,5,2,2,NULL),(16,340,1,12,15,9,NULL,2,NULL),(16,340,1,12,16,5,NULL,2,NULL),(16,340,1,12,17,7,3,1,1),(16,340,1,12,18,10,NULL,2,NULL),(16,340,1,12,19,7,1,2,NULL),(16,340,1,12,20,8,NULL,2,NULL),(16,340,1,13,1,2,2,NULL,NULL),(16,340,1,13,2,NULL,NULL,NULL,NULL),(16,340,1,13,3,4,2,NULL,NULL),(16,340,1,13,4,2,2,NULL,NULL),(16,340,1,13,5,4,2,NULL,NULL),(16,340,1,13,6,1,2,NULL,NULL),(16,340,1,13,7,NULL,NULL,NULL,NULL),(16,340,1,13,8,1,1,NULL,NULL),(16,340,1,13,9,NULL,1,NULL,NULL),(16,340,1,13,10,2,2,NULL,NULL),(16,340,1,13,11,8,NULL,NULL,NULL),(16,340,1,13,12,5,NULL,NULL,NULL),(16,340,1,13,13,7,1,NULL,NULL),(16,340,1,13,14,7,1,NULL,NULL),(16,340,1,13,15,1,4,NULL,NULL),(16,340,1,13,16,4,1,NULL,NULL),(16,340,1,13,17,4,NULL,NULL,NULL),(16,340,1,13,18,8,NULL,NULL,NULL),(16,340,1,13,19,7,NULL,NULL,NULL),(16,340,1,13,20,4,2,NULL,NULL),(16,340,1,14,1,110,61,18,9),(16,340,1,14,2,22,30,9,9),(16,340,1,14,3,60,76,16,8),(16,340,1,14,4,11,45,4,12),(16,340,1,14,5,87,53,21,5),(16,340,1,14,6,32,62,7,12),(16,340,1,14,7,28,14,7,2),(16,340,1,14,8,58,54,17,10),(16,340,1,14,9,37,41,7,8),(16,340,1,14,10,94,45,19,8),(16,340,1,14,11,105,18,22,2),(16,340,1,14,12,104,42,24,4),(16,340,1,14,13,156,57,23,6),(16,340,1,14,14,66,65,10,13),(16,340,1,14,15,56,64,14,14),(16,340,1,14,16,158,24,29,1),(16,340,1,14,17,113,85,21,11),(16,340,1,14,18,68,45,16,7),(16,340,1,14,19,122,63,22,8),(16,340,1,14,20,81,111,14,18),(16,340,1,15,1,103,80,17,9),(16,340,1,15,2,21,22,4,8),(16,340,1,15,3,67,78,12,11),(16,340,1,15,4,10,59,2,13),(16,340,1,15,5,66,55,16,5),(16,340,1,15,6,34,57,7,8),(16,340,1,15,7,21,19,4,3),(16,340,1,15,8,64,49,15,7),(16,340,1,15,9,25,41,7,6),(16,340,1,15,10,96,50,18,5),(16,340,1,15,11,109,13,20,NULL),(16,340,1,15,12,95,42,21,3),(16,340,1,15,13,155,44,23,5),(16,340,1,15,14,79,47,17,7),(16,340,1,15,15,62,60,15,9),(16,340,1,15,16,165,22,24,1),(16,340,1,15,17,126,83,21,9),(16,340,1,15,18,55,55,14,7),(16,340,1,15,19,123,57,23,4),(16,340,1,15,20,79,114,13,15),(16,340,1,16,1,27,25,4,3),(16,340,1,16,2,6,10,1,1),(16,340,1,16,3,18,16,1,2),(16,340,1,16,4,1,16,NULL,4),(16,340,1,16,5,19,16,3,3),(16,340,1,16,6,5,15,NULL,4),(16,340,1,16,7,4,5,NULL,NULL),(16,340,1,16,8,8,18,2,1),(16,340,1,16,9,4,11,2,NULL),(16,340,1,16,10,19,11,3,NULL),(16,340,1,16,11,26,41,1,6),(16,340,1,16,12,10,13,2,NULL),(16,340,1,16,13,30,22,3,1),(16,340,1,16,14,15,42,5,2),(16,340,1,16,15,33,27,3,1),(16,340,1,16,16,3,33,NULL,3),(16,340,1,16,17,16,29,2,2),(16,340,1,16,18,26,16,3,1),(16,340,1,16,19,22,32,6,1),(16,340,1,16,20,4,23,1,NULL),(16,340,1,17,1,15,17,2,2),(16,340,1,17,2,7,4,2,1),(16,340,1,17,3,7,17,2,1),(16,340,1,17,4,1,11,NULL,2),(16,340,1,17,5,15,14,3,1),(16,340,1,17,6,5,5,1,1),(16,340,1,17,7,9,4,2,NULL),(16,340,1,17,8,11,9,3,1),(16,340,1,17,9,6,3,2,NULL),(16,340,1,17,10,25,11,5,2),(16,340,1,17,11,28,29,2,5),(16,340,1,17,12,4,8,NULL,1),(16,340,1,17,13,22,21,3,2),(16,340,1,17,14,7,31,1,2),(16,340,1,17,15,28,22,1,5),(16,340,1,17,16,3,19,1,3),(16,340,1,17,17,16,21,1,3),(16,340,1,17,18,25,11,3,2),(16,340,1,17,19,21,26,3,3),(16,340,1,17,20,6,26,2,3),(16,340,2,21,1,19,23,9,2),(16,340,2,21,2,19,65,9,6),(16,340,2,21,3,41,33,8,2),(16,340,2,21,4,69,20,15,2),(16,340,2,21,5,28,46,10,3),(16,340,2,21,6,26,26,9,3),(16,340,2,21,7,15,19,3,1),(16,340,2,21,8,11,23,2,5),(16,340,2,21,9,8,20,4,4),(16,340,2,21,10,16,41,5,8),(16,340,2,21,11,13,17,2,2),(16,340,2,21,12,27,25,5,5),(16,340,2,21,13,11,38,2,5),(16,340,2,21,14,69,48,16,6),(16,340,2,21,15,74,17,17,2),(16,340,2,21,16,40,38,12,4),(16,340,2,21,17,33,30,9,7),(16,340,2,21,18,21,16,4,4),(16,340,2,21,19,58,62,14,7),(16,340,2,21,20,51,27,12,3),(16,340,2,21,21,15,35,7,3),(16,340,2,21,22,28,39,9,5),(16,340,2,21,23,22,41,5,11),(16,340,2,21,24,17,61,6,7),(16,340,2,21,25,15,NULL,8,NULL),(16,340,2,21,26,172,NULL,23,NULL),(16,340,2,21,27,15,37,6,4),(16,340,2,21,28,3,32,1,5),(16,340,2,21,29,20,58,4,8),(16,340,2,21,30,29,23,11,1),(16,340,2,22,1,20,14,8,2),(16,340,2,22,2,22,73,10,6),(16,340,2,22,3,49,24,12,NULL),(16,340,2,22,4,69,22,11,4),(16,340,2,22,5,30,36,11,4),(16,340,2,22,6,28,39,7,6),(16,340,2,22,7,8,23,1,2),(16,340,2,22,8,15,21,1,2),(16,340,2,22,9,8,19,2,5),(16,340,2,22,10,19,39,6,8),(16,340,2,22,11,17,19,5,2),(16,340,2,22,12,36,42,7,5),(16,340,2,22,13,16,40,3,8),(16,340,2,22,14,76,58,14,6),(16,340,2,22,15,79,8,14,NULL),(16,340,2,22,16,33,36,7,5),(16,340,2,22,17,29,30,6,5),(16,340,2,22,18,19,22,8,2),(16,340,2,22,19,69,61,16,2),(16,340,2,22,20,29,39,7,6),(16,340,2,22,21,28,33,8,5),(16,340,2,22,22,31,30,11,4),(16,340,2,22,23,33,39,9,7),(16,340,2,22,24,24,55,4,10),(16,340,2,22,25,9,NULL,2,NULL),(16,340,2,22,26,178,NULL,20,NULL),(16,340,2,22,27,22,48,5,5),(16,340,2,22,28,6,21,2,6),(16,340,2,22,29,22,58,5,11),(16,340,2,22,30,26,21,9,2),(16,340,2,23,1,13,18,NULL,5),(16,340,2,23,2,21,69,8,5),(16,340,2,23,3,38,22,5,4),(16,340,2,23,4,62,12,8,3),(16,340,2,23,5,31,39,6,5),(16,340,2,23,6,18,44,1,9),(16,340,2,23,7,13,17,3,3),(16,340,2,23,8,7,21,2,3),(16,340,2,23,9,15,22,4,3),(16,340,2,23,10,24,34,5,3),(16,340,2,23,11,20,13,5,3),(16,340,2,23,12,37,25,7,5),(16,340,2,23,13,12,30,4,4),(16,340,2,23,14,61,44,10,8),(16,340,2,23,15,62,13,12,1),(16,340,2,23,16,46,31,7,6),(16,340,2,23,17,28,28,5,4),(16,340,2,23,18,13,18,3,6),(16,340,2,23,19,56,60,10,6),(16,340,2,23,20,41,27,8,5),(16,340,2,23,21,26,23,8,3),(16,340,2,23,22,15,32,5,7),(16,340,2,23,23,32,37,8,6),(16,340,2,23,24,8,64,3,8),(16,340,2,23,25,11,NULL,3,NULL),(16,340,2,23,26,165,NULL,18,NULL),(16,340,2,23,27,18,46,6,8),(16,340,2,23,28,4,23,2,4),(16,340,2,23,29,22,52,3,11),(16,340,2,23,30,23,17,6,4),(16,340,2,24,1,15,17,7,3),(16,340,2,24,2,15,67,8,5),(16,340,2,24,3,43,23,8,3),(16,340,2,24,4,73,17,17,NULL),(16,340,2,24,5,39,31,10,3),(16,340,2,24,6,16,37,2,4),(16,340,2,24,7,15,13,4,NULL),(16,340,2,24,8,13,16,2,2),(16,340,2,24,9,14,12,3,1),(16,340,2,24,10,20,33,7,6),(16,340,2,24,11,18,25,3,5),(16,340,2,24,12,42,28,8,3),(16,340,2,24,13,11,44,3,9),(16,340,2,24,14,66,50,11,8),(16,340,2,24,15,77,13,13,NULL),(16,340,2,24,16,40,39,8,5),(16,340,2,24,17,32,20,9,3),(16,340,2,24,18,25,24,6,7),(16,340,2,24,19,60,51,10,9),(16,340,2,24,20,36,35,11,3),(16,340,2,24,21,17,29,4,5),(16,340,2,24,22,30,28,10,2),(16,340,2,24,23,32,34,8,6),(16,340,2,24,24,10,50,2,6),(16,340,2,24,25,16,NULL,5,NULL),(16,340,2,24,26,171,NULL,19,NULL),(16,340,2,24,27,13,41,3,9),(16,340,2,24,28,6,26,3,5),(16,340,2,24,29,22,71,3,12),(16,340,2,24,30,25,25,8,2),(16,340,3,31,1,4,22,NULL,8),(16,340,3,31,2,7,13,3,2),(16,340,3,31,3,4,24,NULL,5),(16,340,3,31,4,9,25,3,5),(16,340,3,31,5,31,36,9,6),(16,340,3,31,6,101,28,16,2),(16,340,3,31,7,7,8,3,1),(16,340,3,31,8,6,14,1,3),(16,340,3,31,9,3,14,1,NULL),(16,340,3,31,10,3,11,1,1),(16,340,3,31,11,28,20,2,3),(16,340,3,31,12,41,48,11,6),(16,340,3,31,13,37,23,11,2),(16,340,3,31,14,45,55,8,3),(16,340,3,31,15,51,28,12,4),(16,340,3,31,16,47,47,9,7),(16,340,3,31,17,75,33,17,1),(16,340,3,31,18,18,15,3,1),(16,340,3,31,19,29,32,7,3),(16,340,3,31,20,72,NULL,14,NULL),(16,340,3,31,21,38,59,12,5),(16,340,3,31,22,3,22,2,3),(16,340,3,31,23,4,31,NULL,6),(16,340,3,31,24,19,17,9,4),(16,340,3,31,25,8,17,4,4),(16,340,3,31,26,3,10,1,4),(16,340,3,31,27,6,21,3,4),(16,340,3,31,28,31,32,8,4),(16,340,3,31,29,43,25,9,4),(16,340,3,31,30,4,18,2,4),(16,340,3,32,1,6,23,NULL,6),(16,340,3,32,2,8,23,NULL,5),(16,340,3,32,3,3,26,NULL,8),(16,340,3,32,4,8,18,3,6),(16,340,3,32,5,23,52,2,7),(16,340,3,32,6,108,20,12,4),(16,340,3,32,7,9,17,3,3),(16,340,3,32,8,2,15,2,3),(16,340,3,32,9,4,15,2,1),(16,340,3,32,10,1,6,NULL,NULL),(16,340,3,32,11,28,18,4,3),(16,340,3,32,12,38,50,6,8),(16,340,3,32,13,36,23,6,5),(16,340,3,32,14,51,43,11,4),(16,340,3,32,15,49,31,12,2),(16,340,3,32,16,37,49,6,8),(16,340,3,32,17,72,44,12,5),(16,340,3,32,18,25,8,2,2),(16,340,3,32,19,19,30,3,5),(16,340,3,32,20,88,NULL,15,NULL),(16,340,3,32,21,40,52,9,7),(16,340,3,32,22,9,15,3,1),(16,340,3,32,23,8,25,1,5),(16,340,3,32,24,16,21,5,3),(16,340,3,32,25,4,21,NULL,6),(16,340,3,32,26,2,13,NULL,4),(16,340,3,32,27,8,22,1,3),(16,340,3,32,28,27,24,5,4),(16,340,3,32,29,38,25,6,2),(16,340,3,32,30,4,13,2,4),(16,340,3,33,1,9,24,2,8),(16,340,3,33,2,7,15,2,3),(16,340,3,33,3,5,19,NULL,9),(16,340,3,33,4,6,23,2,6),(16,340,3,33,5,31,56,8,6),(16,340,3,33,6,113,33,18,2),(16,340,3,33,7,6,17,4,3),(16,340,3,33,8,1,11,NULL,2),(16,340,3,33,9,2,14,2,2),(16,340,3,33,10,1,15,NULL,2),(16,340,3,33,11,32,17,5,2),(16,340,3,33,12,51,46,8,8),(16,340,3,33,13,29,22,11,NULL),(16,340,3,33,14,48,52,9,8),(16,340,3,33,15,47,33,13,2),(16,340,3,33,16,35,66,4,13),(16,340,3,33,17,84,45,14,6),(16,340,3,33,18,22,11,3,1),(16,340,3,33,19,23,43,2,11),(16,340,3,33,20,101,NULL,18,NULL),(16,340,3,33,21,36,78,11,6),(16,340,3,33,22,3,28,1,7),(16,340,3,33,23,6,16,NULL,2),(16,340,3,33,24,15,22,10,2),(16,340,3,33,25,5,24,2,4),(16,340,3,33,26,6,11,1,3),(16,340,3,33,27,9,27,2,8),(16,340,3,33,28,26,48,7,8),(16,340,3,33,29,30,44,9,1),(16,340,3,33,30,2,15,2,5),(16,340,3,34,1,6,24,2,3),(16,340,3,34,2,14,14,3,NULL),(16,340,3,34,3,2,21,2,4),(16,340,3,34,4,5,17,1,5),(16,340,3,34,5,27,45,5,6),(16,340,3,34,6,94,30,18,2),(16,340,3,34,7,6,18,3,4),(16,340,3,34,8,3,16,NULL,4),(16,340,3,34,9,5,9,1,4),(16,340,3,34,10,4,18,NULL,3),(16,340,3,34,11,24,21,2,4),(16,340,3,34,12,55,47,11,6),(16,340,3,34,13,39,25,9,3),(16,340,3,34,14,50,49,13,7),(16,340,3,34,15,60,28,14,3),(16,340,3,34,16,40,48,9,9),(16,340,3,34,17,73,33,13,2),(16,340,3,34,18,26,15,4,2),(16,340,3,34,19,24,36,6,3),(16,340,3,34,20,93,NULL,18,NULL),(16,340,3,34,21,42,62,9,9),(16,340,3,34,22,2,21,1,7),(16,340,3,34,23,6,37,4,5),(16,340,3,34,24,11,20,5,6),(16,340,3,34,25,5,18,2,6),(16,340,3,34,26,2,4,2,2),(16,340,3,34,27,8,22,4,4),(16,340,3,34,28,29,42,12,1),(16,340,3,34,29,38,26,8,4),(16,340,3,34,30,6,14,2,3),(16,404,1,11,1,NULL,NULL,NULL,NULL),(16,404,1,11,2,NULL,NULL,NULL,NULL),(16,404,1,11,3,NULL,NULL,NULL,NULL),(16,404,1,11,4,NULL,NULL,NULL,NULL),(16,404,1,11,5,1,NULL,NULL,NULL),(16,404,1,11,6,NULL,1,NULL,NULL),(16,404,1,11,7,NULL,NULL,NULL,NULL),(16,404,1,11,8,NULL,NULL,NULL,NULL),(16,404,1,11,9,NULL,NULL,NULL,NULL),(16,404,1,11,10,NULL,NULL,NULL,NULL),(16,404,1,11,11,NULL,NULL,NULL,NULL),(16,404,1,11,12,NULL,NULL,NULL,NULL),(16,404,1,11,13,NULL,NULL,NULL,NULL),(16,404,1,11,14,NULL,NULL,NULL,NULL),(16,404,1,11,15,NULL,NULL,NULL,NULL),(16,404,1,11,16,NULL,1,NULL,NULL),(16,404,1,11,17,1,NULL,NULL,NULL),(16,404,1,11,18,NULL,NULL,NULL,NULL),(16,404,1,11,19,NULL,NULL,NULL,NULL),(16,404,1,11,20,NULL,NULL,NULL,NULL),(16,404,1,12,1,NULL,NULL,NULL,NULL),(16,404,1,12,2,NULL,NULL,NULL,NULL),(16,404,1,12,3,NULL,NULL,NULL,NULL),(16,404,1,12,4,NULL,NULL,NULL,NULL),(16,404,1,12,5,NULL,NULL,NULL,NULL),(16,404,1,12,6,NULL,NULL,NULL,NULL),(16,404,1,12,7,NULL,NULL,NULL,NULL),(16,404,1,12,8,NULL,NULL,NULL,NULL),(16,404,1,12,9,NULL,NULL,NULL,NULL),(16,404,1,12,10,NULL,NULL,NULL,NULL),(16,404,1,12,11,NULL,NULL,NULL,NULL),(16,404,1,12,12,NULL,NULL,NULL,NULL),(16,404,1,12,13,NULL,NULL,NULL,NULL),(16,404,1,12,14,NULL,NULL,NULL,NULL),(16,404,1,12,15,NULL,NULL,NULL,NULL),(16,404,1,12,16,NULL,NULL,NULL,NULL),(16,404,1,12,17,NULL,NULL,NULL,NULL),(16,404,1,12,18,NULL,NULL,NULL,NULL),(16,404,1,12,19,NULL,NULL,NULL,NULL),(16,404,1,12,20,NULL,NULL,NULL,NULL),(16,404,1,13,1,NULL,NULL,NULL,NULL),(16,404,1,13,2,NULL,NULL,NULL,NULL),(16,404,1,13,3,NULL,NULL,NULL,NULL),(16,404,1,13,4,NULL,NULL,NULL,NULL),(16,404,1,13,5,NULL,NULL,NULL,NULL),(16,404,1,13,6,NULL,NULL,NULL,NULL),(16,404,1,13,7,NULL,NULL,NULL,NULL),(16,404,1,13,8,NULL,NULL,NULL,NULL),(16,404,1,13,9,NULL,NULL,NULL,NULL),(16,404,1,13,10,NULL,NULL,NULL,NULL),(16,404,1,13,11,NULL,NULL,NULL,NULL),(16,404,1,13,12,NULL,NULL,NULL,NULL),(16,404,1,13,13,NULL,NULL,NULL,NULL),(16,404,1,13,14,NULL,NULL,NULL,NULL),(16,404,1,13,15,NULL,NULL,NULL,NULL),(16,404,1,13,16,NULL,NULL,NULL,NULL),(16,404,1,13,17,NULL,NULL,NULL,NULL),(16,404,1,13,18,NULL,NULL,NULL,NULL),(16,404,1,13,19,NULL,NULL,NULL,NULL),(16,404,1,13,20,NULL,NULL,NULL,NULL),(16,404,1,14,1,9,8,6,2),(16,404,1,14,2,1,1,1,NULL),(16,404,1,14,3,6,13,5,2),(16,404,1,14,4,NULL,4,NULL,2),(16,404,1,14,5,5,4,3,NULL),(16,404,1,14,6,3,3,2,1),(16,404,1,14,7,2,4,2,NULL),(16,404,1,14,8,3,6,3,2),(16,404,1,14,9,1,5,NULL,2),(16,404,1,14,10,6,5,2,2),(16,404,1,14,11,8,2,6,1),(16,404,1,14,12,8,NULL,4,NULL),(16,404,1,14,13,7,5,4,1),(16,404,1,14,14,3,5,1,3),(16,404,1,14,15,NULL,3,NULL,2),(16,404,1,14,16,8,8,5,3),(16,404,1,14,17,7,5,3,2),(16,404,1,14,18,2,3,1,1),(16,404,1,14,19,5,5,2,2),(16,404,1,14,20,4,14,1,7),(16,404,1,15,1,9,10,4,2),(16,404,1,15,2,NULL,7,NULL,5),(16,404,1,15,3,6,11,3,4),(16,404,1,15,4,1,7,1,5),(16,404,1,15,5,5,10,3,5),(16,404,1,15,6,1,6,NULL,2),(16,404,1,15,7,2,4,1,1),(16,404,1,15,8,2,8,1,4),(16,404,1,15,9,NULL,5,NULL,2),(16,404,1,15,10,6,8,2,4),(16,404,1,15,11,6,10,4,2),(16,404,1,15,12,5,8,3,4),(16,404,1,15,13,9,12,5,2),(16,404,1,15,14,3,4,3,1),(16,404,1,15,15,3,4,2,2),(16,404,1,15,16,10,10,5,3),(16,404,1,15,17,6,6,6,2),(16,404,1,15,18,4,3,4,1),(16,404,1,15,19,6,8,4,3),(16,404,1,15,20,4,19,3,4),(16,404,1,16,1,13,27,9,9),(16,404,1,16,2,2,8,1,2),(16,404,1,16,3,7,16,1,10),(16,404,1,16,4,1,9,1,6),(16,404,1,16,5,12,25,7,14),(16,404,1,16,6,2,9,NULL,4),(16,404,1,16,7,1,11,NULL,5),(16,404,1,16,8,3,15,3,11),(16,404,1,16,9,2,6,1,4),(16,404,1,16,10,15,19,10,9),(16,404,1,16,11,20,45,10,15),(16,404,1,16,12,7,15,4,7),(16,404,1,16,13,11,33,4,13),(16,404,1,16,14,4,24,1,9),(16,404,1,16,15,18,42,5,19),(16,404,1,16,16,2,25,1,7),(16,404,1,16,17,7,28,2,14),(16,404,1,16,18,13,15,6,7),(16,404,1,16,19,9,37,3,13),(16,404,1,16,20,2,23,1,13),(16,404,1,17,1,14,23,3,6),(16,404,1,17,2,NULL,9,NULL,4),(16,404,1,17,3,3,13,NULL,4),(16,404,1,17,4,1,1,1,NULL),(16,404,1,17,5,10,15,7,3),(16,404,1,17,6,4,8,2,1),(16,404,1,17,7,4,9,NULL,3),(16,404,1,17,8,8,19,2,4),(16,404,1,17,9,1,5,1,1),(16,404,1,17,10,10,17,7,3),(16,404,1,17,11,18,42,NULL,12),(16,404,1,17,12,3,8,1,2),(16,404,1,17,13,13,31,4,8),(16,404,1,17,14,3,24,1,4),(16,404,1,17,15,23,40,4,8),(16,404,1,17,16,1,16,NULL,4),(16,404,1,17,17,20,27,4,7),(16,404,1,17,18,10,20,3,4),(16,404,1,17,19,7,40,3,9),(16,404,1,17,20,2,29,2,5),(16,404,2,21,1,2,3,1,1),(16,404,2,21,2,NULL,18,NULL,7),(16,404,2,21,3,6,12,3,3),(16,404,2,21,4,9,15,6,4),(16,404,2,21,5,6,19,2,6),(16,404,2,21,6,4,4,2,3),(16,404,2,21,7,7,10,4,2),(16,404,2,21,8,6,16,1,4),(16,404,2,21,9,NULL,3,NULL,2),(16,404,2,21,10,2,7,1,5),(16,404,2,21,11,3,8,2,4),(16,404,2,21,12,9,12,3,5),(16,404,2,21,13,3,16,1,8),(16,404,2,21,14,22,16,11,4),(16,404,2,21,15,25,5,10,1),(16,404,2,21,16,6,10,5,6),(16,404,2,21,17,6,9,3,5),(16,404,2,21,18,2,7,1,5),(16,404,2,21,19,7,17,5,8),(16,404,2,21,20,9,16,4,5),(16,404,2,21,21,4,16,2,6),(16,404,2,21,22,5,8,3,3),(16,404,2,21,23,6,11,5,3),(16,404,2,21,24,8,26,1,9),(16,404,2,21,25,NULL,NULL,NULL,NULL),(16,404,2,21,26,70,NULL,18,NULL),(16,404,2,21,27,2,10,1,5),(16,404,2,21,28,1,10,NULL,2),(16,404,2,21,29,7,14,1,5),(16,404,2,21,30,5,11,1,5),(16,404,2,22,1,1,2,NULL,1),(16,404,2,22,2,3,18,1,NULL),(16,404,2,22,3,9,8,1,4),(16,404,2,22,4,14,12,5,2),(16,404,2,22,5,8,15,NULL,4),(16,404,2,22,6,1,12,NULL,1),(16,404,2,22,7,1,9,NULL,4),(16,404,2,22,8,3,6,1,NULL),(16,404,2,22,9,2,1,1,NULL),(16,404,2,22,10,2,7,NULL,3),(16,404,2,22,11,5,2,3,1),(16,404,2,22,12,13,10,2,4),(16,404,2,22,13,6,15,1,6),(16,404,2,22,14,8,18,2,7),(16,404,2,22,15,21,8,5,1),(16,404,2,22,16,4,8,1,5),(16,404,2,22,17,5,7,NULL,2),(16,404,2,22,18,1,6,NULL,4),(16,404,2,22,19,14,17,1,5),(16,404,2,22,20,3,10,2,5),(16,404,2,22,21,2,14,NULL,4),(16,404,2,22,22,1,5,NULL,3),(16,404,2,22,23,3,7,1,3),(16,404,2,22,24,4,19,1,4),(16,404,2,22,25,NULL,NULL,NULL,NULL),(16,404,2,22,26,60,NULL,10,NULL),(16,404,2,22,27,4,14,NULL,5),(16,404,2,22,28,2,6,NULL,NULL),(16,404,2,22,29,5,14,NULL,5),(16,404,2,22,30,2,8,NULL,3),(16,404,2,23,1,2,2,1,1),(16,404,2,23,2,3,19,2,5),(16,404,2,23,3,3,5,2,3),(16,404,2,23,4,9,14,5,7),(16,404,2,23,5,8,22,5,5),(16,404,2,23,6,4,4,2,2),(16,404,2,23,7,3,12,1,7),(16,404,2,23,8,1,7,NULL,3),(16,404,2,23,9,2,6,1,1),(16,404,2,23,10,1,4,NULL,2),(16,404,2,23,11,3,7,2,4),(16,404,2,23,12,14,11,2,4),(16,404,2,23,13,8,9,2,3),(16,404,2,23,14,17,15,9,5),(16,404,2,23,15,23,8,8,4),(16,404,2,23,16,4,15,2,7),(16,404,2,23,17,3,7,1,4),(16,404,2,23,18,3,7,2,5),(16,404,2,23,19,6,16,4,2),(16,404,2,23,20,9,12,2,5),(16,404,2,23,21,4,12,1,7),(16,404,2,23,22,4,7,3,4),(16,404,2,23,23,8,13,4,5),(16,404,2,23,24,4,21,NULL,7),(16,404,2,23,25,4,NULL,1,NULL),(16,404,2,23,26,66,NULL,16,NULL),(16,404,2,23,27,3,11,NULL,6),(16,404,2,23,28,3,7,NULL,2),(16,404,2,23,29,6,15,1,8),(16,404,2,23,30,3,9,NULL,4),(16,404,2,24,1,1,6,NULL,4),(16,404,2,24,2,2,17,1,6),(16,404,2,24,3,8,6,6,1),(16,404,2,24,4,15,11,5,4),(16,404,2,24,5,3,20,NULL,3),(16,404,2,24,6,3,6,3,2),(16,404,2,24,7,7,13,2,4),(16,404,2,24,8,7,6,3,1),(16,404,2,24,9,NULL,2,NULL,2),(16,404,2,24,10,2,7,NULL,5),(16,404,2,24,11,2,6,1,3),(16,404,2,24,12,8,12,2,4),(16,404,2,24,13,1,14,NULL,7),(16,404,2,24,14,13,15,7,7),(16,404,2,24,15,20,4,8,1),(16,404,2,24,16,7,6,3,3),(16,404,2,24,17,6,4,2,1),(16,404,2,24,18,3,6,1,2),(16,404,2,24,19,9,12,3,6),(16,404,2,24,20,9,8,2,5),(16,404,2,24,21,3,12,NULL,2),(16,404,2,24,22,12,7,5,3),(16,404,2,24,23,5,10,5,5),(16,404,2,24,24,2,14,2,5),(16,404,2,24,25,1,NULL,1,NULL),(16,404,2,24,26,64,NULL,16,NULL),(16,404,2,24,27,1,9,NULL,4),(16,404,2,24,28,3,7,NULL,2),(16,404,2,24,29,5,17,1,5),(16,404,2,24,30,6,8,1,4),(16,404,3,31,1,1,8,NULL,3),(16,404,3,31,2,1,4,1,3),(16,404,3,31,3,1,10,NULL,4),(16,404,3,31,4,NULL,11,NULL,5),(16,404,3,31,5,4,14,2,6),(16,404,3,31,6,26,18,8,7),(16,404,3,31,7,1,5,1,2),(16,404,3,31,8,1,1,1,NULL),(16,404,3,31,9,1,3,1,NULL),(16,404,3,31,10,3,5,2,NULL),(16,404,3,31,11,11,14,5,5),(16,404,3,31,12,6,9,4,4),(16,404,3,31,13,5,11,2,4),(16,404,3,31,14,13,8,7,2),(16,404,3,31,15,12,10,6,5),(16,404,3,31,16,5,16,4,4),(16,404,3,31,17,17,10,7,6),(16,404,3,31,18,5,4,2,2),(16,404,3,31,19,4,7,3,3),(16,404,3,31,20,9,NULL,7,NULL),(16,404,3,31,21,6,28,5,8),(16,404,3,31,22,3,3,NULL,NULL),(16,404,3,31,23,2,3,NULL,1),(16,404,3,31,24,1,5,1,1),(16,404,3,31,25,2,4,1,2),(16,404,3,31,26,2,5,1,NULL),(16,404,3,31,27,1,4,1,1),(16,404,3,31,28,4,10,2,2),(16,404,3,31,29,4,13,1,3),(16,404,3,31,30,NULL,2,NULL,1),(16,404,3,32,1,1,4,1,2),(16,404,3,32,2,1,4,1,1),(16,404,3,32,3,NULL,11,NULL,4),(16,404,3,32,4,2,9,1,1),(16,404,3,32,5,6,17,3,3),(16,404,3,32,6,24,15,9,4),(16,404,3,32,7,1,5,1,2),(16,404,3,32,8,NULL,1,NULL,1),(16,404,3,32,9,1,2,1,1),(16,404,3,32,10,1,4,NULL,NULL),(16,404,3,32,11,7,14,3,6),(16,404,3,32,12,4,6,4,3),(16,404,3,32,13,1,7,NULL,3),(16,404,3,32,14,6,13,2,6),(16,404,3,32,15,2,9,2,5),(16,404,3,32,16,9,13,4,6),(16,404,3,32,17,11,19,5,9),(16,404,3,32,18,9,12,2,2),(16,404,3,32,19,7,6,2,1),(16,404,3,32,20,21,NULL,9,NULL),(16,404,3,32,21,7,19,2,4),(16,404,3,32,22,1,2,NULL,NULL),(16,404,3,32,23,1,6,NULL,NULL),(16,404,3,32,24,NULL,4,NULL,1),(16,404,3,32,25,NULL,6,NULL,2),(16,404,3,32,26,NULL,NULL,NULL,NULL),(16,404,3,32,27,2,5,1,2),(16,404,3,32,28,5,9,2,4),(16,404,3,32,29,2,10,2,1),(16,404,3,32,30,NULL,3,NULL,1),(16,404,3,33,1,NULL,6,NULL,4),(16,404,3,33,2,3,7,NULL,3),(16,404,3,33,3,NULL,4,NULL,1),(16,404,3,33,4,2,7,NULL,2),(16,404,3,33,5,7,12,2,1),(16,404,3,33,6,23,20,2,6),(16,404,3,33,7,NULL,7,NULL,1),(16,404,3,33,8,NULL,3,NULL,1),(16,404,3,33,9,NULL,5,NULL,2),(16,404,3,33,10,NULL,3,NULL,1),(16,404,3,33,11,14,14,2,4),(16,404,3,33,12,3,16,1,6),(16,404,3,33,13,5,8,NULL,2),(16,404,3,33,14,6,17,1,1),(16,404,3,33,15,4,8,1,1),(16,404,3,33,16,6,17,1,4),(16,404,3,33,17,13,9,5,2),(16,404,3,33,18,6,5,1,NULL),(16,404,3,33,19,6,14,NULL,5),(16,404,3,33,20,18,NULL,7,NULL),(16,404,3,33,21,8,26,2,4),(16,404,3,33,22,1,5,NULL,2),(16,404,3,33,23,1,5,NULL,2),(16,404,3,33,24,2,4,1,2),(16,404,3,33,25,2,3,1,2),(16,404,3,33,26,NULL,3,NULL,NULL),(16,404,3,33,27,NULL,8,NULL,1),(16,404,3,33,28,9,12,5,3),(16,404,3,33,29,6,12,4,1),(16,404,3,33,30,NULL,4,NULL,1),(16,404,3,34,1,3,11,2,4),(16,404,3,34,2,1,9,NULL,4),(16,404,3,34,3,2,8,1,3),(16,404,3,34,4,2,6,NULL,1),(16,404,3,34,5,4,13,1,8),(16,404,3,34,6,24,21,11,4),(16,404,3,34,7,1,5,NULL,2),(16,404,3,34,8,NULL,5,NULL,4),(16,404,3,34,9,1,1,NULL,NULL),(16,404,3,34,10,2,6,NULL,3),(16,404,3,34,11,7,13,2,5),(16,404,3,34,12,6,9,3,7),(16,404,3,34,13,4,7,1,6),(16,404,3,34,14,5,17,4,8),(16,404,3,34,15,5,17,4,6),(16,404,3,34,16,3,10,3,5),(16,404,3,34,17,14,15,8,7),(16,404,3,34,18,6,14,3,5),(16,404,3,34,19,5,12,3,4),(16,404,3,34,20,27,NULL,13,NULL),(16,404,3,34,21,4,27,4,8),(16,404,3,34,22,1,3,1,1),(16,404,3,34,23,2,4,1,1),(16,404,3,34,24,2,3,1,2),(16,404,3,34,25,1,1,1,1),(16,404,3,34,26,1,4,NULL,3),(16,404,3,34,27,3,6,2,2),(16,404,3,34,28,7,12,4,3),(16,404,3,34,29,9,16,5,6),(16,404,3,34,30,NULL,6,NULL,1),(16,415,1,11,1,1,1,NULL,NULL),(16,415,1,11,2,NULL,1,NULL,NULL),(16,415,1,11,3,1,1,NULL,NULL),(16,415,1,11,4,NULL,1,NULL,NULL),(16,415,1,11,5,1,NULL,NULL,NULL),(16,415,1,11,6,1,NULL,NULL,NULL),(16,415,1,11,7,1,NULL,NULL,NULL),(16,415,1,11,8,NULL,1,NULL,NULL),(16,415,1,11,9,NULL,NULL,NULL,NULL),(16,415,1,11,10,1,NULL,NULL,NULL),(16,415,1,11,11,1,1,NULL,NULL),(16,415,1,11,12,1,NULL,NULL,NULL),(16,415,1,11,13,1,1,NULL,NULL),(16,415,1,11,14,1,1,NULL,NULL),(16,415,1,11,15,1,1,NULL,NULL),(16,415,1,11,16,1,1,NULL,NULL),(16,415,1,11,17,NULL,NULL,NULL,NULL),(16,415,1,11,18,NULL,1,NULL,NULL),(16,415,1,11,19,1,NULL,NULL,NULL),(16,415,1,11,20,1,NULL,NULL,NULL),(16,415,1,12,1,1,1,NULL,NULL),(16,415,1,12,2,NULL,1,NULL,NULL),(16,415,1,12,3,1,1,NULL,NULL),(16,415,1,12,4,1,4,NULL,1),(16,415,1,12,5,3,1,1,NULL),(16,415,1,12,6,NULL,NULL,NULL,NULL),(16,415,1,12,7,2,NULL,NULL,NULL),(16,415,1,12,8,2,2,1,NULL),(16,415,1,12,9,NULL,NULL,NULL,NULL),(16,415,1,12,10,2,NULL,NULL,NULL),(16,415,1,12,11,3,2,1,NULL),(16,415,1,12,12,5,NULL,1,NULL),(16,415,1,12,13,2,2,NULL,1),(16,415,1,12,14,3,1,1,NULL),(16,415,1,12,15,3,2,1,NULL),(16,415,1,12,16,NULL,NULL,NULL,NULL),(16,415,1,12,17,5,NULL,1,NULL),(16,415,1,12,18,5,1,1,NULL),(16,415,1,12,19,4,1,1,NULL),(16,415,1,12,20,4,NULL,1,NULL),(16,415,1,13,1,2,1,NULL,NULL),(16,415,1,13,2,NULL,NULL,NULL,NULL),(16,415,1,13,3,2,1,NULL,NULL),(16,415,1,13,4,NULL,NULL,NULL,NULL),(16,415,1,13,5,2,1,NULL,NULL),(16,415,1,13,6,NULL,1,NULL,NULL),(16,415,1,13,7,NULL,NULL,NULL,NULL),(16,415,1,13,8,3,NULL,NULL,NULL),(16,415,1,13,9,NULL,NULL,NULL,NULL),(16,415,1,13,10,1,NULL,NULL,NULL),(16,415,1,13,11,3,1,NULL,NULL),(16,415,1,13,12,3,NULL,NULL,NULL),(16,415,1,13,13,3,2,NULL,NULL),(16,415,1,13,14,4,NULL,NULL,NULL),(16,415,1,13,15,NULL,3,NULL,NULL),(16,415,1,13,16,1,1,NULL,NULL),(16,415,1,13,17,1,NULL,NULL,NULL),(16,415,1,13,18,3,NULL,NULL,NULL),(16,415,1,13,19,3,2,NULL,NULL),(16,415,1,13,20,2,1,NULL,NULL),(16,415,1,14,1,64,40,14,3),(16,415,1,14,2,15,23,2,5),(16,415,1,14,3,50,52,5,11),(16,415,1,14,4,5,50,3,8),(16,415,1,14,5,58,38,15,4),(16,415,1,14,6,20,50,3,9),(16,415,1,14,7,17,16,2,2),(16,415,1,14,8,38,41,8,7),(16,415,1,14,9,12,45,2,9),(16,415,1,14,10,72,29,12,4),(16,415,1,14,11,58,28,10,5),(16,415,1,14,12,51,22,10,4),(16,415,1,14,13,84,51,16,4),(16,415,1,14,14,38,39,8,8),(16,415,1,14,15,24,37,6,7),(16,415,1,14,16,91,19,18,1),(16,415,1,14,17,66,51,8,11),(16,415,1,14,18,32,34,6,7),(16,415,1,14,19,64,44,11,7),(16,415,1,14,20,51,66,6,12),(16,415,1,15,1,67,28,14,5),(16,415,1,15,2,17,23,4,8),(16,415,1,15,3,45,49,8,6),(16,415,1,15,4,4,53,NULL,14),(16,415,1,15,5,47,46,12,2),(16,415,1,15,6,26,54,7,8),(16,415,1,15,7,15,14,3,2),(16,415,1,15,8,40,43,10,5),(16,415,1,15,9,25,25,10,4),(16,415,1,15,10,68,28,12,4),(16,415,1,15,11,59,12,14,1),(16,415,1,15,12,54,25,15,4),(16,415,1,15,13,89,34,18,3),(16,415,1,15,14,31,32,5,7),(16,415,1,15,15,26,38,9,8),(16,415,1,15,16,77,14,17,3),(16,415,1,15,17,73,42,12,8),(16,415,1,15,18,36,24,12,6),(16,415,1,15,19,72,31,13,6),(16,415,1,15,20,44,71,11,9),(16,415,1,16,1,47,29,5,4),(16,415,1,16,2,10,13,2,5),(16,415,1,16,3,26,27,3,4),(16,415,1,16,4,4,28,1,4),(16,415,1,16,5,42,25,6,2),(16,415,1,16,6,6,21,1,4),(16,415,1,16,7,14,9,4,1),(16,415,1,16,8,19,27,5,4),(16,415,1,16,9,12,11,1,3),(16,415,1,16,10,35,25,5,4),(16,415,1,16,11,45,60,6,4),(16,415,1,16,12,9,17,2,2),(16,415,1,16,13,40,39,6,4),(16,415,1,16,14,21,50,1,5),(16,415,1,16,15,37,49,5,3),(16,415,1,16,16,6,50,NULL,3),(16,415,1,16,17,26,35,3,7),(16,415,1,16,18,36,28,4,4),(16,415,1,16,19,43,39,6,1),(16,415,1,16,20,13,47,3,3),(16,415,1,17,1,41,25,3,1),(16,415,1,17,2,3,6,NULL,1),(16,415,1,17,3,19,25,NULL,5),(16,415,1,17,4,4,28,NULL,4),(16,415,1,17,5,20,25,2,2),(16,415,1,17,6,4,19,1,1),(16,415,1,17,7,9,5,2,NULL),(16,415,1,17,8,20,22,2,2),(16,415,1,17,9,12,15,1,1),(16,415,1,17,10,33,19,4,1),(16,415,1,17,11,35,64,1,5),(16,415,1,17,12,8,12,NULL,2),(16,415,1,17,13,34,44,NULL,3),(16,415,1,17,14,17,44,NULL,3),(16,415,1,17,15,34,42,1,3),(16,415,1,17,16,5,47,1,3),(16,415,1,17,17,25,38,1,3),(16,415,1,17,18,38,19,2,3),(16,415,1,17,19,36,56,3,2),(16,415,1,17,20,9,41,1,2),(16,415,2,21,1,13,13,5,NULL),(16,415,2,21,2,19,38,7,3),(16,415,2,21,3,35,18,6,4),(16,415,2,21,4,54,15,10,3),(16,415,2,21,5,35,29,6,3),(16,415,2,21,6,20,28,5,6),(16,415,2,21,7,19,12,4,1),(16,415,2,21,8,12,16,5,2),(16,415,2,21,9,14,20,4,1),(16,415,2,21,10,15,31,2,6),(16,415,2,21,11,16,18,4,4),(16,415,2,21,12,17,28,2,7),(16,415,2,21,13,11,28,2,5),(16,415,2,21,14,57,37,8,7),(16,415,2,21,15,59,6,9,NULL),(16,415,2,21,16,26,31,1,9),(16,415,2,21,17,26,30,8,3),(16,415,2,21,18,11,18,3,5),(16,415,2,21,19,49,44,8,3),(16,415,2,21,20,24,24,8,4),(16,415,2,21,21,14,25,4,4),(16,415,2,21,22,15,30,5,5),(16,415,2,21,23,18,29,7,4),(16,415,2,21,24,15,43,4,8),(16,415,2,21,25,8,NULL,4,NULL),(16,415,2,21,26,143,NULL,15,NULL),(16,415,2,21,27,11,27,2,7),(16,415,2,21,28,3,22,NULL,6),(16,415,2,21,29,23,35,2,7),(16,415,2,21,30,18,17,7,2),(16,415,2,22,1,15,14,2,4),(16,415,2,22,2,20,51,6,3),(16,415,2,22,3,31,20,5,2),(16,415,2,22,4,63,17,12,NULL),(16,415,2,22,5,37,47,4,5),(16,415,2,22,6,18,32,4,5),(16,415,2,22,7,6,16,NULL,2),(16,415,2,22,8,10,15,1,3),(16,415,2,22,9,7,12,4,1),(16,415,2,22,10,15,29,5,5),(16,415,2,22,11,18,14,1,3),(16,415,2,22,12,38,34,5,3),(16,415,2,22,13,12,34,2,1),(16,415,2,22,14,39,67,7,5),(16,415,2,22,15,63,11,6,NULL),(16,415,2,22,16,21,40,3,4),(16,415,2,22,17,22,24,6,4),(16,415,2,22,18,15,19,1,5),(16,415,2,22,19,47,52,10,3),(16,415,2,22,20,27,29,5,3),(16,415,2,22,21,21,39,3,4),(16,415,2,22,22,18,29,3,4),(16,415,2,22,23,24,34,4,4),(16,415,2,22,24,14,49,3,4),(16,415,2,22,25,9,NULL,3,NULL),(16,415,2,22,26,159,NULL,13,NULL),(16,415,2,22,27,16,33,3,3),(16,415,2,22,28,1,25,NULL,3),(16,415,2,22,29,11,43,2,4),(16,415,2,22,30,22,20,3,2),(16,415,2,23,1,12,20,2,5),(16,415,2,23,2,29,54,9,7),(16,415,2,23,3,35,19,9,1),(16,415,2,23,4,64,22,13,2),(16,415,2,23,5,35,30,6,6),(16,415,2,23,6,26,38,5,8),(16,415,2,23,7,15,11,2,NULL),(16,415,2,23,8,9,24,NULL,4),(16,415,2,23,9,9,19,2,4),(16,415,2,23,10,16,40,4,10),(16,415,2,23,11,17,14,6,2),(16,415,2,23,12,38,25,7,4),(16,415,2,23,13,7,32,2,6),(16,415,2,23,14,58,41,7,8),(16,415,2,23,15,69,10,15,NULL),(16,415,2,23,16,42,28,8,5),(16,415,2,23,17,31,25,6,4),(16,415,2,23,18,11,16,1,5),(16,415,2,23,19,50,44,10,6),(16,415,2,23,20,36,26,9,2),(16,415,2,23,21,19,34,6,4),(16,415,2,23,22,14,24,6,4),(16,415,2,23,23,33,33,6,7),(16,415,2,23,24,18,47,5,7),(16,415,2,23,25,7,NULL,4,NULL),(16,415,2,23,26,150,NULL,17,NULL),(16,415,2,23,27,18,41,10,2),(16,415,2,23,28,7,21,NULL,8),(16,415,2,23,29,16,53,NULL,12),(16,415,2,23,30,31,11,9,2),(16,415,2,24,1,16,12,5,2),(16,415,2,24,2,17,60,4,7),(16,415,2,24,3,41,24,5,2),(16,415,2,24,4,67,15,12,1),(16,415,2,24,5,35,36,8,3),(16,415,2,24,6,20,33,3,6),(16,415,2,24,7,19,9,3,NULL),(16,415,2,24,8,15,18,2,4),(16,415,2,24,9,9,13,3,4),(16,415,2,24,10,11,39,4,7),(16,415,2,24,11,14,19,4,2),(16,415,2,24,12,27,29,3,3),(16,415,2,24,13,12,37,3,5),(16,415,2,24,14,50,39,6,9),(16,415,2,24,15,59,7,11,NULL),(16,415,2,24,16,32,22,8,3),(16,415,2,24,17,21,24,4,5),(16,415,2,24,18,16,21,5,3),(16,415,2,24,19,55,40,9,5),(16,415,2,24,20,32,21,7,3),(16,415,2,24,21,18,33,4,4),(16,415,2,24,22,18,24,5,4),(16,415,2,24,23,29,31,4,6),(16,415,2,24,24,15,39,1,6),(16,415,2,24,25,7,NULL,4,NULL),(16,415,2,24,26,148,NULL,15,NULL),(16,415,2,24,27,17,26,8,5),(16,415,2,24,28,8,24,1,5),(16,415,2,24,29,18,49,3,9),(16,415,2,24,30,21,20,5,1),(16,415,3,31,1,6,24,2,6),(16,415,3,31,2,11,9,3,1),(16,415,3,31,3,1,23,NULL,4),(16,415,3,31,4,7,21,3,2),(16,415,3,31,5,15,49,4,8),(16,415,3,31,6,77,31,12,2),(16,415,3,31,7,4,17,1,4),(16,415,3,31,8,NULL,19,NULL,4),(16,415,3,31,9,2,11,1,2),(16,415,3,31,10,2,15,NULL,3),(16,415,3,31,11,21,16,4,2),(16,415,3,31,12,39,43,9,6),(16,415,3,31,13,34,13,13,NULL),(16,415,3,31,14,35,48,3,8),(16,415,3,31,15,41,29,10,3),(16,415,3,31,16,23,48,5,3),(16,415,3,31,17,67,32,12,2),(16,415,3,31,18,15,6,1,NULL),(16,415,3,31,19,21,26,5,6),(16,415,3,31,20,73,NULL,13,NULL),(16,415,3,31,21,29,54,3,7),(16,415,3,31,22,2,17,NULL,3),(16,415,3,31,23,5,29,1,6),(16,415,3,31,24,15,17,3,3),(16,415,3,31,25,8,19,1,7),(16,415,3,31,26,2,8,1,3),(16,415,3,31,27,8,19,2,3),(16,415,3,31,28,30,30,8,4),(16,415,3,31,29,31,24,5,3),(16,415,3,31,30,6,10,2,3),(16,415,3,32,1,5,21,1,4),(16,415,3,32,2,11,15,3,3),(16,415,3,32,3,3,25,2,8),(16,415,3,32,4,6,12,1,2),(16,415,3,32,5,28,35,1,6),(16,415,3,32,6,79,29,14,2),(16,415,3,32,7,4,16,1,3),(16,415,3,32,8,2,13,1,4),(16,415,3,32,9,NULL,16,NULL,3),(16,415,3,32,10,2,15,1,1),(16,415,3,32,11,26,17,4,3),(16,415,3,32,12,31,45,5,6),(16,415,3,32,13,27,21,4,5),(16,415,3,32,14,36,49,5,9),(16,415,3,32,15,41,27,10,4),(16,415,3,32,16,35,43,6,7),(16,415,3,32,17,68,26,11,4),(16,415,3,32,18,17,13,3,2),(16,415,3,32,19,15,35,1,7),(16,415,3,32,20,78,NULL,16,NULL),(16,415,3,32,21,41,39,9,2),(16,415,3,32,22,2,11,1,3),(16,415,3,32,23,8,21,3,3),(16,415,3,32,24,18,21,6,7),(16,415,3,32,25,3,19,1,5),(16,415,3,32,26,1,15,NULL,4),(16,415,3,32,27,5,21,NULL,6),(16,415,3,32,28,37,23,13,2),(16,415,3,32,29,37,23,9,2),(16,415,3,32,30,NULL,17,NULL,5),(16,415,3,33,1,5,21,NULL,2),(16,415,3,33,2,1,8,NULL,3),(16,415,3,33,3,4,21,NULL,3),(16,415,3,33,4,9,16,3,2),(16,415,3,33,5,24,44,4,4),(16,415,3,33,6,84,38,9,1),(16,415,3,33,7,6,10,3,2),(16,415,3,33,8,1,13,NULL,1),(16,415,3,33,9,3,14,1,3),(16,415,3,33,10,1,9,NULL,NULL),(16,415,3,33,11,25,20,3,2),(16,415,3,33,12,26,47,4,5),(16,415,3,33,13,34,21,8,3),(16,415,3,33,14,39,34,4,3),(16,415,3,33,15,37,25,7,1),(16,415,3,33,16,33,48,5,6),(16,415,3,33,17,62,36,5,5),(16,415,3,33,18,25,19,2,2),(16,415,3,33,19,18,32,4,5),(16,415,3,33,20,81,NULL,10,NULL),(16,415,3,33,21,34,51,5,6),(16,415,3,33,22,6,24,1,5),(16,415,3,33,23,5,17,1,3),(16,415,3,33,24,8,23,3,3),(16,415,3,33,25,5,20,2,3),(16,415,3,33,26,2,16,NULL,3),(16,415,3,33,27,6,24,1,4),(16,415,3,33,28,25,32,7,2),(16,415,3,33,29,35,22,9,NULL),(16,415,3,33,30,NULL,11,NULL,3),(16,415,3,34,1,4,18,1,4),(16,415,3,34,2,11,17,5,1),(16,415,3,34,3,2,15,1,3),(16,415,3,34,4,11,8,5,2),(16,415,3,34,5,26,42,6,4),(16,415,3,34,6,83,24,10,3),(16,415,3,34,7,8,9,3,2),(16,415,3,34,8,3,12,1,3),(16,415,3,34,9,1,7,1,1),(16,415,3,34,10,2,7,NULL,NULL),(16,415,3,34,11,22,21,1,3),(16,415,3,34,12,35,30,4,8),(16,415,3,34,13,27,19,5,4),(16,415,3,34,14,37,48,7,4),(16,415,3,34,15,35,24,10,3),(16,415,3,34,16,27,39,5,5),(16,415,3,34,17,47,39,8,4),(16,415,3,34,18,22,10,5,NULL),(16,415,3,34,19,20,22,4,4),(16,415,3,34,20,72,NULL,13,NULL),(16,415,3,34,21,37,48,9,6),(16,415,3,34,22,1,13,NULL,1),(16,415,3,34,23,4,18,NULL,5),(16,415,3,34,24,18,18,8,1),(16,415,3,34,25,8,11,2,3),(16,415,3,34,26,2,14,1,4),(16,415,3,34,27,3,30,NULL,7),(16,415,3,34,28,19,31,8,6),(16,415,3,34,29,35,16,7,2),(16,415,3,34,30,3,14,2,1),(16,420,1,11,1,NULL,NULL,NULL,NULL),(16,420,1,11,2,NULL,NULL,NULL,NULL),(16,420,1,11,3,NULL,NULL,NULL,NULL),(16,420,1,11,4,NULL,1,NULL,NULL),(16,420,1,11,5,NULL,NULL,NULL,NULL),(16,420,1,11,6,NULL,NULL,NULL,NULL),(16,420,1,11,7,NULL,NULL,NULL,NULL),(16,420,1,11,8,NULL,NULL,NULL,NULL),(16,420,1,11,9,NULL,NULL,NULL,NULL),(16,420,1,11,10,NULL,NULL,NULL,NULL),(16,420,1,11,11,1,NULL,NULL,NULL),(16,420,1,11,12,1,NULL,NULL,NULL),(16,420,1,11,13,NULL,NULL,NULL,NULL),(16,420,1,11,14,NULL,NULL,NULL,NULL),(16,420,1,11,15,NULL,1,NULL,NULL),(16,420,1,11,16,1,NULL,NULL,NULL),(16,420,1,11,17,NULL,NULL,NULL,NULL),(16,420,1,11,18,NULL,NULL,NULL,NULL),(16,420,1,11,19,1,NULL,NULL,NULL),(16,420,1,11,20,1,NULL,NULL,NULL),(16,420,1,12,1,1,NULL,1,NULL),(16,420,1,12,2,1,NULL,NULL,NULL),(16,420,1,12,3,NULL,NULL,NULL,NULL),(16,420,1,12,4,NULL,NULL,NULL,NULL),(16,420,1,12,5,2,NULL,1,NULL),(16,420,1,12,6,NULL,2,NULL,1),(16,420,1,12,7,1,NULL,1,NULL),(16,420,1,12,8,NULL,1,NULL,1),(16,420,1,12,9,NULL,2,NULL,1),(16,420,1,12,10,1,1,NULL,1),(16,420,1,12,11,2,NULL,1,NULL),(16,420,1,12,12,2,NULL,1,NULL),(16,420,1,12,13,NULL,2,NULL,1),(16,420,1,12,14,1,1,1,NULL),(16,420,1,12,15,1,1,1,NULL),(16,420,1,12,16,1,NULL,NULL,NULL),(16,420,1,12,17,2,NULL,1,NULL),(16,420,1,12,18,2,NULL,1,NULL),(16,420,1,12,19,1,1,1,NULL),(16,420,1,12,20,2,NULL,1,NULL),(16,420,1,13,1,NULL,NULL,NULL,NULL),(16,420,1,13,2,NULL,1,NULL,NULL),(16,420,1,13,3,NULL,NULL,NULL,NULL),(16,420,1,13,4,NULL,NULL,NULL,NULL),(16,420,1,13,5,NULL,1,NULL,NULL),(16,420,1,13,6,NULL,NULL,NULL,NULL),(16,420,1,13,7,NULL,NULL,NULL,NULL),(16,420,1,13,8,NULL,1,NULL,NULL),(16,420,1,13,9,NULL,NULL,NULL,NULL),(16,420,1,13,10,NULL,NULL,NULL,NULL),(16,420,1,13,11,1,NULL,NULL,NULL),(16,420,1,13,12,1,NULL,NULL,NULL),(16,420,1,13,13,1,NULL,NULL,NULL),(16,420,1,13,14,1,NULL,NULL,NULL),(16,420,1,13,15,NULL,NULL,NULL,NULL),(16,420,1,13,16,1,NULL,NULL,NULL),(16,420,1,13,17,1,NULL,NULL,NULL),(16,420,1,13,18,1,NULL,NULL,NULL),(16,420,1,13,19,1,NULL,NULL,NULL),(16,420,1,13,20,1,NULL,NULL,NULL),(16,420,1,14,1,29,23,10,5),(16,420,1,14,2,11,10,2,4),(16,420,1,14,3,13,30,4,7),(16,420,1,14,4,1,14,NULL,7),(16,420,1,14,5,34,19,11,4),(16,420,1,14,6,10,14,4,3),(16,420,1,14,7,3,9,2,4),(16,420,1,14,8,11,26,8,8),(16,420,1,14,9,5,7,3,1),(16,420,1,14,10,23,14,7,3),(16,420,1,14,11,21,15,6,3),(16,420,1,14,12,14,13,5,3),(16,420,1,14,13,41,20,15,3),(16,420,1,14,14,14,16,5,4),(16,420,1,14,15,6,24,3,7),(16,420,1,14,16,35,10,12,3),(16,420,1,14,17,36,24,10,6),(16,420,1,14,18,12,16,4,7),(16,420,1,14,19,30,22,9,6),(16,420,1,14,20,26,35,6,10),(16,420,1,15,1,25,25,3,6),(16,420,1,15,2,7,11,3,2),(16,420,1,15,3,12,19,3,7),(16,420,1,15,4,5,18,NULL,8),(16,420,1,15,5,11,22,2,7),(16,420,1,15,6,8,25,1,7),(16,420,1,15,7,10,9,1,3),(16,420,1,15,8,12,19,2,7),(16,420,1,15,9,10,12,2,4),(16,420,1,15,10,21,18,6,3),(16,420,1,15,11,24,7,9,1),(16,420,1,15,12,22,15,7,2),(16,420,1,15,13,35,19,7,4),(16,420,1,15,14,17,10,6,2),(16,420,1,15,15,13,12,6,NULL),(16,420,1,15,16,40,8,9,2),(16,420,1,15,17,28,27,8,4),(16,420,1,15,18,14,19,6,3),(16,420,1,15,19,36,11,9,1),(16,420,1,15,20,13,31,5,7),(16,420,1,16,1,19,12,1,2),(16,420,1,16,2,1,5,NULL,1),(16,420,1,16,3,17,10,2,1),(16,420,1,16,4,5,10,NULL,3),(16,420,1,16,5,12,18,1,2),(16,420,1,16,6,4,4,1,NULL),(16,420,1,16,7,4,2,3,NULL),(16,420,1,16,8,6,17,1,2),(16,420,1,16,9,1,7,NULL,NULL),(16,420,1,16,10,26,10,4,1),(16,420,1,16,11,22,25,3,2),(16,420,1,16,12,4,10,NULL,2),(16,420,1,16,13,19,14,3,1),(16,420,1,16,14,3,23,NULL,3),(16,420,1,16,15,16,24,NULL,5),(16,420,1,16,16,1,22,NULL,1),(16,420,1,16,17,10,24,1,3),(16,420,1,16,18,20,8,4,NULL),(16,420,1,16,19,6,31,1,2),(16,420,1,16,20,3,26,NULL,4),(16,420,1,17,1,24,20,2,2),(16,420,1,17,2,2,1,NULL,NULL),(16,420,1,17,3,12,13,1,NULL),(16,420,1,17,4,3,12,NULL,4),(16,420,1,17,5,19,18,2,1),(16,420,1,17,6,5,15,1,NULL),(16,420,1,17,7,4,8,NULL,1),(16,420,1,17,8,11,16,2,2),(16,420,1,17,9,2,9,NULL,1),(16,420,1,17,10,14,16,NULL,3),(16,420,1,17,11,30,25,2,2),(16,420,1,17,12,3,8,NULL,3),(16,420,1,17,13,14,30,2,2),(16,420,1,17,14,4,26,NULL,2),(16,420,1,17,15,18,31,1,3),(16,420,1,17,16,4,18,NULL,1),(16,420,1,17,17,17,26,NULL,3),(16,420,1,17,18,16,13,2,2),(16,420,1,17,19,14,36,NULL,4),(16,420,1,17,20,7,24,NULL,NULL),(16,420,2,21,1,6,15,5,4),(16,420,2,21,2,12,22,7,4),(16,420,2,21,3,13,15,6,3),(16,420,2,21,4,22,14,5,4),(16,420,2,21,5,12,20,2,6),(16,420,2,21,6,7,20,1,8),(16,420,2,21,7,9,7,4,1),(16,420,2,21,8,4,11,1,NULL),(16,420,2,21,9,3,10,2,4),(16,420,2,21,10,9,13,1,5),(16,420,2,21,11,9,10,1,4),(16,420,2,21,12,15,17,5,7),(16,420,2,21,13,8,11,1,4),(16,420,2,21,14,23,25,5,9),(16,420,2,21,15,34,5,8,3),(16,420,2,21,16,10,24,5,8),(16,420,2,21,17,11,10,8,1),(16,420,2,21,18,8,12,3,5),(16,420,2,21,19,12,28,3,10),(16,420,2,21,20,16,19,4,7),(16,420,2,21,21,7,20,5,5),(16,420,2,21,22,3,15,1,5),(16,420,2,21,23,11,21,5,6),(16,420,2,21,24,12,16,1,6),(16,420,2,21,25,4,NULL,3,NULL),(16,420,2,21,26,78,NULL,14,NULL),(16,420,2,21,27,4,19,4,7),(16,420,2,21,28,1,8,NULL,2),(16,420,2,21,29,13,18,3,7),(16,420,2,21,30,10,10,6,3),(16,420,2,22,1,4,9,2,2),(16,420,2,22,2,7,27,2,3),(16,420,2,22,3,14,17,4,3),(16,420,2,22,4,36,7,8,1),(16,420,2,22,5,16,20,4,3),(16,420,2,22,6,11,17,3,4),(16,420,2,22,7,6,7,3,2),(16,420,2,22,8,5,11,1,1),(16,420,2,22,9,1,7,1,NULL),(16,420,2,22,10,6,22,1,5),(16,420,2,22,11,10,8,2,2),(16,420,2,22,12,13,18,3,4),(16,420,2,22,13,4,15,1,3),(16,420,2,22,14,20,30,2,7),(16,420,2,22,15,31,3,8,1),(16,420,2,22,16,12,12,3,3),(16,420,2,22,17,6,13,1,4),(16,420,2,22,18,8,10,NULL,3),(16,420,2,22,19,17,31,5,4),(16,420,2,22,20,6,18,1,3),(16,420,2,22,21,9,15,5,2),(16,420,2,22,22,11,11,3,2),(16,420,2,22,23,10,22,2,5),(16,420,2,22,24,7,29,1,8),(16,420,2,22,25,5,NULL,3,NULL),(16,420,2,22,26,73,NULL,10,NULL),(16,420,2,22,27,10,17,5,4),(16,420,2,22,28,1,8,NULL,3),(16,420,2,22,29,8,22,2,7),(16,420,2,22,30,8,10,2,3),(16,420,2,23,1,4,6,1,2),(16,420,2,23,2,5,28,1,7),(16,420,2,23,3,16,9,3,1),(16,420,2,23,4,29,14,6,NULL),(16,420,2,23,5,14,17,3,3),(16,420,2,23,6,5,19,2,3),(16,420,2,23,7,5,12,1,4),(16,420,2,23,8,1,13,NULL,2),(16,420,2,23,9,2,10,NULL,NULL),(16,420,2,23,10,5,13,1,6),(16,420,2,23,11,9,4,5,NULL),(16,420,2,23,12,7,15,NULL,5),(16,420,2,23,13,4,20,1,6),(16,420,2,23,14,19,22,5,5),(16,420,2,23,15,37,3,8,NULL),(16,420,2,23,16,9,17,3,3),(16,420,2,23,17,5,13,2,NULL),(16,420,2,23,18,3,13,NULL,3),(16,420,2,23,19,19,25,3,5),(16,420,2,23,20,16,16,2,3),(16,420,2,23,21,6,13,2,2),(16,420,2,23,22,9,14,1,5),(16,420,2,23,23,9,19,3,5),(16,420,2,23,24,5,22,2,3),(16,420,2,23,25,4,NULL,1,NULL),(16,420,2,23,26,69,NULL,10,NULL),(16,420,2,23,27,3,18,1,7),(16,420,2,23,28,NULL,6,NULL,1),(16,420,2,23,29,6,31,NULL,8),(16,420,2,23,30,9,8,3,2),(16,420,2,24,1,3,7,NULL,2),(16,420,2,24,2,8,27,3,1),(16,420,2,24,3,12,16,4,1),(16,420,2,24,4,19,10,3,2),(16,420,2,24,5,11,24,1,3),(16,420,2,24,6,7,14,1,2),(16,420,2,24,7,5,13,1,NULL),(16,420,2,24,8,8,12,1,1),(16,420,2,24,9,3,10,NULL,3),(16,420,2,24,10,3,16,1,3),(16,420,2,24,11,7,15,NULL,4),(16,420,2,24,12,8,19,1,3),(16,420,2,24,13,5,19,NULL,2),(16,420,2,24,14,26,19,4,2),(16,420,2,24,15,26,6,1,1),(16,420,2,24,16,9,20,1,3),(16,420,2,24,17,2,12,NULL,2),(16,420,2,24,18,8,15,1,2),(16,420,2,24,19,19,24,4,1),(16,420,2,24,20,7,21,1,4),(16,420,2,24,21,5,12,1,1),(16,420,2,24,22,9,12,3,1),(16,420,2,24,23,3,25,1,4),(16,420,2,24,24,3,17,NULL,1),(16,420,2,24,25,4,NULL,2,NULL),(16,420,2,24,26,75,NULL,6,NULL),(16,420,2,24,27,6,16,2,3),(16,420,2,24,28,4,7,NULL,1),(16,420,2,24,29,10,24,1,4),(16,420,2,24,30,13,9,2,NULL),(16,420,3,31,1,3,15,1,3),(16,420,3,31,2,2,6,NULL,NULL),(16,420,3,31,3,NULL,13,NULL,3),(16,420,3,31,4,3,6,1,2),(16,420,3,31,5,10,19,2,NULL),(16,420,3,31,6,36,17,4,2),(16,420,3,31,7,3,7,1,2),(16,420,3,31,8,1,6,NULL,2),(16,420,3,31,9,NULL,5,NULL,2),(16,420,3,31,10,NULL,6,NULL,NULL),(16,420,3,31,11,10,12,1,1),(16,420,3,31,12,13,15,3,1),(16,420,3,31,13,14,6,1,1),(16,420,3,31,14,12,14,3,1),(16,420,3,31,15,22,16,4,2),(16,420,3,31,16,10,17,3,NULL),(16,420,3,31,17,23,15,4,2),(16,420,3,31,18,14,4,2,NULL),(16,420,3,31,19,7,10,1,1),(16,420,3,31,20,25,NULL,6,NULL),(16,420,3,31,21,13,25,2,2),(16,420,3,31,22,NULL,8,NULL,3),(16,420,3,31,23,4,12,1,1),(16,420,3,31,24,1,7,NULL,2),(16,420,3,31,25,3,5,NULL,NULL),(16,420,3,31,26,2,3,2,1),(16,420,3,31,27,NULL,8,NULL,3),(16,420,3,31,28,11,14,4,NULL),(16,420,3,31,29,12,14,3,2),(16,420,3,31,30,2,6,NULL,4),(16,420,3,32,1,2,13,1,3),(16,420,3,32,2,3,5,NULL,1),(16,420,3,32,3,1,7,NULL,3),(16,420,3,32,4,4,5,1,2),(16,420,3,32,5,18,19,2,2),(16,420,3,32,6,39,11,5,3),(16,420,3,32,7,1,7,NULL,2),(16,420,3,32,8,2,4,NULL,NULL),(16,420,3,32,9,NULL,3,NULL,1),(16,420,3,32,10,1,3,NULL,NULL),(16,420,3,32,11,10,12,1,1),(16,420,3,32,12,8,22,1,6),(16,420,3,32,13,10,4,2,1),(16,420,3,32,14,13,19,1,5),(16,420,3,32,15,16,11,2,2),(16,420,3,32,16,5,30,NULL,6),(16,420,3,32,17,24,17,7,2),(16,420,3,32,18,9,8,3,NULL),(16,420,3,32,19,9,14,3,2),(16,420,3,32,20,32,NULL,7,NULL),(16,420,3,32,21,11,31,3,6),(16,420,3,32,22,NULL,9,NULL,3),(16,420,3,32,23,4,8,1,2),(16,420,3,32,24,4,7,1,3),(16,420,3,32,25,2,7,NULL,NULL),(16,420,3,32,26,NULL,3,NULL,2),(16,420,3,32,27,2,1,NULL,NULL),(16,420,3,32,28,12,20,4,4),(16,420,3,32,29,11,13,1,2),(16,420,3,32,30,1,2,1,2),(16,420,3,33,1,1,8,NULL,4),(16,420,3,33,2,2,7,NULL,1),(16,420,3,33,3,1,13,1,3),(16,420,3,33,4,NULL,13,NULL,2),(16,420,3,33,5,13,26,4,3),(16,420,3,33,6,43,18,8,2),(16,420,3,33,7,NULL,7,NULL,1),(16,420,3,33,8,1,7,NULL,1),(16,420,3,33,9,1,5,1,1),(16,420,3,33,10,2,6,1,NULL),(16,420,3,33,11,13,10,3,2),(16,420,3,33,12,10,17,4,2),(16,420,3,33,13,9,9,2,2),(16,420,3,33,14,11,18,3,4),(16,420,3,33,15,11,13,5,3),(16,420,3,33,16,8,29,2,4),(16,420,3,33,17,22,18,5,3),(16,420,3,33,18,10,7,5,1),(16,420,3,33,19,5,11,1,2),(16,420,3,33,20,39,NULL,9,NULL),(16,420,3,33,21,17,30,5,5),(16,420,3,33,22,2,7,NULL,1),(16,420,3,33,23,NULL,17,NULL,3),(16,420,3,33,24,2,8,1,2),(16,420,3,33,25,NULL,6,NULL,1),(16,420,3,33,26,3,1,NULL,NULL),(16,420,3,33,27,2,6,2,1),(16,420,3,33,28,7,15,4,5),(16,420,3,33,29,14,16,4,2),(16,420,3,33,30,NULL,4,NULL,1),(16,420,3,34,1,5,11,NULL,3),(16,420,3,34,2,2,13,NULL,2),(16,420,3,34,3,1,10,NULL,5),(16,420,3,34,4,1,10,1,4),(16,420,3,34,5,11,27,2,5),(16,420,3,34,6,39,17,8,4),(16,420,3,34,7,2,6,1,1),(16,420,3,34,8,1,4,NULL,2),(16,420,3,34,9,2,7,1,1),(16,420,3,34,10,1,4,NULL,NULL),(16,420,3,34,11,14,10,3,5),(16,420,3,34,12,12,15,3,5),(16,420,3,34,13,9,14,3,5),(16,420,3,34,14,11,26,5,6),(16,420,3,34,15,15,20,5,7),(16,420,3,34,16,13,25,3,5),(16,420,3,34,17,19,18,6,8),(16,420,3,34,18,14,7,5,2),(16,420,3,34,19,8,12,3,4),(16,420,3,34,20,37,NULL,12,NULL),(16,420,3,34,21,16,34,8,5),(16,420,3,34,22,NULL,7,NULL,2),(16,420,3,34,23,4,12,3,1),(16,420,3,34,24,9,8,6,1),(16,420,3,34,25,NULL,3,NULL,1),(16,420,3,34,26,1,6,1,1),(16,420,3,34,27,4,11,NULL,3),(16,420,3,34,28,10,15,6,2),(16,420,3,34,29,15,13,8,1),(16,420,3,34,30,NULL,8,NULL,2),(16,421,1,11,1,NULL,NULL,NULL,NULL),(16,421,1,11,2,NULL,NULL,NULL,NULL),(16,421,1,11,3,NULL,3,NULL,1),(16,421,1,11,4,NULL,1,NULL,NULL),(16,421,1,11,5,1,2,NULL,1),(16,421,1,11,6,NULL,1,NULL,NULL),(16,421,1,11,7,1,1,NULL,NULL),(16,421,1,11,8,NULL,NULL,NULL,NULL),(16,421,1,11,9,NULL,NULL,NULL,NULL),(16,421,1,11,10,1,NULL,NULL,NULL),(16,421,1,11,11,2,1,NULL,NULL),(16,421,1,11,12,1,2,NULL,NULL),(16,421,1,11,13,1,2,NULL,NULL),(16,421,1,11,14,1,1,NULL,NULL),(16,421,1,11,15,1,2,NULL,NULL),(16,421,1,11,16,3,3,1,NULL),(16,421,1,11,17,1,2,NULL,NULL),(16,421,1,11,18,1,1,NULL,NULL),(16,421,1,11,19,2,NULL,NULL,NULL),(16,421,1,11,20,2,NULL,NULL,NULL),(16,421,1,12,1,NULL,NULL,NULL,NULL),(16,421,1,12,2,NULL,NULL,NULL,NULL),(16,421,1,12,3,NULL,NULL,NULL,NULL),(16,421,1,12,4,NULL,NULL,NULL,NULL),(16,421,1,12,5,NULL,NULL,NULL,NULL),(16,421,1,12,6,NULL,NULL,NULL,NULL),(16,421,1,12,7,NULL,NULL,NULL,NULL),(16,421,1,12,8,NULL,NULL,NULL,NULL),(16,421,1,12,9,NULL,NULL,NULL,NULL),(16,421,1,12,10,NULL,NULL,NULL,NULL),(16,421,1,12,11,NULL,NULL,NULL,NULL),(16,421,1,12,12,NULL,NULL,NULL,NULL),(16,421,1,12,13,NULL,NULL,NULL,NULL),(16,421,1,12,14,NULL,NULL,NULL,NULL),(16,421,1,12,15,NULL,NULL,NULL,NULL),(16,421,1,12,16,NULL,NULL,NULL,NULL),(16,421,1,12,17,NULL,NULL,NULL,NULL),(16,421,1,12,18,NULL,NULL,NULL,NULL),(16,421,1,12,19,NULL,NULL,NULL,NULL),(16,421,1,12,20,NULL,NULL,NULL,NULL),(16,421,1,13,1,NULL,NULL,NULL,NULL),(16,421,1,13,2,NULL,NULL,NULL,NULL),(16,421,1,13,3,NULL,NULL,NULL,NULL),(16,421,1,13,4,NULL,NULL,NULL,NULL),(16,421,1,13,5,NULL,NULL,NULL,NULL),(16,421,1,13,6,NULL,NULL,NULL,NULL),(16,421,1,13,7,NULL,NULL,NULL,NULL),(16,421,1,13,8,NULL,NULL,NULL,NULL),(16,421,1,13,9,NULL,NULL,NULL,NULL),(16,421,1,13,10,NULL,NULL,NULL,NULL),(16,421,1,13,11,NULL,NULL,NULL,NULL),(16,421,1,13,12,NULL,NULL,NULL,NULL),(16,421,1,13,13,NULL,NULL,NULL,NULL),(16,421,1,13,14,NULL,NULL,NULL,NULL),(16,421,1,13,15,NULL,NULL,NULL,NULL),(16,421,1,13,16,NULL,NULL,NULL,NULL),(16,421,1,13,17,NULL,NULL,NULL,NULL),(16,421,1,13,18,1,NULL,1,NULL),(16,421,1,13,19,1,NULL,1,NULL),(16,421,1,13,20,1,NULL,1,NULL),(16,421,1,14,1,9,3,8,3),(16,421,1,14,2,2,NULL,2,NULL),(16,421,1,14,3,3,4,3,4),(16,421,1,14,4,1,3,2,2),(16,421,1,14,5,3,7,3,5),(16,421,1,14,6,2,6,2,6),(16,421,1,14,7,1,1,1,1),(16,421,1,14,8,1,5,1,4),(16,421,1,14,9,2,1,2,1),(16,421,1,14,10,4,4,3,3),(16,421,1,14,11,6,4,7,2),(16,421,1,14,12,4,5,4,6),(16,421,1,14,13,7,8,4,8),(16,421,1,14,14,6,4,6,4),(16,421,1,14,15,2,3,2,1),(16,421,1,14,16,10,2,9,3),(16,421,1,14,17,8,6,8,4),(16,421,1,14,18,1,3,1,3),(16,421,1,14,19,7,5,6,5),(16,421,1,14,20,7,4,6,5),(16,421,1,15,1,4,4,4,3),(16,421,1,15,2,NULL,NULL,NULL,NULL),(16,421,1,15,3,4,2,3,1),(16,421,1,15,4,NULL,NULL,NULL,NULL),(16,421,1,15,5,4,NULL,4,NULL),(16,421,1,15,6,1,4,NULL,2),(16,421,1,15,7,NULL,2,NULL,1),(16,421,1,15,8,NULL,4,1,4),(16,421,1,15,9,1,2,1,3),(16,421,1,15,10,4,1,4,1),(16,421,1,15,11,3,1,3,1),(16,421,1,15,12,2,3,1,2),(16,421,1,15,13,4,6,5,3),(16,421,1,15,14,3,1,3,2),(16,421,1,15,15,1,2,1,3),(16,421,1,15,16,4,2,5,NULL),(16,421,1,15,17,4,3,3,3),(16,421,1,15,18,1,1,1,1),(16,421,1,15,19,4,NULL,5,NULL),(16,421,1,15,20,4,3,3,3),(16,421,1,16,1,3,2,3,1),(16,421,1,16,2,NULL,2,NULL,1),(16,421,1,16,3,2,1,2,1),(16,421,1,16,4,NULL,NULL,NULL,NULL),(16,421,1,16,5,4,2,2,1),(16,421,1,16,6,1,1,1,2),(16,421,1,16,7,1,2,1,1),(16,421,1,16,8,2,3,1,1),(16,421,1,16,9,NULL,5,NULL,3),(16,421,1,16,10,5,3,2,1),(16,421,1,16,11,5,7,3,4),(16,421,1,16,12,1,NULL,1,NULL),(16,421,1,16,13,3,6,3,2),(16,421,1,16,14,NULL,7,NULL,6),(16,421,1,16,15,4,8,5,2),(16,421,1,16,16,NULL,4,NULL,5),(16,421,1,16,17,2,4,2,2),(16,421,1,16,18,4,4,3,1),(16,421,1,16,19,3,5,1,3),(16,421,1,16,20,NULL,4,NULL,2),(16,421,1,17,1,4,3,2,2),(16,421,1,17,2,1,1,1,1),(16,421,1,17,3,3,2,1,3),(16,421,1,17,4,NULL,2,NULL,2),(16,421,1,17,5,NULL,NULL,NULL,1),(16,421,1,17,6,NULL,2,NULL,1),(16,421,1,17,7,1,2,1,1),(16,421,1,17,8,1,3,2,3),(16,421,1,17,9,NULL,1,NULL,2),(16,421,1,17,10,2,2,2,1),(16,421,1,17,11,2,6,NULL,6),(16,421,1,17,12,NULL,2,NULL,2),(16,421,1,17,13,2,5,2,3),(16,421,1,17,14,1,4,1,1),(16,421,1,17,15,2,5,NULL,6),(16,421,1,17,16,NULL,1,NULL,2),(16,421,1,17,17,NULL,6,NULL,4),(16,421,1,17,18,2,6,2,4),(16,421,1,17,19,NULL,4,NULL,3),(16,421,1,17,20,NULL,5,NULL,4),(16,421,2,21,1,1,2,NULL,1),(16,421,2,21,2,NULL,4,NULL,1),(16,421,2,21,3,NULL,1,NULL,NULL),(16,421,2,21,4,3,3,4,NULL),(16,421,2,21,5,2,7,3,NULL),(16,421,2,21,6,1,1,2,1),(16,421,2,21,7,2,1,NULL,2),(16,421,2,21,8,NULL,2,NULL,1),(16,421,2,21,9,NULL,1,NULL,1),(16,421,2,21,10,NULL,1,NULL,1),(16,421,2,21,11,NULL,3,NULL,2),(16,421,2,21,12,2,1,2,1),(16,421,2,21,13,NULL,7,NULL,2),(16,421,2,21,14,2,7,5,2),(16,421,2,21,15,2,3,3,NULL),(16,421,2,21,16,NULL,3,NULL,2),(16,421,2,21,17,2,2,1,NULL),(16,421,2,21,18,1,1,1,1),(16,421,2,21,19,1,4,1,5),(16,421,2,21,20,2,2,2,NULL),(16,421,2,21,21,NULL,2,NULL,2),(16,421,2,21,22,1,2,1,NULL),(16,421,2,21,23,3,3,2,2),(16,421,2,21,24,1,8,1,4),(16,421,2,21,25,NULL,NULL,NULL,NULL),(16,421,2,21,26,17,NULL,8,NULL),(16,421,2,21,27,2,5,NULL,2),(16,421,2,21,28,NULL,3,1,1),(16,421,2,21,29,2,4,1,2),(16,421,2,21,30,NULL,1,NULL,1),(16,421,2,22,1,1,1,NULL,NULL),(16,421,2,22,2,NULL,6,NULL,3),(16,421,2,22,3,2,1,NULL,NULL),(16,421,2,22,4,3,2,2,2),(16,421,2,22,5,2,2,2,2),(16,421,2,22,6,2,1,2,1),(16,421,2,22,7,1,3,NULL,3),(16,421,2,22,8,2,NULL,2,NULL),(16,421,2,22,9,NULL,NULL,NULL,1),(16,421,2,22,10,NULL,3,1,2),(16,421,2,22,11,3,2,2,1),(16,421,2,22,12,4,1,2,2),(16,421,2,22,13,1,4,3,3),(16,421,2,22,14,3,8,3,5),(16,421,2,22,15,6,2,6,1),(16,421,2,22,16,NULL,3,2,2),(16,421,2,22,17,2,NULL,1,NULL),(16,421,2,22,18,NULL,1,NULL,NULL),(16,421,2,22,19,4,9,5,5),(16,421,2,22,20,NULL,4,NULL,2),(16,421,2,22,21,NULL,5,NULL,4),(16,421,2,22,22,NULL,3,NULL,2),(16,421,2,22,23,NULL,3,NULL,4),(16,421,2,22,24,NULL,8,NULL,6),(16,421,2,22,25,NULL,NULL,NULL,NULL),(16,421,2,22,26,18,NULL,10,NULL),(16,421,2,22,27,4,2,1,1),(16,421,2,22,28,3,4,1,3),(16,421,2,22,29,4,2,NULL,2),(16,421,2,22,30,1,2,1,2),(16,421,2,23,1,NULL,1,NULL,1),(16,421,2,23,2,NULL,6,NULL,4),(16,421,2,23,3,3,3,4,1),(16,421,2,23,4,5,5,2,4),(16,421,2,23,5,1,6,1,4),(16,421,2,23,6,2,4,1,3),(16,421,2,23,7,4,1,3,NULL),(16,421,2,23,8,NULL,1,NULL,1),(16,421,2,23,9,NULL,1,NULL,NULL),(16,421,2,23,10,NULL,1,NULL,1),(16,421,2,23,11,NULL,2,NULL,2),(16,421,2,23,12,4,3,3,2),(16,421,2,23,13,5,3,4,1),(16,421,2,23,14,9,5,7,3),(16,421,2,23,15,12,2,10,2),(16,421,2,23,16,4,6,3,6),(16,421,2,23,17,1,3,NULL,3),(16,421,2,23,18,NULL,1,NULL,NULL),(16,421,2,23,19,3,12,3,6),(16,421,2,23,20,4,5,3,5),(16,421,2,23,21,2,2,NULL,1),(16,421,2,23,22,4,1,2,1),(16,421,2,23,23,2,NULL,2,1),(16,421,2,23,24,2,4,2,3),(16,421,2,23,25,NULL,NULL,NULL,NULL),(16,421,2,23,26,23,NULL,14,NULL),(16,421,2,23,27,2,7,1,5),(16,421,2,23,28,NULL,1,NULL,1),(16,421,2,23,29,1,5,1,5),(16,421,2,23,30,2,2,1,2),(16,421,2,24,1,NULL,1,NULL,1),(16,421,2,24,2,1,4,1,3),(16,421,2,24,3,1,2,1,2),(16,421,2,24,4,3,2,2,2),(16,421,2,24,5,1,6,1,5),(16,421,2,24,6,1,1,1,NULL),(16,421,2,24,7,NULL,3,NULL,2),(16,421,2,24,8,2,3,1,3),(16,421,2,24,9,NULL,2,NULL,1),(16,421,2,24,10,1,NULL,1,NULL),(16,421,2,24,11,NULL,4,NULL,4),(16,421,2,24,12,1,3,1,3),(16,421,2,24,13,NULL,3,NULL,3),(16,421,2,24,14,1,8,NULL,8),(16,421,2,24,15,4,2,4,1),(16,421,2,24,16,1,5,2,4),(16,421,2,24,17,2,3,1,2),(16,421,2,24,18,1,NULL,1,NULL),(16,421,2,24,19,3,3,2,2),(16,421,2,24,20,1,6,NULL,6),(16,421,2,24,21,1,2,NULL,2),(16,421,2,24,22,1,4,NULL,4),(16,421,2,24,23,2,2,1,3),(16,421,2,24,24,1,6,1,5),(16,421,2,24,25,NULL,NULL,NULL,NULL),(16,421,2,24,26,12,NULL,8,NULL),(16,421,2,24,27,NULL,5,NULL,4),(16,421,2,24,28,1,1,1,1),(16,421,2,24,29,1,6,NULL,6),(16,421,2,24,30,NULL,2,NULL,2),(16,421,3,31,1,NULL,2,NULL,2),(16,421,3,31,2,2,NULL,2,NULL),(16,421,3,31,3,NULL,5,NULL,4),(16,421,3,31,4,1,1,NULL,1),(16,421,3,31,5,1,3,1,1),(16,421,3,31,6,6,3,3,2),(16,421,3,31,7,NULL,NULL,NULL,NULL),(16,421,3,31,8,1,NULL,1,NULL),(16,421,3,31,9,NULL,NULL,NULL,1),(16,421,3,31,10,NULL,1,NULL,1),(16,421,3,31,11,2,2,1,2),(16,421,3,31,12,3,1,2,1),(16,421,3,31,13,2,2,1,2),(16,421,3,31,14,3,2,3,2),(16,421,3,31,15,1,4,2,3),(16,421,3,31,16,4,2,3,2),(16,421,3,31,17,5,4,4,3),(16,421,3,31,18,NULL,1,NULL,1),(16,421,3,31,19,1,1,2,NULL),(16,421,3,31,20,8,NULL,7,NULL),(16,421,3,31,21,3,5,1,4),(16,421,3,31,22,1,4,1,1),(16,421,3,31,23,1,3,NULL,2),(16,421,3,31,24,NULL,1,NULL,1),(16,421,3,31,25,NULL,2,NULL,1),(16,421,3,31,26,NULL,1,NULL,NULL),(16,421,3,31,27,NULL,1,NULL,1),(16,421,3,31,28,NULL,1,NULL,NULL),(16,421,3,31,29,1,2,NULL,1),(16,421,3,31,30,NULL,NULL,NULL,NULL),(16,421,3,32,1,1,3,NULL,3),(16,421,3,32,2,NULL,NULL,NULL,NULL),(16,421,3,32,3,NULL,1,NULL,NULL),(16,421,3,32,4,1,2,NULL,1),(16,421,3,32,5,1,8,3,4),(16,421,3,32,6,7,4,7,3),(16,421,3,32,7,NULL,NULL,NULL,NULL),(16,421,3,32,8,NULL,2,NULL,NULL),(16,421,3,32,9,NULL,1,NULL,NULL),(16,421,3,32,10,NULL,2,NULL,1),(16,421,3,32,11,2,6,2,3),(16,421,3,32,12,3,4,2,3),(16,421,3,32,13,2,3,1,3),(16,421,3,32,14,5,7,5,5),(16,421,3,32,15,5,6,4,3),(16,421,3,32,16,5,4,4,1),(16,421,3,32,17,10,4,7,2),(16,421,3,32,18,3,NULL,NULL,NULL),(16,421,3,32,19,3,4,3,3),(16,421,3,32,20,8,NULL,7,NULL),(16,421,3,32,21,1,10,1,6),(16,421,3,32,22,NULL,NULL,NULL,NULL),(16,421,3,32,23,NULL,2,NULL,2),(16,421,3,32,24,NULL,1,NULL,2),(16,421,3,32,25,1,1,NULL,NULL),(16,421,3,32,26,NULL,3,NULL,2),(16,421,3,32,27,1,3,NULL,1),(16,421,3,32,28,4,1,3,2),(16,421,3,32,29,1,1,2,NULL),(16,421,3,32,30,NULL,1,NULL,NULL),(16,421,3,33,1,1,NULL,2,NULL),(16,421,3,33,2,NULL,1,NULL,NULL),(16,421,3,33,3,NULL,2,NULL,1),(16,421,3,33,4,NULL,2,NULL,1),(16,421,3,33,5,5,3,3,NULL),(16,421,3,33,6,9,5,6,1),(16,421,3,33,7,NULL,NULL,NULL,NULL),(16,421,3,33,8,NULL,2,NULL,1),(16,421,3,33,9,NULL,NULL,NULL,NULL),(16,421,3,33,10,NULL,2,1,NULL),(16,421,3,33,11,5,2,5,2),(16,421,3,33,12,3,3,1,3),(16,421,3,33,13,NULL,3,NULL,3),(16,421,3,33,14,4,4,1,3),(16,421,3,33,15,3,1,2,1),(16,421,3,33,16,2,4,1,3),(16,421,3,33,17,6,4,4,3),(16,421,3,33,18,1,4,1,1),(16,421,3,33,19,3,4,3,3),(16,421,3,33,20,6,NULL,6,NULL),(16,421,3,33,21,1,6,2,3),(16,421,3,33,22,NULL,1,1,NULL),(16,421,3,33,23,NULL,5,NULL,3),(16,421,3,33,24,1,NULL,1,NULL),(16,421,3,33,25,NULL,1,NULL,1),(16,421,3,33,26,NULL,1,NULL,1),(16,421,3,33,27,NULL,1,NULL,NULL),(16,421,3,33,28,NULL,2,NULL,1),(16,421,3,33,29,NULL,7,NULL,2),(16,421,3,33,30,NULL,NULL,NULL,NULL),(16,421,3,34,1,NULL,1,1,NULL),(16,421,3,34,2,NULL,3,NULL,2),(16,421,3,34,3,NULL,1,NULL,1),(16,421,3,34,4,NULL,1,NULL,NULL),(16,421,3,34,5,2,5,NULL,3),(16,421,3,34,6,4,7,4,3),(16,421,3,34,7,NULL,2,NULL,2),(16,421,3,34,8,NULL,1,NULL,1),(16,421,3,34,9,NULL,NULL,NULL,NULL),(16,421,3,34,10,1,NULL,NULL,NULL),(16,421,3,34,11,3,6,2,2),(16,421,3,34,12,NULL,5,NULL,5),(16,421,3,34,13,2,2,1,NULL),(16,421,3,34,14,2,7,1,4),(16,421,3,34,15,2,3,2,2),(16,421,3,34,16,NULL,3,NULL,2),(16,421,3,34,17,3,4,3,NULL),(16,421,3,34,18,1,4,1,NULL),(16,421,3,34,19,1,2,1,1),(16,421,3,34,20,8,NULL,5,NULL),(16,421,3,34,21,1,6,NULL,5),(16,421,3,34,22,NULL,NULL,NULL,NULL),(16,421,3,34,23,1,3,1,3),(16,421,3,34,24,NULL,NULL,NULL,NULL),(16,421,3,34,25,NULL,1,NULL,1),(16,421,3,34,26,NULL,NULL,NULL,NULL),(16,421,3,34,27,NULL,1,NULL,2),(16,421,3,34,28,NULL,1,NULL,2),(16,421,3,34,29,NULL,2,NULL,1),(16,421,3,34,30,NULL,2,NULL,1),(16,423,1,11,1,NULL,NULL,NULL,NULL),(16,423,1,11,2,NULL,NULL,NULL,NULL),(16,423,1,11,3,NULL,NULL,NULL,NULL),(16,423,1,11,4,NULL,NULL,NULL,NULL),(16,423,1,11,5,NULL,NULL,NULL,NULL),(16,423,1,11,6,NULL,NULL,NULL,NULL),(16,423,1,11,7,NULL,NULL,NULL,NULL),(16,423,1,11,8,NULL,NULL,NULL,NULL),(16,423,1,11,9,NULL,NULL,NULL,NULL),(16,423,1,11,10,NULL,NULL,NULL,NULL),(16,423,1,11,11,NULL,NULL,NULL,NULL),(16,423,1,11,12,NULL,NULL,NULL,NULL),(16,423,1,11,13,NULL,NULL,NULL,NULL),(16,423,1,11,14,NULL,NULL,NULL,NULL),(16,423,1,11,15,NULL,NULL,NULL,NULL),(16,423,1,11,16,NULL,NULL,NULL,NULL),(16,423,1,11,17,NULL,NULL,NULL,NULL),(16,423,1,11,18,NULL,NULL,NULL,NULL),(16,423,1,11,19,NULL,NULL,NULL,NULL),(16,423,1,11,20,NULL,NULL,NULL,NULL),(16,423,1,12,1,NULL,NULL,NULL,NULL),(16,423,1,12,2,NULL,NULL,NULL,NULL),(16,423,1,12,3,NULL,NULL,NULL,NULL),(16,423,1,12,4,NULL,NULL,NULL,NULL),(16,423,1,12,5,NULL,NULL,NULL,NULL),(16,423,1,12,6,NULL,NULL,NULL,NULL),(16,423,1,12,7,NULL,NULL,NULL,NULL),(16,423,1,12,8,NULL,NULL,NULL,NULL),(16,423,1,12,9,NULL,NULL,NULL,NULL),(16,423,1,12,10,NULL,NULL,NULL,NULL),(16,423,1,12,11,NULL,NULL,NULL,NULL),(16,423,1,12,12,NULL,NULL,NULL,NULL),(16,423,1,12,13,NULL,NULL,NULL,NULL),(16,423,1,12,14,NULL,NULL,NULL,NULL),(16,423,1,12,15,NULL,NULL,NULL,NULL),(16,423,1,12,16,NULL,NULL,NULL,NULL),(16,423,1,12,17,NULL,NULL,NULL,NULL),(16,423,1,12,18,NULL,NULL,NULL,NULL),(16,423,1,12,19,NULL,NULL,NULL,NULL),(16,423,1,12,20,NULL,NULL,NULL,NULL),(16,423,1,13,1,NULL,NULL,NULL,NULL),(16,423,1,13,2,NULL,NULL,NULL,NULL),(16,423,1,13,3,NULL,NULL,NULL,NULL),(16,423,1,13,4,NULL,NULL,NULL,NULL),(16,423,1,13,5,NULL,NULL,NULL,NULL),(16,423,1,13,6,NULL,NULL,NULL,NULL),(16,423,1,13,7,NULL,NULL,NULL,NULL),(16,423,1,13,8,NULL,NULL,NULL,NULL),(16,423,1,13,9,NULL,NULL,NULL,NULL),(16,423,1,13,10,NULL,NULL,NULL,NULL),(16,423,1,13,11,NULL,NULL,NULL,NULL),(16,423,1,13,12,NULL,NULL,NULL,NULL),(16,423,1,13,13,NULL,NULL,NULL,NULL),(16,423,1,13,14,NULL,NULL,NULL,NULL),(16,423,1,13,15,NULL,NULL,NULL,NULL),(16,423,1,13,16,NULL,NULL,NULL,NULL),(16,423,1,13,17,NULL,NULL,NULL,NULL),(16,423,1,13,18,NULL,NULL,NULL,NULL),(16,423,1,13,19,NULL,NULL,NULL,NULL),(16,423,1,13,20,NULL,NULL,NULL,NULL),(16,423,1,14,1,1,NULL,1,1),(16,423,1,14,2,1,NULL,1,NULL),(16,423,1,14,3,1,NULL,1,1),(16,423,1,14,4,NULL,NULL,NULL,NULL),(16,423,1,14,5,1,NULL,1,1),(16,423,1,14,6,NULL,1,NULL,1),(16,423,1,14,7,NULL,NULL,1,NULL),(16,423,1,14,8,NULL,NULL,NULL,NULL),(16,423,1,14,9,1,NULL,1,1),(16,423,1,14,10,NULL,NULL,1,NULL),(16,423,1,14,11,NULL,1,NULL,1),(16,423,1,14,12,NULL,1,NULL,1),(16,423,1,14,13,NULL,1,NULL,2),(16,423,1,14,14,NULL,NULL,NULL,NULL),(16,423,1,14,15,NULL,1,NULL,1),(16,423,1,14,16,1,NULL,1,1),(16,423,1,14,17,1,NULL,1,NULL),(16,423,1,14,18,NULL,1,NULL,1),(16,423,1,14,19,1,NULL,1,NULL),(16,423,1,14,20,NULL,1,NULL,1),(16,423,1,15,1,NULL,1,NULL,2),(16,423,1,15,2,NULL,NULL,1,NULL),(16,423,1,15,3,2,1,1,2),(16,423,1,15,4,NULL,NULL,NULL,NULL),(16,423,1,15,5,NULL,1,NULL,1),(16,423,1,15,6,NULL,1,NULL,1),(16,423,1,15,7,NULL,1,NULL,NULL),(16,423,1,15,8,NULL,1,NULL,2),(16,423,1,15,9,NULL,NULL,NULL,1),(16,423,1,15,10,NULL,1,NULL,3),(16,423,1,15,11,NULL,1,1,NULL),(16,423,1,15,12,NULL,1,NULL,1),(16,423,1,15,13,1,NULL,2,1),(16,423,1,15,14,NULL,NULL,NULL,1),(16,423,1,15,15,NULL,NULL,NULL,2),(16,423,1,15,16,1,2,2,1),(16,423,1,15,17,NULL,NULL,NULL,1),(16,423,1,15,18,NULL,NULL,NULL,1),(16,423,1,15,19,NULL,NULL,2,NULL),(16,423,1,15,20,1,2,NULL,1),(16,423,1,16,1,11,8,4,7),(16,423,1,16,2,2,3,2,2),(16,423,1,16,3,NULL,4,1,4),(16,423,1,16,4,1,3,1,3),(16,423,1,16,5,9,6,6,6),(16,423,1,16,6,NULL,9,NULL,8),(16,423,1,16,7,7,5,3,3),(16,423,1,16,8,4,10,2,7),(16,423,1,16,9,3,3,3,1),(16,423,1,16,10,11,3,6,1),(16,423,1,16,11,10,19,4,10),(16,423,1,16,12,5,5,5,2),(16,423,1,16,13,13,11,7,5),(16,423,1,16,14,4,18,3,10),(16,423,1,16,15,15,11,10,3),(16,423,1,16,16,4,14,2,7),(16,423,1,16,17,11,8,5,4),(16,423,1,16,18,11,2,8,1),(16,423,1,16,19,9,16,4,8),(16,423,1,16,20,3,14,2,10),(16,423,1,17,1,8,8,6,5),(16,423,1,17,2,1,1,1,NULL),(16,423,1,17,3,7,6,6,4),(16,423,1,17,4,1,6,1,6),(16,423,1,17,5,1,10,1,9),(16,423,1,17,6,2,3,1,2),(16,423,1,17,7,2,4,2,2),(16,423,1,17,8,5,4,4,3),(16,423,1,17,9,NULL,4,NULL,3),(16,423,1,17,10,5,4,3,2),(16,423,1,17,11,14,11,10,7),(16,423,1,17,12,NULL,4,NULL,3),(16,423,1,17,13,9,13,8,8),(16,423,1,17,14,4,6,2,2),(16,423,1,17,15,18,6,12,4),(16,423,1,17,16,1,9,NULL,8),(16,423,1,17,17,3,12,2,10),(16,423,1,17,18,9,7,6,5),(16,423,1,17,19,6,15,5,8),(16,423,1,17,20,2,11,1,7),(16,423,2,21,1,NULL,3,NULL,2),(16,423,2,21,2,1,6,1,3),(16,423,2,21,3,NULL,4,NULL,2),(16,423,2,21,4,6,4,4,4),(16,423,2,21,5,4,5,3,2),(16,423,2,21,6,2,2,NULL,1),(16,423,2,21,7,1,NULL,1,NULL),(16,423,2,21,8,3,4,NULL,2),(16,423,2,21,9,NULL,2,NULL,1),(16,423,2,21,10,3,6,2,3),(16,423,2,21,11,3,1,1,1),(16,423,2,21,12,5,3,3,3),(16,423,2,21,13,1,5,1,3),(16,423,2,21,14,5,6,3,5),(16,423,2,21,15,12,2,7,1),(16,423,2,21,16,3,2,2,1),(16,423,2,21,17,4,NULL,2,NULL),(16,423,2,21,18,2,1,2,1),(16,423,2,21,19,3,8,1,6),(16,423,2,21,20,5,3,3,1),(16,423,2,21,21,4,3,2,2),(16,423,2,21,22,NULL,3,NULL,NULL),(16,423,2,21,23,2,2,2,3),(16,423,2,21,24,2,6,1,4),(16,423,2,21,25,2,NULL,1,NULL),(16,423,2,21,26,23,NULL,10,NULL),(16,423,2,21,27,1,4,NULL,3),(16,423,2,21,28,2,4,NULL,2),(16,423,2,21,29,3,3,2,2),(16,423,2,21,30,1,3,1,1),(16,423,2,22,1,NULL,NULL,NULL,NULL),(16,423,2,22,2,NULL,1,NULL,1),(16,423,2,22,3,1,3,1,3),(16,423,2,22,4,1,4,1,2),(16,423,2,22,5,2,6,2,3),(16,423,2,22,6,NULL,3,NULL,2),(16,423,2,22,7,1,4,1,4),(16,423,2,22,8,1,2,NULL,2),(16,423,2,22,9,2,2,2,1),(16,423,2,22,10,NULL,3,NULL,3),(16,423,2,22,11,1,2,1,2),(16,423,2,22,12,3,3,3,3),(16,423,2,22,13,2,4,2,2),(16,423,2,22,14,3,7,4,5),(16,423,2,22,15,5,2,6,2),(16,423,2,22,16,3,2,3,4),(16,423,2,22,17,2,NULL,NULL,NULL),(16,423,2,22,18,1,1,1,1),(16,423,2,22,19,6,5,6,4),(16,423,2,22,20,1,6,1,5),(16,423,2,22,21,2,4,1,3),(16,423,2,22,22,NULL,1,1,1),(16,423,2,22,23,1,2,1,3),(16,423,2,22,24,1,4,1,3),(16,423,2,22,25,NULL,NULL,NULL,NULL),(16,423,2,22,26,17,NULL,13,NULL),(16,423,2,22,27,NULL,4,2,3),(16,423,2,22,28,1,2,NULL,1),(16,423,2,22,29,NULL,7,NULL,7),(16,423,2,22,30,NULL,2,NULL,NULL),(16,423,2,23,1,NULL,NULL,NULL,NULL),(16,423,2,23,2,NULL,3,NULL,1),(16,423,2,23,3,3,3,2,2),(16,423,2,23,4,1,2,NULL,1),(16,423,2,23,5,NULL,3,NULL,1),(16,423,2,23,6,NULL,NULL,NULL,NULL),(16,423,2,23,7,1,NULL,NULL,NULL),(16,423,2,23,8,NULL,1,NULL,NULL),(16,423,2,23,9,NULL,2,NULL,1),(16,423,2,23,10,1,1,1,NULL),(16,423,2,23,11,1,NULL,NULL,NULL),(16,423,2,23,12,2,2,1,2),(16,423,2,23,13,NULL,2,NULL,2),(16,423,2,23,14,4,1,3,1),(16,423,2,23,15,6,NULL,4,NULL),(16,423,2,23,16,2,2,2,1),(16,423,2,23,17,1,2,1,NULL),(16,423,2,23,18,NULL,1,NULL,1),(16,423,2,23,19,2,5,1,3),(16,423,2,23,20,2,2,1,1),(16,423,2,23,21,1,1,1,NULL),(16,423,2,23,22,NULL,NULL,NULL,NULL),(16,423,2,23,23,NULL,1,NULL,NULL),(16,423,2,23,24,2,3,NULL,2),(16,423,2,23,25,NULL,NULL,NULL,NULL),(16,423,2,23,26,15,NULL,6,NULL),(16,423,2,23,27,2,2,2,1),(16,423,2,23,28,NULL,1,NULL,1),(16,423,2,23,29,2,2,NULL,1),(16,423,2,23,30,NULL,1,NULL,1),(16,423,2,24,1,1,NULL,1,NULL),(16,423,2,24,2,NULL,4,NULL,5),(16,423,2,24,3,1,4,1,3),(16,423,2,24,4,2,5,2,3),(16,423,2,24,5,4,3,1,4),(16,423,2,24,6,1,4,1,3),(16,423,2,24,7,NULL,5,NULL,2),(16,423,2,24,8,3,2,2,1),(16,423,2,24,9,NULL,NULL,NULL,NULL),(16,423,2,24,10,NULL,1,NULL,1),(16,423,2,24,11,2,NULL,NULL,NULL),(16,423,2,24,12,4,2,1,2),(16,423,2,24,13,NULL,6,NULL,4),(16,423,2,24,14,3,10,1,9),(16,423,2,24,15,6,3,5,3),(16,423,2,24,16,2,1,1,1),(16,423,2,24,17,1,1,NULL,1),(16,423,2,24,18,NULL,1,NULL,NULL),(16,423,2,24,19,3,4,3,3),(16,423,2,24,20,2,7,1,6),(16,423,2,24,21,1,4,NULL,3),(16,423,2,24,22,3,NULL,3,NULL),(16,423,2,24,23,2,4,1,3),(16,423,2,24,24,NULL,7,NULL,5),(16,423,2,24,25,NULL,NULL,NULL,NULL),(16,423,2,24,26,18,NULL,11,NULL),(16,423,2,24,27,1,3,1,2),(16,423,2,24,28,NULL,5,NULL,4),(16,423,2,24,29,2,8,NULL,6),(16,423,2,24,30,1,2,1,2),(16,423,3,31,1,1,4,1,1),(16,423,3,31,2,NULL,2,NULL,1),(16,423,3,31,3,NULL,1,NULL,NULL),(16,423,3,31,4,NULL,1,NULL,1),(16,423,3,31,5,NULL,1,NULL,2),(16,423,3,31,6,4,5,3,4),(16,423,3,31,7,NULL,1,1,1),(16,423,3,31,8,NULL,NULL,NULL,NULL),(16,423,3,31,9,1,NULL,NULL,1),(16,423,3,31,10,NULL,1,NULL,NULL),(16,423,3,31,11,5,6,4,4),(16,423,3,31,12,NULL,3,NULL,2),(16,423,3,31,13,2,1,1,1),(16,423,3,31,14,2,3,1,1),(16,423,3,31,15,1,6,2,3),(16,423,3,31,16,NULL,2,NULL,2),(16,423,3,31,17,4,8,1,8),(16,423,3,31,18,1,1,1,1),(16,423,3,31,19,2,1,2,1),(16,423,3,31,20,7,NULL,5,NULL),(16,423,3,31,21,NULL,6,NULL,6),(16,423,3,31,22,NULL,3,NULL,3),(16,423,3,31,23,NULL,2,NULL,1),(16,423,3,31,24,1,2,NULL,2),(16,423,3,31,25,NULL,1,NULL,NULL),(16,423,3,31,26,NULL,NULL,NULL,NULL),(16,423,3,31,27,1,NULL,NULL,NULL),(16,423,3,31,28,NULL,3,NULL,3),(16,423,3,31,29,NULL,4,NULL,3),(16,423,3,31,30,NULL,2,NULL,1),(16,423,3,32,1,NULL,2,NULL,1),(16,423,3,32,2,1,1,NULL,1),(16,423,3,32,3,NULL,1,NULL,NULL),(16,423,3,32,4,NULL,3,NULL,1),(16,423,3,32,5,4,3,2,2),(16,423,3,32,6,4,5,2,2),(16,423,3,32,7,NULL,1,NULL,NULL),(16,423,3,32,8,1,NULL,NULL,NULL),(16,423,3,32,9,NULL,2,NULL,NULL),(16,423,3,32,10,NULL,1,NULL,1),(16,423,3,32,11,3,2,2,1),(16,423,3,32,12,1,NULL,1,NULL),(16,423,3,32,13,NULL,2,NULL,2),(16,423,3,32,14,1,4,NULL,3),(16,423,3,32,15,3,3,2,2),(16,423,3,32,16,3,NULL,1,NULL),(16,423,3,32,17,3,4,2,2),(16,423,3,32,18,3,3,3,1),(16,423,3,32,19,1,1,NULL,1),(16,423,3,32,20,2,NULL,1,NULL),(16,423,3,32,21,1,5,1,3),(16,423,3,32,22,1,1,NULL,1),(16,423,3,32,23,NULL,2,NULL,2),(16,423,3,32,24,1,NULL,NULL,NULL),(16,423,3,32,25,NULL,NULL,NULL,NULL),(16,423,3,32,26,NULL,NULL,NULL,NULL),(16,423,3,32,27,NULL,1,NULL,NULL),(16,423,3,32,28,NULL,1,NULL,1),(16,423,3,32,29,1,1,NULL,NULL),(16,423,3,32,30,NULL,1,NULL,1),(16,423,3,33,1,2,1,1,NULL),(16,423,3,33,2,NULL,2,NULL,1),(16,423,3,33,3,1,1,1,2),(16,423,3,33,4,1,NULL,1,NULL),(16,423,3,33,5,3,2,2,3),(16,423,3,33,6,5,7,4,6),(16,423,3,33,7,NULL,NULL,NULL,NULL),(16,423,3,33,8,NULL,2,NULL,NULL),(16,423,3,33,9,NULL,1,NULL,1),(16,423,3,33,10,NULL,2,NULL,1),(16,423,3,33,11,6,NULL,5,NULL),(16,423,3,33,12,2,2,2,4),(16,423,3,33,13,2,3,2,3),(16,423,3,33,14,NULL,6,NULL,5),(16,423,3,33,15,1,6,1,6),(16,423,3,33,16,2,5,1,6),(16,423,3,33,17,7,2,5,2),(16,423,3,33,18,NULL,2,NULL,2),(16,423,3,33,19,NULL,6,NULL,4),(16,423,3,33,20,6,NULL,8,NULL),(16,423,3,33,21,NULL,7,NULL,7),(16,423,3,33,22,NULL,1,NULL,1),(16,423,3,33,23,NULL,4,NULL,2),(16,423,3,33,24,NULL,1,NULL,1),(16,423,3,33,25,NULL,1,NULL,1),(16,423,3,33,26,NULL,1,NULL,NULL),(16,423,3,33,27,NULL,1,NULL,1),(16,423,3,33,28,NULL,5,NULL,3),(16,423,3,33,29,NULL,3,NULL,3),(16,423,3,33,30,NULL,3,NULL,2),(16,423,3,34,1,NULL,1,NULL,1),(16,423,3,34,2,1,2,1,NULL),(16,423,3,34,3,NULL,3,NULL,1),(16,423,3,34,4,1,2,NULL,NULL),(16,423,3,34,5,3,6,1,4),(16,423,3,34,6,10,10,6,4),(16,423,3,34,7,NULL,4,NULL,1),(16,423,3,34,8,NULL,1,NULL,1),(16,423,3,34,9,NULL,3,NULL,2),(16,423,3,34,10,1,3,1,2),(16,423,3,34,11,3,2,1,1),(16,423,3,34,12,3,3,2,2),(16,423,3,34,13,1,4,NULL,5),(16,423,3,34,14,5,6,2,3),(16,423,3,34,15,5,4,2,4),(16,423,3,34,16,4,6,1,6),(16,423,3,34,17,6,3,5,2),(16,423,3,34,18,NULL,4,NULL,2),(16,423,3,34,19,1,6,1,4),(16,423,3,34,20,7,NULL,4,NULL),(16,423,3,34,21,2,9,2,4),(16,423,3,34,22,NULL,2,NULL,1),(16,423,3,34,23,NULL,3,NULL,1),(16,423,3,34,24,NULL,3,NULL,2),(16,423,3,34,25,NULL,2,NULL,1),(16,423,3,34,26,NULL,NULL,NULL,NULL),(16,423,3,34,27,1,1,1,1),(16,423,3,34,28,NULL,7,NULL,4),(16,423,3,34,29,1,6,NULL,2),(16,423,3,34,30,NULL,NULL,NULL,NULL),(16,424,1,11,1,NULL,NULL,NULL,NULL),(16,424,1,11,2,NULL,NULL,NULL,NULL),(16,424,1,11,3,NULL,NULL,NULL,NULL),(16,424,1,11,4,NULL,NULL,NULL,NULL),(16,424,1,11,5,NULL,NULL,NULL,NULL),(16,424,1,11,6,NULL,NULL,NULL,NULL),(16,424,1,11,7,NULL,NULL,NULL,NULL),(16,424,1,11,8,NULL,NULL,NULL,NULL),(16,424,1,11,9,NULL,NULL,NULL,NULL),(16,424,1,11,10,NULL,NULL,NULL,NULL),(16,424,1,11,11,NULL,NULL,NULL,NULL),(16,424,1,11,12,NULL,NULL,NULL,NULL),(16,424,1,11,13,NULL,NULL,NULL,NULL),(16,424,1,11,14,NULL,NULL,NULL,NULL),(16,424,1,11,15,NULL,NULL,NULL,NULL),(16,424,1,11,16,NULL,NULL,NULL,NULL),(16,424,1,11,17,NULL,NULL,NULL,NULL),(16,424,1,11,18,NULL,NULL,NULL,NULL),(16,424,1,11,19,NULL,NULL,NULL,NULL),(16,424,1,11,20,NULL,NULL,NULL,NULL),(16,424,1,12,1,5,NULL,6,NULL),(16,424,1,12,2,3,NULL,3,NULL),(16,424,1,12,3,3,2,3,3),(16,424,1,12,4,NULL,1,NULL,1),(16,424,1,12,5,4,1,4,1),(16,424,1,12,6,1,1,1,2),(16,424,1,12,7,1,1,1,1),(16,424,1,12,8,NULL,2,NULL,2),(16,424,1,12,9,2,NULL,2,NULL),(16,424,1,12,10,3,NULL,2,NULL),(16,424,1,12,11,7,NULL,6,NULL),(16,424,1,12,12,5,NULL,6,NULL),(16,424,1,12,13,4,2,4,1),(16,424,1,12,14,2,1,3,1),(16,424,1,12,15,4,2,3,2),(16,424,1,12,16,6,NULL,4,NULL),(16,424,1,12,17,6,1,4,2),(16,424,1,12,18,7,NULL,6,NULL),(16,424,1,12,19,5,2,4,1),(16,424,1,12,20,4,NULL,3,NULL),(16,424,1,13,1,1,NULL,1,NULL),(16,424,1,13,2,NULL,NULL,NULL,NULL),(16,424,1,13,3,NULL,NULL,NULL,NULL),(16,424,1,13,4,NULL,1,NULL,1),(16,424,1,13,5,1,NULL,1,NULL),(16,424,1,13,6,1,NULL,1,NULL),(16,424,1,13,7,NULL,NULL,NULL,NULL),(16,424,1,13,8,NULL,NULL,NULL,NULL),(16,424,1,13,9,NULL,NULL,NULL,NULL),(16,424,1,13,10,1,NULL,1,NULL),(16,424,1,13,11,1,NULL,1,NULL),(16,424,1,13,12,1,NULL,1,NULL),(16,424,1,13,13,1,NULL,1,NULL),(16,424,1,13,14,1,NULL,1,NULL),(16,424,1,13,15,NULL,1,NULL,1),(16,424,1,13,16,1,NULL,1,NULL),(16,424,1,13,17,NULL,NULL,NULL,NULL),(16,424,1,13,18,1,NULL,1,NULL),(16,424,1,13,19,1,NULL,1,NULL),(16,424,1,13,20,1,NULL,1,NULL),(16,424,1,14,1,6,3,5,3),(16,424,1,14,2,3,1,3,NULL),(16,424,1,14,3,4,4,3,3),(16,424,1,14,4,NULL,3,1,3),(16,424,1,14,5,2,4,2,4),(16,424,1,14,6,NULL,1,NULL,2),(16,424,1,14,7,NULL,3,NULL,2),(16,424,1,14,8,2,2,2,2),(16,424,1,14,9,1,2,1,1),(16,424,1,14,10,2,5,3,4),(16,424,1,14,11,5,2,4,1),(16,424,1,14,12,4,2,3,1),(16,424,1,14,13,4,7,6,4),(16,424,1,14,14,NULL,3,NULL,4),(16,424,1,14,15,3,NULL,3,1),(16,424,1,14,16,7,3,6,1),(16,424,1,14,17,2,4,4,2),(16,424,1,14,18,NULL,1,1,1),(16,424,1,14,19,6,5,5,4),(16,424,1,14,20,2,5,1,8),(16,424,1,15,1,4,4,5,6),(16,424,1,15,2,NULL,3,3,4),(16,424,1,15,3,3,3,2,3),(16,424,1,15,4,1,2,1,2),(16,424,1,15,5,1,5,1,5),(16,424,1,15,6,1,3,2,5),(16,424,1,15,7,2,2,1,1),(16,424,1,15,8,2,4,4,3),(16,424,1,15,9,NULL,3,1,5),(16,424,1,15,10,4,1,4,NULL),(16,424,1,15,11,5,5,6,4),(16,424,1,15,12,4,4,5,3),(16,424,1,15,13,3,8,7,6),(16,424,1,15,14,2,3,5,5),(16,424,1,15,15,2,4,3,4),(16,424,1,15,16,5,4,7,3),(16,424,1,15,17,2,5,5,6),(16,424,1,15,18,1,3,1,4),(16,424,1,15,19,2,5,3,5),(16,424,1,15,20,2,6,4,8),(16,424,1,16,1,2,3,1,2),(16,424,1,16,2,NULL,NULL,NULL,1),(16,424,1,16,3,2,2,1,2),(16,424,1,16,4,NULL,NULL,NULL,NULL),(16,424,1,16,5,3,3,2,1),(16,424,1,16,6,NULL,1,NULL,1),(16,424,1,16,7,NULL,NULL,NULL,1),(16,424,1,16,8,1,1,1,2),(16,424,1,16,9,NULL,1,NULL,1),(16,424,1,16,10,3,2,2,2),(16,424,1,16,11,3,6,2,3),(16,424,1,16,12,NULL,2,NULL,1),(16,424,1,16,13,4,2,1,2),(16,424,1,16,14,NULL,5,NULL,2),(16,424,1,16,15,2,7,4,NULL),(16,424,1,16,16,NULL,NULL,NULL,1),(16,424,1,16,17,1,5,1,3),(16,424,1,16,18,4,1,2,1),(16,424,1,16,19,2,3,2,NULL),(16,424,1,16,20,NULL,4,1,1),(16,424,1,17,1,3,2,2,NULL),(16,424,1,17,2,NULL,NULL,NULL,NULL),(16,424,1,17,3,NULL,1,NULL,1),(16,424,1,17,4,1,1,NULL,1),(16,424,1,17,5,2,2,1,2),(16,424,1,17,6,1,1,NULL,1),(16,424,1,17,7,3,NULL,2,NULL),(16,424,1,17,8,NULL,NULL,NULL,NULL),(16,424,1,17,9,1,1,NULL,1),(16,424,1,17,10,2,4,NULL,1),(16,424,1,17,11,2,5,1,1),(16,424,1,17,12,NULL,NULL,NULL,NULL),(16,424,1,17,13,3,4,2,1),(16,424,1,17,14,2,2,1,1),(16,424,1,17,15,2,4,2,1),(16,424,1,17,16,1,2,NULL,NULL),(16,424,1,17,17,3,3,1,2),(16,424,1,17,18,NULL,2,NULL,1),(16,424,1,17,19,2,4,2,1),(16,424,1,17,20,1,4,NULL,1),(16,424,2,21,1,1,2,1,2),(16,424,2,21,2,1,5,2,2),(16,424,2,21,3,1,2,1,2),(16,424,2,21,4,4,2,5,2),(16,424,2,21,5,1,5,NULL,4),(16,424,2,21,6,3,2,3,2),(16,424,2,21,7,2,2,2,2),(16,424,2,21,8,NULL,4,NULL,2),(16,424,2,21,9,NULL,3,NULL,2),(16,424,2,21,10,NULL,3,NULL,2),(16,424,2,21,11,1,5,1,3),(16,424,2,21,12,2,6,3,5),(16,424,2,21,13,2,5,1,5),(16,424,2,21,14,8,4,8,2),(16,424,2,21,15,5,1,5,1),(16,424,2,21,16,3,3,3,3),(16,424,2,21,17,2,4,2,4),(16,424,2,21,18,NULL,4,NULL,4),(16,424,2,21,19,2,4,3,4),(16,424,2,21,20,5,3,4,3),(16,424,2,21,21,1,1,1,1),(16,424,2,21,22,1,1,1,1),(16,424,2,21,23,2,5,2,4),(16,424,2,21,24,1,4,1,4),(16,424,2,21,25,1,NULL,1,NULL),(16,424,2,21,26,15,NULL,12,NULL),(16,424,2,21,27,NULL,4,NULL,3),(16,424,2,21,28,NULL,2,NULL,1),(16,424,2,21,29,NULL,5,NULL,5),(16,424,2,21,30,2,2,2,2),(16,424,2,22,1,NULL,NULL,NULL,NULL),(16,424,2,22,2,1,5,1,3),(16,424,2,22,3,2,1,NULL,1),(16,424,2,22,4,3,6,2,5),(16,424,2,22,5,3,4,2,1),(16,424,2,22,6,1,2,1,2),(16,424,2,22,7,1,2,NULL,2),(16,424,2,22,8,NULL,3,NULL,1),(16,424,2,22,9,NULL,1,NULL,1),(16,424,2,22,10,2,2,1,2),(16,424,2,22,11,2,1,1,NULL),(16,424,2,22,12,3,3,1,2),(16,424,2,22,13,NULL,6,NULL,2),(16,424,2,22,14,3,3,2,3),(16,424,2,22,15,7,1,5,1),(16,424,2,22,16,2,3,2,2),(16,424,2,22,17,1,2,1,NULL),(16,424,2,22,18,NULL,3,NULL,2),(16,424,2,22,19,2,3,1,NULL),(16,424,2,22,20,2,1,2,1),(16,424,2,22,21,NULL,3,NULL,3),(16,424,2,22,22,1,3,1,3),(16,424,2,22,23,1,3,1,2),(16,424,2,22,24,2,6,1,3),(16,424,2,22,25,NULL,NULL,NULL,NULL),(16,424,2,22,26,14,NULL,8,NULL),(16,424,2,22,27,NULL,2,NULL,3),(16,424,2,22,28,1,3,NULL,2),(16,424,2,22,29,1,8,1,3),(16,424,2,22,30,NULL,2,NULL,1),(16,424,2,23,1,NULL,1,NULL,2),(16,424,2,23,2,NULL,5,NULL,2),(16,424,2,23,3,2,3,3,6),(16,424,2,23,4,3,NULL,5,2),(16,424,2,23,5,NULL,6,1,6),(16,424,2,23,6,4,1,2,1),(16,424,2,23,7,NULL,2,2,2),(16,424,2,23,8,NULL,1,NULL,2),(16,424,2,23,9,NULL,NULL,NULL,1),(16,424,2,23,10,NULL,NULL,NULL,NULL),(16,424,2,23,11,NULL,NULL,NULL,2),(16,424,2,23,12,1,3,2,3),(16,424,2,23,13,NULL,4,2,2),(16,424,2,23,14,6,3,6,5),(16,424,2,23,15,5,1,6,1),(16,424,2,23,16,3,2,3,1),(16,424,2,23,17,2,1,1,3),(16,424,2,23,18,NULL,1,NULL,4),(16,424,2,23,19,6,1,4,7),(16,424,2,23,20,1,2,3,4),(16,424,2,23,21,NULL,4,NULL,3),(16,424,2,23,22,NULL,2,NULL,2),(16,424,2,23,23,1,2,1,4),(16,424,2,23,24,NULL,3,NULL,3),(16,424,2,23,25,NULL,NULL,NULL,NULL),(16,424,2,23,26,14,NULL,12,NULL),(16,424,2,23,27,1,3,1,3),(16,424,2,23,28,1,1,NULL,1),(16,424,2,23,29,3,4,2,6),(16,424,2,23,30,NULL,2,NULL,1),(16,424,2,24,1,1,1,1,NULL),(16,424,2,24,2,NULL,1,NULL,2),(16,424,2,24,3,2,2,NULL,1),(16,424,2,24,4,3,2,2,2),(16,424,2,24,5,2,5,2,2),(16,424,2,24,6,NULL,NULL,NULL,2),(16,424,2,24,7,NULL,1,NULL,2),(16,424,2,24,8,NULL,1,1,1),(16,424,2,24,9,NULL,2,NULL,1),(16,424,2,24,10,1,NULL,1,1),(16,424,2,24,11,1,4,NULL,2),(16,424,2,24,12,NULL,2,1,3),(16,424,2,24,13,1,NULL,1,1),(16,424,2,24,14,NULL,5,4,2),(16,424,2,24,15,4,NULL,5,NULL),(16,424,2,24,16,NULL,3,1,1),(16,424,2,24,17,NULL,NULL,1,1),(16,424,2,24,18,NULL,3,1,1),(16,424,2,24,19,1,3,2,3),(16,424,2,24,20,2,2,2,2),(16,424,2,24,21,1,2,NULL,2),(16,424,2,24,22,NULL,NULL,NULL,2),(16,424,2,24,23,NULL,NULL,NULL,2),(16,424,2,24,24,1,1,NULL,3),(16,424,2,24,25,NULL,NULL,NULL,NULL),(16,424,2,24,26,9,NULL,8,NULL),(16,424,2,24,27,NULL,1,NULL,1),(16,424,2,24,28,1,1,1,1),(16,424,2,24,29,NULL,2,NULL,3),(16,424,2,24,30,1,NULL,NULL,2),(16,424,3,31,1,NULL,NULL,1,NULL),(16,424,3,31,2,1,1,NULL,NULL),(16,424,3,31,3,NULL,3,NULL,1),(16,424,3,31,4,NULL,NULL,NULL,1),(16,424,3,31,5,NULL,2,1,3),(16,424,3,31,6,6,1,2,3),(16,424,3,31,7,NULL,1,NULL,1),(16,424,3,31,8,NULL,1,NULL,1),(16,424,3,31,9,NULL,1,NULL,NULL),(16,424,3,31,10,NULL,3,NULL,2),(16,424,3,31,11,3,2,4,1),(16,424,3,31,12,NULL,1,NULL,3),(16,424,3,31,13,NULL,2,1,1),(16,424,3,31,14,1,3,NULL,5),(16,424,3,31,15,1,2,2,2),(16,424,3,31,16,NULL,2,3,1),(16,424,3,31,17,NULL,6,1,4),(16,424,3,31,18,1,NULL,2,NULL),(16,424,3,31,19,1,3,1,1),(16,424,3,31,20,3,NULL,2,NULL),(16,424,3,31,21,NULL,2,2,4),(16,424,3,31,22,NULL,2,NULL,1),(16,424,3,31,23,NULL,1,NULL,1),(16,424,3,31,24,NULL,NULL,1,NULL),(16,424,3,31,25,NULL,NULL,NULL,NULL),(16,424,3,31,26,NULL,NULL,NULL,NULL),(16,424,3,31,27,NULL,NULL,1,NULL),(16,424,3,31,28,1,1,1,1),(16,424,3,31,29,1,2,1,1),(16,424,3,31,30,NULL,NULL,NULL,NULL),(16,424,3,32,1,NULL,1,NULL,2),(16,424,3,32,2,NULL,NULL,NULL,2),(16,424,3,32,3,NULL,2,NULL,1),(16,424,3,32,4,1,1,1,2),(16,424,3,32,5,4,4,2,3),(16,424,3,32,6,6,2,2,3),(16,424,3,32,7,NULL,1,NULL,1),(16,424,3,32,8,NULL,NULL,NULL,NULL),(16,424,3,32,9,NULL,NULL,NULL,NULL),(16,424,3,32,10,NULL,2,NULL,NULL),(16,424,3,32,11,3,1,4,2),(16,424,3,32,12,3,3,2,2),(16,424,3,32,13,4,2,4,3),(16,424,3,32,14,2,4,3,6),(16,424,3,32,15,3,2,2,5),(16,424,3,32,16,5,3,5,3),(16,424,3,32,17,5,4,5,4),(16,424,3,32,18,2,NULL,1,NULL),(16,424,3,32,19,1,2,NULL,2),(16,424,3,32,20,5,NULL,7,NULL),(16,424,3,32,21,4,6,4,7),(16,424,3,32,22,1,1,NULL,NULL),(16,424,3,32,23,1,NULL,1,NULL),(16,424,3,32,24,NULL,2,NULL,1),(16,424,3,32,25,NULL,1,NULL,NULL),(16,424,3,32,26,NULL,4,NULL,2),(16,424,3,32,27,NULL,1,NULL,NULL),(16,424,3,32,28,1,NULL,2,NULL),(16,424,3,32,29,NULL,2,NULL,1),(16,424,3,32,30,NULL,1,NULL,1),(16,424,3,33,1,NULL,NULL,NULL,NULL),(16,424,3,33,2,1,1,1,2),(16,424,3,33,3,NULL,1,NULL,1),(16,424,3,33,4,NULL,1,1,NULL),(16,424,3,33,5,1,3,1,4),(16,424,3,33,6,6,6,5,2),(16,424,3,33,7,NULL,1,NULL,NULL),(16,424,3,33,8,NULL,NULL,NULL,NULL),(16,424,3,33,9,NULL,NULL,NULL,NULL),(16,424,3,33,10,NULL,1,NULL,1),(16,424,3,33,11,3,3,1,1),(16,424,3,33,12,NULL,3,NULL,2),(16,424,3,33,13,1,2,NULL,NULL),(16,424,3,33,14,1,2,1,1),(16,424,3,33,15,4,4,3,3),(16,424,3,33,16,NULL,4,NULL,1),(16,424,3,33,17,5,4,3,3),(16,424,3,33,18,2,1,2,1),(16,424,3,33,19,2,NULL,1,NULL),(16,424,3,33,20,7,NULL,5,NULL),(16,424,3,33,21,2,2,2,NULL),(16,424,3,33,22,NULL,2,NULL,1),(16,424,3,33,23,NULL,NULL,NULL,NULL),(16,424,3,33,24,NULL,NULL,NULL,NULL),(16,424,3,33,25,NULL,NULL,NULL,NULL),(16,424,3,33,26,NULL,NULL,NULL,NULL),(16,424,3,33,27,NULL,2,NULL,NULL),(16,424,3,33,28,1,2,NULL,1),(16,424,3,33,29,1,2,1,1),(16,424,3,33,30,NULL,NULL,NULL,NULL),(16,424,3,34,1,1,2,NULL,2),(16,424,3,34,2,1,1,1,1),(16,424,3,34,3,NULL,NULL,NULL,NULL),(16,424,3,34,4,1,2,1,2),(16,424,3,34,5,1,3,NULL,4),(16,424,3,34,6,6,5,4,4),(16,424,3,34,7,NULL,2,NULL,2),(16,424,3,34,8,2,1,2,NULL),(16,424,3,34,9,NULL,NULL,NULL,NULL),(16,424,3,34,10,NULL,2,NULL,1),(16,424,3,34,11,2,3,2,3),(16,424,3,34,12,3,6,3,5),(16,424,3,34,13,5,3,5,3),(16,424,3,34,14,3,4,3,4),(16,424,3,34,15,4,2,3,2),(16,424,3,34,16,3,6,3,4),(16,424,3,34,17,7,2,7,2),(16,424,3,34,18,5,1,5,1),(16,424,3,34,19,2,1,1,1),(16,424,3,34,20,7,NULL,8,NULL),(16,424,3,34,21,3,8,2,6),(16,424,3,34,22,NULL,2,NULL,2),(16,424,3,34,23,NULL,2,NULL,1),(16,424,3,34,24,NULL,1,NULL,2),(16,424,3,34,25,NULL,1,NULL,2),(16,424,3,34,26,NULL,1,NULL,1),(16,424,3,34,27,NULL,1,NULL,1),(16,424,3,34,28,1,3,1,2),(16,424,3,34,29,1,3,NULL,4),(16,424,3,34,30,NULL,1,NULL,1),(16,425,1,11,1,NULL,NULL,NULL,NULL),(16,425,1,11,2,NULL,NULL,NULL,NULL),(16,425,1,11,3,NULL,NULL,NULL,NULL),(16,425,1,11,4,NULL,NULL,NULL,NULL),(16,425,1,11,5,NULL,NULL,NULL,NULL),(16,425,1,11,6,NULL,NULL,NULL,NULL),(16,425,1,11,7,NULL,NULL,NULL,NULL),(16,425,1,11,8,NULL,NULL,NULL,NULL),(16,425,1,11,9,NULL,NULL,NULL,NULL),(16,425,1,11,10,NULL,NULL,NULL,NULL),(16,425,1,11,11,NULL,NULL,NULL,NULL),(16,425,1,11,12,NULL,NULL,NULL,NULL),(16,425,1,11,13,NULL,NULL,NULL,NULL),(16,425,1,11,14,NULL,NULL,NULL,NULL),(16,425,1,11,15,NULL,NULL,NULL,NULL),(16,425,1,11,16,NULL,NULL,NULL,NULL),(16,425,1,11,17,NULL,NULL,NULL,NULL),(16,425,1,11,18,NULL,NULL,NULL,NULL),(16,425,1,11,19,NULL,NULL,NULL,NULL),(16,425,1,11,20,NULL,NULL,NULL,NULL),(16,425,1,12,1,2,NULL,2,NULL),(16,425,1,12,2,1,NULL,1,NULL),(16,425,1,12,3,2,NULL,2,NULL),(16,425,1,12,4,NULL,1,NULL,1),(16,425,1,12,5,NULL,2,NULL,2),(16,425,1,12,6,NULL,2,NULL,2),(16,425,1,12,7,1,NULL,1,NULL),(16,425,1,12,8,1,NULL,1,NULL),(16,425,1,12,9,1,1,1,1),(16,425,1,12,10,NULL,1,NULL,1),(16,425,1,12,11,1,1,1,1),(16,425,1,12,12,2,NULL,2,NULL),(16,425,1,12,13,NULL,NULL,NULL,NULL),(16,425,1,12,14,1,NULL,1,NULL),(16,425,1,12,15,1,1,1,1),(16,425,1,12,16,2,NULL,2,NULL),(16,425,1,12,17,2,NULL,2,NULL),(16,425,1,12,18,2,NULL,2,NULL),(16,425,1,12,19,1,NULL,1,NULL),(16,425,1,12,20,2,NULL,2,NULL),(16,425,1,13,1,1,NULL,1,NULL),(16,425,1,13,2,NULL,NULL,NULL,NULL),(16,425,1,13,3,NULL,NULL,NULL,NULL),(16,425,1,13,4,NULL,NULL,NULL,NULL),(16,425,1,13,5,NULL,1,NULL,1),(16,425,1,13,6,NULL,NULL,NULL,NULL),(16,425,1,13,7,1,NULL,1,NULL),(16,425,1,13,8,1,NULL,1,NULL),(16,425,1,13,9,NULL,1,NULL,1),(16,425,1,13,10,1,NULL,1,NULL),(16,425,1,13,11,NULL,NULL,NULL,NULL),(16,425,1,13,12,NULL,NULL,NULL,NULL),(16,425,1,13,13,1,NULL,1,NULL),(16,425,1,13,14,1,NULL,1,NULL),(16,425,1,13,15,NULL,1,NULL,1),(16,425,1,13,16,1,NULL,1,NULL),(16,425,1,13,17,1,NULL,1,NULL),(16,425,1,13,18,1,NULL,1,NULL),(16,425,1,13,19,1,NULL,1,NULL),(16,425,1,13,20,1,NULL,1,NULL),(16,425,1,14,1,25,18,10,5),(16,425,1,14,2,6,6,3,5),(16,425,1,14,3,13,24,7,9),(16,425,1,14,4,2,9,1,5),(16,425,1,14,5,20,16,7,6),(16,425,1,14,6,7,9,6,1),(16,425,1,14,7,8,4,3,2),(16,425,1,14,8,11,6,3,2),(16,425,1,14,9,8,9,5,4),(16,425,1,14,10,19,10,7,3),(16,425,1,14,11,24,8,9,3),(16,425,1,14,12,19,7,7,5),(16,425,1,14,13,25,26,12,3),(16,425,1,14,14,10,14,7,4),(16,425,1,14,15,5,12,5,4),(16,425,1,14,16,32,10,12,2),(16,425,1,14,17,28,19,12,6),(16,425,1,14,18,6,13,4,8),(16,425,1,14,19,29,13,9,5),(16,425,1,14,20,12,38,3,13),(16,425,1,15,1,35,10,11,NULL),(16,425,1,15,2,8,8,3,1),(16,425,1,15,3,14,15,6,3),(16,425,1,15,4,NULL,8,NULL,4),(16,425,1,15,5,14,10,3,4),(16,425,1,15,6,9,10,3,2),(16,425,1,15,7,3,3,1,2),(16,425,1,15,8,13,14,4,5),(16,425,1,15,9,6,15,3,4),(16,425,1,15,10,23,9,8,2),(16,425,1,15,11,23,11,8,1),(16,425,1,15,12,25,9,9,4),(16,425,1,15,13,39,18,11,1),(16,425,1,15,14,16,9,4,2),(16,425,1,15,15,9,19,6,6),(16,425,1,15,16,43,6,11,1),(16,425,1,15,17,34,20,8,5),(16,425,1,15,18,13,11,8,2),(16,425,1,15,19,33,20,8,5),(16,425,1,15,20,20,28,6,7),(16,425,1,16,1,8,1,2,NULL),(16,425,1,16,2,1,NULL,NULL,NULL),(16,425,1,16,3,6,NULL,2,NULL),(16,425,1,16,4,NULL,1,NULL,1),(16,425,1,16,5,5,3,2,NULL),(16,425,1,16,6,NULL,5,NULL,NULL),(16,425,1,16,7,NULL,2,NULL,1),(16,425,1,16,8,NULL,1,NULL,1),(16,425,1,16,9,NULL,NULL,NULL,NULL),(16,425,1,16,10,2,2,1,1),(16,425,1,16,11,4,6,NULL,3),(16,425,1,16,12,NULL,2,NULL,NULL),(16,425,1,16,13,7,NULL,1,NULL),(16,425,1,16,14,1,11,NULL,3),(16,425,1,16,15,3,3,1,1),(16,425,1,16,16,1,4,1,NULL),(16,425,1,16,17,4,5,1,1),(16,425,1,16,18,3,3,NULL,1),(16,425,1,16,19,1,5,NULL,1),(16,425,1,16,20,1,6,1,2),(16,425,1,17,1,2,2,NULL,NULL),(16,425,1,17,2,NULL,NULL,NULL,NULL),(16,425,1,17,3,1,1,NULL,1),(16,425,1,17,4,NULL,1,NULL,NULL),(16,425,1,17,5,NULL,1,NULL,NULL),(16,425,1,17,6,NULL,2,NULL,NULL),(16,425,1,17,7,NULL,NULL,NULL,NULL),(16,425,1,17,8,1,2,NULL,NULL),(16,425,1,17,9,1,NULL,1,NULL),(16,425,1,17,10,3,1,1,NULL),(16,425,1,17,11,NULL,6,NULL,1),(16,425,1,17,12,NULL,1,NULL,NULL),(16,425,1,17,13,1,1,NULL,NULL),(16,425,1,17,14,1,NULL,1,NULL),(16,425,1,17,15,3,3,1,NULL),(16,425,1,17,16,NULL,NULL,NULL,NULL),(16,425,1,17,17,NULL,5,NULL,1),(16,425,1,17,18,NULL,1,NULL,NULL),(16,425,1,17,19,1,2,NULL,NULL),(16,425,1,17,20,NULL,5,NULL,1),(16,425,2,21,1,2,3,2,2),(16,425,2,21,2,2,15,2,5),(16,425,2,21,3,8,8,2,2),(16,425,2,21,4,9,4,2,2),(16,425,2,21,5,1,9,NULL,3),(16,425,2,21,6,2,7,1,5),(16,425,2,21,7,4,1,2,NULL),(16,425,2,21,8,5,6,1,1),(16,425,2,21,9,2,3,1,1),(16,425,2,21,10,4,6,1,3),(16,425,2,21,11,4,3,2,1),(16,425,2,21,12,5,7,1,2),(16,425,2,21,13,6,5,3,1),(16,425,2,21,14,9,13,3,3),(16,425,2,21,15,15,3,5,NULL),(16,425,2,21,16,4,5,2,2),(16,425,2,21,17,2,5,1,2),(16,425,2,21,18,2,3,1,2),(16,425,2,21,19,11,11,3,2),(16,425,2,21,20,9,10,3,3),(16,425,2,21,21,5,8,1,3),(16,425,2,21,22,5,4,3,3),(16,425,2,21,23,4,8,1,3),(16,425,2,21,24,8,7,2,3),(16,425,2,21,25,NULL,NULL,NULL,NULL),(16,425,2,21,26,43,NULL,8,NULL),(16,425,2,21,27,2,9,2,2),(16,425,2,21,28,1,7,NULL,2),(16,425,2,21,29,4,13,1,5),(16,425,2,21,30,4,2,3,NULL),(16,425,2,22,1,1,NULL,1,NULL),(16,425,2,22,2,1,14,1,7),(16,425,2,22,3,10,8,5,3),(16,425,2,22,4,6,8,3,2),(16,425,2,22,5,7,9,6,3),(16,425,2,22,6,4,8,3,3),(16,425,2,22,7,5,2,2,NULL),(16,425,2,22,8,NULL,6,NULL,1),(16,425,2,22,9,1,6,1,3),(16,425,2,22,10,2,8,1,5),(16,425,2,22,11,6,4,4,2),(16,425,2,22,12,7,9,NULL,3),(16,425,2,22,13,3,5,1,1),(16,425,2,22,14,15,16,8,4),(16,425,2,22,15,19,3,8,1),(16,425,2,22,16,4,8,2,4),(16,425,2,22,17,4,5,1,3),(16,425,2,22,18,NULL,5,NULL,2),(16,425,2,22,19,10,11,8,3),(16,425,2,22,20,4,7,3,2),(16,425,2,22,21,4,9,1,3),(16,425,2,22,22,6,6,5,3),(16,425,2,22,23,5,5,2,2),(16,425,2,22,24,4,10,1,6),(16,425,2,22,25,NULL,NULL,NULL,NULL),(16,425,2,22,26,46,NULL,15,NULL),(16,425,2,22,27,2,12,1,6),(16,425,2,22,28,3,6,NULL,1),(16,425,2,22,29,6,10,4,3),(16,425,2,22,30,3,4,1,1),(16,425,2,23,1,NULL,5,NULL,3),(16,425,2,23,2,2,16,1,2),(16,425,2,23,3,6,5,3,1),(16,425,2,23,4,7,10,4,1),(16,425,2,23,5,3,14,NULL,4),(16,425,2,23,6,3,5,1,NULL),(16,425,2,23,7,6,3,NULL,1),(16,425,2,23,8,5,4,NULL,NULL),(16,425,2,23,9,NULL,3,NULL,NULL),(16,425,2,23,10,NULL,9,NULL,1),(16,425,2,23,11,2,6,NULL,1),(16,425,2,23,12,5,7,2,1),(16,425,2,23,13,3,5,1,1),(16,425,2,23,14,12,13,5,3),(16,425,2,23,15,17,6,5,2),(16,425,2,23,16,9,6,4,1),(16,425,2,23,17,1,8,1,2),(16,425,2,23,18,3,4,NULL,2),(16,425,2,23,19,13,14,5,2),(16,425,2,23,20,11,8,1,3),(16,425,2,23,21,NULL,7,NULL,3),(16,425,2,23,22,3,6,1,3),(16,425,2,23,23,1,8,1,NULL),(16,425,2,23,24,6,15,1,5),(16,425,2,23,25,NULL,NULL,NULL,NULL),(16,425,2,23,26,43,NULL,8,NULL),(16,425,2,23,27,NULL,9,NULL,3),(16,425,2,23,28,NULL,8,NULL,2),(16,425,2,23,29,4,13,1,4),(16,425,2,23,30,1,2,NULL,NULL),(16,425,2,24,1,NULL,2,NULL,1),(16,425,2,24,2,4,10,3,3),(16,425,2,24,3,6,4,2,1),(16,425,2,24,4,8,6,2,2),(16,425,2,24,5,3,11,2,2),(16,425,2,24,6,1,4,1,1),(16,425,2,24,7,5,7,1,1),(16,425,2,24,8,4,3,1,NULL),(16,425,2,24,9,NULL,3,NULL,2),(16,425,2,24,10,1,4,1,NULL),(16,425,2,24,11,4,1,3,NULL),(16,425,2,24,12,4,4,1,NULL),(16,425,2,24,13,3,5,1,2),(16,425,2,24,14,16,11,2,6),(16,425,2,24,15,17,5,6,NULL),(16,425,2,24,16,5,5,2,1),(16,425,2,24,17,2,5,NULL,3),(16,425,2,24,18,3,NULL,NULL,NULL),(16,425,2,24,19,10,14,2,3),(16,425,2,24,20,8,8,2,3),(16,425,2,24,21,2,8,1,3),(16,425,2,24,22,3,4,NULL,1),(16,425,2,24,23,2,9,2,2),(16,425,2,24,24,3,7,2,2),(16,425,2,24,25,NULL,NULL,NULL,NULL),(16,425,2,24,26,43,NULL,9,NULL),(16,425,2,24,27,NULL,3,NULL,2),(16,425,2,24,28,2,3,1,NULL),(16,425,2,24,29,4,10,1,3),(16,425,2,24,30,2,3,1,NULL),(16,425,3,31,1,3,2,NULL,NULL),(16,425,3,31,2,NULL,2,NULL,NULL),(16,425,3,31,3,NULL,3,NULL,2),(16,425,3,31,4,NULL,2,NULL,NULL),(16,425,3,31,5,4,9,1,4),(16,425,3,31,6,17,9,5,2),(16,425,3,31,7,2,2,NULL,NULL),(16,425,3,31,8,1,2,NULL,1),(16,425,3,31,9,NULL,3,NULL,1),(16,425,3,31,10,1,3,NULL,NULL),(16,425,3,31,11,9,6,2,1),(16,425,3,31,12,6,8,3,2),(16,425,3,31,13,4,7,2,1),(16,425,3,31,14,8,12,2,3),(16,425,3,31,15,7,8,4,3),(16,425,3,31,16,12,7,5,1),(16,425,3,31,17,14,6,5,3),(16,425,3,31,18,3,2,NULL,1),(16,425,3,31,19,5,2,1,1),(16,425,3,31,20,16,NULL,5,NULL),(16,425,3,31,21,8,17,4,2),(16,425,3,31,22,NULL,3,NULL,2),(16,425,3,31,23,3,7,NULL,3),(16,425,3,31,24,2,3,2,1),(16,425,3,31,25,NULL,4,NULL,2),(16,425,3,31,26,NULL,4,NULL,1),(16,425,3,31,27,2,3,1,2),(16,425,3,31,28,6,8,3,1),(16,425,3,31,29,3,5,2,1),(16,425,3,31,30,NULL,2,NULL,1),(16,425,3,32,1,1,4,NULL,1),(16,425,3,32,2,2,4,1,1),(16,425,3,32,3,1,3,1,NULL),(16,425,3,32,4,1,9,NULL,2),(16,425,3,32,5,3,9,1,2),(16,425,3,32,6,25,11,4,2),(16,425,3,32,7,NULL,4,NULL,1),(16,425,3,32,8,1,1,1,NULL),(16,425,3,32,9,NULL,1,NULL,NULL),(16,425,3,32,10,1,NULL,NULL,NULL),(16,425,3,32,11,9,11,2,3),(16,425,3,32,12,9,6,4,1),(16,425,3,32,13,4,4,2,1),(16,425,3,32,14,4,13,1,2),(16,425,3,32,15,10,11,4,2),(16,425,3,32,16,7,9,3,3),(16,425,3,32,17,15,16,3,4),(16,425,3,32,18,2,4,NULL,3),(16,425,3,32,19,7,11,1,5),(16,425,3,32,20,23,NULL,7,NULL),(16,425,3,32,21,4,19,1,3),(16,425,3,32,22,NULL,3,NULL,1),(16,425,3,32,23,1,7,NULL,2),(16,425,3,32,24,1,4,NULL,1),(16,425,3,32,25,NULL,6,NULL,NULL),(16,425,3,32,26,NULL,NULL,NULL,NULL),(16,425,3,32,27,1,NULL,NULL,NULL),(16,425,3,32,28,NULL,4,NULL,1),(16,425,3,32,29,5,5,1,NULL),(16,425,3,32,30,NULL,3,NULL,NULL),(16,425,3,33,1,2,1,1,NULL),(16,425,3,33,2,NULL,3,NULL,1),(16,425,3,33,3,1,7,1,3),(16,425,3,33,4,2,6,1,2),(16,425,3,33,5,7,16,2,7),(16,425,3,33,6,18,12,9,2),(16,425,3,33,7,NULL,5,NULL,NULL),(16,425,3,33,8,2,4,1,2),(16,425,3,33,9,NULL,1,NULL,NULL),(16,425,3,33,10,NULL,8,NULL,1),(16,425,3,33,11,7,5,3,1),(16,425,3,33,12,7,9,6,4),(16,425,3,33,13,4,5,3,2),(16,425,3,33,14,9,13,6,5),(16,425,3,33,15,7,5,4,3),(16,425,3,33,16,10,6,7,4),(16,425,3,33,17,17,9,9,3),(16,425,3,33,18,3,3,1,2),(16,425,3,33,19,3,10,2,4),(16,425,3,33,20,20,NULL,9,NULL),(16,425,3,33,21,7,26,4,8),(16,425,3,33,22,2,2,1,NULL),(16,425,3,33,23,2,5,1,2),(16,425,3,33,24,2,2,2,1),(16,425,3,33,25,1,4,1,1),(16,425,3,33,26,NULL,8,NULL,3),(16,425,3,33,27,NULL,4,NULL,3),(16,425,3,33,28,2,9,2,5),(16,425,3,33,29,3,7,3,2),(16,425,3,33,30,NULL,3,NULL,1),(16,425,3,34,1,1,5,NULL,1),(16,425,3,34,2,2,3,1,NULL),(16,425,3,34,3,1,6,NULL,1),(16,425,3,34,4,1,6,1,2),(16,425,3,34,5,1,13,NULL,4),(16,425,3,34,6,17,9,4,1),(16,425,3,34,7,NULL,5,NULL,3),(16,425,3,34,8,1,4,1,3),(16,425,3,34,9,1,3,1,NULL),(16,425,3,34,10,1,3,NULL,1),(16,425,3,34,11,5,6,1,1),(16,425,3,34,12,6,5,2,1),(16,425,3,34,13,3,4,2,2),(16,425,3,34,14,4,8,3,2),(16,425,3,34,15,5,8,2,3),(16,425,3,34,16,10,8,4,1),(16,425,3,34,17,16,9,6,2),(16,425,3,34,18,4,4,2,NULL),(16,425,3,34,19,2,2,NULL,2),(16,425,3,34,20,13,NULL,5,NULL),(16,425,3,34,21,9,20,3,1),(16,425,3,34,22,NULL,6,NULL,2),(16,425,3,34,23,1,7,1,3),(16,425,3,34,24,NULL,6,NULL,2),(16,425,3,34,25,2,2,NULL,1),(16,425,3,34,26,NULL,4,NULL,1),(16,425,3,34,27,2,8,NULL,2),(16,425,3,34,28,1,4,1,NULL),(16,425,3,34,29,4,5,2,2),(16,425,3,34,30,NULL,4,NULL,1),(16,426,1,11,1,NULL,NULL,NULL,NULL),(16,426,1,11,2,NULL,NULL,NULL,NULL),(16,426,1,11,3,NULL,NULL,NULL,NULL),(16,426,1,11,4,NULL,NULL,NULL,NULL),(16,426,1,11,5,NULL,NULL,NULL,NULL),(16,426,1,11,6,NULL,NULL,NULL,NULL),(16,426,1,11,7,NULL,NULL,NULL,NULL),(16,426,1,11,8,NULL,NULL,NULL,NULL),(16,426,1,11,9,NULL,NULL,NULL,NULL),(16,426,1,11,10,NULL,NULL,NULL,NULL),(16,426,1,11,11,NULL,NULL,NULL,NULL),(16,426,1,11,12,NULL,NULL,NULL,NULL),(16,426,1,11,13,NULL,NULL,NULL,NULL),(16,426,1,11,14,NULL,NULL,NULL,NULL),(16,426,1,11,15,NULL,NULL,NULL,NULL),(16,426,1,11,16,NULL,NULL,NULL,NULL),(16,426,1,11,17,NULL,NULL,NULL,NULL),(16,426,1,11,18,NULL,NULL,NULL,NULL),(16,426,1,11,19,NULL,NULL,NULL,NULL),(16,426,1,11,20,NULL,NULL,NULL,NULL),(16,426,1,12,1,NULL,NULL,NULL,NULL),(16,426,1,12,2,NULL,NULL,NULL,NULL),(16,426,1,12,3,NULL,NULL,NULL,NULL),(16,426,1,12,4,NULL,NULL,NULL,NULL),(16,426,1,12,5,NULL,NULL,NULL,NULL),(16,426,1,12,6,NULL,NULL,NULL,NULL),(16,426,1,12,7,NULL,NULL,NULL,NULL),(16,426,1,12,8,NULL,NULL,NULL,NULL),(16,426,1,12,9,NULL,NULL,NULL,NULL),(16,426,1,12,10,NULL,NULL,NULL,NULL),(16,426,1,12,11,NULL,NULL,NULL,NULL),(16,426,1,12,12,NULL,NULL,NULL,NULL),(16,426,1,12,13,NULL,NULL,NULL,NULL),(16,426,1,12,14,NULL,NULL,NULL,NULL),(16,426,1,12,15,NULL,NULL,NULL,NULL),(16,426,1,12,16,NULL,NULL,NULL,NULL),(16,426,1,12,17,NULL,NULL,NULL,NULL),(16,426,1,12,18,NULL,NULL,NULL,NULL),(16,426,1,12,19,NULL,NULL,NULL,NULL),(16,426,1,12,20,NULL,NULL,NULL,NULL),(16,426,1,13,1,NULL,NULL,NULL,NULL),(16,426,1,13,2,NULL,NULL,NULL,NULL),(16,426,1,13,3,NULL,NULL,NULL,NULL),(16,426,1,13,4,NULL,NULL,NULL,NULL),(16,426,1,13,5,NULL,1,NULL,NULL),(16,426,1,13,6,NULL,NULL,NULL,NULL),(16,426,1,13,7,NULL,NULL,NULL,NULL),(16,426,1,13,8,NULL,NULL,NULL,NULL),(16,426,1,13,9,NULL,NULL,NULL,NULL),(16,426,1,13,10,NULL,NULL,NULL,NULL),(16,426,1,13,11,1,NULL,NULL,NULL),(16,426,1,13,12,NULL,NULL,NULL,NULL),(16,426,1,13,13,1,NULL,NULL,NULL),(16,426,1,13,14,1,NULL,NULL,NULL),(16,426,1,13,15,NULL,1,NULL,NULL),(16,426,1,13,16,NULL,NULL,NULL,NULL),(16,426,1,13,17,NULL,NULL,NULL,NULL),(16,426,1,13,18,NULL,NULL,NULL,NULL),(16,426,1,13,19,NULL,NULL,NULL,NULL),(16,426,1,13,20,NULL,NULL,NULL,NULL),(16,426,1,14,1,9,2,6,3),(16,426,1,14,2,NULL,1,NULL,1),(16,426,1,14,3,5,1,4,2),(16,426,1,14,4,2,2,1,2),(16,426,1,14,5,4,6,4,4),(16,426,1,14,6,2,2,2,2),(16,426,1,14,7,NULL,2,NULL,NULL),(16,426,1,14,8,4,3,4,3),(16,426,1,14,9,4,2,4,3),(16,426,1,14,10,4,3,6,1),(16,426,1,14,11,3,3,1,2),(16,426,1,14,12,2,1,3,NULL),(16,426,1,14,13,3,6,4,4),(16,426,1,14,14,1,3,1,3),(16,426,1,14,15,1,3,1,4),(16,426,1,14,16,4,3,5,2),(16,426,1,14,17,7,NULL,5,1),(16,426,1,14,18,2,NULL,2,1),(16,426,1,14,19,5,1,5,2),(16,426,1,14,20,4,5,4,5),(16,426,1,15,1,5,3,5,3),(16,426,1,15,2,NULL,2,NULL,3),(16,426,1,15,3,4,2,4,1),(16,426,1,15,4,1,NULL,1,1),(16,426,1,15,5,3,1,2,2),(16,426,1,15,6,1,3,1,3),(16,426,1,15,7,3,1,2,2),(16,426,1,15,8,2,4,1,6),(16,426,1,15,9,2,2,2,2),(16,426,1,15,10,3,NULL,3,NULL),(16,426,1,15,11,3,2,4,2),(16,426,1,15,12,1,1,1,2),(16,426,1,15,13,2,3,3,3),(16,426,1,15,14,2,NULL,2,NULL),(16,426,1,15,15,NULL,2,NULL,3),(16,426,1,15,16,NULL,6,NULL,7),(16,426,1,15,17,2,3,2,3),(16,426,1,15,18,NULL,NULL,NULL,NULL),(16,426,1,15,19,2,4,1,4),(16,426,1,15,20,3,5,2,5),(16,426,1,16,1,6,13,2,2),(16,426,1,16,2,NULL,NULL,NULL,NULL),(16,426,1,16,3,NULL,7,NULL,1),(16,426,1,16,4,NULL,1,NULL,NULL),(16,426,1,16,5,2,6,2,1),(16,426,1,16,6,2,NULL,1,NULL),(16,426,1,16,7,2,3,1,1),(16,426,1,16,8,1,6,1,3),(16,426,1,16,9,1,4,NULL,1),(16,426,1,16,10,7,2,3,NULL),(16,426,1,16,11,2,16,NULL,6),(16,426,1,16,12,1,5,NULL,2),(16,426,1,16,13,3,10,1,4),(16,426,1,16,14,2,5,1,2),(16,426,1,16,15,2,13,1,4),(16,426,1,16,16,NULL,3,NULL,1),(16,426,1,16,17,3,10,NULL,5),(16,426,1,16,18,4,5,NULL,3),(16,426,1,16,19,5,8,2,3),(16,426,1,16,20,NULL,10,NULL,4),(16,426,1,17,1,9,12,3,3),(16,426,1,17,2,3,3,NULL,2),(16,426,1,17,3,2,4,2,1),(16,426,1,17,4,NULL,6,NULL,2),(16,426,1,17,5,3,7,4,3),(16,426,1,17,6,NULL,3,NULL,2),(16,426,1,17,7,1,4,NULL,4),(16,426,1,17,8,2,10,NULL,7),(16,426,1,17,9,NULL,3,NULL,1),(16,426,1,17,10,5,8,3,3),(16,426,1,17,11,5,15,NULL,7),(16,426,1,17,12,1,3,1,2),(16,426,1,17,13,6,14,NULL,8),(16,426,1,17,14,2,7,NULL,1),(16,426,1,17,15,7,15,3,6),(16,426,1,17,16,NULL,8,NULL,2),(16,426,1,17,17,2,14,NULL,7),(16,426,1,17,18,7,11,3,6),(16,426,1,17,19,1,10,NULL,3),(16,426,1,17,20,NULL,9,NULL,2),(16,426,2,21,1,NULL,1,NULL,1),(16,426,2,21,2,1,3,1,1),(16,426,2,21,3,5,3,3,2),(16,426,2,21,4,8,1,5,1),(16,426,2,21,5,1,4,1,2),(16,426,2,21,6,1,5,1,2),(16,426,2,21,7,1,5,1,3),(16,426,2,21,8,1,2,NULL,1),(16,426,2,21,9,NULL,2,NULL,2),(16,426,2,21,10,4,3,3,NULL),(16,426,2,21,11,2,4,2,3),(16,426,2,21,12,4,5,1,5),(16,426,2,21,13,1,6,1,6),(16,426,2,21,14,8,7,2,6),(16,426,2,21,15,5,3,4,3),(16,426,2,21,16,1,5,2,3),(16,426,2,21,17,1,2,NULL,2),(16,426,2,21,18,1,2,1,2),(16,426,2,21,19,5,6,3,4),(16,426,2,21,20,3,5,1,3),(16,426,2,21,21,1,4,NULL,4),(16,426,2,21,22,1,3,NULL,3),(16,426,2,21,23,1,1,1,2),(16,426,2,21,24,2,7,1,6),(16,426,2,21,25,1,NULL,1,NULL),(16,426,2,21,26,21,NULL,11,NULL),(16,426,2,21,27,NULL,6,NULL,5),(16,426,2,21,28,1,6,NULL,6),(16,426,2,21,29,2,2,NULL,3),(16,426,2,21,30,2,5,2,3),(16,426,2,22,1,NULL,2,NULL,2),(16,426,2,22,2,NULL,4,NULL,2),(16,426,2,22,3,3,3,2,3),(16,426,2,22,4,5,2,3,4),(16,426,2,22,5,1,7,1,5),(16,426,2,22,6,NULL,NULL,1,NULL),(16,426,2,22,7,1,5,1,5),(16,426,2,22,8,NULL,1,NULL,NULL),(16,426,2,22,9,NULL,4,NULL,1),(16,426,2,22,10,1,NULL,1,2),(16,426,2,22,11,1,2,NULL,1),(16,426,2,22,12,4,7,NULL,8),(16,426,2,22,13,2,4,NULL,4),(16,426,2,22,14,4,7,1,8),(16,426,2,22,15,8,4,4,5),(16,426,2,22,16,1,4,1,5),(16,426,2,22,17,1,1,NULL,1),(16,426,2,22,18,NULL,2,NULL,2),(16,426,2,22,19,2,4,NULL,2),(16,426,2,22,20,2,4,1,4),(16,426,2,22,21,2,4,NULL,4),(16,426,2,22,22,NULL,2,1,1),(16,426,2,22,23,NULL,3,NULL,3),(16,426,2,22,24,NULL,8,NULL,4),(16,426,2,22,25,NULL,NULL,NULL,NULL),(16,426,2,22,26,22,NULL,11,NULL),(16,426,2,22,27,1,6,1,6),(16,426,2,22,28,2,2,1,1),(16,426,2,22,29,1,6,1,4),(16,426,2,22,30,1,5,1,6),(16,426,2,23,1,NULL,2,NULL,2),(16,426,2,23,2,NULL,5,NULL,3),(16,426,2,23,3,3,2,2,NULL),(16,426,2,23,4,2,6,2,3),(16,426,2,23,5,1,7,1,4),(16,426,2,23,6,2,1,2,1),(16,426,2,23,7,NULL,3,NULL,NULL),(16,426,2,23,8,NULL,4,NULL,2),(16,426,2,23,9,NULL,2,NULL,1),(16,426,2,23,10,NULL,1,NULL,1),(16,426,2,23,11,1,2,2,1),(16,426,2,23,12,4,3,2,3),(16,426,2,23,13,2,5,3,2),(16,426,2,23,14,4,7,2,5),(16,426,2,23,15,5,4,3,4),(16,426,2,23,16,1,9,1,6),(16,426,2,23,17,1,1,NULL,1),(16,426,2,23,18,NULL,3,NULL,2),(16,426,2,23,19,2,4,1,3),(16,426,2,23,20,2,3,1,2),(16,426,2,23,21,3,5,1,5),(16,426,2,23,22,1,4,NULL,3),(16,426,2,23,23,1,2,NULL,2),(16,426,2,23,24,1,3,NULL,1),(16,426,2,23,25,NULL,NULL,NULL,NULL),(16,426,2,23,26,20,NULL,10,NULL),(16,426,2,23,27,NULL,2,NULL,3),(16,426,2,23,28,2,2,1,3),(16,426,2,23,29,1,5,1,3),(16,426,2,23,30,1,1,1,1),(16,426,2,24,1,NULL,2,NULL,1),(16,426,2,24,2,NULL,8,NULL,3),(16,426,2,24,3,2,3,2,1),(16,426,2,24,4,5,4,2,2),(16,426,2,24,5,2,4,1,2),(16,426,2,24,6,NULL,2,NULL,NULL),(16,426,2,24,7,1,3,NULL,3),(16,426,2,24,8,3,1,2,NULL),(16,426,2,24,9,1,1,NULL,NULL),(16,426,2,24,10,1,2,1,NULL),(16,426,2,24,11,2,1,1,NULL),(16,426,2,24,12,4,5,2,3),(16,426,2,24,13,NULL,5,NULL,1),(16,426,2,24,14,6,8,2,5),(16,426,2,24,15,6,5,2,1),(16,426,2,24,16,5,5,3,3),(16,426,2,24,17,2,4,NULL,2),(16,426,2,24,18,1,2,1,2),(16,426,2,24,19,3,6,2,3),(16,426,2,24,20,4,4,1,NULL),(16,426,2,24,21,1,4,1,NULL),(16,426,2,24,22,NULL,5,NULL,2),(16,426,2,24,23,2,2,NULL,1),(16,426,2,24,24,3,5,1,3),(16,426,2,24,25,NULL,NULL,NULL,NULL),(16,426,2,24,26,22,NULL,8,NULL),(16,426,2,24,27,1,1,NULL,1),(16,426,2,24,28,NULL,2,NULL,3),(16,426,2,24,29,2,4,1,3),(16,426,2,24,30,NULL,2,NULL,NULL),(16,426,3,31,1,NULL,4,NULL,2),(16,426,3,31,2,2,1,1,1),(16,426,3,31,3,NULL,1,NULL,NULL),(16,426,3,31,4,NULL,5,NULL,1),(16,426,3,31,5,3,6,NULL,1),(16,426,3,31,6,9,5,3,1),(16,426,3,31,7,1,3,NULL,2),(16,426,3,31,8,NULL,1,NULL,1),(16,426,3,31,9,NULL,1,NULL,NULL),(16,426,3,31,10,NULL,3,NULL,NULL),(16,426,3,31,11,5,3,4,2),(16,426,3,31,12,1,4,1,2),(16,426,3,31,13,3,5,1,2),(16,426,3,31,14,2,4,1,2),(16,426,3,31,15,4,3,3,2),(16,426,3,31,16,2,6,2,2),(16,426,3,31,17,7,5,3,2),(16,426,3,31,18,2,3,NULL,1),(16,426,3,31,19,1,6,NULL,1),(16,426,3,31,20,7,NULL,4,NULL),(16,426,3,31,21,2,9,1,1),(16,426,3,31,22,1,NULL,NULL,1),(16,426,3,31,23,2,1,1,NULL),(16,426,3,31,24,NULL,1,NULL,1),(16,426,3,31,25,1,NULL,1,1),(16,426,3,31,26,NULL,1,NULL,1),(16,426,3,31,27,1,2,1,2),(16,426,3,31,28,NULL,5,NULL,2),(16,426,3,31,29,1,5,1,2),(16,426,3,31,30,NULL,NULL,NULL,NULL),(16,426,3,32,1,1,2,NULL,2),(16,426,3,32,2,NULL,3,NULL,3),(16,426,3,32,3,NULL,3,NULL,1),(16,426,3,32,4,NULL,2,NULL,1),(16,426,3,32,5,2,3,1,1),(16,426,3,32,6,6,7,3,6),(16,426,3,32,7,1,1,NULL,NULL),(16,426,3,32,8,NULL,1,NULL,NULL),(16,426,3,32,9,NULL,NULL,NULL,NULL),(16,426,3,32,10,NULL,NULL,NULL,NULL),(16,426,3,32,11,4,3,2,3),(16,426,3,32,12,1,4,NULL,2),(16,426,3,32,13,3,4,2,1),(16,426,3,32,14,NULL,5,NULL,3),(16,426,3,32,15,2,5,2,4),(16,426,3,32,16,7,3,3,2),(16,426,3,32,17,4,5,4,3),(16,426,3,32,18,1,4,1,2),(16,426,3,32,19,2,5,1,2),(16,426,3,32,20,8,NULL,8,NULL),(16,426,3,32,21,2,9,2,4),(16,426,3,32,22,1,3,NULL,1),(16,426,3,32,23,NULL,1,NULL,1),(16,426,3,32,24,NULL,1,NULL,1),(16,426,3,32,25,NULL,1,NULL,NULL),(16,426,3,32,26,NULL,NULL,NULL,NULL),(16,426,3,32,27,NULL,2,NULL,NULL),(16,426,3,32,28,NULL,2,1,1),(16,426,3,32,29,2,6,1,1),(16,426,3,32,30,NULL,3,NULL,2),(16,426,3,33,1,NULL,3,NULL,2),(16,426,3,33,2,NULL,3,NULL,2),(16,426,3,33,3,NULL,2,NULL,1),(16,426,3,33,4,NULL,3,NULL,4),(16,426,3,33,5,1,2,NULL,2),(16,426,3,33,6,7,9,5,6),(16,426,3,33,7,NULL,2,NULL,1),(16,426,3,33,8,NULL,NULL,NULL,NULL),(16,426,3,33,9,NULL,3,NULL,NULL),(16,426,3,33,10,NULL,1,NULL,1),(16,426,3,33,11,4,8,NULL,5),(16,426,3,33,12,3,4,2,NULL),(16,426,3,33,13,1,4,NULL,2),(16,426,3,33,14,2,3,NULL,3),(16,426,3,33,15,2,4,2,5),(16,426,3,33,16,1,5,NULL,2),(16,426,3,33,17,4,5,3,4),(16,426,3,33,18,2,1,2,1),(16,426,3,33,19,1,4,NULL,3),(16,426,3,33,20,10,NULL,9,NULL),(16,426,3,33,21,1,9,NULL,7),(16,426,3,33,22,NULL,NULL,NULL,NULL),(16,426,3,33,23,1,2,NULL,NULL),(16,426,3,33,24,NULL,1,NULL,1),(16,426,3,33,25,NULL,1,NULL,NULL),(16,426,3,33,26,NULL,NULL,NULL,1),(16,426,3,33,27,NULL,1,NULL,NULL),(16,426,3,33,28,NULL,2,NULL,2),(16,426,3,33,29,1,2,NULL,1),(16,426,3,33,30,NULL,NULL,NULL,NULL),(16,426,3,34,1,NULL,2,NULL,2),(16,426,3,34,2,NULL,3,NULL,NULL),(16,426,3,34,3,NULL,3,1,1),(16,426,3,34,4,NULL,3,NULL,2),(16,426,3,34,5,NULL,6,NULL,4),(16,426,3,34,6,8,5,4,5),(16,426,3,34,7,NULL,NULL,NULL,NULL),(16,426,3,34,8,NULL,1,NULL,NULL),(16,426,3,34,9,NULL,1,NULL,1),(16,426,3,34,10,NULL,3,NULL,1),(16,426,3,34,11,5,4,2,3),(16,426,3,34,12,2,6,2,5),(16,426,3,34,13,1,4,NULL,1),(16,426,3,34,14,1,4,1,3),(16,426,3,34,15,1,6,2,4),(16,426,3,34,16,3,8,2,5),(16,426,3,34,17,4,9,4,7),(16,426,3,34,18,2,4,1,2),(16,426,3,34,19,1,6,1,3),(16,426,3,34,20,12,NULL,7,NULL),(16,426,3,34,21,1,10,1,6),(16,426,3,34,22,1,1,1,NULL),(16,426,3,34,23,NULL,4,NULL,1),(16,426,3,34,24,NULL,NULL,NULL,1),(16,426,3,34,25,NULL,2,NULL,1),(16,426,3,34,26,NULL,2,NULL,1),(16,426,3,34,27,1,NULL,NULL,NULL),(16,426,3,34,28,NULL,5,NULL,5),(16,426,3,34,29,2,3,1,2),(16,426,3,34,30,NULL,2,NULL,1),(16,427,1,11,1,NULL,NULL,NULL,NULL),(16,427,1,11,2,NULL,NULL,NULL,NULL),(16,427,1,11,3,NULL,NULL,NULL,NULL),(16,427,1,11,4,NULL,NULL,NULL,NULL),(16,427,1,11,5,NULL,NULL,NULL,NULL),(16,427,1,11,6,NULL,NULL,NULL,NULL),(16,427,1,11,7,NULL,NULL,NULL,NULL),(16,427,1,11,8,NULL,NULL,NULL,NULL),(16,427,1,11,9,NULL,NULL,NULL,NULL),(16,427,1,11,10,NULL,NULL,NULL,NULL),(16,427,1,11,11,NULL,NULL,NULL,NULL),(16,427,1,11,12,NULL,NULL,NULL,NULL),(16,427,1,11,13,NULL,NULL,NULL,NULL),(16,427,1,11,14,NULL,NULL,NULL,NULL),(16,427,1,11,15,NULL,NULL,NULL,NULL),(16,427,1,11,16,NULL,NULL,NULL,NULL),(16,427,1,11,17,NULL,NULL,NULL,NULL),(16,427,1,11,18,NULL,NULL,NULL,NULL),(16,427,1,11,19,NULL,NULL,NULL,NULL),(16,427,1,11,20,NULL,NULL,NULL,NULL),(16,427,1,12,1,NULL,1,NULL,1),(16,427,1,12,2,NULL,NULL,NULL,NULL),(16,427,1,12,3,NULL,NULL,NULL,NULL),(16,427,1,12,4,NULL,NULL,NULL,NULL),(16,427,1,12,5,NULL,NULL,NULL,NULL),(16,427,1,12,6,NULL,NULL,NULL,NULL),(16,427,1,12,7,NULL,NULL,NULL,NULL),(16,427,1,12,8,NULL,NULL,NULL,NULL),(16,427,1,12,9,NULL,NULL,NULL,NULL),(16,427,1,12,10,NULL,NULL,NULL,NULL),(16,427,1,12,11,1,NULL,1,NULL),(16,427,1,12,12,NULL,1,NULL,1),(16,427,1,12,13,1,NULL,1,NULL),(16,427,1,12,14,1,NULL,1,NULL),(16,427,1,12,15,1,NULL,1,NULL),(16,427,1,12,16,NULL,NULL,NULL,NULL),(16,427,1,12,17,1,NULL,1,NULL),(16,427,1,12,18,1,NULL,1,NULL),(16,427,1,12,19,1,NULL,1,NULL),(16,427,1,12,20,1,NULL,1,NULL),(16,427,1,13,1,3,1,3,NULL),(16,427,1,13,2,1,3,1,3),(16,427,1,13,3,NULL,4,NULL,4),(16,427,1,13,4,1,1,1,1),(16,427,1,13,5,2,1,2,NULL),(16,427,1,13,6,NULL,2,NULL,2),(16,427,1,13,7,NULL,1,NULL,NULL),(16,427,1,13,8,NULL,NULL,NULL,NULL),(16,427,1,13,9,NULL,1,NULL,1),(16,427,1,13,10,3,NULL,3,NULL),(16,427,1,13,11,10,1,6,1),(16,427,1,13,12,7,1,5,1),(16,427,1,13,13,10,NULL,6,NULL),(16,427,1,13,14,10,1,6,1),(16,427,1,13,15,1,4,NULL,2),(16,427,1,13,16,3,1,3,1),(16,427,1,13,17,4,NULL,3,NULL),(16,427,1,13,18,8,1,6,NULL),(16,427,1,13,19,7,1,5,1),(16,427,1,13,20,4,2,2,1),(16,427,1,14,1,NULL,1,1,2),(16,427,1,14,2,NULL,NULL,1,NULL),(16,427,1,14,3,1,NULL,NULL,1),(16,427,1,14,4,NULL,NULL,NULL,NULL),(16,427,1,14,5,NULL,1,1,NULL),(16,427,1,14,6,NULL,NULL,NULL,NULL),(16,427,1,14,7,NULL,NULL,NULL,NULL),(16,427,1,14,8,NULL,1,1,1),(16,427,1,14,9,NULL,1,NULL,NULL),(16,427,1,14,10,NULL,1,NULL,NULL),(16,427,1,14,11,1,2,2,1),(16,427,1,14,12,NULL,2,1,1),(16,427,1,14,13,1,3,2,1),(16,427,1,14,14,NULL,NULL,NULL,1),(16,427,1,14,15,NULL,NULL,NULL,1),(16,427,1,14,16,1,1,2,NULL),(16,427,1,14,17,1,1,1,1),(16,427,1,14,18,NULL,NULL,NULL,NULL),(16,427,1,14,19,NULL,NULL,1,NULL),(16,427,1,14,20,1,1,1,2),(16,427,1,15,1,1,1,2,NULL),(16,427,1,15,2,NULL,NULL,NULL,NULL),(16,427,1,15,3,1,NULL,NULL,NULL),(16,427,1,15,4,NULL,NULL,NULL,NULL),(16,427,1,15,5,NULL,NULL,NULL,2),(16,427,1,15,6,NULL,NULL,NULL,NULL),(16,427,1,15,7,NULL,NULL,NULL,NULL),(16,427,1,15,8,NULL,NULL,NULL,2),(16,427,1,15,9,NULL,1,NULL,1),(16,427,1,15,10,NULL,NULL,1,NULL),(16,427,1,15,11,NULL,NULL,NULL,2),(16,427,1,15,12,NULL,NULL,NULL,1),(16,427,1,15,13,1,NULL,1,NULL),(16,427,1,15,14,NULL,NULL,NULL,NULL),(16,427,1,15,15,NULL,NULL,NULL,NULL),(16,427,1,15,16,2,NULL,NULL,NULL),(16,427,1,15,17,1,1,1,NULL),(16,427,1,15,18,NULL,1,NULL,NULL),(16,427,1,15,19,1,1,NULL,NULL),(16,427,1,15,20,NULL,NULL,NULL,NULL),(16,427,1,16,1,1,2,NULL,NULL),(16,427,1,16,2,NULL,NULL,NULL,NULL),(16,427,1,16,3,1,1,1,NULL),(16,427,1,16,4,NULL,1,NULL,1),(16,427,1,16,5,NULL,NULL,NULL,NULL),(16,427,1,16,6,NULL,NULL,NULL,NULL),(16,427,1,16,7,2,1,NULL,NULL),(16,427,1,16,8,2,1,2,NULL),(16,427,1,16,9,1,NULL,1,NULL),(16,427,1,16,10,NULL,NULL,NULL,NULL),(16,427,1,16,11,1,4,NULL,1),(16,427,1,16,12,1,1,1,NULL),(16,427,1,16,13,2,2,NULL,1),(16,427,1,16,14,NULL,1,NULL,NULL),(16,427,1,16,15,2,3,1,1),(16,427,1,16,16,NULL,3,NULL,1),(16,427,1,16,17,NULL,3,NULL,1),(16,427,1,16,18,2,2,1,1),(16,427,1,16,19,NULL,1,NULL,NULL),(16,427,1,16,20,NULL,2,NULL,1),(16,427,1,17,1,4,2,4,3),(16,427,1,17,2,NULL,NULL,NULL,NULL),(16,427,1,17,3,NULL,4,NULL,3),(16,427,1,17,4,NULL,1,NULL,2),(16,427,1,17,5,NULL,2,NULL,3),(16,427,1,17,6,2,1,1,2),(16,427,1,17,7,1,1,NULL,1),(16,427,1,17,8,NULL,1,NULL,2),(16,427,1,17,9,2,2,2,2),(16,427,1,17,10,2,1,2,2),(16,427,1,17,11,3,5,3,5),(16,427,1,17,12,1,NULL,1,NULL),(16,427,1,17,13,3,6,1,5),(16,427,1,17,14,2,1,2,1),(16,427,1,17,15,3,4,3,4),(16,427,1,17,16,NULL,3,NULL,2),(16,427,1,17,17,3,3,3,3),(16,427,1,17,18,3,3,3,2),(16,427,1,17,19,3,NULL,3,2),(16,427,1,17,20,NULL,1,NULL,2),(16,427,2,21,1,NULL,NULL,NULL,NULL),(16,427,2,21,2,NULL,1,NULL,NULL),(16,427,2,21,3,2,NULL,NULL,NULL),(16,427,2,21,4,NULL,1,1,1),(16,427,2,21,5,1,3,NULL,1),(16,427,2,21,6,NULL,NULL,NULL,NULL),(16,427,2,21,7,NULL,NULL,NULL,NULL),(16,427,2,21,8,NULL,NULL,1,NULL),(16,427,2,21,9,NULL,NULL,NULL,NULL),(16,427,2,21,10,1,NULL,NULL,NULL),(16,427,2,21,11,NULL,1,NULL,1),(16,427,2,21,12,1,NULL,2,1),(16,427,2,21,13,1,1,1,1),(16,427,2,21,14,4,1,2,3),(16,427,2,21,15,1,1,2,NULL),(16,427,2,21,16,NULL,NULL,NULL,NULL),(16,427,2,21,17,1,NULL,NULL,1),(16,427,2,21,18,NULL,1,NULL,1),(16,427,2,21,19,1,2,1,2),(16,427,2,21,20,1,4,1,3),(16,427,2,21,21,1,3,1,2),(16,427,2,21,22,2,NULL,1,NULL),(16,427,2,21,23,NULL,1,NULL,2),(16,427,2,21,24,2,1,NULL,1),(16,427,2,21,25,NULL,NULL,NULL,NULL),(16,427,2,21,26,9,NULL,5,NULL),(16,427,2,21,27,NULL,NULL,NULL,NULL),(16,427,2,21,28,1,NULL,1,1),(16,427,2,21,29,3,1,1,3),(16,427,2,21,30,1,2,1,1),(16,427,2,22,1,NULL,NULL,NULL,NULL),(16,427,2,22,2,NULL,2,NULL,1),(16,427,2,22,3,1,4,1,2),(16,427,2,22,4,NULL,NULL,NULL,NULL),(16,427,2,22,5,1,1,1,NULL),(16,427,2,22,6,NULL,1,NULL,1),(16,427,2,22,7,1,1,1,NULL),(16,427,2,22,8,NULL,1,NULL,1),(16,427,2,22,9,NULL,NULL,NULL,NULL),(16,427,2,22,10,NULL,NULL,NULL,NULL),(16,427,2,22,11,NULL,NULL,1,NULL),(16,427,2,22,12,2,1,1,1),(16,427,2,22,13,1,1,1,1),(16,427,2,22,14,3,1,2,2),(16,427,2,22,15,2,NULL,1,NULL),(16,427,2,22,16,NULL,2,NULL,2),(16,427,2,22,17,2,3,2,1),(16,427,2,22,18,1,1,1,1),(16,427,2,22,19,2,2,3,1),(16,427,2,22,20,1,1,1,1),(16,427,2,22,21,2,1,1,1),(16,427,2,22,22,NULL,2,NULL,1),(16,427,2,22,23,1,2,1,1),(16,427,2,22,24,1,2,1,1),(16,427,2,22,25,NULL,NULL,NULL,NULL),(16,427,2,22,26,8,NULL,5,NULL),(16,427,2,22,27,1,1,1,1),(16,427,2,22,28,1,NULL,NULL,NULL),(16,427,2,22,29,NULL,NULL,1,NULL),(16,427,2,22,30,NULL,1,NULL,1),(16,427,2,23,1,NULL,NULL,NULL,NULL),(16,427,2,23,2,NULL,2,NULL,3),(16,427,2,23,3,2,1,2,1),(16,427,2,23,4,NULL,3,1,2),(16,427,2,23,5,1,5,NULL,2),(16,427,2,23,6,NULL,NULL,1,NULL),(16,427,2,23,7,1,3,1,1),(16,427,2,23,8,NULL,4,NULL,4),(16,427,2,23,9,NULL,NULL,NULL,NULL),(16,427,2,23,10,NULL,2,NULL,4),(16,427,2,23,11,1,2,1,2),(16,427,2,23,12,2,3,1,2),(16,427,2,23,13,NULL,3,1,1),(16,427,2,23,14,3,4,4,3),(16,427,2,23,15,7,1,4,NULL),(16,427,2,23,16,3,1,4,2),(16,427,2,23,17,NULL,4,1,2),(16,427,2,23,18,NULL,1,1,NULL),(16,427,2,23,19,1,5,NULL,4),(16,427,2,23,20,3,1,5,NULL),(16,427,2,23,21,1,5,1,3),(16,427,2,23,22,NULL,1,NULL,1),(16,427,2,23,23,NULL,2,1,3),(16,427,2,23,24,NULL,7,NULL,5),(16,427,2,23,25,NULL,NULL,NULL,NULL),(16,427,2,23,26,10,NULL,9,NULL),(16,427,2,23,27,NULL,3,NULL,2),(16,427,2,23,28,NULL,2,NULL,NULL),(16,427,2,23,29,NULL,5,1,3),(16,427,2,23,30,NULL,NULL,NULL,NULL),(16,427,2,24,1,NULL,3,NULL,1),(16,427,2,24,2,NULL,3,NULL,2),(16,427,2,24,3,1,1,1,NULL),(16,427,2,24,4,1,2,2,NULL),(16,427,2,24,5,NULL,3,NULL,2),(16,427,2,24,6,NULL,1,NULL,NULL),(16,427,2,24,7,NULL,4,NULL,1),(16,427,2,24,8,1,NULL,1,NULL),(16,427,2,24,9,NULL,NULL,NULL,NULL),(16,427,2,24,10,NULL,1,NULL,1),(16,427,2,24,11,NULL,NULL,NULL,NULL),(16,427,2,24,12,NULL,2,NULL,1),(16,427,2,24,13,NULL,2,NULL,1),(16,427,2,24,14,1,3,1,3),(16,427,2,24,15,5,NULL,3,2),(16,427,2,24,16,2,NULL,2,NULL),(16,427,2,24,17,2,NULL,2,NULL),(16,427,2,24,18,NULL,1,NULL,NULL),(16,427,2,24,19,1,2,NULL,3),(16,427,2,24,20,2,2,1,2),(16,427,2,24,21,NULL,2,1,3),(16,427,2,24,22,1,1,1,NULL),(16,427,2,24,23,1,1,1,NULL),(16,427,2,24,24,NULL,3,NULL,2),(16,427,2,24,25,NULL,NULL,NULL,NULL),(16,427,2,24,26,7,NULL,6,NULL),(16,427,2,24,27,NULL,NULL,NULL,NULL),(16,427,2,24,28,NULL,1,NULL,2),(16,427,2,24,29,1,3,1,2),(16,427,2,24,30,NULL,2,NULL,1),(16,427,3,31,1,NULL,2,NULL,3),(16,427,3,31,2,1,1,NULL,2),(16,427,3,31,3,NULL,1,NULL,1),(16,427,3,31,4,NULL,1,NULL,1),(16,427,3,31,5,NULL,1,NULL,1),(16,427,3,31,6,2,2,2,3),(16,427,3,31,7,NULL,NULL,NULL,1),(16,427,3,31,8,NULL,NULL,NULL,NULL),(16,427,3,31,9,NULL,NULL,NULL,NULL),(16,427,3,31,10,1,NULL,NULL,NULL),(16,427,3,31,11,1,3,NULL,2),(16,427,3,31,12,1,2,1,4),(16,427,3,31,13,NULL,1,NULL,2),(16,427,3,31,14,NULL,1,NULL,1),(16,427,3,31,15,2,2,2,2),(16,427,3,31,16,2,NULL,2,NULL),(16,427,3,31,17,2,3,3,2),(16,427,3,31,18,NULL,2,1,1),(16,427,3,31,19,2,1,2,1),(16,427,3,31,20,4,NULL,5,NULL),(16,427,3,31,21,1,3,2,2),(16,427,3,31,22,NULL,NULL,NULL,NULL),(16,427,3,31,23,NULL,NULL,NULL,1),(16,427,3,31,24,NULL,NULL,NULL,NULL),(16,427,3,31,25,NULL,1,NULL,1),(16,427,3,31,26,NULL,1,NULL,NULL),(16,427,3,31,27,NULL,NULL,NULL,NULL),(16,427,3,31,28,NULL,NULL,NULL,NULL),(16,427,3,31,29,NULL,NULL,NULL,1),(16,427,3,31,30,NULL,NULL,NULL,NULL),(16,427,3,32,1,NULL,1,1,NULL),(16,427,3,32,2,NULL,1,NULL,1),(16,427,3,32,3,NULL,1,NULL,NULL),(16,427,3,32,4,NULL,1,NULL,1),(16,427,3,32,5,NULL,2,NULL,2),(16,427,3,32,6,5,1,5,1),(16,427,3,32,7,NULL,1,NULL,NULL),(16,427,3,32,8,NULL,2,NULL,1),(16,427,3,32,9,NULL,NULL,NULL,NULL),(16,427,3,32,10,NULL,NULL,NULL,NULL),(16,427,3,32,11,2,2,1,1),(16,427,3,32,12,1,4,1,3),(16,427,3,32,13,1,2,1,1),(16,427,3,32,14,NULL,6,NULL,5),(16,427,3,32,15,1,1,1,NULL),(16,427,3,32,16,2,5,2,3),(16,427,3,32,17,4,2,5,NULL),(16,427,3,32,18,2,NULL,2,1),(16,427,3,32,19,NULL,4,NULL,4),(16,427,3,32,20,2,NULL,2,NULL),(16,427,3,32,21,NULL,3,NULL,3),(16,427,3,32,22,NULL,2,NULL,3),(16,427,3,32,23,NULL,2,NULL,3),(16,427,3,32,24,1,NULL,2,NULL),(16,427,3,32,25,NULL,NULL,NULL,1),(16,427,3,32,26,NULL,1,NULL,NULL),(16,427,3,32,27,NULL,NULL,NULL,NULL),(16,427,3,32,28,NULL,2,NULL,3),(16,427,3,32,29,NULL,2,1,3),(16,427,3,32,30,1,NULL,NULL,3),(16,427,3,33,1,1,NULL,1,NULL),(16,427,3,33,2,NULL,NULL,NULL,NULL),(16,427,3,33,3,NULL,1,NULL,NULL),(16,427,3,33,4,NULL,NULL,NULL,1),(16,427,3,33,5,1,5,NULL,3),(16,427,3,33,6,6,1,2,2),(16,427,3,33,7,NULL,1,NULL,1),(16,427,3,33,8,NULL,NULL,NULL,NULL),(16,427,3,33,9,NULL,1,NULL,1),(16,427,3,33,10,NULL,NULL,NULL,NULL),(16,427,3,33,11,NULL,2,NULL,1),(16,427,3,33,12,2,NULL,2,1),(16,427,3,33,13,2,1,1,NULL),(16,427,3,33,14,1,3,1,3),(16,427,3,33,15,2,1,1,1),(16,427,3,33,16,1,1,NULL,1),(16,427,3,33,17,3,1,3,1),(16,427,3,33,18,NULL,NULL,NULL,1),(16,427,3,33,19,NULL,NULL,NULL,NULL),(16,427,3,33,20,1,NULL,1,NULL),(16,427,3,33,21,NULL,3,NULL,2),(16,427,3,33,22,NULL,2,NULL,1),(16,427,3,33,23,NULL,1,NULL,1),(16,427,3,33,24,NULL,1,NULL,NULL),(16,427,3,33,25,NULL,NULL,NULL,NULL),(16,427,3,33,26,NULL,1,NULL,NULL),(16,427,3,33,27,NULL,NULL,NULL,NULL),(16,427,3,33,28,NULL,1,NULL,NULL),(16,427,3,33,29,NULL,2,NULL,1),(16,427,3,33,30,NULL,NULL,NULL,NULL),(16,427,3,34,1,1,1,NULL,2),(16,427,3,34,2,NULL,2,NULL,2),(16,427,3,34,3,NULL,NULL,NULL,NULL),(16,427,3,34,4,NULL,1,NULL,2),(16,427,3,34,5,2,NULL,NULL,NULL),(16,427,3,34,6,2,4,NULL,3),(16,427,3,34,7,NULL,1,NULL,1),(16,427,3,34,8,NULL,NULL,NULL,NULL),(16,427,3,34,9,NULL,NULL,NULL,NULL),(16,427,3,34,10,NULL,1,NULL,1),(16,427,3,34,11,2,2,2,1),(16,427,3,34,12,NULL,3,NULL,3),(16,427,3,34,13,NULL,1,NULL,1),(16,427,3,34,14,2,1,2,2),(16,427,3,34,15,1,1,1,1),(16,427,3,34,16,3,3,2,1),(16,427,3,34,17,2,NULL,2,2),(16,427,3,34,18,NULL,1,NULL,2),(16,427,3,34,19,1,3,1,2),(16,427,3,34,20,2,NULL,2,NULL),(16,427,3,34,21,1,3,NULL,3),(16,427,3,34,22,1,NULL,NULL,NULL),(16,427,3,34,23,NULL,2,NULL,2),(16,427,3,34,24,NULL,1,NULL,NULL),(16,427,3,34,25,NULL,NULL,NULL,NULL),(16,427,3,34,26,NULL,NULL,NULL,NULL),(16,427,3,34,27,1,1,NULL,NULL),(16,427,3,34,28,NULL,1,NULL,1),(16,427,3,34,29,NULL,1,NULL,NULL),(16,427,3,34,30,NULL,NULL,NULL,NULL),(16,428,1,11,1,NULL,NULL,NULL,NULL),(16,428,1,11,2,NULL,NULL,NULL,NULL),(16,428,1,11,3,NULL,NULL,NULL,NULL),(16,428,1,11,4,NULL,NULL,NULL,NULL),(16,428,1,11,5,NULL,NULL,NULL,NULL),(16,428,1,11,6,NULL,NULL,NULL,NULL),(16,428,1,11,7,NULL,NULL,NULL,NULL),(16,428,1,11,8,NULL,NULL,NULL,NULL),(16,428,1,11,9,NULL,NULL,NULL,NULL),(16,428,1,11,10,NULL,NULL,NULL,NULL),(16,428,1,11,11,NULL,NULL,NULL,NULL),(16,428,1,11,12,NULL,NULL,NULL,NULL),(16,428,1,11,13,NULL,NULL,NULL,NULL),(16,428,1,11,14,NULL,NULL,NULL,NULL),(16,428,1,11,15,NULL,NULL,NULL,NULL),(16,428,1,11,16,NULL,NULL,NULL,NULL),(16,428,1,11,17,NULL,NULL,NULL,NULL),(16,428,1,11,18,NULL,NULL,NULL,NULL),(16,428,1,11,19,NULL,NULL,NULL,NULL),(16,428,1,11,20,NULL,NULL,NULL,NULL),(16,428,1,12,1,2,1,1,1),(16,428,1,12,2,NULL,1,NULL,1),(16,428,1,12,3,1,1,1,NULL),(16,428,1,12,4,NULL,NULL,NULL,NULL),(16,428,1,12,5,2,NULL,1,NULL),(16,428,1,12,6,NULL,2,NULL,1),(16,428,1,12,7,NULL,NULL,NULL,NULL),(16,428,1,12,8,NULL,NULL,NULL,NULL),(16,428,1,12,9,NULL,1,NULL,1),(16,428,1,12,10,1,NULL,1,NULL),(16,428,1,12,11,2,1,1,1),(16,428,1,12,12,2,NULL,1,NULL),(16,428,1,12,13,2,1,2,NULL),(16,428,1,12,14,3,NULL,2,NULL),(16,428,1,12,15,1,1,1,1),(16,428,1,12,16,2,NULL,2,NULL),(16,428,1,12,17,2,1,2,NULL),(16,428,1,12,18,3,NULL,2,NULL),(16,428,1,12,19,2,NULL,2,NULL),(16,428,1,12,20,2,NULL,2,NULL),(16,428,1,13,1,NULL,NULL,NULL,NULL),(16,428,1,13,2,NULL,NULL,NULL,NULL),(16,428,1,13,3,NULL,NULL,NULL,NULL),(16,428,1,13,4,NULL,NULL,NULL,NULL),(16,428,1,13,5,NULL,NULL,NULL,NULL),(16,428,1,13,6,NULL,NULL,NULL,NULL),(16,428,1,13,7,NULL,NULL,NULL,NULL),(16,428,1,13,8,NULL,NULL,NULL,NULL),(16,428,1,13,9,NULL,NULL,NULL,NULL),(16,428,1,13,10,NULL,NULL,NULL,NULL),(16,428,1,13,11,NULL,NULL,NULL,NULL),(16,428,1,13,12,NULL,NULL,NULL,NULL),(16,428,1,13,13,NULL,NULL,NULL,NULL),(16,428,1,13,14,NULL,NULL,NULL,NULL),(16,428,1,13,15,NULL,NULL,NULL,NULL),(16,428,1,13,16,NULL,NULL,NULL,NULL),(16,428,1,13,17,NULL,NULL,NULL,NULL),(16,428,1,13,18,NULL,NULL,NULL,NULL),(16,428,1,13,19,NULL,NULL,NULL,NULL),(16,428,1,13,20,NULL,NULL,NULL,NULL),(16,428,1,14,1,19,13,13,5),(16,428,1,14,2,3,5,2,5),(16,428,1,14,3,13,13,7,10),(16,428,1,14,4,5,10,3,8),(16,428,1,14,5,16,6,7,4),(16,428,1,14,6,3,8,3,7),(16,428,1,14,7,10,2,9,1),(16,428,1,14,8,13,11,8,6),(16,428,1,14,9,8,5,6,1),(16,428,1,14,10,19,6,12,3),(16,428,1,14,11,15,5,12,4),(16,428,1,14,12,8,8,6,5),(16,428,1,14,13,16,12,12,5),(16,428,1,14,14,6,5,6,4),(16,428,1,14,15,6,4,5,4),(16,428,1,14,16,12,10,8,4),(16,428,1,14,17,8,13,6,10),(16,428,1,14,18,5,5,3,4),(16,428,1,14,19,10,12,8,7),(16,428,1,14,20,8,14,6,8),(16,428,1,15,1,15,10,10,6),(16,428,1,15,2,3,3,3,1),(16,428,1,15,3,8,8,8,8),(16,428,1,15,4,2,7,2,7),(16,428,1,15,5,5,9,3,6),(16,428,1,15,6,1,8,NULL,6),(16,428,1,15,7,5,NULL,5,NULL),(16,428,1,15,8,6,9,5,6),(16,428,1,15,9,3,1,1,1),(16,428,1,15,10,15,3,9,4),(16,428,1,15,11,13,7,9,2),(16,428,1,15,12,5,6,5,4),(16,428,1,15,13,16,12,12,7),(16,428,1,15,14,7,7,5,5),(16,428,1,15,15,1,8,1,6),(16,428,1,15,16,14,6,10,5),(16,428,1,15,17,13,8,11,7),(16,428,1,15,18,5,2,5,2),(16,428,1,15,19,9,7,6,6),(16,428,1,15,20,9,10,10,6),(16,428,1,16,1,12,12,9,8),(16,428,1,16,2,2,3,2,2),(16,428,1,16,3,7,9,4,4),(16,428,1,16,4,NULL,9,NULL,8),(16,428,1,16,5,19,8,11,4),(16,428,1,16,6,2,7,2,5),(16,428,1,16,7,1,3,1,2),(16,428,1,16,8,5,14,5,11),(16,428,1,16,9,4,7,3,6),(16,428,1,16,10,13,7,9,4),(16,428,1,16,11,8,31,NULL,23),(16,428,1,16,12,NULL,7,NULL,7),(16,428,1,16,13,12,14,7,11),(16,428,1,16,14,5,19,2,10),(16,428,1,16,15,18,16,6,11),(16,428,1,16,16,3,13,1,10),(16,428,1,16,17,13,16,9,10),(16,428,1,16,18,11,10,6,7),(16,428,1,16,19,12,20,8,11),(16,428,1,16,20,3,17,3,9),(16,428,1,17,1,12,5,6,2),(16,428,1,17,2,3,1,1,1),(16,428,1,17,3,5,10,4,7),(16,428,1,17,4,1,3,1,4),(16,428,1,17,5,6,9,4,4),(16,428,1,17,6,2,2,1,2),(16,428,1,17,7,5,2,3,1),(16,428,1,17,8,7,5,4,4),(16,428,1,17,9,3,4,3,1),(16,428,1,17,10,13,5,7,2),(16,428,1,17,11,11,16,6,7),(16,428,1,17,12,3,4,2,4),(16,428,1,17,13,10,8,7,4),(16,428,1,17,14,3,14,2,10),(16,428,1,17,15,11,12,5,8),(16,428,1,17,16,NULL,6,NULL,2),(16,428,1,17,17,3,15,1,10),(16,428,1,17,18,4,10,3,6),(16,428,1,17,19,3,17,2,10),(16,428,1,17,20,NULL,15,NULL,10),(16,428,2,21,1,2,2,2,2),(16,428,2,21,2,3,17,2,11),(16,428,2,21,3,9,4,7,2),(16,428,2,21,4,12,6,9,1),(16,428,2,21,5,8,9,5,7),(16,428,2,21,6,4,7,3,6),(16,428,2,21,7,4,8,4,5),(16,428,2,21,8,5,10,3,6),(16,428,2,21,9,NULL,3,NULL,3),(16,428,2,21,10,5,6,5,4),(16,428,2,21,11,3,3,1,1),(16,428,2,21,12,7,4,5,2),(16,428,2,21,13,4,7,4,4),(16,428,2,21,14,15,11,10,7),(16,428,2,21,15,19,2,14,1),(16,428,2,21,16,11,9,7,6),(16,428,2,21,17,5,9,1,7),(16,428,2,21,18,5,4,4,3),(16,428,2,21,19,11,13,7,8),(16,428,2,21,20,5,6,4,6),(16,428,2,21,21,4,8,2,4),(16,428,2,21,22,4,4,2,3),(16,428,2,21,23,NULL,8,NULL,5),(16,428,2,21,24,4,16,2,6),(16,428,2,21,25,1,NULL,1,NULL),(16,428,2,21,26,46,NULL,22,NULL),(16,428,2,21,27,3,7,1,6),(16,428,2,21,28,1,5,NULL,4),(16,428,2,21,29,5,14,1,7),(16,428,2,21,30,4,6,3,4),(16,428,2,22,1,1,5,1,5),(16,428,2,22,2,5,13,5,7),(16,428,2,22,3,7,9,7,5),(16,428,2,22,4,15,8,12,5),(16,428,2,22,5,7,15,5,9),(16,428,2,22,6,3,5,3,5),(16,428,2,22,7,2,11,3,6),(16,428,2,22,8,4,6,2,4),(16,428,2,22,9,1,4,1,4),(16,428,2,22,10,3,7,3,3),(16,428,2,22,11,3,7,1,5),(16,428,2,22,12,6,15,4,9),(16,428,2,22,13,3,9,2,7),(16,428,2,22,14,14,17,10,11),(16,428,2,22,15,17,5,12,1),(16,428,2,22,16,9,10,6,4),(16,428,2,22,17,5,9,4,6),(16,428,2,22,18,1,9,NULL,6),(16,428,2,22,19,11,14,5,8),(16,428,2,22,20,4,12,4,10),(16,428,2,22,21,3,13,NULL,11),(16,428,2,22,22,2,5,1,5),(16,428,2,22,23,4,7,3,7),(16,428,2,22,24,3,19,1,14),(16,428,2,22,25,1,NULL,1,NULL),(16,428,2,22,26,44,NULL,24,NULL),(16,428,2,22,27,3,11,2,6),(16,428,2,22,28,1,5,NULL,4),(16,428,2,22,29,3,11,3,11),(16,428,2,22,30,5,2,5,1),(16,428,2,23,1,NULL,4,NULL,4),(16,428,2,23,2,1,15,NULL,9),(16,428,2,23,3,3,3,3,2),(16,428,2,23,4,11,5,7,3),(16,428,2,23,5,3,9,2,5),(16,428,2,23,6,4,8,2,6),(16,428,2,23,7,4,6,2,4),(16,428,2,23,8,1,5,1,NULL),(16,428,2,23,9,NULL,2,NULL,1),(16,428,2,23,10,1,7,1,5),(16,428,2,23,11,1,2,1,2),(16,428,2,23,12,5,8,3,6),(16,428,2,23,13,4,7,1,5),(16,428,2,23,14,12,5,9,2),(16,428,2,23,15,13,5,8,2),(16,428,2,23,16,2,12,2,7),(16,428,2,23,17,4,4,2,1),(16,428,2,23,18,2,5,2,3),(16,428,2,23,19,8,13,6,5),(16,428,2,23,20,9,7,6,4),(16,428,2,23,21,2,10,NULL,6),(16,428,2,23,22,3,2,3,2),(16,428,2,23,23,3,5,2,4),(16,428,2,23,24,5,11,3,5),(16,428,2,23,25,NULL,NULL,NULL,NULL),(16,428,2,23,26,37,NULL,17,NULL),(16,428,2,23,27,1,8,NULL,4),(16,428,2,23,28,2,3,1,1),(16,428,2,23,29,5,12,2,8),(16,428,2,23,30,NULL,6,NULL,3),(16,428,2,24,1,1,4,1,3),(16,428,2,24,2,NULL,7,NULL,4),(16,428,2,24,3,6,6,3,3),(16,428,2,24,4,7,8,2,4),(16,428,2,24,5,3,7,2,3),(16,428,2,24,6,1,4,NULL,2),(16,428,2,24,7,2,7,NULL,5),(16,428,2,24,8,6,5,2,3),(16,428,2,24,9,NULL,4,NULL,3),(16,428,2,24,10,3,1,1,1),(16,428,2,24,11,4,5,3,3),(16,428,2,24,12,8,8,5,4),(16,428,2,24,13,4,8,1,6),(16,428,2,24,14,7,11,3,7),(16,428,2,24,15,13,4,9,1),(16,428,2,24,16,8,5,5,4),(16,428,2,24,17,NULL,6,NULL,3),(16,428,2,24,18,4,5,3,2),(16,428,2,24,19,8,15,1,11),(16,428,2,24,20,3,6,3,3),(16,428,2,24,21,3,11,NULL,6),(16,428,2,24,22,1,5,1,2),(16,428,2,24,23,4,4,3,3),(16,428,2,24,24,3,13,3,6),(16,428,2,24,25,2,NULL,2,NULL),(16,428,2,24,26,42,NULL,17,NULL),(16,428,2,24,27,NULL,6,NULL,5),(16,428,2,24,28,NULL,6,NULL,1),(16,428,2,24,29,1,10,NULL,5),(16,428,2,24,30,3,NULL,3,NULL),(16,428,3,31,1,2,5,1,3),(16,428,3,31,2,NULL,8,NULL,6),(16,428,3,31,3,NULL,2,NULL,1),(16,428,3,31,4,3,6,2,3),(16,428,3,31,5,3,6,1,4),(16,428,3,31,6,16,11,6,8),(16,428,3,31,7,NULL,2,NULL,1),(16,428,3,31,8,1,3,NULL,1),(16,428,3,31,9,NULL,1,NULL,NULL),(16,428,3,31,10,1,1,1,NULL),(16,428,3,31,11,12,8,8,5),(16,428,3,31,12,5,9,1,6),(16,428,3,31,13,3,8,2,3),(16,428,3,31,14,3,14,2,10),(16,428,3,31,15,5,9,4,6),(16,428,3,31,16,4,13,2,6),(16,428,3,31,17,12,9,8,5),(16,428,3,31,18,4,6,4,3),(16,428,3,31,19,1,8,1,6),(16,428,3,31,20,14,NULL,12,NULL),(16,428,3,31,21,8,17,5,9),(16,428,3,31,22,NULL,4,NULL,1),(16,428,3,31,23,2,8,1,4),(16,428,3,31,24,NULL,3,NULL,2),(16,428,3,31,25,NULL,5,NULL,3),(16,428,3,31,26,NULL,2,NULL,1),(16,428,3,31,27,1,2,NULL,NULL),(16,428,3,31,28,1,4,1,2),(16,428,3,31,29,4,4,1,3),(16,428,3,31,30,NULL,NULL,NULL,NULL),(16,428,3,32,1,1,5,NULL,4),(16,428,3,32,2,NULL,5,NULL,3),(16,428,3,32,3,NULL,3,NULL,2),(16,428,3,32,4,1,8,NULL,4),(16,428,3,32,5,3,10,2,5),(16,428,3,32,6,13,9,8,5),(16,428,3,32,7,NULL,4,NULL,2),(16,428,3,32,8,NULL,5,NULL,2),(16,428,3,32,9,NULL,1,NULL,1),(16,428,3,32,10,1,1,NULL,NULL),(16,428,3,32,11,5,5,2,4),(16,428,3,32,12,2,10,1,8),(16,428,3,32,13,3,2,1,1),(16,428,3,32,14,4,7,4,4),(16,428,3,32,15,9,7,7,4),(16,428,3,32,16,5,15,3,9),(16,428,3,32,17,14,10,10,6),(16,428,3,32,18,7,3,5,1),(16,428,3,32,19,4,4,5,3),(16,428,3,32,20,15,NULL,12,NULL),(16,428,3,32,21,6,12,5,7),(16,428,3,32,22,NULL,3,NULL,2),(16,428,3,32,23,2,4,1,2),(16,428,3,32,24,1,2,1,NULL),(16,428,3,32,25,NULL,3,NULL,2),(16,428,3,32,26,NULL,3,NULL,2),(16,428,3,32,27,NULL,2,NULL,1),(16,428,3,32,28,3,8,2,6),(16,428,3,32,29,5,5,3,4),(16,428,3,32,30,NULL,3,NULL,1),(16,428,3,33,1,4,6,2,5),(16,428,3,33,2,3,3,2,2),(16,428,3,33,3,2,4,1,3),(16,428,3,33,4,2,11,1,7),(16,428,3,33,5,4,14,3,7),(16,428,3,33,6,23,11,17,6),(16,428,3,33,7,NULL,4,NULL,4),(16,428,3,33,8,NULL,4,NULL,3),(16,428,3,33,9,1,5,1,2),(16,428,3,33,10,4,8,2,5),(16,428,3,33,11,5,10,2,7),(16,428,3,33,12,6,12,5,8),(16,428,3,33,13,3,9,3,5),(16,428,3,33,14,9,13,6,6),(16,428,3,33,15,10,8,7,3),(16,428,3,33,16,6,21,3,15),(16,428,3,33,17,14,16,9,10),(16,428,3,33,18,6,5,4,4),(16,428,3,33,19,3,8,2,4),(16,428,3,33,20,31,NULL,21,NULL),(16,428,3,33,21,8,16,6,6),(16,428,3,33,22,1,2,1,1),(16,428,3,33,23,NULL,6,NULL,4),(16,428,3,33,24,2,NULL,2,NULL),(16,428,3,33,25,NULL,4,NULL,2),(16,428,3,33,26,NULL,NULL,NULL,NULL),(16,428,3,33,27,2,3,2,2),(16,428,3,33,28,4,4,4,3),(16,428,3,33,29,4,12,4,7),(16,428,3,33,30,1,NULL,NULL,NULL),(16,428,3,34,1,1,8,1,5),(16,428,3,34,2,1,4,NULL,2),(16,428,3,34,3,1,5,NULL,4),(16,428,3,34,4,NULL,8,NULL,4),(16,428,3,34,5,4,13,4,7),(16,428,3,34,6,20,12,14,4),(16,428,3,34,7,NULL,1,NULL,1),(16,428,3,34,8,NULL,2,NULL,1),(16,428,3,34,9,NULL,1,NULL,1),(16,428,3,34,10,2,5,1,NULL),(16,428,3,34,11,3,16,1,10),(16,428,3,34,12,4,11,3,8),(16,428,3,34,13,8,9,5,8),(16,428,3,34,14,9,9,6,7),(16,428,3,34,15,10,13,9,8),(16,428,3,34,16,8,17,6,11),(16,428,3,34,17,11,14,10,8),(16,428,3,34,18,8,7,7,3),(16,428,3,34,19,5,9,4,5),(16,428,3,34,20,21,NULL,12,NULL),(16,428,3,34,21,8,19,5,8),(16,428,3,34,22,NULL,6,NULL,5),(16,428,3,34,23,2,5,2,2),(16,428,3,34,24,3,4,2,2),(16,428,3,34,25,NULL,6,NULL,5),(16,428,3,34,26,1,5,1,2),(16,428,3,34,27,NULL,4,NULL,1),(16,428,3,34,28,4,8,2,4),(16,428,3,34,29,6,6,6,2),(16,428,3,34,30,NULL,NULL,NULL,NULL),(16,429,1,11,1,NULL,NULL,NULL,NULL),(16,429,1,11,2,NULL,NULL,NULL,NULL),(16,429,1,11,3,NULL,NULL,NULL,NULL),(16,429,1,11,4,NULL,NULL,NULL,NULL),(16,429,1,11,5,NULL,NULL,NULL,NULL),(16,429,1,11,6,NULL,NULL,NULL,NULL),(16,429,1,11,7,NULL,NULL,NULL,NULL),(16,429,1,11,8,NULL,NULL,NULL,NULL),(16,429,1,11,9,NULL,1,NULL,NULL),(16,429,1,11,10,NULL,1,NULL,NULL),(16,429,1,11,11,1,NULL,NULL,NULL),(16,429,1,11,12,NULL,NULL,NULL,NULL),(16,429,1,11,13,NULL,1,NULL,NULL),(16,429,1,11,14,1,NULL,NULL,NULL),(16,429,1,11,15,1,NULL,NULL,NULL),(16,429,1,11,16,1,NULL,NULL,NULL),(16,429,1,11,17,1,NULL,NULL,NULL),(16,429,1,11,18,NULL,1,NULL,NULL),(16,429,1,11,19,1,NULL,NULL,NULL),(16,429,1,11,20,1,NULL,NULL,NULL),(16,429,1,12,1,NULL,NULL,NULL,NULL),(16,429,1,12,2,NULL,NULL,NULL,NULL),(16,429,1,12,3,NULL,NULL,NULL,NULL),(16,429,1,12,4,NULL,NULL,NULL,NULL),(16,429,1,12,5,NULL,NULL,NULL,NULL),(16,429,1,12,6,NULL,NULL,NULL,NULL),(16,429,1,12,7,NULL,NULL,NULL,NULL),(16,429,1,12,8,NULL,NULL,NULL,NULL),(16,429,1,12,9,NULL,NULL,NULL,NULL),(16,429,1,12,10,NULL,NULL,NULL,NULL),(16,429,1,12,11,NULL,NULL,NULL,NULL),(16,429,1,12,12,NULL,NULL,NULL,NULL),(16,429,1,12,13,NULL,NULL,NULL,NULL),(16,429,1,12,14,NULL,NULL,NULL,NULL),(16,429,1,12,15,NULL,NULL,NULL,NULL),(16,429,1,12,16,NULL,NULL,NULL,NULL),(16,429,1,12,17,NULL,NULL,NULL,NULL),(16,429,1,12,18,NULL,NULL,NULL,NULL),(16,429,1,12,19,NULL,NULL,NULL,NULL),(16,429,1,12,20,NULL,NULL,NULL,NULL),(16,429,1,13,1,NULL,NULL,NULL,NULL),(16,429,1,13,2,NULL,NULL,NULL,NULL),(16,429,1,13,3,NULL,NULL,NULL,NULL),(16,429,1,13,4,NULL,NULL,NULL,NULL),(16,429,1,13,5,NULL,NULL,NULL,NULL),(16,429,1,13,6,NULL,NULL,NULL,NULL),(16,429,1,13,7,NULL,NULL,NULL,NULL),(16,429,1,13,8,NULL,NULL,NULL,NULL),(16,429,1,13,9,NULL,NULL,NULL,NULL),(16,429,1,13,10,NULL,NULL,NULL,NULL),(16,429,1,13,11,NULL,NULL,NULL,NULL),(16,429,1,13,12,NULL,NULL,NULL,NULL),(16,429,1,13,13,NULL,NULL,NULL,NULL),(16,429,1,13,14,NULL,NULL,NULL,NULL),(16,429,1,13,15,NULL,NULL,NULL,NULL),(16,429,1,13,16,NULL,NULL,NULL,NULL),(16,429,1,13,17,NULL,NULL,NULL,NULL),(16,429,1,13,18,NULL,NULL,NULL,NULL),(16,429,1,13,19,NULL,NULL,NULL,NULL),(16,429,1,13,20,NULL,NULL,NULL,NULL),(16,429,1,14,1,8,6,9,NULL),(16,429,1,14,2,1,NULL,1,NULL),(16,429,1,14,3,3,8,3,5),(16,429,1,14,4,2,4,3,1),(16,429,1,14,5,7,4,7,1),(16,429,1,14,6,1,5,1,5),(16,429,1,14,7,NULL,1,NULL,NULL),(16,429,1,14,8,7,3,4,NULL),(16,429,1,14,9,3,8,2,4),(16,429,1,14,10,9,4,5,NULL),(16,429,1,14,11,3,4,4,2),(16,429,1,14,12,5,2,7,1),(16,429,1,14,13,9,7,5,4),(16,429,1,14,14,7,4,6,2),(16,429,1,14,15,3,4,2,4),(16,429,1,14,16,12,2,7,NULL),(16,429,1,14,17,10,8,7,4),(16,429,1,14,18,3,2,3,2),(16,429,1,14,19,10,4,8,1),(16,429,1,14,20,5,8,4,5),(16,429,1,15,1,8,13,7,4),(16,429,1,15,2,2,NULL,3,2),(16,429,1,15,3,8,14,4,8),(16,429,1,15,4,NULL,10,NULL,8),(16,429,1,15,5,9,10,6,5),(16,429,1,15,6,4,10,4,5),(16,429,1,15,7,5,1,1,NULL),(16,429,1,15,8,6,12,5,6),(16,429,1,15,9,2,9,1,4),(16,429,1,15,10,12,7,5,7),(16,429,1,15,11,10,5,8,NULL),(16,429,1,15,12,5,6,6,3),(16,429,1,15,13,18,8,11,4),(16,429,1,15,14,3,6,5,4),(16,429,1,15,15,2,11,2,6),(16,429,1,15,16,12,6,11,4),(16,429,1,15,17,10,11,8,7),(16,429,1,15,18,3,4,4,3),(16,429,1,15,19,10,9,9,4),(16,429,1,15,20,9,14,7,8),(16,429,1,16,1,8,3,4,NULL),(16,429,1,16,2,NULL,NULL,NULL,NULL),(16,429,1,16,3,5,1,2,NULL),(16,429,1,16,4,NULL,2,NULL,1),(16,429,1,16,5,10,4,4,1),(16,429,1,16,6,NULL,1,NULL,1),(16,429,1,16,7,NULL,1,NULL,1),(16,429,1,16,8,4,3,NULL,3),(16,429,1,16,9,1,2,1,NULL),(16,429,1,16,10,8,3,3,1),(16,429,1,16,11,3,11,NULL,5),(16,429,1,16,12,2,2,NULL,1),(16,429,1,16,13,7,3,2,2),(16,429,1,16,14,2,13,NULL,3),(16,429,1,16,15,5,7,1,2),(16,429,1,16,16,2,6,1,2),(16,429,1,16,17,4,6,NULL,4),(16,429,1,16,18,4,3,2,1),(16,429,1,16,19,1,10,NULL,4),(16,429,1,16,20,2,5,1,2),(16,429,1,17,1,3,3,1,2),(16,429,1,17,2,NULL,2,NULL,2),(16,429,1,17,3,2,2,NULL,2),(16,429,1,17,4,NULL,1,NULL,NULL),(16,429,1,17,5,2,2,NULL,NULL),(16,429,1,17,6,1,4,NULL,2),(16,429,1,17,7,3,NULL,NULL,NULL),(16,429,1,17,8,NULL,5,NULL,3),(16,429,1,17,9,NULL,2,NULL,1),(16,429,1,17,10,2,6,NULL,3),(16,429,1,17,11,3,7,NULL,3),(16,429,1,17,12,NULL,2,NULL,NULL),(16,429,1,17,13,3,5,NULL,1),(16,429,1,17,14,3,5,1,1),(16,429,1,17,15,2,8,1,2),(16,429,1,17,16,NULL,4,NULL,NULL),(16,429,1,17,17,2,6,NULL,3),(16,429,1,17,18,1,6,1,3),(16,429,1,17,19,3,8,1,3),(16,429,1,17,20,NULL,4,NULL,NULL),(16,429,2,21,1,NULL,NULL,NULL,NULL),(16,429,2,21,2,NULL,8,NULL,3),(16,429,2,21,3,3,4,2,NULL),(16,429,2,21,4,5,6,1,NULL),(16,429,2,21,5,4,6,1,1),(16,429,2,21,6,NULL,2,NULL,1),(16,429,2,21,7,4,3,NULL,NULL),(16,429,2,21,8,1,1,NULL,NULL),(16,429,2,21,9,NULL,5,NULL,2),(16,429,2,21,10,1,5,1,NULL),(16,429,2,21,11,1,2,NULL,1),(16,429,2,21,12,4,3,1,NULL),(16,429,2,21,13,1,3,2,NULL),(16,429,2,21,14,6,1,3,1),(16,429,2,21,15,9,2,3,1),(16,429,2,21,16,2,3,2,NULL),(16,429,2,21,17,1,2,1,NULL),(16,429,2,21,18,1,1,NULL,1),(16,429,2,21,19,5,7,4,2),(16,429,2,21,20,2,2,1,NULL),(16,429,2,21,21,4,4,3,NULL),(16,429,2,21,22,2,2,2,2),(16,429,2,21,23,NULL,2,1,NULL),(16,429,2,21,24,4,4,1,NULL),(16,429,2,21,25,NULL,NULL,NULL,NULL),(16,429,2,21,26,27,NULL,8,NULL),(16,429,2,21,27,3,3,NULL,1),(16,429,2,21,28,2,5,NULL,NULL),(16,429,2,21,29,1,6,NULL,1),(16,429,2,21,30,1,1,NULL,NULL),(16,429,2,22,1,NULL,3,NULL,2),(16,429,2,22,2,NULL,9,NULL,6),(16,429,2,22,3,6,2,2,1),(16,429,2,22,4,7,4,4,2),(16,429,2,22,5,3,9,NULL,7),(16,429,2,22,6,2,3,NULL,1),(16,429,2,22,7,2,3,NULL,2),(16,429,2,22,8,4,4,NULL,2),(16,429,2,22,9,NULL,NULL,NULL,NULL),(16,429,2,22,10,1,3,NULL,2),(16,429,2,22,11,1,2,1,2),(16,429,2,22,12,4,4,2,2),(16,429,2,22,13,3,6,NULL,5),(16,429,2,22,14,4,8,1,6),(16,429,2,22,15,7,2,3,1),(16,429,2,22,16,2,7,NULL,6),(16,429,2,22,17,4,3,2,4),(16,429,2,22,18,2,3,2,2),(16,429,2,22,19,6,2,3,3),(16,429,2,22,20,1,4,1,1),(16,429,2,22,21,5,4,1,3),(16,429,2,22,22,2,2,NULL,NULL),(16,429,2,22,23,1,2,1,2),(16,429,2,22,24,5,7,NULL,6),(16,429,2,22,25,NULL,NULL,NULL,NULL),(16,429,2,22,26,25,NULL,9,NULL),(16,429,2,22,27,3,5,2,4),(16,429,2,22,28,2,NULL,1,NULL),(16,429,2,22,29,4,4,2,3),(16,429,2,22,30,1,3,2,2),(16,429,2,23,1,1,4,1,4),(16,429,2,23,2,NULL,8,1,5),(16,429,2,23,3,2,9,1,5),(16,429,2,23,4,7,6,4,5),(16,429,2,23,5,4,5,3,4),(16,429,2,23,6,2,2,2,2),(16,429,2,23,7,1,4,2,NULL),(16,429,2,23,8,NULL,4,NULL,NULL),(16,429,2,23,9,1,3,1,4),(16,429,2,23,10,2,5,1,4),(16,429,2,23,11,1,6,1,5),(16,429,2,23,12,3,6,1,5),(16,429,2,23,13,3,6,2,3),(16,429,2,23,14,9,8,4,8),(16,429,2,23,15,13,3,10,1),(16,429,2,23,16,5,7,2,4),(16,429,2,23,17,2,4,2,2),(16,429,2,23,18,NULL,6,NULL,4),(16,429,2,23,19,7,11,5,6),(16,429,2,23,20,3,6,3,4),(16,429,2,23,21,2,6,1,5),(16,429,2,23,22,3,4,1,4),(16,429,2,23,23,2,3,1,3),(16,429,2,23,24,6,4,3,5),(16,429,2,23,25,2,NULL,2,NULL),(16,429,2,23,26,25,NULL,13,NULL),(16,429,2,23,27,3,6,1,6),(16,429,2,23,28,2,3,1,2),(16,429,2,23,29,1,10,1,8),(16,429,2,23,30,1,3,NULL,2),(16,429,2,24,1,NULL,1,NULL,2),(16,429,2,24,2,NULL,7,NULL,2),(16,429,2,24,3,1,5,1,2),(16,429,2,24,4,7,8,4,3),(16,429,2,24,5,3,11,1,3),(16,429,2,24,6,NULL,4,NULL,1),(16,429,2,24,7,1,2,NULL,2),(16,429,2,24,8,3,2,1,1),(16,429,2,24,9,1,NULL,NULL,1),(16,429,2,24,10,NULL,4,NULL,1),(16,429,2,24,11,2,1,1,1),(16,429,2,24,12,6,5,3,3),(16,429,2,24,13,3,3,3,4),(16,429,2,24,14,7,6,1,3),(16,429,2,24,15,13,3,6,2),(16,429,2,24,16,3,4,1,2),(16,429,2,24,17,1,2,1,NULL),(16,429,2,24,18,2,3,NULL,2),(16,429,2,24,19,7,5,3,2),(16,429,2,24,20,2,5,3,3),(16,429,2,24,21,2,6,1,5),(16,429,2,24,22,3,2,2,1),(16,429,2,24,23,NULL,4,NULL,3),(16,429,2,24,24,1,11,NULL,5),(16,429,2,24,25,NULL,NULL,NULL,NULL),(16,429,2,24,26,27,NULL,10,NULL),(16,429,2,24,27,1,2,1,2),(16,429,2,24,28,2,3,1,1),(16,429,2,24,29,2,7,NULL,3),(16,429,2,24,30,4,3,3,2),(16,429,3,31,1,2,2,2,1),(16,429,3,31,2,NULL,3,NULL,NULL),(16,429,3,31,3,1,3,NULL,1),(16,429,3,31,4,1,3,1,1),(16,429,3,31,5,NULL,9,NULL,2),(16,429,3,31,6,12,8,6,2),(16,429,3,31,7,NULL,3,NULL,1),(16,429,3,31,8,NULL,2,NULL,1),(16,429,3,31,9,NULL,2,NULL,NULL),(16,429,3,31,10,1,2,NULL,2),(16,429,3,31,11,8,3,4,2),(16,429,3,31,12,2,6,1,3),(16,429,3,31,13,1,6,NULL,1),(16,429,3,31,14,7,6,2,1),(16,429,3,31,15,7,7,3,2),(16,429,3,31,16,4,4,3,2),(16,429,3,31,17,5,10,NULL,5),(16,429,3,31,18,1,4,1,1),(16,429,3,31,19,5,3,2,1),(16,429,3,31,20,11,NULL,5,NULL),(16,429,3,31,21,5,11,2,2),(16,429,3,31,22,1,2,1,1),(16,429,3,31,23,NULL,4,1,1),(16,429,3,31,24,1,NULL,NULL,NULL),(16,429,3,31,25,1,2,NULL,1),(16,429,3,31,26,NULL,1,NULL,2),(16,429,3,31,27,NULL,2,NULL,1),(16,429,3,31,28,NULL,2,1,1),(16,429,3,31,29,2,5,1,1),(16,429,3,31,30,NULL,1,NULL,1),(16,429,3,32,1,NULL,5,NULL,4),(16,429,3,32,2,NULL,4,NULL,1),(16,429,3,32,3,NULL,5,NULL,2),(16,429,3,32,4,NULL,3,NULL,2),(16,429,3,32,5,3,6,NULL,5),(16,429,3,32,6,9,6,6,2),(16,429,3,32,7,NULL,1,NULL,1),(16,429,3,32,8,1,NULL,NULL,NULL),(16,429,3,32,9,1,NULL,NULL,NULL),(16,429,3,32,10,NULL,NULL,NULL,NULL),(16,429,3,32,11,4,7,4,4),(16,429,3,32,12,4,6,4,2),(16,429,3,32,13,3,2,2,NULL),(16,429,3,32,14,3,7,2,3),(16,429,3,32,15,3,7,3,6),(16,429,3,32,16,3,7,1,4),(16,429,3,32,17,6,9,4,6),(16,429,3,32,18,5,2,3,1),(16,429,3,32,19,2,7,2,4),(16,429,3,32,20,11,NULL,8,NULL),(16,429,3,32,21,4,8,2,4),(16,429,3,32,22,NULL,3,NULL,2),(16,429,3,32,23,NULL,3,NULL,2),(16,429,3,32,24,NULL,5,NULL,4),(16,429,3,32,25,1,NULL,NULL,1),(16,429,3,32,26,NULL,3,NULL,1),(16,429,3,32,27,1,2,NULL,2),(16,429,3,32,28,1,6,NULL,6),(16,429,3,32,29,4,3,4,2),(16,429,3,32,30,NULL,1,NULL,2),(16,429,3,33,1,1,2,1,1),(16,429,3,33,2,NULL,1,NULL,1),(16,429,3,33,3,2,5,NULL,4),(16,429,3,33,4,1,3,NULL,1),(16,429,3,33,5,2,7,NULL,3),(16,429,3,33,6,11,7,4,3),(16,429,3,33,7,NULL,1,NULL,NULL),(16,429,3,33,8,NULL,2,NULL,1),(16,429,3,33,9,NULL,1,NULL,1),(16,429,3,33,10,NULL,4,NULL,1),(16,429,3,33,11,6,3,2,2),(16,429,3,33,12,2,4,3,3),(16,429,3,33,13,3,4,1,2),(16,429,3,33,14,NULL,6,NULL,2),(16,429,3,33,15,3,5,2,4),(16,429,3,33,16,2,6,1,2),(16,429,3,33,17,5,4,3,3),(16,429,3,33,18,6,3,3,2),(16,429,3,33,19,5,3,2,2),(16,429,3,33,20,8,NULL,5,NULL),(16,429,3,33,21,4,13,2,4),(16,429,3,33,22,1,1,NULL,1),(16,429,3,33,23,NULL,1,NULL,NULL),(16,429,3,33,24,NULL,2,NULL,1),(16,429,3,33,25,NULL,5,NULL,2),(16,429,3,33,26,NULL,NULL,NULL,NULL),(16,429,3,33,27,NULL,3,NULL,1),(16,429,3,33,28,5,3,3,2),(16,429,3,33,29,4,5,3,2),(16,429,3,33,30,1,NULL,NULL,NULL),(16,429,3,34,1,NULL,1,NULL,NULL),(16,429,3,34,2,2,4,2,NULL),(16,429,3,34,3,1,NULL,NULL,NULL),(16,429,3,34,4,2,3,1,NULL),(16,429,3,34,5,NULL,9,NULL,4),(16,429,3,34,6,6,8,5,1),(16,429,3,34,7,NULL,NULL,NULL,NULL),(16,429,3,34,8,NULL,1,NULL,1),(16,429,3,34,9,NULL,1,NULL,1),(16,429,3,34,10,1,3,NULL,NULL),(16,429,3,34,11,1,4,NULL,1),(16,429,3,34,12,3,6,2,4),(16,429,3,34,13,2,4,1,NULL),(16,429,3,34,14,4,6,3,1),(16,429,3,34,15,5,2,4,NULL),(16,429,3,34,16,5,6,3,NULL),(16,429,3,34,17,5,5,4,NULL),(16,429,3,34,18,2,1,1,NULL),(16,429,3,34,19,4,4,1,1),(16,429,3,34,20,6,NULL,3,NULL),(16,429,3,34,21,2,13,2,2),(16,429,3,34,22,NULL,2,NULL,NULL),(16,429,3,34,23,2,5,1,1),(16,429,3,34,24,NULL,1,NULL,1),(16,429,3,34,25,1,3,2,1),(16,429,3,34,26,1,1,NULL,1),(16,429,3,34,27,NULL,5,1,2),(16,429,3,34,28,3,2,1,1),(16,429,3,34,29,3,2,3,NULL),(16,429,3,34,30,NULL,1,NULL,1),(16,444,1,11,1,NULL,NULL,NULL,NULL),(16,444,1,11,2,NULL,NULL,NULL,NULL),(16,444,1,11,3,NULL,NULL,NULL,NULL),(16,444,1,11,4,NULL,NULL,NULL,NULL),(16,444,1,11,5,1,NULL,NULL,NULL),(16,444,1,11,6,NULL,1,NULL,NULL),(16,444,1,11,7,NULL,NULL,NULL,NULL),(16,444,1,11,8,NULL,NULL,NULL,NULL),(16,444,1,11,9,NULL,NULL,NULL,NULL),(16,444,1,11,10,NULL,NULL,NULL,NULL),(16,444,1,11,11,NULL,NULL,NULL,NULL),(16,444,1,11,12,NULL,NULL,NULL,NULL),(16,444,1,11,13,NULL,NULL,NULL,NULL),(16,444,1,11,14,NULL,NULL,NULL,NULL),(16,444,1,11,15,NULL,NULL,NULL,NULL),(16,444,1,11,16,NULL,NULL,NULL,NULL),(16,444,1,11,17,NULL,NULL,NULL,NULL),(16,444,1,11,18,NULL,NULL,NULL,NULL),(16,444,1,11,19,NULL,NULL,NULL,NULL),(16,444,1,11,20,NULL,NULL,NULL,NULL),(16,444,1,12,1,1,1,NULL,NULL),(16,444,1,12,2,NULL,NULL,NULL,NULL),(16,444,1,12,3,NULL,NULL,NULL,NULL),(16,444,1,12,4,NULL,NULL,NULL,NULL),(16,444,1,12,5,1,NULL,NULL,NULL),(16,444,1,12,6,NULL,1,NULL,NULL),(16,444,1,12,7,NULL,1,NULL,NULL),(16,444,1,12,8,NULL,NULL,NULL,NULL),(16,444,1,12,9,NULL,NULL,NULL,NULL),(16,444,1,12,10,1,1,NULL,NULL),(16,444,1,12,11,NULL,1,NULL,NULL),(16,444,1,12,12,1,NULL,NULL,NULL),(16,444,1,12,13,1,NULL,NULL,NULL),(16,444,1,12,14,NULL,1,NULL,NULL),(16,444,1,12,15,1,NULL,NULL,NULL),(16,444,1,12,16,1,NULL,NULL,NULL),(16,444,1,12,17,NULL,1,NULL,NULL),(16,444,1,12,18,2,NULL,NULL,NULL),(16,444,1,12,19,1,1,NULL,NULL),(16,444,1,12,20,1,NULL,NULL,NULL),(16,444,1,13,1,NULL,NULL,NULL,NULL),(16,444,1,13,2,NULL,NULL,NULL,NULL),(16,444,1,13,3,NULL,NULL,NULL,NULL),(16,444,1,13,4,NULL,NULL,NULL,NULL),(16,444,1,13,5,NULL,NULL,NULL,NULL),(16,444,1,13,6,NULL,NULL,NULL,NULL),(16,444,1,13,7,NULL,NULL,NULL,NULL),(16,444,1,13,8,NULL,NULL,NULL,NULL),(16,444,1,13,9,NULL,NULL,NULL,NULL),(16,444,1,13,10,NULL,NULL,NULL,NULL),(16,444,1,13,11,NULL,NULL,NULL,NULL),(16,444,1,13,12,NULL,NULL,NULL,NULL),(16,444,1,13,13,NULL,NULL,NULL,NULL),(16,444,1,13,14,NULL,NULL,NULL,NULL),(16,444,1,13,15,NULL,NULL,NULL,NULL),(16,444,1,13,16,NULL,NULL,NULL,NULL),(16,444,1,13,17,NULL,NULL,NULL,NULL),(16,444,1,13,18,NULL,NULL,NULL,NULL),(16,444,1,13,19,NULL,NULL,NULL,NULL),(16,444,1,13,20,NULL,NULL,NULL,NULL),(16,444,1,14,1,15,23,3,5),(16,444,1,14,2,1,9,NULL,6),(16,444,1,14,3,15,18,7,5),(16,444,1,14,4,3,9,1,5),(16,444,1,14,5,13,17,7,5),(16,444,1,14,6,5,8,2,2),(16,444,1,14,7,2,8,2,3),(16,444,1,14,8,7,15,3,3),(16,444,1,14,9,4,6,4,2),(16,444,1,14,10,12,12,4,6),(16,444,1,14,11,13,9,5,1),(16,444,1,14,12,7,6,6,2),(16,444,1,14,13,18,18,9,4),(16,444,1,14,14,6,11,3,3),(16,444,1,14,15,3,6,3,2),(16,444,1,14,16,15,10,8,NULL),(16,444,1,14,17,15,9,7,3),(16,444,1,14,18,2,7,1,5),(16,444,1,14,19,11,12,6,5),(16,444,1,14,20,8,22,2,8),(16,444,1,15,1,13,24,4,6),(16,444,1,15,2,2,5,2,3),(16,444,1,15,3,8,19,3,5),(16,444,1,15,4,4,7,NULL,4),(16,444,1,15,5,15,10,7,1),(16,444,1,15,6,3,8,1,4),(16,444,1,15,7,5,4,2,2),(16,444,1,15,8,7,18,3,7),(16,444,1,15,9,6,10,3,7),(16,444,1,15,10,18,10,8,3),(16,444,1,15,11,16,9,9,3),(16,444,1,15,12,10,3,7,2),(16,444,1,15,13,14,20,7,6),(16,444,1,15,14,9,6,5,2),(16,444,1,15,15,3,10,1,6),(16,444,1,15,16,20,9,9,2),(16,444,1,15,17,12,12,6,7),(16,444,1,15,18,10,4,4,3),(16,444,1,15,19,11,17,6,5),(16,444,1,15,20,11,23,3,8),(16,444,1,16,1,15,35,2,5),(16,444,1,16,2,1,7,NULL,3),(16,444,1,16,3,19,23,2,5),(16,444,1,16,4,1,11,NULL,3),(16,444,1,16,5,13,25,3,6),(16,444,1,16,6,3,10,1,1),(16,444,1,16,7,9,11,3,3),(16,444,1,16,8,6,32,NULL,9),(16,444,1,16,9,1,10,NULL,3),(16,444,1,16,10,31,15,8,4),(16,444,1,16,11,19,68,3,11),(16,444,1,16,12,8,14,4,3),(16,444,1,16,13,24,32,6,5),(16,444,1,16,14,4,39,1,6),(16,444,1,16,15,21,50,5,6),(16,444,1,16,16,1,26,1,2),(16,444,1,16,17,12,38,1,9),(16,444,1,16,18,19,32,5,3),(16,444,1,16,19,18,42,4,5),(16,444,1,16,20,2,44,NULL,7),(16,444,1,17,1,26,21,9,2),(16,444,1,17,2,4,5,2,NULL),(16,444,1,17,3,9,18,4,4),(16,444,1,17,4,5,7,1,2),(16,444,1,17,5,16,29,6,5),(16,444,1,17,6,5,8,1,2),(16,444,1,17,7,4,10,1,2),(16,444,1,17,8,9,35,3,6),(16,444,1,17,9,2,8,NULL,2),(16,444,1,17,10,15,24,6,3),(16,444,1,17,11,22,52,2,9),(16,444,1,17,12,5,12,1,3),(16,444,1,17,13,14,40,2,10),(16,444,1,17,14,9,28,1,5),(16,444,1,17,15,35,38,4,5),(16,444,1,17,16,2,29,NULL,4),(16,444,1,17,17,18,33,4,7),(16,444,1,17,18,17,21,3,6),(16,444,1,17,19,11,47,3,6),(16,444,1,17,20,4,27,1,6),(16,444,2,21,1,2,11,NULL,3),(16,444,2,21,2,5,24,2,6),(16,444,2,21,3,14,14,6,2),(16,444,2,21,4,26,23,7,2),(16,444,2,21,5,12,33,5,3),(16,444,2,21,6,7,13,3,2),(16,444,2,21,7,7,18,NULL,2),(16,444,2,21,8,1,15,NULL,NULL),(16,444,2,21,9,1,4,NULL,1),(16,444,2,21,10,4,15,2,2),(16,444,2,21,11,5,10,1,3),(16,444,2,21,12,16,20,5,3),(16,444,2,21,13,3,15,1,4),(16,444,2,21,14,17,26,6,4),(16,444,2,21,15,32,11,9,1),(16,444,2,21,16,3,17,3,4),(16,444,2,21,17,5,15,1,3),(16,444,2,21,18,9,6,2,2),(16,444,2,21,19,20,26,5,6),(16,444,2,21,20,9,17,2,4),(16,444,2,21,21,7,10,2,NULL),(16,444,2,21,22,5,18,3,4),(16,444,2,21,23,5,16,3,5),(16,444,2,21,24,12,17,4,2),(16,444,2,21,25,2,NULL,1,NULL),(16,444,2,21,26,99,NULL,15,NULL),(16,444,2,21,27,3,16,NULL,2),(16,444,2,21,28,2,13,1,1),(16,444,2,21,29,11,19,2,2),(16,444,2,21,30,7,9,1,4),(16,444,2,22,1,3,4,1,2),(16,444,2,22,2,2,31,1,8),(16,444,2,22,3,13,10,5,4),(16,444,2,22,4,21,20,7,5),(16,444,2,22,5,6,25,2,6),(16,444,2,22,6,5,12,3,4),(16,444,2,22,7,6,12,1,1),(16,444,2,22,8,7,10,3,2),(16,444,2,22,9,1,6,1,3),(16,444,2,22,10,5,12,4,4),(16,444,2,22,11,9,9,6,4),(16,444,2,22,12,10,18,2,6),(16,444,2,22,13,6,14,2,4),(16,444,2,22,14,19,24,6,8),(16,444,2,22,15,29,10,10,1),(16,444,2,22,16,5,15,4,5),(16,444,2,22,17,8,16,2,7),(16,444,2,22,18,5,5,1,1),(16,444,2,22,19,14,28,4,6),(16,444,2,22,20,4,17,NULL,5),(16,444,2,22,21,5,23,1,8),(16,444,2,22,22,3,21,NULL,8),(16,444,2,22,23,8,14,2,6),(16,444,2,22,24,8,24,NULL,6),(16,444,2,22,25,3,NULL,1,NULL),(16,444,2,22,26,98,NULL,17,NULL),(16,444,2,22,27,11,23,2,8),(16,444,2,22,28,7,6,1,2),(16,444,2,22,29,11,20,1,5),(16,444,2,22,30,3,15,1,6),(16,444,2,23,1,NULL,6,NULL,1),(16,444,2,23,2,3,30,2,2),(16,444,2,23,3,13,10,3,NULL),(16,444,2,23,4,24,11,7,NULL),(16,444,2,23,5,10,20,3,4),(16,444,2,23,6,5,14,NULL,2),(16,444,2,23,7,6,10,1,1),(16,444,2,23,8,7,12,NULL,1),(16,444,2,23,9,2,8,NULL,1),(16,444,2,23,10,6,13,NULL,3),(16,444,2,23,11,6,6,1,1),(16,444,2,23,12,14,10,3,3),(16,444,2,23,13,4,14,NULL,4),(16,444,2,23,14,13,21,5,2),(16,444,2,23,15,28,5,6,NULL),(16,444,2,23,16,7,18,3,5),(16,444,2,23,17,10,10,NULL,2),(16,444,2,23,18,3,3,NULL,NULL),(16,444,2,23,19,12,28,3,3),(16,444,2,23,20,9,16,1,4),(16,444,2,23,21,4,24,1,5),(16,444,2,23,22,4,11,NULL,3),(16,444,2,23,23,8,10,3,2),(16,444,2,23,24,5,24,NULL,6),(16,444,2,23,25,2,NULL,NULL,NULL),(16,444,2,23,26,87,NULL,10,NULL),(16,444,2,23,27,1,19,NULL,3),(16,444,2,23,28,5,7,NULL,2),(16,444,2,23,29,10,24,1,5),(16,444,2,23,30,9,9,2,3),(16,444,2,24,1,3,10,2,4),(16,444,2,24,2,5,27,3,6),(16,444,2,24,3,16,12,6,5),(16,444,2,24,4,20,13,10,2),(16,444,2,24,5,10,23,5,6),(16,444,2,24,6,4,18,1,6),(16,444,2,24,7,7,15,2,3),(16,444,2,24,8,5,14,3,3),(16,444,2,24,9,3,9,2,2),(16,444,2,24,10,7,10,5,1),(16,444,2,24,11,4,10,1,5),(16,444,2,24,12,18,23,2,9),(16,444,2,24,13,6,20,3,9),(16,444,2,24,14,24,23,9,6),(16,444,2,24,15,30,12,8,5),(16,444,2,24,16,14,18,6,4),(16,444,2,24,17,2,8,1,5),(16,444,2,24,18,3,11,1,6),(16,444,2,24,19,15,28,4,10),(16,444,2,24,20,10,20,4,6),(16,444,2,24,21,7,19,3,4),(16,444,2,24,22,6,11,2,3),(16,444,2,24,23,8,12,3,6),(16,444,2,24,24,9,32,2,8),(16,444,2,24,25,NULL,NULL,NULL,NULL),(16,444,2,24,26,84,NULL,18,NULL),(16,444,2,24,27,1,19,NULL,8),(16,444,2,24,28,1,12,NULL,4),(16,444,2,24,29,8,25,1,5),(16,444,2,24,30,8,16,3,7),(16,444,3,31,1,NULL,16,NULL,4),(16,444,3,31,2,3,8,2,1),(16,444,3,31,3,NULL,8,NULL,2),(16,444,3,31,4,6,9,1,3),(16,444,3,31,5,8,18,5,4),(16,444,3,31,6,41,22,9,5),(16,444,3,31,7,1,3,1,NULL),(16,444,3,31,8,2,4,2,2),(16,444,3,31,9,NULL,4,NULL,NULL),(16,444,3,31,10,3,8,1,2),(16,444,3,31,11,10,14,1,7),(16,444,3,31,12,6,23,1,9),(16,444,3,31,13,4,21,NULL,5),(16,444,3,31,14,10,18,2,8),(16,444,3,31,15,9,20,3,9),(16,444,3,31,16,5,25,2,7),(16,444,3,31,17,25,22,8,8),(16,444,3,31,18,11,6,3,2),(16,444,3,31,19,7,13,4,3),(16,444,3,31,20,22,NULL,12,NULL),(16,444,3,31,21,6,29,2,5),(16,444,3,31,22,3,13,1,5),(16,444,3,31,23,NULL,16,NULL,6),(16,444,3,31,24,2,9,2,4),(16,444,3,31,25,2,6,1,2),(16,444,3,31,26,NULL,3,NULL,NULL),(16,444,3,31,27,1,4,NULL,2),(16,444,3,31,28,13,9,5,3),(16,444,3,31,29,10,15,5,2),(16,444,3,31,30,2,5,1,1),(16,444,3,32,1,2,9,1,2),(16,444,3,32,2,2,5,NULL,1),(16,444,3,32,3,1,9,NULL,3),(16,444,3,32,4,4,7,NULL,1),(16,444,3,32,5,9,22,2,4),(16,444,3,32,6,40,18,6,4),(16,444,3,32,7,1,3,NULL,2),(16,444,3,32,8,3,10,NULL,2),(16,444,3,32,9,NULL,3,NULL,1),(16,444,3,32,10,1,4,NULL,1),(16,444,3,32,11,12,19,2,3),(16,444,3,32,12,6,10,1,3),(16,444,3,32,13,6,5,1,NULL),(16,444,3,32,14,15,21,2,5),(16,444,3,32,15,11,10,4,1),(16,444,3,32,16,13,19,NULL,4),(16,444,3,32,17,20,19,4,2),(16,444,3,32,18,12,6,3,1),(16,444,3,32,19,9,17,2,3),(16,444,3,32,20,24,NULL,8,NULL),(16,444,3,32,21,16,27,4,3),(16,444,3,32,22,3,9,NULL,2),(16,444,3,32,23,NULL,13,NULL,3),(16,444,3,32,24,2,4,1,1),(16,444,3,32,25,1,7,NULL,3),(16,444,3,32,26,NULL,1,NULL,NULL),(16,444,3,32,27,NULL,11,NULL,1),(16,444,3,32,28,12,14,3,3),(16,444,3,32,29,19,15,6,1),(16,444,3,32,30,1,7,NULL,3),(16,444,3,33,1,4,7,NULL,2),(16,444,3,33,2,1,1,NULL,NULL),(16,444,3,33,3,2,7,NULL,3),(16,444,3,33,4,2,16,NULL,5),(16,444,3,33,5,14,22,1,7),(16,444,3,33,6,42,23,10,5),(16,444,3,33,7,NULL,7,NULL,2),(16,444,3,33,8,NULL,5,NULL,2),(16,444,3,33,9,5,7,1,2),(16,444,3,33,10,NULL,5,NULL,NULL),(16,444,3,33,11,14,11,1,2),(16,444,3,33,12,5,27,1,13),(16,444,3,33,13,8,13,3,5),(16,444,3,33,14,7,17,2,3),(16,444,3,33,15,7,17,5,5),(16,444,3,33,16,6,33,3,11),(16,444,3,33,17,19,23,9,5),(16,444,3,33,18,10,10,1,3),(16,444,3,33,19,7,16,NULL,6),(16,444,3,33,20,29,NULL,13,NULL),(16,444,3,33,21,12,51,3,8),(16,444,3,33,22,1,11,NULL,3),(16,444,3,33,23,6,14,1,2),(16,444,3,33,24,4,10,3,1),(16,444,3,33,25,3,8,1,4),(16,444,3,33,26,1,8,NULL,NULL),(16,444,3,33,27,1,8,NULL,4),(16,444,3,33,28,11,16,7,4),(16,444,3,33,29,18,16,5,3),(16,444,3,33,30,2,7,1,3),(16,444,3,34,1,3,7,NULL,1),(16,444,3,34,2,3,11,NULL,3),(16,444,3,34,3,1,9,NULL,1),(16,444,3,34,4,2,10,NULL,2),(16,444,3,34,5,10,19,3,4),(16,444,3,34,6,45,27,5,5),(16,444,3,34,7,1,6,NULL,NULL),(16,444,3,34,8,NULL,2,NULL,1),(16,444,3,34,9,1,9,NULL,NULL),(16,444,3,34,10,2,9,NULL,NULL),(16,444,3,34,11,17,17,5,3),(16,444,3,34,12,7,14,5,1),(16,444,3,34,13,5,10,2,2),(16,444,3,34,14,7,22,1,6),(16,444,3,34,15,8,12,3,2),(16,444,3,34,16,11,26,2,3),(16,444,3,34,17,19,25,4,5),(16,444,3,34,18,11,12,5,2),(16,444,3,34,19,5,21,3,4),(16,444,3,34,20,31,NULL,7,NULL),(16,444,3,34,21,11,39,4,3),(16,444,3,34,22,NULL,4,NULL,1),(16,444,3,34,23,3,8,2,1),(16,444,3,34,24,5,8,4,2),(16,444,3,34,25,NULL,5,NULL,NULL),(16,444,3,34,26,1,4,NULL,1),(16,444,3,34,27,1,8,NULL,2),(16,444,3,34,28,6,9,2,1),(16,444,3,34,29,8,14,3,4),(16,444,3,34,30,1,4,NULL,NULL),(16,450,1,11,1,NULL,NULL,NULL,NULL),(16,450,1,11,2,NULL,NULL,NULL,NULL),(16,450,1,11,3,NULL,NULL,NULL,NULL),(16,450,1,11,4,NULL,NULL,NULL,NULL),(16,450,1,11,5,NULL,NULL,NULL,NULL),(16,450,1,11,6,NULL,NULL,NULL,NULL),(16,450,1,11,7,NULL,NULL,NULL,NULL),(16,450,1,11,8,NULL,NULL,NULL,NULL),(16,450,1,11,9,NULL,NULL,NULL,NULL),(16,450,1,11,10,NULL,NULL,NULL,NULL),(16,450,1,11,11,NULL,NULL,NULL,NULL),(16,450,1,11,12,NULL,NULL,NULL,NULL),(16,450,1,11,13,NULL,NULL,NULL,NULL),(16,450,1,11,14,NULL,NULL,NULL,NULL),(16,450,1,11,15,NULL,NULL,NULL,NULL),(16,450,1,11,16,NULL,NULL,NULL,NULL),(16,450,1,11,17,NULL,NULL,NULL,NULL),(16,450,1,11,18,NULL,NULL,NULL,NULL),(16,450,1,11,19,NULL,NULL,NULL,NULL),(16,450,1,11,20,NULL,NULL,NULL,NULL),(16,450,1,12,1,NULL,NULL,NULL,NULL),(16,450,1,12,2,NULL,NULL,NULL,NULL),(16,450,1,12,3,1,NULL,1,NULL),(16,450,1,12,4,NULL,1,NULL,1),(16,450,1,12,5,1,NULL,1,NULL),(16,450,1,12,6,NULL,NULL,NULL,NULL),(16,450,1,12,7,NULL,NULL,NULL,NULL),(16,450,1,12,8,NULL,NULL,NULL,NULL),(16,450,1,12,9,NULL,1,NULL,1),(16,450,1,12,10,NULL,NULL,NULL,NULL),(16,450,1,12,11,1,NULL,1,NULL),(16,450,1,12,12,1,NULL,1,NULL),(16,450,1,12,13,NULL,1,NULL,1),(16,450,1,12,14,NULL,NULL,NULL,NULL),(16,450,1,12,15,1,NULL,1,NULL),(16,450,1,12,16,NULL,NULL,NULL,NULL),(16,450,1,12,17,1,NULL,1,NULL),(16,450,1,12,18,1,NULL,1,NULL),(16,450,1,12,19,NULL,1,NULL,1),(16,450,1,12,20,1,NULL,1,NULL),(16,450,1,13,1,NULL,NULL,NULL,NULL),(16,450,1,13,2,NULL,1,NULL,NULL),(16,450,1,13,3,1,NULL,NULL,NULL),(16,450,1,13,4,NULL,NULL,NULL,NULL),(16,450,1,13,5,1,NULL,NULL,NULL),(16,450,1,13,6,NULL,1,NULL,NULL),(16,450,1,13,7,NULL,NULL,NULL,NULL),(16,450,1,13,8,1,NULL,NULL,NULL),(16,450,1,13,9,NULL,NULL,NULL,NULL),(16,450,1,13,10,NULL,NULL,NULL,NULL),(16,450,1,13,11,1,NULL,NULL,NULL),(16,450,1,13,12,1,NULL,NULL,NULL),(16,450,1,13,13,1,NULL,NULL,NULL),(16,450,1,13,14,1,NULL,NULL,NULL),(16,450,1,13,15,NULL,1,NULL,NULL),(16,450,1,13,16,NULL,NULL,NULL,NULL),(16,450,1,13,17,1,NULL,NULL,NULL),(16,450,1,13,18,1,NULL,NULL,NULL),(16,450,1,13,19,1,NULL,NULL,NULL),(16,450,1,13,20,1,NULL,NULL,NULL),(16,450,1,14,1,29,17,7,3),(16,450,1,14,2,9,9,2,3),(16,450,1,14,3,20,18,4,7),(16,450,1,14,4,1,16,1,7),(16,450,1,14,5,24,12,9,3),(16,450,1,14,6,7,19,4,3),(16,450,1,14,7,7,9,4,3),(16,450,1,14,8,20,12,9,1),(16,450,1,14,9,7,14,1,4),(16,450,1,14,10,23,8,5,2),(16,450,1,14,11,26,3,9,NULL),(16,450,1,14,12,19,11,4,5),(16,450,1,14,13,35,16,6,3),(16,450,1,14,14,17,14,5,1),(16,450,1,14,15,12,18,3,5),(16,450,1,14,16,37,8,10,1),(16,450,1,14,17,23,25,8,4),(16,450,1,14,18,12,16,3,5),(16,450,1,14,19,23,15,5,4),(16,450,1,14,20,15,25,3,7),(16,450,1,15,1,26,18,9,3),(16,450,1,15,2,11,6,8,2),(16,450,1,15,3,13,20,5,3),(16,450,1,15,4,3,12,2,6),(16,450,1,15,5,21,16,8,5),(16,450,1,15,6,15,22,5,9),(16,450,1,15,7,7,8,3,NULL),(16,450,1,15,8,14,18,5,7),(16,450,1,15,9,4,17,3,6),(16,450,1,15,10,28,7,11,1),(16,450,1,15,11,25,6,10,NULL),(16,450,1,15,12,20,16,4,3),(16,450,1,15,13,33,18,13,1),(16,450,1,15,14,19,13,8,4),(16,450,1,15,15,10,16,6,3),(16,450,1,15,16,38,11,14,1),(16,450,1,15,17,25,23,9,5),(16,450,1,15,18,18,8,6,1),(16,450,1,15,19,26,17,9,3),(16,450,1,15,20,22,30,8,6),(16,450,1,16,1,10,7,NULL,NULL),(16,450,1,16,2,NULL,3,NULL,NULL),(16,450,1,16,3,3,5,NULL,NULL),(16,450,1,16,4,NULL,7,NULL,NULL),(16,450,1,16,5,4,6,NULL,NULL),(16,450,1,16,6,NULL,2,NULL,NULL),(16,450,1,16,7,1,5,NULL,NULL),(16,450,1,16,8,3,5,NULL,NULL),(16,450,1,16,9,1,3,NULL,NULL),(16,450,1,16,10,5,3,NULL,NULL),(16,450,1,16,11,4,18,NULL,NULL),(16,450,1,16,12,3,3,NULL,NULL),(16,450,1,16,13,7,4,NULL,NULL),(16,450,1,16,14,4,12,NULL,NULL),(16,450,1,16,15,10,12,NULL,NULL),(16,450,1,16,16,1,10,NULL,NULL),(16,450,1,16,17,1,15,NULL,NULL),(16,450,1,16,18,5,6,NULL,NULL),(16,450,1,16,19,9,8,NULL,NULL),(16,450,1,16,20,NULL,8,NULL,NULL),(16,450,1,17,1,10,1,NULL,NULL),(16,450,1,17,2,NULL,NULL,NULL,NULL),(16,450,1,17,3,3,2,NULL,NULL),(16,450,1,17,4,2,1,NULL,NULL),(16,450,1,17,5,2,3,NULL,NULL),(16,450,1,17,6,1,1,NULL,NULL),(16,450,1,17,7,1,1,NULL,NULL),(16,450,1,17,8,3,4,NULL,NULL),(16,450,1,17,9,3,2,NULL,NULL),(16,450,1,17,10,5,2,NULL,NULL),(16,450,1,17,11,6,9,NULL,NULL),(16,450,1,17,12,NULL,NULL,NULL,NULL),(16,450,1,17,13,8,5,NULL,NULL),(16,450,1,17,14,2,6,NULL,NULL),(16,450,1,17,15,8,8,NULL,NULL),(16,450,1,17,16,2,8,NULL,NULL),(16,450,1,17,17,2,4,NULL,NULL),(16,450,1,17,18,6,4,NULL,NULL),(16,450,1,17,19,2,6,NULL,NULL),(16,450,1,17,20,3,4,NULL,NULL),(16,450,2,21,1,6,9,4,1),(16,450,2,21,2,5,13,3,2),(16,450,2,21,3,12,7,6,1),(16,450,2,21,4,18,6,7,NULL),(16,450,2,21,5,12,5,3,NULL),(16,450,2,21,6,5,10,3,2),(16,450,2,21,7,1,8,NULL,2),(16,450,2,21,8,7,4,NULL,NULL),(16,450,2,21,9,1,8,NULL,2),(16,450,2,21,10,3,12,NULL,4),(16,450,2,21,11,2,8,1,1),(16,450,2,21,12,5,7,1,2),(16,450,2,21,13,4,9,2,1),(16,450,2,21,14,14,13,6,2),(16,450,2,21,15,18,6,4,1),(16,450,2,21,16,11,8,6,NULL),(16,450,2,21,17,6,9,4,1),(16,450,2,21,18,4,8,1,NULL),(16,450,2,21,19,14,11,7,1),(16,450,2,21,20,12,11,5,1),(16,450,2,21,21,6,6,2,1),(16,450,2,21,22,5,7,3,2),(16,450,2,21,23,8,11,3,4),(16,450,2,21,24,4,18,NULL,5),(16,450,2,21,25,1,NULL,NULL,NULL),(16,450,2,21,26,45,NULL,8,NULL),(16,450,2,21,27,6,9,2,3),(16,450,2,21,28,2,7,NULL,1),(16,450,2,21,29,3,18,NULL,6),(16,450,2,21,30,4,8,4,NULL),(16,450,2,22,1,6,3,3,1),(16,450,2,22,2,4,22,3,5),(16,450,2,22,3,9,7,3,2),(16,450,2,22,4,23,5,8,1),(16,450,2,22,5,8,14,4,3),(16,450,2,22,6,9,10,2,5),(16,450,2,22,7,2,5,1,NULL),(16,450,2,22,8,2,11,NULL,3),(16,450,2,22,9,1,1,NULL,1),(16,450,2,22,10,5,16,1,6),(16,450,2,22,11,4,8,3,3),(16,450,2,22,12,11,9,1,5),(16,450,2,22,13,3,6,1,3),(16,450,2,22,14,20,15,5,4),(16,450,2,22,15,23,1,8,NULL),(16,450,2,22,16,12,15,1,6),(16,450,2,22,17,9,11,1,3),(16,450,2,22,18,4,5,2,2),(16,450,2,22,19,22,15,5,4),(16,450,2,22,20,10,5,4,1),(16,450,2,22,21,6,10,2,2),(16,450,2,22,22,6,9,2,4),(16,450,2,22,23,11,11,4,2),(16,450,2,22,24,9,11,4,2),(16,450,2,22,25,2,NULL,2,NULL),(16,450,2,22,26,46,NULL,9,NULL),(16,450,2,22,27,2,13,2,5),(16,450,2,22,28,1,4,1,NULL),(16,450,2,22,29,7,20,3,5),(16,450,2,22,30,4,8,1,3),(16,450,2,23,1,6,2,3,NULL),(16,450,2,23,2,10,14,4,1),(16,450,2,23,3,6,8,2,1),(16,450,2,23,4,14,8,5,NULL),(16,450,2,23,5,5,13,3,1),(16,450,2,23,6,9,11,2,3),(16,450,2,23,7,3,1,NULL,NULL),(16,450,2,23,8,2,2,NULL,1),(16,450,2,23,9,1,4,1,2),(16,450,2,23,10,7,9,4,NULL),(16,450,2,23,11,2,6,1,NULL),(16,450,2,23,12,9,7,NULL,2),(16,450,2,23,13,3,10,1,NULL),(16,450,2,23,14,18,15,3,3),(16,450,2,23,15,18,4,4,NULL),(16,450,2,23,16,15,13,3,1),(16,450,2,23,17,7,12,1,4),(16,450,2,23,18,4,3,1,1),(16,450,2,23,19,18,18,5,1),(16,450,2,23,20,13,10,4,NULL),(16,450,2,23,21,4,6,1,1),(16,450,2,23,22,7,14,2,2),(16,450,2,23,23,10,16,2,4),(16,450,2,23,24,5,15,1,2),(16,450,2,23,25,3,NULL,1,NULL),(16,450,2,23,26,47,NULL,6,NULL),(16,450,2,23,27,7,9,1,3),(16,450,2,23,28,2,4,NULL,1),(16,450,2,23,29,10,12,3,NULL),(16,450,2,23,30,3,3,NULL,1),(16,450,2,24,1,4,8,2,1),(16,450,2,24,2,6,10,3,1),(16,450,2,24,3,12,6,5,NULL),(16,450,2,24,4,14,9,6,NULL),(16,450,2,24,5,8,12,5,NULL),(16,450,2,24,6,5,6,1,3),(16,450,2,24,7,3,1,NULL,1),(16,450,2,24,8,2,8,NULL,1),(16,450,2,24,9,1,3,NULL,1),(16,450,2,24,10,3,5,2,1),(16,450,2,24,11,4,6,1,1),(16,450,2,24,12,7,9,3,1),(16,450,2,24,13,3,6,1,NULL),(16,450,2,24,14,15,16,4,3),(16,450,2,24,15,16,1,1,1),(16,450,2,24,16,8,11,4,1),(16,450,2,24,17,10,3,3,NULL),(16,450,2,24,18,5,7,1,1),(16,450,2,24,19,17,15,6,NULL),(16,450,2,24,20,12,8,2,2),(16,450,2,24,21,7,11,2,2),(16,450,2,24,22,5,10,1,4),(16,450,2,24,23,7,13,2,4),(16,450,2,24,24,5,15,1,4),(16,450,2,24,25,2,NULL,1,NULL),(16,450,2,24,26,43,NULL,7,NULL),(16,450,2,24,27,4,10,1,4),(16,450,2,24,28,NULL,2,NULL,NULL),(16,450,2,24,29,6,17,3,2),(16,450,2,24,30,5,5,3,NULL),(16,450,3,31,1,1,2,NULL,NULL),(16,450,3,31,2,3,3,2,1),(16,450,3,31,3,1,10,1,3),(16,450,3,31,4,1,1,NULL,NULL),(16,450,3,31,5,10,12,3,1),(16,450,3,31,6,24,8,5,1),(16,450,3,31,7,2,4,1,2),(16,450,3,31,8,3,5,2,NULL),(16,450,3,31,9,1,1,NULL,NULL),(16,450,3,31,10,1,3,NULL,2),(16,450,3,31,11,12,3,3,NULL),(16,450,3,31,12,15,11,6,1),(16,450,3,31,13,15,6,6,NULL),(16,450,3,31,14,15,13,4,2),(16,450,3,31,15,17,8,6,NULL),(16,450,3,31,16,10,16,4,1),(16,450,3,31,17,20,13,6,1),(16,450,3,31,18,2,5,1,NULL),(16,450,3,31,19,4,9,1,2),(16,450,3,31,20,26,NULL,5,NULL),(16,450,3,31,21,12,14,4,2),(16,450,3,31,22,NULL,5,NULL,1),(16,450,3,31,23,3,6,2,2),(16,450,3,31,24,1,7,1,3),(16,450,3,31,25,3,7,2,4),(16,450,3,31,26,1,5,1,3),(16,450,3,31,27,NULL,4,NULL,1),(16,450,3,31,28,6,6,2,2),(16,450,3,31,29,5,9,1,2),(16,450,3,31,30,2,4,1,2),(16,450,3,32,1,2,5,NULL,1),(16,450,3,32,2,2,4,2,NULL),(16,450,3,32,3,NULL,8,NULL,3),(16,450,3,32,4,4,6,1,3),(16,450,3,32,5,11,16,2,4),(16,450,3,32,6,24,9,4,2),(16,450,3,32,7,3,5,1,2),(16,450,3,32,8,1,6,NULL,1),(16,450,3,32,9,1,4,NULL,1),(16,450,3,32,10,NULL,3,NULL,NULL),(16,450,3,32,11,7,4,1,NULL),(16,450,3,32,12,13,14,1,3),(16,450,3,32,13,12,7,3,2),(16,450,3,32,14,10,17,2,3),(16,450,3,32,15,20,7,3,2),(16,450,3,32,16,11,14,5,1),(16,450,3,32,17,21,9,3,1),(16,450,3,32,18,4,5,1,NULL),(16,450,3,32,19,8,15,2,3),(16,450,3,32,20,28,NULL,5,NULL),(16,450,3,32,21,18,16,4,1),(16,450,3,32,22,2,9,1,1),(16,450,3,32,23,2,9,1,NULL),(16,450,3,32,24,2,9,1,3),(16,450,3,32,25,NULL,7,NULL,2),(16,450,3,32,26,2,5,1,2),(16,450,3,32,27,1,7,NULL,NULL),(16,450,3,32,28,12,7,5,1),(16,450,3,32,29,7,8,NULL,3),(16,450,3,32,30,2,4,NULL,1),(16,450,3,33,1,4,3,2,2),(16,450,3,33,2,2,5,NULL,4),(16,450,3,33,3,1,9,NULL,4),(16,450,3,33,4,3,10,1,3),(16,450,3,33,5,8,19,1,4),(16,450,3,33,6,28,7,6,2),(16,450,3,33,7,7,5,3,1),(16,450,3,33,8,NULL,4,NULL,1),(16,450,3,33,9,NULL,5,NULL,2),(16,450,3,33,10,1,7,1,NULL),(16,450,3,33,11,6,7,3,2),(16,450,3,33,12,13,15,3,5),(16,450,3,33,13,9,7,5,1),(16,450,3,33,14,10,15,3,2),(16,450,3,33,15,12,12,2,4),(16,450,3,33,16,10,15,1,4),(16,450,3,33,17,18,12,4,4),(16,450,3,33,18,5,2,2,NULL),(16,450,3,33,19,3,9,1,2),(16,450,3,33,20,31,NULL,9,NULL),(16,450,3,33,21,11,18,2,4),(16,450,3,33,22,1,7,1,2),(16,450,3,33,23,1,12,NULL,5),(16,450,3,33,24,NULL,6,NULL,1),(16,450,3,33,25,3,5,1,2),(16,450,3,33,26,NULL,1,NULL,NULL),(16,450,3,33,27,3,6,NULL,3),(16,450,3,33,28,7,9,3,2),(16,450,3,33,29,12,10,6,1),(16,450,3,33,30,NULL,3,NULL,2),(16,450,3,34,1,3,8,NULL,2),(16,450,3,34,2,1,7,1,3),(16,450,3,34,3,1,3,NULL,1),(16,450,3,34,4,1,7,1,1),(16,450,3,34,5,9,18,3,2),(16,450,3,34,6,26,10,7,NULL),(16,450,3,34,7,3,5,NULL,2),(16,450,3,34,8,1,3,1,NULL),(16,450,3,34,9,NULL,2,NULL,1),(16,450,3,34,10,2,1,NULL,NULL),(16,450,3,34,11,4,8,1,2),(16,450,3,34,12,6,10,2,3),(16,450,3,34,13,6,9,2,4),(16,450,3,34,14,12,18,4,3),(16,450,3,34,15,14,10,6,NULL),(16,450,3,34,16,14,10,4,4),(16,450,3,34,17,13,11,6,1),(16,450,3,34,18,4,5,2,NULL),(16,450,3,34,19,6,5,3,NULL),(16,450,3,34,20,33,NULL,7,NULL),(16,450,3,34,21,12,18,6,2),(16,450,3,34,22,3,8,1,3),(16,450,3,34,23,1,9,1,1),(16,450,3,34,24,2,3,1,1),(16,450,3,34,25,1,5,1,NULL),(16,450,3,34,26,1,3,1,1),(16,450,3,34,27,1,5,1,NULL),(16,450,3,34,28,2,7,1,3),(16,450,3,34,29,6,5,2,NULL),(16,450,3,34,30,2,2,1,2),(16,451,1,11,1,NULL,NULL,NULL,NULL),(16,451,1,11,2,NULL,NULL,NULL,NULL),(16,451,1,11,3,NULL,NULL,NULL,NULL),(16,451,1,11,4,NULL,NULL,NULL,NULL),(16,451,1,11,5,NULL,NULL,NULL,NULL),(16,451,1,11,6,NULL,NULL,NULL,NULL),(16,451,1,11,7,NULL,NULL,NULL,NULL),(16,451,1,11,8,NULL,NULL,NULL,NULL),(16,451,1,11,9,NULL,NULL,NULL,NULL),(16,451,1,11,10,NULL,NULL,NULL,NULL),(16,451,1,11,11,NULL,NULL,NULL,NULL),(16,451,1,11,12,NULL,NULL,NULL,NULL),(16,451,1,11,13,NULL,NULL,NULL,NULL),(16,451,1,11,14,NULL,NULL,NULL,NULL),(16,451,1,11,15,NULL,NULL,NULL,NULL),(16,451,1,11,16,NULL,NULL,NULL,NULL),(16,451,1,11,17,NULL,NULL,NULL,NULL),(16,451,1,11,18,NULL,NULL,NULL,NULL),(16,451,1,11,19,NULL,NULL,NULL,NULL),(16,451,1,11,20,NULL,NULL,NULL,NULL),(16,451,1,12,1,1,NULL,1,NULL),(16,451,1,12,2,NULL,NULL,NULL,NULL),(16,451,1,12,3,NULL,NULL,NULL,NULL),(16,451,1,12,4,NULL,NULL,NULL,NULL),(16,451,1,12,5,1,NULL,1,NULL),(16,451,1,12,6,NULL,NULL,NULL,NULL),(16,451,1,12,7,NULL,NULL,NULL,NULL),(16,451,1,12,8,NULL,NULL,NULL,NULL),(16,451,1,12,9,NULL,NULL,NULL,NULL),(16,451,1,12,10,NULL,NULL,NULL,NULL),(16,451,1,12,11,1,NULL,1,NULL),(16,451,1,12,12,1,NULL,1,NULL),(16,451,1,12,13,NULL,NULL,NULL,NULL),(16,451,1,12,14,NULL,NULL,NULL,NULL),(16,451,1,12,15,NULL,NULL,NULL,NULL),(16,451,1,12,16,1,NULL,1,NULL),(16,451,1,12,17,NULL,NULL,NULL,NULL),(16,451,1,12,18,1,NULL,1,NULL),(16,451,1,12,19,1,NULL,1,NULL),(16,451,1,12,20,NULL,NULL,NULL,NULL),(16,451,1,13,1,NULL,NULL,NULL,NULL),(16,451,1,13,2,NULL,NULL,NULL,NULL),(16,451,1,13,3,NULL,NULL,NULL,NULL),(16,451,1,13,4,NULL,NULL,NULL,NULL),(16,451,1,13,5,NULL,NULL,NULL,NULL),(16,451,1,13,6,NULL,NULL,NULL,NULL),(16,451,1,13,7,NULL,NULL,NULL,NULL),(16,451,1,13,8,NULL,NULL,NULL,NULL),(16,451,1,13,9,NULL,NULL,NULL,NULL),(16,451,1,13,10,NULL,NULL,NULL,NULL),(16,451,1,13,11,NULL,NULL,NULL,NULL),(16,451,1,13,12,NULL,NULL,NULL,NULL),(16,451,1,13,13,NULL,NULL,NULL,NULL),(16,451,1,13,14,NULL,NULL,NULL,NULL),(16,451,1,13,15,NULL,NULL,NULL,NULL),(16,451,1,13,16,NULL,NULL,NULL,NULL),(16,451,1,13,17,NULL,NULL,NULL,NULL),(16,451,1,13,18,NULL,NULL,NULL,NULL),(16,451,1,13,19,NULL,NULL,NULL,NULL),(16,451,1,13,20,NULL,NULL,NULL,NULL),(16,451,1,14,1,11,5,7,NULL),(16,451,1,14,2,4,3,3,1),(16,451,1,14,3,7,4,5,1),(16,451,1,14,4,1,3,NULL,2),(16,451,1,14,5,8,5,3,3),(16,451,1,14,6,1,4,1,3),(16,451,1,14,7,4,3,1,2),(16,451,1,14,8,7,6,5,2),(16,451,1,14,9,2,2,NULL,2),(16,451,1,14,10,4,5,1,4),(16,451,1,14,11,7,2,4,1),(16,451,1,14,12,5,2,3,1),(16,451,1,14,13,10,10,4,5),(16,451,1,14,14,5,5,3,4),(16,451,1,14,15,1,3,NULL,2),(16,451,1,14,16,10,4,6,1),(16,451,1,14,17,9,4,5,2),(16,451,1,14,18,5,4,3,3),(16,451,1,14,19,8,6,6,2),(16,451,1,14,20,5,11,2,5),(16,451,1,15,1,6,7,3,NULL),(16,451,1,15,2,NULL,2,NULL,1),(16,451,1,15,3,7,2,4,NULL),(16,451,1,15,4,1,2,NULL,2),(16,451,1,15,5,4,7,1,2),(16,451,1,15,6,2,3,1,1),(16,451,1,15,7,2,NULL,1,NULL),(16,451,1,15,8,5,5,3,NULL),(16,451,1,15,9,3,1,1,1),(16,451,1,15,10,8,7,3,2),(16,451,1,15,11,6,4,4,NULL),(16,451,1,15,12,4,2,2,1),(16,451,1,15,13,10,2,4,NULL),(16,451,1,15,14,2,1,1,1),(16,451,1,15,15,7,3,4,2),(16,451,1,15,16,8,1,3,NULL),(16,451,1,15,17,8,7,6,NULL),(16,451,1,15,18,1,1,1,1),(16,451,1,15,19,6,4,3,3),(16,451,1,15,20,3,8,2,4),(16,451,1,16,1,7,5,2,2),(16,451,1,16,2,NULL,NULL,NULL,NULL),(16,451,1,16,3,6,3,4,2),(16,451,1,16,4,1,3,1,1),(16,451,1,16,5,4,6,3,3),(16,451,1,16,6,1,5,1,3),(16,451,1,16,7,2,2,2,1),(16,451,1,16,8,3,4,2,3),(16,451,1,16,9,3,2,2,NULL),(16,451,1,16,10,4,3,2,1),(16,451,1,16,11,6,14,1,8),(16,451,1,16,12,3,2,2,1),(16,451,1,16,13,9,8,4,3),(16,451,1,16,14,1,11,NULL,5),(16,451,1,16,15,9,9,4,4),(16,451,1,16,16,NULL,11,NULL,4),(16,451,1,16,17,5,10,1,5),(16,451,1,16,18,8,6,3,5),(16,451,1,16,19,6,7,4,1),(16,451,1,16,20,2,3,1,1),(16,451,1,17,1,6,2,1,1),(16,451,1,17,2,1,1,NULL,NULL),(16,451,1,17,3,2,4,2,2),(16,451,1,17,4,2,1,1,1),(16,451,1,17,5,NULL,7,NULL,2),(16,451,1,17,6,1,2,1,NULL),(16,451,1,17,7,1,2,1,NULL),(16,451,1,17,8,4,5,1,2),(16,451,1,17,9,3,1,1,NULL),(16,451,1,17,10,4,4,1,NULL),(16,451,1,17,11,6,10,NULL,4),(16,451,1,17,12,1,NULL,NULL,NULL),(16,451,1,17,13,9,5,NULL,4),(16,451,1,17,14,1,9,NULL,2),(16,451,1,17,15,7,8,2,2),(16,451,1,17,16,1,9,NULL,2),(16,451,1,17,17,6,5,2,2),(16,451,1,17,18,5,6,1,3),(16,451,1,17,19,4,4,1,1),(16,451,1,17,20,NULL,4,NULL,2),(16,451,2,21,1,2,1,2,1),(16,451,2,21,2,3,5,3,2),(16,451,2,21,3,4,5,2,3),(16,451,2,21,4,7,2,6,1),(16,451,2,21,5,4,7,4,3),(16,451,2,21,6,1,4,1,3),(16,451,2,21,7,2,1,2,1),(16,451,2,21,8,1,6,1,3),(16,451,2,21,9,2,1,2,1),(16,451,2,21,10,2,4,2,2),(16,451,2,21,11,3,4,3,2),(16,451,2,21,12,3,4,1,3),(16,451,2,21,13,2,5,2,3),(16,451,2,21,14,4,4,3,3),(16,451,2,21,15,6,3,6,2),(16,451,2,21,16,2,6,2,5),(16,451,2,21,17,5,3,3,2),(16,451,2,21,18,3,3,NULL,2),(16,451,2,21,19,5,9,2,7),(16,451,2,21,20,2,6,1,4),(16,451,2,21,21,3,3,3,2),(16,451,2,21,22,4,3,4,2),(16,451,2,21,23,3,5,2,3),(16,451,2,21,24,3,8,1,7),(16,451,2,21,25,2,NULL,2,NULL),(16,451,2,21,26,27,NULL,12,NULL),(16,451,2,21,27,1,7,1,6),(16,451,2,21,28,1,4,NULL,3),(16,451,2,21,29,2,6,1,5),(16,451,2,21,30,2,3,2,3),(16,451,2,22,1,1,2,NULL,2),(16,451,2,22,2,3,7,3,4),(16,451,2,22,3,6,3,4,1),(16,451,2,22,4,10,5,8,NULL),(16,451,2,22,5,3,6,1,3),(16,451,2,22,6,2,6,2,2),(16,451,2,22,7,2,2,1,1),(16,451,2,22,8,1,5,1,NULL),(16,451,2,22,9,NULL,4,NULL,2),(16,451,2,22,10,3,8,3,4),(16,451,2,22,11,2,2,2,1),(16,451,2,22,12,4,8,NULL,4),(16,451,2,22,13,2,6,2,2),(16,451,2,22,14,7,10,3,4),(16,451,2,22,15,10,3,6,NULL),(16,451,2,22,16,4,6,2,2),(16,451,2,22,17,4,2,2,NULL),(16,451,2,22,18,NULL,5,NULL,2),(16,451,2,22,19,4,7,2,3),(16,451,2,22,20,1,4,1,2),(16,451,2,22,21,2,4,1,2),(16,451,2,22,22,6,2,4,1),(16,451,2,22,23,4,5,3,3),(16,451,2,22,24,2,8,1,4),(16,451,2,22,25,1,NULL,1,NULL),(16,451,2,22,26,26,NULL,9,NULL),(16,451,2,22,27,7,8,1,4),(16,451,2,22,28,2,6,NULL,2),(16,451,2,22,29,1,7,NULL,4),(16,451,2,22,30,NULL,3,NULL,1),(16,451,2,23,1,NULL,3,NULL,2),(16,451,2,23,2,NULL,11,NULL,3),(16,451,2,23,3,3,2,1,1),(16,451,2,23,4,2,7,1,2),(16,451,2,23,5,5,4,2,1),(16,451,2,23,6,NULL,5,NULL,2),(16,451,2,23,7,2,2,1,1),(16,451,2,23,8,3,4,NULL,2),(16,451,2,23,9,NULL,NULL,NULL,NULL),(16,451,2,23,10,2,3,NULL,2),(16,451,2,23,11,1,2,NULL,2),(16,451,2,23,12,7,2,1,1),(16,451,2,23,13,2,3,1,1),(16,451,2,23,14,6,5,3,2),(16,451,2,23,15,9,1,4,1),(16,451,2,23,16,2,4,1,4),(16,451,2,23,17,1,4,NULL,NULL),(16,451,2,23,18,NULL,3,NULL,2),(16,451,2,23,19,3,8,NULL,5),(16,451,2,23,20,NULL,6,NULL,1),(16,451,2,23,21,1,6,NULL,2),(16,451,2,23,22,3,5,NULL,3),(16,451,2,23,23,1,3,NULL,2),(16,451,2,23,24,4,7,NULL,5),(16,451,2,23,25,1,NULL,NULL,NULL),(16,451,2,23,26,24,NULL,5,NULL),(16,451,2,23,27,NULL,1,NULL,NULL),(16,451,2,23,28,NULL,2,NULL,NULL),(16,451,2,23,29,3,5,NULL,2),(16,451,2,23,30,1,3,NULL,2),(16,451,2,24,1,NULL,1,NULL,1),(16,451,2,24,2,1,5,1,2),(16,451,2,24,3,1,2,NULL,NULL),(16,451,2,24,4,6,2,2,1),(16,451,2,24,5,5,3,1,1),(16,451,2,24,6,1,1,1,NULL),(16,451,2,24,7,1,1,NULL,NULL),(16,451,2,24,8,NULL,1,NULL,NULL),(16,451,2,24,9,NULL,2,NULL,1),(16,451,2,24,10,1,3,NULL,1),(16,451,2,24,11,1,NULL,NULL,NULL),(16,451,2,24,12,5,1,1,NULL),(16,451,2,24,13,3,3,1,1),(16,451,2,24,14,5,4,2,1),(16,451,2,24,15,6,1,3,NULL),(16,451,2,24,16,2,NULL,2,NULL),(16,451,2,24,17,3,3,1,2),(16,451,2,24,18,2,NULL,1,NULL),(16,451,2,24,19,4,7,2,1),(16,451,2,24,20,3,3,1,NULL),(16,451,2,24,21,2,4,1,NULL),(16,451,2,24,22,1,1,NULL,NULL),(16,451,2,24,23,1,4,NULL,2),(16,451,2,24,24,3,4,NULL,1),(16,451,2,24,25,NULL,NULL,NULL,NULL),(16,451,2,24,26,21,NULL,4,NULL),(16,451,2,24,27,NULL,3,NULL,2),(16,451,2,24,28,NULL,NULL,NULL,NULL),(16,451,2,24,29,4,5,NULL,2),(16,451,2,24,30,1,2,1,NULL),(16,451,3,31,1,1,NULL,1,NULL),(16,451,3,31,2,NULL,2,NULL,1),(16,451,3,31,3,NULL,1,NULL,NULL),(16,451,3,31,4,2,1,NULL,NULL),(16,451,3,31,5,3,4,1,1),(16,451,3,31,6,8,4,NULL,1),(16,451,3,31,7,NULL,2,NULL,NULL),(16,451,3,31,8,NULL,1,NULL,1),(16,451,3,31,9,NULL,1,NULL,NULL),(16,451,3,31,10,NULL,1,NULL,NULL),(16,451,3,31,11,2,3,NULL,1),(16,451,3,31,12,2,3,1,1),(16,451,3,31,13,2,3,1,NULL),(16,451,3,31,14,2,7,1,1),(16,451,3,31,15,2,3,1,NULL),(16,451,3,31,16,3,5,2,1),(16,451,3,31,17,6,4,3,1),(16,451,3,31,18,1,2,NULL,NULL),(16,451,3,31,19,1,1,NULL,1),(16,451,3,31,20,5,NULL,3,NULL),(16,451,3,31,21,1,14,1,3),(16,451,3,31,22,1,1,NULL,NULL),(16,451,3,31,23,NULL,5,NULL,NULL),(16,451,3,31,24,2,1,1,1),(16,451,3,31,25,1,1,NULL,1),(16,451,3,31,26,NULL,NULL,NULL,NULL),(16,451,3,31,27,1,3,NULL,2),(16,451,3,31,28,1,4,NULL,2),(16,451,3,31,29,NULL,6,NULL,1),(16,451,3,31,30,NULL,NULL,NULL,NULL),(16,451,3,32,1,NULL,2,NULL,NULL),(16,451,3,32,2,NULL,4,NULL,2),(16,451,3,32,3,NULL,3,NULL,2),(16,451,3,32,4,1,3,NULL,2),(16,451,3,32,5,1,9,NULL,2),(16,451,3,32,6,8,8,3,2),(16,451,3,32,7,2,NULL,NULL,NULL),(16,451,3,32,8,2,2,NULL,NULL),(16,451,3,32,9,NULL,1,NULL,NULL),(16,451,3,32,10,NULL,NULL,NULL,NULL),(16,451,3,32,11,1,8,NULL,3),(16,451,3,32,12,NULL,4,NULL,2),(16,451,3,32,13,1,6,NULL,1),(16,451,3,32,14,1,8,NULL,2),(16,451,3,32,15,2,6,1,2),(16,451,3,32,16,3,4,1,2),(16,451,3,32,17,8,3,2,NULL),(16,451,3,32,18,1,4,1,1),(16,451,3,32,19,2,2,NULL,NULL),(16,451,3,32,20,5,NULL,1,NULL),(16,451,3,32,21,1,13,NULL,3),(16,451,3,32,22,NULL,NULL,NULL,NULL),(16,451,3,32,23,1,4,NULL,1),(16,451,3,32,24,NULL,NULL,NULL,NULL),(16,451,3,32,25,1,2,NULL,1),(16,451,3,32,26,1,NULL,NULL,NULL),(16,451,3,32,27,NULL,1,NULL,NULL),(16,451,3,32,28,1,2,NULL,NULL),(16,451,3,32,29,2,1,1,NULL),(16,451,3,32,30,NULL,3,NULL,1),(16,451,3,33,1,NULL,4,NULL,2),(16,451,3,33,2,1,1,1,1),(16,451,3,33,3,NULL,1,NULL,NULL),(16,451,3,33,4,NULL,NULL,NULL,NULL),(16,451,3,33,5,2,3,1,2),(16,451,3,33,6,10,5,5,1),(16,451,3,33,7,1,2,1,2),(16,451,3,33,8,1,1,1,NULL),(16,451,3,33,9,NULL,3,NULL,NULL),(16,451,3,33,10,1,NULL,NULL,NULL),(16,451,3,33,11,2,3,2,1),(16,451,3,33,12,5,8,3,4),(16,451,3,33,13,5,7,2,4),(16,451,3,33,14,3,9,3,5),(16,451,3,33,15,4,4,3,2),(16,451,3,33,16,3,5,2,3),(16,451,3,33,17,9,7,4,4),(16,451,3,33,18,4,1,3,1),(16,451,3,33,19,1,4,NULL,2),(16,451,3,33,20,15,NULL,8,NULL),(16,451,3,33,21,4,12,4,5),(16,451,3,33,22,1,3,1,1),(16,451,3,33,23,1,5,NULL,2),(16,451,3,33,24,NULL,2,NULL,2),(16,451,3,33,25,NULL,3,NULL,2),(16,451,3,33,26,NULL,NULL,NULL,NULL),(16,451,3,33,27,1,2,NULL,1),(16,451,3,33,28,3,1,2,NULL),(16,451,3,33,29,4,8,3,3),(16,451,3,33,30,NULL,NULL,NULL,NULL),(16,451,3,34,1,1,1,1,1),(16,451,3,34,2,NULL,3,NULL,3),(16,451,3,34,3,NULL,3,NULL,3),(16,451,3,34,4,1,2,1,1),(16,451,3,34,5,3,7,1,2),(16,451,3,34,6,7,7,3,2),(16,451,3,34,7,NULL,1,NULL,NULL),(16,451,3,34,8,3,1,3,NULL),(16,451,3,34,9,1,3,NULL,2),(16,451,3,34,10,2,1,1,1),(16,451,3,34,11,5,3,3,2),(16,451,3,34,12,6,6,6,1),(16,451,3,34,13,1,1,1,NULL),(16,451,3,34,14,5,9,3,5),(16,451,3,34,15,5,3,4,1),(16,451,3,34,16,5,4,3,3),(16,451,3,34,17,8,5,4,4),(16,451,3,34,18,3,3,2,3),(16,451,3,34,19,2,3,2,2),(16,451,3,34,20,6,NULL,6,NULL),(16,451,3,34,21,3,8,1,5),(16,451,3,34,22,NULL,4,NULL,1),(16,451,3,34,23,NULL,3,NULL,NULL),(16,451,3,34,24,NULL,3,NULL,2),(16,451,3,34,25,NULL,2,NULL,1),(16,451,3,34,26,NULL,NULL,NULL,NULL),(16,451,3,34,27,1,2,NULL,2),(16,451,3,34,28,NULL,8,NULL,6),(16,451,3,34,29,3,6,3,4),(16,451,3,34,30,1,1,NULL,1),(16,452,1,11,1,NULL,NULL,NULL,NULL),(16,452,1,11,2,NULL,NULL,NULL,NULL),(16,452,1,11,3,1,NULL,1,NULL),(16,452,1,11,4,1,NULL,1,NULL),(16,452,1,11,5,1,NULL,1,NULL),(16,452,1,11,6,NULL,1,NULL,1),(16,452,1,11,7,NULL,NULL,NULL,NULL),(16,452,1,11,8,NULL,NULL,NULL,NULL),(16,452,1,11,9,NULL,NULL,NULL,NULL),(16,452,1,11,10,1,NULL,1,NULL),(16,452,1,11,11,1,NULL,1,NULL),(16,452,1,11,12,NULL,NULL,NULL,NULL),(16,452,1,11,13,NULL,1,NULL,1),(16,452,1,11,14,NULL,NULL,NULL,NULL),(16,452,1,11,15,NULL,NULL,NULL,NULL),(16,452,1,11,16,NULL,1,NULL,1),(16,452,1,11,17,NULL,1,NULL,1),(16,452,1,11,18,NULL,NULL,NULL,NULL),(16,452,1,11,19,1,NULL,1,NULL),(16,452,1,11,20,NULL,NULL,NULL,NULL),(16,452,1,12,1,NULL,NULL,NULL,NULL),(16,452,1,12,2,NULL,NULL,NULL,NULL),(16,452,1,12,3,NULL,1,NULL,1),(16,452,1,12,4,1,NULL,1,NULL),(16,452,1,12,5,NULL,NULL,NULL,NULL),(16,452,1,12,6,NULL,NULL,NULL,NULL),(16,452,1,12,7,NULL,NULL,NULL,NULL),(16,452,1,12,8,1,NULL,1,NULL),(16,452,1,12,9,NULL,NULL,NULL,NULL),(16,452,1,12,10,1,NULL,1,NULL),(16,452,1,12,11,1,NULL,1,NULL),(16,452,1,12,12,1,NULL,1,NULL),(16,452,1,12,13,1,NULL,1,NULL),(16,452,1,12,14,1,NULL,1,NULL),(16,452,1,12,15,NULL,NULL,NULL,NULL),(16,452,1,12,16,1,NULL,1,NULL),(16,452,1,12,17,NULL,NULL,NULL,NULL),(16,452,1,12,18,1,NULL,1,NULL),(16,452,1,12,19,1,NULL,1,NULL),(16,452,1,12,20,1,NULL,1,NULL),(16,452,1,13,1,1,NULL,1,NULL),(16,452,1,13,2,NULL,NULL,NULL,NULL),(16,452,1,13,3,NULL,1,NULL,1),(16,452,1,13,4,NULL,NULL,NULL,NULL),(16,452,1,13,5,NULL,NULL,NULL,NULL),(16,452,1,13,6,NULL,NULL,NULL,NULL),(16,452,1,13,7,NULL,NULL,NULL,NULL),(16,452,1,13,8,NULL,NULL,NULL,NULL),(16,452,1,13,9,NULL,NULL,NULL,NULL),(16,452,1,13,10,1,NULL,1,NULL),(16,452,1,13,11,1,NULL,1,NULL),(16,452,1,13,12,1,NULL,1,NULL),(16,452,1,13,13,1,NULL,1,NULL),(16,452,1,13,14,1,NULL,1,NULL),(16,452,1,13,15,1,NULL,1,NULL),(16,452,1,13,16,NULL,NULL,NULL,NULL),(16,452,1,13,17,1,NULL,1,NULL),(16,452,1,13,18,NULL,NULL,NULL,NULL),(16,452,1,13,19,1,NULL,1,NULL),(16,452,1,13,20,1,NULL,1,NULL),(16,452,1,14,1,14,12,6,3),(16,452,1,14,2,NULL,3,NULL,NULL),(16,452,1,14,3,11,7,3,3),(16,452,1,14,4,2,4,1,3),(16,452,1,14,5,15,10,5,3),(16,452,1,14,6,4,8,1,5),(16,452,1,14,7,1,3,NULL,NULL),(16,452,1,14,8,10,9,4,3),(16,452,1,14,9,5,6,2,4),(16,452,1,14,10,14,4,7,NULL),(16,452,1,14,11,12,4,3,1),(16,452,1,14,12,7,6,4,1),(16,452,1,14,13,18,11,5,4),(16,452,1,14,14,10,6,6,1),(16,452,1,14,15,3,8,1,1),(16,452,1,14,16,21,7,9,2),(16,452,1,14,17,12,13,3,4),(16,452,1,14,18,2,9,1,3),(16,452,1,14,19,14,14,6,3),(16,452,1,14,20,7,16,5,6),(16,452,1,15,1,13,11,4,2),(16,452,1,15,2,2,3,NULL,1),(16,452,1,15,3,10,9,3,3),(16,452,1,15,4,NULL,7,NULL,4),(16,452,1,15,5,5,5,3,2),(16,452,1,15,6,4,8,2,2),(16,452,1,15,7,2,3,1,2),(16,452,1,15,8,7,4,4,1),(16,452,1,15,9,5,5,1,1),(16,452,1,15,10,16,5,7,NULL),(16,452,1,15,11,9,2,2,NULL),(16,452,1,15,12,8,4,4,3),(16,452,1,15,13,22,3,7,1),(16,452,1,15,14,11,3,4,1),(16,452,1,15,15,5,8,2,1),(16,452,1,15,16,20,3,7,NULL),(16,452,1,15,17,16,8,4,4),(16,452,1,15,18,6,3,4,1),(16,452,1,15,19,12,10,4,3),(16,452,1,15,20,7,13,2,3),(16,452,1,16,1,9,5,5,2),(16,452,1,16,2,2,1,1,NULL),(16,452,1,16,3,7,6,4,3),(16,452,1,16,4,2,1,1,NULL),(16,452,1,16,5,11,7,5,3),(16,452,1,16,6,2,4,1,3),(16,452,1,16,7,2,3,1,2),(16,452,1,16,8,4,6,2,3),(16,452,1,16,9,1,5,1,3),(16,452,1,16,10,10,4,3,3),(16,452,1,16,11,7,23,2,8),(16,452,1,16,12,1,5,NULL,1),(16,452,1,16,13,6,13,2,6),(16,452,1,16,14,3,17,1,5),(16,452,1,16,15,8,18,3,5),(16,452,1,16,16,3,14,2,3),(16,452,1,16,17,4,17,2,6),(16,452,1,16,18,9,8,5,3),(16,452,1,16,19,10,14,4,5),(16,452,1,16,20,1,9,NULL,5),(16,452,1,17,1,10,5,5,NULL),(16,452,1,17,2,3,4,NULL,2),(16,452,1,17,3,7,3,2,1),(16,452,1,17,4,1,5,NULL,2),(16,452,1,17,5,5,8,3,2),(16,452,1,17,6,4,5,1,3),(16,452,1,17,7,NULL,1,NULL,1),(16,452,1,17,8,1,6,NULL,3),(16,452,1,17,9,2,2,1,NULL),(16,452,1,17,10,8,4,3,1),(16,452,1,17,11,8,15,2,5),(16,452,1,17,12,2,3,1,NULL),(16,452,1,17,13,5,13,NULL,6),(16,452,1,17,14,2,17,1,4),(16,452,1,17,15,10,13,3,2),(16,452,1,17,16,2,13,1,3),(16,452,1,17,17,5,13,1,5),(16,452,1,17,18,10,3,3,2),(16,452,1,17,19,5,11,1,3),(16,452,1,17,20,2,6,1,1),(16,452,2,21,1,3,5,2,4),(16,452,2,21,2,3,15,3,3),(16,452,2,21,3,5,5,3,4),(16,452,2,21,4,14,7,6,NULL),(16,452,2,21,5,11,10,7,1),(16,452,2,21,6,2,7,2,4),(16,452,2,21,7,NULL,8,NULL,2),(16,452,2,21,8,3,5,1,1),(16,452,2,21,9,1,2,1,2),(16,452,2,21,10,7,7,5,NULL),(16,452,2,21,11,7,2,4,1),(16,452,2,21,12,6,7,3,4),(16,452,2,21,13,4,8,2,3),(16,452,2,21,14,13,13,4,7),(16,452,2,21,15,18,2,9,1),(16,452,2,21,16,4,9,1,5),(16,452,2,21,17,6,2,4,NULL),(16,452,2,21,18,4,5,4,1),(16,452,2,21,19,6,9,NULL,5),(16,452,2,21,20,7,10,2,4),(16,452,2,21,21,3,13,3,4),(16,452,2,21,22,5,4,1,3),(16,452,2,21,23,4,7,1,5),(16,452,2,21,24,6,14,4,5),(16,452,2,21,25,1,NULL,1,NULL),(16,452,2,21,26,40,NULL,11,NULL),(16,452,2,21,27,2,6,1,3),(16,452,2,21,28,1,5,NULL,3),(16,452,2,21,29,5,8,2,4),(16,452,2,21,30,1,6,NULL,1),(16,452,2,22,1,2,1,1,NULL),(16,452,2,22,2,NULL,15,NULL,5),(16,452,2,22,3,8,2,2,NULL),(16,452,2,22,4,12,2,3,2),(16,452,2,22,5,1,6,NULL,1),(16,452,2,22,6,5,5,1,1),(16,452,2,22,7,NULL,4,NULL,2),(16,452,2,22,8,4,NULL,2,NULL),(16,452,2,22,9,NULL,NULL,NULL,NULL),(16,452,2,22,10,1,6,1,2),(16,452,2,22,11,3,1,2,NULL),(16,452,2,22,12,7,5,2,2),(16,452,2,22,13,5,7,1,1),(16,452,2,22,14,11,6,4,3),(16,452,2,22,15,13,2,3,1),(16,452,2,22,16,5,8,2,3),(16,452,2,22,17,1,3,1,NULL),(16,452,2,22,18,2,4,NULL,3),(16,452,2,22,19,6,12,NULL,3),(16,452,2,22,20,6,3,3,NULL),(16,452,2,22,21,3,3,1,2),(16,452,2,22,22,6,7,2,2),(16,452,2,22,23,6,3,3,NULL),(16,452,2,22,24,6,5,2,1),(16,452,2,22,25,NULL,NULL,NULL,NULL),(16,452,2,22,26,35,NULL,7,NULL),(16,452,2,22,27,4,9,NULL,2),(16,452,2,22,28,NULL,3,NULL,NULL),(16,452,2,22,29,1,6,NULL,3),(16,452,2,22,30,3,4,NULL,NULL),(16,452,2,23,1,2,3,1,3),(16,452,2,23,2,4,15,3,7),(16,452,2,23,3,9,3,6,1),(16,452,2,23,4,24,2,11,1),(16,452,2,23,5,6,10,3,4),(16,452,2,23,6,10,9,7,3),(16,452,2,23,7,5,2,NULL,NULL),(16,452,2,23,8,3,6,2,2),(16,452,2,23,9,1,2,1,2),(16,452,2,23,10,4,7,2,4),(16,452,2,23,11,3,2,1,NULL),(16,452,2,23,12,13,1,7,NULL),(16,452,2,23,13,1,10,NULL,5),(16,452,2,23,14,14,9,5,4),(16,452,2,23,15,18,4,7,1),(16,452,2,23,16,8,3,5,1),(16,452,2,23,17,4,13,2,4),(16,452,2,23,18,3,3,1,1),(16,452,2,23,19,8,15,4,6),(16,452,2,23,20,3,3,1,NULL),(16,452,2,23,21,1,10,1,5),(16,452,2,23,22,4,3,2,1),(16,452,2,23,23,4,9,3,4),(16,452,2,23,24,2,9,2,4),(16,452,2,23,25,NULL,NULL,NULL,NULL),(16,452,2,23,26,39,NULL,15,NULL),(16,452,2,23,27,4,10,NULL,3),(16,452,2,23,28,1,3,1,2),(16,452,2,23,29,8,14,5,4),(16,452,2,23,30,5,3,3,1),(16,452,2,24,1,3,5,2,NULL),(16,452,2,24,2,1,16,1,5),(16,452,2,24,3,6,5,3,1),(16,452,2,24,4,11,5,5,1),(16,452,2,24,5,9,10,3,1),(16,452,2,24,6,5,4,2,2),(16,452,2,24,7,4,5,NULL,1),(16,452,2,24,8,NULL,5,NULL,1),(16,452,2,24,9,1,6,1,1),(16,452,2,24,10,3,11,2,1),(16,452,2,24,11,2,7,2,1),(16,452,2,24,12,6,5,2,2),(16,452,2,24,13,2,9,2,3),(16,452,2,24,14,9,13,3,3),(16,452,2,24,15,18,2,6,NULL),(16,452,2,24,16,5,8,2,2),(16,452,2,24,17,4,5,3,3),(16,452,2,24,18,5,7,5,1),(16,452,2,24,19,10,9,5,2),(16,452,2,24,20,5,7,3,2),(16,452,2,24,21,1,7,NULL,3),(16,452,2,24,22,1,6,NULL,3),(16,452,2,24,23,4,11,2,2),(16,452,2,24,24,1,7,1,2),(16,452,2,24,25,1,NULL,1,NULL),(16,452,2,24,26,34,NULL,7,NULL),(16,452,2,24,27,1,8,NULL,2),(16,452,2,24,28,1,3,NULL,1),(16,452,2,24,29,NULL,12,NULL,4),(16,452,2,24,30,6,5,1,2),(16,452,3,31,1,3,5,2,2),(16,452,3,31,2,1,2,NULL,NULL),(16,452,3,31,3,NULL,4,NULL,2),(16,452,3,31,4,2,2,1,NULL),(16,452,3,31,5,7,8,3,2),(16,452,3,31,6,16,11,4,2),(16,452,3,31,7,NULL,4,NULL,2),(16,452,3,31,8,2,3,1,1),(16,452,3,31,9,NULL,2,NULL,1),(16,452,3,31,10,3,1,1,NULL),(16,452,3,31,11,5,3,1,1),(16,452,3,31,12,4,5,3,2),(16,452,3,31,13,1,5,1,2),(16,452,3,31,14,5,13,1,3),(16,452,3,31,15,6,6,4,1),(16,452,3,31,16,5,11,3,2),(16,452,3,31,17,17,5,6,1),(16,452,3,31,18,4,2,1,NULL),(16,452,3,31,19,4,5,1,1),(16,452,3,31,20,11,NULL,5,NULL),(16,452,3,31,21,7,9,4,1),(16,452,3,31,22,1,2,NULL,NULL),(16,452,3,31,23,1,3,NULL,NULL),(16,452,3,31,24,1,5,1,2),(16,452,3,31,25,2,1,2,NULL),(16,452,3,31,26,NULL,2,NULL,1),(16,452,3,31,27,1,3,NULL,1),(16,452,3,31,28,4,7,3,2),(16,452,3,31,29,7,7,5,1),(16,452,3,31,30,NULL,2,NULL,NULL),(16,452,3,32,1,2,5,1,2),(16,452,3,32,2,3,8,1,1),(16,452,3,32,3,1,8,1,4),(16,452,3,32,4,2,4,NULL,1),(16,452,3,32,5,12,9,7,1),(16,452,3,32,6,22,7,10,3),(16,452,3,32,7,NULL,5,NULL,4),(16,452,3,32,8,NULL,5,NULL,2),(16,452,3,32,9,NULL,3,NULL,3),(16,452,3,32,10,2,3,1,NULL),(16,452,3,32,11,3,2,2,NULL),(16,452,3,32,12,2,11,2,3),(16,452,3,32,13,5,6,3,4),(16,452,3,32,14,10,10,5,4),(16,452,3,32,15,7,10,5,4),(16,452,3,32,16,2,12,1,9),(16,452,3,32,17,17,6,8,3),(16,452,3,32,18,5,2,4,NULL),(16,452,3,32,19,6,5,5,3),(16,452,3,32,20,12,NULL,5,NULL),(16,452,3,32,21,13,10,4,4),(16,452,3,32,22,1,5,NULL,2),(16,452,3,32,23,3,7,2,2),(16,452,3,32,24,NULL,2,NULL,NULL),(16,452,3,32,25,2,4,2,2),(16,452,3,32,26,NULL,3,NULL,2),(16,452,3,32,27,2,6,1,3),(16,452,3,32,28,9,8,4,1),(16,452,3,32,29,9,7,3,2),(16,452,3,32,30,NULL,3,NULL,2),(16,452,3,33,1,1,1,NULL,NULL),(16,452,3,33,2,NULL,1,NULL,NULL),(16,452,3,33,3,NULL,5,NULL,2),(16,452,3,33,4,NULL,3,NULL,3),(16,452,3,33,5,7,8,1,1),(16,452,3,33,6,20,4,3,1),(16,452,3,33,7,NULL,1,NULL,NULL),(16,452,3,33,8,1,4,NULL,2),(16,452,3,33,9,1,1,NULL,NULL),(16,452,3,33,10,3,2,1,NULL),(16,452,3,33,11,7,2,1,NULL),(16,452,3,33,12,7,6,2,2),(16,452,3,33,13,2,5,NULL,1),(16,452,3,33,14,8,6,1,2),(16,452,3,33,15,5,5,3,2),(16,452,3,33,16,5,4,2,1),(16,452,3,33,17,15,7,3,3),(16,452,3,33,18,9,NULL,3,NULL),(16,452,3,33,19,5,2,NULL,2),(16,452,3,33,20,14,NULL,7,NULL),(16,452,3,33,21,9,10,3,2),(16,452,3,33,22,NULL,4,NULL,1),(16,452,3,33,23,1,5,NULL,1),(16,452,3,33,24,4,4,2,1),(16,452,3,33,25,2,2,1,1),(16,452,3,33,26,NULL,1,NULL,NULL),(16,452,3,33,27,NULL,6,NULL,2),(16,452,3,33,28,3,4,1,1),(16,452,3,33,29,3,8,2,2),(16,452,3,33,30,1,5,1,1),(16,452,3,34,1,1,6,NULL,4),(16,452,3,34,2,NULL,5,NULL,1),(16,452,3,34,3,1,4,NULL,2),(16,452,3,34,4,1,5,NULL,2),(16,452,3,34,5,6,10,1,4),(16,452,3,34,6,23,9,8,2),(16,452,3,34,7,1,3,NULL,2),(16,452,3,34,8,NULL,5,NULL,2),(16,452,3,34,9,NULL,4,NULL,NULL),(16,452,3,34,10,NULL,2,NULL,NULL),(16,452,3,34,11,6,7,2,4),(16,452,3,34,12,10,4,4,2),(16,452,3,34,13,7,6,4,4),(16,452,3,34,14,9,9,6,2),(16,452,3,34,15,7,8,5,4),(16,452,3,34,16,4,13,2,6),(16,452,3,34,17,12,7,5,5),(16,452,3,34,18,8,1,3,NULL),(16,452,3,34,19,3,7,1,3),(16,452,3,34,20,16,NULL,7,NULL),(16,452,3,34,21,9,12,4,3),(16,452,3,34,22,NULL,5,NULL,3),(16,452,3,34,23,1,7,1,3),(16,452,3,34,24,4,1,3,NULL),(16,452,3,34,25,2,3,2,2),(16,452,3,34,26,NULL,1,NULL,NULL),(16,452,3,34,27,1,6,NULL,3),(16,452,3,34,28,5,9,4,3),(16,452,3,34,29,7,8,3,3),(16,452,3,34,30,1,4,NULL,2),(16,453,1,11,1,NULL,NULL,NULL,NULL),(16,453,1,11,2,NULL,NULL,NULL,NULL),(16,453,1,11,3,NULL,NULL,NULL,NULL),(16,453,1,11,4,NULL,1,NULL,NULL),(16,453,1,11,5,1,NULL,NULL,NULL),(16,453,1,11,6,1,NULL,NULL,NULL),(16,453,1,11,7,NULL,1,NULL,NULL),(16,453,1,11,8,NULL,NULL,NULL,NULL),(16,453,1,11,9,NULL,1,NULL,NULL),(16,453,1,11,10,NULL,1,NULL,NULL),(16,453,1,11,11,1,NULL,NULL,NULL),(16,453,1,11,12,1,NULL,NULL,NULL),(16,453,1,11,13,NULL,1,NULL,NULL),(16,453,1,11,14,NULL,1,NULL,NULL),(16,453,1,11,15,1,NULL,NULL,NULL),(16,453,1,11,16,1,NULL,NULL,NULL),(16,453,1,11,17,NULL,1,NULL,NULL),(16,453,1,11,18,NULL,NULL,NULL,NULL),(16,453,1,11,19,1,NULL,NULL,NULL),(16,453,1,11,20,1,NULL,NULL,NULL),(16,453,1,12,1,NULL,NULL,NULL,NULL),(16,453,1,12,2,NULL,NULL,NULL,NULL),(16,453,1,12,3,1,NULL,NULL,NULL),(16,453,1,12,4,NULL,NULL,NULL,NULL),(16,453,1,12,5,NULL,NULL,NULL,NULL),(16,453,1,12,6,NULL,NULL,NULL,NULL),(16,453,1,12,7,NULL,NULL,NULL,NULL),(16,453,1,12,8,NULL,NULL,NULL,NULL),(16,453,1,12,9,NULL,NULL,NULL,NULL),(16,453,1,12,10,NULL,NULL,NULL,NULL),(16,453,1,12,11,1,NULL,NULL,NULL),(16,453,1,12,12,1,NULL,NULL,NULL),(16,453,1,12,13,NULL,NULL,NULL,NULL),(16,453,1,12,14,1,NULL,NULL,NULL),(16,453,1,12,15,1,NULL,NULL,NULL),(16,453,1,12,16,NULL,NULL,NULL,NULL),(16,453,1,12,17,1,NULL,NULL,NULL),(16,453,1,12,18,1,NULL,NULL,NULL),(16,453,1,12,19,1,NULL,NULL,NULL),(16,453,1,12,20,1,NULL,NULL,NULL),(16,453,1,13,1,NULL,NULL,NULL,NULL),(16,453,1,13,2,NULL,NULL,NULL,NULL),(16,453,1,13,3,NULL,NULL,NULL,NULL),(16,453,1,13,4,NULL,1,NULL,NULL),(16,453,1,13,5,1,NULL,NULL,NULL),(16,453,1,13,6,NULL,NULL,NULL,NULL),(16,453,1,13,7,1,NULL,NULL,NULL),(16,453,1,13,8,NULL,NULL,NULL,NULL),(16,453,1,13,9,NULL,NULL,NULL,NULL),(16,453,1,13,10,1,NULL,NULL,NULL),(16,453,1,13,11,NULL,NULL,NULL,NULL),(16,453,1,13,12,NULL,NULL,NULL,NULL),(16,453,1,13,13,NULL,1,NULL,NULL),(16,453,1,13,14,1,NULL,NULL,NULL),(16,453,1,13,15,1,NULL,NULL,NULL),(16,453,1,13,16,NULL,NULL,NULL,NULL),(16,453,1,13,17,1,NULL,NULL,NULL),(16,453,1,13,18,NULL,NULL,NULL,NULL),(16,453,1,13,19,NULL,1,NULL,NULL),(16,453,1,13,20,NULL,NULL,NULL,NULL),(16,453,1,14,1,35,21,13,1),(16,453,1,14,2,8,5,3,4),(16,453,1,14,3,14,22,5,7),(16,453,1,14,4,5,13,3,4),(16,453,1,14,5,25,20,8,6),(16,453,1,14,6,6,18,3,6),(16,453,1,14,7,5,8,1,3),(16,453,1,14,8,15,18,4,5),(16,453,1,14,9,6,17,3,6),(16,453,1,14,10,27,13,9,1),(16,453,1,14,11,33,9,9,1),(16,453,1,14,12,25,18,9,3),(16,453,1,14,13,41,25,14,3),(16,453,1,14,14,17,18,4,6),(16,453,1,14,15,7,17,3,7),(16,453,1,14,16,49,9,15,1),(16,453,1,14,17,32,28,12,5),(16,453,1,14,18,12,14,4,5),(16,453,1,14,19,34,14,10,2),(16,453,1,14,20,14,38,5,10),(16,453,1,15,1,29,19,5,4),(16,453,1,15,2,9,8,5,2),(16,453,1,15,3,18,16,6,5),(16,453,1,15,4,2,13,1,4),(16,453,1,15,5,11,18,4,3),(16,453,1,15,6,10,22,5,6),(16,453,1,15,7,3,6,2,4),(16,453,1,15,8,12,13,5,3),(16,453,1,15,9,8,14,4,7),(16,453,1,15,10,28,12,6,3),(16,453,1,15,11,33,11,10,1),(16,453,1,15,12,18,12,6,3),(16,453,1,15,13,41,20,11,2),(16,453,1,15,14,16,13,8,3),(16,453,1,15,15,14,10,5,4),(16,453,1,15,16,44,12,12,2),(16,453,1,15,17,24,28,7,7),(16,453,1,15,18,11,18,5,4),(16,453,1,15,19,29,15,9,NULL),(16,453,1,15,20,22,32,6,9),(16,453,1,16,1,9,11,1,NULL),(16,453,1,16,2,2,2,NULL,NULL),(16,453,1,16,3,4,10,NULL,NULL),(16,453,1,16,4,2,5,NULL,NULL),(16,453,1,16,5,10,8,1,NULL),(16,453,1,16,6,NULL,6,NULL,NULL),(16,453,1,16,7,2,4,1,NULL),(16,453,1,16,8,1,8,NULL,1),(16,453,1,16,9,1,4,NULL,NULL),(16,453,1,16,10,9,7,1,NULL),(16,453,1,16,11,8,21,NULL,1),(16,453,1,16,12,3,5,NULL,NULL),(16,453,1,16,13,7,12,NULL,1),(16,453,1,16,14,1,20,NULL,1),(16,453,1,16,15,8,17,NULL,1),(16,453,1,16,16,2,9,NULL,NULL),(16,453,1,16,17,8,12,1,NULL),(16,453,1,16,18,11,7,1,NULL),(16,453,1,16,19,6,19,NULL,1),(16,453,1,16,20,2,13,1,NULL),(16,453,1,17,1,6,11,3,2),(16,453,1,17,2,NULL,3,NULL,NULL),(16,453,1,17,3,7,6,3,1),(16,453,1,17,4,2,2,1,2),(16,453,1,17,5,7,6,3,2),(16,453,1,17,6,NULL,6,NULL,3),(16,453,1,17,7,3,3,NULL,1),(16,453,1,17,8,6,9,1,3),(16,453,1,17,9,1,1,NULL,NULL),(16,453,1,17,10,7,7,4,1),(16,453,1,17,11,11,15,3,3),(16,453,1,17,12,1,5,NULL,NULL),(16,453,1,17,13,7,11,2,3),(16,453,1,17,14,1,11,1,2),(16,453,1,17,15,8,14,NULL,3),(16,453,1,17,16,NULL,9,NULL,1),(16,453,1,17,17,5,15,NULL,3),(16,453,1,17,18,8,9,2,2),(16,453,1,17,19,6,15,2,2),(16,453,1,17,20,4,11,3,NULL),(16,453,2,21,1,2,7,1,2),(16,453,2,21,2,3,20,2,3),(16,453,2,21,3,14,6,3,NULL),(16,453,2,21,4,24,14,5,1),(16,453,2,21,5,8,16,2,4),(16,453,2,21,6,5,14,1,5),(16,453,2,21,7,8,6,NULL,2),(16,453,2,21,8,5,5,1,1),(16,453,2,21,9,2,6,1,NULL),(16,453,2,21,10,5,13,1,2),(16,453,2,21,11,2,10,NULL,2),(16,453,2,21,12,11,13,2,3),(16,453,2,21,13,3,13,1,2),(16,453,2,21,14,18,20,1,4),(16,453,2,21,15,32,2,6,NULL),(16,453,2,21,16,10,17,1,5),(16,453,2,21,17,9,8,3,2),(16,453,2,21,18,1,9,NULL,4),(16,453,2,21,19,13,22,3,3),(16,453,2,21,20,12,13,2,2),(16,453,2,21,21,2,12,1,2),(16,453,2,21,22,10,9,1,3),(16,453,2,21,23,9,11,2,2),(16,453,2,21,24,8,21,1,3),(16,453,2,21,25,2,NULL,2,NULL),(16,453,2,21,26,65,NULL,8,NULL),(16,453,2,21,27,5,13,1,3),(16,453,2,21,28,1,10,NULL,1),(16,453,2,21,29,8,18,2,4),(16,453,2,21,30,3,7,1,NULL),(16,453,2,22,1,3,4,2,3),(16,453,2,22,2,1,18,1,6),(16,453,2,22,3,9,8,5,3),(16,453,2,22,4,20,4,7,1),(16,453,2,22,5,6,13,4,4),(16,453,2,22,6,4,9,2,5),(16,453,2,22,7,2,8,1,2),(16,453,2,22,8,4,2,NULL,1),(16,453,2,22,9,2,6,1,4),(16,453,2,22,10,4,9,3,3),(16,453,2,22,11,4,6,3,3),(16,453,2,22,12,7,7,2,4),(16,453,2,22,13,3,9,2,3),(16,453,2,22,14,13,20,6,7),(16,453,2,22,15,25,2,10,NULL),(16,453,2,22,16,10,9,7,4),(16,453,2,22,17,4,8,1,3),(16,453,2,22,18,2,6,1,3),(16,453,2,22,19,14,12,4,6),(16,453,2,22,20,9,7,4,1),(16,453,2,22,21,2,6,1,4),(16,453,2,22,22,8,10,5,6),(16,453,2,22,23,7,13,3,7),(16,453,2,22,24,12,10,6,3),(16,453,2,22,25,3,NULL,1,NULL),(16,453,2,22,26,52,NULL,14,NULL),(16,453,2,22,27,3,12,2,6),(16,453,2,22,28,NULL,2,NULL,2),(16,453,2,22,29,3,14,NULL,8),(16,453,2,22,30,4,6,2,4),(16,453,2,23,1,2,6,1,2),(16,453,2,23,2,4,30,2,4),(16,453,2,23,3,11,13,2,3),(16,453,2,23,4,14,15,1,2),(16,453,2,23,5,15,11,4,1),(16,453,2,23,6,10,20,1,3),(16,453,2,23,7,6,4,NULL,NULL),(16,453,2,23,8,1,4,NULL,NULL),(16,453,2,23,9,1,6,NULL,1),(16,453,2,23,10,8,7,NULL,2),(16,453,2,23,11,3,2,2,NULL),(16,453,2,23,12,10,10,2,1),(16,453,2,23,13,8,16,3,3),(16,453,2,23,14,19,23,1,6),(16,453,2,23,15,27,4,5,NULL),(16,453,2,23,16,9,15,3,2),(16,453,2,23,17,9,8,1,1),(16,453,2,23,18,4,3,1,1),(16,453,2,23,19,19,24,4,1),(16,453,2,23,20,10,12,4,2),(16,453,2,23,21,8,12,NULL,2),(16,453,2,23,22,6,12,1,3),(16,453,2,23,23,10,9,NULL,3),(16,453,2,23,24,7,24,1,4),(16,453,2,23,25,1,NULL,1,NULL),(16,453,2,23,26,61,NULL,7,NULL),(16,453,2,23,27,3,16,1,1),(16,453,2,23,28,2,6,NULL,NULL),(16,453,2,23,29,6,16,NULL,2),(16,453,2,23,30,11,8,NULL,2),(16,453,2,24,1,4,6,2,1),(16,453,2,24,2,9,25,6,3),(16,453,2,24,3,10,19,4,2),(16,453,2,24,4,26,6,6,1),(16,453,2,24,5,12,18,1,2),(16,453,2,24,6,11,11,5,2),(16,453,2,24,7,10,6,2,1),(16,453,2,24,8,5,13,NULL,NULL),(16,453,2,24,9,5,6,2,1),(16,453,2,24,10,10,14,5,1),(16,453,2,24,11,4,9,1,1),(16,453,2,24,12,11,13,4,2),(16,453,2,24,13,1,6,1,NULL),(16,453,2,24,14,22,20,8,2),(16,453,2,24,15,31,4,10,NULL),(16,453,2,24,16,11,14,5,1),(16,453,2,24,17,10,9,1,3),(16,453,2,24,18,8,6,2,2),(16,453,2,24,19,19,23,5,4),(16,453,2,24,20,16,10,4,NULL),(16,453,2,24,21,6,14,3,1),(16,453,2,24,22,8,12,3,3),(16,453,2,24,23,8,14,3,5),(16,453,2,24,24,11,21,6,3),(16,453,2,24,25,2,NULL,1,NULL),(16,453,2,24,26,65,NULL,11,NULL),(16,453,2,24,27,8,11,4,1),(16,453,2,24,28,1,10,NULL,2),(16,453,2,24,29,10,22,6,3),(16,453,2,24,30,11,8,4,1),(16,453,3,31,1,1,9,NULL,1),(16,453,3,31,2,4,2,2,1),(16,453,3,31,3,1,7,NULL,3),(16,453,3,31,4,4,6,3,NULL),(16,453,3,31,5,10,20,4,2),(16,453,3,31,6,36,17,8,2),(16,453,3,31,7,2,2,2,1),(16,453,3,31,8,2,6,NULL,3),(16,453,3,31,9,1,2,1,1),(16,453,3,31,10,1,7,NULL,NULL),(16,453,3,31,11,11,8,2,NULL),(16,453,3,31,12,8,19,5,5),(16,453,3,31,13,12,7,6,NULL),(16,453,3,31,14,19,12,8,1),(16,453,3,31,15,15,16,8,NULL),(16,453,3,31,16,10,15,3,3),(16,453,3,31,17,30,15,7,1),(16,453,3,31,18,10,7,3,NULL),(16,453,3,31,19,5,8,2,1),(16,453,3,31,20,22,NULL,6,NULL),(16,453,3,31,21,8,23,2,5),(16,453,3,31,22,5,6,2,1),(16,453,3,31,23,5,10,3,2),(16,453,3,31,24,3,7,3,2),(16,453,3,31,25,NULL,7,NULL,5),(16,453,3,31,26,NULL,5,NULL,2),(16,453,3,31,27,2,14,1,6),(16,453,3,31,28,11,15,4,3),(16,453,3,31,29,14,8,5,NULL),(16,453,3,31,30,1,6,NULL,3),(16,453,3,32,1,2,4,1,NULL),(16,453,3,32,2,4,4,2,NULL),(16,453,3,32,3,NULL,9,NULL,1),(16,453,3,32,4,3,5,NULL,2),(16,453,3,32,5,7,26,NULL,2),(16,453,3,32,6,36,15,3,3),(16,453,3,32,7,NULL,5,NULL,1),(16,453,3,32,8,1,3,NULL,1),(16,453,3,32,9,NULL,5,NULL,1),(16,453,3,32,10,NULL,3,NULL,NULL),(16,453,3,32,11,11,9,1,1),(16,453,3,32,12,8,17,1,2),(16,453,3,32,13,7,12,2,2),(16,453,3,32,14,15,19,5,2),(16,453,3,32,15,20,15,3,3),(16,453,3,32,16,10,13,3,1),(16,453,3,32,17,27,13,6,NULL),(16,453,3,32,18,10,7,2,NULL),(16,453,3,32,19,6,11,2,NULL),(16,453,3,32,20,24,NULL,5,NULL),(16,453,3,32,21,8,24,1,4),(16,453,3,32,22,2,7,1,NULL),(16,453,3,32,23,3,10,NULL,2),(16,453,3,32,24,2,4,1,2),(16,453,3,32,25,NULL,3,NULL,NULL),(16,453,3,32,26,1,5,NULL,2),(16,453,3,32,27,3,10,1,1),(16,453,3,32,28,10,8,1,2),(16,453,3,32,29,5,15,1,1),(16,453,3,32,30,3,7,NULL,1),(16,453,3,33,1,NULL,6,NULL,4),(16,453,3,33,2,3,9,1,5),(16,453,3,33,3,1,10,NULL,5),(16,453,3,33,4,1,12,1,3),(16,453,3,33,5,15,13,5,5),(16,453,3,33,6,30,10,10,3),(16,453,3,33,7,NULL,7,NULL,4),(16,453,3,33,8,NULL,2,NULL,1),(16,453,3,33,9,NULL,1,NULL,1),(16,453,3,33,10,2,6,1,1),(16,453,3,33,11,9,6,1,NULL),(16,453,3,33,12,6,12,4,6),(16,453,3,33,13,8,7,6,5),(16,453,3,33,14,10,13,5,5),(16,453,3,33,15,9,10,4,4),(16,453,3,33,16,6,13,4,5),(16,453,3,33,17,16,11,6,3),(16,453,3,33,18,8,2,3,NULL),(16,453,3,33,19,8,5,2,2),(16,453,3,33,20,20,NULL,11,NULL),(16,453,3,33,21,10,19,4,3),(16,453,3,33,22,2,8,1,2),(16,453,3,33,23,1,7,1,3),(16,453,3,33,24,1,8,1,3),(16,453,3,33,25,2,3,1,2),(16,453,3,33,26,1,2,NULL,1),(16,453,3,33,27,2,9,1,4),(16,453,3,33,28,4,8,2,3),(16,453,3,33,29,14,8,6,1),(16,453,3,33,30,1,6,NULL,3),(16,453,3,34,1,1,8,1,1),(16,453,3,34,2,5,5,2,1),(16,453,3,34,3,1,5,1,1),(16,453,3,34,4,1,10,NULL,2),(16,453,3,34,5,12,17,1,3),(16,453,3,34,6,32,14,4,4),(16,453,3,34,7,1,6,NULL,2),(16,453,3,34,8,1,1,1,NULL),(16,453,3,34,9,2,5,NULL,1),(16,453,3,34,10,3,6,NULL,1),(16,453,3,34,11,10,9,2,1),(16,453,3,34,12,6,11,2,1),(16,453,3,34,13,7,12,1,1),(16,453,3,34,14,14,17,4,2),(16,453,3,34,15,14,9,4,2),(16,453,3,34,16,12,17,2,2),(16,453,3,34,17,13,15,3,3),(16,453,3,34,18,9,3,1,1),(16,453,3,34,19,3,10,1,1),(16,453,3,34,20,23,NULL,5,NULL),(16,453,3,34,21,11,26,3,3),(16,453,3,34,22,NULL,5,NULL,NULL),(16,453,3,34,23,2,10,1,2),(16,453,3,34,24,3,7,2,1),(16,453,3,34,25,1,9,NULL,2),(16,453,3,34,26,2,2,1,NULL),(16,453,3,34,27,2,5,1,NULL),(16,453,3,34,28,6,11,2,3),(16,453,3,34,29,13,12,1,2),(16,453,3,34,30,2,6,NULL,1),(16,501,1,11,1,NULL,NULL,NULL,NULL),(16,501,1,11,2,1,NULL,NULL,NULL),(16,501,1,11,3,1,NULL,NULL,NULL),(16,501,1,11,4,NULL,NULL,NULL,NULL),(16,501,1,11,5,NULL,1,NULL,NULL),(16,501,1,11,6,NULL,NULL,NULL,NULL),(16,501,1,11,7,NULL,NULL,NULL,NULL),(16,501,1,11,8,NULL,NULL,NULL,NULL),(16,501,1,11,9,NULL,NULL,NULL,NULL),(16,501,1,11,10,NULL,NULL,NULL,NULL),(16,501,1,11,11,1,NULL,NULL,NULL),(16,501,1,11,12,1,NULL,NULL,NULL),(16,501,1,11,13,NULL,NULL,NULL,NULL),(16,501,1,11,14,NULL,NULL,NULL,NULL),(16,501,1,11,15,NULL,NULL,NULL,NULL),(16,501,1,11,16,NULL,1,NULL,NULL),(16,501,1,11,17,NULL,NULL,NULL,NULL),(16,501,1,11,18,NULL,NULL,NULL,NULL),(16,501,1,11,19,1,NULL,NULL,NULL),(16,501,1,11,20,1,NULL,NULL,NULL),(16,501,1,12,1,NULL,NULL,NULL,NULL),(16,501,1,12,2,NULL,NULL,NULL,NULL),(16,501,1,12,3,NULL,NULL,NULL,NULL),(16,501,1,12,4,NULL,NULL,NULL,NULL),(16,501,1,12,5,NULL,NULL,NULL,NULL),(16,501,1,12,6,NULL,NULL,NULL,NULL),(16,501,1,12,7,NULL,NULL,NULL,NULL),(16,501,1,12,8,NULL,NULL,NULL,NULL),(16,501,1,12,9,NULL,NULL,NULL,NULL),(16,501,1,12,10,NULL,NULL,NULL,NULL),(16,501,1,12,11,NULL,NULL,NULL,NULL),(16,501,1,12,12,NULL,NULL,NULL,NULL),(16,501,1,12,13,NULL,NULL,NULL,NULL),(16,501,1,12,14,NULL,NULL,NULL,NULL),(16,501,1,12,15,NULL,NULL,NULL,NULL),(16,501,1,12,16,NULL,NULL,NULL,NULL),(16,501,1,12,17,NULL,NULL,NULL,NULL),(16,501,1,12,18,NULL,NULL,NULL,NULL),(16,501,1,12,19,NULL,NULL,NULL,NULL),(16,501,1,12,20,NULL,NULL,NULL,NULL),(16,501,1,13,1,NULL,1,NULL,1),(16,501,1,13,2,NULL,1,NULL,1),(16,501,1,13,3,NULL,1,NULL,1),(16,501,1,13,4,NULL,1,NULL,1),(16,501,1,13,5,1,1,NULL,1),(16,501,1,13,6,1,NULL,NULL,NULL),(16,501,1,13,7,NULL,NULL,NULL,NULL),(16,501,1,13,8,NULL,1,NULL,NULL),(16,501,1,13,9,NULL,NULL,NULL,NULL),(16,501,1,13,10,NULL,NULL,NULL,NULL),(16,501,1,13,11,NULL,1,NULL,1),(16,501,1,13,12,1,1,1,NULL),(16,501,1,13,13,2,NULL,1,NULL),(16,501,1,13,14,2,NULL,1,NULL),(16,501,1,13,15,1,NULL,NULL,NULL),(16,501,1,13,16,NULL,1,NULL,NULL),(16,501,1,13,17,2,NULL,1,NULL),(16,501,1,13,18,NULL,1,NULL,NULL),(16,501,1,13,19,NULL,2,NULL,1),(16,501,1,13,20,NULL,1,NULL,NULL),(16,501,1,14,1,18,21,7,8),(16,501,1,14,2,3,6,1,2),(16,501,1,14,3,11,12,7,3),(16,501,1,14,4,4,11,1,7),(16,501,1,14,5,13,16,5,6),(16,501,1,14,6,4,7,1,4),(16,501,1,14,7,5,4,4,1),(16,501,1,14,8,8,8,2,6),(16,501,1,14,9,NULL,7,NULL,4),(16,501,1,14,10,16,7,5,3),(16,501,1,14,11,11,5,7,1),(16,501,1,14,12,10,7,5,4),(16,501,1,14,13,18,19,9,6),(16,501,1,14,14,6,9,2,6),(16,501,1,14,15,3,6,1,2),(16,501,1,14,16,15,9,6,4),(16,501,1,14,17,12,11,4,8),(16,501,1,14,18,3,7,3,2),(16,501,1,14,19,12,14,8,6),(16,501,1,14,20,8,25,1,12),(16,501,1,15,1,22,12,13,4),(16,501,1,15,2,5,3,2,2),(16,501,1,15,3,13,12,7,8),(16,501,1,15,4,NULL,6,NULL,5),(16,501,1,15,5,8,14,5,9),(16,501,1,15,6,4,12,4,9),(16,501,1,15,7,5,9,3,4),(16,501,1,15,8,6,15,3,10),(16,501,1,15,9,2,8,1,6),(16,501,1,15,10,12,15,8,6),(16,501,1,15,11,15,11,10,4),(16,501,1,15,12,12,10,10,5),(16,501,1,15,13,24,18,19,6),(16,501,1,15,14,9,7,7,6),(16,501,1,15,15,3,11,3,9),(16,501,1,15,16,24,6,18,3),(16,501,1,15,17,14,15,11,11),(16,501,1,15,18,5,10,4,4),(16,501,1,15,19,19,11,14,6),(16,501,1,15,20,10,26,5,15),(16,501,1,16,1,20,21,8,10),(16,501,1,16,2,1,3,NULL,2),(16,501,1,16,3,10,21,5,9),(16,501,1,16,4,3,12,1,7),(16,501,1,16,5,23,25,8,12),(16,501,1,16,6,1,9,NULL,5),(16,501,1,16,7,6,4,2,1),(16,501,1,16,8,16,18,8,10),(16,501,1,16,9,2,9,1,5),(16,501,1,16,10,19,16,10,8),(16,501,1,16,11,20,46,5,17),(16,501,1,16,12,3,18,3,8),(16,501,1,16,13,25,20,8,12),(16,501,1,16,14,12,31,2,12),(16,501,1,16,15,19,46,6,16),(16,501,1,16,16,4,19,NULL,8),(16,501,1,16,17,14,37,6,15),(16,501,1,16,18,16,23,8,9),(16,501,1,16,19,19,35,7,12),(16,501,1,16,20,2,35,2,9),(16,501,1,17,1,22,26,11,12),(16,501,1,17,2,3,8,2,4),(16,501,1,17,3,14,17,6,8),(16,501,1,17,4,1,12,NULL,8),(16,501,1,17,5,14,24,7,7),(16,501,1,17,6,2,7,NULL,3),(16,501,1,17,7,7,10,3,5),(16,501,1,17,8,14,13,6,6),(16,501,1,17,9,3,9,2,4),(16,501,1,17,10,22,20,14,8),(16,501,1,17,11,25,41,8,18),(16,501,1,17,12,NULL,8,NULL,3),(16,501,1,17,13,14,29,8,13),(16,501,1,17,14,6,32,2,12),(16,501,1,17,15,31,32,13,13),(16,501,1,17,16,2,23,NULL,7),(16,501,1,17,17,11,27,6,13),(16,501,1,17,18,21,20,12,9),(16,501,1,17,19,20,34,11,13),(16,501,1,17,20,5,33,3,13),(16,501,2,21,1,5,6,4,5),(16,501,2,21,2,5,23,3,10),(16,501,2,21,3,10,12,7,6),(16,501,2,21,4,18,17,12,5),(16,501,2,21,5,11,21,6,9),(16,501,2,21,6,6,13,4,6),(16,501,2,21,7,6,10,2,5),(16,501,2,21,8,10,13,3,6),(16,501,2,21,9,2,7,NULL,4),(16,501,2,21,10,8,18,4,9),(16,501,2,21,11,7,17,5,9),(16,501,2,21,12,10,23,8,9),(16,501,2,21,13,4,18,1,9),(16,501,2,21,14,22,29,8,13),(16,501,2,21,15,27,11,14,5),(16,501,2,21,16,6,22,4,11),(16,501,2,21,17,8,12,5,5),(16,501,2,21,18,7,12,5,7),(16,501,2,21,19,18,31,6,15),(16,501,2,21,20,10,18,4,6),(16,501,2,21,21,3,12,NULL,5),(16,501,2,21,22,3,14,1,6),(16,501,2,21,23,5,18,2,11),(16,501,2,21,24,8,23,2,10),(16,501,2,21,25,1,NULL,1,NULL),(16,501,2,21,26,81,NULL,26,NULL),(16,501,2,21,27,1,20,1,10),(16,501,2,21,28,1,10,NULL,8),(16,501,2,21,29,8,24,2,11),(16,501,2,21,30,6,15,3,6),(16,501,2,22,1,7,13,3,7),(16,501,2,22,2,2,35,2,11),(16,501,2,22,3,14,17,6,7),(16,501,2,22,4,24,20,13,7),(16,501,2,22,5,11,25,5,11),(16,501,2,22,6,9,9,6,2),(16,501,2,22,7,4,12,2,4),(16,501,2,22,8,6,14,2,4),(16,501,2,22,9,2,4,1,3),(16,501,2,22,10,6,16,4,8),(16,501,2,22,11,10,15,5,8),(16,501,2,22,12,9,22,4,8),(16,501,2,22,13,10,14,5,4),(16,501,2,22,14,22,31,13,12),(16,501,2,22,15,34,10,16,4),(16,501,2,22,16,12,21,8,5),(16,501,2,22,17,8,14,2,8),(16,501,2,22,18,4,7,3,3),(16,501,2,22,19,16,25,9,12),(16,501,2,22,20,10,17,7,7),(16,501,2,22,21,4,15,NULL,8),(16,501,2,22,22,4,21,3,9),(16,501,2,22,23,9,18,5,11),(16,501,2,22,24,6,24,2,8),(16,501,2,22,25,NULL,NULL,NULL,NULL),(16,501,2,22,26,83,NULL,27,NULL),(16,501,2,22,27,7,18,4,9),(16,501,2,22,28,4,7,2,3),(16,501,2,22,29,13,24,2,12),(16,501,2,22,30,10,11,5,6),(16,501,2,23,1,4,4,2,2),(16,501,2,23,2,4,30,2,8),(16,501,2,23,3,9,13,4,5),(16,501,2,23,4,19,16,8,5),(16,501,2,23,5,12,14,5,3),(16,501,2,23,6,8,13,3,2),(16,501,2,23,7,5,10,1,2),(16,501,2,23,8,7,7,2,1),(16,501,2,23,9,4,3,1,1),(16,501,2,23,10,7,22,4,7),(16,501,2,23,11,4,11,2,5),(16,501,2,23,12,24,9,6,4),(16,501,2,23,13,5,16,2,6),(16,501,2,23,14,19,22,4,11),(16,501,2,23,15,28,6,10,4),(16,501,2,23,16,14,19,6,6),(16,501,2,23,17,7,13,2,5),(16,501,2,23,18,4,8,3,4),(16,501,2,23,19,14,26,5,5),(16,501,2,23,20,13,17,6,4),(16,501,2,23,21,9,18,4,6),(16,501,2,23,22,9,19,4,4),(16,501,2,23,23,13,14,7,3),(16,501,2,23,24,10,23,2,8),(16,501,2,23,25,NULL,NULL,NULL,NULL),(16,501,2,23,26,77,NULL,18,NULL),(16,501,2,23,27,8,16,2,6),(16,501,2,23,28,1,5,1,NULL),(16,501,2,23,29,7,28,2,7),(16,501,2,23,30,6,12,4,8),(16,501,2,24,1,3,11,2,7),(16,501,2,24,2,5,26,4,10),(16,501,2,24,3,15,9,8,5),(16,501,2,24,4,32,10,20,2),(16,501,2,24,5,16,23,7,13),(16,501,2,24,6,8,12,5,10),(16,501,2,24,7,7,7,4,3),(16,501,2,24,8,5,9,2,4),(16,501,2,24,9,5,12,2,6),(16,501,2,24,10,7,16,3,10),(16,501,2,24,11,7,13,4,8),(16,501,2,24,12,16,16,8,9),(16,501,2,24,13,NULL,18,NULL,12),(16,501,2,24,14,24,22,11,12),(16,501,2,24,15,36,8,16,4),(16,501,2,24,16,15,14,8,11),(16,501,2,24,17,7,12,3,9),(16,501,2,24,18,6,11,4,8),(16,501,2,24,19,16,26,8,11),(16,501,2,24,20,17,14,11,5),(16,501,2,24,21,4,18,2,9),(16,501,2,24,22,6,20,2,11),(16,501,2,24,23,8,9,5,6),(16,501,2,24,24,3,28,1,13),(16,501,2,24,25,4,NULL,4,NULL),(16,501,2,24,26,79,NULL,29,NULL),(16,501,2,24,27,1,11,1,9),(16,501,2,24,28,1,9,NULL,2),(16,501,2,24,29,5,21,1,11),(16,501,2,24,30,8,10,4,8),(16,501,3,31,1,NULL,11,NULL,7),(16,501,3,31,2,4,6,2,3),(16,501,3,31,3,NULL,7,NULL,4),(16,501,3,31,4,1,13,NULL,5),(16,501,3,31,5,10,17,5,6),(16,501,3,31,6,39,23,20,7),(16,501,3,31,7,4,8,2,4),(16,501,3,31,8,1,8,NULL,5),(16,501,3,31,9,2,6,1,4),(16,501,3,31,10,NULL,7,NULL,2),(16,501,3,31,11,15,17,7,7),(16,501,3,31,12,12,21,8,13),(16,501,3,31,13,9,9,5,2),(16,501,3,31,14,16,18,7,6),(16,501,3,31,15,19,12,10,5),(16,501,3,31,16,14,21,5,11),(16,501,3,31,17,28,24,13,13),(16,501,3,31,18,8,7,3,1),(16,501,3,31,19,10,14,4,9),(16,501,3,31,20,29,NULL,17,NULL),(16,501,3,31,21,13,28,8,10),(16,501,3,31,22,1,4,1,1),(16,501,3,31,23,1,16,NULL,6),(16,501,3,31,24,4,6,3,4),(16,501,3,31,25,1,4,1,3),(16,501,3,31,26,1,6,1,1),(16,501,3,31,27,1,9,1,5),(16,501,3,31,28,8,20,5,9),(16,501,3,31,29,7,16,5,7),(16,501,3,31,30,2,3,2,2),(16,501,3,32,1,2,10,2,4),(16,501,3,32,2,4,9,4,5),(16,501,3,32,3,NULL,13,NULL,5),(16,501,3,32,4,2,8,1,2),(16,501,3,32,5,10,18,5,6),(16,501,3,32,6,33,15,9,6),(16,501,3,32,7,2,3,NULL,1),(16,501,3,32,8,2,4,NULL,1),(16,501,3,32,9,2,4,NULL,1),(16,501,3,32,10,1,2,NULL,1),(16,501,3,32,11,11,16,5,5),(16,501,3,32,12,7,20,5,4),(16,501,3,32,13,4,9,2,3),(16,501,3,32,14,9,23,2,10),(16,501,3,32,15,14,15,4,7),(16,501,3,32,16,6,21,2,7),(16,501,3,32,17,30,16,10,5),(16,501,3,32,18,8,5,3,4),(16,501,3,32,19,9,12,3,3),(16,501,3,32,20,31,NULL,14,NULL),(16,501,3,32,21,15,24,6,7),(16,501,3,32,22,2,7,NULL,4),(16,501,3,32,23,3,13,1,4),(16,501,3,32,24,3,6,2,3),(16,501,3,32,25,1,7,NULL,3),(16,501,3,32,26,2,6,NULL,NULL),(16,501,3,32,27,2,9,NULL,2),(16,501,3,32,28,7,13,4,4),(16,501,3,32,29,10,13,4,4),(16,501,3,32,30,2,5,NULL,4),(16,501,3,33,1,3,8,1,5),(16,501,3,33,2,3,9,1,4),(16,501,3,33,3,NULL,11,NULL,4),(16,501,3,33,4,3,10,1,NULL),(16,501,3,33,5,10,33,3,12),(16,501,3,33,6,38,26,17,9),(16,501,3,33,7,1,5,NULL,3),(16,501,3,33,8,1,4,NULL,2),(16,501,3,33,9,NULL,5,NULL,4),(16,501,3,33,10,1,6,1,1),(16,501,3,33,11,17,10,8,4),(16,501,3,33,12,9,17,8,8),(16,501,3,33,13,6,10,6,4),(16,501,3,33,14,18,14,10,5),(16,501,3,33,15,11,18,6,6),(16,501,3,33,16,7,22,2,11),(16,501,3,33,17,24,20,13,8),(16,501,3,33,18,13,8,6,4),(16,501,3,33,19,9,14,3,6),(16,501,3,33,20,44,NULL,22,NULL),(16,501,3,33,21,6,32,5,12),(16,501,3,33,22,NULL,9,NULL,3),(16,501,3,33,23,2,10,NULL,6),(16,501,3,33,24,5,9,4,4),(16,501,3,33,25,2,4,2,2),(16,501,3,33,26,2,3,1,NULL),(16,501,3,33,27,2,6,NULL,3),(16,501,3,33,28,8,10,6,4),(16,501,3,33,29,10,21,5,9),(16,501,3,33,30,NULL,7,NULL,4),(16,501,3,34,1,3,9,1,6),(16,501,3,34,2,3,7,2,5),(16,501,3,34,3,1,7,1,2),(16,501,3,34,4,1,10,NULL,6),(16,501,3,34,5,13,27,6,9),(16,501,3,34,6,40,20,13,7),(16,501,3,34,7,NULL,4,NULL,2),(16,501,3,34,8,1,9,NULL,3),(16,501,3,34,9,1,5,1,2),(16,501,3,34,10,1,8,1,1),(16,501,3,34,11,13,14,6,4),(16,501,3,34,12,9,17,6,8),(16,501,3,34,13,9,7,3,1),(16,501,3,34,14,13,15,6,5),(16,501,3,34,15,9,21,6,9),(16,501,3,34,16,11,21,5,9),(16,501,3,34,17,16,25,7,11),(16,501,3,34,18,13,11,8,6),(16,501,3,34,19,13,14,2,9),(16,501,3,34,20,37,NULL,18,NULL),(16,501,3,34,21,12,33,7,11),(16,501,3,34,22,3,5,2,4),(16,501,3,34,23,4,13,2,4),(16,501,3,34,24,5,10,5,4),(16,501,3,34,25,2,7,1,5),(16,501,3,34,26,1,4,1,1),(16,501,3,34,27,5,10,1,3),(16,501,3,34,28,7,16,6,7),(16,501,3,34,29,11,14,8,4),(16,501,3,34,30,2,8,NULL,8),(16,502,1,11,1,NULL,NULL,NULL,NULL),(16,502,1,11,2,NULL,NULL,NULL,NULL),(16,502,1,11,3,NULL,NULL,NULL,NULL),(16,502,1,11,4,NULL,NULL,NULL,NULL),(16,502,1,11,5,NULL,NULL,NULL,NULL),(16,502,1,11,6,NULL,NULL,NULL,NULL),(16,502,1,11,7,NULL,NULL,NULL,NULL),(16,502,1,11,8,NULL,NULL,NULL,NULL),(16,502,1,11,9,NULL,NULL,NULL,NULL),(16,502,1,11,10,NULL,NULL,NULL,NULL),(16,502,1,11,11,NULL,NULL,NULL,NULL),(16,502,1,11,12,NULL,NULL,NULL,NULL),(16,502,1,11,13,NULL,NULL,NULL,NULL),(16,502,1,11,14,NULL,NULL,NULL,NULL),(16,502,1,11,15,NULL,NULL,NULL,NULL),(16,502,1,11,16,NULL,NULL,NULL,NULL),(16,502,1,11,17,NULL,NULL,NULL,NULL),(16,502,1,11,18,NULL,NULL,NULL,NULL),(16,502,1,11,19,NULL,NULL,NULL,NULL),(16,502,1,11,20,NULL,NULL,NULL,NULL),(16,502,1,12,1,NULL,NULL,NULL,NULL),(16,502,1,12,2,NULL,NULL,NULL,NULL),(16,502,1,12,3,NULL,NULL,NULL,NULL),(16,502,1,12,4,NULL,NULL,NULL,NULL),(16,502,1,12,5,NULL,NULL,NULL,NULL),(16,502,1,12,6,NULL,NULL,NULL,NULL),(16,502,1,12,7,NULL,NULL,NULL,NULL),(16,502,1,12,8,NULL,NULL,NULL,NULL),(16,502,1,12,9,NULL,NULL,NULL,NULL),(16,502,1,12,10,NULL,NULL,NULL,NULL),(16,502,1,12,11,NULL,NULL,NULL,NULL),(16,502,1,12,12,NULL,NULL,NULL,NULL),(16,502,1,12,13,NULL,NULL,NULL,NULL),(16,502,1,12,14,NULL,NULL,NULL,NULL),(16,502,1,12,15,NULL,NULL,NULL,NULL),(16,502,1,12,16,NULL,NULL,NULL,NULL),(16,502,1,12,17,NULL,NULL,NULL,NULL),(16,502,1,12,18,NULL,NULL,NULL,NULL),(16,502,1,12,19,NULL,NULL,NULL,NULL),(16,502,1,12,20,NULL,NULL,NULL,NULL),(16,502,1,13,1,1,NULL,1,NULL),(16,502,1,13,2,1,NULL,NULL,NULL),(16,502,1,13,3,NULL,NULL,NULL,NULL),(16,502,1,13,4,1,NULL,1,NULL),(16,502,1,13,5,1,NULL,1,NULL),(16,502,1,13,6,NULL,NULL,NULL,NULL),(16,502,1,13,7,NULL,NULL,NULL,NULL),(16,502,1,13,8,NULL,NULL,NULL,NULL),(16,502,1,13,9,NULL,NULL,NULL,NULL),(16,502,1,13,10,1,NULL,1,NULL),(16,502,1,13,11,1,NULL,1,NULL),(16,502,1,13,12,NULL,NULL,NULL,NULL),(16,502,1,13,13,1,NULL,1,NULL),(16,502,1,13,14,1,NULL,1,NULL),(16,502,1,13,15,NULL,NULL,NULL,NULL),(16,502,1,13,16,1,NULL,1,NULL),(16,502,1,13,17,NULL,NULL,NULL,NULL),(16,502,1,13,18,1,NULL,1,NULL),(16,502,1,13,19,1,NULL,1,NULL),(16,502,1,13,20,NULL,1,NULL,1),(16,502,1,14,1,11,9,4,5),(16,502,1,14,2,1,2,1,1),(16,502,1,14,3,8,5,4,3),(16,502,1,14,4,2,6,1,4),(16,502,1,14,5,8,8,4,6),(16,502,1,14,6,2,3,1,2),(16,502,1,14,7,NULL,1,NULL,1),(16,502,1,14,8,8,5,3,5),(16,502,1,14,9,3,6,2,3),(16,502,1,14,10,9,7,6,4),(16,502,1,14,11,6,4,3,2),(16,502,1,14,12,3,7,2,5),(16,502,1,14,13,9,11,3,5),(16,502,1,14,14,1,6,1,2),(16,502,1,14,15,4,4,1,2),(16,502,1,14,16,6,9,1,6),(16,502,1,14,17,8,8,3,5),(16,502,1,14,18,2,3,1,2),(16,502,1,14,19,8,5,4,2),(16,502,1,14,20,4,13,1,8),(16,502,1,15,1,7,7,3,2),(16,502,1,15,2,1,2,1,2),(16,502,1,15,3,7,5,3,2),(16,502,1,15,4,1,6,NULL,5),(16,502,1,15,5,4,10,3,3),(16,502,1,15,6,1,2,NULL,1),(16,502,1,15,7,2,2,1,1),(16,502,1,15,8,4,2,3,2),(16,502,1,15,9,1,4,NULL,3),(16,502,1,15,10,9,4,5,1),(16,502,1,15,11,6,2,3,1),(16,502,1,15,12,NULL,5,NULL,1),(16,502,1,15,13,5,10,2,4),(16,502,1,15,14,1,1,1,NULL),(16,502,1,15,15,NULL,1,NULL,1),(16,502,1,15,16,7,3,1,1),(16,502,1,15,17,5,9,3,3),(16,502,1,15,18,NULL,2,NULL,NULL),(16,502,1,15,19,6,7,2,4),(16,502,1,15,20,6,5,2,3),(16,502,1,16,1,7,21,2,9),(16,502,1,16,2,2,NULL,2,NULL),(16,502,1,16,3,7,10,3,7),(16,502,1,16,4,3,7,2,4),(16,502,1,16,5,10,14,4,3),(16,502,1,16,6,2,7,1,3),(16,502,1,16,7,4,4,2,2),(16,502,1,16,8,10,12,6,4),(16,502,1,16,9,1,10,NULL,5),(16,502,1,16,10,9,9,6,4),(16,502,1,16,11,17,36,7,11),(16,502,1,16,12,2,9,1,NULL),(16,502,1,16,13,15,18,4,7),(16,502,1,16,14,12,20,2,10),(16,502,1,16,15,21,29,8,9),(16,502,1,16,16,2,19,1,6),(16,502,1,16,17,9,20,3,8),(16,502,1,16,18,9,13,6,3),(16,502,1,16,19,8,34,4,11),(16,502,1,16,20,8,22,6,8),(16,502,1,17,1,13,24,4,7),(16,502,1,17,2,4,8,3,6),(16,502,1,17,3,11,12,3,4),(16,502,1,17,4,1,4,NULL,1),(16,502,1,17,5,12,11,6,5),(16,502,1,17,6,2,2,1,NULL),(16,502,1,17,7,4,10,3,2),(16,502,1,17,8,10,14,6,7),(16,502,1,17,9,2,5,NULL,3),(16,502,1,17,10,15,15,5,5),(16,502,1,17,11,18,38,4,15),(16,502,1,17,12,3,5,NULL,1),(16,502,1,17,13,15,23,6,8),(16,502,1,17,14,6,25,NULL,11),(16,502,1,17,15,25,31,9,9),(16,502,1,17,16,2,21,NULL,8),(16,502,1,17,17,9,26,3,12),(16,502,1,17,18,9,18,5,10),(16,502,1,17,19,6,40,4,13),(16,502,1,17,20,3,26,1,10),(16,502,2,21,1,1,5,1,3),(16,502,2,21,2,4,14,3,5),(16,502,2,21,3,9,8,4,4),(16,502,2,21,4,20,5,8,1),(16,502,2,21,5,6,14,1,6),(16,502,2,21,6,4,7,2,2),(16,502,2,21,7,1,5,NULL,3),(16,502,2,21,8,7,11,1,3),(16,502,2,21,9,2,8,1,3),(16,502,2,21,10,3,9,1,1),(16,502,2,21,11,5,11,1,5),(16,502,2,21,12,7,11,2,6),(16,502,2,21,13,5,13,1,8),(16,502,2,21,14,12,12,4,5),(16,502,2,21,15,20,2,10,NULL),(16,502,2,21,16,3,10,1,6),(16,502,2,21,17,6,8,2,3),(16,502,2,21,18,1,7,1,4),(16,502,2,21,19,6,16,2,7),(16,502,2,21,20,4,12,1,4),(16,502,2,21,21,3,8,NULL,3),(16,502,2,21,22,3,7,1,3),(16,502,2,21,23,4,5,3,3),(16,502,2,21,24,4,10,2,3),(16,502,2,21,25,NULL,NULL,NULL,NULL),(16,502,2,21,26,51,NULL,13,NULL),(16,502,2,21,27,2,8,NULL,2),(16,502,2,21,28,NULL,9,NULL,6),(16,502,2,21,29,5,12,NULL,2),(16,502,2,21,30,3,3,2,1),(16,502,2,22,1,NULL,4,NULL,3),(16,502,2,22,2,NULL,20,NULL,9),(16,502,2,22,3,8,7,2,3),(16,502,2,22,4,9,12,3,3),(16,502,2,22,5,3,14,NULL,5),(16,502,2,22,6,4,7,2,2),(16,502,2,22,7,1,7,NULL,4),(16,502,2,22,8,8,5,1,2),(16,502,2,22,9,2,6,1,3),(16,502,2,22,10,5,12,1,5),(16,502,2,22,11,3,5,3,2),(16,502,2,22,12,7,6,1,2),(16,502,2,22,13,5,11,3,2),(16,502,2,22,14,13,15,5,6),(16,502,2,22,15,16,6,4,3),(16,502,2,22,16,2,9,2,6),(16,502,2,22,17,2,4,2,NULL),(16,502,2,22,18,4,7,4,2),(16,502,2,22,19,4,15,NULL,8),(16,502,2,22,20,3,8,NULL,6),(16,502,2,22,21,2,12,2,4),(16,502,2,22,22,1,10,1,4),(16,502,2,22,23,7,10,2,6),(16,502,2,22,24,9,13,1,6),(16,502,2,22,25,1,NULL,1,NULL),(16,502,2,22,26,55,NULL,17,NULL),(16,502,2,22,27,5,14,2,3),(16,502,2,22,28,NULL,3,NULL,1),(16,502,2,22,29,1,21,NULL,9),(16,502,2,22,30,2,9,2,4),(16,502,2,23,1,2,2,1,NULL),(16,502,2,23,2,NULL,22,NULL,8),(16,502,2,23,3,6,9,5,4),(16,502,2,23,4,17,10,6,2),(16,502,2,23,5,4,20,1,6),(16,502,2,23,6,3,8,NULL,5),(16,502,2,23,7,5,4,3,NULL),(16,502,2,23,8,3,6,1,NULL),(16,502,2,23,9,2,5,NULL,1),(16,502,2,23,10,5,13,2,8),(16,502,2,23,11,2,2,2,NULL),(16,502,2,23,12,10,5,2,2),(16,502,2,23,13,2,8,2,3),(16,502,2,23,14,7,9,3,4),(16,502,2,23,15,17,4,7,NULL),(16,502,2,23,16,5,12,3,6),(16,502,2,23,17,4,6,2,2),(16,502,2,23,18,2,1,1,1),(16,502,2,23,19,5,13,3,5),(16,502,2,23,20,5,11,3,5),(16,502,2,23,21,10,9,1,5),(16,502,2,23,22,5,5,2,3),(16,502,2,23,23,3,10,1,7),(16,502,2,23,24,3,12,1,4),(16,502,2,23,25,1,NULL,1,NULL),(16,502,2,23,26,50,NULL,13,NULL),(16,502,2,23,27,7,15,1,5),(16,502,2,23,28,2,3,NULL,2),(16,502,2,23,29,7,14,1,6),(16,502,2,23,30,3,4,2,NULL),(16,502,2,24,1,NULL,3,NULL,2),(16,502,2,24,2,1,22,1,10),(16,502,2,24,3,10,6,4,2),(16,502,2,24,4,15,8,8,4),(16,502,2,24,5,7,14,5,5),(16,502,2,24,6,7,9,4,2),(16,502,2,24,7,3,4,NULL,1),(16,502,2,24,8,6,6,3,1),(16,502,2,24,9,NULL,5,NULL,3),(16,502,2,24,10,6,6,4,4),(16,502,2,24,11,4,2,2,1),(16,502,2,24,12,12,9,6,5),(16,502,2,24,13,5,10,1,4),(16,502,2,24,14,17,12,8,5),(16,502,2,24,15,21,3,10,1),(16,502,2,24,16,8,9,5,5),(16,502,2,24,17,3,7,2,4),(16,502,2,24,18,6,4,NULL,3),(16,502,2,24,19,9,17,4,8),(16,502,2,24,20,8,13,2,5),(16,502,2,24,21,3,8,1,5),(16,502,2,24,22,4,3,1,2),(16,502,2,24,23,1,10,1,5),(16,502,2,24,24,2,15,1,5),(16,502,2,24,25,NULL,NULL,NULL,NULL),(16,502,2,24,26,56,NULL,17,NULL),(16,502,2,24,27,3,7,1,5),(16,502,2,24,28,2,6,1,3),(16,502,2,24,29,6,13,2,9),(16,502,2,24,30,6,2,1,NULL),(16,502,3,31,1,2,8,2,4),(16,502,3,31,2,4,1,NULL,NULL),(16,502,3,31,3,2,2,NULL,1),(16,502,3,31,4,3,4,1,2),(16,502,3,31,5,4,15,1,5),(16,502,3,31,6,26,9,10,4),(16,502,3,31,7,1,4,1,1),(16,502,3,31,8,NULL,4,NULL,1),(16,502,3,31,9,1,3,1,1),(16,502,3,31,10,1,6,NULL,2),(16,502,3,31,11,9,8,6,2),(16,502,3,31,12,6,12,4,6),(16,502,3,31,13,6,6,3,3),(16,502,3,31,14,7,20,6,5),(16,502,3,31,15,5,10,3,3),(16,502,3,31,16,8,13,3,3),(16,502,3,31,17,12,25,6,8),(16,502,3,31,18,6,6,3,3),(16,502,3,31,19,6,8,3,4),(16,502,3,31,20,13,NULL,7,NULL),(16,502,3,31,21,8,14,3,6),(16,502,3,31,22,2,2,NULL,1),(16,502,3,31,23,2,9,NULL,4),(16,502,3,31,24,2,5,2,2),(16,502,3,31,25,NULL,3,NULL,1),(16,502,3,31,26,NULL,5,NULL,NULL),(16,502,3,31,27,NULL,4,NULL,NULL),(16,502,3,31,28,2,8,1,2),(16,502,3,31,29,4,8,1,1),(16,502,3,31,30,NULL,2,NULL,NULL),(16,502,3,32,1,1,7,1,5),(16,502,3,32,2,NULL,3,NULL,1),(16,502,3,32,3,NULL,5,NULL,NULL),(16,502,3,32,4,1,4,NULL,1),(16,502,3,32,5,4,18,1,9),(16,502,3,32,6,18,14,9,3),(16,502,3,32,7,1,2,NULL,1),(16,502,3,32,8,1,4,NULL,1),(16,502,3,32,9,2,2,1,NULL),(16,502,3,32,10,1,4,NULL,1),(16,502,3,32,11,6,7,2,3),(16,502,3,32,12,3,8,1,2),(16,502,3,32,13,5,6,3,4),(16,502,3,32,14,6,14,2,4),(16,502,3,32,15,4,9,3,4),(16,502,3,32,16,9,14,5,2),(16,502,3,32,17,9,13,2,6),(16,502,3,32,18,3,4,1,3),(16,502,3,32,19,3,12,1,3),(16,502,3,32,20,22,NULL,11,NULL),(16,502,3,32,21,7,24,4,7),(16,502,3,32,22,NULL,2,NULL,1),(16,502,3,32,23,5,5,NULL,NULL),(16,502,3,32,24,2,4,2,2),(16,502,3,32,25,1,4,NULL,3),(16,502,3,32,26,NULL,5,NULL,2),(16,502,3,32,27,1,8,NULL,3),(16,502,3,32,28,7,9,5,5),(16,502,3,32,29,4,6,3,2),(16,502,3,32,30,NULL,NULL,NULL,NULL),(16,502,3,33,1,1,5,1,3),(16,502,3,33,2,1,5,1,2),(16,502,3,33,3,1,6,NULL,5),(16,502,3,33,4,NULL,9,NULL,6),(16,502,3,33,5,3,14,2,7),(16,502,3,33,6,19,18,7,6),(16,502,3,33,7,2,4,2,2),(16,502,3,33,8,1,4,NULL,NULL),(16,502,3,33,9,NULL,1,NULL,NULL),(16,502,3,33,10,1,7,1,2),(16,502,3,33,11,9,6,3,2),(16,502,3,33,12,5,9,3,2),(16,502,3,33,13,1,7,NULL,3),(16,502,3,33,14,3,10,3,5),(16,502,3,33,15,5,8,2,1),(16,502,3,33,16,2,13,1,8),(16,502,3,33,17,16,12,6,6),(16,502,3,33,18,6,7,1,1),(16,502,3,33,19,1,9,NULL,5),(16,502,3,33,20,20,NULL,11,NULL),(16,502,3,33,21,6,23,2,9),(16,502,3,33,22,NULL,4,NULL,NULL),(16,502,3,33,23,2,2,1,NULL),(16,502,3,33,24,1,3,1,2),(16,502,3,33,25,1,8,1,4),(16,502,3,33,26,1,4,NULL,3),(16,502,3,33,27,1,2,NULL,1),(16,502,3,33,28,2,11,1,7),(16,502,3,33,29,5,12,4,3),(16,502,3,33,30,1,1,NULL,1),(16,502,3,34,1,2,4,NULL,1),(16,502,3,34,2,2,5,1,3),(16,502,3,34,3,1,1,NULL,NULL),(16,502,3,34,4,1,3,NULL,2),(16,502,3,34,5,5,11,2,3),(16,502,3,34,6,27,13,9,3),(16,502,3,34,7,NULL,2,NULL,1),(16,502,3,34,8,1,3,NULL,1),(16,502,3,34,9,NULL,1,NULL,NULL),(16,502,3,34,10,3,5,1,2),(16,502,3,34,11,6,6,3,2),(16,502,3,34,12,4,8,1,4),(16,502,3,34,13,2,6,NULL,2),(16,502,3,34,14,5,15,1,6),(16,502,3,34,15,3,9,1,6),(16,502,3,34,16,8,8,1,3),(16,502,3,34,17,3,11,2,3),(16,502,3,34,18,6,11,3,3),(16,502,3,34,19,4,4,1,2),(16,502,3,34,20,14,NULL,5,NULL),(16,502,3,34,21,9,21,3,6),(16,502,3,34,22,NULL,4,NULL,3),(16,502,3,34,23,2,7,1,4),(16,502,3,34,24,2,5,2,2),(16,502,3,34,25,NULL,3,NULL,2),(16,502,3,34,26,NULL,4,NULL,2),(16,502,3,34,27,2,9,2,5),(16,502,3,34,28,4,8,1,3),(16,502,3,34,29,7,10,3,5),(16,502,3,34,30,NULL,1,NULL,1),(16,503,1,11,1,NULL,NULL,NULL,NULL),(16,503,1,11,2,NULL,NULL,NULL,NULL),(16,503,1,11,3,NULL,NULL,NULL,NULL),(16,503,1,11,4,NULL,NULL,NULL,NULL),(16,503,1,11,5,NULL,NULL,NULL,NULL),(16,503,1,11,6,NULL,NULL,NULL,NULL),(16,503,1,11,7,NULL,NULL,NULL,NULL),(16,503,1,11,8,NULL,NULL,NULL,NULL),(16,503,1,11,9,NULL,NULL,NULL,NULL),(16,503,1,11,10,NULL,NULL,NULL,NULL),(16,503,1,11,11,NULL,NULL,NULL,NULL),(16,503,1,11,12,NULL,NULL,NULL,NULL),(16,503,1,11,13,NULL,NULL,NULL,NULL),(16,503,1,11,14,NULL,NULL,NULL,NULL),(16,503,1,11,15,NULL,NULL,NULL,NULL),(16,503,1,11,16,NULL,NULL,NULL,NULL),(16,503,1,11,17,NULL,NULL,NULL,NULL),(16,503,1,11,18,NULL,NULL,NULL,NULL),(16,503,1,11,19,NULL,NULL,NULL,NULL),(16,503,1,11,20,NULL,NULL,NULL,NULL),(16,503,1,12,1,NULL,NULL,NULL,NULL),(16,503,1,12,2,NULL,NULL,NULL,NULL),(16,503,1,12,3,NULL,NULL,NULL,NULL),(16,503,1,12,4,NULL,NULL,NULL,NULL),(16,503,1,12,5,NULL,NULL,NULL,NULL),(16,503,1,12,6,NULL,NULL,NULL,NULL),(16,503,1,12,7,NULL,NULL,NULL,NULL),(16,503,1,12,8,NULL,NULL,NULL,NULL),(16,503,1,12,9,NULL,NULL,NULL,NULL),(16,503,1,12,10,NULL,NULL,NULL,NULL),(16,503,1,12,11,NULL,NULL,NULL,NULL),(16,503,1,12,12,NULL,NULL,NULL,NULL),(16,503,1,12,13,NULL,NULL,NULL,NULL),(16,503,1,12,14,NULL,NULL,NULL,NULL),(16,503,1,12,15,NULL,NULL,NULL,NULL),(16,503,1,12,16,NULL,NULL,NULL,NULL),(16,503,1,12,17,NULL,NULL,NULL,NULL),(16,503,1,12,18,NULL,NULL,NULL,NULL),(16,503,1,12,19,NULL,NULL,NULL,NULL),(16,503,1,12,20,NULL,NULL,NULL,NULL),(16,503,1,13,1,NULL,1,NULL,NULL),(16,503,1,13,2,NULL,NULL,NULL,NULL),(16,503,1,13,3,NULL,NULL,NULL,NULL),(16,503,1,13,4,NULL,NULL,NULL,NULL),(16,503,1,13,5,NULL,NULL,NULL,NULL),(16,503,1,13,6,NULL,1,NULL,NULL),(16,503,1,13,7,1,NULL,NULL,NULL),(16,503,1,13,8,NULL,NULL,NULL,NULL),(16,503,1,13,9,NULL,NULL,NULL,NULL),(16,503,1,13,10,1,NULL,NULL,NULL),(16,503,1,13,11,NULL,NULL,NULL,NULL),(16,503,1,13,12,1,NULL,NULL,NULL),(16,503,1,13,13,2,NULL,NULL,NULL),(16,503,1,13,14,2,NULL,NULL,NULL),(16,503,1,13,15,1,NULL,NULL,NULL),(16,503,1,13,16,1,NULL,NULL,NULL),(16,503,1,13,17,NULL,NULL,NULL,NULL),(16,503,1,13,18,2,NULL,NULL,NULL),(16,503,1,13,19,NULL,NULL,NULL,NULL),(16,503,1,13,20,1,NULL,NULL,NULL),(16,503,1,14,1,16,6,11,2),(16,503,1,14,2,3,4,3,4),(16,503,1,14,3,9,6,6,3),(16,503,1,14,4,3,6,3,5),(16,503,1,14,5,14,3,6,3),(16,503,1,14,6,2,5,1,5),(16,503,1,14,7,2,3,2,2),(16,503,1,14,8,6,5,3,3),(16,503,1,14,9,NULL,10,NULL,7),(16,503,1,14,10,11,6,8,3),(16,503,1,14,11,6,2,6,1),(16,503,1,14,12,8,2,6,2),(16,503,1,14,13,10,9,6,5),(16,503,1,14,14,2,3,2,3),(16,503,1,14,15,4,5,4,2),(16,503,1,14,16,7,1,7,1),(16,503,1,14,17,10,6,9,3),(16,503,1,14,18,3,5,2,3),(16,503,1,14,19,4,10,3,6),(16,503,1,14,20,6,12,5,7),(16,503,1,15,1,6,13,5,9),(16,503,1,15,2,3,4,2,2),(16,503,1,15,3,8,10,4,8),(16,503,1,15,4,NULL,7,NULL,6),(16,503,1,15,5,9,7,7,5),(16,503,1,15,6,1,5,NULL,2),(16,503,1,15,7,2,5,1,3),(16,503,1,15,8,5,5,4,4),(16,503,1,15,9,1,6,NULL,5),(16,503,1,15,10,9,6,8,2),(16,503,1,15,11,10,3,6,2),(16,503,1,15,12,7,4,5,4),(16,503,1,15,13,13,2,12,2),(16,503,1,15,14,7,2,4,2),(16,503,1,15,15,1,1,1,1),(16,503,1,15,16,9,4,8,3),(16,503,1,15,17,9,4,6,4),(16,503,1,15,18,1,1,1,1),(16,503,1,15,19,8,5,6,5),(16,503,1,15,20,5,10,4,5),(16,503,1,16,1,12,10,3,5),(16,503,1,16,2,1,2,1,1),(16,503,1,16,3,6,10,2,2),(16,503,1,16,4,NULL,4,NULL,3),(16,503,1,16,5,14,11,7,3),(16,503,1,16,6,1,5,1,3),(16,503,1,16,7,2,1,NULL,1),(16,503,1,16,8,6,10,3,5),(16,503,1,16,9,3,6,2,3),(16,503,1,16,10,7,10,4,5),(16,503,1,16,11,14,17,5,9),(16,503,1,16,12,3,7,3,2),(16,503,1,16,13,14,11,8,6),(16,503,1,16,14,6,20,3,6),(16,503,1,16,15,13,15,4,9),(16,503,1,16,16,1,12,NULL,4),(16,503,1,16,17,10,14,3,8),(16,503,1,16,18,12,5,8,2),(16,503,1,16,19,9,15,5,6),(16,503,1,16,20,1,17,NULL,5),(16,503,1,17,1,16,10,8,3),(16,503,1,17,2,2,3,2,1),(16,503,1,17,3,7,10,4,4),(16,503,1,17,4,3,8,2,5),(16,503,1,17,5,9,14,6,4),(16,503,1,17,6,3,10,1,4),(16,503,1,17,7,3,2,1,NULL),(16,503,1,17,8,7,10,3,6),(16,503,1,17,9,1,10,1,5),(16,503,1,17,10,13,8,8,3),(16,503,1,17,11,13,29,3,14),(16,503,1,17,12,2,4,NULL,4),(16,503,1,17,13,12,22,6,8),(16,503,1,17,14,4,25,1,8),(16,503,1,17,15,13,21,6,8),(16,503,1,17,16,2,15,1,6),(16,503,1,17,17,3,22,NULL,13),(16,503,1,17,18,12,12,6,6),(16,503,1,17,19,9,27,5,8),(16,503,1,17,20,1,21,1,6),(16,503,2,21,1,NULL,6,NULL,6),(16,503,2,21,2,2,14,2,5),(16,503,2,21,3,8,4,6,3),(16,503,2,21,4,10,7,6,3),(16,503,2,21,5,7,13,4,6),(16,503,2,21,6,3,7,2,6),(16,503,2,21,7,2,7,1,5),(16,503,2,21,8,4,1,1,1),(16,503,2,21,9,2,4,1,3),(16,503,2,21,10,3,8,3,4),(16,503,2,21,11,6,4,4,2),(16,503,2,21,12,3,12,2,8),(16,503,2,21,13,4,8,2,5),(16,503,2,21,14,5,14,4,9),(16,503,2,21,15,9,6,6,1),(16,503,2,21,16,3,9,2,5),(16,503,2,21,17,4,7,3,4),(16,503,2,21,18,3,7,1,5),(16,503,2,21,19,5,13,4,6),(16,503,2,21,20,9,11,3,7),(16,503,2,21,21,5,2,3,NULL),(16,503,2,21,22,2,6,2,3),(16,503,2,21,23,3,6,1,5),(16,503,2,21,24,2,10,1,7),(16,503,2,21,25,2,NULL,2,NULL),(16,503,2,21,26,42,NULL,18,NULL),(16,503,2,21,27,4,6,2,4),(16,503,2,21,28,3,5,2,4),(16,503,2,21,29,3,11,NULL,5),(16,503,2,21,30,5,2,3,1),(16,503,2,22,1,3,2,2,2),(16,503,2,22,2,2,15,2,7),(16,503,2,22,3,5,5,4,2),(16,503,2,22,4,15,5,9,2),(16,503,2,22,5,4,9,2,6),(16,503,2,22,6,5,6,5,3),(16,503,2,22,7,4,4,3,3),(16,503,2,22,8,1,3,NULL,1),(16,503,2,22,9,NULL,NULL,NULL,NULL),(16,503,2,22,10,4,9,3,4),(16,503,2,22,11,5,4,4,1),(16,503,2,22,12,5,6,2,3),(16,503,2,22,13,2,5,1,4),(16,503,2,22,14,10,13,6,6),(16,503,2,22,15,12,NULL,7,NULL),(16,503,2,22,16,2,8,1,4),(16,503,2,22,17,3,6,1,3),(16,503,2,22,18,2,1,NULL,1),(16,503,2,22,19,5,9,3,3),(16,503,2,22,20,2,4,1,4),(16,503,2,22,21,4,12,NULL,9),(16,503,2,22,22,7,5,3,3),(16,503,2,22,23,4,7,2,3),(16,503,2,22,24,4,5,1,4),(16,503,2,22,25,2,NULL,1,NULL),(16,503,2,22,26,34,NULL,14,NULL),(16,503,2,22,27,3,8,1,5),(16,503,2,22,28,2,2,1,NULL),(16,503,2,22,29,1,15,NULL,8),(16,503,2,22,30,2,4,1,2),(16,503,2,23,1,1,6,1,4),(16,503,2,23,2,2,19,1,6),(16,503,2,23,3,9,7,5,2),(16,503,2,23,4,15,7,6,2),(16,503,2,23,5,5,10,3,5),(16,503,2,23,6,1,10,1,4),(16,503,2,23,7,2,7,2,2),(16,503,2,23,8,3,10,1,4),(16,503,2,23,9,2,1,2,NULL),(16,503,2,23,10,3,10,3,4),(16,503,2,23,11,6,7,2,5),(16,503,2,23,12,11,5,6,2),(16,503,2,23,13,3,13,1,7),(16,503,2,23,14,9,14,2,8),(16,503,2,23,15,13,2,7,1),(16,503,2,23,16,6,10,4,6),(16,503,2,23,17,3,8,1,4),(16,503,2,23,18,1,6,1,5),(16,503,2,23,19,8,14,5,6),(16,503,2,23,20,7,7,3,2),(16,503,2,23,21,4,8,2,6),(16,503,2,23,22,2,4,2,2),(16,503,2,23,23,5,5,4,3),(16,503,2,23,24,3,17,NULL,7),(16,503,2,23,25,NULL,NULL,NULL,NULL),(16,503,2,23,26,40,NULL,14,NULL),(16,503,2,23,27,2,5,1,4),(16,503,2,23,28,2,2,NULL,2),(16,503,2,23,29,6,7,5,2),(16,503,2,23,30,5,3,4,2),(16,503,2,24,1,3,2,3,1),(16,503,2,24,2,1,16,1,9),(16,503,2,24,3,10,4,8,3),(16,503,2,24,4,10,4,6,2),(16,503,2,24,5,6,8,5,3),(16,503,2,24,6,2,2,2,1),(16,503,2,24,7,3,1,2,NULL),(16,503,2,24,8,1,5,NULL,2),(16,503,2,24,9,2,2,2,1),(16,503,2,24,10,3,6,3,4),(16,503,2,24,11,4,3,3,2),(16,503,2,24,12,4,6,4,4),(16,503,2,24,13,4,9,2,6),(16,503,2,24,14,15,9,8,4),(16,503,2,24,15,17,4,10,1),(16,503,2,24,16,4,9,3,6),(16,503,2,24,17,1,3,1,2),(16,503,2,24,18,2,2,1,1),(16,503,2,24,19,9,13,6,6),(16,503,2,24,20,4,11,3,6),(16,503,2,24,21,4,3,2,2),(16,503,2,24,22,1,3,1,1),(16,503,2,24,23,5,4,2,3),(16,503,2,24,24,3,10,1,5),(16,503,2,24,25,1,NULL,NULL,NULL),(16,503,2,24,26,36,NULL,14,NULL),(16,503,2,24,27,3,8,2,6),(16,503,2,24,28,4,5,NULL,3),(16,503,2,24,29,4,11,2,7),(16,503,2,24,30,4,5,3,4),(16,503,3,31,1,NULL,2,NULL,2),(16,503,3,31,2,4,2,1,NULL),(16,503,3,31,3,NULL,5,NULL,3),(16,503,3,31,4,2,3,1,2),(16,503,3,31,5,5,10,4,2),(16,503,3,31,6,17,8,8,5),(16,503,3,31,7,NULL,3,NULL,1),(16,503,3,31,8,NULL,3,NULL,1),(16,503,3,31,9,NULL,5,NULL,4),(16,503,3,31,10,1,2,1,NULL),(16,503,3,31,11,8,5,5,NULL),(16,503,3,31,12,6,9,5,6),(16,503,3,31,13,2,7,1,4),(16,503,3,31,14,7,5,2,1),(16,503,3,31,15,9,3,8,1),(16,503,3,31,16,5,16,2,7),(16,503,3,31,17,12,10,7,5),(16,503,3,31,18,9,3,5,1),(16,503,3,31,19,5,8,2,6),(16,503,3,31,20,11,NULL,5,NULL),(16,503,3,31,21,7,14,5,6),(16,503,3,31,22,NULL,2,NULL,1),(16,503,3,31,23,3,5,2,2),(16,503,3,31,24,5,3,4,2),(16,503,3,31,25,2,4,2,2),(16,503,3,31,26,NULL,2,NULL,NULL),(16,503,3,31,27,1,2,NULL,1),(16,503,3,31,28,6,4,5,3),(16,503,3,31,29,10,7,6,2),(16,503,3,31,30,1,5,NULL,3),(16,503,3,32,1,1,3,NULL,2),(16,503,3,32,2,2,7,1,3),(16,503,3,32,3,1,3,NULL,2),(16,503,3,32,4,2,2,NULL,1),(16,503,3,32,5,5,15,3,6),(16,503,3,32,6,13,10,5,5),(16,503,3,32,7,NULL,3,NULL,2),(16,503,3,32,8,1,4,1,2),(16,503,3,32,9,NULL,4,NULL,1),(16,503,3,32,10,NULL,3,NULL,NULL),(16,503,3,32,11,8,4,4,1),(16,503,3,32,12,3,9,1,4),(16,503,3,32,13,3,7,2,4),(16,503,3,32,14,1,16,NULL,7),(16,503,3,32,15,5,8,2,6),(16,503,3,32,16,8,9,4,5),(16,503,3,32,17,15,11,6,7),(16,503,3,32,18,6,4,5,2),(16,503,3,32,19,7,9,5,6),(16,503,3,32,20,15,NULL,8,NULL),(16,503,3,32,21,6,19,3,7),(16,503,3,32,22,NULL,2,NULL,NULL),(16,503,3,32,23,4,9,1,4),(16,503,3,32,24,2,7,2,4),(16,503,3,32,25,1,3,1,1),(16,503,3,32,26,2,NULL,1,NULL),(16,503,3,32,27,NULL,2,NULL,1),(16,503,3,32,28,8,7,4,3),(16,503,3,32,29,3,7,2,3),(16,503,3,32,30,NULL,4,NULL,2),(16,503,3,33,1,1,6,1,3),(16,503,3,33,2,3,5,2,3),(16,503,3,33,3,NULL,4,NULL,3),(16,503,3,33,4,1,4,NULL,3),(16,503,3,33,5,6,9,4,1),(16,503,3,33,6,17,7,8,5),(16,503,3,33,7,NULL,2,NULL,NULL),(16,503,3,33,8,NULL,NULL,NULL,NULL),(16,503,3,33,9,NULL,2,NULL,2),(16,503,3,33,10,1,1,1,NULL),(16,503,3,33,11,4,7,2,5),(16,503,3,33,12,4,9,2,4),(16,503,3,33,13,5,6,3,2),(16,503,3,33,14,6,3,3,NULL),(16,503,3,33,15,6,8,3,6),(16,503,3,33,16,4,10,1,3),(16,503,3,33,17,10,10,7,6),(16,503,3,33,18,4,4,2,3),(16,503,3,33,19,4,9,1,3),(16,503,3,33,20,17,NULL,11,NULL),(16,503,3,33,21,5,15,2,6),(16,503,3,33,22,1,5,NULL,2),(16,503,3,33,23,1,5,NULL,1),(16,503,3,33,24,2,7,1,4),(16,503,3,33,25,1,2,NULL,1),(16,503,3,33,26,NULL,1,NULL,1),(16,503,3,33,27,1,5,1,3),(16,503,3,33,28,5,7,4,5),(16,503,3,33,29,5,12,5,4),(16,503,3,33,30,NULL,3,NULL,2),(16,503,3,34,1,2,8,1,6),(16,503,3,34,2,2,2,1,2),(16,503,3,34,3,NULL,7,NULL,6),(16,503,3,34,4,NULL,4,NULL,2),(16,503,3,34,5,6,8,5,3),(16,503,3,34,6,17,14,8,7),(16,503,3,34,7,NULL,5,NULL,4),(16,503,3,34,8,NULL,1,NULL,1),(16,503,3,34,9,1,NULL,NULL,NULL),(16,503,3,34,10,NULL,5,NULL,2),(16,503,3,34,11,3,13,NULL,6),(16,503,3,34,12,4,9,3,5),(16,503,3,34,13,1,3,1,2),(16,503,3,34,14,4,9,2,7),(16,503,3,34,15,2,9,2,6),(16,503,3,34,16,5,8,4,5),(16,503,3,34,17,9,12,5,9),(16,503,3,34,18,9,2,5,1),(16,503,3,34,19,5,5,3,3),(16,503,3,34,20,19,NULL,13,NULL),(16,503,3,34,21,5,17,5,8),(16,503,3,34,22,1,3,NULL,1),(16,503,3,34,23,1,9,NULL,4),(16,503,3,34,24,NULL,8,NULL,2),(16,503,3,34,25,2,1,1,1),(16,503,3,34,26,NULL,4,NULL,1),(16,503,3,34,27,4,2,2,1),(16,503,3,34,28,5,7,4,5),(16,503,3,34,29,5,5,4,1),(16,503,3,34,30,NULL,7,NULL,4),(20,2,1,11,1,0,0,NULL,NULL),(20,2,1,11,2,0,0,NULL,NULL),(20,2,1,11,3,0,0,NULL,NULL),(20,2,1,11,4,0,0,NULL,NULL),(20,2,1,11,5,0,0,NULL,NULL),(20,2,1,11,6,0,0,NULL,NULL),(20,2,1,11,7,0,0,NULL,NULL),(20,2,1,11,8,0,0,NULL,NULL),(20,2,1,11,9,0,0,NULL,NULL),(20,2,1,11,10,0,0,NULL,NULL),(20,2,1,11,11,0,0,NULL,NULL),(20,2,1,11,12,0,0,NULL,NULL),(20,2,1,11,13,0,0,NULL,NULL),(20,2,1,11,14,0,0,NULL,NULL),(20,2,1,11,15,0,0,NULL,NULL),(20,2,1,11,16,0,0,NULL,NULL),(20,2,1,11,17,0,0,NULL,NULL),(20,2,1,11,18,0,0,NULL,NULL),(20,2,1,11,19,0,0,NULL,NULL),(20,2,1,11,20,0,0,NULL,NULL),(20,2,1,11,21,0,0,NULL,NULL),(20,2,1,11,22,0,0,NULL,NULL),(20,2,1,11,23,0,0,NULL,NULL),(20,2,1,11,24,0,0,NULL,NULL),(20,2,1,11,25,0,0,NULL,NULL),(20,2,1,11,26,0,0,NULL,NULL),(20,2,1,11,27,0,0,NULL,NULL),(20,2,1,11,28,0,0,NULL,NULL),(20,2,1,11,29,0,0,NULL,NULL),(20,2,1,11,30,0,0,NULL,NULL),(20,2,1,11,31,0,0,NULL,NULL),(20,2,1,11,32,0,0,NULL,NULL),(20,2,1,11,33,0,0,NULL,NULL),(20,2,1,11,34,0,0,NULL,NULL),(20,2,1,11,35,0,0,NULL,NULL),(20,2,1,11,36,0,0,NULL,NULL),(20,2,1,11,37,0,0,NULL,NULL),(20,2,1,11,38,0,0,NULL,NULL),(20,2,1,11,39,0,0,NULL,NULL),(20,2,1,11,40,0,0,NULL,NULL),(20,2,1,12,1,0,0,NULL,NULL),(20,2,1,12,2,0,1,NULL,1),(20,2,1,12,3,0,0,NULL,NULL),(20,2,1,12,4,0,0,NULL,NULL),(20,2,1,12,5,0,0,NULL,NULL),(20,2,1,12,6,0,2,NULL,1),(20,2,1,12,7,0,0,NULL,NULL),(20,2,1,12,8,0,1,NULL,1),(20,2,1,12,9,1,0,NULL,NULL),(20,2,1,12,10,0,1,NULL,1),(20,2,1,12,11,0,0,NULL,NULL),(20,2,1,12,12,0,0,NULL,NULL),(20,2,1,12,13,0,1,NULL,NULL),(20,2,1,12,14,0,1,NULL,1),(20,2,1,12,15,1,1,NULL,1),(20,2,1,12,16,1,0,NULL,NULL),(20,2,1,12,17,1,1,NULL,1),(20,2,1,12,18,2,0,1,NULL),(20,2,1,12,19,1,1,NULL,1),(20,2,1,12,20,1,0,NULL,NULL),(20,2,1,12,21,0,1,NULL,1),(20,2,1,12,22,0,0,NULL,NULL),(20,2,1,12,23,0,1,NULL,1),(20,2,1,12,24,0,0,NULL,NULL),(20,2,1,12,25,0,1,NULL,1),(20,2,1,12,26,0,0,NULL,NULL),(20,2,1,12,27,0,0,NULL,NULL),(20,2,1,12,28,0,0,NULL,NULL),(20,2,1,12,29,0,1,NULL,1),(20,2,1,12,30,0,0,NULL,NULL),(20,2,1,12,31,1,0,NULL,NULL),(20,2,1,12,32,0,0,NULL,NULL),(20,2,1,12,33,0,1,NULL,NULL),(20,2,1,12,34,0,0,NULL,NULL),(20,2,1,12,35,0,0,NULL,NULL),(20,2,1,12,36,0,1,NULL,NULL),(20,2,1,12,37,1,1,NULL,1),(20,2,1,12,38,0,0,NULL,NULL),(20,2,1,12,39,0,2,NULL,1),(20,2,1,12,40,0,1,NULL,1),(20,2,1,13,1,0,0,NULL,NULL),(20,2,1,13,2,1,0,NULL,NULL),(20,2,1,13,3,0,0,NULL,NULL),(20,2,1,13,4,0,0,NULL,NULL),(20,2,1,13,5,0,0,NULL,NULL),(20,2,1,13,6,1,0,NULL,NULL),(20,2,1,13,7,0,0,NULL,NULL),(20,2,1,13,8,0,0,NULL,NULL),(20,2,1,13,9,0,0,NULL,NULL),(20,2,1,13,10,0,0,NULL,NULL),(20,2,1,13,11,0,0,NULL,NULL),(20,2,1,13,12,0,0,NULL,NULL),(20,2,1,13,13,0,0,NULL,NULL),(20,2,1,13,14,0,0,NULL,NULL),(20,2,1,13,15,0,0,NULL,NULL),(20,2,1,13,16,0,0,NULL,NULL),(20,2,1,13,17,0,0,NULL,NULL),(20,2,1,13,18,0,0,NULL,NULL),(20,2,1,13,19,0,0,NULL,NULL),(20,2,1,13,20,1,0,NULL,NULL),(20,2,1,13,21,0,0,NULL,NULL),(20,2,1,13,22,0,0,NULL,NULL),(20,2,1,13,23,0,0,NULL,NULL),(20,2,1,13,24,0,0,NULL,NULL),(20,2,1,13,25,1,0,NULL,NULL),(20,2,1,13,26,0,0,NULL,NULL),(20,2,1,13,27,0,0,NULL,NULL),(20,2,1,13,28,0,0,NULL,NULL),(20,2,1,13,29,0,0,NULL,NULL),(20,2,1,13,30,0,0,NULL,NULL),(20,2,1,13,31,0,0,NULL,NULL),(20,2,1,13,32,0,0,NULL,NULL),(20,2,1,13,33,0,0,NULL,NULL),(20,2,1,13,34,0,0,NULL,NULL),(20,2,1,13,35,0,0,NULL,NULL),(20,2,1,13,36,1,0,NULL,NULL),(20,2,1,13,37,1,0,NULL,NULL),(20,2,1,13,38,0,0,NULL,NULL),(20,2,1,13,39,1,0,NULL,NULL),(20,2,1,13,40,0,0,NULL,NULL),(20,2,1,14,1,9,4,7,4),(20,2,1,14,2,5,1,5,1),(20,2,1,14,3,1,7,1,6),(20,2,1,14,4,0,8,NULL,6),(20,2,1,14,5,5,6,5,6),(20,2,1,14,6,9,9,8,7),(20,2,1,14,7,2,8,2,7),(20,2,1,14,8,10,1,9,1),(20,2,1,14,9,8,11,7,9),(20,2,1,14,10,5,2,5,2),(20,2,1,14,11,2,2,2,2),(20,2,1,14,12,4,3,4,3),(20,2,1,14,13,11,4,9,3),(20,2,1,14,14,17,5,13,5),(20,2,1,14,15,10,4,8,3),(20,2,1,14,16,22,1,19,1),(20,2,1,14,17,10,11,8,9),(20,2,1,14,18,17,4,16,3),(20,2,1,14,19,10,2,7,2),(20,2,1,14,20,15,6,12,6),(20,2,1,14,21,1,6,NULL,6),(20,2,1,14,22,4,11,4,11),(20,2,1,14,23,2,11,2,9),(20,2,1,14,24,1,6,1,6),(20,2,1,14,25,4,10,4,10),(20,2,1,14,26,4,0,4,NULL),(20,2,1,14,27,3,15,3,13),(20,2,1,14,28,0,5,NULL,4),(20,2,1,14,29,1,2,1,2),(20,2,1,14,30,3,1,3,1),(20,2,1,14,31,3,10,3,9),(20,2,1,14,32,7,2,6,2),(20,2,1,14,33,4,3,4,3),(20,2,1,14,34,2,6,1,6),(20,2,1,14,35,4,8,3,8),(20,2,1,14,36,7,8,7,8),(20,2,1,14,37,10,5,8,5),(20,2,1,14,38,1,4,1,3),(20,2,1,14,39,12,3,11,3),(20,2,1,14,40,13,1,12,1),(20,2,1,15,1,3,7,2,5),(20,2,1,15,2,2,2,1,1),(20,2,1,15,3,2,2,2,1),(20,2,1,15,4,0,8,NULL,6),(20,2,1,15,5,5,3,4,3),(20,2,1,15,6,6,10,6,8),(20,2,1,15,7,6,4,6,2),(20,2,1,15,8,6,0,5,NULL),(20,2,1,15,9,5,10,3,8),(20,2,1,15,10,2,4,2,2),(20,2,1,15,11,2,2,2,2),(20,2,1,15,12,3,4,2,3),(20,2,1,15,13,11,4,8,3),(20,2,1,15,14,14,5,11,3),(20,2,1,15,15,7,2,6,2),(20,2,1,15,16,16,1,12,1),(20,2,1,15,17,8,4,7,3),(20,2,1,15,18,14,5,12,2),(20,2,1,15,19,10,2,8,2),(20,2,1,15,20,11,10,10,5),(20,2,1,15,21,1,4,NULL,4),(20,2,1,15,22,2,5,2,5),(20,2,1,15,23,4,7,4,4),(20,2,1,15,24,1,9,1,8),(20,2,1,15,25,4,5,3,3),(20,2,1,15,26,3,0,3,NULL),(20,2,1,15,27,1,8,1,7),(20,2,1,15,28,1,1,1,1),(20,2,1,15,29,0,1,NULL,1),(20,2,1,15,30,1,2,1,1),(20,2,1,15,31,4,5,3,4),(20,2,1,15,32,4,6,4,4),(20,2,1,15,33,5,5,5,5),(20,2,1,15,34,2,4,2,4),(20,2,1,15,35,4,7,3,5),(20,2,1,15,36,11,3,9,1),(20,2,1,15,37,8,3,6,2),(20,2,1,15,38,1,4,1,4),(20,2,1,15,39,15,5,10,3),(20,2,1,15,40,7,0,6,NULL),(20,2,1,16,1,0,5,NULL,3),(20,2,1,16,2,1,1,1,NULL),(20,2,1,16,3,1,5,1,3),(20,2,1,16,4,0,5,NULL,1),(20,2,1,16,5,3,2,3,1),(20,2,1,16,6,5,4,4,2),(20,2,1,16,7,2,4,2,1),(20,2,1,16,8,6,3,5,1),(20,2,1,16,9,2,5,2,5),(20,2,1,16,10,2,1,2,NULL),(20,2,1,16,11,1,3,1,1),(20,2,1,16,12,0,2,NULL,2),(20,2,1,16,13,3,4,2,3),(20,2,1,16,14,1,1,1,1),(20,2,1,16,15,3,5,2,1),(20,2,1,16,16,1,3,NULL,2),(20,2,1,16,17,10,4,6,1),(20,2,1,16,18,1,5,1,2),(20,2,1,16,19,8,2,3,2),(20,2,1,16,20,1,1,NULL,NULL),(20,2,1,16,21,1,1,1,NULL),(20,2,1,16,22,1,3,NULL,3),(20,2,1,16,23,1,7,NULL,4),(20,2,1,16,24,2,4,2,3),(20,2,1,16,25,3,7,1,5),(20,2,1,16,26,0,0,NULL,NULL),(20,2,1,16,27,6,2,5,NULL),(20,2,1,16,28,0,3,NULL,2),(20,2,1,16,29,3,1,1,1),(20,2,1,16,30,0,4,NULL,3),(20,2,1,16,31,2,2,1,2),(20,2,1,16,32,2,2,2,1),(20,2,1,16,33,2,2,2,2),(20,2,1,16,34,1,2,NULL,1),(20,2,1,16,35,3,1,2,1),(20,2,1,16,36,2,7,2,2),(20,2,1,16,37,4,6,2,2),(20,2,1,16,38,0,1,NULL,1),(20,2,1,16,39,4,5,4,2),(20,2,1,16,40,4,2,4,1),(20,2,1,17,1,1,3,1,1),(20,2,1,17,2,1,0,1,NULL),(20,2,1,17,3,0,3,NULL,2),(20,2,1,17,4,0,5,NULL,2),(20,2,1,17,5,2,3,2,3),(20,2,1,17,6,5,5,4,3),(20,2,1,17,7,1,2,NULL,2),(20,2,1,17,8,5,1,3,1),(20,2,1,17,9,2,3,1,2),(20,2,1,17,10,1,2,1,NULL),(20,2,1,17,11,1,3,NULL,3),(20,2,1,17,12,2,3,1,2),(20,2,1,17,13,2,6,2,4),(20,2,1,17,14,1,2,NULL,2),(20,2,1,17,15,2,0,1,NULL),(20,2,1,17,16,0,4,NULL,2),(20,2,1,17,17,8,2,5,NULL),(20,2,1,17,18,0,4,NULL,2),(20,2,1,17,19,5,5,5,1),(20,2,1,17,20,0,1,NULL,1),(20,2,1,17,21,0,1,NULL,NULL),(20,2,1,17,22,4,3,4,1),(20,2,1,17,23,3,3,1,2),(20,2,1,17,24,0,0,NULL,NULL),(20,2,1,17,25,0,6,NULL,5),(20,2,1,17,26,0,0,NULL,NULL),(20,2,1,17,27,3,2,2,1),(20,2,1,17,28,0,1,NULL,NULL),(20,2,1,17,29,1,0,NULL,NULL),(20,2,1,17,30,0,1,NULL,NULL),(20,2,1,17,31,1,5,1,4),(20,2,1,17,32,2,3,1,2),(20,2,1,17,33,0,3,NULL,1),(20,2,1,17,34,0,1,NULL,1),(20,2,1,17,35,2,3,1,2),(20,2,1,17,36,0,7,NULL,5),(20,2,1,17,37,2,4,1,3),(20,2,1,17,38,1,2,1,1),(20,2,1,17,39,3,1,2,1),(20,2,1,17,40,2,0,2,NULL),(20,2,2,21,1,1,2,1,1),(20,2,2,21,2,2,1,1,1),(20,2,2,21,3,3,8,2,6),(20,2,2,21,4,1,2,1,1),(20,2,2,21,5,0,4,NULL,2),(20,2,2,21,6,4,2,4,2),(20,2,2,21,7,0,5,NULL,5),(20,2,2,21,8,3,0,2,NULL),(20,2,2,21,9,4,9,4,6),(20,2,2,21,10,1,3,1,2),(20,2,2,21,11,6,3,5,1),(20,2,2,21,12,1,3,NULL,2),(20,2,2,21,13,8,4,6,2),(20,2,2,21,14,9,9,7,6),(20,2,2,21,15,4,5,4,3),(20,2,2,21,16,4,6,3,4),(20,2,2,21,17,9,2,9,NULL),(20,2,2,21,18,0,4,NULL,4),(20,2,2,21,19,3,6,2,5),(20,2,2,21,20,3,5,3,5),(20,2,2,21,21,0,1,NULL,1),(20,2,2,21,22,1,3,1,3),(20,2,2,21,23,1,0,1,NULL),(20,2,2,21,24,0,0,NULL,NULL),(20,2,2,21,25,4,5,4,4),(20,2,2,21,26,1,1,1,NULL),(20,2,2,21,27,1,1,NULL,1),(20,2,2,21,28,4,5,3,3),(20,2,2,21,29,1,2,1,2),(20,2,2,21,30,3,0,2,NULL),(20,2,2,21,31,1,2,1,2),(20,2,2,21,32,3,6,3,6),(20,2,2,21,33,4,2,1,2),(20,2,2,21,34,4,4,3,2),(20,2,2,21,35,0,7,NULL,6),(20,2,2,21,36,3,6,3,3),(20,2,2,21,37,1,2,1,2),(20,2,2,21,38,2,6,1,3),(20,2,2,21,39,2,2,2,1),(20,2,2,21,40,4,4,4,3),(20,2,2,22,1,3,2,2,1),(20,2,2,22,2,1,3,1,2),(20,2,2,22,3,2,3,2,3),(20,2,2,22,4,0,3,NULL,1),(20,2,2,22,5,0,2,NULL,1),(20,2,2,22,6,1,3,1,3),(20,2,2,22,7,3,4,2,2),(20,2,2,22,8,5,0,4,NULL),(20,2,2,22,9,5,10,3,8),(20,2,2,22,10,1,2,1,1),(20,2,2,22,11,3,3,1,NULL),(20,2,2,22,12,0,5,NULL,3),(20,2,2,22,13,9,5,7,1),(20,2,2,22,14,9,6,7,2),(20,2,2,22,15,11,3,7,2),(20,2,2,22,16,4,4,4,NULL),(20,2,2,22,17,8,0,7,NULL),(20,2,2,22,18,0,6,NULL,6),(20,2,2,22,19,5,8,2,6),(20,2,2,22,20,8,4,6,2),(20,2,2,22,21,0,0,NULL,NULL),(20,2,2,22,22,1,4,1,3),(20,2,2,22,23,0,2,NULL,2),(20,2,2,22,24,0,1,NULL,1),(20,2,2,22,25,4,7,4,3),(20,2,2,22,26,2,1,2,NULL),(20,2,2,22,27,1,1,1,1),(20,2,2,22,28,5,1,4,NULL),(20,2,2,22,29,3,1,3,1),(20,2,2,22,30,0,0,NULL,NULL),(20,2,2,22,31,3,2,2,2),(20,2,2,22,32,2,8,1,5),(20,2,2,22,33,1,9,NULL,5),(20,2,2,22,34,0,5,NULL,4),(20,2,2,22,35,2,6,2,3),(20,2,2,22,36,2,5,2,2),(20,2,2,22,37,1,2,1,2),(20,2,2,22,38,2,1,1,1),(20,2,2,22,39,2,3,1,3),(20,2,2,22,40,2,4,2,3),(20,2,2,23,1,0,4,NULL,3),(20,2,2,23,2,1,1,1,NULL),(20,2,2,23,3,4,6,3,4),(20,2,2,23,4,1,2,1,1),(20,2,2,23,5,3,1,2,1),(20,2,2,23,6,4,6,4,3),(20,2,2,23,7,1,4,NULL,4),(20,2,2,23,8,2,0,1,NULL),(20,2,2,23,9,10,7,8,5),(20,2,2,23,10,2,3,2,1),(20,2,2,23,11,3,5,1,4),(20,2,2,23,12,1,1,1,NULL),(20,2,2,23,13,12,3,9,2),(20,2,2,23,14,14,6,11,3),(20,2,2,23,15,5,3,4,2),(20,2,2,23,16,7,4,4,2),(20,2,2,23,17,0,2,NULL,2),(20,2,2,23,18,1,4,1,4),(20,2,2,23,19,7,11,5,6),(20,2,2,23,20,8,6,6,4),(20,2,2,23,21,0,5,NULL,4),(20,2,2,23,22,0,4,NULL,2),(20,2,2,23,23,0,1,NULL,NULL),(20,2,2,23,24,0,1,NULL,1),(20,2,2,23,25,4,6,2,4),(20,2,2,23,26,1,0,1,NULL),(20,2,2,23,27,3,5,3,3),(20,2,2,23,28,3,2,2,1),(20,2,2,23,29,2,1,2,1),(20,2,2,23,30,1,3,1,2),(20,2,2,23,31,3,3,1,2),(20,2,2,23,32,5,6,5,4),(20,2,2,23,33,4,4,4,4),(20,2,2,23,34,3,4,2,3),(20,2,2,23,35,1,7,1,5),(20,2,2,23,36,0,1,NULL,1),(20,2,2,23,37,1,2,1,2),(20,2,2,23,38,0,4,NULL,3),(20,2,2,23,39,1,1,1,1),(20,2,2,23,40,4,3,2,3),(20,2,2,24,1,0,3,NULL,2),(20,2,2,24,2,0,1,NULL,1),(20,2,2,24,3,2,7,1,4),(20,2,2,24,4,1,2,NULL,2),(20,2,2,24,5,1,2,1,1),(20,2,2,24,6,5,2,4,2),(20,2,2,24,7,2,0,2,NULL),(20,2,2,24,8,6,0,6,NULL),(20,2,2,24,9,3,11,2,6),(20,2,2,24,10,1,2,1,2),(20,2,2,24,11,4,1,2,NULL),(20,2,2,24,12,2,1,1,1),(20,2,2,24,13,5,7,4,6),(20,2,2,24,14,6,7,3,5),(20,2,2,24,15,3,5,2,4),(20,2,2,24,16,5,5,3,4),(20,2,2,24,17,1,0,1,NULL),(20,2,2,24,18,0,6,NULL,4),(20,2,2,24,19,2,4,1,2),(20,2,2,24,20,5,4,3,2),(20,2,2,24,21,0,2,NULL,2),(20,2,2,24,22,0,6,NULL,4),(20,2,2,24,23,0,3,NULL,1),(20,2,2,24,24,0,0,NULL,NULL),(20,2,2,24,25,1,4,1,2),(20,2,2,24,26,2,1,2,1),(20,2,2,24,27,1,1,NULL,1),(20,2,2,24,28,3,5,2,5),(20,2,2,24,29,1,3,1,1),(20,2,2,24,30,1,3,1,3),(20,2,2,24,31,1,5,NULL,3),(20,2,2,24,32,5,9,4,5),(20,2,2,24,33,3,4,2,3),(20,2,2,24,34,3,2,3,1),(20,2,2,24,35,0,6,NULL,6),(20,2,2,24,36,0,4,NULL,4),(20,2,2,24,37,5,4,3,4),(20,2,2,24,38,0,1,NULL,1),(20,2,2,24,39,2,5,1,3),(20,2,2,24,40,2,3,2,3),(20,3,1,11,1,NULL,NULL,NULL,NULL),(20,3,1,11,2,NULL,NULL,NULL,NULL),(20,3,1,11,3,NULL,NULL,NULL,NULL),(20,3,1,11,4,NULL,NULL,NULL,NULL),(20,3,1,11,5,NULL,NULL,NULL,NULL),(20,3,1,11,6,NULL,NULL,NULL,NULL),(20,3,1,11,7,NULL,NULL,NULL,NULL),(20,3,1,11,8,NULL,NULL,NULL,NULL),(20,3,1,11,9,NULL,NULL,NULL,NULL),(20,3,1,11,10,NULL,NULL,NULL,NULL),(20,3,1,11,11,NULL,NULL,NULL,NULL),(20,3,1,11,12,NULL,NULL,NULL,NULL),(20,3,1,11,13,NULL,NULL,NULL,NULL),(20,3,1,11,14,NULL,NULL,NULL,NULL),(20,3,1,11,15,NULL,NULL,NULL,NULL),(20,3,1,11,16,NULL,NULL,NULL,NULL),(20,3,1,11,17,NULL,NULL,NULL,NULL),(20,3,1,11,18,NULL,NULL,NULL,NULL),(20,3,1,11,19,NULL,NULL,NULL,NULL),(20,3,1,11,20,NULL,NULL,NULL,NULL),(20,3,1,11,21,NULL,NULL,NULL,NULL),(20,3,1,11,22,NULL,NULL,NULL,NULL),(20,3,1,11,23,NULL,NULL,NULL,NULL),(20,3,1,11,24,NULL,NULL,NULL,NULL),(20,3,1,11,25,NULL,NULL,NULL,NULL),(20,3,1,11,26,NULL,NULL,NULL,NULL),(20,3,1,11,27,NULL,NULL,NULL,NULL),(20,3,1,11,28,NULL,NULL,NULL,NULL),(20,3,1,11,29,NULL,NULL,NULL,NULL),(20,3,1,11,30,NULL,NULL,NULL,NULL),(20,3,1,11,31,NULL,NULL,NULL,NULL),(20,3,1,11,32,NULL,NULL,NULL,NULL),(20,3,1,11,33,NULL,NULL,NULL,NULL),(20,3,1,11,34,NULL,NULL,NULL,NULL),(20,3,1,11,35,NULL,NULL,NULL,NULL),(20,3,1,11,36,NULL,NULL,NULL,NULL),(20,3,1,11,37,NULL,NULL,NULL,NULL),(20,3,1,11,38,NULL,NULL,NULL,NULL),(20,3,1,11,39,NULL,NULL,NULL,NULL),(20,3,1,11,40,NULL,NULL,NULL,NULL),(20,3,1,12,1,NULL,NULL,NULL,NULL),(20,3,1,12,2,NULL,NULL,NULL,NULL),(20,3,1,12,3,NULL,NULL,NULL,NULL),(20,3,1,12,4,NULL,NULL,NULL,NULL),(20,3,1,12,5,NULL,NULL,NULL,NULL),(20,3,1,12,6,NULL,NULL,NULL,NULL),(20,3,1,12,7,NULL,NULL,NULL,NULL),(20,3,1,12,8,NULL,NULL,NULL,NULL),(20,3,1,12,9,NULL,NULL,NULL,NULL),(20,3,1,12,10,NULL,NULL,NULL,NULL),(20,3,1,12,11,NULL,NULL,NULL,NULL),(20,3,1,12,12,NULL,NULL,NULL,NULL),(20,3,1,12,13,NULL,NULL,NULL,NULL),(20,3,1,12,14,NULL,NULL,NULL,NULL),(20,3,1,12,15,NULL,NULL,NULL,NULL),(20,3,1,12,16,NULL,NULL,NULL,NULL),(20,3,1,12,17,NULL,NULL,NULL,NULL),(20,3,1,12,18,NULL,NULL,NULL,NULL),(20,3,1,12,19,NULL,NULL,NULL,NULL),(20,3,1,12,20,NULL,NULL,NULL,NULL),(20,3,1,12,21,NULL,NULL,NULL,NULL),(20,3,1,12,22,NULL,NULL,NULL,NULL),(20,3,1,12,23,NULL,NULL,NULL,NULL),(20,3,1,12,24,NULL,NULL,NULL,NULL),(20,3,1,12,25,NULL,NULL,NULL,NULL),(20,3,1,12,26,NULL,NULL,NULL,NULL),(20,3,1,12,27,NULL,NULL,NULL,NULL),(20,3,1,12,28,NULL,NULL,NULL,NULL),(20,3,1,12,29,NULL,NULL,NULL,NULL),(20,3,1,12,30,NULL,NULL,NULL,NULL),(20,3,1,12,31,NULL,NULL,NULL,NULL),(20,3,1,12,32,NULL,NULL,NULL,NULL),(20,3,1,12,33,NULL,NULL,NULL,NULL),(20,3,1,12,34,NULL,NULL,NULL,NULL),(20,3,1,12,35,NULL,NULL,NULL,NULL),(20,3,1,12,36,NULL,NULL,NULL,NULL),(20,3,1,12,37,NULL,NULL,NULL,NULL),(20,3,1,12,38,NULL,NULL,NULL,NULL),(20,3,1,12,39,NULL,NULL,NULL,NULL),(20,3,1,12,40,NULL,NULL,NULL,NULL),(20,3,1,13,1,NULL,NULL,NULL,NULL),(20,3,1,13,2,NULL,NULL,NULL,NULL),(20,3,1,13,3,NULL,NULL,NULL,NULL),(20,3,1,13,4,NULL,NULL,NULL,NULL),(20,3,1,13,5,NULL,NULL,NULL,NULL),(20,3,1,13,6,NULL,NULL,NULL,NULL),(20,3,1,13,7,NULL,NULL,NULL,NULL),(20,3,1,13,8,NULL,NULL,NULL,NULL),(20,3,1,13,9,NULL,NULL,NULL,NULL),(20,3,1,13,10,NULL,NULL,NULL,NULL),(20,3,1,13,11,NULL,NULL,NULL,NULL),(20,3,1,13,12,NULL,NULL,NULL,NULL),(20,3,1,13,13,NULL,NULL,NULL,NULL),(20,3,1,13,14,NULL,NULL,NULL,NULL),(20,3,1,13,15,NULL,NULL,NULL,NULL),(20,3,1,13,16,NULL,NULL,NULL,NULL),(20,3,1,13,17,NULL,NULL,NULL,NULL),(20,3,1,13,18,NULL,NULL,NULL,NULL),(20,3,1,13,19,NULL,NULL,NULL,NULL),(20,3,1,13,20,NULL,NULL,NULL,NULL),(20,3,1,13,21,NULL,NULL,NULL,NULL),(20,3,1,13,22,NULL,NULL,NULL,NULL),(20,3,1,13,23,NULL,NULL,NULL,NULL),(20,3,1,13,24,NULL,NULL,NULL,NULL),(20,3,1,13,25,NULL,NULL,NULL,NULL),(20,3,1,13,26,NULL,NULL,NULL,NULL),(20,3,1,13,27,NULL,NULL,NULL,NULL),(20,3,1,13,28,NULL,NULL,NULL,NULL),(20,3,1,13,29,NULL,NULL,NULL,NULL),(20,3,1,13,30,NULL,NULL,NULL,NULL),(20,3,1,13,31,NULL,NULL,NULL,NULL),(20,3,1,13,32,NULL,NULL,NULL,NULL),(20,3,1,13,33,NULL,NULL,NULL,NULL),(20,3,1,13,34,NULL,NULL,NULL,NULL),(20,3,1,13,35,NULL,NULL,NULL,NULL),(20,3,1,13,36,NULL,NULL,NULL,NULL),(20,3,1,13,37,NULL,NULL,NULL,NULL),(20,3,1,13,38,NULL,NULL,NULL,NULL),(20,3,1,13,39,NULL,NULL,NULL,NULL),(20,3,1,13,40,NULL,NULL,NULL,NULL),(20,3,1,14,1,7,9,6,2),(20,3,1,14,2,3,6,3,4),(20,3,1,14,3,2,9,1,5),(20,3,1,14,4,3,8,3,4),(20,3,1,14,5,7,10,6,9),(20,3,1,14,6,10,12,8,5),(20,3,1,14,7,5,5,5,3),(20,3,1,14,8,8,5,7,4),(20,3,1,14,9,12,15,8,10),(20,3,1,14,10,5,3,3,3),(20,3,1,14,11,NULL,6,NULL,3),(20,3,1,14,12,11,5,11,2),(20,3,1,14,13,14,10,11,6),(20,3,1,14,14,18,9,15,3),(20,3,1,14,15,6,8,5,6),(20,3,1,14,16,20,6,14,2),(20,3,1,14,17,7,11,7,8),(20,3,1,14,18,18,6,15,4),(20,3,1,14,19,11,2,10,2),(20,3,1,14,20,18,5,15,3),(20,3,1,14,21,NULL,9,NULL,6),(20,3,1,14,22,3,10,3,8),(20,3,1,14,23,3,10,1,6),(20,3,1,14,24,2,11,2,7),(20,3,1,14,25,5,8,3,8),(20,3,1,14,26,2,NULL,2,NULL),(20,3,1,14,27,3,12,3,6),(20,3,1,14,28,3,2,3,NULL),(20,3,1,14,29,4,9,2,5),(20,3,1,14,30,4,7,3,4),(20,3,1,14,31,9,11,7,8),(20,3,1,14,32,5,6,4,4),(20,3,1,14,33,5,8,5,6),(20,3,1,14,34,2,4,2,4),(20,3,1,14,35,7,8,6,5),(20,3,1,14,36,10,9,10,8),(20,3,1,14,37,11,11,6,5),(20,3,1,14,38,NULL,NULL,NULL,NULL),(20,3,1,14,39,17,9,15,3),(20,3,1,14,40,8,2,5,2),(20,3,1,15,1,8,8,5,6),(20,3,1,15,2,6,5,4,4),(20,3,1,15,3,1,4,1,2),(20,3,1,15,4,1,9,NULL,4),(20,3,1,15,5,2,9,2,7),(20,3,1,15,6,7,16,4,9),(20,3,1,15,7,5,1,4,1),(20,3,1,15,8,12,5,8,5),(20,3,1,15,9,3,13,2,8),(20,3,1,15,10,3,2,2,2),(20,3,1,15,11,1,2,1,2),(20,3,1,15,12,2,3,2,2),(20,3,1,15,13,14,9,10,7),(20,3,1,15,14,11,10,7,6),(20,3,1,15,15,4,7,2,5),(20,3,1,15,16,8,9,4,7),(20,3,1,15,17,4,11,3,6),(20,3,1,15,18,9,11,7,8),(20,3,1,15,19,9,1,8,1),(20,3,1,15,20,13,4,9,2),(20,3,1,15,21,4,3,2,3),(20,3,1,15,22,1,9,1,8),(20,3,1,15,23,3,14,1,9),(20,3,1,15,24,2,7,NULL,6),(20,3,1,15,25,4,10,3,6),(20,3,1,15,26,2,NULL,1,NULL),(20,3,1,15,27,2,11,1,8),(20,3,1,15,28,1,5,1,4),(20,3,1,15,29,NULL,9,NULL,7),(20,3,1,15,30,1,9,1,8),(20,3,1,15,31,5,11,3,8),(20,3,1,15,32,10,4,8,3),(20,3,1,15,33,2,9,1,6),(20,3,1,15,34,1,6,1,3),(20,3,1,15,35,3,8,NULL,5),(20,3,1,15,36,4,12,2,9),(20,3,1,15,37,8,3,6,3),(20,3,1,15,38,1,4,1,4),(20,3,1,15,39,12,13,10,6),(20,3,1,15,40,2,3,1,3),(20,3,1,16,1,1,3,1,2),(20,3,1,16,2,4,3,3,3),(20,3,1,16,3,2,4,1,3),(20,3,1,16,4,3,4,2,3),(20,3,1,16,5,4,4,4,3),(20,3,1,16,6,9,9,7,7),(20,3,1,16,7,NULL,7,NULL,7),(20,3,1,16,8,5,3,5,2),(20,3,1,16,9,6,7,6,4),(20,3,1,16,10,1,5,NULL,5),(20,3,1,16,11,NULL,2,NULL,2),(20,3,1,16,12,1,5,1,5),(20,3,1,16,13,4,11,3,8),(20,3,1,16,14,1,1,1,1),(20,3,1,16,15,7,3,6,2),(20,3,1,16,16,1,6,NULL,3),(20,3,1,16,17,10,9,6,8),(20,3,1,16,18,1,6,NULL,3),(20,3,1,16,19,6,7,5,5),(20,3,1,16,20,2,3,1,1),(20,3,1,16,21,NULL,6,NULL,5),(20,3,1,16,22,NULL,2,NULL,2),(20,3,1,16,23,2,8,1,7),(20,3,1,16,24,NULL,3,NULL,3),(20,3,1,16,25,2,10,2,9),(20,3,1,16,26,2,NULL,2,NULL),(20,3,1,16,27,1,5,1,3),(20,3,1,16,28,1,2,1,2),(20,3,1,16,29,NULL,2,NULL,2),(20,3,1,16,30,NULL,6,NULL,5),(20,3,1,16,31,2,7,2,4),(20,3,1,16,32,4,1,4,1),(20,3,1,16,33,NULL,3,NULL,3),(20,3,1,16,34,NULL,4,NULL,3),(20,3,1,16,35,3,9,3,8),(20,3,1,16,36,3,4,2,4),(20,3,1,16,37,4,7,3,6),(20,3,1,16,38,2,4,2,3),(20,3,1,16,39,7,4,6,3),(20,3,1,16,40,4,1,4,1),(20,3,1,17,1,1,6,1,4),(20,3,1,17,2,4,5,3,4),(20,3,1,17,3,1,10,1,8),(20,3,1,17,4,4,7,2,6),(20,3,1,17,5,5,12,4,9),(20,3,1,17,6,7,10,7,6),(20,3,1,17,7,3,6,2,5),(20,3,1,17,8,13,5,8,4),(20,3,1,17,9,5,13,4,10),(20,3,1,17,10,6,4,6,2),(20,3,1,17,11,2,3,1,2),(20,3,1,17,12,4,5,4,5),(20,3,1,17,13,3,11,2,8),(20,3,1,17,14,3,2,3,1),(20,3,1,17,15,11,NULL,9,NULL),(20,3,1,17,16,2,4,1,2),(20,3,1,17,17,11,12,8,7),(20,3,1,17,18,3,7,2,6),(20,3,1,17,19,12,9,8,7),(20,3,1,17,20,1,1,1,NULL),(20,3,1,17,21,2,4,NULL,2),(20,3,1,17,22,NULL,7,NULL,6),(20,3,1,17,23,3,8,2,5),(20,3,1,17,24,2,8,2,5),(20,3,1,17,25,NULL,13,NULL,9),(20,3,1,17,26,4,NULL,2,NULL),(20,3,1,17,27,2,9,1,4),(20,3,1,17,28,NULL,2,NULL,1),(20,3,1,17,29,1,6,NULL,6),(20,3,1,17,30,1,5,1,3),(20,3,1,17,31,2,7,1,6),(20,3,1,17,32,3,10,1,9),(20,3,1,17,33,3,8,2,7),(20,3,1,17,34,NULL,1,NULL,NULL),(20,3,1,17,35,11,8,7,7),(20,3,1,17,36,7,11,5,8),(20,3,1,17,37,7,8,6,6),(20,3,1,17,38,NULL,5,NULL,3),(20,3,1,17,39,7,7,6,5),(20,3,1,17,40,5,2,5,2),(20,3,2,21,1,2,5,1,4),(20,3,2,21,2,NULL,3,NULL,1),(20,3,2,21,3,2,6,2,3),(20,3,2,21,4,1,6,NULL,5),(20,3,2,21,5,1,2,1,2),(20,3,2,21,6,5,3,3,2),(20,3,2,21,7,2,7,2,3),(20,3,2,21,8,3,NULL,2,NULL),(20,3,2,21,9,8,12,6,7),(20,3,2,21,10,2,2,NULL,1),(20,3,2,21,11,4,7,1,4),(20,3,2,21,12,1,3,NULL,2),(20,3,2,21,13,10,8,6,6),(20,3,2,21,14,15,10,8,6),(20,3,2,21,15,8,8,5,3),(20,3,2,21,16,9,9,5,5),(20,3,2,21,17,4,4,2,1),(20,3,2,21,18,NULL,3,NULL,1),(20,3,2,21,19,2,9,NULL,5),(20,3,2,21,20,3,13,3,9),(20,3,2,21,21,NULL,1,NULL,1),(20,3,2,21,22,1,8,1,3),(20,3,2,21,23,NULL,5,NULL,2),(20,3,2,21,24,NULL,5,NULL,1),(20,3,2,21,25,3,10,3,7),(20,3,2,21,26,3,1,2,1),(20,3,2,21,27,NULL,2,NULL,1),(20,3,2,21,28,6,5,5,5),(20,3,2,21,29,NULL,2,NULL,1),(20,3,2,21,30,1,3,NULL,2),(20,3,2,21,31,1,5,1,3),(20,3,2,21,32,6,6,5,2),(20,3,2,21,33,5,9,2,7),(20,3,2,21,34,2,5,2,3),(20,3,2,21,35,NULL,13,NULL,8),(20,3,2,21,36,5,6,1,3),(20,3,2,21,37,NULL,3,NULL,1),(20,3,2,21,38,NULL,6,NULL,3),(20,3,2,21,39,5,7,5,5),(20,3,2,21,40,3,7,2,4),(20,3,2,22,1,3,3,2,2),(20,3,2,22,2,NULL,5,NULL,3),(20,3,2,22,3,4,9,1,4),(20,3,2,22,4,1,5,1,4),(20,3,2,22,5,1,5,1,3),(20,3,2,22,6,6,5,4,4),(20,3,2,22,7,NULL,11,NULL,9),(20,3,2,22,8,5,NULL,2,NULL),(20,3,2,22,9,11,17,5,10),(20,3,2,22,10,1,6,NULL,5),(20,3,2,22,11,3,13,1,7),(20,3,2,22,12,1,6,1,4),(20,3,2,22,13,11,10,6,7),(20,3,2,22,14,6,19,3,13),(20,3,2,22,15,12,6,5,2),(20,3,2,22,16,11,8,6,5),(20,3,2,22,17,4,3,3,3),(20,3,2,22,18,1,10,1,7),(20,3,2,22,19,2,13,2,8),(20,3,2,22,20,7,6,2,5),(20,3,2,22,21,1,1,NULL,NULL),(20,3,2,22,22,2,5,NULL,4),(20,3,2,22,23,NULL,4,NULL,3),(20,3,2,22,24,NULL,1,NULL,1),(20,3,2,22,25,1,15,NULL,10),(20,3,2,22,26,1,3,1,1),(20,3,2,22,27,NULL,3,NULL,3),(20,3,2,22,28,4,5,4,5),(20,3,2,22,29,NULL,3,NULL,2),(20,3,2,22,30,3,2,2,2),(20,3,2,22,31,1,5,1,5),(20,3,2,22,32,1,8,1,3),(20,3,2,22,33,6,8,1,5),(20,3,2,22,34,5,4,4,3),(20,3,2,22,35,2,7,2,6),(20,3,2,22,36,2,9,2,4),(20,3,2,22,37,1,5,1,3),(20,3,2,22,38,3,11,1,10),(20,3,2,22,39,1,NULL,1,NULL),(20,3,2,22,40,2,12,2,9),(20,3,2,23,1,NULL,9,NULL,8),(20,3,2,23,2,NULL,3,NULL,3),(20,3,2,23,3,4,8,3,6),(20,3,2,23,4,4,1,4,1),(20,3,2,23,5,NULL,3,NULL,3),(20,3,2,23,6,7,8,5,7),(20,3,2,23,7,2,12,1,10),(20,3,2,23,8,4,NULL,3,NULL),(20,3,2,23,9,7,8,5,6),(20,3,2,23,10,NULL,4,NULL,4),(20,3,2,23,11,4,4,3,4),(20,3,2,23,12,NULL,5,NULL,5),(20,3,2,23,13,11,15,8,13),(20,3,2,23,14,6,19,6,16),(20,3,2,23,15,8,11,7,8),(20,3,2,23,16,10,8,9,8),(20,3,2,23,17,7,4,6,3),(20,3,2,23,18,2,10,2,9),(20,3,2,23,19,3,10,3,9),(20,3,2,23,20,5,15,4,12),(20,3,2,23,21,NULL,NULL,NULL,NULL),(20,3,2,23,22,2,4,2,3),(20,3,2,23,23,NULL,2,NULL,1),(20,3,2,23,24,1,NULL,1,NULL),(20,3,2,23,25,4,4,3,3),(20,3,2,23,26,NULL,6,NULL,6),(20,3,2,23,27,1,3,1,2),(20,3,2,23,28,4,5,4,5),(20,3,2,23,29,1,1,1,1),(20,3,2,23,30,2,6,1,6),(20,3,2,23,31,3,9,3,9),(20,3,2,23,32,4,6,4,5),(20,3,2,23,33,1,9,1,6),(20,3,2,23,34,4,6,4,5),(20,3,2,23,35,2,6,1,5),(20,3,2,23,36,3,6,3,5),(20,3,2,23,37,5,1,5,1),(20,3,2,23,38,NULL,11,NULL,10),(20,3,2,23,39,5,4,5,4),(20,3,2,23,40,7,6,6,4),(20,3,2,24,1,1,9,NULL,6),(20,3,2,24,2,2,1,1,1),(20,3,2,24,3,3,12,1,8),(20,3,2,24,4,5,3,4,1),(20,3,2,24,5,NULL,8,NULL,5),(20,3,2,24,6,7,6,5,3),(20,3,2,24,7,1,6,NULL,3),(20,3,2,24,8,6,NULL,5,NULL),(20,3,2,24,9,7,13,4,9),(20,3,2,24,10,1,7,1,4),(20,3,2,24,11,7,5,6,2),(20,3,2,24,12,NULL,4,NULL,3),(20,3,2,24,13,8,11,5,6),(20,3,2,24,14,9,15,6,8),(20,3,2,24,15,12,6,10,1),(20,3,2,24,16,8,8,6,4),(20,3,2,24,17,2,3,1,3),(20,3,2,24,18,1,13,NULL,10),(20,3,2,24,19,5,10,3,5),(20,3,2,24,20,8,6,3,2),(20,3,2,24,21,NULL,2,NULL,2),(20,3,2,24,22,4,2,2,1),(20,3,2,24,23,NULL,2,NULL,1),(20,3,2,24,24,NULL,1,NULL,NULL),(20,3,2,24,25,4,7,1,5),(20,3,2,24,26,2,3,2,3),(20,3,2,24,27,1,6,NULL,4),(20,3,2,24,28,2,6,2,4),(20,3,2,24,29,NULL,4,NULL,4),(20,3,2,24,30,2,5,1,4),(20,3,2,24,31,3,8,3,6),(20,3,2,24,32,5,10,2,4),(20,3,2,24,33,5,11,2,5),(20,3,2,24,34,2,5,2,2),(20,3,2,24,35,1,9,NULL,7),(20,3,2,24,36,4,6,4,3),(20,3,2,24,37,2,3,2,3),(20,3,2,24,38,2,7,1,5),(20,3,2,24,39,3,3,3,2),(20,3,2,24,40,9,4,5,3),(20,5,1,11,1,NULL,NULL,NULL,NULL),(20,5,1,11,2,NULL,NULL,NULL,NULL),(20,5,1,11,3,NULL,NULL,NULL,NULL),(20,5,1,11,4,NULL,NULL,NULL,NULL),(20,5,1,11,5,NULL,NULL,NULL,NULL),(20,5,1,11,6,NULL,NULL,NULL,NULL),(20,5,1,11,7,NULL,NULL,NULL,NULL),(20,5,1,11,8,NULL,NULL,NULL,NULL),(20,5,1,11,9,NULL,NULL,NULL,NULL),(20,5,1,11,10,NULL,NULL,NULL,NULL),(20,5,1,11,11,NULL,NULL,NULL,NULL),(20,5,1,11,12,NULL,NULL,NULL,NULL),(20,5,1,11,13,NULL,NULL,NULL,NULL),(20,5,1,11,14,NULL,NULL,NULL,NULL),(20,5,1,11,15,NULL,NULL,NULL,NULL),(20,5,1,11,16,NULL,NULL,NULL,NULL),(20,5,1,11,17,NULL,NULL,NULL,NULL),(20,5,1,11,18,NULL,NULL,NULL,NULL),(20,5,1,11,19,NULL,NULL,NULL,NULL),(20,5,1,11,20,NULL,NULL,NULL,NULL),(20,5,1,11,21,NULL,NULL,NULL,NULL),(20,5,1,11,22,NULL,NULL,NULL,NULL),(20,5,1,11,23,NULL,NULL,NULL,NULL),(20,5,1,11,24,NULL,NULL,NULL,NULL),(20,5,1,11,25,NULL,NULL,NULL,NULL),(20,5,1,11,26,NULL,NULL,NULL,NULL),(20,5,1,11,27,NULL,1,NULL,NULL),(20,5,1,11,28,NULL,NULL,NULL,NULL),(20,5,1,11,29,NULL,NULL,NULL,NULL),(20,5,1,11,30,NULL,NULL,NULL,NULL),(20,5,1,11,31,NULL,NULL,NULL,NULL),(20,5,1,11,32,NULL,NULL,NULL,NULL),(20,5,1,11,33,NULL,NULL,NULL,NULL),(20,5,1,11,34,NULL,NULL,NULL,NULL),(20,5,1,11,35,NULL,NULL,NULL,NULL),(20,5,1,11,36,NULL,NULL,NULL,NULL),(20,5,1,11,37,NULL,1,NULL,NULL),(20,5,1,11,38,NULL,NULL,NULL,NULL),(20,5,1,11,39,NULL,NULL,NULL,NULL),(20,5,1,11,40,NULL,1,NULL,NULL),(20,5,1,12,1,NULL,1,NULL,NULL),(20,5,1,12,2,1,2,NULL,NULL),(20,5,1,12,3,1,1,NULL,NULL),(20,5,1,12,4,2,1,NULL,NULL),(20,5,1,12,5,3,2,NULL,NULL),(20,5,1,12,6,2,2,NULL,NULL),(20,5,1,12,7,1,2,NULL,NULL),(20,5,1,12,8,2,NULL,NULL,NULL),(20,5,1,12,9,2,1,NULL,NULL),(20,5,1,12,10,NULL,1,NULL,NULL),(20,5,1,12,11,NULL,NULL,NULL,NULL),(20,5,1,12,12,1,2,NULL,NULL),(20,5,1,12,13,NULL,3,NULL,NULL),(20,5,1,12,14,3,2,NULL,NULL),(20,5,1,12,15,3,2,NULL,NULL),(20,5,1,12,16,3,NULL,NULL,NULL),(20,5,1,12,17,1,4,NULL,NULL),(20,5,1,12,18,3,2,NULL,NULL),(20,5,1,12,19,2,2,NULL,NULL),(20,5,1,12,20,1,3,NULL,NULL),(20,5,1,12,21,NULL,NULL,NULL,NULL),(20,5,1,12,22,NULL,4,NULL,NULL),(20,5,1,12,23,NULL,1,NULL,NULL),(20,5,1,12,24,2,2,NULL,NULL),(20,5,1,12,25,NULL,4,NULL,NULL),(20,5,1,12,26,NULL,NULL,NULL,NULL),(20,5,1,12,27,1,4,NULL,NULL),(20,5,1,12,28,NULL,1,NULL,NULL),(20,5,1,12,29,NULL,1,NULL,NULL),(20,5,1,12,30,NULL,3,NULL,NULL),(20,5,1,12,31,NULL,2,NULL,NULL),(20,5,1,12,32,NULL,2,NULL,NULL),(20,5,1,12,33,2,NULL,NULL,NULL),(20,5,1,12,34,NULL,1,NULL,NULL),(20,5,1,12,35,NULL,2,NULL,NULL),(20,5,1,12,36,1,2,NULL,NULL),(20,5,1,12,37,2,2,NULL,NULL),(20,5,1,12,38,NULL,NULL,NULL,NULL),(20,5,1,12,39,1,4,NULL,NULL),(20,5,1,12,40,1,NULL,NULL,NULL),(20,5,1,13,1,1,NULL,NULL,NULL),(20,5,1,13,2,NULL,1,NULL,NULL),(20,5,1,13,3,NULL,NULL,NULL,NULL),(20,5,1,13,4,1,1,NULL,NULL),(20,5,1,13,5,NULL,1,NULL,NULL),(20,5,1,13,6,1,1,NULL,NULL),(20,5,1,13,7,1,NULL,NULL,NULL),(20,5,1,13,8,NULL,NULL,NULL,NULL),(20,5,1,13,9,1,2,NULL,NULL),(20,5,1,13,10,NULL,NULL,NULL,NULL),(20,5,1,13,11,NULL,NULL,NULL,NULL),(20,5,1,13,12,NULL,NULL,NULL,NULL),(20,5,1,13,13,2,NULL,NULL,NULL),(20,5,1,13,14,NULL,NULL,NULL,NULL),(20,5,1,13,15,1,NULL,NULL,NULL),(20,5,1,13,16,2,2,NULL,NULL),(20,5,1,13,17,1,2,NULL,NULL),(20,5,1,13,18,NULL,1,NULL,NULL),(20,5,1,13,19,1,NULL,NULL,NULL),(20,5,1,13,20,1,NULL,NULL,NULL),(20,5,1,13,21,NULL,1,NULL,NULL),(20,5,1,13,22,NULL,NULL,NULL,NULL),(20,5,1,13,23,1,NULL,NULL,NULL),(20,5,1,13,24,1,NULL,NULL,NULL),(20,5,1,13,25,NULL,NULL,NULL,NULL),(20,5,1,13,26,NULL,NULL,NULL,NULL),(20,5,1,13,27,NULL,1,NULL,NULL),(20,5,1,13,28,NULL,NULL,NULL,NULL),(20,5,1,13,29,NULL,NULL,NULL,NULL),(20,5,1,13,30,NULL,1,NULL,NULL),(20,5,1,13,31,1,2,NULL,NULL),(20,5,1,13,32,1,NULL,NULL,NULL),(20,5,1,13,33,NULL,NULL,NULL,NULL),(20,5,1,13,34,NULL,NULL,NULL,NULL),(20,5,1,13,35,1,1,NULL,NULL),(20,5,1,13,36,NULL,1,NULL,NULL),(20,5,1,13,37,NULL,2,NULL,NULL),(20,5,1,13,38,NULL,NULL,NULL,NULL),(20,5,1,13,39,2,1,NULL,NULL),(20,5,1,13,40,NULL,1,NULL,NULL),(20,5,1,14,1,46,30,11,2),(20,5,1,14,2,48,16,9,3),(20,5,1,14,3,24,59,7,12),(20,5,1,14,4,24,70,2,10),(20,5,1,14,5,61,63,13,5),(20,5,1,14,6,109,73,17,11),(20,5,1,14,7,65,47,13,8),(20,5,1,14,8,89,17,19,2),(20,5,1,14,9,96,82,14,8),(20,5,1,14,10,44,21,14,1),(20,5,1,14,11,16,36,8,4),(20,5,1,14,12,45,40,12,5),(20,5,1,14,13,114,52,24,3),(20,5,1,14,14,126,50,24,3),(20,5,1,14,15,93,38,19,3),(20,5,1,14,16,142,32,19,7),(20,5,1,14,17,80,83,15,9),(20,5,1,14,18,121,30,25,3),(20,5,1,14,19,116,9,18,1),(20,5,1,14,20,130,46,17,8),(20,5,1,14,21,6,49,NULL,17),(20,5,1,14,22,21,76,2,21),(20,5,1,14,23,23,89,3,11),(20,5,1,14,24,24,82,6,19),(20,5,1,14,25,50,82,11,15),(20,5,1,14,26,39,NULL,15,NULL),(20,5,1,14,27,37,75,8,14),(20,5,1,14,28,11,36,6,10),(20,5,1,14,29,15,43,2,8),(20,5,1,14,30,23,46,5,10),(20,5,1,14,31,63,72,14,12),(20,5,1,14,32,72,32,16,9),(20,5,1,14,33,56,33,20,4),(20,5,1,14,34,18,39,5,9),(20,5,1,14,35,75,57,15,9),(20,5,1,14,36,99,51,19,8),(20,5,1,14,37,83,64,14,8),(20,5,1,14,38,9,48,1,9),(20,5,1,14,39,125,64,21,7),(20,5,1,14,40,83,15,23,1),(20,5,1,15,1,41,37,8,9),(20,5,1,15,2,34,31,11,8),(20,5,1,15,3,22,67,7,19),(20,5,1,15,4,31,60,4,16),(20,5,1,15,5,68,58,20,9),(20,5,1,15,6,103,70,20,12),(20,5,1,15,7,49,45,15,9),(20,5,1,15,8,94,21,28,5),(20,5,1,15,9,84,93,19,13),(20,5,1,15,10,47,20,23,4),(20,5,1,15,11,20,32,8,9),(20,5,1,15,12,54,38,18,12),(20,5,1,15,13,127,45,30,7),(20,5,1,15,14,127,57,30,6),(20,5,1,15,15,81,32,22,5),(20,5,1,15,16,118,36,29,6),(20,5,1,15,17,70,84,22,13),(20,5,1,15,18,119,36,30,5),(20,5,1,15,19,120,8,33,NULL),(20,5,1,15,20,128,49,28,8),(20,5,1,15,21,16,44,3,21),(20,5,1,15,22,11,74,6,25),(20,5,1,15,23,22,80,3,17),(20,5,1,15,24,31,52,8,20),(20,5,1,15,25,44,74,19,12),(20,5,1,15,26,42,NULL,20,NULL),(20,5,1,15,27,31,61,10,15),(20,5,1,15,28,14,41,8,21),(20,5,1,15,29,16,36,9,9),(20,5,1,15,30,19,54,6,18),(20,5,1,15,31,37,73,11,15),(20,5,1,15,32,61,37,21,10),(20,5,1,15,33,41,47,17,11),(20,5,1,15,34,14,45,6,16),(20,5,1,15,35,54,55,11,11),(20,5,1,15,36,80,56,28,5),(20,5,1,15,37,72,57,20,13),(20,5,1,15,38,10,38,4,12),(20,5,1,15,39,125,49,28,9),(20,5,1,15,40,78,17,26,3),(20,5,1,16,1,38,37,3,3),(20,5,1,16,2,19,11,4,NULL),(20,5,1,16,3,12,41,2,2),(20,5,1,16,4,10,49,2,3),(20,5,1,16,5,21,49,1,5),(20,5,1,16,6,58,67,3,5),(20,5,1,16,7,27,37,2,3),(20,5,1,16,8,70,17,8,1),(20,5,1,16,9,56,66,7,4),(20,5,1,16,10,25,20,2,5),(20,5,1,16,11,3,29,NULL,4),(20,5,1,16,12,18,41,4,3),(20,5,1,16,13,56,50,6,4),(20,5,1,16,14,13,21,1,3),(20,5,1,16,15,53,15,9,NULL),(20,5,1,16,16,11,51,1,5),(20,5,1,16,17,94,61,8,5),(20,5,1,16,18,6,55,NULL,7),(20,5,1,16,19,61,55,4,4),(20,5,1,16,20,6,45,NULL,2),(20,5,1,16,21,12,29,1,3),(20,5,1,16,22,14,40,1,7),(20,5,1,16,23,9,67,NULL,6),(20,5,1,16,24,17,38,1,9),(20,5,1,16,25,25,38,3,3),(20,5,1,16,26,12,NULL,2,NULL),(20,5,1,16,27,22,39,2,4),(20,5,1,16,28,9,24,1,4),(20,5,1,16,29,11,22,2,2),(20,5,1,16,30,10,32,NULL,4),(20,5,1,16,31,29,65,3,6),(20,5,1,16,32,32,26,7,3),(20,5,1,16,33,18,24,5,2),(20,5,1,16,34,7,24,1,4),(20,5,1,16,35,33,49,3,4),(20,5,1,16,36,37,62,6,5),(20,5,1,16,37,45,46,2,4),(20,5,1,16,38,8,25,1,4),(20,5,1,16,39,83,49,9,4),(20,5,1,16,40,41,16,7,1),(20,5,1,17,1,23,30,1,2),(20,5,1,17,2,14,12,3,1),(20,5,1,17,3,7,30,NULL,NULL),(20,5,1,17,4,16,37,1,2),(20,5,1,17,5,23,51,2,3),(20,5,1,17,6,44,52,1,3),(20,5,1,17,7,12,28,2,3),(20,5,1,17,8,61,21,3,3),(20,5,1,17,9,35,68,2,4),(20,5,1,17,10,21,18,2,1),(20,5,1,17,11,5,32,1,1),(20,5,1,17,12,18,24,1,2),(20,5,1,17,13,38,43,3,3),(20,5,1,17,14,8,10,1,2),(20,5,1,17,15,48,15,7,1),(20,5,1,17,16,4,42,1,2),(20,5,1,17,17,64,62,3,5),(20,5,1,17,18,9,37,NULL,3),(20,5,1,17,19,56,35,1,1),(20,5,1,17,20,8,37,NULL,3),(20,5,1,17,21,9,26,1,7),(20,5,1,17,22,9,31,NULL,6),(20,5,1,17,23,6,48,1,6),(20,5,1,17,24,11,39,1,5),(20,5,1,17,25,8,41,2,5),(20,5,1,17,26,14,NULL,3,NULL),(20,5,1,17,27,14,35,1,3),(20,5,1,17,28,4,18,NULL,5),(20,5,1,17,29,11,26,2,4),(20,5,1,17,30,6,28,NULL,4),(20,5,1,17,31,30,48,2,2),(20,5,1,17,32,33,26,2,6),(20,5,1,17,33,11,25,1,4),(20,5,1,17,34,9,28,1,NULL),(20,5,1,17,35,35,38,3,3),(20,5,1,17,36,31,47,3,3),(20,5,1,17,37,45,40,2,6),(20,5,1,17,38,5,15,1,NULL),(20,5,1,17,39,54,47,5,3),(20,5,1,17,40,32,17,5,1),(20,5,2,21,1,23,31,4,9),(20,5,2,21,2,4,23,NULL,8),(20,5,2,21,3,30,51,4,14),(20,5,2,21,4,15,26,4,3),(20,5,2,21,5,9,19,1,4),(20,5,2,21,6,44,50,8,11),(20,5,2,21,7,43,38,13,7),(20,5,2,21,8,29,NULL,5,NULL),(20,5,2,21,9,54,92,9,7),(20,5,2,21,10,4,50,NULL,14),(20,5,2,21,11,32,20,8,2),(20,5,2,21,12,16,25,6,6),(20,5,2,21,13,93,52,15,5),(20,5,2,21,14,92,73,21,3),(20,5,2,21,15,77,40,14,6),(20,5,2,21,16,64,40,10,7),(20,5,2,21,17,42,27,10,3),(20,5,2,21,18,12,51,3,9),(20,5,2,21,19,26,74,6,8),(20,5,2,21,20,45,51,9,9),(20,5,2,21,21,3,12,1,3),(20,5,2,21,22,9,33,1,7),(20,5,2,21,23,11,14,6,2),(20,5,2,21,24,4,16,2,4),(20,5,2,21,25,44,42,15,3),(20,5,2,21,26,20,16,7,5),(20,5,2,21,27,5,18,2,4),(20,5,2,21,28,38,28,7,8),(20,5,2,21,29,5,25,3,5),(20,5,2,21,30,17,15,4,1),(20,5,2,21,31,19,53,8,7),(20,5,2,21,32,18,56,6,10),(20,5,2,21,33,30,69,3,11),(20,5,2,21,34,28,38,8,5),(20,5,2,21,35,12,58,3,12),(20,5,2,21,36,26,29,10,4),(20,5,2,21,37,26,35,10,9),(20,5,2,21,38,14,33,5,9),(20,5,2,21,39,19,24,6,5),(20,5,2,21,40,27,29,10,1),(20,5,2,22,1,17,25,1,6),(20,5,2,22,2,6,19,1,1),(20,5,2,22,3,22,61,4,12),(20,5,2,22,4,24,23,5,3),(20,5,2,22,5,11,29,2,6),(20,5,2,22,6,52,61,13,7),(20,5,2,22,7,31,56,6,12),(20,5,2,22,8,45,NULL,12,NULL),(20,5,2,22,9,62,98,9,8),(20,5,2,22,10,4,54,2,10),(20,5,2,22,11,34,26,3,2),(20,5,2,22,12,16,30,3,5),(20,5,2,22,13,94,67,17,3),(20,5,2,22,14,96,81,14,8),(20,5,2,22,15,84,53,16,2),(20,5,2,22,16,69,36,14,6),(20,5,2,22,17,41,25,7,4),(20,5,2,22,18,6,59,3,13),(20,5,2,22,19,29,73,9,6),(20,5,2,22,20,52,58,10,8),(20,5,2,22,21,5,19,NULL,8),(20,5,2,22,22,11,40,1,6),(20,5,2,22,23,5,17,1,2),(20,5,2,22,24,5,18,3,7),(20,5,2,22,25,46,53,16,4),(20,5,2,22,26,15,30,2,7),(20,5,2,22,27,8,20,5,2),(20,5,2,22,28,47,31,9,6),(20,5,2,22,29,4,23,2,7),(20,5,2,22,30,19,9,7,2),(20,5,2,22,31,20,38,5,6),(20,5,2,22,32,19,56,6,8),(20,5,2,22,33,22,73,2,9),(20,5,2,22,34,22,42,6,10),(20,5,2,22,35,13,66,3,10),(20,5,2,22,36,28,34,7,3),(20,5,2,22,37,10,40,2,10),(20,5,2,22,38,13,38,5,11),(20,5,2,22,39,18,26,9,1),(20,5,2,22,40,27,43,8,4),(20,5,2,23,1,14,27,5,3),(20,5,2,23,2,5,10,2,1),(20,5,2,23,3,28,62,5,11),(20,5,2,23,4,14,16,3,NULL),(20,5,2,23,5,7,17,1,5),(20,5,2,23,6,52,49,9,6),(20,5,2,23,7,37,39,8,8),(20,5,2,23,8,30,NULL,7,NULL),(20,5,2,23,9,55,104,5,12),(20,5,2,23,10,9,44,NULL,6),(20,5,2,23,11,36,28,7,2),(20,5,2,23,12,11,41,6,4),(20,5,2,23,13,96,57,14,4),(20,5,2,23,14,117,60,15,5),(20,5,2,23,15,65,43,12,5),(20,5,2,23,16,73,34,8,6),(20,5,2,23,17,38,27,9,NULL),(20,5,2,23,18,9,52,1,7),(20,5,2,23,19,41,74,8,9),(20,5,2,23,20,62,68,8,7),(20,5,2,23,21,3,12,1,3),(20,5,2,23,22,14,39,2,3),(20,5,2,23,23,8,18,4,3),(20,5,2,23,24,4,14,2,3),(20,5,2,23,25,37,53,10,10),(20,5,2,23,26,10,20,3,3),(20,5,2,23,27,15,21,7,3),(20,5,2,23,28,45,22,8,3),(20,5,2,23,29,10,22,4,3),(20,5,2,23,30,18,16,5,3),(20,5,2,23,31,19,42,5,8),(20,5,2,23,32,34,42,8,7),(20,5,2,23,33,30,75,3,4),(20,5,2,23,34,24,37,5,8),(20,5,2,23,35,11,47,2,5),(20,5,2,23,36,21,38,9,3),(20,5,2,23,37,17,39,6,7),(20,5,2,23,38,13,28,5,8),(20,5,2,23,39,20,29,10,2),(20,5,2,23,40,38,30,7,3),(20,5,2,24,1,19,38,2,10),(20,5,2,24,2,7,17,3,3),(20,5,2,24,3,38,49,5,7),(20,5,2,24,4,21,24,7,2),(20,5,2,24,5,7,24,2,8),(20,5,2,24,6,54,51,9,10),(20,5,2,24,7,29,47,3,8),(20,5,2,24,8,33,NULL,9,NULL),(20,5,2,24,9,51,80,5,10),(20,5,2,24,10,4,53,1,12),(20,5,2,24,11,34,25,5,6),(20,5,2,24,12,13,27,3,8),(20,5,2,24,13,81,57,15,4),(20,5,2,24,14,70,80,12,8),(20,5,2,24,15,58,29,6,6),(20,5,2,24,16,71,44,8,10),(20,5,2,24,17,33,26,6,4),(20,5,2,24,18,9,59,1,16),(20,5,2,24,19,26,76,3,10),(20,5,2,24,20,47,56,9,10),(20,5,2,24,21,2,12,NULL,4),(20,5,2,24,22,14,36,2,8),(20,5,2,24,23,2,18,1,4),(20,5,2,24,24,4,14,2,6),(20,5,2,24,25,34,43,11,4),(20,5,2,24,26,15,22,5,3),(20,5,2,24,27,11,20,6,4),(20,5,2,24,28,41,34,9,5),(20,5,2,24,29,8,25,4,7),(20,5,2,24,30,14,13,5,1),(20,5,2,24,31,16,45,5,9),(20,5,2,24,32,18,55,4,9),(20,5,2,24,33,19,74,3,8),(20,5,2,24,34,23,36,5,8),(20,5,2,24,35,5,53,3,10),(20,5,2,24,36,19,36,7,3),(20,5,2,24,37,19,29,5,8),(20,5,2,24,38,4,40,NULL,13),(20,5,2,24,39,10,32,6,6),(20,5,2,24,40,38,33,11,3),(20,9,1,11,1,1,NULL,1,NULL),(20,9,1,11,2,1,NULL,1,NULL),(20,9,1,11,3,NULL,1,NULL,1),(20,9,1,11,4,NULL,1,NULL,1),(20,9,1,11,5,NULL,1,NULL,1),(20,9,1,11,6,NULL,1,NULL,1),(20,9,1,11,7,NULL,1,NULL,1),(20,9,1,11,8,1,NULL,1,NULL),(20,9,1,11,9,1,NULL,1,NULL),(20,9,1,11,10,NULL,1,NULL,1),(20,9,1,11,11,NULL,1,NULL,1),(20,9,1,11,12,NULL,1,NULL,1),(20,9,1,11,13,NULL,1,NULL,1),(20,9,1,11,14,NULL,NULL,NULL,NULL),(20,9,1,11,15,1,NULL,1,NULL),(20,9,1,11,16,NULL,1,NULL,1),(20,9,1,11,17,NULL,1,NULL,1),(20,9,1,11,18,1,NULL,1,NULL),(20,9,1,11,19,NULL,1,NULL,1),(20,9,1,11,20,NULL,NULL,NULL,NULL),(20,9,1,11,21,NULL,1,NULL,1),(20,9,1,11,22,NULL,1,NULL,1),(20,9,1,11,23,NULL,1,NULL,1),(20,9,1,11,24,NULL,1,NULL,1),(20,9,1,11,25,NULL,1,NULL,1),(20,9,1,11,26,NULL,NULL,NULL,NULL),(20,9,1,11,27,NULL,NULL,NULL,NULL),(20,9,1,11,28,NULL,NULL,NULL,NULL),(20,9,1,11,29,NULL,1,NULL,1),(20,9,1,11,30,NULL,NULL,NULL,NULL),(20,9,1,11,31,NULL,1,NULL,1),(20,9,1,11,32,NULL,1,NULL,1),(20,9,1,11,33,NULL,NULL,NULL,NULL),(20,9,1,11,34,NULL,NULL,NULL,NULL),(20,9,1,11,35,NULL,1,NULL,1),(20,9,1,11,36,1,NULL,1,NULL),(20,9,1,11,37,1,NULL,1,NULL),(20,9,1,11,38,NULL,1,NULL,1),(20,9,1,11,39,NULL,NULL,NULL,NULL),(20,9,1,11,40,NULL,NULL,NULL,NULL),(20,9,1,12,1,NULL,NULL,NULL,NULL),(20,9,1,12,2,NULL,NULL,NULL,NULL),(20,9,1,12,3,NULL,NULL,NULL,NULL),(20,9,1,12,4,NULL,NULL,NULL,NULL),(20,9,1,12,5,NULL,NULL,NULL,NULL),(20,9,1,12,6,NULL,NULL,NULL,NULL),(20,9,1,12,7,NULL,NULL,NULL,NULL),(20,9,1,12,8,NULL,NULL,NULL,NULL),(20,9,1,12,9,NULL,NULL,NULL,NULL),(20,9,1,12,10,NULL,NULL,NULL,NULL),(20,9,1,12,11,NULL,NULL,NULL,NULL),(20,9,1,12,12,NULL,NULL,NULL,NULL),(20,9,1,12,13,NULL,NULL,NULL,NULL),(20,9,1,12,14,NULL,NULL,NULL,NULL),(20,9,1,12,15,NULL,NULL,NULL,NULL),(20,9,1,12,16,NULL,NULL,NULL,NULL),(20,9,1,12,17,NULL,NULL,NULL,NULL),(20,9,1,12,18,NULL,NULL,NULL,NULL),(20,9,1,12,19,NULL,NULL,NULL,NULL),(20,9,1,12,20,NULL,NULL,NULL,NULL),(20,9,1,12,21,NULL,NULL,NULL,NULL),(20,9,1,12,22,NULL,NULL,NULL,NULL),(20,9,1,12,23,NULL,NULL,NULL,NULL),(20,9,1,12,24,NULL,NULL,NULL,NULL),(20,9,1,12,25,NULL,NULL,NULL,NULL),(20,9,1,12,26,NULL,NULL,NULL,NULL),(20,9,1,12,27,NULL,NULL,NULL,NULL),(20,9,1,12,28,NULL,NULL,NULL,NULL),(20,9,1,12,29,NULL,NULL,NULL,NULL),(20,9,1,12,30,NULL,NULL,NULL,NULL),(20,9,1,12,31,NULL,NULL,NULL,NULL),(20,9,1,12,32,NULL,NULL,NULL,NULL),(20,9,1,12,33,NULL,NULL,NULL,NULL),(20,9,1,12,34,NULL,NULL,NULL,NULL),(20,9,1,12,35,NULL,NULL,NULL,NULL),(20,9,1,12,36,NULL,NULL,NULL,NULL),(20,9,1,12,37,NULL,NULL,NULL,NULL),(20,9,1,12,38,NULL,NULL,NULL,NULL),(20,9,1,12,39,NULL,NULL,NULL,NULL),(20,9,1,12,40,NULL,NULL,NULL,NULL),(20,9,1,13,1,NULL,NULL,NULL,NULL),(20,9,1,13,2,NULL,NULL,NULL,NULL),(20,9,1,13,3,NULL,NULL,NULL,NULL),(20,9,1,13,4,NULL,1,NULL,NULL),(20,9,1,13,5,NULL,NULL,NULL,NULL),(20,9,1,13,6,1,NULL,NULL,NULL),(20,9,1,13,7,NULL,NULL,NULL,NULL),(20,9,1,13,8,1,NULL,NULL,NULL),(20,9,1,13,9,1,NULL,NULL,NULL),(20,9,1,13,10,NULL,NULL,NULL,NULL),(20,9,1,13,11,NULL,NULL,NULL,NULL),(20,9,1,13,12,NULL,NULL,NULL,NULL),(20,9,1,13,13,1,NULL,NULL,NULL),(20,9,1,13,14,NULL,1,NULL,NULL),(20,9,1,13,15,NULL,NULL,NULL,NULL),(20,9,1,13,16,1,NULL,NULL,NULL),(20,9,1,13,17,1,NULL,NULL,NULL),(20,9,1,13,18,NULL,NULL,NULL,NULL),(20,9,1,13,19,1,NULL,NULL,NULL),(20,9,1,13,20,NULL,NULL,NULL,NULL),(20,9,1,13,21,NULL,NULL,NULL,NULL),(20,9,1,13,22,NULL,NULL,NULL,NULL),(20,9,1,13,23,1,NULL,NULL,NULL),(20,9,1,13,24,NULL,NULL,NULL,NULL),(20,9,1,13,25,NULL,NULL,NULL,NULL),(20,9,1,13,26,NULL,NULL,NULL,NULL),(20,9,1,13,27,NULL,NULL,NULL,NULL),(20,9,1,13,28,NULL,NULL,NULL,NULL),(20,9,1,13,29,NULL,NULL,NULL,NULL),(20,9,1,13,30,NULL,NULL,NULL,NULL),(20,9,1,13,31,NULL,NULL,NULL,NULL),(20,9,1,13,32,NULL,NULL,NULL,NULL),(20,9,1,13,33,1,NULL,NULL,NULL),(20,9,1,13,34,NULL,NULL,NULL,NULL),(20,9,1,13,35,NULL,1,NULL,NULL),(20,9,1,13,36,NULL,NULL,NULL,NULL),(20,9,1,13,37,1,NULL,NULL,NULL),(20,9,1,13,38,NULL,NULL,NULL,NULL),(20,9,1,13,39,1,NULL,NULL,NULL),(20,9,1,13,40,NULL,NULL,NULL,NULL),(20,9,1,14,1,14,7,7,3),(20,9,1,14,2,2,13,1,5),(20,9,1,14,3,6,12,2,6),(20,9,1,14,4,3,10,1,2),(20,9,1,14,5,11,16,4,6),(20,9,1,14,6,21,17,7,6),(20,9,1,14,7,5,12,3,7),(20,9,1,14,8,22,11,8,5),(20,9,1,14,9,14,18,5,7),(20,9,1,14,10,12,6,9,1),(20,9,1,14,11,NULL,7,NULL,5),(20,9,1,14,12,8,14,2,6),(20,9,1,14,13,17,11,8,7),(20,9,1,14,14,15,17,7,7),(20,9,1,14,15,12,8,4,3),(20,9,1,14,16,25,12,11,3),(20,9,1,14,17,6,28,NULL,9),(20,9,1,14,18,15,8,7,5),(20,9,1,14,19,12,3,7,1),(20,9,1,14,20,22,13,10,6),(20,9,1,14,21,1,5,1,3),(20,9,1,14,22,4,9,2,4),(20,9,1,14,23,4,21,NULL,9),(20,9,1,14,24,4,9,1,8),(20,9,1,14,25,8,17,6,8),(20,9,1,14,26,4,NULL,2,NULL),(20,9,1,14,27,2,15,NULL,8),(20,9,1,14,28,1,6,NULL,4),(20,9,1,14,29,5,10,1,4),(20,9,1,14,30,6,11,1,5),(20,9,1,14,31,17,12,6,4),(20,9,1,14,32,9,10,5,3),(20,9,1,14,33,4,10,3,5),(20,9,1,14,34,9,9,3,3),(20,9,1,14,35,14,17,6,5),(20,9,1,14,36,17,10,7,4),(20,9,1,14,37,14,12,8,5),(20,9,1,14,38,1,7,1,4),(20,9,1,14,39,24,12,8,6),(20,9,1,14,40,18,6,12,1),(20,9,1,15,1,7,6,2,NULL),(20,9,1,15,2,5,5,2,1),(20,9,1,15,3,2,15,1,4),(20,9,1,15,4,2,11,NULL,4),(20,9,1,15,5,12,14,2,4),(20,9,1,15,6,15,14,3,4),(20,9,1,15,7,4,5,2,2),(20,9,1,15,8,20,8,7,NULL),(20,9,1,15,9,11,23,3,5),(20,9,1,15,10,6,10,2,4),(20,9,1,15,11,2,6,1,1),(20,9,1,15,12,8,10,3,2),(20,9,1,15,13,13,14,3,4),(20,9,1,15,14,14,12,3,2),(20,9,1,15,15,15,9,5,2),(20,9,1,15,16,21,10,5,3),(20,9,1,15,17,7,23,2,6),(20,9,1,15,18,11,11,3,1),(20,9,1,15,19,11,7,6,NULL),(20,9,1,15,20,15,12,3,4),(20,9,1,15,21,3,4,NULL,1),(20,9,1,15,22,5,4,2,1),(20,9,1,15,23,NULL,22,NULL,5),(20,9,1,15,24,4,6,4,1),(20,9,1,15,25,4,15,1,7),(20,9,1,15,26,4,NULL,3,NULL),(20,9,1,15,27,8,10,NULL,5),(20,9,1,15,28,4,5,NULL,2),(20,9,1,15,29,3,5,NULL,1),(20,9,1,15,30,3,8,2,2),(20,9,1,15,31,12,12,2,3),(20,9,1,15,32,8,8,2,1),(20,9,1,15,33,3,6,NULL,1),(20,9,1,15,34,NULL,5,NULL,1),(20,9,1,15,35,10,16,2,5),(20,9,1,15,36,11,13,3,3),(20,9,1,15,37,15,12,4,4),(20,9,1,15,38,1,10,NULL,4),(20,9,1,15,39,19,13,3,3),(20,9,1,15,40,8,8,4,2),(20,9,1,16,1,10,16,4,2),(20,9,1,16,2,6,3,2,NULL),(20,9,1,16,3,3,22,NULL,3),(20,9,1,16,4,14,15,NULL,2),(20,9,1,16,5,15,26,2,3),(20,9,1,16,6,18,28,2,3),(20,9,1,16,7,5,13,2,3),(20,9,1,16,8,33,5,5,NULL),(20,9,1,16,9,21,31,4,4),(20,9,1,16,10,9,5,3,NULL),(20,9,1,16,11,1,4,1,NULL),(20,9,1,16,12,4,9,3,1),(20,9,1,16,13,24,25,3,4),(20,9,1,16,14,11,12,2,1),(20,9,1,16,15,14,3,2,NULL),(20,9,1,16,16,5,22,NULL,2),(20,9,1,16,17,30,26,5,2),(20,9,1,16,18,2,20,1,3),(20,9,1,16,19,34,16,2,1),(20,9,1,16,20,NULL,22,NULL,4),(20,9,1,16,21,4,6,1,NULL),(20,9,1,16,22,2,3,1,NULL),(20,9,1,16,23,NULL,21,NULL,3),(20,9,1,16,24,6,7,2,1),(20,9,1,16,25,7,16,1,2),(20,9,1,16,26,4,NULL,1,NULL),(20,9,1,16,27,5,16,1,1),(20,9,1,16,28,2,7,NULL,NULL),(20,9,1,16,29,3,14,NULL,NULL),(20,9,1,16,30,1,7,1,NULL),(20,9,1,16,31,11,18,1,3),(20,9,1,16,32,9,10,4,NULL),(20,9,1,16,33,3,12,2,4),(20,9,1,16,34,6,8,2,4),(20,9,1,16,35,10,21,3,3),(20,9,1,16,36,13,22,4,3),(20,9,1,16,37,17,12,4,2),(20,9,1,16,38,7,10,2,3),(20,9,1,16,39,25,13,3,5),(20,9,1,16,40,7,11,3,1),(20,9,1,17,1,13,19,4,4),(20,9,1,17,2,6,5,2,2),(20,9,1,17,3,9,16,1,4),(20,9,1,17,4,13,19,2,1),(20,9,1,17,5,16,18,6,3),(20,9,1,17,6,22,27,5,6),(20,9,1,17,7,5,11,1,7),(20,9,1,17,8,31,12,8,2),(20,9,1,17,9,17,34,3,7),(20,9,1,17,10,9,12,2,7),(20,9,1,17,11,NULL,14,NULL,4),(20,9,1,17,12,10,11,2,6),(20,9,1,17,13,18,20,6,5),(20,9,1,17,14,5,9,NULL,2),(20,9,1,17,15,21,8,7,1),(20,9,1,17,16,5,25,1,5),(20,9,1,17,17,26,29,5,7),(20,9,1,17,18,3,18,NULL,7),(20,9,1,17,19,30,13,3,1),(20,9,1,17,20,5,24,1,6),(20,9,1,17,21,1,6,NULL,2),(20,9,1,17,22,2,9,1,4),(20,9,1,17,23,2,26,NULL,8),(20,9,1,17,24,3,6,NULL,4),(20,9,1,17,25,4,21,1,8),(20,9,1,17,26,3,NULL,NULL,NULL),(20,9,1,17,27,10,11,2,2),(20,9,1,17,28,1,12,NULL,7),(20,9,1,17,29,10,11,3,2),(20,9,1,17,30,NULL,9,NULL,4),(20,9,1,17,31,14,25,1,7),(20,9,1,17,32,12,4,4,1),(20,9,1,17,33,4,15,1,5),(20,9,1,17,34,4,14,1,1),(20,9,1,17,35,17,18,4,4),(20,9,1,17,36,14,13,5,1),(20,9,1,17,37,21,15,3,6),(20,9,1,17,38,5,13,2,4),(20,9,1,17,39,18,18,6,4),(20,9,1,17,40,10,7,5,3),(20,9,2,21,1,3,7,1,2),(20,9,2,21,2,1,5,NULL,2),(20,9,2,21,3,11,17,3,6),(20,9,2,21,4,6,9,3,3),(20,9,2,21,5,5,2,1,2),(20,9,2,21,6,12,13,3,5),(20,9,2,21,7,5,8,2,2),(20,9,2,21,8,6,NULL,3,NULL),(20,9,2,21,9,8,34,2,4),(20,9,2,21,10,1,10,NULL,5),(20,9,2,21,11,6,10,1,4),(20,9,2,21,12,4,12,1,5),(20,9,2,21,13,26,15,12,NULL),(20,9,2,21,14,36,20,9,5),(20,9,2,21,15,15,22,2,8),(20,9,2,21,16,24,7,4,4),(20,9,2,21,17,9,5,1,2),(20,9,2,21,18,3,10,NULL,4),(20,9,2,21,19,12,23,3,6),(20,9,2,21,20,8,12,1,5),(20,9,2,21,21,NULL,4,NULL,2),(20,9,2,21,22,3,14,NULL,6),(20,9,2,21,23,2,2,NULL,NULL),(20,9,2,21,24,NULL,NULL,NULL,NULL),(20,9,2,21,25,5,13,2,2),(20,9,2,21,26,2,6,1,5),(20,9,2,21,27,1,5,NULL,3),(20,9,2,21,28,9,9,3,3),(20,9,2,21,29,1,2,1,1),(20,9,2,21,30,4,3,1,NULL),(20,9,2,21,31,1,8,NULL,1),(20,9,2,21,32,7,20,2,4),(20,9,2,21,33,12,12,2,2),(20,9,2,21,34,2,14,1,3),(20,9,2,21,35,NULL,19,NULL,6),(20,9,2,21,36,6,12,3,3),(20,9,2,21,37,4,10,2,3),(20,9,2,21,38,4,12,1,6),(20,9,2,21,39,9,6,5,1),(20,9,2,21,40,6,8,4,4),(20,9,2,22,1,6,15,2,5),(20,9,2,22,2,2,10,NULL,2),(20,9,2,22,3,9,19,2,5),(20,9,2,22,4,5,9,2,3),(20,9,2,22,5,1,7,NULL,2),(20,9,2,22,6,4,13,2,6),(20,9,2,22,7,10,13,6,2),(20,9,2,22,8,6,NULL,4,NULL),(20,9,2,22,9,14,34,2,8),(20,9,2,22,10,NULL,23,NULL,5),(20,9,2,22,11,13,12,4,2),(20,9,2,22,12,NULL,12,NULL,2),(20,9,2,22,13,25,29,7,5),(20,9,2,22,14,30,33,9,4),(20,9,2,22,15,13,15,3,4),(20,9,2,22,16,25,13,4,4),(20,9,2,22,17,4,18,3,7),(20,9,2,22,18,1,14,NULL,8),(20,9,2,22,19,9,22,3,2),(20,9,2,22,20,9,13,5,6),(20,9,2,22,21,1,5,1,1),(20,9,2,22,22,1,14,NULL,4),(20,9,2,22,23,NULL,2,NULL,1),(20,9,2,22,24,1,6,NULL,4),(20,9,2,22,25,6,15,2,5),(20,9,2,22,26,2,7,1,1),(20,9,2,22,27,NULL,5,NULL,3),(20,9,2,22,28,10,8,5,1),(20,9,2,22,29,2,6,2,2),(20,9,2,22,30,6,3,3,NULL),(20,9,2,22,31,1,17,NULL,6),(20,9,2,22,32,5,10,3,2),(20,9,2,22,33,7,31,1,8),(20,9,2,22,34,6,23,2,7),(20,9,2,22,35,2,22,1,7),(20,9,2,22,36,5,16,2,3),(20,9,2,22,37,1,11,1,1),(20,9,2,22,38,2,9,NULL,6),(20,9,2,22,39,3,10,3,5),(20,9,2,22,40,11,7,4,1),(20,9,2,23,1,4,8,2,2),(20,9,2,23,2,1,8,NULL,3),(20,9,2,23,3,7,19,1,NULL),(20,9,2,23,4,2,10,1,3),(20,9,2,23,5,1,8,NULL,3),(20,9,2,23,6,2,12,NULL,5),(20,9,2,23,7,4,8,1,1),(20,9,2,23,8,3,NULL,2,NULL),(20,9,2,23,9,6,24,1,3),(20,9,2,23,10,NULL,10,NULL,4),(20,9,2,23,11,5,9,2,2),(20,9,2,23,12,3,8,1,3),(20,9,2,23,13,15,18,4,2),(20,9,2,23,14,21,27,4,4),(20,9,2,23,15,13,15,1,2),(20,9,2,23,16,15,11,NULL,3),(20,9,2,23,17,9,9,2,1),(20,9,2,23,18,3,8,NULL,2),(20,9,2,23,19,9,13,1,1),(20,9,2,23,20,7,10,NULL,3),(20,9,2,23,21,NULL,1,NULL,1),(20,9,2,23,22,5,19,NULL,4),(20,9,2,23,23,NULL,3,NULL,1),(20,9,2,23,24,2,1,NULL,1),(20,9,2,23,25,4,6,2,NULL),(20,9,2,23,26,NULL,8,NULL,3),(20,9,2,23,27,NULL,3,NULL,NULL),(20,9,2,23,28,5,13,NULL,2),(20,9,2,23,29,NULL,9,NULL,3),(20,9,2,23,30,3,7,1,1),(20,9,2,23,31,3,10,1,3),(20,9,2,23,32,2,17,NULL,4),(20,9,2,23,33,4,20,1,3),(20,9,2,23,34,3,7,3,3),(20,9,2,23,35,2,14,1,4),(20,9,2,23,36,3,13,3,2),(20,9,2,23,37,2,10,1,2),(20,9,2,23,38,NULL,9,NULL,3),(20,9,2,23,39,1,10,NULL,3),(20,9,2,23,40,4,13,2,2),(20,9,2,24,1,8,9,1,2),(20,9,2,24,2,1,11,NULL,4),(20,9,2,24,3,13,17,2,5),(20,9,2,24,4,6,10,3,1),(20,9,2,24,5,2,7,2,1),(20,9,2,24,6,15,14,3,3),(20,9,2,24,7,6,10,NULL,2),(20,9,2,24,8,8,NULL,3,NULL),(20,9,2,24,9,18,22,3,1),(20,9,2,24,10,2,16,1,2),(20,9,2,24,11,9,5,1,1),(20,9,2,24,12,1,8,NULL,3),(20,9,2,24,13,17,23,5,2),(20,9,2,24,14,19,31,2,5),(20,9,2,24,15,12,14,2,3),(20,9,2,24,16,17,14,3,3),(20,9,2,24,17,7,6,3,2),(20,9,2,24,18,4,15,2,2),(20,9,2,24,19,7,22,NULL,3),(20,9,2,24,20,6,17,1,4),(20,9,2,24,21,2,3,NULL,1),(20,9,2,24,22,6,17,NULL,2),(20,9,2,24,23,NULL,4,NULL,2),(20,9,2,24,24,1,1,NULL,NULL),(20,9,2,24,25,6,15,NULL,3),(20,9,2,24,26,4,9,NULL,1),(20,9,2,24,27,3,4,1,NULL),(20,9,2,24,28,9,7,2,1),(20,9,2,24,29,1,6,NULL,2),(20,9,2,24,30,4,4,NULL,NULL),(20,9,2,24,31,3,5,2,2),(20,9,2,24,32,3,17,1,1),(20,9,2,24,33,10,22,NULL,3),(20,9,2,24,34,7,12,2,2),(20,9,2,24,35,1,18,1,2),(20,9,2,24,36,5,10,1,1),(20,9,2,24,37,4,7,1,1),(20,9,2,24,38,1,9,1,2),(20,9,2,24,39,1,12,NULL,3),(20,9,2,24,40,8,12,3,3),(20,101,1,11,1,NULL,NULL,NULL,NULL),(20,101,1,11,2,NULL,NULL,NULL,NULL),(20,101,1,11,3,NULL,NULL,NULL,NULL),(20,101,1,11,4,NULL,NULL,NULL,NULL),(20,101,1,11,5,NULL,NULL,NULL,NULL),(20,101,1,11,6,NULL,NULL,NULL,NULL),(20,101,1,11,7,NULL,NULL,NULL,NULL),(20,101,1,11,8,NULL,NULL,NULL,NULL),(20,101,1,11,9,NULL,NULL,NULL,NULL),(20,101,1,11,10,NULL,NULL,NULL,NULL),(20,101,1,11,11,NULL,NULL,NULL,NULL),(20,101,1,11,12,NULL,NULL,NULL,NULL),(20,101,1,11,13,NULL,NULL,NULL,NULL),(20,101,1,11,14,NULL,NULL,NULL,NULL),(20,101,1,11,15,NULL,NULL,NULL,NULL),(20,101,1,11,16,NULL,NULL,NULL,NULL),(20,101,1,11,17,NULL,NULL,NULL,NULL),(20,101,1,11,18,NULL,NULL,NULL,NULL),(20,101,1,11,19,NULL,NULL,NULL,NULL),(20,101,1,11,20,NULL,NULL,NULL,NULL),(20,101,1,11,21,NULL,NULL,NULL,NULL),(20,101,1,11,22,NULL,NULL,NULL,NULL),(20,101,1,11,23,NULL,NULL,NULL,NULL),(20,101,1,11,24,NULL,NULL,NULL,NULL),(20,101,1,11,25,NULL,NULL,NULL,NULL),(20,101,1,11,26,NULL,NULL,NULL,NULL),(20,101,1,11,27,NULL,NULL,NULL,NULL),(20,101,1,11,28,NULL,NULL,NULL,NULL),(20,101,1,11,29,NULL,NULL,NULL,NULL),(20,101,1,11,30,NULL,NULL,NULL,NULL),(20,101,1,11,31,NULL,NULL,NULL,NULL),(20,101,1,11,32,NULL,NULL,NULL,NULL),(20,101,1,11,33,NULL,NULL,NULL,NULL),(20,101,1,11,34,NULL,NULL,NULL,NULL),(20,101,1,11,35,NULL,NULL,NULL,NULL),(20,101,1,11,36,NULL,NULL,NULL,NULL),(20,101,1,11,37,NULL,NULL,NULL,NULL),(20,101,1,11,38,NULL,NULL,NULL,NULL),(20,101,1,11,39,NULL,NULL,NULL,NULL),(20,101,1,11,40,NULL,NULL,NULL,NULL),(20,101,1,12,1,NULL,NULL,NULL,NULL),(20,101,1,12,2,NULL,1,NULL,NULL),(20,101,1,12,3,NULL,NULL,NULL,NULL),(20,101,1,12,4,1,NULL,NULL,NULL),(20,101,1,12,5,NULL,NULL,NULL,NULL),(20,101,1,12,6,NULL,1,NULL,NULL),(20,101,1,12,7,NULL,1,NULL,NULL),(20,101,1,12,8,1,NULL,NULL,NULL),(20,101,1,12,9,NULL,1,NULL,NULL),(20,101,1,12,10,NULL,NULL,NULL,NULL),(20,101,1,12,11,NULL,NULL,NULL,NULL),(20,101,1,12,12,NULL,NULL,NULL,NULL),(20,101,1,12,13,NULL,1,NULL,NULL),(20,101,1,12,14,1,NULL,NULL,NULL),(20,101,1,12,15,1,NULL,NULL,NULL),(20,101,1,12,16,NULL,NULL,NULL,NULL),(20,101,1,12,17,1,NULL,NULL,NULL),(20,101,1,12,18,1,NULL,NULL,NULL),(20,101,1,12,19,1,NULL,NULL,NULL),(20,101,1,12,20,NULL,1,NULL,NULL),(20,101,1,12,21,NULL,NULL,NULL,NULL),(20,101,1,12,22,NULL,NULL,NULL,NULL),(20,101,1,12,23,NULL,1,NULL,NULL),(20,101,1,12,24,NULL,NULL,NULL,NULL),(20,101,1,12,25,NULL,NULL,NULL,NULL),(20,101,1,12,26,NULL,NULL,NULL,NULL),(20,101,1,12,27,NULL,NULL,NULL,NULL),(20,101,1,12,28,NULL,NULL,NULL,NULL),(20,101,1,12,29,NULL,NULL,NULL,NULL),(20,101,1,12,30,NULL,NULL,NULL,NULL),(20,101,1,12,31,NULL,NULL,NULL,NULL),(20,101,1,12,32,NULL,NULL,NULL,NULL),(20,101,1,12,33,NULL,NULL,NULL,NULL),(20,101,1,12,34,NULL,NULL,NULL,NULL),(20,101,1,12,35,NULL,NULL,NULL,NULL),(20,101,1,12,36,NULL,NULL,NULL,NULL),(20,101,1,12,37,NULL,1,NULL,NULL),(20,101,1,12,38,NULL,NULL,NULL,NULL),(20,101,1,12,39,NULL,NULL,NULL,NULL),(20,101,1,12,40,NULL,1,NULL,NULL),(20,101,1,13,1,NULL,NULL,NULL,NULL),(20,101,1,13,2,NULL,NULL,NULL,NULL),(20,101,1,13,3,NULL,NULL,NULL,NULL),(20,101,1,13,4,NULL,NULL,NULL,NULL),(20,101,1,13,5,NULL,NULL,NULL,NULL),(20,101,1,13,6,NULL,NULL,NULL,NULL),(20,101,1,13,7,NULL,NULL,NULL,NULL),(20,101,1,13,8,NULL,NULL,NULL,NULL),(20,101,1,13,9,NULL,NULL,NULL,NULL),(20,101,1,13,10,NULL,NULL,NULL,NULL),(20,101,1,13,11,NULL,NULL,NULL,NULL),(20,101,1,13,12,NULL,NULL,NULL,NULL),(20,101,1,13,13,NULL,NULL,NULL,NULL),(20,101,1,13,14,NULL,NULL,NULL,NULL),(20,101,1,13,15,NULL,NULL,NULL,NULL),(20,101,1,13,16,NULL,NULL,NULL,NULL),(20,101,1,13,17,NULL,NULL,NULL,NULL),(20,101,1,13,18,NULL,NULL,NULL,NULL),(20,101,1,13,19,NULL,NULL,NULL,NULL),(20,101,1,13,20,NULL,NULL,NULL,NULL),(20,101,1,13,21,NULL,NULL,NULL,NULL),(20,101,1,13,22,NULL,NULL,NULL,NULL),(20,101,1,13,23,NULL,NULL,NULL,NULL),(20,101,1,13,24,NULL,NULL,NULL,NULL),(20,101,1,13,25,NULL,NULL,NULL,NULL),(20,101,1,13,26,NULL,NULL,NULL,NULL),(20,101,1,13,27,NULL,NULL,NULL,NULL),(20,101,1,13,28,NULL,NULL,NULL,NULL),(20,101,1,13,29,NULL,NULL,NULL,NULL),(20,101,1,13,30,NULL,NULL,NULL,NULL),(20,101,1,13,31,NULL,NULL,NULL,NULL),(20,101,1,13,32,NULL,NULL,NULL,NULL),(20,101,1,13,33,NULL,NULL,NULL,NULL),(20,101,1,13,34,NULL,NULL,NULL,NULL),(20,101,1,13,35,NULL,NULL,NULL,NULL),(20,101,1,13,36,NULL,NULL,NULL,NULL),(20,101,1,13,37,NULL,NULL,NULL,NULL),(20,101,1,13,38,NULL,NULL,NULL,NULL),(20,101,1,13,39,NULL,NULL,NULL,NULL),(20,101,1,13,40,NULL,NULL,NULL,NULL),(20,101,1,14,1,7,5,4,2),(20,101,1,14,2,3,4,3,3),(20,101,1,14,3,2,8,1,6),(20,101,1,14,4,3,12,1,3),(20,101,1,14,5,10,12,5,6),(20,101,1,14,6,15,11,5,6),(20,101,1,14,7,1,11,1,7),(20,101,1,14,8,12,3,8,2),(20,101,1,14,9,9,13,3,6),(20,101,1,14,10,10,6,6,5),(20,101,1,14,11,1,3,NULL,2),(20,101,1,14,12,6,6,5,3),(20,101,1,14,13,11,12,6,5),(20,101,1,14,14,13,10,10,4),(20,101,1,14,15,12,2,9,NULL),(20,101,1,14,16,11,5,8,3),(20,101,1,14,17,6,13,5,5),(20,101,1,14,18,14,7,9,4),(20,101,1,14,19,12,4,9,2),(20,101,1,14,20,14,13,9,6),(20,101,1,14,21,2,2,1,1),(20,101,1,14,22,NULL,8,NULL,6),(20,101,1,14,23,1,9,NULL,5),(20,101,1,14,24,3,9,1,7),(20,101,1,14,25,4,6,3,4),(20,101,1,14,26,3,NULL,NULL,NULL),(20,101,1,14,27,5,9,2,6),(20,101,1,14,28,1,2,1,2),(20,101,1,14,29,2,7,NULL,5),(20,101,1,14,30,2,5,NULL,4),(20,101,1,14,31,10,13,3,8),(20,101,1,14,32,8,5,5,4),(20,101,1,14,33,3,5,3,3),(20,101,1,14,34,3,6,2,3),(20,101,1,14,35,11,8,4,4),(20,101,1,14,36,9,12,2,8),(20,101,1,14,37,9,6,4,5),(20,101,1,14,38,1,5,NULL,3),(20,101,1,14,39,13,11,8,8),(20,101,1,14,40,4,2,3,NULL),(20,101,1,15,1,4,7,2,2),(20,101,1,15,2,2,2,1,1),(20,101,1,15,3,4,11,2,2),(20,101,1,15,4,4,12,1,4),(20,101,1,15,5,8,10,1,4),(20,101,1,15,6,18,11,7,2),(20,101,1,15,7,4,4,1,3),(20,101,1,15,8,19,5,7,2),(20,101,1,15,9,6,19,2,5),(20,101,1,15,10,3,11,1,6),(20,101,1,15,11,1,8,NULL,5),(20,101,1,15,12,4,4,2,1),(20,101,1,15,13,17,14,6,6),(20,101,1,15,14,15,10,8,1),(20,101,1,15,15,8,6,6,2),(20,101,1,15,16,16,8,5,3),(20,101,1,15,17,5,15,4,2),(20,101,1,15,18,12,14,6,6),(20,101,1,15,19,14,2,5,2),(20,101,1,15,20,12,7,4,5),(20,101,1,15,21,1,8,NULL,4),(20,101,1,15,22,3,5,1,3),(20,101,1,15,23,6,18,1,8),(20,101,1,15,24,3,11,1,4),(20,101,1,15,25,4,11,2,5),(20,101,1,15,26,3,NULL,3,NULL),(20,101,1,15,27,6,6,4,3),(20,101,1,15,28,4,7,3,3),(20,101,1,15,29,3,6,NULL,3),(20,101,1,15,30,2,4,NULL,2),(20,101,1,15,31,4,10,1,1),(20,101,1,15,32,8,6,2,3),(20,101,1,15,33,4,8,3,1),(20,101,1,15,34,4,4,1,2),(20,101,1,15,35,15,8,5,2),(20,101,1,15,36,9,14,3,5),(20,101,1,15,37,10,14,4,5),(20,101,1,15,38,2,6,1,2),(20,101,1,15,39,9,11,4,4),(20,101,1,15,40,7,5,4,2),(20,101,1,16,1,11,24,4,10),(20,101,1,16,2,1,7,NULL,3),(20,101,1,16,3,6,19,1,10),(20,101,1,16,4,15,19,NULL,8),(20,101,1,16,5,19,28,5,9),(20,101,1,16,6,20,42,5,12),(20,101,1,16,7,7,12,4,4),(20,101,1,16,8,41,13,16,4),(20,101,1,16,9,11,42,3,15),(20,101,1,16,10,17,18,9,8),(20,101,1,16,11,NULL,12,NULL,6),(20,101,1,16,12,9,22,3,6),(20,101,1,16,13,20,27,6,10),(20,101,1,16,14,6,7,2,1),(20,101,1,16,15,24,8,10,6),(20,101,1,16,16,1,26,NULL,5),(20,101,1,16,17,40,41,11,15),(20,101,1,16,18,3,15,1,6),(20,101,1,16,19,28,24,5,9),(20,101,1,16,20,1,18,NULL,3),(20,101,1,16,21,6,17,NULL,5),(20,101,1,16,22,1,14,NULL,9),(20,101,1,16,23,3,40,NULL,18),(20,101,1,16,24,4,12,1,5),(20,101,1,16,25,6,20,5,9),(20,101,1,16,26,5,NULL,4,NULL),(20,101,1,16,27,8,18,2,9),(20,101,1,16,28,NULL,9,NULL,5),(20,101,1,16,29,4,18,1,7),(20,101,1,16,30,7,15,1,7),(20,101,1,16,31,11,25,4,10),(20,101,1,16,32,7,16,3,6),(20,101,1,16,33,5,16,4,6),(20,101,1,16,34,5,5,1,3),(20,101,1,16,35,15,34,4,12),(20,101,1,16,36,16,27,7,11),(20,101,1,16,37,19,21,8,9),(20,101,1,16,38,3,11,NULL,5),(20,101,1,16,39,34,32,14,11),(20,101,1,16,40,13,7,9,2),(20,101,1,17,1,12,14,5,5),(20,101,1,17,2,6,9,1,3),(20,101,1,17,3,5,17,3,5),(20,101,1,17,4,5,25,NULL,7),(20,101,1,17,5,14,22,4,6),(20,101,1,17,6,28,26,8,5),(20,101,1,17,7,5,11,4,2),(20,101,1,17,8,35,19,10,6),(20,101,1,17,9,23,36,4,13),(20,101,1,17,10,9,18,5,6),(20,101,1,17,11,3,18,1,7),(20,101,1,17,12,11,14,4,4),(20,101,1,17,13,18,34,5,10),(20,101,1,17,14,4,11,NULL,1),(20,101,1,17,15,29,7,9,1),(20,101,1,17,16,1,21,NULL,6),(20,101,1,17,17,26,46,4,13),(20,101,1,17,18,2,20,2,7),(20,101,1,17,19,36,21,9,2),(20,101,1,17,20,4,16,1,5),(20,101,1,17,21,2,12,NULL,NULL),(20,101,1,17,22,4,18,1,10),(20,101,1,17,23,6,34,1,6),(20,101,1,17,24,6,14,NULL,5),(20,101,1,17,25,4,19,1,6),(20,101,1,17,26,7,NULL,2,NULL),(20,101,1,17,27,5,17,1,3),(20,101,1,17,28,2,8,1,1),(20,101,1,17,29,4,16,1,4),(20,101,1,17,30,2,15,1,5),(20,101,1,17,31,12,24,4,4),(20,101,1,17,32,9,16,2,2),(20,101,1,17,33,6,15,3,5),(20,101,1,17,34,4,9,1,1),(20,101,1,17,35,17,25,5,5),(20,101,1,17,36,17,27,7,6),(20,101,1,17,37,28,21,9,6),(20,101,1,17,38,NULL,8,NULL,1),(20,101,1,17,39,26,34,7,7),(20,101,1,17,40,13,12,7,2),(20,101,2,21,1,6,21,3,6),(20,101,2,21,2,NULL,7,NULL,2),(20,101,2,21,3,8,13,2,4),(20,101,2,21,4,7,12,1,5),(20,101,2,21,5,3,7,NULL,1),(20,101,2,21,6,9,12,6,5),(20,101,2,21,7,7,13,4,6),(20,101,2,21,8,6,NULL,4,NULL),(20,101,2,21,9,11,22,1,10),(20,101,2,21,10,6,17,1,7),(20,101,2,21,11,3,17,2,7),(20,101,2,21,12,NULL,13,NULL,5),(20,101,2,21,13,26,22,10,6),(20,101,2,21,14,22,33,5,11),(20,101,2,21,15,20,20,7,7),(20,101,2,21,16,15,22,6,4),(20,101,2,21,17,7,15,1,4),(20,101,2,21,18,1,17,NULL,8),(20,101,2,21,19,6,30,2,11),(20,101,2,21,20,7,17,NULL,5),(20,101,2,21,21,NULL,1,NULL,NULL),(20,101,2,21,22,1,17,NULL,6),(20,101,2,21,23,NULL,4,NULL,2),(20,101,2,21,24,NULL,8,NULL,3),(20,101,2,21,25,5,16,3,6),(20,101,2,21,26,NULL,11,NULL,4),(20,101,2,21,27,NULL,2,NULL,1),(20,101,2,21,28,10,15,3,4),(20,101,2,21,29,2,6,1,3),(20,101,2,21,30,4,8,1,3),(20,101,2,21,31,2,17,1,3),(20,101,2,21,32,3,15,2,6),(20,101,2,21,33,8,21,2,8),(20,101,2,21,34,6,15,2,6),(20,101,2,21,35,NULL,18,NULL,9),(20,101,2,21,36,8,17,4,2),(20,101,2,21,37,NULL,12,NULL,8),(20,101,2,21,38,1,10,NULL,3),(20,101,2,21,39,1,3,NULL,2),(20,101,2,21,40,11,12,7,3),(20,101,2,22,1,7,11,3,9),(20,101,2,22,2,1,5,NULL,4),(20,101,2,22,3,9,26,1,11),(20,101,2,22,4,6,11,4,5),(20,101,2,22,5,1,7,1,3),(20,101,2,22,6,13,15,9,10),(20,101,2,22,7,3,12,1,6),(20,101,2,22,8,8,NULL,5,NULL),(20,101,2,22,9,19,31,6,12),(20,101,2,22,10,NULL,19,NULL,11),(20,101,2,22,11,10,11,2,7),(20,101,2,22,12,2,9,NULL,5),(20,101,2,22,13,22,27,10,12),(20,101,2,22,14,36,29,14,10),(20,101,2,22,15,24,22,11,8),(20,101,2,22,16,21,18,8,10),(20,101,2,22,17,10,9,6,6),(20,101,2,22,18,3,15,1,8),(20,101,2,22,19,6,21,2,9),(20,101,2,22,20,8,22,2,13),(20,101,2,22,21,NULL,3,NULL,1),(20,101,2,22,22,5,17,3,9),(20,101,2,22,23,1,7,NULL,5),(20,101,2,22,24,2,4,NULL,4),(20,101,2,22,25,5,22,1,6),(20,101,2,22,26,4,9,3,5),(20,101,2,22,27,2,5,NULL,3),(20,101,2,22,28,11,10,6,5),(20,101,2,22,29,1,6,NULL,2),(20,101,2,22,30,2,9,2,4),(20,101,2,22,31,6,11,4,5),(20,101,2,22,32,2,20,NULL,9),(20,101,2,22,33,9,24,3,9),(20,101,2,22,34,14,19,4,10),(20,101,2,22,35,1,19,1,5),(20,101,2,22,36,7,19,5,5),(20,101,2,22,37,3,8,1,3),(20,101,2,22,38,4,10,2,7),(20,101,2,22,39,4,5,2,3),(20,101,2,22,40,7,13,4,8),(20,101,2,23,1,6,11,NULL,2),(20,101,2,23,2,3,7,2,NULL),(20,101,2,23,3,5,15,1,3),(20,101,2,23,4,3,9,NULL,1),(20,101,2,23,5,2,6,NULL,NULL),(20,101,2,23,6,9,9,3,5),(20,101,2,23,7,5,10,1,3),(20,101,2,23,8,1,NULL,1,NULL),(20,101,2,23,9,8,33,2,7),(20,101,2,23,10,3,13,1,4),(20,101,2,23,11,5,8,2,3),(20,101,2,23,12,NULL,5,NULL,NULL),(20,101,2,23,13,11,26,1,7),(20,101,2,23,14,23,29,4,7),(20,101,2,23,15,10,15,1,3),(20,101,2,23,16,18,13,4,3),(20,101,2,23,17,4,10,1,2),(20,101,2,23,18,3,9,1,2),(20,101,2,23,19,3,24,1,4),(20,101,2,23,20,5,12,3,2),(20,101,2,23,21,3,6,NULL,1),(20,101,2,23,22,6,10,NULL,3),(20,101,2,23,23,NULL,2,NULL,1),(20,101,2,23,24,1,2,NULL,NULL),(20,101,2,23,25,4,10,NULL,3),(20,101,2,23,26,3,9,NULL,5),(20,101,2,23,27,1,3,NULL,NULL),(20,101,2,23,28,7,12,2,4),(20,101,2,23,29,1,7,NULL,1),(20,101,2,23,30,2,7,2,1),(20,101,2,23,31,2,9,1,3),(20,101,2,23,32,NULL,14,NULL,3),(20,101,2,23,33,6,33,2,6),(20,101,2,23,34,4,8,3,1),(20,101,2,23,35,1,13,NULL,5),(20,101,2,23,36,3,17,NULL,2),(20,101,2,23,37,3,8,NULL,3),(20,101,2,23,38,NULL,5,NULL,2),(20,101,2,23,39,2,4,1,2),(20,101,2,23,40,6,18,2,4),(20,101,2,24,1,5,12,1,3),(20,101,2,24,2,1,4,NULL,1),(20,101,2,24,3,8,14,2,5),(20,101,2,24,4,9,10,3,4),(20,101,2,24,5,1,5,NULL,2),(20,101,2,24,6,10,9,5,3),(20,101,2,24,7,3,11,NULL,5),(20,101,2,24,8,3,NULL,1,NULL),(20,101,2,24,9,14,31,3,7),(20,101,2,24,10,NULL,13,NULL,7),(20,101,2,24,11,10,8,4,4),(20,101,2,24,12,6,9,1,3),(20,101,2,24,13,18,24,4,8),(20,101,2,24,14,20,31,3,12),(20,101,2,24,15,11,15,4,4),(20,101,2,24,16,17,13,3,4),(20,101,2,24,17,4,12,2,3),(20,101,2,24,18,1,17,NULL,4),(20,101,2,24,19,5,28,1,5),(20,101,2,24,20,7,15,3,4),(20,101,2,24,21,2,1,NULL,NULL),(20,101,2,24,22,3,19,NULL,5),(20,101,2,24,23,1,7,NULL,1),(20,101,2,24,24,NULL,3,NULL,1),(20,101,2,24,25,NULL,13,NULL,2),(20,101,2,24,26,1,6,NULL,2),(20,101,2,24,27,NULL,4,NULL,NULL),(20,101,2,24,28,8,7,1,5),(20,101,2,24,29,NULL,6,NULL,1),(20,101,2,24,30,5,5,NULL,NULL),(20,101,2,24,31,2,10,NULL,3),(20,101,2,24,32,5,18,2,4),(20,101,2,24,33,9,22,1,4),(20,101,2,24,34,4,8,1,4),(20,101,2,24,35,NULL,13,NULL,1),(20,101,2,24,36,3,16,NULL,7),(20,101,2,24,37,4,10,NULL,6),(20,101,2,24,38,1,10,NULL,5),(20,101,2,24,39,3,9,1,4),(20,101,2,24,40,3,11,2,5),(20,102,1,11,1,NULL,1,NULL,1),(20,102,1,11,2,NULL,NULL,NULL,NULL),(20,102,1,11,3,NULL,NULL,NULL,NULL),(20,102,1,11,4,NULL,NULL,NULL,NULL),(20,102,1,11,5,NULL,1,NULL,1),(20,102,1,11,6,NULL,1,NULL,1),(20,102,1,11,7,NULL,1,NULL,1),(20,102,1,11,8,NULL,NULL,NULL,NULL),(20,102,1,11,9,NULL,1,NULL,1),(20,102,1,11,10,1,NULL,1,NULL),(20,102,1,11,11,NULL,NULL,NULL,NULL),(20,102,1,11,12,NULL,NULL,NULL,NULL),(20,102,1,11,13,NULL,1,NULL,1),(20,102,1,11,14,NULL,NULL,NULL,NULL),(20,102,1,11,15,1,NULL,1,NULL),(20,102,1,11,16,NULL,1,NULL,1),(20,102,1,11,17,1,NULL,1,NULL),(20,102,1,11,18,1,NULL,1,NULL),(20,102,1,11,19,1,NULL,1,NULL),(20,102,1,11,20,NULL,NULL,NULL,NULL),(20,102,1,11,21,NULL,1,NULL,1),(20,102,1,11,22,NULL,1,NULL,1),(20,102,1,11,23,NULL,1,NULL,1),(20,102,1,11,24,NULL,NULL,NULL,NULL),(20,102,1,11,25,NULL,NULL,NULL,NULL),(20,102,1,11,26,NULL,NULL,NULL,NULL),(20,102,1,11,27,NULL,1,NULL,1),(20,102,1,11,28,NULL,1,NULL,1),(20,102,1,11,29,1,NULL,1,NULL),(20,102,1,11,30,1,NULL,1,NULL),(20,102,1,11,31,NULL,1,NULL,1),(20,102,1,11,32,1,NULL,1,NULL),(20,102,1,11,33,NULL,NULL,NULL,NULL),(20,102,1,11,34,NULL,1,NULL,1),(20,102,1,11,35,NULL,1,NULL,1),(20,102,1,11,36,NULL,1,NULL,1),(20,102,1,11,37,1,NULL,1,NULL),(20,102,1,11,38,1,NULL,1,NULL),(20,102,1,11,39,1,NULL,1,NULL),(20,102,1,11,40,NULL,NULL,NULL,NULL),(20,102,1,12,1,NULL,NULL,NULL,NULL),(20,102,1,12,2,NULL,NULL,NULL,NULL),(20,102,1,12,3,NULL,NULL,NULL,NULL),(20,102,1,12,4,NULL,NULL,NULL,NULL),(20,102,1,12,5,NULL,NULL,NULL,NULL),(20,102,1,12,6,NULL,NULL,NULL,NULL),(20,102,1,12,7,NULL,NULL,NULL,NULL),(20,102,1,12,8,NULL,NULL,NULL,NULL),(20,102,1,12,9,NULL,NULL,NULL,NULL),(20,102,1,12,10,NULL,NULL,NULL,NULL),(20,102,1,12,11,NULL,NULL,NULL,NULL),(20,102,1,12,12,NULL,NULL,NULL,NULL),(20,102,1,12,13,NULL,NULL,NULL,NULL),(20,102,1,12,14,NULL,NULL,NULL,NULL),(20,102,1,12,15,NULL,NULL,NULL,NULL),(20,102,1,12,16,NULL,NULL,NULL,NULL),(20,102,1,12,17,NULL,NULL,NULL,NULL),(20,102,1,12,18,NULL,NULL,NULL,NULL),(20,102,1,12,19,NULL,NULL,NULL,NULL),(20,102,1,12,20,NULL,NULL,NULL,NULL),(20,102,1,12,21,NULL,NULL,NULL,NULL),(20,102,1,12,22,NULL,NULL,NULL,NULL),(20,102,1,12,23,NULL,NULL,NULL,NULL),(20,102,1,12,24,NULL,NULL,NULL,NULL),(20,102,1,12,25,NULL,NULL,NULL,NULL),(20,102,1,12,26,NULL,NULL,NULL,NULL),(20,102,1,12,27,NULL,NULL,NULL,NULL),(20,102,1,12,28,NULL,NULL,NULL,NULL),(20,102,1,12,29,NULL,NULL,NULL,NULL),(20,102,1,12,30,NULL,NULL,NULL,NULL),(20,102,1,12,31,NULL,NULL,NULL,NULL),(20,102,1,12,32,NULL,NULL,NULL,NULL),(20,102,1,12,33,NULL,NULL,NULL,NULL),(20,102,1,12,34,NULL,NULL,NULL,NULL),(20,102,1,12,35,NULL,NULL,NULL,NULL),(20,102,1,12,36,NULL,NULL,NULL,NULL),(20,102,1,12,37,NULL,NULL,NULL,NULL),(20,102,1,12,38,NULL,NULL,NULL,NULL),(20,102,1,12,39,NULL,NULL,NULL,NULL),(20,102,1,12,40,NULL,NULL,NULL,NULL),(20,102,1,13,1,NULL,1,NULL,1),(20,102,1,13,2,1,NULL,1,NULL),(20,102,1,13,3,1,NULL,NULL,NULL),(20,102,1,13,4,NULL,NULL,NULL,NULL),(20,102,1,13,5,1,1,NULL,1),(20,102,1,13,6,NULL,2,NULL,1),(20,102,1,13,7,NULL,1,NULL,1),(20,102,1,13,8,NULL,2,NULL,1),(20,102,1,13,9,NULL,NULL,NULL,NULL),(20,102,1,13,10,1,1,NULL,1),(20,102,1,13,11,NULL,1,NULL,1),(20,102,1,13,12,NULL,1,NULL,1),(20,102,1,13,13,1,NULL,NULL,NULL),(20,102,1,13,14,NULL,NULL,NULL,NULL),(20,102,1,13,15,1,NULL,1,NULL),(20,102,1,13,16,2,NULL,1,NULL),(20,102,1,13,17,NULL,2,NULL,1),(20,102,1,13,18,1,1,NULL,1),(20,102,1,13,19,1,NULL,1,NULL),(20,102,1,13,20,NULL,1,NULL,1),(20,102,1,13,21,NULL,1,NULL,1),(20,102,1,13,22,NULL,NULL,NULL,NULL),(20,102,1,13,23,NULL,1,NULL,1),(20,102,1,13,24,NULL,1,NULL,1),(20,102,1,13,25,NULL,1,NULL,1),(20,102,1,13,26,NULL,NULL,NULL,NULL),(20,102,1,13,27,NULL,1,NULL,1),(20,102,1,13,28,NULL,NULL,NULL,NULL),(20,102,1,13,29,NULL,1,NULL,1),(20,102,1,13,30,NULL,1,NULL,1),(20,102,1,13,31,NULL,2,NULL,1),(20,102,1,13,32,NULL,1,NULL,1),(20,102,1,13,33,NULL,NULL,NULL,NULL),(20,102,1,13,34,NULL,NULL,NULL,NULL),(20,102,1,13,35,NULL,2,NULL,1),(20,102,1,13,36,NULL,1,NULL,1),(20,102,1,13,37,NULL,1,NULL,1),(20,102,1,13,38,NULL,NULL,NULL,NULL),(20,102,1,13,39,2,NULL,1,NULL),(20,102,1,13,40,NULL,1,NULL,1),(20,102,1,14,1,20,20,11,6),(20,102,1,14,2,16,10,8,4),(20,102,1,14,3,8,24,4,15),(20,102,1,14,4,8,13,2,10),(20,102,1,14,5,17,35,9,16),(20,102,1,14,6,37,42,11,25),(20,102,1,14,7,14,24,12,14),(20,102,1,14,8,44,13,29,6),(20,102,1,14,9,29,47,18,18),(20,102,1,14,10,28,16,17,8),(20,102,1,14,11,3,7,1,6),(20,102,1,14,12,12,15,7,10),(20,102,1,14,13,29,32,19,10),(20,102,1,14,14,37,42,21,13),(20,102,1,14,15,25,22,19,8),(20,102,1,14,16,50,17,27,5),(20,102,1,14,17,15,51,10,18),(20,102,1,14,18,37,25,21,10),(20,102,1,14,19,41,6,27,2),(20,102,1,14,20,43,25,21,12),(20,102,1,14,21,1,19,NULL,8),(20,102,1,14,22,8,28,5,18),(20,102,1,14,23,10,36,3,16),(20,102,1,14,24,8,26,4,17),(20,102,1,14,25,17,31,13,15),(20,102,1,14,26,16,NULL,11,NULL),(20,102,1,14,27,5,34,3,20),(20,102,1,14,28,7,9,5,5),(20,102,1,14,29,9,16,2,5),(20,102,1,14,30,7,14,5,6),(20,102,1,14,31,20,28,11,15),(20,102,1,14,32,22,21,9,11),(20,102,1,14,33,20,21,16,14),(20,102,1,14,34,2,21,1,11),(20,102,1,14,35,24,31,19,11),(20,102,1,14,36,32,27,21,15),(20,102,1,14,37,30,23,15,13),(20,102,1,14,38,4,17,2,7),(20,102,1,14,39,41,37,22,18),(20,102,1,14,40,30,7,21,3),(20,102,1,15,1,20,17,9,2),(20,102,1,15,2,14,4,8,1),(20,102,1,15,3,7,22,2,10),(20,102,1,15,4,7,31,1,14),(20,102,1,15,5,19,23,11,10),(20,102,1,15,6,34,27,14,13),(20,102,1,15,7,11,19,6,7),(20,102,1,15,8,34,13,18,5),(20,102,1,15,9,27,33,15,13),(20,102,1,15,10,17,10,12,6),(20,102,1,15,11,3,10,2,5),(20,102,1,15,12,17,11,8,2),(20,102,1,15,13,32,18,16,8),(20,102,1,15,14,32,31,16,10),(20,102,1,15,15,17,18,7,11),(20,102,1,15,16,46,10,23,4),(20,102,1,15,17,24,36,14,9),(20,102,1,15,18,44,15,20,7),(20,102,1,15,19,38,4,16,3),(20,102,1,15,20,42,21,23,6),(20,102,1,15,21,1,11,NULL,6),(20,102,1,15,22,9,23,4,15),(20,102,1,15,23,9,30,3,15),(20,102,1,15,24,4,17,1,10),(20,102,1,15,25,14,19,7,15),(20,102,1,15,26,9,NULL,6,NULL),(20,102,1,15,27,12,22,7,11),(20,102,1,15,28,6,9,3,6),(20,102,1,15,29,4,14,NULL,7),(20,102,1,15,30,6,15,2,6),(20,102,1,15,31,17,32,10,13),(20,102,1,15,32,25,13,14,5),(20,102,1,15,33,9,16,6,10),(20,102,1,15,34,3,20,3,12),(20,102,1,15,35,33,16,16,3),(20,102,1,15,36,33,25,19,11),(20,102,1,15,37,29,20,13,10),(20,102,1,15,38,2,16,1,7),(20,102,1,15,39,43,23,24,8),(20,102,1,15,40,29,2,16,NULL),(20,102,1,16,1,13,24,5,5),(20,102,1,16,2,10,8,7,2),(20,102,1,16,3,8,31,5,14),(20,102,1,16,4,12,29,3,11),(20,102,1,16,5,20,34,8,10),(20,102,1,16,6,32,30,11,10),(20,102,1,16,7,8,21,4,10),(20,102,1,16,8,45,16,15,9),(20,102,1,16,9,37,38,13,15),(20,102,1,16,10,16,22,11,12),(20,102,1,16,11,2,12,1,5),(20,102,1,16,12,10,21,5,11),(20,102,1,16,13,34,35,10,12),(20,102,1,16,14,14,8,5,3),(20,102,1,16,15,44,8,21,2),(20,102,1,16,16,5,37,1,11),(20,102,1,16,17,47,48,18,13),(20,102,1,16,18,5,25,1,10),(20,102,1,16,19,43,30,10,8),(20,102,1,16,20,3,31,NULL,10),(20,102,1,16,21,9,22,1,10),(20,102,1,16,22,9,20,4,11),(20,102,1,16,23,11,51,3,17),(20,102,1,16,24,8,20,3,11),(20,102,1,16,25,13,30,10,16),(20,102,1,16,26,8,NULL,5,NULL),(20,102,1,16,27,8,27,2,13),(20,102,1,16,28,2,13,2,7),(20,102,1,16,29,4,25,1,12),(20,102,1,16,30,11,22,3,12),(20,102,1,16,31,21,35,8,10),(20,102,1,16,32,15,16,7,9),(20,102,1,16,33,4,19,2,13),(20,102,1,16,34,3,22,1,10),(20,102,1,16,35,25,38,7,13),(20,102,1,16,36,32,39,15,11),(20,102,1,16,37,25,38,9,17),(20,102,1,16,38,6,20,1,4),(20,102,1,16,39,47,30,21,11),(20,102,1,16,40,21,17,14,6),(20,102,1,17,1,16,15,4,3),(20,102,1,17,2,8,10,4,2),(20,102,1,17,3,4,20,NULL,5),(20,102,1,17,4,11,27,2,4),(20,102,1,17,5,21,21,4,5),(20,102,1,17,6,22,46,2,9),(20,102,1,17,7,7,16,2,2),(20,102,1,17,8,51,13,10,6),(20,102,1,17,9,25,36,4,9),(20,102,1,17,10,15,9,6,5),(20,102,1,17,11,1,13,1,4),(20,102,1,17,12,20,20,4,6),(20,102,1,17,13,22,26,4,7),(20,102,1,17,14,4,10,3,2),(20,102,1,17,15,30,13,10,2),(20,102,1,17,16,5,21,NULL,3),(20,102,1,17,17,40,41,7,8),(20,102,1,17,18,7,19,NULL,4),(20,102,1,17,19,35,21,3,7),(20,102,1,17,20,4,18,NULL,4),(20,102,1,17,21,4,11,NULL,3),(20,102,1,17,22,7,16,2,8),(20,102,1,17,23,8,26,1,9),(20,102,1,17,24,8,14,2,5),(20,102,1,17,25,5,26,1,10),(20,102,1,17,26,5,NULL,3,NULL),(20,102,1,17,27,6,13,NULL,7),(20,102,1,17,28,1,8,1,2),(20,102,1,17,29,8,13,2,4),(20,102,1,17,30,6,22,2,7),(20,102,1,17,31,16,29,3,6),(20,102,1,17,32,19,11,8,5),(20,102,1,17,33,9,13,1,5),(20,102,1,17,34,5,15,1,3),(20,102,1,17,35,24,27,4,7),(20,102,1,17,36,24,26,9,5),(20,102,1,17,37,29,16,8,5),(20,102,1,17,38,4,17,NULL,7),(20,102,1,17,39,17,40,3,12),(20,102,1,17,40,15,13,6,5),(20,102,2,21,1,8,23,NULL,6),(20,102,2,21,2,3,4,2,3),(20,102,2,21,3,20,27,9,10),(20,102,2,21,4,14,18,6,5),(20,102,2,21,5,8,10,6,4),(20,102,2,21,6,18,32,9,11),(20,102,2,21,7,10,19,5,10),(20,102,2,21,8,13,NULL,6,NULL),(20,102,2,21,9,20,48,4,19),(20,102,2,21,10,4,22,2,8),(20,102,2,21,11,16,12,7,4),(20,102,2,21,12,11,17,7,3),(20,102,2,21,13,46,29,19,7),(20,102,2,21,14,45,49,17,14),(20,102,2,21,15,33,29,11,13),(20,102,2,21,16,31,30,9,9),(20,102,2,21,17,18,15,9,3),(20,102,2,21,18,3,23,2,9),(20,102,2,21,19,14,42,7,17),(20,102,2,21,20,16,36,8,14),(20,102,2,21,21,NULL,4,NULL,1),(20,102,2,21,22,3,26,1,5),(20,102,2,21,23,NULL,15,NULL,6),(20,102,2,21,24,1,2,NULL,2),(20,102,2,21,25,10,27,5,13),(20,102,2,21,26,5,7,4,6),(20,102,2,21,27,5,9,4,5),(20,102,2,21,28,21,16,10,5),(20,102,2,21,29,1,16,NULL,6),(20,102,2,21,30,8,6,6,NULL),(20,102,2,21,31,5,33,4,17),(20,102,2,21,32,15,27,9,14),(20,102,2,21,33,10,31,1,10),(20,102,2,21,34,14,24,5,10),(20,102,2,21,35,2,36,2,13),(20,102,2,21,36,24,22,13,3),(20,102,2,21,37,12,17,8,8),(20,102,2,21,38,3,25,3,14),(20,102,2,21,39,6,20,4,11),(20,102,2,21,40,24,17,7,4),(20,102,2,22,1,8,16,1,8),(20,102,2,22,2,1,7,NULL,3),(20,102,2,22,3,6,34,1,14),(20,102,2,22,4,10,13,6,9),(20,102,2,22,5,2,17,1,9),(20,102,2,22,6,25,16,15,11),(20,102,2,22,7,4,21,2,11),(20,102,2,22,8,12,NULL,8,NULL),(20,102,2,22,9,17,49,4,16),(20,102,2,22,10,4,18,3,13),(20,102,2,22,11,14,16,5,4),(20,102,2,22,12,2,15,NULL,5),(20,102,2,22,13,40,32,18,9),(20,102,2,22,14,47,38,14,16),(20,102,2,22,15,32,19,11,9),(20,102,2,22,16,19,23,10,15),(20,102,2,22,17,21,14,10,8),(20,102,2,22,18,1,26,NULL,14),(20,102,2,22,19,14,44,3,14),(20,102,2,22,20,17,30,8,13),(20,102,2,22,21,1,4,NULL,1),(20,102,2,22,22,4,23,1,15),(20,102,2,22,23,3,18,2,6),(20,102,2,22,24,2,2,1,2),(20,102,2,22,25,7,25,3,11),(20,102,2,22,26,4,11,3,8),(20,102,2,22,27,2,13,NULL,5),(20,102,2,22,28,10,15,2,10),(20,102,2,22,29,1,8,NULL,5),(20,102,2,22,30,11,8,6,5),(20,102,2,22,31,5,23,NULL,12),(20,102,2,22,32,6,26,3,12),(20,102,2,22,33,16,25,3,8),(20,102,2,22,34,14,22,7,9),(20,102,2,22,35,5,39,3,13),(20,102,2,22,36,18,17,13,8),(20,102,2,22,37,9,22,4,13),(20,102,2,22,38,3,16,1,13),(20,102,2,22,39,5,15,4,8),(20,102,2,22,40,16,22,9,11),(20,102,2,23,1,4,24,2,10),(20,102,2,23,2,NULL,10,NULL,4),(20,102,2,23,3,8,26,3,13),(20,102,2,23,4,3,13,3,3),(20,102,2,23,5,3,9,2,3),(20,102,2,23,6,15,21,11,11),(20,102,2,23,7,10,21,4,8),(20,102,2,23,8,11,NULL,7,NULL),(20,102,2,23,9,14,45,4,15),(20,102,2,23,10,3,21,NULL,11),(20,102,2,23,11,14,18,4,9),(20,102,2,23,12,3,14,2,4),(20,102,2,23,13,37,29,18,9),(20,102,2,23,14,38,39,10,16),(20,102,2,23,15,22,24,9,8),(20,102,2,23,16,28,26,10,13),(20,102,2,23,17,19,11,8,6),(20,102,2,23,18,3,16,1,7),(20,102,2,23,19,10,27,2,9),(20,102,2,23,20,13,33,5,15),(20,102,2,23,21,NULL,4,NULL,NULL),(20,102,2,23,22,3,29,NULL,11),(20,102,2,23,23,NULL,3,NULL,NULL),(20,102,2,23,24,2,9,2,4),(20,102,2,23,25,15,18,9,9),(20,102,2,23,26,6,11,4,8),(20,102,2,23,27,3,8,2,4),(20,102,2,23,28,20,19,8,10),(20,102,2,23,29,1,9,1,3),(20,102,2,23,30,9,6,3,2),(20,102,2,23,31,14,17,7,9),(20,102,2,23,32,7,32,3,11),(20,102,2,23,33,11,33,4,7),(20,102,2,23,34,18,18,5,10),(20,102,2,23,35,2,31,2,12),(20,102,2,23,36,6,18,2,9),(20,102,2,23,37,8,21,3,10),(20,102,2,23,38,5,19,2,11),(20,102,2,23,39,7,10,5,6),(20,102,2,23,40,14,22,8,12),(20,102,2,24,1,7,18,3,8),(20,102,2,24,2,3,12,NULL,3),(20,102,2,24,3,23,23,8,5),(20,102,2,24,4,8,14,3,5),(20,102,2,24,5,1,15,NULL,5),(20,102,2,24,6,22,28,9,13),(20,102,2,24,7,7,18,2,11),(20,102,2,24,8,15,NULL,12,NULL),(20,102,2,24,9,27,43,10,14),(20,102,2,24,10,NULL,23,NULL,12),(20,102,2,24,11,17,18,4,8),(20,102,2,24,12,5,16,1,6),(20,102,2,24,13,36,36,14,9),(20,102,2,24,14,42,37,16,9),(20,102,2,24,15,25,18,9,5),(20,102,2,24,16,27,31,6,13),(20,102,2,24,17,12,15,3,3),(20,102,2,24,18,8,22,1,9),(20,102,2,24,19,10,43,6,11),(20,102,2,24,20,26,20,14,7),(20,102,2,24,21,NULL,8,NULL,1),(20,102,2,24,22,6,22,2,10),(20,102,2,24,23,1,4,NULL,1),(20,102,2,24,24,1,4,1,2),(20,102,2,24,25,8,24,4,10),(20,102,2,24,26,5,7,2,3),(20,102,2,24,27,1,8,1,4),(20,102,2,24,28,9,22,6,8),(20,102,2,24,29,2,5,1,2),(20,102,2,24,30,6,5,1,2),(20,102,2,24,31,9,22,4,9),(20,102,2,24,32,12,25,4,12),(20,102,2,24,33,14,36,4,9),(20,102,2,24,34,10,21,4,9),(20,102,2,24,35,5,30,1,13),(20,102,2,24,36,11,18,5,7),(20,102,2,24,37,11,23,5,10),(20,102,2,24,38,4,29,2,16),(20,102,2,24,39,7,11,5,4),(20,102,2,24,40,13,19,6,8),(20,103,1,11,1,3,1,NULL,NULL),(20,103,1,11,2,2,NULL,NULL,NULL),(20,103,1,11,3,1,1,NULL,NULL),(20,103,1,11,4,NULL,3,NULL,NULL),(20,103,1,11,5,3,2,NULL,NULL),(20,103,1,11,6,6,3,1,NULL),(20,103,1,11,7,1,3,NULL,1),(20,103,1,11,8,4,1,1,NULL),(20,103,1,11,9,4,4,1,NULL),(20,103,1,11,10,4,NULL,1,NULL),(20,103,1,11,11,2,3,NULL,NULL),(20,103,1,11,12,5,3,1,NULL),(20,103,1,11,13,5,5,1,NULL),(20,103,1,11,14,1,5,NULL,NULL),(20,103,1,11,15,9,NULL,1,NULL),(20,103,1,11,16,5,4,NULL,1),(20,103,1,11,17,6,4,1,NULL),(20,103,1,11,18,9,2,1,NULL),(20,103,1,11,19,6,4,1,NULL),(20,103,1,11,20,2,3,NULL,NULL),(20,103,1,11,21,NULL,3,NULL,NULL),(20,103,1,11,22,NULL,7,NULL,1),(20,103,1,11,23,NULL,3,NULL,NULL),(20,103,1,11,24,3,2,NULL,1),(20,103,1,11,25,4,2,1,NULL),(20,103,1,11,26,2,NULL,1,NULL),(20,103,1,11,27,6,3,1,NULL),(20,103,1,11,28,2,2,NULL,1),(20,103,1,11,29,2,2,1,NULL),(20,103,1,11,30,4,4,1,NULL),(20,103,1,11,31,4,3,1,NULL),(20,103,1,11,32,5,1,1,NULL),(20,103,1,11,33,5,1,1,NULL),(20,103,1,11,34,3,3,NULL,1),(20,103,1,11,35,4,4,NULL,1),(20,103,1,11,36,9,NULL,1,NULL),(20,103,1,11,37,4,1,1,NULL),(20,103,1,11,38,1,4,NULL,NULL),(20,103,1,11,39,6,3,1,NULL),(20,103,1,11,40,9,NULL,1,NULL),(20,103,1,12,1,7,1,1,1),(20,103,1,12,2,4,2,1,NULL),(20,103,1,12,3,NULL,6,NULL,1),(20,103,1,12,4,2,5,NULL,NULL),(20,103,1,12,5,5,9,1,1),(20,103,1,12,6,6,10,NULL,2),(20,103,1,12,7,8,4,2,NULL),(20,103,1,12,8,10,1,2,NULL),(20,103,1,12,9,7,8,2,NULL),(20,103,1,12,10,10,2,2,NULL),(20,103,1,12,11,1,5,1,1),(20,103,1,12,12,5,4,1,NULL),(20,103,1,12,13,1,15,NULL,2),(20,103,1,12,14,13,5,2,NULL),(20,103,1,12,15,15,3,2,NULL),(20,103,1,12,16,13,NULL,2,NULL),(20,103,1,12,17,12,5,2,NULL),(20,103,1,12,18,16,3,2,NULL),(20,103,1,12,19,11,1,2,NULL),(20,103,1,12,20,11,4,2,NULL),(20,103,1,12,21,NULL,5,NULL,1),(20,103,1,12,22,2,7,1,1),(20,103,1,12,23,2,6,NULL,1),(20,103,1,12,24,3,8,2,NULL),(20,103,1,12,25,10,2,2,NULL),(20,103,1,12,26,9,NULL,1,NULL),(20,103,1,12,27,6,4,2,NULL),(20,103,1,12,28,4,4,2,NULL),(20,103,1,12,29,1,1,NULL,NULL),(20,103,1,12,30,5,4,2,NULL),(20,103,1,12,31,4,8,1,1),(20,103,1,12,32,7,2,1,1),(20,103,1,12,33,7,5,1,1),(20,103,1,12,34,2,8,NULL,2),(20,103,1,12,35,7,6,NULL,2),(20,103,1,12,36,11,2,2,NULL),(20,103,1,12,37,6,7,1,1),(20,103,1,12,38,NULL,9,NULL,1),(20,103,1,12,39,10,5,1,1),(20,103,1,12,40,10,1,2,NULL),(20,103,1,13,1,7,3,NULL,NULL),(20,103,1,13,2,2,1,NULL,NULL),(20,103,1,13,3,4,2,NULL,NULL),(20,103,1,13,4,3,2,NULL,NULL),(20,103,1,13,5,5,7,NULL,NULL),(20,103,1,13,6,7,7,NULL,NULL),(20,103,1,13,7,4,7,NULL,NULL),(20,103,1,13,8,9,1,NULL,NULL),(20,103,1,13,9,5,6,NULL,NULL),(20,103,1,13,10,2,2,NULL,NULL),(20,103,1,13,11,1,5,NULL,NULL),(20,103,1,13,12,3,3,NULL,NULL),(20,103,1,13,13,15,3,NULL,NULL),(20,103,1,13,14,5,5,NULL,NULL),(20,103,1,13,15,12,NULL,NULL,NULL),(20,103,1,13,16,17,NULL,NULL,NULL),(20,103,1,13,17,8,4,NULL,NULL),(20,103,1,13,18,10,4,NULL,NULL),(20,103,1,13,19,12,NULL,NULL,NULL),(20,103,1,13,20,9,4,NULL,NULL),(20,103,1,13,21,NULL,4,NULL,NULL),(20,103,1,13,22,2,8,NULL,NULL),(20,103,1,13,23,1,8,NULL,NULL),(20,103,1,13,24,2,4,NULL,NULL),(20,103,1,13,25,6,4,NULL,NULL),(20,103,1,13,26,3,NULL,NULL,NULL),(20,103,1,13,27,7,4,NULL,NULL),(20,103,1,13,28,NULL,6,NULL,NULL),(20,103,1,13,29,1,1,NULL,NULL),(20,103,1,13,30,1,2,NULL,NULL),(20,103,1,13,31,11,4,NULL,NULL),(20,103,1,13,32,9,1,NULL,NULL),(20,103,1,13,33,6,4,NULL,NULL),(20,103,1,13,34,2,9,NULL,NULL),(20,103,1,13,35,9,4,NULL,NULL),(20,103,1,13,36,13,3,NULL,NULL),(20,103,1,13,37,9,7,NULL,NULL),(20,103,1,13,38,NULL,5,NULL,NULL),(20,103,1,13,39,15,2,NULL,NULL),(20,103,1,13,40,9,NULL,NULL,NULL),(20,103,1,14,1,425,219,12,4),(20,103,1,14,2,279,156,11,10),(20,103,1,14,3,234,469,12,17),(20,103,1,14,4,117,441,3,14),(20,103,1,14,5,448,408,23,7),(20,103,1,14,6,719,520,20,11),(20,103,1,14,7,450,303,24,8),(20,103,1,14,8,643,104,33,1),(20,103,1,14,9,624,467,21,9),(20,103,1,14,10,287,123,23,5),(20,103,1,14,11,108,231,9,6),(20,103,1,14,12,358,265,21,8),(20,103,1,14,13,885,269,27,7),(20,103,1,14,14,940,332,29,5),(20,103,1,14,15,646,206,24,8),(20,103,1,14,16,984,175,34,2),(20,103,1,14,17,517,564,21,12),(20,103,1,14,18,804,201,26,6),(20,103,1,14,19,837,79,26,3),(20,103,1,14,20,930,325,21,13),(20,103,1,14,21,102,360,10,24),(20,103,1,14,22,250,597,3,29),(20,103,1,14,23,145,513,8,11),(20,103,1,14,24,245,536,14,18),(20,103,1,14,25,542,396,20,9),(20,103,1,14,26,428,NULL,28,NULL),(20,103,1,14,27,344,468,22,8),(20,103,1,14,28,173,346,18,14),(20,103,1,14,29,123,211,16,4),(20,103,1,14,30,219,343,14,17),(20,103,1,14,31,540,493,21,10),(20,103,1,14,32,721,173,28,6),(20,103,1,14,33,590,408,27,8),(20,103,1,14,34,264,416,14,12),(20,103,1,14,35,721,306,30,3),(20,103,1,14,36,982,267,27,10),(20,103,1,14,37,683,366,19,15),(20,103,1,14,38,194,384,11,12),(20,103,1,14,39,824,402,28,8),(20,103,1,14,40,793,47,34,1),(20,103,1,15,1,413,227,12,6),(20,103,1,15,2,340,134,19,9),(20,103,1,15,3,196,444,9,24),(20,103,1,15,4,145,431,1,17),(20,103,1,15,5,441,396,26,8),(20,103,1,15,6,670,505,26,13),(20,103,1,15,7,430,321,30,5),(20,103,1,15,8,628,117,31,4),(20,103,1,15,9,605,456,25,10),(20,103,1,15,10,291,143,28,4),(20,103,1,15,11,121,211,10,5),(20,103,1,15,12,383,286,23,7),(20,103,1,15,13,805,321,31,8),(20,103,1,15,14,903,324,33,7),(20,103,1,15,15,627,181,31,3),(20,103,1,15,16,854,217,32,6),(20,103,1,15,17,496,552,21,16),(20,103,1,15,18,843,206,30,7),(20,103,1,15,19,852,61,36,1),(20,103,1,15,20,868,335,33,7),(20,103,1,15,21,87,343,11,21),(20,103,1,15,22,201,593,9,26),(20,103,1,15,23,139,515,4,23),(20,103,1,15,24,249,531,14,24),(20,103,1,15,25,530,397,27,8),(20,103,1,15,26,395,NULL,34,NULL),(20,103,1,15,27,359,489,26,10),(20,103,1,15,28,191,338,25,11),(20,103,1,15,29,83,207,14,8),(20,103,1,15,30,197,361,26,6),(20,103,1,15,31,483,517,22,18),(20,103,1,15,32,638,195,27,10),(20,103,1,15,33,553,395,31,8),(20,103,1,15,34,267,410,14,21),(20,103,1,15,35,664,304,28,8),(20,103,1,15,36,953,287,37,3),(20,103,1,15,37,683,373,27,9),(20,103,1,15,38,262,399,17,16),(20,103,1,15,39,864,352,31,7),(20,103,1,15,40,763,40,38,NULL),(20,103,1,16,1,179,143,8,1),(20,103,1,16,2,114,82,1,4),(20,103,1,16,3,78,211,2,3),(20,103,1,16,4,76,248,2,6),(20,103,1,16,5,178,226,7,5),(20,103,1,16,6,293,291,5,4),(20,103,1,16,7,177,176,7,2),(20,103,1,16,8,317,83,10,2),(20,103,1,16,9,279,254,6,4),(20,103,1,16,10,145,73,5,5),(20,103,1,16,11,75,148,4,3),(20,103,1,16,12,140,156,9,NULL),(20,103,1,16,13,279,257,9,3),(20,103,1,16,14,125,97,3,3),(20,103,1,16,15,287,45,6,NULL),(20,103,1,16,16,55,258,1,4),(20,103,1,16,17,456,234,8,4),(20,103,1,16,18,84,209,2,5),(20,103,1,16,19,228,194,5,3),(20,103,1,16,20,26,228,NULL,5),(20,103,1,16,21,33,161,1,3),(20,103,1,16,22,100,242,3,8),(20,103,1,16,23,53,261,1,9),(20,103,1,16,24,96,237,4,7),(20,103,1,16,25,220,219,5,8),(20,103,1,16,26,157,NULL,5,NULL),(20,103,1,16,27,162,232,5,4),(20,103,1,16,28,62,160,3,7),(20,103,1,16,29,33,134,2,2),(20,103,1,16,30,80,143,4,NULL),(20,103,1,16,31,197,294,3,9),(20,103,1,16,32,289,101,8,4),(20,103,1,16,33,203,205,8,3),(20,103,1,16,34,109,185,5,5),(20,103,1,16,35,322,176,9,3),(20,103,1,16,36,447,163,9,2),(20,103,1,16,37,280,229,8,2),(20,103,1,16,38,113,200,4,4),(20,103,1,16,39,421,196,8,4),(20,103,1,16,40,323,43,10,NULL),(20,103,1,17,1,168,129,2,1),(20,103,1,17,2,125,68,4,1),(20,103,1,17,3,77,204,1,4),(20,103,1,17,4,72,224,NULL,3),(20,103,1,17,5,181,189,2,3),(20,103,1,17,6,272,266,5,2),(20,103,1,17,7,170,156,3,3),(20,103,1,17,8,324,56,6,2),(20,103,1,17,9,207,268,4,3),(20,103,1,17,10,133,97,6,1),(20,103,1,17,11,64,131,4,1),(20,103,1,17,12,156,143,4,2),(20,103,1,17,13,284,223,6,2),(20,103,1,17,14,113,110,2,1),(20,103,1,17,15,255,41,6,NULL),(20,103,1,17,16,39,218,2,3),(20,103,1,17,17,369,274,6,2),(20,103,1,17,18,77,225,3,2),(20,103,1,17,19,255,174,5,2),(20,103,1,17,20,33,217,NULL,4),(20,103,1,17,21,36,127,1,6),(20,103,1,17,22,85,243,1,4),(20,103,1,17,23,46,210,2,4),(20,103,1,17,24,94,233,3,4),(20,103,1,17,25,176,205,1,4),(20,103,1,17,26,154,NULL,6,NULL),(20,103,1,17,27,150,214,5,2),(20,103,1,17,28,60,144,2,1),(20,103,1,17,29,43,115,1,3),(20,103,1,17,30,81,160,1,4),(20,103,1,17,31,201,271,1,6),(20,103,1,17,32,300,92,5,2),(20,103,1,17,33,211,200,6,1),(20,103,1,17,34,113,181,3,3),(20,103,1,17,35,327,171,4,2),(20,103,1,17,36,423,144,6,2),(20,103,1,17,37,307,194,6,2),(20,103,1,17,38,71,180,2,2),(20,103,1,17,39,317,240,4,3),(20,103,1,17,40,302,41,4,1),(20,103,2,21,1,163,161,6,4),(20,103,2,21,2,82,156,4,4),(20,103,2,21,3,215,355,7,15),(20,103,2,21,4,100,70,3,NULL),(20,103,2,21,5,83,95,1,3),(20,103,2,21,6,453,301,19,4),(20,103,2,21,7,337,252,15,4),(20,103,2,21,8,263,NULL,13,NULL),(20,103,2,21,9,288,544,14,9),(20,103,2,21,10,39,271,1,10),(20,103,2,21,11,184,121,9,4),(20,103,2,21,12,101,148,14,3),(20,103,2,21,13,687,190,22,1),(20,103,2,21,14,729,288,24,1),(20,103,2,21,15,499,254,19,3),(20,103,2,21,16,250,218,7,7),(20,103,2,21,17,277,151,15,3),(20,103,2,21,18,95,383,7,13),(20,103,2,21,19,262,435,18,5),(20,103,2,21,20,366,374,15,9),(20,103,2,21,21,42,139,9,4),(20,103,2,21,22,57,165,5,2),(20,103,2,21,23,90,124,10,NULL),(20,103,2,21,24,57,121,8,12),(20,103,2,21,25,426,279,23,2),(20,103,2,21,26,158,104,6,4),(20,103,2,21,27,109,173,8,7),(20,103,2,21,28,265,145,7,5),(20,103,2,21,29,82,185,11,4),(20,103,2,21,30,169,33,18,NULL),(20,103,2,21,31,229,350,16,7),(20,103,2,21,32,350,346,16,7),(20,103,2,21,33,146,281,5,7),(20,103,2,21,34,276,275,14,8),(20,103,2,21,35,138,426,9,8),(20,103,2,21,36,298,129,20,2),(20,103,2,21,37,290,265,15,10),(20,103,2,21,38,218,349,16,7),(20,103,2,21,39,304,247,17,5),(20,103,2,21,40,351,116,18,1),(20,103,2,22,1,134,182,7,9),(20,103,2,22,2,85,145,5,2),(20,103,2,22,3,226,402,8,19),(20,103,2,22,4,102,60,8,2),(20,103,2,22,5,83,93,2,5),(20,103,2,22,6,435,299,25,4),(20,103,2,22,7,323,279,16,7),(20,103,2,22,8,296,NULL,15,NULL),(20,103,2,22,9,292,555,10,12),(20,103,2,22,10,45,295,1,14),(20,103,2,22,11,221,116,13,5),(20,103,2,22,12,114,153,7,9),(20,103,2,22,13,685,203,26,3),(20,103,2,22,14,683,316,23,6),(20,103,2,22,15,525,212,23,3),(20,103,2,22,16,214,197,9,10),(20,103,2,22,17,286,145,19,4),(20,103,2,22,18,103,334,5,17),(20,103,2,22,19,270,433,8,11),(20,103,2,22,20,378,328,12,15),(20,103,2,22,21,33,117,4,6),(20,103,2,22,22,45,163,3,4),(20,103,2,22,23,93,103,10,NULL),(20,103,2,22,24,54,127,6,14),(20,103,2,22,25,422,282,24,4),(20,103,2,22,26,161,125,9,2),(20,103,2,22,27,129,158,16,4),(20,103,2,22,28,295,139,12,1),(20,103,2,22,29,84,191,11,7),(20,103,2,22,30,172,30,14,1),(20,103,2,22,31,227,322,12,9),(20,103,2,22,32,317,352,13,8),(20,103,2,22,33,155,294,13,8),(20,103,2,22,34,277,300,15,8),(20,103,2,22,35,154,408,9,14),(20,103,2,22,36,315,107,15,5),(20,103,2,22,37,212,318,8,15),(20,103,2,22,38,242,300,13,11),(20,103,2,22,39,304,230,15,10),(20,103,2,22,40,376,103,18,2),(20,103,2,23,1,124,164,6,5),(20,103,2,23,2,84,155,3,8),(20,103,2,23,3,222,343,9,10),(20,103,2,23,4,76,47,2,2),(20,103,2,23,5,74,74,4,3),(20,103,2,23,6,405,286,15,4),(20,103,2,23,7,276,250,13,4),(20,103,2,23,8,230,NULL,10,NULL),(20,103,2,23,9,287,501,11,8),(20,103,2,23,10,40,244,1,7),(20,103,2,23,11,193,105,9,3),(20,103,2,23,12,89,138,5,4),(20,103,2,23,13,596,201,22,NULL),(20,103,2,23,14,656,269,17,3),(20,103,2,23,15,404,226,14,6),(20,103,2,23,16,221,185,9,2),(20,103,2,23,17,251,130,12,5),(20,103,2,23,18,123,288,5,14),(20,103,2,23,19,282,425,10,8),(20,103,2,23,20,337,350,10,9),(20,103,2,23,21,37,97,4,8),(20,103,2,23,22,88,165,5,4),(20,103,2,23,23,87,87,10,NULL),(20,103,2,23,24,69,116,11,9),(20,103,2,23,25,404,236,20,1),(20,103,2,23,26,172,105,10,3),(20,103,2,23,27,122,128,13,4),(20,103,2,23,28,264,120,11,NULL),(20,103,2,23,29,59,174,7,3),(20,103,2,23,30,164,30,13,NULL),(20,103,2,23,31,203,284,12,4),(20,103,2,23,32,318,306,12,8),(20,103,2,23,33,137,281,9,3),(20,103,2,23,34,209,286,9,8),(20,103,2,23,35,118,375,6,8),(20,103,2,23,36,279,112,12,2),(20,103,2,23,37,293,215,14,4),(20,103,2,23,38,252,247,15,3),(20,103,2,23,39,278,247,15,4),(20,103,2,23,40,368,111,11,1),(20,103,2,24,1,141,175,4,7),(20,103,2,24,2,80,147,3,5),(20,103,2,24,3,214,288,3,13),(20,103,2,24,4,77,69,2,4),(20,103,2,24,5,71,93,3,7),(20,103,2,24,6,415,271,12,12),(20,103,2,24,7,253,239,13,8),(20,103,2,24,8,260,NULL,15,NULL),(20,103,2,24,9,295,470,6,10),(20,103,2,24,10,39,260,NULL,15),(20,103,2,24,11,191,103,13,6),(20,103,2,24,12,99,144,7,9),(20,103,2,24,13,616,184,23,1),(20,103,2,24,14,601,282,21,4),(20,103,2,24,15,357,201,13,6),(20,103,2,24,16,269,184,11,6),(20,103,2,24,17,206,114,12,5),(20,103,2,24,18,102,333,5,12),(20,103,2,24,19,258,412,10,9),(20,103,2,24,20,350,312,14,8),(20,103,2,24,21,36,132,5,10),(20,103,2,24,22,93,135,7,4),(20,103,2,24,23,78,80,7,2),(20,103,2,24,24,53,111,6,9),(20,103,2,24,25,385,255,20,3),(20,103,2,24,26,127,100,5,3),(20,103,2,24,27,129,126,13,2),(20,103,2,24,28,260,128,10,3),(20,103,2,24,29,78,177,9,6),(20,103,2,24,30,141,31,13,NULL),(20,103,2,24,31,205,312,13,8),(20,103,2,24,32,341,290,17,7),(20,103,2,24,33,148,259,9,5),(20,103,2,24,34,238,274,13,8),(20,103,2,24,35,134,361,8,13),(20,103,2,24,36,288,91,14,2),(20,103,2,24,37,286,213,10,11),(20,103,2,24,38,252,280,15,7),(20,103,2,24,39,276,214,13,8),(20,103,2,24,40,354,78,21,NULL),(20,104,1,11,1,NULL,NULL,NULL,NULL),(20,104,1,11,2,NULL,1,NULL,NULL),(20,104,1,11,3,NULL,NULL,NULL,NULL),(20,104,1,11,4,NULL,NULL,NULL,NULL),(20,104,1,11,5,NULL,1,NULL,NULL),(20,104,1,11,6,1,1,NULL,NULL),(20,104,1,11,7,NULL,NULL,NULL,NULL),(20,104,1,11,8,1,1,NULL,NULL),(20,104,1,11,9,1,1,NULL,NULL),(20,104,1,11,10,1,1,NULL,NULL),(20,104,1,11,11,NULL,NULL,NULL,NULL),(20,104,1,11,12,NULL,1,NULL,NULL),(20,104,1,11,13,2,NULL,NULL,NULL),(20,104,1,11,14,NULL,2,NULL,NULL),(20,104,1,11,15,1,NULL,NULL,NULL),(20,104,1,11,16,2,NULL,NULL,NULL),(20,104,1,11,17,1,1,NULL,NULL),(20,104,1,11,18,2,NULL,NULL,NULL),(20,104,1,11,19,2,NULL,NULL,NULL),(20,104,1,11,20,NULL,2,NULL,NULL),(20,104,1,11,21,NULL,NULL,NULL,NULL),(20,104,1,11,22,NULL,1,NULL,NULL),(20,104,1,11,23,NULL,2,NULL,NULL),(20,104,1,11,24,NULL,2,NULL,NULL),(20,104,1,11,25,NULL,1,NULL,NULL),(20,104,1,11,26,NULL,NULL,NULL,NULL),(20,104,1,11,27,NULL,NULL,NULL,NULL),(20,104,1,11,28,NULL,1,NULL,NULL),(20,104,1,11,29,NULL,NULL,NULL,NULL),(20,104,1,11,30,NULL,NULL,NULL,NULL),(20,104,1,11,31,1,NULL,NULL,NULL),(20,104,1,11,32,NULL,2,NULL,NULL),(20,104,1,11,33,NULL,NULL,NULL,NULL),(20,104,1,11,34,NULL,NULL,NULL,NULL),(20,104,1,11,35,1,1,NULL,NULL),(20,104,1,11,36,NULL,2,NULL,NULL),(20,104,1,11,37,1,1,NULL,NULL),(20,104,1,11,38,NULL,1,NULL,NULL),(20,104,1,11,39,NULL,1,NULL,NULL),(20,104,1,11,40,1,NULL,NULL,NULL),(20,104,1,12,1,NULL,NULL,NULL,NULL),(20,104,1,12,2,NULL,NULL,NULL,NULL),(20,104,1,12,3,NULL,NULL,NULL,NULL),(20,104,1,12,4,NULL,NULL,NULL,NULL),(20,104,1,12,5,NULL,NULL,NULL,NULL),(20,104,1,12,6,NULL,NULL,NULL,NULL),(20,104,1,12,7,NULL,NULL,NULL,NULL),(20,104,1,12,8,NULL,NULL,NULL,NULL),(20,104,1,12,9,NULL,NULL,NULL,NULL),(20,104,1,12,10,NULL,NULL,NULL,NULL),(20,104,1,12,11,NULL,NULL,NULL,NULL),(20,104,1,12,12,NULL,NULL,NULL,NULL),(20,104,1,12,13,NULL,NULL,NULL,NULL),(20,104,1,12,14,NULL,NULL,NULL,NULL),(20,104,1,12,15,NULL,NULL,NULL,NULL),(20,104,1,12,16,NULL,NULL,NULL,NULL),(20,104,1,12,17,NULL,NULL,NULL,NULL),(20,104,1,12,18,NULL,NULL,NULL,NULL),(20,104,1,12,19,NULL,NULL,NULL,NULL),(20,104,1,12,20,NULL,NULL,NULL,NULL),(20,104,1,12,21,NULL,NULL,NULL,NULL),(20,104,1,12,22,NULL,NULL,NULL,NULL),(20,104,1,12,23,NULL,NULL,NULL,NULL),(20,104,1,12,24,NULL,NULL,NULL,NULL),(20,104,1,12,25,NULL,NULL,NULL,NULL),(20,104,1,12,26,NULL,NULL,NULL,NULL),(20,104,1,12,27,NULL,NULL,NULL,NULL),(20,104,1,12,28,NULL,NULL,NULL,NULL),(20,104,1,12,29,NULL,NULL,NULL,NULL),(20,104,1,12,30,NULL,NULL,NULL,NULL),(20,104,1,12,31,NULL,NULL,NULL,NULL),(20,104,1,12,32,NULL,NULL,NULL,NULL),(20,104,1,12,33,NULL,NULL,NULL,NULL),(20,104,1,12,34,NULL,NULL,NULL,NULL),(20,104,1,12,35,NULL,NULL,NULL,NULL),(20,104,1,12,36,NULL,NULL,NULL,NULL),(20,104,1,12,37,NULL,NULL,NULL,NULL),(20,104,1,12,38,NULL,NULL,NULL,NULL),(20,104,1,12,39,NULL,NULL,NULL,NULL),(20,104,1,12,40,NULL,NULL,NULL,NULL),(20,104,1,13,1,1,NULL,NULL,NULL),(20,104,1,13,2,NULL,NULL,NULL,NULL),(20,104,1,13,3,NULL,1,NULL,NULL),(20,104,1,13,4,1,NULL,NULL,NULL),(20,104,1,13,5,NULL,NULL,NULL,NULL),(20,104,1,13,6,2,NULL,NULL,NULL),(20,104,1,13,7,NULL,NULL,NULL,NULL),(20,104,1,13,8,1,NULL,NULL,NULL),(20,104,1,13,9,1,NULL,NULL,NULL),(20,104,1,13,10,NULL,1,NULL,NULL),(20,104,1,13,11,NULL,NULL,NULL,NULL),(20,104,1,13,12,1,NULL,NULL,NULL),(20,104,1,13,13,2,NULL,NULL,NULL),(20,104,1,13,14,NULL,1,NULL,NULL),(20,104,1,13,15,1,NULL,NULL,NULL),(20,104,1,13,16,3,NULL,NULL,NULL),(20,104,1,13,17,1,1,NULL,NULL),(20,104,1,13,18,NULL,1,NULL,NULL),(20,104,1,13,19,1,NULL,NULL,NULL),(20,104,1,13,20,1,1,NULL,NULL),(20,104,1,13,21,NULL,NULL,NULL,NULL),(20,104,1,13,22,NULL,1,NULL,NULL),(20,104,1,13,23,NULL,2,NULL,NULL),(20,104,1,13,24,NULL,1,NULL,NULL),(20,104,1,13,25,NULL,NULL,NULL,NULL),(20,104,1,13,26,NULL,NULL,NULL,NULL),(20,104,1,13,27,NULL,1,NULL,NULL),(20,104,1,13,28,NULL,NULL,NULL,NULL),(20,104,1,13,29,1,NULL,NULL,NULL),(20,104,1,13,30,1,NULL,NULL,NULL),(20,104,1,13,31,1,NULL,NULL,NULL),(20,104,1,13,32,NULL,1,NULL,NULL),(20,104,1,13,33,1,NULL,NULL,NULL),(20,104,1,13,34,NULL,1,NULL,NULL),(20,104,1,13,35,1,NULL,NULL,NULL),(20,104,1,13,36,1,2,NULL,NULL),(20,104,1,13,37,NULL,1,NULL,NULL),(20,104,1,13,38,NULL,NULL,NULL,NULL),(20,104,1,13,39,2,NULL,NULL,NULL),(20,104,1,13,40,NULL,NULL,NULL,NULL),(20,104,1,14,1,23,25,9,8),(20,104,1,14,2,18,16,12,6),(20,104,1,14,3,14,34,6,10),(20,104,1,14,4,12,44,5,9),(20,104,1,14,5,39,32,16,10),(20,104,1,14,6,54,50,19,8),(20,104,1,14,7,25,31,9,13),(20,104,1,14,8,64,14,24,3),(20,104,1,14,9,49,59,15,14),(20,104,1,14,10,14,17,9,5),(20,104,1,14,11,9,19,2,5),(20,104,1,14,12,28,20,14,6),(20,104,1,14,13,70,30,23,7),(20,104,1,14,14,75,41,21,7),(20,104,1,14,15,45,22,15,6),(20,104,1,14,16,81,19,24,6),(20,104,1,14,17,40,57,13,10),(20,104,1,14,18,63,29,18,8),(20,104,1,14,19,60,13,23,NULL),(20,104,1,14,20,81,32,23,8),(20,104,1,14,21,6,31,2,12),(20,104,1,14,22,7,41,4,18),(20,104,1,14,23,15,58,3,11),(20,104,1,14,24,16,45,5,20),(20,104,1,14,25,32,46,16,7),(20,104,1,14,26,24,NULL,14,NULL),(20,104,1,14,27,14,52,8,19),(20,104,1,14,28,8,22,5,12),(20,104,1,14,29,12,16,2,6),(20,104,1,14,30,10,25,6,11),(20,104,1,14,31,43,47,8,16),(20,104,1,14,32,45,17,19,5),(20,104,1,14,33,22,38,11,11),(20,104,1,14,34,10,27,7,9),(20,104,1,14,35,49,39,14,9),(20,104,1,14,36,61,47,22,6),(20,104,1,14,37,48,43,11,17),(20,104,1,14,38,6,27,4,9),(20,104,1,14,39,67,46,19,10),(20,104,1,14,40,51,9,23,1),(20,104,1,15,1,17,22,5,4),(20,104,1,15,2,18,13,5,1),(20,104,1,15,3,10,39,5,8),(20,104,1,15,4,18,44,3,5),(20,104,1,15,5,38,38,9,8),(20,104,1,15,6,55,50,12,6),(20,104,1,15,7,23,36,5,7),(20,104,1,15,8,61,24,15,2),(20,104,1,15,9,37,65,6,9),(20,104,1,15,10,29,13,10,2),(20,104,1,15,11,4,20,1,4),(20,104,1,15,12,30,21,12,3),(20,104,1,15,13,55,39,13,4),(20,104,1,15,14,55,51,16,4),(20,104,1,15,15,34,31,9,4),(20,104,1,15,16,68,24,13,4),(20,104,1,15,17,31,61,11,5),(20,104,1,15,18,53,33,12,2),(20,104,1,15,19,63,13,16,NULL),(20,104,1,15,20,72,38,16,4),(20,104,1,15,21,3,24,NULL,8),(20,104,1,15,22,9,36,2,12),(20,104,1,15,23,11,53,NULL,7),(20,104,1,15,24,7,38,1,12),(20,104,1,15,25,20,31,5,6),(20,104,1,15,26,21,NULL,6,NULL),(20,104,1,15,27,21,37,6,8),(20,104,1,15,28,13,32,7,8),(20,104,1,15,29,8,27,3,6),(20,104,1,15,30,8,28,2,8),(20,104,1,15,31,38,40,7,7),(20,104,1,15,32,38,23,8,5),(20,104,1,15,33,22,31,6,10),(20,104,1,15,34,7,20,1,6),(20,104,1,15,35,36,32,9,4),(20,104,1,15,36,52,44,12,7),(20,104,1,15,37,43,34,7,9),(20,104,1,15,38,6,23,4,5),(20,104,1,15,39,56,42,17,3),(20,104,1,15,40,56,3,16,NULL),(20,104,1,16,1,26,35,5,6),(20,104,1,16,2,17,16,5,9),(20,104,1,16,3,17,51,6,11),(20,104,1,16,4,20,53,4,9),(20,104,1,16,5,27,60,7,10),(20,104,1,16,6,69,67,13,8),(20,104,1,16,7,25,33,7,8),(20,104,1,16,8,84,20,18,4),(20,104,1,16,9,51,69,12,10),(20,104,1,16,10,26,24,11,6),(20,104,1,16,11,10,33,3,9),(20,104,1,16,12,17,38,5,8),(20,104,1,16,13,68,62,10,11),(20,104,1,16,14,17,30,6,4),(20,104,1,16,15,70,17,17,2),(20,104,1,16,16,9,63,1,14),(20,104,1,16,17,108,59,23,8),(20,104,1,16,18,15,47,5,11),(20,104,1,16,19,78,52,8,6),(20,104,1,16,20,4,44,NULL,12),(20,104,1,16,21,12,27,2,6),(20,104,1,16,22,15,33,2,14),(20,104,1,16,23,15,51,3,15),(20,104,1,16,24,21,38,4,17),(20,104,1,16,25,23,58,9,19),(20,104,1,16,26,17,NULL,8,NULL),(20,104,1,16,27,18,54,6,17),(20,104,1,16,28,5,28,2,11),(20,104,1,16,29,12,33,3,9),(20,104,1,16,30,11,33,3,13),(20,104,1,16,31,48,64,11,13),(20,104,1,16,32,46,27,13,3),(20,104,1,16,33,26,41,13,9),(20,104,1,16,34,13,49,6,11),(20,104,1,16,35,54,55,13,10),(20,104,1,16,36,71,61,23,2),(20,104,1,16,37,61,49,13,14),(20,104,1,16,38,17,34,6,5),(20,104,1,16,39,79,51,16,12),(20,104,1,16,40,55,13,16,2),(20,104,1,17,1,32,43,5,1),(20,104,1,17,2,23,15,5,2),(20,104,1,17,3,11,37,2,NULL),(20,104,1,17,4,24,58,1,4),(20,104,1,17,5,35,56,4,7),(20,104,1,17,6,64,76,8,4),(20,104,1,17,7,21,34,5,4),(20,104,1,17,8,88,20,9,1),(20,104,1,17,9,49,83,3,11),(20,104,1,17,10,24,27,6,3),(20,104,1,17,11,11,32,2,3),(20,104,1,17,12,31,23,2,4),(20,104,1,17,13,42,75,5,6),(20,104,1,17,14,16,24,1,2),(20,104,1,17,15,67,21,9,1),(20,104,1,17,16,18,57,1,3),(20,104,1,17,17,78,85,5,9),(20,104,1,17,18,10,56,2,6),(20,104,1,17,19,74,57,5,4),(20,104,1,17,20,7,48,NULL,5),(20,104,1,17,21,8,25,1,3),(20,104,1,17,22,9,38,NULL,8),(20,104,1,17,23,10,69,NULL,5),(20,104,1,17,24,19,44,2,8),(20,104,1,17,25,14,64,3,5),(20,104,1,17,26,23,NULL,4,NULL),(20,104,1,17,27,18,42,3,9),(20,104,1,17,28,7,20,NULL,2),(20,104,1,17,29,11,40,NULL,3),(20,104,1,17,30,7,40,1,10),(20,104,1,17,31,41,53,3,6),(20,104,1,17,32,41,29,5,4),(20,104,1,17,33,17,51,5,4),(20,104,1,17,34,10,36,1,2),(20,104,1,17,35,54,41,4,7),(20,104,1,17,36,63,60,11,4),(20,104,1,17,37,64,52,3,6),(20,104,1,17,38,7,31,3,2),(20,104,1,17,39,61,67,7,7),(20,104,1,17,40,59,11,9,NULL),(20,104,2,21,1,11,27,1,6),(20,104,2,21,2,5,13,1,2),(20,104,2,21,3,18,46,2,11),(20,104,2,21,4,26,12,6,1),(20,104,2,21,5,6,11,NULL,3),(20,104,2,21,6,38,36,10,7),(20,104,2,21,7,24,26,5,6),(20,104,2,21,8,19,NULL,7,NULL),(20,104,2,21,9,40,84,5,7),(20,104,2,21,10,3,40,NULL,7),(20,104,2,21,11,23,12,3,1),(20,104,2,21,12,11,19,2,6),(20,104,2,21,13,73,51,12,5),(20,104,2,21,14,102,55,16,5),(20,104,2,21,15,59,48,7,6),(20,104,2,21,16,37,40,9,6),(20,104,2,21,17,25,29,6,3),(20,104,2,21,18,13,46,2,9),(20,104,2,21,19,30,59,4,11),(20,104,2,21,20,32,54,8,10),(20,104,2,21,21,1,12,NULL,2),(20,104,2,21,22,14,22,NULL,4),(20,104,2,21,23,4,18,NULL,2),(20,104,2,21,24,2,7,NULL,2),(20,104,2,21,25,21,44,9,4),(20,104,2,21,26,9,18,2,5),(20,104,2,21,27,6,14,1,5),(20,104,2,21,28,27,20,6,4),(20,104,2,21,29,4,26,NULL,7),(20,104,2,21,30,12,8,3,1),(20,104,2,21,31,13,41,7,8),(20,104,2,21,32,20,53,5,10),(20,104,2,21,33,20,36,2,3),(20,104,2,21,34,20,33,7,5),(20,104,2,21,35,10,49,NULL,8),(20,104,2,21,36,20,29,6,2),(20,104,2,21,37,16,26,4,9),(20,104,2,21,38,9,47,NULL,9),(20,104,2,21,39,19,18,7,3),(20,104,2,21,40,27,21,12,1),(20,104,2,22,1,18,33,5,8),(20,104,2,22,2,3,20,1,2),(20,104,2,22,3,28,65,4,16),(20,104,2,22,4,10,26,2,3),(20,104,2,22,5,3,19,2,5),(20,104,2,22,6,33,49,14,13),(20,104,2,22,7,20,35,5,11),(20,104,2,22,8,27,NULL,11,NULL),(20,104,2,22,9,40,86,7,15),(20,104,2,22,10,2,56,NULL,13),(20,104,2,22,11,33,30,5,7),(20,104,2,22,12,11,27,4,6),(20,104,2,22,13,81,59,21,4),(20,104,2,22,14,92,67,16,11),(20,104,2,22,15,63,46,12,6),(20,104,2,22,16,54,39,10,9),(20,104,2,22,17,41,28,15,4),(20,104,2,22,18,10,46,1,10),(20,104,2,22,19,31,64,8,13),(20,104,2,22,20,33,43,12,8),(20,104,2,22,21,NULL,10,NULL,NULL),(20,104,2,22,22,3,39,NULL,9),(20,104,2,22,23,2,12,1,3),(20,104,2,22,24,1,9,NULL,6),(20,104,2,22,25,26,48,13,7),(20,104,2,22,26,11,23,8,6),(20,104,2,22,27,8,15,5,4),(20,104,2,22,28,30,23,7,6),(20,104,2,22,29,6,14,3,5),(20,104,2,22,30,15,11,4,1),(20,104,2,22,31,12,52,5,11),(20,104,2,22,32,23,58,10,6),(20,104,2,22,33,24,54,4,3),(20,104,2,22,34,16,49,5,13),(20,104,2,22,35,5,54,2,10),(20,104,2,22,36,23,45,6,10),(20,104,2,22,37,15,35,8,10),(20,104,2,22,38,17,39,10,10),(20,104,2,22,39,16,40,10,5),(20,104,2,22,40,41,30,17,3),(20,104,2,23,1,10,25,2,4),(20,104,2,23,2,2,24,NULL,10),(20,104,2,23,3,16,38,6,5),(20,104,2,23,4,9,13,2,1),(20,104,2,23,5,1,11,NULL,1),(20,104,2,23,6,30,38,14,4),(20,104,2,23,7,19,33,9,7),(20,104,2,23,8,20,NULL,9,NULL),(20,104,2,23,9,36,85,6,14),(20,104,2,23,10,6,28,3,7),(20,104,2,23,11,34,23,6,4),(20,104,2,23,12,7,13,NULL,2),(20,104,2,23,13,66,48,17,3),(20,104,2,23,14,82,64,13,9),(20,104,2,23,15,48,31,11,6),(20,104,2,23,16,43,28,5,7),(20,104,2,23,17,21,26,6,3),(20,104,2,23,18,4,41,1,11),(20,104,2,23,19,25,58,6,8),(20,104,2,23,20,28,46,12,8),(20,104,2,23,21,NULL,3,NULL,1),(20,104,2,23,22,9,32,NULL,4),(20,104,2,23,23,2,17,2,1),(20,104,2,23,24,2,8,NULL,2),(20,104,2,23,25,29,35,12,5),(20,104,2,23,26,15,29,7,8),(20,104,2,23,27,3,18,2,2),(20,104,2,23,28,35,25,11,5),(20,104,2,23,29,5,16,4,3),(20,104,2,23,30,12,10,2,1),(20,104,2,23,31,13,51,5,9),(20,104,2,23,32,20,46,5,8),(20,104,2,23,33,17,70,5,4),(20,104,2,23,34,25,33,9,8),(20,104,2,23,35,7,42,2,8),(20,104,2,23,36,20,33,6,5),(20,104,2,23,37,19,21,8,4),(20,104,2,23,38,10,29,4,11),(20,104,2,23,39,15,28,9,7),(20,104,2,23,40,33,23,9,3),(20,104,2,24,1,9,29,2,5),(20,104,2,24,2,5,15,1,1),(20,104,2,24,3,23,41,4,10),(20,104,2,24,4,19,18,5,3),(20,104,2,24,5,3,27,1,9),(20,104,2,24,6,29,38,12,7),(20,104,2,24,7,13,30,3,10),(20,104,2,24,8,20,NULL,7,NULL),(20,104,2,24,9,36,69,6,8),(20,104,2,24,10,3,40,1,10),(20,104,2,24,11,24,17,6,3),(20,104,2,24,12,7,29,3,4),(20,104,2,24,13,66,55,13,7),(20,104,2,24,14,69,59,13,7),(20,104,2,24,15,40,31,9,1),(20,104,2,24,16,44,39,7,7),(20,104,2,24,17,22,27,5,7),(20,104,2,24,18,5,43,1,11),(20,104,2,24,19,21,62,5,8),(20,104,2,24,20,30,46,7,5),(20,104,2,24,21,NULL,6,NULL,NULL),(20,104,2,24,22,16,33,2,7),(20,104,2,24,23,2,11,1,1),(20,104,2,24,24,2,7,NULL,2),(20,104,2,24,25,24,31,9,3),(20,104,2,24,26,16,14,9,2),(20,104,2,24,27,5,14,1,5),(20,104,2,24,28,22,35,5,5),(20,104,2,24,29,3,12,NULL,7),(20,104,2,24,30,14,8,4,1),(20,104,2,24,31,4,42,1,15),(20,104,2,24,32,16,38,6,6),(20,104,2,24,33,23,53,2,7),(20,104,2,24,34,21,30,5,6),(20,104,2,24,35,2,46,1,12),(20,104,2,24,36,20,24,7,3),(20,104,2,24,37,18,29,8,5),(20,104,2,24,38,9,35,4,11),(20,104,2,24,39,17,25,8,9),(20,104,2,24,40,23,20,11,3),(20,108,1,11,1,1,NULL,NULL,NULL),(20,108,1,11,2,NULL,NULL,NULL,NULL),(20,108,1,11,3,NULL,1,NULL,NULL),(20,108,1,11,4,NULL,1,NULL,NULL),(20,108,1,11,5,NULL,NULL,NULL,NULL),(20,108,1,11,6,NULL,1,NULL,NULL),(20,108,1,11,7,NULL,NULL,NULL,NULL),(20,108,1,11,8,1,NULL,NULL,NULL),(20,108,1,11,9,NULL,1,NULL,NULL),(20,108,1,11,10,1,NULL,NULL,NULL),(20,108,1,11,11,NULL,NULL,NULL,NULL),(20,108,1,11,12,NULL,NULL,NULL,NULL),(20,108,1,11,13,NULL,NULL,NULL,NULL),(20,108,1,11,14,NULL,1,NULL,NULL),(20,108,1,11,15,NULL,NULL,NULL,NULL),(20,108,1,11,16,NULL,1,NULL,NULL),(20,108,1,11,17,NULL,NULL,NULL,NULL),(20,108,1,11,18,1,NULL,NULL,NULL),(20,108,1,11,19,NULL,NULL,NULL,NULL),(20,108,1,11,20,NULL,NULL,NULL,NULL),(20,108,1,11,21,NULL,NULL,NULL,NULL),(20,108,1,11,22,NULL,NULL,NULL,NULL),(20,108,1,11,23,NULL,NULL,NULL,NULL),(20,108,1,11,24,NULL,NULL,NULL,NULL),(20,108,1,11,25,1,NULL,NULL,NULL),(20,108,1,11,26,NULL,NULL,NULL,NULL),(20,108,1,11,27,1,NULL,NULL,NULL),(20,108,1,11,28,NULL,NULL,NULL,NULL),(20,108,1,11,29,1,NULL,NULL,NULL),(20,108,1,11,30,NULL,NULL,NULL,NULL),(20,108,1,11,31,NULL,NULL,NULL,NULL),(20,108,1,11,32,NULL,NULL,NULL,NULL),(20,108,1,11,33,NULL,1,NULL,NULL),(20,108,1,11,34,NULL,NULL,NULL,NULL),(20,108,1,11,35,1,NULL,NULL,NULL),(20,108,1,11,36,NULL,1,NULL,NULL),(20,108,1,11,37,NULL,1,NULL,NULL),(20,108,1,11,38,NULL,NULL,NULL,NULL),(20,108,1,11,39,NULL,1,NULL,NULL),(20,108,1,11,40,1,NULL,NULL,NULL),(20,108,1,12,1,1,NULL,1,NULL),(20,108,1,12,2,NULL,1,NULL,1),(20,108,1,12,3,NULL,3,NULL,1),(20,108,1,12,4,NULL,4,NULL,1),(20,108,1,12,5,1,1,NULL,NULL),(20,108,1,12,6,3,1,NULL,1),(20,108,1,12,7,2,1,NULL,1),(20,108,1,12,8,3,NULL,1,NULL),(20,108,1,12,9,4,2,1,NULL),(20,108,1,12,10,3,1,1,NULL),(20,108,1,12,11,NULL,1,NULL,NULL),(20,108,1,12,12,1,1,NULL,1),(20,108,1,12,13,NULL,4,NULL,1),(20,108,1,12,14,2,4,NULL,1),(20,108,1,12,15,3,2,1,NULL),(20,108,1,12,16,4,NULL,1,NULL),(20,108,1,12,17,2,4,NULL,1),(20,108,1,12,18,3,2,NULL,1),(20,108,1,12,19,3,NULL,NULL,NULL),(20,108,1,12,20,1,1,NULL,1),(20,108,1,12,21,NULL,1,NULL,NULL),(20,108,1,12,22,1,1,NULL,NULL),(20,108,1,12,23,NULL,5,NULL,1),(20,108,1,12,24,NULL,2,NULL,NULL),(20,108,1,12,25,2,NULL,NULL,NULL),(20,108,1,12,26,NULL,NULL,NULL,NULL),(20,108,1,12,27,1,2,1,NULL),(20,108,1,12,28,NULL,1,NULL,NULL),(20,108,1,12,29,NULL,2,NULL,NULL),(20,108,1,12,30,NULL,NULL,NULL,NULL),(20,108,1,12,31,2,1,NULL,1),(20,108,1,12,32,1,1,1,NULL),(20,108,1,12,33,1,3,1,NULL),(20,108,1,12,34,NULL,2,NULL,NULL),(20,108,1,12,35,2,2,NULL,1),(20,108,1,12,36,3,1,1,NULL),(20,108,1,12,37,2,NULL,NULL,NULL),(20,108,1,12,38,NULL,2,NULL,1),(20,108,1,12,39,2,3,NULL,1),(20,108,1,12,40,2,NULL,NULL,NULL),(20,108,1,13,1,NULL,NULL,NULL,NULL),(20,108,1,13,2,NULL,1,NULL,NULL),(20,108,1,13,3,NULL,NULL,NULL,NULL),(20,108,1,13,4,NULL,NULL,NULL,NULL),(20,108,1,13,5,NULL,NULL,NULL,NULL),(20,108,1,13,6,NULL,1,NULL,NULL),(20,108,1,13,7,NULL,1,NULL,NULL),(20,108,1,13,8,NULL,1,NULL,NULL),(20,108,1,13,9,1,NULL,NULL,NULL),(20,108,1,13,10,NULL,NULL,NULL,NULL),(20,108,1,13,11,NULL,NULL,NULL,NULL),(20,108,1,13,12,NULL,NULL,NULL,NULL),(20,108,1,13,13,1,1,NULL,NULL),(20,108,1,13,14,1,NULL,NULL,NULL),(20,108,1,13,15,NULL,NULL,NULL,NULL),(20,108,1,13,16,1,1,NULL,NULL),(20,108,1,13,17,NULL,1,NULL,NULL),(20,108,1,13,18,NULL,NULL,NULL,NULL),(20,108,1,13,19,2,NULL,NULL,NULL),(20,108,1,13,20,NULL,NULL,NULL,NULL),(20,108,1,13,21,NULL,NULL,NULL,NULL),(20,108,1,13,22,NULL,NULL,NULL,NULL),(20,108,1,13,23,1,NULL,NULL,NULL),(20,108,1,13,24,NULL,NULL,NULL,NULL),(20,108,1,13,25,NULL,1,NULL,NULL),(20,108,1,13,26,NULL,NULL,NULL,NULL),(20,108,1,13,27,NULL,1,NULL,NULL),(20,108,1,13,28,NULL,NULL,NULL,NULL),(20,108,1,13,29,NULL,NULL,NULL,NULL),(20,108,1,13,30,NULL,1,NULL,NULL),(20,108,1,13,31,NULL,NULL,NULL,NULL),(20,108,1,13,32,NULL,NULL,NULL,NULL),(20,108,1,13,33,NULL,NULL,NULL,NULL),(20,108,1,13,34,NULL,NULL,NULL,NULL),(20,108,1,13,35,NULL,NULL,NULL,NULL),(20,108,1,13,36,NULL,NULL,NULL,NULL),(20,108,1,13,37,1,NULL,NULL,NULL),(20,108,1,13,38,NULL,1,NULL,NULL),(20,108,1,13,39,NULL,1,NULL,NULL),(20,108,1,13,40,NULL,NULL,NULL,NULL),(20,108,1,14,1,29,31,14,7),(20,108,1,14,2,17,13,9,4),(20,108,1,14,3,10,32,3,10),(20,108,1,14,4,7,31,1,9),(20,108,1,14,5,22,37,6,10),(20,108,1,14,6,62,40,15,15),(20,108,1,14,7,25,22,12,6),(20,108,1,14,8,38,14,15,7),(20,108,1,14,9,53,37,18,11),(20,108,1,14,10,23,10,14,1),(20,108,1,14,11,8,19,3,5),(20,108,1,14,12,22,17,10,4),(20,108,1,14,13,57,28,21,5),(20,108,1,14,14,62,36,19,8),(20,108,1,14,15,30,19,13,5),(20,108,1,14,16,72,16,23,3),(20,108,1,14,17,39,47,14,10),(20,108,1,14,18,55,28,16,9),(20,108,1,14,19,64,3,22,1),(20,108,1,14,20,73,23,23,5),(20,108,1,14,21,6,15,3,6),(20,108,1,14,22,7,32,2,15),(20,108,1,14,23,10,48,5,12),(20,108,1,14,24,13,26,4,12),(20,108,1,14,25,18,47,6,13),(20,108,1,14,26,16,NULL,8,NULL),(20,108,1,14,27,19,35,8,10),(20,108,1,14,28,3,21,2,10),(20,108,1,14,29,8,18,3,7),(20,108,1,14,30,13,14,4,2),(20,108,1,14,31,38,32,13,9),(20,108,1,14,32,46,17,17,6),(20,108,1,14,33,31,27,16,8),(20,108,1,14,34,10,35,3,17),(20,108,1,14,35,40,25,15,9),(20,108,1,14,36,62,29,23,3),(20,108,1,14,37,44,35,16,6),(20,108,1,14,38,7,20,3,7),(20,108,1,14,39,64,34,24,5),(20,108,1,14,40,44,11,19,2),(20,108,1,15,1,17,16,7,3),(20,108,1,15,2,18,18,5,4),(20,108,1,15,3,14,27,2,10),(20,108,1,15,4,15,21,4,5),(20,108,1,15,5,26,31,8,5),(20,108,1,15,6,50,47,14,11),(20,108,1,15,7,21,24,12,5),(20,108,1,15,8,50,10,14,4),(20,108,1,15,9,38,52,11,10),(20,108,1,15,10,24,10,10,4),(20,108,1,15,11,1,21,1,8),(20,108,1,15,12,15,19,8,6),(20,108,1,15,13,44,28,14,10),(20,108,1,15,14,52,30,17,6),(20,108,1,15,15,41,15,13,3),(20,108,1,15,16,57,22,15,7),(20,108,1,15,17,28,50,8,14),(20,108,1,15,18,59,19,18,4),(20,108,1,15,19,52,9,18,1),(20,108,1,15,20,62,28,19,5),(20,108,1,15,21,5,19,NULL,8),(20,108,1,15,22,12,31,2,16),(20,108,1,15,23,13,34,4,10),(20,108,1,15,24,13,24,3,12),(20,108,1,15,25,14,38,5,16),(20,108,1,15,26,12,NULL,5,NULL),(20,108,1,15,27,20,25,6,7),(20,108,1,15,28,5,19,NULL,10),(20,108,1,15,29,6,17,2,3),(20,108,1,15,30,5,18,3,5),(20,108,1,15,31,24,36,7,10),(20,108,1,15,32,35,14,18,2),(20,108,1,15,33,27,28,14,4),(20,108,1,15,34,10,26,5,10),(20,108,1,15,35,29,28,8,10),(20,108,1,15,36,56,35,16,8),(20,108,1,15,37,36,29,10,11),(20,108,1,15,38,6,28,3,10),(20,108,1,15,39,70,28,20,5),(20,108,1,15,40,40,7,20,2),(20,108,1,16,1,16,17,2,2),(20,108,1,16,2,5,16,2,1),(20,108,1,16,3,9,19,2,2),(20,108,1,16,4,9,28,NULL,4),(20,108,1,16,5,23,33,3,5),(20,108,1,16,6,37,35,5,4),(20,108,1,16,7,12,17,1,4),(20,108,1,16,8,45,14,6,3),(20,108,1,16,9,32,39,5,5),(20,108,1,16,10,13,12,3,3),(20,108,1,16,11,2,13,NULL,2),(20,108,1,16,12,15,17,3,3),(20,108,1,16,13,33,33,5,5),(20,108,1,16,14,8,13,2,1),(20,108,1,16,15,30,9,4,2),(20,108,1,16,16,1,29,NULL,4),(20,108,1,16,17,52,42,6,3),(20,108,1,16,18,3,25,NULL,2),(20,108,1,16,19,32,29,3,4),(20,108,1,16,20,3,31,NULL,5),(20,108,1,16,21,3,22,NULL,3),(20,108,1,16,22,4,18,2,2),(20,108,1,16,23,3,35,NULL,4),(20,108,1,16,24,6,13,1,2),(20,108,1,16,25,10,33,2,6),(20,108,1,16,26,6,NULL,1,NULL),(20,108,1,16,27,9,23,NULL,2),(20,108,1,16,28,2,13,1,5),(20,108,1,16,29,1,22,NULL,1),(20,108,1,16,30,5,25,1,5),(20,108,1,16,31,11,36,2,3),(20,108,1,16,32,24,22,6,4),(20,108,1,16,33,15,23,2,5),(20,108,1,16,34,7,12,NULL,4),(20,108,1,16,35,16,29,1,7),(20,108,1,16,36,32,38,6,2),(20,108,1,16,37,31,23,4,4),(20,108,1,16,38,7,14,3,1),(20,108,1,16,39,50,24,7,2),(20,108,1,16,40,26,10,6,NULL),(20,108,1,17,1,9,21,5,1),(20,108,1,17,2,12,14,5,2),(20,108,1,17,3,10,24,3,4),(20,108,1,17,4,10,36,1,5),(20,108,1,17,5,16,32,2,7),(20,108,1,17,6,25,33,5,6),(20,108,1,17,7,8,10,3,1),(20,108,1,17,8,37,17,9,1),(20,108,1,17,9,26,39,3,6),(20,108,1,17,10,15,24,6,4),(20,108,1,17,11,2,8,NULL,3),(20,108,1,17,12,13,13,6,2),(20,108,1,17,13,23,26,6,4),(20,108,1,17,14,6,15,NULL,3),(20,108,1,17,15,38,12,9,2),(20,108,1,17,16,6,16,NULL,4),(20,108,1,17,17,37,40,6,7),(20,108,1,17,18,4,24,1,3),(20,108,1,17,19,35,31,5,3),(20,108,1,17,20,1,25,NULL,3),(20,108,1,17,21,5,13,2,3),(20,108,1,17,22,6,17,1,8),(20,108,1,17,23,6,33,NULL,7),(20,108,1,17,24,3,32,NULL,7),(20,108,1,17,25,7,32,1,6),(20,108,1,17,26,8,NULL,3,NULL),(20,108,1,17,27,7,24,1,3),(20,108,1,17,28,2,18,1,3),(20,108,1,17,29,7,16,1,3),(20,108,1,17,30,5,16,NULL,4),(20,108,1,17,31,15,33,2,8),(20,108,1,17,32,24,11,7,1),(20,108,1,17,33,11,28,4,5),(20,108,1,17,34,NULL,26,NULL,6),(20,108,1,17,35,18,34,2,8),(20,108,1,17,36,33,31,9,3),(20,108,1,17,37,24,31,3,9),(20,108,1,17,38,10,17,2,4),(20,108,1,17,39,33,29,7,6),(20,108,1,17,40,37,6,12,NULL),(20,108,2,21,1,8,24,3,7),(20,108,2,21,2,1,13,NULL,2),(20,108,2,21,3,14,35,2,9),(20,108,2,21,4,15,16,6,2),(20,108,2,21,5,5,12,2,4),(20,108,2,21,6,26,25,7,10),(20,108,2,21,7,16,28,9,8),(20,108,2,21,8,15,NULL,8,NULL),(20,108,2,21,9,22,59,2,12),(20,108,2,21,10,2,30,1,11),(20,108,2,21,11,16,13,6,2),(20,108,2,21,12,10,16,3,4),(20,108,2,21,13,57,28,18,4),(20,108,2,21,14,48,42,15,9),(20,108,2,21,15,25,42,9,11),(20,108,2,21,16,32,30,9,9),(20,108,2,21,17,23,18,8,6),(20,108,2,21,18,1,30,1,9),(20,108,2,21,19,18,33,5,7),(20,108,2,21,20,21,38,4,16),(20,108,2,21,21,1,6,NULL,2),(20,108,2,21,22,5,17,NULL,3),(20,108,2,21,23,2,10,1,2),(20,108,2,21,24,4,6,1,4),(20,108,2,21,25,20,34,10,5),(20,108,2,21,26,7,15,3,5),(20,108,2,21,27,NULL,13,NULL,4),(20,108,2,21,28,22,19,7,6),(20,108,2,21,29,1,6,1,2),(20,108,2,21,30,9,12,5,NULL),(20,108,2,21,31,8,28,5,8),(20,108,2,21,32,17,30,6,8),(20,108,2,21,33,19,29,3,7),(20,108,2,21,34,14,19,7,6),(20,108,2,21,35,4,40,1,14),(20,108,2,21,36,13,23,6,3),(20,108,2,21,37,14,22,5,8),(20,108,2,21,38,9,29,5,11),(20,108,2,21,39,15,21,10,8),(20,108,2,21,40,22,23,8,5),(20,108,2,22,1,12,19,3,5),(20,108,2,22,2,4,13,1,3),(20,108,2,22,3,11,31,4,5),(20,108,2,22,4,10,14,1,1),(20,108,2,22,5,7,15,2,2),(20,108,2,22,6,24,18,6,3),(20,108,2,22,7,16,28,5,6),(20,108,2,22,8,18,NULL,5,NULL),(20,108,2,22,9,20,48,6,2),(20,108,2,22,10,2,25,1,3),(20,108,2,22,11,14,20,4,3),(20,108,2,22,12,5,13,NULL,2),(20,108,2,22,13,35,39,6,3),(20,108,2,22,14,37,48,4,6),(20,108,2,22,15,25,32,6,2),(20,108,2,22,16,26,30,5,4),(20,108,2,22,17,21,17,3,1),(20,108,2,22,18,4,31,NULL,7),(20,108,2,22,19,9,39,2,2),(20,108,2,22,20,21,29,4,1),(20,108,2,22,21,NULL,2,NULL,NULL),(20,108,2,22,22,2,21,NULL,2),(20,108,2,22,23,2,5,1,NULL),(20,108,2,22,24,3,3,2,NULL),(20,108,2,22,25,20,28,5,3),(20,108,2,22,26,4,14,NULL,2),(20,108,2,22,27,4,17,NULL,5),(20,108,2,22,28,16,16,4,1),(20,108,2,22,29,1,10,NULL,2),(20,108,2,22,30,3,10,1,1),(20,108,2,22,31,5,29,1,7),(20,108,2,22,32,11,34,1,6),(20,108,2,22,33,8,39,1,5),(20,108,2,22,34,5,29,NULL,4),(20,108,2,22,35,3,35,1,5),(20,108,2,22,36,13,20,1,2),(20,108,2,22,37,2,23,NULL,5),(20,108,2,22,38,3,21,NULL,6),(20,108,2,22,39,10,14,3,2),(20,108,2,22,40,13,22,6,3),(20,108,2,23,1,9,15,2,5),(20,108,2,23,2,3,6,1,2),(20,108,2,23,3,8,34,2,6),(20,108,2,23,4,13,14,6,2),(20,108,2,23,5,10,8,4,2),(20,108,2,23,6,26,16,9,4),(20,108,2,23,7,17,21,6,4),(20,108,2,23,8,16,NULL,4,NULL),(20,108,2,23,9,25,53,5,7),(20,108,2,23,10,5,20,1,4),(20,108,2,23,11,15,15,1,3),(20,108,2,23,12,3,11,NULL,3),(20,108,2,23,13,40,32,8,3),(20,108,2,23,14,50,34,13,4),(20,108,2,23,15,28,28,5,5),(20,108,2,23,16,38,18,6,5),(20,108,2,23,17,15,12,5,2),(20,108,2,23,18,4,19,1,11),(20,108,2,23,19,21,39,2,7),(20,108,2,23,20,26,29,6,6),(20,108,2,23,21,NULL,6,NULL,2),(20,108,2,23,22,10,21,1,3),(20,108,2,23,23,NULL,7,NULL,2),(20,108,2,23,24,NULL,7,NULL,3),(20,108,2,23,25,11,24,5,7),(20,108,2,23,26,2,12,NULL,6),(20,108,2,23,27,2,14,1,5),(20,108,2,23,28,13,18,5,1),(20,108,2,23,29,NULL,17,NULL,2),(20,108,2,23,30,11,5,2,1),(20,108,2,23,31,8,38,3,10),(20,108,2,23,32,14,29,6,8),(20,108,2,23,33,20,39,8,3),(20,108,2,23,34,18,29,5,9),(20,108,2,23,35,2,32,1,8),(20,108,2,23,36,13,21,6,3),(20,108,2,23,37,13,12,4,3),(20,108,2,23,38,6,19,NULL,6),(20,108,2,23,39,8,14,3,4),(20,108,2,23,40,21,17,7,2),(20,108,2,24,1,8,27,2,10),(20,108,2,24,2,2,7,NULL,3),(20,108,2,24,3,14,23,3,8),(20,108,2,24,4,9,13,1,4),(20,108,2,24,5,8,11,4,3),(20,108,2,24,6,21,24,11,12),(20,108,2,24,7,11,22,4,13),(20,108,2,24,8,13,NULL,8,NULL),(20,108,2,24,9,36,45,6,11),(20,108,2,24,10,4,18,2,12),(20,108,2,24,11,18,13,7,5),(20,108,2,24,12,6,14,3,5),(20,108,2,24,13,53,29,15,7),(20,108,2,24,14,57,30,18,4),(20,108,2,24,15,26,13,9,4),(20,108,2,24,16,38,18,14,5),(20,108,2,24,17,16,10,7,3),(20,108,2,24,18,8,27,6,10),(20,108,2,24,19,21,39,9,4),(20,108,2,24,20,18,34,7,14),(20,108,2,24,21,NULL,8,NULL,1),(20,108,2,24,22,7,19,1,5),(20,108,2,24,23,4,7,1,1),(20,108,2,24,24,1,6,1,3),(20,108,2,24,25,25,29,12,7),(20,108,2,24,26,6,7,2,4),(20,108,2,24,27,5,13,NULL,5),(20,108,2,24,28,19,17,8,4),(20,108,2,24,29,4,8,NULL,5),(20,108,2,24,30,12,7,2,NULL),(20,108,2,24,31,12,26,5,10),(20,108,2,24,32,17,31,5,13),(20,108,2,24,33,17,27,6,4),(20,108,2,24,34,20,19,8,7),(20,108,2,24,35,5,33,2,11),(20,108,2,24,36,16,17,11,5),(20,108,2,24,37,18,18,8,7),(20,108,2,24,38,5,16,3,9),(20,108,2,24,39,12,15,5,7),(20,108,2,24,40,16,15,9,4),(20,109,1,11,1,NULL,NULL,NULL,NULL),(20,109,1,11,2,NULL,NULL,NULL,NULL),(20,109,1,11,3,NULL,NULL,NULL,NULL),(20,109,1,11,4,NULL,NULL,NULL,NULL),(20,109,1,11,5,NULL,NULL,NULL,NULL),(20,109,1,11,6,NULL,NULL,NULL,NULL),(20,109,1,11,7,NULL,NULL,NULL,NULL),(20,109,1,11,8,1,NULL,1,NULL),(20,109,1,11,9,NULL,1,NULL,1),(20,109,1,11,10,NULL,1,NULL,1),(20,109,1,11,11,NULL,1,NULL,1),(20,109,1,11,12,NULL,NULL,NULL,NULL),(20,109,1,11,13,NULL,NULL,NULL,NULL),(20,109,1,11,14,NULL,1,NULL,1),(20,109,1,11,15,1,NULL,1,NULL),(20,109,1,11,16,NULL,1,NULL,1),(20,109,1,11,17,NULL,1,NULL,1),(20,109,1,11,18,NULL,1,NULL,1),(20,109,1,11,19,NULL,1,NULL,1),(20,109,1,11,20,NULL,1,NULL,1),(20,109,1,11,21,NULL,NULL,NULL,NULL),(20,109,1,11,22,NULL,1,NULL,1),(20,109,1,11,23,NULL,1,NULL,1),(20,109,1,11,24,NULL,NULL,NULL,NULL),(20,109,1,11,25,NULL,1,NULL,1),(20,109,1,11,26,NULL,NULL,NULL,NULL),(20,109,1,11,27,NULL,NULL,NULL,NULL),(20,109,1,11,28,NULL,NULL,NULL,NULL),(20,109,1,11,29,NULL,1,NULL,1),(20,109,1,11,30,NULL,NULL,NULL,NULL),(20,109,1,11,31,NULL,NULL,NULL,NULL),(20,109,1,11,32,NULL,1,NULL,1),(20,109,1,11,33,NULL,1,NULL,1),(20,109,1,11,34,NULL,NULL,NULL,NULL),(20,109,1,11,35,NULL,1,NULL,1),(20,109,1,11,36,NULL,1,NULL,1),(20,109,1,11,37,NULL,1,NULL,1),(20,109,1,11,38,NULL,1,NULL,1),(20,109,1,11,39,NULL,1,NULL,1),(20,109,1,11,40,NULL,1,NULL,1),(20,109,1,12,1,NULL,NULL,NULL,NULL),(20,109,1,12,2,NULL,NULL,NULL,NULL),(20,109,1,12,3,NULL,NULL,NULL,NULL),(20,109,1,12,4,NULL,NULL,NULL,NULL),(20,109,1,12,5,NULL,NULL,NULL,NULL),(20,109,1,12,6,NULL,NULL,NULL,NULL),(20,109,1,12,7,NULL,NULL,NULL,NULL),(20,109,1,12,8,NULL,NULL,NULL,NULL),(20,109,1,12,9,NULL,NULL,NULL,NULL),(20,109,1,12,10,NULL,NULL,NULL,NULL),(20,109,1,12,11,NULL,NULL,NULL,NULL),(20,109,1,12,12,NULL,NULL,NULL,NULL),(20,109,1,12,13,NULL,NULL,NULL,NULL),(20,109,1,12,14,NULL,NULL,NULL,NULL),(20,109,1,12,15,NULL,NULL,NULL,NULL),(20,109,1,12,16,NULL,NULL,NULL,NULL),(20,109,1,12,17,NULL,NULL,NULL,NULL),(20,109,1,12,18,NULL,NULL,NULL,NULL),(20,109,1,12,19,NULL,NULL,NULL,NULL),(20,109,1,12,20,NULL,NULL,NULL,NULL),(20,109,1,12,21,NULL,NULL,NULL,NULL),(20,109,1,12,22,NULL,NULL,NULL,NULL),(20,109,1,12,23,NULL,NULL,NULL,NULL),(20,109,1,12,24,NULL,NULL,NULL,NULL),(20,109,1,12,25,NULL,NULL,NULL,NULL),(20,109,1,12,26,NULL,NULL,NULL,NULL),(20,109,1,12,27,NULL,NULL,NULL,NULL),(20,109,1,12,28,NULL,NULL,NULL,NULL),(20,109,1,12,29,NULL,NULL,NULL,NULL),(20,109,1,12,30,NULL,NULL,NULL,NULL),(20,109,1,12,31,NULL,NULL,NULL,NULL),(20,109,1,12,32,NULL,NULL,NULL,NULL),(20,109,1,12,33,NULL,NULL,NULL,NULL),(20,109,1,12,34,NULL,NULL,NULL,NULL),(20,109,1,12,35,NULL,NULL,NULL,NULL),(20,109,1,12,36,NULL,NULL,NULL,NULL),(20,109,1,12,37,NULL,NULL,NULL,NULL),(20,109,1,12,38,NULL,NULL,NULL,NULL),(20,109,1,12,39,NULL,NULL,NULL,NULL),(20,109,1,12,40,NULL,NULL,NULL,NULL),(20,109,1,13,1,NULL,NULL,NULL,NULL),(20,109,1,13,2,NULL,NULL,NULL,NULL),(20,109,1,13,3,NULL,NULL,NULL,NULL),(20,109,1,13,4,NULL,NULL,NULL,NULL),(20,109,1,13,5,NULL,NULL,NULL,NULL),(20,109,1,13,6,NULL,NULL,NULL,NULL),(20,109,1,13,7,NULL,NULL,NULL,NULL),(20,109,1,13,8,NULL,NULL,NULL,NULL),(20,109,1,13,9,NULL,NULL,NULL,NULL),(20,109,1,13,10,NULL,NULL,NULL,NULL),(20,109,1,13,11,NULL,NULL,NULL,NULL),(20,109,1,13,12,NULL,NULL,NULL,NULL),(20,109,1,13,13,NULL,NULL,NULL,NULL),(20,109,1,13,14,NULL,NULL,NULL,NULL),(20,109,1,13,15,NULL,NULL,NULL,NULL),(20,109,1,13,16,NULL,NULL,NULL,NULL),(20,109,1,13,17,NULL,NULL,NULL,NULL),(20,109,1,13,18,NULL,NULL,NULL,NULL),(20,109,1,13,19,NULL,NULL,NULL,NULL),(20,109,1,13,20,NULL,NULL,NULL,NULL),(20,109,1,13,21,NULL,NULL,NULL,NULL),(20,109,1,13,22,NULL,NULL,NULL,NULL),(20,109,1,13,23,NULL,NULL,NULL,NULL),(20,109,1,13,24,NULL,NULL,NULL,NULL),(20,109,1,13,25,NULL,NULL,NULL,NULL),(20,109,1,13,26,NULL,NULL,NULL,NULL),(20,109,1,13,27,NULL,NULL,NULL,NULL),(20,109,1,13,28,NULL,NULL,NULL,NULL),(20,109,1,13,29,NULL,NULL,NULL,NULL),(20,109,1,13,30,NULL,NULL,NULL,NULL),(20,109,1,13,31,NULL,NULL,NULL,NULL),(20,109,1,13,32,NULL,NULL,NULL,NULL),(20,109,1,13,33,NULL,NULL,NULL,NULL),(20,109,1,13,34,NULL,NULL,NULL,NULL),(20,109,1,13,35,NULL,NULL,NULL,NULL),(20,109,1,13,36,NULL,NULL,NULL,NULL),(20,109,1,13,37,NULL,NULL,NULL,NULL),(20,109,1,13,38,NULL,NULL,NULL,NULL),(20,109,1,13,39,NULL,NULL,NULL,NULL),(20,109,1,13,40,NULL,NULL,NULL,NULL),(20,109,1,14,1,2,NULL,2,NULL),(20,109,1,14,2,NULL,NULL,NULL,NULL),(20,109,1,14,3,1,3,1,3),(20,109,1,14,4,NULL,2,NULL,2),(20,109,1,14,5,2,2,2,1),(20,109,1,14,6,4,4,4,4),(20,109,1,14,7,1,1,1,1),(20,109,1,14,8,6,1,5,1),(20,109,1,14,9,4,6,4,5),(20,109,1,14,10,1,2,1,1),(20,109,1,14,11,NULL,1,NULL,1),(20,109,1,14,12,1,2,1,2),(20,109,1,14,13,2,2,2,2),(20,109,1,14,14,3,4,2,4),(20,109,1,14,15,1,2,1,2),(20,109,1,14,16,1,3,NULL,3),(20,109,1,14,17,5,3,5,3),(20,109,1,14,18,4,3,3,3),(20,109,1,14,19,2,1,2,1),(20,109,1,14,20,4,1,4,1),(20,109,1,14,21,NULL,1,NULL,1),(20,109,1,14,22,NULL,2,NULL,2),(20,109,1,14,23,NULL,4,NULL,4),(20,109,1,14,24,NULL,2,NULL,1),(20,109,1,14,25,1,2,1,2),(20,109,1,14,26,NULL,NULL,NULL,NULL),(20,109,1,14,27,NULL,4,NULL,4),(20,109,1,14,28,NULL,2,NULL,2),(20,109,1,14,29,NULL,2,NULL,2),(20,109,1,14,30,NULL,1,NULL,1),(20,109,1,14,31,2,3,2,3),(20,109,1,14,32,1,2,1,1),(20,109,1,14,33,1,1,1,1),(20,109,1,14,34,3,1,3,1),(20,109,1,14,35,4,2,3,2),(20,109,1,14,36,2,5,2,4),(20,109,1,14,37,1,4,1,4),(20,109,1,14,38,NULL,NULL,NULL,NULL),(20,109,1,14,39,4,3,4,2),(20,109,1,14,40,5,1,5,1),(20,109,1,15,1,2,4,2,3),(20,109,1,15,2,2,2,2,2),(20,109,1,15,3,1,2,NULL,2),(20,109,1,15,4,1,3,1,3),(20,109,1,15,5,3,3,3,3),(20,109,1,15,6,5,5,5,5),(20,109,1,15,7,1,2,1,2),(20,109,1,15,8,6,1,6,NULL),(20,109,1,15,9,3,8,3,6),(20,109,1,15,10,1,4,1,4),(20,109,1,15,11,2,2,2,2),(20,109,1,15,12,1,2,1,1),(20,109,1,15,13,3,5,3,3),(20,109,1,15,14,5,5,5,4),(20,109,1,15,15,1,3,1,2),(20,109,1,15,16,7,1,4,1),(20,109,1,15,17,2,6,2,3),(20,109,1,15,18,5,4,5,2),(20,109,1,15,19,4,2,3,2),(20,109,1,15,20,7,1,6,NULL),(20,109,1,15,21,2,NULL,1,NULL),(20,109,1,15,22,1,1,1,1),(20,109,1,15,23,2,4,2,3),(20,109,1,15,24,1,NULL,1,NULL),(20,109,1,15,25,2,2,2,2),(20,109,1,15,26,NULL,NULL,NULL,NULL),(20,109,1,15,27,3,1,3,1),(20,109,1,15,28,NULL,NULL,NULL,NULL),(20,109,1,15,29,NULL,2,NULL,2),(20,109,1,15,30,NULL,3,NULL,2),(20,109,1,15,31,3,4,3,2),(20,109,1,15,32,4,NULL,3,NULL),(20,109,1,15,33,1,1,1,1),(20,109,1,15,34,NULL,1,NULL,1),(20,109,1,15,35,3,6,3,4),(20,109,1,15,36,1,6,1,5),(20,109,1,15,37,1,3,1,2),(20,109,1,15,38,1,1,NULL,1),(20,109,1,15,39,2,7,2,4),(20,109,1,15,40,1,2,1,2),(20,109,1,16,1,3,8,3,7),(20,109,1,16,2,5,4,5,2),(20,109,1,16,3,4,3,3,3),(20,109,1,16,4,2,7,1,5),(20,109,1,16,5,4,6,4,6),(20,109,1,16,6,14,11,11,8),(20,109,1,16,7,4,1,3,1),(20,109,1,16,8,11,3,10,2),(20,109,1,16,9,8,14,7,10),(20,109,1,16,10,1,6,1,5),(20,109,1,16,11,NULL,1,NULL,1),(20,109,1,16,12,3,5,3,4),(20,109,1,16,13,5,10,5,8),(20,109,1,16,14,1,1,1,NULL),(20,109,1,16,15,9,5,8,4),(20,109,1,16,16,1,13,1,7),(20,109,1,16,17,17,9,14,8),(20,109,1,16,18,2,5,2,3),(20,109,1,16,19,7,8,4,6),(20,109,1,16,20,2,8,2,4),(20,109,1,16,21,NULL,3,NULL,1),(20,109,1,16,22,2,4,2,3),(20,109,1,16,23,NULL,12,NULL,8),(20,109,1,16,24,1,4,1,1),(20,109,1,16,25,3,5,2,4),(20,109,1,16,26,2,NULL,1,NULL),(20,109,1,16,27,2,6,1,4),(20,109,1,16,28,1,3,1,1),(20,109,1,16,29,2,6,2,5),(20,109,1,16,30,2,6,1,5),(20,109,1,16,31,4,5,3,5),(20,109,1,16,32,5,3,5,2),(20,109,1,16,33,1,5,1,4),(20,109,1,16,34,NULL,5,NULL,4),(20,109,1,16,35,7,8,6,5),(20,109,1,16,36,4,8,3,5),(20,109,1,16,37,10,6,10,3),(20,109,1,16,38,2,5,2,4),(20,109,1,16,39,13,7,9,5),(20,109,1,16,40,4,3,3,2),(20,109,1,17,1,4,12,3,9),(20,109,1,17,2,5,2,4,2),(20,109,1,17,3,2,6,2,4),(20,109,1,17,4,3,6,2,6),(20,109,1,17,5,2,9,2,8),(20,109,1,17,6,9,12,6,9),(20,109,1,17,7,3,7,3,7),(20,109,1,17,8,8,7,8,6),(20,109,1,17,9,4,14,3,13),(20,109,1,17,10,1,7,1,7),(20,109,1,17,11,NULL,1,NULL,NULL),(20,109,1,17,12,3,8,3,7),(20,109,1,17,13,6,12,5,10),(20,109,1,17,14,2,3,2,2),(20,109,1,17,15,11,3,7,3),(20,109,1,17,16,1,8,1,7),(20,109,1,17,17,10,15,5,13),(20,109,1,17,18,NULL,8,NULL,5),(20,109,1,17,19,11,9,4,9),(20,109,1,17,20,2,6,NULL,6),(20,109,1,17,21,2,4,2,4),(20,109,1,17,22,1,6,1,6),(20,109,1,17,23,2,11,2,11),(20,109,1,17,24,1,4,1,4),(20,109,1,17,25,NULL,9,NULL,8),(20,109,1,17,26,4,NULL,4,NULL),(20,109,1,17,27,1,6,1,6),(20,109,1,17,28,NULL,1,NULL,1),(20,109,1,17,29,2,7,2,7),(20,109,1,17,30,2,6,2,5),(20,109,1,17,31,3,7,1,6),(20,109,1,17,32,2,5,2,5),(20,109,1,17,33,2,4,2,4),(20,109,1,17,34,NULL,2,NULL,2),(20,109,1,17,35,8,10,6,8),(20,109,1,17,36,5,6,4,5),(20,109,1,17,37,8,5,7,5),(20,109,1,17,38,2,2,2,2),(20,109,1,17,39,8,10,7,9),(20,109,1,17,40,3,4,3,3),(20,109,2,21,1,3,4,3,3),(20,109,2,21,2,1,1,1,1),(20,109,2,21,3,2,7,2,4),(20,109,2,21,4,4,5,3,5),(20,109,2,21,5,NULL,3,NULL,3),(20,109,2,21,6,3,4,3,3),(20,109,2,21,7,3,4,3,3),(20,109,2,21,8,3,NULL,2,NULL),(20,109,2,21,9,3,13,2,10),(20,109,2,21,10,1,6,1,4),(20,109,2,21,11,2,3,2,3),(20,109,2,21,12,NULL,1,NULL,1),(20,109,2,21,13,9,5,8,2),(20,109,2,21,14,7,15,6,12),(20,109,2,21,15,7,8,7,3),(20,109,2,21,16,6,8,4,6),(20,109,2,21,17,2,7,2,5),(20,109,2,21,18,1,7,1,5),(20,109,2,21,19,4,5,3,5),(20,109,2,21,20,5,7,4,7),(20,109,2,21,21,NULL,1,NULL,1),(20,109,2,21,22,2,7,2,6),(20,109,2,21,23,1,1,NULL,NULL),(20,109,2,21,24,NULL,2,NULL,1),(20,109,2,21,25,2,9,2,6),(20,109,2,21,26,NULL,4,NULL,2),(20,109,2,21,27,1,2,1,2),(20,109,2,21,28,5,2,5,1),(20,109,2,21,29,NULL,2,NULL,2),(20,109,2,21,30,NULL,1,NULL,1),(20,109,2,21,31,3,4,3,3),(20,109,2,21,32,1,4,1,4),(20,109,2,21,33,3,11,2,9),(20,109,2,21,34,1,5,1,4),(20,109,2,21,35,1,7,1,7),(20,109,2,21,36,3,7,3,6),(20,109,2,21,37,1,5,1,5),(20,109,2,21,38,NULL,3,NULL,3),(20,109,2,21,39,NULL,4,NULL,4),(20,109,2,21,40,1,4,NULL,4),(20,109,2,22,1,NULL,6,NULL,5),(20,109,2,22,2,NULL,3,NULL,2),(20,109,2,22,3,1,5,1,4),(20,109,2,22,4,1,2,1,1),(20,109,2,22,5,1,4,1,3),(20,109,2,22,6,1,7,1,7),(20,109,2,22,7,2,2,2,2),(20,109,2,22,8,NULL,NULL,NULL,NULL),(20,109,2,22,9,4,8,2,6),(20,109,2,22,10,1,4,1,3),(20,109,2,22,11,4,6,4,5),(20,109,2,22,12,NULL,2,NULL,2),(20,109,2,22,13,4,11,3,10),(20,109,2,22,14,2,11,2,10),(20,109,2,22,15,4,1,3,1),(20,109,2,22,16,2,3,2,3),(20,109,2,22,17,2,1,1,1),(20,109,2,22,18,NULL,2,NULL,2),(20,109,2,22,19,1,6,1,4),(20,109,2,22,20,1,2,1,1),(20,109,2,22,21,NULL,NULL,NULL,NULL),(20,109,2,22,22,1,5,1,4),(20,109,2,22,23,1,1,1,NULL),(20,109,2,22,24,1,1,1,1),(20,109,2,22,25,2,4,1,3),(20,109,2,22,26,1,2,1,2),(20,109,2,22,27,NULL,NULL,NULL,NULL),(20,109,2,22,28,1,2,1,2),(20,109,2,22,29,1,2,NULL,2),(20,109,2,22,30,NULL,2,NULL,2),(20,109,2,22,31,1,5,NULL,5),(20,109,2,22,32,1,1,1,1),(20,109,2,22,33,3,2,1,2),(20,109,2,22,34,1,6,1,5),(20,109,2,22,35,2,6,2,6),(20,109,2,22,36,1,5,1,5),(20,109,2,22,37,NULL,4,NULL,4),(20,109,2,22,38,NULL,3,NULL,3),(20,109,2,22,39,2,1,2,1),(20,109,2,22,40,3,4,2,4),(20,109,2,23,1,2,4,1,4),(20,109,2,23,2,NULL,3,NULL,3),(20,109,2,23,3,NULL,4,NULL,3),(20,109,2,23,4,NULL,5,NULL,4),(20,109,2,23,5,1,1,1,1),(20,109,2,23,6,3,2,2,2),(20,109,2,23,7,1,4,1,4),(20,109,2,23,8,1,NULL,NULL,NULL),(20,109,2,23,9,1,12,1,8),(20,109,2,23,10,NULL,2,NULL,2),(20,109,2,23,11,3,4,3,3),(20,109,2,23,12,NULL,6,NULL,4),(20,109,2,23,13,7,9,6,9),(20,109,2,23,14,10,10,7,9),(20,109,2,23,15,2,6,1,4),(20,109,2,23,16,8,3,5,3),(20,109,2,23,17,2,4,1,3),(20,109,2,23,18,2,8,1,6),(20,109,2,23,19,3,5,3,5),(20,109,2,23,20,2,6,2,6),(20,109,2,23,21,NULL,2,NULL,2),(20,109,2,23,22,3,7,3,7),(20,109,2,23,23,NULL,2,NULL,2),(20,109,2,23,24,NULL,2,NULL,1),(20,109,2,23,25,1,7,1,6),(20,109,2,23,26,NULL,4,NULL,4),(20,109,2,23,27,NULL,NULL,NULL,NULL),(20,109,2,23,28,5,7,3,7),(20,109,2,23,29,NULL,2,NULL,2),(20,109,2,23,30,2,5,1,5),(20,109,2,23,31,NULL,6,NULL,4),(20,109,2,23,32,NULL,5,NULL,4),(20,109,2,23,33,1,9,1,6),(20,109,2,23,34,2,4,2,3),(20,109,2,23,35,NULL,2,NULL,2),(20,109,2,23,36,1,7,1,5),(20,109,2,23,37,2,3,2,2),(20,109,2,23,38,NULL,1,NULL,1),(20,109,2,23,39,2,1,2,NULL),(20,109,2,23,40,3,2,3,2),(20,109,2,24,1,1,2,1,1),(20,109,2,24,2,1,1,1,1),(20,109,2,24,3,4,4,3,2),(20,109,2,24,4,3,4,2,4),(20,109,2,24,5,NULL,1,NULL,1),(20,109,2,24,6,1,4,NULL,4),(20,109,2,24,7,NULL,3,NULL,2),(20,109,2,24,8,4,NULL,4,NULL),(20,109,2,24,9,11,9,5,7),(20,109,2,24,10,1,6,NULL,6),(20,109,2,24,11,5,1,4,1),(20,109,2,24,12,3,2,1,2),(20,109,2,24,13,5,10,4,8),(20,109,2,24,14,8,7,5,4),(20,109,2,24,15,NULL,7,NULL,3),(20,109,2,24,16,7,2,5,2),(20,109,2,24,17,1,3,1,2),(20,109,2,24,18,1,4,1,4),(20,109,2,24,19,1,8,1,4),(20,109,2,24,20,1,7,1,5),(20,109,2,24,21,1,1,NULL,NULL),(20,109,2,24,22,5,2,3,2),(20,109,2,24,23,NULL,2,NULL,1),(20,109,2,24,24,NULL,1,NULL,1),(20,109,2,24,25,NULL,6,NULL,4),(20,109,2,24,26,NULL,2,NULL,2),(20,109,2,24,27,NULL,1,NULL,1),(20,109,2,24,28,1,2,1,2),(20,109,2,24,29,NULL,1,NULL,NULL),(20,109,2,24,30,1,4,1,4),(20,109,2,24,31,NULL,4,NULL,2),(20,109,2,24,32,1,2,NULL,2),(20,109,2,24,33,4,8,1,4),(20,109,2,24,34,1,8,1,4),(20,109,2,24,35,NULL,3,NULL,3),(20,109,2,24,36,2,7,2,6),(20,109,2,24,37,NULL,2,NULL,2),(20,109,2,24,38,NULL,3,NULL,3),(20,109,2,24,39,NULL,3,NULL,2),(20,109,2,24,40,NULL,5,NULL,4),(20,110,1,11,1,1,NULL,1,NULL),(20,110,1,11,2,NULL,NULL,NULL,NULL),(20,110,1,11,3,NULL,2,NULL,1),(20,110,1,11,4,NULL,NULL,NULL,NULL),(20,110,1,11,5,NULL,NULL,NULL,NULL),(20,110,1,11,6,NULL,2,NULL,1),(20,110,1,11,7,1,NULL,1,NULL),(20,110,1,11,8,1,NULL,NULL,NULL),(20,110,1,11,9,NULL,1,NULL,1),(20,110,1,11,10,NULL,NULL,NULL,NULL),(20,110,1,11,11,NULL,NULL,NULL,NULL),(20,110,1,11,12,NULL,NULL,NULL,NULL),(20,110,1,11,13,NULL,NULL,NULL,NULL),(20,110,1,11,14,NULL,1,NULL,1),(20,110,1,11,15,1,NULL,1,NULL),(20,110,1,11,16,NULL,1,NULL,1),(20,110,1,11,17,NULL,1,NULL,1),(20,110,1,11,18,NULL,NULL,NULL,NULL),(20,110,1,11,19,NULL,2,NULL,1),(20,110,1,11,20,NULL,NULL,NULL,NULL),(20,110,1,11,21,NULL,NULL,NULL,NULL),(20,110,1,11,22,NULL,NULL,NULL,NULL),(20,110,1,11,23,NULL,NULL,NULL,NULL),(20,110,1,11,24,NULL,NULL,NULL,NULL),(20,110,1,11,25,1,NULL,NULL,NULL),(20,110,1,11,26,NULL,NULL,NULL,NULL),(20,110,1,11,27,1,NULL,1,NULL),(20,110,1,11,28,NULL,NULL,NULL,NULL),(20,110,1,11,29,NULL,1,NULL,1),(20,110,1,11,30,NULL,1,NULL,1),(20,110,1,11,31,1,NULL,NULL,NULL),(20,110,1,11,32,NULL,1,NULL,1),(20,110,1,11,33,1,NULL,1,NULL),(20,110,1,11,34,NULL,NULL,NULL,NULL),(20,110,1,11,35,1,NULL,1,NULL),(20,110,1,11,36,NULL,2,NULL,1),(20,110,1,11,37,1,1,NULL,1),(20,110,1,11,38,NULL,NULL,NULL,NULL),(20,110,1,11,39,1,NULL,1,NULL),(20,110,1,11,40,1,NULL,NULL,NULL),(20,110,1,12,1,NULL,NULL,NULL,NULL),(20,110,1,12,2,NULL,NULL,NULL,NULL),(20,110,1,12,3,NULL,NULL,NULL,NULL),(20,110,1,12,4,NULL,NULL,NULL,NULL),(20,110,1,12,5,NULL,NULL,NULL,NULL),(20,110,1,12,6,NULL,1,NULL,NULL),(20,110,1,12,7,NULL,NULL,NULL,NULL),(20,110,1,12,8,NULL,NULL,NULL,NULL),(20,110,1,12,9,NULL,NULL,NULL,NULL),(20,110,1,12,10,NULL,NULL,NULL,NULL),(20,110,1,12,11,NULL,NULL,NULL,NULL),(20,110,1,12,12,NULL,NULL,NULL,NULL),(20,110,1,12,13,NULL,NULL,NULL,NULL),(20,110,1,12,14,NULL,1,NULL,NULL),(20,110,1,12,15,NULL,NULL,NULL,NULL),(20,110,1,12,16,1,NULL,NULL,NULL),(20,110,1,12,17,NULL,1,NULL,NULL),(20,110,1,12,18,1,NULL,NULL,NULL),(20,110,1,12,19,NULL,NULL,NULL,NULL),(20,110,1,12,20,NULL,NULL,NULL,NULL),(20,110,1,12,21,NULL,NULL,NULL,NULL),(20,110,1,12,22,NULL,1,NULL,NULL),(20,110,1,12,23,NULL,1,NULL,NULL),(20,110,1,12,24,NULL,1,NULL,NULL),(20,110,1,12,25,NULL,NULL,NULL,NULL),(20,110,1,12,26,NULL,NULL,NULL,NULL),(20,110,1,12,27,NULL,NULL,NULL,NULL),(20,110,1,12,28,NULL,NULL,NULL,NULL),(20,110,1,12,29,NULL,NULL,NULL,NULL),(20,110,1,12,30,NULL,NULL,NULL,NULL),(20,110,1,12,31,NULL,NULL,NULL,NULL),(20,110,1,12,32,NULL,NULL,NULL,NULL),(20,110,1,12,33,NULL,NULL,NULL,NULL),(20,110,1,12,34,NULL,NULL,NULL,NULL),(20,110,1,12,35,NULL,NULL,NULL,NULL),(20,110,1,12,36,NULL,1,NULL,NULL),(20,110,1,12,37,1,NULL,NULL,NULL),(20,110,1,12,38,NULL,NULL,NULL,NULL),(20,110,1,12,39,1,NULL,NULL,NULL),(20,110,1,12,40,NULL,NULL,NULL,NULL),(20,110,1,13,1,NULL,NULL,NULL,NULL),(20,110,1,13,2,NULL,NULL,NULL,NULL),(20,110,1,13,3,NULL,NULL,NULL,NULL),(20,110,1,13,4,NULL,NULL,NULL,NULL),(20,110,1,13,5,NULL,NULL,NULL,NULL),(20,110,1,13,6,NULL,NULL,NULL,NULL),(20,110,1,13,7,NULL,NULL,NULL,NULL),(20,110,1,13,8,NULL,NULL,NULL,NULL),(20,110,1,13,9,1,NULL,NULL,NULL),(20,110,1,13,10,NULL,NULL,NULL,NULL),(20,110,1,13,11,NULL,NULL,NULL,NULL),(20,110,1,13,12,NULL,NULL,NULL,NULL),(20,110,1,13,13,NULL,NULL,NULL,NULL),(20,110,1,13,14,NULL,NULL,NULL,NULL),(20,110,1,13,15,NULL,NULL,NULL,NULL),(20,110,1,13,16,NULL,NULL,NULL,NULL),(20,110,1,13,17,NULL,NULL,NULL,NULL),(20,110,1,13,18,NULL,NULL,NULL,NULL),(20,110,1,13,19,NULL,NULL,NULL,NULL),(20,110,1,13,20,NULL,NULL,NULL,NULL),(20,110,1,13,21,NULL,NULL,NULL,NULL),(20,110,1,13,22,NULL,NULL,NULL,NULL),(20,110,1,13,23,1,NULL,NULL,NULL),(20,110,1,13,24,NULL,NULL,NULL,NULL),(20,110,1,13,25,1,NULL,NULL,NULL),(20,110,1,13,26,NULL,NULL,NULL,NULL),(20,110,1,13,27,NULL,NULL,NULL,NULL),(20,110,1,13,28,NULL,NULL,NULL,NULL),(20,110,1,13,29,NULL,NULL,NULL,NULL),(20,110,1,13,30,NULL,NULL,NULL,NULL),(20,110,1,13,31,NULL,NULL,NULL,NULL),(20,110,1,13,32,NULL,NULL,NULL,NULL),(20,110,1,13,33,NULL,NULL,NULL,NULL),(20,110,1,13,34,NULL,NULL,NULL,NULL),(20,110,1,13,35,NULL,NULL,NULL,NULL),(20,110,1,13,36,NULL,NULL,NULL,NULL),(20,110,1,13,37,NULL,NULL,NULL,NULL),(20,110,1,13,38,NULL,NULL,NULL,NULL),(20,110,1,13,39,NULL,NULL,NULL,NULL),(20,110,1,13,40,NULL,NULL,NULL,NULL),(20,110,1,14,1,1,1,1,1),(20,110,1,14,2,NULL,1,NULL,1),(20,110,1,14,3,1,4,1,3),(20,110,1,14,4,1,1,1,1),(20,110,1,14,5,1,3,NULL,1),(20,110,1,14,6,2,6,2,5),(20,110,1,14,7,NULL,3,NULL,2),(20,110,1,14,8,4,NULL,2,NULL),(20,110,1,14,9,3,5,3,4),(20,110,1,14,10,2,3,1,2),(20,110,1,14,11,NULL,2,NULL,2),(20,110,1,14,12,NULL,1,NULL,NULL),(20,110,1,14,13,7,NULL,6,NULL),(20,110,1,14,14,9,5,9,1),(20,110,1,14,15,4,NULL,3,NULL),(20,110,1,14,16,6,3,5,2),(20,110,1,14,17,3,1,3,1),(20,110,1,14,18,7,3,6,1),(20,110,1,14,19,6,NULL,6,NULL),(20,110,1,14,20,7,3,6,1),(20,110,1,14,21,2,1,2,1),(20,110,1,14,22,1,2,1,1),(20,110,1,14,23,1,6,NULL,4),(20,110,1,14,24,2,2,1,1),(20,110,1,14,25,1,7,1,4),(20,110,1,14,26,NULL,NULL,NULL,NULL),(20,110,1,14,27,1,4,1,4),(20,110,1,14,28,NULL,NULL,NULL,NULL),(20,110,1,14,29,NULL,1,NULL,NULL),(20,110,1,14,30,NULL,1,NULL,1),(20,110,1,14,31,2,2,2,2),(20,110,1,14,32,2,1,1,1),(20,110,1,14,33,2,NULL,2,NULL),(20,110,1,14,34,NULL,1,NULL,1),(20,110,1,14,35,2,4,1,2),(20,110,1,14,36,4,1,3,1),(20,110,1,14,37,2,5,2,3),(20,110,1,14,38,1,NULL,1,NULL),(20,110,1,14,39,6,3,5,1),(20,110,1,14,40,3,NULL,2,NULL),(20,110,1,15,1,2,2,2,1),(20,110,1,15,2,1,1,1,1),(20,110,1,15,3,1,5,1,3),(20,110,1,15,4,1,5,1,3),(20,110,1,15,5,3,3,2,2),(20,110,1,15,6,7,3,6,2),(20,110,1,15,7,NULL,4,NULL,3),(20,110,1,15,8,6,2,5,1),(20,110,1,15,9,4,6,4,3),(20,110,1,15,10,2,3,2,2),(20,110,1,15,11,1,3,NULL,3),(20,110,1,15,12,2,2,2,2),(20,110,1,15,13,6,2,5,1),(20,110,1,15,14,5,3,4,3),(20,110,1,15,15,4,2,3,2),(20,110,1,15,16,6,NULL,6,NULL),(20,110,1,15,17,3,4,2,4),(20,110,1,15,18,4,1,3,1),(20,110,1,15,19,3,1,2,1),(20,110,1,15,20,8,NULL,7,NULL),(20,110,1,15,21,1,2,1,NULL),(20,110,1,15,22,NULL,3,NULL,2),(20,110,1,15,23,2,2,1,2),(20,110,1,15,24,1,2,NULL,NULL),(20,110,1,15,25,2,4,2,4),(20,110,1,15,26,1,NULL,1,NULL),(20,110,1,15,27,NULL,3,NULL,2),(20,110,1,15,28,1,2,NULL,2),(20,110,1,15,29,NULL,1,NULL,1),(20,110,1,15,30,NULL,2,NULL,1),(20,110,1,15,31,4,5,2,4),(20,110,1,15,32,6,2,3,1),(20,110,1,15,33,4,2,2,2),(20,110,1,15,34,NULL,2,NULL,1),(20,110,1,15,35,4,3,2,2),(20,110,1,15,36,5,3,4,2),(20,110,1,15,37,4,2,3,2),(20,110,1,15,38,NULL,3,NULL,1),(20,110,1,15,39,6,2,4,1),(20,110,1,15,40,4,1,2,1),(20,110,1,16,1,4,1,3,1),(20,110,1,16,2,1,2,1,2),(20,110,1,16,3,2,1,2,1),(20,110,1,16,4,2,4,NULL,4),(20,110,1,16,5,3,6,3,4),(20,110,1,16,6,7,3,6,2),(20,110,1,16,7,3,1,1,1),(20,110,1,16,8,10,2,10,2),(20,110,1,16,9,5,12,4,10),(20,110,1,16,10,4,5,4,5),(20,110,1,16,11,1,3,1,2),(20,110,1,16,12,3,2,3,2),(20,110,1,16,13,6,8,4,7),(20,110,1,16,14,3,1,3,1),(20,110,1,16,15,10,2,8,2),(20,110,1,16,16,NULL,8,NULL,7),(20,110,1,16,17,10,10,6,10),(20,110,1,16,18,2,6,1,5),(20,110,1,16,19,6,7,5,7),(20,110,1,16,20,1,6,NULL,5),(20,110,1,16,21,NULL,5,NULL,4),(20,110,1,16,22,NULL,5,NULL,4),(20,110,1,16,23,NULL,13,NULL,12),(20,110,1,16,24,1,6,1,6),(20,110,1,16,25,1,7,1,6),(20,110,1,16,26,2,NULL,2,NULL),(20,110,1,16,27,3,7,3,5),(20,110,1,16,28,NULL,4,NULL,4),(20,110,1,16,29,NULL,2,NULL,2),(20,110,1,16,30,2,4,2,4),(20,110,1,16,31,2,9,1,7),(20,110,1,16,32,4,3,4,3),(20,110,1,16,33,1,4,1,3),(20,110,1,16,34,NULL,4,NULL,3),(20,110,1,16,35,2,6,NULL,5),(20,110,1,16,36,8,4,6,4),(20,110,1,16,37,8,8,6,7),(20,110,1,16,38,1,1,NULL,1),(20,110,1,16,39,11,9,10,6),(20,110,1,16,40,1,7,1,7),(20,110,1,17,1,2,4,2,4),(20,110,1,17,2,1,2,1,2),(20,110,1,17,3,1,4,NULL,4),(20,110,1,17,4,2,4,1,4),(20,110,1,17,5,4,1,3,1),(20,110,1,17,6,9,5,7,3),(20,110,1,17,7,1,4,1,4),(20,110,1,17,8,5,4,3,4),(20,110,1,17,9,3,9,3,6),(20,110,1,17,10,6,3,3,3),(20,110,1,17,11,NULL,3,NULL,3),(20,110,1,17,12,3,3,3,1),(20,110,1,17,13,7,4,6,2),(20,110,1,17,14,1,1,1,1),(20,110,1,17,15,8,NULL,8,NULL),(20,110,1,17,16,1,4,1,2),(20,110,1,17,17,7,8,6,6),(20,110,1,17,18,3,4,2,3),(20,110,1,17,19,8,6,5,5),(20,110,1,17,20,2,2,2,2),(20,110,1,17,21,1,2,1,2),(20,110,1,17,22,1,3,1,3),(20,110,1,17,23,1,6,1,5),(20,110,1,17,24,1,1,1,1),(20,110,1,17,25,3,3,3,3),(20,110,1,17,26,1,NULL,1,NULL),(20,110,1,17,27,2,3,1,3),(20,110,1,17,28,NULL,NULL,NULL,NULL),(20,110,1,17,29,4,3,1,3),(20,110,1,17,30,NULL,1,NULL,1),(20,110,1,17,31,4,4,3,3),(20,110,1,17,32,5,3,5,3),(20,110,1,17,33,1,NULL,1,NULL),(20,110,1,17,34,1,2,1,2),(20,110,1,17,35,6,6,3,5),(20,110,1,17,36,3,5,3,4),(20,110,1,17,37,10,2,9,2),(20,110,1,17,38,NULL,NULL,NULL,NULL),(20,110,1,17,39,7,6,4,5),(20,110,1,17,40,3,3,3,3),(20,110,2,21,1,2,4,2,3),(20,110,2,21,2,2,NULL,1,NULL),(20,110,2,21,3,4,5,3,3),(20,110,2,21,4,3,4,2,4),(20,110,2,21,5,1,3,NULL,3),(20,110,2,21,6,2,7,NULL,6),(20,110,2,21,7,3,5,1,5),(20,110,2,21,8,3,NULL,3,NULL),(20,110,2,21,9,4,11,1,9),(20,110,2,21,10,NULL,4,NULL,4),(20,110,2,21,11,4,3,4,3),(20,110,2,21,12,NULL,5,NULL,4),(20,110,2,21,13,10,4,7,4),(20,110,2,21,14,12,4,7,4),(20,110,2,21,15,6,5,4,3),(20,110,2,21,16,5,7,4,7),(20,110,2,21,17,2,3,2,2),(20,110,2,21,18,NULL,4,NULL,3),(20,110,2,21,19,NULL,10,NULL,8),(20,110,2,21,20,5,8,3,7),(20,110,2,21,21,NULL,NULL,NULL,NULL),(20,110,2,21,22,1,2,1,2),(20,110,2,21,23,NULL,1,NULL,NULL),(20,110,2,21,24,NULL,2,NULL,2),(20,110,2,21,25,NULL,6,NULL,4),(20,110,2,21,26,NULL,1,NULL,1),(20,110,2,21,27,NULL,NULL,NULL,NULL),(20,110,2,21,28,2,4,2,4),(20,110,2,21,29,1,2,NULL,1),(20,110,2,21,30,NULL,2,NULL,2),(20,110,2,21,31,3,NULL,1,NULL),(20,110,2,21,32,3,2,2,1),(20,110,2,21,33,2,7,1,5),(20,110,2,21,34,2,9,1,8),(20,110,2,21,35,3,5,2,3),(20,110,2,21,36,3,6,2,6),(20,110,2,21,37,1,3,NULL,2),(20,110,2,21,38,3,2,2,2),(20,110,2,21,39,3,1,1,1),(20,110,2,21,40,4,4,3,4),(20,110,2,22,1,2,2,NULL,2),(20,110,2,22,2,NULL,3,NULL,3),(20,110,2,22,3,1,8,1,5),(20,110,2,22,4,1,5,1,4),(20,110,2,22,5,2,2,1,2),(20,110,2,22,6,3,6,3,4),(20,110,2,22,7,3,2,3,1),(20,110,2,22,8,3,NULL,3,NULL),(20,110,2,22,9,10,6,9,4),(20,110,2,22,10,NULL,6,NULL,5),(20,110,2,22,11,3,5,3,2),(20,110,2,22,12,NULL,4,NULL,3),(20,110,2,22,13,3,12,3,9),(20,110,2,22,14,10,9,8,4),(20,110,2,22,15,9,3,7,1),(20,110,2,22,16,8,2,6,1),(20,110,2,22,17,3,4,1,4),(20,110,2,22,18,1,6,1,6),(20,110,2,22,19,7,7,5,5),(20,110,2,22,20,9,3,7,2),(20,110,2,22,21,NULL,1,NULL,1),(20,110,2,22,22,1,7,1,3),(20,110,2,22,23,NULL,3,NULL,2),(20,110,2,22,24,NULL,3,NULL,2),(20,110,2,22,25,1,6,1,5),(20,110,2,22,26,NULL,3,NULL,2),(20,110,2,22,27,NULL,3,NULL,3),(20,110,2,22,28,2,4,2,3),(20,110,2,22,29,NULL,3,NULL,3),(20,110,2,22,30,NULL,3,NULL,1),(20,110,2,22,31,2,3,2,3),(20,110,2,22,32,1,4,1,3),(20,110,2,22,33,2,8,2,6),(20,110,2,22,34,1,9,1,7),(20,110,2,22,35,1,6,1,4),(20,110,2,22,36,1,7,NULL,6),(20,110,2,22,37,2,6,2,4),(20,110,2,22,38,NULL,5,NULL,5),(20,110,2,22,39,NULL,1,NULL,1),(20,110,2,22,40,3,5,3,3),(20,110,2,23,1,NULL,1,NULL,1),(20,110,2,23,2,NULL,1,NULL,1),(20,110,2,23,3,1,2,1,2),(20,110,2,23,4,NULL,2,NULL,1),(20,110,2,23,5,1,1,1,1),(20,110,2,23,6,NULL,4,NULL,4),(20,110,2,23,7,1,1,1,1),(20,110,2,23,8,2,NULL,1,NULL),(20,110,2,23,9,3,3,2,1),(20,110,2,23,10,NULL,2,NULL,2),(20,110,2,23,11,NULL,3,NULL,3),(20,110,2,23,12,NULL,1,NULL,1),(20,110,2,23,13,6,3,5,3),(20,110,2,23,14,4,6,4,5),(20,110,2,23,15,3,5,3,3),(20,110,2,23,16,3,3,3,3),(20,110,2,23,17,1,2,NULL,2),(20,110,2,23,18,NULL,3,NULL,3),(20,110,2,23,19,5,1,3,1),(20,110,2,23,20,1,6,1,4),(20,110,2,23,21,NULL,1,NULL,1),(20,110,2,23,22,NULL,1,NULL,1),(20,110,2,23,23,1,1,NULL,1),(20,110,2,23,24,NULL,NULL,NULL,NULL),(20,110,2,23,25,NULL,4,NULL,4),(20,110,2,23,26,NULL,2,NULL,2),(20,110,2,23,27,NULL,2,NULL,1),(20,110,2,23,28,2,3,2,3),(20,110,2,23,29,NULL,2,NULL,2),(20,110,2,23,30,NULL,NULL,NULL,NULL),(20,110,2,23,31,2,1,2,1),(20,110,2,23,32,2,1,2,1),(20,110,2,23,33,1,4,1,3),(20,110,2,23,34,1,4,NULL,4),(20,110,2,23,35,NULL,4,NULL,2),(20,110,2,23,36,1,3,1,2),(20,110,2,23,37,2,1,2,1),(20,110,2,23,38,NULL,2,NULL,2),(20,110,2,23,39,NULL,1,NULL,1),(20,110,2,23,40,5,NULL,4,NULL),(20,110,2,24,1,NULL,3,NULL,3),(20,110,2,24,2,NULL,1,NULL,1),(20,110,2,24,3,2,3,2,3),(20,110,2,24,4,4,3,4,3),(20,110,2,24,5,1,4,1,4),(20,110,2,24,6,2,5,2,5),(20,110,2,24,7,NULL,6,NULL,6),(20,110,2,24,8,1,NULL,1,NULL),(20,110,2,24,9,2,5,2,5),(20,110,2,24,10,NULL,6,NULL,6),(20,110,2,24,11,2,1,2,1),(20,110,2,24,12,NULL,5,NULL,5),(20,110,2,24,13,4,7,4,7),(20,110,2,24,14,3,6,3,6),(20,110,2,24,15,3,2,3,2),(20,110,2,24,16,4,4,4,4),(20,110,2,24,17,1,NULL,1,NULL),(20,110,2,24,18,NULL,NULL,NULL,NULL),(20,110,2,24,19,3,4,2,4),(20,110,2,24,20,2,4,2,4),(20,110,2,24,21,NULL,1,NULL,1),(20,110,2,24,22,1,5,1,5),(20,110,2,24,23,NULL,2,NULL,2),(20,110,2,24,24,NULL,NULL,NULL,NULL),(20,110,2,24,25,NULL,4,NULL,4),(20,110,2,24,26,1,1,1,1),(20,110,2,24,27,NULL,1,NULL,1),(20,110,2,24,28,1,1,NULL,1),(20,110,2,24,29,NULL,1,NULL,1),(20,110,2,24,30,2,2,2,2),(20,110,2,24,31,NULL,3,NULL,2),(20,110,2,24,32,NULL,2,NULL,2),(20,110,2,24,33,NULL,1,NULL,1),(20,110,2,24,34,1,4,1,3),(20,110,2,24,35,NULL,1,NULL,1),(20,110,2,24,36,NULL,5,NULL,5),(20,110,2,24,37,NULL,2,NULL,2),(20,110,2,24,38,1,2,1,2),(20,110,2,24,39,NULL,2,NULL,2),(20,110,2,24,40,NULL,2,NULL,2),(20,201,1,11,1,2,1,NULL,NULL),(20,201,1,11,2,NULL,2,NULL,NULL),(20,201,1,11,3,NULL,1,NULL,NULL),(20,201,1,11,4,NULL,NULL,NULL,NULL),(20,201,1,11,5,NULL,2,NULL,NULL),(20,201,1,11,6,2,1,NULL,NULL),(20,201,1,11,7,NULL,1,NULL,NULL),(20,201,1,11,8,NULL,NULL,NULL,NULL),(20,201,1,11,9,2,1,NULL,NULL),(20,201,1,11,10,1,NULL,NULL,NULL),(20,201,1,11,11,NULL,1,NULL,NULL),(20,201,1,11,12,1,NULL,NULL,NULL),(20,201,1,11,13,2,2,NULL,NULL),(20,201,1,11,14,2,2,NULL,NULL),(20,201,1,11,15,3,NULL,NULL,NULL),(20,201,1,11,16,2,1,NULL,NULL),(20,201,1,11,17,1,2,NULL,NULL),(20,201,1,11,18,2,1,NULL,NULL),(20,201,1,11,19,2,1,NULL,NULL),(20,201,1,11,20,2,1,NULL,NULL),(20,201,1,11,21,NULL,2,NULL,NULL),(20,201,1,11,22,1,2,NULL,NULL),(20,201,1,11,23,NULL,1,NULL,NULL),(20,201,1,11,24,NULL,2,NULL,NULL),(20,201,1,11,25,1,1,NULL,NULL),(20,201,1,11,26,2,NULL,NULL,NULL),(20,201,1,11,27,1,1,NULL,NULL),(20,201,1,11,28,1,2,NULL,NULL),(20,201,1,11,29,1,NULL,NULL,NULL),(20,201,1,11,30,NULL,1,NULL,NULL),(20,201,1,11,31,NULL,3,NULL,NULL),(20,201,1,11,32,1,1,NULL,NULL),(20,201,1,11,33,NULL,1,NULL,NULL),(20,201,1,11,34,NULL,2,NULL,NULL),(20,201,1,11,35,1,1,NULL,NULL),(20,201,1,11,36,1,1,NULL,NULL),(20,201,1,11,37,NULL,2,NULL,NULL),(20,201,1,11,38,NULL,NULL,NULL,NULL),(20,201,1,11,39,2,NULL,NULL,NULL),(20,201,1,11,40,2,NULL,NULL,NULL),(20,201,1,12,1,NULL,1,NULL,1),(20,201,1,12,2,1,NULL,NULL,NULL),(20,201,1,12,3,NULL,1,NULL,NULL),(20,201,1,12,4,NULL,NULL,NULL,NULL),(20,201,1,12,5,3,NULL,1,NULL),(20,201,1,12,6,2,1,1,NULL),(20,201,1,12,7,NULL,2,NULL,NULL),(20,201,1,12,8,NULL,NULL,NULL,NULL),(20,201,1,12,9,NULL,1,NULL,1),(20,201,1,12,10,NULL,NULL,NULL,NULL),(20,201,1,12,11,NULL,2,NULL,1),(20,201,1,12,12,NULL,NULL,NULL,NULL),(20,201,1,12,13,NULL,2,NULL,NULL),(20,201,1,12,14,4,NULL,1,NULL),(20,201,1,12,15,4,NULL,1,NULL),(20,201,1,12,16,3,NULL,1,NULL),(20,201,1,12,17,3,NULL,1,NULL),(20,201,1,12,18,3,NULL,1,NULL),(20,201,1,12,19,3,NULL,1,NULL),(20,201,1,12,20,2,1,1,NULL),(20,201,1,12,21,NULL,NULL,NULL,NULL),(20,201,1,12,22,NULL,2,NULL,NULL),(20,201,1,12,23,NULL,NULL,NULL,NULL),(20,201,1,12,24,1,NULL,1,NULL),(20,201,1,12,25,NULL,1,NULL,1),(20,201,1,12,26,NULL,NULL,NULL,NULL),(20,201,1,12,27,NULL,NULL,NULL,NULL),(20,201,1,12,28,1,NULL,NULL,NULL),(20,201,1,12,29,NULL,NULL,NULL,NULL),(20,201,1,12,30,1,NULL,1,NULL),(20,201,1,12,31,NULL,3,NULL,1),(20,201,1,12,32,NULL,3,NULL,1),(20,201,1,12,33,1,1,NULL,1),(20,201,1,12,34,1,NULL,1,NULL),(20,201,1,12,35,NULL,1,NULL,NULL),(20,201,1,12,36,2,1,1,NULL),(20,201,1,12,37,2,1,1,NULL),(20,201,1,12,38,1,NULL,1,NULL),(20,201,1,12,39,2,1,1,NULL),(20,201,1,12,40,1,NULL,1,NULL),(20,201,1,13,1,NULL,1,NULL,NULL),(20,201,1,13,2,NULL,NULL,NULL,NULL),(20,201,1,13,3,1,NULL,NULL,NULL),(20,201,1,13,4,NULL,1,NULL,NULL),(20,201,1,13,5,3,1,NULL,NULL),(20,201,1,13,6,NULL,1,NULL,NULL),(20,201,1,13,7,NULL,NULL,NULL,NULL),(20,201,1,13,8,1,1,NULL,NULL),(20,201,1,13,9,2,1,NULL,NULL),(20,201,1,13,10,1,1,NULL,NULL),(20,201,1,13,11,NULL,NULL,NULL,NULL),(20,201,1,13,12,NULL,NULL,NULL,NULL),(20,201,1,13,13,3,NULL,NULL,NULL),(20,201,1,13,14,1,1,NULL,NULL),(20,201,1,13,15,5,NULL,NULL,NULL),(20,201,1,13,16,3,1,NULL,NULL),(20,201,1,13,17,1,2,NULL,NULL),(20,201,1,13,18,2,1,NULL,NULL),(20,201,1,13,19,3,NULL,NULL,NULL),(20,201,1,13,20,2,1,NULL,NULL),(20,201,1,13,21,NULL,1,NULL,NULL),(20,201,1,13,22,NULL,1,NULL,NULL),(20,201,1,13,23,NULL,1,NULL,NULL),(20,201,1,13,24,NULL,1,NULL,NULL),(20,201,1,13,25,1,2,NULL,NULL),(20,201,1,13,26,NULL,NULL,NULL,NULL),(20,201,1,13,27,1,NULL,NULL,NULL),(20,201,1,13,28,NULL,NULL,NULL,NULL),(20,201,1,13,29,NULL,1,NULL,NULL),(20,201,1,13,30,2,1,NULL,NULL),(20,201,1,13,31,1,NULL,NULL,NULL),(20,201,1,13,32,NULL,1,NULL,NULL),(20,201,1,13,33,1,NULL,NULL,NULL),(20,201,1,13,34,NULL,NULL,NULL,NULL),(20,201,1,13,35,3,1,NULL,NULL),(20,201,1,13,36,2,NULL,NULL,NULL),(20,201,1,13,37,1,NULL,NULL,NULL),(20,201,1,13,38,NULL,NULL,NULL,NULL),(20,201,1,13,39,4,NULL,NULL,NULL),(20,201,1,13,40,NULL,1,NULL,NULL),(20,201,1,14,1,48,48,12,9),(20,201,1,14,2,42,39,9,11),(20,201,1,14,3,25,81,8,22),(20,201,1,14,4,30,85,6,15),(20,201,1,14,5,76,78,24,18),(20,201,1,14,6,123,101,27,17),(20,201,1,14,7,54,64,21,13),(20,201,1,14,8,105,43,30,13),(20,201,1,14,9,110,110,20,21),(20,201,1,14,10,53,27,17,9),(20,201,1,14,11,11,34,6,6),(20,201,1,14,12,40,51,14,12),(20,201,1,14,13,131,77,33,17),(20,201,1,14,14,137,110,36,13),(20,201,1,14,15,110,44,31,6),(20,201,1,14,16,177,26,43,4),(20,201,1,14,17,68,127,21,24),(20,201,1,14,18,139,52,38,6),(20,201,1,14,19,162,14,42,1),(20,201,1,14,20,164,64,33,16),(20,201,1,14,21,16,67,7,21),(20,201,1,14,22,34,128,5,38),(20,201,1,14,23,38,121,7,24),(20,201,1,14,24,42,120,10,34),(20,201,1,14,25,83,104,23,22),(20,201,1,14,26,70,NULL,29,NULL),(20,201,1,14,27,67,105,22,18),(20,201,1,14,28,30,68,11,28),(20,201,1,14,29,27,55,8,13),(20,201,1,14,30,28,72,16,20),(20,201,1,14,31,56,89,22,22),(20,201,1,14,32,81,49,27,12),(20,201,1,14,33,76,67,34,12),(20,201,1,14,34,30,55,13,12),(20,201,1,14,35,60,78,20,18),(20,201,1,14,36,101,89,31,18),(20,201,1,14,37,98,71,29,16),(20,201,1,14,38,9,39,4,11),(20,201,1,14,39,167,83,41,12),(20,201,1,14,40,102,18,35,2),(20,201,1,15,1,55,50,11,5),(20,201,1,15,2,41,32,11,4),(20,201,1,15,3,25,66,2,14),(20,201,1,15,4,27,80,3,14),(20,201,1,15,5,75,74,15,12),(20,201,1,15,6,112,91,16,15),(20,201,1,15,7,49,71,15,13),(20,201,1,15,8,121,27,29,4),(20,201,1,15,9,85,121,13,14),(20,201,1,15,10,39,34,16,7),(20,201,1,15,11,17,27,3,5),(20,201,1,15,12,47,44,11,12),(20,201,1,15,13,135,67,24,10),(20,201,1,15,14,140,86,23,14),(20,201,1,15,15,95,50,20,10),(20,201,1,15,16,141,52,28,6),(20,201,1,15,17,68,127,18,15),(20,201,1,15,18,154,46,29,4),(20,201,1,15,19,148,19,31,2),(20,201,1,15,20,138,73,24,8),(20,201,1,15,21,8,75,2,17),(20,201,1,15,22,36,116,11,22),(20,201,1,15,23,27,125,7,17),(20,201,1,15,24,29,121,9,19),(20,201,1,15,25,72,99,19,12),(20,201,1,15,26,76,NULL,21,NULL),(20,201,1,15,27,53,102,12,14),(20,201,1,15,28,21,60,13,13),(20,201,1,15,29,13,49,9,9),(20,201,1,15,30,33,72,8,18),(20,201,1,15,31,49,90,14,15),(20,201,1,15,32,83,42,21,11),(20,201,1,15,33,41,69,16,16),(20,201,1,15,34,18,66,3,17),(20,201,1,15,35,68,75,13,13),(20,201,1,15,36,114,81,25,7),(20,201,1,15,37,102,62,21,12),(20,201,1,15,38,14,43,4,11),(20,201,1,15,39,169,63,31,7),(20,201,1,15,40,96,11,27,3),(20,201,1,16,1,18,31,3,2),(20,201,1,16,2,19,17,1,2),(20,201,1,16,3,11,38,NULL,2),(20,201,1,16,4,14,28,1,2),(20,201,1,16,5,17,46,2,5),(20,201,1,16,6,48,50,3,3),(20,201,1,16,7,16,29,4,3),(20,201,1,16,8,59,27,6,2),(20,201,1,16,9,39,68,3,4),(20,201,1,16,10,12,19,2,2),(20,201,1,16,11,6,18,1,NULL),(20,201,1,16,12,11,24,1,1),(20,201,1,16,13,44,52,2,4),(20,201,1,16,14,14,18,1,2),(20,201,1,16,15,43,13,3,2),(20,201,1,16,16,8,46,2,1),(20,201,1,16,17,74,51,4,4),(20,201,1,16,18,8,36,NULL,5),(20,201,1,16,19,75,31,4,3),(20,201,1,16,20,5,44,1,1),(20,201,1,16,21,3,36,NULL,4),(20,201,1,16,22,5,55,NULL,6),(20,201,1,16,23,12,51,1,4),(20,201,1,16,24,13,43,2,6),(20,201,1,16,25,28,44,3,2),(20,201,1,16,26,28,NULL,6,NULL),(20,201,1,16,27,16,48,1,5),(20,201,1,16,28,3,24,1,5),(20,201,1,16,29,10,23,2,3),(20,201,1,16,30,13,25,2,3),(20,201,1,16,31,21,42,2,3),(20,201,1,16,32,21,23,4,4),(20,201,1,16,33,13,22,1,6),(20,201,1,16,34,6,20,2,3),(20,201,1,16,35,31,37,4,2),(20,201,1,16,36,32,54,3,3),(20,201,1,16,37,40,33,NULL,7),(20,201,1,16,38,10,24,1,4),(20,201,1,16,39,72,51,6,2),(20,201,1,16,40,35,11,7,NULL),(20,201,1,17,1,30,38,3,2),(20,201,1,17,2,13,21,1,1),(20,201,1,17,3,9,40,1,5),(20,201,1,17,4,19,45,3,5),(20,201,1,17,5,36,45,5,4),(20,201,1,17,6,47,53,3,3),(20,201,1,17,7,19,26,5,2),(20,201,1,17,8,62,22,8,1),(20,201,1,17,9,37,67,3,3),(20,201,1,17,10,19,22,1,3),(20,201,1,17,11,6,22,1,2),(20,201,1,17,12,22,28,2,3),(20,201,1,17,13,42,47,3,2),(20,201,1,17,14,10,17,NULL,1),(20,201,1,17,15,44,17,3,1),(20,201,1,17,16,6,33,1,1),(20,201,1,17,17,75,58,5,4),(20,201,1,17,18,13,34,3,3),(20,201,1,17,19,64,36,5,1),(20,201,1,17,20,7,47,NULL,4),(20,201,1,17,21,10,18,2,2),(20,201,1,17,22,17,47,NULL,6),(20,201,1,17,23,16,61,NULL,5),(20,201,1,17,24,15,44,1,5),(20,201,1,17,25,25,47,3,2),(20,201,1,17,26,30,NULL,4,NULL),(20,201,1,17,27,23,46,3,4),(20,201,1,17,28,11,27,1,3),(20,201,1,17,29,14,25,2,2),(20,201,1,17,30,9,33,3,2),(20,201,1,17,31,22,54,2,4),(20,201,1,17,32,29,22,5,2),(20,201,1,17,33,13,33,3,4),(20,201,1,17,34,9,27,3,4),(20,201,1,17,35,31,28,4,1),(20,201,1,17,36,36,45,6,2),(20,201,1,17,37,41,41,2,6),(20,201,1,17,38,4,24,1,NULL),(20,201,1,17,39,62,48,7,2),(20,201,1,17,40,36,17,4,NULL),(20,201,2,21,1,27,39,5,6),(20,201,2,21,2,6,20,3,3),(20,201,2,21,3,30,76,7,11),(20,201,2,21,4,27,29,4,5),(20,201,2,21,5,11,20,3,3),(20,201,2,21,6,49,60,12,10),(20,201,2,21,7,31,40,5,11),(20,201,2,21,8,29,NULL,8,NULL),(20,201,2,21,9,54,123,8,12),(20,201,2,21,10,7,59,1,11),(20,201,2,21,11,26,31,4,7),(20,201,2,21,12,18,23,5,7),(20,201,2,21,13,104,66,20,5),(20,201,2,21,14,121,83,14,12),(20,201,2,21,15,106,51,17,5),(20,201,2,21,16,62,54,8,11),(20,201,2,21,17,44,34,8,2),(20,201,2,21,18,16,54,5,11),(20,201,2,21,19,38,96,9,7),(20,201,2,21,20,60,87,16,10),(20,201,2,21,21,1,20,NULL,4),(20,201,2,21,22,7,34,2,3),(20,201,2,21,23,13,21,5,2),(20,201,2,21,24,3,9,2,5),(20,201,2,21,25,56,56,18,5),(20,201,2,21,26,16,31,5,3),(20,201,2,21,27,11,28,6,2),(20,201,2,21,28,55,43,8,9),(20,201,2,21,29,15,32,7,8),(20,201,2,21,30,16,8,6,1),(20,201,2,21,31,35,50,8,10),(20,201,2,21,32,39,63,14,7),(20,201,2,21,33,31,83,5,8),(20,201,2,21,34,37,55,11,5),(20,201,2,21,35,13,56,6,8),(20,201,2,21,36,29,41,9,3),(20,201,2,21,37,17,34,5,5),(20,201,2,21,38,14,52,5,12),(20,201,2,21,39,29,44,15,3),(20,201,2,21,40,38,35,13,2),(20,201,2,22,1,23,39,5,8),(20,201,2,22,2,10,15,1,1),(20,201,2,22,3,20,69,6,8),(20,201,2,22,4,24,30,8,6),(20,201,2,22,5,6,25,1,7),(20,201,2,22,6,63,64,15,10),(20,201,2,22,7,26,51,7,13),(20,201,2,22,8,36,NULL,12,NULL),(20,201,2,22,9,56,105,6,12),(20,201,2,22,10,1,60,NULL,11),(20,201,2,22,11,28,29,9,5),(20,201,2,22,12,11,34,4,9),(20,201,2,22,13,126,65,19,6),(20,201,2,22,14,112,86,14,12),(20,201,2,22,15,105,60,19,7),(20,201,2,22,16,49,60,8,8),(20,201,2,22,17,42,35,10,7),(20,201,2,22,18,13,63,4,11),(20,201,2,22,19,31,88,4,10),(20,201,2,22,20,84,65,17,6),(20,201,2,22,21,2,16,1,4),(20,201,2,22,22,8,35,3,3),(20,201,2,22,23,11,19,3,6),(20,201,2,22,24,7,21,NULL,9),(20,201,2,22,25,53,87,18,6),(20,201,2,22,26,31,23,11,6),(20,201,2,22,27,16,29,5,5),(20,201,2,22,28,51,41,16,4),(20,201,2,22,29,9,29,4,6),(20,201,2,22,30,22,13,7,1),(20,201,2,22,31,21,58,5,10),(20,201,2,22,32,37,71,6,13),(20,201,2,22,33,24,69,3,5),(20,201,2,22,34,31,48,7,9),(20,201,2,22,35,15,82,4,12),(20,201,2,22,36,45,39,12,3),(20,201,2,22,37,9,48,2,15),(20,201,2,22,38,11,58,5,13),(20,201,2,22,39,28,45,6,14),(20,201,2,22,40,55,49,16,4),(20,201,2,23,1,21,47,4,5),(20,201,2,23,2,10,17,1,1),(20,201,2,23,3,29,77,4,10),(20,201,2,23,4,20,21,5,4),(20,201,2,23,5,9,25,2,2),(20,201,2,23,6,59,67,11,11),(20,201,2,23,7,23,57,4,12),(20,201,2,23,8,41,NULL,13,NULL),(20,201,2,23,9,79,97,10,7),(20,201,2,23,10,7,42,1,10),(20,201,2,23,11,33,40,12,4),(20,201,2,23,12,18,27,3,3),(20,201,2,23,13,111,70,20,4),(20,201,2,23,14,109,79,14,6),(20,201,2,23,15,92,50,13,6),(20,201,2,23,16,63,51,9,7),(20,201,2,23,17,31,32,8,4),(20,201,2,23,18,12,56,5,8),(20,201,2,23,19,34,89,9,6),(20,201,2,23,20,69,74,12,7),(20,201,2,23,21,5,17,3,4),(20,201,2,23,22,17,48,2,6),(20,201,2,23,23,9,20,4,1),(20,201,2,23,24,5,21,3,5),(20,201,2,23,25,40,64,12,5),(20,201,2,23,26,27,22,6,6),(20,201,2,23,27,9,28,3,5),(20,201,2,23,28,47,27,9,3),(20,201,2,23,29,12,27,3,6),(20,201,2,23,30,30,10,8,NULL),(20,201,2,23,31,20,62,8,8),(20,201,2,23,32,25,70,5,12),(20,201,2,23,33,29,77,5,7),(20,201,2,23,34,33,58,5,7),(20,201,2,23,35,10,67,3,15),(20,201,2,23,36,40,37,9,5),(20,201,2,23,37,13,45,6,10),(20,201,2,23,38,14,45,3,9),(20,201,2,23,39,28,43,10,7),(20,201,2,23,40,54,41,13,1),(20,201,2,24,1,13,49,3,11),(20,201,2,24,2,7,11,2,3),(20,201,2,24,3,35,70,5,13),(20,201,2,24,4,23,14,4,4),(20,201,2,24,5,8,21,1,3),(20,201,2,24,6,47,46,11,10),(20,201,2,24,7,19,43,6,12),(20,201,2,24,8,26,NULL,10,NULL),(20,201,2,24,9,50,100,9,11),(20,201,2,24,10,10,63,1,15),(20,201,2,24,11,53,24,7,6),(20,201,2,24,12,15,24,2,7),(20,201,2,24,13,103,73,22,7),(20,201,2,24,14,94,88,21,9),(20,201,2,24,15,65,40,12,4),(20,201,2,24,16,51,55,11,11),(20,201,2,24,17,26,25,9,3),(20,201,2,24,18,12,55,5,13),(20,201,2,24,19,35,84,4,7),(20,201,2,24,20,56,57,11,14),(20,201,2,24,21,2,18,1,7),(20,201,2,24,22,22,33,4,6),(20,201,2,24,23,8,23,5,4),(20,201,2,24,24,6,11,4,7),(20,201,2,24,25,49,62,17,7),(20,201,2,24,26,27,17,13,2),(20,201,2,24,27,9,28,5,6),(20,201,2,24,28,50,32,8,8),(20,201,2,24,29,5,29,5,7),(20,201,2,24,30,16,9,7,3),(20,201,2,24,31,20,63,8,9),(20,201,2,24,32,30,62,11,10),(20,201,2,24,33,27,63,2,9),(20,201,2,24,34,19,55,9,11),(20,201,2,24,35,7,56,2,18),(20,201,2,24,36,33,42,9,4),(20,201,2,24,37,21,42,6,14),(20,201,2,24,38,10,48,5,13),(20,201,2,24,39,19,32,9,10),(20,201,2,24,40,46,32,17,5),(20,202,1,11,1,NULL,NULL,NULL,NULL),(20,202,1,11,2,NULL,NULL,NULL,NULL),(20,202,1,11,3,NULL,1,NULL,1),(20,202,1,11,4,1,NULL,1,NULL),(20,202,1,11,5,2,NULL,NULL,NULL),(20,202,1,11,6,1,1,NULL,1),(20,202,1,11,7,1,1,1,NULL),(20,202,1,11,8,1,NULL,NULL,NULL),(20,202,1,11,9,2,1,NULL,1),(20,202,1,11,10,NULL,NULL,NULL,NULL),(20,202,1,11,11,NULL,NULL,NULL,NULL),(20,202,1,11,12,NULL,NULL,NULL,NULL),(20,202,1,11,13,1,1,1,NULL),(20,202,1,11,14,2,NULL,1,NULL),(20,202,1,11,15,2,NULL,1,NULL),(20,202,1,11,16,2,NULL,NULL,NULL),(20,202,1,11,17,2,2,1,NULL),(20,202,1,11,18,3,1,NULL,1),(20,202,1,11,19,4,1,1,NULL),(20,202,1,11,20,2,1,NULL,NULL),(20,202,1,11,21,NULL,NULL,NULL,NULL),(20,202,1,11,22,NULL,2,NULL,1),(20,202,1,11,23,1,1,NULL,NULL),(20,202,1,11,24,1,1,1,NULL),(20,202,1,11,25,2,1,1,NULL),(20,202,1,11,26,1,NULL,1,NULL),(20,202,1,11,27,1,2,NULL,1),(20,202,1,11,28,2,1,NULL,1),(20,202,1,11,29,1,NULL,1,NULL),(20,202,1,11,30,1,NULL,NULL,NULL),(20,202,1,11,31,2,NULL,1,NULL),(20,202,1,11,32,2,NULL,1,NULL),(20,202,1,11,33,2,1,1,NULL),(20,202,1,11,34,1,1,NULL,1),(20,202,1,11,35,3,NULL,1,NULL),(20,202,1,11,36,4,1,1,NULL),(20,202,1,11,37,2,NULL,1,NULL),(20,202,1,11,38,NULL,NULL,NULL,NULL),(20,202,1,11,39,2,1,1,NULL),(20,202,1,11,40,2,NULL,1,NULL),(20,202,1,12,1,NULL,NULL,NULL,NULL),(20,202,1,12,2,NULL,NULL,NULL,NULL),(20,202,1,12,3,NULL,1,NULL,1),(20,202,1,12,4,NULL,NULL,NULL,NULL),(20,202,1,12,5,NULL,1,NULL,1),(20,202,1,12,6,1,NULL,1,NULL),(20,202,1,12,7,NULL,NULL,NULL,NULL),(20,202,1,12,8,1,NULL,1,NULL),(20,202,1,12,9,NULL,1,NULL,1),(20,202,1,12,10,NULL,NULL,NULL,NULL),(20,202,1,12,11,NULL,1,NULL,1),(20,202,1,12,12,1,NULL,1,NULL),(20,202,1,12,13,NULL,NULL,NULL,NULL),(20,202,1,12,14,1,NULL,1,NULL),(20,202,1,12,15,NULL,1,NULL,1),(20,202,1,12,16,1,NULL,1,NULL),(20,202,1,12,17,1,NULL,1,NULL),(20,202,1,12,18,1,NULL,1,NULL),(20,202,1,12,19,1,NULL,1,NULL),(20,202,1,12,20,NULL,1,NULL,1),(20,202,1,12,21,NULL,1,NULL,1),(20,202,1,12,22,NULL,1,NULL,1),(20,202,1,12,23,NULL,NULL,NULL,NULL),(20,202,1,12,24,NULL,1,NULL,1),(20,202,1,12,25,NULL,1,NULL,1),(20,202,1,12,26,NULL,NULL,NULL,NULL),(20,202,1,12,27,NULL,1,NULL,1),(20,202,1,12,28,1,NULL,1,NULL),(20,202,1,12,29,NULL,1,NULL,1),(20,202,1,12,30,NULL,1,NULL,1),(20,202,1,12,31,NULL,NULL,NULL,NULL),(20,202,1,12,32,NULL,1,NULL,1),(20,202,1,12,33,NULL,1,NULL,1),(20,202,1,12,34,NULL,1,NULL,1),(20,202,1,12,35,NULL,NULL,NULL,NULL),(20,202,1,12,36,1,NULL,1,NULL),(20,202,1,12,37,NULL,1,NULL,1),(20,202,1,12,38,NULL,NULL,NULL,NULL),(20,202,1,12,39,1,NULL,1,NULL),(20,202,1,12,40,NULL,1,NULL,1),(20,202,1,13,1,NULL,NULL,NULL,NULL),(20,202,1,13,2,NULL,NULL,NULL,NULL),(20,202,1,13,3,NULL,1,NULL,NULL),(20,202,1,13,4,NULL,1,NULL,1),(20,202,1,13,5,1,NULL,1,NULL),(20,202,1,13,6,1,1,1,NULL),(20,202,1,13,7,NULL,1,NULL,1),(20,202,1,13,8,1,NULL,1,NULL),(20,202,1,13,9,1,NULL,1,NULL),(20,202,1,13,10,1,NULL,1,NULL),(20,202,1,13,11,NULL,1,NULL,1),(20,202,1,13,12,NULL,NULL,NULL,NULL),(20,202,1,13,13,2,NULL,1,NULL),(20,202,1,13,14,1,1,1,NULL),(20,202,1,13,15,1,NULL,1,NULL),(20,202,1,13,16,2,NULL,1,NULL),(20,202,1,13,17,2,NULL,1,NULL),(20,202,1,13,18,1,1,NULL,1),(20,202,1,13,19,1,NULL,NULL,NULL),(20,202,1,13,20,1,1,1,NULL),(20,202,1,13,21,NULL,1,NULL,1),(20,202,1,13,22,NULL,1,NULL,1),(20,202,1,13,23,NULL,NULL,NULL,NULL),(20,202,1,13,24,NULL,1,NULL,1),(20,202,1,13,25,1,1,NULL,1),(20,202,1,13,26,NULL,NULL,NULL,NULL),(20,202,1,13,27,NULL,1,NULL,NULL),(20,202,1,13,28,NULL,NULL,NULL,NULL),(20,202,1,13,29,1,NULL,NULL,NULL),(20,202,1,13,30,NULL,1,NULL,1),(20,202,1,13,31,NULL,1,NULL,NULL),(20,202,1,13,32,NULL,NULL,NULL,NULL),(20,202,1,13,33,NULL,1,NULL,1),(20,202,1,13,34,NULL,1,NULL,1),(20,202,1,13,35,1,NULL,1,NULL),(20,202,1,13,36,1,NULL,1,NULL),(20,202,1,13,37,1,NULL,1,NULL),(20,202,1,13,38,NULL,NULL,NULL,NULL),(20,202,1,13,39,1,NULL,1,NULL),(20,202,1,13,40,1,NULL,1,NULL),(20,202,1,14,1,21,22,10,9),(20,202,1,14,2,14,13,13,6),(20,202,1,14,3,15,41,3,20),(20,202,1,14,4,12,22,6,10),(20,202,1,14,5,36,28,17,15),(20,202,1,14,6,48,44,17,13),(20,202,1,14,7,17,20,18,9),(20,202,1,14,8,42,15,25,6),(20,202,1,14,9,36,50,18,11),(20,202,1,14,10,18,17,14,8),(20,202,1,14,11,4,16,NULL,8),(20,202,1,14,12,12,22,12,13),(20,202,1,14,13,52,26,25,10),(20,202,1,14,14,64,37,22,13),(20,202,1,14,15,38,19,25,5),(20,202,1,14,16,60,17,30,2),(20,202,1,14,17,31,44,18,18),(20,202,1,14,18,63,20,27,8),(20,202,1,14,19,63,6,31,2),(20,202,1,14,20,66,26,24,13),(20,202,1,14,21,7,21,3,16),(20,202,1,14,22,16,59,3,27),(20,202,1,14,23,11,52,3,20),(20,202,1,14,24,18,45,7,23),(20,202,1,14,25,39,44,18,13),(20,202,1,14,26,27,NULL,23,NULL),(20,202,1,14,27,23,42,12,13),(20,202,1,14,28,10,30,6,20),(20,202,1,14,29,8,20,4,14),(20,202,1,14,30,16,22,6,16),(20,202,1,14,31,24,35,10,18),(20,202,1,14,32,42,16,24,10),(20,202,1,14,33,25,26,15,13),(20,202,1,14,34,6,26,4,17),(20,202,1,14,35,21,31,7,20),(20,202,1,14,36,49,33,24,12),(20,202,1,14,37,40,32,23,11),(20,202,1,14,38,7,23,2,15),(20,202,1,14,39,57,30,18,17),(20,202,1,14,40,43,10,29,NULL),(20,202,1,15,1,18,18,9,8),(20,202,1,15,2,13,11,8,5),(20,202,1,15,3,11,28,6,16),(20,202,1,15,4,7,29,3,19),(20,202,1,15,5,28,23,14,17),(20,202,1,15,6,42,35,21,12),(20,202,1,15,7,14,23,11,12),(20,202,1,15,8,37,11,22,6),(20,202,1,15,9,33,40,18,13),(20,202,1,15,10,11,13,7,9),(20,202,1,15,11,5,17,4,10),(20,202,1,15,12,17,19,9,11),(20,202,1,15,13,50,27,21,14),(20,202,1,15,14,58,30,24,12),(20,202,1,15,15,26,21,10,9),(20,202,1,15,16,52,14,23,10),(20,202,1,15,17,24,48,10,21),(20,202,1,15,18,64,12,28,5),(20,202,1,15,19,54,7,27,1),(20,202,1,15,20,56,19,18,12),(20,202,1,15,21,6,15,2,14),(20,202,1,15,22,10,45,3,24),(20,202,1,15,23,8,47,4,19),(20,202,1,15,24,13,41,6,24),(20,202,1,15,25,11,39,13,14),(20,202,1,15,26,21,NULL,16,NULL),(20,202,1,15,27,17,35,13,13),(20,202,1,15,28,8,27,5,14),(20,202,1,15,29,5,18,1,12),(20,202,1,15,30,7,24,8,10),(20,202,1,15,31,26,27,13,14),(20,202,1,15,32,29,19,18,9),(20,202,1,15,33,23,19,20,4),(20,202,1,15,34,8,20,6,11),(20,202,1,15,35,18,35,14,16),(20,202,1,15,36,40,32,19,15),(20,202,1,15,37,40,21,18,11),(20,202,1,15,38,6,22,2,16),(20,202,1,15,39,50,31,29,6),(20,202,1,15,40,33,8,24,5),(20,202,1,16,1,6,13,2,3),(20,202,1,16,2,1,6,NULL,3),(20,202,1,16,3,2,17,NULL,6),(20,202,1,16,4,4,9,NULL,3),(20,202,1,16,5,12,19,4,3),(20,202,1,16,6,22,19,1,5),(20,202,1,16,7,7,4,2,1),(20,202,1,16,8,21,8,6,3),(20,202,1,16,9,16,24,NULL,5),(20,202,1,16,10,7,9,1,5),(20,202,1,16,11,1,7,NULL,2),(20,202,1,16,12,12,9,4,3),(20,202,1,16,13,25,19,4,2),(20,202,1,16,14,4,2,1,NULL),(20,202,1,16,15,30,12,6,1),(20,202,1,16,16,1,21,NULL,4),(20,202,1,16,17,30,23,6,3),(20,202,1,16,18,3,14,1,3),(20,202,1,16,19,26,18,3,2),(20,202,1,16,20,8,10,NULL,2),(20,202,1,16,21,3,16,NULL,3),(20,202,1,16,22,2,21,1,8),(20,202,1,16,23,1,35,NULL,5),(20,202,1,16,24,8,16,2,4),(20,202,1,16,25,14,26,4,4),(20,202,1,16,26,12,NULL,4,NULL),(20,202,1,16,27,9,29,4,3),(20,202,1,16,28,5,12,3,2),(20,202,1,16,29,2,9,NULL,5),(20,202,1,16,30,7,16,1,3),(20,202,1,16,31,7,20,3,2),(20,202,1,16,32,13,6,6,NULL),(20,202,1,16,33,5,13,3,3),(20,202,1,16,34,4,5,NULL,2),(20,202,1,16,35,10,18,1,3),(20,202,1,16,36,13,19,4,3),(20,202,1,16,37,15,17,3,6),(20,202,1,16,38,2,12,NULL,3),(20,202,1,16,39,39,19,6,3),(20,202,1,16,40,11,6,5,3),(20,202,1,17,1,15,17,2,3),(20,202,1,17,2,11,7,3,NULL),(20,202,1,17,3,1,16,1,2),(20,202,1,17,4,4,25,NULL,4),(20,202,1,17,5,11,19,4,2),(20,202,1,17,6,18,27,3,4),(20,202,1,17,7,6,19,2,3),(20,202,1,17,8,26,12,6,NULL),(20,202,1,17,9,13,29,3,2),(20,202,1,17,10,4,14,1,1),(20,202,1,17,11,8,9,4,1),(20,202,1,17,12,9,11,2,4),(20,202,1,17,13,18,24,6,2),(20,202,1,17,14,5,13,2,1),(20,202,1,17,15,28,3,4,NULL),(20,202,1,17,16,3,11,1,2),(20,202,1,17,17,22,32,3,4),(20,202,1,17,18,3,18,1,1),(20,202,1,17,19,20,18,NULL,1),(20,202,1,17,20,4,14,NULL,2),(20,202,1,17,21,1,13,NULL,6),(20,202,1,17,22,11,21,3,6),(20,202,1,17,23,1,29,NULL,2),(20,202,1,17,24,8,25,NULL,4),(20,202,1,17,25,8,22,3,2),(20,202,1,17,26,10,NULL,4,NULL),(20,202,1,17,27,11,15,1,2),(20,202,1,17,28,3,14,NULL,6),(20,202,1,17,29,6,21,NULL,2),(20,202,1,17,30,2,18,NULL,4),(20,202,1,17,31,8,25,2,5),(20,202,1,17,32,10,13,5,1),(20,202,1,17,33,6,21,2,5),(20,202,1,17,34,2,9,1,2),(20,202,1,17,35,10,21,1,3),(20,202,1,17,36,14,23,2,6),(20,202,1,17,37,19,16,2,5),(20,202,1,17,38,2,10,1,2),(20,202,1,17,39,24,32,3,6),(20,202,1,17,40,14,8,4,1),(20,202,2,21,1,9,22,4,9),(20,202,2,21,2,1,8,1,2),(20,202,2,21,3,8,25,5,9),(20,202,2,21,4,11,13,1,5),(20,202,2,21,5,4,10,2,2),(20,202,2,21,6,20,36,11,12),(20,202,2,21,7,15,24,7,11),(20,202,2,21,8,18,NULL,11,NULL),(20,202,2,21,9,17,50,4,11),(20,202,2,21,10,5,22,1,9),(20,202,2,21,11,12,16,6,2),(20,202,2,21,12,3,16,NULL,4),(20,202,2,21,13,60,15,20,2),(20,202,2,21,14,42,45,15,8),(20,202,2,21,15,40,26,13,5),(20,202,2,21,16,35,15,11,4),(20,202,2,21,17,17,14,11,5),(20,202,2,21,18,4,27,2,8),(20,202,2,21,19,18,33,4,10),(20,202,2,21,20,32,30,11,9),(20,202,2,21,21,NULL,7,NULL,5),(20,202,2,21,22,3,12,3,2),(20,202,2,21,23,2,12,3,3),(20,202,2,21,24,2,6,2,5),(20,202,2,21,25,37,25,20,2),(20,202,2,21,26,11,10,5,4),(20,202,2,21,27,5,12,2,7),(20,202,2,21,28,16,22,9,7),(20,202,2,21,29,6,16,7,3),(20,202,2,21,30,7,3,2,1),(20,202,2,21,31,14,25,14,4),(20,202,2,21,32,15,29,8,7),(20,202,2,21,33,9,29,4,9),(20,202,2,21,34,12,23,9,7),(20,202,2,21,35,5,29,3,11),(20,202,2,21,36,17,17,7,3),(20,202,2,21,37,8,19,5,7),(20,202,2,21,38,4,26,3,9),(20,202,2,21,39,10,14,4,7),(20,202,2,21,40,25,14,11,2),(20,202,2,22,1,5,15,1,4),(20,202,2,22,2,2,9,1,4),(20,202,2,22,3,21,26,8,11),(20,202,2,22,4,10,10,4,3),(20,202,2,22,5,3,9,2,3),(20,202,2,22,6,24,24,9,7),(20,202,2,22,7,14,19,9,4),(20,202,2,22,8,22,NULL,14,NULL),(20,202,2,22,9,29,48,8,12),(20,202,2,22,10,5,21,1,12),(20,202,2,22,11,16,12,10,1),(20,202,2,22,12,4,17,1,6),(20,202,2,22,13,46,22,18,3),(20,202,2,22,14,62,30,18,8),(20,202,2,22,15,46,21,16,6),(20,202,2,22,16,18,24,6,9),(20,202,2,22,17,17,14,6,6),(20,202,2,22,18,8,20,2,14),(20,202,2,22,19,17,44,4,13),(20,202,2,22,20,28,33,10,9),(20,202,2,22,21,2,7,1,4),(20,202,2,22,22,10,15,3,5),(20,202,2,22,23,7,8,6,3),(20,202,2,22,24,4,8,3,7),(20,202,2,22,25,40,26,20,5),(20,202,2,22,26,13,11,7,3),(20,202,2,22,27,6,15,4,4),(20,202,2,22,28,22,14,8,3),(20,202,2,22,29,1,19,1,8),(20,202,2,22,30,12,2,7,1),(20,202,2,22,31,16,30,7,12),(20,202,2,22,32,16,35,11,12),(20,202,2,22,33,13,31,3,11),(20,202,2,22,34,9,22,6,10),(20,202,2,22,35,8,26,5,9),(20,202,2,22,36,12,18,7,2),(20,202,2,22,37,8,24,8,8),(20,202,2,22,38,8,17,5,8),(20,202,2,22,39,8,23,7,9),(20,202,2,22,40,23,12,12,4),(20,202,2,23,1,3,10,2,9),(20,202,2,23,2,2,8,1,1),(20,202,2,23,3,4,25,7,9),(20,202,2,23,4,8,9,3,5),(20,202,2,23,5,4,7,3,5),(20,202,2,23,6,16,16,6,11),(20,202,2,23,7,16,16,7,7),(20,202,2,23,8,17,NULL,11,NULL),(20,202,2,23,9,27,34,12,6),(20,202,2,23,10,3,17,1,11),(20,202,2,23,11,12,8,6,4),(20,202,2,23,12,5,9,2,6),(20,202,2,23,13,35,25,19,7),(20,202,2,23,14,33,31,15,10),(20,202,2,23,15,31,19,15,5),(20,202,2,23,16,16,18,5,9),(20,202,2,23,17,13,10,6,6),(20,202,2,23,18,6,17,2,9),(20,202,2,23,19,10,33,1,12),(20,202,2,23,20,17,36,13,10),(20,202,2,23,21,2,7,2,2),(20,202,2,23,22,8,14,2,7),(20,202,2,23,23,4,9,3,3),(20,202,2,23,24,2,5,2,8),(20,202,2,23,25,27,17,17,6),(20,202,2,23,26,10,10,10,1),(20,202,2,23,27,5,9,6,3),(20,202,2,23,28,15,12,5,6),(20,202,2,23,29,1,17,2,4),(20,202,2,23,30,7,6,5,1),(20,202,2,23,31,10,17,9,9),(20,202,2,23,32,13,23,8,7),(20,202,2,23,33,6,32,2,10),(20,202,2,23,34,13,21,6,13),(20,202,2,23,35,1,32,1,13),(20,202,2,23,36,9,12,9,4),(20,202,2,23,37,7,14,2,11),(20,202,2,23,38,5,12,4,10),(20,202,2,23,39,6,13,5,10),(20,202,2,23,40,16,11,13,3),(20,202,2,24,1,12,26,4,11),(20,202,2,24,2,1,6,NULL,2),(20,202,2,24,3,11,25,2,8),(20,202,2,24,4,11,12,6,5),(20,202,2,24,5,1,13,NULL,7),(20,202,2,24,6,17,30,7,9),(20,202,2,24,7,9,19,5,5),(20,202,2,24,8,16,NULL,8,NULL),(20,202,2,24,9,15,45,4,10),(20,202,2,24,10,5,25,1,11),(20,202,2,24,11,16,15,6,4),(20,202,2,24,12,8,9,5,4),(20,202,2,24,13,49,27,14,2),(20,202,2,24,14,36,41,14,5),(20,202,2,24,15,32,19,9,3),(20,202,2,24,16,32,23,7,7),(20,202,2,24,17,12,18,6,3),(20,202,2,24,18,4,27,2,10),(20,202,2,24,19,13,38,4,8),(20,202,2,24,20,24,32,7,10),(20,202,2,24,21,2,11,1,3),(20,202,2,24,22,8,17,3,5),(20,202,2,24,23,4,9,NULL,1),(20,202,2,24,24,2,7,2,4),(20,202,2,24,25,37,21,14,3),(20,202,2,24,26,12,18,7,2),(20,202,2,24,27,6,15,2,7),(20,202,2,24,28,29,13,10,4),(20,202,2,24,29,4,14,1,8),(20,202,2,24,30,5,7,7,NULL),(20,202,2,24,31,12,26,5,7),(20,202,2,24,32,14,29,7,8),(20,202,2,24,33,10,30,NULL,5),(20,202,2,24,34,12,17,5,5),(20,202,2,24,35,3,28,1,11),(20,202,2,24,36,21,13,8,2),(20,202,2,24,37,5,21,3,9),(20,202,2,24,38,7,27,2,14),(20,202,2,24,39,5,17,1,6),(20,202,2,24,40,13,15,4,2),(20,203,1,11,1,2,1,NULL,1),(20,203,1,11,2,NULL,3,NULL,2),(20,203,1,11,3,NULL,2,NULL,1),(20,203,1,11,4,NULL,1,NULL,1),(20,203,1,11,5,2,NULL,1,NULL),(20,203,1,11,6,4,NULL,2,NULL),(20,203,1,11,7,1,2,1,1),(20,203,1,11,8,1,2,NULL,2),(20,203,1,11,9,3,NULL,2,NULL),(20,203,1,11,10,2,1,1,1),(20,203,1,11,11,1,1,1,NULL),(20,203,1,11,12,3,NULL,2,NULL),(20,203,1,11,13,1,3,NULL,2),(20,203,1,11,14,2,2,NULL,2),(20,203,1,11,15,3,NULL,1,NULL),(20,203,1,11,16,2,1,NULL,1),(20,203,1,11,17,3,1,1,1),(20,203,1,11,18,3,1,1,1),(20,203,1,11,19,4,NULL,2,NULL),(20,203,1,11,20,1,3,NULL,2),(20,203,1,11,21,NULL,2,NULL,1),(20,203,1,11,22,1,1,NULL,1),(20,203,1,11,23,1,2,NULL,1),(20,203,1,11,24,2,2,1,1),(20,203,1,11,25,2,1,1,1),(20,203,1,11,26,1,NULL,1,NULL),(20,203,1,11,27,2,2,1,1),(20,203,1,11,28,NULL,2,NULL,1),(20,203,1,11,29,NULL,2,NULL,2),(20,203,1,11,30,1,2,1,1),(20,203,1,11,31,1,3,NULL,2),(20,203,1,11,32,1,2,NULL,1),(20,203,1,11,33,3,NULL,2,NULL),(20,203,1,11,34,1,NULL,NULL,NULL),(20,203,1,11,35,1,3,1,1),(20,203,1,11,36,3,1,2,NULL),(20,203,1,11,37,NULL,4,NULL,2),(20,203,1,11,38,NULL,3,NULL,1),(20,203,1,11,39,NULL,4,NULL,2),(20,203,1,11,40,1,1,1,1),(20,203,1,12,1,1,NULL,NULL,NULL),(20,203,1,12,2,1,NULL,NULL,NULL),(20,203,1,12,3,NULL,NULL,NULL,NULL),(20,203,1,12,4,1,NULL,NULL,NULL),(20,203,1,12,5,2,NULL,NULL,NULL),(20,203,1,12,6,1,1,NULL,NULL),(20,203,1,12,7,1,NULL,NULL,NULL),(20,203,1,12,8,NULL,NULL,NULL,NULL),(20,203,1,12,9,2,NULL,NULL,NULL),(20,203,1,12,10,NULL,NULL,NULL,NULL),(20,203,1,12,11,NULL,NULL,NULL,NULL),(20,203,1,12,12,NULL,NULL,NULL,NULL),(20,203,1,12,13,1,NULL,NULL,NULL),(20,203,1,12,14,2,NULL,NULL,NULL),(20,203,1,12,15,2,NULL,NULL,NULL),(20,203,1,12,16,1,NULL,NULL,NULL),(20,203,1,12,17,1,NULL,NULL,NULL),(20,203,1,12,18,2,NULL,NULL,NULL),(20,203,1,12,19,1,NULL,NULL,NULL),(20,203,1,12,20,2,NULL,NULL,NULL),(20,203,1,12,21,NULL,NULL,NULL,NULL),(20,203,1,12,22,1,1,NULL,NULL),(20,203,1,12,23,NULL,1,NULL,NULL),(20,203,1,12,24,NULL,1,NULL,NULL),(20,203,1,12,25,1,NULL,NULL,NULL),(20,203,1,12,26,1,NULL,NULL,NULL),(20,203,1,12,27,NULL,2,NULL,NULL),(20,203,1,12,28,1,NULL,NULL,NULL),(20,203,1,12,29,NULL,NULL,NULL,NULL),(20,203,1,12,30,NULL,1,NULL,NULL),(20,203,1,12,31,2,NULL,NULL,NULL),(20,203,1,12,32,1,NULL,NULL,NULL),(20,203,1,12,33,1,NULL,NULL,NULL),(20,203,1,12,34,1,NULL,NULL,NULL),(20,203,1,12,35,NULL,NULL,NULL,NULL),(20,203,1,12,36,1,NULL,NULL,NULL),(20,203,1,12,37,1,NULL,NULL,NULL),(20,203,1,12,38,NULL,NULL,NULL,NULL),(20,203,1,12,39,1,1,NULL,NULL),(20,203,1,12,40,NULL,NULL,NULL,NULL),(20,203,1,13,1,1,NULL,NULL,NULL),(20,203,1,13,2,1,NULL,NULL,NULL),(20,203,1,13,3,NULL,NULL,NULL,NULL),(20,203,1,13,4,NULL,1,NULL,NULL),(20,203,1,13,5,2,NULL,NULL,NULL),(20,203,1,13,6,1,2,NULL,NULL),(20,203,1,13,7,1,NULL,NULL,NULL),(20,203,1,13,8,NULL,NULL,NULL,NULL),(20,203,1,13,9,2,NULL,NULL,NULL),(20,203,1,13,10,2,1,NULL,NULL),(20,203,1,13,11,NULL,NULL,NULL,NULL),(20,203,1,13,12,1,1,NULL,NULL),(20,203,1,13,13,3,NULL,NULL,NULL),(20,203,1,13,14,2,NULL,NULL,NULL),(20,203,1,13,15,1,NULL,NULL,NULL),(20,203,1,13,16,3,1,NULL,NULL),(20,203,1,13,17,3,NULL,NULL,NULL),(20,203,1,13,18,2,NULL,NULL,NULL),(20,203,1,13,19,2,NULL,NULL,NULL),(20,203,1,13,20,3,NULL,NULL,NULL),(20,203,1,13,21,NULL,NULL,NULL,NULL),(20,203,1,13,22,2,1,NULL,NULL),(20,203,1,13,23,1,1,NULL,NULL),(20,203,1,13,24,NULL,2,NULL,NULL),(20,203,1,13,25,NULL,1,NULL,NULL),(20,203,1,13,26,2,NULL,NULL,NULL),(20,203,1,13,27,NULL,2,NULL,NULL),(20,203,1,13,28,2,NULL,NULL,NULL),(20,203,1,13,29,NULL,NULL,NULL,NULL),(20,203,1,13,30,NULL,1,NULL,NULL),(20,203,1,13,31,3,NULL,NULL,NULL),(20,203,1,13,32,1,1,NULL,NULL),(20,203,1,13,33,1,NULL,NULL,NULL),(20,203,1,13,34,NULL,1,NULL,NULL),(20,203,1,13,35,1,1,NULL,NULL),(20,203,1,13,36,1,2,NULL,NULL),(20,203,1,13,37,1,NULL,NULL,NULL),(20,203,1,13,38,NULL,NULL,NULL,NULL),(20,203,1,13,39,NULL,1,NULL,NULL),(20,203,1,13,40,NULL,NULL,NULL,NULL),(20,203,1,14,1,71,60,11,6),(20,203,1,14,2,60,33,11,6),(20,203,1,14,3,40,98,4,17),(20,203,1,14,4,22,113,3,16),(20,203,1,14,5,92,110,22,16),(20,203,1,14,6,171,98,22,13),(20,203,1,14,7,80,88,18,11),(20,203,1,14,8,134,41,27,5),(20,203,1,14,9,140,136,16,17),(20,203,1,14,10,70,43,18,7),(20,203,1,14,11,20,45,4,8),(20,203,1,14,12,54,69,10,12),(20,203,1,14,13,202,76,27,13),(20,203,1,14,14,233,83,34,7),(20,203,1,14,15,156,52,25,6),(20,203,1,14,16,244,41,37,2),(20,203,1,14,17,127,125,28,9),(20,203,1,14,18,213,38,34,3),(20,203,1,14,19,206,23,31,2),(20,203,1,14,20,219,86,27,11),(20,203,1,14,21,28,95,9,15),(20,203,1,14,22,65,171,8,30),(20,203,1,14,23,47,153,8,20),(20,203,1,14,24,75,153,11,24),(20,203,1,14,25,138,121,22,10),(20,203,1,14,26,118,NULL,28,NULL),(20,203,1,14,27,94,142,24,9),(20,203,1,14,28,47,104,12,17),(20,203,1,14,29,27,63,9,10),(20,203,1,14,30,59,98,17,13),(20,203,1,14,31,97,126,15,20),(20,203,1,14,32,134,52,22,12),(20,203,1,14,33,119,83,28,7),(20,203,1,14,34,38,90,7,14),(20,203,1,14,35,95,112,14,19),(20,203,1,14,36,178,102,28,10),(20,203,1,14,37,156,85,23,12),(20,203,1,14,38,27,94,4,10),(20,203,1,14,39,219,87,27,12),(20,203,1,14,40,173,24,31,2),(20,203,1,15,1,68,58,19,9),(20,203,1,15,2,80,37,17,11),(20,203,1,15,3,36,106,12,24),(20,203,1,15,4,35,105,6,19),(20,203,1,15,5,111,88,29,17),(20,203,1,15,6,156,115,30,18),(20,203,1,15,7,90,82,23,17),(20,203,1,15,8,133,44,33,11),(20,203,1,15,9,125,138,24,25),(20,203,1,15,10,50,53,18,18),(20,203,1,15,11,25,41,8,12),(20,203,1,15,12,70,64,20,10),(20,203,1,15,13,197,88,38,16),(20,203,1,15,14,226,83,41,10),(20,203,1,15,15,136,59,33,12),(20,203,1,15,16,216,65,35,10),(20,203,1,15,17,118,157,26,22),(20,203,1,15,18,231,41,43,7),(20,203,1,15,19,243,12,50,NULL),(20,203,1,15,20,213,89,39,12),(20,203,1,15,21,31,104,11,26),(20,203,1,15,22,53,174,13,37),(20,203,1,15,23,41,146,9,31),(20,203,1,15,24,67,170,15,34),(20,203,1,15,25,130,117,34,16),(20,203,1,15,26,117,NULL,39,NULL),(20,203,1,15,27,112,119,31,17),(20,203,1,15,28,68,84,20,23),(20,203,1,15,29,21,66,8,15),(20,203,1,15,30,58,106,17,20),(20,203,1,15,31,91,112,22,19),(20,203,1,15,32,119,55,27,17),(20,203,1,15,33,138,72,33,11),(20,203,1,15,34,30,91,11,21),(20,203,1,15,35,107,79,28,18),(20,203,1,15,36,176,90,42,12),(20,203,1,15,37,147,91,33,18),(20,203,1,15,38,34,79,8,12),(20,203,1,15,39,223,93,39,17),(20,203,1,15,40,164,16,46,2),(20,203,1,16,1,21,26,NULL,2),(20,203,1,16,2,6,22,1,1),(20,203,1,16,3,7,26,NULL,1),(20,203,1,16,4,8,34,NULL,2),(20,203,1,16,5,22,34,2,1),(20,203,1,16,6,39,48,3,1),(20,203,1,16,7,21,22,NULL,2),(20,203,1,16,8,33,19,3,NULL),(20,203,1,16,9,28,41,NULL,3),(20,203,1,16,10,13,22,1,2),(20,203,1,16,11,9,14,NULL,1),(20,203,1,16,12,16,17,2,NULL),(20,203,1,16,13,37,33,NULL,3),(20,203,1,16,14,15,7,NULL,NULL),(20,203,1,16,15,50,9,2,1),(20,203,1,16,16,9,33,1,1),(20,203,1,16,17,52,42,NULL,4),(20,203,1,16,18,9,33,NULL,3),(20,203,1,16,19,51,24,3,NULL),(20,203,1,16,20,5,32,NULL,1),(20,203,1,16,21,6,37,NULL,1),(20,203,1,16,22,11,42,1,2),(20,203,1,16,23,11,55,1,2),(20,203,1,16,24,13,44,2,1),(20,203,1,16,25,28,46,1,3),(20,203,1,16,26,17,NULL,NULL,NULL),(20,203,1,16,27,17,41,1,2),(20,203,1,16,28,8,25,1,NULL),(20,203,1,16,29,3,25,NULL,3),(20,203,1,16,30,9,24,1,2),(20,203,1,16,31,20,36,1,3),(20,203,1,16,32,27,18,1,1),(20,203,1,16,33,22,26,NULL,3),(20,203,1,16,34,10,21,NULL,2),(20,203,1,16,35,22,33,NULL,5),(20,203,1,16,36,43,32,3,2),(20,203,1,16,37,31,43,2,2),(20,203,1,16,38,6,24,NULL,1),(20,203,1,16,39,58,32,3,3),(20,203,1,16,40,35,13,3,1),(20,203,1,17,1,12,24,NULL,NULL),(20,203,1,17,2,5,17,1,1),(20,203,1,17,3,7,24,NULL,3),(20,203,1,17,4,11,31,1,3),(20,203,1,17,5,18,23,1,2),(20,203,1,17,6,34,28,3,1),(20,203,1,17,7,9,26,1,2),(20,203,1,17,8,40,13,3,NULL),(20,203,1,17,9,30,40,3,1),(20,203,1,17,10,9,11,2,NULL),(20,203,1,17,11,3,12,1,NULL),(20,203,1,17,12,13,15,1,1),(20,203,1,17,13,30,31,2,1),(20,203,1,17,14,9,7,NULL,3),(20,203,1,17,15,24,8,2,NULL),(20,203,1,17,16,4,18,NULL,1),(20,203,1,17,17,45,42,2,2),(20,203,1,17,18,5,31,NULL,2),(20,203,1,17,19,33,30,1,2),(20,203,1,17,20,5,36,NULL,2),(20,203,1,17,21,8,21,2,NULL),(20,203,1,17,22,11,37,2,1),(20,203,1,17,23,18,45,1,2),(20,203,1,17,24,12,31,3,NULL),(20,203,1,17,25,17,39,2,2),(20,203,1,17,26,23,NULL,2,NULL),(20,203,1,17,27,23,26,2,2),(20,203,1,17,28,10,19,2,1),(20,203,1,17,29,4,23,NULL,1),(20,203,1,17,30,7,20,NULL,2),(20,203,1,17,31,20,36,2,2),(20,203,1,17,32,23,16,2,NULL),(20,203,1,17,33,23,23,4,NULL),(20,203,1,17,34,3,22,1,1),(20,203,1,17,35,19,28,1,2),(20,203,1,17,36,37,20,1,2),(20,203,1,17,37,35,26,2,1),(20,203,1,17,38,5,14,2,1),(20,203,1,17,39,45,41,3,1),(20,203,1,17,40,30,15,3,NULL),(20,203,2,21,1,26,60,1,9),(20,203,2,21,2,7,25,2,5),(20,203,2,21,3,48,76,9,9),(20,203,2,21,4,28,28,7,2),(20,203,2,21,5,11,18,3,6),(20,203,2,21,6,83,60,18,5),(20,203,2,21,7,49,62,11,11),(20,203,2,21,8,57,NULL,8,NULL),(20,203,2,21,9,79,110,10,9),(20,203,2,21,10,15,64,2,13),(20,203,2,21,11,43,33,8,4),(20,203,2,21,12,23,35,9,7),(20,203,2,21,13,145,54,22,2),(20,203,2,21,14,152,76,20,8),(20,203,2,21,15,133,51,19,5),(20,203,2,21,16,75,49,10,8),(20,203,2,21,17,55,30,10,2),(20,203,2,21,18,22,71,6,13),(20,203,2,21,19,50,101,8,11),(20,203,2,21,20,90,90,13,12),(20,203,2,21,21,12,37,6,8),(20,203,2,21,22,12,36,2,2),(20,203,2,21,23,19,24,6,2),(20,203,2,21,24,9,26,2,12),(20,203,2,21,25,99,62,24,NULL),(20,203,2,21,26,46,25,9,4),(20,203,2,21,27,25,40,12,5),(20,203,2,21,28,62,32,6,8),(20,203,2,21,29,25,36,11,4),(20,203,2,21,30,29,11,12,1),(20,203,2,21,31,53,62,13,6),(20,203,2,21,32,74,73,12,9),(20,203,2,21,33,28,62,4,7),(20,203,2,21,34,45,51,9,6),(20,203,2,21,35,22,81,3,11),(20,203,2,21,36,63,20,17,1),(20,203,2,21,37,49,48,10,13),(20,203,2,21,38,28,59,7,10),(20,203,2,21,39,61,39,16,5),(20,203,2,21,40,66,30,11,3),(20,203,2,22,1,29,51,5,13),(20,203,2,22,2,10,29,4,4),(20,203,2,22,3,41,86,10,12),(20,203,2,22,4,26,17,7,3),(20,203,2,22,5,12,24,2,8),(20,203,2,22,6,80,54,19,12),(20,203,2,22,7,51,58,10,9),(20,203,2,22,8,55,NULL,11,NULL),(20,203,2,22,9,85,108,13,12),(20,203,2,22,10,10,62,NULL,12),(20,203,2,22,11,49,22,9,2),(20,203,2,22,12,16,25,8,6),(20,203,2,22,13,137,46,28,2),(20,203,2,22,14,143,79,25,8),(20,203,2,22,15,118,45,20,6),(20,203,2,22,16,49,49,5,13),(20,203,2,22,17,57,20,16,5),(20,203,2,22,18,22,73,6,12),(20,203,2,22,19,39,105,13,10),(20,203,2,22,20,69,75,14,11),(20,203,2,22,21,8,32,1,10),(20,203,2,22,22,19,31,6,8),(20,203,2,22,23,26,23,13,2),(20,203,2,22,24,7,37,1,13),(20,203,2,22,25,110,59,27,6),(20,203,2,22,26,41,28,9,4),(20,203,2,22,27,35,37,17,6),(20,203,2,22,28,65,34,12,7),(20,203,2,22,29,17,41,9,9),(20,203,2,22,30,43,8,15,2),(20,203,2,22,31,48,66,13,9),(20,203,2,22,32,64,81,19,11),(20,203,2,22,33,28,64,8,3),(20,203,2,22,34,48,49,11,12),(20,203,2,22,35,22,102,3,19),(20,203,2,22,36,51,24,16,NULL),(20,203,2,22,37,37,55,11,14),(20,203,2,22,38,32,46,9,14),(20,203,2,22,39,49,52,16,8),(20,203,2,22,40,64,35,18,3),(20,203,2,23,1,24,46,3,10),(20,203,2,23,2,9,23,1,2),(20,203,2,23,3,50,71,9,7),(20,203,2,23,4,24,17,6,3),(20,203,2,23,5,7,21,1,5),(20,203,2,23,6,63,58,11,10),(20,203,2,23,7,39,64,8,7),(20,203,2,23,8,44,NULL,11,NULL),(20,203,2,23,9,75,111,10,9),(20,203,2,23,10,12,68,1,13),(20,203,2,23,11,43,31,6,6),(20,203,2,23,12,9,26,4,9),(20,203,2,23,13,133,57,19,3),(20,203,2,23,14,127,81,14,8),(20,203,2,23,15,109,37,18,NULL),(20,203,2,23,16,55,54,9,8),(20,203,2,23,17,62,22,11,4),(20,203,2,23,18,21,70,2,12),(20,203,2,23,19,49,94,5,10),(20,203,2,23,20,86,74,8,10),(20,203,2,23,21,6,28,3,4),(20,203,2,23,22,20,36,4,3),(20,203,2,23,23,12,9,1,NULL),(20,203,2,23,24,15,29,5,8),(20,203,2,23,25,98,61,18,2),(20,203,2,23,26,44,16,12,3),(20,203,2,23,27,29,35,7,6),(20,203,2,23,28,69,33,9,5),(20,203,2,23,29,17,29,5,3),(20,203,2,23,30,30,9,6,1),(20,203,2,23,31,52,53,10,2),(20,203,2,23,32,52,81,9,8),(20,203,2,23,33,29,73,2,5),(20,203,2,23,34,38,55,7,8),(20,203,2,23,35,11,80,1,12),(20,203,2,23,36,54,34,9,2),(20,203,2,23,37,31,56,5,10),(20,203,2,23,38,31,50,7,6),(20,203,2,23,39,54,36,10,5),(20,203,2,23,40,68,33,12,NULL),(20,203,2,24,1,24,45,6,8),(20,203,2,24,2,3,29,1,4),(20,203,2,24,3,34,68,4,14),(20,203,2,24,4,23,21,4,3),(20,203,2,24,5,5,25,NULL,5),(20,203,2,24,6,63,74,10,12),(20,203,2,24,7,30,50,5,11),(20,203,2,24,8,55,NULL,11,NULL),(20,203,2,24,9,64,109,4,11),(20,203,2,24,10,6,76,NULL,13),(20,203,2,24,11,48,33,8,2),(20,203,2,24,12,20,35,4,10),(20,203,2,24,13,139,62,18,4),(20,203,2,24,14,107,90,9,15),(20,203,2,24,15,95,37,11,3),(20,203,2,24,16,62,51,8,8),(20,203,2,24,17,39,28,10,1),(20,203,2,24,18,18,67,3,14),(20,203,2,24,19,39,82,4,8),(20,203,2,24,20,74,74,10,6),(20,203,2,24,21,5,31,2,6),(20,203,2,24,22,20,37,5,4),(20,203,2,24,23,24,20,8,3),(20,203,2,24,24,8,38,3,14),(20,203,2,24,25,86,67,20,2),(20,203,2,24,26,60,19,11,1),(20,203,2,24,27,32,42,8,6),(20,203,2,24,28,82,30,11,5),(20,203,2,24,29,19,39,8,3),(20,203,2,24,30,38,9,10,NULL),(20,203,2,24,31,41,61,9,4),(20,203,2,24,32,68,70,10,7),(20,203,2,24,33,27,58,1,7),(20,203,2,24,34,35,65,10,10),(20,203,2,24,35,13,80,1,8),(20,203,2,24,36,51,25,9,1),(20,203,2,24,37,42,42,6,9),(20,203,2,24,38,35,60,4,11),(20,203,2,24,39,44,41,12,6),(20,203,2,24,40,75,32,16,1),(20,205,1,11,1,NULL,NULL,NULL,NULL),(20,205,1,11,2,NULL,NULL,NULL,NULL),(20,205,1,11,3,NULL,NULL,NULL,NULL),(20,205,1,11,4,NULL,1,NULL,1),(20,205,1,11,5,NULL,1,NULL,1),(20,205,1,11,6,1,NULL,1,NULL),(20,205,1,11,7,1,NULL,1,NULL),(20,205,1,11,8,NULL,NULL,NULL,NULL),(20,205,1,11,9,NULL,NULL,NULL,NULL),(20,205,1,11,10,NULL,NULL,NULL,NULL),(20,205,1,11,11,NULL,NULL,NULL,NULL),(20,205,1,11,12,NULL,NULL,NULL,NULL),(20,205,1,11,13,NULL,NULL,NULL,NULL),(20,205,1,11,14,NULL,1,NULL,1),(20,205,1,11,15,NULL,NULL,NULL,NULL),(20,205,1,11,16,NULL,1,NULL,1),(20,205,1,11,17,NULL,NULL,NULL,NULL),(20,205,1,11,18,NULL,NULL,NULL,NULL),(20,205,1,11,19,NULL,NULL,NULL,NULL),(20,205,1,11,20,NULL,NULL,NULL,NULL),(20,205,1,11,21,NULL,NULL,NULL,NULL),(20,205,1,11,22,NULL,1,NULL,1),(20,205,1,11,23,1,NULL,1,NULL),(20,205,1,11,24,NULL,NULL,NULL,NULL),(20,205,1,11,25,NULL,1,NULL,1),(20,205,1,11,26,1,NULL,1,NULL),(20,205,1,11,27,NULL,1,NULL,1),(20,205,1,11,28,NULL,NULL,NULL,NULL),(20,205,1,11,29,NULL,1,NULL,1),(20,205,1,11,30,NULL,NULL,NULL,NULL),(20,205,1,11,31,NULL,NULL,NULL,NULL),(20,205,1,11,32,NULL,NULL,NULL,NULL),(20,205,1,11,33,NULL,NULL,NULL,NULL),(20,205,1,11,34,NULL,1,NULL,1),(20,205,1,11,35,NULL,NULL,NULL,NULL),(20,205,1,11,36,1,NULL,1,NULL),(20,205,1,11,37,NULL,1,NULL,1),(20,205,1,11,38,NULL,NULL,NULL,NULL),(20,205,1,11,39,1,NULL,1,NULL),(20,205,1,11,40,1,NULL,1,NULL),(20,205,1,12,1,NULL,NULL,NULL,NULL),(20,205,1,12,2,NULL,NULL,NULL,NULL),(20,205,1,12,3,NULL,NULL,NULL,NULL),(20,205,1,12,4,NULL,NULL,NULL,NULL),(20,205,1,12,5,NULL,NULL,NULL,NULL),(20,205,1,12,6,NULL,NULL,NULL,NULL),(20,205,1,12,7,NULL,NULL,NULL,NULL),(20,205,1,12,8,NULL,NULL,NULL,NULL),(20,205,1,12,9,NULL,NULL,NULL,NULL),(20,205,1,12,10,NULL,NULL,NULL,NULL),(20,205,1,12,11,NULL,NULL,NULL,NULL),(20,205,1,12,12,NULL,NULL,NULL,NULL),(20,205,1,12,13,NULL,NULL,NULL,NULL),(20,205,1,12,14,NULL,NULL,NULL,NULL),(20,205,1,12,15,NULL,NULL,NULL,NULL),(20,205,1,12,16,NULL,NULL,NULL,NULL),(20,205,1,12,17,NULL,NULL,NULL,NULL),(20,205,1,12,18,NULL,NULL,NULL,NULL),(20,205,1,12,19,NULL,NULL,NULL,NULL),(20,205,1,12,20,NULL,NULL,NULL,NULL),(20,205,1,12,21,NULL,NULL,NULL,NULL),(20,205,1,12,22,NULL,NULL,NULL,NULL),(20,205,1,12,23,NULL,NULL,NULL,NULL),(20,205,1,12,24,NULL,NULL,NULL,NULL),(20,205,1,12,25,NULL,NULL,NULL,NULL),(20,205,1,12,26,NULL,NULL,NULL,NULL),(20,205,1,12,27,NULL,NULL,NULL,NULL),(20,205,1,12,28,NULL,NULL,NULL,NULL),(20,205,1,12,29,NULL,NULL,NULL,NULL),(20,205,1,12,30,NULL,NULL,NULL,NULL),(20,205,1,12,31,NULL,NULL,NULL,NULL),(20,205,1,12,32,NULL,NULL,NULL,NULL),(20,205,1,12,33,NULL,NULL,NULL,NULL),(20,205,1,12,34,NULL,NULL,NULL,NULL),(20,205,1,12,35,NULL,NULL,NULL,NULL),(20,205,1,12,36,NULL,NULL,NULL,NULL),(20,205,1,12,37,NULL,NULL,NULL,NULL),(20,205,1,12,38,NULL,NULL,NULL,NULL),(20,205,1,12,39,NULL,NULL,NULL,NULL),(20,205,1,12,40,NULL,NULL,NULL,NULL),(20,205,1,13,1,NULL,1,NULL,1),(20,205,1,13,2,NULL,NULL,NULL,NULL),(20,205,1,13,3,NULL,1,NULL,1),(20,205,1,13,4,NULL,1,NULL,1),(20,205,1,13,5,NULL,NULL,NULL,NULL),(20,205,1,13,6,NULL,NULL,NULL,NULL),(20,205,1,13,7,NULL,NULL,NULL,NULL),(20,205,1,13,8,NULL,1,NULL,1),(20,205,1,13,9,NULL,1,NULL,1),(20,205,1,13,10,NULL,NULL,NULL,NULL),(20,205,1,13,11,1,NULL,1,NULL),(20,205,1,13,12,NULL,NULL,NULL,NULL),(20,205,1,13,13,NULL,NULL,NULL,NULL),(20,205,1,13,14,NULL,NULL,NULL,NULL),(20,205,1,13,15,NULL,NULL,NULL,NULL),(20,205,1,13,16,NULL,1,NULL,1),(20,205,1,13,17,1,NULL,1,NULL),(20,205,1,13,18,NULL,NULL,NULL,NULL),(20,205,1,13,19,1,NULL,1,NULL),(20,205,1,13,20,NULL,NULL,NULL,NULL),(20,205,1,13,21,NULL,NULL,NULL,NULL),(20,205,1,13,22,NULL,NULL,NULL,NULL),(20,205,1,13,23,NULL,NULL,NULL,NULL),(20,205,1,13,24,NULL,NULL,NULL,NULL),(20,205,1,13,25,NULL,NULL,NULL,NULL),(20,205,1,13,26,NULL,NULL,NULL,NULL),(20,205,1,13,27,NULL,NULL,NULL,NULL),(20,205,1,13,28,NULL,NULL,NULL,NULL),(20,205,1,13,29,NULL,NULL,NULL,NULL),(20,205,1,13,30,NULL,1,NULL,1),(20,205,1,13,31,NULL,NULL,NULL,NULL),(20,205,1,13,32,NULL,NULL,NULL,NULL),(20,205,1,13,33,NULL,NULL,NULL,NULL),(20,205,1,13,34,NULL,NULL,NULL,NULL),(20,205,1,13,35,NULL,1,NULL,1),(20,205,1,13,36,NULL,NULL,NULL,NULL),(20,205,1,13,37,NULL,NULL,NULL,NULL),(20,205,1,13,38,NULL,NULL,NULL,NULL),(20,205,1,13,39,NULL,NULL,NULL,NULL),(20,205,1,13,40,NULL,NULL,NULL,NULL),(20,205,1,14,1,2,3,2,2),(20,205,1,14,2,1,1,1,1),(20,205,1,14,3,1,6,1,5),(20,205,1,14,4,1,4,1,3),(20,205,1,14,5,2,2,2,2),(20,205,1,14,6,4,2,4,NULL),(20,205,1,14,7,1,1,1,1),(20,205,1,14,8,3,1,3,1),(20,205,1,14,9,4,5,3,4),(20,205,1,14,10,1,2,1,2),(20,205,1,14,11,1,NULL,1,NULL),(20,205,1,14,12,1,1,1,1),(20,205,1,14,13,4,4,4,4),(20,205,1,14,14,5,4,4,4),(20,205,1,14,15,2,4,2,4),(20,205,1,14,16,5,1,4,1),(20,205,1,14,17,NULL,7,NULL,6),(20,205,1,14,18,6,1,6,1),(20,205,1,14,19,6,NULL,6,NULL),(20,205,1,14,20,2,3,2,3),(20,205,1,14,21,NULL,3,NULL,3),(20,205,1,14,22,2,3,1,3),(20,205,1,14,23,2,3,2,3),(20,205,1,14,24,NULL,2,NULL,2),(20,205,1,14,25,1,3,1,2),(20,205,1,14,26,1,NULL,1,NULL),(20,205,1,14,27,NULL,3,NULL,3),(20,205,1,14,28,NULL,1,NULL,1),(20,205,1,14,29,1,1,1,1),(20,205,1,14,30,2,1,2,NULL),(20,205,1,14,31,3,5,2,5),(20,205,1,14,32,4,1,4,1),(20,205,1,14,33,1,2,1,2),(20,205,1,14,34,NULL,1,NULL,1),(20,205,1,14,35,3,4,3,3),(20,205,1,14,36,3,2,3,2),(20,205,1,14,37,1,4,NULL,4),(20,205,1,14,38,NULL,4,NULL,4),(20,205,1,14,39,2,5,2,5),(20,205,1,14,40,2,1,2,1),(20,205,1,15,1,1,3,NULL,2),(20,205,1,15,2,1,1,NULL,NULL),(20,205,1,15,3,2,2,2,NULL),(20,205,1,15,4,3,NULL,1,NULL),(20,205,1,15,5,2,2,2,1),(20,205,1,15,6,7,1,5,NULL),(20,205,1,15,7,1,1,1,1),(20,205,1,15,8,4,NULL,3,NULL),(20,205,1,15,9,4,5,4,2),(20,205,1,15,10,NULL,1,NULL,NULL),(20,205,1,15,11,NULL,NULL,NULL,NULL),(20,205,1,15,12,2,NULL,1,NULL),(20,205,1,15,13,1,3,1,2),(20,205,1,15,14,1,3,1,2),(20,205,1,15,15,2,1,2,NULL),(20,205,1,15,16,2,1,2,NULL),(20,205,1,15,17,2,3,2,2),(20,205,1,15,18,3,4,2,2),(20,205,1,15,19,NULL,NULL,NULL,NULL),(20,205,1,15,20,5,1,5,NULL),(20,205,1,15,21,NULL,1,NULL,NULL),(20,205,1,15,22,3,NULL,2,NULL),(20,205,1,15,23,NULL,1,NULL,1),(20,205,1,15,24,1,2,1,2),(20,205,1,15,25,NULL,2,NULL,2),(20,205,1,15,26,1,NULL,1,NULL),(20,205,1,15,27,NULL,2,NULL,2),(20,205,1,15,28,NULL,1,NULL,NULL),(20,205,1,15,29,NULL,1,NULL,NULL),(20,205,1,15,30,1,1,1,NULL),(20,205,1,15,31,5,2,3,NULL),(20,205,1,15,32,1,1,1,NULL),(20,205,1,15,33,NULL,NULL,NULL,NULL),(20,205,1,15,34,NULL,1,NULL,1),(20,205,1,15,35,3,3,1,2),(20,205,1,15,36,3,4,3,2),(20,205,1,15,37,2,NULL,1,NULL),(20,205,1,15,38,NULL,1,NULL,NULL),(20,205,1,15,39,2,1,2,NULL),(20,205,1,15,40,2,2,1,NULL),(20,205,1,16,1,5,2,3,2),(20,205,1,16,2,1,NULL,1,NULL),(20,205,1,16,3,1,2,NULL,2),(20,205,1,16,4,1,2,NULL,2),(20,205,1,16,5,1,2,NULL,1),(20,205,1,16,6,4,3,1,2),(20,205,1,16,7,NULL,1,NULL,NULL),(20,205,1,16,8,7,NULL,4,NULL),(20,205,1,16,9,2,6,2,3),(20,205,1,16,10,NULL,2,NULL,2),(20,205,1,16,11,2,1,2,1),(20,205,1,16,12,1,1,NULL,1),(20,205,1,16,13,1,4,1,4),(20,205,1,16,14,NULL,NULL,NULL,NULL),(20,205,1,16,15,3,1,2,NULL),(20,205,1,16,16,NULL,3,NULL,2),(20,205,1,16,17,3,5,2,4),(20,205,1,16,18,NULL,2,NULL,2),(20,205,1,16,19,3,1,1,1),(20,205,1,16,20,1,2,1,1),(20,205,1,16,21,NULL,1,NULL,NULL),(20,205,1,16,22,NULL,5,NULL,4),(20,205,1,16,23,1,3,NULL,3),(20,205,1,16,24,NULL,3,NULL,2),(20,205,1,16,25,1,2,1,1),(20,205,1,16,26,1,NULL,1,NULL),(20,205,1,16,27,NULL,2,NULL,2),(20,205,1,16,28,NULL,2,NULL,1),(20,205,1,16,29,NULL,3,NULL,1),(20,205,1,16,30,NULL,2,NULL,1),(20,205,1,16,31,2,2,1,1),(20,205,1,16,32,NULL,2,NULL,1),(20,205,1,16,33,NULL,NULL,NULL,NULL),(20,205,1,16,34,NULL,2,NULL,2),(20,205,1,16,35,1,4,1,3),(20,205,1,16,36,1,3,NULL,NULL),(20,205,1,16,37,2,1,2,1),(20,205,1,16,38,NULL,NULL,NULL,NULL),(20,205,1,16,39,4,5,2,3),(20,205,1,16,40,NULL,3,NULL,2),(20,205,1,17,1,3,2,2,2),(20,205,1,17,2,2,NULL,2,NULL),(20,205,1,17,3,1,3,1,3),(20,205,1,17,4,1,5,1,3),(20,205,1,17,5,2,4,2,4),(20,205,1,17,6,4,3,4,3),(20,205,1,17,7,4,3,2,3),(20,205,1,17,8,4,1,3,NULL),(20,205,1,17,9,3,7,3,7),(20,205,1,17,10,1,2,1,1),(20,205,1,17,11,1,2,1,2),(20,205,1,17,12,2,1,2,1),(20,205,1,17,13,3,4,2,4),(20,205,1,17,14,2,2,2,1),(20,205,1,17,15,4,NULL,4,NULL),(20,205,1,17,16,2,3,NULL,3),(20,205,1,17,17,3,5,3,5),(20,205,1,17,18,1,3,NULL,3),(20,205,1,17,19,7,1,6,1),(20,205,1,17,20,1,2,NULL,2),(20,205,1,17,21,1,2,1,2),(20,205,1,17,22,1,NULL,1,NULL),(20,205,1,17,23,NULL,4,NULL,4),(20,205,1,17,24,4,1,4,1),(20,205,1,17,25,1,4,1,3),(20,205,1,17,26,1,NULL,1,NULL),(20,205,1,17,27,2,2,1,2),(20,205,1,17,28,1,NULL,1,NULL),(20,205,1,17,29,1,NULL,1,NULL),(20,205,1,17,30,NULL,2,NULL,1),(20,205,1,17,31,1,4,1,3),(20,205,1,17,32,2,1,2,1),(20,205,1,17,33,2,3,2,3),(20,205,1,17,34,NULL,4,NULL,4),(20,205,1,17,35,3,NULL,2,NULL),(20,205,1,17,36,4,NULL,3,NULL),(20,205,1,17,37,4,2,3,1),(20,205,1,17,38,NULL,3,NULL,2),(20,205,1,17,39,6,3,4,2),(20,205,1,17,40,1,NULL,1,NULL),(20,205,2,21,1,1,1,1,1),(20,205,2,21,2,NULL,NULL,NULL,NULL),(20,205,2,21,3,3,1,1,1),(20,205,2,21,4,NULL,1,NULL,1),(20,205,2,21,5,NULL,1,NULL,1),(20,205,2,21,6,1,1,1,1),(20,205,2,21,7,1,NULL,NULL,NULL),(20,205,2,21,8,NULL,NULL,NULL,NULL),(20,205,2,21,9,5,3,2,3),(20,205,2,21,10,NULL,1,NULL,1),(20,205,2,21,11,1,NULL,NULL,NULL),(20,205,2,21,12,1,NULL,1,NULL),(20,205,2,21,13,3,1,2,1),(20,205,2,21,14,3,4,3,2),(20,205,2,21,15,2,2,1,1),(20,205,2,21,16,4,NULL,2,NULL),(20,205,2,21,17,1,NULL,1,NULL),(20,205,2,21,18,NULL,1,NULL,1),(20,205,2,21,19,3,3,2,1),(20,205,2,21,20,NULL,1,NULL,1),(20,205,2,21,21,NULL,NULL,NULL,NULL),(20,205,2,21,22,NULL,NULL,NULL,NULL),(20,205,2,21,23,NULL,1,NULL,1),(20,205,2,21,24,NULL,NULL,NULL,NULL),(20,205,2,21,25,NULL,3,NULL,1),(20,205,2,21,26,NULL,NULL,NULL,NULL),(20,205,2,21,27,NULL,1,NULL,NULL),(20,205,2,21,28,1,1,NULL,1),(20,205,2,21,29,NULL,1,NULL,1),(20,205,2,21,30,NULL,NULL,NULL,NULL),(20,205,2,21,31,2,2,1,1),(20,205,2,21,32,1,3,1,2),(20,205,2,21,33,2,2,2,1),(20,205,2,21,34,NULL,1,NULL,1),(20,205,2,21,35,NULL,2,NULL,2),(20,205,2,21,36,NULL,NULL,NULL,NULL),(20,205,2,21,37,NULL,NULL,NULL,NULL),(20,205,2,21,38,NULL,NULL,NULL,NULL),(20,205,2,21,39,NULL,2,NULL,1),(20,205,2,21,40,1,NULL,1,NULL),(20,205,2,22,1,NULL,1,NULL,1),(20,205,2,22,2,NULL,1,NULL,1),(20,205,2,22,3,1,2,1,1),(20,205,2,22,4,1,NULL,NULL,NULL),(20,205,2,22,5,NULL,NULL,NULL,NULL),(20,205,2,22,6,1,3,NULL,2),(20,205,2,22,7,1,NULL,NULL,NULL),(20,205,2,22,8,2,NULL,1,NULL),(20,205,2,22,9,5,4,1,4),(20,205,2,22,10,1,3,NULL,2),(20,205,2,22,11,3,3,2,2),(20,205,2,22,12,NULL,1,NULL,1),(20,205,2,22,13,3,3,3,NULL),(20,205,2,22,14,4,4,3,2),(20,205,2,22,15,2,4,NULL,4),(20,205,2,22,16,1,3,1,1),(20,205,2,22,17,2,1,1,1),(20,205,2,22,18,1,1,NULL,NULL),(20,205,2,22,19,1,3,NULL,3),(20,205,2,22,20,4,1,2,1),(20,205,2,22,21,NULL,1,NULL,NULL),(20,205,2,22,22,1,NULL,1,NULL),(20,205,2,22,23,NULL,1,NULL,1),(20,205,2,22,24,NULL,NULL,NULL,NULL),(20,205,2,22,25,NULL,3,NULL,2),(20,205,2,22,26,NULL,1,NULL,1),(20,205,2,22,27,NULL,NULL,NULL,NULL),(20,205,2,22,28,1,2,1,1),(20,205,2,22,29,NULL,NULL,NULL,NULL),(20,205,2,22,30,2,NULL,1,NULL),(20,205,2,22,31,NULL,5,NULL,3),(20,205,2,22,32,1,2,NULL,2),(20,205,2,22,33,2,3,1,3),(20,205,2,22,34,3,1,1,1),(20,205,2,22,35,2,1,NULL,1),(20,205,2,22,36,1,1,NULL,1),(20,205,2,22,37,1,3,1,2),(20,205,2,22,38,NULL,1,NULL,1),(20,205,2,22,39,3,1,2,NULL),(20,205,2,22,40,2,3,2,2),(20,205,2,23,1,NULL,2,NULL,2),(20,205,2,23,2,1,2,1,1),(20,205,2,23,3,NULL,5,NULL,4),(20,205,2,23,4,NULL,1,NULL,1),(20,205,2,23,5,3,2,2,2),(20,205,2,23,6,1,3,NULL,3),(20,205,2,23,7,3,4,1,4),(20,205,2,23,8,1,NULL,1,NULL),(20,205,2,23,9,1,11,NULL,8),(20,205,2,23,10,NULL,3,NULL,2),(20,205,2,23,11,5,1,5,1),(20,205,2,23,12,1,4,NULL,4),(20,205,2,23,13,6,6,4,6),(20,205,2,23,14,5,6,3,5),(20,205,2,23,15,4,4,3,4),(20,205,2,23,16,5,4,3,4),(20,205,2,23,17,3,1,3,1),(20,205,2,23,18,NULL,6,NULL,5),(20,205,2,23,19,NULL,6,NULL,3),(20,205,2,23,20,1,4,NULL,4),(20,205,2,23,21,NULL,NULL,NULL,NULL),(20,205,2,23,22,NULL,6,NULL,5),(20,205,2,23,23,NULL,2,NULL,2),(20,205,2,23,24,NULL,1,NULL,1),(20,205,2,23,25,NULL,6,NULL,5),(20,205,2,23,26,1,2,1,2),(20,205,2,23,27,2,1,2,1),(20,205,2,23,28,3,2,3,2),(20,205,2,23,29,NULL,1,NULL,1),(20,205,2,23,30,2,NULL,2,NULL),(20,205,2,23,31,NULL,4,NULL,3),(20,205,2,23,32,2,1,2,1),(20,205,2,23,33,NULL,7,NULL,4),(20,205,2,23,34,1,2,1,NULL),(20,205,2,23,35,NULL,5,NULL,4),(20,205,2,23,36,2,3,2,3),(20,205,2,23,37,2,3,1,3),(20,205,2,23,38,2,1,2,1),(20,205,2,23,39,1,3,1,1),(20,205,2,23,40,1,3,1,3),(20,205,2,24,1,1,2,1,2),(20,205,2,24,2,NULL,NULL,NULL,NULL),(20,205,2,24,3,1,2,1,2),(20,205,2,24,4,NULL,3,NULL,3),(20,205,2,24,5,NULL,2,NULL,2),(20,205,2,24,6,3,7,3,5),(20,205,2,24,7,1,4,1,3),(20,205,2,24,8,3,NULL,2,NULL),(20,205,2,24,9,5,4,3,4),(20,205,2,24,10,NULL,4,NULL,4),(20,205,2,24,11,2,4,2,3),(20,205,2,24,12,NULL,NULL,NULL,NULL),(20,205,2,24,13,6,4,5,2),(20,205,2,24,14,5,5,4,4),(20,205,2,24,15,4,2,4,2),(20,205,2,24,16,5,2,4,2),(20,205,2,24,17,2,NULL,1,NULL),(20,205,2,24,18,NULL,1,NULL,NULL),(20,205,2,24,19,NULL,6,NULL,5),(20,205,2,24,20,NULL,3,NULL,3),(20,205,2,24,21,NULL,2,NULL,1),(20,205,2,24,22,1,2,1,NULL),(20,205,2,24,23,1,1,1,NULL),(20,205,2,24,24,NULL,NULL,NULL,NULL),(20,205,2,24,25,2,4,1,4),(20,205,2,24,26,1,1,NULL,1),(20,205,2,24,27,1,NULL,1,NULL),(20,205,2,24,28,1,NULL,1,NULL),(20,205,2,24,29,NULL,3,NULL,3),(20,205,2,24,30,2,1,2,1),(20,205,2,24,31,1,3,1,3),(20,205,2,24,32,1,1,1,1),(20,205,2,24,33,3,3,3,3),(20,205,2,24,34,3,4,3,3),(20,205,2,24,35,NULL,3,NULL,3),(20,205,2,24,36,1,2,1,2),(20,205,2,24,37,2,4,2,3),(20,205,2,24,38,1,1,1,1),(20,205,2,24,39,2,1,2,1),(20,205,2,24,40,2,2,2,2),(20,207,1,11,1,3,NULL,1,NULL),(20,207,1,11,2,3,NULL,1,NULL),(20,207,1,11,3,1,NULL,NULL,NULL),(20,207,1,11,4,1,1,NULL,1),(20,207,1,11,5,1,2,1,NULL),(20,207,1,11,6,NULL,2,NULL,NULL),(20,207,1,11,7,2,NULL,1,NULL),(20,207,1,11,8,2,1,1,NULL),(20,207,1,11,9,1,2,NULL,1),(20,207,1,11,10,2,1,NULL,1),(20,207,1,11,11,NULL,NULL,NULL,NULL),(20,207,1,11,12,1,NULL,1,NULL),(20,207,1,11,13,2,NULL,1,NULL),(20,207,1,11,14,NULL,3,NULL,1),(20,207,1,11,15,2,NULL,1,NULL),(20,207,1,11,16,3,NULL,1,NULL),(20,207,1,11,17,2,1,1,NULL),(20,207,1,11,18,3,NULL,1,NULL),(20,207,1,11,19,2,NULL,1,NULL),(20,207,1,11,20,1,NULL,NULL,NULL),(20,207,1,11,21,NULL,NULL,NULL,NULL),(20,207,1,11,22,1,1,1,NULL),(20,207,1,11,23,NULL,2,NULL,1),(20,207,1,11,24,1,1,1,NULL),(20,207,1,11,25,1,1,NULL,1),(20,207,1,11,26,2,NULL,1,NULL),(20,207,1,11,27,1,NULL,1,NULL),(20,207,1,11,28,NULL,1,NULL,1),(20,207,1,11,29,NULL,NULL,NULL,NULL),(20,207,1,11,30,NULL,1,NULL,1),(20,207,1,11,31,1,2,1,NULL),(20,207,1,11,32,3,NULL,1,NULL),(20,207,1,11,33,2,NULL,1,NULL),(20,207,1,11,34,1,NULL,1,NULL),(20,207,1,11,35,2,1,1,NULL),(20,207,1,11,36,2,1,1,NULL),(20,207,1,11,37,2,1,1,NULL),(20,207,1,11,38,1,1,NULL,NULL),(20,207,1,11,39,1,2,NULL,1),(20,207,1,11,40,2,NULL,1,NULL),(20,207,1,12,1,NULL,1,NULL,NULL),(20,207,1,12,2,NULL,1,NULL,NULL),(20,207,1,12,3,1,NULL,NULL,NULL),(20,207,1,12,4,1,1,NULL,NULL),(20,207,1,12,5,1,1,NULL,NULL),(20,207,1,12,6,1,1,NULL,NULL),(20,207,1,12,7,1,1,NULL,NULL),(20,207,1,12,8,2,NULL,NULL,NULL),(20,207,1,12,9,1,NULL,NULL,NULL),(20,207,1,12,10,1,NULL,NULL,NULL),(20,207,1,12,11,NULL,NULL,NULL,NULL),(20,207,1,12,12,NULL,1,NULL,NULL),(20,207,1,12,13,1,NULL,NULL,NULL),(20,207,1,12,14,1,1,NULL,NULL),(20,207,1,12,15,2,NULL,NULL,NULL),(20,207,1,12,16,1,NULL,NULL,NULL),(20,207,1,12,17,2,NULL,NULL,NULL),(20,207,1,12,18,1,1,NULL,NULL),(20,207,1,12,19,1,1,NULL,NULL),(20,207,1,12,20,NULL,1,NULL,NULL),(20,207,1,12,21,NULL,2,NULL,NULL),(20,207,1,12,22,NULL,2,NULL,NULL),(20,207,1,12,23,NULL,1,NULL,NULL),(20,207,1,12,24,NULL,1,NULL,NULL),(20,207,1,12,25,NULL,1,NULL,NULL),(20,207,1,12,26,1,NULL,NULL,NULL),(20,207,1,12,27,NULL,2,NULL,NULL),(20,207,1,12,28,1,NULL,NULL,NULL),(20,207,1,12,29,NULL,NULL,NULL,NULL),(20,207,1,12,30,NULL,1,NULL,NULL),(20,207,1,12,31,NULL,1,NULL,NULL),(20,207,1,12,32,NULL,1,NULL,NULL),(20,207,1,12,33,1,NULL,NULL,NULL),(20,207,1,12,34,NULL,1,NULL,NULL),(20,207,1,12,35,1,1,NULL,NULL),(20,207,1,12,36,NULL,1,NULL,NULL),(20,207,1,12,37,2,NULL,NULL,NULL),(20,207,1,12,38,NULL,NULL,NULL,NULL),(20,207,1,12,39,1,1,NULL,NULL),(20,207,1,12,40,2,NULL,NULL,NULL),(20,207,1,13,1,3,3,2,1),(20,207,1,13,2,3,2,1,2),(20,207,1,13,3,2,4,2,1),(20,207,1,13,4,2,3,NULL,2),(20,207,1,13,5,3,4,1,2),(20,207,1,13,6,8,1,4,NULL),(20,207,1,13,7,2,2,1,2),(20,207,1,13,8,9,NULL,4,NULL),(20,207,1,13,9,3,6,1,3),(20,207,1,13,10,5,4,3,1),(20,207,1,13,11,NULL,2,NULL,NULL),(20,207,1,13,12,4,1,2,1),(20,207,1,13,13,6,4,4,NULL),(20,207,1,13,14,3,2,2,1),(20,207,1,13,15,8,NULL,4,NULL),(20,207,1,13,16,9,NULL,4,NULL),(20,207,1,13,17,6,2,4,NULL),(20,207,1,13,18,7,NULL,4,NULL),(20,207,1,13,19,6,NULL,4,NULL),(20,207,1,13,20,6,1,3,1),(20,207,1,13,21,1,4,1,3),(20,207,1,13,22,2,4,1,3),(20,207,1,13,23,NULL,6,NULL,4),(20,207,1,13,24,1,5,NULL,3),(20,207,1,13,25,3,4,2,2),(20,207,1,13,26,5,NULL,3,NULL),(20,207,1,13,27,1,4,1,3),(20,207,1,13,28,NULL,4,NULL,3),(20,207,1,13,29,NULL,1,NULL,NULL),(20,207,1,13,30,NULL,4,NULL,3),(20,207,1,13,31,1,3,NULL,1),(20,207,1,13,32,4,3,1,2),(20,207,1,13,33,4,4,2,2),(20,207,1,13,34,1,NULL,1,NULL),(20,207,1,13,35,2,4,2,1),(20,207,1,13,36,5,3,3,1),(20,207,1,13,37,4,5,2,2),(20,207,1,13,38,NULL,2,NULL,2),(20,207,1,13,39,7,1,4,NULL),(20,207,1,13,40,5,NULL,3,NULL),(20,207,1,14,1,39,51,4,4),(20,207,1,14,2,34,38,7,7),(20,207,1,14,3,25,77,7,10),(20,207,1,14,4,18,72,3,11),(20,207,1,14,5,53,83,13,12),(20,207,1,14,6,95,104,11,13),(20,207,1,14,7,45,53,12,6),(20,207,1,14,8,109,27,21,5),(20,207,1,14,9,84,102,11,14),(20,207,1,14,10,52,23,13,4),(20,207,1,14,11,8,38,2,7),(20,207,1,14,12,49,45,15,6),(20,207,1,14,13,105,67,20,6),(20,207,1,14,14,129,85,22,4),(20,207,1,14,15,91,33,17,3),(20,207,1,14,16,152,28,21,4),(20,207,1,14,17,80,97,15,8),(20,207,1,14,18,132,39,22,2),(20,207,1,14,19,121,18,19,1),(20,207,1,14,20,143,45,21,6),(20,207,1,14,21,8,55,NULL,15),(20,207,1,14,22,33,83,7,17),(20,207,1,14,23,27,115,2,17),(20,207,1,14,24,27,73,6,14),(20,207,1,14,25,60,73,12,8),(20,207,1,14,26,43,NULL,16,NULL),(20,207,1,14,27,44,73,8,12),(20,207,1,14,28,14,47,4,9),(20,207,1,14,29,13,47,3,7),(20,207,1,14,30,17,59,4,10),(20,207,1,14,31,66,77,10,13),(20,207,1,14,32,64,33,12,7),(20,207,1,14,33,52,36,22,3),(20,207,1,14,34,21,43,4,8),(20,207,1,14,35,72,58,14,6),(20,207,1,14,36,92,70,16,10),(20,207,1,14,37,86,55,11,7),(20,207,1,14,38,12,42,2,9),(20,207,1,14,39,122,82,15,12),(20,207,1,14,40,89,18,19,NULL),(20,207,1,15,1,55,43,8,7),(20,207,1,15,2,32,29,4,5),(20,207,1,15,3,22,69,3,7),(20,207,1,15,4,19,85,2,8),(20,207,1,15,5,71,79,12,13),(20,207,1,15,6,109,84,15,7),(20,207,1,15,7,40,53,12,10),(20,207,1,15,8,112,28,20,2),(20,207,1,15,9,71,107,7,11),(20,207,1,15,10,55,20,14,4),(20,207,1,15,11,11,35,3,5),(20,207,1,15,12,44,53,5,10),(20,207,1,15,13,104,66,15,10),(20,207,1,15,14,127,74,17,8),(20,207,1,15,15,89,39,15,6),(20,207,1,15,16,141,42,20,5),(20,207,1,15,17,59,116,8,12),(20,207,1,15,18,135,40,18,3),(20,207,1,15,19,135,14,19,1),(20,207,1,15,20,135,58,18,7),(20,207,1,15,21,12,35,2,10),(20,207,1,15,22,19,67,3,17),(20,207,1,15,23,22,91,5,9),(20,207,1,15,24,27,64,5,11),(20,207,1,15,25,49,65,12,8),(20,207,1,15,26,35,NULL,10,NULL),(20,207,1,15,27,29,70,4,15),(20,207,1,15,28,13,43,5,11),(20,207,1,15,29,10,39,1,5),(20,207,1,15,30,21,42,6,8),(20,207,1,15,31,58,64,9,6),(20,207,1,15,32,61,28,13,5),(20,207,1,15,33,34,65,10,12),(20,207,1,15,34,13,48,2,13),(20,207,1,15,35,61,63,11,9),(20,207,1,15,36,90,66,18,7),(20,207,1,15,37,95,54,16,7),(20,207,1,15,38,10,39,4,8),(20,207,1,15,39,127,48,22,3),(20,207,1,15,40,85,9,19,1),(20,207,1,16,1,28,45,1,4),(20,207,1,16,2,21,14,4,NULL),(20,207,1,16,3,20,48,NULL,2),(20,207,1,16,4,9,45,NULL,3),(20,207,1,16,5,37,51,3,5),(20,207,1,16,6,59,67,2,7),(20,207,1,16,7,20,31,2,1),(20,207,1,16,8,80,28,6,2),(20,207,1,16,9,49,80,3,4),(20,207,1,16,10,27,34,3,4),(20,207,1,16,11,6,17,1,3),(20,207,1,16,12,23,37,NULL,6),(20,207,1,16,13,60,50,3,3),(20,207,1,16,14,23,16,NULL,2),(20,207,1,16,15,69,13,2,1),(20,207,1,16,16,7,54,NULL,3),(20,207,1,16,17,90,68,4,3),(20,207,1,16,18,13,39,NULL,3),(20,207,1,16,19,60,48,4,3),(20,207,1,16,20,1,41,NULL,1),(20,207,1,16,21,5,34,NULL,2),(20,207,1,16,22,13,37,NULL,4),(20,207,1,16,23,10,73,NULL,7),(20,207,1,16,24,7,37,2,4),(20,207,1,16,25,25,57,2,6),(20,207,1,16,26,14,NULL,1,NULL),(20,207,1,16,27,28,52,2,6),(20,207,1,16,28,5,24,1,2),(20,207,1,16,29,6,31,NULL,3),(20,207,1,16,30,10,31,2,6),(20,207,1,16,31,30,59,NULL,4),(20,207,1,16,32,33,29,2,3),(20,207,1,16,33,17,31,4,1),(20,207,1,16,34,8,25,NULL,1),(20,207,1,16,35,40,48,1,5),(20,207,1,16,36,49,54,6,3),(20,207,1,16,37,43,55,2,4),(20,207,1,16,38,4,24,NULL,2),(20,207,1,16,39,73,57,4,5),(20,207,1,16,40,43,23,4,NULL),(20,207,1,17,1,17,33,1,3),(20,207,1,17,2,16,14,2,2),(20,207,1,17,3,12,35,NULL,3),(20,207,1,17,4,12,43,NULL,3),(20,207,1,17,5,36,44,3,4),(20,207,1,17,6,64,49,7,3),(20,207,1,17,7,19,35,1,5),(20,207,1,17,8,70,14,7,2),(20,207,1,17,9,40,71,5,4),(20,207,1,17,10,18,24,4,3),(20,207,1,17,11,1,16,NULL,2),(20,207,1,17,12,22,20,1,3),(20,207,1,17,13,47,47,4,5),(20,207,1,17,14,16,16,2,NULL),(20,207,1,17,15,45,9,4,NULL),(20,207,1,17,16,5,44,NULL,3),(20,207,1,17,17,69,56,5,4),(20,207,1,17,18,6,35,NULL,3),(20,207,1,17,19,57,43,2,1),(20,207,1,17,20,9,39,NULL,5),(20,207,1,17,21,8,24,2,5),(20,207,1,17,22,10,33,2,7),(20,207,1,17,23,9,58,NULL,7),(20,207,1,17,24,8,32,2,6),(20,207,1,17,25,21,34,4,6),(20,207,1,17,26,14,NULL,3,NULL),(20,207,1,17,27,24,42,3,6),(20,207,1,17,28,5,30,NULL,6),(20,207,1,17,29,15,27,1,5),(20,207,1,17,30,6,34,NULL,4),(20,207,1,17,31,28,36,2,4),(20,207,1,17,32,39,14,3,1),(20,207,1,17,33,14,29,2,4),(20,207,1,17,34,6,22,1,2),(20,207,1,17,35,31,44,6,1),(20,207,1,17,36,41,37,4,3),(20,207,1,17,37,41,42,2,8),(20,207,1,17,38,6,34,1,4),(20,207,1,17,39,56,45,5,5),(20,207,1,17,40,35,13,7,2),(20,207,2,21,1,20,34,1,3),(20,207,2,21,2,7,13,4,1),(20,207,2,21,3,33,63,3,8),(20,207,2,21,4,22,35,6,2),(20,207,2,21,5,8,15,2,1),(20,207,2,21,6,49,50,8,8),(20,207,2,21,7,34,54,10,7),(20,207,2,21,8,46,NULL,12,NULL),(20,207,2,21,9,58,116,8,7),(20,207,2,21,10,8,52,2,10),(20,207,2,21,11,27,18,5,3),(20,207,2,21,12,21,30,4,4),(20,207,2,21,13,110,54,18,3),(20,207,2,21,14,123,69,16,6),(20,207,2,21,15,74,62,8,8),(20,207,2,21,16,61,48,8,8),(20,207,2,21,17,23,35,4,6),(20,207,2,21,18,16,62,4,9),(20,207,2,21,19,32,85,6,11),(20,207,2,21,20,38,68,4,11),(20,207,2,21,21,4,10,2,NULL),(20,207,2,21,22,7,35,1,8),(20,207,2,21,23,5,18,1,NULL),(20,207,2,21,24,3,14,2,1),(20,207,2,21,25,38,63,7,10),(20,207,2,21,26,25,26,8,5),(20,207,2,21,27,3,21,NULL,4),(20,207,2,21,28,41,36,6,4),(20,207,2,21,29,6,23,1,4),(20,207,2,21,30,11,13,2,NULL),(20,207,2,21,31,24,52,6,5),(20,207,2,21,32,41,40,12,2),(20,207,2,21,33,43,57,4,9),(20,207,2,21,34,17,59,4,11),(20,207,2,21,35,12,62,2,6),(20,207,2,21,36,26,41,7,4),(20,207,2,21,37,21,48,4,10),(20,207,2,21,38,13,51,2,10),(20,207,2,21,39,23,39,7,5),(20,207,2,21,40,37,32,9,1),(20,207,2,22,1,17,40,1,8),(20,207,2,22,2,10,23,1,4),(20,207,2,22,3,31,72,5,7),(20,207,2,22,4,29,22,5,1),(20,207,2,22,5,11,27,2,7),(20,207,2,22,6,59,57,8,8),(20,207,2,22,7,18,45,5,10),(20,207,2,22,8,34,NULL,7,NULL),(20,207,2,22,9,58,90,5,3),(20,207,2,22,10,2,54,NULL,9),(20,207,2,22,11,36,28,7,3),(20,207,2,22,12,12,28,3,6),(20,207,2,22,13,99,73,17,NULL),(20,207,2,22,14,118,83,13,7),(20,207,2,22,15,87,40,9,5),(20,207,2,22,16,71,47,2,9),(20,207,2,22,17,45,37,8,3),(20,207,2,22,18,14,61,3,9),(20,207,2,22,19,38,84,9,6),(20,207,2,22,20,47,60,6,10),(20,207,2,22,21,3,13,1,2),(20,207,2,22,22,14,44,1,8),(20,207,2,22,23,6,19,2,NULL),(20,207,2,22,24,4,17,1,6),(20,207,2,22,25,37,65,8,6),(20,207,2,22,26,13,21,6,6),(20,207,2,22,27,7,26,1,7),(20,207,2,22,28,46,35,6,6),(20,207,2,22,29,8,29,4,5),(20,207,2,22,30,13,8,5,2),(20,207,2,22,31,12,60,3,5),(20,207,2,22,32,27,53,7,4),(20,207,2,22,33,29,70,1,10),(20,207,2,22,34,25,60,3,12),(20,207,2,22,35,5,69,1,12),(20,207,2,22,36,20,43,5,2),(20,207,2,22,37,10,44,3,8),(20,207,2,22,38,8,40,3,8),(20,207,2,22,39,23,43,5,7),(20,207,2,22,40,44,36,10,5),(20,207,2,23,1,18,41,3,5),(20,207,2,23,2,9,16,1,3),(20,207,2,23,3,27,63,5,6),(20,207,2,23,4,15,27,3,2),(20,207,2,23,5,11,21,1,1),(20,207,2,23,6,43,58,9,7),(20,207,2,23,7,20,53,6,7),(20,207,2,23,8,36,NULL,7,NULL),(20,207,2,23,9,45,95,2,7),(20,207,2,23,10,8,49,1,8),(20,207,2,23,11,27,35,2,3),(20,207,2,23,12,11,23,1,3),(20,207,2,23,13,82,65,15,2),(20,207,2,23,14,98,83,15,3),(20,207,2,23,15,68,56,8,6),(20,207,2,23,16,56,54,6,8),(20,207,2,23,17,27,37,6,3),(20,207,2,23,18,18,55,NULL,11),(20,207,2,23,19,24,67,5,7),(20,207,2,23,20,34,71,4,12),(20,207,2,23,21,3,11,3,3),(20,207,2,23,22,11,47,1,4),(20,207,2,23,23,8,16,2,4),(20,207,2,23,24,3,9,1,2),(20,207,2,23,25,32,51,10,6),(20,207,2,23,26,24,21,5,2),(20,207,2,23,27,9,17,3,2),(20,207,2,23,28,41,28,7,3),(20,207,2,23,29,7,31,3,5),(20,207,2,23,30,18,9,2,1),(20,207,2,23,31,28,57,7,8),(20,207,2,23,32,33,46,6,5),(20,207,2,23,33,25,73,4,4),(20,207,2,23,34,28,46,4,6),(20,207,2,23,35,5,70,1,10),(20,207,2,23,36,28,42,5,3),(20,207,2,23,37,22,41,4,7),(20,207,2,23,38,9,42,NULL,12),(20,207,2,23,39,21,30,5,6),(20,207,2,23,40,30,43,8,2),(20,207,2,24,1,18,37,4,3),(20,207,2,24,2,2,22,NULL,3),(20,207,2,24,3,31,52,3,10),(20,207,2,24,4,17,22,3,2),(20,207,2,24,5,6,21,2,5),(20,207,2,24,6,58,35,10,6),(20,207,2,24,7,31,27,7,5),(20,207,2,24,8,32,NULL,8,NULL),(20,207,2,24,9,58,80,8,7),(20,207,2,24,10,2,35,NULL,7),(20,207,2,24,11,32,18,8,NULL),(20,207,2,24,12,16,22,4,5),(20,207,2,24,13,90,53,15,1),(20,207,2,24,14,87,67,15,3),(20,207,2,24,15,61,31,11,3),(20,207,2,24,16,61,35,5,8),(20,207,2,24,17,31,29,6,5),(20,207,2,24,18,15,54,2,7),(20,207,2,24,19,34,80,4,9),(20,207,2,24,20,57,49,11,4),(20,207,2,24,21,4,13,1,5),(20,207,2,24,22,13,29,NULL,5),(20,207,2,24,23,3,19,2,2),(20,207,2,24,24,6,8,4,3),(20,207,2,24,25,23,48,10,5),(20,207,2,24,26,12,20,6,2),(20,207,2,24,27,12,12,4,2),(20,207,2,24,28,43,25,5,5),(20,207,2,24,29,6,16,1,4),(20,207,2,24,30,12,11,NULL,NULL),(20,207,2,24,31,21,50,5,11),(20,207,2,24,32,24,53,7,8),(20,207,2,24,33,35,62,5,6),(20,207,2,24,34,19,39,2,7),(20,207,2,24,35,12,41,3,6),(20,207,2,24,36,19,33,6,1),(20,207,2,24,37,22,31,5,7),(20,207,2,24,38,7,31,3,8),(20,207,2,24,39,14,35,7,6),(20,207,2,24,40,26,33,8,2),(20,208,1,11,1,1,NULL,NULL,NULL),(20,208,1,11,2,1,NULL,NULL,NULL),(20,208,1,11,3,NULL,1,NULL,NULL),(20,208,1,11,4,NULL,NULL,NULL,NULL),(20,208,1,11,5,NULL,NULL,1,NULL),(20,208,1,11,6,1,NULL,NULL,NULL),(20,208,1,11,7,NULL,NULL,NULL,1),(20,208,1,11,8,NULL,NULL,1,NULL),(20,208,1,11,9,1,1,1,NULL),(20,208,1,11,10,NULL,1,NULL,NULL),(20,208,1,11,11,NULL,NULL,NULL,NULL),(20,208,1,11,12,NULL,NULL,NULL,NULL),(20,208,1,11,13,2,NULL,NULL,NULL),(20,208,1,11,14,1,1,NULL,NULL),(20,208,1,11,15,2,NULL,1,NULL),(20,208,1,11,16,1,NULL,1,NULL),(20,208,1,11,17,1,2,NULL,1),(20,208,1,11,18,2,1,1,NULL),(20,208,1,11,19,NULL,2,1,NULL),(20,208,1,11,20,2,NULL,NULL,NULL),(20,208,1,11,21,NULL,NULL,NULL,NULL),(20,208,1,11,22,NULL,1,NULL,1),(20,208,1,11,23,NULL,1,NULL,1),(20,208,1,11,24,1,NULL,NULL,1),(20,208,1,11,25,NULL,1,NULL,NULL),(20,208,1,11,26,NULL,NULL,NULL,NULL),(20,208,1,11,27,NULL,2,NULL,1),(20,208,1,11,28,NULL,NULL,1,NULL),(20,208,1,11,29,NULL,NULL,NULL,NULL),(20,208,1,11,30,NULL,NULL,NULL,NULL),(20,208,1,11,31,NULL,1,NULL,NULL),(20,208,1,11,32,NULL,NULL,1,NULL),(20,208,1,11,33,NULL,2,1,NULL),(20,208,1,11,34,NULL,NULL,1,NULL),(20,208,1,11,35,NULL,NULL,1,NULL),(20,208,1,11,36,NULL,1,1,NULL),(20,208,1,11,37,1,1,1,NULL),(20,208,1,11,38,NULL,NULL,NULL,NULL),(20,208,1,11,39,2,NULL,NULL,1),(20,208,1,11,40,1,NULL,1,NULL),(20,208,1,12,1,NULL,1,NULL,1),(20,208,1,12,2,1,NULL,1,NULL),(20,208,1,12,3,NULL,1,NULL,1),(20,208,1,12,4,NULL,1,NULL,1),(20,208,1,12,5,NULL,1,NULL,1),(20,208,1,12,6,NULL,1,NULL,1),(20,208,1,12,7,NULL,1,NULL,1),(20,208,1,12,8,2,NULL,2,NULL),(20,208,1,12,9,NULL,2,NULL,2),(20,208,1,12,10,2,NULL,2,NULL),(20,208,1,12,11,NULL,NULL,NULL,NULL),(20,208,1,12,12,1,NULL,1,NULL),(20,208,1,12,13,NULL,1,NULL,1),(20,208,1,12,14,1,1,1,1),(20,208,1,12,15,1,1,1,1),(20,208,1,12,16,2,NULL,2,NULL),(20,208,1,12,17,2,NULL,2,NULL),(20,208,1,12,18,2,NULL,2,NULL),(20,208,1,12,19,1,NULL,1,NULL),(20,208,1,12,20,2,NULL,2,NULL),(20,208,1,12,21,NULL,NULL,NULL,NULL),(20,208,1,12,22,NULL,2,NULL,2),(20,208,1,12,23,NULL,NULL,NULL,NULL),(20,208,1,12,24,NULL,2,NULL,2),(20,208,1,12,25,1,1,1,1),(20,208,1,12,26,1,NULL,1,NULL),(20,208,1,12,27,NULL,2,NULL,2),(20,208,1,12,28,1,1,1,1),(20,208,1,12,29,NULL,NULL,NULL,NULL),(20,208,1,12,30,NULL,1,NULL,1),(20,208,1,12,31,NULL,1,NULL,1),(20,208,1,12,32,1,1,1,1),(20,208,1,12,33,NULL,2,NULL,2),(20,208,1,12,34,NULL,1,NULL,1),(20,208,1,12,35,NULL,1,NULL,1),(20,208,1,12,36,NULL,2,NULL,2),(20,208,1,12,37,NULL,NULL,NULL,NULL),(20,208,1,12,38,NULL,1,NULL,1),(20,208,1,12,39,1,1,1,1),(20,208,1,12,40,2,NULL,2,NULL),(20,208,1,13,1,NULL,NULL,NULL,NULL),(20,208,1,13,2,NULL,NULL,NULL,NULL),(20,208,1,13,3,NULL,NULL,NULL,NULL),(20,208,1,13,4,NULL,1,NULL,NULL),(20,208,1,13,5,NULL,1,NULL,NULL),(20,208,1,13,6,NULL,1,NULL,NULL),(20,208,1,13,7,NULL,NULL,NULL,NULL),(20,208,1,13,8,NULL,NULL,NULL,NULL),(20,208,1,13,9,NULL,NULL,NULL,NULL),(20,208,1,13,10,NULL,NULL,NULL,NULL),(20,208,1,13,11,NULL,NULL,NULL,NULL),(20,208,1,13,12,NULL,NULL,NULL,NULL),(20,208,1,13,13,1,NULL,NULL,NULL),(20,208,1,13,14,NULL,NULL,NULL,NULL),(20,208,1,13,15,1,NULL,NULL,NULL),(20,208,1,13,16,1,NULL,NULL,NULL),(20,208,1,13,17,1,NULL,NULL,NULL),(20,208,1,13,18,1,NULL,NULL,NULL),(20,208,1,13,19,NULL,NULL,NULL,NULL),(20,208,1,13,20,1,NULL,NULL,NULL),(20,208,1,13,21,NULL,NULL,NULL,NULL),(20,208,1,13,22,NULL,NULL,NULL,NULL),(20,208,1,13,23,NULL,1,NULL,NULL),(20,208,1,13,24,NULL,NULL,NULL,NULL),(20,208,1,13,25,NULL,1,NULL,NULL),(20,208,1,13,26,NULL,NULL,NULL,NULL),(20,208,1,13,27,NULL,1,NULL,NULL),(20,208,1,13,28,NULL,NULL,NULL,NULL),(20,208,1,13,29,1,NULL,NULL,NULL),(20,208,1,13,30,NULL,NULL,NULL,NULL),(20,208,1,13,31,NULL,1,NULL,NULL),(20,208,1,13,32,NULL,NULL,NULL,NULL),(20,208,1,13,33,NULL,NULL,NULL,NULL),(20,208,1,13,34,NULL,NULL,NULL,NULL),(20,208,1,13,35,NULL,NULL,NULL,NULL),(20,208,1,13,36,1,NULL,NULL,NULL),(20,208,1,13,37,NULL,NULL,NULL,NULL),(20,208,1,13,38,NULL,NULL,NULL,NULL),(20,208,1,13,39,1,NULL,NULL,NULL),(20,208,1,13,40,NULL,NULL,NULL,NULL),(20,208,1,14,1,18,17,5,7),(20,208,1,14,2,12,11,6,6),(20,208,1,14,3,11,30,7,7),(20,208,1,14,4,13,30,1,10),(20,208,1,14,5,23,37,9,7),(20,208,1,14,6,38,44,11,12),(20,208,1,14,7,17,16,8,4),(20,208,1,14,8,35,13,14,2),(20,208,1,14,9,51,41,13,13),(20,208,1,14,10,11,17,6,5),(20,208,1,14,11,NULL,8,NULL,4),(20,208,1,14,12,17,17,7,6),(20,208,1,14,13,59,38,17,11),(20,208,1,14,14,68,42,17,12),(20,208,1,14,15,24,22,14,7),(20,208,1,14,16,76,10,25,2),(20,208,1,14,17,37,45,9,13),(20,208,1,14,18,68,26,22,4),(20,208,1,14,19,55,8,23,NULL),(20,208,1,14,20,67,31,16,10),(20,208,1,14,21,6,24,2,10),(20,208,1,14,22,16,38,6,15),(20,208,1,14,23,18,57,5,16),(20,208,1,14,24,14,40,3,15),(20,208,1,14,25,21,50,8,15),(20,208,1,14,26,23,NULL,14,NULL),(20,208,1,14,27,23,36,8,8),(20,208,1,14,28,5,15,4,8),(20,208,1,14,29,9,28,2,6),(20,208,1,14,30,7,28,3,14),(20,208,1,14,31,26,26,7,8),(20,208,1,14,32,20,22,10,6),(20,208,1,14,33,13,23,9,6),(20,208,1,14,34,5,33,2,14),(20,208,1,14,35,28,35,11,14),(20,208,1,14,36,27,49,7,12),(20,208,1,14,37,37,26,11,10),(20,208,1,14,38,4,10,NULL,NULL),(20,208,1,14,39,61,30,17,10),(20,208,1,14,40,32,13,16,4),(20,208,1,15,1,20,21,15,12),(20,208,1,15,2,14,10,9,5),(20,208,1,15,3,7,39,6,15),(20,208,1,15,4,12,35,5,17),(20,208,1,15,5,28,34,6,18),(20,208,1,15,6,48,47,23,18),(20,208,1,15,7,20,25,13,16),(20,208,1,15,8,37,22,20,8),(20,208,1,15,9,30,64,16,17),(20,208,1,15,10,14,15,11,8),(20,208,1,15,11,4,16,4,5),(20,208,1,15,12,17,15,13,7),(20,208,1,15,13,67,28,32,13),(20,208,1,15,14,69,33,31,11),(20,208,1,15,15,36,20,20,9),(20,208,1,15,16,62,22,35,5),(20,208,1,15,17,27,67,15,23),(20,208,1,15,18,85,13,34,7),(20,208,1,15,19,67,8,37,2),(20,208,1,15,20,70,31,25,19),(20,208,1,15,21,7,21,1,8),(20,208,1,15,22,15,34,11,22),(20,208,1,15,23,18,53,6,20),(20,208,1,15,24,10,44,2,26),(20,208,1,15,25,19,47,9,23),(20,208,1,15,26,21,NULL,16,NULL),(20,208,1,15,27,12,47,7,26),(20,208,1,15,28,5,14,4,12),(20,208,1,15,29,3,13,2,10),(20,208,1,15,30,8,31,5,14),(20,208,1,15,31,18,27,13,13),(20,208,1,15,32,25,18,17,11),(20,208,1,15,33,20,21,17,14),(20,208,1,15,34,16,21,8,13),(20,208,1,15,35,18,27,12,17),(20,208,1,15,36,32,34,19,22),(20,208,1,15,37,38,34,21,13),(20,208,1,15,38,4,20,4,6),(20,208,1,15,39,54,37,28,14),(20,208,1,15,40,42,8,31,5),(20,208,1,16,1,8,14,3,2),(20,208,1,16,2,2,9,1,2),(20,208,1,16,3,4,9,3,3),(20,208,1,16,4,4,14,NULL,4),(20,208,1,16,5,9,18,4,7),(20,208,1,16,6,16,19,6,6),(20,208,1,16,7,4,6,3,2),(20,208,1,16,8,23,9,9,1),(20,208,1,16,9,14,20,6,4),(20,208,1,16,10,4,9,4,3),(20,208,1,16,11,3,10,2,4),(20,208,1,16,12,4,13,2,4),(20,208,1,16,13,22,14,10,2),(20,208,1,16,14,3,6,NULL,1),(20,208,1,16,15,15,5,8,NULL),(20,208,1,16,16,4,23,1,6),(20,208,1,16,17,26,25,9,4),(20,208,1,16,18,1,12,NULL,5),(20,208,1,16,19,28,12,4,3),(20,208,1,16,20,6,12,NULL,2),(20,208,1,16,21,5,15,NULL,5),(20,208,1,16,22,3,12,2,3),(20,208,1,16,23,4,36,1,10),(20,208,1,16,24,9,12,2,5),(20,208,1,16,25,5,20,4,7),(20,208,1,16,26,4,NULL,3,NULL),(20,208,1,16,27,9,21,5,5),(20,208,1,16,28,1,5,NULL,4),(20,208,1,16,29,4,12,1,4),(20,208,1,16,30,1,7,NULL,4),(20,208,1,16,31,10,15,3,2),(20,208,1,16,32,9,7,5,2),(20,208,1,16,33,2,5,4,1),(20,208,1,16,34,3,13,NULL,5),(20,208,1,16,35,11,18,2,5),(20,208,1,16,36,11,21,4,7),(20,208,1,16,37,12,15,5,4),(20,208,1,16,38,3,8,2,4),(20,208,1,16,39,24,14,7,5),(20,208,1,16,40,9,6,8,NULL),(20,208,1,17,1,7,8,1,2),(20,208,1,17,2,1,11,NULL,1),(20,208,1,17,3,3,15,NULL,2),(20,208,1,17,4,2,14,NULL,2),(20,208,1,17,5,4,17,NULL,NULL),(20,208,1,17,6,11,16,3,1),(20,208,1,17,7,3,6,1,1),(20,208,1,17,8,16,7,3,1),(20,208,1,17,9,13,27,1,4),(20,208,1,17,10,3,4,1,2),(20,208,1,17,11,1,9,NULL,2),(20,208,1,17,12,3,9,2,2),(20,208,1,17,13,8,16,1,2),(20,208,1,17,14,NULL,2,NULL,NULL),(20,208,1,17,15,8,2,2,NULL),(20,208,1,17,16,5,18,NULL,4),(20,208,1,17,17,26,12,4,2),(20,208,1,17,18,3,7,NULL,1),(20,208,1,17,19,24,19,2,2),(20,208,1,17,20,4,20,NULL,1),(20,208,1,17,21,4,8,NULL,NULL),(20,208,1,17,22,1,6,1,4),(20,208,1,17,23,3,17,NULL,3),(20,208,1,17,24,8,8,1,3),(20,208,1,17,25,2,11,1,3),(20,208,1,17,26,5,NULL,1,NULL),(20,208,1,17,27,10,13,2,2),(20,208,1,17,28,2,5,1,1),(20,208,1,17,29,6,10,1,1),(20,208,1,17,30,2,7,1,2),(20,208,1,17,31,6,10,1,1),(20,208,1,17,32,4,4,2,1),(20,208,1,17,33,5,6,2,3),(20,208,1,17,34,1,6,1,4),(20,208,1,17,35,10,14,1,4),(20,208,1,17,36,11,13,3,1),(20,208,1,17,37,11,14,1,3),(20,208,1,17,38,1,6,NULL,2),(20,208,1,17,39,10,18,3,3),(20,208,1,17,40,6,4,4,NULL),(20,208,2,21,1,12,16,5,7),(20,208,2,21,2,4,5,NULL,1),(20,208,2,21,3,17,32,5,12),(20,208,2,21,4,7,12,2,5),(20,208,2,21,5,3,7,1,1),(20,208,2,21,6,25,17,8,8),(20,208,2,21,7,16,30,10,10),(20,208,2,21,8,15,NULL,10,NULL),(20,208,2,21,9,25,42,7,11),(20,208,2,21,10,8,26,4,7),(20,208,2,21,11,11,25,4,9),(20,208,2,21,12,3,13,2,6),(20,208,2,21,13,34,27,18,5),(20,208,2,21,14,42,47,15,10),(20,208,2,21,15,43,25,17,8),(20,208,2,21,16,35,29,11,7),(20,208,2,21,17,13,13,7,4),(20,208,2,21,18,7,29,3,12),(20,208,2,21,19,11,36,6,13),(20,208,2,21,20,19,32,8,10),(20,208,2,21,21,NULL,5,NULL,3),(20,208,2,21,22,5,20,3,6),(20,208,2,21,23,1,9,3,3),(20,208,2,21,24,2,6,2,4),(20,208,2,21,25,23,17,13,7),(20,208,2,21,26,5,3,5,NULL),(20,208,2,21,27,4,9,3,4),(20,208,2,21,28,15,23,10,11),(20,208,2,21,29,3,12,3,5),(20,208,2,21,30,5,8,3,NULL),(20,208,2,21,31,10,15,6,7),(20,208,2,21,32,4,36,8,12),(20,208,2,21,33,8,35,3,10),(20,208,2,21,34,14,20,7,6),(20,208,2,21,35,1,20,2,10),(20,208,2,21,36,11,20,9,3),(20,208,2,21,37,8,21,7,5),(20,208,2,21,38,4,16,5,7),(20,208,2,21,39,7,17,6,10),(20,208,2,21,40,16,19,12,4),(20,208,2,22,1,11,18,NULL,5),(20,208,2,22,2,2,11,NULL,4),(20,208,2,22,3,6,33,1,7),(20,208,2,22,4,11,14,5,5),(20,208,2,22,5,2,9,2,5),(20,208,2,22,6,19,22,6,13),(20,208,2,22,7,8,23,5,7),(20,208,2,22,8,16,NULL,7,NULL),(20,208,2,22,9,21,61,5,8),(20,208,2,22,10,4,22,3,12),(20,208,2,22,11,17,17,2,6),(20,208,2,22,12,3,10,2,4),(20,208,2,22,13,47,39,15,5),(20,208,2,22,14,49,43,11,10),(20,208,2,22,15,39,34,12,9),(20,208,2,22,16,28,21,6,5),(20,208,2,22,17,20,18,6,3),(20,208,2,22,18,3,26,3,7),(20,208,2,22,19,13,35,2,10),(20,208,2,22,20,19,36,10,7),(20,208,2,22,21,3,9,1,4),(20,208,2,22,22,7,13,3,4),(20,208,2,22,23,4,8,3,NULL),(20,208,2,22,24,4,6,NULL,3),(20,208,2,22,25,25,28,8,3),(20,208,2,22,26,8,16,5,8),(20,208,2,22,27,5,10,2,4),(20,208,2,22,28,16,21,5,5),(20,208,2,22,29,5,9,1,3),(20,208,2,22,30,5,6,2,2),(20,208,2,22,31,12,19,2,4),(20,208,2,22,32,10,35,2,8),(20,208,2,22,33,14,26,5,8),(20,208,2,22,34,7,32,4,9),(20,208,2,22,35,4,35,2,13),(20,208,2,22,36,13,21,7,3),(20,208,2,22,37,4,17,3,8),(20,208,2,22,38,5,12,2,5),(20,208,2,22,39,2,17,1,5),(20,208,2,22,40,13,21,9,5),(20,208,2,23,1,6,16,2,10),(20,208,2,23,2,NULL,4,NULL,3),(20,208,2,23,3,10,29,2,8),(20,208,2,23,4,9,10,6,3),(20,208,2,23,5,5,10,4,2),(20,208,2,23,6,15,28,6,14),(20,208,2,23,7,12,20,5,10),(20,208,2,23,8,15,NULL,14,NULL),(20,208,2,23,9,30,37,10,8),(20,208,2,23,10,3,19,NULL,13),(20,208,2,23,11,12,16,4,5),(20,208,2,23,12,4,14,1,7),(20,208,2,23,13,38,34,15,9),(20,208,2,23,14,42,47,12,10),(20,208,2,23,15,35,20,9,7),(20,208,2,23,16,29,21,8,10),(20,208,2,23,17,13,12,5,5),(20,208,2,23,18,5,19,NULL,7),(20,208,2,23,19,13,38,5,11),(20,208,2,23,20,16,27,9,12),(20,208,2,23,21,1,4,NULL,2),(20,208,2,23,22,4,22,NULL,7),(20,208,2,23,23,1,6,NULL,1),(20,208,2,23,24,2,8,2,6),(20,208,2,23,25,15,35,10,8),(20,208,2,23,26,9,5,4,2),(20,208,2,23,27,3,11,1,7),(20,208,2,23,28,18,11,6,6),(20,208,2,23,29,6,7,1,3),(20,208,2,23,30,6,9,3,2),(20,208,2,23,31,12,18,8,8),(20,208,2,23,32,10,21,7,7),(20,208,2,23,33,8,37,NULL,10),(20,208,2,23,34,12,16,6,8),(20,208,2,23,35,2,23,2,7),(20,208,2,23,36,7,28,5,9),(20,208,2,23,37,3,18,3,8),(20,208,2,23,38,8,10,5,5),(20,208,2,23,39,3,14,2,12),(20,208,2,23,40,10,20,12,5),(20,208,2,24,1,1,21,1,3),(20,208,2,24,2,2,5,2,3),(20,208,2,24,3,15,24,5,10),(20,208,2,24,4,5,14,6,3),(20,208,2,24,5,1,3,NULL,2),(20,208,2,24,6,13,16,5,9),(20,208,2,24,7,12,18,4,3),(20,208,2,24,8,10,NULL,6,NULL),(20,208,2,24,9,25,45,2,11),(20,208,2,24,10,4,14,NULL,10),(20,208,2,24,11,13,13,4,2),(20,208,2,24,12,5,7,1,2),(20,208,2,24,13,42,22,9,8),(20,208,2,24,14,27,34,10,8),(20,208,2,24,15,32,19,7,7),(20,208,2,24,16,24,19,4,5),(20,208,2,24,17,8,8,8,2),(20,208,2,24,18,4,23,1,12),(20,208,2,24,19,11,38,3,9),(20,208,2,24,20,19,24,10,9),(20,208,2,24,21,NULL,7,1,4),(20,208,2,24,22,10,9,3,1),(20,208,2,24,23,1,9,2,2),(20,208,2,24,24,1,5,NULL,3),(20,208,2,24,25,11,31,9,7),(20,208,2,24,26,4,6,1,3),(20,208,2,24,27,4,13,NULL,4),(20,208,2,24,28,16,11,8,3),(20,208,2,24,29,NULL,12,NULL,8),(20,208,2,24,30,13,6,4,1),(20,208,2,24,31,9,19,6,8),(20,208,2,24,32,14,24,10,5),(20,208,2,24,33,15,32,2,7),(20,208,2,24,34,9,21,4,10),(20,208,2,24,35,1,24,NULL,8),(20,208,2,24,36,7,10,6,1),(20,208,2,24,37,4,12,NULL,7),(20,208,2,24,38,2,10,2,7),(20,208,2,24,39,2,17,5,6),(20,208,2,24,40,17,17,8,3),(20,211,1,11,1,NULL,NULL,NULL,NULL),(20,211,1,11,2,NULL,NULL,NULL,NULL),(20,211,1,11,3,NULL,1,NULL,1),(20,211,1,11,4,NULL,NULL,NULL,NULL),(20,211,1,11,5,1,NULL,1,NULL),(20,211,1,11,6,NULL,NULL,NULL,NULL),(20,211,1,11,7,NULL,NULL,NULL,NULL),(20,211,1,11,8,1,NULL,1,NULL),(20,211,1,11,9,1,NULL,1,NULL),(20,211,1,11,10,NULL,NULL,NULL,NULL),(20,211,1,11,11,NULL,NULL,NULL,NULL),(20,211,1,11,12,NULL,1,NULL,1),(20,211,1,11,13,1,NULL,1,NULL),(20,211,1,11,14,NULL,1,NULL,1),(20,211,1,11,15,1,NULL,1,NULL),(20,211,1,11,16,NULL,1,NULL,1),(20,211,1,11,17,NULL,1,NULL,1),(20,211,1,11,18,1,NULL,1,NULL),(20,211,1,11,19,NULL,1,NULL,1),(20,211,1,11,20,1,NULL,1,NULL),(20,211,1,11,21,NULL,1,NULL,1),(20,211,1,11,22,NULL,1,NULL,1),(20,211,1,11,23,NULL,NULL,NULL,NULL),(20,211,1,11,24,NULL,NULL,NULL,NULL),(20,211,1,11,25,1,NULL,1,NULL),(20,211,1,11,26,NULL,NULL,NULL,NULL),(20,211,1,11,27,1,NULL,1,NULL),(20,211,1,11,28,NULL,NULL,NULL,NULL),(20,211,1,11,29,NULL,NULL,NULL,NULL),(20,211,1,11,30,NULL,NULL,NULL,NULL),(20,211,1,11,31,NULL,NULL,NULL,NULL),(20,211,1,11,32,NULL,1,NULL,1),(20,211,1,11,33,NULL,NULL,NULL,NULL),(20,211,1,11,34,NULL,NULL,NULL,NULL),(20,211,1,11,35,NULL,1,NULL,1),(20,211,1,11,36,1,NULL,1,NULL),(20,211,1,11,37,1,NULL,1,NULL),(20,211,1,11,38,NULL,1,NULL,1),(20,211,1,11,39,1,NULL,1,NULL),(20,211,1,11,40,1,NULL,1,NULL),(20,211,1,12,1,1,NULL,1,NULL),(20,211,1,12,2,NULL,1,NULL,1),(20,211,1,12,3,NULL,1,NULL,1),(20,211,1,12,4,NULL,NULL,NULL,NULL),(20,211,1,12,5,NULL,1,NULL,1),(20,211,1,12,6,NULL,1,NULL,1),(20,211,1,12,7,NULL,1,NULL,1),(20,211,1,12,8,1,NULL,1,NULL),(20,211,1,12,9,NULL,1,NULL,1),(20,211,1,12,10,1,NULL,1,NULL),(20,211,1,12,11,NULL,NULL,NULL,NULL),(20,211,1,12,12,NULL,NULL,NULL,NULL),(20,211,1,12,13,1,1,NULL,1),(20,211,1,12,14,2,NULL,1,NULL),(20,211,1,12,15,1,1,1,NULL),(20,211,1,12,16,1,NULL,1,NULL),(20,211,1,12,17,NULL,1,NULL,1),(20,211,1,12,18,1,NULL,1,NULL),(20,211,1,12,19,1,NULL,1,NULL),(20,211,1,12,20,NULL,NULL,NULL,NULL),(20,211,1,12,21,NULL,NULL,NULL,NULL),(20,211,1,12,22,NULL,1,NULL,1),(20,211,1,12,23,NULL,NULL,NULL,NULL),(20,211,1,12,24,NULL,1,NULL,1),(20,211,1,12,25,1,NULL,1,NULL),(20,211,1,12,26,1,NULL,1,NULL),(20,211,1,12,27,NULL,1,NULL,1),(20,211,1,12,28,NULL,NULL,NULL,NULL),(20,211,1,12,29,NULL,1,NULL,1),(20,211,1,12,30,NULL,1,NULL,1),(20,211,1,12,31,NULL,NULL,NULL,NULL),(20,211,1,12,32,NULL,NULL,NULL,NULL),(20,211,1,12,33,NULL,1,NULL,NULL),(20,211,1,12,34,NULL,1,NULL,1),(20,211,1,12,35,1,NULL,1,NULL),(20,211,1,12,36,NULL,NULL,NULL,NULL),(20,211,1,12,37,1,NULL,1,NULL),(20,211,1,12,38,NULL,1,NULL,1),(20,211,1,12,39,1,NULL,1,NULL),(20,211,1,12,40,1,NULL,1,NULL),(20,211,1,13,1,NULL,1,NULL,1),(20,211,1,13,2,1,NULL,1,NULL),(20,211,1,13,3,NULL,NULL,NULL,NULL),(20,211,1,13,4,NULL,NULL,NULL,NULL),(20,211,1,13,5,NULL,NULL,NULL,1),(20,211,1,13,6,NULL,1,1,1),(20,211,1,13,7,NULL,1,NULL,1),(20,211,1,13,8,NULL,1,1,1),(20,211,1,13,9,1,NULL,2,NULL),(20,211,1,13,10,1,NULL,1,1),(20,211,1,13,11,NULL,1,NULL,1),(20,211,1,13,12,NULL,NULL,1,NULL),(20,211,1,13,13,2,NULL,1,1),(20,211,1,13,14,1,NULL,1,NULL),(20,211,1,13,15,1,NULL,2,NULL),(20,211,1,13,16,1,NULL,2,NULL),(20,211,1,13,17,1,NULL,2,NULL),(20,211,1,13,18,1,1,1,1),(20,211,1,13,19,2,NULL,1,NULL),(20,211,1,13,20,1,NULL,1,NULL),(20,211,1,13,21,NULL,1,NULL,1),(20,211,1,13,22,NULL,1,NULL,1),(20,211,1,13,23,2,NULL,1,1),(20,211,1,13,24,NULL,1,NULL,1),(20,211,1,13,25,NULL,1,NULL,1),(20,211,1,13,26,1,NULL,1,NULL),(20,211,1,13,27,1,NULL,1,NULL),(20,211,1,13,28,NULL,1,NULL,1),(20,211,1,13,29,NULL,1,NULL,2),(20,211,1,13,30,1,NULL,1,NULL),(20,211,1,13,31,NULL,NULL,NULL,NULL),(20,211,1,13,32,NULL,NULL,1,NULL),(20,211,1,13,33,NULL,NULL,1,NULL),(20,211,1,13,34,NULL,NULL,NULL,NULL),(20,211,1,13,35,NULL,1,NULL,2),(20,211,1,13,36,NULL,NULL,NULL,1),(20,211,1,13,37,NULL,1,1,1),(20,211,1,13,38,NULL,1,NULL,1),(20,211,1,13,39,NULL,NULL,NULL,1),(20,211,1,13,40,1,NULL,1,NULL),(20,211,1,14,1,19,20,11,6),(20,211,1,14,2,14,10,6,4),(20,211,1,14,3,16,26,6,12),(20,211,1,14,4,17,26,4,12),(20,211,1,14,5,34,30,15,14),(20,211,1,14,6,55,35,18,10),(20,211,1,14,7,28,26,19,6),(20,211,1,14,8,46,8,23,5),(20,211,1,14,9,48,31,21,10),(20,211,1,14,10,22,13,15,11),(20,211,1,14,11,6,16,1,4),(20,211,1,14,12,21,17,15,5),(20,211,1,14,13,46,34,23,11),(20,211,1,14,14,62,32,27,9),(20,211,1,14,15,40,16,18,4),(20,211,1,14,16,64,18,30,6),(20,211,1,14,17,32,51,14,15),(20,211,1,14,18,61,20,24,5),(20,211,1,14,19,48,12,22,2),(20,211,1,14,20,65,27,27,8),(20,211,1,14,21,6,16,3,12),(20,211,1,14,22,11,41,2,28),(20,211,1,14,23,7,46,1,18),(20,211,1,14,24,10,45,7,26),(20,211,1,14,25,25,36,13,15),(20,211,1,14,26,25,NULL,21,NULL),(20,211,1,14,27,18,34,12,15),(20,211,1,14,28,5,23,7,19),(20,211,1,14,29,6,15,3,11),(20,211,1,14,30,11,26,7,16),(20,211,1,14,31,29,35,14,11),(20,211,1,14,32,29,25,21,9),(20,211,1,14,33,24,26,20,10),(20,211,1,14,34,8,32,3,16),(20,211,1,14,35,34,32,15,15),(20,211,1,14,36,53,31,25,8),(20,211,1,14,37,44,30,19,9),(20,211,1,14,38,7,21,4,13),(20,211,1,14,39,58,33,20,18),(20,211,1,14,40,45,7,29,3),(20,211,1,15,1,22,27,4,4),(20,211,1,15,2,19,7,6,5),(20,211,1,15,3,7,30,4,10),(20,211,1,15,4,9,37,2,12),(20,211,1,15,5,27,37,10,9),(20,211,1,15,6,50,29,16,9),(20,211,1,15,7,22,24,8,6),(20,211,1,15,8,54,12,22,2),(20,211,1,15,9,30,46,8,16),(20,211,1,15,10,19,12,6,6),(20,211,1,15,11,3,16,1,3),(20,211,1,15,12,22,19,8,6),(20,211,1,15,13,62,26,19,6),(20,211,1,15,14,64,35,21,5),(20,211,1,15,15,39,19,13,4),(20,211,1,15,16,59,14,17,5),(20,211,1,15,17,33,54,13,10),(20,211,1,15,18,59,16,15,5),(20,211,1,15,19,57,7,19,NULL),(20,211,1,15,20,64,35,18,6),(20,211,1,15,21,3,19,2,11),(20,211,1,15,22,13,45,3,20),(20,211,1,15,23,10,48,3,15),(20,211,1,15,24,9,36,3,17),(20,211,1,15,25,24,37,8,11),(20,211,1,15,26,18,NULL,9,NULL),(20,211,1,15,27,24,34,9,10),(20,211,1,15,28,10,18,6,12),(20,211,1,15,29,7,15,3,8),(20,211,1,15,30,15,15,9,4),(20,211,1,15,31,17,42,11,9),(20,211,1,15,32,27,15,13,2),(20,211,1,15,33,19,35,12,7),(20,211,1,15,34,5,23,1,6),(20,211,1,15,35,25,31,10,8),(20,211,1,15,36,47,36,15,11),(20,211,1,15,37,34,37,11,10),(20,211,1,15,38,9,23,1,8),(20,211,1,15,39,63,26,21,5),(20,211,1,15,40,35,7,18,3),(20,211,1,16,1,13,16,NULL,3),(20,211,1,16,2,11,11,1,1),(20,211,1,16,3,9,19,1,4),(20,211,1,16,4,7,22,NULL,1),(20,211,1,16,5,19,21,3,2),(20,211,1,16,6,31,24,3,1),(20,211,1,16,7,8,22,NULL,2),(20,211,1,16,8,26,15,4,2),(20,211,1,16,9,26,34,2,5),(20,211,1,16,10,14,12,2,3),(20,211,1,16,11,NULL,10,NULL,NULL),(20,211,1,16,12,11,16,1,2),(20,211,1,16,13,29,24,3,1),(20,211,1,16,14,6,15,NULL,3),(20,211,1,16,15,26,9,3,NULL),(20,211,1,16,16,4,34,1,NULL),(20,211,1,16,17,46,30,4,3),(20,211,1,16,18,4,20,1,3),(20,211,1,16,19,34,21,1,4),(20,211,1,16,20,4,23,NULL,3),(20,211,1,16,21,7,16,1,3),(20,211,1,16,22,4,22,1,2),(20,211,1,16,23,4,31,1,4),(20,211,1,16,24,3,19,1,4),(20,211,1,16,25,9,29,3,3),(20,211,1,16,26,5,NULL,2,NULL),(20,211,1,16,27,11,23,2,NULL),(20,211,1,16,28,6,13,1,5),(20,211,1,16,29,3,15,NULL,3),(20,211,1,16,30,3,16,1,2),(20,211,1,16,31,14,20,2,3),(20,211,1,16,32,15,17,3,2),(20,211,1,16,33,7,12,3,2),(20,211,1,16,34,4,15,NULL,3),(20,211,1,16,35,18,26,2,2),(20,211,1,16,36,25,35,5,3),(20,211,1,16,37,28,27,5,2),(20,211,1,16,38,3,20,NULL,1),(20,211,1,16,39,41,30,6,2),(20,211,1,16,40,26,7,5,NULL),(20,211,1,17,1,6,24,3,2),(20,211,1,17,2,16,3,4,1),(20,211,1,17,3,4,22,NULL,2),(20,211,1,17,4,9,16,NULL,NULL),(20,211,1,17,5,23,24,3,4),(20,211,1,17,6,28,26,4,4),(20,211,1,17,7,7,13,3,3),(20,211,1,17,8,31,12,5,5),(20,211,1,17,9,15,34,4,4),(20,211,1,17,10,12,12,3,4),(20,211,1,17,11,6,8,1,1),(20,211,1,17,12,16,12,3,2),(20,211,1,17,13,16,33,4,6),(20,211,1,17,14,9,6,NULL,2),(20,211,1,17,15,35,5,8,1),(20,211,1,17,16,7,24,NULL,1),(20,211,1,17,17,42,33,7,4),(20,211,1,17,18,4,19,1,3),(20,211,1,17,19,46,19,6,NULL),(20,211,1,17,20,2,29,NULL,3),(20,211,1,17,21,1,20,NULL,3),(20,211,1,17,22,8,26,NULL,7),(20,211,1,17,23,2,31,NULL,5),(20,211,1,17,24,3,24,1,7),(20,211,1,17,25,6,34,2,7),(20,211,1,17,26,8,NULL,6,NULL),(20,211,1,17,27,16,19,4,3),(20,211,1,17,28,4,14,3,2),(20,211,1,17,29,7,13,NULL,3),(20,211,1,17,30,4,18,3,6),(20,211,1,17,31,15,30,2,2),(20,211,1,17,32,20,14,6,1),(20,211,1,17,33,6,18,4,3),(20,211,1,17,34,1,14,NULL,7),(20,211,1,17,35,17,19,4,4),(20,211,1,17,36,29,27,6,4),(20,211,1,17,37,22,20,2,7),(20,211,1,17,38,3,10,2,NULL),(20,211,1,17,39,33,30,7,3),(20,211,1,17,40,20,11,9,1),(20,211,2,21,1,7,23,3,4),(20,211,2,21,2,2,8,NULL,1),(20,211,2,21,3,10,29,2,8),(20,211,2,21,4,13,14,8,1),(20,211,2,21,5,5,11,2,2),(20,211,2,21,6,27,24,10,5),(20,211,2,21,7,11,21,5,3),(20,211,2,21,8,12,NULL,5,NULL),(20,211,2,21,9,26,52,4,14),(20,211,2,21,10,3,25,NULL,9),(20,211,2,21,11,17,13,4,2),(20,211,2,21,12,3,18,1,6),(20,211,2,21,13,51,24,15,3),(20,211,2,21,14,55,37,14,3),(20,211,2,21,15,47,23,12,4),(20,211,2,21,16,32,25,6,5),(20,211,2,21,17,23,15,7,1),(20,211,2,21,18,7,26,1,12),(20,211,2,21,19,14,40,6,7),(20,211,2,21,20,26,28,11,3),(20,211,2,21,21,1,7,1,3),(20,211,2,21,22,3,18,NULL,1),(20,211,2,21,23,4,10,NULL,2),(20,211,2,21,24,2,8,2,3),(20,211,2,21,25,15,30,9,7),(20,211,2,21,26,7,16,3,3),(20,211,2,21,27,2,17,2,2),(20,211,2,21,28,20,23,6,3),(20,211,2,21,29,5,9,1,6),(20,211,2,21,30,2,5,2,1),(20,211,2,21,31,8,21,5,4),(20,211,2,21,32,11,31,6,7),(20,211,2,21,33,14,30,2,4),(20,211,2,21,34,16,27,7,7),(20,211,2,21,35,3,36,1,7),(20,211,2,21,36,10,18,10,NULL),(20,211,2,21,37,9,17,5,6),(20,211,2,21,38,6,26,5,6),(20,211,2,21,39,11,18,8,6),(20,211,2,21,40,20,13,9,2),(20,211,2,22,1,5,16,3,6),(20,211,2,22,2,5,8,NULL,2),(20,211,2,22,3,13,28,NULL,11),(20,211,2,22,4,9,16,2,8),(20,211,2,22,5,5,18,NULL,3),(20,211,2,22,6,18,25,6,8),(20,211,2,22,7,11,21,3,6),(20,211,2,22,8,17,NULL,5,NULL),(20,211,2,22,9,30,46,6,11),(20,211,2,22,10,3,34,1,11),(20,211,2,22,11,20,16,5,1),(20,211,2,22,12,5,16,3,6),(20,211,2,22,13,48,40,16,5),(20,211,2,22,14,59,37,12,9),(20,211,2,22,15,37,26,7,7),(20,211,2,22,16,21,33,4,11),(20,211,2,22,17,19,8,8,3),(20,211,2,22,18,5,25,2,10),(20,211,2,22,19,16,45,2,8),(20,211,2,22,20,27,26,5,7),(20,211,2,22,21,NULL,5,NULL,4),(20,211,2,22,22,5,17,NULL,4),(20,211,2,22,23,3,7,NULL,1),(20,211,2,22,24,NULL,7,1,5),(20,211,2,22,25,22,27,8,7),(20,211,2,22,26,1,19,1,8),(20,211,2,22,27,4,15,4,4),(20,211,2,22,28,20,23,9,6),(20,211,2,22,29,4,10,2,5),(20,211,2,22,30,9,9,6,1),(20,211,2,22,31,7,30,2,10),(20,211,2,22,32,15,36,3,8),(20,211,2,22,33,15,29,3,3),(20,211,2,22,34,11,20,6,6),(20,211,2,22,35,8,26,3,9),(20,211,2,22,36,14,21,4,2),(20,211,2,22,37,8,20,1,10),(20,211,2,22,38,5,22,2,9),(20,211,2,22,39,13,18,6,6),(20,211,2,22,40,19,24,5,7),(20,211,2,23,1,12,19,5,7),(20,211,2,23,2,3,7,NULL,3),(20,211,2,23,3,17,33,7,9),(20,211,2,23,4,12,12,7,3),(20,211,2,23,5,2,11,NULL,4),(20,211,2,23,6,26,24,5,9),(20,211,2,23,7,14,21,4,12),(20,211,2,23,8,18,NULL,6,NULL),(20,211,2,23,9,23,56,8,11),(20,211,2,23,10,5,25,2,9),(20,211,2,23,11,17,16,7,4),(20,211,2,23,12,3,18,NULL,7),(20,211,2,23,13,53,27,19,6),(20,211,2,23,14,46,43,11,14),(20,211,2,23,15,26,17,9,5),(20,211,2,23,16,27,25,9,9),(20,211,2,23,17,21,14,6,5),(20,211,2,23,18,6,26,5,9),(20,211,2,23,19,17,36,5,10),(20,211,2,23,20,25,23,9,10),(20,211,2,23,21,2,5,1,2),(20,211,2,23,22,12,15,3,3),(20,211,2,23,23,NULL,8,2,2),(20,211,2,23,24,NULL,10,NULL,9),(20,211,2,23,25,19,36,9,9),(20,211,2,23,26,10,14,9,6),(20,211,2,23,27,3,8,2,5),(20,211,2,23,28,25,14,9,5),(20,211,2,23,29,5,19,3,3),(20,211,2,23,30,4,10,2,4),(20,211,2,23,31,17,26,7,8),(20,211,2,23,32,14,32,3,10),(20,211,2,23,33,12,37,4,6),(20,211,2,23,34,17,25,9,7),(20,211,2,23,35,2,28,1,9),(20,211,2,23,36,15,14,8,6),(20,211,2,23,37,14,15,5,13),(20,211,2,23,38,13,20,5,14),(20,211,2,23,39,11,14,6,8),(20,211,2,23,40,17,21,9,4),(20,211,2,24,1,5,15,2,3),(20,211,2,24,2,6,8,1,3),(20,211,2,24,3,17,23,1,13),(20,211,2,24,4,18,9,9,1),(20,211,2,24,5,3,11,NULL,5),(20,211,2,24,6,31,22,12,7),(20,211,2,24,7,10,15,4,8),(20,211,2,24,8,19,NULL,7,NULL),(20,211,2,24,9,22,46,4,12),(20,211,2,24,10,NULL,17,2,8),(20,211,2,24,11,14,12,7,2),(20,211,2,24,12,4,9,1,5),(20,211,2,24,13,49,32,18,3),(20,211,2,24,14,50,31,15,7),(20,211,2,24,15,30,23,7,7),(20,211,2,24,16,30,20,12,4),(20,211,2,24,17,15,13,5,3),(20,211,2,24,18,6,30,1,9),(20,211,2,24,19,12,44,3,10),(20,211,2,24,20,25,26,11,6),(20,211,2,24,21,1,7,NULL,3),(20,211,2,24,22,6,24,NULL,6),(20,211,2,24,23,4,9,1,3),(20,211,2,24,24,1,4,1,3),(20,211,2,24,25,20,21,12,4),(20,211,2,24,26,4,12,6,3),(20,211,2,24,27,5,19,3,5),(20,211,2,24,28,18,18,11,4),(20,211,2,24,29,3,15,3,6),(20,211,2,24,30,8,12,2,3),(20,211,2,24,31,9,24,4,9),(20,211,2,24,32,20,24,6,9),(20,211,2,24,33,14,32,3,9),(20,211,2,24,34,14,19,7,8),(20,211,2,24,35,9,30,1,12),(20,211,2,24,36,11,17,9,4),(20,211,2,24,37,11,21,5,9),(20,211,2,24,38,7,25,2,12),(20,211,2,24,39,10,22,8,5),(20,211,2,24,40,18,12,12,NULL),(20,212,1,11,1,NULL,1,1,NULL),(20,212,1,11,2,NULL,NULL,NULL,NULL),(20,212,1,11,3,NULL,1,NULL,1),(20,212,1,11,4,2,NULL,1,NULL),(20,212,1,11,5,1,NULL,1,1),(20,212,1,11,6,1,NULL,2,NULL),(20,212,1,11,7,NULL,NULL,NULL,NULL),(20,212,1,11,8,1,NULL,1,NULL),(20,212,1,11,9,NULL,1,NULL,2),(20,212,1,11,10,NULL,NULL,NULL,NULL),(20,212,1,11,11,NULL,1,NULL,1),(20,212,1,11,12,NULL,NULL,NULL,NULL),(20,212,1,11,13,NULL,2,1,1),(20,212,1,11,14,NULL,NULL,1,NULL),(20,212,1,11,15,2,NULL,2,NULL),(20,212,1,11,16,1,1,2,NULL),(20,212,1,11,17,1,1,2,NULL),(20,212,1,11,18,1,2,2,NULL),(20,212,1,11,19,1,2,2,NULL),(20,212,1,11,20,NULL,1,1,1),(20,212,1,11,21,1,NULL,NULL,1),(20,212,1,11,22,1,1,2,NULL),(20,212,1,11,23,NULL,2,NULL,2),(20,212,1,11,24,1,1,NULL,2),(20,212,1,11,25,NULL,3,NULL,2),(20,212,1,11,26,2,NULL,2,NULL),(20,212,1,11,27,NULL,NULL,1,NULL),(20,212,1,11,28,NULL,2,1,NULL),(20,212,1,11,29,NULL,1,NULL,NULL),(20,212,1,11,30,NULL,1,NULL,1),(20,212,1,11,31,NULL,2,1,1),(20,212,1,11,32,1,1,1,NULL),(20,212,1,11,33,1,NULL,1,NULL),(20,212,1,11,34,NULL,1,1,1),(20,212,1,11,35,2,NULL,1,NULL),(20,212,1,11,36,2,NULL,2,NULL),(20,212,1,11,37,1,NULL,1,NULL),(20,212,1,11,38,NULL,NULL,1,NULL),(20,212,1,11,39,1,NULL,1,NULL),(20,212,1,11,40,NULL,NULL,NULL,NULL),(20,212,1,12,1,NULL,1,NULL,NULL),(20,212,1,12,2,1,NULL,NULL,NULL),(20,212,1,12,3,NULL,1,NULL,NULL),(20,212,1,12,4,1,1,NULL,1),(20,212,1,12,5,NULL,1,NULL,1),(20,212,1,12,6,2,1,1,NULL),(20,212,1,12,7,2,NULL,NULL,NULL),(20,212,1,12,8,1,NULL,NULL,NULL),(20,212,1,12,9,3,NULL,1,NULL),(20,212,1,12,10,1,NULL,NULL,NULL),(20,212,1,12,11,NULL,1,NULL,1),(20,212,1,12,12,NULL,1,NULL,NULL),(20,212,1,12,13,1,2,NULL,1),(20,212,1,12,14,2,1,NULL,1),(20,212,1,12,15,3,NULL,1,NULL),(20,212,1,12,16,3,NULL,1,NULL),(20,212,1,12,17,3,NULL,1,NULL),(20,212,1,12,18,2,1,NULL,1),(20,212,1,12,19,2,1,NULL,1),(20,212,1,12,20,3,NULL,1,NULL),(20,212,1,12,21,NULL,1,NULL,1),(20,212,1,12,22,NULL,1,NULL,NULL),(20,212,1,12,23,NULL,NULL,NULL,NULL),(20,212,1,12,24,NULL,1,NULL,NULL),(20,212,1,12,25,NULL,NULL,NULL,NULL),(20,212,1,12,26,NULL,NULL,NULL,NULL),(20,212,1,12,27,1,NULL,1,NULL),(20,212,1,12,28,1,NULL,NULL,NULL),(20,212,1,12,29,NULL,NULL,NULL,NULL),(20,212,1,12,30,NULL,NULL,NULL,NULL),(20,212,1,12,31,NULL,2,NULL,1),(20,212,1,12,32,1,1,NULL,1),(20,212,1,12,33,1,NULL,NULL,NULL),(20,212,1,12,34,NULL,NULL,NULL,NULL),(20,212,1,12,35,1,NULL,NULL,NULL),(20,212,1,12,36,2,NULL,NULL,NULL),(20,212,1,12,37,NULL,1,NULL,1),(20,212,1,12,38,NULL,NULL,NULL,NULL),(20,212,1,12,39,3,NULL,1,NULL),(20,212,1,12,40,2,NULL,NULL,NULL),(20,212,1,13,1,NULL,NULL,NULL,NULL),(20,212,1,13,2,NULL,NULL,NULL,NULL),(20,212,1,13,3,NULL,1,NULL,NULL),(20,212,1,13,4,NULL,1,NULL,NULL),(20,212,1,13,5,1,1,NULL,NULL),(20,212,1,13,6,1,NULL,NULL,NULL),(20,212,1,13,7,NULL,NULL,NULL,NULL),(20,212,1,13,8,1,NULL,NULL,NULL),(20,212,1,13,9,2,NULL,NULL,NULL),(20,212,1,13,10,NULL,1,NULL,NULL),(20,212,1,13,11,NULL,NULL,NULL,NULL),(20,212,1,13,12,1,NULL,NULL,NULL),(20,212,1,13,13,2,NULL,NULL,NULL),(20,212,1,13,14,1,1,NULL,NULL),(20,212,1,13,15,2,NULL,NULL,NULL),(20,212,1,13,16,2,NULL,NULL,NULL),(20,212,1,13,17,1,1,NULL,NULL),(20,212,1,13,18,1,1,NULL,NULL),(20,212,1,13,19,1,NULL,NULL,NULL),(20,212,1,13,20,1,NULL,NULL,NULL),(20,212,1,13,21,NULL,NULL,NULL,NULL),(20,212,1,13,22,NULL,NULL,NULL,NULL),(20,212,1,13,23,NULL,NULL,NULL,NULL),(20,212,1,13,24,NULL,NULL,NULL,NULL),(20,212,1,13,25,NULL,NULL,NULL,NULL),(20,212,1,13,26,NULL,NULL,NULL,NULL),(20,212,1,13,27,NULL,NULL,NULL,NULL),(20,212,1,13,28,NULL,NULL,NULL,NULL),(20,212,1,13,29,NULL,1,NULL,NULL),(20,212,1,13,30,NULL,NULL,NULL,NULL),(20,212,1,13,31,NULL,NULL,NULL,NULL),(20,212,1,13,32,1,NULL,NULL,NULL),(20,212,1,13,33,NULL,1,NULL,NULL),(20,212,1,13,34,NULL,1,NULL,NULL),(20,212,1,13,35,NULL,1,NULL,NULL),(20,212,1,13,36,NULL,NULL,NULL,NULL),(20,212,1,13,37,1,NULL,NULL,NULL),(20,212,1,13,38,NULL,1,NULL,NULL),(20,212,1,13,39,1,NULL,NULL,NULL),(20,212,1,13,40,NULL,NULL,NULL,NULL),(20,212,1,14,1,7,5,7,2),(20,212,1,14,2,8,3,2,NULL),(20,212,1,14,3,2,12,1,6),(20,212,1,14,4,4,10,NULL,5),(20,212,1,14,5,8,9,3,5),(20,212,1,14,6,17,12,5,4),(20,212,1,14,7,5,5,1,7),(20,212,1,14,8,13,3,7,1),(20,212,1,14,9,20,13,6,5),(20,212,1,14,10,7,5,3,4),(20,212,1,14,11,4,6,1,2),(20,212,1,14,12,4,10,1,1),(20,212,1,14,13,21,8,7,4),(20,212,1,14,14,22,13,7,5),(20,212,1,14,15,15,5,9,2),(20,212,1,14,16,20,7,8,4),(20,212,1,14,17,13,14,5,3),(20,212,1,14,18,17,9,6,4),(20,212,1,14,19,17,3,9,NULL),(20,212,1,14,20,23,11,7,4),(20,212,1,14,21,3,9,4,4),(20,212,1,14,22,5,10,1,7),(20,212,1,14,23,5,12,3,2),(20,212,1,14,24,2,13,2,9),(20,212,1,14,25,13,14,6,5),(20,212,1,14,26,6,NULL,8,NULL),(20,212,1,14,27,6,16,6,4),(20,212,1,14,28,3,8,2,4),(20,212,1,14,29,2,8,1,3),(20,212,1,14,30,3,6,2,6),(20,212,1,14,31,11,4,3,6),(20,212,1,14,32,9,5,6,1),(20,212,1,14,33,9,12,6,3),(20,212,1,14,34,5,10,1,5),(20,212,1,14,35,11,15,5,3),(20,212,1,14,36,23,3,9,4),(20,212,1,14,37,14,12,7,4),(20,212,1,14,38,1,8,1,5),(20,212,1,14,39,20,7,7,3),(20,212,1,14,40,17,1,11,NULL),(20,212,1,15,1,6,9,3,5),(20,212,1,15,2,7,3,2,2),(20,212,1,15,3,3,10,2,4),(20,212,1,15,4,6,5,2,5),(20,212,1,15,5,11,12,7,8),(20,212,1,15,6,15,15,6,7),(20,212,1,15,7,10,6,3,6),(20,212,1,15,8,20,1,13,1),(20,212,1,15,9,13,18,4,7),(20,212,1,15,10,7,8,5,4),(20,212,1,15,11,2,2,NULL,1),(20,212,1,15,12,6,3,5,3),(20,212,1,15,13,21,11,11,5),(20,212,1,15,14,22,13,11,6),(20,212,1,15,15,16,11,8,5),(20,212,1,15,16,23,5,10,4),(20,212,1,15,17,8,26,3,13),(20,212,1,15,18,25,2,12,2),(20,212,1,15,19,20,2,13,NULL),(20,212,1,15,20,26,10,8,8),(20,212,1,15,21,4,5,3,5),(20,212,1,15,22,9,15,1,8),(20,212,1,15,23,3,17,2,7),(20,212,1,15,24,3,21,3,12),(20,212,1,15,25,14,13,9,5),(20,212,1,15,26,15,NULL,13,NULL),(20,212,1,15,27,8,19,6,10),(20,212,1,15,28,4,9,3,6),(20,212,1,15,29,1,7,NULL,5),(20,212,1,15,30,3,10,4,9),(20,212,1,15,31,9,14,4,7),(20,212,1,15,32,9,8,5,6),(20,212,1,15,33,9,6,6,4),(20,212,1,15,34,5,8,2,3),(20,212,1,15,35,10,8,5,6),(20,212,1,15,36,21,11,12,2),(20,212,1,15,37,11,10,6,9),(20,212,1,15,38,3,6,2,5),(20,212,1,15,39,25,8,13,4),(20,212,1,15,40,17,4,13,NULL),(20,212,1,16,1,2,5,1,2),(20,212,1,16,2,1,3,1,2),(20,212,1,16,3,1,3,NULL,3),(20,212,1,16,4,3,8,NULL,4),(20,212,1,16,5,5,6,2,NULL),(20,212,1,16,6,2,13,NULL,4),(20,212,1,16,7,2,6,1,2),(20,212,1,16,8,10,5,3,2),(20,212,1,16,9,4,11,2,2),(20,212,1,16,10,5,6,3,1),(20,212,1,16,11,3,2,NULL,1),(20,212,1,16,12,4,6,NULL,2),(20,212,1,16,13,4,10,2,4),(20,212,1,16,14,2,NULL,NULL,1),(20,212,1,16,15,11,4,5,NULL),(20,212,1,16,16,NULL,8,NULL,1),(20,212,1,16,17,11,11,3,3),(20,212,1,16,18,1,6,NULL,1),(20,212,1,16,19,11,9,3,1),(20,212,1,16,20,1,8,NULL,3),(20,212,1,16,21,NULL,7,NULL,3),(20,212,1,16,22,1,7,NULL,3),(20,212,1,16,23,2,13,1,5),(20,212,1,16,24,1,7,1,2),(20,212,1,16,25,5,12,1,4),(20,212,1,16,26,5,NULL,1,NULL),(20,212,1,16,27,2,10,1,1),(20,212,1,16,28,1,6,NULL,3),(20,212,1,16,29,2,3,NULL,1),(20,212,1,16,30,3,5,NULL,NULL),(20,212,1,16,31,2,8,2,1),(20,212,1,16,32,5,4,NULL,1),(20,212,1,16,33,1,8,1,1),(20,212,1,16,34,NULL,2,NULL,1),(20,212,1,16,35,3,12,1,2),(20,212,1,16,36,5,9,2,NULL),(20,212,1,16,37,8,8,1,3),(20,212,1,16,38,2,4,NULL,NULL),(20,212,1,16,39,14,8,3,3),(20,212,1,16,40,5,5,1,2),(20,212,1,17,1,4,7,NULL,NULL),(20,212,1,17,2,NULL,2,NULL,NULL),(20,212,1,17,3,1,1,NULL,NULL),(20,212,1,17,4,1,4,NULL,NULL),(20,212,1,17,5,1,5,NULL,NULL),(20,212,1,17,6,6,6,1,NULL),(20,212,1,17,7,NULL,4,NULL,1),(20,212,1,17,8,7,3,NULL,NULL),(20,212,1,17,9,6,7,NULL,NULL),(20,212,1,17,10,1,4,NULL,NULL),(20,212,1,17,11,NULL,4,1,NULL),(20,212,1,17,12,3,2,NULL,NULL),(20,212,1,17,13,7,9,1,NULL),(20,212,1,17,14,2,1,NULL,NULL),(20,212,1,17,15,9,1,NULL,NULL),(20,212,1,17,16,NULL,5,NULL,NULL),(20,212,1,17,17,9,9,NULL,NULL),(20,212,1,17,18,1,2,NULL,NULL),(20,212,1,17,19,11,6,1,NULL),(20,212,1,17,20,1,4,1,NULL),(20,212,1,17,21,1,4,NULL,NULL),(20,212,1,17,22,5,5,1,NULL),(20,212,1,17,23,1,10,NULL,1),(20,212,1,17,24,1,3,NULL,NULL),(20,212,1,17,25,1,12,NULL,NULL),(20,212,1,17,26,3,NULL,NULL,NULL),(20,212,1,17,27,4,6,NULL,NULL),(20,212,1,17,28,NULL,6,1,NULL),(20,212,1,17,29,3,5,NULL,NULL),(20,212,1,17,30,NULL,9,NULL,NULL),(20,212,1,17,31,3,6,NULL,1),(20,212,1,17,32,1,5,NULL,NULL),(20,212,1,17,33,2,5,NULL,NULL),(20,212,1,17,34,2,2,NULL,NULL),(20,212,1,17,35,8,5,NULL,NULL),(20,212,1,17,36,4,8,1,NULL),(20,212,1,17,37,7,8,NULL,NULL),(20,212,1,17,38,2,3,NULL,NULL),(20,212,1,17,39,7,5,1,NULL),(20,212,1,17,40,4,4,NULL,NULL),(20,212,2,21,1,3,5,1,3),(20,212,2,21,2,1,4,NULL,NULL),(20,212,2,21,3,3,6,2,3),(20,212,2,21,4,2,1,1,2),(20,212,2,21,5,3,1,1,2),(20,212,2,21,6,8,8,3,5),(20,212,2,21,7,5,5,4,2),(20,212,2,21,8,3,NULL,2,NULL),(20,212,2,21,9,11,16,4,6),(20,212,2,21,10,2,9,1,6),(20,212,2,21,11,8,1,2,1),(20,212,2,21,12,1,7,2,1),(20,212,2,21,13,14,7,7,1),(20,212,2,21,14,18,11,8,1),(20,212,2,21,15,15,4,3,4),(20,212,2,21,16,9,8,2,4),(20,212,2,21,17,7,5,3,2),(20,212,2,21,18,NULL,8,1,2),(20,212,2,21,19,5,14,2,6),(20,212,2,21,20,9,15,3,5),(20,212,2,21,21,NULL,1,2,2),(20,212,2,21,22,NULL,6,NULL,1),(20,212,2,21,23,1,2,1,1),(20,212,2,21,24,1,1,NULL,1),(20,212,2,21,25,5,11,4,7),(20,212,2,21,26,3,3,3,1),(20,212,2,21,27,NULL,5,NULL,1),(20,212,2,21,28,5,5,3,2),(20,212,2,21,29,1,6,NULL,3),(20,212,2,21,30,1,1,1,1),(20,212,2,21,31,6,6,1,6),(20,212,2,21,32,8,6,5,3),(20,212,2,21,33,3,10,3,4),(20,212,2,21,34,5,8,2,4),(20,212,2,21,35,NULL,11,NULL,5),(20,212,2,21,36,7,5,1,2),(20,212,2,21,37,4,5,1,4),(20,212,2,21,38,NULL,3,NULL,4),(20,212,2,21,39,3,5,4,2),(20,212,2,21,40,9,3,4,3),(20,212,2,22,1,3,7,2,2),(20,212,2,22,2,1,1,1,2),(20,212,2,22,3,3,10,NULL,7),(20,212,2,22,4,3,5,2,1),(20,212,2,22,5,NULL,2,NULL,1),(20,212,2,22,6,8,11,4,5),(20,212,2,22,7,2,10,NULL,5),(20,212,2,22,8,5,NULL,4,NULL),(20,212,2,22,9,13,17,5,4),(20,212,2,22,10,1,10,NULL,5),(20,212,2,22,11,4,5,1,3),(20,212,2,22,12,1,6,1,1),(20,212,2,22,13,20,8,7,NULL),(20,212,2,22,14,18,14,6,4),(20,212,2,22,15,12,12,5,3),(20,212,2,22,16,7,7,1,3),(20,212,2,22,17,11,6,4,1),(20,212,2,22,18,3,10,1,4),(20,212,2,22,19,11,9,4,4),(20,212,2,22,20,11,14,6,2),(20,212,2,22,21,NULL,5,NULL,1),(20,212,2,22,22,2,9,NULL,4),(20,212,2,22,23,2,2,2,NULL),(20,212,2,22,24,NULL,2,NULL,2),(20,212,2,22,25,13,16,5,3),(20,212,2,22,26,4,6,2,3),(20,212,2,22,27,3,3,2,2),(20,212,2,22,28,11,6,3,2),(20,212,2,22,29,2,6,2,2),(20,212,2,22,30,1,2,NULL,1),(20,212,2,22,31,4,11,2,2),(20,212,2,22,32,10,9,3,3),(20,212,2,22,33,3,14,2,4),(20,212,2,22,34,5,13,5,4),(20,212,2,22,35,3,9,1,3),(20,212,2,22,36,3,5,NULL,1),(20,212,2,22,37,4,8,1,2),(20,212,2,22,38,1,8,1,5),(20,212,2,22,39,4,5,1,2),(20,212,2,22,40,4,4,3,2),(20,212,2,23,1,2,7,NULL,4),(20,212,2,23,2,NULL,2,NULL,1),(20,212,2,23,3,7,10,1,5),(20,212,2,23,4,4,2,5,NULL),(20,212,2,23,5,4,1,2,NULL),(20,212,2,23,6,12,5,4,3),(20,212,2,23,7,5,8,3,3),(20,212,2,23,8,5,NULL,3,NULL),(20,212,2,23,9,8,16,4,4),(20,212,2,23,10,1,6,1,2),(20,212,2,23,11,6,6,1,1),(20,212,2,23,12,1,4,2,1),(20,212,2,23,13,17,10,7,1),(20,212,2,23,14,18,12,10,NULL),(20,212,2,23,15,9,8,2,4),(20,212,2,23,16,13,6,4,3),(20,212,2,23,17,3,5,3,1),(20,212,2,23,18,2,12,NULL,7),(20,212,2,23,19,NULL,18,1,7),(20,212,2,23,20,9,10,3,3),(20,212,2,23,21,NULL,7,1,2),(20,212,2,23,22,1,9,NULL,2),(20,212,2,23,23,2,2,2,3),(20,212,2,23,24,NULL,4,NULL,2),(20,212,2,23,25,7,7,5,4),(20,212,2,23,26,7,6,6,1),(20,212,2,23,27,3,3,1,3),(20,212,2,23,28,4,2,4,1),(20,212,2,23,29,NULL,6,NULL,4),(20,212,2,23,30,6,4,4,1),(20,212,2,23,31,1,7,NULL,7),(20,212,2,23,32,4,10,1,4),(20,212,2,23,33,5,12,1,4),(20,212,2,23,34,6,6,4,3),(20,212,2,23,35,2,11,2,4),(20,212,2,23,36,4,7,4,2),(20,212,2,23,37,5,5,2,3),(20,212,2,23,38,4,6,4,2),(20,212,2,23,39,6,4,1,3),(20,212,2,23,40,7,8,4,2),(20,212,2,24,1,3,5,1,4),(20,212,2,24,2,1,3,NULL,2),(20,212,2,24,3,3,4,2,1),(20,212,2,24,4,4,5,1,3),(20,212,2,24,5,1,4,NULL,1),(20,212,2,24,6,7,12,2,5),(20,212,2,24,7,2,6,1,6),(20,212,2,24,8,6,NULL,4,NULL),(20,212,2,24,9,8,10,NULL,5),(20,212,2,24,10,NULL,9,NULL,4),(20,212,2,24,11,4,6,2,2),(20,212,2,24,12,2,5,NULL,2),(20,212,2,24,13,13,6,3,5),(20,212,2,24,14,12,14,4,4),(20,212,2,24,15,9,4,1,3),(20,212,2,24,16,5,6,2,4),(20,212,2,24,17,3,8,NULL,4),(20,212,2,24,18,NULL,9,NULL,5),(20,212,2,24,19,3,12,NULL,5),(20,212,2,24,20,10,7,4,2),(20,212,2,24,21,NULL,3,NULL,2),(20,212,2,24,22,4,6,1,3),(20,212,2,24,23,1,2,2,1),(20,212,2,24,24,1,2,2,2),(20,212,2,24,25,5,9,3,3),(20,212,2,24,26,2,5,1,3),(20,212,2,24,27,1,5,2,3),(20,212,2,24,28,7,5,1,3),(20,212,2,24,29,2,3,2,2),(20,212,2,24,30,NULL,3,NULL,NULL),(20,212,2,24,31,5,9,1,2),(20,212,2,24,32,6,5,3,2),(20,212,2,24,33,7,8,1,2),(20,212,2,24,34,5,7,1,2),(20,212,2,24,35,NULL,10,NULL,2),(20,212,2,24,36,1,4,3,1),(20,212,2,24,37,6,2,2,2),(20,212,2,24,38,2,4,NULL,4),(20,212,2,24,39,1,6,3,1),(20,212,2,24,40,7,3,4,1),(20,213,1,11,1,NULL,NULL,NULL,NULL),(20,213,1,11,2,NULL,NULL,NULL,NULL),(20,213,1,11,3,NULL,NULL,NULL,NULL),(20,213,1,11,4,NULL,NULL,NULL,NULL),(20,213,1,11,5,NULL,NULL,NULL,NULL),(20,213,1,11,6,NULL,NULL,NULL,NULL),(20,213,1,11,7,NULL,NULL,NULL,NULL),(20,213,1,11,8,NULL,NULL,NULL,NULL),(20,213,1,11,9,NULL,NULL,NULL,NULL),(20,213,1,11,10,NULL,NULL,NULL,NULL),(20,213,1,11,11,NULL,NULL,NULL,NULL),(20,213,1,11,12,NULL,NULL,NULL,NULL),(20,213,1,11,13,NULL,NULL,NULL,NULL),(20,213,1,11,14,NULL,NULL,NULL,NULL),(20,213,1,11,15,NULL,NULL,NULL,NULL),(20,213,1,11,16,NULL,NULL,NULL,NULL),(20,213,1,11,17,NULL,NULL,NULL,NULL),(20,213,1,11,18,NULL,NULL,NULL,NULL),(20,213,1,11,19,NULL,NULL,NULL,NULL),(20,213,1,11,20,NULL,NULL,NULL,NULL),(20,213,1,11,21,NULL,NULL,NULL,NULL),(20,213,1,11,22,NULL,NULL,NULL,NULL),(20,213,1,11,23,NULL,NULL,NULL,NULL),(20,213,1,11,24,NULL,NULL,NULL,NULL),(20,213,1,11,25,NULL,NULL,NULL,NULL),(20,213,1,11,26,NULL,NULL,NULL,NULL),(20,213,1,11,27,NULL,NULL,NULL,NULL),(20,213,1,11,28,NULL,NULL,NULL,NULL),(20,213,1,11,29,NULL,NULL,NULL,NULL),(20,213,1,11,30,NULL,NULL,NULL,NULL),(20,213,1,11,31,NULL,NULL,NULL,NULL),(20,213,1,11,32,NULL,NULL,NULL,NULL),(20,213,1,11,33,NULL,NULL,NULL,NULL),(20,213,1,11,34,NULL,NULL,NULL,NULL),(20,213,1,11,35,NULL,NULL,NULL,NULL),(20,213,1,11,36,NULL,NULL,NULL,NULL),(20,213,1,11,37,NULL,NULL,NULL,NULL),(20,213,1,11,38,NULL,NULL,NULL,NULL),(20,213,1,11,39,NULL,NULL,NULL,NULL),(20,213,1,11,40,NULL,NULL,NULL,NULL),(20,213,1,12,1,1,NULL,1,NULL),(20,213,1,12,2,NULL,NULL,NULL,NULL),(20,213,1,12,3,NULL,NULL,NULL,NULL),(20,213,1,12,4,NULL,1,NULL,1),(20,213,1,12,5,NULL,NULL,NULL,NULL),(20,213,1,12,6,1,NULL,1,NULL),(20,213,1,12,7,1,NULL,1,NULL),(20,213,1,12,8,NULL,NULL,NULL,NULL),(20,213,1,12,9,1,NULL,1,NULL),(20,213,1,12,10,NULL,NULL,NULL,NULL),(20,213,1,12,11,NULL,NULL,NULL,NULL),(20,213,1,12,12,NULL,NULL,NULL,NULL),(20,213,1,12,13,NULL,1,NULL,1),(20,213,1,12,14,1,NULL,1,NULL),(20,213,1,12,15,1,NULL,1,NULL),(20,213,1,12,16,1,NULL,1,NULL),(20,213,1,12,17,1,NULL,1,NULL),(20,213,1,12,18,1,NULL,1,NULL),(20,213,1,12,19,1,NULL,1,NULL),(20,213,1,12,20,1,NULL,1,NULL),(20,213,1,12,21,1,NULL,1,NULL),(20,213,1,12,22,NULL,NULL,NULL,NULL),(20,213,1,12,23,NULL,NULL,NULL,NULL),(20,213,1,12,24,NULL,1,NULL,1),(20,213,1,12,25,NULL,1,NULL,1),(20,213,1,12,26,NULL,NULL,NULL,NULL),(20,213,1,12,27,NULL,NULL,NULL,NULL),(20,213,1,12,28,NULL,1,NULL,1),(20,213,1,12,29,NULL,NULL,NULL,NULL),(20,213,1,12,30,NULL,1,NULL,1),(20,213,1,12,31,NULL,1,NULL,1),(20,213,1,12,32,1,NULL,1,NULL),(20,213,1,12,33,NULL,NULL,NULL,NULL),(20,213,1,12,34,NULL,1,NULL,1),(20,213,1,12,35,1,NULL,1,NULL),(20,213,1,12,36,1,NULL,1,NULL),(20,213,1,12,37,NULL,NULL,NULL,NULL),(20,213,1,12,38,NULL,NULL,NULL,NULL),(20,213,1,12,39,1,NULL,1,NULL),(20,213,1,12,40,NULL,NULL,NULL,NULL),(20,213,1,13,1,NULL,NULL,NULL,NULL),(20,213,1,13,2,NULL,NULL,NULL,NULL),(20,213,1,13,3,NULL,NULL,NULL,NULL),(20,213,1,13,4,NULL,NULL,NULL,NULL),(20,213,1,13,5,NULL,NULL,NULL,NULL),(20,213,1,13,6,NULL,NULL,NULL,NULL),(20,213,1,13,7,NULL,NULL,NULL,NULL),(20,213,1,13,8,NULL,NULL,NULL,NULL),(20,213,1,13,9,NULL,NULL,NULL,NULL),(20,213,1,13,10,NULL,NULL,NULL,NULL),(20,213,1,13,11,NULL,NULL,NULL,NULL),(20,213,1,13,12,NULL,NULL,NULL,NULL),(20,213,1,13,13,NULL,NULL,NULL,NULL),(20,213,1,13,14,NULL,NULL,NULL,NULL),(20,213,1,13,15,NULL,NULL,NULL,NULL),(20,213,1,13,16,NULL,NULL,NULL,NULL),(20,213,1,13,17,NULL,NULL,NULL,NULL),(20,213,1,13,18,NULL,NULL,NULL,NULL),(20,213,1,13,19,NULL,NULL,NULL,NULL),(20,213,1,13,20,NULL,NULL,NULL,NULL),(20,213,1,13,21,NULL,NULL,NULL,NULL),(20,213,1,13,22,NULL,NULL,NULL,NULL),(20,213,1,13,23,NULL,NULL,NULL,NULL),(20,213,1,13,24,NULL,NULL,NULL,NULL),(20,213,1,13,25,NULL,NULL,NULL,NULL),(20,213,1,13,26,NULL,NULL,NULL,NULL),(20,213,1,13,27,NULL,NULL,NULL,NULL),(20,213,1,13,28,NULL,NULL,NULL,NULL),(20,213,1,13,29,NULL,NULL,NULL,NULL),(20,213,1,13,30,NULL,NULL,NULL,NULL),(20,213,1,13,31,NULL,NULL,NULL,NULL),(20,213,1,13,32,NULL,NULL,NULL,NULL),(20,213,1,13,33,NULL,NULL,NULL,NULL),(20,213,1,13,34,NULL,NULL,NULL,NULL),(20,213,1,13,35,NULL,NULL,NULL,NULL),(20,213,1,13,36,NULL,NULL,NULL,NULL),(20,213,1,13,37,NULL,NULL,NULL,NULL),(20,213,1,13,38,NULL,NULL,NULL,NULL),(20,213,1,13,39,NULL,NULL,NULL,NULL),(20,213,1,13,40,NULL,NULL,NULL,NULL),(20,213,1,14,1,2,3,5,1),(20,213,1,14,2,3,NULL,5,NULL),(20,213,1,14,3,2,2,2,3),(20,213,1,14,4,NULL,4,1,2),(20,213,1,14,5,2,5,4,4),(20,213,1,14,6,4,9,4,7),(20,213,1,14,7,5,3,6,2),(20,213,1,14,8,7,2,5,2),(20,213,1,14,9,1,11,4,7),(20,213,1,14,10,2,3,3,3),(20,213,1,14,11,2,1,NULL,NULL),(20,213,1,14,12,3,2,4,3),(20,213,1,14,13,9,10,8,6),(20,213,1,14,14,6,9,9,3),(20,213,1,14,15,6,6,8,2),(20,213,1,14,16,10,2,9,2),(20,213,1,14,17,5,9,5,8),(20,213,1,14,18,15,3,10,1),(20,213,1,14,19,11,NULL,11,1),(20,213,1,14,20,13,5,10,4),(20,213,1,14,21,1,4,NULL,6),(20,213,1,14,22,1,11,NULL,12),(20,213,1,14,23,1,7,1,7),(20,213,1,14,24,2,7,4,8),(20,213,1,14,25,4,6,4,6),(20,213,1,14,26,6,NULL,7,NULL),(20,213,1,14,27,2,10,3,8),(20,213,1,14,28,1,5,2,4),(20,213,1,14,29,1,7,1,3),(20,213,1,14,30,2,3,2,5),(20,213,1,14,31,6,5,4,6),(20,213,1,14,32,2,1,6,1),(20,213,1,14,33,4,5,7,3),(20,213,1,14,34,2,4,3,2),(20,213,1,14,35,4,5,4,5),(20,213,1,14,36,8,6,11,1),(20,213,1,14,37,6,8,5,3),(20,213,1,14,38,NULL,4,1,5),(20,213,1,14,39,9,7,8,5),(20,213,1,14,40,5,2,8,NULL),(20,213,1,15,1,7,3,3,3),(20,213,1,15,2,1,6,2,3),(20,213,1,15,3,3,5,2,3),(20,213,1,15,4,NULL,10,1,5),(20,213,1,15,5,8,4,2,5),(20,213,1,15,6,13,9,5,5),(20,213,1,15,7,3,6,3,2),(20,213,1,15,8,8,2,5,1),(20,213,1,15,9,11,10,4,6),(20,213,1,15,10,3,4,2,3),(20,213,1,15,11,1,3,NULL,1),(20,213,1,15,12,6,4,1,1),(20,213,1,15,13,12,8,6,8),(20,213,1,15,14,10,9,4,6),(20,213,1,15,15,11,3,3,7),(20,213,1,15,16,12,6,8,3),(20,213,1,15,17,9,7,5,5),(20,213,1,15,18,15,2,8,3),(20,213,1,15,19,14,NULL,11,1),(20,213,1,15,20,12,6,9,3),(20,213,1,15,21,2,7,NULL,6),(20,213,1,15,22,5,6,3,9),(20,213,1,15,23,4,8,2,6),(20,213,1,15,24,2,8,1,9),(20,213,1,15,25,6,9,4,6),(20,213,1,15,26,3,NULL,3,NULL),(20,213,1,15,27,6,7,5,4),(20,213,1,15,28,NULL,2,1,6),(20,213,1,15,29,NULL,6,NULL,5),(20,213,1,15,30,3,7,NULL,5),(20,213,1,15,31,5,8,5,2),(20,213,1,15,32,7,3,2,5),(20,213,1,15,33,4,2,4,4),(20,213,1,15,34,1,3,1,3),(20,213,1,15,35,6,2,4,3),(20,213,1,15,36,9,11,9,2),(20,213,1,15,37,14,4,8,3),(20,213,1,15,38,1,6,NULL,5),(20,213,1,15,39,11,7,6,4),(20,213,1,15,40,4,2,8,NULL),(20,213,1,16,1,3,2,NULL,NULL),(20,213,1,16,2,3,3,1,NULL),(20,213,1,16,3,3,6,NULL,1),(20,213,1,16,4,NULL,7,NULL,1),(20,213,1,16,5,2,4,NULL,2),(20,213,1,16,6,4,8,NULL,3),(20,213,1,16,7,1,4,NULL,NULL),(20,213,1,16,8,6,4,2,1),(20,213,1,16,9,4,10,2,NULL),(20,213,1,16,10,2,3,NULL,2),(20,213,1,16,11,NULL,3,NULL,NULL),(20,213,1,16,12,2,3,1,NULL),(20,213,1,16,13,6,7,1,1),(20,213,1,16,14,NULL,NULL,NULL,NULL),(20,213,1,16,15,8,2,3,NULL),(20,213,1,16,16,1,4,NULL,NULL),(20,213,1,16,17,8,8,2,1),(20,213,1,16,18,2,5,1,1),(20,213,1,16,19,4,3,NULL,1),(20,213,1,16,20,NULL,4,NULL,NULL),(20,213,1,16,21,1,3,NULL,NULL),(20,213,1,16,22,1,6,NULL,2),(20,213,1,16,23,1,6,NULL,2),(20,213,1,16,24,2,6,NULL,1),(20,213,1,16,25,2,10,1,2),(20,213,1,16,26,6,NULL,1,NULL),(20,213,1,16,27,4,9,1,1),(20,213,1,16,28,1,4,1,NULL),(20,213,1,16,29,1,5,NULL,1),(20,213,1,16,30,1,4,NULL,1),(20,213,1,16,31,3,8,2,1),(20,213,1,16,32,4,6,NULL,2),(20,213,1,16,33,NULL,3,NULL,1),(20,213,1,16,34,2,3,NULL,1),(20,213,1,16,35,3,6,NULL,2),(20,213,1,16,36,2,8,2,NULL),(20,213,1,16,37,5,7,1,1),(20,213,1,16,38,1,2,NULL,1),(20,213,1,16,39,9,6,2,1),(20,213,1,16,40,4,5,2,1),(20,213,1,17,1,2,3,1,2),(20,213,1,17,2,NULL,2,NULL,1),(20,213,1,17,3,2,5,NULL,3),(20,213,1,17,4,1,5,1,2),(20,213,1,17,5,4,3,3,5),(20,213,1,17,6,4,4,4,3),(20,213,1,17,7,2,5,1,4),(20,213,1,17,8,3,4,4,3),(20,213,1,17,9,4,7,2,3),(20,213,1,17,10,2,3,3,2),(20,213,1,17,11,NULL,2,NULL,2),(20,213,1,17,12,3,1,4,NULL),(20,213,1,17,13,5,4,3,2),(20,213,1,17,14,1,NULL,NULL,NULL),(20,213,1,17,15,7,NULL,4,NULL),(20,213,1,17,16,NULL,2,NULL,2),(20,213,1,17,17,9,2,5,2),(20,213,1,17,18,1,6,NULL,2),(20,213,1,17,19,2,6,1,4),(20,213,1,17,20,NULL,3,NULL,1),(20,213,1,17,21,2,NULL,1,2),(20,213,1,17,22,1,2,1,2),(20,213,1,17,23,NULL,4,NULL,4),(20,213,1,17,24,2,3,2,1),(20,213,1,17,25,NULL,7,NULL,7),(20,213,1,17,26,2,NULL,1,NULL),(20,213,1,17,27,1,4,1,3),(20,213,1,17,28,3,NULL,2,2),(20,213,1,17,29,3,2,1,3),(20,213,1,17,30,1,3,NULL,2),(20,213,1,17,31,2,2,3,NULL),(20,213,1,17,32,3,NULL,2,1),(20,213,1,17,33,1,2,1,NULL),(20,213,1,17,34,NULL,4,NULL,2),(20,213,1,17,35,5,4,3,3),(20,213,1,17,36,6,4,5,2),(20,213,1,17,37,6,4,4,1),(20,213,1,17,38,NULL,2,NULL,NULL),(20,213,1,17,39,6,4,4,4),(20,213,1,17,40,4,NULL,5,NULL),(20,213,2,21,1,1,5,1,NULL),(20,213,2,21,2,NULL,3,NULL,2),(20,213,2,21,3,2,5,2,1),(20,213,2,21,4,1,3,1,NULL),(20,213,2,21,5,NULL,2,NULL,2),(20,213,2,21,6,3,5,5,2),(20,213,2,21,7,4,5,1,5),(20,213,2,21,8,6,NULL,7,NULL),(20,213,2,21,9,6,10,4,5),(20,213,2,21,10,3,4,1,3),(20,213,2,21,11,3,4,2,4),(20,213,2,21,12,1,3,NULL,3),(20,213,2,21,13,16,3,9,1),(20,213,2,21,14,9,7,6,2),(20,213,2,21,15,10,6,8,1),(20,213,2,21,16,4,8,4,3),(20,213,2,21,17,3,1,1,1),(20,213,2,21,18,1,5,2,4),(20,213,2,21,19,2,9,3,5),(20,213,2,21,20,3,8,1,5),(20,213,2,21,21,NULL,NULL,NULL,NULL),(20,213,2,21,22,NULL,2,NULL,2),(20,213,2,21,23,NULL,1,NULL,1),(20,213,2,21,24,NULL,1,NULL,1),(20,213,2,21,25,7,5,6,2),(20,213,2,21,26,2,1,2,1),(20,213,2,21,27,2,4,2,3),(20,213,2,21,28,3,2,2,1),(20,213,2,21,29,2,3,2,3),(20,213,2,21,30,1,2,1,2),(20,213,2,21,31,4,6,3,4),(20,213,2,21,32,6,6,4,4),(20,213,2,21,33,3,7,NULL,3),(20,213,2,21,34,NULL,7,2,5),(20,213,2,21,35,2,5,NULL,1),(20,213,2,21,36,2,3,3,2),(20,213,2,21,37,3,4,2,1),(20,213,2,21,38,1,1,2,NULL),(20,213,2,21,39,NULL,4,2,3),(20,213,2,21,40,5,6,3,2),(20,213,2,22,1,1,4,1,6),(20,213,2,22,2,1,2,NULL,1),(20,213,2,22,3,1,4,1,6),(20,213,2,22,4,3,3,1,4),(20,213,2,22,5,2,3,NULL,4),(20,213,2,22,6,8,3,5,3),(20,213,2,22,7,2,5,NULL,5),(20,213,2,22,8,1,NULL,3,NULL),(20,213,2,22,9,2,12,1,6),(20,213,2,22,10,NULL,4,NULL,5),(20,213,2,22,11,4,1,3,3),(20,213,2,22,12,NULL,5,NULL,3),(20,213,2,22,13,7,8,7,3),(20,213,2,22,14,6,9,6,5),(20,213,2,22,15,11,3,4,6),(20,213,2,22,16,7,3,5,4),(20,213,2,22,17,3,3,5,1),(20,213,2,22,18,1,4,2,5),(20,213,2,22,19,1,6,1,4),(20,213,2,22,20,4,9,1,7),(20,213,2,22,21,NULL,1,NULL,1),(20,213,2,22,22,1,3,NULL,1),(20,213,2,22,23,NULL,2,2,1),(20,213,2,22,24,NULL,NULL,NULL,1),(20,213,2,22,25,5,6,8,2),(20,213,2,22,26,2,3,3,NULL),(20,213,2,22,27,1,NULL,1,1),(20,213,2,22,28,4,4,2,5),(20,213,2,22,29,NULL,2,2,1),(20,213,2,22,30,1,1,NULL,NULL),(20,213,2,22,31,3,2,1,4),(20,213,2,22,32,3,5,5,1),(20,213,2,22,33,2,8,1,5),(20,213,2,22,34,2,4,NULL,1),(20,213,2,22,35,2,8,1,5),(20,213,2,22,36,1,5,2,4),(20,213,2,22,37,1,2,2,3),(20,213,2,22,38,1,5,NULL,4),(20,213,2,22,39,1,4,2,3),(20,213,2,22,40,2,5,3,3),(20,213,2,23,1,2,5,2,4),(20,213,2,23,2,1,2,1,2),(20,213,2,23,3,2,8,NULL,3),(20,213,2,23,4,NULL,4,NULL,1),(20,213,2,23,5,2,3,2,1),(20,213,2,23,6,2,3,2,4),(20,213,2,23,7,2,5,3,3),(20,213,2,23,8,3,NULL,2,NULL),(20,213,2,23,9,3,13,2,4),(20,213,2,23,10,1,2,1,2),(20,213,2,23,11,7,5,2,1),(20,213,2,23,12,3,2,1,NULL),(20,213,2,23,13,12,5,7,NULL),(20,213,2,23,14,11,9,5,2),(20,213,2,23,15,8,4,1,4),(20,213,2,23,16,6,5,NULL,1),(20,213,2,23,17,2,2,3,NULL),(20,213,2,23,18,1,3,2,1),(20,213,2,23,19,1,8,2,3),(20,213,2,23,20,6,8,5,2),(20,213,2,23,21,NULL,NULL,NULL,NULL),(20,213,2,23,22,1,3,NULL,3),(20,213,2,23,23,NULL,3,NULL,1),(20,213,2,23,24,NULL,4,NULL,3),(20,213,2,23,25,5,6,4,2),(20,213,2,23,26,3,3,3,1),(20,213,2,23,27,2,2,3,1),(20,213,2,23,28,8,1,4,NULL),(20,213,2,23,29,3,4,2,2),(20,213,2,23,30,2,1,2,NULL),(20,213,2,23,31,4,5,3,1),(20,213,2,23,32,6,4,5,1),(20,213,2,23,33,4,11,1,2),(20,213,2,23,34,3,5,3,3),(20,213,2,23,35,NULL,8,1,2),(20,213,2,23,36,2,9,1,3),(20,213,2,23,37,2,6,NULL,5),(20,213,2,23,38,2,6,3,3),(20,213,2,23,39,1,2,1,NULL),(20,213,2,23,40,2,6,3,1),(20,213,2,24,1,3,3,3,1),(20,213,2,24,2,1,3,NULL,1),(20,213,2,24,3,3,4,2,1),(20,213,2,24,4,4,5,1,1),(20,213,2,24,5,1,1,NULL,2),(20,213,2,24,6,2,8,2,3),(20,213,2,24,7,4,6,1,4),(20,213,2,24,8,3,NULL,3,NULL),(20,213,2,24,9,3,17,2,4),(20,213,2,24,10,NULL,4,NULL,2),(20,213,2,24,11,6,3,1,1),(20,213,2,24,12,2,4,NULL,3),(20,213,2,24,13,6,9,7,NULL),(20,213,2,24,14,9,8,6,4),(20,213,2,24,15,7,3,6,1),(20,213,2,24,16,7,2,1,2),(20,213,2,24,17,3,4,1,1),(20,213,2,24,18,NULL,7,1,5),(20,213,2,24,19,5,7,3,3),(20,213,2,24,20,7,9,6,3),(20,213,2,24,21,NULL,1,NULL,NULL),(20,213,2,24,22,2,3,1,3),(20,213,2,24,23,2,NULL,2,1),(20,213,2,24,24,NULL,NULL,NULL,2),(20,213,2,24,25,3,8,3,1),(20,213,2,24,26,1,1,1,NULL),(20,213,2,24,27,2,2,NULL,2),(20,213,2,24,28,2,5,5,2),(20,213,2,24,29,NULL,5,1,3),(20,213,2,24,30,4,NULL,3,NULL),(20,213,2,24,31,1,9,2,4),(20,213,2,24,32,3,3,2,3),(20,213,2,24,33,1,8,2,NULL),(20,213,2,24,34,3,4,3,1),(20,213,2,24,35,1,4,2,2),(20,213,2,24,36,2,5,1,1),(20,213,2,24,37,1,4,1,3),(20,213,2,24,38,1,5,1,4),(20,213,2,24,39,2,6,3,3),(20,213,2,24,40,4,1,3,1),(20,214,1,11,1,1,NULL,NULL,NULL),(20,214,1,11,2,NULL,NULL,NULL,NULL),(20,214,1,11,3,NULL,NULL,NULL,NULL),(20,214,1,11,4,NULL,NULL,NULL,NULL),(20,214,1,11,5,NULL,1,NULL,NULL),(20,214,1,11,6,1,NULL,NULL,NULL),(20,214,1,11,7,NULL,NULL,NULL,NULL),(20,214,1,11,8,NULL,NULL,NULL,NULL),(20,214,1,11,9,NULL,1,NULL,NULL),(20,214,1,11,10,NULL,NULL,NULL,NULL),(20,214,1,11,11,NULL,NULL,NULL,NULL),(20,214,1,11,12,NULL,NULL,NULL,NULL),(20,214,1,11,13,1,NULL,NULL,NULL),(20,214,1,11,14,1,NULL,NULL,NULL),(20,214,1,11,15,1,NULL,NULL,NULL),(20,214,1,11,16,1,NULL,NULL,NULL),(20,214,1,11,17,1,NULL,NULL,NULL),(20,214,1,11,18,1,NULL,NULL,NULL),(20,214,1,11,19,1,NULL,NULL,NULL),(20,214,1,11,20,1,NULL,NULL,NULL),(20,214,1,11,21,NULL,1,NULL,NULL),(20,214,1,11,22,1,NULL,NULL,NULL),(20,214,1,11,23,NULL,1,NULL,NULL),(20,214,1,11,24,NULL,1,NULL,NULL),(20,214,1,11,25,NULL,1,NULL,NULL),(20,214,1,11,26,1,NULL,NULL,NULL),(20,214,1,11,27,1,NULL,NULL,NULL),(20,214,1,11,28,1,NULL,NULL,NULL),(20,214,1,11,29,NULL,NULL,NULL,NULL),(20,214,1,11,30,NULL,1,NULL,NULL),(20,214,1,11,31,1,NULL,NULL,NULL),(20,214,1,11,32,NULL,NULL,NULL,NULL),(20,214,1,11,33,1,NULL,NULL,NULL),(20,214,1,11,34,1,NULL,NULL,NULL),(20,214,1,11,35,NULL,NULL,NULL,NULL),(20,214,1,11,36,1,NULL,NULL,NULL),(20,214,1,11,37,NULL,NULL,NULL,NULL),(20,214,1,11,38,1,NULL,NULL,NULL),(20,214,1,11,39,1,NULL,NULL,NULL),(20,214,1,11,40,NULL,NULL,NULL,NULL),(20,214,1,12,1,NULL,NULL,NULL,NULL),(20,214,1,12,2,NULL,NULL,NULL,NULL),(20,214,1,12,3,NULL,NULL,NULL,NULL),(20,214,1,12,4,NULL,NULL,NULL,NULL),(20,214,1,12,5,NULL,NULL,NULL,NULL),(20,214,1,12,6,NULL,NULL,NULL,NULL),(20,214,1,12,7,NULL,NULL,NULL,NULL),(20,214,1,12,8,NULL,NULL,NULL,NULL),(20,214,1,12,9,NULL,NULL,NULL,NULL),(20,214,1,12,10,NULL,NULL,NULL,NULL),(20,214,1,12,11,NULL,NULL,NULL,NULL),(20,214,1,12,12,NULL,NULL,NULL,NULL),(20,214,1,12,13,NULL,NULL,NULL,NULL),(20,214,1,12,14,NULL,NULL,NULL,NULL),(20,214,1,12,15,NULL,NULL,NULL,NULL),(20,214,1,12,16,NULL,NULL,NULL,NULL),(20,214,1,12,17,NULL,NULL,NULL,NULL),(20,214,1,12,18,NULL,NULL,NULL,NULL),(20,214,1,12,19,NULL,NULL,NULL,NULL),(20,214,1,12,20,NULL,NULL,NULL,NULL),(20,214,1,12,21,NULL,NULL,NULL,NULL),(20,214,1,12,22,NULL,NULL,NULL,NULL),(20,214,1,12,23,NULL,NULL,NULL,NULL),(20,214,1,12,24,NULL,NULL,NULL,NULL),(20,214,1,12,25,NULL,NULL,NULL,NULL),(20,214,1,12,26,NULL,NULL,NULL,NULL),(20,214,1,12,27,NULL,NULL,NULL,NULL),(20,214,1,12,28,NULL,NULL,NULL,NULL),(20,214,1,12,29,NULL,NULL,NULL,NULL),(20,214,1,12,30,NULL,NULL,NULL,NULL),(20,214,1,12,31,NULL,NULL,NULL,NULL),(20,214,1,12,32,NULL,NULL,NULL,NULL),(20,214,1,12,33,NULL,NULL,NULL,NULL),(20,214,1,12,34,NULL,NULL,NULL,NULL),(20,214,1,12,35,NULL,NULL,NULL,NULL),(20,214,1,12,36,NULL,NULL,NULL,NULL),(20,214,1,12,37,NULL,NULL,NULL,NULL),(20,214,1,12,38,NULL,NULL,NULL,NULL),(20,214,1,12,39,NULL,NULL,NULL,NULL),(20,214,1,12,40,NULL,NULL,NULL,NULL),(20,214,1,13,1,NULL,NULL,NULL,NULL),(20,214,1,13,2,NULL,NULL,NULL,NULL),(20,214,1,13,3,NULL,NULL,NULL,NULL),(20,214,1,13,4,NULL,NULL,NULL,NULL),(20,214,1,13,5,NULL,NULL,NULL,NULL),(20,214,1,13,6,NULL,NULL,NULL,NULL),(20,214,1,13,7,NULL,NULL,NULL,NULL),(20,214,1,13,8,NULL,NULL,NULL,NULL),(20,214,1,13,9,NULL,NULL,NULL,NULL),(20,214,1,13,10,NULL,NULL,NULL,NULL),(20,214,1,13,11,NULL,NULL,NULL,NULL),(20,214,1,13,12,NULL,NULL,NULL,NULL),(20,214,1,13,13,NULL,NULL,NULL,NULL),(20,214,1,13,14,NULL,NULL,NULL,NULL),(20,214,1,13,15,NULL,NULL,NULL,NULL),(20,214,1,13,16,NULL,NULL,NULL,NULL),(20,214,1,13,17,NULL,NULL,NULL,NULL),(20,214,1,13,18,NULL,NULL,NULL,NULL),(20,214,1,13,19,NULL,NULL,NULL,NULL),(20,214,1,13,20,NULL,NULL,NULL,NULL),(20,214,1,13,21,NULL,NULL,NULL,NULL),(20,214,1,13,22,NULL,NULL,NULL,NULL),(20,214,1,13,23,NULL,NULL,NULL,NULL),(20,214,1,13,24,NULL,NULL,NULL,NULL),(20,214,1,13,25,NULL,NULL,NULL,NULL),(20,214,1,13,26,NULL,NULL,NULL,NULL),(20,214,1,13,27,NULL,NULL,NULL,NULL),(20,214,1,13,28,NULL,NULL,NULL,NULL),(20,214,1,13,29,NULL,NULL,NULL,NULL),(20,214,1,13,30,NULL,NULL,NULL,NULL),(20,214,1,13,31,NULL,NULL,NULL,NULL),(20,214,1,13,32,NULL,NULL,NULL,NULL),(20,214,1,13,33,NULL,NULL,NULL,NULL),(20,214,1,13,34,NULL,NULL,NULL,NULL),(20,214,1,13,35,NULL,NULL,NULL,NULL),(20,214,1,13,36,NULL,NULL,NULL,NULL),(20,214,1,13,37,NULL,NULL,NULL,NULL),(20,214,1,13,38,NULL,NULL,NULL,NULL),(20,214,1,13,39,NULL,NULL,NULL,NULL),(20,214,1,13,40,NULL,NULL,NULL,NULL),(20,214,1,14,1,15,16,3,4),(20,214,1,14,2,17,5,8,1),(20,214,1,14,3,8,22,6,8),(20,214,1,14,4,7,21,2,8),(20,214,1,14,5,23,22,10,9),(20,214,1,14,6,34,29,11,7),(20,214,1,14,7,21,19,8,7),(20,214,1,14,8,30,5,16,2),(20,214,1,14,9,33,25,9,9),(20,214,1,14,10,12,8,14,2),(20,214,1,14,11,1,5,1,5),(20,214,1,14,12,15,7,10,1),(20,214,1,14,13,42,21,17,3),(20,214,1,14,14,52,8,18,1),(20,214,1,14,15,29,18,13,4),(20,214,1,14,16,55,5,19,1),(20,214,1,14,17,29,29,13,6),(20,214,1,14,18,44,14,17,2),(20,214,1,14,19,43,6,13,2),(20,214,1,14,20,51,15,17,2),(20,214,1,14,21,7,16,3,6),(20,214,1,14,22,12,39,10,9),(20,214,1,14,23,9,38,2,13),(20,214,1,14,24,10,38,4,13),(20,214,1,14,25,31,25,15,6),(20,214,1,14,26,24,NULL,10,NULL),(20,214,1,14,27,14,34,5,9),(20,214,1,14,28,5,18,4,4),(20,214,1,14,29,4,12,1,6),(20,214,1,14,30,11,29,7,11),(20,214,1,14,31,18,28,10,10),(20,214,1,14,32,28,12,10,4),(20,214,1,14,33,22,15,10,7),(20,214,1,14,34,9,16,3,6),(20,214,1,14,35,25,16,7,7),(20,214,1,14,36,39,19,12,8),(20,214,1,14,37,30,14,8,9),(20,214,1,14,38,4,16,3,8),(20,214,1,14,39,37,20,13,7),(20,214,1,14,40,37,9,14,1),(20,214,1,15,1,14,11,2,1),(20,214,1,15,2,6,5,2,NULL),(20,214,1,15,3,7,17,2,5),(20,214,1,15,4,10,19,NULL,2),(20,214,1,15,5,18,15,6,1),(20,214,1,15,6,28,22,4,4),(20,214,1,15,7,13,18,8,2),(20,214,1,15,8,27,14,8,NULL),(20,214,1,15,9,20,34,6,3),(20,214,1,15,10,10,9,4,1),(20,214,1,15,11,2,9,2,1),(20,214,1,15,12,15,9,4,1),(20,214,1,15,13,41,17,7,2),(20,214,1,15,14,51,12,9,NULL),(20,214,1,15,15,25,15,8,NULL),(20,214,1,15,16,41,14,7,2),(20,214,1,15,17,23,32,8,2),(20,214,1,15,18,43,12,8,NULL),(20,214,1,15,19,39,5,10,NULL),(20,214,1,15,20,39,19,7,2),(20,214,1,15,21,6,23,1,5),(20,214,1,15,22,14,38,5,4),(20,214,1,15,23,6,20,NULL,6),(20,214,1,15,24,10,34,5,5),(20,214,1,15,25,25,20,6,2),(20,214,1,15,26,19,NULL,6,NULL),(20,214,1,15,27,20,27,6,3),(20,214,1,15,28,15,12,4,2),(20,214,1,15,29,2,16,1,NULL),(20,214,1,15,30,13,12,6,1),(20,214,1,15,31,21,29,5,3),(20,214,1,15,32,21,8,6,1),(20,214,1,15,33,14,24,4,4),(20,214,1,15,34,8,15,3,3),(20,214,1,15,35,24,18,7,1),(20,214,1,15,36,30,21,6,1),(20,214,1,15,37,27,18,4,3),(20,214,1,15,38,1,20,NULL,3),(20,214,1,15,39,38,20,8,2),(20,214,1,15,40,39,2,8,NULL),(20,214,1,16,1,3,3,1,3),(20,214,1,16,2,3,1,1,NULL),(20,214,1,16,3,1,6,1,2),(20,214,1,16,4,2,3,NULL,2),(20,214,1,16,5,2,5,2,NULL),(20,214,1,16,6,2,4,3,3),(20,214,1,16,7,4,2,3,NULL),(20,214,1,16,8,5,1,3,1),(20,214,1,16,9,6,5,1,4),(20,214,1,16,10,1,2,1,1),(20,214,1,16,11,2,1,3,2),(20,214,1,16,12,1,3,2,1),(20,214,1,16,13,7,6,2,3),(20,214,1,16,14,1,2,1,1),(20,214,1,16,15,7,NULL,3,NULL),(20,214,1,16,16,NULL,6,NULL,2),(20,214,1,16,17,6,6,4,2),(20,214,1,16,18,3,5,1,1),(20,214,1,16,19,7,3,2,3),(20,214,1,16,20,NULL,6,NULL,2),(20,214,1,16,21,1,5,NULL,3),(20,214,1,16,22,2,6,2,2),(20,214,1,16,23,1,9,2,3),(20,214,1,16,24,1,6,1,2),(20,214,1,16,25,3,10,1,3),(20,214,1,16,26,3,NULL,NULL,NULL),(20,214,1,16,27,3,5,1,3),(20,214,1,16,28,3,4,NULL,3),(20,214,1,16,29,NULL,4,NULL,NULL),(20,214,1,16,30,2,5,1,2),(20,214,1,16,31,4,5,2,2),(20,214,1,16,32,4,2,4,1),(20,214,1,16,33,2,3,3,1),(20,214,1,16,34,1,2,2,1),(20,214,1,16,35,4,3,4,2),(20,214,1,16,36,4,4,3,1),(20,214,1,16,37,2,2,1,1),(20,214,1,16,38,1,2,2,NULL),(20,214,1,16,39,11,2,5,NULL),(20,214,1,16,40,3,1,4,NULL),(20,214,1,17,1,2,5,NULL,NULL),(20,214,1,17,2,1,3,NULL,1),(20,214,1,17,3,NULL,2,NULL,NULL),(20,214,1,17,4,NULL,5,NULL,1),(20,214,1,17,5,3,4,NULL,1),(20,214,1,17,6,3,5,NULL,1),(20,214,1,17,7,2,2,NULL,NULL),(20,214,1,17,8,9,3,1,NULL),(20,214,1,17,9,2,7,NULL,1),(20,214,1,17,10,5,2,NULL,1),(20,214,1,17,11,1,1,NULL,NULL),(20,214,1,17,12,3,3,1,NULL),(20,214,1,17,13,7,8,1,NULL),(20,214,1,17,14,3,2,1,NULL),(20,214,1,17,15,3,3,NULL,NULL),(20,214,1,17,16,NULL,6,NULL,NULL),(20,214,1,17,17,10,8,NULL,2),(20,214,1,17,18,NULL,6,1,NULL),(20,214,1,17,19,7,5,NULL,2),(20,214,1,17,20,1,4,NULL,1),(20,214,1,17,21,2,4,NULL,1),(20,214,1,17,22,2,1,NULL,1),(20,214,1,17,23,NULL,8,NULL,1),(20,214,1,17,24,2,8,NULL,2),(20,214,1,17,25,4,6,1,1),(20,214,1,17,26,3,NULL,1,NULL),(20,214,1,17,27,4,6,1,NULL),(20,214,1,17,28,1,4,1,NULL),(20,214,1,17,29,3,3,NULL,1),(20,214,1,17,30,2,1,NULL,1),(20,214,1,17,31,3,3,NULL,NULL),(20,214,1,17,32,5,3,NULL,NULL),(20,214,1,17,33,1,2,NULL,1),(20,214,1,17,34,NULL,4,NULL,1),(20,214,1,17,35,4,5,NULL,1),(20,214,1,17,36,4,4,1,NULL),(20,214,1,17,37,2,9,NULL,1),(20,214,1,17,38,1,5,NULL,NULL),(20,214,1,17,39,7,4,NULL,1),(20,214,1,17,40,3,1,1,NULL),(20,214,2,21,1,3,6,NULL,NULL),(20,214,2,21,2,1,3,NULL,1),(20,214,2,21,3,4,22,NULL,6),(20,214,2,21,4,4,4,2,NULL),(20,214,2,21,5,1,3,NULL,1),(20,214,2,21,6,14,10,5,2),(20,214,2,21,7,8,15,4,2),(20,214,2,21,8,9,NULL,4,NULL),(20,214,2,21,9,11,17,3,2),(20,214,2,21,10,1,11,NULL,4),(20,214,2,21,11,7,3,3,1),(20,214,2,21,12,5,6,2,2),(20,214,2,21,13,26,8,5,4),(20,214,2,21,14,20,17,7,2),(20,214,2,21,15,20,10,5,1),(20,214,2,21,16,11,13,2,4),(20,214,2,21,17,9,5,4,1),(20,214,2,21,18,3,12,1,6),(20,214,2,21,19,8,17,4,2),(20,214,2,21,20,16,13,6,1),(20,214,2,21,21,4,2,1,2),(20,214,2,21,22,5,9,1,2),(20,214,2,21,23,5,3,2,1),(20,214,2,21,24,1,6,1,3),(20,214,2,21,25,12,13,7,2),(20,214,2,21,26,10,1,3,1),(20,214,2,21,27,5,7,3,1),(20,214,2,21,28,15,5,7,1),(20,214,2,21,29,2,6,NULL,2),(20,214,2,21,30,1,3,2,1),(20,214,2,21,31,4,20,3,3),(20,214,2,21,32,9,8,4,NULL),(20,214,2,21,33,3,13,1,4),(20,214,2,21,34,10,8,3,1),(20,214,2,21,35,4,12,NULL,4),(20,214,2,21,36,12,6,2,1),(20,214,2,21,37,3,10,1,3),(20,214,2,21,38,2,9,1,1),(20,214,2,21,39,10,11,2,1),(20,214,2,21,40,11,4,2,NULL),(20,214,2,22,1,6,5,NULL,3),(20,214,2,22,2,2,3,NULL,NULL),(20,214,2,22,3,8,13,1,4),(20,214,2,22,4,2,3,1,NULL),(20,214,2,22,5,1,8,NULL,2),(20,214,2,22,6,14,6,4,1),(20,214,2,22,7,10,8,3,3),(20,214,2,22,8,13,NULL,2,NULL),(20,214,2,22,9,15,18,2,2),(20,214,2,22,10,3,8,1,3),(20,214,2,22,11,8,6,1,2),(20,214,2,22,12,1,3,1,2),(20,214,2,22,13,25,6,5,1),(20,214,2,22,14,23,7,4,2),(20,214,2,22,15,13,11,6,NULL),(20,214,2,22,16,10,4,4,1),(20,214,2,22,17,7,4,3,NULL),(20,214,2,22,18,1,7,1,1),(20,214,2,22,19,10,15,1,5),(20,214,2,22,20,13,13,2,4),(20,214,2,22,21,1,6,1,1),(20,214,2,22,22,3,2,NULL,NULL),(20,214,2,22,23,3,2,1,1),(20,214,2,22,24,3,1,1,2),(20,214,2,22,25,20,8,5,1),(20,214,2,22,26,3,4,1,1),(20,214,2,22,27,7,4,3,1),(20,214,2,22,28,12,5,1,1),(20,214,2,22,29,5,5,1,2),(20,214,2,22,30,4,1,2,NULL),(20,214,2,22,31,8,6,5,2),(20,214,2,22,32,12,11,4,1),(20,214,2,22,33,2,11,NULL,4),(20,214,2,22,34,8,8,3,2),(20,214,2,22,35,5,11,NULL,5),(20,214,2,22,36,8,7,2,2),(20,214,2,22,37,4,10,3,2),(20,214,2,22,38,7,6,2,3),(20,214,2,22,39,11,9,3,1),(20,214,2,22,40,9,7,3,1),(20,214,2,23,1,6,10,1,3),(20,214,2,23,2,NULL,2,1,NULL),(20,214,2,23,3,11,12,1,4),(20,214,2,23,4,6,3,3,NULL),(20,214,2,23,5,3,3,1,NULL),(20,214,2,23,6,16,11,4,2),(20,214,2,23,7,12,15,3,2),(20,214,2,23,8,7,NULL,NULL,NULL),(20,214,2,23,9,11,23,3,3),(20,214,2,23,10,2,5,NULL,4),(20,214,2,23,11,3,5,NULL,2),(20,214,2,23,12,2,8,1,1),(20,214,2,23,13,27,12,5,1),(20,214,2,23,14,27,13,5,2),(20,214,2,23,15,15,7,3,2),(20,214,2,23,16,7,11,2,2),(20,214,2,23,17,8,6,2,3),(20,214,2,23,18,2,9,2,1),(20,214,2,23,19,9,13,2,3),(20,214,2,23,20,17,14,5,1),(20,214,2,23,21,2,6,1,2),(20,214,2,23,22,1,8,NULL,2),(20,214,2,23,23,NULL,7,NULL,1),(20,214,2,23,24,3,4,NULL,2),(20,214,2,23,25,17,14,4,3),(20,214,2,23,26,8,6,1,NULL),(20,214,2,23,27,3,5,1,NULL),(20,214,2,23,28,17,2,4,NULL),(20,214,2,23,29,1,10,NULL,4),(20,214,2,23,30,4,4,1,2),(20,214,2,23,31,5,17,3,3),(20,214,2,23,32,15,14,4,2),(20,214,2,23,33,3,7,1,2),(20,214,2,23,34,8,15,2,3),(20,214,2,23,35,4,12,NULL,2),(20,214,2,23,36,10,5,3,NULL),(20,214,2,23,37,6,9,1,NULL),(20,214,2,23,38,8,8,1,4),(20,214,2,23,39,10,8,4,2),(20,214,2,23,40,9,6,4,1),(20,214,2,24,1,8,7,4,2),(20,214,2,24,2,3,1,2,1),(20,214,2,24,3,6,16,2,8),(20,214,2,24,4,7,5,3,1),(20,214,2,24,5,2,6,1,2),(20,214,2,24,6,24,12,7,7),(20,214,2,24,7,9,16,5,5),(20,214,2,24,8,8,NULL,4,NULL),(20,214,2,24,9,22,17,10,5),(20,214,2,24,10,3,13,NULL,8),(20,214,2,24,11,10,6,5,2),(20,214,2,24,12,3,9,3,3),(20,214,2,24,13,30,12,12,3),(20,214,2,24,14,29,17,8,6),(20,214,2,24,15,12,13,10,3),(20,214,2,24,16,17,13,7,4),(20,214,2,24,17,5,9,4,2),(20,214,2,24,18,7,12,4,4),(20,214,2,24,19,9,17,6,5),(20,214,2,24,20,15,15,8,6),(20,214,2,24,21,3,3,1,4),(20,214,2,24,22,1,13,2,5),(20,214,2,24,23,5,4,2,2),(20,214,2,24,24,2,7,4,5),(20,214,2,24,25,20,11,12,3),(20,214,2,24,26,8,7,8,1),(20,214,2,24,27,2,7,2,3),(20,214,2,24,28,15,11,7,1),(20,214,2,24,29,4,11,2,1),(20,214,2,24,30,5,3,4,1),(20,214,2,24,31,5,17,4,8),(20,214,2,24,32,11,20,3,7),(20,214,2,24,33,3,15,1,4),(20,214,2,24,34,11,14,6,4),(20,214,2,24,35,5,17,3,5),(20,214,2,24,36,13,8,6,2),(20,214,2,24,37,9,9,5,4),(20,214,2,24,38,4,10,5,4),(20,214,2,24,39,10,10,5,4),(20,214,2,24,40,18,8,11,NULL),(20,215,1,11,1,1,NULL,2,NULL),(20,215,1,11,2,1,NULL,1,NULL),(20,215,1,11,3,NULL,1,NULL,1),(20,215,1,11,4,NULL,NULL,NULL,1),(20,215,1,11,5,NULL,1,1,1),(20,215,1,11,6,NULL,1,1,2),(20,215,1,11,7,NULL,NULL,NULL,1),(20,215,1,11,8,1,NULL,2,NULL),(20,215,1,11,9,NULL,1,NULL,2),(20,215,1,11,10,NULL,NULL,1,NULL),(20,215,1,11,11,NULL,NULL,NULL,1),(20,215,1,11,12,1,NULL,2,NULL),(20,215,1,11,13,1,NULL,2,1),(20,215,1,11,14,NULL,NULL,2,NULL),(20,215,1,11,15,1,NULL,3,NULL),(20,215,1,11,16,1,NULL,3,NULL),(20,215,1,11,17,1,NULL,3,NULL),(20,215,1,11,18,1,NULL,3,NULL),(20,215,1,11,19,1,NULL,2,1),(20,215,1,11,20,1,NULL,3,NULL),(20,215,1,11,21,NULL,NULL,NULL,1),(20,215,1,11,22,NULL,1,1,2),(20,215,1,11,23,NULL,1,NULL,2),(20,215,1,11,24,NULL,1,NULL,3),(20,215,1,11,25,NULL,NULL,1,1),(20,215,1,11,26,NULL,NULL,1,NULL),(20,215,1,11,27,NULL,1,2,1),(20,215,1,11,28,NULL,NULL,NULL,1),(20,215,1,11,29,NULL,NULL,NULL,NULL),(20,215,1,11,30,NULL,NULL,NULL,NULL),(20,215,1,11,31,NULL,1,1,2),(20,215,1,11,32,NULL,1,1,1),(20,215,1,11,33,NULL,1,NULL,1),(20,215,1,11,34,NULL,NULL,1,NULL),(20,215,1,11,35,NULL,1,NULL,2),(20,215,1,11,36,NULL,1,1,2),(20,215,1,11,37,1,NULL,2,1),(20,215,1,11,38,NULL,1,NULL,3),(20,215,1,11,39,1,NULL,2,1),(20,215,1,11,40,1,NULL,2,NULL),(20,215,1,12,1,NULL,NULL,NULL,NULL),(20,215,1,12,2,NULL,NULL,NULL,NULL),(20,215,1,12,3,NULL,NULL,NULL,NULL),(20,215,1,12,4,NULL,NULL,NULL,NULL),(20,215,1,12,5,NULL,NULL,NULL,NULL),(20,215,1,12,6,NULL,1,NULL,NULL),(20,215,1,12,7,NULL,NULL,NULL,NULL),(20,215,1,12,8,NULL,NULL,NULL,NULL),(20,215,1,12,9,NULL,NULL,NULL,NULL),(20,215,1,12,10,NULL,NULL,NULL,NULL),(20,215,1,12,11,NULL,NULL,NULL,NULL),(20,215,1,12,12,NULL,NULL,NULL,NULL),(20,215,1,12,13,NULL,1,NULL,NULL),(20,215,1,12,14,NULL,1,NULL,NULL),(20,215,1,12,15,1,NULL,NULL,NULL),(20,215,1,12,16,1,NULL,NULL,NULL),(20,215,1,12,17,1,NULL,NULL,NULL),(20,215,1,12,18,1,NULL,NULL,NULL),(20,215,1,12,19,NULL,NULL,NULL,NULL),(20,215,1,12,20,1,NULL,NULL,NULL),(20,215,1,12,21,NULL,1,NULL,NULL),(20,215,1,12,22,NULL,1,NULL,NULL),(20,215,1,12,23,NULL,NULL,NULL,NULL),(20,215,1,12,24,NULL,NULL,NULL,NULL),(20,215,1,12,25,NULL,NULL,NULL,NULL),(20,215,1,12,26,1,NULL,NULL,NULL),(20,215,1,12,27,NULL,NULL,NULL,NULL),(20,215,1,12,28,NULL,NULL,NULL,NULL),(20,215,1,12,29,NULL,NULL,NULL,NULL),(20,215,1,12,30,NULL,NULL,NULL,NULL),(20,215,1,12,31,NULL,1,NULL,NULL),(20,215,1,12,32,NULL,NULL,NULL,NULL),(20,215,1,12,33,1,NULL,NULL,NULL),(20,215,1,12,34,NULL,NULL,NULL,NULL),(20,215,1,12,35,1,NULL,NULL,NULL),(20,215,1,12,36,NULL,1,NULL,NULL),(20,215,1,12,37,NULL,NULL,NULL,NULL),(20,215,1,12,38,NULL,1,NULL,NULL),(20,215,1,12,39,NULL,NULL,NULL,NULL),(20,215,1,12,40,NULL,NULL,NULL,NULL),(20,215,1,13,1,NULL,NULL,NULL,NULL),(20,215,1,13,2,NULL,NULL,NULL,NULL),(20,215,1,13,3,NULL,NULL,NULL,NULL),(20,215,1,13,4,NULL,NULL,NULL,NULL),(20,215,1,13,5,NULL,NULL,NULL,NULL),(20,215,1,13,6,NULL,NULL,NULL,NULL),(20,215,1,13,7,NULL,NULL,NULL,NULL),(20,215,1,13,8,NULL,NULL,NULL,NULL),(20,215,1,13,9,NULL,NULL,NULL,NULL),(20,215,1,13,10,NULL,NULL,NULL,NULL),(20,215,1,13,11,NULL,NULL,NULL,NULL),(20,215,1,13,12,NULL,NULL,NULL,NULL),(20,215,1,13,13,NULL,NULL,NULL,NULL),(20,215,1,13,14,NULL,NULL,NULL,NULL),(20,215,1,13,15,NULL,NULL,NULL,NULL),(20,215,1,13,16,NULL,NULL,NULL,NULL),(20,215,1,13,17,NULL,NULL,NULL,NULL),(20,215,1,13,18,NULL,NULL,NULL,NULL),(20,215,1,13,19,NULL,NULL,NULL,NULL),(20,215,1,13,20,NULL,NULL,NULL,NULL),(20,215,1,13,21,NULL,NULL,NULL,NULL),(20,215,1,13,22,NULL,NULL,NULL,NULL),(20,215,1,13,23,NULL,NULL,NULL,NULL),(20,215,1,13,24,NULL,NULL,NULL,NULL),(20,215,1,13,25,NULL,NULL,NULL,NULL),(20,215,1,13,26,NULL,NULL,NULL,NULL),(20,215,1,13,27,NULL,NULL,NULL,NULL),(20,215,1,13,28,NULL,NULL,NULL,NULL),(20,215,1,13,29,NULL,NULL,NULL,NULL),(20,215,1,13,30,NULL,NULL,NULL,NULL),(20,215,1,13,31,NULL,NULL,NULL,NULL),(20,215,1,13,32,NULL,NULL,NULL,NULL),(20,215,1,13,33,NULL,NULL,NULL,NULL),(20,215,1,13,34,NULL,NULL,NULL,NULL),(20,215,1,13,35,NULL,NULL,NULL,NULL),(20,215,1,13,36,NULL,NULL,NULL,NULL),(20,215,1,13,37,NULL,NULL,NULL,NULL),(20,215,1,13,38,NULL,NULL,NULL,NULL),(20,215,1,13,39,NULL,NULL,NULL,NULL),(20,215,1,13,40,NULL,NULL,NULL,NULL),(20,215,1,14,1,11,10,3,5),(20,215,1,14,2,8,7,2,2),(20,215,1,14,3,NULL,12,NULL,5),(20,215,1,14,4,5,17,1,5),(20,215,1,14,5,5,12,7,4),(20,215,1,14,6,21,14,8,2),(20,215,1,14,7,10,8,4,4),(20,215,1,14,8,15,7,10,NULL),(20,215,1,14,9,9,14,5,7),(20,215,1,14,10,4,5,4,1),(20,215,1,14,11,1,3,1,2),(20,215,1,14,12,5,5,6,1),(20,215,1,14,13,21,11,11,1),(20,215,1,14,14,17,13,9,4),(20,215,1,14,15,17,9,6,1),(20,215,1,14,16,26,7,12,NULL),(20,215,1,14,17,9,21,4,6),(20,215,1,14,18,24,10,10,3),(20,215,1,14,19,23,3,10,NULL),(20,215,1,14,20,22,15,10,3),(20,215,1,14,21,4,4,NULL,5),(20,215,1,14,22,2,20,2,9),(20,215,1,14,23,2,17,1,5),(20,215,1,14,24,4,13,3,4),(20,215,1,14,25,15,13,7,2),(20,215,1,14,26,9,NULL,4,NULL),(20,215,1,14,27,6,14,2,5),(20,215,1,14,28,2,7,2,2),(20,215,1,14,29,1,9,NULL,5),(20,215,1,14,30,3,6,2,3),(20,215,1,14,31,8,12,3,4),(20,215,1,14,32,11,11,5,3),(20,215,1,14,33,4,11,6,4),(20,215,1,14,34,3,9,2,6),(20,215,1,14,35,10,9,5,4),(20,215,1,14,36,16,15,6,4),(20,215,1,14,37,10,12,6,2),(20,215,1,14,38,3,8,NULL,4),(20,215,1,14,39,17,17,10,3),(20,215,1,14,40,15,2,7,NULL),(20,215,1,15,1,7,10,3,2),(20,215,1,15,2,3,4,6,NULL),(20,215,1,15,3,3,11,1,7),(20,215,1,15,4,5,13,2,10),(20,215,1,15,5,11,12,9,9),(20,215,1,15,6,16,15,11,7),(20,215,1,15,7,7,12,8,6),(20,215,1,15,8,15,3,13,2),(20,215,1,15,9,13,19,11,8),(20,215,1,15,10,3,9,7,4),(20,215,1,15,11,2,4,2,3),(20,215,1,15,12,11,6,12,4),(20,215,1,15,13,18,11,14,5),(20,215,1,15,14,21,17,12,7),(20,215,1,15,15,15,6,16,2),(20,215,1,15,16,25,7,14,5),(20,215,1,15,17,7,18,7,12),(20,215,1,15,18,17,9,14,2),(20,215,1,15,19,21,2,18,NULL),(20,215,1,15,20,21,13,13,8),(20,215,1,15,21,2,8,2,7),(20,215,1,15,22,3,19,5,11),(20,215,1,15,23,6,19,1,7),(20,215,1,15,24,5,12,1,12),(20,215,1,15,25,8,20,8,7),(20,215,1,15,26,6,NULL,5,NULL),(20,215,1,15,27,8,18,4,11),(20,215,1,15,28,7,5,5,4),(20,215,1,15,29,2,4,3,2),(20,215,1,15,30,8,10,4,7),(20,215,1,15,31,11,20,10,9),(20,215,1,15,32,15,3,11,3),(20,215,1,15,33,4,11,5,8),(20,215,1,15,34,4,11,4,7),(20,215,1,15,35,5,12,8,7),(20,215,1,15,36,16,12,13,5),(20,215,1,15,37,15,9,10,7),(20,215,1,15,38,1,8,NULL,8),(20,215,1,15,39,18,13,12,7),(20,215,1,15,40,12,1,17,NULL),(20,215,1,16,1,12,8,3,1),(20,215,1,16,2,5,3,1,2),(20,215,1,16,3,2,9,NULL,2),(20,215,1,16,4,2,15,NULL,3),(20,215,1,16,5,8,20,2,3),(20,215,1,16,6,17,13,2,1),(20,215,1,16,7,6,3,4,NULL),(20,215,1,16,8,19,5,3,2),(20,215,1,16,9,17,11,3,NULL),(20,215,1,16,10,4,6,2,1),(20,215,1,16,11,NULL,6,NULL,2),(20,215,1,16,12,4,9,NULL,3),(20,215,1,16,13,11,17,1,3),(20,215,1,16,14,1,5,1,2),(20,215,1,16,15,18,6,2,1),(20,215,1,16,16,2,14,NULL,4),(20,215,1,16,17,27,18,3,3),(20,215,1,16,18,3,12,NULL,3),(20,215,1,16,19,21,10,2,2),(20,215,1,16,20,NULL,20,NULL,5),(20,215,1,16,21,2,10,NULL,1),(20,215,1,16,22,6,8,NULL,2),(20,215,1,16,23,5,17,2,4),(20,215,1,16,24,2,12,NULL,2),(20,215,1,16,25,5,14,1,2),(20,215,1,16,26,6,NULL,3,NULL),(20,215,1,16,27,8,12,2,1),(20,215,1,16,28,NULL,7,NULL,2),(20,215,1,16,29,1,5,NULL,2),(20,215,1,16,30,4,4,1,NULL),(20,215,1,16,31,5,15,1,1),(20,215,1,16,32,7,7,NULL,2),(20,215,1,16,33,1,6,NULL,2),(20,215,1,16,34,2,8,NULL,NULL),(20,215,1,16,35,8,14,1,1),(20,215,1,16,36,14,15,1,3),(20,215,1,16,37,11,11,1,1),(20,215,1,16,38,1,7,NULL,3),(20,215,1,16,39,15,10,2,3),(20,215,1,16,40,6,3,1,1),(20,215,1,17,1,4,11,NULL,1),(20,215,1,17,2,1,1,1,1),(20,215,1,17,3,2,4,1,1),(20,215,1,17,4,3,5,NULL,2),(20,215,1,17,5,5,5,3,1),(20,215,1,17,6,11,5,4,2),(20,215,1,17,7,5,4,2,1),(20,215,1,17,8,9,4,5,1),(20,215,1,17,9,8,7,3,2),(20,215,1,17,10,4,4,1,2),(20,215,1,17,11,NULL,5,NULL,1),(20,215,1,17,12,3,4,2,1),(20,215,1,17,13,7,5,NULL,5),(20,215,1,17,14,3,8,2,NULL),(20,215,1,17,15,3,3,2,NULL),(20,215,1,17,16,NULL,8,NULL,4),(20,215,1,17,17,11,10,6,NULL),(20,215,1,17,18,2,4,2,1),(20,215,1,17,19,9,5,3,2),(20,215,1,17,20,NULL,4,NULL,3),(20,215,1,17,21,NULL,3,NULL,1),(20,215,1,17,22,1,3,NULL,4),(20,215,1,17,23,NULL,10,NULL,2),(20,215,1,17,24,5,3,1,4),(20,215,1,17,25,1,10,2,2),(20,215,1,17,26,3,NULL,1,NULL),(20,215,1,17,27,3,10,1,5),(20,215,1,17,28,2,2,1,2),(20,215,1,17,29,2,1,NULL,2),(20,215,1,17,30,2,3,NULL,2),(20,215,1,17,31,2,7,2,2),(20,215,1,17,32,3,4,3,2),(20,215,1,17,33,4,5,3,NULL),(20,215,1,17,34,2,2,NULL,3),(20,215,1,17,35,5,7,2,2),(20,215,1,17,36,11,7,3,1),(20,215,1,17,37,10,8,3,1),(20,215,1,17,38,1,2,1,1),(20,215,1,17,39,13,7,2,3),(20,215,1,17,40,3,NULL,2,NULL),(20,215,2,21,1,4,7,4,3),(20,215,2,21,2,1,1,NULL,1),(20,215,2,21,3,2,15,1,4),(20,215,2,21,4,1,3,2,3),(20,215,2,21,5,4,3,1,1),(20,215,2,21,6,11,12,7,4),(20,215,2,21,7,7,8,2,4),(20,215,2,21,8,6,NULL,4,NULL),(20,215,2,21,9,4,22,1,6),(20,215,2,21,10,1,7,NULL,1),(20,215,2,21,11,6,7,3,1),(20,215,2,21,12,1,6,1,1),(20,215,2,21,13,18,8,6,4),(20,215,2,21,14,21,13,9,5),(20,215,2,21,15,14,5,6,NULL),(20,215,2,21,16,12,8,5,5),(20,215,2,21,17,5,10,3,5),(20,215,2,21,18,3,6,1,2),(20,215,2,21,19,6,17,3,4),(20,215,2,21,20,14,7,10,3),(20,215,2,21,21,NULL,1,NULL,2),(20,215,2,21,22,3,5,1,3),(20,215,2,21,23,2,2,1,NULL),(20,215,2,21,24,1,3,1,2),(20,215,2,21,25,4,6,5,2),(20,215,2,21,26,NULL,5,1,3),(20,215,2,21,27,1,5,2,3),(20,215,2,21,28,7,8,3,3),(20,215,2,21,29,1,6,1,3),(20,215,2,21,30,1,7,2,1),(20,215,2,21,31,1,6,3,3),(20,215,2,21,32,4,13,7,3),(20,215,2,21,33,9,8,2,2),(20,215,2,21,34,9,7,3,2),(20,215,2,21,35,NULL,12,NULL,5),(20,215,2,21,36,6,8,5,NULL),(20,215,2,21,37,6,5,2,2),(20,215,2,21,38,3,9,3,4),(20,215,2,21,39,6,8,6,1),(20,215,2,21,40,9,5,5,2),(20,215,2,22,1,5,8,4,3),(20,215,2,22,2,1,3,NULL,2),(20,215,2,22,3,2,21,2,8),(20,215,2,22,4,2,9,1,1),(20,215,2,22,5,1,5,NULL,1),(20,215,2,22,6,9,11,3,7),(20,215,2,22,7,4,10,4,6),(20,215,2,22,8,8,NULL,3,NULL),(20,215,2,22,9,7,25,NULL,7),(20,215,2,22,10,NULL,11,NULL,6),(20,215,2,22,11,6,9,3,NULL),(20,215,2,22,12,3,9,2,4),(20,215,2,22,13,20,14,10,2),(20,215,2,22,14,24,18,9,3),(20,215,2,22,15,15,15,8,2),(20,215,2,22,16,10,9,3,6),(20,215,2,22,17,9,11,6,3),(20,215,2,22,18,1,11,NULL,6),(20,215,2,22,19,7,18,1,7),(20,215,2,22,20,9,13,8,4),(20,215,2,22,21,NULL,NULL,NULL,1),(20,215,2,22,22,3,8,2,1),(20,215,2,22,23,1,4,1,1),(20,215,2,22,24,NULL,2,1,4),(20,215,2,22,25,9,16,7,5),(20,215,2,22,26,4,2,3,NULL),(20,215,2,22,27,NULL,5,3,2),(20,215,2,22,28,5,5,5,4),(20,215,2,22,29,NULL,6,NULL,NULL),(20,215,2,22,30,5,2,4,NULL),(20,215,2,22,31,4,14,6,5),(20,215,2,22,32,5,12,2,5),(20,215,2,22,33,12,17,4,3),(20,215,2,22,34,3,10,5,3),(20,215,2,22,35,2,17,NULL,7),(20,215,2,22,36,5,1,4,NULL),(20,215,2,22,37,6,8,2,7),(20,215,2,22,38,NULL,9,2,8),(20,215,2,22,39,4,9,4,2),(20,215,2,22,40,8,5,5,3),(20,215,2,23,1,2,9,NULL,2),(20,215,2,23,2,NULL,3,NULL,1),(20,215,2,23,3,2,6,NULL,4),(20,215,2,23,4,5,2,1,2),(20,215,2,23,5,3,2,1,NULL),(20,215,2,23,6,4,6,2,2),(20,215,2,23,7,3,7,1,3),(20,215,2,23,8,2,NULL,1,NULL),(20,215,2,23,9,6,15,1,5),(20,215,2,23,10,1,4,NULL,1),(20,215,2,23,11,6,3,1,1),(20,215,2,23,12,3,10,NULL,2),(20,215,2,23,13,15,11,4,2),(20,215,2,23,14,20,10,6,2),(20,215,2,23,15,11,6,5,NULL),(20,215,2,23,16,10,13,1,4),(20,215,2,23,17,4,7,1,3),(20,215,2,23,18,1,8,1,2),(20,215,2,23,19,3,12,3,3),(20,215,2,23,20,12,7,3,3),(20,215,2,23,21,NULL,2,NULL,NULL),(20,215,2,23,22,4,11,NULL,2),(20,215,2,23,23,NULL,8,NULL,NULL),(20,215,2,23,24,1,2,NULL,1),(20,215,2,23,25,5,12,4,2),(20,215,2,23,26,1,8,NULL,4),(20,215,2,23,27,NULL,2,1,2),(20,215,2,23,28,7,5,2,1),(20,215,2,23,29,NULL,4,NULL,1),(20,215,2,23,30,5,4,1,NULL),(20,215,2,23,31,5,6,2,NULL),(20,215,2,23,32,4,13,3,4),(20,215,2,23,33,4,16,2,3),(20,215,2,23,34,2,12,1,2),(20,215,2,23,35,1,12,2,2),(20,215,2,23,36,7,2,3,NULL),(20,215,2,23,37,1,8,2,1),(20,215,2,23,38,2,11,3,2),(20,215,2,23,39,2,5,1,2),(20,215,2,23,40,6,4,5,1),(20,215,2,24,1,3,6,2,1),(20,215,2,24,2,2,2,1,1),(20,215,2,24,3,4,13,2,7),(20,215,2,24,4,3,3,3,1),(20,215,2,24,5,NULL,5,1,1),(20,215,2,24,6,10,10,6,6),(20,215,2,24,7,7,6,6,3),(20,215,2,24,8,7,NULL,5,NULL),(20,215,2,24,9,9,19,2,10),(20,215,2,24,10,1,7,NULL,4),(20,215,2,24,11,11,6,5,1),(20,215,2,24,12,3,5,5,NULL),(20,215,2,24,13,16,11,11,3),(20,215,2,24,14,21,10,10,3),(20,215,2,24,15,12,8,8,5),(20,215,2,24,16,7,14,5,4),(20,215,2,24,17,4,6,4,1),(20,215,2,24,18,4,9,2,5),(20,215,2,24,19,6,10,4,2),(20,215,2,24,20,8,13,6,6),(20,215,2,24,21,NULL,1,1,2),(20,215,2,24,22,1,6,NULL,2),(20,215,2,24,23,1,2,1,NULL),(20,215,2,24,24,NULL,1,NULL,2),(20,215,2,24,25,3,10,6,3),(20,215,2,24,26,3,4,4,1),(20,215,2,24,27,3,4,2,2),(20,215,2,24,28,3,6,4,2),(20,215,2,24,29,2,5,1,4),(20,215,2,24,30,NULL,4,1,NULL),(20,215,2,24,31,5,10,6,6),(20,215,2,24,32,4,10,5,4),(20,215,2,24,33,6,11,1,3),(20,215,2,24,34,2,8,1,5),(20,215,2,24,35,1,11,1,7),(20,215,2,24,36,9,6,6,NULL),(20,215,2,24,37,1,6,2,5),(20,215,2,24,38,3,6,2,5),(20,215,2,24,39,NULL,6,4,3),(20,215,2,24,40,7,5,7,NULL),(20,216,1,11,1,NULL,NULL,NULL,NULL),(20,216,1,11,2,NULL,NULL,NULL,NULL),(20,216,1,11,3,NULL,NULL,NULL,NULL),(20,216,1,11,4,NULL,1,NULL,NULL),(20,216,1,11,5,1,1,NULL,NULL),(20,216,1,11,6,2,1,NULL,NULL),(20,216,1,11,7,NULL,1,NULL,NULL),(20,216,1,11,8,3,NULL,NULL,NULL),(20,216,1,11,9,NULL,1,NULL,NULL),(20,216,1,11,10,1,NULL,NULL,NULL),(20,216,1,11,11,NULL,1,NULL,NULL),(20,216,1,11,12,NULL,1,NULL,NULL),(20,216,1,11,13,NULL,1,NULL,NULL),(20,216,1,11,14,1,NULL,NULL,NULL),(20,216,1,11,15,1,NULL,NULL,NULL),(20,216,1,11,16,2,NULL,NULL,NULL),(20,216,1,11,17,1,1,NULL,NULL),(20,216,1,11,18,2,NULL,NULL,NULL),(20,216,1,11,19,NULL,1,NULL,NULL),(20,216,1,11,20,1,NULL,NULL,NULL),(20,216,1,11,21,1,NULL,NULL,NULL),(20,216,1,11,22,NULL,1,NULL,NULL),(20,216,1,11,23,1,1,NULL,NULL),(20,216,1,11,24,NULL,3,NULL,NULL),(20,216,1,11,25,NULL,1,NULL,NULL),(20,216,1,11,26,1,NULL,NULL,NULL),(20,216,1,11,27,1,NULL,NULL,NULL),(20,216,1,11,28,NULL,1,NULL,NULL),(20,216,1,11,29,NULL,NULL,NULL,NULL),(20,216,1,11,30,NULL,1,NULL,NULL),(20,216,1,11,31,NULL,2,NULL,NULL),(20,216,1,11,32,NULL,1,NULL,NULL),(20,216,1,11,33,NULL,NULL,NULL,NULL),(20,216,1,11,34,1,NULL,NULL,NULL),(20,216,1,11,35,NULL,NULL,NULL,NULL),(20,216,1,11,36,1,2,NULL,NULL),(20,216,1,11,37,1,NULL,NULL,NULL),(20,216,1,11,38,NULL,1,NULL,NULL),(20,216,1,11,39,2,NULL,NULL,NULL),(20,216,1,11,40,2,NULL,NULL,NULL),(20,216,1,12,1,NULL,NULL,NULL,NULL),(20,216,1,12,2,NULL,NULL,NULL,NULL),(20,216,1,12,3,NULL,NULL,NULL,NULL),(20,216,1,12,4,NULL,1,NULL,NULL),(20,216,1,12,5,NULL,NULL,NULL,NULL),(20,216,1,12,6,NULL,NULL,NULL,NULL),(20,216,1,12,7,1,NULL,NULL,NULL),(20,216,1,12,8,NULL,NULL,NULL,NULL),(20,216,1,12,9,NULL,1,NULL,NULL),(20,216,1,12,10,NULL,NULL,NULL,NULL),(20,216,1,12,11,NULL,NULL,NULL,NULL),(20,216,1,12,12,NULL,NULL,NULL,NULL),(20,216,1,12,13,1,NULL,NULL,NULL),(20,216,1,12,14,1,NULL,NULL,NULL),(20,216,1,12,15,1,NULL,NULL,NULL),(20,216,1,12,16,NULL,NULL,NULL,NULL),(20,216,1,12,17,1,NULL,NULL,NULL),(20,216,1,12,18,1,NULL,NULL,NULL),(20,216,1,12,19,NULL,NULL,NULL,NULL),(20,216,1,12,20,1,NULL,NULL,NULL),(20,216,1,12,21,NULL,NULL,NULL,NULL),(20,216,1,12,22,NULL,NULL,NULL,NULL),(20,216,1,12,23,NULL,NULL,NULL,NULL),(20,216,1,12,24,NULL,NULL,NULL,NULL),(20,216,1,12,25,NULL,1,NULL,NULL),(20,216,1,12,26,NULL,NULL,NULL,NULL),(20,216,1,12,27,NULL,NULL,NULL,NULL),(20,216,1,12,28,NULL,NULL,NULL,NULL),(20,216,1,12,29,NULL,NULL,NULL,NULL),(20,216,1,12,30,NULL,NULL,NULL,NULL),(20,216,1,12,31,1,NULL,NULL,NULL),(20,216,1,12,32,NULL,1,NULL,NULL),(20,216,1,12,33,NULL,NULL,NULL,NULL),(20,216,1,12,34,1,NULL,NULL,NULL),(20,216,1,12,35,NULL,NULL,NULL,NULL),(20,216,1,12,36,NULL,NULL,NULL,NULL),(20,216,1,12,37,1,NULL,NULL,NULL),(20,216,1,12,38,NULL,1,NULL,NULL),(20,216,1,12,39,1,NULL,NULL,NULL),(20,216,1,12,40,NULL,NULL,NULL,NULL),(20,216,1,13,1,1,1,NULL,NULL),(20,216,1,13,2,NULL,NULL,NULL,NULL),(20,216,1,13,3,NULL,NULL,NULL,NULL),(20,216,1,13,4,NULL,1,NULL,NULL),(20,216,1,13,5,1,NULL,NULL,NULL),(20,216,1,13,6,NULL,1,NULL,NULL),(20,216,1,13,7,1,NULL,NULL,NULL),(20,216,1,13,8,1,NULL,NULL,NULL),(20,216,1,13,9,NULL,2,NULL,NULL),(20,216,1,13,10,NULL,1,NULL,NULL),(20,216,1,13,11,NULL,NULL,NULL,NULL),(20,216,1,13,12,NULL,1,NULL,NULL),(20,216,1,13,13,1,NULL,NULL,NULL),(20,216,1,13,14,NULL,1,NULL,NULL),(20,216,1,13,15,NULL,NULL,NULL,NULL),(20,216,1,13,16,NULL,1,NULL,NULL),(20,216,1,13,17,1,1,NULL,NULL),(20,216,1,13,18,NULL,1,NULL,NULL),(20,216,1,13,19,1,NULL,NULL,NULL),(20,216,1,13,20,NULL,1,NULL,NULL),(20,216,1,13,21,NULL,1,NULL,NULL),(20,216,1,13,22,NULL,1,NULL,NULL),(20,216,1,13,23,NULL,1,NULL,NULL),(20,216,1,13,24,NULL,NULL,NULL,NULL),(20,216,1,13,25,NULL,1,NULL,NULL),(20,216,1,13,26,1,NULL,NULL,NULL),(20,216,1,13,27,NULL,2,NULL,NULL),(20,216,1,13,28,NULL,NULL,NULL,NULL),(20,216,1,13,29,NULL,2,NULL,NULL),(20,216,1,13,30,1,NULL,NULL,NULL),(20,216,1,13,31,NULL,1,NULL,NULL),(20,216,1,13,32,NULL,1,NULL,NULL),(20,216,1,13,33,NULL,NULL,NULL,NULL),(20,216,1,13,34,NULL,NULL,NULL,NULL),(20,216,1,13,35,NULL,NULL,NULL,NULL),(20,216,1,13,36,NULL,1,NULL,NULL),(20,216,1,13,37,1,NULL,NULL,NULL),(20,216,1,13,38,NULL,NULL,NULL,NULL),(20,216,1,13,39,2,NULL,NULL,NULL),(20,216,1,13,40,1,NULL,NULL,NULL),(20,216,1,14,1,43,35,7,3),(20,216,1,14,2,34,18,9,3),(20,216,1,14,3,17,57,3,7),(20,216,1,14,4,17,48,1,11),(20,216,1,14,5,50,59,8,9),(20,216,1,14,6,91,75,15,10),(20,216,1,14,7,48,40,10,4),(20,216,1,14,8,68,21,16,3),(20,216,1,14,9,75,65,13,7),(20,216,1,14,10,32,23,10,7),(20,216,1,14,11,12,32,5,3),(20,216,1,14,12,33,37,9,3),(20,216,1,14,13,101,48,16,5),(20,216,1,14,14,111,47,19,5),(20,216,1,14,15,82,28,20,3),(20,216,1,14,16,126,20,19,NULL),(20,216,1,14,17,66,79,14,7),(20,216,1,14,18,116,26,18,4),(20,216,1,14,19,107,11,18,2),(20,216,1,14,20,114,51,18,6),(20,216,1,14,21,11,42,5,10),(20,216,1,14,22,28,89,9,12),(20,216,1,14,23,14,76,2,9),(20,216,1,14,24,24,67,8,12),(20,216,1,14,25,66,54,18,3),(20,216,1,14,26,45,NULL,12,NULL),(20,216,1,14,27,39,74,12,6),(20,216,1,14,28,20,44,8,10),(20,216,1,14,29,11,36,4,5),(20,216,1,14,30,23,43,10,7),(20,216,1,14,31,60,67,14,7),(20,216,1,14,32,65,21,13,3),(20,216,1,14,33,53,50,15,6),(20,216,1,14,34,19,51,7,9),(20,216,1,14,35,54,53,8,7),(20,216,1,14,36,94,41,15,5),(20,216,1,14,37,68,48,11,8),(20,216,1,14,38,13,44,5,6),(20,216,1,14,39,94,67,15,8),(20,216,1,14,40,72,8,16,NULL),(20,216,1,15,1,47,34,5,2),(20,216,1,15,2,31,16,8,NULL),(20,216,1,15,3,11,65,3,7),(20,216,1,15,4,17,66,3,5),(20,216,1,15,5,52,55,7,4),(20,216,1,15,6,80,79,10,6),(20,216,1,15,7,55,45,9,4),(20,216,1,15,8,76,21,13,2),(20,216,1,15,9,63,78,5,7),(20,216,1,15,10,38,19,5,5),(20,216,1,15,11,4,19,NULL,4),(20,216,1,15,12,40,42,5,6),(20,216,1,15,13,96,47,6,8),(20,216,1,15,14,105,52,11,3),(20,216,1,15,15,67,32,4,5),(20,216,1,15,16,113,26,15,1),(20,216,1,15,17,49,92,5,9),(20,216,1,15,18,109,23,14,2),(20,216,1,15,19,107,10,11,1),(20,216,1,15,20,114,46,12,4),(20,216,1,15,21,8,58,NULL,9),(20,216,1,15,22,26,83,2,9),(20,216,1,15,23,15,71,2,7),(20,216,1,15,24,23,77,6,8),(20,216,1,15,25,56,69,8,7),(20,216,1,15,26,44,NULL,6,NULL),(20,216,1,15,27,37,75,6,7),(20,216,1,15,28,10,48,2,9),(20,216,1,15,29,9,23,NULL,3),(20,216,1,15,30,25,57,4,9),(20,216,1,15,31,53,65,6,9),(20,216,1,15,32,50,39,8,4),(20,216,1,15,33,51,41,9,3),(20,216,1,15,34,17,52,5,6),(20,216,1,15,35,54,46,4,8),(20,216,1,15,36,94,44,12,4),(20,216,1,15,37,82,48,7,6),(20,216,1,15,38,12,45,NULL,7),(20,216,1,15,39,97,51,9,7),(20,216,1,15,40,84,8,13,NULL),(20,216,1,16,1,22,11,1,NULL),(20,216,1,16,2,8,7,NULL,1),(20,216,1,16,3,5,18,1,NULL),(20,216,1,16,4,9,21,NULL,NULL),(20,216,1,16,5,18,19,2,NULL),(20,216,1,16,6,33,26,2,NULL),(20,216,1,16,7,10,15,1,NULL),(20,216,1,16,8,30,8,2,NULL),(20,216,1,16,9,24,28,1,1),(20,216,1,16,10,7,15,2,NULL),(20,216,1,16,11,5,10,1,NULL),(20,216,1,16,12,9,8,1,NULL),(20,216,1,16,13,20,27,2,NULL),(20,216,1,16,14,7,7,1,NULL),(20,216,1,16,15,34,7,NULL,1),(20,216,1,16,16,6,26,1,NULL),(20,216,1,16,17,36,30,1,1),(20,216,1,16,18,6,28,1,NULL),(20,216,1,16,19,26,19,NULL,1),(20,216,1,16,20,4,27,NULL,1),(20,216,1,16,21,2,13,NULL,2),(20,216,1,16,22,10,26,NULL,2),(20,216,1,16,23,8,28,NULL,1),(20,216,1,16,24,9,21,NULL,1),(20,216,1,16,25,25,19,NULL,2),(20,216,1,16,26,15,NULL,NULL,NULL),(20,216,1,16,27,16,24,1,NULL),(20,216,1,16,28,6,16,NULL,1),(20,216,1,16,29,2,8,NULL,NULL),(20,216,1,16,30,3,14,1,NULL),(20,216,1,16,31,11,21,1,1),(20,216,1,16,32,19,11,2,NULL),(20,216,1,16,33,13,18,2,NULL),(20,216,1,16,34,4,21,1,1),(20,216,1,16,35,22,23,1,1),(20,216,1,16,36,31,25,2,NULL),(20,216,1,16,37,28,14,2,NULL),(20,216,1,16,38,5,19,NULL,1),(20,216,1,16,39,38,22,2,NULL),(20,216,1,16,40,28,1,1,NULL),(20,216,1,17,1,9,17,NULL,2),(20,216,1,17,2,10,6,2,NULL),(20,216,1,17,3,5,16,NULL,1),(20,216,1,17,4,6,18,NULL,3),(20,216,1,17,5,12,22,3,3),(20,216,1,17,6,17,35,3,3),(20,216,1,17,7,6,18,2,3),(20,216,1,17,8,27,15,4,1),(20,216,1,17,9,16,27,1,2),(20,216,1,17,10,8,12,1,1),(20,216,1,17,11,NULL,12,NULL,3),(20,216,1,17,12,9,12,2,2),(20,216,1,17,13,16,20,2,1),(20,216,1,17,14,5,9,NULL,NULL),(20,216,1,17,15,14,11,2,1),(20,216,1,17,16,NULL,17,NULL,2),(20,216,1,17,17,30,30,4,2),(20,216,1,17,18,3,19,NULL,2),(20,216,1,17,19,23,16,1,2),(20,216,1,17,20,2,12,NULL,1),(20,216,1,17,21,2,12,NULL,2),(20,216,1,17,22,8,21,2,2),(20,216,1,17,23,7,19,NULL,3),(20,216,1,17,24,7,19,NULL,1),(20,216,1,17,25,7,22,1,1),(20,216,1,17,26,16,NULL,1,NULL),(20,216,1,17,27,6,25,1,2),(20,216,1,17,28,2,14,NULL,1),(20,216,1,17,29,2,18,NULL,NULL),(20,216,1,17,30,5,23,2,3),(20,216,1,17,31,13,16,2,3),(20,216,1,17,32,13,14,3,NULL),(20,216,1,17,33,7,24,3,2),(20,216,1,17,34,2,12,2,1),(20,216,1,17,35,17,15,5,1),(20,216,1,17,36,18,23,3,1),(20,216,1,17,37,15,19,1,NULL),(20,216,1,17,38,5,9,2,1),(20,216,1,17,39,26,21,4,1),(20,216,1,17,40,15,5,2,NULL),(20,216,2,21,1,16,24,2,1),(20,216,2,21,2,4,7,NULL,NULL),(20,216,2,21,3,17,44,1,7),(20,216,2,21,4,6,12,NULL,NULL),(20,216,2,21,5,3,17,2,1),(20,216,2,21,6,33,41,4,4),(20,216,2,21,7,18,39,5,3),(20,216,2,21,8,22,NULL,2,NULL),(20,216,2,21,9,41,60,3,7),(20,216,2,21,10,9,47,2,4),(20,216,2,21,11,20,14,NULL,NULL),(20,216,2,21,12,6,17,1,1),(20,216,2,21,13,81,23,8,2),(20,216,2,21,14,74,41,6,2),(20,216,2,21,15,58,32,7,2),(20,216,2,21,16,31,36,4,2),(20,216,2,21,17,29,16,5,NULL),(20,216,2,21,18,9,30,2,4),(20,216,2,21,19,22,49,2,5),(20,216,2,21,20,31,51,8,2),(20,216,2,21,21,2,9,NULL,1),(20,216,2,21,22,8,20,1,1),(20,216,2,21,23,7,9,3,NULL),(20,216,2,21,24,5,9,2,2),(20,216,2,21,25,41,33,8,1),(20,216,2,21,26,7,21,2,NULL),(20,216,2,21,27,15,21,5,1),(20,216,2,21,28,28,20,4,NULL),(20,216,2,21,29,8,15,2,NULL),(20,216,2,21,30,9,3,1,NULL),(20,216,2,21,31,23,27,4,3),(20,216,2,21,32,42,34,7,1),(20,216,2,21,33,19,31,1,NULL),(20,216,2,21,34,25,25,3,1),(20,216,2,21,35,12,50,2,4),(20,216,2,21,36,32,11,4,2),(20,216,2,21,37,25,26,3,3),(20,216,2,21,38,18,32,4,3),(20,216,2,21,39,31,29,8,1),(20,216,2,21,40,39,13,5,NULL),(20,216,2,22,1,18,26,3,4),(20,216,2,22,2,10,17,1,NULL),(20,216,2,22,3,19,46,3,4),(20,216,2,22,4,3,10,NULL,1),(20,216,2,22,5,5,22,1,5),(20,216,2,22,6,33,41,8,6),(20,216,2,22,7,24,37,5,7),(20,216,2,22,8,23,NULL,3,NULL),(20,216,2,22,9,34,57,3,6),(20,216,2,22,10,3,44,NULL,7),(20,216,2,22,11,26,14,3,2),(20,216,2,22,12,11,20,2,3),(20,216,2,22,13,74,30,9,4),(20,216,2,22,14,71,50,10,4),(20,216,2,22,15,78,25,6,2),(20,216,2,22,16,37,30,4,5),(20,216,2,22,17,25,20,4,4),(20,216,2,22,18,11,35,3,6),(20,216,2,22,19,23,49,6,4),(20,216,2,22,20,30,48,5,6),(20,216,2,22,21,1,15,1,4),(20,216,2,22,22,3,19,1,4),(20,216,2,22,23,3,13,NULL,1),(20,216,2,22,24,4,11,NULL,2),(20,216,2,22,25,41,38,11,2),(20,216,2,22,26,16,19,2,3),(20,216,2,22,27,11,24,2,4),(20,216,2,22,28,32,25,8,2),(20,216,2,22,29,6,18,1,5),(20,216,2,22,30,13,4,4,NULL),(20,216,2,22,31,24,47,3,8),(20,216,2,22,32,32,39,4,5),(20,216,2,22,33,14,37,NULL,5),(20,216,2,22,34,30,37,4,6),(20,216,2,22,35,12,49,2,6),(20,216,2,22,36,40,11,2,3),(20,216,2,22,37,14,25,4,3),(20,216,2,22,38,11,36,3,6),(20,216,2,22,39,29,28,6,3),(20,216,2,22,40,43,14,6,1),(20,216,2,23,1,16,22,3,2),(20,216,2,23,2,11,21,3,3),(20,216,2,23,3,14,36,2,5),(20,216,2,23,4,7,11,2,NULL),(20,216,2,23,5,7,10,3,1),(20,216,2,23,6,32,37,6,3),(20,216,2,23,7,20,37,3,4),(20,216,2,23,8,22,NULL,5,NULL),(20,216,2,23,9,32,61,4,5),(20,216,2,23,10,3,23,NULL,4),(20,216,2,23,11,25,14,3,1),(20,216,2,23,12,4,11,NULL,3),(20,216,2,23,13,62,27,9,NULL),(20,216,2,23,14,77,35,6,3),(20,216,2,23,15,52,26,5,3),(20,216,2,23,16,31,24,2,5),(20,216,2,23,17,29,12,2,1),(20,216,2,23,18,9,36,NULL,4),(20,216,2,23,19,28,42,3,5),(20,216,2,23,20,39,44,5,5),(20,216,2,23,21,1,7,NULL,2),(20,216,2,23,22,4,22,1,2),(20,216,2,23,23,6,12,NULL,1),(20,216,2,23,24,2,17,NULL,1),(20,216,2,23,25,36,36,9,NULL),(20,216,2,23,26,16,16,3,1),(20,216,2,23,27,8,20,1,3),(20,216,2,23,28,27,9,3,1),(20,216,2,23,29,4,19,NULL,4),(20,216,2,23,30,9,3,NULL,NULL),(20,216,2,23,31,17,37,3,6),(20,216,2,23,32,32,32,6,1),(20,216,2,23,33,22,35,NULL,3),(20,216,2,23,34,20,30,3,NULL),(20,216,2,23,35,11,51,1,3),(20,216,2,23,36,40,12,3,NULL),(20,216,2,23,37,31,15,5,2),(20,216,2,23,38,20,36,NULL,10),(20,216,2,23,39,28,31,6,4),(20,216,2,23,40,35,11,4,NULL),(20,216,2,24,1,10,25,1,5),(20,216,2,24,2,5,17,1,5),(20,216,2,24,3,21,36,3,4),(20,216,2,24,4,13,11,4,2),(20,216,2,24,5,3,18,NULL,4),(20,216,2,24,6,36,41,6,6),(20,216,2,24,7,28,27,5,4),(20,216,2,24,8,28,NULL,7,NULL),(20,216,2,24,9,29,61,4,6),(20,216,2,24,10,2,42,NULL,7),(20,216,2,24,11,28,17,4,1),(20,216,2,24,12,8,16,1,3),(20,216,2,24,13,72,32,10,2),(20,216,2,24,14,69,48,9,4),(20,216,2,24,15,40,26,6,4),(20,216,2,24,16,30,26,1,6),(20,216,2,24,17,19,18,5,1),(20,216,2,24,18,7,42,2,9),(20,216,2,24,19,20,49,4,5),(20,216,2,24,20,25,40,4,2),(20,216,2,24,21,4,10,2,3),(20,216,2,24,22,10,20,1,2),(20,216,2,24,23,5,12,2,2),(20,216,2,24,24,2,11,1,4),(20,216,2,24,25,48,30,6,6),(20,216,2,24,26,18,14,7,1),(20,216,2,24,27,11,21,5,2),(20,216,2,24,28,40,23,3,7),(20,216,2,24,29,4,25,1,3),(20,216,2,24,30,13,8,2,1),(20,216,2,24,31,22,48,3,7),(20,216,2,24,32,27,41,6,3),(20,216,2,24,33,18,41,3,5),(20,216,2,24,34,31,31,5,5),(20,216,2,24,35,11,42,2,6),(20,216,2,24,36,36,12,4,2),(20,216,2,24,37,28,25,4,3),(20,216,2,24,38,16,31,3,5),(20,216,2,24,39,29,27,8,1),(20,216,2,24,40,40,15,7,NULL),(20,220,1,11,1,NULL,NULL,NULL,NULL),(20,220,1,11,2,NULL,NULL,NULL,NULL),(20,220,1,11,3,NULL,NULL,NULL,NULL),(20,220,1,11,4,NULL,NULL,NULL,NULL),(20,220,1,11,5,NULL,NULL,NULL,NULL),(20,220,1,11,6,NULL,NULL,NULL,NULL),(20,220,1,11,7,NULL,NULL,NULL,NULL),(20,220,1,11,8,NULL,NULL,NULL,NULL),(20,220,1,11,9,NULL,NULL,NULL,NULL),(20,220,1,11,10,NULL,NULL,NULL,NULL),(20,220,1,11,11,NULL,NULL,NULL,NULL),(20,220,1,11,12,NULL,NULL,NULL,NULL),(20,220,1,11,13,NULL,NULL,NULL,NULL),(20,220,1,11,14,NULL,NULL,NULL,NULL),(20,220,1,11,15,NULL,NULL,NULL,NULL),(20,220,1,11,16,NULL,NULL,NULL,NULL),(20,220,1,11,17,NULL,NULL,NULL,NULL),(20,220,1,11,18,NULL,NULL,NULL,NULL),(20,220,1,11,19,NULL,NULL,NULL,NULL),(20,220,1,11,20,NULL,NULL,NULL,NULL),(20,220,1,11,21,NULL,NULL,NULL,NULL),(20,220,1,11,22,NULL,NULL,NULL,NULL),(20,220,1,11,23,NULL,NULL,NULL,NULL),(20,220,1,11,24,NULL,NULL,NULL,NULL),(20,220,1,11,25,NULL,NULL,NULL,NULL),(20,220,1,11,26,NULL,NULL,NULL,NULL),(20,220,1,11,27,NULL,NULL,NULL,NULL),(20,220,1,11,28,NULL,NULL,NULL,NULL),(20,220,1,11,29,NULL,NULL,NULL,NULL),(20,220,1,11,30,NULL,NULL,NULL,NULL),(20,220,1,11,31,NULL,NULL,NULL,NULL),(20,220,1,11,32,NULL,NULL,NULL,NULL),(20,220,1,11,33,NULL,NULL,NULL,NULL),(20,220,1,11,34,NULL,NULL,NULL,NULL),(20,220,1,11,35,NULL,NULL,NULL,NULL),(20,220,1,11,36,NULL,NULL,NULL,NULL),(20,220,1,11,37,NULL,NULL,NULL,NULL),(20,220,1,11,38,NULL,NULL,NULL,NULL),(20,220,1,11,39,NULL,NULL,NULL,NULL),(20,220,1,11,40,NULL,NULL,NULL,NULL),(20,220,1,12,1,NULL,NULL,NULL,NULL),(20,220,1,12,2,NULL,NULL,NULL,NULL),(20,220,1,12,3,NULL,NULL,NULL,NULL),(20,220,1,12,4,NULL,NULL,NULL,NULL),(20,220,1,12,5,NULL,NULL,NULL,NULL),(20,220,1,12,6,NULL,NULL,NULL,NULL),(20,220,1,12,7,NULL,NULL,NULL,NULL),(20,220,1,12,8,NULL,NULL,NULL,NULL),(20,220,1,12,9,NULL,NULL,NULL,NULL),(20,220,1,12,10,NULL,NULL,NULL,NULL),(20,220,1,12,11,NULL,NULL,NULL,NULL),(20,220,1,12,12,NULL,NULL,NULL,NULL),(20,220,1,12,13,NULL,NULL,NULL,NULL),(20,220,1,12,14,NULL,NULL,NULL,NULL),(20,220,1,12,15,NULL,NULL,NULL,NULL),(20,220,1,12,16,NULL,NULL,NULL,NULL),(20,220,1,12,17,NULL,NULL,NULL,NULL),(20,220,1,12,18,NULL,NULL,NULL,NULL),(20,220,1,12,19,NULL,NULL,NULL,NULL),(20,220,1,12,20,NULL,NULL,NULL,NULL),(20,220,1,12,21,NULL,NULL,NULL,NULL),(20,220,1,12,22,NULL,NULL,NULL,NULL),(20,220,1,12,23,NULL,NULL,NULL,NULL),(20,220,1,12,24,NULL,NULL,NULL,NULL),(20,220,1,12,25,NULL,NULL,NULL,NULL),(20,220,1,12,26,NULL,NULL,NULL,NULL),(20,220,1,12,27,NULL,NULL,NULL,NULL),(20,220,1,12,28,NULL,NULL,NULL,NULL),(20,220,1,12,29,NULL,NULL,NULL,NULL),(20,220,1,12,30,NULL,NULL,NULL,NULL),(20,220,1,12,31,NULL,NULL,NULL,NULL),(20,220,1,12,32,NULL,NULL,NULL,NULL),(20,220,1,12,33,NULL,NULL,NULL,NULL),(20,220,1,12,34,NULL,NULL,NULL,NULL),(20,220,1,12,35,NULL,NULL,NULL,NULL),(20,220,1,12,36,NULL,NULL,NULL,NULL),(20,220,1,12,37,NULL,NULL,NULL,NULL),(20,220,1,12,38,NULL,NULL,NULL,NULL),(20,220,1,12,39,NULL,NULL,NULL,NULL),(20,220,1,12,40,NULL,NULL,NULL,NULL),(20,220,1,13,1,NULL,1,NULL,NULL),(20,220,1,13,2,NULL,NULL,NULL,NULL),(20,220,1,13,3,NULL,1,NULL,NULL),(20,220,1,13,4,NULL,1,NULL,NULL),(20,220,1,13,5,1,NULL,NULL,NULL),(20,220,1,13,6,NULL,1,NULL,NULL),(20,220,1,13,7,NULL,NULL,NULL,NULL),(20,220,1,13,8,1,NULL,NULL,NULL),(20,220,1,13,9,1,NULL,NULL,NULL),(20,220,1,13,10,NULL,NULL,NULL,NULL),(20,220,1,13,11,NULL,NULL,NULL,NULL),(20,220,1,13,12,NULL,NULL,NULL,NULL),(20,220,1,13,13,1,1,NULL,NULL),(20,220,1,13,14,NULL,1,NULL,NULL),(20,220,1,13,15,2,NULL,NULL,NULL),(20,220,1,13,16,2,NULL,NULL,NULL),(20,220,1,13,17,NULL,1,NULL,NULL),(20,220,1,13,18,1,NULL,NULL,NULL),(20,220,1,13,19,NULL,NULL,NULL,NULL),(20,220,1,13,20,1,NULL,NULL,NULL),(20,220,1,13,21,NULL,NULL,NULL,NULL),(20,220,1,13,22,NULL,1,NULL,NULL),(20,220,1,13,23,1,NULL,NULL,NULL),(20,220,1,13,24,NULL,1,NULL,NULL),(20,220,1,13,25,NULL,1,NULL,NULL),(20,220,1,13,26,1,NULL,NULL,NULL),(20,220,1,13,27,1,NULL,NULL,NULL),(20,220,1,13,28,NULL,NULL,NULL,NULL),(20,220,1,13,29,NULL,NULL,NULL,NULL),(20,220,1,13,30,NULL,NULL,NULL,NULL),(20,220,1,13,31,NULL,NULL,NULL,NULL),(20,220,1,13,32,1,NULL,NULL,NULL),(20,220,1,13,33,NULL,1,NULL,NULL),(20,220,1,13,34,NULL,NULL,NULL,NULL),(20,220,1,13,35,NULL,NULL,NULL,NULL),(20,220,1,13,36,1,1,NULL,NULL),(20,220,1,13,37,2,NULL,NULL,NULL),(20,220,1,13,38,NULL,NULL,NULL,NULL),(20,220,1,13,39,2,NULL,NULL,NULL),(20,220,1,13,40,1,NULL,NULL,NULL),(20,220,1,14,1,24,20,8,7),(20,220,1,14,2,15,24,5,10),(20,220,1,14,3,13,37,5,8),(20,220,1,14,4,7,30,2,7),(20,220,1,14,5,25,36,6,8),(20,220,1,14,6,51,39,17,8),(20,220,1,14,7,28,29,12,9),(20,220,1,14,8,48,14,16,6),(20,220,1,14,9,49,46,16,10),(20,220,1,14,10,19,17,6,11),(20,220,1,14,11,2,19,2,6),(20,220,1,14,12,19,21,5,9),(20,220,1,14,13,75,16,22,5),(20,220,1,14,14,80,29,25,3),(20,220,1,14,15,48,16,17,4),(20,220,1,14,16,82,12,24,2),(20,220,1,14,17,36,51,14,13),(20,220,1,14,18,76,18,23,1),(20,220,1,14,19,74,2,25,NULL),(20,220,1,14,20,71,37,19,8),(20,220,1,14,21,13,44,8,10),(20,220,1,14,22,17,66,7,17),(20,220,1,14,23,24,47,9,9),(20,220,1,14,24,23,58,11,14),(20,220,1,14,25,36,41,18,9),(20,220,1,14,26,38,NULL,18,NULL),(20,220,1,14,27,32,48,13,11),(20,220,1,14,28,20,36,15,12),(20,220,1,14,29,7,20,4,8),(20,220,1,14,30,13,37,7,10),(20,220,1,14,31,32,38,12,10),(20,220,1,14,32,49,29,17,9),(20,220,1,14,33,43,35,17,8),(20,220,1,14,34,17,24,8,6),(20,220,1,14,35,25,42,10,9),(20,220,1,14,36,54,37,19,6),(20,220,1,14,37,42,23,17,5),(20,220,1,14,38,6,31,3,12),(20,220,1,14,39,64,37,19,8),(20,220,1,14,40,45,6,19,2),(20,220,1,15,1,27,19,7,4),(20,220,1,15,2,24,15,12,2),(20,220,1,15,3,12,31,5,10),(20,220,1,15,4,11,31,8,11),(20,220,1,15,5,31,43,20,9),(20,220,1,15,6,51,40,18,8),(20,220,1,15,7,32,35,12,9),(20,220,1,15,8,38,15,16,2),(20,220,1,15,9,46,48,17,9),(20,220,1,15,10,16,14,8,2),(20,220,1,15,11,4,11,3,4),(20,220,1,15,12,23,23,12,8),(20,220,1,15,13,73,26,24,4),(20,220,1,15,14,68,36,25,3),(20,220,1,15,15,52,19,14,2),(20,220,1,15,16,65,24,21,5),(20,220,1,15,17,42,54,15,12),(20,220,1,15,18,69,27,20,3),(20,220,1,15,19,79,7,24,NULL),(20,220,1,15,20,68,27,22,4),(20,220,1,15,21,10,36,5,15),(20,220,1,15,22,22,63,7,18),(20,220,1,15,23,15,53,4,12),(20,220,1,15,24,27,55,11,14),(20,220,1,15,25,46,41,18,9),(20,220,1,15,26,42,NULL,14,NULL),(20,220,1,15,27,31,50,12,11),(20,220,1,15,28,14,35,9,13),(20,220,1,15,29,2,17,1,5),(20,220,1,15,30,17,29,7,11),(20,220,1,15,31,19,53,6,17),(20,220,1,15,32,48,23,19,5),(20,220,1,15,33,46,35,19,7),(20,220,1,15,34,16,36,6,9),(20,220,1,15,35,35,41,14,7),(20,220,1,15,36,57,35,21,6),(20,220,1,15,37,59,29,24,3),(20,220,1,15,38,17,31,8,8),(20,220,1,15,39,61,39,16,8),(20,220,1,15,40,54,10,15,3),(20,220,1,16,1,6,9,1,3),(20,220,1,16,2,3,3,3,1),(20,220,1,16,3,3,9,1,1),(20,220,1,16,4,1,7,NULL,5),(20,220,1,16,5,4,7,NULL,2),(20,220,1,16,6,3,13,2,3),(20,220,1,16,7,4,7,2,2),(20,220,1,16,8,11,5,2,1),(20,220,1,16,9,6,14,3,2),(20,220,1,16,10,2,4,1,2),(20,220,1,16,11,NULL,1,1,2),(20,220,1,16,12,3,5,2,1),(20,220,1,16,13,6,14,1,4),(20,220,1,16,14,1,7,1,NULL),(20,220,1,16,15,12,5,4,2),(20,220,1,16,16,1,4,NULL,NULL),(20,220,1,16,17,14,12,5,1),(20,220,1,16,18,2,9,NULL,4),(20,220,1,16,19,16,5,3,NULL),(20,220,1,16,20,NULL,11,NULL,2),(20,220,1,16,21,1,9,1,2),(20,220,1,16,22,3,16,1,4),(20,220,1,16,23,4,11,1,4),(20,220,1,16,24,6,10,2,3),(20,220,1,16,25,5,15,3,1),(20,220,1,16,26,6,NULL,4,NULL),(20,220,1,16,27,4,6,3,2),(20,220,1,16,28,3,4,1,3),(20,220,1,16,29,2,11,1,1),(20,220,1,16,30,1,4,1,1),(20,220,1,16,31,6,5,NULL,4),(20,220,1,16,32,5,9,2,3),(20,220,1,16,33,6,9,3,2),(20,220,1,16,34,NULL,7,NULL,1),(20,220,1,16,35,4,10,2,1),(20,220,1,16,36,5,13,3,3),(20,220,1,16,37,12,7,4,2),(20,220,1,16,38,1,4,NULL,1),(20,220,1,16,39,19,8,2,3),(20,220,1,16,40,12,6,5,NULL),(20,220,1,17,1,1,3,1,1),(20,220,1,17,2,3,3,1,1),(20,220,1,17,3,4,4,NULL,4),(20,220,1,17,4,1,7,1,1),(20,220,1,17,5,5,7,3,2),(20,220,1,17,6,7,5,2,2),(20,220,1,17,7,3,3,1,1),(20,220,1,17,8,7,1,3,1),(20,220,1,17,9,5,11,2,2),(20,220,1,17,10,2,5,NULL,2),(20,220,1,17,11,2,4,1,1),(20,220,1,17,12,5,4,2,3),(20,220,1,17,13,8,5,2,2),(20,220,1,17,14,4,NULL,1,NULL),(20,220,1,17,15,6,4,3,NULL),(20,220,1,17,16,2,5,NULL,1),(20,220,1,17,17,11,8,4,2),(20,220,1,17,18,2,9,1,3),(20,220,1,17,19,7,3,1,1),(20,220,1,17,20,1,12,NULL,3),(20,220,1,17,21,1,10,NULL,3),(20,220,1,17,22,5,7,1,3),(20,220,1,17,23,NULL,10,NULL,2),(20,220,1,17,24,2,12,1,3),(20,220,1,17,25,7,6,3,2),(20,220,1,17,26,8,NULL,3,NULL),(20,220,1,17,27,5,5,NULL,4),(20,220,1,17,28,3,5,1,2),(20,220,1,17,29,2,2,2,NULL),(20,220,1,17,30,2,5,NULL,2),(20,220,1,17,31,6,11,1,3),(20,220,1,17,32,6,4,2,1),(20,220,1,17,33,8,5,5,NULL),(20,220,1,17,34,3,3,1,2),(20,220,1,17,35,7,13,1,3),(20,220,1,17,36,13,3,4,1),(20,220,1,17,37,8,7,3,NULL),(20,220,1,17,38,4,4,2,1),(20,220,1,17,39,9,8,5,NULL),(20,220,1,17,40,7,NULL,3,NULL),(20,220,2,21,1,4,16,2,4),(20,220,2,21,2,2,3,1,1),(20,220,2,21,3,11,18,3,7),(20,220,2,21,4,9,5,2,NULL),(20,220,2,21,5,1,4,NULL,3),(20,220,2,21,6,22,12,8,4),(20,220,2,21,7,20,13,6,6),(20,220,2,21,8,18,NULL,5,NULL),(20,220,2,21,9,23,37,3,7),(20,220,2,21,10,2,17,2,4),(20,220,2,21,11,13,5,3,1),(20,220,2,21,12,7,6,5,2),(20,220,2,21,13,40,14,12,2),(20,220,2,21,14,42,18,13,2),(20,220,2,21,15,27,19,9,5),(20,220,2,21,16,15,11,4,6),(20,220,2,21,17,17,11,5,2),(20,220,2,21,18,6,20,NULL,7),(20,220,2,21,19,9,30,3,6),(20,220,2,21,20,22,28,3,7),(20,220,2,21,21,2,14,NULL,6),(20,220,2,21,22,4,7,NULL,3),(20,220,2,21,23,6,7,3,2),(20,220,2,21,24,NULL,8,NULL,3),(20,220,2,21,25,35,14,10,2),(20,220,2,21,26,7,8,5,NULL),(20,220,2,21,27,3,15,4,4),(20,220,2,21,28,22,10,10,NULL),(20,220,2,21,29,3,7,1,4),(20,220,2,21,30,9,1,4,1),(20,220,2,21,31,20,18,7,3),(20,220,2,21,32,22,17,12,2),(20,220,2,21,33,8,20,NULL,3),(20,220,2,21,34,15,10,6,1),(20,220,2,21,35,2,19,NULL,9),(20,220,2,21,36,19,5,11,1),(20,220,2,21,37,9,12,8,2),(20,220,2,21,38,11,9,5,3),(20,220,2,21,39,12,14,6,3),(20,220,2,21,40,24,3,7,NULL),(20,220,2,22,1,7,15,3,3),(20,220,2,22,2,3,4,2,2),(20,220,2,22,3,12,22,4,4),(20,220,2,22,4,5,10,4,2),(20,220,2,22,5,4,12,2,4),(20,220,2,22,6,27,20,7,6),(20,220,2,22,7,14,19,5,5),(20,220,2,22,8,21,NULL,9,NULL),(20,220,2,22,9,25,40,6,11),(20,220,2,22,10,4,24,1,9),(20,220,2,22,11,17,7,9,1),(20,220,2,22,12,6,15,3,6),(20,220,2,22,13,49,22,16,2),(20,220,2,22,14,45,23,14,4),(20,220,2,22,15,41,22,13,5),(20,220,2,22,16,21,21,8,4),(20,220,2,22,17,21,8,5,2),(20,220,2,22,18,3,24,3,8),(20,220,2,22,19,16,30,2,9),(20,220,2,22,20,30,28,8,7),(20,220,2,22,21,3,13,1,4),(20,220,2,22,22,5,10,6,1),(20,220,2,22,23,8,8,4,2),(20,220,2,22,24,6,13,5,5),(20,220,2,22,25,37,21,13,4),(20,220,2,22,26,12,8,5,NULL),(20,220,2,22,27,6,13,6,2),(20,220,2,22,28,23,8,7,2),(20,220,2,22,29,5,11,4,3),(20,220,2,22,30,6,7,4,1),(20,220,2,22,31,14,22,6,7),(20,220,2,22,32,28,23,10,6),(20,220,2,22,33,15,16,3,3),(20,220,2,22,34,14,25,7,8),(20,220,2,22,35,8,29,4,8),(20,220,2,22,36,16,10,8,1),(20,220,2,22,37,11,19,5,6),(20,220,2,22,38,11,24,7,7),(20,220,2,22,39,15,18,11,3),(20,220,2,22,40,23,14,9,1),(20,220,2,23,1,12,19,5,7),(20,220,2,23,2,1,4,1,2),(20,220,2,23,3,13,27,5,6),(20,220,2,23,4,3,7,NULL,2),(20,220,2,23,5,4,11,1,4),(20,220,2,23,6,26,24,7,11),(20,220,2,23,7,16,15,9,7),(20,220,2,23,8,13,NULL,7,NULL),(20,220,2,23,9,25,31,7,9),(20,220,2,23,10,6,16,2,8),(20,220,2,23,11,12,11,3,7),(20,220,2,23,12,10,10,5,4),(20,220,2,23,13,44,11,16,3),(20,220,2,23,14,41,21,13,7),(20,220,2,23,15,40,12,14,4),(20,220,2,23,16,15,19,4,11),(20,220,2,23,17,16,8,6,2),(20,220,2,23,18,5,16,3,9),(20,220,2,23,19,12,32,4,10),(20,220,2,23,20,19,32,6,10),(20,220,2,23,21,2,13,2,6),(20,220,2,23,22,8,9,4,2),(20,220,2,23,23,7,9,4,2),(20,220,2,23,24,5,10,2,3),(20,220,2,23,25,31,18,12,5),(20,220,2,23,26,15,8,4,4),(20,220,2,23,27,13,13,6,5),(20,220,2,23,28,27,9,10,4),(20,220,2,23,29,5,11,2,2),(20,220,2,23,30,13,2,5,NULL),(20,220,2,23,31,23,16,7,7),(20,220,2,23,32,16,28,9,6),(20,220,2,23,33,8,18,1,7),(20,220,2,23,34,8,24,8,4),(20,220,2,23,35,5,30,2,8),(20,220,2,23,36,16,9,7,2),(20,220,2,23,37,15,14,8,6),(20,220,2,23,38,12,15,6,6),(20,220,2,23,39,19,14,8,7),(20,220,2,23,40,19,9,7,4),(20,220,2,24,1,7,16,3,5),(20,220,2,24,2,2,8,1,4),(20,220,2,24,3,7,22,2,6),(20,220,2,24,4,6,10,2,2),(20,220,2,24,5,4,14,1,5),(20,220,2,24,6,20,25,5,7),(20,220,2,24,7,13,19,3,5),(20,220,2,24,8,21,NULL,8,NULL),(20,220,2,24,9,10,35,2,10),(20,220,2,24,10,3,29,NULL,10),(20,220,2,24,11,8,13,3,3),(20,220,2,24,12,4,16,2,5),(20,220,2,24,13,40,19,8,7),(20,220,2,24,14,37,23,8,7),(20,220,2,24,15,27,14,6,4),(20,220,2,24,16,23,19,4,5),(20,220,2,24,17,18,7,5,1),(20,220,2,24,18,2,27,NULL,8),(20,220,2,24,19,11,27,3,10),(20,220,2,24,20,27,28,9,5),(20,220,2,24,21,2,11,1,4),(20,220,2,24,22,4,10,3,4),(20,220,2,24,23,3,6,2,2),(20,220,2,24,24,4,9,2,4),(20,220,2,24,25,28,20,10,2),(20,220,2,24,26,21,5,8,4),(20,220,2,24,27,9,9,3,3),(20,220,2,24,28,16,21,7,3),(20,220,2,24,29,7,12,3,3),(20,220,2,24,30,10,3,5,NULL),(20,220,2,24,31,12,22,5,5),(20,220,2,24,32,17,19,7,4),(20,220,2,24,33,7,12,2,3),(20,220,2,24,34,15,19,6,2),(20,220,2,24,35,5,21,3,5),(20,220,2,24,36,23,10,7,2),(20,220,2,24,37,9,23,5,6),(20,220,2,24,38,7,22,5,7),(20,220,2,24,39,9,16,3,5),(20,220,2,24,40,25,7,11,1),(20,222,1,11,1,NULL,NULL,NULL,NULL),(20,222,1,11,2,NULL,NULL,NULL,NULL),(20,222,1,11,3,NULL,NULL,NULL,NULL),(20,222,1,11,4,NULL,NULL,NULL,NULL),(20,222,1,11,5,NULL,NULL,NULL,NULL),(20,222,1,11,6,NULL,NULL,NULL,NULL),(20,222,1,11,7,NULL,NULL,NULL,NULL),(20,222,1,11,8,NULL,NULL,NULL,NULL),(20,222,1,11,9,NULL,NULL,NULL,NULL),(20,222,1,11,10,NULL,NULL,NULL,NULL),(20,222,1,11,11,NULL,NULL,NULL,NULL),(20,222,1,11,12,NULL,NULL,NULL,NULL),(20,222,1,11,13,NULL,NULL,NULL,NULL),(20,222,1,11,14,NULL,NULL,NULL,NULL),(20,222,1,11,15,NULL,NULL,NULL,NULL),(20,222,1,11,16,NULL,NULL,NULL,NULL),(20,222,1,11,17,NULL,NULL,NULL,NULL),(20,222,1,11,18,NULL,NULL,NULL,NULL),(20,222,1,11,19,NULL,NULL,NULL,NULL),(20,222,1,11,20,NULL,NULL,NULL,NULL),(20,222,1,11,21,NULL,NULL,NULL,NULL),(20,222,1,11,22,NULL,NULL,NULL,NULL),(20,222,1,11,23,NULL,NULL,NULL,NULL),(20,222,1,11,24,NULL,NULL,NULL,NULL),(20,222,1,11,25,NULL,NULL,NULL,NULL),(20,222,1,11,26,NULL,NULL,NULL,NULL),(20,222,1,11,27,NULL,NULL,NULL,NULL),(20,222,1,11,28,NULL,NULL,NULL,NULL),(20,222,1,11,29,NULL,NULL,NULL,NULL),(20,222,1,11,30,NULL,NULL,NULL,NULL),(20,222,1,11,31,NULL,NULL,NULL,NULL),(20,222,1,11,32,NULL,NULL,NULL,NULL),(20,222,1,11,33,NULL,NULL,NULL,NULL),(20,222,1,11,34,NULL,NULL,NULL,NULL),(20,222,1,11,35,NULL,NULL,NULL,NULL),(20,222,1,11,36,NULL,NULL,NULL,NULL),(20,222,1,11,37,NULL,NULL,NULL,NULL),(20,222,1,11,38,NULL,NULL,NULL,NULL),(20,222,1,11,39,NULL,NULL,NULL,NULL),(20,222,1,11,40,NULL,NULL,NULL,NULL),(20,222,1,12,1,NULL,NULL,NULL,NULL),(20,222,1,12,2,NULL,NULL,NULL,NULL),(20,222,1,12,3,NULL,NULL,NULL,NULL),(20,222,1,12,4,NULL,NULL,NULL,NULL),(20,222,1,12,5,NULL,NULL,NULL,NULL),(20,222,1,12,6,NULL,NULL,NULL,NULL),(20,222,1,12,7,NULL,NULL,NULL,NULL),(20,222,1,12,8,NULL,NULL,NULL,NULL),(20,222,1,12,9,NULL,NULL,NULL,NULL),(20,222,1,12,10,NULL,NULL,NULL,NULL),(20,222,1,12,11,NULL,NULL,NULL,NULL),(20,222,1,12,12,NULL,NULL,NULL,NULL),(20,222,1,12,13,NULL,NULL,NULL,NULL),(20,222,1,12,14,NULL,NULL,NULL,NULL),(20,222,1,12,15,NULL,NULL,NULL,NULL),(20,222,1,12,16,NULL,NULL,NULL,NULL),(20,222,1,12,17,NULL,NULL,NULL,NULL),(20,222,1,12,18,NULL,NULL,NULL,NULL),(20,222,1,12,19,NULL,NULL,NULL,NULL),(20,222,1,12,20,NULL,NULL,NULL,NULL),(20,222,1,12,21,NULL,NULL,NULL,NULL),(20,222,1,12,22,NULL,NULL,NULL,NULL),(20,222,1,12,23,NULL,NULL,NULL,NULL),(20,222,1,12,24,NULL,NULL,NULL,NULL),(20,222,1,12,25,NULL,NULL,NULL,NULL),(20,222,1,12,26,NULL,NULL,NULL,NULL),(20,222,1,12,27,NULL,NULL,NULL,NULL),(20,222,1,12,28,NULL,NULL,NULL,NULL),(20,222,1,12,29,NULL,NULL,NULL,NULL),(20,222,1,12,30,NULL,NULL,NULL,NULL),(20,222,1,12,31,NULL,NULL,NULL,NULL),(20,222,1,12,32,NULL,NULL,NULL,NULL),(20,222,1,12,33,NULL,NULL,NULL,NULL),(20,222,1,12,34,NULL,NULL,NULL,NULL),(20,222,1,12,35,NULL,NULL,NULL,NULL),(20,222,1,12,36,NULL,NULL,NULL,NULL),(20,222,1,12,37,NULL,NULL,NULL,NULL),(20,222,1,12,38,NULL,NULL,NULL,NULL),(20,222,1,12,39,NULL,NULL,NULL,NULL),(20,222,1,12,40,NULL,NULL,NULL,NULL),(20,222,1,13,1,NULL,1,NULL,1),(20,222,1,13,2,NULL,NULL,NULL,NULL),(20,222,1,13,3,NULL,NULL,NULL,NULL),(20,222,1,13,4,NULL,NULL,NULL,NULL),(20,222,1,13,5,NULL,1,NULL,1),(20,222,1,13,6,NULL,NULL,NULL,NULL),(20,222,1,13,7,NULL,NULL,NULL,NULL),(20,222,1,13,8,1,NULL,1,NULL),(20,222,1,13,9,NULL,NULL,NULL,NULL),(20,222,1,13,10,NULL,1,NULL,1),(20,222,1,13,11,NULL,NULL,NULL,NULL),(20,222,1,13,12,NULL,NULL,NULL,NULL),(20,222,1,13,13,1,NULL,1,NULL),(20,222,1,13,14,NULL,1,NULL,1),(20,222,1,13,15,1,NULL,1,NULL),(20,222,1,13,16,NULL,1,NULL,1),(20,222,1,13,17,1,NULL,1,NULL),(20,222,1,13,18,1,NULL,1,NULL),(20,222,1,13,19,NULL,NULL,NULL,NULL),(20,222,1,13,20,NULL,1,NULL,1),(20,222,1,13,21,NULL,1,NULL,1),(20,222,1,13,22,NULL,1,NULL,1),(20,222,1,13,23,NULL,1,NULL,1),(20,222,1,13,24,NULL,1,NULL,1),(20,222,1,13,25,NULL,1,NULL,1),(20,222,1,13,26,1,NULL,1,NULL),(20,222,1,13,27,NULL,1,NULL,1),(20,222,1,13,28,NULL,1,NULL,1),(20,222,1,13,29,NULL,NULL,NULL,NULL),(20,222,1,13,30,NULL,NULL,NULL,NULL),(20,222,1,13,31,NULL,NULL,NULL,NULL),(20,222,1,13,32,NULL,1,NULL,1),(20,222,1,13,33,NULL,NULL,NULL,NULL),(20,222,1,13,34,NULL,NULL,NULL,NULL),(20,222,1,13,35,NULL,NULL,NULL,NULL),(20,222,1,13,36,NULL,1,NULL,1),(20,222,1,13,37,NULL,1,NULL,1),(20,222,1,13,38,NULL,NULL,NULL,NULL),(20,222,1,13,39,NULL,1,NULL,1),(20,222,1,13,40,NULL,NULL,NULL,NULL),(20,222,1,14,1,5,1,3,1),(20,222,1,14,2,2,1,2,1),(20,222,1,14,3,1,3,1,2),(20,222,1,14,4,NULL,4,NULL,4),(20,222,1,14,5,NULL,5,NULL,3),(20,222,1,14,6,2,7,2,4),(20,222,1,14,7,1,1,NULL,1),(20,222,1,14,8,4,3,4,1),(20,222,1,14,9,2,6,2,3),(20,222,1,14,10,1,2,1,1),(20,222,1,14,11,NULL,1,NULL,1),(20,222,1,14,12,1,1,1,NULL),(20,222,1,14,13,3,6,2,5),(20,222,1,14,14,6,5,4,2),(20,222,1,14,15,4,1,3,NULL),(20,222,1,14,16,5,2,4,NULL),(20,222,1,14,17,4,6,2,4),(20,222,1,14,18,9,2,6,1),(20,222,1,14,19,7,1,6,NULL),(20,222,1,14,20,5,5,2,3),(20,222,1,14,21,NULL,3,NULL,3),(20,222,1,14,22,1,7,1,4),(20,222,1,14,23,1,8,1,4),(20,222,1,14,24,1,5,1,3),(20,222,1,14,25,2,3,1,2),(20,222,1,14,26,1,NULL,1,NULL),(20,222,1,14,27,NULL,6,NULL,5),(20,222,1,14,28,NULL,3,NULL,1),(20,222,1,14,29,1,4,1,3),(20,222,1,14,30,1,4,1,3),(20,222,1,14,31,2,5,NULL,5),(20,222,1,14,32,4,2,2,1),(20,222,1,14,33,3,1,2,1),(20,222,1,14,34,NULL,5,NULL,3),(20,222,1,14,35,1,8,1,6),(20,222,1,14,36,NULL,6,NULL,3),(20,222,1,14,37,4,3,3,2),(20,222,1,14,38,NULL,3,NULL,3),(20,222,1,14,39,5,5,5,3),(20,222,1,14,40,1,1,1,1),(20,222,1,15,1,2,1,2,NULL),(20,222,1,15,2,NULL,2,NULL,2),(20,222,1,15,3,1,NULL,1,NULL),(20,222,1,15,4,1,1,1,1),(20,222,1,15,5,2,2,2,2),(20,222,1,15,6,3,5,3,4),(20,222,1,15,7,1,1,1,1),(20,222,1,15,8,3,2,3,2),(20,222,1,15,9,3,4,3,3),(20,222,1,15,10,NULL,3,NULL,2),(20,222,1,15,11,NULL,NULL,NULL,NULL),(20,222,1,15,12,1,1,1,1),(20,222,1,15,13,1,6,1,4),(20,222,1,15,14,7,2,7,NULL),(20,222,1,15,15,3,1,3,NULL),(20,222,1,15,16,9,NULL,7,NULL),(20,222,1,15,17,1,7,1,5),(20,222,1,15,18,6,1,6,NULL),(20,222,1,15,19,5,2,5,1),(20,222,1,15,20,5,2,5,1),(20,222,1,15,21,1,2,1,1),(20,222,1,15,22,1,4,1,3),(20,222,1,15,23,NULL,4,NULL,4),(20,222,1,15,24,1,6,NULL,4),(20,222,1,15,25,2,4,2,4),(20,222,1,15,26,2,NULL,2,NULL),(20,222,1,15,27,1,6,1,4),(20,222,1,15,28,2,3,2,2),(20,222,1,15,29,NULL,5,NULL,4),(20,222,1,15,30,1,2,1,1),(20,222,1,15,31,4,3,4,2),(20,222,1,15,32,4,5,3,4),(20,222,1,15,33,2,NULL,2,NULL),(20,222,1,15,34,NULL,2,NULL,2),(20,222,1,15,35,2,5,2,4),(20,222,1,15,36,3,6,2,5),(20,222,1,15,37,6,3,6,2),(20,222,1,15,38,NULL,3,NULL,3),(20,222,1,15,39,6,2,6,NULL),(20,222,1,15,40,3,1,3,1),(20,222,1,16,1,1,1,1,NULL),(20,222,1,16,2,1,NULL,1,NULL),(20,222,1,16,3,2,NULL,1,NULL),(20,222,1,16,4,2,NULL,1,NULL),(20,222,1,16,5,1,1,1,NULL),(20,222,1,16,6,2,NULL,1,NULL),(20,222,1,16,7,NULL,1,NULL,1),(20,222,1,16,8,1,NULL,NULL,NULL),(20,222,1,16,9,NULL,2,NULL,1),(20,222,1,16,10,NULL,NULL,NULL,NULL),(20,222,1,16,11,NULL,1,NULL,1),(20,222,1,16,12,NULL,1,NULL,NULL),(20,222,1,16,13,1,2,1,1),(20,222,1,16,14,1,1,1,1),(20,222,1,16,15,1,NULL,1,NULL),(20,222,1,16,16,NULL,2,NULL,2),(20,222,1,16,17,2,NULL,2,NULL),(20,222,1,16,18,NULL,1,NULL,1),(20,222,1,16,19,1,NULL,NULL,NULL),(20,222,1,16,20,1,2,NULL,2),(20,222,1,16,21,NULL,1,NULL,1),(20,222,1,16,22,NULL,1,NULL,1),(20,222,1,16,23,NULL,2,NULL,NULL),(20,222,1,16,24,NULL,1,NULL,1),(20,222,1,16,25,NULL,1,NULL,1),(20,222,1,16,26,NULL,NULL,NULL,NULL),(20,222,1,16,27,NULL,1,NULL,NULL),(20,222,1,16,28,NULL,NULL,NULL,NULL),(20,222,1,16,29,NULL,1,NULL,NULL),(20,222,1,16,30,1,1,1,NULL),(20,222,1,16,31,NULL,NULL,NULL,NULL),(20,222,1,16,32,NULL,NULL,NULL,NULL),(20,222,1,16,33,1,NULL,1,NULL),(20,222,1,16,34,NULL,1,NULL,NULL),(20,222,1,16,35,2,2,1,1),(20,222,1,16,36,NULL,3,NULL,2),(20,222,1,16,37,1,NULL,1,NULL),(20,222,1,16,38,NULL,NULL,NULL,NULL),(20,222,1,16,39,1,1,1,1),(20,222,1,16,40,NULL,NULL,NULL,NULL),(20,222,1,17,1,NULL,NULL,NULL,NULL),(20,222,1,17,2,NULL,NULL,NULL,NULL),(20,222,1,17,3,NULL,1,NULL,1),(20,222,1,17,4,NULL,2,NULL,2),(20,222,1,17,5,1,NULL,1,NULL),(20,222,1,17,6,1,2,1,1),(20,222,1,17,7,NULL,NULL,NULL,NULL),(20,222,1,17,8,NULL,1,NULL,1),(20,222,1,17,9,1,3,1,2),(20,222,1,17,10,1,NULL,1,NULL),(20,222,1,17,11,NULL,2,NULL,1),(20,222,1,17,12,1,NULL,NULL,NULL),(20,222,1,17,13,1,2,1,1),(20,222,1,17,14,NULL,1,NULL,1),(20,222,1,17,15,3,NULL,3,NULL),(20,222,1,17,16,NULL,NULL,NULL,NULL),(20,222,1,17,17,2,3,2,1),(20,222,1,17,18,NULL,NULL,NULL,NULL),(20,222,1,17,19,2,NULL,2,NULL),(20,222,1,17,20,NULL,1,NULL,NULL),(20,222,1,17,21,NULL,1,NULL,1),(20,222,1,17,22,NULL,1,NULL,1),(20,222,1,17,23,NULL,3,NULL,3),(20,222,1,17,24,1,1,1,1),(20,222,1,17,25,NULL,3,NULL,3),(20,222,1,17,26,1,NULL,1,NULL),(20,222,1,17,27,NULL,1,NULL,1),(20,222,1,17,28,NULL,NULL,NULL,NULL),(20,222,1,17,29,NULL,2,NULL,2),(20,222,1,17,30,NULL,1,NULL,1),(20,222,1,17,31,2,NULL,2,NULL),(20,222,1,17,32,1,NULL,NULL,NULL),(20,222,1,17,33,1,NULL,1,NULL),(20,222,1,17,34,NULL,1,NULL,1),(20,222,1,17,35,1,1,1,NULL),(20,222,1,17,36,1,2,1,NULL),(20,222,1,17,37,1,1,NULL,1),(20,222,1,17,38,1,NULL,1,NULL),(20,222,1,17,39,3,1,3,1),(20,222,1,17,40,NULL,NULL,NULL,NULL),(20,222,2,21,1,1,2,NULL,2),(20,222,2,21,2,NULL,3,NULL,2),(20,222,2,21,3,NULL,2,NULL,1),(20,222,2,21,4,NULL,1,NULL,1),(20,222,2,21,5,1,NULL,1,NULL),(20,222,2,21,6,NULL,1,NULL,1),(20,222,2,21,7,2,NULL,2,NULL),(20,222,2,21,8,2,NULL,2,NULL),(20,222,2,21,9,1,4,1,2),(20,222,2,21,10,1,1,1,1),(20,222,2,21,11,1,1,1,NULL),(20,222,2,21,12,NULL,1,NULL,1),(20,222,2,21,13,6,1,4,1),(20,222,2,21,14,6,2,6,NULL),(20,222,2,21,15,4,1,4,NULL),(20,222,2,21,16,3,1,2,1),(20,222,2,21,17,2,NULL,2,NULL),(20,222,2,21,18,NULL,1,NULL,1),(20,222,2,21,19,1,3,1,2),(20,222,2,21,20,1,4,1,3),(20,222,2,21,21,NULL,NULL,NULL,NULL),(20,222,2,21,22,NULL,NULL,NULL,NULL),(20,222,2,21,23,1,1,1,1),(20,222,2,21,24,NULL,NULL,NULL,NULL),(20,222,2,21,25,2,5,2,4),(20,222,2,21,26,NULL,NULL,NULL,NULL),(20,222,2,21,27,NULL,2,NULL,1),(20,222,2,21,28,2,1,1,1),(20,222,2,21,29,NULL,1,NULL,1),(20,222,2,21,30,NULL,NULL,NULL,NULL),(20,222,2,21,31,NULL,1,NULL,1),(20,222,2,21,32,NULL,2,NULL,2),(20,222,2,21,33,3,1,1,NULL),(20,222,2,21,34,1,3,1,2),(20,222,2,21,35,NULL,4,NULL,2),(20,222,2,21,36,1,1,1,1),(20,222,2,21,37,NULL,2,NULL,2),(20,222,2,21,38,NULL,3,NULL,1),(20,222,2,21,39,NULL,1,NULL,1),(20,222,2,21,40,NULL,NULL,NULL,NULL),(20,222,2,22,1,2,3,2,1),(20,222,2,22,2,NULL,NULL,NULL,NULL),(20,222,2,22,3,NULL,2,NULL,2),(20,222,2,22,4,NULL,3,NULL,2),(20,222,2,22,5,1,1,1,1),(20,222,2,22,6,1,4,1,3),(20,222,2,22,7,2,6,1,5),(20,222,2,22,8,3,NULL,3,NULL),(20,222,2,22,9,4,3,4,2),(20,222,2,22,10,NULL,4,NULL,2),(20,222,2,22,11,2,4,2,1),(20,222,2,22,12,NULL,3,NULL,1),(20,222,2,22,13,5,7,5,4),(20,222,2,22,14,4,7,4,5),(20,222,2,22,15,5,6,4,3),(20,222,2,22,16,7,1,5,NULL),(20,222,2,22,17,NULL,1,NULL,1),(20,222,2,22,18,NULL,NULL,NULL,NULL),(20,222,2,22,19,1,5,1,3),(20,222,2,22,20,6,2,6,1),(20,222,2,22,21,NULL,NULL,NULL,NULL),(20,222,2,22,22,NULL,4,NULL,4),(20,222,2,22,23,NULL,NULL,NULL,NULL),(20,222,2,22,24,NULL,2,NULL,1),(20,222,2,22,25,2,5,2,4),(20,222,2,22,26,NULL,3,NULL,2),(20,222,2,22,27,NULL,1,NULL,NULL),(20,222,2,22,28,1,3,1,1),(20,222,2,22,29,NULL,NULL,NULL,NULL),(20,222,2,22,30,NULL,4,NULL,2),(20,222,2,22,31,1,NULL,1,NULL),(20,222,2,22,32,1,4,1,3),(20,222,2,22,33,2,4,1,4),(20,222,2,22,34,NULL,2,NULL,2),(20,222,2,22,35,NULL,3,NULL,3),(20,222,2,22,36,NULL,4,NULL,3),(20,222,2,22,37,NULL,2,NULL,2),(20,222,2,22,38,1,1,1,1),(20,222,2,22,39,1,2,1,1),(20,222,2,22,40,2,1,2,1),(20,222,2,23,1,NULL,3,NULL,2),(20,222,2,23,2,NULL,NULL,NULL,NULL),(20,222,2,23,3,2,2,2,2),(20,222,2,23,4,1,1,1,NULL),(20,222,2,23,5,NULL,1,NULL,1),(20,222,2,23,6,NULL,1,NULL,1),(20,222,2,23,7,NULL,1,NULL,1),(20,222,2,23,8,2,NULL,2,NULL),(20,222,2,23,9,NULL,2,NULL,1),(20,222,2,23,10,NULL,3,NULL,2),(20,222,2,23,11,NULL,2,NULL,1),(20,222,2,23,12,1,2,NULL,1),(20,222,2,23,13,2,5,2,3),(20,222,2,23,14,3,4,3,2),(20,222,2,23,15,NULL,2,NULL,1),(20,222,2,23,16,2,1,2,1),(20,222,2,23,17,3,2,2,2),(20,222,2,23,18,NULL,3,NULL,3),(20,222,2,23,19,NULL,3,NULL,3),(20,222,2,23,20,2,2,2,1),(20,222,2,23,21,NULL,2,NULL,2),(20,222,2,23,22,NULL,3,NULL,1),(20,222,2,23,23,NULL,NULL,NULL,NULL),(20,222,2,23,24,NULL,NULL,NULL,NULL),(20,222,2,23,25,3,1,3,NULL),(20,222,2,23,26,NULL,1,NULL,1),(20,222,2,23,27,1,NULL,1,NULL),(20,222,2,23,28,NULL,2,NULL,1),(20,222,2,23,29,NULL,1,NULL,1),(20,222,2,23,30,1,NULL,1,NULL),(20,222,2,23,31,1,1,1,1),(20,222,2,23,32,NULL,4,NULL,4),(20,222,2,23,33,1,3,1,2),(20,222,2,23,34,2,NULL,2,NULL),(20,222,2,23,35,NULL,NULL,NULL,NULL),(20,222,2,23,36,NULL,5,NULL,4),(20,222,2,23,37,1,NULL,1,NULL),(20,222,2,23,38,NULL,2,NULL,2),(20,222,2,23,39,NULL,1,NULL,1),(20,222,2,23,40,1,1,1,1),(20,222,2,24,1,NULL,4,NULL,2),(20,222,2,24,2,NULL,NULL,NULL,NULL),(20,222,2,24,3,2,2,1,1),(20,222,2,24,4,NULL,1,NULL,NULL),(20,222,2,24,5,NULL,NULL,NULL,NULL),(20,222,2,24,6,1,NULL,1,NULL),(20,222,2,24,7,NULL,1,NULL,1),(20,222,2,24,8,1,NULL,1,NULL),(20,222,2,24,9,NULL,3,NULL,1),(20,222,2,24,10,NULL,1,NULL,NULL),(20,222,2,24,11,NULL,1,NULL,NULL),(20,222,2,24,12,NULL,NULL,NULL,NULL),(20,222,2,24,13,1,5,1,3),(20,222,2,24,14,3,2,1,2),(20,222,2,24,15,2,NULL,1,NULL),(20,222,2,24,16,2,1,1,1),(20,222,2,24,17,NULL,2,NULL,1),(20,222,2,24,18,NULL,2,NULL,1),(20,222,2,24,19,NULL,2,NULL,1),(20,222,2,24,20,NULL,1,NULL,1),(20,222,2,24,21,NULL,NULL,NULL,NULL),(20,222,2,24,22,1,1,NULL,NULL),(20,222,2,24,23,NULL,NULL,NULL,NULL),(20,222,2,24,24,NULL,NULL,NULL,NULL),(20,222,2,24,25,NULL,2,NULL,1),(20,222,2,24,26,NULL,NULL,NULL,NULL),(20,222,2,24,27,2,1,2,1),(20,222,2,24,28,2,NULL,1,NULL),(20,222,2,24,29,1,NULL,1,NULL),(20,222,2,24,30,1,1,1,1),(20,222,2,24,31,1,1,1,1),(20,222,2,24,32,1,NULL,1,NULL),(20,222,2,24,33,1,NULL,1,NULL),(20,222,2,24,34,1,2,1,1),(20,222,2,24,35,NULL,2,NULL,1),(20,222,2,24,36,NULL,1,NULL,1),(20,222,2,24,37,NULL,NULL,NULL,NULL),(20,222,2,24,38,NULL,NULL,NULL,NULL),(20,222,2,24,39,NULL,1,NULL,1),(20,222,2,24,40,NULL,1,NULL,NULL),(20,223,1,11,1,NULL,NULL,NULL,NULL),(20,223,1,11,2,NULL,NULL,NULL,NULL),(20,223,1,11,3,NULL,NULL,NULL,NULL),(20,223,1,11,4,NULL,NULL,NULL,NULL),(20,223,1,11,5,NULL,NULL,NULL,NULL),(20,223,1,11,6,NULL,NULL,NULL,NULL),(20,223,1,11,7,NULL,NULL,NULL,NULL),(20,223,1,11,8,NULL,NULL,NULL,NULL),(20,223,1,11,9,NULL,NULL,NULL,NULL),(20,223,1,11,10,NULL,NULL,NULL,NULL),(20,223,1,11,11,NULL,NULL,NULL,NULL),(20,223,1,11,12,NULL,NULL,NULL,NULL),(20,223,1,11,13,NULL,NULL,NULL,NULL),(20,223,1,11,14,NULL,NULL,NULL,NULL),(20,223,1,11,15,NULL,NULL,NULL,NULL),(20,223,1,11,16,NULL,NULL,NULL,NULL),(20,223,1,11,17,NULL,NULL,NULL,NULL),(20,223,1,11,18,NULL,NULL,NULL,NULL),(20,223,1,11,19,NULL,NULL,NULL,NULL),(20,223,1,11,20,NULL,NULL,NULL,NULL),(20,223,1,11,21,NULL,NULL,NULL,NULL),(20,223,1,11,22,NULL,NULL,NULL,NULL),(20,223,1,11,23,NULL,NULL,NULL,NULL),(20,223,1,11,24,NULL,NULL,NULL,NULL),(20,223,1,11,25,NULL,NULL,NULL,NULL),(20,223,1,11,26,NULL,NULL,NULL,NULL),(20,223,1,11,27,NULL,NULL,NULL,NULL),(20,223,1,11,28,NULL,NULL,NULL,NULL),(20,223,1,11,29,NULL,NULL,NULL,NULL),(20,223,1,11,30,NULL,NULL,NULL,NULL),(20,223,1,11,31,NULL,NULL,NULL,NULL),(20,223,1,11,32,NULL,NULL,NULL,NULL),(20,223,1,11,33,NULL,NULL,NULL,NULL),(20,223,1,11,34,NULL,NULL,NULL,NULL),(20,223,1,11,35,NULL,NULL,NULL,NULL),(20,223,1,11,36,NULL,NULL,NULL,NULL),(20,223,1,11,37,NULL,NULL,NULL,NULL),(20,223,1,11,38,NULL,NULL,NULL,NULL),(20,223,1,11,39,NULL,NULL,NULL,NULL),(20,223,1,11,40,NULL,NULL,NULL,NULL),(20,223,1,12,1,NULL,NULL,NULL,NULL),(20,223,1,12,2,NULL,NULL,NULL,NULL),(20,223,1,12,3,NULL,NULL,NULL,NULL),(20,223,1,12,4,NULL,NULL,NULL,NULL),(20,223,1,12,5,NULL,NULL,NULL,NULL),(20,223,1,12,6,NULL,NULL,NULL,NULL),(20,223,1,12,7,NULL,NULL,NULL,NULL),(20,223,1,12,8,NULL,NULL,NULL,NULL),(20,223,1,12,9,NULL,NULL,NULL,NULL),(20,223,1,12,10,NULL,NULL,NULL,NULL),(20,223,1,12,11,NULL,NULL,NULL,NULL),(20,223,1,12,12,NULL,NULL,NULL,NULL),(20,223,1,12,13,NULL,NULL,NULL,NULL),(20,223,1,12,14,NULL,NULL,NULL,NULL),(20,223,1,12,15,NULL,NULL,NULL,NULL),(20,223,1,12,16,NULL,NULL,NULL,NULL),(20,223,1,12,17,NULL,NULL,NULL,NULL),(20,223,1,12,18,NULL,NULL,NULL,NULL),(20,223,1,12,19,NULL,NULL,NULL,NULL),(20,223,1,12,20,NULL,NULL,NULL,NULL),(20,223,1,12,21,NULL,NULL,NULL,NULL),(20,223,1,12,22,NULL,NULL,NULL,NULL),(20,223,1,12,23,NULL,NULL,NULL,NULL),(20,223,1,12,24,NULL,NULL,NULL,NULL),(20,223,1,12,25,NULL,NULL,NULL,NULL),(20,223,1,12,26,NULL,NULL,NULL,NULL),(20,223,1,12,27,NULL,NULL,NULL,NULL),(20,223,1,12,28,NULL,NULL,NULL,NULL),(20,223,1,12,29,NULL,NULL,NULL,NULL),(20,223,1,12,30,NULL,NULL,NULL,NULL),(20,223,1,12,31,NULL,NULL,NULL,NULL),(20,223,1,12,32,NULL,NULL,NULL,NULL),(20,223,1,12,33,NULL,NULL,NULL,NULL),(20,223,1,12,34,NULL,NULL,NULL,NULL),(20,223,1,12,35,NULL,NULL,NULL,NULL),(20,223,1,12,36,NULL,NULL,NULL,NULL),(20,223,1,12,37,NULL,NULL,NULL,NULL),(20,223,1,12,38,NULL,NULL,NULL,NULL),(20,223,1,12,39,NULL,NULL,NULL,NULL),(20,223,1,12,40,NULL,NULL,NULL,NULL),(20,223,1,13,1,NULL,NULL,NULL,NULL),(20,223,1,13,2,NULL,NULL,NULL,NULL),(20,223,1,13,3,NULL,NULL,NULL,NULL),(20,223,1,13,4,NULL,NULL,NULL,NULL),(20,223,1,13,5,NULL,NULL,NULL,NULL),(20,223,1,13,6,NULL,NULL,NULL,NULL),(20,223,1,13,7,NULL,NULL,NULL,NULL),(20,223,1,13,8,NULL,NULL,NULL,NULL),(20,223,1,13,9,NULL,NULL,NULL,NULL),(20,223,1,13,10,NULL,NULL,NULL,NULL),(20,223,1,13,11,NULL,NULL,NULL,NULL),(20,223,1,13,12,NULL,NULL,NULL,NULL),(20,223,1,13,13,NULL,NULL,NULL,NULL),(20,223,1,13,14,NULL,NULL,NULL,NULL),(20,223,1,13,15,NULL,NULL,NULL,NULL),(20,223,1,13,16,NULL,NULL,NULL,NULL),(20,223,1,13,17,NULL,NULL,NULL,NULL),(20,223,1,13,18,NULL,NULL,NULL,NULL),(20,223,1,13,19,NULL,NULL,NULL,NULL),(20,223,1,13,20,NULL,NULL,NULL,NULL),(20,223,1,13,21,NULL,NULL,NULL,NULL),(20,223,1,13,22,NULL,NULL,NULL,NULL),(20,223,1,13,23,NULL,NULL,NULL,NULL),(20,223,1,13,24,NULL,NULL,NULL,NULL),(20,223,1,13,25,NULL,NULL,NULL,NULL),(20,223,1,13,26,NULL,NULL,NULL,NULL),(20,223,1,13,27,NULL,NULL,NULL,NULL),(20,223,1,13,28,NULL,NULL,NULL,NULL),(20,223,1,13,29,NULL,NULL,NULL,NULL),(20,223,1,13,30,NULL,NULL,NULL,NULL),(20,223,1,13,31,NULL,NULL,NULL,NULL),(20,223,1,13,32,NULL,NULL,NULL,NULL),(20,223,1,13,33,NULL,NULL,NULL,NULL),(20,223,1,13,34,NULL,NULL,NULL,NULL),(20,223,1,13,35,NULL,NULL,NULL,NULL),(20,223,1,13,36,NULL,NULL,NULL,NULL),(20,223,1,13,37,NULL,NULL,NULL,NULL),(20,223,1,13,38,NULL,NULL,NULL,NULL),(20,223,1,13,39,NULL,NULL,NULL,NULL),(20,223,1,13,40,NULL,NULL,NULL,NULL),(20,223,1,14,1,NULL,1,NULL,1),(20,223,1,14,2,1,1,1,1),(20,223,1,14,3,1,NULL,NULL,NULL),(20,223,1,14,4,1,NULL,1,NULL),(20,223,1,14,5,1,1,NULL,1),(20,223,1,14,6,3,5,3,4),(20,223,1,14,7,1,1,1,1),(20,223,1,14,8,2,NULL,1,NULL),(20,223,1,14,9,4,4,3,3),(20,223,1,14,10,NULL,1,NULL,NULL),(20,223,1,14,11,NULL,NULL,NULL,NULL),(20,223,1,14,12,NULL,1,NULL,1),(20,223,1,14,13,3,2,3,1),(20,223,1,14,14,6,NULL,6,NULL),(20,223,1,14,15,2,1,2,1),(20,223,1,14,16,4,2,4,1),(20,223,1,14,17,3,3,2,2),(20,223,1,14,18,5,NULL,5,NULL),(20,223,1,14,19,2,NULL,2,NULL),(20,223,1,14,20,3,3,3,3),(20,223,1,14,21,NULL,1,NULL,1),(20,223,1,14,22,1,4,NULL,3),(20,223,1,14,23,1,3,NULL,2),(20,223,1,14,24,NULL,2,NULL,1),(20,223,1,14,25,1,3,1,2),(20,223,1,14,26,1,NULL,1,NULL),(20,223,1,14,27,2,1,2,1),(20,223,1,14,28,NULL,2,NULL,2),(20,223,1,14,29,1,1,1,1),(20,223,1,14,30,NULL,3,NULL,2),(20,223,1,14,31,1,5,1,4),(20,223,1,14,32,1,3,1,2),(20,223,1,14,33,1,2,1,2),(20,223,1,14,34,NULL,2,NULL,2),(20,223,1,14,35,2,2,1,2),(20,223,1,14,36,3,1,3,1),(20,223,1,14,37,1,5,1,4),(20,223,1,14,38,NULL,2,NULL,2),(20,223,1,14,39,4,3,4,2),(20,223,1,14,40,1,2,1,1),(20,223,1,15,1,NULL,1,NULL,NULL),(20,223,1,15,2,NULL,NULL,NULL,NULL),(20,223,1,15,3,NULL,2,NULL,1),(20,223,1,15,4,1,NULL,1,NULL),(20,223,1,15,5,NULL,1,NULL,NULL),(20,223,1,15,6,2,2,2,NULL),(20,223,1,15,7,NULL,NULL,NULL,NULL),(20,223,1,15,8,1,NULL,NULL,NULL),(20,223,1,15,9,1,1,1,NULL),(20,223,1,15,10,NULL,NULL,NULL,NULL),(20,223,1,15,11,NULL,NULL,NULL,NULL),(20,223,1,15,12,NULL,1,NULL,NULL),(20,223,1,15,13,1,1,1,1),(20,223,1,15,14,2,2,NULL,2),(20,223,1,15,15,1,NULL,1,NULL),(20,223,1,15,16,1,NULL,1,NULL),(20,223,1,15,17,NULL,2,NULL,NULL),(20,223,1,15,18,3,1,1,1),(20,223,1,15,19,NULL,NULL,NULL,NULL),(20,223,1,15,20,NULL,3,NULL,1),(20,223,1,15,21,NULL,2,NULL,1),(20,223,1,15,22,1,NULL,1,NULL),(20,223,1,15,23,NULL,2,NULL,2),(20,223,1,15,24,2,2,NULL,1),(20,223,1,15,25,1,2,NULL,2),(20,223,1,15,26,NULL,NULL,NULL,NULL),(20,223,1,15,27,NULL,1,NULL,NULL),(20,223,1,15,28,NULL,NULL,NULL,NULL),(20,223,1,15,29,NULL,1,NULL,1),(20,223,1,15,30,NULL,1,NULL,1),(20,223,1,15,31,1,2,NULL,1),(20,223,1,15,32,1,2,NULL,1),(20,223,1,15,33,NULL,NULL,NULL,NULL),(20,223,1,15,34,NULL,1,NULL,NULL),(20,223,1,15,35,NULL,1,NULL,NULL),(20,223,1,15,36,1,NULL,1,NULL),(20,223,1,15,37,2,1,1,NULL),(20,223,1,15,38,NULL,NULL,NULL,NULL),(20,223,1,15,39,2,1,2,NULL),(20,223,1,15,40,NULL,NULL,NULL,NULL),(20,223,1,16,1,2,NULL,1,NULL),(20,223,1,16,2,NULL,2,NULL,2),(20,223,1,16,3,4,3,3,1),(20,223,1,16,4,1,3,1,1),(20,223,1,16,5,1,8,1,5),(20,223,1,16,6,1,5,NULL,3),(20,223,1,16,7,1,2,1,2),(20,223,1,16,8,2,6,1,4),(20,223,1,16,9,1,4,1,3),(20,223,1,16,10,NULL,6,NULL,5),(20,223,1,16,11,NULL,1,NULL,1),(20,223,1,16,12,1,1,1,NULL),(20,223,1,16,13,2,4,NULL,2),(20,223,1,16,14,NULL,1,NULL,1),(20,223,1,16,15,4,2,3,NULL),(20,223,1,16,16,NULL,5,NULL,4),(20,223,1,16,17,3,6,2,4),(20,223,1,16,18,NULL,1,NULL,NULL),(20,223,1,16,19,1,7,NULL,4),(20,223,1,16,20,NULL,4,NULL,4),(20,223,1,16,21,1,2,NULL,NULL),(20,223,1,16,22,1,4,1,2),(20,223,1,16,23,2,6,2,2),(20,223,1,16,24,NULL,1,NULL,NULL),(20,223,1,16,25,NULL,5,NULL,3),(20,223,1,16,26,NULL,NULL,NULL,NULL),(20,223,1,16,27,3,4,1,2),(20,223,1,16,28,NULL,1,NULL,NULL),(20,223,1,16,29,NULL,2,NULL,1),(20,223,1,16,30,1,2,1,2),(20,223,1,16,31,1,3,1,2),(20,223,1,16,32,2,1,2,NULL),(20,223,1,16,33,NULL,3,NULL,2),(20,223,1,16,34,NULL,1,NULL,NULL),(20,223,1,16,35,1,3,1,2),(20,223,1,16,36,1,4,1,2),(20,223,1,16,37,2,3,1,2),(20,223,1,16,38,NULL,3,NULL,1),(20,223,1,16,39,6,3,4,1),(20,223,1,16,40,1,NULL,1,NULL),(20,223,1,17,1,2,1,1,1),(20,223,1,17,2,NULL,2,NULL,2),(20,223,1,17,3,NULL,NULL,NULL,NULL),(20,223,1,17,4,2,1,1,1),(20,223,1,17,5,1,2,1,2),(20,223,1,17,6,4,2,2,1),(20,223,1,17,7,2,1,1,NULL),(20,223,1,17,8,4,3,4,2),(20,223,1,17,9,3,3,2,2),(20,223,1,17,10,2,1,2,NULL),(20,223,1,17,11,NULL,1,NULL,NULL),(20,223,1,17,12,1,3,1,2),(20,223,1,17,13,3,4,2,3),(20,223,1,17,14,1,NULL,NULL,NULL),(20,223,1,17,15,6,NULL,4,NULL),(20,223,1,17,16,NULL,2,NULL,1),(20,223,1,17,17,5,6,3,4),(20,223,1,17,18,NULL,2,NULL,1),(20,223,1,17,19,3,1,2,1),(20,223,1,17,20,NULL,3,NULL,2),(20,223,1,17,21,NULL,3,NULL,1),(20,223,1,17,22,1,3,1,3),(20,223,1,17,23,1,5,1,4),(20,223,1,17,24,NULL,1,NULL,1),(20,223,1,17,25,NULL,4,NULL,3),(20,223,1,17,26,2,NULL,2,NULL),(20,223,1,17,27,3,4,3,2),(20,223,1,17,28,NULL,2,NULL,1),(20,223,1,17,29,NULL,1,NULL,NULL),(20,223,1,17,30,3,NULL,3,NULL),(20,223,1,17,31,1,3,NULL,2),(20,223,1,17,32,3,3,2,2),(20,223,1,17,33,NULL,3,NULL,2),(20,223,1,17,34,NULL,3,NULL,3),(20,223,1,17,35,3,2,1,1),(20,223,1,17,36,2,1,2,1),(20,223,1,17,37,2,1,2,1),(20,223,1,17,38,2,1,1,1),(20,223,1,17,39,1,5,1,3),(20,223,1,17,40,3,3,2,2),(20,223,2,21,1,1,1,1,NULL),(20,223,2,21,2,NULL,NULL,NULL,NULL),(20,223,2,21,3,1,NULL,NULL,NULL),(20,223,2,21,4,3,2,3,NULL),(20,223,2,21,5,NULL,1,NULL,NULL),(20,223,2,21,6,NULL,2,NULL,2),(20,223,2,21,7,NULL,1,NULL,NULL),(20,223,2,21,8,1,NULL,1,NULL),(20,223,2,21,9,3,2,2,1),(20,223,2,21,10,1,3,1,1),(20,223,2,21,11,1,4,1,2),(20,223,2,21,12,NULL,2,NULL,NULL),(20,223,2,21,13,4,1,3,1),(20,223,2,21,14,3,4,2,1),(20,223,2,21,15,2,2,1,1),(20,223,2,21,16,1,4,1,2),(20,223,2,21,17,1,NULL,1,NULL),(20,223,2,21,18,NULL,1,NULL,1),(20,223,2,21,19,1,1,1,1),(20,223,2,21,20,NULL,3,NULL,3),(20,223,2,21,21,NULL,NULL,NULL,NULL),(20,223,2,21,22,NULL,3,NULL,2),(20,223,2,21,23,NULL,NULL,NULL,NULL),(20,223,2,21,24,NULL,1,NULL,NULL),(20,223,2,21,25,1,3,1,1),(20,223,2,21,26,NULL,1,NULL,NULL),(20,223,2,21,27,NULL,1,NULL,1),(20,223,2,21,28,1,2,NULL,1),(20,223,2,21,29,NULL,NULL,NULL,NULL),(20,223,2,21,30,NULL,2,NULL,1),(20,223,2,21,31,1,1,1,1),(20,223,2,21,32,1,1,1,1),(20,223,2,21,33,1,3,1,2),(20,223,2,21,34,1,3,NULL,3),(20,223,2,21,35,NULL,1,NULL,NULL),(20,223,2,21,36,2,2,2,1),(20,223,2,21,37,NULL,2,NULL,1),(20,223,2,21,38,NULL,1,NULL,NULL),(20,223,2,21,39,1,NULL,1,NULL),(20,223,2,21,40,2,1,1,1),(20,223,2,22,1,NULL,2,NULL,1),(20,223,2,22,2,NULL,2,NULL,2),(20,223,2,22,3,2,3,NULL,2),(20,223,2,22,4,NULL,1,NULL,NULL),(20,223,2,22,5,NULL,1,NULL,1),(20,223,2,22,6,1,2,1,2),(20,223,2,22,7,1,2,1,1),(20,223,2,22,8,1,NULL,1,NULL),(20,223,2,22,9,NULL,2,NULL,NULL),(20,223,2,22,10,NULL,3,NULL,2),(20,223,2,22,11,1,2,NULL,1),(20,223,2,22,12,NULL,1,NULL,1),(20,223,2,22,13,1,6,1,2),(20,223,2,22,14,2,3,2,1),(20,223,2,22,15,5,1,3,1),(20,223,2,22,16,1,2,NULL,2),(20,223,2,22,17,NULL,4,NULL,1),(20,223,2,22,18,NULL,1,NULL,1),(20,223,2,22,19,1,1,1,NULL),(20,223,2,22,20,NULL,NULL,NULL,NULL),(20,223,2,22,21,1,NULL,1,NULL),(20,223,2,22,22,NULL,4,NULL,2),(20,223,2,22,23,NULL,1,NULL,NULL),(20,223,2,22,24,NULL,NULL,NULL,NULL),(20,223,2,22,25,1,5,NULL,3),(20,223,2,22,26,NULL,1,NULL,1),(20,223,2,22,27,NULL,NULL,NULL,NULL),(20,223,2,22,28,1,2,1,1),(20,223,2,22,29,NULL,1,NULL,1),(20,223,2,22,30,NULL,NULL,NULL,NULL),(20,223,2,22,31,NULL,2,NULL,1),(20,223,2,22,32,NULL,1,NULL,1),(20,223,2,22,33,2,4,1,2),(20,223,2,22,34,1,1,1,NULL),(20,223,2,22,35,NULL,NULL,NULL,NULL),(20,223,2,22,36,NULL,5,NULL,1),(20,223,2,22,37,NULL,1,NULL,NULL),(20,223,2,22,38,1,1,NULL,1),(20,223,2,22,39,NULL,NULL,NULL,NULL),(20,223,2,22,40,1,2,1,2),(20,223,2,23,1,NULL,4,NULL,2),(20,223,2,23,2,NULL,1,NULL,NULL),(20,223,2,23,3,1,5,1,3),(20,223,2,23,4,1,1,1,1),(20,223,2,23,5,1,1,NULL,1),(20,223,2,23,6,2,2,2,NULL),(20,223,2,23,7,NULL,5,NULL,4),(20,223,2,23,8,NULL,NULL,NULL,NULL),(20,223,2,23,9,4,7,2,4),(20,223,2,23,10,NULL,4,NULL,3),(20,223,2,23,11,2,2,NULL,2),(20,223,2,23,12,NULL,3,NULL,2),(20,223,2,23,13,3,6,2,4),(20,223,2,23,14,6,2,3,2),(20,223,2,23,15,5,NULL,2,NULL),(20,223,2,23,16,2,4,2,3),(20,223,2,23,17,NULL,2,NULL,1),(20,223,2,23,18,NULL,4,NULL,4),(20,223,2,23,19,NULL,4,NULL,3),(20,223,2,23,20,2,3,2,1),(20,223,2,23,21,NULL,NULL,NULL,NULL),(20,223,2,23,22,1,5,NULL,4),(20,223,2,23,23,NULL,NULL,NULL,NULL),(20,223,2,23,24,NULL,2,NULL,1),(20,223,2,23,25,NULL,4,NULL,4),(20,223,2,23,26,NULL,2,NULL,2),(20,223,2,23,27,NULL,1,NULL,NULL),(20,223,2,23,28,1,3,1,3),(20,223,2,23,29,NULL,1,NULL,NULL),(20,223,2,23,30,2,1,NULL,1),(20,223,2,23,31,1,2,1,1),(20,223,2,23,32,NULL,6,NULL,5),(20,223,2,23,33,NULL,5,NULL,3),(20,223,2,23,34,1,3,1,1),(20,223,2,23,35,NULL,2,NULL,1),(20,223,2,23,36,1,3,NULL,2),(20,223,2,23,37,NULL,2,NULL,2),(20,223,2,23,38,NULL,NULL,NULL,NULL),(20,223,2,23,39,NULL,1,NULL,1),(20,223,2,23,40,1,2,1,1),(20,223,2,24,1,NULL,3,NULL,2),(20,223,2,24,2,NULL,1,NULL,NULL),(20,223,2,24,3,NULL,2,NULL,2),(20,223,2,24,4,1,4,NULL,2),(20,223,2,24,5,1,3,1,2),(20,223,2,24,6,NULL,5,NULL,3),(20,223,2,24,7,NULL,4,NULL,2),(20,223,2,24,8,1,NULL,1,NULL),(20,223,2,24,9,1,6,NULL,5),(20,223,2,24,10,NULL,2,NULL,2),(20,223,2,24,11,1,3,1,1),(20,223,2,24,12,NULL,2,NULL,2),(20,223,2,24,13,1,5,1,3),(20,223,2,24,14,2,7,1,3),(20,223,2,24,15,4,NULL,4,NULL),(20,223,2,24,16,1,3,1,2),(20,223,2,24,17,NULL,NULL,NULL,NULL),(20,223,2,24,18,NULL,1,NULL,1),(20,223,2,24,19,1,4,1,2),(20,223,2,24,20,1,1,1,1),(20,223,2,24,21,1,NULL,1,NULL),(20,223,2,24,22,NULL,4,NULL,1),(20,223,2,24,23,NULL,1,NULL,NULL),(20,223,2,24,24,NULL,1,NULL,1),(20,223,2,24,25,NULL,4,NULL,3),(20,223,2,24,26,1,2,NULL,2),(20,223,2,24,27,NULL,NULL,NULL,NULL),(20,223,2,24,28,NULL,1,NULL,1),(20,223,2,24,29,1,1,1,1),(20,223,2,24,30,NULL,4,NULL,1),(20,223,2,24,31,NULL,3,NULL,1),(20,223,2,24,32,1,1,1,1),(20,223,2,24,33,1,1,1,1),(20,223,2,24,34,NULL,2,NULL,1),(20,223,2,24,35,NULL,3,NULL,1),(20,223,2,24,36,NULL,3,NULL,2),(20,223,2,24,37,NULL,2,NULL,1),(20,223,2,24,38,NULL,1,NULL,NULL),(20,223,2,24,39,NULL,1,NULL,1),(20,223,2,24,40,1,4,NULL,3),(20,224,1,11,1,NULL,NULL,NULL,NULL),(20,224,1,11,2,NULL,NULL,NULL,NULL),(20,224,1,11,3,NULL,NULL,NULL,NULL),(20,224,1,11,4,NULL,NULL,NULL,NULL),(20,224,1,11,5,NULL,NULL,NULL,NULL),(20,224,1,11,6,NULL,NULL,NULL,NULL),(20,224,1,11,7,NULL,NULL,NULL,NULL),(20,224,1,11,8,NULL,NULL,NULL,NULL),(20,224,1,11,9,NULL,NULL,NULL,NULL),(20,224,1,11,10,NULL,NULL,NULL,NULL),(20,224,1,11,11,NULL,NULL,NULL,NULL),(20,224,1,11,12,NULL,NULL,NULL,NULL),(20,224,1,11,13,NULL,NULL,NULL,NULL),(20,224,1,11,14,NULL,NULL,NULL,NULL),(20,224,1,11,15,NULL,NULL,NULL,NULL),(20,224,1,11,16,NULL,NULL,NULL,NULL),(20,224,1,11,17,NULL,NULL,NULL,NULL),(20,224,1,11,18,NULL,NULL,NULL,NULL),(20,224,1,11,19,NULL,NULL,NULL,NULL),(20,224,1,11,20,NULL,NULL,NULL,NULL),(20,224,1,11,21,NULL,NULL,NULL,NULL),(20,224,1,11,22,NULL,NULL,NULL,NULL),(20,224,1,11,23,NULL,NULL,NULL,NULL),(20,224,1,11,24,NULL,NULL,NULL,NULL),(20,224,1,11,25,NULL,NULL,NULL,NULL),(20,224,1,11,26,NULL,NULL,NULL,NULL),(20,224,1,11,27,NULL,NULL,NULL,NULL),(20,224,1,11,28,NULL,NULL,NULL,NULL),(20,224,1,11,29,NULL,NULL,NULL,NULL),(20,224,1,11,30,NULL,NULL,NULL,NULL),(20,224,1,11,31,NULL,NULL,NULL,NULL),(20,224,1,11,32,NULL,NULL,NULL,NULL),(20,224,1,11,33,NULL,NULL,NULL,NULL),(20,224,1,11,34,NULL,NULL,NULL,NULL),(20,224,1,11,35,NULL,NULL,NULL,NULL),(20,224,1,11,36,NULL,NULL,NULL,NULL),(20,224,1,11,37,NULL,NULL,NULL,NULL),(20,224,1,11,38,NULL,NULL,NULL,NULL),(20,224,1,11,39,NULL,NULL,NULL,NULL),(20,224,1,11,40,NULL,NULL,NULL,NULL),(20,224,1,12,1,NULL,NULL,NULL,NULL),(20,224,1,12,2,NULL,NULL,NULL,NULL),(20,224,1,12,3,NULL,NULL,NULL,NULL),(20,224,1,12,4,NULL,NULL,NULL,NULL),(20,224,1,12,5,NULL,NULL,NULL,NULL),(20,224,1,12,6,NULL,NULL,NULL,NULL),(20,224,1,12,7,NULL,NULL,NULL,NULL),(20,224,1,12,8,NULL,NULL,NULL,NULL),(20,224,1,12,9,NULL,NULL,NULL,NULL),(20,224,1,12,10,NULL,NULL,NULL,NULL),(20,224,1,12,11,NULL,NULL,NULL,NULL),(20,224,1,12,12,NULL,NULL,NULL,NULL),(20,224,1,12,13,NULL,NULL,NULL,NULL),(20,224,1,12,14,1,NULL,NULL,NULL),(20,224,1,12,15,NULL,NULL,NULL,NULL),(20,224,1,12,16,NULL,NULL,NULL,NULL),(20,224,1,12,17,1,NULL,NULL,NULL),(20,224,1,12,18,1,NULL,NULL,NULL),(20,224,1,12,19,NULL,1,NULL,NULL),(20,224,1,12,20,NULL,NULL,NULL,NULL),(20,224,1,12,21,NULL,NULL,NULL,NULL),(20,224,1,12,22,NULL,NULL,NULL,NULL),(20,224,1,12,23,NULL,1,NULL,NULL),(20,224,1,12,24,NULL,NULL,NULL,NULL),(20,224,1,12,25,NULL,NULL,NULL,NULL),(20,224,1,12,26,NULL,NULL,NULL,NULL),(20,224,1,12,27,1,NULL,NULL,NULL),(20,224,1,12,28,NULL,NULL,NULL,NULL),(20,224,1,12,29,NULL,NULL,NULL,NULL),(20,224,1,12,30,NULL,NULL,NULL,NULL),(20,224,1,12,31,NULL,NULL,NULL,NULL),(20,224,1,12,32,1,NULL,NULL,NULL),(20,224,1,12,33,NULL,NULL,NULL,NULL),(20,224,1,12,34,NULL,NULL,NULL,NULL),(20,224,1,12,35,NULL,NULL,NULL,NULL),(20,224,1,12,36,NULL,NULL,NULL,NULL),(20,224,1,12,37,NULL,NULL,NULL,NULL),(20,224,1,12,38,NULL,NULL,NULL,NULL),(20,224,1,12,39,NULL,1,NULL,NULL),(20,224,1,12,40,NULL,NULL,NULL,NULL),(20,224,1,13,1,NULL,NULL,NULL,NULL),(20,224,1,13,2,NULL,NULL,NULL,NULL),(20,224,1,13,3,NULL,NULL,NULL,NULL),(20,224,1,13,4,NULL,NULL,NULL,NULL),(20,224,1,13,5,NULL,NULL,NULL,NULL),(20,224,1,13,6,NULL,NULL,NULL,NULL),(20,224,1,13,7,NULL,NULL,NULL,NULL),(20,224,1,13,8,NULL,NULL,NULL,NULL),(20,224,1,13,9,NULL,NULL,NULL,NULL),(20,224,1,13,10,NULL,NULL,NULL,NULL),(20,224,1,13,11,NULL,NULL,NULL,NULL),(20,224,1,13,12,NULL,NULL,NULL,NULL),(20,224,1,13,13,NULL,NULL,NULL,NULL),(20,224,1,13,14,NULL,NULL,NULL,NULL),(20,224,1,13,15,NULL,NULL,NULL,NULL),(20,224,1,13,16,NULL,NULL,NULL,NULL),(20,224,1,13,17,NULL,NULL,NULL,NULL),(20,224,1,13,18,NULL,NULL,NULL,NULL),(20,224,1,13,19,NULL,NULL,NULL,NULL),(20,224,1,13,20,NULL,NULL,NULL,NULL),(20,224,1,13,21,NULL,NULL,NULL,NULL),(20,224,1,13,22,NULL,NULL,NULL,NULL),(20,224,1,13,23,NULL,NULL,NULL,NULL),(20,224,1,13,24,NULL,NULL,NULL,NULL),(20,224,1,13,25,NULL,NULL,NULL,NULL),(20,224,1,13,26,NULL,NULL,NULL,NULL),(20,224,1,13,27,NULL,NULL,NULL,NULL),(20,224,1,13,28,NULL,NULL,NULL,NULL),(20,224,1,13,29,NULL,NULL,NULL,NULL),(20,224,1,13,30,NULL,NULL,NULL,NULL),(20,224,1,13,31,NULL,NULL,NULL,NULL),(20,224,1,13,32,NULL,NULL,NULL,NULL),(20,224,1,13,33,NULL,NULL,NULL,NULL),(20,224,1,13,34,NULL,NULL,NULL,NULL),(20,224,1,13,35,NULL,NULL,NULL,NULL),(20,224,1,13,36,NULL,NULL,NULL,NULL),(20,224,1,13,37,NULL,NULL,NULL,NULL),(20,224,1,13,38,NULL,NULL,NULL,NULL),(20,224,1,13,39,NULL,NULL,NULL,NULL),(20,224,1,13,40,NULL,NULL,NULL,NULL),(20,224,1,14,1,1,2,1,NULL),(20,224,1,14,2,NULL,NULL,NULL,NULL),(20,224,1,14,3,1,2,NULL,1),(20,224,1,14,4,1,2,NULL,2),(20,224,1,14,5,4,2,2,2),(20,224,1,14,6,NULL,2,NULL,2),(20,224,1,14,7,NULL,1,NULL,1),(20,224,1,14,8,1,1,1,NULL),(20,224,1,14,9,3,2,2,2),(20,224,1,14,10,1,1,NULL,1),(20,224,1,14,11,NULL,1,NULL,1),(20,224,1,14,12,NULL,1,NULL,1),(20,224,1,14,13,1,NULL,1,NULL),(20,224,1,14,14,1,4,1,1),(20,224,1,14,15,2,1,2,1),(20,224,1,14,16,2,1,1,1),(20,224,1,14,17,NULL,4,NULL,3),(20,224,1,14,18,3,1,2,NULL),(20,224,1,14,19,NULL,3,NULL,3),(20,224,1,14,20,NULL,2,NULL,1),(20,224,1,14,21,1,1,1,NULL),(20,224,1,14,22,NULL,1,NULL,1),(20,224,1,14,23,1,4,1,3),(20,224,1,14,24,1,1,NULL,1),(20,224,1,14,25,2,1,2,NULL),(20,224,1,14,26,NULL,NULL,NULL,NULL),(20,224,1,14,27,1,1,1,NULL),(20,224,1,14,28,1,1,1,1),(20,224,1,14,29,1,1,NULL,1),(20,224,1,14,30,NULL,1,NULL,NULL),(20,224,1,14,31,NULL,NULL,NULL,NULL),(20,224,1,14,32,NULL,2,NULL,1),(20,224,1,14,33,NULL,1,NULL,1),(20,224,1,14,34,NULL,2,NULL,1),(20,224,1,14,35,1,NULL,1,NULL),(20,224,1,14,36,NULL,2,NULL,2),(20,224,1,14,37,2,1,1,NULL),(20,224,1,14,38,2,1,NULL,1),(20,224,1,14,39,2,1,1,NULL),(20,224,1,14,40,NULL,NULL,NULL,NULL),(20,224,1,15,1,NULL,NULL,NULL,NULL),(20,224,1,15,2,NULL,1,NULL,NULL),(20,224,1,15,3,NULL,NULL,NULL,NULL),(20,224,1,15,4,NULL,NULL,NULL,NULL),(20,224,1,15,5,NULL,1,NULL,1),(20,224,1,15,6,1,2,1,1),(20,224,1,15,7,1,1,1,NULL),(20,224,1,15,8,1,NULL,NULL,NULL),(20,224,1,15,9,1,2,1,1),(20,224,1,15,10,NULL,NULL,NULL,NULL),(20,224,1,15,11,NULL,1,NULL,NULL),(20,224,1,15,12,NULL,2,NULL,1),(20,224,1,15,13,2,2,1,2),(20,224,1,15,14,1,NULL,1,NULL),(20,224,1,15,15,NULL,2,NULL,2),(20,224,1,15,16,1,NULL,NULL,NULL),(20,224,1,15,17,NULL,1,NULL,NULL),(20,224,1,15,18,1,2,1,1),(20,224,1,15,19,1,NULL,1,NULL),(20,224,1,15,20,1,1,NULL,1),(20,224,1,15,21,1,1,NULL,1),(20,224,1,15,22,NULL,1,NULL,1),(20,224,1,15,23,1,NULL,1,NULL),(20,224,1,15,24,2,NULL,1,NULL),(20,224,1,15,25,1,2,NULL,2),(20,224,1,15,26,2,NULL,2,NULL),(20,224,1,15,27,1,2,NULL,2),(20,224,1,15,28,NULL,1,NULL,1),(20,224,1,15,29,NULL,1,NULL,1),(20,224,1,15,30,NULL,1,NULL,1),(20,224,1,15,31,2,2,NULL,2),(20,224,1,15,32,NULL,NULL,NULL,NULL),(20,224,1,15,33,NULL,NULL,NULL,NULL),(20,224,1,15,34,NULL,2,NULL,1),(20,224,1,15,35,NULL,1,NULL,NULL),(20,224,1,15,36,NULL,1,NULL,1),(20,224,1,15,37,NULL,1,NULL,1),(20,224,1,15,38,NULL,NULL,NULL,NULL),(20,224,1,15,39,NULL,1,NULL,1),(20,224,1,15,40,1,NULL,NULL,NULL),(20,224,1,16,1,1,2,1,2),(20,224,1,16,2,1,1,1,NULL),(20,224,1,16,3,NULL,1,NULL,1),(20,224,1,16,4,1,4,1,3),(20,224,1,16,5,1,1,1,1),(20,224,1,16,6,2,5,2,5),(20,224,1,16,7,NULL,2,NULL,2),(20,224,1,16,8,4,2,4,2),(20,224,1,16,9,4,4,3,3),(20,224,1,16,10,2,3,2,2),(20,224,1,16,11,1,2,1,1),(20,224,1,16,12,NULL,1,NULL,NULL),(20,224,1,16,13,1,4,NULL,3),(20,224,1,16,14,NULL,2,NULL,2),(20,224,1,16,15,4,1,4,NULL),(20,224,1,16,16,NULL,2,NULL,2),(20,224,1,16,17,7,3,5,2),(20,224,1,16,18,NULL,4,NULL,3),(20,224,1,16,19,5,3,2,2),(20,224,1,16,20,NULL,4,NULL,4),(20,224,1,16,21,NULL,5,NULL,1),(20,224,1,16,22,1,2,1,2),(20,224,1,16,23,2,5,2,4),(20,224,1,16,24,1,4,NULL,3),(20,224,1,16,25,2,2,2,1),(20,224,1,16,26,NULL,NULL,NULL,NULL),(20,224,1,16,27,NULL,5,NULL,3),(20,224,1,16,28,NULL,NULL,NULL,NULL),(20,224,1,16,29,NULL,5,NULL,3),(20,224,1,16,30,NULL,4,NULL,2),(20,224,1,16,31,1,6,1,5),(20,224,1,16,32,2,3,2,NULL),(20,224,1,16,33,NULL,1,NULL,1),(20,224,1,16,34,1,1,1,1),(20,224,1,16,35,1,1,1,NULL),(20,224,1,16,36,1,5,1,4),(20,224,1,16,37,3,1,2,1),(20,224,1,16,38,NULL,2,NULL,2),(20,224,1,16,39,4,5,4,2),(20,224,1,16,40,2,3,2,1),(20,224,1,17,1,3,4,3,3),(20,224,1,17,2,2,1,1,1),(20,224,1,17,3,NULL,2,NULL,1),(20,224,1,17,4,4,4,3,3),(20,224,1,17,5,2,6,2,4),(20,224,1,17,6,4,5,4,2),(20,224,1,17,7,2,3,2,3),(20,224,1,17,8,5,1,5,1),(20,224,1,17,9,4,5,4,3),(20,224,1,17,10,2,4,2,2),(20,224,1,17,11,NULL,NULL,NULL,NULL),(20,224,1,17,12,5,4,5,1),(20,224,1,17,13,5,6,5,4),(20,224,1,17,14,NULL,1,NULL,NULL),(20,224,1,17,15,5,NULL,3,NULL),(20,224,1,17,16,NULL,9,NULL,6),(20,224,1,17,17,6,8,6,6),(20,224,1,17,18,NULL,5,NULL,4),(20,224,1,17,19,8,6,5,4),(20,224,1,17,20,1,3,1,3),(20,224,1,17,21,3,1,2,NULL),(20,224,1,17,22,2,2,1,2),(20,224,1,17,23,1,9,1,7),(20,224,1,17,24,2,3,2,3),(20,224,1,17,25,NULL,6,NULL,4),(20,224,1,17,26,2,NULL,2,NULL),(20,224,1,17,27,1,4,1,3),(20,224,1,17,28,NULL,3,NULL,2),(20,224,1,17,29,5,1,3,1),(20,224,1,17,30,NULL,3,NULL,2),(20,224,1,17,31,2,3,1,1),(20,224,1,17,32,1,1,NULL,1),(20,224,1,17,33,NULL,2,NULL,2),(20,224,1,17,34,NULL,2,NULL,2),(20,224,1,17,35,1,5,NULL,2),(20,224,1,17,36,5,3,4,1),(20,224,1,17,37,3,2,2,1),(20,224,1,17,38,1,3,1,2),(20,224,1,17,39,7,3,5,2),(20,224,1,17,40,2,1,1,NULL),(20,224,2,21,1,NULL,3,NULL,1),(20,224,2,21,2,NULL,1,NULL,NULL),(20,224,2,21,3,2,4,1,1),(20,224,2,21,4,1,3,NULL,1),(20,224,2,21,5,2,1,2,NULL),(20,224,2,21,6,3,4,3,2),(20,224,2,21,7,2,3,2,NULL),(20,224,2,21,8,5,NULL,3,NULL),(20,224,2,21,9,6,8,2,6),(20,224,2,21,10,2,3,2,NULL),(20,224,2,21,11,3,4,1,1),(20,224,2,21,12,2,1,1,NULL),(20,224,2,21,13,7,3,4,1),(20,224,2,21,14,4,9,2,6),(20,224,2,21,15,6,3,2,1),(20,224,2,21,16,9,2,5,1),(20,224,2,21,17,2,3,1,2),(20,224,2,21,18,NULL,4,NULL,3),(20,224,2,21,19,1,4,1,3),(20,224,2,21,20,3,3,2,1),(20,224,2,21,21,NULL,NULL,NULL,NULL),(20,224,2,21,22,NULL,4,NULL,1),(20,224,2,21,23,1,1,1,1),(20,224,2,21,24,NULL,NULL,NULL,NULL),(20,224,2,21,25,1,4,1,3),(20,224,2,21,26,NULL,1,NULL,1),(20,224,2,21,27,NULL,NULL,NULL,NULL),(20,224,2,21,28,2,4,NULL,2),(20,224,2,21,29,1,1,1,NULL),(20,224,2,21,30,NULL,NULL,NULL,NULL),(20,224,2,21,31,1,2,1,1),(20,224,2,21,32,NULL,4,NULL,2),(20,224,2,21,33,1,5,1,3),(20,224,2,21,34,NULL,4,NULL,2),(20,224,2,21,35,1,3,1,2),(20,224,2,21,36,NULL,4,NULL,1),(20,224,2,21,37,1,2,1,1),(20,224,2,21,38,NULL,4,NULL,3),(20,224,2,21,39,NULL,1,NULL,1),(20,224,2,21,40,1,3,1,1),(20,224,2,22,1,NULL,2,NULL,NULL),(20,224,2,22,2,NULL,1,NULL,1),(20,224,2,22,3,1,2,1,2),(20,224,2,22,4,2,1,2,1),(20,224,2,22,5,NULL,NULL,NULL,NULL),(20,224,2,22,6,2,2,2,2),(20,224,2,22,7,1,NULL,NULL,NULL),(20,224,2,22,8,2,NULL,1,NULL),(20,224,2,22,9,4,4,4,2),(20,224,2,22,10,NULL,1,NULL,1),(20,224,2,22,11,2,NULL,1,NULL),(20,224,2,22,12,NULL,1,NULL,1),(20,224,2,22,13,4,4,3,3),(20,224,2,22,14,8,1,5,1),(20,224,2,22,15,3,4,3,2),(20,224,2,22,16,2,2,2,1),(20,224,2,22,17,2,1,2,1),(20,224,2,22,18,NULL,3,NULL,2),(20,224,2,22,19,1,6,1,4),(20,224,2,22,20,NULL,8,NULL,5),(20,224,2,22,21,NULL,NULL,NULL,NULL),(20,224,2,22,22,NULL,1,NULL,1),(20,224,2,22,23,NULL,NULL,NULL,NULL),(20,224,2,22,24,1,NULL,NULL,NULL),(20,224,2,22,25,1,1,NULL,1),(20,224,2,22,26,NULL,1,NULL,NULL),(20,224,2,22,27,NULL,1,NULL,NULL),(20,224,2,22,28,6,NULL,4,NULL),(20,224,2,22,29,NULL,2,NULL,2),(20,224,2,22,30,1,1,NULL,1),(20,224,2,22,31,NULL,2,NULL,1),(20,224,2,22,32,NULL,5,NULL,2),(20,224,2,22,33,NULL,6,NULL,4),(20,224,2,22,34,NULL,1,NULL,1),(20,224,2,22,35,NULL,2,NULL,1),(20,224,2,22,36,NULL,2,NULL,2),(20,224,2,22,37,NULL,1,NULL,1),(20,224,2,22,38,NULL,NULL,NULL,NULL),(20,224,2,22,39,NULL,2,NULL,2),(20,224,2,22,40,NULL,2,NULL,2),(20,224,2,23,1,NULL,NULL,NULL,NULL),(20,224,2,23,2,NULL,NULL,NULL,NULL),(20,224,2,23,3,NULL,NULL,NULL,NULL),(20,224,2,23,4,NULL,1,NULL,NULL),(20,224,2,23,5,NULL,NULL,NULL,NULL),(20,224,2,23,6,1,NULL,1,NULL),(20,224,2,23,7,NULL,NULL,NULL,NULL),(20,224,2,23,8,NULL,NULL,NULL,NULL),(20,224,2,23,9,NULL,4,NULL,1),(20,224,2,23,10,NULL,NULL,NULL,NULL),(20,224,2,23,11,1,NULL,NULL,NULL),(20,224,2,23,12,NULL,NULL,NULL,NULL),(20,224,2,23,13,1,1,NULL,1),(20,224,2,23,14,2,NULL,2,NULL),(20,224,2,23,15,NULL,1,NULL,NULL),(20,224,2,23,16,2,NULL,NULL,NULL),(20,224,2,23,17,NULL,1,NULL,1),(20,224,2,23,18,NULL,1,NULL,1),(20,224,2,23,19,NULL,1,NULL,NULL),(20,224,2,23,20,1,NULL,1,NULL),(20,224,2,23,21,NULL,NULL,NULL,NULL),(20,224,2,23,22,2,NULL,1,NULL),(20,224,2,23,23,NULL,NULL,NULL,NULL),(20,224,2,23,24,1,NULL,NULL,NULL),(20,224,2,23,25,1,1,NULL,NULL),(20,224,2,23,26,NULL,NULL,NULL,NULL),(20,224,2,23,27,NULL,1,NULL,NULL),(20,224,2,23,28,NULL,NULL,NULL,NULL),(20,224,2,23,29,1,NULL,NULL,NULL),(20,224,2,23,30,NULL,NULL,NULL,NULL),(20,224,2,23,31,NULL,1,NULL,NULL),(20,224,2,23,32,1,1,NULL,1),(20,224,2,23,33,NULL,1,NULL,1),(20,224,2,23,34,NULL,1,NULL,1),(20,224,2,23,35,NULL,NULL,NULL,NULL),(20,224,2,23,36,NULL,NULL,NULL,NULL),(20,224,2,23,37,NULL,NULL,NULL,NULL),(20,224,2,23,38,NULL,NULL,NULL,NULL),(20,224,2,23,39,1,NULL,1,NULL),(20,224,2,23,40,NULL,2,NULL,1),(20,224,2,24,1,1,2,NULL,2),(20,224,2,24,2,NULL,1,NULL,1),(20,224,2,24,3,3,2,3,2),(20,224,2,24,4,2,1,1,1),(20,224,2,24,5,1,1,1,NULL),(20,224,2,24,6,2,1,2,NULL),(20,224,2,24,7,NULL,3,NULL,2),(20,224,2,24,8,NULL,NULL,NULL,NULL),(20,224,2,24,9,2,7,2,5),(20,224,2,24,10,NULL,1,NULL,NULL),(20,224,2,24,11,1,2,1,2),(20,224,2,24,12,NULL,NULL,NULL,NULL),(20,224,2,24,13,5,5,5,4),(20,224,2,24,14,3,5,3,4),(20,224,2,24,15,3,3,2,3),(20,224,2,24,16,5,1,5,1),(20,224,2,24,17,NULL,3,NULL,3),(20,224,2,24,18,NULL,3,NULL,3),(20,224,2,24,19,1,3,1,2),(20,224,2,24,20,2,2,2,2),(20,224,2,24,21,NULL,NULL,NULL,NULL),(20,224,2,24,22,1,2,1,2),(20,224,2,24,23,NULL,1,NULL,1),(20,224,2,24,24,NULL,NULL,NULL,NULL),(20,224,2,24,25,2,2,1,1),(20,224,2,24,26,2,NULL,2,NULL),(20,224,2,24,27,NULL,2,NULL,2),(20,224,2,24,28,4,1,4,1),(20,224,2,24,29,NULL,2,NULL,2),(20,224,2,24,30,NULL,2,NULL,1),(20,224,2,24,31,NULL,3,NULL,3),(20,224,2,24,32,NULL,2,NULL,2),(20,224,2,24,33,3,6,3,4),(20,224,2,24,34,NULL,3,NULL,3),(20,224,2,24,35,NULL,3,NULL,3),(20,224,2,24,36,1,2,1,1),(20,224,2,24,37,1,NULL,1,NULL),(20,224,2,24,38,NULL,1,NULL,1),(20,224,2,24,39,NULL,2,NULL,1),(20,224,2,24,40,2,NULL,1,NULL),(20,225,1,11,1,NULL,NULL,NULL,NULL),(20,225,1,11,2,NULL,NULL,NULL,NULL),(20,225,1,11,3,NULL,NULL,NULL,NULL),(20,225,1,11,4,NULL,1,NULL,1),(20,225,1,11,5,NULL,NULL,NULL,NULL),(20,225,1,11,6,1,NULL,1,NULL),(20,225,1,11,7,NULL,NULL,NULL,NULL),(20,225,1,11,8,NULL,NULL,NULL,NULL),(20,225,1,11,9,1,NULL,1,NULL),(20,225,1,11,10,NULL,NULL,NULL,NULL),(20,225,1,11,11,NULL,NULL,NULL,NULL),(20,225,1,11,12,NULL,NULL,NULL,NULL),(20,225,1,11,13,NULL,1,NULL,1),(20,225,1,11,14,NULL,1,NULL,1),(20,225,1,11,15,1,NULL,1,NULL),(20,225,1,11,16,NULL,1,NULL,1),(20,225,1,11,17,NULL,1,NULL,1),(20,225,1,11,18,NULL,1,NULL,1),(20,225,1,11,19,NULL,1,NULL,1),(20,225,1,11,20,NULL,1,NULL,1),(20,225,1,11,21,NULL,NULL,NULL,NULL),(20,225,1,11,22,NULL,1,NULL,1),(20,225,1,11,23,NULL,1,NULL,1),(20,225,1,11,24,NULL,NULL,NULL,NULL),(20,225,1,11,25,1,NULL,1,NULL),(20,225,1,11,26,NULL,NULL,NULL,NULL),(20,225,1,11,27,1,NULL,1,NULL),(20,225,1,11,28,NULL,NULL,NULL,NULL),(20,225,1,11,29,NULL,NULL,NULL,NULL),(20,225,1,11,30,NULL,NULL,NULL,NULL),(20,225,1,11,31,NULL,NULL,NULL,NULL),(20,225,1,11,32,NULL,NULL,NULL,NULL),(20,225,1,11,33,NULL,NULL,NULL,NULL),(20,225,1,11,34,NULL,NULL,NULL,NULL),(20,225,1,11,35,NULL,NULL,NULL,NULL),(20,225,1,11,36,NULL,NULL,NULL,NULL),(20,225,1,11,37,NULL,NULL,NULL,NULL),(20,225,1,11,38,NULL,NULL,NULL,NULL),(20,225,1,11,39,1,NULL,1,NULL),(20,225,1,11,40,NULL,NULL,NULL,NULL),(20,225,1,12,1,NULL,NULL,NULL,NULL),(20,225,1,12,2,NULL,NULL,NULL,NULL),(20,225,1,12,3,NULL,NULL,NULL,NULL),(20,225,1,12,4,NULL,NULL,NULL,NULL),(20,225,1,12,5,NULL,NULL,NULL,NULL),(20,225,1,12,6,NULL,NULL,NULL,NULL),(20,225,1,12,7,NULL,NULL,NULL,NULL),(20,225,1,12,8,NULL,NULL,NULL,NULL),(20,225,1,12,9,NULL,NULL,NULL,NULL),(20,225,1,12,10,NULL,NULL,NULL,NULL),(20,225,1,12,11,NULL,NULL,NULL,NULL),(20,225,1,12,12,NULL,NULL,NULL,NULL),(20,225,1,12,13,NULL,NULL,NULL,NULL),(20,225,1,12,14,NULL,NULL,NULL,NULL),(20,225,1,12,15,NULL,NULL,NULL,NULL),(20,225,1,12,16,NULL,NULL,NULL,NULL),(20,225,1,12,17,NULL,NULL,NULL,NULL),(20,225,1,12,18,NULL,NULL,NULL,NULL),(20,225,1,12,19,NULL,NULL,NULL,NULL),(20,225,1,12,20,NULL,NULL,NULL,NULL),(20,225,1,12,21,NULL,NULL,NULL,NULL),(20,225,1,12,22,NULL,NULL,NULL,NULL),(20,225,1,12,23,NULL,NULL,NULL,NULL),(20,225,1,12,24,NULL,NULL,NULL,NULL),(20,225,1,12,25,NULL,NULL,NULL,NULL),(20,225,1,12,26,NULL,NULL,NULL,NULL),(20,225,1,12,27,NULL,NULL,NULL,NULL),(20,225,1,12,28,NULL,NULL,NULL,NULL),(20,225,1,12,29,NULL,NULL,NULL,NULL),(20,225,1,12,30,NULL,NULL,NULL,NULL),(20,225,1,12,31,NULL,NULL,NULL,NULL),(20,225,1,12,32,NULL,NULL,NULL,NULL),(20,225,1,12,33,NULL,NULL,NULL,NULL),(20,225,1,12,34,NULL,NULL,NULL,NULL),(20,225,1,12,35,NULL,NULL,NULL,NULL),(20,225,1,12,36,NULL,NULL,NULL,NULL),(20,225,1,12,37,NULL,NULL,NULL,NULL),(20,225,1,12,38,NULL,NULL,NULL,NULL),(20,225,1,12,39,NULL,NULL,NULL,NULL),(20,225,1,12,40,NULL,NULL,NULL,NULL),(20,225,1,13,1,NULL,NULL,NULL,NULL),(20,225,1,13,2,NULL,NULL,NULL,NULL),(20,225,1,13,3,NULL,NULL,NULL,NULL),(20,225,1,13,4,NULL,NULL,NULL,NULL),(20,225,1,13,5,NULL,NULL,NULL,NULL),(20,225,1,13,6,NULL,NULL,NULL,NULL),(20,225,1,13,7,NULL,NULL,NULL,NULL),(20,225,1,13,8,NULL,NULL,NULL,NULL),(20,225,1,13,9,NULL,NULL,NULL,NULL),(20,225,1,13,10,NULL,NULL,NULL,NULL),(20,225,1,13,11,NULL,NULL,NULL,NULL),(20,225,1,13,12,NULL,NULL,NULL,NULL),(20,225,1,13,13,NULL,NULL,NULL,NULL),(20,225,1,13,14,NULL,NULL,NULL,NULL),(20,225,1,13,15,NULL,NULL,NULL,NULL),(20,225,1,13,16,NULL,NULL,NULL,NULL),(20,225,1,13,17,NULL,NULL,NULL,NULL),(20,225,1,13,18,NULL,NULL,NULL,NULL),(20,225,1,13,19,NULL,NULL,NULL,NULL),(20,225,1,13,20,NULL,NULL,NULL,NULL),(20,225,1,13,21,NULL,NULL,NULL,NULL),(20,225,1,13,22,NULL,NULL,NULL,NULL),(20,225,1,13,23,NULL,NULL,NULL,NULL),(20,225,1,13,24,NULL,NULL,NULL,NULL),(20,225,1,13,25,NULL,NULL,NULL,NULL),(20,225,1,13,26,NULL,NULL,NULL,NULL),(20,225,1,13,27,NULL,NULL,NULL,NULL),(20,225,1,13,28,NULL,NULL,NULL,NULL),(20,225,1,13,29,NULL,NULL,NULL,NULL),(20,225,1,13,30,NULL,NULL,NULL,NULL),(20,225,1,13,31,NULL,NULL,NULL,NULL),(20,225,1,13,32,NULL,NULL,NULL,NULL),(20,225,1,13,33,NULL,NULL,NULL,NULL),(20,225,1,13,34,NULL,NULL,NULL,NULL),(20,225,1,13,35,NULL,NULL,NULL,NULL),(20,225,1,13,36,NULL,NULL,NULL,NULL),(20,225,1,13,37,NULL,NULL,NULL,NULL),(20,225,1,13,38,NULL,NULL,NULL,NULL),(20,225,1,13,39,NULL,NULL,NULL,NULL),(20,225,1,13,40,NULL,NULL,NULL,NULL),(20,225,1,14,1,2,2,1,1),(20,225,1,14,2,1,1,1,1),(20,225,1,14,3,1,2,NULL,2),(20,225,1,14,4,1,7,1,4),(20,225,1,14,5,2,4,1,2),(20,225,1,14,6,3,4,3,1),(20,225,1,14,7,NULL,4,NULL,2),(20,225,1,14,8,4,2,3,NULL),(20,225,1,14,9,NULL,6,NULL,4),(20,225,1,14,10,2,3,1,2),(20,225,1,14,11,NULL,2,NULL,1),(20,225,1,14,12,2,3,2,2),(20,225,1,14,13,4,3,4,2),(20,225,1,14,14,4,4,3,3),(20,225,1,14,15,4,3,1,2),(20,225,1,14,16,7,3,4,3),(20,225,1,14,17,2,7,2,4),(20,225,1,14,18,5,3,3,2),(20,225,1,14,19,4,2,3,2),(20,225,1,14,20,3,2,3,1),(20,225,1,14,21,NULL,1,NULL,1),(20,225,1,14,22,NULL,3,NULL,3),(20,225,1,14,23,1,9,NULL,7),(20,225,1,14,24,NULL,3,NULL,3),(20,225,1,14,25,1,7,NULL,4),(20,225,1,14,26,2,NULL,2,NULL),(20,225,1,14,27,1,6,NULL,4),(20,225,1,14,28,NULL,1,NULL,1),(20,225,1,14,29,1,1,NULL,1),(20,225,1,14,30,NULL,2,NULL,2),(20,225,1,14,31,2,5,2,2),(20,225,1,14,32,3,3,3,2),(20,225,1,14,33,2,1,1,1),(20,225,1,14,34,NULL,1,NULL,1),(20,225,1,14,35,2,3,1,1),(20,225,1,14,36,1,4,NULL,2),(20,225,1,14,37,4,3,3,1),(20,225,1,14,38,1,2,NULL,NULL),(20,225,1,14,39,3,6,2,5),(20,225,1,14,40,NULL,3,NULL,2),(20,225,1,15,1,2,5,2,4),(20,225,1,15,2,3,2,3,2),(20,225,1,15,3,1,1,1,1),(20,225,1,15,4,2,3,2,3),(20,225,1,15,5,5,3,5,3),(20,225,1,15,6,4,5,4,5),(20,225,1,15,7,NULL,6,NULL,6),(20,225,1,15,8,5,1,5,1),(20,225,1,15,9,7,4,6,4),(20,225,1,15,10,NULL,2,NULL,2),(20,225,1,15,11,1,2,1,2),(20,225,1,15,12,1,1,1,1),(20,225,1,15,13,6,3,6,3),(20,225,1,15,14,5,8,4,7),(20,225,1,15,15,4,1,4,1),(20,225,1,15,16,7,5,7,5),(20,225,1,15,17,5,7,5,7),(20,225,1,15,18,9,1,8,1),(20,225,1,15,19,5,1,5,1),(20,225,1,15,20,11,1,11,1),(20,225,1,15,21,1,3,1,2),(20,225,1,15,22,2,5,2,5),(20,225,1,15,23,1,4,1,3),(20,225,1,15,24,NULL,2,NULL,2),(20,225,1,15,25,1,6,1,5),(20,225,1,15,26,2,NULL,2,NULL),(20,225,1,15,27,2,6,2,6),(20,225,1,15,28,1,1,1,NULL),(20,225,1,15,29,NULL,3,NULL,3),(20,225,1,15,30,NULL,4,NULL,4),(20,225,1,15,31,3,5,3,4),(20,225,1,15,32,1,3,1,3),(20,225,1,15,33,3,3,3,3),(20,225,1,15,34,NULL,2,NULL,2),(20,225,1,15,35,2,3,2,3),(20,225,1,15,36,2,6,2,5),(20,225,1,15,37,3,3,3,3),(20,225,1,15,38,NULL,2,NULL,2),(20,225,1,15,39,8,6,8,5),(20,225,1,15,40,2,1,2,1),(20,225,1,16,1,2,NULL,2,NULL),(20,225,1,16,2,1,2,NULL,2),(20,225,1,16,3,1,NULL,1,NULL),(20,225,1,16,4,2,2,2,1),(20,225,1,16,5,NULL,1,NULL,1),(20,225,1,16,6,3,5,3,4),(20,225,1,16,7,1,4,NULL,2),(20,225,1,16,8,3,2,3,1),(20,225,1,16,9,3,4,1,4),(20,225,1,16,10,1,2,1,2),(20,225,1,16,11,NULL,2,NULL,2),(20,225,1,16,12,NULL,4,NULL,2),(20,225,1,16,13,5,4,2,3),(20,225,1,16,14,NULL,NULL,NULL,NULL),(20,225,1,16,15,3,1,2,1),(20,225,1,16,16,NULL,3,NULL,2),(20,225,1,16,17,5,3,5,2),(20,225,1,16,18,2,1,1,1),(20,225,1,16,19,4,4,3,3),(20,225,1,16,20,NULL,2,NULL,NULL),(20,225,1,16,21,1,1,1,1),(20,225,1,16,22,1,2,1,1),(20,225,1,16,23,NULL,3,NULL,2),(20,225,1,16,24,2,3,2,1),(20,225,1,16,25,1,6,NULL,5),(20,225,1,16,26,1,NULL,1,NULL),(20,225,1,16,27,NULL,3,NULL,2),(20,225,1,16,28,NULL,3,NULL,2),(20,225,1,16,29,NULL,2,NULL,1),(20,225,1,16,30,1,2,NULL,2),(20,225,1,16,31,1,4,1,4),(20,225,1,16,32,1,3,1,2),(20,225,1,16,33,NULL,3,NULL,2),(20,225,1,16,34,NULL,2,NULL,2),(20,225,1,16,35,NULL,4,NULL,4),(20,225,1,16,36,2,3,2,2),(20,225,1,16,37,3,6,3,4),(20,225,1,16,38,NULL,2,NULL,2),(20,225,1,16,39,5,4,4,4),(20,225,1,16,40,1,NULL,1,NULL),(20,225,1,17,1,NULL,2,NULL,1),(20,225,1,17,2,NULL,NULL,NULL,NULL),(20,225,1,17,3,NULL,1,NULL,NULL),(20,225,1,17,4,1,2,NULL,NULL),(20,225,1,17,5,2,NULL,1,NULL),(20,225,1,17,6,3,1,1,1),(20,225,1,17,7,1,2,1,2),(20,225,1,17,8,2,1,NULL,1),(20,225,1,17,9,NULL,3,NULL,3),(20,225,1,17,10,NULL,1,NULL,1),(20,225,1,17,11,NULL,NULL,NULL,NULL),(20,225,1,17,12,1,2,1,2),(20,225,1,17,13,3,1,2,1),(20,225,1,17,14,1,1,NULL,NULL),(20,225,1,17,15,2,1,2,1),(20,225,1,17,16,NULL,1,NULL,1),(20,225,1,17,17,2,4,2,3),(20,225,1,17,18,1,3,NULL,2),(20,225,1,17,19,1,4,1,2),(20,225,1,17,20,NULL,1,NULL,1),(20,225,1,17,21,3,NULL,2,NULL),(20,225,1,17,22,NULL,2,NULL,1),(20,225,1,17,23,1,4,NULL,3),(20,225,1,17,24,NULL,1,NULL,1),(20,225,1,17,25,4,1,3,1),(20,225,1,17,26,2,NULL,2,NULL),(20,225,1,17,27,1,1,1,NULL),(20,225,1,17,28,NULL,NULL,NULL,NULL),(20,225,1,17,29,NULL,3,NULL,1),(20,225,1,17,30,NULL,1,NULL,NULL),(20,225,1,17,31,2,NULL,1,NULL),(20,225,1,17,32,1,1,1,1),(20,225,1,17,33,1,1,NULL,NULL),(20,225,1,17,34,NULL,1,NULL,NULL),(20,225,1,17,35,NULL,1,NULL,1),(20,225,1,17,36,NULL,3,NULL,2),(20,225,1,17,37,1,1,1,1),(20,225,1,17,38,NULL,NULL,NULL,NULL),(20,225,1,17,39,2,4,2,3),(20,225,1,17,40,NULL,1,NULL,1),(20,225,2,21,1,1,3,1,3),(20,225,2,21,2,NULL,1,NULL,1),(20,225,2,21,3,NULL,3,NULL,2),(20,225,2,21,4,1,3,1,3),(20,225,2,21,5,NULL,1,NULL,1),(20,225,2,21,6,2,5,2,4),(20,225,2,21,7,1,2,1,2),(20,225,2,21,8,1,NULL,1,NULL),(20,225,2,21,9,6,5,4,4),(20,225,2,21,10,1,4,1,3),(20,225,2,21,11,3,4,2,2),(20,225,2,21,12,1,1,1,1),(20,225,2,21,13,8,3,7,2),(20,225,2,21,14,5,8,5,4),(20,225,2,21,15,7,3,7,1),(20,225,2,21,16,7,1,4,1),(20,225,2,21,17,1,1,1,NULL),(20,225,2,21,18,NULL,2,NULL,1),(20,225,2,21,19,1,3,1,2),(20,225,2,21,20,2,7,2,4),(20,225,2,21,21,NULL,1,NULL,1),(20,225,2,21,22,NULL,3,NULL,2),(20,225,2,21,23,NULL,2,NULL,1),(20,225,2,21,24,NULL,NULL,NULL,NULL),(20,225,2,21,25,4,3,4,2),(20,225,2,21,26,NULL,2,NULL,NULL),(20,225,2,21,27,NULL,NULL,NULL,NULL),(20,225,2,21,28,2,2,NULL,2),(20,225,2,21,29,1,1,NULL,1),(20,225,2,21,30,1,4,1,3),(20,225,2,21,31,NULL,5,NULL,4),(20,225,2,21,32,NULL,3,NULL,2),(20,225,2,21,33,NULL,5,NULL,4),(20,225,2,21,34,NULL,3,NULL,3),(20,225,2,21,35,NULL,4,NULL,2),(20,225,2,21,36,1,6,1,4),(20,225,2,21,37,NULL,2,NULL,2),(20,225,2,21,38,1,2,1,1),(20,225,2,21,39,NULL,NULL,NULL,NULL),(20,225,2,21,40,1,1,1,1),(20,225,2,22,1,1,2,1,2),(20,225,2,22,2,NULL,1,NULL,1),(20,225,2,22,3,4,3,4,NULL),(20,225,2,22,4,NULL,5,NULL,5),(20,225,2,22,5,NULL,1,NULL,1),(20,225,2,22,6,NULL,6,NULL,5),(20,225,2,22,7,2,3,2,2),(20,225,2,22,8,2,NULL,2,NULL),(20,225,2,22,9,2,9,1,5),(20,225,2,22,10,1,6,NULL,5),(20,225,2,22,11,2,5,1,3),(20,225,2,22,12,NULL,2,NULL,2),(20,225,2,22,13,5,9,4,6),(20,225,2,22,14,4,9,3,7),(20,225,2,22,15,9,4,5,3),(20,225,2,22,16,9,3,6,3),(20,225,2,22,17,5,1,3,1),(20,225,2,22,18,NULL,5,NULL,5),(20,225,2,22,19,2,7,NULL,6),(20,225,2,22,20,4,5,4,3),(20,225,2,22,21,NULL,NULL,NULL,NULL),(20,225,2,22,22,2,4,NULL,4),(20,225,2,22,23,NULL,1,NULL,1),(20,225,2,22,24,NULL,NULL,NULL,NULL),(20,225,2,22,25,4,2,3,2),(20,225,2,22,26,1,3,NULL,3),(20,225,2,22,27,NULL,2,NULL,2),(20,225,2,22,28,3,3,3,3),(20,225,2,22,29,NULL,2,NULL,2),(20,225,2,22,30,1,2,1,2),(20,225,2,22,31,1,3,1,3),(20,225,2,22,32,NULL,5,NULL,2),(20,225,2,22,33,1,7,1,4),(20,225,2,22,34,1,2,1,NULL),(20,225,2,22,35,NULL,5,NULL,3),(20,225,2,22,36,1,7,1,6),(20,225,2,22,37,NULL,3,NULL,3),(20,225,2,22,38,1,3,1,3),(20,225,2,22,39,NULL,2,NULL,2),(20,225,2,22,40,2,6,1,3),(20,225,2,23,1,NULL,5,NULL,4),(20,225,2,23,2,NULL,NULL,NULL,NULL),(20,225,2,23,3,2,5,1,3),(20,225,2,23,4,3,2,3,1),(20,225,2,23,5,1,1,1,1),(20,225,2,23,6,2,2,2,2),(20,225,2,23,7,1,2,1,2),(20,225,2,23,8,2,NULL,2,NULL),(20,225,2,23,9,4,6,2,3),(20,225,2,23,10,NULL,4,NULL,4),(20,225,2,23,11,NULL,5,NULL,4),(20,225,2,23,12,NULL,5,NULL,4),(20,225,2,23,13,3,3,2,2),(20,225,2,23,14,3,6,2,3),(20,225,2,23,15,1,5,1,4),(20,225,2,23,16,3,4,3,2),(20,225,2,23,17,2,2,1,2),(20,225,2,23,18,1,2,NULL,1),(20,225,2,23,19,1,5,NULL,4),(20,225,2,23,20,1,6,1,4),(20,225,2,23,21,NULL,NULL,NULL,NULL),(20,225,2,23,22,NULL,2,NULL,1),(20,225,2,23,23,1,1,1,1),(20,225,2,23,24,1,1,1,1),(20,225,2,23,25,2,5,2,2),(20,225,2,23,26,1,3,NULL,3),(20,225,2,23,27,NULL,NULL,NULL,NULL),(20,225,2,23,28,3,2,2,2),(20,225,2,23,29,NULL,2,NULL,2),(20,225,2,23,30,3,2,1,2),(20,225,2,23,31,2,2,1,1),(20,225,2,23,32,1,2,1,2),(20,225,2,23,33,NULL,4,NULL,2),(20,225,2,23,34,1,5,NULL,4),(20,225,2,23,35,NULL,2,NULL,1),(20,225,2,23,36,NULL,5,NULL,5),(20,225,2,23,37,NULL,3,NULL,3),(20,225,2,23,38,NULL,NULL,NULL,NULL),(20,225,2,23,39,2,NULL,2,NULL),(20,225,2,23,40,1,4,1,2),(20,225,2,24,1,NULL,2,NULL,1),(20,225,2,24,2,NULL,NULL,NULL,NULL),(20,225,2,24,3,NULL,1,NULL,NULL),(20,225,2,24,4,2,1,2,NULL),(20,225,2,24,5,NULL,1,NULL,1),(20,225,2,24,6,1,6,NULL,5),(20,225,2,24,7,2,NULL,2,NULL),(20,225,2,24,8,1,NULL,1,NULL),(20,225,2,24,9,4,2,3,1),(20,225,2,24,10,NULL,NULL,NULL,NULL),(20,225,2,24,11,1,2,1,1),(20,225,2,24,12,NULL,2,NULL,1),(20,225,2,24,13,5,2,3,2),(20,225,2,24,14,NULL,5,NULL,3),(20,225,2,24,15,2,4,2,2),(20,225,2,24,16,6,1,4,1),(20,225,2,24,17,1,NULL,NULL,NULL),(20,225,2,24,18,NULL,3,NULL,2),(20,225,2,24,19,1,3,1,2),(20,225,2,24,20,2,4,1,3),(20,225,2,24,21,NULL,2,NULL,1),(20,225,2,24,22,NULL,4,NULL,3),(20,225,2,24,23,NULL,NULL,NULL,NULL),(20,225,2,24,24,NULL,1,NULL,1),(20,225,2,24,25,3,3,3,1),(20,225,2,24,26,NULL,NULL,NULL,NULL),(20,225,2,24,27,1,2,1,NULL),(20,225,2,24,28,NULL,1,NULL,1),(20,225,2,24,29,NULL,1,NULL,1),(20,225,2,24,30,1,NULL,1,NULL),(20,225,2,24,31,1,2,1,1),(20,225,2,24,32,NULL,2,NULL,1),(20,225,2,24,33,NULL,3,NULL,2),(20,225,2,24,34,NULL,NULL,NULL,NULL),(20,225,2,24,35,1,3,NULL,3),(20,225,2,24,36,NULL,NULL,NULL,NULL),(20,225,2,24,37,NULL,2,NULL,NULL),(20,225,2,24,38,NULL,2,NULL,2),(20,225,2,24,39,1,1,1,NULL),(20,225,2,24,40,NULL,3,NULL,2),(20,233,1,11,1,NULL,1,NULL,1),(20,233,1,11,2,NULL,NULL,NULL,NULL),(20,233,1,11,3,NULL,1,NULL,1),(20,233,1,11,4,NULL,1,NULL,1),(20,233,1,11,5,NULL,1,NULL,1),(20,233,1,11,6,1,NULL,1,NULL),(20,233,1,11,7,NULL,1,NULL,1),(20,233,1,11,8,1,NULL,1,NULL),(20,233,1,11,9,1,NULL,1,NULL),(20,233,1,11,10,NULL,NULL,NULL,NULL),(20,233,1,11,11,NULL,NULL,NULL,NULL),(20,233,1,11,12,1,NULL,1,NULL),(20,233,1,11,13,1,NULL,1,NULL),(20,233,1,11,14,NULL,1,NULL,1),(20,233,1,11,15,1,NULL,1,NULL),(20,233,1,11,16,1,NULL,1,NULL),(20,233,1,11,17,NULL,1,NULL,1),(20,233,1,11,18,NULL,1,NULL,1),(20,233,1,11,19,1,NULL,1,NULL),(20,233,1,11,20,1,NULL,1,NULL),(20,233,1,11,21,1,NULL,1,NULL),(20,233,1,11,22,NULL,1,NULL,1),(20,233,1,11,23,NULL,NULL,NULL,NULL),(20,233,1,11,24,NULL,1,NULL,1),(20,233,1,11,25,1,NULL,1,NULL),(20,233,1,11,26,NULL,NULL,NULL,NULL),(20,233,1,11,27,NULL,1,NULL,1),(20,233,1,11,28,NULL,NULL,NULL,NULL),(20,233,1,11,29,NULL,NULL,NULL,NULL),(20,233,1,11,30,NULL,1,NULL,1),(20,233,1,11,31,1,NULL,1,NULL),(20,233,1,11,32,1,NULL,1,NULL),(20,233,1,11,33,NULL,1,NULL,1),(20,233,1,11,34,NULL,NULL,NULL,NULL),(20,233,1,11,35,NULL,NULL,NULL,NULL),(20,233,1,11,36,NULL,1,NULL,1),(20,233,1,11,37,1,NULL,1,NULL),(20,233,1,11,38,NULL,NULL,NULL,NULL),(20,233,1,11,39,NULL,1,NULL,1),(20,233,1,11,40,1,NULL,1,NULL),(20,233,1,12,1,NULL,NULL,NULL,NULL),(20,233,1,12,2,NULL,NULL,NULL,NULL),(20,233,1,12,3,NULL,NULL,NULL,NULL),(20,233,1,12,4,NULL,NULL,NULL,NULL),(20,233,1,12,5,NULL,NULL,NULL,NULL),(20,233,1,12,6,NULL,NULL,NULL,NULL),(20,233,1,12,7,NULL,NULL,NULL,NULL),(20,233,1,12,8,NULL,NULL,NULL,NULL),(20,233,1,12,9,NULL,NULL,NULL,NULL),(20,233,1,12,10,NULL,NULL,NULL,NULL),(20,233,1,12,11,NULL,NULL,NULL,NULL),(20,233,1,12,12,NULL,NULL,NULL,NULL),(20,233,1,12,13,NULL,NULL,NULL,NULL),(20,233,1,12,14,NULL,NULL,NULL,NULL),(20,233,1,12,15,NULL,NULL,NULL,NULL),(20,233,1,12,16,NULL,NULL,NULL,NULL),(20,233,1,12,17,NULL,NULL,NULL,NULL),(20,233,1,12,18,NULL,NULL,NULL,NULL),(20,233,1,12,19,NULL,NULL,NULL,NULL),(20,233,1,12,20,NULL,NULL,NULL,NULL),(20,233,1,12,21,NULL,NULL,NULL,NULL),(20,233,1,12,22,NULL,NULL,NULL,NULL),(20,233,1,12,23,NULL,NULL,NULL,NULL),(20,233,1,12,24,NULL,NULL,NULL,NULL),(20,233,1,12,25,NULL,NULL,NULL,NULL),(20,233,1,12,26,NULL,NULL,NULL,NULL),(20,233,1,12,27,NULL,NULL,NULL,NULL),(20,233,1,12,28,NULL,NULL,NULL,NULL),(20,233,1,12,29,NULL,NULL,NULL,NULL),(20,233,1,12,30,NULL,NULL,NULL,NULL),(20,233,1,12,31,NULL,NULL,NULL,NULL),(20,233,1,12,32,NULL,NULL,NULL,NULL),(20,233,1,12,33,NULL,NULL,NULL,NULL),(20,233,1,12,34,NULL,NULL,NULL,NULL),(20,233,1,12,35,NULL,NULL,NULL,NULL),(20,233,1,12,36,NULL,NULL,NULL,NULL),(20,233,1,12,37,NULL,NULL,NULL,NULL),(20,233,1,12,38,NULL,NULL,NULL,NULL),(20,233,1,12,39,NULL,NULL,NULL,NULL),(20,233,1,12,40,NULL,NULL,NULL,NULL),(20,233,1,13,1,NULL,NULL,NULL,NULL),(20,233,1,13,2,NULL,NULL,NULL,NULL),(20,233,1,13,3,NULL,1,NULL,1),(20,233,1,13,4,NULL,NULL,NULL,NULL),(20,233,1,13,5,NULL,NULL,NULL,NULL),(20,233,1,13,6,NULL,1,NULL,1),(20,233,1,13,7,NULL,1,NULL,1),(20,233,1,13,8,1,NULL,1,NULL),(20,233,1,13,9,1,NULL,1,NULL),(20,233,1,13,10,NULL,NULL,NULL,NULL),(20,233,1,13,11,NULL,NULL,NULL,NULL),(20,233,1,13,12,NULL,NULL,NULL,NULL),(20,233,1,13,13,1,NULL,1,NULL),(20,233,1,13,14,NULL,NULL,NULL,NULL),(20,233,1,13,15,1,NULL,1,NULL),(20,233,1,13,16,1,NULL,1,NULL),(20,233,1,13,17,NULL,NULL,NULL,NULL),(20,233,1,13,18,1,NULL,1,NULL),(20,233,1,13,19,1,NULL,1,NULL),(20,233,1,13,20,NULL,1,NULL,1),(20,233,1,13,21,NULL,NULL,NULL,NULL),(20,233,1,13,22,NULL,NULL,NULL,NULL),(20,233,1,13,23,NULL,NULL,NULL,NULL),(20,233,1,13,24,NULL,NULL,NULL,NULL),(20,233,1,13,25,NULL,1,NULL,1),(20,233,1,13,26,NULL,NULL,NULL,NULL),(20,233,1,13,27,NULL,NULL,NULL,NULL),(20,233,1,13,28,NULL,NULL,NULL,NULL),(20,233,1,13,29,NULL,NULL,NULL,NULL),(20,233,1,13,30,NULL,NULL,NULL,NULL),(20,233,1,13,31,NULL,1,NULL,1),(20,233,1,13,32,NULL,NULL,NULL,NULL),(20,233,1,13,33,NULL,1,NULL,1),(20,233,1,13,34,NULL,NULL,NULL,NULL),(20,233,1,13,35,NULL,1,NULL,1),(20,233,1,13,36,NULL,NULL,NULL,NULL),(20,233,1,13,37,NULL,1,NULL,1),(20,233,1,13,38,NULL,NULL,NULL,NULL),(20,233,1,13,39,1,NULL,1,NULL),(20,233,1,13,40,NULL,1,NULL,1),(20,233,1,14,1,15,6,5,2),(20,233,1,14,2,9,8,5,5),(20,233,1,14,3,7,10,3,6),(20,233,1,14,4,6,18,1,11),(20,233,1,14,5,9,20,8,8),(20,233,1,14,6,36,15,17,5),(20,233,1,14,7,19,9,8,4),(20,233,1,14,8,26,5,15,3),(20,233,1,14,9,21,21,9,9),(20,233,1,14,10,11,4,8,3),(20,233,1,14,11,3,10,4,4),(20,233,1,14,12,6,10,9,6),(20,233,1,14,13,28,19,17,5),(20,233,1,14,14,29,21,18,2),(20,233,1,14,15,21,7,11,3),(20,233,1,14,16,35,9,16,3),(20,233,1,14,17,18,28,12,9),(20,233,1,14,18,31,6,19,3),(20,233,1,14,19,35,1,20,NULL),(20,233,1,14,20,39,14,16,5),(20,233,1,14,21,4,17,1,12),(20,233,1,14,22,8,26,8,13),(20,233,1,14,23,5,26,2,12),(20,233,1,14,24,7,27,11,9),(20,233,1,14,25,12,29,13,8),(20,233,1,14,26,21,NULL,11,NULL),(20,233,1,14,27,13,25,6,10),(20,233,1,14,28,5,12,6,9),(20,233,1,14,29,2,8,2,6),(20,233,1,14,30,10,12,8,6),(20,233,1,14,31,15,22,13,8),(20,233,1,14,32,19,15,15,4),(20,233,1,14,33,16,16,9,10),(20,233,1,14,34,2,9,2,9),(20,233,1,14,35,16,15,13,6),(20,233,1,14,36,27,16,17,5),(20,233,1,14,37,23,13,9,7),(20,233,1,14,38,3,11,1,8),(20,233,1,14,39,30,17,19,2),(20,233,1,14,40,24,2,14,1),(20,233,1,15,1,16,9,7,5),(20,233,1,15,2,9,11,7,2),(20,233,1,15,3,6,17,5,10),(20,233,1,15,4,4,15,3,9),(20,233,1,15,5,12,17,9,6),(20,233,1,15,6,15,25,7,11),(20,233,1,15,7,10,15,9,7),(20,233,1,15,8,24,8,19,2),(20,233,1,15,9,15,22,12,9),(20,233,1,15,10,7,9,6,3),(20,233,1,15,11,1,8,NULL,3),(20,233,1,15,12,7,12,12,3),(20,233,1,15,13,23,21,16,6),(20,233,1,15,14,32,19,17,9),(20,233,1,15,15,22,13,11,7),(20,233,1,15,16,39,9,18,3),(20,233,1,15,17,15,25,11,10),(20,233,1,15,18,32,8,20,1),(20,233,1,15,19,34,8,19,NULL),(20,233,1,15,20,32,17,16,9),(20,233,1,15,21,3,8,2,9),(20,233,1,15,22,12,21,8,15),(20,233,1,15,23,7,23,1,12),(20,233,1,15,24,6,19,4,15),(20,233,1,15,25,12,22,5,12),(20,233,1,15,26,12,NULL,14,NULL),(20,233,1,15,27,8,24,7,14),(20,233,1,15,28,7,16,2,12),(20,233,1,15,29,2,12,2,5),(20,233,1,15,30,6,13,4,11),(20,233,1,15,31,16,15,10,10),(20,233,1,15,32,13,12,12,5),(20,233,1,15,33,13,10,14,5),(20,233,1,15,34,6,11,1,11),(20,233,1,15,35,14,15,11,8),(20,233,1,15,36,28,17,18,7),(20,233,1,15,37,19,13,11,6),(20,233,1,15,38,4,12,3,7),(20,233,1,15,39,35,14,16,6),(20,233,1,15,40,28,1,18,2),(20,233,1,16,1,4,7,5,2),(20,233,1,16,2,5,1,2,2),(20,233,1,16,3,3,2,1,1),(20,233,1,16,4,7,7,2,5),(20,233,1,16,5,8,12,6,4),(20,233,1,16,6,10,5,6,4),(20,233,1,16,7,7,2,4,1),(20,233,1,16,8,11,4,5,3),(20,233,1,16,9,10,13,7,3),(20,233,1,16,10,5,3,2,4),(20,233,1,16,11,1,2,NULL,5),(20,233,1,16,12,3,3,4,NULL),(20,233,1,16,13,4,15,3,3),(20,233,1,16,14,2,2,NULL,1),(20,233,1,16,15,11,1,3,NULL),(20,233,1,16,16,2,8,NULL,1),(20,233,1,16,17,15,9,6,4),(20,233,1,16,18,1,11,1,6),(20,233,1,16,19,16,4,4,1),(20,233,1,16,20,1,12,1,6),(20,233,1,16,21,NULL,7,NULL,6),(20,233,1,16,22,5,9,1,5),(20,233,1,16,23,4,12,1,8),(20,233,1,16,24,5,9,NULL,8),(20,233,1,16,25,5,9,4,4),(20,233,1,16,26,3,NULL,3,NULL),(20,233,1,16,27,3,6,3,5),(20,233,1,16,28,7,5,6,3),(20,233,1,16,29,NULL,4,1,3),(20,233,1,16,30,2,5,2,3),(20,233,1,16,31,4,10,4,2),(20,233,1,16,32,11,3,5,3),(20,233,1,16,33,3,6,5,3),(20,233,1,16,34,2,2,1,NULL),(20,233,1,16,35,8,5,5,3),(20,233,1,16,36,9,14,5,4),(20,233,1,16,37,6,9,3,7),(20,233,1,16,38,NULL,7,2,3),(20,233,1,16,39,17,7,9,1),(20,233,1,16,40,10,1,8,1),(20,233,1,17,1,5,6,NULL,1),(20,233,1,17,2,3,4,2,2),(20,233,1,17,3,NULL,8,NULL,NULL),(20,233,1,17,4,2,8,NULL,3),(20,233,1,17,5,5,9,2,2),(20,233,1,17,6,8,11,NULL,4),(20,233,1,17,7,2,6,1,3),(20,233,1,17,8,9,8,5,1),(20,233,1,17,9,10,9,2,3),(20,233,1,17,10,3,5,2,1),(20,233,1,17,11,2,3,NULL,1),(20,233,1,17,12,7,3,NULL,3),(20,233,1,17,13,8,12,2,5),(20,233,1,17,14,5,2,1,NULL),(20,233,1,17,15,6,3,2,1),(20,233,1,17,16,NULL,7,NULL,1),(20,233,1,17,17,10,10,5,2),(20,233,1,17,18,2,8,NULL,3),(20,233,1,17,19,13,8,4,2),(20,233,1,17,20,NULL,7,NULL,2),(20,233,1,17,21,1,6,1,2),(20,233,1,17,22,3,12,NULL,2),(20,233,1,17,23,2,14,NULL,6),(20,233,1,17,24,5,8,1,4),(20,233,1,17,25,7,13,3,4),(20,233,1,17,26,7,NULL,4,NULL),(20,233,1,17,27,6,13,2,4),(20,233,1,17,28,NULL,6,1,4),(20,233,1,17,29,NULL,11,1,1),(20,233,1,17,30,1,7,1,3),(20,233,1,17,31,3,8,2,1),(20,233,1,17,32,12,8,4,1),(20,233,1,17,33,3,7,1,3),(20,233,1,17,34,3,5,NULL,1),(20,233,1,17,35,7,9,4,1),(20,233,1,17,36,12,9,3,3),(20,233,1,17,37,9,8,1,5),(20,233,1,17,38,NULL,3,NULL,NULL),(20,233,1,17,39,17,11,6,1),(20,233,1,17,40,10,1,5,NULL),(20,233,2,21,1,5,8,2,6),(20,233,2,21,2,1,2,2,NULL),(20,233,2,21,3,10,10,6,7),(20,233,2,21,4,6,7,4,6),(20,233,2,21,5,1,8,2,6),(20,233,2,21,6,6,13,10,9),(20,233,2,21,7,9,14,6,13),(20,233,2,21,8,8,NULL,7,NULL),(20,233,2,21,9,7,16,9,6),(20,233,2,21,10,NULL,10,1,11),(20,233,2,21,11,8,9,7,5),(20,233,2,21,12,2,10,1,6),(20,233,2,21,13,23,12,17,5),(20,233,2,21,14,18,19,16,7),(20,233,2,21,15,19,11,14,7),(20,233,2,21,16,12,13,11,8),(20,233,2,21,17,10,4,8,4),(20,233,2,21,18,4,14,2,11),(20,233,2,21,19,5,15,4,7),(20,233,2,21,20,16,7,13,4),(20,233,2,21,21,2,3,2,3),(20,233,2,21,22,2,7,1,8),(20,233,2,21,23,3,6,1,2),(20,233,2,21,24,NULL,6,NULL,3),(20,233,2,21,25,14,15,11,7),(20,233,2,21,26,6,5,6,6),(20,233,2,21,27,2,10,4,7),(20,233,2,21,28,8,12,7,5),(20,233,2,21,29,3,9,5,7),(20,233,2,21,30,7,2,5,2),(20,233,2,21,31,7,11,3,11),(20,233,2,21,32,8,10,8,5),(20,233,2,21,33,8,12,5,4),(20,233,2,21,34,3,12,6,7),(20,233,2,21,35,3,15,4,7),(20,233,2,21,36,6,6,2,5),(20,233,2,21,37,4,8,8,5),(20,233,2,21,38,4,10,5,9),(20,233,2,21,39,9,8,9,7),(20,233,2,21,40,13,3,11,1),(20,233,2,22,1,3,9,1,3),(20,233,2,22,2,3,5,NULL,3),(20,233,2,22,3,3,21,3,7),(20,233,2,22,4,4,9,1,3),(20,233,2,22,5,3,8,2,1),(20,233,2,22,6,14,10,8,1),(20,233,2,22,7,9,13,3,6),(20,233,2,22,8,9,NULL,5,NULL),(20,233,2,22,9,12,24,6,5),(20,233,2,22,10,1,11,NULL,9),(20,233,2,22,11,12,1,2,NULL),(20,233,2,22,12,1,5,1,2),(20,233,2,22,13,22,16,11,NULL),(20,233,2,22,14,22,21,11,2),(20,233,2,22,15,24,8,6,5),(20,233,2,22,16,13,14,4,4),(20,233,2,22,17,3,6,1,1),(20,233,2,22,18,4,9,1,6),(20,233,2,22,19,5,15,3,4),(20,233,2,22,20,11,15,5,4),(20,233,2,22,21,NULL,4,1,3),(20,233,2,22,22,NULL,11,2,3),(20,233,2,22,23,2,2,1,2),(20,233,2,22,24,NULL,7,NULL,3),(20,233,2,22,25,10,11,5,5),(20,233,2,22,26,4,8,3,5),(20,233,2,22,27,6,3,6,1),(20,233,2,22,28,9,6,5,1),(20,233,2,22,29,3,8,2,NULL),(20,233,2,22,30,7,2,1,NULL),(20,233,2,22,31,4,16,5,4),(20,233,2,22,32,8,16,4,3),(20,233,2,22,33,7,9,1,3),(20,233,2,22,34,5,14,4,6),(20,233,2,22,35,5,18,4,4),(20,233,2,22,36,10,7,5,2),(20,233,2,22,37,5,9,1,5),(20,233,2,22,38,5,10,2,3),(20,233,2,22,39,9,10,5,4),(20,233,2,22,40,14,5,7,1),(20,233,2,23,1,4,7,1,3),(20,233,2,23,2,NULL,6,NULL,1),(20,233,2,23,3,6,12,4,8),(20,233,2,23,4,5,1,3,2),(20,233,2,23,5,1,6,1,4),(20,233,2,23,6,8,16,9,6),(20,233,2,23,7,6,10,5,4),(20,233,2,23,8,6,NULL,5,NULL),(20,233,2,23,9,11,21,3,7),(20,233,2,23,10,1,9,2,5),(20,233,2,23,11,9,5,4,2),(20,233,2,23,12,3,3,1,2),(20,233,2,23,13,25,6,13,3),(20,233,2,23,14,27,12,10,6),(20,233,2,23,15,15,6,6,4),(20,233,2,23,16,9,7,6,5),(20,233,2,23,17,9,6,8,3),(20,233,2,23,18,4,6,4,7),(20,233,2,23,19,10,18,4,7),(20,233,2,23,20,13,15,9,6),(20,233,2,23,21,NULL,7,NULL,4),(20,233,2,23,22,4,7,1,4),(20,233,2,23,23,2,NULL,3,NULL),(20,233,2,23,24,1,4,1,5),(20,233,2,23,25,14,8,12,4),(20,233,2,23,26,6,5,5,NULL),(20,233,2,23,27,1,4,1,3),(20,233,2,23,28,9,6,8,3),(20,233,2,23,29,7,4,5,3),(20,233,2,23,30,6,NULL,1,1),(20,233,2,23,31,9,7,7,4),(20,233,2,23,32,10,16,11,5),(20,233,2,23,33,2,22,2,8),(20,233,2,23,34,9,14,7,6),(20,233,2,23,35,1,17,1,12),(20,233,2,23,36,7,7,9,1),(20,233,2,23,37,8,7,6,3),(20,233,2,23,38,10,7,6,7),(20,233,2,23,39,10,14,7,6),(20,233,2,23,40,13,4,10,2),(20,233,2,24,1,4,9,1,5),(20,233,2,24,2,NULL,5,NULL,4),(20,233,2,24,3,6,12,2,3),(20,233,2,24,4,8,4,3,1),(20,233,2,24,5,2,11,1,3),(20,233,2,24,6,10,17,4,6),(20,233,2,24,7,5,10,2,6),(20,233,2,24,8,9,NULL,3,NULL),(20,233,2,24,9,6,27,5,6),(20,233,2,24,10,1,14,NULL,6),(20,233,2,24,11,6,10,6,1),(20,233,2,24,12,2,7,NULL,2),(20,233,2,24,13,23,17,11,2),(20,233,2,24,14,17,19,5,6),(20,233,2,24,15,13,16,4,2),(20,233,2,24,16,14,11,6,1),(20,233,2,24,17,8,6,2,3),(20,233,2,24,18,1,11,1,4),(20,233,2,24,19,4,20,2,5),(20,233,2,24,20,11,14,3,7),(20,233,2,24,21,NULL,3,2,1),(20,233,2,24,22,3,8,1,4),(20,233,2,24,23,1,2,1,NULL),(20,233,2,24,24,1,2,NULL,NULL),(20,233,2,24,25,11,17,5,5),(20,233,2,24,26,7,7,3,2),(20,233,2,24,27,3,8,2,4),(20,233,2,24,28,14,5,2,2),(20,233,2,24,29,NULL,9,1,7),(20,233,2,24,30,6,3,NULL,NULL),(20,233,2,24,31,2,11,NULL,5),(20,233,2,24,32,10,14,5,4),(20,233,2,24,33,2,19,1,2),(20,233,2,24,34,9,13,5,3),(20,233,2,24,35,3,19,2,5),(20,233,2,24,36,13,4,4,2),(20,233,2,24,37,5,10,2,4),(20,233,2,24,38,2,11,2,4),(20,233,2,24,39,4,9,5,4),(20,233,2,24,40,9,6,5,1),(20,234,1,11,1,NULL,1,NULL,1),(20,234,1,11,2,NULL,1,NULL,1),(20,234,1,11,3,NULL,NULL,NULL,NULL),(20,234,1,11,4,NULL,NULL,NULL,NULL),(20,234,1,11,5,NULL,NULL,NULL,NULL),(20,234,1,11,6,NULL,1,NULL,1),(20,234,1,11,7,NULL,NULL,NULL,NULL),(20,234,1,11,8,NULL,NULL,NULL,NULL),(20,234,1,11,9,NULL,NULL,NULL,NULL),(20,234,1,11,10,NULL,1,NULL,1),(20,234,1,11,11,NULL,NULL,NULL,NULL),(20,234,1,11,12,NULL,NULL,NULL,NULL),(20,234,1,11,13,NULL,1,NULL,1),(20,234,1,11,14,NULL,NULL,NULL,NULL),(20,234,1,11,15,NULL,NULL,NULL,NULL),(20,234,1,11,16,NULL,1,NULL,1),(20,234,1,11,17,NULL,1,NULL,1),(20,234,1,11,18,NULL,1,NULL,1),(20,234,1,11,19,NULL,1,NULL,1),(20,234,1,11,20,NULL,1,NULL,1),(20,234,1,11,21,NULL,NULL,NULL,NULL),(20,234,1,11,22,NULL,1,NULL,1),(20,234,1,11,23,NULL,1,NULL,1),(20,234,1,11,24,NULL,1,NULL,1),(20,234,1,11,25,NULL,1,NULL,1),(20,234,1,11,26,NULL,NULL,NULL,NULL),(20,234,1,11,27,NULL,NULL,NULL,NULL),(20,234,1,11,28,NULL,1,NULL,1),(20,234,1,11,29,NULL,1,NULL,1),(20,234,1,11,30,NULL,NULL,NULL,NULL),(20,234,1,11,31,NULL,NULL,NULL,NULL),(20,234,1,11,32,NULL,1,NULL,1),(20,234,1,11,33,NULL,NULL,NULL,NULL),(20,234,1,11,34,NULL,NULL,NULL,NULL),(20,234,1,11,35,NULL,NULL,NULL,NULL),(20,234,1,11,36,NULL,NULL,NULL,NULL),(20,234,1,11,37,NULL,1,NULL,1),(20,234,1,11,38,NULL,NULL,NULL,NULL),(20,234,1,11,39,NULL,1,NULL,1),(20,234,1,11,40,NULL,NULL,NULL,NULL),(20,234,1,12,1,NULL,NULL,NULL,NULL),(20,234,1,12,2,NULL,NULL,NULL,NULL),(20,234,1,12,3,NULL,NULL,NULL,NULL),(20,234,1,12,4,NULL,NULL,NULL,NULL),(20,234,1,12,5,NULL,NULL,NULL,NULL),(20,234,1,12,6,NULL,NULL,NULL,NULL),(20,234,1,12,7,NULL,NULL,NULL,NULL),(20,234,1,12,8,NULL,NULL,NULL,NULL),(20,234,1,12,9,NULL,NULL,NULL,NULL),(20,234,1,12,10,NULL,NULL,NULL,NULL),(20,234,1,12,11,NULL,NULL,NULL,NULL),(20,234,1,12,12,NULL,NULL,NULL,NULL),(20,234,1,12,13,NULL,NULL,NULL,NULL),(20,234,1,12,14,NULL,NULL,NULL,NULL),(20,234,1,12,15,NULL,NULL,NULL,NULL),(20,234,1,12,16,NULL,NULL,NULL,NULL),(20,234,1,12,17,NULL,NULL,NULL,NULL),(20,234,1,12,18,NULL,NULL,NULL,NULL),(20,234,1,12,19,NULL,NULL,NULL,NULL),(20,234,1,12,20,NULL,NULL,NULL,NULL),(20,234,1,12,21,NULL,NULL,NULL,NULL),(20,234,1,12,22,NULL,NULL,NULL,NULL),(20,234,1,12,23,NULL,NULL,NULL,NULL),(20,234,1,12,24,NULL,NULL,NULL,NULL),(20,234,1,12,25,NULL,NULL,NULL,NULL),(20,234,1,12,26,NULL,NULL,NULL,NULL),(20,234,1,12,27,NULL,NULL,NULL,NULL),(20,234,1,12,28,NULL,NULL,NULL,NULL),(20,234,1,12,29,NULL,NULL,NULL,NULL),(20,234,1,12,30,NULL,NULL,NULL,NULL),(20,234,1,12,31,NULL,NULL,NULL,NULL),(20,234,1,12,32,NULL,NULL,NULL,NULL),(20,234,1,12,33,NULL,NULL,NULL,NULL),(20,234,1,12,34,NULL,NULL,NULL,NULL),(20,234,1,12,35,NULL,NULL,NULL,NULL),(20,234,1,12,36,NULL,NULL,NULL,NULL),(20,234,1,12,37,NULL,NULL,NULL,NULL),(20,234,1,12,38,NULL,NULL,NULL,NULL),(20,234,1,12,39,NULL,NULL,NULL,NULL),(20,234,1,12,40,NULL,NULL,NULL,NULL),(20,234,1,13,1,NULL,NULL,NULL,NULL),(20,234,1,13,2,NULL,NULL,NULL,NULL),(20,234,1,13,3,NULL,NULL,NULL,NULL),(20,234,1,13,4,NULL,NULL,NULL,NULL),(20,234,1,13,5,NULL,NULL,NULL,NULL),(20,234,1,13,6,NULL,NULL,NULL,NULL),(20,234,1,13,7,NULL,NULL,NULL,NULL),(20,234,1,13,8,NULL,NULL,NULL,NULL),(20,234,1,13,9,NULL,NULL,NULL,NULL),(20,234,1,13,10,NULL,NULL,NULL,NULL),(20,234,1,13,11,NULL,NULL,NULL,NULL),(20,234,1,13,12,NULL,NULL,NULL,NULL),(20,234,1,13,13,NULL,NULL,NULL,NULL),(20,234,1,13,14,NULL,NULL,NULL,NULL),(20,234,1,13,15,NULL,NULL,NULL,NULL),(20,234,1,13,16,NULL,NULL,NULL,NULL),(20,234,1,13,17,NULL,NULL,NULL,NULL),(20,234,1,13,18,NULL,NULL,NULL,NULL),(20,234,1,13,19,NULL,NULL,NULL,NULL),(20,234,1,13,20,NULL,NULL,NULL,NULL),(20,234,1,13,21,NULL,NULL,NULL,NULL),(20,234,1,13,22,NULL,NULL,NULL,NULL),(20,234,1,13,23,NULL,NULL,NULL,NULL),(20,234,1,13,24,NULL,NULL,NULL,NULL),(20,234,1,13,25,NULL,NULL,NULL,NULL),(20,234,1,13,26,NULL,NULL,NULL,NULL),(20,234,1,13,27,NULL,NULL,NULL,NULL),(20,234,1,13,28,NULL,NULL,NULL,NULL),(20,234,1,13,29,NULL,NULL,NULL,NULL),(20,234,1,13,30,NULL,NULL,NULL,NULL),(20,234,1,13,31,NULL,NULL,NULL,NULL),(20,234,1,13,32,NULL,NULL,NULL,NULL),(20,234,1,13,33,NULL,NULL,NULL,NULL),(20,234,1,13,34,NULL,NULL,NULL,NULL),(20,234,1,13,35,NULL,NULL,NULL,NULL),(20,234,1,13,36,NULL,NULL,NULL,NULL),(20,234,1,13,37,NULL,NULL,NULL,NULL),(20,234,1,13,38,NULL,NULL,NULL,NULL),(20,234,1,13,39,NULL,NULL,NULL,NULL),(20,234,1,13,40,NULL,NULL,NULL,NULL),(20,234,1,14,1,NULL,6,NULL,4),(20,234,1,14,2,NULL,5,NULL,2),(20,234,1,14,3,1,4,1,2),(20,234,1,14,4,1,8,1,4),(20,234,1,14,5,3,6,2,5),(20,234,1,14,6,5,6,2,4),(20,234,1,14,7,NULL,6,NULL,5),(20,234,1,14,8,5,4,3,3),(20,234,1,14,9,2,8,NULL,5),(20,234,1,14,10,1,4,1,2),(20,234,1,14,11,1,NULL,1,NULL),(20,234,1,14,12,1,4,NULL,4),(20,234,1,14,13,10,10,7,7),(20,234,1,14,14,9,8,4,7),(20,234,1,14,15,4,3,1,3),(20,234,1,14,16,13,6,10,4),(20,234,1,14,17,2,8,1,5),(20,234,1,14,18,7,5,4,3),(20,234,1,14,19,9,3,7,2),(20,234,1,14,20,13,2,9,2),(20,234,1,14,21,NULL,4,NULL,3),(20,234,1,14,22,2,2,2,1),(20,234,1,14,23,2,8,2,5),(20,234,1,14,24,NULL,4,NULL,4),(20,234,1,14,25,2,7,1,7),(20,234,1,14,26,2,NULL,1,NULL),(20,234,1,14,27,1,2,1,2),(20,234,1,14,28,NULL,2,NULL,2),(20,234,1,14,29,1,4,1,3),(20,234,1,14,30,NULL,4,NULL,2),(20,234,1,14,31,3,7,NULL,5),(20,234,1,14,32,4,4,2,2),(20,234,1,14,33,2,5,1,5),(20,234,1,14,34,2,1,2,1),(20,234,1,14,35,4,2,2,2),(20,234,1,14,36,4,6,3,6),(20,234,1,14,37,6,6,4,3),(20,234,1,14,38,NULL,4,NULL,3),(20,234,1,14,39,9,9,6,5),(20,234,1,14,40,3,4,2,2),(20,234,1,15,1,5,NULL,5,NULL),(20,234,1,15,2,2,4,2,4),(20,234,1,15,3,NULL,6,NULL,5),(20,234,1,15,4,3,5,2,5),(20,234,1,15,5,4,5,3,3),(20,234,1,15,6,8,4,7,3),(20,234,1,15,7,4,3,4,3),(20,234,1,15,8,3,5,3,4),(20,234,1,15,9,6,6,4,5),(20,234,1,15,10,1,1,1,1),(20,234,1,15,11,1,NULL,1,NULL),(20,234,1,15,12,2,4,1,4),(20,234,1,15,13,10,2,8,2),(20,234,1,15,14,11,5,9,5),(20,234,1,15,15,5,2,4,2),(20,234,1,15,16,10,4,8,4),(20,234,1,15,17,7,6,5,6),(20,234,1,15,18,11,2,9,1),(20,234,1,15,19,16,2,13,1),(20,234,1,15,20,14,2,11,2),(20,234,1,15,21,1,5,1,5),(20,234,1,15,22,1,4,1,4),(20,234,1,15,23,1,8,1,8),(20,234,1,15,24,2,6,2,6),(20,234,1,15,25,5,4,4,4),(20,234,1,15,26,1,NULL,1,NULL),(20,234,1,15,27,NULL,3,NULL,2),(20,234,1,15,28,2,1,2,1),(20,234,1,15,29,NULL,NULL,NULL,NULL),(20,234,1,15,30,1,2,NULL,2),(20,234,1,15,31,2,6,1,6),(20,234,1,15,32,7,1,6,1),(20,234,1,15,33,1,8,1,6),(20,234,1,15,34,1,2,1,2),(20,234,1,15,35,3,6,3,5),(20,234,1,15,36,8,3,7,3),(20,234,1,15,37,3,7,3,7),(20,234,1,15,38,1,3,NULL,3),(20,234,1,15,39,5,4,5,4),(20,234,1,15,40,3,1,3,1),(20,234,1,16,1,2,4,2,3),(20,234,1,16,2,1,4,1,3),(20,234,1,16,3,2,5,2,4),(20,234,1,16,4,1,5,1,4),(20,234,1,16,5,6,11,4,7),(20,234,1,16,6,3,12,3,8),(20,234,1,16,7,1,4,1,2),(20,234,1,16,8,13,3,10,3),(20,234,1,16,9,4,13,4,11),(20,234,1,16,10,5,5,5,3),(20,234,1,16,11,1,3,1,3),(20,234,1,16,12,2,3,2,1),(20,234,1,16,13,9,9,7,5),(20,234,1,16,14,1,3,1,1),(20,234,1,16,15,8,4,6,3),(20,234,1,16,16,1,8,1,4),(20,234,1,16,17,13,8,9,8),(20,234,1,16,18,1,7,1,5),(20,234,1,16,19,8,8,5,7),(20,234,1,16,20,1,2,1,2),(20,234,1,16,21,1,7,NULL,4),(20,234,1,16,22,3,5,2,5),(20,234,1,16,23,1,14,1,11),(20,234,1,16,24,2,4,2,3),(20,234,1,16,25,3,10,2,8),(20,234,1,16,26,4,NULL,4,NULL),(20,234,1,16,27,5,6,3,6),(20,234,1,16,28,NULL,5,NULL,3),(20,234,1,16,29,1,11,NULL,7),(20,234,1,16,30,1,4,NULL,4),(20,234,1,16,31,5,6,3,3),(20,234,1,16,32,4,5,3,4),(20,234,1,16,33,NULL,1,NULL,1),(20,234,1,16,34,NULL,2,NULL,1),(20,234,1,16,35,2,10,2,6),(20,234,1,16,36,2,7,2,5),(20,234,1,16,37,7,9,6,6),(20,234,1,16,38,NULL,4,NULL,2),(20,234,1,16,39,12,4,10,2),(20,234,1,16,40,6,3,5,1),(20,234,1,17,1,4,7,4,5),(20,234,1,17,2,NULL,5,NULL,3),(20,234,1,17,3,NULL,3,NULL,2),(20,234,1,17,4,3,2,2,2),(20,234,1,17,5,4,8,4,8),(20,234,1,17,6,8,9,6,8),(20,234,1,17,7,NULL,4,NULL,4),(20,234,1,17,8,8,7,7,5),(20,234,1,17,9,5,11,5,7),(20,234,1,17,10,2,6,2,4),(20,234,1,17,11,NULL,1,NULL,NULL),(20,234,1,17,12,4,5,2,4),(20,234,1,17,13,6,10,5,7),(20,234,1,17,14,5,1,4,NULL),(20,234,1,17,15,9,2,8,1),(20,234,1,17,16,NULL,2,NULL,2),(20,234,1,17,17,7,12,5,10),(20,234,1,17,18,1,4,1,4),(20,234,1,17,19,8,8,5,7),(20,234,1,17,20,NULL,3,NULL,3),(20,234,1,17,21,2,7,2,6),(20,234,1,17,22,NULL,4,NULL,4),(20,234,1,17,23,3,12,3,10),(20,234,1,17,24,NULL,2,NULL,2),(20,234,1,17,25,2,8,2,7),(20,234,1,17,26,4,NULL,3,NULL),(20,234,1,17,27,3,5,1,5),(20,234,1,17,28,2,4,1,4),(20,234,1,17,29,1,8,NULL,8),(20,234,1,17,30,NULL,10,NULL,7),(20,234,1,17,31,5,7,5,7),(20,234,1,17,32,3,3,3,3),(20,234,1,17,33,2,3,2,3),(20,234,1,17,34,3,3,2,2),(20,234,1,17,35,1,3,1,2),(20,234,1,17,36,2,10,2,7),(20,234,1,17,37,7,8,7,7),(20,234,1,17,38,NULL,4,NULL,3),(20,234,1,17,39,11,7,9,7),(20,234,1,17,40,2,3,2,3),(20,234,2,21,1,2,5,1,4),(20,234,2,21,2,1,3,1,3),(20,234,2,21,3,4,5,4,4),(20,234,2,21,4,2,5,1,2),(20,234,2,21,5,1,2,1,1),(20,234,2,21,6,NULL,3,NULL,2),(20,234,2,21,7,2,3,2,3),(20,234,2,21,8,4,NULL,1,NULL),(20,234,2,21,9,6,11,5,7),(20,234,2,21,10,NULL,4,NULL,2),(20,234,2,21,11,1,6,1,4),(20,234,2,21,12,4,4,3,2),(20,234,2,21,13,7,5,5,3),(20,234,2,21,14,7,9,7,5),(20,234,2,21,15,6,7,4,5),(20,234,2,21,16,8,4,6,3),(20,234,2,21,17,4,3,3,2),(20,234,2,21,18,1,2,NULL,2),(20,234,2,21,19,5,7,5,4),(20,234,2,21,20,6,7,5,5),(20,234,2,21,21,NULL,2,NULL,1),(20,234,2,21,22,1,2,NULL,2),(20,234,2,21,23,1,1,NULL,1),(20,234,2,21,24,NULL,1,NULL,NULL),(20,234,2,21,25,3,5,2,4),(20,234,2,21,26,NULL,1,NULL,1),(20,234,2,21,27,NULL,4,NULL,4),(20,234,2,21,28,4,4,3,4),(20,234,2,21,29,1,1,1,1),(20,234,2,21,30,NULL,3,NULL,2),(20,234,2,21,31,NULL,5,NULL,4),(20,234,2,21,32,NULL,6,NULL,6),(20,234,2,21,33,1,6,1,5),(20,234,2,21,34,1,3,1,2),(20,234,2,21,35,NULL,7,NULL,5),(20,234,2,21,36,1,9,1,8),(20,234,2,21,37,2,2,2,1),(20,234,2,21,38,1,4,1,3),(20,234,2,21,39,1,1,NULL,1),(20,234,2,21,40,1,2,1,1),(20,234,2,22,1,1,5,1,4),(20,234,2,22,2,1,NULL,1,NULL),(20,234,2,22,3,4,7,4,3),(20,234,2,22,4,2,8,2,7),(20,234,2,22,5,1,5,1,4),(20,234,2,22,6,5,6,5,6),(20,234,2,22,7,4,2,4,2),(20,234,2,22,8,2,NULL,1,NULL),(20,234,2,22,9,8,13,5,11),(20,234,2,22,10,2,4,2,4),(20,234,2,22,11,7,3,5,2),(20,234,2,22,12,1,6,1,5),(20,234,2,22,13,13,9,8,9),(20,234,2,22,14,13,11,10,8),(20,234,2,22,15,5,6,5,4),(20,234,2,22,16,9,6,9,5),(20,234,2,22,17,5,3,4,3),(20,234,2,22,18,3,4,3,3),(20,234,2,22,19,1,8,NULL,6),(20,234,2,22,20,4,9,4,8),(20,234,2,22,21,NULL,NULL,NULL,NULL),(20,234,2,22,22,3,6,3,5),(20,234,2,22,23,NULL,4,NULL,2),(20,234,2,22,24,NULL,2,NULL,2),(20,234,2,22,25,4,7,3,6),(20,234,2,22,26,NULL,3,NULL,3),(20,234,2,22,27,NULL,2,NULL,1),(20,234,2,22,28,1,7,1,6),(20,234,2,22,29,1,2,NULL,2),(20,234,2,22,30,NULL,4,NULL,4),(20,234,2,22,31,NULL,6,NULL,5),(20,234,2,22,32,2,7,2,5),(20,234,2,22,33,3,6,3,6),(20,234,2,22,34,2,5,1,4),(20,234,2,22,35,2,7,1,7),(20,234,2,22,36,NULL,7,NULL,6),(20,234,2,22,37,NULL,5,NULL,5),(20,234,2,22,38,1,3,1,3),(20,234,2,22,39,3,3,2,3),(20,234,2,22,40,2,2,2,2),(20,234,2,23,1,2,9,1,8),(20,234,2,23,2,NULL,NULL,NULL,NULL),(20,234,2,23,3,4,6,3,4),(20,234,2,23,4,3,8,3,6),(20,234,2,23,5,NULL,3,NULL,1),(20,234,2,23,6,3,6,3,4),(20,234,2,23,7,1,11,1,9),(20,234,2,23,8,NULL,NULL,NULL,NULL),(20,234,2,23,9,3,11,3,6),(20,234,2,23,10,NULL,6,NULL,5),(20,234,2,23,11,7,2,5,2),(20,234,2,23,12,2,4,2,2),(20,234,2,23,13,10,10,8,6),(20,234,2,23,14,9,11,8,8),(20,234,2,23,15,10,8,7,6),(20,234,2,23,16,11,7,7,6),(20,234,2,23,17,6,4,4,3),(20,234,2,23,18,NULL,8,NULL,5),(20,234,2,23,19,4,9,4,6),(20,234,2,23,20,6,6,6,5),(20,234,2,23,21,NULL,3,NULL,2),(20,234,2,23,22,1,5,1,4),(20,234,2,23,23,NULL,NULL,NULL,NULL),(20,234,2,23,24,NULL,3,NULL,2),(20,234,2,23,25,8,6,4,6),(20,234,2,23,26,1,4,1,3),(20,234,2,23,27,1,3,1,2),(20,234,2,23,28,3,7,3,5),(20,234,2,23,29,NULL,3,NULL,3),(20,234,2,23,30,1,2,1,2),(20,234,2,23,31,1,4,1,4),(20,234,2,23,32,1,5,1,4),(20,234,2,23,33,2,8,1,8),(20,234,2,23,34,1,6,1,5),(20,234,2,23,35,NULL,5,NULL,3),(20,234,2,23,36,2,10,2,7),(20,234,2,23,37,1,6,1,5),(20,234,2,23,38,1,1,1,1),(20,234,2,23,39,1,3,NULL,3),(20,234,2,23,40,4,9,4,7),(20,234,2,24,1,NULL,8,NULL,4),(20,234,2,24,2,NULL,1,NULL,NULL),(20,234,2,24,3,2,5,1,3),(20,234,2,24,4,2,3,2,3),(20,234,2,24,5,NULL,4,NULL,2),(20,234,2,24,6,1,5,1,4),(20,234,2,24,7,1,3,1,1),(20,234,2,24,8,NULL,NULL,NULL,NULL),(20,234,2,24,9,4,7,2,3),(20,234,2,24,10,1,6,1,2),(20,234,2,24,11,2,7,2,3),(20,234,2,24,12,1,2,NULL,2),(20,234,2,24,13,2,9,1,6),(20,234,2,24,14,4,11,2,7),(20,234,2,24,15,5,6,4,3),(20,234,2,24,16,4,5,3,4),(20,234,2,24,17,4,3,4,1),(20,234,2,24,18,1,1,1,NULL),(20,234,2,24,19,2,5,1,2),(20,234,2,24,20,4,5,3,3),(20,234,2,24,21,NULL,NULL,NULL,NULL),(20,234,2,24,22,NULL,3,NULL,3),(20,234,2,24,23,NULL,1,NULL,1),(20,234,2,24,24,NULL,NULL,NULL,NULL),(20,234,2,24,25,2,4,1,3),(20,234,2,24,26,NULL,1,NULL,1),(20,234,2,24,27,1,NULL,NULL,NULL),(20,234,2,24,28,1,5,NULL,4),(20,234,2,24,29,NULL,NULL,NULL,NULL),(20,234,2,24,30,NULL,4,NULL,2),(20,234,2,24,31,1,4,NULL,3),(20,234,2,24,32,1,5,1,3),(20,234,2,24,33,2,6,1,3),(20,234,2,24,34,1,1,1,1),(20,234,2,24,35,NULL,3,NULL,1),(20,234,2,24,36,1,5,NULL,4),(20,234,2,24,37,1,5,1,4),(20,234,2,24,38,NULL,3,NULL,2),(20,234,2,24,39,NULL,1,NULL,1),(20,234,2,24,40,1,5,1,4),(20,235,1,11,1,NULL,NULL,NULL,NULL),(20,235,1,11,2,NULL,NULL,NULL,NULL),(20,235,1,11,3,NULL,NULL,NULL,NULL),(20,235,1,11,4,NULL,NULL,NULL,NULL),(20,235,1,11,5,NULL,NULL,NULL,NULL),(20,235,1,11,6,NULL,NULL,NULL,NULL),(20,235,1,11,7,NULL,NULL,NULL,NULL),(20,235,1,11,8,NULL,NULL,NULL,NULL),(20,235,1,11,9,NULL,NULL,NULL,NULL),(20,235,1,11,10,NULL,NULL,NULL,NULL),(20,235,1,11,11,NULL,NULL,NULL,NULL),(20,235,1,11,12,NULL,NULL,NULL,NULL),(20,235,1,11,13,NULL,NULL,NULL,NULL),(20,235,1,11,14,NULL,NULL,NULL,NULL),(20,235,1,11,15,NULL,NULL,NULL,NULL),(20,235,1,11,16,NULL,NULL,NULL,NULL),(20,235,1,11,17,NULL,NULL,NULL,NULL),(20,235,1,11,18,NULL,NULL,NULL,NULL),(20,235,1,11,19,NULL,NULL,NULL,NULL),(20,235,1,11,20,NULL,NULL,NULL,NULL),(20,235,1,11,21,NULL,NULL,NULL,NULL),(20,235,1,11,22,NULL,NULL,NULL,NULL),(20,235,1,11,23,NULL,NULL,NULL,NULL),(20,235,1,11,24,NULL,NULL,NULL,NULL),(20,235,1,11,25,NULL,NULL,NULL,NULL),(20,235,1,11,26,NULL,NULL,NULL,NULL),(20,235,1,11,27,NULL,NULL,NULL,NULL),(20,235,1,11,28,NULL,NULL,NULL,NULL),(20,235,1,11,29,NULL,NULL,NULL,NULL),(20,235,1,11,30,NULL,NULL,NULL,NULL),(20,235,1,11,31,NULL,NULL,NULL,NULL),(20,235,1,11,32,NULL,NULL,NULL,NULL),(20,235,1,11,33,NULL,NULL,NULL,NULL),(20,235,1,11,34,NULL,NULL,NULL,NULL),(20,235,1,11,35,NULL,NULL,NULL,NULL),(20,235,1,11,36,NULL,NULL,NULL,NULL),(20,235,1,11,37,NULL,NULL,NULL,NULL),(20,235,1,11,38,NULL,NULL,NULL,NULL),(20,235,1,11,39,NULL,NULL,NULL,NULL),(20,235,1,11,40,NULL,NULL,NULL,NULL),(20,235,1,12,1,NULL,NULL,NULL,NULL),(20,235,1,12,2,NULL,NULL,NULL,NULL),(20,235,1,12,3,NULL,NULL,NULL,NULL),(20,235,1,12,4,NULL,NULL,NULL,NULL),(20,235,1,12,5,NULL,NULL,NULL,NULL),(20,235,1,12,6,NULL,NULL,NULL,NULL),(20,235,1,12,7,NULL,NULL,NULL,NULL),(20,235,1,12,8,NULL,NULL,NULL,NULL),(20,235,1,12,9,NULL,NULL,NULL,NULL),(20,235,1,12,10,NULL,NULL,NULL,NULL),(20,235,1,12,11,NULL,NULL,NULL,NULL),(20,235,1,12,12,NULL,NULL,NULL,NULL),(20,235,1,12,13,NULL,NULL,NULL,NULL),(20,235,1,12,14,NULL,NULL,NULL,NULL),(20,235,1,12,15,NULL,NULL,NULL,NULL),(20,235,1,12,16,NULL,NULL,NULL,NULL),(20,235,1,12,17,NULL,NULL,NULL,NULL),(20,235,1,12,18,NULL,NULL,NULL,NULL),(20,235,1,12,19,NULL,NULL,NULL,NULL),(20,235,1,12,20,NULL,NULL,NULL,NULL),(20,235,1,12,21,NULL,NULL,NULL,NULL),(20,235,1,12,22,NULL,NULL,NULL,NULL),(20,235,1,12,23,NULL,NULL,NULL,NULL),(20,235,1,12,24,NULL,NULL,NULL,NULL),(20,235,1,12,25,NULL,NULL,NULL,NULL),(20,235,1,12,26,NULL,NULL,NULL,NULL),(20,235,1,12,27,NULL,NULL,NULL,NULL),(20,235,1,12,28,NULL,NULL,NULL,NULL),(20,235,1,12,29,NULL,NULL,NULL,NULL),(20,235,1,12,30,NULL,NULL,NULL,NULL),(20,235,1,12,31,NULL,NULL,NULL,NULL),(20,235,1,12,32,NULL,NULL,NULL,NULL),(20,235,1,12,33,NULL,NULL,NULL,NULL),(20,235,1,12,34,NULL,NULL,NULL,NULL),(20,235,1,12,35,NULL,NULL,NULL,NULL),(20,235,1,12,36,NULL,NULL,NULL,NULL),(20,235,1,12,37,NULL,NULL,NULL,NULL),(20,235,1,12,38,NULL,NULL,NULL,NULL),(20,235,1,12,39,NULL,NULL,NULL,NULL),(20,235,1,12,40,NULL,NULL,NULL,NULL),(20,235,1,13,1,NULL,NULL,NULL,NULL),(20,235,1,13,2,NULL,NULL,NULL,NULL),(20,235,1,13,3,NULL,NULL,NULL,NULL),(20,235,1,13,4,NULL,NULL,NULL,NULL),(20,235,1,13,5,NULL,NULL,NULL,NULL),(20,235,1,13,6,NULL,NULL,NULL,NULL),(20,235,1,13,7,NULL,NULL,NULL,NULL),(20,235,1,13,8,NULL,NULL,NULL,NULL),(20,235,1,13,9,NULL,NULL,NULL,NULL),(20,235,1,13,10,NULL,NULL,NULL,NULL),(20,235,1,13,11,NULL,NULL,NULL,NULL),(20,235,1,13,12,NULL,NULL,NULL,NULL),(20,235,1,13,13,NULL,NULL,NULL,NULL),(20,235,1,13,14,NULL,NULL,NULL,NULL),(20,235,1,13,15,NULL,NULL,NULL,NULL),(20,235,1,13,16,NULL,NULL,NULL,NULL),(20,235,1,13,17,NULL,NULL,NULL,NULL),(20,235,1,13,18,NULL,NULL,NULL,NULL),(20,235,1,13,19,NULL,NULL,NULL,NULL),(20,235,1,13,20,NULL,NULL,NULL,NULL),(20,235,1,13,21,NULL,NULL,NULL,NULL),(20,235,1,13,22,NULL,NULL,NULL,NULL),(20,235,1,13,23,NULL,NULL,NULL,NULL),(20,235,1,13,24,NULL,NULL,NULL,NULL),(20,235,1,13,25,NULL,NULL,NULL,NULL),(20,235,1,13,26,NULL,NULL,NULL,NULL),(20,235,1,13,27,NULL,NULL,NULL,NULL),(20,235,1,13,28,NULL,NULL,NULL,NULL),(20,235,1,13,29,NULL,NULL,NULL,NULL),(20,235,1,13,30,NULL,NULL,NULL,NULL),(20,235,1,13,31,NULL,NULL,NULL,NULL),(20,235,1,13,32,NULL,NULL,NULL,NULL),(20,235,1,13,33,NULL,NULL,NULL,NULL),(20,235,1,13,34,NULL,NULL,NULL,NULL),(20,235,1,13,35,NULL,NULL,NULL,NULL),(20,235,1,13,36,NULL,NULL,NULL,NULL),(20,235,1,13,37,NULL,NULL,NULL,NULL),(20,235,1,13,38,NULL,NULL,NULL,NULL),(20,235,1,13,39,NULL,NULL,NULL,NULL),(20,235,1,13,40,NULL,NULL,NULL,NULL),(20,235,1,14,1,5,5,5,3),(20,235,1,14,2,5,7,6,8),(20,235,1,14,3,1,7,4,7),(20,235,1,14,4,5,7,2,5),(20,235,1,14,5,NULL,10,3,11),(20,235,1,14,6,14,10,18,9),(20,235,1,14,7,3,4,5,7),(20,235,1,14,8,9,4,11,3),(20,235,1,14,9,9,12,11,9),(20,235,1,14,10,4,5,6,3),(20,235,1,14,11,NULL,4,1,4),(20,235,1,14,12,3,3,2,5),(20,235,1,14,13,13,11,16,7),(20,235,1,14,14,16,11,18,7),(20,235,1,14,15,9,8,10,7),(20,235,1,14,16,22,4,19,3),(20,235,1,14,17,8,14,10,15),(20,235,1,14,18,15,8,18,7),(20,235,1,14,19,18,3,23,1),(20,235,1,14,20,13,11,19,7),(20,235,1,14,21,1,10,2,10),(20,235,1,14,22,4,17,4,20),(20,235,1,14,23,4,14,4,14),(20,235,1,14,24,2,16,2,19),(20,235,1,14,25,7,12,9,10),(20,235,1,14,26,11,NULL,15,NULL),(20,235,1,14,27,8,11,9,11),(20,235,1,14,28,2,9,4,11),(20,235,1,14,29,2,9,5,7),(20,235,1,14,30,4,9,3,10),(20,235,1,14,31,5,12,6,13),(20,235,1,14,32,10,7,11,7),(20,235,1,14,33,4,9,13,7),(20,235,1,14,34,2,5,3,6),(20,235,1,14,35,5,8,7,12),(20,235,1,14,36,9,7,17,6),(20,235,1,14,37,13,13,13,8),(20,235,1,14,38,3,2,2,4),(20,235,1,14,39,12,12,11,13),(20,235,1,14,40,9,2,15,2),(20,235,1,15,1,7,4,4,3),(20,235,1,15,2,7,5,9,4),(20,235,1,15,3,2,6,4,8),(20,235,1,15,4,4,6,2,4),(20,235,1,15,5,7,7,10,7),(20,235,1,15,6,14,7,9,10),(20,235,1,15,7,3,5,5,7),(20,235,1,15,8,8,4,12,2),(20,235,1,15,9,16,10,9,11),(20,235,1,15,10,4,2,4,5),(20,235,1,15,11,1,7,1,2),(20,235,1,15,12,5,4,7,2),(20,235,1,15,13,16,3,14,6),(20,235,1,15,14,18,8,17,5),(20,235,1,15,15,14,6,15,4),(20,235,1,15,16,17,3,22,NULL),(20,235,1,15,17,12,11,9,12),(20,235,1,15,18,20,1,18,3),(20,235,1,15,19,17,1,21,NULL),(20,235,1,15,20,20,5,18,1),(20,235,1,15,21,1,7,2,11),(20,235,1,15,22,5,8,6,9),(20,235,1,15,23,2,12,NULL,11),(20,235,1,15,24,6,12,6,13),(20,235,1,15,25,10,5,9,9),(20,235,1,15,26,4,NULL,9,NULL),(20,235,1,15,27,8,8,3,10),(20,235,1,15,28,NULL,8,2,8),(20,235,1,15,29,2,1,1,2),(20,235,1,15,30,2,4,3,9),(20,235,1,15,31,6,11,4,13),(20,235,1,15,32,5,6,6,7),(20,235,1,15,33,7,1,11,4),(20,235,1,15,34,NULL,6,1,8),(20,235,1,15,35,5,5,8,6),(20,235,1,15,36,9,8,10,9),(20,235,1,15,37,10,4,9,8),(20,235,1,15,38,NULL,2,2,6),(20,235,1,15,39,15,9,15,8),(20,235,1,15,40,8,2,14,2),(20,235,1,16,1,NULL,NULL,1,NULL),(20,235,1,16,2,1,NULL,NULL,NULL),(20,235,1,16,3,1,3,1,NULL),(20,235,1,16,4,NULL,1,NULL,1),(20,235,1,16,5,2,3,1,1),(20,235,1,16,6,1,3,1,1),(20,235,1,16,7,NULL,1,NULL,NULL),(20,235,1,16,8,NULL,2,NULL,1),(20,235,1,16,9,6,4,2,NULL),(20,235,1,16,10,1,NULL,NULL,NULL),(20,235,1,16,11,1,NULL,NULL,NULL),(20,235,1,16,12,NULL,NULL,NULL,NULL),(20,235,1,16,13,3,2,1,1),(20,235,1,16,14,NULL,1,NULL,NULL),(20,235,1,16,15,1,1,1,1),(20,235,1,16,16,2,1,NULL,2),(20,235,1,16,17,4,5,1,1),(20,235,1,16,18,1,4,1,1),(20,235,1,16,19,2,1,1,1),(20,235,1,16,20,NULL,1,NULL,1),(20,235,1,16,21,NULL,NULL,NULL,1),(20,235,1,16,22,NULL,2,1,NULL),(20,235,1,16,23,1,4,NULL,NULL),(20,235,1,16,24,1,2,NULL,1),(20,235,1,16,25,1,5,1,1),(20,235,1,16,26,1,NULL,NULL,NULL),(20,235,1,16,27,NULL,2,NULL,2),(20,235,1,16,28,NULL,1,NULL,2),(20,235,1,16,29,1,1,1,1),(20,235,1,16,30,1,1,1,1),(20,235,1,16,31,2,2,2,NULL),(20,235,1,16,32,1,NULL,NULL,1),(20,235,1,16,33,1,1,1,NULL),(20,235,1,16,34,1,3,2,NULL),(20,235,1,16,35,3,1,1,NULL),(20,235,1,16,36,1,2,1,1),(20,235,1,16,37,4,NULL,NULL,2),(20,235,1,16,38,NULL,1,NULL,1),(20,235,1,16,39,5,2,NULL,2),(20,235,1,16,40,1,1,1,NULL),(20,235,1,17,1,1,4,1,NULL),(20,235,1,17,2,1,1,NULL,NULL),(20,235,1,17,3,NULL,4,NULL,1),(20,235,1,17,4,1,3,1,1),(20,235,1,17,5,1,4,3,1),(20,235,1,17,6,3,2,3,NULL),(20,235,1,17,7,2,2,NULL,1),(20,235,1,17,8,3,3,3,NULL),(20,235,1,17,9,1,3,1,NULL),(20,235,1,17,10,NULL,1,NULL,NULL),(20,235,1,17,11,NULL,2,NULL,1),(20,235,1,17,12,1,1,2,NULL),(20,235,1,17,13,4,4,1,2),(20,235,1,17,14,1,NULL,1,NULL),(20,235,1,17,15,1,2,NULL,NULL),(20,235,1,17,16,1,1,1,NULL),(20,235,1,17,17,5,2,2,1),(20,235,1,17,18,NULL,4,NULL,2),(20,235,1,17,19,7,2,3,NULL),(20,235,1,17,20,NULL,4,NULL,2),(20,235,1,17,21,2,3,2,1),(20,235,1,17,22,NULL,3,NULL,1),(20,235,1,17,23,NULL,4,1,1),(20,235,1,17,24,2,4,1,1),(20,235,1,17,25,2,4,1,2),(20,235,1,17,26,3,NULL,1,NULL),(20,235,1,17,27,2,6,NULL,2),(20,235,1,17,28,1,3,NULL,1),(20,235,1,17,29,1,4,NULL,NULL),(20,235,1,17,30,1,3,1,NULL),(20,235,1,17,31,1,4,1,2),(20,235,1,17,32,2,NULL,1,NULL),(20,235,1,17,33,NULL,2,1,1),(20,235,1,17,34,2,2,1,1),(20,235,1,17,35,3,2,3,1),(20,235,1,17,36,3,6,4,1),(20,235,1,17,37,6,1,4,1),(20,235,1,17,38,NULL,4,NULL,2),(20,235,1,17,39,4,5,3,1),(20,235,1,17,40,3,NULL,2,NULL),(20,235,2,21,1,3,2,1,4),(20,235,2,21,2,NULL,1,NULL,1),(20,235,2,21,3,1,7,1,4),(20,235,2,21,4,1,5,NULL,5),(20,235,2,21,5,NULL,3,NULL,2),(20,235,2,21,6,3,5,4,5),(20,235,2,21,7,2,3,6,4),(20,235,2,21,8,3,NULL,4,NULL),(20,235,2,21,9,11,5,4,5),(20,235,2,21,10,1,5,1,6),(20,235,2,21,11,4,3,4,1),(20,235,2,21,12,2,1,NULL,NULL),(20,235,2,21,13,12,2,8,3),(20,235,2,21,14,10,9,7,6),(20,235,2,21,15,6,4,4,4),(20,235,2,21,16,8,4,5,4),(20,235,2,21,17,1,5,4,1),(20,235,2,21,18,1,2,1,4),(20,235,2,21,19,3,8,2,7),(20,235,2,21,20,8,6,6,4),(20,235,2,21,21,1,1,NULL,3),(20,235,2,21,22,NULL,2,NULL,1),(20,235,2,21,23,2,2,1,2),(20,235,2,21,24,NULL,NULL,NULL,1),(20,235,2,21,25,11,3,12,1),(20,235,2,21,26,NULL,2,2,1),(20,235,2,21,27,NULL,3,1,3),(20,235,2,21,28,4,3,4,2),(20,235,2,21,29,1,5,NULL,4),(20,235,2,21,30,1,1,3,1),(20,235,2,21,31,2,9,5,6),(20,235,2,21,32,5,5,4,4),(20,235,2,21,33,1,5,NULL,4),(20,235,2,21,34,2,5,2,4),(20,235,2,21,35,NULL,5,3,3),(20,235,2,21,36,2,2,4,1),(20,235,2,21,37,1,4,3,6),(20,235,2,21,38,NULL,6,1,5),(20,235,2,21,39,2,5,5,3),(20,235,2,21,40,2,1,5,1),(20,235,2,22,1,1,9,2,8),(20,235,2,22,2,NULL,1,NULL,2),(20,235,2,22,3,5,9,3,6),(20,235,2,22,4,2,6,2,7),(20,235,2,22,5,NULL,4,NULL,3),(20,235,2,22,6,5,2,7,4),(20,235,2,22,7,1,6,3,7),(20,235,2,22,8,7,NULL,7,NULL),(20,235,2,22,9,11,8,6,5),(20,235,2,22,10,NULL,7,NULL,8),(20,235,2,22,11,2,4,2,3),(20,235,2,22,12,NULL,2,NULL,2),(20,235,2,22,13,9,9,7,9),(20,235,2,22,14,10,10,9,6),(20,235,2,22,15,10,3,9,4),(20,235,2,22,16,5,4,4,5),(20,235,2,22,17,5,4,6,4),(20,235,2,22,18,1,6,NULL,7),(20,235,2,22,19,7,6,4,7),(20,235,2,22,20,7,7,8,6),(20,235,2,22,21,2,1,2,1),(20,235,2,22,22,NULL,5,NULL,5),(20,235,2,22,23,3,2,4,NULL),(20,235,2,22,24,1,4,1,3),(20,235,2,22,25,14,3,12,4),(20,235,2,22,26,1,2,2,2),(20,235,2,22,27,2,5,2,6),(20,235,2,22,28,2,5,2,5),(20,235,2,22,29,2,3,NULL,2),(20,235,2,22,30,2,2,4,2),(20,235,2,22,31,4,4,6,5),(20,235,2,22,32,6,5,5,3),(20,235,2,22,33,4,5,2,6),(20,235,2,22,34,1,6,4,3),(20,235,2,22,35,1,8,2,8),(20,235,2,22,36,3,NULL,4,2),(20,235,2,22,37,2,4,3,4),(20,235,2,22,38,1,6,1,5),(20,235,2,22,39,3,4,5,4),(20,235,2,22,40,8,3,11,3),(20,235,2,23,1,3,2,2,3),(20,235,2,23,2,NULL,NULL,1,2),(20,235,2,23,3,1,6,4,1),(20,235,2,23,4,1,2,1,1),(20,235,2,23,5,NULL,NULL,NULL,NULL),(20,235,2,23,6,1,4,3,3),(20,235,2,23,7,1,1,3,2),(20,235,2,23,8,2,NULL,1,NULL),(20,235,2,23,9,4,15,5,4),(20,235,2,23,10,NULL,3,NULL,3),(20,235,2,23,11,2,3,2,1),(20,235,2,23,12,NULL,2,NULL,NULL),(20,235,2,23,13,7,8,4,2),(20,235,2,23,14,13,7,5,4),(20,235,2,23,15,5,4,6,NULL),(20,235,2,23,16,4,1,2,1),(20,235,2,23,17,5,2,3,1),(20,235,2,23,18,NULL,2,NULL,1),(20,235,2,23,19,1,12,2,4),(20,235,2,23,20,5,6,5,2),(20,235,2,23,21,NULL,1,NULL,1),(20,235,2,23,22,2,5,NULL,2),(20,235,2,23,23,NULL,NULL,1,NULL),(20,235,2,23,24,NULL,1,2,1),(20,235,2,23,25,7,8,4,3),(20,235,2,23,26,3,NULL,6,NULL),(20,235,2,23,27,NULL,3,1,2),(20,235,2,23,28,4,4,3,3),(20,235,2,23,29,NULL,3,1,1),(20,235,2,23,30,3,2,3,NULL),(20,235,2,23,31,1,6,2,3),(20,235,2,23,32,2,8,2,3),(20,235,2,23,33,1,8,NULL,1),(20,235,2,23,34,2,7,1,3),(20,235,2,23,35,NULL,4,2,2),(20,235,2,23,36,3,2,2,2),(20,235,2,23,37,2,3,2,1),(20,235,2,23,38,NULL,4,2,3),(20,235,2,23,39,1,1,4,1),(20,235,2,23,40,2,NULL,5,NULL),(20,235,2,24,1,1,6,1,3),(20,235,2,24,2,NULL,NULL,NULL,1),(20,235,2,24,3,5,8,4,7),(20,235,2,24,4,NULL,3,2,2),(20,235,2,24,5,NULL,3,1,2),(20,235,2,24,6,4,7,5,7),(20,235,2,24,7,4,9,6,8),(20,235,2,24,8,4,NULL,6,NULL),(20,235,2,24,9,6,16,3,12),(20,235,2,24,10,1,6,NULL,8),(20,235,2,24,11,2,3,2,1),(20,235,2,24,12,2,1,1,3),(20,235,2,24,13,18,5,16,1),(20,235,2,24,14,9,12,14,4),(20,235,2,24,15,9,8,6,4),(20,235,2,24,16,10,7,12,3),(20,235,2,24,17,3,1,4,1),(20,235,2,24,18,2,8,1,8),(20,235,2,24,19,4,11,5,7),(20,235,2,24,20,9,6,8,6),(20,235,2,24,21,NULL,4,NULL,2),(20,235,2,24,22,2,2,3,1),(20,235,2,24,23,NULL,3,NULL,2),(20,235,2,24,24,2,2,2,4),(20,235,2,24,25,14,4,10,6),(20,235,2,24,26,3,1,7,1),(20,235,2,24,27,NULL,6,1,4),(20,235,2,24,28,1,8,4,5),(20,235,2,24,29,NULL,6,NULL,6),(20,235,2,24,30,3,NULL,2,NULL),(20,235,2,24,31,3,6,3,7),(20,235,2,24,32,NULL,9,4,4),(20,235,2,24,33,3,8,2,4),(20,235,2,24,34,5,7,6,8),(20,235,2,24,35,1,12,1,11),(20,235,2,24,36,3,5,5,2),(20,235,2,24,37,2,6,1,3),(20,235,2,24,38,2,2,2,4),(20,235,2,24,39,1,4,4,3),(20,235,2,24,40,3,9,6,3),(20,238,1,11,1,NULL,NULL,NULL,NULL),(20,238,1,11,2,NULL,NULL,NULL,NULL),(20,238,1,11,3,NULL,NULL,NULL,NULL),(20,238,1,11,4,NULL,NULL,NULL,NULL),(20,238,1,11,5,NULL,NULL,NULL,NULL),(20,238,1,11,6,NULL,NULL,NULL,NULL),(20,238,1,11,7,NULL,NULL,NULL,NULL),(20,238,1,11,8,NULL,NULL,NULL,NULL),(20,238,1,11,9,NULL,NULL,NULL,NULL),(20,238,1,11,10,NULL,NULL,NULL,NULL),(20,238,1,11,11,NULL,NULL,NULL,NULL),(20,238,1,11,12,NULL,NULL,NULL,NULL),(20,238,1,11,13,NULL,NULL,NULL,NULL),(20,238,1,11,14,NULL,NULL,NULL,NULL),(20,238,1,11,15,NULL,NULL,NULL,NULL),(20,238,1,11,16,NULL,NULL,NULL,NULL),(20,238,1,11,17,NULL,NULL,NULL,NULL),(20,238,1,11,18,NULL,NULL,NULL,NULL),(20,238,1,11,19,NULL,NULL,NULL,NULL),(20,238,1,11,20,NULL,NULL,NULL,NULL),(20,238,1,11,21,NULL,NULL,NULL,NULL),(20,238,1,11,22,NULL,NULL,NULL,NULL),(20,238,1,11,23,NULL,NULL,NULL,NULL),(20,238,1,11,24,NULL,NULL,NULL,NULL),(20,238,1,11,25,NULL,NULL,NULL,NULL),(20,238,1,11,26,NULL,NULL,NULL,NULL),(20,238,1,11,27,NULL,NULL,NULL,NULL),(20,238,1,11,28,NULL,NULL,NULL,NULL),(20,238,1,11,29,NULL,NULL,NULL,NULL),(20,238,1,11,30,NULL,NULL,NULL,NULL),(20,238,1,11,31,NULL,NULL,NULL,NULL),(20,238,1,11,32,NULL,NULL,NULL,NULL),(20,238,1,11,33,NULL,NULL,NULL,NULL),(20,238,1,11,34,NULL,NULL,NULL,NULL),(20,238,1,11,35,NULL,NULL,NULL,NULL),(20,238,1,11,36,NULL,NULL,NULL,NULL),(20,238,1,11,37,NULL,NULL,NULL,NULL),(20,238,1,11,38,NULL,NULL,NULL,NULL),(20,238,1,11,39,NULL,NULL,NULL,NULL),(20,238,1,11,40,NULL,NULL,NULL,NULL),(20,238,1,12,1,1,NULL,1,NULL),(20,238,1,12,2,1,NULL,1,NULL),(20,238,1,12,3,NULL,NULL,NULL,NULL),(20,238,1,12,4,NULL,NULL,NULL,NULL),(20,238,1,12,5,NULL,1,NULL,1),(20,238,1,12,6,1,NULL,1,NULL),(20,238,1,12,7,NULL,NULL,NULL,NULL),(20,238,1,12,8,1,NULL,1,NULL),(20,238,1,12,9,NULL,1,NULL,1),(20,238,1,12,10,NULL,NULL,NULL,NULL),(20,238,1,12,11,NULL,NULL,NULL,NULL),(20,238,1,12,12,1,NULL,1,NULL),(20,238,1,12,13,1,NULL,1,NULL),(20,238,1,12,14,1,NULL,1,NULL),(20,238,1,12,15,1,NULL,1,NULL),(20,238,1,12,16,1,NULL,1,NULL),(20,238,1,12,17,1,NULL,1,NULL),(20,238,1,12,18,1,NULL,1,NULL),(20,238,1,12,19,1,NULL,1,NULL),(20,238,1,12,20,1,NULL,1,NULL),(20,238,1,12,21,NULL,NULL,NULL,NULL),(20,238,1,12,22,NULL,1,NULL,1),(20,238,1,12,23,NULL,1,NULL,1),(20,238,1,12,24,NULL,1,NULL,1),(20,238,1,12,25,NULL,1,NULL,1),(20,238,1,12,26,NULL,NULL,NULL,NULL),(20,238,1,12,27,NULL,1,NULL,1),(20,238,1,12,28,NULL,NULL,NULL,NULL),(20,238,1,12,29,NULL,NULL,NULL,NULL),(20,238,1,12,30,NULL,1,NULL,1),(20,238,1,12,31,NULL,1,NULL,1),(20,238,1,12,32,NULL,NULL,NULL,NULL),(20,238,1,12,33,1,NULL,1,NULL),(20,238,1,12,34,NULL,NULL,NULL,NULL),(20,238,1,12,35,1,NULL,1,NULL),(20,238,1,12,36,NULL,1,NULL,1),(20,238,1,12,37,NULL,NULL,NULL,NULL),(20,238,1,12,38,NULL,NULL,NULL,NULL),(20,238,1,12,39,1,NULL,1,NULL),(20,238,1,12,40,NULL,NULL,NULL,NULL),(20,238,1,13,1,2,1,2,NULL),(20,238,1,13,2,NULL,2,NULL,2),(20,238,1,13,3,NULL,1,NULL,NULL),(20,238,1,13,4,1,NULL,NULL,NULL),(20,238,1,13,5,NULL,1,NULL,1),(20,238,1,13,6,1,2,NULL,1),(20,238,1,13,7,NULL,2,NULL,2),(20,238,1,13,8,1,1,1,1),(20,238,1,13,9,1,NULL,1,NULL),(20,238,1,13,10,NULL,2,NULL,2),(20,238,1,13,11,NULL,NULL,NULL,NULL),(20,238,1,13,12,NULL,1,NULL,NULL),(20,238,1,13,13,4,1,2,NULL),(20,238,1,13,14,1,3,NULL,2),(20,238,1,13,15,3,NULL,2,NULL),(20,238,1,13,16,4,NULL,2,NULL),(20,238,1,13,17,3,1,2,NULL),(20,238,1,13,18,4,NULL,2,NULL),(20,238,1,13,19,3,NULL,1,NULL),(20,238,1,13,20,4,NULL,2,NULL),(20,238,1,13,21,NULL,1,NULL,1),(20,238,1,13,22,NULL,1,NULL,1),(20,238,1,13,23,NULL,3,NULL,2),(20,238,1,13,24,NULL,1,NULL,1),(20,238,1,13,25,1,1,1,1),(20,238,1,13,26,1,NULL,1,NULL),(20,238,1,13,27,NULL,2,NULL,2),(20,238,1,13,28,NULL,1,NULL,1),(20,238,1,13,29,NULL,1,NULL,1),(20,238,1,13,30,NULL,1,NULL,1),(20,238,1,13,31,2,NULL,NULL,NULL),(20,238,1,13,32,1,1,1,1),(20,238,1,13,33,NULL,1,NULL,1),(20,238,1,13,34,1,1,NULL,1),(20,238,1,13,35,1,2,NULL,1),(20,238,1,13,36,NULL,1,NULL,1),(20,238,1,13,37,1,1,NULL,1),(20,238,1,13,38,NULL,NULL,NULL,NULL),(20,238,1,13,39,1,1,1,1),(20,238,1,13,40,1,1,1,1),(20,238,1,14,1,29,36,12,7),(20,238,1,14,2,13,16,6,9),(20,238,1,14,3,7,23,4,10),(20,238,1,14,4,12,33,4,8),(20,238,1,14,5,24,38,10,14),(20,238,1,14,6,59,41,19,10),(20,238,1,14,7,14,30,10,10),(20,238,1,14,8,38,19,17,11),(20,238,1,14,9,48,53,18,11),(20,238,1,14,10,17,17,13,6),(20,238,1,14,11,7,19,1,10),(20,238,1,14,12,17,32,14,11),(20,238,1,14,13,69,35,25,6),(20,238,1,14,14,80,42,26,8),(20,238,1,14,15,39,29,19,6),(20,238,1,14,16,91,23,28,3),(20,238,1,14,17,55,59,20,12),(20,238,1,14,18,83,22,26,6),(20,238,1,14,19,77,6,29,NULL),(20,238,1,14,20,81,27,33,4),(20,238,1,14,21,7,23,2,8),(20,238,1,14,22,9,40,3,21),(20,238,1,14,23,17,67,2,18),(20,238,1,14,24,9,39,4,18),(20,238,1,14,25,27,58,11,14),(20,238,1,14,26,25,NULL,13,NULL),(20,238,1,14,27,13,52,1,21),(20,238,1,14,28,10,15,7,10),(20,238,1,14,29,5,25,1,9),(20,238,1,14,30,5,26,2,14),(20,238,1,14,31,24,37,10,15),(20,238,1,14,32,27,28,19,7),(20,238,1,14,33,12,19,11,10),(20,238,1,14,34,3,27,3,15),(20,238,1,14,35,21,39,10,15),(20,238,1,14,36,34,48,14,13),(20,238,1,14,37,42,40,15,7),(20,238,1,14,38,3,19,NULL,6),(20,238,1,14,39,65,48,17,17),(20,238,1,14,40,33,11,24,3),(20,238,1,15,1,26,23,8,8),(20,238,1,15,2,13,17,6,10),(20,238,1,15,3,11,30,4,14),(20,238,1,15,4,10,33,NULL,16),(20,238,1,15,5,27,33,7,16),(20,238,1,15,6,46,45,8,15),(20,238,1,15,7,11,26,5,14),(20,238,1,15,8,47,22,21,7),(20,238,1,15,9,27,59,7,18),(20,238,1,15,10,13,22,10,8),(20,238,1,15,11,7,21,2,4),(20,238,1,15,12,15,21,6,8),(20,238,1,15,13,53,41,18,12),(20,238,1,15,14,57,56,14,20),(20,238,1,15,15,29,23,13,13),(20,238,1,15,16,66,26,24,6),(20,238,1,15,17,36,55,11,21),(20,238,1,15,18,81,25,25,9),(20,238,1,15,19,64,19,19,7),(20,238,1,15,20,67,35,23,9),(20,238,1,15,21,8,25,1,10),(20,238,1,15,22,13,35,5,22),(20,238,1,15,23,9,69,3,20),(20,238,1,15,24,14,39,1,23),(20,238,1,15,25,17,46,6,15),(20,238,1,15,26,16,NULL,13,NULL),(20,238,1,15,27,21,35,9,15),(20,238,1,15,28,4,20,2,13),(20,238,1,15,29,5,26,2,13),(20,238,1,15,30,7,24,1,6),(20,238,1,15,31,19,41,5,17),(20,238,1,15,32,25,27,16,11),(20,238,1,15,33,10,23,7,11),(20,238,1,15,34,5,22,4,14),(20,238,1,15,35,17,31,4,15),(20,238,1,15,36,31,41,16,16),(20,238,1,15,37,47,31,18,9),(20,238,1,15,38,1,22,1,11),(20,238,1,15,39,66,38,16,15),(20,238,1,15,40,29,16,18,7),(20,238,1,16,1,11,16,5,1),(20,238,1,16,2,1,10,1,4),(20,238,1,16,3,2,15,1,5),(20,238,1,16,4,4,16,NULL,3),(20,238,1,16,5,12,21,4,4),(20,238,1,16,6,21,26,5,6),(20,238,1,16,7,9,14,5,5),(20,238,1,16,8,25,10,12,1),(20,238,1,16,9,14,24,2,5),(20,238,1,16,10,4,13,3,6),(20,238,1,16,11,1,11,NULL,2),(20,238,1,16,12,5,11,2,5),(20,238,1,16,13,23,21,9,5),(20,238,1,16,14,3,4,2,NULL),(20,238,1,16,15,24,2,8,2),(20,238,1,16,16,3,16,1,5),(20,238,1,16,17,34,26,9,5),(20,238,1,16,18,4,16,1,5),(20,238,1,16,19,18,22,5,7),(20,238,1,16,20,4,18,NULL,3),(20,238,1,16,21,2,19,NULL,7),(20,238,1,16,22,4,24,2,8),(20,238,1,16,23,6,39,NULL,13),(20,238,1,16,24,6,17,NULL,5),(20,238,1,16,25,6,32,1,9),(20,238,1,16,26,6,NULL,5,NULL),(20,238,1,16,27,10,24,3,9),(20,238,1,16,28,2,10,1,3),(20,238,1,16,29,6,15,1,4),(20,238,1,16,30,1,14,NULL,3),(20,238,1,16,31,6,20,1,5),(20,238,1,16,32,10,11,1,5),(20,238,1,16,33,5,6,1,3),(20,238,1,16,34,6,6,1,3),(20,238,1,16,35,13,20,2,5),(20,238,1,16,36,14,18,6,7),(20,238,1,16,37,12,19,5,6),(20,238,1,16,38,2,4,NULL,1),(20,238,1,16,39,34,22,9,3),(20,238,1,16,40,13,6,6,3),(20,238,1,17,1,6,5,NULL,2),(20,238,1,17,2,5,8,NULL,1),(20,238,1,17,3,3,9,NULL,1),(20,238,1,17,4,7,14,NULL,NULL),(20,238,1,17,5,9,16,1,2),(20,238,1,17,6,9,32,1,2),(20,238,1,17,7,8,9,2,1),(20,238,1,17,8,24,9,3,1),(20,238,1,17,9,7,29,2,3),(20,238,1,17,10,3,14,NULL,1),(20,238,1,17,11,2,7,NULL,NULL),(20,238,1,17,12,8,11,NULL,2),(20,238,1,17,13,22,20,3,2),(20,238,1,17,14,3,8,1,NULL),(20,238,1,17,15,16,6,1,2),(20,238,1,17,16,3,9,NULL,2),(20,238,1,17,17,23,28,1,4),(20,238,1,17,18,5,12,3,NULL),(20,238,1,17,19,31,10,2,1),(20,238,1,17,20,5,11,NULL,NULL),(20,238,1,17,21,5,9,NULL,2),(20,238,1,17,22,4,15,1,3),(20,238,1,17,23,7,20,NULL,3),(20,238,1,17,24,12,22,1,3),(20,238,1,17,25,6,21,1,2),(20,238,1,17,26,8,NULL,2,NULL),(20,238,1,17,27,6,20,1,2),(20,238,1,17,28,2,5,NULL,2),(20,238,1,17,29,5,10,NULL,2),(20,238,1,17,30,2,8,NULL,1),(20,238,1,17,31,9,15,NULL,NULL),(20,238,1,17,32,10,13,NULL,2),(20,238,1,17,33,2,10,NULL,3),(20,238,1,17,34,1,6,NULL,NULL),(20,238,1,17,35,8,16,2,NULL),(20,238,1,17,36,8,11,2,1),(20,238,1,17,37,11,17,2,2),(20,238,1,17,38,2,7,NULL,1),(20,238,1,17,39,20,22,2,3),(20,238,1,17,40,13,4,3,NULL),(20,238,2,21,1,7,15,1,6),(20,238,2,21,2,1,4,NULL,NULL),(20,238,2,21,3,5,32,2,7),(20,238,2,21,4,10,29,3,7),(20,238,2,21,5,1,7,NULL,1),(20,238,2,21,6,9,30,3,9),(20,238,2,21,7,11,22,2,13),(20,238,2,21,8,16,NULL,6,NULL),(20,238,2,21,9,21,52,6,11),(20,238,2,21,10,5,27,NULL,8),(20,238,2,21,11,23,22,6,4),(20,238,2,21,12,5,22,3,4),(20,238,2,21,13,47,37,14,5),(20,238,2,21,14,36,52,13,8),(20,238,2,21,15,38,30,10,8),(20,238,2,21,16,39,31,8,10),(20,238,2,21,17,13,18,6,7),(20,238,2,21,18,5,25,1,8),(20,238,2,21,19,9,35,6,7),(20,238,2,21,20,26,32,9,8),(20,238,2,21,21,2,3,2,1),(20,238,2,21,22,2,18,NULL,3),(20,238,2,21,23,5,12,5,NULL),(20,238,2,21,24,1,6,NULL,1),(20,238,2,21,25,21,30,7,5),(20,238,2,21,26,5,7,2,4),(20,238,2,21,27,4,12,2,2),(20,238,2,21,28,16,18,5,6),(20,238,2,21,29,3,12,1,2),(20,238,2,21,30,11,16,3,2),(20,238,2,21,31,6,13,4,7),(20,238,2,21,32,7,19,5,6),(20,238,2,21,33,15,33,2,10),(20,238,2,21,34,10,23,4,7),(20,238,2,21,35,3,28,NULL,13),(20,238,2,21,36,7,36,4,6),(20,238,2,21,37,4,13,5,6),(20,238,2,21,38,NULL,22,1,10),(20,238,2,21,39,5,15,4,6),(20,238,2,21,40,12,17,8,3),(20,238,2,22,1,4,23,1,7),(20,238,2,22,2,NULL,6,NULL,3),(20,238,2,22,3,9,33,4,9),(20,238,2,22,4,11,19,5,7),(20,238,2,22,5,1,20,NULL,8),(20,238,2,22,6,15,29,9,12),(20,238,2,22,7,11,17,6,6),(20,238,2,22,8,10,NULL,2,NULL),(20,238,2,22,9,31,52,12,8),(20,238,2,22,10,2,23,2,10),(20,238,2,22,11,17,22,10,3),(20,238,2,22,12,7,12,4,4),(20,238,2,22,13,49,33,19,7),(20,238,2,22,14,47,43,17,11),(20,238,2,22,15,48,25,12,11),(20,238,2,22,16,28,28,8,9),(20,238,2,22,17,18,20,5,5),(20,238,2,22,18,3,16,3,12),(20,238,2,22,19,18,37,9,9),(20,238,2,22,20,20,33,3,16),(20,238,2,22,21,1,4,NULL,3),(20,238,2,22,22,NULL,19,NULL,6),(20,238,2,22,23,1,14,1,3),(20,238,2,22,24,1,3,NULL,5),(20,238,2,22,25,24,30,10,10),(20,238,2,22,26,5,10,2,6),(20,238,2,22,27,2,14,1,5),(20,238,2,22,28,18,18,12,5),(20,238,2,22,29,4,19,4,9),(20,238,2,22,30,13,3,3,NULL),(20,238,2,22,31,12,25,7,8),(20,238,2,22,32,5,31,2,11),(20,238,2,22,33,13,39,5,10),(20,238,2,22,34,15,17,5,5),(20,238,2,22,35,4,26,4,8),(20,238,2,22,36,15,19,11,4),(20,238,2,22,37,4,22,3,12),(20,238,2,22,38,3,24,3,14),(20,238,2,22,39,5,17,3,12),(20,238,2,22,40,15,22,12,7),(20,238,2,23,1,7,19,3,7),(20,238,2,23,2,6,7,3,3),(20,238,2,23,3,19,32,7,5),(20,238,2,23,4,10,20,5,5),(20,238,2,23,5,3,10,NULL,4),(20,238,2,23,6,16,29,8,15),(20,238,2,23,7,12,26,5,9),(20,238,2,23,8,16,NULL,9,NULL),(20,238,2,23,9,36,41,12,8),(20,238,2,23,10,2,30,NULL,16),(20,238,2,23,11,19,30,9,7),(20,238,2,23,12,2,17,3,6),(20,238,2,23,13,34,41,14,12),(20,238,2,23,14,43,49,14,13),(20,238,2,23,15,41,30,9,12),(20,238,2,23,16,41,27,10,12),(20,238,2,23,17,16,30,7,8),(20,238,2,23,18,7,25,2,9),(20,238,2,23,19,7,42,3,14),(20,238,2,23,20,26,36,7,14),(20,238,2,23,21,1,10,NULL,4),(20,238,2,23,22,5,23,1,8),(20,238,2,23,23,2,6,NULL,5),(20,238,2,23,24,NULL,3,NULL,2),(20,238,2,23,25,24,24,11,9),(20,238,2,23,26,7,11,5,3),(20,238,2,23,27,NULL,8,NULL,5),(20,238,2,23,28,27,23,12,9),(20,238,2,23,29,NULL,15,NULL,5),(20,238,2,23,30,6,14,3,4),(20,238,2,23,31,13,18,2,13),(20,238,2,23,32,7,24,3,12),(20,238,2,23,33,10,46,4,11),(20,238,2,23,34,12,24,2,11),(20,238,2,23,35,4,35,2,16),(20,238,2,23,36,10,29,8,10),(20,238,2,23,37,8,23,5,5),(20,238,2,23,38,1,14,1,8),(20,238,2,23,39,7,17,6,4),(20,238,2,23,40,18,19,9,6),(20,238,2,24,1,10,20,2,5),(20,238,2,24,2,NULL,4,NULL,1),(20,238,2,24,3,14,27,3,3),(20,238,2,24,4,12,10,5,NULL),(20,238,2,24,5,3,11,2,2),(20,238,2,24,6,19,26,5,9),(20,238,2,24,7,9,15,NULL,6),(20,238,2,24,8,19,NULL,9,NULL),(20,238,2,24,9,32,55,3,7),(20,238,2,24,10,1,30,1,6),(20,238,2,24,11,29,20,7,8),(20,238,2,24,12,7,25,2,6),(20,238,2,24,13,48,33,6,8),(20,238,2,24,14,32,53,5,9),(20,238,2,24,15,32,28,5,8),(20,238,2,24,16,31,23,6,6),(20,238,2,24,17,12,11,5,3),(20,238,2,24,18,3,21,1,6),(20,238,2,24,19,11,42,1,5),(20,238,2,24,20,29,37,11,4),(20,238,2,24,21,3,9,1,3),(20,238,2,24,22,5,17,1,3),(20,238,2,24,23,NULL,13,NULL,NULL),(20,238,2,24,24,3,4,1,1),(20,238,2,24,25,15,32,6,4),(20,238,2,24,26,6,13,2,6),(20,238,2,24,27,NULL,13,1,4),(20,238,2,24,28,14,23,4,11),(20,238,2,24,29,2,12,NULL,3),(20,238,2,24,30,5,17,NULL,5),(20,238,2,24,31,12,21,2,6),(20,238,2,24,32,6,43,4,7),(20,238,2,24,33,13,37,1,5),(20,238,2,24,34,11,18,4,7),(20,238,2,24,35,NULL,26,NULL,8),(20,238,2,24,36,8,22,4,4),(20,238,2,24,37,4,18,1,5),(20,238,2,24,38,3,20,NULL,9),(20,238,2,24,39,7,13,4,3),(20,238,2,24,40,17,22,7,3),(20,301,1,11,1,NULL,NULL,NULL,NULL),(20,301,1,11,2,NULL,NULL,NULL,NULL),(20,301,1,11,3,NULL,NULL,NULL,NULL),(20,301,1,11,4,NULL,NULL,NULL,NULL),(20,301,1,11,5,1,NULL,1,NULL),(20,301,1,11,6,1,NULL,1,NULL),(20,301,1,11,7,1,NULL,1,NULL),(20,301,1,11,8,1,NULL,1,NULL),(20,301,1,11,9,NULL,1,NULL,1),(20,301,1,11,10,NULL,1,NULL,1),(20,301,1,11,11,NULL,NULL,NULL,NULL),(20,301,1,11,12,NULL,NULL,NULL,NULL),(20,301,1,11,13,NULL,1,NULL,1),(20,301,1,11,14,NULL,NULL,NULL,NULL),(20,301,1,11,15,NULL,NULL,NULL,NULL),(20,301,1,11,16,NULL,NULL,NULL,NULL),(20,301,1,11,17,1,NULL,1,NULL),(20,301,1,11,18,1,NULL,1,NULL),(20,301,1,11,19,1,NULL,1,NULL),(20,301,1,11,20,NULL,1,NULL,1),(20,301,1,11,21,NULL,NULL,NULL,NULL),(20,301,1,11,22,NULL,1,NULL,1),(20,301,1,11,23,NULL,NULL,NULL,NULL),(20,301,1,11,24,NULL,NULL,NULL,NULL),(20,301,1,11,25,1,NULL,1,NULL),(20,301,1,11,26,NULL,NULL,NULL,NULL),(20,301,1,11,27,NULL,NULL,NULL,NULL),(20,301,1,11,28,NULL,NULL,NULL,NULL),(20,301,1,11,29,NULL,NULL,NULL,NULL),(20,301,1,11,30,NULL,NULL,NULL,NULL),(20,301,1,11,31,NULL,1,NULL,1),(20,301,1,11,32,NULL,NULL,NULL,NULL),(20,301,1,11,33,1,NULL,1,NULL),(20,301,1,11,34,NULL,NULL,NULL,NULL),(20,301,1,11,35,NULL,1,NULL,1),(20,301,1,11,36,1,NULL,1,NULL),(20,301,1,11,37,NULL,NULL,NULL,NULL),(20,301,1,11,38,NULL,1,NULL,1),(20,301,1,11,39,1,NULL,1,NULL),(20,301,1,11,40,1,NULL,1,NULL),(20,301,1,12,1,NULL,NULL,NULL,NULL),(20,301,1,12,2,NULL,NULL,NULL,NULL),(20,301,1,12,3,NULL,NULL,NULL,NULL),(20,301,1,12,4,NULL,NULL,NULL,NULL),(20,301,1,12,5,NULL,NULL,NULL,NULL),(20,301,1,12,6,NULL,NULL,NULL,NULL),(20,301,1,12,7,NULL,NULL,NULL,NULL),(20,301,1,12,8,NULL,NULL,NULL,NULL),(20,301,1,12,9,NULL,NULL,NULL,NULL),(20,301,1,12,10,NULL,NULL,NULL,NULL),(20,301,1,12,11,NULL,NULL,NULL,NULL),(20,301,1,12,12,NULL,NULL,NULL,NULL),(20,301,1,12,13,NULL,NULL,NULL,NULL),(20,301,1,12,14,NULL,NULL,NULL,NULL),(20,301,1,12,15,NULL,NULL,NULL,NULL),(20,301,1,12,16,NULL,NULL,NULL,NULL),(20,301,1,12,17,NULL,NULL,NULL,NULL),(20,301,1,12,18,NULL,NULL,NULL,NULL),(20,301,1,12,19,NULL,NULL,NULL,NULL),(20,301,1,12,20,NULL,NULL,NULL,NULL),(20,301,1,12,21,NULL,NULL,NULL,NULL),(20,301,1,12,22,NULL,NULL,NULL,NULL),(20,301,1,12,23,NULL,NULL,NULL,NULL),(20,301,1,12,24,NULL,NULL,NULL,NULL),(20,301,1,12,25,NULL,NULL,NULL,NULL),(20,301,1,12,26,NULL,NULL,NULL,NULL),(20,301,1,12,27,NULL,NULL,NULL,NULL),(20,301,1,12,28,NULL,NULL,NULL,NULL),(20,301,1,12,29,NULL,NULL,NULL,NULL),(20,301,1,12,30,NULL,NULL,NULL,NULL),(20,301,1,12,31,NULL,NULL,NULL,NULL),(20,301,1,12,32,NULL,NULL,NULL,NULL),(20,301,1,12,33,NULL,NULL,NULL,NULL),(20,301,1,12,34,NULL,NULL,NULL,NULL),(20,301,1,12,35,NULL,NULL,NULL,NULL),(20,301,1,12,36,NULL,NULL,NULL,NULL),(20,301,1,12,37,NULL,NULL,NULL,NULL),(20,301,1,12,38,NULL,NULL,NULL,NULL),(20,301,1,12,39,NULL,NULL,NULL,NULL),(20,301,1,12,40,NULL,NULL,NULL,NULL),(20,301,1,13,1,NULL,NULL,NULL,NULL),(20,301,1,13,2,NULL,NULL,NULL,NULL),(20,301,1,13,3,1,NULL,NULL,NULL),(20,301,1,13,4,NULL,1,NULL,NULL),(20,301,1,13,5,2,NULL,NULL,NULL),(20,301,1,13,6,2,NULL,NULL,NULL),(20,301,1,13,7,NULL,1,NULL,NULL),(20,301,1,13,8,1,NULL,NULL,NULL),(20,301,1,13,9,2,NULL,NULL,NULL),(20,301,1,13,10,NULL,NULL,NULL,NULL),(20,301,1,13,11,NULL,1,NULL,NULL),(20,301,1,13,12,1,NULL,NULL,NULL),(20,301,1,13,13,1,1,NULL,NULL),(20,301,1,13,14,NULL,1,NULL,NULL),(20,301,1,13,15,2,NULL,NULL,NULL),(20,301,1,13,16,1,NULL,NULL,NULL),(20,301,1,13,17,2,NULL,NULL,NULL),(20,301,1,13,18,1,NULL,NULL,NULL),(20,301,1,13,19,1,NULL,NULL,NULL),(20,301,1,13,20,1,1,NULL,NULL),(20,301,1,13,21,NULL,NULL,NULL,NULL),(20,301,1,13,22,NULL,NULL,NULL,NULL),(20,301,1,13,23,1,NULL,NULL,NULL),(20,301,1,13,24,2,NULL,NULL,NULL),(20,301,1,13,25,1,NULL,NULL,NULL),(20,301,1,13,26,NULL,NULL,NULL,NULL),(20,301,1,13,27,1,NULL,NULL,NULL),(20,301,1,13,28,NULL,NULL,NULL,NULL),(20,301,1,13,29,NULL,1,NULL,NULL),(20,301,1,13,30,NULL,NULL,NULL,NULL),(20,301,1,13,31,NULL,NULL,NULL,NULL),(20,301,1,13,32,NULL,NULL,NULL,NULL),(20,301,1,13,33,NULL,NULL,NULL,NULL),(20,301,1,13,34,NULL,NULL,NULL,NULL),(20,301,1,13,35,NULL,1,NULL,NULL),(20,301,1,13,36,NULL,1,NULL,NULL),(20,301,1,13,37,1,NULL,NULL,NULL),(20,301,1,13,38,NULL,NULL,NULL,NULL),(20,301,1,13,39,2,NULL,NULL,NULL),(20,301,1,13,40,NULL,NULL,NULL,NULL),(20,301,1,14,1,21,20,9,10),(20,301,1,14,2,14,13,8,7),(20,301,1,14,3,8,25,7,11),(20,301,1,14,4,6,35,3,13),(20,301,1,14,5,26,34,12,13),(20,301,1,14,6,44,41,19,17),(20,301,1,14,7,13,30,9,17),(20,301,1,14,8,45,15,22,5),(20,301,1,14,9,51,37,25,12),(20,301,1,14,10,21,12,15,3),(20,301,1,14,11,6,7,4,3),(20,301,1,14,12,15,17,9,8),(20,301,1,14,13,59,28,31,10),(20,301,1,14,14,63,27,32,9),(20,301,1,14,15,41,17,27,3),(20,301,1,14,16,59,18,31,3),(20,301,1,14,17,35,50,22,17),(20,301,1,14,18,64,15,30,3),(20,301,1,14,19,54,4,31,1),(20,301,1,14,20,63,22,32,8),(20,301,1,14,21,6,18,2,11),(20,301,1,14,22,13,30,8,19),(20,301,1,14,23,6,54,1,23),(20,301,1,14,24,15,32,7,19),(20,301,1,14,25,18,43,10,19),(20,301,1,14,26,16,NULL,13,NULL),(20,301,1,14,27,17,43,10,20),(20,301,1,14,28,5,28,4,19),(20,301,1,14,29,3,14,1,6),(20,301,1,14,30,5,19,4,10),(20,301,1,14,31,20,34,5,16),(20,301,1,14,32,27,18,15,7),(20,301,1,14,33,15,20,10,10),(20,301,1,14,34,3,26,1,17),(20,301,1,14,35,19,34,11,13),(20,301,1,14,36,34,39,16,17),(20,301,1,14,37,35,28,18,11),(20,301,1,14,38,2,14,NULL,5),(20,301,1,14,39,47,39,22,17),(20,301,1,14,40,30,8,18,3),(20,301,1,15,1,26,19,11,6),(20,301,1,15,2,12,13,4,5),(20,301,1,15,3,16,22,3,8),(20,301,1,15,4,13,29,2,9),(20,301,1,15,5,31,25,12,9),(20,301,1,15,6,49,40,16,13),(20,301,1,15,7,17,28,7,11),(20,301,1,15,8,41,12,19,2),(20,301,1,15,9,35,48,10,15),(20,301,1,15,10,23,16,10,5),(20,301,1,15,11,2,14,NULL,5),(20,301,1,15,12,20,15,9,6),(20,301,1,15,13,54,27,15,13),(20,301,1,15,14,52,40,17,13),(20,301,1,15,15,33,17,17,5),(20,301,1,15,16,58,14,23,4),(20,301,1,15,17,21,60,10,17),(20,301,1,15,18,65,21,24,3),(20,301,1,15,19,50,10,21,3),(20,301,1,15,20,71,22,26,6),(20,301,1,15,21,3,19,NULL,7),(20,301,1,15,22,10,30,2,14),(20,301,1,15,23,10,46,NULL,18),(20,301,1,15,24,9,31,2,15),(20,301,1,15,25,13,35,7,16),(20,301,1,15,26,14,NULL,6,NULL),(20,301,1,15,27,14,43,1,19),(20,301,1,15,28,3,20,2,8),(20,301,1,15,29,4,17,2,9),(20,301,1,15,30,6,18,NULL,13),(20,301,1,15,31,24,32,5,15),(20,301,1,15,32,26,16,10,6),(20,301,1,15,33,11,27,6,9),(20,301,1,15,34,6,15,1,9),(20,301,1,15,35,28,23,9,7),(20,301,1,15,36,35,30,14,12),(20,301,1,15,37,34,24,13,12),(20,301,1,15,38,8,18,1,8),(20,301,1,15,39,46,40,16,12),(20,301,1,15,40,28,9,15,1),(20,301,1,16,1,6,20,NULL,3),(20,301,1,16,2,6,9,1,2),(20,301,1,16,3,5,9,NULL,1),(20,301,1,16,4,10,14,NULL,1),(20,301,1,16,5,6,17,1,2),(20,301,1,16,6,19,20,2,2),(20,301,1,16,7,2,8,NULL,3),(20,301,1,16,8,23,12,5,2),(20,301,1,16,9,12,28,1,1),(20,301,1,16,10,10,10,2,4),(20,301,1,16,11,2,5,NULL,NULL),(20,301,1,16,12,4,14,NULL,1),(20,301,1,16,13,15,21,2,4),(20,301,1,16,14,8,9,3,NULL),(20,301,1,16,15,24,9,4,2),(20,301,1,16,16,3,23,NULL,1),(20,301,1,16,17,30,33,1,6),(20,301,1,16,18,3,17,NULL,4),(20,301,1,16,19,34,19,2,2),(20,301,1,16,20,3,20,NULL,4),(20,301,1,16,21,3,14,NULL,1),(20,301,1,16,22,4,15,NULL,3),(20,301,1,16,23,2,32,NULL,4),(20,301,1,16,24,1,14,NULL,3),(20,301,1,16,25,3,21,NULL,4),(20,301,1,16,26,8,NULL,1,NULL),(20,301,1,16,27,5,21,NULL,3),(20,301,1,16,28,1,9,NULL,2),(20,301,1,16,29,5,10,NULL,4),(20,301,1,16,30,5,11,NULL,1),(20,301,1,16,31,9,21,NULL,3),(20,301,1,16,32,11,8,1,3),(20,301,1,16,33,NULL,9,NULL,2),(20,301,1,16,34,3,5,NULL,NULL),(20,301,1,16,35,11,25,NULL,4),(20,301,1,16,36,14,16,3,2),(20,301,1,16,37,15,21,3,1),(20,301,1,16,38,2,18,NULL,2),(20,301,1,16,39,22,22,3,3),(20,301,1,16,40,14,12,2,3),(20,301,1,17,1,8,20,2,3),(20,301,1,17,2,5,9,2,2),(20,301,1,17,3,4,19,2,3),(20,301,1,17,4,11,19,1,5),(20,301,1,17,5,13,20,3,4),(20,301,1,17,6,18,23,5,4),(20,301,1,17,7,6,16,2,5),(20,301,1,17,8,27,15,6,7),(20,301,1,17,9,14,41,6,5),(20,301,1,17,10,6,16,3,8),(20,301,1,17,11,2,4,1,1),(20,301,1,17,12,6,20,3,6),(20,301,1,17,13,19,23,7,4),(20,301,1,17,14,4,11,1,3),(20,301,1,17,15,20,12,5,4),(20,301,1,17,16,4,19,NULL,3),(20,301,1,17,17,28,31,7,8),(20,301,1,17,18,6,20,1,7),(20,301,1,17,19,31,16,6,3),(20,301,1,17,20,NULL,13,NULL,4),(20,301,1,17,21,7,9,NULL,4),(20,301,1,17,22,4,18,1,7),(20,301,1,17,23,8,26,1,8),(20,301,1,17,24,4,14,NULL,5),(20,301,1,17,25,3,19,2,6),(20,301,1,17,26,3,NULL,NULL,NULL),(20,301,1,17,27,8,25,1,8),(20,301,1,17,28,3,9,NULL,3),(20,301,1,17,29,2,19,1,7),(20,301,1,17,30,3,13,NULL,3),(20,301,1,17,31,8,24,NULL,6),(20,301,1,17,32,11,13,3,4),(20,301,1,17,33,2,7,2,4),(20,301,1,17,34,3,17,NULL,5),(20,301,1,17,35,10,15,2,4),(20,301,1,17,36,9,21,3,6),(20,301,1,17,37,13,17,3,7),(20,301,1,17,38,4,6,1,3),(20,301,1,17,39,18,25,4,9),(20,301,1,17,40,13,13,3,6),(20,301,2,21,1,8,22,1,6),(20,301,2,21,2,1,7,1,1),(20,301,2,21,3,13,15,1,4),(20,301,2,21,4,12,21,7,4),(20,301,2,21,5,7,8,4,2),(20,301,2,21,6,13,22,6,11),(20,301,2,21,7,9,17,4,10),(20,301,2,21,8,13,NULL,7,NULL),(20,301,2,21,9,19,42,5,7),(20,301,2,21,10,2,23,1,13),(20,301,2,21,11,11,24,7,8),(20,301,2,21,12,6,16,2,5),(20,301,2,21,13,44,28,17,5),(20,301,2,21,14,47,43,11,12),(20,301,2,21,15,27,23,8,5),(20,301,2,21,16,29,28,4,9),(20,301,2,21,17,14,14,6,5),(20,301,2,21,18,7,23,3,10),(20,301,2,21,19,13,33,1,9),(20,301,2,21,20,19,29,10,7),(20,301,2,21,21,NULL,7,NULL,4),(20,301,2,21,22,5,17,1,5),(20,301,2,21,23,1,9,NULL,1),(20,301,2,21,24,NULL,7,NULL,2),(20,301,2,21,25,8,35,7,10),(20,301,2,21,26,NULL,19,NULL,9),(20,301,2,21,27,2,3,1,1),(20,301,2,21,28,15,16,7,6),(20,301,2,21,29,1,7,1,2),(20,301,2,21,30,5,10,3,3),(20,301,2,21,31,9,21,5,5),(20,301,2,21,32,16,17,6,3),(20,301,2,21,33,18,37,2,10),(20,301,2,21,34,6,28,2,12),(20,301,2,21,35,2,27,2,10),(20,301,2,21,36,9,19,5,7),(20,301,2,21,37,4,17,1,8),(20,301,2,21,38,3,16,1,9),(20,301,2,21,39,6,10,1,6),(20,301,2,21,40,10,21,7,8),(20,301,2,22,1,7,16,1,5),(20,301,2,22,2,5,7,1,2),(20,301,2,22,3,12,34,1,13),(20,301,2,22,4,11,20,6,3),(20,301,2,22,5,7,10,5,3),(20,301,2,22,6,23,27,17,7),(20,301,2,22,7,10,19,6,9),(20,301,2,22,8,16,NULL,9,NULL),(20,301,2,22,9,25,46,10,10),(20,301,2,22,10,4,28,2,7),(20,301,2,22,11,19,17,9,3),(20,301,2,22,12,5,24,2,7),(20,301,2,22,13,42,33,21,5),(20,301,2,22,14,53,39,18,9),(20,301,2,22,15,39,19,14,5),(20,301,2,22,16,22,31,9,12),(20,301,2,22,17,17,13,8,1),(20,301,2,22,18,2,25,2,10),(20,301,2,22,19,12,43,3,16),(20,301,2,22,20,21,30,13,11),(20,301,2,22,21,NULL,10,NULL,3),(20,301,2,22,22,6,24,1,7),(20,301,2,22,23,NULL,14,NULL,2),(20,301,2,22,24,1,7,NULL,2),(20,301,2,22,25,12,25,6,10),(20,301,2,22,26,10,16,7,6),(20,301,2,22,27,2,11,1,6),(20,301,2,22,28,17,22,9,6),(20,301,2,22,29,1,9,1,5),(20,301,2,22,30,9,6,3,1),(20,301,2,22,31,5,23,1,10),(20,301,2,22,32,10,24,4,9),(20,301,2,22,33,14,38,3,11),(20,301,2,22,34,14,17,8,6),(20,301,2,22,35,1,29,NULL,12),(20,301,2,22,36,11,18,7,4),(20,301,2,22,37,7,19,4,9),(20,301,2,22,38,5,20,2,9),(20,301,2,22,39,10,11,6,2),(20,301,2,22,40,15,16,8,6),(20,301,2,23,1,9,15,5,3),(20,301,2,23,2,2,10,1,3),(20,301,2,23,3,15,29,4,8),(20,301,2,23,4,6,12,5,1),(20,301,2,23,5,3,7,NULL,1),(20,301,2,23,6,19,20,6,6),(20,301,2,23,7,12,22,4,9),(20,301,2,23,8,16,NULL,6,NULL),(20,301,2,23,9,17,45,3,10),(20,301,2,23,10,3,12,NULL,4),(20,301,2,23,11,11,19,3,4),(20,301,2,23,12,2,13,NULL,2),(20,301,2,23,13,34,37,14,4),(20,301,2,23,14,38,43,11,7),(20,301,2,23,15,35,17,12,5),(20,301,2,23,16,24,17,9,6),(20,301,2,23,17,14,9,2,3),(20,301,2,23,18,2,19,NULL,5),(20,301,2,23,19,14,36,4,6),(20,301,2,23,20,24,25,6,5),(20,301,2,23,21,NULL,8,NULL,1),(20,301,2,23,22,6,28,1,6),(20,301,2,23,23,1,10,NULL,2),(20,301,2,23,24,1,4,NULL,1),(20,301,2,23,25,14,28,4,8),(20,301,2,23,26,6,8,2,3),(20,301,2,23,27,1,9,NULL,2),(20,301,2,23,28,20,9,7,3),(20,301,2,23,29,2,13,1,3),(20,301,2,23,30,7,8,2,3),(20,301,2,23,31,11,8,3,2),(20,301,2,23,32,6,27,2,6),(20,301,2,23,33,9,35,1,9),(20,301,2,23,34,14,12,3,3),(20,301,2,23,35,3,19,NULL,5),(20,301,2,23,36,5,26,2,9),(20,301,2,23,37,5,17,2,8),(20,301,2,23,38,2,15,2,6),(20,301,2,23,39,6,7,5,1),(20,301,2,23,40,12,22,6,9),(20,301,2,24,1,4,19,2,7),(20,301,2,24,2,4,4,1,1),(20,301,2,24,3,7,29,1,13),(20,301,2,24,4,9,14,3,7),(20,301,2,24,5,2,16,NULL,8),(20,301,2,24,6,16,16,9,7),(20,301,2,24,7,7,14,2,7),(20,301,2,24,8,10,NULL,4,NULL),(20,301,2,24,9,27,38,3,12),(20,301,2,24,10,3,24,NULL,8),(20,301,2,24,11,19,13,5,4),(20,301,2,24,12,2,12,2,4),(20,301,2,24,13,31,34,11,8),(20,301,2,24,14,34,41,11,12),(20,301,2,24,15,30,21,12,7),(20,301,2,24,16,30,22,9,9),(20,301,2,24,17,15,15,6,6),(20,301,2,24,18,1,20,NULL,7),(20,301,2,24,19,8,32,2,13),(20,301,2,24,20,21,22,12,6),(20,301,2,24,21,NULL,4,NULL,2),(20,301,2,24,22,4,17,1,4),(20,301,2,24,23,1,7,NULL,2),(20,301,2,24,24,2,4,NULL,2),(20,301,2,24,25,8,27,2,7),(20,301,2,24,26,4,7,3,4),(20,301,2,24,27,NULL,8,NULL,4),(20,301,2,24,28,10,19,7,8),(20,301,2,24,29,NULL,8,NULL,2),(20,301,2,24,30,4,10,NULL,2),(20,301,2,24,31,4,23,NULL,6),(20,301,2,24,32,3,29,1,10),(20,301,2,24,33,10,33,2,10),(20,301,2,24,34,6,23,3,6),(20,301,2,24,35,1,26,1,6),(20,301,2,24,36,7,20,6,4),(20,301,2,24,37,5,12,2,3),(20,301,2,24,38,1,23,NULL,10),(20,301,2,24,39,7,10,4,5),(20,301,2,24,40,9,19,8,6),(20,302,1,11,1,NULL,NULL,NULL,NULL),(20,302,1,11,2,1,1,NULL,NULL),(20,302,1,11,3,NULL,NULL,NULL,NULL),(20,302,1,11,4,NULL,1,NULL,NULL),(20,302,1,11,5,NULL,NULL,NULL,NULL),(20,302,1,11,6,1,NULL,NULL,NULL),(20,302,1,11,7,NULL,1,NULL,NULL),(20,302,1,11,8,NULL,1,NULL,NULL),(20,302,1,11,9,NULL,1,NULL,NULL),(20,302,1,11,10,NULL,2,NULL,NULL),(20,302,1,11,11,NULL,1,NULL,NULL),(20,302,1,11,12,NULL,1,NULL,NULL),(20,302,1,11,13,NULL,1,NULL,NULL),(20,302,1,11,14,NULL,1,NULL,NULL),(20,302,1,11,15,NULL,NULL,NULL,NULL),(20,302,1,11,16,1,2,NULL,NULL),(20,302,1,11,17,1,1,NULL,NULL),(20,302,1,11,18,1,2,NULL,NULL),(20,302,1,11,19,1,1,NULL,NULL),(20,302,1,11,20,NULL,1,NULL,NULL),(20,302,1,11,21,NULL,NULL,NULL,NULL),(20,302,1,11,22,1,NULL,NULL,NULL),(20,302,1,11,23,NULL,3,NULL,NULL),(20,302,1,11,24,NULL,1,NULL,NULL),(20,302,1,11,25,NULL,2,NULL,NULL),(20,302,1,11,26,NULL,NULL,NULL,NULL),(20,302,1,11,27,1,2,NULL,NULL),(20,302,1,11,28,NULL,NULL,NULL,NULL),(20,302,1,11,29,NULL,2,NULL,NULL),(20,302,1,11,30,NULL,2,NULL,NULL),(20,302,1,11,31,NULL,NULL,NULL,NULL),(20,302,1,11,32,NULL,2,NULL,NULL),(20,302,1,11,33,NULL,NULL,NULL,NULL),(20,302,1,11,34,NULL,NULL,NULL,NULL),(20,302,1,11,35,NULL,NULL,NULL,NULL),(20,302,1,11,36,NULL,1,NULL,NULL),(20,302,1,11,37,1,2,NULL,NULL),(20,302,1,11,38,NULL,NULL,NULL,NULL),(20,302,1,11,39,NULL,2,NULL,NULL),(20,302,1,11,40,2,NULL,NULL,NULL),(20,302,1,12,1,NULL,NULL,NULL,NULL),(20,302,1,12,2,NULL,NULL,NULL,NULL),(20,302,1,12,3,NULL,NULL,NULL,NULL),(20,302,1,12,4,NULL,NULL,NULL,NULL),(20,302,1,12,5,NULL,NULL,NULL,NULL),(20,302,1,12,6,NULL,NULL,NULL,NULL),(20,302,1,12,7,NULL,NULL,NULL,NULL),(20,302,1,12,8,NULL,NULL,NULL,NULL),(20,302,1,12,9,NULL,NULL,NULL,NULL),(20,302,1,12,10,NULL,NULL,NULL,NULL),(20,302,1,12,11,NULL,NULL,NULL,NULL),(20,302,1,12,12,NULL,NULL,NULL,NULL),(20,302,1,12,13,NULL,NULL,NULL,NULL),(20,302,1,12,14,NULL,NULL,NULL,NULL),(20,302,1,12,15,NULL,NULL,NULL,NULL),(20,302,1,12,16,NULL,NULL,NULL,NULL),(20,302,1,12,17,NULL,NULL,NULL,NULL),(20,302,1,12,18,NULL,NULL,NULL,NULL),(20,302,1,12,19,NULL,NULL,NULL,NULL),(20,302,1,12,20,NULL,NULL,NULL,NULL),(20,302,1,12,21,NULL,NULL,NULL,NULL),(20,302,1,12,22,NULL,NULL,NULL,NULL),(20,302,1,12,23,NULL,NULL,NULL,NULL),(20,302,1,12,24,NULL,NULL,NULL,NULL),(20,302,1,12,25,NULL,NULL,NULL,NULL),(20,302,1,12,26,NULL,NULL,NULL,NULL),(20,302,1,12,27,NULL,NULL,NULL,NULL),(20,302,1,12,28,NULL,NULL,NULL,NULL),(20,302,1,12,29,NULL,NULL,NULL,NULL),(20,302,1,12,30,NULL,NULL,NULL,NULL),(20,302,1,12,31,NULL,NULL,NULL,NULL),(20,302,1,12,32,NULL,NULL,NULL,NULL),(20,302,1,12,33,NULL,NULL,NULL,NULL),(20,302,1,12,34,NULL,NULL,NULL,NULL),(20,302,1,12,35,NULL,NULL,NULL,NULL),(20,302,1,12,36,NULL,NULL,NULL,NULL),(20,302,1,12,37,NULL,NULL,NULL,NULL),(20,302,1,12,38,NULL,NULL,NULL,NULL),(20,302,1,12,39,NULL,NULL,NULL,NULL),(20,302,1,12,40,NULL,NULL,NULL,NULL),(20,302,1,13,1,NULL,NULL,NULL,NULL),(20,302,1,13,2,NULL,NULL,NULL,NULL),(20,302,1,13,3,NULL,NULL,NULL,NULL),(20,302,1,13,4,NULL,NULL,NULL,NULL),(20,302,1,13,5,NULL,NULL,NULL,NULL),(20,302,1,13,6,NULL,NULL,NULL,NULL),(20,302,1,13,7,NULL,NULL,NULL,NULL),(20,302,1,13,8,NULL,NULL,NULL,NULL),(20,302,1,13,9,NULL,NULL,NULL,NULL),(20,302,1,13,10,NULL,NULL,NULL,NULL),(20,302,1,13,11,NULL,NULL,NULL,NULL),(20,302,1,13,12,NULL,NULL,NULL,NULL),(20,302,1,13,13,NULL,NULL,NULL,NULL),(20,302,1,13,14,NULL,NULL,NULL,NULL),(20,302,1,13,15,NULL,NULL,NULL,NULL),(20,302,1,13,16,NULL,NULL,NULL,NULL),(20,302,1,13,17,NULL,NULL,NULL,NULL),(20,302,1,13,18,NULL,NULL,NULL,NULL),(20,302,1,13,19,NULL,NULL,NULL,NULL),(20,302,1,13,20,NULL,NULL,NULL,NULL),(20,302,1,13,21,NULL,NULL,NULL,NULL),(20,302,1,13,22,NULL,NULL,NULL,NULL),(20,302,1,13,23,NULL,NULL,NULL,NULL),(20,302,1,13,24,NULL,NULL,NULL,NULL),(20,302,1,13,25,NULL,NULL,NULL,NULL),(20,302,1,13,26,NULL,NULL,NULL,NULL),(20,302,1,13,27,NULL,NULL,NULL,NULL),(20,302,1,13,28,NULL,NULL,NULL,NULL),(20,302,1,13,29,NULL,NULL,NULL,NULL),(20,302,1,13,30,NULL,NULL,NULL,NULL),(20,302,1,13,31,NULL,NULL,NULL,NULL),(20,302,1,13,32,NULL,NULL,NULL,NULL),(20,302,1,13,33,NULL,NULL,NULL,NULL),(20,302,1,13,34,NULL,NULL,NULL,NULL),(20,302,1,13,35,NULL,NULL,NULL,NULL),(20,302,1,13,36,NULL,NULL,NULL,NULL),(20,302,1,13,37,NULL,NULL,NULL,NULL),(20,302,1,13,38,NULL,NULL,NULL,NULL),(20,302,1,13,39,NULL,NULL,NULL,NULL),(20,302,1,13,40,NULL,NULL,NULL,NULL),(20,302,1,14,1,9,9,5,5),(20,302,1,14,2,7,3,5,1),(20,302,1,14,3,3,9,3,6),(20,302,1,14,4,8,9,4,4),(20,302,1,14,5,9,10,6,9),(20,302,1,14,6,14,12,10,6),(20,302,1,14,7,4,9,3,7),(20,302,1,14,8,23,4,15,3),(20,302,1,14,9,14,23,7,11),(20,302,1,14,10,9,4,7,3),(20,302,1,14,11,NULL,2,NULL,1),(20,302,1,14,12,8,10,4,6),(20,302,1,14,13,13,9,8,7),(20,302,1,14,14,21,13,16,4),(20,302,1,14,15,14,7,10,4),(20,302,1,14,16,21,7,15,4),(20,302,1,14,17,10,14,8,9),(20,302,1,14,18,17,6,12,4),(20,302,1,14,19,13,1,10,1),(20,302,1,14,20,20,6,17,4),(20,302,1,14,21,3,7,1,4),(20,302,1,14,22,3,13,1,11),(20,302,1,14,23,1,18,1,11),(20,302,1,14,24,4,10,1,9),(20,302,1,14,25,8,13,6,10),(20,302,1,14,26,6,NULL,5,NULL),(20,302,1,14,27,3,12,2,11),(20,302,1,14,28,1,5,1,3),(20,302,1,14,29,2,8,1,4),(20,302,1,14,30,4,6,2,2),(20,302,1,14,31,8,12,7,8),(20,302,1,14,32,13,2,11,2),(20,302,1,14,33,6,4,6,3),(20,302,1,14,34,1,7,1,4),(20,302,1,14,35,6,11,6,6),(20,302,1,14,36,7,11,6,8),(20,302,1,14,37,12,4,8,3),(20,302,1,14,38,NULL,8,NULL,4),(20,302,1,14,39,18,11,13,4),(20,302,1,14,40,5,2,4,1),(20,302,1,15,1,10,11,4,5),(20,302,1,15,2,4,3,2,2),(20,302,1,15,3,6,9,3,4),(20,302,1,15,4,5,12,1,9),(20,302,1,15,5,5,15,4,8),(20,302,1,15,6,13,18,5,11),(20,302,1,15,7,7,7,5,4),(20,302,1,15,8,16,11,8,6),(20,302,1,15,9,14,18,7,6),(20,302,1,15,10,4,5,3,2),(20,302,1,15,11,2,5,NULL,4),(20,302,1,15,12,8,12,4,9),(20,302,1,15,13,14,12,10,4),(20,302,1,15,14,14,17,6,10),(20,302,1,15,15,12,10,11,3),(20,302,1,15,16,13,11,8,6),(20,302,1,15,17,3,25,1,13),(20,302,1,15,18,17,6,9,4),(20,302,1,15,19,17,2,12,NULL),(20,302,1,15,20,13,12,5,8),(20,302,1,15,21,1,5,NULL,2),(20,302,1,15,22,4,11,1,7),(20,302,1,15,23,2,24,1,10),(20,302,1,15,24,5,11,2,9),(20,302,1,15,25,8,20,4,13),(20,302,1,15,26,12,NULL,10,NULL),(20,302,1,15,27,NULL,19,NULL,12),(20,302,1,15,28,1,5,NULL,4),(20,302,1,15,29,1,9,1,3),(20,302,1,15,30,5,12,NULL,5),(20,302,1,15,31,6,13,3,6),(20,302,1,15,32,8,8,5,4),(20,302,1,15,33,2,10,2,7),(20,302,1,15,34,3,6,2,3),(20,302,1,15,35,13,9,7,5),(20,302,1,15,36,4,15,2,11),(20,302,1,15,37,12,15,10,6),(20,302,1,15,38,NULL,6,NULL,5),(20,302,1,15,39,17,17,7,10),(20,302,1,15,40,10,7,7,3),(20,302,1,16,1,5,12,3,5),(20,302,1,16,2,7,9,5,2),(20,302,1,16,3,5,14,3,6),(20,302,1,16,4,4,13,3,3),(20,302,1,16,5,11,16,5,7),(20,302,1,16,6,19,21,10,5),(20,302,1,16,7,7,9,4,3),(20,302,1,16,8,27,11,13,6),(20,302,1,16,9,13,26,6,7),(20,302,1,16,10,9,8,5,5),(20,302,1,16,11,NULL,10,NULL,4),(20,302,1,16,12,6,12,2,5),(20,302,1,16,13,13,19,6,8),(20,302,1,16,14,8,7,3,2),(20,302,1,16,15,21,5,8,NULL),(20,302,1,16,16,NULL,21,NULL,4),(20,302,1,16,17,32,28,10,11),(20,302,1,16,18,4,6,3,4),(20,302,1,16,19,19,17,4,4),(20,302,1,16,20,2,12,1,4),(20,302,1,16,21,5,11,1,4),(20,302,1,16,22,1,17,NULL,7),(20,302,1,16,23,6,29,1,11),(20,302,1,16,24,NULL,16,NULL,9),(20,302,1,16,25,2,24,1,12),(20,302,1,16,26,3,NULL,2,NULL),(20,302,1,16,27,3,10,NULL,6),(20,302,1,16,28,NULL,6,NULL,2),(20,302,1,16,29,5,13,2,5),(20,302,1,16,30,3,10,1,7),(20,302,1,16,31,9,11,1,4),(20,302,1,16,32,7,10,3,5),(20,302,1,16,33,5,7,3,3),(20,302,1,16,34,2,8,1,7),(20,302,1,16,35,8,15,4,5),(20,302,1,16,36,8,19,5,8),(20,302,1,16,37,10,13,2,8),(20,302,1,16,38,2,6,1,NULL),(20,302,1,16,39,25,15,12,5),(20,302,1,16,40,8,11,4,5),(20,302,1,17,1,3,14,2,6),(20,302,1,17,2,4,9,2,4),(20,302,1,17,3,5,7,4,3),(20,302,1,17,4,6,12,1,4),(20,302,1,17,5,8,19,3,7),(20,302,1,17,6,15,23,7,8),(20,302,1,17,7,8,15,5,6),(20,302,1,17,8,24,10,10,7),(20,302,1,17,9,6,34,1,15),(20,302,1,17,10,7,10,5,7),(20,302,1,17,11,1,13,NULL,6),(20,302,1,17,12,5,12,3,4),(20,302,1,17,13,14,27,6,14),(20,302,1,17,14,2,4,2,2),(20,302,1,17,15,16,11,7,7),(20,302,1,17,16,2,17,NULL,8),(20,302,1,17,17,21,33,9,11),(20,302,1,17,18,1,11,NULL,7),(20,302,1,17,19,13,21,4,8),(20,302,1,17,20,1,12,NULL,4),(20,302,1,17,21,4,21,NULL,8),(20,302,1,17,22,2,20,1,13),(20,302,1,17,23,6,26,2,14),(20,302,1,17,24,6,18,2,9),(20,302,1,17,25,6,22,4,13),(20,302,1,17,26,7,NULL,5,NULL),(20,302,1,17,27,5,17,1,8),(20,302,1,17,28,3,12,2,9),(20,302,1,17,29,4,17,NULL,7),(20,302,1,17,30,2,14,1,6),(20,302,1,17,31,10,22,4,5),(20,302,1,17,32,4,13,1,9),(20,302,1,17,33,1,7,1,4),(20,302,1,17,34,1,9,NULL,3),(20,302,1,17,35,11,9,4,4),(20,302,1,17,36,8,20,4,7),(20,302,1,17,37,12,15,4,10),(20,302,1,17,38,4,4,NULL,2),(20,302,1,17,39,17,22,7,11),(20,302,1,17,40,12,6,7,3),(20,302,2,21,1,3,12,2,8),(20,302,2,21,2,NULL,3,NULL,NULL),(20,302,2,21,3,14,16,9,13),(20,302,2,21,4,8,10,4,7),(20,302,2,21,5,1,3,1,2),(20,302,2,21,6,9,24,6,15),(20,302,2,21,7,8,12,5,7),(20,302,2,21,8,5,NULL,3,NULL),(20,302,2,21,9,15,25,6,12),(20,302,2,21,10,1,18,NULL,14),(20,302,2,21,11,4,8,2,6),(20,302,2,21,12,4,11,NULL,6),(20,302,2,21,13,26,23,15,10),(20,302,2,21,14,21,29,10,15),(20,302,2,21,15,21,17,11,6),(20,302,2,21,16,22,12,14,5),(20,302,2,21,17,7,11,3,6),(20,302,2,21,18,3,14,2,9),(20,302,2,21,19,8,20,4,10),(20,302,2,21,20,19,24,11,14),(20,302,2,21,21,NULL,5,NULL,2),(20,302,2,21,22,1,10,1,5),(20,302,2,21,23,1,6,1,1),(20,302,2,21,24,NULL,3,NULL,2),(20,302,2,21,25,NULL,13,NULL,11),(20,302,2,21,26,2,11,2,8),(20,302,2,21,27,NULL,6,NULL,6),(20,302,2,21,28,7,9,7,6),(20,302,2,21,29,NULL,6,NULL,2),(20,302,2,21,30,3,5,3,3),(20,302,2,21,31,6,15,3,12),(20,302,2,21,32,5,18,2,11),(20,302,2,21,33,6,22,2,11),(20,302,2,21,34,9,10,5,6),(20,302,2,21,35,2,8,2,4),(20,302,2,21,36,7,17,6,7),(20,302,2,21,37,3,6,1,3),(20,302,2,21,38,3,8,2,6),(20,302,2,21,39,4,2,3,1),(20,302,2,21,40,8,15,7,9),(20,302,2,22,1,2,11,1,6),(20,302,2,22,2,NULL,3,NULL,1),(20,302,2,22,3,3,9,NULL,3),(20,302,2,22,4,7,10,3,3),(20,302,2,22,5,NULL,5,NULL,3),(20,302,2,22,6,8,7,5,2),(20,302,2,22,7,7,6,3,3),(20,302,2,22,8,6,NULL,2,NULL),(20,302,2,22,9,14,25,5,6),(20,302,2,22,10,NULL,11,NULL,6),(20,302,2,22,11,8,11,4,4),(20,302,2,22,12,3,10,3,2),(20,302,2,22,13,17,21,9,7),(20,302,2,22,14,19,24,5,10),(20,302,2,22,15,22,15,7,7),(20,302,2,22,16,21,12,7,5),(20,302,2,22,17,5,10,3,3),(20,302,2,22,18,1,10,1,7),(20,302,2,22,19,2,18,1,5),(20,302,2,22,20,6,14,2,7),(20,302,2,22,21,NULL,2,NULL,NULL),(20,302,2,22,22,1,12,NULL,5),(20,302,2,22,23,NULL,4,NULL,3),(20,302,2,22,24,1,4,NULL,2),(20,302,2,22,25,3,17,2,5),(20,302,2,22,26,2,5,1,1),(20,302,2,22,27,NULL,3,NULL,1),(20,302,2,22,28,12,11,9,4),(20,302,2,22,29,1,4,NULL,4),(20,302,2,22,30,3,5,2,1),(20,302,2,22,31,1,13,NULL,7),(20,302,2,22,32,4,10,2,2),(20,302,2,22,33,5,17,1,4),(20,302,2,22,34,5,7,2,3),(20,302,2,22,35,3,10,3,5),(20,302,2,22,36,5,17,4,5),(20,302,2,22,37,NULL,7,NULL,4),(20,302,2,22,38,2,4,NULL,4),(20,302,2,22,39,3,3,3,2),(20,302,2,22,40,7,13,6,5),(20,302,2,23,1,NULL,9,NULL,3),(20,302,2,23,2,1,3,1,1),(20,302,2,23,3,7,18,NULL,9),(20,302,2,23,4,6,6,2,2),(20,302,2,23,5,3,3,1,1),(20,302,2,23,6,13,5,8,4),(20,302,2,23,7,2,10,1,4),(20,302,2,23,8,3,NULL,NULL,NULL),(20,302,2,23,9,8,22,2,9),(20,302,2,23,10,2,7,1,1),(20,302,2,23,11,8,6,4,3),(20,302,2,23,12,NULL,4,NULL,1),(20,302,2,23,13,19,16,8,5),(20,302,2,23,14,21,22,9,7),(20,302,2,23,15,19,10,5,6),(20,302,2,23,16,18,11,7,6),(20,302,2,23,17,5,13,3,6),(20,302,2,23,18,NULL,8,NULL,5),(20,302,2,23,19,5,19,3,5),(20,302,2,23,20,9,12,5,6),(20,302,2,23,21,NULL,NULL,NULL,NULL),(20,302,2,23,22,4,14,NULL,7),(20,302,2,23,23,2,5,NULL,2),(20,302,2,23,24,3,2,NULL,1),(20,302,2,23,25,2,16,2,6),(20,302,2,23,26,2,6,NULL,1),(20,302,2,23,27,NULL,6,NULL,NULL),(20,302,2,23,28,8,10,5,6),(20,302,2,23,29,NULL,1,NULL,NULL),(20,302,2,23,30,5,7,1,1),(20,302,2,23,31,6,10,1,5),(20,302,2,23,32,2,8,1,3),(20,302,2,23,33,4,20,1,3),(20,302,2,23,34,4,10,3,5),(20,302,2,23,35,1,13,1,5),(20,302,2,23,36,2,13,2,4),(20,302,2,23,37,4,10,1,5),(20,302,2,23,38,1,5,1,2),(20,302,2,23,39,1,10,NULL,4),(20,302,2,23,40,6,10,4,6),(20,302,2,24,1,5,13,NULL,7),(20,302,2,24,2,NULL,3,NULL,2),(20,302,2,24,3,6,25,3,6),(20,302,2,24,4,9,11,5,6),(20,302,2,24,5,2,9,1,4),(20,302,2,24,6,6,18,5,11),(20,302,2,24,7,1,8,1,3),(20,302,2,24,8,8,NULL,5,NULL),(20,302,2,24,9,9,23,3,12),(20,302,2,24,10,2,13,2,5),(20,302,2,24,11,10,13,5,3),(20,302,2,24,12,4,11,1,4),(20,302,2,24,13,17,24,10,8),(20,302,2,24,14,21,28,11,10),(20,302,2,24,15,19,9,9,3),(20,302,2,24,16,16,19,5,8),(20,302,2,24,17,8,9,7,4),(20,302,2,24,18,3,8,1,3),(20,302,2,24,19,1,16,NULL,6),(20,302,2,24,20,8,16,5,8),(20,302,2,24,21,NULL,NULL,NULL,NULL),(20,302,2,24,22,7,13,5,6),(20,302,2,24,23,1,4,NULL,NULL),(20,302,2,24,24,2,4,NULL,2),(20,302,2,24,25,7,16,5,8),(20,302,2,24,26,4,7,2,2),(20,302,2,24,27,3,4,3,3),(20,302,2,24,28,4,14,2,7),(20,302,2,24,29,NULL,3,NULL,1),(20,302,2,24,30,3,7,1,4),(20,302,2,24,31,2,14,1,9),(20,302,2,24,32,2,19,1,5),(20,302,2,24,33,6,13,4,2),(20,302,2,24,34,3,12,2,5),(20,302,2,24,35,1,14,NULL,8),(20,302,2,24,36,2,19,2,5),(20,302,2,24,37,4,12,2,4),(20,302,2,24,38,1,15,1,8),(20,302,2,24,39,2,9,1,7),(20,302,2,24,40,5,12,3,7),(20,303,1,11,1,1,NULL,NULL,NULL),(20,303,1,11,2,1,NULL,NULL,NULL),(20,303,1,11,3,NULL,2,NULL,NULL),(20,303,1,11,4,NULL,1,NULL,NULL),(20,303,1,11,5,2,NULL,NULL,NULL),(20,303,1,11,6,2,NULL,NULL,NULL),(20,303,1,11,7,1,NULL,NULL,NULL),(20,303,1,11,8,1,NULL,NULL,NULL),(20,303,1,11,9,1,1,NULL,NULL),(20,303,1,11,10,2,NULL,NULL,NULL),(20,303,1,11,11,1,NULL,NULL,NULL),(20,303,1,11,12,1,NULL,NULL,NULL),(20,303,1,11,13,1,1,NULL,NULL),(20,303,1,11,14,1,NULL,NULL,NULL),(20,303,1,11,15,1,NULL,NULL,NULL),(20,303,1,11,16,2,NULL,NULL,NULL),(20,303,1,11,17,2,NULL,NULL,NULL),(20,303,1,11,18,2,NULL,NULL,NULL),(20,303,1,11,19,1,1,NULL,NULL),(20,303,1,11,20,1,NULL,NULL,NULL),(20,303,1,11,21,NULL,NULL,NULL,NULL),(20,303,1,11,22,NULL,1,NULL,NULL),(20,303,1,11,23,NULL,1,NULL,NULL),(20,303,1,11,24,NULL,1,NULL,NULL),(20,303,1,11,25,NULL,1,NULL,NULL),(20,303,1,11,26,NULL,NULL,NULL,NULL),(20,303,1,11,27,NULL,NULL,NULL,NULL),(20,303,1,11,28,NULL,1,NULL,NULL),(20,303,1,11,29,1,NULL,NULL,NULL),(20,303,1,11,30,NULL,NULL,NULL,NULL),(20,303,1,11,31,1,1,NULL,NULL),(20,303,1,11,32,1,NULL,NULL,NULL),(20,303,1,11,33,NULL,NULL,NULL,NULL),(20,303,1,11,34,1,NULL,NULL,NULL),(20,303,1,11,35,1,1,NULL,NULL),(20,303,1,11,36,2,NULL,NULL,NULL),(20,303,1,11,37,1,NULL,NULL,NULL),(20,303,1,11,38,NULL,NULL,NULL,NULL),(20,303,1,11,39,1,1,NULL,NULL),(20,303,1,11,40,1,NULL,NULL,NULL),(20,303,1,12,1,3,2,2,1),(20,303,1,12,2,1,1,1,NULL),(20,303,1,12,3,1,1,1,1),(20,303,1,12,4,NULL,2,NULL,NULL),(20,303,1,12,5,2,1,1,1),(20,303,1,12,6,3,1,2,NULL),(20,303,1,12,7,3,1,2,1),(20,303,1,12,8,3,NULL,2,NULL),(20,303,1,12,9,4,NULL,2,NULL),(20,303,1,12,10,1,2,1,1),(20,303,1,12,11,NULL,1,NULL,NULL),(20,303,1,12,12,3,1,3,NULL),(20,303,1,12,13,1,4,1,1),(20,303,1,12,14,5,1,3,NULL),(20,303,1,12,15,4,1,2,1),(20,303,1,12,16,3,NULL,2,NULL),(20,303,1,12,17,5,1,3,NULL),(20,303,1,12,18,4,2,2,1),(20,303,1,12,19,4,NULL,2,NULL),(20,303,1,12,20,2,1,2,NULL),(20,303,1,12,21,NULL,2,NULL,NULL),(20,303,1,12,22,1,3,NULL,2),(20,303,1,12,23,NULL,1,NULL,1),(20,303,1,12,24,NULL,5,NULL,3),(20,303,1,12,25,2,3,2,1),(20,303,1,12,26,2,NULL,2,NULL),(20,303,1,12,27,2,2,2,NULL),(20,303,1,12,28,NULL,1,NULL,NULL),(20,303,1,12,29,NULL,4,NULL,1),(20,303,1,12,30,1,1,1,NULL),(20,303,1,12,31,2,NULL,1,NULL),(20,303,1,12,32,2,1,1,1),(20,303,1,12,33,2,1,1,1),(20,303,1,12,34,NULL,1,NULL,1),(20,303,1,12,35,2,NULL,2,NULL),(20,303,1,12,36,3,1,1,1),(20,303,1,12,37,2,1,1,1),(20,303,1,12,38,NULL,1,NULL,1),(20,303,1,12,39,3,3,1,2),(20,303,1,12,40,4,1,2,NULL),(20,303,1,13,1,1,1,NULL,NULL),(20,303,1,13,2,NULL,NULL,NULL,NULL),(20,303,1,13,3,NULL,3,NULL,NULL),(20,303,1,13,4,NULL,2,NULL,NULL),(20,303,1,13,5,4,NULL,NULL,NULL),(20,303,1,13,6,3,1,NULL,NULL),(20,303,1,13,7,1,1,NULL,NULL),(20,303,1,13,8,2,1,NULL,NULL),(20,303,1,13,9,2,3,NULL,NULL),(20,303,1,13,10,2,NULL,NULL,NULL),(20,303,1,13,11,NULL,1,NULL,NULL),(20,303,1,13,12,3,1,NULL,NULL),(20,303,1,13,13,4,1,NULL,NULL),(20,303,1,13,14,2,1,NULL,NULL),(20,303,1,13,15,5,NULL,NULL,NULL),(20,303,1,13,16,4,NULL,NULL,NULL),(20,303,1,13,17,4,NULL,NULL,NULL),(20,303,1,13,18,3,1,NULL,NULL),(20,303,1,13,19,4,NULL,NULL,NULL),(20,303,1,13,20,4,NULL,NULL,NULL),(20,303,1,13,21,NULL,NULL,NULL,NULL),(20,303,1,13,22,NULL,2,NULL,NULL),(20,303,1,13,23,1,3,NULL,NULL),(20,303,1,13,24,1,3,NULL,NULL),(20,303,1,13,25,1,3,NULL,NULL),(20,303,1,13,26,2,NULL,NULL,NULL),(20,303,1,13,27,1,2,NULL,NULL),(20,303,1,13,28,NULL,NULL,NULL,NULL),(20,303,1,13,29,1,1,NULL,NULL),(20,303,1,13,30,NULL,1,NULL,NULL),(20,303,1,13,31,4,NULL,NULL,NULL),(20,303,1,13,32,1,1,NULL,NULL),(20,303,1,13,33,2,1,NULL,NULL),(20,303,1,13,34,1,1,NULL,NULL),(20,303,1,13,35,1,3,NULL,NULL),(20,303,1,13,36,3,2,NULL,NULL),(20,303,1,13,37,2,NULL,NULL,NULL),(20,303,1,13,38,NULL,3,NULL,NULL),(20,303,1,13,39,2,2,NULL,NULL),(20,303,1,13,40,3,NULL,NULL,NULL),(20,303,1,14,1,78,43,13,6),(20,303,1,14,2,43,27,12,5),(20,303,1,14,3,41,78,9,9),(20,303,1,14,4,32,82,4,12),(20,303,1,14,5,76,101,11,16),(20,303,1,14,6,137,98,18,13),(20,303,1,14,7,66,59,17,5),(20,303,1,14,8,120,20,24,3),(20,303,1,14,9,118,113,17,15),(20,303,1,14,10,61,21,14,3),(20,303,1,14,11,10,51,1,10),(20,303,1,14,12,65,45,16,7),(20,303,1,14,13,140,68,22,13),(20,303,1,14,14,167,76,23,9),(20,303,1,14,15,112,55,17,6),(20,303,1,14,16,182,36,27,5),(20,303,1,14,17,118,110,20,9),(20,303,1,14,18,158,46,27,6),(20,303,1,14,19,163,14,27,NULL),(20,303,1,14,20,176,81,23,10),(20,303,1,14,21,15,39,3,11),(20,303,1,14,22,25,90,2,21),(20,303,1,14,23,23,104,2,17),(20,303,1,14,24,33,72,12,12),(20,303,1,14,25,70,105,18,11),(20,303,1,14,26,51,NULL,14,NULL),(20,303,1,14,27,39,105,9,15),(20,303,1,14,28,22,48,12,10),(20,303,1,14,29,16,47,5,10),(20,303,1,14,30,19,60,7,9),(20,303,1,14,31,78,95,14,14),(20,303,1,14,32,74,39,11,9),(20,303,1,14,33,61,57,17,9),(20,303,1,14,34,22,72,3,14),(20,303,1,14,35,85,69,15,10),(20,303,1,14,36,130,71,23,7),(20,303,1,14,37,110,76,18,11),(20,303,1,14,38,14,49,3,12),(20,303,1,14,39,138,95,24,10),(20,303,1,14,40,118,17,26,1),(20,303,1,15,1,65,47,8,6),(20,303,1,15,2,52,28,10,7),(20,303,1,15,3,37,92,8,17),(20,303,1,15,4,30,80,2,19),(20,303,1,15,5,84,90,17,16),(20,303,1,15,6,146,85,16,12),(20,303,1,15,7,70,59,15,8),(20,303,1,15,8,134,38,28,3),(20,303,1,15,9,122,88,20,11),(20,303,1,15,10,45,35,14,8),(20,303,1,15,11,21,42,9,6),(20,303,1,15,12,77,44,15,7),(20,303,1,15,13,162,64,28,7),(20,303,1,15,14,167,83,28,5),(20,303,1,15,15,124,35,23,6),(20,303,1,15,16,160,48,25,7),(20,303,1,15,17,98,113,18,12),(20,303,1,15,18,169,48,26,3),(20,303,1,15,19,159,19,33,NULL),(20,303,1,15,20,169,66,23,11),(20,303,1,15,21,9,59,1,20),(20,303,1,15,22,28,82,5,25),(20,303,1,15,23,20,111,1,15),(20,303,1,15,24,33,80,10,19),(20,303,1,15,25,54,86,16,11),(20,303,1,15,26,51,NULL,21,NULL),(20,303,1,15,27,58,85,15,9),(20,303,1,15,28,22,48,9,17),(20,303,1,15,29,13,43,4,8),(20,303,1,15,30,30,60,10,12),(20,303,1,15,31,68,89,10,17),(20,303,1,15,32,78,42,20,7),(20,303,1,15,33,73,73,20,10),(20,303,1,15,34,26,59,6,17),(20,303,1,15,35,84,59,14,9),(20,303,1,15,36,138,70,24,9),(20,303,1,15,37,101,85,9,22),(20,303,1,15,38,19,56,6,11),(20,303,1,15,39,150,67,25,7),(20,303,1,15,40,117,12,32,NULL),(20,303,1,16,1,26,29,4,1),(20,303,1,16,2,17,12,3,NULL),(20,303,1,16,3,7,47,1,8),(20,303,1,16,4,13,41,NULL,4),(20,303,1,16,5,32,39,6,4),(20,303,1,16,6,54,46,7,2),(20,303,1,16,7,26,33,6,2),(20,303,1,16,8,61,22,9,1),(20,303,1,16,9,43,59,8,2),(20,303,1,16,10,28,14,5,1),(20,303,1,16,11,6,23,NULL,3),(20,303,1,16,12,18,27,6,NULL),(20,303,1,16,13,45,42,7,NULL),(20,303,1,16,14,15,21,2,4),(20,303,1,16,15,64,17,9,NULL),(20,303,1,16,16,12,36,1,3),(20,303,1,16,17,78,50,8,2),(20,303,1,16,18,14,37,1,5),(20,303,1,16,19,62,42,4,3),(20,303,1,16,20,4,41,NULL,5),(20,303,1,16,21,7,32,NULL,5),(20,303,1,16,22,6,44,NULL,6),(20,303,1,16,23,2,57,NULL,8),(20,303,1,16,24,11,33,NULL,8),(20,303,1,16,25,16,59,5,4),(20,303,1,16,26,15,NULL,3,NULL),(20,303,1,16,27,20,42,1,6),(20,303,1,16,28,7,25,2,2),(20,303,1,16,29,7,28,NULL,1),(20,303,1,16,30,12,26,3,1),(20,303,1,16,31,20,48,4,4),(20,303,1,16,32,35,21,8,1),(20,303,1,16,33,5,42,2,4),(20,303,1,16,34,9,22,3,NULL),(20,303,1,16,35,26,44,2,6),(20,303,1,16,36,35,45,6,4),(20,303,1,16,37,44,42,6,4),(20,303,1,16,38,6,24,NULL,1),(20,303,1,16,39,64,43,6,4),(20,303,1,16,40,31,22,5,2),(20,303,1,17,1,25,22,2,2),(20,303,1,17,2,9,6,4,NULL),(20,303,1,17,3,5,32,1,1),(20,303,1,17,4,14,31,NULL,2),(20,303,1,17,5,26,44,2,3),(20,303,1,17,6,43,40,3,2),(20,303,1,17,7,19,31,3,1),(20,303,1,17,8,52,20,4,1),(20,303,1,17,9,33,55,2,2),(20,303,1,17,10,17,24,2,2),(20,303,1,17,11,5,13,NULL,1),(20,303,1,17,12,27,20,1,2),(20,303,1,17,13,41,44,3,3),(20,303,1,17,14,9,19,NULL,1),(20,303,1,17,15,38,13,1,NULL),(20,303,1,17,16,5,30,NULL,2),(20,303,1,17,17,65,44,4,2),(20,303,1,17,18,7,28,2,1),(20,303,1,17,19,61,33,4,NULL),(20,303,1,17,20,4,36,NULL,2),(20,303,1,17,21,8,20,NULL,2),(20,303,1,17,22,10,23,NULL,4),(20,303,1,17,23,8,45,NULL,2),(20,303,1,17,24,12,27,NULL,6),(20,303,1,17,25,11,31,NULL,3),(20,303,1,17,26,12,NULL,3,NULL),(20,303,1,17,27,8,31,NULL,4),(20,303,1,17,28,3,16,1,3),(20,303,1,17,29,11,29,NULL,2),(20,303,1,17,30,7,26,NULL,1),(20,303,1,17,31,20,39,NULL,4),(20,303,1,17,32,22,15,2,1),(20,303,1,17,33,10,33,3,1),(20,303,1,17,34,6,20,2,1),(20,303,1,17,35,24,33,2,2),(20,303,1,17,36,38,34,2,1),(20,303,1,17,37,35,35,2,3),(20,303,1,17,38,3,14,NULL,1),(20,303,1,17,39,46,42,2,3),(20,303,1,17,40,26,12,2,2),(20,303,2,21,1,20,43,4,2),(20,303,2,21,2,7,22,2,4),(20,303,2,21,3,29,60,5,7),(20,303,2,21,4,27,36,6,3),(20,303,2,21,5,16,31,4,7),(20,303,2,21,6,70,53,13,7),(20,303,2,21,7,47,43,8,7),(20,303,2,21,8,32,NULL,7,NULL),(20,303,2,21,9,51,112,6,10),(20,303,2,21,10,11,52,2,7),(20,303,2,21,11,36,26,4,4),(20,303,2,21,12,19,34,7,4),(20,303,2,21,13,109,52,18,1),(20,303,2,21,14,132,76,15,7),(20,303,2,21,15,92,53,14,6),(20,303,2,21,16,74,47,9,6),(20,303,2,21,17,44,26,9,3),(20,303,2,21,18,9,57,3,8),(20,303,2,21,19,33,72,3,7),(20,303,2,21,20,52,65,7,10),(20,303,2,21,21,2,13,NULL,2),(20,303,2,21,22,12,50,1,4),(20,303,2,21,23,8,21,4,2),(20,303,2,21,24,3,21,1,7),(20,303,2,21,25,36,51,12,5),(20,303,2,21,26,10,27,3,2),(20,303,2,21,27,4,19,1,5),(20,303,2,21,28,41,37,6,4),(20,303,2,21,29,9,28,1,5),(20,303,2,21,30,25,10,8,NULL),(20,303,2,21,31,20,54,4,8),(20,303,2,21,32,32,66,8,9),(20,303,2,21,33,30,62,1,6),(20,303,2,21,34,28,53,8,6),(20,303,2,21,35,10,74,NULL,13),(20,303,2,21,36,26,28,5,1),(20,303,2,21,37,13,41,7,3),(20,303,2,21,38,10,49,2,8),(20,303,2,21,39,32,34,13,2),(20,303,2,21,40,37,31,9,5),(20,303,2,22,1,23,45,3,6),(20,303,2,22,2,8,21,1,3),(20,303,2,22,3,39,80,6,10),(20,303,2,22,4,22,22,5,4),(20,303,2,22,5,13,20,5,4),(20,303,2,22,6,61,62,17,7),(20,303,2,22,7,45,46,12,9),(20,303,2,22,8,48,NULL,14,NULL),(20,303,2,22,9,79,101,6,15),(20,303,2,22,10,7,60,2,10),(20,303,2,22,11,40,24,10,5),(20,303,2,22,12,18,25,8,6),(20,303,2,22,13,111,67,21,4),(20,303,2,22,14,119,79,19,5),(20,303,2,22,15,108,38,17,7),(20,303,2,22,16,63,52,11,12),(20,303,2,22,17,46,31,12,3),(20,303,2,22,18,12,53,2,14),(20,303,2,22,19,32,98,6,13),(20,303,2,22,20,69,70,12,11),(20,303,2,22,21,7,18,2,5),(20,303,2,22,22,10,32,1,3),(20,303,2,22,23,3,27,2,3),(20,303,2,22,24,8,20,2,10),(20,303,2,22,25,32,69,14,6),(20,303,2,22,26,18,22,6,3),(20,303,2,22,27,12,27,6,4),(20,303,2,22,28,48,32,9,7),(20,303,2,22,29,12,27,6,5),(20,303,2,22,30,18,14,6,2),(20,303,2,22,31,21,56,5,10),(20,303,2,22,32,33,64,10,10),(20,303,2,22,33,33,65,2,8),(20,303,2,22,34,41,55,6,13),(20,303,2,22,35,15,74,3,13),(20,303,2,22,36,30,29,7,2),(20,303,2,22,37,19,35,9,7),(20,303,2,22,38,12,51,3,12),(20,303,2,22,39,21,44,7,8),(20,303,2,22,40,52,32,11,3),(20,303,2,23,1,19,33,4,6),(20,303,2,23,2,6,18,NULL,3),(20,303,2,23,3,33,61,6,7),(20,303,2,23,4,16,20,3,3),(20,303,2,23,5,8,23,1,6),(20,303,2,23,6,58,55,10,10),(20,303,2,23,7,35,54,10,5),(20,303,2,23,8,42,NULL,7,NULL),(20,303,2,23,9,57,85,4,9),(20,303,2,23,10,8,48,NULL,13),(20,303,2,23,11,40,27,9,2),(20,303,2,23,12,17,29,2,7),(20,303,2,23,13,94,58,13,6),(20,303,2,23,14,115,72,16,4),(20,303,2,23,15,81,36,10,8),(20,303,2,23,16,52,44,8,7),(20,303,2,23,17,36,32,10,4),(20,303,2,23,18,18,54,3,7),(20,303,2,23,19,33,69,5,10),(20,303,2,23,20,62,58,7,8),(20,303,2,23,21,3,16,NULL,5),(20,303,2,23,22,14,50,3,8),(20,303,2,23,23,5,16,3,1),(20,303,2,23,24,8,13,4,4),(20,303,2,23,25,41,55,16,4),(20,303,2,23,26,24,22,8,1),(20,303,2,23,27,14,16,8,3),(20,303,2,23,28,38,32,8,3),(20,303,2,23,29,9,21,5,3),(20,303,2,23,30,24,14,6,2),(20,303,2,23,31,23,50,7,7),(20,303,2,23,32,37,53,9,6),(20,303,2,23,33,26,75,4,6),(20,303,2,23,34,21,39,5,6),(20,303,2,23,35,9,62,4,7),(20,303,2,23,36,30,36,6,4),(20,303,2,23,37,21,48,6,7),(20,303,2,23,38,16,46,1,14),(20,303,2,23,39,34,27,11,1),(20,303,2,23,40,43,37,10,4),(20,303,2,24,1,26,41,4,7),(20,303,2,24,2,10,27,3,3),(20,303,2,24,3,44,59,9,6),(20,303,2,24,4,17,26,5,1),(20,303,2,24,5,9,20,1,5),(20,303,2,24,6,85,54,16,4),(20,303,2,24,7,34,40,11,5),(20,303,2,24,8,47,NULL,13,NULL),(20,303,2,24,9,50,103,5,12),(20,303,2,24,10,10,45,3,5),(20,303,2,24,11,34,31,5,6),(20,303,2,24,12,10,29,2,6),(20,303,2,24,13,97,63,12,6),(20,303,2,24,14,91,84,15,6),(20,303,2,24,15,64,41,9,6),(20,303,2,24,16,72,48,8,5),(20,303,2,24,17,33,32,7,3),(20,303,2,24,18,10,57,4,14),(20,303,2,24,19,45,81,11,6),(20,303,2,24,20,57,54,10,7),(20,303,2,24,21,2,12,1,1),(20,303,2,24,22,13,33,2,4),(20,303,2,24,23,4,20,2,4),(20,303,2,24,24,5,18,1,8),(20,303,2,24,25,30,59,9,4),(20,303,2,24,26,11,24,4,1),(20,303,2,24,27,10,29,5,3),(20,303,2,24,28,46,26,10,3),(20,303,2,24,29,6,20,1,3),(20,303,2,24,30,21,13,3,1),(20,303,2,24,31,17,58,4,8),(20,303,2,24,32,33,60,8,3),(20,303,2,24,33,28,66,2,8),(20,303,2,24,34,32,52,5,10),(20,303,2,24,35,16,58,4,3),(20,303,2,24,36,18,34,6,3),(20,303,2,24,37,20,36,6,8),(20,303,2,24,38,10,54,3,12),(20,303,2,24,39,33,31,7,4),(20,303,2,24,40,40,30,7,2),(20,304,1,11,1,1,NULL,NULL,NULL),(20,304,1,11,2,NULL,NULL,NULL,NULL),(20,304,1,11,3,NULL,1,NULL,NULL),(20,304,1,11,4,NULL,NULL,NULL,NULL),(20,304,1,11,5,NULL,1,NULL,NULL),(20,304,1,11,6,NULL,NULL,NULL,NULL),(20,304,1,11,7,NULL,NULL,NULL,NULL),(20,304,1,11,8,1,NULL,NULL,NULL),(20,304,1,11,9,NULL,1,NULL,NULL),(20,304,1,11,10,NULL,NULL,NULL,NULL),(20,304,1,11,11,NULL,1,NULL,NULL),(20,304,1,11,12,NULL,NULL,NULL,NULL),(20,304,1,11,13,NULL,NULL,NULL,NULL),(20,304,1,11,14,NULL,NULL,NULL,NULL),(20,304,1,11,15,1,NULL,NULL,NULL),(20,304,1,11,16,1,NULL,NULL,NULL),(20,304,1,11,17,NULL,1,NULL,NULL),(20,304,1,11,18,NULL,1,NULL,NULL),(20,304,1,11,19,NULL,NULL,NULL,NULL),(20,304,1,11,20,NULL,NULL,NULL,NULL),(20,304,1,11,21,NULL,NULL,NULL,NULL),(20,304,1,11,22,NULL,NULL,NULL,NULL),(20,304,1,11,23,NULL,NULL,NULL,NULL),(20,304,1,11,24,NULL,NULL,NULL,NULL),(20,304,1,11,25,NULL,NULL,NULL,NULL),(20,304,1,11,26,NULL,NULL,NULL,NULL),(20,304,1,11,27,NULL,NULL,NULL,NULL),(20,304,1,11,28,NULL,NULL,NULL,NULL),(20,304,1,11,29,NULL,NULL,NULL,NULL),(20,304,1,11,30,NULL,NULL,NULL,NULL),(20,304,1,11,31,NULL,NULL,NULL,NULL),(20,304,1,11,32,NULL,NULL,NULL,NULL),(20,304,1,11,33,1,NULL,NULL,NULL),(20,304,1,11,34,NULL,NULL,NULL,NULL),(20,304,1,11,35,NULL,1,NULL,NULL),(20,304,1,11,36,1,NULL,NULL,NULL),(20,304,1,11,37,1,NULL,NULL,NULL),(20,304,1,11,38,NULL,NULL,NULL,NULL),(20,304,1,11,39,NULL,NULL,NULL,NULL),(20,304,1,11,40,1,NULL,NULL,NULL),(20,304,1,12,1,1,NULL,1,NULL),(20,304,1,12,2,NULL,1,NULL,NULL),(20,304,1,12,3,NULL,2,NULL,1),(20,304,1,12,4,NULL,1,NULL,1),(20,304,1,12,5,2,NULL,1,NULL),(20,304,1,12,6,2,1,1,NULL),(20,304,1,12,7,NULL,2,NULL,1),(20,304,1,12,8,NULL,1,NULL,1),(20,304,1,12,9,1,1,NULL,NULL),(20,304,1,12,10,NULL,NULL,NULL,NULL),(20,304,1,12,11,NULL,NULL,NULL,NULL),(20,304,1,12,12,NULL,NULL,NULL,NULL),(20,304,1,12,13,NULL,2,NULL,1),(20,304,1,12,14,2,1,1,NULL),(20,304,1,12,15,2,1,1,NULL),(20,304,1,12,16,3,NULL,1,NULL),(20,304,1,12,17,2,1,1,NULL),(20,304,1,12,18,2,1,1,NULL),(20,304,1,12,19,2,NULL,1,NULL),(20,304,1,12,20,2,NULL,1,NULL),(20,304,1,12,21,NULL,1,NULL,1),(20,304,1,12,22,NULL,1,NULL,1),(20,304,1,12,23,NULL,1,NULL,1),(20,304,1,12,24,NULL,NULL,NULL,NULL),(20,304,1,12,25,NULL,1,NULL,NULL),(20,304,1,12,26,NULL,NULL,NULL,NULL),(20,304,1,12,27,NULL,1,NULL,1),(20,304,1,12,28,NULL,NULL,NULL,NULL),(20,304,1,12,29,NULL,1,NULL,NULL),(20,304,1,12,30,NULL,1,NULL,1),(20,304,1,12,31,1,NULL,1,NULL),(20,304,1,12,32,1,1,1,NULL),(20,304,1,12,33,1,1,1,NULL),(20,304,1,12,34,NULL,NULL,NULL,NULL),(20,304,1,12,35,1,1,1,NULL),(20,304,1,12,36,NULL,2,NULL,1),(20,304,1,12,37,NULL,NULL,NULL,NULL),(20,304,1,12,38,NULL,1,NULL,NULL),(20,304,1,12,39,3,NULL,1,NULL),(20,304,1,12,40,1,NULL,1,NULL),(20,304,1,13,1,NULL,NULL,NULL,NULL),(20,304,1,13,2,NULL,NULL,NULL,NULL),(20,304,1,13,3,NULL,NULL,NULL,NULL),(20,304,1,13,4,NULL,NULL,NULL,NULL),(20,304,1,13,5,NULL,NULL,NULL,NULL),(20,304,1,13,6,NULL,NULL,NULL,NULL),(20,304,1,13,7,NULL,NULL,NULL,NULL),(20,304,1,13,8,NULL,NULL,NULL,NULL),(20,304,1,13,9,NULL,NULL,NULL,NULL),(20,304,1,13,10,NULL,NULL,NULL,NULL),(20,304,1,13,11,NULL,NULL,NULL,NULL),(20,304,1,13,12,NULL,NULL,NULL,NULL),(20,304,1,13,13,NULL,NULL,NULL,NULL),(20,304,1,13,14,NULL,NULL,NULL,NULL),(20,304,1,13,15,NULL,NULL,NULL,NULL),(20,304,1,13,16,NULL,NULL,NULL,NULL),(20,304,1,13,17,NULL,NULL,NULL,NULL),(20,304,1,13,18,NULL,NULL,NULL,NULL),(20,304,1,13,19,NULL,NULL,NULL,NULL),(20,304,1,13,20,NULL,NULL,NULL,NULL),(20,304,1,13,21,NULL,NULL,NULL,NULL),(20,304,1,13,22,NULL,NULL,NULL,NULL),(20,304,1,13,23,NULL,NULL,NULL,NULL),(20,304,1,13,24,NULL,NULL,NULL,NULL),(20,304,1,13,25,NULL,NULL,NULL,NULL),(20,304,1,13,26,NULL,NULL,NULL,NULL),(20,304,1,13,27,NULL,NULL,NULL,NULL),(20,304,1,13,28,NULL,NULL,NULL,NULL),(20,304,1,13,29,NULL,NULL,NULL,NULL),(20,304,1,13,30,NULL,NULL,NULL,NULL),(20,304,1,13,31,NULL,NULL,NULL,NULL),(20,304,1,13,32,NULL,NULL,NULL,NULL),(20,304,1,13,33,NULL,NULL,NULL,NULL),(20,304,1,13,34,NULL,NULL,NULL,NULL),(20,304,1,13,35,NULL,NULL,NULL,NULL),(20,304,1,13,36,NULL,NULL,NULL,NULL),(20,304,1,13,37,NULL,NULL,NULL,NULL),(20,304,1,13,38,NULL,NULL,NULL,NULL),(20,304,1,13,39,NULL,NULL,NULL,NULL),(20,304,1,13,40,NULL,NULL,NULL,NULL),(20,304,1,14,1,10,8,9,5),(20,304,1,14,2,5,6,4,3),(20,304,1,14,3,6,13,4,12),(20,304,1,14,4,9,18,5,13),(20,304,1,14,5,14,19,12,12),(20,304,1,14,6,30,19,19,11),(20,304,1,14,7,16,10,11,7),(20,304,1,14,8,23,2,13,NULL),(20,304,1,14,9,20,20,14,14),(20,304,1,14,10,9,3,8,2),(20,304,1,14,11,3,14,2,9),(20,304,1,14,12,7,11,5,8),(20,304,1,14,13,41,11,25,8),(20,304,1,14,14,42,16,26,7),(20,304,1,14,15,28,8,20,4),(20,304,1,14,16,39,8,24,4),(20,304,1,14,17,25,25,15,16),(20,304,1,14,18,37,6,24,2),(20,304,1,14,19,41,1,27,1),(20,304,1,14,20,41,17,26,11),(20,304,1,14,21,2,7,2,7),(20,304,1,14,22,9,23,7,17),(20,304,1,14,23,7,24,4,15),(20,304,1,14,24,9,17,5,14),(20,304,1,14,25,14,23,9,17),(20,304,1,14,26,8,NULL,7,NULL),(20,304,1,14,27,6,24,5,18),(20,304,1,14,28,5,8,3,6),(20,304,1,14,29,1,12,1,6),(20,304,1,14,30,7,6,5,4),(20,304,1,14,31,18,13,13,6),(20,304,1,14,32,16,3,12,3),(20,304,1,14,33,11,13,9,10),(20,304,1,14,34,2,9,1,8),(20,304,1,14,35,17,12,11,8),(20,304,1,14,36,26,18,17,10),(20,304,1,14,37,24,15,18,8),(20,304,1,14,38,3,11,3,6),(20,304,1,14,39,33,19,19,10),(20,304,1,14,40,18,2,12,2),(20,304,1,15,1,8,10,6,6),(20,304,1,15,2,6,7,5,5),(20,304,1,15,3,8,11,5,9),(20,304,1,15,4,2,10,2,6),(20,304,1,15,5,8,15,6,9),(20,304,1,15,6,24,17,15,10),(20,304,1,15,7,9,9,7,7),(20,304,1,15,8,23,7,15,5),(20,304,1,15,9,18,21,12,12),(20,304,1,15,10,4,8,3,7),(20,304,1,15,11,NULL,11,NULL,9),(20,304,1,15,12,12,6,7,5),(20,304,1,15,13,27,17,19,11),(20,304,1,15,14,32,12,22,8),(20,304,1,15,15,19,9,16,4),(20,304,1,15,16,33,10,26,4),(20,304,1,15,17,19,20,15,13),(20,304,1,15,18,28,10,22,4),(20,304,1,15,19,32,3,26,1),(20,304,1,15,20,31,14,21,11),(20,304,1,15,21,1,12,1,7),(20,304,1,15,22,5,21,5,17),(20,304,1,15,23,6,25,1,18),(20,304,1,15,24,4,19,2,14),(20,304,1,15,25,14,20,10,15),(20,304,1,15,26,16,NULL,12,NULL),(20,304,1,15,27,10,22,6,15),(20,304,1,15,28,1,11,1,7),(20,304,1,15,29,1,9,NULL,5),(20,304,1,15,30,3,14,2,9),(20,304,1,15,31,9,24,7,13),(20,304,1,15,32,12,7,7,5),(20,304,1,15,33,6,7,5,7),(20,304,1,15,34,3,8,3,6),(20,304,1,15,35,10,17,9,12),(20,304,1,15,36,16,19,13,15),(20,304,1,15,37,15,15,7,14),(20,304,1,15,38,2,11,2,8),(20,304,1,15,39,29,13,20,10),(20,304,1,15,40,17,5,13,3),(20,304,1,16,1,10,4,7,NULL),(20,304,1,16,2,4,2,2,2),(20,304,1,16,3,2,8,1,5),(20,304,1,16,4,4,7,3,3),(20,304,1,16,5,4,9,2,4),(20,304,1,16,6,2,11,NULL,9),(20,304,1,16,7,3,7,1,5),(20,304,1,16,8,7,4,4,3),(20,304,1,16,9,5,8,4,2),(20,304,1,16,10,4,4,2,3),(20,304,1,16,11,1,3,NULL,2),(20,304,1,16,12,5,5,4,2),(20,304,1,16,13,8,12,NULL,6),(20,304,1,16,14,2,1,2,NULL),(20,304,1,16,15,9,2,4,NULL),(20,304,1,16,16,1,7,1,4),(20,304,1,16,17,8,15,3,9),(20,304,1,16,18,2,6,1,4),(20,304,1,16,19,10,7,4,3),(20,304,1,16,20,2,7,NULL,4),(20,304,1,16,21,2,2,1,NULL),(20,304,1,16,22,3,9,1,6),(20,304,1,16,23,1,11,1,6),(20,304,1,16,24,6,6,2,3),(20,304,1,16,25,6,9,3,4),(20,304,1,16,26,2,NULL,1,NULL),(20,304,1,16,27,2,7,NULL,5),(20,304,1,16,28,2,2,2,2),(20,304,1,16,29,1,4,NULL,3),(20,304,1,16,30,3,3,2,1),(20,304,1,16,31,7,3,3,1),(20,304,1,16,32,8,2,4,1),(20,304,1,16,33,NULL,6,NULL,4),(20,304,1,16,34,2,3,1,1),(20,304,1,16,35,8,5,2,1),(20,304,1,16,36,3,12,1,6),(20,304,1,16,37,3,6,1,5),(20,304,1,16,38,1,5,1,2),(20,304,1,16,39,10,10,6,5),(20,304,1,16,40,8,4,6,3),(20,304,1,17,1,4,5,2,NULL),(20,304,1,17,2,1,1,1,NULL),(20,304,1,17,3,NULL,5,NULL,1),(20,304,1,17,4,4,6,NULL,3),(20,304,1,17,5,2,7,NULL,4),(20,304,1,17,6,6,6,2,1),(20,304,1,17,7,2,3,1,NULL),(20,304,1,17,8,12,3,5,NULL),(20,304,1,17,9,4,7,1,2),(20,304,1,17,10,5,4,1,1),(20,304,1,17,11,3,4,2,1),(20,304,1,17,12,3,4,1,1),(20,304,1,17,13,6,8,1,3),(20,304,1,17,14,2,2,1,1),(20,304,1,17,15,7,1,2,NULL),(20,304,1,17,16,1,3,NULL,1),(20,304,1,17,17,7,11,3,2),(20,304,1,17,18,1,5,1,2),(20,304,1,17,19,11,6,2,1),(20,304,1,17,20,NULL,7,NULL,2),(20,304,1,17,21,1,4,NULL,2),(20,304,1,17,22,NULL,5,NULL,4),(20,304,1,17,23,1,8,NULL,4),(20,304,1,17,24,1,5,NULL,4),(20,304,1,17,25,2,7,1,2),(20,304,1,17,26,4,NULL,3,NULL),(20,304,1,17,27,5,4,3,1),(20,304,1,17,28,1,3,1,3),(20,304,1,17,29,2,2,NULL,1),(20,304,1,17,30,1,8,NULL,2),(20,304,1,17,31,3,6,2,2),(20,304,1,17,32,3,2,3,NULL),(20,304,1,17,33,1,5,1,2),(20,304,1,17,34,1,2,NULL,1),(20,304,1,17,35,5,7,1,4),(20,304,1,17,36,3,4,3,2),(20,304,1,17,37,7,6,3,2),(20,304,1,17,38,1,4,1,1),(20,304,1,17,39,6,4,3,1),(20,304,1,17,40,4,NULL,2,NULL),(20,304,2,21,1,4,7,4,3),(20,304,2,21,2,1,2,1,2),(20,304,2,21,3,8,12,5,7),(20,304,2,21,4,6,4,6,3),(20,304,2,21,5,NULL,2,NULL,1),(20,304,2,21,6,15,8,12,7),(20,304,2,21,7,6,13,5,10),(20,304,2,21,8,10,NULL,8,NULL),(20,304,2,21,9,18,18,10,14),(20,304,2,21,10,2,8,2,6),(20,304,2,21,11,2,5,1,2),(20,304,2,21,12,3,4,2,2),(20,304,2,21,13,24,4,16,3),(20,304,2,21,14,25,14,16,6),(20,304,2,21,15,16,14,13,7),(20,304,2,21,16,11,5,7,3),(20,304,2,21,17,7,5,6,3),(20,304,2,21,18,2,12,2,9),(20,304,2,21,19,10,21,5,15),(20,304,2,21,20,13,10,9,7),(20,304,2,21,21,NULL,2,NULL,2),(20,304,2,21,22,2,7,1,3),(20,304,2,21,23,1,3,1,3),(20,304,2,21,24,NULL,2,NULL,1),(20,304,2,21,25,4,15,4,11),(20,304,2,21,26,NULL,3,NULL,3),(20,304,2,21,27,NULL,4,NULL,3),(20,304,2,21,28,7,7,5,4),(20,304,2,21,29,NULL,4,NULL,4),(20,304,2,21,30,1,4,1,2),(20,304,2,21,31,3,10,3,6),(20,304,2,21,32,7,10,5,8),(20,304,2,21,33,9,10,4,8),(20,304,2,21,34,1,11,1,7),(20,304,2,21,35,2,9,2,7),(20,304,2,21,36,4,6,4,3),(20,304,2,21,37,1,8,1,5),(20,304,2,21,38,2,7,1,6),(20,304,2,21,39,2,4,2,4),(20,304,2,21,40,7,9,5,6),(20,304,2,22,1,2,11,1,5),(20,304,2,22,2,NULL,2,NULL,2),(20,304,2,22,3,6,10,4,8),(20,304,2,22,4,9,8,6,2),(20,304,2,22,5,3,5,2,3),(20,304,2,22,6,13,10,9,7),(20,304,2,22,7,7,8,5,3),(20,304,2,22,8,6,NULL,6,NULL),(20,304,2,22,9,15,16,10,9),(20,304,2,22,10,3,5,2,3),(20,304,2,22,11,8,1,4,1),(20,304,2,22,12,3,4,1,3),(20,304,2,22,13,24,10,15,4),(20,304,2,22,14,26,11,16,5),(20,304,2,22,15,20,8,14,2),(20,304,2,22,16,13,14,6,7),(20,304,2,22,17,12,5,6,2),(20,304,2,22,18,2,9,1,4),(20,304,2,22,19,9,13,5,10),(20,304,2,22,20,8,16,6,10),(20,304,2,22,21,NULL,3,NULL,2),(20,304,2,22,22,NULL,6,NULL,4),(20,304,2,22,23,2,2,1,2),(20,304,2,22,24,2,1,2,1),(20,304,2,22,25,4,11,3,6),(20,304,2,22,26,3,5,3,5),(20,304,2,22,27,2,4,2,2),(20,304,2,22,28,10,6,8,2),(20,304,2,22,29,2,1,2,NULL),(20,304,2,22,30,3,5,2,1),(20,304,2,22,31,1,14,1,10),(20,304,2,22,32,7,9,6,5),(20,304,2,22,33,3,13,3,7),(20,304,2,22,34,9,9,9,3),(20,304,2,22,35,1,16,NULL,10),(20,304,2,22,36,5,9,4,3),(20,304,2,22,37,3,5,3,1),(20,304,2,22,38,1,4,1,2),(20,304,2,22,39,6,3,6,1),(20,304,2,22,40,6,6,5,6),(20,304,2,23,1,4,3,3,2),(20,304,2,23,2,NULL,8,NULL,5),(20,304,2,23,3,8,15,4,8),(20,304,2,23,4,5,6,3,3),(20,304,2,23,5,NULL,3,NULL,2),(20,304,2,23,6,15,9,8,6),(20,304,2,23,7,6,5,3,4),(20,304,2,23,8,8,NULL,5,NULL),(20,304,2,23,9,14,23,7,11),(20,304,2,23,10,2,9,1,8),(20,304,2,23,11,11,6,6,4),(20,304,2,23,12,3,4,3,3),(20,304,2,23,13,24,4,15,3),(20,304,2,23,14,24,13,15,7),(20,304,2,23,15,20,11,11,7),(20,304,2,23,16,14,12,4,10),(20,304,2,23,17,3,4,3,1),(20,304,2,23,18,1,10,1,5),(20,304,2,23,19,9,15,6,8),(20,304,2,23,20,12,13,8,10),(20,304,2,23,21,NULL,1,NULL,NULL),(20,304,2,23,22,2,7,NULL,4),(20,304,2,23,23,NULL,2,NULL,1),(20,304,2,23,24,NULL,5,NULL,4),(20,304,2,23,25,5,11,4,9),(20,304,2,23,26,2,6,NULL,6),(20,304,2,23,27,NULL,4,NULL,2),(20,304,2,23,28,10,4,6,3),(20,304,2,23,29,2,6,1,4),(20,304,2,23,30,1,2,NULL,1),(20,304,2,23,31,4,7,2,3),(20,304,2,23,32,4,12,4,8),(20,304,2,23,33,4,14,2,9),(20,304,2,23,34,4,11,4,6),(20,304,2,23,35,NULL,5,NULL,4),(20,304,2,23,36,3,13,3,8),(20,304,2,23,37,2,9,2,6),(20,304,2,23,38,NULL,8,NULL,7),(20,304,2,23,39,1,7,1,3),(20,304,2,23,40,3,7,3,5),(20,304,2,24,1,3,6,1,2),(20,304,2,24,2,1,5,NULL,2),(20,304,2,24,3,10,13,2,4),(20,304,2,24,4,2,6,1,2),(20,304,2,24,5,NULL,6,NULL,3),(20,304,2,24,6,6,7,4,3),(20,304,2,24,7,5,10,5,3),(20,304,2,24,8,9,NULL,3,NULL),(20,304,2,24,9,11,19,4,7),(20,304,2,24,10,2,8,1,3),(20,304,2,24,11,12,6,5,1),(20,304,2,24,12,1,9,NULL,5),(20,304,2,24,13,16,17,7,6),(20,304,2,24,14,23,11,8,3),(20,304,2,24,15,6,8,5,3),(20,304,2,24,16,9,11,2,3),(20,304,2,24,17,5,5,3,3),(20,304,2,24,18,2,13,2,4),(20,304,2,24,19,3,20,2,9),(20,304,2,24,20,16,12,4,3),(20,304,2,24,21,1,3,1,2),(20,304,2,24,22,2,12,NULL,5),(20,304,2,24,23,1,3,1,NULL),(20,304,2,24,24,1,2,NULL,2),(20,304,2,24,25,4,11,3,5),(20,304,2,24,26,1,4,1,1),(20,304,2,24,27,1,1,NULL,NULL),(20,304,2,24,28,6,6,5,1),(20,304,2,24,29,NULL,6,NULL,2),(20,304,2,24,30,2,3,1,1),(20,304,2,24,31,1,10,NULL,6),(20,304,2,24,32,3,9,2,2),(20,304,2,24,33,5,14,NULL,5),(20,304,2,24,34,5,4,3,2),(20,304,2,24,35,2,14,1,5),(20,304,2,24,36,3,8,2,2),(20,304,2,24,37,3,7,1,2),(20,304,2,24,38,NULL,11,NULL,6),(20,304,2,24,39,3,3,2,1),(20,304,2,24,40,3,5,3,1),(20,308,1,11,1,1,1,1,1),(20,308,1,11,2,NULL,NULL,NULL,NULL),(20,308,1,11,3,NULL,1,NULL,NULL),(20,308,1,11,4,NULL,2,NULL,NULL),(20,308,1,11,5,NULL,2,NULL,1),(20,308,1,11,6,2,2,1,1),(20,308,1,11,7,1,NULL,1,NULL),(20,308,1,11,8,1,NULL,NULL,NULL),(20,308,1,11,9,2,NULL,1,NULL),(20,308,1,11,10,2,NULL,2,NULL),(20,308,1,11,11,NULL,NULL,NULL,NULL),(20,308,1,11,12,NULL,NULL,NULL,NULL),(20,308,1,11,13,1,2,1,1),(20,308,1,11,14,1,2,1,NULL),(20,308,1,11,15,1,NULL,1,NULL),(20,308,1,11,16,2,1,1,1),(20,308,1,11,17,1,3,1,1),(20,308,1,11,18,3,1,2,NULL),(20,308,1,11,19,2,2,1,1),(20,308,1,11,20,2,2,2,NULL),(20,308,1,11,21,NULL,NULL,NULL,NULL),(20,308,1,11,22,NULL,1,NULL,1),(20,308,1,11,23,NULL,3,NULL,2),(20,308,1,11,24,1,NULL,NULL,NULL),(20,308,1,11,25,NULL,2,NULL,2),(20,308,1,11,26,NULL,NULL,NULL,NULL),(20,308,1,11,27,NULL,1,NULL,1),(20,308,1,11,28,NULL,1,NULL,1),(20,308,1,11,29,1,1,NULL,1),(20,308,1,11,30,NULL,2,NULL,1),(20,308,1,11,31,NULL,NULL,NULL,NULL),(20,308,1,11,32,NULL,2,NULL,1),(20,308,1,11,33,NULL,1,NULL,NULL),(20,308,1,11,34,NULL,NULL,NULL,NULL),(20,308,1,11,35,1,1,NULL,NULL),(20,308,1,11,36,NULL,NULL,NULL,NULL),(20,308,1,11,37,2,NULL,1,NULL),(20,308,1,11,38,NULL,NULL,NULL,NULL),(20,308,1,11,39,1,2,1,1),(20,308,1,11,40,1,NULL,1,NULL),(20,308,1,12,1,NULL,NULL,NULL,NULL),(20,308,1,12,2,NULL,NULL,NULL,NULL),(20,308,1,12,3,NULL,NULL,NULL,NULL),(20,308,1,12,4,NULL,NULL,NULL,NULL),(20,308,1,12,5,NULL,NULL,NULL,NULL),(20,308,1,12,6,NULL,NULL,NULL,NULL),(20,308,1,12,7,NULL,NULL,NULL,NULL),(20,308,1,12,8,NULL,NULL,NULL,NULL),(20,308,1,12,9,NULL,NULL,NULL,NULL),(20,308,1,12,10,NULL,NULL,NULL,NULL),(20,308,1,12,11,NULL,NULL,NULL,NULL),(20,308,1,12,12,NULL,NULL,NULL,NULL),(20,308,1,12,13,NULL,NULL,NULL,NULL),(20,308,1,12,14,NULL,NULL,NULL,NULL),(20,308,1,12,15,NULL,NULL,NULL,NULL),(20,308,1,12,16,NULL,NULL,NULL,NULL),(20,308,1,12,17,NULL,NULL,NULL,NULL),(20,308,1,12,18,NULL,NULL,NULL,NULL),(20,308,1,12,19,NULL,NULL,NULL,NULL),(20,308,1,12,20,NULL,NULL,NULL,NULL),(20,308,1,12,21,NULL,NULL,NULL,NULL),(20,308,1,12,22,NULL,NULL,NULL,NULL),(20,308,1,12,23,NULL,NULL,NULL,NULL),(20,308,1,12,24,NULL,NULL,NULL,NULL),(20,308,1,12,25,NULL,NULL,NULL,NULL),(20,308,1,12,26,NULL,NULL,NULL,NULL),(20,308,1,12,27,NULL,NULL,NULL,NULL),(20,308,1,12,28,NULL,NULL,NULL,NULL),(20,308,1,12,29,NULL,NULL,NULL,NULL),(20,308,1,12,30,NULL,NULL,NULL,NULL),(20,308,1,12,31,NULL,NULL,NULL,NULL),(20,308,1,12,32,NULL,NULL,NULL,NULL),(20,308,1,12,33,NULL,NULL,NULL,NULL),(20,308,1,12,34,NULL,NULL,NULL,NULL),(20,308,1,12,35,NULL,NULL,NULL,NULL),(20,308,1,12,36,NULL,NULL,NULL,NULL),(20,308,1,12,37,NULL,NULL,NULL,NULL),(20,308,1,12,38,NULL,NULL,NULL,NULL),(20,308,1,12,39,NULL,NULL,NULL,NULL),(20,308,1,12,40,NULL,NULL,NULL,NULL),(20,308,1,13,1,NULL,NULL,NULL,NULL),(20,308,1,13,2,NULL,NULL,NULL,NULL),(20,308,1,13,3,NULL,NULL,NULL,NULL),(20,308,1,13,4,NULL,NULL,NULL,NULL),(20,308,1,13,5,NULL,NULL,NULL,NULL),(20,308,1,13,6,NULL,NULL,NULL,NULL),(20,308,1,13,7,NULL,NULL,NULL,NULL),(20,308,1,13,8,NULL,NULL,NULL,NULL),(20,308,1,13,9,NULL,NULL,NULL,NULL),(20,308,1,13,10,1,NULL,NULL,NULL),(20,308,1,13,11,NULL,1,NULL,NULL),(20,308,1,13,12,NULL,NULL,NULL,NULL),(20,308,1,13,13,1,NULL,NULL,NULL),(20,308,1,13,14,NULL,NULL,NULL,NULL),(20,308,1,13,15,NULL,NULL,NULL,NULL),(20,308,1,13,16,1,NULL,NULL,NULL),(20,308,1,13,17,NULL,1,NULL,NULL),(20,308,1,13,18,1,NULL,NULL,NULL),(20,308,1,13,19,NULL,NULL,NULL,NULL),(20,308,1,13,20,NULL,NULL,NULL,NULL),(20,308,1,13,21,NULL,NULL,NULL,NULL),(20,308,1,13,22,NULL,NULL,NULL,NULL),(20,308,1,13,23,NULL,NULL,NULL,NULL),(20,308,1,13,24,NULL,NULL,NULL,NULL),(20,308,1,13,25,NULL,NULL,NULL,NULL),(20,308,1,13,26,NULL,NULL,NULL,NULL),(20,308,1,13,27,NULL,NULL,NULL,NULL),(20,308,1,13,28,NULL,NULL,NULL,NULL),(20,308,1,13,29,NULL,NULL,NULL,NULL),(20,308,1,13,30,NULL,NULL,NULL,NULL),(20,308,1,13,31,NULL,NULL,NULL,NULL),(20,308,1,13,32,NULL,NULL,NULL,NULL),(20,308,1,13,33,NULL,NULL,NULL,NULL),(20,308,1,13,34,NULL,NULL,NULL,NULL),(20,308,1,13,35,NULL,NULL,NULL,NULL),(20,308,1,13,36,NULL,NULL,NULL,NULL),(20,308,1,13,37,NULL,NULL,NULL,NULL),(20,308,1,13,38,NULL,NULL,NULL,NULL),(20,308,1,13,39,NULL,NULL,NULL,NULL),(20,308,1,13,40,NULL,NULL,NULL,NULL),(20,308,1,14,1,1,4,1,3),(20,308,1,14,2,1,3,NULL,NULL),(20,308,1,14,3,1,2,1,2),(20,308,1,14,4,1,7,1,3),(20,308,1,14,5,3,6,3,2),(20,308,1,14,6,3,8,3,3),(20,308,1,14,7,2,NULL,2,NULL),(20,308,1,14,8,4,4,2,NULL),(20,308,1,14,9,3,6,2,4),(20,308,1,14,10,6,2,4,NULL),(20,308,1,14,11,2,6,1,4),(20,308,1,14,12,3,3,2,1),(20,308,1,14,13,5,5,2,2),(20,308,1,14,14,4,6,2,2),(20,308,1,14,15,3,4,1,1),(20,308,1,14,16,7,7,3,2),(20,308,1,14,17,2,7,1,2),(20,308,1,14,18,4,4,2,1),(20,308,1,14,19,1,1,1,1),(20,308,1,14,20,3,2,1,1),(20,308,1,14,21,2,5,1,1),(20,308,1,14,22,NULL,2,NULL,2),(20,308,1,14,23,3,7,1,1),(20,308,1,14,24,1,3,1,1),(20,308,1,14,25,2,3,2,2),(20,308,1,14,26,2,NULL,1,NULL),(20,308,1,14,27,6,5,5,1),(20,308,1,14,28,1,3,NULL,2),(20,308,1,14,29,NULL,3,NULL,NULL),(20,308,1,14,30,3,3,2,1),(20,308,1,14,31,2,4,1,2),(20,308,1,14,32,1,4,NULL,2),(20,308,1,14,33,1,2,1,1),(20,308,1,14,34,2,2,2,2),(20,308,1,14,35,1,8,1,5),(20,308,1,14,36,NULL,7,NULL,6),(20,308,1,14,37,3,1,2,1),(20,308,1,14,38,NULL,1,NULL,1),(20,308,1,14,39,7,6,3,2),(20,308,1,14,40,3,5,2,1),(20,308,1,15,1,3,3,3,2),(20,308,1,15,2,1,3,1,2),(20,308,1,15,3,2,5,1,5),(20,308,1,15,4,NULL,7,NULL,5),(20,308,1,15,5,1,4,1,2),(20,308,1,15,6,4,9,3,8),(20,308,1,15,7,2,6,2,3),(20,308,1,15,8,7,4,6,4),(20,308,1,15,9,4,9,2,8),(20,308,1,15,10,2,6,2,5),(20,308,1,15,11,2,4,1,3),(20,308,1,15,12,3,5,3,4),(20,308,1,15,13,3,9,3,7),(20,308,1,15,14,7,5,3,2),(20,308,1,15,15,4,7,3,5),(20,308,1,15,16,2,4,2,4),(20,308,1,15,17,3,12,2,9),(20,308,1,15,18,5,5,4,4),(20,308,1,15,19,6,1,5,1),(20,308,1,15,20,6,5,3,5),(20,308,1,15,21,NULL,6,NULL,4),(20,308,1,15,22,3,5,3,4),(20,308,1,15,23,1,11,NULL,10),(20,308,1,15,24,NULL,4,NULL,4),(20,308,1,15,25,1,8,NULL,6),(20,308,1,15,26,1,NULL,1,NULL),(20,308,1,15,27,2,6,NULL,5),(20,308,1,15,28,1,3,NULL,3),(20,308,1,15,29,1,2,1,NULL),(20,308,1,15,30,NULL,4,NULL,3),(20,308,1,15,31,1,6,1,5),(20,308,1,15,32,5,2,5,1),(20,308,1,15,33,2,1,2,NULL),(20,308,1,15,34,NULL,3,NULL,2),(20,308,1,15,35,3,6,3,3),(20,308,1,15,36,4,6,4,3),(20,308,1,15,37,5,4,5,3),(20,308,1,15,38,NULL,3,NULL,3),(20,308,1,15,39,9,5,8,3),(20,308,1,15,40,1,3,1,1),(20,308,1,16,1,5,9,2,7),(20,308,1,16,2,5,7,2,5),(20,308,1,16,3,3,13,2,8),(20,308,1,16,4,4,17,1,8),(20,308,1,16,5,1,21,1,13),(20,308,1,16,6,13,21,8,12),(20,308,1,16,7,3,15,1,9),(20,308,1,16,8,15,14,12,7),(20,308,1,16,9,10,15,5,9),(20,308,1,16,10,2,10,2,6),(20,308,1,16,11,1,5,1,3),(20,308,1,16,12,6,10,5,6),(20,308,1,16,13,9,15,3,7),(20,308,1,16,14,2,9,2,4),(20,308,1,16,15,10,7,8,4),(20,308,1,16,16,3,18,NULL,9),(20,308,1,16,17,21,22,12,11),(20,308,1,16,18,NULL,14,NULL,7),(20,308,1,16,19,14,28,7,14),(20,308,1,16,20,1,5,1,1),(20,308,1,16,21,3,16,NULL,6),(20,308,1,16,22,2,7,1,5),(20,308,1,16,23,1,28,NULL,17),(20,308,1,16,24,2,10,2,5),(20,308,1,16,25,NULL,8,NULL,5),(20,308,1,16,26,1,NULL,1,NULL),(20,308,1,16,27,5,9,1,6),(20,308,1,16,28,NULL,7,NULL,2),(20,308,1,16,29,5,12,3,5),(20,308,1,16,30,2,15,2,7),(20,308,1,16,31,5,17,2,9),(20,308,1,16,32,4,6,2,1),(20,308,1,16,33,2,2,1,NULL),(20,308,1,16,34,1,3,1,2),(20,308,1,16,35,6,11,3,7),(20,308,1,16,36,2,10,1,6),(20,308,1,16,37,8,9,4,5),(20,308,1,16,38,4,4,4,1),(20,308,1,16,39,13,13,8,7),(20,308,1,16,40,6,5,5,4),(20,308,1,17,1,9,11,8,6),(20,308,1,17,2,7,5,5,3),(20,308,1,17,3,1,7,NULL,6),(20,308,1,17,4,4,14,1,10),(20,308,1,17,5,9,15,5,10),(20,308,1,17,6,11,18,5,11),(20,308,1,17,7,1,8,NULL,4),(20,308,1,17,8,18,9,11,7),(20,308,1,17,9,9,24,6,15),(20,308,1,17,10,6,9,3,6),(20,308,1,17,11,1,4,1,3),(20,308,1,17,12,3,3,2,1),(20,308,1,17,13,7,19,6,10),(20,308,1,17,14,6,8,4,4),(20,308,1,17,15,12,4,9,NULL),(20,308,1,17,16,3,15,1,8),(20,308,1,17,17,17,23,11,15),(20,308,1,17,18,1,10,NULL,4),(20,308,1,17,19,23,20,14,8),(20,308,1,17,20,5,8,3,5),(20,308,1,17,21,3,7,2,4),(20,308,1,17,22,3,7,2,3),(20,308,1,17,23,NULL,10,NULL,8),(20,308,1,17,24,2,9,NULL,4),(20,308,1,17,25,1,6,1,3),(20,308,1,17,26,1,NULL,1,NULL),(20,308,1,17,27,4,9,2,4),(20,308,1,17,28,NULL,2,NULL,1),(20,308,1,17,29,6,10,5,3),(20,308,1,17,30,1,4,1,2),(20,308,1,17,31,8,14,5,6),(20,308,1,17,32,6,8,2,5),(20,308,1,17,33,2,4,2,3),(20,308,1,17,34,2,3,2,3),(20,308,1,17,35,8,16,4,8),(20,308,1,17,36,8,15,6,11),(20,308,1,17,37,10,8,9,5),(20,308,1,17,38,2,7,2,3),(20,308,1,17,39,13,16,8,11),(20,308,1,17,40,6,4,5,3),(20,308,2,21,1,6,14,4,9),(20,308,2,21,2,NULL,5,NULL,3),(20,308,2,21,3,1,10,1,3),(20,308,2,21,4,6,8,2,7),(20,308,2,21,5,1,6,1,5),(20,308,2,21,6,4,4,1,4),(20,308,2,21,7,2,13,1,8),(20,308,2,21,8,1,NULL,1,NULL),(20,308,2,21,9,7,17,3,7),(20,308,2,21,10,NULL,14,NULL,10),(20,308,2,21,11,6,5,4,3),(20,308,2,21,12,1,4,NULL,2),(20,308,2,21,13,11,11,7,6),(20,308,2,21,14,17,18,7,9),(20,308,2,21,15,10,8,5,5),(20,308,2,21,16,18,10,8,6),(20,308,2,21,17,1,13,NULL,4),(20,308,2,21,18,NULL,7,NULL,3),(20,308,2,21,19,1,12,NULL,6),(20,308,2,21,20,NULL,7,NULL,4),(20,308,2,21,21,NULL,2,NULL,NULL),(20,308,2,21,22,NULL,15,NULL,5),(20,308,2,21,23,1,4,NULL,1),(20,308,2,21,24,NULL,6,NULL,3),(20,308,2,21,25,2,10,1,6),(20,308,2,21,26,NULL,2,NULL,NULL),(20,308,2,21,27,1,2,1,1),(20,308,2,21,28,2,5,1,3),(20,308,2,21,29,1,5,1,3),(20,308,2,21,30,3,4,2,3),(20,308,2,21,31,2,8,1,3),(20,308,2,21,32,2,9,1,6),(20,308,2,21,33,3,16,NULL,7),(20,308,2,21,34,2,9,1,3),(20,308,2,21,35,1,4,1,2),(20,308,2,21,36,3,11,3,6),(20,308,2,21,37,5,9,2,6),(20,308,2,21,38,NULL,4,NULL,NULL),(20,308,2,21,39,1,6,1,1),(20,308,2,21,40,3,7,1,4),(20,308,2,22,1,3,7,1,5),(20,308,2,22,2,NULL,5,NULL,3),(20,308,2,22,3,2,11,1,7),(20,308,2,22,4,4,4,3,2),(20,308,2,22,5,2,5,2,3),(20,308,2,22,6,8,6,7,5),(20,308,2,22,7,2,6,1,3),(20,308,2,22,8,2,NULL,1,NULL),(20,308,2,22,9,8,19,4,11),(20,308,2,22,10,NULL,8,NULL,5),(20,308,2,22,11,5,6,5,1),(20,308,2,22,12,2,6,2,5),(20,308,2,22,13,8,20,6,11),(20,308,2,22,14,12,16,7,8),(20,308,2,22,15,10,8,9,5),(20,308,2,22,16,12,7,10,3),(20,308,2,22,17,1,5,1,3),(20,308,2,22,18,2,7,2,5),(20,308,2,22,19,8,9,5,8),(20,308,2,22,20,5,5,4,3),(20,308,2,22,21,NULL,1,NULL,NULL),(20,308,2,22,22,4,7,2,4),(20,308,2,22,23,NULL,4,NULL,1),(20,308,2,22,24,NULL,4,NULL,2),(20,308,2,22,25,NULL,12,NULL,9),(20,308,2,22,26,NULL,6,NULL,2),(20,308,2,22,27,NULL,1,NULL,1),(20,308,2,22,28,3,8,2,3),(20,308,2,22,29,NULL,5,NULL,2),(20,308,2,22,30,5,4,5,1),(20,308,2,22,31,1,4,1,1),(20,308,2,22,32,NULL,12,NULL,8),(20,308,2,22,33,7,14,4,8),(20,308,2,22,34,2,5,2,4),(20,308,2,22,35,NULL,7,NULL,5),(20,308,2,22,36,1,13,1,8),(20,308,2,22,37,2,6,1,3),(20,308,2,22,38,1,5,1,4),(20,308,2,22,39,1,4,1,3),(20,308,2,22,40,NULL,11,NULL,7),(20,308,2,23,1,4,8,3,7),(20,308,2,23,2,NULL,5,NULL,2),(20,308,2,23,3,4,12,2,9),(20,308,2,23,4,1,12,1,8),(20,308,2,23,5,2,7,1,5),(20,308,2,23,6,4,8,4,4),(20,308,2,23,7,2,9,2,6),(20,308,2,23,8,3,NULL,3,NULL),(20,308,2,23,9,7,18,3,11),(20,308,2,23,10,1,10,NULL,7),(20,308,2,23,11,3,5,3,1),(20,308,2,23,12,3,11,1,8),(20,308,2,23,13,12,15,9,9),(20,308,2,23,14,13,20,9,12),(20,308,2,23,15,8,10,5,6),(20,308,2,23,16,16,12,11,5),(20,308,2,23,17,2,5,2,3),(20,308,2,23,18,2,7,NULL,3),(20,308,2,23,19,NULL,8,NULL,5),(20,308,2,23,20,5,7,4,5),(20,308,2,23,21,1,1,1,1),(20,308,2,23,22,1,16,1,7),(20,308,2,23,23,1,1,1,1),(20,308,2,23,24,NULL,2,NULL,2),(20,308,2,23,25,2,8,1,5),(20,308,2,23,26,3,4,2,3),(20,308,2,23,27,NULL,1,NULL,NULL),(20,308,2,23,28,2,11,2,7),(20,308,2,23,29,NULL,NULL,NULL,NULL),(20,308,2,23,30,5,2,3,2),(20,308,2,23,31,NULL,3,NULL,2),(20,308,2,23,32,2,5,2,2),(20,308,2,23,33,3,18,2,9),(20,308,2,23,34,6,5,6,3),(20,308,2,23,35,1,10,NULL,6),(20,308,2,23,36,2,12,1,7),(20,308,2,23,37,NULL,7,NULL,3),(20,308,2,23,38,2,5,1,2),(20,308,2,23,39,1,2,1,2),(20,308,2,23,40,3,8,3,5),(20,308,2,24,1,1,8,1,3),(20,308,2,24,2,NULL,4,NULL,NULL),(20,308,2,24,3,2,14,1,8),(20,308,2,24,4,3,11,2,6),(20,308,2,24,5,2,3,2,1),(20,308,2,24,6,4,5,2,4),(20,308,2,24,7,NULL,4,NULL,3),(20,308,2,24,8,3,NULL,1,NULL),(20,308,2,24,9,6,15,3,10),(20,308,2,24,10,4,9,2,5),(20,308,2,24,11,4,6,3,3),(20,308,2,24,12,NULL,8,NULL,3),(20,308,2,24,13,10,15,5,8),(20,308,2,24,14,13,17,7,9),(20,308,2,24,15,6,13,6,5),(20,308,2,24,16,17,5,7,2),(20,308,2,24,17,5,2,2,1),(20,308,2,24,18,1,8,1,3),(20,308,2,24,19,5,11,4,7),(20,308,2,24,20,1,12,1,10),(20,308,2,24,21,NULL,3,NULL,1),(20,308,2,24,22,2,8,2,4),(20,308,2,24,23,NULL,NULL,NULL,NULL),(20,308,2,24,24,NULL,3,NULL,1),(20,308,2,24,25,1,8,1,3),(20,308,2,24,26,3,6,2,1),(20,308,2,24,27,NULL,3,NULL,2),(20,308,2,24,28,5,9,5,3),(20,308,2,24,29,NULL,6,NULL,3),(20,308,2,24,30,2,6,1,4),(20,308,2,24,31,NULL,4,NULL,3),(20,308,2,24,32,NULL,9,NULL,7),(20,308,2,24,33,2,19,2,9),(20,308,2,24,34,NULL,10,NULL,7),(20,308,2,24,35,1,6,1,3),(20,308,2,24,36,1,12,1,6),(20,308,2,24,37,5,7,3,3),(20,308,2,24,38,NULL,6,NULL,3),(20,308,2,24,39,NULL,4,NULL,4),(20,308,2,24,40,1,8,1,6),(20,309,1,11,1,NULL,NULL,NULL,NULL),(20,309,1,11,2,NULL,NULL,NULL,NULL),(20,309,1,11,3,NULL,NULL,NULL,NULL),(20,309,1,11,4,NULL,NULL,NULL,NULL),(20,309,1,11,5,NULL,NULL,NULL,NULL),(20,309,1,11,6,NULL,NULL,NULL,NULL),(20,309,1,11,7,NULL,NULL,NULL,NULL),(20,309,1,11,8,NULL,NULL,NULL,NULL),(20,309,1,11,9,NULL,NULL,NULL,NULL),(20,309,1,11,10,NULL,NULL,NULL,NULL),(20,309,1,11,11,NULL,NULL,NULL,NULL),(20,309,1,11,12,NULL,NULL,NULL,NULL),(20,309,1,11,13,NULL,NULL,NULL,NULL),(20,309,1,11,14,NULL,NULL,NULL,NULL),(20,309,1,11,15,NULL,NULL,NULL,NULL),(20,309,1,11,16,NULL,NULL,NULL,NULL),(20,309,1,11,17,NULL,NULL,NULL,NULL),(20,309,1,11,18,NULL,NULL,NULL,NULL),(20,309,1,11,19,NULL,NULL,NULL,NULL),(20,309,1,11,20,NULL,NULL,NULL,NULL),(20,309,1,11,21,NULL,NULL,NULL,NULL),(20,309,1,11,22,NULL,NULL,NULL,NULL),(20,309,1,11,23,NULL,NULL,NULL,NULL),(20,309,1,11,24,NULL,NULL,NULL,NULL),(20,309,1,11,25,NULL,NULL,NULL,NULL),(20,309,1,11,26,NULL,NULL,NULL,NULL),(20,309,1,11,27,NULL,NULL,NULL,NULL),(20,309,1,11,28,NULL,NULL,NULL,NULL),(20,309,1,11,29,NULL,NULL,NULL,NULL),(20,309,1,11,30,NULL,NULL,NULL,NULL),(20,309,1,11,31,NULL,NULL,NULL,NULL),(20,309,1,11,32,NULL,NULL,NULL,NULL),(20,309,1,11,33,NULL,NULL,NULL,NULL),(20,309,1,11,34,NULL,NULL,NULL,NULL),(20,309,1,11,35,NULL,NULL,NULL,NULL),(20,309,1,11,36,NULL,NULL,NULL,NULL),(20,309,1,11,37,NULL,NULL,NULL,NULL),(20,309,1,11,38,NULL,NULL,NULL,NULL),(20,309,1,11,39,NULL,NULL,NULL,NULL),(20,309,1,11,40,NULL,NULL,NULL,NULL),(20,309,1,12,1,NULL,NULL,NULL,NULL),(20,309,1,12,2,NULL,NULL,NULL,NULL),(20,309,1,12,3,NULL,NULL,NULL,NULL),(20,309,1,12,4,NULL,NULL,NULL,NULL),(20,309,1,12,5,NULL,NULL,NULL,NULL),(20,309,1,12,6,NULL,NULL,NULL,NULL),(20,309,1,12,7,NULL,NULL,NULL,NULL),(20,309,1,12,8,NULL,NULL,NULL,NULL),(20,309,1,12,9,NULL,NULL,NULL,NULL),(20,309,1,12,10,NULL,NULL,NULL,NULL),(20,309,1,12,11,NULL,NULL,NULL,NULL),(20,309,1,12,12,NULL,NULL,NULL,NULL),(20,309,1,12,13,NULL,NULL,NULL,NULL),(20,309,1,12,14,NULL,NULL,NULL,NULL),(20,309,1,12,15,NULL,NULL,NULL,NULL),(20,309,1,12,16,NULL,NULL,NULL,NULL),(20,309,1,12,17,NULL,NULL,NULL,NULL),(20,309,1,12,18,NULL,NULL,NULL,NULL),(20,309,1,12,19,NULL,NULL,NULL,NULL),(20,309,1,12,20,NULL,NULL,NULL,NULL),(20,309,1,12,21,NULL,NULL,NULL,NULL),(20,309,1,12,22,NULL,NULL,NULL,NULL),(20,309,1,12,23,NULL,NULL,NULL,NULL),(20,309,1,12,24,NULL,NULL,NULL,NULL),(20,309,1,12,25,NULL,NULL,NULL,NULL),(20,309,1,12,26,NULL,NULL,NULL,NULL),(20,309,1,12,27,NULL,NULL,NULL,NULL),(20,309,1,12,28,NULL,NULL,NULL,NULL),(20,309,1,12,29,NULL,NULL,NULL,NULL),(20,309,1,12,30,NULL,NULL,NULL,NULL),(20,309,1,12,31,NULL,NULL,NULL,NULL),(20,309,1,12,32,NULL,NULL,NULL,NULL),(20,309,1,12,33,NULL,NULL,NULL,NULL),(20,309,1,12,34,NULL,NULL,NULL,NULL),(20,309,1,12,35,NULL,NULL,NULL,NULL),(20,309,1,12,36,NULL,NULL,NULL,NULL),(20,309,1,12,37,NULL,NULL,NULL,NULL),(20,309,1,12,38,NULL,NULL,NULL,NULL),(20,309,1,12,39,NULL,NULL,NULL,NULL),(20,309,1,12,40,NULL,NULL,NULL,NULL),(20,309,1,13,1,NULL,NULL,NULL,NULL),(20,309,1,13,2,NULL,NULL,NULL,NULL),(20,309,1,13,3,NULL,NULL,NULL,NULL),(20,309,1,13,4,NULL,1,NULL,1),(20,309,1,13,5,NULL,1,NULL,1),(20,309,1,13,6,NULL,NULL,NULL,NULL),(20,309,1,13,7,NULL,1,NULL,1),(20,309,1,13,8,NULL,NULL,NULL,NULL),(20,309,1,13,9,1,NULL,1,NULL),(20,309,1,13,10,NULL,1,NULL,1),(20,309,1,13,11,NULL,NULL,NULL,NULL),(20,309,1,13,12,NULL,NULL,NULL,NULL),(20,309,1,13,13,1,NULL,1,NULL),(20,309,1,13,14,NULL,NULL,NULL,NULL),(20,309,1,13,15,1,NULL,1,NULL),(20,309,1,13,16,1,NULL,1,NULL),(20,309,1,13,17,1,NULL,1,NULL),(20,309,1,13,18,NULL,NULL,NULL,NULL),(20,309,1,13,19,1,NULL,1,NULL),(20,309,1,13,20,NULL,1,NULL,1),(20,309,1,13,21,NULL,NULL,NULL,NULL),(20,309,1,13,22,NULL,NULL,NULL,NULL),(20,309,1,13,23,NULL,1,NULL,1),(20,309,1,13,24,NULL,NULL,NULL,NULL),(20,309,1,13,25,NULL,1,NULL,1),(20,309,1,13,26,NULL,NULL,NULL,NULL),(20,309,1,13,27,NULL,NULL,NULL,NULL),(20,309,1,13,28,NULL,NULL,NULL,NULL),(20,309,1,13,29,NULL,NULL,NULL,NULL),(20,309,1,13,30,NULL,NULL,NULL,NULL),(20,309,1,13,31,NULL,1,NULL,1),(20,309,1,13,32,NULL,NULL,NULL,NULL),(20,309,1,13,33,NULL,1,NULL,1),(20,309,1,13,34,NULL,NULL,NULL,NULL),(20,309,1,13,35,NULL,NULL,NULL,NULL),(20,309,1,13,36,NULL,NULL,NULL,NULL),(20,309,1,13,37,1,NULL,1,NULL),(20,309,1,13,38,NULL,1,NULL,1),(20,309,1,13,39,NULL,1,NULL,1),(20,309,1,13,40,NULL,NULL,NULL,NULL),(20,309,1,14,1,1,2,NULL,NULL),(20,309,1,14,2,1,2,1,2),(20,309,1,14,3,2,4,1,2),(20,309,1,14,4,NULL,7,NULL,4),(20,309,1,14,5,3,2,3,1),(20,309,1,14,6,5,4,2,3),(20,309,1,14,7,3,3,3,2),(20,309,1,14,8,5,2,4,2),(20,309,1,14,9,2,6,1,3),(20,309,1,14,10,4,1,3,1),(20,309,1,14,11,NULL,1,NULL,1),(20,309,1,14,12,3,1,1,1),(20,309,1,14,13,2,4,2,3),(20,309,1,14,14,6,4,3,4),(20,309,1,14,15,1,2,1,2),(20,309,1,14,16,3,4,2,3),(20,309,1,14,17,NULL,8,NULL,4),(20,309,1,14,18,3,1,2,1),(20,309,1,14,19,1,1,1,NULL),(20,309,1,14,20,3,2,2,2),(20,309,1,14,21,NULL,2,NULL,1),(20,309,1,14,22,NULL,1,NULL,1),(20,309,1,14,23,NULL,5,NULL,3),(20,309,1,14,24,1,1,NULL,1),(20,309,1,14,25,NULL,5,NULL,3),(20,309,1,14,26,1,NULL,1,NULL),(20,309,1,14,27,NULL,3,NULL,2),(20,309,1,14,28,NULL,3,NULL,3),(20,309,1,14,29,NULL,1,NULL,1),(20,309,1,14,30,2,5,2,4),(20,309,1,14,31,NULL,4,NULL,4),(20,309,1,14,32,3,2,2,1),(20,309,1,14,33,NULL,3,NULL,2),(20,309,1,14,34,NULL,2,NULL,NULL),(20,309,1,14,35,1,3,1,2),(20,309,1,14,36,2,2,2,1),(20,309,1,14,37,2,5,2,4),(20,309,1,14,38,3,NULL,3,NULL),(20,309,1,14,39,2,6,NULL,5),(20,309,1,14,40,5,2,4,1),(20,309,1,15,1,NULL,1,NULL,NULL),(20,309,1,15,2,NULL,2,NULL,1),(20,309,1,15,3,NULL,1,NULL,1),(20,309,1,15,4,1,1,NULL,1),(20,309,1,15,5,NULL,NULL,NULL,NULL),(20,309,1,15,6,2,3,NULL,NULL),(20,309,1,15,7,NULL,1,NULL,1),(20,309,1,15,8,1,1,NULL,NULL),(20,309,1,15,9,1,1,NULL,1),(20,309,1,15,10,NULL,1,NULL,NULL),(20,309,1,15,11,NULL,NULL,NULL,NULL),(20,309,1,15,12,NULL,2,NULL,1),(20,309,1,15,13,3,NULL,1,NULL),(20,309,1,15,14,2,4,1,2),(20,309,1,15,15,NULL,3,NULL,2),(20,309,1,15,16,1,1,1,NULL),(20,309,1,15,17,NULL,4,NULL,1),(20,309,1,15,18,2,1,NULL,1),(20,309,1,15,19,NULL,NULL,NULL,NULL),(20,309,1,15,20,2,2,NULL,1),(20,309,1,15,21,NULL,NULL,NULL,NULL),(20,309,1,15,22,NULL,1,NULL,1),(20,309,1,15,23,NULL,2,NULL,2),(20,309,1,15,24,NULL,2,NULL,1),(20,309,1,15,25,1,NULL,NULL,NULL),(20,309,1,15,26,NULL,NULL,NULL,NULL),(20,309,1,15,27,NULL,2,NULL,1),(20,309,1,15,28,1,NULL,1,NULL),(20,309,1,15,29,NULL,2,NULL,NULL),(20,309,1,15,30,NULL,NULL,NULL,NULL),(20,309,1,15,31,NULL,2,NULL,1),(20,309,1,15,32,NULL,NULL,NULL,NULL),(20,309,1,15,33,1,NULL,1,NULL),(20,309,1,15,34,NULL,1,NULL,NULL),(20,309,1,15,35,NULL,4,NULL,2),(20,309,1,15,36,NULL,3,NULL,1),(20,309,1,15,37,NULL,3,NULL,1),(20,309,1,15,38,NULL,NULL,NULL,NULL),(20,309,1,15,39,3,NULL,2,NULL),(20,309,1,15,40,NULL,NULL,NULL,NULL),(20,309,1,16,1,1,7,1,3),(20,309,1,16,2,NULL,5,NULL,3),(20,309,1,16,3,2,4,1,1),(20,309,1,16,4,2,7,NULL,4),(20,309,1,16,5,4,5,2,4),(20,309,1,16,6,7,6,6,3),(20,309,1,16,7,1,5,1,3),(20,309,1,16,8,11,5,6,3),(20,309,1,16,9,2,12,1,7),(20,309,1,16,10,1,5,NULL,3),(20,309,1,16,11,1,3,NULL,NULL),(20,309,1,16,12,4,8,3,4),(20,309,1,16,13,9,7,6,5),(20,309,1,16,14,2,2,1,1),(20,309,1,16,15,5,2,2,NULL),(20,309,1,16,16,1,8,1,3),(20,309,1,16,17,12,20,8,10),(20,309,1,16,18,1,2,1,1),(20,309,1,16,19,6,5,3,3),(20,309,1,16,20,3,7,1,4),(20,309,1,16,21,1,8,1,5),(20,309,1,16,22,2,3,NULL,1),(20,309,1,16,23,1,11,1,5),(20,309,1,16,24,2,5,1,1),(20,309,1,16,25,1,5,1,1),(20,309,1,16,26,4,NULL,1,NULL),(20,309,1,16,27,3,9,3,5),(20,309,1,16,28,NULL,3,NULL,1),(20,309,1,16,29,2,7,1,3),(20,309,1,16,30,NULL,3,NULL,2),(20,309,1,16,31,5,7,2,6),(20,309,1,16,32,3,7,1,6),(20,309,1,16,33,NULL,NULL,NULL,NULL),(20,309,1,16,34,2,2,1,1),(20,309,1,16,35,3,6,1,4),(20,309,1,16,36,4,3,3,2),(20,309,1,16,37,6,9,4,1),(20,309,1,16,38,3,1,2,1),(20,309,1,16,39,7,12,3,6),(20,309,1,16,40,3,6,3,2),(20,309,1,17,1,4,6,2,5),(20,309,1,17,2,2,7,2,5),(20,309,1,17,3,4,8,4,5),(20,309,1,17,4,5,9,3,5),(20,309,1,17,5,8,9,5,5),(20,309,1,17,6,14,10,8,7),(20,309,1,17,7,4,3,2,2),(20,309,1,17,8,11,4,8,4),(20,309,1,17,9,4,12,3,8),(20,309,1,17,10,5,4,4,4),(20,309,1,17,11,2,6,2,3),(20,309,1,17,12,3,2,1,2),(20,309,1,17,13,5,16,2,12),(20,309,1,17,14,2,6,1,4),(20,309,1,17,15,13,8,10,5),(20,309,1,17,16,NULL,8,NULL,5),(20,309,1,17,17,16,14,11,7),(20,309,1,17,18,2,4,2,3),(20,309,1,17,19,16,11,9,8),(20,309,1,17,20,2,5,NULL,4),(20,309,1,17,21,5,2,2,2),(20,309,1,17,22,3,2,2,2),(20,309,1,17,23,5,8,2,5),(20,309,1,17,24,3,7,2,4),(20,309,1,17,25,1,11,1,9),(20,309,1,17,26,NULL,NULL,NULL,NULL),(20,309,1,17,27,1,10,1,6),(20,309,1,17,28,1,2,1,2),(20,309,1,17,29,1,6,1,4),(20,309,1,17,30,NULL,7,NULL,4),(20,309,1,17,31,1,8,NULL,4),(20,309,1,17,32,6,4,3,2),(20,309,1,17,33,NULL,4,NULL,3),(20,309,1,17,34,NULL,5,NULL,4),(20,309,1,17,35,5,9,4,6),(20,309,1,17,36,1,9,1,9),(20,309,1,17,37,9,6,8,4),(20,309,1,17,38,1,2,NULL,1),(20,309,1,17,39,5,15,4,10),(20,309,1,17,40,1,6,1,5),(20,309,2,21,1,3,4,2,3),(20,309,2,21,2,NULL,2,NULL,2),(20,309,2,21,3,4,7,3,6),(20,309,2,21,4,2,6,2,5),(20,309,2,21,5,NULL,2,NULL,2),(20,309,2,21,6,4,2,4,2),(20,309,2,21,7,3,3,2,3),(20,309,2,21,8,1,NULL,1,NULL),(20,309,2,21,9,1,10,NULL,8),(20,309,2,21,10,NULL,10,NULL,9),(20,309,2,21,11,2,4,2,4),(20,309,2,21,12,NULL,5,NULL,5),(20,309,2,21,13,4,9,4,8),(20,309,2,21,14,5,10,3,10),(20,309,2,21,15,9,5,5,5),(20,309,2,21,16,11,5,7,5),(20,309,2,21,17,4,2,3,2),(20,309,2,21,18,NULL,3,NULL,2),(20,309,2,21,19,1,5,1,4),(20,309,2,21,20,NULL,3,NULL,3),(20,309,2,21,21,NULL,1,NULL,NULL),(20,309,2,21,22,NULL,5,NULL,4),(20,309,2,21,23,NULL,1,NULL,NULL),(20,309,2,21,24,1,NULL,1,NULL),(20,309,2,21,25,2,2,2,2),(20,309,2,21,26,NULL,1,NULL,1),(20,309,2,21,27,NULL,2,NULL,1),(20,309,2,21,28,2,5,1,4),(20,309,2,21,29,NULL,2,NULL,2),(20,309,2,21,30,NULL,1,NULL,1),(20,309,2,21,31,NULL,3,NULL,3),(20,309,2,21,32,1,NULL,NULL,NULL),(20,309,2,21,33,1,5,1,4),(20,309,2,21,34,1,1,1,NULL),(20,309,2,21,35,NULL,6,NULL,4),(20,309,2,21,36,4,5,4,4),(20,309,2,21,37,4,3,3,3),(20,309,2,21,38,1,1,1,1),(20,309,2,21,39,NULL,3,NULL,3),(20,309,2,21,40,NULL,4,NULL,2),(20,309,2,22,1,1,6,NULL,3),(20,309,2,22,2,NULL,2,NULL,1),(20,309,2,22,3,3,7,1,4),(20,309,2,22,4,4,8,2,6),(20,309,2,22,5,NULL,6,NULL,4),(20,309,2,22,6,2,7,2,6),(20,309,2,22,7,2,4,1,NULL),(20,309,2,22,8,3,NULL,1,NULL),(20,309,2,22,9,4,8,2,3),(20,309,2,22,10,1,11,NULL,6),(20,309,2,22,11,3,7,3,3),(20,309,2,22,12,1,8,NULL,4),(20,309,2,22,13,4,13,1,8),(20,309,2,22,14,7,18,1,11),(20,309,2,22,15,3,10,2,6),(20,309,2,22,16,8,8,5,3),(20,309,2,22,17,2,7,2,4),(20,309,2,22,18,NULL,6,NULL,3),(20,309,2,22,19,NULL,6,NULL,5),(20,309,2,22,20,2,5,NULL,5),(20,309,2,22,21,1,NULL,NULL,NULL),(20,309,2,22,22,NULL,9,NULL,5),(20,309,2,22,23,NULL,2,NULL,1),(20,309,2,22,24,NULL,4,NULL,4),(20,309,2,22,25,NULL,5,NULL,2),(20,309,2,22,26,1,1,1,NULL),(20,309,2,22,27,NULL,2,NULL,NULL),(20,309,2,22,28,3,3,2,3),(20,309,2,22,29,NULL,1,NULL,NULL),(20,309,2,22,30,NULL,6,NULL,4),(20,309,2,22,31,NULL,3,NULL,2),(20,309,2,22,32,3,5,NULL,2),(20,309,2,22,33,1,7,NULL,5),(20,309,2,22,34,1,5,NULL,3),(20,309,2,22,35,NULL,7,NULL,3),(20,309,2,22,36,1,8,1,4),(20,309,2,22,37,NULL,5,NULL,4),(20,309,2,22,38,NULL,4,NULL,3),(20,309,2,22,39,NULL,NULL,NULL,NULL),(20,309,2,22,40,2,5,1,3),(20,309,2,23,1,1,3,1,1),(20,309,2,23,2,2,1,NULL,NULL),(20,309,2,23,3,4,5,4,3),(20,309,2,23,4,1,3,NULL,2),(20,309,2,23,5,NULL,2,NULL,2),(20,309,2,23,6,1,3,NULL,1),(20,309,2,23,7,3,2,3,1),(20,309,2,23,8,1,NULL,NULL,NULL),(20,309,2,23,9,4,14,2,8),(20,309,2,23,10,NULL,3,NULL,1),(20,309,2,23,11,NULL,4,NULL,2),(20,309,2,23,12,NULL,4,NULL,1),(20,309,2,23,13,8,10,3,5),(20,309,2,23,14,7,11,4,5),(20,309,2,23,15,4,4,3,2),(20,309,2,23,16,7,8,4,5),(20,309,2,23,17,2,7,2,5),(20,309,2,23,18,2,4,1,1),(20,309,2,23,19,2,11,NULL,7),(20,309,2,23,20,3,6,2,5),(20,309,2,23,21,NULL,2,NULL,1),(20,309,2,23,22,NULL,8,NULL,5),(20,309,2,23,23,NULL,NULL,NULL,NULL),(20,309,2,23,24,1,1,NULL,1),(20,309,2,23,25,1,4,NULL,NULL),(20,309,2,23,26,1,1,NULL,NULL),(20,309,2,23,27,NULL,NULL,NULL,NULL),(20,309,2,23,28,2,5,1,3),(20,309,2,23,29,NULL,3,NULL,NULL),(20,309,2,23,30,2,NULL,2,NULL),(20,309,2,23,31,NULL,4,NULL,1),(20,309,2,23,32,NULL,7,NULL,7),(20,309,2,23,33,2,7,1,4),(20,309,2,23,34,2,7,2,6),(20,309,2,23,35,1,2,1,2),(20,309,2,23,36,2,5,1,4),(20,309,2,23,37,2,5,1,3),(20,309,2,23,38,2,2,2,1),(20,309,2,23,39,NULL,4,NULL,3),(20,309,2,23,40,2,3,2,2),(20,309,2,24,1,NULL,2,NULL,1),(20,309,2,24,2,NULL,1,NULL,NULL),(20,309,2,24,3,3,5,1,3),(20,309,2,24,4,1,4,NULL,2),(20,309,2,24,5,2,3,1,1),(20,309,2,24,6,3,5,1,2),(20,309,2,24,7,1,5,NULL,4),(20,309,2,24,8,NULL,NULL,NULL,NULL),(20,309,2,24,9,3,13,1,5),(20,309,2,24,10,1,5,NULL,3),(20,309,2,24,11,4,NULL,1,NULL),(20,309,2,24,12,NULL,1,NULL,NULL),(20,309,2,24,13,7,8,1,4),(20,309,2,24,14,8,8,5,2),(20,309,2,24,15,5,2,2,NULL),(20,309,2,24,16,8,5,4,1),(20,309,2,24,17,2,4,2,1),(20,309,2,24,18,NULL,2,NULL,1),(20,309,2,24,19,3,9,1,2),(20,309,2,24,20,1,6,1,5),(20,309,2,24,21,NULL,NULL,NULL,NULL),(20,309,2,24,22,2,3,1,3),(20,309,2,24,23,NULL,NULL,NULL,NULL),(20,309,2,24,24,NULL,NULL,NULL,NULL),(20,309,2,24,25,NULL,2,NULL,1),(20,309,2,24,26,1,1,1,NULL),(20,309,2,24,27,NULL,NULL,NULL,NULL),(20,309,2,24,28,2,3,1,1),(20,309,2,24,29,NULL,3,NULL,1),(20,309,2,24,30,NULL,2,NULL,NULL),(20,309,2,24,31,NULL,3,NULL,1),(20,309,2,24,32,3,3,2,2),(20,309,2,24,33,1,7,1,2),(20,309,2,24,34,1,2,1,2),(20,309,2,24,35,1,4,NULL,2),(20,309,2,24,36,1,9,1,5),(20,309,2,24,37,1,2,1,1),(20,309,2,24,38,NULL,3,NULL,2),(20,309,2,24,39,NULL,NULL,NULL,NULL),(20,309,2,24,40,1,4,NULL,3),(20,310,1,11,1,NULL,NULL,NULL,NULL),(20,310,1,11,2,NULL,NULL,NULL,NULL),(20,310,1,11,3,NULL,NULL,NULL,NULL),(20,310,1,11,4,NULL,NULL,NULL,NULL),(20,310,1,11,5,NULL,NULL,NULL,NULL),(20,310,1,11,6,NULL,NULL,NULL,NULL),(20,310,1,11,7,NULL,NULL,NULL,NULL),(20,310,1,11,8,NULL,NULL,NULL,NULL),(20,310,1,11,9,NULL,NULL,NULL,NULL),(20,310,1,11,10,NULL,NULL,NULL,NULL),(20,310,1,11,11,NULL,NULL,NULL,NULL),(20,310,1,11,12,NULL,NULL,NULL,NULL),(20,310,1,11,13,NULL,NULL,NULL,NULL),(20,310,1,11,14,NULL,NULL,NULL,NULL),(20,310,1,11,15,NULL,NULL,NULL,NULL),(20,310,1,11,16,NULL,NULL,NULL,NULL),(20,310,1,11,17,NULL,NULL,NULL,NULL),(20,310,1,11,18,NULL,NULL,NULL,NULL),(20,310,1,11,19,NULL,NULL,NULL,NULL),(20,310,1,11,20,NULL,NULL,NULL,NULL),(20,310,1,11,21,NULL,NULL,NULL,NULL),(20,310,1,11,22,NULL,NULL,NULL,NULL),(20,310,1,11,23,NULL,NULL,NULL,NULL),(20,310,1,11,24,NULL,NULL,NULL,NULL),(20,310,1,11,25,NULL,NULL,NULL,NULL),(20,310,1,11,26,NULL,NULL,NULL,NULL),(20,310,1,11,27,NULL,NULL,NULL,NULL),(20,310,1,11,28,NULL,NULL,NULL,NULL),(20,310,1,11,29,NULL,NULL,NULL,NULL),(20,310,1,11,30,NULL,NULL,NULL,NULL),(20,310,1,11,31,NULL,NULL,NULL,NULL),(20,310,1,11,32,NULL,NULL,NULL,NULL),(20,310,1,11,33,NULL,NULL,NULL,NULL),(20,310,1,11,34,NULL,NULL,NULL,NULL),(20,310,1,11,35,NULL,NULL,NULL,NULL),(20,310,1,11,36,NULL,NULL,NULL,NULL),(20,310,1,11,37,NULL,NULL,NULL,NULL),(20,310,1,11,38,NULL,NULL,NULL,NULL),(20,310,1,11,39,NULL,NULL,NULL,NULL),(20,310,1,11,40,NULL,NULL,NULL,NULL),(20,310,1,12,1,1,NULL,NULL,NULL),(20,310,1,12,2,NULL,NULL,NULL,NULL),(20,310,1,12,3,1,NULL,1,NULL),(20,310,1,12,4,NULL,NULL,NULL,NULL),(20,310,1,12,5,1,1,NULL,1),(20,310,1,12,6,1,1,NULL,1),(20,310,1,12,7,NULL,NULL,NULL,NULL),(20,310,1,12,8,1,NULL,1,NULL),(20,310,1,12,9,2,NULL,1,NULL),(20,310,1,12,10,1,NULL,1,NULL),(20,310,1,12,11,NULL,NULL,NULL,NULL),(20,310,1,12,12,NULL,1,NULL,1),(20,310,1,12,13,NULL,2,NULL,1),(20,310,1,12,14,NULL,1,NULL,1),(20,310,1,12,15,1,1,NULL,1),(20,310,1,12,16,2,NULL,1,NULL),(20,310,1,12,17,2,NULL,1,NULL),(20,310,1,12,18,1,1,NULL,1),(20,310,1,12,19,1,NULL,1,NULL),(20,310,1,12,20,NULL,2,NULL,1),(20,310,1,12,21,NULL,1,NULL,1),(20,310,1,12,22,NULL,NULL,NULL,NULL),(20,310,1,12,23,NULL,NULL,NULL,NULL),(20,310,1,12,24,NULL,NULL,NULL,NULL),(20,310,1,12,25,NULL,NULL,NULL,NULL),(20,310,1,12,26,NULL,NULL,NULL,NULL),(20,310,1,12,27,NULL,1,NULL,1),(20,310,1,12,28,NULL,NULL,NULL,NULL),(20,310,1,12,29,NULL,NULL,NULL,NULL),(20,310,1,12,30,NULL,NULL,NULL,NULL),(20,310,1,12,31,NULL,NULL,NULL,NULL),(20,310,1,12,32,NULL,NULL,NULL,NULL),(20,310,1,12,33,NULL,NULL,NULL,NULL),(20,310,1,12,34,NULL,NULL,NULL,NULL),(20,310,1,12,35,NULL,NULL,NULL,NULL),(20,310,1,12,36,1,1,NULL,1),(20,310,1,12,37,NULL,1,NULL,1),(20,310,1,12,38,NULL,NULL,NULL,NULL),(20,310,1,12,39,2,NULL,1,NULL),(20,310,1,12,40,NULL,NULL,NULL,NULL),(20,310,1,13,1,NULL,NULL,NULL,NULL),(20,310,1,13,2,NULL,NULL,NULL,NULL),(20,310,1,13,3,NULL,NULL,NULL,NULL),(20,310,1,13,4,NULL,NULL,NULL,NULL),(20,310,1,13,5,NULL,NULL,NULL,NULL),(20,310,1,13,6,NULL,NULL,NULL,NULL),(20,310,1,13,7,NULL,NULL,NULL,NULL),(20,310,1,13,8,NULL,1,NULL,NULL),(20,310,1,13,9,NULL,NULL,NULL,NULL),(20,310,1,13,10,NULL,NULL,NULL,NULL),(20,310,1,13,11,NULL,NULL,NULL,NULL),(20,310,1,13,12,NULL,NULL,NULL,NULL),(20,310,1,13,13,NULL,NULL,NULL,NULL),(20,310,1,13,14,NULL,NULL,NULL,NULL),(20,310,1,13,15,1,NULL,NULL,NULL),(20,310,1,13,16,NULL,1,NULL,NULL),(20,310,1,13,17,NULL,1,NULL,NULL),(20,310,1,13,18,NULL,1,NULL,NULL),(20,310,1,13,19,1,NULL,NULL,NULL),(20,310,1,13,20,NULL,NULL,NULL,NULL),(20,310,1,13,21,NULL,NULL,NULL,NULL),(20,310,1,13,22,NULL,NULL,NULL,NULL),(20,310,1,13,23,NULL,1,NULL,NULL),(20,310,1,13,24,NULL,1,NULL,NULL),(20,310,1,13,25,NULL,NULL,NULL,NULL),(20,310,1,13,26,NULL,NULL,NULL,NULL),(20,310,1,13,27,NULL,NULL,NULL,NULL),(20,310,1,13,28,NULL,NULL,NULL,NULL),(20,310,1,13,29,NULL,NULL,NULL,NULL),(20,310,1,13,30,NULL,1,NULL,NULL),(20,310,1,13,31,NULL,NULL,NULL,NULL),(20,310,1,13,32,NULL,NULL,NULL,NULL),(20,310,1,13,33,NULL,NULL,NULL,NULL),(20,310,1,13,34,NULL,NULL,NULL,NULL),(20,310,1,13,35,NULL,NULL,NULL,NULL),(20,310,1,13,36,NULL,NULL,NULL,NULL),(20,310,1,13,37,NULL,1,NULL,NULL),(20,310,1,13,38,NULL,NULL,NULL,NULL),(20,310,1,13,39,NULL,1,NULL,NULL),(20,310,1,13,40,NULL,NULL,NULL,NULL),(20,310,1,14,1,3,3,3,3),(20,310,1,14,2,1,1,1,1),(20,310,1,14,3,1,3,NULL,3),(20,310,1,14,4,NULL,3,NULL,2),(20,310,1,14,5,4,5,3,4),(20,310,1,14,6,6,4,5,4),(20,310,1,14,7,3,5,3,3),(20,310,1,14,8,3,1,2,NULL),(20,310,1,14,9,5,4,4,2),(20,310,1,14,10,1,2,1,2),(20,310,1,14,11,1,1,1,1),(20,310,1,14,12,1,1,1,1),(20,310,1,14,13,7,3,5,2),(20,310,1,14,14,10,2,9,1),(20,310,1,14,15,4,2,4,1),(20,310,1,14,16,8,1,7,1),(20,310,1,14,17,2,4,2,3),(20,310,1,14,18,6,1,5,NULL),(20,310,1,14,19,4,3,4,2),(20,310,1,14,20,7,1,6,1),(20,310,1,14,21,NULL,1,NULL,NULL),(20,310,1,14,22,NULL,3,NULL,2),(20,310,1,14,23,NULL,4,NULL,3),(20,310,1,14,24,1,2,NULL,1),(20,310,1,14,25,3,2,2,1),(20,310,1,14,26,2,NULL,1,NULL),(20,310,1,14,27,2,2,2,2),(20,310,1,14,28,NULL,1,NULL,1),(20,310,1,14,29,NULL,1,NULL,1),(20,310,1,14,30,2,1,2,1),(20,310,1,14,31,5,3,3,3),(20,310,1,14,32,2,1,2,1),(20,310,1,14,33,2,2,1,2),(20,310,1,14,34,1,2,NULL,1),(20,310,1,14,35,3,2,3,2),(20,310,1,14,36,5,4,4,4),(20,310,1,14,37,3,1,2,1),(20,310,1,14,38,NULL,2,NULL,2),(20,310,1,14,39,6,2,4,2),(20,310,1,14,40,4,1,3,NULL),(20,310,1,15,1,2,2,1,2),(20,310,1,15,2,1,3,1,2),(20,310,1,15,3,2,2,2,2),(20,310,1,15,4,NULL,1,NULL,1),(20,310,1,15,5,3,3,3,3),(20,310,1,15,6,5,3,5,2),(20,310,1,15,7,2,2,2,2),(20,310,1,15,8,5,2,5,2),(20,310,1,15,9,7,2,6,2),(20,310,1,15,10,2,2,2,2),(20,310,1,15,11,NULL,1,NULL,NULL),(20,310,1,15,12,1,1,1,1),(20,310,1,15,13,5,1,4,1),(20,310,1,15,14,6,3,6,2),(20,310,1,15,15,5,1,4,1),(20,310,1,15,16,9,NULL,8,NULL),(20,310,1,15,17,2,4,2,3),(20,310,1,15,18,8,1,7,1),(20,310,1,15,19,7,NULL,6,NULL),(20,310,1,15,20,5,4,4,4),(20,310,1,15,21,NULL,1,NULL,NULL),(20,310,1,15,22,1,4,1,4),(20,310,1,15,23,1,6,1,5),(20,310,1,15,24,NULL,2,NULL,2),(20,310,1,15,25,1,4,1,4),(20,310,1,15,26,NULL,NULL,NULL,NULL),(20,310,1,15,27,1,2,1,2),(20,310,1,15,28,NULL,2,NULL,2),(20,310,1,15,29,NULL,NULL,NULL,NULL),(20,310,1,15,30,NULL,3,NULL,2),(20,310,1,15,31,1,2,1,2),(20,310,1,15,32,2,2,2,1),(20,310,1,15,33,2,2,2,2),(20,310,1,15,34,1,NULL,1,NULL),(20,310,1,15,35,NULL,4,NULL,4),(20,310,1,15,36,4,3,4,3),(20,310,1,15,37,5,3,5,3),(20,310,1,15,38,1,1,1,1),(20,310,1,15,39,4,4,4,3),(20,310,1,15,40,4,1,4,1),(20,310,1,16,1,1,2,1,1),(20,310,1,16,2,1,1,1,NULL),(20,310,1,16,3,2,2,1,2),(20,310,1,16,4,NULL,4,NULL,2),(20,310,1,16,5,2,1,2,NULL),(20,310,1,16,6,7,2,4,1),(20,310,1,16,7,1,NULL,1,NULL),(20,310,1,16,8,6,1,2,NULL),(20,310,1,16,9,3,6,2,2),(20,310,1,16,10,2,NULL,1,NULL),(20,310,1,16,11,NULL,2,NULL,1),(20,310,1,16,12,3,NULL,2,NULL),(20,310,1,16,13,4,3,2,1),(20,310,1,16,14,2,NULL,2,NULL),(20,310,1,16,15,3,NULL,1,NULL),(20,310,1,16,16,3,2,2,1),(20,310,1,16,17,7,5,3,2),(20,310,1,16,18,1,4,1,2),(20,310,1,16,19,6,4,3,3),(20,310,1,16,20,1,3,1,2),(20,310,1,16,21,1,2,1,1),(20,310,1,16,22,1,1,NULL,1),(20,310,1,16,23,NULL,5,NULL,2),(20,310,1,16,24,1,2,1,NULL),(20,310,1,16,25,1,1,NULL,1),(20,310,1,16,26,NULL,NULL,NULL,NULL),(20,310,1,16,27,1,1,1,1),(20,310,1,16,28,NULL,NULL,NULL,NULL),(20,310,1,16,29,NULL,1,NULL,NULL),(20,310,1,16,30,NULL,NULL,NULL,NULL),(20,310,1,16,31,2,4,2,1),(20,310,1,16,32,1,1,1,NULL),(20,310,1,16,33,NULL,NULL,NULL,NULL),(20,310,1,16,34,NULL,NULL,NULL,NULL),(20,310,1,16,35,2,2,2,1),(20,310,1,16,36,NULL,4,NULL,3),(20,310,1,16,37,1,1,1,1),(20,310,1,16,38,2,NULL,1,NULL),(20,310,1,16,39,7,2,2,1),(20,310,1,16,40,1,NULL,1,NULL),(20,310,1,17,1,1,1,1,NULL),(20,310,1,17,2,1,2,1,NULL),(20,310,1,17,3,1,2,1,2),(20,310,1,17,4,NULL,3,NULL,1),(20,310,1,17,5,6,1,5,NULL),(20,310,1,17,6,5,4,5,2),(20,310,1,17,7,1,3,1,2),(20,310,1,17,8,4,3,4,3),(20,310,1,17,9,3,4,2,3),(20,310,1,17,10,1,3,1,2),(20,310,1,17,11,NULL,2,NULL,2),(20,310,1,17,12,2,4,2,3),(20,310,1,17,13,4,3,3,2),(20,310,1,17,14,2,1,1,1),(20,310,1,17,15,3,3,2,2),(20,310,1,17,16,NULL,3,NULL,2),(20,310,1,17,17,7,6,5,4),(20,310,1,17,18,NULL,5,NULL,3),(20,310,1,17,19,8,1,4,1),(20,310,1,17,20,1,2,NULL,2),(20,310,1,17,21,NULL,3,NULL,3),(20,310,1,17,22,NULL,4,NULL,3),(20,310,1,17,23,2,5,2,4),(20,310,1,17,24,2,5,NULL,4),(20,310,1,17,25,NULL,7,NULL,6),(20,310,1,17,26,2,NULL,2,NULL),(20,310,1,17,27,NULL,5,NULL,3),(20,310,1,17,28,NULL,3,NULL,3),(20,310,1,17,29,NULL,5,NULL,4),(20,310,1,17,30,NULL,2,NULL,2),(20,310,1,17,31,4,4,4,NULL),(20,310,1,17,32,2,5,2,4),(20,310,1,17,33,NULL,2,NULL,2),(20,310,1,17,34,NULL,3,NULL,3),(20,310,1,17,35,2,4,2,2),(20,310,1,17,36,1,6,1,4),(20,310,1,17,37,5,4,5,2),(20,310,1,17,38,1,1,1,1),(20,310,1,17,39,9,5,6,3),(20,310,1,17,40,NULL,3,NULL,2),(20,310,2,21,1,NULL,3,NULL,1),(20,310,2,21,2,1,1,1,1),(20,310,2,21,3,2,6,2,6),(20,310,2,21,4,2,2,2,1),(20,310,2,21,5,2,1,2,1),(20,310,2,21,6,3,5,3,3),(20,310,2,21,7,3,2,2,1),(20,310,2,21,8,1,NULL,NULL,NULL),(20,310,2,21,9,3,6,3,5),(20,310,2,21,10,2,2,2,2),(20,310,2,21,11,2,3,2,1),(20,310,2,21,12,1,3,NULL,2),(20,310,2,21,13,5,4,4,4),(20,310,2,21,14,3,7,3,4),(20,310,2,21,15,4,3,4,3),(20,310,2,21,16,3,4,2,2),(20,310,2,21,17,NULL,2,NULL,2),(20,310,2,21,18,NULL,4,NULL,2),(20,310,2,21,19,2,6,2,4),(20,310,2,21,20,2,4,2,3),(20,310,2,21,21,NULL,NULL,NULL,NULL),(20,310,2,21,22,NULL,4,NULL,2),(20,310,2,21,23,NULL,1,NULL,NULL),(20,310,2,21,24,NULL,1,NULL,1),(20,310,2,21,25,NULL,5,NULL,4),(20,310,2,21,26,NULL,2,NULL,2),(20,310,2,21,27,2,1,2,NULL),(20,310,2,21,28,1,1,NULL,1),(20,310,2,21,29,1,1,1,NULL),(20,310,2,21,30,NULL,1,NULL,1),(20,310,2,21,31,1,2,1,1),(20,310,2,21,32,1,4,1,4),(20,310,2,21,33,NULL,9,NULL,7),(20,310,2,21,34,NULL,1,NULL,1),(20,310,2,21,35,1,6,1,5),(20,310,2,21,36,NULL,3,NULL,2),(20,310,2,21,37,1,4,1,3),(20,310,2,21,38,NULL,2,NULL,2),(20,310,2,21,39,NULL,3,NULL,2),(20,310,2,21,40,1,NULL,1,NULL),(20,310,2,22,1,1,3,1,2),(20,310,2,22,2,1,NULL,1,NULL),(20,310,2,22,3,NULL,4,NULL,4),(20,310,2,22,4,NULL,4,NULL,1),(20,310,2,22,5,NULL,2,NULL,2),(20,310,2,22,6,1,6,1,3),(20,310,2,22,7,1,4,1,3),(20,310,2,22,8,4,NULL,2,NULL),(20,310,2,22,9,3,5,3,5),(20,310,2,22,10,NULL,8,NULL,4),(20,310,2,22,11,NULL,6,NULL,3),(20,310,2,22,12,NULL,3,NULL,2),(20,310,2,22,13,6,6,5,3),(20,310,2,22,14,4,7,2,5),(20,310,2,22,15,2,6,2,5),(20,310,2,22,16,7,4,4,2),(20,310,2,22,17,1,2,1,NULL),(20,310,2,22,18,NULL,NULL,NULL,NULL),(20,310,2,22,19,1,4,1,4),(20,310,2,22,20,4,3,4,3),(20,310,2,22,21,NULL,NULL,NULL,NULL),(20,310,2,22,22,1,8,1,4),(20,310,2,22,23,NULL,NULL,NULL,NULL),(20,310,2,22,24,NULL,2,NULL,1),(20,310,2,22,25,1,4,1,2),(20,310,2,22,26,1,2,1,2),(20,310,2,22,27,1,NULL,1,NULL),(20,310,2,22,28,1,5,1,3),(20,310,2,22,29,NULL,2,NULL,2),(20,310,2,22,30,NULL,3,NULL,1),(20,310,2,22,31,NULL,NULL,NULL,NULL),(20,310,2,22,32,NULL,2,NULL,1),(20,310,2,22,33,NULL,4,NULL,4),(20,310,2,22,34,1,4,1,4),(20,310,2,22,35,NULL,4,NULL,4),(20,310,2,22,36,1,5,1,2),(20,310,2,22,37,1,3,1,2),(20,310,2,22,38,NULL,3,NULL,2),(20,310,2,22,39,NULL,3,NULL,2),(20,310,2,22,40,NULL,1,NULL,1),(20,310,2,23,1,1,1,1,1),(20,310,2,23,2,NULL,NULL,NULL,NULL),(20,310,2,23,3,NULL,1,NULL,1),(20,310,2,23,4,NULL,NULL,NULL,NULL),(20,310,2,23,5,NULL,1,NULL,NULL),(20,310,2,23,6,3,NULL,3,NULL),(20,310,2,23,7,1,4,1,3),(20,310,2,23,8,2,NULL,1,NULL),(20,310,2,23,9,2,6,2,4),(20,310,2,23,10,NULL,2,NULL,1),(20,310,2,23,11,1,2,1,1),(20,310,2,23,12,2,NULL,2,NULL),(20,310,2,23,13,2,5,NULL,4),(20,310,2,23,14,3,6,2,4),(20,310,2,23,15,3,2,3,2),(20,310,2,23,16,6,NULL,3,NULL),(20,310,2,23,17,1,1,1,NULL),(20,310,2,23,18,NULL,3,NULL,2),(20,310,2,23,19,2,3,2,1),(20,310,2,23,20,2,4,2,2),(20,310,2,23,21,NULL,NULL,NULL,NULL),(20,310,2,23,22,NULL,3,NULL,2),(20,310,2,23,23,NULL,NULL,NULL,NULL),(20,310,2,23,24,NULL,NULL,NULL,NULL),(20,310,2,23,25,NULL,3,NULL,2),(20,310,2,23,26,NULL,2,NULL,2),(20,310,2,23,27,NULL,NULL,NULL,NULL),(20,310,2,23,28,1,1,1,NULL),(20,310,2,23,29,NULL,NULL,NULL,NULL),(20,310,2,23,30,2,NULL,1,NULL),(20,310,2,23,31,1,NULL,1,NULL),(20,310,2,23,32,1,1,1,1),(20,310,2,23,33,1,5,1,3),(20,310,2,23,34,NULL,NULL,NULL,NULL),(20,310,2,23,35,NULL,2,NULL,2),(20,310,2,23,36,1,4,1,2),(20,310,2,23,37,NULL,1,NULL,1),(20,310,2,23,38,1,1,1,1),(20,310,2,23,39,NULL,2,NULL,1),(20,310,2,23,40,NULL,3,NULL,2),(20,310,2,24,1,1,3,1,2),(20,310,2,24,2,NULL,1,NULL,NULL),(20,310,2,24,3,NULL,10,NULL,7),(20,310,2,24,4,2,3,1,2),(20,310,2,24,5,NULL,3,NULL,2),(20,310,2,24,6,4,3,3,2),(20,310,2,24,7,1,1,1,1),(20,310,2,24,8,2,NULL,NULL,NULL),(20,310,2,24,9,7,7,6,2),(20,310,2,24,10,NULL,6,NULL,3),(20,310,2,24,11,3,3,2,1),(20,310,2,24,12,NULL,2,NULL,1),(20,310,2,24,13,9,1,7,NULL),(20,310,2,24,14,10,4,6,3),(20,310,2,24,15,8,1,5,1),(20,310,2,24,16,7,3,3,2),(20,310,2,24,17,NULL,NULL,NULL,NULL),(20,310,2,24,18,3,4,1,4),(20,310,2,24,19,5,4,5,2),(20,310,2,24,20,5,2,4,1),(20,310,2,24,21,2,NULL,1,NULL),(20,310,2,24,22,2,3,2,1),(20,310,2,24,23,NULL,1,NULL,1),(20,310,2,24,24,1,NULL,NULL,NULL),(20,310,2,24,25,1,2,1,2),(20,310,2,24,26,1,NULL,NULL,NULL),(20,310,2,24,27,NULL,2,NULL,1),(20,310,2,24,28,2,4,NULL,3),(20,310,2,24,29,1,1,1,1),(20,310,2,24,30,NULL,3,NULL,2),(20,310,2,24,31,NULL,6,NULL,3),(20,310,2,24,32,NULL,5,NULL,4),(20,310,2,24,33,4,8,3,5),(20,310,2,24,34,NULL,2,NULL,1),(20,310,2,24,35,NULL,3,NULL,3),(20,310,2,24,36,1,3,1,1),(20,310,2,24,37,3,2,3,NULL),(20,310,2,24,38,1,NULL,NULL,NULL),(20,310,2,24,39,1,NULL,1,NULL),(20,310,2,24,40,1,2,1,2),(20,316,1,11,1,NULL,1,NULL,1),(20,316,1,11,2,NULL,NULL,NULL,NULL),(20,316,1,11,3,NULL,1,NULL,1),(20,316,1,11,4,NULL,1,NULL,1),(20,316,1,11,5,NULL,NULL,NULL,NULL),(20,316,1,11,6,NULL,1,NULL,1),(20,316,1,11,7,NULL,2,NULL,1),(20,316,1,11,8,1,2,1,NULL),(20,316,1,11,9,1,1,1,NULL),(20,316,1,11,10,2,NULL,1,NULL),(20,316,1,11,11,NULL,1,NULL,1),(20,316,1,11,12,NULL,2,NULL,1),(20,316,1,11,13,NULL,3,NULL,1),(20,316,1,11,14,NULL,3,NULL,1),(20,316,1,11,15,3,NULL,1,NULL),(20,316,1,11,16,NULL,3,NULL,1),(20,316,1,11,17,1,2,1,NULL),(20,316,1,11,18,1,2,NULL,1),(20,316,1,11,19,NULL,2,NULL,1),(20,316,1,11,20,NULL,2,NULL,1),(20,316,1,11,21,NULL,NULL,NULL,NULL),(20,316,1,11,22,NULL,NULL,NULL,NULL),(20,316,1,11,23,NULL,2,NULL,1),(20,316,1,11,24,NULL,1,NULL,1),(20,316,1,11,25,NULL,NULL,NULL,NULL),(20,316,1,11,26,NULL,NULL,NULL,NULL),(20,316,1,11,27,NULL,3,NULL,1),(20,316,1,11,28,NULL,NULL,NULL,NULL),(20,316,1,11,29,2,NULL,1,NULL),(20,316,1,11,30,NULL,NULL,NULL,NULL),(20,316,1,11,31,NULL,1,NULL,1),(20,316,1,11,32,1,NULL,1,NULL),(20,316,1,11,33,NULL,2,NULL,NULL),(20,316,1,11,34,NULL,NULL,NULL,NULL),(20,316,1,11,35,2,1,1,NULL),(20,316,1,11,36,NULL,2,NULL,1),(20,316,1,11,37,NULL,2,NULL,1),(20,316,1,11,38,NULL,NULL,NULL,NULL),(20,316,1,11,39,NULL,1,NULL,1),(20,316,1,11,40,1,NULL,NULL,NULL),(20,316,1,12,1,NULL,NULL,NULL,NULL),(20,316,1,12,2,NULL,NULL,NULL,NULL),(20,316,1,12,3,NULL,NULL,NULL,NULL),(20,316,1,12,4,NULL,NULL,NULL,NULL),(20,316,1,12,5,NULL,NULL,NULL,NULL),(20,316,1,12,6,NULL,NULL,NULL,NULL),(20,316,1,12,7,NULL,NULL,NULL,NULL),(20,316,1,12,8,NULL,NULL,NULL,NULL),(20,316,1,12,9,NULL,NULL,NULL,NULL),(20,316,1,12,10,NULL,NULL,NULL,NULL),(20,316,1,12,11,NULL,NULL,NULL,NULL),(20,316,1,12,12,NULL,NULL,NULL,NULL),(20,316,1,12,13,NULL,NULL,NULL,NULL),(20,316,1,12,14,NULL,NULL,NULL,NULL),(20,316,1,12,15,NULL,NULL,NULL,NULL),(20,316,1,12,16,NULL,NULL,NULL,NULL),(20,316,1,12,17,NULL,NULL,NULL,NULL),(20,316,1,12,18,NULL,NULL,NULL,NULL),(20,316,1,12,19,NULL,NULL,NULL,NULL),(20,316,1,12,20,NULL,NULL,NULL,NULL),(20,316,1,12,21,NULL,NULL,NULL,NULL),(20,316,1,12,22,NULL,NULL,NULL,NULL),(20,316,1,12,23,NULL,NULL,NULL,NULL),(20,316,1,12,24,NULL,NULL,NULL,NULL),(20,316,1,12,25,NULL,NULL,NULL,NULL),(20,316,1,12,26,NULL,NULL,NULL,NULL),(20,316,1,12,27,NULL,NULL,NULL,NULL),(20,316,1,12,28,NULL,NULL,NULL,NULL),(20,316,1,12,29,NULL,NULL,NULL,NULL),(20,316,1,12,30,NULL,NULL,NULL,NULL),(20,316,1,12,31,NULL,NULL,NULL,NULL),(20,316,1,12,32,NULL,NULL,NULL,NULL),(20,316,1,12,33,NULL,NULL,NULL,NULL),(20,316,1,12,34,NULL,NULL,NULL,NULL),(20,316,1,12,35,NULL,NULL,NULL,NULL),(20,316,1,12,36,NULL,NULL,NULL,NULL),(20,316,1,12,37,NULL,NULL,NULL,NULL),(20,316,1,12,38,NULL,NULL,NULL,NULL),(20,316,1,12,39,NULL,NULL,NULL,NULL),(20,316,1,12,40,NULL,NULL,NULL,NULL),(20,316,1,13,1,NULL,NULL,NULL,NULL),(20,316,1,13,2,NULL,NULL,NULL,NULL),(20,316,1,13,3,1,NULL,NULL,NULL),(20,316,1,13,4,NULL,NULL,NULL,NULL),(20,316,1,13,5,NULL,NULL,NULL,NULL),(20,316,1,13,6,NULL,NULL,NULL,NULL),(20,316,1,13,7,NULL,NULL,NULL,NULL),(20,316,1,13,8,NULL,1,NULL,NULL),(20,316,1,13,9,1,NULL,NULL,NULL),(20,316,1,13,10,NULL,NULL,NULL,NULL),(20,316,1,13,11,NULL,NULL,NULL,NULL),(20,316,1,13,12,NULL,NULL,NULL,NULL),(20,316,1,13,13,1,NULL,NULL,NULL),(20,316,1,13,14,NULL,NULL,NULL,NULL),(20,316,1,13,15,NULL,NULL,NULL,NULL),(20,316,1,13,16,NULL,NULL,NULL,NULL),(20,316,1,13,17,NULL,NULL,NULL,NULL),(20,316,1,13,18,NULL,NULL,NULL,NULL),(20,316,1,13,19,NULL,NULL,NULL,NULL),(20,316,1,13,20,1,NULL,NULL,NULL),(20,316,1,13,21,NULL,NULL,NULL,NULL),(20,316,1,13,22,NULL,NULL,NULL,NULL),(20,316,1,13,23,1,NULL,NULL,NULL),(20,316,1,13,24,NULL,NULL,NULL,NULL),(20,316,1,13,25,1,NULL,NULL,NULL),(20,316,1,13,26,NULL,NULL,NULL,NULL),(20,316,1,13,27,NULL,NULL,NULL,NULL),(20,316,1,13,28,NULL,NULL,NULL,NULL),(20,316,1,13,29,NULL,NULL,NULL,NULL),(20,316,1,13,30,NULL,NULL,NULL,NULL),(20,316,1,13,31,NULL,NULL,NULL,NULL),(20,316,1,13,32,NULL,NULL,NULL,NULL),(20,316,1,13,33,NULL,NULL,NULL,NULL),(20,316,1,13,34,NULL,NULL,NULL,NULL),(20,316,1,13,35,NULL,NULL,NULL,NULL),(20,316,1,13,36,NULL,NULL,NULL,NULL),(20,316,1,13,37,1,NULL,NULL,NULL),(20,316,1,13,38,NULL,NULL,NULL,NULL),(20,316,1,13,39,NULL,NULL,NULL,NULL),(20,316,1,13,40,NULL,NULL,NULL,NULL),(20,316,1,14,1,29,18,10,6),(20,316,1,14,2,17,12,9,4),(20,316,1,14,3,7,17,1,3),(20,316,1,14,4,12,27,5,6),(20,316,1,14,5,17,30,9,7),(20,316,1,14,6,45,31,11,11),(20,316,1,14,7,9,26,3,8),(20,316,1,14,8,30,15,13,5),(20,316,1,14,9,38,39,12,7),(20,316,1,14,10,11,11,7,1),(20,316,1,14,11,7,24,3,7),(20,316,1,14,12,15,12,8,5),(20,316,1,14,13,43,29,15,8),(20,316,1,14,14,57,38,19,4),(20,316,1,14,15,37,20,17,4),(20,316,1,14,16,68,16,21,3),(20,316,1,14,17,21,56,6,20),(20,316,1,14,18,45,29,17,7),(20,316,1,14,19,49,11,16,2),(20,316,1,14,20,57,30,20,5),(20,316,1,14,21,3,13,1,3),(20,316,1,14,22,8,35,1,20),(20,316,1,14,23,6,37,1,15),(20,316,1,14,24,3,30,1,15),(20,316,1,14,25,16,44,7,17),(20,316,1,14,26,8,NULL,4,NULL),(20,316,1,14,27,20,32,6,12),(20,316,1,14,28,7,18,3,10),(20,316,1,14,29,7,18,1,6),(20,316,1,14,30,3,22,1,12),(20,316,1,14,31,22,36,6,11),(20,316,1,14,32,23,24,10,9),(20,316,1,14,33,8,20,4,10),(20,316,1,14,34,5,20,2,9),(20,316,1,14,35,21,41,10,12),(20,316,1,14,36,27,33,9,10),(20,316,1,14,37,35,25,13,8),(20,316,1,14,38,2,17,NULL,10),(20,316,1,14,39,49,37,17,10),(20,316,1,14,40,21,15,12,4),(20,316,1,15,1,9,27,4,8),(20,316,1,15,2,15,7,9,3),(20,316,1,15,3,9,26,6,10),(20,316,1,15,4,19,30,5,11),(20,316,1,15,5,27,24,12,10),(20,316,1,15,6,43,46,17,15),(20,316,1,15,7,17,24,13,10),(20,316,1,15,8,38,16,20,5),(20,316,1,15,9,28,52,10,17),(20,316,1,15,10,11,18,9,7),(20,316,1,15,11,5,17,4,5),(20,316,1,15,12,12,16,6,6),(20,316,1,15,13,58,25,28,4),(20,316,1,15,14,55,28,24,9),(20,316,1,15,15,35,26,17,9),(20,316,1,15,16,50,29,23,10),(20,316,1,15,17,31,44,11,18),(20,316,1,15,18,55,19,24,8),(20,316,1,15,19,48,9,24,2),(20,316,1,15,20,63,18,29,6),(20,316,1,15,21,5,18,1,8),(20,316,1,15,22,5,29,3,19),(20,316,1,15,23,10,51,2,17),(20,316,1,15,24,11,32,7,14),(20,316,1,15,25,14,41,6,16),(20,316,1,15,26,10,NULL,5,NULL),(20,316,1,15,27,20,35,5,19),(20,316,1,15,28,5,13,4,9),(20,316,1,15,29,6,14,2,5),(20,316,1,15,30,3,20,2,8),(20,316,1,15,31,22,25,10,6),(20,316,1,15,32,24,19,9,8),(20,316,1,15,33,8,26,5,14),(20,316,1,15,34,6,14,2,8),(20,316,1,15,35,14,25,6,10),(20,316,1,15,36,39,20,22,8),(20,316,1,15,37,40,28,15,13),(20,316,1,15,38,3,11,2,3),(20,316,1,15,39,52,38,22,12),(20,316,1,15,40,34,6,22,NULL),(20,316,1,16,1,17,26,3,3),(20,316,1,16,2,7,12,2,3),(20,316,1,16,3,6,23,NULL,6),(20,316,1,16,4,8,40,1,4),(20,316,1,16,5,26,29,6,6),(20,316,1,16,6,33,56,5,8),(20,316,1,16,7,10,25,4,6),(20,316,1,16,8,45,19,11,1),(20,316,1,16,9,17,60,4,6),(20,316,1,16,10,18,15,7,2),(20,316,1,16,11,2,14,1,3),(20,316,1,16,12,12,18,4,1),(20,316,1,16,13,26,38,5,4),(20,316,1,16,14,4,10,1,1),(20,316,1,16,15,46,15,7,5),(20,316,1,16,16,NULL,30,NULL,5),(20,316,1,16,17,58,47,8,10),(20,316,1,16,18,5,28,1,7),(20,316,1,16,19,37,37,3,4),(20,316,1,16,20,4,31,NULL,7),(20,316,1,16,21,11,27,NULL,3),(20,316,1,16,22,5,20,2,6),(20,316,1,16,23,6,56,1,9),(20,316,1,16,24,8,38,1,7),(20,316,1,16,25,13,37,5,7),(20,316,1,16,26,9,NULL,2,NULL),(20,316,1,16,27,11,32,3,9),(20,316,1,16,28,6,23,3,2),(20,316,1,16,29,9,29,2,5),(20,316,1,16,30,8,18,1,2),(20,316,1,16,31,14,33,2,4),(20,316,1,16,32,15,18,6,3),(20,316,1,16,33,5,24,1,6),(20,316,1,16,34,3,14,NULL,1),(20,316,1,16,35,22,37,2,5),(20,316,1,16,36,15,37,4,5),(20,316,1,16,37,27,32,7,8),(20,316,1,16,38,3,17,NULL,2),(20,316,1,16,39,40,38,6,7),(20,316,1,16,40,18,14,8,2),(20,316,1,17,1,15,23,4,6),(20,316,1,17,2,4,8,1,3),(20,316,1,17,3,6,24,1,7),(20,316,1,17,4,6,26,1,5),(20,316,1,17,5,21,18,4,4),(20,316,1,17,6,25,37,5,4),(20,316,1,17,7,13,16,2,3),(20,316,1,17,8,42,21,10,6),(20,316,1,17,9,24,54,3,7),(20,316,1,17,10,7,24,3,6),(20,316,1,17,11,3,12,NULL,3),(20,316,1,17,12,17,18,6,3),(20,316,1,17,13,23,38,5,8),(20,316,1,17,14,6,13,1,2),(20,316,1,17,15,29,18,7,5),(20,316,1,17,16,1,27,NULL,1),(20,316,1,17,17,40,57,7,10),(20,316,1,17,18,6,31,NULL,5),(20,316,1,17,19,40,31,5,5),(20,316,1,17,20,7,30,NULL,4),(20,316,1,17,21,6,20,1,5),(20,316,1,17,22,5,22,2,6),(20,316,1,17,23,7,44,NULL,10),(20,316,1,17,24,5,19,NULL,6),(20,316,1,17,25,10,32,2,6),(20,316,1,17,26,9,NULL,1,NULL),(20,316,1,17,27,13,29,1,5),(20,316,1,17,28,2,12,1,5),(20,316,1,17,29,7,19,NULL,3),(20,316,1,17,30,5,28,NULL,7),(20,316,1,17,31,15,34,2,4),(20,316,1,17,32,15,24,2,6),(20,316,1,17,33,1,12,1,4),(20,316,1,17,34,2,13,NULL,1),(20,316,1,17,35,20,32,4,6),(20,316,1,17,36,19,25,7,5),(20,316,1,17,37,31,31,8,5),(20,316,1,17,38,5,14,NULL,5),(20,316,1,17,39,39,37,8,6),(20,316,1,17,40,20,14,9,NULL),(20,316,2,21,1,6,26,2,4),(20,316,2,21,2,4,8,1,3),(20,316,2,21,3,23,25,7,10),(20,316,2,21,4,15,24,5,7),(20,316,2,21,5,3,13,1,10),(20,316,2,21,6,18,23,11,8),(20,316,2,21,7,12,25,7,10),(20,316,2,21,8,17,NULL,9,NULL),(20,316,2,21,9,34,60,10,10),(20,316,2,21,10,2,36,1,13),(20,316,2,21,11,20,24,8,2),(20,316,2,21,12,8,25,3,11),(20,316,2,21,13,53,36,24,6),(20,316,2,21,14,53,54,14,17),(20,316,2,21,15,48,26,14,10),(20,316,2,21,16,47,33,14,12),(20,316,2,21,17,13,18,8,6),(20,316,2,21,18,5,31,3,12),(20,316,2,21,19,16,35,6,10),(20,316,2,21,20,24,37,12,15),(20,316,2,21,21,NULL,9,NULL,3),(20,316,2,21,22,3,24,1,9),(20,316,2,21,23,5,17,NULL,3),(20,316,2,21,24,3,5,1,3),(20,316,2,21,25,13,45,5,14),(20,316,2,21,26,3,12,3,4),(20,316,2,21,27,4,13,1,5),(20,316,2,21,28,17,18,6,7),(20,316,2,21,29,1,13,NULL,4),(20,316,2,21,30,6,16,1,3),(20,316,2,21,31,5,17,2,8),(20,316,2,21,32,12,29,8,9),(20,316,2,21,33,9,40,3,5),(20,316,2,21,34,10,16,5,8),(20,316,2,21,35,4,30,3,12),(20,316,2,21,36,10,27,6,7),(20,316,2,21,37,8,22,5,12),(20,316,2,21,38,NULL,21,NULL,8),(20,316,2,21,39,8,11,3,5),(20,316,2,21,40,21,25,10,7),(20,316,2,22,1,12,22,3,6),(20,316,2,22,2,3,7,NULL,2),(20,316,2,22,3,17,38,5,5),(20,316,2,22,4,21,18,4,4),(20,316,2,22,5,5,12,2,2),(20,316,2,22,6,22,28,9,7),(20,316,2,22,7,13,27,5,8),(20,316,2,22,8,12,NULL,2,NULL),(20,316,2,22,9,27,47,2,11),(20,316,2,22,10,NULL,25,NULL,5),(20,316,2,22,11,28,12,7,3),(20,316,2,22,12,6,14,1,7),(20,316,2,22,13,43,43,14,4),(20,316,2,22,14,52,40,9,8),(20,316,2,22,15,42,26,10,1),(20,316,2,22,16,43,30,8,7),(20,316,2,22,17,13,16,4,NULL),(20,316,2,22,18,3,27,2,6),(20,316,2,22,19,17,41,8,5),(20,316,2,22,20,22,42,7,6),(20,316,2,22,21,1,7,NULL,1),(20,316,2,22,22,3,19,1,4),(20,316,2,22,23,NULL,9,NULL,3),(20,316,2,22,24,2,4,NULL,NULL),(20,316,2,22,25,14,28,7,3),(20,316,2,22,26,3,10,2,7),(20,316,2,22,27,NULL,13,NULL,3),(20,316,2,22,28,19,21,2,7),(20,316,2,22,29,2,6,NULL,2),(20,316,2,22,30,4,11,NULL,1),(20,316,2,22,31,7,19,3,4),(20,316,2,22,32,7,30,4,6),(20,316,2,22,33,13,36,2,5),(20,316,2,22,34,14,14,3,5),(20,316,2,22,35,4,38,1,6),(20,316,2,22,36,7,25,2,3),(20,316,2,22,37,6,15,2,4),(20,316,2,22,38,3,17,1,8),(20,316,2,22,39,5,8,2,2),(20,316,2,22,40,11,26,2,3),(20,316,2,23,1,10,29,1,12),(20,316,2,23,2,1,4,1,1),(20,316,2,23,3,16,39,2,7),(20,316,2,23,4,12,11,7,3),(20,316,2,23,5,2,14,NULL,7),(20,316,2,23,6,19,31,9,11),(20,316,2,23,7,8,29,1,10),(20,316,2,23,8,16,NULL,8,NULL),(20,316,2,23,9,26,59,6,10),(20,316,2,23,10,4,24,1,7),(20,316,2,23,11,25,20,2,6),(20,316,2,23,12,3,18,NULL,1),(20,316,2,23,13,47,40,14,6),(20,316,2,23,14,51,54,15,6),(20,316,2,23,15,37,28,6,6),(20,316,2,23,16,37,32,9,7),(20,316,2,23,17,18,22,5,6),(20,316,2,23,18,5,18,1,6),(20,316,2,23,19,17,46,3,10),(20,316,2,23,20,18,38,5,7),(20,316,2,23,21,NULL,7,NULL,4),(20,316,2,23,22,5,29,NULL,5),(20,316,2,23,23,NULL,10,NULL,2),(20,316,2,23,24,NULL,7,NULL,3),(20,316,2,23,25,23,26,7,5),(20,316,2,23,26,5,13,2,4),(20,316,2,23,27,4,6,1,3),(20,316,2,23,28,16,23,2,11),(20,316,2,23,29,7,8,3,3),(20,316,2,23,30,10,10,3,2),(20,316,2,23,31,11,28,2,11),(20,316,2,23,32,4,32,2,10),(20,316,2,23,33,17,52,4,11),(20,316,2,23,34,10,18,4,6),(20,316,2,23,35,6,33,3,8),(20,316,2,23,36,7,31,3,9),(20,316,2,23,37,4,19,2,7),(20,316,2,23,38,6,14,1,9),(20,316,2,23,39,8,13,3,5),(20,316,2,23,40,16,24,4,4),(20,316,2,24,1,5,23,1,6),(20,316,2,24,2,3,8,1,1),(20,316,2,24,3,16,43,1,11),(20,316,2,24,4,11,22,3,5),(20,316,2,24,5,2,15,1,4),(20,316,2,24,6,20,26,9,7),(20,316,2,24,7,9,19,4,7),(20,316,2,24,8,13,NULL,8,NULL),(20,316,2,24,9,28,59,4,11),(20,316,2,24,10,1,30,1,10),(20,316,2,24,11,14,23,2,4),(20,316,2,24,12,4,17,2,4),(20,316,2,24,13,37,44,8,7),(20,316,2,24,14,43,53,9,9),(20,316,2,24,15,30,26,10,4),(20,316,2,24,16,39,26,8,8),(20,316,2,24,17,12,16,5,5),(20,316,2,24,18,4,28,1,9),(20,316,2,24,19,14,34,4,8),(20,316,2,24,20,20,34,8,9),(20,316,2,24,21,1,7,NULL,3),(20,316,2,24,22,10,31,NULL,8),(20,316,2,24,23,1,10,NULL,1),(20,316,2,24,24,2,9,NULL,3),(20,316,2,24,25,12,33,5,8),(20,316,2,24,26,6,8,5,2),(20,316,2,24,27,3,10,1,2),(20,316,2,24,28,16,18,7,4),(20,316,2,24,29,1,6,1,2),(20,316,2,24,30,10,12,2,2),(20,316,2,24,31,6,17,2,4),(20,316,2,24,32,5,30,2,5),(20,316,2,24,33,17,48,4,9),(20,316,2,24,34,7,29,3,6),(20,316,2,24,35,1,22,NULL,6),(20,316,2,24,36,11,28,4,3),(20,316,2,24,37,5,18,3,9),(20,316,2,24,38,NULL,25,NULL,9),(20,316,2,24,39,8,10,4,1),(20,316,2,24,40,11,20,7,5),(20,317,1,11,1,NULL,2,NULL,2),(20,317,1,11,2,NULL,NULL,NULL,NULL),(20,317,1,11,3,NULL,2,NULL,1),(20,317,1,11,4,1,1,NULL,NULL),(20,317,1,11,5,1,NULL,1,NULL),(20,317,1,11,6,2,1,1,1),(20,317,1,11,7,1,1,1,1),(20,317,1,11,8,1,1,1,NULL),(20,317,1,11,9,2,1,2,NULL),(20,317,1,11,10,NULL,NULL,NULL,NULL),(20,317,1,11,11,1,NULL,1,NULL),(20,317,1,11,12,1,1,1,NULL),(20,317,1,11,13,1,2,1,1),(20,317,1,11,14,1,1,1,1),(20,317,1,11,15,2,NULL,1,NULL),(20,317,1,11,16,2,NULL,2,NULL),(20,317,1,11,17,2,NULL,2,NULL),(20,317,1,11,18,2,NULL,2,NULL),(20,317,1,11,19,2,1,1,1),(20,317,1,11,20,1,1,1,1),(20,317,1,11,21,NULL,1,NULL,NULL),(20,317,1,11,22,1,NULL,1,NULL),(20,317,1,11,23,1,3,1,1),(20,317,1,11,24,1,2,1,1),(20,317,1,11,25,NULL,3,NULL,2),(20,317,1,11,26,NULL,NULL,NULL,NULL),(20,317,1,11,27,NULL,NULL,NULL,NULL),(20,317,1,11,28,NULL,2,NULL,1),(20,317,1,11,29,NULL,1,NULL,1),(20,317,1,11,30,NULL,NULL,NULL,NULL),(20,317,1,11,31,1,2,NULL,1),(20,317,1,11,32,NULL,2,NULL,1),(20,317,1,11,33,NULL,1,NULL,1),(20,317,1,11,34,NULL,NULL,NULL,NULL),(20,317,1,11,35,1,1,1,NULL),(20,317,1,11,36,1,1,NULL,1),(20,317,1,11,37,2,NULL,2,NULL),(20,317,1,11,38,NULL,NULL,NULL,NULL),(20,317,1,11,39,3,NULL,1,NULL),(20,317,1,11,40,NULL,1,NULL,1),(20,317,1,12,1,1,NULL,NULL,NULL),(20,317,1,12,2,1,NULL,NULL,NULL),(20,317,1,12,3,NULL,NULL,NULL,NULL),(20,317,1,12,4,NULL,NULL,NULL,NULL),(20,317,1,12,5,NULL,2,NULL,1),(20,317,1,12,6,2,NULL,1,NULL),(20,317,1,12,7,NULL,1,NULL,1),(20,317,1,12,8,1,NULL,NULL,NULL),(20,317,1,12,9,2,NULL,1,NULL),(20,317,1,12,10,1,NULL,1,NULL),(20,317,1,12,11,1,1,NULL,1),(20,317,1,12,12,1,NULL,1,NULL),(20,317,1,12,13,NULL,1,NULL,1),(20,317,1,12,14,2,NULL,1,NULL),(20,317,1,12,15,1,1,1,NULL),(20,317,1,12,16,NULL,NULL,NULL,NULL),(20,317,1,12,17,2,NULL,1,NULL),(20,317,1,12,18,2,NULL,1,NULL),(20,317,1,12,19,2,NULL,1,NULL),(20,317,1,12,20,2,NULL,1,NULL),(20,317,1,12,21,NULL,NULL,NULL,NULL),(20,317,1,12,22,1,1,1,NULL),(20,317,1,12,23,NULL,1,NULL,NULL),(20,317,1,12,24,NULL,NULL,NULL,NULL),(20,317,1,12,25,1,1,1,NULL),(20,317,1,12,26,NULL,NULL,NULL,NULL),(20,317,1,12,27,NULL,1,NULL,NULL),(20,317,1,12,28,NULL,NULL,NULL,NULL),(20,317,1,12,29,NULL,NULL,NULL,NULL),(20,317,1,12,30,NULL,NULL,NULL,NULL),(20,317,1,12,31,1,NULL,NULL,NULL),(20,317,1,12,32,1,1,1,NULL),(20,317,1,12,33,NULL,NULL,NULL,NULL),(20,317,1,12,34,NULL,NULL,NULL,NULL),(20,317,1,12,35,NULL,1,NULL,NULL),(20,317,1,12,36,NULL,NULL,NULL,NULL),(20,317,1,12,37,NULL,1,NULL,1),(20,317,1,12,38,NULL,NULL,NULL,NULL),(20,317,1,12,39,NULL,2,NULL,1),(20,317,1,12,40,NULL,NULL,NULL,NULL),(20,317,1,13,1,NULL,1,NULL,NULL),(20,317,1,13,2,NULL,NULL,NULL,NULL),(20,317,1,13,3,NULL,NULL,NULL,NULL),(20,317,1,13,4,NULL,1,NULL,NULL),(20,317,1,13,5,NULL,NULL,NULL,NULL),(20,317,1,13,6,NULL,1,NULL,NULL),(20,317,1,13,7,NULL,NULL,NULL,NULL),(20,317,1,13,8,NULL,NULL,NULL,NULL),(20,317,1,13,9,NULL,1,NULL,NULL),(20,317,1,13,10,NULL,NULL,NULL,NULL),(20,317,1,13,11,NULL,NULL,NULL,NULL),(20,317,1,13,12,NULL,NULL,NULL,NULL),(20,317,1,13,13,1,NULL,NULL,NULL),(20,317,1,13,14,NULL,NULL,NULL,NULL),(20,317,1,13,15,1,NULL,NULL,NULL),(20,317,1,13,16,1,NULL,NULL,NULL),(20,317,1,13,17,NULL,1,NULL,NULL),(20,317,1,13,18,NULL,1,NULL,NULL),(20,317,1,13,19,1,NULL,NULL,NULL),(20,317,1,13,20,NULL,1,NULL,NULL),(20,317,1,13,21,NULL,NULL,NULL,NULL),(20,317,1,13,22,NULL,1,NULL,NULL),(20,317,1,13,23,NULL,1,NULL,NULL),(20,317,1,13,24,NULL,NULL,NULL,NULL),(20,317,1,13,25,NULL,1,NULL,NULL),(20,317,1,13,26,NULL,NULL,NULL,NULL),(20,317,1,13,27,NULL,1,NULL,NULL),(20,317,1,13,28,NULL,NULL,NULL,NULL),(20,317,1,13,29,NULL,NULL,NULL,NULL),(20,317,1,13,30,NULL,NULL,NULL,NULL),(20,317,1,13,31,NULL,1,NULL,NULL),(20,317,1,13,32,1,NULL,NULL,NULL),(20,317,1,13,33,NULL,NULL,NULL,NULL),(20,317,1,13,34,NULL,NULL,NULL,NULL),(20,317,1,13,35,NULL,NULL,NULL,NULL),(20,317,1,13,36,NULL,1,NULL,NULL),(20,317,1,13,37,NULL,NULL,NULL,NULL),(20,317,1,13,38,NULL,NULL,NULL,NULL),(20,317,1,13,39,NULL,NULL,NULL,NULL),(20,317,1,13,40,NULL,NULL,NULL,NULL),(20,317,1,14,1,2,6,1,2),(20,317,1,14,2,NULL,5,NULL,1),(20,317,1,14,3,4,5,3,3),(20,317,1,14,4,2,7,NULL,3),(20,317,1,14,5,4,7,3,3),(20,317,1,14,6,14,9,7,1),(20,317,1,14,7,1,5,1,2),(20,317,1,14,8,12,6,7,3),(20,317,1,14,9,8,15,4,7),(20,317,1,14,10,6,6,3,3),(20,317,1,14,11,NULL,3,NULL,NULL),(20,317,1,14,12,3,8,2,5),(20,317,1,14,13,8,13,4,4),(20,317,1,14,14,7,16,5,7),(20,317,1,14,15,8,7,7,3),(20,317,1,14,16,13,8,5,2),(20,317,1,14,17,4,18,3,8),(20,317,1,14,18,11,10,8,4),(20,317,1,14,19,8,7,7,2),(20,317,1,14,20,12,9,5,5),(20,317,1,14,21,1,5,NULL,NULL),(20,317,1,14,22,4,10,1,8),(20,317,1,14,23,7,20,1,9),(20,317,1,14,24,1,8,NULL,4),(20,317,1,14,25,4,11,NULL,6),(20,317,1,14,26,2,NULL,2,NULL),(20,317,1,14,27,6,11,4,5),(20,317,1,14,28,1,3,NULL,2),(20,317,1,14,29,1,6,1,3),(20,317,1,14,30,4,5,2,1),(20,317,1,14,31,8,7,4,2),(20,317,1,14,32,5,9,2,4),(20,317,1,14,33,NULL,6,NULL,3),(20,317,1,14,34,NULL,4,NULL,1),(20,317,1,14,35,6,8,4,2),(20,317,1,14,36,8,8,5,4),(20,317,1,14,37,5,9,2,4),(20,317,1,14,38,1,5,NULL,4),(20,317,1,14,39,14,11,8,2),(20,317,1,14,40,5,5,5,2),(20,317,1,15,1,9,7,4,2),(20,317,1,15,2,4,4,3,2),(20,317,1,15,3,NULL,4,NULL,1),(20,317,1,15,4,4,11,1,3),(20,317,1,15,5,4,13,1,6),(20,317,1,15,6,11,10,6,5),(20,317,1,15,7,7,8,4,5),(20,317,1,15,8,14,8,7,2),(20,317,1,15,9,4,19,3,7),(20,317,1,15,10,3,8,1,5),(20,317,1,15,11,2,4,1,2),(20,317,1,15,12,3,12,2,7),(20,317,1,15,13,13,10,6,8),(20,317,1,15,14,11,15,5,6),(20,317,1,15,15,9,10,4,3),(20,317,1,15,16,10,12,5,5),(20,317,1,15,17,2,22,1,11),(20,317,1,15,18,9,11,3,5),(20,317,1,15,19,8,7,4,5),(20,317,1,15,20,10,7,4,4),(20,317,1,15,21,3,10,2,4),(20,317,1,15,22,4,12,1,9),(20,317,1,15,23,6,16,4,6),(20,317,1,15,24,4,12,1,5),(20,317,1,15,25,5,17,NULL,11),(20,317,1,15,26,4,NULL,2,NULL),(20,317,1,15,27,6,10,3,5),(20,317,1,15,28,1,3,1,3),(20,317,1,15,29,2,6,1,3),(20,317,1,15,30,3,16,3,5),(20,317,1,15,31,7,13,1,6),(20,317,1,15,32,6,10,3,4),(20,317,1,15,33,3,10,2,6),(20,317,1,15,34,NULL,4,NULL,2),(20,317,1,15,35,7,13,2,4),(20,317,1,15,36,12,9,4,5),(20,317,1,15,37,14,9,6,4),(20,317,1,15,38,NULL,4,NULL,2),(20,317,1,15,39,20,13,7,8),(20,317,1,15,40,6,4,4,3),(20,317,1,16,1,10,27,3,4),(20,317,1,16,2,7,9,2,3),(20,317,1,16,3,3,10,1,4),(20,317,1,16,4,8,16,1,5),(20,317,1,16,5,5,27,2,11),(20,317,1,16,6,26,34,7,8),(20,317,1,16,7,4,13,4,3),(20,317,1,16,8,33,13,13,3),(20,317,1,16,9,15,32,6,9),(20,317,1,16,10,8,19,5,7),(20,317,1,16,11,NULL,12,NULL,2),(20,317,1,16,12,7,15,NULL,8),(20,317,1,16,13,26,28,6,13),(20,317,1,16,14,9,7,1,2),(20,317,1,16,15,18,17,11,3),(20,317,1,16,16,6,18,2,4),(20,317,1,16,17,43,39,16,10),(20,317,1,16,18,5,22,2,6),(20,317,1,16,19,35,26,7,7),(20,317,1,16,20,2,23,NULL,6),(20,317,1,16,21,2,22,1,5),(20,317,1,16,22,5,16,3,6),(20,317,1,16,23,5,49,2,15),(20,317,1,16,24,8,27,2,13),(20,317,1,16,25,12,28,4,10),(20,317,1,16,26,8,NULL,3,NULL),(20,317,1,16,27,8,30,2,13),(20,317,1,16,28,3,18,NULL,9),(20,317,1,16,29,2,24,1,7),(20,317,1,16,30,5,15,NULL,5),(20,317,1,16,31,12,21,5,7),(20,317,1,16,32,12,22,7,8),(20,317,1,16,33,2,8,2,3),(20,317,1,16,34,5,13,2,4),(20,317,1,16,35,7,22,5,3),(20,317,1,16,36,10,28,7,7),(20,317,1,16,37,18,25,7,10),(20,317,1,16,38,2,4,NULL,1),(20,317,1,16,39,41,30,11,9),(20,317,1,16,40,6,20,2,4),(20,317,1,17,1,10,20,4,8),(20,317,1,17,2,6,9,5,3),(20,317,1,17,3,8,19,6,6),(20,317,1,17,4,11,24,6,6),(20,317,1,17,5,20,22,7,6),(20,317,1,17,6,17,38,8,10),(20,317,1,17,7,7,17,6,9),(20,317,1,17,8,46,18,14,7),(20,317,1,17,9,16,42,5,16),(20,317,1,17,10,13,26,7,7),(20,317,1,17,11,3,14,1,5),(20,317,1,17,12,14,17,8,6),(20,317,1,17,13,29,29,10,7),(20,317,1,17,14,6,11,1,4),(20,317,1,17,15,27,12,13,5),(20,317,1,17,16,4,12,NULL,5),(20,317,1,17,17,36,45,13,15),(20,317,1,17,18,4,18,3,7),(20,317,1,17,19,37,26,8,11),(20,317,1,17,20,1,18,NULL,9),(20,317,1,17,21,4,25,1,7),(20,317,1,17,22,3,27,2,9),(20,317,1,17,23,4,44,NULL,16),(20,317,1,17,24,5,22,NULL,10),(20,317,1,17,25,7,34,4,11),(20,317,1,17,26,11,NULL,5,NULL),(20,317,1,17,27,14,21,5,8),(20,317,1,17,28,5,16,3,6),(20,317,1,17,29,6,25,2,8),(20,317,1,17,30,3,19,NULL,3),(20,317,1,17,31,11,34,4,8),(20,317,1,17,32,18,23,5,11),(20,317,1,17,33,1,18,NULL,6),(20,317,1,17,34,3,17,1,4),(20,317,1,17,35,11,33,4,11),(20,317,1,17,36,13,27,7,13),(20,317,1,17,37,24,26,9,13),(20,317,1,17,38,2,9,1,1),(20,317,1,17,39,27,36,12,13),(20,317,1,17,40,10,8,7,4),(20,317,2,21,1,3,18,NULL,4),(20,317,2,21,2,2,4,NULL,1),(20,317,2,21,3,9,20,3,9),(20,317,2,21,4,6,17,1,6),(20,317,2,21,5,1,7,NULL,3),(20,317,2,21,6,9,17,5,6),(20,317,2,21,7,6,15,3,8),(20,317,2,21,8,8,NULL,4,NULL),(20,317,2,21,9,15,28,4,7),(20,317,2,21,10,2,27,NULL,12),(20,317,2,21,11,10,19,2,3),(20,317,2,21,12,4,13,1,4),(20,317,2,21,13,26,23,12,4),(20,317,2,21,14,22,42,7,12),(20,317,2,21,15,28,14,9,6),(20,317,2,21,16,31,21,11,5),(20,317,2,21,17,4,22,3,6),(20,317,2,21,18,2,15,NULL,8),(20,317,2,21,19,5,29,1,9),(20,317,2,21,20,15,25,9,10),(20,317,2,21,21,NULL,2,NULL,2),(20,317,2,21,22,2,14,1,2),(20,317,2,21,23,2,6,NULL,2),(20,317,2,21,24,1,7,NULL,1),(20,317,2,21,25,7,19,3,8),(20,317,2,21,26,3,9,NULL,4),(20,317,2,21,27,NULL,10,NULL,4),(20,317,2,21,28,12,11,6,2),(20,317,2,21,29,NULL,6,NULL,4),(20,317,2,21,30,4,12,3,2),(20,317,2,21,31,4,15,3,4),(20,317,2,21,32,3,16,1,7),(20,317,2,21,33,7,17,1,4),(20,317,2,21,34,9,20,6,6),(20,317,2,21,35,NULL,19,NULL,8),(20,317,2,21,36,8,25,4,6),(20,317,2,21,37,2,13,1,4),(20,317,2,21,38,NULL,9,NULL,3),(20,317,2,21,39,NULL,14,NULL,6),(20,317,2,21,40,6,10,2,4),(20,317,2,22,1,5,11,NULL,4),(20,317,2,22,2,1,7,NULL,2),(20,317,2,22,3,9,21,1,7),(20,317,2,22,4,13,11,4,4),(20,317,2,22,5,2,10,1,2),(20,317,2,22,6,11,17,3,5),(20,317,2,22,7,6,13,2,3),(20,317,2,22,8,7,NULL,4,NULL),(20,317,2,22,9,12,34,4,6),(20,317,2,22,10,1,14,NULL,7),(20,317,2,22,11,13,18,2,5),(20,317,2,22,12,2,12,NULL,2),(20,317,2,22,13,31,26,8,4),(20,317,2,22,14,24,32,6,7),(20,317,2,22,15,20,23,5,5),(20,317,2,22,16,28,15,6,4),(20,317,2,22,17,12,9,3,1),(20,317,2,22,18,1,16,1,5),(20,317,2,22,19,7,22,2,6),(20,317,2,22,20,10,20,3,3),(20,317,2,22,21,NULL,2,NULL,NULL),(20,317,2,22,22,2,17,NULL,5),(20,317,2,22,23,NULL,6,NULL,1),(20,317,2,22,24,2,7,NULL,2),(20,317,2,22,25,11,25,3,4),(20,317,2,22,26,3,11,1,3),(20,317,2,22,27,1,6,NULL,3),(20,317,2,22,28,9,13,2,5),(20,317,2,22,29,2,6,NULL,2),(20,317,2,22,30,6,9,3,3),(20,317,2,22,31,3,7,1,3),(20,317,2,22,32,4,15,1,4),(20,317,2,22,33,9,24,3,6),(20,317,2,22,34,4,21,1,6),(20,317,2,22,35,NULL,15,NULL,6),(20,317,2,22,36,4,27,2,5),(20,317,2,22,37,1,11,1,3),(20,317,2,22,38,2,11,1,5),(20,317,2,22,39,2,11,NULL,1),(20,317,2,22,40,7,9,2,3),(20,317,2,23,1,6,13,1,4),(20,317,2,23,2,1,2,1,NULL),(20,317,2,23,3,10,21,1,7),(20,317,2,23,4,8,10,5,4),(20,317,2,23,5,2,9,NULL,5),(20,317,2,23,6,9,13,4,7),(20,317,2,23,7,4,19,2,12),(20,317,2,23,8,8,NULL,4,NULL),(20,317,2,23,9,13,34,6,12),(20,317,2,23,10,1,13,NULL,7),(20,317,2,23,11,11,15,4,5),(20,317,2,23,12,NULL,8,NULL,1),(20,317,2,23,13,24,27,12,11),(20,317,2,23,14,26,32,10,13),(20,317,2,23,15,22,17,12,6),(20,317,2,23,16,21,20,6,7),(20,317,2,23,17,9,11,5,5),(20,317,2,23,18,4,8,1,4),(20,317,2,23,19,9,21,1,6),(20,317,2,23,20,11,29,7,12),(20,317,2,23,21,NULL,2,NULL,2),(20,317,2,23,22,4,22,1,9),(20,317,2,23,23,2,6,NULL,1),(20,317,2,23,24,NULL,2,NULL,NULL),(20,317,2,23,25,6,18,3,7),(20,317,2,23,26,6,8,3,4),(20,317,2,23,27,1,3,NULL,2),(20,317,2,23,28,11,15,5,10),(20,317,2,23,29,1,7,1,2),(20,317,2,23,30,8,14,2,7),(20,317,2,23,31,5,8,1,4),(20,317,2,23,32,4,18,3,3),(20,317,2,23,33,3,33,1,12),(20,317,2,23,34,8,17,3,7),(20,317,2,23,35,NULL,16,NULL,6),(20,317,2,23,36,2,20,NULL,13),(20,317,2,23,37,2,12,1,6),(20,317,2,23,38,3,6,1,4),(20,317,2,23,39,5,8,2,2),(20,317,2,23,40,7,14,5,2),(20,317,2,24,1,2,14,1,6),(20,317,2,24,2,NULL,4,NULL,1),(20,317,2,24,3,7,24,1,9),(20,317,2,24,4,6,11,5,3),(20,317,2,24,5,2,10,1,4),(20,317,2,24,6,5,23,4,12),(20,317,2,24,7,9,11,3,6),(20,317,2,24,8,10,NULL,7,NULL),(20,317,2,24,9,17,31,5,11),(20,317,2,24,10,3,16,3,7),(20,317,2,24,11,12,17,5,7),(20,317,2,24,12,2,14,1,8),(20,317,2,24,13,23,36,9,14),(20,317,2,24,14,19,44,7,14),(20,317,2,24,15,20,14,9,7),(20,317,2,24,16,31,15,13,7),(20,317,2,24,17,9,13,1,5),(20,317,2,24,18,2,21,NULL,12),(20,317,2,24,19,9,25,3,8),(20,317,2,24,20,8,26,4,11),(20,317,2,24,21,1,4,NULL,1),(20,317,2,24,22,2,14,1,5),(20,317,2,24,23,NULL,4,NULL,NULL),(20,317,2,24,24,NULL,5,NULL,1),(20,317,2,24,25,4,30,4,14),(20,317,2,24,26,2,8,1,4),(20,317,2,24,27,1,4,NULL,2),(20,317,2,24,28,6,13,4,3),(20,317,2,24,29,1,4,NULL,1),(20,317,2,24,30,5,7,2,3),(20,317,2,24,31,NULL,7,NULL,6),(20,317,2,24,32,NULL,14,NULL,7),(20,317,2,24,33,8,19,5,8),(20,317,2,24,34,2,12,2,5),(20,317,2,24,35,NULL,18,NULL,8),(20,317,2,24,36,4,20,4,6),(20,317,2,24,37,2,10,2,5),(20,317,2,24,38,NULL,11,NULL,7),(20,317,2,24,39,1,10,1,4),(20,317,2,24,40,4,10,3,4),(20,318,1,11,1,1,NULL,1,NULL),(20,318,1,11,2,NULL,1,NULL,1),(20,318,1,11,3,NULL,NULL,NULL,NULL),(20,318,1,11,4,NULL,NULL,NULL,NULL),(20,318,1,11,5,NULL,NULL,NULL,NULL),(20,318,1,11,6,NULL,1,NULL,1),(20,318,1,11,7,NULL,1,NULL,1),(20,318,1,11,8,NULL,1,NULL,1),(20,318,1,11,9,NULL,1,NULL,1),(20,318,1,11,10,1,NULL,1,NULL),(20,318,1,11,11,NULL,1,NULL,1),(20,318,1,11,12,NULL,1,NULL,1),(20,318,1,11,13,NULL,1,NULL,1),(20,318,1,11,14,NULL,1,NULL,1),(20,318,1,11,15,1,NULL,1,NULL),(20,318,1,11,16,NULL,1,NULL,1),(20,318,1,11,17,NULL,1,NULL,1),(20,318,1,11,18,NULL,1,NULL,1),(20,318,1,11,19,NULL,1,NULL,1),(20,318,1,11,20,1,NULL,1,NULL),(20,318,1,11,21,NULL,NULL,NULL,NULL),(20,318,1,11,22,NULL,NULL,NULL,NULL),(20,318,1,11,23,NULL,1,NULL,1),(20,318,1,11,24,NULL,1,NULL,1),(20,318,1,11,25,NULL,1,NULL,1),(20,318,1,11,26,NULL,NULL,NULL,NULL),(20,318,1,11,27,NULL,1,NULL,1),(20,318,1,11,28,NULL,NULL,NULL,NULL),(20,318,1,11,29,NULL,NULL,NULL,NULL),(20,318,1,11,30,NULL,NULL,NULL,NULL),(20,318,1,11,31,NULL,NULL,NULL,NULL),(20,318,1,11,32,NULL,1,NULL,1),(20,318,1,11,33,1,NULL,1,NULL),(20,318,1,11,34,NULL,NULL,NULL,NULL),(20,318,1,11,35,NULL,1,NULL,1),(20,318,1,11,36,NULL,1,NULL,1),(20,318,1,11,37,NULL,1,NULL,1),(20,318,1,11,38,NULL,NULL,NULL,NULL),(20,318,1,11,39,NULL,1,NULL,1),(20,318,1,11,40,1,NULL,1,NULL),(20,318,1,12,1,NULL,NULL,NULL,NULL),(20,318,1,12,2,NULL,NULL,NULL,NULL),(20,318,1,12,3,NULL,NULL,NULL,NULL),(20,318,1,12,4,NULL,NULL,NULL,NULL),(20,318,1,12,5,NULL,NULL,NULL,NULL),(20,318,1,12,6,NULL,NULL,NULL,NULL),(20,318,1,12,7,NULL,NULL,NULL,NULL),(20,318,1,12,8,NULL,NULL,NULL,NULL),(20,318,1,12,9,NULL,NULL,NULL,NULL),(20,318,1,12,10,NULL,NULL,NULL,NULL),(20,318,1,12,11,NULL,NULL,NULL,NULL),(20,318,1,12,12,NULL,NULL,NULL,NULL),(20,318,1,12,13,NULL,NULL,NULL,NULL),(20,318,1,12,14,NULL,NULL,NULL,NULL),(20,318,1,12,15,NULL,NULL,NULL,NULL),(20,318,1,12,16,NULL,NULL,NULL,NULL),(20,318,1,12,17,NULL,NULL,NULL,NULL),(20,318,1,12,18,NULL,NULL,NULL,NULL),(20,318,1,12,19,NULL,NULL,NULL,NULL),(20,318,1,12,20,NULL,NULL,NULL,NULL),(20,318,1,12,21,NULL,NULL,NULL,NULL),(20,318,1,12,22,NULL,NULL,NULL,NULL),(20,318,1,12,23,NULL,NULL,NULL,NULL),(20,318,1,12,24,NULL,NULL,NULL,NULL),(20,318,1,12,25,NULL,NULL,NULL,NULL),(20,318,1,12,26,NULL,NULL,NULL,NULL),(20,318,1,12,27,NULL,NULL,NULL,NULL),(20,318,1,12,28,NULL,NULL,NULL,NULL),(20,318,1,12,29,NULL,NULL,NULL,NULL),(20,318,1,12,30,NULL,NULL,NULL,NULL),(20,318,1,12,31,NULL,NULL,NULL,NULL),(20,318,1,12,32,NULL,NULL,NULL,NULL),(20,318,1,12,33,NULL,NULL,NULL,NULL),(20,318,1,12,34,NULL,NULL,NULL,NULL),(20,318,1,12,35,NULL,NULL,NULL,NULL),(20,318,1,12,36,NULL,NULL,NULL,NULL),(20,318,1,12,37,NULL,NULL,NULL,NULL),(20,318,1,12,38,NULL,NULL,NULL,NULL),(20,318,1,12,39,NULL,NULL,NULL,NULL),(20,318,1,12,40,NULL,NULL,NULL,NULL),(20,318,1,13,1,NULL,NULL,NULL,NULL),(20,318,1,13,2,NULL,NULL,NULL,NULL),(20,318,1,13,3,NULL,NULL,NULL,NULL),(20,318,1,13,4,NULL,NULL,NULL,NULL),(20,318,1,13,5,NULL,NULL,NULL,NULL),(20,318,1,13,6,NULL,NULL,NULL,NULL),(20,318,1,13,7,NULL,NULL,NULL,NULL),(20,318,1,13,8,1,NULL,NULL,NULL),(20,318,1,13,9,NULL,1,NULL,NULL),(20,318,1,13,10,NULL,1,NULL,NULL),(20,318,1,13,11,NULL,NULL,NULL,NULL),(20,318,1,13,12,NULL,NULL,NULL,NULL),(20,318,1,13,13,NULL,NULL,NULL,NULL),(20,318,1,13,14,NULL,1,NULL,NULL),(20,318,1,13,15,1,NULL,NULL,NULL),(20,318,1,13,16,NULL,NULL,NULL,NULL),(20,318,1,13,17,NULL,NULL,NULL,NULL),(20,318,1,13,18,NULL,1,NULL,NULL),(20,318,1,13,19,NULL,NULL,NULL,NULL),(20,318,1,13,20,NULL,NULL,NULL,NULL),(20,318,1,13,21,NULL,1,NULL,NULL),(20,318,1,13,22,NULL,NULL,NULL,NULL),(20,318,1,13,23,NULL,NULL,NULL,NULL),(20,318,1,13,24,1,NULL,NULL,NULL),(20,318,1,13,25,NULL,NULL,NULL,NULL),(20,318,1,13,26,NULL,NULL,NULL,NULL),(20,318,1,13,27,NULL,NULL,NULL,NULL),(20,318,1,13,28,NULL,NULL,NULL,NULL),(20,318,1,13,29,NULL,NULL,NULL,NULL),(20,318,1,13,30,NULL,NULL,NULL,NULL),(20,318,1,13,31,NULL,NULL,NULL,NULL),(20,318,1,13,32,NULL,NULL,NULL,NULL),(20,318,1,13,33,NULL,NULL,NULL,NULL),(20,318,1,13,34,NULL,NULL,NULL,NULL),(20,318,1,13,35,NULL,NULL,NULL,NULL),(20,318,1,13,36,NULL,NULL,NULL,NULL),(20,318,1,13,37,NULL,1,NULL,NULL),(20,318,1,13,38,NULL,NULL,NULL,NULL),(20,318,1,13,39,NULL,1,NULL,NULL),(20,318,1,13,40,NULL,1,NULL,NULL),(20,318,1,14,1,8,9,6,3),(20,318,1,14,2,4,8,2,4),(20,318,1,14,3,8,6,1,5),(20,318,1,14,4,2,10,1,6),(20,318,1,14,5,12,8,10,6),(20,318,1,14,6,16,25,6,17),(20,318,1,14,7,8,16,8,9),(20,318,1,14,8,16,6,10,3),(20,318,1,14,9,17,25,9,14),(20,318,1,14,10,9,5,5,4),(20,318,1,14,11,3,5,3,3),(20,318,1,14,12,7,11,6,5),(20,318,1,14,13,31,10,21,6),(20,318,1,14,14,28,19,20,6),(20,318,1,14,15,14,8,11,4),(20,318,1,14,16,35,9,20,5),(20,318,1,14,17,17,23,14,10),(20,318,1,14,18,24,12,15,8),(20,318,1,14,19,28,7,23,1),(20,318,1,14,20,30,10,19,7),(20,318,1,14,21,2,11,1,5),(20,318,1,14,22,6,15,3,11),(20,318,1,14,23,6,25,3,14),(20,318,1,14,24,4,22,3,15),(20,318,1,14,25,6,26,2,14),(20,318,1,14,26,6,NULL,4,NULL),(20,318,1,14,27,4,18,3,11),(20,318,1,14,28,2,7,1,6),(20,318,1,14,29,3,5,NULL,3),(20,318,1,14,30,3,13,3,10),(20,318,1,14,31,9,17,6,8),(20,318,1,14,32,14,9,9,4),(20,318,1,14,33,8,10,8,8),(20,318,1,14,34,NULL,9,NULL,6),(20,318,1,14,35,7,16,3,9),(20,318,1,14,36,17,18,16,8),(20,318,1,14,37,23,14,15,9),(20,318,1,14,38,3,8,2,6),(20,318,1,14,39,36,16,20,7),(20,318,1,14,40,11,6,10,3),(20,318,1,15,1,9,14,6,9),(20,318,1,15,2,5,8,3,6),(20,318,1,15,3,4,8,3,4),(20,318,1,15,4,6,11,1,6),(20,318,1,15,5,10,17,6,12),(20,318,1,15,6,22,28,10,17),(20,318,1,15,7,9,10,6,5),(20,318,1,15,8,19,6,13,2),(20,318,1,15,9,19,20,12,12),(20,318,1,15,10,4,11,4,7),(20,318,1,15,11,3,6,2,4),(20,318,1,15,12,3,9,2,6),(20,318,1,15,13,30,10,20,5),(20,318,1,15,14,28,19,16,7),(20,318,1,15,15,15,17,10,7),(20,318,1,15,16,32,8,23,4),(20,318,1,15,17,15,28,11,14),(20,318,1,15,18,29,9,19,5),(20,318,1,15,19,30,8,16,4),(20,318,1,15,20,30,16,18,7),(20,318,1,15,21,2,14,1,6),(20,318,1,15,22,6,16,2,12),(20,318,1,15,23,4,23,1,12),(20,318,1,15,24,7,13,3,8),(20,318,1,15,25,12,28,7,15),(20,318,1,15,26,9,NULL,5,NULL),(20,318,1,15,27,8,17,5,11),(20,318,1,15,28,4,4,3,3),(20,318,1,15,29,8,7,5,3),(20,318,1,15,30,1,14,1,9),(20,318,1,15,31,12,19,5,12),(20,318,1,15,32,12,9,6,7),(20,318,1,15,33,9,8,9,7),(20,318,1,15,34,2,7,1,3),(20,318,1,15,35,6,17,1,9),(20,318,1,15,36,14,20,8,13),(20,318,1,15,37,20,16,12,9),(20,318,1,15,38,3,10,NULL,7),(20,318,1,15,39,28,25,16,13),(20,318,1,15,40,11,3,9,2),(20,318,1,16,1,6,5,1,1),(20,318,1,16,2,3,5,1,3),(20,318,1,16,3,3,7,1,2),(20,318,1,16,4,5,9,1,2),(20,318,1,16,5,8,13,2,2),(20,318,1,16,6,13,15,6,3),(20,318,1,16,7,5,9,2,2),(20,318,1,16,8,14,7,5,4),(20,318,1,16,9,11,23,4,1),(20,318,1,16,10,2,9,NULL,5),(20,318,1,16,11,4,6,1,2),(20,318,1,16,12,3,7,NULL,3),(20,318,1,16,13,18,14,7,3),(20,318,1,16,14,3,5,1,1),(20,318,1,16,15,17,8,4,3),(20,318,1,16,16,2,10,NULL,NULL),(20,318,1,16,17,29,20,7,6),(20,318,1,16,18,2,9,1,2),(20,318,1,16,19,21,9,3,2),(20,318,1,16,20,4,14,NULL,5),(20,318,1,16,21,4,12,1,3),(20,318,1,16,22,1,15,NULL,5),(20,318,1,16,23,7,22,1,11),(20,318,1,16,24,6,11,1,5),(20,318,1,16,25,7,18,1,9),(20,318,1,16,26,3,NULL,1,NULL),(20,318,1,16,27,10,15,2,6),(20,318,1,16,28,1,5,NULL,4),(20,318,1,16,29,1,11,NULL,4),(20,318,1,16,30,3,8,NULL,4),(20,318,1,16,31,8,12,2,2),(20,318,1,16,32,6,7,1,4),(20,318,1,16,33,NULL,3,NULL,NULL),(20,318,1,16,34,NULL,6,NULL,1),(20,318,1,16,35,4,13,NULL,3),(20,318,1,16,36,6,18,3,3),(20,318,1,16,37,9,20,4,7),(20,318,1,16,38,2,5,NULL,1),(20,318,1,16,39,24,16,9,5),(20,318,1,16,40,4,6,NULL,5),(20,318,1,17,1,7,9,3,4),(20,318,1,17,2,4,5,2,NULL),(20,318,1,17,3,1,6,NULL,3),(20,318,1,17,4,2,8,2,3),(20,318,1,17,5,6,8,4,2),(20,318,1,17,6,9,19,5,5),(20,318,1,17,7,4,9,2,6),(20,318,1,17,8,15,7,8,2),(20,318,1,17,9,4,18,1,5),(20,318,1,17,10,1,7,NULL,2),(20,318,1,17,11,2,5,1,4),(20,318,1,17,12,4,7,3,2),(20,318,1,17,13,16,14,8,5),(20,318,1,17,14,5,3,5,1),(20,318,1,17,15,11,5,3,2),(20,318,1,17,16,2,11,NULL,5),(20,318,1,17,17,13,17,6,8),(20,318,1,17,18,3,6,1,3),(20,318,1,17,19,13,13,7,4),(20,318,1,17,20,1,8,NULL,2),(20,318,1,17,21,4,7,2,2),(20,318,1,17,22,4,10,1,6),(20,318,1,17,23,4,21,NULL,12),(20,318,1,17,24,1,7,NULL,6),(20,318,1,17,25,1,12,NULL,5),(20,318,1,17,26,1,NULL,1,NULL),(20,318,1,17,27,2,9,NULL,6),(20,318,1,17,28,1,7,1,3),(20,318,1,17,29,2,11,NULL,5),(20,318,1,17,30,4,6,1,3),(20,318,1,17,31,4,11,2,2),(20,318,1,17,32,6,7,1,3),(20,318,1,17,33,2,4,2,1),(20,318,1,17,34,3,5,NULL,2),(20,318,1,17,35,6,10,1,3),(20,318,1,17,36,1,14,NULL,8),(20,318,1,17,37,12,7,5,4),(20,318,1,17,38,1,3,NULL,NULL),(20,318,1,17,39,10,16,5,7),(20,318,1,17,40,7,3,4,1),(20,318,2,21,1,4,15,2,9),(20,318,2,21,2,2,4,2,2),(20,318,2,21,3,10,15,4,9),(20,318,2,21,4,7,14,5,7),(20,318,2,21,5,3,8,2,6),(20,318,2,21,6,11,15,8,10),(20,318,2,21,7,11,8,6,7),(20,318,2,21,8,11,NULL,9,NULL),(20,318,2,21,9,16,27,4,9),(20,318,2,21,10,1,17,1,12),(20,318,2,21,11,11,7,7,4),(20,318,2,21,12,3,12,1,10),(20,318,2,21,13,36,12,19,4),(20,318,2,21,14,30,20,13,11),(20,318,2,21,15,33,11,15,7),(20,318,2,21,16,23,16,11,11),(20,318,2,21,17,11,6,5,2),(20,318,2,21,18,1,19,1,10),(20,318,2,21,19,7,23,2,9),(20,318,2,21,20,12,16,7,10),(20,318,2,21,21,NULL,2,NULL,2),(20,318,2,21,22,5,11,2,8),(20,318,2,21,23,NULL,5,NULL,2),(20,318,2,21,24,NULL,4,NULL,2),(20,318,2,21,25,9,17,2,8),(20,318,2,21,26,4,7,4,5),(20,318,2,21,27,1,10,1,5),(20,318,2,21,28,10,13,6,10),(20,318,2,21,29,1,9,NULL,3),(20,318,2,21,30,1,7,NULL,5),(20,318,2,21,31,5,7,2,4),(20,318,2,21,32,5,13,3,8),(20,318,2,21,33,7,21,3,9),(20,318,2,21,34,4,13,4,5),(20,318,2,21,35,1,9,NULL,6),(20,318,2,21,36,3,17,3,11),(20,318,2,21,37,1,9,NULL,6),(20,318,2,21,38,NULL,9,NULL,5),(20,318,2,21,39,1,3,1,1),(20,318,2,21,40,11,15,5,7),(20,318,2,22,1,6,11,1,7),(20,318,2,22,2,1,6,1,3),(20,318,2,22,3,10,21,4,8),(20,318,2,22,4,4,11,2,4),(20,318,2,22,5,3,7,1,2),(20,318,2,22,6,14,16,9,6),(20,318,2,22,7,2,19,NULL,11),(20,318,2,22,8,11,NULL,6,NULL),(20,318,2,22,9,18,25,8,7),(20,318,2,22,10,2,23,2,12),(20,318,2,22,11,22,7,9,2),(20,318,2,22,12,1,12,NULL,5),(20,318,2,22,13,25,24,12,6),(20,318,2,22,14,22,23,9,11),(20,318,2,22,15,23,15,12,3),(20,318,2,22,16,12,17,4,8),(20,318,2,22,17,8,10,4,5),(20,318,2,22,18,1,17,NULL,9),(20,318,2,22,19,1,21,NULL,9),(20,318,2,22,20,15,17,9,6),(20,318,2,22,21,1,2,1,1),(20,318,2,22,22,1,14,1,4),(20,318,2,22,23,1,6,1,1),(20,318,2,22,24,1,4,NULL,2),(20,318,2,22,25,7,18,5,8),(20,318,2,22,26,6,NULL,5,NULL),(20,318,2,22,27,3,5,2,3),(20,318,2,22,28,11,12,4,7),(20,318,2,22,29,NULL,11,NULL,7),(20,318,2,22,30,3,6,2,2),(20,318,2,22,31,2,8,2,4),(20,318,2,22,32,2,16,NULL,5),(20,318,2,22,33,8,18,3,8),(20,318,2,22,34,4,17,1,7),(20,318,2,22,35,5,13,4,7),(20,318,2,22,36,4,21,3,7),(20,318,2,22,37,1,15,1,8),(20,318,2,22,38,NULL,7,NULL,3),(20,318,2,22,39,3,5,2,2),(20,318,2,22,40,6,19,5,9),(20,318,2,23,1,2,5,1,2),(20,318,2,23,2,2,2,NULL,1),(20,318,2,23,3,7,15,3,5),(20,318,2,23,4,3,10,2,3),(20,318,2,23,5,1,4,NULL,2),(20,318,2,23,6,12,7,6,4),(20,318,2,23,7,7,11,5,6),(20,318,2,23,8,17,NULL,9,NULL),(20,318,2,23,9,20,21,7,8),(20,318,2,23,10,3,12,3,6),(20,318,2,23,11,11,7,4,2),(20,318,2,23,12,3,11,3,3),(20,318,2,23,13,16,21,8,8),(20,318,2,23,14,23,22,6,12),(20,318,2,23,15,15,18,9,7),(20,318,2,23,16,18,10,5,7),(20,318,2,23,17,4,5,3,2),(20,318,2,23,18,2,10,1,4),(20,318,2,23,19,6,17,3,7),(20,318,2,23,20,19,16,10,6),(20,318,2,23,21,NULL,5,NULL,2),(20,318,2,23,22,3,13,NULL,6),(20,318,2,23,23,1,6,NULL,2),(20,318,2,23,24,NULL,2,NULL,1),(20,318,2,23,25,7,20,3,7),(20,318,2,23,26,5,5,2,3),(20,318,2,23,27,3,1,1,1),(20,318,2,23,28,7,6,3,4),(20,318,2,23,29,2,5,NULL,3),(20,318,2,23,30,6,7,3,2),(20,318,2,23,31,3,7,1,5),(20,318,2,23,32,2,14,2,7),(20,318,2,23,33,8,20,4,8),(20,318,2,23,34,5,10,2,4),(20,318,2,23,35,2,13,1,7),(20,318,2,23,36,5,11,1,6),(20,318,2,23,37,1,7,NULL,4),(20,318,2,23,38,2,6,1,4),(20,318,2,23,39,NULL,5,NULL,2),(20,318,2,23,40,5,7,5,4),(20,318,2,24,1,2,12,NULL,7),(20,318,2,24,2,2,3,2,NULL),(20,318,2,24,3,10,18,5,7),(20,318,2,24,4,6,8,4,3),(20,318,2,24,5,NULL,5,NULL,4),(20,318,2,24,6,13,14,10,7),(20,318,2,24,7,6,7,5,3),(20,318,2,24,8,11,NULL,6,NULL),(20,318,2,24,9,15,22,10,7),(20,318,2,24,10,NULL,14,NULL,7),(20,318,2,24,11,6,9,5,3),(20,318,2,24,12,7,9,1,5),(20,318,2,24,13,24,17,14,9),(20,318,2,24,14,13,26,6,12),(20,318,2,24,15,20,10,11,4),(20,318,2,24,16,13,16,8,5),(20,318,2,24,17,12,4,10,3),(20,318,2,24,18,2,13,1,9),(20,318,2,24,19,8,19,8,7),(20,318,2,24,20,14,20,7,9),(20,318,2,24,21,1,3,NULL,2),(20,318,2,24,22,1,7,1,4),(20,318,2,24,23,1,2,NULL,NULL),(20,318,2,24,24,1,1,NULL,NULL),(20,318,2,24,25,3,13,2,7),(20,318,2,24,26,1,3,1,1),(20,318,2,24,27,1,2,1,1),(20,318,2,24,28,14,11,9,7),(20,318,2,24,29,NULL,6,NULL,3),(20,318,2,24,30,3,3,2,1),(20,318,2,24,31,NULL,11,NULL,4),(20,318,2,24,32,3,15,1,4),(20,318,2,24,33,8,19,1,9),(20,318,2,24,34,6,13,4,4),(20,318,2,24,35,1,18,1,9),(20,318,2,24,36,5,8,3,4),(20,318,2,24,37,1,5,NULL,5),(20,318,2,24,38,2,8,2,5),(20,318,2,24,39,3,3,3,2),(20,318,2,24,40,4,9,2,5),(20,319,1,11,1,NULL,NULL,NULL,NULL),(20,319,1,11,2,NULL,NULL,NULL,NULL),(20,319,1,11,3,NULL,NULL,NULL,NULL),(20,319,1,11,4,NULL,NULL,NULL,NULL),(20,319,1,11,5,NULL,NULL,NULL,NULL),(20,319,1,11,6,NULL,NULL,NULL,NULL),(20,319,1,11,7,NULL,NULL,NULL,NULL),(20,319,1,11,8,NULL,NULL,NULL,NULL),(20,319,1,11,9,NULL,NULL,NULL,NULL),(20,319,1,11,10,NULL,NULL,NULL,NULL),(20,319,1,11,11,NULL,NULL,NULL,NULL),(20,319,1,11,12,NULL,NULL,NULL,NULL),(20,319,1,11,13,NULL,NULL,NULL,NULL),(20,319,1,11,14,NULL,NULL,NULL,NULL),(20,319,1,11,15,NULL,NULL,NULL,NULL),(20,319,1,11,16,NULL,NULL,NULL,NULL),(20,319,1,11,17,NULL,NULL,NULL,NULL),(20,319,1,11,18,NULL,NULL,NULL,NULL),(20,319,1,11,19,NULL,NULL,NULL,NULL),(20,319,1,11,20,NULL,NULL,NULL,NULL),(20,319,1,11,21,NULL,NULL,NULL,NULL),(20,319,1,11,22,NULL,NULL,NULL,NULL),(20,319,1,11,23,NULL,NULL,NULL,NULL),(20,319,1,11,24,NULL,NULL,NULL,NULL),(20,319,1,11,25,NULL,NULL,NULL,NULL),(20,319,1,11,26,NULL,NULL,NULL,NULL),(20,319,1,11,27,NULL,NULL,NULL,NULL),(20,319,1,11,28,NULL,NULL,NULL,NULL),(20,319,1,11,29,NULL,NULL,NULL,NULL),(20,319,1,11,30,NULL,NULL,NULL,NULL),(20,319,1,11,31,NULL,NULL,NULL,NULL),(20,319,1,11,32,NULL,NULL,NULL,NULL),(20,319,1,11,33,NULL,NULL,NULL,NULL),(20,319,1,11,34,NULL,NULL,NULL,NULL),(20,319,1,11,35,NULL,NULL,NULL,NULL),(20,319,1,11,36,NULL,NULL,NULL,NULL),(20,319,1,11,37,NULL,NULL,NULL,NULL),(20,319,1,11,38,NULL,NULL,NULL,NULL),(20,319,1,11,39,NULL,NULL,NULL,NULL),(20,319,1,11,40,NULL,NULL,NULL,NULL),(20,319,1,12,1,NULL,1,NULL,1),(20,319,1,12,2,2,NULL,NULL,NULL),(20,319,1,12,3,NULL,1,NULL,NULL),(20,319,1,12,4,NULL,1,NULL,1),(20,319,1,12,5,2,1,NULL,1),(20,319,1,12,6,1,2,NULL,1),(20,319,1,12,7,2,1,NULL,1),(20,319,1,12,8,NULL,1,NULL,1),(20,319,1,12,9,3,NULL,1,NULL),(20,319,1,12,10,1,NULL,1,NULL),(20,319,1,12,11,NULL,1,NULL,NULL),(20,319,1,12,12,NULL,1,NULL,NULL),(20,319,1,12,13,1,2,NULL,1),(20,319,1,12,14,2,1,NULL,1),(20,319,1,12,15,3,NULL,1,NULL),(20,319,1,12,16,1,NULL,NULL,NULL),(20,319,1,12,17,3,1,NULL,1),(20,319,1,12,18,4,NULL,1,NULL),(20,319,1,12,19,3,NULL,1,NULL),(20,319,1,12,20,3,NULL,1,NULL),(20,319,1,12,21,NULL,NULL,NULL,NULL),(20,319,1,12,22,1,1,NULL,1),(20,319,1,12,23,NULL,1,NULL,1),(20,319,1,12,24,NULL,1,NULL,1),(20,319,1,12,25,NULL,2,NULL,1),(20,319,1,12,26,NULL,NULL,NULL,NULL),(20,319,1,12,27,NULL,1,NULL,NULL),(20,319,1,12,28,NULL,1,NULL,1),(20,319,1,12,29,1,1,NULL,1),(20,319,1,12,30,NULL,1,NULL,1),(20,319,1,12,31,1,1,1,NULL),(20,319,1,12,32,NULL,1,NULL,1),(20,319,1,12,33,NULL,2,NULL,1),(20,319,1,12,34,NULL,1,NULL,1),(20,319,1,12,35,1,1,NULL,NULL),(20,319,1,12,36,1,2,NULL,1),(20,319,1,12,37,NULL,1,NULL,1),(20,319,1,12,38,NULL,NULL,NULL,NULL),(20,319,1,12,39,2,NULL,1,NULL),(20,319,1,12,40,NULL,NULL,NULL,NULL),(20,319,1,13,1,NULL,2,NULL,NULL),(20,319,1,13,2,NULL,NULL,NULL,NULL),(20,319,1,13,3,NULL,NULL,NULL,NULL),(20,319,1,13,4,NULL,2,NULL,NULL),(20,319,1,13,5,NULL,2,NULL,NULL),(20,319,1,13,6,1,2,NULL,NULL),(20,319,1,13,7,2,NULL,NULL,NULL),(20,319,1,13,8,2,NULL,NULL,NULL),(20,319,1,13,9,1,1,NULL,NULL),(20,319,1,13,10,1,NULL,NULL,NULL),(20,319,1,13,11,NULL,2,NULL,NULL),(20,319,1,13,12,NULL,NULL,NULL,NULL),(20,319,1,13,13,2,NULL,NULL,NULL),(20,319,1,13,14,1,NULL,NULL,NULL),(20,319,1,13,15,2,NULL,NULL,NULL),(20,319,1,13,16,1,1,NULL,NULL),(20,319,1,13,17,1,1,NULL,NULL),(20,319,1,13,18,1,1,NULL,NULL),(20,319,1,13,19,2,NULL,NULL,NULL),(20,319,1,13,20,2,NULL,NULL,NULL),(20,319,1,13,21,NULL,1,NULL,NULL),(20,319,1,13,22,NULL,NULL,NULL,NULL),(20,319,1,13,23,NULL,NULL,NULL,NULL),(20,319,1,13,24,NULL,NULL,NULL,NULL),(20,319,1,13,25,NULL,NULL,NULL,NULL),(20,319,1,13,26,NULL,NULL,NULL,NULL),(20,319,1,13,27,NULL,NULL,NULL,NULL),(20,319,1,13,28,NULL,1,NULL,NULL),(20,319,1,13,29,NULL,NULL,NULL,NULL),(20,319,1,13,30,NULL,1,NULL,NULL),(20,319,1,13,31,1,1,NULL,NULL),(20,319,1,13,32,NULL,NULL,NULL,NULL),(20,319,1,13,33,NULL,NULL,NULL,NULL),(20,319,1,13,34,NULL,1,NULL,NULL),(20,319,1,13,35,1,NULL,NULL,NULL),(20,319,1,13,36,1,1,NULL,NULL),(20,319,1,13,37,1,NULL,NULL,NULL),(20,319,1,13,38,NULL,NULL,NULL,NULL),(20,319,1,13,39,2,NULL,NULL,NULL),(20,319,1,13,40,1,NULL,NULL,NULL),(20,319,1,14,1,36,27,15,7),(20,319,1,14,2,13,18,5,11),(20,319,1,14,3,17,42,6,16),(20,319,1,14,4,14,42,6,16),(20,319,1,14,5,33,43,12,12),(20,319,1,14,6,64,55,16,18),(20,319,1,14,7,31,32,13,14),(20,319,1,14,8,57,26,24,6),(20,319,1,14,9,60,56,20,11),(20,319,1,14,10,32,18,19,4),(20,319,1,14,11,4,19,2,11),(20,319,1,14,12,29,29,10,10),(20,319,1,14,13,67,34,28,9),(20,319,1,14,14,65,50,23,11),(20,319,1,14,15,46,26,22,6),(20,319,1,14,16,93,27,32,4),(20,319,1,14,17,44,56,17,17),(20,319,1,14,18,73,28,29,7),(20,319,1,14,19,73,13,26,3),(20,319,1,14,20,86,34,31,5),(20,319,1,14,21,6,20,1,8),(20,319,1,14,22,8,46,5,25),(20,319,1,14,23,15,69,7,16),(20,319,1,14,24,7,36,5,15),(20,319,1,14,25,22,43,12,13),(20,319,1,14,26,19,NULL,11,NULL),(20,319,1,14,27,17,51,9,18),(20,319,1,14,28,2,27,2,16),(20,319,1,14,29,7,33,NULL,8),(20,319,1,14,30,6,36,1,11),(20,319,1,14,31,26,40,8,16),(20,319,1,14,32,35,16,18,2),(20,319,1,14,33,21,22,11,9),(20,319,1,14,34,8,23,4,13),(20,319,1,14,35,36,45,15,10),(20,319,1,14,36,46,53,22,12),(20,319,1,14,37,35,46,11,16),(20,319,1,14,38,5,29,2,10),(20,319,1,14,39,60,57,20,18),(20,319,1,14,40,54,7,30,2),(20,319,1,15,1,24,32,5,7),(20,319,1,15,2,16,16,8,3),(20,319,1,15,3,17,36,5,8),(20,319,1,15,4,12,41,3,8),(20,319,1,15,5,38,44,10,10),(20,319,1,15,6,66,45,14,8),(20,319,1,15,7,18,25,6,6),(20,319,1,15,8,62,17,16,NULL),(20,319,1,15,9,42,63,12,8),(20,319,1,15,10,21,18,5,1),(20,319,1,15,11,8,11,4,4),(20,319,1,15,12,28,25,14,1),(20,319,1,15,13,59,36,14,7),(20,319,1,15,14,57,44,17,5),(20,319,1,15,15,35,24,15,NULL),(20,319,1,15,16,65,20,20,2),(20,319,1,15,17,28,49,11,6),(20,319,1,15,18,66,34,19,4),(20,319,1,15,19,53,16,19,1),(20,319,1,15,20,62,33,14,5),(20,319,1,15,21,5,24,1,7),(20,319,1,15,22,9,34,4,12),(20,319,1,15,23,11,53,1,11),(20,319,1,15,24,12,33,3,10),(20,319,1,15,25,25,36,12,6),(20,319,1,15,26,11,NULL,5,NULL),(20,319,1,15,27,12,25,2,6),(20,319,1,15,28,7,17,2,6),(20,319,1,15,29,7,21,1,4),(20,319,1,15,30,9,21,3,4),(20,319,1,15,31,28,36,9,7),(20,319,1,15,32,18,21,7,4),(20,319,1,15,33,20,25,11,8),(20,319,1,15,34,5,24,1,7),(20,319,1,15,35,33,34,7,7),(20,319,1,15,36,40,38,14,10),(20,319,1,15,37,46,36,13,7),(20,319,1,15,38,2,22,NULL,7),(20,319,1,15,39,62,35,17,5),(20,319,1,15,40,43,6,16,NULL),(20,319,1,16,1,19,24,3,2),(20,319,1,16,2,13,11,6,NULL),(20,319,1,16,3,10,36,1,6),(20,319,1,16,4,6,33,1,5),(20,319,1,16,5,30,34,6,4),(20,319,1,16,6,49,47,7,4),(20,319,1,16,7,13,23,6,NULL),(20,319,1,16,8,57,22,7,4),(20,319,1,16,9,30,56,6,6),(20,319,1,16,10,20,13,7,3),(20,319,1,16,11,6,22,NULL,5),(20,319,1,16,12,17,21,5,2),(20,319,1,16,13,43,46,7,6),(20,319,1,16,14,14,10,3,3),(20,319,1,16,15,46,14,5,3),(20,319,1,16,16,10,33,2,5),(20,319,1,16,17,63,52,7,7),(20,319,1,16,18,14,26,2,6),(20,319,1,16,19,41,37,4,3),(20,319,1,16,20,4,29,NULL,5),(20,319,1,16,21,6,19,NULL,2),(20,319,1,16,22,5,15,1,4),(20,319,1,16,23,9,47,NULL,7),(20,319,1,16,24,9,23,3,4),(20,319,1,16,25,9,29,3,7),(20,319,1,16,26,13,NULL,1,NULL),(20,319,1,16,27,12,28,3,6),(20,319,1,16,28,2,10,1,3),(20,319,1,16,29,4,25,NULL,6),(20,319,1,16,30,5,13,1,3),(20,319,1,16,31,23,34,4,4),(20,319,1,16,32,17,19,2,5),(20,319,1,16,33,8,15,3,2),(20,319,1,16,34,7,18,1,4),(20,319,1,16,35,26,33,3,4),(20,319,1,16,36,29,33,9,3),(20,319,1,16,37,23,34,3,8),(20,319,1,16,38,7,10,NULL,3),(20,319,1,16,39,53,35,8,5),(20,319,1,16,40,26,15,7,1),(20,319,1,17,1,14,25,3,1),(20,319,1,17,2,5,10,1,2),(20,319,1,17,3,10,27,2,3),(20,319,1,17,4,12,36,NULL,5),(20,319,1,17,5,21,36,3,2),(20,319,1,17,6,50,45,5,2),(20,319,1,17,7,9,28,2,5),(20,319,1,17,8,54,16,5,4),(20,319,1,17,9,30,57,5,4),(20,319,1,17,10,17,16,4,3),(20,319,1,17,11,5,12,1,1),(20,319,1,17,12,18,25,3,2),(20,319,1,17,13,35,34,3,3),(20,319,1,17,14,12,20,NULL,3),(20,319,1,17,15,37,9,5,1),(20,319,1,17,16,9,23,2,2),(20,319,1,17,17,60,58,2,7),(20,319,1,17,18,8,33,2,3),(20,319,1,17,19,57,31,3,4),(20,319,1,17,20,7,31,NULL,1),(20,319,1,17,21,5,13,NULL,NULL),(20,319,1,17,22,10,29,1,5),(20,319,1,17,23,5,42,1,6),(20,319,1,17,24,10,16,2,7),(20,319,1,17,25,5,31,3,6),(20,319,1,17,26,8,NULL,1,NULL),(20,319,1,17,27,11,30,NULL,7),(20,319,1,17,28,3,14,NULL,4),(20,319,1,17,29,12,24,NULL,NULL),(20,319,1,17,30,4,23,NULL,4),(20,319,1,17,31,10,36,NULL,6),(20,319,1,17,32,15,16,5,2),(20,319,1,17,33,10,18,5,3),(20,319,1,17,34,10,11,NULL,1),(20,319,1,17,35,25,35,5,4),(20,319,1,17,36,25,33,4,3),(20,319,1,17,37,34,29,2,5),(20,319,1,17,38,2,10,NULL,1),(20,319,1,17,39,29,38,4,5),(20,319,1,17,40,27,13,7,1),(20,319,2,21,1,8,17,3,5),(20,319,2,21,2,7,9,2,3),(20,319,2,21,3,18,42,3,10),(20,319,2,21,4,16,19,4,3),(20,319,2,21,5,7,7,3,2),(20,319,2,21,6,27,37,6,11),(20,319,2,21,7,16,31,4,8),(20,319,2,21,8,19,NULL,9,NULL),(20,319,2,21,9,39,55,10,8),(20,319,2,21,10,4,35,1,9),(20,319,2,21,11,13,19,3,4),(20,319,2,21,12,9,18,5,2),(20,319,2,21,13,53,36,18,5),(20,319,2,21,14,67,55,12,10),(20,319,2,21,15,46,32,13,6),(20,319,2,21,16,46,37,7,8),(20,319,2,21,17,18,18,7,2),(20,319,2,21,18,6,29,2,8),(20,319,2,21,19,16,45,5,10),(20,319,2,21,20,23,37,8,9),(20,319,2,21,21,NULL,6,NULL,3),(20,319,2,21,22,7,22,1,1),(20,319,2,21,23,2,10,2,2),(20,319,2,21,24,2,8,NULL,4),(20,319,2,21,25,15,34,6,10),(20,319,2,21,26,5,13,5,3),(20,319,2,21,27,3,13,3,8),(20,319,2,21,28,22,19,8,6),(20,319,2,21,29,3,16,NULL,4),(20,319,2,21,30,6,12,4,NULL),(20,319,2,21,31,10,25,3,11),(20,319,2,21,32,11,34,5,7),(20,319,2,21,33,23,38,3,9),(20,319,2,21,34,17,16,5,5),(20,319,2,21,35,3,28,2,8),(20,319,2,21,36,13,25,6,4),(20,319,2,21,37,8,19,4,4),(20,319,2,21,38,3,23,2,7),(20,319,2,21,39,5,16,2,6),(20,319,2,21,40,17,23,8,5),(20,319,2,22,1,15,28,4,6),(20,319,2,22,2,4,12,2,2),(20,319,2,22,3,11,45,2,12),(20,319,2,22,4,14,18,3,2),(20,319,2,22,5,6,20,5,6),(20,319,2,22,6,32,35,9,11),(20,319,2,22,7,18,30,8,5),(20,319,2,22,8,16,NULL,9,NULL),(20,319,2,22,9,33,61,6,11),(20,319,2,22,10,3,32,2,10),(20,319,2,22,11,20,31,6,5),(20,319,2,22,12,11,22,4,7),(20,319,2,22,13,50,62,11,11),(20,319,2,22,14,68,53,13,10),(20,319,2,22,15,54,31,13,7),(20,319,2,22,16,40,34,6,5),(20,319,2,22,17,17,28,5,5),(20,319,2,22,18,5,26,4,6),(20,319,2,22,19,10,56,1,11),(20,319,2,22,20,27,35,7,7),(20,319,2,22,21,NULL,8,NULL,1),(20,319,2,22,22,9,25,3,4),(20,319,2,22,23,1,12,1,3),(20,319,2,22,24,3,3,NULL,1),(20,319,2,22,25,18,46,5,14),(20,319,2,22,26,6,21,4,4),(20,319,2,22,27,1,17,1,5),(20,319,2,22,28,24,23,11,4),(20,319,2,22,29,1,12,NULL,2),(20,319,2,22,30,7,10,2,3),(20,319,2,22,31,5,39,1,12),(20,319,2,22,32,10,38,4,6),(20,319,2,22,33,21,41,4,10),(20,319,2,22,34,13,20,4,4),(20,319,2,22,35,6,39,2,10),(20,319,2,22,36,18,28,8,6),(20,319,2,22,37,7,22,3,7),(20,319,2,22,38,1,29,NULL,8),(20,319,2,22,39,4,12,4,3),(20,319,2,22,40,19,23,8,4),(20,319,2,23,1,6,23,1,1),(20,319,2,23,2,5,18,2,2),(20,319,2,23,3,21,39,3,9),(20,319,2,23,4,13,19,5,3),(20,319,2,23,5,1,19,NULL,4),(20,319,2,23,6,24,33,8,6),(20,319,2,23,7,17,33,4,6),(20,319,2,23,8,19,NULL,7,NULL),(20,319,2,23,9,31,67,1,11),(20,319,2,23,10,3,38,1,7),(20,319,2,23,11,21,19,8,2),(20,319,2,23,12,2,27,1,3),(20,319,2,23,13,49,52,15,2),(20,319,2,23,14,45,65,9,7),(20,319,2,23,15,34,26,12,3),(20,319,2,23,16,35,33,7,4),(20,319,2,23,17,23,21,7,4),(20,319,2,23,18,6,26,NULL,11),(20,319,2,23,19,14,43,2,9),(20,319,2,23,20,21,34,5,6),(20,319,2,23,21,NULL,5,NULL,NULL),(20,319,2,23,22,10,35,1,5),(20,319,2,23,23,2,15,1,2),(20,319,2,23,24,3,8,NULL,1),(20,319,2,23,25,20,30,8,5),(20,319,2,23,26,3,17,1,5),(20,319,2,23,27,3,15,1,4),(20,319,2,23,28,21,20,8,2),(20,319,2,23,29,3,17,NULL,6),(20,319,2,23,30,10,13,2,NULL),(20,319,2,23,31,8,24,1,7),(20,319,2,23,32,12,26,2,8),(20,319,2,23,33,10,54,2,6),(20,319,2,23,34,16,34,6,8),(20,319,2,23,35,3,29,1,5),(20,319,2,23,36,10,37,6,4),(20,319,2,23,37,11,25,1,7),(20,319,2,23,38,2,20,NULL,6),(20,319,2,23,39,2,17,1,4),(20,319,2,23,40,15,32,7,4),(20,319,2,24,1,5,27,1,6),(20,319,2,24,2,3,11,NULL,1),(20,319,2,24,3,20,34,1,7),(20,319,2,24,4,20,21,7,4),(20,319,2,24,5,6,11,2,3),(20,319,2,24,6,28,31,5,10),(20,319,2,24,7,12,23,4,7),(20,319,2,24,8,22,NULL,9,NULL),(20,319,2,24,9,42,54,5,10),(20,319,2,24,10,4,33,1,7),(20,319,2,24,11,23,18,6,3),(20,319,2,24,12,5,18,1,5),(20,319,2,24,13,44,51,13,6),(20,319,2,24,14,55,51,12,8),(20,319,2,24,15,23,35,6,3),(20,319,2,24,16,36,39,8,5),(20,319,2,24,17,10,21,5,4),(20,319,2,24,18,7,25,1,8),(20,319,2,24,19,15,52,2,8),(20,319,2,24,20,19,33,4,7),(20,319,2,24,21,1,4,1,1),(20,319,2,24,22,9,27,1,6),(20,319,2,24,23,NULL,10,NULL,2),(20,319,2,24,24,NULL,6,NULL,2),(20,319,2,24,25,15,31,6,6),(20,319,2,24,26,5,18,3,5),(20,319,2,24,27,6,12,2,2),(20,319,2,24,28,23,29,7,5),(20,319,2,24,29,3,11,1,5),(20,319,2,24,30,7,10,2,1),(20,319,2,24,31,12,27,3,5),(20,319,2,24,32,10,27,2,6),(20,319,2,24,33,24,51,3,7),(20,319,2,24,34,15,22,4,5),(20,319,2,24,35,3,31,1,8),(20,319,2,24,36,11,24,2,4),(20,319,2,24,37,8,24,3,7),(20,319,2,24,38,4,23,1,6),(20,319,2,24,39,5,17,2,2),(20,319,2,24,40,11,30,3,8),(20,320,1,11,1,NULL,NULL,NULL,NULL),(20,320,1,11,2,NULL,NULL,NULL,NULL),(20,320,1,11,3,NULL,NULL,NULL,NULL),(20,320,1,11,4,NULL,NULL,NULL,NULL),(20,320,1,11,5,NULL,NULL,NULL,NULL),(20,320,1,11,6,NULL,NULL,NULL,NULL),(20,320,1,11,7,NULL,NULL,NULL,NULL),(20,320,1,11,8,NULL,NULL,NULL,NULL),(20,320,1,11,9,NULL,NULL,NULL,NULL),(20,320,1,11,10,NULL,NULL,NULL,NULL),(20,320,1,11,11,NULL,NULL,NULL,NULL),(20,320,1,11,12,NULL,NULL,NULL,NULL),(20,320,1,11,13,NULL,NULL,NULL,NULL),(20,320,1,11,14,NULL,NULL,NULL,NULL),(20,320,1,11,15,NULL,NULL,NULL,NULL),(20,320,1,11,16,NULL,NULL,NULL,NULL),(20,320,1,11,17,NULL,NULL,NULL,NULL),(20,320,1,11,18,NULL,NULL,NULL,NULL),(20,320,1,11,19,NULL,NULL,NULL,NULL),(20,320,1,11,20,NULL,NULL,NULL,NULL),(20,320,1,11,21,NULL,NULL,NULL,NULL),(20,320,1,11,22,NULL,NULL,NULL,NULL),(20,320,1,11,23,NULL,NULL,NULL,NULL),(20,320,1,11,24,NULL,NULL,NULL,NULL),(20,320,1,11,25,NULL,NULL,NULL,NULL),(20,320,1,11,26,NULL,NULL,NULL,NULL),(20,320,1,11,27,NULL,NULL,NULL,NULL),(20,320,1,11,28,NULL,NULL,NULL,NULL),(20,320,1,11,29,NULL,NULL,NULL,NULL),(20,320,1,11,30,NULL,NULL,NULL,NULL),(20,320,1,11,31,NULL,NULL,NULL,NULL),(20,320,1,11,32,NULL,NULL,NULL,NULL),(20,320,1,11,33,NULL,NULL,NULL,NULL),(20,320,1,11,34,NULL,NULL,NULL,NULL),(20,320,1,11,35,NULL,NULL,NULL,NULL),(20,320,1,11,36,NULL,NULL,NULL,NULL),(20,320,1,11,37,NULL,NULL,NULL,NULL),(20,320,1,11,38,NULL,NULL,NULL,NULL),(20,320,1,11,39,NULL,NULL,NULL,NULL),(20,320,1,11,40,NULL,NULL,NULL,NULL),(20,320,1,12,1,NULL,NULL,NULL,NULL),(20,320,1,12,2,NULL,NULL,NULL,NULL),(20,320,1,12,3,NULL,NULL,NULL,NULL),(20,320,1,12,4,NULL,NULL,NULL,NULL),(20,320,1,12,5,NULL,NULL,NULL,NULL),(20,320,1,12,6,NULL,NULL,NULL,NULL),(20,320,1,12,7,NULL,NULL,NULL,NULL),(20,320,1,12,8,NULL,NULL,NULL,NULL),(20,320,1,12,9,NULL,NULL,NULL,NULL),(20,320,1,12,10,NULL,NULL,NULL,NULL),(20,320,1,12,11,NULL,NULL,NULL,NULL),(20,320,1,12,12,NULL,NULL,NULL,NULL),(20,320,1,12,13,NULL,NULL,NULL,NULL),(20,320,1,12,14,NULL,NULL,NULL,NULL),(20,320,1,12,15,NULL,NULL,NULL,NULL),(20,320,1,12,16,NULL,NULL,NULL,NULL),(20,320,1,12,17,NULL,NULL,NULL,NULL),(20,320,1,12,18,NULL,NULL,NULL,NULL),(20,320,1,12,19,NULL,NULL,NULL,NULL),(20,320,1,12,20,NULL,NULL,NULL,NULL),(20,320,1,12,21,NULL,NULL,NULL,NULL),(20,320,1,12,22,NULL,NULL,NULL,NULL),(20,320,1,12,23,NULL,NULL,NULL,NULL),(20,320,1,12,24,NULL,NULL,NULL,NULL),(20,320,1,12,25,NULL,NULL,NULL,NULL),(20,320,1,12,26,NULL,NULL,NULL,NULL),(20,320,1,12,27,NULL,NULL,NULL,NULL),(20,320,1,12,28,NULL,NULL,NULL,NULL),(20,320,1,12,29,NULL,NULL,NULL,NULL),(20,320,1,12,30,NULL,NULL,NULL,NULL),(20,320,1,12,31,NULL,NULL,NULL,NULL),(20,320,1,12,32,NULL,NULL,NULL,NULL),(20,320,1,12,33,NULL,NULL,NULL,NULL),(20,320,1,12,34,NULL,NULL,NULL,NULL),(20,320,1,12,35,NULL,NULL,NULL,NULL),(20,320,1,12,36,NULL,NULL,NULL,NULL),(20,320,1,12,37,NULL,NULL,NULL,NULL),(20,320,1,12,38,NULL,NULL,NULL,NULL),(20,320,1,12,39,NULL,NULL,NULL,NULL),(20,320,1,12,40,NULL,NULL,NULL,NULL),(20,320,1,13,1,NULL,NULL,NULL,NULL),(20,320,1,13,2,NULL,NULL,NULL,NULL),(20,320,1,13,3,NULL,NULL,NULL,NULL),(20,320,1,13,4,NULL,NULL,NULL,NULL),(20,320,1,13,5,NULL,NULL,NULL,NULL),(20,320,1,13,6,NULL,NULL,NULL,NULL),(20,320,1,13,7,NULL,NULL,NULL,NULL),(20,320,1,13,8,NULL,NULL,NULL,NULL),(20,320,1,13,9,NULL,NULL,NULL,NULL),(20,320,1,13,10,NULL,NULL,NULL,NULL),(20,320,1,13,11,NULL,NULL,NULL,NULL),(20,320,1,13,12,NULL,NULL,NULL,NULL),(20,320,1,13,13,NULL,NULL,NULL,NULL),(20,320,1,13,14,NULL,NULL,NULL,NULL),(20,320,1,13,15,NULL,NULL,NULL,NULL),(20,320,1,13,16,NULL,NULL,NULL,NULL),(20,320,1,13,17,NULL,NULL,NULL,NULL),(20,320,1,13,18,NULL,NULL,NULL,NULL),(20,320,1,13,19,NULL,NULL,NULL,NULL),(20,320,1,13,20,NULL,NULL,NULL,NULL),(20,320,1,13,21,NULL,NULL,NULL,NULL),(20,320,1,13,22,NULL,NULL,NULL,NULL),(20,320,1,13,23,NULL,NULL,NULL,NULL),(20,320,1,13,24,NULL,NULL,NULL,NULL),(20,320,1,13,25,NULL,NULL,NULL,NULL),(20,320,1,13,26,NULL,NULL,NULL,NULL),(20,320,1,13,27,NULL,NULL,NULL,NULL),(20,320,1,13,28,NULL,NULL,NULL,NULL),(20,320,1,13,29,NULL,NULL,NULL,NULL),(20,320,1,13,30,NULL,NULL,NULL,NULL),(20,320,1,13,31,NULL,NULL,NULL,NULL),(20,320,1,13,32,NULL,NULL,NULL,NULL),(20,320,1,13,33,NULL,NULL,NULL,NULL),(20,320,1,13,34,NULL,NULL,NULL,NULL),(20,320,1,13,35,NULL,NULL,NULL,NULL),(20,320,1,13,36,NULL,NULL,NULL,NULL),(20,320,1,13,37,NULL,NULL,NULL,NULL),(20,320,1,13,38,NULL,NULL,NULL,NULL),(20,320,1,13,39,NULL,NULL,NULL,NULL),(20,320,1,13,40,NULL,NULL,NULL,NULL),(20,320,1,14,1,3,3,2,3),(20,320,1,14,2,3,5,2,3),(20,320,1,14,3,4,10,4,7),(20,320,1,14,4,2,11,1,8),(20,320,1,14,5,3,8,3,6),(20,320,1,14,6,11,9,7,6),(20,320,1,14,7,4,6,4,5),(20,320,1,14,8,12,2,8,2),(20,320,1,14,9,10,9,7,5),(20,320,1,14,10,7,2,6,1),(20,320,1,14,11,NULL,5,NULL,4),(20,320,1,14,12,6,4,4,3),(20,320,1,14,13,14,3,12,1),(20,320,1,14,14,17,4,12,2),(20,320,1,14,15,11,3,7,2),(20,320,1,14,16,16,1,11,1),(20,320,1,14,17,11,6,10,4),(20,320,1,14,18,15,3,11,3),(20,320,1,14,19,11,3,9,2),(20,320,1,14,20,17,4,12,2),(20,320,1,14,21,1,6,1,5),(20,320,1,14,22,2,7,2,6),(20,320,1,14,23,1,9,1,6),(20,320,1,14,24,3,5,2,4),(20,320,1,14,25,4,6,4,3),(20,320,1,14,26,1,NULL,1,NULL),(20,320,1,14,27,6,5,5,3),(20,320,1,14,28,NULL,3,NULL,1),(20,320,1,14,29,NULL,7,NULL,5),(20,320,1,14,30,NULL,6,NULL,5),(20,320,1,14,31,5,6,2,5),(20,320,1,14,32,4,5,4,2),(20,320,1,14,33,3,7,3,5),(20,320,1,14,34,2,NULL,2,NULL),(20,320,1,14,35,5,7,3,5),(20,320,1,14,36,3,8,3,5),(20,320,1,14,37,10,6,8,4),(20,320,1,14,38,2,2,2,2),(20,320,1,14,39,17,6,12,2),(20,320,1,14,40,6,2,6,2),(20,320,1,15,1,7,2,7,1),(20,320,1,15,2,2,NULL,1,NULL),(20,320,1,15,3,4,3,2,3),(20,320,1,15,4,1,9,1,6),(20,320,1,15,5,6,5,4,3),(20,320,1,15,6,5,7,4,4),(20,320,1,15,7,2,2,1,1),(20,320,1,15,8,9,1,6,NULL),(20,320,1,15,9,2,8,2,3),(20,320,1,15,10,3,3,2,1),(20,320,1,15,11,NULL,4,NULL,1),(20,320,1,15,12,4,5,4,2),(20,320,1,15,13,8,1,6,1),(20,320,1,15,14,9,2,7,2),(20,320,1,15,15,5,4,4,4),(20,320,1,15,16,10,1,7,1),(20,320,1,15,17,5,6,4,3),(20,320,1,15,18,7,2,6,1),(20,320,1,15,19,7,1,5,NULL),(20,320,1,15,20,10,3,8,2),(20,320,1,15,21,NULL,4,NULL,4),(20,320,1,15,22,NULL,3,NULL,3),(20,320,1,15,23,3,5,1,4),(20,320,1,15,24,3,5,2,4),(20,320,1,15,25,2,5,2,5),(20,320,1,15,26,NULL,NULL,NULL,NULL),(20,320,1,15,27,1,4,1,3),(20,320,1,15,28,1,4,1,4),(20,320,1,15,29,1,3,NULL,2),(20,320,1,15,30,NULL,4,NULL,3),(20,320,1,15,31,2,7,1,4),(20,320,1,15,32,5,1,3,1),(20,320,1,15,33,3,6,2,4),(20,320,1,15,34,NULL,2,NULL,2),(20,320,1,15,35,1,5,1,4),(20,320,1,15,36,3,7,2,5),(20,320,1,15,37,6,2,5,2),(20,320,1,15,38,NULL,3,NULL,2),(20,320,1,15,39,8,8,6,6),(20,320,1,15,40,6,NULL,4,NULL),(20,320,1,16,1,4,6,3,1),(20,320,1,16,2,4,1,3,NULL),(20,320,1,16,3,1,3,NULL,1),(20,320,1,16,4,1,6,1,3),(20,320,1,16,5,3,4,NULL,3),(20,320,1,16,6,12,5,7,2),(20,320,1,16,7,5,6,3,3),(20,320,1,16,8,11,5,3,3),(20,320,1,16,9,4,16,2,7),(20,320,1,16,10,1,3,1,2),(20,320,1,16,11,1,7,NULL,4),(20,320,1,16,12,3,3,2,2),(20,320,1,16,13,9,12,4,5),(20,320,1,16,14,1,6,NULL,NULL),(20,320,1,16,15,3,6,2,NULL),(20,320,1,16,16,NULL,7,NULL,3),(20,320,1,16,17,17,11,6,3),(20,320,1,16,18,NULL,8,NULL,4),(20,320,1,16,19,13,12,5,4),(20,320,1,16,20,NULL,7,NULL,3),(20,320,1,16,21,4,3,2,2),(20,320,1,16,22,3,2,1,1),(20,320,1,16,23,1,3,1,2),(20,320,1,16,24,1,6,NULL,3),(20,320,1,16,25,1,3,1,2),(20,320,1,16,26,2,NULL,NULL,NULL),(20,320,1,16,27,4,3,1,2),(20,320,1,16,28,1,2,1,1),(20,320,1,16,29,2,5,NULL,1),(20,320,1,16,30,2,2,NULL,1),(20,320,1,16,31,5,7,3,2),(20,320,1,16,32,4,1,2,NULL),(20,320,1,16,33,2,NULL,2,NULL),(20,320,1,16,34,1,2,1,NULL),(20,320,1,16,35,4,9,3,3),(20,320,1,16,36,7,8,5,2),(20,320,1,16,37,7,7,5,2),(20,320,1,16,38,NULL,3,NULL,2),(20,320,1,16,39,15,2,8,NULL),(20,320,1,16,40,4,4,2,2),(20,320,1,17,1,2,4,NULL,1),(20,320,1,17,2,1,2,NULL,1),(20,320,1,17,3,2,4,NULL,1),(20,320,1,17,4,2,5,NULL,2),(20,320,1,17,5,2,7,NULL,3),(20,320,1,17,6,3,11,3,3),(20,320,1,17,7,1,3,1,NULL),(20,320,1,17,8,5,4,2,2),(20,320,1,17,9,6,6,2,1),(20,320,1,17,10,2,4,2,1),(20,320,1,17,11,1,2,NULL,1),(20,320,1,17,12,1,3,NULL,2),(20,320,1,17,13,6,4,2,2),(20,320,1,17,14,1,NULL,NULL,NULL),(20,320,1,17,15,3,3,2,1),(20,320,1,17,16,1,6,NULL,3),(20,320,1,17,17,5,15,1,5),(20,320,1,17,18,NULL,3,NULL,1),(20,320,1,17,19,11,4,2,2),(20,320,1,17,20,2,3,NULL,1),(20,320,1,17,21,NULL,9,NULL,5),(20,320,1,17,22,1,2,1,1),(20,320,1,17,23,NULL,11,NULL,5),(20,320,1,17,24,1,4,NULL,3),(20,320,1,17,25,NULL,8,NULL,3),(20,320,1,17,26,1,NULL,1,NULL),(20,320,1,17,27,1,6,1,2),(20,320,1,17,28,NULL,3,NULL,1),(20,320,1,17,29,NULL,8,NULL,4),(20,320,1,17,30,1,3,NULL,3),(20,320,1,17,31,2,6,1,3),(20,320,1,17,32,3,5,1,1),(20,320,1,17,33,NULL,4,NULL,2),(20,320,1,17,34,1,1,NULL,NULL),(20,320,1,17,35,5,5,3,1),(20,320,1,17,36,5,4,1,2),(20,320,1,17,37,7,6,2,1),(20,320,1,17,38,NULL,4,NULL,2),(20,320,1,17,39,8,9,2,4),(20,320,1,17,40,4,3,3,1),(20,320,2,21,1,2,7,1,2),(20,320,2,21,2,2,1,2,NULL),(20,320,2,21,3,5,3,1,3),(20,320,2,21,4,2,3,2,NULL),(20,320,2,21,5,1,4,1,2),(20,320,2,21,6,7,6,7,3),(20,320,2,21,7,4,2,2,NULL),(20,320,2,21,8,2,NULL,2,NULL),(20,320,2,21,9,8,8,3,4),(20,320,2,21,10,2,5,1,3),(20,320,2,21,11,2,5,2,1),(20,320,2,21,12,1,2,1,1),(20,320,2,21,13,9,5,5,3),(20,320,2,21,14,15,6,8,3),(20,320,2,21,15,10,6,6,3),(20,320,2,21,16,9,3,4,NULL),(20,320,2,21,17,1,3,1,2),(20,320,2,21,18,NULL,8,NULL,5),(20,320,2,21,19,4,5,3,2),(20,320,2,21,20,3,5,2,2),(20,320,2,21,21,NULL,NULL,NULL,NULL),(20,320,2,21,22,NULL,1,NULL,NULL),(20,320,2,21,23,NULL,2,NULL,1),(20,320,2,21,24,NULL,2,NULL,1),(20,320,2,21,25,3,7,1,6),(20,320,2,21,26,NULL,1,NULL,NULL),(20,320,2,21,27,NULL,2,NULL,1),(20,320,2,21,28,3,3,3,1),(20,320,2,21,29,NULL,2,NULL,NULL),(20,320,2,21,30,3,2,2,NULL),(20,320,2,21,31,NULL,4,NULL,3),(20,320,2,21,32,2,6,1,3),(20,320,2,21,33,3,9,1,5),(20,320,2,21,34,2,4,2,3),(20,320,2,21,35,NULL,6,NULL,4),(20,320,2,21,36,3,3,2,1),(20,320,2,21,37,2,3,2,1),(20,320,2,21,38,NULL,2,NULL,1),(20,320,2,21,39,2,2,2,2),(20,320,2,21,40,2,5,1,3),(20,320,2,22,1,2,5,NULL,3),(20,320,2,22,2,2,2,1,1),(20,320,2,22,3,3,9,1,5),(20,320,2,22,4,3,4,1,2),(20,320,2,22,5,2,3,2,3),(20,320,2,22,6,5,7,3,4),(20,320,2,22,7,1,10,1,5),(20,320,2,22,8,3,NULL,2,NULL),(20,320,2,22,9,5,14,4,5),(20,320,2,22,10,2,8,1,4),(20,320,2,22,11,5,3,2,1),(20,320,2,22,12,2,6,2,3),(20,320,2,22,13,9,11,7,3),(20,320,2,22,14,9,10,6,3),(20,320,2,22,15,5,8,5,2),(20,320,2,22,16,7,7,3,3),(20,320,2,22,17,NULL,4,NULL,2),(20,320,2,22,18,1,5,1,1),(20,320,2,22,19,2,9,NULL,4),(20,320,2,22,20,6,9,4,4),(20,320,2,22,21,NULL,NULL,NULL,NULL),(20,320,2,22,22,NULL,5,NULL,3),(20,320,2,22,23,1,3,NULL,1),(20,320,2,22,24,NULL,NULL,NULL,NULL),(20,320,2,22,25,2,6,1,2),(20,320,2,22,26,2,1,NULL,1),(20,320,2,22,27,1,1,1,NULL),(20,320,2,22,28,4,4,2,2),(20,320,2,22,29,NULL,NULL,NULL,NULL),(20,320,2,22,30,3,2,1,NULL),(20,320,2,22,31,NULL,5,NULL,2),(20,320,2,22,32,NULL,7,NULL,2),(20,320,2,22,33,2,10,1,5),(20,320,2,22,34,NULL,4,NULL,NULL),(20,320,2,22,35,NULL,5,NULL,3),(20,320,2,22,36,3,9,1,5),(20,320,2,22,37,1,1,NULL,NULL),(20,320,2,22,38,NULL,3,NULL,2),(20,320,2,22,39,NULL,4,NULL,3),(20,320,2,22,40,1,8,NULL,4),(20,320,2,23,1,1,2,1,2),(20,320,2,23,2,1,4,NULL,1),(20,320,2,23,3,4,8,2,3),(20,320,2,23,4,2,7,2,3),(20,320,2,23,5,1,2,NULL,2),(20,320,2,23,6,8,4,6,2),(20,320,2,23,7,3,8,1,6),(20,320,2,23,8,3,NULL,1,NULL),(20,320,2,23,9,7,16,3,7),(20,320,2,23,10,NULL,7,NULL,4),(20,320,2,23,11,5,5,2,3),(20,320,2,23,12,1,4,1,2),(20,320,2,23,13,10,10,7,5),(20,320,2,23,14,13,10,8,3),(20,320,2,23,15,7,3,4,3),(20,320,2,23,16,9,8,4,6),(20,320,2,23,17,2,8,1,5),(20,320,2,23,18,NULL,2,NULL,NULL),(20,320,2,23,19,2,11,2,5),(20,320,2,23,20,5,3,3,3),(20,320,2,23,21,1,NULL,NULL,NULL),(20,320,2,23,22,1,8,1,4),(20,320,2,23,23,NULL,3,NULL,NULL),(20,320,2,23,24,NULL,1,NULL,NULL),(20,320,2,23,25,1,5,1,1),(20,320,2,23,26,1,1,1,1),(20,320,2,23,27,1,1,1,1),(20,320,2,23,28,5,5,3,3),(20,320,2,23,29,NULL,2,NULL,2),(20,320,2,23,30,1,5,NULL,2),(20,320,2,23,31,2,4,2,2),(20,320,2,23,32,1,3,1,2),(20,320,2,23,33,1,11,NULL,4),(20,320,2,23,34,1,3,1,2),(20,320,2,23,35,NULL,9,NULL,6),(20,320,2,23,36,2,8,2,4),(20,320,2,23,37,1,3,1,2),(20,320,2,23,38,NULL,3,NULL,2),(20,320,2,23,39,1,2,1,1),(20,320,2,23,40,2,5,1,3),(20,320,2,24,1,NULL,2,NULL,2),(20,320,2,24,2,NULL,2,NULL,1),(20,320,2,24,3,4,6,2,6),(20,320,2,24,4,3,2,1,2),(20,320,2,24,5,NULL,NULL,NULL,NULL),(20,320,2,24,6,8,3,5,3),(20,320,2,24,7,3,2,2,2),(20,320,2,24,8,3,NULL,3,NULL),(20,320,2,24,9,10,10,6,5),(20,320,2,24,10,NULL,4,NULL,4),(20,320,2,24,11,6,1,5,1),(20,320,2,24,12,2,1,1,1),(20,320,2,24,13,5,8,4,4),(20,320,2,24,14,12,4,7,3),(20,320,2,24,15,6,5,5,1),(20,320,2,24,16,10,2,7,1),(20,320,2,24,17,3,1,1,1),(20,320,2,24,18,1,3,NULL,2),(20,320,2,24,19,3,7,1,5),(20,320,2,24,20,2,7,2,6),(20,320,2,24,21,NULL,1,NULL,1),(20,320,2,24,22,NULL,NULL,NULL,NULL),(20,320,2,24,23,NULL,3,NULL,2),(20,320,2,24,24,NULL,NULL,NULL,NULL),(20,320,2,24,25,1,7,1,3),(20,320,2,24,26,NULL,1,NULL,1),(20,320,2,24,27,NULL,4,NULL,1),(20,320,2,24,28,1,8,1,6),(20,320,2,24,29,NULL,5,NULL,2),(20,320,2,24,30,3,3,3,3),(20,320,2,24,31,NULL,3,NULL,1),(20,320,2,24,32,1,3,1,1),(20,320,2,24,33,2,6,1,5),(20,320,2,24,34,3,4,2,2),(20,320,2,24,35,NULL,4,NULL,3),(20,320,2,24,36,NULL,6,NULL,4),(20,320,2,24,37,1,5,NULL,4),(20,320,2,24,38,1,4,1,2),(20,320,2,24,39,1,4,1,4),(20,320,2,24,40,3,4,3,3),(20,324,1,11,1,NULL,NULL,NULL,NULL),(20,324,1,11,2,NULL,NULL,NULL,NULL),(20,324,1,11,3,NULL,NULL,NULL,NULL),(20,324,1,11,4,NULL,NULL,NULL,NULL),(20,324,1,11,5,NULL,NULL,NULL,NULL),(20,324,1,11,6,NULL,NULL,NULL,NULL),(20,324,1,11,7,NULL,NULL,NULL,NULL),(20,324,1,11,8,NULL,NULL,NULL,NULL),(20,324,1,11,9,NULL,NULL,NULL,NULL),(20,324,1,11,10,NULL,NULL,NULL,NULL),(20,324,1,11,11,NULL,NULL,NULL,NULL),(20,324,1,11,12,NULL,NULL,NULL,NULL),(20,324,1,11,13,NULL,NULL,NULL,NULL),(20,324,1,11,14,NULL,NULL,NULL,NULL),(20,324,1,11,15,NULL,NULL,NULL,NULL),(20,324,1,11,16,NULL,NULL,NULL,NULL),(20,324,1,11,17,NULL,NULL,NULL,NULL),(20,324,1,11,18,NULL,NULL,NULL,NULL),(20,324,1,11,19,NULL,NULL,NULL,NULL),(20,324,1,11,20,NULL,NULL,NULL,NULL),(20,324,1,11,21,NULL,NULL,NULL,NULL),(20,324,1,11,22,NULL,NULL,NULL,NULL),(20,324,1,11,23,NULL,NULL,NULL,NULL),(20,324,1,11,24,NULL,NULL,NULL,NULL),(20,324,1,11,25,NULL,NULL,NULL,NULL),(20,324,1,11,26,NULL,NULL,NULL,NULL),(20,324,1,11,27,NULL,NULL,NULL,NULL),(20,324,1,11,28,NULL,NULL,NULL,NULL),(20,324,1,11,29,NULL,NULL,NULL,NULL),(20,324,1,11,30,NULL,NULL,NULL,NULL),(20,324,1,11,31,NULL,NULL,NULL,NULL),(20,324,1,11,32,NULL,NULL,NULL,NULL),(20,324,1,11,33,NULL,NULL,NULL,NULL),(20,324,1,11,34,NULL,NULL,NULL,NULL),(20,324,1,11,35,NULL,NULL,NULL,NULL),(20,324,1,11,36,NULL,NULL,NULL,NULL),(20,324,1,11,37,NULL,NULL,NULL,NULL),(20,324,1,11,38,NULL,NULL,NULL,NULL),(20,324,1,11,39,NULL,NULL,NULL,NULL),(20,324,1,11,40,NULL,NULL,NULL,NULL),(20,324,1,12,1,NULL,NULL,NULL,NULL),(20,324,1,12,2,NULL,NULL,NULL,NULL),(20,324,1,12,3,NULL,NULL,NULL,NULL),(20,324,1,12,4,NULL,NULL,NULL,NULL),(20,324,1,12,5,NULL,NULL,NULL,NULL),(20,324,1,12,6,NULL,NULL,NULL,NULL),(20,324,1,12,7,NULL,NULL,NULL,NULL),(20,324,1,12,8,NULL,NULL,NULL,NULL),(20,324,1,12,9,NULL,NULL,NULL,NULL),(20,324,1,12,10,NULL,NULL,NULL,NULL),(20,324,1,12,11,NULL,NULL,NULL,NULL),(20,324,1,12,12,NULL,NULL,NULL,NULL),(20,324,1,12,13,NULL,NULL,NULL,NULL),(20,324,1,12,14,NULL,NULL,NULL,NULL),(20,324,1,12,15,NULL,NULL,NULL,NULL),(20,324,1,12,16,NULL,NULL,NULL,NULL),(20,324,1,12,17,NULL,NULL,NULL,NULL),(20,324,1,12,18,NULL,NULL,NULL,NULL),(20,324,1,12,19,NULL,NULL,NULL,NULL),(20,324,1,12,20,NULL,NULL,NULL,NULL),(20,324,1,12,21,NULL,NULL,NULL,NULL),(20,324,1,12,22,NULL,NULL,NULL,NULL),(20,324,1,12,23,NULL,NULL,NULL,NULL),(20,324,1,12,24,NULL,NULL,NULL,NULL),(20,324,1,12,25,NULL,NULL,NULL,NULL),(20,324,1,12,26,NULL,NULL,NULL,NULL),(20,324,1,12,27,NULL,NULL,NULL,NULL),(20,324,1,12,28,NULL,NULL,NULL,NULL),(20,324,1,12,29,NULL,NULL,NULL,NULL),(20,324,1,12,30,NULL,NULL,NULL,NULL),(20,324,1,12,31,NULL,NULL,NULL,NULL),(20,324,1,12,32,NULL,NULL,NULL,NULL),(20,324,1,12,33,NULL,NULL,NULL,NULL),(20,324,1,12,34,NULL,NULL,NULL,NULL),(20,324,1,12,35,NULL,NULL,NULL,NULL),(20,324,1,12,36,NULL,NULL,NULL,NULL),(20,324,1,12,37,NULL,NULL,NULL,NULL),(20,324,1,12,38,NULL,NULL,NULL,NULL),(20,324,1,12,39,NULL,NULL,NULL,NULL),(20,324,1,12,40,NULL,NULL,NULL,NULL),(20,324,1,13,1,NULL,NULL,NULL,NULL),(20,324,1,13,2,NULL,NULL,NULL,NULL),(20,324,1,13,3,NULL,NULL,NULL,NULL),(20,324,1,13,4,NULL,NULL,NULL,NULL),(20,324,1,13,5,NULL,NULL,NULL,NULL),(20,324,1,13,6,NULL,NULL,NULL,NULL),(20,324,1,13,7,NULL,NULL,NULL,NULL),(20,324,1,13,8,NULL,NULL,NULL,NULL),(20,324,1,13,9,NULL,NULL,NULL,NULL),(20,324,1,13,10,NULL,NULL,NULL,NULL),(20,324,1,13,11,NULL,NULL,NULL,NULL),(20,324,1,13,12,NULL,NULL,NULL,NULL),(20,324,1,13,13,NULL,NULL,NULL,NULL),(20,324,1,13,14,NULL,NULL,NULL,NULL),(20,324,1,13,15,NULL,NULL,NULL,NULL),(20,324,1,13,16,NULL,NULL,NULL,NULL),(20,324,1,13,17,NULL,NULL,NULL,NULL),(20,324,1,13,18,NULL,NULL,NULL,NULL),(20,324,1,13,19,NULL,NULL,NULL,NULL),(20,324,1,13,20,NULL,NULL,NULL,NULL),(20,324,1,13,21,NULL,NULL,NULL,NULL),(20,324,1,13,22,NULL,NULL,NULL,NULL),(20,324,1,13,23,NULL,NULL,NULL,NULL),(20,324,1,13,24,NULL,NULL,NULL,NULL),(20,324,1,13,25,NULL,NULL,NULL,NULL),(20,324,1,13,26,NULL,NULL,NULL,NULL),(20,324,1,13,27,NULL,NULL,NULL,NULL),(20,324,1,13,28,NULL,NULL,NULL,NULL),(20,324,1,13,29,NULL,NULL,NULL,NULL),(20,324,1,13,30,NULL,NULL,NULL,NULL),(20,324,1,13,31,NULL,NULL,NULL,NULL),(20,324,1,13,32,NULL,NULL,NULL,NULL),(20,324,1,13,33,NULL,NULL,NULL,NULL),(20,324,1,13,34,NULL,NULL,NULL,NULL),(20,324,1,13,35,NULL,NULL,NULL,NULL),(20,324,1,13,36,NULL,NULL,NULL,NULL),(20,324,1,13,37,NULL,NULL,NULL,NULL),(20,324,1,13,38,NULL,NULL,NULL,NULL),(20,324,1,13,39,NULL,NULL,NULL,NULL),(20,324,1,13,40,NULL,NULL,NULL,NULL),(20,324,1,14,1,4,4,3,3);
INSERT INTO acertos_questao_curso VALUES (20,324,1,14,2,3,NULL,3,NULL),(20,324,1,14,3,1,3,1,3),(20,324,1,14,4,1,5,NULL,4),(20,324,1,14,5,NULL,2,NULL,2),(20,324,1,14,6,8,3,4,1),(20,324,1,14,7,NULL,1,NULL,1),(20,324,1,14,8,2,2,2,1),(20,324,1,14,9,4,5,4,3),(20,324,1,14,10,NULL,NULL,NULL,NULL),(20,324,1,14,11,NULL,NULL,NULL,NULL),(20,324,1,14,12,1,1,1,1),(20,324,1,14,13,3,2,3,1),(20,324,1,14,14,4,8,3,5),(20,324,1,14,15,2,1,1,1),(20,324,1,14,16,8,NULL,5,NULL),(20,324,1,14,17,4,4,3,3),(20,324,1,14,18,5,2,3,2),(20,324,1,14,19,4,1,3,1),(20,324,1,14,20,9,1,5,1),(20,324,1,14,21,NULL,NULL,NULL,NULL),(20,324,1,14,22,NULL,2,NULL,2),(20,324,1,14,23,1,4,NULL,2),(20,324,1,14,24,1,1,NULL,1),(20,324,1,14,25,2,2,2,2),(20,324,1,14,26,2,NULL,1,NULL),(20,324,1,14,27,2,2,1,1),(20,324,1,14,28,NULL,NULL,NULL,NULL),(20,324,1,14,29,1,1,NULL,1),(20,324,1,14,30,NULL,1,NULL,1),(20,324,1,14,31,1,5,NULL,5),(20,324,1,14,32,3,2,3,1),(20,324,1,14,33,1,2,1,2),(20,324,1,14,34,NULL,NULL,NULL,NULL),(20,324,1,14,35,1,3,NULL,3),(20,324,1,14,36,1,8,1,7),(20,324,1,14,37,2,2,2,2),(20,324,1,14,38,NULL,2,NULL,2),(20,324,1,14,39,8,1,4,1),(20,324,1,14,40,1,NULL,1,NULL),(20,324,1,15,1,3,3,1,1),(20,324,1,15,2,2,1,1,1),(20,324,1,15,3,NULL,1,NULL,1),(20,324,1,15,4,NULL,2,NULL,1),(20,324,1,15,5,2,4,2,2),(20,324,1,15,6,3,7,1,3),(20,324,1,15,7,NULL,4,NULL,3),(20,324,1,15,8,4,2,4,1),(20,324,1,15,9,1,5,1,3),(20,324,1,15,10,NULL,2,NULL,NULL),(20,324,1,15,11,NULL,6,NULL,3),(20,324,1,15,12,1,2,NULL,1),(20,324,1,15,13,5,5,3,3),(20,324,1,15,14,6,2,3,2),(20,324,1,15,15,1,3,1,1),(20,324,1,15,16,7,3,6,1),(20,324,1,15,17,2,5,1,3),(20,324,1,15,18,5,5,3,2),(20,324,1,15,19,3,1,3,NULL),(20,324,1,15,20,5,4,3,2),(20,324,1,15,21,1,1,NULL,1),(20,324,1,15,22,NULL,2,NULL,1),(20,324,1,15,23,2,5,NULL,3),(20,324,1,15,24,1,7,NULL,4),(20,324,1,15,25,1,1,NULL,1),(20,324,1,15,26,1,NULL,NULL,NULL),(20,324,1,15,27,1,6,NULL,5),(20,324,1,15,28,NULL,4,NULL,2),(20,324,1,15,29,1,6,1,4),(20,324,1,15,30,2,4,NULL,3),(20,324,1,15,31,3,2,2,2),(20,324,1,15,32,2,2,1,1),(20,324,1,15,33,NULL,3,NULL,2),(20,324,1,15,34,NULL,1,NULL,1),(20,324,1,15,35,NULL,5,NULL,3),(20,324,1,15,36,1,6,1,1),(20,324,1,15,37,1,3,NULL,3),(20,324,1,15,38,NULL,2,NULL,2),(20,324,1,15,39,7,4,3,3),(20,324,1,15,40,NULL,2,NULL,2),(20,324,1,16,1,1,6,1,3),(20,324,1,16,2,2,4,1,3),(20,324,1,16,3,NULL,2,NULL,1),(20,324,1,16,4,1,8,1,5),(20,324,1,16,5,5,7,5,6),(20,324,1,16,6,6,8,4,4),(20,324,1,16,7,1,5,NULL,4),(20,324,1,16,8,8,5,7,2),(20,324,1,16,9,7,8,6,4),(20,324,1,16,10,2,5,1,2),(20,324,1,16,11,4,5,3,2),(20,324,1,16,12,1,7,1,5),(20,324,1,16,13,9,6,7,2),(20,324,1,16,14,2,1,NULL,1),(20,324,1,16,15,11,5,8,2),(20,324,1,16,16,1,11,NULL,6),(20,324,1,16,17,10,18,5,10),(20,324,1,16,18,2,9,2,5),(20,324,1,16,19,13,9,8,6),(20,324,1,16,20,1,8,1,6),(20,324,1,16,21,4,4,3,3),(20,324,1,16,22,1,6,1,3),(20,324,1,16,23,1,14,NULL,11),(20,324,1,16,24,2,3,1,2),(20,324,1,16,25,NULL,7,NULL,7),(20,324,1,16,26,2,NULL,2,NULL),(20,324,1,16,27,NULL,8,NULL,6),(20,324,1,16,28,NULL,4,NULL,4),(20,324,1,16,29,1,4,1,3),(20,324,1,16,30,2,4,1,2),(20,324,1,16,31,2,9,2,5),(20,324,1,16,32,3,4,3,2),(20,324,1,16,33,NULL,4,NULL,3),(20,324,1,16,34,1,2,1,2),(20,324,1,16,35,1,8,1,5),(20,324,1,16,36,6,5,4,5),(20,324,1,16,37,7,7,5,4),(20,324,1,16,38,NULL,8,NULL,3),(20,324,1,16,39,12,5,7,3),(20,324,1,16,40,NULL,4,NULL,2),(20,324,1,17,1,1,5,1,3),(20,324,1,17,2,1,4,NULL,3),(20,324,1,17,3,3,7,1,3),(20,324,1,17,4,2,12,NULL,6),(20,324,1,17,5,3,6,2,4),(20,324,1,17,6,8,10,5,4),(20,324,1,17,7,2,6,NULL,2),(20,324,1,17,8,13,13,8,8),(20,324,1,17,9,2,15,NULL,8),(20,324,1,17,10,2,7,1,4),(20,324,1,17,11,NULL,5,NULL,4),(20,324,1,17,12,3,4,3,3),(20,324,1,17,13,8,13,2,8),(20,324,1,17,14,NULL,2,NULL,1),(20,324,1,17,15,8,2,5,1),(20,324,1,17,16,NULL,11,NULL,6),(20,324,1,17,17,13,14,7,9),(20,324,1,17,18,2,9,1,4),(20,324,1,17,19,11,12,5,7),(20,324,1,17,20,NULL,6,NULL,4),(20,324,1,17,21,1,9,1,4),(20,324,1,17,22,NULL,5,NULL,3),(20,324,1,17,23,3,15,NULL,8),(20,324,1,17,24,2,5,1,1),(20,324,1,17,25,2,14,2,8),(20,324,1,17,26,1,NULL,1,NULL),(20,324,1,17,27,1,7,1,5),(20,324,1,17,28,2,3,1,3),(20,324,1,17,29,1,5,1,1),(20,324,1,17,30,1,8,1,3),(20,324,1,17,31,6,7,3,4),(20,324,1,17,32,4,7,4,4),(20,324,1,17,33,1,3,1,1),(20,324,1,17,34,NULL,4,NULL,2),(20,324,1,17,35,3,7,2,2),(20,324,1,17,36,4,4,NULL,4),(20,324,1,17,37,3,12,2,6),(20,324,1,17,38,1,3,NULL,2),(20,324,1,17,39,6,14,4,7),(20,324,1,17,40,2,8,1,5),(20,324,2,21,1,3,6,1,4),(20,324,2,21,2,1,2,1,2),(20,324,2,21,3,3,9,1,6),(20,324,2,21,4,1,7,NULL,6),(20,324,2,21,5,1,NULL,NULL,NULL),(20,324,2,21,6,NULL,6,NULL,4),(20,324,2,21,7,1,5,NULL,5),(20,324,2,21,8,3,NULL,1,NULL),(20,324,2,21,9,6,11,2,7),(20,324,2,21,10,2,5,1,4),(20,324,2,21,11,4,10,3,5),(20,324,2,21,12,1,7,1,4),(20,324,2,21,13,5,10,3,6),(20,324,2,21,14,8,12,4,10),(20,324,2,21,15,6,3,3,1),(20,324,2,21,16,9,7,5,5),(20,324,2,21,17,2,6,1,6),(20,324,2,21,18,1,3,NULL,1),(20,324,2,21,19,4,8,2,5),(20,324,2,21,20,3,3,2,1),(20,324,2,21,21,NULL,NULL,NULL,NULL),(20,324,2,21,22,NULL,11,NULL,7),(20,324,2,21,23,NULL,1,NULL,NULL),(20,324,2,21,24,NULL,3,NULL,1),(20,324,2,21,25,3,6,2,2),(20,324,2,21,26,NULL,NULL,NULL,NULL),(20,324,2,21,27,NULL,2,NULL,2),(20,324,2,21,28,2,3,2,3),(20,324,2,21,29,NULL,1,NULL,1),(20,324,2,21,30,2,1,2,1),(20,324,2,21,31,NULL,4,NULL,3),(20,324,2,21,32,2,3,1,3),(20,324,2,21,33,6,7,2,5),(20,324,2,21,34,3,3,3,1),(20,324,2,21,35,NULL,5,NULL,3),(20,324,2,21,36,2,6,2,4),(20,324,2,21,37,NULL,NULL,NULL,NULL),(20,324,2,21,38,NULL,3,NULL,3),(20,324,2,21,39,1,1,NULL,1),(20,324,2,21,40,NULL,6,NULL,5),(20,324,2,22,1,2,3,1,2),(20,324,2,22,2,2,NULL,1,NULL),(20,324,2,22,3,5,6,4,5),(20,324,2,22,4,NULL,7,NULL,4),(20,324,2,22,5,NULL,2,NULL,2),(20,324,2,22,6,3,2,2,2),(20,324,2,22,7,1,2,NULL,NULL),(20,324,2,22,8,1,NULL,NULL,NULL),(20,324,2,22,9,2,13,2,6),(20,324,2,22,10,1,5,NULL,4),(20,324,2,22,11,4,3,3,2),(20,324,2,22,12,1,4,1,3),(20,324,2,22,13,6,13,4,8),(20,324,2,22,14,5,10,4,6),(20,324,2,22,15,7,8,4,4),(20,324,2,22,16,12,5,5,4),(20,324,2,22,17,5,5,2,5),(20,324,2,22,18,NULL,6,NULL,4),(20,324,2,22,19,3,8,1,5),(20,324,2,22,20,4,4,2,1),(20,324,2,22,21,NULL,1,NULL,NULL),(20,324,2,22,22,2,3,1,NULL),(20,324,2,22,23,NULL,1,NULL,1),(20,324,2,22,24,NULL,NULL,NULL,NULL),(20,324,2,22,25,NULL,5,NULL,3),(20,324,2,22,26,1,NULL,NULL,NULL),(20,324,2,22,27,1,2,NULL,2),(20,324,2,22,28,4,3,3,3),(20,324,2,22,29,1,2,1,1),(20,324,2,22,30,3,2,3,2),(20,324,2,22,31,1,3,NULL,3),(20,324,2,22,32,1,7,1,4),(20,324,2,22,33,5,7,3,4),(20,324,2,22,34,1,4,1,2),(20,324,2,22,35,2,5,NULL,4),(20,324,2,22,36,NULL,4,NULL,2),(20,324,2,22,37,NULL,1,NULL,NULL),(20,324,2,22,38,1,1,1,1),(20,324,2,22,39,NULL,2,NULL,NULL),(20,324,2,22,40,1,7,NULL,7),(20,324,2,23,1,1,11,1,6),(20,324,2,23,2,NULL,NULL,NULL,NULL),(20,324,2,23,3,2,6,2,3),(20,324,2,23,4,3,3,3,3),(20,324,2,23,5,NULL,3,NULL,2),(20,324,2,23,6,1,7,1,4),(20,324,2,23,7,2,5,1,4),(20,324,2,23,8,2,NULL,2,NULL),(20,324,2,23,9,7,8,3,5),(20,324,2,23,10,NULL,5,NULL,2),(20,324,2,23,11,2,6,2,3),(20,324,2,23,12,1,4,1,2),(20,324,2,23,13,2,12,1,7),(20,324,2,23,14,5,14,2,6),(20,324,2,23,15,6,6,2,5),(20,324,2,23,16,11,7,4,4),(20,324,2,23,17,1,NULL,1,NULL),(20,324,2,23,18,NULL,5,NULL,1),(20,324,2,23,19,3,7,1,4),(20,324,2,23,20,2,5,1,4),(20,324,2,23,21,NULL,1,NULL,1),(20,324,2,23,22,NULL,7,NULL,2),(20,324,2,23,23,NULL,1,NULL,1),(20,324,2,23,24,NULL,2,NULL,1),(20,324,2,23,25,1,8,NULL,5),(20,324,2,23,26,3,1,1,1),(20,324,2,23,27,NULL,NULL,NULL,NULL),(20,324,2,23,28,1,3,1,1),(20,324,2,23,29,NULL,5,NULL,NULL),(20,324,2,23,30,1,5,1,1),(20,324,2,23,31,NULL,6,NULL,4),(20,324,2,23,32,NULL,3,NULL,2),(20,324,2,23,33,2,10,1,5),(20,324,2,23,34,2,6,NULL,2),(20,324,2,23,35,NULL,4,NULL,3),(20,324,2,23,36,NULL,8,NULL,3),(20,324,2,23,37,NULL,6,NULL,5),(20,324,2,23,38,NULL,2,NULL,NULL),(20,324,2,23,39,NULL,3,NULL,3),(20,324,2,23,40,NULL,2,NULL,1),(20,324,2,24,1,1,6,NULL,5),(20,324,2,24,2,1,1,1,1),(20,324,2,24,3,3,5,1,5),(20,324,2,24,4,1,4,NULL,2),(20,324,2,24,5,1,2,1,1),(20,324,2,24,6,NULL,3,NULL,2),(20,324,2,24,7,NULL,1,NULL,NULL),(20,324,2,24,8,2,NULL,1,NULL),(20,324,2,24,9,5,7,2,5),(20,324,2,24,10,NULL,5,NULL,3),(20,324,2,24,11,NULL,3,NULL,1),(20,324,2,24,12,NULL,3,NULL,1),(20,324,2,24,13,9,8,6,6),(20,324,2,24,14,8,8,6,4),(20,324,2,24,15,5,7,3,5),(20,324,2,24,16,5,6,2,3),(20,324,2,24,17,1,4,1,3),(20,324,2,24,18,NULL,4,NULL,2),(20,324,2,24,19,1,6,NULL,2),(20,324,2,24,20,1,5,NULL,2),(20,324,2,24,21,NULL,3,NULL,2),(20,324,2,24,22,1,6,1,4),(20,324,2,24,23,NULL,NULL,NULL,NULL),(20,324,2,24,24,1,3,1,1),(20,324,2,24,25,NULL,5,NULL,4),(20,324,2,24,26,NULL,3,NULL,2),(20,324,2,24,27,NULL,NULL,NULL,NULL),(20,324,2,24,28,4,4,3,3),(20,324,2,24,29,NULL,1,NULL,NULL),(20,324,2,24,30,NULL,2,NULL,2),(20,324,2,24,31,NULL,3,NULL,2),(20,324,2,24,32,NULL,7,NULL,7),(20,324,2,24,33,2,11,2,10),(20,324,2,24,34,3,5,3,4),(20,324,2,24,35,NULL,3,NULL,2),(20,324,2,24,36,NULL,7,NULL,4),(20,324,2,24,37,1,2,1,2),(20,324,2,24,38,1,3,NULL,3),(20,324,2,24,39,NULL,2,NULL,NULL),(20,324,2,24,40,3,2,2,2),(20,326,1,11,1,NULL,NULL,NULL,NULL),(20,326,1,11,2,NULL,NULL,NULL,NULL),(20,326,1,11,3,NULL,NULL,NULL,NULL),(20,326,1,11,4,NULL,NULL,NULL,NULL),(20,326,1,11,5,NULL,NULL,NULL,NULL),(20,326,1,11,6,NULL,NULL,NULL,NULL),(20,326,1,11,7,NULL,NULL,NULL,NULL),(20,326,1,11,8,NULL,NULL,NULL,NULL),(20,326,1,11,9,NULL,NULL,NULL,NULL),(20,326,1,11,10,NULL,NULL,NULL,NULL),(20,326,1,11,11,NULL,NULL,NULL,NULL),(20,326,1,11,12,NULL,NULL,NULL,NULL),(20,326,1,11,13,NULL,NULL,NULL,NULL),(20,326,1,11,14,NULL,NULL,NULL,NULL),(20,326,1,11,15,NULL,NULL,NULL,NULL),(20,326,1,11,16,NULL,NULL,NULL,NULL),(20,326,1,11,17,NULL,NULL,NULL,NULL),(20,326,1,11,18,NULL,NULL,NULL,NULL),(20,326,1,11,19,NULL,NULL,NULL,NULL),(20,326,1,11,20,NULL,NULL,NULL,NULL),(20,326,1,11,21,NULL,NULL,NULL,NULL),(20,326,1,11,22,NULL,NULL,NULL,NULL),(20,326,1,11,23,NULL,NULL,NULL,NULL),(20,326,1,11,24,NULL,NULL,NULL,NULL),(20,326,1,11,25,NULL,NULL,NULL,NULL),(20,326,1,11,26,NULL,NULL,NULL,NULL),(20,326,1,11,27,NULL,NULL,NULL,NULL),(20,326,1,11,28,NULL,NULL,NULL,NULL),(20,326,1,11,29,NULL,NULL,NULL,NULL),(20,326,1,11,30,NULL,NULL,NULL,NULL),(20,326,1,11,31,NULL,NULL,NULL,NULL),(20,326,1,11,32,NULL,NULL,NULL,NULL),(20,326,1,11,33,NULL,NULL,NULL,NULL),(20,326,1,11,34,NULL,NULL,NULL,NULL),(20,326,1,11,35,NULL,NULL,NULL,NULL),(20,326,1,11,36,NULL,NULL,NULL,NULL),(20,326,1,11,37,NULL,NULL,NULL,NULL),(20,326,1,11,38,NULL,NULL,NULL,NULL),(20,326,1,11,39,NULL,NULL,NULL,NULL),(20,326,1,11,40,NULL,NULL,NULL,NULL),(20,326,1,12,1,NULL,NULL,NULL,NULL),(20,326,1,12,2,NULL,NULL,NULL,NULL),(20,326,1,12,3,NULL,1,NULL,NULL),(20,326,1,12,4,NULL,1,NULL,NULL),(20,326,1,12,5,1,NULL,NULL,NULL),(20,326,1,12,6,1,NULL,NULL,NULL),(20,326,1,12,7,NULL,NULL,NULL,NULL),(20,326,1,12,8,NULL,NULL,NULL,NULL),(20,326,1,12,9,1,NULL,NULL,NULL),(20,326,1,12,10,NULL,NULL,NULL,NULL),(20,326,1,12,11,NULL,1,NULL,NULL),(20,326,1,12,12,NULL,NULL,NULL,NULL),(20,326,1,12,13,NULL,NULL,NULL,NULL),(20,326,1,12,14,NULL,1,NULL,NULL),(20,326,1,12,15,1,NULL,NULL,NULL),(20,326,1,12,16,1,NULL,NULL,NULL),(20,326,1,12,17,1,NULL,NULL,NULL),(20,326,1,12,18,1,NULL,NULL,NULL),(20,326,1,12,19,NULL,NULL,NULL,NULL),(20,326,1,12,20,NULL,NULL,NULL,NULL),(20,326,1,12,21,NULL,NULL,NULL,NULL),(20,326,1,12,22,NULL,NULL,NULL,NULL),(20,326,1,12,23,NULL,1,NULL,NULL),(20,326,1,12,24,NULL,NULL,NULL,NULL),(20,326,1,12,25,NULL,NULL,NULL,NULL),(20,326,1,12,26,NULL,NULL,NULL,NULL),(20,326,1,12,27,1,NULL,NULL,NULL),(20,326,1,12,28,NULL,NULL,NULL,NULL),(20,326,1,12,29,NULL,NULL,NULL,NULL),(20,326,1,12,30,NULL,NULL,NULL,NULL),(20,326,1,12,31,NULL,NULL,NULL,NULL),(20,326,1,12,32,NULL,NULL,NULL,NULL),(20,326,1,12,33,NULL,NULL,NULL,NULL),(20,326,1,12,34,NULL,NULL,NULL,NULL),(20,326,1,12,35,NULL,NULL,NULL,NULL),(20,326,1,12,36,NULL,NULL,NULL,NULL),(20,326,1,12,37,NULL,1,NULL,NULL),(20,326,1,12,38,NULL,NULL,NULL,NULL),(20,326,1,12,39,1,NULL,NULL,NULL),(20,326,1,12,40,NULL,NULL,NULL,NULL),(20,326,1,13,1,NULL,NULL,NULL,NULL),(20,326,1,13,2,NULL,NULL,NULL,NULL),(20,326,1,13,3,NULL,NULL,NULL,NULL),(20,326,1,13,4,NULL,NULL,NULL,NULL),(20,326,1,13,5,1,NULL,NULL,NULL),(20,326,1,13,6,NULL,1,NULL,NULL),(20,326,1,13,7,NULL,1,NULL,NULL),(20,326,1,13,8,1,NULL,NULL,NULL),(20,326,1,13,9,NULL,1,NULL,NULL),(20,326,1,13,10,NULL,1,NULL,NULL),(20,326,1,13,11,NULL,NULL,NULL,NULL),(20,326,1,13,12,NULL,NULL,NULL,NULL),(20,326,1,13,13,NULL,1,NULL,NULL),(20,326,1,13,14,NULL,NULL,NULL,NULL),(20,326,1,13,15,1,NULL,NULL,NULL),(20,326,1,13,16,1,NULL,NULL,NULL),(20,326,1,13,17,1,NULL,NULL,NULL),(20,326,1,13,18,NULL,1,NULL,NULL),(20,326,1,13,19,1,NULL,NULL,NULL),(20,326,1,13,20,NULL,1,NULL,NULL),(20,326,1,13,21,NULL,1,NULL,NULL),(20,326,1,13,22,NULL,1,NULL,NULL),(20,326,1,13,23,NULL,1,NULL,NULL),(20,326,1,13,24,NULL,1,NULL,NULL),(20,326,1,13,25,NULL,1,NULL,NULL),(20,326,1,13,26,NULL,NULL,NULL,NULL),(20,326,1,13,27,NULL,NULL,NULL,NULL),(20,326,1,13,28,NULL,NULL,NULL,NULL),(20,326,1,13,29,NULL,NULL,NULL,NULL),(20,326,1,13,30,NULL,1,NULL,NULL),(20,326,1,13,31,NULL,NULL,NULL,NULL),(20,326,1,13,32,NULL,NULL,NULL,NULL),(20,326,1,13,33,NULL,1,NULL,NULL),(20,326,1,13,34,NULL,NULL,NULL,NULL),(20,326,1,13,35,NULL,NULL,NULL,NULL),(20,326,1,13,36,NULL,NULL,NULL,NULL),(20,326,1,13,37,1,NULL,NULL,NULL),(20,326,1,13,38,NULL,1,NULL,NULL),(20,326,1,13,39,NULL,1,NULL,NULL),(20,326,1,13,40,NULL,NULL,NULL,NULL),(20,326,1,14,1,8,5,1,4),(20,326,1,14,2,4,7,NULL,4),(20,326,1,14,3,1,5,NULL,1),(20,326,1,14,4,NULL,9,NULL,NULL),(20,326,1,14,5,7,8,1,4),(20,326,1,14,6,8,16,5,3),(20,326,1,14,7,3,4,1,2),(20,326,1,14,8,10,NULL,5,NULL),(20,326,1,14,9,9,10,4,2),(20,326,1,14,10,3,6,1,4),(20,326,1,14,11,1,1,NULL,1),(20,326,1,14,12,1,7,NULL,3),(20,326,1,14,13,13,10,3,5),(20,326,1,14,14,17,7,3,3),(20,326,1,14,15,6,8,1,5),(20,326,1,14,16,18,2,5,2),(20,326,1,14,17,5,13,1,4),(20,326,1,14,18,14,6,5,2),(20,326,1,14,19,11,2,5,NULL),(20,326,1,14,20,16,6,6,1),(20,326,1,14,21,1,4,NULL,1),(20,326,1,14,22,3,5,NULL,2),(20,326,1,14,23,3,8,NULL,2),(20,326,1,14,24,1,10,1,3),(20,326,1,14,25,2,10,1,4),(20,326,1,14,26,3,NULL,1,NULL),(20,326,1,14,27,3,5,NULL,1),(20,326,1,14,28,1,4,NULL,2),(20,326,1,14,29,2,3,NULL,1),(20,326,1,14,30,2,7,NULL,4),(20,326,1,14,31,4,5,NULL,2),(20,326,1,14,32,4,5,NULL,3),(20,326,1,14,33,4,8,2,2),(20,326,1,14,34,NULL,5,NULL,NULL),(20,326,1,14,35,6,5,1,NULL),(20,326,1,14,36,5,9,3,4),(20,326,1,14,37,9,8,3,3),(20,326,1,14,38,1,3,NULL,2),(20,326,1,14,39,12,11,2,4),(20,326,1,14,40,4,1,3,NULL),(20,326,1,15,1,8,3,4,3),(20,326,1,15,2,2,3,1,2),(20,326,1,15,3,1,9,1,5),(20,326,1,15,4,1,4,NULL,2),(20,326,1,15,5,2,9,1,5),(20,326,1,15,6,14,5,9,1),(20,326,1,15,7,4,8,2,5),(20,326,1,15,8,12,5,8,2),(20,326,1,15,9,4,14,2,7),(20,326,1,15,10,4,6,3,5),(20,326,1,15,11,1,NULL,1,NULL),(20,326,1,15,12,6,9,4,5),(20,326,1,15,13,11,7,5,3),(20,326,1,15,14,12,8,8,5),(20,326,1,15,15,8,3,6,2),(20,326,1,15,16,10,8,8,4),(20,326,1,15,17,4,13,2,7),(20,326,1,15,18,15,5,11,1),(20,326,1,15,19,13,4,7,2),(20,326,1,15,20,17,4,11,2),(20,326,1,15,21,1,7,NULL,6),(20,326,1,15,22,1,8,1,5),(20,326,1,15,23,1,12,NULL,8),(20,326,1,15,24,1,6,NULL,5),(20,326,1,15,25,1,14,1,7),(20,326,1,15,26,2,NULL,2,NULL),(20,326,1,15,27,3,7,NULL,4),(20,326,1,15,28,NULL,5,NULL,2),(20,326,1,15,29,1,4,NULL,3),(20,326,1,15,30,1,6,1,5),(20,326,1,15,31,3,6,3,4),(20,326,1,15,32,4,5,3,2),(20,326,1,15,33,4,8,2,8),(20,326,1,15,34,1,3,1,3),(20,326,1,15,35,5,8,4,2),(20,326,1,15,36,6,8,2,5),(20,326,1,15,37,5,9,4,6),(20,326,1,15,38,NULL,4,NULL,4),(20,326,1,15,39,18,6,12,2),(20,326,1,15,40,6,3,5,2),(20,326,1,16,1,3,4,1,2),(20,326,1,16,2,1,4,NULL,2),(20,326,1,16,3,3,5,2,2),(20,326,1,16,4,3,8,2,2),(20,326,1,16,5,8,6,4,3),(20,326,1,16,6,7,9,4,4),(20,326,1,16,7,3,5,1,3),(20,326,1,16,8,10,6,2,4),(20,326,1,16,9,4,9,2,3),(20,326,1,16,10,3,3,2,2),(20,326,1,16,11,1,3,1,1),(20,326,1,16,12,5,2,3,NULL),(20,326,1,16,13,7,9,4,4),(20,326,1,16,14,2,3,1,1),(20,326,1,16,15,8,1,4,1),(20,326,1,16,16,2,6,1,3),(20,326,1,16,17,13,12,5,4),(20,326,1,16,18,1,4,1,2),(20,326,1,16,19,11,4,2,1),(20,326,1,16,20,1,8,NULL,3),(20,326,1,16,21,1,5,NULL,3),(20,326,1,16,22,2,6,1,4),(20,326,1,16,23,1,15,1,5),(20,326,1,16,24,2,2,1,1),(20,326,1,16,25,2,12,1,5),(20,326,1,16,26,3,NULL,NULL,NULL),(20,326,1,16,27,1,4,NULL,3),(20,326,1,16,28,1,8,1,4),(20,326,1,16,29,1,5,NULL,3),(20,326,1,16,30,2,4,1,2),(20,326,1,16,31,5,13,1,4),(20,326,1,16,32,3,7,2,3),(20,326,1,16,33,2,8,NULL,5),(20,326,1,16,34,2,2,NULL,1),(20,326,1,16,35,4,10,NULL,5),(20,326,1,16,36,7,7,5,2),(20,326,1,16,37,10,6,6,1),(20,326,1,16,38,2,6,1,2),(20,326,1,16,39,18,5,8,1),(20,326,1,16,40,6,3,4,1),(20,326,1,17,1,5,2,4,NULL),(20,326,1,17,2,2,5,2,4),(20,326,1,17,3,3,7,1,4),(20,326,1,17,4,3,9,2,6),(20,326,1,17,5,5,5,3,3),(20,326,1,17,6,8,6,7,2),(20,326,1,17,7,2,4,2,3),(20,326,1,17,8,5,7,3,3),(20,326,1,17,9,6,8,5,3),(20,326,1,17,10,3,5,2,4),(20,326,1,17,11,1,2,1,2),(20,326,1,17,12,1,4,1,1),(20,326,1,17,13,9,6,7,2),(20,326,1,17,14,3,2,2,2),(20,326,1,17,15,8,6,6,4),(20,326,1,17,16,2,9,1,3),(20,326,1,17,17,11,11,7,6),(20,326,1,17,18,3,7,2,4),(20,326,1,17,19,9,7,3,5),(20,326,1,17,20,1,9,1,6),(20,326,1,17,21,NULL,8,NULL,5),(20,326,1,17,22,NULL,5,NULL,5),(20,326,1,17,23,3,12,2,7),(20,326,1,17,24,NULL,3,NULL,3),(20,326,1,17,25,1,10,1,7),(20,326,1,17,26,2,NULL,2,NULL),(20,326,1,17,27,2,7,2,5),(20,326,1,17,28,NULL,3,NULL,3),(20,326,1,17,29,2,8,1,5),(20,326,1,17,30,2,2,1,1),(20,326,1,17,31,4,4,2,2),(20,326,1,17,32,5,5,3,4),(20,326,1,17,33,NULL,5,NULL,4),(20,326,1,17,34,NULL,3,NULL,3),(20,326,1,17,35,3,8,NULL,5),(20,326,1,17,36,4,9,2,4),(20,326,1,17,37,5,12,3,5),(20,326,1,17,38,NULL,1,NULL,NULL),(20,326,1,17,39,7,10,5,5),(20,326,1,17,40,2,4,1,3),(20,326,2,21,1,3,9,NULL,4),(20,326,2,21,2,NULL,NULL,NULL,NULL),(20,326,2,21,3,5,5,1,2),(20,326,2,21,4,6,5,2,3),(20,326,2,21,5,1,5,NULL,4),(20,326,2,21,6,8,5,5,2),(20,326,2,21,7,6,6,4,4),(20,326,2,21,8,8,NULL,6,NULL),(20,326,2,21,9,6,14,1,5),(20,326,2,21,10,3,6,1,4),(20,326,2,21,11,2,5,NULL,2),(20,326,2,21,12,2,5,2,2),(20,326,2,21,13,13,10,8,2),(20,326,2,21,14,11,11,4,4),(20,326,2,21,15,11,6,3,2),(20,326,2,21,16,6,10,2,5),(20,326,2,21,17,6,3,1,3),(20,326,2,21,18,1,7,NULL,5),(20,326,2,21,19,4,9,1,4),(20,326,2,21,20,2,7,2,4),(20,326,2,21,21,NULL,2,NULL,NULL),(20,326,2,21,22,NULL,6,NULL,2),(20,326,2,21,23,NULL,1,NULL,1),(20,326,2,21,24,NULL,4,NULL,2),(20,326,2,21,25,1,7,1,3),(20,326,2,21,26,NULL,4,NULL,2),(20,326,2,21,27,1,NULL,1,NULL),(20,326,2,21,28,3,3,1,1),(20,326,2,21,29,NULL,5,NULL,2),(20,326,2,21,30,2,8,2,2),(20,326,2,21,31,1,4,1,3),(20,326,2,21,32,4,4,4,2),(20,326,2,21,33,8,8,2,4),(20,326,2,21,34,1,5,NULL,1),(20,326,2,21,35,NULL,9,NULL,3),(20,326,2,21,36,2,6,1,1),(20,326,2,21,37,NULL,3,NULL,3),(20,326,2,21,38,NULL,4,NULL,3),(20,326,2,21,39,NULL,2,NULL,1),(20,326,2,21,40,2,8,1,4),(20,326,2,22,1,2,5,1,2),(20,326,2,22,2,NULL,3,NULL,1),(20,326,2,22,3,4,5,1,3),(20,326,2,22,4,6,4,3,1),(20,326,2,22,5,2,1,1,1),(20,326,2,22,6,9,4,6,3),(20,326,2,22,7,4,6,NULL,2),(20,326,2,22,8,5,NULL,2,NULL),(20,326,2,22,9,9,11,4,4),(20,326,2,22,10,NULL,10,NULL,5),(20,326,2,22,11,3,5,NULL,2),(20,326,2,22,12,2,3,2,NULL),(20,326,2,22,13,11,10,7,2),(20,326,2,22,14,8,11,4,6),(20,326,2,22,15,12,6,5,2),(20,326,2,22,16,8,6,2,2),(20,326,2,22,17,5,3,3,1),(20,326,2,22,18,NULL,7,NULL,2),(20,326,2,22,19,3,7,1,4),(20,326,2,22,20,6,6,2,1),(20,326,2,22,21,NULL,1,NULL,1),(20,326,2,22,22,NULL,7,NULL,4),(20,326,2,22,23,NULL,1,NULL,NULL),(20,326,2,22,24,1,NULL,NULL,NULL),(20,326,2,22,25,2,7,1,4),(20,326,2,22,26,1,3,NULL,2),(20,326,2,22,27,1,3,NULL,3),(20,326,2,22,28,5,8,2,2),(20,326,2,22,29,NULL,1,NULL,NULL),(20,326,2,22,30,1,4,NULL,1),(20,326,2,22,31,1,8,NULL,3),(20,326,2,22,32,NULL,10,NULL,5),(20,326,2,22,33,3,9,NULL,4),(20,326,2,22,34,3,2,2,2),(20,326,2,22,35,1,9,NULL,2),(20,326,2,22,36,NULL,10,NULL,3),(20,326,2,22,37,2,4,NULL,1),(20,326,2,22,38,NULL,2,NULL,2),(20,326,2,22,39,NULL,1,NULL,NULL),(20,326,2,22,40,3,5,1,2),(20,326,2,23,1,3,4,1,1),(20,326,2,23,2,NULL,2,NULL,1),(20,326,2,23,3,3,13,NULL,7),(20,326,2,23,4,2,2,1,2),(20,326,2,23,5,2,4,1,2),(20,326,2,23,6,7,5,3,4),(20,326,2,23,7,3,8,1,5),(20,326,2,23,8,5,NULL,4,NULL),(20,326,2,23,9,5,15,2,6),(20,326,2,23,10,2,9,1,8),(20,326,2,23,11,4,3,3,2),(20,326,2,23,12,2,7,NULL,4),(20,326,2,23,13,10,10,7,4),(20,326,2,23,14,15,11,5,6),(20,326,2,23,15,14,7,7,3),(20,326,2,23,16,8,8,2,6),(20,326,2,23,17,3,6,2,3),(20,326,2,23,18,NULL,6,NULL,5),(20,326,2,23,19,1,9,NULL,2),(20,326,2,23,20,4,10,2,3),(20,326,2,23,21,NULL,2,NULL,1),(20,326,2,23,22,NULL,4,NULL,1),(20,326,2,23,23,1,1,NULL,NULL),(20,326,2,23,24,NULL,2,NULL,2),(20,326,2,23,25,3,10,1,6),(20,326,2,23,26,NULL,4,NULL,2),(20,326,2,23,27,NULL,2,NULL,1),(20,326,2,23,28,4,7,3,4),(20,326,2,23,29,1,1,NULL,NULL),(20,326,2,23,30,3,6,2,2),(20,326,2,23,31,1,7,NULL,6),(20,326,2,23,32,1,9,NULL,5),(20,326,2,23,33,2,17,NULL,9),(20,326,2,23,34,3,7,2,2),(20,326,2,23,35,NULL,7,NULL,4),(20,326,2,23,36,NULL,9,NULL,6),(20,326,2,23,37,2,5,1,4),(20,326,2,23,38,NULL,6,NULL,6),(20,326,2,23,39,NULL,2,NULL,NULL),(20,326,2,23,40,5,6,3,4),(20,326,2,24,1,3,6,2,3),(20,326,2,24,2,NULL,1,NULL,1),(20,326,2,24,3,6,3,3,1),(20,326,2,24,4,2,4,NULL,2),(20,326,2,24,5,NULL,6,NULL,3),(20,326,2,24,6,9,6,7,3),(20,326,2,24,7,2,9,2,6),(20,326,2,24,8,5,NULL,4,NULL),(20,326,2,24,9,5,12,1,8),(20,326,2,24,10,1,12,1,5),(20,326,2,24,11,6,2,3,1),(20,326,2,24,12,1,5,NULL,2),(20,326,2,24,13,16,5,9,2),(20,326,2,24,14,12,9,6,2),(20,326,2,24,15,6,6,4,2),(20,326,2,24,16,7,7,1,4),(20,326,2,24,17,3,1,1,1),(20,326,2,24,18,1,6,NULL,4),(20,326,2,24,19,5,4,3,1),(20,326,2,24,20,5,6,2,2),(20,326,2,24,21,NULL,3,NULL,2),(20,326,2,24,22,1,5,1,3),(20,326,2,24,23,NULL,2,NULL,1),(20,326,2,24,24,NULL,3,NULL,1),(20,326,2,24,25,6,4,3,2),(20,326,2,24,26,NULL,2,NULL,NULL),(20,326,2,24,27,NULL,2,NULL,1),(20,326,2,24,28,4,10,2,6),(20,326,2,24,29,NULL,1,NULL,NULL),(20,326,2,24,30,1,6,1,2),(20,326,2,24,31,NULL,4,NULL,4),(20,326,2,24,32,2,4,2,3),(20,326,2,24,33,4,8,2,4),(20,326,2,24,34,2,6,NULL,4),(20,326,2,24,35,1,6,1,2),(20,326,2,24,36,1,7,NULL,3),(20,326,2,24,37,2,3,NULL,2),(20,326,2,24,38,1,6,NULL,4),(20,326,2,24,39,NULL,3,NULL,2),(20,326,2,24,40,3,6,3,2),(20,327,1,11,1,NULL,NULL,NULL,NULL),(20,327,1,11,2,NULL,NULL,NULL,NULL),(20,327,1,11,3,NULL,NULL,NULL,NULL),(20,327,1,11,4,NULL,NULL,NULL,NULL),(20,327,1,11,5,NULL,NULL,NULL,NULL),(20,327,1,11,6,NULL,NULL,NULL,NULL),(20,327,1,11,7,NULL,NULL,NULL,NULL),(20,327,1,11,8,NULL,NULL,NULL,NULL),(20,327,1,11,9,NULL,NULL,NULL,NULL),(20,327,1,11,10,NULL,NULL,NULL,NULL),(20,327,1,11,11,NULL,NULL,NULL,NULL),(20,327,1,11,12,NULL,NULL,NULL,NULL),(20,327,1,11,13,NULL,NULL,NULL,NULL),(20,327,1,11,14,NULL,NULL,NULL,NULL),(20,327,1,11,15,NULL,NULL,NULL,NULL),(20,327,1,11,16,NULL,NULL,NULL,NULL),(20,327,1,11,17,NULL,NULL,NULL,NULL),(20,327,1,11,18,NULL,NULL,NULL,NULL),(20,327,1,11,19,NULL,NULL,NULL,NULL),(20,327,1,11,20,NULL,NULL,NULL,NULL),(20,327,1,11,21,NULL,NULL,NULL,NULL),(20,327,1,11,22,NULL,NULL,NULL,NULL),(20,327,1,11,23,NULL,NULL,NULL,NULL),(20,327,1,11,24,NULL,NULL,NULL,NULL),(20,327,1,11,25,NULL,NULL,NULL,NULL),(20,327,1,11,26,NULL,NULL,NULL,NULL),(20,327,1,11,27,NULL,NULL,NULL,NULL),(20,327,1,11,28,NULL,NULL,NULL,NULL),(20,327,1,11,29,NULL,NULL,NULL,NULL),(20,327,1,11,30,NULL,NULL,NULL,NULL),(20,327,1,11,31,NULL,NULL,NULL,NULL),(20,327,1,11,32,NULL,NULL,NULL,NULL),(20,327,1,11,33,NULL,NULL,NULL,NULL),(20,327,1,11,34,NULL,NULL,NULL,NULL),(20,327,1,11,35,NULL,NULL,NULL,NULL),(20,327,1,11,36,NULL,NULL,NULL,NULL),(20,327,1,11,37,NULL,NULL,NULL,NULL),(20,327,1,11,38,NULL,NULL,NULL,NULL),(20,327,1,11,39,NULL,NULL,NULL,NULL),(20,327,1,11,40,NULL,NULL,NULL,NULL),(20,327,1,12,1,NULL,NULL,NULL,NULL),(20,327,1,12,2,NULL,NULL,NULL,NULL),(20,327,1,12,3,NULL,NULL,NULL,NULL),(20,327,1,12,4,NULL,NULL,NULL,NULL),(20,327,1,12,5,NULL,NULL,NULL,NULL),(20,327,1,12,6,NULL,NULL,NULL,NULL),(20,327,1,12,7,NULL,NULL,NULL,NULL),(20,327,1,12,8,NULL,NULL,NULL,NULL),(20,327,1,12,9,NULL,NULL,NULL,NULL),(20,327,1,12,10,NULL,NULL,NULL,NULL),(20,327,1,12,11,NULL,NULL,NULL,NULL),(20,327,1,12,12,NULL,NULL,NULL,NULL),(20,327,1,12,13,NULL,NULL,NULL,NULL),(20,327,1,12,14,NULL,NULL,NULL,NULL),(20,327,1,12,15,NULL,NULL,NULL,NULL),(20,327,1,12,16,NULL,NULL,NULL,NULL),(20,327,1,12,17,NULL,NULL,NULL,NULL),(20,327,1,12,18,NULL,NULL,NULL,NULL),(20,327,1,12,19,NULL,NULL,NULL,NULL),(20,327,1,12,20,NULL,NULL,NULL,NULL),(20,327,1,12,21,NULL,NULL,NULL,NULL),(20,327,1,12,22,NULL,NULL,NULL,NULL),(20,327,1,12,23,NULL,NULL,NULL,NULL),(20,327,1,12,24,NULL,NULL,NULL,NULL),(20,327,1,12,25,NULL,NULL,NULL,NULL),(20,327,1,12,26,NULL,NULL,NULL,NULL),(20,327,1,12,27,NULL,NULL,NULL,NULL),(20,327,1,12,28,NULL,NULL,NULL,NULL),(20,327,1,12,29,NULL,NULL,NULL,NULL),(20,327,1,12,30,NULL,NULL,NULL,NULL),(20,327,1,12,31,NULL,NULL,NULL,NULL),(20,327,1,12,32,NULL,NULL,NULL,NULL),(20,327,1,12,33,NULL,NULL,NULL,NULL),(20,327,1,12,34,NULL,NULL,NULL,NULL),(20,327,1,12,35,NULL,NULL,NULL,NULL),(20,327,1,12,36,NULL,NULL,NULL,NULL),(20,327,1,12,37,NULL,NULL,NULL,NULL),(20,327,1,12,38,NULL,NULL,NULL,NULL),(20,327,1,12,39,NULL,NULL,NULL,NULL),(20,327,1,12,40,NULL,NULL,NULL,NULL),(20,327,1,13,1,NULL,NULL,NULL,NULL),(20,327,1,13,2,NULL,NULL,NULL,NULL),(20,327,1,13,3,1,NULL,NULL,NULL),(20,327,1,13,4,NULL,NULL,NULL,NULL),(20,327,1,13,5,NULL,NULL,NULL,NULL),(20,327,1,13,6,1,NULL,NULL,NULL),(20,327,1,13,7,NULL,NULL,NULL,NULL),(20,327,1,13,8,NULL,NULL,NULL,NULL),(20,327,1,13,9,1,NULL,NULL,NULL),(20,327,1,13,10,NULL,NULL,NULL,NULL),(20,327,1,13,11,NULL,NULL,NULL,NULL),(20,327,1,13,12,NULL,NULL,NULL,NULL),(20,327,1,13,13,1,NULL,NULL,NULL),(20,327,1,13,14,NULL,NULL,NULL,NULL),(20,327,1,13,15,1,NULL,NULL,NULL),(20,327,1,13,16,1,NULL,NULL,NULL),(20,327,1,13,17,NULL,1,NULL,NULL),(20,327,1,13,18,1,NULL,NULL,NULL),(20,327,1,13,19,1,NULL,NULL,NULL),(20,327,1,13,20,1,NULL,NULL,NULL),(20,327,1,13,21,NULL,NULL,NULL,NULL),(20,327,1,13,22,NULL,NULL,NULL,NULL),(20,327,1,13,23,NULL,NULL,NULL,NULL),(20,327,1,13,24,NULL,NULL,NULL,NULL),(20,327,1,13,25,NULL,NULL,NULL,NULL),(20,327,1,13,26,NULL,NULL,NULL,NULL),(20,327,1,13,27,NULL,NULL,NULL,NULL),(20,327,1,13,28,NULL,NULL,NULL,NULL),(20,327,1,13,29,NULL,NULL,NULL,NULL),(20,327,1,13,30,NULL,NULL,NULL,NULL),(20,327,1,13,31,NULL,NULL,NULL,NULL),(20,327,1,13,32,NULL,NULL,NULL,NULL),(20,327,1,13,33,NULL,NULL,NULL,NULL),(20,327,1,13,34,NULL,NULL,NULL,NULL),(20,327,1,13,35,NULL,NULL,NULL,NULL),(20,327,1,13,36,NULL,NULL,NULL,NULL),(20,327,1,13,37,NULL,NULL,NULL,NULL),(20,327,1,13,38,NULL,NULL,NULL,NULL),(20,327,1,13,39,NULL,NULL,NULL,NULL),(20,327,1,13,40,NULL,NULL,NULL,NULL),(20,327,1,14,1,2,7,1,1),(20,327,1,14,2,1,3,NULL,1),(20,327,1,14,3,1,5,1,2),(20,327,1,14,4,4,1,1,1),(20,327,1,14,5,3,7,3,4),(20,327,1,14,6,9,10,4,4),(20,327,1,14,7,4,3,2,1),(20,327,1,14,8,4,3,3,NULL),(20,327,1,14,9,4,9,3,3),(20,327,1,14,10,NULL,7,NULL,3),(20,327,1,14,11,1,3,1,1),(20,327,1,14,12,3,4,2,2),(20,327,1,14,13,7,6,2,4),(20,327,1,14,14,9,6,6,2),(20,327,1,14,15,1,5,NULL,1),(20,327,1,14,16,16,3,8,NULL),(20,327,1,14,17,3,7,1,4),(20,327,1,14,18,12,5,6,2),(20,327,1,14,19,11,1,6,NULL),(20,327,1,14,20,10,5,6,1),(20,327,1,14,21,3,4,2,NULL),(20,327,1,14,22,3,3,2,2),(20,327,1,14,23,NULL,11,NULL,4),(20,327,1,14,24,1,4,1,1),(20,327,1,14,25,3,4,2,1),(20,327,1,14,26,2,NULL,2,NULL),(20,327,1,14,27,1,5,NULL,1),(20,327,1,14,28,1,3,NULL,2),(20,327,1,14,29,1,6,1,2),(20,327,1,14,30,NULL,2,NULL,1),(20,327,1,14,31,4,4,2,2),(20,327,1,14,32,2,7,1,1),(20,327,1,14,33,2,1,1,NULL),(20,327,1,14,34,NULL,2,NULL,1),(20,327,1,14,35,4,2,3,1),(20,327,1,14,36,4,3,4,2),(20,327,1,14,37,5,8,2,4),(20,327,1,14,38,NULL,NULL,NULL,NULL),(20,327,1,14,39,11,8,5,4),(20,327,1,14,40,2,3,1,1),(20,327,1,15,1,7,5,7,3),(20,327,1,15,2,2,2,2,2),(20,327,1,15,3,NULL,3,NULL,1),(20,327,1,15,4,1,3,1,1),(20,327,1,15,5,4,6,1,5),(20,327,1,15,6,9,10,5,6),(20,327,1,15,7,5,6,4,5),(20,327,1,15,8,5,6,4,4),(20,327,1,15,9,8,11,6,7),(20,327,1,15,10,3,5,1,5),(20,327,1,15,11,2,6,1,4),(20,327,1,15,12,4,4,3,3),(20,327,1,15,13,13,6,8,3),(20,327,1,15,14,11,7,6,6),(20,327,1,15,15,8,6,6,3),(20,327,1,15,16,15,3,9,2),(20,327,1,15,17,11,4,8,3),(20,327,1,15,18,10,9,7,5),(20,327,1,15,19,13,1,9,NULL),(20,327,1,15,20,15,3,9,1),(20,327,1,15,21,2,5,2,2),(20,327,1,15,22,NULL,9,NULL,8),(20,327,1,15,23,2,15,1,9),(20,327,1,15,24,2,8,1,7),(20,327,1,15,25,3,11,1,7),(20,327,1,15,26,3,NULL,3,NULL),(20,327,1,15,27,1,8,1,6),(20,327,1,15,28,NULL,6,NULL,4),(20,327,1,15,29,1,5,NULL,4),(20,327,1,15,30,1,5,NULL,3),(20,327,1,15,31,4,6,3,3),(20,327,1,15,32,5,4,5,1),(20,327,1,15,33,3,4,1,1),(20,327,1,15,34,NULL,5,NULL,3),(20,327,1,15,35,2,4,1,4),(20,327,1,15,36,7,5,4,3),(20,327,1,15,37,5,7,4,4),(20,327,1,15,38,NULL,3,NULL,2),(20,327,1,15,39,10,10,6,6),(20,327,1,15,40,6,1,6,NULL),(20,327,1,16,1,5,5,1,2),(20,327,1,16,2,5,4,4,3),(20,327,1,16,3,3,11,1,2),(20,327,1,16,4,3,8,NULL,6),(20,327,1,16,5,5,12,4,6),(20,327,1,16,6,11,10,4,6),(20,327,1,16,7,5,10,3,8),(20,327,1,16,8,17,5,10,2),(20,327,1,16,9,8,16,2,7),(20,327,1,16,10,8,5,4,2),(20,327,1,16,11,4,6,2,4),(20,327,1,16,12,5,7,5,4),(20,327,1,16,13,17,7,7,3),(20,327,1,16,14,NULL,4,NULL,3),(20,327,1,16,15,9,8,4,3),(20,327,1,16,16,1,8,NULL,5),(20,327,1,16,17,24,9,9,6),(20,327,1,16,18,3,5,2,2),(20,327,1,16,19,11,8,3,4),(20,327,1,16,20,8,11,2,8),(20,327,1,16,21,1,8,1,5),(20,327,1,16,22,2,5,2,4),(20,327,1,16,23,1,17,NULL,11),(20,327,1,16,24,1,8,NULL,7),(20,327,1,16,25,1,10,1,8),(20,327,1,16,26,4,NULL,4,NULL),(20,327,1,16,27,3,8,2,5),(20,327,1,16,28,1,5,NULL,4),(20,327,1,16,29,3,6,1,4),(20,327,1,16,30,NULL,9,NULL,4),(20,327,1,16,31,4,13,2,7),(20,327,1,16,32,4,6,2,3),(20,327,1,16,33,6,4,4,3),(20,327,1,16,34,NULL,3,NULL,1),(20,327,1,16,35,9,9,1,5),(20,327,1,16,36,10,13,4,7),(20,327,1,16,37,10,8,3,5),(20,327,1,16,38,NULL,4,NULL,3),(20,327,1,16,39,25,11,11,2),(20,327,1,16,40,10,3,7,2),(20,327,1,17,1,1,4,NULL,3),(20,327,1,17,2,1,1,1,NULL),(20,327,1,17,3,2,2,NULL,NULL),(20,327,1,17,4,2,5,2,1),(20,327,1,17,5,3,7,1,1),(20,327,1,17,6,6,9,4,1),(20,327,1,17,7,2,2,1,NULL),(20,327,1,17,8,4,8,1,2),(20,327,1,17,9,4,12,1,4),(20,327,1,17,10,NULL,7,NULL,1),(20,327,1,17,11,1,5,NULL,2),(20,327,1,17,12,2,3,1,1),(20,327,1,17,13,2,7,NULL,2),(20,327,1,17,14,1,3,NULL,NULL),(20,327,1,17,15,8,2,1,1),(20,327,1,17,16,NULL,3,NULL,NULL),(20,327,1,17,17,9,13,NULL,4),(20,327,1,17,18,NULL,7,NULL,1),(20,327,1,17,19,7,4,1,NULL),(20,327,1,17,20,2,5,1,1),(20,327,1,17,21,4,5,NULL,1),(20,327,1,17,22,NULL,2,NULL,1),(20,327,1,17,23,2,7,1,2),(20,327,1,17,24,2,3,NULL,2),(20,327,1,17,25,2,7,1,3),(20,327,1,17,26,NULL,NULL,NULL,NULL),(20,327,1,17,27,2,7,NULL,2),(20,327,1,17,28,NULL,1,NULL,1),(20,327,1,17,29,5,6,NULL,1),(20,327,1,17,30,1,7,NULL,2),(20,327,1,17,31,3,9,1,3),(20,327,1,17,32,2,6,1,1),(20,327,1,17,33,2,5,NULL,1),(20,327,1,17,34,NULL,3,NULL,1),(20,327,1,17,35,7,8,2,2),(20,327,1,17,36,8,5,2,1),(20,327,1,17,37,6,7,2,1),(20,327,1,17,38,NULL,2,NULL,1),(20,327,1,17,39,5,12,2,1),(20,327,1,17,40,2,3,NULL,NULL),(20,327,2,21,1,2,3,2,1),(20,327,2,21,2,1,1,1,NULL),(20,327,2,21,3,3,11,2,5),(20,327,2,21,4,3,4,NULL,1),(20,327,2,21,5,2,7,NULL,2),(20,327,2,21,6,9,9,4,5),(20,327,2,21,7,4,6,2,3),(20,327,2,21,8,9,NULL,5,NULL),(20,327,2,21,9,10,13,4,5),(20,327,2,21,10,1,9,NULL,3),(20,327,2,21,11,2,6,2,1),(20,327,2,21,12,1,9,NULL,3),(20,327,2,21,13,11,13,4,5),(20,327,2,21,14,12,16,3,5),(20,327,2,21,15,14,8,7,3),(20,327,2,21,16,18,7,7,1),(20,327,2,21,17,3,6,3,1),(20,327,2,21,18,1,5,1,2),(20,327,2,21,19,3,10,2,3),(20,327,2,21,20,10,8,5,2),(20,327,2,21,21,NULL,2,NULL,NULL),(20,327,2,21,22,2,6,1,3),(20,327,2,21,23,NULL,4,NULL,1),(20,327,2,21,24,NULL,3,NULL,2),(20,327,2,21,25,NULL,10,NULL,5),(20,327,2,21,26,NULL,3,NULL,2),(20,327,2,21,27,NULL,3,NULL,2),(20,327,2,21,28,4,8,2,2),(20,327,2,21,29,1,5,1,3),(20,327,2,21,30,1,4,NULL,2),(20,327,2,21,31,2,4,2,1),(20,327,2,21,32,NULL,5,NULL,2),(20,327,2,21,33,2,13,1,5),(20,327,2,21,34,4,6,2,1),(20,327,2,21,35,NULL,10,NULL,2),(20,327,2,21,36,1,9,NULL,3),(20,327,2,21,37,1,8,NULL,2),(20,327,2,21,38,NULL,5,NULL,3),(20,327,2,21,39,NULL,1,NULL,NULL),(20,327,2,21,40,NULL,8,NULL,3),(20,327,2,22,1,4,7,1,3),(20,327,2,22,2,1,2,1,1),(20,327,2,22,3,6,4,2,1),(20,327,2,22,4,6,7,1,2),(20,327,2,22,5,NULL,3,NULL,2),(20,327,2,22,6,5,9,1,7),(20,327,2,22,7,5,8,4,4),(20,327,2,22,8,9,NULL,5,NULL),(20,327,2,22,9,5,20,1,5),(20,327,2,22,10,1,10,NULL,4),(20,327,2,22,11,5,8,2,1),(20,327,2,22,12,2,4,1,2),(20,327,2,22,13,9,18,4,7),(20,327,2,22,14,12,16,5,5),(20,327,2,22,15,13,7,5,4),(20,327,2,22,16,15,8,6,3),(20,327,2,22,17,2,4,NULL,3),(20,327,2,22,18,NULL,6,NULL,1),(20,327,2,22,19,4,11,NULL,4),(20,327,2,22,20,10,10,4,4),(20,327,2,22,21,NULL,1,NULL,NULL),(20,327,2,22,22,NULL,11,NULL,5),(20,327,2,22,23,NULL,1,NULL,1),(20,327,2,22,24,1,NULL,NULL,NULL),(20,327,2,22,25,NULL,13,NULL,5),(20,327,2,22,26,NULL,5,NULL,2),(20,327,2,22,27,NULL,3,NULL,2),(20,327,2,22,28,5,7,2,3),(20,327,2,22,29,NULL,1,NULL,NULL),(20,327,2,22,30,2,6,1,2),(20,327,2,22,31,NULL,5,NULL,2),(20,327,2,22,32,NULL,7,NULL,3),(20,327,2,22,33,2,13,NULL,3),(20,327,2,22,34,2,4,1,1),(20,327,2,22,35,2,8,2,6),(20,327,2,22,36,5,13,2,9),(20,327,2,22,37,1,6,NULL,2),(20,327,2,22,38,1,8,NULL,6),(20,327,2,22,39,1,5,1,1),(20,327,2,22,40,6,10,2,3),(20,327,2,23,1,1,6,NULL,4),(20,327,2,23,2,NULL,2,NULL,2),(20,327,2,23,3,3,5,1,3),(20,327,2,23,4,4,4,4,2),(20,327,2,23,5,2,6,2,4),(20,327,2,23,6,6,7,5,5),(20,327,2,23,7,2,7,1,6),(20,327,2,23,8,7,NULL,5,NULL),(20,327,2,23,9,3,16,1,8),(20,327,2,23,10,2,6,2,4),(20,327,2,23,11,3,5,1,3),(20,327,2,23,12,1,5,NULL,3),(20,327,2,23,13,8,8,5,4),(20,327,2,23,14,9,12,4,6),(20,327,2,23,15,7,5,4,4),(20,327,2,23,16,9,4,5,3),(20,327,2,23,17,1,4,1,1),(20,327,2,23,18,NULL,3,NULL,2),(20,327,2,23,19,2,8,NULL,3),(20,327,2,23,20,3,9,2,6),(20,327,2,23,21,NULL,2,NULL,1),(20,327,2,23,22,3,5,1,1),(20,327,2,23,23,1,3,NULL,1),(20,327,2,23,24,NULL,4,NULL,2),(20,327,2,23,25,6,4,1,1),(20,327,2,23,26,NULL,3,NULL,2),(20,327,2,23,27,NULL,3,NULL,2),(20,327,2,23,28,1,4,1,3),(20,327,2,23,29,NULL,4,NULL,2),(20,327,2,23,30,2,4,1,3),(20,327,2,23,31,2,1,2,1),(20,327,2,23,32,NULL,3,NULL,3),(20,327,2,23,33,3,10,1,5),(20,327,2,23,34,2,4,1,2),(20,327,2,23,35,NULL,9,NULL,5),(20,327,2,23,36,1,5,NULL,3),(20,327,2,23,37,NULL,4,NULL,3),(20,327,2,23,38,1,2,1,2),(20,327,2,23,39,1,1,1,1),(20,327,2,23,40,3,3,3,2),(20,327,2,24,1,NULL,5,NULL,4),(20,327,2,24,2,1,2,1,2),(20,327,2,24,3,3,6,1,3),(20,327,2,24,4,5,5,4,2),(20,327,2,24,5,NULL,7,NULL,6),(20,327,2,24,6,4,9,3,7),(20,327,2,24,7,2,5,2,5),(20,327,2,24,8,6,NULL,5,NULL),(20,327,2,24,9,8,9,4,3),(20,327,2,24,10,2,7,1,6),(20,327,2,24,11,4,4,3,2),(20,327,2,24,12,2,5,1,4),(20,327,2,24,13,6,10,3,6),(20,327,2,24,14,9,9,5,5),(20,327,2,24,15,6,3,5,2),(20,327,2,24,16,9,3,6,2),(20,327,2,24,17,3,1,1,NULL),(20,327,2,24,18,NULL,9,NULL,7),(20,327,2,24,19,2,9,NULL,5),(20,327,2,24,20,1,7,1,6),(20,327,2,24,21,NULL,2,NULL,1),(20,327,2,24,22,NULL,4,NULL,2),(20,327,2,24,23,NULL,1,NULL,NULL),(20,327,2,24,24,NULL,1,NULL,1),(20,327,2,24,25,3,4,2,3),(20,327,2,24,26,NULL,2,NULL,1),(20,327,2,24,27,NULL,2,NULL,NULL),(20,327,2,24,28,6,2,5,1),(20,327,2,24,29,NULL,NULL,NULL,NULL),(20,327,2,24,30,2,3,NULL,2),(20,327,2,24,31,1,4,1,3),(20,327,2,24,32,1,9,1,3),(20,327,2,24,33,1,7,NULL,5),(20,327,2,24,34,1,3,1,3),(20,327,2,24,35,1,10,1,4),(20,327,2,24,36,NULL,7,NULL,5),(20,327,2,24,37,3,5,2,4),(20,327,2,24,38,1,7,NULL,6),(20,327,2,24,39,NULL,4,NULL,3),(20,327,2,24,40,2,7,2,4),(20,328,1,11,1,NULL,NULL,NULL,NULL),(20,328,1,11,2,NULL,NULL,NULL,NULL),(20,328,1,11,3,NULL,NULL,NULL,NULL),(20,328,1,11,4,NULL,NULL,NULL,NULL),(20,328,1,11,5,NULL,NULL,NULL,NULL),(20,328,1,11,6,NULL,NULL,NULL,NULL),(20,328,1,11,7,NULL,NULL,NULL,NULL),(20,328,1,11,8,NULL,NULL,NULL,NULL),(20,328,1,11,9,NULL,NULL,NULL,NULL),(20,328,1,11,10,NULL,NULL,NULL,NULL),(20,328,1,11,11,NULL,NULL,NULL,NULL),(20,328,1,11,12,NULL,NULL,NULL,NULL),(20,328,1,11,13,NULL,NULL,NULL,NULL),(20,328,1,11,14,NULL,NULL,NULL,NULL),(20,328,1,11,15,NULL,NULL,NULL,NULL),(20,328,1,11,16,NULL,NULL,NULL,NULL),(20,328,1,11,17,NULL,NULL,NULL,NULL),(20,328,1,11,18,NULL,NULL,NULL,NULL),(20,328,1,11,19,NULL,NULL,NULL,NULL),(20,328,1,11,20,NULL,NULL,NULL,NULL),(20,328,1,11,21,NULL,NULL,NULL,NULL),(20,328,1,11,22,NULL,NULL,NULL,NULL),(20,328,1,11,23,NULL,NULL,NULL,NULL),(20,328,1,11,24,NULL,NULL,NULL,NULL),(20,328,1,11,25,NULL,NULL,NULL,NULL),(20,328,1,11,26,NULL,NULL,NULL,NULL),(20,328,1,11,27,NULL,NULL,NULL,NULL),(20,328,1,11,28,NULL,NULL,NULL,NULL),(20,328,1,11,29,NULL,NULL,NULL,NULL),(20,328,1,11,30,NULL,NULL,NULL,NULL),(20,328,1,11,31,NULL,NULL,NULL,NULL),(20,328,1,11,32,NULL,NULL,NULL,NULL),(20,328,1,11,33,NULL,NULL,NULL,NULL),(20,328,1,11,34,NULL,NULL,NULL,NULL),(20,328,1,11,35,NULL,NULL,NULL,NULL),(20,328,1,11,36,NULL,NULL,NULL,NULL),(20,328,1,11,37,NULL,NULL,NULL,NULL),(20,328,1,11,38,NULL,NULL,NULL,NULL),(20,328,1,11,39,NULL,NULL,NULL,NULL),(20,328,1,11,40,NULL,NULL,NULL,NULL),(20,328,1,12,1,NULL,NULL,NULL,NULL),(20,328,1,12,2,NULL,NULL,NULL,NULL),(20,328,1,12,3,NULL,NULL,NULL,NULL),(20,328,1,12,4,NULL,NULL,NULL,NULL),(20,328,1,12,5,NULL,NULL,NULL,NULL),(20,328,1,12,6,NULL,NULL,NULL,NULL),(20,328,1,12,7,NULL,NULL,NULL,NULL),(20,328,1,12,8,NULL,NULL,NULL,NULL),(20,328,1,12,9,NULL,NULL,NULL,NULL),(20,328,1,12,10,NULL,NULL,NULL,NULL),(20,328,1,12,11,NULL,NULL,NULL,NULL),(20,328,1,12,12,NULL,NULL,NULL,NULL),(20,328,1,12,13,NULL,NULL,NULL,NULL),(20,328,1,12,14,NULL,NULL,NULL,NULL),(20,328,1,12,15,NULL,NULL,NULL,NULL),(20,328,1,12,16,NULL,NULL,NULL,NULL),(20,328,1,12,17,NULL,NULL,NULL,NULL),(20,328,1,12,18,NULL,NULL,NULL,NULL),(20,328,1,12,19,NULL,NULL,NULL,NULL),(20,328,1,12,20,NULL,NULL,NULL,NULL),(20,328,1,12,21,NULL,NULL,NULL,NULL),(20,328,1,12,22,NULL,NULL,NULL,NULL),(20,328,1,12,23,NULL,NULL,NULL,NULL),(20,328,1,12,24,NULL,NULL,NULL,NULL),(20,328,1,12,25,NULL,NULL,NULL,NULL),(20,328,1,12,26,NULL,NULL,NULL,NULL),(20,328,1,12,27,NULL,NULL,NULL,NULL),(20,328,1,12,28,NULL,NULL,NULL,NULL),(20,328,1,12,29,NULL,NULL,NULL,NULL),(20,328,1,12,30,NULL,NULL,NULL,NULL),(20,328,1,12,31,NULL,NULL,NULL,NULL),(20,328,1,12,32,NULL,NULL,NULL,NULL),(20,328,1,12,33,NULL,NULL,NULL,NULL),(20,328,1,12,34,NULL,NULL,NULL,NULL),(20,328,1,12,35,NULL,NULL,NULL,NULL),(20,328,1,12,36,NULL,NULL,NULL,NULL),(20,328,1,12,37,NULL,NULL,NULL,NULL),(20,328,1,12,38,NULL,NULL,NULL,NULL),(20,328,1,12,39,NULL,NULL,NULL,NULL),(20,328,1,12,40,NULL,NULL,NULL,NULL),(20,328,1,13,1,NULL,NULL,NULL,NULL),(20,328,1,13,2,NULL,NULL,NULL,NULL),(20,328,1,13,3,NULL,NULL,NULL,NULL),(20,328,1,13,4,NULL,NULL,NULL,NULL),(20,328,1,13,5,NULL,NULL,NULL,NULL),(20,328,1,13,6,NULL,NULL,NULL,NULL),(20,328,1,13,7,NULL,NULL,NULL,NULL),(20,328,1,13,8,NULL,NULL,NULL,NULL),(20,328,1,13,9,1,NULL,NULL,NULL),(20,328,1,13,10,NULL,NULL,NULL,NULL),(20,328,1,13,11,NULL,NULL,NULL,NULL),(20,328,1,13,12,NULL,NULL,NULL,NULL),(20,328,1,13,13,NULL,NULL,NULL,NULL),(20,328,1,13,14,NULL,NULL,NULL,NULL),(20,328,1,13,15,NULL,NULL,NULL,NULL),(20,328,1,13,16,NULL,NULL,NULL,NULL),(20,328,1,13,17,NULL,NULL,NULL,NULL),(20,328,1,13,18,NULL,NULL,NULL,NULL),(20,328,1,13,19,NULL,NULL,NULL,NULL),(20,328,1,13,20,NULL,NULL,NULL,NULL),(20,328,1,13,21,NULL,NULL,NULL,NULL),(20,328,1,13,22,NULL,NULL,NULL,NULL),(20,328,1,13,23,1,NULL,NULL,NULL),(20,328,1,13,24,NULL,NULL,NULL,NULL),(20,328,1,13,25,NULL,NULL,NULL,NULL),(20,328,1,13,26,NULL,NULL,NULL,NULL),(20,328,1,13,27,NULL,NULL,NULL,NULL),(20,328,1,13,28,NULL,NULL,NULL,NULL),(20,328,1,13,29,NULL,NULL,NULL,NULL),(20,328,1,13,30,NULL,NULL,NULL,NULL),(20,328,1,13,31,NULL,1,NULL,NULL),(20,328,1,13,32,NULL,NULL,NULL,NULL),(20,328,1,13,33,NULL,NULL,NULL,NULL),(20,328,1,13,34,NULL,NULL,NULL,NULL),(20,328,1,13,35,NULL,NULL,NULL,NULL),(20,328,1,13,36,NULL,NULL,NULL,NULL),(20,328,1,13,37,NULL,NULL,NULL,NULL),(20,328,1,13,38,NULL,NULL,NULL,NULL),(20,328,1,13,39,NULL,NULL,NULL,NULL),(20,328,1,13,40,NULL,NULL,NULL,NULL),(20,328,1,14,1,4,NULL,3,NULL),(20,328,1,14,2,2,1,2,1),(20,328,1,14,3,2,NULL,1,NULL),(20,328,1,14,4,NULL,2,NULL,2),(20,328,1,14,5,2,3,2,2),(20,328,1,14,6,2,6,2,4),(20,328,1,14,7,1,NULL,NULL,NULL),(20,328,1,14,8,2,1,1,1),(20,328,1,14,9,5,2,3,2),(20,328,1,14,10,NULL,1,NULL,1),(20,328,1,14,11,NULL,1,NULL,1),(20,328,1,14,12,1,NULL,1,NULL),(20,328,1,14,13,4,5,4,2),(20,328,1,14,14,4,2,4,1),(20,328,1,14,15,3,3,3,1),(20,328,1,14,16,5,2,4,NULL),(20,328,1,14,17,3,1,3,1),(20,328,1,14,18,5,1,4,1),(20,328,1,14,19,2,NULL,2,NULL),(20,328,1,14,20,5,NULL,5,NULL),(20,328,1,14,21,2,1,NULL,NULL),(20,328,1,14,22,NULL,2,NULL,1),(20,328,1,14,23,1,2,1,1),(20,328,1,14,24,NULL,5,NULL,2),(20,328,1,14,25,1,NULL,1,NULL),(20,328,1,14,26,1,NULL,NULL,NULL),(20,328,1,14,27,NULL,1,NULL,1),(20,328,1,14,28,1,NULL,1,NULL),(20,328,1,14,29,1,1,1,NULL),(20,328,1,14,30,NULL,2,NULL,NULL),(20,328,1,14,31,1,4,NULL,3),(20,328,1,14,32,2,NULL,1,NULL),(20,328,1,14,33,2,NULL,2,NULL),(20,328,1,14,34,NULL,3,NULL,3),(20,328,1,14,35,NULL,2,NULL,1),(20,328,1,14,36,2,2,2,2),(20,328,1,14,37,1,2,1,2),(20,328,1,14,38,NULL,NULL,NULL,NULL),(20,328,1,14,39,3,NULL,2,NULL),(20,328,1,14,40,1,1,1,1),(20,328,1,15,1,2,NULL,1,NULL),(20,328,1,15,2,NULL,NULL,NULL,NULL),(20,328,1,15,3,1,3,NULL,2),(20,328,1,15,4,3,2,2,1),(20,328,1,15,5,2,2,1,2),(20,328,1,15,6,2,3,1,2),(20,328,1,15,7,2,2,1,2),(20,328,1,15,8,3,NULL,2,NULL),(20,328,1,15,9,4,2,3,NULL),(20,328,1,15,10,2,1,1,1),(20,328,1,15,11,NULL,NULL,NULL,NULL),(20,328,1,15,12,1,1,NULL,1),(20,328,1,15,13,8,NULL,4,NULL),(20,328,1,15,14,6,2,3,NULL),(20,328,1,15,15,1,3,1,1),(20,328,1,15,16,4,2,2,2),(20,328,1,15,17,6,2,2,2),(20,328,1,15,18,7,NULL,3,NULL),(20,328,1,15,19,1,1,1,NULL),(20,328,1,15,20,6,1,2,1),(20,328,1,15,21,NULL,1,NULL,1),(20,328,1,15,22,1,NULL,NULL,NULL),(20,328,1,15,23,1,1,NULL,1),(20,328,1,15,24,NULL,1,NULL,1),(20,328,1,15,25,NULL,3,NULL,3),(20,328,1,15,26,1,NULL,1,NULL),(20,328,1,15,27,1,NULL,NULL,NULL),(20,328,1,15,28,2,NULL,1,NULL),(20,328,1,15,29,NULL,2,NULL,1),(20,328,1,15,30,1,2,NULL,2),(20,328,1,15,31,3,1,2,1),(20,328,1,15,32,NULL,2,NULL,1),(20,328,1,15,33,1,1,NULL,1),(20,328,1,15,34,NULL,1,NULL,1),(20,328,1,15,35,2,4,1,2),(20,328,1,15,36,2,1,1,NULL),(20,328,1,15,37,5,2,2,2),(20,328,1,15,38,NULL,2,NULL,1),(20,328,1,15,39,5,1,2,1),(20,328,1,15,40,1,1,1,1),(20,328,1,16,1,NULL,NULL,NULL,NULL),(20,328,1,16,2,NULL,1,NULL,1),(20,328,1,16,3,NULL,1,NULL,1),(20,328,1,16,4,NULL,NULL,NULL,NULL),(20,328,1,16,5,NULL,1,NULL,1),(20,328,1,16,6,4,NULL,2,NULL),(20,328,1,16,7,2,1,NULL,1),(20,328,1,16,8,1,1,1,1),(20,328,1,16,9,NULL,1,NULL,NULL),(20,328,1,16,10,1,NULL,1,NULL),(20,328,1,16,11,NULL,NULL,NULL,NULL),(20,328,1,16,12,NULL,NULL,NULL,NULL),(20,328,1,16,13,2,1,1,1),(20,328,1,16,14,NULL,NULL,NULL,NULL),(20,328,1,16,15,1,NULL,NULL,NULL),(20,328,1,16,16,NULL,1,NULL,1),(20,328,1,16,17,5,NULL,3,NULL),(20,328,1,16,18,1,1,NULL,1),(20,328,1,16,19,NULL,1,NULL,1),(20,328,1,16,20,2,1,2,NULL),(20,328,1,16,21,NULL,NULL,NULL,NULL),(20,328,1,16,22,NULL,1,NULL,NULL),(20,328,1,16,23,NULL,1,NULL,1),(20,328,1,16,24,1,NULL,NULL,NULL),(20,328,1,16,25,NULL,3,NULL,2),(20,328,1,16,26,NULL,NULL,NULL,NULL),(20,328,1,16,27,NULL,NULL,NULL,NULL),(20,328,1,16,28,NULL,NULL,NULL,NULL),(20,328,1,16,29,1,NULL,1,NULL),(20,328,1,16,30,1,NULL,1,NULL),(20,328,1,16,31,2,NULL,1,NULL),(20,328,1,16,32,1,NULL,1,NULL),(20,328,1,16,33,1,NULL,1,NULL),(20,328,1,16,34,1,NULL,1,NULL),(20,328,1,16,35,1,NULL,1,NULL),(20,328,1,16,36,2,1,2,NULL),(20,328,1,16,37,2,1,1,1),(20,328,1,16,38,1,NULL,1,NULL),(20,328,1,16,39,3,1,2,NULL),(20,328,1,16,40,1,NULL,1,NULL),(20,328,1,17,1,NULL,5,NULL,2),(20,328,1,17,2,NULL,1,NULL,1),(20,328,1,17,3,NULL,NULL,NULL,NULL),(20,328,1,17,4,NULL,2,NULL,2),(20,328,1,17,5,1,NULL,1,NULL),(20,328,1,17,6,4,1,2,NULL),(20,328,1,17,7,NULL,NULL,NULL,NULL),(20,328,1,17,8,NULL,2,NULL,1),(20,328,1,17,9,3,1,1,1),(20,328,1,17,10,NULL,1,NULL,1),(20,328,1,17,11,NULL,1,NULL,1),(20,328,1,17,12,NULL,1,NULL,1),(20,328,1,17,13,NULL,1,NULL,1),(20,328,1,17,14,NULL,1,NULL,NULL),(20,328,1,17,15,1,NULL,1,NULL),(20,328,1,17,16,1,1,NULL,NULL),(20,328,1,17,17,1,4,1,2),(20,328,1,17,18,1,NULL,NULL,NULL),(20,328,1,17,19,1,5,NULL,3),(20,328,1,17,20,1,NULL,NULL,NULL),(20,328,1,17,21,1,2,NULL,1),(20,328,1,17,22,NULL,1,NULL,NULL),(20,328,1,17,23,NULL,2,NULL,2),(20,328,1,17,24,1,1,NULL,NULL),(20,328,1,17,25,NULL,1,NULL,1),(20,328,1,17,26,1,NULL,NULL,NULL),(20,328,1,17,27,2,2,NULL,2),(20,328,1,17,28,NULL,NULL,NULL,NULL),(20,328,1,17,29,NULL,2,NULL,1),(20,328,1,17,30,1,2,NULL,NULL),(20,328,1,17,31,NULL,1,NULL,1),(20,328,1,17,32,2,1,NULL,1),(20,328,1,17,33,NULL,1,NULL,NULL),(20,328,1,17,34,NULL,NULL,NULL,NULL),(20,328,1,17,35,NULL,1,NULL,1),(20,328,1,17,36,1,2,NULL,2),(20,328,1,17,37,2,1,NULL,1),(20,328,1,17,38,NULL,1,NULL,1),(20,328,1,17,39,2,3,1,1),(20,328,1,17,40,NULL,1,NULL,1),(20,328,2,21,1,NULL,NULL,NULL,NULL),(20,328,2,21,2,NULL,NULL,NULL,NULL),(20,328,2,21,3,1,NULL,1,NULL),(20,328,2,21,4,NULL,1,NULL,1),(20,328,2,21,5,NULL,NULL,NULL,NULL),(20,328,2,21,6,NULL,NULL,NULL,NULL),(20,328,2,21,7,2,1,2,1),(20,328,2,21,8,2,NULL,2,NULL),(20,328,2,21,9,4,2,3,2),(20,328,2,21,10,1,1,1,1),(20,328,2,21,11,NULL,1,NULL,1),(20,328,2,21,12,NULL,NULL,NULL,NULL),(20,328,2,21,13,3,1,3,1),(20,328,2,21,14,2,2,1,2),(20,328,2,21,15,1,1,NULL,1),(20,328,2,21,16,1,1,NULL,1),(20,328,2,21,17,1,1,1,1),(20,328,2,21,18,NULL,1,NULL,NULL),(20,328,2,21,19,1,3,NULL,2),(20,328,2,21,20,1,NULL,1,NULL),(20,328,2,21,21,NULL,NULL,NULL,NULL),(20,328,2,21,22,NULL,NULL,NULL,NULL),(20,328,2,21,23,NULL,NULL,NULL,NULL),(20,328,2,21,24,NULL,NULL,NULL,NULL),(20,328,2,21,25,1,2,1,2),(20,328,2,21,26,NULL,NULL,NULL,NULL),(20,328,2,21,27,NULL,1,NULL,1),(20,328,2,21,28,NULL,NULL,NULL,NULL),(20,328,2,21,29,1,NULL,1,NULL),(20,328,2,21,30,NULL,NULL,NULL,NULL),(20,328,2,21,31,2,NULL,2,NULL),(20,328,2,21,32,NULL,2,NULL,2),(20,328,2,21,33,NULL,1,NULL,1),(20,328,2,21,34,1,NULL,NULL,NULL),(20,328,2,21,35,NULL,NULL,NULL,NULL),(20,328,2,21,36,NULL,2,NULL,1),(20,328,2,21,37,NULL,NULL,NULL,NULL),(20,328,2,21,38,1,1,1,1),(20,328,2,21,39,NULL,NULL,NULL,NULL),(20,328,2,21,40,NULL,1,NULL,1),(20,328,2,22,1,NULL,1,NULL,1),(20,328,2,22,2,NULL,NULL,NULL,NULL),(20,328,2,22,3,2,3,NULL,1),(20,328,2,22,4,1,1,NULL,1),(20,328,2,22,5,NULL,NULL,NULL,NULL),(20,328,2,22,6,1,1,NULL,NULL),(20,328,2,22,7,NULL,NULL,NULL,NULL),(20,328,2,22,8,2,NULL,NULL,NULL),(20,328,2,22,9,2,2,NULL,NULL),(20,328,2,22,10,1,4,NULL,1),(20,328,2,22,11,NULL,3,NULL,1),(20,328,2,22,12,NULL,1,NULL,1),(20,328,2,22,13,1,4,NULL,1),(20,328,2,22,14,3,4,NULL,1),(20,328,2,22,15,2,NULL,1,NULL),(20,328,2,22,16,2,3,NULL,1),(20,328,2,22,17,1,NULL,NULL,NULL),(20,328,2,22,18,NULL,1,NULL,1),(20,328,2,22,19,NULL,2,NULL,NULL),(20,328,2,22,20,1,1,NULL,1),(20,328,2,22,21,NULL,1,NULL,NULL),(20,328,2,22,22,NULL,2,NULL,NULL),(20,328,2,22,23,NULL,NULL,NULL,NULL),(20,328,2,22,24,NULL,NULL,NULL,NULL),(20,328,2,22,25,NULL,1,NULL,NULL),(20,328,2,22,26,NULL,NULL,NULL,NULL),(20,328,2,22,27,NULL,NULL,NULL,NULL),(20,328,2,22,28,1,1,NULL,NULL),(20,328,2,22,29,NULL,NULL,NULL,NULL),(20,328,2,22,30,NULL,NULL,NULL,NULL),(20,328,2,22,31,NULL,1,NULL,NULL),(20,328,2,22,32,NULL,NULL,NULL,NULL),(20,328,2,22,33,1,4,NULL,1),(20,328,2,22,34,NULL,1,NULL,NULL),(20,328,2,22,35,NULL,1,NULL,NULL),(20,328,2,22,36,NULL,2,NULL,NULL),(20,328,2,22,37,NULL,1,NULL,NULL),(20,328,2,22,38,NULL,NULL,NULL,NULL),(20,328,2,22,39,NULL,NULL,NULL,NULL),(20,328,2,22,40,NULL,2,NULL,1),(20,328,2,23,1,NULL,NULL,NULL,NULL),(20,328,2,23,2,NULL,1,NULL,1),(20,328,2,23,3,1,2,1,1),(20,328,2,23,4,NULL,1,NULL,NULL),(20,328,2,23,5,NULL,1,NULL,NULL),(20,328,2,23,6,1,4,NULL,3),(20,328,2,23,7,2,1,2,1),(20,328,2,23,8,NULL,NULL,NULL,NULL),(20,328,2,23,9,1,5,NULL,4),(20,328,2,23,10,NULL,2,NULL,1),(20,328,2,23,11,2,NULL,1,NULL),(20,328,2,23,12,NULL,NULL,NULL,NULL),(20,328,2,23,13,4,2,3,NULL),(20,328,2,23,14,2,2,2,1),(20,328,2,23,15,NULL,2,NULL,1),(20,328,2,23,16,2,1,1,NULL),(20,328,2,23,17,1,1,NULL,NULL),(20,328,2,23,18,1,1,NULL,1),(20,328,2,23,19,1,6,1,3),(20,328,2,23,20,1,1,1,NULL),(20,328,2,23,21,NULL,NULL,NULL,NULL),(20,328,2,23,22,NULL,NULL,NULL,NULL),(20,328,2,23,23,NULL,NULL,NULL,NULL),(20,328,2,23,24,NULL,NULL,NULL,NULL),(20,328,2,23,25,NULL,2,NULL,1),(20,328,2,23,26,1,NULL,1,NULL),(20,328,2,23,27,2,NULL,1,NULL),(20,328,2,23,28,2,1,2,1),(20,328,2,23,29,NULL,1,NULL,1),(20,328,2,23,30,NULL,NULL,NULL,NULL),(20,328,2,23,31,NULL,2,NULL,1),(20,328,2,23,32,2,2,1,2),(20,328,2,23,33,NULL,4,NULL,3),(20,328,2,23,34,NULL,1,NULL,1),(20,328,2,23,35,NULL,NULL,NULL,NULL),(20,328,2,23,36,NULL,NULL,NULL,NULL),(20,328,2,23,37,1,NULL,1,NULL),(20,328,2,23,38,NULL,NULL,NULL,NULL),(20,328,2,23,39,1,1,1,NULL),(20,328,2,23,40,1,NULL,1,NULL),(20,328,2,24,1,NULL,1,NULL,NULL),(20,328,2,24,2,NULL,1,NULL,NULL),(20,328,2,24,3,NULL,1,NULL,NULL),(20,328,2,24,4,NULL,3,NULL,3),(20,328,2,24,5,NULL,1,NULL,1),(20,328,2,24,6,1,2,1,1),(20,328,2,24,7,NULL,1,NULL,1),(20,328,2,24,8,1,NULL,NULL,NULL),(20,328,2,24,9,2,3,1,2),(20,328,2,24,10,NULL,1,NULL,1),(20,328,2,24,11,2,1,1,1),(20,328,2,24,12,1,NULL,1,NULL),(20,328,2,24,13,2,5,1,4),(20,328,2,24,14,1,5,NULL,4),(20,328,2,24,15,2,1,1,1),(20,328,2,24,16,4,2,2,2),(20,328,2,24,17,1,NULL,1,NULL),(20,328,2,24,18,NULL,2,NULL,1),(20,328,2,24,19,1,3,1,1),(20,328,2,24,20,1,NULL,1,NULL),(20,328,2,24,21,NULL,1,NULL,NULL),(20,328,2,24,22,NULL,4,NULL,2),(20,328,2,24,23,NULL,2,NULL,NULL),(20,328,2,24,24,NULL,NULL,NULL,NULL),(20,328,2,24,25,1,4,NULL,3),(20,328,2,24,26,NULL,NULL,NULL,NULL),(20,328,2,24,27,NULL,NULL,NULL,NULL),(20,328,2,24,28,1,3,1,2),(20,328,2,24,29,NULL,1,NULL,NULL),(20,328,2,24,30,NULL,1,NULL,NULL),(20,328,2,24,31,NULL,NULL,NULL,NULL),(20,328,2,24,32,NULL,3,NULL,NULL),(20,328,2,24,33,NULL,6,NULL,3),(20,328,2,24,34,1,3,1,2),(20,328,2,24,35,NULL,2,NULL,2),(20,328,2,24,36,NULL,3,NULL,3),(20,328,2,24,37,NULL,1,NULL,1),(20,328,2,24,38,NULL,1,NULL,1),(20,328,2,24,39,NULL,1,NULL,NULL),(20,328,2,24,40,1,2,1,1),(20,329,1,11,1,NULL,NULL,NULL,NULL),(20,329,1,11,2,NULL,NULL,NULL,NULL),(20,329,1,11,3,NULL,NULL,NULL,NULL),(20,329,1,11,4,NULL,NULL,NULL,NULL),(20,329,1,11,5,NULL,NULL,NULL,NULL),(20,329,1,11,6,NULL,NULL,NULL,NULL),(20,329,1,11,7,NULL,NULL,NULL,NULL),(20,329,1,11,8,NULL,NULL,NULL,NULL),(20,329,1,11,9,NULL,NULL,NULL,NULL),(20,329,1,11,10,NULL,NULL,NULL,NULL),(20,329,1,11,11,NULL,NULL,NULL,NULL),(20,329,1,11,12,NULL,NULL,NULL,NULL),(20,329,1,11,13,NULL,NULL,NULL,NULL),(20,329,1,11,14,NULL,NULL,NULL,NULL),(20,329,1,11,15,NULL,NULL,NULL,NULL),(20,329,1,11,16,NULL,NULL,NULL,NULL),(20,329,1,11,17,NULL,NULL,NULL,NULL),(20,329,1,11,18,NULL,NULL,NULL,NULL),(20,329,1,11,19,NULL,NULL,NULL,NULL),(20,329,1,11,20,NULL,NULL,NULL,NULL),(20,329,1,11,21,NULL,NULL,NULL,NULL),(20,329,1,11,22,NULL,NULL,NULL,NULL),(20,329,1,11,23,NULL,NULL,NULL,NULL),(20,329,1,11,24,NULL,NULL,NULL,NULL),(20,329,1,11,25,NULL,NULL,NULL,NULL),(20,329,1,11,26,NULL,NULL,NULL,NULL),(20,329,1,11,27,NULL,NULL,NULL,NULL),(20,329,1,11,28,NULL,NULL,NULL,NULL),(20,329,1,11,29,NULL,NULL,NULL,NULL),(20,329,1,11,30,NULL,NULL,NULL,NULL),(20,329,1,11,31,NULL,NULL,NULL,NULL),(20,329,1,11,32,NULL,NULL,NULL,NULL),(20,329,1,11,33,NULL,NULL,NULL,NULL),(20,329,1,11,34,NULL,NULL,NULL,NULL),(20,329,1,11,35,NULL,NULL,NULL,NULL),(20,329,1,11,36,NULL,NULL,NULL,NULL),(20,329,1,11,37,NULL,NULL,NULL,NULL),(20,329,1,11,38,NULL,NULL,NULL,NULL),(20,329,1,11,39,NULL,NULL,NULL,NULL),(20,329,1,11,40,NULL,NULL,NULL,NULL),(20,329,1,12,1,NULL,NULL,NULL,NULL),(20,329,1,12,2,NULL,NULL,NULL,NULL),(20,329,1,12,3,NULL,NULL,NULL,NULL),(20,329,1,12,4,NULL,NULL,NULL,NULL),(20,329,1,12,5,NULL,NULL,NULL,NULL),(20,329,1,12,6,NULL,NULL,NULL,NULL),(20,329,1,12,7,NULL,NULL,NULL,NULL),(20,329,1,12,8,NULL,NULL,NULL,NULL),(20,329,1,12,9,NULL,NULL,NULL,NULL),(20,329,1,12,10,NULL,NULL,NULL,NULL),(20,329,1,12,11,NULL,NULL,NULL,NULL),(20,329,1,12,12,NULL,NULL,NULL,NULL),(20,329,1,12,13,NULL,NULL,NULL,NULL),(20,329,1,12,14,NULL,NULL,NULL,NULL),(20,329,1,12,15,NULL,NULL,NULL,NULL),(20,329,1,12,16,NULL,NULL,NULL,NULL),(20,329,1,12,17,NULL,NULL,NULL,NULL),(20,329,1,12,18,NULL,NULL,NULL,NULL),(20,329,1,12,19,NULL,NULL,NULL,NULL),(20,329,1,12,20,NULL,NULL,NULL,NULL),(20,329,1,12,21,NULL,NULL,NULL,NULL),(20,329,1,12,22,NULL,NULL,NULL,NULL),(20,329,1,12,23,NULL,NULL,NULL,NULL),(20,329,1,12,24,NULL,NULL,NULL,NULL),(20,329,1,12,25,NULL,NULL,NULL,NULL),(20,329,1,12,26,NULL,NULL,NULL,NULL),(20,329,1,12,27,NULL,NULL,NULL,NULL),(20,329,1,12,28,NULL,NULL,NULL,NULL),(20,329,1,12,29,NULL,NULL,NULL,NULL),(20,329,1,12,30,NULL,NULL,NULL,NULL),(20,329,1,12,31,NULL,NULL,NULL,NULL),(20,329,1,12,32,NULL,NULL,NULL,NULL),(20,329,1,12,33,NULL,NULL,NULL,NULL),(20,329,1,12,34,NULL,NULL,NULL,NULL),(20,329,1,12,35,NULL,NULL,NULL,NULL),(20,329,1,12,36,NULL,NULL,NULL,NULL),(20,329,1,12,37,NULL,NULL,NULL,NULL),(20,329,1,12,38,NULL,NULL,NULL,NULL),(20,329,1,12,39,NULL,NULL,NULL,NULL),(20,329,1,12,40,NULL,NULL,NULL,NULL),(20,329,1,13,1,NULL,1,NULL,1),(20,329,1,13,2,NULL,NULL,NULL,NULL),(20,329,1,13,3,NULL,2,NULL,2),(20,329,1,13,4,NULL,NULL,NULL,NULL),(20,329,1,13,5,2,NULL,1,NULL),(20,329,1,13,6,2,2,NULL,2),(20,329,1,13,7,2,NULL,1,NULL),(20,329,1,13,8,1,NULL,1,NULL),(20,329,1,13,9,2,NULL,1,NULL),(20,329,1,13,10,1,NULL,1,NULL),(20,329,1,13,11,1,1,NULL,1),(20,329,1,13,12,1,NULL,1,NULL),(20,329,1,13,13,4,NULL,2,NULL),(20,329,1,13,14,1,1,NULL,1),(20,329,1,13,15,4,NULL,2,NULL),(20,329,1,13,16,4,NULL,2,NULL),(20,329,1,13,17,4,NULL,2,NULL),(20,329,1,13,18,4,NULL,2,NULL),(20,329,1,13,19,2,NULL,1,NULL),(20,329,1,13,20,3,NULL,2,NULL),(20,329,1,13,21,1,NULL,1,NULL),(20,329,1,13,22,1,NULL,1,NULL),(20,329,1,13,23,1,NULL,1,NULL),(20,329,1,13,24,NULL,1,NULL,1),(20,329,1,13,25,NULL,NULL,NULL,NULL),(20,329,1,13,26,NULL,NULL,NULL,NULL),(20,329,1,13,27,NULL,NULL,NULL,NULL),(20,329,1,13,28,NULL,NULL,NULL,NULL),(20,329,1,13,29,2,NULL,2,NULL),(20,329,1,13,30,NULL,1,NULL,NULL),(20,329,1,13,31,1,NULL,1,NULL),(20,329,1,13,32,2,NULL,2,NULL),(20,329,1,13,33,NULL,NULL,NULL,NULL),(20,329,1,13,34,NULL,NULL,NULL,NULL),(20,329,1,13,35,2,NULL,2,NULL),(20,329,1,13,36,1,1,1,1),(20,329,1,13,37,1,NULL,1,NULL),(20,329,1,13,38,NULL,NULL,NULL,NULL),(20,329,1,13,39,1,2,NULL,2),(20,329,1,13,40,1,NULL,1,NULL),(20,329,1,14,1,4,3,2,2),(20,329,1,14,2,3,1,2,NULL),(20,329,1,14,3,1,2,1,1),(20,329,1,14,4,NULL,3,NULL,2),(20,329,1,14,5,2,5,1,4),(20,329,1,14,6,2,9,1,7),(20,329,1,14,7,1,3,1,3),(20,329,1,14,8,2,4,1,3),(20,329,1,14,9,3,6,2,3),(20,329,1,14,10,2,3,2,2),(20,329,1,14,11,NULL,6,NULL,3),(20,329,1,14,12,2,2,2,2),(20,329,1,14,13,7,4,4,4),(20,329,1,14,14,6,5,4,4),(20,329,1,14,15,2,7,2,5),(20,329,1,14,16,11,2,8,1),(20,329,1,14,17,5,6,4,4),(20,329,1,14,18,6,6,4,5),(20,329,1,14,19,7,1,5,NULL),(20,329,1,14,20,9,2,8,NULL),(20,329,1,14,21,NULL,4,NULL,2),(20,329,1,14,22,NULL,3,NULL,3),(20,329,1,14,23,3,6,3,5),(20,329,1,14,24,NULL,5,NULL,4),(20,329,1,14,25,1,6,NULL,6),(20,329,1,14,26,1,NULL,NULL,NULL),(20,329,1,14,27,4,5,3,4),(20,329,1,14,28,1,1,1,NULL),(20,329,1,14,29,1,2,NULL,2),(20,329,1,14,30,1,3,NULL,3),(20,329,1,14,31,3,3,1,3),(20,329,1,14,32,1,7,1,6),(20,329,1,14,33,1,4,NULL,3),(20,329,1,14,34,NULL,1,NULL,1),(20,329,1,14,35,3,4,2,3),(20,329,1,14,36,NULL,6,NULL,5),(20,329,1,14,37,8,6,4,3),(20,329,1,14,38,NULL,1,NULL,1),(20,329,1,14,39,9,3,6,3),(20,329,1,14,40,4,2,3,2),(20,329,1,15,1,2,3,NULL,2),(20,329,1,15,2,NULL,3,NULL,1),(20,329,1,15,3,1,2,1,2),(20,329,1,15,4,2,2,1,NULL),(20,329,1,15,5,3,3,2,1),(20,329,1,15,6,7,3,4,1),(20,329,1,15,7,2,1,2,1),(20,329,1,15,8,3,2,2,1),(20,329,1,15,9,3,3,2,NULL),(20,329,1,15,10,NULL,3,NULL,2),(20,329,1,15,11,1,2,1,2),(20,329,1,15,12,2,2,2,1),(20,329,1,15,13,6,5,5,2),(20,329,1,15,14,7,6,4,4),(20,329,1,15,15,3,1,3,1),(20,329,1,15,16,10,2,5,1),(20,329,1,15,17,2,5,2,2),(20,329,1,15,18,6,5,6,1),(20,329,1,15,19,6,1,4,NULL),(20,329,1,15,20,2,2,2,2),(20,329,1,15,21,1,1,NULL,NULL),(20,329,1,15,22,NULL,3,NULL,2),(20,329,1,15,23,3,6,1,3),(20,329,1,15,24,NULL,4,NULL,2),(20,329,1,15,25,NULL,3,NULL,2),(20,329,1,15,26,1,NULL,1,NULL),(20,329,1,15,27,1,6,NULL,4),(20,329,1,15,28,NULL,2,NULL,1),(20,329,1,15,29,1,4,NULL,2),(20,329,1,15,30,NULL,2,NULL,1),(20,329,1,15,31,1,3,1,2),(20,329,1,15,32,1,2,1,2),(20,329,1,15,33,1,2,1,2),(20,329,1,15,34,1,1,1,NULL),(20,329,1,15,35,2,5,1,3),(20,329,1,15,36,3,2,2,NULL),(20,329,1,15,37,2,6,1,3),(20,329,1,15,38,NULL,1,NULL,NULL),(20,329,1,15,39,4,7,2,4),(20,329,1,15,40,4,1,3,NULL),(20,329,1,16,1,1,5,1,3),(20,329,1,16,2,NULL,2,NULL,1),(20,329,1,16,3,2,4,1,2),(20,329,1,16,4,NULL,4,NULL,1),(20,329,1,16,5,NULL,1,NULL,1),(20,329,1,16,6,2,8,2,3),(20,329,1,16,7,1,4,1,2),(20,329,1,16,8,3,4,2,3),(20,329,1,16,9,3,4,2,3),(20,329,1,16,10,1,5,NULL,3),(20,329,1,16,11,NULL,1,NULL,1),(20,329,1,16,12,1,1,NULL,NULL),(20,329,1,16,13,7,1,3,1),(20,329,1,16,14,1,1,NULL,NULL),(20,329,1,16,15,3,4,1,2),(20,329,1,16,16,NULL,4,NULL,2),(20,329,1,16,17,11,4,5,2),(20,329,1,16,18,1,3,1,1),(20,329,1,16,19,6,4,4,1),(20,329,1,16,20,NULL,4,NULL,3),(20,329,1,16,21,2,1,1,NULL),(20,329,1,16,22,NULL,3,NULL,2),(20,329,1,16,23,NULL,5,NULL,3),(20,329,1,16,24,2,5,1,3),(20,329,1,16,25,2,7,1,3),(20,329,1,16,26,NULL,NULL,NULL,NULL),(20,329,1,16,27,2,4,NULL,3),(20,329,1,16,28,NULL,NULL,NULL,NULL),(20,329,1,16,29,1,3,1,3),(20,329,1,16,30,NULL,2,NULL,2),(20,329,1,16,31,NULL,6,NULL,2),(20,329,1,16,32,1,3,NULL,2),(20,329,1,16,33,2,1,NULL,1),(20,329,1,16,34,NULL,2,NULL,2),(20,329,1,16,35,1,4,NULL,1),(20,329,1,16,36,1,3,NULL,3),(20,329,1,16,37,4,5,1,4),(20,329,1,16,38,NULL,NULL,NULL,NULL),(20,329,1,16,39,5,6,3,3),(20,329,1,16,40,2,3,1,2),(20,329,1,17,1,1,3,NULL,1),(20,329,1,17,2,2,1,1,NULL),(20,329,1,17,3,NULL,5,NULL,2),(20,329,1,17,4,1,4,NULL,2),(20,329,1,17,5,2,2,1,1),(20,329,1,17,6,4,6,2,3),(20,329,1,17,7,1,3,NULL,NULL),(20,329,1,17,8,5,NULL,5,NULL),(20,329,1,17,9,3,6,1,5),(20,329,1,17,10,NULL,2,NULL,2),(20,329,1,17,11,2,2,NULL,NULL),(20,329,1,17,12,4,2,2,NULL),(20,329,1,17,13,5,3,NULL,2),(20,329,1,17,14,NULL,NULL,NULL,NULL),(20,329,1,17,15,1,NULL,1,NULL),(20,329,1,17,16,2,2,1,1),(20,329,1,17,17,8,5,4,2),(20,329,1,17,18,1,NULL,NULL,NULL),(20,329,1,17,19,8,1,2,NULL),(20,329,1,17,20,NULL,3,NULL,1),(20,329,1,17,21,1,4,NULL,2),(20,329,1,17,22,NULL,1,NULL,NULL),(20,329,1,17,23,1,5,NULL,4),(20,329,1,17,24,3,2,1,NULL),(20,329,1,17,25,1,2,NULL,2),(20,329,1,17,26,1,NULL,NULL,NULL),(20,329,1,17,27,3,2,NULL,2),(20,329,1,17,28,NULL,NULL,NULL,NULL),(20,329,1,17,29,NULL,2,NULL,2),(20,329,1,17,30,1,1,NULL,1),(20,329,1,17,31,2,1,NULL,NULL),(20,329,1,17,32,NULL,3,NULL,1),(20,329,1,17,33,NULL,2,NULL,NULL),(20,329,1,17,34,NULL,2,NULL,1),(20,329,1,17,35,2,3,1,1),(20,329,1,17,36,2,3,NULL,3),(20,329,1,17,37,2,2,1,2),(20,329,1,17,38,1,1,1,1),(20,329,1,17,39,2,5,2,2),(20,329,1,17,40,1,1,1,1),(20,329,2,21,1,1,1,1,NULL),(20,329,2,21,2,1,NULL,1,NULL),(20,329,2,21,3,3,3,1,2),(20,329,2,21,4,3,1,2,NULL),(20,329,2,21,5,2,2,2,NULL),(20,329,2,21,6,3,3,2,1),(20,329,2,21,7,3,3,3,NULL),(20,329,2,21,8,2,NULL,2,NULL),(20,329,2,21,9,6,7,3,1),(20,329,2,21,10,1,3,1,NULL),(20,329,2,21,11,3,3,2,1),(20,329,2,21,12,1,2,1,1),(20,329,2,21,13,8,3,4,NULL),(20,329,2,21,14,9,4,3,2),(20,329,2,21,15,8,3,4,1),(20,329,2,21,16,7,4,2,1),(20,329,2,21,17,3,2,2,NULL),(20,329,2,21,18,NULL,3,NULL,2),(20,329,2,21,19,1,7,1,3),(20,329,2,21,20,3,6,1,4),(20,329,2,21,21,NULL,3,NULL,1),(20,329,2,21,22,2,1,2,NULL),(20,329,2,21,23,1,1,1,1),(20,329,2,21,24,1,NULL,NULL,NULL),(20,329,2,21,25,3,2,2,1),(20,329,2,21,26,NULL,2,NULL,NULL),(20,329,2,21,27,NULL,2,NULL,1),(20,329,2,21,28,3,4,3,NULL),(20,329,2,21,29,1,1,1,1),(20,329,2,21,30,NULL,2,NULL,NULL),(20,329,2,21,31,1,1,1,NULL),(20,329,2,21,32,1,1,1,NULL),(20,329,2,21,33,1,5,NULL,1),(20,329,2,21,34,NULL,3,NULL,1),(20,329,2,21,35,1,3,1,1),(20,329,2,21,36,1,3,NULL,1),(20,329,2,21,37,1,1,1,NULL),(20,329,2,21,38,NULL,1,NULL,1),(20,329,2,21,39,2,2,1,1),(20,329,2,21,40,NULL,4,NULL,2),(20,329,2,22,1,NULL,4,NULL,3),(20,329,2,22,2,1,2,1,2),(20,329,2,22,3,2,6,NULL,4),(20,329,2,22,4,1,1,1,1),(20,329,2,22,5,1,2,1,1),(20,329,2,22,6,3,5,NULL,4),(20,329,2,22,7,2,4,2,3),(20,329,2,22,8,3,NULL,2,NULL),(20,329,2,22,9,2,9,NULL,6),(20,329,2,22,10,1,9,1,7),(20,329,2,22,11,3,5,2,3),(20,329,2,22,12,NULL,5,NULL,3),(20,329,2,22,13,8,8,3,4),(20,329,2,22,14,7,6,4,4),(20,329,2,22,15,10,2,6,NULL),(20,329,2,22,16,6,4,4,2),(20,329,2,22,17,NULL,6,NULL,3),(20,329,2,22,18,NULL,3,NULL,3),(20,329,2,22,19,1,7,1,2),(20,329,2,22,20,4,4,2,3),(20,329,2,22,21,NULL,NULL,NULL,NULL),(20,329,2,22,22,1,5,NULL,3),(20,329,2,22,23,NULL,3,NULL,NULL),(20,329,2,22,24,NULL,1,NULL,1),(20,329,2,22,25,2,7,NULL,5),(20,329,2,22,26,NULL,2,NULL,1),(20,329,2,22,27,NULL,2,NULL,NULL),(20,329,2,22,28,4,4,3,1),(20,329,2,22,29,NULL,3,NULL,1),(20,329,2,22,30,1,4,1,2),(20,329,2,22,31,1,4,NULL,1),(20,329,2,22,32,NULL,3,NULL,2),(20,329,2,22,33,3,7,1,4),(20,329,2,22,34,NULL,NULL,NULL,NULL),(20,329,2,22,35,1,8,1,3),(20,329,2,22,36,1,8,NULL,3),(20,329,2,22,37,NULL,4,NULL,2),(20,329,2,22,38,1,2,NULL,2),(20,329,2,22,39,NULL,NULL,NULL,NULL),(20,329,2,22,40,2,5,1,3),(20,329,2,23,1,2,3,2,3),(20,329,2,23,2,NULL,2,NULL,2),(20,329,2,23,3,1,7,NULL,7),(20,329,2,23,4,2,2,2,1),(20,329,2,23,5,1,2,1,2),(20,329,2,23,6,2,5,2,4),(20,329,2,23,7,1,8,1,7),(20,329,2,23,8,5,NULL,4,NULL),(20,329,2,23,9,2,6,1,5),(20,329,2,23,10,NULL,9,NULL,8),(20,329,2,23,11,1,6,1,4),(20,329,2,23,12,NULL,4,NULL,3),(20,329,2,23,13,3,8,3,6),(20,329,2,23,14,3,8,3,5),(20,329,2,23,15,5,3,4,3),(20,329,2,23,16,5,4,4,3),(20,329,2,23,17,NULL,3,NULL,2),(20,329,2,23,18,NULL,6,NULL,6),(20,329,2,23,19,NULL,2,NULL,1),(20,329,2,23,20,NULL,2,NULL,2),(20,329,2,23,21,NULL,1,NULL,1),(20,329,2,23,22,1,6,1,5),(20,329,2,23,23,NULL,NULL,NULL,NULL),(20,329,2,23,24,NULL,NULL,NULL,NULL),(20,329,2,23,25,NULL,9,NULL,8),(20,329,2,23,26,NULL,1,NULL,1),(20,329,2,23,27,NULL,NULL,NULL,NULL),(20,329,2,23,28,4,1,4,NULL),(20,329,2,23,29,NULL,1,NULL,NULL),(20,329,2,23,30,NULL,4,NULL,4),(20,329,2,23,31,1,1,NULL,1),(20,329,2,23,32,1,3,NULL,2),(20,329,2,23,33,NULL,7,NULL,4),(20,329,2,23,34,NULL,NULL,NULL,NULL),(20,329,2,23,35,NULL,4,NULL,4),(20,329,2,23,36,NULL,6,NULL,4),(20,329,2,23,37,NULL,4,NULL,4),(20,329,2,23,38,NULL,1,NULL,1),(20,329,2,23,39,NULL,NULL,NULL,NULL),(20,329,2,23,40,NULL,6,NULL,5),(20,329,2,24,1,1,1,1,1),(20,329,2,24,2,NULL,1,NULL,NULL),(20,329,2,24,3,NULL,3,NULL,3),(20,329,2,24,4,2,5,NULL,3),(20,329,2,24,5,NULL,4,NULL,2),(20,329,2,24,6,3,2,3,2),(20,329,2,24,7,1,4,1,2),(20,329,2,24,8,2,NULL,1,NULL),(20,329,2,24,9,2,5,1,4),(20,329,2,24,10,2,3,1,2),(20,329,2,24,11,2,3,2,2),(20,329,2,24,12,1,4,1,2),(20,329,2,24,13,4,8,3,4),(20,329,2,24,14,4,9,2,4),(20,329,2,24,15,3,2,2,2),(20,329,2,24,16,6,4,4,2),(20,329,2,24,17,2,3,1,3),(20,329,2,24,18,NULL,2,NULL,2),(20,329,2,24,19,2,8,2,3),(20,329,2,24,20,1,5,NULL,2),(20,329,2,24,21,NULL,NULL,NULL,NULL),(20,329,2,24,22,2,2,1,2),(20,329,2,24,23,NULL,1,NULL,1),(20,329,2,24,24,1,1,1,NULL),(20,329,2,24,25,1,5,1,3),(20,329,2,24,26,NULL,1,NULL,NULL),(20,329,2,24,27,NULL,2,NULL,1),(20,329,2,24,28,1,3,1,2),(20,329,2,24,29,NULL,1,NULL,1),(20,329,2,24,30,2,1,1,1),(20,329,2,24,31,2,NULL,1,NULL),(20,329,2,24,32,1,3,1,1),(20,329,2,24,33,4,5,1,3),(20,329,2,24,34,1,1,1,NULL),(20,329,2,24,35,NULL,5,NULL,2),(20,329,2,24,36,NULL,2,NULL,NULL),(20,329,2,24,37,NULL,1,NULL,NULL),(20,329,2,24,38,NULL,NULL,NULL,NULL),(20,329,2,24,39,NULL,1,NULL,1),(20,329,2,24,40,2,3,2,NULL),(20,331,1,11,1,NULL,NULL,NULL,NULL),(20,331,1,11,2,NULL,1,NULL,1),(20,331,1,11,3,NULL,NULL,NULL,NULL),(20,331,1,11,4,NULL,NULL,NULL,NULL),(20,331,1,11,5,NULL,1,NULL,1),(20,331,1,11,6,NULL,1,NULL,1),(20,331,1,11,7,NULL,NULL,NULL,NULL),(20,331,1,11,8,1,NULL,1,NULL),(20,331,1,11,9,NULL,1,NULL,1),(20,331,1,11,10,1,NULL,1,NULL),(20,331,1,11,11,NULL,1,NULL,1),(20,331,1,11,12,NULL,1,NULL,1),(20,331,1,11,13,NULL,NULL,NULL,NULL),(20,331,1,11,14,NULL,1,NULL,1),(20,331,1,11,15,NULL,NULL,NULL,NULL),(20,331,1,11,16,1,NULL,1,NULL),(20,331,1,11,17,NULL,1,NULL,1),(20,331,1,11,18,1,NULL,1,NULL),(20,331,1,11,19,NULL,NULL,NULL,NULL),(20,331,1,11,20,NULL,NULL,NULL,NULL),(20,331,1,11,21,NULL,NULL,NULL,NULL),(20,331,1,11,22,NULL,NULL,NULL,NULL),(20,331,1,11,23,NULL,1,NULL,1),(20,331,1,11,24,NULL,NULL,NULL,NULL),(20,331,1,11,25,NULL,1,NULL,1),(20,331,1,11,26,NULL,NULL,NULL,NULL),(20,331,1,11,27,NULL,1,NULL,1),(20,331,1,11,28,NULL,NULL,NULL,NULL),(20,331,1,11,29,NULL,NULL,NULL,NULL),(20,331,1,11,30,NULL,NULL,NULL,NULL),(20,331,1,11,31,NULL,NULL,NULL,NULL),(20,331,1,11,32,NULL,NULL,NULL,NULL),(20,331,1,11,33,NULL,NULL,NULL,NULL),(20,331,1,11,34,NULL,NULL,NULL,NULL),(20,331,1,11,35,NULL,NULL,NULL,NULL),(20,331,1,11,36,NULL,NULL,NULL,NULL),(20,331,1,11,37,NULL,1,NULL,1),(20,331,1,11,38,NULL,NULL,NULL,NULL),(20,331,1,11,39,1,NULL,1,NULL),(20,331,1,11,40,NULL,NULL,NULL,NULL),(20,331,1,12,1,NULL,NULL,NULL,NULL),(20,331,1,12,2,1,1,1,1),(20,331,1,12,3,NULL,1,NULL,1),(20,331,1,12,4,NULL,1,NULL,1),(20,331,1,12,5,1,NULL,1,NULL),(20,331,1,12,6,1,1,1,1),(20,331,1,12,7,NULL,NULL,NULL,NULL),(20,331,1,12,8,1,NULL,1,NULL),(20,331,1,12,9,1,1,1,1),(20,331,1,12,10,NULL,1,NULL,1),(20,331,1,12,11,NULL,2,NULL,2),(20,331,1,12,12,1,NULL,1,NULL),(20,331,1,12,13,1,1,1,1),(20,331,1,12,14,2,NULL,2,NULL),(20,331,1,12,15,1,1,1,1),(20,331,1,12,16,2,NULL,2,NULL),(20,331,1,12,17,2,NULL,2,NULL),(20,331,1,12,18,2,NULL,2,NULL),(20,331,1,12,19,2,NULL,2,NULL),(20,331,1,12,20,1,1,1,1),(20,331,1,12,21,1,NULL,1,NULL),(20,331,1,12,22,1,NULL,1,NULL),(20,331,1,12,23,1,NULL,1,NULL),(20,331,1,12,24,NULL,1,NULL,1),(20,331,1,12,25,1,1,1,1),(20,331,1,12,26,NULL,NULL,NULL,NULL),(20,331,1,12,27,1,NULL,1,NULL),(20,331,1,12,28,1,NULL,1,NULL),(20,331,1,12,29,NULL,NULL,NULL,NULL),(20,331,1,12,30,NULL,NULL,NULL,NULL),(20,331,1,12,31,NULL,2,NULL,2),(20,331,1,12,32,1,1,1,1),(20,331,1,12,33,1,1,1,1),(20,331,1,12,34,1,NULL,1,NULL),(20,331,1,12,35,NULL,1,NULL,1),(20,331,1,12,36,1,1,1,1),(20,331,1,12,37,1,1,1,1),(20,331,1,12,38,1,NULL,1,NULL),(20,331,1,12,39,1,1,1,1),(20,331,1,12,40,NULL,NULL,NULL,NULL),(20,331,1,13,1,NULL,NULL,NULL,NULL),(20,331,1,13,2,NULL,NULL,NULL,NULL),(20,331,1,13,3,NULL,NULL,NULL,NULL),(20,331,1,13,4,NULL,NULL,NULL,NULL),(20,331,1,13,5,NULL,NULL,NULL,NULL),(20,331,1,13,6,NULL,NULL,NULL,NULL),(20,331,1,13,7,NULL,NULL,NULL,NULL),(20,331,1,13,8,NULL,NULL,NULL,NULL),(20,331,1,13,9,NULL,NULL,NULL,NULL),(20,331,1,13,10,NULL,NULL,NULL,NULL),(20,331,1,13,11,NULL,NULL,NULL,NULL),(20,331,1,13,12,NULL,NULL,NULL,NULL),(20,331,1,13,13,NULL,NULL,NULL,NULL),(20,331,1,13,14,NULL,NULL,NULL,NULL),(20,331,1,13,15,NULL,NULL,NULL,NULL),(20,331,1,13,16,NULL,NULL,NULL,NULL),(20,331,1,13,17,NULL,NULL,NULL,NULL),(20,331,1,13,18,NULL,NULL,NULL,NULL),(20,331,1,13,19,NULL,NULL,NULL,NULL),(20,331,1,13,20,NULL,NULL,NULL,NULL),(20,331,1,13,21,NULL,NULL,NULL,NULL),(20,331,1,13,22,NULL,NULL,NULL,NULL),(20,331,1,13,23,NULL,NULL,NULL,NULL),(20,331,1,13,24,NULL,NULL,NULL,NULL),(20,331,1,13,25,NULL,NULL,NULL,NULL),(20,331,1,13,26,NULL,NULL,NULL,NULL),(20,331,1,13,27,NULL,NULL,NULL,NULL),(20,331,1,13,28,NULL,NULL,NULL,NULL),(20,331,1,13,29,NULL,NULL,NULL,NULL),(20,331,1,13,30,NULL,NULL,NULL,NULL),(20,331,1,13,31,NULL,NULL,NULL,NULL),(20,331,1,13,32,NULL,NULL,NULL,NULL),(20,331,1,13,33,NULL,NULL,NULL,NULL),(20,331,1,13,34,NULL,NULL,NULL,NULL),(20,331,1,13,35,NULL,NULL,NULL,NULL),(20,331,1,13,36,NULL,NULL,NULL,NULL),(20,331,1,13,37,NULL,NULL,NULL,NULL),(20,331,1,13,38,NULL,NULL,NULL,NULL),(20,331,1,13,39,NULL,NULL,NULL,NULL),(20,331,1,13,40,NULL,NULL,NULL,NULL),(20,331,1,14,1,3,NULL,3,NULL),(20,331,1,14,2,3,NULL,2,NULL),(20,331,1,14,3,NULL,5,NULL,4),(20,331,1,14,4,4,3,2,1),(20,331,1,14,5,5,5,3,4),(20,331,1,14,6,9,3,7,2),(20,331,1,14,7,1,3,1,2),(20,331,1,14,8,8,NULL,6,NULL),(20,331,1,14,9,6,5,6,3),(20,331,1,14,10,2,1,1,1),(20,331,1,14,11,1,NULL,NULL,NULL),(20,331,1,14,12,4,3,3,2),(20,331,1,14,13,9,2,7,2),(20,331,1,14,14,10,2,8,2),(20,331,1,14,15,6,2,5,2),(20,331,1,14,16,11,NULL,10,NULL),(20,331,1,14,17,7,7,5,4),(20,331,1,14,18,9,1,9,NULL),(20,331,1,14,19,9,1,7,1),(20,331,1,14,20,11,1,9,1),(20,331,1,14,21,1,1,1,1),(20,331,1,14,22,NULL,5,NULL,5),(20,331,1,14,23,NULL,6,NULL,6),(20,331,1,14,24,2,3,NULL,3),(20,331,1,14,25,1,7,1,5),(20,331,1,14,26,2,NULL,2,NULL),(20,331,1,14,27,NULL,3,NULL,3),(20,331,1,14,28,1,1,NULL,1),(20,331,1,14,29,NULL,2,NULL,2),(20,331,1,14,30,1,3,1,3),(20,331,1,14,31,8,4,5,3),(20,331,1,14,32,5,3,4,3),(20,331,1,14,33,2,5,2,4),(20,331,1,14,34,1,3,1,3),(20,331,1,14,35,3,6,2,3),(20,331,1,14,36,5,4,4,3),(20,331,1,14,37,1,8,1,6),(20,331,1,14,38,2,3,2,2),(20,331,1,14,39,10,2,9,2),(20,331,1,14,40,4,1,4,NULL),(20,331,1,15,1,4,NULL,1,NULL),(20,331,1,15,2,3,NULL,1,NULL),(20,331,1,15,3,4,3,2,2),(20,331,1,15,4,1,5,1,2),(20,331,1,15,5,4,1,3,1),(20,331,1,15,6,10,5,4,2),(20,331,1,15,7,2,4,2,1),(20,331,1,15,8,7,NULL,3,NULL),(20,331,1,15,9,6,7,4,2),(20,331,1,15,10,1,3,NULL,1),(20,331,1,15,11,NULL,2,NULL,1),(20,331,1,15,12,2,3,1,1),(20,331,1,15,13,6,5,4,2),(20,331,1,15,14,11,4,5,1),(20,331,1,15,15,3,3,3,1),(20,331,1,15,16,10,2,5,NULL),(20,331,1,15,17,6,6,3,2),(20,331,1,15,18,6,2,5,NULL),(20,331,1,15,19,4,3,3,NULL),(20,331,1,15,20,8,4,5,NULL),(20,331,1,15,21,1,3,NULL,NULL),(20,331,1,15,22,2,3,NULL,2),(20,331,1,15,23,1,9,NULL,2),(20,331,1,15,24,1,3,NULL,NULL),(20,331,1,15,25,3,4,1,2),(20,331,1,15,26,1,NULL,1,NULL),(20,331,1,15,27,1,4,NULL,4),(20,331,1,15,28,NULL,4,NULL,2),(20,331,1,15,29,NULL,2,NULL,1),(20,331,1,15,30,1,5,NULL,2),(20,331,1,15,31,2,7,1,1),(20,331,1,15,32,6,2,1,NULL),(20,331,1,15,33,4,5,3,2),(20,331,1,15,34,NULL,NULL,NULL,NULL),(20,331,1,15,35,3,5,2,1),(20,331,1,15,36,5,4,3,2),(20,331,1,15,37,3,4,3,2),(20,331,1,15,38,1,NULL,1,NULL),(20,331,1,15,39,8,5,5,NULL),(20,331,1,15,40,3,1,2,NULL),(20,331,1,16,1,5,2,4,1),(20,331,1,16,2,2,2,2,1),(20,331,1,16,3,NULL,3,NULL,3),(20,331,1,16,4,3,5,1,1),(20,331,1,16,5,7,6,3,2),(20,331,1,16,6,9,9,3,3),(20,331,1,16,7,5,4,4,NULL),(20,331,1,16,8,9,3,4,1),(20,331,1,16,9,9,9,3,3),(20,331,1,16,10,NULL,2,NULL,1),(20,331,1,16,11,1,2,1,1),(20,331,1,16,12,NULL,5,NULL,3),(20,331,1,16,13,9,9,2,5),(20,331,1,16,14,NULL,2,NULL,1),(20,331,1,16,15,7,4,4,NULL),(20,331,1,16,16,1,10,NULL,2),(20,331,1,16,17,11,10,5,3),(20,331,1,16,18,1,5,1,NULL),(20,331,1,16,19,13,6,4,3),(20,331,1,16,20,NULL,8,NULL,1),(20,331,1,16,21,1,5,NULL,1),(20,331,1,16,22,NULL,2,NULL,1),(20,331,1,16,23,2,4,2,2),(20,331,1,16,24,2,5,2,2),(20,331,1,16,25,1,4,1,1),(20,331,1,16,26,NULL,NULL,NULL,NULL),(20,331,1,16,27,3,3,NULL,3),(20,331,1,16,28,NULL,3,NULL,2),(20,331,1,16,29,1,NULL,1,NULL),(20,331,1,16,30,2,4,NULL,1),(20,331,1,16,31,5,7,1,1),(20,331,1,16,32,4,3,NULL,NULL),(20,331,1,16,33,1,6,NULL,4),(20,331,1,16,34,NULL,2,NULL,1),(20,331,1,16,35,2,11,1,4),(20,331,1,16,36,3,9,2,3),(20,331,1,16,37,6,2,3,2),(20,331,1,16,38,1,2,1,1),(20,331,1,16,39,11,10,4,2),(20,331,1,16,40,4,2,4,1),(20,331,1,17,1,3,3,1,2),(20,331,1,17,2,1,6,NULL,4),(20,331,1,17,3,NULL,10,NULL,4),(20,331,1,17,4,2,8,1,3),(20,331,1,17,5,4,2,3,1),(20,331,1,17,6,9,8,5,2),(20,331,1,17,7,3,3,2,2),(20,331,1,17,8,13,3,6,1),(20,331,1,17,9,2,14,1,5),(20,331,1,17,10,4,7,3,3),(20,331,1,17,11,NULL,2,NULL,1),(20,331,1,17,12,3,3,1,1),(20,331,1,17,13,6,10,2,6),(20,331,1,17,14,NULL,3,NULL,NULL),(20,331,1,17,15,8,4,5,2),(20,331,1,17,16,NULL,7,NULL,2),(20,331,1,17,17,8,14,4,5),(20,331,1,17,18,1,5,NULL,3),(20,331,1,17,19,14,6,4,2),(20,331,1,17,20,1,7,NULL,4),(20,331,1,17,21,3,9,NULL,4),(20,331,1,17,22,3,3,2,2),(20,331,1,17,23,2,9,NULL,4),(20,331,1,17,24,3,6,1,3),(20,331,1,17,25,2,12,2,4),(20,331,1,17,26,2,NULL,1,NULL),(20,331,1,17,27,2,7,1,2),(20,331,1,17,28,NULL,NULL,NULL,NULL),(20,331,1,17,29,NULL,7,NULL,2),(20,331,1,17,30,1,7,1,5),(20,331,1,17,31,4,7,3,1),(20,331,1,17,32,5,4,2,3),(20,331,1,17,33,1,6,1,1),(20,331,1,17,34,NULL,5,NULL,2),(20,331,1,17,35,6,5,2,2),(20,331,1,17,36,6,6,3,2),(20,331,1,17,37,8,9,3,3),(20,331,1,17,38,NULL,1,NULL,NULL),(20,331,1,17,39,12,11,6,5),(20,331,1,17,40,5,4,2,1),(20,331,2,21,1,NULL,6,NULL,3),(20,331,2,21,2,2,2,1,NULL),(20,331,2,21,3,2,11,2,5),(20,331,2,21,4,1,5,1,3),(20,331,2,21,5,1,3,NULL,2),(20,331,2,21,6,5,8,4,7),(20,331,2,21,7,4,8,2,6),(20,331,2,21,8,4,NULL,3,NULL),(20,331,2,21,9,5,9,3,5),(20,331,2,21,10,1,6,NULL,5),(20,331,2,21,11,6,2,5,1),(20,331,2,21,12,2,6,1,5),(20,331,2,21,13,8,9,5,4),(20,331,2,21,14,7,13,4,8),(20,331,2,21,15,4,9,3,4),(20,331,2,21,16,8,7,4,4),(20,331,2,21,17,3,3,1,1),(20,331,2,21,18,2,8,2,6),(20,331,2,21,19,2,9,1,5),(20,331,2,21,20,1,6,1,4),(20,331,2,21,21,NULL,NULL,NULL,NULL),(20,331,2,21,22,1,2,NULL,1),(20,331,2,21,23,1,3,1,NULL),(20,331,2,21,24,NULL,1,NULL,NULL),(20,331,2,21,25,NULL,7,NULL,4),(20,331,2,21,26,NULL,2,NULL,1),(20,331,2,21,27,NULL,NULL,NULL,NULL),(20,331,2,21,28,5,6,4,3),(20,331,2,21,29,2,1,1,1),(20,331,2,21,30,1,7,1,5),(20,331,2,21,31,NULL,5,NULL,1),(20,331,2,21,32,1,3,1,NULL),(20,331,2,21,33,1,7,1,3),(20,331,2,21,34,NULL,2,NULL,1),(20,331,2,21,35,1,3,1,1),(20,331,2,21,36,1,6,1,2),(20,331,2,21,37,1,3,NULL,2),(20,331,2,21,38,1,4,1,3),(20,331,2,21,39,NULL,2,NULL,2),(20,331,2,21,40,2,4,2,3),(20,331,2,22,1,2,6,1,3),(20,331,2,22,2,NULL,1,NULL,NULL),(20,331,2,22,3,3,14,2,6),(20,331,2,22,4,3,4,1,3),(20,331,2,22,5,1,6,1,3),(20,331,2,22,6,3,7,2,5),(20,331,2,22,7,6,6,4,1),(20,331,2,22,8,8,NULL,5,NULL),(20,331,2,22,9,6,17,2,7),(20,331,2,22,10,1,13,NULL,7),(20,331,2,22,11,4,2,1,NULL),(20,331,2,22,12,NULL,6,NULL,3),(20,331,2,22,13,16,9,6,2),(20,331,2,22,14,13,11,6,3),(20,331,2,22,15,7,9,3,1),(20,331,2,22,16,12,6,6,3),(20,331,2,22,17,2,7,2,NULL),(20,331,2,22,18,NULL,7,NULL,5),(20,331,2,22,19,5,8,2,3),(20,331,2,22,20,6,5,3,3),(20,331,2,22,21,NULL,2,NULL,2),(20,331,2,22,22,NULL,9,NULL,5),(20,331,2,22,23,NULL,4,NULL,2),(20,331,2,22,24,1,1,NULL,NULL),(20,331,2,22,25,1,9,1,5),(20,331,2,22,26,1,5,1,2),(20,331,2,22,27,NULL,3,NULL,1),(20,331,2,22,28,5,10,3,5),(20,331,2,22,29,1,4,1,2),(20,331,2,22,30,2,1,1,NULL),(20,331,2,22,31,3,3,2,3),(20,331,2,22,32,3,3,1,1),(20,331,2,22,33,3,16,NULL,7),(20,331,2,22,34,2,6,2,1),(20,331,2,22,35,NULL,7,NULL,3),(20,331,2,22,36,1,5,1,3),(20,331,2,22,37,1,6,1,4),(20,331,2,22,38,1,7,1,3),(20,331,2,22,39,2,3,2,1),(20,331,2,22,40,4,6,3,2),(20,331,2,23,1,NULL,5,NULL,2),(20,331,2,23,2,2,1,1,NULL),(20,331,2,23,3,5,9,3,4),(20,331,2,23,4,3,3,2,1),(20,331,2,23,5,1,2,1,1),(20,331,2,23,6,3,5,1,2),(20,331,2,23,7,4,4,3,1),(20,331,2,23,8,4,NULL,1,NULL),(20,331,2,23,9,5,11,3,3),(20,331,2,23,10,NULL,5,NULL,4),(20,331,2,23,11,2,3,1,2),(20,331,2,23,12,2,1,1,NULL),(20,331,2,23,13,12,3,7,1),(20,331,2,23,14,10,6,6,1),(20,331,2,23,15,10,4,5,1),(20,331,2,23,16,11,2,4,1),(20,331,2,23,17,3,3,3,2),(20,331,2,23,18,1,5,1,1),(20,331,2,23,19,3,8,2,2),(20,331,2,23,20,NULL,8,NULL,3),(20,331,2,23,21,NULL,NULL,NULL,NULL),(20,331,2,23,22,4,2,1,2),(20,331,2,23,23,NULL,1,NULL,NULL),(20,331,2,23,24,NULL,NULL,NULL,NULL),(20,331,2,23,25,1,5,1,2),(20,331,2,23,26,1,1,NULL,NULL),(20,331,2,23,27,NULL,3,NULL,2),(20,331,2,23,28,4,4,2,2),(20,331,2,23,29,1,2,NULL,2),(20,331,2,23,30,NULL,2,NULL,NULL),(20,331,2,23,31,1,6,1,2),(20,331,2,23,32,1,5,1,2),(20,331,2,23,33,4,8,NULL,3),(20,331,2,23,34,1,9,NULL,3),(20,331,2,23,35,NULL,6,NULL,3),(20,331,2,23,36,1,5,1,4),(20,331,2,23,37,2,3,1,2),(20,331,2,23,38,3,1,2,1),(20,331,2,23,39,1,2,1,1),(20,331,2,23,40,2,3,2,3),(20,331,2,24,1,1,4,1,2),(20,331,2,24,2,NULL,4,NULL,2),(20,331,2,24,3,NULL,9,NULL,3),(20,331,2,24,4,2,4,2,2),(20,331,2,24,5,2,3,1,1),(20,331,2,24,6,2,4,2,3),(20,331,2,24,7,1,5,NULL,3),(20,331,2,24,8,4,NULL,2,NULL),(20,331,2,24,9,8,9,4,3),(20,331,2,24,10,NULL,3,NULL,3),(20,331,2,24,11,5,2,1,1),(20,331,2,24,12,2,2,1,1),(20,331,2,24,13,11,4,5,NULL),(20,331,2,24,14,10,8,5,3),(20,331,2,24,15,7,5,2,3),(20,331,2,24,16,4,5,2,1),(20,331,2,24,17,1,2,1,NULL),(20,331,2,24,18,3,5,NULL,2),(20,331,2,24,19,4,6,1,4),(20,331,2,24,20,7,6,4,2),(20,331,2,24,21,NULL,2,NULL,1),(20,331,2,24,22,2,7,1,2),(20,331,2,24,23,NULL,1,NULL,NULL),(20,331,2,24,24,NULL,NULL,NULL,NULL),(20,331,2,24,25,1,9,1,6),(20,331,2,24,26,NULL,1,NULL,1),(20,331,2,24,27,1,4,NULL,1),(20,331,2,24,28,2,2,NULL,1),(20,331,2,24,29,NULL,1,NULL,NULL),(20,331,2,24,30,3,1,2,1),(20,331,2,24,31,2,2,NULL,1),(20,331,2,24,32,1,5,NULL,3),(20,331,2,24,33,4,7,1,2),(20,331,2,24,34,1,6,1,3),(20,331,2,24,35,2,3,1,2),(20,331,2,24,36,1,5,NULL,1),(20,331,2,24,37,1,NULL,NULL,NULL),(20,331,2,24,38,NULL,NULL,NULL,NULL),(20,331,2,24,39,2,2,1,2),(20,331,2,24,40,2,4,1,2),(20,332,1,11,1,NULL,NULL,NULL,NULL),(20,332,1,11,2,NULL,NULL,NULL,NULL),(20,332,1,11,3,NULL,NULL,NULL,NULL),(20,332,1,11,4,NULL,NULL,NULL,NULL),(20,332,1,11,5,NULL,NULL,NULL,NULL),(20,332,1,11,6,NULL,NULL,NULL,NULL),(20,332,1,11,7,NULL,NULL,NULL,NULL),(20,332,1,11,8,NULL,NULL,NULL,NULL),(20,332,1,11,9,NULL,NULL,NULL,NULL),(20,332,1,11,10,NULL,NULL,NULL,NULL),(20,332,1,11,11,NULL,NULL,NULL,NULL),(20,332,1,11,12,NULL,NULL,NULL,NULL),(20,332,1,11,13,NULL,NULL,NULL,NULL),(20,332,1,11,14,NULL,NULL,NULL,NULL),(20,332,1,11,15,NULL,NULL,NULL,NULL),(20,332,1,11,16,NULL,NULL,NULL,NULL),(20,332,1,11,17,NULL,NULL,NULL,NULL),(20,332,1,11,18,NULL,NULL,NULL,NULL),(20,332,1,11,19,NULL,NULL,NULL,NULL),(20,332,1,11,20,NULL,NULL,NULL,NULL),(20,332,1,11,21,NULL,NULL,NULL,NULL),(20,332,1,11,22,NULL,NULL,NULL,NULL),(20,332,1,11,23,NULL,NULL,NULL,NULL),(20,332,1,11,24,NULL,NULL,NULL,NULL),(20,332,1,11,25,NULL,NULL,NULL,NULL),(20,332,1,11,26,NULL,NULL,NULL,NULL),(20,332,1,11,27,NULL,NULL,NULL,NULL),(20,332,1,11,28,NULL,NULL,NULL,NULL),(20,332,1,11,29,NULL,NULL,NULL,NULL),(20,332,1,11,30,NULL,NULL,NULL,NULL),(20,332,1,11,31,NULL,NULL,NULL,NULL),(20,332,1,11,32,NULL,NULL,NULL,NULL),(20,332,1,11,33,NULL,NULL,NULL,NULL),(20,332,1,11,34,NULL,NULL,NULL,NULL),(20,332,1,11,35,NULL,NULL,NULL,NULL),(20,332,1,11,36,NULL,NULL,NULL,NULL),(20,332,1,11,37,NULL,NULL,NULL,NULL),(20,332,1,11,38,NULL,NULL,NULL,NULL),(20,332,1,11,39,NULL,NULL,NULL,NULL),(20,332,1,11,40,NULL,NULL,NULL,NULL),(20,332,1,12,1,NULL,NULL,NULL,NULL),(20,332,1,12,2,NULL,NULL,NULL,NULL),(20,332,1,12,3,NULL,1,NULL,1),(20,332,1,12,4,NULL,1,NULL,1),(20,332,1,12,5,1,NULL,1,NULL),(20,332,1,12,6,1,NULL,1,NULL),(20,332,1,12,7,NULL,1,NULL,1),(20,332,1,12,8,1,NULL,1,NULL),(20,332,1,12,9,1,NULL,1,NULL),(20,332,1,12,10,NULL,NULL,NULL,NULL),(20,332,1,12,11,NULL,NULL,NULL,NULL),(20,332,1,12,12,NULL,NULL,NULL,NULL),(20,332,1,12,13,NULL,1,NULL,1),(20,332,1,12,14,1,NULL,1,NULL),(20,332,1,12,15,1,NULL,1,NULL),(20,332,1,12,16,NULL,NULL,NULL,NULL),(20,332,1,12,17,1,NULL,1,NULL),(20,332,1,12,18,1,NULL,1,NULL),(20,332,1,12,19,1,NULL,1,NULL),(20,332,1,12,20,1,NULL,1,NULL),(20,332,1,12,21,NULL,NULL,NULL,NULL),(20,332,1,12,22,1,NULL,1,NULL),(20,332,1,12,23,NULL,NULL,NULL,NULL),(20,332,1,12,24,NULL,NULL,NULL,NULL),(20,332,1,12,25,NULL,NULL,NULL,NULL),(20,332,1,12,26,NULL,NULL,NULL,NULL),(20,332,1,12,27,NULL,NULL,NULL,NULL),(20,332,1,12,28,NULL,NULL,NULL,NULL),(20,332,1,12,29,1,NULL,1,NULL),(20,332,1,12,30,NULL,NULL,NULL,NULL),(20,332,1,12,31,1,NULL,1,NULL),(20,332,1,12,32,1,NULL,1,NULL),(20,332,1,12,33,1,NULL,1,NULL),(20,332,1,12,34,NULL,NULL,NULL,NULL),(20,332,1,12,35,1,NULL,1,NULL),(20,332,1,12,36,1,NULL,1,NULL),(20,332,1,12,37,1,NULL,1,NULL),(20,332,1,12,38,NULL,NULL,NULL,NULL),(20,332,1,12,39,NULL,1,NULL,1),(20,332,1,12,40,1,NULL,1,NULL),(20,332,1,13,1,NULL,1,NULL,1),(20,332,1,13,2,NULL,NULL,NULL,NULL),(20,332,1,13,3,NULL,NULL,NULL,NULL),(20,332,1,13,4,NULL,NULL,NULL,NULL),(20,332,1,13,5,NULL,1,NULL,NULL),(20,332,1,13,6,NULL,1,NULL,1),(20,332,1,13,7,1,NULL,1,NULL),(20,332,1,13,8,1,NULL,1,NULL),(20,332,1,13,9,NULL,1,NULL,NULL),(20,332,1,13,10,NULL,NULL,NULL,NULL),(20,332,1,13,11,NULL,1,NULL,1),(20,332,1,13,12,NULL,NULL,NULL,NULL),(20,332,1,13,13,2,NULL,1,NULL),(20,332,1,13,14,NULL,1,NULL,1),(20,332,1,13,15,1,NULL,1,NULL),(20,332,1,13,16,1,NULL,1,NULL),(20,332,1,13,17,1,NULL,1,NULL),(20,332,1,13,18,2,NULL,1,NULL),(20,332,1,13,19,NULL,NULL,NULL,NULL),(20,332,1,13,20,1,NULL,1,NULL),(20,332,1,13,21,NULL,1,NULL,1),(20,332,1,13,22,NULL,NULL,NULL,NULL),(20,332,1,13,23,NULL,1,NULL,1),(20,332,1,13,24,NULL,1,NULL,1),(20,332,1,13,25,NULL,1,NULL,1),(20,332,1,13,26,NULL,NULL,NULL,NULL),(20,332,1,13,27,NULL,NULL,NULL,NULL),(20,332,1,13,28,NULL,NULL,NULL,NULL),(20,332,1,13,29,NULL,NULL,NULL,NULL),(20,332,1,13,30,NULL,NULL,NULL,NULL),(20,332,1,13,31,1,NULL,NULL,NULL),(20,332,1,13,32,NULL,NULL,NULL,NULL),(20,332,1,13,33,NULL,1,NULL,1),(20,332,1,13,34,NULL,NULL,NULL,NULL),(20,332,1,13,35,NULL,NULL,NULL,NULL),(20,332,1,13,36,NULL,1,NULL,NULL),(20,332,1,13,37,1,NULL,NULL,NULL),(20,332,1,13,38,NULL,1,NULL,1),(20,332,1,13,39,NULL,2,NULL,1),(20,332,1,13,40,1,NULL,NULL,NULL),(20,332,1,14,1,3,4,2,4),(20,332,1,14,2,2,3,1,2),(20,332,1,14,3,NULL,5,NULL,5),(20,332,1,14,4,2,4,2,3),(20,332,1,14,5,3,7,3,5),(20,332,1,14,6,9,8,7,6),(20,332,1,14,7,3,5,2,5),(20,332,1,14,8,8,2,7,2),(20,332,1,14,9,6,8,5,5),(20,332,1,14,10,3,4,3,4),(20,332,1,14,11,NULL,5,NULL,4),(20,332,1,14,12,NULL,5,NULL,4),(20,332,1,14,13,3,6,3,6),(20,332,1,14,14,10,4,8,4),(20,332,1,14,15,4,5,2,5),(20,332,1,14,16,10,2,8,2),(20,332,1,14,17,3,8,3,6),(20,332,1,14,18,6,5,3,5),(20,332,1,14,19,7,2,7,2),(20,332,1,14,20,9,2,8,1),(20,332,1,14,21,3,4,2,4),(20,332,1,14,22,NULL,1,NULL,1),(20,332,1,14,23,NULL,5,NULL,4),(20,332,1,14,24,NULL,4,NULL,3),(20,332,1,14,25,1,10,1,10),(20,332,1,14,26,1,NULL,1,NULL),(20,332,1,14,27,1,5,1,4),(20,332,1,14,28,NULL,NULL,NULL,NULL),(20,332,1,14,29,NULL,4,NULL,3),(20,332,1,14,30,NULL,4,NULL,4),(20,332,1,14,31,5,2,5,1),(20,332,1,14,32,1,6,1,5),(20,332,1,14,33,1,3,NULL,3),(20,332,1,14,34,2,3,2,2),(20,332,1,14,35,2,6,2,5),(20,332,1,14,36,5,7,4,5),(20,332,1,14,37,6,3,4,2),(20,332,1,14,38,1,2,1,2),(20,332,1,14,39,14,4,12,2),(20,332,1,14,40,2,3,1,3),(20,332,1,15,1,2,2,2,1),(20,332,1,15,2,NULL,4,NULL,3),(20,332,1,15,3,NULL,3,NULL,3),(20,332,1,15,4,1,4,NULL,3),(20,332,1,15,5,3,4,2,1),(20,332,1,15,6,4,6,3,3),(20,332,1,15,7,2,1,2,1),(20,332,1,15,8,4,2,3,1),(20,332,1,15,9,5,5,5,1),(20,332,1,15,10,NULL,4,NULL,3),(20,332,1,15,11,1,2,NULL,2),(20,332,1,15,12,1,5,1,3),(20,332,1,15,13,6,5,4,3),(20,332,1,15,14,5,6,3,4),(20,332,1,15,15,6,1,5,1),(20,332,1,15,16,4,3,2,2),(20,332,1,15,17,3,5,2,1),(20,332,1,15,18,8,4,4,3),(20,332,1,15,19,4,1,3,1),(20,332,1,15,20,5,5,2,5),(20,332,1,15,21,2,4,1,3),(20,332,1,15,22,1,4,1,3),(20,332,1,15,23,NULL,5,NULL,2),(20,332,1,15,24,2,3,2,2),(20,332,1,15,25,2,4,2,2),(20,332,1,15,26,1,NULL,1,NULL),(20,332,1,15,27,NULL,3,NULL,2),(20,332,1,15,28,NULL,1,NULL,1),(20,332,1,15,29,1,2,NULL,1),(20,332,1,15,30,NULL,2,NULL,NULL),(20,332,1,15,31,2,2,2,2),(20,332,1,15,32,3,2,2,1),(20,332,1,15,33,NULL,1,NULL,1),(20,332,1,15,34,NULL,NULL,NULL,NULL),(20,332,1,15,35,3,4,2,2),(20,332,1,15,36,1,6,1,4),(20,332,1,15,37,4,4,4,1),(20,332,1,15,38,NULL,3,NULL,3),(20,332,1,15,39,8,5,5,2),(20,332,1,15,40,4,NULL,3,NULL),(20,332,1,16,1,NULL,3,NULL,1),(20,332,1,16,2,2,3,1,NULL),(20,332,1,16,3,NULL,4,NULL,1),(20,332,1,16,4,1,3,NULL,NULL),(20,332,1,16,5,NULL,4,NULL,2),(20,332,1,16,6,4,6,2,1),(20,332,1,16,7,1,3,1,1),(20,332,1,16,8,7,3,3,NULL),(20,332,1,16,9,1,5,NULL,2),(20,332,1,16,10,3,5,2,1),(20,332,1,16,11,1,2,NULL,NULL),(20,332,1,16,12,NULL,2,NULL,1),(20,332,1,16,13,6,2,1,NULL),(20,332,1,16,14,NULL,3,NULL,1),(20,332,1,16,15,2,1,2,NULL),(20,332,1,16,16,1,7,NULL,3),(20,332,1,16,17,10,7,4,1),(20,332,1,16,18,3,1,1,NULL),(20,332,1,16,19,6,9,4,2),(20,332,1,16,20,NULL,3,NULL,1),(20,332,1,16,21,NULL,6,NULL,NULL),(20,332,1,16,22,1,1,1,NULL),(20,332,1,16,23,1,8,1,3),(20,332,1,16,24,2,3,1,NULL),(20,332,1,16,25,NULL,4,NULL,2),(20,332,1,16,26,1,NULL,NULL,NULL),(20,332,1,16,27,1,2,NULL,NULL),(20,332,1,16,28,NULL,1,NULL,NULL),(20,332,1,16,29,3,1,2,NULL),(20,332,1,16,30,2,NULL,1,NULL),(20,332,1,16,31,5,5,2,1),(20,332,1,16,32,2,4,2,NULL),(20,332,1,16,33,1,NULL,NULL,NULL),(20,332,1,16,34,NULL,1,NULL,NULL),(20,332,1,16,35,2,5,1,2),(20,332,1,16,36,3,8,2,1),(20,332,1,16,37,5,6,1,2),(20,332,1,16,38,1,5,1,NULL),(20,332,1,16,39,12,7,5,1),(20,332,1,16,40,2,5,1,1),(20,332,1,17,1,3,4,2,1),(20,332,1,17,2,2,5,2,2),(20,332,1,17,3,3,1,2,NULL),(20,332,1,17,4,NULL,4,NULL,NULL),(20,332,1,17,5,2,4,1,3),(20,332,1,17,6,2,5,2,2),(20,332,1,17,7,2,1,2,1),(20,332,1,17,8,3,3,3,1),(20,332,1,17,9,2,4,1,2),(20,332,1,17,10,1,5,1,1),(20,332,1,17,11,1,3,1,1),(20,332,1,17,12,1,2,1,1),(20,332,1,17,13,4,2,2,1),(20,332,1,17,14,2,NULL,1,NULL),(20,332,1,17,15,5,4,2,1),(20,332,1,17,16,NULL,6,NULL,2),(20,332,1,17,17,2,12,1,5),(20,332,1,17,18,2,5,1,2),(20,332,1,17,19,9,5,2,1),(20,332,1,17,20,NULL,2,NULL,1),(20,332,1,17,21,NULL,1,NULL,1),(20,332,1,17,22,NULL,3,NULL,1),(20,332,1,17,23,1,11,1,3),(20,332,1,17,24,1,6,NULL,2),(20,332,1,17,25,NULL,10,NULL,5),(20,332,1,17,26,2,NULL,1,NULL),(20,332,1,17,27,1,7,1,4),(20,332,1,17,28,1,1,NULL,NULL),(20,332,1,17,29,NULL,3,NULL,2),(20,332,1,17,30,1,6,NULL,2),(20,332,1,17,31,3,3,2,NULL),(20,332,1,17,32,4,5,2,2),(20,332,1,17,33,1,2,NULL,2),(20,332,1,17,34,NULL,2,NULL,1),(20,332,1,17,35,3,6,2,1),(20,332,1,17,36,4,3,3,NULL),(20,332,1,17,37,1,8,1,2),(20,332,1,17,38,NULL,3,NULL,NULL),(20,332,1,17,39,5,6,3,1),(20,332,1,17,40,3,5,1,2),(20,332,2,21,1,NULL,2,NULL,NULL),(20,332,2,21,2,1,1,1,1),(20,332,2,21,3,NULL,11,NULL,8),(20,332,2,21,4,3,6,1,2),(20,332,2,21,5,1,2,1,NULL),(20,332,2,21,6,4,3,1,3),(20,332,2,21,7,2,5,2,2),(20,332,2,21,8,5,NULL,3,NULL),(20,332,2,21,9,5,9,1,7),(20,332,2,21,10,1,8,NULL,5),(20,332,2,21,11,3,3,2,1),(20,332,2,21,12,NULL,7,NULL,4),(20,332,2,21,13,8,8,4,5),(20,332,2,21,14,15,4,10,1),(20,332,2,21,15,8,9,5,5),(20,332,2,21,16,10,4,6,2),(20,332,2,21,17,3,4,1,3),(20,332,2,21,18,2,4,1,2),(20,332,2,21,19,NULL,6,NULL,3),(20,332,2,21,20,1,11,1,7),(20,332,2,21,21,NULL,1,NULL,1),(20,332,2,21,22,NULL,2,NULL,NULL),(20,332,2,21,23,NULL,NULL,NULL,NULL),(20,332,2,21,24,NULL,2,NULL,1),(20,332,2,21,25,1,4,1,2),(20,332,2,21,26,NULL,3,NULL,1),(20,332,2,21,27,1,NULL,NULL,NULL),(20,332,2,21,28,1,5,1,2),(20,332,2,21,29,NULL,2,NULL,1),(20,332,2,21,30,NULL,2,NULL,NULL),(20,332,2,21,31,1,1,1,1),(20,332,2,21,32,1,5,NULL,2),(20,332,2,21,33,3,12,2,6),(20,332,2,21,34,3,4,3,3),(20,332,2,21,35,1,5,1,3),(20,332,2,21,36,NULL,8,NULL,5),(20,332,2,21,37,2,1,1,NULL),(20,332,2,21,38,1,2,1,1),(20,332,2,21,39,NULL,3,NULL,3),(20,332,2,21,40,3,5,3,1),(20,332,2,22,1,NULL,5,NULL,3),(20,332,2,22,2,NULL,1,NULL,NULL),(20,332,2,22,3,3,3,2,2),(20,332,2,22,4,2,3,1,3),(20,332,2,22,5,NULL,1,NULL,NULL),(20,332,2,22,6,1,5,1,5),(20,332,2,22,7,1,6,1,4),(20,332,2,22,8,2,NULL,2,NULL),(20,332,2,22,9,3,8,3,3),(20,332,2,22,10,2,2,1,2),(20,332,2,22,11,2,3,2,1),(20,332,2,22,12,1,NULL,1,NULL),(20,332,2,22,13,7,5,4,2),(20,332,2,22,14,4,10,3,5),(20,332,2,22,15,4,5,2,4),(20,332,2,22,16,4,4,3,2),(20,332,2,22,17,4,2,4,1),(20,332,2,22,18,1,6,1,3),(20,332,2,22,19,2,9,2,4),(20,332,2,22,20,2,8,2,4),(20,332,2,22,21,NULL,1,NULL,1),(20,332,2,22,22,NULL,4,NULL,2),(20,332,2,22,23,NULL,2,NULL,2),(20,332,2,22,24,1,2,NULL,NULL),(20,332,2,22,25,1,8,NULL,6),(20,332,2,22,26,NULL,3,NULL,2),(20,332,2,22,27,NULL,NULL,NULL,NULL),(20,332,2,22,28,4,1,4,1),(20,332,2,22,29,NULL,NULL,NULL,NULL),(20,332,2,22,30,NULL,2,NULL,1),(20,332,2,22,31,NULL,3,NULL,3),(20,332,2,22,32,NULL,5,NULL,1),(20,332,2,22,33,2,5,2,3),(20,332,2,22,34,2,3,2,2),(20,332,2,22,35,1,7,1,4),(20,332,2,22,36,NULL,4,NULL,3),(20,332,2,22,37,NULL,3,NULL,3),(20,332,2,22,38,NULL,4,NULL,3),(20,332,2,22,39,NULL,1,NULL,1),(20,332,2,22,40,1,1,1,1),(20,332,2,23,1,NULL,5,NULL,2),(20,332,2,23,2,NULL,1,NULL,1),(20,332,2,23,3,1,8,NULL,3),(20,332,2,23,4,2,3,2,1),(20,332,2,23,5,NULL,4,NULL,2),(20,332,2,23,6,4,4,4,2),(20,332,2,23,7,5,1,3,NULL),(20,332,2,23,8,2,NULL,1,NULL),(20,332,2,23,9,7,8,3,5),(20,332,2,23,10,1,3,1,2),(20,332,2,23,11,4,5,3,NULL),(20,332,2,23,12,1,2,NULL,NULL),(20,332,2,23,13,8,8,6,1),(20,332,2,23,14,8,8,6,3),(20,332,2,23,15,7,3,5,NULL),(20,332,2,23,16,10,3,6,1),(20,332,2,23,17,NULL,7,NULL,3),(20,332,2,23,18,3,2,3,1),(20,332,2,23,19,3,6,NULL,4),(20,332,2,23,20,2,6,2,4),(20,332,2,23,21,NULL,NULL,NULL,NULL),(20,332,2,23,22,NULL,6,NULL,3),(20,332,2,23,23,NULL,NULL,NULL,NULL),(20,332,2,23,24,NULL,NULL,NULL,NULL),(20,332,2,23,25,1,6,1,3),(20,332,2,23,26,NULL,2,NULL,1),(20,332,2,23,27,NULL,2,NULL,1),(20,332,2,23,28,4,2,4,1),(20,332,2,23,29,NULL,NULL,NULL,NULL),(20,332,2,23,30,1,1,1,NULL),(20,332,2,23,31,2,2,2,1),(20,332,2,23,32,2,2,2,2),(20,332,2,23,33,1,8,1,3),(20,332,2,23,34,1,2,NULL,1),(20,332,2,23,35,2,4,1,4),(20,332,2,23,36,1,7,1,4),(20,332,2,23,37,NULL,5,NULL,2),(20,332,2,23,38,NULL,3,NULL,2),(20,332,2,23,39,1,NULL,1,NULL),(20,332,2,23,40,1,7,1,3),(20,332,2,24,1,1,4,NULL,3),(20,332,2,24,2,NULL,1,NULL,1),(20,332,2,24,3,2,3,2,1),(20,332,2,24,4,2,6,1,4),(20,332,2,24,5,NULL,3,NULL,NULL),(20,332,2,24,6,6,5,4,2),(20,332,2,24,7,3,6,2,4),(20,332,2,24,8,2,NULL,2,NULL),(20,332,2,24,9,4,5,2,3),(20,332,2,24,10,2,7,1,2),(20,332,2,24,11,NULL,7,NULL,2),(20,332,2,24,12,NULL,3,NULL,1),(20,332,2,24,13,8,12,5,3),(20,332,2,24,14,5,10,2,4),(20,332,2,24,15,1,7,1,2),(20,332,2,24,16,7,10,3,3),(20,332,2,24,17,3,2,1,2),(20,332,2,24,18,NULL,7,NULL,4),(20,332,2,24,19,NULL,8,NULL,2),(20,332,2,24,20,6,4,3,2),(20,332,2,24,21,NULL,NULL,NULL,NULL),(20,332,2,24,22,2,6,1,2),(20,332,2,24,23,NULL,4,NULL,3),(20,332,2,24,24,1,4,NULL,1),(20,332,2,24,25,5,8,1,5),(20,332,2,24,26,NULL,5,NULL,4),(20,332,2,24,27,NULL,1,NULL,NULL),(20,332,2,24,28,3,4,1,1),(20,332,2,24,29,NULL,NULL,NULL,NULL),(20,332,2,24,30,NULL,4,NULL,2),(20,332,2,24,31,NULL,2,NULL,2),(20,332,2,24,32,NULL,4,NULL,1),(20,332,2,24,33,2,9,1,6),(20,332,2,24,34,2,4,2,2),(20,332,2,24,35,1,9,NULL,7),(20,332,2,24,36,NULL,9,NULL,3),(20,332,2,24,37,1,8,NULL,5),(20,332,2,24,38,NULL,2,NULL,1),(20,332,2,24,39,NULL,3,NULL,2),(20,332,2,24,40,3,3,3,2),(20,333,1,11,1,1,NULL,NULL,NULL),(20,333,1,11,2,NULL,NULL,NULL,NULL),(20,333,1,11,3,NULL,NULL,NULL,NULL),(20,333,1,11,4,NULL,NULL,NULL,NULL),(20,333,1,11,5,NULL,NULL,NULL,NULL),(20,333,1,11,6,NULL,NULL,NULL,NULL),(20,333,1,11,7,NULL,NULL,NULL,NULL),(20,333,1,11,8,NULL,NULL,NULL,NULL),(20,333,1,11,9,NULL,1,NULL,NULL),(20,333,1,11,10,NULL,NULL,NULL,NULL),(20,333,1,11,11,NULL,1,NULL,NULL),(20,333,1,11,12,NULL,1,NULL,NULL),(20,333,1,11,13,1,NULL,NULL,NULL),(20,333,1,11,14,NULL,1,NULL,NULL),(20,333,1,11,15,1,NULL,NULL,NULL),(20,333,1,11,16,1,NULL,NULL,NULL),(20,333,1,11,17,1,NULL,NULL,NULL),(20,333,1,11,18,1,1,NULL,NULL),(20,333,1,11,19,1,1,NULL,NULL),(20,333,1,11,20,1,NULL,NULL,NULL),(20,333,1,11,21,NULL,NULL,NULL,NULL),(20,333,1,11,22,NULL,NULL,NULL,NULL),(20,333,1,11,23,NULL,NULL,NULL,NULL),(20,333,1,11,24,NULL,NULL,NULL,NULL),(20,333,1,11,25,1,NULL,NULL,NULL),(20,333,1,11,26,NULL,NULL,NULL,NULL),(20,333,1,11,27,NULL,NULL,NULL,NULL),(20,333,1,11,28,NULL,NULL,NULL,NULL),(20,333,1,11,29,NULL,NULL,NULL,NULL),(20,333,1,11,30,NULL,NULL,NULL,NULL),(20,333,1,11,31,NULL,1,NULL,NULL),(20,333,1,11,32,1,NULL,NULL,NULL),(20,333,1,11,33,NULL,NULL,NULL,NULL),(20,333,1,11,34,NULL,NULL,NULL,NULL),(20,333,1,11,35,NULL,NULL,NULL,NULL),(20,333,1,11,36,NULL,NULL,NULL,NULL),(20,333,1,11,37,1,NULL,NULL,NULL),(20,333,1,11,38,NULL,NULL,NULL,NULL),(20,333,1,11,39,NULL,NULL,NULL,NULL),(20,333,1,11,40,NULL,NULL,NULL,NULL),(20,333,1,12,1,2,NULL,NULL,NULL),(20,333,1,12,2,1,NULL,NULL,NULL),(20,333,1,12,3,NULL,NULL,NULL,NULL),(20,333,1,12,4,NULL,1,NULL,NULL),(20,333,1,12,5,1,NULL,NULL,NULL),(20,333,1,12,6,1,1,NULL,NULL),(20,333,1,12,7,1,NULL,NULL,NULL),(20,333,1,12,8,2,NULL,NULL,NULL),(20,333,1,12,9,1,NULL,NULL,NULL),(20,333,1,12,10,NULL,NULL,NULL,NULL),(20,333,1,12,11,NULL,NULL,NULL,NULL),(20,333,1,12,12,NULL,1,NULL,NULL),(20,333,1,12,13,NULL,2,NULL,NULL),(20,333,1,12,14,NULL,2,NULL,NULL),(20,333,1,12,15,2,NULL,NULL,NULL),(20,333,1,12,16,2,NULL,NULL,NULL),(20,333,1,12,17,2,NULL,NULL,NULL),(20,333,1,12,18,2,NULL,NULL,NULL),(20,333,1,12,19,2,NULL,NULL,NULL),(20,333,1,12,20,2,NULL,NULL,NULL),(20,333,1,12,21,NULL,NULL,NULL,NULL),(20,333,1,12,22,1,NULL,NULL,NULL),(20,333,1,12,23,NULL,1,NULL,NULL),(20,333,1,12,24,NULL,1,NULL,NULL),(20,333,1,12,25,NULL,1,NULL,NULL),(20,333,1,12,26,2,NULL,NULL,NULL),(20,333,1,12,27,1,NULL,NULL,NULL),(20,333,1,12,28,NULL,1,NULL,NULL),(20,333,1,12,29,NULL,1,NULL,NULL),(20,333,1,12,30,NULL,1,NULL,NULL),(20,333,1,12,31,NULL,2,NULL,NULL),(20,333,1,12,32,NULL,1,NULL,NULL),(20,333,1,12,33,2,NULL,NULL,NULL),(20,333,1,12,34,NULL,NULL,NULL,NULL),(20,333,1,12,35,NULL,1,NULL,NULL),(20,333,1,12,36,1,NULL,NULL,NULL),(20,333,1,12,37,NULL,1,NULL,NULL),(20,333,1,12,38,NULL,2,NULL,NULL),(20,333,1,12,39,2,NULL,NULL,NULL),(20,333,1,12,40,2,NULL,NULL,NULL),(20,333,1,13,1,NULL,NULL,NULL,NULL),(20,333,1,13,2,NULL,NULL,NULL,NULL),(20,333,1,13,3,NULL,1,NULL,NULL),(20,333,1,13,4,NULL,1,NULL,NULL),(20,333,1,13,5,NULL,NULL,NULL,NULL),(20,333,1,13,6,1,NULL,NULL,NULL),(20,333,1,13,7,NULL,NULL,NULL,NULL),(20,333,1,13,8,NULL,NULL,NULL,NULL),(20,333,1,13,9,NULL,1,NULL,NULL),(20,333,1,13,10,NULL,NULL,NULL,NULL),(20,333,1,13,11,1,NULL,NULL,NULL),(20,333,1,13,12,NULL,NULL,NULL,NULL),(20,333,1,13,13,1,NULL,NULL,NULL),(20,333,1,13,14,1,NULL,NULL,NULL),(20,333,1,13,15,1,NULL,NULL,NULL),(20,333,1,13,16,NULL,NULL,NULL,NULL),(20,333,1,13,17,1,NULL,NULL,NULL),(20,333,1,13,18,NULL,NULL,NULL,NULL),(20,333,1,13,19,NULL,NULL,NULL,NULL),(20,333,1,13,20,NULL,1,NULL,NULL),(20,333,1,13,21,NULL,NULL,NULL,NULL),(20,333,1,13,22,NULL,NULL,NULL,NULL),(20,333,1,13,23,1,NULL,NULL,NULL),(20,333,1,13,24,NULL,NULL,NULL,NULL),(20,333,1,13,25,1,NULL,NULL,NULL),(20,333,1,13,26,NULL,NULL,NULL,NULL),(20,333,1,13,27,NULL,NULL,NULL,NULL),(20,333,1,13,28,NULL,NULL,NULL,NULL),(20,333,1,13,29,NULL,NULL,NULL,NULL),(20,333,1,13,30,NULL,NULL,NULL,NULL),(20,333,1,13,31,1,NULL,NULL,NULL),(20,333,1,13,32,NULL,NULL,NULL,NULL),(20,333,1,13,33,NULL,NULL,NULL,NULL),(20,333,1,13,34,NULL,NULL,NULL,NULL),(20,333,1,13,35,NULL,NULL,NULL,NULL),(20,333,1,13,36,NULL,NULL,NULL,NULL),(20,333,1,13,37,NULL,NULL,NULL,NULL),(20,333,1,13,38,NULL,NULL,NULL,NULL),(20,333,1,13,39,1,NULL,NULL,NULL),(20,333,1,13,40,NULL,NULL,NULL,NULL),(20,333,1,14,1,9,11,3,2),(20,333,1,14,2,9,8,3,1),(20,333,1,14,3,7,17,1,4),(20,333,1,14,4,2,17,NULL,3),(20,333,1,14,5,16,20,5,5),(20,333,1,14,6,33,20,4,6),(20,333,1,14,7,11,13,4,3),(20,333,1,14,8,12,13,4,3),(20,333,1,14,9,27,19,6,3),(20,333,1,14,10,9,6,4,1),(20,333,1,14,11,2,9,2,3),(20,333,1,14,12,14,9,5,2),(20,333,1,14,13,18,20,6,6),(20,333,1,14,14,36,12,10,1),(20,333,1,14,15,16,13,6,2),(20,333,1,14,16,37,6,10,1),(20,333,1,14,17,17,25,4,5),(20,333,1,14,18,33,8,8,2),(20,333,1,14,19,21,5,5,1),(20,333,1,14,20,32,11,7,3),(20,333,1,14,21,1,5,1,2),(20,333,1,14,22,7,17,3,6),(20,333,1,14,23,9,22,2,4),(20,333,1,14,24,5,17,3,7),(20,333,1,14,25,14,21,6,4),(20,333,1,14,26,4,NULL,2,NULL),(20,333,1,14,27,10,23,5,5),(20,333,1,14,28,2,8,1,3),(20,333,1,14,29,3,7,1,2),(20,333,1,14,30,4,13,1,5),(20,333,1,14,31,19,12,5,3),(20,333,1,14,32,15,7,7,2),(20,333,1,14,33,12,18,6,3),(20,333,1,14,34,6,12,1,3),(20,333,1,14,35,24,10,7,1),(20,333,1,14,36,25,18,8,2),(20,333,1,14,37,25,16,5,5),(20,333,1,14,38,5,18,NULL,4),(20,333,1,14,39,25,26,5,6),(20,333,1,14,40,21,2,10,NULL),(20,333,1,15,1,11,11,2,2),(20,333,1,15,2,10,7,4,NULL),(20,333,1,15,3,5,17,1,5),(20,333,1,15,4,6,14,NULL,2),(20,333,1,15,5,18,18,8,2),(20,333,1,15,6,26,20,4,3),(20,333,1,15,7,12,16,4,7),(20,333,1,15,8,17,8,5,2),(20,333,1,15,9,25,22,6,6),(20,333,1,15,10,7,10,2,3),(20,333,1,15,11,4,7,3,3),(20,333,1,15,12,12,5,5,1),(20,333,1,15,13,28,19,6,5),(20,333,1,15,14,46,13,12,1),(20,333,1,15,15,24,9,7,2),(20,333,1,15,16,45,10,10,1),(20,333,1,15,17,23,19,5,7),(20,333,1,15,18,42,6,9,1),(20,333,1,15,19,33,6,8,2),(20,333,1,15,20,42,15,9,3),(20,333,1,15,21,6,5,3,2),(20,333,1,15,22,6,19,2,9),(20,333,1,15,23,4,23,1,4),(20,333,1,15,24,9,13,5,3),(20,333,1,15,25,14,22,5,4),(20,333,1,15,26,10,NULL,6,NULL),(20,333,1,15,27,11,21,5,5),(20,333,1,15,28,6,7,3,3),(20,333,1,15,29,2,8,2,3),(20,333,1,15,30,7,12,2,4),(20,333,1,15,31,16,15,3,6),(20,333,1,15,32,14,14,4,3),(20,333,1,15,33,17,20,5,6),(20,333,1,15,34,4,13,1,6),(20,333,1,15,35,12,15,4,6),(20,333,1,15,36,24,14,7,3),(20,333,1,15,37,28,20,8,2),(20,333,1,15,38,6,16,1,4),(20,333,1,15,39,43,14,11,3),(20,333,1,15,40,21,3,10,NULL),(20,333,1,16,1,9,7,NULL,NULL),(20,333,1,16,2,5,11,NULL,2),(20,333,1,16,3,3,6,NULL,NULL),(20,333,1,16,4,4,10,NULL,2),(20,333,1,16,5,7,6,NULL,NULL),(20,333,1,16,6,20,11,1,1),(20,333,1,16,7,3,5,1,NULL),(20,333,1,16,8,13,6,1,1),(20,333,1,16,9,7,15,1,1),(20,333,1,16,10,3,6,NULL,1),(20,333,1,16,11,2,4,1,NULL),(20,333,1,16,12,5,6,1,1),(20,333,1,16,13,13,13,2,1),(20,333,1,16,14,3,2,NULL,NULL),(20,333,1,16,15,12,8,1,1),(20,333,1,16,16,3,9,NULL,NULL),(20,333,1,16,17,32,8,3,NULL),(20,333,1,16,18,2,11,NULL,1),(20,333,1,16,19,17,10,1,1),(20,333,1,16,20,2,8,NULL,NULL),(20,333,1,16,21,3,10,NULL,NULL),(20,333,1,16,22,NULL,6,NULL,1),(20,333,1,16,23,NULL,13,NULL,2),(20,333,1,16,24,1,10,NULL,2),(20,333,1,16,25,1,11,1,NULL),(20,333,1,16,26,3,NULL,NULL,NULL),(20,333,1,16,27,3,13,NULL,3),(20,333,1,16,28,NULL,1,NULL,NULL),(20,333,1,16,29,1,12,NULL,1),(20,333,1,16,30,1,10,NULL,1),(20,333,1,16,31,6,13,NULL,1),(20,333,1,16,32,7,4,1,1),(20,333,1,16,33,5,9,1,1),(20,333,1,16,34,2,5,NULL,NULL),(20,333,1,16,35,7,12,NULL,1),(20,333,1,16,36,7,15,2,NULL),(20,333,1,16,37,8,9,1,1),(20,333,1,16,38,2,4,NULL,1),(20,333,1,16,39,16,11,1,1),(20,333,1,16,40,13,2,1,NULL),(20,333,1,17,1,10,2,NULL,NULL),(20,333,1,17,2,4,3,NULL,NULL),(20,333,1,17,3,2,5,NULL,1),(20,333,1,17,4,2,10,NULL,1),(20,333,1,17,5,7,9,1,NULL),(20,333,1,17,6,11,14,NULL,NULL),(20,333,1,17,7,6,7,1,NULL),(20,333,1,17,8,11,5,1,NULL),(20,333,1,17,9,13,15,NULL,NULL),(20,333,1,17,10,2,4,NULL,NULL),(20,333,1,17,11,3,3,NULL,1),(20,333,1,17,12,2,3,NULL,NULL),(20,333,1,17,13,10,9,1,NULL),(20,333,1,17,14,NULL,3,NULL,NULL),(20,333,1,17,15,9,4,1,NULL),(20,333,1,17,16,2,10,NULL,NULL),(20,333,1,17,17,16,19,1,NULL),(20,333,1,17,18,2,12,NULL,1),(20,333,1,17,19,17,9,NULL,NULL),(20,333,1,17,20,2,11,NULL,1),(20,333,1,17,21,5,4,NULL,NULL),(20,333,1,17,22,2,9,NULL,1),(20,333,1,17,23,3,11,NULL,1),(20,333,1,17,24,3,5,NULL,NULL),(20,333,1,17,25,4,12,1,NULL),(20,333,1,17,26,1,NULL,NULL,NULL),(20,333,1,17,27,3,13,NULL,NULL),(20,333,1,17,28,1,6,NULL,1),(20,333,1,17,29,2,8,NULL,NULL),(20,333,1,17,30,4,6,NULL,1),(20,333,1,17,31,2,10,NULL,1),(20,333,1,17,32,5,8,1,NULL),(20,333,1,17,33,4,5,1,NULL),(20,333,1,17,34,NULL,1,NULL,NULL),(20,333,1,17,35,10,6,1,NULL),(20,333,1,17,36,6,13,1,NULL),(20,333,1,17,37,14,9,1,NULL),(20,333,1,17,38,1,5,NULL,NULL),(20,333,1,17,39,10,10,1,NULL),(20,333,1,17,40,1,1,NULL,NULL),(20,333,2,21,1,3,12,1,4),(20,333,2,21,2,1,3,NULL,NULL),(20,333,2,21,3,10,16,NULL,4),(20,333,2,21,4,3,7,1,NULL),(20,333,2,21,5,1,2,NULL,1),(20,333,2,21,6,11,16,5,2),(20,333,2,21,7,10,11,3,3),(20,333,2,21,8,7,NULL,1,NULL),(20,333,2,21,9,17,25,3,3),(20,333,2,21,10,2,15,2,4),(20,333,2,21,11,3,10,NULL,1),(20,333,2,21,12,3,6,1,NULL),(20,333,2,21,13,32,13,7,2),(20,333,2,21,14,32,20,5,3),(20,333,2,21,15,24,14,5,2),(20,333,2,21,16,14,7,5,NULL),(20,333,2,21,17,7,7,1,1),(20,333,2,21,18,4,17,2,3),(20,333,2,21,19,7,29,2,5),(20,333,2,21,20,22,9,4,1),(20,333,2,21,21,1,6,NULL,2),(20,333,2,21,22,1,9,1,1),(20,333,2,21,23,NULL,4,NULL,NULL),(20,333,2,21,24,1,2,NULL,NULL),(20,333,2,21,25,5,12,3,2),(20,333,2,21,26,4,4,1,1),(20,333,2,21,27,1,6,1,2),(20,333,2,21,28,15,9,6,NULL),(20,333,2,21,29,2,6,NULL,1),(20,333,2,21,30,1,4,1,NULL),(20,333,2,21,31,4,16,3,4),(20,333,2,21,32,10,12,5,3),(20,333,2,21,33,8,19,NULL,3),(20,333,2,21,34,8,9,3,2),(20,333,2,21,35,3,12,NULL,6),(20,333,2,21,36,7,5,4,1),(20,333,2,21,37,8,9,5,2),(20,333,2,21,38,2,10,NULL,3),(20,333,2,21,39,4,7,2,3),(20,333,2,21,40,10,14,4,2),(20,333,2,22,1,4,11,NULL,3),(20,333,2,22,2,NULL,8,NULL,1),(20,333,2,22,3,11,13,2,2),(20,333,2,22,4,6,4,2,NULL),(20,333,2,22,5,2,6,1,2),(20,333,2,22,6,17,8,4,2),(20,333,2,22,7,9,11,3,1),(20,333,2,22,8,6,NULL,2,NULL),(20,333,2,22,9,14,25,2,4),(20,333,2,22,10,1,10,NULL,3),(20,333,2,22,11,6,9,1,1),(20,333,2,22,12,3,8,NULL,3),(20,333,2,22,13,26,13,5,1),(20,333,2,22,14,28,20,4,3),(20,333,2,22,15,13,22,2,4),(20,333,2,22,16,7,12,1,1),(20,333,2,22,17,9,5,2,1),(20,333,2,22,18,3,16,1,4),(20,333,2,22,19,2,21,NULL,2),(20,333,2,22,20,16,16,2,2),(20,333,2,22,21,NULL,1,NULL,1),(20,333,2,22,22,1,12,1,1),(20,333,2,22,23,NULL,7,NULL,NULL),(20,333,2,22,24,NULL,4,NULL,2),(20,333,2,22,25,8,19,2,3),(20,333,2,22,26,2,3,1,NULL),(20,333,2,22,27,1,7,NULL,1),(20,333,2,22,28,7,8,2,3),(20,333,2,22,29,1,5,NULL,2),(20,333,2,22,30,4,2,1,NULL),(20,333,2,22,31,3,13,2,3),(20,333,2,22,32,10,13,2,2),(20,333,2,22,33,6,11,1,1),(20,333,2,22,34,6,14,1,3),(20,333,2,22,35,3,16,1,2),(20,333,2,22,36,5,12,4,NULL),(20,333,2,22,37,2,11,NULL,4),(20,333,2,22,38,4,6,2,2),(20,333,2,22,39,6,11,2,1),(20,333,2,22,40,9,5,1,NULL),(20,333,2,23,1,5,11,1,3),(20,333,2,23,2,3,5,NULL,1),(20,333,2,23,3,7,16,3,3),(20,333,2,23,4,3,8,NULL,1),(20,333,2,23,5,2,6,1,2),(20,333,2,23,6,10,15,3,2),(20,333,2,23,7,5,17,1,3),(20,333,2,23,8,9,NULL,4,NULL),(20,333,2,23,9,15,25,3,5),(20,333,2,23,10,2,14,NULL,4),(20,333,2,23,11,10,12,2,2),(20,333,2,23,12,3,8,2,3),(20,333,2,23,13,34,11,9,1),(20,333,2,23,14,25,20,5,4),(20,333,2,23,15,21,14,5,3),(20,333,2,23,16,9,15,3,3),(20,333,2,23,17,11,8,4,1),(20,333,2,23,18,7,13,3,4),(20,333,2,23,19,11,22,1,6),(20,333,2,23,20,16,15,5,2),(20,333,2,23,21,1,3,NULL,1),(20,333,2,23,22,5,14,2,3),(20,333,2,23,23,2,3,1,NULL),(20,333,2,23,24,2,1,1,1),(20,333,2,23,25,10,17,5,2),(20,333,2,23,26,4,6,2,2),(20,333,2,23,27,NULL,6,NULL,3),(20,333,2,23,28,15,5,3,1),(20,333,2,23,29,1,6,NULL,2),(20,333,2,23,30,3,3,1,NULL),(20,333,2,23,31,6,16,3,4),(20,333,2,23,32,14,14,4,2),(20,333,2,23,33,7,20,1,2),(20,333,2,23,34,12,12,5,2),(20,333,2,23,35,3,14,NULL,5),(20,333,2,23,36,6,7,1,2),(20,333,2,23,37,3,10,3,2),(20,333,2,23,38,3,9,NULL,4),(20,333,2,23,39,5,9,3,2),(20,333,2,23,40,11,9,5,1),(20,333,2,24,1,3,7,1,1),(20,333,2,24,2,1,5,NULL,NULL),(20,333,2,24,3,11,11,NULL,2),(20,333,2,24,4,3,7,1,NULL),(20,333,2,24,5,1,4,NULL,NULL),(20,333,2,24,6,15,9,NULL,2),(20,333,2,24,7,4,10,NULL,1),(20,333,2,24,8,5,NULL,1,NULL),(20,333,2,24,9,12,22,1,1),(20,333,2,24,10,2,14,NULL,1),(20,333,2,24,11,10,7,1,1),(20,333,2,24,12,2,8,1,NULL),(20,333,2,24,13,21,14,2,1),(20,333,2,24,14,21,17,2,NULL),(20,333,2,24,15,13,11,NULL,1),(20,333,2,24,16,11,11,NULL,1),(20,333,2,24,17,4,5,NULL,NULL),(20,333,2,24,18,2,13,NULL,2),(20,333,2,24,19,10,21,NULL,1),(20,333,2,24,20,10,14,2,1),(20,333,2,24,21,2,1,NULL,1),(20,333,2,24,22,4,7,NULL,1),(20,333,2,24,23,4,1,NULL,NULL),(20,333,2,24,24,2,4,NULL,NULL),(20,333,2,24,25,4,14,NULL,1),(20,333,2,24,26,1,4,1,NULL),(20,333,2,24,27,3,7,1,NULL),(20,333,2,24,28,7,11,3,NULL),(20,333,2,24,29,NULL,4,NULL,NULL),(20,333,2,24,30,3,6,NULL,NULL),(20,333,2,24,31,3,10,NULL,1),(20,333,2,24,32,9,11,2,NULL),(20,333,2,24,33,5,16,NULL,1),(20,333,2,24,34,6,15,1,2),(20,333,2,24,35,NULL,16,NULL,2),(20,333,2,24,36,3,4,NULL,NULL),(20,333,2,24,37,7,3,NULL,NULL),(20,333,2,24,38,2,5,1,1),(20,333,2,24,39,2,7,NULL,1),(20,333,2,24,40,7,8,NULL,1),(20,335,1,11,1,NULL,NULL,NULL,NULL),(20,335,1,11,2,NULL,NULL,NULL,NULL),(20,335,1,11,3,NULL,NULL,NULL,NULL),(20,335,1,11,4,NULL,NULL,NULL,NULL),(20,335,1,11,5,NULL,NULL,NULL,NULL),(20,335,1,11,6,NULL,NULL,NULL,NULL),(20,335,1,11,7,NULL,NULL,NULL,NULL),(20,335,1,11,8,NULL,NULL,NULL,NULL),(20,335,1,11,9,NULL,NULL,NULL,NULL),(20,335,1,11,10,NULL,NULL,NULL,NULL),(20,335,1,11,11,NULL,NULL,NULL,NULL),(20,335,1,11,12,NULL,NULL,NULL,NULL),(20,335,1,11,13,NULL,NULL,NULL,NULL),(20,335,1,11,14,NULL,NULL,NULL,NULL),(20,335,1,11,15,NULL,NULL,NULL,NULL),(20,335,1,11,16,NULL,NULL,NULL,NULL),(20,335,1,11,17,NULL,NULL,NULL,NULL),(20,335,1,11,18,NULL,NULL,NULL,NULL),(20,335,1,11,19,NULL,NULL,NULL,NULL),(20,335,1,11,20,NULL,NULL,NULL,NULL),(20,335,1,11,21,NULL,NULL,NULL,NULL),(20,335,1,11,22,NULL,NULL,NULL,NULL),(20,335,1,11,23,NULL,NULL,NULL,NULL),(20,335,1,11,24,NULL,NULL,NULL,NULL),(20,335,1,11,25,NULL,NULL,NULL,NULL),(20,335,1,11,26,NULL,NULL,NULL,NULL),(20,335,1,11,27,NULL,NULL,NULL,NULL),(20,335,1,11,28,NULL,NULL,NULL,NULL),(20,335,1,11,29,NULL,NULL,NULL,NULL),(20,335,1,11,30,NULL,NULL,NULL,NULL),(20,335,1,11,31,NULL,NULL,NULL,NULL),(20,335,1,11,32,NULL,NULL,NULL,NULL),(20,335,1,11,33,NULL,NULL,NULL,NULL),(20,335,1,11,34,NULL,NULL,NULL,NULL),(20,335,1,11,35,NULL,NULL,NULL,NULL),(20,335,1,11,36,NULL,NULL,NULL,NULL),(20,335,1,11,37,NULL,NULL,NULL,NULL),(20,335,1,11,38,NULL,NULL,NULL,NULL),(20,335,1,11,39,NULL,NULL,NULL,NULL),(20,335,1,11,40,NULL,NULL,NULL,NULL),(20,335,1,12,1,NULL,NULL,NULL,NULL),(20,335,1,12,2,NULL,NULL,NULL,NULL),(20,335,1,12,3,NULL,NULL,NULL,NULL),(20,335,1,12,4,NULL,NULL,NULL,NULL),(20,335,1,12,5,NULL,NULL,NULL,NULL),(20,335,1,12,6,NULL,NULL,NULL,NULL),(20,335,1,12,7,NULL,NULL,NULL,NULL),(20,335,1,12,8,NULL,NULL,NULL,NULL),(20,335,1,12,9,NULL,NULL,NULL,NULL),(20,335,1,12,10,NULL,NULL,NULL,NULL),(20,335,1,12,11,NULL,NULL,NULL,NULL),(20,335,1,12,12,NULL,NULL,NULL,NULL),(20,335,1,12,13,NULL,NULL,NULL,NULL),(20,335,1,12,14,NULL,NULL,NULL,NULL),(20,335,1,12,15,NULL,NULL,NULL,NULL),(20,335,1,12,16,NULL,NULL,NULL,NULL),(20,335,1,12,17,NULL,NULL,NULL,NULL),(20,335,1,12,18,NULL,NULL,NULL,NULL),(20,335,1,12,19,NULL,NULL,NULL,NULL),(20,335,1,12,20,NULL,NULL,NULL,NULL),(20,335,1,12,21,NULL,NULL,NULL,NULL),(20,335,1,12,22,NULL,NULL,NULL,NULL),(20,335,1,12,23,NULL,NULL,NULL,NULL),(20,335,1,12,24,NULL,NULL,NULL,NULL),(20,335,1,12,25,NULL,NULL,NULL,NULL),(20,335,1,12,26,NULL,NULL,NULL,NULL),(20,335,1,12,27,NULL,NULL,NULL,NULL),(20,335,1,12,28,NULL,NULL,NULL,NULL),(20,335,1,12,29,NULL,NULL,NULL,NULL),(20,335,1,12,30,NULL,NULL,NULL,NULL),(20,335,1,12,31,NULL,NULL,NULL,NULL),(20,335,1,12,32,NULL,NULL,NULL,NULL),(20,335,1,12,33,NULL,NULL,NULL,NULL),(20,335,1,12,34,NULL,NULL,NULL,NULL),(20,335,1,12,35,NULL,NULL,NULL,NULL),(20,335,1,12,36,NULL,NULL,NULL,NULL),(20,335,1,12,37,NULL,NULL,NULL,NULL),(20,335,1,12,38,NULL,NULL,NULL,NULL),(20,335,1,12,39,NULL,NULL,NULL,NULL),(20,335,1,12,40,NULL,NULL,NULL,NULL),(20,335,1,13,1,NULL,NULL,NULL,NULL),(20,335,1,13,2,NULL,NULL,NULL,NULL),(20,335,1,13,3,NULL,NULL,NULL,NULL),(20,335,1,13,4,NULL,NULL,NULL,NULL),(20,335,1,13,5,NULL,NULL,NULL,NULL),(20,335,1,13,6,NULL,NULL,NULL,NULL),(20,335,1,13,7,NULL,NULL,NULL,NULL),(20,335,1,13,8,NULL,NULL,NULL,NULL),(20,335,1,13,9,NULL,NULL,NULL,NULL),(20,335,1,13,10,NULL,NULL,NULL,NULL),(20,335,1,13,11,NULL,NULL,NULL,NULL),(20,335,1,13,12,NULL,NULL,NULL,NULL),(20,335,1,13,13,NULL,NULL,NULL,NULL),(20,335,1,13,14,NULL,NULL,NULL,NULL),(20,335,1,13,15,NULL,NULL,NULL,NULL),(20,335,1,13,16,NULL,NULL,NULL,NULL),(20,335,1,13,17,NULL,NULL,NULL,NULL),(20,335,1,13,18,NULL,NULL,NULL,NULL),(20,335,1,13,19,NULL,NULL,NULL,NULL),(20,335,1,13,20,NULL,NULL,NULL,NULL),(20,335,1,13,21,NULL,NULL,NULL,NULL),(20,335,1,13,22,NULL,NULL,NULL,NULL),(20,335,1,13,23,NULL,NULL,NULL,NULL),(20,335,1,13,24,NULL,NULL,NULL,NULL),(20,335,1,13,25,NULL,NULL,NULL,NULL),(20,335,1,13,26,NULL,NULL,NULL,NULL),(20,335,1,13,27,NULL,NULL,NULL,NULL),(20,335,1,13,28,NULL,NULL,NULL,NULL),(20,335,1,13,29,NULL,NULL,NULL,NULL),(20,335,1,13,30,NULL,NULL,NULL,NULL),(20,335,1,13,31,NULL,NULL,NULL,NULL),(20,335,1,13,32,NULL,NULL,NULL,NULL),(20,335,1,13,33,NULL,NULL,NULL,NULL),(20,335,1,13,34,NULL,NULL,NULL,NULL),(20,335,1,13,35,NULL,NULL,NULL,NULL),(20,335,1,13,36,NULL,NULL,NULL,NULL),(20,335,1,13,37,NULL,NULL,NULL,NULL),(20,335,1,13,38,NULL,NULL,NULL,NULL),(20,335,1,13,39,NULL,NULL,NULL,NULL),(20,335,1,13,40,NULL,NULL,NULL,NULL),(20,335,1,14,1,2,NULL,2,NULL),(20,335,1,14,2,1,2,1,1),(20,335,1,14,3,NULL,NULL,NULL,NULL),(20,335,1,14,4,NULL,1,NULL,1),(20,335,1,14,5,NULL,2,NULL,2),(20,335,1,14,6,1,2,1,2),(20,335,1,14,7,NULL,1,NULL,1),(20,335,1,14,8,1,NULL,1,NULL),(20,335,1,14,9,NULL,NULL,NULL,NULL),(20,335,1,14,10,NULL,1,NULL,1),(20,335,1,14,11,NULL,2,NULL,2),(20,335,1,14,12,NULL,1,NULL,1),(20,335,1,14,13,NULL,4,NULL,3),(20,335,1,14,14,1,1,1,1),(20,335,1,14,15,NULL,2,NULL,2),(20,335,1,14,16,2,2,1,1),(20,335,1,14,17,NULL,2,NULL,2),(20,335,1,14,18,2,1,2,NULL),(20,335,1,14,19,NULL,1,NULL,1),(20,335,1,14,20,1,1,1,1),(20,335,1,14,21,NULL,2,NULL,1),(20,335,1,14,22,NULL,1,NULL,1),(20,335,1,14,23,NULL,1,NULL,1),(20,335,1,14,24,NULL,1,NULL,NULL),(20,335,1,14,25,NULL,NULL,NULL,NULL),(20,335,1,14,26,2,NULL,1,NULL),(20,335,1,14,27,NULL,3,NULL,2),(20,335,1,14,28,NULL,1,NULL,1),(20,335,1,14,29,1,1,1,NULL),(20,335,1,14,30,NULL,2,NULL,1),(20,335,1,14,31,1,NULL,1,NULL),(20,335,1,14,32,1,1,1,1),(20,335,1,14,33,1,1,1,1),(20,335,1,14,34,NULL,1,NULL,1),(20,335,1,14,35,NULL,2,NULL,2),(20,335,1,14,36,1,1,1,1),(20,335,1,14,37,NULL,3,NULL,2),(20,335,1,14,38,NULL,NULL,NULL,NULL),(20,335,1,14,39,NULL,4,NULL,3),(20,335,1,14,40,1,NULL,1,NULL),(20,335,1,15,1,NULL,NULL,NULL,NULL),(20,335,1,15,2,NULL,NULL,NULL,NULL),(20,335,1,15,3,NULL,NULL,NULL,NULL),(20,335,1,15,4,NULL,1,NULL,1),(20,335,1,15,5,NULL,NULL,NULL,NULL),(20,335,1,15,6,1,NULL,1,NULL),(20,335,1,15,7,1,1,1,1),(20,335,1,15,8,1,NULL,1,NULL),(20,335,1,15,9,NULL,1,NULL,1),(20,335,1,15,10,NULL,NULL,NULL,NULL),(20,335,1,15,11,NULL,NULL,NULL,NULL),(20,335,1,15,12,NULL,NULL,NULL,NULL),(20,335,1,15,13,1,1,1,1),(20,335,1,15,14,NULL,NULL,NULL,NULL),(20,335,1,15,15,NULL,1,NULL,1),(20,335,1,15,16,1,1,1,1),(20,335,1,15,17,NULL,1,NULL,1),(20,335,1,15,18,1,NULL,1,NULL),(20,335,1,15,19,NULL,NULL,NULL,NULL),(20,335,1,15,20,1,NULL,1,NULL),(20,335,1,15,21,1,NULL,1,NULL),(20,335,1,15,22,1,NULL,1,NULL),(20,335,1,15,23,NULL,NULL,NULL,NULL),(20,335,1,15,24,NULL,1,NULL,1),(20,335,1,15,25,NULL,NULL,NULL,NULL),(20,335,1,15,26,NULL,NULL,NULL,NULL),(20,335,1,15,27,NULL,NULL,NULL,NULL),(20,335,1,15,28,NULL,1,NULL,1),(20,335,1,15,29,NULL,NULL,NULL,NULL),(20,335,1,15,30,NULL,1,NULL,1),(20,335,1,15,31,NULL,NULL,NULL,NULL),(20,335,1,15,32,NULL,NULL,NULL,NULL),(20,335,1,15,33,NULL,1,NULL,1),(20,335,1,15,34,NULL,1,NULL,1),(20,335,1,15,35,1,NULL,1,NULL),(20,335,1,15,36,NULL,1,NULL,1),(20,335,1,15,37,NULL,1,NULL,1),(20,335,1,15,38,NULL,NULL,NULL,NULL),(20,335,1,15,39,NULL,1,NULL,1),(20,335,1,15,40,NULL,NULL,NULL,NULL),(20,335,1,16,1,NULL,NULL,NULL,NULL),(20,335,1,16,2,NULL,NULL,NULL,NULL),(20,335,1,16,3,1,1,1,1),(20,335,1,16,4,1,1,NULL,NULL),(20,335,1,16,5,1,2,1,NULL),(20,335,1,16,6,3,3,1,NULL),(20,335,1,16,7,1,NULL,1,NULL),(20,335,1,16,8,1,NULL,NULL,NULL),(20,335,1,16,9,NULL,4,NULL,1),(20,335,1,16,10,NULL,NULL,NULL,NULL),(20,335,1,16,11,1,NULL,NULL,NULL),(20,335,1,16,12,NULL,NULL,NULL,NULL),(20,335,1,16,13,1,2,NULL,NULL),(20,335,1,16,14,1,1,NULL,NULL),(20,335,1,16,15,1,NULL,NULL,NULL),(20,335,1,16,16,2,1,2,NULL),(20,335,1,16,17,1,4,NULL,1),(20,335,1,16,18,1,1,NULL,NULL),(20,335,1,16,19,3,2,1,NULL),(20,335,1,16,20,NULL,4,NULL,1),(20,335,1,16,21,NULL,2,NULL,NULL),(20,335,1,16,22,1,NULL,NULL,NULL),(20,335,1,16,23,1,NULL,1,NULL),(20,335,1,16,24,1,NULL,1,NULL),(20,335,1,16,25,NULL,NULL,NULL,NULL),(20,335,1,16,26,1,NULL,NULL,NULL),(20,335,1,16,27,2,1,1,NULL),(20,335,1,16,28,NULL,NULL,NULL,NULL),(20,335,1,16,29,NULL,2,NULL,NULL),(20,335,1,16,30,NULL,3,NULL,1),(20,335,1,16,31,1,1,NULL,NULL),(20,335,1,16,32,1,NULL,1,NULL),(20,335,1,16,33,NULL,NULL,NULL,NULL),(20,335,1,16,34,NULL,NULL,NULL,NULL),(20,335,1,16,35,1,3,NULL,2),(20,335,1,16,36,2,1,NULL,1),(20,335,1,16,37,NULL,1,NULL,NULL),(20,335,1,16,38,NULL,NULL,NULL,NULL),(20,335,1,16,39,3,NULL,1,NULL),(20,335,1,16,40,NULL,NULL,NULL,NULL),(20,335,1,17,1,NULL,1,NULL,1),(20,335,1,17,2,NULL,NULL,NULL,NULL),(20,335,1,17,3,NULL,NULL,NULL,NULL),(20,335,1,17,4,NULL,1,NULL,1),(20,335,1,17,5,1,NULL,NULL,NULL),(20,335,1,17,6,NULL,1,NULL,1),(20,335,1,17,7,NULL,1,NULL,1),(20,335,1,17,8,1,1,1,NULL),(20,335,1,17,9,1,2,NULL,1),(20,335,1,17,10,NULL,NULL,NULL,NULL),(20,335,1,17,11,1,NULL,NULL,NULL),(20,335,1,17,12,NULL,NULL,NULL,NULL),(20,335,1,17,13,1,1,NULL,1),(20,335,1,17,14,NULL,NULL,NULL,NULL),(20,335,1,17,15,NULL,1,NULL,NULL),(20,335,1,17,16,NULL,1,NULL,1),(20,335,1,17,17,1,1,NULL,1),(20,335,1,17,18,NULL,2,NULL,1),(20,335,1,17,19,1,1,NULL,1),(20,335,1,17,20,1,1,NULL,1),(20,335,1,17,21,NULL,1,NULL,NULL),(20,335,1,17,22,NULL,NULL,NULL,NULL),(20,335,1,17,23,NULL,2,NULL,1),(20,335,1,17,24,NULL,NULL,NULL,NULL),(20,335,1,17,25,NULL,2,NULL,1),(20,335,1,17,26,NULL,NULL,NULL,NULL),(20,335,1,17,27,NULL,2,NULL,1),(20,335,1,17,28,NULL,NULL,NULL,NULL),(20,335,1,17,29,NULL,NULL,NULL,NULL),(20,335,1,17,30,NULL,1,NULL,NULL),(20,335,1,17,31,NULL,1,NULL,NULL),(20,335,1,17,32,NULL,NULL,NULL,NULL),(20,335,1,17,33,NULL,NULL,NULL,NULL),(20,335,1,17,34,NULL,NULL,NULL,NULL),(20,335,1,17,35,1,1,NULL,NULL),(20,335,1,17,36,NULL,2,NULL,1),(20,335,1,17,37,2,NULL,1,NULL),(20,335,1,17,38,NULL,NULL,NULL,NULL),(20,335,1,17,39,2,1,1,NULL),(20,335,1,17,40,NULL,NULL,NULL,NULL),(20,335,2,21,1,NULL,NULL,NULL,NULL),(20,335,2,21,2,NULL,2,NULL,1),(20,335,2,21,3,1,2,NULL,2),(20,335,2,21,4,NULL,1,NULL,1),(20,335,2,21,5,1,NULL,1,NULL),(20,335,2,21,6,NULL,2,NULL,1),(20,335,2,21,7,NULL,1,NULL,1),(20,335,2,21,8,NULL,NULL,NULL,NULL),(20,335,2,21,9,1,4,NULL,3),(20,335,2,21,10,NULL,NULL,NULL,NULL),(20,335,2,21,11,NULL,NULL,NULL,NULL),(20,335,2,21,12,NULL,1,NULL,1),(20,335,2,21,13,3,NULL,3,NULL),(20,335,2,21,14,2,2,2,1),(20,335,2,21,15,4,NULL,2,NULL),(20,335,2,21,16,3,NULL,2,NULL),(20,335,2,21,17,NULL,NULL,NULL,NULL),(20,335,2,21,18,1,2,NULL,1),(20,335,2,21,19,NULL,3,NULL,2),(20,335,2,21,20,1,1,1,1),(20,335,2,21,21,NULL,NULL,NULL,NULL),(20,335,2,21,22,NULL,1,NULL,NULL),(20,335,2,21,23,NULL,NULL,NULL,NULL),(20,335,2,21,24,NULL,NULL,NULL,NULL),(20,335,2,21,25,1,2,1,2),(20,335,2,21,26,NULL,NULL,NULL,NULL),(20,335,2,21,27,NULL,NULL,NULL,NULL),(20,335,2,21,28,1,1,1,1),(20,335,2,21,29,NULL,NULL,NULL,NULL),(20,335,2,21,30,1,1,1,NULL),(20,335,2,21,31,1,NULL,1,NULL),(20,335,2,21,32,1,1,NULL,1),(20,335,2,21,33,NULL,3,NULL,3),(20,335,2,21,34,NULL,3,NULL,2),(20,335,2,21,35,NULL,1,NULL,1),(20,335,2,21,36,NULL,1,NULL,1),(20,335,2,21,37,1,1,1,1),(20,335,2,21,38,NULL,1,NULL,1),(20,335,2,21,39,NULL,NULL,NULL,NULL),(20,335,2,21,40,NULL,2,NULL,1),(20,335,2,22,1,NULL,NULL,NULL,NULL),(20,335,2,22,2,NULL,1,NULL,1),(20,335,2,22,3,NULL,2,NULL,1),(20,335,2,22,4,NULL,NULL,NULL,NULL),(20,335,2,22,5,NULL,1,NULL,NULL),(20,335,2,22,6,NULL,NULL,NULL,NULL),(20,335,2,22,7,NULL,NULL,NULL,NULL),(20,335,2,22,8,NULL,NULL,NULL,NULL),(20,335,2,22,9,1,1,NULL,NULL),(20,335,2,22,10,NULL,NULL,NULL,NULL),(20,335,2,22,11,1,1,NULL,NULL),(20,335,2,22,12,NULL,NULL,NULL,NULL),(20,335,2,22,13,1,2,1,NULL),(20,335,2,22,14,2,NULL,2,NULL),(20,335,2,22,15,2,NULL,NULL,NULL),(20,335,2,22,16,1,NULL,NULL,NULL),(20,335,2,22,17,NULL,1,NULL,1),(20,335,2,22,18,NULL,NULL,NULL,NULL),(20,335,2,22,19,1,1,1,NULL),(20,335,2,22,20,NULL,NULL,NULL,NULL),(20,335,2,22,21,NULL,NULL,NULL,NULL),(20,335,2,22,22,1,NULL,1,NULL),(20,335,2,22,23,NULL,NULL,NULL,NULL),(20,335,2,22,24,NULL,NULL,NULL,NULL),(20,335,2,22,25,NULL,1,NULL,NULL),(20,335,2,22,26,NULL,NULL,NULL,NULL),(20,335,2,22,27,NULL,NULL,NULL,NULL),(20,335,2,22,28,NULL,1,NULL,NULL),(20,335,2,22,29,1,NULL,NULL,NULL),(20,335,2,22,30,NULL,NULL,NULL,NULL),(20,335,2,22,31,NULL,1,NULL,1),(20,335,2,22,32,NULL,1,NULL,NULL),(20,335,2,22,33,NULL,3,NULL,1),(20,335,2,22,34,NULL,1,NULL,NULL),(20,335,2,22,35,NULL,2,NULL,1),(20,335,2,22,36,NULL,1,NULL,NULL),(20,335,2,22,37,NULL,NULL,NULL,NULL),(20,335,2,22,38,NULL,NULL,NULL,NULL),(20,335,2,22,39,NULL,1,NULL,NULL),(20,335,2,22,40,NULL,NULL,NULL,NULL),(20,335,2,23,1,2,NULL,1,NULL),(20,335,2,23,2,NULL,1,NULL,1),(20,335,2,23,3,1,2,1,1),(20,335,2,23,4,1,NULL,1,NULL),(20,335,2,23,5,NULL,1,NULL,1),(20,335,2,23,6,2,NULL,2,NULL),(20,335,2,23,7,2,NULL,2,NULL),(20,335,2,23,8,NULL,NULL,NULL,NULL),(20,335,2,23,9,NULL,2,NULL,2),(20,335,2,23,10,NULL,1,NULL,1),(20,335,2,23,11,1,NULL,1,NULL),(20,335,2,23,12,NULL,1,NULL,1),(20,335,2,23,13,1,2,1,1),(20,335,2,23,14,1,2,1,1),(20,335,2,23,15,NULL,1,NULL,1),(20,335,2,23,16,1,1,1,NULL),(20,335,2,23,17,NULL,1,NULL,1),(20,335,2,23,18,NULL,NULL,NULL,NULL),(20,335,2,23,19,NULL,1,NULL,1),(20,335,2,23,20,1,NULL,NULL,NULL),(20,335,2,23,21,NULL,NULL,NULL,NULL),(20,335,2,23,22,1,1,1,1),(20,335,2,23,23,NULL,NULL,NULL,NULL),(20,335,2,23,24,NULL,NULL,NULL,NULL),(20,335,2,23,25,NULL,1,NULL,NULL),(20,335,2,23,26,NULL,NULL,NULL,NULL),(20,335,2,23,27,NULL,NULL,NULL,NULL),(20,335,2,23,28,NULL,NULL,NULL,NULL),(20,335,2,23,29,NULL,NULL,NULL,NULL),(20,335,2,23,30,1,NULL,NULL,NULL),(20,335,2,23,31,NULL,1,NULL,1),(20,335,2,23,32,NULL,NULL,NULL,NULL),(20,335,2,23,33,1,1,1,NULL),(20,335,2,23,34,NULL,1,NULL,1),(20,335,2,23,35,NULL,1,NULL,1),(20,335,2,23,36,NULL,1,NULL,NULL),(20,335,2,23,37,NULL,1,NULL,NULL),(20,335,2,23,38,NULL,NULL,NULL,NULL),(20,335,2,23,39,NULL,NULL,NULL,NULL),(20,335,2,23,40,NULL,1,NULL,1),(20,335,2,24,1,NULL,1,NULL,NULL),(20,335,2,24,2,NULL,NULL,NULL,NULL),(20,335,2,24,3,1,NULL,1,NULL),(20,335,2,24,4,NULL,1,NULL,NULL),(20,335,2,24,5,NULL,NULL,NULL,NULL),(20,335,2,24,6,1,1,NULL,NULL),(20,335,2,24,7,NULL,1,NULL,NULL),(20,335,2,24,8,NULL,NULL,NULL,NULL),(20,335,2,24,9,NULL,1,NULL,NULL),(20,335,2,24,10,1,1,1,NULL),(20,335,2,24,11,NULL,1,NULL,NULL),(20,335,2,24,12,NULL,2,NULL,1),(20,335,2,24,13,1,3,NULL,1),(20,335,2,24,14,1,1,NULL,NULL),(20,335,2,24,15,1,1,NULL,NULL),(20,335,2,24,16,NULL,1,NULL,NULL),(20,335,2,24,17,NULL,1,NULL,NULL),(20,335,2,24,18,NULL,1,NULL,1),(20,335,2,24,19,NULL,1,NULL,NULL),(20,335,2,24,20,1,NULL,NULL,NULL),(20,335,2,24,21,NULL,1,NULL,1),(20,335,2,24,22,1,1,NULL,NULL),(20,335,2,24,23,NULL,1,NULL,NULL),(20,335,2,24,24,NULL,1,NULL,NULL),(20,335,2,24,25,NULL,2,NULL,NULL),(20,335,2,24,26,NULL,NULL,NULL,NULL),(20,335,2,24,27,NULL,1,NULL,1),(20,335,2,24,28,NULL,NULL,NULL,NULL),(20,335,2,24,29,NULL,NULL,NULL,NULL),(20,335,2,24,30,NULL,NULL,NULL,NULL),(20,335,2,24,31,1,NULL,NULL,NULL),(20,335,2,24,32,NULL,2,NULL,1),(20,335,2,24,33,1,1,NULL,1),(20,335,2,24,34,NULL,1,NULL,NULL),(20,335,2,24,35,NULL,NULL,NULL,NULL),(20,335,2,24,36,NULL,2,NULL,NULL),(20,335,2,24,37,NULL,1,NULL,NULL),(20,335,2,24,38,NULL,NULL,NULL,NULL),(20,335,2,24,39,NULL,NULL,NULL,NULL),(20,335,2,24,40,2,NULL,1,NULL),(20,336,1,11,1,NULL,NULL,NULL,NULL),(20,336,1,11,2,NULL,NULL,NULL,NULL),(20,336,1,11,3,NULL,NULL,NULL,NULL),(20,336,1,11,4,NULL,NULL,NULL,NULL),(20,336,1,11,5,NULL,NULL,NULL,NULL),(20,336,1,11,6,NULL,NULL,NULL,NULL),(20,336,1,11,7,NULL,NULL,NULL,NULL),(20,336,1,11,8,NULL,NULL,NULL,NULL),(20,336,1,11,9,NULL,NULL,NULL,NULL),(20,336,1,11,10,NULL,NULL,NULL,NULL),(20,336,1,11,11,NULL,NULL,NULL,NULL),(20,336,1,11,12,NULL,NULL,NULL,NULL),(20,336,1,11,13,NULL,NULL,NULL,NULL),(20,336,1,11,14,NULL,NULL,NULL,NULL),(20,336,1,11,15,NULL,NULL,NULL,NULL),(20,336,1,11,16,NULL,NULL,NULL,NULL),(20,336,1,11,17,NULL,NULL,NULL,NULL),(20,336,1,11,18,NULL,NULL,NULL,NULL),(20,336,1,11,19,NULL,NULL,NULL,NULL),(20,336,1,11,20,NULL,NULL,NULL,NULL),(20,336,1,11,21,NULL,NULL,NULL,NULL),(20,336,1,11,22,NULL,NULL,NULL,NULL),(20,336,1,11,23,NULL,NULL,NULL,NULL),(20,336,1,11,24,NULL,NULL,NULL,NULL),(20,336,1,11,25,NULL,NULL,NULL,NULL),(20,336,1,11,26,NULL,NULL,NULL,NULL),(20,336,1,11,27,NULL,NULL,NULL,NULL),(20,336,1,11,28,NULL,NULL,NULL,NULL),(20,336,1,11,29,NULL,NULL,NULL,NULL),(20,336,1,11,30,NULL,NULL,NULL,NULL),(20,336,1,11,31,NULL,NULL,NULL,NULL),(20,336,1,11,32,NULL,NULL,NULL,NULL),(20,336,1,11,33,NULL,NULL,NULL,NULL),(20,336,1,11,34,NULL,NULL,NULL,NULL),(20,336,1,11,35,NULL,NULL,NULL,NULL),(20,336,1,11,36,NULL,NULL,NULL,NULL),(20,336,1,11,37,NULL,NULL,NULL,NULL),(20,336,1,11,38,NULL,NULL,NULL,NULL),(20,336,1,11,39,NULL,NULL,NULL,NULL),(20,336,1,11,40,NULL,NULL,NULL,NULL),(20,336,1,12,1,NULL,NULL,NULL,NULL),(20,336,1,12,2,NULL,NULL,NULL,NULL),(20,336,1,12,3,NULL,NULL,NULL,NULL),(20,336,1,12,4,NULL,NULL,NULL,NULL),(20,336,1,12,5,NULL,NULL,NULL,NULL),(20,336,1,12,6,NULL,NULL,NULL,NULL),(20,336,1,12,7,NULL,NULL,NULL,NULL),(20,336,1,12,8,NULL,NULL,NULL,NULL),(20,336,1,12,9,NULL,NULL,NULL,NULL),(20,336,1,12,10,NULL,NULL,NULL,NULL),(20,336,1,12,11,NULL,NULL,NULL,NULL),(20,336,1,12,12,NULL,NULL,NULL,NULL),(20,336,1,12,13,NULL,NULL,NULL,NULL),(20,336,1,12,14,NULL,NULL,NULL,NULL),(20,336,1,12,15,NULL,NULL,NULL,NULL),(20,336,1,12,16,NULL,NULL,NULL,NULL),(20,336,1,12,17,NULL,NULL,NULL,NULL),(20,336,1,12,18,NULL,NULL,NULL,NULL),(20,336,1,12,19,NULL,NULL,NULL,NULL),(20,336,1,12,20,NULL,NULL,NULL,NULL),(20,336,1,12,21,NULL,NULL,NULL,NULL),(20,336,1,12,22,NULL,NULL,NULL,NULL),(20,336,1,12,23,NULL,NULL,NULL,NULL),(20,336,1,12,24,NULL,NULL,NULL,NULL),(20,336,1,12,25,NULL,NULL,NULL,NULL),(20,336,1,12,26,NULL,NULL,NULL,NULL),(20,336,1,12,27,NULL,NULL,NULL,NULL),(20,336,1,12,28,NULL,NULL,NULL,NULL),(20,336,1,12,29,NULL,NULL,NULL,NULL),(20,336,1,12,30,NULL,NULL,NULL,NULL),(20,336,1,12,31,NULL,NULL,NULL,NULL),(20,336,1,12,32,NULL,NULL,NULL,NULL),(20,336,1,12,33,NULL,NULL,NULL,NULL),(20,336,1,12,34,NULL,NULL,NULL,NULL),(20,336,1,12,35,NULL,NULL,NULL,NULL),(20,336,1,12,36,NULL,NULL,NULL,NULL),(20,336,1,12,37,NULL,NULL,NULL,NULL),(20,336,1,12,38,NULL,NULL,NULL,NULL),(20,336,1,12,39,NULL,NULL,NULL,NULL),(20,336,1,12,40,NULL,NULL,NULL,NULL),(20,336,1,13,1,NULL,NULL,NULL,NULL),(20,336,1,13,2,1,NULL,NULL,NULL),(20,336,1,13,3,1,NULL,NULL,NULL),(20,336,1,13,4,NULL,1,NULL,NULL),(20,336,1,13,5,NULL,1,NULL,NULL),(20,336,1,13,6,1,1,NULL,NULL),(20,336,1,13,7,NULL,NULL,NULL,NULL),(20,336,1,13,8,2,NULL,NULL,NULL),(20,336,1,13,9,NULL,1,NULL,NULL),(20,336,1,13,10,1,NULL,NULL,NULL),(20,336,1,13,11,1,NULL,NULL,NULL),(20,336,1,13,12,NULL,1,NULL,NULL),(20,336,1,13,13,3,NULL,NULL,NULL),(20,336,1,13,14,1,2,NULL,NULL),(20,336,1,13,15,1,NULL,NULL,NULL),(20,336,1,13,16,2,NULL,NULL,NULL),(20,336,1,13,17,1,1,NULL,NULL),(20,336,1,13,18,1,1,NULL,NULL),(20,336,1,13,19,1,NULL,NULL,NULL),(20,336,1,13,20,NULL,1,NULL,NULL),(20,336,1,13,21,NULL,NULL,NULL,NULL),(20,336,1,13,22,NULL,NULL,NULL,NULL),(20,336,1,13,23,NULL,1,NULL,NULL),(20,336,1,13,24,NULL,NULL,NULL,NULL),(20,336,1,13,25,NULL,1,NULL,NULL),(20,336,1,13,26,1,NULL,NULL,NULL),(20,336,1,13,27,NULL,1,NULL,NULL),(20,336,1,13,28,NULL,1,NULL,NULL),(20,336,1,13,29,NULL,NULL,NULL,NULL),(20,336,1,13,30,NULL,1,NULL,NULL),(20,336,1,13,31,1,NULL,NULL,NULL),(20,336,1,13,32,2,NULL,NULL,NULL),(20,336,1,13,33,NULL,1,NULL,NULL),(20,336,1,13,34,NULL,1,NULL,NULL),(20,336,1,13,35,NULL,NULL,NULL,NULL),(20,336,1,13,36,NULL,1,NULL,NULL),(20,336,1,13,37,NULL,1,NULL,NULL),(20,336,1,13,38,NULL,NULL,NULL,NULL),(20,336,1,13,39,1,NULL,NULL,NULL),(20,336,1,13,40,1,NULL,NULL,NULL),(20,336,1,14,1,5,7,3,1),(20,336,1,14,2,4,2,3,NULL),(20,336,1,14,3,3,5,3,2),(20,336,1,14,4,1,7,NULL,2),(20,336,1,14,5,4,5,4,3),(20,336,1,14,6,12,12,6,1),(20,336,1,14,7,4,7,4,1),(20,336,1,14,8,8,2,3,NULL),(20,336,1,14,9,11,8,4,4),(20,336,1,14,10,4,4,2,2),(20,336,1,14,11,1,3,1,1),(20,336,1,14,12,4,6,2,1),(20,336,1,14,13,14,10,5,3),(20,336,1,14,14,20,6,7,1),(20,336,1,14,15,9,3,4,NULL),(20,336,1,14,16,14,8,5,1),(20,336,1,14,17,5,15,2,4),(20,336,1,14,18,14,8,6,NULL),(20,336,1,14,19,15,4,6,NULL),(20,336,1,14,20,17,7,7,2),(20,336,1,14,21,2,2,NULL,NULL),(20,336,1,14,22,4,7,2,4),(20,336,1,14,23,5,11,2,3),(20,336,1,14,24,7,5,3,2),(20,336,1,14,25,3,10,1,3),(20,336,1,14,26,3,NULL,2,NULL),(20,336,1,14,27,2,10,2,4),(20,336,1,14,28,NULL,6,NULL,3),(20,336,1,14,29,4,6,2,1),(20,336,1,14,30,1,7,NULL,2),(20,336,1,14,31,3,9,NULL,3),(20,336,1,14,32,5,6,2,1),(20,336,1,14,33,5,6,4,1),(20,336,1,14,34,1,4,NULL,1),(20,336,1,14,35,7,9,1,1),(20,336,1,14,36,13,8,4,2),(20,336,1,14,37,13,10,6,1),(20,336,1,14,38,1,NULL,NULL,NULL),(20,336,1,14,39,18,14,8,NULL),(20,336,1,14,40,6,3,4,NULL),(20,336,1,15,1,3,6,1,1),(20,336,1,15,2,3,4,NULL,2),(20,336,1,15,3,2,8,NULL,3),(20,336,1,15,4,3,9,NULL,2),(20,336,1,15,5,7,10,3,4),(20,336,1,15,6,9,16,3,3),(20,336,1,15,7,5,6,3,NULL),(20,336,1,15,8,12,3,4,2),(20,336,1,15,9,9,14,2,2),(20,336,1,15,10,5,4,2,2),(20,336,1,15,11,2,5,2,1),(20,336,1,15,12,4,7,2,NULL),(20,336,1,15,13,12,13,3,3),(20,336,1,15,14,16,11,5,1),(20,336,1,15,15,11,6,3,2),(20,336,1,15,16,25,6,5,2),(20,336,1,15,17,11,12,5,1),(20,336,1,15,18,18,6,5,1),(20,336,1,15,19,14,7,4,2),(20,336,1,15,20,17,8,4,1),(20,336,1,15,21,4,6,NULL,2),(20,336,1,15,22,4,8,NULL,3),(20,336,1,15,23,6,16,1,6),(20,336,1,15,24,2,11,NULL,3),(20,336,1,15,25,6,11,1,3),(20,336,1,15,26,7,NULL,4,NULL),(20,336,1,15,27,5,15,1,2),(20,336,1,15,28,2,4,NULL,3),(20,336,1,15,29,NULL,8,NULL,3),(20,336,1,15,30,3,9,2,2),(20,336,1,15,31,3,9,NULL,2),(20,336,1,15,32,9,10,1,3),(20,336,1,15,33,2,8,1,2),(20,336,1,15,34,1,8,NULL,2),(20,336,1,15,35,5,8,1,2),(20,336,1,15,36,8,13,4,2),(20,336,1,15,37,15,7,3,3),(20,336,1,15,38,1,4,NULL,1),(20,336,1,15,39,13,18,4,3),(20,336,1,15,40,8,5,5,2),(20,336,1,16,1,4,12,1,2),(20,336,1,16,2,3,4,1,NULL),(20,336,1,16,3,1,12,NULL,5),(20,336,1,16,4,2,10,1,2),(20,336,1,16,5,7,14,1,4),(20,336,1,16,6,10,15,1,3),(20,336,1,16,7,9,3,4,NULL),(20,336,1,16,8,11,7,1,1),(20,336,1,16,9,7,15,2,2),(20,336,1,16,10,7,7,3,1),(20,336,1,16,11,1,8,NULL,3),(20,336,1,16,12,1,4,1,2),(20,336,1,16,13,8,15,1,3),(20,336,1,16,14,NULL,5,NULL,2),(20,336,1,16,15,13,8,3,3),(20,336,1,16,16,1,10,NULL,1),(20,336,1,16,17,18,15,1,4),(20,336,1,16,18,3,12,NULL,2),(20,336,1,16,19,14,13,1,4),(20,336,1,16,20,NULL,11,NULL,1),(20,336,1,16,21,3,11,NULL,2),(20,336,1,16,22,2,5,NULL,3),(20,336,1,16,23,1,15,NULL,3),(20,336,1,16,24,3,9,NULL,2),(20,336,1,16,25,4,16,2,4),(20,336,1,16,26,2,NULL,2,NULL),(20,336,1,16,27,3,13,NULL,3),(20,336,1,16,28,NULL,6,NULL,2),(20,336,1,16,29,3,9,1,2),(20,336,1,16,30,1,4,NULL,3),(20,336,1,16,31,6,10,2,3),(20,336,1,16,32,6,4,1,1),(20,336,1,16,33,2,6,NULL,1),(20,336,1,16,34,3,4,1,1),(20,336,1,16,35,6,10,1,2),(20,336,1,16,36,8,15,3,3),(20,336,1,16,37,15,17,3,2),(20,336,1,16,38,3,3,NULL,1),(20,336,1,16,39,21,9,2,4),(20,336,1,16,40,8,NULL,3,NULL),(20,336,1,17,1,3,6,1,2),(20,336,1,17,2,5,4,2,1),(20,336,1,17,3,NULL,8,NULL,3),(20,336,1,17,4,2,12,NULL,4),(20,336,1,17,5,7,8,2,3),(20,336,1,17,6,9,16,3,5),(20,336,1,17,7,3,4,1,NULL),(20,336,1,17,8,13,2,6,NULL),(20,336,1,17,9,5,12,2,3),(20,336,1,17,10,3,6,2,2),(20,336,1,17,11,2,5,NULL,2),(20,336,1,17,12,5,2,3,NULL),(20,336,1,17,13,14,9,4,3),(20,336,1,17,14,1,3,NULL,2),(20,336,1,17,15,13,2,6,NULL),(20,336,1,17,16,NULL,10,NULL,2),(20,336,1,17,17,13,15,6,1),(20,336,1,17,18,4,7,2,1),(20,336,1,17,19,15,11,4,NULL),(20,336,1,17,20,2,7,1,1),(20,336,1,17,21,2,5,NULL,3),(20,336,1,17,22,3,5,1,1),(20,336,1,17,23,3,10,NULL,4),(20,336,1,17,24,2,4,NULL,1),(20,336,1,17,25,3,12,1,6),(20,336,1,17,26,1,NULL,NULL,NULL),(20,336,1,17,27,3,10,1,4),(20,336,1,17,28,NULL,3,NULL,1),(20,336,1,17,29,3,9,1,2),(20,336,1,17,30,NULL,5,NULL,3),(20,336,1,17,31,5,9,1,3),(20,336,1,17,32,6,6,NULL,4),(20,336,1,17,33,6,3,1,1),(20,336,1,17,34,4,3,1,2),(20,336,1,17,35,8,7,4,2),(20,336,1,17,36,12,11,3,4),(20,336,1,17,37,8,5,3,2),(20,336,1,17,38,NULL,3,NULL,1),(20,336,1,17,39,15,13,4,3),(20,336,1,17,40,8,1,2,NULL),(20,336,2,21,1,2,8,1,2),(20,336,2,21,2,NULL,4,NULL,NULL),(20,336,2,21,3,3,15,NULL,4),(20,336,2,21,4,3,7,NULL,NULL),(20,336,2,21,5,2,4,NULL,1),(20,336,2,21,6,11,7,3,1),(20,336,2,21,7,10,8,4,NULL),(20,336,2,21,8,11,NULL,2,NULL),(20,336,2,21,9,6,22,1,4),(20,336,2,21,10,3,11,2,1),(20,336,2,21,11,1,11,1,NULL),(20,336,2,21,12,2,2,NULL,1),(20,336,2,21,13,17,17,3,1),(20,336,2,21,14,22,14,5,NULL),(20,336,2,21,15,11,8,4,NULL),(20,336,2,21,16,10,8,2,2),(20,336,2,21,17,6,8,2,1),(20,336,2,21,18,1,14,NULL,4),(20,336,2,21,19,7,15,2,2),(20,336,2,21,20,6,18,1,4),(20,336,2,21,21,NULL,NULL,NULL,NULL),(20,336,2,21,22,1,9,NULL,NULL),(20,336,2,21,23,NULL,1,NULL,NULL),(20,336,2,21,24,NULL,2,NULL,NULL),(20,336,2,21,25,4,9,1,2),(20,336,2,21,26,1,4,NULL,NULL),(20,336,2,21,27,NULL,4,NULL,1),(20,336,2,21,28,7,4,3,2),(20,336,2,21,29,1,6,1,1),(20,336,2,21,30,3,3,NULL,1),(20,336,2,21,31,2,7,1,3),(20,336,2,21,32,1,11,NULL,NULL),(20,336,2,21,33,9,13,1,4),(20,336,2,21,34,3,10,2,1),(20,336,2,21,35,1,12,1,2),(20,336,2,21,36,4,5,1,1),(20,336,2,21,37,2,4,1,2),(20,336,2,21,38,2,7,1,3),(20,336,2,21,39,1,9,NULL,2),(20,336,2,21,40,4,7,2,1),(20,336,2,22,1,4,10,NULL,3),(20,336,2,22,2,NULL,2,NULL,1),(20,336,2,22,3,5,19,1,5),(20,336,2,22,4,2,4,1,1),(20,336,2,22,5,1,3,1,1),(20,336,2,22,6,10,11,3,5),(20,336,2,22,7,4,9,1,3),(20,336,2,22,8,11,NULL,5,NULL),(20,336,2,22,9,11,18,4,2),(20,336,2,22,10,1,16,NULL,4),(20,336,2,22,11,7,6,NULL,2),(20,336,2,22,12,3,7,1,2),(20,336,2,22,13,20,17,6,3),(20,336,2,22,14,28,13,5,3),(20,336,2,22,15,17,17,4,4),(20,336,2,22,16,6,14,NULL,4),(20,336,2,22,17,7,6,2,3),(20,336,2,22,18,2,16,NULL,3),(20,336,2,22,19,1,21,1,3),(20,336,2,22,20,11,13,4,3),(20,336,2,22,21,NULL,1,NULL,1),(20,336,2,22,22,2,9,NULL,4),(20,336,2,22,23,NULL,NULL,NULL,NULL),(20,336,2,22,24,1,1,NULL,NULL),(20,336,2,22,25,8,14,2,4),(20,336,2,22,26,1,3,1,1),(20,336,2,22,27,1,6,1,3),(20,336,2,22,28,9,9,NULL,4),(20,336,2,22,29,NULL,4,NULL,1),(20,336,2,22,30,4,2,NULL,NULL),(20,336,2,22,31,2,4,2,1),(20,336,2,22,32,6,14,3,3),(20,336,2,22,33,8,18,2,4),(20,336,2,22,34,3,10,1,3),(20,336,2,22,35,3,12,NULL,4),(20,336,2,22,36,6,14,2,4),(20,336,2,22,37,1,7,NULL,2),(20,336,2,22,38,2,5,1,1),(20,336,2,22,39,3,2,1,NULL),(20,336,2,22,40,6,12,1,3),(20,336,2,23,1,1,7,1,1),(20,336,2,23,2,1,3,1,1),(20,336,2,23,3,4,12,NULL,5),(20,336,2,23,4,2,3,1,1),(20,336,2,23,5,NULL,5,NULL,2),(20,336,2,23,6,8,4,4,1),(20,336,2,23,7,5,6,3,2),(20,336,2,23,8,6,NULL,2,NULL),(20,336,2,23,9,7,16,NULL,4),(20,336,2,23,10,2,8,NULL,2),(20,336,2,23,11,3,8,1,2),(20,336,2,23,12,1,4,1,2),(20,336,2,23,13,16,10,4,3),(20,336,2,23,14,11,15,3,3),(20,336,2,23,15,6,4,1,NULL),(20,336,2,23,16,8,13,1,5),(20,336,2,23,17,3,4,2,3),(20,336,2,23,18,2,5,1,1),(20,336,2,23,19,7,13,2,3),(20,336,2,23,20,10,8,4,2),(20,336,2,23,21,NULL,NULL,NULL,NULL),(20,336,2,23,22,3,7,NULL,3),(20,336,2,23,23,NULL,3,NULL,1),(20,336,2,23,24,1,3,1,1),(20,336,2,23,25,1,17,NULL,4),(20,336,2,23,26,1,3,NULL,3),(20,336,2,23,27,NULL,4,NULL,2),(20,336,2,23,28,6,7,2,2),(20,336,2,23,29,2,5,1,2),(20,336,2,23,30,NULL,5,NULL,1),(20,336,2,23,31,3,10,NULL,1),(20,336,2,23,32,3,12,NULL,5),(20,336,2,23,33,1,8,1,2),(20,336,2,23,34,3,3,2,NULL),(20,336,2,23,35,NULL,10,NULL,5),(20,336,2,23,36,3,5,2,2),(20,336,2,23,37,2,3,1,NULL),(20,336,2,23,38,1,4,1,1),(20,336,2,23,39,3,7,1,3),(20,336,2,23,40,3,7,1,2),(20,336,2,24,1,3,10,2,2),(20,336,2,24,2,1,1,1,NULL),(20,336,2,24,3,6,6,3,1),(20,336,2,24,4,4,7,NULL,3),(20,336,2,24,5,NULL,3,NULL,NULL),(20,336,2,24,6,8,8,3,4),(20,336,2,24,7,8,2,3,1),(20,336,2,24,8,2,NULL,1,NULL),(20,336,2,24,9,8,14,1,3),(20,336,2,24,10,1,12,1,3),(20,336,2,24,11,9,5,2,NULL),(20,336,2,24,12,2,4,NULL,2),(20,336,2,24,13,14,13,5,2),(20,336,2,24,14,18,13,4,3),(20,336,2,24,15,14,7,4,2),(20,336,2,24,16,10,8,3,2),(20,336,2,24,17,3,4,3,NULL),(20,336,2,24,18,1,16,NULL,4),(20,336,2,24,19,4,12,1,4),(20,336,2,24,20,11,9,3,2),(20,336,2,24,21,1,3,NULL,NULL),(20,336,2,24,22,1,6,1,1),(20,336,2,24,23,NULL,8,NULL,3),(20,336,2,24,24,NULL,2,NULL,NULL),(20,336,2,24,25,4,8,3,1),(20,336,2,24,26,3,4,1,NULL),(20,336,2,24,27,NULL,2,NULL,1),(20,336,2,24,28,6,5,3,2),(20,336,2,24,29,NULL,5,NULL,3),(20,336,2,24,30,4,4,NULL,NULL),(20,336,2,24,31,3,8,2,NULL),(20,336,2,24,32,4,9,2,3),(20,336,2,24,33,5,11,2,2),(20,336,2,24,34,1,3,NULL,2),(20,336,2,24,35,2,9,1,3),(20,336,2,24,36,5,4,4,NULL),(20,336,2,24,37,5,5,2,2),(20,336,2,24,38,1,5,NULL,2),(20,336,2,24,39,2,4,1,1),(20,336,2,24,40,2,8,1,2),(20,337,1,11,1,NULL,NULL,NULL,NULL),(20,337,1,11,2,NULL,NULL,NULL,NULL),(20,337,1,11,3,NULL,NULL,NULL,NULL),(20,337,1,11,4,NULL,NULL,NULL,NULL),(20,337,1,11,5,NULL,NULL,NULL,NULL),(20,337,1,11,6,NULL,NULL,NULL,NULL),(20,337,1,11,7,NULL,NULL,NULL,NULL),(20,337,1,11,8,NULL,NULL,NULL,NULL),(20,337,1,11,9,NULL,NULL,NULL,NULL),(20,337,1,11,10,NULL,NULL,NULL,NULL),(20,337,1,11,11,NULL,NULL,NULL,NULL),(20,337,1,11,12,NULL,NULL,NULL,NULL),(20,337,1,11,13,NULL,NULL,NULL,NULL),(20,337,1,11,14,NULL,NULL,NULL,NULL),(20,337,1,11,15,NULL,NULL,NULL,NULL),(20,337,1,11,16,NULL,NULL,NULL,NULL),(20,337,1,11,17,NULL,NULL,NULL,NULL),(20,337,1,11,18,NULL,NULL,NULL,NULL),(20,337,1,11,19,NULL,NULL,NULL,NULL),(20,337,1,11,20,NULL,NULL,NULL,NULL),(20,337,1,11,21,NULL,NULL,NULL,NULL),(20,337,1,11,22,NULL,NULL,NULL,NULL),(20,337,1,11,23,NULL,NULL,NULL,NULL),(20,337,1,11,24,NULL,NULL,NULL,NULL),(20,337,1,11,25,NULL,NULL,NULL,NULL),(20,337,1,11,26,NULL,NULL,NULL,NULL),(20,337,1,11,27,NULL,NULL,NULL,NULL),(20,337,1,11,28,NULL,NULL,NULL,NULL),(20,337,1,11,29,NULL,NULL,NULL,NULL),(20,337,1,11,30,NULL,NULL,NULL,NULL),(20,337,1,11,31,NULL,NULL,NULL,NULL),(20,337,1,11,32,NULL,NULL,NULL,NULL),(20,337,1,11,33,NULL,NULL,NULL,NULL),(20,337,1,11,34,NULL,NULL,NULL,NULL),(20,337,1,11,35,NULL,NULL,NULL,NULL),(20,337,1,11,36,NULL,NULL,NULL,NULL),(20,337,1,11,37,NULL,NULL,NULL,NULL),(20,337,1,11,38,NULL,NULL,NULL,NULL),(20,337,1,11,39,NULL,NULL,NULL,NULL),(20,337,1,11,40,NULL,NULL,NULL,NULL),(20,337,1,12,1,NULL,NULL,NULL,NULL),(20,337,1,12,2,NULL,NULL,NULL,NULL),(20,337,1,12,3,NULL,NULL,NULL,NULL),(20,337,1,12,4,NULL,NULL,NULL,NULL),(20,337,1,12,5,NULL,NULL,NULL,NULL),(20,337,1,12,6,NULL,NULL,NULL,NULL),(20,337,1,12,7,NULL,NULL,NULL,NULL),(20,337,1,12,8,NULL,NULL,NULL,NULL),(20,337,1,12,9,NULL,NULL,NULL,NULL),(20,337,1,12,10,NULL,NULL,NULL,NULL),(20,337,1,12,11,NULL,NULL,NULL,NULL),(20,337,1,12,12,NULL,NULL,NULL,NULL),(20,337,1,12,13,NULL,NULL,NULL,NULL),(20,337,1,12,14,NULL,NULL,NULL,NULL),(20,337,1,12,15,NULL,NULL,NULL,NULL),(20,337,1,12,16,NULL,NULL,NULL,NULL),(20,337,1,12,17,NULL,NULL,NULL,NULL),(20,337,1,12,18,NULL,NULL,NULL,NULL),(20,337,1,12,19,NULL,NULL,NULL,NULL),(20,337,1,12,20,NULL,NULL,NULL,NULL),(20,337,1,12,21,NULL,NULL,NULL,NULL),(20,337,1,12,22,NULL,NULL,NULL,NULL),(20,337,1,12,23,NULL,NULL,NULL,NULL),(20,337,1,12,24,NULL,NULL,NULL,NULL),(20,337,1,12,25,NULL,NULL,NULL,NULL),(20,337,1,12,26,NULL,NULL,NULL,NULL),(20,337,1,12,27,NULL,NULL,NULL,NULL),(20,337,1,12,28,NULL,NULL,NULL,NULL),(20,337,1,12,29,NULL,NULL,NULL,NULL),(20,337,1,12,30,NULL,NULL,NULL,NULL),(20,337,1,12,31,NULL,NULL,NULL,NULL),(20,337,1,12,32,NULL,NULL,NULL,NULL),(20,337,1,12,33,NULL,NULL,NULL,NULL),(20,337,1,12,34,NULL,NULL,NULL,NULL),(20,337,1,12,35,NULL,NULL,NULL,NULL),(20,337,1,12,36,NULL,NULL,NULL,NULL),(20,337,1,12,37,NULL,NULL,NULL,NULL),(20,337,1,12,38,NULL,NULL,NULL,NULL),(20,337,1,12,39,NULL,NULL,NULL,NULL),(20,337,1,12,40,NULL,NULL,NULL,NULL),(20,337,1,13,1,NULL,NULL,NULL,NULL),(20,337,1,13,2,NULL,NULL,NULL,NULL),(20,337,1,13,3,NULL,NULL,NULL,NULL),(20,337,1,13,4,1,NULL,NULL,NULL),(20,337,1,13,5,NULL,1,NULL,NULL),(20,337,1,13,6,1,NULL,NULL,NULL),(20,337,1,13,7,NULL,NULL,NULL,NULL),(20,337,1,13,8,NULL,NULL,NULL,NULL),(20,337,1,13,9,1,NULL,NULL,NULL),(20,337,1,13,10,NULL,NULL,NULL,NULL),(20,337,1,13,11,NULL,1,NULL,NULL),(20,337,1,13,12,NULL,NULL,NULL,NULL),(20,337,1,13,13,1,NULL,NULL,NULL),(20,337,1,13,14,1,NULL,NULL,NULL),(20,337,1,13,15,2,NULL,NULL,NULL),(20,337,1,13,16,2,NULL,NULL,NULL),(20,337,1,13,17,2,NULL,NULL,NULL),(20,337,1,13,18,1,NULL,NULL,NULL),(20,337,1,13,19,2,NULL,NULL,NULL),(20,337,1,13,20,1,1,NULL,NULL),(20,337,1,13,21,NULL,1,NULL,NULL),(20,337,1,13,22,NULL,NULL,NULL,NULL),(20,337,1,13,23,NULL,NULL,NULL,NULL),(20,337,1,13,24,NULL,1,NULL,NULL),(20,337,1,13,25,NULL,NULL,NULL,NULL),(20,337,1,13,26,1,NULL,NULL,NULL),(20,337,1,13,27,NULL,NULL,NULL,NULL),(20,337,1,13,28,2,NULL,NULL,NULL),(20,337,1,13,29,1,NULL,NULL,NULL),(20,337,1,13,30,NULL,NULL,NULL,NULL),(20,337,1,13,31,1,NULL,NULL,NULL),(20,337,1,13,32,NULL,NULL,NULL,NULL),(20,337,1,13,33,NULL,NULL,NULL,NULL),(20,337,1,13,34,NULL,NULL,NULL,NULL),(20,337,1,13,35,NULL,NULL,NULL,NULL),(20,337,1,13,36,NULL,1,NULL,NULL),(20,337,1,13,37,NULL,NULL,NULL,NULL),(20,337,1,13,38,NULL,1,NULL,NULL),(20,337,1,13,39,2,NULL,NULL,NULL),(20,337,1,13,40,NULL,NULL,NULL,NULL),(20,337,1,14,1,3,2,1,2),(20,337,1,14,2,3,1,2,NULL),(20,337,1,14,3,NULL,3,NULL,1),(20,337,1,14,4,NULL,2,NULL,1),(20,337,1,14,5,5,6,3,5),(20,337,1,14,6,4,7,2,6),(20,337,1,14,7,6,3,3,3),(20,337,1,14,8,5,NULL,5,NULL),(20,337,1,14,9,4,6,2,4),(20,337,1,14,10,1,1,1,1),(20,337,1,14,11,2,3,1,2),(20,337,1,14,12,5,5,3,4),(20,337,1,14,13,8,5,6,2),(20,337,1,14,14,9,3,6,2),(20,337,1,14,15,5,4,4,3),(20,337,1,14,16,7,3,5,1),(20,337,1,14,17,4,3,3,2),(20,337,1,14,18,8,3,5,2),(20,337,1,14,19,9,NULL,6,NULL),(20,337,1,14,20,11,2,8,NULL),(20,337,1,14,21,NULL,1,NULL,1),(20,337,1,14,22,NULL,2,NULL,2),(20,337,1,14,23,1,6,1,4),(20,337,1,14,24,3,5,3,3),(20,337,1,14,25,2,6,2,5),(20,337,1,14,26,NULL,NULL,NULL,NULL),(20,337,1,14,27,1,5,1,4),(20,337,1,14,28,1,NULL,1,NULL),(20,337,1,14,29,1,4,1,2),(20,337,1,14,30,1,NULL,1,NULL),(20,337,1,14,31,4,6,3,3),(20,337,1,14,32,3,4,3,3),(20,337,1,14,33,NULL,2,NULL,1),(20,337,1,14,34,NULL,3,NULL,3),(20,337,1,14,35,2,6,2,5),(20,337,1,14,36,6,1,3,1),(20,337,1,14,37,2,6,2,4),(20,337,1,14,38,NULL,1,NULL,1),(20,337,1,14,39,6,6,5,3),(20,337,1,14,40,1,1,1,NULL),(20,337,1,15,1,3,1,2,1),(20,337,1,15,2,NULL,2,NULL,1),(20,337,1,15,3,1,1,NULL,NULL),(20,337,1,15,4,2,1,2,NULL),(20,337,1,15,5,3,2,2,2),(20,337,1,15,6,4,6,2,3),(20,337,1,15,7,1,1,1,1),(20,337,1,15,8,3,1,2,1),(20,337,1,15,9,7,1,4,1),(20,337,1,15,10,3,2,2,1),(20,337,1,15,11,1,1,1,1),(20,337,1,15,12,1,3,1,2),(20,337,1,15,13,4,4,3,1),(20,337,1,15,14,6,3,3,2),(20,337,1,15,15,6,1,4,NULL),(20,337,1,15,16,8,NULL,4,NULL),(20,337,1,15,17,1,3,NULL,2),(20,337,1,15,18,6,2,5,2),(20,337,1,15,19,7,NULL,5,NULL),(20,337,1,15,20,5,2,3,2),(20,337,1,15,21,NULL,3,NULL,3),(20,337,1,15,22,NULL,2,NULL,1),(20,337,1,15,23,NULL,3,NULL,2),(20,337,1,15,24,1,3,1,2),(20,337,1,15,25,1,3,1,1),(20,337,1,15,26,2,NULL,1,NULL),(20,337,1,15,27,1,2,1,1),(20,337,1,15,28,NULL,2,NULL,2),(20,337,1,15,29,1,2,NULL,1),(20,337,1,15,30,NULL,2,NULL,1),(20,337,1,15,31,1,3,NULL,3),(20,337,1,15,32,NULL,3,NULL,2),(20,337,1,15,33,3,1,2,1),(20,337,1,15,34,NULL,2,NULL,2),(20,337,1,15,35,NULL,4,NULL,3),(20,337,1,15,36,2,3,2,1),(20,337,1,15,37,4,5,1,5),(20,337,1,15,38,NULL,5,NULL,3),(20,337,1,15,39,1,4,NULL,3),(20,337,1,15,40,4,NULL,4,NULL),(20,337,1,16,1,NULL,2,NULL,2),(20,337,1,16,2,NULL,1,NULL,1),(20,337,1,16,3,1,1,1,1),(20,337,1,16,4,NULL,2,NULL,1),(20,337,1,16,5,1,1,1,NULL),(20,337,1,16,6,3,2,2,1),(20,337,1,16,7,NULL,NULL,NULL,NULL),(20,337,1,16,8,NULL,3,NULL,2),(20,337,1,16,9,2,2,1,1),(20,337,1,16,10,NULL,2,NULL,1),(20,337,1,16,11,NULL,3,NULL,3),(20,337,1,16,12,NULL,1,NULL,1),(20,337,1,16,13,2,3,2,2),(20,337,1,16,14,NULL,NULL,NULL,NULL),(20,337,1,16,15,NULL,2,NULL,1),(20,337,1,16,16,NULL,1,NULL,1),(20,337,1,16,17,6,2,3,2),(20,337,1,16,18,NULL,2,NULL,2),(20,337,1,16,19,4,NULL,2,NULL),(20,337,1,16,20,1,1,NULL,1),(20,337,1,16,21,NULL,1,NULL,NULL),(20,337,1,16,22,NULL,NULL,NULL,NULL),(20,337,1,16,23,NULL,3,NULL,3),(20,337,1,16,24,NULL,2,NULL,1),(20,337,1,16,25,1,4,NULL,3),(20,337,1,16,26,NULL,NULL,NULL,NULL),(20,337,1,16,27,NULL,2,NULL,2),(20,337,1,16,28,NULL,NULL,NULL,NULL),(20,337,1,16,29,NULL,1,NULL,1),(20,337,1,16,30,NULL,1,NULL,1),(20,337,1,16,31,1,2,1,2),(20,337,1,16,32,NULL,1,NULL,NULL),(20,337,1,16,33,NULL,1,NULL,1),(20,337,1,16,34,NULL,NULL,NULL,NULL),(20,337,1,16,35,3,3,3,1),(20,337,1,16,36,1,NULL,1,NULL),(20,337,1,16,37,2,3,1,2),(20,337,1,16,38,NULL,NULL,NULL,NULL),(20,337,1,16,39,4,3,2,2),(20,337,1,16,40,NULL,3,NULL,1),(20,337,1,17,1,NULL,NULL,NULL,NULL),(20,337,1,17,2,NULL,NULL,NULL,NULL),(20,337,1,17,3,NULL,2,NULL,1),(20,337,1,17,4,NULL,NULL,NULL,NULL),(20,337,1,17,5,2,NULL,1,NULL),(20,337,1,17,6,4,NULL,3,NULL),(20,337,1,17,7,NULL,1,NULL,1),(20,337,1,17,8,2,NULL,1,NULL),(20,337,1,17,9,1,2,1,2),(20,337,1,17,10,NULL,NULL,NULL,NULL),(20,337,1,17,11,1,NULL,1,NULL),(20,337,1,17,12,1,1,1,NULL),(20,337,1,17,13,1,1,1,1),(20,337,1,17,14,NULL,1,NULL,1),(20,337,1,17,15,NULL,1,NULL,1),(20,337,1,17,16,NULL,2,NULL,1),(20,337,1,17,17,3,1,2,1),(20,337,1,17,18,1,1,1,1),(20,337,1,17,19,1,2,1,NULL),(20,337,1,17,20,NULL,1,NULL,1),(20,337,1,17,21,NULL,1,NULL,NULL),(20,337,1,17,22,NULL,NULL,NULL,NULL),(20,337,1,17,23,1,1,1,NULL),(20,337,1,17,24,1,2,1,1),(20,337,1,17,25,1,NULL,1,NULL),(20,337,1,17,26,NULL,NULL,NULL,NULL),(20,337,1,17,27,NULL,1,NULL,NULL),(20,337,1,17,28,NULL,NULL,NULL,NULL),(20,337,1,17,29,2,NULL,1,NULL),(20,337,1,17,30,1,2,1,2),(20,337,1,17,31,NULL,NULL,NULL,NULL),(20,337,1,17,32,1,NULL,1,NULL),(20,337,1,17,33,NULL,1,NULL,NULL),(20,337,1,17,34,NULL,NULL,NULL,NULL),(20,337,1,17,35,1,1,1,1),(20,337,1,17,36,1,3,NULL,2),(20,337,1,17,37,2,2,1,1),(20,337,1,17,38,NULL,1,NULL,1),(20,337,1,17,39,1,2,1,1),(20,337,1,17,40,1,1,1,1),(20,337,2,21,1,2,1,NULL,1),(20,337,2,21,2,NULL,NULL,NULL,NULL),(20,337,2,21,3,2,2,2,2),(20,337,2,21,4,1,3,1,1),(20,337,2,21,5,1,1,1,NULL),(20,337,2,21,6,1,2,1,2),(20,337,2,21,7,2,4,1,3),(20,337,2,21,8,2,NULL,1,NULL),(20,337,2,21,9,4,5,3,2),(20,337,2,21,10,NULL,5,NULL,4),(20,337,2,21,11,3,4,2,2),(20,337,2,21,12,1,2,1,2),(20,337,2,21,13,2,7,1,4),(20,337,2,21,14,5,7,4,3),(20,337,2,21,15,3,4,2,3),(20,337,2,21,16,1,2,1,NULL),(20,337,2,21,17,2,4,2,1),(20,337,2,21,18,NULL,3,NULL,3),(20,337,2,21,19,NULL,4,NULL,3),(20,337,2,21,20,2,2,2,1),(20,337,2,21,21,NULL,1,NULL,NULL),(20,337,2,21,22,2,2,1,1),(20,337,2,21,23,NULL,2,NULL,2),(20,337,2,21,24,NULL,NULL,NULL,NULL),(20,337,2,21,25,1,4,NULL,3),(20,337,2,21,26,NULL,NULL,NULL,NULL),(20,337,2,21,27,NULL,NULL,NULL,NULL),(20,337,2,21,28,2,1,2,1),(20,337,2,21,29,1,NULL,NULL,NULL),(20,337,2,21,30,NULL,1,NULL,NULL),(20,337,2,21,31,1,1,NULL,1),(20,337,2,21,32,NULL,1,NULL,NULL),(20,337,2,21,33,NULL,2,NULL,2),(20,337,2,21,34,NULL,2,NULL,2),(20,337,2,21,35,1,2,1,1),(20,337,2,21,36,NULL,3,NULL,2),(20,337,2,21,37,2,2,2,2),(20,337,2,21,38,NULL,NULL,NULL,NULL),(20,337,2,21,39,NULL,1,NULL,1),(20,337,2,21,40,2,2,2,2),(20,337,2,22,1,1,2,1,2),(20,337,2,22,2,NULL,3,NULL,3),(20,337,2,22,3,1,5,1,3),(20,337,2,22,4,1,1,NULL,NULL),(20,337,2,22,5,NULL,1,NULL,1),(20,337,2,22,6,1,4,1,4),(20,337,2,22,7,3,3,2,2),(20,337,2,22,8,2,NULL,2,NULL),(20,337,2,22,9,6,5,4,4),(20,337,2,22,10,1,5,NULL,5),(20,337,2,22,11,4,2,3,2),(20,337,2,22,12,1,2,NULL,2),(20,337,2,22,13,4,6,4,4),(20,337,2,22,14,5,3,4,3),(20,337,2,22,15,4,2,4,2),(20,337,2,22,16,4,3,4,2),(20,337,2,22,17,1,2,NULL,2),(20,337,2,22,18,NULL,3,NULL,3),(20,337,2,22,19,NULL,2,NULL,2),(20,337,2,22,20,3,4,3,4),(20,337,2,22,21,NULL,NULL,NULL,NULL),(20,337,2,22,22,NULL,3,NULL,2),(20,337,2,22,23,NULL,NULL,NULL,NULL),(20,337,2,22,24,NULL,1,NULL,1),(20,337,2,22,25,1,5,1,3),(20,337,2,22,26,1,1,1,1),(20,337,2,22,27,NULL,1,NULL,1),(20,337,2,22,28,1,2,1,2),(20,337,2,22,29,NULL,2,NULL,2),(20,337,2,22,30,NULL,2,NULL,1),(20,337,2,22,31,NULL,2,NULL,2),(20,337,2,22,32,NULL,2,NULL,1),(20,337,2,22,33,1,7,1,4),(20,337,2,22,34,1,4,1,1),(20,337,2,22,35,NULL,4,NULL,3),(20,337,2,22,36,2,6,2,5),(20,337,2,22,37,NULL,1,NULL,1),(20,337,2,22,38,NULL,4,NULL,4),(20,337,2,22,39,1,NULL,NULL,NULL),(20,337,2,22,40,NULL,5,NULL,3),(20,337,2,23,1,NULL,2,NULL,2),(20,337,2,23,2,1,NULL,NULL,NULL),(20,337,2,23,3,NULL,1,NULL,NULL),(20,337,2,23,4,NULL,1,NULL,1),(20,337,2,23,5,1,NULL,1,NULL),(20,337,2,23,6,1,2,1,2),(20,337,2,23,7,1,2,1,2),(20,337,2,23,8,2,NULL,1,NULL),(20,337,2,23,9,2,2,1,1),(20,337,2,23,10,NULL,1,NULL,1),(20,337,2,23,11,4,NULL,3,NULL),(20,337,2,23,12,NULL,NULL,NULL,NULL),(20,337,2,23,13,4,2,2,1),(20,337,2,23,14,4,3,1,3),(20,337,2,23,15,4,NULL,2,NULL),(20,337,2,23,16,3,NULL,1,NULL),(20,337,2,23,17,1,1,1,NULL),(20,337,2,23,18,NULL,4,NULL,3),(20,337,2,23,19,NULL,2,NULL,1),(20,337,2,23,20,1,NULL,1,NULL),(20,337,2,23,21,1,NULL,NULL,NULL),(20,337,2,23,22,NULL,3,NULL,1),(20,337,2,23,23,NULL,1,NULL,1),(20,337,2,23,24,NULL,NULL,NULL,NULL),(20,337,2,23,25,1,3,NULL,1),(20,337,2,23,26,NULL,1,NULL,1),(20,337,2,23,27,NULL,NULL,NULL,NULL),(20,337,2,23,28,2,NULL,2,NULL),(20,337,2,23,29,NULL,3,NULL,2),(20,337,2,23,30,NULL,1,NULL,1),(20,337,2,23,31,NULL,1,NULL,1),(20,337,2,23,32,NULL,2,NULL,2),(20,337,2,23,33,2,2,NULL,1),(20,337,2,23,34,1,NULL,NULL,NULL),(20,337,2,23,35,NULL,2,NULL,2),(20,337,2,23,36,1,1,1,NULL),(20,337,2,23,37,NULL,1,NULL,1),(20,337,2,23,38,NULL,2,NULL,1),(20,337,2,23,39,NULL,NULL,NULL,NULL),(20,337,2,23,40,2,2,1,1),(20,337,2,24,1,NULL,NULL,NULL,NULL),(20,337,2,24,2,NULL,NULL,NULL,NULL),(20,337,2,24,3,NULL,2,NULL,NULL),(20,337,2,24,4,NULL,NULL,NULL,NULL),(20,337,2,24,5,NULL,NULL,NULL,NULL),(20,337,2,24,6,4,2,NULL,2),(20,337,2,24,7,1,1,1,NULL),(20,337,2,24,8,NULL,NULL,NULL,NULL),(20,337,2,24,9,4,4,2,2),(20,337,2,24,10,NULL,3,NULL,1),(20,337,2,24,11,NULL,NULL,NULL,NULL),(20,337,2,24,12,NULL,1,NULL,NULL),(20,337,2,24,13,NULL,2,NULL,1),(20,337,2,24,14,6,1,4,NULL),(20,337,2,24,15,4,1,1,1),(20,337,2,24,16,2,2,1,1),(20,337,2,24,17,NULL,NULL,NULL,NULL),(20,337,2,24,18,NULL,2,NULL,1),(20,337,2,24,19,NULL,2,NULL,1),(20,337,2,24,20,1,NULL,1,NULL),(20,337,2,24,21,NULL,2,NULL,2),(20,337,2,24,22,1,1,1,NULL),(20,337,2,24,23,NULL,1,NULL,NULL),(20,337,2,24,24,NULL,1,NULL,NULL),(20,337,2,24,25,1,2,1,1),(20,337,2,24,26,NULL,NULL,NULL,NULL),(20,337,2,24,27,NULL,1,NULL,1),(20,337,2,24,28,1,1,1,NULL),(20,337,2,24,29,NULL,1,NULL,1),(20,337,2,24,30,2,NULL,1,NULL),(20,337,2,24,31,1,NULL,1,NULL),(20,337,2,24,32,NULL,2,NULL,NULL),(20,337,2,24,33,1,2,1,1),(20,337,2,24,34,NULL,2,NULL,1),(20,337,2,24,35,NULL,2,NULL,1),(20,337,2,24,36,NULL,1,NULL,NULL),(20,337,2,24,37,NULL,NULL,NULL,NULL),(20,337,2,24,38,NULL,NULL,NULL,NULL),(20,337,2,24,39,NULL,3,NULL,2),(20,337,2,24,40,2,2,NULL,2),(20,338,1,11,1,NULL,NULL,NULL,NULL),(20,338,1,11,2,NULL,NULL,NULL,NULL),(20,338,1,11,3,NULL,NULL,NULL,NULL),(20,338,1,11,4,NULL,NULL,NULL,NULL),(20,338,1,11,5,NULL,NULL,NULL,NULL),(20,338,1,11,6,NULL,NULL,NULL,NULL),(20,338,1,11,7,NULL,NULL,NULL,NULL),(20,338,1,11,8,NULL,NULL,NULL,NULL),(20,338,1,11,9,NULL,NULL,NULL,NULL),(20,338,1,11,10,NULL,NULL,NULL,NULL),(20,338,1,11,11,NULL,NULL,NULL,NULL),(20,338,1,11,12,NULL,NULL,NULL,NULL),(20,338,1,11,13,NULL,NULL,NULL,NULL),(20,338,1,11,14,NULL,NULL,NULL,NULL),(20,338,1,11,15,NULL,NULL,NULL,NULL),(20,338,1,11,16,NULL,NULL,NULL,NULL),(20,338,1,11,17,NULL,NULL,NULL,NULL),(20,338,1,11,18,NULL,NULL,NULL,NULL),(20,338,1,11,19,NULL,NULL,NULL,NULL),(20,338,1,11,20,NULL,NULL,NULL,NULL),(20,338,1,11,21,NULL,NULL,NULL,NULL),(20,338,1,11,22,NULL,NULL,NULL,NULL),(20,338,1,11,23,NULL,NULL,NULL,NULL),(20,338,1,11,24,NULL,NULL,NULL,NULL),(20,338,1,11,25,NULL,NULL,NULL,NULL),(20,338,1,11,26,NULL,NULL,NULL,NULL),(20,338,1,11,27,NULL,NULL,NULL,NULL),(20,338,1,11,28,NULL,NULL,NULL,NULL),(20,338,1,11,29,NULL,NULL,NULL,NULL),(20,338,1,11,30,NULL,NULL,NULL,NULL),(20,338,1,11,31,NULL,NULL,NULL,NULL),(20,338,1,11,32,NULL,NULL,NULL,NULL),(20,338,1,11,33,NULL,NULL,NULL,NULL),(20,338,1,11,34,NULL,NULL,NULL,NULL),(20,338,1,11,35,NULL,NULL,NULL,NULL),(20,338,1,11,36,NULL,NULL,NULL,NULL),(20,338,1,11,37,NULL,NULL,NULL,NULL),(20,338,1,11,38,NULL,NULL,NULL,NULL),(20,338,1,11,39,NULL,NULL,NULL,NULL),(20,338,1,11,40,NULL,NULL,NULL,NULL),(20,338,1,12,1,NULL,NULL,NULL,NULL),(20,338,1,12,2,NULL,NULL,NULL,NULL),(20,338,1,12,3,NULL,NULL,NULL,NULL),(20,338,1,12,4,NULL,NULL,NULL,NULL),(20,338,1,12,5,NULL,NULL,NULL,NULL),(20,338,1,12,6,NULL,NULL,NULL,NULL),(20,338,1,12,7,NULL,NULL,NULL,NULL),(20,338,1,12,8,NULL,NULL,NULL,NULL),(20,338,1,12,9,NULL,NULL,NULL,NULL),(20,338,1,12,10,NULL,NULL,NULL,NULL),(20,338,1,12,11,NULL,NULL,NULL,NULL),(20,338,1,12,12,NULL,NULL,NULL,NULL),(20,338,1,12,13,NULL,NULL,NULL,NULL),(20,338,1,12,14,NULL,NULL,NULL,NULL),(20,338,1,12,15,NULL,NULL,NULL,NULL),(20,338,1,12,16,NULL,NULL,NULL,NULL),(20,338,1,12,17,NULL,NULL,NULL,NULL),(20,338,1,12,18,NULL,NULL,NULL,NULL),(20,338,1,12,19,NULL,NULL,NULL,NULL),(20,338,1,12,20,NULL,NULL,NULL,NULL),(20,338,1,12,21,NULL,NULL,NULL,NULL),(20,338,1,12,22,NULL,NULL,NULL,NULL),(20,338,1,12,23,NULL,NULL,NULL,NULL),(20,338,1,12,24,NULL,NULL,NULL,NULL),(20,338,1,12,25,NULL,NULL,NULL,NULL),(20,338,1,12,26,NULL,NULL,NULL,NULL),(20,338,1,12,27,NULL,NULL,NULL,NULL),(20,338,1,12,28,NULL,NULL,NULL,NULL),(20,338,1,12,29,NULL,NULL,NULL,NULL),(20,338,1,12,30,NULL,NULL,NULL,NULL),(20,338,1,12,31,NULL,NULL,NULL,NULL),(20,338,1,12,32,NULL,NULL,NULL,NULL),(20,338,1,12,33,NULL,NULL,NULL,NULL),(20,338,1,12,34,NULL,NULL,NULL,NULL),(20,338,1,12,35,NULL,NULL,NULL,NULL),(20,338,1,12,36,NULL,NULL,NULL,NULL),(20,338,1,12,37,NULL,NULL,NULL,NULL),(20,338,1,12,38,NULL,NULL,NULL,NULL),(20,338,1,12,39,NULL,NULL,NULL,NULL),(20,338,1,12,40,NULL,NULL,NULL,NULL),(20,338,1,13,1,NULL,NULL,NULL,NULL),(20,338,1,13,2,NULL,NULL,NULL,NULL),(20,338,1,13,3,NULL,NULL,NULL,NULL),(20,338,1,13,4,NULL,1,NULL,1),(20,338,1,13,5,NULL,NULL,NULL,NULL),(20,338,1,13,6,NULL,NULL,NULL,NULL),(20,338,1,13,7,NULL,1,NULL,1),(20,338,1,13,8,1,NULL,1,NULL),(20,338,1,13,9,NULL,1,NULL,1),(20,338,1,13,10,NULL,NULL,NULL,NULL),(20,338,1,13,11,NULL,NULL,NULL,NULL),(20,338,1,13,12,NULL,NULL,NULL,NULL),(20,338,1,13,13,1,NULL,1,NULL),(20,338,1,13,14,1,NULL,1,NULL),(20,338,1,13,15,1,NULL,1,NULL),(20,338,1,13,16,1,NULL,1,NULL),(20,338,1,13,17,NULL,1,NULL,1),(20,338,1,13,18,NULL,NULL,NULL,NULL),(20,338,1,13,19,1,NULL,1,NULL),(20,338,1,13,20,NULL,NULL,NULL,NULL),(20,338,1,13,21,NULL,1,NULL,1),(20,338,1,13,22,1,NULL,1,NULL),(20,338,1,13,23,NULL,1,NULL,1),(20,338,1,13,24,NULL,NULL,NULL,NULL),(20,338,1,13,25,1,NULL,1,NULL),(20,338,1,13,26,NULL,NULL,NULL,NULL),(20,338,1,13,27,NULL,NULL,NULL,NULL),(20,338,1,13,28,NULL,NULL,NULL,NULL),(20,338,1,13,29,NULL,1,NULL,1),(20,338,1,13,30,NULL,NULL,NULL,NULL),(20,338,1,13,31,NULL,1,NULL,1),(20,338,1,13,32,NULL,NULL,NULL,NULL),(20,338,1,13,33,NULL,NULL,NULL,NULL),(20,338,1,13,34,NULL,NULL,NULL,NULL),(20,338,1,13,35,NULL,NULL,NULL,NULL),(20,338,1,13,36,NULL,1,NULL,1),(20,338,1,13,37,NULL,NULL,NULL,NULL),(20,338,1,13,38,NULL,NULL,NULL,NULL),(20,338,1,13,39,NULL,1,NULL,1),(20,338,1,13,40,NULL,NULL,NULL,NULL),(20,338,1,14,1,NULL,1,NULL,1),(20,338,1,14,2,NULL,NULL,NULL,NULL),(20,338,1,14,3,NULL,1,NULL,NULL),(20,338,1,14,4,1,1,NULL,1),(20,338,1,14,5,NULL,NULL,NULL,NULL),(20,338,1,14,6,NULL,1,NULL,1),(20,338,1,14,7,NULL,NULL,NULL,NULL),(20,338,1,14,8,NULL,NULL,NULL,NULL),(20,338,1,14,9,2,NULL,1,NULL),(20,338,1,14,10,NULL,NULL,NULL,NULL),(20,338,1,14,11,NULL,NULL,NULL,NULL),(20,338,1,14,12,NULL,NULL,NULL,NULL),(20,338,1,14,13,NULL,NULL,NULL,NULL),(20,338,1,14,14,1,1,1,NULL),(20,338,1,14,15,NULL,NULL,NULL,NULL),(20,338,1,14,16,1,NULL,1,NULL),(20,338,1,14,17,NULL,1,NULL,1),(20,338,1,14,18,1,NULL,1,NULL),(20,338,1,14,19,NULL,NULL,NULL,NULL),(20,338,1,14,20,1,NULL,1,NULL),(20,338,1,14,21,NULL,NULL,NULL,NULL),(20,338,1,14,22,NULL,NULL,NULL,NULL),(20,338,1,14,23,1,NULL,1,NULL),(20,338,1,14,24,1,NULL,NULL,NULL),(20,338,1,14,25,NULL,NULL,NULL,NULL),(20,338,1,14,26,NULL,NULL,NULL,NULL),(20,338,1,14,27,2,NULL,1,NULL),(20,338,1,14,28,NULL,NULL,NULL,NULL),(20,338,1,14,29,NULL,NULL,NULL,NULL),(20,338,1,14,30,NULL,NULL,NULL,NULL),(20,338,1,14,31,2,NULL,1,NULL),(20,338,1,14,32,NULL,NULL,NULL,NULL),(20,338,1,14,33,1,NULL,1,NULL),(20,338,1,14,34,1,NULL,1,NULL),(20,338,1,14,35,NULL,NULL,NULL,NULL),(20,338,1,14,36,NULL,1,NULL,NULL),(20,338,1,14,37,NULL,NULL,NULL,NULL),(20,338,1,14,38,NULL,NULL,NULL,NULL),(20,338,1,14,39,NULL,NULL,NULL,NULL),(20,338,1,14,40,NULL,NULL,NULL,NULL),(20,338,1,15,1,NULL,NULL,NULL,NULL),(20,338,1,15,2,1,NULL,1,NULL),(20,338,1,15,3,1,1,1,1),(20,338,1,15,4,1,NULL,1,NULL),(20,338,1,15,5,1,2,1,1),(20,338,1,15,6,2,NULL,1,NULL),(20,338,1,15,7,1,NULL,1,NULL),(20,338,1,15,8,2,1,2,1),(20,338,1,15,9,1,2,1,1),(20,338,1,15,10,NULL,NULL,NULL,NULL),(20,338,1,15,11,NULL,NULL,NULL,NULL),(20,338,1,15,12,NULL,3,NULL,2),(20,338,1,15,13,1,NULL,1,NULL),(20,338,1,15,14,1,1,NULL,1),(20,338,1,15,15,NULL,1,NULL,1),(20,338,1,15,16,1,1,1,1),(20,338,1,15,17,NULL,2,NULL,2),(20,338,1,15,18,NULL,1,NULL,1),(20,338,1,15,19,1,1,1,1),(20,338,1,15,20,NULL,3,NULL,2),(20,338,1,15,21,NULL,NULL,NULL,NULL),(20,338,1,15,22,NULL,NULL,NULL,NULL),(20,338,1,15,23,NULL,3,NULL,3),(20,338,1,15,24,NULL,2,NULL,2),(20,338,1,15,25,NULL,2,NULL,2),(20,338,1,15,26,1,NULL,1,NULL),(20,338,1,15,27,NULL,1,NULL,1),(20,338,1,15,28,NULL,NULL,NULL,NULL),(20,338,1,15,29,1,NULL,1,NULL),(20,338,1,15,30,NULL,2,NULL,2),(20,338,1,15,31,1,1,1,1),(20,338,1,15,32,NULL,NULL,NULL,NULL),(20,338,1,15,33,NULL,1,NULL,1),(20,338,1,15,34,NULL,NULL,NULL,NULL),(20,338,1,15,35,1,NULL,1,NULL),(20,338,1,15,36,1,1,1,1),(20,338,1,15,37,1,1,1,1),(20,338,1,15,38,NULL,NULL,NULL,NULL),(20,338,1,15,39,2,1,1,1),(20,338,1,15,40,NULL,NULL,NULL,NULL),(20,338,1,16,1,1,2,1,1),(20,338,1,16,2,NULL,1,NULL,NULL),(20,338,1,16,3,NULL,1,NULL,1),(20,338,1,16,4,NULL,1,NULL,1),(20,338,1,16,5,2,1,2,1),(20,338,1,16,6,1,1,NULL,1),(20,338,1,16,7,NULL,2,NULL,1),(20,338,1,16,8,1,2,1,1),(20,338,1,16,9,NULL,1,NULL,1),(20,338,1,16,10,1,1,1,NULL),(20,338,1,16,11,NULL,NULL,NULL,NULL),(20,338,1,16,12,NULL,2,NULL,1),(20,338,1,16,13,NULL,5,NULL,3),(20,338,1,16,14,NULL,NULL,NULL,NULL),(20,338,1,16,15,1,1,1,1),(20,338,1,16,16,NULL,NULL,NULL,NULL),(20,338,1,16,17,2,2,1,2),(20,338,1,16,18,NULL,NULL,NULL,NULL),(20,338,1,16,19,2,1,1,1),(20,338,1,16,20,NULL,1,NULL,NULL),(20,338,1,16,21,1,3,1,NULL),(20,338,1,16,22,NULL,1,NULL,1),(20,338,1,16,23,NULL,1,NULL,NULL),(20,338,1,16,24,NULL,1,NULL,NULL),(20,338,1,16,25,NULL,5,NULL,3),(20,338,1,16,26,NULL,NULL,NULL,NULL),(20,338,1,16,27,NULL,3,NULL,1),(20,338,1,16,28,NULL,2,NULL,NULL),(20,338,1,16,29,NULL,2,NULL,2),(20,338,1,16,30,1,2,NULL,1),(20,338,1,16,31,NULL,1,NULL,1),(20,338,1,16,32,1,3,1,NULL),(20,338,1,16,33,NULL,NULL,NULL,NULL),(20,338,1,16,34,NULL,1,NULL,1),(20,338,1,16,35,NULL,1,NULL,1),(20,338,1,16,36,1,2,NULL,2),(20,338,1,16,37,NULL,2,NULL,2),(20,338,1,16,38,NULL,1,NULL,NULL),(20,338,1,16,39,3,2,2,1),(20,338,1,16,40,NULL,3,NULL,1),(20,338,1,17,1,1,NULL,1,NULL),(20,338,1,17,2,NULL,NULL,NULL,NULL),(20,338,1,17,3,NULL,1,NULL,1),(20,338,1,17,4,NULL,NULL,NULL,NULL),(20,338,1,17,5,NULL,1,NULL,NULL),(20,338,1,17,6,NULL,3,NULL,NULL),(20,338,1,17,7,NULL,NULL,NULL,NULL),(20,338,1,17,8,2,2,NULL,NULL),(20,338,1,17,9,NULL,1,NULL,NULL),(20,338,1,17,10,NULL,NULL,NULL,NULL),(20,338,1,17,11,NULL,NULL,NULL,NULL),(20,338,1,17,12,NULL,NULL,NULL,NULL),(20,338,1,17,13,2,1,1,NULL),(20,338,1,17,14,NULL,NULL,NULL,NULL),(20,338,1,17,15,1,NULL,NULL,NULL),(20,338,1,17,16,NULL,NULL,NULL,NULL),(20,338,1,17,17,1,4,1,NULL),(20,338,1,17,18,NULL,NULL,NULL,NULL),(20,338,1,17,19,1,NULL,NULL,NULL),(20,338,1,17,20,1,2,1,NULL),(20,338,1,17,21,NULL,3,NULL,NULL),(20,338,1,17,22,NULL,1,NULL,NULL),(20,338,1,17,23,NULL,1,NULL,NULL),(20,338,1,17,24,NULL,NULL,NULL,NULL),(20,338,1,17,25,NULL,1,NULL,NULL),(20,338,1,17,26,1,NULL,NULL,NULL),(20,338,1,17,27,1,2,1,NULL),(20,338,1,17,28,NULL,1,NULL,NULL),(20,338,1,17,29,1,1,NULL,NULL),(20,338,1,17,30,NULL,2,NULL,NULL),(20,338,1,17,31,1,1,1,NULL),(20,338,1,17,32,NULL,NULL,NULL,NULL),(20,338,1,17,33,NULL,NULL,NULL,NULL),(20,338,1,17,34,NULL,NULL,NULL,NULL),(20,338,1,17,35,NULL,NULL,NULL,NULL),(20,338,1,17,36,NULL,1,NULL,NULL),(20,338,1,17,37,NULL,2,NULL,NULL),(20,338,1,17,38,NULL,1,NULL,NULL),(20,338,1,17,39,NULL,2,NULL,1),(20,338,1,17,40,NULL,NULL,NULL,NULL),(20,338,2,21,1,1,1,1,1),(20,338,2,21,2,NULL,2,NULL,2),(20,338,2,21,3,1,2,1,2),(20,338,2,21,4,NULL,NULL,NULL,NULL),(20,338,2,21,5,1,1,1,1),(20,338,2,21,6,1,NULL,1,NULL),(20,338,2,21,7,1,NULL,1,NULL),(20,338,2,21,8,2,NULL,2,NULL),(20,338,2,21,9,NULL,3,NULL,3),(20,338,2,21,10,NULL,1,NULL,1),(20,338,2,21,11,NULL,2,NULL,2),(20,338,2,21,12,NULL,NULL,NULL,NULL),(20,338,2,21,13,2,2,2,2),(20,338,2,21,14,2,1,2,1),(20,338,2,21,15,1,1,1,1),(20,338,2,21,16,NULL,1,NULL,1),(20,338,2,21,17,NULL,1,NULL,1),(20,338,2,21,18,NULL,1,NULL,1),(20,338,2,21,19,NULL,1,NULL,1),(20,338,2,21,20,NULL,NULL,NULL,NULL),(20,338,2,21,21,NULL,NULL,NULL,NULL),(20,338,2,21,22,NULL,2,NULL,2),(20,338,2,21,23,NULL,NULL,NULL,NULL),(20,338,2,21,24,NULL,NULL,NULL,NULL),(20,338,2,21,25,1,1,1,1),(20,338,2,21,26,1,NULL,1,NULL),(20,338,2,21,27,1,NULL,1,NULL),(20,338,2,21,28,1,NULL,1,NULL),(20,338,2,21,29,NULL,NULL,NULL,NULL),(20,338,2,21,30,1,NULL,1,NULL),(20,338,2,21,31,NULL,NULL,NULL,NULL),(20,338,2,21,32,NULL,NULL,NULL,NULL),(20,338,2,21,33,1,NULL,1,NULL),(20,338,2,21,34,NULL,1,NULL,1),(20,338,2,21,35,1,2,1,2),(20,338,2,21,36,NULL,2,NULL,2),(20,338,2,21,37,NULL,1,NULL,1),(20,338,2,21,38,NULL,NULL,NULL,NULL),(20,338,2,21,39,NULL,2,NULL,2),(20,338,2,21,40,2,NULL,2,NULL),(20,338,2,22,1,NULL,NULL,NULL,NULL),(20,338,2,22,2,NULL,1,NULL,NULL),(20,338,2,22,3,NULL,2,NULL,NULL),(20,338,2,22,4,1,NULL,NULL,NULL),(20,338,2,22,5,NULL,NULL,NULL,NULL),(20,338,2,22,6,NULL,1,NULL,NULL),(20,338,2,22,7,1,NULL,NULL,NULL),(20,338,2,22,8,NULL,NULL,NULL,NULL),(20,338,2,22,9,NULL,1,NULL,NULL),(20,338,2,22,10,NULL,1,NULL,NULL),(20,338,2,22,11,1,1,NULL,NULL),(20,338,2,22,12,NULL,1,NULL,NULL),(20,338,2,22,13,NULL,1,NULL,NULL),(20,338,2,22,14,1,NULL,NULL,NULL),(20,338,2,22,15,NULL,1,NULL,NULL),(20,338,2,22,16,NULL,1,NULL,NULL),(20,338,2,22,17,NULL,1,NULL,NULL),(20,338,2,22,18,NULL,NULL,NULL,NULL),(20,338,2,22,19,NULL,NULL,NULL,NULL),(20,338,2,22,20,NULL,NULL,NULL,NULL),(20,338,2,22,21,NULL,NULL,NULL,NULL),(20,338,2,22,22,NULL,NULL,NULL,NULL),(20,338,2,22,23,NULL,NULL,NULL,NULL),(20,338,2,22,24,NULL,NULL,NULL,NULL),(20,338,2,22,25,NULL,NULL,NULL,NULL),(20,338,2,22,26,NULL,NULL,NULL,NULL),(20,338,2,22,27,NULL,NULL,NULL,NULL),(20,338,2,22,28,1,NULL,NULL,NULL),(20,338,2,22,29,1,NULL,NULL,NULL),(20,338,2,22,30,NULL,1,NULL,NULL),(20,338,2,22,31,NULL,NULL,NULL,NULL),(20,338,2,22,32,NULL,NULL,NULL,NULL),(20,338,2,22,33,NULL,1,NULL,NULL),(20,338,2,22,34,NULL,NULL,NULL,NULL),(20,338,2,22,35,NULL,1,NULL,NULL),(20,338,2,22,36,NULL,NULL,NULL,NULL),(20,338,2,22,37,NULL,NULL,NULL,NULL),(20,338,2,22,38,NULL,1,NULL,NULL),(20,338,2,22,39,NULL,NULL,NULL,NULL),(20,338,2,22,40,NULL,NULL,NULL,NULL),(20,338,2,23,1,1,1,NULL,NULL),(20,338,2,23,2,NULL,2,NULL,1),(20,338,2,23,3,2,NULL,2,NULL),(20,338,2,23,4,NULL,1,NULL,NULL),(20,338,2,23,5,NULL,1,NULL,NULL),(20,338,2,23,6,1,NULL,1,NULL),(20,338,2,23,7,NULL,2,NULL,NULL),(20,338,2,23,8,NULL,NULL,NULL,NULL),(20,338,2,23,9,1,3,1,1),(20,338,2,23,10,NULL,1,NULL,NULL),(20,338,2,23,11,2,1,2,NULL),(20,338,2,23,12,NULL,1,NULL,NULL),(20,338,2,23,13,1,2,1,NULL),(20,338,2,23,14,2,2,1,1),(20,338,2,23,15,2,1,1,NULL),(20,338,2,23,16,3,2,2,NULL),(20,338,2,23,17,NULL,NULL,NULL,NULL),(20,338,2,23,18,NULL,1,NULL,1),(20,338,2,23,19,NULL,NULL,NULL,NULL),(20,338,2,23,20,1,2,1,2),(20,338,2,23,21,NULL,NULL,NULL,NULL),(20,338,2,23,22,NULL,3,NULL,2),(20,338,2,23,23,NULL,NULL,NULL,NULL),(20,338,2,23,24,NULL,NULL,NULL,NULL),(20,338,2,23,25,NULL,5,NULL,2),(20,338,2,23,26,NULL,1,NULL,NULL),(20,338,2,23,27,NULL,NULL,NULL,NULL),(20,338,2,23,28,1,2,1,1),(20,338,2,23,29,NULL,NULL,NULL,NULL),(20,338,2,23,30,1,3,1,1),(20,338,2,23,31,NULL,1,NULL,NULL),(20,338,2,23,32,NULL,1,NULL,NULL),(20,338,2,23,33,NULL,3,NULL,3),(20,338,2,23,34,NULL,NULL,NULL,NULL),(20,338,2,23,35,NULL,1,NULL,1),(20,338,2,23,36,NULL,2,NULL,1),(20,338,2,23,37,NULL,3,NULL,1),(20,338,2,23,38,NULL,2,NULL,1),(20,338,2,23,39,NULL,NULL,NULL,NULL),(20,338,2,23,40,NULL,NULL,NULL,NULL),(20,338,2,24,1,NULL,NULL,NULL,NULL),(20,338,2,24,2,NULL,2,NULL,NULL),(20,338,2,24,3,1,NULL,1,NULL),(20,338,2,24,4,NULL,3,NULL,1),(20,338,2,24,5,NULL,1,NULL,NULL),(20,338,2,24,6,NULL,NULL,NULL,NULL),(20,338,2,24,7,NULL,2,NULL,NULL),(20,338,2,24,8,1,NULL,1,NULL),(20,338,2,24,9,NULL,3,NULL,1),(20,338,2,24,10,NULL,3,NULL,2),(20,338,2,24,11,1,NULL,1,NULL),(20,338,2,24,12,NULL,NULL,NULL,NULL),(20,338,2,24,13,2,1,1,NULL),(20,338,2,24,14,3,1,2,NULL),(20,338,2,24,15,NULL,2,NULL,1),(20,338,2,24,16,2,NULL,1,NULL),(20,338,2,24,17,NULL,1,NULL,NULL),(20,338,2,24,18,1,1,1,NULL),(20,338,2,24,19,1,NULL,1,NULL),(20,338,2,24,20,NULL,NULL,NULL,NULL),(20,338,2,24,21,1,NULL,NULL,NULL),(20,338,2,24,22,NULL,1,NULL,NULL),(20,338,2,24,23,NULL,1,NULL,NULL),(20,338,2,24,24,NULL,NULL,NULL,NULL),(20,338,2,24,25,NULL,2,NULL,NULL),(20,338,2,24,26,NULL,NULL,NULL,NULL),(20,338,2,24,27,NULL,NULL,NULL,NULL),(20,338,2,24,28,1,2,1,NULL),(20,338,2,24,29,NULL,1,NULL,1),(20,338,2,24,30,NULL,NULL,NULL,NULL),(20,338,2,24,31,1,2,NULL,1),(20,338,2,24,32,1,1,1,NULL),(20,338,2,24,33,NULL,3,NULL,1),(20,338,2,24,34,NULL,NULL,NULL,NULL),(20,338,2,24,35,NULL,1,NULL,1),(20,338,2,24,36,NULL,1,NULL,NULL),(20,338,2,24,37,NULL,NULL,NULL,NULL),(20,338,2,24,38,NULL,1,NULL,NULL),(20,338,2,24,39,NULL,NULL,NULL,NULL),(20,338,2,24,40,NULL,NULL,NULL,NULL),(20,339,1,11,1,NULL,NULL,NULL,NULL),(20,339,1,11,2,NULL,NULL,NULL,NULL),(20,339,1,11,3,NULL,NULL,NULL,NULL),(20,339,1,11,4,NULL,NULL,NULL,NULL),(20,339,1,11,5,NULL,NULL,NULL,NULL),(20,339,1,11,6,NULL,NULL,NULL,NULL),(20,339,1,11,7,NULL,NULL,NULL,NULL),(20,339,1,11,8,NULL,NULL,NULL,NULL),(20,339,1,11,9,NULL,NULL,NULL,NULL),(20,339,1,11,10,NULL,NULL,NULL,NULL),(20,339,1,11,11,NULL,NULL,NULL,NULL),(20,339,1,11,12,NULL,NULL,NULL,NULL),(20,339,1,11,13,NULL,NULL,NULL,NULL),(20,339,1,11,14,NULL,NULL,NULL,NULL),(20,339,1,11,15,NULL,NULL,NULL,NULL),(20,339,1,11,16,NULL,NULL,NULL,NULL),(20,339,1,11,17,NULL,NULL,NULL,NULL),(20,339,1,11,18,NULL,NULL,NULL,NULL),(20,339,1,11,19,NULL,NULL,NULL,NULL),(20,339,1,11,20,NULL,NULL,NULL,NULL),(20,339,1,11,21,NULL,NULL,NULL,NULL),(20,339,1,11,22,NULL,NULL,NULL,NULL),(20,339,1,11,23,NULL,NULL,NULL,NULL),(20,339,1,11,24,NULL,NULL,NULL,NULL),(20,339,1,11,25,NULL,NULL,NULL,NULL),(20,339,1,11,26,NULL,NULL,NULL,NULL),(20,339,1,11,27,NULL,NULL,NULL,NULL),(20,339,1,11,28,NULL,NULL,NULL,NULL),(20,339,1,11,29,NULL,NULL,NULL,NULL),(20,339,1,11,30,NULL,NULL,NULL,NULL),(20,339,1,11,31,NULL,NULL,NULL,NULL),(20,339,1,11,32,NULL,NULL,NULL,NULL),(20,339,1,11,33,NULL,NULL,NULL,NULL),(20,339,1,11,34,NULL,NULL,NULL,NULL),(20,339,1,11,35,NULL,NULL,NULL,NULL),(20,339,1,11,36,NULL,NULL,NULL,NULL),(20,339,1,11,37,NULL,NULL,NULL,NULL),(20,339,1,11,38,NULL,NULL,NULL,NULL),(20,339,1,11,39,NULL,NULL,NULL,NULL),(20,339,1,11,40,NULL,NULL,NULL,NULL),(20,339,1,12,1,NULL,NULL,NULL,NULL),(20,339,1,12,2,NULL,NULL,NULL,NULL),(20,339,1,12,3,NULL,NULL,NULL,NULL),(20,339,1,12,4,NULL,NULL,NULL,NULL),(20,339,1,12,5,NULL,NULL,NULL,NULL),(20,339,1,12,6,NULL,NULL,NULL,NULL),(20,339,1,12,7,NULL,NULL,NULL,NULL),(20,339,1,12,8,NULL,NULL,NULL,NULL),(20,339,1,12,9,NULL,NULL,NULL,NULL),(20,339,1,12,10,NULL,NULL,NULL,NULL),(20,339,1,12,11,NULL,NULL,NULL,NULL),(20,339,1,12,12,NULL,NULL,NULL,NULL),(20,339,1,12,13,NULL,NULL,NULL,NULL),(20,339,1,12,14,NULL,NULL,NULL,NULL),(20,339,1,12,15,NULL,NULL,NULL,NULL),(20,339,1,12,16,NULL,NULL,NULL,NULL),(20,339,1,12,17,NULL,NULL,NULL,NULL),(20,339,1,12,18,NULL,NULL,NULL,NULL),(20,339,1,12,19,NULL,NULL,NULL,NULL),(20,339,1,12,20,NULL,NULL,NULL,NULL),(20,339,1,12,21,NULL,NULL,NULL,NULL),(20,339,1,12,22,NULL,NULL,NULL,NULL),(20,339,1,12,23,NULL,NULL,NULL,NULL),(20,339,1,12,24,NULL,NULL,NULL,NULL),(20,339,1,12,25,NULL,NULL,NULL,NULL),(20,339,1,12,26,NULL,NULL,NULL,NULL),(20,339,1,12,27,NULL,NULL,NULL,NULL),(20,339,1,12,28,NULL,NULL,NULL,NULL),(20,339,1,12,29,NULL,NULL,NULL,NULL),(20,339,1,12,30,NULL,NULL,NULL,NULL),(20,339,1,12,31,NULL,NULL,NULL,NULL),(20,339,1,12,32,NULL,NULL,NULL,NULL),(20,339,1,12,33,NULL,NULL,NULL,NULL),(20,339,1,12,34,NULL,NULL,NULL,NULL),(20,339,1,12,35,NULL,NULL,NULL,NULL),(20,339,1,12,36,NULL,NULL,NULL,NULL),(20,339,1,12,37,NULL,NULL,NULL,NULL),(20,339,1,12,38,NULL,NULL,NULL,NULL),(20,339,1,12,39,NULL,NULL,NULL,NULL),(20,339,1,12,40,NULL,NULL,NULL,NULL),(20,339,1,13,1,NULL,NULL,NULL,NULL),(20,339,1,13,2,NULL,NULL,NULL,NULL),(20,339,1,13,3,NULL,NULL,NULL,NULL),(20,339,1,13,4,NULL,NULL,NULL,NULL),(20,339,1,13,5,NULL,NULL,NULL,NULL),(20,339,1,13,6,NULL,NULL,NULL,NULL),(20,339,1,13,7,NULL,NULL,NULL,NULL),(20,339,1,13,8,NULL,NULL,NULL,NULL),(20,339,1,13,9,NULL,NULL,NULL,NULL),(20,339,1,13,10,NULL,NULL,NULL,NULL),(20,339,1,13,11,NULL,NULL,NULL,NULL),(20,339,1,13,12,NULL,NULL,NULL,NULL),(20,339,1,13,13,NULL,NULL,NULL,NULL),(20,339,1,13,14,NULL,NULL,NULL,NULL),(20,339,1,13,15,NULL,NULL,NULL,NULL),(20,339,1,13,16,NULL,NULL,NULL,NULL),(20,339,1,13,17,NULL,NULL,NULL,NULL),(20,339,1,13,18,NULL,NULL,NULL,NULL),(20,339,1,13,19,NULL,NULL,NULL,NULL),(20,339,1,13,20,NULL,NULL,NULL,NULL),(20,339,1,13,21,NULL,NULL,NULL,NULL),(20,339,1,13,22,NULL,NULL,NULL,NULL),(20,339,1,13,23,NULL,NULL,NULL,NULL),(20,339,1,13,24,NULL,NULL,NULL,NULL),(20,339,1,13,25,NULL,NULL,NULL,NULL),(20,339,1,13,26,NULL,NULL,NULL,NULL),(20,339,1,13,27,NULL,NULL,NULL,NULL),(20,339,1,13,28,NULL,NULL,NULL,NULL),(20,339,1,13,29,NULL,NULL,NULL,NULL),(20,339,1,13,30,NULL,NULL,NULL,NULL),(20,339,1,13,31,NULL,NULL,NULL,NULL),(20,339,1,13,32,NULL,NULL,NULL,NULL),(20,339,1,13,33,NULL,NULL,NULL,NULL),(20,339,1,13,34,NULL,NULL,NULL,NULL),(20,339,1,13,35,NULL,NULL,NULL,NULL),(20,339,1,13,36,NULL,NULL,NULL,NULL),(20,339,1,13,37,NULL,NULL,NULL,NULL),(20,339,1,13,38,NULL,NULL,NULL,NULL),(20,339,1,13,39,NULL,NULL,NULL,NULL),(20,339,1,13,40,NULL,NULL,NULL,NULL),(20,339,1,14,1,2,NULL,2,NULL),(20,339,1,14,2,1,NULL,NULL,NULL),(20,339,1,14,3,1,2,1,1),(20,339,1,14,4,NULL,4,NULL,2),(20,339,1,14,5,1,4,NULL,3),(20,339,1,14,6,5,4,4,1),(20,339,1,14,7,NULL,1,NULL,1),(20,339,1,14,8,3,1,2,1),(20,339,1,14,9,5,4,2,3),(20,339,1,14,10,NULL,NULL,NULL,NULL),(20,339,1,14,11,NULL,2,NULL,2),(20,339,1,14,12,1,1,NULL,1),(20,339,1,14,13,2,3,NULL,2),(20,339,1,14,14,3,2,2,2),(20,339,1,14,15,3,1,2,1),(20,339,1,14,16,3,1,1,1),(20,339,1,14,17,NULL,4,NULL,2),(20,339,1,14,18,2,1,1,NULL),(20,339,1,14,19,NULL,1,NULL,1),(20,339,1,14,20,3,1,1,1),(20,339,1,14,21,1,NULL,1,NULL),(20,339,1,14,22,1,2,1,1),(20,339,1,14,23,NULL,2,NULL,2),(20,339,1,14,24,1,NULL,1,NULL),(20,339,1,14,25,NULL,2,NULL,2),(20,339,1,14,26,NULL,NULL,NULL,NULL),(20,339,1,14,27,NULL,NULL,NULL,NULL),(20,339,1,14,28,1,NULL,NULL,NULL),(20,339,1,14,29,NULL,1,NULL,1),(20,339,1,14,30,NULL,NULL,NULL,NULL),(20,339,1,14,31,NULL,2,NULL,1),(20,339,1,14,32,1,1,1,1),(20,339,1,14,33,NULL,NULL,NULL,NULL),(20,339,1,14,34,NULL,2,NULL,2),(20,339,1,14,35,1,2,NULL,NULL),(20,339,1,14,36,2,2,2,1),(20,339,1,14,37,2,1,NULL,1),(20,339,1,14,38,NULL,1,NULL,1),(20,339,1,14,39,5,NULL,4,NULL),(20,339,1,14,40,1,NULL,1,NULL),(20,339,1,15,1,NULL,2,NULL,1),(20,339,1,15,2,NULL,NULL,NULL,NULL),(20,339,1,15,3,NULL,NULL,NULL,NULL),(20,339,1,15,4,1,NULL,NULL,NULL),(20,339,1,15,5,1,1,1,1),(20,339,1,15,6,4,3,2,2),(20,339,1,15,7,1,1,NULL,1),(20,339,1,15,8,4,NULL,3,NULL),(20,339,1,15,9,3,2,1,1),(20,339,1,15,10,NULL,NULL,NULL,NULL),(20,339,1,15,11,NULL,2,NULL,1),(20,339,1,15,12,1,2,NULL,1),(20,339,1,15,13,2,2,NULL,2),(20,339,1,15,14,3,4,2,1),(20,339,1,15,15,2,1,1,1),(20,339,1,15,16,1,2,1,1),(20,339,1,15,17,1,3,NULL,2),(20,339,1,15,18,5,NULL,1,NULL),(20,339,1,15,19,2,1,1,1),(20,339,1,15,20,3,NULL,1,NULL),(20,339,1,15,21,NULL,NULL,NULL,NULL),(20,339,1,15,22,1,1,NULL,NULL),(20,339,1,15,23,NULL,4,NULL,3),(20,339,1,15,24,1,NULL,NULL,NULL),(20,339,1,15,25,NULL,2,NULL,2),(20,339,1,15,26,NULL,NULL,NULL,NULL),(20,339,1,15,27,NULL,2,NULL,1),(20,339,1,15,28,NULL,NULL,NULL,NULL),(20,339,1,15,29,NULL,2,NULL,2),(20,339,1,15,30,NULL,1,NULL,NULL),(20,339,1,15,31,2,2,1,1),(20,339,1,15,32,NULL,1,NULL,1),(20,339,1,15,33,NULL,1,NULL,1),(20,339,1,15,34,NULL,1,NULL,NULL),(20,339,1,15,35,1,5,1,2),(20,339,1,15,36,1,2,NULL,1),(20,339,1,15,37,2,1,1,1),(20,339,1,15,38,NULL,1,NULL,NULL),(20,339,1,15,39,3,1,2,1),(20,339,1,15,40,NULL,1,NULL,1),(20,339,1,16,1,5,7,4,4),(20,339,1,16,2,3,3,2,2),(20,339,1,16,3,4,8,2,4),(20,339,1,16,4,6,10,3,3),(20,339,1,16,5,6,13,3,9),(20,339,1,16,6,6,12,3,5),(20,339,1,16,7,4,3,2,1),(20,339,1,16,8,20,10,14,3),(20,339,1,16,9,6,16,4,6),(20,339,1,16,10,8,9,6,5),(20,339,1,16,11,2,10,NULL,5),(20,339,1,16,12,2,6,1,3),(20,339,1,16,13,10,9,4,2),(20,339,1,16,14,4,8,2,2),(20,339,1,16,15,10,9,6,3),(20,339,1,16,16,3,9,2,3),(20,339,1,16,17,23,19,15,7),(20,339,1,16,18,1,9,NULL,6),(20,339,1,16,19,14,17,9,9),(20,339,1,16,20,3,12,NULL,7),(20,339,1,16,21,1,11,NULL,4),(20,339,1,16,22,2,5,2,1),(20,339,1,16,23,3,9,1,4),(20,339,1,16,24,4,6,1,3),(20,339,1,16,25,NULL,8,NULL,3),(20,339,1,16,26,6,NULL,4,NULL),(20,339,1,16,27,3,9,1,3),(20,339,1,16,28,1,5,1,2),(20,339,1,16,29,2,7,1,4),(20,339,1,16,30,NULL,14,NULL,7),(20,339,1,16,31,6,7,3,4),(20,339,1,16,32,3,6,1,4),(20,339,1,16,33,NULL,3,NULL,2),(20,339,1,16,34,NULL,NULL,NULL,NULL),(20,339,1,16,35,4,10,3,4),(20,339,1,16,36,3,16,2,4),(20,339,1,16,37,6,12,3,7),(20,339,1,16,38,3,7,1,3),(20,339,1,16,39,15,17,10,8),(20,339,1,16,40,2,8,NULL,4),(20,339,1,17,1,5,7,3,4),(20,339,1,17,2,3,8,1,4),(20,339,1,17,3,2,13,NULL,10),(20,339,1,17,4,4,7,1,1),(20,339,1,17,5,7,17,2,10),(20,339,1,17,6,8,11,5,4),(20,339,1,17,7,3,2,1,1),(20,339,1,17,8,15,11,9,6),(20,339,1,17,9,5,14,2,8),(20,339,1,17,10,2,9,2,5),(20,339,1,17,11,2,3,NULL,2),(20,339,1,17,12,3,11,1,6),(20,339,1,17,13,2,13,2,8),(20,339,1,17,14,1,2,NULL,1),(20,339,1,17,15,11,15,6,4),(20,339,1,17,16,2,9,1,3),(20,339,1,17,17,7,27,3,12),(20,339,1,17,18,1,6,NULL,5),(20,339,1,17,19,11,14,4,6),(20,339,1,17,20,NULL,11,NULL,7),(20,339,1,17,21,1,7,1,5),(20,339,1,17,22,1,7,NULL,2),(20,339,1,17,23,3,17,NULL,9),(20,339,1,17,24,7,3,2,1),(20,339,1,17,25,2,9,1,4),(20,339,1,17,26,4,NULL,2,NULL),(20,339,1,17,27,2,9,NULL,6),(20,339,1,17,28,NULL,7,NULL,3),(20,339,1,17,29,3,11,1,5),(20,339,1,17,30,2,13,NULL,3),(20,339,1,17,31,6,12,3,5),(20,339,1,17,32,8,9,6,3),(20,339,1,17,33,1,3,1,2),(20,339,1,17,34,1,4,NULL,2),(20,339,1,17,35,2,13,NULL,5),(20,339,1,17,36,3,12,3,5),(20,339,1,17,37,5,13,3,5),(20,339,1,17,38,NULL,4,NULL,2),(20,339,1,17,39,6,19,4,9),(20,339,1,17,40,4,6,3,3),(20,339,2,21,1,2,3,2,2),(20,339,2,21,2,2,1,2,NULL),(20,339,2,21,3,2,4,1,1),(20,339,2,21,4,3,3,2,1),(20,339,2,21,5,1,3,1,2),(20,339,2,21,6,2,4,2,NULL),(20,339,2,21,7,2,5,NULL,NULL),(20,339,2,21,8,3,NULL,2,NULL),(20,339,2,21,9,7,14,4,6),(20,339,2,21,10,2,7,1,3),(20,339,2,21,11,2,7,2,1),(20,339,2,21,12,NULL,2,NULL,NULL),(20,339,2,21,13,6,14,4,7),(20,339,2,21,14,9,11,8,4),(20,339,2,21,15,6,5,3,2),(20,339,2,21,16,5,4,5,NULL),(20,339,2,21,17,1,2,NULL,NULL),(20,339,2,21,18,NULL,4,NULL,3),(20,339,2,21,19,5,11,1,7),(20,339,2,21,20,1,4,1,3),(20,339,2,21,21,NULL,1,NULL,NULL),(20,339,2,21,22,1,4,NULL,2),(20,339,2,21,23,1,4,NULL,1),(20,339,2,21,24,NULL,3,NULL,NULL),(20,339,2,21,25,2,5,NULL,3),(20,339,2,21,26,NULL,1,NULL,NULL),(20,339,2,21,27,NULL,2,NULL,1),(20,339,2,21,28,NULL,1,NULL,NULL),(20,339,2,21,29,1,NULL,1,NULL),(20,339,2,21,30,NULL,1,NULL,NULL),(20,339,2,21,31,1,NULL,1,NULL),(20,339,2,21,32,NULL,4,NULL,4),(20,339,2,21,33,6,10,3,6),(20,339,2,21,34,2,2,NULL,1),(20,339,2,21,35,NULL,4,NULL,1),(20,339,2,21,36,1,6,NULL,1),(20,339,2,21,37,1,2,NULL,1),(20,339,2,21,38,NULL,1,NULL,NULL),(20,339,2,21,39,NULL,3,NULL,3),(20,339,2,21,40,5,2,3,1),(20,339,2,22,1,NULL,4,NULL,2),(20,339,2,22,2,NULL,1,NULL,NULL),(20,339,2,22,3,2,9,1,5),(20,339,2,22,4,3,5,2,1),(20,339,2,22,5,NULL,3,NULL,3),(20,339,2,22,6,2,5,1,4),(20,339,2,22,7,4,6,2,2),(20,339,2,22,8,3,NULL,2,NULL),(20,339,2,22,9,3,12,1,4),(20,339,2,22,10,NULL,6,NULL,3),(20,339,2,22,11,5,7,1,2),(20,339,2,22,12,NULL,8,NULL,3),(20,339,2,22,13,7,16,3,8),(20,339,2,22,14,10,11,5,4),(20,339,2,22,15,5,3,3,2),(20,339,2,22,16,12,10,5,5),(20,339,2,22,17,NULL,7,NULL,4),(20,339,2,22,18,NULL,3,NULL,3),(20,339,2,22,19,3,10,1,2),(20,339,2,22,20,3,4,1,3),(20,339,2,22,21,NULL,1,NULL,1),(20,339,2,22,22,1,10,NULL,4),(20,339,2,22,23,NULL,2,NULL,NULL),(20,339,2,22,24,1,2,NULL,1),(20,339,2,22,25,1,9,NULL,3),(20,339,2,22,26,2,3,NULL,3),(20,339,2,22,27,NULL,3,NULL,NULL),(20,339,2,22,28,NULL,3,NULL,1),(20,339,2,22,29,NULL,NULL,NULL,NULL),(20,339,2,22,30,NULL,2,NULL,NULL),(20,339,2,22,31,NULL,3,NULL,NULL),(20,339,2,22,32,1,7,NULL,3),(20,339,2,22,33,5,13,1,7),(20,339,2,22,34,4,5,3,2),(20,339,2,22,35,NULL,6,NULL,3),(20,339,2,22,36,1,9,NULL,5),(20,339,2,22,37,1,6,NULL,2),(20,339,2,22,38,NULL,NULL,NULL,NULL),(20,339,2,22,39,NULL,NULL,NULL,NULL),(20,339,2,22,40,1,7,NULL,3),(20,339,2,23,1,NULL,13,NULL,6),(20,339,2,23,2,NULL,1,NULL,1),(20,339,2,23,3,2,15,2,8),(20,339,2,23,4,3,11,2,7),(20,339,2,23,5,NULL,4,NULL,4),(20,339,2,23,6,2,6,2,4),(20,339,2,23,7,2,8,2,6),(20,339,2,23,8,1,NULL,NULL,NULL),(20,339,2,23,9,3,13,1,5),(20,339,2,23,10,NULL,9,NULL,5),(20,339,2,23,11,4,15,2,9),(20,339,2,23,12,NULL,8,NULL,6),(20,339,2,23,13,8,15,3,10),(20,339,2,23,14,9,21,2,13),(20,339,2,23,15,7,10,4,5),(20,339,2,23,16,14,10,6,5),(20,339,2,23,17,2,8,1,3),(20,339,2,23,18,NULL,7,NULL,4),(20,339,2,23,19,1,11,1,5),(20,339,2,23,20,1,8,1,5),(20,339,2,23,21,NULL,2,NULL,2),(20,339,2,23,22,1,13,1,5),(20,339,2,23,23,NULL,3,NULL,2),(20,339,2,23,24,1,2,NULL,NULL),(20,339,2,23,25,1,8,1,5),(20,339,2,23,26,1,4,1,4),(20,339,2,23,27,1,1,1,NULL),(20,339,2,23,28,2,10,2,7),(20,339,2,23,29,NULL,3,NULL,2),(20,339,2,23,30,2,7,1,2),(20,339,2,23,31,1,8,NULL,8),(20,339,2,23,32,NULL,2,NULL,1),(20,339,2,23,33,2,11,2,2),(20,339,2,23,34,1,9,NULL,5),(20,339,2,23,35,NULL,7,NULL,2),(20,339,2,23,36,2,10,1,5),(20,339,2,23,37,2,5,1,2),(20,339,2,23,38,NULL,2,NULL,2),(20,339,2,23,39,NULL,1,NULL,1),(20,339,2,23,40,NULL,8,NULL,3),(20,339,2,24,1,1,5,NULL,5),(20,339,2,24,2,NULL,1,NULL,NULL),(20,339,2,24,3,4,9,2,4),(20,339,2,24,4,1,6,NULL,3),(20,339,2,24,5,NULL,4,NULL,3),(20,339,2,24,6,2,4,2,3),(20,339,2,24,7,2,NULL,2,NULL),(20,339,2,24,8,1,NULL,1,NULL),(20,339,2,24,9,5,13,2,6),(20,339,2,24,10,NULL,5,NULL,4),(20,339,2,24,11,3,4,2,3),(20,339,2,24,12,2,4,1,4),(20,339,2,24,13,5,9,1,4),(20,339,2,24,14,2,12,1,7),(20,339,2,24,15,1,2,NULL,1),(20,339,2,24,16,8,5,3,5),(20,339,2,24,17,NULL,8,NULL,4),(20,339,2,24,18,1,4,NULL,2),(20,339,2,24,19,6,8,1,3),(20,339,2,24,20,3,6,1,3),(20,339,2,24,21,NULL,2,NULL,NULL),(20,339,2,24,22,1,4,NULL,2),(20,339,2,24,23,NULL,4,NULL,1),(20,339,2,24,24,NULL,1,NULL,1),(20,339,2,24,25,3,1,2,NULL),(20,339,2,24,26,1,5,NULL,3),(20,339,2,24,27,1,3,NULL,2),(20,339,2,24,28,2,5,1,5),(20,339,2,24,29,NULL,1,NULL,NULL),(20,339,2,24,30,1,3,NULL,3),(20,339,2,24,31,2,1,1,NULL),(20,339,2,24,32,3,4,1,2),(20,339,2,24,33,4,11,1,4),(20,339,2,24,34,NULL,6,NULL,4),(20,339,2,24,35,1,9,NULL,5),(20,339,2,24,36,NULL,9,NULL,7),(20,339,2,24,37,1,4,1,2),(20,339,2,24,38,NULL,2,NULL,1),(20,339,2,24,39,NULL,2,NULL,1),(20,339,2,24,40,2,4,1,1),(20,340,1,11,1,2,2,NULL,1),(20,340,1,11,2,2,1,NULL,NULL),(20,340,1,11,3,NULL,NULL,NULL,NULL),(20,340,1,11,4,NULL,1,NULL,NULL),(20,340,1,11,5,2,1,1,NULL),(20,340,1,11,6,3,2,1,NULL),(20,340,1,11,7,2,1,NULL,1),(20,340,1,11,8,3,1,1,NULL),(20,340,1,11,9,NULL,4,NULL,1),(20,340,1,11,10,2,NULL,1,NULL),(20,340,1,11,11,NULL,1,NULL,NULL),(20,340,1,11,12,1,2,NULL,NULL),(20,340,1,11,13,1,2,NULL,1),(20,340,1,11,14,2,2,NULL,1),(20,340,1,11,15,3,NULL,NULL,NULL),(20,340,1,11,16,2,2,NULL,1),(20,340,1,11,17,2,3,NULL,1),(20,340,1,11,18,5,NULL,1,NULL),(20,340,1,11,19,4,1,1,NULL),(20,340,1,11,20,1,3,NULL,1),(20,340,1,11,21,NULL,NULL,NULL,NULL),(20,340,1,11,22,NULL,3,NULL,1),(20,340,1,11,23,NULL,2,NULL,1),(20,340,1,11,24,NULL,1,NULL,1),(20,340,1,11,25,1,3,NULL,1),(20,340,1,11,26,3,NULL,1,NULL),(20,340,1,11,27,1,2,NULL,1),(20,340,1,11,28,1,2,NULL,1),(20,340,1,11,29,NULL,2,NULL,NULL),(20,340,1,11,30,NULL,1,NULL,NULL),(20,340,1,11,31,2,2,1,NULL),(20,340,1,11,32,3,1,NULL,NULL),(20,340,1,11,33,NULL,3,NULL,NULL),(20,340,1,11,34,1,2,NULL,1),(20,340,1,11,35,2,2,1,NULL),(20,340,1,11,36,3,2,1,NULL),(20,340,1,11,37,2,2,1,NULL),(20,340,1,11,38,NULL,2,NULL,1),(20,340,1,11,39,3,2,1,NULL),(20,340,1,11,40,4,NULL,NULL,NULL),(20,340,1,12,1,1,1,NULL,NULL),(20,340,1,12,2,2,NULL,NULL,NULL),(20,340,1,12,3,1,3,NULL,NULL),(20,340,1,12,4,NULL,3,NULL,NULL),(20,340,1,12,5,4,1,NULL,NULL),(20,340,1,12,6,3,3,NULL,NULL),(20,340,1,12,7,1,1,NULL,NULL),(20,340,1,12,8,1,NULL,NULL,NULL),(20,340,1,12,9,3,3,NULL,NULL),(20,340,1,12,10,2,NULL,NULL,NULL),(20,340,1,12,11,NULL,NULL,NULL,NULL),(20,340,1,12,12,1,1,NULL,NULL),(20,340,1,12,13,2,5,NULL,NULL),(20,340,1,12,14,8,1,NULL,NULL),(20,340,1,12,15,6,3,NULL,NULL),(20,340,1,12,16,5,NULL,NULL,NULL),(20,340,1,12,17,6,2,NULL,NULL),(20,340,1,12,18,9,1,NULL,NULL),(20,340,1,12,19,3,1,NULL,NULL),(20,340,1,12,20,4,2,NULL,NULL),(20,340,1,12,21,NULL,1,NULL,NULL),(20,340,1,12,22,1,1,NULL,NULL),(20,340,1,12,23,NULL,2,NULL,NULL),(20,340,1,12,24,1,1,NULL,NULL),(20,340,1,12,25,2,2,NULL,NULL),(20,340,1,12,26,3,NULL,NULL,NULL),(20,340,1,12,27,NULL,2,NULL,NULL),(20,340,1,12,28,NULL,1,NULL,NULL),(20,340,1,12,29,2,1,NULL,NULL),(20,340,1,12,30,NULL,3,NULL,NULL),(20,340,1,12,31,1,2,NULL,NULL),(20,340,1,12,32,2,NULL,NULL,NULL),(20,340,1,12,33,2,2,NULL,NULL),(20,340,1,12,34,NULL,2,NULL,NULL),(20,340,1,12,35,2,2,NULL,NULL),(20,340,1,12,36,4,3,NULL,NULL),(20,340,1,12,37,3,1,NULL,NULL),(20,340,1,12,38,NULL,NULL,NULL,NULL),(20,340,1,12,39,7,1,NULL,NULL),(20,340,1,12,40,2,NULL,NULL,NULL),(20,340,1,13,1,2,NULL,NULL,NULL),(20,340,1,13,2,1,1,NULL,NULL),(20,340,1,13,3,NULL,3,NULL,1),(20,340,1,13,4,3,1,NULL,NULL),(20,340,1,13,5,2,2,1,NULL),(20,340,1,13,6,6,NULL,1,NULL),(20,340,1,13,7,2,1,1,NULL),(20,340,1,13,8,6,1,1,NULL),(20,340,1,13,9,4,3,1,NULL),(20,340,1,13,10,2,1,1,NULL),(20,340,1,13,11,1,1,NULL,NULL),(20,340,1,13,12,3,NULL,1,NULL),(20,340,1,13,13,8,NULL,1,NULL),(20,340,1,13,14,4,3,1,NULL),(20,340,1,13,15,6,NULL,1,NULL),(20,340,1,13,16,7,NULL,1,NULL),(20,340,1,13,17,5,1,1,NULL),(20,340,1,13,18,6,1,1,NULL),(20,340,1,13,19,4,NULL,1,NULL),(20,340,1,13,20,7,1,1,NULL),(20,340,1,13,21,NULL,1,NULL,1),(20,340,1,13,22,1,2,1,NULL),(20,340,1,13,23,NULL,1,NULL,NULL),(20,340,1,13,24,2,2,1,NULL),(20,340,1,13,25,1,2,1,NULL),(20,340,1,13,26,1,NULL,NULL,NULL),(20,340,1,13,27,NULL,2,NULL,1),(20,340,1,13,28,1,NULL,NULL,NULL),(20,340,1,13,29,1,NULL,NULL,NULL),(20,340,1,13,30,NULL,1,NULL,NULL),(20,340,1,13,31,3,1,1,NULL),(20,340,1,13,32,1,1,NULL,NULL),(20,340,1,13,33,1,1,NULL,NULL),(20,340,1,13,34,NULL,1,NULL,1),(20,340,1,13,35,3,1,NULL,NULL),(20,340,1,13,36,5,2,1,NULL),(20,340,1,13,37,4,1,NULL,NULL),(20,340,1,13,38,NULL,NULL,NULL,NULL),(20,340,1,13,39,5,1,1,NULL),(20,340,1,13,40,1,NULL,1,NULL),(20,340,1,14,1,48,35,10,6),(20,340,1,14,2,40,23,12,9),(20,340,1,14,3,31,73,4,15),(20,340,1,14,4,18,65,4,13),(20,340,1,14,5,67,62,17,16),(20,340,1,14,6,126,69,22,13),(20,340,1,14,7,54,46,18,6),(20,340,1,14,8,86,28,25,9),(20,340,1,14,9,120,64,26,10),(20,340,1,14,10,48,20,20,4),(20,340,1,14,11,15,29,7,8),(20,340,1,14,12,47,34,16,7),(20,340,1,14,13,151,48,33,6),(20,340,1,14,14,157,51,29,6),(20,340,1,14,15,105,37,29,7),(20,340,1,14,16,157,26,31,6),(20,340,1,14,17,98,88,22,17),(20,340,1,14,18,157,27,33,5),(20,340,1,14,19,142,10,31,2),(20,340,1,14,20,159,55,30,8),(20,340,1,14,21,5,31,1,14),(20,340,1,14,22,22,70,6,26),(20,340,1,14,23,24,94,4,17),(20,340,1,14,24,18,70,6,21),(20,340,1,14,25,39,83,10,17),(20,340,1,14,26,25,NULL,13,NULL),(20,340,1,14,27,25,71,6,21),(20,340,1,14,28,18,36,8,13),(20,340,1,14,29,12,31,4,11),(20,340,1,14,30,11,49,4,16),(20,340,1,14,31,61,64,11,16),(20,340,1,14,32,62,37,15,13),(20,340,1,14,33,38,69,18,14),(20,340,1,14,34,19,46,7,14),(20,340,1,14,35,63,49,17,10),(20,340,1,14,36,84,64,18,16),(20,340,1,14,37,82,61,22,15),(20,340,1,14,38,6,36,2,9),(20,340,1,14,39,120,73,23,16),(20,340,1,14,40,79,12,31,5),(20,340,1,15,1,57,39,9,8),(20,340,1,15,2,44,21,9,7),(20,340,1,15,3,18,75,6,13),(20,340,1,15,4,26,55,1,10),(20,340,1,15,5,61,62,10,12),(20,340,1,15,6,107,72,16,9),(20,340,1,15,7,44,37,10,7),(20,340,1,15,8,94,19,21,2),(20,340,1,15,9,85,79,15,10),(20,340,1,15,10,43,20,12,3),(20,340,1,15,11,8,29,4,3),(20,340,1,15,12,53,33,12,6),(20,340,1,15,13,137,40,19,5),(20,340,1,15,14,136,59,22,4),(20,340,1,15,15,113,23,18,3),(20,340,1,15,16,136,33,21,5),(20,340,1,15,17,78,100,14,12),(20,340,1,15,18,158,25,22,2),(20,340,1,15,19,159,4,23,1),(20,340,1,15,20,140,64,21,6),(20,340,1,15,21,9,33,2,10),(20,340,1,15,22,13,56,1,18),(20,340,1,15,23,8,82,1,16),(20,340,1,15,24,22,48,6,12),(20,340,1,15,25,40,82,11,11),(20,340,1,15,26,28,NULL,12,NULL),(20,340,1,15,27,35,55,10,11),(20,340,1,15,28,8,34,4,11),(20,340,1,15,29,12,31,1,10),(20,340,1,15,30,15,39,5,10),(20,340,1,15,31,48,58,9,11),(20,340,1,15,32,54,29,14,8),(20,340,1,15,33,51,42,15,7),(20,340,1,15,34,12,37,1,11),(20,340,1,15,35,49,49,14,7),(20,340,1,15,36,88,72,18,7),(20,340,1,15,37,80,55,15,7),(20,340,1,15,38,15,37,4,10),(20,340,1,15,39,107,63,19,8),(20,340,1,15,40,63,7,20,2),(20,340,1,16,1,12,9,NULL,1),(20,340,1,16,2,6,5,NULL,2),(20,340,1,16,3,5,9,3,1),(20,340,1,16,4,3,18,NULL,5),(20,340,1,16,5,11,14,3,1),(20,340,1,16,6,22,9,2,2),(20,340,1,16,7,8,8,NULL,2),(20,340,1,16,8,18,8,5,1),(20,340,1,16,9,14,19,1,3),(20,340,1,16,10,6,9,2,2),(20,340,1,16,11,2,12,NULL,2),(20,340,1,16,12,9,13,3,2),(20,340,1,16,13,15,20,3,1),(20,340,1,16,14,9,4,1,NULL),(20,340,1,16,15,21,7,4,NULL),(20,340,1,16,16,4,15,1,NULL),(20,340,1,16,17,35,18,5,2),(20,340,1,16,18,6,16,2,2),(20,340,1,16,19,20,9,3,2),(20,340,1,16,20,2,20,NULL,1),(20,340,1,16,21,2,16,NULL,3),(20,340,1,16,22,4,11,NULL,1),(20,340,1,16,23,9,21,NULL,2),(20,340,1,16,24,4,11,1,NULL),(20,340,1,16,25,4,22,NULL,3),(20,340,1,16,26,7,NULL,NULL,NULL),(20,340,1,16,27,3,9,1,2),(20,340,1,16,28,NULL,7,NULL,1),(20,340,1,16,29,NULL,5,NULL,NULL),(20,340,1,16,30,1,9,NULL,1),(20,340,1,16,31,13,14,1,1),(20,340,1,16,32,10,7,1,1),(20,340,1,16,33,4,8,2,NULL),(20,340,1,16,34,7,6,2,2),(20,340,1,16,35,14,13,2,2),(20,340,1,16,36,12,17,2,3),(20,340,1,16,37,16,15,2,2),(20,340,1,16,38,2,9,NULL,1),(20,340,1,16,39,29,14,5,1),(20,340,1,16,40,7,5,1,1),(20,340,1,17,1,10,10,1,NULL),(20,340,1,17,2,8,2,1,NULL),(20,340,1,17,3,6,11,NULL,2),(20,340,1,17,4,5,17,NULL,1),(20,340,1,17,5,8,13,1,2),(20,340,1,17,6,17,20,1,1),(20,340,1,17,7,3,11,NULL,1),(20,340,1,17,8,18,9,1,1),(20,340,1,17,9,18,19,1,1),(20,340,1,17,10,5,9,NULL,1),(20,340,1,17,11,2,4,NULL,NULL),(20,340,1,17,12,11,8,2,NULL),(20,340,1,17,13,16,17,1,1),(20,340,1,17,14,3,4,NULL,NULL),(20,340,1,17,15,20,2,1,NULL),(20,340,1,17,16,1,14,NULL,NULL),(20,340,1,17,17,24,22,2,1),(20,340,1,17,18,8,15,NULL,3),(20,340,1,17,19,28,10,1,2),(20,340,1,17,20,1,20,NULL,1),(20,340,1,17,21,3,3,NULL,1),(20,340,1,17,22,4,12,NULL,2),(20,340,1,17,23,1,17,NULL,2),(20,340,1,17,24,4,8,NULL,1),(20,340,1,17,25,5,11,1,2),(20,340,1,17,26,3,NULL,NULL,NULL),(20,340,1,17,27,3,12,NULL,2),(20,340,1,17,28,1,5,1,NULL),(20,340,1,17,29,5,11,NULL,2),(20,340,1,17,30,3,7,1,NULL),(20,340,1,17,31,10,18,1,2),(20,340,1,17,32,6,7,1,1),(20,340,1,17,33,6,11,NULL,2),(20,340,1,17,34,5,11,NULL,NULL),(20,340,1,17,35,7,14,1,2),(20,340,1,17,36,10,21,NULL,3),(20,340,1,17,37,13,14,1,1),(20,340,1,17,38,1,6,NULL,NULL),(20,340,1,17,39,16,17,2,1),(20,340,1,17,40,12,2,1,NULL),(20,340,2,21,1,14,24,4,2),(20,340,2,21,2,4,14,NULL,5),(20,340,2,21,3,28,39,8,7),(20,340,2,21,4,20,16,4,NULL),(20,340,2,21,5,2,11,NULL,2),(20,340,2,21,6,46,32,10,5),(20,340,2,21,7,30,33,8,5),(20,340,2,21,8,27,NULL,8,NULL),(20,340,2,21,9,34,64,4,10),(20,340,2,21,10,4,39,NULL,10),(20,340,2,21,11,24,12,3,2),(20,340,2,21,12,10,21,4,3),(20,340,2,21,13,81,20,17,NULL),(20,340,2,21,14,74,48,14,4),(20,340,2,21,15,64,29,13,4),(20,340,2,21,16,41,28,9,2),(20,340,2,21,17,21,16,7,2),(20,340,2,21,18,9,32,1,5),(20,340,2,21,19,27,51,8,6),(20,340,2,21,20,39,35,7,6),(20,340,2,21,21,3,4,1,2),(20,340,2,21,22,7,18,1,3),(20,340,2,21,23,2,9,1,2),(20,340,2,21,24,2,10,2,5),(20,340,2,21,25,18,36,6,6),(20,340,2,21,26,13,11,5,3),(20,340,2,21,27,8,11,3,4),(20,340,2,21,28,25,17,8,2),(20,340,2,21,29,3,18,NULL,4),(20,340,2,21,30,8,8,3,NULL),(20,340,2,21,31,10,31,2,5),(20,340,2,21,32,17,31,6,4),(20,340,2,21,33,18,45,NULL,3),(20,340,2,21,34,24,31,8,4),(20,340,2,21,35,8,43,1,9),(20,340,2,21,36,13,19,2,3),(20,340,2,21,37,17,18,5,5),(20,340,2,21,38,7,21,3,6),(20,340,2,21,39,19,20,8,3),(20,340,2,21,40,17,15,7,4),(20,340,2,22,1,11,21,2,3),(20,340,2,22,2,3,16,1,2),(20,340,2,22,3,22,49,2,12),(20,340,2,22,4,13,16,5,2),(20,340,2,22,5,7,17,2,6),(20,340,2,22,6,51,30,14,3),(20,340,2,22,7,27,35,9,7),(20,340,2,22,8,26,NULL,9,NULL),(20,340,2,22,9,36,79,6,11),(20,340,2,22,10,6,37,2,8),(20,340,2,22,11,22,16,4,1),(20,340,2,22,12,8,20,3,5),(20,340,2,22,13,87,36,11,6),(20,340,2,22,14,71,58,11,8),(20,340,2,22,15,60,42,12,4),(20,340,2,22,16,39,34,5,5),(20,340,2,22,17,30,26,5,7),(20,340,2,22,18,6,35,3,8),(20,340,2,22,19,28,64,6,9),(20,340,2,22,20,40,42,9,8),(20,340,2,22,21,2,7,NULL,4),(20,340,2,22,22,6,30,1,2),(20,340,2,22,23,8,15,4,3),(20,340,2,22,24,3,5,1,2),(20,340,2,22,25,24,35,7,8),(20,340,2,22,26,5,20,1,7),(20,340,2,22,27,5,20,3,2),(20,340,2,22,28,35,29,6,5),(20,340,2,22,29,4,17,NULL,5),(20,340,2,22,30,13,5,3,NULL),(20,340,2,22,31,12,33,4,8),(20,340,2,22,32,18,37,3,8),(20,340,2,22,33,15,47,NULL,9),(20,340,2,22,34,19,35,5,6),(20,340,2,22,35,5,48,1,9),(20,340,2,22,36,21,22,6,2),(20,340,2,22,37,12,22,6,5),(20,340,2,22,38,12,26,4,4),(20,340,2,22,39,16,21,6,5),(20,340,2,22,40,20,24,6,1),(20,340,2,23,1,13,21,3,6),(20,340,2,23,2,5,11,NULL,2),(20,340,2,23,3,17,57,6,9),(20,340,2,23,4,13,17,5,4),(20,340,2,23,5,15,21,NULL,4),(20,340,2,23,6,39,49,10,11),(20,340,2,23,7,26,31,9,8),(20,340,2,23,8,33,NULL,6,NULL),(20,340,2,23,9,42,61,7,10),(20,340,2,23,10,7,39,1,10),(20,340,2,23,11,33,16,6,4),(20,340,2,23,12,9,18,3,4),(20,340,2,23,13,61,38,15,3),(20,340,2,23,14,78,55,16,6),(20,340,2,23,15,67,28,12,5),(20,340,2,23,16,37,28,9,4),(20,340,2,23,17,29,22,7,5),(20,340,2,23,18,5,40,3,13),(20,340,2,23,19,26,65,8,8),(20,340,2,23,20,35,53,9,9),(20,340,2,23,21,4,8,1,2),(20,340,2,23,22,8,34,NULL,4),(20,340,2,23,23,7,12,4,3),(20,340,2,23,24,3,6,2,3),(20,340,2,23,25,22,35,9,7),(20,340,2,23,26,8,13,3,2),(20,340,2,23,27,4,22,1,5),(20,340,2,23,28,24,28,5,4),(20,340,2,23,29,2,17,2,1),(20,340,2,23,30,12,14,5,1),(20,340,2,23,31,13,29,4,7),(20,340,2,23,32,23,32,9,7),(20,340,2,23,33,13,59,2,10),(20,340,2,23,34,20,27,6,5),(20,340,2,23,35,1,34,NULL,7),(20,340,2,23,36,6,37,1,6),(20,340,2,23,37,12,24,4,8),(20,340,2,23,38,4,29,3,11),(20,340,2,23,39,15,23,6,3),(20,340,2,23,40,28,19,8,4),(20,340,2,24,1,5,19,NULL,6),(20,340,2,24,2,7,14,2,2),(20,340,2,24,3,22,37,3,8),(20,340,2,24,4,10,11,3,4),(20,340,2,24,5,7,16,2,6),(20,340,2,24,6,46,30,10,8),(20,340,2,24,7,18,26,6,8),(20,340,2,24,8,26,NULL,9,NULL),(20,340,2,24,9,36,60,4,11),(20,340,2,24,10,6,30,1,9),(20,340,2,24,11,29,10,9,2),(20,340,2,24,12,9,19,2,8),(20,340,2,24,13,65,33,15,4),(20,340,2,24,14,62,40,11,7),(20,340,2,24,15,43,29,12,1),(20,340,2,24,16,45,28,9,6),(20,340,2,24,17,26,8,9,1),(20,340,2,24,18,6,26,1,8),(20,340,2,24,19,28,48,5,4),(20,340,2,24,20,41,31,6,8),(20,340,2,24,21,2,8,1,1),(20,340,2,24,22,14,25,2,6),(20,340,2,24,23,5,10,1,1),(20,340,2,24,24,2,6,NULL,3),(20,340,2,24,25,18,27,6,4),(20,340,2,24,26,5,13,3,1),(20,340,2,24,27,8,16,2,3),(20,340,2,24,28,25,22,9,7),(20,340,2,24,29,7,15,2,4),(20,340,2,24,30,11,7,1,2),(20,340,2,24,31,9,23,3,4),(20,340,2,24,32,21,42,7,7),(20,340,2,24,33,19,35,1,7),(20,340,2,24,34,24,22,2,1),(20,340,2,24,35,4,38,2,8),(20,340,2,24,36,17,22,3,6),(20,340,2,24,37,15,18,6,7),(20,340,2,24,38,5,29,1,13),(20,340,2,24,39,16,24,5,6),(20,340,2,24,40,24,19,8,3),(20,404,1,11,1,NULL,NULL,NULL,NULL),(20,404,1,11,2,NULL,NULL,NULL,NULL),(20,404,1,11,3,NULL,NULL,NULL,NULL),(20,404,1,11,4,NULL,NULL,NULL,NULL),(20,404,1,11,5,NULL,NULL,NULL,NULL),(20,404,1,11,6,1,NULL,NULL,NULL),(20,404,1,11,7,NULL,NULL,NULL,NULL),(20,404,1,11,8,NULL,NULL,NULL,NULL),(20,404,1,11,9,NULL,NULL,NULL,NULL),(20,404,1,11,10,NULL,NULL,NULL,NULL),(20,404,1,11,11,NULL,NULL,NULL,NULL),(20,404,1,11,12,NULL,NULL,NULL,NULL),(20,404,1,11,13,NULL,NULL,NULL,NULL),(20,404,1,11,14,NULL,NULL,NULL,NULL),(20,404,1,11,15,NULL,NULL,NULL,NULL),(20,404,1,11,16,NULL,NULL,NULL,NULL),(20,404,1,11,17,NULL,NULL,NULL,NULL),(20,404,1,11,18,NULL,NULL,NULL,NULL),(20,404,1,11,19,NULL,NULL,NULL,NULL),(20,404,1,11,20,NULL,NULL,NULL,NULL),(20,404,1,11,21,NULL,NULL,NULL,NULL),(20,404,1,11,22,NULL,NULL,NULL,NULL),(20,404,1,11,23,NULL,NULL,NULL,NULL),(20,404,1,11,24,NULL,NULL,NULL,NULL),(20,404,1,11,25,NULL,NULL,NULL,NULL),(20,404,1,11,26,NULL,NULL,NULL,NULL),(20,404,1,11,27,NULL,NULL,NULL,NULL),(20,404,1,11,28,NULL,NULL,NULL,NULL),(20,404,1,11,29,NULL,NULL,NULL,NULL),(20,404,1,11,30,NULL,NULL,NULL,NULL),(20,404,1,11,31,NULL,NULL,NULL,NULL),(20,404,1,11,32,NULL,NULL,NULL,NULL),(20,404,1,11,33,NULL,NULL,NULL,NULL),(20,404,1,11,34,1,NULL,NULL,NULL),(20,404,1,11,35,NULL,NULL,NULL,NULL),(20,404,1,11,36,NULL,NULL,NULL,NULL),(20,404,1,11,37,NULL,NULL,NULL,NULL),(20,404,1,11,38,NULL,NULL,NULL,NULL),(20,404,1,11,39,NULL,NULL,NULL,NULL),(20,404,1,11,40,NULL,NULL,NULL,NULL),(20,404,1,12,1,NULL,NULL,NULL,NULL),(20,404,1,12,2,NULL,NULL,NULL,NULL),(20,404,1,12,3,NULL,NULL,NULL,NULL),(20,404,1,12,4,NULL,NULL,NULL,NULL),(20,404,1,12,5,NULL,NULL,NULL,NULL),(20,404,1,12,6,NULL,NULL,NULL,NULL),(20,404,1,12,7,NULL,NULL,NULL,NULL),(20,404,1,12,8,NULL,NULL,NULL,NULL),(20,404,1,12,9,NULL,NULL,NULL,NULL),(20,404,1,12,10,NULL,NULL,NULL,NULL),(20,404,1,12,11,NULL,NULL,NULL,NULL),(20,404,1,12,12,NULL,NULL,NULL,NULL),(20,404,1,12,13,NULL,NULL,NULL,NULL),(20,404,1,12,14,NULL,NULL,NULL,NULL),(20,404,1,12,15,NULL,NULL,NULL,NULL),(20,404,1,12,16,NULL,NULL,NULL,NULL),(20,404,1,12,17,NULL,NULL,NULL,NULL),(20,404,1,12,18,NULL,NULL,NULL,NULL),(20,404,1,12,19,NULL,NULL,NULL,NULL),(20,404,1,12,20,NULL,NULL,NULL,NULL),(20,404,1,12,21,NULL,NULL,NULL,NULL),(20,404,1,12,22,NULL,NULL,NULL,NULL),(20,404,1,12,23,NULL,NULL,NULL,NULL),(20,404,1,12,24,NULL,NULL,NULL,NULL),(20,404,1,12,25,NULL,NULL,NULL,NULL),(20,404,1,12,26,NULL,NULL,NULL,NULL),(20,404,1,12,27,NULL,NULL,NULL,NULL),(20,404,1,12,28,NULL,NULL,NULL,NULL),(20,404,1,12,29,NULL,NULL,NULL,NULL),(20,404,1,12,30,NULL,NULL,NULL,NULL),(20,404,1,12,31,NULL,NULL,NULL,NULL),(20,404,1,12,32,NULL,NULL,NULL,NULL),(20,404,1,12,33,NULL,NULL,NULL,NULL),(20,404,1,12,34,NULL,NULL,NULL,NULL),(20,404,1,12,35,NULL,NULL,NULL,NULL),(20,404,1,12,36,NULL,NULL,NULL,NULL),(20,404,1,12,37,NULL,NULL,NULL,NULL),(20,404,1,12,38,NULL,NULL,NULL,NULL),(20,404,1,12,39,NULL,NULL,NULL,NULL),(20,404,1,12,40,NULL,NULL,NULL,NULL),(20,404,1,13,1,NULL,NULL,NULL,NULL),(20,404,1,13,2,NULL,NULL,NULL,NULL),(20,404,1,13,3,NULL,NULL,NULL,NULL),(20,404,1,13,4,NULL,NULL,NULL,NULL),(20,404,1,13,5,NULL,NULL,NULL,NULL),(20,404,1,13,6,NULL,NULL,NULL,NULL),(20,404,1,13,7,NULL,NULL,NULL,NULL),(20,404,1,13,8,NULL,NULL,NULL,NULL),(20,404,1,13,9,NULL,NULL,NULL,NULL),(20,404,1,13,10,NULL,NULL,NULL,NULL),(20,404,1,13,11,NULL,NULL,NULL,NULL),(20,404,1,13,12,NULL,NULL,NULL,NULL),(20,404,1,13,13,NULL,NULL,NULL,NULL),(20,404,1,13,14,NULL,NULL,NULL,NULL),(20,404,1,13,15,NULL,NULL,NULL,NULL),(20,404,1,13,16,NULL,NULL,NULL,NULL),(20,404,1,13,17,NULL,NULL,NULL,NULL),(20,404,1,13,18,NULL,NULL,NULL,NULL),(20,404,1,13,19,NULL,NULL,NULL,NULL),(20,404,1,13,20,NULL,NULL,NULL,NULL),(20,404,1,13,21,NULL,NULL,NULL,NULL),(20,404,1,13,22,NULL,NULL,NULL,NULL),(20,404,1,13,23,NULL,NULL,NULL,NULL),(20,404,1,13,24,NULL,NULL,NULL,NULL),(20,404,1,13,25,NULL,NULL,NULL,NULL),(20,404,1,13,26,NULL,NULL,NULL,NULL),(20,404,1,13,27,NULL,NULL,NULL,NULL),(20,404,1,13,28,NULL,NULL,NULL,NULL),(20,404,1,13,29,NULL,NULL,NULL,NULL),(20,404,1,13,30,NULL,NULL,NULL,NULL),(20,404,1,13,31,NULL,NULL,NULL,NULL),(20,404,1,13,32,NULL,NULL,NULL,NULL),(20,404,1,13,33,NULL,NULL,NULL,NULL),(20,404,1,13,34,NULL,NULL,NULL,NULL),(20,404,1,13,35,NULL,NULL,NULL,NULL),(20,404,1,13,36,NULL,NULL,NULL,NULL),(20,404,1,13,37,NULL,NULL,NULL,NULL),(20,404,1,13,38,NULL,NULL,NULL,NULL),(20,404,1,13,39,NULL,NULL,NULL,NULL),(20,404,1,13,40,NULL,NULL,NULL,NULL),(20,404,1,14,1,2,5,NULL,1),(20,404,1,14,2,1,1,NULL,NULL),(20,404,1,14,3,1,5,NULL,3),(20,404,1,14,4,2,2,NULL,NULL),(20,404,1,14,5,5,5,3,2),(20,404,1,14,6,6,6,1,2),(20,404,1,14,7,NULL,5,NULL,2),(20,404,1,14,8,5,2,2,1),(20,404,1,14,9,6,9,2,2),(20,404,1,14,10,2,2,1,2),(20,404,1,14,11,4,NULL,1,NULL),(20,404,1,14,12,NULL,5,NULL,4),(20,404,1,14,13,4,5,2,3),(20,404,1,14,14,3,10,2,3),(20,404,1,14,15,4,4,2,2),(20,404,1,14,16,8,4,4,1),(20,404,1,14,17,NULL,12,NULL,3),(20,404,1,14,18,7,6,2,2),(20,404,1,14,19,3,3,1,2),(20,404,1,14,20,4,7,3,2),(20,404,1,14,21,1,3,NULL,1),(20,404,1,14,22,4,1,1,1),(20,404,1,14,23,4,9,NULL,4),(20,404,1,14,24,NULL,2,NULL,1),(20,404,1,14,25,NULL,7,NULL,3),(20,404,1,14,26,2,NULL,1,NULL),(20,404,1,14,27,2,4,NULL,1),(20,404,1,14,28,2,2,NULL,NULL),(20,404,1,14,29,2,3,1,1),(20,404,1,14,30,4,5,NULL,3),(20,404,1,14,31,7,4,1,1),(20,404,1,14,32,3,2,NULL,1),(20,404,1,14,33,1,3,1,1),(20,404,1,14,34,3,4,1,1),(20,404,1,14,35,3,9,NULL,4),(20,404,1,14,36,2,4,1,1),(20,404,1,14,37,4,6,2,1),(20,404,1,14,38,1,3,NULL,NULL),(20,404,1,14,39,5,3,1,2),(20,404,1,14,40,3,1,1,NULL),(20,404,1,15,1,4,2,2,NULL),(20,404,1,15,2,1,5,NULL,2),(20,404,1,15,3,2,2,1,2),(20,404,1,15,4,3,7,NULL,4),(20,404,1,15,5,3,6,2,3),(20,404,1,15,6,11,9,7,3),(20,404,1,15,7,3,3,1,1),(20,404,1,15,8,9,3,2,2),(20,404,1,15,9,7,9,3,4),(20,404,1,15,10,1,5,1,1),(20,404,1,15,11,NULL,5,NULL,2),(20,404,1,15,12,7,3,3,1),(20,404,1,15,13,7,6,4,3),(20,404,1,15,14,12,3,6,2),(20,404,1,15,15,2,8,2,4),(20,404,1,15,16,12,4,9,1),(20,404,1,15,17,4,11,3,6),(20,404,1,15,18,8,7,6,2),(20,404,1,15,19,11,2,7,1),(20,404,1,15,20,8,3,5,3),(20,404,1,15,21,2,7,NULL,3),(20,404,1,15,22,NULL,2,NULL,1),(20,404,1,15,23,5,11,2,8),(20,404,1,15,24,2,5,1,1),(20,404,1,15,25,2,5,NULL,3),(20,404,1,15,26,2,NULL,1,NULL),(20,404,1,15,27,1,8,NULL,4),(20,404,1,15,28,NULL,4,NULL,1),(20,404,1,15,29,NULL,5,NULL,1),(20,404,1,15,30,2,4,1,2),(20,404,1,15,31,5,4,3,2),(20,404,1,15,32,3,4,2,2),(20,404,1,15,33,2,3,2,1),(20,404,1,15,34,NULL,2,NULL,2),(20,404,1,15,35,4,7,3,2),(20,404,1,15,36,7,6,4,4),(20,404,1,15,37,9,4,5,1),(20,404,1,15,38,NULL,4,NULL,1),(20,404,1,15,39,10,4,5,2),(20,404,1,15,40,1,4,1,2),(20,404,1,16,1,3,17,3,6),(20,404,1,16,2,1,9,1,3),(20,404,1,16,3,2,10,NULL,4),(20,404,1,16,4,5,10,NULL,2),(20,404,1,16,5,3,12,2,3),(20,404,1,16,6,6,14,NULL,5),(20,404,1,16,7,7,6,4,4),(20,404,1,16,8,12,11,7,3),(20,404,1,16,9,10,24,2,6),(20,404,1,16,10,9,12,4,5),(20,404,1,16,11,1,8,1,6),(20,404,1,16,12,2,8,2,2),(20,404,1,16,13,10,16,5,6),(20,404,1,16,14,1,7,NULL,4),(20,404,1,16,15,15,9,4,2),(20,404,1,16,16,2,12,NULL,2),(20,404,1,16,17,23,26,9,11),(20,404,1,16,18,1,7,NULL,NULL),(20,404,1,16,19,26,20,4,5),(20,404,1,16,20,1,17,NULL,4),(20,404,1,16,21,5,12,1,7),(20,404,1,16,22,3,12,1,8),(20,404,1,16,23,5,26,2,13),(20,404,1,16,24,8,9,2,6),(20,404,1,16,25,6,18,2,9),(20,404,1,16,26,2,NULL,2,NULL),(20,404,1,16,27,4,19,1,10),(20,404,1,16,28,3,8,1,6),(20,404,1,16,29,3,12,1,5),(20,404,1,16,30,4,9,1,4),(20,404,1,16,31,4,15,1,5),(20,404,1,16,32,6,8,4,3),(20,404,1,16,33,1,8,NULL,4),(20,404,1,16,34,2,9,NULL,3),(20,404,1,16,35,5,19,NULL,7),(20,404,1,16,36,2,17,1,7),(20,404,1,16,37,8,13,4,7),(20,404,1,16,38,1,2,1,1),(20,404,1,16,39,15,18,6,8),(20,404,1,16,40,4,10,3,6),(20,404,1,17,1,5,12,2,2),(20,404,1,17,2,6,6,5,2),(20,404,1,17,3,3,9,2,3),(20,404,1,17,4,7,12,2,4),(20,404,1,17,5,5,13,1,3),(20,404,1,17,6,14,13,7,5),(20,404,1,17,7,3,12,2,5),(20,404,1,17,8,20,9,13,2),(20,404,1,17,9,8,25,6,8),(20,404,1,17,10,6,8,4,4),(20,404,1,17,11,2,4,1,1),(20,404,1,17,12,6,8,2,2),(20,404,1,17,13,17,21,6,8),(20,404,1,17,14,2,6,NULL,3),(20,404,1,17,15,13,10,10,4),(20,404,1,17,16,2,12,NULL,4),(20,404,1,17,17,20,27,11,10),(20,404,1,17,18,NULL,11,NULL,5),(20,404,1,17,19,24,22,10,6),(20,404,1,17,20,NULL,16,NULL,5),(20,404,1,17,21,3,10,2,3),(20,404,1,17,22,2,7,2,2),(20,404,1,17,23,2,28,1,13),(20,404,1,17,24,5,7,2,4),(20,404,1,17,25,2,12,1,8),(20,404,1,17,26,5,NULL,2,NULL),(20,404,1,17,27,2,14,NULL,7),(20,404,1,17,28,1,3,1,NULL),(20,404,1,17,29,5,12,2,6),(20,404,1,17,30,5,11,2,3),(20,404,1,17,31,7,17,1,8),(20,404,1,17,32,8,11,5,4),(20,404,1,17,33,1,6,NULL,1),(20,404,1,17,34,2,9,NULL,4),(20,404,1,17,35,5,18,3,6),(20,404,1,17,36,3,14,2,5),(20,404,1,17,37,11,11,3,7),(20,404,1,17,38,1,6,1,3),(20,404,1,17,39,13,23,7,9),(20,404,1,17,40,11,5,7,3),(20,404,2,21,1,3,11,1,6),(20,404,2,21,2,NULL,1,NULL,NULL),(20,404,2,21,3,5,15,1,6),(20,404,2,21,4,6,8,2,3),(20,404,2,21,5,1,4,NULL,1),(20,404,2,21,6,4,7,2,3),(20,404,2,21,7,2,8,1,4),(20,404,2,21,8,4,NULL,2,NULL),(20,404,2,21,9,8,23,2,8),(20,404,2,21,10,1,14,NULL,7),(20,404,2,21,11,2,11,2,4),(20,404,2,21,12,4,10,NULL,3),(20,404,2,21,13,11,13,3,5),(20,404,2,21,14,16,14,6,7),(20,404,2,21,15,13,13,4,6),(20,404,2,21,16,17,12,5,4),(20,404,2,21,17,7,6,4,2),(20,404,2,21,18,1,6,NULL,4),(20,404,2,21,19,5,11,2,2),(20,404,2,21,20,6,5,4,NULL),(20,404,2,21,21,NULL,NULL,NULL,NULL),(20,404,2,21,22,1,12,1,5),(20,404,2,21,23,1,5,NULL,NULL),(20,404,2,21,24,NULL,5,NULL,2),(20,404,2,21,25,5,18,2,5),(20,404,2,21,26,1,8,1,7),(20,404,2,21,27,NULL,4,NULL,2),(20,404,2,21,28,7,9,3,5),(20,404,2,21,29,1,8,NULL,2),(20,404,2,21,30,4,6,1,3),(20,404,2,21,31,NULL,11,NULL,6),(20,404,2,21,32,2,10,NULL,2),(20,404,2,21,33,3,18,NULL,7),(20,404,2,21,34,2,17,1,6),(20,404,2,21,35,NULL,12,NULL,5),(20,404,2,21,36,NULL,13,NULL,6),(20,404,2,21,37,2,6,NULL,2),(20,404,2,21,38,NULL,13,NULL,7),(20,404,2,21,39,3,1,3,NULL),(20,404,2,21,40,1,8,1,3),(20,404,2,22,1,1,8,NULL,2),(20,404,2,22,2,NULL,3,NULL,1),(20,404,2,22,3,3,16,NULL,3),(20,404,2,22,4,2,6,NULL,3),(20,404,2,22,5,1,5,NULL,2),(20,404,2,22,6,4,13,1,5),(20,404,2,22,7,NULL,6,NULL,2),(20,404,2,22,8,4,NULL,2,NULL),(20,404,2,22,9,8,19,1,3),(20,404,2,22,10,NULL,10,NULL,5),(20,404,2,22,11,5,9,1,4),(20,404,2,22,12,2,4,NULL,2),(20,404,2,22,13,12,20,5,3),(20,404,2,22,14,16,18,9,3),(20,404,2,22,15,6,14,1,4),(20,404,2,22,16,15,11,4,3),(20,404,2,22,17,1,7,NULL,1),(20,404,2,22,18,NULL,8,NULL,3),(20,404,2,22,19,3,18,1,4),(20,404,2,22,20,4,13,2,5),(20,404,2,22,21,NULL,3,NULL,1),(20,404,2,22,22,1,16,1,7),(20,404,2,22,23,NULL,3,NULL,1),(20,404,2,22,24,NULL,5,NULL,1),(20,404,2,22,25,2,8,1,2),(20,404,2,22,26,NULL,4,NULL,1),(20,404,2,22,27,NULL,5,NULL,2),(20,404,2,22,28,2,5,NULL,NULL),(20,404,2,22,29,1,1,NULL,NULL),(20,404,2,22,30,1,1,NULL,NULL),(20,404,2,22,31,NULL,7,NULL,2),(20,404,2,22,32,5,8,1,1),(20,404,2,22,33,3,13,NULL,3),(20,404,2,22,34,3,5,2,NULL),(20,404,2,22,35,NULL,7,NULL,3),(20,404,2,22,36,3,15,2,3),(20,404,2,22,37,NULL,7,NULL,1),(20,404,2,22,38,1,3,NULL,1),(20,404,2,22,39,1,2,1,1),(20,404,2,22,40,2,7,1,2),(20,404,2,23,1,1,10,NULL,6),(20,404,2,23,2,NULL,3,NULL,NULL),(20,404,2,23,3,2,18,1,6),(20,404,2,23,4,4,4,4,2),(20,404,2,23,5,3,8,2,5),(20,404,2,23,6,3,10,1,6),(20,404,2,23,7,4,12,2,6),(20,404,2,23,8,2,NULL,1,NULL),(20,404,2,23,9,8,18,3,7),(20,404,2,23,10,1,9,NULL,6),(20,404,2,23,11,9,11,4,6),(20,404,2,23,12,NULL,9,NULL,4),(20,404,2,23,13,16,15,6,7),(20,404,2,23,14,15,19,6,9),(20,404,2,23,15,12,11,5,5),(20,404,2,23,16,18,6,6,3),(20,404,2,23,17,2,10,NULL,3),(20,404,2,23,18,1,12,NULL,8),(20,404,2,23,19,5,18,NULL,7),(20,404,2,23,20,3,7,3,3),(20,404,2,23,21,NULL,2,NULL,NULL),(20,404,2,23,22,4,12,NULL,4),(20,404,2,23,23,NULL,4,NULL,1),(20,404,2,23,24,3,3,NULL,1),(20,404,2,23,25,NULL,14,NULL,8),(20,404,2,23,26,2,6,NULL,3),(20,404,2,23,27,NULL,6,NULL,2),(20,404,2,23,28,6,8,3,4),(20,404,2,23,29,NULL,4,NULL,2),(20,404,2,23,30,2,6,1,2),(20,404,2,23,31,3,5,2,1),(20,404,2,23,32,NULL,11,NULL,3),(20,404,2,23,33,5,21,2,6),(20,404,2,23,34,3,8,1,5),(20,404,2,23,35,NULL,10,NULL,5),(20,404,2,23,36,1,12,NULL,4),(20,404,2,23,37,NULL,5,NULL,3),(20,404,2,23,38,1,3,1,2),(20,404,2,23,39,1,2,1,1),(20,404,2,23,40,3,8,2,5),(20,404,2,24,1,3,8,1,5),(20,404,2,24,2,NULL,4,NULL,1),(20,404,2,24,3,5,13,NULL,3),(20,404,2,24,4,8,4,4,3),(20,404,2,24,5,NULL,2,NULL,1),(20,404,2,24,6,9,7,5,4),(20,404,2,24,7,1,3,1,2),(20,404,2,24,8,5,NULL,3,NULL),(20,404,2,24,9,7,16,3,7),(20,404,2,24,10,1,11,NULL,4),(20,404,2,24,11,6,5,5,2),(20,404,2,24,12,1,5,NULL,NULL),(20,404,2,24,13,10,22,7,5),(20,404,2,24,14,14,24,6,9),(20,404,2,24,15,9,13,3,5),(20,404,2,24,16,16,12,6,6),(20,404,2,24,17,3,5,NULL,1),(20,404,2,24,18,2,8,NULL,3),(20,404,2,24,19,1,20,NULL,9),(20,404,2,24,20,8,9,5,3),(20,404,2,24,21,NULL,5,NULL,NULL),(20,404,2,24,22,2,9,1,3),(20,404,2,24,23,NULL,4,NULL,1),(20,404,2,24,24,NULL,4,NULL,NULL),(20,404,2,24,25,2,13,NULL,6),(20,404,2,24,26,4,3,1,1),(20,404,2,24,27,2,4,1,1),(20,404,2,24,28,4,7,3,5),(20,404,2,24,29,NULL,4,NULL,1),(20,404,2,24,30,1,4,1,1),(20,404,2,24,31,1,8,NULL,2),(20,404,2,24,32,1,7,1,3),(20,404,2,24,33,2,13,1,4),(20,404,2,24,34,2,13,NULL,4),(20,404,2,24,35,NULL,6,NULL,2),(20,404,2,24,36,5,7,4,2),(20,404,2,24,37,1,7,NULL,2),(20,404,2,24,38,2,3,1,2),(20,404,2,24,39,2,3,2,1),(20,404,2,24,40,3,9,1,3),(20,415,1,11,1,3,1,2,NULL),(20,415,1,11,2,2,NULL,2,NULL),(20,415,1,11,3,NULL,1,NULL,1),(20,415,1,11,4,NULL,1,NULL,NULL),(20,415,1,11,5,2,NULL,1,NULL),(20,415,1,11,6,3,2,1,1),(20,415,1,11,7,2,1,1,NULL),(20,415,1,11,8,4,NULL,2,NULL),(20,415,1,11,9,2,3,1,1),(20,415,1,11,10,2,NULL,2,NULL),(20,415,1,11,11,NULL,NULL,NULL,NULL),(20,415,1,11,12,2,1,2,NULL),(20,415,1,11,13,2,NULL,1,NULL),(20,415,1,11,14,1,2,1,1),(20,415,1,11,15,2,NULL,2,NULL),(20,415,1,11,16,3,NULL,2,NULL),(20,415,1,11,17,2,3,NULL,2),(20,415,1,11,18,4,1,2,NULL),(20,415,1,11,19,4,1,2,NULL),(20,415,1,11,20,1,NULL,1,NULL),(20,415,1,11,21,NULL,NULL,NULL,NULL),(20,415,1,11,22,NULL,4,NULL,2),(20,415,1,11,23,NULL,2,NULL,1),(20,415,1,11,24,NULL,3,NULL,2),(20,415,1,11,25,4,1,1,1),(20,415,1,11,26,1,NULL,NULL,NULL),(20,415,1,11,27,NULL,4,NULL,2),(20,415,1,11,28,NULL,NULL,NULL,NULL),(20,415,1,11,29,NULL,2,NULL,1),(20,415,1,11,30,NULL,3,NULL,2),(20,415,1,11,31,1,2,1,1),(20,415,1,11,32,2,1,2,NULL),(20,415,1,11,33,NULL,4,NULL,1),(20,415,1,11,34,2,NULL,1,NULL),(20,415,1,11,35,3,2,1,1),(20,415,1,11,36,3,NULL,2,NULL),(20,415,1,11,37,3,NULL,2,NULL),(20,415,1,11,38,1,2,1,NULL),(20,415,1,11,39,3,NULL,2,NULL),(20,415,1,11,40,3,NULL,2,NULL),(20,415,1,12,1,2,NULL,2,NULL),(20,415,1,12,2,NULL,NULL,NULL,NULL),(20,415,1,12,3,NULL,3,NULL,2),(20,415,1,12,4,NULL,1,NULL,NULL),(20,415,1,12,5,1,1,1,1),(20,415,1,12,6,2,1,2,NULL),(20,415,1,12,7,3,NULL,2,NULL),(20,415,1,12,8,2,NULL,2,NULL),(20,415,1,12,9,2,1,2,NULL),(20,415,1,12,10,1,1,1,NULL),(20,415,1,12,11,NULL,1,NULL,1),(20,415,1,12,12,NULL,NULL,NULL,NULL),(20,415,1,12,13,NULL,2,NULL,2),(20,415,1,12,14,2,1,2,NULL),(20,415,1,12,15,2,1,1,1),(20,415,1,12,16,2,NULL,2,NULL),(20,415,1,12,17,1,1,1,1),(20,415,1,12,18,3,NULL,2,NULL),(20,415,1,12,19,3,NULL,2,NULL),(20,415,1,12,20,2,1,1,1),(20,415,1,12,21,NULL,NULL,NULL,NULL),(20,415,1,12,22,NULL,2,NULL,2),(20,415,1,12,23,NULL,1,NULL,1),(20,415,1,12,24,NULL,2,NULL,2),(20,415,1,12,25,2,NULL,2,NULL),(20,415,1,12,26,1,NULL,1,NULL),(20,415,1,12,27,NULL,1,NULL,1),(20,415,1,12,28,1,1,1,1),(20,415,1,12,29,1,1,1,NULL),(20,415,1,12,30,NULL,1,NULL,NULL),(20,415,1,12,31,2,1,1,1),(20,415,1,12,32,3,NULL,2,NULL),(20,415,1,12,33,1,1,1,1),(20,415,1,12,34,1,NULL,1,NULL),(20,415,1,12,35,2,1,1,1),(20,415,1,12,36,1,2,1,1),(20,415,1,12,37,3,NULL,2,NULL),(20,415,1,12,38,NULL,1,NULL,1),(20,415,1,12,39,2,NULL,2,NULL),(20,415,1,12,40,2,NULL,2,NULL),(20,415,1,13,1,NULL,NULL,NULL,NULL),(20,415,1,13,2,1,NULL,NULL,NULL),(20,415,1,13,3,NULL,NULL,NULL,NULL),(20,415,1,13,4,1,NULL,NULL,NULL),(20,415,1,13,5,1,1,NULL,1),(20,415,1,13,6,1,1,NULL,1),(20,415,1,13,7,NULL,2,NULL,1),(20,415,1,13,8,2,NULL,1,NULL),(20,415,1,13,9,1,2,NULL,1),(20,415,1,13,10,2,NULL,1,NULL),(20,415,1,13,11,NULL,NULL,NULL,NULL),(20,415,1,13,12,2,NULL,1,NULL),(20,415,1,13,13,2,1,1,NULL),(20,415,1,13,14,1,1,NULL,1),(20,415,1,13,15,2,NULL,1,NULL),(20,415,1,13,16,2,NULL,1,NULL),(20,415,1,13,17,2,1,1,NULL),(20,415,1,13,18,2,NULL,1,NULL),(20,415,1,13,19,1,NULL,NULL,NULL),(20,415,1,13,20,2,1,1,NULL),(20,415,1,13,21,NULL,1,NULL,1),(20,415,1,13,22,NULL,1,NULL,1),(20,415,1,13,23,NULL,1,NULL,1),(20,415,1,13,24,NULL,2,NULL,1),(20,415,1,13,25,NULL,NULL,NULL,NULL),(20,415,1,13,26,1,NULL,NULL,NULL),(20,415,1,13,27,1,1,1,NULL),(20,415,1,13,28,NULL,1,NULL,1),(20,415,1,13,29,NULL,1,NULL,1),(20,415,1,13,30,NULL,2,NULL,1),(20,415,1,13,31,NULL,2,NULL,1),(20,415,1,13,32,1,1,1,NULL),(20,415,1,13,33,NULL,2,NULL,1),(20,415,1,13,34,NULL,2,NULL,1),(20,415,1,13,35,2,NULL,1,NULL),(20,415,1,13,36,1,1,NULL,1),(20,415,1,13,37,NULL,2,NULL,1),(20,415,1,13,38,NULL,NULL,NULL,NULL),(20,415,1,13,39,3,NULL,1,NULL),(20,415,1,13,40,1,1,NULL,1),(20,415,1,14,1,35,28,3,7),(20,415,1,14,2,24,22,7,2),(20,415,1,14,3,16,32,5,6),(20,415,1,14,4,9,29,1,8),(20,415,1,14,5,55,37,11,9),(20,415,1,14,6,64,43,12,10),(20,415,1,14,7,37,27,11,5),(20,415,1,14,8,61,13,17,3),(20,415,1,14,9,54,48,14,7),(20,415,1,14,10,32,15,12,4),(20,415,1,14,11,7,21,3,7),(20,415,1,14,12,37,25,11,3),(20,415,1,14,13,65,29,16,2),(20,415,1,14,14,70,36,17,5),(20,415,1,14,15,51,23,13,4),(20,415,1,14,16,82,20,19,3),(20,415,1,14,17,42,61,10,9),(20,415,1,14,18,58,33,17,4),(20,415,1,14,19,70,7,17,1),(20,415,1,14,20,85,26,20,2),(20,415,1,14,21,5,29,3,10),(20,415,1,14,22,9,37,2,9),(20,415,1,14,23,13,60,2,12),(20,415,1,14,24,9,30,2,12),(20,415,1,14,25,21,42,8,9),(20,415,1,14,26,24,NULL,10,NULL),(20,415,1,14,27,11,37,2,12),(20,415,1,14,28,7,22,2,9),(20,415,1,14,29,5,20,1,8),(20,415,1,14,30,7,14,2,5),(20,415,1,14,31,27,39,5,12),(20,415,1,14,32,31,11,8,4),(20,415,1,14,33,25,29,9,7),(20,415,1,14,34,9,30,2,10),(20,415,1,14,35,32,35,9,6),(20,415,1,14,36,46,37,11,9),(20,415,1,14,37,40,39,10,9),(20,415,1,14,38,2,21,1,9),(20,415,1,14,39,71,35,13,8),(20,415,1,14,40,51,10,20,NULL),(20,415,1,15,1,33,21,8,2),(20,415,1,15,2,17,20,8,6),(20,415,1,15,3,13,43,4,12),(20,415,1,15,4,9,46,3,9),(20,415,1,15,5,39,40,8,8),(20,415,1,15,6,65,50,12,10),(20,415,1,15,7,34,28,13,7),(20,415,1,15,8,62,13,16,3),(20,415,1,15,9,51,47,8,13),(20,415,1,15,10,28,12,10,3),(20,415,1,15,11,2,31,NULL,10),(20,415,1,15,12,39,28,10,3),(20,415,1,15,13,69,35,16,6),(20,415,1,15,14,75,41,18,3),(20,415,1,15,15,56,15,19,2),(20,415,1,15,16,95,15,18,5),(20,415,1,15,17,40,60,13,8),(20,415,1,15,18,80,18,20,1),(20,415,1,15,19,75,11,21,1),(20,415,1,15,20,82,23,18,2),(20,415,1,15,21,7,21,2,6),(20,415,1,15,22,10,39,5,11),(20,415,1,15,23,11,56,1,11),(20,415,1,15,24,17,40,5,13),(20,415,1,15,25,25,40,10,9),(20,415,1,15,26,20,NULL,9,NULL),(20,415,1,15,27,18,43,6,9),(20,415,1,15,28,4,22,3,6),(20,415,1,15,29,5,24,2,3),(20,415,1,15,30,9,25,5,8),(20,415,1,15,31,29,42,5,11),(20,415,1,15,32,29,22,7,5),(20,415,1,15,33,20,34,7,8),(20,415,1,15,34,7,27,5,9),(20,415,1,15,35,28,34,8,7),(20,415,1,15,36,50,37,19,3),(20,415,1,15,37,42,36,8,10),(20,415,1,15,38,7,21,4,8),(20,415,1,15,39,59,37,13,9),(20,415,1,15,40,46,4,18,1),(20,415,1,16,1,14,14,NULL,NULL),(20,415,1,16,2,8,9,2,NULL),(20,415,1,16,3,10,14,NULL,2),(20,415,1,16,4,5,26,NULL,2),(20,415,1,16,5,15,21,2,1),(20,415,1,16,6,34,24,2,1),(20,415,1,16,7,10,14,1,1),(20,415,1,16,8,31,10,2,NULL),(20,415,1,16,9,33,23,1,2),(20,415,1,16,10,15,5,2,NULL),(20,415,1,16,11,3,11,1,NULL),(20,415,1,16,12,13,14,3,NULL),(20,415,1,16,13,32,17,2,1),(20,415,1,16,14,9,9,1,NULL),(20,415,1,16,15,28,5,2,NULL),(20,415,1,16,16,4,28,NULL,2),(20,415,1,16,17,42,20,2,1),(20,415,1,16,18,4,22,2,NULL),(20,415,1,16,19,30,11,3,NULL),(20,415,1,16,20,6,27,NULL,2),(20,415,1,16,21,4,10,NULL,NULL),(20,415,1,16,22,3,10,1,1),(20,415,1,16,23,8,26,1,2),(20,415,1,16,24,7,11,2,1),(20,415,1,16,25,9,18,1,1),(20,415,1,16,26,8,NULL,1,NULL),(20,415,1,16,27,10,15,3,NULL),(20,415,1,16,28,4,12,2,NULL),(20,415,1,16,29,1,8,NULL,NULL),(20,415,1,16,30,2,13,1,NULL),(20,415,1,16,31,14,16,NULL,1),(20,415,1,16,32,19,8,2,NULL),(20,415,1,16,33,11,8,3,NULL),(20,415,1,16,34,6,12,1,1),(20,415,1,16,35,17,19,3,NULL),(20,415,1,16,36,23,24,2,1),(20,415,1,16,37,18,15,3,NULL),(20,415,1,16,38,1,12,NULL,NULL),(20,415,1,16,39,38,17,3,NULL),(20,415,1,16,40,19,9,3,NULL),(20,415,1,17,1,14,9,3,NULL),(20,415,1,17,2,12,6,2,NULL),(20,415,1,17,3,8,18,1,3),(20,415,1,17,4,6,25,1,2),(20,415,1,17,5,14,19,1,3),(20,415,1,17,6,26,22,2,2),(20,415,1,17,7,12,15,3,NULL),(20,415,1,17,8,30,9,3,NULL),(20,415,1,17,9,18,33,1,3),(20,415,1,17,10,9,8,NULL,NULL),(20,415,1,17,11,5,9,1,1),(20,415,1,17,12,15,12,3,1),(20,415,1,17,13,23,18,4,NULL),(20,415,1,17,14,7,4,1,NULL),(20,415,1,17,15,22,7,2,NULL),(20,415,1,17,16,2,15,NULL,NULL),(20,415,1,17,17,31,21,3,1),(20,415,1,17,18,5,18,1,1),(20,415,1,17,19,28,16,1,3),(20,415,1,17,20,3,18,NULL,3),(20,415,1,17,21,1,8,NULL,1),(20,415,1,17,22,4,14,1,1),(20,415,1,17,23,4,26,NULL,2),(20,415,1,17,24,6,12,NULL,1),(20,415,1,17,25,5,19,2,1),(20,415,1,17,26,8,NULL,2,NULL),(20,415,1,17,27,3,19,NULL,4),(20,415,1,17,28,6,5,1,1),(20,415,1,17,29,4,14,1,1),(20,415,1,17,30,2,11,1,NULL),(20,415,1,17,31,9,17,NULL,1),(20,415,1,17,32,14,8,2,NULL),(20,415,1,17,33,5,14,2,2),(20,415,1,17,34,3,9,1,2),(20,415,1,17,35,13,14,2,1),(20,415,1,17,36,13,16,3,1),(20,415,1,17,37,12,19,1,1),(20,415,1,17,38,2,8,NULL,1),(20,415,1,17,39,24,21,3,1),(20,415,1,17,40,16,5,2,NULL),(20,415,2,21,1,11,15,3,3),(20,415,2,21,2,5,4,NULL,NULL),(20,415,2,21,3,17,27,2,6),(20,415,2,21,4,10,10,3,1),(20,415,2,21,5,8,10,1,3),(20,415,2,21,6,34,23,7,3),(20,415,2,21,7,22,23,9,2),(20,415,2,21,8,15,NULL,3,NULL),(20,415,2,21,9,27,55,2,8),(20,415,2,21,10,3,27,2,6),(20,415,2,21,11,14,21,4,1),(20,415,2,21,12,7,19,1,3),(20,415,2,21,13,61,17,11,2),(20,415,2,21,14,61,35,8,4),(20,415,2,21,15,40,24,8,6),(20,415,2,21,16,33,29,4,5),(20,415,2,21,17,12,18,3,2),(20,415,2,21,18,9,24,3,9),(20,415,2,21,19,12,46,4,6),(20,415,2,21,20,27,37,5,6),(20,415,2,21,21,1,3,1,NULL),(20,415,2,21,22,3,14,NULL,1),(20,415,2,21,23,3,7,1,NULL),(20,415,2,21,24,2,3,1,1),(20,415,2,21,25,13,21,4,3),(20,415,2,21,26,6,6,3,1),(20,415,2,21,27,4,14,NULL,3),(20,415,2,21,28,18,16,6,1),(20,415,2,21,29,3,10,1,2),(20,415,2,21,30,6,3,NULL,1),(20,415,2,21,31,10,17,3,5),(20,415,2,21,32,12,31,4,8),(20,415,2,21,33,19,35,2,7),(20,415,2,21,34,9,24,5,2),(20,415,2,21,35,1,27,NULL,4),(20,415,2,21,36,10,21,4,1),(20,415,2,21,37,12,12,3,4),(20,415,2,21,38,5,27,1,6),(20,415,2,21,39,15,15,3,4),(20,415,2,21,40,18,18,9,1),(20,415,2,22,1,10,15,1,4),(20,415,2,22,2,3,7,1,NULL),(20,415,2,22,3,20,30,7,5),(20,415,2,22,4,11,15,2,NULL),(20,415,2,22,5,5,12,1,3),(20,415,2,22,6,23,24,8,4),(20,415,2,22,7,12,21,3,4),(20,415,2,22,8,18,NULL,5,NULL),(20,415,2,22,9,28,47,5,5),(20,415,2,22,10,2,29,NULL,5),(20,415,2,22,11,18,12,3,2),(20,415,2,22,12,5,11,1,2),(20,415,2,22,13,51,36,9,3),(20,415,2,22,14,56,28,10,3),(20,415,2,22,15,36,23,7,3),(20,415,2,22,16,26,22,7,5),(20,415,2,22,17,14,12,5,2),(20,415,2,22,18,5,30,1,7),(20,415,2,22,19,20,34,4,6),(20,415,2,22,20,29,26,5,4),(20,415,2,22,21,1,2,1,2),(20,415,2,22,22,2,14,1,2),(20,415,2,22,23,2,9,1,1),(20,415,2,22,24,2,8,2,NULL),(20,415,2,22,25,10,24,3,6),(20,415,2,22,26,8,11,5,3),(20,415,2,22,27,1,17,1,6),(20,415,2,22,28,27,19,7,3),(20,415,2,22,29,2,21,NULL,4),(20,415,2,22,30,8,10,4,NULL),(20,415,2,22,31,7,29,3,7),(20,415,2,22,32,10,30,3,4),(20,415,2,22,33,15,26,1,4),(20,415,2,22,34,13,31,2,5),(20,415,2,22,35,2,33,NULL,6),(20,415,2,22,36,19,16,4,2),(20,415,2,22,37,5,16,3,2),(20,415,2,22,38,3,22,3,5),(20,415,2,22,39,13,17,6,3),(20,415,2,22,40,21,22,7,1),(20,415,2,23,1,9,17,2,NULL),(20,415,2,23,2,3,5,2,NULL),(20,415,2,23,3,14,25,2,7),(20,415,2,23,4,13,5,1,NULL),(20,415,2,23,5,3,10,NULL,2),(20,415,2,23,6,24,24,8,2),(20,415,2,23,7,15,20,4,3),(20,415,2,23,8,12,NULL,3,NULL),(20,415,2,23,9,20,50,3,7),(20,415,2,23,10,1,17,NULL,NULL),(20,415,2,23,11,20,6,5,1),(20,415,2,23,12,7,11,4,NULL),(20,415,2,23,13,51,18,9,1),(20,415,2,23,14,56,29,9,1),(20,415,2,23,15,33,24,5,4),(20,415,2,23,16,29,17,4,1),(20,415,2,23,17,14,15,3,3),(20,415,2,23,18,7,24,NULL,3),(20,415,2,23,19,13,36,3,3),(20,415,2,23,20,27,24,6,4),(20,415,2,23,21,NULL,8,NULL,1),(20,415,2,23,22,6,17,1,1),(20,415,2,23,23,3,9,NULL,2),(20,415,2,23,24,1,2,NULL,NULL),(20,415,2,23,25,11,16,3,2),(20,415,2,23,26,10,10,1,NULL),(20,415,2,23,27,1,10,NULL,2),(20,415,2,23,28,14,19,2,2),(20,415,2,23,29,2,11,NULL,4),(20,415,2,23,30,3,5,NULL,1),(20,415,2,23,31,10,25,3,5),(20,415,2,23,32,7,22,4,1),(20,415,2,23,33,9,25,NULL,3),(20,415,2,23,34,11,21,3,2),(20,415,2,23,35,3,22,NULL,2),(20,415,2,23,36,7,14,2,1),(20,415,2,23,37,7,13,5,1),(20,415,2,23,38,5,25,2,4),(20,415,2,23,39,7,14,3,4),(20,415,2,23,40,17,10,2,1),(20,415,2,24,1,8,18,3,3),(20,415,2,24,2,4,12,2,3),(20,415,2,24,3,19,26,4,9),(20,415,2,24,4,8,16,3,2),(20,415,2,24,5,7,16,3,3),(20,415,2,24,6,39,22,13,4),(20,415,2,24,7,17,14,7,5),(20,415,2,24,8,22,NULL,9,NULL),(20,415,2,24,9,24,48,8,8),(20,415,2,24,10,6,21,1,8),(20,415,2,24,11,16,16,4,5),(20,415,2,24,12,5,17,1,3),(20,415,2,24,13,51,32,17,2),(20,415,2,24,14,48,43,15,5),(20,415,2,24,15,35,22,9,4),(20,415,2,24,16,34,19,10,5),(20,415,2,24,17,16,20,8,5),(20,415,2,24,18,8,25,4,8),(20,415,2,24,19,21,34,6,7),(20,415,2,24,20,26,25,12,4),(20,415,2,24,21,3,7,NULL,5),(20,415,2,24,22,6,23,NULL,4),(20,415,2,24,23,5,3,2,1),(20,415,2,24,24,NULL,8,NULL,2),(20,415,2,24,25,22,19,11,5),(20,415,2,24,26,7,17,3,4),(20,415,2,24,27,6,17,4,4),(20,415,2,24,28,16,21,9,3),(20,415,2,24,29,NULL,11,NULL,5),(20,415,2,24,30,9,6,3,2),(20,415,2,24,31,10,20,4,9),(20,415,2,24,32,15,29,7,8),(20,415,2,24,33,15,23,5,4),(20,415,2,24,34,14,21,8,5),(20,415,2,24,35,NULL,26,NULL,7),(20,415,2,24,36,13,15,9,1),(20,415,2,24,37,9,18,5,4),(20,415,2,24,38,3,15,2,9),(20,415,2,24,39,16,14,10,3),(20,415,2,24,40,23,15,9,1),(20,420,1,11,1,NULL,NULL,NULL,NULL),(20,420,1,11,2,NULL,NULL,NULL,NULL),(20,420,1,11,3,NULL,NULL,NULL,NULL),(20,420,1,11,4,NULL,NULL,NULL,NULL),(20,420,1,11,5,NULL,NULL,NULL,NULL),(20,420,1,11,6,NULL,NULL,NULL,NULL),(20,420,1,11,7,NULL,NULL,NULL,NULL),(20,420,1,11,8,NULL,NULL,NULL,NULL),(20,420,1,11,9,NULL,NULL,NULL,NULL),(20,420,1,11,10,NULL,NULL,NULL,NULL),(20,420,1,11,11,NULL,NULL,NULL,NULL),(20,420,1,11,12,NULL,NULL,NULL,NULL),(20,420,1,11,13,NULL,NULL,NULL,NULL),(20,420,1,11,14,NULL,NULL,NULL,NULL),(20,420,1,11,15,NULL,NULL,NULL,NULL),(20,420,1,11,16,NULL,NULL,NULL,NULL),(20,420,1,11,17,NULL,NULL,NULL,NULL),(20,420,1,11,18,NULL,NULL,NULL,NULL),(20,420,1,11,19,NULL,NULL,NULL,NULL),(20,420,1,11,20,NULL,NULL,NULL,NULL),(20,420,1,11,21,NULL,NULL,NULL,NULL),(20,420,1,11,22,NULL,NULL,NULL,NULL),(20,420,1,11,23,NULL,NULL,NULL,NULL),(20,420,1,11,24,NULL,NULL,NULL,NULL),(20,420,1,11,25,NULL,NULL,NULL,NULL),(20,420,1,11,26,NULL,NULL,NULL,NULL),(20,420,1,11,27,NULL,NULL,NULL,NULL),(20,420,1,11,28,NULL,NULL,NULL,NULL),(20,420,1,11,29,NULL,NULL,NULL,NULL),(20,420,1,11,30,NULL,NULL,NULL,NULL),(20,420,1,11,31,NULL,NULL,NULL,NULL),(20,420,1,11,32,NULL,NULL,NULL,NULL),(20,420,1,11,33,NULL,NULL,NULL,NULL),(20,420,1,11,34,NULL,NULL,NULL,NULL),(20,420,1,11,35,NULL,NULL,NULL,NULL),(20,420,1,11,36,NULL,NULL,NULL,NULL),(20,420,1,11,37,NULL,NULL,NULL,NULL),(20,420,1,11,38,NULL,NULL,NULL,NULL),(20,420,1,11,39,NULL,NULL,NULL,NULL),(20,420,1,11,40,NULL,NULL,NULL,NULL),(20,420,1,12,1,NULL,NULL,NULL,NULL),(20,420,1,12,2,1,NULL,1,NULL),(20,420,1,12,3,NULL,1,NULL,NULL),(20,420,1,12,4,NULL,NULL,NULL,NULL),(20,420,1,12,5,NULL,2,NULL,1),(20,420,1,12,6,NULL,2,NULL,1),(20,420,1,12,7,1,1,1,NULL),(20,420,1,12,8,NULL,1,NULL,1),(20,420,1,12,9,NULL,2,NULL,1),(20,420,1,12,10,1,NULL,1,NULL),(20,420,1,12,11,NULL,NULL,NULL,NULL),(20,420,1,12,12,NULL,NULL,NULL,NULL),(20,420,1,12,13,NULL,NULL,NULL,NULL),(20,420,1,12,14,NULL,2,NULL,1),(20,420,1,12,15,1,1,NULL,1),(20,420,1,12,16,1,NULL,1,NULL),(20,420,1,12,17,1,NULL,1,NULL),(20,420,1,12,18,2,NULL,1,NULL),(20,420,1,12,19,1,1,1,NULL),(20,420,1,12,20,1,NULL,1,NULL),(20,420,1,12,21,NULL,NULL,NULL,NULL),(20,420,1,12,22,NULL,NULL,NULL,NULL),(20,420,1,12,23,NULL,2,NULL,1),(20,420,1,12,24,NULL,1,NULL,1),(20,420,1,12,25,NULL,2,NULL,1),(20,420,1,12,26,NULL,NULL,NULL,NULL),(20,420,1,12,27,2,NULL,1,NULL),(20,420,1,12,28,NULL,1,NULL,1),(20,420,1,12,29,NULL,1,NULL,1),(20,420,1,12,30,NULL,1,NULL,1),(20,420,1,12,31,NULL,NULL,NULL,NULL),(20,420,1,12,32,NULL,1,NULL,1),(20,420,1,12,33,1,NULL,1,NULL),(20,420,1,12,34,1,1,NULL,1),(20,420,1,12,35,1,NULL,1,NULL),(20,420,1,12,36,NULL,1,NULL,1),(20,420,1,12,37,1,1,1,NULL),(20,420,1,12,38,NULL,2,NULL,1),(20,420,1,12,39,1,1,NULL,1),(20,420,1,12,40,1,NULL,1,NULL),(20,420,1,13,1,NULL,NULL,NULL,NULL),(20,420,1,13,2,NULL,1,NULL,1),(20,420,1,13,3,NULL,NULL,NULL,NULL),(20,420,1,13,4,NULL,NULL,NULL,NULL),(20,420,1,13,5,NULL,NULL,NULL,NULL),(20,420,1,13,6,NULL,1,NULL,1),(20,420,1,13,7,NULL,NULL,NULL,NULL),(20,420,1,13,8,NULL,1,NULL,1),(20,420,1,13,9,NULL,1,NULL,1),(20,420,1,13,10,1,NULL,1,NULL),(20,420,1,13,11,NULL,NULL,NULL,NULL),(20,420,1,13,12,NULL,NULL,NULL,NULL),(20,420,1,13,13,1,NULL,1,NULL),(20,420,1,13,14,NULL,NULL,NULL,NULL),(20,420,1,13,15,1,NULL,1,NULL),(20,420,1,13,16,1,NULL,1,NULL),(20,420,1,13,17,1,NULL,1,NULL),(20,420,1,13,18,1,NULL,1,NULL),(20,420,1,13,19,NULL,NULL,NULL,NULL),(20,420,1,13,20,1,NULL,1,NULL),(20,420,1,13,21,NULL,NULL,NULL,NULL),(20,420,1,13,22,NULL,1,NULL,1),(20,420,1,13,23,NULL,NULL,NULL,NULL),(20,420,1,13,24,NULL,1,NULL,1),(20,420,1,13,25,NULL,1,NULL,1),(20,420,1,13,26,1,NULL,1,NULL),(20,420,1,13,27,NULL,1,NULL,1),(20,420,1,13,28,NULL,NULL,NULL,NULL),(20,420,1,13,29,NULL,1,NULL,1),(20,420,1,13,30,NULL,NULL,NULL,NULL),(20,420,1,13,31,NULL,NULL,NULL,NULL),(20,420,1,13,32,NULL,1,NULL,1),(20,420,1,13,33,NULL,NULL,NULL,NULL),(20,420,1,13,34,NULL,NULL,NULL,NULL),(20,420,1,13,35,NULL,1,NULL,1),(20,420,1,13,36,1,NULL,1,NULL),(20,420,1,13,37,NULL,1,NULL,1),(20,420,1,13,38,NULL,NULL,NULL,NULL),(20,420,1,13,39,NULL,1,NULL,1),(20,420,1,13,40,1,NULL,1,NULL),(20,420,1,14,1,20,13,6,3),(20,420,1,14,2,11,6,5,2),(20,420,1,14,3,10,24,3,8),(20,420,1,14,4,5,26,1,9),(20,420,1,14,5,21,21,9,7),(20,420,1,14,6,35,26,10,8),(20,420,1,14,7,16,9,7,5),(20,420,1,14,8,35,7,14,1),(20,420,1,14,9,32,26,11,6),(20,420,1,14,10,14,10,5,6),(20,420,1,14,11,3,8,NULL,5),(20,420,1,14,12,22,10,10,5),(20,420,1,14,13,46,18,18,2),(20,420,1,14,14,45,18,16,5),(20,420,1,14,15,21,10,11,3),(20,420,1,14,16,46,9,16,2),(20,420,1,14,17,23,30,9,9),(20,420,1,14,18,43,12,14,5),(20,420,1,14,19,37,4,18,NULL),(20,420,1,14,20,53,19,18,2),(20,420,1,14,21,3,8,1,2),(20,420,1,14,22,5,19,3,10),(20,420,1,14,23,7,34,3,12),(20,420,1,14,24,3,16,1,8),(20,420,1,14,25,10,25,4,8),(20,420,1,14,26,9,NULL,5,NULL),(20,420,1,14,27,14,18,5,10),(20,420,1,14,28,1,12,NULL,8),(20,420,1,14,29,4,13,1,6),(20,420,1,14,30,2,14,NULL,6),(20,420,1,14,31,18,17,6,7),(20,420,1,14,32,20,12,11,4),(20,420,1,14,33,11,11,6,7),(20,420,1,14,34,3,14,NULL,8),(20,420,1,14,35,18,16,7,6),(20,420,1,14,36,26,19,10,7),(20,420,1,14,37,22,16,8,8),(20,420,1,14,38,3,13,NULL,4),(20,420,1,14,39,30,23,14,7),(20,420,1,14,40,25,4,13,1),(20,420,1,15,1,11,13,4,1),(20,420,1,15,2,7,6,NULL,1),(20,420,1,15,3,6,11,2,2),(20,420,1,15,4,5,15,1,2),(20,420,1,15,5,11,23,2,6),(20,420,1,15,6,25,18,4,3),(20,420,1,15,7,6,16,NULL,3),(20,420,1,15,8,23,2,6,NULL),(20,420,1,15,9,12,26,1,3),(20,420,1,15,10,9,7,1,3),(20,420,1,15,11,1,8,NULL,1),(20,420,1,15,12,9,8,3,1),(20,420,1,15,13,28,11,5,3),(20,420,1,15,14,26,16,5,3),(20,420,1,15,15,14,7,1,NULL),(20,420,1,15,16,25,10,6,1),(20,420,1,15,17,18,23,4,3),(20,420,1,15,18,36,6,6,1),(20,420,1,15,19,35,4,6,NULL),(20,420,1,15,20,36,13,6,2),(20,420,1,15,21,2,6,1,2),(20,420,1,15,22,4,15,1,5),(20,420,1,15,23,2,15,1,5),(20,420,1,15,24,3,13,1,4),(20,420,1,15,25,7,20,3,3),(20,420,1,15,26,5,NULL,3,NULL),(20,420,1,15,27,5,19,1,6),(20,420,1,15,28,3,10,1,5),(20,420,1,15,29,3,7,1,1),(20,420,1,15,30,3,11,2,2),(20,420,1,15,31,14,17,2,4),(20,420,1,15,32,15,3,3,NULL),(20,420,1,15,33,9,21,2,5),(20,420,1,15,34,4,9,1,2),(20,420,1,15,35,16,18,2,6),(20,420,1,15,36,16,19,1,7),(20,420,1,15,37,18,18,3,2),(20,420,1,15,38,NULL,8,NULL,2),(20,420,1,15,39,32,10,4,4),(20,420,1,15,40,19,NULL,6,NULL),(20,420,1,16,1,4,11,1,2),(20,420,1,16,2,1,3,NULL,NULL),(20,420,1,16,3,NULL,8,NULL,2),(20,420,1,16,4,3,11,1,NULL),(20,420,1,16,5,8,14,1,2),(20,420,1,16,6,16,15,1,NULL),(20,420,1,16,7,2,4,NULL,1),(20,420,1,16,8,19,2,2,NULL),(20,420,1,16,9,9,18,1,NULL),(20,420,1,16,10,1,9,1,NULL),(20,420,1,16,11,3,5,NULL,2),(20,420,1,16,12,2,7,NULL,1),(20,420,1,16,13,12,18,2,1),(20,420,1,16,14,3,4,NULL,NULL),(20,420,1,16,15,16,4,3,NULL),(20,420,1,16,16,2,6,NULL,1),(20,420,1,16,17,20,15,2,1),(20,420,1,16,18,3,9,1,1),(20,420,1,16,19,18,7,1,NULL),(20,420,1,16,20,4,17,NULL,3),(20,420,1,16,21,3,4,NULL,NULL),(20,420,1,16,22,1,5,1,1),(20,420,1,16,23,4,12,NULL,2),(20,420,1,16,24,8,4,2,1),(20,420,1,16,25,2,8,1,NULL),(20,420,1,16,26,2,NULL,1,NULL),(20,420,1,16,27,5,5,1,NULL),(20,420,1,16,28,2,3,NULL,NULL),(20,420,1,16,29,1,6,NULL,1),(20,420,1,16,30,1,3,NULL,NULL),(20,420,1,16,31,NULL,14,NULL,3),(20,420,1,16,32,7,5,2,NULL),(20,420,1,16,33,4,4,2,NULL),(20,420,1,16,34,NULL,10,NULL,3),(20,420,1,16,35,4,8,1,NULL),(20,420,1,16,36,9,9,1,1),(20,420,1,16,37,5,9,NULL,1),(20,420,1,16,38,2,6,NULL,1),(20,420,1,16,39,14,8,3,NULL),(20,420,1,16,40,10,1,2,NULL),(20,420,1,17,1,8,7,1,1),(20,420,1,17,2,1,5,1,NULL),(20,420,1,17,3,1,7,1,NULL),(20,420,1,17,4,2,8,1,NULL),(20,420,1,17,5,10,11,4,2),(20,420,1,17,6,11,14,1,3),(20,420,1,17,7,7,8,4,NULL),(20,420,1,17,8,16,5,4,1),(20,420,1,17,9,14,17,4,2),(20,420,1,17,10,7,3,3,1),(20,420,1,17,11,2,5,1,2),(20,420,1,17,12,2,7,2,2),(20,420,1,17,13,10,12,4,1),(20,420,1,17,14,3,4,1,NULL),(20,420,1,17,15,10,6,2,NULL),(20,420,1,17,16,3,7,1,2),(20,420,1,17,17,17,15,3,3),(20,420,1,17,18,2,8,1,2),(20,420,1,17,19,19,11,2,3),(20,420,1,17,20,1,9,NULL,3),(20,420,1,17,21,NULL,4,NULL,2),(20,420,1,17,22,2,9,NULL,3),(20,420,1,17,23,1,14,NULL,5),(20,420,1,17,24,2,6,2,1),(20,420,1,17,25,1,14,1,4),(20,420,1,17,26,5,NULL,1,NULL),(20,420,1,17,27,3,10,2,3),(20,420,1,17,28,NULL,2,NULL,1),(20,420,1,17,29,3,9,NULL,2),(20,420,1,17,30,1,6,1,NULL),(20,420,1,17,31,5,8,2,1),(20,420,1,17,32,6,6,2,NULL),(20,420,1,17,33,2,5,1,3),(20,420,1,17,34,3,6,1,1),(20,420,1,17,35,6,10,3,1),(20,420,1,17,36,4,11,3,2),(20,420,1,17,37,12,6,2,1),(20,420,1,17,38,1,6,NULL,1),(20,420,1,17,39,14,13,2,3),(20,420,1,17,40,7,6,4,1),(20,420,2,21,1,3,7,1,5),(20,420,2,21,2,NULL,3,NULL,1),(20,420,2,21,3,7,13,2,3),(20,420,2,21,4,9,8,2,3),(20,420,2,21,5,5,3,3,1),(20,420,2,21,6,12,13,5,7),(20,420,2,21,7,11,11,6,4),(20,420,2,21,8,7,NULL,4,NULL),(20,420,2,21,9,10,27,1,7),(20,420,2,21,10,2,12,NULL,5),(20,420,2,21,11,9,4,7,1),(20,420,2,21,12,4,6,3,4),(20,420,2,21,13,21,11,6,4),(20,420,2,21,14,32,13,10,3),(20,420,2,21,15,20,11,8,4),(20,420,2,21,16,13,12,3,7),(20,420,2,21,17,5,7,1,5),(20,420,2,21,18,2,10,NULL,7),(20,420,2,21,19,4,23,2,6),(20,420,2,21,20,8,18,5,4),(20,420,2,21,21,1,3,NULL,2),(20,420,2,21,22,2,13,NULL,5),(20,420,2,21,23,NULL,3,NULL,1),(20,420,2,21,24,1,4,1,NULL),(20,420,2,21,25,9,12,5,6),(20,420,2,21,26,2,3,2,3),(20,420,2,21,27,3,3,3,1),(20,420,2,21,28,11,4,6,1),(20,420,2,21,29,3,4,3,NULL),(20,420,2,21,30,6,3,4,1),(20,420,2,21,31,2,15,1,4),(20,420,2,21,32,8,14,2,6),(20,420,2,21,33,6,19,2,6),(20,420,2,21,34,7,8,3,3),(20,420,2,21,35,2,14,2,4),(20,420,2,21,36,5,8,2,4),(20,420,2,21,37,7,5,3,3),(20,420,2,21,38,1,11,NULL,6),(20,420,2,21,39,4,7,3,4),(20,420,2,21,40,6,12,2,5),(20,420,2,22,1,5,15,1,3),(20,420,2,22,2,4,4,2,NULL),(20,420,2,22,3,8,21,1,3),(20,420,2,22,4,7,9,1,2),(20,420,2,22,5,3,5,NULL,3),(20,420,2,22,6,6,14,1,4),(20,420,2,22,7,5,19,2,3),(20,420,2,22,8,9,NULL,3,NULL),(20,420,2,22,9,14,29,NULL,4),(20,420,2,22,10,NULL,11,NULL,4),(20,420,2,22,11,13,9,4,1),(20,420,2,22,12,2,7,1,3),(20,420,2,22,13,32,12,5,2),(20,420,2,22,14,23,24,3,3),(20,420,2,22,15,18,16,2,2),(20,420,2,22,16,18,12,2,4),(20,420,2,22,17,11,11,2,1),(20,420,2,22,18,2,12,NULL,2),(20,420,2,22,19,8,19,NULL,3),(20,420,2,22,20,11,15,2,3),(20,420,2,22,21,1,2,1,1),(20,420,2,22,22,5,13,1,2),(20,420,2,22,23,2,5,1,1),(20,420,2,22,24,1,4,NULL,2),(20,420,2,22,25,10,14,3,2),(20,420,2,22,26,3,5,1,2),(20,420,2,22,27,1,8,NULL,NULL),(20,420,2,22,28,9,14,3,1),(20,420,2,22,29,1,8,1,1),(20,420,2,22,30,2,1,NULL,NULL),(20,420,2,22,31,4,5,1,2),(20,420,2,22,32,3,21,NULL,2),(20,420,2,22,33,8,19,1,4),(20,420,2,22,34,8,12,2,2),(20,420,2,22,35,NULL,18,NULL,6),(20,420,2,22,36,8,14,3,2),(20,420,2,22,37,1,12,1,5),(20,420,2,22,38,NULL,13,NULL,3),(20,420,2,22,39,5,7,1,NULL),(20,420,2,22,40,2,19,1,2),(20,420,2,23,1,2,13,2,3),(20,420,2,23,2,2,3,NULL,3),(20,420,2,23,3,5,13,1,3),(20,420,2,23,4,7,10,3,2),(20,420,2,23,5,1,4,1,1),(20,420,2,23,6,8,12,4,6),(20,420,2,23,7,1,14,NULL,8),(20,420,2,23,8,7,NULL,4,NULL),(20,420,2,23,9,9,21,3,6),(20,420,2,23,10,1,10,NULL,1),(20,420,2,23,11,6,8,2,2),(20,420,2,23,12,1,5,1,2),(20,420,2,23,13,20,15,8,2),(20,420,2,23,14,23,13,7,4),(20,420,2,23,15,12,9,6,1),(20,420,2,23,16,15,11,5,2),(20,420,2,23,17,4,6,2,2),(20,420,2,23,18,1,13,NULL,6),(20,420,2,23,19,4,12,NULL,5),(20,420,2,23,20,6,16,3,5),(20,420,2,23,21,NULL,1,NULL,NULL),(20,420,2,23,22,1,12,NULL,3),(20,420,2,23,23,NULL,2,NULL,1),(20,420,2,23,24,NULL,1,NULL,NULL),(20,420,2,23,25,2,10,1,4),(20,420,2,23,26,2,8,1,4),(20,420,2,23,27,1,5,NULL,3),(20,420,2,23,28,12,10,7,2),(20,420,2,23,29,1,7,NULL,5),(20,420,2,23,30,5,8,2,3),(20,420,2,23,31,3,10,2,3),(20,420,2,23,32,NULL,10,NULL,5),(20,420,2,23,33,4,15,NULL,3),(20,420,2,23,34,6,11,4,5),(20,420,2,23,35,1,13,1,6),(20,420,2,23,36,3,11,2,4),(20,420,2,23,37,2,6,2,3),(20,420,2,23,38,1,8,1,3),(20,420,2,23,39,3,9,1,5),(20,420,2,23,40,7,7,4,2),(20,420,2,24,1,6,9,1,3),(20,420,2,24,2,2,5,NULL,NULL),(20,420,2,24,3,5,10,1,3),(20,420,2,24,4,4,9,2,1),(20,420,2,24,5,3,7,NULL,2),(20,420,2,24,6,11,12,3,2),(20,420,2,24,7,3,5,1,2),(20,420,2,24,8,5,NULL,1,NULL),(20,420,2,24,9,7,24,2,2),(20,420,2,24,10,1,12,NULL,3),(20,420,2,24,11,8,7,1,2),(20,420,2,24,12,1,3,NULL,2),(20,420,2,24,13,17,20,3,3),(20,420,2,24,14,26,21,5,2),(20,420,2,24,15,10,9,3,3),(20,420,2,24,16,12,12,2,2),(20,420,2,24,17,7,9,1,1),(20,420,2,24,18,4,10,1,3),(20,420,2,24,19,6,23,NULL,3),(20,420,2,24,20,12,13,3,2),(20,420,2,24,21,NULL,4,NULL,1),(20,420,2,24,22,5,8,1,2),(20,420,2,24,23,1,6,NULL,1),(20,420,2,24,24,1,4,NULL,2),(20,420,2,24,25,5,10,1,NULL),(20,420,2,24,26,NULL,7,NULL,1),(20,420,2,24,27,NULL,5,NULL,3),(20,420,2,24,28,12,5,2,1),(20,420,2,24,29,1,5,NULL,3),(20,420,2,24,30,7,3,1,1),(20,420,2,24,31,1,12,NULL,3),(20,420,2,24,32,4,13,2,1),(20,420,2,24,33,7,22,1,3),(20,420,2,24,34,7,12,2,2),(20,420,2,24,35,2,14,NULL,3),(20,420,2,24,36,4,7,2,1),(20,420,2,24,37,4,6,2,2),(20,420,2,24,38,1,14,NULL,4),(20,420,2,24,39,3,10,NULL,2),(20,420,2,24,40,6,6,3,NULL),(20,421,1,11,1,NULL,1,NULL,1),(20,421,1,11,2,NULL,NULL,NULL,NULL),(20,421,1,11,3,NULL,NULL,NULL,NULL),(20,421,1,11,4,NULL,2,NULL,2),(20,421,1,11,5,NULL,2,NULL,1),(20,421,1,11,6,2,2,2,1),(20,421,1,11,7,NULL,NULL,NULL,NULL),(20,421,1,11,8,2,NULL,2,NULL),(20,421,1,11,9,NULL,NULL,NULL,NULL),(20,421,1,11,10,NULL,NULL,NULL,NULL),(20,421,1,11,11,1,NULL,1,NULL),(20,421,1,11,12,NULL,NULL,NULL,NULL),(20,421,1,11,13,1,2,1,2),(20,421,1,11,14,NULL,1,NULL,NULL),(20,421,1,11,15,2,NULL,1,NULL),(20,421,1,11,16,3,2,3,1),(20,421,1,11,17,2,1,2,1),(20,421,1,11,18,2,1,2,1),(20,421,1,11,19,2,3,2,2),(20,421,1,11,20,NULL,2,NULL,2),(20,421,1,11,21,NULL,NULL,NULL,NULL),(20,421,1,11,22,NULL,NULL,NULL,NULL),(20,421,1,11,23,1,1,1,NULL),(20,421,1,11,24,1,NULL,1,NULL),(20,421,1,11,25,NULL,2,NULL,1),(20,421,1,11,26,3,NULL,3,NULL),(20,421,1,11,27,NULL,NULL,NULL,NULL),(20,421,1,11,28,NULL,NULL,NULL,NULL),(20,421,1,11,29,1,1,1,1),(20,421,1,11,30,NULL,NULL,NULL,NULL),(20,421,1,11,31,1,1,1,1),(20,421,1,11,32,1,1,1,NULL),(20,421,1,11,33,NULL,NULL,NULL,NULL),(20,421,1,11,34,1,NULL,1,NULL),(20,421,1,11,35,NULL,2,NULL,2),(20,421,1,11,36,NULL,NULL,NULL,NULL),(20,421,1,11,37,1,2,1,1),(20,421,1,11,38,NULL,NULL,NULL,NULL),(20,421,1,11,39,3,NULL,2,NULL),(20,421,1,11,40,1,NULL,1,NULL),(20,421,1,12,1,NULL,NULL,NULL,NULL),(20,421,1,12,2,NULL,NULL,NULL,NULL),(20,421,1,12,3,NULL,NULL,NULL,NULL),(20,421,1,12,4,NULL,NULL,NULL,NULL),(20,421,1,12,5,NULL,NULL,NULL,NULL),(20,421,1,12,6,NULL,NULL,NULL,NULL),(20,421,1,12,7,NULL,NULL,NULL,NULL),(20,421,1,12,8,NULL,NULL,NULL,NULL),(20,421,1,12,9,NULL,NULL,NULL,NULL),(20,421,1,12,10,NULL,NULL,NULL,NULL),(20,421,1,12,11,NULL,NULL,NULL,NULL),(20,421,1,12,12,NULL,NULL,NULL,NULL),(20,421,1,12,13,NULL,NULL,NULL,NULL),(20,421,1,12,14,NULL,NULL,NULL,NULL),(20,421,1,12,15,NULL,NULL,NULL,NULL),(20,421,1,12,16,NULL,NULL,NULL,NULL),(20,421,1,12,17,NULL,NULL,NULL,NULL),(20,421,1,12,18,NULL,NULL,NULL,NULL),(20,421,1,12,19,NULL,NULL,NULL,NULL),(20,421,1,12,20,NULL,NULL,NULL,NULL),(20,421,1,12,21,NULL,NULL,NULL,NULL),(20,421,1,12,22,NULL,NULL,NULL,NULL),(20,421,1,12,23,NULL,NULL,NULL,NULL),(20,421,1,12,24,NULL,NULL,NULL,NULL),(20,421,1,12,25,NULL,NULL,NULL,NULL),(20,421,1,12,26,NULL,NULL,NULL,NULL),(20,421,1,12,27,NULL,NULL,NULL,NULL),(20,421,1,12,28,NULL,NULL,NULL,NULL),(20,421,1,12,29,NULL,NULL,NULL,NULL),(20,421,1,12,30,NULL,NULL,NULL,NULL),(20,421,1,12,31,NULL,NULL,NULL,NULL),(20,421,1,12,32,NULL,NULL,NULL,NULL),(20,421,1,12,33,NULL,NULL,NULL,NULL),(20,421,1,12,34,NULL,NULL,NULL,NULL),(20,421,1,12,35,NULL,NULL,NULL,NULL),(20,421,1,12,36,NULL,NULL,NULL,NULL),(20,421,1,12,37,NULL,NULL,NULL,NULL),(20,421,1,12,38,NULL,NULL,NULL,NULL),(20,421,1,12,39,NULL,NULL,NULL,NULL),(20,421,1,12,40,NULL,NULL,NULL,NULL),(20,421,1,13,1,NULL,NULL,NULL,NULL),(20,421,1,13,2,NULL,NULL,NULL,NULL),(20,421,1,13,3,NULL,NULL,NULL,NULL),(20,421,1,13,4,NULL,NULL,NULL,NULL),(20,421,1,13,5,NULL,NULL,NULL,NULL),(20,421,1,13,6,NULL,NULL,NULL,NULL),(20,421,1,13,7,NULL,NULL,NULL,NULL),(20,421,1,13,8,NULL,NULL,NULL,NULL),(20,421,1,13,9,NULL,NULL,NULL,NULL),(20,421,1,13,10,NULL,NULL,NULL,NULL),(20,421,1,13,11,NULL,NULL,NULL,NULL),(20,421,1,13,12,NULL,NULL,NULL,NULL),(20,421,1,13,13,NULL,NULL,NULL,NULL),(20,421,1,13,14,NULL,NULL,NULL,NULL),(20,421,1,13,15,NULL,NULL,NULL,NULL),(20,421,1,13,16,NULL,NULL,NULL,NULL),(20,421,1,13,17,NULL,NULL,NULL,NULL),(20,421,1,13,18,NULL,NULL,NULL,NULL),(20,421,1,13,19,NULL,NULL,NULL,NULL),(20,421,1,13,20,NULL,NULL,NULL,NULL),(20,421,1,13,21,NULL,NULL,NULL,NULL),(20,421,1,13,22,NULL,NULL,NULL,NULL),(20,421,1,13,23,NULL,NULL,NULL,NULL),(20,421,1,13,24,NULL,NULL,NULL,NULL),(20,421,1,13,25,NULL,NULL,NULL,NULL),(20,421,1,13,26,NULL,NULL,NULL,NULL),(20,421,1,13,27,NULL,NULL,NULL,NULL),(20,421,1,13,28,NULL,NULL,NULL,NULL),(20,421,1,13,29,NULL,NULL,NULL,NULL),(20,421,1,13,30,NULL,NULL,NULL,NULL),(20,421,1,13,31,NULL,NULL,NULL,NULL),(20,421,1,13,32,NULL,NULL,NULL,NULL),(20,421,1,13,33,NULL,NULL,NULL,NULL),(20,421,1,13,34,NULL,NULL,NULL,NULL),(20,421,1,13,35,NULL,NULL,NULL,NULL),(20,421,1,13,36,NULL,NULL,NULL,NULL),(20,421,1,13,37,NULL,NULL,NULL,NULL),(20,421,1,13,38,NULL,NULL,NULL,NULL),(20,421,1,13,39,NULL,NULL,NULL,NULL),(20,421,1,13,40,NULL,NULL,NULL,NULL),(20,421,1,14,1,1,1,1,1),(20,421,1,14,2,1,NULL,1,NULL),(20,421,1,14,3,NULL,1,NULL,NULL),(20,421,1,14,4,1,1,NULL,NULL),(20,421,1,14,5,1,1,NULL,2),(20,421,1,14,6,NULL,5,NULL,4),(20,421,1,14,7,1,1,1,1),(20,421,1,14,8,4,1,2,1),(20,421,1,14,9,2,4,1,4),(20,421,1,14,10,1,3,2,1),(20,421,1,14,11,NULL,NULL,NULL,NULL),(20,421,1,14,12,1,1,NULL,2),(20,421,1,14,13,2,2,1,1),(20,421,1,14,14,3,5,2,3),(20,421,1,14,15,2,1,1,2),(20,421,1,14,16,5,1,4,1),(20,421,1,14,17,4,1,3,NULL),(20,421,1,14,18,3,2,2,1),(20,421,1,14,19,5,1,3,1),(20,421,1,14,20,4,2,4,NULL),(20,421,1,14,21,NULL,1,NULL,NULL),(20,421,1,14,22,NULL,NULL,NULL,NULL),(20,421,1,14,23,2,4,1,3),(20,421,1,14,24,NULL,1,NULL,NULL),(20,421,1,14,25,1,1,1,2),(20,421,1,14,26,1,NULL,NULL,NULL),(20,421,1,14,27,NULL,3,NULL,1),(20,421,1,14,28,NULL,2,NULL,1),(20,421,1,14,29,NULL,2,NULL,2),(20,421,1,14,30,NULL,3,NULL,3),(20,421,1,14,31,NULL,4,NULL,1),(20,421,1,14,32,1,2,1,1),(20,421,1,14,33,1,1,1,NULL),(20,421,1,14,34,1,NULL,NULL,NULL),(20,421,1,14,35,NULL,NULL,NULL,NULL),(20,421,1,14,36,NULL,1,NULL,NULL),(20,421,1,14,37,NULL,3,NULL,2),(20,421,1,14,38,NULL,NULL,NULL,NULL),(20,421,1,14,39,1,5,1,4),(20,421,1,14,40,NULL,1,NULL,1),(20,421,1,15,1,1,1,1,1),(20,421,1,15,2,NULL,1,NULL,1),(20,421,1,15,3,NULL,3,NULL,3),(20,421,1,15,4,1,3,2,2),(20,421,1,15,5,1,2,2,2),(20,421,1,15,6,5,2,6,2),(20,421,1,15,7,1,1,1,1),(20,421,1,15,8,NULL,2,NULL,2),(20,421,1,15,9,3,2,4,2),(20,421,1,15,10,1,1,1,1),(20,421,1,15,11,NULL,1,1,1),(20,421,1,15,12,1,2,NULL,2),(20,421,1,15,13,3,5,3,5),(20,421,1,15,14,5,2,6,2),(20,421,1,15,15,2,2,3,2),(20,421,1,15,16,4,NULL,5,NULL),(20,421,1,15,17,5,4,5,3),(20,421,1,15,18,7,NULL,8,NULL),(20,421,1,15,19,4,NULL,5,NULL),(20,421,1,15,20,6,2,6,2),(20,421,1,15,21,NULL,1,NULL,1),(20,421,1,15,22,1,1,1,1),(20,421,1,15,23,NULL,4,NULL,3),(20,421,1,15,24,2,2,2,1),(20,421,1,15,25,NULL,1,NULL,1),(20,421,1,15,26,1,NULL,1,NULL),(20,421,1,15,27,NULL,1,NULL,2),(20,421,1,15,28,NULL,1,NULL,1),(20,421,1,15,29,NULL,1,NULL,1),(20,421,1,15,30,NULL,2,NULL,1),(20,421,1,15,31,1,4,NULL,3),(20,421,1,15,32,NULL,NULL,NULL,NULL),(20,421,1,15,33,NULL,1,NULL,1),(20,421,1,15,34,1,NULL,1,NULL),(20,421,1,15,35,2,2,1,2),(20,421,1,15,36,NULL,2,NULL,2),(20,421,1,15,37,3,2,3,3),(20,421,1,15,38,1,1,1,NULL),(20,421,1,15,39,6,1,5,2),(20,421,1,15,40,1,NULL,1,NULL),(20,421,1,16,1,NULL,1,NULL,1),(20,421,1,16,2,NULL,NULL,NULL,1),(20,421,1,16,3,1,NULL,1,NULL),(20,421,1,16,4,NULL,1,NULL,NULL),(20,421,1,16,5,NULL,1,NULL,1),(20,421,1,16,6,1,1,1,NULL),(20,421,1,16,7,NULL,NULL,NULL,NULL),(20,421,1,16,8,1,NULL,1,NULL),(20,421,1,16,9,1,2,1,1),(20,421,1,16,10,NULL,NULL,NULL,1),(20,421,1,16,11,1,NULL,1,NULL),(20,421,1,16,12,NULL,NULL,NULL,NULL),(20,421,1,16,13,NULL,1,NULL,1),(20,421,1,16,14,NULL,NULL,NULL,NULL),(20,421,1,16,15,2,NULL,2,NULL),(20,421,1,16,16,1,NULL,1,NULL),(20,421,1,16,17,1,2,1,2),(20,421,1,16,18,NULL,NULL,NULL,NULL),(20,421,1,16,19,2,NULL,1,NULL),(20,421,1,16,20,NULL,NULL,NULL,NULL),(20,421,1,16,21,NULL,2,NULL,1),(20,421,1,16,22,1,NULL,1,1),(20,421,1,16,23,NULL,2,NULL,2),(20,421,1,16,24,NULL,NULL,NULL,1),(20,421,1,16,25,NULL,NULL,NULL,1),(20,421,1,16,26,NULL,NULL,NULL,NULL),(20,421,1,16,27,NULL,NULL,NULL,1),(20,421,1,16,28,NULL,NULL,NULL,NULL),(20,421,1,16,29,NULL,1,NULL,1),(20,421,1,16,30,NULL,1,NULL,1),(20,421,1,16,31,NULL,2,NULL,1),(20,421,1,16,32,NULL,1,NULL,2),(20,421,1,16,33,NULL,NULL,NULL,NULL),(20,421,1,16,34,NULL,NULL,NULL,NULL),(20,421,1,16,35,NULL,1,NULL,2),(20,421,1,16,36,1,NULL,1,NULL),(20,421,1,16,37,NULL,NULL,NULL,1),(20,421,1,16,38,NULL,NULL,NULL,NULL),(20,421,1,16,39,2,1,2,1),(20,421,1,16,40,NULL,NULL,NULL,1),(20,421,1,17,1,NULL,NULL,NULL,NULL),(20,421,1,17,2,NULL,2,NULL,NULL),(20,421,1,17,3,NULL,NULL,NULL,NULL),(20,421,1,17,4,NULL,1,NULL,NULL),(20,421,1,17,5,NULL,NULL,NULL,NULL),(20,421,1,17,6,2,1,1,NULL),(20,421,1,17,7,NULL,2,NULL,1),(20,421,1,17,8,2,2,1,NULL),(20,421,1,17,9,NULL,2,NULL,NULL),(20,421,1,17,10,NULL,2,NULL,NULL),(20,421,1,17,11,NULL,NULL,NULL,NULL),(20,421,1,17,12,NULL,NULL,NULL,NULL),(20,421,1,17,13,1,1,1,NULL),(20,421,1,17,14,NULL,NULL,NULL,NULL),(20,421,1,17,15,NULL,1,NULL,NULL),(20,421,1,17,16,NULL,1,NULL,1),(20,421,1,17,17,NULL,3,NULL,1),(20,421,1,17,18,NULL,NULL,NULL,NULL),(20,421,1,17,19,NULL,2,NULL,NULL),(20,421,1,17,20,NULL,2,NULL,1),(20,421,1,17,21,NULL,2,NULL,1),(20,421,1,17,22,1,3,NULL,NULL),(20,421,1,17,23,NULL,2,NULL,NULL),(20,421,1,17,24,NULL,3,NULL,NULL),(20,421,1,17,25,NULL,3,NULL,NULL),(20,421,1,17,26,NULL,NULL,NULL,NULL),(20,421,1,17,27,NULL,1,NULL,NULL),(20,421,1,17,28,NULL,2,NULL,1),(20,421,1,17,29,NULL,1,NULL,NULL),(20,421,1,17,30,NULL,1,NULL,NULL),(20,421,1,17,31,NULL,1,NULL,1),(20,421,1,17,32,NULL,NULL,NULL,NULL),(20,421,1,17,33,NULL,1,NULL,NULL),(20,421,1,17,34,NULL,NULL,NULL,NULL),(20,421,1,17,35,1,NULL,1,NULL),(20,421,1,17,36,1,1,1,NULL),(20,421,1,17,37,1,1,1,NULL),(20,421,1,17,38,NULL,NULL,NULL,NULL),(20,421,1,17,39,NULL,3,NULL,1),(20,421,1,17,40,NULL,1,NULL,NULL),(20,421,2,21,1,1,1,1,1),(20,421,2,21,2,NULL,NULL,NULL,NULL),(20,421,2,21,3,1,1,NULL,1),(20,421,2,21,4,NULL,1,NULL,2),(20,421,2,21,5,NULL,NULL,NULL,NULL),(20,421,2,21,6,NULL,3,NULL,3),(20,421,2,21,7,1,NULL,NULL,1),(20,421,2,21,8,NULL,NULL,NULL,NULL),(20,421,2,21,9,1,3,1,2),(20,421,2,21,10,NULL,NULL,NULL,1),(20,421,2,21,11,3,NULL,3,1),(20,421,2,21,12,1,NULL,1,NULL),(20,421,2,21,13,4,1,3,2),(20,421,2,21,14,4,1,3,2),(20,421,2,21,15,2,2,2,3),(20,421,2,21,16,4,3,3,4),(20,421,2,21,17,1,1,1,1),(20,421,2,21,18,1,NULL,1,NULL),(20,421,2,21,19,NULL,3,NULL,2),(20,421,2,21,20,1,NULL,1,NULL),(20,421,2,21,21,NULL,NULL,NULL,NULL),(20,421,2,21,22,1,1,1,1),(20,421,2,21,23,NULL,1,NULL,1),(20,421,2,21,24,NULL,1,NULL,1),(20,421,2,21,25,NULL,1,NULL,2),(20,421,2,21,26,NULL,NULL,NULL,NULL),(20,421,2,21,27,NULL,NULL,NULL,NULL),(20,421,2,21,28,2,NULL,3,NULL),(20,421,2,21,29,NULL,2,NULL,2),(20,421,2,21,30,NULL,NULL,NULL,1),(20,421,2,21,31,1,1,1,1),(20,421,2,21,32,NULL,1,NULL,1),(20,421,2,21,33,1,3,NULL,4),(20,421,2,21,34,1,NULL,1,1),(20,421,2,21,35,NULL,4,NULL,3),(20,421,2,21,36,NULL,2,NULL,2),(20,421,2,21,37,NULL,3,NULL,4),(20,421,2,21,38,NULL,NULL,NULL,NULL),(20,421,2,21,39,NULL,NULL,NULL,NULL),(20,421,2,21,40,NULL,2,NULL,2),(20,421,2,22,1,1,1,1,1),(20,421,2,22,2,NULL,NULL,NULL,NULL),(20,421,2,22,3,1,NULL,1,NULL),(20,421,2,22,4,1,1,NULL,1),(20,421,2,22,5,NULL,1,NULL,1),(20,421,2,22,6,NULL,1,NULL,1),(20,421,2,22,7,1,1,1,NULL),(20,421,2,22,8,2,NULL,NULL,NULL),(20,421,2,22,9,NULL,4,NULL,1),(20,421,2,22,10,NULL,2,NULL,1),(20,421,2,22,11,NULL,1,NULL,NULL),(20,421,2,22,12,NULL,2,NULL,1),(20,421,2,22,13,4,NULL,1,NULL),(20,421,2,22,14,2,2,1,1),(20,421,2,22,15,1,2,1,1),(20,421,2,22,16,1,3,NULL,1),(20,421,2,22,17,1,NULL,1,NULL),(20,421,2,22,18,NULL,NULL,NULL,NULL),(20,421,2,22,19,1,2,1,NULL),(20,421,2,22,20,1,NULL,1,NULL),(20,421,2,22,21,NULL,NULL,NULL,NULL),(20,421,2,22,22,NULL,1,NULL,NULL),(20,421,2,22,23,1,1,1,NULL),(20,421,2,22,24,NULL,NULL,NULL,NULL),(20,421,2,22,25,1,2,NULL,1),(20,421,2,22,26,NULL,1,NULL,NULL),(20,421,2,22,27,NULL,NULL,NULL,NULL),(20,421,2,22,28,NULL,1,NULL,1),(20,421,2,22,29,NULL,NULL,NULL,NULL),(20,421,2,22,30,NULL,2,NULL,1),(20,421,2,22,31,NULL,NULL,NULL,NULL),(20,421,2,22,32,1,NULL,NULL,NULL),(20,421,2,22,33,NULL,3,NULL,NULL),(20,421,2,22,34,NULL,1,NULL,NULL),(20,421,2,22,35,NULL,NULL,NULL,NULL),(20,421,2,22,36,NULL,3,NULL,2),(20,421,2,22,37,1,NULL,1,NULL),(20,421,2,22,38,1,1,1,1),(20,421,2,22,39,NULL,NULL,NULL,NULL),(20,421,2,22,40,1,NULL,NULL,NULL),(20,421,2,23,1,NULL,3,1,2),(20,421,2,23,2,NULL,NULL,NULL,NULL),(20,421,2,23,3,NULL,1,NULL,1),(20,421,2,23,4,1,NULL,2,NULL),(20,421,2,23,5,NULL,1,NULL,1),(20,421,2,23,6,2,2,1,1),(20,421,2,23,7,NULL,1,NULL,1),(20,421,2,23,8,1,NULL,NULL,NULL),(20,421,2,23,9,1,5,NULL,3),(20,421,2,23,10,1,1,1,1),(20,421,2,23,11,1,1,1,1),(20,421,2,23,12,NULL,1,NULL,NULL),(20,421,2,23,13,1,3,2,1),(20,421,2,23,14,2,3,1,1),(20,421,2,23,15,2,1,NULL,1),(20,421,2,23,16,3,2,3,NULL),(20,421,2,23,17,1,4,1,2),(20,421,2,23,18,1,1,1,NULL),(20,421,2,23,19,2,1,NULL,2),(20,421,2,23,20,3,1,2,1),(20,421,2,23,21,NULL,NULL,NULL,NULL),(20,421,2,23,22,NULL,1,NULL,1),(20,421,2,23,23,NULL,NULL,NULL,NULL),(20,421,2,23,24,NULL,2,NULL,NULL),(20,421,2,23,25,1,4,2,2),(20,421,2,23,26,NULL,3,NULL,2),(20,421,2,23,27,NULL,1,NULL,NULL),(20,421,2,23,28,NULL,2,NULL,2),(20,421,2,23,29,NULL,NULL,NULL,NULL),(20,421,2,23,30,NULL,1,NULL,NULL),(20,421,2,23,31,NULL,NULL,NULL,NULL),(20,421,2,23,32,NULL,2,NULL,1),(20,421,2,23,33,NULL,1,NULL,1),(20,421,2,23,34,1,NULL,1,NULL),(20,421,2,23,35,NULL,1,NULL,NULL),(20,421,2,23,36,1,4,1,1),(20,421,2,23,37,NULL,4,NULL,1),(20,421,2,23,38,NULL,2,NULL,NULL),(20,421,2,23,39,NULL,NULL,NULL,NULL),(20,421,2,23,40,NULL,2,NULL,3),(20,421,2,24,1,1,2,1,1),(20,421,2,24,2,NULL,1,NULL,1),(20,421,2,24,3,NULL,3,NULL,2),(20,421,2,24,4,NULL,3,1,2),(20,421,2,24,5,1,1,1,NULL),(20,421,2,24,6,3,2,3,1),(20,421,2,24,7,1,1,1,1),(20,421,2,24,8,NULL,NULL,NULL,NULL),(20,421,2,24,9,2,3,3,3),(20,421,2,24,10,NULL,1,NULL,1),(20,421,2,24,11,NULL,3,1,2),(20,421,2,24,12,NULL,2,NULL,1),(20,421,2,24,13,3,3,3,2),(20,421,2,24,14,2,2,2,1),(20,421,2,24,15,3,1,4,1),(20,421,2,24,16,2,1,2,NULL),(20,421,2,24,17,1,2,1,2),(20,421,2,24,18,NULL,3,NULL,3),(20,421,2,24,19,NULL,4,NULL,3),(20,421,2,24,20,2,NULL,2,NULL),(20,421,2,24,21,NULL,1,NULL,1),(20,421,2,24,22,NULL,5,NULL,5),(20,421,2,24,23,NULL,NULL,NULL,NULL),(20,421,2,24,24,NULL,1,NULL,1),(20,421,2,24,25,NULL,1,1,NULL),(20,421,2,24,26,NULL,2,NULL,2),(20,421,2,24,27,NULL,1,NULL,1),(20,421,2,24,28,2,1,2,1),(20,421,2,24,29,1,NULL,NULL,NULL),(20,421,2,24,30,NULL,2,NULL,1),(20,421,2,24,31,1,NULL,1,NULL),(20,421,2,24,32,NULL,1,NULL,1),(20,421,2,24,33,1,2,1,1),(20,421,2,24,34,NULL,3,NULL,4),(20,421,2,24,35,NULL,2,NULL,1),(20,421,2,24,36,NULL,3,NULL,4),(20,421,2,24,37,NULL,NULL,NULL,NULL),(20,421,2,24,38,NULL,4,NULL,4),(20,421,2,24,39,NULL,1,NULL,1),(20,421,2,24,40,NULL,2,NULL,2),(20,423,1,11,1,NULL,NULL,NULL,NULL),(20,423,1,11,2,NULL,NULL,NULL,NULL),(20,423,1,11,3,NULL,NULL,NULL,NULL),(20,423,1,11,4,NULL,NULL,NULL,NULL),(20,423,1,11,5,NULL,NULL,NULL,NULL),(20,423,1,11,6,NULL,NULL,NULL,NULL),(20,423,1,11,7,NULL,NULL,NULL,NULL),(20,423,1,11,8,NULL,NULL,NULL,NULL),(20,423,1,11,9,NULL,NULL,NULL,NULL),(20,423,1,11,10,NULL,NULL,NULL,NULL),(20,423,1,11,11,NULL,NULL,NULL,NULL),(20,423,1,11,12,NULL,NULL,NULL,NULL),(20,423,1,11,13,NULL,NULL,NULL,NULL),(20,423,1,11,14,NULL,NULL,NULL,NULL),(20,423,1,11,15,NULL,NULL,NULL,NULL),(20,423,1,11,16,NULL,NULL,NULL,NULL),(20,423,1,11,17,NULL,NULL,NULL,NULL),(20,423,1,11,18,NULL,NULL,NULL,NULL),(20,423,1,11,19,NULL,NULL,NULL,NULL),(20,423,1,11,20,NULL,NULL,NULL,NULL),(20,423,1,11,21,NULL,NULL,NULL,NULL),(20,423,1,11,22,NULL,NULL,NULL,NULL),(20,423,1,11,23,NULL,NULL,NULL,NULL),(20,423,1,11,24,NULL,NULL,NULL,NULL),(20,423,1,11,25,NULL,NULL,NULL,NULL),(20,423,1,11,26,NULL,NULL,NULL,NULL),(20,423,1,11,27,NULL,NULL,NULL,NULL),(20,423,1,11,28,NULL,NULL,NULL,NULL),(20,423,1,11,29,NULL,NULL,NULL,NULL),(20,423,1,11,30,NULL,NULL,NULL,NULL),(20,423,1,11,31,NULL,NULL,NULL,NULL),(20,423,1,11,32,NULL,NULL,NULL,NULL),(20,423,1,11,33,NULL,NULL,NULL,NULL),(20,423,1,11,34,NULL,NULL,NULL,NULL),(20,423,1,11,35,NULL,NULL,NULL,NULL),(20,423,1,11,36,NULL,NULL,NULL,NULL),(20,423,1,11,37,NULL,NULL,NULL,NULL),(20,423,1,11,38,NULL,NULL,NULL,NULL),(20,423,1,11,39,NULL,NULL,NULL,NULL),(20,423,1,11,40,NULL,NULL,NULL,NULL),(20,423,1,12,1,NULL,NULL,NULL,NULL),(20,423,1,12,2,NULL,NULL,NULL,NULL),(20,423,1,12,3,NULL,NULL,NULL,NULL),(20,423,1,12,4,NULL,NULL,NULL,NULL),(20,423,1,12,5,NULL,NULL,NULL,NULL),(20,423,1,12,6,NULL,NULL,NULL,NULL),(20,423,1,12,7,NULL,NULL,NULL,NULL),(20,423,1,12,8,NULL,NULL,NULL,NULL),(20,423,1,12,9,NULL,NULL,NULL,NULL),(20,423,1,12,10,NULL,NULL,NULL,NULL),(20,423,1,12,11,NULL,NULL,NULL,NULL),(20,423,1,12,12,NULL,NULL,NULL,NULL),(20,423,1,12,13,NULL,NULL,NULL,NULL),(20,423,1,12,14,NULL,NULL,NULL,NULL),(20,423,1,12,15,NULL,NULL,NULL,NULL),(20,423,1,12,16,NULL,NULL,NULL,NULL),(20,423,1,12,17,NULL,NULL,NULL,NULL),(20,423,1,12,18,NULL,NULL,NULL,NULL),(20,423,1,12,19,NULL,NULL,NULL,NULL),(20,423,1,12,20,NULL,NULL,NULL,NULL),(20,423,1,12,21,NULL,NULL,NULL,NULL),(20,423,1,12,22,NULL,NULL,NULL,NULL),(20,423,1,12,23,NULL,NULL,NULL,NULL),(20,423,1,12,24,NULL,NULL,NULL,NULL),(20,423,1,12,25,NULL,NULL,NULL,NULL),(20,423,1,12,26,NULL,NULL,NULL,NULL),(20,423,1,12,27,NULL,NULL,NULL,NULL),(20,423,1,12,28,NULL,NULL,NULL,NULL),(20,423,1,12,29,NULL,NULL,NULL,NULL),(20,423,1,12,30,NULL,NULL,NULL,NULL),(20,423,1,12,31,NULL,NULL,NULL,NULL),(20,423,1,12,32,NULL,NULL,NULL,NULL),(20,423,1,12,33,NULL,NULL,NULL,NULL),(20,423,1,12,34,NULL,NULL,NULL,NULL),(20,423,1,12,35,NULL,NULL,NULL,NULL),(20,423,1,12,36,NULL,NULL,NULL,NULL),(20,423,1,12,37,NULL,NULL,NULL,NULL),(20,423,1,12,38,NULL,NULL,NULL,NULL),(20,423,1,12,39,NULL,NULL,NULL,NULL),(20,423,1,12,40,NULL,NULL,NULL,NULL),(20,423,1,13,1,NULL,NULL,NULL,NULL),(20,423,1,13,2,NULL,NULL,NULL,NULL),(20,423,1,13,3,NULL,NULL,NULL,NULL),(20,423,1,13,4,NULL,NULL,NULL,NULL),(20,423,1,13,5,NULL,NULL,NULL,NULL),(20,423,1,13,6,NULL,NULL,NULL,NULL),(20,423,1,13,7,NULL,NULL,NULL,NULL),(20,423,1,13,8,NULL,NULL,NULL,NULL),(20,423,1,13,9,NULL,NULL,NULL,NULL),(20,423,1,13,10,NULL,NULL,NULL,NULL),(20,423,1,13,11,NULL,NULL,NULL,NULL),(20,423,1,13,12,NULL,NULL,NULL,NULL),(20,423,1,13,13,NULL,NULL,NULL,NULL),(20,423,1,13,14,NULL,NULL,NULL,NULL),(20,423,1,13,15,NULL,NULL,NULL,NULL),(20,423,1,13,16,NULL,NULL,NULL,NULL),(20,423,1,13,17,NULL,NULL,NULL,NULL),(20,423,1,13,18,NULL,NULL,NULL,NULL),(20,423,1,13,19,NULL,NULL,NULL,NULL),(20,423,1,13,20,NULL,NULL,NULL,NULL),(20,423,1,13,21,NULL,NULL,NULL,NULL),(20,423,1,13,22,NULL,NULL,NULL,NULL),(20,423,1,13,23,NULL,NULL,NULL,NULL),(20,423,1,13,24,NULL,NULL,NULL,NULL),(20,423,1,13,25,NULL,NULL,NULL,NULL),(20,423,1,13,26,NULL,NULL,NULL,NULL),(20,423,1,13,27,NULL,NULL,NULL,NULL),(20,423,1,13,28,NULL,NULL,NULL,NULL),(20,423,1,13,29,NULL,NULL,NULL,NULL),(20,423,1,13,30,NULL,NULL,NULL,NULL),(20,423,1,13,31,NULL,NULL,NULL,NULL),(20,423,1,13,32,NULL,NULL,NULL,NULL),(20,423,1,13,33,NULL,NULL,NULL,NULL),(20,423,1,13,34,NULL,NULL,NULL,NULL),(20,423,1,13,35,NULL,NULL,NULL,NULL),(20,423,1,13,36,NULL,NULL,NULL,NULL),(20,423,1,13,37,NULL,NULL,NULL,NULL),(20,423,1,13,38,NULL,NULL,NULL,NULL),(20,423,1,13,39,NULL,NULL,NULL,NULL),(20,423,1,13,40,NULL,NULL,NULL,NULL),(20,423,1,14,1,NULL,1,NULL,2),(20,423,1,14,2,1,NULL,1,NULL),(20,423,1,14,3,NULL,NULL,NULL,NULL),(20,423,1,14,4,NULL,1,NULL,2),(20,423,1,14,5,NULL,NULL,NULL,1),(20,423,1,14,6,1,1,2,2),(20,423,1,14,7,1,NULL,1,NULL),(20,423,1,14,8,1,NULL,1,NULL),(20,423,1,14,9,1,1,2,1),(20,423,1,14,10,NULL,2,NULL,3),(20,423,1,14,11,NULL,1,NULL,1),(20,423,1,14,12,NULL,NULL,1,NULL),(20,423,1,14,13,2,1,3,2),(20,423,1,14,14,2,NULL,3,1),(20,423,1,14,15,1,1,2,1),(20,423,1,14,16,1,NULL,1,2),(20,423,1,14,17,NULL,1,1,1),(20,423,1,14,18,NULL,2,1,3),(20,423,1,14,19,1,NULL,2,NULL),(20,423,1,14,20,NULL,3,1,4),(20,423,1,14,21,NULL,1,NULL,2),(20,423,1,14,22,NULL,NULL,NULL,1),(20,423,1,14,23,NULL,2,NULL,3),(20,423,1,14,24,NULL,NULL,NULL,NULL),(20,423,1,14,25,NULL,2,NULL,2),(20,423,1,14,26,1,NULL,1,NULL),(20,423,1,14,27,1,1,1,2),(20,423,1,14,28,NULL,NULL,NULL,1),(20,423,1,14,29,NULL,NULL,NULL,1),(20,423,1,14,30,NULL,NULL,NULL,NULL),(20,423,1,14,31,1,NULL,1,1),(20,423,1,14,32,NULL,NULL,NULL,NULL),(20,423,1,14,33,NULL,NULL,NULL,NULL),(20,423,1,14,34,NULL,NULL,NULL,1),(20,423,1,14,35,1,1,1,2),(20,423,1,14,36,1,1,1,1),(20,423,1,14,37,2,NULL,3,1),(20,423,1,14,38,NULL,NULL,NULL,NULL),(20,423,1,14,39,1,1,1,3),(20,423,1,14,40,1,NULL,2,NULL),(20,423,1,15,1,2,1,2,1),(20,423,1,15,2,NULL,1,1,1),(20,423,1,15,3,1,NULL,1,1),(20,423,1,15,4,1,NULL,NULL,NULL),(20,423,1,15,5,1,1,1,1),(20,423,1,15,6,2,2,2,1),(20,423,1,15,7,NULL,NULL,NULL,NULL),(20,423,1,15,8,2,NULL,2,NULL),(20,423,1,15,9,3,NULL,2,2),(20,423,1,15,10,NULL,1,NULL,1),(20,423,1,15,11,NULL,1,NULL,1),(20,423,1,15,12,NULL,NULL,NULL,NULL),(20,423,1,15,13,1,4,1,4),(20,423,1,15,14,2,1,3,2),(20,423,1,15,15,2,3,2,2),(20,423,1,15,16,1,2,2,NULL),(20,423,1,15,17,NULL,3,NULL,2),(20,423,1,15,18,3,1,3,1),(20,423,1,15,19,4,NULL,4,NULL),(20,423,1,15,20,2,3,3,2),(20,423,1,15,21,NULL,2,NULL,3),(20,423,1,15,22,NULL,NULL,1,1),(20,423,1,15,23,2,2,NULL,3),(20,423,1,15,24,NULL,NULL,NULL,NULL),(20,423,1,15,25,NULL,1,NULL,2),(20,423,1,15,26,NULL,NULL,NULL,NULL),(20,423,1,15,27,1,2,1,3),(20,423,1,15,28,1,NULL,1,NULL),(20,423,1,15,29,1,1,1,2),(20,423,1,15,30,NULL,NULL,NULL,NULL),(20,423,1,15,31,NULL,1,NULL,NULL),(20,423,1,15,32,1,1,1,1),(20,423,1,15,33,NULL,2,1,1),(20,423,1,15,34,NULL,NULL,NULL,NULL),(20,423,1,15,35,1,2,1,2),(20,423,1,15,36,1,1,NULL,1),(20,423,1,15,37,2,1,1,1),(20,423,1,15,38,NULL,1,NULL,2),(20,423,1,15,39,2,1,3,1),(20,423,1,15,40,NULL,1,NULL,1),(20,423,1,16,1,2,2,1,1),(20,423,1,16,2,1,5,1,2),(20,423,1,16,3,2,1,NULL,1),(20,423,1,16,4,5,3,2,1),(20,423,1,16,5,1,4,1,2),(20,423,1,16,6,6,8,2,4),(20,423,1,16,7,2,2,1,1),(20,423,1,16,8,5,1,1,1),(20,423,1,16,9,3,4,NULL,3),(20,423,1,16,10,2,4,1,1),(20,423,1,16,11,NULL,2,NULL,1),(20,423,1,16,12,2,1,2,1),(20,423,1,16,13,6,6,2,2),(20,423,1,16,14,4,2,2,NULL),(20,423,1,16,15,9,1,4,1),(20,423,1,16,16,4,6,1,2),(20,423,1,16,17,13,7,6,3),(20,423,1,16,18,2,5,1,3),(20,423,1,16,19,9,3,3,2),(20,423,1,16,20,4,4,NULL,2),(20,423,1,16,21,2,4,1,1),(20,423,1,16,22,NULL,2,NULL,NULL),(20,423,1,16,23,NULL,7,NULL,4),(20,423,1,16,24,2,NULL,1,NULL),(20,423,1,16,25,1,3,1,1),(20,423,1,16,26,1,NULL,NULL,NULL),(20,423,1,16,27,1,1,1,NULL),(20,423,1,16,28,NULL,3,NULL,1),(20,423,1,16,29,1,5,NULL,3),(20,423,1,16,30,2,1,1,NULL),(20,423,1,16,31,4,4,1,3),(20,423,1,16,32,1,1,1,1),(20,423,1,16,33,1,1,NULL,1),(20,423,1,16,34,NULL,1,NULL,1),(20,423,1,16,35,2,3,1,1),(20,423,1,16,36,3,4,2,1),(20,423,1,16,37,2,2,NULL,2),(20,423,1,16,38,NULL,NULL,NULL,NULL),(20,423,1,16,39,5,7,2,2),(20,423,1,16,40,NULL,3,NULL,NULL),(20,423,1,17,1,NULL,1,NULL,NULL),(20,423,1,17,2,1,2,NULL,1),(20,423,1,17,3,1,3,NULL,3),(20,423,1,17,4,2,4,1,2),(20,423,1,17,5,1,5,1,3),(20,423,1,17,6,8,3,4,NULL),(20,423,1,17,7,NULL,3,NULL,1),(20,423,1,17,8,7,2,5,1),(20,423,1,17,9,7,4,2,2),(20,423,1,17,10,1,2,1,2),(20,423,1,17,11,NULL,1,NULL,NULL),(20,423,1,17,12,3,4,2,2),(20,423,1,17,13,7,7,5,2),(20,423,1,17,14,2,NULL,2,NULL),(20,423,1,17,15,8,NULL,3,NULL),(20,423,1,17,16,NULL,4,NULL,4),(20,423,1,17,17,6,8,4,4),(20,423,1,17,18,2,5,1,1),(20,423,1,17,19,11,4,6,3),(20,423,1,17,20,5,6,3,3),(20,423,1,17,21,NULL,2,NULL,2),(20,423,1,17,22,1,1,NULL,NULL),(20,423,1,17,23,1,3,1,1),(20,423,1,17,24,1,3,NULL,2),(20,423,1,17,25,NULL,2,NULL,2),(20,423,1,17,26,NULL,NULL,NULL,NULL),(20,423,1,17,27,2,2,1,2),(20,423,1,17,28,1,NULL,1,NULL),(20,423,1,17,29,1,3,1,2),(20,423,1,17,30,2,1,1,1),(20,423,1,17,31,1,5,1,4),(20,423,1,17,32,3,2,2,1),(20,423,1,17,33,NULL,1,NULL,NULL),(20,423,1,17,34,1,1,1,1),(20,423,1,17,35,2,4,2,1),(20,423,1,17,36,2,2,NULL,2),(20,423,1,17,37,2,4,1,1),(20,423,1,17,38,NULL,1,NULL,NULL),(20,423,1,17,39,4,6,3,3),(20,423,1,17,40,1,3,NULL,1),(20,423,2,21,1,NULL,2,NULL,1),(20,423,2,21,2,NULL,2,NULL,2),(20,423,2,21,3,2,3,1,1),(20,423,2,21,4,NULL,2,NULL,3),(20,423,2,21,5,NULL,1,NULL,1),(20,423,2,21,6,1,1,1,1),(20,423,2,21,7,1,NULL,1,NULL),(20,423,2,21,8,1,NULL,1,NULL),(20,423,2,21,9,1,6,1,4),(20,423,2,21,10,1,2,1,3),(20,423,2,21,11,1,2,NULL,2),(20,423,2,21,12,NULL,2,NULL,1),(20,423,2,21,13,2,3,1,2),(20,423,2,21,14,4,1,4,1),(20,423,2,21,15,4,2,3,NULL),(20,423,2,21,16,5,1,3,1),(20,423,2,21,17,1,NULL,1,NULL),(20,423,2,21,18,1,1,1,1),(20,423,2,21,19,2,3,1,1),(20,423,2,21,20,NULL,3,NULL,2),(20,423,2,21,21,NULL,1,NULL,NULL),(20,423,2,21,22,1,1,1,1),(20,423,2,21,23,NULL,1,NULL,1),(20,423,2,21,24,NULL,NULL,NULL,1),(20,423,2,21,25,NULL,1,NULL,1),(20,423,2,21,26,NULL,NULL,NULL,NULL),(20,423,2,21,27,1,1,1,1),(20,423,2,21,28,1,NULL,1,1),(20,423,2,21,29,NULL,1,NULL,1),(20,423,2,21,30,1,1,1,2),(20,423,2,21,31,NULL,2,NULL,1),(20,423,2,21,32,NULL,3,NULL,2),(20,423,2,21,33,1,6,1,3),(20,423,2,21,34,NULL,2,NULL,1),(20,423,2,21,35,NULL,1,NULL,NULL),(20,423,2,21,36,NULL,2,NULL,1),(20,423,2,21,37,1,1,NULL,2),(20,423,2,21,38,NULL,NULL,NULL,NULL),(20,423,2,21,39,NULL,2,NULL,2),(20,423,2,21,40,NULL,2,NULL,NULL),(20,423,2,22,1,1,2,NULL,1),(20,423,2,22,2,NULL,1,NULL,1),(20,423,2,22,3,1,3,1,3),(20,423,2,22,4,2,2,1,2),(20,423,2,22,5,NULL,2,NULL,1),(20,423,2,22,6,3,2,3,NULL),(20,423,2,22,7,2,1,3,NULL),(20,423,2,22,8,NULL,NULL,NULL,NULL),(20,423,2,22,9,7,5,6,2),(20,423,2,22,10,1,1,1,NULL),(20,423,2,22,11,4,1,3,1),(20,423,2,22,12,NULL,1,NULL,1),(20,423,2,22,13,5,4,4,4),(20,423,2,22,14,5,5,3,3),(20,423,2,22,15,4,4,2,3),(20,423,2,22,16,6,1,4,1),(20,423,2,22,17,2,2,3,2),(20,423,2,22,18,2,2,2,3),(20,423,2,22,19,1,4,2,2),(20,423,2,22,20,1,2,2,3),(20,423,2,22,21,NULL,NULL,NULL,NULL),(20,423,2,22,22,1,2,1,NULL),(20,423,2,22,23,1,2,NULL,2),(20,423,2,22,24,NULL,2,NULL,1),(20,423,2,22,25,1,2,2,2),(20,423,2,22,26,NULL,1,NULL,NULL),(20,423,2,22,27,NULL,1,NULL,1),(20,423,2,22,28,1,2,1,3),(20,423,2,22,29,NULL,1,NULL,2),(20,423,2,22,30,1,2,1,1),(20,423,2,22,31,2,2,2,1),(20,423,2,22,32,1,4,1,3),(20,423,2,22,33,1,6,1,5),(20,423,2,22,34,1,2,NULL,1),(20,423,2,22,35,NULL,4,NULL,3),(20,423,2,22,36,1,2,1,NULL),(20,423,2,22,37,NULL,1,1,NULL),(20,423,2,22,38,NULL,NULL,NULL,2),(20,423,2,22,39,NULL,1,NULL,1),(20,423,2,22,40,NULL,2,NULL,1),(20,423,2,23,1,NULL,5,NULL,4),(20,423,2,23,2,NULL,NULL,NULL,NULL),(20,423,2,23,3,2,3,1,NULL),(20,423,2,23,4,NULL,3,NULL,2),(20,423,2,23,5,NULL,3,NULL,2),(20,423,2,23,6,NULL,2,NULL,1),(20,423,2,23,7,NULL,5,NULL,4),(20,423,2,23,8,3,NULL,NULL,NULL),(20,423,2,23,9,3,3,2,1),(20,423,2,23,10,NULL,4,NULL,2),(20,423,2,23,11,2,6,1,3),(20,423,2,23,12,NULL,5,NULL,1),(20,423,2,23,13,4,4,1,3),(20,423,2,23,14,4,5,1,3),(20,423,2,23,15,4,NULL,2,NULL),(20,423,2,23,16,5,3,2,1),(20,423,2,23,17,NULL,1,NULL,1),(20,423,2,23,18,NULL,1,NULL,1),(20,423,2,23,19,NULL,2,NULL,1),(20,423,2,23,20,1,1,1,1),(20,423,2,23,21,NULL,NULL,NULL,NULL),(20,423,2,23,22,NULL,2,NULL,1),(20,423,2,23,23,1,NULL,1,NULL),(20,423,2,23,24,NULL,1,NULL,1),(20,423,2,23,25,NULL,3,NULL,NULL),(20,423,2,23,26,NULL,NULL,NULL,NULL),(20,423,2,23,27,NULL,NULL,NULL,NULL),(20,423,2,23,28,2,2,1,1),(20,423,2,23,29,NULL,NULL,NULL,NULL),(20,423,2,23,30,1,2,NULL,1),(20,423,2,23,31,NULL,1,NULL,1),(20,423,2,23,32,NULL,3,NULL,2),(20,423,2,23,33,4,1,2,1),(20,423,2,23,34,1,2,NULL,1),(20,423,2,23,35,NULL,NULL,NULL,1),(20,423,2,23,36,NULL,6,NULL,3),(20,423,2,23,37,NULL,2,NULL,1),(20,423,2,23,38,NULL,2,NULL,2),(20,423,2,23,39,NULL,NULL,NULL,NULL),(20,423,2,23,40,NULL,3,NULL,3),(20,423,2,24,1,1,2,1,1),(20,423,2,24,2,NULL,NULL,NULL,NULL),(20,423,2,24,3,NULL,2,NULL,1),(20,423,2,24,4,2,1,1,1),(20,423,2,24,5,NULL,1,NULL,1),(20,423,2,24,6,NULL,1,NULL,NULL),(20,423,2,24,7,2,NULL,1,NULL),(20,423,2,24,8,1,NULL,NULL,NULL),(20,423,2,24,9,1,9,1,2),(20,423,2,24,10,NULL,2,NULL,1),(20,423,2,24,11,1,1,1,NULL),(20,423,2,24,12,1,2,NULL,1),(20,423,2,24,13,2,NULL,1,NULL),(20,423,2,24,14,3,3,NULL,2),(20,423,2,24,15,NULL,3,NULL,1),(20,423,2,24,16,3,3,NULL,2),(20,423,2,24,17,NULL,2,NULL,1),(20,423,2,24,18,2,2,1,1),(20,423,2,24,19,NULL,4,NULL,1),(20,423,2,24,20,NULL,3,NULL,2),(20,423,2,24,21,NULL,NULL,NULL,NULL),(20,423,2,24,22,NULL,2,NULL,1),(20,423,2,24,23,NULL,1,NULL,NULL),(20,423,2,24,24,NULL,NULL,NULL,NULL),(20,423,2,24,25,1,1,NULL,1),(20,423,2,24,26,NULL,NULL,NULL,NULL),(20,423,2,24,27,NULL,2,NULL,NULL),(20,423,2,24,28,1,NULL,1,NULL),(20,423,2,24,29,NULL,1,NULL,NULL),(20,423,2,24,30,NULL,NULL,NULL,NULL),(20,423,2,24,31,NULL,2,NULL,NULL),(20,423,2,24,32,2,2,NULL,NULL),(20,423,2,24,33,2,5,1,1),(20,423,2,24,34,1,3,NULL,1),(20,423,2,24,35,4,1,1,NULL),(20,423,2,24,36,NULL,NULL,NULL,NULL),(20,423,2,24,37,NULL,NULL,NULL,NULL),(20,423,2,24,38,NULL,NULL,NULL,NULL),(20,423,2,24,39,NULL,2,NULL,NULL),(20,423,2,24,40,NULL,2,NULL,1),(20,424,1,11,1,NULL,NULL,NULL,NULL),(20,424,1,11,2,NULL,NULL,NULL,NULL),(20,424,1,11,3,NULL,NULL,NULL,NULL),(20,424,1,11,4,NULL,NULL,NULL,NULL),(20,424,1,11,5,NULL,NULL,NULL,NULL),(20,424,1,11,6,NULL,NULL,NULL,NULL),(20,424,1,11,7,NULL,NULL,NULL,NULL),(20,424,1,11,8,NULL,NULL,NULL,NULL),(20,424,1,11,9,NULL,NULL,NULL,NULL),(20,424,1,11,10,NULL,NULL,NULL,NULL),(20,424,1,11,11,NULL,NULL,NULL,NULL),(20,424,1,11,12,NULL,NULL,NULL,NULL),(20,424,1,11,13,NULL,NULL,NULL,NULL),(20,424,1,11,14,NULL,NULL,NULL,NULL),(20,424,1,11,15,NULL,NULL,NULL,NULL),(20,424,1,11,16,NULL,NULL,NULL,NULL),(20,424,1,11,17,NULL,NULL,NULL,NULL),(20,424,1,11,18,NULL,NULL,NULL,NULL),(20,424,1,11,19,NULL,NULL,NULL,NULL),(20,424,1,11,20,NULL,NULL,NULL,NULL),(20,424,1,11,21,NULL,NULL,NULL,NULL),(20,424,1,11,22,NULL,NULL,NULL,NULL),(20,424,1,11,23,NULL,NULL,NULL,NULL),(20,424,1,11,24,NULL,NULL,NULL,NULL),(20,424,1,11,25,NULL,NULL,NULL,NULL),(20,424,1,11,26,NULL,NULL,NULL,NULL),(20,424,1,11,27,NULL,NULL,NULL,NULL),(20,424,1,11,28,NULL,NULL,NULL,NULL),(20,424,1,11,29,NULL,NULL,NULL,NULL),(20,424,1,11,30,NULL,NULL,NULL,NULL),(20,424,1,11,31,NULL,NULL,NULL,NULL),(20,424,1,11,32,NULL,NULL,NULL,NULL),(20,424,1,11,33,NULL,NULL,NULL,NULL),(20,424,1,11,34,NULL,NULL,NULL,NULL),(20,424,1,11,35,NULL,NULL,NULL,NULL),(20,424,1,11,36,NULL,NULL,NULL,NULL),(20,424,1,11,37,NULL,NULL,NULL,NULL),(20,424,1,11,38,NULL,NULL,NULL,NULL),(20,424,1,11,39,NULL,NULL,NULL,NULL),(20,424,1,11,40,NULL,NULL,NULL,NULL),(20,424,1,12,1,2,2,2,NULL),(20,424,1,12,2,1,2,1,2),(20,424,1,12,3,2,4,1,4),(20,424,1,12,4,NULL,3,NULL,3),(20,424,1,12,5,2,2,1,1),(20,424,1,12,6,3,5,2,4),(20,424,1,12,7,3,2,3,1),(20,424,1,12,8,2,1,1,1),(20,424,1,12,9,2,3,2,2),(20,424,1,12,10,NULL,3,NULL,2),(20,424,1,12,11,1,1,1,1),(20,424,1,12,12,1,3,1,2),(20,424,1,12,13,NULL,7,NULL,5),(20,424,1,12,14,5,5,3,3),(20,424,1,12,15,6,2,5,1),(20,424,1,12,16,4,NULL,3,NULL),(20,424,1,12,17,3,5,2,3),(20,424,1,12,18,7,2,5,1),(20,424,1,12,19,3,1,2,NULL),(20,424,1,12,20,1,4,1,2),(20,424,1,12,21,NULL,2,NULL,2),(20,424,1,12,22,NULL,1,NULL,1),(20,424,1,12,23,NULL,3,NULL,3),(20,424,1,12,24,1,2,1,2),(20,424,1,12,25,2,2,NULL,2),(20,424,1,12,26,1,NULL,1,NULL),(20,424,1,12,27,1,1,NULL,NULL),(20,424,1,12,28,NULL,1,NULL,NULL),(20,424,1,12,29,NULL,1,NULL,1),(20,424,1,12,30,1,3,NULL,2),(20,424,1,12,31,NULL,4,NULL,2),(20,424,1,12,32,3,2,2,1),(20,424,1,12,33,NULL,NULL,NULL,NULL),(20,424,1,12,34,NULL,NULL,NULL,NULL),(20,424,1,12,35,3,2,2,NULL),(20,424,1,12,36,NULL,3,NULL,3),(20,424,1,12,37,3,2,1,2),(20,424,1,12,38,1,NULL,1,NULL),(20,424,1,12,39,4,3,4,2),(20,424,1,12,40,3,NULL,3,NULL),(20,424,1,13,1,NULL,NULL,NULL,NULL),(20,424,1,13,2,NULL,NULL,NULL,NULL),(20,424,1,13,3,NULL,1,NULL,1),(20,424,1,13,4,1,NULL,1,NULL),(20,424,1,13,5,NULL,1,NULL,NULL),(20,424,1,13,6,NULL,1,NULL,1),(20,424,1,13,7,NULL,NULL,NULL,NULL),(20,424,1,13,8,NULL,NULL,NULL,NULL),(20,424,1,13,9,1,NULL,1,NULL),(20,424,1,13,10,NULL,NULL,NULL,NULL),(20,424,1,13,11,NULL,NULL,NULL,NULL),(20,424,1,13,12,NULL,NULL,NULL,NULL),(20,424,1,13,13,1,NULL,1,NULL),(20,424,1,13,14,NULL,NULL,NULL,NULL),(20,424,1,13,15,1,NULL,1,NULL),(20,424,1,13,16,1,1,1,NULL),(20,424,1,13,17,NULL,NULL,NULL,NULL),(20,424,1,13,18,1,NULL,1,NULL),(20,424,1,13,19,1,NULL,1,NULL),(20,424,1,13,20,NULL,NULL,NULL,NULL),(20,424,1,13,21,1,1,1,NULL),(20,424,1,13,22,NULL,1,NULL,1),(20,424,1,13,23,NULL,NULL,NULL,NULL),(20,424,1,13,24,1,1,NULL,1),(20,424,1,13,25,NULL,NULL,NULL,NULL),(20,424,1,13,26,1,NULL,1,NULL),(20,424,1,13,27,NULL,NULL,NULL,NULL),(20,424,1,13,28,NULL,NULL,NULL,NULL),(20,424,1,13,29,NULL,NULL,NULL,NULL),(20,424,1,13,30,NULL,NULL,NULL,NULL),(20,424,1,13,31,NULL,1,NULL,NULL),(20,424,1,13,32,NULL,NULL,NULL,NULL),(20,424,1,13,33,NULL,NULL,NULL,NULL),(20,424,1,13,34,NULL,NULL,NULL,NULL),(20,424,1,13,35,NULL,NULL,NULL,NULL),(20,424,1,13,36,NULL,NULL,NULL,NULL),(20,424,1,13,37,1,NULL,1,NULL),(20,424,1,13,38,NULL,1,NULL,1),(20,424,1,13,39,NULL,1,NULL,1),(20,424,1,13,40,NULL,NULL,NULL,NULL),(20,424,1,14,1,4,2,3,1),(20,424,1,14,2,1,NULL,1,NULL),(20,424,1,14,3,2,3,2,3),(20,424,1,14,4,NULL,2,NULL,2),(20,424,1,14,5,4,1,5,1),(20,424,1,14,6,9,4,8,3),(20,424,1,14,7,1,2,NULL,2),(20,424,1,14,8,5,1,5,1),(20,424,1,14,9,7,3,6,3),(20,424,1,14,10,2,2,2,2),(20,424,1,14,11,1,3,2,3),(20,424,1,14,12,5,NULL,5,NULL),(20,424,1,14,13,8,1,9,NULL),(20,424,1,14,14,10,1,9,1),(20,424,1,14,15,5,2,5,2),(20,424,1,14,16,11,NULL,10,NULL),(20,424,1,14,17,4,6,5,5),(20,424,1,14,18,11,3,9,2),(20,424,1,14,19,6,1,6,1),(20,424,1,14,20,10,1,9,1),(20,424,1,14,21,1,1,2,1),(20,424,1,14,22,NULL,2,NULL,2),(20,424,1,14,23,2,3,1,3),(20,424,1,14,24,NULL,NULL,NULL,1),(20,424,1,14,25,NULL,2,NULL,2),(20,424,1,14,26,1,NULL,1,NULL),(20,424,1,14,27,NULL,4,NULL,3),(20,424,1,14,28,NULL,1,NULL,1),(20,424,1,14,29,1,5,1,5),(20,424,1,14,30,2,4,1,4),(20,424,1,14,31,3,4,4,3),(20,424,1,14,32,1,2,1,2),(20,424,1,14,33,NULL,1,NULL,1),(20,424,1,14,34,1,1,1,NULL),(20,424,1,14,35,5,4,4,4),(20,424,1,14,36,3,4,2,3),(20,424,1,14,37,3,2,3,1),(20,424,1,14,38,NULL,NULL,NULL,NULL),(20,424,1,14,39,5,4,5,3),(20,424,1,14,40,1,1,NULL,1),(20,424,1,15,1,1,5,2,4),(20,424,1,15,2,NULL,2,NULL,2),(20,424,1,15,3,NULL,2,NULL,3),(20,424,1,15,4,1,4,1,3),(20,424,1,15,5,3,1,4,1),(20,424,1,15,6,3,6,2,6),(20,424,1,15,7,1,3,1,3),(20,424,1,15,8,1,3,1,3),(20,424,1,15,9,2,7,2,3),(20,424,1,15,10,4,1,3,1),(20,424,1,15,11,1,3,1,3),(20,424,1,15,12,NULL,NULL,NULL,NULL),(20,424,1,15,13,4,5,4,2),(20,424,1,15,14,6,5,4,4),(20,424,1,15,15,4,2,4,2),(20,424,1,15,16,5,4,5,2),(20,424,1,15,17,2,5,NULL,5),(20,424,1,15,18,4,3,2,2),(20,424,1,15,19,5,NULL,4,NULL),(20,424,1,15,20,4,1,5,1),(20,424,1,15,21,NULL,1,NULL,1),(20,424,1,15,22,NULL,1,NULL,1),(20,424,1,15,23,2,4,3,4),(20,424,1,15,24,1,1,1,1),(20,424,1,15,25,2,2,2,2),(20,424,1,15,26,NULL,NULL,NULL,NULL),(20,424,1,15,27,NULL,2,NULL,2),(20,424,1,15,28,NULL,NULL,NULL,NULL),(20,424,1,15,29,1,NULL,1,NULL),(20,424,1,15,30,2,1,2,1),(20,424,1,15,31,2,3,2,2),(20,424,1,15,32,1,2,1,2),(20,424,1,15,33,NULL,4,NULL,3),(20,424,1,15,34,NULL,NULL,NULL,NULL),(20,424,1,15,35,2,6,2,4),(20,424,1,15,36,2,3,1,3),(20,424,1,15,37,2,4,3,4),(20,424,1,15,38,NULL,2,NULL,2),(20,424,1,15,39,8,2,7,1),(20,424,1,15,40,2,1,2,1),(20,424,1,16,1,2,1,NULL,1),(20,424,1,16,2,NULL,NULL,NULL,NULL),(20,424,1,16,3,NULL,3,NULL,2),(20,424,1,16,4,NULL,1,NULL,1),(20,424,1,16,5,1,2,NULL,2),(20,424,1,16,6,4,2,4,1),(20,424,1,16,7,NULL,NULL,NULL,NULL),(20,424,1,16,8,4,NULL,2,1),(20,424,1,16,9,3,2,3,1),(20,424,1,16,10,1,NULL,1,NULL),(20,424,1,16,11,NULL,1,NULL,NULL),(20,424,1,16,12,NULL,3,NULL,3),(20,424,1,16,13,3,NULL,1,1),(20,424,1,16,14,1,NULL,1,NULL),(20,424,1,16,15,3,NULL,3,NULL),(20,424,1,16,16,1,2,NULL,2),(20,424,1,16,17,4,4,3,1),(20,424,1,16,18,NULL,2,NULL,1),(20,424,1,16,19,5,NULL,3,NULL),(20,424,1,16,20,NULL,5,NULL,3),(20,424,1,16,21,NULL,NULL,NULL,1),(20,424,1,16,22,NULL,NULL,NULL,NULL),(20,424,1,16,23,NULL,2,NULL,3),(20,424,1,16,24,1,1,NULL,1),(20,424,1,16,25,1,3,1,2),(20,424,1,16,26,1,NULL,1,NULL),(20,424,1,16,27,3,1,1,1),(20,424,1,16,28,1,1,NULL,2),(20,424,1,16,29,1,1,NULL,2),(20,424,1,16,30,1,3,NULL,3),(20,424,1,16,31,2,1,NULL,1),(20,424,1,16,32,1,NULL,NULL,NULL),(20,424,1,16,33,1,NULL,1,NULL),(20,424,1,16,34,NULL,NULL,NULL,NULL),(20,424,1,16,35,NULL,2,NULL,2),(20,424,1,16,36,1,5,1,3),(20,424,1,16,37,2,2,2,2),(20,424,1,16,38,NULL,2,NULL,1),(20,424,1,16,39,3,1,1,1),(20,424,1,16,40,NULL,NULL,NULL,1),(20,424,1,17,1,1,4,1,3),(20,424,1,17,2,2,1,1,NULL),(20,424,1,17,3,NULL,4,NULL,2),(20,424,1,17,4,1,1,NULL,1),(20,424,1,17,5,2,6,NULL,3),(20,424,1,17,6,1,6,1,3),(20,424,1,17,7,1,4,1,2),(20,424,1,17,8,5,1,2,NULL),(20,424,1,17,9,NULL,5,NULL,4),(20,424,1,17,10,1,4,1,1),(20,424,1,17,11,1,2,1,2),(20,424,1,17,12,NULL,3,NULL,2),(20,424,1,17,13,3,3,2,1),(20,424,1,17,14,1,3,NULL,2),(20,424,1,17,15,2,1,2,NULL),(20,424,1,17,16,4,2,2,1),(20,424,1,17,17,5,5,4,1),(20,424,1,17,18,2,4,1,2),(20,424,1,17,19,6,3,3,2),(20,424,1,17,20,2,1,NULL,1),(20,424,1,17,21,NULL,5,NULL,2),(20,424,1,17,22,NULL,1,NULL,NULL),(20,424,1,17,23,NULL,6,NULL,3),(20,424,1,17,24,NULL,3,NULL,1),(20,424,1,17,25,NULL,6,NULL,4),(20,424,1,17,26,1,NULL,1,NULL),(20,424,1,17,27,NULL,3,NULL,2),(20,424,1,17,28,NULL,1,NULL,1),(20,424,1,17,29,1,6,1,3),(20,424,1,17,30,1,1,1,NULL),(20,424,1,17,31,1,3,1,2),(20,424,1,17,32,5,1,4,NULL),(20,424,1,17,33,NULL,3,NULL,2),(20,424,1,17,34,1,1,1,1),(20,424,1,17,35,NULL,3,NULL,2),(20,424,1,17,36,NULL,3,NULL,3),(20,424,1,17,37,2,2,1,1),(20,424,1,17,38,NULL,1,NULL,1),(20,424,1,17,39,2,4,2,2),(20,424,1,17,40,1,1,1,NULL),(20,424,2,21,1,3,2,3,NULL),(20,424,2,21,2,NULL,2,NULL,1),(20,424,2,21,3,1,4,2,3),(20,424,2,21,4,2,1,2,1),(20,424,2,21,5,1,NULL,1,NULL),(20,424,2,21,6,1,2,NULL,2),(20,424,2,21,7,1,4,1,2),(20,424,2,21,8,1,NULL,1,NULL),(20,424,2,21,9,4,5,4,2),(20,424,2,21,10,NULL,3,NULL,1),(20,424,2,21,11,1,6,1,4),(20,424,2,21,12,NULL,2,NULL,1),(20,424,2,21,13,6,4,5,4),(20,424,2,21,14,5,6,5,5),(20,424,2,21,15,4,3,3,2),(20,424,2,21,16,7,1,8,NULL),(20,424,2,21,17,4,1,4,2),(20,424,2,21,18,NULL,2,NULL,2),(20,424,2,21,19,3,3,3,2),(20,424,2,21,20,4,6,2,4),(20,424,2,21,21,NULL,1,NULL,1),(20,424,2,21,22,1,3,NULL,1),(20,424,2,21,23,NULL,1,NULL,1),(20,424,2,21,24,NULL,NULL,NULL,NULL),(20,424,2,21,25,2,2,2,2),(20,424,2,21,26,NULL,1,NULL,1),(20,424,2,21,27,NULL,4,NULL,3),(20,424,2,21,28,1,3,1,2),(20,424,2,21,29,NULL,1,1,1),(20,424,2,21,30,3,1,3,1),(20,424,2,21,31,3,4,2,3),(20,424,2,21,32,2,4,2,3),(20,424,2,21,33,3,6,2,5),(20,424,2,21,34,2,1,1,1),(20,424,2,21,35,NULL,6,NULL,6),(20,424,2,21,36,NULL,5,NULL,4),(20,424,2,21,37,3,NULL,3,NULL),(20,424,2,21,38,1,4,1,4),(20,424,2,21,39,NULL,2,NULL,2),(20,424,2,21,40,2,5,1,4),(20,424,2,22,1,NULL,6,NULL,3),(20,424,2,22,2,NULL,NULL,NULL,NULL),(20,424,2,22,3,2,3,1,1),(20,424,2,22,4,1,4,1,2),(20,424,2,22,5,1,4,NULL,2),(20,424,2,22,6,NULL,2,NULL,1),(20,424,2,22,7,NULL,2,NULL,2),(20,424,2,22,8,NULL,NULL,NULL,NULL),(20,424,2,22,9,1,2,NULL,1),(20,424,2,22,10,1,4,NULL,2),(20,424,2,22,11,1,4,NULL,2),(20,424,2,22,12,NULL,3,NULL,3),(20,424,2,22,13,NULL,9,NULL,6),(20,424,2,22,14,3,6,1,4),(20,424,2,22,15,5,3,2,1),(20,424,2,22,16,3,3,2,2),(20,424,2,22,17,1,2,1,1),(20,424,2,22,18,NULL,2,NULL,1),(20,424,2,22,19,1,4,1,2),(20,424,2,22,20,NULL,2,NULL,1),(20,424,2,22,21,NULL,1,NULL,NULL),(20,424,2,22,22,NULL,4,NULL,2),(20,424,2,22,23,NULL,1,NULL,NULL),(20,424,2,22,24,NULL,1,NULL,NULL),(20,424,2,22,25,NULL,5,NULL,3),(20,424,2,22,26,NULL,NULL,NULL,NULL),(20,424,2,22,27,NULL,NULL,NULL,NULL),(20,424,2,22,28,NULL,3,NULL,1),(20,424,2,22,29,NULL,NULL,NULL,NULL),(20,424,2,22,30,1,2,NULL,NULL),(20,424,2,22,31,NULL,1,NULL,NULL),(20,424,2,22,32,NULL,2,NULL,1),(20,424,2,22,33,NULL,8,NULL,4),(20,424,2,22,34,1,1,1,1),(20,424,2,22,35,NULL,2,NULL,1),(20,424,2,22,36,NULL,2,NULL,1),(20,424,2,22,37,NULL,1,NULL,1),(20,424,2,22,38,NULL,2,NULL,2),(20,424,2,22,39,NULL,NULL,NULL,NULL),(20,424,2,22,40,NULL,5,NULL,3),(20,424,2,23,1,NULL,2,NULL,1),(20,424,2,23,2,NULL,1,NULL,1),(20,424,2,23,3,1,6,1,3),(20,424,2,23,4,NULL,2,NULL,1),(20,424,2,23,5,1,3,1,2),(20,424,2,23,6,4,5,4,3),(20,424,2,23,7,1,4,NULL,3),(20,424,2,23,8,6,NULL,5,NULL),(20,424,2,23,9,2,7,1,4),(20,424,2,23,10,NULL,6,NULL,4),(20,424,2,23,11,1,6,NULL,4),(20,424,2,23,12,NULL,2,NULL,1),(20,424,2,23,13,5,8,2,6),(20,424,2,23,14,7,9,5,6),(20,424,2,23,15,5,4,4,2),(20,424,2,23,16,3,5,2,3),(20,424,2,23,17,2,1,1,NULL),(20,424,2,23,18,NULL,1,NULL,1),(20,424,2,23,19,NULL,8,NULL,6),(20,424,2,23,20,2,7,2,5),(20,424,2,23,21,NULL,NULL,NULL,NULL),(20,424,2,23,22,NULL,6,NULL,4),(20,424,2,23,23,NULL,2,NULL,NULL),(20,424,2,23,24,NULL,1,NULL,NULL),(20,424,2,23,25,1,5,NULL,5),(20,424,2,23,26,NULL,2,NULL,2),(20,424,2,23,27,NULL,2,NULL,1),(20,424,2,23,28,1,3,1,3),(20,424,2,23,29,NULL,NULL,NULL,NULL),(20,424,2,23,30,NULL,5,NULL,5),(20,424,2,23,31,1,4,1,2),(20,424,2,23,32,1,2,1,2),(20,424,2,23,33,NULL,9,NULL,6),(20,424,2,23,34,NULL,2,NULL,1),(20,424,2,23,35,NULL,6,NULL,4),(20,424,2,23,36,1,9,NULL,7),(20,424,2,23,37,1,4,NULL,3),(20,424,2,23,38,NULL,1,NULL,NULL),(20,424,2,23,39,NULL,1,NULL,NULL),(20,424,2,23,40,1,6,1,5),(20,424,2,24,1,3,2,1,1),(20,424,2,24,2,NULL,2,NULL,2),(20,424,2,24,3,1,9,2,5),(20,424,2,24,4,2,2,2,1),(20,424,2,24,5,NULL,2,NULL,1),(20,424,2,24,6,3,4,3,2),(20,424,2,24,7,NULL,1,NULL,2),(20,424,2,24,8,3,NULL,3,NULL),(20,424,2,24,9,3,10,2,7),(20,424,2,24,10,2,2,2,2),(20,424,2,24,11,1,4,NULL,3),(20,424,2,24,12,NULL,4,NULL,1),(20,424,2,24,13,3,7,3,5),(20,424,2,24,14,7,4,4,4),(20,424,2,24,15,6,3,4,3),(20,424,2,24,16,8,2,5,1),(20,424,2,24,17,NULL,2,NULL,1),(20,424,2,24,18,NULL,2,NULL,1),(20,424,2,24,19,2,5,2,5),(20,424,2,24,20,2,2,2,1),(20,424,2,24,21,NULL,NULL,NULL,NULL),(20,424,2,24,22,1,2,1,2),(20,424,2,24,23,1,2,1,2),(20,424,2,24,24,NULL,1,NULL,NULL),(20,424,2,24,25,1,6,NULL,4),(20,424,2,24,26,NULL,3,NULL,4),(20,424,2,24,27,NULL,1,NULL,1),(20,424,2,24,28,1,2,1,2),(20,424,2,24,29,NULL,1,NULL,2),(20,424,2,24,30,1,2,1,2),(20,424,2,24,31,NULL,2,NULL,2),(20,424,2,24,32,NULL,2,NULL,1),(20,424,2,24,33,2,8,NULL,6),(20,424,2,24,34,NULL,1,NULL,NULL),(20,424,2,24,35,1,1,1,1),(20,424,2,24,36,NULL,7,NULL,5),(20,424,2,24,37,1,4,1,2),(20,424,2,24,38,NULL,2,NULL,3),(20,424,2,24,39,NULL,NULL,NULL,NULL),(20,424,2,24,40,NULL,4,NULL,3),(20,425,1,11,1,NULL,NULL,NULL,NULL),(20,425,1,11,2,NULL,NULL,NULL,NULL),(20,425,1,11,3,NULL,NULL,NULL,NULL),(20,425,1,11,4,NULL,NULL,NULL,NULL),(20,425,1,11,5,NULL,NULL,NULL,NULL),(20,425,1,11,6,NULL,NULL,NULL,NULL),(20,425,1,11,7,NULL,NULL,NULL,NULL),(20,425,1,11,8,NULL,NULL,NULL,NULL),(20,425,1,11,9,NULL,NULL,NULL,NULL),(20,425,1,11,10,NULL,NULL,NULL,NULL),(20,425,1,11,11,NULL,NULL,NULL,NULL),(20,425,1,11,12,NULL,NULL,NULL,NULL),(20,425,1,11,13,NULL,NULL,NULL,NULL),(20,425,1,11,14,NULL,NULL,NULL,NULL),(20,425,1,11,15,NULL,NULL,NULL,NULL),(20,425,1,11,16,NULL,NULL,NULL,NULL),(20,425,1,11,17,NULL,NULL,NULL,NULL),(20,425,1,11,18,NULL,NULL,NULL,NULL),(20,425,1,11,19,NULL,NULL,NULL,NULL),(20,425,1,11,20,NULL,NULL,NULL,NULL),(20,425,1,11,21,NULL,NULL,NULL,NULL),(20,425,1,11,22,NULL,NULL,NULL,NULL),(20,425,1,11,23,NULL,NULL,NULL,NULL),(20,425,1,11,24,NULL,NULL,NULL,NULL),(20,425,1,11,25,NULL,NULL,NULL,NULL),(20,425,1,11,26,NULL,NULL,NULL,NULL),(20,425,1,11,27,NULL,NULL,NULL,NULL),(20,425,1,11,28,NULL,NULL,NULL,NULL),(20,425,1,11,29,NULL,NULL,NULL,NULL),(20,425,1,11,30,NULL,NULL,NULL,NULL),(20,425,1,11,31,NULL,NULL,NULL,NULL),(20,425,1,11,32,NULL,NULL,NULL,NULL),(20,425,1,11,33,NULL,NULL,NULL,NULL),(20,425,1,11,34,NULL,NULL,NULL,NULL),(20,425,1,11,35,NULL,NULL,NULL,NULL),(20,425,1,11,36,NULL,NULL,NULL,NULL),(20,425,1,11,37,NULL,NULL,NULL,NULL),(20,425,1,11,38,NULL,NULL,NULL,NULL),(20,425,1,11,39,NULL,NULL,NULL,NULL),(20,425,1,11,40,NULL,NULL,NULL,NULL),(20,425,1,12,1,NULL,NULL,NULL,NULL),(20,425,1,12,2,NULL,1,NULL,NULL),(20,425,1,12,3,1,NULL,NULL,NULL),(20,425,1,12,4,NULL,NULL,NULL,NULL),(20,425,1,12,5,NULL,NULL,NULL,NULL),(20,425,1,12,6,NULL,NULL,NULL,NULL),(20,425,1,12,7,1,NULL,NULL,NULL),(20,425,1,12,8,NULL,NULL,NULL,NULL),(20,425,1,12,9,NULL,NULL,NULL,NULL),(20,425,1,12,10,NULL,NULL,NULL,NULL),(20,425,1,12,11,NULL,NULL,NULL,NULL),(20,425,1,12,12,NULL,1,NULL,NULL),(20,425,1,12,13,NULL,1,NULL,NULL),(20,425,1,12,14,NULL,NULL,NULL,NULL),(20,425,1,12,15,NULL,NULL,NULL,NULL),(20,425,1,12,16,NULL,NULL,NULL,NULL),(20,425,1,12,17,1,NULL,NULL,NULL),(20,425,1,12,18,NULL,1,NULL,NULL),(20,425,1,12,19,NULL,NULL,NULL,NULL),(20,425,1,12,20,1,NULL,NULL,NULL),(20,425,1,12,21,NULL,1,NULL,NULL),(20,425,1,12,22,NULL,NULL,NULL,NULL),(20,425,1,12,23,1,NULL,NULL,NULL),(20,425,1,12,24,NULL,1,NULL,NULL),(20,425,1,12,25,NULL,NULL,NULL,NULL),(20,425,1,12,26,NULL,NULL,NULL,NULL),(20,425,1,12,27,NULL,NULL,NULL,NULL),(20,425,1,12,28,NULL,1,NULL,NULL),(20,425,1,12,29,NULL,NULL,NULL,NULL),(20,425,1,12,30,NULL,NULL,NULL,NULL),(20,425,1,12,31,NULL,NULL,NULL,NULL),(20,425,1,12,32,NULL,1,NULL,NULL),(20,425,1,12,33,NULL,NULL,NULL,NULL),(20,425,1,12,34,NULL,NULL,NULL,NULL),(20,425,1,12,35,NULL,1,NULL,NULL),(20,425,1,12,36,1,NULL,NULL,NULL),(20,425,1,12,37,NULL,NULL,NULL,NULL),(20,425,1,12,38,NULL,1,NULL,NULL),(20,425,1,12,39,1,1,NULL,NULL),(20,425,1,12,40,NULL,NULL,NULL,NULL),(20,425,1,13,1,NULL,NULL,NULL,NULL),(20,425,1,13,2,NULL,NULL,NULL,NULL),(20,425,1,13,3,NULL,NULL,NULL,NULL),(20,425,1,13,4,NULL,NULL,NULL,NULL),(20,425,1,13,5,NULL,NULL,NULL,NULL),(20,425,1,13,6,NULL,NULL,NULL,NULL),(20,425,1,13,7,NULL,NULL,NULL,NULL),(20,425,1,13,8,NULL,NULL,NULL,NULL),(20,425,1,13,9,NULL,NULL,NULL,NULL),(20,425,1,13,10,NULL,NULL,NULL,NULL),(20,425,1,13,11,NULL,NULL,NULL,NULL),(20,425,1,13,12,NULL,NULL,NULL,NULL),(20,425,1,13,13,NULL,NULL,NULL,NULL),(20,425,1,13,14,NULL,NULL,NULL,NULL),(20,425,1,13,15,NULL,NULL,NULL,NULL),(20,425,1,13,16,NULL,NULL,NULL,NULL),(20,425,1,13,17,NULL,NULL,NULL,NULL),(20,425,1,13,18,NULL,NULL,NULL,NULL),(20,425,1,13,19,NULL,NULL,NULL,NULL),(20,425,1,13,20,NULL,NULL,NULL,NULL),(20,425,1,13,21,NULL,NULL,NULL,NULL),(20,425,1,13,22,NULL,NULL,NULL,NULL),(20,425,1,13,23,NULL,NULL,NULL,NULL),(20,425,1,13,24,NULL,NULL,NULL,NULL),(20,425,1,13,25,NULL,NULL,NULL,NULL),(20,425,1,13,26,NULL,NULL,NULL,NULL),(20,425,1,13,27,NULL,NULL,NULL,NULL),(20,425,1,13,28,NULL,NULL,NULL,NULL),(20,425,1,13,29,NULL,NULL,NULL,NULL),(20,425,1,13,30,NULL,NULL,NULL,NULL),(20,425,1,13,31,NULL,NULL,NULL,NULL),(20,425,1,13,32,NULL,NULL,NULL,NULL),(20,425,1,13,33,NULL,NULL,NULL,NULL),(20,425,1,13,34,NULL,NULL,NULL,NULL),(20,425,1,13,35,NULL,NULL,NULL,NULL),(20,425,1,13,36,NULL,NULL,NULL,NULL),(20,425,1,13,37,NULL,NULL,NULL,NULL),(20,425,1,13,38,NULL,NULL,NULL,NULL),(20,425,1,13,39,NULL,NULL,NULL,NULL),(20,425,1,13,40,NULL,NULL,NULL,NULL),(20,425,1,14,1,3,14,3,5),(20,425,1,14,2,4,4,2,2),(20,425,1,14,3,2,8,2,4),(20,425,1,14,4,3,10,1,3),(20,425,1,14,5,12,8,5,4),(20,425,1,14,6,18,18,10,7),(20,425,1,14,7,5,11,3,6),(20,425,1,14,8,13,7,9,4),(20,425,1,14,9,18,18,10,5),(20,425,1,14,10,7,8,3,3),(20,425,1,14,11,3,9,NULL,5),(20,425,1,14,12,5,12,3,5),(20,425,1,14,13,29,12,10,6),(20,425,1,14,14,25,15,10,6),(20,425,1,14,15,19,7,10,2),(20,425,1,14,16,35,5,16,1),(20,425,1,14,17,21,18,10,6),(20,425,1,14,18,36,9,15,3),(20,425,1,14,19,25,3,11,1),(20,425,1,14,20,35,8,13,3),(20,425,1,14,21,2,10,1,5),(20,425,1,14,22,3,6,1,2),(20,425,1,14,23,3,24,1,10),(20,425,1,14,24,2,10,1,3),(20,425,1,14,25,3,11,2,8),(20,425,1,14,26,3,NULL,NULL,NULL),(20,425,1,14,27,3,9,2,3),(20,425,1,14,28,1,4,1,3),(20,425,1,14,29,3,9,2,3),(20,425,1,14,30,3,8,NULL,4),(20,425,1,14,31,2,14,1,7),(20,425,1,14,32,5,9,2,6),(20,425,1,14,33,2,3,2,3),(20,425,1,14,34,3,6,1,3),(20,425,1,14,35,5,10,2,4),(20,425,1,14,36,6,10,4,5),(20,425,1,14,37,7,13,5,7),(20,425,1,14,38,NULL,4,NULL,3),(20,425,1,14,39,12,15,8,7),(20,425,1,14,40,8,4,5,3),(20,425,1,15,1,8,10,3,3),(20,425,1,15,2,7,4,3,1),(20,425,1,15,3,4,10,3,5),(20,425,1,15,4,9,14,1,7),(20,425,1,15,5,7,16,2,8),(20,425,1,15,6,23,18,9,5),(20,425,1,15,7,9,10,4,6),(20,425,1,15,8,18,5,9,1),(20,425,1,15,9,17,23,7,7),(20,425,1,15,10,9,9,5,5),(20,425,1,15,11,4,9,1,4),(20,425,1,15,12,9,11,6,1),(20,425,1,15,13,28,15,10,4),(20,425,1,15,14,35,9,13,2),(20,425,1,15,15,21,11,7,3),(20,425,1,15,16,30,6,11,3),(20,425,1,15,17,24,18,9,6),(20,425,1,15,18,38,9,14,1),(20,425,1,15,19,25,1,9,1),(20,425,1,15,20,42,11,13,3),(20,425,1,15,21,2,17,1,8),(20,425,1,15,22,6,8,2,4),(20,425,1,15,23,6,14,1,5),(20,425,1,15,24,1,8,1,4),(20,425,1,15,25,7,17,3,7),(20,425,1,15,26,4,NULL,3,NULL),(20,425,1,15,27,1,17,NULL,10),(20,425,1,15,28,2,7,1,4),(20,425,1,15,29,2,13,NULL,5),(20,425,1,15,30,4,14,2,5),(20,425,1,15,31,8,12,4,6),(20,425,1,15,32,9,6,3,2),(20,425,1,15,33,2,6,NULL,4),(20,425,1,15,34,1,3,1,1),(20,425,1,15,35,9,10,5,3),(20,425,1,15,36,12,5,6,2),(20,425,1,15,37,11,10,5,5),(20,425,1,15,38,NULL,5,NULL,2),(20,425,1,15,39,22,12,10,4),(20,425,1,15,40,6,2,6,NULL),(20,425,1,16,1,1,1,NULL,1),(20,425,1,16,2,NULL,2,NULL,1),(20,425,1,16,3,NULL,1,NULL,NULL),(20,425,1,16,4,NULL,1,NULL,NULL),(20,425,1,16,5,NULL,1,NULL,NULL),(20,425,1,16,6,3,2,NULL,1),(20,425,1,16,7,1,NULL,NULL,NULL),(20,425,1,16,8,1,1,NULL,1),(20,425,1,16,9,2,2,NULL,NULL),(20,425,1,16,10,2,1,1,NULL),(20,425,1,16,11,1,NULL,NULL,NULL),(20,425,1,16,12,1,3,NULL,1),(20,425,1,16,13,3,3,NULL,1),(20,425,1,16,14,1,NULL,NULL,NULL),(20,425,1,16,15,3,1,NULL,1),(20,425,1,16,16,NULL,2,NULL,NULL),(20,425,1,16,17,2,6,NULL,1),(20,425,1,16,18,1,3,NULL,NULL),(20,425,1,16,19,2,1,NULL,1),(20,425,1,16,20,3,3,NULL,NULL),(20,425,1,16,21,1,NULL,NULL,NULL),(20,425,1,16,22,NULL,2,NULL,1),(20,425,1,16,23,1,4,NULL,1),(20,425,1,16,24,NULL,1,NULL,NULL),(20,425,1,16,25,NULL,2,NULL,1),(20,425,1,16,26,NULL,NULL,NULL,NULL),(20,425,1,16,27,1,1,NULL,NULL),(20,425,1,16,28,NULL,NULL,NULL,NULL),(20,425,1,16,29,NULL,1,NULL,NULL),(20,425,1,16,30,NULL,NULL,NULL,NULL),(20,425,1,16,31,1,2,NULL,NULL),(20,425,1,16,32,1,1,1,NULL),(20,425,1,16,33,NULL,1,NULL,NULL),(20,425,1,16,34,NULL,NULL,NULL,NULL),(20,425,1,16,35,2,3,NULL,1),(20,425,1,16,36,NULL,4,NULL,NULL),(20,425,1,16,37,NULL,2,NULL,1),(20,425,1,16,38,NULL,2,NULL,1),(20,425,1,16,39,3,3,NULL,1),(20,425,1,16,40,1,1,1,NULL),(20,425,1,17,1,NULL,NULL,NULL,1),(20,425,1,17,2,NULL,1,NULL,NULL),(20,425,1,17,3,NULL,NULL,NULL,NULL),(20,425,1,17,4,NULL,NULL,NULL,NULL),(20,425,1,17,5,1,NULL,1,1),(20,425,1,17,6,NULL,1,NULL,1),(20,425,1,17,7,1,2,1,1),(20,425,1,17,8,3,NULL,2,NULL),(20,425,1,17,9,2,1,1,1),(20,425,1,17,10,NULL,1,NULL,NULL),(20,425,1,17,11,1,NULL,1,NULL),(20,425,1,17,12,NULL,1,NULL,2),(20,425,1,17,13,1,1,1,1),(20,425,1,17,14,1,NULL,NULL,NULL),(20,425,1,17,15,1,1,1,NULL),(20,425,1,17,16,NULL,NULL,NULL,1),(20,425,1,17,17,2,1,2,1),(20,425,1,17,18,NULL,2,NULL,2),(20,425,1,17,19,NULL,2,1,1),(20,425,1,17,20,NULL,NULL,NULL,NULL),(20,425,1,17,21,NULL,2,NULL,1),(20,425,1,17,22,NULL,1,NULL,NULL),(20,425,1,17,23,NULL,2,NULL,1),(20,425,1,17,24,NULL,2,NULL,1),(20,425,1,17,25,NULL,2,NULL,1),(20,425,1,17,26,1,NULL,1,NULL),(20,425,1,17,27,NULL,2,1,1),(20,425,1,17,28,NULL,1,NULL,NULL),(20,425,1,17,29,NULL,2,NULL,1),(20,425,1,17,30,NULL,1,NULL,1),(20,425,1,17,31,NULL,NULL,NULL,1),(20,425,1,17,32,2,1,2,NULL),(20,425,1,17,33,NULL,1,NULL,1),(20,425,1,17,34,NULL,NULL,NULL,1),(20,425,1,17,35,1,1,1,1),(20,425,1,17,36,1,1,2,1),(20,425,1,17,37,2,1,2,NULL),(20,425,1,17,38,NULL,NULL,NULL,NULL),(20,425,1,17,39,1,2,1,2),(20,425,1,17,40,NULL,1,NULL,1),(20,425,2,21,1,4,6,2,2),(20,425,2,21,2,1,NULL,1,NULL),(20,425,2,21,3,4,8,NULL,4),(20,425,2,21,4,4,7,1,1),(20,425,2,21,5,2,3,1,3),(20,425,2,21,6,5,10,2,3),(20,425,2,21,7,4,5,2,3),(20,425,2,21,8,2,NULL,2,NULL),(20,425,2,21,9,6,12,2,3),(20,425,2,21,10,1,6,NULL,2),(20,425,2,21,11,1,4,1,1),(20,425,2,21,12,NULL,7,NULL,2),(20,425,2,21,13,10,10,7,NULL),(20,425,2,21,14,12,13,3,2),(20,425,2,21,15,11,7,4,NULL),(20,425,2,21,16,12,6,5,1),(20,425,2,21,17,4,6,2,2),(20,425,2,21,18,1,5,1,3),(20,425,2,21,19,2,9,NULL,2),(20,425,2,21,20,5,9,1,4),(20,425,2,21,21,NULL,2,NULL,NULL),(20,425,2,21,22,1,5,NULL,1),(20,425,2,21,23,NULL,NULL,NULL,NULL),(20,425,2,21,24,NULL,1,NULL,NULL),(20,425,2,21,25,2,12,2,1),(20,425,2,21,26,NULL,1,NULL,NULL),(20,425,2,21,27,2,NULL,1,NULL),(20,425,2,21,28,4,2,NULL,1),(20,425,2,21,29,1,4,NULL,NULL),(20,425,2,21,30,3,4,1,2),(20,425,2,21,31,1,5,1,3),(20,425,2,21,32,1,5,NULL,3),(20,425,2,21,33,2,10,NULL,3),(20,425,2,21,34,3,8,1,NULL),(20,425,2,21,35,NULL,4,NULL,2),(20,425,2,21,36,1,5,1,2),(20,425,2,21,37,3,6,1,3),(20,425,2,21,38,2,6,2,3),(20,425,2,21,39,1,2,NULL,1),(20,425,2,21,40,NULL,5,NULL,2),(20,425,2,22,1,1,7,1,2),(20,425,2,22,2,1,5,1,4),(20,425,2,22,3,2,10,NULL,4),(20,425,2,22,4,2,4,NULL,1),(20,425,2,22,5,NULL,2,NULL,NULL),(20,425,2,22,6,2,5,2,3),(20,425,2,22,7,4,2,2,1),(20,425,2,22,8,2,NULL,2,NULL),(20,425,2,22,9,10,10,5,3),(20,425,2,22,10,NULL,9,NULL,4),(20,425,2,22,11,6,4,2,1),(20,425,2,22,12,NULL,7,NULL,4),(20,425,2,22,13,13,12,5,3),(20,425,2,22,14,10,18,6,4),(20,425,2,22,15,10,8,3,4),(20,425,2,22,16,13,4,6,3),(20,425,2,22,17,6,5,2,1),(20,425,2,22,18,3,6,1,2),(20,425,2,22,19,6,10,2,3),(20,425,2,22,20,4,11,2,4),(20,425,2,22,21,NULL,1,NULL,NULL),(20,425,2,22,22,NULL,7,NULL,2),(20,425,2,22,23,NULL,1,NULL,NULL),(20,425,2,22,24,NULL,NULL,NULL,NULL),(20,425,2,22,25,1,8,NULL,2),(20,425,2,22,26,1,6,NULL,5),(20,425,2,22,27,NULL,1,NULL,1),(20,425,2,22,28,2,4,2,1),(20,425,2,22,29,NULL,2,NULL,NULL),(20,425,2,22,30,4,4,1,2),(20,425,2,22,31,NULL,5,NULL,4),(20,425,2,22,32,3,7,2,4),(20,425,2,22,33,5,6,1,4),(20,425,2,22,34,NULL,6,NULL,3),(20,425,2,22,35,3,9,2,4),(20,425,2,22,36,NULL,11,NULL,4),(20,425,2,22,37,NULL,7,NULL,5),(20,425,2,22,38,NULL,6,NULL,3),(20,425,2,22,39,1,2,1,NULL),(20,425,2,22,40,2,6,1,5),(20,425,2,23,1,3,4,1,1),(20,425,2,23,2,NULL,1,NULL,1),(20,425,2,23,3,6,9,NULL,4),(20,425,2,23,4,3,NULL,2,NULL),(20,425,2,23,5,1,4,NULL,2),(20,425,2,23,6,8,6,4,3),(20,425,2,23,7,2,6,NULL,2),(20,425,2,23,8,8,NULL,6,NULL),(20,425,2,23,9,8,17,2,5),(20,425,2,23,10,2,6,NULL,3),(20,425,2,23,11,5,5,2,3),(20,425,2,23,12,NULL,2,NULL,1),(20,425,2,23,13,8,13,3,4),(20,425,2,23,14,15,10,4,5),(20,425,2,23,15,8,6,5,1),(20,425,2,23,16,14,2,4,1),(20,425,2,23,17,4,2,3,NULL),(20,425,2,23,18,2,4,2,2),(20,425,2,23,19,7,8,3,2),(20,425,2,23,20,6,11,3,4),(20,425,2,23,21,1,4,1,NULL),(20,425,2,23,22,1,8,NULL,2),(20,425,2,23,23,NULL,5,NULL,2),(20,425,2,23,24,NULL,3,NULL,1),(20,425,2,23,25,4,7,3,2),(20,425,2,23,26,1,4,NULL,2),(20,425,2,23,27,NULL,1,NULL,NULL),(20,425,2,23,28,6,4,4,3),(20,425,2,23,29,2,1,2,NULL),(20,425,2,23,30,1,3,NULL,2),(20,425,2,23,31,2,1,1,1),(20,425,2,23,32,2,3,2,NULL),(20,425,2,23,33,2,7,NULL,1),(20,425,2,23,34,2,6,2,1),(20,425,2,23,35,NULL,9,NULL,2),(20,425,2,23,36,NULL,7,NULL,3),(20,425,2,23,37,5,4,2,NULL),(20,425,2,23,38,1,3,NULL,2),(20,425,2,23,39,1,4,1,NULL),(20,425,2,23,40,2,7,1,3),(20,425,2,24,1,2,3,1,3),(20,425,2,24,2,NULL,3,NULL,2),(20,425,2,24,3,5,4,1,2),(20,425,2,24,4,3,NULL,2,NULL),(20,425,2,24,5,1,2,1,1),(20,425,2,24,6,8,5,6,3),(20,425,2,24,7,1,6,1,2),(20,425,2,24,8,2,NULL,2,NULL),(20,425,2,24,9,9,10,5,6),(20,425,2,24,10,NULL,4,NULL,3),(20,425,2,24,11,7,2,4,1),(20,425,2,24,12,NULL,3,NULL,1),(20,425,2,24,13,7,8,3,3),(20,425,2,24,14,10,12,6,4),(20,425,2,24,15,11,4,5,1),(20,425,2,24,16,10,1,6,1),(20,425,2,24,17,2,3,2,2),(20,425,2,24,18,NULL,4,NULL,2),(20,425,2,24,19,3,8,2,2),(20,425,2,24,20,5,4,4,2),(20,425,2,24,21,NULL,1,NULL,NULL),(20,425,2,24,22,1,7,1,5),(20,425,2,24,23,NULL,6,NULL,2),(20,425,2,24,24,NULL,1,NULL,1),(20,425,2,24,25,3,7,1,4),(20,425,2,24,26,1,4,1,3),(20,425,2,24,27,NULL,2,NULL,2),(20,425,2,24,28,2,2,1,1),(20,425,2,24,29,NULL,3,NULL,2),(20,425,2,24,30,2,6,NULL,2),(20,425,2,24,31,NULL,5,1,3),(20,425,2,24,32,1,8,1,5),(20,425,2,24,33,3,5,2,1),(20,425,2,24,34,1,5,NULL,4),(20,425,2,24,35,NULL,6,NULL,4),(20,425,2,24,36,1,5,1,2),(20,425,2,24,37,1,2,NULL,2),(20,425,2,24,38,2,5,1,2),(20,425,2,24,39,NULL,2,NULL,1),(20,425,2,24,40,NULL,7,NULL,3),(20,426,1,11,1,NULL,1,NULL,1),(20,426,1,11,2,NULL,1,NULL,1),(20,426,1,11,3,NULL,NULL,NULL,NULL),(20,426,1,11,4,NULL,NULL,NULL,NULL),(20,426,1,11,5,NULL,NULL,NULL,NULL),(20,426,1,11,6,NULL,1,NULL,1),(20,426,1,11,7,NULL,NULL,NULL,NULL),(20,426,1,11,8,1,NULL,1,NULL),(20,426,1,11,9,NULL,1,NULL,1),(20,426,1,11,10,NULL,NULL,NULL,NULL),(20,426,1,11,11,NULL,NULL,NULL,NULL),(20,426,1,11,12,NULL,NULL,NULL,NULL),(20,426,1,11,13,NULL,NULL,NULL,NULL),(20,426,1,11,14,NULL,NULL,NULL,NULL),(20,426,1,11,15,NULL,NULL,NULL,NULL),(20,426,1,11,16,1,NULL,1,NULL),(20,426,1,11,17,NULL,1,NULL,1),(20,426,1,11,18,NULL,1,NULL,1),(20,426,1,11,19,NULL,1,NULL,1),(20,426,1,11,20,NULL,NULL,NULL,NULL),(20,426,1,11,21,NULL,NULL,NULL,NULL),(20,426,1,11,22,NULL,NULL,NULL,NULL),(20,426,1,11,23,NULL,1,NULL,1),(20,426,1,11,24,NULL,NULL,NULL,NULL),(20,426,1,11,25,NULL,1,NULL,1),(20,426,1,11,26,NULL,NULL,NULL,NULL),(20,426,1,11,27,NULL,1,NULL,1),(20,426,1,11,28,NULL,NULL,NULL,NULL),(20,426,1,11,29,NULL,NULL,NULL,NULL),(20,426,1,11,30,1,NULL,1,NULL),(20,426,1,11,31,NULL,NULL,NULL,NULL),(20,426,1,11,32,NULL,1,NULL,1),(20,426,1,11,33,NULL,NULL,NULL,NULL),(20,426,1,11,34,NULL,NULL,NULL,NULL),(20,426,1,11,35,NULL,NULL,NULL,NULL),(20,426,1,11,36,NULL,NULL,NULL,NULL),(20,426,1,11,37,NULL,1,NULL,1),(20,426,1,11,38,NULL,NULL,NULL,NULL),(20,426,1,11,39,NULL,NULL,NULL,NULL),(20,426,1,11,40,NULL,1,NULL,1),(20,426,1,12,1,NULL,NULL,NULL,NULL),(20,426,1,12,2,NULL,NULL,NULL,NULL),(20,426,1,12,3,NULL,NULL,NULL,NULL),(20,426,1,12,4,NULL,NULL,NULL,NULL),(20,426,1,12,5,NULL,NULL,NULL,NULL),(20,426,1,12,6,NULL,NULL,NULL,NULL),(20,426,1,12,7,NULL,NULL,NULL,NULL),(20,426,1,12,8,NULL,NULL,NULL,NULL),(20,426,1,12,9,NULL,NULL,NULL,NULL),(20,426,1,12,10,NULL,NULL,NULL,NULL),(20,426,1,12,11,NULL,NULL,NULL,NULL),(20,426,1,12,12,NULL,NULL,NULL,NULL),(20,426,1,12,13,NULL,NULL,NULL,NULL),(20,426,1,12,14,NULL,NULL,NULL,NULL),(20,426,1,12,15,NULL,NULL,NULL,NULL),(20,426,1,12,16,NULL,NULL,NULL,NULL),(20,426,1,12,17,NULL,NULL,NULL,NULL),(20,426,1,12,18,NULL,NULL,NULL,NULL),(20,426,1,12,19,NULL,NULL,NULL,NULL),(20,426,1,12,20,NULL,NULL,NULL,NULL),(20,426,1,12,21,NULL,NULL,NULL,NULL),(20,426,1,12,22,NULL,NULL,NULL,NULL),(20,426,1,12,23,NULL,NULL,NULL,NULL),(20,426,1,12,24,NULL,NULL,NULL,NULL),(20,426,1,12,25,NULL,NULL,NULL,NULL),(20,426,1,12,26,NULL,NULL,NULL,NULL),(20,426,1,12,27,NULL,NULL,NULL,NULL),(20,426,1,12,28,NULL,NULL,NULL,NULL),(20,426,1,12,29,NULL,NULL,NULL,NULL),(20,426,1,12,30,NULL,NULL,NULL,NULL),(20,426,1,12,31,NULL,NULL,NULL,NULL),(20,426,1,12,32,NULL,NULL,NULL,NULL),(20,426,1,12,33,NULL,NULL,NULL,NULL),(20,426,1,12,34,NULL,NULL,NULL,NULL),(20,426,1,12,35,NULL,NULL,NULL,NULL),(20,426,1,12,36,NULL,NULL,NULL,NULL),(20,426,1,12,37,NULL,NULL,NULL,NULL),(20,426,1,12,38,NULL,NULL,NULL,NULL),(20,426,1,12,39,NULL,NULL,NULL,NULL),(20,426,1,12,40,NULL,NULL,NULL,NULL),(20,426,1,13,1,NULL,NULL,NULL,NULL),(20,426,1,13,2,NULL,NULL,NULL,NULL),(20,426,1,13,3,NULL,NULL,NULL,NULL),(20,426,1,13,4,NULL,NULL,NULL,NULL),(20,426,1,13,5,NULL,NULL,NULL,NULL),(20,426,1,13,6,NULL,NULL,NULL,NULL),(20,426,1,13,7,NULL,NULL,NULL,NULL),(20,426,1,13,8,NULL,NULL,NULL,NULL),(20,426,1,13,9,NULL,NULL,NULL,NULL),(20,426,1,13,10,NULL,NULL,NULL,NULL),(20,426,1,13,11,NULL,NULL,NULL,NULL),(20,426,1,13,12,NULL,NULL,NULL,NULL),(20,426,1,13,13,NULL,NULL,NULL,NULL),(20,426,1,13,14,NULL,NULL,NULL,NULL),(20,426,1,13,15,NULL,NULL,NULL,NULL),(20,426,1,13,16,NULL,NULL,NULL,NULL),(20,426,1,13,17,NULL,NULL,NULL,NULL),(20,426,1,13,18,NULL,NULL,NULL,NULL),(20,426,1,13,19,NULL,NULL,NULL,NULL),(20,426,1,13,20,NULL,NULL,NULL,NULL),(20,426,1,13,21,NULL,NULL,NULL,NULL),(20,426,1,13,22,NULL,NULL,NULL,NULL),(20,426,1,13,23,NULL,NULL,NULL,NULL),(20,426,1,13,24,NULL,NULL,NULL,NULL),(20,426,1,13,25,NULL,NULL,NULL,NULL),(20,426,1,13,26,NULL,NULL,NULL,NULL),(20,426,1,13,27,NULL,NULL,NULL,NULL),(20,426,1,13,28,NULL,NULL,NULL,NULL),(20,426,1,13,29,NULL,NULL,NULL,NULL),(20,426,1,13,30,NULL,NULL,NULL,NULL),(20,426,1,13,31,NULL,NULL,NULL,NULL),(20,426,1,13,32,NULL,NULL,NULL,NULL),(20,426,1,13,33,NULL,NULL,NULL,NULL),(20,426,1,13,34,NULL,NULL,NULL,NULL),(20,426,1,13,35,NULL,NULL,NULL,NULL),(20,426,1,13,36,NULL,NULL,NULL,NULL),(20,426,1,13,37,NULL,NULL,NULL,NULL),(20,426,1,13,38,NULL,NULL,NULL,NULL),(20,426,1,13,39,NULL,NULL,NULL,NULL),(20,426,1,13,40,NULL,NULL,NULL,NULL),(20,426,1,14,1,3,2,3,1),(20,426,1,14,2,4,1,4,1),(20,426,1,14,3,2,1,2,1),(20,426,1,14,4,1,3,2,3),(20,426,1,14,5,3,6,2,5),(20,426,1,14,6,7,3,5,5),(20,426,1,14,7,3,5,4,5),(20,426,1,14,8,3,3,3,3),(20,426,1,14,9,3,6,4,5),(20,426,1,14,10,1,2,1,1),(20,426,1,14,11,3,2,4,2),(20,426,1,14,12,2,4,2,3),(20,426,1,14,13,4,4,4,3),(20,426,1,14,14,5,8,4,6),(20,426,1,14,15,3,7,3,7),(20,426,1,14,16,8,1,6,NULL),(20,426,1,14,17,4,5,3,3),(20,426,1,14,18,5,5,5,4),(20,426,1,14,19,6,1,4,1),(20,426,1,14,20,8,3,7,2),(20,426,1,14,21,2,4,1,3),(20,426,1,14,22,NULL,3,NULL,3),(20,426,1,14,23,3,6,3,5),(20,426,1,14,24,1,5,1,3),(20,426,1,14,25,NULL,3,NULL,3),(20,426,1,14,26,2,NULL,2,NULL),(20,426,1,14,27,2,3,3,3),(20,426,1,14,28,1,1,1,1),(20,426,1,14,29,1,1,1,1),(20,426,1,14,30,2,3,1,3),(20,426,1,14,31,1,6,1,5),(20,426,1,14,32,NULL,4,NULL,4),(20,426,1,14,33,1,NULL,1,NULL),(20,426,1,14,34,NULL,1,1,1),(20,426,1,14,35,3,2,2,2),(20,426,1,14,36,2,3,2,3),(20,426,1,14,37,5,3,5,2),(20,426,1,14,38,1,3,1,2),(20,426,1,14,39,6,4,7,3),(20,426,1,14,40,1,1,1,1),(20,426,1,15,1,1,1,1,1),(20,426,1,15,2,1,NULL,1,1),(20,426,1,15,3,1,2,1,1),(20,426,1,15,4,1,3,NULL,1),(20,426,1,15,5,2,1,NULL,1),(20,426,1,15,6,5,4,1,2),(20,426,1,15,7,1,2,NULL,2),(20,426,1,15,8,3,2,3,NULL),(20,426,1,15,9,1,5,NULL,3),(20,426,1,15,10,NULL,3,NULL,2),(20,426,1,15,11,NULL,1,NULL,NULL),(20,426,1,15,12,1,1,NULL,NULL),(20,426,1,15,13,5,4,2,3),(20,426,1,15,14,2,5,2,4),(20,426,1,15,15,2,3,2,2),(20,426,1,15,16,4,3,4,2),(20,426,1,15,17,1,5,1,3),(20,426,1,15,18,3,2,2,2),(20,426,1,15,19,4,1,4,NULL),(20,426,1,15,20,3,4,1,4),(20,426,1,15,21,1,4,1,4),(20,426,1,15,22,NULL,1,NULL,1),(20,426,1,15,23,1,4,1,2),(20,426,1,15,24,3,2,1,2),(20,426,1,15,25,1,2,1,2),(20,426,1,15,26,NULL,NULL,NULL,NULL),(20,426,1,15,27,3,NULL,2,NULL),(20,426,1,15,28,NULL,3,NULL,2),(20,426,1,15,29,1,1,NULL,2),(20,426,1,15,30,NULL,2,NULL,2),(20,426,1,15,31,1,1,1,NULL),(20,426,1,15,32,2,NULL,1,1),(20,426,1,15,33,NULL,2,NULL,1),(20,426,1,15,34,1,1,1,1),(20,426,1,15,35,1,2,1,2),(20,426,1,15,36,3,2,1,3),(20,426,1,15,37,3,2,2,NULL),(20,426,1,15,38,NULL,NULL,NULL,NULL),(20,426,1,15,39,4,5,2,4),(20,426,1,15,40,1,1,1,NULL),(20,426,1,16,1,2,3,2,NULL),(20,426,1,16,2,1,NULL,NULL,NULL),(20,426,1,16,3,2,2,1,1),(20,426,1,16,4,2,3,1,2),(20,426,1,16,5,1,3,NULL,2),(20,426,1,16,6,4,3,1,1),(20,426,1,16,7,NULL,3,NULL,1),(20,426,1,16,8,1,2,1,NULL),(20,426,1,16,9,3,3,1,2),(20,426,1,16,10,1,4,NULL,2),(20,426,1,16,11,1,1,NULL,NULL),(20,426,1,16,12,1,3,1,2),(20,426,1,16,13,5,3,3,1),(20,426,1,16,14,1,NULL,1,NULL),(20,426,1,16,15,3,3,2,NULL),(20,426,1,16,16,1,2,1,1),(20,426,1,16,17,4,8,1,4),(20,426,1,16,18,1,1,NULL,NULL),(20,426,1,16,19,4,1,2,NULL),(20,426,1,16,20,NULL,2,NULL,2),(20,426,1,16,21,1,4,NULL,1),(20,426,1,16,22,NULL,3,NULL,NULL),(20,426,1,16,23,NULL,4,NULL,1),(20,426,1,16,24,1,NULL,NULL,NULL),(20,426,1,16,25,1,2,NULL,1),(20,426,1,16,26,2,NULL,1,NULL),(20,426,1,16,27,1,2,NULL,2),(20,426,1,16,28,NULL,2,NULL,1),(20,426,1,16,29,1,4,NULL,3),(20,426,1,16,30,1,NULL,1,NULL),(20,426,1,16,31,NULL,2,NULL,2),(20,426,1,16,32,2,NULL,1,NULL),(20,426,1,16,33,NULL,1,NULL,1),(20,426,1,16,34,NULL,2,NULL,NULL),(20,426,1,16,35,2,5,NULL,2),(20,426,1,16,36,1,5,NULL,1),(20,426,1,16,37,2,4,NULL,3),(20,426,1,16,38,NULL,NULL,NULL,NULL),(20,426,1,16,39,3,4,1,2),(20,426,1,16,40,3,1,1,NULL),(20,426,1,17,1,NULL,5,NULL,4),(20,426,1,17,2,1,2,1,2),(20,426,1,17,3,NULL,3,NULL,2),(20,426,1,17,4,NULL,5,NULL,5),(20,426,1,17,5,3,3,2,2),(20,426,1,17,6,5,5,2,3),(20,426,1,17,7,2,4,2,3),(20,426,1,17,8,5,4,5,4),(20,426,1,17,9,3,4,3,2),(20,426,1,17,10,2,4,2,3),(20,426,1,17,11,1,1,NULL,NULL),(20,426,1,17,12,2,5,NULL,3),(20,426,1,17,13,5,8,3,5),(20,426,1,17,14,3,2,3,1),(20,426,1,17,15,4,1,2,1),(20,426,1,17,16,NULL,5,NULL,3),(20,426,1,17,17,8,7,6,4),(20,426,1,17,18,1,4,1,4),(20,426,1,17,19,8,4,5,1),(20,426,1,17,20,NULL,4,NULL,3),(20,426,1,17,21,NULL,2,NULL,2),(20,426,1,17,22,NULL,4,NULL,3),(20,426,1,17,23,1,9,NULL,8),(20,426,1,17,24,2,3,NULL,3),(20,426,1,17,25,NULL,6,NULL,5),(20,426,1,17,26,2,NULL,1,NULL),(20,426,1,17,27,1,5,1,4),(20,426,1,17,28,NULL,5,NULL,5),(20,426,1,17,29,NULL,1,NULL,1),(20,426,1,17,30,1,3,NULL,2),(20,426,1,17,31,3,1,3,1),(20,426,1,17,32,NULL,4,NULL,3),(20,426,1,17,33,1,1,1,NULL),(20,426,1,17,34,NULL,NULL,NULL,NULL),(20,426,1,17,35,1,4,NULL,3),(20,426,1,17,36,1,5,1,3),(20,426,1,17,37,3,7,2,6),(20,426,1,17,38,1,NULL,1,NULL),(20,426,1,17,39,2,10,2,9),(20,426,1,17,40,3,3,3,2),(20,426,2,21,1,3,1,1,1),(20,426,2,21,2,NULL,2,NULL,1),(20,426,2,21,3,2,3,1,2),(20,426,2,21,4,3,1,1,1),(20,426,2,21,5,NULL,1,NULL,1),(20,426,2,21,6,2,2,NULL,2),(20,426,2,21,7,2,1,2,1),(20,426,2,21,8,2,NULL,1,NULL),(20,426,2,21,9,2,8,1,5),(20,426,2,21,10,1,6,1,4),(20,426,2,21,11,2,2,1,2),(20,426,2,21,12,NULL,2,NULL,2),(20,426,2,21,13,2,5,2,3),(20,426,2,21,14,7,6,5,4),(20,426,2,21,15,1,5,1,4),(20,426,2,21,16,5,2,2,2),(20,426,2,21,17,2,2,1,1),(20,426,2,21,18,1,1,NULL,1),(20,426,2,21,19,1,3,NULL,2),(20,426,2,21,20,1,4,NULL,5),(20,426,2,21,21,NULL,1,NULL,1),(20,426,2,21,22,NULL,3,NULL,2),(20,426,2,21,23,1,NULL,1,NULL),(20,426,2,21,24,NULL,1,NULL,1),(20,426,2,21,25,2,NULL,2,NULL),(20,426,2,21,26,1,1,1,2),(20,426,2,21,27,NULL,1,NULL,NULL),(20,426,2,21,28,NULL,3,NULL,4),(20,426,2,21,29,NULL,NULL,NULL,NULL),(20,426,2,21,30,NULL,2,NULL,1),(20,426,2,21,31,NULL,1,NULL,1),(20,426,2,21,32,NULL,3,NULL,1),(20,426,2,21,33,2,4,2,2),(20,426,2,21,34,NULL,4,NULL,3),(20,426,2,21,35,NULL,2,NULL,2),(20,426,2,21,36,1,3,1,4),(20,426,2,21,37,NULL,2,NULL,1),(20,426,2,21,38,NULL,2,NULL,2),(20,426,2,21,39,NULL,1,NULL,NULL),(20,426,2,21,40,1,3,1,2),(20,426,2,22,1,3,6,3,3),(20,426,2,22,2,1,NULL,1,NULL),(20,426,2,22,3,2,8,1,5),(20,426,2,22,4,1,5,NULL,4),(20,426,2,22,5,NULL,2,NULL,2),(20,426,2,22,6,2,1,1,1),(20,426,2,22,7,3,2,3,NULL),(20,426,2,22,8,1,NULL,1,NULL),(20,426,2,22,9,2,10,1,7),(20,426,2,22,10,NULL,5,NULL,3),(20,426,2,22,11,3,2,2,1),(20,426,2,22,12,NULL,4,NULL,3),(20,426,2,22,13,4,8,2,5),(20,426,2,22,14,6,8,4,5),(20,426,2,22,15,6,2,2,2),(20,426,2,22,16,7,4,5,2),(20,426,2,22,17,1,NULL,NULL,NULL),(20,426,2,22,18,NULL,7,NULL,4),(20,426,2,22,19,2,5,1,4),(20,426,2,22,20,NULL,7,NULL,5),(20,426,2,22,21,NULL,2,NULL,1),(20,426,2,22,22,NULL,4,NULL,3),(20,426,2,22,23,NULL,NULL,NULL,NULL),(20,426,2,22,24,NULL,NULL,NULL,NULL),(20,426,2,22,25,4,2,3,1),(20,426,2,22,26,NULL,1,NULL,NULL),(20,426,2,22,27,NULL,NULL,NULL,NULL),(20,426,2,22,28,1,4,NULL,4),(20,426,2,22,29,NULL,NULL,NULL,NULL),(20,426,2,22,30,2,1,2,1),(20,426,2,22,31,1,NULL,NULL,NULL),(20,426,2,22,32,NULL,3,NULL,1),(20,426,2,22,33,NULL,7,NULL,3),(20,426,2,22,34,NULL,4,NULL,1),(20,426,2,22,35,NULL,4,NULL,4),(20,426,2,22,36,NULL,6,NULL,3),(20,426,2,22,37,NULL,3,NULL,2),(20,426,2,22,38,1,2,NULL,2),(20,426,2,22,39,1,3,NULL,3),(20,426,2,22,40,NULL,4,NULL,2),(20,426,2,23,1,1,3,1,1),(20,426,2,23,2,NULL,1,NULL,NULL),(20,426,2,23,3,3,1,2,NULL),(20,426,2,23,4,NULL,3,NULL,1),(20,426,2,23,5,NULL,2,NULL,2),(20,426,2,23,6,1,3,1,3),(20,426,2,23,7,1,NULL,1,NULL),(20,426,2,23,8,1,NULL,1,NULL),(20,426,2,23,9,5,1,3,1),(20,426,2,23,10,1,5,1,4),(20,426,2,23,11,NULL,3,NULL,2),(20,426,2,23,12,NULL,3,NULL,2),(20,426,2,23,13,4,4,4,2),(20,426,2,23,14,4,6,3,4),(20,426,2,23,15,3,2,1,2),(20,426,2,23,16,4,4,3,2),(20,426,2,23,17,1,4,1,2),(20,426,2,23,18,2,NULL,1,NULL),(20,426,2,23,19,2,3,2,1),(20,426,2,23,20,2,1,2,1),(20,426,2,23,21,1,NULL,1,NULL),(20,426,2,23,22,1,5,1,3),(20,426,2,23,23,NULL,1,NULL,1),(20,426,2,23,24,1,2,1,2),(20,426,2,23,25,1,3,1,2),(20,426,2,23,26,NULL,1,NULL,NULL),(20,426,2,23,27,1,1,1,1),(20,426,2,23,28,NULL,3,NULL,1),(20,426,2,23,29,1,2,NULL,2),(20,426,2,23,30,2,4,2,2),(20,426,2,23,31,NULL,1,NULL,1),(20,426,2,23,32,1,2,1,1),(20,426,2,23,33,1,3,1,3),(20,426,2,23,34,1,3,1,2),(20,426,2,23,35,1,3,1,2),(20,426,2,23,36,NULL,6,NULL,4),(20,426,2,23,37,1,4,1,3),(20,426,2,23,38,NULL,3,NULL,2),(20,426,2,23,39,NULL,NULL,NULL,NULL),(20,426,2,23,40,1,3,1,3),(20,426,2,24,1,NULL,2,NULL,1),(20,426,2,24,2,NULL,NULL,NULL,NULL),(20,426,2,24,3,3,3,2,2),(20,426,2,24,4,1,6,1,5),(20,426,2,24,5,NULL,3,NULL,1),(20,426,2,24,6,5,3,3,3),(20,426,2,24,7,2,4,2,3),(20,426,2,24,8,NULL,NULL,1,NULL),(20,426,2,24,9,4,7,3,6),(20,426,2,24,10,1,5,1,4),(20,426,2,24,11,5,3,4,2),(20,426,2,24,12,NULL,5,NULL,4),(20,426,2,24,13,3,6,2,6),(20,426,2,24,14,7,5,6,3),(20,426,2,24,15,2,3,4,3),(20,426,2,24,16,1,7,1,6),(20,426,2,24,17,NULL,2,NULL,2),(20,426,2,24,18,NULL,2,NULL,2),(20,426,2,24,19,5,1,5,2),(20,426,2,24,20,NULL,3,1,3),(20,426,2,24,21,NULL,1,NULL,1),(20,426,2,24,22,NULL,3,NULL,3),(20,426,2,24,23,NULL,1,NULL,NULL),(20,426,2,24,24,1,NULL,1,NULL),(20,426,2,24,25,1,2,1,2),(20,426,2,24,26,NULL,4,NULL,3),(20,426,2,24,27,NULL,NULL,NULL,NULL),(20,426,2,24,28,3,3,2,2),(20,426,2,24,29,NULL,NULL,NULL,NULL),(20,426,2,24,30,2,2,2,1),(20,426,2,24,31,NULL,1,1,1),(20,426,2,24,32,1,2,1,1),(20,426,2,24,33,1,4,2,3),(20,426,2,24,34,NULL,2,NULL,NULL),(20,426,2,24,35,NULL,2,NULL,1),(20,426,2,24,36,1,5,1,3),(20,426,2,24,37,1,2,1,1),(20,426,2,24,38,NULL,1,NULL,1),(20,426,2,24,39,NULL,2,NULL,1),(20,426,2,24,40,1,3,1,2),(20,427,1,11,1,NULL,NULL,NULL,NULL),(20,427,1,11,2,NULL,NULL,NULL,NULL),(20,427,1,11,3,NULL,NULL,NULL,NULL),(20,427,1,11,4,NULL,NULL,NULL,NULL),(20,427,1,11,5,NULL,NULL,NULL,NULL),(20,427,1,11,6,NULL,NULL,NULL,NULL),(20,427,1,11,7,NULL,NULL,NULL,NULL),(20,427,1,11,8,NULL,NULL,NULL,NULL),(20,427,1,11,9,NULL,NULL,NULL,NULL),(20,427,1,11,10,NULL,NULL,NULL,NULL),(20,427,1,11,11,NULL,NULL,NULL,NULL),(20,427,1,11,12,NULL,NULL,NULL,NULL),(20,427,1,11,13,NULL,NULL,NULL,NULL),(20,427,1,11,14,NULL,NULL,NULL,NULL),(20,427,1,11,15,NULL,NULL,NULL,NULL),(20,427,1,11,16,NULL,NULL,NULL,NULL),(20,427,1,11,17,NULL,NULL,NULL,NULL),(20,427,1,11,18,NULL,NULL,NULL,NULL),(20,427,1,11,19,NULL,NULL,NULL,NULL),(20,427,1,11,20,NULL,NULL,NULL,NULL),(20,427,1,11,21,NULL,NULL,NULL,NULL),(20,427,1,11,22,NULL,NULL,NULL,NULL),(20,427,1,11,23,NULL,NULL,NULL,NULL),(20,427,1,11,24,NULL,NULL,NULL,NULL),(20,427,1,11,25,NULL,NULL,NULL,NULL),(20,427,1,11,26,NULL,NULL,NULL,NULL),(20,427,1,11,27,NULL,NULL,NULL,NULL),(20,427,1,11,28,NULL,NULL,NULL,NULL),(20,427,1,11,29,NULL,NULL,NULL,NULL),(20,427,1,11,30,NULL,NULL,NULL,NULL),(20,427,1,11,31,NULL,NULL,NULL,NULL),(20,427,1,11,32,NULL,NULL,NULL,NULL),(20,427,1,11,33,NULL,NULL,NULL,NULL),(20,427,1,11,34,NULL,NULL,NULL,NULL),(20,427,1,11,35,NULL,NULL,NULL,NULL),(20,427,1,11,36,NULL,NULL,NULL,NULL),(20,427,1,11,37,NULL,NULL,NULL,NULL),(20,427,1,11,38,NULL,NULL,NULL,NULL),(20,427,1,11,39,NULL,NULL,NULL,NULL),(20,427,1,11,40,NULL,NULL,NULL,NULL),(20,427,1,12,1,NULL,NULL,NULL,NULL),(20,427,1,12,2,NULL,NULL,NULL,NULL),(20,427,1,12,3,NULL,NULL,NULL,NULL),(20,427,1,12,4,NULL,NULL,NULL,NULL),(20,427,1,12,5,NULL,NULL,NULL,NULL),(20,427,1,12,6,NULL,NULL,NULL,NULL),(20,427,1,12,7,NULL,NULL,NULL,NULL),(20,427,1,12,8,NULL,NULL,NULL,NULL),(20,427,1,12,9,NULL,NULL,NULL,NULL),(20,427,1,12,10,NULL,NULL,NULL,NULL),(20,427,1,12,11,NULL,NULL,NULL,NULL),(20,427,1,12,12,NULL,NULL,NULL,NULL),(20,427,1,12,13,NULL,NULL,NULL,NULL),(20,427,1,12,14,NULL,NULL,NULL,NULL),(20,427,1,12,15,NULL,NULL,NULL,NULL),(20,427,1,12,16,NULL,NULL,NULL,NULL),(20,427,1,12,17,NULL,NULL,NULL,NULL),(20,427,1,12,18,NULL,NULL,NULL,NULL),(20,427,1,12,19,NULL,NULL,NULL,NULL),(20,427,1,12,20,NULL,NULL,NULL,NULL),(20,427,1,12,21,NULL,NULL,NULL,NULL),(20,427,1,12,22,NULL,NULL,NULL,NULL),(20,427,1,12,23,NULL,NULL,NULL,NULL),(20,427,1,12,24,NULL,NULL,NULL,NULL),(20,427,1,12,25,NULL,NULL,NULL,NULL),(20,427,1,12,26,NULL,NULL,NULL,NULL),(20,427,1,12,27,NULL,NULL,NULL,NULL),(20,427,1,12,28,NULL,NULL,NULL,NULL),(20,427,1,12,29,NULL,NULL,NULL,NULL),(20,427,1,12,30,NULL,NULL,NULL,NULL),(20,427,1,12,31,NULL,NULL,NULL,NULL),(20,427,1,12,32,NULL,NULL,NULL,NULL),(20,427,1,12,33,NULL,NULL,NULL,NULL),(20,427,1,12,34,NULL,NULL,NULL,NULL),(20,427,1,12,35,NULL,NULL,NULL,NULL),(20,427,1,12,36,NULL,NULL,NULL,NULL),(20,427,1,12,37,NULL,NULL,NULL,NULL),(20,427,1,12,38,NULL,NULL,NULL,NULL),(20,427,1,12,39,NULL,NULL,NULL,NULL),(20,427,1,12,40,NULL,NULL,NULL,NULL),(20,427,1,13,1,NULL,NULL,NULL,NULL),(20,427,1,13,2,NULL,1,NULL,NULL),(20,427,1,13,3,1,2,1,1),(20,427,1,13,4,1,NULL,NULL,NULL),(20,427,1,13,5,NULL,NULL,NULL,NULL),(20,427,1,13,6,2,4,NULL,2),(20,427,1,13,7,1,NULL,1,NULL),(20,427,1,13,8,2,NULL,1,NULL),(20,427,1,13,9,1,2,NULL,1),(20,427,1,13,10,NULL,NULL,NULL,NULL),(20,427,1,13,11,1,NULL,NULL,NULL),(20,427,1,13,12,1,NULL,1,NULL),(20,427,1,13,13,6,NULL,2,NULL),(20,427,1,13,14,2,2,1,1),(20,427,1,13,15,3,NULL,2,NULL),(20,427,1,13,16,5,1,1,1),(20,427,1,13,17,5,1,1,1),(20,427,1,13,18,5,1,1,1),(20,427,1,13,19,2,NULL,NULL,NULL),(20,427,1,13,20,3,NULL,1,NULL),(20,427,1,13,21,1,2,NULL,1),(20,427,1,13,22,NULL,1,NULL,NULL),(20,427,1,13,23,1,2,NULL,NULL),(20,427,1,13,24,NULL,NULL,NULL,NULL),(20,427,1,13,25,NULL,1,NULL,1),(20,427,1,13,26,NULL,NULL,NULL,NULL),(20,427,1,13,27,NULL,NULL,NULL,NULL),(20,427,1,13,28,NULL,NULL,NULL,NULL),(20,427,1,13,29,1,NULL,1,NULL),(20,427,1,13,30,NULL,2,NULL,1),(20,427,1,13,31,1,1,1,NULL),(20,427,1,13,32,NULL,NULL,NULL,NULL),(20,427,1,13,33,1,1,NULL,NULL),(20,427,1,13,34,1,NULL,1,NULL),(20,427,1,13,35,1,1,NULL,NULL),(20,427,1,13,36,2,1,1,NULL),(20,427,1,13,37,2,NULL,NULL,NULL),(20,427,1,13,38,NULL,1,NULL,1),(20,427,1,13,39,NULL,NULL,NULL,NULL),(20,427,1,13,40,NULL,NULL,NULL,NULL),(20,427,1,14,1,2,2,NULL,2),(20,427,1,14,2,NULL,1,NULL,1),(20,427,1,14,3,2,1,1,1),(20,427,1,14,4,NULL,2,NULL,3),(20,427,1,14,5,3,4,1,4),(20,427,1,14,6,1,7,NULL,5),(20,427,1,14,7,1,1,1,1),(20,427,1,14,8,3,1,3,1),(20,427,1,14,9,2,4,1,4),(20,427,1,14,10,1,NULL,1,1),(20,427,1,14,11,NULL,NULL,NULL,NULL),(20,427,1,14,12,NULL,1,NULL,1),(20,427,1,14,13,4,4,2,3),(20,427,1,14,14,5,3,3,3),(20,427,1,14,15,1,2,1,1),(20,427,1,14,16,6,2,5,NULL),(20,427,1,14,17,4,4,2,4),(20,427,1,14,18,4,2,2,1),(20,427,1,14,19,7,NULL,4,NULL),(20,427,1,14,20,7,2,5,2),(20,427,1,14,21,NULL,2,NULL,2),(20,427,1,14,22,NULL,4,NULL,4),(20,427,1,14,23,NULL,3,NULL,4),(20,427,1,14,24,NULL,2,NULL,2),(20,427,1,14,25,NULL,2,NULL,2),(20,427,1,14,26,2,NULL,1,NULL),(20,427,1,14,27,NULL,2,NULL,2),(20,427,1,14,28,1,1,1,1),(20,427,1,14,29,NULL,2,1,2),(20,427,1,14,30,NULL,1,NULL,1),(20,427,1,14,31,2,2,2,1),(20,427,1,14,32,NULL,1,NULL,1),(20,427,1,14,33,NULL,2,NULL,2),(20,427,1,14,34,NULL,2,NULL,2),(20,427,1,14,35,2,3,1,3),(20,427,1,14,36,2,2,2,3),(20,427,1,14,37,3,2,3,1),(20,427,1,14,38,1,2,1,1),(20,427,1,14,39,1,4,1,3),(20,427,1,14,40,NULL,2,NULL,1),(20,427,1,15,1,NULL,3,NULL,2),(20,427,1,15,2,3,NULL,2,1),(20,427,1,15,3,NULL,1,NULL,NULL),(20,427,1,15,4,NULL,2,NULL,2),(20,427,1,15,5,3,1,2,1),(20,427,1,15,6,2,5,3,4),(20,427,1,15,7,1,NULL,1,NULL),(20,427,1,15,8,3,NULL,2,NULL),(20,427,1,15,9,2,3,3,3),(20,427,1,15,10,NULL,NULL,NULL,NULL),(20,427,1,15,11,1,NULL,1,NULL),(20,427,1,15,12,2,NULL,2,1),(20,427,1,15,13,5,1,4,1),(20,427,1,15,14,3,4,4,3),(20,427,1,15,15,3,NULL,4,NULL),(20,427,1,15,16,5,1,4,1),(20,427,1,15,17,1,4,2,2),(20,427,1,15,18,3,1,4,1),(20,427,1,15,19,5,NULL,6,NULL),(20,427,1,15,20,6,NULL,5,1),(20,427,1,15,21,NULL,1,NULL,2),(20,427,1,15,22,NULL,2,NULL,3),(20,427,1,15,23,NULL,3,NULL,4),(20,427,1,15,24,2,1,2,2),(20,427,1,15,25,1,3,1,4),(20,427,1,15,26,NULL,NULL,NULL,NULL),(20,427,1,15,27,1,2,1,2),(20,427,1,15,28,1,1,1,1),(20,427,1,15,29,NULL,NULL,NULL,1),(20,427,1,15,30,NULL,NULL,NULL,NULL),(20,427,1,15,31,3,1,4,1),(20,427,1,15,32,2,NULL,2,1),(20,427,1,15,33,NULL,NULL,NULL,NULL),(20,427,1,15,34,NULL,NULL,NULL,NULL),(20,427,1,15,35,3,2,3,2),(20,427,1,15,36,NULL,3,NULL,1),(20,427,1,15,37,2,NULL,2,NULL),(20,427,1,15,38,1,NULL,1,NULL),(20,427,1,15,39,4,2,3,2),(20,427,1,15,40,1,NULL,1,NULL),(20,427,1,16,1,2,2,2,2),(20,427,1,16,2,1,2,1,2),(20,427,1,16,3,NULL,3,NULL,3),(20,427,1,16,4,1,1,NULL,1),(20,427,1,16,5,3,2,2,2),(20,427,1,16,6,3,3,2,3),(20,427,1,16,7,2,1,2,1),(20,427,1,16,8,4,3,4,2),(20,427,1,16,9,3,1,3,1),(20,427,1,16,10,NULL,2,NULL,2),(20,427,1,16,11,1,2,1,2),(20,427,1,16,12,NULL,2,NULL,1),(20,427,1,16,13,4,1,4,NULL),(20,427,1,16,14,NULL,2,NULL,2),(20,427,1,16,15,1,1,NULL,1),(20,427,1,16,16,1,1,1,1),(20,427,1,16,17,7,4,7,3),(20,427,1,16,18,NULL,NULL,NULL,NULL),(20,427,1,16,19,5,2,5,2),(20,427,1,16,20,NULL,3,NULL,3),(20,427,1,16,21,NULL,3,NULL,2),(20,427,1,16,22,NULL,4,NULL,3),(20,427,1,16,23,1,2,1,2),(20,427,1,16,24,2,NULL,2,NULL),(20,427,1,16,25,NULL,3,NULL,2),(20,427,1,16,26,1,NULL,1,NULL),(20,427,1,16,27,1,1,1,1),(20,427,1,16,28,NULL,1,NULL,NULL),(20,427,1,16,29,1,3,1,2),(20,427,1,16,30,NULL,3,NULL,2),(20,427,1,16,31,2,4,2,4),(20,427,1,16,32,NULL,2,NULL,2),(20,427,1,16,33,NULL,2,NULL,2),(20,427,1,16,34,NULL,1,NULL,1),(20,427,1,16,35,NULL,4,NULL,4),(20,427,1,16,36,NULL,2,NULL,2),(20,427,1,16,37,2,1,2,1),(20,427,1,16,38,NULL,NULL,NULL,NULL),(20,427,1,16,39,5,2,5,2),(20,427,1,16,40,1,1,1,1),(20,427,1,17,1,1,NULL,1,NULL),(20,427,1,17,2,2,1,1,1),(20,427,1,17,3,NULL,1,NULL,1),(20,427,1,17,4,1,1,1,1),(20,427,1,17,5,1,2,1,2),(20,427,1,17,6,1,1,1,NULL),(20,427,1,17,7,NULL,3,NULL,3),(20,427,1,17,8,2,2,2,2),(20,427,1,17,9,1,1,NULL,1),(20,427,1,17,10,1,1,1,1),(20,427,1,17,11,NULL,3,NULL,2),(20,427,1,17,12,1,NULL,1,NULL),(20,427,1,17,13,3,3,2,2),(20,427,1,17,14,1,NULL,1,NULL),(20,427,1,17,15,2,1,2,1),(20,427,1,17,16,NULL,1,NULL,1),(20,427,1,17,17,3,3,3,2),(20,427,1,17,18,2,2,1,2),(20,427,1,17,19,2,1,2,1),(20,427,1,17,20,NULL,1,NULL,1),(20,427,1,17,21,NULL,NULL,NULL,NULL),(20,427,1,17,22,NULL,NULL,NULL,NULL),(20,427,1,17,23,NULL,1,NULL,1),(20,427,1,17,24,NULL,NULL,NULL,NULL),(20,427,1,17,25,NULL,1,NULL,1),(20,427,1,17,26,NULL,NULL,NULL,NULL),(20,427,1,17,27,NULL,1,NULL,1),(20,427,1,17,28,NULL,NULL,NULL,NULL),(20,427,1,17,29,1,NULL,NULL,NULL),(20,427,1,17,30,NULL,2,NULL,2),(20,427,1,17,31,1,1,1,1),(20,427,1,17,32,NULL,2,NULL,2),(20,427,1,17,33,NULL,NULL,NULL,NULL),(20,427,1,17,34,NULL,NULL,NULL,NULL),(20,427,1,17,35,NULL,4,NULL,3),(20,427,1,17,36,1,1,1,NULL),(20,427,1,17,37,1,2,1,2),(20,427,1,17,38,NULL,NULL,NULL,NULL),(20,427,1,17,39,2,2,2,1),(20,427,1,17,40,2,NULL,2,NULL),(20,427,2,21,1,1,NULL,1,NULL),(20,427,2,21,2,NULL,NULL,NULL,NULL),(20,427,2,21,3,1,1,1,NULL),(20,427,2,21,4,NULL,2,NULL,1),(20,427,2,21,5,1,NULL,1,NULL),(20,427,2,21,6,1,1,1,1),(20,427,2,21,7,NULL,2,NULL,2),(20,427,2,21,8,1,NULL,1,NULL),(20,427,2,21,9,2,5,1,2),(20,427,2,21,10,1,2,NULL,2),(20,427,2,21,11,1,3,NULL,2),(20,427,2,21,12,NULL,2,NULL,1),(20,427,2,21,13,1,5,NULL,3),(20,427,2,21,14,5,1,4,NULL),(20,427,2,21,15,3,2,1,2),(20,427,2,21,16,4,NULL,2,NULL),(20,427,2,21,17,NULL,1,NULL,1),(20,427,2,21,18,NULL,1,NULL,NULL),(20,427,2,21,19,NULL,1,NULL,1),(20,427,2,21,20,1,3,1,2),(20,427,2,21,21,NULL,2,NULL,2),(20,427,2,21,22,NULL,2,NULL,1),(20,427,2,21,23,NULL,1,NULL,1),(20,427,2,21,24,NULL,NULL,NULL,NULL),(20,427,2,21,25,1,1,1,NULL),(20,427,2,21,26,1,2,1,1),(20,427,2,21,27,NULL,2,NULL,1),(20,427,2,21,28,2,3,1,2),(20,427,2,21,29,NULL,1,NULL,NULL),(20,427,2,21,30,2,1,1,1),(20,427,2,21,31,NULL,NULL,NULL,NULL),(20,427,2,21,32,NULL,1,NULL,1),(20,427,2,21,33,NULL,6,NULL,3),(20,427,2,21,34,NULL,2,NULL,1),(20,427,2,21,35,NULL,1,NULL,NULL),(20,427,2,21,36,NULL,3,NULL,2),(20,427,2,21,37,NULL,2,NULL,2),(20,427,2,21,38,NULL,1,NULL,1),(20,427,2,21,39,NULL,2,NULL,1),(20,427,2,21,40,1,1,NULL,NULL),(20,427,2,22,1,1,1,NULL,1),(20,427,2,22,2,1,2,NULL,2),(20,427,2,22,3,4,2,2,2),(20,427,2,22,4,NULL,1,NULL,1),(20,427,2,22,5,NULL,1,NULL,1),(20,427,2,22,6,1,4,1,3),(20,427,2,22,7,NULL,2,NULL,2),(20,427,2,22,8,1,NULL,NULL,NULL),(20,427,2,22,9,5,5,2,3),(20,427,2,22,10,NULL,3,NULL,2),(20,427,2,22,11,2,NULL,2,NULL),(20,427,2,22,12,1,1,1,1),(20,427,2,22,13,5,2,3,1),(20,427,2,22,14,4,6,4,4),(20,427,2,22,15,2,3,1,2),(20,427,2,22,16,3,3,3,2),(20,427,2,22,17,3,1,1,1),(20,427,2,22,18,NULL,2,NULL,2),(20,427,2,22,19,NULL,5,NULL,5),(20,427,2,22,20,NULL,5,NULL,4),(20,427,2,22,21,NULL,1,NULL,1),(20,427,2,22,22,2,1,2,NULL),(20,427,2,22,23,NULL,NULL,NULL,NULL),(20,427,2,22,24,NULL,NULL,NULL,NULL),(20,427,2,22,25,NULL,4,NULL,2),(20,427,2,22,26,1,NULL,1,NULL),(20,427,2,22,27,NULL,3,NULL,2),(20,427,2,22,28,3,NULL,3,NULL),(20,427,2,22,29,NULL,NULL,NULL,NULL),(20,427,2,22,30,NULL,4,NULL,3),(20,427,2,22,31,NULL,3,NULL,3),(20,427,2,22,32,1,3,NULL,2),(20,427,2,22,33,1,4,NULL,3),(20,427,2,22,34,NULL,1,NULL,1),(20,427,2,22,35,NULL,3,NULL,1),(20,427,2,22,36,NULL,3,NULL,2),(20,427,2,22,37,NULL,NULL,NULL,NULL),(20,427,2,22,38,1,NULL,1,NULL),(20,427,2,22,39,NULL,1,NULL,1),(20,427,2,22,40,1,3,1,1),(20,427,2,23,1,NULL,4,NULL,4),(20,427,2,23,2,1,NULL,1,NULL),(20,427,2,23,3,3,3,3,2),(20,427,2,23,4,NULL,2,NULL,2),(20,427,2,23,5,1,2,1,2),(20,427,2,23,6,1,5,1,5),(20,427,2,23,7,1,3,1,3),(20,427,2,23,8,1,NULL,1,NULL),(20,427,2,23,9,3,4,3,5),(20,427,2,23,10,NULL,4,NULL,4),(20,427,2,23,11,3,3,3,3),(20,427,2,23,12,NULL,2,NULL,2),(20,427,2,23,13,5,2,5,2),(20,427,2,23,14,3,8,3,8),(20,427,2,23,15,6,4,6,5),(20,427,2,23,16,3,2,4,2),(20,427,2,23,17,4,1,4,1),(20,427,2,23,18,1,2,1,2),(20,427,2,23,19,NULL,2,NULL,2),(20,427,2,23,20,1,4,NULL,5),(20,427,2,23,21,NULL,1,NULL,1),(20,427,2,23,22,NULL,4,NULL,4),(20,427,2,23,23,NULL,NULL,NULL,NULL),(20,427,2,23,24,NULL,NULL,NULL,NULL),(20,427,2,23,25,NULL,5,NULL,6),(20,427,2,23,26,1,1,1,1),(20,427,2,23,27,NULL,1,NULL,1),(20,427,2,23,28,1,3,2,3),(20,427,2,23,29,NULL,NULL,NULL,1),(20,427,2,23,30,1,1,1,1),(20,427,2,23,31,1,1,1,1),(20,427,2,23,32,2,2,2,2),(20,427,2,23,33,NULL,4,NULL,5),(20,427,2,23,34,2,NULL,1,NULL),(20,427,2,23,35,NULL,4,NULL,5),(20,427,2,23,36,NULL,3,NULL,3),(20,427,2,23,37,NULL,1,NULL,1),(20,427,2,23,38,NULL,1,NULL,1),(20,427,2,23,39,NULL,1,NULL,1),(20,427,2,23,40,2,4,2,5),(20,427,2,24,1,NULL,1,NULL,1),(20,427,2,24,2,NULL,2,NULL,2),(20,427,2,24,3,3,1,1,2),(20,427,2,24,4,1,NULL,1,1),(20,427,2,24,5,NULL,NULL,NULL,1),(20,427,2,24,6,4,1,4,2),(20,427,2,24,7,2,NULL,2,1),(20,427,2,24,8,NULL,NULL,1,NULL),(20,427,2,24,9,2,4,2,3),(20,427,2,24,10,NULL,1,NULL,1),(20,427,2,24,11,2,1,1,NULL),(20,427,2,24,12,1,NULL,NULL,1),(20,427,2,24,13,5,NULL,3,2),(20,427,2,24,14,1,3,1,4),(20,427,2,24,15,4,NULL,3,NULL),(20,427,2,24,16,3,NULL,3,1),(20,427,2,24,17,2,NULL,2,NULL),(20,427,2,24,18,NULL,1,NULL,1),(20,427,2,24,19,1,2,1,1),(20,427,2,24,20,1,NULL,NULL,1),(20,427,2,24,21,NULL,1,NULL,1),(20,427,2,24,22,NULL,2,NULL,1),(20,427,2,24,23,NULL,1,NULL,2),(20,427,2,24,24,NULL,NULL,NULL,NULL),(20,427,2,24,25,NULL,4,NULL,2),(20,427,2,24,26,NULL,NULL,NULL,NULL),(20,427,2,24,27,NULL,NULL,NULL,NULL),(20,427,2,24,28,2,NULL,2,1),(20,427,2,24,29,1,NULL,1,NULL),(20,427,2,24,30,NULL,NULL,NULL,1),(20,427,2,24,31,NULL,NULL,NULL,NULL),(20,427,2,24,32,NULL,3,NULL,2),(20,427,2,24,33,2,NULL,1,2),(20,427,2,24,34,NULL,5,NULL,3),(20,427,2,24,35,1,NULL,1,1),(20,427,2,24,36,NULL,4,NULL,4),(20,427,2,24,37,NULL,1,NULL,1),(20,427,2,24,38,NULL,NULL,NULL,NULL),(20,427,2,24,39,NULL,1,NULL,1),(20,427,2,24,40,1,NULL,NULL,2),(20,428,1,11,1,NULL,NULL,NULL,NULL),(20,428,1,11,2,NULL,NULL,NULL,NULL),(20,428,1,11,3,NULL,NULL,NULL,NULL),(20,428,1,11,4,NULL,NULL,NULL,NULL),(20,428,1,11,5,NULL,NULL,NULL,NULL),(20,428,1,11,6,NULL,NULL,NULL,NULL),(20,428,1,11,7,NULL,NULL,NULL,NULL),(20,428,1,11,8,NULL,NULL,NULL,NULL),(20,428,1,11,9,NULL,NULL,NULL,NULL),(20,428,1,11,10,NULL,NULL,NULL,NULL),(20,428,1,11,11,NULL,NULL,NULL,NULL),(20,428,1,11,12,NULL,NULL,NULL,NULL),(20,428,1,11,13,NULL,NULL,NULL,NULL),(20,428,1,11,14,NULL,NULL,NULL,NULL),(20,428,1,11,15,NULL,NULL,NULL,NULL),(20,428,1,11,16,NULL,NULL,NULL,NULL),(20,428,1,11,17,NULL,NULL,NULL,NULL),(20,428,1,11,18,NULL,NULL,NULL,NULL),(20,428,1,11,19,NULL,NULL,NULL,NULL),(20,428,1,11,20,NULL,NULL,NULL,NULL),(20,428,1,11,21,NULL,NULL,NULL,NULL),(20,428,1,11,22,NULL,NULL,NULL,NULL),(20,428,1,11,23,NULL,NULL,NULL,NULL),(20,428,1,11,24,NULL,NULL,NULL,NULL),(20,428,1,11,25,NULL,NULL,NULL,NULL),(20,428,1,11,26,NULL,NULL,NULL,NULL),(20,428,1,11,27,NULL,NULL,NULL,NULL),(20,428,1,11,28,NULL,NULL,NULL,NULL),(20,428,1,11,29,NULL,NULL,NULL,NULL),(20,428,1,11,30,NULL,NULL,NULL,NULL),(20,428,1,11,31,NULL,NULL,NULL,NULL),(20,428,1,11,32,NULL,NULL,NULL,NULL),(20,428,1,11,33,NULL,NULL,NULL,NULL),(20,428,1,11,34,NULL,NULL,NULL,NULL),(20,428,1,11,35,NULL,NULL,NULL,NULL),(20,428,1,11,36,NULL,NULL,NULL,NULL),(20,428,1,11,37,NULL,NULL,NULL,NULL),(20,428,1,11,38,NULL,NULL,NULL,NULL),(20,428,1,11,39,NULL,NULL,NULL,NULL),(20,428,1,11,40,NULL,NULL,NULL,NULL),(20,428,1,12,1,NULL,NULL,NULL,1),(20,428,1,12,2,NULL,NULL,NULL,NULL),(20,428,1,12,3,NULL,NULL,NULL,NULL),(20,428,1,12,4,NULL,NULL,NULL,NULL),(20,428,1,12,5,NULL,NULL,NULL,1),(20,428,1,12,6,NULL,NULL,1,NULL),(20,428,1,12,7,NULL,NULL,NULL,1),(20,428,1,12,8,NULL,NULL,NULL,NULL),(20,428,1,12,9,1,NULL,1,NULL),(20,428,1,12,10,NULL,NULL,NULL,NULL),(20,428,1,12,11,NULL,1,NULL,1),(20,428,1,12,12,NULL,NULL,NULL,NULL),(20,428,1,12,13,1,NULL,1,1),(20,428,1,12,14,NULL,NULL,NULL,1),(20,428,1,12,15,NULL,NULL,NULL,1),(20,428,1,12,16,NULL,NULL,1,NULL),(20,428,1,12,17,1,NULL,1,1),(20,428,1,12,18,NULL,NULL,1,NULL),(20,428,1,12,19,NULL,NULL,1,NULL),(20,428,1,12,20,NULL,1,NULL,2),(20,428,1,12,21,NULL,NULL,NULL,NULL),(20,428,1,12,22,NULL,NULL,NULL,NULL),(20,428,1,12,23,1,NULL,1,NULL),(20,428,1,12,24,NULL,NULL,NULL,NULL),(20,428,1,12,25,NULL,NULL,NULL,NULL),(20,428,1,12,26,NULL,NULL,NULL,NULL),(20,428,1,12,27,NULL,NULL,NULL,1),(20,428,1,12,28,NULL,NULL,NULL,NULL),(20,428,1,12,29,NULL,NULL,NULL,NULL),(20,428,1,12,30,NULL,NULL,NULL,1),(20,428,1,12,31,NULL,NULL,NULL,1),(20,428,1,12,32,NULL,NULL,1,NULL),(20,428,1,12,33,NULL,NULL,NULL,NULL),(20,428,1,12,34,NULL,NULL,NULL,NULL),(20,428,1,12,35,NULL,NULL,NULL,1),(20,428,1,12,36,NULL,NULL,NULL,NULL),(20,428,1,12,37,NULL,NULL,1,NULL),(20,428,1,12,38,NULL,NULL,NULL,NULL),(20,428,1,12,39,1,NULL,1,1),(20,428,1,12,40,NULL,NULL,NULL,NULL),(20,428,1,13,1,NULL,NULL,NULL,NULL),(20,428,1,13,2,NULL,NULL,NULL,NULL),(20,428,1,13,3,NULL,NULL,NULL,NULL),(20,428,1,13,4,NULL,NULL,NULL,NULL),(20,428,1,13,5,NULL,NULL,NULL,NULL),(20,428,1,13,6,NULL,NULL,NULL,NULL),(20,428,1,13,7,NULL,NULL,NULL,NULL),(20,428,1,13,8,NULL,NULL,NULL,NULL),(20,428,1,13,9,NULL,NULL,NULL,NULL),(20,428,1,13,10,NULL,NULL,NULL,NULL),(20,428,1,13,11,NULL,NULL,NULL,NULL),(20,428,1,13,12,NULL,NULL,NULL,NULL),(20,428,1,13,13,NULL,NULL,NULL,NULL),(20,428,1,13,14,NULL,NULL,NULL,NULL),(20,428,1,13,15,NULL,NULL,NULL,NULL),(20,428,1,13,16,NULL,NULL,NULL,NULL),(20,428,1,13,17,NULL,NULL,NULL,NULL),(20,428,1,13,18,NULL,NULL,NULL,NULL),(20,428,1,13,19,NULL,NULL,NULL,NULL),(20,428,1,13,20,NULL,NULL,NULL,NULL),(20,428,1,13,21,NULL,NULL,NULL,NULL),(20,428,1,13,22,NULL,NULL,NULL,NULL),(20,428,1,13,23,NULL,NULL,NULL,NULL),(20,428,1,13,24,NULL,NULL,NULL,NULL),(20,428,1,13,25,NULL,NULL,NULL,NULL),(20,428,1,13,26,NULL,NULL,NULL,NULL),(20,428,1,13,27,NULL,NULL,NULL,NULL),(20,428,1,13,28,NULL,NULL,NULL,NULL),(20,428,1,13,29,NULL,NULL,NULL,NULL),(20,428,1,13,30,NULL,NULL,NULL,NULL),(20,428,1,13,31,NULL,NULL,NULL,NULL),(20,428,1,13,32,NULL,NULL,NULL,NULL),(20,428,1,13,33,NULL,NULL,NULL,NULL),(20,428,1,13,34,NULL,NULL,NULL,NULL),(20,428,1,13,35,NULL,NULL,NULL,NULL),(20,428,1,13,36,NULL,NULL,NULL,NULL),(20,428,1,13,37,NULL,NULL,NULL,NULL),(20,428,1,13,38,NULL,NULL,NULL,NULL),(20,428,1,13,39,NULL,NULL,NULL,NULL),(20,428,1,13,40,NULL,NULL,NULL,NULL),(20,428,1,14,1,4,4,4,1),(20,428,1,14,2,4,NULL,3,NULL),(20,428,1,14,3,1,2,1,2),(20,428,1,14,4,2,4,1,4),(20,428,1,14,5,1,6,1,5),(20,428,1,14,6,8,6,8,5),(20,428,1,14,7,6,2,6,1),(20,428,1,14,8,4,2,3,2),(20,428,1,14,9,7,6,5,5),(20,428,1,14,10,1,1,1,1),(20,428,1,14,11,1,1,1,1),(20,428,1,14,12,3,2,2,2),(20,428,1,14,13,6,1,5,1),(20,428,1,14,14,7,4,6,1),(20,428,1,14,15,4,2,2,2),(20,428,1,14,16,8,1,7,1),(20,428,1,14,17,5,4,4,4),(20,428,1,14,18,7,3,6,3),(20,428,1,14,19,4,1,4,NULL),(20,428,1,14,20,11,2,8,2),(20,428,1,14,21,NULL,3,NULL,3),(20,428,1,14,22,3,4,3,4),(20,428,1,14,23,5,6,4,5),(20,428,1,14,24,1,2,1,2),(20,428,1,14,25,1,7,1,6),(20,428,1,14,26,NULL,NULL,NULL,NULL),(20,428,1,14,27,NULL,4,NULL,3),(20,428,1,14,28,NULL,1,NULL,1),(20,428,1,14,29,1,1,1,1),(20,428,1,14,30,NULL,2,NULL,2),(20,428,1,14,31,4,5,4,3),(20,428,1,14,32,2,2,1,2),(20,428,1,14,33,NULL,6,NULL,5),(20,428,1,14,34,2,3,2,3),(20,428,1,14,35,6,2,5,2),(20,428,1,14,36,4,2,4,1),(20,428,1,14,37,5,2,5,2),(20,428,1,14,38,NULL,1,NULL,1),(20,428,1,14,39,7,4,7,3),(20,428,1,14,40,4,1,4,1),(20,428,1,15,1,2,3,2,2),(20,428,1,15,2,2,2,2,2),(20,428,1,15,3,NULL,2,1,2),(20,428,1,15,4,2,1,3,1),(20,428,1,15,5,2,5,2,4),(20,428,1,15,6,5,5,6,2),(20,428,1,15,7,6,2,4,1),(20,428,1,15,8,8,NULL,6,NULL),(20,428,1,15,9,5,5,5,4),(20,428,1,15,10,4,4,4,2),(20,428,1,15,11,NULL,2,NULL,2),(20,428,1,15,12,3,4,1,3),(20,428,1,15,13,9,2,7,NULL),(20,428,1,15,14,5,5,5,3),(20,428,1,15,15,5,3,4,2),(20,428,1,15,16,6,2,5,2),(20,428,1,15,17,4,5,4,3),(20,428,1,15,18,9,1,8,1),(20,428,1,15,19,7,1,5,1),(20,428,1,15,20,6,3,5,2),(20,428,1,15,21,1,3,1,2),(20,428,1,15,22,1,1,2,1),(20,428,1,15,23,NULL,3,1,2),(20,428,1,15,24,2,1,2,1),(20,428,1,15,25,1,5,1,5),(20,428,1,15,26,NULL,NULL,NULL,NULL),(20,428,1,15,27,3,4,1,4),(20,428,1,15,28,NULL,NULL,NULL,NULL),(20,428,1,15,29,1,2,NULL,2),(20,428,1,15,30,1,2,1,2),(20,428,1,15,31,NULL,2,NULL,3),(20,428,1,15,32,1,1,NULL,1),(20,428,1,15,33,NULL,1,NULL,1),(20,428,1,15,34,1,1,NULL,1),(20,428,1,15,35,2,3,2,1),(20,428,1,15,36,3,4,2,3),(20,428,1,15,37,5,2,4,2),(20,428,1,15,38,NULL,1,NULL,1),(20,428,1,15,39,5,4,4,3),(20,428,1,15,40,3,1,3,1),(20,428,1,16,1,3,5,2,3),(20,428,1,16,2,NULL,2,NULL,2),(20,428,1,16,3,1,4,1,1),(20,428,1,16,4,NULL,3,NULL,NULL),(20,428,1,16,5,4,6,4,3),(20,428,1,16,6,6,5,3,4),(20,428,1,16,7,3,2,1,2),(20,428,1,16,8,6,3,6,3),(20,428,1,16,9,3,11,3,6),(20,428,1,16,10,2,3,2,3),(20,428,1,16,11,NULL,1,NULL,1),(20,428,1,16,12,NULL,4,NULL,3),(20,428,1,16,13,7,6,5,5),(20,428,1,16,14,NULL,NULL,NULL,NULL),(20,428,1,16,15,6,NULL,5,NULL),(20,428,1,16,16,1,1,1,NULL),(20,428,1,16,17,13,6,9,3),(20,428,1,16,18,NULL,1,NULL,1),(20,428,1,16,19,7,5,5,4),(20,428,1,16,20,1,3,NULL,3),(20,428,1,16,21,1,3,1,3),(20,428,1,16,22,NULL,5,NULL,4),(20,428,1,16,23,NULL,10,NULL,8),(20,428,1,16,24,NULL,3,NULL,3),(20,428,1,16,25,NULL,5,NULL,3),(20,428,1,16,26,1,NULL,1,NULL),(20,428,1,16,27,3,2,2,2),(20,428,1,16,28,NULL,2,NULL,1),(20,428,1,16,29,NULL,3,NULL,2),(20,428,1,16,30,2,4,2,2),(20,428,1,16,31,3,8,3,3),(20,428,1,16,32,2,5,1,4),(20,428,1,16,33,NULL,NULL,NULL,NULL),(20,428,1,16,34,NULL,2,NULL,1),(20,428,1,16,35,4,4,4,2),(20,428,1,16,36,2,4,1,2),(20,428,1,16,37,5,5,3,4),(20,428,1,16,38,2,1,2,1),(20,428,1,16,39,6,8,5,5),(20,428,1,16,40,1,4,1,4),(20,428,1,17,1,4,5,3,4),(20,428,1,17,2,1,5,1,2),(20,428,1,17,3,1,3,2,2),(20,428,1,17,4,4,3,1,3),(20,428,1,17,5,8,4,5,3),(20,428,1,17,6,10,8,8,2),(20,428,1,17,7,1,3,NULL,3),(20,428,1,17,8,8,4,4,3),(20,428,1,17,9,7,6,5,2),(20,428,1,17,10,2,6,2,3),(20,428,1,17,11,NULL,3,NULL,2),(20,428,1,17,12,3,4,1,3),(20,428,1,17,13,3,10,3,6),(20,428,1,17,14,NULL,5,NULL,2),(20,428,1,17,15,7,2,7,1),(20,428,1,17,16,1,4,NULL,2),(20,428,1,17,17,9,12,3,10),(20,428,1,17,18,1,7,1,6),(20,428,1,17,19,11,4,4,4),(20,428,1,17,20,2,4,2,2),(20,428,1,17,21,NULL,6,NULL,3),(20,428,1,17,22,1,4,NULL,3),(20,428,1,17,23,1,7,1,5),(20,428,1,17,24,4,4,2,3),(20,428,1,17,25,NULL,6,NULL,6),(20,428,1,17,26,2,NULL,1,NULL),(20,428,1,17,27,3,6,1,4),(20,428,1,17,28,NULL,3,NULL,2),(20,428,1,17,29,3,5,2,4),(20,428,1,17,30,1,2,1,1),(20,428,1,17,31,1,6,NULL,4),(20,428,1,17,32,3,6,2,4),(20,428,1,17,33,1,4,NULL,2),(20,428,1,17,34,1,1,NULL,1),(20,428,1,17,35,3,9,NULL,8),(20,428,1,17,36,4,4,2,3),(20,428,1,17,37,5,5,4,4),(20,428,1,17,38,2,NULL,2,NULL),(20,428,1,17,39,6,9,5,5),(20,428,1,17,40,1,6,1,6),(20,428,2,21,1,2,6,1,6),(20,428,2,21,2,NULL,1,NULL,2),(20,428,2,21,3,2,7,NULL,5),(20,428,2,21,4,1,5,1,4),(20,428,2,21,5,1,2,1,2),(20,428,2,21,6,3,9,2,8),(20,428,2,21,7,2,4,2,4),(20,428,2,21,8,3,NULL,2,NULL),(20,428,2,21,9,5,8,4,5),(20,428,2,21,10,NULL,6,NULL,5),(20,428,2,21,11,4,4,4,2),(20,428,2,21,12,2,7,1,6),(20,428,2,21,13,11,8,8,6),(20,428,2,21,14,12,10,10,6),(20,428,2,21,15,6,8,4,6),(20,428,2,21,16,5,8,5,6),(20,428,2,21,17,NULL,2,NULL,1),(20,428,2,21,18,NULL,2,NULL,2),(20,428,2,21,19,1,5,NULL,3),(20,428,2,21,20,2,3,2,3),(20,428,2,21,21,NULL,NULL,NULL,NULL),(20,428,2,21,22,NULL,4,NULL,4),(20,428,2,21,23,NULL,NULL,NULL,NULL),(20,428,2,21,24,NULL,1,NULL,1),(20,428,2,21,25,NULL,8,NULL,8),(20,428,2,21,26,1,4,NULL,4),(20,428,2,21,27,NULL,NULL,NULL,NULL),(20,428,2,21,28,2,5,2,4),(20,428,2,21,29,NULL,2,NULL,2),(20,428,2,21,30,NULL,3,NULL,2),(20,428,2,21,31,NULL,5,NULL,4),(20,428,2,21,32,2,4,2,3),(20,428,2,21,33,1,5,1,4),(20,428,2,21,34,1,4,1,3),(20,428,2,21,35,1,4,1,4),(20,428,2,21,36,1,6,1,5),(20,428,2,21,37,NULL,3,1,2),(20,428,2,21,38,NULL,4,NULL,3),(20,428,2,21,39,NULL,NULL,NULL,NULL),(20,428,2,21,40,2,3,3,3),(20,428,2,22,1,1,2,1,2),(20,428,2,22,2,1,NULL,NULL,NULL),(20,428,2,22,3,1,1,1,NULL),(20,428,2,22,4,NULL,5,NULL,4),(20,428,2,22,5,1,NULL,NULL,NULL),(20,428,2,22,6,2,2,NULL,2),(20,428,2,22,7,2,3,3,1),(20,428,2,22,8,1,NULL,1,NULL),(20,428,2,22,9,6,10,4,6),(20,428,2,22,10,1,4,1,2),(20,428,2,22,11,3,2,3,NULL),(20,428,2,22,12,NULL,NULL,NULL,NULL),(20,428,2,22,13,5,4,4,3),(20,428,2,22,14,9,6,6,5),(20,428,2,22,15,4,3,5,2),(20,428,2,22,16,3,4,2,3),(20,428,2,22,17,NULL,2,NULL,1),(20,428,2,22,18,NULL,6,NULL,3),(20,428,2,22,19,3,5,2,3),(20,428,2,22,20,3,5,1,5),(20,428,2,22,21,NULL,NULL,NULL,NULL),(20,428,2,22,22,NULL,2,NULL,2),(20,428,2,22,23,NULL,1,NULL,1),(20,428,2,22,24,NULL,2,NULL,2),(20,428,2,22,25,1,4,1,2),(20,428,2,22,26,NULL,NULL,NULL,NULL),(20,428,2,22,27,NULL,1,NULL,1),(20,428,2,22,28,3,3,2,2),(20,428,2,22,29,NULL,1,NULL,1),(20,428,2,22,30,1,1,NULL,1),(20,428,2,22,31,NULL,1,NULL,NULL),(20,428,2,22,32,NULL,2,NULL,2),(20,428,2,22,33,NULL,4,NULL,3),(20,428,2,22,34,4,2,3,2),(20,428,2,22,35,NULL,2,NULL,1),(20,428,2,22,36,NULL,7,NULL,6),(20,428,2,22,37,NULL,2,NULL,1),(20,428,2,22,38,NULL,4,NULL,2),(20,428,2,22,39,1,NULL,1,NULL),(20,428,2,22,40,3,4,2,5),(20,428,2,23,1,1,3,NULL,2),(20,428,2,23,2,1,3,1,2),(20,428,2,23,3,1,3,1,2),(20,428,2,23,4,1,5,1,5),(20,428,2,23,5,1,4,1,3),(20,428,2,23,6,4,6,3,4),(20,428,2,23,7,2,3,2,2),(20,428,2,23,8,2,NULL,2,NULL),(20,428,2,23,9,3,7,1,6),(20,428,2,23,10,1,6,NULL,3),(20,428,2,23,11,NULL,7,NULL,5),(20,428,2,23,12,NULL,7,NULL,4),(20,428,2,23,13,7,6,6,4),(20,428,2,23,14,8,11,5,7),(20,428,2,23,15,5,3,3,2),(20,428,2,23,16,10,4,7,3),(20,428,2,23,17,2,4,2,4),(20,428,2,23,18,1,3,1,1),(20,428,2,23,19,4,5,4,2),(20,428,2,23,20,4,3,2,2),(20,428,2,23,21,NULL,3,NULL,3),(20,428,2,23,22,NULL,4,NULL,2),(20,428,2,23,23,NULL,NULL,NULL,NULL),(20,428,2,23,24,NULL,NULL,NULL,NULL),(20,428,2,23,25,NULL,6,NULL,4),(20,428,2,23,26,NULL,1,NULL,1),(20,428,2,23,27,1,1,NULL,1),(20,428,2,23,28,3,2,2,2),(20,428,2,23,29,NULL,2,NULL,1),(20,428,2,23,30,NULL,3,NULL,1),(20,428,2,23,31,2,5,2,4),(20,428,2,23,32,NULL,4,NULL,4),(20,428,2,23,33,1,5,1,5),(20,428,2,23,34,1,4,1,3),(20,428,2,23,35,NULL,1,NULL,1),(20,428,2,23,36,2,5,1,4),(20,428,2,23,37,NULL,1,NULL,1),(20,428,2,23,38,NULL,2,NULL,1),(20,428,2,23,39,NULL,NULL,NULL,NULL),(20,428,2,23,40,NULL,5,NULL,5),(20,428,2,24,1,NULL,3,NULL,2),(20,428,2,24,2,2,NULL,1,NULL),(20,428,2,24,3,1,4,NULL,4),(20,428,2,24,4,1,2,1,2),(20,428,2,24,5,NULL,2,NULL,1),(20,428,2,24,6,5,4,6,3),(20,428,2,24,7,NULL,5,NULL,4),(20,428,2,24,8,3,NULL,3,NULL),(20,428,2,24,9,5,6,4,2),(20,428,2,24,10,NULL,2,NULL,2),(20,428,2,24,11,3,5,2,3),(20,428,2,24,12,NULL,1,NULL,1),(20,428,2,24,13,6,8,5,7),(20,428,2,24,14,5,10,6,5),(20,428,2,24,15,2,5,1,2),(20,428,2,24,16,6,3,4,3),(20,428,2,24,17,3,4,3,1),(20,428,2,24,18,NULL,5,NULL,4),(20,428,2,24,19,1,8,NULL,6),(20,428,2,24,20,2,6,2,3),(20,428,2,24,21,1,2,1,2),(20,428,2,24,22,NULL,6,NULL,3),(20,428,2,24,23,1,1,NULL,NULL),(20,428,2,24,24,NULL,2,NULL,1),(20,428,2,24,25,1,3,1,2),(20,428,2,24,26,NULL,1,NULL,1),(20,428,2,24,27,2,2,1,1),(20,428,2,24,28,3,2,3,2),(20,428,2,24,29,NULL,2,NULL,2),(20,428,2,24,30,2,2,NULL,1),(20,428,2,24,31,1,1,1,1),(20,428,2,24,32,NULL,6,NULL,3),(20,428,2,24,33,2,5,2,2),(20,428,2,24,34,1,4,1,3),(20,428,2,24,35,NULL,3,NULL,3),(20,428,2,24,36,2,1,1,1),(20,428,2,24,37,1,4,NULL,4),(20,428,2,24,38,1,3,NULL,2),(20,428,2,24,39,NULL,2,NULL,2),(20,428,2,24,40,3,3,2,2),(20,429,1,11,1,NULL,NULL,NULL,NULL),(20,429,1,11,2,NULL,NULL,NULL,NULL),(20,429,1,11,3,NULL,1,NULL,1),(20,429,1,11,4,1,NULL,1,NULL),(20,429,1,11,5,NULL,1,NULL,1),(20,429,1,11,6,1,NULL,1,NULL),(20,429,1,11,7,NULL,1,NULL,1),(20,429,1,11,8,1,NULL,1,NULL),(20,429,1,11,9,NULL,NULL,NULL,NULL),(20,429,1,11,10,NULL,NULL,NULL,NULL),(20,429,1,11,11,NULL,NULL,NULL,NULL),(20,429,1,11,12,NULL,NULL,NULL,NULL),(20,429,1,11,13,1,NULL,1,NULL),(20,429,1,11,14,1,NULL,1,NULL),(20,429,1,11,15,1,NULL,1,NULL),(20,429,1,11,16,1,NULL,1,NULL),(20,429,1,11,17,NULL,1,NULL,1),(20,429,1,11,18,1,NULL,1,NULL),(20,429,1,11,19,1,NULL,1,NULL),(20,429,1,11,20,NULL,1,NULL,1),(20,429,1,11,21,NULL,NULL,NULL,NULL),(20,429,1,11,22,NULL,NULL,NULL,NULL),(20,429,1,11,23,NULL,1,NULL,1),(20,429,1,11,24,NULL,NULL,NULL,NULL),(20,429,1,11,25,NULL,NULL,NULL,NULL),(20,429,1,11,26,1,NULL,1,NULL),(20,429,1,11,27,NULL,NULL,NULL,NULL),(20,429,1,11,28,NULL,NULL,NULL,NULL),(20,429,1,11,29,NULL,NULL,NULL,NULL),(20,429,1,11,30,NULL,NULL,NULL,NULL),(20,429,1,11,31,NULL,NULL,NULL,NULL),(20,429,1,11,32,NULL,NULL,NULL,NULL),(20,429,1,11,33,NULL,NULL,NULL,NULL),(20,429,1,11,34,NULL,1,NULL,1),(20,429,1,11,35,NULL,NULL,NULL,NULL),(20,429,1,11,36,NULL,1,NULL,1),(20,429,1,11,37,NULL,NULL,NULL,NULL),(20,429,1,11,38,NULL,NULL,NULL,NULL),(20,429,1,11,39,NULL,NULL,NULL,NULL),(20,429,1,11,40,NULL,NULL,NULL,NULL),(20,429,1,12,1,NULL,NULL,NULL,NULL),(20,429,1,12,2,NULL,NULL,NULL,NULL),(20,429,1,12,3,NULL,NULL,NULL,NULL),(20,429,1,12,4,NULL,NULL,NULL,NULL),(20,429,1,12,5,1,NULL,NULL,NULL),(20,429,1,12,6,NULL,NULL,NULL,NULL),(20,429,1,12,7,NULL,NULL,NULL,NULL),(20,429,1,12,8,1,NULL,NULL,NULL),(20,429,1,12,9,NULL,NULL,NULL,NULL),(20,429,1,12,10,1,NULL,NULL,NULL),(20,429,1,12,11,NULL,NULL,NULL,NULL),(20,429,1,12,12,NULL,NULL,NULL,NULL),(20,429,1,12,13,NULL,NULL,NULL,NULL),(20,429,1,12,14,NULL,1,NULL,NULL),(20,429,1,12,15,1,NULL,NULL,NULL),(20,429,1,12,16,NULL,NULL,NULL,NULL),(20,429,1,12,17,1,NULL,NULL,NULL),(20,429,1,12,18,NULL,NULL,NULL,NULL),(20,429,1,12,19,NULL,1,NULL,NULL),(20,429,1,12,20,1,NULL,NULL,NULL),(20,429,1,12,21,NULL,NULL,NULL,NULL),(20,429,1,12,22,NULL,NULL,NULL,NULL),(20,429,1,12,23,NULL,NULL,NULL,NULL),(20,429,1,12,24,NULL,NULL,NULL,NULL),(20,429,1,12,25,NULL,NULL,NULL,NULL),(20,429,1,12,26,NULL,NULL,NULL,NULL),(20,429,1,12,27,NULL,NULL,NULL,NULL),(20,429,1,12,28,NULL,NULL,NULL,NULL),(20,429,1,12,29,NULL,NULL,NULL,NULL),(20,429,1,12,30,NULL,NULL,NULL,NULL),(20,429,1,12,31,NULL,NULL,NULL,NULL),(20,429,1,12,32,NULL,NULL,NULL,NULL),(20,429,1,12,33,NULL,NULL,NULL,NULL),(20,429,1,12,34,NULL,NULL,NULL,NULL),(20,429,1,12,35,NULL,NULL,NULL,NULL),(20,429,1,12,36,NULL,NULL,NULL,NULL),(20,429,1,12,37,NULL,NULL,NULL,NULL),(20,429,1,12,38,NULL,NULL,NULL,NULL),(20,429,1,12,39,1,NULL,NULL,NULL),(20,429,1,12,40,NULL,NULL,NULL,NULL),(20,429,1,13,1,NULL,NULL,NULL,NULL),(20,429,1,13,2,1,NULL,NULL,NULL),(20,429,1,13,3,NULL,1,NULL,NULL),(20,429,1,13,4,NULL,1,NULL,NULL),(20,429,1,13,5,NULL,1,NULL,NULL),(20,429,1,13,6,1,1,NULL,NULL),(20,429,1,13,7,1,NULL,NULL,NULL),(20,429,1,13,8,1,1,NULL,NULL),(20,429,1,13,9,NULL,2,NULL,NULL),(20,429,1,13,10,NULL,1,NULL,NULL),(20,429,1,13,11,NULL,1,NULL,NULL),(20,429,1,13,12,NULL,1,NULL,NULL),(20,429,1,13,13,3,NULL,NULL,NULL),(20,429,1,13,14,NULL,3,NULL,NULL),(20,429,1,13,15,1,NULL,NULL,NULL),(20,429,1,13,16,2,NULL,NULL,NULL),(20,429,1,13,17,2,NULL,NULL,NULL),(20,429,1,13,18,2,NULL,NULL,NULL),(20,429,1,13,19,3,NULL,NULL,NULL),(20,429,1,13,20,1,NULL,NULL,NULL),(20,429,1,13,21,NULL,1,NULL,NULL),(20,429,1,13,22,NULL,2,NULL,NULL),(20,429,1,13,23,NULL,1,NULL,NULL),(20,429,1,13,24,NULL,1,NULL,NULL),(20,429,1,13,25,NULL,1,NULL,NULL),(20,429,1,13,26,1,NULL,NULL,NULL),(20,429,1,13,27,NULL,NULL,NULL,NULL),(20,429,1,13,28,NULL,1,NULL,NULL),(20,429,1,13,29,NULL,2,NULL,NULL),(20,429,1,13,30,1,1,NULL,NULL),(20,429,1,13,31,1,NULL,NULL,NULL),(20,429,1,13,32,NULL,NULL,NULL,NULL),(20,429,1,13,33,NULL,NULL,NULL,NULL),(20,429,1,13,34,NULL,NULL,NULL,NULL),(20,429,1,13,35,NULL,NULL,NULL,NULL),(20,429,1,13,36,1,NULL,NULL,NULL),(20,429,1,13,37,NULL,1,NULL,NULL),(20,429,1,13,38,NULL,NULL,NULL,NULL),(20,429,1,13,39,1,1,NULL,NULL),(20,429,1,13,40,NULL,1,NULL,NULL),(20,429,1,14,1,NULL,6,NULL,NULL),(20,429,1,14,2,2,3,2,NULL),(20,429,1,14,3,1,4,NULL,2),(20,429,1,14,4,3,10,1,2),(20,429,1,14,5,5,6,1,2),(20,429,1,14,6,9,14,4,3),(20,429,1,14,7,2,4,1,NULL),(20,429,1,14,8,10,1,2,1),(20,429,1,14,9,9,12,3,2),(20,429,1,14,10,NULL,6,NULL,1),(20,429,1,14,11,3,NULL,1,NULL),(20,429,1,14,12,4,5,2,2),(20,429,1,14,13,8,10,6,2),(20,429,1,14,14,14,10,6,1),(20,429,1,14,15,2,10,2,1),(20,429,1,14,16,14,6,5,1),(20,429,1,14,17,5,17,4,1),(20,429,1,14,18,10,11,5,1),(20,429,1,14,19,7,3,2,1),(20,429,1,14,20,15,9,5,1),(20,429,1,14,21,NULL,5,NULL,2),(20,429,1,14,22,1,3,NULL,1),(20,429,1,14,23,3,14,1,3),(20,429,1,14,24,1,5,NULL,3),(20,429,1,14,25,NULL,8,NULL,5),(20,429,1,14,26,2,NULL,2,NULL),(20,429,1,14,27,3,3,NULL,NULL),(20,429,1,14,28,NULL,3,NULL,NULL),(20,429,1,14,29,3,4,1,2),(20,429,1,14,30,2,4,NULL,NULL),(20,429,1,14,31,3,7,NULL,1),(20,429,1,14,32,NULL,3,NULL,2),(20,429,1,14,33,2,2,2,1),(20,429,1,14,34,1,2,NULL,1),(20,429,1,14,35,4,6,1,2),(20,429,1,14,36,2,8,1,5),(20,429,1,14,37,3,7,2,3),(20,429,1,14,38,NULL,2,NULL,NULL),(20,429,1,14,39,10,9,4,2),(20,429,1,14,40,3,3,2,1),(20,429,1,15,1,9,7,3,5),(20,429,1,15,2,7,3,2,1),(20,429,1,15,3,3,9,1,5),(20,429,1,15,4,3,13,1,9),(20,429,1,15,5,11,10,5,7),(20,429,1,15,6,16,13,11,7),(20,429,1,15,7,3,7,4,2),(20,429,1,15,8,13,2,8,2),(20,429,1,15,9,8,12,4,9),(20,429,1,15,10,4,5,4,3),(20,429,1,15,11,3,4,3,3),(20,429,1,15,12,10,7,5,5),(20,429,1,15,13,15,10,11,7),(20,429,1,15,14,20,9,15,6),(20,429,1,15,15,8,10,8,5),(20,429,1,15,16,21,7,15,3),(20,429,1,15,17,5,19,4,12),(20,429,1,15,18,24,6,17,3),(20,429,1,15,19,16,1,13,NULL),(20,429,1,15,20,23,4,18,2),(20,429,1,15,21,1,6,1,4),(20,429,1,15,22,NULL,7,NULL,4),(20,429,1,15,23,1,15,2,12),(20,429,1,15,24,6,7,4,4),(20,429,1,15,25,2,10,2,9),(20,429,1,15,26,1,NULL,NULL,NULL),(20,429,1,15,27,3,3,2,2),(20,429,1,15,28,1,1,1,1),(20,429,1,15,29,1,5,2,2),(20,429,1,15,30,2,7,NULL,4),(20,429,1,15,31,5,8,4,6),(20,429,1,15,32,2,2,2,NULL),(20,429,1,15,33,2,8,2,6),(20,429,1,15,34,1,2,1,3),(20,429,1,15,35,5,6,5,5),(20,429,1,15,36,7,7,6,5),(20,429,1,15,37,12,6,8,5),(20,429,1,15,38,2,2,1,NULL),(20,429,1,15,39,15,11,15,6),(20,429,1,15,40,7,2,4,NULL),(20,429,1,16,1,2,8,NULL,4),(20,429,1,16,2,3,1,NULL,NULL),(20,429,1,16,3,2,3,1,2),(20,429,1,16,4,2,5,NULL,3),(20,429,1,16,5,2,7,NULL,3),(20,429,1,16,6,8,2,2,1),(20,429,1,16,7,NULL,NULL,NULL,NULL),(20,429,1,16,8,8,3,4,1),(20,429,1,16,9,4,5,2,4),(20,429,1,16,10,2,3,2,2),(20,429,1,16,11,NULL,4,NULL,2),(20,429,1,16,12,3,3,3,2),(20,429,1,16,13,5,5,2,2),(20,429,1,16,14,2,2,2,NULL),(20,429,1,16,15,5,4,3,NULL),(20,429,1,16,16,2,6,1,NULL),(20,429,1,16,17,8,6,4,2),(20,429,1,16,18,2,2,1,2),(20,429,1,16,19,7,7,2,4),(20,429,1,16,20,NULL,9,NULL,3),(20,429,1,16,21,1,5,NULL,2),(20,429,1,16,22,NULL,2,NULL,2),(20,429,1,16,23,1,6,NULL,1),(20,429,1,16,24,1,3,1,NULL),(20,429,1,16,25,2,2,NULL,1),(20,429,1,16,26,1,NULL,NULL,NULL),(20,429,1,16,27,1,NULL,NULL,NULL),(20,429,1,16,28,NULL,3,NULL,1),(20,429,1,16,29,NULL,2,NULL,1),(20,429,1,16,30,1,6,NULL,2),(20,429,1,16,31,1,5,NULL,3),(20,429,1,16,32,3,3,2,1),(20,429,1,16,33,NULL,3,NULL,1),(20,429,1,16,34,1,1,NULL,1),(20,429,1,16,35,6,6,3,1),(20,429,1,16,36,3,6,3,3),(20,429,1,16,37,5,7,3,3),(20,429,1,16,38,1,4,NULL,2),(20,429,1,16,39,8,6,3,2),(20,429,1,16,40,4,1,3,NULL),(20,429,1,17,1,1,4,NULL,1),(20,429,1,17,2,2,5,1,NULL),(20,429,1,17,3,1,3,NULL,1),(20,429,1,17,4,3,2,1,NULL),(20,429,1,17,5,1,4,NULL,NULL),(20,429,1,17,6,2,11,1,NULL),(20,429,1,17,7,1,NULL,NULL,NULL),(20,429,1,17,8,4,3,1,NULL),(20,429,1,17,9,1,5,1,NULL),(20,429,1,17,10,NULL,6,NULL,1),(20,429,1,17,11,NULL,3,NULL,1),(20,429,1,17,12,NULL,3,NULL,NULL),(20,429,1,17,13,NULL,7,NULL,NULL),(20,429,1,17,14,2,2,NULL,NULL),(20,429,1,17,15,2,4,NULL,NULL),(20,429,1,17,16,NULL,8,NULL,1),(20,429,1,17,17,10,8,NULL,1),(20,429,1,17,18,NULL,4,NULL,NULL),(20,429,1,17,19,3,6,NULL,1),(20,429,1,17,20,NULL,6,NULL,NULL),(20,429,1,17,21,1,5,NULL,NULL),(20,429,1,17,22,NULL,2,NULL,NULL),(20,429,1,17,23,2,6,NULL,NULL),(20,429,1,17,24,1,4,NULL,NULL),(20,429,1,17,25,NULL,6,NULL,NULL),(20,429,1,17,26,4,NULL,NULL,NULL),(20,429,1,17,27,1,6,NULL,NULL),(20,429,1,17,28,NULL,3,NULL,NULL),(20,429,1,17,29,NULL,6,NULL,NULL),(20,429,1,17,30,1,2,NULL,NULL),(20,429,1,17,31,1,7,NULL,NULL),(20,429,1,17,32,3,1,NULL,1),(20,429,1,17,33,NULL,1,NULL,NULL),(20,429,1,17,34,NULL,5,NULL,NULL),(20,429,1,17,35,1,5,NULL,NULL),(20,429,1,17,36,2,3,1,NULL),(20,429,1,17,37,3,4,NULL,1),(20,429,1,17,38,NULL,1,NULL,NULL),(20,429,1,17,39,5,9,NULL,NULL),(20,429,1,17,40,1,5,NULL,NULL),(20,429,2,21,1,4,7,2,NULL),(20,429,2,21,2,1,2,NULL,NULL),(20,429,2,21,3,3,5,NULL,4),(20,429,2,21,4,2,10,1,2),(20,429,2,21,5,1,3,NULL,1),(20,429,2,21,6,4,5,1,3),(20,429,2,21,7,4,2,2,NULL),(20,429,2,21,8,4,NULL,1,NULL),(20,429,2,21,9,5,17,3,4),(20,429,2,21,10,NULL,10,NULL,3),(20,429,2,21,11,3,5,1,NULL),(20,429,2,21,12,1,4,NULL,2),(20,429,2,21,13,9,12,6,3),(20,429,2,21,14,9,18,3,6),(20,429,2,21,15,10,7,3,2),(20,429,2,21,16,8,8,5,1),(20,429,2,21,17,NULL,7,NULL,2),(20,429,2,21,18,1,7,1,5),(20,429,2,21,19,1,7,NULL,3),(20,429,2,21,20,1,5,1,4),(20,429,2,21,21,NULL,2,NULL,2),(20,429,2,21,22,3,9,2,1),(20,429,2,21,23,NULL,1,NULL,1),(20,429,2,21,24,NULL,2,NULL,NULL),(20,429,2,21,25,1,8,NULL,2),(20,429,2,21,26,1,NULL,NULL,NULL),(20,429,2,21,27,1,2,1,NULL),(20,429,2,21,28,2,8,3,2),(20,429,2,21,29,NULL,2,NULL,1),(20,429,2,21,30,NULL,7,NULL,2),(20,429,2,21,31,NULL,3,NULL,2),(20,429,2,21,32,NULL,8,NULL,4),(20,429,2,21,33,3,11,1,5),(20,429,2,21,34,2,4,NULL,1),(20,429,2,21,35,NULL,6,NULL,3),(20,429,2,21,36,2,9,1,2),(20,429,2,21,37,NULL,6,NULL,NULL),(20,429,2,21,38,NULL,2,NULL,NULL),(20,429,2,21,39,NULL,4,NULL,1),(20,429,2,21,40,2,10,1,4),(20,429,2,22,1,NULL,6,NULL,2),(20,429,2,22,2,1,1,NULL,1),(20,429,2,22,3,2,8,NULL,4),(20,429,2,22,4,3,10,1,4),(20,429,2,22,5,2,4,2,1),(20,429,2,22,6,5,4,3,5),(20,429,2,22,7,3,7,1,4),(20,429,2,22,8,2,NULL,1,NULL),(20,429,2,22,9,10,11,5,4),(20,429,2,22,10,2,7,1,4),(20,429,2,22,11,3,6,1,2),(20,429,2,22,12,NULL,4,NULL,3),(20,429,2,22,13,15,11,9,4),(20,429,2,22,14,7,12,3,9),(20,429,2,22,15,10,7,9,3),(20,429,2,22,16,8,4,6,2),(20,429,2,22,17,2,6,2,3),(20,429,2,22,18,4,3,1,2),(20,429,2,22,19,3,10,3,4),(20,429,2,22,20,3,7,3,2),(20,429,2,22,21,NULL,1,NULL,NULL),(20,429,2,22,22,1,5,1,3),(20,429,2,22,23,1,3,NULL,NULL),(20,429,2,22,24,NULL,2,NULL,NULL),(20,429,2,22,25,4,7,1,3),(20,429,2,22,26,1,1,NULL,NULL),(20,429,2,22,27,NULL,1,NULL,NULL),(20,429,2,22,28,3,6,1,3),(20,429,2,22,29,NULL,1,NULL,NULL),(20,429,2,22,30,2,4,2,2),(20,429,2,22,31,NULL,7,NULL,5),(20,429,2,22,32,NULL,8,NULL,2),(20,429,2,22,33,4,8,2,3),(20,429,2,22,34,2,4,2,2),(20,429,2,22,35,1,5,1,3),(20,429,2,22,36,1,6,NULL,3),(20,429,2,22,37,1,5,NULL,3),(20,429,2,22,38,NULL,7,NULL,3),(20,429,2,22,39,NULL,2,NULL,3),(20,429,2,22,40,3,6,1,2),(20,429,2,23,1,1,5,NULL,2),(20,429,2,23,2,NULL,2,NULL,NULL),(20,429,2,23,3,4,8,1,3),(20,429,2,23,4,2,4,1,3),(20,429,2,23,5,NULL,2,NULL,2),(20,429,2,23,6,3,5,3,3),(20,429,2,23,7,NULL,8,1,4),(20,429,2,23,8,3,NULL,2,NULL),(20,429,2,23,9,5,17,3,6),(20,429,2,23,10,1,7,1,3),(20,429,2,23,11,2,11,NULL,3),(20,429,2,23,12,1,8,1,1),(20,429,2,23,13,10,7,5,1),(20,429,2,23,14,6,16,1,7),(20,429,2,23,15,6,7,1,2),(20,429,2,23,16,7,13,4,4),(20,429,2,23,17,2,2,NULL,NULL),(20,429,2,23,18,1,4,NULL,2),(20,429,2,23,19,2,8,1,5),(20,429,2,23,20,1,6,NULL,5),(20,429,2,23,21,1,1,NULL,NULL),(20,429,2,23,22,3,10,1,3),(20,429,2,23,23,NULL,NULL,NULL,NULL),(20,429,2,23,24,NULL,3,NULL,NULL),(20,429,2,23,25,2,10,2,4),(20,429,2,23,26,NULL,2,NULL,2),(20,429,2,23,27,1,3,NULL,2),(20,429,2,23,28,3,4,3,1),(20,429,2,23,29,NULL,3,NULL,1),(20,429,2,23,30,4,2,1,1),(20,429,2,23,31,4,1,3,NULL),(20,429,2,23,32,1,7,NULL,5),(20,429,2,23,33,NULL,12,NULL,4),(20,429,2,23,34,3,7,2,4),(20,429,2,23,35,2,7,2,4),(20,429,2,23,36,2,13,1,5),(20,429,2,23,37,2,4,1,1),(20,429,2,23,38,2,4,1,1),(20,429,2,23,39,NULL,NULL,NULL,1),(20,429,2,23,40,2,3,NULL,1),(20,429,2,24,1,3,1,3,NULL),(20,429,2,24,2,NULL,1,NULL,1),(20,429,2,24,3,4,4,2,2),(20,429,2,24,4,NULL,7,NULL,1),(20,429,2,24,5,NULL,2,NULL,1),(20,429,2,24,6,2,7,2,3),(20,429,2,24,7,1,4,1,NULL),(20,429,2,24,8,4,NULL,1,NULL),(20,429,2,24,9,3,9,2,3),(20,429,2,24,10,1,5,NULL,1),(20,429,2,24,11,4,4,2,NULL),(20,429,2,24,12,2,1,1,NULL),(20,429,2,24,13,6,10,3,1),(20,429,2,24,14,7,14,3,3),(20,429,2,24,15,5,3,1,1),(20,429,2,24,16,13,3,3,1),(20,429,2,24,17,1,7,1,3),(20,429,2,24,18,NULL,6,NULL,3),(20,429,2,24,19,2,8,2,1),(20,429,2,24,20,4,3,1,1),(20,429,2,24,21,NULL,NULL,NULL,NULL),(20,429,2,24,22,1,7,NULL,1),(20,429,2,24,23,NULL,2,NULL,NULL),(20,429,2,24,24,NULL,2,NULL,1),(20,429,2,24,25,1,6,NULL,4),(20,429,2,24,26,NULL,4,NULL,1),(20,429,2,24,27,1,1,NULL,NULL),(20,429,2,24,28,4,8,3,1),(20,429,2,24,29,NULL,NULL,NULL,NULL),(20,429,2,24,30,1,3,NULL,NULL),(20,429,2,24,31,2,4,NULL,2),(20,429,2,24,32,NULL,5,NULL,2),(20,429,2,24,33,2,8,NULL,1),(20,429,2,24,34,1,7,1,1),(20,429,2,24,35,NULL,5,NULL,2),(20,429,2,24,36,NULL,5,NULL,3),(20,429,2,24,37,NULL,5,NULL,1),(20,429,2,24,38,NULL,5,NULL,2),(20,429,2,24,39,NULL,5,NULL,2),(20,429,2,24,40,1,4,NULL,2),(20,444,1,11,1,NULL,NULL,NULL,NULL),(20,444,1,11,2,NULL,NULL,NULL,NULL),(20,444,1,11,3,NULL,NULL,NULL,NULL),(20,444,1,11,4,NULL,NULL,NULL,NULL),(20,444,1,11,5,NULL,NULL,NULL,NULL),(20,444,1,11,6,NULL,NULL,NULL,NULL),(20,444,1,11,7,NULL,NULL,NULL,NULL),(20,444,1,11,8,NULL,NULL,NULL,NULL),(20,444,1,11,9,NULL,NULL,NULL,NULL),(20,444,1,11,10,NULL,NULL,NULL,NULL),(20,444,1,11,11,NULL,NULL,NULL,NULL),(20,444,1,11,12,NULL,NULL,NULL,NULL),(20,444,1,11,13,NULL,NULL,NULL,NULL),(20,444,1,11,14,NULL,NULL,NULL,NULL),(20,444,1,11,15,NULL,NULL,NULL,NULL),(20,444,1,11,16,NULL,NULL,NULL,NULL),(20,444,1,11,17,NULL,NULL,NULL,NULL),(20,444,1,11,18,NULL,NULL,NULL,NULL),(20,444,1,11,19,NULL,NULL,NULL,NULL),(20,444,1,11,20,NULL,NULL,NULL,NULL),(20,444,1,11,21,NULL,NULL,NULL,NULL),(20,444,1,11,22,NULL,NULL,NULL,NULL),(20,444,1,11,23,NULL,NULL,NULL,NULL),(20,444,1,11,24,NULL,NULL,NULL,NULL),(20,444,1,11,25,NULL,NULL,NULL,NULL),(20,444,1,11,26,NULL,NULL,NULL,NULL),(20,444,1,11,27,NULL,NULL,NULL,NULL),(20,444,1,11,28,NULL,NULL,NULL,NULL),(20,444,1,11,29,NULL,NULL,NULL,NULL),(20,444,1,11,30,NULL,NULL,NULL,NULL),(20,444,1,11,31,NULL,NULL,NULL,NULL),(20,444,1,11,32,NULL,NULL,NULL,NULL),(20,444,1,11,33,NULL,NULL,NULL,NULL),(20,444,1,11,34,NULL,NULL,NULL,NULL),(20,444,1,11,35,NULL,NULL,NULL,NULL),(20,444,1,11,36,NULL,NULL,NULL,NULL),(20,444,1,11,37,NULL,NULL,NULL,NULL),(20,444,1,11,38,NULL,NULL,NULL,NULL),(20,444,1,11,39,NULL,NULL,NULL,NULL),(20,444,1,11,40,NULL,NULL,NULL,NULL),(20,444,1,12,1,NULL,NULL,NULL,NULL),(20,444,1,12,2,NULL,NULL,NULL,NULL),(20,444,1,12,3,NULL,NULL,NULL,NULL),(20,444,1,12,4,NULL,NULL,NULL,NULL),(20,444,1,12,5,NULL,NULL,NULL,NULL),(20,444,1,12,6,NULL,NULL,NULL,NULL),(20,444,1,12,7,NULL,NULL,NULL,NULL),(20,444,1,12,8,NULL,NULL,NULL,NULL),(20,444,1,12,9,NULL,NULL,NULL,NULL),(20,444,1,12,10,NULL,NULL,NULL,NULL),(20,444,1,12,11,NULL,NULL,NULL,NULL),(20,444,1,12,12,NULL,NULL,NULL,NULL),(20,444,1,12,13,NULL,NULL,NULL,NULL),(20,444,1,12,14,NULL,NULL,NULL,NULL),(20,444,1,12,15,NULL,NULL,NULL,NULL),(20,444,1,12,16,NULL,NULL,NULL,NULL),(20,444,1,12,17,NULL,NULL,NULL,NULL),(20,444,1,12,18,NULL,NULL,NULL,NULL),(20,444,1,12,19,NULL,NULL,NULL,NULL),(20,444,1,12,20,NULL,NULL,NULL,NULL),(20,444,1,12,21,NULL,NULL,NULL,NULL),(20,444,1,12,22,NULL,NULL,NULL,NULL),(20,444,1,12,23,NULL,NULL,NULL,NULL),(20,444,1,12,24,NULL,NULL,NULL,NULL),(20,444,1,12,25,NULL,NULL,NULL,NULL),(20,444,1,12,26,NULL,NULL,NULL,NULL),(20,444,1,12,27,NULL,NULL,NULL,NULL),(20,444,1,12,28,NULL,NULL,NULL,NULL),(20,444,1,12,29,NULL,NULL,NULL,NULL),(20,444,1,12,30,NULL,NULL,NULL,NULL),(20,444,1,12,31,NULL,NULL,NULL,NULL),(20,444,1,12,32,NULL,NULL,NULL,NULL),(20,444,1,12,33,NULL,NULL,NULL,NULL),(20,444,1,12,34,NULL,NULL,NULL,NULL),(20,444,1,12,35,NULL,NULL,NULL,NULL),(20,444,1,12,36,NULL,NULL,NULL,NULL),(20,444,1,12,37,NULL,NULL,NULL,NULL),(20,444,1,12,38,NULL,NULL,NULL,NULL),(20,444,1,12,39,NULL,NULL,NULL,NULL),(20,444,1,12,40,NULL,NULL,NULL,NULL),(20,444,1,13,1,NULL,NULL,NULL,NULL),(20,444,1,13,2,NULL,NULL,NULL,NULL),(20,444,1,13,3,NULL,NULL,NULL,NULL),(20,444,1,13,4,NULL,NULL,NULL,NULL),(20,444,1,13,5,NULL,NULL,NULL,NULL),(20,444,1,13,6,NULL,1,NULL,NULL),(20,444,1,13,7,NULL,NULL,NULL,NULL),(20,444,1,13,8,NULL,NULL,NULL,NULL),(20,444,1,13,9,NULL,NULL,NULL,NULL),(20,444,1,13,10,NULL,NULL,NULL,NULL),(20,444,1,13,11,NULL,NULL,NULL,NULL),(20,444,1,13,12,NULL,NULL,NULL,NULL),(20,444,1,13,13,NULL,1,NULL,NULL),(20,444,1,13,14,NULL,NULL,NULL,NULL),(20,444,1,13,15,1,NULL,NULL,NULL),(20,444,1,13,16,NULL,NULL,NULL,NULL),(20,444,1,13,17,1,NULL,NULL,NULL),(20,444,1,13,18,NULL,NULL,NULL,NULL),(20,444,1,13,19,NULL,NULL,NULL,NULL),(20,444,1,13,20,NULL,NULL,NULL,NULL),(20,444,1,13,21,NULL,1,NULL,NULL),(20,444,1,13,22,NULL,NULL,NULL,NULL),(20,444,1,13,23,1,NULL,NULL,NULL),(20,444,1,13,24,NULL,NULL,NULL,NULL),(20,444,1,13,25,NULL,1,NULL,NULL),(20,444,1,13,26,NULL,NULL,NULL,NULL),(20,444,1,13,27,NULL,NULL,NULL,NULL),(20,444,1,13,28,1,NULL,NULL,NULL),(20,444,1,13,29,NULL,NULL,NULL,NULL),(20,444,1,13,30,1,NULL,NULL,NULL),(20,444,1,13,31,NULL,1,NULL,NULL),(20,444,1,13,32,2,NULL,NULL,NULL),(20,444,1,13,33,NULL,NULL,NULL,NULL),(20,444,1,13,34,NULL,1,NULL,NULL),(20,444,1,13,35,NULL,1,NULL,NULL),(20,444,1,13,36,NULL,1,NULL,NULL),(20,444,1,13,37,NULL,NULL,NULL,NULL),(20,444,1,13,38,NULL,NULL,NULL,NULL),(20,444,1,13,39,1,NULL,NULL,NULL),(20,444,1,13,40,NULL,NULL,NULL,NULL),(20,444,1,14,1,4,7,2,2),(20,444,1,14,2,3,5,1,2),(20,444,1,14,3,8,8,1,5),(20,444,1,14,4,1,10,1,4),(20,444,1,14,5,3,11,1,5),(20,444,1,14,6,10,16,4,6),(20,444,1,14,7,4,8,2,6),(20,444,1,14,8,13,7,5,4),(20,444,1,14,9,7,17,1,7),(20,444,1,14,10,7,3,5,1),(20,444,1,14,11,1,5,NULL,2),(20,444,1,14,12,1,12,NULL,5),(20,444,1,14,13,11,14,4,4),(20,444,1,14,14,14,17,7,3),(20,444,1,14,15,10,10,5,4),(20,444,1,14,16,24,7,8,3),(20,444,1,14,17,6,16,3,7),(20,444,1,14,18,16,9,7,3),(20,444,1,14,19,12,4,6,2),(20,444,1,14,20,19,10,8,4),(20,444,1,14,21,1,7,1,NULL),(20,444,1,14,22,3,10,2,4),(20,444,1,14,23,5,24,1,7),(20,444,1,14,24,2,6,1,4),(20,444,1,14,25,3,18,1,6),(20,444,1,14,26,8,NULL,6,NULL),(20,444,1,14,27,5,16,1,7),(20,444,1,14,28,NULL,4,NULL,1),(20,444,1,14,29,5,6,2,2),(20,444,1,14,30,3,11,1,5),(20,444,1,14,31,9,13,2,4),(20,444,1,14,32,7,11,3,3),(20,444,1,14,33,2,5,1,3),(20,444,1,14,34,NULL,9,NULL,5),(20,444,1,14,35,5,12,1,1),(20,444,1,14,36,3,12,1,3),(20,444,1,14,37,8,9,3,4),(20,444,1,14,38,1,1,NULL,NULL),(20,444,1,14,39,12,15,3,6),(20,444,1,14,40,6,2,4,NULL),(20,444,1,15,1,8,6,6,2),(20,444,1,15,2,4,4,3,2),(20,444,1,15,3,3,1,2,1),(20,444,1,15,4,5,13,2,7),(20,444,1,15,5,6,9,3,4),(20,444,1,15,6,18,6,10,4),(20,444,1,15,7,8,7,6,4),(20,444,1,15,8,11,7,8,2),(20,444,1,15,9,12,15,8,6),(20,444,1,15,10,1,5,1,2),(20,444,1,15,11,1,6,1,4),(20,444,1,15,12,7,6,6,3),(20,444,1,15,13,18,10,11,6),(20,444,1,15,14,22,9,12,4),(20,444,1,15,15,11,10,9,5),(20,444,1,15,16,16,16,9,8),(20,444,1,15,17,9,16,5,10),(20,444,1,15,18,20,9,15,3),(20,444,1,15,19,20,3,15,NULL),(20,444,1,15,20,21,3,11,2),(20,444,1,15,21,2,10,2,6),(20,444,1,15,22,3,8,2,6),(20,444,1,15,23,4,13,NULL,9),(20,444,1,15,24,3,11,2,5),(20,444,1,15,25,4,16,4,10),(20,444,1,15,26,4,NULL,2,NULL),(20,444,1,15,27,11,14,5,8),(20,444,1,15,28,1,3,NULL,3),(20,444,1,15,29,1,4,NULL,3),(20,444,1,15,30,1,9,NULL,6),(20,444,1,15,31,8,8,2,5),(20,444,1,15,32,11,6,7,3),(20,444,1,15,33,4,8,4,5),(20,444,1,15,34,1,8,1,5),(20,444,1,15,35,5,8,4,3),(20,444,1,15,36,12,12,8,5),(20,444,1,15,37,6,13,4,7),(20,444,1,15,38,3,4,1,1),(20,444,1,15,39,21,10,13,5),(20,444,1,15,40,7,2,6,2),(20,444,1,16,1,3,19,NULL,5),(20,444,1,16,2,3,5,1,2),(20,444,1,16,3,9,11,1,1),(20,444,1,16,4,11,14,2,5),(20,444,1,16,5,12,20,2,4),(20,444,1,16,6,17,23,2,5),(20,444,1,16,7,3,14,1,5),(20,444,1,16,8,22,8,5,3),(20,444,1,16,9,18,26,2,5),(20,444,1,16,10,7,11,5,2),(20,444,1,16,11,NULL,10,NULL,2),(20,444,1,16,12,4,3,1,NULL),(20,444,1,16,13,15,23,5,5),(20,444,1,16,14,8,9,1,NULL),(20,444,1,16,15,16,11,8,2),(20,444,1,16,16,6,16,NULL,2),(20,444,1,16,17,33,28,6,8),(20,444,1,16,18,2,12,NULL,2),(20,444,1,16,19,37,13,7,NULL),(20,444,1,16,20,2,15,NULL,2),(20,444,1,16,21,5,13,NULL,5),(20,444,1,16,22,3,7,2,3),(20,444,1,16,23,2,32,NULL,6),(20,444,1,16,24,1,15,NULL,10),(20,444,1,16,25,8,18,2,9),(20,444,1,16,26,7,NULL,4,NULL),(20,444,1,16,27,7,19,2,4),(20,444,1,16,28,1,5,NULL,2),(20,444,1,16,29,NULL,11,NULL,4),(20,444,1,16,30,6,8,NULL,1),(20,444,1,16,31,6,23,4,5),(20,444,1,16,32,5,15,2,7),(20,444,1,16,33,1,13,NULL,3),(20,444,1,16,34,2,5,1,1),(20,444,1,16,35,12,19,2,2),(20,444,1,16,36,6,17,4,4),(20,444,1,16,37,14,20,6,5),(20,444,1,16,38,6,10,1,1),(20,444,1,16,39,27,19,6,8),(20,444,1,16,40,5,8,2,5),(20,444,1,17,1,9,12,NULL,4),(20,444,1,17,2,5,11,1,3),(20,444,1,17,3,4,12,1,2),(20,444,1,17,4,8,23,NULL,5),(20,444,1,17,5,10,19,NULL,3),(20,444,1,17,6,11,21,3,3),(20,444,1,17,7,3,17,NULL,6),(20,444,1,17,8,22,14,6,2),(20,444,1,17,9,18,32,6,4),(20,444,1,17,10,7,13,2,1),(20,444,1,17,11,6,7,NULL,1),(20,444,1,17,12,9,12,1,4),(20,444,1,17,13,19,27,4,5),(20,444,1,17,14,6,13,1,2),(20,444,1,17,15,16,4,5,NULL),(20,444,1,17,16,5,20,NULL,1),(20,444,1,17,17,35,30,4,6),(20,444,1,17,18,3,16,NULL,3),(20,444,1,17,19,32,14,5,4),(20,444,1,17,20,3,22,1,4),(20,444,1,17,21,2,9,NULL,2),(20,444,1,17,22,1,5,NULL,2),(20,444,1,17,23,7,28,NULL,8),(20,444,1,17,24,6,9,NULL,3),(20,444,1,17,25,4,21,2,5),(20,444,1,17,26,2,NULL,1,NULL),(20,444,1,17,27,7,15,NULL,3),(20,444,1,17,28,1,7,NULL,2),(20,444,1,17,29,13,15,3,1),(20,444,1,17,30,2,13,1,5),(20,444,1,17,31,10,22,2,3),(20,444,1,17,32,10,12,2,3),(20,444,1,17,33,4,7,2,2),(20,444,1,17,34,NULL,5,NULL,NULL),(20,444,1,17,35,12,19,4,5),(20,444,1,17,36,9,20,2,2),(20,444,1,17,37,15,20,3,8),(20,444,1,17,38,2,10,NULL,2),(20,444,1,17,39,15,22,2,7),(20,444,1,17,40,9,10,1,2),(20,444,2,21,1,4,15,2,5),(20,444,2,21,2,NULL,3,NULL,1),(20,444,2,21,3,9,21,1,6),(20,444,2,21,4,9,19,1,5),(20,444,2,21,5,1,8,NULL,5),(20,444,2,21,6,7,11,4,6),(20,444,2,21,7,4,11,1,6),(20,444,2,21,8,4,NULL,2,NULL),(20,444,2,21,9,7,18,1,4),(20,444,2,21,10,1,17,NULL,6),(20,444,2,21,11,4,11,3,5),(20,444,2,21,12,4,15,NULL,7),(20,444,2,21,13,19,27,7,8),(20,444,2,21,14,22,29,5,11),(20,444,2,21,15,18,22,4,7),(20,444,2,21,16,25,17,4,8),(20,444,2,21,17,6,15,4,6),(20,444,2,21,18,NULL,18,NULL,5),(20,444,2,21,19,6,24,1,7),(20,444,2,21,20,8,15,3,8),(20,444,2,21,21,NULL,1,NULL,NULL),(20,444,2,21,22,1,14,NULL,4),(20,444,2,21,23,NULL,2,NULL,1),(20,444,2,21,24,2,3,NULL,1),(20,444,2,21,25,9,16,3,7),(20,444,2,21,26,3,9,NULL,6),(20,444,2,21,27,1,6,NULL,2),(20,444,2,21,28,14,12,8,2),(20,444,2,21,29,1,8,NULL,3),(20,444,2,21,30,4,12,2,5),(20,444,2,21,31,3,8,1,4),(20,444,2,21,32,3,13,2,4),(20,444,2,21,33,5,20,NULL,7),(20,444,2,21,34,4,12,1,1),(20,444,2,21,35,NULL,10,NULL,5),(20,444,2,21,36,3,14,1,7),(20,444,2,21,37,4,6,1,3),(20,444,2,21,38,1,18,NULL,10),(20,444,2,21,39,3,4,3,2),(20,444,2,21,40,7,12,5,1),(20,444,2,22,1,5,14,NULL,2),(20,444,2,22,2,3,4,1,1),(20,444,2,22,3,4,14,1,1),(20,444,2,22,4,6,7,4,1),(20,444,2,22,5,1,7,NULL,NULL),(20,444,2,22,6,5,12,3,3),(20,444,2,22,7,4,8,1,2),(20,444,2,22,8,6,NULL,3,NULL),(20,444,2,22,9,12,25,3,6),(20,444,2,22,10,NULL,13,NULL,4),(20,444,2,22,11,7,12,1,4),(20,444,2,22,12,2,12,1,2),(20,444,2,22,13,20,16,4,4),(20,444,2,22,14,24,23,5,6),(20,444,2,22,15,19,22,5,5),(20,444,2,22,16,11,15,NULL,5),(20,444,2,22,17,7,5,2,1),(20,444,2,22,18,2,11,1,3),(20,444,2,22,19,7,17,2,5),(20,444,2,22,20,7,8,4,3),(20,444,2,22,21,NULL,NULL,NULL,NULL),(20,444,2,22,22,4,11,1,4),(20,444,2,22,23,NULL,4,NULL,NULL),(20,444,2,22,24,NULL,6,NULL,2),(20,444,2,22,25,6,19,2,5),(20,444,2,22,26,1,6,1,1),(20,444,2,22,27,1,2,1,NULL),(20,444,2,22,28,4,11,3,3),(20,444,2,22,29,NULL,5,NULL,1),(20,444,2,22,30,2,8,1,2),(20,444,2,22,31,1,1,NULL,NULL),(20,444,2,22,32,3,11,2,2),(20,444,2,22,33,5,19,1,5),(20,444,2,22,34,6,9,5,NULL),(20,444,2,22,35,1,14,1,5),(20,444,2,22,36,3,23,NULL,6),(20,444,2,22,37,NULL,8,NULL,4),(20,444,2,22,38,2,5,1,2),(20,444,2,22,39,3,6,2,NULL),(20,444,2,22,40,3,10,2,1),(20,444,2,23,1,1,16,1,5),(20,444,2,23,2,2,4,NULL,NULL),(20,444,2,23,3,5,13,NULL,1),(20,444,2,23,4,4,15,NULL,7),(20,444,2,23,5,1,7,1,4),(20,444,2,23,6,2,14,NULL,7),(20,444,2,23,7,5,10,1,6),(20,444,2,23,8,4,NULL,2,NULL),(20,444,2,23,9,9,24,2,8),(20,444,2,23,10,2,8,NULL,NULL),(20,444,2,23,11,10,17,3,5),(20,444,2,23,12,2,11,NULL,4),(20,444,2,23,13,16,26,7,5),(20,444,2,23,14,21,28,3,11),(20,444,2,23,15,18,14,5,5),(20,444,2,23,16,22,21,5,7),(20,444,2,23,17,6,4,3,2),(20,444,2,23,18,3,10,1,5),(20,444,2,23,19,7,16,NULL,4),(20,444,2,23,20,9,12,4,2),(20,444,2,23,21,1,2,NULL,NULL),(20,444,2,23,22,3,18,1,6),(20,444,2,23,23,NULL,2,NULL,NULL),(20,444,2,23,24,1,7,NULL,3),(20,444,2,23,25,5,14,2,4),(20,444,2,23,26,NULL,8,NULL,5),(20,444,2,23,27,1,2,1,NULL),(20,444,2,23,28,7,13,5,4),(20,444,2,23,29,NULL,4,NULL,2),(20,444,2,23,30,7,10,3,4),(20,444,2,23,31,3,8,NULL,4),(20,444,2,23,32,2,10,1,4),(20,444,2,23,33,6,23,NULL,5),(20,444,2,23,34,7,11,2,3),(20,444,2,23,35,NULL,8,NULL,1),(20,444,2,23,36,2,22,2,6),(20,444,2,23,37,1,12,1,6),(20,444,2,23,38,3,10,1,4),(20,444,2,23,39,2,11,1,4),(20,444,2,23,40,4,18,3,6),(20,444,2,24,1,3,12,2,4),(20,444,2,24,2,2,4,NULL,NULL),(20,444,2,24,3,9,14,1,2),(20,444,2,24,4,9,11,3,1),(20,444,2,24,5,2,8,1,2),(20,444,2,24,6,5,13,2,6),(20,444,2,24,7,3,9,NULL,2),(20,444,2,24,8,9,NULL,3,NULL),(20,444,2,24,9,19,26,5,4),(20,444,2,24,10,NULL,12,NULL,4),(20,444,2,24,11,12,11,3,2),(20,444,2,24,12,1,8,NULL,1),(20,444,2,24,13,23,23,4,7),(20,444,2,24,14,16,25,3,8),(20,444,2,24,15,25,10,4,2),(20,444,2,24,16,27,10,7,2),(20,444,2,24,17,6,6,NULL,NULL),(20,444,2,24,18,4,9,1,3),(20,444,2,24,19,10,21,3,6),(20,444,2,24,20,9,15,4,5),(20,444,2,24,21,1,3,NULL,NULL),(20,444,2,24,22,6,11,1,3),(20,444,2,24,23,1,3,1,NULL),(20,444,2,24,24,1,3,1,NULL),(20,444,2,24,25,5,15,2,5),(20,444,2,24,26,2,4,NULL,3),(20,444,2,24,27,4,8,NULL,1),(20,444,2,24,28,5,11,3,3),(20,444,2,24,29,1,5,NULL,1),(20,444,2,24,30,5,4,1,NULL),(20,444,2,24,31,4,13,3,4),(20,444,2,24,32,2,14,NULL,5),(20,444,2,24,33,4,15,2,3),(20,444,2,24,34,4,11,2,2),(20,444,2,24,35,3,15,NULL,5),(20,444,2,24,36,2,16,1,2),(20,444,2,24,37,2,6,1,2),(20,444,2,24,38,2,9,NULL,4),(20,444,2,24,39,1,4,1,3),(20,444,2,24,40,6,7,3,3),(20,450,1,11,1,NULL,NULL,NULL,NULL),(20,450,1,11,2,NULL,NULL,NULL,NULL),(20,450,1,11,3,NULL,NULL,NULL,NULL),(20,450,1,11,4,1,NULL,NULL,NULL),(20,450,1,11,5,1,NULL,NULL,NULL),(20,450,1,11,6,NULL,NULL,NULL,NULL),(20,450,1,11,7,NULL,NULL,NULL,NULL),(20,450,1,11,8,NULL,NULL,NULL,NULL),(20,450,1,11,9,NULL,1,NULL,NULL),(20,450,1,11,10,NULL,NULL,NULL,NULL),(20,450,1,11,11,NULL,NULL,NULL,NULL),(20,450,1,11,12,NULL,NULL,NULL,NULL),(20,450,1,11,13,NULL,1,NULL,NULL),(20,450,1,11,14,NULL,1,NULL,NULL),(20,450,1,11,15,1,NULL,NULL,NULL),(20,450,1,11,16,NULL,1,NULL,NULL),(20,450,1,11,17,NULL,1,NULL,NULL),(20,450,1,11,18,NULL,1,NULL,NULL),(20,450,1,11,19,NULL,1,NULL,NULL),(20,450,1,11,20,NULL,1,NULL,NULL),(20,450,1,11,21,NULL,NULL,NULL,NULL),(20,450,1,11,22,NULL,NULL,NULL,NULL),(20,450,1,11,23,NULL,1,NULL,NULL),(20,450,1,11,24,NULL,NULL,NULL,NULL),(20,450,1,11,25,NULL,NULL,NULL,NULL),(20,450,1,11,26,NULL,NULL,NULL,NULL),(20,450,1,11,27,NULL,NULL,NULL,NULL),(20,450,1,11,28,NULL,NULL,NULL,NULL),(20,450,1,11,29,NULL,NULL,NULL,NULL),(20,450,1,11,30,NULL,NULL,NULL,NULL),(20,450,1,11,31,NULL,NULL,NULL,NULL),(20,450,1,11,32,NULL,NULL,NULL,NULL),(20,450,1,11,33,NULL,NULL,NULL,NULL),(20,450,1,11,34,NULL,1,NULL,NULL),(20,450,1,11,35,NULL,NULL,NULL,NULL),(20,450,1,11,36,NULL,NULL,NULL,NULL),(20,450,1,11,37,NULL,NULL,NULL,NULL),(20,450,1,11,38,NULL,NULL,NULL,NULL),(20,450,1,11,39,NULL,NULL,NULL,NULL),(20,450,1,11,40,NULL,NULL,NULL,NULL),(20,450,1,12,1,NULL,NULL,NULL,NULL),(20,450,1,12,2,NULL,NULL,NULL,NULL),(20,450,1,12,3,NULL,NULL,NULL,NULL),(20,450,1,12,4,NULL,1,NULL,NULL),(20,450,1,12,5,NULL,NULL,NULL,NULL),(20,450,1,12,6,NULL,NULL,NULL,NULL),(20,450,1,12,7,NULL,1,NULL,NULL),(20,450,1,12,8,NULL,NULL,NULL,NULL),(20,450,1,12,9,NULL,1,NULL,NULL),(20,450,1,12,10,NULL,NULL,NULL,NULL),(20,450,1,12,11,NULL,1,NULL,NULL),(20,450,1,12,12,NULL,NULL,NULL,NULL),(20,450,1,12,13,NULL,1,NULL,NULL),(20,450,1,12,14,1,NULL,NULL,NULL),(20,450,1,12,15,1,NULL,NULL,NULL),(20,450,1,12,16,1,NULL,NULL,NULL),(20,450,1,12,17,NULL,1,NULL,NULL),(20,450,1,12,18,1,NULL,NULL,NULL),(20,450,1,12,19,NULL,1,NULL,NULL),(20,450,1,12,20,NULL,1,NULL,NULL),(20,450,1,12,21,NULL,NULL,NULL,NULL),(20,450,1,12,22,NULL,1,NULL,NULL),(20,450,1,12,23,NULL,1,NULL,NULL),(20,450,1,12,24,NULL,NULL,NULL,NULL),(20,450,1,12,25,NULL,NULL,NULL,NULL),(20,450,1,12,26,NULL,NULL,NULL,NULL),(20,450,1,12,27,NULL,NULL,NULL,NULL),(20,450,1,12,28,NULL,NULL,NULL,NULL),(20,450,1,12,29,NULL,NULL,NULL,NULL),(20,450,1,12,30,NULL,NULL,NULL,NULL),(20,450,1,12,31,NULL,1,NULL,NULL),(20,450,1,12,32,NULL,NULL,NULL,NULL),(20,450,1,12,33,NULL,NULL,NULL,NULL),(20,450,1,12,34,NULL,NULL,NULL,NULL),(20,450,1,12,35,NULL,NULL,NULL,NULL),(20,450,1,12,36,NULL,1,NULL,NULL),(20,450,1,12,37,NULL,1,NULL,NULL),(20,450,1,12,38,NULL,NULL,NULL,NULL),(20,450,1,12,39,1,NULL,NULL,NULL),(20,450,1,12,40,NULL,NULL,NULL,NULL),(20,450,1,13,1,NULL,NULL,NULL,NULL),(20,450,1,13,2,1,NULL,NULL,NULL),(20,450,1,13,3,NULL,NULL,NULL,NULL),(20,450,1,13,4,NULL,NULL,NULL,NULL),(20,450,1,13,5,1,NULL,NULL,NULL),(20,450,1,13,6,NULL,NULL,NULL,NULL),(20,450,1,13,7,NULL,NULL,NULL,NULL),(20,450,1,13,8,NULL,NULL,NULL,NULL),(20,450,1,13,9,NULL,NULL,NULL,NULL),(20,450,1,13,10,NULL,NULL,NULL,NULL),(20,450,1,13,11,NULL,NULL,NULL,NULL),(20,450,1,13,12,NULL,NULL,NULL,NULL),(20,450,1,13,13,1,NULL,NULL,NULL),(20,450,1,13,14,NULL,1,NULL,NULL),(20,450,1,13,15,1,NULL,NULL,NULL),(20,450,1,13,16,1,NULL,NULL,NULL),(20,450,1,13,17,1,NULL,NULL,NULL),(20,450,1,13,18,1,NULL,NULL,NULL),(20,450,1,13,19,1,NULL,NULL,NULL),(20,450,1,13,20,1,NULL,NULL,NULL),(20,450,1,13,21,NULL,NULL,NULL,NULL),(20,450,1,13,22,NULL,NULL,NULL,NULL),(20,450,1,13,23,NULL,1,NULL,NULL),(20,450,1,13,24,NULL,1,NULL,NULL),(20,450,1,13,25,NULL,1,NULL,NULL),(20,450,1,13,26,NULL,NULL,NULL,NULL),(20,450,1,13,27,NULL,1,NULL,NULL),(20,450,1,13,28,NULL,NULL,NULL,NULL),(20,450,1,13,29,NULL,NULL,NULL,NULL),(20,450,1,13,30,NULL,1,NULL,NULL),(20,450,1,13,31,NULL,NULL,NULL,NULL),(20,450,1,13,32,NULL,NULL,NULL,NULL),(20,450,1,13,33,NULL,NULL,NULL,NULL),(20,450,1,13,34,NULL,NULL,NULL,NULL),(20,450,1,13,35,1,NULL,NULL,NULL),(20,450,1,13,36,1,NULL,NULL,NULL),(20,450,1,13,37,NULL,1,NULL,NULL),(20,450,1,13,38,NULL,NULL,NULL,NULL),(20,450,1,13,39,1,NULL,NULL,NULL),(20,450,1,13,40,NULL,NULL,NULL,NULL),(20,450,1,14,1,16,15,4,3),(20,450,1,14,2,10,7,3,2),(20,450,1,14,3,8,15,5,6),(20,450,1,14,4,8,14,1,6),(20,450,1,14,5,21,20,2,9),(20,450,1,14,6,32,30,6,6),(20,450,1,14,7,11,14,4,4),(20,450,1,14,8,26,6,11,NULL),(20,450,1,14,9,21,26,7,3),(20,450,1,14,10,15,4,8,NULL),(20,450,1,14,11,9,6,1,2),(20,450,1,14,12,14,7,7,1),(20,450,1,14,13,26,15,9,3),(20,450,1,14,14,41,21,9,4),(20,450,1,14,15,27,13,9,1),(20,450,1,14,16,48,5,13,NULL),(20,450,1,14,17,15,28,4,5),(20,450,1,14,18,40,16,10,3),(20,450,1,14,19,34,3,9,NULL),(20,450,1,14,20,40,14,8,5),(20,450,1,14,21,4,11,1,6),(20,450,1,14,22,5,17,2,8),(20,450,1,14,23,8,22,2,8),(20,450,1,14,24,5,15,3,7),(20,450,1,14,25,5,22,3,9),(20,450,1,14,26,6,NULL,3,NULL),(20,450,1,14,27,7,22,1,8),(20,450,1,14,28,1,6,1,2),(20,450,1,14,29,2,14,NULL,5),(20,450,1,14,30,4,10,1,3),(20,450,1,14,31,12,19,4,6),(20,450,1,14,32,11,9,3,3),(20,450,1,14,33,9,12,7,4),(20,450,1,14,34,4,11,1,5),(20,450,1,14,35,12,16,4,3),(20,450,1,14,36,18,16,10,1),(20,450,1,14,37,17,18,7,2),(20,450,1,14,38,5,5,2,1),(20,450,1,14,39,30,22,6,7),(20,450,1,14,40,17,3,10,1),(20,450,1,15,1,20,10,4,2),(20,450,1,15,2,12,6,5,2),(20,450,1,15,3,8,18,3,4),(20,450,1,15,4,9,29,3,4),(20,450,1,15,5,22,25,5,8),(20,450,1,15,6,40,24,8,6),(20,450,1,15,7,18,20,4,4),(20,450,1,15,8,26,5,8,2),(20,450,1,15,9,28,26,6,4),(20,450,1,15,10,11,9,4,2),(20,450,1,15,11,4,11,1,5),(20,450,1,15,12,18,6,5,4),(20,450,1,15,13,45,14,11,3),(20,450,1,15,14,41,16,9,4),(20,450,1,15,15,27,13,7,3),(20,450,1,15,16,50,12,9,3),(20,450,1,15,17,27,29,7,7),(20,450,1,15,18,49,9,10,4),(20,450,1,15,19,40,3,9,2),(20,450,1,15,20,54,12,11,2),(20,450,1,15,21,6,14,1,3),(20,450,1,15,22,4,20,1,8),(20,450,1,15,23,11,23,3,7),(20,450,1,15,24,9,13,2,4),(20,450,1,15,25,13,14,5,4),(20,450,1,15,26,8,NULL,2,NULL),(20,450,1,15,27,10,12,3,5),(20,450,1,15,28,2,8,NULL,3),(20,450,1,15,29,4,11,1,2),(20,450,1,15,30,3,17,NULL,5),(20,450,1,15,31,8,21,1,5),(20,450,1,15,32,16,9,5,2),(20,450,1,15,33,11,18,5,5),(20,450,1,15,34,4,8,2,3),(20,450,1,15,35,10,16,3,6),(20,450,1,15,36,24,16,7,2),(20,450,1,15,37,16,18,3,6),(20,450,1,15,38,5,11,3,3),(20,450,1,15,39,35,22,7,7),(20,450,1,15,40,18,2,7,1),(20,450,1,16,1,4,4,NULL,NULL),(20,450,1,16,2,NULL,2,NULL,NULL),(20,450,1,16,3,2,6,1,NULL),(20,450,1,16,4,NULL,5,NULL,1),(20,450,1,16,5,5,4,1,NULL),(20,450,1,16,6,10,6,1,NULL),(20,450,1,16,7,1,2,NULL,NULL),(20,450,1,16,8,9,3,1,NULL),(20,450,1,16,9,5,8,NULL,1),(20,450,1,16,10,3,4,NULL,NULL),(20,450,1,16,11,1,1,NULL,NULL),(20,450,1,16,12,2,3,1,NULL),(20,450,1,16,13,8,4,NULL,1),(20,450,1,16,14,2,1,NULL,NULL),(20,450,1,16,15,6,3,NULL,NULL),(20,450,1,16,16,NULL,5,NULL,NULL),(20,450,1,16,17,11,9,NULL,1),(20,450,1,16,18,2,5,1,NULL),(20,450,1,16,19,5,5,1,NULL),(20,450,1,16,20,2,7,NULL,1),(20,450,1,16,21,1,1,NULL,1),(20,450,1,16,22,1,1,NULL,1),(20,450,1,16,23,3,7,NULL,1),(20,450,1,16,24,2,2,NULL,NULL),(20,450,1,16,25,1,4,NULL,NULL),(20,450,1,16,26,1,NULL,NULL,NULL),(20,450,1,16,27,1,6,NULL,1),(20,450,1,16,28,1,5,NULL,1),(20,450,1,16,29,1,3,NULL,1),(20,450,1,16,30,NULL,5,NULL,1),(20,450,1,16,31,2,4,NULL,NULL),(20,450,1,16,32,1,6,NULL,1),(20,450,1,16,33,2,4,1,NULL),(20,450,1,16,34,NULL,2,NULL,NULL),(20,450,1,16,35,5,3,1,NULL),(20,450,1,16,36,4,2,1,NULL),(20,450,1,16,37,3,4,1,NULL),(20,450,1,16,38,1,4,NULL,NULL),(20,450,1,16,39,12,3,1,NULL),(20,450,1,16,40,3,2,1,NULL),(20,450,1,17,1,1,1,NULL,NULL),(20,450,1,17,2,1,1,NULL,NULL),(20,450,1,17,3,2,4,NULL,1),(20,450,1,17,4,2,NULL,NULL,NULL),(20,450,1,17,5,4,3,NULL,NULL),(20,450,1,17,6,6,7,1,NULL),(20,450,1,17,7,2,2,NULL,NULL),(20,450,1,17,8,2,2,NULL,NULL),(20,450,1,17,9,4,9,NULL,NULL),(20,450,1,17,10,2,1,NULL,1),(20,450,1,17,11,NULL,NULL,NULL,NULL),(20,450,1,17,12,1,2,NULL,NULL),(20,450,1,17,13,6,2,NULL,NULL),(20,450,1,17,14,NULL,NULL,NULL,NULL),(20,450,1,17,15,4,2,1,NULL),(20,450,1,17,16,NULL,NULL,NULL,NULL),(20,450,1,17,17,9,5,1,NULL),(20,450,1,17,18,4,6,NULL,NULL),(20,450,1,17,19,9,4,NULL,1),(20,450,1,17,20,3,4,NULL,NULL),(20,450,1,17,21,NULL,3,NULL,NULL),(20,450,1,17,22,1,2,NULL,1),(20,450,1,17,23,3,4,NULL,1),(20,450,1,17,24,3,1,NULL,1),(20,450,1,17,25,1,2,NULL,NULL),(20,450,1,17,26,NULL,NULL,NULL,NULL),(20,450,1,17,27,1,4,NULL,NULL),(20,450,1,17,28,NULL,1,NULL,NULL),(20,450,1,17,29,1,5,NULL,1),(20,450,1,17,30,NULL,5,NULL,1),(20,450,1,17,31,NULL,4,NULL,NULL),(20,450,1,17,32,4,NULL,1,NULL),(20,450,1,17,33,2,NULL,NULL,NULL),(20,450,1,17,34,NULL,1,NULL,1),(20,450,1,17,35,4,3,NULL,1),(20,450,1,17,36,3,2,NULL,NULL),(20,450,1,17,37,6,2,1,NULL),(20,450,1,17,38,2,1,NULL,1),(20,450,1,17,39,5,4,1,NULL),(20,450,1,17,40,2,1,1,NULL),(20,450,2,21,1,10,7,7,1),(20,450,2,21,2,1,1,1,NULL),(20,450,2,21,3,6,9,4,5),(20,450,2,21,4,7,6,4,1),(20,450,2,21,5,7,4,3,3),(20,450,2,21,6,7,11,4,5),(20,450,2,21,7,11,13,6,7),(20,450,2,21,8,7,NULL,5,NULL),(20,450,2,21,9,17,14,5,7),(20,450,2,21,10,4,12,1,5),(20,450,2,21,11,6,9,3,3),(20,450,2,21,12,2,7,1,3),(20,450,2,21,13,22,12,10,1),(20,450,2,21,14,21,16,9,4),(20,450,2,21,15,19,13,7,5),(20,450,2,21,16,5,7,2,3),(20,450,2,21,17,8,6,2,4),(20,450,2,21,18,2,15,2,5),(20,450,2,21,19,10,11,7,2),(20,450,2,21,20,7,13,4,7),(20,450,2,21,21,1,3,1,2),(20,450,2,21,22,3,9,NULL,2),(20,450,2,21,23,2,3,NULL,1),(20,450,2,21,24,NULL,2,NULL,1),(20,450,2,21,25,8,14,6,5),(20,450,2,21,26,3,2,2,2),(20,450,2,21,27,1,5,NULL,2),(20,450,2,21,28,6,7,3,4),(20,450,2,21,29,3,3,3,1),(20,450,2,21,30,2,6,1,1),(20,450,2,21,31,4,7,4,5),(20,450,2,21,32,4,10,3,4),(20,450,2,21,33,2,10,NULL,2),(20,450,2,21,34,6,5,4,3),(20,450,2,21,35,3,9,2,4),(20,450,2,21,36,1,10,1,3),(20,450,2,21,37,4,11,4,1),(20,450,2,21,38,3,5,2,3),(20,450,2,21,39,3,2,2,2),(20,450,2,21,40,8,6,4,2),(20,450,2,22,1,3,3,2,NULL),(20,450,2,22,2,2,6,NULL,2),(20,450,2,22,3,8,14,2,1),(20,450,2,22,4,1,5,NULL,NULL),(20,450,2,22,5,4,3,1,NULL),(20,450,2,22,6,9,9,3,1),(20,450,2,22,7,13,11,2,2),(20,450,2,22,8,8,NULL,4,NULL),(20,450,2,22,9,17,25,2,2),(20,450,2,22,10,3,9,1,4),(20,450,2,22,11,9,2,1,NULL),(20,450,2,22,12,1,8,NULL,NULL),(20,450,2,22,13,26,9,4,NULL),(20,450,2,22,14,27,15,5,1),(20,450,2,22,15,22,11,5,NULL),(20,450,2,22,16,10,8,1,3),(20,450,2,22,17,6,9,3,1),(20,450,2,22,18,2,11,1,4),(20,450,2,22,19,10,16,1,3),(20,450,2,22,20,10,11,3,1),(20,450,2,22,21,NULL,2,NULL,NULL),(20,450,2,22,22,1,7,NULL,2),(20,450,2,22,23,NULL,3,NULL,NULL),(20,450,2,22,24,1,2,NULL,NULL),(20,450,2,22,25,10,16,2,3),(20,450,2,22,26,3,8,1,1),(20,450,2,22,27,3,5,NULL,1),(20,450,2,22,28,7,4,2,1),(20,450,2,22,29,3,5,1,2),(20,450,2,22,30,4,NULL,2,NULL),(20,450,2,22,31,5,6,1,3),(20,450,2,22,32,5,12,2,NULL),(20,450,2,22,33,3,14,NULL,4),(20,450,2,22,34,4,10,3,1),(20,450,2,22,35,2,7,1,2),(20,450,2,22,36,8,4,5,NULL),(20,450,2,22,37,1,9,NULL,3),(20,450,2,22,38,2,7,1,1),(20,450,2,22,39,6,6,1,2),(20,450,2,22,40,6,6,3,2),(20,450,2,23,1,3,6,NULL,1),(20,450,2,23,2,NULL,1,NULL,NULL),(20,450,2,23,3,4,12,NULL,2),(20,450,2,23,4,2,3,NULL,NULL),(20,450,2,23,5,4,5,1,1),(20,450,2,23,6,12,8,3,1),(20,450,2,23,7,6,5,2,1),(20,450,2,23,8,6,NULL,1,NULL),(20,450,2,23,9,10,26,NULL,4),(20,450,2,23,10,2,11,NULL,1),(20,450,2,23,11,6,7,1,2),(20,450,2,23,12,5,5,1,NULL),(20,450,2,23,13,15,11,2,3),(20,450,2,23,14,24,20,1,5),(20,450,2,23,15,19,4,3,1),(20,450,2,23,16,10,7,3,2),(20,450,2,23,17,5,4,1,1),(20,450,2,23,18,4,8,NULL,3),(20,450,2,23,19,9,16,2,2),(20,450,2,23,20,10,12,2,2),(20,450,2,23,21,1,2,NULL,NULL),(20,450,2,23,22,1,10,NULL,4),(20,450,2,23,23,NULL,3,NULL,NULL),(20,450,2,23,24,2,1,NULL,NULL),(20,450,2,23,25,4,15,NULL,2),(20,450,2,23,26,3,9,1,4),(20,450,2,23,27,NULL,4,NULL,NULL),(20,450,2,23,28,4,8,NULL,2),(20,450,2,23,29,2,3,NULL,NULL),(20,450,2,23,30,2,4,1,1),(20,450,2,23,31,6,8,NULL,2),(20,450,2,23,32,6,9,1,2),(20,450,2,23,33,6,15,NULL,2),(20,450,2,23,34,6,10,2,2),(20,450,2,23,35,1,13,NULL,4),(20,450,2,23,36,2,7,1,1),(20,450,2,23,37,4,6,1,1),(20,450,2,23,38,NULL,5,NULL,1),(20,450,2,23,39,4,3,NULL,NULL),(20,450,2,23,40,6,9,NULL,2),(20,450,2,24,1,3,5,2,2),(20,450,2,24,2,3,5,1,NULL),(20,450,2,24,3,6,11,2,2),(20,450,2,24,4,6,3,2,NULL),(20,450,2,24,5,NULL,7,NULL,1),(20,450,2,24,6,12,10,1,3),(20,450,2,24,7,10,9,2,1),(20,450,2,24,8,7,NULL,1,NULL),(20,450,2,24,9,13,22,1,2),(20,450,2,24,10,1,15,NULL,1),(20,450,2,24,11,6,6,NULL,2),(20,450,2,24,12,3,4,2,1),(20,450,2,24,13,18,8,3,1),(20,450,2,24,14,17,14,3,NULL),(20,450,2,24,15,18,8,3,1),(20,450,2,24,16,8,9,1,2),(20,450,2,24,17,5,8,NULL,2),(20,450,2,24,18,1,6,NULL,1),(20,450,2,24,19,6,15,NULL,3),(20,450,2,24,20,11,10,1,1),(20,450,2,24,21,NULL,1,NULL,NULL),(20,450,2,24,22,3,9,NULL,3),(20,450,2,24,23,1,6,NULL,1),(20,450,2,24,24,NULL,1,NULL,NULL),(20,450,2,24,25,5,10,1,NULL),(20,450,2,24,26,1,4,NULL,1),(20,450,2,24,27,2,7,1,NULL),(20,450,2,24,28,14,7,1,1),(20,450,2,24,29,NULL,2,NULL,NULL),(20,450,2,24,30,4,3,1,1),(20,450,2,24,31,3,6,NULL,1),(20,450,2,24,32,4,11,1,NULL),(20,450,2,24,33,5,10,NULL,2),(20,450,2,24,34,1,10,NULL,2),(20,450,2,24,35,2,7,NULL,1),(20,450,2,24,36,1,10,1,2),(20,450,2,24,37,NULL,8,NULL,NULL),(20,450,2,24,38,1,5,NULL,NULL),(20,450,2,24,39,NULL,7,NULL,1),(20,450,2,24,40,4,12,1,NULL),(20,451,1,11,1,NULL,NULL,NULL,NULL),(20,451,1,11,2,NULL,NULL,NULL,NULL),(20,451,1,11,3,NULL,NULL,NULL,NULL),(20,451,1,11,4,1,NULL,NULL,NULL),(20,451,1,11,5,NULL,NULL,NULL,NULL),(20,451,1,11,6,NULL,1,NULL,NULL),(20,451,1,11,7,NULL,NULL,NULL,NULL),(20,451,1,11,8,NULL,NULL,NULL,NULL),(20,451,1,11,9,NULL,1,NULL,NULL),(20,451,1,11,10,NULL,NULL,NULL,NULL),(20,451,1,11,11,NULL,NULL,NULL,NULL),(20,451,1,11,12,NULL,NULL,NULL,NULL),(20,451,1,11,13,NULL,1,NULL,NULL),(20,451,1,11,14,NULL,1,NULL,NULL),(20,451,1,11,15,NULL,NULL,NULL,NULL),(20,451,1,11,16,NULL,NULL,NULL,NULL),(20,451,1,11,17,NULL,NULL,NULL,NULL),(20,451,1,11,18,NULL,NULL,NULL,NULL),(20,451,1,11,19,NULL,1,NULL,NULL),(20,451,1,11,20,NULL,NULL,NULL,NULL),(20,451,1,11,21,NULL,NULL,NULL,NULL),(20,451,1,11,22,NULL,NULL,NULL,NULL),(20,451,1,11,23,NULL,NULL,NULL,NULL),(20,451,1,11,24,1,NULL,NULL,NULL),(20,451,1,11,25,NULL,NULL,NULL,NULL),(20,451,1,11,26,NULL,NULL,NULL,NULL),(20,451,1,11,27,NULL,1,NULL,NULL),(20,451,1,11,28,NULL,NULL,NULL,NULL),(20,451,1,11,29,NULL,NULL,NULL,NULL),(20,451,1,11,30,NULL,1,NULL,NULL),(20,451,1,11,31,NULL,NULL,NULL,NULL),(20,451,1,11,32,NULL,NULL,NULL,NULL),(20,451,1,11,33,1,NULL,NULL,NULL),(20,451,1,11,34,NULL,NULL,NULL,NULL),(20,451,1,11,35,NULL,NULL,NULL,NULL),(20,451,1,11,36,NULL,1,NULL,NULL),(20,451,1,11,37,NULL,1,NULL,NULL),(20,451,1,11,38,NULL,1,NULL,NULL),(20,451,1,11,39,NULL,1,NULL,NULL),(20,451,1,11,40,NULL,NULL,NULL,NULL),(20,451,1,12,1,1,NULL,1,NULL),(20,451,1,12,2,NULL,NULL,NULL,NULL),(20,451,1,12,3,NULL,NULL,NULL,NULL),(20,451,1,12,4,NULL,1,NULL,1),(20,451,1,12,5,NULL,NULL,NULL,NULL),(20,451,1,12,6,NULL,NULL,NULL,NULL),(20,451,1,12,7,NULL,1,NULL,1),(20,451,1,12,8,NULL,NULL,NULL,NULL),(20,451,1,12,9,NULL,1,NULL,1),(20,451,1,12,10,NULL,NULL,NULL,NULL),(20,451,1,12,11,NULL,NULL,NULL,NULL),(20,451,1,12,12,NULL,1,NULL,1),(20,451,1,12,13,NULL,NULL,NULL,NULL),(20,451,1,12,14,1,NULL,1,NULL),(20,451,1,12,15,NULL,1,NULL,1),(20,451,1,12,16,1,NULL,1,NULL),(20,451,1,12,17,1,NULL,1,NULL),(20,451,1,12,18,1,NULL,1,NULL),(20,451,1,12,19,NULL,NULL,NULL,NULL),(20,451,1,12,20,NULL,NULL,NULL,NULL),(20,451,1,12,21,NULL,1,NULL,1),(20,451,1,12,22,NULL,NULL,NULL,NULL),(20,451,1,12,23,NULL,1,NULL,1),(20,451,1,12,24,NULL,NULL,NULL,NULL),(20,451,1,12,25,NULL,1,NULL,1),(20,451,1,12,26,NULL,NULL,NULL,NULL),(20,451,1,12,27,1,NULL,1,NULL),(20,451,1,12,28,NULL,NULL,NULL,NULL),(20,451,1,12,29,NULL,1,NULL,1),(20,451,1,12,30,NULL,NULL,NULL,NULL),(20,451,1,12,31,NULL,NULL,NULL,NULL),(20,451,1,12,32,NULL,NULL,NULL,NULL),(20,451,1,12,33,NULL,1,NULL,1),(20,451,1,12,34,NULL,NULL,NULL,NULL),(20,451,1,12,35,NULL,1,NULL,1),(20,451,1,12,36,NULL,NULL,NULL,NULL),(20,451,1,12,37,1,NULL,1,NULL),(20,451,1,12,38,NULL,NULL,NULL,NULL),(20,451,1,12,39,NULL,NULL,NULL,NULL),(20,451,1,12,40,NULL,NULL,NULL,NULL),(20,451,1,13,1,NULL,NULL,NULL,NULL),(20,451,1,13,2,NULL,NULL,NULL,NULL),(20,451,1,13,3,NULL,NULL,NULL,NULL),(20,451,1,13,4,NULL,NULL,NULL,NULL),(20,451,1,13,5,NULL,NULL,NULL,NULL),(20,451,1,13,6,NULL,NULL,NULL,NULL),(20,451,1,13,7,NULL,NULL,NULL,NULL),(20,451,1,13,8,NULL,NULL,NULL,NULL),(20,451,1,13,9,NULL,NULL,NULL,NULL),(20,451,1,13,10,NULL,NULL,NULL,NULL),(20,451,1,13,11,NULL,NULL,NULL,NULL),(20,451,1,13,12,NULL,NULL,NULL,NULL),(20,451,1,13,13,NULL,NULL,NULL,NULL),(20,451,1,13,14,NULL,NULL,NULL,NULL),(20,451,1,13,15,NULL,NULL,NULL,NULL),(20,451,1,13,16,NULL,NULL,NULL,NULL),(20,451,1,13,17,NULL,NULL,NULL,NULL),(20,451,1,13,18,NULL,NULL,NULL,NULL),(20,451,1,13,19,NULL,NULL,NULL,NULL),(20,451,1,13,20,NULL,NULL,NULL,NULL),(20,451,1,13,21,NULL,NULL,NULL,NULL),(20,451,1,13,22,NULL,NULL,NULL,NULL),(20,451,1,13,23,NULL,NULL,NULL,NULL),(20,451,1,13,24,NULL,NULL,NULL,NULL),(20,451,1,13,25,NULL,NULL,NULL,NULL),(20,451,1,13,26,NULL,NULL,NULL,NULL),(20,451,1,13,27,NULL,NULL,NULL,NULL),(20,451,1,13,28,NULL,NULL,NULL,NULL),(20,451,1,13,29,NULL,NULL,NULL,NULL),(20,451,1,13,30,NULL,NULL,NULL,NULL),(20,451,1,13,31,NULL,NULL,NULL,NULL),(20,451,1,13,32,NULL,NULL,NULL,NULL),(20,451,1,13,33,NULL,NULL,NULL,NULL),(20,451,1,13,34,NULL,NULL,NULL,NULL),(20,451,1,13,35,NULL,NULL,NULL,NULL),(20,451,1,13,36,NULL,NULL,NULL,NULL),(20,451,1,13,37,NULL,NULL,NULL,NULL),(20,451,1,13,38,NULL,NULL,NULL,NULL),(20,451,1,13,39,NULL,NULL,NULL,NULL),(20,451,1,13,40,NULL,NULL,NULL,NULL),(20,451,1,14,1,3,5,3,1),(20,451,1,14,2,2,NULL,1,NULL),(20,451,1,14,3,NULL,4,NULL,2),(20,451,1,14,4,4,6,NULL,2),(20,451,1,14,5,4,9,2,2),(20,451,1,14,6,11,4,4,3),(20,451,1,14,7,3,3,2,3),(20,451,1,14,8,6,2,2,1),(20,451,1,14,9,7,8,5,2),(20,451,1,14,10,2,1,1,1),(20,451,1,14,11,1,1,1,NULL),(20,451,1,14,12,1,6,NULL,2),(20,451,1,14,13,5,5,4,3),(20,451,1,14,14,9,5,6,1),(20,451,1,14,15,6,1,5,1),(20,451,1,14,16,12,3,6,1),(20,451,1,14,17,3,8,2,3),(20,451,1,14,18,5,4,4,2),(20,451,1,14,19,7,3,4,1),(20,451,1,14,20,7,6,4,3),(20,451,1,14,21,1,1,NULL,NULL),(20,451,1,14,22,1,2,1,2),(20,451,1,14,23,NULL,7,NULL,3),(20,451,1,14,24,1,2,NULL,1),(20,451,1,14,25,4,4,2,4),(20,451,1,14,26,1,NULL,1,NULL),(20,451,1,14,27,1,4,1,1),(20,451,1,14,28,2,3,1,1),(20,451,1,14,29,2,1,NULL,1),(20,451,1,14,30,1,5,1,2),(20,451,1,14,31,4,3,2,2),(20,451,1,14,32,2,4,2,1),(20,451,1,14,33,NULL,2,NULL,1),(20,451,1,14,34,NULL,3,NULL,1),(20,451,1,14,35,3,8,1,3),(20,451,1,14,36,6,4,2,2),(20,451,1,14,37,4,7,2,4),(20,451,1,14,38,1,2,NULL,1),(20,451,1,14,39,12,3,6,1),(20,451,1,14,40,4,NULL,1,NULL),(20,451,1,15,1,4,3,1,2),(20,451,1,15,2,1,5,NULL,1),(20,451,1,15,3,1,5,1,2),(20,451,1,15,4,2,7,1,1),(20,451,1,15,5,2,8,1,3),(20,451,1,15,6,3,9,1,3),(20,451,1,15,7,2,3,NULL,NULL),(20,451,1,15,8,6,2,3,1),(20,451,1,15,9,4,8,3,2),(20,451,1,15,10,NULL,5,NULL,4),(20,451,1,15,11,NULL,4,NULL,2),(20,451,1,15,12,6,5,3,NULL),(20,451,1,15,13,5,6,2,4),(20,451,1,15,14,5,6,2,3),(20,451,1,15,15,2,4,1,1),(20,451,1,15,16,7,4,3,2),(20,451,1,15,17,2,11,1,5),(20,451,1,15,18,4,9,3,3),(20,451,1,15,19,8,1,4,1),(20,451,1,15,20,8,4,6,1),(20,451,1,15,21,1,4,NULL,3),(20,451,1,15,22,NULL,4,NULL,1),(20,451,1,15,23,1,6,NULL,3),(20,451,1,15,24,2,6,NULL,3),(20,451,1,15,25,NULL,5,NULL,3),(20,451,1,15,26,2,NULL,1,NULL),(20,451,1,15,27,1,5,1,2),(20,451,1,15,28,NULL,4,NULL,3),(20,451,1,15,29,2,2,1,2),(20,451,1,15,30,NULL,2,NULL,1),(20,451,1,15,31,2,4,2,2),(20,451,1,15,32,2,3,NULL,2),(20,451,1,15,33,1,2,NULL,1),(20,451,1,15,34,1,2,NULL,1),(20,451,1,15,35,5,3,1,2),(20,451,1,15,36,5,NULL,2,NULL),(20,451,1,15,37,3,2,3,2),(20,451,1,15,38,NULL,4,NULL,2),(20,451,1,15,39,6,8,3,3),(20,451,1,15,40,1,2,1,2),(20,451,1,16,1,2,3,1,NULL),(20,451,1,16,2,NULL,3,NULL,NULL),(20,451,1,16,3,1,3,NULL,NULL),(20,451,1,16,4,NULL,8,NULL,NULL),(20,451,1,16,5,4,4,1,1),(20,451,1,16,6,7,8,1,4),(20,451,1,16,7,3,2,3,NULL),(20,451,1,16,8,7,2,2,1),(20,451,1,16,9,7,9,1,3),(20,451,1,16,10,2,1,1,NULL),(20,451,1,16,11,1,4,NULL,1),(20,451,1,16,12,2,3,NULL,1),(20,451,1,16,13,9,8,4,1),(20,451,1,16,14,2,1,1,NULL),(20,451,1,16,15,7,2,NULL,NULL),(20,451,1,16,16,1,6,NULL,NULL),(20,451,1,16,17,13,3,4,1),(20,451,1,16,18,2,4,NULL,1),(20,451,1,16,19,10,4,3,2),(20,451,1,16,20,2,4,1,1),(20,451,1,16,21,NULL,3,NULL,1),(20,451,1,16,22,2,2,2,NULL),(20,451,1,16,23,NULL,9,NULL,4),(20,451,1,16,24,3,3,1,2),(20,451,1,16,25,2,5,NULL,2),(20,451,1,16,26,NULL,NULL,NULL,NULL),(20,451,1,16,27,1,3,NULL,NULL),(20,451,1,16,28,NULL,2,NULL,1),(20,451,1,16,29,NULL,2,NULL,NULL),(20,451,1,16,30,2,4,NULL,1),(20,451,1,16,31,3,5,1,1),(20,451,1,16,32,1,2,NULL,NULL),(20,451,1,16,33,1,NULL,1,NULL),(20,451,1,16,34,NULL,1,NULL,1),(20,451,1,16,35,3,6,1,1),(20,451,1,16,36,2,7,1,1),(20,451,1,16,37,2,3,1,1),(20,451,1,16,38,NULL,NULL,NULL,NULL),(20,451,1,16,39,3,6,1,1),(20,451,1,16,40,3,1,2,NULL),(20,451,1,17,1,5,5,3,1),(20,451,1,17,2,3,1,2,NULL),(20,451,1,17,3,2,6,2,2),(20,451,1,17,4,4,7,2,4),(20,451,1,17,5,3,11,NULL,5),(20,451,1,17,6,10,9,7,1),(20,451,1,17,7,2,3,NULL,2),(20,451,1,17,8,8,6,2,NULL),(20,451,1,17,9,5,13,4,3),(20,451,1,17,10,2,7,1,1),(20,451,1,17,11,1,5,1,2),(20,451,1,17,12,3,4,NULL,1),(20,451,1,17,13,10,7,5,2),(20,451,1,17,14,2,1,1,NULL),(20,451,1,17,15,7,4,4,NULL),(20,451,1,17,16,1,6,NULL,2),(20,451,1,17,17,9,16,2,4),(20,451,1,17,18,2,9,2,2),(20,451,1,17,19,11,5,4,1),(20,451,1,17,20,3,6,2,2),(20,451,1,17,21,2,7,1,2),(20,451,1,17,22,NULL,5,NULL,2),(20,451,1,17,23,2,10,NULL,4),(20,451,1,17,24,1,6,1,1),(20,451,1,17,25,2,9,2,4),(20,451,1,17,26,3,NULL,1,NULL),(20,451,1,17,27,4,6,1,2),(20,451,1,17,28,NULL,4,NULL,2),(20,451,1,17,29,NULL,7,NULL,1),(20,451,1,17,30,NULL,8,NULL,NULL),(20,451,1,17,31,2,9,1,3),(20,451,1,17,32,2,3,2,NULL),(20,451,1,17,33,2,2,2,2),(20,451,1,17,34,NULL,2,NULL,NULL),(20,451,1,17,35,3,4,2,NULL),(20,451,1,17,36,5,7,3,3),(20,451,1,17,37,7,4,3,1),(20,451,1,17,38,1,2,NULL,2),(20,451,1,17,39,4,13,2,3),(20,451,1,17,40,2,2,1,1),(20,451,2,21,1,NULL,4,NULL,1),(20,451,2,21,2,2,2,1,NULL),(20,451,2,21,3,3,11,1,2),(20,451,2,21,4,2,2,2,NULL),(20,451,2,21,5,2,1,1,NULL),(20,451,2,21,6,5,7,3,2),(20,451,2,21,7,1,5,1,3),(20,451,2,21,8,2,NULL,1,NULL),(20,451,2,21,9,9,10,3,1),(20,451,2,21,10,2,4,1,NULL),(20,451,2,21,11,3,3,1,1),(20,451,2,21,12,3,4,2,1),(20,451,2,21,13,12,12,5,2),(20,451,2,21,14,12,13,4,4),(20,451,2,21,15,6,12,NULL,4),(20,451,2,21,16,8,2,3,NULL),(20,451,2,21,17,1,2,1,NULL),(20,451,2,21,18,1,3,NULL,3),(20,451,2,21,19,2,8,1,3),(20,451,2,21,20,6,7,1,4),(20,451,2,21,21,NULL,1,NULL,1),(20,451,2,21,22,1,6,1,3),(20,451,2,21,23,NULL,5,NULL,2),(20,451,2,21,24,NULL,3,NULL,NULL),(20,451,2,21,25,2,7,2,2),(20,451,2,21,26,1,NULL,1,NULL),(20,451,2,21,27,NULL,3,NULL,1),(20,451,2,21,28,5,2,3,1),(20,451,2,21,29,NULL,1,NULL,1),(20,451,2,21,30,1,1,1,1),(20,451,2,21,31,5,2,2,NULL),(20,451,2,21,32,2,5,1,2),(20,451,2,21,33,4,8,1,2),(20,451,2,21,34,2,3,NULL,2),(20,451,2,21,35,1,12,1,3),(20,451,2,21,36,NULL,10,NULL,4),(20,451,2,21,37,1,3,NULL,NULL),(20,451,2,21,38,NULL,5,NULL,3),(20,451,2,21,39,1,1,NULL,NULL),(20,451,2,21,40,6,4,3,1),(20,451,2,22,1,1,5,1,2),(20,451,2,22,2,1,3,NULL,2),(20,451,2,22,3,NULL,8,NULL,2),(20,451,2,22,4,3,4,2,1),(20,451,2,22,5,1,4,1,2),(20,451,2,22,6,3,6,2,3),(20,451,2,22,7,2,6,1,1),(20,451,2,22,8,NULL,NULL,NULL,NULL),(20,451,2,22,9,5,10,1,3),(20,451,2,22,10,NULL,8,NULL,2),(20,451,2,22,11,4,5,NULL,2),(20,451,2,22,12,1,5,NULL,2),(20,451,2,22,13,3,11,1,4),(20,451,2,22,14,9,9,3,2),(20,451,2,22,15,4,8,1,2),(20,451,2,22,16,8,8,1,3),(20,451,2,22,17,3,5,NULL,2),(20,451,2,22,18,NULL,8,NULL,1),(20,451,2,22,19,NULL,6,NULL,2),(20,451,2,22,20,2,6,NULL,3),(20,451,2,22,21,NULL,NULL,NULL,NULL),(20,451,2,22,22,3,1,2,NULL),(20,451,2,22,23,NULL,NULL,NULL,NULL),(20,451,2,22,24,NULL,1,NULL,NULL),(20,451,2,22,25,1,8,1,4),(20,451,2,22,26,1,2,1,1),(20,451,2,22,27,1,NULL,NULL,NULL),(20,451,2,22,28,3,2,2,NULL),(20,451,2,22,29,NULL,NULL,NULL,NULL),(20,451,2,22,30,1,4,NULL,2),(20,451,2,22,31,1,1,NULL,NULL),(20,451,2,22,32,1,4,1,1),(20,451,2,22,33,1,6,1,2),(20,451,2,22,34,NULL,3,NULL,1),(20,451,2,22,35,1,6,1,3),(20,451,2,22,36,NULL,6,NULL,1),(20,451,2,22,37,NULL,4,NULL,3),(20,451,2,22,38,1,2,NULL,1),(20,451,2,22,39,NULL,1,NULL,1),(20,451,2,22,40,1,2,1,1),(20,451,2,23,1,NULL,5,NULL,NULL),(20,451,2,23,2,NULL,1,NULL,NULL),(20,451,2,23,3,2,4,1,1),(20,451,2,23,4,NULL,3,NULL,NULL),(20,451,2,23,5,1,4,1,1),(20,451,2,23,6,4,2,3,NULL),(20,451,2,23,7,1,5,NULL,1),(20,451,2,23,8,NULL,NULL,NULL,NULL),(20,451,2,23,9,2,15,NULL,4),(20,451,2,23,10,1,3,1,1),(20,451,2,23,11,2,6,NULL,1),(20,451,2,23,12,NULL,3,NULL,NULL),(20,451,2,23,13,3,6,1,NULL),(20,451,2,23,14,7,9,2,2),(20,451,2,23,15,3,6,1,1),(20,451,2,23,16,1,3,1,NULL),(20,451,2,23,17,1,3,NULL,NULL),(20,451,2,23,18,NULL,3,NULL,NULL),(20,451,2,23,19,5,5,3,NULL),(20,451,2,23,20,1,2,1,NULL),(20,451,2,23,21,NULL,2,NULL,NULL),(20,451,2,23,22,2,8,NULL,1),(20,451,2,23,23,NULL,2,NULL,NULL),(20,451,2,23,24,NULL,NULL,NULL,NULL),(20,451,2,23,25,1,3,NULL,1),(20,451,2,23,26,3,2,NULL,1),(20,451,2,23,27,NULL,1,NULL,NULL),(20,451,2,23,28,NULL,4,NULL,2),(20,451,2,23,29,NULL,4,NULL,2),(20,451,2,23,30,2,4,2,NULL),(20,451,2,23,31,3,1,1,NULL),(20,451,2,23,32,1,2,NULL,NULL),(20,451,2,23,33,3,6,NULL,4),(20,451,2,23,34,4,NULL,1,NULL),(20,451,2,23,35,1,2,1,NULL),(20,451,2,23,36,NULL,2,NULL,1),(20,451,2,23,37,NULL,2,NULL,NULL),(20,451,2,23,38,1,1,NULL,NULL),(20,451,2,23,39,NULL,2,NULL,1),(20,451,2,23,40,1,2,1,1),(20,451,2,24,1,1,3,1,3),(20,451,2,24,2,1,2,1,1),(20,451,2,24,3,5,11,1,4),(20,451,2,24,4,NULL,1,NULL,NULL),(20,451,2,24,5,NULL,2,NULL,NULL),(20,451,2,24,6,3,6,3,4),(20,451,2,24,7,2,2,2,1),(20,451,2,24,8,2,NULL,1,NULL),(20,451,2,24,9,9,6,3,3),(20,451,2,24,10,NULL,5,NULL,2),(20,451,2,24,11,4,3,2,2),(20,451,2,24,12,2,4,1,2),(20,451,2,24,13,6,9,2,4),(20,451,2,24,14,9,9,5,4),(20,451,2,24,15,10,3,3,1),(20,451,2,24,16,8,3,2,3),(20,451,2,24,17,2,3,2,NULL),(20,451,2,24,18,1,5,NULL,2),(20,451,2,24,19,2,9,1,1),(20,451,2,24,20,1,6,1,3),(20,451,2,24,21,NULL,1,NULL,1),(20,451,2,24,22,1,2,NULL,1),(20,451,2,24,23,NULL,3,NULL,NULL),(20,451,2,24,24,NULL,2,NULL,1),(20,451,2,24,25,2,6,1,3),(20,451,2,24,26,1,2,NULL,2),(20,451,2,24,27,1,NULL,1,NULL),(20,451,2,24,28,NULL,3,NULL,2),(20,451,2,24,29,NULL,3,NULL,2),(20,451,2,24,30,1,1,NULL,1),(20,451,2,24,31,1,3,1,2),(20,451,2,24,32,3,4,2,1),(20,451,2,24,33,4,7,NULL,1),(20,451,2,24,34,3,4,2,2),(20,451,2,24,35,NULL,4,NULL,2),(20,451,2,24,36,NULL,3,NULL,1),(20,451,2,24,37,2,5,NULL,3),(20,451,2,24,38,1,5,NULL,3),(20,451,2,24,39,NULL,2,NULL,1),(20,451,2,24,40,3,4,2,1),(20,452,1,11,1,NULL,NULL,NULL,NULL),(20,452,1,11,2,NULL,NULL,NULL,NULL),(20,452,1,11,3,NULL,NULL,NULL,NULL),(20,452,1,11,4,NULL,NULL,NULL,NULL),(20,452,1,11,5,NULL,NULL,NULL,NULL),(20,452,1,11,6,NULL,NULL,NULL,NULL),(20,452,1,11,7,NULL,NULL,NULL,NULL),(20,452,1,11,8,NULL,NULL,NULL,NULL),(20,452,1,11,9,NULL,NULL,NULL,NULL),(20,452,1,11,10,NULL,NULL,NULL,NULL),(20,452,1,11,11,NULL,NULL,NULL,NULL),(20,452,1,11,12,NULL,NULL,NULL,NULL),(20,452,1,11,13,NULL,NULL,NULL,NULL),(20,452,1,11,14,NULL,NULL,NULL,NULL),(20,452,1,11,15,NULL,NULL,NULL,NULL),(20,452,1,11,16,NULL,NULL,NULL,NULL),(20,452,1,11,17,NULL,NULL,NULL,NULL),(20,452,1,11,18,NULL,NULL,NULL,NULL),(20,452,1,11,19,NULL,NULL,NULL,NULL),(20,452,1,11,20,NULL,NULL,NULL,NULL),(20,452,1,11,21,NULL,NULL,NULL,NULL),(20,452,1,11,22,NULL,NULL,NULL,NULL),(20,452,1,11,23,NULL,NULL,NULL,NULL),(20,452,1,11,24,NULL,NULL,NULL,NULL),(20,452,1,11,25,NULL,NULL,NULL,NULL),(20,452,1,11,26,NULL,NULL,NULL,NULL),(20,452,1,11,27,NULL,NULL,NULL,NULL),(20,452,1,11,28,NULL,NULL,NULL,NULL),(20,452,1,11,29,NULL,NULL,NULL,NULL),(20,452,1,11,30,NULL,NULL,NULL,NULL),(20,452,1,11,31,NULL,NULL,NULL,NULL),(20,452,1,11,32,NULL,NULL,NULL,NULL),(20,452,1,11,33,NULL,NULL,NULL,NULL),(20,452,1,11,34,NULL,NULL,NULL,NULL),(20,452,1,11,35,NULL,NULL,NULL,NULL),(20,452,1,11,36,NULL,NULL,NULL,NULL),(20,452,1,11,37,NULL,NULL,NULL,NULL),(20,452,1,11,38,NULL,NULL,NULL,NULL),(20,452,1,11,39,NULL,NULL,NULL,NULL),(20,452,1,11,40,NULL,NULL,NULL,NULL),(20,452,1,12,1,NULL,NULL,NULL,NULL),(20,452,1,12,2,NULL,NULL,NULL,NULL),(20,452,1,12,3,NULL,NULL,NULL,NULL),(20,452,1,12,4,NULL,NULL,NULL,NULL),(20,452,1,12,5,NULL,NULL,NULL,NULL),(20,452,1,12,6,NULL,NULL,NULL,NULL),(20,452,1,12,7,NULL,NULL,NULL,NULL),(20,452,1,12,8,NULL,NULL,NULL,NULL),(20,452,1,12,9,NULL,NULL,NULL,NULL),(20,452,1,12,10,NULL,NULL,NULL,NULL),(20,452,1,12,11,NULL,NULL,NULL,NULL),(20,452,1,12,12,NULL,NULL,NULL,NULL),(20,452,1,12,13,NULL,NULL,NULL,NULL),(20,452,1,12,14,NULL,NULL,NULL,NULL),(20,452,1,12,15,NULL,NULL,NULL,NULL),(20,452,1,12,16,NULL,NULL,NULL,NULL),(20,452,1,12,17,NULL,NULL,NULL,NULL),(20,452,1,12,18,NULL,NULL,NULL,NULL),(20,452,1,12,19,NULL,NULL,NULL,NULL),(20,452,1,12,20,NULL,NULL,NULL,NULL),(20,452,1,12,21,NULL,NULL,NULL,NULL),(20,452,1,12,22,NULL,NULL,NULL,NULL),(20,452,1,12,23,NULL,NULL,NULL,NULL),(20,452,1,12,24,NULL,NULL,NULL,NULL),(20,452,1,12,25,NULL,NULL,NULL,NULL),(20,452,1,12,26,NULL,NULL,NULL,NULL),(20,452,1,12,27,NULL,NULL,NULL,NULL),(20,452,1,12,28,NULL,NULL,NULL,NULL),(20,452,1,12,29,NULL,NULL,NULL,NULL),(20,452,1,12,30,NULL,NULL,NULL,NULL),(20,452,1,12,31,NULL,NULL,NULL,NULL),(20,452,1,12,32,NULL,NULL,NULL,NULL),(20,452,1,12,33,NULL,NULL,NULL,NULL),(20,452,1,12,34,NULL,NULL,NULL,NULL),(20,452,1,12,35,NULL,NULL,NULL,NULL),(20,452,1,12,36,NULL,NULL,NULL,NULL),(20,452,1,12,37,NULL,NULL,NULL,NULL),(20,452,1,12,38,NULL,NULL,NULL,NULL),(20,452,1,12,39,NULL,NULL,NULL,NULL),(20,452,1,12,40,NULL,NULL,NULL,NULL),(20,452,1,13,1,NULL,NULL,NULL,NULL),(20,452,1,13,2,NULL,NULL,NULL,NULL),(20,452,1,13,3,NULL,NULL,NULL,NULL),(20,452,1,13,4,NULL,NULL,NULL,NULL),(20,452,1,13,5,NULL,NULL,NULL,NULL),(20,452,1,13,6,NULL,NULL,NULL,NULL),(20,452,1,13,7,NULL,NULL,NULL,NULL),(20,452,1,13,8,NULL,NULL,NULL,NULL),(20,452,1,13,9,NULL,NULL,NULL,NULL),(20,452,1,13,10,NULL,NULL,NULL,NULL),(20,452,1,13,11,NULL,NULL,NULL,NULL),(20,452,1,13,12,NULL,NULL,NULL,NULL),(20,452,1,13,13,NULL,NULL,NULL,NULL),(20,452,1,13,14,NULL,NULL,NULL,NULL),(20,452,1,13,15,NULL,NULL,NULL,NULL),(20,452,1,13,16,NULL,NULL,NULL,NULL),(20,452,1,13,17,NULL,NULL,NULL,NULL),(20,452,1,13,18,NULL,NULL,NULL,NULL),(20,452,1,13,19,NULL,NULL,NULL,NULL),(20,452,1,13,20,NULL,NULL,NULL,NULL),(20,452,1,13,21,NULL,NULL,NULL,NULL),(20,452,1,13,22,NULL,NULL,NULL,NULL),(20,452,1,13,23,NULL,NULL,NULL,NULL),(20,452,1,13,24,NULL,NULL,NULL,NULL),(20,452,1,13,25,NULL,NULL,NULL,NULL),(20,452,1,13,26,NULL,NULL,NULL,NULL),(20,452,1,13,27,NULL,NULL,NULL,NULL),(20,452,1,13,28,NULL,NULL,NULL,NULL),(20,452,1,13,29,NULL,NULL,NULL,NULL),(20,452,1,13,30,NULL,NULL,NULL,NULL),(20,452,1,13,31,NULL,NULL,NULL,NULL),(20,452,1,13,32,NULL,NULL,NULL,NULL),(20,452,1,13,33,NULL,NULL,NULL,NULL),(20,452,1,13,34,NULL,NULL,NULL,NULL),(20,452,1,13,35,NULL,NULL,NULL,NULL),(20,452,1,13,36,NULL,NULL,NULL,NULL),(20,452,1,13,37,NULL,NULL,NULL,NULL),(20,452,1,13,38,NULL,NULL,NULL,NULL),(20,452,1,13,39,NULL,NULL,NULL,NULL),(20,452,1,13,40,NULL,NULL,NULL,NULL),(20,452,1,14,1,5,9,2,1),(20,452,1,14,2,10,8,4,1),(20,452,1,14,3,3,17,1,5),(20,452,1,14,4,6,16,1,5),(20,452,1,14,5,10,16,3,4),(20,452,1,14,6,24,20,6,3),(20,452,1,14,7,6,11,4,2),(20,452,1,14,8,29,6,7,2),(20,452,1,14,9,22,24,5,4),(20,452,1,14,10,16,10,5,3),(20,452,1,14,11,NULL,8,NULL,NULL),(20,452,1,14,12,12,13,5,2),(20,452,1,14,13,28,8,7,2),(20,452,1,14,14,30,18,8,1),(20,452,1,14,15,13,16,6,2),(20,452,1,14,16,42,4,10,NULL),(20,452,1,14,17,17,28,4,5),(20,452,1,14,18,30,5,9,NULL),(20,452,1,14,19,30,5,9,1),(20,452,1,14,20,36,17,9,2),(20,452,1,14,21,3,6,1,2),(20,452,1,14,22,6,18,NULL,7),(20,452,1,14,23,5,26,NULL,5),(20,452,1,14,24,6,10,1,5),(20,452,1,14,25,6,24,2,7),(20,452,1,14,26,5,NULL,1,NULL),(20,452,1,14,27,10,22,NULL,8),(20,452,1,14,28,1,7,1,3),(20,452,1,14,29,3,7,2,2),(20,452,1,14,30,5,10,NULL,5),(20,452,1,14,31,15,15,5,2),(20,452,1,14,32,12,8,2,2),(20,452,1,14,33,3,12,2,5),(20,452,1,14,34,5,11,1,5),(20,452,1,14,35,12,8,4,1),(20,452,1,14,36,18,15,6,2),(20,452,1,14,37,15,15,4,4),(20,452,1,14,38,4,6,NULL,1),(20,452,1,14,39,25,16,6,6),(20,452,1,14,40,18,3,8,1),(20,452,1,15,1,13,11,6,2),(20,452,1,15,2,10,9,4,3),(20,452,1,15,3,4,18,2,4),(20,452,1,15,4,4,18,NULL,6),(20,452,1,15,5,17,17,6,4),(20,452,1,15,6,22,23,9,5),(20,452,1,15,7,11,13,5,4),(20,452,1,15,8,26,3,9,1),(20,452,1,15,9,18,22,8,7),(20,452,1,15,10,8,9,5,2),(20,452,1,15,11,1,8,NULL,4),(20,452,1,15,12,11,15,6,5),(20,452,1,15,13,29,18,10,4),(20,452,1,15,14,29,20,8,6),(20,452,1,15,15,19,11,7,2),(20,452,1,15,16,36,8,12,2),(20,452,1,15,17,14,25,7,9),(20,452,1,15,18,33,12,9,6),(20,452,1,15,19,33,2,10,NULL),(20,452,1,15,20,25,18,9,8),(20,452,1,15,21,3,4,NULL,1),(20,452,1,15,22,3,15,NULL,9),(20,452,1,15,23,9,22,1,7),(20,452,1,15,24,NULL,15,NULL,8),(20,452,1,15,25,6,20,2,8),(20,452,1,15,26,5,NULL,3,NULL),(20,452,1,15,27,8,17,3,10),(20,452,1,15,28,3,5,1,4),(20,452,1,15,29,NULL,7,NULL,2),(20,452,1,15,30,5,8,NULL,2),(20,452,1,15,31,7,14,3,5),(20,452,1,15,32,11,5,4,2),(20,452,1,15,33,5,16,3,5),(20,452,1,15,34,2,12,2,5),(20,452,1,15,35,11,11,7,3),(20,452,1,15,36,16,16,8,3),(20,452,1,15,37,22,15,8,6),(20,452,1,15,38,3,8,1,4),(20,452,1,15,39,31,16,11,5),(20,452,1,15,40,17,5,7,1),(20,452,1,16,1,6,11,NULL,1),(20,452,1,16,2,7,7,1,NULL),(20,452,1,16,3,6,11,1,NULL),(20,452,1,16,4,5,18,NULL,3),(20,452,1,16,5,11,17,1,1),(20,452,1,16,6,21,18,4,NULL),(20,452,1,16,7,3,12,1,2),(20,452,1,16,8,25,7,3,1),(20,452,1,16,9,13,22,1,NULL),(20,452,1,16,10,8,5,2,NULL),(20,452,1,16,11,3,8,NULL,NULL),(20,452,1,16,12,9,9,1,1),(20,452,1,16,13,22,14,3,NULL),(20,452,1,16,14,3,6,NULL,1),(20,452,1,16,15,25,3,4,NULL),(20,452,1,16,16,2,14,NULL,2),(20,452,1,16,17,31,22,2,2),(20,452,1,16,18,5,18,1,1),(20,452,1,16,19,13,20,NULL,3),(20,452,1,16,20,NULL,19,NULL,1),(20,452,1,16,21,4,15,NULL,1),(20,452,1,16,22,1,7,NULL,2),(20,452,1,16,23,4,18,NULL,3),(20,452,1,16,24,5,10,1,2),(20,452,1,16,25,9,15,1,3),(20,452,1,16,26,7,NULL,1,NULL),(20,452,1,16,27,6,15,1,2),(20,452,1,16,28,1,10,NULL,1),(20,452,1,16,29,3,5,NULL,NULL),(20,452,1,16,30,1,6,NULL,1),(20,452,1,16,31,9,16,NULL,2),(20,452,1,16,32,11,10,2,1),(20,452,1,16,33,3,13,1,1),(20,452,1,16,34,2,11,NULL,3),(20,452,1,16,35,16,9,1,1),(20,452,1,16,36,14,12,2,1),(20,452,1,16,37,14,12,2,1),(20,452,1,16,38,2,7,NULL,1),(20,452,1,16,39,21,13,4,NULL),(20,452,1,16,40,8,6,3,NULL),(20,452,1,17,1,7,6,3,1),(20,452,1,17,2,3,5,1,NULL),(20,452,1,17,3,3,12,1,2),(20,452,1,17,4,4,12,NULL,1),(20,452,1,17,5,10,18,1,2),(20,452,1,17,6,16,17,3,3),(20,452,1,17,7,10,6,3,1),(20,452,1,17,8,20,10,4,2),(20,452,1,17,9,12,20,2,4),(20,452,1,17,10,5,6,1,2),(20,452,1,17,11,NULL,7,NULL,2),(20,452,1,17,12,9,8,3,1),(20,452,1,17,13,9,12,2,2),(20,452,1,17,14,6,5,2,1),(20,452,1,17,15,23,3,3,NULL),(20,452,1,17,16,1,13,NULL,3),(20,452,1,17,17,26,19,3,4),(20,452,1,17,18,6,12,1,2),(20,452,1,17,19,22,11,4,1),(20,452,1,17,20,NULL,15,NULL,2),(20,452,1,17,21,5,8,1,1),(20,452,1,17,22,4,10,1,2),(20,452,1,17,23,7,13,1,NULL),(20,452,1,17,24,5,4,NULL,NULL),(20,452,1,17,25,3,10,1,2),(20,452,1,17,26,2,NULL,NULL,NULL),(20,452,1,17,27,8,9,NULL,1),(20,452,1,17,28,1,3,NULL,1),(20,452,1,17,29,5,8,1,1),(20,452,1,17,30,3,5,1,NULL),(20,452,1,17,31,10,13,NULL,2),(20,452,1,17,32,10,11,2,1),(20,452,1,17,33,2,7,1,2),(20,452,1,17,34,2,7,NULL,1),(20,452,1,17,35,7,12,1,3),(20,452,1,17,36,9,15,2,2),(20,452,1,17,37,12,13,1,3),(20,452,1,17,38,1,5,1,1),(20,452,1,17,39,16,16,3,4),(20,452,1,17,40,10,6,3,NULL),(20,452,2,21,1,3,14,NULL,NULL),(20,452,2,21,2,1,4,NULL,NULL),(20,452,2,21,3,9,17,1,NULL),(20,452,2,21,4,9,9,1,NULL),(20,452,2,21,5,NULL,6,NULL,NULL),(20,452,2,21,6,11,10,1,1),(20,452,2,21,7,7,12,2,2),(20,452,2,21,8,6,NULL,1,NULL),(20,452,2,21,9,13,30,NULL,3),(20,452,2,21,10,3,17,1,1),(20,452,2,21,11,9,9,1,NULL),(20,452,2,21,12,2,11,1,NULL),(20,452,2,21,13,26,22,1,1),(20,452,2,21,14,35,26,2,2),(20,452,2,21,15,11,16,NULL,1),(20,452,2,21,16,16,16,1,1),(20,452,2,21,17,13,8,1,NULL),(20,452,2,21,18,2,12,1,NULL),(20,452,2,21,19,9,14,NULL,2),(20,452,2,21,20,11,16,2,1),(20,452,2,21,21,NULL,5,NULL,1),(20,452,2,21,22,2,9,NULL,NULL),(20,452,2,21,23,1,5,NULL,NULL),(20,452,2,21,24,NULL,5,NULL,NULL),(20,452,2,21,25,6,30,1,3),(20,452,2,21,26,NULL,7,NULL,NULL),(20,452,2,21,27,NULL,4,NULL,NULL),(20,452,2,21,28,6,11,1,2),(20,452,2,21,29,2,4,NULL,NULL),(20,452,2,21,30,5,6,1,NULL),(20,452,2,21,31,2,16,NULL,3),(20,452,2,21,32,6,15,3,NULL),(20,452,2,21,33,3,19,NULL,1),(20,452,2,21,34,8,14,1,NULL),(20,452,2,21,35,2,11,NULL,1),(20,452,2,21,36,4,19,NULL,1),(20,452,2,21,37,5,8,2,NULL),(20,452,2,21,38,1,10,NULL,3),(20,452,2,21,39,2,7,1,NULL),(20,452,2,21,40,3,13,1,2),(20,452,2,22,1,4,9,1,1),(20,452,2,22,2,2,7,NULL,4),(20,452,2,22,3,4,15,1,4),(20,452,2,22,4,4,13,1,5),(20,452,2,22,5,3,6,1,1),(20,452,2,22,6,12,11,6,2),(20,452,2,22,7,8,11,3,1),(20,452,2,22,8,5,NULL,2,NULL),(20,452,2,22,9,14,20,2,6),(20,452,2,22,10,2,12,2,3),(20,452,2,22,11,11,8,3,2),(20,452,2,22,12,2,9,NULL,2),(20,452,2,22,13,18,13,8,2),(20,452,2,22,14,21,24,6,6),(20,452,2,22,15,15,12,5,3),(20,452,2,22,16,11,11,4,2),(20,452,2,22,17,3,8,1,3),(20,452,2,22,18,2,10,1,1),(20,452,2,22,19,5,19,2,4),(20,452,2,22,20,11,11,4,5),(20,452,2,22,21,NULL,2,NULL,1),(20,452,2,22,22,1,11,NULL,2),(20,452,2,22,23,1,5,NULL,2),(20,452,2,22,24,3,2,1,1),(20,452,2,22,25,6,10,2,4),(20,452,2,22,26,1,5,NULL,1),(20,452,2,22,27,1,6,NULL,1),(20,452,2,22,28,13,10,2,4),(20,452,2,22,29,NULL,3,NULL,NULL),(20,452,2,22,30,1,2,NULL,NULL),(20,452,2,22,31,4,13,1,2),(20,452,2,22,32,2,11,1,1),(20,452,2,22,33,4,23,NULL,5),(20,452,2,22,34,7,12,2,5),(20,452,2,22,35,3,14,2,5),(20,452,2,22,36,3,7,2,NULL),(20,452,2,22,37,1,9,1,1),(20,452,2,22,38,2,13,NULL,4),(20,452,2,22,39,2,8,NULL,4),(20,452,2,22,40,6,9,2,NULL),(20,452,2,23,1,7,8,4,1),(20,452,2,23,2,NULL,4,NULL,3),(20,452,2,23,3,5,18,1,5),(20,452,2,23,4,4,8,1,1),(20,452,2,23,5,3,4,3,NULL),(20,452,2,23,6,10,8,3,2),(20,452,2,23,7,3,12,2,4),(20,452,2,23,8,10,NULL,7,NULL),(20,452,2,23,9,15,19,7,3),(20,452,2,23,10,1,12,NULL,2),(20,452,2,23,11,7,9,5,2),(20,452,2,23,12,3,7,1,4),(20,452,2,23,13,18,12,6,1),(20,452,2,23,14,23,18,5,5),(20,452,2,23,15,17,7,7,NULL),(20,452,2,23,16,11,13,4,NULL),(20,452,2,23,17,6,7,4,2),(20,452,2,23,18,3,10,3,3),(20,452,2,23,19,5,16,2,7),(20,452,2,23,20,13,14,3,6),(20,452,2,23,21,NULL,6,NULL,1),(20,452,2,23,22,NULL,11,NULL,2),(20,452,2,23,23,NULL,5,NULL,2),(20,452,2,23,24,2,NULL,NULL,NULL),(20,452,2,23,25,5,13,1,4),(20,452,2,23,26,3,4,2,2),(20,452,2,23,27,2,2,1,1),(20,452,2,23,28,6,5,3,1),(20,452,2,23,29,3,3,1,1),(20,452,2,23,30,5,NULL,2,NULL),(20,452,2,23,31,4,15,NULL,5),(20,452,2,23,32,3,13,2,5),(20,452,2,23,33,9,25,1,4),(20,452,2,23,34,7,5,2,2),(20,452,2,23,35,NULL,12,NULL,3),(20,452,2,23,36,6,7,1,2),(20,452,2,23,37,2,5,1,NULL),(20,452,2,23,38,1,8,NULL,3),(20,452,2,23,39,3,13,2,1),(20,452,2,23,40,6,11,4,3),(20,452,2,24,1,4,9,1,2),(20,452,2,24,2,2,NULL,NULL,NULL),(20,452,2,24,3,6,13,2,3),(20,452,2,24,4,8,9,3,2),(20,452,2,24,5,3,7,1,4),(20,452,2,24,6,10,13,3,5),(20,452,2,24,7,3,7,2,3),(20,452,2,24,8,4,NULL,2,NULL),(20,452,2,24,9,19,31,4,6),(20,452,2,24,10,3,12,NULL,5),(20,452,2,24,11,9,7,3,2),(20,452,2,24,12,2,13,1,5),(20,452,2,24,13,24,21,5,6),(20,452,2,24,14,28,19,7,5),(20,452,2,24,15,18,8,4,3),(20,452,2,24,16,16,16,3,4),(20,452,2,24,17,5,10,3,3),(20,452,2,24,18,3,13,2,1),(20,452,2,24,19,8,28,2,7),(20,452,2,24,20,10,19,4,4),(20,452,2,24,21,NULL,2,NULL,2),(20,452,2,24,22,4,12,NULL,4),(20,452,2,24,23,1,6,NULL,1),(20,452,2,24,24,NULL,1,NULL,NULL),(20,452,2,24,25,9,13,1,4),(20,452,2,24,26,4,3,1,1),(20,452,2,24,27,3,6,NULL,1),(20,452,2,24,28,6,8,3,5),(20,452,2,24,29,NULL,4,NULL,1),(20,452,2,24,30,4,1,1,NULL),(20,452,2,24,31,4,11,1,3),(20,452,2,24,32,7,19,3,4),(20,452,2,24,33,13,20,6,2),(20,452,2,24,34,1,13,NULL,4),(20,452,2,24,35,3,16,1,4),(20,452,2,24,36,2,12,1,1),(20,452,2,24,37,3,7,2,2),(20,452,2,24,38,1,12,NULL,4),(20,452,2,24,39,1,9,NULL,1),(20,452,2,24,40,8,11,1,4),(20,453,1,11,1,NULL,NULL,NULL,NULL),(20,453,1,11,2,NULL,NULL,NULL,NULL),(20,453,1,11,3,NULL,NULL,NULL,NULL),(20,453,1,11,4,NULL,NULL,NULL,NULL),(20,453,1,11,5,NULL,NULL,NULL,NULL),(20,453,1,11,6,NULL,NULL,NULL,NULL),(20,453,1,11,7,NULL,NULL,NULL,NULL),(20,453,1,11,8,NULL,NULL,NULL,NULL),(20,453,1,11,9,NULL,NULL,NULL,NULL),(20,453,1,11,10,NULL,NULL,NULL,NULL),(20,453,1,11,11,NULL,NULL,NULL,NULL),(20,453,1,11,12,NULL,NULL,NULL,NULL),(20,453,1,11,13,NULL,NULL,NULL,NULL),(20,453,1,11,14,NULL,NULL,NULL,NULL),(20,453,1,11,15,NULL,NULL,NULL,NULL),(20,453,1,11,16,NULL,NULL,NULL,NULL),(20,453,1,11,17,NULL,NULL,NULL,NULL),(20,453,1,11,18,NULL,NULL,NULL,NULL),(20,453,1,11,19,NULL,NULL,NULL,NULL),(20,453,1,11,20,NULL,NULL,NULL,NULL),(20,453,1,11,21,NULL,NULL,NULL,NULL),(20,453,1,11,22,NULL,NULL,NULL,NULL),(20,453,1,11,23,NULL,NULL,NULL,NULL),(20,453,1,11,24,NULL,NULL,NULL,NULL),(20,453,1,11,25,NULL,NULL,NULL,NULL),(20,453,1,11,26,NULL,NULL,NULL,NULL),(20,453,1,11,27,NULL,NULL,NULL,NULL),(20,453,1,11,28,NULL,NULL,NULL,NULL),(20,453,1,11,29,NULL,NULL,NULL,NULL),(20,453,1,11,30,NULL,NULL,NULL,NULL),(20,453,1,11,31,NULL,NULL,NULL,NULL),(20,453,1,11,32,NULL,NULL,NULL,NULL),(20,453,1,11,33,NULL,NULL,NULL,NULL),(20,453,1,11,34,NULL,NULL,NULL,NULL),(20,453,1,11,35,NULL,NULL,NULL,NULL),(20,453,1,11,36,NULL,NULL,NULL,NULL),(20,453,1,11,37,NULL,NULL,NULL,NULL),(20,453,1,11,38,NULL,NULL,NULL,NULL),(20,453,1,11,39,NULL,NULL,NULL,NULL),(20,453,1,11,40,NULL,NULL,NULL,NULL),(20,453,1,12,1,NULL,NULL,NULL,NULL),(20,453,1,12,2,NULL,NULL,NULL,NULL),(20,453,1,12,3,NULL,NULL,NULL,NULL),(20,453,1,12,4,NULL,NULL,NULL,NULL),(20,453,1,12,5,NULL,NULL,NULL,NULL),(20,453,1,12,6,NULL,NULL,NULL,NULL),(20,453,1,12,7,NULL,NULL,NULL,NULL),(20,453,1,12,8,NULL,NULL,NULL,NULL),(20,453,1,12,9,NULL,NULL,NULL,NULL),(20,453,1,12,10,NULL,NULL,NULL,NULL),(20,453,1,12,11,NULL,NULL,NULL,NULL),(20,453,1,12,12,NULL,NULL,NULL,NULL),(20,453,1,12,13,NULL,NULL,NULL,NULL),(20,453,1,12,14,NULL,NULL,NULL,NULL),(20,453,1,12,15,NULL,NULL,NULL,NULL),(20,453,1,12,16,NULL,NULL,NULL,NULL),(20,453,1,12,17,NULL,NULL,NULL,NULL),(20,453,1,12,18,NULL,NULL,NULL,NULL),(20,453,1,12,19,NULL,NULL,NULL,NULL),(20,453,1,12,20,NULL,NULL,NULL,NULL),(20,453,1,12,21,NULL,NULL,NULL,NULL),(20,453,1,12,22,NULL,NULL,NULL,NULL),(20,453,1,12,23,NULL,NULL,NULL,NULL),(20,453,1,12,24,NULL,NULL,NULL,NULL),(20,453,1,12,25,NULL,NULL,NULL,NULL),(20,453,1,12,26,NULL,NULL,NULL,NULL),(20,453,1,12,27,NULL,NULL,NULL,NULL),(20,453,1,12,28,NULL,NULL,NULL,NULL),(20,453,1,12,29,NULL,NULL,NULL,NULL),(20,453,1,12,30,NULL,NULL,NULL,NULL),(20,453,1,12,31,NULL,NULL,NULL,NULL),(20,453,1,12,32,NULL,NULL,NULL,NULL),(20,453,1,12,33,NULL,NULL,NULL,NULL),(20,453,1,12,34,NULL,NULL,NULL,NULL),(20,453,1,12,35,NULL,NULL,NULL,NULL),(20,453,1,12,36,NULL,NULL,NULL,NULL),(20,453,1,12,37,NULL,NULL,NULL,NULL),(20,453,1,12,38,NULL,NULL,NULL,NULL),(20,453,1,12,39,NULL,NULL,NULL,NULL),(20,453,1,12,40,NULL,NULL,NULL,NULL),(20,453,1,13,1,NULL,NULL,NULL,NULL),(20,453,1,13,2,NULL,NULL,NULL,NULL),(20,453,1,13,3,NULL,NULL,NULL,NULL),(20,453,1,13,4,NULL,NULL,NULL,NULL),(20,453,1,13,5,NULL,NULL,NULL,NULL),(20,453,1,13,6,NULL,NULL,NULL,NULL),(20,453,1,13,7,NULL,NULL,NULL,NULL),(20,453,1,13,8,NULL,NULL,NULL,NULL),(20,453,1,13,9,NULL,NULL,NULL,NULL),(20,453,1,13,10,NULL,NULL,NULL,NULL),(20,453,1,13,11,NULL,NULL,NULL,NULL),(20,453,1,13,12,NULL,NULL,NULL,NULL),(20,453,1,13,13,NULL,NULL,NULL,NULL),(20,453,1,13,14,NULL,NULL,NULL,NULL),(20,453,1,13,15,NULL,NULL,NULL,NULL),(20,453,1,13,16,NULL,NULL,NULL,NULL),(20,453,1,13,17,NULL,NULL,NULL,NULL),(20,453,1,13,18,NULL,NULL,NULL,NULL),(20,453,1,13,19,NULL,NULL,NULL,NULL),(20,453,1,13,20,NULL,NULL,NULL,NULL),(20,453,1,13,21,NULL,NULL,NULL,NULL),(20,453,1,13,22,NULL,NULL,NULL,NULL),(20,453,1,13,23,NULL,NULL,NULL,NULL),(20,453,1,13,24,NULL,NULL,NULL,NULL),(20,453,1,13,25,NULL,NULL,NULL,NULL),(20,453,1,13,26,NULL,NULL,NULL,NULL),(20,453,1,13,27,NULL,NULL,NULL,NULL),(20,453,1,13,28,NULL,NULL,NULL,NULL),(20,453,1,13,29,NULL,NULL,NULL,NULL),(20,453,1,13,30,NULL,NULL,NULL,NULL),(20,453,1,13,31,NULL,NULL,NULL,NULL),(20,453,1,13,32,NULL,NULL,NULL,NULL),(20,453,1,13,33,NULL,NULL,NULL,NULL),(20,453,1,13,34,NULL,NULL,NULL,NULL),(20,453,1,13,35,NULL,NULL,NULL,NULL),(20,453,1,13,36,NULL,NULL,NULL,NULL),(20,453,1,13,37,NULL,NULL,NULL,NULL),(20,453,1,13,38,NULL,NULL,NULL,NULL),(20,453,1,13,39,NULL,NULL,NULL,NULL),(20,453,1,13,40,NULL,NULL,NULL,NULL),(20,453,1,14,1,14,17,6,4),(20,453,1,14,2,9,7,1,2),(20,453,1,14,3,6,10,2,3),(20,453,1,14,4,4,20,1,6),(20,453,1,14,5,19,19,5,7),(20,453,1,14,6,27,26,8,5),(20,453,1,14,7,6,13,3,2),(20,453,1,14,8,22,7,10,1),(20,453,1,14,9,19,24,5,6),(20,453,1,14,10,6,10,2,3),(20,453,1,14,11,1,11,NULL,3),(20,453,1,14,12,6,17,3,4),(20,453,1,14,13,39,15,11,2),(20,453,1,14,14,36,24,11,6),(20,453,1,14,15,22,7,8,2),(20,453,1,14,16,38,12,11,2),(20,453,1,14,17,16,36,5,8),(20,453,1,14,18,37,14,11,1),(20,453,1,14,19,32,3,9,1),(20,453,1,14,20,45,13,11,5),(20,453,1,14,21,3,11,1,2),(20,453,1,14,22,8,16,3,9),(20,453,1,14,23,7,19,2,3),(20,453,1,14,24,7,14,NULL,5),(20,453,1,14,25,12,21,5,4),(20,453,1,14,26,6,NULL,2,NULL),(20,453,1,14,27,12,20,7,4),(20,453,1,14,28,8,9,3,4),(20,453,1,14,29,5,12,2,3),(20,453,1,14,30,2,12,1,3),(20,453,1,14,31,12,29,3,9),(20,453,1,14,32,12,11,2,2),(20,453,1,14,33,9,14,7,4),(20,453,1,14,34,3,18,1,7),(20,453,1,14,35,9,17,3,7),(20,453,1,14,36,19,22,3,6),(20,453,1,14,37,20,15,7,7),(20,453,1,14,38,1,11,NULL,5),(20,453,1,14,39,34,16,10,6),(20,453,1,14,40,22,7,9,2),(20,453,1,15,1,13,11,4,6),(20,453,1,15,2,6,9,3,1),(20,453,1,15,3,9,16,3,5),(20,453,1,15,4,8,24,4,6),(20,453,1,15,5,22,16,7,6),(20,453,1,15,6,32,24,11,7),(20,453,1,15,7,14,20,6,8),(20,453,1,15,8,26,9,11,2),(20,453,1,15,9,27,32,7,8),(20,453,1,15,10,11,5,6,1),(20,453,1,15,11,5,11,3,3),(20,453,1,15,12,16,6,7,3),(20,453,1,15,13,44,15,17,2),(20,453,1,15,14,37,20,13,5),(20,453,1,15,15,25,15,10,3),(20,453,1,15,16,43,13,11,6),(20,453,1,15,17,28,22,10,5),(20,453,1,15,18,42,14,15,3),(20,453,1,15,19,42,4,14,2),(20,453,1,15,20,46,14,15,4),(20,453,1,15,21,4,14,1,4),(20,453,1,15,22,10,15,6,7),(20,453,1,15,23,3,25,NULL,10),(20,453,1,15,24,10,12,3,5),(20,453,1,15,25,13,13,6,3),(20,453,1,15,26,9,NULL,5,NULL),(20,453,1,15,27,8,17,4,6),(20,453,1,15,28,3,11,1,8),(20,453,1,15,29,1,6,NULL,2),(20,453,1,15,30,7,7,2,2),(20,453,1,15,31,17,25,6,9),(20,453,1,15,32,15,5,8,NULL),(20,453,1,15,33,14,17,7,7),(20,453,1,15,34,4,7,1,4),(20,453,1,15,35,17,18,6,7),(20,453,1,15,36,21,17,8,7),(20,453,1,15,37,25,12,10,5),(20,453,1,15,38,5,17,2,9),(20,453,1,15,39,37,17,12,6),(20,453,1,15,40,17,3,8,NULL),(20,453,1,16,1,3,5,NULL,NULL),(20,453,1,16,2,3,3,1,NULL),(20,453,1,16,3,2,8,NULL,1),(20,453,1,16,4,3,7,NULL,NULL),(20,453,1,16,5,2,4,1,1),(20,453,1,16,6,5,10,NULL,1),(20,453,1,16,7,1,11,NULL,2),(20,453,1,16,8,12,7,2,NULL),(20,453,1,16,9,8,10,2,NULL),(20,453,1,16,10,5,6,1,NULL),(20,453,1,16,11,NULL,4,NULL,1),(20,453,1,16,12,1,8,NULL,NULL),(20,453,1,16,13,6,12,NULL,2),(20,453,1,16,14,1,1,NULL,NULL),(20,453,1,16,15,8,6,1,NULL),(20,453,1,16,16,1,9,NULL,1),(20,453,1,16,17,12,12,1,1),(20,453,1,16,18,NULL,7,NULL,NULL),(20,453,1,16,19,5,13,NULL,1),(20,453,1,16,20,1,10,NULL,1),(20,453,1,16,21,NULL,9,NULL,2),(20,453,1,16,22,1,9,NULL,2),(20,453,1,16,23,1,11,NULL,NULL),(20,453,1,16,24,1,8,NULL,1),(20,453,1,16,25,3,14,NULL,2),(20,453,1,16,26,2,NULL,NULL,NULL),(20,453,1,16,27,4,8,NULL,1),(20,453,1,16,28,NULL,3,NULL,NULL),(20,453,1,16,29,NULL,6,NULL,1),(20,453,1,16,30,1,5,NULL,1),(20,453,1,16,31,4,7,NULL,NULL),(20,453,1,16,32,7,5,NULL,1),(20,453,1,16,33,2,5,NULL,1),(20,453,1,16,34,1,2,NULL,NULL),(20,453,1,16,35,5,9,NULL,NULL),(20,453,1,16,36,4,11,1,1),(20,453,1,16,37,4,8,NULL,2),(20,453,1,16,38,1,4,NULL,1),(20,453,1,16,39,12,7,1,1),(20,453,1,16,40,6,2,1,1),(20,453,1,17,1,4,3,NULL,NULL),(20,453,1,17,2,NULL,1,NULL,NULL),(20,453,1,17,3,NULL,2,NULL,1),(20,453,1,17,4,4,5,NULL,NULL),(20,453,1,17,5,5,6,NULL,NULL),(20,453,1,17,6,4,8,NULL,1),(20,453,1,17,7,3,3,NULL,1),(20,453,1,17,8,6,3,1,NULL),(20,453,1,17,9,4,5,NULL,NULL),(20,453,1,17,10,1,1,NULL,1),(20,453,1,17,11,NULL,2,NULL,NULL),(20,453,1,17,12,3,2,NULL,1),(20,453,1,17,13,6,4,NULL,NULL),(20,453,1,17,14,NULL,3,NULL,1),(20,453,1,17,15,5,2,NULL,NULL),(20,453,1,17,16,1,4,NULL,NULL),(20,453,1,17,17,9,6,NULL,1),(20,453,1,17,18,3,8,NULL,NULL),(20,453,1,17,19,10,2,1,NULL),(20,453,1,17,20,NULL,8,NULL,NULL),(20,453,1,17,21,1,2,NULL,1),(20,453,1,17,22,NULL,2,NULL,1),(20,453,1,17,23,2,8,NULL,1),(20,453,1,17,24,4,2,NULL,1),(20,453,1,17,25,NULL,4,NULL,NULL),(20,453,1,17,26,3,NULL,1,NULL),(20,453,1,17,27,3,2,NULL,1),(20,453,1,17,28,1,NULL,NULL,NULL),(20,453,1,17,29,3,3,NULL,NULL),(20,453,1,17,30,1,3,NULL,1),(20,453,1,17,31,3,5,NULL,1),(20,453,1,17,32,NULL,2,NULL,NULL),(20,453,1,17,33,3,1,1,NULL),(20,453,1,17,34,1,4,NULL,NULL),(20,453,1,17,35,2,5,NULL,1),(20,453,1,17,36,3,7,NULL,1),(20,453,1,17,37,3,6,NULL,1),(20,453,1,17,38,NULL,2,NULL,NULL),(20,453,1,17,39,7,7,NULL,1),(20,453,1,17,40,3,1,1,NULL),(20,453,2,21,1,4,11,2,4),(20,453,2,21,2,NULL,4,NULL,3),(20,453,2,21,3,13,14,5,3),(20,453,2,21,4,5,10,3,4),(20,453,2,21,5,1,7,NULL,2),(20,453,2,21,6,6,10,4,5),(20,453,2,21,7,4,9,3,4),(20,453,2,21,8,7,NULL,3,NULL),(20,453,2,21,9,13,23,3,8),(20,453,2,21,10,3,10,NULL,2),(20,453,2,21,11,6,8,3,3),(20,453,2,21,12,3,5,NULL,3),(20,453,2,21,13,18,13,8,3),(20,453,2,21,14,29,16,10,3),(20,453,2,21,15,12,13,3,4),(20,453,2,21,16,18,9,7,3),(20,453,2,21,17,9,5,4,NULL),(20,453,2,21,18,3,16,1,9),(20,453,2,21,19,6,22,2,8),(20,453,2,21,20,3,15,1,7),(20,453,2,21,21,NULL,4,NULL,3),(20,453,2,21,22,1,8,NULL,3),(20,453,2,21,23,NULL,4,NULL,3),(20,453,2,21,24,NULL,3,NULL,1),(20,453,2,21,25,4,15,1,7),(20,453,2,21,26,2,7,1,5),(20,453,2,21,27,2,2,1,1),(20,453,2,21,28,6,8,3,4),(20,453,2,21,29,2,4,1,1),(20,453,2,21,30,4,8,2,2),(20,453,2,21,31,5,11,4,2),(20,453,2,21,32,4,6,NULL,3),(20,453,2,21,33,4,19,2,6),(20,453,2,21,34,1,8,1,2),(20,453,2,21,35,1,13,NULL,6),(20,453,2,21,36,4,10,3,4),(20,453,2,21,37,4,8,3,3),(20,453,2,21,38,1,10,1,7),(20,453,2,21,39,2,3,2,1),(20,453,2,21,40,7,8,2,7),(20,453,2,22,1,3,10,NULL,NULL),(20,453,2,22,2,NULL,5,NULL,3),(20,453,2,22,3,9,7,1,2),(20,453,2,22,4,4,3,NULL,NULL),(20,453,2,22,5,3,3,1,NULL),(20,453,2,22,6,11,7,5,1),(20,453,2,22,7,11,11,3,2),(20,453,2,22,8,5,NULL,4,NULL),(20,453,2,22,9,17,23,4,2),(20,453,2,22,10,NULL,12,NULL,3),(20,453,2,22,11,9,7,1,1),(20,453,2,22,12,2,9,1,1),(20,453,2,22,13,23,15,4,4),(20,453,2,22,14,29,20,6,3),(20,453,2,22,15,22,11,6,3),(20,453,2,22,16,4,16,NULL,1),(20,453,2,22,17,8,6,1,NULL),(20,453,2,22,18,2,9,NULL,1),(20,453,2,22,19,9,18,3,2),(20,453,2,22,20,17,15,4,2),(20,453,2,22,21,1,2,1,NULL),(20,453,2,22,22,3,10,1,3),(20,453,2,22,23,1,5,1,2),(20,453,2,22,24,1,1,NULL,NULL),(20,453,2,22,25,10,14,2,2),(20,453,2,22,26,4,2,2,NULL),(20,453,2,22,27,2,9,1,3),(20,453,2,22,28,8,8,4,2),(20,453,2,22,29,NULL,4,NULL,1),(20,453,2,22,30,3,5,NULL,1),(20,453,2,22,31,3,6,1,1),(20,453,2,22,32,6,9,1,2),(20,453,2,22,33,5,20,NULL,3),(20,453,2,22,34,5,7,1,NULL),(20,453,2,22,35,2,19,1,5),(20,453,2,22,36,4,13,2,3),(20,453,2,22,37,1,4,NULL,1),(20,453,2,22,38,3,7,1,2),(20,453,2,22,39,5,8,2,3),(20,453,2,22,40,7,11,3,2),(20,453,2,23,1,4,7,NULL,1),(20,453,2,23,2,1,5,NULL,1),(20,453,2,23,3,9,10,3,1),(20,453,2,23,4,2,7,1,1),(20,453,2,23,5,3,5,1,2),(20,453,2,23,6,15,13,3,3),(20,453,2,23,7,9,8,5,NULL),(20,453,2,23,8,8,NULL,2,NULL),(20,453,2,23,9,12,18,4,2),(20,453,2,23,10,NULL,12,NULL,3),(20,453,2,23,11,7,8,NULL,1),(20,453,2,23,12,NULL,7,NULL,4),(20,453,2,23,13,17,16,5,2),(20,453,2,23,14,22,20,5,3),(20,453,2,23,15,19,8,5,1),(20,453,2,23,16,14,11,3,2),(20,453,2,23,17,10,6,4,2),(20,453,2,23,18,3,9,NULL,2),(20,453,2,23,19,6,16,1,5),(20,453,2,23,20,9,15,4,4),(20,453,2,23,21,NULL,2,NULL,NULL),(20,453,2,23,22,1,16,NULL,1),(20,453,2,23,23,NULL,5,NULL,2),(20,453,2,23,24,2,1,1,NULL),(20,453,2,23,25,7,9,2,2),(20,453,2,23,26,2,7,1,3),(20,453,2,23,27,2,6,2,1),(20,453,2,23,28,9,6,5,1),(20,453,2,23,29,2,3,NULL,1),(20,453,2,23,30,4,6,NULL,NULL),(20,453,2,23,31,4,12,1,3),(20,453,2,23,32,6,13,2,4),(20,453,2,23,33,3,18,NULL,5),(20,453,2,23,34,8,7,4,NULL),(20,453,2,23,35,1,12,1,4),(20,453,2,23,36,4,7,2,2),(20,453,2,23,37,2,8,1,4),(20,453,2,23,38,1,7,1,2),(20,453,2,23,39,2,5,1,3),(20,453,2,23,40,3,7,2,1),(20,453,2,24,1,2,6,1,1),(20,453,2,24,2,NULL,5,NULL,2),(20,453,2,24,3,7,17,2,3),(20,453,2,24,4,6,4,2,2),(20,453,2,24,5,2,7,NULL,2),(20,453,2,24,6,9,10,4,1),(20,453,2,24,7,6,7,3,3),(20,453,2,24,8,9,NULL,3,NULL),(20,453,2,24,9,8,24,2,4),(20,453,2,24,10,NULL,11,NULL,4),(20,453,2,24,11,7,6,2,NULL),(20,453,2,24,12,1,3,NULL,2),(20,453,2,24,13,19,13,4,1),(20,453,2,24,14,18,20,5,2),(20,453,2,24,15,17,6,4,1),(20,453,2,24,16,9,6,2,2),(20,453,2,24,17,4,5,2,1),(20,453,2,24,18,NULL,9,NULL,3),(20,453,2,24,19,1,14,NULL,3),(20,453,2,24,20,10,10,4,NULL),(20,453,2,24,21,1,3,1,2),(20,453,2,24,22,1,8,NULL,2),(20,453,2,24,23,1,4,NULL,1),(20,453,2,24,24,1,2,1,NULL),(20,453,2,24,25,6,13,2,1),(20,453,2,24,26,1,5,1,2),(20,453,2,24,27,2,2,1,NULL),(20,453,2,24,28,7,6,2,NULL),(20,453,2,24,29,1,3,NULL,NULL),(20,453,2,24,30,1,6,1,1),(20,453,2,24,31,NULL,11,NULL,3),(20,453,2,24,32,4,12,1,5),(20,453,2,24,33,7,20,1,3),(20,453,2,24,34,4,7,1,1),(20,453,2,24,35,1,8,NULL,1),(20,453,2,24,36,4,10,2,1),(20,453,2,24,37,1,5,1,1),(20,453,2,24,38,4,4,2,1),(20,453,2,24,39,4,4,2,2),(20,453,2,24,40,2,8,NULL,NULL),(20,501,1,11,1,1,NULL,NULL,NULL),(20,501,1,11,2,NULL,NULL,NULL,NULL),(20,501,1,11,3,NULL,NULL,NULL,NULL),(20,501,1,11,4,NULL,NULL,NULL,NULL),(20,501,1,11,5,NULL,NULL,NULL,NULL),(20,501,1,11,6,NULL,1,NULL,NULL),(20,501,1,11,7,NULL,NULL,NULL,NULL),(20,501,1,11,8,NULL,NULL,NULL,NULL),(20,501,1,11,9,NULL,1,NULL,NULL),(20,501,1,11,10,NULL,NULL,NULL,NULL),(20,501,1,11,11,NULL,NULL,NULL,NULL),(20,501,1,11,12,NULL,1,NULL,NULL),(20,501,1,11,13,NULL,1,NULL,NULL),(20,501,1,11,14,NULL,NULL,NULL,NULL),(20,501,1,11,15,1,NULL,NULL,NULL),(20,501,1,11,16,NULL,1,NULL,NULL),(20,501,1,11,17,NULL,NULL,NULL,NULL),(20,501,1,11,18,NULL,1,NULL,NULL),(20,501,1,11,19,NULL,1,NULL,NULL),(20,501,1,11,20,NULL,1,NULL,NULL),(20,501,1,11,21,NULL,NULL,NULL,NULL),(20,501,1,11,22,NULL,NULL,NULL,NULL),(20,501,1,11,23,1,NULL,NULL,NULL),(20,501,1,11,24,NULL,NULL,NULL,NULL),(20,501,1,11,25,NULL,NULL,NULL,NULL),(20,501,1,11,26,NULL,NULL,NULL,NULL),(20,501,1,11,27,NULL,NULL,NULL,NULL),(20,501,1,11,28,NULL,NULL,NULL,NULL),(20,501,1,11,29,NULL,NULL,NULL,NULL),(20,501,1,11,30,NULL,NULL,NULL,NULL),(20,501,1,11,31,NULL,1,NULL,NULL),(20,501,1,11,32,NULL,NULL,NULL,NULL),(20,501,1,11,33,NULL,NULL,NULL,NULL),(20,501,1,11,34,NULL,NULL,NULL,NULL),(20,501,1,11,35,1,1,NULL,NULL),(20,501,1,11,36,2,NULL,NULL,NULL),(20,501,1,11,37,2,NULL,NULL,NULL),(20,501,1,11,38,NULL,1,NULL,NULL),(20,501,1,11,39,1,NULL,NULL,NULL),(20,501,1,11,40,NULL,NULL,NULL,NULL),(20,501,1,12,1,1,1,1,NULL),(20,501,1,12,2,NULL,NULL,NULL,NULL),(20,501,1,12,3,NULL,NULL,NULL,NULL),(20,501,1,12,4,NULL,NULL,NULL,NULL),(20,501,1,12,5,NULL,NULL,NULL,NULL),(20,501,1,12,6,1,NULL,1,NULL),(20,501,1,12,7,NULL,1,NULL,1),(20,501,1,12,8,NULL,1,NULL,1),(20,501,1,12,9,NULL,1,NULL,1),(20,501,1,12,10,NULL,NULL,NULL,NULL),(20,501,1,12,11,NULL,NULL,NULL,NULL),(20,501,1,12,12,NULL,NULL,NULL,NULL),(20,501,1,12,13,1,1,1,NULL),(20,501,1,12,14,2,NULL,1,NULL),(20,501,1,12,15,2,NULL,1,NULL),(20,501,1,12,16,2,NULL,1,NULL),(20,501,1,12,17,1,NULL,1,NULL),(20,501,1,12,18,1,NULL,1,NULL),(20,501,1,12,19,1,NULL,1,NULL),(20,501,1,12,20,1,NULL,1,NULL),(20,501,1,12,21,NULL,1,NULL,1),(20,501,1,12,22,NULL,1,NULL,1),(20,501,1,12,23,1,NULL,1,NULL),(20,501,1,12,24,NULL,1,NULL,1),(20,501,1,12,25,1,NULL,1,NULL),(20,501,1,12,26,NULL,NULL,NULL,NULL),(20,501,1,12,27,NULL,1,NULL,1),(20,501,1,12,28,NULL,1,NULL,1),(20,501,1,12,29,NULL,1,NULL,1),(20,501,1,12,30,NULL,NULL,NULL,NULL),(20,501,1,12,31,NULL,NULL,NULL,NULL),(20,501,1,12,32,NULL,1,NULL,1),(20,501,1,12,33,1,NULL,1,NULL),(20,501,1,12,34,NULL,NULL,NULL,NULL),(20,501,1,12,35,NULL,1,NULL,NULL),(20,501,1,12,36,2,NULL,1,NULL),(20,501,1,12,37,NULL,1,NULL,1),(20,501,1,12,38,NULL,NULL,NULL,NULL),(20,501,1,12,39,2,NULL,1,NULL),(20,501,1,12,40,NULL,1,NULL,1),(20,501,1,13,1,1,NULL,1,NULL),(20,501,1,13,2,NULL,3,NULL,3),(20,501,1,13,3,NULL,NULL,NULL,NULL),(20,501,1,13,4,NULL,NULL,NULL,NULL),(20,501,1,13,5,1,1,1,1),(20,501,1,13,6,NULL,2,NULL,2),(20,501,1,13,7,1,NULL,1,NULL),(20,501,1,13,8,NULL,NULL,NULL,NULL),(20,501,1,13,9,NULL,2,NULL,2),(20,501,1,13,10,1,NULL,1,NULL),(20,501,1,13,11,NULL,1,NULL,1),(20,501,1,13,12,NULL,1,NULL,1),(20,501,1,13,13,2,1,2,1),(20,501,1,13,14,NULL,1,NULL,1),(20,501,1,13,15,2,NULL,2,NULL),(20,501,1,13,16,2,NULL,2,NULL),(20,501,1,13,17,1,NULL,1,NULL),(20,501,1,13,18,1,2,1,2),(20,501,1,13,19,2,NULL,2,NULL),(20,501,1,13,20,1,NULL,1,NULL),(20,501,1,13,21,NULL,NULL,NULL,NULL),(20,501,1,13,22,NULL,1,NULL,1),(20,501,1,13,23,NULL,3,NULL,3),(20,501,1,13,24,NULL,2,NULL,2),(20,501,1,13,25,NULL,1,NULL,1),(20,501,1,13,26,1,NULL,1,NULL),(20,501,1,13,27,NULL,2,NULL,2),(20,501,1,13,28,NULL,1,NULL,1),(20,501,1,13,29,NULL,1,NULL,1),(20,501,1,13,30,NULL,1,NULL,1),(20,501,1,13,31,1,1,1,1),(20,501,1,13,32,NULL,NULL,NULL,NULL),(20,501,1,13,33,NULL,NULL,NULL,NULL),(20,501,1,13,34,NULL,1,NULL,1),(20,501,1,13,35,NULL,1,NULL,1),(20,501,1,13,36,NULL,2,NULL,2),(20,501,1,13,37,1,2,1,2),(20,501,1,13,38,NULL,NULL,NULL,NULL),(20,501,1,13,39,1,2,1,2),(20,501,1,13,40,NULL,1,NULL,1),(20,501,1,14,1,13,9,9,5),(20,501,1,14,2,NULL,5,NULL,4),(20,501,1,14,3,3,6,2,4),(20,501,1,14,4,2,14,1,9),(20,501,1,14,5,9,9,8,8),(20,501,1,14,6,18,16,14,7),(20,501,1,14,7,3,5,2,4),(20,501,1,14,8,16,8,11,6),(20,501,1,14,9,11,19,6,12),(20,501,1,14,10,3,8,3,8),(20,501,1,14,11,1,8,1,5),(20,501,1,14,12,9,7,9,2),(20,501,1,14,13,16,13,9,12),(20,501,1,14,14,14,16,10,9),(20,501,1,14,15,12,8,9,6),(20,501,1,14,16,25,11,14,8),(20,501,1,14,17,5,24,4,12),(20,501,1,14,18,8,15,5,11),(20,501,1,14,19,23,5,15,3),(20,501,1,14,20,17,14,14,6),(20,501,1,14,21,NULL,15,NULL,9),(20,501,1,14,22,4,8,2,7),(20,501,1,14,23,5,19,2,12),(20,501,1,14,24,4,11,2,10),(20,501,1,14,25,7,16,3,10),(20,501,1,14,26,6,NULL,4,NULL),(20,501,1,14,27,5,16,3,12),(20,501,1,14,28,2,9,1,6),(20,501,1,14,29,6,14,2,10),(20,501,1,14,30,3,12,1,9),(20,501,1,14,31,12,13,7,9),(20,501,1,14,32,8,8,6,7),(20,501,1,14,33,7,7,7,5),(20,501,1,14,34,5,9,4,4),(20,501,1,14,35,15,10,7,8),(20,501,1,14,36,19,12,13,4),(20,501,1,14,37,15,13,12,9),(20,501,1,14,38,3,10,1,6),(20,501,1,14,39,23,19,14,11),(20,501,1,14,40,8,6,8,5),(20,501,1,15,1,6,10,2,5),(20,501,1,15,2,4,4,3,1),(20,501,1,15,3,7,7,4,5),(20,501,1,15,4,4,10,4,5),(20,501,1,15,5,12,4,8,1),(20,501,1,15,6,14,9,10,6),(20,501,1,15,7,3,8,3,5),(20,501,1,15,8,14,5,8,3),(20,501,1,15,9,10,16,7,11),(20,501,1,15,10,3,4,2,2),(20,501,1,15,11,NULL,4,NULL,2),(20,501,1,15,12,6,9,3,4),(20,501,1,15,13,17,7,13,5),(20,501,1,15,14,18,8,12,6),(20,501,1,15,15,10,10,7,5),(20,501,1,15,16,25,2,17,1),(20,501,1,15,17,8,15,7,9),(20,501,1,15,18,17,11,13,5),(20,501,1,15,19,16,6,11,2),(20,501,1,15,20,16,8,11,5),(20,501,1,15,21,1,9,NULL,4),(20,501,1,15,22,5,9,1,6),(20,501,1,15,23,3,16,1,10),(20,501,1,15,24,3,7,2,6),(20,501,1,15,25,4,12,2,5),(20,501,1,15,26,5,NULL,3,NULL),(20,501,1,15,27,4,7,3,6),(20,501,1,15,28,3,6,3,5),(20,501,1,15,29,NULL,8,NULL,4),(20,501,1,15,30,4,5,3,3),(20,501,1,15,31,7,8,4,8),(20,501,1,15,32,5,7,3,5),(20,501,1,15,33,4,6,2,5),(20,501,1,15,34,4,7,3,5),(20,501,1,15,35,7,9,4,3),(20,501,1,15,36,14,12,9,9),(20,501,1,15,37,14,8,10,5),(20,501,1,15,38,2,7,2,6),(20,501,1,15,39,21,10,14,5),(20,501,1,15,40,5,4,3,2),(20,501,1,16,1,8,10,2,5),(20,501,1,16,2,3,8,NULL,6),(20,501,1,16,3,2,11,1,6),(20,501,1,16,4,7,10,2,6),(20,501,1,16,5,10,16,4,6),(20,501,1,16,6,14,25,6,13),(20,501,1,16,7,5,8,3,5),(20,501,1,16,8,19,10,11,4),(20,501,1,16,9,17,21,8,8),(20,501,1,16,10,5,7,4,4),(20,501,1,16,11,4,9,2,4),(20,501,1,16,12,7,10,6,7),(20,501,1,16,13,22,14,11,6),(20,501,1,16,14,5,9,2,3),(20,501,1,16,15,13,9,8,1),(20,501,1,16,16,2,13,NULL,6),(20,501,1,16,17,32,20,14,10),(20,501,1,16,18,6,8,3,2),(20,501,1,16,19,33,11,9,7),(20,501,1,16,20,7,14,2,5),(20,501,1,16,21,2,10,NULL,3),(20,501,1,16,22,3,7,1,3),(20,501,1,16,23,5,23,1,13),(20,501,1,16,24,7,13,3,8),(20,501,1,16,25,9,20,4,11),(20,501,1,16,26,4,NULL,3,NULL),(20,501,1,16,27,10,12,3,7),(20,501,1,16,28,1,9,NULL,6),(20,501,1,16,29,1,7,NULL,4),(20,501,1,16,30,4,12,1,8),(20,501,1,16,31,10,14,4,5),(20,501,1,16,32,7,13,5,6),(20,501,1,16,33,3,8,2,5),(20,501,1,16,34,2,7,2,6),(20,501,1,16,35,16,19,5,7),(20,501,1,16,36,14,19,9,8),(20,501,1,16,37,12,11,5,6),(20,501,1,16,38,4,11,1,6),(20,501,1,16,39,33,13,14,9),(20,501,1,16,40,6,5,4,4),(20,501,1,17,1,7,12,3,6),(20,501,1,17,2,1,15,1,7),(20,501,1,17,3,3,16,1,5),(20,501,1,17,4,6,22,2,8),(20,501,1,17,5,11,21,9,11),(20,501,1,17,6,16,24,11,8),(20,501,1,17,7,4,9,1,7),(20,501,1,17,8,23,16,15,6),(20,501,1,17,9,9,28,6,12),(20,501,1,17,10,7,15,5,8),(20,501,1,17,11,3,9,2,4),(20,501,1,17,12,10,18,6,9),(20,501,1,17,13,10,22,6,9),(20,501,1,17,14,1,4,1,1),(20,501,1,17,15,26,8,13,6),(20,501,1,17,16,2,23,NULL,7),(20,501,1,17,17,32,27,14,11),(20,501,1,17,18,7,14,4,5),(20,501,1,17,19,34,17,15,6),(20,501,1,17,20,2,16,NULL,7),(20,501,1,17,21,3,17,1,7),(20,501,1,17,22,5,19,2,9),(20,501,1,17,23,3,34,1,16),(20,501,1,17,24,9,15,3,9),(20,501,1,17,25,3,25,1,15),(20,501,1,17,26,6,NULL,4,NULL),(20,501,1,17,27,13,18,6,8),(20,501,1,17,28,3,8,1,4),(20,501,1,17,29,8,19,5,6),(20,501,1,17,30,3,18,2,7),(20,501,1,17,31,11,22,4,10),(20,501,1,17,32,10,16,6,9),(20,501,1,17,33,4,7,4,6),(20,501,1,17,34,2,4,1,3),(20,501,1,17,35,11,16,5,7),(20,501,1,17,36,18,14,10,7),(20,501,1,17,37,26,16,11,7),(20,501,1,17,38,6,11,4,6),(20,501,1,17,39,26,36,13,16),(20,501,1,17,40,14,8,8,3),(20,501,2,21,1,5,6,1,3),(20,501,2,21,2,1,5,NULL,2),(20,501,2,21,3,11,12,2,3),(20,501,2,21,4,3,11,2,6),(20,501,2,21,5,1,5,NULL,2),(20,501,2,21,6,7,8,4,4),(20,501,2,21,7,3,15,2,7),(20,501,2,21,8,3,NULL,2,NULL),(20,501,2,21,9,16,24,5,6),(20,501,2,21,10,NULL,10,NULL,5),(20,501,2,21,11,7,5,3,3),(20,501,2,21,12,2,11,1,6),(20,501,2,21,13,19,14,10,8),(20,501,2,21,14,29,15,10,5),(20,501,2,21,15,18,16,11,4),(20,501,2,21,16,19,11,7,5),(20,501,2,21,17,6,12,4,3),(20,501,2,21,18,7,13,2,7),(20,501,2,21,19,9,15,4,6),(20,501,2,21,20,13,15,7,7),(20,501,2,21,21,NULL,1,NULL,1),(20,501,2,21,22,1,8,NULL,3),(20,501,2,21,23,2,4,NULL,1),(20,501,2,21,24,NULL,4,NULL,1),(20,501,2,21,25,5,12,1,7),(20,501,2,21,26,2,1,1,1),(20,501,2,21,27,1,5,NULL,3),(20,501,2,21,28,8,8,3,5),(20,501,2,21,29,2,4,NULL,2),(20,501,2,21,30,NULL,2,NULL,2),(20,501,2,21,31,3,12,1,8),(20,501,2,21,32,2,10,2,5),(20,501,2,21,33,6,18,1,7),(20,501,2,21,34,8,11,4,5),(20,501,2,21,35,4,10,2,3),(20,501,2,21,36,4,12,1,6),(20,501,2,21,37,4,8,2,4),(20,501,2,21,38,2,7,1,5),(20,501,2,21,39,3,4,3,1),(20,501,2,21,40,3,10,1,5),(20,501,2,22,1,4,13,2,5),(20,501,2,22,2,3,9,2,4),(20,501,2,22,3,7,18,1,7),(20,501,2,22,4,5,8,4,7),(20,501,2,22,5,NULL,7,NULL,6),(20,501,2,22,6,11,16,6,9),(20,501,2,22,7,10,9,6,8),(20,501,2,22,8,10,NULL,5,NULL),(20,501,2,22,9,18,27,6,13),(20,501,2,22,10,NULL,15,NULL,9),(20,501,2,22,11,12,10,5,7),(20,501,2,22,12,4,14,2,8),(20,501,2,22,13,18,28,11,12),(20,501,2,22,14,33,19,12,13),(20,501,2,22,15,21,16,9,9),(20,501,2,22,16,20,10,10,4),(20,501,2,22,17,5,7,2,5),(20,501,2,22,18,3,16,2,9),(20,501,2,22,19,10,24,4,9),(20,501,2,22,20,19,15,12,5),(20,501,2,22,21,NULL,3,NULL,1),(20,501,2,22,22,NULL,11,NULL,7),(20,501,2,22,23,1,3,1,3),(20,501,2,22,24,NULL,3,NULL,NULL),(20,501,2,22,25,9,19,3,12),(20,501,2,22,26,3,4,3,3),(20,501,2,22,27,2,2,1,1),(20,501,2,22,28,2,10,2,6),(20,501,2,22,29,NULL,2,NULL,NULL),(20,501,2,22,30,3,4,2,1),(20,501,2,22,31,3,10,1,6),(20,501,2,22,32,2,17,NULL,8),(20,501,2,22,33,7,21,2,11),(20,501,2,22,34,7,6,4,1),(20,501,2,22,35,4,20,3,13),(20,501,2,22,36,7,15,6,9),(20,501,2,22,37,2,9,NULL,9),(20,501,2,22,38,3,8,2,5),(20,501,2,22,39,1,7,1,4),(20,501,2,22,40,7,14,7,6),(20,501,2,23,1,4,14,2,8),(20,501,2,23,2,2,7,1,3),(20,501,2,23,3,8,20,4,12),(20,501,2,23,4,NULL,7,NULL,5),(20,501,2,23,5,2,7,2,5),(20,501,2,23,6,9,17,9,9),(20,501,2,23,7,3,11,2,5),(20,501,2,23,8,7,NULL,6,NULL),(20,501,2,23,9,13,31,6,13),(20,501,2,23,10,1,10,1,7),(20,501,2,23,11,14,8,7,3),(20,501,2,23,12,2,2,1,2),(20,501,2,23,13,26,24,14,9),(20,501,2,23,14,32,20,16,9),(20,501,2,23,15,16,12,8,7),(20,501,2,23,16,26,20,9,14),(20,501,2,23,17,9,12,2,7),(20,501,2,23,18,3,11,3,7),(20,501,2,23,19,8,29,4,11),(20,501,2,23,20,19,18,8,10),(20,501,2,23,21,NULL,3,NULL,1),(20,501,2,23,22,2,10,NULL,6),(20,501,2,23,23,1,3,1,1),(20,501,2,23,24,2,6,1,2),(20,501,2,23,25,11,17,8,10),(20,501,2,23,26,NULL,6,NULL,4),(20,501,2,23,27,1,7,NULL,3),(20,501,2,23,28,8,9,4,6),(20,501,2,23,29,1,7,NULL,4),(20,501,2,23,30,10,8,3,6),(20,501,2,23,31,3,11,1,7),(20,501,2,23,32,6,18,4,11),(20,501,2,23,33,6,32,2,16),(20,501,2,23,34,5,11,3,7),(20,501,2,23,35,5,12,4,7),(20,501,2,23,36,3,9,3,6),(20,501,2,23,37,5,11,3,7),(20,501,2,23,38,2,9,2,6),(20,501,2,23,39,2,3,2,2),(20,501,2,23,40,11,17,8,8),(20,501,2,24,1,4,11,2,6),(20,501,2,24,2,3,4,1,3),(20,501,2,24,3,13,16,4,12),(20,501,2,24,4,1,7,1,3),(20,501,2,24,5,1,4,1,3),(20,501,2,24,6,11,9,9,6),(20,501,2,24,7,3,8,2,6),(20,501,2,24,8,10,NULL,7,NULL),(20,501,2,24,9,15,27,9,14),(20,501,2,24,10,3,14,1,10),(20,501,2,24,11,2,8,1,4),(20,501,2,24,12,2,9,1,5),(20,501,2,24,13,25,17,16,7),(20,501,2,24,14,24,27,16,13),(20,501,2,24,15,15,12,8,6),(20,501,2,24,16,14,11,7,6),(20,501,2,24,17,9,13,6,7),(20,501,2,24,18,4,15,1,8),(20,501,2,24,19,8,17,5,9),(20,501,2,24,20,7,19,4,13),(20,501,2,24,21,1,3,NULL,2),(20,501,2,24,22,3,10,2,5),(20,501,2,24,23,1,8,NULL,5),(20,501,2,24,24,NULL,2,NULL,2),(20,501,2,24,25,11,14,7,7),(20,501,2,24,26,6,5,5,3),(20,501,2,24,27,NULL,6,NULL,4),(20,501,2,24,28,9,15,4,8),(20,501,2,24,29,NULL,4,NULL,4),(20,501,2,24,30,4,7,3,2),(20,501,2,24,31,6,12,4,8),(20,501,2,24,32,7,17,4,8),(20,501,2,24,33,8,19,3,11),(20,501,2,24,34,6,12,5,7),(20,501,2,24,35,4,15,2,10),(20,501,2,24,36,3,14,2,8),(20,501,2,24,37,4,12,4,7),(20,501,2,24,38,NULL,13,NULL,9),(20,501,2,24,39,2,3,1,2),(20,501,2,24,40,5,12,4,7),(20,502,1,11,1,NULL,NULL,NULL,NULL),(20,502,1,11,2,NULL,NULL,NULL,NULL),(20,502,1,11,3,NULL,NULL,NULL,NULL),(20,502,1,11,4,NULL,NULL,NULL,NULL),(20,502,1,11,5,NULL,NULL,NULL,NULL),(20,502,1,11,6,NULL,NULL,NULL,NULL),(20,502,1,11,7,NULL,NULL,NULL,NULL),(20,502,1,11,8,NULL,NULL,NULL,NULL),(20,502,1,11,9,NULL,NULL,NULL,NULL),(20,502,1,11,10,NULL,NULL,NULL,NULL),(20,502,1,11,11,NULL,NULL,NULL,NULL),(20,502,1,11,12,NULL,NULL,NULL,NULL),(20,502,1,11,13,NULL,NULL,NULL,NULL),(20,502,1,11,14,NULL,NULL,NULL,NULL),(20,502,1,11,15,NULL,NULL,NULL,NULL),(20,502,1,11,16,NULL,NULL,NULL,NULL),(20,502,1,11,17,NULL,NULL,NULL,NULL),(20,502,1,11,18,NULL,NULL,NULL,NULL),(20,502,1,11,19,NULL,NULL,NULL,NULL),(20,502,1,11,20,NULL,NULL,NULL,NULL),(20,502,1,11,21,NULL,NULL,NULL,NULL),(20,502,1,11,22,NULL,NULL,NULL,NULL),(20,502,1,11,23,NULL,NULL,NULL,NULL),(20,502,1,11,24,NULL,NULL,NULL,NULL),(20,502,1,11,25,NULL,NULL,NULL,NULL),(20,502,1,11,26,NULL,NULL,NULL,NULL),(20,502,1,11,27,NULL,NULL,NULL,NULL),(20,502,1,11,28,NULL,NULL,NULL,NULL),(20,502,1,11,29,NULL,NULL,NULL,NULL),(20,502,1,11,30,NULL,NULL,NULL,NULL),(20,502,1,11,31,NULL,NULL,NULL,NULL),(20,502,1,11,32,NULL,NULL,NULL,NULL),(20,502,1,11,33,NULL,NULL,NULL,NULL),(20,502,1,11,34,NULL,NULL,NULL,NULL),(20,502,1,11,35,NULL,NULL,NULL,NULL),(20,502,1,11,36,NULL,NULL,NULL,NULL),(20,502,1,11,37,NULL,NULL,NULL,NULL),(20,502,1,11,38,NULL,NULL,NULL,NULL),(20,502,1,11,39,NULL,NULL,NULL,NULL),(20,502,1,11,40,NULL,NULL,NULL,NULL),(20,502,1,12,1,NULL,NULL,NULL,NULL),(20,502,1,12,2,NULL,NULL,NULL,NULL),(20,502,1,12,3,NULL,NULL,NULL,NULL),(20,502,1,12,4,NULL,NULL,NULL,NULL),(20,502,1,12,5,NULL,NULL,NULL,NULL),(20,502,1,12,6,NULL,NULL,NULL,NULL),(20,502,1,12,7,NULL,NULL,NULL,NULL),(20,502,1,12,8,NULL,NULL,NULL,NULL),(20,502,1,12,9,NULL,NULL,NULL,NULL),(20,502,1,12,10,NULL,NULL,NULL,NULL),(20,502,1,12,11,NULL,NULL,NULL,NULL),(20,502,1,12,12,NULL,NULL,NULL,NULL),(20,502,1,12,13,NULL,NULL,NULL,NULL),(20,502,1,12,14,NULL,NULL,NULL,NULL),(20,502,1,12,15,NULL,NULL,NULL,NULL),(20,502,1,12,16,NULL,NULL,NULL,NULL),(20,502,1,12,17,NULL,NULL,NULL,NULL),(20,502,1,12,18,NULL,NULL,NULL,NULL),(20,502,1,12,19,NULL,NULL,NULL,NULL),(20,502,1,12,20,NULL,NULL,NULL,NULL),(20,502,1,12,21,NULL,NULL,NULL,NULL),(20,502,1,12,22,NULL,NULL,NULL,NULL),(20,502,1,12,23,NULL,NULL,NULL,NULL),(20,502,1,12,24,NULL,NULL,NULL,NULL),(20,502,1,12,25,NULL,NULL,NULL,NULL),(20,502,1,12,26,NULL,NULL,NULL,NULL),(20,502,1,12,27,NULL,NULL,NULL,NULL),(20,502,1,12,28,NULL,NULL,NULL,NULL),(20,502,1,12,29,NULL,NULL,NULL,NULL),(20,502,1,12,30,NULL,NULL,NULL,NULL),(20,502,1,12,31,NULL,NULL,NULL,NULL),(20,502,1,12,32,NULL,NULL,NULL,NULL),(20,502,1,12,33,NULL,NULL,NULL,NULL),(20,502,1,12,34,NULL,NULL,NULL,NULL),(20,502,1,12,35,NULL,NULL,NULL,NULL),(20,502,1,12,36,NULL,NULL,NULL,NULL),(20,502,1,12,37,NULL,NULL,NULL,NULL),(20,502,1,12,38,NULL,NULL,NULL,NULL),(20,502,1,12,39,NULL,NULL,NULL,NULL),(20,502,1,12,40,NULL,NULL,NULL,NULL),(20,502,1,13,1,NULL,NULL,NULL,NULL),(20,502,1,13,2,NULL,NULL,NULL,NULL),(20,502,1,13,3,NULL,NULL,NULL,NULL),(20,502,1,13,4,NULL,NULL,NULL,NULL),(20,502,1,13,5,NULL,1,NULL,1),(20,502,1,13,6,NULL,NULL,NULL,NULL),(20,502,1,13,7,NULL,NULL,NULL,NULL),(20,502,1,13,8,1,NULL,1,NULL),(20,502,1,13,9,NULL,NULL,NULL,NULL),(20,502,1,13,10,NULL,1,NULL,1),(20,502,1,13,11,NULL,NULL,NULL,NULL),(20,502,1,13,12,NULL,NULL,NULL,NULL),(20,502,1,13,13,1,NULL,1,NULL),(20,502,1,13,14,NULL,NULL,NULL,NULL),(20,502,1,13,15,1,NULL,1,NULL),(20,502,1,13,16,1,NULL,1,NULL),(20,502,1,13,17,1,NULL,1,NULL),(20,502,1,13,18,1,NULL,1,NULL),(20,502,1,13,19,1,NULL,1,NULL),(20,502,1,13,20,1,NULL,1,NULL),(20,502,1,13,21,NULL,NULL,NULL,NULL),(20,502,1,13,22,NULL,NULL,NULL,NULL),(20,502,1,13,23,NULL,1,NULL,1),(20,502,1,13,24,NULL,NULL,NULL,NULL),(20,502,1,13,25,NULL,1,NULL,1),(20,502,1,13,26,NULL,NULL,NULL,NULL),(20,502,1,13,27,NULL,NULL,NULL,NULL),(20,502,1,13,28,NULL,NULL,NULL,NULL),(20,502,1,13,29,NULL,NULL,NULL,NULL),(20,502,1,13,30,NULL,NULL,NULL,NULL),(20,502,1,13,31,NULL,NULL,NULL,NULL),(20,502,1,13,32,NULL,NULL,NULL,NULL),(20,502,1,13,33,NULL,NULL,NULL,NULL),(20,502,1,13,34,NULL,NULL,NULL,NULL),(20,502,1,13,35,NULL,NULL,NULL,NULL),(20,502,1,13,36,NULL,NULL,NULL,NULL),(20,502,1,13,37,NULL,1,NULL,1),(20,502,1,13,38,NULL,NULL,NULL,NULL),(20,502,1,13,39,NULL,1,NULL,1),(20,502,1,13,40,1,NULL,1,NULL),(20,502,1,14,1,3,4,3,2),(20,502,1,14,2,NULL,4,NULL,3),(20,502,1,14,3,1,3,1,2),(20,502,1,14,4,3,3,2,2),(20,502,1,14,5,4,5,3,4),(20,502,1,14,6,4,4,2,4),(20,502,1,14,7,NULL,4,NULL,3),(20,502,1,14,8,8,3,4,2),(20,502,1,14,9,7,8,3,6),(20,502,1,14,10,3,2,3,1),(20,502,1,14,11,NULL,NULL,NULL,NULL),(20,502,1,14,12,1,1,1,NULL),(20,502,1,14,13,5,3,4,3),(20,502,1,14,14,6,3,4,3),(20,502,1,14,15,4,3,4,3),(20,502,1,14,16,7,2,4,1),(20,502,1,14,17,3,8,3,6),(20,502,1,14,18,4,1,4,1),(20,502,1,14,19,5,1,5,NULL),(20,502,1,14,20,5,6,5,3),(20,502,1,14,21,2,2,1,1),(20,502,1,14,22,3,3,2,3),(20,502,1,14,23,2,6,1,4),(20,502,1,14,24,NULL,7,NULL,5),(20,502,1,14,25,1,3,1,3),(20,502,1,14,26,2,NULL,2,NULL),(20,502,1,14,27,NULL,5,NULL,3),(20,502,1,14,28,NULL,2,NULL,2),(20,502,1,14,29,2,NULL,1,NULL),(20,502,1,14,30,1,1,1,NULL),(20,502,1,14,31,1,4,1,2),(20,502,1,14,32,3,3,1,2),(20,502,1,14,33,NULL,4,NULL,3),(20,502,1,14,34,NULL,3,NULL,3),(20,502,1,14,35,2,4,1,4),(20,502,1,14,36,2,4,2,4),(20,502,1,14,37,6,3,4,1),(20,502,1,14,38,NULL,3,NULL,3),(20,502,1,14,39,8,2,7,1),(20,502,1,14,40,2,1,2,1),(20,502,1,15,1,4,4,4,1),(20,502,1,15,2,NULL,3,NULL,1),(20,502,1,15,3,1,4,1,4),(20,502,1,15,4,2,6,1,3),(20,502,1,15,5,1,4,NULL,4),(20,502,1,15,6,6,7,3,6),(20,502,1,15,7,NULL,3,NULL,3),(20,502,1,15,8,8,1,6,1),(20,502,1,15,9,3,7,3,4),(20,502,1,15,10,3,2,3,NULL),(20,502,1,15,11,NULL,4,NULL,4),(20,502,1,15,12,2,3,1,3),(20,502,1,15,13,4,7,1,6),(20,502,1,15,14,3,5,1,5),(20,502,1,15,15,1,5,1,4),(20,502,1,15,16,4,5,4,4),(20,502,1,15,17,NULL,11,NULL,8),(20,502,1,15,18,3,2,3,2),(20,502,1,15,19,6,1,4,NULL),(20,502,1,15,20,4,3,4,3),(20,502,1,15,21,2,2,1,1),(20,502,1,15,22,1,2,1,2),(20,502,1,15,23,5,6,3,5),(20,502,1,15,24,2,1,2,NULL),(20,502,1,15,25,1,2,1,2),(20,502,1,15,26,1,NULL,1,NULL),(20,502,1,15,27,3,2,3,1),(20,502,1,15,28,1,2,NULL,2),(20,502,1,15,29,4,1,2,NULL),(20,502,1,15,30,3,3,2,2),(20,502,1,15,31,NULL,5,NULL,4),(20,502,1,15,32,3,2,3,1),(20,502,1,15,33,2,4,2,3),(20,502,1,15,34,1,1,1,NULL),(20,502,1,15,35,3,8,3,5),(20,502,1,15,36,3,4,2,2),(20,502,1,15,37,8,3,6,2),(20,502,1,15,38,1,5,NULL,3),(20,502,1,15,39,6,6,5,4),(20,502,1,15,40,1,1,NULL,NULL),(20,502,1,16,1,3,4,3,3),(20,502,1,16,2,NULL,4,NULL,3),(20,502,1,16,3,4,10,2,8),(20,502,1,16,4,5,4,2,3),(20,502,1,16,5,6,8,3,5),(20,502,1,16,6,6,12,4,6),(20,502,1,16,7,3,6,2,2),(20,502,1,16,8,14,3,12,2),(20,502,1,16,9,9,17,3,13),(20,502,1,16,10,3,4,2,4),(20,502,1,16,11,NULL,8,NULL,3),(20,502,1,16,12,2,3,1,2),(20,502,1,16,13,9,9,4,6),(20,502,1,16,14,3,3,1,1),(20,502,1,16,15,10,3,7,2),(20,502,1,16,16,3,10,2,6),(20,502,1,16,17,16,13,9,9),(20,502,1,16,18,3,8,2,3),(20,502,1,16,19,14,14,4,13),(20,502,1,16,20,1,7,NULL,6),(20,502,1,16,21,2,3,1,1),(20,502,1,16,22,2,2,1,2),(20,502,1,16,23,1,19,1,13),(20,502,1,16,24,3,7,1,5),(20,502,1,16,25,2,10,1,7),(20,502,1,16,26,2,NULL,1,NULL),(20,502,1,16,27,6,9,2,4),(20,502,1,16,28,1,5,1,2),(20,502,1,16,29,2,9,1,6),(20,502,1,16,30,NULL,6,NULL,5),(20,502,1,16,31,4,9,3,8),(20,502,1,16,32,6,8,3,6),(20,502,1,16,33,2,6,2,4),(20,502,1,16,34,1,3,1,2),(20,502,1,16,35,5,6,4,5),(20,502,1,16,36,11,8,8,7),(20,502,1,16,37,6,10,5,8),(20,502,1,16,38,NULL,8,NULL,3),(20,502,1,16,39,20,9,11,6),(20,502,1,16,40,5,1,4,1),(20,502,1,17,1,3,8,2,3),(20,502,1,17,2,2,8,NULL,3),(20,502,1,17,3,4,7,2,5),(20,502,1,17,4,3,11,1,4),(20,502,1,17,5,7,12,4,8),(20,502,1,17,6,8,14,6,4),(20,502,1,17,7,2,7,2,4),(20,502,1,17,8,15,2,9,NULL),(20,502,1,17,9,2,18,2,10),(20,502,1,17,10,3,6,1,4),(20,502,1,17,11,2,4,1,1),(20,502,1,17,12,2,2,1,1),(20,502,1,17,13,6,9,4,5),(20,502,1,17,14,2,3,2,2),(20,502,1,17,15,9,NULL,7,NULL),(20,502,1,17,16,2,13,1,7),(20,502,1,17,17,12,14,8,7),(20,502,1,17,18,1,6,NULL,4),(20,502,1,17,19,14,10,6,2),(20,502,1,17,20,3,7,1,5),(20,502,1,17,21,3,4,3,3),(20,502,1,17,22,NULL,5,NULL,3),(20,502,1,17,23,4,17,1,11),(20,502,1,17,24,1,6,1,1),(20,502,1,17,25,1,10,1,4),(20,502,1,17,26,1,NULL,NULL,NULL),(20,502,1,17,27,3,11,2,5),(20,502,1,17,28,NULL,4,NULL,1),(20,502,1,17,29,1,7,NULL,3),(20,502,1,17,30,2,9,1,4),(20,502,1,17,31,7,9,5,3),(20,502,1,17,32,1,3,NULL,2),(20,502,1,17,33,1,7,NULL,6),(20,502,1,17,34,1,3,1,3),(20,502,1,17,35,4,13,3,4),(20,502,1,17,36,5,12,4,9),(20,502,1,17,37,10,7,8,5),(20,502,1,17,38,1,6,1,4),(20,502,1,17,39,15,8,9,5),(20,502,1,17,40,5,3,3,2),(20,502,2,21,1,1,8,NULL,6),(20,502,2,21,2,1,2,1,1),(20,502,2,21,3,2,6,2,5),(20,502,2,21,4,NULL,4,NULL,4),(20,502,2,21,5,NULL,2,NULL,1),(20,502,2,21,6,5,5,5,3),(20,502,2,21,7,2,4,2,4),(20,502,2,21,8,4,NULL,3,NULL),(20,502,2,21,9,3,16,2,11),(20,502,2,21,10,NULL,5,NULL,3),(20,502,2,21,11,4,4,4,3),(20,502,2,21,12,NULL,4,NULL,3),(20,502,2,21,13,8,14,7,9),(20,502,2,21,14,21,5,15,4),(20,502,2,21,15,7,8,3,5),(20,502,2,21,16,10,7,8,6),(20,502,2,21,17,2,3,2,2),(20,502,2,21,18,NULL,6,NULL,5),(20,502,2,21,19,2,12,1,6),(20,502,2,21,20,9,9,9,6),(20,502,2,21,21,NULL,1,NULL,1),(20,502,2,21,22,NULL,6,NULL,4),(20,502,2,21,23,1,2,1,1),(20,502,2,21,24,1,1,NULL,NULL),(20,502,2,21,25,NULL,7,NULL,7),(20,502,2,21,26,NULL,2,NULL,2),(20,502,2,21,27,1,2,1,2),(20,502,2,21,28,4,5,4,4),(20,502,2,21,29,NULL,2,NULL,2),(20,502,2,21,30,NULL,1,NULL,NULL),(20,502,2,21,31,2,7,2,7),(20,502,2,21,32,3,3,3,2),(20,502,2,21,33,5,12,5,8),(20,502,2,21,34,2,10,2,7),(20,502,2,21,35,1,6,1,4),(20,502,2,21,36,NULL,6,NULL,3),(20,502,2,21,37,NULL,4,NULL,4),(20,502,2,21,38,NULL,2,NULL,1),(20,502,2,21,39,2,2,2,1),(20,502,2,21,40,2,3,2,2),(20,502,2,22,1,5,3,3,1),(20,502,2,22,2,1,6,NULL,2),(20,502,2,22,3,1,10,NULL,4),(20,502,2,22,4,8,5,3,1),(20,502,2,22,5,NULL,5,NULL,2),(20,502,2,22,6,3,6,2,3),(20,502,2,22,7,1,10,NULL,2),(20,502,2,22,8,4,NULL,NULL,NULL),(20,502,2,22,9,10,10,2,4),(20,502,2,22,10,1,2,NULL,1),(20,502,2,22,11,8,3,4,NULL),(20,502,2,22,12,NULL,2,NULL,NULL),(20,502,2,22,13,8,11,5,2),(20,502,2,22,14,11,11,4,4),(20,502,2,22,15,8,10,3,2),(20,502,2,22,16,10,7,3,3),(20,502,2,22,17,3,5,1,3),(20,502,2,22,18,NULL,5,NULL,2),(20,502,2,22,19,3,12,NULL,4),(20,502,2,22,20,2,7,2,4),(20,502,2,22,21,NULL,2,NULL,1),(20,502,2,22,22,1,4,NULL,1),(20,502,2,22,23,1,1,NULL,NULL),(20,502,2,22,24,1,2,NULL,1),(20,502,2,22,25,2,10,NULL,2),(20,502,2,22,26,2,2,NULL,1),(20,502,2,22,27,NULL,3,NULL,1),(20,502,2,22,28,1,6,1,4),(20,502,2,22,29,NULL,1,NULL,NULL),(20,502,2,22,30,2,5,1,2),(20,502,2,22,31,1,6,NULL,3),(20,502,2,22,32,NULL,10,NULL,4),(20,502,2,22,33,2,9,1,3),(20,502,2,22,34,4,5,2,2),(20,502,2,22,35,NULL,6,NULL,5),(20,502,2,22,36,NULL,10,NULL,4),(20,502,2,22,37,1,1,NULL,1),(20,502,2,22,38,NULL,2,NULL,1),(20,502,2,22,39,2,4,NULL,1),(20,502,2,22,40,3,5,1,1),(20,502,2,23,1,NULL,8,NULL,5),(20,502,2,23,2,NULL,1,NULL,NULL),(20,502,2,23,3,4,5,3,5),(20,502,2,23,4,4,4,3,3),(20,502,2,23,5,NULL,4,NULL,3),(20,502,2,23,6,2,9,1,7),(20,502,2,23,7,3,8,3,3),(20,502,2,23,8,3,NULL,3,NULL),(20,502,2,23,9,4,7,4,5),(20,502,2,23,10,NULL,6,NULL,5),(20,502,2,23,11,2,8,2,5),(20,502,2,23,12,2,3,1,2),(20,502,2,23,13,9,11,8,6),(20,502,2,23,14,13,15,9,9),(20,502,2,23,15,5,8,2,5),(20,502,2,23,16,14,7,10,6),(20,502,2,23,17,4,4,2,4),(20,502,2,23,18,NULL,4,NULL,3),(20,502,2,23,19,3,10,1,6),(20,502,2,23,20,5,7,5,5),(20,502,2,23,21,NULL,NULL,NULL,NULL),(20,502,2,23,22,1,7,NULL,5),(20,502,2,23,23,1,4,1,3),(20,502,2,23,24,NULL,NULL,NULL,NULL),(20,502,2,23,25,2,9,1,6),(20,502,2,23,26,1,2,NULL,2),(20,502,2,23,27,NULL,1,NULL,1),(20,502,2,23,28,4,11,4,7),(20,502,2,23,29,1,NULL,NULL,NULL),(20,502,2,23,30,3,3,3,3),(20,502,2,23,31,1,4,1,4),(20,502,2,23,32,2,4,2,2),(20,502,2,23,33,1,18,1,10),(20,502,2,23,34,4,5,3,3),(20,502,2,23,35,NULL,4,NULL,4),(20,502,2,23,36,2,7,2,6),(20,502,2,23,37,2,6,2,4),(20,502,2,23,38,NULL,4,NULL,2),(20,502,2,23,39,NULL,4,NULL,2),(20,502,2,23,40,1,7,1,6),(20,502,2,24,1,3,4,2,2),(20,502,2,24,2,3,1,2,1),(20,502,2,24,3,6,4,3,4),(20,502,2,24,4,2,6,1,2),(20,502,2,24,5,NULL,5,NULL,2),(20,502,2,24,6,5,6,4,4),(20,502,2,24,7,2,3,2,3),(20,502,2,24,8,4,NULL,4,NULL),(20,502,2,24,9,NULL,19,NULL,15),(20,502,2,24,10,3,4,NULL,2),(20,502,2,24,11,2,6,2,2),(20,502,2,24,12,1,6,NULL,3),(20,502,2,24,13,5,14,4,10),(20,502,2,24,14,12,9,10,4),(20,502,2,24,15,6,4,5,4),(20,502,2,24,16,10,4,6,1),(20,502,2,24,17,1,3,1,2),(20,502,2,24,18,1,2,1,2),(20,502,2,24,19,3,14,2,11),(20,502,2,24,20,5,5,5,2),(20,502,2,24,21,NULL,NULL,NULL,NULL),(20,502,2,24,22,4,5,3,3),(20,502,2,24,23,NULL,3,NULL,3),(20,502,2,24,24,NULL,1,NULL,NULL),(20,502,2,24,25,1,7,NULL,3),(20,502,2,24,26,1,3,1,3),(20,502,2,24,27,NULL,2,NULL,1),(20,502,2,24,28,2,5,1,3),(20,502,2,24,29,NULL,NULL,NULL,NULL),(20,502,2,24,30,1,4,1,1),(20,502,2,24,31,1,2,1,1),(20,502,2,24,32,2,6,1,2),(20,502,2,24,33,6,10,3,6),(20,502,2,24,34,1,4,NULL,3),(20,502,2,24,35,NULL,7,NULL,4),(20,502,2,24,36,1,3,1,2),(20,502,2,24,37,NULL,4,NULL,2),(20,502,2,24,38,NULL,3,NULL,2),(20,502,2,24,39,2,NULL,2,NULL),(20,502,2,24,40,2,5,2,4),(20,503,1,11,1,NULL,NULL,NULL,NULL),(20,503,1,11,2,NULL,NULL,NULL,NULL),(20,503,1,11,3,NULL,NULL,NULL,NULL),(20,503,1,11,4,NULL,NULL,NULL,NULL),(20,503,1,11,5,NULL,NULL,NULL,NULL),(20,503,1,11,6,NULL,NULL,NULL,NULL),(20,503,1,11,7,NULL,NULL,NULL,NULL),(20,503,1,11,8,NULL,NULL,NULL,NULL),(20,503,1,11,9,NULL,NULL,NULL,NULL),(20,503,1,11,10,NULL,NULL,NULL,NULL),(20,503,1,11,11,NULL,NULL,NULL,NULL),(20,503,1,11,12,NULL,NULL,NULL,NULL),(20,503,1,11,13,NULL,NULL,NULL,NULL),(20,503,1,11,14,NULL,NULL,NULL,NULL),(20,503,1,11,15,NULL,NULL,NULL,NULL),(20,503,1,11,16,NULL,NULL,NULL,NULL),(20,503,1,11,17,NULL,NULL,NULL,NULL),(20,503,1,11,18,NULL,NULL,NULL,NULL),(20,503,1,11,19,NULL,NULL,NULL,NULL),(20,503,1,11,20,NULL,NULL,NULL,NULL),(20,503,1,11,21,NULL,NULL,NULL,NULL),(20,503,1,11,22,NULL,NULL,NULL,NULL),(20,503,1,11,23,NULL,NULL,NULL,NULL),(20,503,1,11,24,NULL,NULL,NULL,NULL),(20,503,1,11,25,NULL,NULL,NULL,NULL),(20,503,1,11,26,NULL,NULL,NULL,NULL),(20,503,1,11,27,NULL,NULL,NULL,NULL),(20,503,1,11,28,NULL,NULL,NULL,NULL),(20,503,1,11,29,NULL,NULL,NULL,NULL),(20,503,1,11,30,NULL,NULL,NULL,NULL),(20,503,1,11,31,NULL,NULL,NULL,NULL),(20,503,1,11,32,NULL,NULL,NULL,NULL),(20,503,1,11,33,NULL,NULL,NULL,NULL),(20,503,1,11,34,NULL,NULL,NULL,NULL),(20,503,1,11,35,NULL,NULL,NULL,NULL),(20,503,1,11,36,NULL,NULL,NULL,NULL),(20,503,1,11,37,NULL,NULL,NULL,NULL),(20,503,1,11,38,NULL,NULL,NULL,NULL),(20,503,1,11,39,NULL,NULL,NULL,NULL),(20,503,1,11,40,NULL,NULL,NULL,NULL),(20,503,1,12,1,NULL,NULL,NULL,NULL),(20,503,1,12,2,NULL,NULL,NULL,NULL),(20,503,1,12,3,NULL,1,NULL,1),(20,503,1,12,4,NULL,NULL,NULL,NULL),(20,503,1,12,5,NULL,1,NULL,1),(20,503,1,12,6,NULL,NULL,NULL,NULL),(20,503,1,12,7,NULL,NULL,NULL,NULL),(20,503,1,12,8,NULL,1,NULL,1),(20,503,1,12,9,NULL,1,NULL,1),(20,503,1,12,10,NULL,NULL,NULL,NULL),(20,503,1,12,11,NULL,NULL,NULL,NULL),(20,503,1,12,12,NULL,NULL,NULL,NULL),(20,503,1,12,13,1,NULL,1,NULL),(20,503,1,12,14,1,NULL,1,NULL),(20,503,1,12,15,NULL,1,NULL,1),(20,503,1,12,16,NULL,NULL,NULL,NULL),(20,503,1,12,17,NULL,NULL,NULL,NULL),(20,503,1,12,18,1,NULL,1,NULL),(20,503,1,12,19,NULL,1,NULL,1),(20,503,1,12,20,1,NULL,1,NULL),(20,503,1,12,21,NULL,NULL,NULL,NULL),(20,503,1,12,22,NULL,NULL,NULL,NULL),(20,503,1,12,23,NULL,1,NULL,1),(20,503,1,12,24,NULL,NULL,NULL,NULL),(20,503,1,12,25,NULL,NULL,NULL,NULL),(20,503,1,12,26,NULL,NULL,NULL,NULL),(20,503,1,12,27,NULL,NULL,NULL,NULL),(20,503,1,12,28,NULL,NULL,NULL,NULL),(20,503,1,12,29,NULL,NULL,NULL,NULL),(20,503,1,12,30,NULL,NULL,NULL,NULL),(20,503,1,12,31,NULL,NULL,NULL,NULL),(20,503,1,12,32,NULL,NULL,NULL,NULL),(20,503,1,12,33,NULL,NULL,NULL,NULL),(20,503,1,12,34,NULL,NULL,NULL,NULL),(20,503,1,12,35,NULL,1,NULL,1),(20,503,1,12,36,NULL,NULL,NULL,NULL),(20,503,1,12,37,NULL,1,NULL,1),(20,503,1,12,38,NULL,1,NULL,1),(20,503,1,12,39,NULL,1,NULL,1),(20,503,1,12,40,NULL,NULL,NULL,NULL),(20,503,1,13,1,NULL,NULL,NULL,NULL),(20,503,1,13,2,1,NULL,1,NULL),(20,503,1,13,3,1,NULL,1,NULL),(20,503,1,13,4,1,NULL,1,NULL),(20,503,1,13,5,NULL,1,NULL,1),(20,503,1,13,6,1,NULL,1,NULL),(20,503,1,13,7,NULL,NULL,NULL,NULL),(20,503,1,13,8,1,NULL,1,NULL),(20,503,1,13,9,1,NULL,1,NULL),(20,503,1,13,10,1,NULL,1,NULL),(20,503,1,13,11,NULL,NULL,NULL,NULL),(20,503,1,13,12,NULL,NULL,NULL,NULL),(20,503,1,13,13,1,NULL,1,NULL),(20,503,1,13,14,NULL,1,NULL,1),(20,503,1,13,15,1,NULL,1,NULL),(20,503,1,13,16,1,NULL,1,NULL),(20,503,1,13,17,1,NULL,1,NULL),(20,503,1,13,18,1,NULL,1,NULL),(20,503,1,13,19,1,NULL,1,NULL),(20,503,1,13,20,NULL,1,NULL,1),(20,503,1,13,21,NULL,1,NULL,1),(20,503,1,13,22,NULL,1,NULL,1),(20,503,1,13,23,NULL,NULL,NULL,NULL),(20,503,1,13,24,NULL,NULL,NULL,NULL),(20,503,1,13,25,NULL,NULL,NULL,NULL),(20,503,1,13,26,NULL,NULL,NULL,NULL),(20,503,1,13,27,1,NULL,1,NULL),(20,503,1,13,28,1,NULL,1,NULL),(20,503,1,13,29,NULL,1,NULL,1),(20,503,1,13,30,NULL,NULL,NULL,NULL),(20,503,1,13,31,1,NULL,1,NULL),(20,503,1,13,32,NULL,NULL,NULL,NULL),(20,503,1,13,33,NULL,NULL,NULL,NULL),(20,503,1,13,34,NULL,1,NULL,1),(20,503,1,13,35,1,NULL,1,NULL),(20,503,1,13,36,1,NULL,1,NULL),(20,503,1,13,37,1,NULL,1,NULL),(20,503,1,13,38,NULL,1,NULL,1),(20,503,1,13,39,NULL,1,NULL,1),(20,503,1,13,40,1,NULL,1,NULL),(20,503,1,14,1,7,3,7,3),(20,503,1,14,2,3,3,3,3),(20,503,1,14,3,NULL,3,NULL,2),(20,503,1,14,4,1,5,1,5),(20,503,1,14,5,3,4,3,4),(20,503,1,14,6,7,4,7,4),(20,503,1,14,7,3,2,3,2),(20,503,1,14,8,7,3,6,3),(20,503,1,14,9,6,8,6,8),(20,503,1,14,10,6,2,6,2),(20,503,1,14,11,NULL,3,NULL,3),(20,503,1,14,12,3,2,3,1),(20,503,1,14,13,5,4,5,4),(20,503,1,14,14,3,10,3,9),(20,503,1,14,15,4,4,4,4),(20,503,1,14,16,10,3,10,3),(20,503,1,14,17,4,6,4,5),(20,503,1,14,18,3,6,3,6),(20,503,1,14,19,8,3,8,2),(20,503,1,14,20,9,2,9,2),(20,503,1,14,21,NULL,3,NULL,3),(20,503,1,14,22,1,4,1,4),(20,503,1,14,23,3,9,2,8),(20,503,1,14,24,NULL,3,NULL,3),(20,503,1,14,25,2,8,1,8),(20,503,1,14,26,NULL,NULL,NULL,NULL),(20,503,1,14,27,1,5,1,5),(20,503,1,14,28,NULL,NULL,NULL,NULL),(20,503,1,14,29,1,1,1,1),(20,503,1,14,30,NULL,4,NULL,3),(20,503,1,14,31,3,7,2,7),(20,503,1,14,32,5,2,4,2),(20,503,1,14,33,2,5,2,5),(20,503,1,14,34,1,3,1,3),(20,503,1,14,35,3,4,3,3),(20,503,1,14,36,4,7,4,7),(20,503,1,14,37,2,6,2,6),(20,503,1,14,38,NULL,2,NULL,2),(20,503,1,14,39,10,3,9,3),(20,503,1,14,40,4,2,4,2),(20,503,1,15,1,NULL,1,NULL,1),(20,503,1,15,2,1,NULL,1,NULL),(20,503,1,15,3,1,3,1,3),(20,503,1,15,4,3,4,2,4),(20,503,1,15,5,3,NULL,3,NULL),(20,503,1,15,6,5,5,4,4),(20,503,1,15,7,1,3,NULL,3),(20,503,1,15,8,6,2,6,2),(20,503,1,15,9,2,5,2,4),(20,503,1,15,10,2,3,2,3),(20,503,1,15,11,2,2,2,2),(20,503,1,15,12,4,3,4,3),(20,503,1,15,13,5,3,2,3),(20,503,1,15,14,7,6,7,5),(20,503,1,15,15,6,1,5,1),(20,503,1,15,16,7,3,5,3),(20,503,1,15,17,1,8,1,5),(20,503,1,15,18,5,3,3,3),(20,503,1,15,19,3,NULL,3,NULL),(20,503,1,15,20,9,2,6,2),(20,503,1,15,21,1,NULL,NULL,NULL),(20,503,1,15,22,1,1,1,1),(20,503,1,15,23,2,6,1,5),(20,503,1,15,24,NULL,2,NULL,2),(20,503,1,15,25,1,NULL,1,NULL),(20,503,1,15,26,NULL,NULL,NULL,NULL),(20,503,1,15,27,2,3,2,2),(20,503,1,15,28,NULL,1,NULL,1),(20,503,1,15,29,NULL,1,NULL,NULL),(20,503,1,15,30,NULL,2,NULL,2),(20,503,1,15,31,2,6,2,4),(20,503,1,15,32,2,1,2,NULL),(20,503,1,15,33,NULL,3,NULL,2),(20,503,1,15,34,NULL,2,NULL,2),(20,503,1,15,35,6,2,6,2),(20,503,1,15,36,5,5,3,4),(20,503,1,15,37,4,2,4,2),(20,503,1,15,38,1,NULL,1,NULL),(20,503,1,15,39,11,1,10,1),(20,503,1,15,40,2,1,2,1),(20,503,1,16,1,2,7,1,5),(20,503,1,16,2,2,2,2,2),(20,503,1,16,3,2,7,NULL,6),(20,503,1,16,4,2,9,2,7),(20,503,1,16,5,6,4,5,3),(20,503,1,16,6,6,5,4,4),(20,503,1,16,7,2,4,2,4),(20,503,1,16,8,11,3,11,3),(20,503,1,16,9,5,7,4,4),(20,503,1,16,10,5,3,5,3),(20,503,1,16,11,NULL,4,NULL,4),(20,503,1,16,12,3,5,3,3),(20,503,1,16,13,1,10,1,6),(20,503,1,16,14,NULL,2,NULL,2),(20,503,1,16,15,9,2,6,2),(20,503,1,16,16,NULL,7,NULL,5),(20,503,1,16,17,11,9,8,8),(20,503,1,16,18,NULL,5,NULL,4),(20,503,1,16,19,8,9,6,6),(20,503,1,16,20,NULL,6,NULL,6),(20,503,1,16,21,1,4,1,4),(20,503,1,16,22,1,3,NULL,3),(20,503,1,16,23,1,13,NULL,12),(20,503,1,16,24,1,6,NULL,5),(20,503,1,16,25,NULL,13,NULL,11),(20,503,1,16,26,NULL,NULL,NULL,NULL),(20,503,1,16,27,1,7,NULL,7),(20,503,1,16,28,1,5,NULL,5),(20,503,1,16,29,1,5,1,5),(20,503,1,16,30,NULL,3,NULL,3),(20,503,1,16,31,2,5,NULL,3),(20,503,1,16,32,6,4,4,4),(20,503,1,16,33,1,3,1,3),(20,503,1,16,34,NULL,8,NULL,6),(20,503,1,16,35,2,13,1,11),(20,503,1,16,36,8,8,7,5),(20,503,1,16,37,4,6,4,6),(20,503,1,16,38,4,2,3,2),(20,503,1,16,39,9,9,6,9),(20,503,1,16,40,5,5,5,5),(20,503,1,17,1,2,5,2,3),(20,503,1,17,2,1,6,1,5),(20,503,1,17,3,3,6,2,4),(20,503,1,17,4,2,5,2,4),(20,503,1,17,5,4,8,3,5),(20,503,1,17,6,4,10,2,6),(20,503,1,17,7,5,4,4,1),(20,503,1,17,8,14,8,11,5),(20,503,1,17,9,5,15,4,11),(20,503,1,17,10,2,8,2,5),(20,503,1,17,11,1,5,NULL,5),(20,503,1,17,12,3,4,2,4),(20,503,1,17,13,5,11,4,6),(20,503,1,17,14,2,3,2,2),(20,503,1,17,15,6,6,5,4),(20,503,1,17,16,NULL,8,NULL,6),(20,503,1,17,17,9,16,7,10),(20,503,1,17,18,NULL,5,NULL,5),(20,503,1,17,19,14,5,11,2),(20,503,1,17,20,NULL,8,NULL,7),(20,503,1,17,21,NULL,7,NULL,3),(20,503,1,17,22,NULL,6,NULL,6),(20,503,1,17,23,NULL,14,NULL,9),(20,503,1,17,24,4,7,3,5),(20,503,1,17,25,1,16,1,11),(20,503,1,17,26,2,NULL,2,NULL),(20,503,1,17,27,1,5,1,2),(20,503,1,17,28,2,8,1,7),(20,503,1,17,29,5,7,4,5),(20,503,1,17,30,1,12,1,7),(20,503,1,17,31,3,11,2,9),(20,503,1,17,32,4,7,4,5),(20,503,1,17,33,4,2,4,2),(20,503,1,17,34,NULL,2,NULL,1),(20,503,1,17,35,6,9,5,8),(20,503,1,17,36,4,9,4,6),(20,503,1,17,37,7,9,7,5),(20,503,1,17,38,1,5,1,4),(20,503,1,17,39,4,17,2,13),(20,503,1,17,40,7,2,6,1),(20,503,2,21,1,1,4,1,4),(20,503,2,21,2,NULL,NULL,NULL,NULL),(20,503,2,21,3,3,6,2,6),(20,503,2,21,4,1,6,1,4),(20,503,2,21,5,NULL,9,NULL,8),(20,503,2,21,6,3,7,3,6),(20,503,2,21,7,3,5,3,4),(20,503,2,21,8,2,NULL,2,NULL),(20,503,2,21,9,4,10,4,7),(20,503,2,21,10,NULL,7,NULL,6),(20,503,2,21,11,4,6,3,5),(20,503,2,21,12,4,4,3,3),(20,503,2,21,13,11,8,9,6),(20,503,2,21,14,9,12,8,8),(20,503,2,21,15,9,5,6,3),(20,503,2,21,16,7,7,6,5),(20,503,2,21,17,6,1,6,NULL),(20,503,2,21,18,1,6,1,6),(20,503,2,21,19,4,7,3,7),(20,503,2,21,20,3,8,3,8),(20,503,2,21,21,NULL,1,NULL,1),(20,503,2,21,22,1,6,1,3),(20,503,2,21,23,NULL,3,NULL,2),(20,503,2,21,24,NULL,1,NULL,1),(20,503,2,21,25,2,8,2,4),(20,503,2,21,26,NULL,5,NULL,5),(20,503,2,21,27,NULL,1,NULL,1),(20,503,2,21,28,4,6,3,4),(20,503,2,21,29,1,2,1,1),(20,503,2,21,30,NULL,3,NULL,1),(20,503,2,21,31,NULL,5,NULL,5),(20,503,2,21,32,3,5,3,5),(20,503,2,21,33,7,6,5,5),(20,503,2,21,34,1,8,1,8),(20,503,2,21,35,NULL,4,NULL,3),(20,503,2,21,36,1,6,1,4),(20,503,2,21,37,1,5,1,4),(20,503,2,21,38,NULL,5,NULL,5),(20,503,2,21,39,1,4,1,4),(20,503,2,21,40,5,3,5,3),(20,503,2,22,1,1,6,1,5),(20,503,2,22,2,NULL,NULL,NULL,NULL),(20,503,2,22,3,2,5,NULL,5),(20,503,2,22,4,1,4,1,4),(20,503,2,22,5,NULL,2,NULL,2),(20,503,2,22,6,4,7,4,7),(20,503,2,22,7,2,2,2,2),(20,503,2,22,8,4,NULL,3,NULL),(20,503,2,22,9,7,8,5,6),(20,503,2,22,10,1,5,1,5),(20,503,2,22,11,5,3,5,3),(20,503,2,22,12,NULL,4,NULL,4),(20,503,2,22,13,3,10,2,10),(20,503,2,22,14,8,9,6,9),(20,503,2,22,15,7,2,7,2),(20,503,2,22,16,7,5,7,4),(20,503,2,22,17,7,3,7,3),(20,503,2,22,18,1,3,1,3),(20,503,2,22,19,4,5,4,5),(20,503,2,22,20,4,7,4,5),(20,503,2,22,21,NULL,NULL,NULL,NULL),(20,503,2,22,22,1,2,1,2),(20,503,2,22,23,NULL,NULL,NULL,NULL),(20,503,2,22,24,1,3,1,1),(20,503,2,22,25,NULL,4,NULL,4),(20,503,2,22,26,NULL,2,NULL,2),(20,503,2,22,27,1,1,1,1),(20,503,2,22,28,2,6,2,5),(20,503,2,22,29,1,2,1,1),(20,503,2,22,30,3,4,3,3),(20,503,2,22,31,3,4,3,4),(20,503,2,22,32,NULL,4,NULL,4),(20,503,2,22,33,1,8,1,7),(20,503,2,22,34,1,5,1,5),(20,503,2,22,35,1,5,NULL,4),(20,503,2,22,36,1,6,1,6),(20,503,2,22,37,1,5,1,4),(20,503,2,22,38,NULL,2,NULL,2),(20,503,2,22,39,2,2,2,2),(20,503,2,22,40,4,3,4,2),(20,503,2,23,1,3,6,2,6),(20,503,2,23,2,1,2,NULL,1),(20,503,2,23,3,2,8,1,7),(20,503,2,23,4,NULL,5,NULL,5),(20,503,2,23,5,NULL,5,NULL,4),(20,503,2,23,6,4,5,3,4),(20,503,2,23,7,NULL,6,NULL,5),(20,503,2,23,8,3,NULL,3,NULL),(20,503,2,23,9,2,7,1,6),(20,503,2,23,10,2,5,2,4),(20,503,2,23,11,1,7,1,5),(20,503,2,23,12,NULL,8,NULL,7),(20,503,2,23,13,6,12,5,9),(20,503,2,23,14,6,11,5,10),(20,503,2,23,15,10,4,7,4),(20,503,2,23,16,6,9,4,8),(20,503,2,23,17,2,4,2,4),(20,503,2,23,18,NULL,1,NULL,1),(20,503,2,23,19,2,5,2,4),(20,503,2,23,20,3,4,3,3),(20,503,2,23,21,NULL,NULL,NULL,NULL),(20,503,2,23,22,2,6,1,6),(20,503,2,23,23,NULL,1,NULL,NULL),(20,503,2,23,24,NULL,NULL,NULL,NULL),(20,503,2,23,25,NULL,6,NULL,6),(20,503,2,23,26,NULL,4,NULL,4),(20,503,2,23,27,NULL,1,NULL,1),(20,503,2,23,28,2,7,2,6),(20,503,2,23,29,NULL,1,NULL,1),(20,503,2,23,30,NULL,3,NULL,2),(20,503,2,23,31,2,2,2,2),(20,503,2,23,32,4,6,3,5),(20,503,2,23,33,3,8,NULL,7),(20,503,2,23,34,2,6,2,3),(20,503,2,23,35,NULL,4,NULL,4),(20,503,2,23,36,1,6,1,5),(20,503,2,23,37,NULL,1,NULL,1),(20,503,2,23,38,NULL,5,NULL,4),(20,503,2,23,39,NULL,1,NULL,1),(20,503,2,23,40,4,3,4,1),(20,503,2,24,1,2,2,1,1),(20,503,2,24,2,NULL,1,NULL,1),(20,503,2,24,3,6,8,4,5),(20,503,2,24,4,2,3,2,3),(20,503,2,24,5,NULL,2,NULL,2),(20,503,2,24,6,5,5,5,5),(20,503,2,24,7,2,4,2,3),(20,503,2,24,8,1,NULL,1,NULL),(20,503,2,24,9,3,12,2,9),(20,503,2,24,10,NULL,5,NULL,3),(20,503,2,24,11,4,5,2,4),(20,503,2,24,12,NULL,6,NULL,5),(20,503,2,24,13,10,5,6,4),(20,503,2,24,14,11,9,7,7),(20,503,2,24,15,3,6,1,5),(20,503,2,24,16,3,5,2,4),(20,503,2,24,17,2,5,NULL,3),(20,503,2,24,18,3,4,2,4),(20,503,2,24,19,2,9,1,5),(20,503,2,24,20,3,6,3,5),(20,503,2,24,21,NULL,2,NULL,NULL),(20,503,2,24,22,NULL,4,NULL,2),(20,503,2,24,23,NULL,2,NULL,NULL),(20,503,2,24,24,NULL,NULL,NULL,NULL),(20,503,2,24,25,2,6,2,4),(20,503,2,24,26,1,2,1,2),(20,503,2,24,27,2,NULL,2,NULL),(20,503,2,24,28,1,8,1,7),(20,503,2,24,29,NULL,NULL,NULL,NULL),(20,503,2,24,30,NULL,2,NULL,2),(20,503,2,24,31,1,5,NULL,3),(20,503,2,24,32,NULL,4,NULL,2),(20,503,2,24,33,2,6,2,3),(20,503,2,24,34,NULL,3,NULL,2),(20,503,2,24,35,NULL,2,NULL,2),(20,503,2,24,36,1,4,1,2),(20,503,2,24,37,1,6,1,6),(20,503,2,24,38,NULL,4,NULL,2),(20,503,2,24,39,NULL,2,NULL,1),(20,503,2,24,40,5,4,4,3),(20,551,1,11,1,NULL,NULL,NULL,NULL),(20,551,1,11,2,NULL,NULL,NULL,NULL),(20,551,1,11,3,NULL,NULL,NULL,NULL),(20,551,1,11,4,NULL,1,NULL,1),(20,551,1,11,5,NULL,NULL,NULL,NULL),(20,551,1,11,6,NULL,NULL,NULL,NULL),(20,551,1,11,7,NULL,NULL,NULL,NULL),(20,551,1,11,8,NULL,NULL,NULL,NULL),(20,551,1,11,9,NULL,NULL,NULL,NULL),(20,551,1,11,10,NULL,NULL,NULL,NULL),(20,551,1,11,11,NULL,NULL,NULL,NULL),(20,551,1,11,12,NULL,NULL,NULL,NULL),(20,551,1,11,13,NULL,NULL,NULL,NULL),(20,551,1,11,14,NULL,NULL,NULL,NULL),(20,551,1,11,15,NULL,NULL,NULL,NULL),(20,551,1,11,16,NULL,NULL,NULL,NULL),(20,551,1,11,17,NULL,NULL,NULL,NULL),(20,551,1,11,18,NULL,NULL,NULL,NULL),(20,551,1,11,19,NULL,NULL,NULL,NULL),(20,551,1,11,20,NULL,1,NULL,1),(20,551,1,11,21,NULL,NULL,NULL,NULL),(20,551,1,11,22,NULL,NULL,NULL,NULL),(20,551,1,11,23,NULL,NULL,NULL,NULL),(20,551,1,11,24,NULL,NULL,NULL,NULL),(20,551,1,11,25,NULL,NULL,NULL,NULL),(20,551,1,11,26,NULL,NULL,NULL,NULL),(20,551,1,11,27,NULL,1,NULL,1),(20,551,1,11,28,NULL,NULL,NULL,NULL),(20,551,1,11,29,NULL,NULL,NULL,NULL),(20,551,1,11,30,NULL,NULL,NULL,NULL),(20,551,1,11,31,NULL,NULL,NULL,NULL),(20,551,1,11,32,NULL,NULL,NULL,NULL),(20,551,1,11,33,NULL,NULL,NULL,NULL),(20,551,1,11,34,NULL,NULL,NULL,NULL),(20,551,1,11,35,NULL,NULL,NULL,NULL),(20,551,1,11,36,NULL,1,NULL,1),(20,551,1,11,37,NULL,NULL,NULL,NULL),(20,551,1,11,38,NULL,NULL,NULL,NULL),(20,551,1,11,39,NULL,NULL,NULL,NULL),(20,551,1,11,40,NULL,NULL,NULL,NULL),(20,551,1,12,1,NULL,NULL,NULL,NULL),(20,551,1,12,2,NULL,NULL,NULL,NULL),(20,551,1,12,3,NULL,NULL,NULL,NULL),(20,551,1,12,4,NULL,NULL,NULL,NULL),(20,551,1,12,5,NULL,NULL,NULL,NULL),(20,551,1,12,6,NULL,NULL,NULL,NULL),(20,551,1,12,7,NULL,NULL,NULL,NULL),(20,551,1,12,8,NULL,NULL,NULL,NULL),(20,551,1,12,9,NULL,NULL,NULL,NULL),(20,551,1,12,10,NULL,NULL,NULL,NULL),(20,551,1,12,11,NULL,NULL,NULL,NULL),(20,551,1,12,12,NULL,NULL,NULL,NULL),(20,551,1,12,13,NULL,NULL,NULL,NULL),(20,551,1,12,14,NULL,NULL,NULL,NULL),(20,551,1,12,15,NULL,NULL,NULL,NULL),(20,551,1,12,16,NULL,NULL,NULL,NULL),(20,551,1,12,17,NULL,NULL,NULL,NULL),(20,551,1,12,18,NULL,NULL,NULL,NULL),(20,551,1,12,19,NULL,NULL,NULL,NULL),(20,551,1,12,20,NULL,NULL,NULL,NULL),(20,551,1,12,21,NULL,NULL,NULL,NULL),(20,551,1,12,22,NULL,NULL,NULL,NULL),(20,551,1,12,23,NULL,NULL,NULL,NULL),(20,551,1,12,24,NULL,NULL,NULL,NULL),(20,551,1,12,25,NULL,NULL,NULL,NULL),(20,551,1,12,26,NULL,NULL,NULL,NULL),(20,551,1,12,27,NULL,NULL,NULL,NULL),(20,551,1,12,28,NULL,NULL,NULL,NULL),(20,551,1,12,29,NULL,NULL,NULL,NULL),(20,551,1,12,30,NULL,NULL,NULL,NULL),(20,551,1,12,31,NULL,NULL,NULL,NULL),(20,551,1,12,32,NULL,NULL,NULL,NULL),(20,551,1,12,33,NULL,NULL,NULL,NULL),(20,551,1,12,34,NULL,NULL,NULL,NULL),(20,551,1,12,35,NULL,NULL,NULL,NULL),(20,551,1,12,36,NULL,NULL,NULL,NULL),(20,551,1,12,37,NULL,NULL,NULL,NULL),(20,551,1,12,38,NULL,NULL,NULL,NULL),(20,551,1,12,39,NULL,NULL,NULL,NULL),(20,551,1,12,40,NULL,NULL,NULL,NULL),(20,551,1,13,1,NULL,NULL,NULL,NULL),(20,551,1,13,2,NULL,NULL,NULL,NULL),(20,551,1,13,3,NULL,NULL,NULL,NULL),(20,551,1,13,4,NULL,NULL,NULL,NULL),(20,551,1,13,5,NULL,NULL,NULL,NULL),(20,551,1,13,6,NULL,NULL,NULL,NULL),(20,551,1,13,7,NULL,NULL,NULL,NULL),(20,551,1,13,8,NULL,NULL,NULL,NULL),(20,551,1,13,9,NULL,NULL,NULL,NULL),(20,551,1,13,10,NULL,NULL,NULL,NULL),(20,551,1,13,11,NULL,NULL,NULL,NULL),(20,551,1,13,12,NULL,1,NULL,NULL),(20,551,1,13,13,NULL,1,NULL,NULL),(20,551,1,13,14,NULL,NULL,NULL,NULL),(20,551,1,13,15,NULL,NULL,NULL,NULL),(20,551,1,13,16,NULL,1,NULL,NULL),(20,551,1,13,17,NULL,1,NULL,NULL),(20,551,1,13,18,NULL,NULL,NULL,NULL),(20,551,1,13,19,NULL,NULL,NULL,NULL),(20,551,1,13,20,NULL,NULL,NULL,NULL),(20,551,1,13,21,NULL,NULL,NULL,NULL),(20,551,1,13,22,NULL,1,NULL,NULL),(20,551,1,13,23,NULL,1,NULL,NULL),(20,551,1,13,24,NULL,NULL,NULL,NULL),(20,551,1,13,25,NULL,NULL,NULL,NULL),(20,551,1,13,26,NULL,NULL,NULL,NULL),(20,551,1,13,27,NULL,NULL,NULL,NULL),(20,551,1,13,28,NULL,NULL,NULL,NULL),(20,551,1,13,29,NULL,NULL,NULL,NULL),(20,551,1,13,30,NULL,1,NULL,NULL),(20,551,1,13,31,NULL,NULL,NULL,NULL),(20,551,1,13,32,NULL,NULL,NULL,NULL),(20,551,1,13,33,NULL,NULL,NULL,NULL),(20,551,1,13,34,NULL,NULL,NULL,NULL),(20,551,1,13,35,NULL,1,NULL,NULL),(20,551,1,13,36,1,NULL,1,NULL),(20,551,1,13,37,1,NULL,NULL,NULL),(20,551,1,13,38,NULL,NULL,NULL,NULL),(20,551,1,13,39,NULL,NULL,NULL,NULL),(20,551,1,13,40,NULL,NULL,NULL,NULL),(20,551,1,14,1,2,3,1,2),(20,551,1,14,2,3,2,3,2),(20,551,1,14,3,1,3,1,3),(20,551,1,14,4,3,6,2,5),(20,551,1,14,5,2,6,2,5),(20,551,1,14,6,5,7,5,3),(20,551,1,14,7,NULL,2,NULL,2),(20,551,1,14,8,4,7,4,6),(20,551,1,14,9,4,7,4,5),(20,551,1,14,10,2,3,2,3),(20,551,1,14,11,1,2,1,1),(20,551,1,14,12,NULL,2,NULL,1),(20,551,1,14,13,4,6,2,4),(20,551,1,14,14,2,9,1,9),(20,551,1,14,15,1,5,NULL,4),(20,551,1,14,16,7,2,6,2),(20,551,1,14,17,NULL,10,NULL,6),(20,551,1,14,18,3,2,3,1),(20,551,1,14,19,4,2,3,1),(20,551,1,14,20,6,2,4,1),(20,551,1,14,21,NULL,2,NULL,1),(20,551,1,14,22,NULL,2,NULL,2),(20,551,1,14,23,1,8,NULL,7),(20,551,1,14,24,1,1,1,1),(20,551,1,14,25,2,4,NULL,3),(20,551,1,14,26,4,NULL,3,NULL),(20,551,1,14,27,1,6,NULL,6),(20,551,1,14,28,NULL,4,NULL,4),(20,551,1,14,29,2,4,NULL,4),(20,551,1,14,30,NULL,5,NULL,5),(20,551,1,14,31,4,6,4,4),(20,551,1,14,32,4,6,3,4),(20,551,1,14,33,3,6,2,4),(20,551,1,14,34,1,2,NULL,2),(20,551,1,14,35,7,3,4,3),(20,551,1,14,36,5,8,4,6),(20,551,1,14,37,3,5,2,5),(20,551,1,14,38,2,1,2,1),(20,551,1,14,39,11,5,8,5),(20,551,1,14,40,2,4,2,4),(20,551,1,15,1,4,6,2,4),(20,551,1,15,2,2,2,1,NULL),(20,551,1,15,3,2,3,2,2),(20,551,1,15,4,1,4,1,2),(20,551,1,15,5,3,3,2,3),(20,551,1,15,6,1,8,1,4),(20,551,1,15,7,NULL,1,NULL,1),(20,551,1,15,8,3,8,2,3),(20,551,1,15,9,2,8,2,4),(20,551,1,15,10,1,2,1,NULL),(20,551,1,15,11,1,2,1,1),(20,551,1,15,12,NULL,2,NULL,1),(20,551,1,15,13,3,1,2,NULL),(20,551,1,15,14,4,7,3,4),(20,551,1,15,15,2,5,1,4),(20,551,1,15,16,2,6,2,4),(20,551,1,15,17,2,5,2,2),(20,551,1,15,18,2,7,2,3),(20,551,1,15,19,NULL,2,NULL,2),(20,551,1,15,20,1,6,1,2),(20,551,1,15,21,NULL,1,NULL,NULL),(20,551,1,15,22,NULL,NULL,NULL,NULL),(20,551,1,15,23,3,6,3,3),(20,551,1,15,24,1,NULL,1,NULL),(20,551,1,15,25,2,3,2,2),(20,551,1,15,26,2,NULL,1,NULL),(20,551,1,15,27,1,4,1,1),(20,551,1,15,28,NULL,3,NULL,2),(20,551,1,15,29,2,3,2,2),(20,551,1,15,30,3,3,3,NULL),(20,551,1,15,31,6,5,5,4),(20,551,1,15,32,2,2,2,1),(20,551,1,15,33,NULL,2,NULL,1),(20,551,1,15,34,1,2,NULL,1),(20,551,1,15,35,5,4,3,2),(20,551,1,15,36,3,8,2,4),(20,551,1,15,37,5,5,3,4),(20,551,1,15,38,NULL,2,NULL,2),(20,551,1,15,39,2,7,1,4),(20,551,1,15,40,1,NULL,1,NULL),(20,551,1,16,1,NULL,7,NULL,3),(20,551,1,16,2,1,2,1,NULL),(20,551,1,16,3,2,3,1,NULL),(20,551,1,16,4,2,4,2,2),(20,551,1,16,5,1,5,1,2),(20,551,1,16,6,9,4,6,2),(20,551,1,16,7,1,2,1,2),(20,551,1,16,8,4,4,4,1),(20,551,1,16,9,6,4,5,2),(20,551,1,16,10,1,4,1,3),(20,551,1,16,11,NULL,5,NULL,4),(20,551,1,16,12,2,1,2,1),(20,551,1,16,13,4,7,4,6),(20,551,1,16,14,1,2,NULL,2),(20,551,1,16,15,4,4,3,4),(20,551,1,16,16,2,5,1,3),(20,551,1,16,17,10,5,7,4),(20,551,1,16,18,3,6,NULL,3),(20,551,1,16,19,3,5,2,3),(20,551,1,16,20,1,3,1,1),(20,551,1,16,21,2,3,2,2),(20,551,1,16,22,NULL,2,NULL,2),(20,551,1,16,23,2,9,2,5),(20,551,1,16,24,3,4,3,2),(20,551,1,16,25,3,3,2,1),(20,551,1,16,26,NULL,NULL,NULL,NULL),(20,551,1,16,27,1,7,1,5),(20,551,1,16,28,NULL,3,NULL,1),(20,551,1,16,29,1,3,1,1),(20,551,1,16,30,1,4,1,1),(20,551,1,16,31,2,5,1,3),(20,551,1,16,32,2,3,2,1),(20,551,1,16,33,1,4,NULL,4),(20,551,1,16,34,NULL,1,NULL,1),(20,551,1,16,35,5,1,4,1),(20,551,1,16,36,6,5,4,5),(20,551,1,16,37,4,6,4,3),(20,551,1,16,38,NULL,5,NULL,5),(20,551,1,16,39,6,5,1,4),(20,551,1,16,40,1,1,1,NULL),(20,551,1,17,1,1,8,1,6),(20,551,1,17,2,1,1,NULL,NULL),(20,551,1,17,3,NULL,6,NULL,5),(20,551,1,17,4,NULL,5,NULL,3),(20,551,1,17,5,3,9,1,5),(20,551,1,17,6,2,5,NULL,4),(20,551,1,17,7,NULL,2,NULL,2),(20,551,1,17,8,5,2,4,1),(20,551,1,17,9,2,8,1,4),(20,551,1,17,10,NULL,3,NULL,2),(20,551,1,17,11,NULL,1,NULL,1),(20,551,1,17,12,2,6,1,2),(20,551,1,17,13,3,7,2,5),(20,551,1,17,14,1,4,NULL,2),(20,551,1,17,15,2,2,2,1),(20,551,1,17,16,NULL,5,NULL,3),(20,551,1,17,17,7,7,4,4),(20,551,1,17,18,3,3,NULL,2),(20,551,1,17,19,8,9,4,7),(20,551,1,17,20,1,4,1,2),(20,551,1,17,21,2,5,2,3),(20,551,1,17,22,1,1,NULL,1),(20,551,1,17,23,3,7,2,5),(20,551,1,17,24,3,2,2,1),(20,551,1,17,25,NULL,3,NULL,3),(20,551,1,17,26,1,NULL,NULL,NULL),(20,551,1,17,27,NULL,3,NULL,2),(20,551,1,17,28,NULL,3,NULL,3),(20,551,1,17,29,2,2,NULL,2),(20,551,1,17,30,NULL,4,NULL,2),(20,551,1,17,31,6,9,2,5),(20,551,1,17,32,2,2,1,2),(20,551,1,17,33,1,1,1,NULL),(20,551,1,17,34,2,1,2,1),(20,551,1,17,35,7,3,3,2),(20,551,1,17,36,3,8,1,6),(20,551,1,17,37,8,5,5,3),(20,551,1,17,38,1,2,1,2),(20,551,1,17,39,10,3,5,1),(20,551,1,17,40,NULL,2,NULL,2),(20,551,2,21,1,2,5,1,3),(20,551,2,21,2,NULL,2,NULL,1),(20,551,2,21,3,10,8,8,3),(20,551,2,21,4,NULL,2,NULL,1),(20,551,2,21,5,NULL,3,NULL,1),(20,551,2,21,6,2,2,2,NULL),(20,551,2,21,7,1,3,NULL,2),(20,551,2,21,8,1,NULL,NULL,NULL),(20,551,2,21,9,6,11,3,7),(20,551,2,21,10,1,5,NULL,1),(20,551,2,21,11,3,5,NULL,2),(20,551,2,21,12,1,3,NULL,1),(20,551,2,21,13,9,9,9,4),(20,551,2,21,14,9,9,7,4),(20,551,2,21,15,8,4,5,1),(20,551,2,21,16,9,4,6,1),(20,551,2,21,17,1,3,1,2),(20,551,2,21,18,NULL,2,NULL,1),(20,551,2,21,19,6,7,4,5),(20,551,2,21,20,2,5,2,4),(20,551,2,21,21,NULL,NULL,NULL,NULL),(20,551,2,21,22,NULL,6,NULL,2),(20,551,2,21,23,NULL,2,NULL,1),(20,551,2,21,24,1,1,1,NULL),(20,551,2,21,25,5,2,3,1),(20,551,2,21,26,NULL,3,NULL,1),(20,551,2,21,27,2,3,1,2),(20,551,2,21,28,2,5,1,2),(20,551,2,21,29,NULL,3,NULL,2),(20,551,2,21,30,1,4,1,NULL),(20,551,2,21,31,NULL,5,NULL,3),(20,551,2,21,32,NULL,2,NULL,2),(20,551,2,21,33,5,5,4,3),(20,551,2,21,34,3,7,2,4),(20,551,2,21,35,1,3,1,NULL),(20,551,2,21,36,1,7,1,2),(20,551,2,21,37,NULL,4,NULL,1),(20,551,2,21,38,NULL,NULL,NULL,NULL),(20,551,2,21,39,1,3,NULL,3),(20,551,2,21,40,2,6,2,1),(20,551,2,22,1,2,3,2,3),(20,551,2,22,2,NULL,1,NULL,1),(20,551,2,22,3,3,9,2,9),(20,551,2,22,4,NULL,3,NULL,2),(20,551,2,22,5,NULL,2,NULL,2),(20,551,2,22,6,1,5,1,5),(20,551,2,22,7,NULL,3,NULL,1),(20,551,2,22,8,2,NULL,1,NULL),(20,551,2,22,9,8,7,4,5),(20,551,2,22,10,NULL,5,NULL,3),(20,551,2,22,11,4,4,3,2),(20,551,2,22,12,NULL,2,NULL,2),(20,551,2,22,13,5,11,4,8),(20,551,2,22,14,12,9,11,4),(20,551,2,22,15,8,3,6,3),(20,551,2,22,16,3,9,3,6),(20,551,2,22,17,1,2,1,2),(20,551,2,22,18,2,2,1,2),(20,551,2,22,19,3,11,1,7),(20,551,2,22,20,2,5,2,3),(20,551,2,22,21,NULL,1,NULL,1),(20,551,2,22,22,1,3,1,2),(20,551,2,22,23,NULL,3,NULL,3),(20,551,2,22,24,NULL,1,NULL,1),(20,551,2,22,25,2,7,1,4),(20,551,2,22,26,1,2,NULL,1),(20,551,2,22,27,1,3,1,3),(20,551,2,22,28,2,4,2,2),(20,551,2,22,29,NULL,3,NULL,2),(20,551,2,22,30,1,2,1,2),(20,551,2,22,31,NULL,2,NULL,2),(20,551,2,22,32,NULL,4,NULL,3),(20,551,2,22,33,3,8,3,7),(20,551,2,22,34,1,1,1,NULL),(20,551,2,22,35,NULL,4,NULL,2),(20,551,2,22,36,NULL,7,NULL,4),(20,551,2,22,37,NULL,5,NULL,3),(20,551,2,22,38,1,1,1,NULL),(20,551,2,22,39,NULL,1,NULL,1),(20,551,2,22,40,NULL,3,NULL,2),(20,551,2,23,1,NULL,3,NULL,2),(20,551,2,23,2,1,2,1,NULL),(20,551,2,23,3,2,5,1,3),(20,551,2,23,4,2,NULL,2,NULL),(20,551,2,23,5,NULL,4,NULL,2),(20,551,2,23,6,2,5,1,4),(20,551,2,23,7,NULL,6,NULL,3),(20,551,2,23,8,4,NULL,1,NULL),(20,551,2,23,9,4,17,1,9),(20,551,2,23,10,1,5,1,3),(20,551,2,23,11,3,6,2,4),(20,551,2,23,12,2,2,1,1),(20,551,2,23,13,8,12,6,8),(20,551,2,23,14,10,13,6,8),(20,551,2,23,15,5,4,3,2),(20,551,2,23,16,4,10,1,9),(20,551,2,23,17,NULL,3,NULL,2),(20,551,2,23,18,NULL,2,NULL,2),(20,551,2,23,19,3,7,NULL,4),(20,551,2,23,20,3,7,1,4),(20,551,2,23,21,NULL,1,NULL,1),(20,551,2,23,22,2,5,NULL,1),(20,551,2,23,23,NULL,3,NULL,NULL),(20,551,2,23,24,NULL,3,NULL,1),(20,551,2,23,25,1,11,1,6),(20,551,2,23,26,1,2,1,1),(20,551,2,23,27,1,NULL,NULL,NULL),(20,551,2,23,28,NULL,4,NULL,3),(20,551,2,23,29,3,1,2,1),(20,551,2,23,30,1,4,NULL,2),(20,551,2,23,31,2,3,1,1),(20,551,2,23,32,NULL,2,NULL,2),(20,551,2,23,33,NULL,7,NULL,2),(20,551,2,23,34,3,3,2,3),(20,551,2,23,35,1,3,1,NULL),(20,551,2,23,36,NULL,11,NULL,7),(20,551,2,23,37,1,2,NULL,2),(20,551,2,23,38,NULL,5,NULL,3),(20,551,2,23,39,NULL,1,NULL,1),(20,551,2,23,40,4,5,1,4),(20,551,2,24,1,4,3,1,2),(20,551,2,24,2,1,2,1,1),(20,551,2,24,3,5,5,2,3),(20,551,2,24,4,NULL,1,NULL,NULL),(20,551,2,24,5,1,4,1,2),(20,551,2,24,6,1,2,NULL,2),(20,551,2,24,7,NULL,4,NULL,3),(20,551,2,24,8,NULL,NULL,NULL,NULL),(20,551,2,24,9,4,16,3,10),(20,551,2,24,10,1,4,NULL,2),(20,551,2,24,11,3,3,1,2),(20,551,2,24,12,1,3,1,1),(20,551,2,24,13,4,7,3,5),(20,551,2,24,14,9,9,6,4),(20,551,2,24,15,4,5,3,3),(20,551,2,24,16,6,3,6,1),(20,551,2,24,17,3,2,2,1),(20,551,2,24,18,NULL,2,NULL,2),(20,551,2,24,19,3,13,1,9),(20,551,2,24,20,1,8,1,5),(20,551,2,24,21,NULL,NULL,NULL,NULL),(20,551,2,24,22,2,3,2,1),(20,551,2,24,23,1,1,1,NULL),(20,551,2,24,24,NULL,3,NULL,2),(20,551,2,24,25,1,7,1,5),(20,551,2,24,26,1,2,1,1),(20,551,2,24,27,NULL,1,NULL,NULL),(20,551,2,24,28,1,3,1,1),(20,551,2,24,29,1,3,1,1),(20,551,2,24,30,1,1,NULL,NULL),(20,551,2,24,31,4,3,3,1),(20,551,2,24,32,3,3,2,1),(20,551,2,24,33,8,8,7,3),(20,551,2,24,34,1,4,NULL,2),(20,551,2,24,35,NULL,8,NULL,4),(20,551,2,24,36,NULL,6,NULL,4),(20,551,2,24,37,1,2,1,1),(20,551,2,24,38,NULL,NULL,NULL,NULL),(20,551,2,24,39,NULL,3,NULL,2),(20,551,2,24,40,NULL,10,NULL,7),(20,601,1,11,1,NULL,1,NULL,1),(20,601,1,11,2,NULL,NULL,NULL,NULL),(20,601,1,11,3,NULL,NULL,NULL,NULL),(20,601,1,11,4,NULL,3,NULL,1),(20,601,1,11,5,NULL,2,NULL,1),(20,601,1,11,6,1,1,NULL,1),(20,601,1,11,7,NULL,NULL,NULL,NULL),(20,601,1,11,8,NULL,2,NULL,1),(20,601,1,11,9,1,2,NULL,1),(20,601,1,11,10,NULL,1,NULL,1),(20,601,1,11,11,NULL,1,NULL,NULL),(20,601,1,11,12,NULL,1,NULL,1),(20,601,1,11,13,NULL,1,NULL,1),(20,601,1,11,14,NULL,NULL,NULL,NULL),(20,601,1,11,15,NULL,NULL,NULL,NULL),(20,601,1,11,16,NULL,1,NULL,NULL),(20,601,1,11,17,NULL,NULL,NULL,NULL),(20,601,1,11,18,1,2,NULL,1),(20,601,1,11,19,2,NULL,NULL,NULL),(20,601,1,11,20,NULL,2,NULL,1),(20,601,1,11,21,NULL,1,NULL,1),(20,601,1,11,22,NULL,1,NULL,1),(20,601,1,11,23,NULL,2,NULL,1),(20,601,1,11,24,NULL,1,NULL,1),(20,601,1,11,25,NULL,1,NULL,1),(20,601,1,11,26,NULL,NULL,NULL,NULL),(20,601,1,11,27,NULL,1,NULL,1),(20,601,1,11,28,1,1,NULL,1),(20,601,1,11,29,NULL,NULL,NULL,NULL),(20,601,1,11,30,1,NULL,NULL,NULL),(20,601,1,11,31,NULL,2,NULL,NULL),(20,601,1,11,32,1,1,NULL,1),(20,601,1,11,33,1,NULL,1,NULL),(20,601,1,11,34,NULL,2,NULL,NULL),(20,601,1,11,35,NULL,1,NULL,1),(20,601,1,11,36,1,1,1,NULL),(20,601,1,11,37,NULL,1,NULL,1),(20,601,1,11,38,NULL,NULL,NULL,NULL),(20,601,1,11,39,1,NULL,1,NULL),(20,601,1,11,40,NULL,1,NULL,1),(20,601,1,12,1,NULL,NULL,NULL,NULL),(20,601,1,12,2,NULL,NULL,NULL,NULL),(20,601,1,12,3,NULL,NULL,NULL,NULL),(20,601,1,12,4,NULL,NULL,NULL,NULL),(20,601,1,12,5,NULL,NULL,NULL,NULL),(20,601,1,12,6,NULL,NULL,NULL,NULL),(20,601,1,12,7,NULL,NULL,NULL,NULL),(20,601,1,12,8,NULL,NULL,NULL,NULL),(20,601,1,12,9,NULL,NULL,NULL,NULL),(20,601,1,12,10,NULL,NULL,NULL,NULL),(20,601,1,12,11,NULL,NULL,NULL,NULL),(20,601,1,12,12,NULL,NULL,NULL,NULL),(20,601,1,12,13,NULL,NULL,NULL,NULL),(20,601,1,12,14,NULL,NULL,NULL,NULL),(20,601,1,12,15,NULL,NULL,NULL,NULL),(20,601,1,12,16,NULL,NULL,NULL,NULL),(20,601,1,12,17,NULL,NULL,NULL,NULL),(20,601,1,12,18,NULL,NULL,NULL,NULL),(20,601,1,12,19,NULL,NULL,NULL,NULL),(20,601,1,12,20,NULL,NULL,NULL,NULL),(20,601,1,12,21,NULL,NULL,NULL,NULL),(20,601,1,12,22,NULL,NULL,NULL,NULL),(20,601,1,12,23,NULL,NULL,NULL,NULL),(20,601,1,12,24,NULL,NULL,NULL,NULL),(20,601,1,12,25,NULL,NULL,NULL,NULL),(20,601,1,12,26,NULL,NULL,NULL,NULL),(20,601,1,12,27,NULL,NULL,NULL,NULL),(20,601,1,12,28,NULL,NULL,NULL,NULL),(20,601,1,12,29,NULL,NULL,NULL,NULL),(20,601,1,12,30,NULL,NULL,NULL,NULL),(20,601,1,12,31,NULL,NULL,NULL,NULL),(20,601,1,12,32,NULL,NULL,NULL,NULL),(20,601,1,12,33,NULL,NULL,NULL,NULL),(20,601,1,12,34,NULL,NULL,NULL,NULL),(20,601,1,12,35,NULL,NULL,NULL,NULL),(20,601,1,12,36,NULL,NULL,NULL,NULL),(20,601,1,12,37,NULL,NULL,NULL,NULL),(20,601,1,12,38,NULL,NULL,NULL,NULL),(20,601,1,12,39,NULL,NULL,NULL,NULL),(20,601,1,12,40,NULL,NULL,NULL,NULL),(20,601,1,13,1,NULL,NULL,NULL,NULL),(20,601,1,13,2,NULL,NULL,NULL,NULL),(20,601,1,13,3,1,NULL,NULL,NULL),(20,601,1,13,4,1,NULL,NULL,NULL),(20,601,1,13,5,1,NULL,NULL,NULL),(20,601,1,13,6,1,NULL,NULL,NULL),(20,601,1,13,7,NULL,NULL,NULL,NULL),(20,601,1,13,8,NULL,NULL,NULL,NULL),(20,601,1,13,9,1,1,NULL,NULL),(20,601,1,13,10,NULL,NULL,NULL,NULL),(20,601,1,13,11,NULL,NULL,NULL,NULL),(20,601,1,13,12,NULL,NULL,NULL,NULL),(20,601,1,13,13,1,NULL,NULL,NULL),(20,601,1,13,14,NULL,NULL,NULL,NULL),(20,601,1,13,15,1,NULL,NULL,NULL),(20,601,1,13,16,1,1,NULL,NULL),(20,601,1,13,17,NULL,1,NULL,NULL),(20,601,1,13,18,NULL,1,NULL,NULL),(20,601,1,13,19,1,NULL,NULL,NULL),(20,601,1,13,20,NULL,NULL,NULL,NULL),(20,601,1,13,21,NULL,NULL,NULL,NULL),(20,601,1,13,22,NULL,NULL,NULL,NULL),(20,601,1,13,23,1,NULL,NULL,NULL),(20,601,1,13,24,1,NULL,NULL,NULL),(20,601,1,13,25,NULL,NULL,NULL,NULL),(20,601,1,13,26,NULL,NULL,NULL,NULL),(20,601,1,13,27,1,NULL,NULL,NULL),(20,601,1,13,28,NULL,NULL,NULL,NULL),(20,601,1,13,29,NULL,NULL,NULL,NULL),(20,601,1,13,30,NULL,NULL,NULL,NULL),(20,601,1,13,31,1,NULL,NULL,NULL),(20,601,1,13,32,1,NULL,NULL,NULL),(20,601,1,13,33,NULL,NULL,NULL,NULL),(20,601,1,13,34,NULL,NULL,NULL,NULL),(20,601,1,13,35,NULL,NULL,NULL,NULL),(20,601,1,13,36,NULL,NULL,NULL,NULL),(20,601,1,13,37,NULL,NULL,NULL,NULL),(20,601,1,13,38,NULL,NULL,NULL,NULL),(20,601,1,13,39,NULL,NULL,NULL,NULL),(20,601,1,13,40,NULL,NULL,NULL,NULL),(20,601,1,14,1,25,18,26,21),(20,601,1,14,2,16,9,17,14),(20,601,1,14,3,15,18,15,32),(20,601,1,14,4,13,27,14,37),(20,601,1,14,5,25,30,32,45),(20,601,1,14,6,48,42,50,52),(20,601,1,14,7,17,28,22,37),(20,601,1,14,8,37,10,59,15),(20,601,1,14,9,42,43,58,46),(20,601,1,14,10,12,11,22,17),(20,601,1,14,11,8,12,6,13),(20,601,1,14,12,11,15,21,21),(20,601,1,14,13,50,23,70,34),(20,601,1,14,14,62,44,75,43),(20,601,1,14,15,33,17,54,23),(20,601,1,14,16,60,18,81,22),(20,601,1,14,17,24,62,34,65),(20,601,1,14,18,61,20,78,25),(20,601,1,14,19,61,5,78,5),(20,601,1,14,20,59,32,87,34),(20,601,1,14,21,13,17,14,25),(20,601,1,14,22,12,40,19,60),(20,601,1,14,23,14,44,11,57),(20,601,1,14,24,17,38,25,56),(20,601,1,14,25,28,42,37,55),(20,601,1,14,26,22,NULL,39,NULL),(20,601,1,14,27,24,32,30,53),(20,601,1,14,28,7,24,14,37),(20,601,1,14,29,8,20,11,30),(20,601,1,14,30,9,13,10,26),(20,601,1,14,31,32,31,31,46),(20,601,1,14,32,24,10,41,16),(20,601,1,14,33,21,19,33,27),(20,601,1,14,34,11,19,18,23),(20,601,1,14,35,36,29,39,40),(20,601,1,14,36,46,30,67,36),(20,601,1,14,37,32,30,46,38),(20,601,1,14,38,7,18,9,27),(20,601,1,14,39,59,27,72,36),(20,601,1,14,40,37,13,59,17),(20,601,1,15,1,24,25,25,28),(20,601,1,15,2,16,17,19,16),(20,601,1,15,3,8,16,6,25),(20,601,1,15,4,12,24,7,29),(20,601,1,15,5,34,35,39,37),(20,601,1,15,6,51,39,52,44),(20,601,1,15,7,24,23,27,23),(20,601,1,15,8,34,13,44,15),(20,601,1,15,9,30,43,33,50),(20,601,1,15,10,11,16,19,21),(20,601,1,15,11,1,14,2,19),(20,601,1,15,12,18,16,19,18),(20,601,1,15,13,56,28,65,34),(20,601,1,15,14,47,46,62,40),(20,601,1,15,15,34,22,47,24),(20,601,1,15,16,53,24,65,24),(20,601,1,15,17,26,58,31,66),(20,601,1,15,18,62,24,77,18),(20,601,1,15,19,50,8,66,5),(20,601,1,15,20,64,22,78,32),(20,601,1,15,21,4,13,3,22),(20,601,1,15,22,14,39,13,58),(20,601,1,15,23,12,58,10,56),(20,601,1,15,24,10,48,15,54),(20,601,1,15,25,26,48,31,48),(20,601,1,15,26,15,NULL,19,NULL),(20,601,1,15,27,19,43,23,59),(20,601,1,15,28,5,17,11,23),(20,601,1,15,29,1,22,5,24),(20,601,1,15,30,8,29,12,32),(20,601,1,15,31,20,38,26,43),(20,601,1,15,32,24,16,29,20),(20,601,1,15,33,13,25,19,29),(20,601,1,15,34,8,18,8,24),(20,601,1,15,35,28,29,33,30),(20,601,1,15,36,37,41,54,42),(20,601,1,15,37,42,22,45,24),(20,601,1,15,38,8,17,17,16),(20,601,1,15,39,61,39,68,44),(20,601,1,15,40,30,18,41,17),(20,601,1,16,1,5,13,9,10),(20,601,1,16,2,4,6,7,7),(20,601,1,16,3,5,12,4,17),(20,601,1,16,4,6,16,7,15),(20,601,1,16,5,9,13,9,15),(20,601,1,16,6,22,20,23,13),(20,601,1,16,7,6,6,6,10),(20,601,1,16,8,25,4,32,8),(20,601,1,16,9,10,28,17,25),(20,601,1,16,10,8,7,8,11),(20,601,1,16,11,1,9,1,8),(20,601,1,16,12,7,8,11,10),(20,601,1,16,13,19,19,21,16),(20,601,1,16,14,7,5,8,3),(20,601,1,16,15,26,7,28,4),(20,601,1,16,16,2,16,1,15),(20,601,1,16,17,28,30,22,28),(20,601,1,16,18,3,17,4,17),(20,601,1,16,19,25,15,23,14),(20,601,1,16,20,3,12,1,14),(20,601,1,16,21,6,9,NULL,12),(20,601,1,16,22,4,17,5,20),(20,601,1,16,23,9,28,6,27),(20,601,1,16,24,10,16,8,21),(20,601,1,16,25,15,16,13,30),(20,601,1,16,26,8,NULL,9,NULL),(20,601,1,16,27,9,18,5,25),(20,601,1,16,28,2,11,3,18),(20,601,1,16,29,NULL,7,1,13),(20,601,1,16,30,4,12,5,13),(20,601,1,16,31,12,13,9,14),(20,601,1,16,32,8,10,13,11),(20,601,1,16,33,8,9,8,10),(20,601,1,16,34,3,7,5,9),(20,601,1,16,35,19,8,22,8),(20,601,1,16,36,20,17,27,19),(20,601,1,16,37,19,15,18,16),(20,601,1,16,38,2,10,1,13),(20,601,1,16,39,30,20,34,22),(20,601,1,16,40,15,6,24,8),(20,601,1,17,1,8,14,11,14),(20,601,1,17,2,7,5,6,7),(20,601,1,17,3,3,11,6,9),(20,601,1,17,4,10,15,8,15),(20,601,1,17,5,8,18,6,20),(20,601,1,17,6,13,22,16,21),(20,601,1,17,7,6,5,7,12),(20,601,1,17,8,20,3,25,6),(20,601,1,17,9,3,33,8,26),(20,601,1,17,10,4,5,8,11),(20,601,1,17,11,NULL,7,2,10),(20,601,1,17,12,3,6,7,7),(20,601,1,17,13,16,16,13,23),(20,601,1,17,14,4,1,6,5),(20,601,1,17,15,19,5,22,1),(20,601,1,17,16,3,12,1,9),(20,601,1,17,17,23,23,28,22),(20,601,1,17,18,3,17,2,23),(20,601,1,17,19,16,14,18,12),(20,601,1,17,20,6,12,2,12),(20,601,1,17,21,4,7,2,10),(20,601,1,17,22,9,12,11,23),(20,601,1,17,23,3,23,5,19),(20,601,1,17,24,5,16,6,21),(20,601,1,17,25,12,19,12,25),(20,601,1,17,26,7,NULL,13,NULL),(20,601,1,17,27,7,21,8,20),(20,601,1,17,28,1,9,2,14),(20,601,1,17,29,7,9,4,6),(20,601,1,17,30,2,15,3,20),(20,601,1,17,31,12,22,8,20),(20,601,1,17,32,8,8,6,13),(20,601,1,17,33,6,8,9,9),(20,601,1,17,34,4,6,2,11),(20,601,1,17,35,12,10,12,17),(20,601,1,17,36,10,12,20,15),(20,601,1,17,37,20,15,20,16),(20,601,1,17,38,1,7,1,5),(20,601,1,17,39,26,18,30,17),(20,601,1,17,40,14,7,24,8),(20,601,2,21,1,5,19,11,30),(20,601,2,21,2,1,4,NULL,10),(20,601,2,21,3,14,23,12,34),(20,601,2,21,4,9,14,16,12),(20,601,2,21,5,1,8,4,10),(20,601,2,21,6,11,17,23,27),(20,601,2,21,7,12,21,13,26),(20,601,2,21,8,21,NULL,26,NULL),(20,601,2,21,9,22,46,26,47),(20,601,2,21,10,1,26,3,27),(20,601,2,21,11,18,16,16,19),(20,601,2,21,12,6,12,4,16),(20,601,2,21,13,38,24,43,23),(20,601,2,21,14,46,35,49,38),(20,601,2,21,15,28,26,43,20),(20,601,2,21,16,23,21,27,21),(20,601,2,21,17,16,11,16,14),(20,601,2,21,18,4,20,7,25),(20,601,2,21,19,15,38,17,42),(20,601,2,21,20,15,38,27,43),(20,601,2,21,21,NULL,5,1,6),(20,601,2,21,22,2,11,2,13),(20,601,2,21,23,2,7,6,4),(20,601,2,21,24,2,3,1,6),(20,601,2,21,25,22,22,27,23),(20,601,2,21,26,5,8,11,12),(20,601,2,21,27,4,11,3,15),(20,601,2,21,28,7,17,18,21),(20,601,2,21,29,4,8,2,9),(20,601,2,21,30,5,6,7,6),(20,601,2,21,31,15,18,16,28),(20,601,2,21,32,9,21,16,25),(20,601,2,21,33,10,19,9,25),(20,601,2,21,34,12,12,15,20),(20,601,2,21,35,2,26,2,33),(20,601,2,21,36,9,15,19,18),(20,601,2,21,37,8,14,7,22),(20,601,2,21,38,2,16,8,19),(20,601,2,21,39,8,11,12,15),(20,601,2,21,40,13,14,23,18),(20,601,2,22,1,5,16,9,15),(20,601,2,22,2,2,7,5,7),(20,601,2,22,3,13,28,11,27),(20,601,2,22,4,6,9,9,11),(20,601,2,22,5,3,5,2,5),(20,601,2,22,6,15,21,26,26),(20,601,2,22,7,8,20,10,23),(20,601,2,22,8,11,NULL,14,NULL),(20,601,2,22,9,34,45,34,43),(20,601,2,22,10,4,24,3,27),(20,601,2,22,11,15,11,19,13),(20,601,2,22,12,2,13,2,15),(20,601,2,22,13,44,28,51,26),(20,601,2,22,14,49,47,53,38),(20,601,2,22,15,51,15,46,17),(20,601,2,22,16,14,20,19,20),(20,601,2,22,17,16,8,17,12),(20,601,2,22,18,4,23,8,26),(20,601,2,22,19,12,41,15,35),(20,601,2,22,20,24,28,28,28),(20,601,2,22,21,2,8,2,13),(20,601,2,22,22,5,17,4,16),(20,601,2,22,23,1,9,2,7),(20,601,2,22,24,NULL,7,2,4),(20,601,2,22,25,17,36,19,35),(20,601,2,22,26,5,9,7,13),(20,601,2,22,27,4,15,3,22),(20,601,2,22,28,22,11,22,13),(20,601,2,22,29,7,14,5,13),(20,601,2,22,30,1,5,3,4),(20,601,2,22,31,10,21,10,28),(20,601,2,22,32,7,29,9,24),(20,601,2,22,33,16,37,10,42),(20,601,2,22,34,17,21,18,25),(20,601,2,22,35,2,24,4,24),(20,601,2,22,36,13,15,12,12),(20,601,2,22,37,2,11,7,17),(20,601,2,22,38,7,18,6,23),(20,601,2,22,39,9,18,10,18),(20,601,2,22,40,14,18,21,19),(20,601,2,23,1,4,16,6,14),(20,601,2,23,2,NULL,7,2,9),(20,601,2,23,3,19,26,13,32),(20,601,2,23,4,11,8,14,12),(20,601,2,23,5,3,10,3,15),(20,601,2,23,6,16,25,29,27),(20,601,2,23,7,12,25,15,27),(20,601,2,23,8,14,NULL,16,NULL),(20,601,2,23,9,33,42,23,40),(20,601,2,23,10,3,19,2,22),(20,601,2,23,11,11,15,13,19),(20,601,2,23,12,5,9,4,11),(20,601,2,23,13,44,24,46,28),(20,601,2,23,14,53,36,45,37),(20,601,2,23,15,32,22,30,29),(20,601,2,23,16,16,18,21,20),(20,601,2,23,17,15,14,17,18),(20,601,2,23,18,8,16,6,25),(20,601,2,23,19,17,38,17,33),(20,601,2,23,20,29,29,32,38),(20,601,2,23,21,2,5,2,7),(20,601,2,23,22,2,26,4,24),(20,601,2,23,23,3,8,2,10),(20,601,2,23,24,1,3,1,6),(20,601,2,23,25,20,26,25,30),(20,601,2,23,26,9,9,15,8),(20,601,2,23,27,4,10,8,12),(20,601,2,23,28,30,14,30,16),(20,601,2,23,29,5,16,6,18),(20,601,2,23,30,7,7,11,3),(20,601,2,23,31,15,16,15,21),(20,601,2,23,32,14,28,15,30),(20,601,2,23,33,14,39,9,38),(20,601,2,23,34,13,21,12,29),(20,601,2,23,35,2,30,2,29),(20,601,2,23,36,7,11,12,11),(20,601,2,23,37,9,14,10,20),(20,601,2,23,38,7,14,9,25),(20,601,2,23,39,6,13,13,15),(20,601,2,23,40,18,15,25,16),(20,601,2,24,1,7,19,5,19),(20,601,2,24,2,NULL,10,1,7),(20,601,2,24,3,15,16,12,19),(20,601,2,24,4,4,11,12,13),(20,601,2,24,5,5,6,4,11),(20,601,2,24,6,15,24,21,32),(20,601,2,24,7,5,19,8,19),(20,601,2,24,8,14,NULL,20,NULL),(20,601,2,24,9,27,41,23,38),(20,601,2,24,10,4,20,5,30),(20,601,2,24,11,19,14,23,14),(20,601,2,24,12,5,13,5,14),(20,601,2,24,13,39,30,49,28),(20,601,2,24,14,46,34,48,34),(20,601,2,24,15,33,23,36,25),(20,601,2,24,16,24,18,28,26),(20,601,2,24,17,14,7,13,12),(20,601,2,24,18,3,18,4,22),(20,601,2,24,19,10,35,15,33),(20,601,2,24,20,14,38,20,39),(20,601,2,24,21,1,6,2,7),(20,601,2,24,22,3,13,5,13),(20,601,2,24,23,3,6,4,8),(20,601,2,24,24,1,5,1,9),(20,601,2,24,25,16,24,22,33),(20,601,2,24,26,3,13,8,12),(20,601,2,24,27,3,9,7,13),(20,601,2,24,28,20,12,30,17),(20,601,2,24,29,3,10,5,18),(20,601,2,24,30,7,8,8,9),(20,601,2,24,31,10,20,18,29),(20,601,2,24,32,10,30,16,30),(20,601,2,24,33,8,34,9,33),(20,601,2,24,34,11,22,17,25),(20,601,2,24,35,3,18,6,29),(20,601,2,24,36,8,16,14,12),(20,601,2,24,37,8,13,17,16),(20,601,2,24,38,6,16,11,29),(20,601,2,24,39,7,13,13,14),(20,601,2,24,40,16,19,21,13),(20,651,1,11,1,NULL,NULL,NULL,NULL),(20,651,1,11,2,NULL,NULL,NULL,NULL),(20,651,1,11,3,NULL,NULL,NULL,NULL),(20,651,1,11,4,NULL,NULL,NULL,NULL),(20,651,1,11,5,NULL,NULL,NULL,NULL),(20,651,1,11,6,NULL,NULL,NULL,NULL),(20,651,1,11,7,NULL,NULL,NULL,NULL),(20,651,1,11,8,NULL,NULL,NULL,NULL),(20,651,1,11,9,NULL,NULL,NULL,NULL),(20,651,1,11,10,NULL,NULL,NULL,NULL),(20,651,1,11,11,NULL,NULL,NULL,NULL),(20,651,1,11,12,NULL,NULL,NULL,NULL),(20,651,1,11,13,NULL,NULL,NULL,NULL),(20,651,1,11,14,NULL,NULL,NULL,NULL),(20,651,1,11,15,NULL,NULL,NULL,NULL),(20,651,1,11,16,NULL,NULL,NULL,NULL),(20,651,1,11,17,NULL,NULL,NULL,NULL),(20,651,1,11,18,NULL,NULL,NULL,NULL),(20,651,1,11,19,NULL,NULL,NULL,NULL),(20,651,1,11,20,NULL,NULL,NULL,NULL),(20,651,1,11,21,NULL,NULL,NULL,NULL),(20,651,1,11,22,NULL,NULL,NULL,NULL),(20,651,1,11,23,NULL,NULL,NULL,NULL),(20,651,1,11,24,NULL,NULL,NULL,NULL),(20,651,1,11,25,NULL,NULL,NULL,NULL),(20,651,1,11,26,NULL,NULL,NULL,NULL),(20,651,1,11,27,NULL,NULL,NULL,NULL),(20,651,1,11,28,NULL,NULL,NULL,NULL),(20,651,1,11,29,NULL,NULL,NULL,NULL),(20,651,1,11,30,NULL,NULL,NULL,NULL),(20,651,1,11,31,NULL,NULL,NULL,NULL),(20,651,1,11,32,NULL,NULL,NULL,NULL),(20,651,1,11,33,NULL,NULL,NULL,NULL),(20,651,1,11,34,NULL,NULL,NULL,NULL),(20,651,1,11,35,NULL,NULL,NULL,NULL),(20,651,1,11,36,NULL,NULL,NULL,NULL),(20,651,1,11,37,NULL,NULL,NULL,NULL),(20,651,1,11,38,NULL,NULL,NULL,NULL),(20,651,1,11,39,NULL,NULL,NULL,NULL),(20,651,1,11,40,NULL,NULL,NULL,NULL),(20,651,1,12,1,NULL,NULL,NULL,NULL),(20,651,1,12,2,NULL,NULL,NULL,NULL),(20,651,1,12,3,NULL,NULL,NULL,NULL),(20,651,1,12,4,NULL,NULL,NULL,NULL),(20,651,1,12,5,NULL,NULL,NULL,NULL),(20,651,1,12,6,NULL,NULL,NULL,NULL),(20,651,1,12,7,NULL,NULL,NULL,NULL),(20,651,1,12,8,NULL,NULL,NULL,NULL),(20,651,1,12,9,NULL,NULL,NULL,NULL),(20,651,1,12,10,NULL,NULL,NULL,NULL),(20,651,1,12,11,NULL,NULL,NULL,NULL),(20,651,1,12,12,NULL,NULL,NULL,NULL),(20,651,1,12,13,NULL,NULL,NULL,NULL),(20,651,1,12,14,NULL,NULL,NULL,NULL),(20,651,1,12,15,NULL,NULL,NULL,NULL),(20,651,1,12,16,NULL,NULL,NULL,NULL),(20,651,1,12,17,NULL,NULL,NULL,NULL),(20,651,1,12,18,NULL,NULL,NULL,NULL),(20,651,1,12,19,NULL,NULL,NULL,NULL),(20,651,1,12,20,NULL,NULL,NULL,NULL),(20,651,1,12,21,NULL,NULL,NULL,NULL),(20,651,1,12,22,NULL,NULL,NULL,NULL),(20,651,1,12,23,NULL,NULL,NULL,NULL),(20,651,1,12,24,NULL,NULL,NULL,NULL),(20,651,1,12,25,NULL,NULL,NULL,NULL),(20,651,1,12,26,NULL,NULL,NULL,NULL),(20,651,1,12,27,NULL,NULL,NULL,NULL),(20,651,1,12,28,NULL,NULL,NULL,NULL),(20,651,1,12,29,NULL,NULL,NULL,NULL),(20,651,1,12,30,NULL,NULL,NULL,NULL),(20,651,1,12,31,NULL,NULL,NULL,NULL),(20,651,1,12,32,NULL,NULL,NULL,NULL),(20,651,1,12,33,NULL,NULL,NULL,NULL),(20,651,1,12,34,NULL,NULL,NULL,NULL),(20,651,1,12,35,NULL,NULL,NULL,NULL),(20,651,1,12,36,NULL,NULL,NULL,NULL),(20,651,1,12,37,NULL,NULL,NULL,NULL),(20,651,1,12,38,NULL,NULL,NULL,NULL),(20,651,1,12,39,NULL,NULL,NULL,NULL),(20,651,1,12,40,NULL,NULL,NULL,NULL),(20,651,1,13,1,NULL,NULL,NULL,NULL),(20,651,1,13,2,NULL,NULL,NULL,NULL),(20,651,1,13,3,NULL,NULL,NULL,NULL),(20,651,1,13,4,NULL,NULL,NULL,NULL),(20,651,1,13,5,NULL,NULL,NULL,NULL),(20,651,1,13,6,NULL,NULL,NULL,NULL),(20,651,1,13,7,NULL,NULL,NULL,NULL),(20,651,1,13,8,NULL,NULL,NULL,NULL),(20,651,1,13,9,NULL,NULL,NULL,NULL),(20,651,1,13,10,NULL,NULL,NULL,NULL),(20,651,1,13,11,NULL,NULL,NULL,NULL),(20,651,1,13,12,NULL,NULL,NULL,NULL),(20,651,1,13,13,NULL,NULL,NULL,NULL),(20,651,1,13,14,NULL,NULL,NULL,NULL),(20,651,1,13,15,NULL,NULL,NULL,NULL),(20,651,1,13,16,NULL,NULL,NULL,NULL),(20,651,1,13,17,NULL,NULL,NULL,NULL),(20,651,1,13,18,NULL,NULL,NULL,NULL),(20,651,1,13,19,NULL,NULL,NULL,NULL),(20,651,1,13,20,NULL,NULL,NULL,NULL),(20,651,1,13,21,NULL,NULL,NULL,NULL),(20,651,1,13,22,NULL,NULL,NULL,NULL),(20,651,1,13,23,NULL,NULL,NULL,NULL),(20,651,1,13,24,NULL,NULL,NULL,NULL),(20,651,1,13,25,NULL,NULL,NULL,NULL),(20,651,1,13,26,NULL,NULL,NULL,NULL),(20,651,1,13,27,NULL,NULL,NULL,NULL),(20,651,1,13,28,NULL,NULL,NULL,NULL),(20,651,1,13,29,NULL,NULL,NULL,NULL),(20,651,1,13,30,NULL,NULL,NULL,NULL),(20,651,1,13,31,NULL,NULL,NULL,NULL),(20,651,1,13,32,NULL,NULL,NULL,NULL),(20,651,1,13,33,NULL,NULL,NULL,NULL),(20,651,1,13,34,NULL,NULL,NULL,NULL),(20,651,1,13,35,NULL,NULL,NULL,NULL),(20,651,1,13,36,NULL,NULL,NULL,NULL),(20,651,1,13,37,NULL,NULL,NULL,NULL),(20,651,1,13,38,NULL,NULL,NULL,NULL),(20,651,1,13,39,NULL,NULL,NULL,NULL),(20,651,1,13,40,NULL,NULL,NULL,NULL),(20,651,1,14,1,1,2,NULL,2),(20,651,1,14,2,NULL,NULL,2,NULL),(20,651,1,14,3,NULL,NULL,1,1),(20,651,1,14,4,NULL,NULL,NULL,NULL),(20,651,1,14,5,1,1,NULL,2),(20,651,1,14,6,1,6,2,5),(20,651,1,14,7,NULL,3,2,3),(20,651,1,14,8,2,1,4,1),(20,651,1,14,9,2,1,1,4),(20,651,1,14,10,1,2,1,3),(20,651,1,14,11,NULL,NULL,NULL,2),(20,651,1,14,12,1,1,2,2),(20,651,1,14,13,NULL,2,3,3),(20,651,1,14,14,3,2,5,4),(20,651,1,14,15,1,NULL,1,2),(20,651,1,14,16,1,1,4,1),(20,651,1,14,17,NULL,NULL,1,3),(20,651,1,14,18,2,1,6,1),(20,651,1,14,19,3,2,6,1),(20,651,1,14,20,3,1,6,1),(20,651,1,14,21,1,NULL,2,NULL),(20,651,1,14,22,NULL,4,NULL,4),(20,651,1,14,23,1,5,NULL,6),(20,651,1,14,24,NULL,2,NULL,3),(20,651,1,14,25,3,2,2,2),(20,651,1,14,26,NULL,NULL,NULL,NULL),(20,651,1,14,27,1,1,1,4),(20,651,1,14,28,1,NULL,1,NULL),(20,651,1,14,29,NULL,1,NULL,3),(20,651,1,14,30,NULL,2,1,5),(20,651,1,14,31,4,NULL,2,2),(20,651,1,14,32,NULL,1,2,2),(20,651,1,14,33,1,1,1,2),(20,651,1,14,34,NULL,NULL,NULL,1),(20,651,1,14,35,2,1,2,2),(20,651,1,14,36,NULL,1,2,1),(20,651,1,14,37,NULL,2,2,4),(20,651,1,14,38,NULL,NULL,NULL,NULL),(20,651,1,14,39,2,4,3,5),(20,651,1,14,40,1,1,3,1),(20,651,1,15,1,2,3,1,NULL),(20,651,1,15,2,1,1,NULL,2),(20,651,1,15,3,NULL,2,NULL,NULL),(20,651,1,15,4,NULL,NULL,NULL,2),(20,651,1,15,5,1,1,2,1),(20,651,1,15,6,5,1,3,2),(20,651,1,15,7,NULL,NULL,NULL,1),(20,651,1,15,8,2,NULL,2,1),(20,651,1,15,9,2,2,1,2),(20,651,1,15,10,NULL,2,1,1),(20,651,1,15,11,NULL,1,NULL,NULL),(20,651,1,15,12,NULL,1,NULL,NULL),(20,651,1,15,13,2,2,1,1),(20,651,1,15,14,2,4,2,3),(20,651,1,15,15,3,1,4,NULL),(20,651,1,15,16,2,2,2,2),(20,651,1,15,17,NULL,3,1,5),(20,651,1,15,18,2,1,4,NULL),(20,651,1,15,19,1,1,4,1),(20,651,1,15,20,1,2,3,2),(20,651,1,15,21,1,NULL,NULL,NULL),(20,651,1,15,22,NULL,NULL,NULL,1),(20,651,1,15,23,3,4,2,4),(20,651,1,15,24,NULL,1,NULL,2),(20,651,1,15,25,NULL,1,NULL,2),(20,651,1,15,26,NULL,NULL,1,NULL),(20,651,1,15,27,NULL,1,NULL,1),(20,651,1,15,28,NULL,NULL,NULL,1),(20,651,1,15,29,1,NULL,NULL,2),(20,651,1,15,30,NULL,NULL,NULL,NULL),(20,651,1,15,31,1,3,1,1),(20,651,1,15,32,2,1,NULL,3),(20,651,1,15,33,NULL,NULL,NULL,3),(20,651,1,15,34,NULL,NULL,NULL,1),(20,651,1,15,35,NULL,2,NULL,3),(20,651,1,15,36,NULL,NULL,1,1),(20,651,1,15,37,1,1,2,1),(20,651,1,15,38,NULL,NULL,NULL,NULL),(20,651,1,15,39,2,3,3,2),(20,651,1,15,40,1,NULL,2,NULL),(20,651,1,16,1,1,1,1,1),(20,651,1,16,2,NULL,NULL,NULL,NULL),(20,651,1,16,3,NULL,NULL,NULL,NULL),(20,651,1,16,4,NULL,4,NULL,1),(20,651,1,16,5,1,4,1,2),(20,651,1,16,6,2,4,2,4),(20,651,1,16,7,1,3,1,2),(20,651,1,16,8,NULL,2,NULL,2),(20,651,1,16,9,NULL,5,NULL,5),(20,651,1,16,10,NULL,2,NULL,2),(20,651,1,16,11,NULL,NULL,NULL,NULL),(20,651,1,16,12,1,1,1,1),(20,651,1,16,13,5,1,4,NULL),(20,651,1,16,14,1,NULL,NULL,NULL),(20,651,1,16,15,NULL,2,NULL,3),(20,651,1,16,16,1,3,NULL,2),(20,651,1,16,17,2,1,2,NULL),(20,651,1,16,18,NULL,2,NULL,2),(20,651,1,16,19,5,2,2,2),(20,651,1,16,20,NULL,2,NULL,2),(20,651,1,16,21,NULL,NULL,NULL,NULL),(20,651,1,16,22,1,NULL,1,NULL),(20,651,1,16,23,NULL,1,NULL,1),(20,651,1,16,24,1,2,1,3),(20,651,1,16,25,NULL,1,NULL,1),(20,651,1,16,26,2,NULL,2,NULL),(20,651,1,16,27,NULL,1,1,1),(20,651,1,16,28,NULL,2,NULL,2),(20,651,1,16,29,NULL,2,NULL,3),(20,651,1,16,30,NULL,2,NULL,2),(20,651,1,16,31,1,NULL,1,NULL),(20,651,1,16,32,NULL,NULL,1,NULL),(20,651,1,16,33,1,NULL,1,NULL),(20,651,1,16,34,NULL,1,NULL,1),(20,651,1,16,35,2,1,1,1),(20,651,1,16,36,1,3,1,2),(20,651,1,16,37,2,2,2,2),(20,651,1,16,38,1,NULL,NULL,NULL),(20,651,1,16,39,2,1,3,1),(20,651,1,16,40,1,1,1,1),(20,651,1,17,1,2,NULL,1,1),(20,651,1,17,2,1,2,NULL,2),(20,651,1,17,3,NULL,NULL,NULL,NULL),(20,651,1,17,4,NULL,3,NULL,1),(20,651,1,17,5,2,1,1,1),(20,651,1,17,6,NULL,4,NULL,3),(20,651,1,17,7,NULL,1,NULL,NULL),(20,651,1,17,8,2,NULL,2,1),(20,651,1,17,9,3,2,2,1),(20,651,1,17,10,NULL,NULL,NULL,1),(20,651,1,17,11,NULL,1,NULL,NULL),(20,651,1,17,12,NULL,2,NULL,1),(20,651,1,17,13,1,2,NULL,1),(20,651,1,17,14,NULL,NULL,NULL,NULL),(20,651,1,17,15,NULL,1,NULL,NULL),(20,651,1,17,16,NULL,3,NULL,NULL),(20,651,1,17,17,4,2,1,3),(20,651,1,17,18,1,2,1,2),(20,651,1,17,19,1,2,NULL,1),(20,651,1,17,20,1,1,1,1),(20,651,1,17,21,NULL,NULL,NULL,1),(20,651,1,17,22,1,NULL,NULL,1),(20,651,1,17,23,NULL,2,NULL,NULL),(20,651,1,17,24,1,NULL,NULL,2),(20,651,1,17,25,NULL,NULL,NULL,1),(20,651,1,17,26,NULL,NULL,1,NULL),(20,651,1,17,27,NULL,3,NULL,1),(20,651,1,17,28,NULL,NULL,NULL,NULL),(20,651,1,17,29,1,1,1,1),(20,651,1,17,30,1,1,NULL,2),(20,651,1,17,31,2,1,2,1),(20,651,1,17,32,1,NULL,1,1),(20,651,1,17,33,1,NULL,1,NULL),(20,651,1,17,34,NULL,1,NULL,NULL),(20,651,1,17,35,2,2,1,1),(20,651,1,17,36,2,NULL,2,1),(20,651,1,17,37,3,NULL,1,2),(20,651,1,17,38,NULL,1,NULL,NULL),(20,651,1,17,39,4,2,2,2),(20,651,1,17,40,1,NULL,1,2),(20,651,2,21,1,NULL,1,NULL,2),(20,651,2,21,2,NULL,NULL,NULL,NULL),(20,651,2,21,3,3,3,1,2),(20,651,2,21,4,NULL,1,1,1),(20,651,2,21,5,NULL,NULL,NULL,NULL),(20,651,2,21,6,1,NULL,2,NULL),(20,651,2,21,7,NULL,2,NULL,3),(20,651,2,21,8,3,NULL,2,NULL),(20,651,2,21,9,1,7,NULL,5),(20,651,2,21,10,NULL,1,NULL,1),(20,651,2,21,11,1,2,3,1),(20,651,2,21,12,1,1,NULL,NULL),(20,651,2,21,13,2,3,2,2),(20,651,2,21,14,4,4,3,3),(20,651,2,21,15,3,2,2,1),(20,651,2,21,16,NULL,1,2,NULL),(20,651,2,21,17,1,NULL,2,NULL),(20,651,2,21,18,NULL,1,NULL,2),(20,651,2,21,19,1,3,NULL,1),(20,651,2,21,20,NULL,1,1,1),(20,651,2,21,21,NULL,NULL,NULL,NULL),(20,651,2,21,22,NULL,NULL,NULL,1),(20,651,2,21,23,NULL,NULL,NULL,NULL),(20,651,2,21,24,NULL,NULL,NULL,1),(20,651,2,21,25,1,3,NULL,3),(20,651,2,21,26,NULL,NULL,NULL,1),(20,651,2,21,27,NULL,2,NULL,1),(20,651,2,21,28,NULL,1,NULL,1),(20,651,2,21,29,NULL,NULL,NULL,1),(20,651,2,21,30,NULL,1,NULL,NULL),(20,651,2,21,31,NULL,1,NULL,NULL),(20,651,2,21,32,NULL,1,NULL,1),(20,651,2,21,33,2,4,NULL,3),(20,651,2,21,34,2,NULL,1,NULL),(20,651,2,21,35,NULL,2,NULL,2),(20,651,2,21,36,NULL,2,NULL,1),(20,651,2,21,37,1,NULL,NULL,1),(20,651,2,21,38,NULL,NULL,NULL,NULL),(20,651,2,21,39,NULL,NULL,1,NULL),(20,651,2,21,40,1,1,2,NULL),(20,651,2,22,1,NULL,NULL,NULL,3),(20,651,2,22,2,NULL,NULL,NULL,NULL),(20,651,2,22,3,3,2,1,5),(20,651,2,22,4,NULL,NULL,NULL,3),(20,651,2,22,5,NULL,1,NULL,3),(20,651,2,22,6,1,1,1,2),(20,651,2,22,7,2,1,2,2),(20,651,2,22,8,NULL,NULL,NULL,NULL),(20,651,2,22,9,8,2,3,3),(20,651,2,22,10,NULL,1,NULL,3),(20,651,2,22,11,1,1,NULL,3),(20,651,2,22,12,NULL,2,NULL,3),(20,651,2,22,13,4,NULL,4,1),(20,651,2,22,14,6,2,5,3),(20,651,2,22,15,5,NULL,4,1),(20,651,2,22,16,2,NULL,3,2),(20,651,2,22,17,1,2,1,1),(20,651,2,22,18,1,2,1,2),(20,651,2,22,19,2,4,2,1),(20,651,2,22,20,1,1,NULL,1),(20,651,2,22,21,NULL,NULL,NULL,NULL),(20,651,2,22,22,1,NULL,NULL,3),(20,651,2,22,23,NULL,NULL,NULL,NULL),(20,651,2,22,24,NULL,NULL,NULL,NULL),(20,651,2,22,25,2,1,3,NULL),(20,651,2,22,26,NULL,NULL,NULL,NULL),(20,651,2,22,27,NULL,1,NULL,NULL),(20,651,2,22,28,2,NULL,2,2),(20,651,2,22,29,NULL,NULL,NULL,NULL),(20,651,2,22,30,NULL,1,1,1),(20,651,2,22,31,2,NULL,2,2),(20,651,2,22,32,NULL,1,NULL,1),(20,651,2,22,33,2,2,1,1),(20,651,2,22,34,1,3,NULL,3),(20,651,2,22,35,NULL,2,NULL,3),(20,651,2,22,36,1,1,NULL,NULL),(20,651,2,22,37,NULL,1,NULL,3),(20,651,2,22,38,NULL,NULL,NULL,NULL),(20,651,2,22,39,NULL,NULL,NULL,NULL),(20,651,2,22,40,2,1,1,2),(20,651,2,23,1,1,NULL,NULL,NULL),(20,651,2,23,2,NULL,NULL,NULL,NULL),(20,651,2,23,3,NULL,5,NULL,2),(20,651,2,23,4,NULL,NULL,NULL,1),(20,651,2,23,5,NULL,NULL,1,NULL),(20,651,2,23,6,1,NULL,1,2),(20,651,2,23,7,NULL,1,1,2),(20,651,2,23,8,1,NULL,1,NULL),(20,651,2,23,9,3,6,4,5),(20,651,2,23,10,NULL,1,1,3),(20,651,2,23,11,2,NULL,1,1),(20,651,2,23,12,NULL,1,NULL,1),(20,651,2,23,13,5,NULL,5,2),(20,651,2,23,14,3,1,4,4),(20,651,2,23,15,7,1,6,2),(20,651,2,23,16,4,2,1,3),(20,651,2,23,17,3,NULL,4,NULL),(20,651,2,23,18,NULL,NULL,1,2),(20,651,2,23,19,1,4,NULL,4),(20,651,2,23,20,NULL,2,2,2),(20,651,2,23,21,NULL,1,NULL,1),(20,651,2,23,22,NULL,2,NULL,4),(20,651,2,23,23,NULL,NULL,NULL,1),(20,651,2,23,24,NULL,1,NULL,2),(20,651,2,23,25,NULL,NULL,1,3),(20,651,2,23,26,1,NULL,NULL,1),(20,651,2,23,27,NULL,NULL,NULL,2),(20,651,2,23,28,NULL,NULL,1,NULL),(20,651,2,23,29,2,NULL,2,NULL),(20,651,2,23,30,NULL,NULL,NULL,1),(20,651,2,23,31,NULL,1,1,1),(20,651,2,23,32,NULL,4,NULL,3),(20,651,2,23,33,2,3,1,1),(20,651,2,23,34,NULL,NULL,1,NULL),(20,651,2,23,35,NULL,2,NULL,3),(20,651,2,23,36,NULL,NULL,NULL,3),(20,651,2,23,37,1,NULL,1,1),(20,651,2,23,38,NULL,NULL,NULL,NULL),(20,651,2,23,39,NULL,1,1,2),(20,651,2,23,40,1,2,1,2),(20,651,2,24,1,NULL,3,NULL,2),(20,651,2,24,2,NULL,NULL,NULL,NULL),(20,651,2,24,3,1,2,NULL,NULL),(20,651,2,24,4,NULL,2,1,2),(20,651,2,24,5,NULL,2,NULL,1),(20,651,2,24,6,NULL,1,1,1),(20,651,2,24,7,1,2,NULL,2),(20,651,2,24,8,2,NULL,1,NULL),(20,651,2,24,9,NULL,2,1,1),(20,651,2,24,10,NULL,3,NULL,2),(20,651,2,24,11,1,5,NULL,2),(20,651,2,24,12,NULL,4,1,4),(20,651,2,24,13,3,4,3,1),(20,651,2,24,14,1,5,2,2),(20,651,2,24,15,3,2,1,2),(20,651,2,24,16,2,3,3,1),(20,651,2,24,17,NULL,3,NULL,2),(20,651,2,24,18,NULL,1,NULL,1),(20,651,2,24,19,NULL,4,NULL,1),(20,651,2,24,20,2,2,2,1),(20,651,2,24,21,NULL,NULL,NULL,NULL),(20,651,2,24,22,1,3,NULL,3),(20,651,2,24,23,NULL,NULL,NULL,NULL),(20,651,2,24,24,NULL,NULL,NULL,NULL),(20,651,2,24,25,2,4,2,2),(20,651,2,24,26,NULL,2,NULL,2),(20,651,2,24,27,NULL,2,NULL,1),(20,651,2,24,28,1,1,2,1),(20,651,2,24,29,NULL,NULL,NULL,NULL),(20,651,2,24,30,NULL,NULL,NULL,NULL),(20,651,2,24,31,1,NULL,NULL,1),(20,651,2,24,32,NULL,3,NULL,3),(20,651,2,24,33,NULL,2,1,2),(20,651,2,24,34,NULL,2,NULL,1),(20,651,2,24,35,NULL,4,NULL,5),(20,651,2,24,36,1,1,1,NULL),(20,651,2,24,37,NULL,1,NULL,1),(20,651,2,24,38,NULL,2,NULL,1),(20,651,2,24,39,NULL,NULL,NULL,1),(20,651,2,24,40,NULL,NULL,NULL,NULL),(20,652,1,11,1,NULL,NULL,NULL,NULL),(20,652,1,11,2,NULL,1,NULL,NULL),(20,652,1,11,3,NULL,NULL,NULL,NULL),(20,652,1,11,4,NULL,NULL,NULL,NULL),(20,652,1,11,5,NULL,NULL,NULL,NULL),(20,652,1,11,6,NULL,NULL,NULL,NULL),(20,652,1,11,7,NULL,NULL,NULL,NULL),(20,652,1,11,8,NULL,1,NULL,NULL),(20,652,1,11,9,NULL,NULL,NULL,NULL),(20,652,1,11,10,NULL,NULL,NULL,NULL),(20,652,1,11,11,NULL,NULL,NULL,NULL),(20,652,1,11,12,NULL,NULL,NULL,NULL),(20,652,1,11,13,NULL,NULL,NULL,NULL),(20,652,1,11,14,NULL,NULL,NULL,NULL),(20,652,1,11,15,NULL,NULL,NULL,NULL),(20,652,1,11,16,NULL,NULL,NULL,NULL),(20,652,1,11,17,NULL,1,NULL,NULL),(20,652,1,11,18,NULL,1,NULL,NULL),(20,652,1,11,19,NULL,1,NULL,NULL),(20,652,1,11,20,NULL,NULL,NULL,NULL),(20,652,1,11,21,NULL,NULL,NULL,NULL),(20,652,1,11,22,NULL,NULL,NULL,NULL),(20,652,1,11,23,NULL,NULL,NULL,NULL),(20,652,1,11,24,NULL,1,NULL,NULL),(20,652,1,11,25,NULL,NULL,NULL,NULL),(20,652,1,11,26,NULL,NULL,NULL,NULL),(20,652,1,11,27,NULL,1,NULL,NULL),(20,652,1,11,28,NULL,NULL,NULL,NULL),(20,652,1,11,29,NULL,1,NULL,NULL),(20,652,1,11,30,NULL,NULL,NULL,NULL),(20,652,1,11,31,NULL,NULL,NULL,NULL),(20,652,1,11,32,NULL,NULL,NULL,NULL),(20,652,1,11,33,NULL,NULL,NULL,NULL),(20,652,1,11,34,NULL,NULL,NULL,NULL),(20,652,1,11,35,NULL,NULL,NULL,NULL),(20,652,1,11,36,NULL,NULL,NULL,NULL),(20,652,1,11,37,NULL,NULL,NULL,NULL),(20,652,1,11,38,NULL,NULL,NULL,NULL),(20,652,1,11,39,NULL,NULL,NULL,NULL),(20,652,1,11,40,NULL,NULL,NULL,NULL),(20,652,1,12,1,NULL,NULL,NULL,NULL),(20,652,1,12,2,NULL,NULL,NULL,NULL),(20,652,1,12,3,NULL,NULL,NULL,NULL),(20,652,1,12,4,NULL,NULL,NULL,NULL),(20,652,1,12,5,NULL,NULL,NULL,NULL),(20,652,1,12,6,NULL,NULL,NULL,NULL),(20,652,1,12,7,NULL,NULL,NULL,NULL),(20,652,1,12,8,NULL,NULL,NULL,NULL),(20,652,1,12,9,NULL,NULL,NULL,NULL),(20,652,1,12,10,NULL,NULL,NULL,NULL),(20,652,1,12,11,NULL,NULL,NULL,NULL),(20,652,1,12,12,NULL,NULL,NULL,NULL),(20,652,1,12,13,NULL,NULL,NULL,NULL),(20,652,1,12,14,NULL,NULL,NULL,NULL),(20,652,1,12,15,NULL,NULL,NULL,NULL),(20,652,1,12,16,NULL,NULL,NULL,NULL),(20,652,1,12,17,NULL,NULL,NULL,NULL),(20,652,1,12,18,NULL,NULL,NULL,NULL),(20,652,1,12,19,NULL,NULL,NULL,NULL),(20,652,1,12,20,NULL,NULL,NULL,NULL),(20,652,1,12,21,NULL,NULL,NULL,NULL),(20,652,1,12,22,NULL,NULL,NULL,NULL),(20,652,1,12,23,NULL,NULL,NULL,NULL),(20,652,1,12,24,NULL,NULL,NULL,NULL),(20,652,1,12,25,NULL,NULL,NULL,NULL),(20,652,1,12,26,NULL,NULL,NULL,NULL),(20,652,1,12,27,NULL,NULL,NULL,NULL),(20,652,1,12,28,NULL,NULL,NULL,NULL),(20,652,1,12,29,NULL,NULL,NULL,NULL),(20,652,1,12,30,NULL,NULL,NULL,NULL),(20,652,1,12,31,NULL,NULL,NULL,NULL),(20,652,1,12,32,NULL,NULL,NULL,NULL),(20,652,1,12,33,NULL,NULL,NULL,NULL),(20,652,1,12,34,NULL,NULL,NULL,NULL),(20,652,1,12,35,NULL,NULL,NULL,NULL),(20,652,1,12,36,NULL,NULL,NULL,NULL),(20,652,1,12,37,NULL,NULL,NULL,NULL),(20,652,1,12,38,NULL,NULL,NULL,NULL),(20,652,1,12,39,NULL,NULL,NULL,NULL),(20,652,1,12,40,NULL,NULL,NULL,NULL),(20,652,1,13,1,NULL,NULL,NULL,NULL),(20,652,1,13,2,NULL,NULL,NULL,NULL),(20,652,1,13,3,NULL,NULL,NULL,NULL),(20,652,1,13,4,NULL,NULL,NULL,NULL),(20,652,1,13,5,NULL,NULL,NULL,NULL),(20,652,1,13,6,NULL,NULL,NULL,NULL),(20,652,1,13,7,NULL,NULL,NULL,NULL),(20,652,1,13,8,NULL,NULL,NULL,NULL),(20,652,1,13,9,NULL,NULL,NULL,NULL),(20,652,1,13,10,NULL,NULL,NULL,NULL),(20,652,1,13,11,NULL,NULL,NULL,NULL),(20,652,1,13,12,NULL,NULL,NULL,NULL),(20,652,1,13,13,NULL,NULL,NULL,NULL),(20,652,1,13,14,NULL,NULL,NULL,NULL),(20,652,1,13,15,NULL,NULL,NULL,NULL),(20,652,1,13,16,NULL,NULL,NULL,NULL),(20,652,1,13,17,NULL,NULL,NULL,NULL),(20,652,1,13,18,NULL,NULL,NULL,NULL),(20,652,1,13,19,NULL,NULL,NULL,NULL),(20,652,1,13,20,NULL,NULL,NULL,NULL),(20,652,1,13,21,NULL,NULL,NULL,NULL),(20,652,1,13,22,NULL,NULL,NULL,NULL),(20,652,1,13,23,NULL,NULL,NULL,NULL),(20,652,1,13,24,NULL,NULL,NULL,NULL),(20,652,1,13,25,NULL,NULL,NULL,NULL),(20,652,1,13,26,NULL,NULL,NULL,NULL),(20,652,1,13,27,NULL,NULL,NULL,NULL),(20,652,1,13,28,NULL,NULL,NULL,NULL),(20,652,1,13,29,NULL,NULL,NULL,NULL),(20,652,1,13,30,NULL,NULL,NULL,NULL),(20,652,1,13,31,NULL,NULL,NULL,NULL),(20,652,1,13,32,NULL,NULL,NULL,NULL),(20,652,1,13,33,NULL,NULL,NULL,NULL),(20,652,1,13,34,NULL,NULL,NULL,NULL),(20,652,1,13,35,NULL,NULL,NULL,NULL),(20,652,1,13,36,NULL,NULL,NULL,NULL),(20,652,1,13,37,NULL,NULL,NULL,NULL),(20,652,1,13,38,NULL,NULL,NULL,NULL),(20,652,1,13,39,NULL,NULL,NULL,NULL),(20,652,1,13,40,NULL,NULL,NULL,NULL),(20,652,1,14,1,4,2,2,NULL),(20,652,1,14,2,1,3,1,4),(20,652,1,14,3,1,4,1,2),(20,652,1,14,4,2,5,1,4),(20,652,1,14,5,3,3,3,1),(20,652,1,14,6,4,7,3,7),(20,652,1,14,7,2,1,2,2),(20,652,1,14,8,1,1,2,2),(20,652,1,14,9,3,10,4,7),(20,652,1,14,10,1,1,1,1),(20,652,1,14,11,1,5,NULL,3),(20,652,1,14,12,1,4,2,2),(20,652,1,14,13,6,4,4,2),(20,652,1,14,14,5,8,6,6),(20,652,1,14,15,4,6,4,2),(20,652,1,14,16,11,2,9,1),(20,652,1,14,17,5,5,2,5),(20,652,1,14,18,6,4,4,3),(20,652,1,14,19,4,3,3,2),(20,652,1,14,20,3,NULL,3,1),(20,652,1,14,21,1,5,NULL,3),(20,652,1,14,22,2,5,NULL,4),(20,652,1,14,23,3,5,2,3),(20,652,1,14,24,1,5,1,3),(20,652,1,14,25,4,6,NULL,5),(20,652,1,14,26,NULL,NULL,NULL,NULL),(20,652,1,14,27,NULL,2,NULL,2),(20,652,1,14,28,NULL,2,NULL,2),(20,652,1,14,29,3,5,2,2),(20,652,1,14,30,NULL,3,1,3),(20,652,1,14,31,3,7,1,5),(20,652,1,14,32,4,4,1,3),(20,652,1,14,33,2,NULL,3,1),(20,652,1,14,34,1,3,1,4),(20,652,1,14,35,3,5,1,4),(20,652,1,14,36,4,6,3,6),(20,652,1,14,37,8,5,5,5),(20,652,1,14,38,1,3,NULL,3),(20,652,1,14,39,7,10,6,4),(20,652,1,14,40,4,1,6,NULL),(20,652,1,15,1,1,4,2,2),(20,652,1,15,2,NULL,2,NULL,NULL),(20,652,1,15,3,NULL,NULL,NULL,1),(20,652,1,15,4,2,4,1,3),(20,652,1,15,5,2,2,2,NULL),(20,652,1,15,6,8,5,3,5),(20,652,1,15,7,3,2,2,2),(20,652,1,15,8,NULL,1,1,1),(20,652,1,15,9,4,9,3,6),(20,652,1,15,10,1,3,1,2),(20,652,1,15,11,2,6,NULL,5),(20,652,1,15,12,2,1,2,1),(20,652,1,15,13,4,4,2,3),(20,652,1,15,14,5,3,3,4),(20,652,1,15,15,4,2,3,2),(20,652,1,15,16,7,NULL,5,1),(20,652,1,15,17,1,7,1,3),(20,652,1,15,18,4,4,4,2),(20,652,1,15,19,4,1,2,1),(20,652,1,15,20,3,2,4,2),(20,652,1,15,21,4,3,NULL,2),(20,652,1,15,22,1,1,NULL,1),(20,652,1,15,23,3,1,2,1),(20,652,1,15,24,2,3,1,2),(20,652,1,15,25,NULL,4,NULL,5),(20,652,1,15,26,NULL,NULL,NULL,NULL),(20,652,1,15,27,4,1,1,1),(20,652,1,15,28,1,2,1,1),(20,652,1,15,29,NULL,1,NULL,2),(20,652,1,15,30,NULL,3,1,1),(20,652,1,15,31,1,5,1,5),(20,652,1,15,32,2,1,2,1),(20,652,1,15,33,1,NULL,NULL,NULL),(20,652,1,15,34,NULL,2,1,1),(20,652,1,15,35,4,1,2,NULL),(20,652,1,15,36,2,4,2,3),(20,652,1,15,37,5,2,5,3),(20,652,1,15,38,NULL,NULL,NULL,2),(20,652,1,15,39,2,5,3,6),(20,652,1,15,40,NULL,2,1,NULL),(20,652,1,16,1,NULL,3,NULL,1),(20,652,1,16,2,1,1,1,1),(20,652,1,16,3,NULL,2,1,1),(20,652,1,16,4,1,5,2,3),(20,652,1,16,5,3,1,2,1),(20,652,1,16,6,3,5,5,4),(20,652,1,16,7,3,2,2,2),(20,652,1,16,8,4,4,4,3),(20,652,1,16,9,5,4,5,2),(20,652,1,16,10,2,1,1,NULL),(20,652,1,16,11,1,1,NULL,NULL),(20,652,1,16,12,1,2,NULL,3),(20,652,1,16,13,5,3,5,1),(20,652,1,16,14,1,2,NULL,1),(20,652,1,16,15,3,2,3,1),(20,652,1,16,16,1,4,NULL,4),(20,652,1,16,17,7,5,8,3),(20,652,1,16,18,1,4,1,4),(20,652,1,16,19,10,7,3,5),(20,652,1,16,20,NULL,4,NULL,2),(20,652,1,16,21,1,1,2,2),(20,652,1,16,22,2,3,1,3),(20,652,1,16,23,1,5,1,6),(20,652,1,16,24,1,NULL,NULL,NULL),(20,652,1,16,25,1,6,NULL,4),(20,652,1,16,26,NULL,NULL,NULL,NULL),(20,652,1,16,27,3,NULL,2,2),(20,652,1,16,28,1,3,NULL,1),(20,652,1,16,29,1,2,2,2),(20,652,1,16,30,NULL,2,NULL,NULL),(20,652,1,16,31,2,2,1,3),(20,652,1,16,32,1,2,1,NULL),(20,652,1,16,33,1,1,NULL,1),(20,652,1,16,34,1,1,NULL,NULL),(20,652,1,16,35,4,2,NULL,1),(20,652,1,16,36,1,3,1,3),(20,652,1,16,37,4,3,5,2),(20,652,1,16,38,NULL,1,NULL,NULL),(20,652,1,16,39,3,7,4,5),(20,652,1,16,40,1,1,1,1),(20,652,1,17,1,NULL,2,NULL,1),(20,652,1,17,2,NULL,1,NULL,NULL),(20,652,1,17,3,3,1,NULL,NULL),(20,652,1,17,4,1,4,1,2),(20,652,1,17,5,2,3,2,2),(20,652,1,17,6,5,5,4,4),(20,652,1,17,7,NULL,1,NULL,1),(20,652,1,17,8,1,2,1,1),(20,652,1,17,9,5,6,1,6),(20,652,1,17,10,NULL,2,NULL,NULL),(20,652,1,17,11,3,1,1,1),(20,652,1,17,12,NULL,NULL,1,1),(20,652,1,17,13,6,5,3,3),(20,652,1,17,14,NULL,2,1,2),(20,652,1,17,15,3,2,3,1),(20,652,1,17,16,2,4,NULL,5),(20,652,1,17,17,5,4,6,3),(20,652,1,17,18,1,1,NULL,1),(20,652,1,17,19,8,3,6,1),(20,652,1,17,20,NULL,4,1,3),(20,652,1,17,21,NULL,1,NULL,NULL),(20,652,1,17,22,NULL,3,NULL,3),(20,652,1,17,23,1,3,1,2),(20,652,1,17,24,2,NULL,1,NULL),(20,652,1,17,25,1,3,1,2),(20,652,1,17,26,NULL,NULL,NULL,NULL),(20,652,1,17,27,3,2,1,1),(20,652,1,17,28,NULL,NULL,NULL,NULL),(20,652,1,17,29,1,1,NULL,NULL),(20,652,1,17,30,1,3,1,3),(20,652,1,17,31,4,3,2,4),(20,652,1,17,32,NULL,NULL,1,NULL),(20,652,1,17,33,NULL,NULL,NULL,1),(20,652,1,17,34,NULL,NULL,NULL,NULL),(20,652,1,17,35,2,5,NULL,2),(20,652,1,17,36,NULL,NULL,1,NULL),(20,652,1,17,37,2,2,1,1),(20,652,1,17,38,NULL,NULL,NULL,1),(20,652,1,17,39,2,2,1,1),(20,652,1,17,40,1,2,1,NULL),(20,652,2,21,1,NULL,NULL,NULL,1),(20,652,2,21,2,NULL,1,NULL,NULL),(20,652,2,21,3,2,7,NULL,3),(20,652,2,21,4,NULL,3,NULL,5),(20,652,2,21,5,1,1,1,4),(20,652,2,21,6,1,3,2,4),(20,652,2,21,7,1,2,2,1),(20,652,2,21,8,NULL,NULL,NULL,NULL),(20,652,2,21,9,8,9,3,5),(20,652,2,21,10,1,2,1,3),(20,652,2,21,11,5,2,2,3),(20,652,2,21,12,1,1,1,2),(20,652,2,21,13,5,5,6,5),(20,652,2,21,14,4,11,3,9),(20,652,2,21,15,2,7,4,4),(20,652,2,21,16,4,3,NULL,3),(20,652,2,21,17,2,1,1,3),(20,652,2,21,18,1,NULL,NULL,NULL),(20,652,2,21,19,4,11,NULL,7),(20,652,2,21,20,2,5,3,2),(20,652,2,21,21,NULL,NULL,NULL,NULL),(20,652,2,21,22,NULL,3,NULL,2),(20,652,2,21,23,NULL,2,NULL,2),(20,652,2,21,24,NULL,NULL,NULL,NULL),(20,652,2,21,25,3,10,NULL,6),(20,652,2,21,26,1,1,NULL,2),(20,652,2,21,27,1,3,NULL,2),(20,652,2,21,28,2,2,2,1),(20,652,2,21,29,NULL,1,1,NULL),(20,652,2,21,30,NULL,NULL,NULL,1),(20,652,2,21,31,1,2,1,NULL),(20,652,2,21,32,1,3,NULL,4),(20,652,2,21,33,3,6,2,3),(20,652,2,21,34,1,2,2,2),(20,652,2,21,35,NULL,6,1,5),(20,652,2,21,36,NULL,2,NULL,4),(20,652,2,21,37,1,3,NULL,2),(20,652,2,21,38,1,NULL,1,1),(20,652,2,21,39,1,1,NULL,3),(20,652,2,21,40,2,2,2,1),(20,652,2,22,1,3,1,1,2),(20,652,2,22,2,NULL,1,NULL,1),(20,652,2,22,3,3,5,3,3),(20,652,2,22,4,1,NULL,1,1),(20,652,2,22,5,1,2,1,NULL),(20,652,2,22,6,1,2,1,1),(20,652,2,22,7,3,NULL,2,1),(20,652,2,22,8,NULL,NULL,1,NULL),(20,652,2,22,9,10,5,6,3),(20,652,2,22,10,NULL,6,NULL,3),(20,652,2,22,11,1,6,1,1),(20,652,2,22,12,1,2,1,NULL),(20,652,2,22,13,5,11,3,3),(20,652,2,22,14,10,7,5,3),(20,652,2,22,15,11,4,4,2),(20,652,2,22,16,2,NULL,2,1),(20,652,2,22,17,1,2,2,1),(20,652,2,22,18,1,5,1,4),(20,652,2,22,19,2,9,1,4),(20,652,2,22,20,NULL,6,1,5),(20,652,2,22,21,NULL,NULL,NULL,1),(20,652,2,22,22,NULL,1,NULL,NULL),(20,652,2,22,23,NULL,2,NULL,NULL),(20,652,2,22,24,1,1,NULL,NULL),(20,652,2,22,25,1,9,3,3),(20,652,2,22,26,NULL,NULL,NULL,NULL),(20,652,2,22,27,NULL,2,2,1),(20,652,2,22,28,2,1,3,1),(20,652,2,22,29,1,NULL,1,1),(20,652,2,22,30,2,2,1,2),(20,652,2,22,31,1,2,NULL,4),(20,652,2,22,32,NULL,2,NULL,1),(20,652,2,22,33,4,5,1,6),(20,652,2,22,34,2,2,1,5),(20,652,2,22,35,NULL,2,NULL,2),(20,652,2,22,36,2,4,1,3),(20,652,2,22,37,NULL,1,NULL,NULL),(20,652,2,22,38,NULL,1,NULL,1),(20,652,2,22,39,NULL,NULL,NULL,1),(20,652,2,22,40,NULL,4,1,3),(20,652,2,23,1,2,2,NULL,NULL),(20,652,2,23,2,1,3,NULL,NULL),(20,652,2,23,3,2,7,2,4),(20,652,2,23,4,NULL,1,NULL,NULL),(20,652,2,23,5,NULL,3,NULL,2),(20,652,2,23,6,1,1,1,NULL),(20,652,2,23,7,3,3,NULL,1),(20,652,2,23,8,NULL,NULL,NULL,NULL),(20,652,2,23,9,6,7,1,5),(20,652,2,23,10,NULL,4,NULL,3),(20,652,2,23,11,6,3,3,1),(20,652,2,23,12,1,3,1,1),(20,652,2,23,13,3,12,2,5),(20,652,2,23,14,11,7,2,3),(20,652,2,23,15,6,5,3,1),(20,652,2,23,16,1,6,1,1),(20,652,2,23,17,3,1,NULL,NULL),(20,652,2,23,18,NULL,4,NULL,1),(20,652,2,23,19,5,15,1,7),(20,652,2,23,20,3,3,1,1),(20,652,2,23,21,NULL,4,NULL,2),(20,652,2,23,22,1,NULL,NULL,NULL),(20,652,2,23,23,NULL,1,NULL,NULL),(20,652,2,23,24,NULL,2,NULL,NULL),(20,652,2,23,25,3,7,1,1),(20,652,2,23,26,NULL,2,1,NULL),(20,652,2,23,27,NULL,1,NULL,1),(20,652,2,23,28,3,NULL,1,NULL),(20,652,2,23,29,NULL,1,NULL,NULL),(20,652,2,23,30,2,3,1,NULL),(20,652,2,23,31,1,NULL,NULL,NULL),(20,652,2,23,32,NULL,2,NULL,NULL),(20,652,2,23,33,1,8,NULL,5),(20,652,2,23,34,NULL,4,NULL,3),(20,652,2,23,35,1,4,NULL,1),(20,652,2,23,36,1,6,NULL,2),(20,652,2,23,37,NULL,7,NULL,3),(20,652,2,23,38,2,2,NULL,NULL),(20,652,2,23,39,1,2,1,2),(20,652,2,23,40,1,3,NULL,2),(20,652,2,24,1,1,2,1,3),(20,652,2,24,2,NULL,4,NULL,3),(20,652,2,24,3,7,4,6,3),(20,652,2,24,4,2,1,1,2),(20,652,2,24,5,NULL,2,NULL,NULL),(20,652,2,24,6,4,2,3,1),(20,652,2,24,7,4,4,4,1),(20,652,2,24,8,2,NULL,2,NULL),(20,652,2,24,9,5,15,5,11),(20,652,2,24,10,NULL,2,NULL,1),(20,652,2,24,11,3,4,4,2),(20,652,2,24,12,2,2,2,2),(20,652,2,24,13,13,7,9,4),(20,652,2,24,14,9,13,8,7),(20,652,2,24,15,4,6,3,5),(20,652,2,24,16,3,4,1,3),(20,652,2,24,17,3,4,3,2),(20,652,2,24,18,NULL,3,1,2),(20,652,2,24,19,3,9,2,7),(20,652,2,24,20,3,6,3,4),(20,652,2,24,21,NULL,2,NULL,1),(20,652,2,24,22,2,5,1,3),(20,652,2,24,23,NULL,1,NULL,NULL),(20,652,2,24,24,NULL,1,NULL,1),(20,652,2,24,25,5,5,6,3),(20,652,2,24,26,NULL,2,1,1),(20,652,2,24,27,1,1,1,NULL),(20,652,2,24,28,4,2,5,2),(20,652,2,24,29,NULL,2,NULL,3),(20,652,2,24,30,2,1,NULL,NULL),(20,652,2,24,31,NULL,2,1,2),(20,652,2,24,32,NULL,6,NULL,5),(20,652,2,24,33,3,8,1,8),(20,652,2,24,34,NULL,6,NULL,4),(20,652,2,24,35,1,5,1,4),(20,652,2,24,36,NULL,4,NULL,3),(20,652,2,24,37,1,3,NULL,4),(20,652,2,24,38,NULL,1,NULL,3),(20,652,2,24,39,NULL,1,1,1),(20,652,2,24,40,1,4,2,4),(20,653,1,11,1,NULL,NULL,NULL,NULL),(20,653,1,11,2,NULL,NULL,NULL,NULL),(20,653,1,11,3,NULL,NULL,NULL,NULL),(20,653,1,11,4,NULL,1,NULL,NULL),(20,653,1,11,5,NULL,NULL,NULL,NULL),(20,653,1,11,6,NULL,NULL,1,NULL),(20,653,1,11,7,NULL,NULL,NULL,NULL),(20,653,1,11,8,NULL,NULL,NULL,NULL),(20,653,1,11,9,NULL,NULL,1,NULL),(20,653,1,11,10,NULL,NULL,NULL,NULL),(20,653,1,11,11,NULL,NULL,NULL,NULL),(20,653,1,11,12,NULL,NULL,NULL,NULL),(20,653,1,11,13,NULL,NULL,NULL,1),(20,653,1,11,14,NULL,NULL,1,NULL),(20,653,1,11,15,NULL,NULL,NULL,NULL),(20,653,1,11,16,NULL,NULL,1,NULL),(20,653,1,11,17,NULL,1,1,NULL),(20,653,1,11,18,NULL,NULL,1,NULL),(20,653,1,11,19,NULL,NULL,1,NULL),(20,653,1,11,20,NULL,NULL,1,NULL),(20,653,1,11,21,NULL,NULL,NULL,NULL),(20,653,1,11,22,NULL,NULL,NULL,NULL),(20,653,1,11,23,NULL,NULL,NULL,NULL),(20,653,1,11,24,NULL,NULL,NULL,NULL),(20,653,1,11,25,NULL,NULL,NULL,1),(20,653,1,11,26,NULL,NULL,NULL,NULL),(20,653,1,11,27,NULL,NULL,NULL,NULL),(20,653,1,11,28,NULL,NULL,1,NULL),(20,653,1,11,29,NULL,NULL,NULL,NULL),(20,653,1,11,30,NULL,NULL,1,NULL),(20,653,1,11,31,NULL,NULL,1,NULL),(20,653,1,11,32,NULL,NULL,NULL,NULL),(20,653,1,11,33,NULL,NULL,NULL,1),(20,653,1,11,34,NULL,NULL,NULL,NULL),(20,653,1,11,35,NULL,NULL,1,NULL),(20,653,1,11,36,NULL,NULL,1,NULL),(20,653,1,11,37,NULL,NULL,NULL,NULL),(20,653,1,11,38,NULL,NULL,NULL,NULL),(20,653,1,11,39,NULL,NULL,1,NULL),(20,653,1,11,40,NULL,NULL,NULL,NULL),(20,653,1,12,1,NULL,NULL,NULL,NULL),(20,653,1,12,2,NULL,NULL,NULL,NULL),(20,653,1,12,3,NULL,NULL,NULL,NULL),(20,653,1,12,4,NULL,NULL,NULL,NULL),(20,653,1,12,5,NULL,NULL,NULL,NULL),(20,653,1,12,6,NULL,NULL,NULL,NULL),(20,653,1,12,7,NULL,NULL,NULL,NULL),(20,653,1,12,8,NULL,NULL,NULL,NULL),(20,653,1,12,9,NULL,NULL,NULL,NULL),(20,653,1,12,10,NULL,NULL,NULL,NULL),(20,653,1,12,11,NULL,NULL,NULL,NULL),(20,653,1,12,12,NULL,NULL,NULL,NULL),(20,653,1,12,13,NULL,NULL,NULL,NULL),(20,653,1,12,14,NULL,NULL,NULL,NULL),(20,653,1,12,15,NULL,NULL,NULL,NULL),(20,653,1,12,16,NULL,NULL,NULL,NULL),(20,653,1,12,17,NULL,NULL,NULL,NULL),(20,653,1,12,18,NULL,NULL,NULL,NULL),(20,653,1,12,19,NULL,NULL,NULL,NULL),(20,653,1,12,20,NULL,NULL,NULL,NULL),(20,653,1,12,21,NULL,NULL,NULL,NULL),(20,653,1,12,22,NULL,NULL,NULL,NULL),(20,653,1,12,23,NULL,NULL,NULL,NULL),(20,653,1,12,24,NULL,NULL,NULL,NULL),(20,653,1,12,25,NULL,NULL,NULL,NULL),(20,653,1,12,26,NULL,NULL,NULL,NULL),(20,653,1,12,27,NULL,NULL,NULL,NULL),(20,653,1,12,28,NULL,NULL,NULL,NULL),(20,653,1,12,29,NULL,NULL,NULL,NULL),(20,653,1,12,30,NULL,NULL,NULL,NULL),(20,653,1,12,31,NULL,NULL,NULL,NULL),(20,653,1,12,32,NULL,NULL,NULL,NULL),(20,653,1,12,33,NULL,NULL,NULL,NULL),(20,653,1,12,34,NULL,NULL,NULL,NULL),(20,653,1,12,35,NULL,NULL,NULL,NULL),(20,653,1,12,36,NULL,NULL,NULL,NULL),(20,653,1,12,37,NULL,NULL,NULL,NULL),(20,653,1,12,38,NULL,NULL,NULL,NULL),(20,653,1,12,39,NULL,NULL,NULL,NULL),(20,653,1,12,40,NULL,NULL,NULL,NULL),(20,653,1,13,1,1,1,NULL,NULL),(20,653,1,13,2,1,NULL,NULL,NULL),(20,653,1,13,3,NULL,1,NULL,NULL),(20,653,1,13,4,NULL,NULL,NULL,NULL),(20,653,1,13,5,NULL,1,NULL,NULL),(20,653,1,13,6,1,1,NULL,NULL),(20,653,1,13,7,NULL,NULL,NULL,NULL),(20,653,1,13,8,NULL,NULL,NULL,NULL),(20,653,1,13,9,2,NULL,NULL,NULL),(20,653,1,13,10,NULL,NULL,NULL,NULL),(20,653,1,13,11,NULL,NULL,NULL,NULL),(20,653,1,13,12,NULL,NULL,NULL,NULL),(20,653,1,13,13,1,NULL,NULL,NULL),(20,653,1,13,14,1,NULL,NULL,NULL),(20,653,1,13,15,2,NULL,NULL,NULL),(20,653,1,13,16,1,NULL,NULL,NULL),(20,653,1,13,17,1,1,NULL,NULL),(20,653,1,13,18,1,NULL,NULL,NULL),(20,653,1,13,19,1,NULL,NULL,NULL),(20,653,1,13,20,2,NULL,NULL,NULL),(20,653,1,13,21,NULL,NULL,NULL,NULL),(20,653,1,13,22,NULL,NULL,NULL,NULL),(20,653,1,13,23,NULL,1,NULL,NULL),(20,653,1,13,24,NULL,NULL,NULL,NULL),(20,653,1,13,25,NULL,NULL,NULL,NULL),(20,653,1,13,26,NULL,NULL,NULL,NULL),(20,653,1,13,27,NULL,NULL,NULL,NULL),(20,653,1,13,28,NULL,NULL,NULL,NULL),(20,653,1,13,29,NULL,NULL,NULL,NULL),(20,653,1,13,30,NULL,NULL,NULL,NULL),(20,653,1,13,31,2,NULL,NULL,NULL),(20,653,1,13,32,1,NULL,NULL,NULL),(20,653,1,13,33,NULL,NULL,NULL,NULL),(20,653,1,13,34,NULL,NULL,NULL,NULL),(20,653,1,13,35,1,1,NULL,NULL),(20,653,1,13,36,NULL,NULL,NULL,NULL),(20,653,1,13,37,1,NULL,NULL,NULL),(20,653,1,13,38,NULL,NULL,NULL,NULL),(20,653,1,13,39,NULL,1,NULL,NULL),(20,653,1,13,40,NULL,NULL,NULL,NULL),(20,653,1,14,1,6,4,7,4),(20,653,1,14,2,1,3,3,2),(20,653,1,14,3,3,12,3,4),(20,653,1,14,4,3,9,1,8),(20,653,1,14,5,3,13,5,7),(20,653,1,14,6,13,20,10,10),(20,653,1,14,7,2,2,5,6),(20,653,1,14,8,4,8,8,3),(20,653,1,14,9,13,13,7,7),(20,653,1,14,10,2,4,4,2),(20,653,1,14,11,3,2,1,3),(20,653,1,14,12,5,5,3,3),(20,653,1,14,13,6,7,10,7),(20,653,1,14,14,12,14,10,11),(20,653,1,14,15,7,8,9,3),(20,653,1,14,16,16,7,17,2),(20,653,1,14,17,3,12,5,10),(20,653,1,14,18,14,6,12,2),(20,653,1,14,19,7,1,14,1),(20,653,1,14,20,8,8,12,6),(20,653,1,14,21,4,5,1,5),(20,653,1,14,22,4,9,6,11),(20,653,1,14,23,8,15,1,9),(20,653,1,14,24,4,11,NULL,8),(20,653,1,14,25,5,15,10,10),(20,653,1,14,26,3,NULL,6,NULL),(20,653,1,14,27,6,8,6,12),(20,653,1,14,28,1,3,NULL,5),(20,653,1,14,29,1,6,2,1),(20,653,1,14,30,4,8,2,4),(20,653,1,14,31,8,9,5,7),(20,653,1,14,32,4,7,4,5),(20,653,1,14,33,1,8,NULL,8),(20,653,1,14,34,2,5,1,4),(20,653,1,14,35,7,8,3,8),(20,653,1,14,36,8,12,9,8),(20,653,1,14,37,11,6,8,10),(20,653,1,14,38,2,4,3,2),(20,653,1,14,39,15,15,16,6),(20,653,1,14,40,3,2,4,NULL),(20,653,1,15,1,4,12,8,4),(20,653,1,15,2,2,3,2,6),(20,653,1,15,3,7,11,5,7),(20,653,1,15,4,4,7,1,6),(20,653,1,15,5,6,9,9,4),(20,653,1,15,6,15,14,16,5),(20,653,1,15,7,1,7,2,6),(20,653,1,15,8,10,3,10,6),(20,653,1,15,9,12,16,10,8),(20,653,1,15,10,7,5,6,7),(20,653,1,15,11,1,6,1,4),(20,653,1,15,12,3,4,5,6),(20,653,1,15,13,10,8,13,8),(20,653,1,15,14,10,13,12,7),(20,653,1,15,15,6,3,9,5),(20,653,1,15,16,10,8,11,6),(20,653,1,15,17,3,17,5,14),(20,653,1,15,18,10,7,11,5),(20,653,1,15,19,9,4,17,4),(20,653,1,15,20,11,5,14,8),(20,653,1,15,21,5,7,2,8),(20,653,1,15,22,4,8,3,17),(20,653,1,15,23,5,17,3,15),(20,653,1,15,24,9,7,5,8),(20,653,1,15,25,7,16,7,11),(20,653,1,15,26,3,NULL,6,NULL),(20,653,1,15,27,5,10,3,11),(20,653,1,15,28,2,4,2,3),(20,653,1,15,29,2,6,1,3),(20,653,1,15,30,5,4,2,5),(20,653,1,15,31,9,11,4,10),(20,653,1,15,32,8,6,10,4),(20,653,1,15,33,4,7,9,5),(20,653,1,15,34,2,2,2,2),(20,653,1,15,35,8,10,5,8),(20,653,1,15,36,14,10,14,7),(20,653,1,15,37,11,12,13,9),(20,653,1,15,38,1,6,3,2),(20,653,1,15,39,22,12,18,7),(20,653,1,15,40,3,3,8,1),(20,653,1,16,1,7,6,2,1),(20,653,1,16,2,1,5,1,2),(20,653,1,16,3,3,7,1,1),(20,653,1,16,4,5,13,NULL,3),(20,653,1,16,5,6,4,6,2),(20,653,1,16,6,17,14,6,3),(20,653,1,16,7,3,1,4,2),(20,653,1,16,8,10,10,2,2),(20,653,1,16,9,12,23,4,3),(20,653,1,16,10,2,2,NULL,2),(20,653,1,16,11,4,2,1,2),(20,653,1,16,12,NULL,9,NULL,3),(20,653,1,16,13,14,10,6,1),(20,653,1,16,14,2,NULL,2,NULL),(20,653,1,16,15,11,9,7,1),(20,653,1,16,16,NULL,18,1,2),(20,653,1,16,17,21,10,6,4),(20,653,1,16,18,1,15,1,3),(20,653,1,16,19,16,18,3,4),(20,653,1,16,20,4,12,1,3),(20,653,1,16,21,5,7,NULL,2),(20,653,1,16,22,2,8,1,7),(20,653,1,16,23,4,13,NULL,5),(20,653,1,16,24,5,9,3,2),(20,653,1,16,25,1,17,2,8),(20,653,1,16,26,5,NULL,2,NULL),(20,653,1,16,27,5,13,2,6),(20,653,1,16,28,2,3,1,1),(20,653,1,16,29,1,3,NULL,NULL),(20,653,1,16,30,3,4,2,1),(20,653,1,16,31,7,13,3,4),(20,653,1,16,32,6,6,3,2),(20,653,1,16,33,1,5,2,3),(20,653,1,16,34,2,5,NULL,4),(20,653,1,16,35,8,9,6,3),(20,653,1,16,36,5,17,6,3),(20,653,1,16,37,14,14,3,4),(20,653,1,16,38,1,3,NULL,2),(20,653,1,16,39,24,17,10,2),(20,653,1,16,40,3,3,2,1),(20,653,1,17,1,4,11,2,5),(20,653,1,17,2,4,4,3,1),(20,653,1,17,3,5,9,1,4),(20,653,1,17,4,1,12,1,3),(20,653,1,17,5,5,9,4,2),(20,653,1,17,6,7,14,4,3),(20,653,1,17,7,4,7,2,1),(20,653,1,17,8,12,12,5,1),(20,653,1,17,9,7,20,1,3),(20,653,1,17,10,NULL,12,NULL,5),(20,653,1,17,11,5,4,NULL,2),(20,653,1,17,12,8,7,6,1),(20,653,1,17,13,13,15,6,2),(20,653,1,17,14,4,3,NULL,1),(20,653,1,17,15,7,7,3,1),(20,653,1,17,16,4,15,NULL,2),(20,653,1,17,17,24,15,8,2),(20,653,1,17,18,6,9,NULL,2),(20,653,1,17,19,17,10,2,3),(20,653,1,17,20,5,9,1,3),(20,653,1,17,21,6,3,2,2),(20,653,1,17,22,4,8,2,3),(20,653,1,17,23,3,14,NULL,4),(20,653,1,17,24,4,6,3,3),(20,653,1,17,25,4,11,1,3),(20,653,1,17,26,8,NULL,2,NULL),(20,653,1,17,27,2,13,1,8),(20,653,1,17,28,1,1,NULL,2),(20,653,1,17,29,2,6,NULL,1),(20,653,1,17,30,NULL,10,NULL,1),(20,653,1,17,31,12,5,2,4),(20,653,1,17,32,4,7,1,4),(20,653,1,17,33,NULL,9,NULL,6),(20,653,1,17,34,2,6,NULL,3),(20,653,1,17,35,7,13,1,4),(20,653,1,17,36,5,9,2,3),(20,653,1,17,37,7,7,4,5),(20,653,1,17,38,4,2,NULL,1),(20,653,1,17,39,11,14,2,7),(20,653,1,17,40,4,4,6,NULL),(20,653,2,21,1,4,10,1,7),(20,653,2,21,2,1,2,NULL,2),(20,653,2,21,3,9,12,1,4),(20,653,2,21,4,NULL,6,NULL,2),(20,653,2,21,5,NULL,3,NULL,3),(20,653,2,21,6,8,13,6,9),(20,653,2,21,7,4,9,4,6),(20,653,2,21,8,5,NULL,4,NULL),(20,653,2,21,9,13,28,7,9),(20,653,2,21,10,2,10,1,8),(20,653,2,21,11,7,6,4,2),(20,653,2,21,12,1,8,NULL,5),(20,653,2,21,13,18,15,12,4),(20,653,2,21,14,27,17,8,10),(20,653,2,21,15,18,12,12,5),(20,653,2,21,16,8,10,3,8),(20,653,2,21,17,3,6,5,5),(20,653,2,21,18,2,3,2,1),(20,653,2,21,19,7,17,3,5),(20,653,2,21,20,8,8,6,7),(20,653,2,21,21,1,2,NULL,NULL),(20,653,2,21,22,1,4,1,3),(20,653,2,21,23,2,1,1,3),(20,653,2,21,24,NULL,4,NULL,2),(20,653,2,21,25,9,17,7,6),(20,653,2,21,26,NULL,1,3,2),(20,653,2,21,27,1,3,1,2),(20,653,2,21,28,3,6,1,4),(20,653,2,21,29,NULL,NULL,NULL,1),(20,653,2,21,30,4,6,1,3),(20,653,2,21,31,NULL,9,2,9),(20,653,2,21,32,2,8,4,2),(20,653,2,21,33,10,13,5,1),(20,653,2,21,34,2,11,3,4),(20,653,2,21,35,1,7,2,4),(20,653,2,21,36,2,17,1,3),(20,653,2,21,37,4,7,NULL,7),(20,653,2,21,38,NULL,3,NULL,6),(20,653,2,21,39,1,6,3,5),(20,653,2,21,40,5,5,5,3),(20,653,2,22,1,4,9,NULL,2),(20,653,2,22,2,1,1,NULL,NULL),(20,653,2,22,3,12,17,4,4),(20,653,2,22,4,1,4,1,3),(20,653,2,22,5,NULL,3,NULL,3),(20,653,2,22,6,1,7,2,5),(20,653,2,22,7,3,8,3,6),(20,653,2,22,8,8,NULL,6,NULL),(20,653,2,22,9,21,22,8,8),(20,653,2,22,10,1,14,1,6),(20,653,2,22,11,7,8,2,4),(20,653,2,22,12,1,10,1,8),(20,653,2,22,13,10,19,8,10),(20,653,2,22,14,19,15,11,6),(20,653,2,22,15,23,10,8,6),(20,653,2,22,16,16,10,8,4),(20,653,2,22,17,10,4,7,NULL),(20,653,2,22,18,4,11,2,6),(20,653,2,22,19,8,20,2,9),(20,653,2,22,20,8,10,6,5),(20,653,2,22,21,NULL,1,NULL,1),(20,653,2,22,22,2,9,NULL,4),(20,653,2,22,23,1,4,NULL,1),(20,653,2,22,24,2,1,NULL,NULL),(20,653,2,22,25,19,16,8,4),(20,653,2,22,26,1,3,1,3),(20,653,2,22,27,2,5,3,2),(20,653,2,22,28,5,5,4,6),(20,653,2,22,29,3,4,NULL,2),(20,653,2,22,30,1,3,2,1),(20,653,2,22,31,6,12,4,7),(20,653,2,22,32,2,11,3,6),(20,653,2,22,33,8,18,3,4),(20,653,2,22,34,3,10,1,3),(20,653,2,22,35,4,17,5,11),(20,653,2,22,36,1,6,3,4),(20,653,2,22,37,1,5,2,4),(20,653,2,22,38,2,6,1,2),(20,653,2,22,39,2,4,1,3),(20,653,2,22,40,5,7,2,4),(20,653,2,23,1,5,6,2,3),(20,653,2,23,2,NULL,2,NULL,NULL),(20,653,2,23,3,8,19,4,6),(20,653,2,23,4,NULL,3,NULL,NULL),(20,653,2,23,5,NULL,3,2,3),(20,653,2,23,6,6,8,6,4),(20,653,2,23,7,6,13,6,6),(20,653,2,23,8,10,NULL,6,NULL),(20,653,2,23,9,19,27,6,6),(20,653,2,23,10,NULL,7,1,4),(20,653,2,23,11,6,6,1,1),(20,653,2,23,12,1,8,1,3),(20,653,2,23,13,13,25,9,4),(20,653,2,23,14,22,26,7,7),(20,653,2,23,15,11,10,3,7),(20,653,2,23,16,15,11,4,3),(20,653,2,23,17,8,3,6,2),(20,653,2,23,18,2,9,NULL,6),(20,653,2,23,19,8,22,4,4),(20,653,2,23,20,3,15,4,7),(20,653,2,23,21,NULL,4,NULL,1),(20,653,2,23,22,4,7,NULL,4),(20,653,2,23,23,1,9,1,2),(20,653,2,23,24,NULL,1,NULL,NULL),(20,653,2,23,25,15,22,2,7),(20,653,2,23,26,4,3,4,1),(20,653,2,23,27,4,6,1,2),(20,653,2,23,28,6,3,8,1),(20,653,2,23,29,3,7,2,3),(20,653,2,23,30,3,5,2,NULL),(20,653,2,23,31,5,15,1,6),(20,653,2,23,32,2,12,3,4),(20,653,2,23,33,9,18,2,5),(20,653,2,23,34,3,11,1,5),(20,653,2,23,35,NULL,12,NULL,5),(20,653,2,23,36,5,10,5,1),(20,653,2,23,37,1,5,3,4),(20,653,2,23,38,2,4,3,3),(20,653,2,23,39,3,6,5,3),(20,653,2,23,40,7,11,8,2),(20,653,2,24,1,2,3,NULL,1),(20,653,2,24,2,3,2,1,2),(20,653,2,24,3,8,4,NULL,5),(20,653,2,24,4,1,2,5,NULL),(20,653,2,24,5,NULL,2,NULL,NULL),(20,653,2,24,6,7,6,6,6),(20,653,2,24,7,4,8,3,6),(20,653,2,24,8,4,NULL,4,NULL),(20,653,2,24,9,20,33,5,11),(20,653,2,24,10,4,9,3,2),(20,653,2,24,11,8,10,7,1),(20,653,2,24,12,7,5,2,1),(20,653,2,24,13,17,17,15,3),(20,653,2,24,14,20,19,9,7),(20,653,2,24,15,18,10,9,4),(20,653,2,24,16,10,8,6,2),(20,653,2,24,17,4,1,3,2),(20,653,2,24,18,2,11,2,8),(20,653,2,24,19,11,22,2,13),(20,653,2,24,20,7,12,5,7),(20,653,2,24,21,NULL,2,1,4),(20,653,2,24,22,4,8,3,2),(20,653,2,24,23,1,8,NULL,1),(20,653,2,24,24,1,3,1,1),(20,653,2,24,25,11,16,5,5),(20,653,2,24,26,4,4,3,NULL),(20,653,2,24,27,4,5,1,3),(20,653,2,24,28,5,6,3,4),(20,653,2,24,29,NULL,5,NULL,5),(20,653,2,24,30,1,3,2,1),(20,653,2,24,31,1,9,NULL,5),(20,653,2,24,32,4,9,5,3),(20,653,2,24,33,6,19,3,4),(20,653,2,24,34,7,9,5,2),(20,653,2,24,35,3,11,3,7),(20,653,2,24,36,5,5,5,3),(20,653,2,24,37,5,5,3,6),(20,653,2,24,38,1,4,1,5),(20,653,2,24,39,2,6,2,5),(20,653,2,24,40,9,5,5,1),(25,2,1,11,1,0,0,NULL,NULL),(25,2,1,11,2,0,0,NULL,NULL),(25,2,1,11,3,0,0,NULL,NULL),(25,2,1,11,4,0,0,NULL,NULL),(25,2,1,11,5,1,0,1,NULL),(25,2,1,11,6,0,0,NULL,NULL),(25,2,1,11,7,1,0,1,NULL),(25,2,1,11,8,0,0,NULL,NULL),(25,2,1,11,9,1,0,1,NULL),(25,2,1,11,10,0,0,NULL,NULL),(25,2,1,11,11,0,0,NULL,NULL),(25,2,1,11,12,1,0,1,NULL),(25,2,1,11,13,0,0,NULL,NULL),(25,2,1,11,14,1,0,1,NULL),(25,2,1,11,15,0,0,NULL,NULL),(25,2,1,11,16,0,1,NULL,1),(25,2,1,11,17,1,0,1,NULL),(25,2,1,11,18,0,1,NULL,1),(25,2,1,11,19,0,0,NULL,NULL),(25,2,1,11,20,1,0,1,NULL),(25,2,1,11,21,0,0,NULL,NULL),(25,2,1,11,22,1,0,1,NULL),(25,2,1,11,23,1,0,1,NULL),(25,2,1,11,24,0,0,NULL,NULL),(25,2,1,11,25,1,0,1,NULL),(25,2,1,11,26,0,0,NULL,NULL),(25,2,1,11,27,0,0,NULL,NULL),(25,2,1,11,28,0,1,NULL,1),(25,2,1,11,29,0,0,NULL,NULL),(25,2,1,11,30,0,1,NULL,1),(25,2,1,11,31,0,0,NULL,NULL),(25,2,1,11,32,0,0,NULL,NULL),(25,2,1,11,33,0,0,NULL,NULL),(25,2,1,11,34,0,0,NULL,NULL),(25,2,1,11,35,0,0,NULL,NULL),(25,2,1,11,36,1,0,1,NULL),(25,2,1,11,37,0,0,NULL,NULL),(25,2,1,11,38,0,1,NULL,1),(25,2,1,11,39,0,0,NULL,NULL),(25,2,1,11,40,0,1,NULL,1),(25,2,1,12,1,0,0,NULL,NULL),(25,2,1,12,2,1,0,NULL,NULL),(25,2,1,12,3,0,0,NULL,NULL),(25,2,1,12,4,1,0,NULL,NULL),(25,2,1,12,5,1,0,NULL,NULL),(25,2,1,12,6,1,0,NULL,NULL),(25,2,1,12,7,0,0,NULL,NULL),(25,2,1,12,8,1,0,NULL,NULL),(25,2,1,12,9,0,1,NULL,NULL),(25,2,1,12,10,0,0,NULL,NULL),(25,2,1,12,11,1,0,NULL,NULL),(25,2,1,12,12,0,0,NULL,NULL),(25,2,1,12,13,1,0,NULL,NULL),(25,2,1,12,14,0,1,NULL,NULL),(25,2,1,12,15,1,0,NULL,NULL),(25,2,1,12,16,0,0,NULL,NULL),(25,2,1,12,17,1,0,NULL,NULL),(25,2,1,12,18,0,0,NULL,NULL),(25,2,1,12,19,1,0,NULL,NULL),(25,2,1,12,20,1,0,NULL,NULL),(25,2,1,12,21,0,0,NULL,NULL),(25,2,1,12,22,0,1,NULL,NULL),(25,2,1,12,23,0,0,NULL,NULL),(25,2,1,12,24,0,0,NULL,NULL),(25,2,1,12,25,0,0,NULL,NULL),(25,2,1,12,26,0,0,NULL,NULL),(25,2,1,12,27,0,0,NULL,NULL),(25,2,1,12,28,0,0,NULL,NULL),(25,2,1,12,29,0,0,NULL,NULL),(25,2,1,12,30,0,0,NULL,NULL),(25,2,1,12,31,0,1,NULL,NULL),(25,2,1,12,32,1,0,NULL,NULL),(25,2,1,12,33,0,0,NULL,NULL),(25,2,1,12,34,0,0,NULL,NULL),(25,2,1,12,35,1,0,NULL,NULL),(25,2,1,12,36,0,0,NULL,NULL),(25,2,1,12,37,0,0,NULL,NULL),(25,2,1,12,38,0,1,NULL,NULL),(25,2,1,12,39,0,0,NULL,NULL),(25,2,1,12,40,0,0,NULL,NULL),(25,2,1,13,1,0,0,NULL,NULL),(25,2,1,13,2,0,0,NULL,NULL),(25,2,1,13,3,0,0,NULL,NULL),(25,2,1,13,4,0,0,NULL,NULL),(25,2,1,13,5,0,0,NULL,NULL),(25,2,1,13,6,0,0,NULL,NULL),(25,2,1,13,7,0,0,NULL,NULL),(25,2,1,13,8,0,0,NULL,NULL),(25,2,1,13,9,0,0,NULL,NULL),(25,2,1,13,10,0,0,NULL,NULL),(25,2,1,13,11,0,0,NULL,NULL),(25,2,1,13,12,0,0,NULL,NULL),(25,2,1,13,13,0,0,NULL,NULL),(25,2,1,13,14,0,0,NULL,NULL),(25,2,1,13,15,0,0,NULL,NULL),(25,2,1,13,16,0,0,NULL,NULL),(25,2,1,13,17,0,0,NULL,NULL),(25,2,1,13,18,0,0,NULL,NULL),(25,2,1,13,19,0,0,NULL,NULL),(25,2,1,13,20,0,0,NULL,NULL),(25,2,1,13,21,0,0,NULL,NULL),(25,2,1,13,22,0,0,NULL,NULL),(25,2,1,13,23,0,0,NULL,NULL),(25,2,1,13,24,0,0,NULL,NULL),(25,2,1,13,25,0,0,NULL,NULL),(25,2,1,13,26,0,0,NULL,NULL),(25,2,1,13,27,0,0,NULL,NULL),(25,2,1,13,28,0,0,NULL,NULL),(25,2,1,13,29,0,0,NULL,NULL),(25,2,1,13,30,0,0,NULL,NULL),(25,2,1,13,31,0,0,NULL,NULL),(25,2,1,13,32,0,0,NULL,NULL),(25,2,1,13,33,0,0,NULL,NULL),(25,2,1,13,34,0,0,NULL,NULL),(25,2,1,13,35,0,0,NULL,NULL),(25,2,1,13,36,0,0,NULL,NULL),(25,2,1,13,37,0,0,NULL,NULL),(25,2,1,13,38,0,0,NULL,NULL),(25,2,1,13,39,0,0,NULL,NULL),(25,2,1,13,40,0,0,NULL,NULL),(25,2,1,14,1,10,10,7,7),(25,2,1,14,2,5,7,4,6),(25,2,1,14,3,5,5,5,3),(25,2,1,14,4,10,11,8,7),(25,2,1,14,5,1,7,1,4),(25,2,1,14,6,3,7,2,6),(25,2,1,14,7,3,16,3,10),(25,2,1,14,8,3,6,3,4),(25,2,1,14,9,8,6,5,4),(25,2,1,14,10,1,1,1,1),(25,2,1,14,11,2,4,1,3),(25,2,1,14,12,2,5,2,3),(25,2,1,14,13,4,4,3,3),(25,2,1,14,14,4,7,3,5),(25,2,1,14,15,9,4,6,3),(25,2,1,14,16,9,2,6,2),(25,2,1,14,17,6,4,6,2),(25,2,1,14,18,15,1,12,1),(25,2,1,14,19,6,15,5,11),(25,2,1,14,20,6,2,6,1),(25,2,1,14,21,1,10,1,8),(25,2,1,14,22,4,6,2,6),(25,2,1,14,23,2,6,2,5),(25,2,1,14,24,1,5,1,5),(25,2,1,14,25,1,8,1,5),(25,2,1,14,26,6,0,6,NULL),(25,2,1,14,27,1,0,1,NULL),(25,2,1,14,28,4,14,3,12),(25,2,1,14,29,3,5,2,3),(25,2,1,14,30,1,2,NULL,2),(25,2,1,14,31,1,0,1,NULL),(25,2,1,14,32,4,1,4,1),(25,2,1,14,33,0,4,NULL,3),(25,2,1,14,34,2,4,1,2),(25,2,1,14,35,6,3,5,2),(25,2,1,14,36,10,7,9,3),(25,2,1,14,37,4,5,4,4),(25,2,1,14,38,2,19,2,14),(25,2,1,14,39,1,12,1,9),(25,2,1,14,40,1,3,1,3),(25,2,1,15,1,10,9,6,9),(25,2,1,15,2,4,5,4,3),(25,2,1,15,3,3,7,3,6),(25,2,1,15,4,16,6,14,3),(25,2,1,15,5,5,8,4,7),(25,2,1,15,6,6,4,6,2),(25,2,1,15,7,4,19,3,14),(25,2,1,15,8,5,2,4,2),(25,2,1,15,9,4,6,4,5),(25,2,1,15,10,4,1,3,1),(25,2,1,15,11,3,5,3,5),(25,2,1,15,12,1,2,NULL,2),(25,2,1,15,13,6,3,6,2),(25,2,1,15,14,6,5,5,4),(25,2,1,15,15,11,5,9,4),(25,2,1,15,16,8,2,8,2),(25,2,1,15,17,8,4,8,3),(25,2,1,15,18,13,5,10,4),(25,2,1,15,19,15,3,13,NULL),(25,2,1,15,20,8,3,7,2),(25,2,1,15,21,3,5,3,5),(25,2,1,15,22,2,6,2,5),(25,2,1,15,23,3,10,2,8),(25,2,1,15,24,2,7,2,6),(25,2,1,15,25,4,7,4,4),(25,2,1,15,26,8,0,7,NULL),(25,2,1,15,27,4,0,3,NULL),(25,2,1,15,28,4,10,2,9),(25,2,1,15,29,2,5,1,3),(25,2,1,15,30,1,7,1,6),(25,2,1,15,31,1,1,1,1),(25,2,1,15,32,1,2,1,2),(25,2,1,15,33,3,3,3,3),(25,2,1,15,34,4,4,4,2),(25,2,1,15,35,5,2,4,1),(25,2,1,15,36,7,7,7,4),(25,2,1,15,37,7,5,7,3),(25,2,1,15,38,0,14,NULL,12),(25,2,1,15,39,3,8,3,7),(25,2,1,15,40,0,7,NULL,6),(25,2,1,16,1,2,5,2,3),(25,2,1,16,2,2,4,1,3),(25,2,1,16,3,3,3,3,1),(25,2,1,16,4,5,5,5,2),(25,2,1,16,5,0,1,NULL,1),(25,2,1,16,6,1,3,1,3),(25,2,1,16,7,2,6,2,6),(25,2,1,16,8,2,2,1,1),(25,2,1,16,9,1,4,NULL,4),(25,2,1,16,10,0,1,NULL,1),(25,2,1,16,11,1,0,1,NULL),(25,2,1,16,12,3,2,2,1),(25,2,1,16,13,5,1,5,1),(25,2,1,16,14,3,3,3,2),(25,2,1,16,15,6,0,5,NULL),(25,2,1,16,16,1,2,1,2),(25,2,1,16,17,1,5,1,3),(25,2,1,16,18,2,6,2,5),(25,2,1,16,19,0,3,NULL,2),(25,2,1,16,20,8,0,5,NULL),(25,2,1,16,21,2,3,2,3),(25,2,1,16,22,1,4,1,3),(25,2,1,16,23,1,2,1,2),(25,2,1,16,24,0,4,NULL,3),(25,2,1,16,25,1,1,1,1),(25,2,1,16,26,2,0,1,NULL),(25,2,1,16,27,1,0,1,NULL),(25,2,1,16,28,2,5,2,4),(25,2,1,16,29,1,0,NULL,NULL),(25,2,1,16,30,1,2,1,2),(25,2,1,16,31,0,2,NULL,2),(25,2,1,16,32,1,2,1,1),(25,2,1,16,33,0,1,NULL,1),(25,2,1,16,34,0,0,NULL,NULL),(25,2,1,16,35,1,1,1,1),(25,2,1,16,36,2,3,1,3),(25,2,1,16,37,1,4,1,2),(25,2,1,16,38,0,6,NULL,5),(25,2,1,16,39,0,2,NULL,1),(25,2,1,16,40,0,1,NULL,NULL),(25,2,1,17,1,5,3,4,NULL),(25,2,1,17,2,1,2,1,1),(25,2,1,17,3,5,5,3,3),(25,2,1,17,4,6,4,5,2),(25,2,1,17,5,0,4,NULL,NULL),(25,2,1,17,6,1,6,1,3),(25,2,1,17,7,3,4,2,2),(25,2,1,17,8,5,0,1,NULL),(25,2,1,17,9,4,5,3,3),(25,2,1,17,10,1,0,1,NULL),(25,2,1,17,11,2,1,2,NULL),(25,2,1,17,12,1,2,1,NULL),(25,2,1,17,13,6,2,4,NULL),(25,2,1,17,14,2,5,2,2),(25,2,1,17,15,6,0,3,NULL),(25,2,1,17,16,1,6,1,4),(25,2,1,17,17,0,8,NULL,5),(25,2,1,17,18,0,8,NULL,6),(25,2,1,17,19,0,2,NULL,2),(25,2,1,17,20,6,0,5,NULL),(25,2,1,17,21,1,4,1,2),(25,2,1,17,22,0,2,NULL,1),(25,2,1,17,23,1,1,1,1),(25,2,1,17,24,0,0,NULL,NULL),(25,2,1,17,25,1,4,NULL,2),(25,2,1,17,26,3,0,2,NULL),(25,2,1,17,27,0,0,NULL,NULL),(25,2,1,17,28,3,4,NULL,3),(25,2,1,17,29,0,0,NULL,NULL),(25,2,1,17,30,0,1,NULL,NULL),(25,2,1,17,31,0,0,NULL,NULL),(25,2,1,17,32,0,0,NULL,NULL),(25,2,1,17,33,1,3,1,3),(25,2,1,17,34,1,2,1,1),(25,2,1,17,35,1,2,1,NULL),(25,2,1,17,36,2,3,2,2),(25,2,1,17,37,1,1,1,1),(25,2,1,17,38,1,5,1,3),(25,2,1,17,39,1,5,1,4),(25,2,1,17,40,1,0,1,NULL),(25,2,2,21,1,0,3,NULL,2),(25,2,2,21,2,1,1,1,NULL),(25,2,2,21,3,2,4,2,3),(25,2,2,21,4,1,4,NULL,3),(25,2,2,21,5,6,2,6,2),(25,2,2,21,6,0,4,NULL,3),(25,2,2,21,7,0,2,NULL,2),(25,2,2,21,8,1,3,1,3),(25,2,2,21,9,8,4,8,1),(25,2,2,21,10,1,3,1,2),(25,2,2,21,11,1,5,1,4),(25,2,2,21,12,2,4,2,4),(25,2,2,21,13,4,1,4,1),(25,2,2,21,14,1,6,1,4),(25,2,2,21,15,9,2,8,1),(25,2,2,21,16,0,2,NULL,2),(25,2,2,21,17,3,5,2,4),(25,2,2,21,18,3,4,2,3),(25,2,2,21,19,4,1,4,NULL),(25,2,2,21,20,2,2,2,2),(25,2,2,21,21,0,5,NULL,3),(25,2,2,21,22,0,0,NULL,NULL),(25,2,2,21,23,0,3,NULL,3),(25,2,2,21,24,0,1,NULL,NULL),(25,2,2,21,25,1,0,NULL,NULL),(25,2,2,21,26,0,1,NULL,NULL),(25,2,2,21,27,0,1,NULL,1),(25,2,2,21,28,1,0,1,NULL),(25,2,2,21,29,1,2,NULL,2),(25,2,2,21,30,1,5,1,2),(25,2,2,21,31,3,1,3,NULL),(25,2,2,21,32,0,1,NULL,1),(25,2,2,21,33,1,4,1,3),(25,2,2,21,34,1,0,1,NULL),(25,2,2,21,35,0,0,NULL,NULL),(25,2,2,21,36,2,1,2,1),(25,2,2,21,37,0,2,NULL,2),(25,2,2,21,38,4,4,4,2),(25,2,2,21,39,8,0,8,NULL),(25,2,2,21,40,0,0,NULL,NULL),(25,2,2,22,1,3,7,3,7),(25,2,2,22,2,0,4,NULL,4),(25,2,2,22,3,2,7,2,6),(25,2,2,22,4,0,7,NULL,6),(25,2,2,22,5,5,8,5,5),(25,2,2,22,6,2,0,2,NULL),(25,2,2,22,7,0,3,NULL,2),(25,2,2,22,8,6,6,5,5),(25,2,2,22,9,7,5,5,4),(25,2,2,22,10,6,7,4,7),(25,2,2,22,11,1,13,NULL,10),(25,2,2,22,12,1,7,NULL,6),(25,2,2,22,13,10,5,9,3),(25,2,2,22,14,3,7,3,5),(25,2,2,22,15,3,8,NULL,7),(25,2,2,22,16,1,6,1,2),(25,2,2,22,17,3,2,3,1),(25,2,2,22,18,1,8,1,6),(25,2,2,22,19,3,3,3,1),(25,2,2,22,20,1,7,1,7),(25,2,2,22,21,4,2,4,2),(25,2,2,22,22,3,0,3,NULL),(25,2,2,22,23,0,3,NULL,3),(25,2,2,22,24,0,2,NULL,2),(25,2,2,22,25,1,0,1,NULL),(25,2,2,22,26,1,2,1,1),(25,2,2,22,27,0,3,NULL,2),(25,2,2,22,28,1,0,1,NULL),(25,2,2,22,29,2,6,2,4),(25,2,2,22,30,0,4,NULL,4),(25,2,2,22,31,4,4,3,4),(25,2,2,22,32,1,5,NULL,3),(25,2,2,22,33,7,5,6,4),(25,2,2,22,34,1,3,1,3),(25,2,2,22,35,0,8,NULL,7),(25,2,2,22,36,3,4,3,3),(25,2,2,22,37,1,2,1,2),(25,2,2,22,38,6,3,4,3),(25,2,2,22,39,13,0,10,NULL),(25,2,2,22,40,1,0,1,NULL),(25,2,2,23,1,1,2,1,NULL),(25,2,2,23,2,1,6,1,5),(25,2,2,23,3,3,2,2,1),(25,2,2,23,4,1,4,1,2),(25,2,2,23,5,5,4,5,3),(25,2,2,23,6,1,3,1,3),(25,2,2,23,7,0,5,NULL,5),(25,2,2,23,8,7,5,6,1),(25,2,2,23,9,5,8,3,6),(25,2,2,23,10,5,1,4,1),(25,2,2,23,11,1,10,1,7),(25,2,2,23,12,2,4,2,3),(25,2,2,23,13,8,4,8,1),(25,2,2,23,14,2,7,2,5),(25,2,2,23,15,5,5,5,2),(25,2,2,23,16,2,4,2,2),(25,2,2,23,17,0,5,NULL,4),(25,2,2,23,18,2,7,2,3),(25,2,2,23,19,1,3,1,2),(25,2,2,23,20,5,2,5,1),(25,2,2,23,21,2,4,2,4),(25,2,2,23,22,0,4,NULL,4),(25,2,2,23,23,5,3,5,1),(25,2,2,23,24,1,5,1,3),(25,2,2,23,25,0,0,NULL,NULL),(25,2,2,23,26,0,2,NULL,2),(25,2,2,23,27,1,1,NULL,1),(25,2,2,23,28,2,3,2,2),(25,2,2,23,29,1,4,1,2),(25,2,2,23,30,2,6,2,5),(25,2,2,23,31,4,4,3,2),(25,2,2,23,32,1,2,1,2),(25,2,2,23,33,4,3,3,2),(25,2,2,23,34,1,2,NULL,2),(25,2,2,23,35,3,6,1,5),(25,2,2,23,36,3,2,2,1),(25,2,2,23,37,2,2,2,NULL),(25,2,2,23,38,8,6,6,5),(25,2,2,23,39,9,0,8,NULL),(25,2,2,23,40,0,2,NULL,2),(25,2,2,24,1,1,6,1,4),(25,2,2,24,2,4,4,2,4),(25,2,2,24,3,4,5,3,5),(25,2,2,24,4,3,3,3,3),(25,2,2,24,5,3,11,3,9),(25,2,2,24,6,1,3,1,3),(25,2,2,24,7,1,4,NULL,3),(25,2,2,24,8,3,6,3,4),(25,2,2,24,9,11,6,8,4),(25,2,2,24,10,1,4,1,4),(25,2,2,24,11,0,11,NULL,6),(25,2,2,24,12,2,3,2,2),(25,2,2,24,13,10,3,7,2),(25,2,2,24,14,4,6,2,5),(25,2,2,24,15,5,5,3,4),(25,2,2,24,16,2,11,1,10),(25,2,2,24,17,3,7,2,2),(25,2,2,24,18,2,4,1,3),(25,2,2,24,19,0,3,NULL,3),(25,2,2,24,20,0,6,NULL,4),(25,2,2,24,21,1,2,1,2),(25,2,2,24,22,0,1,NULL,1),(25,2,2,24,23,3,3,3,3),(25,2,2,24,24,0,2,NULL,2),(25,2,2,24,25,1,0,1,NULL),(25,2,2,24,26,0,4,NULL,3),(25,2,2,24,27,1,2,1,2),(25,2,2,24,28,2,1,2,1),(25,2,2,24,29,2,3,NULL,3),(25,2,2,24,30,1,3,1,2),(25,2,2,24,31,3,3,3,2),(25,2,2,24,32,0,1,NULL,1),(25,2,2,24,33,2,3,2,3),(25,2,2,24,34,1,1,NULL,NULL),(25,2,2,24,35,0,3,NULL,2),(25,2,2,24,36,1,3,NULL,2),(25,2,2,24,37,0,3,NULL,2),(25,2,2,24,38,7,6,6,3),(25,2,2,24,39,7,0,5,NULL),(25,2,2,24,40,0,1,NULL,1),(25,3,1,11,1,NULL,NULL,NULL,NULL),(25,3,1,11,2,NULL,NULL,NULL,NULL),(25,3,1,11,3,NULL,NULL,NULL,NULL),(25,3,1,11,4,NULL,NULL,NULL,NULL),(25,3,1,11,5,NULL,NULL,NULL,NULL),(25,3,1,11,6,NULL,NULL,NULL,NULL),(25,3,1,11,7,NULL,NULL,NULL,NULL),(25,3,1,11,8,NULL,NULL,NULL,NULL),(25,3,1,11,9,NULL,NULL,NULL,NULL),(25,3,1,11,10,NULL,NULL,NULL,NULL),(25,3,1,11,11,NULL,NULL,NULL,NULL),(25,3,1,11,12,NULL,NULL,NULL,NULL),(25,3,1,11,13,NULL,NULL,NULL,NULL),(25,3,1,11,14,NULL,NULL,NULL,NULL),(25,3,1,11,15,NULL,NULL,NULL,NULL),(25,3,1,11,16,NULL,NULL,NULL,NULL),(25,3,1,11,17,NULL,NULL,NULL,NULL),(25,3,1,11,18,NULL,NULL,NULL,NULL),(25,3,1,11,19,NULL,NULL,NULL,NULL),(25,3,1,11,20,NULL,NULL,NULL,NULL),(25,3,1,11,21,NULL,NULL,NULL,NULL),(25,3,1,11,22,NULL,NULL,NULL,NULL),(25,3,1,11,23,NULL,NULL,NULL,NULL),(25,3,1,11,24,NULL,NULL,NULL,NULL),(25,3,1,11,25,NULL,NULL,NULL,NULL),(25,3,1,11,26,NULL,NULL,NULL,NULL),(25,3,1,11,27,NULL,NULL,NULL,NULL),(25,3,1,11,28,NULL,NULL,NULL,NULL),(25,3,1,11,29,NULL,NULL,NULL,NULL),(25,3,1,11,30,NULL,NULL,NULL,NULL),(25,3,1,11,31,NULL,NULL,NULL,NULL),(25,3,1,11,32,NULL,NULL,NULL,NULL),(25,3,1,11,33,NULL,NULL,NULL,NULL),(25,3,1,11,34,NULL,NULL,NULL,NULL),(25,3,1,11,35,NULL,NULL,NULL,NULL),(25,3,1,11,36,NULL,NULL,NULL,NULL),(25,3,1,11,37,NULL,NULL,NULL,NULL),(25,3,1,11,38,NULL,NULL,NULL,NULL),(25,3,1,11,39,NULL,NULL,NULL,NULL),(25,3,1,11,40,NULL,NULL,NULL,NULL),(25,3,1,12,1,NULL,1,NULL,1),(25,3,1,12,2,NULL,NULL,NULL,NULL),(25,3,1,12,3,NULL,1,NULL,1),(25,3,1,12,4,NULL,1,NULL,1),(25,3,1,12,5,NULL,1,NULL,1),(25,3,1,12,6,NULL,NULL,NULL,NULL),(25,3,1,12,7,1,NULL,1,NULL),(25,3,1,12,8,NULL,1,NULL,1),(25,3,1,12,9,NULL,1,NULL,1),(25,3,1,12,10,NULL,NULL,NULL,NULL),(25,3,1,12,11,NULL,NULL,NULL,NULL),(25,3,1,12,12,NULL,1,NULL,1),(25,3,1,12,13,NULL,1,NULL,1),(25,3,1,12,14,NULL,1,NULL,1),(25,3,1,12,15,1,NULL,1,NULL),(25,3,1,12,16,1,NULL,1,NULL),(25,3,1,12,17,NULL,1,NULL,1),(25,3,1,12,18,NULL,NULL,NULL,NULL),(25,3,1,12,19,1,NULL,1,NULL),(25,3,1,12,20,NULL,1,NULL,1),(25,3,1,12,21,1,NULL,1,NULL),(25,3,1,12,22,NULL,NULL,NULL,NULL),(25,3,1,12,23,NULL,NULL,NULL,NULL),(25,3,1,12,24,NULL,NULL,NULL,NULL),(25,3,1,12,25,NULL,NULL,NULL,NULL),(25,3,1,12,26,1,NULL,1,NULL),(25,3,1,12,27,NULL,NULL,NULL,NULL),(25,3,1,12,28,NULL,1,NULL,1),(25,3,1,12,29,NULL,NULL,NULL,NULL),(25,3,1,12,30,NULL,NULL,NULL,NULL),(25,3,1,12,31,NULL,NULL,NULL,NULL),(25,3,1,12,32,NULL,NULL,NULL,NULL),(25,3,1,12,33,NULL,NULL,NULL,NULL),(25,3,1,12,34,NULL,NULL,NULL,NULL),(25,3,1,12,35,NULL,1,NULL,1),(25,3,1,12,36,NULL,NULL,NULL,NULL),(25,3,1,12,37,NULL,1,NULL,1),(25,3,1,12,38,NULL,1,NULL,1),(25,3,1,12,39,NULL,NULL,NULL,NULL),(25,3,1,12,40,NULL,1,NULL,1),(25,3,1,13,1,NULL,NULL,NULL,NULL),(25,3,1,13,2,NULL,NULL,NULL,NULL),(25,3,1,13,3,NULL,NULL,NULL,NULL),(25,3,1,13,4,NULL,NULL,NULL,NULL),(25,3,1,13,5,NULL,NULL,NULL,NULL),(25,3,1,13,6,NULL,NULL,NULL,NULL),(25,3,1,13,7,NULL,NULL,NULL,NULL),(25,3,1,13,8,NULL,NULL,NULL,NULL),(25,3,1,13,9,NULL,NULL,NULL,NULL),(25,3,1,13,10,NULL,NULL,NULL,NULL),(25,3,1,13,11,NULL,NULL,NULL,NULL),(25,3,1,13,12,NULL,NULL,NULL,NULL),(25,3,1,13,13,NULL,NULL,NULL,NULL),(25,3,1,13,14,NULL,NULL,NULL,NULL),(25,3,1,13,15,NULL,NULL,NULL,NULL),(25,3,1,13,16,NULL,NULL,NULL,NULL),(25,3,1,13,17,NULL,NULL,NULL,NULL),(25,3,1,13,18,NULL,NULL,NULL,NULL),(25,3,1,13,19,NULL,NULL,NULL,NULL),(25,3,1,13,20,NULL,NULL,NULL,NULL),(25,3,1,13,21,NULL,NULL,NULL,NULL),(25,3,1,13,22,NULL,NULL,NULL,NULL),(25,3,1,13,23,NULL,NULL,NULL,NULL),(25,3,1,13,24,NULL,NULL,NULL,NULL),(25,3,1,13,25,NULL,NULL,NULL,NULL),(25,3,1,13,26,NULL,NULL,NULL,NULL),(25,3,1,13,27,NULL,NULL,NULL,NULL),(25,3,1,13,28,NULL,NULL,NULL,NULL),(25,3,1,13,29,NULL,NULL,NULL,NULL),(25,3,1,13,30,NULL,NULL,NULL,NULL),(25,3,1,13,31,NULL,NULL,NULL,NULL),(25,3,1,13,32,NULL,NULL,NULL,NULL),(25,3,1,13,33,NULL,NULL,NULL,NULL),(25,3,1,13,34,NULL,NULL,NULL,NULL),(25,3,1,13,35,NULL,NULL,NULL,NULL),(25,3,1,13,36,NULL,NULL,NULL,NULL),(25,3,1,13,37,NULL,NULL,NULL,NULL),(25,3,1,13,38,NULL,NULL,NULL,NULL),(25,3,1,13,39,NULL,NULL,NULL,NULL),(25,3,1,13,40,NULL,NULL,NULL,NULL),(25,3,1,14,1,14,11,11,9),(25,3,1,14,2,2,6,1,5),(25,3,1,14,3,4,4,3,4),(25,3,1,14,4,13,10,9,8),(25,3,1,14,5,2,6,2,3),(25,3,1,14,6,3,6,3,4),(25,3,1,14,7,4,15,4,12),(25,3,1,14,8,3,3,1,3),(25,3,1,14,9,6,7,4,6),(25,3,1,14,10,NULL,2,NULL,1),(25,3,1,14,11,2,3,2,3),(25,3,1,14,12,2,1,2,1),(25,3,1,14,13,4,7,2,6),(25,3,1,14,14,5,7,4,4),(25,3,1,14,15,8,5,6,1),(25,3,1,14,16,2,7,1,5),(25,3,1,14,17,8,7,6,6),(25,3,1,14,18,8,4,5,3),(25,3,1,14,19,9,18,7,11),(25,3,1,14,20,6,4,4,3),(25,3,1,14,21,2,12,1,8),(25,3,1,14,22,5,8,4,5),(25,3,1,14,23,2,6,NULL,5),(25,3,1,14,24,NULL,4,NULL,3),(25,3,1,14,25,4,3,2,3),(25,3,1,14,26,8,NULL,5,NULL),(25,3,1,14,27,1,NULL,1,NULL),(25,3,1,14,28,9,11,6,11),(25,3,1,14,29,1,8,1,3),(25,3,1,14,30,1,2,1,1),(25,3,1,14,31,1,2,1,1),(25,3,1,14,32,1,1,1,1),(25,3,1,14,33,3,4,3,1),(25,3,1,14,34,2,2,1,NULL),(25,3,1,14,35,2,1,NULL,1),(25,3,1,14,36,6,8,5,2),(25,3,1,14,37,5,11,4,7),(25,3,1,14,38,2,16,2,11),(25,3,1,14,39,3,10,2,7),(25,3,1,14,40,NULL,1,NULL,NULL),(25,3,1,15,1,5,18,3,15),(25,3,1,15,2,4,15,4,12),(25,3,1,15,3,4,3,3,3),(25,3,1,15,4,17,7,13,7),(25,3,1,15,5,1,7,1,6),(25,3,1,15,6,5,13,3,10),(25,3,1,15,7,8,15,7,11),(25,3,1,15,8,7,5,7,4),(25,3,1,15,9,7,8,5,8),(25,3,1,15,10,3,3,3,3),(25,3,1,15,11,2,9,2,7),(25,3,1,15,12,3,3,3,3),(25,3,1,15,13,4,6,4,6),(25,3,1,15,14,12,8,10,7),(25,3,1,15,15,8,11,8,9),(25,3,1,15,16,1,6,1,6),(25,3,1,15,17,8,4,7,4),(25,3,1,15,18,18,5,16,5),(25,3,1,15,19,17,9,12,9),(25,3,1,15,20,9,3,9,3),(25,3,1,15,21,4,14,3,12),(25,3,1,15,22,1,9,1,9),(25,3,1,15,23,2,9,2,7),(25,3,1,15,24,2,5,2,5),(25,3,1,15,25,1,6,1,5),(25,3,1,15,26,3,NULL,3,NULL),(25,3,1,15,27,NULL,NULL,NULL,NULL),(25,3,1,15,28,3,12,3,11),(25,3,1,15,29,NULL,3,NULL,3),(25,3,1,15,30,NULL,8,NULL,7),(25,3,1,15,31,NULL,1,NULL,1),(25,3,1,15,32,1,5,1,5),(25,3,1,15,33,3,5,2,4),(25,3,1,15,34,3,4,3,3),(25,3,1,15,35,7,3,7,3),(25,3,1,15,36,6,15,5,12),(25,3,1,15,37,9,8,9,7),(25,3,1,15,38,2,17,2,13),(25,3,1,15,39,3,9,2,7),(25,3,1,15,40,NULL,4,NULL,4),(25,3,1,16,1,6,7,5,5),(25,3,1,16,2,3,6,3,5),(25,3,1,16,3,2,2,1,1),(25,3,1,16,4,10,11,6,8),(25,3,1,16,5,NULL,8,NULL,5),(25,3,1,16,6,3,6,3,5),(25,3,1,16,7,NULL,17,NULL,9),(25,3,1,16,8,2,5,1,4),(25,3,1,16,9,1,6,1,5),(25,3,1,16,10,NULL,3,NULL,3),(25,3,1,16,11,2,5,2,4),(25,3,1,16,12,4,4,3,2),(25,3,1,16,13,8,6,7,3),(25,3,1,16,14,5,7,4,5),(25,3,1,16,15,14,NULL,7,NULL),(25,3,1,16,16,2,13,2,6),(25,3,1,16,17,1,8,NULL,3),(25,3,1,16,18,2,15,2,10),(25,3,1,16,19,NULL,18,NULL,11),(25,3,1,16,20,12,NULL,7,NULL),(25,3,1,16,21,1,12,1,6),(25,3,1,16,22,3,10,2,6),(25,3,1,16,23,3,5,3,1),(25,3,1,16,24,1,4,1,2),(25,3,1,16,25,NULL,4,NULL,3),(25,3,1,16,26,NULL,NULL,NULL,NULL),(25,3,1,16,27,2,NULL,1,NULL),(25,3,1,16,28,4,12,3,8),(25,3,1,16,29,1,3,1,NULL),(25,3,1,16,30,1,3,NULL,1),(25,3,1,16,31,2,2,NULL,2),(25,3,1,16,32,1,1,1,NULL),(25,3,1,16,33,2,7,1,3),(25,3,1,16,34,NULL,7,NULL,6),(25,3,1,16,35,2,1,1,1),(25,3,1,16,36,1,4,NULL,3),(25,3,1,16,37,2,6,1,4),(25,3,1,16,38,2,10,2,5),(25,3,1,16,39,2,10,1,7),(25,3,1,16,40,NULL,2,NULL,1),(25,3,1,17,1,9,7,3,4),(25,3,1,17,2,NULL,8,NULL,5),(25,3,1,17,3,1,7,1,3),(25,3,1,17,4,11,4,7,1),(25,3,1,17,5,2,7,1,4),(25,3,1,17,6,2,9,1,4),(25,3,1,17,7,6,9,3,4),(25,3,1,17,8,3,1,1,NULL),(25,3,1,17,9,4,6,2,3),(25,3,1,17,10,1,1,NULL,1),(25,3,1,17,11,2,4,1,3),(25,3,1,17,12,2,NULL,1,NULL),(25,3,1,17,13,6,1,3,1),(25,3,1,17,14,3,11,1,6),(25,3,1,17,15,14,NULL,7,NULL),(25,3,1,17,16,4,5,2,1),(25,3,1,17,17,2,14,1,4),(25,3,1,17,18,3,19,1,7),(25,3,1,17,19,2,9,NULL,4),(25,3,1,17,20,13,NULL,7,NULL),(25,3,1,17,21,1,5,1,4),(25,3,1,17,22,7,4,1,2),(25,3,1,17,23,1,NULL,NULL,NULL),(25,3,1,17,24,1,5,NULL,2),(25,3,1,17,25,NULL,1,NULL,1),(25,3,1,17,26,3,NULL,3,NULL),(25,3,1,17,27,NULL,NULL,NULL,NULL),(25,3,1,17,28,6,13,3,6),(25,3,1,17,29,2,NULL,NULL,NULL),(25,3,1,17,30,3,3,NULL,2),(25,3,1,17,31,NULL,1,NULL,NULL),(25,3,1,17,32,1,4,1,1),(25,3,1,17,33,1,5,NULL,3),(25,3,1,17,34,2,4,2,3),(25,3,1,17,35,2,1,1,NULL),(25,3,1,17,36,5,4,2,3),(25,3,1,17,37,3,NULL,1,NULL),(25,3,1,17,38,NULL,15,NULL,7),(25,3,1,17,39,2,8,NULL,4),(25,3,1,17,40,1,3,1,3),(25,3,2,21,1,4,5,4,5),(25,3,2,21,2,1,6,1,4),(25,3,2,21,3,4,7,2,7),(25,3,2,21,4,NULL,4,NULL,4),(25,3,2,21,5,6,3,5,2),(25,3,2,21,6,3,6,3,6),(25,3,2,21,7,1,7,1,5),(25,3,2,21,8,5,9,4,6),(25,3,2,21,9,12,5,10,4),(25,3,2,21,10,3,7,2,6),(25,3,2,21,11,3,17,3,10),(25,3,2,21,12,1,6,NULL,5),(25,3,2,21,13,9,5,8,5),(25,3,2,21,14,1,8,NULL,8),(25,3,2,21,15,3,9,2,8),(25,3,2,21,16,2,9,2,5),(25,3,2,21,17,3,11,2,7),(25,3,2,21,18,5,5,2,3),(25,3,2,21,19,2,4,NULL,3),(25,3,2,21,20,1,4,1,2),(25,3,2,21,21,1,1,NULL,1),(25,3,2,21,22,NULL,1,NULL,1),(25,3,2,21,23,NULL,NULL,NULL,NULL),(25,3,2,21,24,NULL,5,NULL,4),(25,3,2,21,25,2,NULL,2,NULL),(25,3,2,21,26,NULL,1,NULL,1),(25,3,2,21,27,1,2,1,NULL),(25,3,2,21,28,NULL,3,NULL,3),(25,3,2,21,29,NULL,1,NULL,1),(25,3,2,21,30,1,4,1,3),(25,3,2,21,31,5,5,4,4),(25,3,2,21,32,1,5,1,4),(25,3,2,21,33,4,4,4,4),(25,3,2,21,34,NULL,4,NULL,3),(25,3,2,21,35,1,6,1,6),(25,3,2,21,36,2,4,2,3),(25,3,2,21,37,1,1,1,1),(25,3,2,21,38,8,6,6,3),(25,3,2,21,39,11,NULL,10,NULL),(25,3,2,21,40,1,1,1,1),(25,3,2,22,1,1,3,1,3),(25,3,2,22,2,2,7,1,4),(25,3,2,22,3,4,9,4,6),(25,3,2,22,4,2,6,1,5),(25,3,2,22,5,8,6,6,5),(25,3,2,22,6,2,5,2,5),(25,3,2,22,7,3,1,2,1),(25,3,2,22,8,4,7,2,6),(25,3,2,22,9,7,5,5,4),(25,3,2,22,10,3,6,2,4),(25,3,2,22,11,1,15,1,9),(25,3,2,22,12,3,7,1,5),(25,3,2,22,13,12,8,10,4),(25,3,2,22,14,2,11,2,7),(25,3,2,22,15,9,11,4,9),(25,3,2,22,16,3,9,NULL,7),(25,3,2,22,17,3,9,1,5),(25,3,2,22,18,3,6,2,5),(25,3,2,22,19,NULL,5,NULL,2),(25,3,2,22,20,5,2,5,2),(25,3,2,22,21,1,4,NULL,3),(25,3,2,22,22,NULL,NULL,NULL,NULL),(25,3,2,22,23,NULL,4,NULL,4),(25,3,2,22,24,2,4,NULL,3),(25,3,2,22,25,NULL,NULL,NULL,NULL),(25,3,2,22,26,NULL,3,NULL,2),(25,3,2,22,27,NULL,3,NULL,2),(25,3,2,22,28,NULL,2,NULL,2),(25,3,2,22,29,NULL,2,NULL,1),(25,3,2,22,30,1,2,1,2),(25,3,2,22,31,5,7,3,4),(25,3,2,22,32,NULL,5,NULL,5),(25,3,2,22,33,7,5,6,4),(25,3,2,22,34,1,1,NULL,1),(25,3,2,22,35,3,7,2,7),(25,3,2,22,36,5,6,3,5),(25,3,2,22,37,1,7,1,5),(25,3,2,22,38,6,6,5,2),(25,3,2,22,39,14,NULL,11,NULL),(25,3,2,22,40,NULL,2,NULL,1),(25,3,2,23,1,4,6,2,5),(25,3,2,23,2,1,7,1,5),(25,3,2,23,3,6,7,5,4),(25,3,2,23,4,2,4,1,3),(25,3,2,23,5,8,6,6,1),(25,3,2,23,6,2,7,2,5),(25,3,2,23,7,4,6,3,4),(25,3,2,23,8,6,6,5,2),(25,3,2,23,9,7,9,5,4),(25,3,2,23,10,3,7,3,5),(25,3,2,23,11,1,18,1,6),(25,3,2,23,12,3,2,1,1),(25,3,2,23,13,12,7,6,4),(25,3,2,23,14,4,3,2,1),(25,3,2,23,15,7,11,4,7),(25,3,2,23,16,4,11,2,5),(25,3,2,23,17,1,14,1,4),(25,3,2,23,18,7,11,2,7),(25,3,2,23,19,3,7,1,3),(25,3,2,23,20,3,9,2,5),(25,3,2,23,21,1,3,1,3),(25,3,2,23,22,NULL,NULL,NULL,NULL),(25,3,2,23,23,1,2,1,1),(25,3,2,23,24,NULL,3,NULL,3),(25,3,2,23,25,3,NULL,1,NULL),(25,3,2,23,26,NULL,1,NULL,NULL),(25,3,2,23,27,NULL,3,NULL,NULL),(25,3,2,23,28,NULL,2,NULL,2),(25,3,2,23,29,3,2,1,1),(25,3,2,23,30,3,2,3,2),(25,3,2,23,31,7,5,4,2),(25,3,2,23,32,5,2,2,2),(25,3,2,23,33,7,4,5,2),(25,3,2,23,34,2,3,1,1),(25,3,2,23,35,4,4,3,3),(25,3,2,23,36,2,2,2,1),(25,3,2,23,37,3,3,3,2),(25,3,2,23,38,5,7,4,4),(25,3,2,23,39,10,NULL,10,NULL),(25,3,2,23,40,NULL,2,NULL,2),(25,3,2,24,1,3,5,3,4),(25,3,2,24,2,3,6,2,4),(25,3,2,24,3,6,6,4,4),(25,3,2,24,4,2,4,1,4),(25,3,2,24,5,4,7,4,4),(25,3,2,24,6,1,3,1,2),(25,3,2,24,7,2,9,2,7),(25,3,2,24,8,5,6,3,3),(25,3,2,24,9,9,9,7,6),(25,3,2,24,10,3,5,3,4),(25,3,2,24,11,4,14,2,8),(25,3,2,24,12,3,3,2,1),(25,3,2,24,13,10,4,8,2),(25,3,2,24,14,2,10,1,5),(25,3,2,24,15,6,11,5,7),(25,3,2,24,16,1,9,NULL,6),(25,3,2,24,17,2,17,2,10),(25,3,2,24,18,7,3,2,1),(25,3,2,24,19,NULL,6,NULL,6),(25,3,2,24,20,4,4,4,2),(25,3,2,24,21,NULL,3,NULL,2),(25,3,2,24,22,NULL,NULL,NULL,NULL),(25,3,2,24,23,NULL,1,NULL,NULL),(25,3,2,24,24,1,2,NULL,1),(25,3,2,24,25,1,NULL,NULL,NULL),(25,3,2,24,26,1,1,1,NULL),(25,3,2,24,27,NULL,5,NULL,5),(25,3,2,24,28,NULL,2,NULL,2),(25,3,2,24,29,1,2,1,1),(25,3,2,24,30,NULL,7,NULL,6),(25,3,2,24,31,7,2,5,2),(25,3,2,24,32,2,5,2,2),(25,3,2,24,33,6,8,6,2),(25,3,2,24,34,3,6,2,5),(25,3,2,24,35,3,4,2,2),(25,3,2,24,36,3,5,2,3),(25,3,2,24,37,2,2,2,NULL),(25,3,2,24,38,5,5,4,4),(25,3,2,24,39,14,NULL,11,NULL),(25,3,2,24,40,1,3,1,3),(25,5,1,11,1,1,1,NULL,NULL),(25,5,1,11,2,NULL,2,NULL,NULL),(25,5,1,11,3,2,NULL,NULL,NULL),(25,5,1,11,4,2,1,NULL,NULL),(25,5,1,11,5,1,NULL,NULL,NULL),(25,5,1,11,6,1,2,NULL,NULL),(25,5,1,11,7,2,2,NULL,NULL),(25,5,1,11,8,NULL,1,NULL,NULL),(25,5,1,11,9,1,2,NULL,NULL),(25,5,1,11,10,1,NULL,NULL,NULL),(25,5,1,11,11,1,NULL,NULL,NULL),(25,5,1,11,12,NULL,NULL,NULL,NULL),(25,5,1,11,13,2,2,NULL,NULL),(25,5,1,11,14,3,1,NULL,NULL),(25,5,1,11,15,2,2,NULL,NULL),(25,5,1,11,16,1,1,NULL,NULL),(25,5,1,11,17,1,2,NULL,NULL),(25,5,1,11,18,1,2,NULL,NULL),(25,5,1,11,19,NULL,3,NULL,NULL),(25,5,1,11,20,NULL,2,NULL,NULL),(25,5,1,11,21,NULL,3,NULL,NULL),(25,5,1,11,22,NULL,2,NULL,NULL),(25,5,1,11,23,1,1,NULL,NULL),(25,5,1,11,24,NULL,1,NULL,NULL),(25,5,1,11,25,NULL,1,NULL,NULL),(25,5,1,11,26,NULL,NULL,NULL,NULL),(25,5,1,11,27,NULL,NULL,NULL,NULL),(25,5,1,11,28,1,2,NULL,NULL),(25,5,1,11,29,1,NULL,NULL,NULL),(25,5,1,11,30,NULL,1,NULL,NULL),(25,5,1,11,31,1,NULL,NULL,NULL),(25,5,1,11,32,NULL,NULL,NULL,NULL),(25,5,1,11,33,1,NULL,NULL,NULL),(25,5,1,11,34,NULL,NULL,NULL,NULL),(25,5,1,11,35,1,1,NULL,NULL),(25,5,1,11,36,1,1,NULL,NULL),(25,5,1,11,37,NULL,NULL,NULL,NULL),(25,5,1,11,38,NULL,2,NULL,NULL),(25,5,1,11,39,NULL,1,NULL,NULL),(25,5,1,11,40,NULL,1,NULL,NULL),(25,5,1,12,1,2,NULL,NULL,NULL),(25,5,1,12,2,NULL,2,NULL,NULL),(25,5,1,12,3,NULL,NULL,NULL,NULL),(25,5,1,12,4,1,NULL,NULL,NULL),(25,5,1,12,5,1,3,NULL,NULL),(25,5,1,12,6,NULL,3,NULL,NULL),(25,5,1,12,7,2,1,NULL,NULL),(25,5,1,12,8,1,1,NULL,NULL),(25,5,1,12,9,NULL,1,NULL,NULL),(25,5,1,12,10,NULL,NULL,NULL,NULL),(25,5,1,12,11,NULL,NULL,NULL,NULL),(25,5,1,12,12,1,NULL,NULL,NULL),(25,5,1,12,13,2,NULL,NULL,NULL),(25,5,1,12,14,3,1,NULL,NULL),(25,5,1,12,15,NULL,2,NULL,NULL),(25,5,1,12,16,2,NULL,NULL,NULL),(25,5,1,12,17,1,1,NULL,NULL),(25,5,1,12,18,1,2,NULL,NULL),(25,5,1,12,19,1,NULL,NULL,NULL),(25,5,1,12,20,1,1,NULL,NULL),(25,5,1,12,21,1,1,NULL,NULL),(25,5,1,12,22,1,NULL,NULL,NULL),(25,5,1,12,23,NULL,1,NULL,NULL),(25,5,1,12,24,NULL,NULL,NULL,NULL),(25,5,1,12,25,NULL,NULL,NULL,NULL),(25,5,1,12,26,1,NULL,NULL,NULL),(25,5,1,12,27,1,NULL,NULL,NULL),(25,5,1,12,28,NULL,2,NULL,NULL),(25,5,1,12,29,NULL,NULL,NULL,NULL),(25,5,1,12,30,NULL,1,NULL,NULL),(25,5,1,12,31,NULL,NULL,NULL,NULL),(25,5,1,12,32,NULL,NULL,NULL,NULL),(25,5,1,12,33,NULL,2,NULL,NULL),(25,5,1,12,34,NULL,2,NULL,NULL),(25,5,1,12,35,1,NULL,NULL,NULL),(25,5,1,12,36,2,NULL,NULL,NULL),(25,5,1,12,37,NULL,NULL,NULL,NULL),(25,5,1,12,38,1,NULL,NULL,NULL),(25,5,1,12,39,NULL,3,NULL,NULL),(25,5,1,12,40,NULL,NULL,NULL,NULL),(25,5,1,13,1,3,4,NULL,NULL),(25,5,1,13,2,1,3,NULL,NULL),(25,5,1,13,3,1,1,NULL,NULL),(25,5,1,13,4,4,1,NULL,NULL),(25,5,1,13,5,NULL,4,NULL,NULL),(25,5,1,13,6,3,1,NULL,NULL),(25,5,1,13,7,3,4,NULL,NULL),(25,5,1,13,8,4,1,NULL,NULL),(25,5,1,13,9,2,1,NULL,NULL),(25,5,1,13,10,NULL,3,NULL,NULL),(25,5,1,13,11,1,3,NULL,NULL),(25,5,1,13,12,1,1,NULL,NULL),(25,5,1,13,13,5,2,NULL,NULL),(25,5,1,13,14,4,2,NULL,NULL),(25,5,1,13,15,3,3,NULL,NULL),(25,5,1,13,16,4,2,NULL,NULL),(25,5,1,13,17,7,1,NULL,NULL),(25,5,1,13,18,9,NULL,NULL,NULL),(25,5,1,13,19,1,3,NULL,NULL),(25,5,1,13,20,NULL,5,NULL,NULL),(25,5,1,13,21,1,4,NULL,NULL),(25,5,1,13,22,2,3,NULL,NULL),(25,5,1,13,23,1,1,NULL,NULL),(25,5,1,13,24,NULL,1,NULL,NULL),(25,5,1,13,25,1,1,NULL,NULL),(25,5,1,13,26,3,NULL,NULL,NULL),(25,5,1,13,27,1,NULL,NULL,NULL),(25,5,1,13,28,1,3,NULL,NULL),(25,5,1,13,29,2,1,NULL,NULL),(25,5,1,13,30,1,3,NULL,NULL),(25,5,1,13,31,1,2,NULL,NULL),(25,5,1,13,32,NULL,1,NULL,NULL),(25,5,1,13,33,2,5,NULL,NULL),(25,5,1,13,34,1,1,NULL,NULL),(25,5,1,13,35,2,NULL,NULL,NULL),(25,5,1,13,36,3,NULL,NULL,NULL),(25,5,1,13,37,3,1,NULL,NULL),(25,5,1,13,38,1,4,NULL,NULL),(25,5,1,13,39,1,2,NULL,NULL),(25,5,1,13,40,NULL,1,NULL,NULL),(25,5,1,14,1,80,122,7,17),(25,5,1,14,2,54,70,11,7),(25,5,1,14,3,56,44,12,5),(25,5,1,14,4,135,65,24,6),(25,5,1,14,5,24,84,5,15),(25,5,1,14,6,54,81,10,10),(25,5,1,14,7,61,140,10,11),(25,5,1,14,8,82,49,17,7),(25,5,1,14,9,47,83,8,13),(25,5,1,14,10,23,22,6,4),(25,5,1,14,11,31,40,7,8),(25,5,1,14,12,47,33,11,6),(25,5,1,14,13,64,45,12,6),(25,5,1,14,14,74,38,13,3),(25,5,1,14,15,109,50,19,8),(25,5,1,14,16,51,50,11,12),(25,5,1,14,17,82,47,20,3),(25,5,1,14,18,144,21,23,1),(25,5,1,14,19,86,108,15,10),(25,5,1,14,20,105,16,19,3),(25,5,1,14,21,51,92,10,13),(25,5,1,14,22,34,96,7,18),(25,5,1,14,23,21,60,4,16),(25,5,1,14,24,17,43,6,10),(25,5,1,14,25,19,59,1,15),(25,5,1,14,26,57,NULL,18,NULL),(25,5,1,14,27,22,NULL,10,NULL),(25,5,1,14,28,28,108,3,18),(25,5,1,14,29,16,36,1,12),(25,5,1,14,30,8,51,2,17),(25,5,1,14,31,10,36,3,7),(25,5,1,14,32,29,39,12,6),(25,5,1,14,33,28,34,7,8),(25,5,1,14,34,51,31,10,1),(25,5,1,14,35,54,19,12,4),(25,5,1,14,36,68,80,14,10),(25,5,1,14,37,41,31,10,10),(25,5,1,14,38,25,147,4,18),(25,5,1,14,39,21,69,1,13),(25,5,1,14,40,6,57,5,15),(25,5,1,15,1,86,117,12,21),(25,5,1,15,2,44,70,9,17),(25,5,1,15,3,59,33,11,5),(25,5,1,15,4,143,60,26,8),(25,5,1,15,5,31,77,8,12),(25,5,1,15,6,56,72,10,14),(25,5,1,15,7,52,137,14,15),(25,5,1,15,8,52,49,16,8),(25,5,1,15,9,52,76,7,14),(25,5,1,15,10,27,31,9,7),(25,5,1,15,11,37,48,9,10),(25,5,1,15,12,47,31,11,7),(25,5,1,15,13,70,37,17,6),(25,5,1,15,14,71,60,14,7),(25,5,1,15,15,100,55,18,10),(25,5,1,15,16,43,49,10,11),(25,5,1,15,17,72,50,17,11),(25,5,1,15,18,136,23,24,2),(25,5,1,15,19,92,98,12,19),(25,5,1,15,20,117,16,25,2),(25,5,1,15,21,50,74,14,11),(25,5,1,15,22,30,81,7,21),(25,5,1,15,23,20,62,3,19),(25,5,1,15,24,20,56,8,13),(25,5,1,15,25,14,49,4,14),(25,5,1,15,26,46,NULL,16,NULL),(25,5,1,15,27,22,NULL,14,NULL),(25,5,1,15,28,20,109,1,22),(25,5,1,15,29,16,42,3,10),(25,5,1,15,30,15,51,2,15),(25,5,1,15,31,17,34,5,9),(25,5,1,15,32,27,47,8,13),(25,5,1,15,33,34,59,8,8),(25,5,1,15,34,33,41,9,8),(25,5,1,15,35,25,28,7,6),(25,5,1,15,36,56,80,17,12),(25,5,1,15,37,44,38,14,5),(25,5,1,15,38,12,146,2,23),(25,5,1,15,39,28,77,6,16),(25,5,1,15,40,18,47,4,11),(25,5,1,16,1,54,67,4,6),(25,5,1,16,2,24,40,3,3),(25,5,1,16,3,33,27,3,NULL),(25,5,1,16,4,86,44,8,1),(25,5,1,16,5,7,45,NULL,4),(25,5,1,16,6,29,58,4,3),(25,5,1,16,7,26,93,3,6),(25,5,1,16,8,39,29,2,2),(25,5,1,16,9,36,48,NULL,1),(25,5,1,16,10,6,18,NULL,NULL),(25,5,1,16,11,19,35,4,1),(25,5,1,16,12,41,15,4,3),(25,5,1,16,13,77,26,5,3),(25,5,1,16,14,47,49,6,3),(25,5,1,16,15,97,NULL,9,NULL),(25,5,1,16,16,25,55,3,6),(25,5,1,16,17,3,68,NULL,5),(25,5,1,16,18,24,114,3,5),(25,5,1,16,19,7,67,2,2),(25,5,1,16,20,100,NULL,6,NULL),(25,5,1,16,21,29,66,2,5),(25,5,1,16,22,12,39,2,3),(25,5,1,16,23,6,35,NULL,6),(25,5,1,16,24,7,32,2,6),(25,5,1,16,25,3,21,NULL,4),(25,5,1,16,26,21,NULL,3,NULL),(25,5,1,16,27,10,NULL,1,NULL),(25,5,1,16,28,16,77,1,5),(25,5,1,16,29,7,28,NULL,4),(25,5,1,16,30,NULL,37,NULL,5),(25,5,1,16,31,9,16,1,4),(25,5,1,16,32,9,23,1,4),(25,5,1,16,33,15,34,NULL,1),(25,5,1,16,34,26,22,2,1),(25,5,1,16,35,15,14,1,2),(25,5,1,16,36,25,45,4,4),(25,5,1,16,37,30,25,3,2),(25,5,1,16,38,11,106,1,6),(25,5,1,16,39,13,57,1,4),(25,5,1,16,40,7,26,NULL,3),(25,5,1,17,1,49,47,1,9),(25,5,1,17,2,20,46,4,3),(25,5,1,17,3,29,26,4,2),(25,5,1,17,4,75,36,5,4),(25,5,1,17,5,11,35,NULL,8),(25,5,1,17,6,16,59,1,7),(25,5,1,17,7,21,91,3,7),(25,5,1,17,8,29,31,4,4),(25,5,1,17,9,20,47,1,6),(25,5,1,17,10,8,18,NULL,3),(25,5,1,17,11,17,31,2,3),(25,5,1,17,12,27,19,4,4),(25,5,1,17,13,58,20,7,1),(25,5,1,17,14,43,32,7,2),(25,5,1,17,15,90,NULL,9,NULL),(25,5,1,17,16,32,55,3,6),(25,5,1,17,17,7,66,NULL,6),(25,5,1,17,18,27,106,3,7),(25,5,1,17,19,1,67,NULL,6),(25,5,1,17,20,99,NULL,12,NULL),(25,5,1,17,21,19,52,3,6),(25,5,1,17,22,11,45,1,7),(25,5,1,17,23,7,37,NULL,4),(25,5,1,17,24,6,34,1,4),(25,5,1,17,25,3,14,1,1),(25,5,1,17,26,22,NULL,4,NULL),(25,5,1,17,27,7,NULL,1,NULL),(25,5,1,17,28,27,81,2,8),(25,5,1,17,29,11,27,2,3),(25,5,1,17,30,10,23,1,3),(25,5,1,17,31,9,17,1,5),(25,5,1,17,32,8,18,1,5),(25,5,1,17,33,13,25,2,6),(25,5,1,17,34,16,28,2,4),(25,5,1,17,35,16,15,2,NULL),(25,5,1,17,36,18,40,3,3),(25,5,1,17,37,28,20,7,1),(25,5,1,17,38,11,77,1,8),(25,5,1,17,39,7,63,1,7),(25,5,1,17,40,6,25,1,5),(25,5,2,21,1,31,42,6,11),(25,5,2,21,2,14,36,1,9),(25,5,2,21,3,34,48,6,6),(25,5,2,21,4,22,44,2,14),(25,5,2,21,5,71,39,17,4),(25,5,2,21,6,34,38,13,7),(25,5,2,21,7,24,41,4,6),(25,5,2,21,8,59,41,16,6),(25,5,2,21,9,101,59,20,5),(25,5,2,21,10,36,53,12,10),(25,5,2,21,11,17,127,3,14),(25,5,2,21,12,24,53,5,6),(25,5,2,21,13,121,35,21,2),(25,5,2,21,14,39,75,8,13),(25,5,2,21,15,60,53,14,6),(25,5,2,21,16,30,71,3,12),(25,5,2,21,17,28,72,6,6),(25,5,2,21,18,41,59,9,7),(25,5,2,21,19,14,53,3,8),(25,5,2,21,20,38,47,6,5),(25,5,2,21,21,10,20,5,3),(25,5,2,21,22,1,5,NULL,1),(25,5,2,21,23,12,19,2,5),(25,5,2,21,24,11,29,NULL,8),(25,5,2,21,25,8,NULL,2,NULL),(25,5,2,21,26,4,19,1,3),(25,5,2,21,27,NULL,15,NULL,3),(25,5,2,21,28,5,13,NULL,2),(25,5,2,21,29,6,28,2,6),(25,5,2,21,30,13,30,NULL,5),(25,5,2,21,31,55,30,15,1),(25,5,2,21,32,11,41,3,12),(25,5,2,21,33,63,43,15,6),(25,5,2,21,34,5,22,2,4),(25,5,2,21,35,21,42,8,9),(25,5,2,21,36,32,25,10,3),(25,5,2,21,37,18,41,10,5),(25,5,2,21,38,42,45,12,3),(25,5,2,21,39,115,NULL,22,NULL),(25,5,2,21,40,10,26,3,4),(25,5,2,22,1,32,58,3,11),(25,5,2,22,2,10,45,1,7),(25,5,2,22,3,33,50,7,3),(25,5,2,22,4,32,53,5,4),(25,5,2,22,5,65,45,11,2),(25,5,2,22,6,39,42,10,6),(25,5,2,22,7,21,49,4,8),(25,5,2,22,8,49,51,9,2),(25,5,2,22,9,111,51,16,5),(25,5,2,22,10,46,55,13,6),(25,5,2,22,11,18,144,4,15),(25,5,2,22,12,20,75,3,6),(25,5,2,22,13,121,36,19,1),(25,5,2,22,14,44,67,10,6),(25,5,2,22,15,66,63,10,8),(25,5,2,22,16,27,71,3,9),(25,5,2,22,17,22,74,3,12),(25,5,2,22,18,31,51,8,7),(25,5,2,22,19,11,74,2,8),(25,5,2,22,20,40,45,6,6),(25,5,2,22,21,13,31,5,4),(25,5,2,22,22,2,12,1,5),(25,5,2,22,23,8,18,3,4),(25,5,2,22,24,6,26,NULL,2),(25,5,2,22,25,14,NULL,4,NULL),(25,5,2,22,26,3,22,NULL,1),(25,5,2,22,27,4,28,2,3),(25,5,2,22,28,1,18,NULL,NULL),(25,5,2,22,29,12,29,4,8),(25,5,2,22,30,15,28,5,3),(25,5,2,22,31,48,37,11,6),(25,5,2,22,32,7,40,NULL,10),(25,5,2,22,33,68,28,13,3),(25,5,2,22,34,9,33,5,6),(25,5,2,22,35,37,36,8,7),(25,5,2,22,36,26,39,2,7),(25,5,2,22,37,18,38,9,8),(25,5,2,22,38,58,35,10,2),(25,5,2,22,39,98,NULL,18,NULL),(25,5,2,22,40,6,23,3,6),(25,5,2,23,1,21,41,8,5),(25,5,2,23,2,15,47,1,10),(25,5,2,23,3,40,39,6,5),(25,5,2,23,4,32,43,6,11),(25,5,2,23,5,58,45,11,5),(25,5,2,23,6,36,38,8,7),(25,5,2,23,7,19,35,5,6),(25,5,2,23,8,70,50,8,5),(25,5,2,23,9,104,41,18,5),(25,5,2,23,10,43,43,9,6),(25,5,2,23,11,14,118,3,13),(25,5,2,23,12,13,52,2,7),(25,5,2,23,13,108,26,17,2),(25,5,2,23,14,22,65,5,11),(25,5,2,23,15,47,56,8,8),(25,5,2,23,16,19,57,4,10),(25,5,2,23,17,17,62,2,9),(25,5,2,23,18,44,47,6,8),(25,5,2,23,19,6,50,1,7),(25,5,2,23,20,24,56,8,6),(25,5,2,23,21,19,25,9,5),(25,5,2,23,22,2,13,NULL,5),(25,5,2,23,23,8,22,1,2),(25,5,2,23,24,6,35,1,7),(25,5,2,23,25,12,NULL,1,NULL),(25,5,2,23,26,2,13,1,1),(25,5,2,23,27,2,17,1,2),(25,5,2,23,28,2,18,2,1),(25,5,2,23,29,8,38,5,10),(25,5,2,23,30,17,30,NULL,2),(25,5,2,23,31,42,35,10,8),(25,5,2,23,32,6,29,2,7),(25,5,2,23,33,51,31,15,2),(25,5,2,23,34,5,19,3,5),(25,5,2,23,35,27,38,6,9),(25,5,2,23,36,16,22,4,5),(25,5,2,23,37,19,30,8,7),(25,5,2,23,38,42,38,9,4),(25,5,2,23,39,101,NULL,22,NULL),(25,5,2,23,40,7,24,4,5),(25,5,2,24,1,26,63,3,10),(25,5,2,24,2,9,44,2,4),(25,5,2,24,3,39,38,5,1),(25,5,2,24,4,24,51,2,7),(25,5,2,24,5,59,48,9,7),(25,5,2,24,6,30,42,9,4),(25,5,2,24,7,22,39,7,3),(25,5,2,24,8,63,54,12,2),(25,5,2,24,9,95,55,14,3),(25,5,2,24,10,39,46,7,6),(25,5,2,24,11,14,118,1,11),(25,5,2,24,12,16,49,3,7),(25,5,2,24,13,104,25,14,2),(25,5,2,24,14,37,64,5,7),(25,5,2,24,15,52,48,7,4),(25,5,2,24,16,27,62,4,6),(25,5,2,24,17,32,74,5,4),(25,5,2,24,18,21,42,4,2),(25,5,2,24,19,7,47,1,7),(25,5,2,24,20,31,50,4,4),(25,5,2,24,21,10,19,5,1),(25,5,2,24,22,5,9,1,4),(25,5,2,24,23,7,23,2,4),(25,5,2,24,24,8,31,2,3),(25,5,2,24,25,13,NULL,2,NULL),(25,5,2,24,26,2,14,NULL,1),(25,5,2,24,27,3,23,1,2),(25,5,2,24,28,1,22,NULL,1),(25,5,2,24,29,9,27,4,6),(25,5,2,24,30,7,35,1,2),(25,5,2,24,31,47,44,7,5),(25,5,2,24,32,5,28,1,6),(25,5,2,24,33,41,41,10,3),(25,5,2,24,34,12,20,4,2),(25,5,2,24,35,16,40,3,6),(25,5,2,24,36,29,31,5,2),(25,5,2,24,37,11,20,5,3),(25,5,2,24,38,42,26,9,3),(25,5,2,24,39,90,NULL,14,NULL),(25,5,2,24,40,6,17,1,6),(25,9,1,11,1,NULL,NULL,NULL,NULL),(25,9,1,11,2,NULL,NULL,NULL,NULL),(25,9,1,11,3,1,NULL,NULL,NULL),(25,9,1,11,4,NULL,NULL,NULL,NULL),(25,9,1,11,5,NULL,NULL,NULL,NULL),(25,9,1,11,6,NULL,NULL,NULL,NULL),(25,9,1,11,7,NULL,1,NULL,NULL),(25,9,1,11,8,NULL,NULL,NULL,NULL),(25,9,1,11,9,NULL,NULL,NULL,NULL),(25,9,1,11,10,NULL,NULL,NULL,NULL),(25,9,1,11,11,NULL,1,NULL,NULL),(25,9,1,11,12,NULL,NULL,NULL,NULL),(25,9,1,11,13,NULL,NULL,NULL,NULL),(25,9,1,11,14,NULL,1,NULL,NULL),(25,9,1,11,15,NULL,1,NULL,NULL),(25,9,1,11,16,NULL,1,NULL,NULL),(25,9,1,11,17,NULL,NULL,NULL,NULL),(25,9,1,11,18,NULL,NULL,NULL,NULL),(25,9,1,11,19,NULL,1,NULL,NULL),(25,9,1,11,20,1,NULL,NULL,NULL),(25,9,1,11,21,NULL,NULL,NULL,NULL),(25,9,1,11,22,NULL,NULL,NULL,NULL),(25,9,1,11,23,NULL,NULL,NULL,NULL),(25,9,1,11,24,NULL,NULL,NULL,NULL),(25,9,1,11,25,NULL,NULL,NULL,NULL),(25,9,1,11,26,NULL,NULL,NULL,NULL),(25,9,1,11,27,NULL,NULL,NULL,NULL),(25,9,1,11,28,NULL,NULL,NULL,NULL),(25,9,1,11,29,NULL,NULL,NULL,NULL),(25,9,1,11,30,NULL,NULL,NULL,NULL),(25,9,1,11,31,NULL,NULL,NULL,NULL),(25,9,1,11,32,NULL,NULL,NULL,NULL),(25,9,1,11,33,NULL,NULL,NULL,NULL),(25,9,1,11,34,NULL,NULL,NULL,NULL),(25,9,1,11,35,NULL,NULL,NULL,NULL),(25,9,1,11,36,NULL,NULL,NULL,NULL),(25,9,1,11,37,NULL,NULL,NULL,NULL),(25,9,1,11,38,NULL,NULL,NULL,NULL),(25,9,1,11,39,NULL,1,NULL,NULL),(25,9,1,11,40,NULL,NULL,NULL,NULL),(25,9,1,12,1,NULL,NULL,NULL,NULL),(25,9,1,12,2,NULL,NULL,NULL,NULL),(25,9,1,12,3,NULL,NULL,NULL,NULL),(25,9,1,12,4,NULL,NULL,NULL,NULL),(25,9,1,12,5,NULL,NULL,NULL,NULL),(25,9,1,12,6,NULL,NULL,NULL,NULL),(25,9,1,12,7,NULL,NULL,NULL,NULL),(25,9,1,12,8,NULL,NULL,NULL,NULL),(25,9,1,12,9,NULL,NULL,NULL,NULL),(25,9,1,12,10,NULL,NULL,NULL,NULL),(25,9,1,12,11,NULL,NULL,NULL,NULL),(25,9,1,12,12,NULL,NULL,NULL,NULL),(25,9,1,12,13,NULL,NULL,NULL,NULL),(25,9,1,12,14,NULL,NULL,NULL,NULL),(25,9,1,12,15,NULL,NULL,NULL,NULL),(25,9,1,12,16,NULL,NULL,NULL,NULL),(25,9,1,12,17,NULL,NULL,NULL,NULL),(25,9,1,12,18,NULL,NULL,NULL,NULL),(25,9,1,12,19,NULL,NULL,NULL,NULL),(25,9,1,12,20,NULL,NULL,NULL,NULL),(25,9,1,12,21,NULL,NULL,NULL,NULL),(25,9,1,12,22,NULL,NULL,NULL,NULL),(25,9,1,12,23,NULL,NULL,NULL,NULL),(25,9,1,12,24,NULL,NULL,NULL,NULL),(25,9,1,12,25,NULL,NULL,NULL,NULL),(25,9,1,12,26,NULL,NULL,NULL,NULL),(25,9,1,12,27,NULL,NULL,NULL,NULL),(25,9,1,12,28,NULL,NULL,NULL,NULL),(25,9,1,12,29,NULL,NULL,NULL,NULL),(25,9,1,12,30,NULL,NULL,NULL,NULL),(25,9,1,12,31,NULL,NULL,NULL,NULL),(25,9,1,12,32,NULL,NULL,NULL,NULL),(25,9,1,12,33,NULL,NULL,NULL,NULL),(25,9,1,12,34,NULL,NULL,NULL,NULL),(25,9,1,12,35,NULL,NULL,NULL,NULL),(25,9,1,12,36,NULL,NULL,NULL,NULL),(25,9,1,12,37,NULL,NULL,NULL,NULL),(25,9,1,12,38,NULL,NULL,NULL,NULL),(25,9,1,12,39,NULL,NULL,NULL,NULL),(25,9,1,12,40,NULL,NULL,NULL,NULL),(25,9,1,13,1,NULL,1,NULL,1),(25,9,1,13,2,NULL,1,NULL,1),(25,9,1,13,3,NULL,NULL,NULL,NULL),(25,9,1,13,4,1,NULL,1,NULL),(25,9,1,13,5,NULL,1,NULL,1),(25,9,1,13,6,NULL,1,NULL,1),(25,9,1,13,7,NULL,1,NULL,1),(25,9,1,13,8,NULL,NULL,NULL,NULL),(25,9,1,13,9,NULL,1,NULL,1),(25,9,1,13,10,NULL,NULL,NULL,NULL),(25,9,1,13,11,NULL,NULL,NULL,NULL),(25,9,1,13,12,NULL,1,NULL,1),(25,9,1,13,13,1,NULL,1,NULL),(25,9,1,13,14,1,NULL,1,NULL),(25,9,1,13,15,1,NULL,1,NULL),(25,9,1,13,16,NULL,NULL,NULL,NULL),(25,9,1,13,17,1,NULL,1,NULL),(25,9,1,13,18,1,NULL,1,NULL),(25,9,1,13,19,1,NULL,1,NULL),(25,9,1,13,20,NULL,1,NULL,1),(25,9,1,13,21,NULL,1,NULL,1),(25,9,1,13,22,NULL,1,NULL,1),(25,9,1,13,23,NULL,1,NULL,1),(25,9,1,13,24,NULL,1,NULL,1),(25,9,1,13,25,NULL,NULL,NULL,NULL),(25,9,1,13,26,1,NULL,1,NULL),(25,9,1,13,27,NULL,NULL,NULL,NULL),(25,9,1,13,28,NULL,1,NULL,1),(25,9,1,13,29,NULL,1,NULL,1),(25,9,1,13,30,NULL,1,NULL,1),(25,9,1,13,31,NULL,NULL,NULL,NULL),(25,9,1,13,32,NULL,NULL,NULL,NULL),(25,9,1,13,33,NULL,1,NULL,1),(25,9,1,13,34,1,NULL,1,NULL),(25,9,1,13,35,NULL,NULL,NULL,NULL),(25,9,1,13,36,NULL,1,NULL,1),(25,9,1,13,37,1,NULL,1,NULL),(25,9,1,13,38,NULL,1,NULL,1),(25,9,1,13,39,NULL,1,NULL,1),(25,9,1,13,40,NULL,1,NULL,1),(25,9,1,14,1,17,7,3,1),(25,9,1,14,2,8,9,1,2),(25,9,1,14,3,12,6,3,2),(25,9,1,14,4,31,11,7,1),(25,9,1,14,5,4,8,1,1),(25,9,1,14,6,7,14,NULL,4),(25,9,1,14,7,11,35,2,7),(25,9,1,14,8,14,8,4,2),(25,9,1,14,9,9,15,1,4),(25,9,1,14,10,3,5,1,1),(25,9,1,14,11,5,10,2,1),(25,9,1,14,12,6,7,1,3),(25,9,1,14,13,6,7,5,NULL),(25,9,1,14,14,14,12,4,2),(25,9,1,14,15,7,12,1,1),(25,9,1,14,16,11,7,3,3),(25,9,1,14,17,11,6,6,1),(25,9,1,14,18,20,5,8,1),(25,9,1,14,19,17,23,6,2),(25,9,1,14,20,12,5,7,NULL),(25,9,1,14,21,12,13,1,3),(25,9,1,14,22,7,14,2,6),(25,9,1,14,23,5,6,1,3),(25,9,1,14,24,2,5,1,1),(25,9,1,14,25,2,6,1,1),(25,9,1,14,26,4,NULL,1,NULL),(25,9,1,14,27,1,NULL,1,NULL),(25,9,1,14,28,10,12,2,3),(25,9,1,14,29,NULL,6,NULL,NULL),(25,9,1,14,30,3,7,NULL,1),(25,9,1,14,31,3,3,1,NULL),(25,9,1,14,32,5,3,2,2),(25,9,1,14,33,5,8,1,3),(25,9,1,14,34,6,7,2,2),(25,9,1,14,35,8,5,3,NULL),(25,9,1,14,36,7,14,3,4),(25,9,1,14,37,8,4,4,NULL),(25,9,1,14,38,5,29,2,5),(25,9,1,14,39,3,14,1,2),(25,9,1,14,40,1,6,NULL,3),(25,9,1,15,1,18,17,3,6),(25,9,1,15,2,7,15,2,4),(25,9,1,15,3,10,9,3,3),(25,9,1,15,4,21,8,8,1),(25,9,1,15,5,5,10,1,4),(25,9,1,15,6,2,20,1,5),(25,9,1,15,7,11,27,1,6),(25,9,1,15,8,10,6,3,3),(25,9,1,15,9,9,12,2,5),(25,9,1,15,10,4,3,1,1),(25,9,1,15,11,4,12,1,2),(25,9,1,15,12,11,3,5,1),(25,9,1,15,13,5,11,1,5),(25,9,1,15,14,11,14,3,3),(25,9,1,15,15,13,10,6,2),(25,9,1,15,16,8,8,1,2),(25,9,1,15,17,7,8,4,3),(25,9,1,15,18,22,3,8,NULL),(25,9,1,15,19,19,20,6,2),(25,9,1,15,20,15,5,7,1),(25,9,1,15,21,6,12,NULL,6),(25,9,1,15,22,2,11,1,5),(25,9,1,15,23,2,11,NULL,3),(25,9,1,15,24,4,11,NULL,5),(25,9,1,15,25,2,4,NULL,2),(25,9,1,15,26,5,NULL,2,NULL),(25,9,1,15,27,3,NULL,1,NULL),(25,9,1,15,28,4,10,NULL,2),(25,9,1,15,29,4,6,NULL,2),(25,9,1,15,30,2,10,NULL,2),(25,9,1,15,31,4,11,NULL,4),(25,9,1,15,32,2,5,NULL,2),(25,9,1,15,33,6,5,1,1),(25,9,1,15,34,4,8,NULL,2),(25,9,1,15,35,2,5,NULL,1),(25,9,1,15,36,7,13,4,1),(25,9,1,15,37,10,2,4,1),(25,9,1,15,38,3,29,NULL,7),(25,9,1,15,39,2,15,1,4),(25,9,1,15,40,NULL,7,NULL,4),(25,9,1,16,1,21,16,4,4),(25,9,1,16,2,2,15,NULL,4),(25,9,1,16,3,10,11,2,3),(25,9,1,16,4,34,19,11,NULL),(25,9,1,16,5,3,14,1,1),(25,9,1,16,6,8,18,2,5),(25,9,1,16,7,11,35,3,7),(25,9,1,16,8,12,13,NULL,4),(25,9,1,16,9,14,13,3,4),(25,9,1,16,10,2,7,1,2),(25,9,1,16,11,5,8,2,1),(25,9,1,16,12,13,7,4,2),(25,9,1,16,13,19,5,5,3),(25,9,1,16,14,10,14,2,4),(25,9,1,16,15,39,NULL,5,NULL),(25,9,1,16,16,10,27,5,3),(25,9,1,16,17,2,26,1,3),(25,9,1,16,18,14,40,1,7),(25,9,1,16,19,1,25,1,6),(25,9,1,16,20,39,NULL,10,NULL),(25,9,1,16,21,6,20,1,7),(25,9,1,16,22,6,14,NULL,6),(25,9,1,16,23,2,7,NULL,3),(25,9,1,16,24,2,14,2,4),(25,9,1,16,25,1,5,NULL,NULL),(25,9,1,16,26,11,NULL,4,NULL),(25,9,1,16,27,1,NULL,NULL,NULL),(25,9,1,16,28,13,17,1,5),(25,9,1,16,29,2,8,1,NULL),(25,9,1,16,30,NULL,12,NULL,2),(25,9,1,16,31,3,7,1,5),(25,9,1,16,32,1,6,NULL,4),(25,9,1,16,33,4,15,1,2),(25,9,1,16,34,3,20,NULL,2),(25,9,1,16,35,4,6,NULL,2),(25,9,1,16,36,5,13,1,3),(25,9,1,16,37,8,7,3,2),(25,9,1,16,38,3,42,NULL,6),(25,9,1,16,39,5,21,2,7),(25,9,1,16,40,2,7,2,2),(25,9,1,17,1,12,21,7,4),(25,9,1,17,2,6,15,1,3),(25,9,1,17,3,7,12,2,2),(25,9,1,17,4,23,20,3,3),(25,9,1,17,5,5,9,NULL,3),(25,9,1,17,6,7,20,1,5),(25,9,1,17,7,8,38,3,8),(25,9,1,17,8,11,11,2,5),(25,9,1,17,9,7,23,1,6),(25,9,1,17,10,1,5,NULL,1),(25,9,1,17,11,6,12,1,3),(25,9,1,17,12,15,11,3,3),(25,9,1,17,13,14,11,3,4),(25,9,1,17,14,8,14,1,6),(25,9,1,17,15,34,NULL,10,NULL),(25,9,1,17,16,13,26,3,5),(25,9,1,17,17,NULL,35,NULL,9),(25,9,1,17,18,9,46,2,7),(25,9,1,17,19,2,29,1,3),(25,9,1,17,20,33,NULL,8,NULL),(25,9,1,17,21,6,20,2,4),(25,9,1,17,22,7,12,NULL,4),(25,9,1,17,23,2,15,1,4),(25,9,1,17,24,6,13,NULL,4),(25,9,1,17,25,1,11,1,1),(25,9,1,17,26,5,NULL,2,NULL),(25,9,1,17,27,2,NULL,NULL,NULL),(25,9,1,17,28,14,22,3,4),(25,9,1,17,29,5,8,1,1),(25,9,1,17,30,4,9,2,2),(25,9,1,17,31,3,6,2,4),(25,9,1,17,32,1,4,1,NULL),(25,9,1,17,33,NULL,9,NULL,2),(25,9,1,17,34,8,15,3,5),(25,9,1,17,35,5,6,1,1),(25,9,1,17,36,4,19,1,4),(25,9,1,17,37,10,10,5,3),(25,9,1,17,38,1,39,NULL,7),(25,9,1,17,39,5,28,1,8),(25,9,1,17,40,1,9,NULL,3),(25,9,2,21,1,6,6,1,1),(25,9,2,21,2,NULL,13,NULL,2),(25,9,2,21,3,6,10,1,4),(25,9,2,21,4,5,9,NULL,2),(25,9,2,21,5,9,11,5,2),(25,9,2,21,6,1,15,NULL,6),(25,9,2,21,7,2,9,NULL,3),(25,9,2,21,8,4,10,NULL,1),(25,9,2,21,9,13,23,4,4),(25,9,2,21,10,4,12,3,3),(25,9,2,21,11,2,38,1,7),(25,9,2,21,12,2,20,NULL,4),(25,9,2,21,13,20,10,8,NULL),(25,9,2,21,14,4,14,2,5),(25,9,2,21,15,10,14,3,3),(25,9,2,21,16,5,16,1,4),(25,9,2,21,17,4,24,NULL,6),(25,9,2,21,18,9,21,3,1),(25,9,2,21,19,2,11,NULL,2),(25,9,2,21,20,4,21,1,3),(25,9,2,21,21,1,5,NULL,2),(25,9,2,21,22,1,2,NULL,1),(25,9,2,21,23,1,NULL,NULL,NULL),(25,9,2,21,24,2,5,NULL,NULL),(25,9,2,21,25,3,NULL,NULL,NULL),(25,9,2,21,26,2,4,NULL,3),(25,9,2,21,27,3,9,NULL,1),(25,9,2,21,28,NULL,5,NULL,2),(25,9,2,21,29,3,3,NULL,1),(25,9,2,21,30,4,6,NULL,3),(25,9,2,21,31,3,5,3,NULL),(25,9,2,21,32,3,6,NULL,3),(25,9,2,21,33,12,12,3,3),(25,9,2,21,34,NULL,6,NULL,1),(25,9,2,21,35,6,8,2,2),(25,9,2,21,36,6,14,2,NULL),(25,9,2,21,37,3,8,2,2),(25,9,2,21,38,12,9,3,3),(25,9,2,21,39,14,NULL,5,NULL),(25,9,2,21,40,2,3,NULL,2),(25,9,2,22,1,4,11,1,3),(25,9,2,22,2,1,13,NULL,2),(25,9,2,22,3,4,8,1,4),(25,9,2,22,4,1,15,NULL,4),(25,9,2,22,5,12,14,3,3),(25,9,2,22,6,4,12,1,5),(25,9,2,22,7,2,8,NULL,3),(25,9,2,22,8,13,21,4,3),(25,9,2,22,9,20,19,9,2),(25,9,2,22,10,5,15,2,7),(25,9,2,22,11,3,41,NULL,6),(25,9,2,22,12,2,17,1,6),(25,9,2,22,13,27,9,9,2),(25,9,2,22,14,10,11,5,2),(25,9,2,22,15,12,25,4,4),(25,9,2,22,16,3,12,NULL,2),(25,9,2,22,17,7,17,1,2),(25,9,2,22,18,10,14,2,3),(25,9,2,22,19,NULL,16,NULL,5),(25,9,2,22,20,6,18,1,8),(25,9,2,22,21,1,7,NULL,NULL),(25,9,2,22,22,2,3,1,1),(25,9,2,22,23,2,6,NULL,3),(25,9,2,22,24,2,5,NULL,1),(25,9,2,22,25,3,NULL,NULL,NULL),(25,9,2,22,26,1,8,NULL,1),(25,9,2,22,27,2,6,1,1),(25,9,2,22,28,2,5,NULL,1),(25,9,2,22,29,3,7,1,NULL),(25,9,2,22,30,1,10,NULL,3),(25,9,2,22,31,5,7,4,3),(25,9,2,22,32,2,8,1,3),(25,9,2,22,33,14,14,3,3),(25,9,2,22,34,NULL,6,NULL,2),(25,9,2,22,35,3,10,NULL,4),(25,9,2,22,36,7,16,1,2),(25,9,2,22,37,1,6,1,NULL),(25,9,2,22,38,13,11,2,1),(25,9,2,22,39,16,NULL,4,NULL),(25,9,2,22,40,1,4,NULL,NULL),(25,9,2,23,1,3,10,1,1),(25,9,2,23,2,1,18,NULL,2),(25,9,2,23,3,3,11,1,4),(25,9,2,23,4,8,5,3,1),(25,9,2,23,5,6,14,2,2),(25,9,2,23,6,8,3,4,NULL),(25,9,2,23,7,3,10,NULL,1),(25,9,2,23,8,14,15,5,1),(25,9,2,23,9,21,15,7,3),(25,9,2,23,10,5,7,3,1),(25,9,2,23,11,4,39,2,6),(25,9,2,23,12,4,14,1,4),(25,9,2,23,13,16,12,7,1),(25,9,2,23,14,2,15,NULL,4),(25,9,2,23,15,6,7,3,1),(25,9,2,23,16,2,20,1,5),(25,9,2,23,17,3,28,NULL,7),(25,9,2,23,18,10,15,3,3),(25,9,2,23,19,1,12,NULL,2),(25,9,2,23,20,7,8,2,1),(25,9,2,23,21,1,1,NULL,NULL),(25,9,2,23,22,NULL,4,NULL,3),(25,9,2,23,23,2,3,NULL,1),(25,9,2,23,24,2,9,1,2),(25,9,2,23,25,4,NULL,NULL,NULL),(25,9,2,23,26,3,7,2,2),(25,9,2,23,27,1,4,NULL,NULL),(25,9,2,23,28,NULL,6,NULL,1),(25,9,2,23,29,1,2,1,1),(25,9,2,23,30,7,8,4,2),(25,9,2,23,31,8,6,4,NULL),(25,9,2,23,32,1,4,1,NULL),(25,9,2,23,33,9,7,4,1),(25,9,2,23,34,3,6,1,2),(25,9,2,23,35,3,5,3,1),(25,9,2,23,36,3,8,NULL,NULL),(25,9,2,23,37,4,7,1,NULL),(25,9,2,23,38,8,10,1,3),(25,9,2,23,39,11,NULL,6,NULL),(25,9,2,23,40,NULL,5,NULL,2),(25,9,2,24,1,6,9,3,3),(25,9,2,24,2,1,10,NULL,3),(25,9,2,24,3,1,8,1,2),(25,9,2,24,4,5,5,NULL,1),(25,9,2,24,5,11,10,2,4),(25,9,2,24,6,4,8,1,3),(25,9,2,24,7,3,6,2,2),(25,9,2,24,8,8,18,4,3),(25,9,2,24,9,6,18,2,6),(25,9,2,24,10,4,11,2,3),(25,9,2,24,11,5,34,NULL,7),(25,9,2,24,12,4,15,1,4),(25,9,2,24,13,14,8,4,3),(25,9,2,24,14,9,14,2,4),(25,9,2,24,15,9,15,3,6),(25,9,2,24,16,2,14,NULL,5),(25,9,2,24,17,4,21,NULL,4),(25,9,2,24,18,8,10,2,2),(25,9,2,24,19,2,11,NULL,5),(25,9,2,24,20,2,12,NULL,3),(25,9,2,24,21,NULL,9,NULL,4),(25,9,2,24,22,NULL,NULL,NULL,NULL),(25,9,2,24,23,2,4,NULL,1),(25,9,2,24,24,3,3,1,NULL),(25,9,2,24,25,1,NULL,NULL,NULL),(25,9,2,24,26,2,4,NULL,1),(25,9,2,24,27,3,4,1,NULL),(25,9,2,24,28,1,3,NULL,NULL),(25,9,2,24,29,2,9,1,3),(25,9,2,24,30,3,7,1,2),(25,9,2,24,31,6,8,2,5),(25,9,2,24,32,3,5,NULL,4),(25,9,2,24,33,7,12,3,3),(25,9,2,24,34,2,4,1,2),(25,9,2,24,35,4,8,1,4),(25,9,2,24,36,7,8,1,3),(25,9,2,24,37,3,7,1,2),(25,9,2,24,38,7,8,1,1),(25,9,2,24,39,10,NULL,5,NULL),(25,9,2,24,40,NULL,7,NULL,4),(25,101,1,11,1,NULL,NULL,NULL,NULL),(25,101,1,11,2,NULL,NULL,NULL,NULL),(25,101,1,11,3,NULL,NULL,NULL,NULL),(25,101,1,11,4,NULL,NULL,NULL,NULL),(25,101,1,11,5,NULL,NULL,NULL,NULL),(25,101,1,11,6,NULL,NULL,NULL,NULL),(25,101,1,11,7,NULL,NULL,NULL,NULL),(25,101,1,11,8,NULL,NULL,NULL,NULL),(25,101,1,11,9,NULL,NULL,NULL,NULL),(25,101,1,11,10,NULL,NULL,NULL,NULL),(25,101,1,11,11,NULL,NULL,NULL,NULL),(25,101,1,11,12,NULL,NULL,NULL,NULL),(25,101,1,11,13,NULL,NULL,NULL,NULL),(25,101,1,11,14,NULL,NULL,NULL,NULL),(25,101,1,11,15,NULL,NULL,NULL,NULL),(25,101,1,11,16,NULL,NULL,NULL,NULL),(25,101,1,11,17,NULL,NULL,NULL,NULL),(25,101,1,11,18,NULL,NULL,NULL,NULL),(25,101,1,11,19,NULL,NULL,NULL,NULL),(25,101,1,11,20,NULL,NULL,NULL,NULL),(25,101,1,11,21,NULL,NULL,NULL,NULL),(25,101,1,11,22,NULL,NULL,NULL,NULL),(25,101,1,11,23,NULL,NULL,NULL,NULL),(25,101,1,11,24,NULL,NULL,NULL,NULL),(25,101,1,11,25,NULL,NULL,NULL,NULL),(25,101,1,11,26,NULL,NULL,NULL,NULL),(25,101,1,11,27,NULL,NULL,NULL,NULL),(25,101,1,11,28,NULL,NULL,NULL,NULL),(25,101,1,11,29,NULL,NULL,NULL,NULL),(25,101,1,11,30,NULL,NULL,NULL,NULL),(25,101,1,11,31,NULL,NULL,NULL,NULL),(25,101,1,11,32,NULL,NULL,NULL,NULL),(25,101,1,11,33,NULL,NULL,NULL,NULL),(25,101,1,11,34,NULL,NULL,NULL,NULL),(25,101,1,11,35,NULL,NULL,NULL,NULL),(25,101,1,11,36,NULL,NULL,NULL,NULL),(25,101,1,11,37,NULL,NULL,NULL,NULL),(25,101,1,11,38,NULL,NULL,NULL,NULL),(25,101,1,11,39,NULL,NULL,NULL,NULL),(25,101,1,11,40,NULL,NULL,NULL,NULL),(25,101,1,12,1,NULL,NULL,NULL,NULL),(25,101,1,12,2,NULL,NULL,NULL,NULL),(25,101,1,12,3,NULL,1,NULL,NULL),(25,101,1,12,4,NULL,1,NULL,NULL),(25,101,1,12,5,NULL,NULL,NULL,NULL),(25,101,1,12,6,NULL,1,NULL,NULL),(25,101,1,12,7,NULL,1,NULL,NULL),(25,101,1,12,8,NULL,NULL,NULL,NULL),(25,101,1,12,9,NULL,NULL,NULL,NULL),(25,101,1,12,10,NULL,NULL,NULL,NULL),(25,101,1,12,11,NULL,NULL,NULL,NULL),(25,101,1,12,12,1,NULL,NULL,NULL),(25,101,1,12,13,2,NULL,NULL,NULL),(25,101,1,12,14,1,NULL,NULL,NULL),(25,101,1,12,15,NULL,NULL,NULL,NULL),(25,101,1,12,16,NULL,NULL,NULL,NULL),(25,101,1,12,17,NULL,NULL,NULL,NULL),(25,101,1,12,18,NULL,1,NULL,NULL),(25,101,1,12,19,NULL,NULL,NULL,NULL),(25,101,1,12,20,1,NULL,NULL,NULL),(25,101,1,12,21,1,NULL,NULL,NULL),(25,101,1,12,22,1,NULL,NULL,NULL),(25,101,1,12,23,NULL,NULL,NULL,NULL),(25,101,1,12,24,NULL,NULL,NULL,NULL),(25,101,1,12,25,NULL,1,NULL,NULL),(25,101,1,12,26,NULL,NULL,NULL,NULL),(25,101,1,12,27,NULL,NULL,NULL,NULL),(25,101,1,12,28,1,NULL,NULL,NULL),(25,101,1,12,29,NULL,NULL,NULL,NULL),(25,101,1,12,30,NULL,NULL,NULL,NULL),(25,101,1,12,31,NULL,NULL,NULL,NULL),(25,101,1,12,32,NULL,NULL,NULL,NULL),(25,101,1,12,33,NULL,1,NULL,NULL),(25,101,1,12,34,NULL,NULL,NULL,NULL),(25,101,1,12,35,NULL,NULL,NULL,NULL),(25,101,1,12,36,NULL,NULL,NULL,NULL),(25,101,1,12,37,NULL,NULL,NULL,NULL),(25,101,1,12,38,NULL,1,NULL,NULL),(25,101,1,12,39,NULL,2,NULL,NULL),(25,101,1,12,40,NULL,NULL,NULL,NULL),(25,101,1,13,1,NULL,1,NULL,NULL),(25,101,1,13,2,NULL,NULL,NULL,NULL),(25,101,1,13,3,NULL,NULL,NULL,NULL),(25,101,1,13,4,NULL,NULL,NULL,NULL),(25,101,1,13,5,NULL,NULL,NULL,NULL),(25,101,1,13,6,NULL,NULL,NULL,NULL),(25,101,1,13,7,NULL,NULL,NULL,NULL),(25,101,1,13,8,NULL,1,NULL,NULL),(25,101,1,13,9,NULL,NULL,NULL,NULL),(25,101,1,13,10,NULL,NULL,NULL,NULL),(25,101,1,13,11,NULL,NULL,NULL,NULL),(25,101,1,13,12,NULL,NULL,NULL,NULL),(25,101,1,13,13,NULL,NULL,NULL,NULL),(25,101,1,13,14,NULL,NULL,NULL,NULL),(25,101,1,13,15,NULL,NULL,NULL,NULL),(25,101,1,13,16,NULL,1,NULL,NULL),(25,101,1,13,17,NULL,1,NULL,NULL),(25,101,1,13,18,1,NULL,NULL,NULL),(25,101,1,13,19,NULL,NULL,NULL,NULL),(25,101,1,13,20,NULL,1,NULL,NULL),(25,101,1,13,21,NULL,NULL,NULL,NULL),(25,101,1,13,22,NULL,NULL,NULL,NULL),(25,101,1,13,23,NULL,1,NULL,NULL),(25,101,1,13,24,NULL,NULL,NULL,NULL),(25,101,1,13,25,NULL,NULL,NULL,NULL),(25,101,1,13,26,1,NULL,NULL,NULL),(25,101,1,13,27,NULL,NULL,NULL,NULL),(25,101,1,13,28,NULL,NULL,NULL,NULL),(25,101,1,13,29,NULL,NULL,NULL,NULL),(25,101,1,13,30,NULL,1,NULL,NULL),(25,101,1,13,31,NULL,NULL,NULL,NULL),(25,101,1,13,32,NULL,NULL,NULL,NULL),(25,101,1,13,33,NULL,NULL,NULL,NULL),(25,101,1,13,34,NULL,NULL,NULL,NULL),(25,101,1,13,35,NULL,NULL,NULL,NULL),(25,101,1,13,36,NULL,NULL,NULL,NULL),(25,101,1,13,37,NULL,1,NULL,NULL),(25,101,1,13,38,NULL,NULL,NULL,NULL),(25,101,1,13,39,NULL,NULL,NULL,NULL),(25,101,1,13,40,NULL,NULL,NULL,NULL),(25,101,1,14,1,7,20,3,8),(25,101,1,14,2,4,7,1,5),(25,101,1,14,3,13,4,8,2),(25,101,1,14,4,15,12,6,4),(25,101,1,14,5,1,13,1,7),(25,101,1,14,6,9,12,1,8),(25,101,1,14,7,6,23,2,9),(25,101,1,14,8,7,5,4,3),(25,101,1,14,9,9,11,5,2),(25,101,1,14,10,1,4,NULL,2),(25,101,1,14,11,2,10,1,3),(25,101,1,14,12,6,4,5,2),(25,101,1,14,13,3,8,1,3),(25,101,1,14,14,4,9,2,5),(25,101,1,14,15,6,10,4,3),(25,101,1,14,16,5,8,2,1),(25,101,1,14,17,3,3,3,2),(25,101,1,14,18,10,5,6,2),(25,101,1,14,19,11,16,7,5),(25,101,1,14,20,7,3,5,NULL),(25,101,1,14,21,6,11,NULL,6),(25,101,1,14,22,9,10,3,6),(25,101,1,14,23,5,6,2,3),(25,101,1,14,24,1,7,1,3),(25,101,1,14,25,2,9,1,3),(25,101,1,14,26,1,NULL,NULL,NULL),(25,101,1,14,27,3,NULL,NULL,NULL),(25,101,1,14,28,10,8,4,4),(25,101,1,14,29,2,7,1,1),(25,101,1,14,30,3,9,1,1),(25,101,1,14,31,3,2,2,1),(25,101,1,14,32,2,3,2,2),(25,101,1,14,33,6,8,3,4),(25,101,1,14,34,4,6,2,3),(25,101,1,14,35,5,4,2,2),(25,101,1,14,36,3,12,2,4),(25,101,1,14,37,7,8,5,4),(25,101,1,14,38,4,24,2,6),(25,101,1,14,39,1,13,1,4),(25,101,1,14,40,NULL,NULL,NULL,NULL),(25,101,1,15,1,11,11,4,6),(25,101,1,15,2,8,9,3,5),(25,101,1,15,3,6,6,2,2),(25,101,1,15,4,19,11,11,4),(25,101,1,15,5,4,10,2,5),(25,101,1,15,6,3,20,1,8),(25,101,1,15,7,5,17,3,10),(25,101,1,15,8,8,6,4,4),(25,101,1,15,9,9,9,4,3),(25,101,1,15,10,5,2,3,2),(25,101,1,15,11,5,4,2,2),(25,101,1,15,12,5,4,3,2),(25,101,1,15,13,4,8,4,2),(25,101,1,15,14,8,13,5,4),(25,101,1,15,15,10,9,6,3),(25,101,1,15,16,5,6,2,2),(25,101,1,15,17,8,9,5,3),(25,101,1,15,18,12,3,6,1),(25,101,1,15,19,7,12,4,7),(25,101,1,15,20,8,6,5,4),(25,101,1,15,21,5,11,3,3),(25,101,1,15,22,5,8,4,4),(25,101,1,15,23,2,9,NULL,4),(25,101,1,15,24,2,3,1,2),(25,101,1,15,25,1,4,NULL,2),(25,101,1,15,26,5,NULL,2,NULL),(25,101,1,15,27,1,NULL,NULL,NULL),(25,101,1,15,28,5,11,2,6),(25,101,1,15,29,4,4,1,4),(25,101,1,15,30,NULL,6,NULL,3),(25,101,1,15,31,3,3,2,3),(25,101,1,15,32,1,3,1,3),(25,101,1,15,33,4,7,3,4),(25,101,1,15,34,7,6,4,3),(25,101,1,15,35,2,5,NULL,2),(25,101,1,15,36,8,9,6,6),(25,101,1,15,37,6,8,4,3),(25,101,1,15,38,4,20,3,9),(25,101,1,15,39,3,11,3,8),(25,101,1,15,40,NULL,7,NULL,5),(25,101,1,16,1,19,30,5,9),(25,101,1,16,2,8,21,2,4),(25,101,1,16,3,11,17,4,4),(25,101,1,16,4,36,33,11,4),(25,101,1,16,5,3,25,NULL,3),(25,101,1,16,6,16,27,4,9),(25,101,1,16,7,6,53,1,10),(25,101,1,16,8,16,22,2,8),(25,101,1,16,9,12,27,5,7),(25,101,1,16,10,3,9,1,2),(25,101,1,16,11,5,17,1,1),(25,101,1,16,12,14,17,7,3),(25,101,1,16,13,21,15,7,5),(25,101,1,16,14,12,24,3,6),(25,101,1,16,15,58,NULL,9,NULL),(25,101,1,16,16,9,45,3,5),(25,101,1,16,17,NULL,41,NULL,4),(25,101,1,16,18,16,66,6,12),(25,101,1,16,19,2,36,1,3),(25,101,1,16,20,60,NULL,13,NULL),(25,101,1,16,21,7,32,NULL,11),(25,101,1,16,22,7,27,NULL,7),(25,101,1,16,23,5,13,2,5),(25,101,1,16,24,5,20,NULL,3),(25,101,1,16,25,1,17,NULL,2),(25,101,1,16,26,8,NULL,3,NULL),(25,101,1,16,27,6,NULL,1,NULL),(25,101,1,16,28,17,26,4,7),(25,101,1,16,29,1,12,NULL,3),(25,101,1,16,30,1,21,NULL,7),(25,101,1,16,31,2,11,NULL,3),(25,101,1,16,32,5,8,2,4),(25,101,1,16,33,6,15,1,5),(25,101,1,16,34,6,19,1,2),(25,101,1,16,35,5,10,2,5),(25,101,1,16,36,11,22,5,7),(25,101,1,16,37,14,13,7,3),(25,101,1,16,38,3,62,NULL,15),(25,101,1,16,39,6,25,3,7),(25,101,1,16,40,1,15,NULL,8),(25,101,1,17,1,28,23,6,8),(25,101,1,17,2,3,21,1,7),(25,101,1,17,3,19,16,5,3),(25,101,1,17,4,34,34,9,9),(25,101,1,17,5,2,24,NULL,8),(25,101,1,17,6,10,28,2,9),(25,101,1,17,7,9,59,1,18),(25,101,1,17,8,16,17,5,10),(25,101,1,17,9,14,27,5,8),(25,101,1,17,10,2,11,1,3),(25,101,1,17,11,9,14,3,5),(25,101,1,17,12,14,14,5,4),(25,101,1,17,13,28,11,9,4),(25,101,1,17,14,12,18,7,6),(25,101,1,17,15,49,NULL,9,NULL),(25,101,1,17,16,20,32,8,9),(25,101,1,17,17,4,45,NULL,10),(25,101,1,17,18,15,70,1,18),(25,101,1,17,19,3,33,NULL,7),(25,101,1,17,20,47,NULL,12,NULL),(25,101,1,17,21,8,28,4,7),(25,101,1,17,22,9,28,2,11),(25,101,1,17,23,3,13,2,2),(25,101,1,17,24,4,9,1,4),(25,101,1,17,25,NULL,10,NULL,2),(25,101,1,17,26,3,NULL,3,NULL),(25,101,1,17,27,2,NULL,1,NULL),(25,101,1,17,28,7,31,2,8),(25,101,1,17,29,3,12,NULL,2),(25,101,1,17,30,6,15,NULL,5),(25,101,1,17,31,4,9,2,4),(25,101,1,17,32,3,4,1,2),(25,101,1,17,33,4,10,2,3),(25,101,1,17,34,7,20,4,3),(25,101,1,17,35,9,10,1,2),(25,101,1,17,36,8,23,5,3),(25,101,1,17,37,10,11,3,4),(25,101,1,17,38,4,38,2,10),(25,101,1,17,39,3,24,1,7),(25,101,1,17,40,1,8,1,5),(25,101,2,21,1,4,16,3,3),(25,101,2,21,2,3,14,1,5),(25,101,2,21,3,6,22,1,5),(25,101,2,21,4,4,11,1,4),(25,101,2,21,5,12,14,5,3),(25,101,2,21,6,2,15,NULL,5),(25,101,2,21,7,4,11,NULL,2),(25,101,2,21,8,14,18,5,3),(25,101,2,21,9,14,31,4,7),(25,101,2,21,10,6,13,4,4),(25,101,2,21,11,5,48,NULL,9),(25,101,2,21,12,6,12,NULL,1),(25,101,2,21,13,20,20,10,NULL),(25,101,2,21,14,6,17,2,6),(25,101,2,21,15,10,25,4,5),(25,101,2,21,16,4,21,1,4),(25,101,2,21,17,8,25,1,6),(25,101,2,21,18,10,23,3,6),(25,101,2,21,19,4,12,1,4),(25,101,2,21,20,9,16,2,2),(25,101,2,21,21,4,9,1,NULL),(25,101,2,21,22,NULL,3,NULL,NULL),(25,101,2,21,23,NULL,9,NULL,4),(25,101,2,21,24,2,11,NULL,NULL),(25,101,2,21,25,1,NULL,1,NULL),(25,101,2,21,26,2,7,1,2),(25,101,2,21,27,NULL,11,NULL,2),(25,101,2,21,28,4,10,1,5),(25,101,2,21,29,2,9,1,5),(25,101,2,21,30,2,5,NULL,2),(25,101,2,21,31,9,14,5,5),(25,101,2,21,32,2,7,NULL,4),(25,101,2,21,33,10,15,4,3),(25,101,2,21,34,2,7,1,NULL),(25,101,2,21,35,6,10,1,3),(25,101,2,21,36,5,13,3,2),(25,101,2,21,37,2,8,1,1),(25,101,2,21,38,5,15,NULL,6),(25,101,2,21,39,10,NULL,5,NULL),(25,101,2,21,40,NULL,5,NULL,2),(25,101,2,22,1,7,14,4,8),(25,101,2,22,2,3,22,1,8),(25,101,2,22,3,4,13,1,6),(25,101,2,22,4,6,15,3,4),(25,101,2,22,5,10,13,4,3),(25,101,2,22,6,3,13,2,4),(25,101,2,22,7,3,14,1,6),(25,101,2,22,8,14,22,4,6),(25,101,2,22,9,18,19,8,4),(25,101,2,22,10,3,14,2,7),(25,101,2,22,11,5,39,1,12),(25,101,2,22,12,2,15,2,6),(25,101,2,22,13,22,11,10,4),(25,101,2,22,14,5,22,2,9),(25,101,2,22,15,10,31,3,11),(25,101,2,22,16,4,19,2,6),(25,101,2,22,17,9,27,3,7),(25,101,2,22,18,7,15,1,5),(25,101,2,22,19,2,11,2,1),(25,101,2,22,20,5,21,2,6),(25,101,2,22,21,NULL,6,NULL,3),(25,101,2,22,22,3,4,1,1),(25,101,2,22,23,2,4,1,1),(25,101,2,22,24,1,9,NULL,4),(25,101,2,22,25,1,NULL,1,NULL),(25,101,2,22,26,NULL,6,NULL,NULL),(25,101,2,22,27,2,6,1,1),(25,101,2,22,28,1,NULL,1,NULL),(25,101,2,22,29,1,4,NULL,1),(25,101,2,22,30,4,8,NULL,2),(25,101,2,22,31,8,10,2,4),(25,101,2,22,32,1,13,NULL,5),(25,101,2,22,33,7,11,6,6),(25,101,2,22,34,3,9,1,4),(25,101,2,22,35,5,12,1,4),(25,101,2,22,36,6,17,2,5),(25,101,2,22,37,6,8,2,3),(25,101,2,22,38,5,9,2,6),(25,101,2,22,39,11,NULL,4,NULL),(25,101,2,22,40,1,3,1,2),(25,101,2,23,1,4,7,3,2),(25,101,2,23,2,3,10,NULL,6),(25,101,2,23,3,3,15,1,6),(25,101,2,23,4,4,16,2,7),(25,101,2,23,5,5,15,2,9),(25,101,2,23,6,1,9,NULL,4),(25,101,2,23,7,2,15,2,5),(25,101,2,23,8,20,18,7,6),(25,101,2,23,9,13,23,5,8),(25,101,2,23,10,2,18,2,7),(25,101,2,23,11,NULL,38,NULL,9),(25,101,2,23,12,3,11,1,4),(25,101,2,23,13,17,20,10,6),(25,101,2,23,14,6,14,1,7),(25,101,2,23,15,2,20,1,6),(25,101,2,23,16,2,18,2,7),(25,101,2,23,17,6,15,NULL,7),(25,101,2,23,18,11,19,3,8),(25,101,2,23,19,3,8,2,3),(25,101,2,23,20,8,18,4,8),(25,101,2,23,21,4,9,1,2),(25,101,2,23,22,NULL,3,NULL,NULL),(25,101,2,23,23,1,12,NULL,2),(25,101,2,23,24,3,14,NULL,4),(25,101,2,23,25,1,NULL,NULL,NULL),(25,101,2,23,26,1,1,NULL,NULL),(25,101,2,23,27,1,4,1,NULL),(25,101,2,23,28,1,3,NULL,2),(25,101,2,23,29,2,8,1,3),(25,101,2,23,30,3,7,2,NULL),(25,101,2,23,31,8,11,3,6),(25,101,2,23,32,1,4,NULL,2),(25,101,2,23,33,8,11,3,5),(25,101,2,23,34,1,7,1,2),(25,101,2,23,35,5,16,3,4),(25,101,2,23,36,9,7,3,3),(25,101,2,23,37,5,13,1,4),(25,101,2,23,38,9,16,3,5),(25,101,2,23,39,8,NULL,5,NULL),(25,101,2,23,40,NULL,1,NULL,NULL),(25,101,2,24,1,4,17,1,6),(25,101,2,24,2,1,12,NULL,5),(25,101,2,24,3,4,9,1,3),(25,101,2,24,4,8,14,3,5),(25,101,2,24,5,7,18,5,4),(25,101,2,24,6,4,10,2,4),(25,101,2,24,7,4,12,3,1),(25,101,2,24,8,6,27,2,7),(25,101,2,24,9,19,24,9,7),(25,101,2,24,10,7,17,2,5),(25,101,2,24,11,6,44,3,9),(25,101,2,24,12,3,14,1,2),(25,101,2,24,13,19,17,8,5),(25,101,2,24,14,NULL,14,NULL,9),(25,101,2,24,15,12,19,3,8),(25,101,2,24,16,9,22,1,6),(25,101,2,24,17,8,23,1,4),(25,101,2,24,18,11,9,3,4),(25,101,2,24,19,1,9,1,3),(25,101,2,24,20,7,19,5,6),(25,101,2,24,21,NULL,11,NULL,3),(25,101,2,24,22,NULL,NULL,NULL,NULL),(25,101,2,24,23,1,6,1,1),(25,101,2,24,24,1,15,NULL,3),(25,101,2,24,25,6,NULL,1,NULL),(25,101,2,24,26,NULL,4,NULL,2),(25,101,2,24,27,3,6,1,1),(25,101,2,24,28,3,9,1,2),(25,101,2,24,29,2,4,NULL,1),(25,101,2,24,30,6,7,3,1),(25,101,2,24,31,9,7,8,4),(25,101,2,24,32,2,5,NULL,1),(25,101,2,24,33,7,17,2,4),(25,101,2,24,34,NULL,9,NULL,3),(25,101,2,24,35,3,10,1,5),(25,101,2,24,36,10,12,3,2),(25,101,2,24,37,1,9,NULL,4),(25,101,2,24,38,10,11,5,1),(25,101,2,24,39,12,NULL,7,NULL),(25,101,2,24,40,2,2,NULL,1),(25,102,1,11,1,NULL,1,NULL,1),(25,102,1,11,2,NULL,1,NULL,1),(25,102,1,11,3,NULL,1,NULL,1),(25,102,1,11,4,NULL,NULL,NULL,NULL),(25,102,1,11,5,NULL,NULL,NULL,NULL),(25,102,1,11,6,1,NULL,1,NULL),(25,102,1,11,7,1,NULL,1,NULL),(25,102,1,11,8,NULL,NULL,NULL,NULL),(25,102,1,11,9,NULL,NULL,NULL,NULL),(25,102,1,11,10,NULL,NULL,NULL,NULL),(25,102,1,11,11,NULL,NULL,NULL,NULL),(25,102,1,11,12,NULL,NULL,NULL,NULL),(25,102,1,11,13,1,NULL,1,NULL),(25,102,1,11,14,1,NULL,1,NULL),(25,102,1,11,15,1,NULL,1,NULL),(25,102,1,11,16,1,NULL,1,NULL),(25,102,1,11,17,NULL,1,NULL,1),(25,102,1,11,18,1,NULL,1,NULL),(25,102,1,11,19,1,NULL,1,NULL),(25,102,1,11,20,1,NULL,1,NULL),(25,102,1,11,21,NULL,1,NULL,1),(25,102,1,11,22,NULL,NULL,NULL,NULL),(25,102,1,11,23,NULL,1,NULL,1),(25,102,1,11,24,NULL,NULL,NULL,NULL),(25,102,1,11,25,NULL,NULL,NULL,NULL),(25,102,1,11,26,NULL,NULL,NULL,NULL),(25,102,1,11,27,NULL,NULL,NULL,NULL),(25,102,1,11,28,NULL,1,NULL,1),(25,102,1,11,29,NULL,NULL,NULL,NULL),(25,102,1,11,30,NULL,1,NULL,1),(25,102,1,11,31,NULL,NULL,NULL,NULL),(25,102,1,11,32,NULL,NULL,NULL,NULL),(25,102,1,11,33,NULL,1,NULL,1),(25,102,1,11,34,NULL,NULL,NULL,NULL),(25,102,1,11,35,1,NULL,1,NULL),(25,102,1,11,36,NULL,1,NULL,1),(25,102,1,11,37,NULL,NULL,NULL,NULL),(25,102,1,11,38,NULL,1,NULL,1),(25,102,1,11,39,NULL,NULL,NULL,NULL),(25,102,1,11,40,NULL,1,NULL,1),(25,102,1,12,1,NULL,NULL,NULL,NULL),(25,102,1,12,2,NULL,NULL,NULL,NULL),(25,102,1,12,3,NULL,NULL,NULL,NULL),(25,102,1,12,4,NULL,NULL,NULL,NULL),(25,102,1,12,5,NULL,NULL,NULL,NULL),(25,102,1,12,6,NULL,NULL,NULL,NULL),(25,102,1,12,7,NULL,NULL,NULL,NULL),(25,102,1,12,8,NULL,NULL,NULL,NULL),(25,102,1,12,9,NULL,NULL,NULL,NULL),(25,102,1,12,10,NULL,NULL,NULL,NULL),(25,102,1,12,11,NULL,NULL,NULL,NULL),(25,102,1,12,12,NULL,NULL,NULL,NULL),(25,102,1,12,13,NULL,NULL,NULL,NULL),(25,102,1,12,14,NULL,NULL,NULL,NULL),(25,102,1,12,15,NULL,NULL,NULL,NULL),(25,102,1,12,16,NULL,NULL,NULL,NULL),(25,102,1,12,17,NULL,NULL,NULL,NULL),(25,102,1,12,18,NULL,NULL,NULL,NULL),(25,102,1,12,19,NULL,NULL,NULL,NULL),(25,102,1,12,20,NULL,NULL,NULL,NULL),(25,102,1,12,21,NULL,NULL,NULL,NULL),(25,102,1,12,22,NULL,NULL,NULL,NULL),(25,102,1,12,23,NULL,NULL,NULL,NULL),(25,102,1,12,24,NULL,NULL,NULL,NULL),(25,102,1,12,25,NULL,NULL,NULL,NULL),(25,102,1,12,26,NULL,NULL,NULL,NULL),(25,102,1,12,27,NULL,NULL,NULL,NULL),(25,102,1,12,28,NULL,NULL,NULL,NULL),(25,102,1,12,29,NULL,NULL,NULL,NULL),(25,102,1,12,30,NULL,NULL,NULL,NULL),(25,102,1,12,31,NULL,NULL,NULL,NULL),(25,102,1,12,32,NULL,NULL,NULL,NULL),(25,102,1,12,33,NULL,NULL,NULL,NULL),(25,102,1,12,34,NULL,NULL,NULL,NULL),(25,102,1,12,35,NULL,NULL,NULL,NULL),(25,102,1,12,36,NULL,NULL,NULL,NULL),(25,102,1,12,37,NULL,NULL,NULL,NULL),(25,102,1,12,38,NULL,NULL,NULL,NULL),(25,102,1,12,39,NULL,NULL,NULL,NULL),(25,102,1,12,40,NULL,NULL,NULL,NULL),(25,102,1,13,1,NULL,NULL,NULL,NULL),(25,102,1,13,2,NULL,NULL,NULL,NULL),(25,102,1,13,3,NULL,NULL,NULL,NULL),(25,102,1,13,4,NULL,NULL,NULL,NULL),(25,102,1,13,5,NULL,NULL,NULL,NULL),(25,102,1,13,6,NULL,NULL,NULL,NULL),(25,102,1,13,7,NULL,NULL,NULL,NULL),(25,102,1,13,8,NULL,NULL,NULL,NULL),(25,102,1,13,9,NULL,NULL,NULL,NULL),(25,102,1,13,10,NULL,NULL,NULL,NULL),(25,102,1,13,11,NULL,NULL,NULL,NULL),(25,102,1,13,12,NULL,1,NULL,NULL),(25,102,1,13,13,NULL,1,NULL,NULL),(25,102,1,13,14,NULL,NULL,NULL,NULL),(25,102,1,13,15,NULL,NULL,NULL,NULL),(25,102,1,13,16,NULL,1,NULL,NULL),(25,102,1,13,17,NULL,1,NULL,NULL),(25,102,1,13,18,1,NULL,NULL,NULL),(25,102,1,13,19,NULL,NULL,NULL,NULL),(25,102,1,13,20,NULL,NULL,NULL,NULL),(25,102,1,13,21,NULL,1,NULL,NULL),(25,102,1,13,22,NULL,1,NULL,NULL),(25,102,1,13,23,1,NULL,NULL,NULL),(25,102,1,13,24,NULL,NULL,NULL,NULL),(25,102,1,13,25,NULL,NULL,NULL,NULL),(25,102,1,13,26,NULL,NULL,NULL,NULL),(25,102,1,13,27,NULL,NULL,NULL,NULL),(25,102,1,13,28,NULL,NULL,NULL,NULL),(25,102,1,13,29,NULL,1,NULL,NULL),(25,102,1,13,30,NULL,NULL,NULL,NULL),(25,102,1,13,31,NULL,NULL,NULL,NULL),(25,102,1,13,32,NULL,NULL,NULL,NULL),(25,102,1,13,33,NULL,NULL,NULL,NULL),(25,102,1,13,34,NULL,NULL,NULL,NULL),(25,102,1,13,35,1,NULL,NULL,NULL),(25,102,1,13,36,NULL,NULL,NULL,NULL),(25,102,1,13,37,NULL,NULL,NULL,NULL),(25,102,1,13,38,NULL,NULL,NULL,NULL),(25,102,1,13,39,NULL,NULL,NULL,NULL),(25,102,1,13,40,NULL,NULL,NULL,NULL),(25,102,1,14,1,31,36,7,19),(25,102,1,14,2,12,20,6,8),(25,102,1,14,3,16,12,7,6),(25,102,1,14,4,44,27,21,11),(25,102,1,14,5,6,20,4,7),(25,102,1,14,6,12,37,5,13),(25,102,1,14,7,18,56,9,20),(25,102,1,14,8,29,15,19,4),(25,102,1,14,9,13,34,5,13),(25,102,1,14,10,3,7,3,3),(25,102,1,14,11,8,18,6,9),(25,102,1,14,12,10,10,6,4),(25,102,1,14,13,15,12,10,5),(25,102,1,14,14,14,28,8,11),(25,102,1,14,15,20,19,13,9),(25,102,1,14,16,15,18,7,9),(25,102,1,14,17,24,8,17,5),(25,102,1,14,18,40,8,21,3),(25,102,1,14,19,21,41,9,16),(25,102,1,14,20,26,7,14,6),(25,102,1,14,21,22,31,11,13),(25,102,1,14,22,10,18,2,13),(25,102,1,14,23,8,17,3,8),(25,102,1,14,24,1,13,NULL,8),(25,102,1,14,25,4,16,1,5),(25,102,1,14,26,12,NULL,10,NULL),(25,102,1,14,27,1,NULL,1,NULL),(25,102,1,14,28,8,28,1,13),(25,102,1,14,29,5,8,3,5),(25,102,1,14,30,2,13,1,8),(25,102,1,14,31,6,14,5,8),(25,102,1,14,32,11,19,8,9),(25,102,1,14,33,8,20,5,8),(25,102,1,14,34,12,8,4,5),(25,102,1,14,35,18,7,11,3),(25,102,1,14,36,20,27,13,11),(25,102,1,14,37,15,19,9,7),(25,102,1,14,38,3,51,2,20),(25,102,1,14,39,15,29,9,10),(25,102,1,14,40,1,18,1,14),(25,102,1,15,1,29,35,18,23),(25,102,1,15,2,8,22,5,18),(25,102,1,15,3,18,23,12,12),(25,102,1,15,4,51,22,30,13),(25,102,1,15,5,12,31,9,18),(25,102,1,15,6,16,23,9,14),(25,102,1,15,7,18,45,11,29),(25,102,1,15,8,22,11,16,6),(25,102,1,15,9,17,30,13,18),(25,102,1,15,10,7,17,4,15),(25,102,1,15,11,7,20,4,12),(25,102,1,15,12,18,8,14,5),(25,102,1,15,13,14,22,14,13),(25,102,1,15,14,16,23,14,14),(25,102,1,15,15,23,26,20,15),(25,102,1,15,16,12,18,8,11),(25,102,1,15,17,15,12,14,8),(25,102,1,15,18,40,9,32,5),(25,102,1,15,19,28,30,21,17),(25,102,1,15,20,31,13,25,9),(25,102,1,15,21,17,25,11,14),(25,102,1,15,22,8,31,5,25),(25,102,1,15,23,7,21,3,16),(25,102,1,15,24,3,22,1,18),(25,102,1,15,25,2,17,2,9),(25,102,1,15,26,19,NULL,17,NULL),(25,102,1,15,27,5,NULL,5,NULL),(25,102,1,15,28,12,32,6,20),(25,102,1,15,29,6,15,1,9),(25,102,1,15,30,7,18,4,14),(25,102,1,15,31,6,12,5,9),(25,102,1,15,32,9,15,7,12),(25,102,1,15,33,14,18,10,7),(25,102,1,15,34,14,19,7,12),(25,102,1,15,35,14,6,9,3),(25,102,1,15,36,32,28,27,13),(25,102,1,15,37,20,20,18,8),(25,102,1,15,38,5,58,3,35),(25,102,1,15,39,11,33,11,18),(25,102,1,15,40,1,18,1,12),(25,102,1,16,1,28,34,3,16),(25,102,1,16,2,8,20,4,4),(25,102,1,16,3,14,22,5,7),(25,102,1,16,4,35,25,11,5),(25,102,1,16,5,4,23,1,7),(25,102,1,16,6,9,24,2,7),(25,102,1,16,7,9,53,3,14),(25,102,1,16,8,20,17,9,4),(25,102,1,16,9,15,16,5,5),(25,102,1,16,10,2,7,2,2),(25,102,1,16,11,6,21,1,11),(25,102,1,16,12,12,16,6,5),(25,102,1,16,13,25,18,6,6),(25,102,1,16,14,12,22,3,6),(25,102,1,16,15,53,NULL,17,NULL),(25,102,1,16,16,11,27,4,10),(25,102,1,16,17,1,42,NULL,12),(25,102,1,16,18,13,63,2,16),(25,102,1,16,19,1,25,1,3),(25,102,1,16,20,57,NULL,19,NULL),(25,102,1,16,21,11,32,1,12),(25,102,1,16,22,6,25,2,12),(25,102,1,16,23,5,14,NULL,8),(25,102,1,16,24,2,16,NULL,8),(25,102,1,16,25,1,9,NULL,3),(25,102,1,16,26,5,NULL,5,NULL),(25,102,1,16,27,3,NULL,2,NULL),(25,102,1,16,28,15,23,2,11),(25,102,1,16,29,1,7,1,3),(25,102,1,16,30,2,15,NULL,7),(25,102,1,16,31,2,14,NULL,4),(25,102,1,16,32,1,1,NULL,1),(25,102,1,16,33,7,14,3,4),(25,102,1,16,34,11,21,4,6),(25,102,1,16,35,6,14,4,4),(25,102,1,16,36,9,22,7,6),(25,102,1,16,37,15,16,8,6),(25,102,1,16,38,2,36,1,12),(25,102,1,16,39,9,22,4,9),(25,102,1,16,40,3,10,1,6),(25,102,1,17,1,23,23,7,6),(25,102,1,17,2,13,15,5,7),(25,102,1,17,3,21,12,6,1),(25,102,1,17,4,36,23,10,8),(25,102,1,17,5,7,12,4,5),(25,102,1,17,6,14,23,5,10),(25,102,1,17,7,7,51,2,15),(25,102,1,17,8,13,15,5,3),(25,102,1,17,9,16,27,5,6),(25,102,1,17,10,5,5,4,1),(25,102,1,17,11,11,11,2,3),(25,102,1,17,12,21,5,8,NULL),(25,102,1,17,13,35,9,12,5),(25,102,1,17,14,24,18,8,7),(25,102,1,17,15,48,NULL,12,NULL),(25,102,1,17,16,18,23,4,9),(25,102,1,17,17,6,34,NULL,7),(25,102,1,17,18,15,61,6,13),(25,102,1,17,19,3,30,2,5),(25,102,1,17,20,46,NULL,16,NULL),(25,102,1,17,21,14,16,6,4),(25,102,1,17,22,9,25,1,9),(25,102,1,17,23,2,10,1,5),(25,102,1,17,24,3,11,NULL,4),(25,102,1,17,25,2,6,NULL,1),(25,102,1,17,26,7,NULL,3,NULL),(25,102,1,17,27,1,NULL,NULL,NULL),(25,102,1,17,28,11,33,3,8),(25,102,1,17,29,3,10,NULL,5),(25,102,1,17,30,4,13,NULL,3),(25,102,1,17,31,2,13,1,7),(25,102,1,17,32,7,6,5,3),(25,102,1,17,33,5,17,2,1),(25,102,1,17,34,15,9,6,5),(25,102,1,17,35,5,1,3,1),(25,102,1,17,36,16,28,7,7),(25,102,1,17,37,21,10,9,4),(25,102,1,17,38,5,38,5,11),(25,102,1,17,39,2,30,2,7),(25,102,1,17,40,3,11,2,5),(25,102,2,21,1,7,13,5,8),(25,102,2,21,2,6,18,3,11),(25,102,2,21,3,8,15,4,10),(25,102,2,21,4,5,10,3,7),(25,102,2,21,5,20,12,14,5),(25,102,2,21,6,7,19,7,11),(25,102,2,21,7,4,8,NULL,5),(25,102,2,21,8,13,19,6,12),(25,102,2,21,9,26,22,18,9),(25,102,2,21,10,10,18,5,12),(25,102,2,21,11,10,45,3,15),(25,102,2,21,12,5,20,2,10),(25,102,2,21,13,36,15,19,8),(25,102,2,21,14,8,18,5,12),(25,102,2,21,15,11,20,6,11),(25,102,2,21,16,16,15,6,8),(25,102,2,21,17,15,29,1,13),(25,102,2,21,18,15,22,5,15),(25,102,2,21,19,5,16,4,6),(25,102,2,21,20,6,17,2,11),(25,102,2,21,21,5,7,2,2),(25,102,2,21,22,1,2,NULL,1),(25,102,2,21,23,4,8,3,7),(25,102,2,21,24,NULL,7,NULL,4),(25,102,2,21,25,5,NULL,3,NULL),(25,102,2,21,26,1,1,1,NULL),(25,102,2,21,27,1,5,1,3),(25,102,2,21,28,2,2,2,1),(25,102,2,21,29,1,8,NULL,2),(25,102,2,21,30,2,16,1,8),(25,102,2,21,31,13,13,9,9),(25,102,2,21,32,4,12,3,8),(25,102,2,21,33,22,11,13,7),(25,102,2,21,34,4,5,3,2),(25,102,2,21,35,8,17,3,9),(25,102,2,21,36,16,12,11,7),(25,102,2,21,37,3,16,2,11),(25,102,2,21,38,17,17,13,6),(25,102,2,21,39,34,NULL,20,NULL),(25,102,2,21,40,1,9,NULL,6),(25,102,2,22,1,10,15,8,6),(25,102,2,22,2,5,16,4,6),(25,102,2,22,3,10,14,6,4),(25,102,2,22,4,5,21,4,7),(25,102,2,22,5,18,19,9,8),(25,102,2,22,6,6,16,3,7),(25,102,2,22,7,6,12,4,7),(25,102,2,22,8,25,23,11,10),(25,102,2,22,9,30,27,20,10),(25,102,2,22,10,15,21,11,9),(25,102,2,22,11,5,61,2,18),(25,102,2,22,12,6,22,3,10),(25,102,2,22,13,37,16,26,3),(25,102,2,22,14,11,21,8,11),(25,102,2,22,15,21,29,14,10),(25,102,2,22,16,9,24,3,12),(25,102,2,22,17,11,31,6,11),(25,102,2,22,18,15,19,6,7),(25,102,2,22,19,5,19,2,8),(25,102,2,22,20,12,20,6,8),(25,102,2,22,21,NULL,12,NULL,8),(25,102,2,22,22,1,6,NULL,2),(25,102,2,22,23,1,8,NULL,6),(25,102,2,22,24,4,9,2,4),(25,102,2,22,25,3,NULL,1,NULL),(25,102,2,22,26,1,14,NULL,6),(25,102,2,22,27,1,5,1,1),(25,102,2,22,28,2,9,2,3),(25,102,2,22,29,3,10,1,5),(25,102,2,22,30,3,6,NULL,2),(25,102,2,22,31,13,11,10,3),(25,102,2,22,32,NULL,21,NULL,11),(25,102,2,22,33,20,20,14,7),(25,102,2,22,34,7,14,5,9),(25,102,2,22,35,8,15,7,4),(25,102,2,22,36,17,16,8,4),(25,102,2,22,37,8,18,4,8),(25,102,2,22,38,26,14,13,4),(25,102,2,22,39,37,NULL,21,NULL),(25,102,2,22,40,1,8,1,6),(25,102,2,23,1,7,18,4,8),(25,102,2,23,2,2,22,1,5),(25,102,2,23,3,16,23,8,8),(25,102,2,23,4,10,16,5,6),(25,102,2,23,5,15,20,10,8),(25,102,2,23,6,11,18,5,8),(25,102,2,23,7,5,17,3,6),(25,102,2,23,8,21,24,9,8),(25,102,2,23,9,36,34,17,11),(25,102,2,23,10,6,33,4,17),(25,102,2,23,11,4,52,1,15),(25,102,2,23,12,2,27,2,10),(25,102,2,23,13,35,20,19,7),(25,102,2,23,14,5,35,4,17),(25,102,2,23,15,12,28,5,7),(25,102,2,23,16,10,33,6,13),(25,102,2,23,17,12,40,4,13),(25,102,2,23,18,9,27,3,10),(25,102,2,23,19,10,22,4,10),(25,102,2,23,20,6,27,3,12),(25,102,2,23,21,2,10,1,3),(25,102,2,23,22,1,1,NULL,1),(25,102,2,23,23,3,8,NULL,3),(25,102,2,23,24,2,16,NULL,6),(25,102,2,23,25,3,NULL,NULL,NULL),(25,102,2,23,26,NULL,3,NULL,1),(25,102,2,23,27,1,10,1,2),(25,102,2,23,28,4,4,4,1),(25,102,2,23,29,1,4,NULL,2),(25,102,2,23,30,6,15,1,7),(25,102,2,23,31,13,17,10,7),(25,102,2,23,32,3,14,2,8),(25,102,2,23,33,23,13,15,6),(25,102,2,23,34,NULL,13,NULL,3),(25,102,2,23,35,18,19,10,6),(25,102,2,23,36,10,11,5,6),(25,102,2,23,37,1,19,1,9),(25,102,2,23,38,19,14,12,4),(25,102,2,23,39,32,NULL,17,NULL),(25,102,2,23,40,2,11,1,5),(25,102,2,24,1,7,12,6,5),(25,102,2,24,2,3,15,1,7),(25,102,2,24,3,6,13,NULL,7),(25,102,2,24,4,8,14,4,5),(25,102,2,24,5,15,22,8,9),(25,102,2,24,6,11,12,6,4),(25,102,2,24,7,4,11,2,7),(25,102,2,24,8,22,16,7,4),(25,102,2,24,9,27,23,17,6),(25,102,2,24,10,6,20,3,11),(25,102,2,24,11,5,52,1,21),(25,102,2,24,12,4,22,2,8),(25,102,2,24,13,30,12,17,3),(25,102,2,24,14,13,19,4,9),(25,102,2,24,15,19,18,6,6),(25,102,2,24,16,10,25,2,10),(25,102,2,24,17,4,28,1,9),(25,102,2,24,18,21,14,7,7),(25,102,2,24,19,4,12,1,4),(25,102,2,24,20,6,14,2,5),(25,102,2,24,21,1,8,1,3),(25,102,2,24,22,1,2,1,1),(25,102,2,24,23,1,6,NULL,4),(25,102,2,24,24,1,14,NULL,8),(25,102,2,24,25,2,NULL,NULL,NULL),(25,102,2,24,26,3,5,1,3),(25,102,2,24,27,2,7,NULL,1),(25,102,2,24,28,NULL,6,NULL,1),(25,102,2,24,29,3,9,1,4),(25,102,2,24,30,4,12,NULL,7),(25,102,2,24,31,11,17,7,8),(25,102,2,24,32,3,8,3,4),(25,102,2,24,33,17,15,8,6),(25,102,2,24,34,3,12,3,6),(25,102,2,24,35,9,12,4,6),(25,102,2,24,36,6,12,1,2),(25,102,2,24,37,5,15,2,8),(25,102,2,24,38,14,19,8,5),(25,102,2,24,39,23,NULL,15,NULL),(25,102,2,24,40,2,7,1,3),(25,103,1,11,1,3,5,NULL,NULL),(25,103,1,11,2,4,5,NULL,NULL),(25,103,1,11,3,3,3,NULL,NULL),(25,103,1,11,4,7,2,NULL,NULL),(25,103,1,11,5,3,2,NULL,NULL),(25,103,1,11,6,5,4,NULL,NULL),(25,103,1,11,7,5,5,NULL,NULL),(25,103,1,11,8,7,NULL,NULL,NULL),(25,103,1,11,9,2,4,NULL,NULL),(25,103,1,11,10,NULL,3,NULL,NULL),(25,103,1,11,11,1,1,NULL,NULL),(25,103,1,11,12,6,NULL,NULL,NULL),(25,103,1,11,13,9,1,NULL,NULL),(25,103,1,11,14,11,NULL,NULL,NULL),(25,103,1,11,15,5,5,NULL,NULL),(25,103,1,11,16,6,2,NULL,NULL),(25,103,1,11,17,3,3,NULL,NULL),(25,103,1,11,18,5,3,NULL,NULL),(25,103,1,11,19,5,3,NULL,NULL),(25,103,1,11,20,6,2,NULL,NULL),(25,103,1,11,21,3,2,NULL,NULL),(25,103,1,11,22,4,3,NULL,NULL),(25,103,1,11,23,1,4,NULL,NULL),(25,103,1,11,24,1,2,NULL,NULL),(25,103,1,11,25,2,4,NULL,NULL),(25,103,1,11,26,4,NULL,NULL,NULL),(25,103,1,11,27,NULL,NULL,NULL,NULL),(25,103,1,11,28,3,5,NULL,NULL),(25,103,1,11,29,1,1,NULL,NULL),(25,103,1,11,30,1,NULL,NULL,NULL),(25,103,1,11,31,2,2,NULL,NULL),(25,103,1,11,32,3,1,NULL,NULL),(25,103,1,11,33,3,1,NULL,NULL),(25,103,1,11,34,2,1,NULL,NULL),(25,103,1,11,35,3,1,NULL,NULL),(25,103,1,11,36,3,4,NULL,NULL),(25,103,1,11,37,6,1,NULL,NULL),(25,103,1,11,38,1,5,NULL,NULL),(25,103,1,11,39,1,4,NULL,NULL),(25,103,1,11,40,2,2,NULL,NULL),(25,103,1,12,1,7,6,NULL,NULL),(25,103,1,12,2,5,4,NULL,NULL),(25,103,1,12,3,4,3,NULL,NULL),(25,103,1,12,4,9,3,NULL,NULL),(25,103,1,12,5,3,6,NULL,NULL),(25,103,1,12,6,6,4,NULL,NULL),(25,103,1,12,7,5,10,NULL,NULL),(25,103,1,12,8,6,2,NULL,NULL),(25,103,1,12,9,3,9,NULL,NULL),(25,103,1,12,10,2,3,NULL,NULL),(25,103,1,12,11,1,4,NULL,NULL),(25,103,1,12,12,5,1,NULL,NULL),(25,103,1,12,13,6,2,NULL,NULL),(25,103,1,12,14,8,6,NULL,NULL),(25,103,1,12,15,6,6,NULL,NULL),(25,103,1,12,16,9,NULL,NULL,NULL),(25,103,1,12,17,10,4,NULL,NULL),(25,103,1,12,18,1,8,NULL,NULL),(25,103,1,12,19,6,NULL,NULL,NULL),(25,103,1,12,20,5,7,NULL,NULL),(25,103,1,12,21,4,6,NULL,NULL),(25,103,1,12,22,3,5,NULL,NULL),(25,103,1,12,23,1,4,NULL,NULL),(25,103,1,12,24,3,4,NULL,NULL),(25,103,1,12,25,NULL,2,NULL,NULL),(25,103,1,12,26,3,NULL,NULL,NULL),(25,103,1,12,27,NULL,NULL,NULL,NULL),(25,103,1,12,28,2,8,NULL,NULL),(25,103,1,12,29,NULL,4,NULL,NULL),(25,103,1,12,30,NULL,1,NULL,NULL),(25,103,1,12,31,4,3,NULL,NULL),(25,103,1,12,32,2,4,NULL,NULL),(25,103,1,12,33,1,4,NULL,NULL),(25,103,1,12,34,3,2,NULL,NULL),(25,103,1,12,35,5,1,NULL,NULL),(25,103,1,12,36,3,8,NULL,NULL),(25,103,1,12,37,3,NULL,NULL,NULL),(25,103,1,12,38,3,8,NULL,NULL),(25,103,1,12,39,5,5,NULL,NULL),(25,103,1,12,40,2,4,NULL,NULL),(25,103,1,13,1,8,3,NULL,NULL),(25,103,1,13,2,4,2,NULL,NULL),(25,103,1,13,3,5,2,NULL,NULL),(25,103,1,13,4,9,1,NULL,NULL),(25,103,1,13,5,1,4,NULL,NULL),(25,103,1,13,6,3,6,NULL,NULL),(25,103,1,13,7,3,6,NULL,NULL),(25,103,1,13,8,4,NULL,NULL,NULL),(25,103,1,13,9,3,7,NULL,NULL),(25,103,1,13,10,NULL,3,NULL,NULL),(25,103,1,13,11,2,3,NULL,NULL),(25,103,1,13,12,4,1,NULL,NULL),(25,103,1,13,13,8,4,NULL,NULL),(25,103,1,13,14,8,1,NULL,NULL),(25,103,1,13,15,6,3,NULL,NULL),(25,103,1,13,16,6,2,NULL,NULL),(25,103,1,13,17,11,2,NULL,NULL),(25,103,1,13,18,13,NULL,NULL,NULL),(25,103,1,13,19,3,6,NULL,NULL),(25,103,1,13,20,2,5,NULL,NULL),(25,103,1,13,21,2,3,NULL,NULL),(25,103,1,13,22,4,2,NULL,NULL),(25,103,1,13,23,1,1,NULL,NULL),(25,103,1,13,24,4,2,NULL,NULL),(25,103,1,13,25,1,2,NULL,NULL),(25,103,1,13,26,1,NULL,NULL,NULL),(25,103,1,13,27,1,NULL,NULL,NULL),(25,103,1,13,28,1,4,NULL,NULL),(25,103,1,13,29,NULL,1,NULL,NULL),(25,103,1,13,30,1,1,NULL,NULL),(25,103,1,13,31,3,3,NULL,NULL),(25,103,1,13,32,3,4,NULL,NULL),(25,103,1,13,33,2,1,NULL,NULL),(25,103,1,13,34,8,NULL,NULL,NULL),(25,103,1,13,35,3,1,NULL,NULL),(25,103,1,13,36,6,6,NULL,NULL),(25,103,1,13,37,7,1,NULL,NULL),(25,103,1,13,38,2,8,NULL,NULL),(25,103,1,13,39,3,2,NULL,NULL),(25,103,1,13,40,NULL,4,NULL,NULL),(25,103,1,14,1,565,729,14,17),(25,103,1,14,2,397,526,13,15),(25,103,1,14,3,536,257,18,3),(25,103,1,14,4,1103,301,33,2),(25,103,1,14,5,224,592,9,23),(25,103,1,14,6,362,649,12,22),(25,103,1,14,7,549,883,14,22),(25,103,1,14,8,654,232,27,6),(25,103,1,14,9,416,587,18,8),(25,103,1,14,10,201,239,13,7),(25,103,1,14,11,249,351,11,12),(25,103,1,14,12,475,170,22,9),(25,103,1,14,13,560,302,19,7),(25,103,1,14,14,606,252,27,5),(25,103,1,14,15,775,326,33,4),(25,103,1,14,16,417,314,23,9),(25,103,1,14,17,693,285,23,10),(25,103,1,14,18,1106,132,27,2),(25,103,1,14,19,745,652,28,7),(25,103,1,14,20,807,92,29,2),(25,103,1,14,21,510,439,23,6),(25,103,1,14,22,385,618,24,8),(25,103,1,14,23,201,562,18,11),(25,103,1,14,24,202,461,21,11),(25,103,1,14,25,257,435,27,8),(25,103,1,14,26,445,NULL,13,NULL),(25,103,1,14,27,237,NULL,25,NULL),(25,103,1,14,28,227,785,7,27),(25,103,1,14,29,168,256,19,4),(25,103,1,14,30,115,373,17,14),(25,103,1,14,31,392,375,21,8),(25,103,1,14,32,471,391,10,11),(25,103,1,14,33,428,369,23,8),(25,103,1,14,34,488,194,19,7),(25,103,1,14,35,576,83,26,2),(25,103,1,14,36,862,458,33,3),(25,103,1,14,37,726,112,25,3),(25,103,1,14,38,211,1047,8,25),(25,103,1,14,39,359,491,13,14),(25,103,1,14,40,242,497,26,7),(25,103,1,15,1,539,715,13,20),(25,103,1,15,2,356,467,19,12),(25,103,1,15,3,490,243,19,7),(25,103,1,15,4,1115,272,33,4),(25,103,1,15,5,262,522,8,18),(25,103,1,15,6,389,618,16,18),(25,103,1,15,7,503,861,11,24),(25,103,1,15,8,636,179,29,5),(25,103,1,15,9,407,525,16,14),(25,103,1,15,10,191,212,13,8),(25,103,1,15,11,242,350,11,14),(25,103,1,15,12,425,170,22,8),(25,103,1,15,13,533,329,23,3),(25,103,1,15,14,587,240,28,3),(25,103,1,15,15,846,225,34,3),(25,103,1,15,16,389,284,19,10),(25,103,1,15,17,645,298,27,9),(25,103,1,15,18,1104,139,35,1),(25,103,1,15,19,768,602,23,12),(25,103,1,15,20,793,99,26,2),(25,103,1,15,21,468,445,23,4),(25,103,1,15,22,356,562,24,9),(25,103,1,15,23,210,499,16,13),(25,103,1,15,24,217,436,18,12),(25,103,1,15,25,239,448,21,12),(25,103,1,15,26,427,NULL,23,NULL),(25,103,1,15,27,258,NULL,27,NULL),(25,103,1,15,28,194,720,6,29),(25,103,1,15,29,106,264,8,15),(25,103,1,15,30,124,388,10,14),(25,103,1,15,31,399,333,23,11),(25,103,1,15,32,388,429,15,15),(25,103,1,15,33,477,371,25,9),(25,103,1,15,34,475,207,28,4),(25,103,1,15,35,480,76,30,1),(25,103,1,15,36,895,379,32,4),(25,103,1,15,37,748,124,30,1),(25,103,1,15,38,200,1010,7,29),(25,103,1,15,39,342,466,17,13),(25,103,1,15,40,227,485,23,9),(25,103,1,16,1,313,365,6,6),(25,103,1,16,2,149,259,3,6),(25,103,1,16,3,252,175,3,3),(25,103,1,16,4,494,176,8,4),(25,103,1,16,5,77,288,2,6),(25,103,1,16,6,153,364,3,8),(25,103,1,16,7,229,490,4,7),(25,103,1,16,8,299,124,7,2),(25,103,1,16,9,186,295,5,3),(25,103,1,16,10,69,93,3,3),(25,103,1,16,11,104,201,4,3),(25,103,1,16,12,265,85,7,2),(25,103,1,16,13,464,102,7,3),(25,103,1,16,14,361,221,11,NULL),(25,103,1,16,15,458,NULL,9,NULL),(25,103,1,16,16,283,297,7,5),(25,103,1,16,17,42,398,NULL,7),(25,103,1,16,18,181,629,7,4),(25,103,1,16,19,55,338,NULL,6),(25,103,1,16,20,503,NULL,10,NULL),(25,103,1,16,21,180,274,5,2),(25,103,1,16,22,157,247,4,4),(25,103,1,16,23,81,235,3,6),(25,103,1,16,24,111,236,6,1),(25,103,1,16,25,70,220,4,5),(25,103,1,16,26,177,NULL,6,NULL),(25,103,1,16,27,87,NULL,8,NULL),(25,103,1,16,28,158,383,NULL,9),(25,103,1,16,29,58,128,2,6),(25,103,1,16,30,39,175,3,5),(25,103,1,16,31,196,182,6,4),(25,103,1,16,32,198,190,6,2),(25,103,1,16,33,205,190,8,2),(25,103,1,16,34,237,124,7,1),(25,103,1,16,35,166,50,9,1),(25,103,1,16,36,377,241,9,1),(25,103,1,16,37,355,73,8,NULL),(25,103,1,16,38,88,559,2,10),(25,103,1,16,39,146,285,5,4),(25,103,1,16,40,71,204,3,3),(25,103,1,17,1,260,336,4,7),(25,103,1,17,2,149,244,5,1),(25,103,1,17,3,204,159,8,1),(25,103,1,17,4,447,177,8,2),(25,103,1,17,5,74,240,2,5),(25,103,1,17,6,152,303,3,4),(25,103,1,17,7,175,476,2,9),(25,103,1,17,8,245,107,6,3),(25,103,1,17,9,185,268,8,3),(25,103,1,17,10,52,101,1,3),(25,103,1,17,11,110,162,3,3),(25,103,1,17,12,223,86,5,4),(25,103,1,17,13,381,113,10,NULL),(25,103,1,17,14,307,188,9,2),(25,103,1,17,15,416,NULL,7,NULL),(25,103,1,17,16,299,233,6,5),(25,103,1,17,17,37,351,2,7),(25,103,1,17,18,149,584,3,6),(25,103,1,17,19,55,315,2,4),(25,103,1,17,20,469,NULL,10,NULL),(25,103,1,17,21,159,235,4,3),(25,103,1,17,22,138,273,3,8),(25,103,1,17,23,67,204,3,7),(25,103,1,17,24,79,192,3,6),(25,103,1,17,25,75,176,3,2),(25,103,1,17,26,165,NULL,5,NULL),(25,103,1,17,27,93,NULL,5,NULL),(25,103,1,17,28,158,376,1,10),(25,103,1,17,29,68,114,1,5),(25,103,1,17,30,55,153,1,4),(25,103,1,17,31,145,169,6,NULL),(25,103,1,17,32,116,191,3,7),(25,103,1,17,33,157,199,5,4),(25,103,1,17,34,192,106,4,1),(25,103,1,17,35,197,45,5,1),(25,103,1,17,36,342,224,5,5),(25,103,1,17,37,338,74,7,NULL),(25,103,1,17,38,68,485,2,9),(25,103,1,17,39,110,277,2,4),(25,103,1,17,40,80,219,NULL,7),(25,103,2,21,1,213,314,8,11),(25,103,2,21,2,105,213,3,9),(25,103,2,21,3,297,240,9,5),(25,103,2,21,4,241,267,11,4),(25,103,2,21,5,504,172,13,7),(25,103,2,21,6,411,258,17,5),(25,103,2,21,7,123,212,5,9),(25,103,2,21,8,420,207,16,5),(25,103,2,21,9,887,215,21,1),(25,103,2,21,10,512,240,20,2),(25,103,2,21,11,121,729,1,17),(25,103,2,21,12,170,415,4,11),(25,103,2,21,13,826,82,21,NULL),(25,103,2,21,14,284,334,12,8),(25,103,2,21,15,422,250,10,9),(25,103,2,21,16,262,489,3,17),(25,103,2,21,17,192,493,6,6),(25,103,2,21,18,316,236,12,6),(25,103,2,21,19,123,348,2,9),(25,103,2,21,20,196,197,9,3),(25,103,2,21,21,193,126,15,5),(25,103,2,21,22,26,101,3,7),(25,103,2,21,23,128,106,6,NULL),(25,103,2,21,24,48,133,2,8),(25,103,2,21,25,72,NULL,4,NULL),(25,103,2,21,26,28,103,NULL,1),(25,103,2,21,27,50,173,3,5),(25,103,2,21,28,35,93,1,6),(25,103,2,21,29,152,199,11,3),(25,103,2,21,30,75,155,3,3),(25,103,2,21,31,580,177,19,4),(25,103,2,21,32,98,430,3,15),(25,103,2,21,33,764,155,20,2),(25,103,2,21,34,253,258,13,8),(25,103,2,21,35,305,130,14,2),(25,103,2,21,36,262,85,11,NULL),(25,103,2,21,37,380,235,20,1),(25,103,2,21,38,513,195,21,1),(25,103,2,21,39,983,NULL,23,NULL),(25,103,2,21,40,201,270,5,11),(25,103,2,22,1,255,278,8,14),(25,103,2,22,2,78,248,6,10),(25,103,2,22,3,266,192,11,8),(25,103,2,22,4,241,286,7,16),(25,103,2,22,5,482,172,13,6),(25,103,2,22,6,375,235,14,8),(25,103,2,22,7,98,226,8,6),(25,103,2,22,8,435,243,17,5),(25,103,2,22,9,854,183,23,3),(25,103,2,22,10,465,197,20,2),(25,103,2,22,11,130,717,3,18),(25,103,2,22,12,198,446,5,11),(25,103,2,22,13,832,71,24,NULL),(25,103,2,22,14,325,277,13,8),(25,103,2,22,15,389,233,9,7),(25,103,2,22,16,241,476,7,11),(25,103,2,22,17,182,489,4,9),(25,103,2,22,18,268,204,9,6),(25,103,2,22,19,103,330,4,12),(25,103,2,22,20,187,166,11,3),(25,103,2,22,21,175,155,9,5),(25,103,2,22,22,51,90,12,1),(25,103,2,22,23,98,104,5,3),(25,103,2,22,24,48,89,3,4),(25,103,2,22,25,78,NULL,4,NULL),(25,103,2,22,26,34,134,1,NULL),(25,103,2,22,27,42,174,6,8),(25,103,2,22,28,37,84,5,2),(25,103,2,22,29,159,196,11,9),(25,103,2,22,30,88,185,6,5),(25,103,2,22,31,540,172,19,4),(25,103,2,22,32,101,381,2,18),(25,103,2,22,33,732,159,23,2),(25,103,2,22,34,237,249,11,5),(25,103,2,22,35,275,108,6,2),(25,103,2,22,36,220,84,10,2),(25,103,2,22,37,374,217,19,3),(25,103,2,22,38,511,170,17,4),(25,103,2,22,39,908,NULL,25,NULL),(25,103,2,22,40,155,232,7,10),(25,103,2,23,1,178,267,8,11),(25,103,2,23,2,82,251,1,9),(25,103,2,23,3,277,217,13,5),(25,103,2,23,4,232,225,9,9),(25,103,2,23,5,415,167,12,5),(25,103,2,23,6,380,236,17,6),(25,103,2,23,7,112,219,9,8),(25,103,2,23,8,509,172,18,1),(25,103,2,23,9,800,209,21,2),(25,103,2,23,10,451,217,17,3),(25,103,2,23,11,101,666,4,13),(25,103,2,23,12,169,364,9,6),(25,103,2,23,13,787,70,21,1),(25,103,2,23,14,264,282,9,3),(25,103,2,23,15,358,230,13,3),(25,103,2,23,16,259,475,10,8),(25,103,2,23,17,174,473,6,10),(25,103,2,23,18,255,224,6,3),(25,103,2,23,19,112,349,5,11),(25,103,2,23,20,208,158,14,2),(25,103,2,23,21,191,111,17,1),(25,103,2,23,22,26,138,3,8),(25,103,2,23,23,100,86,8,3),(25,103,2,23,24,49,128,1,5),(25,103,2,23,25,70,NULL,2,NULL),(25,103,2,23,26,30,103,2,4),(25,103,2,23,27,44,137,6,4),(25,103,2,23,28,20,106,1,2),(25,103,2,23,29,155,182,13,5),(25,103,2,23,30,106,184,5,1),(25,103,2,23,31,537,197,17,2),(25,103,2,23,32,87,370,2,18),(25,103,2,23,33,708,146,23,NULL),(25,103,2,23,34,240,233,16,2),(25,103,2,23,35,269,106,10,1),(25,103,2,23,36,204,49,8,NULL),(25,103,2,23,37,358,242,18,5),(25,103,2,23,38,497,181,16,1),(25,103,2,23,39,883,NULL,21,NULL),(25,103,2,23,40,139,230,10,5),(25,103,2,24,1,182,310,11,8),(25,103,2,24,2,79,205,6,13),(25,103,2,24,3,257,202,12,5),(25,103,2,24,4,217,221,8,11),(25,103,2,24,5,442,210,19,5),(25,103,2,24,6,395,219,21,6),(25,103,2,24,7,106,184,9,11),(25,103,2,24,8,461,209,19,3),(25,103,2,24,9,779,176,25,2),(25,103,2,24,10,435,204,21,4),(25,103,2,24,11,106,692,NULL,17),(25,103,2,24,12,189,371,6,8),(25,103,2,24,13,730,53,24,NULL),(25,103,2,24,14,287,260,14,7),(25,103,2,24,15,402,210,18,6),(25,103,2,24,16,257,441,11,16),(25,103,2,24,17,205,479,7,14),(25,103,2,24,18,220,191,13,6),(25,103,2,24,19,86,235,NULL,10),(25,103,2,24,20,166,141,13,2),(25,103,2,24,21,179,116,15,4),(25,103,2,24,22,34,97,4,6),(25,103,2,24,23,91,82,8,3),(25,103,2,24,24,45,100,2,11),(25,103,2,24,25,63,NULL,7,NULL),(25,103,2,24,26,27,112,1,2),(25,103,2,24,27,44,163,4,12),(25,103,2,24,28,35,105,3,2),(25,103,2,24,29,154,187,16,6),(25,103,2,24,30,70,150,4,3),(25,103,2,24,31,505,200,17,7),(25,103,2,24,32,92,339,NULL,21),(25,103,2,24,33,660,148,26,1),(25,103,2,24,34,240,234,18,7),(25,103,2,24,35,235,114,9,1),(25,103,2,24,36,277,56,16,NULL),(25,103,2,24,37,366,206,19,8),(25,103,2,24,38,466,152,21,1),(25,103,2,24,39,870,NULL,27,NULL),(25,103,2,24,40,173,218,12,3),(25,104,1,11,1,NULL,NULL,NULL,NULL),(25,104,1,11,2,NULL,NULL,NULL,NULL),(25,104,1,11,3,NULL,NULL,NULL,NULL),(25,104,1,11,4,NULL,NULL,NULL,NULL),(25,104,1,11,5,NULL,NULL,NULL,NULL),(25,104,1,11,6,NULL,1,NULL,NULL),(25,104,1,11,7,NULL,NULL,NULL,NULL),(25,104,1,11,8,NULL,NULL,NULL,NULL),(25,104,1,11,9,NULL,NULL,NULL,NULL),(25,104,1,11,10,NULL,NULL,NULL,NULL),(25,104,1,11,11,NULL,NULL,NULL,NULL),(25,104,1,11,12,NULL,NULL,NULL,NULL),(25,104,1,11,13,NULL,NULL,NULL,NULL),(25,104,1,11,14,NULL,1,NULL,NULL),(25,104,1,11,15,NULL,NULL,NULL,NULL),(25,104,1,11,16,NULL,NULL,NULL,NULL),(25,104,1,11,17,NULL,NULL,NULL,NULL),(25,104,1,11,18,NULL,NULL,NULL,NULL),(25,104,1,11,19,NULL,NULL,NULL,NULL),(25,104,1,11,20,NULL,NULL,NULL,NULL),(25,104,1,11,21,NULL,NULL,NULL,NULL),(25,104,1,11,22,NULL,NULL,NULL,NULL),(25,104,1,11,23,NULL,NULL,NULL,NULL),(25,104,1,11,24,NULL,NULL,NULL,NULL),(25,104,1,11,25,NULL,NULL,NULL,NULL),(25,104,1,11,26,NULL,NULL,NULL,NULL),(25,104,1,11,27,NULL,NULL,NULL,NULL),(25,104,1,11,28,NULL,NULL,NULL,NULL),(25,104,1,11,29,NULL,NULL,NULL,NULL),(25,104,1,11,30,1,NULL,NULL,NULL),(25,104,1,11,31,NULL,NULL,NULL,NULL),(25,104,1,11,32,NULL,NULL,NULL,NULL),(25,104,1,11,33,NULL,NULL,NULL,NULL),(25,104,1,11,34,NULL,NULL,NULL,NULL),(25,104,1,11,35,NULL,NULL,NULL,NULL),(25,104,1,11,36,NULL,NULL,NULL,NULL),(25,104,1,11,37,NULL,NULL,NULL,NULL),(25,104,1,11,38,NULL,1,NULL,NULL),(25,104,1,11,39,NULL,1,NULL,NULL),(25,104,1,11,40,NULL,NULL,NULL,NULL),(25,104,1,12,1,NULL,NULL,NULL,NULL),(25,104,1,12,2,NULL,NULL,NULL,NULL),(25,104,1,12,3,NULL,NULL,NULL,NULL),(25,104,1,12,4,NULL,NULL,NULL,NULL),(25,104,1,12,5,NULL,NULL,NULL,NULL),(25,104,1,12,6,NULL,NULL,NULL,NULL),(25,104,1,12,7,NULL,NULL,NULL,NULL),(25,104,1,12,8,NULL,NULL,NULL,NULL),(25,104,1,12,9,NULL,NULL,NULL,NULL),(25,104,1,12,10,NULL,NULL,NULL,NULL),(25,104,1,12,11,NULL,NULL,NULL,NULL),(25,104,1,12,12,NULL,NULL,NULL,NULL),(25,104,1,12,13,NULL,NULL,NULL,NULL),(25,104,1,12,14,NULL,NULL,NULL,NULL),(25,104,1,12,15,NULL,NULL,NULL,NULL),(25,104,1,12,16,NULL,NULL,NULL,NULL),(25,104,1,12,17,NULL,NULL,NULL,NULL),(25,104,1,12,18,NULL,NULL,NULL,NULL),(25,104,1,12,19,NULL,NULL,NULL,NULL),(25,104,1,12,20,NULL,NULL,NULL,NULL),(25,104,1,12,21,NULL,NULL,NULL,NULL),(25,104,1,12,22,NULL,NULL,NULL,NULL),(25,104,1,12,23,NULL,NULL,NULL,NULL),(25,104,1,12,24,NULL,NULL,NULL,NULL),(25,104,1,12,25,NULL,NULL,NULL,NULL),(25,104,1,12,26,NULL,NULL,NULL,NULL),(25,104,1,12,27,NULL,NULL,NULL,NULL),(25,104,1,12,28,NULL,NULL,NULL,NULL),(25,104,1,12,29,NULL,NULL,NULL,NULL),(25,104,1,12,30,NULL,NULL,NULL,NULL),(25,104,1,12,31,NULL,NULL,NULL,NULL),(25,104,1,12,32,NULL,NULL,NULL,NULL),(25,104,1,12,33,NULL,NULL,NULL,NULL),(25,104,1,12,34,NULL,NULL,NULL,NULL),(25,104,1,12,35,NULL,NULL,NULL,NULL),(25,104,1,12,36,NULL,NULL,NULL,NULL),(25,104,1,12,37,NULL,NULL,NULL,NULL),(25,104,1,12,38,NULL,NULL,NULL,NULL),(25,104,1,12,39,NULL,NULL,NULL,NULL),(25,104,1,12,40,NULL,NULL,NULL,NULL),(25,104,1,13,1,NULL,2,NULL,NULL),(25,104,1,13,2,NULL,NULL,NULL,NULL),(25,104,1,13,3,NULL,1,NULL,NULL),(25,104,1,13,4,2,1,NULL,NULL),(25,104,1,13,5,NULL,NULL,NULL,NULL),(25,104,1,13,6,NULL,NULL,NULL,NULL),(25,104,1,13,7,NULL,2,NULL,NULL),(25,104,1,13,8,NULL,1,NULL,NULL),(25,104,1,13,9,NULL,1,NULL,NULL),(25,104,1,13,10,NULL,1,NULL,NULL),(25,104,1,13,11,NULL,NULL,NULL,NULL),(25,104,1,13,12,1,1,NULL,NULL),(25,104,1,13,13,2,NULL,NULL,NULL),(25,104,1,13,14,2,1,NULL,NULL),(25,104,1,13,15,2,NULL,NULL,NULL),(25,104,1,13,16,NULL,2,NULL,NULL),(25,104,1,13,17,3,1,NULL,NULL),(25,104,1,13,18,4,NULL,NULL,NULL),(25,104,1,13,19,NULL,1,NULL,NULL),(25,104,1,13,20,NULL,1,NULL,NULL),(25,104,1,13,21,NULL,1,NULL,NULL),(25,104,1,13,22,NULL,1,NULL,NULL),(25,104,1,13,23,1,1,NULL,NULL),(25,104,1,13,24,1,NULL,NULL,NULL),(25,104,1,13,25,NULL,NULL,NULL,NULL),(25,104,1,13,26,NULL,NULL,NULL,NULL),(25,104,1,13,27,NULL,NULL,NULL,NULL),(25,104,1,13,28,NULL,2,NULL,NULL),(25,104,1,13,29,NULL,1,NULL,NULL),(25,104,1,13,30,NULL,1,NULL,NULL),(25,104,1,13,31,NULL,1,NULL,NULL),(25,104,1,13,32,NULL,NULL,NULL,NULL),(25,104,1,13,33,NULL,NULL,NULL,NULL),(25,104,1,13,34,1,1,NULL,NULL),(25,104,1,13,35,NULL,1,NULL,NULL),(25,104,1,13,36,NULL,NULL,NULL,NULL),(25,104,1,13,37,NULL,1,NULL,NULL),(25,104,1,13,38,NULL,3,NULL,NULL),(25,104,1,13,39,NULL,1,NULL,NULL),(25,104,1,13,40,NULL,NULL,NULL,NULL),(25,104,1,14,1,56,60,15,11),(25,104,1,14,2,15,32,5,5),(25,104,1,14,3,39,27,10,3),(25,104,1,14,4,88,38,17,7),(25,104,1,14,5,9,43,5,7),(25,104,1,14,6,15,54,2,17),(25,104,1,14,7,34,106,10,14),(25,104,1,14,8,40,22,10,4),(25,104,1,14,9,34,43,5,10),(25,104,1,14,10,6,10,2,2),(25,104,1,14,11,18,30,2,5),(25,104,1,14,12,37,9,11,1),(25,104,1,14,13,26,33,8,5),(25,104,1,14,14,31,34,7,3),(25,104,1,14,15,47,25,14,3),(25,104,1,14,16,21,22,4,6),(25,104,1,14,17,27,37,8,5),(25,104,1,14,18,79,11,17,1),(25,104,1,14,19,60,66,16,7),(25,104,1,14,20,58,9,16,NULL),(25,104,1,14,21,22,62,5,12),(25,104,1,14,22,21,47,5,14),(25,104,1,14,23,12,27,2,8),(25,104,1,14,24,6,32,3,8),(25,104,1,14,25,7,37,2,7),(25,104,1,14,26,20,NULL,11,NULL),(25,104,1,14,27,4,NULL,3,NULL),(25,104,1,14,28,24,48,3,16),(25,104,1,14,29,6,15,2,3),(25,104,1,14,30,4,28,1,6),(25,104,1,14,31,11,30,7,3),(25,104,1,14,32,19,20,7,7),(25,104,1,14,33,21,29,8,6),(25,104,1,14,34,28,17,15,1),(25,104,1,14,35,33,16,10,3),(25,104,1,14,36,46,58,12,11),(25,104,1,14,37,35,19,9,3),(25,104,1,14,38,14,98,4,15),(25,104,1,14,39,27,50,8,9),(25,104,1,14,40,4,26,3,9),(25,104,1,15,1,57,58,10,14),(25,104,1,15,2,19,33,4,8),(25,104,1,15,3,30,32,7,11),(25,104,1,15,4,98,29,23,3),(25,104,1,15,5,9,42,2,11),(25,104,1,15,6,24,53,6,12),(25,104,1,15,7,35,86,7,17),(25,104,1,15,8,26,33,5,11),(25,104,1,15,9,25,54,7,9),(25,104,1,15,10,13,9,1,4),(25,104,1,15,11,19,25,5,5),(25,104,1,15,12,38,10,12,4),(25,104,1,15,13,32,37,10,4),(25,104,1,15,14,43,36,12,9),(25,104,1,15,15,51,31,14,8),(25,104,1,15,16,30,23,6,6),(25,104,1,15,17,29,32,7,7),(25,104,1,15,18,70,18,19,2),(25,104,1,15,19,49,72,11,13),(25,104,1,15,20,48,20,16,2),(25,104,1,15,21,24,66,7,16),(25,104,1,15,22,16,46,2,15),(25,104,1,15,23,12,27,2,6),(25,104,1,15,24,9,35,1,15),(25,104,1,15,25,7,20,3,5),(25,104,1,15,26,32,NULL,13,NULL),(25,104,1,15,27,8,NULL,2,NULL),(25,104,1,15,28,10,54,5,14),(25,104,1,15,29,6,24,1,5),(25,104,1,15,30,6,22,1,9),(25,104,1,15,31,15,29,8,7),(25,104,1,15,32,16,34,6,9),(25,104,1,15,33,22,32,10,6),(25,104,1,15,34,25,22,10,2),(25,104,1,15,35,23,18,6,8),(25,104,1,15,36,48,46,14,11),(25,104,1,15,37,36,16,11,6),(25,104,1,15,38,7,88,2,18),(25,104,1,15,39,10,63,2,17),(25,104,1,15,40,7,35,4,8),(25,104,1,16,1,60,73,NULL,8),(25,104,1,16,2,15,39,3,4),(25,104,1,16,3,33,43,4,5),(25,104,1,16,4,88,56,6,5),(25,104,1,16,5,6,50,NULL,1),(25,104,1,16,6,22,59,3,4),(25,104,1,16,7,45,108,4,8),(25,104,1,16,8,42,27,4,2),(25,104,1,16,9,28,58,3,4),(25,104,1,16,10,7,15,1,3),(25,104,1,16,11,17,43,1,2),(25,104,1,16,12,33,23,5,5),(25,104,1,16,13,93,28,12,1),(25,104,1,16,14,51,48,6,5),(25,104,1,16,15,107,NULL,13,NULL),(25,104,1,16,16,35,75,NULL,9),(25,104,1,16,17,4,86,NULL,5),(25,104,1,16,18,33,151,1,9),(25,104,1,16,19,3,83,1,5),(25,104,1,16,20,113,NULL,11,NULL),(25,104,1,16,21,17,78,2,10),(25,104,1,16,22,20,36,1,7),(25,104,1,16,23,9,29,NULL,4),(25,104,1,16,24,7,27,NULL,6),(25,104,1,16,25,5,18,NULL,1),(25,104,1,16,26,13,NULL,2,NULL),(25,104,1,16,27,6,NULL,2,NULL),(25,104,1,16,28,28,64,NULL,10),(25,104,1,16,29,13,27,2,3),(25,104,1,16,30,2,26,NULL,6),(25,104,1,16,31,12,21,2,3),(25,104,1,16,32,10,25,NULL,4),(25,104,1,16,33,19,51,2,6),(25,104,1,16,34,20,31,3,6),(25,104,1,16,35,17,17,4,NULL),(25,104,1,16,36,42,59,5,4),(25,104,1,16,37,46,26,7,2),(25,104,1,16,38,15,119,NULL,9),(25,104,1,16,39,12,75,NULL,8),(25,104,1,16,40,5,29,2,4),(25,104,1,17,1,52,71,7,17),(25,104,1,17,2,20,56,6,10),(25,104,1,17,3,38,33,6,7),(25,104,1,17,4,92,44,15,8),(25,104,1,17,5,10,47,1,10),(25,104,1,17,6,28,63,10,7),(25,104,1,17,7,26,111,5,16),(25,104,1,17,8,46,29,11,9),(25,104,1,17,9,37,62,5,10),(25,104,1,17,10,5,15,2,5),(25,104,1,17,11,15,29,4,7),(25,104,1,17,12,38,17,10,5),(25,104,1,17,13,62,34,15,4),(25,104,1,17,14,47,53,14,8),(25,104,1,17,15,111,NULL,20,NULL),(25,104,1,17,16,52,65,9,13),(25,104,1,17,17,9,82,1,13),(25,104,1,17,18,30,155,5,22),(25,104,1,17,19,6,71,1,9),(25,104,1,17,20,112,NULL,23,NULL),(25,104,1,17,21,21,45,5,9),(25,104,1,17,22,19,48,3,11),(25,104,1,17,23,8,30,1,8),(25,104,1,17,24,11,35,1,10),(25,104,1,17,25,3,26,1,6),(25,104,1,17,26,22,NULL,9,NULL),(25,104,1,17,27,3,NULL,1,NULL),(25,104,1,17,28,31,69,9,11),(25,104,1,17,29,14,23,3,7),(25,104,1,17,30,15,28,2,11),(25,104,1,17,31,12,24,4,9),(25,104,1,17,32,15,26,6,7),(25,104,1,17,33,19,36,3,6),(25,104,1,17,34,21,35,7,4),(25,104,1,17,35,23,11,6,3),(25,104,1,17,36,38,65,14,8),(25,104,1,17,37,38,21,15,4),(25,104,1,17,38,13,103,2,21),(25,104,1,17,39,12,61,2,12),(25,104,1,17,40,3,39,2,10),(25,104,2,21,1,16,34,6,8),(25,104,2,21,2,9,30,NULL,7),(25,104,2,21,3,18,30,4,5),(25,104,2,21,4,16,25,4,6),(25,104,2,21,5,50,23,10,6),(25,104,2,21,6,16,22,8,4),(25,104,2,21,7,15,25,3,5),(25,104,2,21,8,34,33,8,6),(25,104,2,21,9,65,55,16,6),(25,104,2,21,10,18,34,8,8),(25,104,2,21,11,11,113,3,14),(25,104,2,21,12,21,42,4,9),(25,104,2,21,13,79,21,17,3),(25,104,2,21,14,23,48,6,9),(25,104,2,21,15,38,37,8,5),(25,104,2,21,16,31,47,6,7),(25,104,2,21,17,21,64,5,8),(25,104,2,21,18,32,46,4,6),(25,104,2,21,19,13,31,2,6),(25,104,2,21,20,13,40,1,9),(25,104,2,21,21,7,21,4,2),(25,104,2,21,22,2,6,NULL,1),(25,104,2,21,23,5,15,1,3),(25,104,2,21,24,8,16,1,4),(25,104,2,21,25,6,NULL,1,NULL),(25,104,2,21,26,2,17,NULL,4),(25,104,2,21,27,1,17,NULL,3),(25,104,2,21,28,4,8,1,NULL),(25,104,2,21,29,9,13,NULL,2),(25,104,2,21,30,9,14,3,2),(25,104,2,21,31,36,29,10,9),(25,104,2,21,32,9,29,4,9),(25,104,2,21,33,48,27,18,2),(25,104,2,21,34,9,20,5,4),(25,104,2,21,35,22,28,5,8),(25,104,2,21,36,25,24,4,3),(25,104,2,21,37,7,28,3,5),(25,104,2,21,38,40,36,11,4),(25,104,2,21,39,61,NULL,15,NULL),(25,104,2,21,40,7,17,4,2),(25,104,2,22,1,22,35,6,9),(25,104,2,22,2,9,34,2,6),(25,104,2,22,3,20,27,8,4),(25,104,2,22,4,16,35,3,12),(25,104,2,22,5,41,30,11,5),(25,104,2,22,6,25,33,7,10),(25,104,2,22,7,15,19,7,5),(25,104,2,22,8,36,36,10,7),(25,104,2,22,9,67,51,14,10),(25,104,2,22,10,17,37,5,9),(25,104,2,22,11,19,115,3,16),(25,104,2,22,12,16,50,3,7),(25,104,2,22,13,85,25,19,4),(25,104,2,22,14,21,49,3,14),(25,104,2,22,15,37,51,7,12),(25,104,2,22,16,25,46,4,9),(25,104,2,22,17,10,70,NULL,5),(25,104,2,22,18,23,37,3,10),(25,104,2,22,19,13,37,3,8),(25,104,2,22,20,19,34,4,8),(25,104,2,22,21,8,17,5,3),(25,104,2,22,22,NULL,6,NULL,3),(25,104,2,22,23,4,18,3,5),(25,104,2,22,24,5,25,NULL,5),(25,104,2,22,25,10,NULL,2,NULL),(25,104,2,22,26,5,17,1,3),(25,104,2,22,27,5,24,NULL,2),(25,104,2,22,28,NULL,13,NULL,3),(25,104,2,22,29,5,18,2,6),(25,104,2,22,30,14,24,3,3),(25,104,2,22,31,31,35,7,10),(25,104,2,22,32,5,29,1,10),(25,104,2,22,33,65,24,17,5),(25,104,2,22,34,7,21,NULL,4),(25,104,2,22,35,17,32,5,10),(25,104,2,22,36,30,17,9,1),(25,104,2,22,37,5,28,2,7),(25,104,2,22,38,47,35,16,3),(25,104,2,22,39,77,NULL,19,NULL),(25,104,2,22,40,9,16,3,3),(25,104,2,23,1,12,30,3,8),(25,104,2,23,2,8,33,2,7),(25,104,2,23,3,18,38,5,8),(25,104,2,23,4,13,32,2,10),(25,104,2,23,5,32,29,8,5),(25,104,2,23,6,16,33,5,10),(25,104,2,23,7,13,23,2,6),(25,104,2,23,8,33,38,14,10),(25,104,2,23,9,76,44,18,8),(25,104,2,23,10,14,39,7,8),(25,104,2,23,11,14,102,1,15),(25,104,2,23,12,14,33,3,7),(25,104,2,23,13,80,27,21,2),(25,104,2,23,14,17,43,6,6),(25,104,2,23,15,39,44,5,10),(25,104,2,23,16,15,53,3,9),(25,104,2,23,17,20,68,1,11),(25,104,2,23,18,37,41,6,7),(25,104,2,23,19,6,48,1,11),(25,104,2,23,20,21,35,4,6),(25,104,2,23,21,8,16,4,4),(25,104,2,23,22,2,5,NULL,1),(25,104,2,23,23,9,15,1,8),(25,104,2,23,24,3,24,NULL,6),(25,104,2,23,25,8,NULL,3,NULL),(25,104,2,23,26,3,16,1,3),(25,104,2,23,27,2,15,NULL,4),(25,104,2,23,28,5,8,1,3),(25,104,2,23,29,5,22,NULL,8),(25,104,2,23,30,9,28,1,8),(25,104,2,23,31,38,23,14,5),(25,104,2,23,32,4,29,3,8),(25,104,2,23,33,48,31,12,9),(25,104,2,23,34,8,26,2,2),(25,104,2,23,35,27,30,7,7),(25,104,2,23,36,19,13,9,1),(25,104,2,23,37,11,23,3,7),(25,104,2,23,38,38,45,13,5),(25,104,2,23,39,72,NULL,21,NULL),(25,104,2,23,40,3,10,2,3),(25,104,2,24,1,10,32,4,4),(25,104,2,24,2,18,36,4,3),(25,104,2,24,3,21,38,4,7),(25,104,2,24,4,16,35,1,7),(25,104,2,24,5,35,34,6,6),(25,104,2,24,6,17,21,6,7),(25,104,2,24,7,16,16,4,3),(25,104,2,24,8,39,38,8,6),(25,104,2,24,9,60,47,7,11),(25,104,2,24,10,22,32,7,7),(25,104,2,24,11,5,110,NULL,15),(25,104,2,24,12,16,43,1,6),(25,104,2,24,13,78,21,14,3),(25,104,2,24,14,22,38,7,7),(25,104,2,24,15,39,50,9,5),(25,104,2,24,16,18,70,2,14),(25,104,2,24,17,19,74,1,7),(25,104,2,24,18,23,39,2,8),(25,104,2,24,19,4,23,NULL,6),(25,104,2,24,20,11,33,3,6),(25,104,2,24,21,8,14,2,2),(25,104,2,24,22,1,9,NULL,NULL),(25,104,2,24,23,3,12,NULL,3),(25,104,2,24,24,7,26,NULL,5),(25,104,2,24,25,11,NULL,NULL,NULL),(25,104,2,24,26,4,15,NULL,1),(25,104,2,24,27,4,14,1,1),(25,104,2,24,28,3,16,NULL,2),(25,104,2,24,29,3,18,NULL,5),(25,104,2,24,30,8,30,2,7),(25,104,2,24,31,29,30,7,6),(25,104,2,24,32,7,26,3,7),(25,104,2,24,33,42,18,14,2),(25,104,2,24,34,5,23,1,6),(25,104,2,24,35,20,22,6,2),(25,104,2,24,36,19,23,4,2),(25,104,2,24,37,11,21,3,7),(25,104,2,24,38,32,37,10,6),(25,104,2,24,39,74,NULL,17,NULL),(25,104,2,24,40,8,16,3,5),(25,108,1,11,1,NULL,NULL,NULL,NULL),(25,108,1,11,2,NULL,NULL,NULL,NULL),(25,108,1,11,3,NULL,NULL,NULL,NULL),(25,108,1,11,4,NULL,NULL,NULL,NULL),(25,108,1,11,5,NULL,NULL,NULL,NULL),(25,108,1,11,6,NULL,NULL,NULL,NULL),(25,108,1,11,7,NULL,NULL,NULL,NULL),(25,108,1,11,8,NULL,NULL,NULL,NULL),(25,108,1,11,9,NULL,NULL,NULL,NULL),(25,108,1,11,10,NULL,NULL,NULL,NULL),(25,108,1,11,11,NULL,NULL,NULL,NULL),(25,108,1,11,12,NULL,NULL,NULL,NULL),(25,108,1,11,13,NULL,NULL,NULL,NULL),(25,108,1,11,14,NULL,NULL,NULL,NULL),(25,108,1,11,15,NULL,NULL,NULL,NULL),(25,108,1,11,16,NULL,NULL,NULL,NULL),(25,108,1,11,17,NULL,NULL,NULL,NULL),(25,108,1,11,18,NULL,NULL,NULL,NULL),(25,108,1,11,19,NULL,NULL,NULL,NULL),(25,108,1,11,20,NULL,NULL,NULL,NULL),(25,108,1,11,21,NULL,NULL,NULL,NULL),(25,108,1,11,22,NULL,NULL,NULL,NULL),(25,108,1,11,23,NULL,NULL,NULL,NULL),(25,108,1,11,24,NULL,NULL,NULL,NULL),(25,108,1,11,25,NULL,NULL,NULL,NULL),(25,108,1,11,26,NULL,NULL,NULL,NULL),(25,108,1,11,27,NULL,NULL,NULL,NULL),(25,108,1,11,28,NULL,NULL,NULL,NULL),(25,108,1,11,29,NULL,NULL,NULL,NULL),(25,108,1,11,30,NULL,NULL,NULL,NULL),(25,108,1,11,31,NULL,NULL,NULL,NULL),(25,108,1,11,32,NULL,NULL,NULL,NULL),(25,108,1,11,33,NULL,NULL,NULL,NULL),(25,108,1,11,34,NULL,NULL,NULL,NULL),(25,108,1,11,35,NULL,NULL,NULL,NULL),(25,108,1,11,36,NULL,NULL,NULL,NULL),(25,108,1,11,37,NULL,NULL,NULL,NULL),(25,108,1,11,38,NULL,NULL,NULL,NULL),(25,108,1,11,39,NULL,NULL,NULL,NULL),(25,108,1,11,40,NULL,NULL,NULL,NULL),(25,108,1,12,1,1,2,NULL,1),(25,108,1,12,2,2,NULL,1,NULL),(25,108,1,12,3,1,NULL,1,NULL),(25,108,1,12,4,2,1,1,NULL),(25,108,1,12,5,NULL,2,NULL,NULL),(25,108,1,12,6,1,1,1,NULL),(25,108,1,12,7,1,NULL,1,NULL),(25,108,1,12,8,1,1,1,NULL),(25,108,1,12,9,NULL,NULL,NULL,NULL),(25,108,1,12,10,1,1,1,NULL),(25,108,1,12,11,NULL,NULL,NULL,NULL),(25,108,1,12,12,1,1,NULL,NULL),(25,108,1,12,13,NULL,NULL,NULL,NULL),(25,108,1,12,14,2,1,1,NULL),(25,108,1,12,15,1,1,1,NULL),(25,108,1,12,16,3,NULL,1,NULL),(25,108,1,12,17,1,NULL,1,NULL),(25,108,1,12,18,NULL,1,NULL,1),(25,108,1,12,19,1,NULL,NULL,NULL),(25,108,1,12,20,1,2,1,NULL),(25,108,1,12,21,1,2,1,NULL),(25,108,1,12,22,1,NULL,1,NULL),(25,108,1,12,23,NULL,NULL,NULL,NULL),(25,108,1,12,24,NULL,NULL,NULL,NULL),(25,108,1,12,25,NULL,1,NULL,1),(25,108,1,12,26,NULL,NULL,NULL,NULL),(25,108,1,12,27,NULL,NULL,NULL,NULL),(25,108,1,12,28,NULL,2,NULL,1),(25,108,1,12,29,NULL,NULL,NULL,NULL),(25,108,1,12,30,NULL,NULL,NULL,NULL),(25,108,1,12,31,NULL,1,NULL,1),(25,108,1,12,32,NULL,NULL,NULL,NULL),(25,108,1,12,33,NULL,NULL,NULL,NULL),(25,108,1,12,34,NULL,NULL,NULL,NULL),(25,108,1,12,35,1,1,1,NULL),(25,108,1,12,36,1,NULL,1,NULL),(25,108,1,12,37,1,NULL,NULL,NULL),(25,108,1,12,38,1,2,1,NULL),(25,108,1,12,39,NULL,NULL,NULL,NULL),(25,108,1,12,40,NULL,1,NULL,NULL),(25,108,1,13,1,1,NULL,NULL,NULL),(25,108,1,13,2,NULL,NULL,NULL,NULL),(25,108,1,13,3,NULL,NULL,NULL,NULL),(25,108,1,13,4,NULL,NULL,NULL,NULL),(25,108,1,13,5,NULL,NULL,NULL,NULL),(25,108,1,13,6,NULL,NULL,NULL,NULL),(25,108,1,13,7,NULL,NULL,NULL,NULL),(25,108,1,13,8,NULL,NULL,NULL,NULL),(25,108,1,13,9,NULL,NULL,NULL,NULL),(25,108,1,13,10,NULL,NULL,NULL,NULL),(25,108,1,13,11,NULL,NULL,NULL,NULL),(25,108,1,13,12,NULL,NULL,NULL,NULL),(25,108,1,13,13,1,NULL,NULL,NULL),(25,108,1,13,14,NULL,1,NULL,NULL),(25,108,1,13,15,NULL,1,NULL,NULL),(25,108,1,13,16,NULL,NULL,NULL,NULL),(25,108,1,13,17,NULL,1,NULL,NULL),(25,108,1,13,18,1,NULL,NULL,NULL),(25,108,1,13,19,1,NULL,NULL,NULL),(25,108,1,13,20,1,NULL,NULL,NULL),(25,108,1,13,21,NULL,NULL,NULL,NULL),(25,108,1,13,22,NULL,NULL,NULL,NULL),(25,108,1,13,23,NULL,NULL,NULL,NULL),(25,108,1,13,24,NULL,NULL,NULL,NULL),(25,108,1,13,25,NULL,NULL,NULL,NULL),(25,108,1,13,26,NULL,NULL,NULL,NULL),(25,108,1,13,27,NULL,NULL,NULL,NULL),(25,108,1,13,28,NULL,NULL,NULL,NULL),(25,108,1,13,29,NULL,NULL,NULL,NULL),(25,108,1,13,30,NULL,NULL,NULL,NULL),(25,108,1,13,31,NULL,NULL,NULL,NULL),(25,108,1,13,32,NULL,NULL,NULL,NULL),(25,108,1,13,33,NULL,NULL,NULL,NULL),(25,108,1,13,34,NULL,1,NULL,NULL),(25,108,1,13,35,NULL,NULL,NULL,NULL),(25,108,1,13,36,1,NULL,NULL,NULL),(25,108,1,13,37,NULL,NULL,NULL,NULL),(25,108,1,13,38,NULL,NULL,NULL,NULL),(25,108,1,13,39,1,NULL,NULL,NULL),(25,108,1,13,40,NULL,NULL,NULL,NULL),(25,108,1,14,1,37,41,8,8),(25,108,1,14,2,21,26,9,7),(25,108,1,14,3,19,21,4,4),(25,108,1,14,4,58,30,16,2),(25,108,1,14,5,12,25,5,5),(25,108,1,14,6,22,36,4,13),(25,108,1,14,7,20,66,7,13),(25,108,1,14,8,26,15,9,4),(25,108,1,14,9,22,36,9,9),(25,108,1,14,10,6,17,2,8),(25,108,1,14,11,12,13,3,1),(25,108,1,14,12,19,16,4,3),(25,108,1,14,13,18,25,5,4),(25,108,1,14,14,28,24,12,2),(25,108,1,14,15,33,25,13,4),(25,108,1,14,16,24,20,8,8),(25,108,1,14,17,31,17,13,3),(25,108,1,14,18,58,12,19,1),(25,108,1,14,19,31,52,8,10),(25,108,1,14,20,38,9,15,3),(25,108,1,14,21,18,30,8,8),(25,108,1,14,22,15,31,3,12),(25,108,1,14,23,7,19,3,7),(25,108,1,14,24,2,23,1,7),(25,108,1,14,25,7,18,3,3),(25,108,1,14,26,15,NULL,5,NULL),(25,108,1,14,27,6,NULL,2,NULL),(25,108,1,14,28,12,50,2,9),(25,108,1,14,29,5,15,2,8),(25,108,1,14,30,4,19,3,8),(25,108,1,14,31,9,11,3,4),(25,108,1,14,32,19,17,7,6),(25,108,1,14,33,19,22,6,7),(25,108,1,14,34,24,15,13,4),(25,108,1,14,35,20,6,8,3),(25,108,1,14,36,50,29,11,3),(25,108,1,14,37,32,13,7,3),(25,108,1,14,38,7,62,1,15),(25,108,1,14,39,12,34,6,10),(25,108,1,14,40,6,21,2,10),(25,108,1,15,1,43,43,15,17),(25,108,1,15,2,25,28,13,10),(25,108,1,15,3,33,18,16,3),(25,108,1,15,4,68,23,26,4),(25,108,1,15,5,10,31,7,13),(25,108,1,15,6,20,44,9,16),(25,108,1,15,7,35,58,15,16),(25,108,1,15,8,28,15,16,7),(25,108,1,15,9,21,32,10,13),(25,108,1,15,10,9,17,8,7),(25,108,1,15,11,18,29,7,10),(25,108,1,15,12,33,9,14,2),(25,108,1,15,13,21,14,12,4),(25,108,1,15,14,27,20,13,3),(25,108,1,15,15,39,20,19,5),(25,108,1,15,16,19,22,8,8),(25,108,1,15,17,34,23,22,4),(25,108,1,15,18,57,10,25,3),(25,108,1,15,19,36,43,20,12),(25,108,1,15,20,40,9,22,2),(25,108,1,15,21,22,40,15,12),(25,108,1,15,22,23,26,11,14),(25,108,1,15,23,9,16,5,6),(25,108,1,15,24,7,22,4,10),(25,108,1,15,25,6,19,5,8),(25,108,1,15,26,19,NULL,8,NULL),(25,108,1,15,27,3,NULL,2,NULL),(25,108,1,15,28,15,43,2,14),(25,108,1,15,29,8,22,4,7),(25,108,1,15,30,6,19,2,7),(25,108,1,15,31,6,18,4,8),(25,108,1,15,32,13,14,10,7),(25,108,1,15,33,17,24,12,8),(25,108,1,15,34,12,17,6,7),(25,108,1,15,35,17,8,15,1),(25,108,1,15,36,45,38,25,10),(25,108,1,15,37,35,9,15,2),(25,108,1,15,38,11,60,8,21),(25,108,1,15,39,16,36,8,7),(25,108,1,15,40,5,26,4,15),(25,108,1,16,1,17,25,3,4),(25,108,1,16,2,9,18,NULL,4),(25,108,1,16,3,7,15,NULL,3),(25,108,1,16,4,35,20,5,1),(25,108,1,16,5,2,21,NULL,1),(25,108,1,16,6,4,17,1,2),(25,108,1,16,7,11,45,3,3),(25,108,1,16,8,16,18,3,4),(25,108,1,16,9,12,14,NULL,2),(25,108,1,16,10,3,6,NULL,1),(25,108,1,16,11,8,17,NULL,2),(25,108,1,16,12,14,10,3,2),(25,108,1,16,13,29,7,5,1),(25,108,1,16,14,18,23,5,2),(25,108,1,16,15,34,NULL,6,NULL),(25,108,1,16,16,4,28,2,3),(25,108,1,16,17,NULL,25,NULL,2),(25,108,1,16,18,17,54,2,4),(25,108,1,16,19,4,21,1,2),(25,108,1,16,20,38,NULL,6,NULL),(25,108,1,16,21,5,23,1,3),(25,108,1,16,22,5,13,NULL,3),(25,108,1,16,23,2,14,NULL,5),(25,108,1,16,24,2,10,NULL,4),(25,108,1,16,25,3,7,1,NULL),(25,108,1,16,26,7,NULL,4,NULL),(25,108,1,16,27,2,NULL,NULL,NULL),(25,108,1,16,28,11,25,NULL,3),(25,108,1,16,29,3,6,NULL,1),(25,108,1,16,30,NULL,12,NULL,2),(25,108,1,16,31,6,7,NULL,NULL),(25,108,1,16,32,7,8,1,2),(25,108,1,16,33,6,15,1,2),(25,108,1,16,34,10,5,2,2),(25,108,1,16,35,8,5,1,1),(25,108,1,16,36,20,25,4,2),(25,108,1,16,37,21,14,2,4),(25,108,1,16,38,6,37,NULL,7),(25,108,1,16,39,5,15,NULL,2),(25,108,1,16,40,2,5,1,1),(25,108,1,17,1,21,24,2,4),(25,108,1,17,2,4,14,2,NULL),(25,108,1,17,3,7,16,NULL,2),(25,108,1,17,4,30,22,5,1),(25,108,1,17,5,2,18,1,4),(25,108,1,17,6,7,24,2,4),(25,108,1,17,7,10,39,1,6),(25,108,1,17,8,8,12,1,3),(25,108,1,17,9,8,17,1,4),(25,108,1,17,10,1,5,1,2),(25,108,1,17,11,9,19,2,3),(25,108,1,17,12,7,9,3,2),(25,108,1,17,13,27,12,7,NULL),(25,108,1,17,14,11,23,2,4),(25,108,1,17,15,37,NULL,7,NULL),(25,108,1,17,16,14,29,1,3),(25,108,1,17,17,7,33,1,3),(25,108,1,17,18,8,48,1,4),(25,108,1,17,19,1,19,NULL,3),(25,108,1,17,20,47,NULL,5,NULL),(25,108,1,17,21,8,21,NULL,4),(25,108,1,17,22,2,25,1,5),(25,108,1,17,23,2,14,NULL,2),(25,108,1,17,24,4,9,1,2),(25,108,1,17,25,3,10,1,1),(25,108,1,17,26,7,NULL,2,NULL),(25,108,1,17,27,1,NULL,NULL,NULL),(25,108,1,17,28,8,28,1,7),(25,108,1,17,29,1,7,NULL,NULL),(25,108,1,17,30,2,17,NULL,3),(25,108,1,17,31,3,9,NULL,3),(25,108,1,17,32,3,11,NULL,3),(25,108,1,17,33,6,10,2,1),(25,108,1,17,34,10,7,2,NULL),(25,108,1,17,35,8,7,1,1),(25,108,1,17,36,17,19,4,1),(25,108,1,17,37,14,10,4,3),(25,108,1,17,38,5,36,1,3),(25,108,1,17,39,1,29,NULL,3),(25,108,1,17,40,2,9,1,1),(25,108,2,21,1,8,15,3,7),(25,108,2,21,2,3,15,1,6),(25,108,2,21,3,6,15,4,5),(25,108,2,21,4,11,18,4,6),(25,108,2,21,5,25,12,6,2),(25,108,2,21,6,9,16,4,5),(25,108,2,21,7,5,11,2,4),(25,108,2,21,8,14,22,7,7),(25,108,2,21,9,38,23,10,3),(25,108,2,21,10,13,18,7,3),(25,108,2,21,11,5,66,1,12),(25,108,2,21,12,8,27,2,8),(25,108,2,21,13,42,16,13,2),(25,108,2,21,14,8,19,2,8),(25,108,2,21,15,23,15,8,2),(25,108,2,21,16,13,34,5,4),(25,108,2,21,17,9,27,4,7),(25,108,2,21,18,11,24,2,4),(25,108,2,21,19,5,16,2,4),(25,108,2,21,20,6,21,5,4),(25,108,2,21,21,3,9,1,NULL),(25,108,2,21,22,1,5,NULL,1),(25,108,2,21,23,2,8,1,1),(25,108,2,21,24,4,10,NULL,5),(25,108,2,21,25,3,NULL,NULL,NULL),(25,108,2,21,26,2,11,NULL,4),(25,108,2,21,27,3,11,NULL,2),(25,108,2,21,28,4,10,1,2),(25,108,2,21,29,2,9,NULL,4),(25,108,2,21,30,6,15,1,3),(25,108,2,21,31,21,10,7,3),(25,108,2,21,32,3,14,1,7),(25,108,2,21,33,20,18,7,4),(25,108,2,21,34,4,9,2,2),(25,108,2,21,35,8,14,4,3),(25,108,2,21,36,13,10,4,3),(25,108,2,21,37,3,11,2,4),(25,108,2,21,38,25,17,6,3),(25,108,2,21,39,30,NULL,11,NULL),(25,108,2,21,40,5,5,5,2),(25,108,2,22,1,10,20,3,3),(25,108,2,22,2,4,27,1,4),(25,108,2,22,3,6,13,4,2),(25,108,2,22,4,12,28,3,4),(25,108,2,22,5,16,17,4,3),(25,108,2,22,6,11,12,5,3),(25,108,2,22,7,9,20,5,2),(25,108,2,22,8,28,30,8,5),(25,108,2,22,9,38,30,13,3),(25,108,2,22,10,18,27,9,5),(25,108,2,22,11,6,49,3,8),(25,108,2,22,12,10,27,1,8),(25,108,2,22,13,44,12,10,1),(25,108,2,22,14,10,26,1,8),(25,108,2,22,15,23,27,5,4),(25,108,2,22,16,16,30,6,6),(25,108,2,22,17,13,38,2,6),(25,108,2,22,18,12,21,2,3),(25,108,2,22,19,4,30,1,6),(25,108,2,22,20,12,20,4,3),(25,108,2,22,21,1,12,1,4),(25,108,2,22,22,NULL,4,NULL,3),(25,108,2,22,23,3,11,NULL,1),(25,108,2,22,24,7,15,1,2),(25,108,2,22,25,5,NULL,1,NULL),(25,108,2,22,26,1,12,NULL,4),(25,108,2,22,27,1,11,NULL,2),(25,108,2,22,28,1,6,NULL,NULL),(25,108,2,22,29,3,10,2,4),(25,108,2,22,30,6,12,2,NULL),(25,108,2,22,31,21,17,9,2),(25,108,2,22,32,3,15,1,5),(25,108,2,22,33,24,19,8,3),(25,108,2,22,34,2,11,1,5),(25,108,2,22,35,14,13,5,1),(25,108,2,22,36,10,11,3,1),(25,108,2,22,37,8,18,7,3),(25,108,2,22,38,24,13,7,1),(25,108,2,22,39,42,NULL,14,NULL),(25,108,2,22,40,5,10,3,6),(25,108,2,23,1,7,19,2,7),(25,108,2,23,2,2,23,1,5),(25,108,2,23,3,11,25,3,4),(25,108,2,23,4,7,24,2,6),(25,108,2,23,5,24,16,5,4),(25,108,2,23,6,13,11,5,2),(25,108,2,23,7,6,16,1,6),(25,108,2,23,8,18,29,6,3),(25,108,2,23,9,37,21,10,2),(25,108,2,23,10,10,18,5,3),(25,108,2,23,11,8,57,1,7),(25,108,2,23,12,5,19,2,4),(25,108,2,23,13,36,14,12,1),(25,108,2,23,14,9,20,3,4),(25,108,2,23,15,22,24,4,5),(25,108,2,23,16,7,29,3,3),(25,108,2,23,17,8,32,1,5),(25,108,2,23,18,16,19,3,3),(25,108,2,23,19,5,31,2,6),(25,108,2,23,20,8,20,2,4),(25,108,2,23,21,3,12,2,2),(25,108,2,23,22,NULL,3,NULL,NULL),(25,108,2,23,23,1,11,NULL,2),(25,108,2,23,24,4,15,NULL,3),(25,108,2,23,25,4,NULL,2,NULL),(25,108,2,23,26,1,10,NULL,2),(25,108,2,23,27,2,4,NULL,NULL),(25,108,2,23,28,1,7,1,3),(25,108,2,23,29,3,11,3,4),(25,108,2,23,30,7,10,1,4),(25,108,2,23,31,16,13,6,2),(25,108,2,23,32,1,14,NULL,7),(25,108,2,23,33,23,18,7,5),(25,108,2,23,34,6,11,NULL,6),(25,108,2,23,35,10,16,2,3),(25,108,2,23,36,12,6,2,2),(25,108,2,23,37,10,7,5,3),(25,108,2,23,38,16,18,7,5),(25,108,2,23,39,28,NULL,8,NULL),(25,108,2,23,40,NULL,10,NULL,2),(25,108,2,24,1,6,27,3,11),(25,108,2,24,2,8,23,1,6),(25,108,2,24,3,11,19,7,6),(25,108,2,24,4,13,18,4,6),(25,108,2,24,5,29,20,14,5),(25,108,2,24,6,9,14,7,4),(25,108,2,24,7,5,21,2,10),(25,108,2,24,8,30,21,12,4),(25,108,2,24,9,40,32,18,7),(25,108,2,24,10,13,25,6,9),(25,108,2,24,11,5,49,3,13),(25,108,2,24,12,7,33,2,9),(25,108,2,24,13,47,9,20,NULL),(25,108,2,24,14,10,24,2,9),(25,108,2,24,15,16,23,7,7),(25,108,2,24,16,10,31,5,10),(25,108,2,24,17,12,40,6,11),(25,108,2,24,18,16,16,7,5),(25,108,2,24,19,3,14,2,4),(25,108,2,24,20,11,16,5,4),(25,108,2,24,21,5,7,2,2),(25,108,2,24,22,NULL,4,NULL,NULL),(25,108,2,24,23,2,9,2,3),(25,108,2,24,24,4,16,1,3),(25,108,2,24,25,4,NULL,2,NULL),(25,108,2,24,26,2,10,1,4),(25,108,2,24,27,2,10,1,2),(25,108,2,24,28,2,12,1,3),(25,108,2,24,29,3,10,1,3),(25,108,2,24,30,4,19,2,7),(25,108,2,24,31,16,16,9,4),(25,108,2,24,32,4,17,2,11),(25,108,2,24,33,19,25,11,9),(25,108,2,24,34,4,9,4,2),(25,108,2,24,35,14,19,10,4),(25,108,2,24,36,18,15,7,1),(25,108,2,24,37,7,12,6,6),(25,108,2,24,38,23,12,11,2),(25,108,2,24,39,41,NULL,20,NULL),(25,108,2,24,40,5,8,4,3),(25,109,1,11,1,1,NULL,NULL,NULL),(25,109,1,11,2,NULL,NULL,NULL,NULL),(25,109,1,11,3,NULL,NULL,NULL,NULL),(25,109,1,11,4,1,NULL,NULL,NULL),(25,109,1,11,5,NULL,NULL,NULL,NULL),(25,109,1,11,6,NULL,1,NULL,NULL),(25,109,1,11,7,NULL,NULL,NULL,NULL),(25,109,1,11,8,NULL,NULL,NULL,NULL),(25,109,1,11,9,NULL,NULL,NULL,NULL),(25,109,1,11,10,NULL,NULL,NULL,NULL),(25,109,1,11,11,NULL,NULL,NULL,NULL),(25,109,1,11,12,1,NULL,NULL,NULL),(25,109,1,11,13,NULL,2,NULL,NULL),(25,109,1,11,14,2,NULL,NULL,NULL),(25,109,1,11,15,1,1,NULL,NULL),(25,109,1,11,16,NULL,1,NULL,NULL),(25,109,1,11,17,1,NULL,NULL,NULL),(25,109,1,11,18,NULL,1,NULL,NULL),(25,109,1,11,19,NULL,NULL,NULL,NULL),(25,109,1,11,20,1,NULL,NULL,NULL),(25,109,1,11,21,NULL,NULL,NULL,NULL),(25,109,1,11,22,NULL,NULL,NULL,NULL),(25,109,1,11,23,NULL,NULL,NULL,NULL),(25,109,1,11,24,NULL,NULL,NULL,NULL),(25,109,1,11,25,NULL,NULL,NULL,NULL),(25,109,1,11,26,NULL,NULL,NULL,NULL),(25,109,1,11,27,NULL,NULL,NULL,NULL),(25,109,1,11,28,1,NULL,NULL,NULL),(25,109,1,11,29,NULL,NULL,NULL,NULL),(25,109,1,11,30,NULL,NULL,NULL,NULL),(25,109,1,11,31,NULL,NULL,NULL,NULL),(25,109,1,11,32,NULL,NULL,NULL,NULL),(25,109,1,11,33,NULL,NULL,NULL,NULL),(25,109,1,11,34,NULL,NULL,NULL,NULL),(25,109,1,11,35,NULL,NULL,NULL,NULL),(25,109,1,11,36,NULL,1,NULL,NULL),(25,109,1,11,37,NULL,NULL,NULL,NULL),(25,109,1,11,38,NULL,1,NULL,NULL),(25,109,1,11,39,NULL,NULL,NULL,NULL),(25,109,1,11,40,NULL,NULL,NULL,NULL),(25,109,1,12,1,NULL,1,NULL,1),(25,109,1,12,2,NULL,NULL,NULL,NULL),(25,109,1,12,3,NULL,NULL,NULL,NULL),(25,109,1,12,4,1,NULL,1,NULL),(25,109,1,12,5,NULL,NULL,NULL,NULL),(25,109,1,12,6,NULL,1,NULL,1),(25,109,1,12,7,1,NULL,1,NULL),(25,109,1,12,8,NULL,NULL,NULL,NULL),(25,109,1,12,9,NULL,NULL,NULL,NULL),(25,109,1,12,10,NULL,NULL,NULL,NULL),(25,109,1,12,11,NULL,NULL,NULL,NULL),(25,109,1,12,12,NULL,NULL,NULL,NULL),(25,109,1,12,13,1,NULL,1,NULL),(25,109,1,12,14,NULL,NULL,NULL,NULL),(25,109,1,12,15,NULL,NULL,NULL,NULL),(25,109,1,12,16,NULL,NULL,NULL,NULL),(25,109,1,12,17,NULL,NULL,NULL,NULL),(25,109,1,12,18,NULL,1,NULL,1),(25,109,1,12,19,NULL,NULL,NULL,NULL),(25,109,1,12,20,NULL,NULL,NULL,NULL),(25,109,1,12,21,1,NULL,1,NULL),(25,109,1,12,22,NULL,NULL,NULL,NULL),(25,109,1,12,23,NULL,NULL,NULL,NULL),(25,109,1,12,24,1,NULL,1,NULL),(25,109,1,12,25,NULL,NULL,NULL,NULL),(25,109,1,12,26,NULL,NULL,NULL,NULL),(25,109,1,12,27,NULL,NULL,NULL,NULL),(25,109,1,12,28,NULL,NULL,NULL,NULL),(25,109,1,12,29,NULL,NULL,NULL,NULL),(25,109,1,12,30,NULL,NULL,NULL,NULL),(25,109,1,12,31,NULL,NULL,NULL,NULL),(25,109,1,12,32,NULL,NULL,NULL,NULL),(25,109,1,12,33,NULL,1,NULL,1),(25,109,1,12,34,NULL,NULL,NULL,NULL),(25,109,1,12,35,NULL,NULL,NULL,NULL),(25,109,1,12,36,NULL,NULL,NULL,NULL),(25,109,1,12,37,NULL,NULL,NULL,NULL),(25,109,1,12,38,NULL,NULL,NULL,NULL),(25,109,1,12,39,NULL,1,NULL,1),(25,109,1,12,40,NULL,NULL,NULL,NULL),(25,109,1,13,1,1,3,1,1),(25,109,1,13,2,NULL,2,NULL,1),(25,109,1,13,3,2,NULL,1,NULL),(25,109,1,13,4,1,1,1,1),(25,109,1,13,5,NULL,NULL,NULL,NULL),(25,109,1,13,6,NULL,3,NULL,2),(25,109,1,13,7,1,2,1,1),(25,109,1,13,8,NULL,1,NULL,1),(25,109,1,13,9,2,NULL,1,NULL),(25,109,1,13,10,NULL,1,NULL,1),(25,109,1,13,11,NULL,1,NULL,1),(25,109,1,13,12,1,1,1,1),(25,109,1,13,13,3,1,1,1),(25,109,1,13,14,2,1,1,1),(25,109,1,13,15,1,1,NULL,1),(25,109,1,13,16,NULL,3,NULL,2),(25,109,1,13,17,3,1,1,1),(25,109,1,13,18,4,NULL,2,NULL),(25,109,1,13,19,1,1,NULL,1),(25,109,1,13,20,2,1,1,1),(25,109,1,13,21,NULL,3,NULL,2),(25,109,1,13,22,NULL,1,NULL,1),(25,109,1,13,23,NULL,2,NULL,1),(25,109,1,13,24,NULL,2,NULL,2),(25,109,1,13,25,NULL,NULL,NULL,NULL),(25,109,1,13,26,NULL,NULL,NULL,NULL),(25,109,1,13,27,NULL,NULL,NULL,NULL),(25,109,1,13,28,NULL,2,NULL,1),(25,109,1,13,29,NULL,NULL,NULL,NULL),(25,109,1,13,30,NULL,2,NULL,2),(25,109,1,13,31,1,2,NULL,1),(25,109,1,13,32,NULL,NULL,NULL,NULL),(25,109,1,13,33,NULL,1,NULL,1),(25,109,1,13,34,NULL,NULL,NULL,NULL),(25,109,1,13,35,1,1,1,1),(25,109,1,13,36,NULL,NULL,NULL,NULL),(25,109,1,13,37,1,1,1,1),(25,109,1,13,38,NULL,2,NULL,1),(25,109,1,13,39,NULL,NULL,NULL,NULL),(25,109,1,13,40,NULL,1,NULL,1),(25,109,1,14,1,8,22,5,12),(25,109,1,14,2,4,12,3,7),(25,109,1,14,3,7,7,5,2),(25,109,1,14,4,15,11,9,5),(25,109,1,14,5,NULL,7,NULL,4),(25,109,1,14,6,5,11,2,7),(25,109,1,14,7,8,17,6,7),(25,109,1,14,8,3,7,2,4),(25,109,1,14,9,5,5,4,4),(25,109,1,14,10,1,1,1,NULL),(25,109,1,14,11,3,5,1,3),(25,109,1,14,12,6,6,4,3),(25,109,1,14,13,6,5,6,1),(25,109,1,14,14,8,11,5,5),(25,109,1,14,15,8,15,5,8),(25,109,1,14,16,9,7,7,2),(25,109,1,14,17,5,6,4,3),(25,109,1,14,18,15,1,11,1),(25,109,1,14,19,11,14,5,7),(25,109,1,14,20,11,7,8,2),(25,109,1,14,21,4,14,1,7),(25,109,1,14,22,2,10,1,7),(25,109,1,14,23,1,9,NULL,6),(25,109,1,14,24,NULL,5,NULL,2),(25,109,1,14,25,NULL,3,NULL,1),(25,109,1,14,26,2,NULL,NULL,NULL),(25,109,1,14,27,NULL,NULL,NULL,NULL),(25,109,1,14,28,5,15,1,9),(25,109,1,14,29,1,4,1,2),(25,109,1,14,30,2,7,NULL,3),(25,109,1,14,31,NULL,5,NULL,4),(25,109,1,14,32,1,1,1,1),(25,109,1,14,33,NULL,2,NULL,2),(25,109,1,14,34,3,2,2,2),(25,109,1,14,35,1,8,1,6),(25,109,1,14,36,4,11,3,7),(25,109,1,14,37,2,6,1,3),(25,109,1,14,38,1,16,1,10),(25,109,1,14,39,3,13,1,7),(25,109,1,14,40,NULL,3,NULL,NULL),(25,109,1,15,1,8,7,2,2),(25,109,1,15,2,2,4,NULL,2),(25,109,1,15,3,3,4,NULL,2),(25,109,1,15,4,8,5,3,1),(25,109,1,15,5,1,6,NULL,2),(25,109,1,15,6,3,6,1,3),(25,109,1,15,7,NULL,14,NULL,3),(25,109,1,15,8,4,6,NULL,3),(25,109,1,15,9,2,8,1,1),(25,109,1,15,10,NULL,2,NULL,1),(25,109,1,15,11,NULL,7,NULL,NULL),(25,109,1,15,12,4,3,1,1),(25,109,1,15,13,2,5,1,NULL),(25,109,1,15,14,4,3,1,1),(25,109,1,15,15,3,4,1,NULL),(25,109,1,15,16,5,5,2,2),(25,109,1,15,17,1,2,NULL,1),(25,109,1,15,18,4,1,2,1),(25,109,1,15,19,NULL,10,NULL,3),(25,109,1,15,20,3,3,2,NULL),(25,109,1,15,21,4,10,NULL,3),(25,109,1,15,22,1,7,1,1),(25,109,1,15,23,NULL,4,NULL,2),(25,109,1,15,24,1,6,NULL,2),(25,109,1,15,25,NULL,4,NULL,NULL),(25,109,1,15,26,3,NULL,2,NULL),(25,109,1,15,27,3,NULL,1,NULL),(25,109,1,15,28,1,10,1,3),(25,109,1,15,29,2,6,NULL,1),(25,109,1,15,30,1,6,1,3),(25,109,1,15,31,1,3,NULL,1),(25,109,1,15,32,NULL,NULL,NULL,NULL),(25,109,1,15,33,2,2,NULL,NULL),(25,109,1,15,34,1,3,NULL,NULL),(25,109,1,15,35,1,7,NULL,3),(25,109,1,15,36,2,NULL,2,NULL),(25,109,1,15,37,1,7,NULL,3),(25,109,1,15,38,NULL,12,NULL,2),(25,109,1,15,39,1,6,NULL,1),(25,109,1,15,40,NULL,1,NULL,NULL),(25,109,1,16,1,29,29,7,11),(25,109,1,16,2,8,22,3,7),(25,109,1,16,3,7,19,2,4),(25,109,1,16,4,37,22,13,5),(25,109,1,16,5,4,20,2,4),(25,109,1,16,6,13,27,7,7),(25,109,1,16,7,7,50,2,15),(25,109,1,16,8,16,21,4,5),(25,109,1,16,9,15,28,7,8),(25,109,1,16,10,3,3,1,2),(25,109,1,16,11,10,14,2,3),(25,109,1,16,12,14,10,7,3),(25,109,1,16,13,26,13,9,6),(25,109,1,16,14,10,24,4,7),(25,109,1,16,15,57,NULL,14,NULL),(25,109,1,16,16,6,28,3,7),(25,109,1,16,17,1,42,1,6),(25,109,1,16,18,12,63,3,12),(25,109,1,16,19,3,35,NULL,5),(25,109,1,16,20,51,NULL,14,NULL),(25,109,1,16,21,14,25,2,9),(25,109,1,16,22,5,16,1,8),(25,109,1,16,23,4,13,2,5),(25,109,1,16,24,7,7,2,2),(25,109,1,16,25,6,10,2,NULL),(25,109,1,16,26,2,NULL,1,NULL),(25,109,1,16,27,2,NULL,1,NULL),(25,109,1,16,28,14,28,8,10),(25,109,1,16,29,4,8,NULL,2),(25,109,1,16,30,1,13,NULL,7),(25,109,1,16,31,2,8,1,2),(25,109,1,16,32,4,4,2,2),(25,109,1,16,33,12,10,2,1),(25,109,1,16,34,7,27,4,6),(25,109,1,16,35,4,10,2,4),(25,109,1,16,36,4,23,2,6),(25,109,1,16,37,6,11,2,5),(25,109,1,16,38,5,44,1,13),(25,109,1,16,39,4,16,1,4),(25,109,1,16,40,NULL,7,NULL,3),(25,109,1,17,1,17,34,9,16),(25,109,1,17,2,9,21,4,11),(25,109,1,17,3,6,13,2,9),(25,109,1,17,4,33,36,15,14),(25,109,1,17,5,2,21,NULL,6),(25,109,1,17,6,18,17,4,5),(25,109,1,17,7,7,51,2,20),(25,109,1,17,8,14,18,6,6),(25,109,1,17,9,11,31,5,13),(25,109,1,17,10,4,9,2,3),(25,109,1,17,11,9,19,3,6),(25,109,1,17,12,13,17,7,9),(25,109,1,17,13,24,21,10,12),(25,109,1,17,14,17,21,5,7),(25,109,1,17,15,49,NULL,17,NULL),(25,109,1,17,16,14,34,6,14),(25,109,1,17,17,1,31,NULL,11),(25,109,1,17,18,6,66,2,22),(25,109,1,17,19,NULL,35,NULL,10),(25,109,1,17,20,58,NULL,25,NULL),(25,109,1,17,21,3,28,1,13),(25,109,1,17,22,2,28,1,18),(25,109,1,17,23,1,13,1,10),(25,109,1,17,24,6,16,1,7),(25,109,1,17,25,2,4,1,2),(25,109,1,17,26,4,NULL,4,NULL),(25,109,1,17,27,1,NULL,NULL,NULL),(25,109,1,17,28,9,35,2,17),(25,109,1,17,29,6,16,1,6),(25,109,1,17,30,4,16,NULL,8),(25,109,1,17,31,2,7,2,2),(25,109,1,17,32,1,8,1,7),(25,109,1,17,33,5,16,1,3),(25,109,1,17,34,8,13,4,4),(25,109,1,17,35,7,15,2,7),(25,109,1,17,36,6,18,4,8),(25,109,1,17,37,8,19,5,8),(25,109,1,17,38,2,40,1,13),(25,109,1,17,39,3,31,2,10),(25,109,1,17,40,NULL,10,NULL,4),(25,109,2,21,1,1,14,1,6),(25,109,2,21,2,1,15,NULL,6),(25,109,2,21,3,3,22,1,8),(25,109,2,21,4,1,13,1,7),(25,109,2,21,5,9,15,1,7),(25,109,2,21,6,1,9,NULL,4),(25,109,2,21,7,3,7,1,2),(25,109,2,21,8,8,13,3,6),(25,109,2,21,9,10,22,5,10),(25,109,2,21,10,4,11,2,4),(25,109,2,21,11,2,39,NULL,7),(25,109,2,21,12,NULL,11,NULL,3),(25,109,2,21,13,20,15,7,7),(25,109,2,21,14,NULL,15,NULL,8),(25,109,2,21,15,13,22,3,9),(25,109,2,21,16,3,10,NULL,1),(25,109,2,21,17,3,19,NULL,5),(25,109,2,21,18,9,18,NULL,6),(25,109,2,21,19,2,7,1,1),(25,109,2,21,20,4,20,2,6),(25,109,2,21,21,3,8,1,2),(25,109,2,21,22,NULL,NULL,NULL,NULL),(25,109,2,21,23,2,7,1,4),(25,109,2,21,24,4,6,1,3),(25,109,2,21,25,2,NULL,1,NULL),(25,109,2,21,26,NULL,NULL,NULL,NULL),(25,109,2,21,27,NULL,10,NULL,2),(25,109,2,21,28,1,6,NULL,1),(25,109,2,21,29,3,6,1,1),(25,109,2,21,30,1,8,NULL,2),(25,109,2,21,31,4,7,2,6),(25,109,2,21,32,1,12,NULL,6),(25,109,2,21,33,5,13,2,6),(25,109,2,21,34,1,6,NULL,NULL),(25,109,2,21,35,3,11,1,4),(25,109,2,21,36,5,11,1,3),(25,109,2,21,37,1,4,NULL,1),(25,109,2,21,38,5,11,1,5),(25,109,2,21,39,10,NULL,5,NULL),(25,109,2,21,40,NULL,3,NULL,1),(25,109,2,22,1,4,13,2,3),(25,109,2,22,2,2,14,1,7),(25,109,2,22,3,5,10,3,5),(25,109,2,22,4,2,8,2,4),(25,109,2,22,5,7,11,4,3),(25,109,2,22,6,5,14,4,7),(25,109,2,22,7,2,11,1,6),(25,109,2,22,8,12,19,6,8),(25,109,2,22,9,15,17,11,6),(25,109,2,22,10,4,10,3,6),(25,109,2,22,11,7,40,1,19),(25,109,2,22,12,10,12,5,7),(25,109,2,22,13,20,13,12,4),(25,109,2,22,14,6,17,1,9),(25,109,2,22,15,14,23,6,12),(25,109,2,22,16,9,11,5,6),(25,109,2,22,17,11,26,4,9),(25,109,2,22,18,10,15,3,8),(25,109,2,22,19,NULL,14,NULL,6),(25,109,2,22,20,9,17,3,8),(25,109,2,22,21,5,7,2,2),(25,109,2,22,22,1,4,NULL,4),(25,109,2,22,23,5,5,3,2),(25,109,2,22,24,3,3,1,3),(25,109,2,22,25,4,NULL,1,NULL),(25,109,2,22,26,NULL,3,NULL,1),(25,109,2,22,27,3,7,NULL,1),(25,109,2,22,28,NULL,3,NULL,2),(25,109,2,22,29,3,7,1,4),(25,109,2,22,30,6,12,2,6),(25,109,2,22,31,5,7,5,4),(25,109,2,22,32,4,6,1,3),(25,109,2,22,33,6,10,3,6),(25,109,2,22,34,2,3,2,2),(25,109,2,22,35,1,13,1,6),(25,109,2,22,36,5,9,2,4),(25,109,2,22,37,NULL,6,NULL,3),(25,109,2,22,38,7,11,2,3),(25,109,2,22,39,7,NULL,5,NULL),(25,109,2,22,40,NULL,5,NULL,2),(25,109,2,23,1,6,10,2,5),(25,109,2,23,2,2,22,1,8),(25,109,2,23,3,7,17,1,5),(25,109,2,23,4,6,11,2,3),(25,109,2,23,5,8,13,2,7),(25,109,2,23,6,2,6,2,4),(25,109,2,23,7,3,9,2,2),(25,109,2,23,8,13,24,7,9),(25,109,2,23,9,11,22,5,10),(25,109,2,23,10,5,10,2,6),(25,109,2,23,11,1,33,1,7),(25,109,2,23,12,2,11,1,3),(25,109,2,23,13,13,17,9,4),(25,109,2,23,14,1,21,1,11),(25,109,2,23,15,2,19,1,6),(25,109,2,23,16,5,16,2,6),(25,109,2,23,17,6,18,2,6),(25,109,2,23,18,12,21,3,8),(25,109,2,23,19,3,12,2,3),(25,109,2,23,20,7,16,2,9),(25,109,2,23,21,2,6,1,2),(25,109,2,23,22,NULL,2,NULL,1),(25,109,2,23,23,1,2,NULL,2),(25,109,2,23,24,3,12,NULL,7),(25,109,2,23,25,4,NULL,1,NULL),(25,109,2,23,26,2,3,NULL,1),(25,109,2,23,27,2,8,2,NULL),(25,109,2,23,28,NULL,5,NULL,NULL),(25,109,2,23,29,1,3,NULL,3),(25,109,2,23,30,1,7,NULL,3),(25,109,2,23,31,2,6,2,4),(25,109,2,23,32,NULL,4,NULL,3),(25,109,2,23,33,10,10,6,5),(25,109,2,23,34,NULL,5,NULL,2),(25,109,2,23,35,5,10,1,4),(25,109,2,23,36,9,8,1,2),(25,109,2,23,37,3,10,1,2),(25,109,2,23,38,5,11,3,2),(25,109,2,23,39,10,NULL,7,NULL),(25,109,2,23,40,NULL,4,NULL,1),(25,109,2,24,1,2,12,NULL,4),(25,109,2,24,2,1,12,1,7),(25,109,2,24,3,7,11,3,5),(25,109,2,24,4,1,8,NULL,5),(25,109,2,24,5,7,18,4,7),(25,109,2,24,6,2,11,2,4),(25,109,2,24,7,1,6,1,3),(25,109,2,24,8,8,18,2,9),(25,109,2,24,9,11,21,5,11),(25,109,2,24,10,2,17,1,6),(25,109,2,24,11,4,29,2,7),(25,109,2,24,12,3,8,NULL,1),(25,109,2,24,13,17,17,8,6),(25,109,2,24,14,4,12,2,8),(25,109,2,24,15,6,20,NULL,10),(25,109,2,24,16,5,11,2,2),(25,109,2,24,17,3,20,1,3),(25,109,2,24,18,10,19,2,10),(25,109,2,24,19,2,10,NULL,4),(25,109,2,24,20,3,15,1,9),(25,109,2,24,21,2,5,NULL,3),(25,109,2,24,22,NULL,NULL,NULL,NULL),(25,109,2,24,23,NULL,5,NULL,2),(25,109,2,24,24,1,8,NULL,3),(25,109,2,24,25,4,NULL,3,NULL),(25,109,2,24,26,2,2,NULL,NULL),(25,109,2,24,27,4,4,NULL,1),(25,109,2,24,28,1,NULL,NULL,NULL),(25,109,2,24,29,1,11,NULL,4),(25,109,2,24,30,4,3,1,NULL),(25,109,2,24,31,2,6,NULL,3),(25,109,2,24,32,NULL,8,NULL,2),(25,109,2,24,33,5,7,3,4),(25,109,2,24,34,NULL,5,NULL,1),(25,109,2,24,35,3,12,1,7),(25,109,2,24,36,5,13,2,5),(25,109,2,24,37,1,7,NULL,3),(25,109,2,24,38,3,10,1,3),(25,109,2,24,39,7,NULL,5,NULL),(25,109,2,24,40,2,1,1,NULL),(25,110,1,11,1,NULL,NULL,NULL,NULL),(25,110,1,11,2,NULL,NULL,NULL,NULL),(25,110,1,11,3,NULL,NULL,NULL,NULL),(25,110,1,11,4,NULL,NULL,NULL,NULL),(25,110,1,11,5,NULL,NULL,NULL,NULL),(25,110,1,11,6,NULL,NULL,NULL,NULL),(25,110,1,11,7,NULL,NULL,NULL,NULL),(25,110,1,11,8,NULL,NULL,NULL,NULL),(25,110,1,11,9,NULL,NULL,NULL,NULL),(25,110,1,11,10,NULL,NULL,NULL,NULL),(25,110,1,11,11,NULL,NULL,NULL,NULL),(25,110,1,11,12,NULL,NULL,NULL,NULL),(25,110,1,11,13,NULL,NULL,NULL,NULL),(25,110,1,11,14,NULL,NULL,NULL,NULL),(25,110,1,11,15,NULL,NULL,NULL,NULL),(25,110,1,11,16,NULL,NULL,NULL,NULL),(25,110,1,11,17,NULL,NULL,NULL,NULL),(25,110,1,11,18,NULL,NULL,NULL,NULL),(25,110,1,11,19,NULL,NULL,NULL,NULL),(25,110,1,11,20,NULL,NULL,NULL,NULL),(25,110,1,11,21,NULL,NULL,NULL,NULL),(25,110,1,11,22,NULL,NULL,NULL,NULL),(25,110,1,11,23,NULL,NULL,NULL,NULL),(25,110,1,11,24,NULL,NULL,NULL,NULL),(25,110,1,11,25,NULL,NULL,NULL,NULL),(25,110,1,11,26,NULL,NULL,NULL,NULL),(25,110,1,11,27,NULL,NULL,NULL,NULL),(25,110,1,11,28,NULL,NULL,NULL,NULL),(25,110,1,11,29,NULL,NULL,NULL,NULL),(25,110,1,11,30,NULL,NULL,NULL,NULL),(25,110,1,11,31,NULL,NULL,NULL,NULL),(25,110,1,11,32,NULL,NULL,NULL,NULL),(25,110,1,11,33,NULL,NULL,NULL,NULL),(25,110,1,11,34,NULL,NULL,NULL,NULL),(25,110,1,11,35,NULL,NULL,NULL,NULL),(25,110,1,11,36,NULL,NULL,NULL,NULL),(25,110,1,11,37,NULL,NULL,NULL,NULL),(25,110,1,11,38,NULL,NULL,NULL,NULL),(25,110,1,11,39,NULL,NULL,NULL,NULL),(25,110,1,11,40,NULL,NULL,NULL,NULL),(25,110,1,12,1,NULL,1,NULL,1),(25,110,1,12,2,NULL,NULL,NULL,NULL),(25,110,1,12,3,NULL,NULL,NULL,NULL),(25,110,1,12,4,NULL,NULL,NULL,NULL),(25,110,1,12,5,NULL,NULL,NULL,NULL),(25,110,1,12,6,NULL,1,NULL,1),(25,110,1,12,7,1,NULL,1,NULL),(25,110,1,12,8,NULL,1,NULL,1),(25,110,1,12,9,NULL,NULL,NULL,NULL),(25,110,1,12,10,NULL,1,NULL,NULL),(25,110,1,12,11,NULL,NULL,NULL,NULL),(25,110,1,12,12,NULL,NULL,NULL,NULL),(25,110,1,12,13,1,NULL,1,NULL),(25,110,1,12,14,NULL,2,NULL,1),(25,110,1,12,15,NULL,1,NULL,1),(25,110,1,12,16,1,NULL,1,NULL),(25,110,1,12,17,1,NULL,1,NULL),(25,110,1,12,18,1,NULL,1,NULL),(25,110,1,12,19,NULL,NULL,NULL,NULL),(25,110,1,12,20,NULL,NULL,NULL,NULL),(25,110,1,12,21,NULL,1,NULL,NULL),(25,110,1,12,22,NULL,NULL,NULL,NULL),(25,110,1,12,23,NULL,NULL,NULL,NULL),(25,110,1,12,24,NULL,1,NULL,1),(25,110,1,12,25,NULL,NULL,NULL,NULL),(25,110,1,12,26,NULL,NULL,NULL,NULL),(25,110,1,12,27,NULL,NULL,NULL,NULL),(25,110,1,12,28,1,1,NULL,1),(25,110,1,12,29,NULL,1,NULL,NULL),(25,110,1,12,30,NULL,NULL,NULL,NULL),(25,110,1,12,31,NULL,NULL,NULL,NULL),(25,110,1,12,32,NULL,NULL,NULL,NULL),(25,110,1,12,33,NULL,NULL,NULL,NULL),(25,110,1,12,34,NULL,1,NULL,1),(25,110,1,12,35,NULL,NULL,NULL,NULL),(25,110,1,12,36,NULL,1,NULL,NULL),(25,110,1,12,37,NULL,NULL,NULL,NULL),(25,110,1,12,38,NULL,NULL,NULL,NULL),(25,110,1,12,39,NULL,1,NULL,1),(25,110,1,12,40,NULL,NULL,NULL,NULL),(25,110,1,13,1,NULL,1,NULL,NULL),(25,110,1,13,2,NULL,NULL,NULL,NULL),(25,110,1,13,3,NULL,NULL,NULL,NULL),(25,110,1,13,4,1,NULL,NULL,NULL),(25,110,1,13,5,NULL,1,NULL,NULL),(25,110,1,13,6,NULL,NULL,NULL,NULL),(25,110,1,13,7,NULL,1,NULL,NULL),(25,110,1,13,8,NULL,NULL,NULL,NULL),(25,110,1,13,9,NULL,1,NULL,NULL),(25,110,1,13,10,NULL,NULL,NULL,NULL),(25,110,1,13,11,NULL,1,NULL,NULL),(25,110,1,13,12,NULL,1,NULL,NULL),(25,110,1,13,13,1,NULL,NULL,NULL),(25,110,1,13,14,1,NULL,NULL,NULL),(25,110,1,13,15,NULL,1,NULL,NULL),(25,110,1,13,16,1,NULL,NULL,NULL),(25,110,1,13,17,NULL,1,NULL,NULL),(25,110,1,13,18,1,NULL,NULL,NULL),(25,110,1,13,19,NULL,NULL,NULL,NULL),(25,110,1,13,20,NULL,NULL,NULL,NULL),(25,110,1,13,21,NULL,NULL,NULL,NULL),(25,110,1,13,22,NULL,NULL,NULL,NULL),(25,110,1,13,23,NULL,NULL,NULL,NULL),(25,110,1,13,24,NULL,NULL,NULL,NULL),(25,110,1,13,25,NULL,NULL,NULL,NULL),(25,110,1,13,26,NULL,NULL,NULL,NULL),(25,110,1,13,27,NULL,NULL,NULL,NULL),(25,110,1,13,28,NULL,1,NULL,NULL),(25,110,1,13,29,NULL,1,NULL,NULL),(25,110,1,13,30,NULL,NULL,NULL,NULL),(25,110,1,13,31,NULL,NULL,NULL,NULL),(25,110,1,13,32,NULL,NULL,NULL,NULL),(25,110,1,13,33,NULL,NULL,NULL,NULL),(25,110,1,13,34,NULL,1,NULL,NULL),(25,110,1,13,35,NULL,NULL,NULL,NULL),(25,110,1,13,36,NULL,NULL,NULL,NULL),(25,110,1,13,37,NULL,1,NULL,NULL),(25,110,1,13,38,NULL,NULL,NULL,NULL),(25,110,1,13,39,NULL,NULL,NULL,NULL),(25,110,1,13,40,NULL,NULL,NULL,NULL),(25,110,1,14,1,12,11,5,7),(25,110,1,14,2,3,11,1,6),(25,110,1,14,3,6,6,3,5),(25,110,1,14,4,17,5,8,3),(25,110,1,14,5,5,8,2,4),(25,110,1,14,6,5,12,2,8),(25,110,1,14,7,8,18,2,13),(25,110,1,14,8,6,4,4,1),(25,110,1,14,9,2,11,2,8),(25,110,1,14,10,NULL,1,NULL,1),(25,110,1,14,11,5,3,3,2),(25,110,1,14,12,5,3,4,3),(25,110,1,14,13,4,10,3,9),(25,110,1,14,14,5,8,3,4),(25,110,1,14,15,8,10,7,5),(25,110,1,14,16,3,5,1,3),(25,110,1,14,17,7,4,4,2),(25,110,1,14,18,13,2,11,1),(25,110,1,14,19,9,13,7,7),(25,110,1,14,20,7,4,6,4),(25,110,1,14,21,6,5,3,1),(25,110,1,14,22,4,5,NULL,4),(25,110,1,14,23,NULL,7,NULL,5),(25,110,1,14,24,1,7,1,4),(25,110,1,14,25,1,6,1,2),(25,110,1,14,26,4,NULL,2,NULL),(25,110,1,14,27,NULL,NULL,NULL,NULL),(25,110,1,14,28,7,10,3,7),(25,110,1,14,29,2,3,1,2),(25,110,1,14,30,1,6,NULL,5),(25,110,1,14,31,1,NULL,1,NULL),(25,110,1,14,32,3,3,2,3),(25,110,1,14,33,1,3,1,3),(25,110,1,14,34,2,8,1,4),(25,110,1,14,35,1,7,NULL,2),(25,110,1,14,36,9,9,7,6),(25,110,1,14,37,3,3,2,2),(25,110,1,14,38,1,19,1,11),(25,110,1,14,39,2,16,NULL,10),(25,110,1,14,40,1,5,NULL,3),(25,110,1,15,1,11,15,4,8),(25,110,1,15,2,8,13,4,5),(25,110,1,15,3,6,6,4,NULL),(25,110,1,15,4,23,10,10,1),(25,110,1,15,5,1,7,1,5),(25,110,1,15,6,8,12,2,6),(25,110,1,15,7,7,18,4,7),(25,110,1,15,8,6,6,3,4),(25,110,1,15,9,4,12,2,7),(25,110,1,15,10,1,NULL,NULL,NULL),(25,110,1,15,11,1,9,1,4),(25,110,1,15,12,7,2,5,NULL),(25,110,1,15,13,4,10,4,6),(25,110,1,15,14,9,8,4,6),(25,110,1,15,15,10,6,5,1),(25,110,1,15,16,5,7,2,3),(25,110,1,15,17,4,5,3,2),(25,110,1,15,18,13,6,6,2),(25,110,1,15,19,9,16,3,9),(25,110,1,15,20,6,1,5,NULL),(25,110,1,15,21,2,8,2,2),(25,110,1,15,22,2,7,2,3),(25,110,1,15,23,2,8,NULL,3),(25,110,1,15,24,1,3,NULL,2),(25,110,1,15,25,3,6,1,1),(25,110,1,15,26,3,NULL,3,NULL),(25,110,1,15,27,2,NULL,1,NULL),(25,110,1,15,28,2,5,1,4),(25,110,1,15,29,1,2,NULL,1),(25,110,1,15,30,1,3,NULL,3),(25,110,1,15,31,NULL,5,NULL,3),(25,110,1,15,32,1,3,NULL,2),(25,110,1,15,33,5,6,4,2),(25,110,1,15,34,3,3,NULL,NULL),(25,110,1,15,35,4,2,1,1),(25,110,1,15,36,10,17,6,6),(25,110,1,15,37,5,5,2,3),(25,110,1,15,38,5,20,2,6),(25,110,1,15,39,3,11,3,3),(25,110,1,15,40,NULL,6,NULL,3),(25,110,1,16,1,15,23,6,11),(25,110,1,16,2,4,22,3,9),(25,110,1,16,3,4,10,1,6),(25,110,1,16,4,25,26,10,10),(25,110,1,16,5,3,15,1,5),(25,110,1,16,6,7,15,3,7),(25,110,1,16,7,4,33,3,11),(25,110,1,16,8,7,18,2,8),(25,110,1,16,9,6,19,1,7),(25,110,1,16,10,2,6,1,1),(25,110,1,16,11,9,17,2,5),(25,110,1,16,12,9,11,5,5),(25,110,1,16,13,16,15,7,8),(25,110,1,16,14,11,16,2,5),(25,110,1,16,15,38,NULL,15,NULL),(25,110,1,16,16,7,25,4,9),(25,110,1,16,17,1,28,1,7),(25,110,1,16,18,11,51,2,18),(25,110,1,16,19,1,28,1,9),(25,110,1,16,20,41,NULL,17,NULL),(25,110,1,16,21,5,28,NULL,13),(25,110,1,16,22,5,16,1,9),(25,110,1,16,23,1,13,1,4),(25,110,1,16,24,1,8,1,4),(25,110,1,16,25,1,11,NULL,3),(25,110,1,16,26,4,NULL,1,NULL),(25,110,1,16,27,2,NULL,NULL,NULL),(25,110,1,16,28,6,24,2,10),(25,110,1,16,29,2,9,NULL,4),(25,110,1,16,30,NULL,11,NULL,6),(25,110,1,16,31,4,12,2,6),(25,110,1,16,32,3,6,2,NULL),(25,110,1,16,33,3,14,1,5),(25,110,1,16,34,5,15,3,7),(25,110,1,16,35,5,9,2,2),(25,110,1,16,36,11,17,6,7),(25,110,1,16,37,11,10,8,4),(25,110,1,16,38,5,34,NULL,12),(25,110,1,16,39,3,20,2,9),(25,110,1,16,40,NULL,10,NULL,6),(25,110,1,17,1,18,28,7,11),(25,110,1,17,2,6,14,4,5),(25,110,1,17,3,9,15,5,4),(25,110,1,17,4,25,26,7,11),(25,110,1,17,5,6,23,4,8),(25,110,1,17,6,8,15,4,5),(25,110,1,17,7,6,37,NULL,14),(25,110,1,17,8,12,13,5,2),(25,110,1,17,9,11,17,6,6),(25,110,1,17,10,2,7,1,3),(25,110,1,17,11,4,20,1,8),(25,110,1,17,12,12,6,6,4),(25,110,1,17,13,15,18,8,7),(25,110,1,17,14,14,17,6,4),(25,110,1,17,15,42,NULL,18,NULL),(25,110,1,17,16,4,25,1,8),(25,110,1,17,17,NULL,26,NULL,7),(25,110,1,17,18,4,49,1,15),(25,110,1,17,19,1,23,NULL,4),(25,110,1,17,20,42,NULL,19,NULL),(25,110,1,17,21,6,21,3,10),(25,110,1,17,22,11,21,4,9),(25,110,1,17,23,2,9,NULL,5),(25,110,1,17,24,4,9,NULL,3),(25,110,1,17,25,2,7,NULL,1),(25,110,1,17,26,7,NULL,3,NULL),(25,110,1,17,27,1,NULL,NULL,NULL),(25,110,1,17,28,7,28,2,10),(25,110,1,17,29,5,6,1,4),(25,110,1,17,30,3,17,2,7),(25,110,1,17,31,2,5,2,3),(25,110,1,17,32,3,2,1,2),(25,110,1,17,33,10,8,4,3),(25,110,1,17,34,5,16,2,5),(25,110,1,17,35,3,7,2,2),(25,110,1,17,36,9,19,3,6),(25,110,1,17,37,10,14,4,7),(25,110,1,17,38,2,36,2,12),(25,110,1,17,39,2,17,1,7),(25,110,1,17,40,NULL,11,NULL,5),(25,110,2,21,1,4,12,3,7),(25,110,2,21,2,1,10,1,4),(25,110,2,21,3,7,14,5,6),(25,110,2,21,4,2,7,1,6),(25,110,2,21,5,10,15,7,6),(25,110,2,21,6,2,14,2,7),(25,110,2,21,7,5,7,1,4),(25,110,2,21,8,8,17,5,11),(25,110,2,21,9,15,20,10,8),(25,110,2,21,10,2,16,2,7),(25,110,2,21,11,1,28,1,13),(25,110,2,21,12,1,15,1,6),(25,110,2,21,13,18,14,12,3),(25,110,2,21,14,5,22,2,12),(25,110,2,21,15,13,13,8,6),(25,110,2,21,16,3,9,2,4),(25,110,2,21,17,5,16,3,4),(25,110,2,21,18,10,16,3,8),(25,110,2,21,19,3,13,2,5),(25,110,2,21,20,4,18,3,9),(25,110,2,21,21,2,11,NULL,4),(25,110,2,21,22,1,NULL,NULL,NULL),(25,110,2,21,23,2,6,NULL,4),(25,110,2,21,24,2,8,NULL,6),(25,110,2,21,25,2,NULL,1,NULL),(25,110,2,21,26,1,3,NULL,3),(25,110,2,21,27,1,1,NULL,1),(25,110,2,21,28,NULL,5,NULL,2),(25,110,2,21,29,NULL,5,NULL,3),(25,110,2,21,30,1,5,1,3),(25,110,2,21,31,4,7,4,2),(25,110,2,21,32,1,10,NULL,8),(25,110,2,21,33,11,11,8,5),(25,110,2,21,34,NULL,6,NULL,2),(25,110,2,21,35,5,15,2,6),(25,110,2,21,36,4,12,2,5),(25,110,2,21,37,1,6,NULL,3),(25,110,2,21,38,9,11,6,7),(25,110,2,21,39,14,NULL,9,NULL),(25,110,2,21,40,NULL,2,NULL,NULL),(25,110,2,22,1,4,8,2,7),(25,110,2,22,2,3,14,NULL,7),(25,110,2,22,3,3,16,1,7),(25,110,2,22,4,2,11,1,4),(25,110,2,22,5,12,12,7,4),(25,110,2,22,6,7,6,6,3),(25,110,2,22,7,4,9,2,7),(25,110,2,22,8,10,24,6,11),(25,110,2,22,9,21,12,9,6),(25,110,2,22,10,1,13,NULL,11),(25,110,2,22,11,5,30,2,8),(25,110,2,22,12,2,9,NULL,4),(25,110,2,22,13,20,16,12,8),(25,110,2,22,14,4,16,3,9),(25,110,2,22,15,11,17,6,9),(25,110,2,22,16,3,16,2,7),(25,110,2,22,17,4,15,1,5),(25,110,2,22,18,9,14,3,8),(25,110,2,22,19,1,19,NULL,11),(25,110,2,22,20,4,15,3,8),(25,110,2,22,21,NULL,3,NULL,2),(25,110,2,22,22,1,2,NULL,1),(25,110,2,22,23,1,8,NULL,5),(25,110,2,22,24,1,7,1,5),(25,110,2,22,25,3,NULL,1,NULL),(25,110,2,22,26,NULL,2,NULL,1),(25,110,2,22,27,NULL,1,NULL,NULL),(25,110,2,22,28,NULL,1,NULL,1),(25,110,2,22,29,1,11,1,3),(25,110,2,22,30,2,10,1,2),(25,110,2,22,31,6,7,3,4),(25,110,2,22,32,2,12,NULL,6),(25,110,2,22,33,6,14,5,7),(25,110,2,22,34,NULL,7,NULL,3),(25,110,2,22,35,4,14,4,8),(25,110,2,22,36,2,18,1,7),(25,110,2,22,37,1,9,1,5),(25,110,2,22,38,10,11,3,4),(25,110,2,22,39,14,NULL,8,NULL),(25,110,2,22,40,NULL,1,NULL,NULL),(25,110,2,23,1,1,10,1,3),(25,110,2,23,2,3,12,2,6),(25,110,2,23,3,3,8,1,3),(25,110,2,23,4,4,6,4,3),(25,110,2,23,5,7,11,3,7),(25,110,2,23,6,1,8,1,4),(25,110,2,23,7,1,9,1,4),(25,110,2,23,8,10,10,5,5),(25,110,2,23,9,7,18,4,9),(25,110,2,23,10,3,6,1,3),(25,110,2,23,11,1,24,1,10),(25,110,2,23,12,4,3,2,2),(25,110,2,23,13,15,8,8,5),(25,110,2,23,14,2,12,NULL,6),(25,110,2,23,15,9,8,5,4),(25,110,2,23,16,5,13,3,6),(25,110,2,23,17,5,19,1,8),(25,110,2,23,18,12,15,5,5),(25,110,2,23,19,1,7,NULL,3),(25,110,2,23,20,4,13,2,5),(25,110,2,23,21,3,7,2,5),(25,110,2,23,22,NULL,NULL,NULL,NULL),(25,110,2,23,23,2,3,1,1),(25,110,2,23,24,1,6,NULL,3),(25,110,2,23,25,1,NULL,1,NULL),(25,110,2,23,26,2,2,1,2),(25,110,2,23,27,1,6,NULL,2),(25,110,2,23,28,NULL,2,NULL,1),(25,110,2,23,29,NULL,4,NULL,2),(25,110,2,23,30,2,3,NULL,1),(25,110,2,23,31,3,8,2,4),(25,110,2,23,32,1,3,1,1),(25,110,2,23,33,5,10,3,6),(25,110,2,23,34,1,4,NULL,2),(25,110,2,23,35,2,8,1,3),(25,110,2,23,36,2,7,NULL,5),(25,110,2,23,37,3,5,NULL,4),(25,110,2,23,38,6,7,4,2),(25,110,2,23,39,8,NULL,5,NULL),(25,110,2,23,40,NULL,1,NULL,1),(25,110,2,24,1,3,19,NULL,8),(25,110,2,24,2,3,12,NULL,1),(25,110,2,24,3,3,11,2,2),(25,110,2,24,4,6,9,2,1),(25,110,2,24,5,8,12,2,5),(25,110,2,24,6,2,13,NULL,5),(25,110,2,24,7,3,11,1,3),(25,110,2,24,8,10,15,4,6),(25,110,2,24,9,13,19,6,5),(25,110,2,24,10,3,17,1,6),(25,110,2,24,11,4,35,1,8),(25,110,2,24,12,2,13,NULL,5),(25,110,2,24,13,25,12,11,NULL),(25,110,2,24,14,1,20,NULL,8),(25,110,2,24,15,10,22,NULL,9),(25,110,2,24,16,5,14,2,3),(25,110,2,24,17,7,17,1,1),(25,110,2,24,18,6,21,2,7),(25,110,2,24,19,NULL,5,NULL,NULL),(25,110,2,24,20,5,16,4,5),(25,110,2,24,21,2,6,NULL,2),(25,110,2,24,22,NULL,3,NULL,NULL),(25,110,2,24,23,1,4,NULL,1),(25,110,2,24,24,1,9,NULL,3),(25,110,2,24,25,3,NULL,2,NULL),(25,110,2,24,26,NULL,3,NULL,NULL),(25,110,2,24,27,1,5,1,3),(25,110,2,24,28,NULL,4,NULL,2),(25,110,2,24,29,2,7,1,2),(25,110,2,24,30,2,12,NULL,2),(25,110,2,24,31,7,7,2,5),(25,110,2,24,32,NULL,12,NULL,5),(25,110,2,24,33,6,6,4,3),(25,110,2,24,34,NULL,6,NULL,2),(25,110,2,24,35,5,13,2,4),(25,110,2,24,36,4,11,1,3),(25,110,2,24,37,2,11,NULL,2),(25,110,2,24,38,5,6,5,1),(25,110,2,24,39,9,NULL,5,NULL),(25,110,2,24,40,NULL,5,NULL,NULL),(25,201,1,11,1,NULL,1,NULL,NULL),(25,201,1,11,2,1,2,NULL,NULL),(25,201,1,11,3,NULL,NULL,NULL,NULL),(25,201,1,11,4,3,NULL,NULL,NULL),(25,201,1,11,5,NULL,1,NULL,NULL),(25,201,1,11,6,NULL,1,NULL,NULL),(25,201,1,11,7,NULL,2,NULL,NULL),(25,201,1,11,8,2,NULL,NULL,NULL),(25,201,1,11,9,NULL,1,NULL,NULL),(25,201,1,11,10,NULL,NULL,NULL,NULL),(25,201,1,11,11,NULL,1,NULL,NULL),(25,201,1,11,12,NULL,1,NULL,NULL),(25,201,1,11,13,2,1,NULL,NULL),(25,201,1,11,14,2,NULL,NULL,NULL),(25,201,1,11,15,2,1,NULL,NULL),(25,201,1,11,16,NULL,1,NULL,NULL),(25,201,1,11,17,NULL,1,NULL,NULL),(25,201,1,11,18,1,3,NULL,NULL),(25,201,1,11,19,2,1,NULL,NULL),(25,201,1,11,20,2,NULL,NULL,NULL),(25,201,1,11,21,NULL,1,NULL,NULL),(25,201,1,11,22,NULL,2,NULL,NULL),(25,201,1,11,23,1,1,NULL,NULL),(25,201,1,11,24,NULL,1,NULL,NULL),(25,201,1,11,25,NULL,1,NULL,NULL),(25,201,1,11,26,NULL,NULL,NULL,NULL),(25,201,1,11,27,1,NULL,NULL,NULL),(25,201,1,11,28,NULL,1,NULL,NULL),(25,201,1,11,29,1,NULL,NULL,NULL),(25,201,1,11,30,NULL,NULL,NULL,NULL),(25,201,1,11,31,NULL,2,NULL,NULL),(25,201,1,11,32,2,NULL,NULL,NULL),(25,201,1,11,33,NULL,NULL,NULL,NULL),(25,201,1,11,34,NULL,NULL,NULL,NULL),(25,201,1,11,35,1,NULL,NULL,NULL),(25,201,1,11,36,NULL,2,NULL,NULL),(25,201,1,11,37,NULL,NULL,NULL,NULL),(25,201,1,11,38,NULL,2,NULL,NULL),(25,201,1,11,39,NULL,2,NULL,NULL),(25,201,1,11,40,1,2,NULL,NULL),(25,201,1,12,1,NULL,3,NULL,NULL),(25,201,1,12,2,NULL,1,NULL,NULL),(25,201,1,12,3,NULL,2,NULL,NULL),(25,201,1,12,4,NULL,2,NULL,NULL),(25,201,1,12,5,NULL,2,NULL,NULL),(25,201,1,12,6,1,1,NULL,NULL),(25,201,1,12,7,NULL,1,NULL,NULL),(25,201,1,12,8,1,2,NULL,NULL),(25,201,1,12,9,NULL,NULL,NULL,NULL),(25,201,1,12,10,NULL,1,NULL,NULL),(25,201,1,12,11,NULL,1,NULL,NULL),(25,201,1,12,12,NULL,NULL,NULL,NULL),(25,201,1,12,13,1,1,NULL,NULL),(25,201,1,12,14,1,2,NULL,NULL),(25,201,1,12,15,1,3,NULL,NULL),(25,201,1,12,16,2,NULL,NULL,NULL),(25,201,1,12,17,1,3,NULL,NULL),(25,201,1,12,18,1,2,NULL,NULL),(25,201,1,12,19,3,NULL,NULL,NULL),(25,201,1,12,20,1,1,NULL,NULL),(25,201,1,12,21,NULL,1,NULL,NULL),(25,201,1,12,22,1,1,NULL,NULL),(25,201,1,12,23,NULL,NULL,NULL,NULL),(25,201,1,12,24,NULL,1,NULL,NULL),(25,201,1,12,25,NULL,NULL,NULL,NULL),(25,201,1,12,26,NULL,NULL,NULL,NULL),(25,201,1,12,27,1,NULL,NULL,NULL),(25,201,1,12,28,NULL,2,NULL,NULL),(25,201,1,12,29,NULL,1,NULL,NULL),(25,201,1,12,30,NULL,NULL,NULL,NULL),(25,201,1,12,31,NULL,1,NULL,NULL),(25,201,1,12,32,2,NULL,NULL,NULL),(25,201,1,12,33,NULL,NULL,NULL,NULL),(25,201,1,12,34,1,1,NULL,NULL),(25,201,1,12,35,2,NULL,NULL,NULL),(25,201,1,12,36,2,NULL,NULL,NULL),(25,201,1,12,37,NULL,1,NULL,NULL),(25,201,1,12,38,NULL,3,NULL,NULL),(25,201,1,12,39,1,2,NULL,NULL),(25,201,1,12,40,NULL,NULL,NULL,NULL),(25,201,1,13,1,1,3,NULL,1),(25,201,1,13,2,NULL,1,NULL,NULL),(25,201,1,13,3,1,NULL,1,NULL),(25,201,1,13,4,3,1,1,NULL),(25,201,1,13,5,1,1,NULL,NULL),(25,201,1,13,6,NULL,2,NULL,NULL),(25,201,1,13,7,1,2,NULL,1),(25,201,1,13,8,NULL,NULL,NULL,NULL),(25,201,1,13,9,1,1,NULL,NULL),(25,201,1,13,10,NULL,NULL,NULL,NULL),(25,201,1,13,11,2,NULL,1,NULL),(25,201,1,13,12,1,NULL,1,NULL),(25,201,1,13,13,1,1,NULL,1),(25,201,1,13,14,2,NULL,1,NULL),(25,201,1,13,15,NULL,3,NULL,1),(25,201,1,13,16,1,NULL,NULL,NULL),(25,201,1,13,17,2,NULL,1,NULL),(25,201,1,13,18,4,NULL,1,NULL),(25,201,1,13,19,NULL,2,NULL,NULL),(25,201,1,13,20,1,1,NULL,1),(25,201,1,13,21,3,1,1,NULL),(25,201,1,13,22,1,1,1,NULL),(25,201,1,13,23,NULL,3,NULL,1),(25,201,1,13,24,1,NULL,1,NULL),(25,201,1,13,25,NULL,1,NULL,NULL),(25,201,1,13,26,2,NULL,1,NULL),(25,201,1,13,27,1,NULL,NULL,NULL),(25,201,1,13,28,NULL,2,NULL,NULL),(25,201,1,13,29,NULL,1,NULL,NULL),(25,201,1,13,30,1,NULL,NULL,NULL),(25,201,1,13,31,NULL,1,NULL,1),(25,201,1,13,32,1,NULL,1,NULL),(25,201,1,13,33,1,NULL,NULL,NULL),(25,201,1,13,34,1,NULL,1,NULL),(25,201,1,13,35,NULL,1,NULL,1),(25,201,1,13,36,2,1,1,NULL),(25,201,1,13,37,1,NULL,NULL,NULL),(25,201,1,13,38,NULL,3,NULL,1),(25,201,1,13,39,NULL,2,NULL,1),(25,201,1,13,40,1,1,NULL,1),(25,201,1,14,1,131,155,13,22),(25,201,1,14,2,48,85,13,7),(25,201,1,14,3,62,61,8,10),(25,201,1,14,4,196,92,26,11),(25,201,1,14,5,41,111,9,16),(25,201,1,14,6,56,131,11,22),(25,201,1,14,7,97,186,14,22),(25,201,1,14,8,103,57,22,10),(25,201,1,14,9,70,90,15,15),(25,201,1,14,10,15,31,5,7),(25,201,1,14,11,39,62,8,6),(25,201,1,14,12,67,36,17,7),(25,201,1,14,13,87,63,24,6),(25,201,1,14,14,106,75,18,10),(25,201,1,14,15,130,77,28,9),(25,201,1,14,16,83,75,15,18),(25,201,1,14,17,110,60,29,8),(25,201,1,14,18,197,34,32,2),(25,201,1,14,19,143,144,17,18),(25,201,1,14,20,150,29,30,3),(25,201,1,14,21,99,117,22,7),(25,201,1,14,22,61,131,11,28),(25,201,1,14,23,42,125,6,24),(25,201,1,14,24,38,101,15,18),(25,201,1,14,25,37,112,12,15),(25,201,1,14,26,97,NULL,21,NULL),(25,201,1,14,27,31,NULL,12,NULL),(25,201,1,14,28,52,187,3,29),(25,201,1,14,29,31,61,9,13),(25,201,1,14,30,19,92,7,19),(25,201,1,14,31,10,51,3,9),(25,201,1,14,32,54,64,16,14),(25,201,1,14,33,48,84,17,13),(25,201,1,14,34,47,55,13,7),(25,201,1,14,35,62,40,19,4),(25,201,1,14,36,116,127,30,6),(25,201,1,14,37,93,41,22,4),(25,201,1,14,38,21,223,4,28),(25,201,1,14,39,51,144,7,16),(25,201,1,14,40,28,65,9,17),(25,201,1,15,1,111,138,12,24),(25,201,1,15,2,36,100,7,20),(25,201,1,15,3,76,50,7,6),(25,201,1,15,4,199,93,29,11),(25,201,1,15,5,35,119,6,23),(25,201,1,15,6,53,103,15,12),(25,201,1,15,7,68,203,11,22),(25,201,1,15,8,67,75,22,13),(25,201,1,15,9,61,104,13,12),(25,201,1,15,10,28,30,5,9),(25,201,1,15,11,39,70,7,13),(25,201,1,15,12,60,29,12,6),(25,201,1,15,13,90,67,20,9),(25,201,1,15,14,107,82,20,7),(25,201,1,15,15,145,66,23,10),(25,201,1,15,16,65,70,6,12),(25,201,1,15,17,89,75,24,6),(25,201,1,15,18,207,29,37,NULL),(25,201,1,15,19,132,131,24,13),(25,201,1,15,20,139,23,29,2),(25,201,1,15,21,99,114,23,6),(25,201,1,15,22,62,122,11,22),(25,201,1,15,23,34,110,9,19),(25,201,1,15,24,38,102,9,23),(25,201,1,15,25,34,105,15,17),(25,201,1,15,26,86,NULL,20,NULL),(25,201,1,15,27,50,NULL,22,NULL),(25,201,1,15,28,41,191,6,28),(25,201,1,15,29,22,65,9,12),(25,201,1,15,30,23,87,8,20),(25,201,1,15,31,24,29,9,5),(25,201,1,15,32,35,62,9,13),(25,201,1,15,33,49,77,15,11),(25,201,1,15,34,47,55,7,7),(25,201,1,15,35,43,36,7,2),(25,201,1,15,36,103,109,21,11),(25,201,1,15,37,90,54,14,11),(25,201,1,15,38,22,210,7,27),(25,201,1,15,39,41,140,5,22),(25,201,1,15,40,26,73,14,11),(25,201,1,16,1,79,74,3,2),(25,201,1,16,2,16,69,2,5),(25,201,1,16,3,35,49,NULL,1),(25,201,1,16,4,98,65,4,4),(25,201,1,16,5,14,58,1,NULL),(25,201,1,16,6,19,72,2,4),(25,201,1,16,7,34,125,3,4),(25,201,1,16,8,49,39,4,1),(25,201,1,16,9,30,68,NULL,4),(25,201,1,16,10,7,17,NULL,1),(25,201,1,16,11,28,36,3,2),(25,201,1,16,12,37,25,3,NULL),(25,201,1,16,13,81,30,3,2),(25,201,1,16,14,51,63,5,4),(25,201,1,16,15,122,NULL,6,NULL),(25,201,1,16,16,30,79,2,4),(25,201,1,16,17,3,108,NULL,4),(25,201,1,16,18,39,162,1,7),(25,201,1,16,19,4,90,2,3),(25,201,1,16,20,134,NULL,8,NULL),(25,201,1,16,21,48,85,1,6),(25,201,1,16,22,26,57,NULL,5),(25,201,1,16,23,12,63,1,3),(25,201,1,16,24,16,50,NULL,5),(25,201,1,16,25,11,54,2,3),(25,201,1,16,26,39,NULL,4,NULL),(25,201,1,16,27,12,NULL,1,NULL),(25,201,1,16,28,39,125,3,4),(25,201,1,16,29,17,24,1,2),(25,201,1,16,30,9,36,NULL,4),(25,201,1,16,31,8,18,NULL,3),(25,201,1,16,32,18,31,2,1),(25,201,1,16,33,21,53,3,3),(25,201,1,16,34,18,37,1,4),(25,201,1,16,35,18,20,3,1),(25,201,1,16,36,42,56,5,3),(25,201,1,16,37,39,29,6,1),(25,201,1,16,38,9,134,NULL,7),(25,201,1,16,39,15,88,2,4),(25,201,1,16,40,4,33,NULL,1),(25,201,1,17,1,67,71,4,3),(25,201,1,17,2,18,62,NULL,4),(25,201,1,17,3,24,45,NULL,4),(25,201,1,17,4,104,65,5,3),(25,201,1,17,5,11,61,NULL,6),(25,201,1,17,6,15,70,NULL,8),(25,201,1,17,7,32,118,2,7),(25,201,1,17,8,41,35,3,2),(25,201,1,17,9,32,61,2,4),(25,201,1,17,10,8,17,NULL,2),(25,201,1,17,11,14,43,NULL,3),(25,201,1,17,12,33,19,2,1),(25,201,1,17,13,74,38,6,2),(25,201,1,17,14,51,59,3,6),(25,201,1,17,15,111,NULL,8,NULL),(25,201,1,17,16,42,74,5,3),(25,201,1,17,17,8,104,NULL,7),(25,201,1,17,18,39,154,2,8),(25,201,1,17,19,2,82,NULL,6),(25,201,1,17,20,129,NULL,7,NULL),(25,201,1,17,21,47,69,1,5),(25,201,1,17,22,34,74,4,2),(25,201,1,17,23,10,48,NULL,4),(25,201,1,17,24,10,46,2,4),(25,201,1,17,25,12,39,2,4),(25,201,1,17,26,35,NULL,1,NULL),(25,201,1,17,27,18,NULL,4,NULL),(25,201,1,17,28,35,130,2,7),(25,201,1,17,29,16,32,1,2),(25,201,1,17,30,20,45,NULL,6),(25,201,1,17,31,4,24,2,3),(25,201,1,17,32,10,27,3,2),(25,201,1,17,33,21,45,2,4),(25,201,1,17,34,27,36,7,NULL),(25,201,1,17,35,26,23,5,NULL),(25,201,1,17,36,39,62,4,3),(25,201,1,17,37,41,32,7,NULL),(25,201,1,17,38,10,121,1,6),(25,201,1,17,39,15,67,1,6),(25,201,1,17,40,2,37,NULL,3),(25,201,2,21,1,24,67,8,19),(25,201,2,21,2,14,62,5,12),(25,201,2,21,3,55,68,12,11),(25,201,2,21,4,45,48,8,13),(25,201,2,21,5,79,72,10,16),(25,201,2,21,6,37,57,11,14),(25,201,2,21,7,25,53,8,9),(25,201,2,21,8,62,51,14,9),(25,201,2,21,9,141,78,28,4),(25,201,2,21,10,53,68,16,11),(25,201,2,21,11,25,187,4,26),(25,201,2,21,12,21,86,2,14),(25,201,2,21,13,143,31,25,2),(25,201,2,21,14,40,95,9,16),(25,201,2,21,15,75,66,12,9),(25,201,2,21,16,45,105,10,14),(25,201,2,21,17,47,103,5,10),(25,201,2,21,18,53,57,9,10),(25,201,2,21,19,22,64,6,11),(25,201,2,21,20,50,72,11,10),(25,201,2,21,21,31,37,15,7),(25,201,2,21,22,6,16,4,3),(25,201,2,21,23,20,27,6,3),(25,201,2,21,24,13,32,3,9),(25,201,2,21,25,9,NULL,2,NULL),(25,201,2,21,26,4,24,NULL,4),(25,201,2,21,27,6,46,2,10),(25,201,2,21,28,6,34,NULL,5),(25,201,2,21,29,21,45,7,14),(25,201,2,21,30,8,41,2,4),(25,201,2,21,31,70,51,12,6),(25,201,2,21,32,15,70,3,21),(25,201,2,21,33,122,44,29,2),(25,201,2,21,34,24,28,7,5),(25,201,2,21,35,36,54,11,8),(25,201,2,21,36,36,42,4,5),(25,201,2,21,37,33,48,16,13),(25,201,2,21,38,102,49,20,7),(25,201,2,21,39,210,NULL,31,NULL),(25,201,2,21,40,17,44,3,12),(25,201,2,22,1,35,72,2,9),(25,201,2,22,2,17,61,5,7),(25,201,2,22,3,46,57,8,3),(25,201,2,22,4,32,68,5,9),(25,201,2,22,5,89,54,11,6),(25,201,2,22,6,35,51,8,7),(25,201,2,22,7,19,43,5,8),(25,201,2,22,8,75,68,13,5),(25,201,2,22,9,118,65,17,1),(25,201,2,22,10,46,51,13,6),(25,201,2,22,11,27,185,4,13),(25,201,2,22,12,29,73,2,7),(25,201,2,22,13,136,40,21,NULL),(25,201,2,22,14,54,88,10,7),(25,201,2,22,15,75,75,10,3),(25,201,2,22,16,38,79,6,8),(25,201,2,22,17,35,106,8,6),(25,201,2,22,18,49,48,5,5),(25,201,2,22,19,21,78,1,9),(25,201,2,22,20,35,58,5,8),(25,201,2,22,21,27,33,9,1),(25,201,2,22,22,6,11,2,3),(25,201,2,22,23,19,39,2,2),(25,201,2,22,24,14,25,1,2),(25,201,2,22,25,20,NULL,5,NULL),(25,201,2,22,26,5,27,1,1),(25,201,2,22,27,10,36,2,7),(25,201,2,22,28,6,18,NULL,NULL),(25,201,2,22,29,15,36,9,4),(25,201,2,22,30,22,45,4,5),(25,201,2,22,31,73,38,16,2),(25,201,2,22,32,12,54,1,11),(25,201,2,22,33,93,47,19,1),(25,201,2,22,34,14,42,5,8),(25,201,2,22,35,38,50,8,4),(25,201,2,22,36,32,40,8,2),(25,201,2,22,37,24,48,5,9),(25,201,2,22,38,101,53,15,3),(25,201,2,22,39,184,NULL,22,NULL),(25,201,2,22,40,15,32,1,4),(25,201,2,23,1,33,72,3,10),(25,201,2,23,2,5,71,3,5),(25,201,2,23,3,42,63,6,9),(25,201,2,23,4,43,69,8,7),(25,201,2,23,5,65,67,12,6),(25,201,2,23,6,44,47,16,6),(25,201,2,23,7,14,45,2,7),(25,201,2,23,8,71,69,15,5),(25,201,2,23,9,123,71,20,6),(25,201,2,23,10,48,69,16,6),(25,201,2,23,11,30,174,4,16),(25,201,2,23,12,25,72,2,13),(25,201,2,23,13,138,41,25,NULL),(25,201,2,23,14,34,91,9,10),(25,201,2,23,15,61,80,12,6),(25,201,2,23,16,20,99,4,13),(25,201,2,23,17,34,109,2,18),(25,201,2,23,18,46,75,6,9),(25,201,2,23,19,17,66,4,6),(25,201,2,23,20,32,70,4,9),(25,201,2,23,21,34,27,12,2),(25,201,2,23,22,5,16,2,4),(25,201,2,23,23,19,37,6,4),(25,201,2,23,24,6,46,NULL,5),(25,201,2,23,25,16,NULL,4,NULL),(25,201,2,23,26,11,17,2,NULL),(25,201,2,23,27,4,32,2,7),(25,201,2,23,28,7,16,1,5),(25,201,2,23,29,16,45,6,10),(25,201,2,23,30,31,46,5,6),(25,201,2,23,31,71,47,15,5),(25,201,2,23,32,15,59,4,10),(25,201,2,23,33,99,41,20,5),(25,201,2,23,34,19,35,5,6),(25,201,2,23,35,44,60,14,2),(25,201,2,23,36,35,28,8,1),(25,201,2,23,37,23,54,9,7),(25,201,2,23,38,89,57,17,4),(25,201,2,23,39,180,NULL,27,NULL),(25,201,2,23,40,16,27,4,4),(25,201,2,24,1,26,68,6,3),(25,201,2,24,2,15,54,NULL,6),(25,201,2,24,3,42,75,5,9),(25,201,2,24,4,33,58,5,5),(25,201,2,24,5,78,73,7,4),(25,201,2,24,6,38,52,5,6),(25,201,2,24,7,17,47,1,6),(25,201,2,24,8,79,79,8,5),(25,201,2,24,9,122,72,16,2),(25,201,2,24,10,53,59,6,7),(25,201,2,24,11,18,182,3,14),(25,201,2,24,12,17,68,4,4),(25,201,2,24,13,128,27,13,1),(25,201,2,24,14,42,83,2,11),(25,201,2,24,15,67,73,5,5),(25,201,2,24,16,36,94,2,8),(25,201,2,24,17,39,96,4,3),(25,201,2,24,18,38,57,4,3),(25,201,2,24,19,9,46,1,4),(25,201,2,24,20,27,57,3,3),(25,201,2,24,21,24,39,2,3),(25,201,2,24,22,4,13,2,3),(25,201,2,24,23,16,25,5,1),(25,201,2,24,24,12,33,NULL,3),(25,201,2,24,25,15,NULL,2,NULL),(25,201,2,24,26,6,28,NULL,2),(25,201,2,24,27,8,43,3,2),(25,201,2,24,28,4,35,NULL,2),(25,201,2,24,29,15,39,3,5),(25,201,2,24,30,19,49,2,1),(25,201,2,24,31,60,49,9,3),(25,201,2,24,32,5,46,1,7),(25,201,2,24,33,88,38,14,3),(25,201,2,24,34,7,39,1,4),(25,201,2,24,35,31,50,3,3),(25,201,2,24,36,25,38,4,3),(25,201,2,24,37,25,52,6,3),(25,201,2,24,38,97,53,11,1),(25,201,2,24,39,172,NULL,17,NULL),(25,201,2,24,40,3,26,3,2),(25,202,1,11,1,2,NULL,1,NULL),(25,202,1,11,2,NULL,NULL,NULL,1),(25,202,1,11,3,NULL,NULL,NULL,NULL),(25,202,1,11,4,1,NULL,NULL,1),(25,202,1,11,5,NULL,NULL,NULL,NULL),(25,202,1,11,6,NULL,2,NULL,1),(25,202,1,11,7,2,NULL,1,NULL),(25,202,1,11,8,NULL,NULL,NULL,NULL),(25,202,1,11,9,NULL,1,NULL,1),(25,202,1,11,10,NULL,NULL,NULL,1),(25,202,1,11,11,1,NULL,NULL,NULL),(25,202,1,11,12,1,NULL,NULL,NULL),(25,202,1,11,13,3,NULL,1,NULL),(25,202,1,11,14,3,NULL,1,NULL),(25,202,1,11,15,1,NULL,1,NULL),(25,202,1,11,16,NULL,NULL,NULL,1),(25,202,1,11,17,1,1,NULL,1),(25,202,1,11,18,NULL,3,NULL,1),(25,202,1,11,19,1,NULL,1,NULL),(25,202,1,11,20,1,1,NULL,1),(25,202,1,11,21,NULL,1,NULL,NULL),(25,202,1,11,22,1,NULL,1,NULL),(25,202,1,11,23,1,NULL,NULL,1),(25,202,1,11,24,NULL,NULL,NULL,1),(25,202,1,11,25,NULL,NULL,NULL,1),(25,202,1,11,26,NULL,NULL,1,NULL),(25,202,1,11,27,NULL,NULL,NULL,NULL),(25,202,1,11,28,NULL,NULL,NULL,1),(25,202,1,11,29,NULL,NULL,NULL,NULL),(25,202,1,11,30,NULL,NULL,NULL,1),(25,202,1,11,31,NULL,NULL,NULL,1),(25,202,1,11,32,NULL,NULL,NULL,1),(25,202,1,11,33,1,1,NULL,1),(25,202,1,11,34,1,1,NULL,1),(25,202,1,11,35,2,NULL,NULL,NULL),(25,202,1,11,36,NULL,2,NULL,1),(25,202,1,11,37,1,NULL,1,NULL),(25,202,1,11,38,NULL,2,NULL,1),(25,202,1,11,39,NULL,1,NULL,NULL),(25,202,1,11,40,NULL,1,NULL,NULL),(25,202,1,12,1,NULL,NULL,NULL,NULL),(25,202,1,12,2,NULL,NULL,NULL,NULL),(25,202,1,12,3,NULL,NULL,NULL,NULL),(25,202,1,12,4,NULL,NULL,NULL,NULL),(25,202,1,12,5,NULL,NULL,NULL,NULL),(25,202,1,12,6,NULL,NULL,NULL,NULL),(25,202,1,12,7,NULL,NULL,NULL,NULL),(25,202,1,12,8,NULL,NULL,NULL,NULL),(25,202,1,12,9,NULL,NULL,NULL,NULL),(25,202,1,12,10,NULL,NULL,NULL,NULL),(25,202,1,12,11,NULL,NULL,NULL,NULL),(25,202,1,12,12,NULL,NULL,NULL,NULL),(25,202,1,12,13,NULL,NULL,NULL,NULL),(25,202,1,12,14,NULL,NULL,NULL,NULL),(25,202,1,12,15,NULL,NULL,NULL,NULL),(25,202,1,12,16,NULL,NULL,NULL,NULL),(25,202,1,12,17,NULL,NULL,NULL,NULL),(25,202,1,12,18,NULL,NULL,NULL,NULL),(25,202,1,12,19,NULL,NULL,NULL,NULL),(25,202,1,12,20,NULL,NULL,NULL,NULL),(25,202,1,12,21,NULL,NULL,NULL,NULL),(25,202,1,12,22,NULL,NULL,NULL,NULL),(25,202,1,12,23,NULL,NULL,NULL,NULL),(25,202,1,12,24,NULL,NULL,NULL,NULL),(25,202,1,12,25,NULL,NULL,NULL,NULL),(25,202,1,12,26,NULL,NULL,NULL,NULL),(25,202,1,12,27,NULL,NULL,NULL,NULL),(25,202,1,12,28,NULL,NULL,NULL,NULL),(25,202,1,12,29,NULL,NULL,NULL,NULL),(25,202,1,12,30,NULL,NULL,NULL,NULL),(25,202,1,12,31,NULL,NULL,NULL,NULL),(25,202,1,12,32,NULL,NULL,NULL,NULL),(25,202,1,12,33,NULL,NULL,NULL,NULL),(25,202,1,12,34,NULL,NULL,NULL,NULL),(25,202,1,12,35,NULL,NULL,NULL,NULL),(25,202,1,12,36,NULL,NULL,NULL,NULL),(25,202,1,12,37,NULL,NULL,NULL,NULL),(25,202,1,12,38,NULL,NULL,NULL,NULL),(25,202,1,12,39,NULL,NULL,NULL,NULL),(25,202,1,12,40,NULL,NULL,NULL,NULL),(25,202,1,13,1,NULL,NULL,NULL,NULL),(25,202,1,13,2,NULL,NULL,NULL,NULL),(25,202,1,13,3,NULL,1,NULL,NULL),(25,202,1,13,4,1,NULL,NULL,NULL),(25,202,1,13,5,NULL,1,NULL,NULL),(25,202,1,13,6,NULL,NULL,NULL,NULL),(25,202,1,13,7,NULL,1,NULL,NULL),(25,202,1,13,8,NULL,NULL,NULL,NULL),(25,202,1,13,9,1,NULL,NULL,NULL),(25,202,1,13,10,NULL,1,NULL,NULL),(25,202,1,13,11,NULL,NULL,NULL,NULL),(25,202,1,13,12,1,NULL,NULL,NULL),(25,202,1,13,13,1,NULL,NULL,NULL),(25,202,1,13,14,NULL,1,NULL,NULL),(25,202,1,13,15,1,NULL,NULL,NULL),(25,202,1,13,16,1,NULL,NULL,NULL),(25,202,1,13,17,1,NULL,NULL,NULL),(25,202,1,13,18,1,NULL,NULL,NULL),(25,202,1,13,19,NULL,NULL,NULL,NULL),(25,202,1,13,20,NULL,NULL,NULL,NULL),(25,202,1,13,21,NULL,1,NULL,NULL),(25,202,1,13,22,NULL,1,NULL,NULL),(25,202,1,13,23,NULL,NULL,NULL,NULL),(25,202,1,13,24,NULL,NULL,NULL,NULL),(25,202,1,13,25,NULL,NULL,NULL,NULL),(25,202,1,13,26,NULL,NULL,NULL,NULL),(25,202,1,13,27,NULL,NULL,NULL,NULL),(25,202,1,13,28,NULL,NULL,NULL,NULL),(25,202,1,13,29,NULL,NULL,NULL,NULL),(25,202,1,13,30,NULL,NULL,NULL,NULL),(25,202,1,13,31,NULL,NULL,NULL,NULL),(25,202,1,13,32,NULL,NULL,NULL,NULL),(25,202,1,13,33,NULL,NULL,NULL,NULL),(25,202,1,13,34,NULL,NULL,NULL,NULL),(25,202,1,13,35,NULL,NULL,NULL,NULL),(25,202,1,13,36,NULL,NULL,NULL,NULL),(25,202,1,13,37,1,NULL,NULL,NULL),(25,202,1,13,38,NULL,1,NULL,NULL),(25,202,1,13,39,NULL,1,NULL,NULL),(25,202,1,13,40,NULL,NULL,NULL,NULL),(25,202,1,14,1,35,59,10,17),(25,202,1,14,2,24,30,12,16),(25,202,1,14,3,26,15,11,1),(25,202,1,14,4,66,37,29,7),(25,202,1,14,5,5,49,6,16),(25,202,1,14,6,14,48,7,13),(25,202,1,14,7,30,77,12,23),(25,202,1,14,8,27,20,15,8),(25,202,1,14,9,29,37,14,17),(25,202,1,14,10,7,17,7,7),(25,202,1,14,11,13,25,7,5),(25,202,1,14,12,15,12,9,8),(25,202,1,14,13,27,29,17,7),(25,202,1,14,14,48,18,20,6),(25,202,1,14,15,48,29,26,11),(25,202,1,14,16,25,20,5,8),(25,202,1,14,17,42,18,24,6),(25,202,1,14,18,70,12,31,2),(25,202,1,14,19,58,50,24,12),(25,202,1,14,20,46,7,27,1),(25,202,1,14,21,42,35,17,10),(25,202,1,14,22,20,47,15,21),(25,202,1,14,23,16,27,8,15),(25,202,1,14,24,9,39,6,21),(25,202,1,14,25,17,36,10,12),(25,202,1,14,26,33,NULL,17,NULL),(25,202,1,14,27,18,NULL,13,NULL),(25,202,1,14,28,22,72,7,24),(25,202,1,14,29,13,24,7,7),(25,202,1,14,30,15,30,7,12),(25,202,1,14,31,7,27,4,11),(25,202,1,14,32,20,18,8,12),(25,202,1,14,33,19,23,16,10),(25,202,1,14,34,14,17,7,9),(25,202,1,14,35,22,10,14,4),(25,202,1,14,36,40,46,24,10),(25,202,1,14,37,31,13,17,5),(25,202,1,14,38,10,78,4,27),(25,202,1,14,39,16,44,7,13),(25,202,1,14,40,7,19,5,14),(25,202,1,15,1,29,51,18,14),(25,202,1,15,2,20,38,11,13),(25,202,1,15,3,26,22,11,7),(25,202,1,15,4,66,28,25,10),(25,202,1,15,5,10,48,7,23),(25,202,1,15,6,23,39,7,14),(25,202,1,15,7,24,79,10,26),(25,202,1,15,8,25,32,15,11),(25,202,1,15,9,21,35,10,10),(25,202,1,15,10,6,15,4,5),(25,202,1,15,11,16,19,5,7),(25,202,1,15,12,23,15,10,11),(25,202,1,15,13,25,24,16,9),(25,202,1,15,14,38,19,17,3),(25,202,1,15,15,56,22,26,7),(25,202,1,15,16,27,31,15,8),(25,202,1,15,17,41,16,20,5),(25,202,1,15,18,74,11,32,3),(25,202,1,15,19,59,43,24,16),(25,202,1,15,20,50,8,21,1),(25,202,1,15,21,32,37,18,5),(25,202,1,15,22,29,35,20,11),(25,202,1,15,23,12,40,10,17),(25,202,1,15,24,15,38,11,18),(25,202,1,15,25,17,50,16,13),(25,202,1,15,26,30,NULL,13,NULL),(25,202,1,15,27,15,NULL,15,NULL),(25,202,1,15,28,18,73,6,27),(25,202,1,15,29,10,26,4,9),(25,202,1,15,30,12,28,10,14),(25,202,1,15,31,7,19,4,11),(25,202,1,15,32,14,22,13,12),(25,202,1,15,33,12,29,10,10),(25,202,1,15,34,19,26,11,7),(25,202,1,15,35,20,13,14,5),(25,202,1,15,36,39,36,24,9),(25,202,1,15,37,33,22,19,6),(25,202,1,15,38,8,71,5,25),(25,202,1,15,39,12,38,7,18),(25,202,1,15,40,5,27,7,15),(25,202,1,16,1,20,25,2,4),(25,202,1,16,2,3,17,NULL,2),(25,202,1,16,3,9,12,1,1),(25,202,1,16,4,21,25,1,4),(25,202,1,16,5,4,7,NULL,3),(25,202,1,16,6,3,21,NULL,3),(25,202,1,16,7,10,40,3,2),(25,202,1,16,8,16,9,1,2),(25,202,1,16,9,11,20,2,2),(25,202,1,16,10,NULL,5,NULL,NULL),(25,202,1,16,11,5,8,NULL,1),(25,202,1,16,12,6,10,2,2),(25,202,1,16,13,18,14,3,1),(25,202,1,16,14,15,19,2,3),(25,202,1,16,15,26,NULL,2,NULL),(25,202,1,16,16,3,25,NULL,3),(25,202,1,16,17,NULL,25,NULL,NULL),(25,202,1,16,18,16,38,NULL,4),(25,202,1,16,19,1,24,NULL,2),(25,202,1,16,20,35,NULL,4,NULL),(25,202,1,16,21,11,21,1,2),(25,202,1,16,22,6,23,NULL,2),(25,202,1,16,23,3,16,NULL,3),(25,202,1,16,24,8,8,2,1),(25,202,1,16,25,2,9,2,1),(25,202,1,16,26,9,NULL,2,NULL),(25,202,1,16,27,3,NULL,1,NULL),(25,202,1,16,28,11,40,NULL,5),(25,202,1,16,29,3,14,NULL,1),(25,202,1,16,30,3,16,NULL,1),(25,202,1,16,31,3,4,NULL,1),(25,202,1,16,32,2,6,2,1),(25,202,1,16,33,5,10,1,NULL),(25,202,1,16,34,7,10,1,2),(25,202,1,16,35,6,10,NULL,2),(25,202,1,16,36,12,20,1,2),(25,202,1,16,37,14,11,2,3),(25,202,1,16,38,1,32,NULL,4),(25,202,1,16,39,5,27,1,3),(25,202,1,16,40,NULL,9,NULL,4),(25,202,1,17,1,19,19,NULL,8),(25,202,1,17,2,7,18,1,1),(25,202,1,17,3,8,11,2,3),(25,202,1,17,4,26,15,4,6),(25,202,1,17,5,5,20,2,3),(25,202,1,17,6,4,15,1,2),(25,202,1,17,7,8,32,NULL,8),(25,202,1,17,8,13,9,3,5),(25,202,1,17,9,6,17,NULL,4),(25,202,1,17,10,1,3,1,1),(25,202,1,17,11,2,8,NULL,3),(25,202,1,17,12,9,12,2,4),(25,202,1,17,13,19,11,5,2),(25,202,1,17,14,9,12,4,2),(25,202,1,17,15,25,NULL,5,NULL),(25,202,1,17,16,12,24,4,7),(25,202,1,17,17,3,18,NULL,5),(25,202,1,17,18,8,34,1,7),(25,202,1,17,19,2,28,NULL,1),(25,202,1,17,20,42,NULL,8,NULL),(25,202,1,17,21,15,20,1,6),(25,202,1,17,22,7,23,NULL,6),(25,202,1,17,23,2,17,1,1),(25,202,1,17,24,4,13,NULL,4),(25,202,1,17,25,2,5,1,2),(25,202,1,17,26,9,NULL,2,NULL),(25,202,1,17,27,3,NULL,NULL,NULL),(25,202,1,17,28,14,34,1,7),(25,202,1,17,29,3,8,2,2),(25,202,1,17,30,4,19,1,4),(25,202,1,17,31,NULL,4,3,1),(25,202,1,17,32,3,7,2,2),(25,202,1,17,33,5,6,5,NULL),(25,202,1,17,34,4,12,3,2),(25,202,1,17,35,6,10,NULL,1),(25,202,1,17,36,7,19,5,2),(25,202,1,17,37,8,9,4,1),(25,202,1,17,38,2,32,NULL,6),(25,202,1,17,39,2,18,NULL,3),(25,202,1,17,40,NULL,5,NULL,4),(25,202,2,21,1,12,17,4,9),(25,202,2,21,2,4,17,2,7),(25,202,2,21,3,16,33,9,6),(25,202,2,21,4,9,23,2,7),(25,202,2,21,5,33,10,13,5),(25,202,2,21,6,8,18,4,12),(25,202,2,21,7,3,19,3,7),(25,202,2,21,8,17,18,6,3),(25,202,2,21,9,44,26,17,5),(25,202,2,21,10,25,16,11,5),(25,202,2,21,11,9,57,5,12),(25,202,2,21,12,7,25,2,11),(25,202,2,21,13,43,9,15,1),(25,202,2,21,14,14,28,10,7),(25,202,2,21,15,24,26,7,7),(25,202,2,21,16,12,42,7,9),(25,202,2,21,17,9,25,4,4),(25,202,2,21,18,21,22,7,6),(25,202,2,21,19,7,24,1,8),(25,202,2,21,20,17,18,7,8),(25,202,2,21,21,14,13,8,3),(25,202,2,21,22,1,7,2,6),(25,202,2,21,23,5,12,5,1),(25,202,2,21,24,2,10,1,2),(25,202,2,21,25,7,NULL,4,NULL),(25,202,2,21,26,4,7,1,NULL),(25,202,2,21,27,8,15,5,3),(25,202,2,21,28,7,11,2,2),(25,202,2,21,29,7,23,3,11),(25,202,2,21,30,5,18,2,3),(25,202,2,21,31,29,15,11,6),(25,202,2,21,32,6,21,3,11),(25,202,2,21,33,30,15,17,2),(25,202,2,21,34,6,17,4,7),(25,202,2,21,35,9,23,3,8),(25,202,2,21,36,9,11,4,3),(25,202,2,21,37,8,10,8,5),(25,202,2,21,38,35,21,13,2),(25,202,2,21,39,63,NULL,20,NULL),(25,202,2,21,40,4,16,2,4),(25,202,2,22,1,10,17,13,7),(25,202,2,22,2,4,21,1,12),(25,202,2,22,3,17,22,8,7),(25,202,2,22,4,14,24,6,11),(25,202,2,22,5,34,23,11,9),(25,202,2,22,6,11,12,11,8),(25,202,2,22,7,4,15,3,4),(25,202,2,22,8,21,25,8,11),(25,202,2,22,9,43,20,24,4),(25,202,2,22,10,18,19,12,8),(25,202,2,22,11,8,54,NULL,19),(25,202,2,22,12,8,31,4,16),(25,202,2,22,13,50,15,25,1),(25,202,2,22,14,15,33,10,13),(25,202,2,22,15,27,29,12,5),(25,202,2,22,16,12,30,4,15),(25,202,2,22,17,12,37,6,16),(25,202,2,22,18,10,13,5,4),(25,202,2,22,19,7,23,5,8),(25,202,2,22,20,12,16,11,5),(25,202,2,22,21,15,6,10,3),(25,202,2,22,22,4,7,5,3),(25,202,2,22,23,12,14,8,6),(25,202,2,22,24,3,7,1,5),(25,202,2,22,25,7,NULL,5,NULL),(25,202,2,22,26,1,17,NULL,5),(25,202,2,22,27,2,15,3,5),(25,202,2,22,28,3,4,1,3),(25,202,2,22,29,12,12,10,9),(25,202,2,22,30,10,13,3,4),(25,202,2,22,31,20,16,21,3),(25,202,2,22,32,5,24,1,14),(25,202,2,22,33,30,14,22,4),(25,202,2,22,34,12,9,9,5),(25,202,2,22,35,11,10,10,4),(25,202,2,22,36,17,9,5,3),(25,202,2,22,37,14,14,15,5),(25,202,2,22,38,32,11,17,2),(25,202,2,22,39,63,NULL,29,NULL),(25,202,2,22,40,11,11,9,7),(25,202,2,23,1,5,19,2,8),(25,202,2,23,2,8,17,3,5),(25,202,2,23,3,17,21,7,3),(25,202,2,23,4,13,21,8,4),(25,202,2,23,5,23,20,9,6),(25,202,2,23,6,13,15,6,5),(25,202,2,23,7,8,12,2,3),(25,202,2,23,8,31,17,9,4),(25,202,2,23,9,46,15,15,2),(25,202,2,23,10,14,19,7,5),(25,202,2,23,11,8,51,4,11),(25,202,2,23,12,7,17,6,7),(25,202,2,23,13,43,13,13,2),(25,202,2,23,14,9,26,3,6),(25,202,2,23,15,21,17,6,5),(25,202,2,23,16,11,31,3,9),(25,202,2,23,17,11,27,5,10),(25,202,2,23,18,9,20,2,6),(25,202,2,23,19,6,17,3,7),(25,202,2,23,20,16,16,6,3),(25,202,2,23,21,14,8,5,1),(25,202,2,23,22,NULL,3,1,3),(25,202,2,23,23,7,10,4,2),(25,202,2,23,24,2,11,NULL,4),(25,202,2,23,25,4,NULL,2,NULL),(25,202,2,23,26,1,10,NULL,2),(25,202,2,23,27,1,13,3,5),(25,202,2,23,28,NULL,8,NULL,2),(25,202,2,23,29,9,13,7,5),(25,202,2,23,30,8,11,NULL,3),(25,202,2,23,31,26,14,10,6),(25,202,2,23,32,2,12,NULL,9),(25,202,2,23,33,24,12,12,3),(25,202,2,23,34,4,11,5,4),(25,202,2,23,35,11,15,4,3),(25,202,2,23,36,3,14,2,1),(25,202,2,23,37,10,20,4,8),(25,202,2,23,38,35,11,14,1),(25,202,2,23,39,49,NULL,19,NULL),(25,202,2,23,40,5,4,3,2),(25,202,2,24,1,10,25,6,8),(25,202,2,24,2,3,21,2,6),(25,202,2,24,3,15,23,7,5),(25,202,2,24,4,15,25,9,5),(25,202,2,24,5,25,21,11,4),(25,202,2,24,6,16,16,8,5),(25,202,2,24,7,7,11,1,2),(25,202,2,24,8,29,21,7,3),(25,202,2,24,9,44,25,14,4),(25,202,2,24,10,14,22,13,3),(25,202,2,24,11,10,66,4,11),(25,202,2,24,12,14,22,6,4),(25,202,2,24,13,51,12,12,2),(25,202,2,24,14,15,31,4,7),(25,202,2,24,15,22,23,6,4),(25,202,2,24,16,14,32,4,4),(25,202,2,24,17,14,36,5,5),(25,202,2,24,18,7,30,NULL,5),(25,202,2,24,19,6,15,1,1),(25,202,2,24,20,7,22,2,4),(25,202,2,24,21,12,8,10,2),(25,202,2,24,22,3,4,2,2),(25,202,2,24,23,3,9,3,3),(25,202,2,24,24,1,11,1,3),(25,202,2,24,25,3,NULL,2,NULL),(25,202,2,24,26,4,12,NULL,2),(25,202,2,24,27,1,7,2,5),(25,202,2,24,28,2,9,1,4),(25,202,2,24,29,10,22,8,4),(25,202,2,24,30,6,9,5,2),(25,202,2,24,31,21,26,11,4),(25,202,2,24,32,1,21,2,10),(25,202,2,24,33,33,18,14,1),(25,202,2,24,34,7,10,6,3),(25,202,2,24,35,13,21,6,3),(25,202,2,24,36,15,14,3,2),(25,202,2,24,37,11,8,8,2),(25,202,2,24,38,36,16,11,1),(25,202,2,24,39,60,NULL,17,NULL),(25,202,2,24,40,6,8,2,2),(25,203,1,11,1,2,3,NULL,1),(25,203,1,11,2,2,1,1,NULL),(25,203,1,11,3,NULL,1,NULL,1),(25,203,1,11,4,3,2,NULL,1),(25,203,1,11,5,NULL,3,NULL,1),(25,203,1,11,6,1,4,NULL,NULL),(25,203,1,11,7,2,4,NULL,NULL),(25,203,1,11,8,2,2,NULL,1),(25,203,1,11,9,NULL,4,NULL,1),(25,203,1,11,10,NULL,3,NULL,1),(25,203,1,11,11,NULL,1,NULL,NULL),(25,203,1,11,12,NULL,NULL,NULL,NULL),(25,203,1,11,13,3,2,NULL,1),(25,203,1,11,14,7,NULL,1,NULL),(25,203,1,11,15,2,1,NULL,1),(25,203,1,11,16,3,2,1,NULL),(25,203,1,11,17,NULL,5,NULL,1),(25,203,1,11,18,NULL,7,NULL,1),(25,203,1,11,19,5,1,1,NULL),(25,203,1,11,20,2,3,NULL,1),(25,203,1,11,21,1,2,NULL,1),(25,203,1,11,22,1,3,NULL,NULL),(25,203,1,11,23,1,3,NULL,NULL),(25,203,1,11,24,NULL,1,NULL,NULL),(25,203,1,11,25,NULL,4,NULL,NULL),(25,203,1,11,26,4,NULL,NULL,NULL),(25,203,1,11,27,NULL,NULL,NULL,NULL),(25,203,1,11,28,2,5,NULL,1),(25,203,1,11,29,1,NULL,NULL,NULL),(25,203,1,11,30,1,2,NULL,NULL),(25,203,1,11,31,NULL,3,NULL,1),(25,203,1,11,32,1,1,1,NULL),(25,203,1,11,33,NULL,2,NULL,NULL),(25,203,1,11,34,NULL,1,NULL,NULL),(25,203,1,11,35,1,1,NULL,NULL),(25,203,1,11,36,4,2,1,NULL),(25,203,1,11,37,3,NULL,1,NULL),(25,203,1,11,38,1,5,1,NULL),(25,203,1,11,39,1,3,1,NULL),(25,203,1,11,40,NULL,NULL,NULL,NULL),(25,203,1,12,1,1,NULL,1,NULL),(25,203,1,12,2,NULL,NULL,NULL,NULL),(25,203,1,12,3,1,NULL,1,NULL),(25,203,1,12,4,1,NULL,1,NULL),(25,203,1,12,5,NULL,1,NULL,1),(25,203,1,12,6,NULL,1,NULL,1),(25,203,1,12,7,1,NULL,1,NULL),(25,203,1,12,8,1,NULL,1,NULL),(25,203,1,12,9,NULL,NULL,NULL,NULL),(25,203,1,12,10,NULL,NULL,NULL,NULL),(25,203,1,12,11,1,NULL,1,NULL),(25,203,1,12,12,1,NULL,1,NULL),(25,203,1,12,13,NULL,NULL,NULL,NULL),(25,203,1,12,14,NULL,1,NULL,1),(25,203,1,12,15,NULL,1,NULL,1),(25,203,1,12,16,1,NULL,1,NULL),(25,203,1,12,17,1,NULL,1,NULL),(25,203,1,12,18,NULL,NULL,NULL,NULL),(25,203,1,12,19,1,NULL,1,NULL),(25,203,1,12,20,NULL,1,NULL,1),(25,203,1,12,21,NULL,NULL,NULL,NULL),(25,203,1,12,22,1,NULL,1,NULL),(25,203,1,12,23,NULL,NULL,NULL,NULL),(25,203,1,12,24,NULL,1,NULL,1),(25,203,1,12,25,1,NULL,1,NULL),(25,203,1,12,26,NULL,NULL,NULL,NULL),(25,203,1,12,27,NULL,NULL,NULL,NULL),(25,203,1,12,28,1,NULL,1,NULL),(25,203,1,12,29,NULL,NULL,NULL,NULL),(25,203,1,12,30,NULL,NULL,NULL,NULL),(25,203,1,12,31,1,NULL,1,NULL),(25,203,1,12,32,1,NULL,1,NULL),(25,203,1,12,33,1,NULL,1,NULL),(25,203,1,12,34,1,NULL,1,NULL),(25,203,1,12,35,NULL,NULL,NULL,NULL),(25,203,1,12,36,1,NULL,1,NULL),(25,203,1,12,37,1,NULL,1,NULL),(25,203,1,12,38,NULL,1,NULL,1),(25,203,1,12,39,NULL,NULL,NULL,NULL),(25,203,1,12,40,1,NULL,1,NULL),(25,203,1,13,1,NULL,1,NULL,1),(25,203,1,13,2,NULL,1,NULL,NULL),(25,203,1,13,3,NULL,1,NULL,NULL),(25,203,1,13,4,1,1,NULL,1),(25,203,1,13,5,1,1,NULL,1),(25,203,1,13,6,NULL,3,NULL,1),(25,203,1,13,7,1,2,NULL,1),(25,203,1,13,8,1,1,NULL,1),(25,203,1,13,9,1,NULL,NULL,NULL),(25,203,1,13,10,1,NULL,NULL,NULL),(25,203,1,13,11,NULL,NULL,NULL,NULL),(25,203,1,13,12,1,NULL,1,NULL),(25,203,1,13,13,3,NULL,1,NULL),(25,203,1,13,14,2,NULL,1,NULL),(25,203,1,13,15,1,1,1,NULL),(25,203,1,13,16,1,2,NULL,1),(25,203,1,13,17,2,1,NULL,1),(25,203,1,13,18,3,NULL,1,NULL),(25,203,1,13,19,1,1,NULL,1),(25,203,1,13,20,1,1,NULL,1),(25,203,1,13,21,NULL,1,NULL,NULL),(25,203,1,13,22,NULL,1,NULL,1),(25,203,1,13,23,NULL,1,NULL,1),(25,203,1,13,24,NULL,NULL,NULL,NULL),(25,203,1,13,25,NULL,NULL,NULL,NULL),(25,203,1,13,26,1,NULL,1,NULL),(25,203,1,13,27,NULL,NULL,NULL,NULL),(25,203,1,13,28,NULL,1,NULL,NULL),(25,203,1,13,29,NULL,1,NULL,1),(25,203,1,13,30,1,1,NULL,NULL),(25,203,1,13,31,NULL,2,NULL,1),(25,203,1,13,32,1,1,NULL,1),(25,203,1,13,33,NULL,1,NULL,1),(25,203,1,13,34,1,1,NULL,1),(25,203,1,13,35,1,NULL,NULL,NULL),(25,203,1,13,36,NULL,1,NULL,1),(25,203,1,13,37,2,NULL,1,NULL),(25,203,1,13,38,NULL,3,NULL,1),(25,203,1,13,39,NULL,1,NULL,NULL),(25,203,1,13,40,NULL,NULL,NULL,NULL),(25,203,1,14,1,115,162,14,21),(25,203,1,14,2,72,94,13,15),(25,203,1,14,3,99,47,15,3),(25,203,1,14,4,212,89,34,5),(25,203,1,14,5,43,124,9,18),(25,203,1,14,6,59,93,7,16),(25,203,1,14,7,94,213,16,25),(25,203,1,14,8,111,76,19,11),(25,203,1,14,9,81,96,12,11),(25,203,1,14,10,27,34,6,6),(25,203,1,14,11,48,60,8,9),(25,203,1,14,12,65,49,9,9),(25,203,1,14,13,112,86,18,9),(25,203,1,14,14,128,69,22,4),(25,203,1,14,15,181,78,33,7),(25,203,1,14,16,87,71,14,13),(25,203,1,14,17,135,74,26,7),(25,203,1,14,18,232,30,35,1),(25,203,1,14,19,173,130,26,14),(25,203,1,14,20,193,19,29,3),(25,203,1,14,21,129,91,15,10),(25,203,1,14,22,98,156,18,23),(25,203,1,14,23,48,127,9,21),(25,203,1,14,24,53,109,16,17),(25,203,1,14,25,65,135,20,17),(25,203,1,14,26,117,NULL,18,NULL),(25,203,1,14,27,67,NULL,19,NULL),(25,203,1,14,28,54,211,3,36),(25,203,1,14,29,44,53,13,11),(25,203,1,14,30,43,88,8,21),(25,203,1,14,31,24,63,9,12),(25,203,1,14,32,84,84,17,11),(25,203,1,14,33,64,88,16,11),(25,203,1,14,34,66,57,12,6),(25,203,1,14,35,94,28,19,4),(25,203,1,14,36,166,100,29,9),(25,203,1,14,37,108,56,20,9),(25,203,1,14,38,42,221,6,27),(25,203,1,14,39,62,137,11,16),(25,203,1,14,40,48,78,16,12),(25,203,1,15,1,128,144,18,18),(25,203,1,15,2,51,98,22,11),(25,203,1,15,3,80,44,15,3),(25,203,1,15,4,215,67,39,4),(25,203,1,15,5,46,115,12,21),(25,203,1,15,6,54,120,12,23),(25,203,1,15,7,96,175,23,17),(25,203,1,15,8,117,58,25,12),(25,203,1,15,9,59,100,12,15),(25,203,1,15,10,28,39,12,7),(25,203,1,15,11,37,62,11,8),(25,203,1,15,12,58,49,16,9),(25,203,1,15,13,102,60,19,8),(25,203,1,15,14,133,54,30,2),(25,203,1,15,15,155,77,34,4),(25,203,1,15,16,79,61,17,10),(25,203,1,15,17,118,60,29,9),(25,203,1,15,18,214,22,38,5),(25,203,1,15,19,158,120,37,8),(25,203,1,15,20,149,23,32,4),(25,203,1,15,21,126,88,28,1),(25,203,1,15,22,89,127,22,16),(25,203,1,15,23,50,123,12,20),(25,203,1,15,24,65,101,22,18),(25,203,1,15,25,78,122,24,10),(25,203,1,15,26,95,NULL,14,NULL),(25,203,1,15,27,75,NULL,25,NULL),(25,203,1,15,28,36,199,8,33),(25,203,1,15,29,39,60,13,12),(25,203,1,15,30,41,99,13,18),(25,203,1,15,31,26,69,11,10),(25,203,1,15,32,82,80,17,15),(25,203,1,15,33,71,95,23,8),(25,203,1,15,34,74,43,22,5),(25,203,1,15,35,57,25,18,3),(25,203,1,15,36,144,117,38,7),(25,203,1,15,37,120,46,26,3),(25,203,1,15,38,40,206,6,30),(25,203,1,15,39,68,111,18,8),(25,203,1,15,40,50,91,21,19),(25,203,1,16,1,33,50,2,7),(25,203,1,16,2,10,37,1,3),(25,203,1,16,3,23,17,3,2),(25,203,1,16,4,52,34,5,4),(25,203,1,16,5,7,29,NULL,3),(25,203,1,16,6,12,42,1,3),(25,203,1,16,7,19,71,NULL,5),(25,203,1,16,8,28,21,1,8),(25,203,1,16,9,14,33,NULL,3),(25,203,1,16,10,2,8,NULL,NULL),(25,203,1,16,11,7,22,1,2),(25,203,1,16,12,22,10,2,4),(25,203,1,16,13,42,24,7,2),(25,203,1,16,14,25,31,3,2),(25,203,1,16,15,58,NULL,9,NULL),(25,203,1,16,16,13,44,1,7),(25,203,1,16,17,1,59,NULL,2),(25,203,1,16,18,22,91,2,7),(25,203,1,16,19,2,59,NULL,3),(25,203,1,16,20,64,NULL,7,NULL),(25,203,1,16,21,26,40,2,4),(25,203,1,16,22,18,38,NULL,6),(25,203,1,16,23,5,38,NULL,5),(25,203,1,16,24,11,28,3,4),(25,203,1,16,25,10,25,NULL,1),(25,203,1,16,26,19,NULL,2,NULL),(25,203,1,16,27,12,NULL,1,NULL),(25,203,1,16,28,20,67,1,7),(25,203,1,16,29,6,20,NULL,5),(25,203,1,16,30,6,24,NULL,2),(25,203,1,16,31,7,15,NULL,1),(25,203,1,16,32,18,17,1,2),(25,203,1,16,33,14,17,2,3),(25,203,1,16,34,23,20,1,4),(25,203,1,16,35,11,11,1,4),(25,203,1,16,36,27,46,2,4),(25,203,1,16,37,26,14,4,2),(25,203,1,16,38,9,61,NULL,7),(25,203,1,16,39,15,54,2,8),(25,203,1,16,40,1,13,NULL,3),(25,203,1,17,1,23,48,NULL,4),(25,203,1,17,2,13,30,1,1),(25,203,1,17,3,24,11,2,NULL),(25,203,1,17,4,49,31,2,3),(25,203,1,17,5,6,33,1,NULL),(25,203,1,17,6,11,30,NULL,1),(25,203,1,17,7,15,58,NULL,2),(25,203,1,17,8,22,18,1,NULL),(25,203,1,17,9,7,37,NULL,2),(25,203,1,17,10,6,13,1,1),(25,203,1,17,11,9,19,NULL,1),(25,203,1,17,12,12,9,1,2),(25,203,1,17,13,34,8,3,NULL),(25,203,1,17,14,33,26,2,2),(25,203,1,17,15,49,NULL,2,NULL),(25,203,1,17,16,25,25,2,1),(25,203,1,17,17,2,44,NULL,2),(25,203,1,17,18,19,66,NULL,3),(25,203,1,17,19,2,37,NULL,NULL),(25,203,1,17,20,70,NULL,4,NULL),(25,203,1,17,21,16,37,NULL,3),(25,203,1,17,22,12,41,NULL,2),(25,203,1,17,23,6,27,NULL,3),(25,203,1,17,24,8,26,NULL,3),(25,203,1,17,25,8,19,1,NULL),(25,203,1,17,26,25,NULL,1,NULL),(25,203,1,17,27,5,NULL,NULL,NULL),(25,203,1,17,28,17,70,NULL,4),(25,203,1,17,29,9,12,NULL,2),(25,203,1,17,30,12,22,NULL,1),(25,203,1,17,31,9,12,1,1),(25,203,1,17,32,12,14,1,1),(25,203,1,17,33,6,22,NULL,1),(25,203,1,17,34,16,16,NULL,2),(25,203,1,17,35,8,6,1,NULL),(25,203,1,17,36,26,33,1,2),(25,203,1,17,37,28,17,2,1),(25,203,1,17,38,12,62,NULL,4),(25,203,1,17,39,15,37,2,2),(25,203,1,17,40,1,21,NULL,1),(25,203,2,21,1,33,58,4,12),(25,203,2,21,2,13,49,4,10),(25,203,2,21,3,62,61,7,14),(25,203,2,21,4,43,61,7,15),(25,203,2,21,5,90,58,17,8),(25,203,2,21,6,39,50,13,10),(25,203,2,21,7,19,42,4,6),(25,203,2,21,8,64,49,11,10),(25,203,2,21,9,148,55,23,8),(25,203,2,21,10,68,53,10,8),(25,203,2,21,11,25,144,1,19),(25,203,2,21,12,27,71,4,11),(25,203,2,21,13,133,20,20,6),(25,203,2,21,14,45,72,10,14),(25,203,2,21,15,82,60,12,16),(25,203,2,21,16,38,93,8,7),(25,203,2,21,17,27,72,5,11),(25,203,2,21,18,44,59,4,13),(25,203,2,21,19,14,60,2,14),(25,203,2,21,20,28,56,7,11),(25,203,2,21,21,58,38,16,8),(25,203,2,21,22,12,23,6,5),(25,203,2,21,23,33,34,11,6),(25,203,2,21,24,13,30,2,8),(25,203,2,21,25,16,NULL,4,NULL),(25,203,2,21,26,5,25,1,5),(25,203,2,21,27,16,37,10,5),(25,203,2,21,28,8,14,1,2),(25,203,2,21,29,38,52,14,10),(25,203,2,21,30,24,31,5,6),(25,203,2,21,31,81,53,15,7),(25,203,2,21,32,15,62,4,15),(25,203,2,21,33,128,27,26,5),(25,203,2,21,34,24,43,11,2),(25,203,2,21,35,34,48,7,9),(25,203,2,21,36,30,30,5,4),(25,203,2,21,37,36,52,14,11),(25,203,2,21,38,120,39,20,3),(25,203,2,21,39,194,NULL,30,NULL),(25,203,2,21,40,22,43,4,13),(25,203,2,22,1,52,72,14,15),(25,203,2,22,2,13,49,2,12),(25,203,2,22,3,58,49,15,11),(25,203,2,22,4,36,72,7,14),(25,203,2,22,5,83,57,16,12),(25,203,2,22,6,48,54,17,13),(25,203,2,22,7,16,42,2,6),(25,203,2,22,8,70,56,14,8),(25,203,2,22,9,133,54,27,7),(25,203,2,22,10,70,42,21,9),(25,203,2,22,11,32,146,4,19),(25,203,2,22,12,35,60,5,11),(25,203,2,22,13,128,19,29,2),(25,203,2,22,14,58,79,16,12),(25,203,2,22,15,71,53,12,12),(25,203,2,22,16,38,85,7,13),(25,203,2,22,17,41,86,8,11),(25,203,2,22,18,40,52,5,12),(25,203,2,22,19,13,63,2,12),(25,203,2,22,20,36,43,8,9),(25,203,2,22,21,54,35,20,2),(25,203,2,22,22,15,21,5,7),(25,203,2,22,23,26,27,9,2),(25,203,2,22,24,13,31,2,15),(25,203,2,22,25,28,NULL,5,NULL),(25,203,2,22,26,4,29,2,2),(25,203,2,22,27,12,30,7,7),(25,203,2,22,28,6,23,2,4),(25,203,2,22,29,37,48,13,11),(25,203,2,22,30,20,42,3,7),(25,203,2,22,31,100,29,18,8),(25,203,2,22,32,10,64,3,16),(25,203,2,22,33,130,28,31,4),(25,203,2,22,34,26,36,10,3),(25,203,2,22,35,45,39,12,14),(25,203,2,22,36,36,16,8,2),(25,203,2,22,37,49,33,17,6),(25,203,2,22,38,115,32,22,5),(25,203,2,22,39,185,NULL,33,NULL),(25,203,2,22,40,14,39,6,8),(25,203,2,23,1,32,51,8,6),(25,203,2,23,2,13,52,1,3),(25,203,2,23,3,61,43,8,4),(25,203,2,23,4,35,46,7,6),(25,203,2,23,5,61,59,7,6),(25,203,2,23,6,54,44,9,3),(25,203,2,23,7,15,27,3,5),(25,203,2,23,8,72,47,10,2),(25,203,2,23,9,124,42,16,1),(25,203,2,23,10,66,46,13,3),(25,203,2,23,11,21,140,1,12),(25,203,2,23,12,32,53,1,5),(25,203,2,23,13,131,22,14,2),(25,203,2,23,14,26,67,3,4),(25,203,2,23,15,56,37,12,2),(25,203,2,23,16,50,94,6,7),(25,203,2,23,17,32,87,6,4),(25,203,2,23,18,44,49,5,4),(25,203,2,23,19,19,47,2,6),(25,203,2,23,20,25,51,2,5),(25,203,2,23,21,45,32,10,2),(25,203,2,23,22,6,30,3,6),(25,203,2,23,23,23,23,3,1),(25,203,2,23,24,12,24,2,4),(25,203,2,23,25,15,NULL,3,NULL),(25,203,2,23,26,5,18,1,2),(25,203,2,23,27,11,39,4,9),(25,203,2,23,28,4,23,1,4),(25,203,2,23,29,22,41,7,4),(25,203,2,23,30,17,40,3,4),(25,203,2,23,31,82,34,11,2),(25,203,2,23,32,9,56,2,9),(25,203,2,23,33,115,24,16,2),(25,203,2,23,34,35,27,9,2),(25,203,2,23,35,34,33,5,3),(25,203,2,23,36,35,20,4,1),(25,203,2,23,37,40,42,12,4),(25,203,2,23,38,107,43,13,2),(25,203,2,23,39,175,NULL,17,NULL),(25,203,2,23,40,20,21,8,4),(25,203,2,24,1,30,53,2,12),(25,203,2,24,2,11,45,4,11),(25,203,2,24,3,57,53,6,7),(25,203,2,24,4,34,76,5,11),(25,203,2,24,5,80,55,11,5),(25,203,2,24,6,35,55,8,8),(25,203,2,24,7,18,38,5,6),(25,203,2,24,8,67,50,12,5),(25,203,2,24,9,129,45,16,7),(25,203,2,24,10,56,42,10,3),(25,203,2,24,11,35,141,4,13),(25,203,2,24,12,27,67,2,13),(25,203,2,24,13,130,16,21,NULL),(25,203,2,24,14,43,73,8,9),(25,203,2,24,15,75,49,11,3),(25,203,2,24,16,41,81,7,6),(25,203,2,24,17,29,87,4,8),(25,203,2,24,18,34,50,3,8),(25,203,2,24,19,8,34,1,6),(25,203,2,24,20,30,41,2,7),(25,203,2,24,21,51,22,10,3),(25,203,2,24,22,13,19,6,7),(25,203,2,24,23,18,25,5,4),(25,203,2,24,24,15,30,2,7),(25,203,2,24,25,20,NULL,6,NULL),(25,203,2,24,26,8,29,2,2),(25,203,2,24,27,13,37,3,4),(25,203,2,24,28,7,24,1,1),(25,203,2,24,29,28,49,7,10),(25,203,2,24,30,21,26,5,3),(25,203,2,24,31,100,34,14,6),(25,203,2,24,32,9,52,1,11),(25,203,2,24,33,113,21,17,3),(25,203,2,24,34,33,33,6,5),(25,203,2,24,35,33,35,8,5),(25,203,2,24,36,24,20,5,3),(25,203,2,24,37,37,39,14,4),(25,203,2,24,38,83,49,10,2),(25,203,2,24,39,188,NULL,21,NULL),(25,203,2,24,40,24,36,5,6),(25,205,1,11,1,NULL,1,NULL,1),(25,205,1,11,2,1,NULL,1,NULL),(25,205,1,11,3,NULL,NULL,NULL,NULL),(25,205,1,11,4,1,NULL,1,NULL),(25,205,1,11,5,1,NULL,1,NULL),(25,205,1,11,6,1,NULL,1,NULL),(25,205,1,11,7,1,NULL,1,NULL),(25,205,1,11,8,1,NULL,1,NULL),(25,205,1,11,9,1,NULL,1,NULL),(25,205,1,11,10,NULL,NULL,NULL,NULL),(25,205,1,11,11,NULL,NULL,NULL,NULL),(25,205,1,11,12,NULL,NULL,NULL,NULL),(25,205,1,11,13,1,NULL,1,NULL),(25,205,1,11,14,NULL,1,NULL,1),(25,205,1,11,15,1,NULL,1,NULL),(25,205,1,11,16,NULL,1,NULL,1),(25,205,1,11,17,NULL,NULL,NULL,NULL),(25,205,1,11,18,NULL,1,NULL,1),(25,205,1,11,19,NULL,1,NULL,1),(25,205,1,11,20,NULL,1,NULL,1),(25,205,1,11,21,NULL,NULL,NULL,NULL),(25,205,1,11,22,NULL,NULL,NULL,NULL),(25,205,1,11,23,NULL,NULL,NULL,NULL),(25,205,1,11,24,NULL,NULL,NULL,NULL),(25,205,1,11,25,NULL,NULL,NULL,NULL),(25,205,1,11,26,NULL,NULL,NULL,NULL),(25,205,1,11,27,NULL,NULL,NULL,NULL),(25,205,1,11,28,NULL,NULL,NULL,NULL),(25,205,1,11,29,1,NULL,1,NULL),(25,205,1,11,30,NULL,NULL,NULL,NULL),(25,205,1,11,31,1,NULL,1,NULL),(25,205,1,11,32,NULL,NULL,NULL,NULL),(25,205,1,11,33,NULL,NULL,NULL,NULL),(25,205,1,11,34,1,NULL,1,NULL),(25,205,1,11,35,NULL,NULL,NULL,NULL),(25,205,1,11,36,1,NULL,1,NULL),(25,205,1,11,37,NULL,NULL,NULL,NULL),(25,205,1,11,38,NULL,NULL,NULL,NULL),(25,205,1,11,39,NULL,1,NULL,1),(25,205,1,11,40,NULL,NULL,NULL,NULL),(25,205,1,12,1,NULL,NULL,NULL,NULL),(25,205,1,12,2,NULL,NULL,NULL,NULL),(25,205,1,12,3,NULL,NULL,NULL,NULL),(25,205,1,12,4,NULL,NULL,NULL,NULL),(25,205,1,12,5,NULL,NULL,NULL,NULL),(25,205,1,12,6,NULL,NULL,NULL,NULL),(25,205,1,12,7,NULL,NULL,NULL,NULL),(25,205,1,12,8,NULL,NULL,NULL,NULL),(25,205,1,12,9,NULL,NULL,NULL,NULL),(25,205,1,12,10,NULL,NULL,NULL,NULL),(25,205,1,12,11,NULL,NULL,NULL,NULL),(25,205,1,12,12,NULL,NULL,NULL,NULL),(25,205,1,12,13,NULL,NULL,NULL,NULL),(25,205,1,12,14,NULL,NULL,NULL,NULL),(25,205,1,12,15,NULL,NULL,NULL,NULL),(25,205,1,12,16,NULL,NULL,NULL,NULL),(25,205,1,12,17,NULL,NULL,NULL,NULL),(25,205,1,12,18,NULL,NULL,NULL,NULL),(25,205,1,12,19,NULL,NULL,NULL,NULL),(25,205,1,12,20,NULL,NULL,NULL,NULL),(25,205,1,12,21,NULL,NULL,NULL,NULL),(25,205,1,12,22,NULL,NULL,NULL,NULL),(25,205,1,12,23,NULL,NULL,NULL,NULL),(25,205,1,12,24,NULL,NULL,NULL,NULL),(25,205,1,12,25,NULL,NULL,NULL,NULL),(25,205,1,12,26,NULL,NULL,NULL,NULL),(25,205,1,12,27,NULL,NULL,NULL,NULL),(25,205,1,12,28,NULL,NULL,NULL,NULL),(25,205,1,12,29,NULL,NULL,NULL,NULL),(25,205,1,12,30,NULL,NULL,NULL,NULL),(25,205,1,12,31,NULL,NULL,NULL,NULL),(25,205,1,12,32,NULL,NULL,NULL,NULL),(25,205,1,12,33,NULL,NULL,NULL,NULL),(25,205,1,12,34,NULL,NULL,NULL,NULL),(25,205,1,12,35,NULL,NULL,NULL,NULL),(25,205,1,12,36,NULL,NULL,NULL,NULL),(25,205,1,12,37,NULL,NULL,NULL,NULL),(25,205,1,12,38,NULL,NULL,NULL,NULL),(25,205,1,12,39,NULL,NULL,NULL,NULL),(25,205,1,12,40,NULL,NULL,NULL,NULL),(25,205,1,13,1,NULL,NULL,NULL,NULL),(25,205,1,13,2,NULL,NULL,NULL,NULL),(25,205,1,13,3,NULL,NULL,NULL,NULL),(25,205,1,13,4,NULL,NULL,NULL,NULL),(25,205,1,13,5,NULL,NULL,NULL,NULL),(25,205,1,13,6,NULL,NULL,NULL,NULL),(25,205,1,13,7,NULL,NULL,NULL,NULL),(25,205,1,13,8,NULL,NULL,NULL,NULL),(25,205,1,13,9,NULL,NULL,NULL,NULL),(25,205,1,13,10,NULL,NULL,NULL,NULL),(25,205,1,13,11,NULL,NULL,NULL,NULL),(25,205,1,13,12,NULL,NULL,NULL,NULL),(25,205,1,13,13,NULL,NULL,NULL,NULL),(25,205,1,13,14,NULL,NULL,NULL,NULL),(25,205,1,13,15,NULL,NULL,NULL,NULL),(25,205,1,13,16,NULL,NULL,NULL,NULL),(25,205,1,13,17,NULL,NULL,NULL,NULL),(25,205,1,13,18,NULL,NULL,NULL,NULL),(25,205,1,13,19,NULL,NULL,NULL,NULL),(25,205,1,13,20,NULL,NULL,NULL,NULL),(25,205,1,13,21,NULL,NULL,NULL,NULL),(25,205,1,13,22,NULL,NULL,NULL,NULL),(25,205,1,13,23,NULL,NULL,NULL,NULL),(25,205,1,13,24,NULL,NULL,NULL,NULL),(25,205,1,13,25,NULL,NULL,NULL,NULL),(25,205,1,13,26,NULL,NULL,NULL,NULL),(25,205,1,13,27,NULL,NULL,NULL,NULL),(25,205,1,13,28,NULL,NULL,NULL,NULL),(25,205,1,13,29,NULL,NULL,NULL,NULL),(25,205,1,13,30,NULL,NULL,NULL,NULL),(25,205,1,13,31,NULL,NULL,NULL,NULL),(25,205,1,13,32,NULL,NULL,NULL,NULL),(25,205,1,13,33,NULL,NULL,NULL,NULL),(25,205,1,13,34,NULL,NULL,NULL,NULL),(25,205,1,13,35,NULL,NULL,NULL,NULL),(25,205,1,13,36,NULL,NULL,NULL,NULL),(25,205,1,13,37,NULL,NULL,NULL,NULL),(25,205,1,13,38,NULL,NULL,NULL,NULL),(25,205,1,13,39,NULL,NULL,NULL,NULL),(25,205,1,13,40,NULL,NULL,NULL,NULL),(25,205,1,14,1,NULL,1,NULL,NULL),(25,205,1,14,2,NULL,1,NULL,NULL),(25,205,1,14,3,NULL,1,NULL,1),(25,205,1,14,4,2,2,2,1),(25,205,1,14,5,1,1,1,NULL),(25,205,1,14,6,NULL,2,NULL,2),(25,205,1,14,7,1,3,1,2),(25,205,1,14,8,NULL,1,NULL,1),(25,205,1,14,9,1,1,1,1),(25,205,1,14,10,NULL,1,NULL,1),(25,205,1,14,11,NULL,NULL,NULL,NULL),(25,205,1,14,12,NULL,1,NULL,NULL),(25,205,1,14,13,1,NULL,1,NULL),(25,205,1,14,14,2,NULL,2,NULL),(25,205,1,14,15,NULL,2,NULL,1),(25,205,1,14,16,NULL,NULL,NULL,NULL),(25,205,1,14,17,NULL,NULL,NULL,NULL),(25,205,1,14,18,1,NULL,1,NULL),(25,205,1,14,19,2,1,1,1),(25,205,1,14,20,NULL,2,NULL,2),(25,205,1,14,21,1,2,1,1),(25,205,1,14,22,NULL,2,NULL,1),(25,205,1,14,23,NULL,3,NULL,3),(25,205,1,14,24,NULL,1,NULL,1),(25,205,1,14,25,NULL,1,NULL,1),(25,205,1,14,26,1,NULL,NULL,NULL),(25,205,1,14,27,NULL,NULL,NULL,NULL),(25,205,1,14,28,NULL,1,NULL,1),(25,205,1,14,29,NULL,1,NULL,NULL),(25,205,1,14,30,NULL,1,NULL,1),(25,205,1,14,31,NULL,NULL,NULL,NULL),(25,205,1,14,32,NULL,NULL,NULL,NULL),(25,205,1,14,33,NULL,1,NULL,1),(25,205,1,14,34,1,1,1,NULL),(25,205,1,14,35,NULL,NULL,NULL,NULL),(25,205,1,14,36,NULL,2,NULL,2),(25,205,1,14,37,NULL,1,NULL,NULL),(25,205,1,14,38,NULL,3,NULL,3),(25,205,1,14,39,NULL,2,NULL,2),(25,205,1,14,40,NULL,1,NULL,1),(25,205,1,15,1,4,2,4,NULL),(25,205,1,15,2,3,2,1,1),(25,205,1,15,3,NULL,1,NULL,1),(25,205,1,15,4,4,3,3,2),(25,205,1,15,5,1,3,NULL,1),(25,205,1,15,6,1,2,1,1),(25,205,1,15,7,NULL,6,NULL,4),(25,205,1,15,8,2,1,2,NULL),(25,205,1,15,9,2,1,2,NULL),(25,205,1,15,10,NULL,1,NULL,NULL),(25,205,1,15,11,1,1,NULL,1),(25,205,1,15,12,1,1,1,NULL),(25,205,1,15,13,2,NULL,1,NULL),(25,205,1,15,14,2,1,NULL,1),(25,205,1,15,15,5,1,3,1),(25,205,1,15,16,NULL,1,NULL,1),(25,205,1,15,17,2,2,1,1),(25,205,1,15,18,3,1,1,1),(25,205,1,15,19,3,3,1,2),(25,205,1,15,20,NULL,3,NULL,1),(25,205,1,15,21,1,2,NULL,1),(25,205,1,15,22,1,2,1,1),(25,205,1,15,23,NULL,3,NULL,1),(25,205,1,15,24,NULL,2,NULL,1),(25,205,1,15,25,NULL,2,NULL,1),(25,205,1,15,26,NULL,NULL,NULL,NULL),(25,205,1,15,27,NULL,NULL,NULL,NULL),(25,205,1,15,28,NULL,3,NULL,2),(25,205,1,15,29,NULL,1,NULL,NULL),(25,205,1,15,30,2,1,2,1),(25,205,1,15,31,NULL,1,NULL,1),(25,205,1,15,32,2,NULL,NULL,NULL),(25,205,1,15,33,NULL,NULL,NULL,NULL),(25,205,1,15,34,1,NULL,NULL,NULL),(25,205,1,15,35,1,1,NULL,NULL),(25,205,1,15,36,2,4,1,2),(25,205,1,15,37,1,1,1,NULL),(25,205,1,15,38,3,4,2,2),(25,205,1,15,39,2,2,NULL,1),(25,205,1,15,40,NULL,NULL,NULL,NULL),(25,205,1,16,1,3,3,2,2),(25,205,1,16,2,1,1,1,1),(25,205,1,16,3,3,2,2,1),(25,205,1,16,4,5,3,4,2),(25,205,1,16,5,NULL,2,NULL,NULL),(25,205,1,16,6,1,5,1,4),(25,205,1,16,7,2,2,1,2),(25,205,1,16,8,NULL,2,NULL,2),(25,205,1,16,9,2,NULL,2,NULL),(25,205,1,16,10,NULL,NULL,NULL,NULL),(25,205,1,16,11,1,4,NULL,4),(25,205,1,16,12,1,NULL,1,NULL),(25,205,1,16,13,3,2,3,NULL),(25,205,1,16,14,2,4,2,2),(25,205,1,16,15,5,NULL,3,NULL),(25,205,1,16,16,1,4,1,NULL),(25,205,1,16,17,NULL,3,NULL,1),(25,205,1,16,18,1,9,NULL,7),(25,205,1,16,19,NULL,3,NULL,3),(25,205,1,16,20,5,NULL,3,NULL),(25,205,1,16,21,1,3,NULL,2),(25,205,1,16,22,3,2,2,NULL),(25,205,1,16,23,2,2,2,1),(25,205,1,16,24,1,1,NULL,1),(25,205,1,16,25,NULL,NULL,NULL,NULL),(25,205,1,16,26,NULL,NULL,NULL,NULL),(25,205,1,16,27,NULL,NULL,NULL,NULL),(25,205,1,16,28,1,3,1,1),(25,205,1,16,29,NULL,NULL,NULL,NULL),(25,205,1,16,30,NULL,1,NULL,1),(25,205,1,16,31,NULL,NULL,NULL,NULL),(25,205,1,16,32,1,4,1,3),(25,205,1,16,33,3,3,1,3),(25,205,1,16,34,2,NULL,1,NULL),(25,205,1,16,35,3,2,3,1),(25,205,1,16,36,2,2,2,1),(25,205,1,16,37,1,1,1,1),(25,205,1,16,38,NULL,7,NULL,5),(25,205,1,16,39,1,4,1,3),(25,205,1,16,40,NULL,2,NULL,2),(25,205,1,17,1,4,3,4,3),(25,205,1,17,2,1,2,1,2),(25,205,1,17,3,2,NULL,2,NULL),(25,205,1,17,4,4,4,4,4),(25,205,1,17,5,NULL,4,NULL,4),(25,205,1,17,6,1,2,1,2),(25,205,1,17,7,NULL,2,NULL,2),(25,205,1,17,8,2,2,2,2),(25,205,1,17,9,NULL,3,NULL,3),(25,205,1,17,10,NULL,1,NULL,1),(25,205,1,17,11,1,3,1,3),(25,205,1,17,12,2,1,2,1),(25,205,1,17,13,4,NULL,4,NULL),(25,205,1,17,14,2,1,2,1),(25,205,1,17,15,4,NULL,4,NULL),(25,205,1,17,16,2,1,2,1),(25,205,1,17,17,NULL,4,NULL,4),(25,205,1,17,18,1,5,1,5),(25,205,1,17,19,NULL,3,NULL,3),(25,205,1,17,20,3,NULL,3,NULL),(25,205,1,17,21,1,1,1,1),(25,205,1,17,22,NULL,4,NULL,4),(25,205,1,17,23,1,2,1,2),(25,205,1,17,24,NULL,1,NULL,1),(25,205,1,17,25,NULL,1,NULL,1),(25,205,1,17,26,2,NULL,2,NULL),(25,205,1,17,27,NULL,NULL,NULL,NULL),(25,205,1,17,28,2,3,2,3),(25,205,1,17,29,NULL,4,NULL,4),(25,205,1,17,30,NULL,NULL,NULL,NULL),(25,205,1,17,31,NULL,1,NULL,1),(25,205,1,17,32,NULL,NULL,NULL,NULL),(25,205,1,17,33,NULL,1,NULL,1),(25,205,1,17,34,1,2,1,2),(25,205,1,17,35,NULL,NULL,NULL,NULL),(25,205,1,17,36,2,1,2,1),(25,205,1,17,37,NULL,1,NULL,1),(25,205,1,17,38,NULL,5,NULL,5),(25,205,1,17,39,NULL,2,NULL,2),(25,205,1,17,40,NULL,NULL,NULL,NULL),(25,205,2,21,1,NULL,1,NULL,1),(25,205,2,21,2,NULL,2,NULL,1),(25,205,2,21,3,NULL,3,NULL,3),(25,205,2,21,4,NULL,3,NULL,3),(25,205,2,21,5,NULL,3,NULL,2),(25,205,2,21,6,NULL,1,NULL,1),(25,205,2,21,7,NULL,NULL,NULL,NULL),(25,205,2,21,8,NULL,2,NULL,1),(25,205,2,21,9,1,3,NULL,1),(25,205,2,21,10,2,1,1,1),(25,205,2,21,11,NULL,5,NULL,2),(25,205,2,21,12,1,2,NULL,2),(25,205,2,21,13,1,3,1,2),(25,205,2,21,14,NULL,3,NULL,2),(25,205,2,21,15,NULL,3,NULL,1),(25,205,2,21,16,NULL,1,NULL,1),(25,205,2,21,17,NULL,3,NULL,1),(25,205,2,21,18,NULL,4,NULL,2),(25,205,2,21,19,NULL,2,NULL,2),(25,205,2,21,20,1,3,1,1),(25,205,2,21,21,NULL,2,NULL,1),(25,205,2,21,22,NULL,NULL,NULL,NULL),(25,205,2,21,23,NULL,1,NULL,1),(25,205,2,21,24,NULL,2,NULL,1),(25,205,2,21,25,NULL,NULL,NULL,NULL),(25,205,2,21,26,NULL,NULL,NULL,NULL),(25,205,2,21,27,NULL,1,NULL,NULL),(25,205,2,21,28,NULL,NULL,NULL,NULL),(25,205,2,21,29,NULL,3,NULL,2),(25,205,2,21,30,NULL,1,NULL,1),(25,205,2,21,31,NULL,1,NULL,1),(25,205,2,21,32,NULL,NULL,NULL,NULL),(25,205,2,21,33,1,3,NULL,1),(25,205,2,21,34,NULL,1,NULL,1),(25,205,2,21,35,2,2,NULL,1),(25,205,2,21,36,NULL,2,NULL,2),(25,205,2,21,37,NULL,1,NULL,1),(25,205,2,21,38,1,NULL,NULL,NULL),(25,205,2,21,39,3,NULL,2,NULL),(25,205,2,21,40,1,1,1,NULL),(25,205,2,22,1,NULL,3,NULL,3),(25,205,2,22,2,NULL,3,NULL,2),(25,205,2,22,3,NULL,4,NULL,4),(25,205,2,22,4,NULL,4,NULL,4),(25,205,2,22,5,NULL,5,NULL,5),(25,205,2,22,6,NULL,2,NULL,2),(25,205,2,22,7,NULL,1,NULL,1),(25,205,2,22,8,NULL,6,NULL,6),(25,205,2,22,9,2,4,2,4),(25,205,2,22,10,1,2,1,2),(25,205,2,22,11,NULL,4,NULL,4),(25,205,2,22,12,NULL,5,NULL,5),(25,205,2,22,13,2,3,2,3),(25,205,2,22,14,NULL,6,NULL,6),(25,205,2,22,15,2,5,2,5),(25,205,2,22,16,2,2,2,2),(25,205,2,22,17,NULL,2,NULL,2),(25,205,2,22,18,2,3,2,3),(25,205,2,22,19,1,2,1,2),(25,205,2,22,20,NULL,5,NULL,4),(25,205,2,22,21,NULL,1,NULL,1),(25,205,2,22,22,NULL,NULL,NULL,NULL),(25,205,2,22,23,NULL,NULL,NULL,NULL),(25,205,2,22,24,1,2,1,2),(25,205,2,22,25,4,NULL,4,NULL),(25,205,2,22,26,NULL,1,NULL,1),(25,205,2,22,27,2,1,2,1),(25,205,2,22,28,NULL,NULL,NULL,NULL),(25,205,2,22,29,NULL,2,NULL,1),(25,205,2,22,30,NULL,1,NULL,NULL),(25,205,2,22,31,NULL,1,NULL,1),(25,205,2,22,32,NULL,2,NULL,2),(25,205,2,22,33,NULL,1,NULL,1),(25,205,2,22,34,NULL,1,NULL,1),(25,205,2,22,35,1,2,1,2),(25,205,2,22,36,1,1,1,1),(25,205,2,22,37,2,1,2,1),(25,205,2,22,38,2,2,2,1),(25,205,2,22,39,2,NULL,2,NULL),(25,205,2,22,40,NULL,1,NULL,NULL),(25,205,2,23,1,NULL,NULL,NULL,NULL),(25,205,2,23,2,NULL,5,NULL,5),(25,205,2,23,3,1,NULL,1,NULL),(25,205,2,23,4,1,2,1,2),(25,205,2,23,5,2,1,2,1),(25,205,2,23,6,2,1,2,1),(25,205,2,23,7,NULL,2,NULL,2),(25,205,2,23,8,1,2,1,2),(25,205,2,23,9,2,3,2,3),(25,205,2,23,10,1,2,1,2),(25,205,2,23,11,NULL,8,NULL,8),(25,205,2,23,12,1,1,1,1),(25,205,2,23,13,2,3,2,3),(25,205,2,23,14,2,1,2,1),(25,205,2,23,15,1,3,1,3),(25,205,2,23,16,NULL,NULL,NULL,NULL),(25,205,2,23,17,NULL,3,NULL,3),(25,205,2,23,18,2,3,2,3),(25,205,2,23,19,1,2,1,2),(25,205,2,23,20,1,4,1,4),(25,205,2,23,21,NULL,1,NULL,1),(25,205,2,23,22,NULL,NULL,NULL,NULL),(25,205,2,23,23,NULL,2,NULL,2),(25,205,2,23,24,1,NULL,1,NULL),(25,205,2,23,25,NULL,NULL,NULL,NULL),(25,205,2,23,26,NULL,NULL,NULL,NULL),(25,205,2,23,27,NULL,1,NULL,1),(25,205,2,23,28,NULL,NULL,NULL,NULL),(25,205,2,23,29,NULL,2,NULL,2),(25,205,2,23,30,1,1,1,1),(25,205,2,23,31,2,1,2,1),(25,205,2,23,32,NULL,2,NULL,2),(25,205,2,23,33,2,1,2,1),(25,205,2,23,34,NULL,1,NULL,1),(25,205,2,23,35,1,2,1,2),(25,205,2,23,36,NULL,1,NULL,1),(25,205,2,23,37,2,NULL,2,NULL),(25,205,2,23,38,1,3,1,3),(25,205,2,23,39,4,NULL,4,NULL),(25,205,2,23,40,NULL,2,NULL,2),(25,205,2,24,1,2,1,1,NULL),(25,205,2,24,2,NULL,2,NULL,2),(25,205,2,24,3,1,2,NULL,2),(25,205,2,24,4,2,NULL,1,NULL),(25,205,2,24,5,1,1,1,NULL),(25,205,2,24,6,NULL,2,NULL,1),(25,205,2,24,7,NULL,1,NULL,1),(25,205,2,24,8,NULL,2,NULL,2),(25,205,2,24,9,1,2,1,1),(25,205,2,24,10,NULL,NULL,NULL,NULL),(25,205,2,24,11,NULL,3,NULL,1),(25,205,2,24,12,NULL,NULL,NULL,NULL),(25,205,2,24,13,3,1,2,1),(25,205,2,24,14,1,NULL,1,NULL),(25,205,2,24,15,NULL,1,NULL,NULL),(25,205,2,24,16,NULL,NULL,NULL,NULL),(25,205,2,24,17,NULL,1,NULL,NULL),(25,205,2,24,18,1,1,1,1),(25,205,2,24,19,NULL,1,NULL,NULL),(25,205,2,24,20,1,2,1,2),(25,205,2,24,21,NULL,NULL,NULL,NULL),(25,205,2,24,22,NULL,NULL,NULL,NULL),(25,205,2,24,23,NULL,NULL,NULL,NULL),(25,205,2,24,24,NULL,1,NULL,NULL),(25,205,2,24,25,1,NULL,NULL,NULL),(25,205,2,24,26,NULL,1,NULL,1),(25,205,2,24,27,NULL,NULL,NULL,NULL),(25,205,2,24,28,NULL,NULL,NULL,NULL),(25,205,2,24,29,NULL,1,NULL,1),(25,205,2,24,30,NULL,1,NULL,NULL),(25,205,2,24,31,2,1,2,NULL),(25,205,2,24,32,NULL,1,NULL,1),(25,205,2,24,33,1,NULL,NULL,NULL),(25,205,2,24,34,NULL,NULL,NULL,NULL),(25,205,2,24,35,1,3,NULL,2),(25,205,2,24,36,3,1,2,NULL),(25,205,2,24,37,NULL,2,NULL,1),(25,205,2,24,38,3,1,1,1),(25,205,2,24,39,2,NULL,NULL,NULL),(25,205,2,24,40,NULL,NULL,NULL,NULL),(25,207,1,11,1,1,NULL,NULL,NULL),(25,207,1,11,2,NULL,1,NULL,NULL),(25,207,1,11,3,1,NULL,NULL,NULL),(25,207,1,11,4,2,1,NULL,NULL),(25,207,1,11,5,NULL,2,NULL,NULL),(25,207,1,11,6,NULL,NULL,NULL,NULL),(25,207,1,11,7,NULL,1,NULL,NULL),(25,207,1,11,8,2,NULL,NULL,NULL),(25,207,1,11,9,NULL,1,NULL,NULL),(25,207,1,11,10,NULL,NULL,NULL,NULL),(25,207,1,11,11,NULL,NULL,NULL,NULL),(25,207,1,11,12,NULL,1,NULL,NULL),(25,207,1,11,13,1,NULL,NULL,NULL),(25,207,1,11,14,3,NULL,NULL,NULL),(25,207,1,11,15,1,1,NULL,NULL),(25,207,1,11,16,3,NULL,NULL,NULL),(25,207,1,11,17,NULL,3,NULL,NULL),(25,207,1,11,18,NULL,2,NULL,NULL),(25,207,1,11,19,1,1,NULL,NULL),(25,207,1,11,20,2,1,NULL,NULL),(25,207,1,11,21,NULL,1,NULL,NULL),(25,207,1,11,22,NULL,2,NULL,NULL),(25,207,1,11,23,NULL,2,NULL,NULL),(25,207,1,11,24,NULL,1,NULL,NULL),(25,207,1,11,25,NULL,1,NULL,NULL),(25,207,1,11,26,NULL,NULL,NULL,NULL),(25,207,1,11,27,NULL,NULL,NULL,NULL),(25,207,1,11,28,NULL,2,NULL,NULL),(25,207,1,11,29,2,NULL,NULL,NULL),(25,207,1,11,30,NULL,NULL,NULL,NULL),(25,207,1,11,31,NULL,1,NULL,NULL),(25,207,1,11,32,NULL,2,NULL,NULL),(25,207,1,11,33,NULL,1,NULL,NULL),(25,207,1,11,34,1,NULL,NULL,NULL),(25,207,1,11,35,NULL,3,NULL,NULL),(25,207,1,11,36,1,1,NULL,NULL),(25,207,1,11,37,NULL,1,NULL,NULL),(25,207,1,11,38,NULL,2,NULL,NULL),(25,207,1,11,39,NULL,2,NULL,NULL),(25,207,1,11,40,NULL,1,NULL,NULL),(25,207,1,12,1,1,3,NULL,1),(25,207,1,12,2,2,2,1,NULL),(25,207,1,12,3,1,NULL,NULL,NULL),(25,207,1,12,4,2,1,1,NULL),(25,207,1,12,5,NULL,1,NULL,1),(25,207,1,12,6,1,2,NULL,1),(25,207,1,12,7,1,4,NULL,1),(25,207,1,12,8,1,1,NULL,1),(25,207,1,12,9,NULL,1,NULL,NULL),(25,207,1,12,10,NULL,NULL,NULL,NULL),(25,207,1,12,11,NULL,1,NULL,1),(25,207,1,12,12,NULL,1,NULL,NULL),(25,207,1,12,13,2,1,NULL,1),(25,207,1,12,14,1,3,NULL,1),(25,207,1,12,15,2,1,NULL,1),(25,207,1,12,16,NULL,NULL,NULL,NULL),(25,207,1,12,17,2,1,NULL,1),(25,207,1,12,18,1,2,NULL,1),(25,207,1,12,19,2,NULL,1,NULL),(25,207,1,12,20,2,2,NULL,1),(25,207,1,12,21,NULL,3,NULL,1),(25,207,1,12,22,2,1,NULL,1),(25,207,1,12,23,NULL,1,NULL,NULL),(25,207,1,12,24,NULL,1,NULL,1),(25,207,1,12,25,NULL,1,NULL,NULL),(25,207,1,12,26,1,NULL,1,NULL),(25,207,1,12,27,1,NULL,1,NULL),(25,207,1,12,28,1,1,NULL,1),(25,207,1,12,29,1,1,NULL,1),(25,207,1,12,30,NULL,NULL,NULL,NULL),(25,207,1,12,31,NULL,1,NULL,NULL),(25,207,1,12,32,1,NULL,NULL,NULL),(25,207,1,12,33,1,NULL,NULL,NULL),(25,207,1,12,34,NULL,1,NULL,1),(25,207,1,12,35,NULL,NULL,NULL,NULL),(25,207,1,12,36,2,NULL,NULL,NULL),(25,207,1,12,37,1,1,NULL,1),(25,207,1,12,38,1,3,NULL,1),(25,207,1,12,39,NULL,1,NULL,1),(25,207,1,12,40,1,NULL,1,NULL),(25,207,1,13,1,4,2,NULL,NULL),(25,207,1,13,2,2,1,NULL,NULL),(25,207,1,13,3,3,1,NULL,NULL),(25,207,1,13,4,2,2,NULL,NULL),(25,207,1,13,5,NULL,4,NULL,NULL),(25,207,1,13,6,1,2,NULL,NULL),(25,207,1,13,7,1,2,NULL,NULL),(25,207,1,13,8,3,1,NULL,NULL),(25,207,1,13,9,2,NULL,NULL,NULL),(25,207,1,13,10,1,1,NULL,NULL),(25,207,1,13,11,1,NULL,NULL,NULL),(25,207,1,13,12,2,1,NULL,NULL),(25,207,1,13,13,3,1,NULL,NULL),(25,207,1,13,14,4,1,NULL,NULL),(25,207,1,13,15,3,2,NULL,NULL),(25,207,1,13,16,1,4,NULL,NULL),(25,207,1,13,17,4,1,NULL,NULL),(25,207,1,13,18,6,NULL,NULL,NULL),(25,207,1,13,19,NULL,5,NULL,NULL),(25,207,1,13,20,2,2,NULL,NULL),(25,207,1,13,21,1,1,NULL,NULL),(25,207,1,13,22,1,NULL,NULL,NULL),(25,207,1,13,23,NULL,2,NULL,NULL),(25,207,1,13,24,NULL,1,NULL,NULL),(25,207,1,13,25,NULL,NULL,NULL,NULL),(25,207,1,13,26,1,NULL,NULL,NULL),(25,207,1,13,27,NULL,NULL,NULL,NULL),(25,207,1,13,28,1,3,NULL,NULL),(25,207,1,13,29,NULL,1,NULL,NULL),(25,207,1,13,30,NULL,2,NULL,NULL),(25,207,1,13,31,NULL,NULL,NULL,NULL),(25,207,1,13,32,1,2,NULL,NULL),(25,207,1,13,33,1,2,NULL,NULL),(25,207,1,13,34,1,1,NULL,NULL),(25,207,1,13,35,NULL,NULL,NULL,NULL),(25,207,1,13,36,3,1,NULL,NULL),(25,207,1,13,37,3,NULL,NULL,NULL),(25,207,1,13,38,NULL,3,NULL,NULL),(25,207,1,13,39,NULL,2,NULL,NULL),(25,207,1,13,40,1,NULL,NULL,NULL),(25,207,1,14,1,92,114,9,15),(25,207,1,14,2,47,81,11,12),(25,207,1,14,3,63,51,12,2),(25,207,1,14,4,174,66,20,10),(25,207,1,14,5,33,91,5,9),(25,207,1,14,6,55,114,4,17),(25,207,1,14,7,86,166,9,21),(25,207,1,14,8,86,41,12,5),(25,207,1,14,9,52,91,7,10),(25,207,1,14,10,22,25,6,6),(25,207,1,14,11,50,61,5,10),(25,207,1,14,12,65,27,10,5),(25,207,1,14,13,69,60,13,8),(25,207,1,14,14,91,52,10,8),(25,207,1,14,15,98,69,15,8),(25,207,1,14,16,61,56,7,7),(25,207,1,14,17,97,56,17,7),(25,207,1,14,18,157,26,27,2),(25,207,1,14,19,124,113,18,10),(25,207,1,14,20,119,17,14,2),(25,207,1,14,21,67,96,11,10),(25,207,1,14,22,40,98,10,14),(25,207,1,14,23,24,82,7,15),(25,207,1,14,24,13,67,4,15),(25,207,1,14,25,25,69,10,9),(25,207,1,14,26,66,NULL,15,NULL),(25,207,1,14,27,23,NULL,9,NULL),(25,207,1,14,28,38,105,5,14),(25,207,1,14,29,18,37,5,9),(25,207,1,14,30,17,59,3,12),(25,207,1,14,31,18,35,6,11),(25,207,1,14,32,33,45,10,9),(25,207,1,14,33,36,52,8,10),(25,207,1,14,34,47,41,12,2),(25,207,1,14,35,55,24,10,2),(25,207,1,14,36,86,83,12,12),(25,207,1,14,37,80,30,16,3),(25,207,1,14,38,28,174,5,18),(25,207,1,14,39,25,103,3,12),(25,207,1,14,40,19,52,11,11),(25,207,1,15,1,100,112,15,12),(25,207,1,15,2,46,77,8,10),(25,207,1,15,3,59,36,5,1),(25,207,1,15,4,185,67,21,4),(25,207,1,15,5,37,86,6,13),(25,207,1,15,6,62,100,7,13),(25,207,1,15,7,71,170,12,15),(25,207,1,15,8,64,45,9,6),(25,207,1,15,9,66,79,8,13),(25,207,1,15,10,23,33,3,6),(25,207,1,15,11,34,58,7,9),(25,207,1,15,12,49,28,14,1),(25,207,1,15,13,66,54,12,6),(25,207,1,15,14,85,54,13,6),(25,207,1,15,15,103,56,15,10),(25,207,1,15,16,50,47,8,8),(25,207,1,15,17,90,45,19,3),(25,207,1,15,18,169,27,21,NULL),(25,207,1,15,19,104,116,15,9),(25,207,1,15,20,101,22,16,2),(25,207,1,15,21,59,109,12,12),(25,207,1,15,22,29,85,2,15),(25,207,1,15,23,14,64,5,7),(25,207,1,15,24,19,65,4,15),(25,207,1,15,25,16,57,1,12),(25,207,1,15,26,49,NULL,11,NULL),(25,207,1,15,27,20,NULL,7,NULL),(25,207,1,15,28,36,101,4,18),(25,207,1,15,29,9,35,3,6),(25,207,1,15,30,10,61,3,16),(25,207,1,15,31,11,42,2,9),(25,207,1,15,32,31,47,5,12),(25,207,1,15,33,36,67,10,8),(25,207,1,15,34,56,42,11,5),(25,207,1,15,35,26,28,5,3),(25,207,1,15,36,79,74,15,13),(25,207,1,15,37,76,35,14,3),(25,207,1,15,38,15,180,2,22),(25,207,1,15,39,23,117,2,14),(25,207,1,15,40,20,59,5,8),(25,207,1,16,1,70,72,1,5),(25,207,1,16,2,21,32,2,NULL),(25,207,1,16,3,35,39,3,NULL),(25,207,1,16,4,93,55,5,1),(25,207,1,16,5,10,50,2,2),(25,207,1,16,6,22,64,1,4),(25,207,1,16,7,34,124,NULL,5),(25,207,1,16,8,30,33,1,1),(25,207,1,16,9,31,59,1,2),(25,207,1,16,10,10,18,NULL,1),(25,207,1,16,11,18,32,2,1),(25,207,1,16,12,42,18,3,NULL),(25,207,1,16,13,72,26,3,2),(25,207,1,16,14,54,52,2,1),(25,207,1,16,15,107,NULL,3,NULL),(25,207,1,16,16,33,71,1,2),(25,207,1,16,17,5,91,NULL,1),(25,207,1,16,18,44,127,1,5),(25,207,1,16,19,4,70,NULL,2),(25,207,1,16,20,122,NULL,5,NULL),(25,207,1,16,21,30,87,1,3),(25,207,1,16,22,17,49,2,1),(25,207,1,16,23,8,41,1,2),(25,207,1,16,24,14,35,1,2),(25,207,1,16,25,10,32,1,2),(25,207,1,16,26,22,NULL,2,NULL),(25,207,1,16,27,7,NULL,NULL,NULL),(25,207,1,16,28,32,71,1,4),(25,207,1,16,29,4,25,NULL,1),(25,207,1,16,30,9,25,1,1),(25,207,1,16,31,12,20,1,1),(25,207,1,16,32,10,23,2,2),(25,207,1,16,33,17,34,1,NULL),(25,207,1,16,34,25,34,2,NULL),(25,207,1,16,35,14,19,1,1),(25,207,1,16,36,34,57,1,2),(25,207,1,16,37,32,25,3,1),(25,207,1,16,38,10,107,1,3),(25,207,1,16,39,12,82,NULL,2),(25,207,1,16,40,8,20,2,2),(25,207,1,17,1,53,71,3,7),(25,207,1,17,2,21,42,3,2),(25,207,1,17,3,27,39,4,2),(25,207,1,17,4,95,48,6,3),(25,207,1,17,5,12,41,1,1),(25,207,1,17,6,26,58,1,5),(25,207,1,17,7,34,110,NULL,7),(25,207,1,17,8,31,39,4,1),(25,207,1,17,9,29,62,1,5),(25,207,1,17,10,5,16,2,3),(25,207,1,17,11,14,38,NULL,4),(25,207,1,17,12,33,27,5,1),(25,207,1,17,13,60,36,2,2),(25,207,1,17,14,43,37,1,4),(25,207,1,17,15,101,NULL,7,NULL),(25,207,1,17,16,54,59,4,4),(25,207,1,17,17,4,70,NULL,3),(25,207,1,17,18,25,130,2,6),(25,207,1,17,19,4,69,NULL,6),(25,207,1,17,20,110,NULL,5,NULL),(25,207,1,17,21,18,60,NULL,4),(25,207,1,17,22,25,48,1,5),(25,207,1,17,23,8,32,NULL,5),(25,207,1,17,24,11,31,1,1),(25,207,1,17,25,8,24,NULL,3),(25,207,1,17,26,28,NULL,2,NULL),(25,207,1,17,27,7,NULL,1,NULL),(25,207,1,17,28,29,79,NULL,4),(25,207,1,17,29,12,21,NULL,3),(25,207,1,17,30,11,40,NULL,3),(25,207,1,17,31,7,23,1,2),(25,207,1,17,32,14,23,3,3),(25,207,1,17,33,19,23,2,1),(25,207,1,17,34,21,20,3,1),(25,207,1,17,35,18,19,3,1),(25,207,1,17,36,30,60,6,3),(25,207,1,17,37,45,16,4,1),(25,207,1,17,38,9,95,1,8),(25,207,1,17,39,13,66,1,4),(25,207,1,17,40,8,44,1,3),(25,207,2,21,1,19,41,3,4),(25,207,2,21,2,9,52,2,5),(25,207,2,21,3,43,50,7,3),(25,207,2,21,4,31,49,2,6),(25,207,2,21,5,54,63,7,4),(25,207,2,21,6,26,42,6,3),(25,207,2,21,7,19,43,5,3),(25,207,2,21,8,54,53,9,2),(25,207,2,21,9,100,65,10,3),(25,207,2,21,10,43,51,7,5),(25,207,2,21,11,15,154,2,10),(25,207,2,21,12,20,65,3,5),(25,207,2,21,13,116,36,14,1),(25,207,2,21,14,24,73,5,5),(25,207,2,21,15,64,64,8,2),(25,207,2,21,16,33,73,3,6),(25,207,2,21,17,23,94,2,5),(25,207,2,21,18,41,55,4,1),(25,207,2,21,19,18,57,1,7),(25,207,2,21,20,29,64,3,5),(25,207,2,21,21,9,21,3,2),(25,207,2,21,22,3,11,1,1),(25,207,2,21,23,5,30,NULL,2),(25,207,2,21,24,6,32,NULL,2),(25,207,2,21,25,15,NULL,3,NULL),(25,207,2,21,26,1,18,NULL,1),(25,207,2,21,27,6,33,NULL,1),(25,207,2,21,28,5,17,NULL,2),(25,207,2,21,29,10,26,1,4),(25,207,2,21,30,12,33,1,3),(25,207,2,21,31,52,41,9,3),(25,207,2,21,32,8,34,1,5),(25,207,2,21,33,67,33,10,4),(25,207,2,21,34,5,18,1,1),(25,207,2,21,35,32,48,5,2),(25,207,2,21,36,35,39,7,NULL),(25,207,2,21,37,9,38,6,2),(25,207,2,21,38,68,37,7,1),(25,207,2,21,39,109,NULL,14,NULL),(25,207,2,21,40,7,18,1,2),(25,207,2,22,1,33,51,8,10),(25,207,2,22,2,10,54,2,8),(25,207,2,22,3,26,35,3,1),(25,207,2,22,4,22,54,7,9),(25,207,2,22,5,70,48,9,8),(25,207,2,22,6,30,42,9,7),(25,207,2,22,7,20,41,1,10),(25,207,2,22,8,64,69,12,9),(25,207,2,22,9,124,52,17,6),(25,207,2,22,10,37,54,11,6),(25,207,2,22,11,14,165,1,15),(25,207,2,22,12,23,79,3,10),(25,207,2,22,13,128,32,22,NULL),(25,207,2,22,14,47,74,9,12),(25,207,2,22,15,58,69,10,8),(25,207,2,22,16,37,81,3,12),(25,207,2,22,17,22,88,1,7),(25,207,2,22,18,43,53,7,8),(25,207,2,22,19,18,55,2,8),(25,207,2,22,20,32,48,6,6),(25,207,2,22,21,7,15,2,2),(25,207,2,22,22,1,6,NULL,2),(25,207,2,22,23,11,36,3,6),(25,207,2,22,24,11,24,NULL,8),(25,207,2,22,25,10,NULL,2,NULL),(25,207,2,22,26,5,13,NULL,1),(25,207,2,22,27,5,23,2,4),(25,207,2,22,28,3,18,NULL,3),(25,207,2,22,29,9,24,2,4),(25,207,2,22,30,17,37,2,5),(25,207,2,22,31,54,41,9,7),(25,207,2,22,32,7,37,NULL,7),(25,207,2,22,33,73,31,18,4),(25,207,2,22,34,6,38,3,6),(25,207,2,22,35,38,40,9,4),(25,207,2,22,36,30,31,6,2),(25,207,2,22,37,19,30,7,7),(25,207,2,22,38,79,35,14,2),(25,207,2,22,39,127,NULL,22,NULL),(25,207,2,22,40,5,27,1,5),(25,207,2,23,1,17,42,3,2),(25,207,2,23,2,15,61,1,8),(25,207,2,23,3,24,44,3,6),(25,207,2,23,4,29,39,6,5),(25,207,2,23,5,60,49,5,4),(25,207,2,23,6,36,38,6,6),(25,207,2,23,7,18,51,5,6),(25,207,2,23,8,65,57,10,2),(25,207,2,23,9,98,70,16,2),(25,207,2,23,10,39,55,7,7),(25,207,2,23,11,16,154,2,11),(25,207,2,23,12,20,54,5,4),(25,207,2,23,13,107,41,10,5),(25,207,2,23,14,20,75,3,9),(25,207,2,23,15,45,70,6,8),(25,207,2,23,16,26,83,2,9),(25,207,2,23,17,23,82,3,4),(25,207,2,23,18,50,59,4,4),(25,207,2,23,19,14,56,1,4),(25,207,2,23,20,32,49,5,6),(25,207,2,23,21,10,18,4,2),(25,207,2,23,22,1,7,NULL,1),(25,207,2,23,23,13,19,4,2),(25,207,2,23,24,16,31,3,2),(25,207,2,23,25,8,NULL,1,NULL),(25,207,2,23,26,4,26,1,3),(25,207,2,23,27,3,19,NULL,1),(25,207,2,23,28,8,17,1,NULL),(25,207,2,23,29,6,18,2,3),(25,207,2,23,30,28,39,3,4),(25,207,2,23,31,57,31,9,2),(25,207,2,23,32,7,35,2,5),(25,207,2,23,33,60,36,14,2),(25,207,2,23,34,9,19,3,2),(25,207,2,23,35,20,49,2,7),(25,207,2,23,36,22,25,3,1),(25,207,2,23,37,14,33,6,5),(25,207,2,23,38,53,47,9,2),(25,207,2,23,39,113,NULL,16,NULL),(25,207,2,23,40,3,13,NULL,4),(25,207,2,24,1,13,54,2,7),(25,207,2,24,2,14,37,1,5),(25,207,2,24,3,28,43,8,3),(25,207,2,24,4,31,50,3,7),(25,207,2,24,5,60,56,7,7),(25,207,2,24,6,33,40,6,7),(25,207,2,24,7,19,37,1,10),(25,207,2,24,8,61,52,10,3),(25,207,2,24,9,95,68,13,6),(25,207,2,24,10,41,60,5,8),(25,207,2,24,11,15,138,6,8),(25,207,2,24,12,23,60,2,4),(25,207,2,24,13,115,22,16,NULL),(25,207,2,24,14,25,76,6,7),(25,207,2,24,15,51,58,5,7),(25,207,2,24,16,20,68,4,7),(25,207,2,24,17,26,93,3,9),(25,207,2,24,18,38,55,5,6),(25,207,2,24,19,6,44,1,3),(25,207,2,24,20,32,52,5,6),(25,207,2,24,21,10,22,3,4),(25,207,2,24,22,NULL,21,NULL,4),(25,207,2,24,23,9,21,1,3),(25,207,2,24,24,7,28,NULL,1),(25,207,2,24,25,12,NULL,1,NULL),(25,207,2,24,26,4,22,NULL,3),(25,207,2,24,27,7,21,2,4),(25,207,2,24,28,7,21,1,4),(25,207,2,24,29,18,27,7,6),(25,207,2,24,30,22,28,3,1),(25,207,2,24,31,45,51,7,7),(25,207,2,24,32,3,31,NULL,6),(25,207,2,24,33,66,38,13,3),(25,207,2,24,34,4,27,1,7),(25,207,2,24,35,28,42,2,7),(25,207,2,24,36,29,28,6,1),(25,207,2,24,37,18,35,6,8),(25,207,2,24,38,67,45,6,3),(25,207,2,24,39,118,NULL,16,NULL),(25,207,2,24,40,13,18,NULL,2),(25,208,1,11,1,NULL,NULL,NULL,NULL),(25,208,1,11,2,NULL,NULL,NULL,NULL),(25,208,1,11,3,NULL,1,NULL,1),(25,208,1,11,4,1,NULL,1,NULL),(25,208,1,11,5,1,NULL,1,NULL),(25,208,1,11,6,1,NULL,1,NULL),(25,208,1,11,7,NULL,1,NULL,1),(25,208,1,11,8,NULL,NULL,NULL,NULL),(25,208,1,11,9,NULL,NULL,NULL,NULL),(25,208,1,11,10,1,NULL,1,NULL),(25,208,1,11,11,NULL,NULL,NULL,NULL),(25,208,1,11,12,NULL,NULL,NULL,NULL),(25,208,1,11,13,NULL,1,NULL,1),(25,208,1,11,14,1,NULL,1,NULL),(25,208,1,11,15,1,NULL,1,NULL),(25,208,1,11,16,1,NULL,1,NULL),(25,208,1,11,17,NULL,1,NULL,1),(25,208,1,11,18,NULL,1,NULL,1),(25,208,1,11,19,1,NULL,1,NULL),(25,208,1,11,20,NULL,1,NULL,1),(25,208,1,11,21,NULL,1,NULL,1),(25,208,1,11,22,NULL,1,NULL,1),(25,208,1,11,23,NULL,1,NULL,1),(25,208,1,11,24,NULL,1,NULL,1),(25,208,1,11,25,NULL,1,NULL,1),(25,208,1,11,26,NULL,NULL,NULL,NULL),(25,208,1,11,27,NULL,NULL,NULL,NULL),(25,208,1,11,28,NULL,NULL,NULL,NULL),(25,208,1,11,29,NULL,NULL,NULL,NULL),(25,208,1,11,30,NULL,1,NULL,1),(25,208,1,11,31,NULL,NULL,NULL,NULL),(25,208,1,11,32,NULL,NULL,NULL,NULL),(25,208,1,11,33,NULL,1,NULL,1),(25,208,1,11,34,NULL,NULL,NULL,NULL),(25,208,1,11,35,NULL,NULL,NULL,NULL),(25,208,1,11,36,NULL,1,NULL,1),(25,208,1,11,37,1,NULL,1,NULL),(25,208,1,11,38,NULL,1,NULL,1),(25,208,1,11,39,NULL,1,NULL,1),(25,208,1,11,40,NULL,NULL,NULL,NULL),(25,208,1,12,1,NULL,1,NULL,NULL),(25,208,1,12,2,NULL,NULL,NULL,NULL),(25,208,1,12,3,NULL,NULL,NULL,NULL),(25,208,1,12,4,NULL,1,NULL,NULL),(25,208,1,12,5,NULL,NULL,NULL,NULL),(25,208,1,12,6,NULL,1,NULL,NULL),(25,208,1,12,7,1,NULL,NULL,NULL),(25,208,1,12,8,NULL,NULL,NULL,NULL),(25,208,1,12,9,NULL,1,NULL,NULL),(25,208,1,12,10,NULL,NULL,NULL,NULL),(25,208,1,12,11,NULL,NULL,NULL,NULL),(25,208,1,12,12,1,NULL,NULL,NULL),(25,208,1,12,13,NULL,1,NULL,NULL),(25,208,1,12,14,1,NULL,NULL,NULL),(25,208,1,12,15,NULL,1,NULL,NULL),(25,208,1,12,16,1,NULL,NULL,NULL),(25,208,1,12,17,1,NULL,NULL,NULL),(25,208,1,12,18,NULL,1,NULL,NULL),(25,208,1,12,19,1,NULL,NULL,NULL),(25,208,1,12,20,NULL,1,NULL,NULL),(25,208,1,12,21,NULL,NULL,NULL,NULL),(25,208,1,12,22,NULL,1,NULL,NULL),(25,208,1,12,23,NULL,NULL,NULL,NULL),(25,208,1,12,24,NULL,NULL,NULL,NULL),(25,208,1,12,25,NULL,NULL,NULL,NULL),(25,208,1,12,26,NULL,NULL,NULL,NULL),(25,208,1,12,27,NULL,NULL,NULL,NULL),(25,208,1,12,28,NULL,NULL,NULL,NULL),(25,208,1,12,29,1,NULL,NULL,NULL),(25,208,1,12,30,NULL,NULL,NULL,NULL),(25,208,1,12,31,NULL,NULL,NULL,NULL),(25,208,1,12,32,1,NULL,NULL,NULL),(25,208,1,12,33,NULL,NULL,NULL,NULL),(25,208,1,12,34,NULL,1,NULL,NULL),(25,208,1,12,35,NULL,NULL,NULL,NULL),(25,208,1,12,36,NULL,1,NULL,NULL),(25,208,1,12,37,NULL,NULL,NULL,NULL),(25,208,1,12,38,NULL,1,NULL,NULL),(25,208,1,12,39,NULL,NULL,NULL,NULL),(25,208,1,12,40,NULL,NULL,NULL,NULL),(25,208,1,13,1,NULL,NULL,NULL,1),(25,208,1,13,2,NULL,NULL,NULL,NULL),(25,208,1,13,3,NULL,NULL,NULL,1),(25,208,1,13,4,NULL,NULL,NULL,1),(25,208,1,13,5,NULL,NULL,NULL,NULL),(25,208,1,13,6,NULL,NULL,NULL,NULL),(25,208,1,13,7,NULL,NULL,NULL,1),(25,208,1,13,8,NULL,NULL,1,NULL),(25,208,1,13,9,NULL,NULL,NULL,NULL),(25,208,1,13,10,NULL,NULL,NULL,NULL),(25,208,1,13,11,NULL,NULL,NULL,NULL),(25,208,1,13,12,NULL,NULL,1,NULL),(25,208,1,13,13,NULL,NULL,1,NULL),(25,208,1,13,14,NULL,NULL,1,NULL),(25,208,1,13,15,NULL,NULL,1,NULL),(25,208,1,13,16,NULL,NULL,1,NULL),(25,208,1,13,17,NULL,NULL,1,NULL),(25,208,1,13,18,NULL,NULL,1,NULL),(25,208,1,13,19,NULL,NULL,NULL,1),(25,208,1,13,20,NULL,NULL,NULL,1),(25,208,1,13,21,NULL,NULL,NULL,NULL),(25,208,1,13,22,NULL,NULL,NULL,NULL),(25,208,1,13,23,NULL,NULL,NULL,NULL),(25,208,1,13,24,NULL,NULL,NULL,NULL),(25,208,1,13,25,NULL,NULL,NULL,NULL),(25,208,1,13,26,NULL,NULL,NULL,NULL),(25,208,1,13,27,NULL,NULL,NULL,NULL),(25,208,1,13,28,NULL,NULL,NULL,1),(25,208,1,13,29,NULL,NULL,NULL,1),(25,208,1,13,30,NULL,NULL,NULL,1),(25,208,1,13,31,NULL,NULL,NULL,NULL),(25,208,1,13,32,NULL,NULL,NULL,NULL),(25,208,1,13,33,NULL,NULL,NULL,1),(25,208,1,13,34,NULL,NULL,NULL,NULL),(25,208,1,13,35,NULL,NULL,NULL,NULL),(25,208,1,13,36,NULL,NULL,1,NULL),(25,208,1,13,37,NULL,NULL,1,NULL),(25,208,1,13,38,NULL,NULL,NULL,NULL),(25,208,1,13,39,NULL,NULL,NULL,NULL),(25,208,1,13,40,NULL,NULL,NULL,NULL),(25,208,1,14,1,29,43,9,23),(25,208,1,14,2,11,29,5,15),(25,208,1,14,3,20,21,10,8),(25,208,1,14,4,54,38,24,11),(25,208,1,14,5,8,35,5,17),(25,208,1,14,6,10,35,5,17),(25,208,1,14,7,20,73,12,20),(25,208,1,14,8,25,22,13,14),(25,208,1,14,9,18,29,10,8),(25,208,1,14,10,4,10,5,5),(25,208,1,14,11,16,23,5,10),(25,208,1,14,12,13,18,7,7),(25,208,1,14,13,26,24,20,6),(25,208,1,14,14,36,26,21,6),(25,208,1,14,15,42,27,30,3),(25,208,1,14,16,19,26,12,11),(25,208,1,14,17,36,12,23,4),(25,208,1,14,18,55,14,36,4),(25,208,1,14,19,38,59,22,16),(25,208,1,14,20,41,6,32,2),(25,208,1,14,21,21,42,12,14),(25,208,1,14,22,16,46,3,24),(25,208,1,14,23,9,30,3,20),(25,208,1,14,24,5,24,1,17),(25,208,1,14,25,7,22,4,15),(25,208,1,14,26,13,NULL,12,NULL),(25,208,1,14,27,9,NULL,7,NULL),(25,208,1,14,28,14,66,9,22),(25,208,1,14,29,10,18,3,8),(25,208,1,14,30,10,23,4,16),(25,208,1,14,31,1,11,1,4),(25,208,1,14,32,13,13,9,10),(25,208,1,14,33,9,27,7,17),(25,208,1,14,34,15,17,5,7),(25,208,1,14,35,15,16,12,8),(25,208,1,14,36,27,43,16,19),(25,208,1,14,37,19,13,17,8),(25,208,1,14,38,8,71,3,25),(25,208,1,14,39,16,39,11,16),(25,208,1,14,40,5,10,3,8),(25,208,1,15,1,36,39,13,17),(25,208,1,15,2,10,22,4,11),(25,208,1,15,3,15,18,5,6),(25,208,1,15,4,58,29,20,9),(25,208,1,15,5,12,26,9,13),(25,208,1,15,6,25,28,7,12),(25,208,1,15,7,20,64,8,21),(25,208,1,15,8,21,20,7,5),(25,208,1,15,9,16,32,4,16),(25,208,1,15,10,3,8,2,5),(25,208,1,15,11,11,15,6,9),(25,208,1,15,12,10,9,6,5),(25,208,1,15,13,20,20,13,6),(25,208,1,15,14,32,26,16,7),(25,208,1,15,15,47,22,19,9),(25,208,1,15,16,20,19,7,10),(25,208,1,15,17,24,20,20,6),(25,208,1,15,18,58,11,26,3),(25,208,1,15,19,44,37,19,10),(25,208,1,15,20,36,10,16,4),(25,208,1,15,21,21,34,10,10),(25,208,1,15,22,17,38,5,19),(25,208,1,15,23,8,32,2,17),(25,208,1,15,24,8,16,3,9),(25,208,1,15,25,8,31,3,8),(25,208,1,15,26,17,NULL,12,NULL),(25,208,1,15,27,8,NULL,7,NULL),(25,208,1,15,28,13,44,6,18),(25,208,1,15,29,7,14,2,4),(25,208,1,15,30,4,20,2,12),(25,208,1,15,31,4,9,2,6),(25,208,1,15,32,7,15,6,12),(25,208,1,15,33,14,19,4,11),(25,208,1,15,34,10,22,6,6),(25,208,1,15,35,12,12,4,6),(25,208,1,15,36,25,37,13,11),(25,208,1,15,37,14,15,10,6),(25,208,1,15,38,8,66,3,22),(25,208,1,15,39,16,35,6,14),(25,208,1,15,40,4,20,2,16),(25,208,1,16,1,17,12,6,3),(25,208,1,16,2,3,11,NULL,7),(25,208,1,16,3,4,10,2,4),(25,208,1,16,4,18,12,7,4),(25,208,1,16,5,2,13,NULL,5),(25,208,1,16,6,2,15,2,4),(25,208,1,16,7,7,24,1,8),(25,208,1,16,8,12,12,2,6),(25,208,1,16,9,5,9,1,5),(25,208,1,16,10,1,3,1,2),(25,208,1,16,11,5,7,NULL,4),(25,208,1,16,12,5,6,5,5),(25,208,1,16,13,13,7,6,5),(25,208,1,16,14,4,15,2,5),(25,208,1,16,15,20,NULL,9,NULL),(25,208,1,16,16,2,25,NULL,8),(25,208,1,16,17,1,13,NULL,5),(25,208,1,16,18,13,28,1,9),(25,208,1,16,19,1,20,NULL,5),(25,208,1,16,20,28,NULL,11,NULL),(25,208,1,16,21,6,19,1,10),(25,208,1,16,22,6,9,1,5),(25,208,1,16,23,NULL,13,NULL,8),(25,208,1,16,24,2,6,NULL,4),(25,208,1,16,25,NULL,2,1,1),(25,208,1,16,26,7,NULL,5,NULL),(25,208,1,16,27,1,NULL,NULL,NULL),(25,208,1,16,28,12,20,NULL,10),(25,208,1,16,29,2,5,NULL,1),(25,208,1,16,30,1,9,1,3),(25,208,1,16,31,NULL,4,NULL,3),(25,208,1,16,32,NULL,3,1,3),(25,208,1,16,33,3,5,NULL,3),(25,208,1,16,34,4,10,NULL,3),(25,208,1,16,35,1,5,1,1),(25,208,1,16,36,3,14,4,4),(25,208,1,16,37,2,5,3,2),(25,208,1,16,38,NULL,16,NULL,7),(25,208,1,16,39,4,16,NULL,6),(25,208,1,16,40,NULL,2,1,2),(25,208,1,17,1,11,14,2,1),(25,208,1,17,2,8,9,1,NULL),(25,208,1,17,3,6,7,NULL,NULL),(25,208,1,17,4,13,10,3,NULL),(25,208,1,17,5,2,11,NULL,1),(25,208,1,17,6,5,4,2,NULL),(25,208,1,17,7,3,30,1,3),(25,208,1,17,8,8,5,NULL,1),(25,208,1,17,9,6,12,NULL,1),(25,208,1,17,10,NULL,3,NULL,NULL),(25,208,1,17,11,3,8,NULL,1),(25,208,1,17,12,3,7,1,2),(25,208,1,17,13,11,7,1,NULL),(25,208,1,17,14,10,4,1,1),(25,208,1,17,15,26,NULL,3,NULL),(25,208,1,17,16,7,12,1,2),(25,208,1,17,17,1,22,NULL,1),(25,208,1,17,18,8,26,2,2),(25,208,1,17,19,2,17,1,1),(25,208,1,17,20,28,NULL,2,NULL),(25,208,1,17,21,4,16,NULL,1),(25,208,1,17,22,7,14,NULL,1),(25,208,1,17,23,2,8,1,2),(25,208,1,17,24,2,6,NULL,1),(25,208,1,17,25,1,7,NULL,NULL),(25,208,1,17,26,3,NULL,1,NULL),(25,208,1,17,27,2,NULL,NULL,NULL),(25,208,1,17,28,7,21,2,1),(25,208,1,17,29,4,5,NULL,1),(25,208,1,17,30,5,9,NULL,1),(25,208,1,17,31,NULL,3,1,NULL),(25,208,1,17,32,NULL,2,1,NULL),(25,208,1,17,33,2,3,NULL,NULL),(25,208,1,17,34,3,7,NULL,NULL),(25,208,1,17,35,3,2,1,1),(25,208,1,17,36,2,8,1,1),(25,208,1,17,37,4,3,NULL,1),(25,208,1,17,38,3,21,NULL,3),(25,208,1,17,39,1,10,NULL,1),(25,208,1,17,40,NULL,3,NULL,2),(25,208,2,21,1,10,16,2,9),(25,208,2,21,2,1,17,1,7),(25,208,2,21,3,12,17,8,8),(25,208,2,21,4,11,21,5,12),(25,208,2,21,5,19,22,8,8),(25,208,2,21,6,7,14,6,7),(25,208,2,21,7,2,15,2,7),(25,208,2,21,8,14,17,5,11),(25,208,2,21,9,24,22,13,6),(25,208,2,21,10,12,17,13,6),(25,208,2,21,11,2,57,NULL,14),(25,208,2,21,12,4,18,2,7),(25,208,2,21,13,31,17,15,3),(25,208,2,21,14,11,19,7,7),(25,208,2,21,15,26,23,8,11),(25,208,2,21,16,9,27,7,10),(25,208,2,21,17,4,25,2,7),(25,208,2,21,18,13,24,5,8),(25,208,2,21,19,5,19,4,9),(25,208,2,21,20,10,19,5,6),(25,208,2,21,21,3,4,2,3),(25,208,2,21,22,NULL,5,NULL,NULL),(25,208,2,21,23,4,9,3,6),(25,208,2,21,24,4,7,2,2),(25,208,2,21,25,7,NULL,2,NULL),(25,208,2,21,26,NULL,12,1,2),(25,208,2,21,27,1,5,NULL,1),(25,208,2,21,28,5,8,1,1),(25,208,2,21,29,5,8,1,5),(25,208,2,21,30,3,14,2,2),(25,208,2,21,31,12,9,11,4),(25,208,2,21,32,3,12,2,8),(25,208,2,21,33,15,12,12,4),(25,208,2,21,34,2,9,1,2),(25,208,2,21,35,4,17,3,6),(25,208,2,21,36,5,12,1,4),(25,208,2,21,37,3,13,1,7),(25,208,2,21,38,21,22,14,1),(25,208,2,21,39,31,NULL,19,NULL),(25,208,2,21,40,1,4,2,1),(25,208,2,22,1,10,17,2,8),(25,208,2,22,2,7,20,1,5),(25,208,2,22,3,8,17,2,11),(25,208,2,22,4,5,25,NULL,9),(25,208,2,22,5,18,24,5,5),(25,208,2,22,6,5,22,2,9),(25,208,2,22,7,3,10,1,3),(25,208,2,22,8,11,26,6,6),(25,208,2,22,9,29,22,12,4),(25,208,2,22,10,6,16,5,7),(25,208,2,22,11,9,53,2,11),(25,208,2,22,12,2,20,1,5),(25,208,2,22,13,36,7,9,4),(25,208,2,22,14,11,25,5,11),(25,208,2,22,15,15,24,2,4),(25,208,2,22,16,5,24,3,5),(25,208,2,22,17,9,26,NULL,6),(25,208,2,22,18,8,14,1,3),(25,208,2,22,19,4,24,1,7),(25,208,2,22,20,12,23,6,5),(25,208,2,22,21,5,14,6,3),(25,208,2,22,22,1,6,1,2),(25,208,2,22,23,6,10,1,4),(25,208,2,22,24,5,12,1,3),(25,208,2,22,25,6,NULL,1,NULL),(25,208,2,22,26,1,14,1,3),(25,208,2,22,27,NULL,15,NULL,5),(25,208,2,22,28,1,7,NULL,2),(25,208,2,22,29,2,11,1,5),(25,208,2,22,30,5,14,1,4),(25,208,2,22,31,12,12,8,6),(25,208,2,22,32,2,6,1,4),(25,208,2,22,33,12,10,7,7),(25,208,2,22,34,1,6,1,3),(25,208,2,22,35,4,11,1,6),(25,208,2,22,36,7,11,3,2),(25,208,2,22,37,1,9,2,2),(25,208,2,22,38,23,13,8,1),(25,208,2,22,39,26,NULL,13,NULL),(25,208,2,22,40,2,7,1,NULL),(25,208,2,23,1,7,21,5,10),(25,208,2,23,2,2,26,NULL,10),(25,208,2,23,3,13,21,5,5),(25,208,2,23,4,13,14,7,7),(25,208,2,23,5,17,20,7,8),(25,208,2,23,6,3,13,3,7),(25,208,2,23,7,1,14,1,4),(25,208,2,23,8,15,24,7,5),(25,208,2,23,9,21,22,10,7),(25,208,2,23,10,7,20,7,7),(25,208,2,23,11,5,51,3,14),(25,208,2,23,12,7,22,3,4),(25,208,2,23,13,30,20,17,1),(25,208,2,23,14,8,24,1,11),(25,208,2,23,15,14,30,9,6),(25,208,2,23,16,8,25,2,9),(25,208,2,23,17,10,37,5,14),(25,208,2,23,18,8,20,4,8),(25,208,2,23,19,7,17,2,9),(25,208,2,23,20,8,17,5,6),(25,208,2,23,21,8,10,7,4),(25,208,2,23,22,NULL,6,NULL,4),(25,208,2,23,23,4,9,3,7),(25,208,2,23,24,5,8,1,1),(25,208,2,23,25,7,NULL,3,NULL),(25,208,2,23,26,3,10,1,5),(25,208,2,23,27,2,6,NULL,1),(25,208,2,23,28,4,6,2,2),(25,208,2,23,29,5,18,2,4),(25,208,2,23,30,5,20,1,8),(25,208,2,23,31,12,10,3,5),(25,208,2,23,32,4,14,3,9),(25,208,2,23,33,18,11,13,1),(25,208,2,23,34,3,7,3,5),(25,208,2,23,35,12,13,8,5),(25,208,2,23,36,10,13,9,1),(25,208,2,23,37,7,14,3,6),(25,208,2,23,38,19,16,12,3),(25,208,2,23,39,34,NULL,17,NULL),(25,208,2,23,40,1,3,NULL,3),(25,208,2,24,1,7,26,3,11),(25,208,2,24,2,2,19,2,11),(25,208,2,24,3,9,14,6,10),(25,208,2,24,4,6,20,2,12),(25,208,2,24,5,19,21,6,11),(25,208,2,24,6,8,9,5,6),(25,208,2,24,7,3,14,3,7),(25,208,2,24,8,14,19,9,8),(25,208,2,24,9,28,25,14,11),(25,208,2,24,10,4,16,9,8),(25,208,2,24,11,1,47,NULL,18),(25,208,2,24,12,10,22,4,4),(25,208,2,24,13,34,12,19,4),(25,208,2,24,14,10,23,4,15),(25,208,2,24,15,23,18,10,10),(25,208,2,24,16,13,23,3,8),(25,208,2,24,17,10,29,3,8),(25,208,2,24,18,12,23,5,9),(25,208,2,24,19,2,12,1,7),(25,208,2,24,20,8,18,4,8),(25,208,2,24,21,3,14,4,6),(25,208,2,24,22,NULL,6,2,3),(25,208,2,24,23,1,8,2,4),(25,208,2,24,24,1,13,NULL,6),(25,208,2,24,25,3,NULL,3,NULL),(25,208,2,24,26,1,9,1,4),(25,208,2,24,27,3,10,1,3),(25,208,2,24,28,1,10,1,3),(25,208,2,24,29,1,10,1,5),(25,208,2,24,30,5,11,2,5),(25,208,2,24,31,16,7,11,8),(25,208,2,24,32,NULL,13,NULL,8),(25,208,2,24,33,18,19,17,8),(25,208,2,24,34,2,6,NULL,5),(25,208,2,24,35,9,12,7,6),(25,208,2,24,36,6,11,4,2),(25,208,2,24,37,3,19,3,11),(25,208,2,24,38,18,17,14,6),(25,208,2,24,39,40,NULL,24,NULL),(25,208,2,24,40,5,8,3,4),(25,211,1,11,1,NULL,NULL,NULL,NULL),(25,211,1,11,2,NULL,NULL,NULL,NULL),(25,211,1,11,3,NULL,NULL,NULL,NULL),(25,211,1,11,4,NULL,NULL,NULL,NULL),(25,211,1,11,5,NULL,NULL,NULL,NULL),(25,211,1,11,6,NULL,NULL,NULL,NULL),(25,211,1,11,7,NULL,NULL,NULL,NULL),(25,211,1,11,8,NULL,NULL,NULL,NULL),(25,211,1,11,9,NULL,NULL,NULL,NULL),(25,211,1,11,10,NULL,NULL,NULL,NULL),(25,211,1,11,11,NULL,NULL,NULL,NULL),(25,211,1,11,12,NULL,NULL,NULL,NULL),(25,211,1,11,13,NULL,NULL,NULL,NULL),(25,211,1,11,14,NULL,NULL,NULL,NULL),(25,211,1,11,15,NULL,NULL,NULL,NULL),(25,211,1,11,16,NULL,NULL,NULL,NULL),(25,211,1,11,17,NULL,NULL,NULL,NULL),(25,211,1,11,18,NULL,NULL,NULL,NULL),(25,211,1,11,19,NULL,NULL,NULL,NULL),(25,211,1,11,20,NULL,NULL,NULL,NULL),(25,211,1,11,21,NULL,NULL,NULL,NULL),(25,211,1,11,22,NULL,NULL,NULL,NULL),(25,211,1,11,23,NULL,NULL,NULL,NULL),(25,211,1,11,24,NULL,NULL,NULL,NULL),(25,211,1,11,25,NULL,NULL,NULL,NULL),(25,211,1,11,26,NULL,NULL,NULL,NULL),(25,211,1,11,27,NULL,NULL,NULL,NULL),(25,211,1,11,28,NULL,NULL,NULL,NULL),(25,211,1,11,29,NULL,NULL,NULL,NULL),(25,211,1,11,30,NULL,NULL,NULL,NULL),(25,211,1,11,31,NULL,NULL,NULL,NULL),(25,211,1,11,32,NULL,NULL,NULL,NULL),(25,211,1,11,33,NULL,NULL,NULL,NULL),(25,211,1,11,34,NULL,NULL,NULL,NULL),(25,211,1,11,35,NULL,NULL,NULL,NULL),(25,211,1,11,36,NULL,NULL,NULL,NULL),(25,211,1,11,37,NULL,NULL,NULL,NULL),(25,211,1,11,38,NULL,NULL,NULL,NULL),(25,211,1,11,39,NULL,NULL,NULL,NULL),(25,211,1,11,40,NULL,NULL,NULL,NULL),(25,211,1,12,1,NULL,NULL,NULL,NULL),(25,211,1,12,2,NULL,NULL,NULL,NULL),(25,211,1,12,3,NULL,NULL,NULL,NULL),(25,211,1,12,4,NULL,NULL,NULL,NULL),(25,211,1,12,5,NULL,NULL,NULL,NULL),(25,211,1,12,6,NULL,NULL,NULL,NULL),(25,211,1,12,7,NULL,NULL,NULL,NULL),(25,211,1,12,8,NULL,NULL,NULL,NULL),(25,211,1,12,9,NULL,NULL,NULL,NULL),(25,211,1,12,10,NULL,NULL,NULL,NULL),(25,211,1,12,11,NULL,NULL,NULL,NULL),(25,211,1,12,12,NULL,NULL,NULL,NULL),(25,211,1,12,13,NULL,NULL,NULL,NULL),(25,211,1,12,14,NULL,NULL,NULL,NULL),(25,211,1,12,15,NULL,NULL,NULL,NULL),(25,211,1,12,16,NULL,NULL,NULL,NULL),(25,211,1,12,17,NULL,NULL,NULL,NULL),(25,211,1,12,18,NULL,NULL,NULL,NULL),(25,211,1,12,19,NULL,NULL,NULL,NULL),(25,211,1,12,20,NULL,NULL,NULL,NULL),(25,211,1,12,21,NULL,NULL,NULL,NULL),(25,211,1,12,22,NULL,NULL,NULL,NULL),(25,211,1,12,23,NULL,NULL,NULL,NULL),(25,211,1,12,24,NULL,NULL,NULL,NULL),(25,211,1,12,25,NULL,NULL,NULL,NULL),(25,211,1,12,26,NULL,NULL,NULL,NULL),(25,211,1,12,27,NULL,NULL,NULL,NULL),(25,211,1,12,28,NULL,NULL,NULL,NULL),(25,211,1,12,29,NULL,NULL,NULL,NULL),(25,211,1,12,30,NULL,NULL,NULL,NULL),(25,211,1,12,31,NULL,NULL,NULL,NULL),(25,211,1,12,32,NULL,NULL,NULL,NULL),(25,211,1,12,33,NULL,NULL,NULL,NULL),(25,211,1,12,34,NULL,NULL,NULL,NULL),(25,211,1,12,35,NULL,NULL,NULL,NULL),(25,211,1,12,36,NULL,NULL,NULL,NULL),(25,211,1,12,37,NULL,NULL,NULL,NULL),(25,211,1,12,38,NULL,NULL,NULL,NULL),(25,211,1,12,39,NULL,NULL,NULL,NULL),(25,211,1,12,40,NULL,NULL,NULL,NULL),(25,211,1,13,1,1,NULL,NULL,NULL),(25,211,1,13,2,NULL,1,NULL,NULL),(25,211,1,13,3,1,NULL,NULL,NULL),(25,211,1,13,4,1,NULL,NULL,NULL),(25,211,1,13,5,1,1,NULL,NULL),(25,211,1,13,6,NULL,2,NULL,NULL),(25,211,1,13,7,NULL,1,NULL,NULL),(25,211,1,13,8,NULL,NULL,NULL,NULL),(25,211,1,13,9,NULL,1,NULL,NULL),(25,211,1,13,10,NULL,NULL,NULL,NULL),(25,211,1,13,11,NULL,1,NULL,NULL),(25,211,1,13,12,NULL,NULL,NULL,NULL),(25,211,1,13,13,2,NULL,NULL,NULL),(25,211,1,13,14,NULL,NULL,NULL,NULL),(25,211,1,13,15,1,NULL,NULL,NULL),(25,211,1,13,16,NULL,NULL,NULL,NULL),(25,211,1,13,17,2,NULL,NULL,NULL),(25,211,1,13,18,1,NULL,NULL,NULL),(25,211,1,13,19,NULL,NULL,NULL,NULL),(25,211,1,13,20,1,NULL,NULL,NULL),(25,211,1,13,21,NULL,NULL,NULL,NULL),(25,211,1,13,22,NULL,NULL,NULL,NULL),(25,211,1,13,23,NULL,NULL,NULL,NULL),(25,211,1,13,24,NULL,NULL,NULL,NULL),(25,211,1,13,25,NULL,NULL,NULL,NULL),(25,211,1,13,26,NULL,NULL,NULL,NULL),(25,211,1,13,27,NULL,NULL,NULL,NULL),(25,211,1,13,28,1,NULL,NULL,NULL),(25,211,1,13,29,NULL,NULL,NULL,NULL),(25,211,1,13,30,NULL,NULL,NULL,NULL),(25,211,1,13,31,NULL,NULL,NULL,NULL),(25,211,1,13,32,NULL,NULL,NULL,NULL),(25,211,1,13,33,NULL,NULL,NULL,NULL),(25,211,1,13,34,NULL,NULL,NULL,NULL),(25,211,1,13,35,NULL,NULL,NULL,NULL),(25,211,1,13,36,1,NULL,NULL,NULL),(25,211,1,13,37,1,NULL,NULL,NULL),(25,211,1,13,38,NULL,1,NULL,NULL),(25,211,1,13,39,NULL,NULL,NULL,NULL),(25,211,1,13,40,NULL,NULL,NULL,NULL),(25,211,1,14,1,38,43,15,15),(25,211,1,14,2,13,24,7,13),(25,211,1,14,3,31,15,14,3),(25,211,1,14,4,75,25,26,8),(25,211,1,14,5,14,32,9,19),(25,211,1,14,6,16,44,9,12),(25,211,1,14,7,31,58,15,14),(25,211,1,14,8,28,21,14,9),(25,211,1,14,9,26,29,10,12),(25,211,1,14,10,7,14,5,8),(25,211,1,14,11,13,18,7,4),(25,211,1,14,12,24,8,9,4),(25,211,1,14,13,22,27,10,11),(25,211,1,14,14,26,27,13,11),(25,211,1,14,15,43,24,17,11),(25,211,1,14,16,21,26,12,10),(25,211,1,14,17,35,24,22,6),(25,211,1,14,18,53,11,25,1),(25,211,1,14,19,41,46,15,16),(25,211,1,14,20,42,5,25,3),(25,211,1,14,21,28,33,12,11),(25,211,1,14,22,17,37,7,17),(25,211,1,14,23,9,32,3,20),(25,211,1,14,24,14,26,7,19),(25,211,1,14,25,9,16,5,7),(25,211,1,14,26,27,NULL,11,NULL),(25,211,1,14,27,6,NULL,7,NULL),(25,211,1,14,28,22,47,4,22),(25,211,1,14,29,6,15,2,6),(25,211,1,14,30,6,17,3,13),(25,211,1,14,31,4,16,2,6),(25,211,1,14,32,18,13,13,8),(25,211,1,14,33,11,28,2,16),(25,211,1,14,34,11,14,12,3),(25,211,1,14,35,11,9,9,4),(25,211,1,14,36,33,40,19,10),(25,211,1,14,37,24,14,8,5),(25,211,1,14,38,4,69,3,23),(25,211,1,14,39,9,39,6,16),(25,211,1,14,40,4,18,5,11),(25,211,1,15,1,33,39,5,15),(25,211,1,15,2,12,26,4,8),(25,211,1,15,3,25,18,6,6),(25,211,1,15,4,53,23,15,4),(25,211,1,15,5,12,30,2,9),(25,211,1,15,6,13,32,2,13),(25,211,1,15,7,23,53,8,8),(25,211,1,15,8,20,21,5,8),(25,211,1,15,9,21,33,6,8),(25,211,1,15,10,3,7,3,2),(25,211,1,15,11,14,20,1,6),(25,211,1,15,12,23,12,9,5),(25,211,1,15,13,20,16,9,NULL),(25,211,1,15,14,31,22,7,7),(25,211,1,15,15,27,20,3,11),(25,211,1,15,16,21,14,6,10),(25,211,1,15,17,23,25,7,5),(25,211,1,15,18,50,11,14,3),(25,211,1,15,19,37,42,5,11),(25,211,1,15,20,29,11,14,3),(25,211,1,15,21,22,33,6,9),(25,211,1,15,22,12,29,8,9),(25,211,1,15,23,6,20,2,8),(25,211,1,15,24,6,23,1,12),(25,211,1,15,25,8,25,2,7),(25,211,1,15,26,16,NULL,9,NULL),(25,211,1,15,27,5,NULL,4,NULL),(25,211,1,15,28,9,41,2,16),(25,211,1,15,29,5,14,2,7),(25,211,1,15,30,1,18,NULL,11),(25,211,1,15,31,1,13,2,5),(25,211,1,15,32,12,11,5,9),(25,211,1,15,33,12,14,5,8),(25,211,1,15,34,14,14,3,6),(25,211,1,15,35,14,12,6,2),(25,211,1,15,36,20,39,11,4),(25,211,1,15,37,18,17,10,6),(25,211,1,15,38,5,58,3,11),(25,211,1,15,39,11,34,4,10),(25,211,1,15,40,3,20,3,8),(25,211,1,16,1,24,28,3,11),(25,211,1,16,2,8,16,2,3),(25,211,1,16,3,8,11,2,1),(25,211,1,16,4,41,24,9,3),(25,211,1,16,5,2,26,NULL,5),(25,211,1,16,6,13,20,3,4),(25,211,1,16,7,9,51,2,7),(25,211,1,16,8,21,21,4,5),(25,211,1,16,9,15,20,1,6),(25,211,1,16,10,6,6,2,4),(25,211,1,16,11,7,19,NULL,4),(25,211,1,16,12,17,12,7,NULL),(25,211,1,16,13,32,17,6,3),(25,211,1,16,14,12,28,6,2),(25,211,1,16,15,49,NULL,10,NULL),(25,211,1,16,16,14,31,5,6),(25,211,1,16,17,1,40,NULL,6),(25,211,1,16,18,17,59,4,6),(25,211,1,16,19,2,33,2,6),(25,211,1,16,20,48,NULL,12,NULL),(25,211,1,16,21,11,33,4,4),(25,211,1,16,22,6,24,1,7),(25,211,1,16,23,4,23,1,6),(25,211,1,16,24,8,16,1,3),(25,211,1,16,25,1,10,NULL,3),(25,211,1,16,26,11,NULL,5,NULL),(25,211,1,16,27,4,NULL,1,NULL),(25,211,1,16,28,13,34,4,6),(25,211,1,16,29,1,17,1,4),(25,211,1,16,30,2,15,NULL,4),(25,211,1,16,31,4,4,2,NULL),(25,211,1,16,32,3,11,1,5),(25,211,1,16,33,14,12,3,4),(25,211,1,16,34,10,12,2,1),(25,211,1,16,35,5,17,NULL,3),(25,211,1,16,36,13,19,6,3),(25,211,1,16,37,22,12,10,1),(25,211,1,16,38,5,46,1,8),(25,211,1,16,39,6,24,3,5),(25,211,1,16,40,3,15,2,5),(25,211,1,17,1,27,19,4,4),(25,211,1,17,2,6,20,NULL,11),(25,211,1,17,3,7,10,4,1),(25,211,1,17,4,36,23,5,7),(25,211,1,17,5,6,18,2,5),(25,211,1,17,6,4,30,1,10),(25,211,1,17,7,13,59,1,10),(25,211,1,17,8,16,20,2,3),(25,211,1,17,9,16,27,1,7),(25,211,1,17,10,4,8,1,3),(25,211,1,17,11,10,17,1,3),(25,211,1,17,12,16,11,4,3),(25,211,1,17,13,30,15,7,2),(25,211,1,17,14,22,16,5,7),(25,211,1,17,15,44,NULL,8,NULL),(25,211,1,17,16,20,20,4,3),(25,211,1,17,17,2,29,NULL,9),(25,211,1,17,18,14,64,2,11),(25,211,1,17,19,3,38,1,5),(25,211,1,17,20,44,NULL,9,NULL),(25,211,1,17,21,9,28,2,6),(25,211,1,17,22,5,27,2,8),(25,211,1,17,23,5,18,3,7),(25,211,1,17,24,5,14,NULL,5),(25,211,1,17,25,5,4,1,2),(25,211,1,17,26,9,NULL,5,NULL),(25,211,1,17,27,6,NULL,2,NULL),(25,211,1,17,28,15,31,4,8),(25,211,1,17,29,4,14,NULL,2),(25,211,1,17,30,6,13,3,5),(25,211,1,17,31,1,6,2,NULL),(25,211,1,17,32,7,10,3,3),(25,211,1,17,33,6,20,2,3),(25,211,1,17,34,6,14,2,2),(25,211,1,17,35,6,12,2,2),(25,211,1,17,36,15,24,8,1),(25,211,1,17,37,13,11,5,3),(25,211,1,17,38,2,42,1,10),(25,211,1,17,39,2,20,NULL,4),(25,211,1,17,40,1,17,4,3),(25,211,2,21,1,7,13,2,9),(25,211,2,21,2,4,21,1,8),(25,211,2,21,3,8,24,4,6),(25,211,2,21,4,9,21,4,12),(25,211,2,21,5,20,22,6,12),(25,211,2,21,6,8,17,6,6),(25,211,2,21,7,4,8,3,5),(25,211,2,21,8,12,27,6,9),(25,211,2,21,9,33,31,12,8),(25,211,2,21,10,7,21,7,6),(25,211,2,21,11,7,42,3,13),(25,211,2,21,12,9,22,3,6),(25,211,2,21,13,37,11,14,3),(25,211,2,21,14,7,30,4,9),(25,211,2,21,15,15,16,6,8),(25,211,2,21,16,9,28,5,2),(25,211,2,21,17,10,23,3,9),(25,211,2,21,18,21,22,4,8),(25,211,2,21,19,1,14,1,4),(25,211,2,21,20,14,24,5,8),(25,211,2,21,21,5,6,3,4),(25,211,2,21,22,NULL,4,NULL,5),(25,211,2,21,23,3,8,3,4),(25,211,2,21,24,5,9,1,3),(25,211,2,21,25,5,NULL,1,NULL),(25,211,2,21,26,1,6,NULL,3),(25,211,2,21,27,3,5,NULL,2),(25,211,2,21,28,1,5,NULL,2),(25,211,2,21,29,1,11,3,6),(25,211,2,21,30,3,11,1,4),(25,211,2,21,31,11,10,9,6),(25,211,2,21,32,3,12,1,7),(25,211,2,21,33,20,20,13,4),(25,211,2,21,34,NULL,10,1,3),(25,211,2,21,35,10,12,4,7),(25,211,2,21,36,8,12,7,2),(25,211,2,21,37,5,11,5,8),(25,211,2,21,38,23,17,9,6),(25,211,2,21,39,31,NULL,18,NULL),(25,211,2,21,40,1,9,2,3),(25,211,2,22,1,9,21,6,5),(25,211,2,22,2,7,22,1,8),(25,211,2,22,3,6,16,3,3),(25,211,2,22,4,13,17,5,7),(25,211,2,22,5,30,17,9,4),(25,211,2,22,6,7,21,8,7),(25,211,2,22,7,9,14,2,4),(25,211,2,22,8,19,36,6,6),(25,211,2,22,9,39,21,15,2),(25,211,2,22,10,7,19,5,5),(25,211,2,22,11,6,52,3,9),(25,211,2,22,12,9,24,1,8),(25,211,2,22,13,35,16,15,2),(25,211,2,22,14,19,25,6,7),(25,211,2,22,15,25,20,9,4),(25,211,2,22,16,12,31,2,11),(25,211,2,22,17,3,32,1,7),(25,211,2,22,18,17,19,5,5),(25,211,2,22,19,10,25,3,8),(25,211,2,22,20,7,25,4,4),(25,211,2,22,21,2,9,2,4),(25,211,2,22,22,2,3,2,NULL),(25,211,2,22,23,7,12,2,4),(25,211,2,22,24,3,14,1,1),(25,211,2,22,25,7,NULL,2,NULL),(25,211,2,22,26,1,7,NULL,2),(25,211,2,22,27,2,8,NULL,1),(25,211,2,22,28,3,4,1,2),(25,211,2,22,29,4,10,1,5),(25,211,2,22,30,6,8,1,4),(25,211,2,22,31,21,13,9,4),(25,211,2,22,32,3,16,NULL,12),(25,211,2,22,33,30,10,15,2),(25,211,2,22,34,6,3,2,3),(25,211,2,22,35,11,18,2,5),(25,211,2,22,36,12,12,7,2),(25,211,2,22,37,3,10,4,NULL),(25,211,2,22,38,22,23,9,3),(25,211,2,22,39,41,NULL,18,NULL),(25,211,2,22,40,2,7,NULL,7),(25,211,2,23,1,5,23,2,7),(25,211,2,23,2,6,27,2,6),(25,211,2,23,3,16,23,8,6),(25,211,2,23,4,12,20,3,6),(25,211,2,23,5,30,21,10,7),(25,211,2,23,6,13,18,8,3),(25,211,2,23,7,8,21,4,8),(25,211,2,23,8,27,29,8,10),(25,211,2,23,9,44,30,17,6),(25,211,2,23,10,17,22,8,9),(25,211,2,23,11,6,70,3,17),(25,211,2,23,12,9,21,4,7),(25,211,2,23,13,49,14,18,2),(25,211,2,23,14,14,28,6,11),(25,211,2,23,15,20,30,8,7),(25,211,2,23,16,11,36,4,13),(25,211,2,23,17,7,31,2,10),(25,211,2,23,18,19,20,5,6),(25,211,2,23,19,5,25,NULL,9),(25,211,2,23,20,13,24,6,8),(25,211,2,23,21,8,7,7,3),(25,211,2,23,22,NULL,3,NULL,NULL),(25,211,2,23,23,6,10,1,2),(25,211,2,23,24,NULL,9,NULL,3),(25,211,2,23,25,3,NULL,3,NULL),(25,211,2,23,26,NULL,9,NULL,2),(25,211,2,23,27,3,8,1,1),(25,211,2,23,28,3,4,NULL,3),(25,211,2,23,29,1,12,1,6),(25,211,2,23,30,10,19,1,6),(25,211,2,23,31,26,19,10,6),(25,211,2,23,32,2,25,1,10),(25,211,2,23,33,24,15,16,6),(25,211,2,23,34,9,12,3,8),(25,211,2,23,35,14,20,4,5),(25,211,2,23,36,13,13,5,3),(25,211,2,23,37,11,17,6,7),(25,211,2,23,38,29,22,9,6),(25,211,2,23,39,44,NULL,19,NULL),(25,211,2,23,40,1,5,NULL,2),(25,211,2,24,1,12,22,3,5),(25,211,2,24,2,4,24,1,6),(25,211,2,24,3,12,24,2,7),(25,211,2,24,4,6,21,2,6),(25,211,2,24,5,28,17,6,3),(25,211,2,24,6,12,18,6,6),(25,211,2,24,7,7,13,3,2),(25,211,2,24,8,30,25,9,3),(25,211,2,24,9,40,27,12,6),(25,211,2,24,10,13,26,8,5),(25,211,2,24,11,3,58,1,11),(25,211,2,24,12,8,22,5,6),(25,211,2,24,13,50,7,15,2),(25,211,2,24,14,9,26,4,8),(25,211,2,24,15,13,31,6,7),(25,211,2,24,16,10,28,4,5),(25,211,2,24,17,10,33,3,7),(25,211,2,24,18,20,20,4,6),(25,211,2,24,19,3,15,NULL,1),(25,211,2,24,20,6,24,4,7),(25,211,2,24,21,5,8,3,3),(25,211,2,24,22,1,4,1,2),(25,211,2,24,23,2,10,NULL,5),(25,211,2,24,24,6,5,1,NULL),(25,211,2,24,25,4,NULL,5,NULL),(25,211,2,24,26,2,12,3,NULL),(25,211,2,24,27,1,7,1,NULL),(25,211,2,24,28,1,9,NULL,1),(25,211,2,24,29,6,9,4,2),(25,211,2,24,30,2,14,1,2),(25,211,2,24,31,17,13,10,4),(25,211,2,24,32,5,16,3,8),(25,211,2,24,33,24,17,13,3),(25,211,2,24,34,4,9,2,2),(25,211,2,24,35,13,17,2,4),(25,211,2,24,36,11,16,4,4),(25,211,2,24,37,2,21,4,8),(25,211,2,24,38,19,16,11,NULL),(25,211,2,24,39,42,NULL,15,NULL),(25,211,2,24,40,4,5,5,NULL),(25,212,1,11,1,NULL,NULL,NULL,NULL),(25,212,1,11,2,NULL,NULL,NULL,NULL),(25,212,1,11,3,NULL,NULL,NULL,NULL),(25,212,1,11,4,NULL,NULL,NULL,NULL),(25,212,1,11,5,NULL,NULL,NULL,NULL),(25,212,1,11,6,NULL,NULL,NULL,NULL),(25,212,1,11,7,NULL,NULL,NULL,NULL),(25,212,1,11,8,NULL,NULL,NULL,NULL),(25,212,1,11,9,NULL,NULL,NULL,NULL),(25,212,1,11,10,NULL,NULL,NULL,NULL),(25,212,1,11,11,NULL,NULL,NULL,NULL),(25,212,1,11,12,NULL,NULL,NULL,NULL),(25,212,1,11,13,NULL,NULL,NULL,NULL),(25,212,1,11,14,NULL,NULL,NULL,NULL),(25,212,1,11,15,NULL,NULL,NULL,NULL),(25,212,1,11,16,NULL,NULL,NULL,NULL),(25,212,1,11,17,NULL,NULL,NULL,NULL),(25,212,1,11,18,NULL,NULL,NULL,NULL),(25,212,1,11,19,NULL,NULL,NULL,NULL),(25,212,1,11,20,NULL,NULL,NULL,NULL),(25,212,1,11,21,NULL,NULL,NULL,NULL),(25,212,1,11,22,NULL,NULL,NULL,NULL),(25,212,1,11,23,NULL,NULL,NULL,NULL),(25,212,1,11,24,NULL,NULL,NULL,NULL),(25,212,1,11,25,NULL,NULL,NULL,NULL),(25,212,1,11,26,NULL,NULL,NULL,NULL),(25,212,1,11,27,NULL,NULL,NULL,NULL),(25,212,1,11,28,NULL,NULL,NULL,NULL),(25,212,1,11,29,NULL,NULL,NULL,NULL),(25,212,1,11,30,NULL,NULL,NULL,NULL),(25,212,1,11,31,NULL,NULL,NULL,NULL),(25,212,1,11,32,NULL,NULL,NULL,NULL),(25,212,1,11,33,NULL,NULL,NULL,NULL),(25,212,1,11,34,NULL,NULL,NULL,NULL),(25,212,1,11,35,NULL,NULL,NULL,NULL),(25,212,1,11,36,NULL,NULL,NULL,NULL),(25,212,1,11,37,NULL,NULL,NULL,NULL),(25,212,1,11,38,NULL,NULL,NULL,NULL),(25,212,1,11,39,NULL,NULL,NULL,NULL),(25,212,1,11,40,NULL,NULL,NULL,NULL),(25,212,1,12,1,NULL,NULL,NULL,NULL),(25,212,1,12,2,NULL,NULL,NULL,NULL),(25,212,1,12,3,NULL,NULL,NULL,NULL),(25,212,1,12,4,NULL,NULL,NULL,NULL),(25,212,1,12,5,NULL,NULL,NULL,NULL),(25,212,1,12,6,NULL,NULL,NULL,NULL),(25,212,1,12,7,NULL,NULL,NULL,NULL),(25,212,1,12,8,NULL,NULL,NULL,NULL),(25,212,1,12,9,NULL,NULL,NULL,NULL),(25,212,1,12,10,NULL,NULL,NULL,NULL),(25,212,1,12,11,NULL,NULL,NULL,NULL),(25,212,1,12,12,NULL,NULL,NULL,NULL),(25,212,1,12,13,NULL,NULL,NULL,NULL),(25,212,1,12,14,NULL,NULL,NULL,NULL),(25,212,1,12,15,NULL,NULL,NULL,NULL),(25,212,1,12,16,NULL,NULL,NULL,NULL),(25,212,1,12,17,NULL,NULL,NULL,NULL),(25,212,1,12,18,NULL,NULL,NULL,NULL),(25,212,1,12,19,NULL,NULL,NULL,NULL),(25,212,1,12,20,NULL,NULL,NULL,NULL),(25,212,1,12,21,NULL,NULL,NULL,NULL),(25,212,1,12,22,NULL,NULL,NULL,NULL),(25,212,1,12,23,NULL,NULL,NULL,NULL),(25,212,1,12,24,NULL,NULL,NULL,NULL),(25,212,1,12,25,NULL,NULL,NULL,NULL),(25,212,1,12,26,NULL,NULL,NULL,NULL),(25,212,1,12,27,NULL,NULL,NULL,NULL),(25,212,1,12,28,NULL,NULL,NULL,NULL),(25,212,1,12,29,NULL,NULL,NULL,NULL),(25,212,1,12,30,NULL,NULL,NULL,NULL),(25,212,1,12,31,NULL,NULL,NULL,NULL),(25,212,1,12,32,NULL,NULL,NULL,NULL),(25,212,1,12,33,NULL,NULL,NULL,NULL),(25,212,1,12,34,NULL,NULL,NULL,NULL),(25,212,1,12,35,NULL,NULL,NULL,NULL),(25,212,1,12,36,NULL,NULL,NULL,NULL),(25,212,1,12,37,NULL,NULL,NULL,NULL),(25,212,1,12,38,NULL,NULL,NULL,NULL),(25,212,1,12,39,NULL,NULL,NULL,NULL),(25,212,1,12,40,NULL,NULL,NULL,NULL),(25,212,1,13,1,NULL,2,NULL,NULL),(25,212,1,13,2,NULL,NULL,NULL,NULL),(25,212,1,13,3,NULL,1,NULL,NULL),(25,212,1,13,4,1,1,NULL,NULL),(25,212,1,13,5,NULL,1,NULL,NULL),(25,212,1,13,6,NULL,2,NULL,NULL),(25,212,1,13,7,NULL,1,NULL,NULL),(25,212,1,13,8,1,1,NULL,NULL),(25,212,1,13,9,NULL,2,NULL,NULL),(25,212,1,13,10,NULL,1,NULL,NULL),(25,212,1,13,11,NULL,1,NULL,NULL),(25,212,1,13,12,1,1,NULL,NULL),(25,212,1,13,13,2,NULL,NULL,NULL),(25,212,1,13,14,1,1,NULL,NULL),(25,212,1,13,15,NULL,NULL,NULL,NULL),(25,212,1,13,16,1,1,NULL,NULL),(25,212,1,13,17,1,1,NULL,NULL),(25,212,1,13,18,2,NULL,NULL,NULL),(25,212,1,13,19,NULL,1,NULL,NULL),(25,212,1,13,20,1,1,NULL,NULL),(25,212,1,13,21,NULL,NULL,NULL,NULL),(25,212,1,13,22,NULL,NULL,NULL,NULL),(25,212,1,13,23,NULL,NULL,NULL,NULL),(25,212,1,13,24,NULL,NULL,NULL,NULL),(25,212,1,13,25,NULL,1,NULL,NULL),(25,212,1,13,26,1,NULL,NULL,NULL),(25,212,1,13,27,1,NULL,NULL,NULL),(25,212,1,13,28,NULL,1,NULL,NULL),(25,212,1,13,29,NULL,1,NULL,NULL),(25,212,1,13,30,NULL,1,NULL,NULL),(25,212,1,13,31,NULL,1,NULL,NULL),(25,212,1,13,32,1,NULL,NULL,NULL),(25,212,1,13,33,1,NULL,NULL,NULL),(25,212,1,13,34,1,NULL,NULL,NULL),(25,212,1,13,35,NULL,1,NULL,NULL),(25,212,1,13,36,1,NULL,NULL,NULL),(25,212,1,13,37,NULL,NULL,NULL,NULL),(25,212,1,13,38,NULL,1,NULL,NULL),(25,212,1,13,39,NULL,NULL,NULL,NULL),(25,212,1,13,40,NULL,1,NULL,NULL),(25,212,1,14,1,21,30,3,9),(25,212,1,14,2,11,15,4,3),(25,212,1,14,3,14,12,7,2),(25,212,1,14,4,35,19,11,2),(25,212,1,14,5,8,19,3,4),(25,212,1,14,6,4,30,3,7),(25,212,1,14,7,16,46,4,10),(25,212,1,14,8,10,14,6,NULL),(25,212,1,14,9,10,24,5,6),(25,212,1,14,10,4,8,1,3),(25,212,1,14,11,9,9,2,3),(25,212,1,14,12,12,4,6,NULL),(25,212,1,14,13,13,14,4,1),(25,212,1,14,14,21,11,5,3),(25,212,1,14,15,30,11,8,2),(25,212,1,14,16,15,9,2,4),(25,212,1,14,17,20,8,9,2),(25,212,1,14,18,37,11,11,1),(25,212,1,14,19,20,33,7,7),(25,212,1,14,20,26,4,10,2),(25,212,1,14,21,22,21,7,4),(25,212,1,14,22,11,28,4,6),(25,212,1,14,23,2,16,1,8),(25,212,1,14,24,5,18,2,8),(25,212,1,14,25,2,22,NULL,7),(25,212,1,14,26,12,NULL,5,NULL),(25,212,1,14,27,5,NULL,1,NULL),(25,212,1,14,28,9,38,1,8),(25,212,1,14,29,8,11,1,7),(25,212,1,14,30,3,12,1,2),(25,212,1,14,31,NULL,13,1,3),(25,212,1,14,32,8,10,4,3),(25,212,1,14,33,5,13,4,5),(25,212,1,14,34,10,13,NULL,5),(25,212,1,14,35,13,6,7,NULL),(25,212,1,14,36,16,20,5,4),(25,212,1,14,37,8,14,5,2),(25,212,1,14,38,5,43,2,9),(25,212,1,14,39,7,27,1,4),(25,212,1,14,40,2,12,2,3),(25,212,1,15,1,19,27,3,9),(25,212,1,15,2,6,11,2,5),(25,212,1,15,3,17,16,3,5),(25,212,1,15,4,39,14,13,2),(25,212,1,15,5,7,23,2,9),(25,212,1,15,6,6,12,NULL,6),(25,212,1,15,7,12,48,4,10),(25,212,1,15,8,12,13,2,7),(25,212,1,15,9,5,20,2,5),(25,212,1,15,10,2,4,1,3),(25,212,1,15,11,6,9,1,3),(25,212,1,15,12,12,8,5,4),(25,212,1,15,13,11,13,5,3),(25,212,1,15,14,21,12,5,5),(25,212,1,15,15,29,12,10,3),(25,212,1,15,16,12,16,3,7),(25,212,1,15,17,14,10,4,6),(25,212,1,15,18,37,5,11,2),(25,212,1,15,19,22,25,9,4),(25,212,1,15,20,29,6,7,1),(25,212,1,15,21,20,25,5,7),(25,212,1,15,22,12,19,5,8),(25,212,1,15,23,4,20,2,10),(25,212,1,15,24,1,20,1,11),(25,212,1,15,25,5,19,2,6),(25,212,1,15,26,17,NULL,10,NULL),(25,212,1,15,27,5,NULL,4,NULL),(25,212,1,15,28,7,29,1,11),(25,212,1,15,29,4,9,1,3),(25,212,1,15,30,5,15,1,8),(25,212,1,15,31,1,7,NULL,3),(25,212,1,15,32,7,15,3,9),(25,212,1,15,33,13,9,7,4),(25,212,1,15,34,6,7,6,1),(25,212,1,15,35,4,8,3,2),(25,212,1,15,36,19,19,7,4),(25,212,1,15,37,13,8,5,2),(25,212,1,15,38,5,39,NULL,11),(25,212,1,15,39,10,23,3,6),(25,212,1,15,40,3,9,2,6),(25,212,1,16,1,9,12,2,NULL),(25,212,1,16,2,6,10,2,NULL),(25,212,1,16,3,2,8,2,1),(25,212,1,16,4,19,12,2,1),(25,212,1,16,5,4,10,NULL,3),(25,212,1,16,6,1,16,1,4),(25,212,1,16,7,2,24,2,1),(25,212,1,16,8,6,11,NULL,2),(25,212,1,16,9,3,11,2,NULL),(25,212,1,16,10,NULL,5,NULL,NULL),(25,212,1,16,11,4,6,2,NULL),(25,212,1,16,12,6,11,2,2),(25,212,1,16,13,15,9,2,2),(25,212,1,16,14,6,10,3,1),(25,212,1,16,15,18,NULL,3,NULL),(25,212,1,16,16,6,15,1,3),(25,212,1,16,17,NULL,12,NULL,2),(25,212,1,16,18,4,32,2,3),(25,212,1,16,19,1,18,NULL,2),(25,212,1,16,20,27,NULL,4,NULL),(25,212,1,16,21,5,17,NULL,3),(25,212,1,16,22,3,17,1,3),(25,212,1,16,23,1,11,NULL,2),(25,212,1,16,24,2,7,NULL,1),(25,212,1,16,25,1,8,NULL,2),(25,212,1,16,26,5,NULL,1,NULL),(25,212,1,16,27,3,NULL,NULL,NULL),(25,212,1,16,28,7,21,1,3),(25,212,1,16,29,1,3,1,NULL),(25,212,1,16,30,NULL,8,NULL,3),(25,212,1,16,31,NULL,4,1,NULL),(25,212,1,16,32,1,5,NULL,NULL),(25,212,1,16,33,NULL,9,2,1),(25,212,1,16,34,6,7,NULL,1),(25,212,1,16,35,3,4,NULL,NULL),(25,212,1,16,36,7,5,1,2),(25,212,1,16,37,7,8,1,NULL),(25,212,1,16,38,2,28,NULL,1),(25,212,1,16,39,1,17,NULL,3),(25,212,1,16,40,NULL,6,1,2),(25,212,1,17,1,11,13,2,3),(25,212,1,17,2,3,7,NULL,NULL),(25,212,1,17,3,6,9,NULL,NULL),(25,212,1,17,4,17,12,3,1),(25,212,1,17,5,1,11,1,1),(25,212,1,17,6,6,6,1,NULL),(25,212,1,17,7,NULL,22,1,2),(25,212,1,17,8,7,9,NULL,1),(25,212,1,17,9,3,11,1,1),(25,212,1,17,10,NULL,NULL,NULL,NULL),(25,212,1,17,11,3,5,NULL,NULL),(25,212,1,17,12,3,11,NULL,2),(25,212,1,17,13,12,9,2,3),(25,212,1,17,14,10,4,NULL,NULL),(25,212,1,17,15,19,NULL,4,NULL),(25,212,1,17,16,5,16,1,3),(25,212,1,17,17,1,20,NULL,2),(25,212,1,17,18,3,24,NULL,3),(25,212,1,17,19,NULL,13,NULL,2),(25,212,1,17,20,21,NULL,5,NULL),(25,212,1,17,21,5,13,1,2),(25,212,1,17,22,2,15,NULL,5),(25,212,1,17,23,3,9,1,3),(25,212,1,17,24,1,9,NULL,3),(25,212,1,17,25,NULL,4,NULL,NULL),(25,212,1,17,26,5,NULL,3,NULL),(25,212,1,17,27,7,NULL,1,NULL),(25,212,1,17,28,6,17,1,2),(25,212,1,17,29,3,5,1,NULL),(25,212,1,17,30,2,7,NULL,2),(25,212,1,17,31,NULL,2,NULL,NULL),(25,212,1,17,32,1,1,NULL,NULL),(25,212,1,17,33,1,7,2,NULL),(25,212,1,17,34,3,7,NULL,NULL),(25,212,1,17,35,4,3,NULL,1),(25,212,1,17,36,3,10,1,3),(25,212,1,17,37,3,12,NULL,1),(25,212,1,17,38,1,15,NULL,3),(25,212,1,17,39,1,16,NULL,5),(25,212,1,17,40,2,9,1,1),(25,212,2,21,1,4,13,1,6),(25,212,2,21,2,1,10,1,4),(25,212,2,21,3,7,11,3,2),(25,212,2,21,4,6,11,1,3),(25,212,2,21,5,18,14,6,4),(25,212,2,21,6,7,9,6,4),(25,212,2,21,7,3,8,2,NULL),(25,212,2,21,8,10,13,4,4),(25,212,2,21,9,23,17,7,3),(25,212,2,21,10,8,11,4,3),(25,212,2,21,11,2,36,NULL,5),(25,212,2,21,12,3,13,3,2),(25,212,2,21,13,21,9,9,NULL),(25,212,2,21,14,11,14,5,5),(25,212,2,21,15,17,7,2,1),(25,212,2,21,16,7,20,2,5),(25,212,2,21,17,3,18,3,3),(25,212,2,21,18,9,15,5,4),(25,212,2,21,19,2,9,2,2),(25,212,2,21,20,7,17,1,5),(25,212,2,21,21,3,4,2,NULL),(25,212,2,21,22,1,1,1,1),(25,212,2,21,23,4,8,NULL,4),(25,212,2,21,24,3,7,NULL,2),(25,212,2,21,25,4,NULL,1,NULL),(25,212,2,21,26,1,11,NULL,1),(25,212,2,21,27,NULL,4,NULL,1),(25,212,2,21,28,NULL,5,1,1),(25,212,2,21,29,2,7,1,1),(25,212,2,21,30,1,7,1,NULL),(25,212,2,21,31,11,3,5,2),(25,212,2,21,32,5,8,NULL,6),(25,212,2,21,33,19,5,6,2),(25,212,2,21,34,1,11,NULL,2),(25,212,2,21,35,6,6,3,3),(25,212,2,21,36,5,7,1,2),(25,212,2,21,37,1,7,1,3),(25,212,2,21,38,15,10,4,4),(25,212,2,21,39,31,NULL,8,NULL),(25,212,2,21,40,NULL,5,1,4),(25,212,2,22,1,7,17,2,3),(25,212,2,22,2,2,13,1,3),(25,212,2,22,3,5,15,3,3),(25,212,2,22,4,6,15,1,5),(25,212,2,22,5,11,18,7,NULL),(25,212,2,22,6,4,13,1,4),(25,212,2,22,7,2,7,2,2),(25,212,2,22,8,10,18,2,3),(25,212,2,22,9,18,19,7,1),(25,212,2,22,10,5,17,3,2),(25,212,2,22,11,6,29,2,4),(25,212,2,22,12,6,13,NULL,4),(25,212,2,22,13,25,12,4,1),(25,212,2,22,14,6,18,4,2),(25,212,2,22,15,20,15,2,3),(25,212,2,22,16,3,22,3,2),(25,212,2,22,17,3,18,1,NULL),(25,212,2,22,18,6,19,3,3),(25,212,2,22,19,2,18,1,2),(25,212,2,22,20,5,15,1,2),(25,212,2,22,21,2,7,1,2),(25,212,2,22,22,NULL,3,NULL,1),(25,212,2,22,23,4,7,2,1),(25,212,2,22,24,1,11,1,NULL),(25,212,2,22,25,4,NULL,2,NULL),(25,212,2,22,26,NULL,4,NULL,NULL),(25,212,2,22,27,1,6,NULL,NULL),(25,212,2,22,28,NULL,5,NULL,1),(25,212,2,22,29,1,7,1,2),(25,212,2,22,30,4,12,2,1),(25,212,2,22,31,12,5,4,2),(25,212,2,22,32,NULL,12,NULL,5),(25,212,2,22,33,14,10,6,2),(25,212,2,22,34,1,5,1,1),(25,212,2,22,35,7,13,2,2),(25,212,2,22,36,2,15,2,2),(25,212,2,22,37,1,17,2,4),(25,212,2,22,38,16,11,3,2),(25,212,2,22,39,25,NULL,7,NULL),(25,212,2,22,40,1,7,NULL,3),(25,212,2,23,1,2,13,NULL,6),(25,212,2,23,2,2,7,NULL,1),(25,212,2,23,3,4,12,2,5),(25,212,2,23,4,12,10,2,4),(25,212,2,23,5,11,8,4,3),(25,212,2,23,6,8,8,3,3),(25,212,2,23,7,5,8,1,3),(25,212,2,23,8,12,10,2,3),(25,212,2,23,9,23,12,7,2),(25,212,2,23,10,6,16,2,5),(25,212,2,23,11,4,26,3,4),(25,212,2,23,12,4,7,1,3),(25,212,2,23,13,27,7,4,2),(25,212,2,23,14,7,12,3,3),(25,212,2,23,15,11,10,NULL,5),(25,212,2,23,16,6,15,NULL,2),(25,212,2,23,17,2,18,1,4),(25,212,2,23,18,11,12,3,1),(25,212,2,23,19,NULL,8,NULL,2),(25,212,2,23,20,5,14,1,1),(25,212,2,23,21,5,6,2,1),(25,212,2,23,22,NULL,3,NULL,1),(25,212,2,23,23,4,5,2,1),(25,212,2,23,24,1,8,1,3),(25,212,2,23,25,1,NULL,NULL,NULL),(25,212,2,23,26,NULL,2,NULL,1),(25,212,2,23,27,NULL,2,NULL,NULL),(25,212,2,23,28,2,2,1,1),(25,212,2,23,29,4,6,3,3),(25,212,2,23,30,3,8,1,3),(25,212,2,23,31,9,10,7,1),(25,212,2,23,32,3,7,NULL,2),(25,212,2,23,33,9,7,7,1),(25,212,2,23,34,3,3,1,1),(25,212,2,23,35,4,8,2,3),(25,212,2,23,36,2,6,NULL,NULL),(25,212,2,23,37,5,1,4,NULL),(25,212,2,23,38,15,6,3,2),(25,212,2,23,39,29,NULL,8,NULL),(25,212,2,23,40,1,3,NULL,2),(25,212,2,24,1,1,10,1,4),(25,212,2,24,2,2,10,1,4),(25,212,2,24,3,5,10,NULL,5),(25,212,2,24,4,4,14,1,3),(25,212,2,24,5,8,10,4,1),(25,212,2,24,6,4,6,NULL,5),(25,212,2,24,7,4,8,4,2),(25,212,2,24,8,13,8,5,3),(25,212,2,24,9,17,13,5,3),(25,212,2,24,10,5,15,3,3),(25,212,2,24,11,5,28,NULL,7),(25,212,2,24,12,5,14,3,3),(25,212,2,24,13,26,7,7,NULL),(25,212,2,24,14,5,17,3,4),(25,212,2,24,15,11,12,4,4),(25,212,2,24,16,9,15,4,2),(25,212,2,24,17,4,21,1,5),(25,212,2,24,18,5,11,1,2),(25,212,2,24,19,1,7,1,1),(25,212,2,24,20,3,12,3,2),(25,212,2,24,21,NULL,4,2,NULL),(25,212,2,24,22,2,NULL,NULL,NULL),(25,212,2,24,23,2,5,2,NULL),(25,212,2,24,24,1,7,1,1),(25,212,2,24,25,4,NULL,NULL,NULL),(25,212,2,24,26,NULL,2,NULL,2),(25,212,2,24,27,1,6,1,4),(25,212,2,24,28,NULL,6,NULL,3),(25,212,2,24,29,1,15,3,4),(25,212,2,24,30,2,4,1,NULL),(25,212,2,24,31,7,5,2,2),(25,212,2,24,32,1,7,NULL,1),(25,212,2,24,33,10,10,5,1),(25,212,2,24,34,2,8,NULL,NULL),(25,212,2,24,35,3,10,NULL,3),(25,212,2,24,36,5,4,1,NULL),(25,212,2,24,37,6,8,2,1),(25,212,2,24,38,12,9,2,3),(25,212,2,24,39,21,NULL,9,NULL),(25,212,2,24,40,3,4,NULL,2),(25,213,1,11,1,NULL,NULL,NULL,NULL),(25,213,1,11,2,NULL,NULL,NULL,NULL),(25,213,1,11,3,NULL,NULL,NULL,NULL),(25,213,1,11,4,NULL,NULL,NULL,NULL),(25,213,1,11,5,NULL,NULL,NULL,NULL),(25,213,1,11,6,NULL,NULL,NULL,NULL),(25,213,1,11,7,NULL,NULL,NULL,NULL),(25,213,1,11,8,NULL,NULL,NULL,NULL),(25,213,1,11,9,NULL,NULL,NULL,NULL),(25,213,1,11,10,NULL,NULL,NULL,NULL),(25,213,1,11,11,NULL,NULL,NULL,NULL),(25,213,1,11,12,NULL,NULL,NULL,NULL),(25,213,1,11,13,NULL,NULL,NULL,NULL),(25,213,1,11,14,NULL,NULL,NULL,NULL),(25,213,1,11,15,NULL,NULL,NULL,NULL),(25,213,1,11,16,NULL,NULL,NULL,NULL),(25,213,1,11,17,NULL,NULL,NULL,NULL),(25,213,1,11,18,NULL,NULL,NULL,NULL),(25,213,1,11,19,NULL,NULL,NULL,NULL),(25,213,1,11,20,NULL,NULL,NULL,NULL),(25,213,1,11,21,NULL,NULL,NULL,NULL),(25,213,1,11,22,NULL,NULL,NULL,NULL),(25,213,1,11,23,NULL,NULL,NULL,NULL),(25,213,1,11,24,NULL,NULL,NULL,NULL),(25,213,1,11,25,NULL,NULL,NULL,NULL),(25,213,1,11,26,NULL,NULL,NULL,NULL),(25,213,1,11,27,NULL,NULL,NULL,NULL),(25,213,1,11,28,NULL,NULL,NULL,NULL),(25,213,1,11,29,NULL,NULL,NULL,NULL),(25,213,1,11,30,NULL,NULL,NULL,NULL),(25,213,1,11,31,NULL,NULL,NULL,NULL),(25,213,1,11,32,NULL,NULL,NULL,NULL),(25,213,1,11,33,NULL,NULL,NULL,NULL),(25,213,1,11,34,NULL,NULL,NULL,NULL),(25,213,1,11,35,NULL,NULL,NULL,NULL),(25,213,1,11,36,NULL,NULL,NULL,NULL),(25,213,1,11,37,NULL,NULL,NULL,NULL),(25,213,1,11,38,NULL,NULL,NULL,NULL),(25,213,1,11,39,NULL,NULL,NULL,NULL),(25,213,1,11,40,NULL,NULL,NULL,NULL),(25,213,1,12,1,NULL,NULL,NULL,NULL),(25,213,1,12,2,NULL,NULL,NULL,NULL),(25,213,1,12,3,NULL,NULL,NULL,NULL),(25,213,1,12,4,NULL,NULL,NULL,NULL),(25,213,1,12,5,NULL,NULL,NULL,NULL),(25,213,1,12,6,NULL,NULL,NULL,NULL),(25,213,1,12,7,NULL,NULL,NULL,NULL),(25,213,1,12,8,NULL,NULL,NULL,NULL),(25,213,1,12,9,NULL,NULL,NULL,NULL),(25,213,1,12,10,NULL,NULL,NULL,NULL),(25,213,1,12,11,NULL,NULL,NULL,NULL),(25,213,1,12,12,NULL,NULL,NULL,NULL),(25,213,1,12,13,NULL,NULL,NULL,NULL),(25,213,1,12,14,NULL,NULL,NULL,NULL),(25,213,1,12,15,NULL,NULL,NULL,NULL),(25,213,1,12,16,NULL,NULL,NULL,NULL),(25,213,1,12,17,NULL,NULL,NULL,NULL),(25,213,1,12,18,NULL,NULL,NULL,NULL),(25,213,1,12,19,NULL,NULL,NULL,NULL),(25,213,1,12,20,NULL,NULL,NULL,NULL),(25,213,1,12,21,NULL,NULL,NULL,NULL),(25,213,1,12,22,NULL,NULL,NULL,NULL),(25,213,1,12,23,NULL,NULL,NULL,NULL),(25,213,1,12,24,NULL,NULL,NULL,NULL),(25,213,1,12,25,NULL,NULL,NULL,NULL),(25,213,1,12,26,NULL,NULL,NULL,NULL),(25,213,1,12,27,NULL,NULL,NULL,NULL),(25,213,1,12,28,NULL,NULL,NULL,NULL),(25,213,1,12,29,NULL,NULL,NULL,NULL),(25,213,1,12,30,NULL,NULL,NULL,NULL),(25,213,1,12,31,NULL,NULL,NULL,NULL),(25,213,1,12,32,NULL,NULL,NULL,NULL),(25,213,1,12,33,NULL,NULL,NULL,NULL),(25,213,1,12,34,NULL,NULL,NULL,NULL),(25,213,1,12,35,NULL,NULL,NULL,NULL),(25,213,1,12,36,NULL,NULL,NULL,NULL),(25,213,1,12,37,NULL,NULL,NULL,NULL),(25,213,1,12,38,NULL,NULL,NULL,NULL),(25,213,1,12,39,NULL,NULL,NULL,NULL),(25,213,1,12,40,NULL,NULL,NULL,NULL),(25,213,1,13,1,NULL,NULL,NULL,NULL),(25,213,1,13,2,NULL,NULL,NULL,NULL),(25,213,1,13,3,NULL,NULL,NULL,NULL),(25,213,1,13,4,NULL,NULL,NULL,NULL),(25,213,1,13,5,NULL,NULL,NULL,NULL),(25,213,1,13,6,NULL,NULL,NULL,NULL),(25,213,1,13,7,NULL,NULL,NULL,NULL),(25,213,1,13,8,NULL,NULL,NULL,NULL),(25,213,1,13,9,NULL,NULL,NULL,NULL),(25,213,1,13,10,NULL,NULL,NULL,NULL),(25,213,1,13,11,NULL,NULL,NULL,NULL),(25,213,1,13,12,NULL,NULL,NULL,NULL),(25,213,1,13,13,NULL,NULL,NULL,NULL),(25,213,1,13,14,NULL,NULL,NULL,NULL),(25,213,1,13,15,NULL,NULL,NULL,NULL),(25,213,1,13,16,NULL,NULL,NULL,NULL),(25,213,1,13,17,NULL,NULL,NULL,NULL),(25,213,1,13,18,NULL,NULL,NULL,NULL),(25,213,1,13,19,NULL,NULL,NULL,NULL),(25,213,1,13,20,NULL,NULL,NULL,NULL),(25,213,1,13,21,NULL,NULL,NULL,NULL),(25,213,1,13,22,NULL,NULL,NULL,NULL),(25,213,1,13,23,NULL,NULL,NULL,NULL),(25,213,1,13,24,NULL,NULL,NULL,NULL),(25,213,1,13,25,NULL,NULL,NULL,NULL),(25,213,1,13,26,NULL,NULL,NULL,NULL),(25,213,1,13,27,NULL,NULL,NULL,NULL),(25,213,1,13,28,NULL,NULL,NULL,NULL),(25,213,1,13,29,NULL,NULL,NULL,NULL),(25,213,1,13,30,NULL,NULL,NULL,NULL),(25,213,1,13,31,NULL,NULL,NULL,NULL),(25,213,1,13,32,NULL,NULL,NULL,NULL),(25,213,1,13,33,NULL,NULL,NULL,NULL),(25,213,1,13,34,NULL,NULL,NULL,NULL),(25,213,1,13,35,NULL,NULL,NULL,NULL),(25,213,1,13,36,NULL,NULL,NULL,NULL),(25,213,1,13,37,NULL,NULL,NULL,NULL),(25,213,1,13,38,NULL,NULL,NULL,NULL),(25,213,1,13,39,NULL,NULL,NULL,NULL),(25,213,1,13,40,NULL,NULL,NULL,NULL),(25,213,1,14,1,7,13,5,8),(25,213,1,14,2,5,5,3,5),(25,213,1,14,3,5,3,5,2),(25,213,1,14,4,11,10,11,7),(25,213,1,14,5,1,10,3,8),(25,213,1,14,6,4,10,2,5),(25,213,1,14,7,4,17,3,11),(25,213,1,14,8,4,8,2,8),(25,213,1,14,9,5,6,3,5),(25,213,1,14,10,NULL,3,1,2),(25,213,1,14,11,1,5,1,4),(25,213,1,14,12,2,4,3,5),(25,213,1,14,13,3,6,2,6),(25,213,1,14,14,10,8,8,6),(25,213,1,14,15,9,6,6,9),(25,213,1,14,16,2,4,2,8),(25,213,1,14,17,5,5,6,2),(25,213,1,14,18,16,1,13,1),(25,213,1,14,19,10,9,5,10),(25,213,1,14,20,7,1,9,2),(25,213,1,14,21,4,9,5,5),(25,213,1,14,22,1,7,1,9),(25,213,1,14,23,5,8,2,8),(25,213,1,14,24,3,6,2,8),(25,213,1,14,25,1,8,2,7),(25,213,1,14,26,7,NULL,7,NULL),(25,213,1,14,27,2,NULL,3,NULL),(25,213,1,14,28,5,11,2,12),(25,213,1,14,29,1,6,1,4),(25,213,1,14,30,NULL,7,NULL,9),(25,213,1,14,31,1,1,2,4),(25,213,1,14,32,2,3,4,5),(25,213,1,14,33,NULL,3,2,4),(25,213,1,14,34,3,5,2,4),(25,213,1,14,35,4,2,6,4),(25,213,1,14,36,5,13,5,6),(25,213,1,14,37,6,3,5,4),(25,213,1,14,38,3,11,NULL,11),(25,213,1,14,39,1,10,NULL,10),(25,213,1,14,40,1,4,3,6),(25,213,1,15,1,3,13,3,6),(25,213,1,15,2,3,5,1,3),(25,213,1,15,3,5,3,3,1),(25,213,1,15,4,14,10,10,2),(25,213,1,15,5,NULL,12,1,7),(25,213,1,15,6,1,6,3,5),(25,213,1,15,7,2,19,5,8),(25,213,1,15,8,7,6,5,3),(25,213,1,15,9,3,5,3,5),(25,213,1,15,10,NULL,4,NULL,4),(25,213,1,15,11,4,4,2,3),(25,213,1,15,12,5,2,2,NULL),(25,213,1,15,13,5,9,6,4),(25,213,1,15,14,6,6,6,2),(25,213,1,15,15,13,5,7,4),(25,213,1,15,16,7,6,4,2),(25,213,1,15,17,9,7,7,4),(25,213,1,15,18,17,1,13,NULL),(25,213,1,15,19,10,7,7,5),(25,213,1,15,20,11,1,10,NULL),(25,213,1,15,21,9,7,6,4),(25,213,1,15,22,2,11,2,7),(25,213,1,15,23,4,14,2,8),(25,213,1,15,24,3,6,1,4),(25,213,1,15,25,NULL,8,1,7),(25,213,1,15,26,11,NULL,7,NULL),(25,213,1,15,27,4,NULL,3,NULL),(25,213,1,15,28,2,15,2,4),(25,213,1,15,29,2,2,1,2),(25,213,1,15,30,4,8,3,2),(25,213,1,15,31,NULL,3,1,2),(25,213,1,15,32,1,7,1,4),(25,213,1,15,33,NULL,7,1,5),(25,213,1,15,34,4,5,2,3),(25,213,1,15,35,3,1,2,NULL),(25,213,1,15,36,8,9,8,3),(25,213,1,15,37,5,6,6,2),(25,213,1,15,38,2,16,3,9),(25,213,1,15,39,6,7,2,7),(25,213,1,15,40,1,8,2,6),(25,213,1,16,1,2,3,NULL,1),(25,213,1,16,2,1,3,NULL,NULL),(25,213,1,16,3,1,4,NULL,NULL),(25,213,1,16,4,8,5,2,NULL),(25,213,1,16,5,NULL,4,NULL,1),(25,213,1,16,6,NULL,7,NULL,NULL),(25,213,1,16,7,4,8,NULL,2),(25,213,1,16,8,2,5,NULL,1),(25,213,1,16,9,3,3,NULL,1),(25,213,1,16,10,NULL,1,NULL,NULL),(25,213,1,16,11,NULL,2,NULL,1),(25,213,1,16,12,1,2,1,1),(25,213,1,16,13,5,4,NULL,3),(25,213,1,16,14,3,3,NULL,3),(25,213,1,16,15,7,NULL,2,NULL),(25,213,1,16,16,1,7,1,1),(25,213,1,16,17,NULL,7,NULL,2),(25,213,1,16,18,4,6,2,1),(25,213,1,16,19,NULL,5,NULL,NULL),(25,213,1,16,20,10,NULL,3,NULL),(25,213,1,16,21,3,5,2,NULL),(25,213,1,16,22,1,4,NULL,2),(25,213,1,16,23,2,3,2,NULL),(25,213,1,16,24,1,1,NULL,NULL),(25,213,1,16,25,1,2,1,NULL),(25,213,1,16,26,2,NULL,2,NULL),(25,213,1,16,27,1,NULL,1,NULL),(25,213,1,16,28,1,7,NULL,2),(25,213,1,16,29,2,1,2,NULL),(25,213,1,16,30,NULL,3,NULL,1),(25,213,1,16,31,NULL,1,NULL,1),(25,213,1,16,32,NULL,3,NULL,1),(25,213,1,16,33,1,5,NULL,2),(25,213,1,16,34,1,3,NULL,1),(25,213,1,16,35,1,1,1,NULL),(25,213,1,16,36,3,5,NULL,2),(25,213,1,16,37,2,5,1,2),(25,213,1,16,38,NULL,9,NULL,1),(25,213,1,16,39,1,7,NULL,1),(25,213,1,16,40,NULL,2,NULL,NULL),(25,213,1,17,1,2,1,1,2),(25,213,1,17,2,NULL,1,NULL,1),(25,213,1,17,3,1,1,1,3),(25,213,1,17,4,3,4,2,2),(25,213,1,17,5,1,1,NULL,2),(25,213,1,17,6,NULL,1,NULL,2),(25,213,1,17,7,NULL,3,NULL,2),(25,213,1,17,8,NULL,3,NULL,2),(25,213,1,17,9,NULL,3,NULL,2),(25,213,1,17,10,NULL,NULL,NULL,1),(25,213,1,17,11,1,1,NULL,1),(25,213,1,17,12,NULL,2,1,2),(25,213,1,17,13,3,3,1,2),(25,213,1,17,14,1,2,1,2),(25,213,1,17,15,3,NULL,3,NULL),(25,213,1,17,16,1,4,1,2),(25,213,1,17,17,NULL,4,NULL,1),(25,213,1,17,18,NULL,5,NULL,3),(25,213,1,17,19,NULL,2,NULL,1),(25,213,1,17,20,6,NULL,3,NULL),(25,213,1,17,21,1,5,1,2),(25,213,1,17,22,1,5,1,3),(25,213,1,17,23,1,2,NULL,2),(25,213,1,17,24,1,4,NULL,1),(25,213,1,17,25,NULL,NULL,NULL,1),(25,213,1,17,26,1,NULL,1,NULL),(25,213,1,17,27,NULL,NULL,NULL,NULL),(25,213,1,17,28,1,4,NULL,4),(25,213,1,17,29,1,1,NULL,1),(25,213,1,17,30,NULL,3,NULL,1),(25,213,1,17,31,2,1,1,1),(25,213,1,17,32,NULL,1,NULL,2),(25,213,1,17,33,NULL,2,NULL,2),(25,213,1,17,34,NULL,NULL,1,1),(25,213,1,17,35,2,2,2,1),(25,213,1,17,36,1,1,2,NULL),(25,213,1,17,37,1,2,1,2),(25,213,1,17,38,1,2,1,1),(25,213,1,17,39,NULL,3,NULL,2),(25,213,1,17,40,NULL,4,NULL,3),(25,213,2,21,1,4,3,1,3),(25,213,2,21,2,1,NULL,NULL,NULL),(25,213,2,21,3,3,5,1,2),(25,213,2,21,4,2,6,1,3),(25,213,2,21,5,5,4,2,3),(25,213,2,21,6,1,NULL,1,1),(25,213,2,21,7,2,3,NULL,2),(25,213,2,21,8,6,1,3,1),(25,213,2,21,9,6,8,2,5),(25,213,2,21,10,1,7,1,5),(25,213,2,21,11,NULL,14,NULL,4),(25,213,2,21,12,2,8,1,NULL),(25,213,2,21,13,5,3,3,3),(25,213,2,21,14,5,6,3,4),(25,213,2,21,15,6,5,4,1),(25,213,2,21,16,1,8,NULL,5),(25,213,2,21,17,2,12,NULL,5),(25,213,2,21,18,2,5,NULL,5),(25,213,2,21,19,2,4,NULL,1),(25,213,2,21,20,2,3,2,2),(25,213,2,21,21,1,3,NULL,3),(25,213,2,21,22,NULL,NULL,NULL,1),(25,213,2,21,23,2,3,1,2),(25,213,2,21,24,2,3,NULL,2),(25,213,2,21,25,1,NULL,1,NULL),(25,213,2,21,26,NULL,1,NULL,1),(25,213,2,21,27,1,2,NULL,1),(25,213,2,21,28,NULL,1,NULL,NULL),(25,213,2,21,29,NULL,6,NULL,4),(25,213,2,21,30,3,1,NULL,1),(25,213,2,21,31,3,4,1,1),(25,213,2,21,32,1,2,1,1),(25,213,2,21,33,6,2,5,NULL),(25,213,2,21,34,1,3,1,1),(25,213,2,21,35,3,3,1,2),(25,213,2,21,36,1,3,NULL,2),(25,213,2,21,37,2,4,1,1),(25,213,2,21,38,4,8,2,2),(25,213,2,21,39,11,NULL,4,NULL),(25,213,2,21,40,1,3,1,NULL),(25,213,2,22,1,2,4,1,3),(25,213,2,22,2,NULL,5,NULL,3),(25,213,2,22,3,1,7,2,3),(25,213,2,22,4,2,9,1,3),(25,213,2,22,5,5,7,2,2),(25,213,2,22,6,2,2,1,2),(25,213,2,22,7,2,NULL,NULL,NULL),(25,213,2,22,8,4,8,2,4),(25,213,2,22,9,13,4,6,1),(25,213,2,22,10,NULL,5,1,2),(25,213,2,22,11,3,9,2,3),(25,213,2,22,12,1,4,NULL,2),(25,213,2,22,13,12,4,4,1),(25,213,2,22,14,2,4,1,3),(25,213,2,22,15,5,4,2,1),(25,213,2,22,16,1,5,NULL,3),(25,213,2,22,17,1,10,NULL,4),(25,213,2,22,18,2,4,NULL,3),(25,213,2,22,19,1,9,NULL,2),(25,213,2,22,20,4,3,3,1),(25,213,2,22,21,2,2,2,1),(25,213,2,22,22,1,NULL,1,1),(25,213,2,22,23,2,2,2,1),(25,213,2,22,24,NULL,NULL,NULL,1),(25,213,2,22,25,1,NULL,1,NULL),(25,213,2,22,26,NULL,2,NULL,NULL),(25,213,2,22,27,NULL,1,1,NULL),(25,213,2,22,28,NULL,2,NULL,1),(25,213,2,22,29,1,5,2,1),(25,213,2,22,30,1,1,1,NULL),(25,213,2,22,31,1,8,1,3),(25,213,2,22,32,NULL,5,NULL,3),(25,213,2,22,33,5,5,3,3),(25,213,2,22,34,NULL,2,NULL,NULL),(25,213,2,22,35,2,5,1,2),(25,213,2,22,36,1,5,NULL,3),(25,213,2,22,37,1,3,1,2),(25,213,2,22,38,8,4,4,1),(25,213,2,22,39,10,NULL,6,NULL),(25,213,2,22,40,1,2,1,1),(25,213,2,23,1,1,5,2,6),(25,213,2,23,2,1,4,NULL,4),(25,213,2,23,3,1,5,NULL,5),(25,213,2,23,4,1,5,NULL,6),(25,213,2,23,5,4,3,3,3),(25,213,2,23,6,2,3,3,3),(25,213,2,23,7,2,2,1,4),(25,213,2,23,8,5,2,4,5),(25,213,2,23,9,7,3,7,4),(25,213,2,23,10,1,6,3,4),(25,213,2,23,11,1,7,1,6),(25,213,2,23,12,2,1,NULL,5),(25,213,2,23,13,8,2,8,1),(25,213,2,23,14,NULL,3,1,6),(25,213,2,23,15,3,4,1,5),(25,213,2,23,16,1,6,2,1),(25,213,2,23,17,1,4,1,5),(25,213,2,23,18,2,2,1,4),(25,213,2,23,19,1,3,1,2),(25,213,2,23,20,2,4,1,7),(25,213,2,23,21,1,1,3,2),(25,213,2,23,22,NULL,NULL,NULL,1),(25,213,2,23,23,NULL,3,1,2),(25,213,2,23,24,NULL,3,NULL,1),(25,213,2,23,25,NULL,NULL,1,NULL),(25,213,2,23,26,NULL,3,1,2),(25,213,2,23,27,1,2,NULL,1),(25,213,2,23,28,1,1,1,NULL),(25,213,2,23,29,NULL,3,2,1),(25,213,2,23,30,NULL,1,1,3),(25,213,2,23,31,2,3,6,2),(25,213,2,23,32,NULL,NULL,NULL,4),(25,213,2,23,33,7,3,7,3),(25,213,2,23,34,NULL,NULL,NULL,1),(25,213,2,23,35,NULL,6,2,5),(25,213,2,23,36,1,3,3,4),(25,213,2,23,37,NULL,2,1,2),(25,213,2,23,38,3,3,5,1),(25,213,2,23,39,7,NULL,9,NULL),(25,213,2,23,40,1,1,NULL,1),(25,213,2,24,1,3,9,2,8),(25,213,2,24,2,1,9,1,5),(25,213,2,24,3,4,7,4,4),(25,213,2,24,4,3,6,5,4),(25,213,2,24,5,4,10,4,5),(25,213,2,24,6,2,3,3,5),(25,213,2,24,7,NULL,1,NULL,2),(25,213,2,24,8,5,10,4,6),(25,213,2,24,9,5,7,6,5),(25,213,2,24,10,1,5,2,5),(25,213,2,24,11,1,6,1,6),(25,213,2,24,12,NULL,5,1,2),(25,213,2,24,13,8,4,8,1),(25,213,2,24,14,1,10,1,8),(25,213,2,24,15,7,6,6,4),(25,213,2,24,16,1,4,1,3),(25,213,2,24,17,2,3,2,1),(25,213,2,24,18,1,6,2,4),(25,213,2,24,19,NULL,2,NULL,3),(25,213,2,24,20,2,6,1,2),(25,213,2,24,21,2,2,3,1),(25,213,2,24,22,NULL,NULL,NULL,NULL),(25,213,2,24,23,1,4,1,1),(25,213,2,24,24,1,3,2,1),(25,213,2,24,25,1,NULL,2,NULL),(25,213,2,24,26,1,2,1,2),(25,213,2,24,27,NULL,2,NULL,1),(25,213,2,24,28,NULL,1,NULL,1),(25,213,2,24,29,3,4,2,5),(25,213,2,24,30,1,3,NULL,2),(25,213,2,24,31,3,8,4,5),(25,213,2,24,32,NULL,6,NULL,4),(25,213,2,24,33,3,7,5,5),(25,213,2,24,34,NULL,2,1,3),(25,213,2,24,35,1,12,3,6),(25,213,2,24,36,3,4,3,1),(25,213,2,24,37,2,5,5,4),(25,213,2,24,38,6,4,7,3),(25,213,2,24,39,11,NULL,10,NULL),(25,213,2,24,40,NULL,1,1,2),(25,214,1,11,1,NULL,1,NULL,NULL),(25,214,1,11,2,NULL,1,NULL,NULL),(25,214,1,11,3,1,NULL,NULL,NULL),(25,214,1,11,4,NULL,2,NULL,NULL),(25,214,1,11,5,1,NULL,NULL,NULL),(25,214,1,11,6,NULL,2,NULL,NULL),(25,214,1,11,7,NULL,2,NULL,NULL),(25,214,1,11,8,NULL,1,NULL,NULL),(25,214,1,11,9,NULL,1,NULL,NULL),(25,214,1,11,10,NULL,1,NULL,NULL),(25,214,1,11,11,NULL,1,NULL,NULL),(25,214,1,11,12,2,NULL,NULL,NULL),(25,214,1,11,13,2,NULL,NULL,NULL),(25,214,1,11,14,NULL,NULL,NULL,NULL),(25,214,1,11,15,1,1,NULL,NULL),(25,214,1,11,16,1,1,NULL,NULL),(25,214,1,11,17,1,1,NULL,NULL),(25,214,1,11,18,NULL,2,NULL,NULL),(25,214,1,11,19,NULL,2,NULL,NULL),(25,214,1,11,20,NULL,2,NULL,NULL),(25,214,1,11,21,1,1,NULL,NULL),(25,214,1,11,22,1,NULL,NULL,NULL),(25,214,1,11,23,NULL,1,NULL,NULL),(25,214,1,11,24,NULL,1,NULL,NULL),(25,214,1,11,25,1,NULL,NULL,NULL),(25,214,1,11,26,1,NULL,NULL,NULL),(25,214,1,11,27,NULL,NULL,NULL,NULL),(25,214,1,11,28,NULL,NULL,NULL,NULL),(25,214,1,11,29,NULL,NULL,NULL,NULL),(25,214,1,11,30,NULL,1,NULL,NULL),(25,214,1,11,31,NULL,1,NULL,NULL),(25,214,1,11,32,1,NULL,NULL,NULL),(25,214,1,11,33,NULL,NULL,NULL,NULL),(25,214,1,11,34,NULL,2,NULL,NULL),(25,214,1,11,35,1,NULL,NULL,NULL),(25,214,1,11,36,2,NULL,NULL,NULL),(25,214,1,11,37,2,NULL,NULL,NULL),(25,214,1,11,38,NULL,2,NULL,NULL),(25,214,1,11,39,NULL,1,NULL,NULL),(25,214,1,11,40,NULL,NULL,NULL,NULL),(25,214,1,12,1,NULL,NULL,NULL,NULL),(25,214,1,12,2,NULL,NULL,NULL,NULL),(25,214,1,12,3,NULL,NULL,NULL,NULL),(25,214,1,12,4,NULL,NULL,NULL,NULL),(25,214,1,12,5,NULL,NULL,NULL,NULL),(25,214,1,12,6,NULL,NULL,NULL,NULL),(25,214,1,12,7,NULL,NULL,NULL,NULL),(25,214,1,12,8,NULL,NULL,NULL,NULL),(25,214,1,12,9,NULL,NULL,NULL,NULL),(25,214,1,12,10,NULL,NULL,NULL,NULL),(25,214,1,12,11,NULL,NULL,NULL,NULL),(25,214,1,12,12,NULL,NULL,NULL,NULL),(25,214,1,12,13,NULL,NULL,NULL,NULL),(25,214,1,12,14,NULL,NULL,NULL,NULL),(25,214,1,12,15,NULL,NULL,NULL,NULL),(25,214,1,12,16,NULL,NULL,NULL,NULL),(25,214,1,12,17,NULL,NULL,NULL,NULL),(25,214,1,12,18,NULL,NULL,NULL,NULL),(25,214,1,12,19,NULL,NULL,NULL,NULL),(25,214,1,12,20,NULL,NULL,NULL,NULL),(25,214,1,12,21,NULL,NULL,NULL,NULL),(25,214,1,12,22,NULL,NULL,NULL,NULL),(25,214,1,12,23,NULL,NULL,NULL,NULL),(25,214,1,12,24,NULL,NULL,NULL,NULL),(25,214,1,12,25,NULL,NULL,NULL,NULL),(25,214,1,12,26,NULL,NULL,NULL,NULL),(25,214,1,12,27,NULL,NULL,NULL,NULL),(25,214,1,12,28,NULL,NULL,NULL,NULL),(25,214,1,12,29,NULL,NULL,NULL,NULL),(25,214,1,12,30,NULL,NULL,NULL,NULL),(25,214,1,12,31,NULL,NULL,NULL,NULL),(25,214,1,12,32,NULL,NULL,NULL,NULL),(25,214,1,12,33,NULL,NULL,NULL,NULL),(25,214,1,12,34,NULL,NULL,NULL,NULL),(25,214,1,12,35,NULL,NULL,NULL,NULL),(25,214,1,12,36,NULL,NULL,NULL,NULL),(25,214,1,12,37,NULL,NULL,NULL,NULL),(25,214,1,12,38,NULL,NULL,NULL,NULL),(25,214,1,12,39,NULL,NULL,NULL,NULL),(25,214,1,12,40,NULL,NULL,NULL,NULL),(25,214,1,13,1,NULL,NULL,NULL,NULL),(25,214,1,13,2,NULL,NULL,NULL,NULL),(25,214,1,13,3,NULL,NULL,NULL,NULL),(25,214,1,13,4,NULL,NULL,NULL,NULL),(25,214,1,13,5,NULL,NULL,NULL,NULL),(25,214,1,13,6,NULL,NULL,NULL,NULL),(25,214,1,13,7,NULL,NULL,NULL,NULL),(25,214,1,13,8,NULL,NULL,NULL,NULL),(25,214,1,13,9,NULL,NULL,NULL,NULL),(25,214,1,13,10,NULL,NULL,NULL,NULL),(25,214,1,13,11,NULL,NULL,NULL,NULL),(25,214,1,13,12,NULL,NULL,NULL,NULL),(25,214,1,13,13,NULL,NULL,NULL,NULL),(25,214,1,13,14,NULL,NULL,NULL,NULL),(25,214,1,13,15,NULL,NULL,NULL,NULL),(25,214,1,13,16,NULL,NULL,NULL,NULL),(25,214,1,13,17,NULL,NULL,NULL,NULL),(25,214,1,13,18,NULL,NULL,NULL,NULL),(25,214,1,13,19,NULL,NULL,NULL,NULL),(25,214,1,13,20,NULL,NULL,NULL,NULL),(25,214,1,13,21,NULL,NULL,NULL,NULL),(25,214,1,13,22,NULL,NULL,NULL,NULL),(25,214,1,13,23,NULL,NULL,NULL,NULL),(25,214,1,13,24,NULL,NULL,NULL,NULL),(25,214,1,13,25,NULL,NULL,NULL,NULL),(25,214,1,13,26,NULL,NULL,NULL,NULL),(25,214,1,13,27,NULL,NULL,NULL,NULL),(25,214,1,13,28,NULL,NULL,NULL,NULL),(25,214,1,13,29,NULL,NULL,NULL,NULL),(25,214,1,13,30,NULL,NULL,NULL,NULL),(25,214,1,13,31,NULL,NULL,NULL,NULL),(25,214,1,13,32,NULL,NULL,NULL,NULL),(25,214,1,13,33,NULL,NULL,NULL,NULL),(25,214,1,13,34,NULL,NULL,NULL,NULL),(25,214,1,13,35,NULL,NULL,NULL,NULL),(25,214,1,13,36,NULL,NULL,NULL,NULL),(25,214,1,13,37,NULL,NULL,NULL,NULL),(25,214,1,13,38,NULL,NULL,NULL,NULL),(25,214,1,13,39,NULL,NULL,NULL,NULL),(25,214,1,13,40,NULL,NULL,NULL,NULL),(25,214,1,14,1,26,30,3,7),(25,214,1,14,2,13,22,5,2),(25,214,1,14,3,15,8,7,2),(25,214,1,14,4,47,20,11,5),(25,214,1,14,5,13,26,4,7),(25,214,1,14,6,20,17,7,2),(25,214,1,14,7,27,44,6,8),(25,214,1,14,8,23,12,10,2),(25,214,1,14,9,12,23,5,3),(25,214,1,14,10,4,9,3,3),(25,214,1,14,11,8,10,4,2),(25,214,1,14,12,10,2,6,1),(25,214,1,14,13,24,15,8,3),(25,214,1,14,14,29,6,9,1),(25,214,1,14,15,37,14,10,2),(25,214,1,14,16,19,5,7,NULL),(25,214,1,14,17,29,10,7,3),(25,214,1,14,18,46,4,10,NULL),(25,214,1,14,19,38,26,13,3),(25,214,1,14,20,33,6,9,1),(25,214,1,14,21,17,27,7,1),(25,214,1,14,22,26,20,9,4),(25,214,1,14,23,7,22,5,4),(25,214,1,14,24,10,18,6,6),(25,214,1,14,25,10,34,9,6),(25,214,1,14,26,21,NULL,6,NULL),(25,214,1,14,27,12,NULL,6,NULL),(25,214,1,14,28,11,43,1,10),(25,214,1,14,29,6,18,5,4),(25,214,1,14,30,8,21,4,7),(25,214,1,14,31,6,17,3,4),(25,214,1,14,32,16,11,8,2),(25,214,1,14,33,11,15,4,4),(25,214,1,14,34,10,9,5,1),(25,214,1,14,35,13,6,6,1),(25,214,1,14,36,28,16,10,NULL),(25,214,1,14,37,22,5,7,2),(25,214,1,14,38,11,38,4,4),(25,214,1,14,39,16,25,5,3),(25,214,1,14,40,6,11,4,4),(25,214,1,15,1,27,30,2,8),(25,214,1,15,2,15,18,5,4),(25,214,1,15,3,12,9,4,1),(25,214,1,15,4,48,15,10,4),(25,214,1,15,5,14,19,6,4),(25,214,1,15,6,14,26,2,6),(25,214,1,15,7,18,43,5,8),(25,214,1,15,8,27,8,9,2),(25,214,1,15,9,11,21,5,3),(25,214,1,15,10,5,5,2,2),(25,214,1,15,11,12,13,2,1),(25,214,1,15,12,8,7,4,1),(25,214,1,15,13,27,7,9,2),(25,214,1,15,14,25,11,4,1),(25,214,1,15,15,34,13,8,1),(25,214,1,15,16,18,8,7,3),(25,214,1,15,17,25,11,9,2),(25,214,1,15,18,45,7,10,NULL),(25,214,1,15,19,33,31,10,3),(25,214,1,15,20,34,4,10,1),(25,214,1,15,21,17,25,4,7),(25,214,1,15,22,20,24,7,6),(25,214,1,15,23,10,26,5,6),(25,214,1,15,24,3,18,2,9),(25,214,1,15,25,9,26,3,5),(25,214,1,15,26,18,NULL,7,NULL),(25,214,1,15,27,13,NULL,2,NULL),(25,214,1,15,28,11,33,1,10),(25,214,1,15,29,7,6,2,1),(25,214,1,15,30,5,15,3,5),(25,214,1,15,31,4,11,3,2),(25,214,1,15,32,16,18,5,4),(25,214,1,15,33,8,20,NULL,10),(25,214,1,15,34,14,9,7,2),(25,214,1,15,35,11,6,5,2),(25,214,1,15,36,27,22,8,4),(25,214,1,15,37,16,7,6,3),(25,214,1,15,38,9,46,NULL,9),(25,214,1,15,39,13,21,3,2),(25,214,1,15,40,5,17,4,6),(25,214,1,16,1,7,10,NULL,4),(25,214,1,16,2,2,4,NULL,2),(25,214,1,16,3,3,2,3,3),(25,214,1,16,4,9,6,3,1),(25,214,1,16,5,NULL,6,NULL,1),(25,214,1,16,6,2,9,1,2),(25,214,1,16,7,4,14,NULL,2),(25,214,1,16,8,5,1,1,1),(25,214,1,16,9,4,6,2,1),(25,214,1,16,10,NULL,2,NULL,NULL),(25,214,1,16,11,NULL,5,NULL,1),(25,214,1,16,12,5,1,2,NULL),(25,214,1,16,13,4,5,2,1),(25,214,1,16,14,6,3,3,NULL),(25,214,1,16,15,14,NULL,2,NULL),(25,214,1,16,16,7,8,2,1),(25,214,1,16,17,1,11,1,NULL),(25,214,1,16,18,4,16,1,4),(25,214,1,16,19,1,8,NULL,2),(25,214,1,16,20,13,NULL,3,NULL),(25,214,1,16,21,4,11,NULL,4),(25,214,1,16,22,3,8,2,3),(25,214,1,16,23,1,9,1,1),(25,214,1,16,24,4,7,1,2),(25,214,1,16,25,3,5,1,3),(25,214,1,16,26,3,NULL,2,NULL),(25,214,1,16,27,1,NULL,3,NULL),(25,214,1,16,28,5,11,3,NULL),(25,214,1,16,29,4,3,1,1),(25,214,1,16,30,1,5,1,2),(25,214,1,16,31,NULL,2,NULL,3),(25,214,1,16,32,NULL,3,1,3),(25,214,1,16,33,3,4,2,NULL),(25,214,1,16,34,3,4,2,1),(25,214,1,16,35,2,4,NULL,1),(25,214,1,16,36,6,4,6,NULL),(25,214,1,16,37,6,3,3,NULL),(25,214,1,16,38,1,13,2,4),(25,214,1,16,39,2,7,1,2),(25,214,1,16,40,2,2,NULL,NULL),(25,214,1,17,1,7,8,NULL,2),(25,214,1,17,2,3,5,NULL,2),(25,214,1,17,3,5,6,NULL,1),(25,214,1,17,4,13,6,2,NULL),(25,214,1,17,5,2,5,NULL,2),(25,214,1,17,6,2,7,NULL,NULL),(25,214,1,17,7,2,13,NULL,NULL),(25,214,1,17,8,7,5,NULL,1),(25,214,1,17,9,5,10,NULL,1),(25,214,1,17,10,1,4,1,NULL),(25,214,1,17,11,4,1,NULL,1),(25,214,1,17,12,3,2,NULL,1),(25,214,1,17,13,7,3,1,1),(25,214,1,17,14,9,3,NULL,2),(25,214,1,17,15,10,NULL,2,NULL),(25,214,1,17,16,6,7,NULL,1),(25,214,1,17,17,1,14,NULL,NULL),(25,214,1,17,18,6,19,NULL,1),(25,214,1,17,19,NULL,9,NULL,NULL),(25,214,1,17,20,12,NULL,2,NULL),(25,214,1,17,21,5,8,NULL,1),(25,214,1,17,22,5,6,NULL,2),(25,214,1,17,23,2,5,NULL,1),(25,214,1,17,24,1,6,NULL,1),(25,214,1,17,25,NULL,5,NULL,NULL),(25,214,1,17,26,2,NULL,NULL,NULL),(25,214,1,17,27,2,NULL,NULL,NULL),(25,214,1,17,28,4,15,NULL,2),(25,214,1,17,29,NULL,7,1,NULL),(25,214,1,17,30,3,5,NULL,1),(25,214,1,17,31,1,3,NULL,1),(25,214,1,17,32,4,1,NULL,1),(25,214,1,17,33,1,5,NULL,1),(25,214,1,17,34,9,3,1,1),(25,214,1,17,35,4,2,NULL,1),(25,214,1,17,36,4,4,NULL,1),(25,214,1,17,37,4,2,NULL,NULL),(25,214,1,17,38,NULL,14,NULL,2),(25,214,1,17,39,2,9,NULL,1),(25,214,1,17,40,2,4,NULL,NULL),(25,214,2,21,1,10,15,2,7),(25,214,2,21,2,NULL,6,NULL,4),(25,214,2,21,3,9,6,2,3),(25,214,2,21,4,6,9,3,3),(25,214,2,21,5,15,7,2,5),(25,214,2,21,6,10,10,5,6),(25,214,2,21,7,2,5,NULL,1),(25,214,2,21,8,11,10,5,2),(25,214,2,21,9,27,9,9,3),(25,214,2,21,10,8,4,3,3),(25,214,2,21,11,3,29,NULL,8),(25,214,2,21,12,8,12,2,5),(25,214,2,21,13,19,6,12,NULL),(25,214,2,21,14,7,12,4,4),(25,214,2,21,15,13,6,5,NULL),(25,214,2,21,16,3,16,1,5),(25,214,2,21,17,3,19,1,4),(25,214,2,21,18,6,10,2,5),(25,214,2,21,19,5,7,2,2),(25,214,2,21,20,6,7,3,2),(25,214,2,21,21,11,4,6,1),(25,214,2,21,22,2,4,1,2),(25,214,2,21,23,7,6,3,2),(25,214,2,21,24,NULL,5,NULL,3),(25,214,2,21,25,1,NULL,NULL,NULL),(25,214,2,21,26,NULL,2,NULL,NULL),(25,214,2,21,27,2,3,1,NULL),(25,214,2,21,28,3,2,2,1),(25,214,2,21,29,7,7,3,4),(25,214,2,21,30,NULL,8,1,1),(25,214,2,21,31,19,7,7,3),(25,214,2,21,32,4,11,1,4),(25,214,2,21,33,21,6,8,2),(25,214,2,21,34,3,9,1,5),(25,214,2,21,35,7,5,3,4),(25,214,2,21,36,4,7,1,3),(25,214,2,21,37,7,11,3,4),(25,214,2,21,38,22,6,8,2),(25,214,2,21,39,36,NULL,11,NULL),(25,214,2,21,40,7,5,3,1),(25,214,2,22,1,9,11,2,4),(25,214,2,22,2,2,9,1,NULL),(25,214,2,22,3,9,7,3,1),(25,214,2,22,4,7,13,4,1),(25,214,2,22,5,19,7,5,1),(25,214,2,22,6,15,6,1,4),(25,214,2,22,7,3,7,NULL,2),(25,214,2,22,8,11,7,4,2),(25,214,2,22,9,29,8,7,1),(25,214,2,22,10,12,10,4,2),(25,214,2,22,11,8,22,1,6),(25,214,2,22,12,10,16,3,3),(25,214,2,22,13,27,7,8,NULL),(25,214,2,22,14,13,6,3,1),(25,214,2,22,15,17,11,2,2),(25,214,2,22,16,8,13,4,1),(25,214,2,22,17,8,18,2,3),(25,214,2,22,18,5,11,NULL,2),(25,214,2,22,19,1,11,NULL,3),(25,214,2,22,20,5,13,NULL,1),(25,214,2,22,21,5,7,3,1),(25,214,2,22,22,1,4,2,NULL),(25,214,2,22,23,4,6,2,1),(25,214,2,22,24,3,5,1,2),(25,214,2,22,25,3,NULL,NULL,NULL),(25,214,2,22,26,1,8,1,NULL),(25,214,2,22,27,2,6,2,1),(25,214,2,22,28,1,NULL,1,NULL),(25,214,2,22,29,8,4,4,NULL),(25,214,2,22,30,8,2,1,NULL),(25,214,2,22,31,22,8,7,1),(25,214,2,22,32,2,14,NULL,3),(25,214,2,22,33,28,6,8,NULL),(25,214,2,22,34,5,9,3,1),(25,214,2,22,35,7,11,2,1),(25,214,2,22,36,7,3,2,NULL),(25,214,2,22,37,4,9,1,4),(25,214,2,22,38,16,8,3,1),(25,214,2,22,39,40,NULL,6,NULL),(25,214,2,22,40,1,7,2,NULL),(25,214,2,23,1,6,11,NULL,4),(25,214,2,23,2,5,9,1,3),(25,214,2,23,3,11,10,4,1),(25,214,2,23,4,10,12,NULL,2),(25,214,2,23,5,14,10,5,2),(25,214,2,23,6,12,11,4,2),(25,214,2,23,7,4,8,1,1),(25,214,2,23,8,12,8,4,3),(25,214,2,23,9,24,18,7,2),(25,214,2,23,10,10,10,3,3),(25,214,2,23,11,3,36,2,3),(25,214,2,23,12,4,14,2,2),(25,214,2,23,13,34,3,7,NULL),(25,214,2,23,14,14,14,1,2),(25,214,2,23,15,19,11,5,1),(25,214,2,23,16,7,21,2,4),(25,214,2,23,17,4,25,4,2),(25,214,2,23,18,8,9,3,1),(25,214,2,23,19,4,13,1,3),(25,214,2,23,20,9,14,1,3),(25,214,2,23,21,4,4,1,1),(25,214,2,23,22,1,5,1,1),(25,214,2,23,23,6,1,3,1),(25,214,2,23,24,1,5,NULL,2),(25,214,2,23,25,3,NULL,1,NULL),(25,214,2,23,26,1,7,NULL,2),(25,214,2,23,27,1,4,2,3),(25,214,2,23,28,NULL,8,NULL,2),(25,214,2,23,29,5,8,2,1),(25,214,2,23,30,1,14,2,2),(25,214,2,23,31,23,9,4,3),(25,214,2,23,32,2,13,NULL,5),(25,214,2,23,33,33,4,9,NULL),(25,214,2,23,34,7,6,3,NULL),(25,214,2,23,35,9,9,2,1),(25,214,2,23,36,4,2,2,NULL),(25,214,2,23,37,7,11,6,1),(25,214,2,23,38,20,11,7,1),(25,214,2,23,39,46,NULL,8,NULL),(25,214,2,23,40,3,12,1,4),(25,214,2,24,1,9,15,NULL,4),(25,214,2,24,2,2,10,NULL,4),(25,214,2,24,3,12,9,2,5),(25,214,2,24,4,9,12,4,4),(25,214,2,24,5,20,9,4,4),(25,214,2,24,6,8,12,3,1),(25,214,2,24,7,3,8,NULL,3),(25,214,2,24,8,18,6,3,2),(25,214,2,24,9,31,12,7,2),(25,214,2,24,10,12,7,3,3),(25,214,2,24,11,4,32,NULL,8),(25,214,2,24,12,7,14,NULL,1),(25,214,2,24,13,28,4,8,NULL),(25,214,2,24,14,8,15,5,3),(25,214,2,24,15,22,10,6,1),(25,214,2,24,16,8,20,1,5),(25,214,2,24,17,8,16,1,2),(25,214,2,24,18,7,9,2,NULL),(25,214,2,24,19,2,9,1,1),(25,214,2,24,20,7,10,4,1),(25,214,2,24,21,7,3,6,NULL),(25,214,2,24,22,1,4,1,NULL),(25,214,2,24,23,3,4,2,1),(25,214,2,24,24,1,9,NULL,1),(25,214,2,24,25,1,NULL,1,NULL),(25,214,2,24,26,1,3,NULL,1),(25,214,2,24,27,1,10,2,2),(25,214,2,24,28,NULL,5,1,2),(25,214,2,24,29,3,5,3,2),(25,214,2,24,30,2,6,NULL,4),(25,214,2,24,31,21,2,5,NULL),(25,214,2,24,32,NULL,11,NULL,3),(25,214,2,24,33,20,8,8,NULL),(25,214,2,24,34,6,9,3,NULL),(25,214,2,24,35,7,5,4,2),(25,214,2,24,36,8,4,1,1),(25,214,2,24,37,10,6,4,1),(25,214,2,24,38,21,5,7,2),(25,214,2,24,39,40,NULL,9,NULL),(25,214,2,24,40,2,10,1,2),(25,215,1,11,1,NULL,NULL,NULL,NULL),(25,215,1,11,2,NULL,NULL,NULL,NULL),(25,215,1,11,3,NULL,NULL,NULL,NULL),(25,215,1,11,4,NULL,NULL,NULL,NULL),(25,215,1,11,5,NULL,NULL,NULL,NULL),(25,215,1,11,6,NULL,NULL,NULL,NULL),(25,215,1,11,7,NULL,NULL,NULL,NULL),(25,215,1,11,8,NULL,NULL,NULL,NULL),(25,215,1,11,9,NULL,NULL,NULL,NULL),(25,215,1,11,10,NULL,NULL,NULL,NULL),(25,215,1,11,11,NULL,NULL,NULL,NULL),(25,215,1,11,12,NULL,NULL,NULL,NULL),(25,215,1,11,13,NULL,NULL,NULL,NULL),(25,215,1,11,14,NULL,NULL,NULL,NULL),(25,215,1,11,15,NULL,NULL,NULL,NULL),(25,215,1,11,16,NULL,NULL,NULL,NULL),(25,215,1,11,17,NULL,NULL,NULL,NULL),(25,215,1,11,18,NULL,NULL,NULL,NULL),(25,215,1,11,19,NULL,NULL,NULL,NULL),(25,215,1,11,20,NULL,NULL,NULL,NULL),(25,215,1,11,21,NULL,NULL,NULL,NULL),(25,215,1,11,22,NULL,NULL,NULL,NULL),(25,215,1,11,23,NULL,NULL,NULL,NULL),(25,215,1,11,24,NULL,NULL,NULL,NULL),(25,215,1,11,25,NULL,NULL,NULL,NULL),(25,215,1,11,26,NULL,NULL,NULL,NULL),(25,215,1,11,27,NULL,NULL,NULL,NULL),(25,215,1,11,28,NULL,NULL,NULL,NULL),(25,215,1,11,29,NULL,NULL,NULL,NULL),(25,215,1,11,30,NULL,NULL,NULL,NULL),(25,215,1,11,31,NULL,NULL,NULL,NULL),(25,215,1,11,32,NULL,NULL,NULL,NULL),(25,215,1,11,33,NULL,NULL,NULL,NULL),(25,215,1,11,34,NULL,NULL,NULL,NULL),(25,215,1,11,35,NULL,NULL,NULL,NULL),(25,215,1,11,36,NULL,NULL,NULL,NULL),(25,215,1,11,37,NULL,NULL,NULL,NULL),(25,215,1,11,38,NULL,NULL,NULL,NULL),(25,215,1,11,39,NULL,NULL,NULL,NULL),(25,215,1,11,40,NULL,NULL,NULL,NULL),(25,215,1,12,1,NULL,1,NULL,NULL),(25,215,1,12,2,NULL,NULL,NULL,NULL),(25,215,1,12,3,NULL,NULL,NULL,NULL),(25,215,1,12,4,NULL,1,NULL,NULL),(25,215,1,12,5,NULL,NULL,NULL,NULL),(25,215,1,12,6,NULL,NULL,NULL,NULL),(25,215,1,12,7,NULL,1,NULL,NULL),(25,215,1,12,8,NULL,NULL,NULL,NULL),(25,215,1,12,9,NULL,NULL,NULL,NULL),(25,215,1,12,10,NULL,1,NULL,NULL),(25,215,1,12,11,NULL,NULL,NULL,NULL),(25,215,1,12,12,NULL,NULL,NULL,NULL),(25,215,1,12,13,NULL,NULL,NULL,NULL),(25,215,1,12,14,NULL,1,NULL,NULL),(25,215,1,12,15,1,NULL,NULL,NULL),(25,215,1,12,16,1,NULL,NULL,NULL),(25,215,1,12,17,NULL,1,NULL,NULL),(25,215,1,12,18,NULL,NULL,NULL,NULL),(25,215,1,12,19,1,NULL,NULL,NULL),(25,215,1,12,20,NULL,1,NULL,NULL),(25,215,1,12,21,NULL,1,NULL,NULL),(25,215,1,12,22,NULL,NULL,NULL,NULL),(25,215,1,12,23,NULL,1,NULL,NULL),(25,215,1,12,24,NULL,NULL,NULL,NULL),(25,215,1,12,25,NULL,NULL,NULL,NULL),(25,215,1,12,26,NULL,NULL,NULL,NULL),(25,215,1,12,27,NULL,NULL,NULL,NULL),(25,215,1,12,28,NULL,NULL,NULL,NULL),(25,215,1,12,29,NULL,NULL,NULL,NULL),(25,215,1,12,30,NULL,1,NULL,NULL),(25,215,1,12,31,NULL,NULL,NULL,NULL),(25,215,1,12,32,NULL,NULL,NULL,NULL),(25,215,1,12,33,NULL,1,NULL,NULL),(25,215,1,12,34,NULL,1,NULL,NULL),(25,215,1,12,35,1,NULL,NULL,NULL),(25,215,1,12,36,NULL,NULL,NULL,NULL),(25,215,1,12,37,NULL,NULL,NULL,NULL),(25,215,1,12,38,NULL,NULL,NULL,NULL),(25,215,1,12,39,NULL,NULL,NULL,NULL),(25,215,1,12,40,NULL,NULL,NULL,NULL),(25,215,1,13,1,NULL,NULL,NULL,NULL),(25,215,1,13,2,NULL,NULL,NULL,NULL),(25,215,1,13,3,NULL,NULL,NULL,NULL),(25,215,1,13,4,NULL,NULL,NULL,NULL),(25,215,1,13,5,NULL,NULL,NULL,NULL),(25,215,1,13,6,NULL,NULL,NULL,NULL),(25,215,1,13,7,NULL,NULL,NULL,NULL),(25,215,1,13,8,NULL,NULL,NULL,NULL),(25,215,1,13,9,NULL,NULL,NULL,NULL),(25,215,1,13,10,NULL,1,NULL,NULL),(25,215,1,13,11,NULL,NULL,NULL,NULL),(25,215,1,13,12,NULL,NULL,NULL,NULL),(25,215,1,13,13,NULL,NULL,NULL,NULL),(25,215,1,13,14,NULL,NULL,NULL,NULL),(25,215,1,13,15,NULL,1,NULL,NULL),(25,215,1,13,16,NULL,NULL,NULL,NULL),(25,215,1,13,17,NULL,NULL,NULL,NULL),(25,215,1,13,18,1,NULL,NULL,NULL),(25,215,1,13,19,NULL,NULL,NULL,NULL),(25,215,1,13,20,NULL,NULL,NULL,NULL),(25,215,1,13,21,NULL,NULL,NULL,NULL),(25,215,1,13,22,NULL,NULL,NULL,NULL),(25,215,1,13,23,NULL,NULL,NULL,NULL),(25,215,1,13,24,NULL,NULL,NULL,NULL),(25,215,1,13,25,NULL,NULL,NULL,NULL),(25,215,1,13,26,NULL,NULL,NULL,NULL),(25,215,1,13,27,NULL,NULL,NULL,NULL),(25,215,1,13,28,NULL,NULL,NULL,NULL),(25,215,1,13,29,NULL,NULL,NULL,NULL),(25,215,1,13,30,NULL,NULL,NULL,NULL),(25,215,1,13,31,NULL,NULL,NULL,NULL),(25,215,1,13,32,NULL,NULL,NULL,NULL),(25,215,1,13,33,NULL,NULL,NULL,NULL),(25,215,1,13,34,NULL,NULL,NULL,NULL),(25,215,1,13,35,NULL,1,NULL,NULL),(25,215,1,13,36,NULL,NULL,NULL,NULL),(25,215,1,13,37,NULL,NULL,NULL,NULL),(25,215,1,13,38,NULL,NULL,NULL,NULL),(25,215,1,13,39,NULL,NULL,NULL,NULL),(25,215,1,13,40,NULL,NULL,NULL,NULL),(25,215,1,14,1,17,13,7,5),(25,215,1,14,2,4,9,1,8),(25,215,1,14,3,8,6,4,5),(25,215,1,14,4,23,3,9,2),(25,215,1,14,5,4,7,2,3),(25,215,1,14,6,5,14,4,7),(25,215,1,14,7,8,23,5,9),(25,215,1,14,8,9,5,5,3),(25,215,1,14,9,4,12,2,6),(25,215,1,14,10,3,4,1,3),(25,215,1,14,11,5,9,1,7),(25,215,1,14,12,4,4,3,1),(25,215,1,14,13,6,9,3,6),(25,215,1,14,14,8,4,3,2),(25,215,1,14,15,11,6,8,1),(25,215,1,14,16,4,5,3,3),(25,215,1,14,17,6,4,5,3),(25,215,1,14,18,15,3,10,NULL),(25,215,1,14,19,10,17,6,8),(25,215,1,14,20,11,3,8,NULL),(25,215,1,14,21,8,7,6,1),(25,215,1,14,22,3,21,5,7),(25,215,1,14,23,5,8,3,5),(25,215,1,14,24,4,12,2,6),(25,215,1,14,25,2,10,1,5),(25,215,1,14,26,7,NULL,5,NULL),(25,215,1,14,27,1,NULL,1,NULL),(25,215,1,14,28,10,14,5,5),(25,215,1,14,29,2,5,4,2),(25,215,1,14,30,1,6,2,5),(25,215,1,14,31,3,4,2,7),(25,215,1,14,32,3,4,2,6),(25,215,1,14,33,4,6,2,3),(25,215,1,14,34,2,5,4,3),(25,215,1,14,35,3,2,3,NULL),(25,215,1,14,36,12,15,7,5),(25,215,1,14,37,4,4,6,1),(25,215,1,14,38,2,19,NULL,12),(25,215,1,14,39,1,14,1,7),(25,215,1,14,40,3,5,3,3),(25,215,1,15,1,10,12,8,7),(25,215,1,15,2,3,11,3,9),(25,215,1,15,3,5,9,4,5),(25,215,1,15,4,18,8,14,3),(25,215,1,15,5,2,9,1,5),(25,215,1,15,6,3,15,1,10),(25,215,1,15,7,8,21,6,9),(25,215,1,15,8,7,7,6,5),(25,215,1,15,9,6,11,4,5),(25,215,1,15,10,NULL,3,1,3),(25,215,1,15,11,2,3,2,4),(25,215,1,15,12,8,5,7,3),(25,215,1,15,13,5,6,6,3),(25,215,1,15,14,4,6,6,2),(25,215,1,15,15,7,6,8,5),(25,215,1,15,16,2,2,4,3),(25,215,1,15,17,5,7,6,6),(25,215,1,15,18,15,2,14,NULL),(25,215,1,15,19,6,16,4,12),(25,215,1,15,20,9,3,8,4),(25,215,1,15,21,4,17,3,9),(25,215,1,15,22,5,10,1,8),(25,215,1,15,23,3,8,3,5),(25,215,1,15,24,3,6,3,5),(25,215,1,15,25,1,9,1,5),(25,215,1,15,26,7,NULL,5,NULL),(25,215,1,15,27,3,NULL,5,NULL),(25,215,1,15,28,4,14,NULL,8),(25,215,1,15,29,1,5,NULL,7),(25,215,1,15,30,1,7,NULL,6),(25,215,1,15,31,1,6,1,7),(25,215,1,15,32,2,6,5,5),(25,215,1,15,33,4,8,1,8),(25,215,1,15,34,6,6,6,2),(25,215,1,15,35,5,2,3,1),(25,215,1,15,36,7,13,9,7),(25,215,1,15,37,10,5,7,7),(25,215,1,15,38,NULL,24,2,12),(25,215,1,15,39,2,17,3,5),(25,215,1,15,40,1,9,3,6),(25,215,1,16,1,7,4,1,4),(25,215,1,16,2,1,5,1,1),(25,215,1,16,3,2,1,3,1),(25,215,1,16,4,5,9,4,3),(25,215,1,16,5,2,7,NULL,3),(25,215,1,16,6,1,9,1,4),(25,215,1,16,7,2,15,2,6),(25,215,1,16,8,3,5,2,1),(25,215,1,16,9,3,5,1,3),(25,215,1,16,10,NULL,2,NULL,1),(25,215,1,16,11,2,4,2,NULL),(25,215,1,16,12,2,6,1,4),(25,215,1,16,13,5,5,5,2),(25,215,1,16,14,2,2,4,2),(25,215,1,16,15,12,NULL,8,NULL),(25,215,1,16,16,1,12,NULL,7),(25,215,1,16,17,1,7,NULL,3),(25,215,1,16,18,3,13,1,6),(25,215,1,16,19,NULL,9,NULL,3),(25,215,1,16,20,15,NULL,7,NULL),(25,215,1,16,21,5,10,3,3),(25,215,1,16,22,2,4,1,2),(25,215,1,16,23,NULL,7,NULL,4),(25,215,1,16,24,2,5,2,3),(25,215,1,16,25,NULL,3,1,2),(25,215,1,16,26,3,NULL,NULL,NULL),(25,215,1,16,27,1,NULL,1,NULL),(25,215,1,16,28,4,10,2,6),(25,215,1,16,29,3,4,NULL,3),(25,215,1,16,30,NULL,6,NULL,2),(25,215,1,16,31,2,2,3,3),(25,215,1,16,32,1,4,1,3),(25,215,1,16,33,2,7,1,5),(25,215,1,16,34,1,5,3,1),(25,215,1,16,35,2,3,2,1),(25,215,1,16,36,2,8,1,5),(25,215,1,16,37,5,3,6,1),(25,215,1,16,38,NULL,16,NULL,8),(25,215,1,16,39,1,8,NULL,5),(25,215,1,16,40,2,3,1,3),(25,215,1,17,1,8,6,2,5),(25,215,1,17,2,5,4,NULL,NULL),(25,215,1,17,3,3,3,2,2),(25,215,1,17,4,10,9,4,5),(25,215,1,17,5,1,7,NULL,5),(25,215,1,17,6,4,7,NULL,2),(25,215,1,17,7,2,11,NULL,6),(25,215,1,17,8,3,5,1,5),(25,215,1,17,9,6,6,1,2),(25,215,1,17,10,1,2,1,NULL),(25,215,1,17,11,3,4,1,2),(25,215,1,17,12,5,2,5,3),(25,215,1,17,13,8,6,4,3),(25,215,1,17,14,3,3,NULL,3),(25,215,1,17,15,14,NULL,4,NULL),(25,215,1,17,16,6,7,2,4),(25,215,1,17,17,1,8,NULL,4),(25,215,1,17,18,4,18,1,4),(25,215,1,17,19,1,8,NULL,3),(25,215,1,17,20,14,NULL,6,NULL),(25,215,1,17,21,2,4,2,3),(25,215,1,17,22,1,6,1,6),(25,215,1,17,23,NULL,6,NULL,5),(25,215,1,17,24,2,4,NULL,4),(25,215,1,17,25,1,1,NULL,NULL),(25,215,1,17,26,1,NULL,1,NULL),(25,215,1,17,27,1,NULL,2,NULL),(25,215,1,17,28,3,9,1,4),(25,215,1,17,29,NULL,4,NULL,4),(25,215,1,17,30,1,6,NULL,4),(25,215,1,17,31,1,3,NULL,4),(25,215,1,17,32,1,2,NULL,1),(25,215,1,17,33,1,5,NULL,2),(25,215,1,17,34,1,4,1,2),(25,215,1,17,35,5,1,3,1),(25,215,1,17,36,4,8,2,3),(25,215,1,17,37,8,1,5,NULL),(25,215,1,17,38,1,12,NULL,5),(25,215,1,17,39,3,10,1,5),(25,215,1,17,40,1,4,NULL,4),(25,215,2,21,1,NULL,4,NULL,5),(25,215,2,21,2,1,3,2,3),(25,215,2,21,3,5,3,4,4),(25,215,2,21,4,4,6,3,5),(25,215,2,21,5,4,4,8,3),(25,215,2,21,6,5,3,5,4),(25,215,2,21,7,1,5,NULL,5),(25,215,2,21,8,7,3,5,3),(25,215,2,21,9,7,11,8,5),(25,215,2,21,10,6,7,5,5),(25,215,2,21,11,4,20,3,8),(25,215,2,21,12,1,5,1,4),(25,215,2,21,13,9,2,10,1),(25,215,2,21,14,3,10,3,3),(25,215,2,21,15,10,8,5,4),(25,215,2,21,16,7,4,4,5),(25,215,2,21,17,1,11,NULL,7),(25,215,2,21,18,4,6,5,3),(25,215,2,21,19,1,10,3,4),(25,215,2,21,20,3,7,3,4),(25,215,2,21,21,2,3,4,2),(25,215,2,21,22,NULL,NULL,NULL,NULL),(25,215,2,21,23,NULL,2,NULL,1),(25,215,2,21,24,1,3,3,NULL),(25,215,2,21,25,1,NULL,NULL,NULL),(25,215,2,21,26,1,3,NULL,1),(25,215,2,21,27,NULL,7,1,2),(25,215,2,21,28,NULL,1,1,2),(25,215,2,21,29,1,4,2,3),(25,215,2,21,30,1,4,NULL,3),(25,215,2,21,31,8,2,7,2),(25,215,2,21,32,2,6,2,6),(25,215,2,21,33,8,1,13,1),(25,215,2,21,34,2,4,2,5),(25,215,2,21,35,6,5,4,3),(25,215,2,21,36,6,4,5,2),(25,215,2,21,37,2,5,3,3),(25,215,2,21,38,4,3,6,3),(25,215,2,21,39,15,NULL,13,NULL),(25,215,2,21,40,1,2,1,3),(25,215,2,22,1,2,7,2,4),(25,215,2,22,2,1,7,NULL,4),(25,215,2,22,3,3,4,5,3),(25,215,2,22,4,5,5,1,3),(25,215,2,22,5,8,4,4,4),(25,215,2,22,6,NULL,9,1,6),(25,215,2,22,7,2,4,2,2),(25,215,2,22,8,7,8,8,1),(25,215,2,22,9,13,5,8,4),(25,215,2,22,10,6,7,6,4),(25,215,2,22,11,4,13,3,5),(25,215,2,22,12,4,9,3,3),(25,215,2,22,13,11,7,9,2),(25,215,2,22,14,3,8,1,6),(25,215,2,22,15,9,6,5,2),(25,215,2,22,16,1,11,1,6),(25,215,2,22,17,2,6,1,4),(25,215,2,22,18,5,7,6,2),(25,215,2,22,19,4,6,2,6),(25,215,2,22,20,5,8,5,2),(25,215,2,22,21,1,4,2,3),(25,215,2,22,22,1,NULL,1,NULL),(25,215,2,22,23,1,2,1,1),(25,215,2,22,24,3,5,2,1),(25,215,2,22,25,2,NULL,2,NULL),(25,215,2,22,26,1,2,1,2),(25,215,2,22,27,NULL,6,NULL,2),(25,215,2,22,28,NULL,3,1,1),(25,215,2,22,29,1,1,2,2),(25,215,2,22,30,1,6,NULL,2),(25,215,2,22,31,10,8,10,2),(25,215,2,22,32,3,6,NULL,7),(25,215,2,22,33,13,3,11,2),(25,215,2,22,34,2,6,NULL,6),(25,215,2,22,35,3,6,3,4),(25,215,2,22,36,8,6,3,2),(25,215,2,22,37,1,7,2,5),(25,215,2,22,38,8,5,8,1),(25,215,2,22,39,14,NULL,11,NULL),(25,215,2,22,40,NULL,1,NULL,1),(25,215,2,23,1,7,5,2,6),(25,215,2,23,2,2,8,1,4),(25,215,2,23,3,3,7,2,4),(25,215,2,23,4,4,7,1,5),(25,215,2,23,5,2,7,1,5),(25,215,2,23,6,4,7,2,5),(25,215,2,23,7,NULL,4,3,NULL),(25,215,2,23,8,7,7,5,3),(25,215,2,23,9,15,8,5,3),(25,215,2,23,10,5,7,3,2),(25,215,2,23,11,3,19,NULL,6),(25,215,2,23,12,1,8,NULL,2),(25,215,2,23,13,13,6,5,3),(25,215,2,23,14,2,8,1,4),(25,215,2,23,15,8,11,3,5),(25,215,2,23,16,2,9,NULL,3),(25,215,2,23,17,3,13,NULL,4),(25,215,2,23,18,8,5,4,5),(25,215,2,23,19,3,3,NULL,2),(25,215,2,23,20,2,7,2,3),(25,215,2,23,21,1,4,3,1),(25,215,2,23,22,NULL,3,NULL,3),(25,215,2,23,23,NULL,2,2,NULL),(25,215,2,23,24,1,3,NULL,1),(25,215,2,23,25,NULL,NULL,NULL,NULL),(25,215,2,23,26,2,4,NULL,2),(25,215,2,23,27,2,4,NULL,3),(25,215,2,23,28,NULL,1,NULL,2),(25,215,2,23,29,NULL,5,NULL,4),(25,215,2,23,30,1,6,NULL,3),(25,215,2,23,31,3,7,2,3),(25,215,2,23,32,NULL,4,NULL,3),(25,215,2,23,33,9,5,4,3),(25,215,2,23,34,1,4,NULL,1),(25,215,2,23,35,3,7,2,4),(25,215,2,23,36,3,3,3,1),(25,215,2,23,37,1,8,NULL,6),(25,215,2,23,38,7,8,5,2),(25,215,2,23,39,16,NULL,7,NULL),(25,215,2,23,40,NULL,1,NULL,NULL),(25,215,2,24,1,2,6,1,6),(25,215,2,24,2,1,6,1,3),(25,215,2,24,3,5,5,3,6),(25,215,2,24,4,5,4,NULL,4),(25,215,2,24,5,4,7,4,3),(25,215,2,24,6,3,4,1,5),(25,215,2,24,7,1,3,NULL,4),(25,215,2,24,8,4,8,4,4),(25,215,2,24,9,6,10,5,3),(25,215,2,24,10,3,8,2,3),(25,215,2,24,11,1,19,1,5),(25,215,2,24,12,NULL,9,1,1),(25,215,2,24,13,13,1,7,1),(25,215,2,24,14,2,9,1,7),(25,215,2,24,15,7,7,5,3),(25,215,2,24,16,2,3,NULL,4),(25,215,2,24,17,4,14,3,2),(25,215,2,24,18,4,7,NULL,6),(25,215,2,24,19,NULL,3,NULL,4),(25,215,2,24,20,NULL,6,NULL,4),(25,215,2,24,21,1,2,NULL,1),(25,215,2,24,22,NULL,1,NULL,2),(25,215,2,24,23,2,3,2,2),(25,215,2,24,24,NULL,3,1,1),(25,215,2,24,25,NULL,NULL,1,NULL),(25,215,2,24,26,NULL,4,NULL,1),(25,215,2,24,27,2,4,1,NULL),(25,215,2,24,28,NULL,1,NULL,NULL),(25,215,2,24,29,1,2,1,2),(25,215,2,24,30,3,4,NULL,1),(25,215,2,24,31,3,9,3,6),(25,215,2,24,32,NULL,5,1,5),(25,215,2,24,33,7,6,8,1),(25,215,2,24,34,1,3,1,4),(25,215,2,24,35,3,2,3,1),(25,215,2,24,36,4,3,3,2),(25,215,2,24,37,3,4,4,2),(25,215,2,24,38,9,4,5,1),(25,215,2,24,39,13,NULL,9,NULL),(25,215,2,24,40,NULL,2,NULL,2),(25,216,1,11,1,NULL,1,NULL,NULL),(25,216,1,11,2,NULL,NULL,NULL,NULL),(25,216,1,11,3,NULL,NULL,NULL,NULL),(25,216,1,11,4,2,NULL,NULL,NULL),(25,216,1,11,5,1,NULL,NULL,NULL),(25,216,1,11,6,NULL,NULL,NULL,NULL),(25,216,1,11,7,1,1,NULL,NULL),(25,216,1,11,8,NULL,NULL,NULL,NULL),(25,216,1,11,9,NULL,NULL,NULL,NULL),(25,216,1,11,10,NULL,NULL,NULL,NULL),(25,216,1,11,11,NULL,1,NULL,NULL),(25,216,1,11,12,NULL,NULL,NULL,NULL),(25,216,1,11,13,1,1,NULL,NULL),(25,216,1,11,14,2,NULL,NULL,NULL),(25,216,1,11,15,1,1,NULL,NULL),(25,216,1,11,16,1,1,NULL,NULL),(25,216,1,11,17,NULL,1,NULL,NULL),(25,216,1,11,18,1,1,NULL,NULL),(25,216,1,11,19,NULL,NULL,NULL,NULL),(25,216,1,11,20,1,NULL,NULL,NULL),(25,216,1,11,21,1,NULL,NULL,NULL),(25,216,1,11,22,1,NULL,NULL,NULL),(25,216,1,11,23,NULL,1,NULL,NULL),(25,216,1,11,24,NULL,1,NULL,NULL),(25,216,1,11,25,NULL,NULL,NULL,NULL),(25,216,1,11,26,NULL,NULL,NULL,NULL),(25,216,1,11,27,NULL,NULL,NULL,NULL),(25,216,1,11,28,NULL,1,NULL,NULL),(25,216,1,11,29,NULL,NULL,NULL,NULL),(25,216,1,11,30,NULL,NULL,NULL,NULL),(25,216,1,11,31,NULL,NULL,NULL,NULL),(25,216,1,11,32,NULL,NULL,NULL,NULL),(25,216,1,11,33,NULL,NULL,NULL,NULL),(25,216,1,11,34,NULL,NULL,NULL,NULL),(25,216,1,11,35,NULL,NULL,NULL,NULL),(25,216,1,11,36,NULL,1,NULL,NULL),(25,216,1,11,37,NULL,NULL,NULL,NULL),(25,216,1,11,38,NULL,1,NULL,NULL),(25,216,1,11,39,1,NULL,NULL,NULL),(25,216,1,11,40,NULL,NULL,NULL,NULL),(25,216,1,12,1,NULL,1,NULL,NULL),(25,216,1,12,2,1,NULL,NULL,NULL),(25,216,1,12,3,NULL,NULL,NULL,NULL),(25,216,1,12,4,NULL,NULL,NULL,NULL),(25,216,1,12,5,NULL,NULL,NULL,NULL),(25,216,1,12,6,NULL,1,NULL,NULL),(25,216,1,12,7,NULL,NULL,NULL,NULL),(25,216,1,12,8,1,NULL,NULL,NULL),(25,216,1,12,9,NULL,NULL,NULL,NULL),(25,216,1,12,10,NULL,NULL,NULL,NULL),(25,216,1,12,11,NULL,1,NULL,NULL),(25,216,1,12,12,NULL,NULL,NULL,NULL),(25,216,1,12,13,1,NULL,NULL,NULL),(25,216,1,12,14,NULL,1,NULL,NULL),(25,216,1,12,15,NULL,1,NULL,NULL),(25,216,1,12,16,1,NULL,NULL,NULL),(25,216,1,12,17,1,NULL,NULL,NULL),(25,216,1,12,18,NULL,1,NULL,NULL),(25,216,1,12,19,NULL,NULL,NULL,NULL),(25,216,1,12,20,1,NULL,NULL,NULL),(25,216,1,12,21,NULL,NULL,NULL,NULL),(25,216,1,12,22,NULL,1,NULL,NULL),(25,216,1,12,23,NULL,NULL,NULL,NULL),(25,216,1,12,24,NULL,NULL,NULL,NULL),(25,216,1,12,25,NULL,1,NULL,NULL),(25,216,1,12,26,NULL,NULL,NULL,NULL),(25,216,1,12,27,NULL,NULL,NULL,NULL),(25,216,1,12,28,NULL,1,NULL,NULL),(25,216,1,12,29,NULL,1,NULL,NULL),(25,216,1,12,30,NULL,NULL,NULL,NULL),(25,216,1,12,31,NULL,NULL,NULL,NULL),(25,216,1,12,32,NULL,1,NULL,NULL),(25,216,1,12,33,NULL,1,NULL,NULL),(25,216,1,12,34,NULL,NULL,NULL,NULL),(25,216,1,12,35,NULL,NULL,NULL,NULL),(25,216,1,12,36,NULL,NULL,NULL,NULL),(25,216,1,12,37,NULL,NULL,NULL,NULL),(25,216,1,12,38,1,NULL,NULL,NULL),(25,216,1,12,39,NULL,1,NULL,NULL),(25,216,1,12,40,NULL,NULL,NULL,NULL),(25,216,1,13,1,NULL,1,NULL,NULL),(25,216,1,13,2,NULL,NULL,NULL,NULL),(25,216,1,13,3,1,NULL,NULL,NULL),(25,216,1,13,4,1,NULL,NULL,NULL),(25,216,1,13,5,NULL,1,NULL,NULL),(25,216,1,13,6,NULL,1,NULL,NULL),(25,216,1,13,7,NULL,NULL,NULL,NULL),(25,216,1,13,8,NULL,NULL,NULL,NULL),(25,216,1,13,9,NULL,1,NULL,NULL),(25,216,1,13,10,NULL,NULL,NULL,NULL),(25,216,1,13,11,NULL,NULL,NULL,NULL),(25,216,1,13,12,NULL,NULL,NULL,NULL),(25,216,1,13,13,1,NULL,NULL,NULL),(25,216,1,13,14,1,NULL,NULL,NULL),(25,216,1,13,15,NULL,1,NULL,NULL),(25,216,1,13,16,NULL,1,NULL,NULL),(25,216,1,13,17,NULL,1,NULL,NULL),(25,216,1,13,18,1,NULL,NULL,NULL),(25,216,1,13,19,NULL,NULL,NULL,NULL),(25,216,1,13,20,NULL,NULL,NULL,NULL),(25,216,1,13,21,NULL,1,NULL,NULL),(25,216,1,13,22,1,NULL,NULL,NULL),(25,216,1,13,23,NULL,NULL,NULL,NULL),(25,216,1,13,24,NULL,NULL,NULL,NULL),(25,216,1,13,25,NULL,1,NULL,NULL),(25,216,1,13,26,NULL,NULL,NULL,NULL),(25,216,1,13,27,NULL,NULL,NULL,NULL),(25,216,1,13,28,1,NULL,NULL,NULL),(25,216,1,13,29,NULL,NULL,NULL,NULL),(25,216,1,13,30,NULL,NULL,NULL,NULL),(25,216,1,13,31,NULL,1,NULL,NULL),(25,216,1,13,32,NULL,NULL,NULL,NULL),(25,216,1,13,33,NULL,NULL,NULL,NULL),(25,216,1,13,34,1,NULL,NULL,NULL),(25,216,1,13,35,NULL,NULL,NULL,NULL),(25,216,1,13,36,NULL,NULL,NULL,NULL),(25,216,1,13,37,1,NULL,NULL,NULL),(25,216,1,13,38,NULL,1,NULL,NULL),(25,216,1,13,39,NULL,1,NULL,NULL),(25,216,1,13,40,1,NULL,NULL,NULL),(25,216,1,14,1,65,64,9,7),(25,216,1,14,2,27,46,8,2),(25,216,1,14,3,39,27,6,4),(25,216,1,14,4,97,43,13,7),(25,216,1,14,5,26,58,7,6),(25,216,1,14,6,29,52,5,10),(25,216,1,14,7,59,89,11,10),(25,216,1,14,8,63,29,13,5),(25,216,1,14,9,31,53,6,8),(25,216,1,14,10,16,19,4,2),(25,216,1,14,11,23,31,4,6),(25,216,1,14,12,26,18,8,4),(25,216,1,14,13,52,34,12,3),(25,216,1,14,14,51,28,7,2),(25,216,1,14,15,78,29,17,2),(25,216,1,14,16,28,27,10,2),(25,216,1,14,17,61,30,13,5),(25,216,1,14,18,107,11,16,3),(25,216,1,14,19,85,65,16,7),(25,216,1,14,20,80,6,13,NULL),(25,216,1,14,21,54,49,11,4),(25,216,1,14,22,35,68,10,7),(25,216,1,14,23,21,57,3,10),(25,216,1,14,24,18,47,6,7),(25,216,1,14,25,26,50,5,7),(25,216,1,14,26,45,NULL,8,NULL),(25,216,1,14,27,24,NULL,9,NULL),(25,216,1,14,28,31,71,4,15),(25,216,1,14,29,17,24,5,4),(25,216,1,14,30,18,32,5,11),(25,216,1,14,31,14,39,1,8),(25,216,1,14,32,32,37,9,7),(25,216,1,14,33,28,34,7,5),(25,216,1,14,34,30,22,6,4),(25,216,1,14,35,39,8,12,1),(25,216,1,14,36,62,50,16,6),(25,216,1,14,37,65,15,15,1),(25,216,1,14,38,13,100,3,12),(25,216,1,14,39,25,64,8,6),(25,216,1,14,40,20,39,3,10),(25,216,1,15,1,67,61,7,6),(25,216,1,15,2,23,49,5,5),(25,216,1,15,3,37,21,5,1),(25,216,1,15,4,109,29,14,1),(25,216,1,15,5,24,50,NULL,11),(25,216,1,15,6,28,51,4,9),(25,216,1,15,7,49,80,4,10),(25,216,1,15,8,49,35,5,7),(25,216,1,15,9,22,48,3,9),(25,216,1,15,10,12,18,3,5),(25,216,1,15,11,13,36,3,6),(25,216,1,15,12,35,16,9,2),(25,216,1,15,13,42,35,8,4),(25,216,1,15,14,53,21,9,4),(25,216,1,15,15,64,30,12,4),(25,216,1,15,16,32,30,4,6),(25,216,1,15,17,42,36,6,8),(25,216,1,15,18,100,14,12,NULL),(25,216,1,15,19,75,67,11,4),(25,216,1,15,20,64,15,14,NULL),(25,216,1,15,21,54,43,7,4),(25,216,1,15,22,31,47,8,4),(25,216,1,15,23,16,46,NULL,11),(25,216,1,15,24,20,50,4,6),(25,216,1,15,25,16,48,4,9),(25,216,1,15,26,37,NULL,7,NULL),(25,216,1,15,27,29,NULL,8,NULL),(25,216,1,15,28,16,69,2,10),(25,216,1,15,29,14,32,1,7),(25,216,1,15,30,11,31,4,4),(25,216,1,15,31,9,31,3,8),(25,216,1,15,32,31,34,3,5),(25,216,1,15,33,26,37,5,2),(25,216,1,15,34,30,20,6,2),(25,216,1,15,35,31,10,10,2),(25,216,1,15,36,66,58,11,3),(25,216,1,15,37,47,18,10,2),(25,216,1,15,38,16,90,1,10),(25,216,1,15,39,25,62,4,8),(25,216,1,15,40,13,28,2,3),(25,216,1,16,1,23,36,1,3),(25,216,1,16,2,5,27,2,2),(25,216,1,16,3,20,12,2,1),(25,216,1,16,4,44,15,3,1),(25,216,1,16,5,2,18,NULL,1),(25,216,1,16,6,6,28,NULL,2),(25,216,1,16,7,16,46,NULL,4),(25,216,1,16,8,18,10,NULL,NULL),(25,216,1,16,9,10,21,NULL,1),(25,216,1,16,10,1,7,NULL,1),(25,216,1,16,11,6,18,NULL,1),(25,216,1,16,12,12,6,2,1),(25,216,1,16,13,27,17,3,NULL),(25,216,1,16,14,24,22,3,NULL),(25,216,1,16,15,42,NULL,4,NULL),(25,216,1,16,16,13,18,1,1),(25,216,1,16,17,4,39,NULL,4),(25,216,1,16,18,13,50,1,2),(25,216,1,16,19,1,27,NULL,3),(25,216,1,16,20,40,NULL,3,NULL),(25,216,1,16,21,12,29,NULL,2),(25,216,1,16,22,6,27,NULL,2),(25,216,1,16,23,3,27,NULL,2),(25,216,1,16,24,8,20,NULL,NULL),(25,216,1,16,25,2,18,NULL,2),(25,216,1,16,26,14,NULL,2,NULL),(25,216,1,16,27,8,NULL,NULL,NULL),(25,216,1,16,28,13,41,NULL,2),(25,216,1,16,29,8,9,1,NULL),(25,216,1,16,30,2,18,NULL,2),(25,216,1,16,31,5,13,NULL,1),(25,216,1,16,32,6,14,1,NULL),(25,216,1,16,33,11,21,2,1),(25,216,1,16,34,12,9,2,1),(25,216,1,16,35,11,7,1,NULL),(25,216,1,16,36,19,29,3,NULL),(25,216,1,16,37,22,11,2,1),(25,216,1,16,38,5,52,1,2),(25,216,1,16,39,5,35,NULL,3),(25,216,1,16,40,2,11,NULL,2),(25,216,1,17,1,21,23,1,3),(25,216,1,17,2,7,15,1,1),(25,216,1,17,3,14,12,1,2),(25,216,1,17,4,27,16,2,1),(25,216,1,17,5,8,24,1,3),(25,216,1,17,6,8,18,2,NULL),(25,216,1,17,7,9,44,NULL,5),(25,216,1,17,8,15,7,1,1),(25,216,1,17,9,10,18,1,1),(25,216,1,17,10,2,6,NULL,2),(25,216,1,17,11,5,11,NULL,1),(25,216,1,17,12,14,5,1,1),(25,216,1,17,13,24,11,2,2),(25,216,1,17,14,19,14,3,1),(25,216,1,17,15,37,NULL,3,NULL),(25,216,1,17,16,27,14,1,3),(25,216,1,17,17,3,37,NULL,4),(25,216,1,17,18,15,44,2,4),(25,216,1,17,19,5,33,1,5),(25,216,1,17,20,35,NULL,5,NULL),(25,216,1,17,21,17,18,2,2),(25,216,1,17,22,12,14,2,2),(25,216,1,17,23,5,16,1,2),(25,216,1,17,24,7,15,3,1),(25,216,1,17,25,3,10,1,2),(25,216,1,17,26,13,NULL,3,NULL),(25,216,1,17,27,5,NULL,3,NULL),(25,216,1,17,28,16,31,1,5),(25,216,1,17,29,4,7,2,NULL),(25,216,1,17,30,7,11,NULL,3),(25,216,1,17,31,3,14,NULL,3),(25,216,1,17,32,6,11,1,NULL),(25,216,1,17,33,3,14,NULL,2),(25,216,1,17,34,8,7,1,1),(25,216,1,17,35,8,7,1,1),(25,216,1,17,36,25,15,5,NULL),(25,216,1,17,37,14,6,2,1),(25,216,1,17,38,5,32,1,3),(25,216,1,17,39,7,25,1,4),(25,216,1,17,40,3,10,1,1),(25,216,2,21,1,12,18,2,4),(25,216,2,21,2,5,16,NULL,4),(25,216,2,21,3,19,14,3,2),(25,216,2,21,4,18,21,2,3),(25,216,2,21,5,33,23,5,3),(25,216,2,21,6,15,25,5,5),(25,216,2,21,7,3,17,NULL,1),(25,216,2,21,8,21,20,1,5),(25,216,2,21,9,57,33,7,5),(25,216,2,21,10,27,20,5,2),(25,216,2,21,11,13,67,1,7),(25,216,2,21,12,17,34,1,6),(25,216,2,21,13,60,9,9,1),(25,216,2,21,14,20,27,1,7),(25,216,2,21,15,44,25,4,2),(25,216,2,21,16,23,36,1,4),(25,216,2,21,17,21,41,3,4),(25,216,2,21,18,29,19,5,2),(25,216,2,21,19,11,22,1,3),(25,216,2,21,20,16,11,3,2),(25,216,2,21,21,14,10,4,3),(25,216,2,21,22,2,7,1,2),(25,216,2,21,23,9,13,1,NULL),(25,216,2,21,24,6,10,NULL,3),(25,216,2,21,25,6,NULL,3,NULL),(25,216,2,21,26,2,3,NULL,1),(25,216,2,21,27,3,13,NULL,2),(25,216,2,21,28,1,10,NULL,1),(25,216,2,21,29,10,18,2,4),(25,216,2,21,30,8,17,1,2),(25,216,2,21,31,46,20,7,NULL),(25,216,2,21,32,4,29,NULL,6),(25,216,2,21,33,59,18,8,2),(25,216,2,21,34,12,19,3,3),(25,216,2,21,35,27,13,5,3),(25,216,2,21,36,20,9,4,NULL),(25,216,2,21,37,24,25,5,5),(25,216,2,21,38,51,19,7,1),(25,216,2,21,39,85,NULL,12,NULL),(25,216,2,21,40,11,25,1,3),(25,216,2,22,1,15,21,1,6),(25,216,2,22,2,6,32,NULL,7),(25,216,2,22,3,21,20,4,1),(25,216,2,22,4,12,26,3,4),(25,216,2,22,5,40,18,8,2),(25,216,2,22,6,19,20,6,5),(25,216,2,22,7,8,13,2,1),(25,216,2,22,8,36,22,8,2),(25,216,2,22,9,61,24,9,2),(25,216,2,22,10,28,28,4,3),(25,216,2,22,11,16,79,1,7),(25,216,2,22,12,17,28,3,3),(25,216,2,22,13,62,15,10,1),(25,216,2,22,14,17,28,2,3),(25,216,2,22,15,34,25,6,3),(25,216,2,22,16,19,50,2,7),(25,216,2,22,17,11,54,2,5),(25,216,2,22,18,18,16,2,2),(25,216,2,22,19,9,30,1,6),(25,216,2,22,20,14,17,NULL,2),(25,216,2,22,21,14,12,4,2),(25,216,2,22,22,3,4,1,2),(25,216,2,22,23,8,9,3,NULL),(25,216,2,22,24,5,9,2,2),(25,216,2,22,25,8,NULL,1,NULL),(25,216,2,22,26,3,15,NULL,3),(25,216,2,22,27,1,27,NULL,3),(25,216,2,22,28,4,11,NULL,1),(25,216,2,22,29,7,17,3,2),(25,216,2,22,30,9,11,2,NULL),(25,216,2,22,31,37,19,11,1),(25,216,2,22,32,8,34,2,5),(25,216,2,22,33,59,14,7,NULL),(25,216,2,22,34,17,25,6,4),(25,216,2,22,35,21,10,2,1),(25,216,2,22,36,25,4,5,NULL),(25,216,2,22,37,22,22,8,2),(25,216,2,22,38,53,19,9,NULL),(25,216,2,22,39,94,NULL,12,NULL),(25,216,2,22,40,11,18,NULL,5),(25,216,2,23,1,16,16,3,2),(25,216,2,23,2,12,25,3,6),(25,216,2,23,3,23,22,4,2),(25,216,2,23,4,12,28,1,5),(25,216,2,23,5,25,23,3,3),(25,216,2,23,6,21,20,6,5),(25,216,2,23,7,10,17,2,1),(25,216,2,23,8,39,14,5,4),(25,216,2,23,9,71,18,11,3),(25,216,2,23,10,41,14,9,1),(25,216,2,23,11,12,69,NULL,9),(25,216,2,23,12,13,29,2,5),(25,216,2,23,13,60,5,12,1),(25,216,2,23,14,21,33,5,6),(25,216,2,23,15,22,31,8,3),(25,216,2,23,16,23,34,5,6),(25,216,2,23,17,12,48,3,8),(25,216,2,23,18,28,24,4,NULL),(25,216,2,23,19,11,26,2,3),(25,216,2,23,20,15,13,2,3),(25,216,2,23,21,19,15,5,NULL),(25,216,2,23,22,2,14,1,6),(25,216,2,23,23,13,15,2,3),(25,216,2,23,24,4,7,2,5),(25,216,2,23,25,3,NULL,2,NULL),(25,216,2,23,26,2,8,NULL,1),(25,216,2,23,27,2,10,1,2),(25,216,2,23,28,4,7,2,1),(25,216,2,23,29,14,17,7,2),(25,216,2,23,30,8,23,2,3),(25,216,2,23,31,43,18,7,5),(25,216,2,23,32,13,30,3,4),(25,216,2,23,33,65,13,11,3),(25,216,2,23,34,20,20,6,4),(25,216,2,23,35,30,21,8,1),(25,216,2,23,36,20,3,5,NULL),(25,216,2,23,37,30,23,9,2),(25,216,2,23,38,58,17,6,2),(25,216,2,23,39,84,NULL,13,NULL),(25,216,2,23,40,9,23,4,7),(25,216,2,24,1,14,27,NULL,3),(25,216,2,24,2,5,24,1,3),(25,216,2,24,3,16,26,5,1),(25,216,2,24,4,16,22,2,3),(25,216,2,24,5,32,31,6,3),(25,216,2,24,6,16,24,5,3),(25,216,2,24,7,3,18,1,2),(25,216,2,24,8,35,26,4,2),(25,216,2,24,9,55,34,5,2),(25,216,2,24,10,19,31,4,2),(25,216,2,24,11,7,72,1,4),(25,216,2,24,12,13,29,2,3),(25,216,2,24,13,64,12,9,NULL),(25,216,2,24,14,12,30,2,5),(25,216,2,24,15,35,26,3,3),(25,216,2,24,16,19,37,3,4),(25,216,2,24,17,19,40,3,2),(25,216,2,24,18,14,27,1,4),(25,216,2,24,19,4,23,1,4),(25,216,2,24,20,15,18,3,1),(25,216,2,24,21,9,6,4,NULL),(25,216,2,24,22,1,6,NULL,NULL),(25,216,2,24,23,8,11,2,2),(25,216,2,24,24,6,12,NULL,2),(25,216,2,24,25,5,NULL,1,NULL),(25,216,2,24,26,2,9,NULL,1),(25,216,2,24,27,3,5,3,NULL),(25,216,2,24,28,5,11,NULL,1),(25,216,2,24,29,6,16,2,NULL),(25,216,2,24,30,5,18,2,2),(25,216,2,24,31,40,22,7,1),(25,216,2,24,32,8,29,1,5),(25,216,2,24,33,53,20,8,NULL),(25,216,2,24,34,9,27,2,1),(25,216,2,24,35,21,17,2,2),(25,216,2,24,36,23,13,2,1),(25,216,2,24,37,30,18,7,1),(25,216,2,24,38,39,23,3,1),(25,216,2,24,39,80,NULL,9,NULL),(25,216,2,24,40,11,12,2,1),(25,220,1,11,1,NULL,NULL,NULL,NULL),(25,220,1,11,2,NULL,NULL,NULL,NULL),(25,220,1,11,3,NULL,NULL,NULL,NULL),(25,220,1,11,4,NULL,NULL,NULL,NULL),(25,220,1,11,5,NULL,NULL,NULL,NULL),(25,220,1,11,6,1,NULL,NULL,NULL),(25,220,1,11,7,1,NULL,NULL,NULL),(25,220,1,11,8,NULL,NULL,NULL,NULL),(25,220,1,11,9,1,NULL,NULL,NULL),(25,220,1,11,10,NULL,NULL,NULL,NULL),(25,220,1,11,11,NULL,NULL,NULL,NULL),(25,220,1,11,12,1,NULL,NULL,NULL),(25,220,1,11,13,NULL,NULL,NULL,NULL),(25,220,1,11,14,1,NULL,NULL,NULL),(25,220,1,11,15,NULL,NULL,NULL,NULL),(25,220,1,11,16,1,NULL,NULL,NULL),(25,220,1,11,17,1,NULL,NULL,NULL),(25,220,1,11,18,NULL,NULL,NULL,NULL),(25,220,1,11,19,NULL,NULL,NULL,NULL),(25,220,1,11,20,1,NULL,NULL,NULL),(25,220,1,11,21,NULL,NULL,NULL,NULL),(25,220,1,11,22,NULL,NULL,NULL,NULL),(25,220,1,11,23,NULL,NULL,NULL,NULL),(25,220,1,11,24,NULL,NULL,NULL,NULL),(25,220,1,11,25,NULL,1,NULL,NULL),(25,220,1,11,26,NULL,NULL,NULL,NULL),(25,220,1,11,27,1,NULL,NULL,NULL),(25,220,1,11,28,1,NULL,NULL,NULL),(25,220,1,11,29,NULL,NULL,NULL,NULL),(25,220,1,11,30,NULL,NULL,NULL,NULL),(25,220,1,11,31,NULL,NULL,NULL,NULL),(25,220,1,11,32,NULL,NULL,NULL,NULL),(25,220,1,11,33,NULL,NULL,NULL,NULL),(25,220,1,11,34,NULL,NULL,NULL,NULL),(25,220,1,11,35,NULL,NULL,NULL,NULL),(25,220,1,11,36,NULL,NULL,NULL,NULL),(25,220,1,11,37,NULL,NULL,NULL,NULL),(25,220,1,11,38,NULL,NULL,NULL,NULL),(25,220,1,11,39,NULL,1,NULL,NULL),(25,220,1,11,40,NULL,NULL,NULL,NULL),(25,220,1,12,1,NULL,NULL,NULL,NULL),(25,220,1,12,2,NULL,NULL,NULL,NULL),(25,220,1,12,3,NULL,NULL,NULL,NULL),(25,220,1,12,4,NULL,NULL,NULL,NULL),(25,220,1,12,5,NULL,NULL,NULL,NULL),(25,220,1,12,6,NULL,NULL,NULL,NULL),(25,220,1,12,7,NULL,NULL,NULL,NULL),(25,220,1,12,8,NULL,NULL,NULL,NULL),(25,220,1,12,9,NULL,NULL,NULL,NULL),(25,220,1,12,10,NULL,NULL,NULL,NULL),(25,220,1,12,11,NULL,NULL,NULL,NULL),(25,220,1,12,12,NULL,NULL,NULL,NULL),(25,220,1,12,13,NULL,NULL,NULL,NULL),(25,220,1,12,14,NULL,NULL,NULL,NULL),(25,220,1,12,15,NULL,NULL,NULL,NULL),(25,220,1,12,16,NULL,NULL,NULL,NULL),(25,220,1,12,17,NULL,NULL,NULL,NULL),(25,220,1,12,18,NULL,NULL,NULL,NULL),(25,220,1,12,19,NULL,NULL,NULL,NULL),(25,220,1,12,20,NULL,NULL,NULL,NULL),(25,220,1,12,21,NULL,NULL,NULL,NULL),(25,220,1,12,22,NULL,NULL,NULL,NULL),(25,220,1,12,23,NULL,NULL,NULL,NULL),(25,220,1,12,24,NULL,NULL,NULL,NULL),(25,220,1,12,25,NULL,NULL,NULL,NULL),(25,220,1,12,26,NULL,NULL,NULL,NULL),(25,220,1,12,27,NULL,NULL,NULL,NULL),(25,220,1,12,28,NULL,NULL,NULL,NULL),(25,220,1,12,29,NULL,NULL,NULL,NULL),(25,220,1,12,30,NULL,NULL,NULL,NULL),(25,220,1,12,31,NULL,NULL,NULL,NULL),(25,220,1,12,32,NULL,NULL,NULL,NULL),(25,220,1,12,33,NULL,NULL,NULL,NULL),(25,220,1,12,34,NULL,NULL,NULL,NULL),(25,220,1,12,35,NULL,NULL,NULL,NULL),(25,220,1,12,36,NULL,NULL,NULL,NULL),(25,220,1,12,37,NULL,NULL,NULL,NULL),(25,220,1,12,38,NULL,NULL,NULL,NULL),(25,220,1,12,39,NULL,NULL,NULL,NULL),(25,220,1,12,40,NULL,NULL,NULL,NULL),(25,220,1,13,1,1,NULL,NULL,NULL),(25,220,1,13,2,NULL,NULL,NULL,NULL),(25,220,1,13,3,NULL,NULL,NULL,NULL),(25,220,1,13,4,NULL,NULL,NULL,NULL),(25,220,1,13,5,NULL,NULL,NULL,NULL),(25,220,1,13,6,NULL,1,NULL,NULL),(25,220,1,13,7,NULL,NULL,NULL,NULL),(25,220,1,13,8,NULL,NULL,NULL,NULL),(25,220,1,13,9,NULL,NULL,NULL,NULL),(25,220,1,13,10,NULL,NULL,NULL,NULL),(25,220,1,13,11,NULL,NULL,NULL,NULL),(25,220,1,13,12,NULL,NULL,NULL,NULL),(25,220,1,13,13,NULL,NULL,NULL,NULL),(25,220,1,13,14,NULL,NULL,NULL,NULL),(25,220,1,13,15,1,NULL,NULL,NULL),(25,220,1,13,16,NULL,NULL,NULL,NULL),(25,220,1,13,17,1,NULL,NULL,NULL),(25,220,1,13,18,1,NULL,NULL,NULL),(25,220,1,13,19,NULL,NULL,NULL,NULL),(25,220,1,13,20,NULL,NULL,NULL,NULL),(25,220,1,13,21,NULL,NULL,NULL,NULL),(25,220,1,13,22,NULL,NULL,NULL,NULL),(25,220,1,13,23,NULL,NULL,NULL,NULL),(25,220,1,13,24,NULL,NULL,NULL,NULL),(25,220,1,13,25,NULL,NULL,NULL,NULL),(25,220,1,13,26,NULL,NULL,NULL,NULL),(25,220,1,13,27,NULL,NULL,NULL,NULL),(25,220,1,13,28,NULL,NULL,NULL,NULL),(25,220,1,13,29,NULL,NULL,NULL,NULL),(25,220,1,13,30,NULL,NULL,NULL,NULL),(25,220,1,13,31,NULL,NULL,NULL,NULL),(25,220,1,13,32,NULL,NULL,NULL,NULL),(25,220,1,13,33,NULL,NULL,NULL,NULL),(25,220,1,13,34,NULL,NULL,NULL,NULL),(25,220,1,13,35,NULL,NULL,NULL,NULL),(25,220,1,13,36,NULL,NULL,NULL,NULL),(25,220,1,13,37,NULL,NULL,NULL,NULL),(25,220,1,13,38,NULL,NULL,NULL,NULL),(25,220,1,13,39,1,NULL,NULL,NULL),(25,220,1,13,40,NULL,NULL,NULL,NULL),(25,220,1,14,1,45,59,13,22),(25,220,1,14,2,31,37,11,12),(25,220,1,14,3,21,22,4,5),(25,220,1,14,4,75,31,20,12),(25,220,1,14,5,15,48,4,15),(25,220,1,14,6,25,35,6,10),(25,220,1,14,7,35,79,9,24),(25,220,1,14,8,46,28,15,8),(25,220,1,14,9,29,29,9,11),(25,220,1,14,10,6,10,3,5),(25,220,1,14,11,17,23,4,7),(25,220,1,14,12,22,18,10,7),(25,220,1,14,13,49,21,18,6),(25,220,1,14,14,54,17,14,4),(25,220,1,14,15,71,26,26,4),(25,220,1,14,16,36,28,11,12),(25,220,1,14,17,53,22,22,5),(25,220,1,14,18,90,4,31,NULL),(25,220,1,14,19,64,48,23,11),(25,220,1,14,20,64,8,26,1),(25,220,1,14,21,38,41,15,6),(25,220,1,14,22,28,54,11,17),(25,220,1,14,23,13,51,7,13),(25,220,1,14,24,20,37,13,13),(25,220,1,14,25,19,50,9,13),(25,220,1,14,26,35,NULL,14,NULL),(25,220,1,14,27,23,NULL,13,NULL),(25,220,1,14,28,15,79,4,23),(25,220,1,14,29,9,19,2,12),(25,220,1,14,30,10,37,5,12),(25,220,1,14,31,4,23,2,7),(25,220,1,14,32,27,25,9,11),(25,220,1,14,33,19,27,6,6),(25,220,1,14,34,25,18,7,4),(25,220,1,14,35,29,10,15,3),(25,220,1,14,36,48,48,20,8),(25,220,1,14,37,46,15,13,7),(25,220,1,14,38,11,83,8,22),(25,220,1,14,39,25,53,8,13),(25,220,1,14,40,7,29,4,13),(25,220,1,15,1,35,63,9,13),(25,220,1,15,2,19,27,3,7),(25,220,1,15,3,32,18,11,3),(25,220,1,15,4,81,27,17,9),(25,220,1,15,5,13,43,4,12),(25,220,1,15,6,15,48,6,13),(25,220,1,15,7,19,77,7,15),(25,220,1,15,8,34,25,7,10),(25,220,1,15,9,34,32,8,9),(25,220,1,15,10,6,12,2,8),(25,220,1,15,11,15,27,5,5),(25,220,1,15,12,22,17,9,5),(25,220,1,15,13,44,24,17,4),(25,220,1,15,14,51,24,20,3),(25,220,1,15,15,61,30,16,7),(25,220,1,15,16,27,25,4,13),(25,220,1,15,17,43,15,15,5),(25,220,1,15,18,75,12,19,2),(25,220,1,15,19,47,56,19,5),(25,220,1,15,20,63,11,18,1),(25,220,1,15,21,40,42,8,9),(25,220,1,15,22,29,43,10,12),(25,220,1,15,23,15,41,2,13),(25,220,1,15,24,9,46,6,13),(25,220,1,15,25,22,31,8,10),(25,220,1,15,26,43,NULL,11,NULL),(25,220,1,15,27,15,NULL,8,NULL),(25,220,1,15,28,7,77,2,19),(25,220,1,15,29,13,25,5,5),(25,220,1,15,30,10,44,2,14),(25,220,1,15,31,6,18,3,7),(25,220,1,15,32,16,28,7,9),(25,220,1,15,33,20,29,9,8),(25,220,1,15,34,27,16,11,3),(25,220,1,15,35,20,13,6,4),(25,220,1,15,36,44,33,13,7),(25,220,1,15,37,25,15,11,5),(25,220,1,15,38,5,80,4,14),(25,220,1,15,39,17,53,5,7),(25,220,1,15,40,15,34,3,13),(25,220,1,16,1,11,15,1,2),(25,220,1,16,2,3,7,1,NULL),(25,220,1,16,3,1,10,NULL,1),(25,220,1,16,4,13,13,1,1),(25,220,1,16,5,1,14,NULL,2),(25,220,1,16,6,5,14,1,2),(25,220,1,16,7,4,22,1,2),(25,220,1,16,8,7,5,1,NULL),(25,220,1,16,9,6,10,1,NULL),(25,220,1,16,10,NULL,5,NULL,NULL),(25,220,1,16,11,3,10,NULL,2),(25,220,1,16,12,5,2,1,1),(25,220,1,16,13,13,6,2,NULL),(25,220,1,16,14,5,10,1,NULL),(25,220,1,16,15,20,NULL,1,NULL),(25,220,1,16,16,6,8,2,NULL),(25,220,1,16,17,NULL,18,NULL,2),(25,220,1,16,18,3,26,1,2),(25,220,1,16,19,NULL,15,NULL,NULL),(25,220,1,16,20,19,NULL,3,NULL),(25,220,1,16,21,6,12,1,NULL),(25,220,1,16,22,7,9,1,NULL),(25,220,1,16,23,4,7,NULL,NULL),(25,220,1,16,24,3,6,1,NULL),(25,220,1,16,25,3,9,NULL,1),(25,220,1,16,26,8,NULL,NULL,NULL),(25,220,1,16,27,5,NULL,1,NULL),(25,220,1,16,28,4,23,NULL,3),(25,220,1,16,29,1,6,NULL,NULL),(25,220,1,16,30,NULL,7,NULL,1),(25,220,1,16,31,1,4,NULL,1),(25,220,1,16,32,4,3,NULL,NULL),(25,220,1,16,33,5,6,NULL,NULL),(25,220,1,16,34,2,5,NULL,NULL),(25,220,1,16,35,5,3,1,1),(25,220,1,16,36,8,12,1,NULL),(25,220,1,16,37,12,5,NULL,NULL),(25,220,1,16,38,1,26,1,1),(25,220,1,16,39,1,13,1,1),(25,220,1,16,40,NULL,5,NULL,1),(25,220,1,17,1,10,10,NULL,1),(25,220,1,17,2,6,11,NULL,3),(25,220,1,17,3,8,5,1,1),(25,220,1,17,4,15,12,NULL,2),(25,220,1,17,5,3,5,NULL,NULL),(25,220,1,17,6,6,10,NULL,1),(25,220,1,17,7,3,16,NULL,3),(25,220,1,17,8,7,4,2,NULL),(25,220,1,17,9,5,10,NULL,1),(25,220,1,17,10,1,1,NULL,NULL),(25,220,1,17,11,1,7,NULL,1),(25,220,1,17,12,4,4,NULL,NULL),(25,220,1,17,13,15,2,3,NULL),(25,220,1,17,14,7,7,NULL,NULL),(25,220,1,17,15,16,NULL,2,NULL),(25,220,1,17,16,10,10,2,NULL),(25,220,1,17,17,2,16,1,NULL),(25,220,1,17,18,7,21,NULL,3),(25,220,1,17,19,NULL,15,NULL,2),(25,220,1,17,20,15,NULL,2,NULL),(25,220,1,17,21,8,10,1,NULL),(25,220,1,17,22,8,6,NULL,1),(25,220,1,17,23,3,6,NULL,1),(25,220,1,17,24,6,8,NULL,1),(25,220,1,17,25,3,8,1,NULL),(25,220,1,17,26,4,NULL,NULL,NULL),(25,220,1,17,27,3,NULL,NULL,NULL),(25,220,1,17,28,5,14,1,1),(25,220,1,17,29,2,5,NULL,1),(25,220,1,17,30,NULL,8,NULL,NULL),(25,220,1,17,31,1,7,NULL,NULL),(25,220,1,17,32,1,6,NULL,NULL),(25,220,1,17,33,4,3,NULL,1),(25,220,1,17,34,7,7,1,NULL),(25,220,1,17,35,3,2,1,1),(25,220,1,17,36,9,9,NULL,1),(25,220,1,17,37,6,7,NULL,NULL),(25,220,1,17,38,4,22,1,1),(25,220,1,17,39,3,10,NULL,1),(25,220,1,17,40,1,4,NULL,1),(25,220,2,21,1,7,16,4,4),(25,220,2,21,2,2,13,NULL,3),(25,220,2,21,3,20,15,2,5),(25,220,2,21,4,12,18,2,6),(25,220,2,21,5,27,18,3,7),(25,220,2,21,6,16,15,2,6),(25,220,2,21,7,3,11,NULL,2),(25,220,2,21,8,15,20,6,5),(25,220,2,21,9,39,20,10,2),(25,220,2,21,10,15,17,2,6),(25,220,2,21,11,5,54,NULL,8),(25,220,2,21,12,12,27,1,6),(25,220,2,21,13,45,8,9,1),(25,220,2,21,14,13,23,1,6),(25,220,2,21,15,13,20,3,5),(25,220,2,21,16,11,28,4,4),(25,220,2,21,17,14,20,2,3),(25,220,2,21,18,13,20,2,4),(25,220,2,21,19,7,21,1,5),(25,220,2,21,20,9,14,NULL,3),(25,220,2,21,21,10,7,3,2),(25,220,2,21,22,4,6,4,1),(25,220,2,21,23,7,10,NULL,4),(25,220,2,21,24,2,11,2,2),(25,220,2,21,25,NULL,NULL,NULL,NULL),(25,220,2,21,26,4,9,1,3),(25,220,2,21,27,2,7,1,4),(25,220,2,21,28,1,8,NULL,1),(25,220,2,21,29,14,17,3,3),(25,220,2,21,30,3,14,1,4),(25,220,2,21,31,24,13,5,5),(25,220,2,21,32,4,21,1,9),(25,220,2,21,33,35,11,9,1),(25,220,2,21,34,3,12,3,2),(25,220,2,21,35,10,16,2,5),(25,220,2,21,36,8,14,1,5),(25,220,2,21,37,9,17,4,6),(25,220,2,21,38,25,14,7,3),(25,220,2,21,39,56,NULL,10,NULL),(25,220,2,21,40,5,10,2,1),(25,220,2,22,1,12,25,5,9),(25,220,2,22,2,3,26,NULL,7),(25,220,2,22,3,17,18,5,9),(25,220,2,22,4,16,23,5,7),(25,220,2,22,5,27,22,9,7),(25,220,2,22,6,7,20,3,10),(25,220,2,22,7,9,11,5,2),(25,220,2,22,8,28,17,12,7),(25,220,2,22,9,34,21,10,7),(25,220,2,22,10,15,21,7,5),(25,220,2,22,11,12,42,2,8),(25,220,2,22,12,6,27,2,8),(25,220,2,22,13,43,12,13,4),(25,220,2,22,14,12,29,1,10),(25,220,2,22,15,28,23,7,8),(25,220,2,22,16,16,24,4,6),(25,220,2,22,17,8,34,NULL,8),(25,220,2,22,18,7,24,2,11),(25,220,2,22,19,5,30,NULL,6),(25,220,2,22,20,13,14,4,4),(25,220,2,22,21,17,8,7,2),(25,220,2,22,22,2,7,1,5),(25,220,2,22,23,9,6,4,1),(25,220,2,22,24,1,10,NULL,6),(25,220,2,22,25,5,NULL,2,NULL),(25,220,2,22,26,4,12,NULL,6),(25,220,2,22,27,6,11,2,2),(25,220,2,22,28,2,9,1,4),(25,220,2,22,29,12,18,6,6),(25,220,2,22,30,15,12,3,5),(25,220,2,22,31,31,11,10,3),(25,220,2,22,32,2,20,2,11),(25,220,2,22,33,42,11,14,4),(25,220,2,22,34,9,20,4,7),(25,220,2,22,35,12,13,4,5),(25,220,2,22,36,12,5,4,1),(25,220,2,22,37,18,8,9,2),(25,220,2,22,38,39,8,8,3),(25,220,2,22,39,74,NULL,17,NULL),(25,220,2,22,40,7,10,4,5),(25,220,2,23,1,12,24,5,8),(25,220,2,23,2,4,26,3,9),(25,220,2,23,3,17,18,8,4),(25,220,2,23,4,16,28,6,9),(25,220,2,23,5,16,28,6,6),(25,220,2,23,6,13,22,6,9),(25,220,2,23,7,7,16,2,6),(25,220,2,23,8,25,16,8,4),(25,220,2,23,9,51,18,17,3),(25,220,2,23,10,21,18,11,3),(25,220,2,23,11,10,53,3,9),(25,220,2,23,12,7,21,1,4),(25,220,2,23,13,48,8,17,1),(25,220,2,23,14,6,39,5,8),(25,220,2,23,15,26,18,5,4),(25,220,2,23,16,9,35,3,9),(25,220,2,23,17,11,26,4,10),(25,220,2,23,18,14,25,4,2),(25,220,2,23,19,4,24,3,8),(25,220,2,23,20,11,24,4,5),(25,220,2,23,21,15,15,8,2),(25,220,2,23,22,4,6,NULL,4),(25,220,2,23,23,3,15,2,5),(25,220,2,23,24,1,10,NULL,3),(25,220,2,23,25,7,NULL,2,NULL),(25,220,2,23,26,3,17,1,5),(25,220,2,23,27,2,10,1,5),(25,220,2,23,28,3,7,1,1),(25,220,2,23,29,15,19,5,6),(25,220,2,23,30,6,12,NULL,4),(25,220,2,23,31,35,6,11,1),(25,220,2,23,32,2,30,NULL,12),(25,220,2,23,33,37,15,15,1),(25,220,2,23,34,10,14,5,4),(25,220,2,23,35,13,15,4,3),(25,220,2,23,36,12,9,4,2),(25,220,2,23,37,11,15,7,5),(25,220,2,23,38,36,21,12,5),(25,220,2,23,39,64,NULL,16,NULL),(25,220,2,23,40,5,13,1,4),(25,220,2,24,1,12,23,3,5),(25,220,2,24,2,3,20,1,5),(25,220,2,24,3,22,16,6,2),(25,220,2,24,4,17,23,4,6),(25,220,2,24,5,30,20,7,4),(25,220,2,24,6,10,14,4,6),(25,220,2,24,7,8,11,3,1),(25,220,2,24,8,29,14,5,3),(25,220,2,24,9,42,18,12,1),(25,220,2,24,10,17,16,8,1),(25,220,2,24,11,5,54,NULL,12),(25,220,2,24,12,7,25,1,5),(25,220,2,24,13,50,4,8,1),(25,220,2,24,14,12,25,4,2),(25,220,2,24,15,17,20,7,2),(25,220,2,24,16,16,29,3,9),(25,220,2,24,17,13,29,3,9),(25,220,2,24,18,8,18,2,5),(25,220,2,24,19,5,15,2,3),(25,220,2,24,20,13,14,4,3),(25,220,2,24,21,13,10,8,NULL),(25,220,2,24,22,5,7,4,2),(25,220,2,24,23,8,9,2,3),(25,220,2,24,24,3,10,2,3),(25,220,2,24,25,7,NULL,1,NULL),(25,220,2,24,26,2,5,1,3),(25,220,2,24,27,4,6,2,3),(25,220,2,24,28,5,11,1,2),(25,220,2,24,29,12,25,6,6),(25,220,2,24,30,8,12,2,3),(25,220,2,24,31,18,14,6,1),(25,220,2,24,32,4,22,1,9),(25,220,2,24,33,36,12,11,3),(25,220,2,24,34,8,9,8,3),(25,220,2,24,35,11,14,6,NULL),(25,220,2,24,36,15,8,8,2),(25,220,2,24,37,17,19,9,4),(25,220,2,24,38,30,16,12,1),(25,220,2,24,39,60,NULL,15,NULL),(25,220,2,24,40,5,11,1,5),(25,222,1,11,1,NULL,NULL,NULL,NULL),(25,222,1,11,2,NULL,NULL,NULL,NULL),(25,222,1,11,3,NULL,NULL,NULL,NULL),(25,222,1,11,4,NULL,NULL,NULL,NULL),(25,222,1,11,5,NULL,NULL,NULL,NULL),(25,222,1,11,6,NULL,NULL,NULL,NULL),(25,222,1,11,7,NULL,NULL,NULL,NULL),(25,222,1,11,8,NULL,NULL,NULL,NULL),(25,222,1,11,9,NULL,NULL,NULL,NULL),(25,222,1,11,10,NULL,NULL,NULL,NULL),(25,222,1,11,11,NULL,NULL,NULL,NULL),(25,222,1,11,12,NULL,NULL,NULL,NULL),(25,222,1,11,13,NULL,NULL,NULL,NULL),(25,222,1,11,14,NULL,NULL,NULL,NULL),(25,222,1,11,15,NULL,NULL,NULL,NULL),(25,222,1,11,16,NULL,NULL,NULL,NULL),(25,222,1,11,17,NULL,NULL,NULL,NULL),(25,222,1,11,18,NULL,NULL,NULL,NULL),(25,222,1,11,19,NULL,NULL,NULL,NULL),(25,222,1,11,20,NULL,NULL,NULL,NULL),(25,222,1,11,21,NULL,NULL,NULL,NULL),(25,222,1,11,22,NULL,NULL,NULL,NULL),(25,222,1,11,23,NULL,NULL,NULL,NULL),(25,222,1,11,24,NULL,NULL,NULL,NULL),(25,222,1,11,25,NULL,NULL,NULL,NULL),(25,222,1,11,26,NULL,NULL,NULL,NULL),(25,222,1,11,27,NULL,NULL,NULL,NULL),(25,222,1,11,28,NULL,NULL,NULL,NULL),(25,222,1,11,29,NULL,NULL,NULL,NULL),(25,222,1,11,30,NULL,NULL,NULL,NULL),(25,222,1,11,31,NULL,NULL,NULL,NULL),(25,222,1,11,32,NULL,NULL,NULL,NULL),(25,222,1,11,33,NULL,NULL,NULL,NULL),(25,222,1,11,34,NULL,NULL,NULL,NULL),(25,222,1,11,35,NULL,NULL,NULL,NULL),(25,222,1,11,36,NULL,NULL,NULL,NULL),(25,222,1,11,37,NULL,NULL,NULL,NULL),(25,222,1,11,38,NULL,NULL,NULL,NULL),(25,222,1,11,39,NULL,NULL,NULL,NULL),(25,222,1,11,40,NULL,NULL,NULL,NULL),(25,222,1,12,1,NULL,NULL,NULL,NULL),(25,222,1,12,2,NULL,NULL,NULL,NULL),(25,222,1,12,3,NULL,NULL,NULL,NULL),(25,222,1,12,4,NULL,NULL,NULL,NULL),(25,222,1,12,5,NULL,NULL,NULL,NULL),(25,222,1,12,6,NULL,NULL,NULL,NULL),(25,222,1,12,7,NULL,NULL,NULL,NULL),(25,222,1,12,8,NULL,NULL,NULL,NULL),(25,222,1,12,9,NULL,NULL,NULL,NULL),(25,222,1,12,10,NULL,NULL,NULL,NULL),(25,222,1,12,11,NULL,NULL,NULL,NULL),(25,222,1,12,12,NULL,NULL,NULL,NULL),(25,222,1,12,13,NULL,NULL,NULL,NULL),(25,222,1,12,14,NULL,NULL,NULL,NULL),(25,222,1,12,15,NULL,NULL,NULL,NULL),(25,222,1,12,16,NULL,NULL,NULL,NULL),(25,222,1,12,17,NULL,NULL,NULL,NULL),(25,222,1,12,18,NULL,NULL,NULL,NULL),(25,222,1,12,19,NULL,NULL,NULL,NULL),(25,222,1,12,20,NULL,NULL,NULL,NULL),(25,222,1,12,21,NULL,NULL,NULL,NULL),(25,222,1,12,22,NULL,NULL,NULL,NULL),(25,222,1,12,23,NULL,NULL,NULL,NULL),(25,222,1,12,24,NULL,NULL,NULL,NULL),(25,222,1,12,25,NULL,NULL,NULL,NULL),(25,222,1,12,26,NULL,NULL,NULL,NULL),(25,222,1,12,27,NULL,NULL,NULL,NULL),(25,222,1,12,28,NULL,NULL,NULL,NULL),(25,222,1,12,29,NULL,NULL,NULL,NULL),(25,222,1,12,30,NULL,NULL,NULL,NULL),(25,222,1,12,31,NULL,NULL,NULL,NULL),(25,222,1,12,32,NULL,NULL,NULL,NULL),(25,222,1,12,33,NULL,NULL,NULL,NULL),(25,222,1,12,34,NULL,NULL,NULL,NULL),(25,222,1,12,35,NULL,NULL,NULL,NULL),(25,222,1,12,36,NULL,NULL,NULL,NULL),(25,222,1,12,37,NULL,NULL,NULL,NULL),(25,222,1,12,38,NULL,NULL,NULL,NULL),(25,222,1,12,39,NULL,NULL,NULL,NULL),(25,222,1,12,40,NULL,NULL,NULL,NULL),(25,222,1,13,1,NULL,NULL,NULL,NULL),(25,222,1,13,2,NULL,NULL,NULL,NULL),(25,222,1,13,3,NULL,NULL,NULL,NULL),(25,222,1,13,4,NULL,NULL,NULL,NULL),(25,222,1,13,5,NULL,NULL,NULL,NULL),(25,222,1,13,6,NULL,NULL,NULL,NULL),(25,222,1,13,7,NULL,NULL,NULL,NULL),(25,222,1,13,8,NULL,NULL,NULL,NULL),(25,222,1,13,9,NULL,NULL,NULL,NULL),(25,222,1,13,10,NULL,NULL,NULL,NULL),(25,222,1,13,11,NULL,NULL,NULL,NULL),(25,222,1,13,12,NULL,NULL,NULL,NULL),(25,222,1,13,13,NULL,NULL,NULL,NULL),(25,222,1,13,14,NULL,NULL,NULL,NULL),(25,222,1,13,15,NULL,NULL,NULL,NULL),(25,222,1,13,16,NULL,NULL,NULL,NULL),(25,222,1,13,17,NULL,NULL,NULL,NULL),(25,222,1,13,18,NULL,NULL,NULL,NULL),(25,222,1,13,19,NULL,NULL,NULL,NULL),(25,222,1,13,20,NULL,NULL,NULL,NULL),(25,222,1,13,21,NULL,NULL,NULL,NULL),(25,222,1,13,22,NULL,NULL,NULL,NULL),(25,222,1,13,23,NULL,NULL,NULL,NULL),(25,222,1,13,24,NULL,NULL,NULL,NULL),(25,222,1,13,25,NULL,NULL,NULL,NULL),(25,222,1,13,26,NULL,NULL,NULL,NULL),(25,222,1,13,27,NULL,NULL,NULL,NULL),(25,222,1,13,28,NULL,NULL,NULL,NULL),(25,222,1,13,29,NULL,NULL,NULL,NULL),(25,222,1,13,30,NULL,NULL,NULL,NULL),(25,222,1,13,31,NULL,NULL,NULL,NULL),(25,222,1,13,32,NULL,NULL,NULL,NULL),(25,222,1,13,33,NULL,NULL,NULL,NULL),(25,222,1,13,34,NULL,NULL,NULL,NULL),(25,222,1,13,35,NULL,NULL,NULL,NULL),(25,222,1,13,36,NULL,NULL,NULL,NULL),(25,222,1,13,37,NULL,NULL,NULL,NULL),(25,222,1,13,38,NULL,NULL,NULL,NULL),(25,222,1,13,39,NULL,NULL,NULL,NULL),(25,222,1,13,40,NULL,NULL,NULL,NULL),(25,222,1,14,1,2,6,2,5),(25,222,1,14,2,1,3,1,2),(25,222,1,14,3,2,1,2,1),(25,222,1,14,4,4,3,3,3),(25,222,1,14,5,NULL,2,NULL,2),(25,222,1,14,6,2,NULL,2,NULL),(25,222,1,14,7,2,5,2,4),(25,222,1,14,8,1,3,1,2),(25,222,1,14,9,1,3,1,2),(25,222,1,14,10,1,1,1,1),(25,222,1,14,11,NULL,1,NULL,1),(25,222,1,14,12,1,1,1,1),(25,222,1,14,13,2,2,2,1),(25,222,1,14,14,3,2,2,2),(25,222,1,14,15,4,4,3,3),(25,222,1,14,16,3,3,1,3),(25,222,1,14,17,5,1,3,1),(25,222,1,14,18,6,1,4,1),(25,222,1,14,19,4,3,3,2),(25,222,1,14,20,3,1,2,1),(25,222,1,14,21,4,2,2,2),(25,222,1,14,22,NULL,3,NULL,2),(25,222,1,14,23,2,2,2,NULL),(25,222,1,14,24,1,2,1,1),(25,222,1,14,25,2,3,2,2),(25,222,1,14,26,NULL,NULL,NULL,NULL),(25,222,1,14,27,1,NULL,1,NULL),(25,222,1,14,28,3,3,2,2),(25,222,1,14,29,NULL,2,NULL,2),(25,222,1,14,30,NULL,3,NULL,3),(25,222,1,14,31,NULL,NULL,NULL,NULL),(25,222,1,14,32,1,2,1,2),(25,222,1,14,33,NULL,5,NULL,4),(25,222,1,14,34,1,1,NULL,NULL),(25,222,1,14,35,1,3,1,2),(25,222,1,14,36,2,2,2,2),(25,222,1,14,37,1,3,NULL,3),(25,222,1,14,38,1,3,1,2),(25,222,1,14,39,1,1,1,1),(25,222,1,14,40,NULL,2,NULL,2),(25,222,1,15,1,2,4,2,3),(25,222,1,15,2,NULL,1,NULL,NULL),(25,222,1,15,3,2,2,2,1),(25,222,1,15,4,5,2,4,1),(25,222,1,15,5,NULL,2,NULL,2),(25,222,1,15,6,1,1,1,NULL),(25,222,1,15,7,NULL,5,NULL,3),(25,222,1,15,8,NULL,2,NULL,2),(25,222,1,15,9,2,3,2,1),(25,222,1,15,10,NULL,NULL,NULL,NULL),(25,222,1,15,11,3,2,2,1),(25,222,1,15,12,1,1,1,1),(25,222,1,15,13,2,NULL,2,NULL),(25,222,1,15,14,2,3,2,2),(25,222,1,15,15,1,1,1,1),(25,222,1,15,16,NULL,1,NULL,1),(25,222,1,15,17,1,NULL,NULL,NULL),(25,222,1,15,18,1,NULL,1,NULL),(25,222,1,15,19,2,NULL,2,NULL),(25,222,1,15,20,1,NULL,1,NULL),(25,222,1,15,21,1,2,NULL,2),(25,222,1,15,22,NULL,4,NULL,3),(25,222,1,15,23,NULL,3,NULL,3),(25,222,1,15,24,NULL,1,NULL,NULL),(25,222,1,15,25,NULL,1,NULL,NULL),(25,222,1,15,26,1,NULL,NULL,NULL),(25,222,1,15,27,NULL,NULL,NULL,NULL),(25,222,1,15,28,NULL,5,NULL,4),(25,222,1,15,29,NULL,2,NULL,1),(25,222,1,15,30,NULL,3,NULL,3),(25,222,1,15,31,NULL,1,NULL,1),(25,222,1,15,32,1,NULL,1,NULL),(25,222,1,15,33,NULL,1,NULL,NULL),(25,222,1,15,34,1,2,1,2),(25,222,1,15,35,NULL,1,NULL,1),(25,222,1,15,36,1,2,1,2),(25,222,1,15,37,NULL,1,NULL,1),(25,222,1,15,38,NULL,5,NULL,4),(25,222,1,15,39,1,3,1,2),(25,222,1,15,40,NULL,1,NULL,1),(25,222,1,16,1,2,NULL,1,NULL),(25,222,1,16,2,1,NULL,1,NULL),(25,222,1,16,3,NULL,NULL,NULL,NULL),(25,222,1,16,4,1,1,NULL,1),(25,222,1,16,5,NULL,3,NULL,1),(25,222,1,16,6,NULL,1,NULL,1),(25,222,1,16,7,1,1,NULL,1),(25,222,1,16,8,NULL,1,NULL,1),(25,222,1,16,9,NULL,NULL,NULL,NULL),(25,222,1,16,10,1,NULL,NULL,NULL),(25,222,1,16,11,1,NULL,1,NULL),(25,222,1,16,12,1,NULL,1,NULL),(25,222,1,16,13,1,1,1,NULL),(25,222,1,16,14,1,NULL,1,NULL),(25,222,1,16,15,2,NULL,1,NULL),(25,222,1,16,16,NULL,1,NULL,1),(25,222,1,16,17,NULL,1,NULL,NULL),(25,222,1,16,18,1,NULL,NULL,NULL),(25,222,1,16,19,NULL,1,NULL,NULL),(25,222,1,16,20,1,NULL,NULL,NULL),(25,222,1,16,21,NULL,1,NULL,NULL),(25,222,1,16,22,1,1,NULL,NULL),(25,222,1,16,23,NULL,2,NULL,1),(25,222,1,16,24,NULL,1,NULL,1),(25,222,1,16,25,NULL,1,NULL,1),(25,222,1,16,26,NULL,NULL,NULL,NULL),(25,222,1,16,27,NULL,NULL,NULL,NULL),(25,222,1,16,28,1,2,1,NULL),(25,222,1,16,29,NULL,NULL,NULL,NULL),(25,222,1,16,30,NULL,NULL,NULL,NULL),(25,222,1,16,31,NULL,NULL,NULL,NULL),(25,222,1,16,32,NULL,NULL,NULL,NULL),(25,222,1,16,33,NULL,NULL,NULL,NULL),(25,222,1,16,34,NULL,NULL,NULL,NULL),(25,222,1,16,35,NULL,NULL,NULL,NULL),(25,222,1,16,36,NULL,1,NULL,NULL),(25,222,1,16,37,NULL,NULL,NULL,NULL),(25,222,1,16,38,NULL,NULL,NULL,NULL),(25,222,1,16,39,NULL,2,NULL,NULL),(25,222,1,16,40,NULL,NULL,NULL,NULL),(25,222,1,17,1,NULL,NULL,NULL,NULL),(25,222,1,17,2,NULL,NULL,NULL,NULL),(25,222,1,17,3,NULL,NULL,NULL,NULL),(25,222,1,17,4,1,1,1,1),(25,222,1,17,5,NULL,NULL,NULL,NULL),(25,222,1,17,6,NULL,NULL,NULL,NULL),(25,222,1,17,7,NULL,1,NULL,1),(25,222,1,17,8,NULL,NULL,NULL,NULL),(25,222,1,17,9,NULL,1,NULL,1),(25,222,1,17,10,NULL,NULL,NULL,NULL),(25,222,1,17,11,NULL,NULL,NULL,NULL),(25,222,1,17,12,NULL,NULL,NULL,NULL),(25,222,1,17,13,NULL,1,NULL,1),(25,222,1,17,14,NULL,NULL,NULL,NULL),(25,222,1,17,15,1,NULL,1,NULL),(25,222,1,17,16,NULL,1,NULL,1),(25,222,1,17,17,NULL,1,NULL,1),(25,222,1,17,18,NULL,1,NULL,1),(25,222,1,17,19,NULL,NULL,NULL,NULL),(25,222,1,17,20,2,NULL,2,NULL),(25,222,1,17,21,NULL,NULL,NULL,NULL),(25,222,1,17,22,1,1,1,1),(25,222,1,17,23,NULL,1,NULL,1),(25,222,1,17,24,NULL,NULL,NULL,NULL),(25,222,1,17,25,NULL,NULL,NULL,NULL),(25,222,1,17,26,NULL,NULL,NULL,NULL),(25,222,1,17,27,NULL,NULL,NULL,NULL),(25,222,1,17,28,NULL,2,NULL,2),(25,222,1,17,29,NULL,NULL,NULL,NULL),(25,222,1,17,30,NULL,1,NULL,1),(25,222,1,17,31,NULL,NULL,NULL,NULL),(25,222,1,17,32,NULL,NULL,NULL,NULL),(25,222,1,17,33,NULL,NULL,NULL,NULL),(25,222,1,17,34,NULL,1,NULL,1),(25,222,1,17,35,NULL,1,NULL,1),(25,222,1,17,36,NULL,1,NULL,1),(25,222,1,17,37,1,NULL,1,NULL),(25,222,1,17,38,NULL,2,NULL,2),(25,222,1,17,39,NULL,1,NULL,1),(25,222,1,17,40,NULL,NULL,NULL,NULL),(25,222,2,21,1,NULL,2,NULL,2),(25,222,2,21,2,NULL,NULL,NULL,NULL),(25,222,2,21,3,1,NULL,1,NULL),(25,222,2,21,4,NULL,NULL,NULL,NULL),(25,222,2,21,5,1,NULL,1,NULL),(25,222,2,21,6,NULL,1,NULL,1),(25,222,2,21,7,NULL,NULL,NULL,NULL),(25,222,2,21,8,1,NULL,1,NULL),(25,222,2,21,9,1,2,1,2),(25,222,2,21,10,NULL,2,NULL,2),(25,222,2,21,11,NULL,3,NULL,3),(25,222,2,21,12,NULL,NULL,NULL,NULL),(25,222,2,21,13,2,NULL,2,NULL),(25,222,2,21,14,NULL,3,NULL,3),(25,222,2,21,15,NULL,2,NULL,2),(25,222,2,21,16,1,1,NULL,1),(25,222,2,21,17,NULL,1,NULL,1),(25,222,2,21,18,NULL,1,NULL,1),(25,222,2,21,19,NULL,1,NULL,NULL),(25,222,2,21,20,NULL,NULL,NULL,NULL),(25,222,2,21,21,1,NULL,1,NULL),(25,222,2,21,22,NULL,NULL,NULL,NULL),(25,222,2,21,23,NULL,2,NULL,2),(25,222,2,21,24,NULL,NULL,NULL,NULL),(25,222,2,21,25,NULL,NULL,NULL,NULL),(25,222,2,21,26,NULL,NULL,NULL,NULL),(25,222,2,21,27,NULL,1,NULL,1),(25,222,2,21,28,NULL,NULL,NULL,NULL),(25,222,2,21,29,NULL,1,NULL,1),(25,222,2,21,30,NULL,2,NULL,2),(25,222,2,21,31,1,1,1,1),(25,222,2,21,32,NULL,NULL,NULL,NULL),(25,222,2,21,33,NULL,NULL,NULL,NULL),(25,222,2,21,34,1,1,1,NULL),(25,222,2,21,35,1,1,1,1),(25,222,2,21,36,NULL,1,NULL,1),(25,222,2,21,37,NULL,1,NULL,1),(25,222,2,21,38,NULL,1,NULL,1),(25,222,2,21,39,3,NULL,3,NULL),(25,222,2,21,40,NULL,NULL,NULL,NULL),(25,222,2,22,1,1,1,1,1),(25,222,2,22,2,NULL,NULL,NULL,NULL),(25,222,2,22,3,1,2,1,2),(25,222,2,22,4,NULL,2,NULL,1),(25,222,2,22,5,NULL,1,NULL,1),(25,222,2,22,6,NULL,1,NULL,1),(25,222,2,22,7,NULL,NULL,NULL,NULL),(25,222,2,22,8,2,1,1,1),(25,222,2,22,9,NULL,2,NULL,1),(25,222,2,22,10,NULL,1,NULL,1),(25,222,2,22,11,1,2,1,1),(25,222,2,22,12,NULL,NULL,NULL,NULL),(25,222,2,22,13,2,NULL,1,NULL),(25,222,2,22,14,1,1,1,1),(25,222,2,22,15,1,1,1,1),(25,222,2,22,16,1,NULL,1,NULL),(25,222,2,22,17,1,2,1,1),(25,222,2,22,18,NULL,2,NULL,2),(25,222,2,22,19,NULL,NULL,NULL,NULL),(25,222,2,22,20,1,2,1,2),(25,222,2,22,21,NULL,NULL,NULL,NULL),(25,222,2,22,22,NULL,NULL,NULL,NULL),(25,222,2,22,23,NULL,2,NULL,2),(25,222,2,22,24,NULL,3,NULL,2),(25,222,2,22,25,1,NULL,1,NULL),(25,222,2,22,26,NULL,NULL,NULL,NULL),(25,222,2,22,27,NULL,NULL,NULL,NULL),(25,222,2,22,28,NULL,NULL,NULL,NULL),(25,222,2,22,29,1,NULL,1,NULL),(25,222,2,22,30,NULL,NULL,NULL,NULL),(25,222,2,22,31,NULL,1,NULL,1),(25,222,2,22,32,NULL,2,NULL,1),(25,222,2,22,33,1,1,1,1),(25,222,2,22,34,NULL,1,NULL,1),(25,222,2,22,35,1,1,1,1),(25,222,2,22,36,1,2,1,2),(25,222,2,22,37,NULL,2,NULL,2),(25,222,2,22,38,2,1,2,1),(25,222,2,22,39,1,NULL,1,NULL),(25,222,2,22,40,NULL,NULL,NULL,NULL),(25,222,2,23,1,1,1,1,1),(25,222,2,23,2,NULL,4,NULL,3),(25,222,2,23,3,2,2,1,2),(25,222,2,23,4,2,2,1,2),(25,222,2,23,5,2,NULL,2,NULL),(25,222,2,23,6,1,1,1,NULL),(25,222,2,23,7,NULL,NULL,NULL,NULL),(25,222,2,23,8,2,2,2,1),(25,222,2,23,9,4,1,3,1),(25,222,2,23,10,1,2,1,2),(25,222,2,23,11,1,3,1,1),(25,222,2,23,12,NULL,3,NULL,2),(25,222,2,23,13,4,1,4,NULL),(25,222,2,23,14,2,1,1,1),(25,222,2,23,15,1,2,1,2),(25,222,2,23,16,NULL,1,NULL,NULL),(25,222,2,23,17,1,2,1,1),(25,222,2,23,18,1,1,NULL,1),(25,222,2,23,19,NULL,4,NULL,4),(25,222,2,23,20,NULL,4,NULL,3),(25,222,2,23,21,1,1,NULL,1),(25,222,2,23,22,NULL,NULL,NULL,NULL),(25,222,2,23,23,NULL,1,NULL,NULL),(25,222,2,23,24,NULL,1,NULL,1),(25,222,2,23,25,1,NULL,NULL,NULL),(25,222,2,23,26,NULL,NULL,NULL,NULL),(25,222,2,23,27,NULL,NULL,NULL,NULL),(25,222,2,23,28,NULL,NULL,NULL,NULL),(25,222,2,23,29,NULL,1,NULL,1),(25,222,2,23,30,2,NULL,2,NULL),(25,222,2,23,31,1,NULL,NULL,NULL),(25,222,2,23,32,NULL,2,NULL,1),(25,222,2,23,33,NULL,2,NULL,1),(25,222,2,23,34,NULL,NULL,NULL,NULL),(25,222,2,23,35,2,2,1,1),(25,222,2,23,36,NULL,1,NULL,NULL),(25,222,2,23,37,NULL,1,NULL,NULL),(25,222,2,23,38,3,2,2,2),(25,222,2,23,39,4,NULL,2,NULL),(25,222,2,23,40,NULL,1,NULL,NULL),(25,222,2,24,1,NULL,1,NULL,1),(25,222,2,24,2,NULL,2,NULL,2),(25,222,2,24,3,NULL,2,NULL,2),(25,222,2,24,4,2,1,2,1),(25,222,2,24,5,2,1,2,1),(25,222,2,24,6,NULL,1,NULL,1),(25,222,2,24,7,NULL,2,NULL,2),(25,222,2,24,8,1,1,1,1),(25,222,2,24,9,2,1,2,1),(25,222,2,24,10,NULL,2,NULL,2),(25,222,2,24,11,1,2,1,1),(25,222,2,24,12,NULL,2,NULL,2),(25,222,2,24,13,4,1,3,1),(25,222,2,24,14,1,2,1,1),(25,222,2,24,15,2,NULL,1,NULL),(25,222,2,24,16,1,1,1,NULL),(25,222,2,24,17,NULL,1,NULL,1),(25,222,2,24,18,2,1,2,1),(25,222,2,24,19,NULL,3,NULL,3),(25,222,2,24,20,NULL,2,NULL,2),(25,222,2,24,21,1,1,1,1),(25,222,2,24,22,NULL,NULL,NULL,NULL),(25,222,2,24,23,NULL,1,NULL,1),(25,222,2,24,24,NULL,2,NULL,2),(25,222,2,24,25,NULL,NULL,NULL,NULL),(25,222,2,24,26,NULL,1,NULL,1),(25,222,2,24,27,NULL,NULL,NULL,NULL),(25,222,2,24,28,NULL,NULL,NULL,NULL),(25,222,2,24,29,1,NULL,1,NULL),(25,222,2,24,30,NULL,1,NULL,1),(25,222,2,24,31,3,NULL,3,NULL),(25,222,2,24,32,NULL,1,NULL,1),(25,222,2,24,33,1,NULL,1,NULL),(25,222,2,24,34,1,NULL,1,NULL),(25,222,2,24,35,NULL,1,NULL,1),(25,222,2,24,36,NULL,NULL,NULL,NULL),(25,222,2,24,37,1,2,1,2),(25,222,2,24,38,3,NULL,2,NULL),(25,222,2,24,39,2,NULL,2,NULL),(25,222,2,24,40,NULL,2,NULL,2),(25,223,1,11,1,NULL,NULL,NULL,NULL),(25,223,1,11,2,NULL,NULL,NULL,NULL),(25,223,1,11,3,NULL,NULL,NULL,NULL),(25,223,1,11,4,NULL,NULL,NULL,NULL),(25,223,1,11,5,NULL,NULL,NULL,NULL),(25,223,1,11,6,NULL,NULL,NULL,NULL),(25,223,1,11,7,NULL,NULL,NULL,NULL),(25,223,1,11,8,NULL,NULL,NULL,NULL),(25,223,1,11,9,NULL,NULL,NULL,NULL),(25,223,1,11,10,NULL,NULL,NULL,NULL),(25,223,1,11,11,NULL,NULL,NULL,NULL),(25,223,1,11,12,NULL,NULL,NULL,NULL),(25,223,1,11,13,NULL,NULL,NULL,NULL),(25,223,1,11,14,NULL,NULL,NULL,NULL),(25,223,1,11,15,NULL,NULL,NULL,NULL),(25,223,1,11,16,NULL,NULL,NULL,NULL),(25,223,1,11,17,NULL,NULL,NULL,NULL),(25,223,1,11,18,NULL,NULL,NULL,NULL),(25,223,1,11,19,NULL,NULL,NULL,NULL),(25,223,1,11,20,NULL,NULL,NULL,NULL),(25,223,1,11,21,NULL,NULL,NULL,NULL),(25,223,1,11,22,NULL,NULL,NULL,NULL),(25,223,1,11,23,NULL,NULL,NULL,NULL),(25,223,1,11,24,NULL,NULL,NULL,NULL),(25,223,1,11,25,NULL,NULL,NULL,NULL),(25,223,1,11,26,NULL,NULL,NULL,NULL),(25,223,1,11,27,NULL,NULL,NULL,NULL),(25,223,1,11,28,NULL,NULL,NULL,NULL),(25,223,1,11,29,NULL,NULL,NULL,NULL),(25,223,1,11,30,NULL,NULL,NULL,NULL),(25,223,1,11,31,NULL,NULL,NULL,NULL),(25,223,1,11,32,NULL,NULL,NULL,NULL),(25,223,1,11,33,NULL,NULL,NULL,NULL),(25,223,1,11,34,NULL,NULL,NULL,NULL),(25,223,1,11,35,NULL,NULL,NULL,NULL),(25,223,1,11,36,NULL,NULL,NULL,NULL),(25,223,1,11,37,NULL,NULL,NULL,NULL),(25,223,1,11,38,NULL,NULL,NULL,NULL),(25,223,1,11,39,NULL,NULL,NULL,NULL),(25,223,1,11,40,NULL,NULL,NULL,NULL),(25,223,1,12,1,NULL,NULL,NULL,NULL),(25,223,1,12,2,NULL,NULL,NULL,NULL),(25,223,1,12,3,NULL,NULL,NULL,NULL),(25,223,1,12,4,NULL,NULL,NULL,NULL),(25,223,1,12,5,NULL,NULL,NULL,NULL),(25,223,1,12,6,NULL,NULL,NULL,NULL),(25,223,1,12,7,NULL,NULL,NULL,NULL),(25,223,1,12,8,NULL,NULL,NULL,NULL),(25,223,1,12,9,NULL,NULL,NULL,NULL),(25,223,1,12,10,NULL,NULL,NULL,NULL),(25,223,1,12,11,NULL,NULL,NULL,NULL),(25,223,1,12,12,NULL,NULL,NULL,NULL),(25,223,1,12,13,NULL,NULL,NULL,NULL),(25,223,1,12,14,NULL,NULL,NULL,NULL),(25,223,1,12,15,NULL,NULL,NULL,NULL),(25,223,1,12,16,NULL,NULL,NULL,NULL),(25,223,1,12,17,NULL,NULL,NULL,NULL),(25,223,1,12,18,NULL,NULL,NULL,NULL),(25,223,1,12,19,NULL,NULL,NULL,NULL),(25,223,1,12,20,NULL,NULL,NULL,NULL),(25,223,1,12,21,NULL,NULL,NULL,NULL),(25,223,1,12,22,NULL,NULL,NULL,NULL),(25,223,1,12,23,NULL,NULL,NULL,NULL),(25,223,1,12,24,NULL,NULL,NULL,NULL),(25,223,1,12,25,NULL,NULL,NULL,NULL),(25,223,1,12,26,NULL,NULL,NULL,NULL),(25,223,1,12,27,NULL,NULL,NULL,NULL),(25,223,1,12,28,NULL,NULL,NULL,NULL),(25,223,1,12,29,NULL,NULL,NULL,NULL),(25,223,1,12,30,NULL,NULL,NULL,NULL),(25,223,1,12,31,NULL,NULL,NULL,NULL),(25,223,1,12,32,NULL,NULL,NULL,NULL),(25,223,1,12,33,NULL,NULL,NULL,NULL),(25,223,1,12,34,NULL,NULL,NULL,NULL),(25,223,1,12,35,NULL,NULL,NULL,NULL),(25,223,1,12,36,NULL,NULL,NULL,NULL),(25,223,1,12,37,NULL,NULL,NULL,NULL),(25,223,1,12,38,NULL,NULL,NULL,NULL),(25,223,1,12,39,NULL,NULL,NULL,NULL),(25,223,1,12,40,NULL,NULL,NULL,NULL),(25,223,1,13,1,NULL,NULL,NULL,NULL),(25,223,1,13,2,NULL,NULL,NULL,NULL),(25,223,1,13,3,NULL,NULL,NULL,NULL),(25,223,1,13,4,NULL,NULL,NULL,NULL),(25,223,1,13,5,NULL,NULL,NULL,NULL),(25,223,1,13,6,NULL,NULL,NULL,NULL),(25,223,1,13,7,NULL,NULL,NULL,NULL),(25,223,1,13,8,NULL,NULL,NULL,NULL),(25,223,1,13,9,NULL,NULL,NULL,NULL),(25,223,1,13,10,NULL,NULL,NULL,NULL),(25,223,1,13,11,NULL,NULL,NULL,NULL),(25,223,1,13,12,NULL,NULL,NULL,NULL),(25,223,1,13,13,NULL,NULL,NULL,NULL),(25,223,1,13,14,NULL,NULL,NULL,NULL),(25,223,1,13,15,NULL,NULL,NULL,NULL),(25,223,1,13,16,NULL,NULL,NULL,NULL),(25,223,1,13,17,NULL,NULL,NULL,NULL),(25,223,1,13,18,NULL,NULL,NULL,NULL),(25,223,1,13,19,NULL,NULL,NULL,NULL),(25,223,1,13,20,NULL,NULL,NULL,NULL),(25,223,1,13,21,NULL,NULL,NULL,NULL),(25,223,1,13,22,NULL,NULL,NULL,NULL),(25,223,1,13,23,NULL,NULL,NULL,NULL),(25,223,1,13,24,NULL,NULL,NULL,NULL),(25,223,1,13,25,NULL,NULL,NULL,NULL),(25,223,1,13,26,NULL,NULL,NULL,NULL),(25,223,1,13,27,NULL,NULL,NULL,NULL),(25,223,1,13,28,NULL,NULL,NULL,NULL),(25,223,1,13,29,NULL,NULL,NULL,NULL),(25,223,1,13,30,NULL,NULL,NULL,NULL),(25,223,1,13,31,NULL,NULL,NULL,NULL),(25,223,1,13,32,NULL,NULL,NULL,NULL),(25,223,1,13,33,NULL,NULL,NULL,NULL),(25,223,1,13,34,NULL,NULL,NULL,NULL),(25,223,1,13,35,NULL,NULL,NULL,NULL),(25,223,1,13,36,NULL,NULL,NULL,NULL),(25,223,1,13,37,NULL,NULL,NULL,NULL),(25,223,1,13,38,NULL,NULL,NULL,NULL),(25,223,1,13,39,NULL,NULL,NULL,NULL),(25,223,1,13,40,NULL,NULL,NULL,NULL),(25,223,1,14,1,1,6,NULL,5),(25,223,1,14,2,2,2,1,2),(25,223,1,14,3,1,2,1,1),(25,223,1,14,4,5,7,4,5),(25,223,1,14,5,3,5,2,4),(25,223,1,14,6,NULL,3,NULL,3),(25,223,1,14,7,2,8,2,5),(25,223,1,14,8,2,4,2,3),(25,223,1,14,9,2,4,2,1),(25,223,1,14,10,NULL,1,NULL,NULL),(25,223,1,14,11,NULL,5,NULL,5),(25,223,1,14,12,4,NULL,4,NULL),(25,223,1,14,13,1,3,1,2),(25,223,1,14,14,4,1,4,1),(25,223,1,14,15,1,5,1,3),(25,223,1,14,16,1,3,1,3),(25,223,1,14,17,NULL,5,NULL,3),(25,223,1,14,18,4,2,3,1),(25,223,1,14,19,5,4,4,3),(25,223,1,14,20,4,NULL,3,NULL),(25,223,1,14,21,4,4,2,3),(25,223,1,14,22,NULL,4,NULL,4),(25,223,1,14,23,NULL,2,NULL,1),(25,223,1,14,24,NULL,6,NULL,5),(25,223,1,14,25,3,2,3,1),(25,223,1,14,26,3,NULL,2,NULL),(25,223,1,14,27,2,NULL,2,NULL),(25,223,1,14,28,2,5,2,4),(25,223,1,14,29,1,NULL,1,NULL),(25,223,1,14,30,NULL,3,NULL,3),(25,223,1,14,31,NULL,2,NULL,2),(25,223,1,14,32,2,2,2,1),(25,223,1,14,33,NULL,2,NULL,2),(25,223,1,14,34,NULL,5,NULL,5),(25,223,1,14,35,2,1,NULL,1),(25,223,1,14,36,3,2,3,2),(25,223,1,14,37,2,3,2,2),(25,223,1,14,38,1,7,1,6),(25,223,1,14,39,1,1,1,1),(25,223,1,14,40,NULL,4,NULL,4),(25,223,1,15,1,6,6,5,6),(25,223,1,15,2,1,6,1,6),(25,223,1,15,3,2,2,2,2),(25,223,1,15,4,5,4,4,4),(25,223,1,15,5,NULL,4,NULL,3),(25,223,1,15,6,1,4,1,4),(25,223,1,15,7,3,9,3,9),(25,223,1,15,8,NULL,2,NULL,2),(25,223,1,15,9,1,3,1,2),(25,223,1,15,10,NULL,2,NULL,2),(25,223,1,15,11,NULL,3,NULL,3),(25,223,1,15,12,NULL,3,NULL,3),(25,223,1,15,13,NULL,3,NULL,3),(25,223,1,15,14,4,3,4,3),(25,223,1,15,15,3,2,3,2),(25,223,1,15,16,1,4,1,4),(25,223,1,15,17,NULL,4,NULL,4),(25,223,1,15,18,7,1,7,1),(25,223,1,15,19,3,4,2,4),(25,223,1,15,20,4,1,4,1),(25,223,1,15,21,3,6,3,5),(25,223,1,15,22,1,5,1,5),(25,223,1,15,23,2,2,2,2),(25,223,1,15,24,1,4,1,4),(25,223,1,15,25,NULL,2,NULL,2),(25,223,1,15,26,1,NULL,1,NULL),(25,223,1,15,27,NULL,NULL,NULL,NULL),(25,223,1,15,28,1,5,1,5),(25,223,1,15,29,NULL,3,NULL,3),(25,223,1,15,30,2,3,2,3),(25,223,1,15,31,NULL,NULL,NULL,NULL),(25,223,1,15,32,1,NULL,1,NULL),(25,223,1,15,33,NULL,5,NULL,5),(25,223,1,15,34,2,5,1,5),(25,223,1,15,35,NULL,4,NULL,4),(25,223,1,15,36,3,5,3,5),(25,223,1,15,37,3,2,3,2),(25,223,1,15,38,NULL,8,NULL,6),(25,223,1,15,39,NULL,3,NULL,3),(25,223,1,15,40,NULL,3,NULL,3),(25,223,1,16,1,6,2,5,1),(25,223,1,16,2,NULL,1,NULL,1),(25,223,1,16,3,NULL,4,NULL,3),(25,223,1,16,4,3,3,1,2),(25,223,1,16,5,1,1,1,NULL),(25,223,1,16,6,3,2,2,1),(25,223,1,16,7,1,13,1,9),(25,223,1,16,8,2,1,NULL,1),(25,223,1,16,9,2,4,2,2),(25,223,1,16,10,NULL,NULL,NULL,NULL),(25,223,1,16,11,1,3,1,2),(25,223,1,16,12,NULL,1,NULL,1),(25,223,1,16,13,3,NULL,2,NULL),(25,223,1,16,14,3,1,3,1),(25,223,1,16,15,6,NULL,5,NULL),(25,223,1,16,16,3,5,1,5),(25,223,1,16,17,NULL,8,NULL,4),(25,223,1,16,18,3,9,2,5),(25,223,1,16,19,NULL,11,NULL,6),(25,223,1,16,20,3,NULL,2,NULL),(25,223,1,16,21,2,2,1,1),(25,223,1,16,22,NULL,2,NULL,1),(25,223,1,16,23,1,NULL,NULL,NULL),(25,223,1,16,24,NULL,NULL,NULL,NULL),(25,223,1,16,25,1,2,1,NULL),(25,223,1,16,26,1,NULL,1,NULL),(25,223,1,16,27,NULL,NULL,NULL,NULL),(25,223,1,16,28,3,7,3,5),(25,223,1,16,29,2,1,2,NULL),(25,223,1,16,30,1,2,NULL,1),(25,223,1,16,31,NULL,NULL,NULL,NULL),(25,223,1,16,32,NULL,NULL,NULL,NULL),(25,223,1,16,33,2,NULL,NULL,NULL),(25,223,1,16,34,NULL,3,NULL,3),(25,223,1,16,35,1,2,NULL,2),(25,223,1,16,36,1,4,NULL,3),(25,223,1,16,37,1,2,1,2),(25,223,1,16,38,NULL,8,NULL,5),(25,223,1,16,39,1,4,1,2),(25,223,1,16,40,NULL,NULL,NULL,NULL),(25,223,1,17,1,4,5,2,4),(25,223,1,17,2,1,4,1,2),(25,223,1,17,3,3,2,2,1),(25,223,1,17,4,6,5,3,4),(25,223,1,17,5,1,4,NULL,2),(25,223,1,17,6,3,4,2,2),(25,223,1,17,7,1,10,NULL,8),(25,223,1,17,8,3,1,1,1),(25,223,1,17,9,1,3,1,2),(25,223,1,17,10,NULL,1,NULL,NULL),(25,223,1,17,11,NULL,4,NULL,2),(25,223,1,17,12,NULL,1,NULL,1),(25,223,1,17,13,3,2,2,NULL),(25,223,1,17,14,2,2,2,2),(25,223,1,17,15,7,NULL,5,NULL),(25,223,1,17,16,5,5,3,4),(25,223,1,17,17,NULL,10,NULL,5),(25,223,1,17,18,3,8,NULL,5),(25,223,1,17,19,NULL,7,NULL,5),(25,223,1,17,20,7,NULL,5,NULL),(25,223,1,17,21,3,3,3,NULL),(25,223,1,17,22,2,2,1,2),(25,223,1,17,23,NULL,3,NULL,2),(25,223,1,17,24,NULL,4,NULL,3),(25,223,1,17,25,NULL,2,NULL,2),(25,223,1,17,26,4,NULL,3,NULL),(25,223,1,17,27,1,NULL,1,NULL),(25,223,1,17,28,1,8,1,7),(25,223,1,17,29,1,2,NULL,2),(25,223,1,17,30,1,4,1,3),(25,223,1,17,31,NULL,NULL,NULL,NULL),(25,223,1,17,32,NULL,NULL,NULL,NULL),(25,223,1,17,33,1,2,1,NULL),(25,223,1,17,34,2,1,2,NULL),(25,223,1,17,35,1,3,1,3),(25,223,1,17,36,NULL,3,NULL,1),(25,223,1,17,37,1,4,1,3),(25,223,1,17,38,NULL,10,NULL,8),(25,223,1,17,39,NULL,5,NULL,3),(25,223,1,17,40,NULL,3,NULL,1),(25,223,2,21,1,NULL,1,NULL,1),(25,223,2,21,2,NULL,3,NULL,2),(25,223,2,21,3,NULL,3,NULL,2),(25,223,2,21,4,NULL,NULL,NULL,NULL),(25,223,2,21,5,3,2,3,1),(25,223,2,21,6,NULL,3,NULL,2),(25,223,2,21,7,NULL,4,NULL,3),(25,223,2,21,8,2,1,2,NULL),(25,223,2,21,9,4,2,4,1),(25,223,2,21,10,1,2,1,1),(25,223,2,21,11,NULL,9,NULL,9),(25,223,2,21,12,NULL,2,NULL,2),(25,223,2,21,13,2,2,1,2),(25,223,2,21,14,2,4,2,4),(25,223,2,21,15,NULL,2,NULL,1),(25,223,2,21,16,NULL,3,NULL,2),(25,223,2,21,17,1,7,1,6),(25,223,2,21,18,3,5,2,4),(25,223,2,21,19,NULL,3,NULL,2),(25,223,2,21,20,1,2,NULL,2),(25,223,2,21,21,1,2,1,2),(25,223,2,21,22,NULL,NULL,NULL,NULL),(25,223,2,21,23,1,NULL,1,NULL),(25,223,2,21,24,NULL,7,NULL,6),(25,223,2,21,25,NULL,NULL,NULL,NULL),(25,223,2,21,26,NULL,1,NULL,1),(25,223,2,21,27,2,3,2,3),(25,223,2,21,28,NULL,1,NULL,1),(25,223,2,21,29,1,2,1,2),(25,223,2,21,30,1,1,1,1),(25,223,2,21,31,2,NULL,2,NULL),(25,223,2,21,32,NULL,2,NULL,2),(25,223,2,21,33,4,1,4,1),(25,223,2,21,34,2,NULL,2,NULL),(25,223,2,21,35,1,2,1,2),(25,223,2,21,36,3,3,3,3),(25,223,2,21,37,3,2,2,2),(25,223,2,21,38,2,4,2,4),(25,223,2,21,39,4,NULL,4,NULL),(25,223,2,21,40,NULL,3,NULL,3),(25,223,2,22,1,2,4,2,3),(25,223,2,22,2,NULL,4,NULL,4),(25,223,2,22,3,2,2,1,2),(25,223,2,22,4,1,3,1,2),(25,223,2,22,5,NULL,4,NULL,3),(25,223,2,22,6,1,4,1,4),(25,223,2,22,7,NULL,4,NULL,2),(25,223,2,22,8,2,6,NULL,6),(25,223,2,22,9,5,6,5,3),(25,223,2,22,10,1,4,1,2),(25,223,2,22,11,1,8,1,6),(25,223,2,22,12,1,4,NULL,3),(25,223,2,22,13,5,3,3,3),(25,223,2,22,14,NULL,6,NULL,5),(25,223,2,22,15,3,7,3,6),(25,223,2,22,16,2,4,2,2),(25,223,2,22,17,NULL,4,NULL,4),(25,223,2,22,18,3,5,3,4),(25,223,2,22,19,NULL,6,NULL,4),(25,223,2,22,20,NULL,5,NULL,5),(25,223,2,22,21,1,3,1,3),(25,223,2,22,22,NULL,NULL,NULL,NULL),(25,223,2,22,23,NULL,2,NULL,2),(25,223,2,22,24,2,2,2,1),(25,223,2,22,25,NULL,NULL,NULL,NULL),(25,223,2,22,26,3,2,2,1),(25,223,2,22,27,NULL,1,NULL,1),(25,223,2,22,28,NULL,2,NULL,NULL),(25,223,2,22,29,1,4,1,2),(25,223,2,22,30,NULL,1,NULL,1),(25,223,2,22,31,NULL,1,NULL,1),(25,223,2,22,32,1,1,1,1),(25,223,2,22,33,3,4,3,3),(25,223,2,22,34,NULL,1,NULL,1),(25,223,2,22,35,NULL,4,NULL,4),(25,223,2,22,36,NULL,3,NULL,3),(25,223,2,22,37,1,5,1,5),(25,223,2,22,38,2,5,2,4),(25,223,2,22,39,5,NULL,5,NULL),(25,223,2,22,40,NULL,2,NULL,2),(25,223,2,23,1,NULL,2,NULL,1),(25,223,2,23,2,1,3,1,2),(25,223,2,23,3,NULL,NULL,NULL,NULL),(25,223,2,23,4,1,NULL,NULL,NULL),(25,223,2,23,5,1,2,NULL,2),(25,223,2,23,6,1,1,NULL,NULL),(25,223,2,23,7,1,2,NULL,1),(25,223,2,23,8,4,3,3,2),(25,223,2,23,9,3,2,2,2),(25,223,2,23,10,1,1,1,1),(25,223,2,23,11,1,8,NULL,4),(25,223,2,23,12,1,3,NULL,1),(25,223,2,23,13,3,3,2,3),(25,223,2,23,14,NULL,4,NULL,4),(25,223,2,23,15,2,5,NULL,4),(25,223,2,23,16,1,4,NULL,3),(25,223,2,23,17,NULL,3,NULL,1),(25,223,2,23,18,1,3,1,1),(25,223,2,23,19,NULL,2,NULL,1),(25,223,2,23,20,1,3,NULL,2),(25,223,2,23,21,NULL,NULL,NULL,NULL),(25,223,2,23,22,1,1,1,NULL),(25,223,2,23,23,NULL,1,NULL,1),(25,223,2,23,24,3,NULL,2,NULL),(25,223,2,23,25,NULL,NULL,NULL,NULL),(25,223,2,23,26,1,1,1,NULL),(25,223,2,23,27,NULL,2,NULL,2),(25,223,2,23,28,NULL,1,NULL,1),(25,223,2,23,29,1,2,NULL,1),(25,223,2,23,30,1,2,NULL,1),(25,223,2,23,31,1,4,1,2),(25,223,2,23,32,NULL,1,NULL,1),(25,223,2,23,33,1,2,1,NULL),(25,223,2,23,34,1,NULL,NULL,NULL),(25,223,2,23,35,2,2,1,1),(25,223,2,23,36,3,NULL,2,NULL),(25,223,2,23,37,NULL,2,NULL,1),(25,223,2,23,38,1,2,1,NULL),(25,223,2,23,39,2,NULL,1,NULL),(25,223,2,23,40,NULL,NULL,NULL,NULL),(25,223,2,24,1,1,5,1,4),(25,223,2,24,2,1,3,1,2),(25,223,2,24,3,2,2,2,2),(25,223,2,24,4,NULL,3,NULL,2),(25,223,2,24,5,NULL,4,NULL,4),(25,223,2,24,6,2,2,1,2),(25,223,2,24,7,3,1,2,1),(25,223,2,24,8,2,6,2,6),(25,223,2,24,9,1,7,1,7),(25,223,2,24,10,NULL,3,NULL,2),(25,223,2,24,11,1,7,1,5),(25,223,2,24,12,NULL,3,NULL,2),(25,223,2,24,13,1,5,1,4),(25,223,2,24,14,1,4,1,3),(25,223,2,24,15,1,4,NULL,4),(25,223,2,24,16,NULL,4,NULL,4),(25,223,2,24,17,1,6,1,4),(25,223,2,24,18,4,4,3,3),(25,223,2,24,19,1,NULL,1,NULL),(25,223,2,24,20,1,1,1,1),(25,223,2,24,21,NULL,NULL,NULL,NULL),(25,223,2,24,22,NULL,NULL,NULL,NULL),(25,223,2,24,23,NULL,NULL,NULL,NULL),(25,223,2,24,24,NULL,1,NULL,1),(25,223,2,24,25,NULL,NULL,NULL,NULL),(25,223,2,24,26,NULL,1,NULL,1),(25,223,2,24,27,NULL,NULL,NULL,NULL),(25,223,2,24,28,NULL,1,NULL,1),(25,223,2,24,29,NULL,1,NULL,1),(25,223,2,24,30,NULL,3,NULL,1),(25,223,2,24,31,1,2,1,2),(25,223,2,24,32,NULL,2,NULL,2),(25,223,2,24,33,3,1,2,1),(25,223,2,24,34,NULL,2,NULL,NULL),(25,223,2,24,35,4,1,3,1),(25,223,2,24,36,1,1,NULL,1),(25,223,2,24,37,NULL,3,NULL,2),(25,223,2,24,38,2,2,2,1),(25,223,2,24,39,5,NULL,4,NULL),(25,223,2,24,40,NULL,1,NULL,1),(25,224,1,11,1,NULL,NULL,NULL,NULL),(25,224,1,11,2,NULL,NULL,NULL,NULL),(25,224,1,11,3,NULL,NULL,NULL,NULL),(25,224,1,11,4,NULL,NULL,NULL,NULL),(25,224,1,11,5,NULL,NULL,NULL,NULL),(25,224,1,11,6,NULL,NULL,NULL,NULL),(25,224,1,11,7,NULL,NULL,NULL,NULL),(25,224,1,11,8,NULL,NULL,NULL,NULL),(25,224,1,11,9,NULL,NULL,NULL,NULL),(25,224,1,11,10,NULL,NULL,NULL,NULL),(25,224,1,11,11,NULL,NULL,NULL,NULL),(25,224,1,11,12,NULL,NULL,NULL,NULL),(25,224,1,11,13,NULL,NULL,NULL,NULL),(25,224,1,11,14,NULL,NULL,NULL,NULL),(25,224,1,11,15,NULL,NULL,NULL,NULL),(25,224,1,11,16,NULL,NULL,NULL,NULL),(25,224,1,11,17,NULL,NULL,NULL,NULL),(25,224,1,11,18,NULL,NULL,NULL,NULL),(25,224,1,11,19,NULL,NULL,NULL,NULL),(25,224,1,11,20,NULL,NULL,NULL,NULL),(25,224,1,11,21,NULL,NULL,NULL,NULL),(25,224,1,11,22,NULL,NULL,NULL,NULL),(25,224,1,11,23,NULL,NULL,NULL,NULL),(25,224,1,11,24,NULL,NULL,NULL,NULL),(25,224,1,11,25,NULL,NULL,NULL,NULL),(25,224,1,11,26,NULL,NULL,NULL,NULL),(25,224,1,11,27,NULL,NULL,NULL,NULL),(25,224,1,11,28,NULL,NULL,NULL,NULL),(25,224,1,11,29,NULL,NULL,NULL,NULL),(25,224,1,11,30,NULL,NULL,NULL,NULL),(25,224,1,11,31,NULL,NULL,NULL,NULL),(25,224,1,11,32,NULL,NULL,NULL,NULL),(25,224,1,11,33,NULL,NULL,NULL,NULL),(25,224,1,11,34,NULL,NULL,NULL,NULL),(25,224,1,11,35,NULL,NULL,NULL,NULL),(25,224,1,11,36,NULL,NULL,NULL,NULL),(25,224,1,11,37,NULL,NULL,NULL,NULL),(25,224,1,11,38,NULL,NULL,NULL,NULL),(25,224,1,11,39,NULL,NULL,NULL,NULL),(25,224,1,11,40,NULL,NULL,NULL,NULL),(25,224,1,12,1,NULL,NULL,NULL,NULL),(25,224,1,12,2,NULL,NULL,NULL,NULL),(25,224,1,12,3,NULL,NULL,NULL,NULL),(25,224,1,12,4,NULL,NULL,NULL,NULL),(25,224,1,12,5,NULL,NULL,NULL,NULL),(25,224,1,12,6,NULL,NULL,NULL,NULL),(25,224,1,12,7,NULL,NULL,NULL,NULL),(25,224,1,12,8,NULL,NULL,NULL,NULL),(25,224,1,12,9,NULL,NULL,NULL,NULL),(25,224,1,12,10,NULL,NULL,NULL,NULL),(25,224,1,12,11,NULL,NULL,NULL,NULL),(25,224,1,12,12,NULL,NULL,NULL,NULL),(25,224,1,12,13,NULL,NULL,NULL,NULL),(25,224,1,12,14,NULL,NULL,NULL,NULL),(25,224,1,12,15,NULL,NULL,NULL,NULL),(25,224,1,12,16,NULL,NULL,NULL,NULL),(25,224,1,12,17,NULL,NULL,NULL,NULL),(25,224,1,12,18,NULL,NULL,NULL,NULL),(25,224,1,12,19,NULL,NULL,NULL,NULL),(25,224,1,12,20,NULL,NULL,NULL,NULL),(25,224,1,12,21,NULL,NULL,NULL,NULL),(25,224,1,12,22,NULL,NULL,NULL,NULL),(25,224,1,12,23,NULL,NULL,NULL,NULL),(25,224,1,12,24,NULL,NULL,NULL,NULL),(25,224,1,12,25,NULL,NULL,NULL,NULL),(25,224,1,12,26,NULL,NULL,NULL,NULL),(25,224,1,12,27,NULL,NULL,NULL,NULL),(25,224,1,12,28,NULL,NULL,NULL,NULL),(25,224,1,12,29,NULL,NULL,NULL,NULL),(25,224,1,12,30,NULL,NULL,NULL,NULL),(25,224,1,12,31,NULL,NULL,NULL,NULL),(25,224,1,12,32,NULL,NULL,NULL,NULL),(25,224,1,12,33,NULL,NULL,NULL,NULL),(25,224,1,12,34,NULL,NULL,NULL,NULL),(25,224,1,12,35,NULL,NULL,NULL,NULL),(25,224,1,12,36,NULL,NULL,NULL,NULL),(25,224,1,12,37,NULL,NULL,NULL,NULL),(25,224,1,12,38,NULL,NULL,NULL,NULL),(25,224,1,12,39,NULL,NULL,NULL,NULL),(25,224,1,12,40,NULL,NULL,NULL,NULL),(25,224,1,13,1,NULL,NULL,NULL,NULL),(25,224,1,13,2,NULL,NULL,NULL,NULL),(25,224,1,13,3,NULL,NULL,NULL,NULL),(25,224,1,13,4,NULL,NULL,NULL,NULL),(25,224,1,13,5,NULL,NULL,NULL,NULL),(25,224,1,13,6,NULL,NULL,NULL,NULL),(25,224,1,13,7,NULL,NULL,NULL,NULL),(25,224,1,13,8,NULL,NULL,NULL,NULL),(25,224,1,13,9,NULL,NULL,NULL,NULL),(25,224,1,13,10,NULL,NULL,NULL,NULL),(25,224,1,13,11,NULL,NULL,NULL,NULL),(25,224,1,13,12,NULL,NULL,NULL,NULL),(25,224,1,13,13,NULL,NULL,NULL,NULL),(25,224,1,13,14,NULL,NULL,NULL,NULL),(25,224,1,13,15,NULL,NULL,NULL,NULL),(25,224,1,13,16,NULL,NULL,NULL,NULL),(25,224,1,13,17,NULL,NULL,NULL,NULL),(25,224,1,13,18,NULL,NULL,NULL,NULL),(25,224,1,13,19,NULL,NULL,NULL,NULL),(25,224,1,13,20,NULL,NULL,NULL,NULL),(25,224,1,13,21,NULL,NULL,NULL,NULL),(25,224,1,13,22,NULL,NULL,NULL,NULL),(25,224,1,13,23,NULL,NULL,NULL,NULL),(25,224,1,13,24,NULL,NULL,NULL,NULL),(25,224,1,13,25,NULL,NULL,NULL,NULL),(25,224,1,13,26,NULL,NULL,NULL,NULL),(25,224,1,13,27,NULL,NULL,NULL,NULL),(25,224,1,13,28,NULL,NULL,NULL,NULL),(25,224,1,13,29,NULL,NULL,NULL,NULL),(25,224,1,13,30,NULL,NULL,NULL,NULL),(25,224,1,13,31,NULL,NULL,NULL,NULL),(25,224,1,13,32,NULL,NULL,NULL,NULL),(25,224,1,13,33,NULL,NULL,NULL,NULL),(25,224,1,13,34,NULL,NULL,NULL,NULL),(25,224,1,13,35,NULL,NULL,NULL,NULL),(25,224,1,13,36,NULL,NULL,NULL,NULL),(25,224,1,13,37,NULL,NULL,NULL,NULL),(25,224,1,13,38,NULL,NULL,NULL,NULL),(25,224,1,13,39,NULL,NULL,NULL,NULL),(25,224,1,13,40,NULL,NULL,NULL,NULL),(25,224,1,14,1,4,4,3,4),(25,224,1,14,2,1,1,1,1),(25,224,1,14,3,3,1,3,1),(25,224,1,14,4,2,3,2,3),(25,224,1,14,5,NULL,2,NULL,2),(25,224,1,14,6,1,5,1,5),(25,224,1,14,7,1,4,1,4),(25,224,1,14,8,1,2,1,2),(25,224,1,14,9,NULL,2,NULL,2),(25,224,1,14,10,NULL,1,NULL,1),(25,224,1,14,11,NULL,3,NULL,3),(25,224,1,14,12,NULL,1,NULL,1),(25,224,1,14,13,1,1,1,1),(25,224,1,14,14,1,3,1,3),(25,224,1,14,15,2,1,1,1),(25,224,1,14,16,NULL,2,NULL,2),(25,224,1,14,17,NULL,2,NULL,2),(25,224,1,14,18,1,1,1,1),(25,224,1,14,19,NULL,5,NULL,4),(25,224,1,14,20,1,1,1,1),(25,224,1,14,21,2,3,2,3),(25,224,1,14,22,3,1,3,1),(25,224,1,14,23,1,1,1,1),(25,224,1,14,24,1,NULL,1,NULL),(25,224,1,14,25,1,1,1,1),(25,224,1,14,26,NULL,NULL,NULL,NULL),(25,224,1,14,27,NULL,NULL,NULL,NULL),(25,224,1,14,28,NULL,2,NULL,1),(25,224,1,14,29,NULL,NULL,NULL,NULL),(25,224,1,14,30,1,NULL,1,NULL),(25,224,1,14,31,NULL,1,NULL,1),(25,224,1,14,32,NULL,1,NULL,1),(25,224,1,14,33,NULL,2,NULL,2),(25,224,1,14,34,2,2,2,2),(25,224,1,14,35,1,2,1,2),(25,224,1,14,36,1,3,1,2),(25,224,1,14,37,1,NULL,1,NULL),(25,224,1,14,38,NULL,5,NULL,5),(25,224,1,14,39,NULL,2,NULL,2),(25,224,1,14,40,NULL,1,NULL,1),(25,224,1,15,1,2,NULL,1,NULL),(25,224,1,15,2,NULL,1,NULL,1),(25,224,1,15,3,NULL,3,NULL,1),(25,224,1,15,4,4,NULL,3,NULL),(25,224,1,15,5,NULL,2,NULL,1),(25,224,1,15,6,NULL,3,NULL,3),(25,224,1,15,7,1,4,1,2),(25,224,1,15,8,1,NULL,1,NULL),(25,224,1,15,9,1,2,1,1),(25,224,1,15,10,NULL,1,NULL,1),(25,224,1,15,11,NULL,1,NULL,NULL),(25,224,1,15,12,NULL,NULL,NULL,NULL),(25,224,1,15,13,NULL,1,NULL,1),(25,224,1,15,14,NULL,1,NULL,1),(25,224,1,15,15,NULL,NULL,NULL,NULL),(25,224,1,15,16,1,NULL,1,NULL),(25,224,1,15,17,1,1,1,1),(25,224,1,15,18,NULL,NULL,NULL,NULL),(25,224,1,15,19,NULL,2,NULL,1),(25,224,1,15,20,NULL,NULL,NULL,NULL),(25,224,1,15,21,1,2,1,2),(25,224,1,15,22,1,2,1,1),(25,224,1,15,23,1,NULL,1,NULL),(25,224,1,15,24,1,NULL,1,NULL),(25,224,1,15,25,2,3,2,3),(25,224,1,15,26,1,NULL,1,NULL),(25,224,1,15,27,NULL,NULL,NULL,NULL),(25,224,1,15,28,1,1,1,1),(25,224,1,15,29,1,NULL,1,NULL),(25,224,1,15,30,NULL,1,NULL,1),(25,224,1,15,31,NULL,NULL,NULL,NULL),(25,224,1,15,32,NULL,NULL,NULL,NULL),(25,224,1,15,33,NULL,2,NULL,2),(25,224,1,15,34,1,3,NULL,3),(25,224,1,15,35,NULL,NULL,NULL,NULL),(25,224,1,15,36,3,2,2,1),(25,224,1,15,37,1,2,1,1),(25,224,1,15,38,1,3,1,3),(25,224,1,15,39,NULL,4,NULL,2),(25,224,1,15,40,1,NULL,1,NULL),(25,224,1,16,1,1,6,1,5),(25,224,1,16,2,NULL,2,NULL,2),(25,224,1,16,3,2,2,2,2),(25,224,1,16,4,4,6,4,3),(25,224,1,16,5,1,1,NULL,NULL),(25,224,1,16,6,NULL,3,NULL,2),(25,224,1,16,7,NULL,4,NULL,4),(25,224,1,16,8,2,NULL,2,NULL),(25,224,1,16,9,2,2,2,2),(25,224,1,16,10,NULL,NULL,NULL,NULL),(25,224,1,16,11,NULL,NULL,NULL,NULL),(25,224,1,16,12,NULL,NULL,NULL,NULL),(25,224,1,16,13,4,2,3,2),(25,224,1,16,14,1,NULL,1,NULL),(25,224,1,16,15,7,NULL,4,NULL),(25,224,1,16,16,NULL,5,NULL,5),(25,224,1,16,17,NULL,4,NULL,4),(25,224,1,16,18,1,7,NULL,7),(25,224,1,16,19,NULL,6,NULL,6),(25,224,1,16,20,7,NULL,5,NULL),(25,224,1,16,21,NULL,5,NULL,4),(25,224,1,16,22,NULL,1,NULL,NULL),(25,224,1,16,23,NULL,NULL,NULL,NULL),(25,224,1,16,24,4,3,4,2),(25,224,1,16,25,NULL,3,NULL,3),(25,224,1,16,26,1,NULL,1,NULL),(25,224,1,16,27,1,NULL,1,NULL),(25,224,1,16,28,4,6,2,4),(25,224,1,16,29,2,1,1,1),(25,224,1,16,30,NULL,2,NULL,1),(25,224,1,16,31,NULL,NULL,NULL,NULL),(25,224,1,16,32,NULL,2,NULL,1),(25,224,1,16,33,1,2,1,2),(25,224,1,16,34,2,1,2,1),(25,224,1,16,35,NULL,2,NULL,1),(25,224,1,16,36,NULL,3,NULL,2),(25,224,1,16,37,NULL,2,NULL,1),(25,224,1,16,38,NULL,6,NULL,5),(25,224,1,16,39,1,4,NULL,3),(25,224,1,16,40,NULL,NULL,NULL,NULL),(25,224,1,17,1,1,4,1,3),(25,224,1,17,2,2,3,2,1),(25,224,1,17,3,2,1,1,1),(25,224,1,17,4,3,4,2,2),(25,224,1,17,5,NULL,2,NULL,1),(25,224,1,17,6,NULL,3,NULL,3),(25,224,1,17,7,2,6,1,6),(25,224,1,17,8,1,4,1,3),(25,224,1,17,9,NULL,5,NULL,4),(25,224,1,17,10,1,2,1,2),(25,224,1,17,11,NULL,2,NULL,1),(25,224,1,17,12,1,5,1,4),(25,224,1,17,13,4,4,2,3),(25,224,1,17,14,1,4,1,3),(25,224,1,17,15,8,NULL,5,NULL),(25,224,1,17,16,2,4,2,2),(25,224,1,17,17,NULL,3,NULL,1),(25,224,1,17,18,NULL,7,NULL,7),(25,224,1,17,19,NULL,3,NULL,3),(25,224,1,17,20,7,NULL,5,NULL),(25,224,1,17,21,1,3,1,2),(25,224,1,17,22,1,6,NULL,6),(25,224,1,17,23,NULL,2,NULL,1),(25,224,1,17,24,1,2,NULL,1),(25,224,1,17,25,NULL,1,NULL,1),(25,224,1,17,26,2,NULL,2,NULL),(25,224,1,17,27,NULL,NULL,NULL,NULL),(25,224,1,17,28,1,8,1,6),(25,224,1,17,29,NULL,NULL,NULL,NULL),(25,224,1,17,30,NULL,2,NULL,2),(25,224,1,17,31,NULL,NULL,NULL,NULL),(25,224,1,17,32,NULL,NULL,NULL,NULL),(25,224,1,17,33,1,2,1,2),(25,224,1,17,34,1,3,1,2),(25,224,1,17,35,3,3,2,2),(25,224,1,17,36,NULL,3,NULL,3),(25,224,1,17,37,NULL,5,NULL,3),(25,224,1,17,38,NULL,3,NULL,1),(25,224,1,17,39,1,5,NULL,4),(25,224,1,17,40,NULL,2,NULL,2),(25,224,2,21,1,NULL,6,NULL,5),(25,224,2,21,2,NULL,5,NULL,3),(25,224,2,21,3,2,5,2,4),(25,224,2,21,4,NULL,2,NULL,2),(25,224,2,21,5,1,3,1,3),(25,224,2,21,6,NULL,3,NULL,2),(25,224,2,21,7,NULL,2,NULL,1),(25,224,2,21,8,1,5,1,3),(25,224,2,21,9,2,5,2,5),(25,224,2,21,10,1,3,1,2),(25,224,2,21,11,NULL,9,NULL,6),(25,224,2,21,12,2,6,2,4),(25,224,2,21,13,4,2,4,1),(25,224,2,21,14,2,2,2,2),(25,224,2,21,15,5,5,4,4),(25,224,2,21,16,NULL,5,NULL,2),(25,224,2,21,17,NULL,4,NULL,4),(25,224,2,21,18,2,4,NULL,4),(25,224,2,21,19,NULL,1,NULL,1),(25,224,2,21,20,NULL,5,NULL,3),(25,224,2,21,21,NULL,3,NULL,1),(25,224,2,21,22,1,NULL,NULL,NULL),(25,224,2,21,23,1,2,1,2),(25,224,2,21,24,1,4,1,3),(25,224,2,21,25,NULL,NULL,NULL,NULL),(25,224,2,21,26,NULL,2,NULL,2),(25,224,2,21,27,1,3,NULL,NULL),(25,224,2,21,28,1,NULL,1,NULL),(25,224,2,21,29,NULL,3,NULL,2),(25,224,2,21,30,1,2,1,NULL),(25,224,2,21,31,2,1,2,1),(25,224,2,21,32,NULL,1,NULL,1),(25,224,2,21,33,2,NULL,1,NULL),(25,224,2,21,34,NULL,1,NULL,NULL),(25,224,2,21,35,1,2,1,2),(25,224,2,21,36,1,3,1,2),(25,224,2,21,37,NULL,1,NULL,1),(25,224,2,21,38,1,4,1,3),(25,224,2,21,39,3,NULL,3,NULL),(25,224,2,21,40,NULL,NULL,NULL,NULL),(25,224,2,22,1,NULL,1,NULL,1),(25,224,2,22,2,NULL,4,NULL,4),(25,224,2,22,3,1,2,1,2),(25,224,2,22,4,1,5,1,4),(25,224,2,22,5,1,NULL,1,NULL),(25,224,2,22,6,NULL,3,NULL,3),(25,224,2,22,7,1,1,1,1),(25,224,2,22,8,3,2,2,2),(25,224,2,22,9,1,5,1,5),(25,224,2,22,10,1,NULL,1,NULL),(25,224,2,22,11,NULL,11,NULL,9),(25,224,2,22,12,NULL,2,NULL,2),(25,224,2,22,13,4,1,4,1),(25,224,2,22,14,1,2,1,2),(25,224,2,22,15,6,2,4,2),(25,224,2,22,16,1,3,1,3),(25,224,2,22,17,1,1,NULL,1),(25,224,2,22,18,1,1,1,1),(25,224,2,22,19,1,NULL,NULL,NULL),(25,224,2,22,20,1,5,1,5),(25,224,2,22,21,1,2,1,2),(25,224,2,22,22,NULL,NULL,NULL,NULL),(25,224,2,22,23,1,1,1,1),(25,224,2,22,24,NULL,NULL,NULL,NULL),(25,224,2,22,25,1,NULL,1,NULL),(25,224,2,22,26,NULL,1,NULL,NULL),(25,224,2,22,27,NULL,1,NULL,1),(25,224,2,22,28,NULL,2,NULL,1),(25,224,2,22,29,1,NULL,1,NULL),(25,224,2,22,30,NULL,2,NULL,1),(25,224,2,22,31,NULL,2,NULL,2),(25,224,2,22,32,NULL,1,NULL,1),(25,224,2,22,33,2,NULL,2,NULL),(25,224,2,22,34,NULL,2,NULL,2),(25,224,2,22,35,NULL,4,NULL,4),(25,224,2,22,36,1,2,NULL,2),(25,224,2,22,37,NULL,3,NULL,3),(25,224,2,22,38,4,2,3,2),(25,224,2,22,39,4,NULL,3,NULL),(25,224,2,22,40,NULL,NULL,NULL,NULL),(25,224,2,23,1,NULL,1,NULL,1),(25,224,2,23,2,NULL,1,NULL,1),(25,224,2,23,3,1,1,1,NULL),(25,224,2,23,4,NULL,1,NULL,1),(25,224,2,23,5,1,NULL,1,NULL),(25,224,2,23,6,NULL,NULL,NULL,NULL),(25,224,2,23,7,NULL,1,NULL,1),(25,224,2,23,8,1,1,1,1),(25,224,2,23,9,NULL,1,NULL,NULL),(25,224,2,23,10,NULL,2,NULL,1),(25,224,2,23,11,NULL,1,NULL,1),(25,224,2,23,12,NULL,NULL,NULL,NULL),(25,224,2,23,13,1,2,1,1),(25,224,2,23,14,NULL,2,NULL,1),(25,224,2,23,15,NULL,2,NULL,1),(25,224,2,23,16,NULL,NULL,NULL,NULL),(25,224,2,23,17,NULL,1,NULL,1),(25,224,2,23,18,NULL,3,NULL,2),(25,224,2,23,19,1,1,1,1),(25,224,2,23,20,NULL,2,NULL,1),(25,224,2,23,21,NULL,1,NULL,1),(25,224,2,23,22,NULL,NULL,NULL,NULL),(25,224,2,23,23,NULL,NULL,NULL,NULL),(25,224,2,23,24,NULL,2,NULL,1),(25,224,2,23,25,NULL,NULL,NULL,NULL),(25,224,2,23,26,NULL,1,NULL,1),(25,224,2,23,27,NULL,1,NULL,1),(25,224,2,23,28,NULL,NULL,NULL,NULL),(25,224,2,23,29,1,1,1,1),(25,224,2,23,30,1,NULL,1,NULL),(25,224,2,23,31,NULL,NULL,NULL,NULL),(25,224,2,23,32,NULL,1,NULL,NULL),(25,224,2,23,33,NULL,1,NULL,1),(25,224,2,23,34,NULL,NULL,NULL,NULL),(25,224,2,23,35,NULL,1,NULL,1),(25,224,2,23,36,1,1,1,1),(25,224,2,23,37,1,1,1,NULL),(25,224,2,23,38,NULL,2,NULL,2),(25,224,2,23,39,2,NULL,2,NULL),(25,224,2,23,40,NULL,NULL,NULL,NULL),(25,224,2,24,1,NULL,3,NULL,3),(25,224,2,24,2,NULL,NULL,NULL,NULL),(25,224,2,24,3,NULL,3,NULL,3),(25,224,2,24,4,1,NULL,1,NULL),(25,224,2,24,5,NULL,6,NULL,6),(25,224,2,24,6,NULL,2,NULL,2),(25,224,2,24,7,NULL,3,NULL,3),(25,224,2,24,8,NULL,4,NULL,4),(25,224,2,24,9,3,2,2,2),(25,224,2,24,10,1,1,1,1),(25,224,2,24,11,2,4,2,3),(25,224,2,24,12,NULL,2,NULL,2),(25,224,2,24,13,2,3,2,3),(25,224,2,24,14,NULL,2,NULL,2),(25,224,2,24,15,NULL,5,NULL,4),(25,224,2,24,16,NULL,3,NULL,2),(25,224,2,24,17,1,3,1,2),(25,224,2,24,18,NULL,3,NULL,2),(25,224,2,24,19,NULL,3,NULL,3),(25,224,2,24,20,NULL,2,NULL,2),(25,224,2,24,21,NULL,2,NULL,1),(25,224,2,24,22,NULL,NULL,NULL,NULL),(25,224,2,24,23,NULL,1,NULL,1),(25,224,2,24,24,NULL,NULL,NULL,NULL),(25,224,2,24,25,NULL,NULL,NULL,NULL),(25,224,2,24,26,NULL,NULL,NULL,NULL),(25,224,2,24,27,NULL,1,NULL,1),(25,224,2,24,28,NULL,NULL,NULL,NULL),(25,224,2,24,29,NULL,2,NULL,2),(25,224,2,24,30,NULL,1,NULL,1),(25,224,2,24,31,NULL,NULL,NULL,NULL),(25,224,2,24,32,NULL,3,NULL,2),(25,224,2,24,33,NULL,2,NULL,2),(25,224,2,24,34,NULL,NULL,NULL,NULL),(25,224,2,24,35,NULL,2,NULL,1),(25,224,2,24,36,NULL,2,NULL,2),(25,224,2,24,37,NULL,1,NULL,1),(25,224,2,24,38,NULL,3,NULL,3),(25,224,2,24,39,2,NULL,2,NULL),(25,224,2,24,40,NULL,1,NULL,1),(25,225,1,11,1,NULL,NULL,NULL,NULL),(25,225,1,11,2,NULL,NULL,NULL,NULL),(25,225,1,11,3,NULL,NULL,NULL,NULL),(25,225,1,11,4,NULL,NULL,NULL,NULL),(25,225,1,11,5,NULL,NULL,NULL,NULL),(25,225,1,11,6,NULL,NULL,NULL,NULL),(25,225,1,11,7,NULL,NULL,NULL,NULL),(25,225,1,11,8,NULL,NULL,NULL,NULL),(25,225,1,11,9,NULL,NULL,NULL,NULL),(25,225,1,11,10,NULL,NULL,NULL,NULL),(25,225,1,11,11,NULL,NULL,NULL,NULL),(25,225,1,11,12,NULL,NULL,NULL,NULL),(25,225,1,11,13,NULL,NULL,NULL,NULL),(25,225,1,11,14,NULL,NULL,NULL,NULL),(25,225,1,11,15,NULL,NULL,NULL,NULL),(25,225,1,11,16,NULL,NULL,NULL,NULL),(25,225,1,11,17,NULL,NULL,NULL,NULL),(25,225,1,11,18,NULL,NULL,NULL,NULL),(25,225,1,11,19,NULL,NULL,NULL,NULL),(25,225,1,11,20,NULL,NULL,NULL,NULL),(25,225,1,11,21,NULL,NULL,NULL,NULL),(25,225,1,11,22,NULL,NULL,NULL,NULL),(25,225,1,11,23,NULL,NULL,NULL,NULL),(25,225,1,11,24,NULL,NULL,NULL,NULL),(25,225,1,11,25,NULL,NULL,NULL,NULL),(25,225,1,11,26,NULL,NULL,NULL,NULL),(25,225,1,11,27,NULL,NULL,NULL,NULL),(25,225,1,11,28,NULL,NULL,NULL,NULL),(25,225,1,11,29,NULL,NULL,NULL,NULL),(25,225,1,11,30,NULL,NULL,NULL,NULL),(25,225,1,11,31,NULL,NULL,NULL,NULL),(25,225,1,11,32,NULL,NULL,NULL,NULL),(25,225,1,11,33,NULL,NULL,NULL,NULL),(25,225,1,11,34,NULL,NULL,NULL,NULL),(25,225,1,11,35,NULL,NULL,NULL,NULL),(25,225,1,11,36,NULL,NULL,NULL,NULL),(25,225,1,11,37,NULL,NULL,NULL,NULL),(25,225,1,11,38,NULL,NULL,NULL,NULL),(25,225,1,11,39,NULL,NULL,NULL,NULL),(25,225,1,11,40,NULL,NULL,NULL,NULL),(25,225,1,12,1,NULL,NULL,NULL,NULL),(25,225,1,12,2,NULL,NULL,NULL,NULL),(25,225,1,12,3,NULL,NULL,NULL,NULL),(25,225,1,12,4,NULL,NULL,NULL,NULL),(25,225,1,12,5,NULL,NULL,NULL,NULL),(25,225,1,12,6,NULL,NULL,NULL,NULL),(25,225,1,12,7,NULL,NULL,NULL,NULL),(25,225,1,12,8,NULL,NULL,NULL,NULL),(25,225,1,12,9,NULL,NULL,NULL,NULL),(25,225,1,12,10,NULL,NULL,NULL,NULL),(25,225,1,12,11,NULL,NULL,NULL,NULL),(25,225,1,12,12,NULL,NULL,NULL,NULL),(25,225,1,12,13,NULL,NULL,NULL,NULL),(25,225,1,12,14,NULL,NULL,NULL,NULL),(25,225,1,12,15,NULL,NULL,NULL,NULL),(25,225,1,12,16,NULL,NULL,NULL,NULL),(25,225,1,12,17,NULL,NULL,NULL,NULL),(25,225,1,12,18,NULL,NULL,NULL,NULL),(25,225,1,12,19,NULL,NULL,NULL,NULL),(25,225,1,12,20,NULL,NULL,NULL,NULL),(25,225,1,12,21,NULL,NULL,NULL,NULL),(25,225,1,12,22,NULL,NULL,NULL,NULL),(25,225,1,12,23,NULL,NULL,NULL,NULL),(25,225,1,12,24,NULL,NULL,NULL,NULL),(25,225,1,12,25,NULL,NULL,NULL,NULL),(25,225,1,12,26,NULL,NULL,NULL,NULL),(25,225,1,12,27,NULL,NULL,NULL,NULL),(25,225,1,12,28,NULL,NULL,NULL,NULL),(25,225,1,12,29,NULL,NULL,NULL,NULL),(25,225,1,12,30,NULL,NULL,NULL,NULL),(25,225,1,12,31,NULL,NULL,NULL,NULL),(25,225,1,12,32,NULL,NULL,NULL,NULL),(25,225,1,12,33,NULL,NULL,NULL,NULL),(25,225,1,12,34,NULL,NULL,NULL,NULL),(25,225,1,12,35,NULL,NULL,NULL,NULL),(25,225,1,12,36,NULL,NULL,NULL,NULL),(25,225,1,12,37,NULL,NULL,NULL,NULL),(25,225,1,12,38,NULL,NULL,NULL,NULL),(25,225,1,12,39,NULL,NULL,NULL,NULL),(25,225,1,12,40,NULL,NULL,NULL,NULL),(25,225,1,13,1,1,NULL,1,NULL),(25,225,1,13,2,1,NULL,1,NULL),(25,225,1,13,3,NULL,1,NULL,1),(25,225,1,13,4,1,NULL,1,NULL),(25,225,1,13,5,NULL,NULL,NULL,NULL),(25,225,1,13,6,NULL,1,NULL,1),(25,225,1,13,7,1,NULL,1,NULL),(25,225,1,13,8,NULL,NULL,NULL,NULL),(25,225,1,13,9,1,NULL,1,NULL),(25,225,1,13,10,NULL,1,NULL,1),(25,225,1,13,11,NULL,1,NULL,1),(25,225,1,13,12,1,NULL,1,NULL),(25,225,1,13,13,1,NULL,1,NULL),(25,225,1,13,14,1,NULL,1,NULL),(25,225,1,13,15,1,NULL,1,NULL),(25,225,1,13,16,1,NULL,1,NULL),(25,225,1,13,17,1,NULL,1,NULL),(25,225,1,13,18,1,NULL,1,NULL),(25,225,1,13,19,NULL,1,NULL,1),(25,225,1,13,20,1,NULL,1,NULL),(25,225,1,13,21,NULL,1,NULL,1),(25,225,1,13,22,NULL,NULL,NULL,NULL),(25,225,1,13,23,NULL,1,NULL,1),(25,225,1,13,24,NULL,1,NULL,1),(25,225,1,13,25,NULL,NULL,NULL,NULL),(25,225,1,13,26,NULL,NULL,NULL,NULL),(25,225,1,13,27,NULL,NULL,NULL,NULL),(25,225,1,13,28,NULL,NULL,NULL,NULL),(25,225,1,13,29,NULL,1,NULL,1),(25,225,1,13,30,NULL,NULL,NULL,NULL),(25,225,1,13,31,NULL,NULL,NULL,NULL),(25,225,1,13,32,NULL,NULL,NULL,NULL),(25,225,1,13,33,1,NULL,1,NULL),(25,225,1,13,34,NULL,NULL,NULL,NULL),(25,225,1,13,35,NULL,NULL,NULL,NULL),(25,225,1,13,36,NULL,1,NULL,1),(25,225,1,13,37,NULL,NULL,NULL,NULL),(25,225,1,13,38,NULL,NULL,NULL,NULL),(25,225,1,13,39,NULL,NULL,NULL,NULL),(25,225,1,13,40,NULL,1,NULL,1),(25,225,1,14,1,6,11,5,10),(25,225,1,14,2,4,6,4,6),(25,225,1,14,3,1,2,1,2),(25,225,1,14,4,7,6,6,5),(25,225,1,14,5,2,3,2,3),(25,225,1,14,6,2,6,1,6),(25,225,1,14,7,3,12,3,10),(25,225,1,14,8,3,1,3,1),(25,225,1,14,9,4,5,3,4),(25,225,1,14,10,1,NULL,1,NULL),(25,225,1,14,11,3,4,3,2),(25,225,1,14,12,3,2,3,2),(25,225,1,14,13,3,2,3,1),(25,225,1,14,14,5,2,3,2),(25,225,1,14,15,5,5,5,4),(25,225,1,14,16,2,4,2,3),(25,225,1,14,17,5,2,5,1),(25,225,1,14,18,7,NULL,6,NULL),(25,225,1,14,19,6,7,6,6),(25,225,1,14,20,5,1,4,1),(25,225,1,14,21,3,5,3,3),(25,225,1,14,22,4,5,4,4),(25,225,1,14,23,1,3,NULL,3),(25,225,1,14,24,1,3,1,2),(25,225,1,14,25,2,3,2,3),(25,225,1,14,26,2,NULL,1,NULL),(25,225,1,14,27,2,NULL,2,NULL),(25,225,1,14,28,1,8,1,8),(25,225,1,14,29,1,3,1,3),(25,225,1,14,30,NULL,3,NULL,2),(25,225,1,14,31,NULL,5,NULL,5),(25,225,1,14,32,2,3,1,3),(25,225,1,14,33,NULL,4,NULL,4),(25,225,1,14,34,1,5,1,3),(25,225,1,14,35,3,2,3,2),(25,225,1,14,36,5,4,5,4),(25,225,1,14,37,1,2,1,2),(25,225,1,14,38,3,7,3,7),(25,225,1,14,39,4,3,3,2),(25,225,1,14,40,NULL,NULL,NULL,NULL),(25,225,1,15,1,7,5,7,5),(25,225,1,15,2,3,8,2,8),(25,225,1,15,3,1,3,1,3),(25,225,1,15,4,6,4,6,3),(25,225,1,15,5,2,4,2,4),(25,225,1,15,6,NULL,6,NULL,6),(25,225,1,15,7,3,8,3,8),(25,225,1,15,8,3,3,3,3),(25,225,1,15,9,NULL,6,NULL,6),(25,225,1,15,10,NULL,NULL,NULL,NULL),(25,225,1,15,11,1,3,1,3),(25,225,1,15,12,3,1,3,1),(25,225,1,15,13,4,2,4,2),(25,225,1,15,14,NULL,2,NULL,2),(25,225,1,15,15,1,3,1,3),(25,225,1,15,16,2,3,2,3),(25,225,1,15,17,2,4,2,4),(25,225,1,15,18,6,1,5,1),(25,225,1,15,19,2,6,2,5),(25,225,1,15,20,1,2,1,2),(25,225,1,15,21,1,1,1,1),(25,225,1,15,22,1,3,1,3),(25,225,1,15,23,3,2,3,2),(25,225,1,15,24,2,1,2,1),(25,225,1,15,25,NULL,4,NULL,4),(25,225,1,15,26,2,NULL,2,NULL),(25,225,1,15,27,NULL,NULL,NULL,NULL),(25,225,1,15,28,1,5,1,5),(25,225,1,15,29,2,2,1,2),(25,225,1,15,30,NULL,2,NULL,2),(25,225,1,15,31,1,NULL,1,NULL),(25,225,1,15,32,1,2,1,2),(25,225,1,15,33,3,4,2,4),(25,225,1,15,34,1,2,1,2),(25,225,1,15,35,1,1,1,1),(25,225,1,15,36,1,6,1,5),(25,225,1,15,37,4,1,4,1),(25,225,1,15,38,1,9,1,8),(25,225,1,15,39,4,4,3,4),(25,225,1,15,40,NULL,2,NULL,2),(25,225,1,16,1,3,4,3,3),(25,225,1,16,2,3,3,1,3),(25,225,1,16,3,2,3,2,3),(25,225,1,16,4,4,4,2,2),(25,225,1,16,5,1,4,1,3),(25,225,1,16,6,3,5,3,3),(25,225,1,16,7,1,12,NULL,10),(25,225,1,16,8,2,3,2,2),(25,225,1,16,9,2,NULL,2,NULL),(25,225,1,16,10,NULL,1,NULL,NULL),(25,225,1,16,11,1,1,1,1),(25,225,1,16,12,NULL,1,NULL,NULL),(25,225,1,16,13,3,1,3,NULL),(25,225,1,16,14,2,3,1,3),(25,225,1,16,15,7,NULL,6,NULL),(25,225,1,16,16,1,7,1,5),(25,225,1,16,17,NULL,9,NULL,7),(25,225,1,16,18,6,7,3,5),(25,225,1,16,19,NULL,4,NULL,3),(25,225,1,16,20,7,NULL,4,NULL),(25,225,1,16,21,3,4,3,3),(25,225,1,16,22,1,3,1,2),(25,225,1,16,23,NULL,5,NULL,4),(25,225,1,16,24,NULL,3,NULL,2),(25,225,1,16,25,NULL,2,NULL,2),(25,225,1,16,26,1,NULL,1,NULL),(25,225,1,16,27,NULL,NULL,NULL,NULL),(25,225,1,16,28,5,6,3,4),(25,225,1,16,29,1,NULL,1,NULL),(25,225,1,16,30,NULL,1,NULL,1),(25,225,1,16,31,1,1,1,1),(25,225,1,16,32,NULL,3,NULL,3),(25,225,1,16,33,1,2,1,2),(25,225,1,16,34,1,2,NULL,2),(25,225,1,16,35,NULL,1,NULL,1),(25,225,1,16,36,2,5,1,4),(25,225,1,16,37,2,1,2,1),(25,225,1,16,38,3,6,1,6),(25,225,1,16,39,NULL,5,NULL,5),(25,225,1,16,40,NULL,2,NULL,1),(25,225,1,17,1,7,4,5,3),(25,225,1,17,2,1,6,1,4),(25,225,1,17,3,2,3,2,3),(25,225,1,17,4,8,5,6,5),(25,225,1,17,5,1,2,NULL,1),(25,225,1,17,6,4,5,4,5),(25,225,1,17,7,2,11,2,7),(25,225,1,17,8,4,6,3,4),(25,225,1,17,9,4,6,2,6),(25,225,1,17,10,NULL,NULL,NULL,NULL),(25,225,1,17,11,NULL,4,NULL,2),(25,225,1,17,12,1,2,1,2),(25,225,1,17,13,6,4,3,4),(25,225,1,17,14,3,3,3,2),(25,225,1,17,15,9,NULL,5,NULL),(25,225,1,17,16,NULL,6,NULL,3),(25,225,1,17,17,NULL,9,NULL,6),(25,225,1,17,18,2,8,2,5),(25,225,1,17,19,NULL,6,NULL,4),(25,225,1,17,20,9,NULL,7,NULL),(25,225,1,17,21,3,4,3,4),(25,225,1,17,22,NULL,3,NULL,3),(25,225,1,17,23,NULL,1,NULL,1),(25,225,1,17,24,3,1,3,1),(25,225,1,17,25,1,1,1,1),(25,225,1,17,26,4,NULL,3,NULL),(25,225,1,17,27,NULL,NULL,NULL,NULL),(25,225,1,17,28,3,5,3,5),(25,225,1,17,29,1,1,1,1),(25,225,1,17,30,1,5,NULL,4),(25,225,1,17,31,1,1,1,1),(25,225,1,17,32,NULL,1,NULL,1),(25,225,1,17,33,NULL,2,NULL,2),(25,225,1,17,34,4,1,2,NULL),(25,225,1,17,35,NULL,3,NULL,2),(25,225,1,17,36,NULL,4,NULL,4),(25,225,1,17,37,1,5,1,4),(25,225,1,17,38,1,8,1,5),(25,225,1,17,39,3,9,3,7),(25,225,1,17,40,NULL,NULL,NULL,NULL),(25,225,2,21,1,NULL,6,NULL,4),(25,225,2,21,2,1,NULL,1,NULL),(25,225,2,21,3,NULL,5,NULL,4),(25,225,2,21,4,3,2,3,2),(25,225,2,21,5,3,3,3,2),(25,225,2,21,6,NULL,5,NULL,2),(25,225,2,21,7,1,2,1,2),(25,225,2,21,8,4,3,4,2),(25,225,2,21,9,2,5,2,3),(25,225,2,21,10,1,3,1,2),(25,225,2,21,11,1,10,NULL,8),(25,225,2,21,12,1,1,1,1),(25,225,2,21,13,6,3,6,1),(25,225,2,21,14,4,4,4,4),(25,225,2,21,15,4,2,3,2),(25,225,2,21,16,2,5,1,3),(25,225,2,21,17,NULL,6,NULL,6),(25,225,2,21,18,2,5,1,4),(25,225,2,21,19,NULL,3,NULL,3),(25,225,2,21,20,NULL,7,NULL,5),(25,225,2,21,21,NULL,1,NULL,1),(25,225,2,21,22,1,1,1,1),(25,225,2,21,23,2,3,1,3),(25,225,2,21,24,NULL,NULL,NULL,NULL),(25,225,2,21,25,NULL,NULL,NULL,NULL),(25,225,2,21,26,NULL,NULL,NULL,NULL),(25,225,2,21,27,1,3,NULL,2),(25,225,2,21,28,1,1,1,1),(25,225,2,21,29,NULL,2,NULL,1),(25,225,2,21,30,2,1,2,1),(25,225,2,21,31,NULL,NULL,NULL,NULL),(25,225,2,21,32,NULL,2,NULL,1),(25,225,2,21,33,1,1,1,1),(25,225,2,21,34,3,2,1,2),(25,225,2,21,35,2,4,1,3),(25,225,2,21,36,1,6,1,4),(25,225,2,21,37,1,3,NULL,2),(25,225,2,21,38,1,1,1,NULL),(25,225,2,21,39,6,NULL,4,NULL),(25,225,2,21,40,NULL,NULL,NULL,NULL),(25,225,2,22,1,2,3,2,2),(25,225,2,22,2,2,3,2,3),(25,225,2,22,3,6,2,4,2),(25,225,2,22,4,3,1,3,1),(25,225,2,22,5,3,5,3,3),(25,225,2,22,6,1,1,NULL,1),(25,225,2,22,7,1,3,NULL,2),(25,225,2,22,8,4,4,4,4),(25,225,2,22,9,2,5,2,5),(25,225,2,22,10,2,3,2,2),(25,225,2,22,11,2,13,2,10),(25,225,2,22,12,1,6,1,4),(25,225,2,22,13,6,4,6,4),(25,225,2,22,14,2,4,2,3),(25,225,2,22,15,2,7,2,6),(25,225,2,22,16,1,7,1,4),(25,225,2,22,17,1,7,NULL,7),(25,225,2,22,18,5,3,5,3),(25,225,2,22,19,2,4,2,4),(25,225,2,22,20,5,3,4,3),(25,225,2,22,21,1,1,1,1),(25,225,2,22,22,NULL,1,NULL,NULL),(25,225,2,22,23,1,2,1,2),(25,225,2,22,24,1,2,1,2),(25,225,2,22,25,NULL,NULL,NULL,NULL),(25,225,2,22,26,NULL,3,NULL,2),(25,225,2,22,27,1,3,1,2),(25,225,2,22,28,NULL,NULL,NULL,NULL),(25,225,2,22,29,NULL,1,NULL,1),(25,225,2,22,30,NULL,1,NULL,1),(25,225,2,22,31,3,NULL,3,NULL),(25,225,2,22,32,NULL,3,NULL,3),(25,225,2,22,33,1,3,1,2),(25,225,2,22,34,1,1,1,NULL),(25,225,2,22,35,2,4,NULL,4),(25,225,2,22,36,1,2,1,2),(25,225,2,22,37,NULL,NULL,NULL,NULL),(25,225,2,22,38,2,3,1,3),(25,225,2,22,39,4,NULL,4,NULL),(25,225,2,22,40,NULL,NULL,NULL,NULL),(25,225,2,23,1,1,4,NULL,4),(25,225,2,23,2,2,3,1,3),(25,225,2,23,3,3,4,3,4),(25,225,2,23,4,NULL,5,NULL,4),(25,225,2,23,5,5,6,4,6),(25,225,2,23,6,NULL,NULL,NULL,NULL),(25,225,2,23,7,NULL,2,NULL,2),(25,225,2,23,8,6,3,6,3),(25,225,2,23,9,4,5,4,4),(25,225,2,23,10,1,4,1,4),(25,225,2,23,11,1,8,1,7),(25,225,2,23,12,NULL,5,NULL,5),(25,225,2,23,13,9,3,7,3),(25,225,2,23,14,NULL,3,NULL,2),(25,225,2,23,15,4,4,4,3),(25,225,2,23,16,NULL,5,NULL,5),(25,225,2,23,17,2,6,1,4),(25,225,2,23,18,3,7,3,5),(25,225,2,23,19,1,6,1,4),(25,225,2,23,20,3,2,3,2),(25,225,2,23,21,1,2,1,1),(25,225,2,23,22,NULL,NULL,NULL,NULL),(25,225,2,23,23,NULL,NULL,NULL,NULL),(25,225,2,23,24,1,2,1,2),(25,225,2,23,25,NULL,NULL,NULL,NULL),(25,225,2,23,26,NULL,2,NULL,1),(25,225,2,23,27,NULL,2,NULL,2),(25,225,2,23,28,NULL,1,NULL,1),(25,225,2,23,29,NULL,2,NULL,1),(25,225,2,23,30,2,5,1,5),(25,225,2,23,31,1,6,1,6),(25,225,2,23,32,NULL,3,NULL,3),(25,225,2,23,33,3,1,3,1),(25,225,2,23,34,NULL,1,NULL,1),(25,225,2,23,35,NULL,6,NULL,6),(25,225,2,23,36,NULL,4,NULL,4),(25,225,2,23,37,2,3,2,3),(25,225,2,23,38,4,3,4,3),(25,225,2,23,39,7,NULL,7,NULL),(25,225,2,23,40,NULL,2,NULL,2),(25,225,2,24,1,1,5,1,3),(25,225,2,24,2,1,6,NULL,5),(25,225,2,24,3,1,6,1,5),(25,225,2,24,4,1,5,1,5),(25,225,2,24,5,4,6,4,5),(25,225,2,24,6,NULL,3,NULL,2),(25,225,2,24,7,2,2,1,1),(25,225,2,24,8,3,8,2,7),(25,225,2,24,9,3,7,3,6),(25,225,2,24,10,1,6,1,5),(25,225,2,24,11,1,8,1,7),(25,225,2,24,12,1,6,1,3),(25,225,2,24,13,10,NULL,10,NULL),(25,225,2,24,14,3,7,3,6),(25,225,2,24,15,3,4,3,4),(25,225,2,24,16,3,7,3,4),(25,225,2,24,17,7,7,6,3),(25,225,2,24,18,3,8,2,6),(25,225,2,24,19,1,2,1,1),(25,225,2,24,20,2,4,2,3),(25,225,2,24,21,2,3,2,3),(25,225,2,24,22,NULL,1,NULL,1),(25,225,2,24,23,1,6,1,5),(25,225,2,24,24,2,4,1,4),(25,225,2,24,25,1,NULL,1,NULL),(25,225,2,24,26,NULL,1,NULL,1),(25,225,2,24,27,NULL,2,NULL,2),(25,225,2,24,28,NULL,2,NULL,2),(25,225,2,24,29,2,6,1,5),(25,225,2,24,30,1,1,NULL,1),(25,225,2,24,31,2,4,2,3),(25,225,2,24,32,NULL,5,NULL,5),(25,225,2,24,33,1,4,1,3),(25,225,2,24,34,NULL,1,NULL,1),(25,225,2,24,35,1,5,1,5),(25,225,2,24,36,3,2,2,2),(25,225,2,24,37,1,5,1,4),(25,225,2,24,38,2,1,2,1),(25,225,2,24,39,8,NULL,8,NULL),(25,225,2,24,40,NULL,1,NULL,1),(25,233,1,11,1,NULL,1,NULL,1),(25,233,1,11,2,NULL,NULL,NULL,NULL),(25,233,1,11,3,1,NULL,1,NULL),(25,233,1,11,4,1,NULL,1,NULL),(25,233,1,11,5,NULL,NULL,NULL,NULL),(25,233,1,11,6,1,NULL,1,NULL),(25,233,1,11,7,NULL,1,NULL,1),(25,233,1,11,8,1,NULL,1,NULL),(25,233,1,11,9,1,NULL,1,NULL),(25,233,1,11,10,NULL,NULL,NULL,NULL),(25,233,1,11,11,NULL,NULL,NULL,NULL),(25,233,1,11,12,NULL,NULL,NULL,NULL),(25,233,1,11,13,NULL,NULL,NULL,NULL),(25,233,1,11,14,NULL,NULL,NULL,NULL),(25,233,1,11,15,1,NULL,1,NULL),(25,233,1,11,16,1,NULL,1,NULL),(25,233,1,11,17,NULL,1,NULL,1),(25,233,1,11,18,NULL,1,NULL,1),(25,233,1,11,19,1,NULL,1,NULL),(25,233,1,11,20,1,NULL,1,NULL),(25,233,1,11,21,NULL,NULL,NULL,NULL),(25,233,1,11,22,NULL,1,NULL,1),(25,233,1,11,23,NULL,1,NULL,1),(25,233,1,11,24,NULL,NULL,NULL,NULL),(25,233,1,11,25,NULL,NULL,NULL,NULL),(25,233,1,11,26,NULL,NULL,NULL,NULL),(25,233,1,11,27,NULL,NULL,NULL,NULL),(25,233,1,11,28,NULL,1,NULL,1),(25,233,1,11,29,NULL,NULL,NULL,NULL),(25,233,1,11,30,NULL,NULL,NULL,NULL),(25,233,1,11,31,NULL,NULL,NULL,NULL),(25,233,1,11,32,1,NULL,1,NULL),(25,233,1,11,33,1,NULL,1,NULL),(25,233,1,11,34,NULL,NULL,NULL,NULL),(25,233,1,11,35,NULL,NULL,NULL,NULL),(25,233,1,11,36,1,NULL,1,NULL),(25,233,1,11,37,NULL,NULL,NULL,NULL),(25,233,1,11,38,NULL,1,NULL,1),(25,233,1,11,39,NULL,1,NULL,1),(25,233,1,11,40,1,NULL,1,NULL),(25,233,1,12,1,NULL,NULL,NULL,NULL),(25,233,1,12,2,NULL,NULL,NULL,NULL),(25,233,1,12,3,NULL,NULL,NULL,NULL),(25,233,1,12,4,NULL,NULL,NULL,NULL),(25,233,1,12,5,NULL,NULL,NULL,NULL),(25,233,1,12,6,NULL,NULL,NULL,NULL),(25,233,1,12,7,NULL,NULL,NULL,NULL),(25,233,1,12,8,NULL,NULL,NULL,NULL),(25,233,1,12,9,NULL,NULL,NULL,NULL),(25,233,1,12,10,NULL,NULL,NULL,NULL),(25,233,1,12,11,NULL,NULL,NULL,NULL),(25,233,1,12,12,NULL,NULL,NULL,NULL),(25,233,1,12,13,NULL,NULL,NULL,NULL),(25,233,1,12,14,NULL,NULL,NULL,NULL),(25,233,1,12,15,NULL,NULL,NULL,NULL),(25,233,1,12,16,NULL,NULL,NULL,NULL),(25,233,1,12,17,NULL,NULL,NULL,NULL),(25,233,1,12,18,NULL,NULL,NULL,NULL),(25,233,1,12,19,NULL,NULL,NULL,NULL),(25,233,1,12,20,NULL,NULL,NULL,NULL),(25,233,1,12,21,NULL,NULL,NULL,NULL),(25,233,1,12,22,NULL,NULL,NULL,NULL),(25,233,1,12,23,NULL,NULL,NULL,NULL),(25,233,1,12,24,NULL,NULL,NULL,NULL),(25,233,1,12,25,NULL,NULL,NULL,NULL),(25,233,1,12,26,NULL,NULL,NULL,NULL),(25,233,1,12,27,NULL,NULL,NULL,NULL),(25,233,1,12,28,NULL,NULL,NULL,NULL),(25,233,1,12,29,NULL,NULL,NULL,NULL),(25,233,1,12,30,NULL,NULL,NULL,NULL),(25,233,1,12,31,NULL,NULL,NULL,NULL),(25,233,1,12,32,NULL,NULL,NULL,NULL),(25,233,1,12,33,NULL,NULL,NULL,NULL),(25,233,1,12,34,NULL,NULL,NULL,NULL),(25,233,1,12,35,NULL,NULL,NULL,NULL),(25,233,1,12,36,NULL,NULL,NULL,NULL),(25,233,1,12,37,NULL,NULL,NULL,NULL),(25,233,1,12,38,NULL,NULL,NULL,NULL),(25,233,1,12,39,NULL,NULL,NULL,NULL),(25,233,1,12,40,NULL,NULL,NULL,NULL),(25,233,1,13,1,1,NULL,NULL,1),(25,233,1,13,2,NULL,1,NULL,1),(25,233,1,13,3,NULL,NULL,NULL,NULL),(25,233,1,13,4,1,NULL,NULL,1),(25,233,1,13,5,1,NULL,NULL,NULL),(25,233,1,13,6,NULL,1,NULL,1),(25,233,1,13,7,NULL,1,NULL,1),(25,233,1,13,8,NULL,NULL,NULL,NULL),(25,233,1,13,9,1,NULL,NULL,1),(25,233,1,13,10,NULL,NULL,NULL,NULL),(25,233,1,13,11,1,NULL,1,NULL),(25,233,1,13,12,NULL,NULL,NULL,NULL),(25,233,1,13,13,1,NULL,1,NULL),(25,233,1,13,14,1,NULL,1,NULL),(25,233,1,13,15,1,NULL,NULL,1),(25,233,1,13,16,1,NULL,1,NULL),(25,233,1,13,17,NULL,NULL,1,NULL),(25,233,1,13,18,1,NULL,1,NULL),(25,233,1,13,19,NULL,NULL,NULL,1),(25,233,1,13,20,1,NULL,NULL,NULL),(25,233,1,13,21,NULL,1,NULL,1),(25,233,1,13,22,NULL,NULL,NULL,1),(25,233,1,13,23,NULL,NULL,NULL,1),(25,233,1,13,24,NULL,NULL,NULL,NULL),(25,233,1,13,25,1,NULL,NULL,NULL),(25,233,1,13,26,1,NULL,1,NULL),(25,233,1,13,27,NULL,NULL,NULL,NULL),(25,233,1,13,28,NULL,NULL,NULL,NULL),(25,233,1,13,29,NULL,NULL,NULL,NULL),(25,233,1,13,30,NULL,NULL,NULL,NULL),(25,233,1,13,31,NULL,1,NULL,NULL),(25,233,1,13,32,NULL,NULL,NULL,NULL),(25,233,1,13,33,NULL,NULL,NULL,NULL),(25,233,1,13,34,1,NULL,NULL,NULL),(25,233,1,13,35,NULL,NULL,NULL,NULL),(25,233,1,13,36,NULL,NULL,NULL,1),(25,233,1,13,37,NULL,NULL,1,NULL),(25,233,1,13,38,NULL,NULL,NULL,1),(25,233,1,13,39,NULL,NULL,NULL,1),(25,233,1,13,40,NULL,NULL,1,NULL),(25,233,1,14,1,25,26,11,16),(25,233,1,14,2,9,19,4,9),(25,233,1,14,3,11,11,4,10),(25,233,1,14,4,39,9,21,6),(25,233,1,14,5,11,21,8,14),(25,233,1,14,6,10,20,4,10),(25,233,1,14,7,17,27,9,14),(25,233,1,14,8,20,8,11,5),(25,233,1,14,9,16,20,8,9),(25,233,1,14,10,6,7,3,6),(25,233,1,14,11,10,8,6,7),(25,233,1,14,12,11,8,7,10),(25,233,1,14,13,18,8,10,4),(25,233,1,14,14,24,8,9,6),(25,233,1,14,15,27,9,21,7),(25,233,1,14,16,14,11,10,9),(25,233,1,14,17,20,11,16,7),(25,233,1,14,18,36,6,22,3),(25,233,1,14,19,26,22,14,13),(25,233,1,14,20,32,2,23,NULL),(25,233,1,14,21,17,17,8,7),(25,233,1,14,22,12,29,7,18),(25,233,1,14,23,10,19,9,15),(25,233,1,14,24,9,17,6,14),(25,233,1,14,25,4,26,3,14),(25,233,1,14,26,17,NULL,16,NULL),(25,233,1,14,27,13,NULL,9,NULL),(25,233,1,14,28,5,35,5,19),(25,233,1,14,29,7,6,5,5),(25,233,1,14,30,6,15,3,10),(25,233,1,14,31,NULL,14,1,10),(25,233,1,14,32,9,10,6,10),(25,233,1,14,33,11,18,9,13),(25,233,1,14,34,17,6,8,3),(25,233,1,14,35,14,6,11,8),(25,233,1,14,36,29,18,16,7),(25,233,1,14,37,18,8,14,7),(25,233,1,14,38,8,34,1,23),(25,233,1,14,39,11,25,3,15),(25,233,1,14,40,6,12,5,14),(25,233,1,15,1,18,23,10,8),(25,233,1,15,2,12,15,7,4),(25,233,1,15,3,18,7,8,1),(25,233,1,15,4,34,18,15,4),(25,233,1,15,5,7,18,4,5),(25,233,1,15,6,7,23,4,6),(25,233,1,15,7,12,34,7,13),(25,233,1,15,8,17,11,12,5),(25,233,1,15,9,11,14,4,6),(25,233,1,15,10,4,6,3,3),(25,233,1,15,11,5,12,2,7),(25,233,1,15,12,8,10,10,6),(25,233,1,15,13,14,11,9,6),(25,233,1,15,14,24,13,9,3),(25,233,1,15,15,19,13,11,5),(25,233,1,15,16,8,12,4,10),(25,233,1,15,17,15,11,7,8),(25,233,1,15,18,37,4,15,2),(25,233,1,15,19,20,26,8,10),(25,233,1,15,20,21,7,13,3),(25,233,1,15,21,19,17,15,1),(25,233,1,15,22,7,28,2,16),(25,233,1,15,23,4,18,3,10),(25,233,1,15,24,7,14,5,6),(25,233,1,15,25,6,14,4,9),(25,233,1,15,26,17,NULL,9,NULL),(25,233,1,15,27,8,NULL,8,NULL),(25,233,1,15,28,6,32,2,12),(25,233,1,15,29,4,10,1,6),(25,233,1,15,30,3,11,3,7),(25,233,1,15,31,2,4,1,6),(25,233,1,15,32,6,15,8,5),(25,233,1,15,33,8,11,7,5),(25,233,1,15,34,11,7,3,6),(25,233,1,15,35,12,4,7,3),(25,233,1,15,36,15,24,10,9),(25,233,1,15,37,24,5,10,4),(25,233,1,15,38,2,38,3,15),(25,233,1,15,39,4,27,NULL,8),(25,233,1,15,40,3,13,6,6),(25,233,1,16,1,10,7,2,1),(25,233,1,16,2,2,8,1,1),(25,233,1,16,3,9,3,2,2),(25,233,1,16,4,13,7,2,3),(25,233,1,16,5,NULL,7,NULL,1),(25,233,1,16,6,5,9,NULL,5),(25,233,1,16,7,4,20,NULL,4),(25,233,1,16,8,9,9,2,2),(25,233,1,16,9,4,12,1,3),(25,233,1,16,10,1,NULL,NULL,NULL),(25,233,1,16,11,1,6,NULL,2),(25,233,1,16,12,3,4,NULL,1),(25,233,1,16,13,19,5,5,1),(25,233,1,16,14,9,10,2,2),(25,233,1,16,15,22,NULL,3,NULL),(25,233,1,16,16,4,15,3,NULL),(25,233,1,16,17,3,13,NULL,2),(25,233,1,16,18,6,25,NULL,5),(25,233,1,16,19,NULL,11,NULL,2),(25,233,1,16,20,22,NULL,3,NULL),(25,233,1,16,21,5,22,1,3),(25,233,1,16,22,4,13,1,3),(25,233,1,16,23,2,13,NULL,2),(25,233,1,16,24,1,8,NULL,2),(25,233,1,16,25,4,6,NULL,1),(25,233,1,16,26,5,NULL,1,NULL),(25,233,1,16,27,NULL,NULL,NULL,NULL),(25,233,1,16,28,6,12,2,1),(25,233,1,16,29,1,7,NULL,3),(25,233,1,16,30,NULL,11,NULL,3),(25,233,1,16,31,NULL,7,1,NULL),(25,233,1,16,32,3,7,NULL,2),(25,233,1,16,33,1,4,1,1),(25,233,1,16,34,4,5,NULL,2),(25,233,1,16,35,7,1,1,1),(25,233,1,16,36,9,6,1,2),(25,233,1,16,37,8,4,2,1),(25,233,1,16,38,3,17,NULL,5),(25,233,1,16,39,3,9,NULL,3),(25,233,1,16,40,1,6,1,1),(25,233,1,17,1,9,16,2,5),(25,233,1,17,2,2,13,3,4),(25,233,1,17,3,5,8,NULL,3),(25,233,1,17,4,17,11,5,NULL),(25,233,1,17,5,1,5,NULL,1),(25,233,1,17,6,5,7,2,NULL),(25,233,1,17,7,5,21,3,3),(25,233,1,17,8,7,5,1,NULL),(25,233,1,17,9,6,7,1,3),(25,233,1,17,10,NULL,1,NULL,1),(25,233,1,17,11,3,7,NULL,NULL),(25,233,1,17,12,4,4,NULL,3),(25,233,1,17,13,9,9,2,2),(25,233,1,17,14,9,7,3,1),(25,233,1,17,15,17,NULL,4,NULL),(25,233,1,17,16,9,11,2,2),(25,233,1,17,17,1,18,1,2),(25,233,1,17,18,6,19,NULL,7),(25,233,1,17,19,NULL,10,NULL,2),(25,233,1,17,20,23,NULL,2,NULL),(25,233,1,17,21,2,14,2,2),(25,233,1,17,22,1,14,1,3),(25,233,1,17,23,3,10,1,5),(25,233,1,17,24,2,8,NULL,3),(25,233,1,17,25,1,5,2,NULL),(25,233,1,17,26,8,NULL,2,NULL),(25,233,1,17,27,2,NULL,3,NULL),(25,233,1,17,28,4,17,2,4),(25,233,1,17,29,1,3,NULL,1),(25,233,1,17,30,NULL,9,NULL,NULL),(25,233,1,17,31,1,3,NULL,1),(25,233,1,17,32,NULL,4,1,1),(25,233,1,17,33,NULL,7,1,1),(25,233,1,17,34,3,5,NULL,1),(25,233,1,17,35,3,3,2,1),(25,233,1,17,36,4,8,2,1),(25,233,1,17,37,7,8,5,2),(25,233,1,17,38,1,23,1,4),(25,233,1,17,39,5,14,1,4),(25,233,1,17,40,4,5,NULL,2),(25,233,2,21,1,8,8,5,5),(25,233,2,21,2,2,12,1,4),(25,233,2,21,3,11,10,6,3),(25,233,2,21,4,7,8,5,4),(25,233,2,21,5,23,8,8,4),(25,233,2,21,6,11,7,6,4),(25,233,2,21,7,4,11,2,4),(25,233,2,21,8,13,9,7,4),(25,233,2,21,9,26,13,9,5),(25,233,2,21,10,15,13,9,4),(25,233,2,21,11,2,36,NULL,14),(25,233,2,21,12,5,13,NULL,5),(25,233,2,21,13,31,6,15,NULL),(25,233,2,21,14,11,11,6,5),(25,233,2,21,15,16,14,6,6),(25,233,2,21,16,13,18,2,9),(25,233,2,21,17,6,17,3,3),(25,233,2,21,18,9,11,4,4),(25,233,2,21,19,2,12,1,3),(25,233,2,21,20,12,10,7,3),(25,233,2,21,21,8,5,9,2),(25,233,2,21,22,2,4,1,1),(25,233,2,21,23,3,6,3,4),(25,233,2,21,24,2,7,NULL,4),(25,233,2,21,25,5,NULL,2,NULL),(25,233,2,21,26,2,8,NULL,4),(25,233,2,21,27,1,6,1,5),(25,233,2,21,28,2,5,NULL,3),(25,233,2,21,29,4,8,4,2),(25,233,2,21,30,1,8,NULL,3),(25,233,2,21,31,13,11,5,5),(25,233,2,21,32,4,14,1,7),(25,233,2,21,33,28,9,15,1),(25,233,2,21,34,4,4,3,2),(25,233,2,21,35,9,13,5,5),(25,233,2,21,36,7,2,4,1),(25,233,2,21,37,15,11,8,5),(25,233,2,21,38,20,9,11,2),(25,233,2,21,39,35,NULL,17,NULL),(25,233,2,21,40,6,9,2,3),(25,233,2,22,1,2,10,2,4),(25,233,2,22,2,2,12,NULL,9),(25,233,2,22,3,9,9,5,5),(25,233,2,22,4,7,13,1,7),(25,233,2,22,5,13,13,10,7),(25,233,2,22,6,6,12,5,5),(25,233,2,22,7,3,6,3,5),(25,233,2,22,8,11,16,8,4),(25,233,2,22,9,28,13,13,5),(25,233,2,22,10,11,11,8,7),(25,233,2,22,11,7,27,2,15),(25,233,2,22,12,9,20,2,10),(25,233,2,22,13,23,7,11,1),(25,233,2,22,14,4,17,2,5),(25,233,2,22,15,12,21,7,9),(25,233,2,22,16,6,17,5,7),(25,233,2,22,17,2,22,1,7),(25,233,2,22,18,6,18,2,7),(25,233,2,22,19,3,11,1,6),(25,233,2,22,20,7,15,3,6),(25,233,2,22,21,8,7,6,2),(25,233,2,22,22,NULL,2,NULL,4),(25,233,2,22,23,3,7,3,4),(25,233,2,22,24,1,6,2,1),(25,233,2,22,25,5,NULL,2,NULL),(25,233,2,22,26,NULL,4,NULL,1),(25,233,2,22,27,3,7,NULL,NULL),(25,233,2,22,28,3,5,NULL,6),(25,233,2,22,29,3,6,4,3),(25,233,2,22,30,4,12,3,2),(25,233,2,22,31,10,14,14,4),(25,233,2,22,32,NULL,14,1,11),(25,233,2,22,33,18,8,13,2),(25,233,2,22,34,3,6,2,3),(25,233,2,22,35,9,8,5,4),(25,233,2,22,36,5,8,5,4),(25,233,2,22,37,6,10,7,2),(25,233,2,22,38,13,6,9,3),(25,233,2,22,39,31,NULL,18,NULL),(25,233,2,22,40,1,6,1,4),(25,233,2,23,1,4,13,1,6),(25,233,2,23,2,1,11,2,10),(25,233,2,23,3,13,10,8,4),(25,233,2,23,4,5,11,3,8),(25,233,2,23,5,17,13,8,5),(25,233,2,23,6,9,12,8,6),(25,233,2,23,7,4,12,3,3),(25,233,2,23,8,14,13,5,6),(25,233,2,23,9,29,12,11,3),(25,233,2,23,10,13,9,10,4),(25,233,2,23,11,3,31,2,14),(25,233,2,23,12,4,11,3,4),(25,233,2,23,13,29,5,11,2),(25,233,2,23,14,7,12,1,6),(25,233,2,23,15,15,18,9,5),(25,233,2,23,16,7,11,4,3),(25,233,2,23,17,7,11,3,6),(25,233,2,23,18,8,12,2,7),(25,233,2,23,19,2,9,NULL,5),(25,233,2,23,20,3,17,2,6),(25,233,2,23,21,2,9,3,6),(25,233,2,23,22,NULL,2,NULL,4),(25,233,2,23,23,2,4,2,2),(25,233,2,23,24,3,5,1,2),(25,233,2,23,25,4,NULL,1,NULL),(25,233,2,23,26,NULL,3,NULL,1),(25,233,2,23,27,1,7,1,2),(25,233,2,23,28,1,2,1,2),(25,233,2,23,29,2,12,3,4),(25,233,2,23,30,1,10,NULL,2),(25,233,2,23,31,11,6,9,2),(25,233,2,23,32,4,12,3,5),(25,233,2,23,33,21,4,11,2),(25,233,2,23,34,3,5,3,4),(25,233,2,23,35,8,11,6,3),(25,233,2,23,36,6,7,3,4),(25,233,2,23,37,6,8,8,5),(25,233,2,23,38,15,10,10,3),(25,233,2,23,39,30,NULL,12,NULL),(25,233,2,23,40,3,6,1,3),(25,233,2,24,1,10,12,4,5),(25,233,2,24,2,2,10,NULL,4),(25,233,2,24,3,12,10,1,5),(25,233,2,24,4,8,11,3,5),(25,233,2,24,5,15,9,5,4),(25,233,2,24,6,4,8,4,6),(25,233,2,24,7,2,6,2,5),(25,233,2,24,8,10,11,7,2),(25,233,2,24,9,21,6,9,2),(25,233,2,24,10,5,6,4,6),(25,233,2,24,11,2,29,1,10),(25,233,2,24,12,7,15,2,7),(25,233,2,24,13,29,5,12,1),(25,233,2,24,14,12,13,4,3),(25,233,2,24,15,16,9,5,6),(25,233,2,24,16,3,13,3,6),(25,233,2,24,17,7,9,2,5),(25,233,2,24,18,6,6,2,3),(25,233,2,24,19,1,8,NULL,6),(25,233,2,24,20,4,7,2,3),(25,233,2,24,21,5,7,2,3),(25,233,2,24,22,NULL,3,NULL,2),(25,233,2,24,23,2,2,3,2),(25,233,2,24,24,NULL,7,NULL,2),(25,233,2,24,25,2,NULL,3,NULL),(25,233,2,24,26,1,6,NULL,NULL),(25,233,2,24,27,2,3,NULL,3),(25,233,2,24,28,1,2,NULL,NULL),(25,233,2,24,29,3,5,1,4),(25,233,2,24,30,3,3,1,1),(25,233,2,24,31,17,8,8,3),(25,233,2,24,32,1,13,2,5),(25,233,2,24,33,14,12,9,3),(25,233,2,24,34,1,6,NULL,5),(25,233,2,24,35,5,7,3,4),(25,233,2,24,36,6,8,3,3),(25,233,2,24,37,4,6,2,4),(25,233,2,24,38,19,7,8,1),(25,233,2,24,39,31,NULL,10,NULL),(25,233,2,24,40,4,4,3,1),(25,234,1,11,1,NULL,NULL,NULL,NULL),(25,234,1,11,2,NULL,NULL,NULL,NULL),(25,234,1,11,3,NULL,NULL,NULL,NULL),(25,234,1,11,4,1,NULL,1,NULL),(25,234,1,11,5,NULL,NULL,NULL,NULL),(25,234,1,11,6,NULL,NULL,NULL,NULL),(25,234,1,11,7,1,NULL,1,NULL),(25,234,1,11,8,1,NULL,1,NULL),(25,234,1,11,9,NULL,NULL,NULL,NULL),(25,234,1,11,10,NULL,NULL,NULL,NULL),(25,234,1,11,11,NULL,NULL,NULL,NULL),(25,234,1,11,12,NULL,NULL,NULL,NULL),(25,234,1,11,13,1,NULL,1,NULL),(25,234,1,11,14,1,NULL,1,NULL),(25,234,1,11,15,1,NULL,1,NULL),(25,234,1,11,16,1,NULL,1,NULL),(25,234,1,11,17,1,NULL,1,NULL),(25,234,1,11,18,1,NULL,1,NULL),(25,234,1,11,19,NULL,NULL,NULL,NULL),(25,234,1,11,20,1,NULL,1,NULL),(25,234,1,11,21,1,NULL,1,NULL),(25,234,1,11,22,NULL,NULL,NULL,NULL),(25,234,1,11,23,NULL,NULL,NULL,NULL),(25,234,1,11,24,NULL,NULL,NULL,NULL),(25,234,1,11,25,1,NULL,1,NULL),(25,234,1,11,26,NULL,NULL,NULL,NULL),(25,234,1,11,27,NULL,NULL,NULL,NULL),(25,234,1,11,28,NULL,NULL,NULL,NULL),(25,234,1,11,29,1,NULL,1,NULL),(25,234,1,11,30,NULL,NULL,NULL,NULL),(25,234,1,11,31,NULL,NULL,NULL,NULL),(25,234,1,11,32,NULL,NULL,NULL,NULL),(25,234,1,11,33,NULL,NULL,NULL,NULL),(25,234,1,11,34,NULL,1,NULL,1),(25,234,1,11,35,NULL,NULL,NULL,NULL),(25,234,1,11,36,NULL,1,NULL,1),(25,234,1,11,37,NULL,NULL,NULL,NULL),(25,234,1,11,38,NULL,NULL,NULL,NULL),(25,234,1,11,39,NULL,NULL,NULL,NULL),(25,234,1,11,40,NULL,NULL,NULL,NULL),(25,234,1,12,1,NULL,NULL,NULL,NULL),(25,234,1,12,2,NULL,NULL,NULL,NULL),(25,234,1,12,3,NULL,NULL,NULL,NULL),(25,234,1,12,4,NULL,NULL,NULL,NULL),(25,234,1,12,5,NULL,NULL,NULL,NULL),(25,234,1,12,6,NULL,NULL,NULL,NULL),(25,234,1,12,7,NULL,NULL,NULL,NULL),(25,234,1,12,8,NULL,NULL,NULL,NULL),(25,234,1,12,9,NULL,NULL,NULL,NULL),(25,234,1,12,10,NULL,NULL,NULL,NULL),(25,234,1,12,11,NULL,NULL,NULL,NULL),(25,234,1,12,12,NULL,NULL,NULL,NULL),(25,234,1,12,13,NULL,NULL,NULL,NULL),(25,234,1,12,14,NULL,NULL,NULL,NULL),(25,234,1,12,15,NULL,NULL,NULL,NULL),(25,234,1,12,16,NULL,NULL,NULL,NULL),(25,234,1,12,17,NULL,NULL,NULL,NULL),(25,234,1,12,18,NULL,NULL,NULL,NULL),(25,234,1,12,19,NULL,NULL,NULL,NULL),(25,234,1,12,20,NULL,NULL,NULL,NULL),(25,234,1,12,21,NULL,NULL,NULL,NULL),(25,234,1,12,22,NULL,NULL,NULL,NULL),(25,234,1,12,23,NULL,NULL,NULL,NULL),(25,234,1,12,24,NULL,NULL,NULL,NULL),(25,234,1,12,25,NULL,NULL,NULL,NULL),(25,234,1,12,26,NULL,NULL,NULL,NULL),(25,234,1,12,27,NULL,NULL,NULL,NULL),(25,234,1,12,28,NULL,NULL,NULL,NULL),(25,234,1,12,29,NULL,NULL,NULL,NULL),(25,234,1,12,30,NULL,NULL,NULL,NULL),(25,234,1,12,31,NULL,NULL,NULL,NULL),(25,234,1,12,32,NULL,NULL,NULL,NULL),(25,234,1,12,33,NULL,NULL,NULL,NULL),(25,234,1,12,34,NULL,NULL,NULL,NULL),(25,234,1,12,35,NULL,NULL,NULL,NULL),(25,234,1,12,36,NULL,NULL,NULL,NULL),(25,234,1,12,37,NULL,NULL,NULL,NULL),(25,234,1,12,38,NULL,NULL,NULL,NULL),(25,234,1,12,39,NULL,NULL,NULL,NULL),(25,234,1,12,40,NULL,NULL,NULL,NULL),(25,234,1,13,1,NULL,NULL,NULL,NULL),(25,234,1,13,2,NULL,NULL,NULL,NULL),(25,234,1,13,3,NULL,NULL,NULL,NULL),(25,234,1,13,4,NULL,NULL,NULL,NULL),(25,234,1,13,5,NULL,NULL,NULL,NULL),(25,234,1,13,6,NULL,NULL,NULL,NULL),(25,234,1,13,7,NULL,NULL,NULL,NULL),(25,234,1,13,8,NULL,NULL,NULL,NULL),(25,234,1,13,9,NULL,NULL,NULL,NULL),(25,234,1,13,10,NULL,NULL,NULL,NULL),(25,234,1,13,11,NULL,NULL,NULL,NULL),(25,234,1,13,12,NULL,NULL,NULL,NULL),(25,234,1,13,13,NULL,NULL,NULL,NULL),(25,234,1,13,14,NULL,NULL,NULL,NULL),(25,234,1,13,15,NULL,NULL,NULL,NULL),(25,234,1,13,16,NULL,NULL,NULL,NULL),(25,234,1,13,17,NULL,NULL,NULL,NULL),(25,234,1,13,18,NULL,NULL,NULL,NULL),(25,234,1,13,19,NULL,NULL,NULL,NULL),(25,234,1,13,20,NULL,NULL,NULL,NULL),(25,234,1,13,21,NULL,NULL,NULL,NULL),(25,234,1,13,22,NULL,NULL,NULL,NULL),(25,234,1,13,23,NULL,NULL,NULL,NULL),(25,234,1,13,24,NULL,NULL,NULL,NULL),(25,234,1,13,25,NULL,NULL,NULL,NULL),(25,234,1,13,26,NULL,NULL,NULL,NULL),(25,234,1,13,27,NULL,NULL,NULL,NULL),(25,234,1,13,28,NULL,NULL,NULL,NULL),(25,234,1,13,29,NULL,NULL,NULL,NULL),(25,234,1,13,30,NULL,NULL,NULL,NULL),(25,234,1,13,31,NULL,NULL,NULL,NULL),(25,234,1,13,32,NULL,NULL,NULL,NULL),(25,234,1,13,33,NULL,NULL,NULL,NULL),(25,234,1,13,34,NULL,NULL,NULL,NULL),(25,234,1,13,35,NULL,NULL,NULL,NULL),(25,234,1,13,36,NULL,NULL,NULL,NULL),(25,234,1,13,37,NULL,NULL,NULL,NULL),(25,234,1,13,38,NULL,NULL,NULL,NULL),(25,234,1,13,39,NULL,NULL,NULL,NULL),(25,234,1,13,40,NULL,NULL,NULL,NULL),(25,234,1,14,1,5,5,1,4),(25,234,1,14,2,1,8,1,6),(25,234,1,14,3,4,5,4,1),(25,234,1,14,4,8,5,5,2),(25,234,1,14,5,NULL,6,NULL,2),(25,234,1,14,6,1,11,1,7),(25,234,1,14,7,1,8,1,5),(25,234,1,14,8,5,1,2,NULL),(25,234,1,14,9,4,4,4,3),(25,234,1,14,10,NULL,NULL,NULL,NULL),(25,234,1,14,11,2,5,1,3),(25,234,1,14,12,3,NULL,2,NULL),(25,234,1,14,13,2,4,1,3),(25,234,1,14,14,2,7,2,5),(25,234,1,14,15,4,3,3,2),(25,234,1,14,16,1,4,NULL,4),(25,234,1,14,17,5,3,5,1),(25,234,1,14,18,6,NULL,6,NULL),(25,234,1,14,19,6,4,3,3),(25,234,1,14,20,5,1,4,NULL),(25,234,1,14,21,2,5,1,3),(25,234,1,14,22,2,6,1,4),(25,234,1,14,23,NULL,6,NULL,5),(25,234,1,14,24,NULL,6,NULL,3),(25,234,1,14,25,2,4,2,2),(25,234,1,14,26,NULL,NULL,NULL,NULL),(25,234,1,14,27,1,NULL,1,NULL),(25,234,1,14,28,2,8,NULL,6),(25,234,1,14,29,NULL,4,NULL,3),(25,234,1,14,30,1,5,NULL,4),(25,234,1,14,31,NULL,1,NULL,1),(25,234,1,14,32,NULL,NULL,NULL,NULL),(25,234,1,14,33,1,2,1,1),(25,234,1,14,34,1,5,1,3),(25,234,1,14,35,5,2,3,2),(25,234,1,14,36,2,10,1,6),(25,234,1,14,37,1,2,1,2),(25,234,1,14,38,NULL,10,NULL,6),(25,234,1,14,39,2,2,1,2),(25,234,1,14,40,NULL,1,NULL,1),(25,234,1,15,1,8,8,6,7),(25,234,1,15,2,1,8,1,6),(25,234,1,15,3,2,2,2,2),(25,234,1,15,4,12,4,7,3),(25,234,1,15,5,1,2,1,2),(25,234,1,15,6,2,9,1,7),(25,234,1,15,7,NULL,12,NULL,8),(25,234,1,15,8,4,4,3,2),(25,234,1,15,9,2,5,2,4),(25,234,1,15,10,2,2,2,2),(25,234,1,15,11,1,3,1,2),(25,234,1,15,12,2,3,1,3),(25,234,1,15,13,3,3,3,3),(25,234,1,15,14,6,2,5,1),(25,234,1,15,15,9,1,9,NULL),(25,234,1,15,16,4,4,4,3),(25,234,1,15,17,5,1,4,1),(25,234,1,15,18,5,1,4,1),(25,234,1,15,19,7,6,6,4),(25,234,1,15,20,6,2,5,1),(25,234,1,15,21,5,6,5,5),(25,234,1,15,22,4,2,2,2),(25,234,1,15,23,3,5,2,3),(25,234,1,15,24,2,1,2,1),(25,234,1,15,25,3,5,2,3),(25,234,1,15,26,4,NULL,4,NULL),(25,234,1,15,27,1,NULL,1,NULL),(25,234,1,15,28,4,6,4,4),(25,234,1,15,29,1,2,NULL,NULL),(25,234,1,15,30,2,NULL,1,NULL),(25,234,1,15,31,1,NULL,1,NULL),(25,234,1,15,32,1,2,1,2),(25,234,1,15,33,2,1,1,NULL),(25,234,1,15,34,4,4,4,2),(25,234,1,15,35,1,3,1,2),(25,234,1,15,36,6,4,6,4),(25,234,1,15,37,4,3,3,3),(25,234,1,15,38,2,12,1,8),(25,234,1,15,39,NULL,5,NULL,3),(25,234,1,15,40,NULL,3,NULL,3),(25,234,1,16,1,8,13,7,10),(25,234,1,16,2,4,7,2,5),(25,234,1,16,3,6,7,5,4),(25,234,1,16,4,15,17,10,13),(25,234,1,16,5,1,13,1,9),(25,234,1,16,6,4,11,3,7),(25,234,1,16,7,2,26,2,15),(25,234,1,16,8,2,7,1,5),(25,234,1,16,9,3,13,3,13),(25,234,1,16,10,NULL,4,NULL,1),(25,234,1,16,11,1,6,NULL,5),(25,234,1,16,12,5,5,4,4),(25,234,1,16,13,18,7,13,7),(25,234,1,16,14,5,10,4,9),(25,234,1,16,15,22,NULL,16,NULL),(25,234,1,16,16,2,14,2,9),(25,234,1,16,17,1,14,NULL,6),(25,234,1,16,18,5,26,3,18),(25,234,1,16,19,NULL,7,NULL,5),(25,234,1,16,20,30,NULL,21,NULL),(25,234,1,16,21,4,21,2,16),(25,234,1,16,22,2,10,1,8),(25,234,1,16,23,3,15,1,11),(25,234,1,16,24,NULL,6,NULL,4),(25,234,1,16,25,1,5,NULL,4),(25,234,1,16,26,2,NULL,1,NULL),(25,234,1,16,27,NULL,NULL,NULL,NULL),(25,234,1,16,28,6,19,2,14),(25,234,1,16,29,1,7,NULL,6),(25,234,1,16,30,1,11,NULL,8),(25,234,1,16,31,NULL,2,NULL,2),(25,234,1,16,32,1,4,1,4),(25,234,1,16,33,1,7,1,6),(25,234,1,16,34,5,11,3,8),(25,234,1,16,35,2,7,1,6),(25,234,1,16,36,4,11,3,6),(25,234,1,16,37,10,8,7,5),(25,234,1,16,38,3,18,2,11),(25,234,1,16,39,2,12,NULL,8),(25,234,1,16,40,1,5,1,5),(25,234,1,17,1,7,13,4,7),(25,234,1,17,2,3,8,2,6),(25,234,1,17,3,NULL,1,NULL,1),(25,234,1,17,4,7,13,3,6),(25,234,1,17,5,1,5,1,1),(25,234,1,17,6,2,10,1,7),(25,234,1,17,7,2,14,2,9),(25,234,1,17,8,NULL,9,NULL,4),(25,234,1,17,9,6,3,4,1),(25,234,1,17,10,NULL,2,NULL,2),(25,234,1,17,11,3,4,3,4),(25,234,1,17,12,1,6,1,3),(25,234,1,17,13,13,4,10,2),(25,234,1,17,14,5,6,5,3),(25,234,1,17,15,17,NULL,8,NULL),(25,234,1,17,16,2,16,2,9),(25,234,1,17,17,1,11,1,7),(25,234,1,17,18,2,20,1,15),(25,234,1,17,19,NULL,14,NULL,9),(25,234,1,17,20,18,NULL,7,NULL),(25,234,1,17,21,3,9,1,5),(25,234,1,17,22,4,9,3,8),(25,234,1,17,23,2,8,2,4),(25,234,1,17,24,2,3,1,3),(25,234,1,17,25,NULL,3,NULL,2),(25,234,1,17,26,5,NULL,4,NULL),(25,234,1,17,27,NULL,NULL,NULL,NULL),(25,234,1,17,28,6,14,2,10),(25,234,1,17,29,4,8,2,4),(25,234,1,17,30,2,8,2,4),(25,234,1,17,31,1,1,1,NULL),(25,234,1,17,32,3,1,2,1),(25,234,1,17,33,2,6,2,3),(25,234,1,17,34,5,3,4,NULL),(25,234,1,17,35,2,5,1,2),(25,234,1,17,36,5,12,4,7),(25,234,1,17,37,2,5,2,4),(25,234,1,17,38,1,17,1,10),(25,234,1,17,39,3,13,3,5),(25,234,1,17,40,1,1,1,NULL),(25,234,2,21,1,NULL,13,NULL,8),(25,234,2,21,2,NULL,8,NULL,7),(25,234,2,21,3,3,8,3,4),(25,234,2,21,4,3,8,3,6),(25,234,2,21,5,5,11,4,7),(25,234,2,21,6,3,7,2,7),(25,234,2,21,7,2,2,2,1),(25,234,2,21,8,3,10,1,5),(25,234,2,21,9,4,14,2,10),(25,234,2,21,10,1,9,NULL,7),(25,234,2,21,11,1,14,1,8),(25,234,2,21,12,NULL,5,NULL,4),(25,234,2,21,13,7,10,6,6),(25,234,2,21,14,1,12,1,8),(25,234,2,21,15,6,13,5,10),(25,234,2,21,16,2,5,2,4),(25,234,2,21,17,2,9,1,3),(25,234,2,21,18,3,8,1,4),(25,234,2,21,19,4,1,3,1),(25,234,2,21,20,6,11,4,8),(25,234,2,21,21,2,3,2,2),(25,234,2,21,22,NULL,1,NULL,1),(25,234,2,21,23,1,4,1,1),(25,234,2,21,24,NULL,8,NULL,7),(25,234,2,21,25,1,NULL,1,NULL),(25,234,2,21,26,1,NULL,1,NULL),(25,234,2,21,27,1,5,NULL,3),(25,234,2,21,28,1,1,1,NULL),(25,234,2,21,29,1,7,NULL,5),(25,234,2,21,30,1,2,NULL,1),(25,234,2,21,31,6,7,5,6),(25,234,2,21,32,NULL,4,NULL,3),(25,234,2,21,33,4,7,4,6),(25,234,2,21,34,3,1,2,1),(25,234,2,21,35,1,9,NULL,6),(25,234,2,21,36,1,12,1,9),(25,234,2,21,37,1,7,1,3),(25,234,2,21,38,4,8,4,4),(25,234,2,21,39,13,NULL,11,NULL),(25,234,2,21,40,1,3,1,2),(25,234,2,22,1,4,6,3,6),(25,234,2,22,2,1,8,NULL,6),(25,234,2,22,3,2,7,2,7),(25,234,2,22,4,1,6,1,5),(25,234,2,22,5,5,6,5,5),(25,234,2,22,6,3,2,3,1),(25,234,2,22,7,1,4,1,4),(25,234,2,22,8,9,6,7,5),(25,234,2,22,9,7,11,7,10),(25,234,2,22,10,NULL,6,NULL,6),(25,234,2,22,11,2,14,1,12),(25,234,2,22,12,1,4,1,2),(25,234,2,22,13,9,5,8,4),(25,234,2,22,14,4,6,4,5),(25,234,2,22,15,4,11,2,10),(25,234,2,22,16,NULL,13,NULL,11),(25,234,2,22,17,3,8,2,7),(25,234,2,22,18,NULL,9,NULL,8),(25,234,2,22,19,NULL,4,NULL,3),(25,234,2,22,20,3,8,3,5),(25,234,2,22,21,NULL,3,NULL,3),(25,234,2,22,22,NULL,NULL,NULL,NULL),(25,234,2,22,23,1,1,NULL,1),(25,234,2,22,24,1,6,1,5),(25,234,2,22,25,3,NULL,3,NULL),(25,234,2,22,26,NULL,NULL,NULL,NULL),(25,234,2,22,27,NULL,1,NULL,NULL),(25,234,2,22,28,NULL,NULL,NULL,NULL),(25,234,2,22,29,2,2,2,2),(25,234,2,22,30,2,2,2,2),(25,234,2,22,31,2,5,2,5),(25,234,2,22,32,NULL,5,NULL,4),(25,234,2,22,33,3,4,2,4),(25,234,2,22,34,2,NULL,2,NULL),(25,234,2,22,35,1,6,1,5),(25,234,2,22,36,2,4,2,2),(25,234,2,22,37,1,6,NULL,4),(25,234,2,22,38,2,5,2,4),(25,234,2,22,39,8,NULL,7,NULL),(25,234,2,22,40,NULL,3,NULL,3),(25,234,2,23,1,1,4,1,4),(25,234,2,23,2,3,9,3,5),(25,234,2,23,3,7,6,7,3),(25,234,2,23,4,3,6,2,5),(25,234,2,23,5,6,7,4,6),(25,234,2,23,6,3,2,2,1),(25,234,2,23,7,4,4,4,2),(25,234,2,23,8,7,5,5,3),(25,234,2,23,9,11,7,6,3),(25,234,2,23,10,1,5,1,4),(25,234,2,23,11,1,18,NULL,7),(25,234,2,23,12,2,7,1,6),(25,234,2,23,13,13,4,9,2),(25,234,2,23,14,3,7,2,4),(25,234,2,23,15,5,10,2,5),(25,234,2,23,16,4,11,3,8),(25,234,2,23,17,1,11,1,5),(25,234,2,23,18,5,4,3,3),(25,234,2,23,19,1,6,NULL,3),(25,234,2,23,20,5,5,2,2),(25,234,2,23,21,NULL,5,NULL,4),(25,234,2,23,22,1,2,NULL,2),(25,234,2,23,23,1,4,1,3),(25,234,2,23,24,NULL,3,NULL,2),(25,234,2,23,25,1,NULL,NULL,NULL),(25,234,2,23,26,NULL,3,NULL,2),(25,234,2,23,27,NULL,5,NULL,2),(25,234,2,23,28,1,2,1,1),(25,234,2,23,29,1,6,1,4),(25,234,2,23,30,5,7,3,5),(25,234,2,23,31,4,4,2,3),(25,234,2,23,32,NULL,4,NULL,2),(25,234,2,23,33,4,5,4,3),(25,234,2,23,34,NULL,2,NULL,2),(25,234,2,23,35,NULL,7,NULL,4),(25,234,2,23,36,1,5,1,3),(25,234,2,23,37,1,5,1,2),(25,234,2,23,38,2,6,2,4),(25,234,2,23,39,7,NULL,6,NULL),(25,234,2,23,40,NULL,NULL,NULL,NULL),(25,234,2,24,1,1,5,1,4),(25,234,2,24,2,2,7,1,6),(25,234,2,24,3,1,10,1,5),(25,234,2,24,4,NULL,7,NULL,4),(25,234,2,24,5,5,10,4,6),(25,234,2,24,6,1,4,NULL,4),(25,234,2,24,7,1,4,1,4),(25,234,2,24,8,8,9,5,7),(25,234,2,24,9,6,8,4,8),(25,234,2,24,10,1,10,1,7),(25,234,2,24,11,NULL,17,NULL,8),(25,234,2,24,12,2,5,2,4),(25,234,2,24,13,13,4,10,3),(25,234,2,24,14,3,12,3,10),(25,234,2,24,15,4,13,2,8),(25,234,2,24,16,1,12,1,7),(25,234,2,24,17,NULL,7,NULL,5),(25,234,2,24,18,1,7,NULL,5),(25,234,2,24,19,NULL,2,NULL,1),(25,234,2,24,20,3,9,2,7),(25,234,2,24,21,NULL,1,NULL,1),(25,234,2,24,22,NULL,NULL,NULL,NULL),(25,234,2,24,23,1,1,NULL,NULL),(25,234,2,24,24,2,4,NULL,4),(25,234,2,24,25,4,NULL,4,NULL),(25,234,2,24,26,NULL,2,NULL,NULL),(25,234,2,24,27,NULL,4,NULL,2),(25,234,2,24,28,NULL,NULL,NULL,NULL),(25,234,2,24,29,1,4,1,2),(25,234,2,24,30,1,2,1,NULL),(25,234,2,24,31,5,4,2,4),(25,234,2,24,32,1,6,1,3),(25,234,2,24,33,NULL,5,NULL,2),(25,234,2,24,34,NULL,2,NULL,NULL),(25,234,2,24,35,1,9,NULL,6),(25,234,2,24,36,NULL,6,NULL,4),(25,234,2,24,37,1,4,1,2),(25,234,2,24,38,2,4,1,2),(25,234,2,24,39,4,NULL,2,NULL),(25,234,2,24,40,1,2,1,NULL),(25,235,1,11,1,2,NULL,NULL,NULL),(25,235,1,11,2,NULL,1,NULL,NULL),(25,235,1,11,3,NULL,NULL,NULL,NULL),(25,235,1,11,4,1,1,NULL,NULL),(25,235,1,11,5,NULL,2,NULL,NULL),(25,235,1,11,6,NULL,NULL,NULL,NULL),(25,235,1,11,7,1,2,NULL,NULL),(25,235,1,11,8,1,NULL,NULL,NULL),(25,235,1,11,9,NULL,1,NULL,NULL),(25,235,1,11,10,NULL,NULL,NULL,NULL),(25,235,1,11,11,NULL,1,NULL,NULL),(25,235,1,11,12,NULL,NULL,NULL,NULL),(25,235,1,11,13,1,2,NULL,NULL),(25,235,1,11,14,3,1,NULL,NULL),(25,235,1,11,15,1,1,NULL,NULL),(25,235,1,11,16,1,1,NULL,NULL),(25,235,1,11,17,1,2,NULL,NULL),(25,235,1,11,18,1,1,NULL,NULL),(25,235,1,11,19,NULL,1,NULL,NULL),(25,235,1,11,20,2,2,NULL,NULL),(25,235,1,11,21,2,NULL,NULL,NULL),(25,235,1,11,22,2,NULL,NULL,NULL),(25,235,1,11,23,NULL,NULL,NULL,NULL),(25,235,1,11,24,NULL,NULL,NULL,NULL),(25,235,1,11,25,NULL,NULL,NULL,NULL),(25,235,1,11,26,1,NULL,NULL,NULL),(25,235,1,11,27,NULL,NULL,NULL,NULL),(25,235,1,11,28,NULL,1,NULL,NULL),(25,235,1,11,29,NULL,NULL,NULL,NULL),(25,235,1,11,30,NULL,2,NULL,NULL),(25,235,1,11,31,1,NULL,NULL,NULL),(25,235,1,11,32,1,NULL,NULL,NULL),(25,235,1,11,33,NULL,NULL,NULL,NULL),(25,235,1,11,34,NULL,NULL,NULL,NULL),(25,235,1,11,35,NULL,NULL,NULL,NULL),(25,235,1,11,36,NULL,1,NULL,NULL),(25,235,1,11,37,1,1,NULL,NULL),(25,235,1,11,38,NULL,2,NULL,NULL),(25,235,1,11,39,NULL,NULL,NULL,NULL),(25,235,1,11,40,NULL,1,NULL,NULL),(25,235,1,12,1,NULL,NULL,NULL,NULL),(25,235,1,12,2,NULL,NULL,NULL,NULL),(25,235,1,12,3,NULL,NULL,NULL,NULL),(25,235,1,12,4,NULL,NULL,NULL,NULL),(25,235,1,12,5,NULL,NULL,NULL,NULL),(25,235,1,12,6,NULL,NULL,NULL,NULL),(25,235,1,12,7,NULL,NULL,NULL,NULL),(25,235,1,12,8,NULL,NULL,NULL,NULL),(25,235,1,12,9,NULL,NULL,NULL,NULL),(25,235,1,12,10,NULL,NULL,NULL,NULL),(25,235,1,12,11,NULL,NULL,NULL,NULL),(25,235,1,12,12,NULL,NULL,NULL,NULL),(25,235,1,12,13,NULL,NULL,NULL,NULL),(25,235,1,12,14,NULL,NULL,NULL,NULL),(25,235,1,12,15,NULL,NULL,NULL,NULL),(25,235,1,12,16,NULL,NULL,NULL,NULL),(25,235,1,12,17,NULL,NULL,NULL,NULL),(25,235,1,12,18,NULL,NULL,NULL,NULL),(25,235,1,12,19,NULL,NULL,NULL,NULL),(25,235,1,12,20,NULL,NULL,NULL,NULL),(25,235,1,12,21,NULL,NULL,NULL,NULL),(25,235,1,12,22,NULL,NULL,NULL,NULL),(25,235,1,12,23,NULL,NULL,NULL,NULL),(25,235,1,12,24,NULL,NULL,NULL,NULL),(25,235,1,12,25,NULL,NULL,NULL,NULL),(25,235,1,12,26,NULL,NULL,NULL,NULL),(25,235,1,12,27,NULL,NULL,NULL,NULL),(25,235,1,12,28,NULL,NULL,NULL,NULL),(25,235,1,12,29,NULL,NULL,NULL,NULL),(25,235,1,12,30,NULL,NULL,NULL,NULL),(25,235,1,12,31,NULL,NULL,NULL,NULL),(25,235,1,12,32,NULL,NULL,NULL,NULL),(25,235,1,12,33,NULL,NULL,NULL,NULL),(25,235,1,12,34,NULL,NULL,NULL,NULL),(25,235,1,12,35,NULL,NULL,NULL,NULL),(25,235,1,12,36,NULL,NULL,NULL,NULL),(25,235,1,12,37,NULL,NULL,NULL,NULL),(25,235,1,12,38,NULL,NULL,NULL,NULL),(25,235,1,12,39,NULL,NULL,NULL,NULL),(25,235,1,12,40,NULL,NULL,NULL,NULL),(25,235,1,13,1,NULL,NULL,NULL,NULL),(25,235,1,13,2,NULL,NULL,NULL,NULL),(25,235,1,13,3,NULL,NULL,NULL,NULL),(25,235,1,13,4,NULL,NULL,NULL,NULL),(25,235,1,13,5,NULL,NULL,NULL,NULL),(25,235,1,13,6,NULL,NULL,NULL,NULL),(25,235,1,13,7,NULL,NULL,NULL,NULL),(25,235,1,13,8,NULL,NULL,NULL,NULL),(25,235,1,13,9,NULL,NULL,NULL,NULL),(25,235,1,13,10,NULL,NULL,NULL,NULL),(25,235,1,13,11,NULL,NULL,NULL,NULL),(25,235,1,13,12,NULL,NULL,NULL,NULL),(25,235,1,13,13,NULL,NULL,NULL,NULL),(25,235,1,13,14,NULL,NULL,NULL,NULL),(25,235,1,13,15,NULL,NULL,NULL,NULL),(25,235,1,13,16,NULL,NULL,NULL,NULL),(25,235,1,13,17,NULL,NULL,NULL,NULL),(25,235,1,13,18,NULL,NULL,NULL,NULL),(25,235,1,13,19,NULL,NULL,NULL,NULL),(25,235,1,13,20,NULL,NULL,NULL,NULL),(25,235,1,13,21,NULL,NULL,NULL,NULL),(25,235,1,13,22,NULL,NULL,NULL,NULL),(25,235,1,13,23,NULL,NULL,NULL,NULL),(25,235,1,13,24,NULL,NULL,NULL,NULL),(25,235,1,13,25,NULL,NULL,NULL,NULL),(25,235,1,13,26,NULL,NULL,NULL,NULL),(25,235,1,13,27,NULL,NULL,NULL,NULL),(25,235,1,13,28,NULL,NULL,NULL,NULL),(25,235,1,13,29,NULL,NULL,NULL,NULL),(25,235,1,13,30,NULL,NULL,NULL,NULL),(25,235,1,13,31,NULL,NULL,NULL,NULL),(25,235,1,13,32,NULL,NULL,NULL,NULL),(25,235,1,13,33,NULL,NULL,NULL,NULL),(25,235,1,13,34,NULL,NULL,NULL,NULL),(25,235,1,13,35,NULL,NULL,NULL,NULL),(25,235,1,13,36,NULL,NULL,NULL,NULL),(25,235,1,13,37,NULL,NULL,NULL,NULL),(25,235,1,13,38,NULL,NULL,NULL,NULL),(25,235,1,13,39,NULL,NULL,NULL,NULL),(25,235,1,13,40,NULL,NULL,NULL,NULL),(25,235,1,14,1,17,18,9,7),(25,235,1,14,2,8,18,7,1),(25,235,1,14,3,13,7,7,2),(25,235,1,14,4,28,10,13,4),(25,235,1,14,5,4,12,2,8),(25,235,1,14,6,7,22,1,9),(25,235,1,14,7,13,30,4,12),(25,235,1,14,8,16,5,8,3),(25,235,1,14,9,4,16,1,9),(25,235,1,14,10,4,11,3,7),(25,235,1,14,11,4,9,3,4),(25,235,1,14,12,5,4,6,NULL),(25,235,1,14,13,15,16,12,1),(25,235,1,14,14,18,17,12,3),(25,235,1,14,15,20,16,10,4),(25,235,1,14,16,7,12,4,7),(25,235,1,14,17,21,6,10,3),(25,235,1,14,18,28,4,12,1),(25,235,1,14,19,27,19,9,9),(25,235,1,14,20,27,3,14,2),(25,235,1,14,21,14,21,6,5),(25,235,1,14,22,8,15,2,12),(25,235,1,14,23,6,16,1,9),(25,235,1,14,24,4,13,3,8),(25,235,1,14,25,8,9,4,7),(25,235,1,14,26,11,NULL,8,NULL),(25,235,1,14,27,6,NULL,3,NULL),(25,235,1,14,28,10,26,3,10),(25,235,1,14,29,2,7,2,5),(25,235,1,14,30,4,7,1,9),(25,235,1,14,31,3,7,3,3),(25,235,1,14,32,6,8,8,7),(25,235,1,14,33,2,12,4,7),(25,235,1,14,34,7,8,5,1),(25,235,1,14,35,8,8,8,2),(25,235,1,14,36,18,18,13,4),(25,235,1,14,37,11,5,7,4),(25,235,1,14,38,4,35,4,9),(25,235,1,14,39,7,21,2,8),(25,235,1,14,40,2,6,7,4),(25,235,1,15,1,15,25,8,10),(25,235,1,15,2,10,19,3,5),(25,235,1,15,3,10,9,5,3),(25,235,1,15,4,35,11,15,7),(25,235,1,15,5,6,14,4,4),(25,235,1,15,6,4,19,8,6),(25,235,1,15,7,15,32,10,10),(25,235,1,15,8,11,13,8,7),(25,235,1,15,9,9,17,4,9),(25,235,1,15,10,4,3,6,3),(25,235,1,15,11,8,10,2,5),(25,235,1,15,12,8,6,7,3),(25,235,1,15,13,17,13,11,5),(25,235,1,15,14,18,8,10,4),(25,235,1,15,15,28,15,16,4),(25,235,1,15,16,10,13,4,8),(25,235,1,15,17,18,10,7,5),(25,235,1,15,18,37,4,19,2),(25,235,1,15,19,27,19,17,6),(25,235,1,15,20,16,2,12,NULL),(25,235,1,15,21,20,17,12,7),(25,235,1,15,22,12,18,12,8),(25,235,1,15,23,6,15,5,8),(25,235,1,15,24,9,8,8,5),(25,235,1,15,25,5,19,6,13),(25,235,1,15,26,12,NULL,6,NULL),(25,235,1,15,27,6,NULL,9,NULL),(25,235,1,15,28,6,25,4,13),(25,235,1,15,29,5,7,4,6),(25,235,1,15,30,7,14,4,9),(25,235,1,15,31,2,11,1,7),(25,235,1,15,32,4,10,7,5),(25,235,1,15,33,3,17,3,7),(25,235,1,15,34,6,5,5,4),(25,235,1,15,35,10,4,7,1),(25,235,1,15,36,21,23,15,6),(25,235,1,15,37,14,10,7,6),(25,235,1,15,38,4,30,5,12),(25,235,1,15,39,4,18,4,7),(25,235,1,15,40,4,11,4,6),(25,235,1,16,1,7,18,3,3),(25,235,1,16,2,2,8,NULL,NULL),(25,235,1,16,3,NULL,8,1,1),(25,235,1,16,4,9,18,2,3),(25,235,1,16,5,NULL,13,NULL,4),(25,235,1,16,6,2,7,3,2),(25,235,1,16,7,1,17,NULL,3),(25,235,1,16,8,7,5,3,2),(25,235,1,16,9,2,9,1,2),(25,235,1,16,10,NULL,1,NULL,1),(25,235,1,16,11,4,4,NULL,1),(25,235,1,16,12,5,7,1,1),(25,235,1,16,13,12,11,2,2),(25,235,1,16,14,6,9,1,3),(25,235,1,16,15,22,NULL,6,NULL),(25,235,1,16,16,2,13,1,4),(25,235,1,16,17,NULL,13,NULL,NULL),(25,235,1,16,18,4,24,1,4),(25,235,1,16,19,NULL,11,NULL,2),(25,235,1,16,20,23,NULL,4,NULL),(25,235,1,16,21,2,17,NULL,4),(25,235,1,16,22,4,10,NULL,1),(25,235,1,16,23,NULL,13,NULL,3),(25,235,1,16,24,2,7,NULL,1),(25,235,1,16,25,5,6,NULL,1),(25,235,1,16,26,7,NULL,5,NULL),(25,235,1,16,27,1,NULL,1,NULL),(25,235,1,16,28,4,16,1,3),(25,235,1,16,29,NULL,5,NULL,NULL),(25,235,1,16,30,NULL,12,NULL,2),(25,235,1,16,31,1,2,NULL,2),(25,235,1,16,32,2,1,1,NULL),(25,235,1,16,33,1,9,3,1),(25,235,1,16,34,4,4,1,1),(25,235,1,16,35,3,6,NULL,1),(25,235,1,16,36,4,9,1,1),(25,235,1,16,37,4,5,2,NULL),(25,235,1,16,38,1,17,1,4),(25,235,1,16,39,NULL,12,NULL,2),(25,235,1,16,40,NULL,7,NULL,3),(25,235,1,17,1,10,12,1,5),(25,235,1,17,2,4,4,2,1),(25,235,1,17,3,3,6,2,1),(25,235,1,17,4,13,11,3,3),(25,235,1,17,5,3,6,1,2),(25,235,1,17,6,5,7,1,2),(25,235,1,17,7,2,17,NULL,5),(25,235,1,17,8,9,7,2,2),(25,235,1,17,9,8,9,3,2),(25,235,1,17,10,1,4,1,2),(25,235,1,17,11,4,5,NULL,2),(25,235,1,17,12,1,4,NULL,2),(25,235,1,17,13,11,6,4,2),(25,235,1,17,14,9,8,3,3),(25,235,1,17,15,20,NULL,4,NULL),(25,235,1,17,16,8,11,5,1),(25,235,1,17,17,1,16,1,4),(25,235,1,17,18,5,21,1,6),(25,235,1,17,19,NULL,15,1,NULL),(25,235,1,17,20,23,NULL,6,NULL),(25,235,1,17,21,2,9,1,1),(25,235,1,17,22,2,8,NULL,3),(25,235,1,17,23,3,6,2,2),(25,235,1,17,24,1,5,NULL,3),(25,235,1,17,25,NULL,1,NULL,1),(25,235,1,17,26,5,NULL,2,NULL),(25,235,1,17,27,2,NULL,NULL,NULL),(25,235,1,17,28,10,15,2,5),(25,235,1,17,29,2,3,NULL,2),(25,235,1,17,30,3,9,NULL,2),(25,235,1,17,31,1,3,NULL,1),(25,235,1,17,32,1,2,2,1),(25,235,1,17,33,1,4,NULL,1),(25,235,1,17,34,4,8,NULL,1),(25,235,1,17,35,2,3,1,1),(25,235,1,17,36,3,14,2,4),(25,235,1,17,37,3,3,3,NULL),(25,235,1,17,38,1,22,1,3),(25,235,1,17,39,1,15,1,NULL),(25,235,1,17,40,NULL,2,NULL,2),(25,235,2,21,1,4,6,1,1),(25,235,2,21,2,NULL,7,NULL,1),(25,235,2,21,3,13,13,3,4),(25,235,2,21,4,5,14,3,2),(25,235,2,21,5,15,13,5,3),(25,235,2,21,6,5,2,3,2),(25,235,2,21,7,3,6,1,2),(25,235,2,21,8,12,12,4,3),(25,235,2,21,9,17,12,6,2),(25,235,2,21,10,5,8,4,1),(25,235,2,21,11,5,34,1,8),(25,235,2,21,12,4,11,1,3),(25,235,2,21,13,20,6,6,3),(25,235,2,21,14,5,12,2,4),(25,235,2,21,15,12,13,3,3),(25,235,2,21,16,4,17,1,6),(25,235,2,21,17,2,17,NULL,9),(25,235,2,21,18,6,12,2,3),(25,235,2,21,19,1,10,1,2),(25,235,2,21,20,3,20,2,5),(25,235,2,21,21,6,3,4,1),(25,235,2,21,22,1,1,1,NULL),(25,235,2,21,23,NULL,4,1,NULL),(25,235,2,21,24,2,8,NULL,4),(25,235,2,21,25,2,NULL,NULL,NULL),(25,235,2,21,26,NULL,4,1,1),(25,235,2,21,27,3,5,2,2),(25,235,2,21,28,NULL,4,NULL,1),(25,235,2,21,29,2,6,2,4),(25,235,2,21,30,1,8,NULL,1),(25,235,2,21,31,8,9,5,4),(25,235,2,21,32,1,9,NULL,5),(25,235,2,21,33,10,6,8,1),(25,235,2,21,34,1,8,2,4),(25,235,2,21,35,6,11,2,2),(25,235,2,21,36,5,6,4,2),(25,235,2,21,37,4,6,4,2),(25,235,2,21,38,10,11,5,2),(25,235,2,21,39,23,NULL,9,NULL),(25,235,2,21,40,2,4,1,NULL),(25,235,2,22,1,9,9,3,8),(25,235,2,22,2,1,9,1,5),(25,235,2,22,3,8,8,2,3),(25,235,2,22,4,2,13,1,8),(25,235,2,22,5,11,15,8,6),(25,235,2,22,6,1,13,4,6),(25,235,2,22,7,3,11,2,6),(25,235,2,22,8,9,7,4,2),(25,235,2,22,9,21,12,11,5),(25,235,2,22,10,6,9,7,5),(25,235,2,22,11,5,27,1,5),(25,235,2,22,12,5,10,3,3),(25,235,2,22,13,22,6,11,NULL),(25,235,2,22,14,9,15,3,7),(25,235,2,22,15,10,11,2,4),(25,235,2,22,16,5,12,2,7),(25,235,2,22,17,4,20,4,8),(25,235,2,22,18,4,12,3,3),(25,235,2,22,19,2,12,1,6),(25,235,2,22,20,6,6,1,2),(25,235,2,22,21,4,7,6,4),(25,235,2,22,22,1,NULL,1,1),(25,235,2,22,23,2,4,3,NULL),(25,235,2,22,24,2,6,NULL,NULL),(25,235,2,22,25,3,NULL,1,NULL),(25,235,2,22,26,3,6,1,7),(25,235,2,22,27,1,7,NULL,1),(25,235,2,22,28,2,3,1,1),(25,235,2,22,29,4,5,3,2),(25,235,2,22,30,6,7,2,1),(25,235,2,22,31,6,11,4,2),(25,235,2,22,32,2,9,1,5),(25,235,2,22,33,10,5,8,1),(25,235,2,22,34,2,5,2,6),(25,235,2,22,35,2,7,3,NULL),(25,235,2,22,36,6,10,5,1),(25,235,2,22,37,3,11,2,5),(25,235,2,22,38,18,7,11,1),(25,235,2,22,39,32,NULL,15,NULL),(25,235,2,22,40,3,6,NULL,5),(25,235,2,23,1,4,12,2,5),(25,235,2,23,2,2,16,1,4),(25,235,2,23,3,10,10,5,5),(25,235,2,23,4,5,14,3,5),(25,235,2,23,5,10,13,NULL,4),(25,235,2,23,6,6,6,5,5),(25,235,2,23,7,4,4,4,3),(25,235,2,23,8,12,12,7,3),(25,235,2,23,9,15,12,9,4),(25,235,2,23,10,9,11,5,3),(25,235,2,23,11,3,24,1,10),(25,235,2,23,12,1,12,2,7),(25,235,2,23,13,17,14,11,3),(25,235,2,23,14,2,24,3,7),(25,235,2,23,15,10,14,7,4),(25,235,2,23,16,7,18,5,5),(25,235,2,23,17,3,11,NULL,4),(25,235,2,23,18,6,12,3,7),(25,235,2,23,19,2,6,1,1),(25,235,2,23,20,4,11,2,4),(25,235,2,23,21,2,6,2,2),(25,235,2,23,22,NULL,2,NULL,NULL),(25,235,2,23,23,2,3,3,2),(25,235,2,23,24,NULL,11,NULL,2),(25,235,2,23,25,4,NULL,1,NULL),(25,235,2,23,26,1,2,NULL,NULL),(25,235,2,23,27,1,7,1,1),(25,235,2,23,28,2,4,1,NULL),(25,235,2,23,29,3,6,5,2),(25,235,2,23,30,4,9,3,2),(25,235,2,23,31,8,13,7,4),(25,235,2,23,32,1,6,1,6),(25,235,2,23,33,11,11,12,3),(25,235,2,23,34,1,2,3,4),(25,235,2,23,35,5,13,3,3),(25,235,2,23,36,2,10,3,1),(25,235,2,23,37,4,6,4,5),(25,235,2,23,38,13,9,8,2),(25,235,2,23,39,23,NULL,14,NULL),(25,235,2,23,40,NULL,3,2,2),(25,235,2,24,1,6,18,4,5),(25,235,2,24,2,1,7,1,3),(25,235,2,24,3,12,18,4,7),(25,235,2,24,4,8,12,4,4),(25,235,2,24,5,17,16,6,4),(25,235,2,24,6,7,7,4,2),(25,235,2,24,7,1,6,2,2),(25,235,2,24,8,13,11,2,4),(25,235,2,24,9,21,5,9,2),(25,235,2,24,10,3,13,2,4),(25,235,2,24,11,2,34,3,7),(25,235,2,24,12,4,20,4,7),(25,235,2,24,13,23,9,10,2),(25,235,2,24,14,5,15,4,6),(25,235,2,24,15,18,17,8,3),(25,235,2,24,16,3,13,3,5),(25,235,2,24,17,9,22,2,9),(25,235,2,24,18,5,10,3,3),(25,235,2,24,19,1,7,NULL,1),(25,235,2,24,20,3,13,3,3),(25,235,2,24,21,5,7,6,4),(25,235,2,24,22,1,3,2,3),(25,235,2,24,23,2,4,1,2),(25,235,2,24,24,1,4,NULL,1),(25,235,2,24,25,5,NULL,NULL,NULL),(25,235,2,24,26,1,4,1,1),(25,235,2,24,27,NULL,6,NULL,2),(25,235,2,24,28,1,NULL,NULL,NULL),(25,235,2,24,29,4,10,5,3),(25,235,2,24,30,4,13,NULL,1),(25,235,2,24,31,10,9,10,1),(25,235,2,24,32,1,8,NULL,4),(25,235,2,24,33,14,9,10,1),(25,235,2,24,34,5,4,4,1),(25,235,2,24,35,11,9,3,4),(25,235,2,24,36,5,6,4,1),(25,235,2,24,37,5,13,5,2),(25,235,2,24,38,8,14,8,2),(25,235,2,24,39,29,NULL,12,NULL),(25,235,2,24,40,5,4,4,3),(25,238,1,11,1,NULL,NULL,NULL,NULL),(25,238,1,11,2,NULL,NULL,NULL,NULL),(25,238,1,11,3,NULL,NULL,NULL,NULL),(25,238,1,11,4,NULL,NULL,NULL,NULL),(25,238,1,11,5,NULL,NULL,NULL,NULL),(25,238,1,11,6,NULL,NULL,NULL,NULL),(25,238,1,11,7,NULL,NULL,NULL,NULL),(25,238,1,11,8,NULL,NULL,NULL,NULL),(25,238,1,11,9,NULL,NULL,NULL,NULL),(25,238,1,11,10,NULL,NULL,NULL,NULL),(25,238,1,11,11,NULL,NULL,NULL,NULL),(25,238,1,11,12,NULL,NULL,NULL,NULL),(25,238,1,11,13,NULL,NULL,NULL,NULL),(25,238,1,11,14,NULL,NULL,NULL,NULL),(25,238,1,11,15,NULL,NULL,NULL,NULL),(25,238,1,11,16,NULL,NULL,NULL,NULL),(25,238,1,11,17,NULL,NULL,NULL,NULL),(25,238,1,11,18,NULL,NULL,NULL,NULL),(25,238,1,11,19,NULL,NULL,NULL,NULL),(25,238,1,11,20,NULL,NULL,NULL,NULL),(25,238,1,11,21,NULL,NULL,NULL,NULL),(25,238,1,11,22,NULL,NULL,NULL,NULL),(25,238,1,11,23,NULL,NULL,NULL,NULL),(25,238,1,11,24,NULL,NULL,NULL,NULL),(25,238,1,11,25,NULL,NULL,NULL,NULL),(25,238,1,11,26,NULL,NULL,NULL,NULL),(25,238,1,11,27,NULL,NULL,NULL,NULL),(25,238,1,11,28,NULL,NULL,NULL,NULL),(25,238,1,11,29,NULL,NULL,NULL,NULL),(25,238,1,11,30,NULL,NULL,NULL,NULL),(25,238,1,11,31,NULL,NULL,NULL,NULL),(25,238,1,11,32,NULL,NULL,NULL,NULL),(25,238,1,11,33,NULL,NULL,NULL,NULL),(25,238,1,11,34,NULL,NULL,NULL,NULL),(25,238,1,11,35,NULL,NULL,NULL,NULL),(25,238,1,11,36,NULL,NULL,NULL,NULL),(25,238,1,11,37,NULL,NULL,NULL,NULL),(25,238,1,11,38,NULL,NULL,NULL,NULL),(25,238,1,11,39,NULL,NULL,NULL,NULL),(25,238,1,11,40,NULL,NULL,NULL,NULL),(25,238,1,12,1,1,2,1,2),(25,238,1,12,2,1,1,1,1),(25,238,1,12,3,NULL,NULL,NULL,NULL),(25,238,1,12,4,2,NULL,2,NULL),(25,238,1,12,5,1,1,1,1),(25,238,1,12,6,1,2,1,2),(25,238,1,12,7,NULL,3,NULL,3),(25,238,1,12,8,1,2,1,2),(25,238,1,12,9,NULL,2,NULL,2),(25,238,1,12,10,NULL,1,NULL,1),(25,238,1,12,11,NULL,1,NULL,1),(25,238,1,12,12,2,1,2,1),(25,238,1,12,13,1,2,1,2),(25,238,1,12,14,1,2,1,2),(25,238,1,12,15,NULL,3,NULL,3),(25,238,1,12,16,1,NULL,1,NULL),(25,238,1,12,17,2,NULL,2,NULL),(25,238,1,12,18,2,1,2,1),(25,238,1,12,19,2,NULL,2,NULL),(25,238,1,12,20,2,1,2,1),(25,238,1,12,21,1,1,1,1),(25,238,1,12,22,NULL,1,NULL,1),(25,238,1,12,23,NULL,NULL,NULL,NULL),(25,238,1,12,24,1,NULL,1,NULL),(25,238,1,12,25,NULL,2,NULL,2),(25,238,1,12,26,1,NULL,1,NULL),(25,238,1,12,27,1,NULL,1,NULL),(25,238,1,12,28,NULL,2,NULL,2),(25,238,1,12,29,1,1,1,1),(25,238,1,12,30,NULL,1,NULL,1),(25,238,1,12,31,1,1,1,1),(25,238,1,12,32,2,1,2,1),(25,238,1,12,33,1,1,1,1),(25,238,1,12,34,NULL,2,NULL,2),(25,238,1,12,35,1,NULL,1,NULL),(25,238,1,12,36,1,2,1,2),(25,238,1,12,37,3,NULL,3,NULL),(25,238,1,12,38,1,2,1,2),(25,238,1,12,39,1,1,1,1),(25,238,1,12,40,NULL,1,NULL,1),(25,238,1,13,1,1,1,NULL,NULL),(25,238,1,13,2,NULL,NULL,NULL,NULL),(25,238,1,13,3,NULL,NULL,NULL,NULL),(25,238,1,13,4,NULL,1,NULL,NULL),(25,238,1,13,5,1,NULL,NULL,NULL),(25,238,1,13,6,NULL,NULL,NULL,NULL),(25,238,1,13,7,1,1,NULL,NULL),(25,238,1,13,8,1,NULL,NULL,NULL),(25,238,1,13,9,NULL,NULL,NULL,NULL),(25,238,1,13,10,NULL,NULL,NULL,NULL),(25,238,1,13,11,NULL,NULL,NULL,NULL),(25,238,1,13,12,NULL,NULL,NULL,NULL),(25,238,1,13,13,1,NULL,NULL,NULL),(25,238,1,13,14,NULL,NULL,NULL,NULL),(25,238,1,13,15,NULL,NULL,NULL,NULL),(25,238,1,13,16,1,1,NULL,NULL),(25,238,1,13,17,2,NULL,NULL,NULL),(25,238,1,13,18,2,NULL,NULL,NULL),(25,238,1,13,19,NULL,NULL,NULL,NULL),(25,238,1,13,20,NULL,NULL,NULL,NULL),(25,238,1,13,21,NULL,NULL,NULL,NULL),(25,238,1,13,22,NULL,NULL,NULL,NULL),(25,238,1,13,23,NULL,NULL,NULL,NULL),(25,238,1,13,24,NULL,NULL,NULL,NULL),(25,238,1,13,25,NULL,NULL,NULL,NULL),(25,238,1,13,26,NULL,NULL,NULL,NULL),(25,238,1,13,27,NULL,NULL,NULL,NULL),(25,238,1,13,28,NULL,1,NULL,NULL),(25,238,1,13,29,NULL,NULL,NULL,NULL),(25,238,1,13,30,NULL,NULL,NULL,NULL),(25,238,1,13,31,NULL,NULL,NULL,NULL),(25,238,1,13,32,NULL,NULL,NULL,NULL),(25,238,1,13,33,NULL,NULL,NULL,NULL),(25,238,1,13,34,NULL,NULL,NULL,NULL),(25,238,1,13,35,NULL,NULL,NULL,NULL),(25,238,1,13,36,1,NULL,NULL,NULL),(25,238,1,13,37,NULL,NULL,NULL,NULL),(25,238,1,13,38,NULL,NULL,NULL,NULL),(25,238,1,13,39,NULL,1,NULL,NULL),(25,238,1,13,40,NULL,NULL,NULL,NULL),(25,238,1,14,1,41,55,10,20),(25,238,1,14,2,12,40,6,12),(25,238,1,14,3,20,24,6,7),(25,238,1,14,4,65,48,24,14),(25,238,1,14,5,5,41,3,16),(25,238,1,14,6,18,38,9,12),(25,238,1,14,7,26,79,15,19),(25,238,1,14,8,35,30,16,13),(25,238,1,14,9,17,41,9,11),(25,238,1,14,10,6,15,3,8),(25,238,1,14,11,21,16,5,7),(25,238,1,14,12,16,17,7,6),(25,238,1,14,13,30,31,16,7),(25,238,1,14,14,34,32,22,7),(25,238,1,14,15,51,25,24,12),(25,238,1,14,16,27,29,11,12),(25,238,1,14,17,41,30,20,10),(25,238,1,14,18,64,10,29,2),(25,238,1,14,19,63,50,21,15),(25,238,1,14,20,45,10,25,2),(25,238,1,14,21,27,55,6,21),(25,238,1,14,22,27,46,10,17),(25,238,1,14,23,13,36,4,17),(25,238,1,14,24,6,35,2,12),(25,238,1,14,25,16,27,7,14),(25,238,1,14,26,31,NULL,11,NULL),(25,238,1,14,27,6,NULL,7,NULL),(25,238,1,14,28,14,80,2,31),(25,238,1,14,29,9,26,2,10),(25,238,1,14,30,5,34,4,15),(25,238,1,14,31,2,13,3,9),(25,238,1,14,32,6,18,6,6),(25,238,1,14,33,10,23,8,10),(25,238,1,14,34,14,25,5,10),(25,238,1,14,35,17,23,9,8),(25,238,1,14,36,29,36,16,12),(25,238,1,14,37,21,31,14,14),(25,238,1,14,38,9,75,3,27),(25,238,1,14,39,15,55,8,14),(25,238,1,14,40,4,22,3,12),(25,238,1,15,1,35,63,11,16),(25,238,1,15,2,17,38,5,13),(25,238,1,15,3,19,21,6,7),(25,238,1,15,4,67,32,27,8),(25,238,1,15,5,12,36,6,15),(25,238,1,15,6,20,42,7,22),(25,238,1,15,7,20,88,8,22),(25,238,1,15,8,23,18,13,8),(25,238,1,15,9,17,29,7,14),(25,238,1,15,10,4,10,4,6),(25,238,1,15,11,16,21,3,7),(25,238,1,15,12,17,14,8,8),(25,238,1,15,13,35,27,13,6),(25,238,1,15,14,42,25,21,1),(25,238,1,15,15,50,37,22,10),(25,238,1,15,16,29,24,8,13),(25,238,1,15,17,38,23,20,5),(25,238,1,15,18,69,8,27,NULL),(25,238,1,15,19,60,49,23,13),(25,238,1,15,20,47,15,23,6),(25,238,1,15,21,21,52,11,13),(25,238,1,15,22,14,43,6,20),(25,238,1,15,23,12,35,5,10),(25,238,1,15,24,9,37,4,16),(25,238,1,15,25,8,25,1,10),(25,238,1,15,26,19,NULL,10,NULL),(25,238,1,15,27,4,NULL,2,NULL),(25,238,1,15,28,16,58,4,22),(25,238,1,15,29,7,18,2,10),(25,238,1,15,30,5,26,2,16),(25,238,1,15,31,1,13,1,3),(25,238,1,15,32,5,17,3,10),(25,238,1,15,33,13,30,3,14),(25,238,1,15,34,20,24,12,6),(25,238,1,15,35,11,14,5,5),(25,238,1,15,36,32,44,13,11),(25,238,1,15,37,21,26,11,10),(25,238,1,15,38,10,74,2,23),(25,238,1,15,39,10,46,3,16),(25,238,1,15,40,4,21,4,9),(25,238,1,16,1,18,24,3,4),(25,238,1,16,2,5,19,2,2),(25,238,1,16,3,6,16,1,2),(25,238,1,16,4,21,26,3,2),(25,238,1,16,5,3,15,2,3),(25,238,1,16,6,5,19,NULL,2),(25,238,1,16,7,14,35,2,3),(25,238,1,16,8,9,18,1,3),(25,238,1,16,9,8,21,3,1),(25,238,1,16,10,NULL,6,NULL,NULL),(25,238,1,16,11,8,16,2,2),(25,238,1,16,12,10,14,1,4),(25,238,1,16,13,25,17,5,3),(25,238,1,16,14,13,15,3,2),(25,238,1,16,15,41,NULL,7,NULL),(25,238,1,16,16,7,28,2,2),(25,238,1,16,17,NULL,27,NULL,2),(25,238,1,16,18,11,54,NULL,8),(25,238,1,16,19,1,23,NULL,2),(25,238,1,16,20,52,NULL,6,NULL),(25,238,1,16,21,9,36,1,4),(25,238,1,16,22,5,16,NULL,5),(25,238,1,16,23,2,15,NULL,5),(25,238,1,16,24,3,14,1,2),(25,238,1,16,25,3,8,NULL,1),(25,238,1,16,26,7,NULL,2,NULL),(25,238,1,16,27,NULL,NULL,NULL,NULL),(25,238,1,16,28,8,38,NULL,4),(25,238,1,16,29,NULL,14,NULL,3),(25,238,1,16,30,2,17,1,4),(25,238,1,16,31,1,2,1,NULL),(25,238,1,16,32,3,7,NULL,3),(25,238,1,16,33,3,9,NULL,2),(25,238,1,16,34,3,14,2,1),(25,238,1,16,35,7,10,NULL,2),(25,238,1,16,36,10,22,3,2),(25,238,1,16,37,11,14,1,1),(25,238,1,16,38,3,36,NULL,6),(25,238,1,16,39,5,26,NULL,2),(25,238,1,16,40,NULL,8,1,3),(25,238,1,17,1,20,33,NULL,11),(25,238,1,17,2,6,19,NULL,5),(25,238,1,17,3,6,17,NULL,6),(25,238,1,17,4,21,33,1,9),(25,238,1,17,5,3,23,NULL,8),(25,238,1,17,6,9,20,NULL,5),(25,238,1,17,7,2,30,NULL,6),(25,238,1,17,8,4,20,1,4),(25,238,1,17,9,10,20,1,3),(25,238,1,17,10,1,3,NULL,NULL),(25,238,1,17,11,3,10,NULL,1),(25,238,1,17,12,6,13,2,4),(25,238,1,17,13,17,15,6,3),(25,238,1,17,14,7,17,1,2),(25,238,1,17,15,32,NULL,8,NULL),(25,238,1,17,16,8,28,NULL,7),(25,238,1,17,17,NULL,26,NULL,3),(25,238,1,17,18,4,40,NULL,4),(25,238,1,17,19,NULL,23,NULL,2),(25,238,1,17,20,44,NULL,10,NULL),(25,238,1,17,21,6,19,1,6),(25,238,1,17,22,6,24,NULL,6),(25,238,1,17,23,3,14,NULL,5),(25,238,1,17,24,4,12,NULL,4),(25,238,1,17,25,2,9,NULL,2),(25,238,1,17,26,8,NULL,2,NULL),(25,238,1,17,27,4,NULL,1,NULL),(25,238,1,17,28,16,36,NULL,9),(25,238,1,17,29,3,10,2,2),(25,238,1,17,30,4,22,NULL,5),(25,238,1,17,31,1,6,NULL,1),(25,238,1,17,32,1,6,NULL,1),(25,238,1,17,33,2,6,NULL,NULL),(25,238,1,17,34,9,14,NULL,3),(25,238,1,17,35,7,15,2,3),(25,238,1,17,36,7,19,NULL,5),(25,238,1,17,37,7,18,1,4),(25,238,1,17,38,1,42,NULL,6),(25,238,1,17,39,4,26,NULL,5),(25,238,1,17,40,NULL,12,NULL,4),(25,238,2,21,1,12,30,4,12),(25,238,2,21,2,2,24,1,6),(25,238,2,21,3,19,35,6,11),(25,238,2,21,4,15,26,2,9),(25,238,2,21,5,32,27,10,8),(25,238,2,21,6,6,19,1,6),(25,238,2,21,7,8,23,1,9),(25,238,2,21,8,22,29,12,6),(25,238,2,21,9,42,30,11,10),(25,238,2,21,10,9,28,5,9),(25,238,2,21,11,6,62,2,15),(25,238,2,21,12,5,24,2,8),(25,238,2,21,13,52,18,19,3),(25,238,2,21,14,7,41,4,15),(25,238,2,21,15,19,48,8,12),(25,238,2,21,16,11,31,3,7),(25,238,2,21,17,12,37,3,9),(25,238,2,21,18,18,31,4,8),(25,238,2,21,19,3,23,1,8),(25,238,2,21,20,9,36,2,12),(25,238,2,21,21,5,14,2,4),(25,238,2,21,22,NULL,8,NULL,1),(25,238,2,21,23,1,17,NULL,6),(25,238,2,21,24,NULL,20,NULL,8),(25,238,2,21,25,9,NULL,1,NULL),(25,238,2,21,26,3,10,NULL,3),(25,238,2,21,27,1,17,NULL,2),(25,238,2,21,28,NULL,11,NULL,4),(25,238,2,21,29,4,14,3,7),(25,238,2,21,30,7,9,4,1),(25,238,2,21,31,22,17,10,5),(25,238,2,21,32,1,23,NULL,10),(25,238,2,21,33,26,17,15,3),(25,238,2,21,34,2,16,NULL,3),(25,238,2,21,35,12,23,4,8),(25,238,2,21,36,10,24,2,10),(25,238,2,21,37,5,20,3,8),(25,238,2,21,38,25,23,12,7),(25,238,2,21,39,46,NULL,22,NULL),(25,238,2,21,40,NULL,11,NULL,3),(25,238,2,22,1,13,29,4,7),(25,238,2,22,2,2,29,NULL,7),(25,238,2,22,3,12,24,3,8),(25,238,2,22,4,10,24,1,8),(25,238,2,22,5,18,33,5,6),(25,238,2,22,6,8,19,4,5),(25,238,2,22,7,1,20,3,5),(25,238,2,22,8,17,36,7,10),(25,238,2,22,9,28,32,8,10),(25,238,2,22,10,6,21,3,8),(25,238,2,22,11,8,61,1,15),(25,238,2,22,12,7,32,2,10),(25,238,2,22,13,35,22,16,1),(25,238,2,22,14,12,35,1,13),(25,238,2,22,15,24,29,9,6),(25,238,2,22,16,9,21,2,4),(25,238,2,22,17,10,29,2,10),(25,238,2,22,18,11,21,6,5),(25,238,2,22,19,6,16,1,8),(25,238,2,22,20,11,25,3,8),(25,238,2,22,21,8,12,5,3),(25,238,2,22,22,NULL,3,NULL,1),(25,238,2,22,23,5,17,2,3),(25,238,2,22,24,4,13,NULL,3),(25,238,2,22,25,3,NULL,NULL,NULL),(25,238,2,22,26,2,9,NULL,3),(25,238,2,22,27,2,5,1,NULL),(25,238,2,22,28,NULL,7,NULL,3),(25,238,2,22,29,1,16,NULL,4),(25,238,2,22,30,7,19,1,3),(25,238,2,22,31,16,15,4,4),(25,238,2,22,32,2,21,NULL,5),(25,238,2,22,33,12,18,7,7),(25,238,2,22,34,5,12,3,2),(25,238,2,22,35,4,24,1,7),(25,238,2,22,36,7,16,1,6),(25,238,2,22,37,3,10,2,1),(25,238,2,22,38,21,19,5,6),(25,238,2,22,39,33,NULL,14,NULL),(25,238,2,22,40,3,8,1,1),(25,238,2,23,1,12,30,6,12),(25,238,2,23,2,5,29,1,9),(25,238,2,23,3,28,29,13,8),(25,238,2,23,4,14,17,6,10),(25,238,2,23,5,35,25,12,12),(25,238,2,23,6,6,23,3,9),(25,238,2,23,7,6,28,5,8),(25,238,2,23,8,34,30,12,10),(25,238,2,23,9,42,38,19,11),(25,238,2,23,10,9,28,4,13),(25,238,2,23,11,10,62,4,18),(25,238,2,23,12,5,25,4,5),(25,238,2,23,13,47,22,19,4),(25,238,2,23,14,12,45,7,13),(25,238,2,23,15,19,40,4,15),(25,238,2,23,16,9,38,3,11),(25,238,2,23,17,8,33,4,6),(25,238,2,23,18,18,26,4,6),(25,238,2,23,19,5,24,1,7),(25,238,2,23,20,17,34,4,10),(25,238,2,23,21,5,12,4,5),(25,238,2,23,22,NULL,1,NULL,NULL),(25,238,2,23,23,4,13,1,6),(25,238,2,23,24,1,14,1,6),(25,238,2,23,25,10,NULL,4,NULL),(25,238,2,23,26,3,9,1,5),(25,238,2,23,27,2,10,1,3),(25,238,2,23,28,1,3,NULL,1),(25,238,2,23,29,5,22,2,8),(25,238,2,23,30,8,16,5,7),(25,238,2,23,31,16,23,9,10),(25,238,2,23,32,4,15,NULL,7),(25,238,2,23,33,25,19,12,8),(25,238,2,23,34,NULL,9,NULL,4),(25,238,2,23,35,8,32,3,12),(25,238,2,23,36,11,15,6,4),(25,238,2,23,37,3,21,3,7),(25,238,2,23,38,26,24,11,6),(25,238,2,23,39,43,NULL,24,NULL),(25,238,2,23,40,1,6,2,2),(25,238,2,24,1,16,32,3,10),(25,238,2,24,2,3,21,2,4),(25,238,2,24,3,16,27,5,6),(25,238,2,24,4,14,23,3,6),(25,238,2,24,5,25,35,9,7),(25,238,2,24,6,6,18,3,5),(25,238,2,24,7,8,14,5,3),(25,238,2,24,8,26,36,11,7),(25,238,2,24,9,43,28,14,5),(25,238,2,24,10,9,33,5,10),(25,238,2,24,11,7,72,2,12),(25,238,2,24,12,10,16,1,4),(25,238,2,24,13,44,18,15,4),(25,238,2,24,14,11,34,3,10),(25,238,2,24,15,20,35,7,7),(25,238,2,24,16,13,40,4,8),(25,238,2,24,17,7,40,2,10),(25,238,2,24,18,15,29,6,5),(25,238,2,24,19,6,15,NULL,5),(25,238,2,24,20,12,32,9,7),(25,238,2,24,21,9,9,6,2),(25,238,2,24,22,NULL,5,NULL,2),(25,238,2,24,23,5,13,3,4),(25,238,2,24,24,3,17,NULL,3),(25,238,2,24,25,3,NULL,NULL,NULL),(25,238,2,24,26,2,11,NULL,4),(25,238,2,24,27,1,13,1,NULL),(25,238,2,24,28,2,6,NULL,1),(25,238,2,24,29,8,24,4,4),(25,238,2,24,30,7,17,2,2),(25,238,2,24,31,20,16,9,5),(25,238,2,24,32,4,23,3,7),(25,238,2,24,33,22,15,11,4),(25,238,2,24,34,2,11,NULL,2),(25,238,2,24,35,8,22,3,6),(25,238,2,24,36,19,16,7,3),(25,238,2,24,37,3,18,NULL,5),(25,238,2,24,38,16,17,8,2),(25,238,2,24,39,44,NULL,16,NULL),(25,238,2,24,40,4,9,NULL,5),(25,301,1,11,1,1,1,1,1),(25,301,1,11,2,NULL,NULL,NULL,NULL),(25,301,1,11,3,NULL,NULL,NULL,NULL),(25,301,1,11,4,NULL,1,NULL,1),(25,301,1,11,5,NULL,1,NULL,1),(25,301,1,11,6,1,NULL,1,NULL),(25,301,1,11,7,1,NULL,1,NULL),(25,301,1,11,8,NULL,1,NULL,1),(25,301,1,11,9,NULL,NULL,NULL,NULL),(25,301,1,11,10,NULL,NULL,NULL,NULL),(25,301,1,11,11,2,NULL,2,NULL),(25,301,1,11,12,NULL,1,NULL,1),(25,301,1,11,13,1,1,1,1),(25,301,1,11,14,2,NULL,2,NULL),(25,301,1,11,15,1,NULL,1,NULL),(25,301,1,11,16,1,1,1,1),(25,301,1,11,17,1,NULL,1,NULL),(25,301,1,11,18,NULL,2,NULL,2),(25,301,1,11,19,1,1,1,1),(25,301,1,11,20,1,NULL,1,NULL),(25,301,1,11,21,NULL,1,NULL,1),(25,301,1,11,22,NULL,NULL,NULL,NULL),(25,301,1,11,23,NULL,1,NULL,1),(25,301,1,11,24,NULL,1,NULL,1),(25,301,1,11,25,1,1,1,1),(25,301,1,11,26,1,NULL,1,NULL),(25,301,1,11,27,NULL,NULL,NULL,NULL),(25,301,1,11,28,1,1,1,1),(25,301,1,11,29,NULL,NULL,NULL,NULL),(25,301,1,11,30,NULL,1,NULL,1),(25,301,1,11,31,NULL,NULL,NULL,NULL),(25,301,1,11,32,NULL,NULL,NULL,NULL),(25,301,1,11,33,NULL,NULL,NULL,NULL),(25,301,1,11,34,NULL,NULL,NULL,NULL),(25,301,1,11,35,NULL,NULL,NULL,NULL),(25,301,1,11,36,NULL,NULL,NULL,NULL),(25,301,1,11,37,NULL,NULL,NULL,NULL),(25,301,1,11,38,NULL,NULL,NULL,NULL),(25,301,1,11,39,NULL,1,NULL,1),(25,301,1,11,40,NULL,NULL,NULL,NULL),(25,301,1,12,1,1,1,NULL,1),(25,301,1,12,2,1,NULL,NULL,NULL),(25,301,1,12,3,NULL,NULL,NULL,NULL),(25,301,1,12,4,1,1,NULL,1),(25,301,1,12,5,NULL,1,NULL,NULL),(25,301,1,12,6,NULL,NULL,NULL,NULL),(25,301,1,12,7,NULL,2,NULL,1),(25,301,1,12,8,NULL,NULL,NULL,NULL),(25,301,1,12,9,NULL,2,NULL,1),(25,301,1,12,10,NULL,NULL,NULL,NULL),(25,301,1,12,11,NULL,NULL,NULL,NULL),(25,301,1,12,12,NULL,NULL,NULL,NULL),(25,301,1,12,13,2,NULL,1,NULL),(25,301,1,12,14,2,NULL,1,NULL),(25,301,1,12,15,1,NULL,1,NULL),(25,301,1,12,16,1,NULL,NULL,NULL),(25,301,1,12,17,2,NULL,1,NULL),(25,301,1,12,18,NULL,2,NULL,1),(25,301,1,12,19,1,NULL,NULL,NULL),(25,301,1,12,20,NULL,2,NULL,1),(25,301,1,12,21,NULL,1,NULL,NULL),(25,301,1,12,22,1,1,NULL,1),(25,301,1,12,23,NULL,NULL,NULL,NULL),(25,301,1,12,24,NULL,1,NULL,NULL),(25,301,1,12,25,NULL,NULL,NULL,NULL),(25,301,1,12,26,1,NULL,1,NULL),(25,301,1,12,27,NULL,NULL,NULL,NULL),(25,301,1,12,28,NULL,2,NULL,1),(25,301,1,12,29,NULL,NULL,NULL,NULL),(25,301,1,12,30,NULL,2,NULL,1),(25,301,1,12,31,NULL,1,NULL,NULL),(25,301,1,12,32,1,NULL,1,NULL),(25,301,1,12,33,NULL,1,NULL,1),(25,301,1,12,34,1,NULL,1,NULL),(25,301,1,12,35,1,1,1,NULL),(25,301,1,12,36,1,NULL,1,NULL),(25,301,1,12,37,1,NULL,1,NULL),(25,301,1,12,38,NULL,1,NULL,NULL),(25,301,1,12,39,NULL,NULL,NULL,NULL),(25,301,1,12,40,NULL,NULL,NULL,NULL),(25,301,1,13,1,1,NULL,NULL,NULL),(25,301,1,13,2,1,NULL,NULL,NULL),(25,301,1,13,3,NULL,NULL,NULL,NULL),(25,301,1,13,4,NULL,NULL,NULL,NULL),(25,301,1,13,5,NULL,NULL,NULL,NULL),(25,301,1,13,6,NULL,1,NULL,NULL),(25,301,1,13,7,NULL,NULL,NULL,NULL),(25,301,1,13,8,NULL,NULL,NULL,NULL),(25,301,1,13,9,NULL,NULL,NULL,NULL),(25,301,1,13,10,NULL,NULL,NULL,NULL),(25,301,1,13,11,NULL,NULL,NULL,NULL),(25,301,1,13,12,NULL,NULL,NULL,NULL),(25,301,1,13,13,NULL,1,NULL,NULL),(25,301,1,13,14,NULL,NULL,NULL,NULL),(25,301,1,13,15,NULL,NULL,NULL,NULL),(25,301,1,13,16,1,NULL,NULL,NULL),(25,301,1,13,17,1,NULL,NULL,NULL),(25,301,1,13,18,1,NULL,NULL,NULL),(25,301,1,13,19,NULL,NULL,NULL,NULL),(25,301,1,13,20,NULL,NULL,NULL,NULL),(25,301,1,13,21,NULL,1,NULL,NULL),(25,301,1,13,22,1,NULL,NULL,NULL),(25,301,1,13,23,NULL,1,NULL,NULL),(25,301,1,13,24,NULL,NULL,NULL,NULL),(25,301,1,13,25,NULL,NULL,NULL,NULL),(25,301,1,13,26,NULL,NULL,NULL,NULL),(25,301,1,13,27,NULL,NULL,NULL,NULL),(25,301,1,13,28,NULL,1,NULL,NULL),(25,301,1,13,29,NULL,NULL,NULL,NULL),(25,301,1,13,30,NULL,NULL,NULL,NULL),(25,301,1,13,31,NULL,NULL,NULL,NULL),(25,301,1,13,32,NULL,NULL,NULL,NULL),(25,301,1,13,33,NULL,1,NULL,NULL),(25,301,1,13,34,NULL,NULL,NULL,NULL),(25,301,1,13,35,1,NULL,NULL,NULL),(25,301,1,13,36,1,NULL,NULL,NULL),(25,301,1,13,37,1,NULL,NULL,NULL),(25,301,1,13,38,NULL,1,NULL,NULL),(25,301,1,13,39,NULL,NULL,NULL,NULL),(25,301,1,13,40,NULL,NULL,NULL,NULL),(25,301,1,14,1,40,44,12,14),(25,301,1,14,2,10,26,1,9),(25,301,1,14,3,25,15,11,5),(25,301,1,14,4,49,33,18,10),(25,301,1,14,5,9,40,4,11),(25,301,1,14,6,13,30,6,11),(25,301,1,14,7,25,67,7,19),(25,301,1,14,8,29,21,12,7),(25,301,1,14,9,23,31,7,10),(25,301,1,14,10,5,7,2,2),(25,301,1,14,11,16,20,5,2),(25,301,1,14,12,13,10,6,3),(25,301,1,14,13,18,23,8,5),(25,301,1,14,14,34,29,11,8),(25,301,1,14,15,34,28,14,10),(25,301,1,14,16,19,22,6,6),(25,301,1,14,17,29,17,13,5),(25,301,1,14,18,62,10,27,2),(25,301,1,14,19,44,53,12,16),(25,301,1,14,20,46,5,14,NULL),(25,301,1,14,21,20,41,6,16),(25,301,1,14,22,21,35,4,15),(25,301,1,14,23,8,18,4,10),(25,301,1,14,24,10,27,3,11),(25,301,1,14,25,3,31,2,11),(25,301,1,14,26,21,NULL,13,NULL),(25,301,1,14,27,6,NULL,2,NULL),(25,301,1,14,28,16,52,4,19),(25,301,1,14,29,6,16,2,4),(25,301,1,14,30,3,19,NULL,10),(25,301,1,14,31,4,12,2,5),(25,301,1,14,32,7,7,1,5),(25,301,1,14,33,10,21,3,9),(25,301,1,14,34,17,16,4,6),(25,301,1,14,35,19,12,7,3),(25,301,1,14,36,25,39,13,7),(25,301,1,14,37,16,17,9,5),(25,301,1,14,38,15,67,6,19),(25,301,1,14,39,12,29,4,10),(25,301,1,14,40,2,18,2,8),(25,301,1,15,1,36,47,9,19),(25,301,1,15,2,16,31,10,13),(25,301,1,15,3,18,19,8,5),(25,301,1,15,4,58,37,20,12),(25,301,1,15,5,9,30,5,9),(25,301,1,15,6,16,35,7,11),(25,301,1,15,7,18,77,7,20),(25,301,1,15,8,17,22,5,9),(25,301,1,15,9,20,31,7,13),(25,301,1,15,10,3,8,1,5),(25,301,1,15,11,13,15,3,3),(25,301,1,15,12,19,12,9,4),(25,301,1,15,13,19,23,8,9),(25,301,1,15,14,37,15,16,5),(25,301,1,15,15,39,22,14,7),(25,301,1,15,16,21,16,7,6),(25,301,1,15,17,29,16,11,7),(25,301,1,15,18,57,16,24,4),(25,301,1,15,19,47,42,12,15),(25,301,1,15,20,31,15,16,4),(25,301,1,15,21,24,42,11,14),(25,301,1,15,22,12,34,5,17),(25,301,1,15,23,10,28,6,11),(25,301,1,15,24,3,23,2,12),(25,301,1,15,25,6,12,2,3),(25,301,1,15,26,17,NULL,8,NULL),(25,301,1,15,27,4,NULL,2,NULL),(25,301,1,15,28,15,45,4,21),(25,301,1,15,29,7,24,NULL,12),(25,301,1,15,30,6,12,2,4),(25,301,1,15,31,3,9,3,5),(25,301,1,15,32,6,14,5,6),(25,301,1,15,33,12,21,4,9),(25,301,1,15,34,14,22,5,6),(25,301,1,15,35,8,16,6,8),(25,301,1,15,36,21,32,9,8),(25,301,1,15,37,15,13,11,5),(25,301,1,15,38,7,71,2,22),(25,301,1,15,39,3,37,2,10),(25,301,1,15,40,6,21,5,7),(25,301,1,16,1,23,21,3,8),(25,301,1,16,2,6,9,3,1),(25,301,1,16,3,15,11,2,3),(25,301,1,16,4,26,20,6,2),(25,301,1,16,5,1,14,NULL,6),(25,301,1,16,6,11,23,2,2),(25,301,1,16,7,8,44,5,5),(25,301,1,16,8,7,16,1,5),(25,301,1,16,9,11,13,3,1),(25,301,1,16,10,1,5,1,3),(25,301,1,16,11,9,9,1,1),(25,301,1,16,12,12,9,3,2),(25,301,1,16,13,22,12,4,1),(25,301,1,16,14,17,17,6,2),(25,301,1,16,15,45,NULL,9,NULL),(25,301,1,16,16,10,22,1,6),(25,301,1,16,17,1,36,1,5),(25,301,1,16,18,13,56,1,8),(25,301,1,16,19,1,34,NULL,4),(25,301,1,16,20,44,NULL,9,NULL),(25,301,1,16,21,9,28,2,6),(25,301,1,16,22,7,20,1,7),(25,301,1,16,23,2,18,1,5),(25,301,1,16,24,5,11,1,3),(25,301,1,16,25,1,7,NULL,2),(25,301,1,16,26,10,NULL,4,NULL),(25,301,1,16,27,3,NULL,1,NULL),(25,301,1,16,28,12,35,NULL,7),(25,301,1,16,29,1,12,NULL,3),(25,301,1,16,30,2,12,NULL,4),(25,301,1,16,31,NULL,5,NULL,1),(25,301,1,16,32,NULL,3,NULL,1),(25,301,1,16,33,11,12,1,3),(25,301,1,16,34,5,15,2,2),(25,301,1,16,35,6,7,1,4),(25,301,1,16,36,8,14,1,4),(25,301,1,16,37,7,12,3,4),(25,301,1,16,38,3,41,NULL,4),(25,301,1,16,39,2,33,NULL,6),(25,301,1,16,40,2,7,1,2),(25,301,1,17,1,29,34,8,6),(25,301,1,17,2,13,20,4,5),(25,301,1,17,3,12,11,4,3),(25,301,1,17,4,39,28,9,3),(25,301,1,17,5,4,25,1,5),(25,301,1,17,6,10,28,3,6),(25,301,1,17,7,10,41,1,8),(25,301,1,17,8,18,17,6,4),(25,301,1,17,9,16,23,5,4),(25,301,1,17,10,3,4,1,NULL),(25,301,1,17,11,5,16,3,2),(25,301,1,17,12,10,12,2,3),(25,301,1,17,13,30,16,8,1),(25,301,1,17,14,18,16,4,3),(25,301,1,17,15,51,NULL,6,NULL),(25,301,1,17,16,16,28,4,4),(25,301,1,17,17,1,34,1,4),(25,301,1,17,18,14,49,2,7),(25,301,1,17,19,2,29,1,3),(25,301,1,17,20,40,NULL,9,NULL),(25,301,1,17,21,3,28,NULL,7),(25,301,1,17,22,3,24,NULL,4),(25,301,1,17,23,4,17,2,4),(25,301,1,17,24,2,13,NULL,1),(25,301,1,17,25,2,11,1,3),(25,301,1,17,26,6,NULL,1,NULL),(25,301,1,17,27,2,NULL,NULL,NULL),(25,301,1,17,28,10,40,1,11),(25,301,1,17,29,5,15,NULL,3),(25,301,1,17,30,1,18,NULL,4),(25,301,1,17,31,NULL,9,NULL,4),(25,301,1,17,32,5,3,2,2),(25,301,1,17,33,3,18,1,6),(25,301,1,17,34,9,18,NULL,4),(25,301,1,17,35,11,11,2,2),(25,301,1,17,36,4,30,3,1),(25,301,1,17,37,8,17,3,5),(25,301,1,17,38,NULL,48,NULL,8),(25,301,1,17,39,4,29,2,4),(25,301,1,17,40,1,10,NULL,6),(25,301,2,21,1,8,28,4,9),(25,301,2,21,2,5,23,3,6),(25,301,2,21,3,13,33,5,8),(25,301,2,21,4,9,17,2,5),(25,301,2,21,5,24,19,6,5),(25,301,2,21,6,8,15,2,5),(25,301,2,21,7,9,20,4,3),(25,301,2,21,8,14,24,3,7),(25,301,2,21,9,32,28,10,10),(25,301,2,21,10,7,27,1,8),(25,301,2,21,11,10,56,4,6),(25,301,2,21,12,13,23,2,5),(25,301,2,21,13,45,14,13,3),(25,301,2,21,14,9,26,4,7),(25,301,2,21,15,16,32,5,9),(25,301,2,21,16,16,24,3,7),(25,301,2,21,17,10,30,3,4),(25,301,2,21,18,9,27,NULL,4),(25,301,2,21,19,7,15,1,1),(25,301,2,21,20,7,21,3,5),(25,301,2,21,21,3,11,1,3),(25,301,2,21,22,NULL,3,NULL,NULL),(25,301,2,21,23,3,9,1,3),(25,301,2,21,24,7,12,2,3),(25,301,2,21,25,7,NULL,3,NULL),(25,301,2,21,26,3,7,NULL,2),(25,301,2,21,27,4,7,1,2),(25,301,2,21,28,3,7,1,1),(25,301,2,21,29,1,9,NULL,2),(25,301,2,21,30,2,10,1,NULL),(25,301,2,21,31,14,8,4,5),(25,301,2,21,32,1,13,NULL,6),(25,301,2,21,33,16,15,9,4),(25,301,2,21,34,NULL,8,NULL,1),(25,301,2,21,35,5,18,1,6),(25,301,2,21,36,3,20,1,6),(25,301,2,21,37,2,8,1,2),(25,301,2,21,38,20,15,9,1),(25,301,2,21,39,37,NULL,15,NULL),(25,301,2,21,40,6,7,1,2),(25,301,2,22,1,9,18,5,7),(25,301,2,22,2,1,23,NULL,5),(25,301,2,22,3,13,18,9,5),(25,301,2,22,4,16,23,3,7),(25,301,2,22,5,30,18,11,8),(25,301,2,22,6,12,14,8,6),(25,301,2,22,7,8,20,3,10),(25,301,2,22,8,23,23,7,7),(25,301,2,22,9,43,27,22,5),(25,301,2,22,10,13,23,6,11),(25,301,2,22,11,6,63,NULL,17),(25,301,2,22,12,13,23,5,6),(25,301,2,22,13,50,17,22,2),(25,301,2,22,14,16,29,7,11),(25,301,2,22,15,25,29,10,7),(25,301,2,22,16,11,32,5,8),(25,301,2,22,17,10,32,2,10),(25,301,2,22,18,20,21,7,6),(25,301,2,22,19,7,19,2,7),(25,301,2,22,20,17,19,7,7),(25,301,2,22,21,8,11,3,6),(25,301,2,22,22,1,5,NULL,1),(25,301,2,22,23,5,18,2,6),(25,301,2,22,24,9,9,2,3),(25,301,2,22,25,6,NULL,3,NULL),(25,301,2,22,26,2,6,2,3),(25,301,2,22,27,6,10,NULL,4),(25,301,2,22,28,1,6,1,5),(25,301,2,22,29,2,10,1,4),(25,301,2,22,30,8,14,2,5),(25,301,2,22,31,14,19,8,7),(25,301,2,22,32,5,14,2,7),(25,301,2,22,33,26,11,14,6),(25,301,2,22,34,2,11,1,6),(25,301,2,22,35,4,15,4,4),(25,301,2,22,36,16,14,7,5),(25,301,2,22,37,2,12,1,3),(25,301,2,22,38,18,15,9,4),(25,301,2,22,39,28,NULL,15,NULL),(25,301,2,22,40,1,8,NULL,5),(25,301,2,23,1,2,21,1,7),(25,301,2,23,2,5,23,2,7),(25,301,2,23,3,15,18,3,3),(25,301,2,23,4,8,10,1,4),(25,301,2,23,5,23,25,7,6),(25,301,2,23,6,8,14,5,7),(25,301,2,23,7,3,8,2,2),(25,301,2,23,8,17,20,6,7),(25,301,2,23,9,33,33,9,6),(25,301,2,23,10,7,21,3,8),(25,301,2,23,11,5,62,1,9),(25,301,2,23,12,10,15,1,3),(25,301,2,23,13,33,21,9,5),(25,301,2,23,14,7,31,1,13),(25,301,2,23,15,14,23,4,9),(25,301,2,23,16,7,21,3,4),(25,301,2,23,17,11,29,2,3),(25,301,2,23,18,15,25,NULL,7),(25,301,2,23,19,1,11,NULL,2),(25,301,2,23,20,10,26,3,8),(25,301,2,23,21,3,17,2,5),(25,301,2,23,22,NULL,3,NULL,NULL),(25,301,2,23,23,1,13,NULL,5),(25,301,2,23,24,3,12,1,5),(25,301,2,23,25,4,NULL,1,NULL),(25,301,2,23,26,6,10,2,1),(25,301,2,23,27,1,9,NULL,1),(25,301,2,23,28,1,10,NULL,2),(25,301,2,23,29,2,11,NULL,3),(25,301,2,23,30,7,10,NULL,2),(25,301,2,23,31,11,11,6,4),(25,301,2,23,32,1,6,NULL,1),(25,301,2,23,33,17,12,7,4),(25,301,2,23,34,1,7,NULL,1),(25,301,2,23,35,5,18,3,7),(25,301,2,23,36,6,12,2,3),(25,301,2,23,37,6,13,2,6),(25,301,2,23,38,10,19,4,3),(25,301,2,23,39,30,NULL,11,NULL),(25,301,2,23,40,1,5,NULL,1),(25,301,2,24,1,8,19,5,6),(25,301,2,24,2,2,22,NULL,9),(25,301,2,24,3,10,16,4,2),(25,301,2,24,4,15,21,9,5),(25,301,2,24,5,17,29,6,11),(25,301,2,24,6,11,19,8,3),(25,301,2,24,7,4,22,3,7),(25,301,2,24,8,18,26,10,8),(25,301,2,24,9,35,34,16,10),(25,301,2,24,10,13,23,7,5),(25,301,2,24,11,11,51,4,15),(25,301,2,24,12,6,18,3,8),(25,301,2,24,13,34,22,19,3),(25,301,2,24,14,14,28,6,10),(25,301,2,24,15,24,29,9,10),(25,301,2,24,16,7,29,2,10),(25,301,2,24,17,11,29,5,8),(25,301,2,24,18,16,26,4,10),(25,301,2,24,19,4,13,3,6),(25,301,2,24,20,12,19,6,6),(25,301,2,24,21,3,5,1,2),(25,301,2,24,22,NULL,2,NULL,NULL),(25,301,2,24,23,1,7,1,3),(25,301,2,24,24,3,9,1,4),(25,301,2,24,25,8,NULL,3,NULL),(25,301,2,24,26,NULL,6,NULL,1),(25,301,2,24,27,NULL,12,NULL,4),(25,301,2,24,28,NULL,8,NULL,1),(25,301,2,24,29,2,14,1,4),(25,301,2,24,30,3,13,1,4),(25,301,2,24,31,9,18,4,8),(25,301,2,24,32,1,15,NULL,7),(25,301,2,24,33,16,16,7,7),(25,301,2,24,34,2,7,2,5),(25,301,2,24,35,10,17,5,9),(25,301,2,24,36,12,19,3,7),(25,301,2,24,37,4,12,3,6),(25,301,2,24,38,25,18,11,6),(25,301,2,24,39,30,NULL,20,NULL),(25,301,2,24,40,3,5,2,1),(25,302,1,11,1,NULL,NULL,NULL,NULL),(25,302,1,11,2,NULL,NULL,NULL,NULL),(25,302,1,11,3,NULL,NULL,NULL,NULL),(25,302,1,11,4,NULL,NULL,NULL,NULL),(25,302,1,11,5,NULL,NULL,NULL,NULL),(25,302,1,11,6,NULL,NULL,NULL,NULL),(25,302,1,11,7,NULL,NULL,NULL,NULL),(25,302,1,11,8,NULL,NULL,NULL,NULL),(25,302,1,11,9,NULL,NULL,NULL,NULL),(25,302,1,11,10,NULL,NULL,NULL,NULL),(25,302,1,11,11,NULL,NULL,NULL,NULL),(25,302,1,11,12,NULL,NULL,NULL,NULL),(25,302,1,11,13,NULL,NULL,NULL,NULL),(25,302,1,11,14,NULL,NULL,NULL,NULL),(25,302,1,11,15,NULL,NULL,NULL,NULL),(25,302,1,11,16,NULL,NULL,NULL,NULL),(25,302,1,11,17,NULL,NULL,NULL,NULL),(25,302,1,11,18,NULL,NULL,NULL,NULL),(25,302,1,11,19,NULL,NULL,NULL,NULL),(25,302,1,11,20,NULL,NULL,NULL,NULL),(25,302,1,11,21,NULL,NULL,NULL,NULL),(25,302,1,11,22,NULL,NULL,NULL,NULL),(25,302,1,11,23,NULL,NULL,NULL,NULL),(25,302,1,11,24,NULL,NULL,NULL,NULL),(25,302,1,11,25,NULL,NULL,NULL,NULL),(25,302,1,11,26,NULL,NULL,NULL,NULL),(25,302,1,11,27,NULL,NULL,NULL,NULL),(25,302,1,11,28,NULL,NULL,NULL,NULL),(25,302,1,11,29,NULL,NULL,NULL,NULL),(25,302,1,11,30,NULL,NULL,NULL,NULL),(25,302,1,11,31,NULL,NULL,NULL,NULL),(25,302,1,11,32,NULL,NULL,NULL,NULL),(25,302,1,11,33,NULL,NULL,NULL,NULL),(25,302,1,11,34,NULL,NULL,NULL,NULL),(25,302,1,11,35,NULL,NULL,NULL,NULL),(25,302,1,11,36,NULL,NULL,NULL,NULL),(25,302,1,11,37,NULL,NULL,NULL,NULL),(25,302,1,11,38,NULL,NULL,NULL,NULL),(25,302,1,11,39,NULL,NULL,NULL,NULL),(25,302,1,11,40,NULL,NULL,NULL,NULL),(25,302,1,12,1,NULL,NULL,NULL,NULL),(25,302,1,12,2,NULL,NULL,NULL,NULL),(25,302,1,12,3,NULL,NULL,NULL,NULL),(25,302,1,12,4,NULL,1,NULL,NULL),(25,302,1,12,5,NULL,NULL,NULL,NULL),(25,302,1,12,6,NULL,NULL,NULL,NULL),(25,302,1,12,7,NULL,NULL,NULL,NULL),(25,302,1,12,8,NULL,NULL,NULL,NULL),(25,302,1,12,9,NULL,NULL,NULL,NULL),(25,302,1,12,10,NULL,NULL,NULL,NULL),(25,302,1,12,11,NULL,NULL,NULL,NULL),(25,302,1,12,12,NULL,1,NULL,NULL),(25,302,1,12,13,NULL,1,NULL,NULL),(25,302,1,12,14,NULL,1,NULL,NULL),(25,302,1,12,15,NULL,1,NULL,NULL),(25,302,1,12,16,NULL,NULL,NULL,NULL),(25,302,1,12,17,NULL,NULL,NULL,NULL),(25,302,1,12,18,NULL,NULL,NULL,NULL),(25,302,1,12,19,NULL,NULL,NULL,NULL),(25,302,1,12,20,NULL,1,NULL,NULL),(25,302,1,12,21,NULL,1,NULL,NULL),(25,302,1,12,22,NULL,NULL,NULL,NULL),(25,302,1,12,23,NULL,1,NULL,NULL),(25,302,1,12,24,NULL,NULL,NULL,NULL),(25,302,1,12,25,NULL,NULL,NULL,NULL),(25,302,1,12,26,NULL,NULL,NULL,NULL),(25,302,1,12,27,NULL,NULL,NULL,NULL),(25,302,1,12,28,NULL,1,NULL,NULL),(25,302,1,12,29,NULL,1,NULL,NULL),(25,302,1,12,30,NULL,NULL,NULL,NULL),(25,302,1,12,31,NULL,NULL,NULL,NULL),(25,302,1,12,32,NULL,NULL,NULL,NULL),(25,302,1,12,33,NULL,NULL,NULL,NULL),(25,302,1,12,34,NULL,NULL,NULL,NULL),(25,302,1,12,35,NULL,NULL,NULL,NULL),(25,302,1,12,36,NULL,NULL,NULL,NULL),(25,302,1,12,37,NULL,1,NULL,NULL),(25,302,1,12,38,NULL,NULL,NULL,NULL),(25,302,1,12,39,NULL,NULL,NULL,NULL),(25,302,1,12,40,NULL,1,NULL,NULL),(25,302,1,13,1,NULL,NULL,NULL,NULL),(25,302,1,13,2,NULL,NULL,NULL,NULL),(25,302,1,13,3,NULL,NULL,NULL,NULL),(25,302,1,13,4,NULL,NULL,NULL,NULL),(25,302,1,13,5,NULL,NULL,NULL,NULL),(25,302,1,13,6,NULL,NULL,NULL,NULL),(25,302,1,13,7,NULL,NULL,NULL,NULL),(25,302,1,13,8,NULL,NULL,NULL,NULL),(25,302,1,13,9,NULL,NULL,NULL,NULL),(25,302,1,13,10,NULL,NULL,NULL,NULL),(25,302,1,13,11,NULL,NULL,NULL,NULL),(25,302,1,13,12,NULL,NULL,NULL,NULL),(25,302,1,13,13,NULL,NULL,NULL,NULL),(25,302,1,13,14,NULL,NULL,NULL,NULL),(25,302,1,13,15,NULL,NULL,NULL,NULL),(25,302,1,13,16,NULL,NULL,NULL,NULL),(25,302,1,13,17,NULL,NULL,NULL,NULL),(25,302,1,13,18,NULL,NULL,NULL,NULL),(25,302,1,13,19,NULL,NULL,NULL,NULL),(25,302,1,13,20,NULL,NULL,NULL,NULL),(25,302,1,13,21,NULL,NULL,NULL,NULL),(25,302,1,13,22,NULL,NULL,NULL,NULL),(25,302,1,13,23,NULL,NULL,NULL,NULL),(25,302,1,13,24,NULL,NULL,NULL,NULL),(25,302,1,13,25,NULL,NULL,NULL,NULL),(25,302,1,13,26,NULL,NULL,NULL,NULL),(25,302,1,13,27,NULL,NULL,NULL,NULL),(25,302,1,13,28,NULL,NULL,NULL,NULL),(25,302,1,13,29,NULL,NULL,NULL,NULL),(25,302,1,13,30,NULL,NULL,NULL,NULL),(25,302,1,13,31,NULL,NULL,NULL,NULL),(25,302,1,13,32,NULL,NULL,NULL,NULL),(25,302,1,13,33,NULL,NULL,NULL,NULL),(25,302,1,13,34,NULL,NULL,NULL,NULL),(25,302,1,13,35,NULL,NULL,NULL,NULL),(25,302,1,13,36,NULL,NULL,NULL,NULL),(25,302,1,13,37,NULL,NULL,NULL,NULL),(25,302,1,13,38,NULL,NULL,NULL,NULL),(25,302,1,13,39,NULL,NULL,NULL,NULL),(25,302,1,13,40,NULL,NULL,NULL,NULL),(25,302,1,14,1,18,28,5,17),(25,302,1,14,2,7,11,2,5),(25,302,1,14,3,10,14,7,5),(25,302,1,14,4,26,18,15,9),(25,302,1,14,5,5,13,2,7),(25,302,1,14,6,6,17,2,6),(25,302,1,14,7,10,35,5,17),(25,302,1,14,8,12,16,9,9),(25,302,1,14,9,8,14,3,7),(25,302,1,14,10,2,6,2,5),(25,302,1,14,11,4,8,NULL,5),(25,302,1,14,12,16,4,11,3),(25,302,1,14,13,7,7,4,5),(25,302,1,14,14,10,19,6,10),(25,302,1,14,15,9,14,7,9),(25,302,1,14,16,4,12,3,8),(25,302,1,14,17,8,11,8,4),(25,302,1,14,18,18,7,11,4),(25,302,1,14,19,11,16,8,6),(25,302,1,14,20,11,9,8,5),(25,302,1,14,21,11,22,8,12),(25,302,1,14,22,11,25,6,12),(25,302,1,14,23,4,10,1,7),(25,302,1,14,24,NULL,18,NULL,12),(25,302,1,14,25,1,8,NULL,2),(25,302,1,14,26,12,NULL,9,NULL),(25,302,1,14,27,3,NULL,2,NULL),(25,302,1,14,28,6,24,2,13),(25,302,1,14,29,1,9,1,4),(25,302,1,14,30,2,12,2,6),(25,302,1,14,31,1,3,1,2),(25,302,1,14,32,2,5,1,3),(25,302,1,14,33,5,8,3,3),(25,302,1,14,34,3,8,2,6),(25,302,1,14,35,5,7,4,3),(25,302,1,14,36,10,12,8,5),(25,302,1,14,37,7,11,3,6),(25,302,1,14,38,1,31,1,14),(25,302,1,14,39,2,17,1,11),(25,302,1,14,40,NULL,12,NULL,10),(25,302,1,15,1,12,24,6,9),(25,302,1,15,2,3,10,1,3),(25,302,1,15,3,9,9,5,3),(25,302,1,15,4,25,15,10,9),(25,302,1,15,5,2,14,1,8),(25,302,1,15,6,7,9,4,5),(25,302,1,15,7,8,27,4,9),(25,302,1,15,8,8,4,4,2),(25,302,1,15,9,3,17,1,8),(25,302,1,15,10,1,8,1,5),(25,302,1,15,11,3,12,NULL,6),(25,302,1,15,12,7,5,2,4),(25,302,1,15,13,5,12,4,6),(25,302,1,15,14,11,13,6,7),(25,302,1,15,15,14,6,9,3),(25,302,1,15,16,4,10,1,6),(25,302,1,15,17,4,8,2,5),(25,302,1,15,18,12,7,10,2),(25,302,1,15,19,12,17,5,8),(25,302,1,15,20,11,4,7,3),(25,302,1,15,21,7,22,3,11),(25,302,1,15,22,1,19,1,9),(25,302,1,15,23,2,8,1,3),(25,302,1,15,24,NULL,6,NULL,2),(25,302,1,15,25,1,8,NULL,4),(25,302,1,15,26,10,NULL,9,NULL),(25,302,1,15,27,1,NULL,1,NULL),(25,302,1,15,28,2,26,NULL,12),(25,302,1,15,29,NULL,11,NULL,5),(25,302,1,15,30,2,6,NULL,4),(25,302,1,15,31,1,3,NULL,2),(25,302,1,15,32,NULL,4,NULL,3),(25,302,1,15,33,4,12,2,7),(25,302,1,15,34,7,8,4,3),(25,302,1,15,35,6,8,3,3),(25,302,1,15,36,8,13,6,8),(25,302,1,15,37,7,9,2,7),(25,302,1,15,38,1,32,1,14),(25,302,1,15,39,NULL,18,NULL,11),(25,302,1,15,40,2,7,1,4),(25,302,1,16,1,22,33,6,14),(25,302,1,16,2,4,20,2,5),(25,302,1,16,3,12,11,5,4),(25,302,1,16,4,30,34,11,11),(25,302,1,16,5,2,17,1,4),(25,302,1,16,6,3,27,1,9),(25,302,1,16,7,6,55,3,15),(25,302,1,16,8,10,19,4,8),(25,302,1,16,9,9,23,4,7),(25,302,1,16,10,2,7,1,4),(25,302,1,16,11,10,11,1,3),(25,302,1,16,12,7,13,3,5),(25,302,1,16,13,25,23,11,7),(25,302,1,16,14,14,12,6,6),(25,302,1,16,15,45,NULL,12,NULL),(25,302,1,16,16,6,33,4,8),(25,302,1,16,17,NULL,32,NULL,9),(25,302,1,16,18,6,61,1,19),(25,302,1,16,19,NULL,26,NULL,6),(25,302,1,16,20,48,NULL,18,NULL),(25,302,1,16,21,7,42,5,14),(25,302,1,16,22,9,19,3,9),(25,302,1,16,23,1,24,NULL,8),(25,302,1,16,24,2,14,1,7),(25,302,1,16,25,1,4,NULL,1),(25,302,1,16,26,17,NULL,10,NULL),(25,302,1,16,27,5,NULL,4,NULL),(25,302,1,16,28,16,28,3,13),(25,302,1,16,29,6,23,2,8),(25,302,1,16,30,1,20,1,7),(25,302,1,16,31,1,5,1,3),(25,302,1,16,32,2,5,2,2),(25,302,1,16,33,2,19,1,10),(25,302,1,16,34,5,10,1,1),(25,302,1,16,35,6,16,1,5),(25,302,1,16,36,6,16,5,5),(25,302,1,16,37,8,12,7,4),(25,302,1,16,38,1,38,1,15),(25,302,1,16,39,2,25,NULL,9),(25,302,1,16,40,NULL,5,NULL,4),(25,302,1,17,1,22,30,6,5),(25,302,1,17,2,2,14,2,3),(25,302,1,17,3,5,20,NULL,9),(25,302,1,17,4,28,39,4,12),(25,302,1,17,5,4,19,2,4),(25,302,1,17,6,6,20,1,9),(25,302,1,17,7,8,41,2,10),(25,302,1,17,8,17,12,7,4),(25,302,1,17,9,12,28,2,13),(25,302,1,17,10,3,4,2,1),(25,302,1,17,11,7,13,NULL,2),(25,302,1,17,12,12,10,6,3),(25,302,1,17,13,24,16,5,5),(25,302,1,17,14,7,18,3,7),(25,302,1,17,15,49,NULL,11,NULL),(25,302,1,17,16,13,33,3,11),(25,302,1,17,17,1,26,NULL,7),(25,302,1,17,18,9,54,NULL,13),(25,302,1,17,19,NULL,25,NULL,5),(25,302,1,17,20,44,NULL,14,NULL),(25,302,1,17,21,4,34,NULL,6),(25,302,1,17,22,9,25,3,8),(25,302,1,17,23,4,9,1,4),(25,302,1,17,24,1,12,NULL,7),(25,302,1,17,25,2,7,1,2),(25,302,1,17,26,10,NULL,3,NULL),(25,302,1,17,27,2,NULL,1,NULL),(25,302,1,17,28,14,44,4,10),(25,302,1,17,29,4,15,2,4),(25,302,1,17,30,1,14,NULL,6),(25,302,1,17,31,1,5,NULL,NULL),(25,302,1,17,32,1,4,NULL,1),(25,302,1,17,33,6,16,1,3),(25,302,1,17,34,6,18,2,6),(25,302,1,17,35,2,11,1,4),(25,302,1,17,36,7,17,4,7),(25,302,1,17,37,7,11,1,3),(25,302,1,17,38,2,41,NULL,9),(25,302,1,17,39,3,20,NULL,6),(25,302,1,17,40,NULL,10,NULL,5),(25,302,2,21,1,9,25,3,11),(25,302,2,21,2,1,22,NULL,7),(25,302,2,21,3,8,22,3,7),(25,302,2,21,4,6,21,2,10),(25,302,2,21,5,12,21,4,6),(25,302,2,21,6,4,12,2,6),(25,302,2,21,7,2,11,1,3),(25,302,2,21,8,13,20,5,8),(25,302,2,21,9,13,23,7,9),(25,302,2,21,10,3,15,3,7),(25,302,2,21,11,2,37,1,9),(25,302,2,21,12,4,10,1,4),(25,302,2,21,13,25,17,9,5),(25,302,2,21,14,8,21,2,8),(25,302,2,21,15,9,29,4,9),(25,302,2,21,16,4,15,NULL,4),(25,302,2,21,17,5,12,1,5),(25,302,2,21,18,7,19,2,6),(25,302,2,21,19,2,6,2,NULL),(25,302,2,21,20,6,23,4,10),(25,302,2,21,21,1,5,1,3),(25,302,2,21,22,NULL,3,NULL,NULL),(25,302,2,21,23,NULL,10,NULL,4),(25,302,2,21,24,2,9,NULL,4),(25,302,2,21,25,2,NULL,NULL,NULL),(25,302,2,21,26,NULL,7,NULL,3),(25,302,2,21,27,2,6,NULL,2),(25,302,2,21,28,NULL,5,NULL,3),(25,302,2,21,29,1,3,NULL,3),(25,302,2,21,30,1,9,NULL,4),(25,302,2,21,31,4,12,3,4),(25,302,2,21,32,NULL,10,NULL,5),(25,302,2,21,33,6,15,4,7),(25,302,2,21,34,NULL,5,NULL,NULL),(25,302,2,21,35,3,16,NULL,9),(25,302,2,21,36,3,15,2,6),(25,302,2,21,37,2,7,2,5),(25,302,2,21,38,11,15,7,6),(25,302,2,21,39,17,NULL,11,NULL),(25,302,2,21,40,2,4,NULL,1),(25,302,2,22,1,7,14,4,4),(25,302,2,22,2,NULL,14,NULL,4),(25,302,2,22,3,6,13,2,4),(25,302,2,22,4,4,16,2,8),(25,302,2,22,5,16,13,8,4),(25,302,2,22,6,1,11,1,3),(25,302,2,22,7,4,12,1,6),(25,302,2,22,8,8,19,5,10),(25,302,2,22,9,15,20,8,9),(25,302,2,22,10,7,14,4,8),(25,302,2,22,11,3,34,2,11),(25,302,2,22,12,5,12,2,5),(25,302,2,22,13,19,20,10,7),(25,302,2,22,14,9,16,6,7),(25,302,2,22,15,8,23,4,10),(25,302,2,22,16,6,12,3,6),(25,302,2,22,17,5,23,3,10),(25,302,2,22,18,6,19,1,6),(25,302,2,22,19,3,15,2,5),(25,302,2,22,20,11,13,7,3),(25,302,2,22,21,2,9,1,3),(25,302,2,22,22,NULL,1,NULL,NULL),(25,302,2,22,23,NULL,8,NULL,5),(25,302,2,22,24,2,8,NULL,2),(25,302,2,22,25,4,NULL,1,NULL),(25,302,2,22,26,1,5,1,2),(25,302,2,22,27,1,4,NULL,2),(25,302,2,22,28,NULL,3,NULL,2),(25,302,2,22,29,NULL,7,NULL,3),(25,302,2,22,30,3,9,1,8),(25,302,2,22,31,6,11,4,5),(25,302,2,22,32,1,14,NULL,8),(25,302,2,22,33,14,12,8,4),(25,302,2,22,34,NULL,2,NULL,2),(25,302,2,22,35,4,19,2,7),(25,302,2,22,36,7,15,5,5),(25,302,2,22,37,3,9,NULL,1),(25,302,2,22,38,8,15,6,5),(25,302,2,22,39,20,NULL,12,NULL),(25,302,2,22,40,1,3,1,3),(25,302,2,23,1,3,14,2,7),(25,302,2,23,2,1,17,1,8),(25,302,2,23,3,6,19,1,10),(25,302,2,23,4,7,19,3,11),(25,302,2,23,5,10,21,4,12),(25,302,2,23,6,4,15,3,10),(25,302,2,23,7,6,13,4,6),(25,302,2,23,8,16,18,9,7),(25,302,2,23,9,18,24,9,13),(25,302,2,23,10,5,15,4,8),(25,302,2,23,11,1,33,NULL,12),(25,302,2,23,12,NULL,14,NULL,3),(25,302,2,23,13,23,16,12,10),(25,302,2,23,14,3,25,2,14),(25,302,2,23,15,5,26,2,14),(25,302,2,23,16,3,17,NULL,6),(25,302,2,23,17,7,26,1,6),(25,302,2,23,18,6,21,2,8),(25,302,2,23,19,4,9,1,6),(25,302,2,23,20,8,16,5,10),(25,302,2,23,21,3,6,1,4),(25,302,2,23,22,NULL,NULL,NULL,NULL),(25,302,2,23,23,2,7,2,6),(25,302,2,23,24,1,11,1,5),(25,302,2,23,25,3,NULL,1,NULL),(25,302,2,23,26,NULL,8,NULL,4),(25,302,2,23,27,1,8,1,1),(25,302,2,23,28,NULL,NULL,NULL,NULL),(25,302,2,23,29,1,12,1,5),(25,302,2,23,30,3,12,1,7),(25,302,2,23,31,3,13,3,6),(25,302,2,23,32,2,14,NULL,11),(25,302,2,23,33,13,16,9,7),(25,302,2,23,34,2,6,1,3),(25,302,2,23,35,5,16,3,8),(25,302,2,23,36,7,10,4,7),(25,302,2,23,37,NULL,11,NULL,7),(25,302,2,23,38,11,12,3,5),(25,302,2,23,39,25,NULL,12,NULL),(25,302,2,23,40,1,5,1,3),(25,302,2,24,1,7,17,4,6),(25,302,2,24,2,2,20,NULL,9),(25,302,2,24,3,10,17,2,6),(25,302,2,24,4,5,11,3,4),(25,302,2,24,5,7,17,3,8),(25,302,2,24,6,1,15,NULL,7),(25,302,2,24,7,5,7,2,2),(25,302,2,24,8,13,14,5,6),(25,302,2,24,9,17,18,6,5),(25,302,2,24,10,4,22,1,9),(25,302,2,24,11,2,34,NULL,11),(25,302,2,24,12,3,9,1,2),(25,302,2,24,13,15,13,9,6),(25,302,2,24,14,8,23,3,6),(25,302,2,24,15,9,20,3,10),(25,302,2,24,16,4,16,1,6),(25,302,2,24,17,3,17,1,7),(25,302,2,24,18,8,16,2,4),(25,302,2,24,19,1,8,NULL,3),(25,302,2,24,20,9,21,1,7),(25,302,2,24,21,1,12,1,1),(25,302,2,24,22,1,3,NULL,1),(25,302,2,24,23,2,6,1,2),(25,302,2,24,24,NULL,6,NULL,3),(25,302,2,24,25,4,NULL,3,NULL),(25,302,2,24,26,NULL,6,NULL,3),(25,302,2,24,27,1,8,1,2),(25,302,2,24,28,2,2,NULL,1),(25,302,2,24,29,2,7,NULL,4),(25,302,2,24,30,6,5,2,2),(25,302,2,24,31,6,9,1,7),(25,302,2,24,32,4,10,NULL,7),(25,302,2,24,33,7,15,2,6),(25,302,2,24,34,1,2,1,NULL),(25,302,2,24,35,2,17,2,8),(25,302,2,24,36,7,12,2,4),(25,302,2,24,37,2,8,1,2),(25,302,2,24,38,10,14,2,4),(25,302,2,24,39,14,NULL,8,NULL),(25,302,2,24,40,1,2,1,2),(25,303,1,11,1,NULL,3,NULL,NULL),(25,303,1,11,2,2,NULL,NULL,NULL),(25,303,1,11,3,2,NULL,NULL,NULL),(25,303,1,11,4,2,1,NULL,NULL),(25,303,1,11,5,1,1,NULL,NULL),(25,303,1,11,6,1,1,NULL,NULL),(25,303,1,11,7,1,1,NULL,NULL),(25,303,1,11,8,2,1,NULL,NULL),(25,303,1,11,9,NULL,1,NULL,NULL),(25,303,1,11,10,1,NULL,NULL,NULL),(25,303,1,11,11,1,1,NULL,NULL),(25,303,1,11,12,1,NULL,NULL,NULL),(25,303,1,11,13,2,NULL,NULL,NULL),(25,303,1,11,14,2,1,NULL,NULL),(25,303,1,11,15,2,NULL,NULL,NULL),(25,303,1,11,16,2,NULL,NULL,NULL),(25,303,1,11,17,2,NULL,NULL,NULL),(25,303,1,11,18,NULL,2,NULL,NULL),(25,303,1,11,19,2,NULL,NULL,NULL),(25,303,1,11,20,2,NULL,NULL,NULL),(25,303,1,11,21,NULL,2,NULL,NULL),(25,303,1,11,22,1,NULL,NULL,NULL),(25,303,1,11,23,NULL,NULL,NULL,NULL),(25,303,1,11,24,NULL,1,NULL,NULL),(25,303,1,11,25,NULL,NULL,NULL,NULL),(25,303,1,11,26,NULL,NULL,NULL,NULL),(25,303,1,11,27,NULL,NULL,NULL,NULL),(25,303,1,11,28,NULL,3,NULL,NULL),(25,303,1,11,29,NULL,NULL,NULL,NULL),(25,303,1,11,30,NULL,1,NULL,NULL),(25,303,1,11,31,1,NULL,NULL,NULL),(25,303,1,11,32,NULL,NULL,NULL,NULL),(25,303,1,11,33,NULL,2,NULL,NULL),(25,303,1,11,34,NULL,NULL,NULL,NULL),(25,303,1,11,35,NULL,NULL,NULL,NULL),(25,303,1,11,36,NULL,2,NULL,NULL),(25,303,1,11,37,NULL,NULL,NULL,NULL),(25,303,1,11,38,1,1,NULL,NULL),(25,303,1,11,39,NULL,2,NULL,NULL),(25,303,1,11,40,NULL,1,NULL,NULL),(25,303,1,12,1,2,2,NULL,1),(25,303,1,12,2,1,1,1,NULL),(25,303,1,12,3,2,NULL,NULL,NULL),(25,303,1,12,4,5,NULL,1,NULL),(25,303,1,12,5,NULL,1,NULL,NULL),(25,303,1,12,6,NULL,3,NULL,1),(25,303,1,12,7,2,2,NULL,1),(25,303,1,12,8,1,NULL,1,NULL),(25,303,1,12,9,NULL,2,NULL,1),(25,303,1,12,10,NULL,1,NULL,NULL),(25,303,1,12,11,NULL,1,NULL,1),(25,303,1,12,12,1,NULL,NULL,NULL),(25,303,1,12,13,1,2,NULL,1),(25,303,1,12,14,4,NULL,1,NULL),(25,303,1,12,15,1,3,NULL,1),(25,303,1,12,16,4,NULL,1,NULL),(25,303,1,12,17,4,NULL,1,NULL),(25,303,1,12,18,3,NULL,1,NULL),(25,303,1,12,19,4,NULL,1,NULL),(25,303,1,12,20,NULL,2,NULL,1),(25,303,1,12,21,1,2,1,NULL),(25,303,1,12,22,2,NULL,1,NULL),(25,303,1,12,23,2,1,1,NULL),(25,303,1,12,24,1,NULL,1,NULL),(25,303,1,12,25,NULL,2,NULL,NULL),(25,303,1,12,26,2,NULL,1,NULL),(25,303,1,12,27,NULL,NULL,NULL,NULL),(25,303,1,12,28,1,1,NULL,1),(25,303,1,12,29,NULL,1,NULL,NULL),(25,303,1,12,30,NULL,1,NULL,NULL),(25,303,1,12,31,NULL,1,NULL,NULL),(25,303,1,12,32,NULL,1,NULL,1),(25,303,1,12,33,NULL,NULL,NULL,NULL),(25,303,1,12,34,3,NULL,1,NULL),(25,303,1,12,35,1,NULL,1,NULL),(25,303,1,12,36,1,3,NULL,1),(25,303,1,12,37,1,NULL,1,NULL),(25,303,1,12,38,NULL,4,NULL,1),(25,303,1,12,39,1,NULL,1,NULL),(25,303,1,12,40,NULL,1,NULL,1),(25,303,1,13,1,3,NULL,NULL,NULL),(25,303,1,13,2,4,NULL,NULL,NULL),(25,303,1,13,3,NULL,NULL,NULL,NULL),(25,303,1,13,4,4,NULL,NULL,NULL),(25,303,1,13,5,NULL,2,NULL,NULL),(25,303,1,13,6,1,2,NULL,NULL),(25,303,1,13,7,1,NULL,NULL,NULL),(25,303,1,13,8,1,1,NULL,NULL),(25,303,1,13,9,NULL,2,NULL,NULL),(25,303,1,13,10,1,NULL,NULL,NULL),(25,303,1,13,11,NULL,3,NULL,NULL),(25,303,1,13,12,1,NULL,NULL,NULL),(25,303,1,13,13,4,NULL,NULL,NULL),(25,303,1,13,14,3,NULL,NULL,NULL),(25,303,1,13,15,4,1,NULL,NULL),(25,303,1,13,16,3,NULL,NULL,NULL),(25,303,1,13,17,3,1,NULL,NULL),(25,303,1,13,18,4,NULL,NULL,NULL),(25,303,1,13,19,2,2,NULL,NULL),(25,303,1,13,20,1,2,NULL,NULL),(25,303,1,13,21,NULL,NULL,NULL,NULL),(25,303,1,13,22,2,1,NULL,NULL),(25,303,1,13,23,1,NULL,NULL,NULL),(25,303,1,13,24,NULL,1,NULL,NULL),(25,303,1,13,25,1,2,NULL,NULL),(25,303,1,13,26,1,NULL,NULL,NULL),(25,303,1,13,27,NULL,NULL,NULL,NULL),(25,303,1,13,28,NULL,NULL,NULL,NULL),(25,303,1,13,29,1,NULL,NULL,NULL),(25,303,1,13,30,NULL,1,NULL,NULL),(25,303,1,13,31,NULL,NULL,NULL,NULL),(25,303,1,13,32,1,NULL,NULL,NULL),(25,303,1,13,33,NULL,NULL,NULL,NULL),(25,303,1,13,34,1,NULL,NULL,NULL),(25,303,1,13,35,NULL,1,NULL,NULL),(25,303,1,13,36,2,NULL,NULL,NULL),(25,303,1,13,37,2,NULL,NULL,NULL),(25,303,1,13,38,NULL,1,NULL,NULL),(25,303,1,13,39,NULL,1,NULL,NULL),(25,303,1,13,40,NULL,1,NULL,NULL),(25,303,1,14,1,130,127,12,14),(25,303,1,14,2,61,98,12,9),(25,303,1,14,3,85,48,11,3),(25,303,1,14,4,213,53,23,4),(25,303,1,14,5,55,89,9,12),(25,303,1,14,6,73,113,7,15),(25,303,1,14,7,100,175,14,14),(25,303,1,14,8,106,53,15,9),(25,303,1,14,9,82,107,10,11),(25,303,1,14,10,25,38,6,6),(25,303,1,14,11,52,65,6,9),(25,303,1,14,12,71,29,11,8),(25,303,1,14,13,91,47,15,7),(25,303,1,14,14,98,51,16,5),(25,303,1,14,15,144,65,19,7),(25,303,1,14,16,83,49,15,9),(25,303,1,14,17,117,49,20,3),(25,303,1,14,18,195,25,23,NULL),(25,303,1,14,19,144,140,17,8),(25,303,1,14,20,132,14,20,NULL),(25,303,1,14,21,74,94,14,8),(25,303,1,14,22,57,89,9,12),(25,303,1,14,23,27,70,4,11),(25,303,1,14,24,16,69,5,13),(25,303,1,14,25,18,73,5,10),(25,303,1,14,26,62,NULL,13,NULL),(25,303,1,14,27,23,NULL,8,NULL),(25,303,1,14,28,51,126,5,19),(25,303,1,14,29,13,40,2,7),(25,303,1,14,30,12,63,2,13),(25,303,1,14,31,21,37,4,8),(25,303,1,14,32,55,42,11,6),(25,303,1,14,33,59,58,14,4),(25,303,1,14,34,61,39,14,4),(25,303,1,14,35,49,23,13,4),(25,303,1,14,36,103,106,18,5),(25,303,1,14,37,65,40,12,5),(25,303,1,14,38,32,186,5,17),(25,303,1,14,39,48,101,9,7),(25,303,1,14,40,21,55,6,10),(25,303,1,15,1,117,133,16,19),(25,303,1,15,2,61,104,19,15),(25,303,1,15,3,94,48,22,4),(25,303,1,15,4,212,59,32,6),(25,303,1,15,5,46,104,11,17),(25,303,1,15,6,69,111,14,17),(25,303,1,15,7,100,165,12,23),(25,303,1,15,8,100,47,21,7),(25,303,1,15,9,75,114,11,18),(25,303,1,15,10,31,41,14,8),(25,303,1,15,11,50,63,10,10),(25,303,1,15,12,74,32,15,5),(25,303,1,15,13,100,58,24,3),(25,303,1,15,14,110,54,18,3),(25,303,1,15,15,155,62,34,3),(25,303,1,15,16,71,56,12,13),(25,303,1,15,17,132,57,33,5),(25,303,1,15,18,216,32,33,3),(25,303,1,15,19,135,130,26,13),(25,303,1,15,20,132,28,24,3),(25,303,1,15,21,63,92,11,10),(25,303,1,15,22,64,86,17,16),(25,303,1,15,23,35,81,11,16),(25,303,1,15,24,32,84,5,17),(25,303,1,15,25,34,56,11,11),(25,303,1,15,26,64,NULL,16,NULL),(25,303,1,15,27,24,NULL,10,NULL),(25,303,1,15,28,35,136,5,30),(25,303,1,15,29,15,43,4,9),(25,303,1,15,30,24,61,3,14),(25,303,1,15,31,21,56,10,9),(25,303,1,15,32,40,56,9,11),(25,303,1,15,33,61,77,19,12),(25,303,1,15,34,60,43,15,3),(25,303,1,15,35,44,17,15,NULL),(25,303,1,15,36,116,107,23,9),(25,303,1,15,37,91,40,22,3),(25,303,1,15,38,29,195,7,28),(25,303,1,15,39,58,100,12,13),(25,303,1,15,40,20,77,8,16),(25,303,1,16,1,54,56,4,5),(25,303,1,16,2,29,33,2,4),(25,303,1,16,3,32,28,5,1),(25,303,1,16,4,71,40,6,1),(25,303,1,16,5,14,54,1,7),(25,303,1,16,6,32,61,1,5),(25,303,1,16,7,35,99,3,7),(25,303,1,16,8,38,17,2,1),(25,303,1,16,9,20,46,1,3),(25,303,1,16,10,10,14,1,1),(25,303,1,16,11,23,25,1,1),(25,303,1,16,12,22,21,5,2),(25,303,1,16,13,69,21,6,1),(25,303,1,16,14,52,38,6,2),(25,303,1,16,15,92,NULL,7,NULL),(25,303,1,16,16,29,60,4,3),(25,303,1,16,17,4,65,1,3),(25,303,1,16,18,37,104,3,5),(25,303,1,16,19,5,55,1,4),(25,303,1,16,20,102,NULL,5,NULL),(25,303,1,16,21,31,53,2,5),(25,303,1,16,22,20,34,3,2),(25,303,1,16,23,7,29,4,3),(25,303,1,16,24,9,24,3,3),(25,303,1,16,25,7,21,2,2),(25,303,1,16,26,8,NULL,1,NULL),(25,303,1,16,27,5,NULL,2,NULL),(25,303,1,16,28,22,57,1,4),(25,303,1,16,29,8,19,1,3),(25,303,1,16,30,5,28,1,4),(25,303,1,16,31,12,17,1,6),(25,303,1,16,32,12,31,1,5),(25,303,1,16,33,25,28,5,2),(25,303,1,16,34,21,18,3,1),(25,303,1,16,35,15,10,3,NULL),(25,303,1,16,36,29,39,2,2),(25,303,1,16,37,35,16,4,1),(25,303,1,16,38,8,94,NULL,5),(25,303,1,16,39,9,60,NULL,5),(25,303,1,16,40,5,22,1,5),(25,303,1,17,1,49,47,2,4),(25,303,1,17,2,22,34,5,2),(25,303,1,17,3,28,26,2,1),(25,303,1,17,4,79,35,4,4),(25,303,1,17,5,18,37,1,5),(25,303,1,17,6,20,53,2,5),(25,303,1,17,7,27,74,3,4),(25,303,1,17,8,27,24,3,1),(25,303,1,17,9,31,41,1,1),(25,303,1,17,10,6,9,1,1),(25,303,1,17,11,17,26,2,3),(25,303,1,17,12,29,16,3,2),(25,303,1,17,13,56,32,3,2),(25,303,1,17,14,42,31,3,4),(25,303,1,17,15,89,NULL,7,NULL),(25,303,1,17,16,36,45,3,1),(25,303,1,17,17,5,71,1,3),(25,303,1,17,18,12,110,NULL,6),(25,303,1,17,19,5,62,NULL,3),(25,303,1,17,20,77,NULL,4,NULL),(25,303,1,17,21,21,46,3,2),(25,303,1,17,22,16,33,1,5),(25,303,1,17,23,15,18,2,3),(25,303,1,17,24,5,26,NULL,5),(25,303,1,17,25,6,23,1,1),(25,303,1,17,26,18,NULL,3,NULL),(25,303,1,17,27,7,NULL,NULL,NULL),(25,303,1,17,28,26,53,2,4),(25,303,1,17,29,7,13,1,3),(25,303,1,17,30,8,30,NULL,2),(25,303,1,17,31,8,15,2,2),(25,303,1,17,32,8,11,2,NULL),(25,303,1,17,33,10,26,1,2),(25,303,1,17,34,14,23,1,3),(25,303,1,17,35,9,15,3,1),(25,303,1,17,36,30,33,6,1),(25,303,1,17,37,28,19,4,2),(25,303,1,17,38,12,62,4,2),(25,303,1,17,39,12,42,1,3),(25,303,1,17,40,3,33,3,2),(25,303,2,21,1,36,56,3,10),(25,303,2,21,2,10,51,1,6),(25,303,2,21,3,42,45,8,4),(25,303,2,21,4,31,52,5,8),(25,303,2,21,5,78,50,14,4),(25,303,2,21,6,54,53,10,10),(25,303,2,21,7,35,38,7,3),(25,303,2,21,8,59,52,6,9),(25,303,2,21,9,132,68,15,6),(25,303,2,21,10,77,52,15,4),(25,303,2,21,11,12,158,1,16),(25,303,2,21,12,31,83,2,12),(25,303,2,21,13,145,25,21,NULL),(25,303,2,21,14,40,85,9,10),(25,303,2,21,15,76,60,11,5),(25,303,2,21,16,34,92,5,11),(25,303,2,21,17,39,95,7,5),(25,303,2,21,18,48,55,3,4),(25,303,2,21,19,21,69,3,8),(25,303,2,21,20,40,46,5,7),(25,303,2,21,21,22,23,6,5),(25,303,2,21,22,3,12,1,3),(25,303,2,21,23,14,25,4,1),(25,303,2,21,24,14,28,2,3),(25,303,2,21,25,11,NULL,3,NULL),(25,303,2,21,26,5,23,1,NULL),(25,303,2,21,27,7,27,2,2),(25,303,2,21,28,12,19,2,NULL),(25,303,2,21,29,12,34,6,5),(25,303,2,21,30,14,29,1,3),(25,303,2,21,31,58,45,15,3),(25,303,2,21,32,13,49,3,11),(25,303,2,21,33,78,41,16,4),(25,303,2,21,34,19,21,9,2),(25,303,2,21,35,40,39,10,5),(25,303,2,21,36,35,33,8,5),(25,303,2,21,37,26,24,11,1),(25,303,2,21,38,63,41,10,7),(25,303,2,21,39,146,NULL,18,NULL),(25,303,2,21,40,18,32,5,5),(25,303,2,22,1,32,57,5,11),(25,303,2,22,2,19,62,2,10),(25,303,2,22,3,39,33,8,6),(25,303,2,22,4,39,42,10,9),(25,303,2,22,5,86,44,13,5),(25,303,2,22,6,54,43,9,12),(25,303,2,22,7,23,51,7,6),(25,303,2,22,8,81,55,15,5),(25,303,2,22,9,128,48,20,4),(25,303,2,22,10,70,40,14,7),(25,303,2,22,11,22,156,3,17),(25,303,2,22,12,34,74,5,9),(25,303,2,22,13,138,33,20,1),(25,303,2,22,14,55,65,10,8),(25,303,2,22,15,63,51,11,4),(25,303,2,22,16,31,78,7,11),(25,303,2,22,17,36,99,8,11),(25,303,2,22,18,46,43,8,6),(25,303,2,22,19,18,67,3,11),(25,303,2,22,20,40,38,8,6),(25,303,2,22,21,18,30,4,3),(25,303,2,22,22,4,13,3,2),(25,303,2,22,23,11,17,6,2),(25,303,2,22,24,6,24,1,4),(25,303,2,22,25,19,NULL,6,NULL),(25,303,2,22,26,6,20,2,2),(25,303,2,22,27,6,29,2,NULL),(25,303,2,22,28,6,11,1,NULL),(25,303,2,22,29,15,27,6,7),(25,303,2,22,30,16,28,2,1),(25,303,2,22,31,47,40,13,4),(25,303,2,22,32,8,57,1,18),(25,303,2,22,33,86,39,20,2),(25,303,2,22,34,15,37,6,6),(25,303,2,22,35,30,41,4,5),(25,303,2,22,36,33,28,9,1),(25,303,2,22,37,26,31,10,6),(25,303,2,22,38,61,41,11,5),(25,303,2,22,39,122,NULL,20,NULL),(25,303,2,22,40,13,26,4,6),(25,303,2,23,1,34,47,4,8),(25,303,2,23,2,15,48,NULL,5),(25,303,2,23,3,24,38,4,6),(25,303,2,23,4,39,47,4,6),(25,303,2,23,5,64,48,7,4),(25,303,2,23,6,51,38,12,2),(25,303,2,23,7,18,53,2,7),(25,303,2,23,8,76,44,9,4),(25,303,2,23,9,129,54,14,3),(25,303,2,23,10,63,38,14,1),(25,303,2,23,11,14,123,3,9),(25,303,2,23,12,27,58,3,7),(25,303,2,23,13,120,26,15,1),(25,303,2,23,14,30,64,5,6),(25,303,2,23,15,48,68,9,5),(25,303,2,23,16,34,72,7,4),(25,303,2,23,17,22,88,4,4),(25,303,2,23,18,48,48,4,4),(25,303,2,23,19,25,48,3,8),(25,303,2,23,20,31,44,4,4),(25,303,2,23,21,15,23,6,NULL),(25,303,2,23,22,2,7,NULL,1),(25,303,2,23,23,9,15,NULL,2),(25,303,2,23,24,12,22,1,2),(25,303,2,23,25,17,NULL,2,NULL),(25,303,2,23,26,4,22,NULL,NULL),(25,303,2,23,27,2,23,1,2),(25,303,2,23,28,9,15,1,NULL),(25,303,2,23,29,9,26,4,4),(25,303,2,23,30,26,28,5,3),(25,303,2,23,31,53,23,10,4),(25,303,2,23,32,7,38,1,5),(25,303,2,23,33,68,45,10,4),(25,303,2,23,34,12,18,4,2),(25,303,2,23,35,28,44,4,3),(25,303,2,23,36,22,26,3,NULL),(25,303,2,23,37,18,42,7,5),(25,303,2,23,38,62,47,9,2),(25,303,2,23,39,101,NULL,16,NULL),(25,303,2,23,40,8,19,3,4),(25,303,2,24,1,29,69,6,7),(25,303,2,24,2,6,49,1,6),(25,303,2,24,3,45,36,6,5),(25,303,2,24,4,34,31,7,6),(25,303,2,24,5,76,47,13,3),(25,303,2,24,6,39,46,8,4),(25,303,2,24,7,21,46,3,9),(25,303,2,24,8,75,55,12,3),(25,303,2,24,9,117,55,17,4),(25,303,2,24,10,62,42,12,3),(25,303,2,24,11,12,138,1,15),(25,303,2,24,12,22,75,2,11),(25,303,2,24,13,121,18,18,2),(25,303,2,24,14,37,56,4,10),(25,303,2,24,15,63,63,6,9),(25,303,2,24,16,42,65,6,10),(25,303,2,24,17,32,88,5,7),(25,303,2,24,18,31,51,6,3),(25,303,2,24,19,13,42,2,9),(25,303,2,24,20,25,46,6,2),(25,303,2,24,21,18,18,7,1),(25,303,2,24,22,1,10,NULL,2),(25,303,2,24,23,8,27,3,5),(25,303,2,24,24,10,20,NULL,5),(25,303,2,24,25,23,NULL,5,NULL),(25,303,2,24,26,4,26,2,2),(25,303,2,24,27,2,19,2,6),(25,303,2,24,28,9,23,2,3),(25,303,2,24,29,12,23,3,5),(25,303,2,24,30,16,30,3,1),(25,303,2,24,31,64,34,12,7),(25,303,2,24,32,6,43,1,9),(25,303,2,24,33,71,31,19,1),(25,303,2,24,34,12,24,6,5),(25,303,2,24,35,31,42,6,4),(25,303,2,24,36,25,28,3,3),(25,303,2,24,37,24,28,11,7),(25,303,2,24,38,58,32,11,2),(25,303,2,24,39,117,NULL,21,NULL),(25,303,2,24,40,15,26,3,6),(25,304,1,11,1,NULL,NULL,NULL,NULL),(25,304,1,11,2,NULL,NULL,NULL,NULL),(25,304,1,11,3,NULL,NULL,NULL,NULL),(25,304,1,11,4,NULL,NULL,NULL,NULL),(25,304,1,11,5,NULL,NULL,NULL,NULL),(25,304,1,11,6,NULL,NULL,NULL,NULL),(25,304,1,11,7,NULL,NULL,NULL,NULL),(25,304,1,11,8,NULL,NULL,NULL,NULL),(25,304,1,11,9,NULL,NULL,NULL,NULL),(25,304,1,11,10,NULL,NULL,NULL,NULL),(25,304,1,11,11,NULL,NULL,NULL,NULL),(25,304,1,11,12,NULL,NULL,NULL,NULL),(25,304,1,11,13,NULL,NULL,NULL,NULL),(25,304,1,11,14,NULL,NULL,NULL,NULL),(25,304,1,11,15,NULL,NULL,NULL,NULL),(25,304,1,11,16,NULL,NULL,NULL,NULL),(25,304,1,11,17,NULL,NULL,NULL,NULL),(25,304,1,11,18,NULL,NULL,NULL,NULL),(25,304,1,11,19,NULL,NULL,NULL,NULL),(25,304,1,11,20,NULL,NULL,NULL,NULL),(25,304,1,11,21,NULL,NULL,NULL,NULL),(25,304,1,11,22,NULL,NULL,NULL,NULL),(25,304,1,11,23,NULL,NULL,NULL,NULL),(25,304,1,11,24,NULL,NULL,NULL,NULL),(25,304,1,11,25,NULL,NULL,NULL,NULL),(25,304,1,11,26,NULL,NULL,NULL,NULL),(25,304,1,11,27,NULL,NULL,NULL,NULL),(25,304,1,11,28,NULL,NULL,NULL,NULL),(25,304,1,11,29,NULL,NULL,NULL,NULL),(25,304,1,11,30,NULL,NULL,NULL,NULL),(25,304,1,11,31,NULL,NULL,NULL,NULL),(25,304,1,11,32,NULL,NULL,NULL,NULL),(25,304,1,11,33,NULL,NULL,NULL,NULL),(25,304,1,11,34,NULL,NULL,NULL,NULL),(25,304,1,11,35,NULL,NULL,NULL,NULL),(25,304,1,11,36,NULL,NULL,NULL,NULL),(25,304,1,11,37,NULL,NULL,NULL,NULL),(25,304,1,11,38,NULL,NULL,NULL,NULL),(25,304,1,11,39,NULL,NULL,NULL,NULL),(25,304,1,11,40,NULL,NULL,NULL,NULL),(25,304,1,12,1,1,NULL,NULL,NULL),(25,304,1,12,2,1,NULL,1,NULL),(25,304,1,12,3,1,NULL,1,NULL),(25,304,1,12,4,1,NULL,NULL,NULL),(25,304,1,12,5,NULL,NULL,NULL,NULL),(25,304,1,12,6,NULL,2,NULL,NULL),(25,304,1,12,7,1,1,1,NULL),(25,304,1,12,8,NULL,NULL,NULL,NULL),(25,304,1,12,9,1,1,NULL,NULL),(25,304,1,12,10,NULL,NULL,NULL,NULL),(25,304,1,12,11,NULL,NULL,NULL,NULL),(25,304,1,12,12,NULL,NULL,NULL,NULL),(25,304,1,12,13,2,NULL,1,NULL),(25,304,1,12,14,2,1,1,NULL),(25,304,1,12,15,NULL,2,NULL,NULL),(25,304,1,12,16,1,NULL,1,NULL),(25,304,1,12,17,1,1,NULL,NULL),(25,304,1,12,18,1,NULL,NULL,NULL),(25,304,1,12,19,1,NULL,NULL,NULL),(25,304,1,12,20,1,2,1,NULL),(25,304,1,12,21,NULL,NULL,NULL,NULL),(25,304,1,12,22,NULL,NULL,NULL,NULL),(25,304,1,12,23,NULL,NULL,NULL,NULL),(25,304,1,12,24,NULL,NULL,NULL,NULL),(25,304,1,12,25,NULL,NULL,NULL,NULL),(25,304,1,12,26,NULL,NULL,NULL,NULL),(25,304,1,12,27,NULL,NULL,NULL,NULL),(25,304,1,12,28,NULL,1,NULL,1),(25,304,1,12,29,NULL,NULL,NULL,NULL),(25,304,1,12,30,NULL,NULL,NULL,NULL),(25,304,1,12,31,NULL,1,NULL,NULL),(25,304,1,12,32,NULL,NULL,NULL,NULL),(25,304,1,12,33,NULL,1,NULL,NULL),(25,304,1,12,34,NULL,NULL,NULL,NULL),(25,304,1,12,35,NULL,NULL,NULL,NULL),(25,304,1,12,36,NULL,NULL,NULL,NULL),(25,304,1,12,37,NULL,NULL,NULL,NULL),(25,304,1,12,38,NULL,NULL,NULL,NULL),(25,304,1,12,39,NULL,NULL,NULL,NULL),(25,304,1,12,40,NULL,NULL,NULL,NULL),(25,304,1,13,1,NULL,NULL,NULL,NULL),(25,304,1,13,2,NULL,NULL,NULL,NULL),(25,304,1,13,3,NULL,NULL,NULL,NULL),(25,304,1,13,4,NULL,NULL,NULL,NULL),(25,304,1,13,5,NULL,NULL,NULL,NULL),(25,304,1,13,6,NULL,NULL,NULL,NULL),(25,304,1,13,7,NULL,NULL,NULL,NULL),(25,304,1,13,8,NULL,NULL,NULL,NULL),(25,304,1,13,9,NULL,NULL,NULL,NULL),(25,304,1,13,10,NULL,NULL,NULL,NULL),(25,304,1,13,11,NULL,NULL,NULL,NULL),(25,304,1,13,12,NULL,NULL,NULL,NULL),(25,304,1,13,13,NULL,NULL,NULL,NULL),(25,304,1,13,14,NULL,NULL,NULL,NULL),(25,304,1,13,15,NULL,NULL,NULL,NULL),(25,304,1,13,16,NULL,NULL,NULL,NULL),(25,304,1,13,17,NULL,NULL,NULL,NULL),(25,304,1,13,18,NULL,NULL,NULL,NULL),(25,304,1,13,19,NULL,NULL,NULL,NULL),(25,304,1,13,20,NULL,NULL,NULL,NULL),(25,304,1,13,21,NULL,NULL,NULL,NULL),(25,304,1,13,22,NULL,NULL,NULL,NULL),(25,304,1,13,23,NULL,NULL,NULL,NULL),(25,304,1,13,24,NULL,NULL,NULL,NULL),(25,304,1,13,25,NULL,NULL,NULL,NULL),(25,304,1,13,26,NULL,NULL,NULL,NULL),(25,304,1,13,27,NULL,NULL,NULL,NULL),(25,304,1,13,28,NULL,NULL,NULL,NULL),(25,304,1,13,29,NULL,NULL,NULL,NULL),(25,304,1,13,30,NULL,NULL,NULL,NULL),(25,304,1,13,31,NULL,NULL,NULL,NULL),(25,304,1,13,32,NULL,NULL,NULL,NULL),(25,304,1,13,33,NULL,NULL,NULL,NULL),(25,304,1,13,34,NULL,NULL,NULL,NULL),(25,304,1,13,35,NULL,NULL,NULL,NULL),(25,304,1,13,36,NULL,NULL,NULL,NULL),(25,304,1,13,37,NULL,NULL,NULL,NULL),(25,304,1,13,38,NULL,NULL,NULL,NULL),(25,304,1,13,39,NULL,NULL,NULL,NULL),(25,304,1,13,40,NULL,NULL,NULL,NULL),(25,304,1,14,1,19,23,11,14),(25,304,1,14,2,3,16,2,13),(25,304,1,14,3,10,12,6,8),(25,304,1,14,4,27,12,17,9),(25,304,1,14,5,4,20,4,13),(25,304,1,14,6,5,17,5,10),(25,304,1,14,7,13,33,8,20),(25,304,1,14,8,13,11,10,6),(25,304,1,14,9,10,16,9,10),(25,304,1,14,10,3,4,2,4),(25,304,1,14,11,5,10,3,8),(25,304,1,14,12,11,3,9,2),(25,304,1,14,13,11,9,10,6),(25,304,1,14,14,24,5,19,4),(25,304,1,14,15,16,15,13,11),(25,304,1,14,16,5,12,3,9),(25,304,1,14,17,13,11,10,8),(25,304,1,14,18,32,5,22,4),(25,304,1,14,19,23,18,18,10),(25,304,1,14,20,19,4,14,1),(25,304,1,14,21,12,23,7,14),(25,304,1,14,22,8,23,4,16),(25,304,1,14,23,1,13,1,8),(25,304,1,14,24,3,8,NULL,7),(25,304,1,14,25,5,8,3,6),(25,304,1,14,26,9,NULL,9,NULL),(25,304,1,14,27,2,NULL,2,NULL),(25,304,1,14,28,5,31,3,20),(25,304,1,14,29,1,5,NULL,2),(25,304,1,14,30,2,17,2,12),(25,304,1,14,31,1,3,1,2),(25,304,1,14,32,7,5,5,4),(25,304,1,14,33,5,9,3,7),(25,304,1,14,34,4,6,3,3),(25,304,1,14,35,9,5,6,2),(25,304,1,14,36,17,11,14,5),(25,304,1,14,37,12,9,11,8),(25,304,1,14,38,3,36,1,23),(25,304,1,14,39,4,19,2,13),(25,304,1,14,40,6,9,5,9),(25,304,1,15,1,20,20,12,10),(25,304,1,15,2,14,12,11,6),(25,304,1,15,3,12,9,10,5),(25,304,1,15,4,29,16,22,6),(25,304,1,15,5,2,18,2,12),(25,304,1,15,6,4,20,4,13),(25,304,1,15,7,14,31,11,17),(25,304,1,15,8,16,7,14,2),(25,304,1,15,9,9,17,6,8),(25,304,1,15,10,3,4,3,3),(25,304,1,15,11,6,11,4,6),(25,304,1,15,12,12,4,10,NULL),(25,304,1,15,13,15,7,10,5),(25,304,1,15,14,19,8,10,3),(25,304,1,15,15,22,8,16,5),(25,304,1,15,16,7,6,5,3),(25,304,1,15,17,14,8,12,5),(25,304,1,15,18,30,5,21,2),(25,304,1,15,19,17,25,13,13),(25,304,1,15,20,22,3,14,3),(25,304,1,15,21,11,16,9,6),(25,304,1,15,22,12,11,9,7),(25,304,1,15,23,7,8,3,5),(25,304,1,15,24,6,7,4,2),(25,304,1,15,25,6,6,4,6),(25,304,1,15,26,7,NULL,4,NULL),(25,304,1,15,27,3,NULL,3,NULL),(25,304,1,15,28,5,21,5,11),(25,304,1,15,29,3,7,2,6),(25,304,1,15,30,3,11,2,5),(25,304,1,15,31,1,3,1,2),(25,304,1,15,32,6,8,6,5),(25,304,1,15,33,7,10,6,10),(25,304,1,15,34,7,7,6,3),(25,304,1,15,35,2,2,2,1),(25,304,1,15,36,12,15,11,9),(25,304,1,15,37,4,5,3,3),(25,304,1,15,38,4,30,2,18),(25,304,1,15,39,5,17,4,12),(25,304,1,15,40,3,8,3,6),(25,304,1,16,1,13,14,4,6),(25,304,1,16,2,3,11,1,5),(25,304,1,16,3,5,8,2,5),(25,304,1,16,4,18,13,4,6),(25,304,1,16,5,NULL,10,NULL,4),(25,304,1,16,6,3,12,1,4),(25,304,1,16,7,4,21,2,5),(25,304,1,16,8,7,8,4,6),(25,304,1,16,9,7,13,2,3),(25,304,1,16,10,1,2,1,NULL),(25,304,1,16,11,5,7,1,4),(25,304,1,16,12,12,1,7,1),(25,304,1,16,13,17,3,9,1),(25,304,1,16,14,9,11,4,5),(25,304,1,16,15,19,NULL,4,NULL),(25,304,1,16,16,4,11,3,5),(25,304,1,16,17,1,19,NULL,7),(25,304,1,16,18,5,25,1,7),(25,304,1,16,19,NULL,19,NULL,5),(25,304,1,16,20,20,NULL,8,NULL),(25,304,1,16,21,5,16,2,7),(25,304,1,16,22,3,8,1,4),(25,304,1,16,23,1,7,1,6),(25,304,1,16,24,5,5,2,2),(25,304,1,16,25,1,6,NULL,1),(25,304,1,16,26,6,NULL,4,NULL),(25,304,1,16,27,3,NULL,2,NULL),(25,304,1,16,28,3,20,NULL,5),(25,304,1,16,29,1,7,NULL,3),(25,304,1,16,30,NULL,7,NULL,4),(25,304,1,16,31,4,2,1,1),(25,304,1,16,32,2,2,2,2),(25,304,1,16,33,1,7,NULL,3),(25,304,1,16,34,4,9,2,4),(25,304,1,16,35,2,6,1,3),(25,304,1,16,36,4,14,2,4),(25,304,1,16,37,6,4,5,1),(25,304,1,16,38,3,18,2,7),(25,304,1,16,39,2,5,1,1),(25,304,1,16,40,NULL,3,NULL,2),(25,304,1,17,1,9,16,2,9),(25,304,1,17,2,NULL,7,NULL,4),(25,304,1,17,3,4,8,2,3),(25,304,1,17,4,13,12,4,5),(25,304,1,17,5,1,10,NULL,2),(25,304,1,17,6,2,9,2,2),(25,304,1,17,7,1,22,1,6),(25,304,1,17,8,9,10,5,3),(25,304,1,17,9,8,8,2,4),(25,304,1,17,10,1,2,NULL,2),(25,304,1,17,11,2,9,1,6),(25,304,1,17,12,5,5,3,3),(25,304,1,17,13,11,10,4,6),(25,304,1,17,14,5,9,5,3),(25,304,1,17,15,21,NULL,8,NULL),(25,304,1,17,16,5,17,2,6),(25,304,1,17,17,NULL,19,NULL,9),(25,304,1,17,18,2,23,2,9),(25,304,1,17,19,NULL,16,NULL,7),(25,304,1,17,20,24,NULL,10,NULL),(25,304,1,17,21,5,14,2,3),(25,304,1,17,22,2,13,NULL,5),(25,304,1,17,23,2,10,1,4),(25,304,1,17,24,NULL,7,NULL,4),(25,304,1,17,25,NULL,3,NULL,2),(25,304,1,17,26,6,NULL,3,NULL),(25,304,1,17,27,NULL,NULL,NULL,NULL),(25,304,1,17,28,3,20,1,9),(25,304,1,17,29,NULL,8,NULL,3),(25,304,1,17,30,1,9,NULL,7),(25,304,1,17,31,1,3,1,1),(25,304,1,17,32,NULL,6,NULL,3),(25,304,1,17,33,3,2,3,2),(25,304,1,17,34,6,5,4,1),(25,304,1,17,35,2,12,1,4),(25,304,1,17,36,4,5,3,2),(25,304,1,17,37,9,7,5,3),(25,304,1,17,38,NULL,17,NULL,9),(25,304,1,17,39,1,15,NULL,7),(25,304,1,17,40,NULL,9,NULL,6),(25,304,2,21,1,3,6,3,6),(25,304,2,21,2,2,5,1,2),(25,304,2,21,3,6,5,4,2),(25,304,2,21,4,6,6,6,2),(25,304,2,21,5,8,6,8,2),(25,304,2,21,6,7,5,6,4),(25,304,2,21,7,1,6,NULL,5),(25,304,2,21,8,8,9,6,5),(25,304,2,21,9,20,11,14,3),(25,304,2,21,10,9,6,7,2),(25,304,2,21,11,3,25,NULL,12),(25,304,2,21,12,3,9,2,3),(25,304,2,21,13,24,5,13,1),(25,304,2,21,14,7,11,3,7),(25,304,2,21,15,14,6,9,1),(25,304,2,21,16,4,14,2,9),(25,304,2,21,17,2,13,1,7),(25,304,2,21,18,5,6,1,3),(25,304,2,21,19,4,7,2,7),(25,304,2,21,20,5,9,4,4),(25,304,2,21,21,3,7,2,4),(25,304,2,21,22,NULL,NULL,NULL,NULL),(25,304,2,21,23,2,6,2,3),(25,304,2,21,24,NULL,9,NULL,6),(25,304,2,21,25,1,NULL,NULL,NULL),(25,304,2,21,26,2,2,1,2),(25,304,2,21,27,1,3,1,1),(25,304,2,21,28,NULL,2,NULL,1),(25,304,2,21,29,2,7,NULL,2),(25,304,2,21,30,1,5,NULL,2),(25,304,2,21,31,4,7,4,6),(25,304,2,21,32,NULL,6,NULL,3),(25,304,2,21,33,7,8,6,6),(25,304,2,21,34,NULL,1,NULL,1),(25,304,2,21,35,6,9,5,4),(25,304,2,21,36,4,8,3,2),(25,304,2,21,37,3,7,1,6),(25,304,2,21,38,9,6,5,2),(25,304,2,21,39,18,NULL,12,NULL),(25,304,2,21,40,2,3,2,2),(25,304,2,22,1,6,8,4,5),(25,304,2,22,2,3,15,1,8),(25,304,2,22,3,8,7,7,4),(25,304,2,22,4,4,12,2,8),(25,304,2,22,5,18,13,12,7),(25,304,2,22,6,6,9,6,7),(25,304,2,22,7,2,7,1,4),(25,304,2,22,8,14,10,10,4),(25,304,2,22,9,23,10,15,5),(25,304,2,22,10,12,12,8,8),(25,304,2,22,11,9,28,5,11),(25,304,2,22,12,4,12,3,8),(25,304,2,22,13,32,6,21,2),(25,304,2,22,14,7,15,5,10),(25,304,2,22,15,11,16,6,8),(25,304,2,22,16,5,15,3,9),(25,304,2,22,17,4,14,3,6),(25,304,2,22,18,6,12,2,6),(25,304,2,22,19,7,8,4,6),(25,304,2,22,20,7,14,3,7),(25,304,2,22,21,3,2,1,1),(25,304,2,22,22,NULL,1,NULL,1),(25,304,2,22,23,1,4,NULL,2),(25,304,2,22,24,1,4,1,3),(25,304,2,22,25,1,NULL,1,NULL),(25,304,2,22,26,NULL,6,NULL,1),(25,304,2,22,27,NULL,4,NULL,1),(25,304,2,22,28,1,1,1,NULL),(25,304,2,22,29,1,6,NULL,4),(25,304,2,22,30,2,7,NULL,3),(25,304,2,22,31,8,12,7,8),(25,304,2,22,32,NULL,7,NULL,6),(25,304,2,22,33,10,10,7,6),(25,304,2,22,34,2,5,2,3),(25,304,2,22,35,4,13,2,6),(25,304,2,22,36,4,8,2,4),(25,304,2,22,37,5,7,5,5),(25,304,2,22,38,10,16,7,7),(25,304,2,22,39,25,NULL,21,NULL),(25,304,2,22,40,1,4,1,2),(25,304,2,23,1,7,16,5,9),(25,304,2,23,2,3,14,1,8),(25,304,2,23,3,6,15,4,7),(25,304,2,23,4,9,13,8,6),(25,304,2,23,5,13,13,7,6),(25,304,2,23,6,8,13,5,8),(25,304,2,23,7,4,3,4,3),(25,304,2,23,8,18,11,10,4),(25,304,2,23,9,19,19,12,9),(25,304,2,23,10,10,17,9,7),(25,304,2,23,11,4,23,1,15),(25,304,2,23,12,2,14,1,10),(25,304,2,23,13,24,7,18,3),(25,304,2,23,14,7,16,5,13),(25,304,2,23,15,11,12,8,6),(25,304,2,23,16,1,15,NULL,13),(25,304,2,23,17,5,17,2,11),(25,304,2,23,18,8,14,5,6),(25,304,2,23,19,NULL,7,NULL,6),(25,304,2,23,20,4,16,3,9),(25,304,2,23,21,2,5,2,3),(25,304,2,23,22,1,2,NULL,NULL),(25,304,2,23,23,1,8,1,4),(25,304,2,23,24,2,7,1,4),(25,304,2,23,25,3,NULL,1,NULL),(25,304,2,23,26,2,4,1,2),(25,304,2,23,27,NULL,7,NULL,6),(25,304,2,23,28,1,6,NULL,5),(25,304,2,23,29,1,9,1,6),(25,304,2,23,30,1,7,NULL,5),(25,304,2,23,31,8,14,6,10),(25,304,2,23,32,1,9,1,5),(25,304,2,23,33,17,10,13,6),(25,304,2,23,34,NULL,4,NULL,2),(25,304,2,23,35,9,8,5,6),(25,304,2,23,36,6,9,2,4),(25,304,2,23,37,3,11,3,8),(25,304,2,23,38,14,6,11,2),(25,304,2,23,39,18,NULL,16,NULL),(25,304,2,23,40,NULL,6,NULL,5),(25,304,2,24,1,4,12,4,7),(25,304,2,24,2,1,11,1,5),(25,304,2,24,3,8,7,5,6),(25,304,2,24,4,5,5,2,4),(25,304,2,24,5,8,13,4,10),(25,304,2,24,6,5,10,4,7),(25,304,2,24,7,NULL,6,NULL,5),(25,304,2,24,8,5,15,5,6),(25,304,2,24,9,14,14,11,6),(25,304,2,24,10,9,10,7,7),(25,304,2,24,11,2,24,1,12),(25,304,2,24,12,2,9,1,5),(25,304,2,24,13,22,6,16,1),(25,304,2,24,14,9,9,5,6),(25,304,2,24,15,12,11,9,8),(25,304,2,24,16,4,12,3,6),(25,304,2,24,17,10,10,6,3),(25,304,2,24,18,7,11,4,7),(25,304,2,24,19,1,9,NULL,3),(25,304,2,24,20,5,14,3,8),(25,304,2,24,21,4,2,3,1),(25,304,2,24,22,1,NULL,1,NULL),(25,304,2,24,23,1,5,NULL,4),(25,304,2,24,24,NULL,10,NULL,4),(25,304,2,24,25,1,NULL,NULL,NULL),(25,304,2,24,26,NULL,1,NULL,1),(25,304,2,24,27,NULL,6,NULL,3),(25,304,2,24,28,1,5,1,2),(25,304,2,24,29,3,8,3,5),(25,304,2,24,30,4,6,1,3),(25,304,2,24,31,7,5,5,5),(25,304,2,24,32,NULL,8,NULL,8),(25,304,2,24,33,4,11,4,7),(25,304,2,24,34,3,6,3,5),(25,304,2,24,35,4,8,2,5),(25,304,2,24,36,4,7,3,3),(25,304,2,24,37,3,5,3,1),(25,304,2,24,38,11,7,8,5),(25,304,2,24,39,15,NULL,9,NULL),(25,304,2,24,40,2,4,2,2),(25,308,1,11,1,NULL,1,NULL,NULL),(25,308,1,11,2,NULL,1,NULL,NULL),(25,308,1,11,3,1,1,NULL,NULL),(25,308,1,11,4,NULL,1,NULL,NULL),(25,308,1,11,5,NULL,2,NULL,NULL),(25,308,1,11,6,NULL,NULL,NULL,NULL),(25,308,1,11,7,1,1,NULL,NULL),(25,308,1,11,8,NULL,NULL,NULL,NULL),(25,308,1,11,9,1,1,NULL,NULL),(25,308,1,11,10,NULL,NULL,NULL,NULL),(25,308,1,11,11,NULL,1,NULL,NULL),(25,308,1,11,12,NULL,1,NULL,NULL),(25,308,1,11,13,1,NULL,NULL,NULL),(25,308,1,11,14,1,1,NULL,NULL),(25,308,1,11,15,1,NULL,NULL,NULL),(25,308,1,11,16,1,NULL,NULL,NULL),(25,308,1,11,17,NULL,1,NULL,NULL),(25,308,1,11,18,NULL,2,NULL,NULL),(25,308,1,11,19,1,NULL,NULL,NULL),(25,308,1,11,20,1,NULL,NULL,NULL),(25,308,1,11,21,NULL,NULL,NULL,NULL),(25,308,1,11,22,NULL,1,NULL,NULL),(25,308,1,11,23,NULL,1,NULL,NULL),(25,308,1,11,24,NULL,NULL,NULL,NULL),(25,308,1,11,25,NULL,NULL,NULL,NULL),(25,308,1,11,26,NULL,NULL,NULL,NULL),(25,308,1,11,27,NULL,NULL,NULL,NULL),(25,308,1,11,28,NULL,1,NULL,NULL),(25,308,1,11,29,NULL,1,NULL,NULL),(25,308,1,11,30,NULL,NULL,NULL,NULL),(25,308,1,11,31,NULL,NULL,NULL,NULL),(25,308,1,11,32,NULL,NULL,NULL,NULL),(25,308,1,11,33,NULL,NULL,NULL,NULL),(25,308,1,11,34,NULL,NULL,NULL,NULL),(25,308,1,11,35,NULL,NULL,NULL,NULL),(25,308,1,11,36,NULL,NULL,NULL,NULL),(25,308,1,11,37,NULL,NULL,NULL,NULL),(25,308,1,11,38,NULL,1,NULL,NULL),(25,308,1,11,39,NULL,1,NULL,NULL),(25,308,1,11,40,NULL,1,NULL,NULL),(25,308,1,12,1,NULL,NULL,NULL,NULL),(25,308,1,12,2,NULL,NULL,NULL,NULL),(25,308,1,12,3,NULL,NULL,NULL,NULL),(25,308,1,12,4,NULL,NULL,NULL,NULL),(25,308,1,12,5,NULL,NULL,NULL,NULL),(25,308,1,12,6,NULL,NULL,NULL,NULL),(25,308,1,12,7,NULL,NULL,NULL,NULL),(25,308,1,12,8,NULL,NULL,NULL,NULL),(25,308,1,12,9,NULL,NULL,NULL,NULL),(25,308,1,12,10,NULL,NULL,NULL,NULL),(25,308,1,12,11,NULL,NULL,NULL,NULL),(25,308,1,12,12,NULL,NULL,NULL,NULL),(25,308,1,12,13,NULL,NULL,NULL,NULL),(25,308,1,12,14,NULL,NULL,NULL,NULL),(25,308,1,12,15,NULL,NULL,NULL,NULL),(25,308,1,12,16,NULL,NULL,NULL,NULL),(25,308,1,12,17,NULL,NULL,NULL,NULL),(25,308,1,12,18,NULL,NULL,NULL,NULL),(25,308,1,12,19,NULL,NULL,NULL,NULL),(25,308,1,12,20,NULL,NULL,NULL,NULL),(25,308,1,12,21,NULL,NULL,NULL,NULL),(25,308,1,12,22,NULL,NULL,NULL,NULL),(25,308,1,12,23,NULL,NULL,NULL,NULL),(25,308,1,12,24,NULL,NULL,NULL,NULL),(25,308,1,12,25,NULL,NULL,NULL,NULL),(25,308,1,12,26,NULL,NULL,NULL,NULL),(25,308,1,12,27,NULL,NULL,NULL,NULL),(25,308,1,12,28,NULL,NULL,NULL,NULL),(25,308,1,12,29,NULL,NULL,NULL,NULL),(25,308,1,12,30,NULL,NULL,NULL,NULL),(25,308,1,12,31,NULL,NULL,NULL,NULL),(25,308,1,12,32,NULL,NULL,NULL,NULL),(25,308,1,12,33,NULL,NULL,NULL,NULL),(25,308,1,12,34,NULL,NULL,NULL,NULL),(25,308,1,12,35,NULL,NULL,NULL,NULL),(25,308,1,12,36,NULL,NULL,NULL,NULL),(25,308,1,12,37,NULL,NULL,NULL,NULL),(25,308,1,12,38,NULL,NULL,NULL,NULL),(25,308,1,12,39,NULL,NULL,NULL,NULL),(25,308,1,12,40,NULL,NULL,NULL,NULL),(25,308,1,13,1,NULL,NULL,NULL,NULL),(25,308,1,13,2,NULL,NULL,NULL,NULL),(25,308,1,13,3,NULL,NULL,NULL,NULL),(25,308,1,13,4,NULL,NULL,NULL,NULL),(25,308,1,13,5,NULL,NULL,NULL,NULL),(25,308,1,13,6,NULL,NULL,NULL,NULL),(25,308,1,13,7,NULL,NULL,NULL,NULL),(25,308,1,13,8,NULL,NULL,NULL,NULL),(25,308,1,13,9,NULL,NULL,NULL,NULL),(25,308,1,13,10,NULL,NULL,NULL,NULL),(25,308,1,13,11,NULL,NULL,NULL,NULL),(25,308,1,13,12,NULL,NULL,NULL,NULL),(25,308,1,13,13,NULL,NULL,NULL,NULL),(25,308,1,13,14,NULL,NULL,NULL,NULL),(25,308,1,13,15,NULL,NULL,NULL,NULL),(25,308,1,13,16,NULL,NULL,NULL,NULL),(25,308,1,13,17,NULL,NULL,NULL,NULL),(25,308,1,13,18,NULL,NULL,NULL,NULL),(25,308,1,13,19,NULL,NULL,NULL,NULL),(25,308,1,13,20,NULL,NULL,NULL,NULL),(25,308,1,13,21,NULL,NULL,NULL,NULL),(25,308,1,13,22,NULL,NULL,NULL,NULL),(25,308,1,13,23,NULL,NULL,NULL,NULL),(25,308,1,13,24,NULL,NULL,NULL,NULL),(25,308,1,13,25,NULL,NULL,NULL,NULL),(25,308,1,13,26,NULL,NULL,NULL,NULL),(25,308,1,13,27,NULL,NULL,NULL,NULL),(25,308,1,13,28,NULL,NULL,NULL,NULL),(25,308,1,13,29,NULL,NULL,NULL,NULL),(25,308,1,13,30,NULL,NULL,NULL,NULL),(25,308,1,13,31,NULL,NULL,NULL,NULL),(25,308,1,13,32,NULL,NULL,NULL,NULL),(25,308,1,13,33,NULL,NULL,NULL,NULL),(25,308,1,13,34,NULL,NULL,NULL,NULL),(25,308,1,13,35,NULL,NULL,NULL,NULL),(25,308,1,13,36,NULL,NULL,NULL,NULL),(25,308,1,13,37,NULL,NULL,NULL,NULL),(25,308,1,13,38,NULL,NULL,NULL,NULL),(25,308,1,13,39,NULL,NULL,NULL,NULL),(25,308,1,13,40,NULL,NULL,NULL,NULL),(25,308,1,14,1,8,13,6,9),(25,308,1,14,2,2,5,2,5),(25,308,1,14,3,3,2,3,2),(25,308,1,14,4,9,13,6,9),(25,308,1,14,5,1,12,NULL,9),(25,308,1,14,6,2,10,2,8),(25,308,1,14,7,7,19,5,14),(25,308,1,14,8,7,8,5,6),(25,308,1,14,9,7,11,6,10),(25,308,1,14,10,NULL,4,NULL,2),(25,308,1,14,11,4,4,2,3),(25,308,1,14,12,2,3,2,1),(25,308,1,14,13,4,4,4,4),(25,308,1,14,14,6,5,4,3),(25,308,1,14,15,9,6,6,4),(25,308,1,14,16,2,4,1,4),(25,308,1,14,17,8,1,7,1),(25,308,1,14,18,8,2,6,1),(25,308,1,14,19,8,16,7,10),(25,308,1,14,20,5,3,5,1),(25,308,1,14,21,2,12,1,8),(25,308,1,14,22,3,7,2,4),(25,308,1,14,23,4,4,2,3),(25,308,1,14,24,2,5,1,4),(25,308,1,14,25,1,4,1,2),(25,308,1,14,26,4,NULL,3,NULL),(25,308,1,14,27,NULL,NULL,NULL,NULL),(25,308,1,14,28,3,12,3,9),(25,308,1,14,29,2,5,1,3),(25,308,1,14,30,2,1,NULL,1),(25,308,1,14,31,NULL,7,NULL,4),(25,308,1,14,32,1,2,1,1),(25,308,1,14,33,2,4,1,3),(25,308,1,14,34,2,7,1,5),(25,308,1,14,35,1,3,1,2),(25,308,1,14,36,2,7,2,6),(25,308,1,14,37,3,3,3,1),(25,308,1,14,38,1,12,1,9),(25,308,1,14,39,2,7,2,6),(25,308,1,14,40,NULL,4,NULL,2),(25,308,1,15,1,7,6,3,4),(25,308,1,15,2,2,9,1,4),(25,308,1,15,3,2,2,1,2),(25,308,1,15,4,10,5,8,4),(25,308,1,15,5,3,8,1,6),(25,308,1,15,6,6,5,2,4),(25,308,1,15,7,6,13,3,8),(25,308,1,15,8,3,11,1,6),(25,308,1,15,9,2,4,2,3),(25,308,1,15,10,2,1,1,1),(25,308,1,15,11,1,4,NULL,2),(25,308,1,15,12,3,2,2,2),(25,308,1,15,13,3,NULL,2,NULL),(25,308,1,15,14,2,6,2,4),(25,308,1,15,15,5,6,4,5),(25,308,1,15,16,NULL,7,NULL,5),(25,308,1,15,17,3,8,3,4),(25,308,1,15,18,5,3,4,2),(25,308,1,15,19,3,7,1,7),(25,308,1,15,20,2,3,2,2),(25,308,1,15,21,2,8,2,7),(25,308,1,15,22,1,7,NULL,6),(25,308,1,15,23,NULL,3,NULL,2),(25,308,1,15,24,2,4,1,3),(25,308,1,15,25,1,2,1,1),(25,308,1,15,26,NULL,NULL,NULL,NULL),(25,308,1,15,27,NULL,NULL,NULL,NULL),(25,308,1,15,28,1,9,NULL,7),(25,308,1,15,29,NULL,5,NULL,4),(25,308,1,15,30,3,2,1,1),(25,308,1,15,31,NULL,2,NULL,2),(25,308,1,15,32,NULL,2,NULL,1),(25,308,1,15,33,NULL,4,NULL,1),(25,308,1,15,34,NULL,6,NULL,3),(25,308,1,15,35,NULL,2,NULL,1),(25,308,1,15,36,NULL,3,NULL,1),(25,308,1,15,37,1,4,1,2),(25,308,1,15,38,2,12,1,7),(25,308,1,15,39,NULL,6,NULL,3),(25,308,1,15,40,1,2,1,1),(25,308,1,16,1,10,19,7,9),(25,308,1,16,2,3,13,NULL,6),(25,308,1,16,3,3,8,2,5),(25,308,1,16,4,17,16,10,8),(25,308,1,16,5,1,13,NULL,6),(25,308,1,16,6,9,13,6,8),(25,308,1,16,7,4,34,1,16),(25,308,1,16,8,10,13,7,6),(25,308,1,16,9,5,11,3,3),(25,308,1,16,10,3,6,1,3),(25,308,1,16,11,5,11,1,4),(25,308,1,16,12,8,6,3,3),(25,308,1,16,13,13,10,7,9),(25,308,1,16,14,7,11,5,4),(25,308,1,16,15,30,NULL,15,NULL),(25,308,1,16,16,8,17,5,8),(25,308,1,16,17,NULL,25,NULL,11),(25,308,1,16,18,9,35,3,21),(25,308,1,16,19,NULL,29,NULL,12),(25,308,1,16,20,27,NULL,14,NULL),(25,308,1,16,21,7,10,4,5),(25,308,1,16,22,2,15,1,10),(25,308,1,16,23,3,11,1,8),(25,308,1,16,24,2,4,NULL,2),(25,308,1,16,25,1,5,1,NULL),(25,308,1,16,26,2,NULL,1,NULL),(25,308,1,16,27,2,NULL,2,NULL),(25,308,1,16,28,14,13,5,11),(25,308,1,16,29,NULL,10,NULL,5),(25,308,1,16,30,NULL,7,NULL,5),(25,308,1,16,31,NULL,4,NULL,4),(25,308,1,16,32,1,3,1,2),(25,308,1,16,33,3,7,NULL,4),(25,308,1,16,34,4,10,2,7),(25,308,1,16,35,NULL,10,NULL,5),(25,308,1,16,36,NULL,9,NULL,3),(25,308,1,16,37,4,10,2,4),(25,308,1,16,38,4,24,2,13),(25,308,1,16,39,NULL,20,NULL,11),(25,308,1,16,40,1,5,1,2),(25,308,1,17,1,10,13,5,3),(25,308,1,17,2,2,11,1,4),(25,308,1,17,3,4,7,1,2),(25,308,1,17,4,14,18,4,6),(25,308,1,17,5,2,10,1,4),(25,308,1,17,6,7,13,2,4),(25,308,1,17,7,6,28,4,10),(25,308,1,17,8,8,6,5,2),(25,308,1,17,9,11,16,6,8),(25,308,1,17,10,NULL,2,NULL,NULL),(25,308,1,17,11,4,11,1,4),(25,308,1,17,12,6,4,1,2),(25,308,1,17,13,7,11,3,3),(25,308,1,17,14,5,12,3,3),(25,308,1,17,15,30,NULL,13,NULL),(25,308,1,17,16,9,15,6,4),(25,308,1,17,17,1,23,NULL,9),(25,308,1,17,18,10,27,3,12),(25,308,1,17,19,2,15,2,5),(25,308,1,17,20,21,NULL,11,NULL),(25,308,1,17,21,2,11,2,1),(25,308,1,17,22,7,11,3,4),(25,308,1,17,23,1,5,NULL,3),(25,308,1,17,24,NULL,9,NULL,3),(25,308,1,17,25,1,3,NULL,NULL),(25,308,1,17,26,NULL,NULL,NULL,NULL),(25,308,1,17,27,2,NULL,NULL,NULL),(25,308,1,17,28,4,19,3,10),(25,308,1,17,29,3,6,3,1),(25,308,1,17,30,5,6,1,2),(25,308,1,17,31,1,5,NULL,1),(25,308,1,17,32,NULL,2,NULL,NULL),(25,308,1,17,33,5,4,2,4),(25,308,1,17,34,4,10,1,5),(25,308,1,17,35,4,11,3,4),(25,308,1,17,36,2,4,1,2),(25,308,1,17,37,4,5,1,2),(25,308,1,17,38,1,13,1,7),(25,308,1,17,39,NULL,12,NULL,5),(25,308,1,17,40,1,4,1,2),(25,308,2,21,1,NULL,11,NULL,5),(25,308,2,21,2,2,9,1,4),(25,308,2,21,3,4,7,4,2),(25,308,2,21,4,3,6,NULL,2),(25,308,2,21,5,2,9,1,4),(25,308,2,21,6,NULL,5,NULL,4),(25,308,2,21,7,5,10,2,3),(25,308,2,21,8,5,2,4,2),(25,308,2,21,9,8,10,6,5),(25,308,2,21,10,2,6,2,4),(25,308,2,21,11,4,31,1,14),(25,308,2,21,12,3,13,1,2),(25,308,2,21,13,11,14,8,4),(25,308,2,21,14,4,11,2,7),(25,308,2,21,15,4,11,2,4),(25,308,2,21,16,2,11,1,6),(25,308,2,21,17,5,19,2,7),(25,308,2,21,18,10,11,4,6),(25,308,2,21,19,NULL,13,NULL,8),(25,308,2,21,20,3,10,1,5),(25,308,2,21,21,1,8,1,3),(25,308,2,21,22,NULL,1,NULL,NULL),(25,308,2,21,23,1,4,NULL,1),(25,308,2,21,24,NULL,5,NULL,3),(25,308,2,21,25,2,NULL,1,NULL),(25,308,2,21,26,1,6,NULL,3),(25,308,2,21,27,NULL,7,NULL,2),(25,308,2,21,28,1,2,NULL,1),(25,308,2,21,29,2,14,1,6),(25,308,2,21,30,2,10,1,5),(25,308,2,21,31,1,2,1,1),(25,308,2,21,32,1,7,NULL,1),(25,308,2,21,33,3,10,2,5),(25,308,2,21,34,1,3,NULL,2),(25,308,2,21,35,7,11,4,5),(25,308,2,21,36,6,9,2,4),(25,308,2,21,37,NULL,7,NULL,2),(25,308,2,21,38,6,8,4,5),(25,308,2,21,39,3,NULL,2,NULL),(25,308,2,21,40,1,2,1,1),(25,308,2,22,1,NULL,11,NULL,4),(25,308,2,22,2,1,11,1,6),(25,308,2,22,3,4,5,3,1),(25,308,2,22,4,3,8,3,5),(25,308,2,22,5,3,11,3,3),(25,308,2,22,6,2,4,1,NULL),(25,308,2,22,7,3,4,2,2),(25,308,2,22,8,5,9,3,4),(25,308,2,22,9,12,10,9,5),(25,308,2,22,10,NULL,7,NULL,1),(25,308,2,22,11,NULL,27,NULL,15),(25,308,2,22,12,1,7,1,5),(25,308,2,22,13,11,10,7,6),(25,308,2,22,14,4,8,4,2),(25,308,2,22,15,6,12,2,6),(25,308,2,22,16,NULL,10,NULL,9),(25,308,2,22,17,1,19,1,10),(25,308,2,22,18,5,8,4,3),(25,308,2,22,19,NULL,14,NULL,7),(25,308,2,22,20,1,12,1,6),(25,308,2,22,21,NULL,6,NULL,2),(25,308,2,22,22,NULL,1,NULL,NULL),(25,308,2,22,23,3,3,2,2),(25,308,2,22,24,2,6,2,4),(25,308,2,22,25,2,NULL,1,NULL),(25,308,2,22,26,1,1,1,1),(25,308,2,22,27,1,7,NULL,2),(25,308,2,22,28,NULL,3,NULL,1),(25,308,2,22,29,2,3,1,NULL),(25,308,2,22,30,3,7,NULL,4),(25,308,2,22,31,4,2,3,2),(25,308,2,22,32,3,4,1,3),(25,308,2,22,33,3,8,2,4),(25,308,2,22,34,1,3,1,NULL),(25,308,2,22,35,1,4,NULL,1),(25,308,2,22,36,3,11,3,3),(25,308,2,22,37,NULL,9,NULL,5),(25,308,2,22,38,6,10,5,2),(25,308,2,22,39,5,NULL,5,NULL),(25,308,2,22,40,NULL,1,NULL,NULL),(25,308,2,23,1,2,6,2,1),(25,308,2,23,2,NULL,10,NULL,5),(25,308,2,23,3,2,7,1,5),(25,308,2,23,4,3,9,2,7),(25,308,2,23,5,5,12,4,9),(25,308,2,23,6,1,11,1,6),(25,308,2,23,7,1,8,1,7),(25,308,2,23,8,10,14,7,9),(25,308,2,23,9,6,12,6,9),(25,308,2,23,10,2,12,2,8),(25,308,2,23,11,1,25,NULL,14),(25,308,2,23,12,1,7,1,7),(25,308,2,23,13,7,11,7,9),(25,308,2,23,14,2,12,1,6),(25,308,2,23,15,2,10,2,8),(25,308,2,23,16,1,8,1,7),(25,308,2,23,17,5,9,2,4),(25,308,2,23,18,9,14,4,10),(25,308,2,23,19,1,9,1,6),(25,308,2,23,20,4,11,4,9),(25,308,2,23,21,1,7,NULL,5),(25,308,2,23,22,NULL,4,NULL,1),(25,308,2,23,23,1,4,NULL,3),(25,308,2,23,24,1,7,1,6),(25,308,2,23,25,3,NULL,2,NULL),(25,308,2,23,26,NULL,3,NULL,3),(25,308,2,23,27,NULL,3,NULL,2),(25,308,2,23,28,NULL,2,NULL,2),(25,308,2,23,29,2,9,NULL,6),(25,308,2,23,30,2,2,NULL,1),(25,308,2,23,31,5,3,4,2),(25,308,2,23,32,NULL,7,NULL,6),(25,308,2,23,33,2,7,2,6),(25,308,2,23,34,2,3,NULL,3),(25,308,2,23,35,NULL,11,NULL,9),(25,308,2,23,36,2,9,1,4),(25,308,2,23,37,4,11,1,8),(25,308,2,23,38,8,6,6,5),(25,308,2,23,39,4,NULL,4,NULL),(25,308,2,23,40,2,2,NULL,1),(25,308,2,24,1,1,11,1,3),(25,308,2,24,2,2,10,2,3),(25,308,2,24,3,4,11,2,5),(25,308,2,24,4,2,8,1,2),(25,308,2,24,5,3,5,2,2),(25,308,2,24,6,NULL,10,NULL,5),(25,308,2,24,7,3,3,2,NULL),(25,308,2,24,8,3,9,2,2),(25,308,2,24,9,4,14,2,6),(25,308,2,24,10,2,5,NULL,2),(25,308,2,24,11,NULL,21,NULL,7),(25,308,2,24,12,4,7,3,2),(25,308,2,24,13,8,5,3,2),(25,308,2,24,14,NULL,9,NULL,4),(25,308,2,24,15,2,14,1,7),(25,308,2,24,16,5,6,1,2),(25,308,2,24,17,3,8,1,2),(25,308,2,24,18,6,9,3,5),(25,308,2,24,19,NULL,4,NULL,3),(25,308,2,24,20,3,14,1,5),(25,308,2,24,21,NULL,10,NULL,2),(25,308,2,24,22,NULL,2,NULL,NULL),(25,308,2,24,23,NULL,4,NULL,2),(25,308,2,24,24,2,7,NULL,2),(25,308,2,24,25,4,NULL,1,NULL),(25,308,2,24,26,NULL,3,NULL,NULL),(25,308,2,24,27,NULL,4,NULL,1),(25,308,2,24,28,NULL,5,NULL,1),(25,308,2,24,29,1,8,NULL,3),(25,308,2,24,30,3,7,3,2),(25,308,2,24,31,2,2,2,NULL),(25,308,2,24,32,NULL,7,NULL,3),(25,308,2,24,33,3,4,2,2),(25,308,2,24,34,NULL,1,NULL,NULL),(25,308,2,24,35,NULL,9,NULL,5),(25,308,2,24,36,3,10,2,2),(25,308,2,24,37,1,4,1,2),(25,308,2,24,38,2,8,2,4),(25,308,2,24,39,3,NULL,NULL,NULL),(25,308,2,24,40,1,3,NULL,3),(25,309,1,11,1,NULL,NULL,NULL,NULL),(25,309,1,11,2,NULL,NULL,NULL,NULL),(25,309,1,11,3,NULL,NULL,NULL,NULL),(25,309,1,11,4,1,NULL,1,NULL),(25,309,1,11,5,NULL,NULL,NULL,NULL),(25,309,1,11,6,1,NULL,1,NULL),(25,309,1,11,7,1,NULL,1,NULL),(25,309,1,11,8,NULL,NULL,NULL,NULL),(25,309,1,11,9,NULL,NULL,NULL,NULL),(25,309,1,11,10,NULL,NULL,NULL,NULL),(25,309,1,11,11,NULL,NULL,NULL,NULL),(25,309,1,11,12,NULL,NULL,NULL,NULL),(25,309,1,11,13,NULL,NULL,NULL,NULL),(25,309,1,11,14,NULL,NULL,NULL,NULL),(25,309,1,11,15,NULL,NULL,NULL,NULL),(25,309,1,11,16,NULL,NULL,NULL,NULL),(25,309,1,11,17,NULL,NULL,NULL,NULL),(25,309,1,11,18,NULL,NULL,NULL,NULL),(25,309,1,11,19,NULL,NULL,NULL,NULL),(25,309,1,11,20,NULL,NULL,NULL,NULL),(25,309,1,11,21,NULL,NULL,NULL,NULL),(25,309,1,11,22,NULL,NULL,NULL,NULL),(25,309,1,11,23,NULL,NULL,NULL,NULL),(25,309,1,11,24,NULL,NULL,NULL,NULL),(25,309,1,11,25,NULL,NULL,NULL,NULL),(25,309,1,11,26,NULL,NULL,NULL,NULL),(25,309,1,11,27,NULL,NULL,NULL,NULL),(25,309,1,11,28,NULL,NULL,NULL,NULL),(25,309,1,11,29,NULL,NULL,NULL,NULL),(25,309,1,11,30,NULL,NULL,NULL,NULL),(25,309,1,11,31,NULL,NULL,NULL,NULL),(25,309,1,11,32,NULL,NULL,NULL,NULL),(25,309,1,11,33,NULL,NULL,NULL,NULL),(25,309,1,11,34,NULL,NULL,NULL,NULL),(25,309,1,11,35,NULL,NULL,NULL,NULL),(25,309,1,11,36,NULL,NULL,NULL,NULL),(25,309,1,11,37,NULL,NULL,NULL,NULL),(25,309,1,11,38,NULL,NULL,NULL,NULL),(25,309,1,11,39,NULL,NULL,NULL,NULL),(25,309,1,11,40,NULL,NULL,NULL,NULL),(25,309,1,12,1,NULL,NULL,NULL,NULL),(25,309,1,12,2,NULL,NULL,NULL,NULL),(25,309,1,12,3,NULL,NULL,NULL,NULL),(25,309,1,12,4,NULL,NULL,NULL,NULL),(25,309,1,12,5,NULL,NULL,NULL,NULL),(25,309,1,12,6,NULL,NULL,NULL,NULL),(25,309,1,12,7,NULL,NULL,NULL,NULL),(25,309,1,12,8,NULL,NULL,NULL,NULL),(25,309,1,12,9,NULL,NULL,NULL,NULL),(25,309,1,12,10,NULL,NULL,NULL,NULL),(25,309,1,12,11,NULL,NULL,NULL,NULL),(25,309,1,12,12,NULL,NULL,NULL,NULL),(25,309,1,12,13,NULL,NULL,NULL,NULL),(25,309,1,12,14,NULL,NULL,NULL,NULL),(25,309,1,12,15,NULL,NULL,NULL,NULL),(25,309,1,12,16,NULL,NULL,NULL,NULL),(25,309,1,12,17,NULL,NULL,NULL,NULL),(25,309,1,12,18,NULL,NULL,NULL,NULL),(25,309,1,12,19,NULL,NULL,NULL,NULL),(25,309,1,12,20,NULL,NULL,NULL,NULL),(25,309,1,12,21,NULL,NULL,NULL,NULL),(25,309,1,12,22,NULL,NULL,NULL,NULL),(25,309,1,12,23,NULL,NULL,NULL,NULL),(25,309,1,12,24,NULL,NULL,NULL,NULL),(25,309,1,12,25,NULL,NULL,NULL,NULL),(25,309,1,12,26,NULL,NULL,NULL,NULL),(25,309,1,12,27,NULL,NULL,NULL,NULL),(25,309,1,12,28,NULL,NULL,NULL,NULL),(25,309,1,12,29,NULL,NULL,NULL,NULL),(25,309,1,12,30,NULL,NULL,NULL,NULL),(25,309,1,12,31,NULL,NULL,NULL,NULL),(25,309,1,12,32,NULL,NULL,NULL,NULL),(25,309,1,12,33,NULL,NULL,NULL,NULL),(25,309,1,12,34,NULL,NULL,NULL,NULL),(25,309,1,12,35,NULL,NULL,NULL,NULL),(25,309,1,12,36,NULL,NULL,NULL,NULL),(25,309,1,12,37,NULL,NULL,NULL,NULL),(25,309,1,12,38,NULL,NULL,NULL,NULL),(25,309,1,12,39,NULL,NULL,NULL,NULL),(25,309,1,12,40,NULL,NULL,NULL,NULL),(25,309,1,13,1,NULL,NULL,NULL,NULL),(25,309,1,13,2,NULL,NULL,NULL,NULL),(25,309,1,13,3,NULL,NULL,NULL,NULL),(25,309,1,13,4,NULL,NULL,NULL,NULL),(25,309,1,13,5,NULL,NULL,NULL,NULL),(25,309,1,13,6,NULL,NULL,NULL,NULL),(25,309,1,13,7,NULL,NULL,NULL,NULL),(25,309,1,13,8,NULL,NULL,NULL,NULL),(25,309,1,13,9,NULL,NULL,NULL,NULL),(25,309,1,13,10,NULL,NULL,NULL,NULL),(25,309,1,13,11,NULL,NULL,NULL,NULL),(25,309,1,13,12,NULL,NULL,NULL,NULL),(25,309,1,13,13,NULL,NULL,NULL,NULL),(25,309,1,13,14,NULL,NULL,NULL,NULL),(25,309,1,13,15,NULL,NULL,NULL,NULL),(25,309,1,13,16,NULL,NULL,NULL,NULL),(25,309,1,13,17,NULL,NULL,NULL,NULL),(25,309,1,13,18,NULL,NULL,NULL,NULL),(25,309,1,13,19,NULL,NULL,NULL,NULL),(25,309,1,13,20,NULL,NULL,NULL,NULL),(25,309,1,13,21,NULL,NULL,NULL,NULL),(25,309,1,13,22,NULL,NULL,NULL,NULL),(25,309,1,13,23,NULL,NULL,NULL,NULL),(25,309,1,13,24,NULL,NULL,NULL,NULL),(25,309,1,13,25,NULL,NULL,NULL,NULL),(25,309,1,13,26,NULL,NULL,NULL,NULL),(25,309,1,13,27,NULL,NULL,NULL,NULL),(25,309,1,13,28,NULL,NULL,NULL,NULL),(25,309,1,13,29,NULL,NULL,NULL,NULL),(25,309,1,13,30,NULL,NULL,NULL,NULL),(25,309,1,13,31,NULL,NULL,NULL,NULL),(25,309,1,13,32,NULL,NULL,NULL,NULL),(25,309,1,13,33,NULL,NULL,NULL,NULL),(25,309,1,13,34,NULL,NULL,NULL,NULL),(25,309,1,13,35,NULL,NULL,NULL,NULL),(25,309,1,13,36,NULL,NULL,NULL,NULL),(25,309,1,13,37,NULL,NULL,NULL,NULL),(25,309,1,13,38,NULL,NULL,NULL,NULL),(25,309,1,13,39,NULL,NULL,NULL,NULL),(25,309,1,13,40,NULL,NULL,NULL,NULL),(25,309,1,14,1,NULL,3,NULL,1),(25,309,1,14,2,2,2,NULL,2),(25,309,1,14,3,1,2,1,1),(25,309,1,14,4,4,3,2,3),(25,309,1,14,5,NULL,3,NULL,3),(25,309,1,14,6,1,2,1,2),(25,309,1,14,7,3,2,1,NULL),(25,309,1,14,8,NULL,2,NULL,1),(25,309,1,14,9,1,1,1,1),(25,309,1,14,10,NULL,NULL,NULL,NULL),(25,309,1,14,11,1,2,1,1),(25,309,1,14,12,1,1,NULL,1),(25,309,1,14,13,NULL,2,NULL,1),(25,309,1,14,14,1,2,1,1),(25,309,1,14,15,2,3,2,NULL),(25,309,1,14,16,1,1,1,NULL),(25,309,1,14,17,NULL,1,NULL,1),(25,309,1,14,18,NULL,1,NULL,1),(25,309,1,14,19,2,5,1,3),(25,309,1,14,20,2,1,1,NULL),(25,309,1,14,21,1,3,1,1),(25,309,1,14,22,1,1,1,1),(25,309,1,14,23,1,2,1,2),(25,309,1,14,24,2,1,1,1),(25,309,1,14,25,1,NULL,NULL,NULL),(25,309,1,14,26,2,NULL,1,NULL),(25,309,1,14,27,1,NULL,1,NULL),(25,309,1,14,28,1,2,1,2),(25,309,1,14,29,1,2,1,1),(25,309,1,14,30,NULL,1,NULL,1),(25,309,1,14,31,NULL,NULL,NULL,NULL),(25,309,1,14,32,1,NULL,1,NULL),(25,309,1,14,33,NULL,1,NULL,1),(25,309,1,14,34,NULL,1,NULL,NULL),(25,309,1,14,35,NULL,NULL,NULL,NULL),(25,309,1,14,36,NULL,5,NULL,2),(25,309,1,14,37,1,2,1,1),(25,309,1,14,38,2,3,1,2),(25,309,1,14,39,NULL,2,NULL,2),(25,309,1,14,40,NULL,NULL,NULL,NULL),(25,309,1,15,1,2,2,2,2),(25,309,1,15,2,NULL,NULL,NULL,NULL),(25,309,1,15,3,2,1,2,1),(25,309,1,15,4,7,1,5,1),(25,309,1,15,5,2,1,1,1),(25,309,1,15,6,1,2,1,1),(25,309,1,15,7,NULL,4,NULL,2),(25,309,1,15,8,1,NULL,1,NULL),(25,309,1,15,9,1,1,1,NULL),(25,309,1,15,10,1,2,NULL,2),(25,309,1,15,11,NULL,NULL,NULL,NULL),(25,309,1,15,12,NULL,1,NULL,1),(25,309,1,15,13,1,1,1,1),(25,309,1,15,14,NULL,2,NULL,2),(25,309,1,15,15,3,NULL,1,NULL),(25,309,1,15,16,2,NULL,2,NULL),(25,309,1,15,17,NULL,NULL,NULL,NULL),(25,309,1,15,18,4,NULL,3,NULL),(25,309,1,15,19,2,4,1,4),(25,309,1,15,20,1,1,1,1),(25,309,1,15,21,1,1,1,1),(25,309,1,15,22,1,1,1,1),(25,309,1,15,23,NULL,3,NULL,2),(25,309,1,15,24,1,3,NULL,3),(25,309,1,15,25,2,1,1,1),(25,309,1,15,26,1,NULL,1,NULL),(25,309,1,15,27,NULL,NULL,NULL,NULL),(25,309,1,15,28,2,2,1,1),(25,309,1,15,29,NULL,2,NULL,1),(25,309,1,15,30,NULL,2,NULL,2),(25,309,1,15,31,NULL,NULL,NULL,NULL),(25,309,1,15,32,NULL,1,NULL,NULL),(25,309,1,15,33,1,3,1,3),(25,309,1,15,34,NULL,NULL,NULL,NULL),(25,309,1,15,35,NULL,NULL,NULL,NULL),(25,309,1,15,36,NULL,2,NULL,2),(25,309,1,15,37,1,1,1,NULL),(25,309,1,15,38,1,4,1,2),(25,309,1,15,39,NULL,3,NULL,3),(25,309,1,15,40,1,1,1,1),(25,309,1,16,1,11,5,8,4),(25,309,1,16,2,5,3,4,2),(25,309,1,16,3,5,6,3,2),(25,309,1,16,4,8,5,7,4),(25,309,1,16,5,2,9,1,6),(25,309,1,16,6,4,11,3,4),(25,309,1,16,7,4,20,3,11),(25,309,1,16,8,6,4,4,4),(25,309,1,16,9,5,7,3,5),(25,309,1,16,10,1,2,NULL,2),(25,309,1,16,11,4,13,2,8),(25,309,1,16,12,3,6,1,3),(25,309,1,16,13,9,3,4,2),(25,309,1,16,14,5,10,2,6),(25,309,1,16,15,21,NULL,13,NULL),(25,309,1,16,16,2,8,1,6),(25,309,1,16,17,1,21,NULL,13),(25,309,1,16,18,5,20,3,14),(25,309,1,16,19,NULL,12,NULL,7),(25,309,1,16,20,18,NULL,14,NULL),(25,309,1,16,21,3,7,1,6),(25,309,1,16,22,1,6,NULL,5),(25,309,1,16,23,NULL,5,NULL,4),(25,309,1,16,24,1,5,NULL,3),(25,309,1,16,25,5,2,4,2),(25,309,1,16,26,1,NULL,1,NULL),(25,309,1,16,27,NULL,NULL,NULL,NULL),(25,309,1,16,28,4,13,3,9),(25,309,1,16,29,3,4,NULL,2),(25,309,1,16,30,NULL,4,NULL,2),(25,309,1,16,31,NULL,1,NULL,1),(25,309,1,16,32,NULL,3,NULL,2),(25,309,1,16,33,3,6,3,4),(25,309,1,16,34,3,10,2,6),(25,309,1,16,35,NULL,2,NULL,2),(25,309,1,16,36,2,7,2,5),(25,309,1,16,37,1,3,NULL,2),(25,309,1,16,38,NULL,17,NULL,10),(25,309,1,16,39,3,9,3,6),(25,309,1,16,40,2,NULL,1,NULL),(25,309,1,17,1,4,13,4,12),(25,309,1,17,2,4,4,4,3),(25,309,1,17,3,4,10,3,8),(25,309,1,17,4,15,7,12,5),(25,309,1,17,5,2,10,1,9),(25,309,1,17,6,4,10,3,9),(25,309,1,17,7,2,18,2,14),(25,309,1,17,8,5,8,5,3),(25,309,1,17,9,3,11,2,9),(25,309,1,17,10,NULL,1,NULL,1),(25,309,1,17,11,5,3,5,1),(25,309,1,17,12,5,4,4,2),(25,309,1,17,13,8,3,6,1),(25,309,1,17,14,6,7,3,2),(25,309,1,17,15,17,NULL,12,NULL),(25,309,1,17,16,3,9,3,6),(25,309,1,17,17,NULL,18,NULL,11),(25,309,1,17,18,5,26,3,19),(25,309,1,17,19,1,9,1,5),(25,309,1,17,20,11,NULL,8,NULL),(25,309,1,17,21,NULL,9,NULL,9),(25,309,1,17,22,5,7,3,6),(25,309,1,17,23,3,6,2,4),(25,309,1,17,24,1,7,1,5),(25,309,1,17,25,NULL,4,NULL,3),(25,309,1,17,26,2,NULL,NULL,NULL),(25,309,1,17,27,2,NULL,2,NULL),(25,309,1,17,28,6,14,5,8),(25,309,1,17,29,3,2,3,2),(25,309,1,17,30,6,5,3,3),(25,309,1,17,31,1,2,1,2),(25,309,1,17,32,NULL,1,NULL,1),(25,309,1,17,33,1,5,1,3),(25,309,1,17,34,5,6,2,5),(25,309,1,17,35,3,6,1,4),(25,309,1,17,36,NULL,10,NULL,7),(25,309,1,17,37,3,5,2,NULL),(25,309,1,17,38,NULL,15,NULL,11),(25,309,1,17,39,NULL,11,NULL,8),(25,309,1,17,40,NULL,3,NULL,3),(25,309,2,21,1,2,3,1,2),(25,309,2,21,2,NULL,6,NULL,4),(25,309,2,21,3,2,9,1,4),(25,309,2,21,4,2,2,1,2),(25,309,2,21,5,3,4,2,2),(25,309,2,21,6,NULL,2,NULL,1),(25,309,2,21,7,1,3,NULL,2),(25,309,2,21,8,2,4,2,2),(25,309,2,21,9,3,12,2,8),(25,309,2,21,10,1,6,1,3),(25,309,2,21,11,NULL,13,NULL,8),(25,309,2,21,12,1,5,1,2),(25,309,2,21,13,7,3,6,1),(25,309,2,21,14,2,7,2,4),(25,309,2,21,15,4,7,1,5),(25,309,2,21,16,5,5,4,4),(25,309,2,21,17,3,7,3,4),(25,309,2,21,18,9,6,5,5),(25,309,2,21,19,1,8,1,6),(25,309,2,21,20,4,7,3,5),(25,309,2,21,21,NULL,2,NULL,1),(25,309,2,21,22,1,NULL,1,NULL),(25,309,2,21,23,NULL,3,NULL,2),(25,309,2,21,24,NULL,6,NULL,6),(25,309,2,21,25,1,NULL,1,NULL),(25,309,2,21,26,NULL,1,NULL,1),(25,309,2,21,27,1,2,1,2),(25,309,2,21,28,NULL,2,NULL,2),(25,309,2,21,29,1,4,1,4),(25,309,2,21,30,NULL,2,NULL,2),(25,309,2,21,31,3,1,2,NULL),(25,309,2,21,32,1,NULL,1,NULL),(25,309,2,21,33,2,6,1,6),(25,309,2,21,34,NULL,3,NULL,2),(25,309,2,21,35,1,3,1,2),(25,309,2,21,36,1,8,NULL,6),(25,309,2,21,37,NULL,1,NULL,1),(25,309,2,21,38,1,5,NULL,2),(25,309,2,21,39,3,NULL,1,NULL),(25,309,2,21,40,NULL,NULL,NULL,NULL),(25,309,2,22,1,NULL,6,NULL,5),(25,309,2,22,2,1,6,1,5),(25,309,2,22,3,4,3,4,3),(25,309,2,22,4,3,4,3,3),(25,309,2,22,5,2,7,2,7),(25,309,2,22,6,NULL,2,NULL,2),(25,309,2,22,7,3,1,3,NULL),(25,309,2,22,8,5,6,5,6),(25,309,2,22,9,4,6,3,6),(25,309,2,22,10,1,4,NULL,4),(25,309,2,22,11,NULL,14,NULL,13),(25,309,2,22,12,1,3,1,2),(25,309,2,22,13,8,5,8,4),(25,309,2,22,14,2,2,2,2),(25,309,2,22,15,1,5,NULL,5),(25,309,2,22,16,2,2,2,2),(25,309,2,22,17,3,7,3,6),(25,309,2,22,18,5,3,4,2),(25,309,2,22,19,1,5,NULL,5),(25,309,2,22,20,NULL,5,NULL,5),(25,309,2,22,21,1,6,1,5),(25,309,2,22,22,1,1,1,1),(25,309,2,22,23,1,1,1,1),(25,309,2,22,24,NULL,NULL,NULL,NULL),(25,309,2,22,25,NULL,NULL,NULL,NULL),(25,309,2,22,26,NULL,2,NULL,2),(25,309,2,22,27,NULL,1,NULL,1),(25,309,2,22,28,NULL,2,NULL,2),(25,309,2,22,29,NULL,3,NULL,2),(25,309,2,22,30,NULL,5,NULL,3),(25,309,2,22,31,1,NULL,1,NULL),(25,309,2,22,32,NULL,2,NULL,2),(25,309,2,22,33,NULL,NULL,NULL,NULL),(25,309,2,22,34,1,2,1,1),(25,309,2,22,35,1,2,NULL,2),(25,309,2,22,36,1,1,1,1),(25,309,2,22,37,1,3,1,3),(25,309,2,22,38,1,6,1,4),(25,309,2,22,39,1,NULL,NULL,NULL),(25,309,2,22,40,NULL,1,NULL,1),(25,309,2,23,1,NULL,3,NULL,NULL),(25,309,2,23,2,NULL,6,NULL,2),(25,309,2,23,3,2,7,1,3),(25,309,2,23,4,1,5,1,2),(25,309,2,23,5,3,2,1,1),(25,309,2,23,6,2,NULL,2,NULL),(25,309,2,23,7,1,3,NULL,1),(25,309,2,23,8,5,5,3,2),(25,309,2,23,9,5,9,4,4),(25,309,2,23,10,2,3,1,1),(25,309,2,23,11,2,15,2,6),(25,309,2,23,12,1,6,1,3),(25,309,2,23,13,7,7,7,1),(25,309,2,23,14,1,6,1,3),(25,309,2,23,15,3,3,2,1),(25,309,2,23,16,3,7,1,3),(25,309,2,23,17,3,10,1,4),(25,309,2,23,18,7,10,5,3),(25,309,2,23,19,1,2,1,2),(25,309,2,23,20,2,5,2,3),(25,309,2,23,21,NULL,4,NULL,2),(25,309,2,23,22,NULL,1,NULL,1),(25,309,2,23,23,NULL,3,NULL,NULL),(25,309,2,23,24,3,4,2,2),(25,309,2,23,25,4,NULL,NULL,NULL),(25,309,2,23,26,NULL,2,NULL,NULL),(25,309,2,23,27,1,4,1,3),(25,309,2,23,28,NULL,2,NULL,1),(25,309,2,23,29,2,5,1,3),(25,309,2,23,30,2,6,NULL,NULL),(25,309,2,23,31,1,NULL,1,NULL),(25,309,2,23,32,NULL,1,NULL,1),(25,309,2,23,33,NULL,4,NULL,2),(25,309,2,23,34,2,1,1,NULL),(25,309,2,23,35,NULL,2,NULL,NULL),(25,309,2,23,36,3,3,2,1),(25,309,2,23,37,NULL,4,NULL,2),(25,309,2,23,38,3,1,1,1),(25,309,2,23,39,NULL,NULL,NULL,NULL),(25,309,2,23,40,NULL,1,NULL,1),(25,309,2,24,1,1,5,1,1),(25,309,2,24,2,1,1,NULL,1),(25,309,2,24,3,2,10,2,6),(25,309,2,24,4,2,2,2,1),(25,309,2,24,5,2,6,2,4),(25,309,2,24,6,1,3,1,2),(25,309,2,24,7,2,2,2,2),(25,309,2,24,8,4,5,3,4),(25,309,2,24,9,8,3,6,1),(25,309,2,24,10,NULL,6,NULL,2),(25,309,2,24,11,3,13,3,7),(25,309,2,24,12,2,2,1,1),(25,309,2,24,13,13,4,10,3),(25,309,2,24,14,3,9,2,5),(25,309,2,24,15,2,7,2,6),(25,309,2,24,16,1,6,1,5),(25,309,2,24,17,2,10,2,7),(25,309,2,24,18,3,8,3,4),(25,309,2,24,19,NULL,4,NULL,4),(25,309,2,24,20,2,7,1,4),(25,309,2,24,21,2,3,1,2),(25,309,2,24,22,NULL,NULL,NULL,NULL),(25,309,2,24,23,NULL,1,NULL,1),(25,309,2,24,24,1,6,1,4),(25,309,2,24,25,2,NULL,1,NULL),(25,309,2,24,26,NULL,NULL,NULL,NULL),(25,309,2,24,27,1,7,1,4),(25,309,2,24,28,NULL,5,NULL,4),(25,309,2,24,29,1,7,1,2),(25,309,2,24,30,2,5,1,2),(25,309,2,24,31,1,1,1,1),(25,309,2,24,32,1,2,NULL,1),(25,309,2,24,33,2,4,2,3),(25,309,2,24,34,NULL,2,NULL,2),(25,309,2,24,35,1,6,1,6),(25,309,2,24,36,4,3,2,1),(25,309,2,24,37,1,3,NULL,2),(25,309,2,24,38,3,2,2,2),(25,309,2,24,39,2,NULL,1,NULL),(25,309,2,24,40,NULL,1,NULL,1),(25,310,1,11,1,NULL,NULL,NULL,NULL),(25,310,1,11,2,NULL,NULL,NULL,NULL),(25,310,1,11,3,NULL,NULL,NULL,NULL),(25,310,1,11,4,NULL,NULL,NULL,NULL),(25,310,1,11,5,NULL,NULL,NULL,NULL),(25,310,1,11,6,NULL,NULL,NULL,NULL),(25,310,1,11,7,NULL,NULL,NULL,NULL),(25,310,1,11,8,NULL,NULL,NULL,NULL),(25,310,1,11,9,NULL,NULL,NULL,NULL),(25,310,1,11,10,NULL,NULL,NULL,NULL),(25,310,1,11,11,NULL,NULL,NULL,NULL),(25,310,1,11,12,NULL,NULL,NULL,NULL),(25,310,1,11,13,NULL,NULL,NULL,NULL),(25,310,1,11,14,NULL,NULL,NULL,NULL),(25,310,1,11,15,NULL,NULL,NULL,NULL),(25,310,1,11,16,NULL,NULL,NULL,NULL),(25,310,1,11,17,NULL,NULL,NULL,NULL),(25,310,1,11,18,NULL,NULL,NULL,NULL),(25,310,1,11,19,NULL,NULL,NULL,NULL),(25,310,1,11,20,NULL,NULL,NULL,NULL),(25,310,1,11,21,NULL,NULL,NULL,NULL),(25,310,1,11,22,NULL,NULL,NULL,NULL),(25,310,1,11,23,NULL,NULL,NULL,NULL),(25,310,1,11,24,NULL,NULL,NULL,NULL),(25,310,1,11,25,NULL,NULL,NULL,NULL),(25,310,1,11,26,NULL,NULL,NULL,NULL),(25,310,1,11,27,NULL,NULL,NULL,NULL),(25,310,1,11,28,NULL,NULL,NULL,NULL),(25,310,1,11,29,NULL,NULL,NULL,NULL),(25,310,1,11,30,NULL,NULL,NULL,NULL),(25,310,1,11,31,NULL,NULL,NULL,NULL),(25,310,1,11,32,NULL,NULL,NULL,NULL),(25,310,1,11,33,NULL,NULL,NULL,NULL),(25,310,1,11,34,NULL,NULL,NULL,NULL),(25,310,1,11,35,NULL,NULL,NULL,NULL),(25,310,1,11,36,NULL,NULL,NULL,NULL),(25,310,1,11,37,NULL,NULL,NULL,NULL),(25,310,1,11,38,NULL,NULL,NULL,NULL),(25,310,1,11,39,NULL,NULL,NULL,NULL),(25,310,1,11,40,NULL,NULL,NULL,NULL),(25,310,1,12,1,NULL,NULL,NULL,NULL),(25,310,1,12,2,NULL,NULL,NULL,NULL),(25,310,1,12,3,NULL,NULL,NULL,NULL),(25,310,1,12,4,NULL,NULL,NULL,NULL),(25,310,1,12,5,NULL,NULL,NULL,NULL),(25,310,1,12,6,NULL,NULL,NULL,NULL),(25,310,1,12,7,NULL,NULL,NULL,NULL),(25,310,1,12,8,NULL,NULL,NULL,NULL),(25,310,1,12,9,NULL,NULL,NULL,NULL),(25,310,1,12,10,NULL,NULL,NULL,NULL),(25,310,1,12,11,NULL,NULL,NULL,NULL),(25,310,1,12,12,NULL,NULL,NULL,NULL),(25,310,1,12,13,NULL,NULL,NULL,NULL),(25,310,1,12,14,NULL,NULL,NULL,NULL),(25,310,1,12,15,NULL,NULL,NULL,NULL),(25,310,1,12,16,NULL,NULL,NULL,NULL),(25,310,1,12,17,NULL,NULL,NULL,NULL),(25,310,1,12,18,NULL,NULL,NULL,NULL),(25,310,1,12,19,NULL,NULL,NULL,NULL),(25,310,1,12,20,NULL,NULL,NULL,NULL),(25,310,1,12,21,NULL,NULL,NULL,NULL),(25,310,1,12,22,NULL,NULL,NULL,NULL),(25,310,1,12,23,NULL,NULL,NULL,NULL),(25,310,1,12,24,NULL,NULL,NULL,NULL),(25,310,1,12,25,NULL,NULL,NULL,NULL),(25,310,1,12,26,NULL,NULL,NULL,NULL),(25,310,1,12,27,NULL,NULL,NULL,NULL),(25,310,1,12,28,NULL,NULL,NULL,NULL),(25,310,1,12,29,NULL,NULL,NULL,NULL),(25,310,1,12,30,NULL,NULL,NULL,NULL),(25,310,1,12,31,NULL,NULL,NULL,NULL),(25,310,1,12,32,NULL,NULL,NULL,NULL),(25,310,1,12,33,NULL,NULL,NULL,NULL),(25,310,1,12,34,NULL,NULL,NULL,NULL),(25,310,1,12,35,NULL,NULL,NULL,NULL),(25,310,1,12,36,NULL,NULL,NULL,NULL),(25,310,1,12,37,NULL,NULL,NULL,NULL),(25,310,1,12,38,NULL,NULL,NULL,NULL),(25,310,1,12,39,NULL,NULL,NULL,NULL),(25,310,1,12,40,NULL,NULL,NULL,NULL),(25,310,1,13,1,NULL,NULL,NULL,NULL),(25,310,1,13,2,NULL,NULL,NULL,NULL),(25,310,1,13,3,NULL,NULL,NULL,NULL),(25,310,1,13,4,NULL,NULL,NULL,NULL),(25,310,1,13,5,NULL,NULL,NULL,NULL),(25,310,1,13,6,NULL,NULL,NULL,NULL),(25,310,1,13,7,NULL,NULL,NULL,NULL),(25,310,1,13,8,NULL,NULL,NULL,NULL),(25,310,1,13,9,NULL,NULL,NULL,NULL),(25,310,1,13,10,NULL,NULL,NULL,NULL),(25,310,1,13,11,NULL,NULL,NULL,NULL),(25,310,1,13,12,NULL,NULL,NULL,NULL),(25,310,1,13,13,NULL,NULL,NULL,NULL),(25,310,1,13,14,NULL,NULL,NULL,NULL),(25,310,1,13,15,NULL,NULL,NULL,NULL),(25,310,1,13,16,NULL,NULL,NULL,NULL),(25,310,1,13,17,NULL,NULL,NULL,NULL),(25,310,1,13,18,NULL,NULL,NULL,NULL),(25,310,1,13,19,NULL,NULL,NULL,NULL),(25,310,1,13,20,NULL,NULL,NULL,NULL),(25,310,1,13,21,NULL,NULL,NULL,NULL),(25,310,1,13,22,NULL,NULL,NULL,NULL),(25,310,1,13,23,NULL,NULL,NULL,NULL),(25,310,1,13,24,NULL,NULL,NULL,NULL),(25,310,1,13,25,NULL,NULL,NULL,NULL),(25,310,1,13,26,NULL,NULL,NULL,NULL),(25,310,1,13,27,NULL,NULL,NULL,NULL),(25,310,1,13,28,NULL,NULL,NULL,NULL),(25,310,1,13,29,NULL,NULL,NULL,NULL),(25,310,1,13,30,NULL,NULL,NULL,NULL),(25,310,1,13,31,NULL,NULL,NULL,NULL),(25,310,1,13,32,NULL,NULL,NULL,NULL),(25,310,1,13,33,NULL,NULL,NULL,NULL),(25,310,1,13,34,NULL,NULL,NULL,NULL),(25,310,1,13,35,NULL,NULL,NULL,NULL),(25,310,1,13,36,NULL,NULL,NULL,NULL),(25,310,1,13,37,NULL,NULL,NULL,NULL),(25,310,1,13,38,NULL,NULL,NULL,NULL),(25,310,1,13,39,NULL,NULL,NULL,NULL),(25,310,1,13,40,NULL,NULL,NULL,NULL),(25,310,1,14,1,4,11,3,9),(25,310,1,14,2,6,6,6,3),(25,310,1,14,3,5,4,5,1),(25,310,1,14,4,6,3,5,2),(25,310,1,14,5,4,4,3,3),(25,310,1,14,6,2,2,2,2),(25,310,1,14,7,4,9,3,7),(25,310,1,14,8,7,3,6,3),(25,310,1,14,9,4,3,4,2),(25,310,1,14,10,NULL,3,NULL,1),(25,310,1,14,11,3,3,3,3),(25,310,1,14,12,2,2,1,1),(25,310,1,14,13,2,3,2,2),(25,310,1,14,14,5,2,5,1),(25,310,1,14,15,5,1,5,1),(25,310,1,14,16,3,2,2,1),(25,310,1,14,17,7,NULL,7,NULL),(25,310,1,14,18,4,1,4,1),(25,310,1,14,19,5,6,5,3),(25,310,1,14,20,4,NULL,4,NULL),(25,310,1,14,21,3,3,3,2),(25,310,1,14,22,2,6,NULL,4),(25,310,1,14,23,1,2,1,2),(25,310,1,14,24,NULL,2,NULL,1),(25,310,1,14,25,1,3,1,2),(25,310,1,14,26,2,NULL,2,NULL),(25,310,1,14,27,NULL,NULL,NULL,NULL),(25,310,1,14,28,2,7,1,4),(25,310,1,14,29,1,1,NULL,NULL),(25,310,1,14,30,NULL,1,NULL,1),(25,310,1,14,31,NULL,2,NULL,2),(25,310,1,14,32,2,2,2,1),(25,310,1,14,33,3,2,3,2),(25,310,1,14,34,3,4,2,2),(25,310,1,14,35,2,3,2,2),(25,310,1,14,36,1,5,1,4),(25,310,1,14,37,1,3,1,1),(25,310,1,14,38,NULL,10,NULL,7),(25,310,1,14,39,1,6,NULL,6),(25,310,1,14,40,1,1,1,1),(25,310,1,15,1,6,5,4,3),(25,310,1,15,2,7,4,6,2),(25,310,1,15,3,2,3,1,1),(25,310,1,15,4,7,3,4,2),(25,310,1,15,5,NULL,6,NULL,6),(25,310,1,15,6,3,5,2,4),(25,310,1,15,7,5,5,4,2),(25,310,1,15,8,4,1,4,NULL),(25,310,1,15,9,3,2,2,2),(25,310,1,15,10,NULL,1,NULL,1),(25,310,1,15,11,4,1,2,1),(25,310,1,15,12,NULL,2,NULL,1),(25,310,1,15,13,3,3,3,3),(25,310,1,15,14,4,2,4,NULL),(25,310,1,15,15,5,2,4,1),(25,310,1,15,16,5,2,5,1),(25,310,1,15,17,6,1,5,1),(25,310,1,15,18,7,3,6,2),(25,310,1,15,19,5,6,4,5),(25,310,1,15,20,4,NULL,4,NULL),(25,310,1,15,21,NULL,4,NULL,2),(25,310,1,15,22,1,2,1,1),(25,310,1,15,23,1,3,1,1),(25,310,1,15,24,2,1,1,NULL),(25,310,1,15,25,1,NULL,1,NULL),(25,310,1,15,26,2,NULL,NULL,NULL),(25,310,1,15,27,1,NULL,1,NULL),(25,310,1,15,28,1,4,1,3),(25,310,1,15,29,1,1,1,1),(25,310,1,15,30,1,3,1,1),(25,310,1,15,31,1,1,1,1),(25,310,1,15,32,1,NULL,1,NULL),(25,310,1,15,33,2,1,1,NULL),(25,310,1,15,34,1,3,1,1),(25,310,1,15,35,2,3,1,3),(25,310,1,15,36,2,8,2,5),(25,310,1,15,37,2,2,2,2),(25,310,1,15,38,NULL,8,NULL,7),(25,310,1,15,39,2,3,1,3),(25,310,1,15,40,1,2,1,1),(25,310,1,16,1,7,7,4,5),(25,310,1,16,2,4,3,3,3),(25,310,1,16,3,2,2,1,2),(25,310,1,16,4,8,6,4,4),(25,310,1,16,5,NULL,5,NULL,3),(25,310,1,16,6,2,6,1,5),(25,310,1,16,7,3,12,1,9),(25,310,1,16,8,4,1,1,1),(25,310,1,16,9,5,4,3,3),(25,310,1,16,10,1,2,1,2),(25,310,1,16,11,3,2,1,2),(25,310,1,16,12,NULL,3,NULL,2),(25,310,1,16,13,9,2,6,2),(25,310,1,16,14,3,5,2,4),(25,310,1,16,15,7,NULL,4,NULL),(25,310,1,16,16,NULL,8,NULL,6),(25,310,1,16,17,NULL,10,NULL,6),(25,310,1,16,18,3,12,1,6),(25,310,1,16,19,1,8,1,3),(25,310,1,16,20,11,NULL,8,NULL),(25,310,1,16,21,2,5,2,5),(25,310,1,16,22,1,3,1,3),(25,310,1,16,23,NULL,1,NULL,1),(25,310,1,16,24,1,NULL,1,NULL),(25,310,1,16,25,1,3,NULL,2),(25,310,1,16,26,2,NULL,2,NULL),(25,310,1,16,27,NULL,NULL,NULL,NULL),(25,310,1,16,28,1,6,NULL,5),(25,310,1,16,29,1,1,1,1),(25,310,1,16,30,NULL,4,NULL,3),(25,310,1,16,31,1,2,1,NULL),(25,310,1,16,32,1,NULL,NULL,NULL),(25,310,1,16,33,NULL,1,NULL,1),(25,310,1,16,34,2,4,2,2),(25,310,1,16,35,1,2,NULL,2),(25,310,1,16,36,2,4,1,3),(25,310,1,16,37,5,NULL,5,NULL),(25,310,1,16,38,1,7,1,6),(25,310,1,16,39,NULL,2,NULL,1),(25,310,1,16,40,NULL,NULL,NULL,NULL),(25,310,1,17,1,4,8,3,4),(25,310,1,17,2,2,4,2,3),(25,310,1,17,3,3,2,2,NULL),(25,310,1,17,4,5,5,4,2),(25,310,1,17,5,1,3,1,1),(25,310,1,17,6,3,4,2,1),(25,310,1,17,7,2,7,2,1),(25,310,1,17,8,2,3,2,1),(25,310,1,17,9,3,6,1,4),(25,310,1,17,10,NULL,3,NULL,2),(25,310,1,17,11,2,2,NULL,1),(25,310,1,17,12,2,3,2,2),(25,310,1,17,13,6,5,2,5),(25,310,1,17,14,2,1,1,1),(25,310,1,17,15,7,NULL,5,NULL),(25,310,1,17,16,2,4,1,4),(25,310,1,17,17,4,2,3,NULL),(25,310,1,17,18,NULL,11,NULL,6),(25,310,1,17,19,NULL,6,NULL,3),(25,310,1,17,20,8,NULL,6,NULL),(25,310,1,17,21,NULL,6,NULL,5),(25,310,1,17,22,1,3,1,2),(25,310,1,17,23,1,1,1,1),(25,310,1,17,24,1,2,1,1),(25,310,1,17,25,NULL,2,NULL,1),(25,310,1,17,26,3,NULL,3,NULL),(25,310,1,17,27,NULL,NULL,NULL,NULL),(25,310,1,17,28,2,6,2,5),(25,310,1,17,29,NULL,1,NULL,1),(25,310,1,17,30,1,1,1,1),(25,310,1,17,31,NULL,3,NULL,2),(25,310,1,17,32,NULL,1,NULL,1),(25,310,1,17,33,NULL,4,NULL,2),(25,310,1,17,34,NULL,2,NULL,2),(25,310,1,17,35,2,1,NULL,1),(25,310,1,17,36,2,5,2,4),(25,310,1,17,37,2,2,2,1),(25,310,1,17,38,1,4,1,2),(25,310,1,17,39,1,3,1,1),(25,310,1,17,40,1,2,1,2),(25,310,2,21,1,2,2,2,1),(25,310,2,21,2,1,5,1,4),(25,310,2,21,3,3,3,3,2),(25,310,2,21,4,1,NULL,1,NULL),(25,310,2,21,5,2,3,2,NULL),(25,310,2,21,6,1,2,1,2),(25,310,2,21,7,2,4,1,3),(25,310,2,21,8,1,3,1,2),(25,310,2,21,9,10,3,7,1),(25,310,2,21,10,2,3,2,3),(25,310,2,21,11,1,12,NULL,6),(25,310,2,21,12,1,3,1,3),(25,310,2,21,13,9,2,6,2),(25,310,2,21,14,3,5,3,3),(25,310,2,21,15,3,2,3,1),(25,310,2,21,16,1,7,1,4),(25,310,2,21,17,3,4,1,4),(25,310,2,21,18,4,2,3,NULL),(25,310,2,21,19,1,4,NULL,3),(25,310,2,21,20,4,4,4,2),(25,310,2,21,21,NULL,2,NULL,2),(25,310,2,21,22,NULL,3,NULL,1),(25,310,2,21,23,NULL,3,NULL,3),(25,310,2,21,24,NULL,4,NULL,3),(25,310,2,21,25,1,NULL,1,NULL),(25,310,2,21,26,NULL,NULL,NULL,NULL),(25,310,2,21,27,NULL,1,NULL,1),(25,310,2,21,28,NULL,NULL,NULL,NULL),(25,310,2,21,29,NULL,1,NULL,1),(25,310,2,21,30,NULL,NULL,NULL,NULL),(25,310,2,21,31,5,NULL,5,NULL),(25,310,2,21,32,1,3,1,2),(25,310,2,21,33,1,2,1,2),(25,310,2,21,34,NULL,2,NULL,2),(25,310,2,21,35,NULL,3,NULL,2),(25,310,2,21,36,NULL,NULL,NULL,NULL),(25,310,2,21,37,NULL,1,NULL,1),(25,310,2,21,38,2,2,1,2),(25,310,2,21,39,2,NULL,1,NULL),(25,310,2,21,40,1,1,1,NULL),(25,310,2,22,1,NULL,4,NULL,1),(25,310,2,22,2,NULL,3,NULL,3),(25,310,2,22,3,2,2,1,2),(25,310,2,22,4,NULL,3,NULL,3),(25,310,2,22,5,5,1,3,NULL),(25,310,2,22,6,NULL,3,NULL,2),(25,310,2,22,7,NULL,3,NULL,2),(25,310,2,22,8,5,5,5,2),(25,310,2,22,9,6,3,5,1),(25,310,2,22,10,3,4,3,3),(25,310,2,22,11,2,11,1,4),(25,310,2,22,12,5,4,3,2),(25,310,2,22,13,9,2,6,2),(25,310,2,22,14,3,6,1,4),(25,310,2,22,15,8,5,4,2),(25,310,2,22,16,2,5,1,3),(25,310,2,22,17,1,9,NULL,3),(25,310,2,22,18,2,5,2,2),(25,310,2,22,19,1,6,NULL,3),(25,310,2,22,20,2,5,2,3),(25,310,2,22,21,NULL,3,NULL,3),(25,310,2,22,22,NULL,NULL,NULL,NULL),(25,310,2,22,23,NULL,1,NULL,1),(25,310,2,22,24,NULL,1,NULL,1),(25,310,2,22,25,1,NULL,1,NULL),(25,310,2,22,26,NULL,2,NULL,1),(25,310,2,22,27,1,2,1,NULL),(25,310,2,22,28,NULL,3,NULL,3),(25,310,2,22,29,NULL,NULL,NULL,NULL),(25,310,2,22,30,NULL,3,NULL,3),(25,310,2,22,31,1,3,1,3),(25,310,2,22,32,NULL,NULL,NULL,NULL),(25,310,2,22,33,2,2,1,1),(25,310,2,22,34,NULL,NULL,NULL,NULL),(25,310,2,22,35,NULL,3,NULL,3),(25,310,2,22,36,NULL,7,NULL,5),(25,310,2,22,37,1,2,NULL,1),(25,310,2,22,38,1,5,NULL,4),(25,310,2,22,39,5,NULL,4,NULL),(25,310,2,22,40,NULL,NULL,NULL,NULL),(25,310,2,23,1,NULL,3,NULL,2),(25,310,2,23,2,1,3,1,2),(25,310,2,23,3,1,7,1,6),(25,310,2,23,4,NULL,4,NULL,4),(25,310,2,23,5,2,4,2,3),(25,310,2,23,6,2,2,2,2),(25,310,2,23,7,1,1,1,1),(25,310,2,23,8,3,4,2,3),(25,310,2,23,9,3,5,3,4),(25,310,2,23,10,2,7,1,5),(25,310,2,23,11,1,6,1,6),(25,310,2,23,12,NULL,6,NULL,3),(25,310,2,23,13,6,4,6,2),(25,310,2,23,14,1,2,1,2),(25,310,2,23,15,3,4,3,2),(25,310,2,23,16,NULL,5,NULL,3),(25,310,2,23,17,1,7,NULL,6),(25,310,2,23,18,4,5,2,3),(25,310,2,23,19,NULL,1,NULL,1),(25,310,2,23,20,NULL,3,NULL,2),(25,310,2,23,21,1,2,NULL,1),(25,310,2,23,22,NULL,1,NULL,NULL),(25,310,2,23,23,1,2,NULL,2),(25,310,2,23,24,NULL,3,NULL,3),(25,310,2,23,25,2,NULL,1,NULL),(25,310,2,23,26,NULL,NULL,NULL,NULL),(25,310,2,23,27,1,1,NULL,NULL),(25,310,2,23,28,NULL,1,NULL,1),(25,310,2,23,29,NULL,3,NULL,2),(25,310,2,23,30,1,NULL,1,NULL),(25,310,2,23,31,NULL,3,NULL,3),(25,310,2,23,32,NULL,2,NULL,2),(25,310,2,23,33,2,2,2,1),(25,310,2,23,34,1,1,1,1),(25,310,2,23,35,1,4,1,3),(25,310,2,23,36,NULL,3,NULL,3),(25,310,2,23,37,1,2,NULL,2),(25,310,2,23,38,1,4,1,3),(25,310,2,23,39,1,NULL,1,NULL),(25,310,2,23,40,NULL,NULL,NULL,NULL),(25,310,2,24,1,2,3,2,2),(25,310,2,24,2,1,5,NULL,4),(25,310,2,24,3,2,1,NULL,1),(25,310,2,24,4,1,1,NULL,NULL),(25,310,2,24,5,6,3,5,1),(25,310,2,24,6,2,3,2,2),(25,310,2,24,7,NULL,4,NULL,3),(25,310,2,24,8,5,6,4,3),(25,310,2,24,9,8,NULL,8,NULL),(25,310,2,24,10,7,1,7,1),(25,310,2,24,11,1,8,1,4),(25,310,2,24,12,2,8,2,6),(25,310,2,24,13,10,1,9,NULL),(25,310,2,24,14,4,4,3,2),(25,310,2,24,15,4,3,4,2),(25,310,2,24,16,5,3,4,2),(25,310,2,24,17,2,6,1,5),(25,310,2,24,18,1,3,NULL,NULL),(25,310,2,24,19,NULL,2,NULL,1),(25,310,2,24,20,NULL,3,NULL,2),(25,310,2,24,21,NULL,1,NULL,1),(25,310,2,24,22,NULL,1,NULL,NULL),(25,310,2,24,23,2,NULL,1,NULL),(25,310,2,24,24,NULL,2,NULL,1),(25,310,2,24,25,1,NULL,1,NULL),(25,310,2,24,26,NULL,1,NULL,NULL),(25,310,2,24,27,1,2,1,1),(25,310,2,24,28,1,5,1,4),(25,310,2,24,29,2,1,2,1),(25,310,2,24,30,2,NULL,2,NULL),(25,310,2,24,31,4,NULL,4,NULL),(25,310,2,24,32,NULL,3,NULL,3),(25,310,2,24,33,2,NULL,2,NULL),(25,310,2,24,34,1,3,1,2),(25,310,2,24,35,4,5,3,4),(25,310,2,24,36,1,1,1,1),(25,310,2,24,37,2,3,1,3),(25,310,2,24,38,3,2,3,1),(25,310,2,24,39,4,NULL,4,NULL),(25,310,2,24,40,NULL,1,NULL,NULL),(25,316,1,11,1,1,NULL,1,NULL),(25,316,1,11,2,NULL,NULL,NULL,NULL),(25,316,1,11,3,NULL,NULL,NULL,NULL),(25,316,1,11,4,NULL,NULL,NULL,NULL),(25,316,1,11,5,NULL,NULL,NULL,NULL),(25,316,1,11,6,NULL,1,NULL,1),(25,316,1,11,7,NULL,1,NULL,1),(25,316,1,11,8,NULL,NULL,NULL,NULL),(25,316,1,11,9,NULL,NULL,NULL,NULL),(25,316,1,11,10,NULL,NULL,NULL,NULL),(25,316,1,11,11,NULL,NULL,NULL,NULL),(25,316,1,11,12,NULL,NULL,NULL,NULL),(25,316,1,11,13,1,NULL,1,NULL),(25,316,1,11,14,1,NULL,1,NULL),(25,316,1,11,15,1,NULL,1,NULL),(25,316,1,11,16,1,NULL,1,NULL),(25,316,1,11,17,NULL,1,NULL,1),(25,316,1,11,18,NULL,1,NULL,1),(25,316,1,11,19,NULL,NULL,NULL,NULL),(25,316,1,11,20,1,NULL,1,NULL),(25,316,1,11,21,1,NULL,1,NULL),(25,316,1,11,22,NULL,NULL,NULL,NULL),(25,316,1,11,23,NULL,NULL,NULL,NULL),(25,316,1,11,24,NULL,NULL,NULL,NULL),(25,316,1,11,25,NULL,1,NULL,1),(25,316,1,11,26,NULL,NULL,NULL,NULL),(25,316,1,11,27,NULL,NULL,NULL,NULL),(25,316,1,11,28,NULL,NULL,NULL,NULL),(25,316,1,11,29,1,NULL,1,NULL),(25,316,1,11,30,NULL,NULL,NULL,NULL),(25,316,1,11,31,NULL,NULL,NULL,NULL),(25,316,1,11,32,NULL,NULL,NULL,NULL),(25,316,1,11,33,1,NULL,1,NULL),(25,316,1,11,34,NULL,NULL,NULL,NULL),(25,316,1,11,35,NULL,NULL,NULL,NULL),(25,316,1,11,36,NULL,NULL,NULL,NULL),(25,316,1,11,37,NULL,NULL,NULL,NULL),(25,316,1,11,38,NULL,NULL,NULL,NULL),(25,316,1,11,39,NULL,NULL,NULL,NULL),(25,316,1,11,40,NULL,NULL,NULL,NULL),(25,316,1,12,1,NULL,1,NULL,1),(25,316,1,12,2,NULL,1,NULL,1),(25,316,1,12,3,1,NULL,1,NULL),(25,316,1,12,4,1,NULL,1,NULL),(25,316,1,12,5,NULL,NULL,NULL,NULL),(25,316,1,12,6,NULL,NULL,NULL,NULL),(25,316,1,12,7,NULL,1,NULL,1),(25,316,1,12,8,NULL,NULL,NULL,NULL),(25,316,1,12,9,NULL,NULL,NULL,NULL),(25,316,1,12,10,NULL,NULL,NULL,NULL),(25,316,1,12,11,NULL,NULL,NULL,NULL),(25,316,1,12,12,NULL,NULL,NULL,NULL),(25,316,1,12,13,1,NULL,1,NULL),(25,316,1,12,14,1,NULL,1,NULL),(25,316,1,12,15,NULL,1,NULL,1),(25,316,1,12,16,NULL,NULL,NULL,NULL),(25,316,1,12,17,NULL,1,NULL,1),(25,316,1,12,18,1,NULL,1,NULL),(25,316,1,12,19,NULL,NULL,NULL,NULL),(25,316,1,12,20,NULL,1,NULL,1),(25,316,1,12,21,NULL,1,NULL,1),(25,316,1,12,22,1,NULL,1,NULL),(25,316,1,12,23,NULL,NULL,NULL,NULL),(25,316,1,12,24,NULL,NULL,NULL,NULL),(25,316,1,12,25,NULL,NULL,NULL,NULL),(25,316,1,12,26,NULL,NULL,NULL,NULL),(25,316,1,12,27,NULL,NULL,NULL,NULL),(25,316,1,12,28,NULL,NULL,NULL,NULL),(25,316,1,12,29,NULL,NULL,NULL,NULL),(25,316,1,12,30,1,NULL,1,NULL),(25,316,1,12,31,NULL,NULL,NULL,NULL),(25,316,1,12,32,NULL,NULL,NULL,NULL),(25,316,1,12,33,NULL,NULL,NULL,NULL),(25,316,1,12,34,NULL,NULL,NULL,NULL),(25,316,1,12,35,NULL,NULL,NULL,NULL),(25,316,1,12,36,NULL,1,NULL,1),(25,316,1,12,37,NULL,NULL,NULL,NULL),(25,316,1,12,38,NULL,1,NULL,1),(25,316,1,12,39,1,NULL,1,NULL),(25,316,1,12,40,NULL,NULL,NULL,NULL),(25,316,1,13,1,NULL,1,NULL,NULL),(25,316,1,13,2,NULL,1,NULL,NULL),(25,316,1,13,3,NULL,1,NULL,NULL),(25,316,1,13,4,1,NULL,NULL,NULL),(25,316,1,13,5,NULL,NULL,NULL,NULL),(25,316,1,13,6,1,NULL,NULL,NULL),(25,316,1,13,7,NULL,1,NULL,NULL),(25,316,1,13,8,NULL,NULL,NULL,NULL),(25,316,1,13,9,NULL,1,NULL,NULL),(25,316,1,13,10,NULL,NULL,NULL,NULL),(25,316,1,13,11,1,NULL,NULL,NULL),(25,316,1,13,12,NULL,NULL,NULL,NULL),(25,316,1,13,13,NULL,1,NULL,NULL),(25,316,1,13,14,NULL,NULL,NULL,NULL),(25,316,1,13,15,NULL,NULL,NULL,NULL),(25,316,1,13,16,NULL,NULL,NULL,NULL),(25,316,1,13,17,NULL,NULL,NULL,NULL),(25,316,1,13,18,1,NULL,NULL,NULL),(25,316,1,13,19,NULL,NULL,NULL,NULL),(25,316,1,13,20,NULL,NULL,NULL,NULL),(25,316,1,13,21,NULL,NULL,NULL,NULL),(25,316,1,13,22,NULL,NULL,NULL,NULL),(25,316,1,13,23,NULL,NULL,NULL,NULL),(25,316,1,13,24,NULL,NULL,NULL,NULL),(25,316,1,13,25,NULL,NULL,NULL,NULL),(25,316,1,13,26,NULL,NULL,NULL,NULL),(25,316,1,13,27,NULL,NULL,NULL,NULL),(25,316,1,13,28,1,NULL,NULL,NULL),(25,316,1,13,29,NULL,NULL,NULL,NULL),(25,316,1,13,30,NULL,NULL,NULL,NULL),(25,316,1,13,31,NULL,NULL,NULL,NULL),(25,316,1,13,32,NULL,NULL,NULL,NULL),(25,316,1,13,33,1,NULL,NULL,NULL),(25,316,1,13,34,NULL,NULL,NULL,NULL),(25,316,1,13,35,NULL,NULL,NULL,NULL),(25,316,1,13,36,NULL,1,NULL,NULL),(25,316,1,13,37,NULL,NULL,NULL,NULL),(25,316,1,13,38,NULL,NULL,NULL,NULL),(25,316,1,13,39,NULL,NULL,NULL,NULL),(25,316,1,13,40,NULL,NULL,NULL,NULL),(25,316,1,14,1,28,32,8,12),(25,316,1,14,2,14,12,7,5),(25,316,1,14,3,15,7,8,3),(25,316,1,14,4,40,21,17,7),(25,316,1,14,5,3,25,1,11),(25,316,1,14,6,13,25,6,11),(25,316,1,14,7,18,50,9,14),(25,316,1,14,8,12,13,6,3),(25,316,1,14,9,9,22,6,7),(25,316,1,14,10,5,12,4,7),(25,316,1,14,11,4,18,2,7),(25,316,1,14,12,9,8,6,1),(25,316,1,14,13,17,17,9,7),(25,316,1,14,14,20,19,9,7),(25,316,1,14,15,29,22,15,5),(25,316,1,14,16,10,13,4,7),(25,316,1,14,17,19,18,11,6),(25,316,1,14,18,33,9,16,1),(25,316,1,14,19,24,35,10,10),(25,316,1,14,20,33,5,13,3),(25,316,1,14,21,19,25,8,7),(25,316,1,14,22,1,23,NULL,11),(25,316,1,14,23,5,22,1,11),(25,316,1,14,24,2,20,1,9),(25,316,1,14,25,2,10,1,7),(25,316,1,14,26,8,NULL,4,NULL),(25,316,1,14,27,4,NULL,4,NULL),(25,316,1,14,28,9,39,2,18),(25,316,1,14,29,1,13,NULL,5),(25,316,1,14,30,3,13,NULL,6),(25,316,1,14,31,NULL,3,NULL,1),(25,316,1,14,32,5,10,3,6),(25,316,1,14,33,4,12,3,5),(25,316,1,14,34,10,11,3,2),(25,316,1,14,35,2,11,1,2),(25,316,1,14,36,9,29,3,9),(25,316,1,14,37,10,11,8,4),(25,316,1,14,38,5,49,2,17),(25,316,1,14,39,6,19,2,13),(25,316,1,14,40,1,10,1,6),(25,316,1,15,1,26,32,7,18),(25,316,1,15,2,7,21,4,10),(25,316,1,15,3,7,11,3,7),(25,316,1,15,4,45,17,18,8),(25,316,1,15,5,7,16,3,7),(25,316,1,15,6,16,22,9,9),(25,316,1,15,7,19,44,6,19),(25,316,1,15,8,13,16,9,8),(25,316,1,15,9,8,19,2,12),(25,316,1,15,10,2,5,1,1),(25,316,1,15,11,12,13,4,5),(25,316,1,15,12,6,8,3,4),(25,316,1,15,13,13,12,8,7),(25,316,1,15,14,24,10,16,4),(25,316,1,15,15,22,19,12,8),(25,316,1,15,16,10,14,4,10),(25,316,1,15,17,11,13,7,7),(25,316,1,15,18,33,10,17,3),(25,316,1,15,19,35,30,18,10),(25,316,1,15,20,22,9,12,4),(25,316,1,15,21,20,24,9,8),(25,316,1,15,22,10,21,4,12),(25,316,1,15,23,8,14,1,8),(25,316,1,15,24,6,11,4,6),(25,316,1,15,25,5,12,1,5),(25,316,1,15,26,13,NULL,9,NULL),(25,316,1,15,27,1,NULL,1,NULL),(25,316,1,15,28,11,32,5,15),(25,316,1,15,29,4,9,2,4),(25,316,1,15,30,4,17,1,8),(25,316,1,15,31,2,3,1,2),(25,316,1,15,32,2,5,2,4),(25,316,1,15,33,9,10,5,5),(25,316,1,15,34,5,8,2,2),(25,316,1,15,35,4,8,2,3),(25,316,1,15,36,18,26,11,12),(25,316,1,15,37,9,15,7,5),(25,316,1,15,38,5,37,3,15),(25,316,1,15,39,9,26,4,12),(25,316,1,15,40,2,12,2,6),(25,316,1,16,1,27,44,2,11),(25,316,1,16,2,7,13,2,1),(25,316,1,16,3,12,21,3,6),(25,316,1,16,4,43,32,10,4),(25,316,1,16,5,2,28,NULL,8),(25,316,1,16,6,13,24,2,6),(25,316,1,16,7,14,53,4,12),(25,316,1,16,8,17,19,4,4),(25,316,1,16,9,14,25,1,5),(25,316,1,16,10,NULL,7,NULL,1),(25,316,1,16,11,9,14,1,1),(25,316,1,16,12,11,18,3,2),(25,316,1,16,13,31,18,10,2),(25,316,1,16,14,21,24,7,6),(25,316,1,16,15,62,NULL,13,NULL),(25,316,1,16,16,9,42,3,10),(25,316,1,16,17,1,44,1,7),(25,316,1,16,18,19,71,3,10),(25,316,1,16,19,NULL,45,NULL,8),(25,316,1,16,20,66,NULL,13,NULL),(25,316,1,16,21,11,42,3,9),(25,316,1,16,22,4,27,NULL,6),(25,316,1,16,23,5,20,NULL,5),(25,316,1,16,24,3,23,1,4),(25,316,1,16,25,4,10,NULL,NULL),(25,316,1,16,26,10,NULL,4,NULL),(25,316,1,16,27,3,NULL,2,NULL),(25,316,1,16,28,10,56,2,13),(25,316,1,16,29,4,13,1,3),(25,316,1,16,30,5,11,3,4),(25,316,1,16,31,4,4,1,4),(25,316,1,16,32,3,5,1,2),(25,316,1,16,33,7,16,1,5),(25,316,1,16,34,11,15,2,2);
INSERT INTO acertos_questao_curso VALUES (25,316,1,16,35,2,25,1,5),(25,316,1,16,36,8,21,3,4),(25,316,1,16,37,11,22,3,2),(25,316,1,16,38,3,45,1,8),(25,316,1,16,39,3,22,1,4),(25,316,1,16,40,NULL,11,NULL,5),(25,316,1,17,1,34,26,12,4),(25,316,1,17,2,10,28,3,7),(25,316,1,17,3,11,11,3,1),(25,316,1,17,4,29,29,7,6),(25,316,1,17,5,6,26,NULL,8),(25,316,1,17,6,11,20,2,7),(25,316,1,17,7,7,54,1,9),(25,316,1,17,8,10,21,2,6),(25,316,1,17,9,8,24,1,6),(25,316,1,17,10,3,4,1,1),(25,316,1,17,11,10,17,3,2),(25,316,1,17,12,10,9,5,2),(25,316,1,17,13,26,17,7,5),(25,316,1,17,14,19,19,6,5),(25,316,1,17,15,50,NULL,10,NULL),(25,316,1,17,16,12,32,4,5),(25,316,1,17,17,3,49,1,7),(25,316,1,17,18,13,70,1,14),(25,316,1,17,19,NULL,36,NULL,3),(25,316,1,17,20,52,NULL,8,NULL),(25,316,1,17,21,10,26,1,9),(25,316,1,17,22,8,20,1,6),(25,316,1,17,23,2,12,1,3),(25,316,1,17,24,3,10,1,1),(25,316,1,17,25,2,12,NULL,1),(25,316,1,17,26,4,NULL,2,NULL),(25,316,1,17,27,1,NULL,1,NULL),(25,316,1,17,28,14,48,3,8),(25,316,1,17,29,6,6,2,2),(25,316,1,17,30,4,21,2,6),(25,316,1,17,31,3,9,2,3),(25,316,1,17,32,3,6,2,1),(25,316,1,17,33,4,11,2,2),(25,316,1,17,34,12,21,5,5),(25,316,1,17,35,8,12,NULL,5),(25,316,1,17,36,11,14,5,4),(25,316,1,17,37,3,16,3,6),(25,316,1,17,38,NULL,49,NULL,13),(25,316,1,17,39,5,32,3,6),(25,316,1,17,40,2,8,1,5),(25,316,2,21,1,6,29,2,12),(25,316,2,21,2,3,21,2,10),(25,316,2,21,3,11,35,5,8),(25,316,2,21,4,9,19,3,7),(25,316,2,21,5,10,24,6,10),(25,316,2,21,6,5,18,2,8),(25,316,2,21,7,9,17,2,7),(25,316,2,21,8,17,26,8,7),(25,316,2,21,9,24,35,13,10),(25,316,2,21,10,7,27,4,13),(25,316,2,21,11,4,59,1,13),(25,316,2,21,12,10,13,2,4),(25,316,2,21,13,28,25,14,9),(25,316,2,21,14,7,34,4,15),(25,316,2,21,15,21,36,6,13),(25,316,2,21,16,9,18,4,8),(25,316,2,21,17,11,31,NULL,13),(25,316,2,21,18,9,37,4,10),(25,316,2,21,19,5,15,1,3),(25,316,2,21,20,10,38,6,11),(25,316,2,21,21,4,11,2,6),(25,316,2,21,22,NULL,2,NULL,1),(25,316,2,21,23,4,14,2,7),(25,316,2,21,24,2,15,NULL,4),(25,316,2,21,25,11,NULL,5,NULL),(25,316,2,21,26,NULL,7,NULL,2),(25,316,2,21,27,3,12,1,2),(25,316,2,21,28,2,6,NULL,1),(25,316,2,21,29,5,13,3,4),(25,316,2,21,30,4,6,NULL,2),(25,316,2,21,31,10,15,4,9),(25,316,2,21,32,2,15,1,6),(25,316,2,21,33,11,20,6,9),(25,316,2,21,34,1,6,1,1),(25,316,2,21,35,4,21,1,10),(25,316,2,21,36,5,20,3,6),(25,316,2,21,37,2,20,1,5),(25,316,2,21,38,10,23,5,3),(25,316,2,21,39,20,NULL,12,NULL),(25,316,2,21,40,3,5,1,2),(25,316,2,22,1,12,25,9,6),(25,316,2,22,2,2,29,1,12),(25,316,2,22,3,11,18,7,7),(25,316,2,22,4,10,19,5,8),(25,316,2,22,5,20,26,6,11),(25,316,2,22,6,7,25,5,6),(25,316,2,22,7,7,14,4,3),(25,316,2,22,8,12,27,4,8),(25,316,2,22,9,25,34,12,12),(25,316,2,22,10,6,21,5,6),(25,316,2,22,11,4,60,NULL,20),(25,316,2,22,12,7,19,4,5),(25,316,2,22,13,31,24,12,4),(25,316,2,22,14,13,28,6,10),(25,316,2,22,15,17,37,7,10),(25,316,2,22,16,7,26,2,10),(25,316,2,22,17,7,26,1,8),(25,316,2,22,18,11,23,6,7),(25,316,2,22,19,3,25,1,11),(25,316,2,22,20,12,26,6,7),(25,316,2,22,21,2,8,2,1),(25,316,2,22,22,1,2,1,NULL),(25,316,2,22,23,3,8,1,4),(25,316,2,22,24,3,8,1,1),(25,316,2,22,25,7,NULL,NULL,NULL),(25,316,2,22,26,NULL,8,NULL,4),(25,316,2,22,27,2,6,NULL,1),(25,316,2,22,28,1,2,1,1),(25,316,2,22,29,1,10,NULL,3),(25,316,2,22,30,6,7,2,1),(25,316,2,22,31,14,9,8,4),(25,316,2,22,32,2,14,1,5),(25,316,2,22,33,11,15,6,4),(25,316,2,22,34,3,9,1,4),(25,316,2,22,35,8,12,3,2),(25,316,2,22,36,5,16,3,3),(25,316,2,22,37,2,16,2,8),(25,316,2,22,38,15,13,9,2),(25,316,2,22,39,26,NULL,15,NULL),(25,316,2,22,40,NULL,3,NULL,1),(25,316,2,23,1,6,10,3,3),(25,316,2,23,2,7,18,1,6),(25,316,2,23,3,15,21,5,6),(25,316,2,23,4,15,11,8,5),(25,316,2,23,5,13,20,4,7),(25,316,2,23,6,11,10,5,3),(25,316,2,23,7,3,13,1,5),(25,316,2,23,8,21,20,7,6),(25,316,2,23,9,30,25,13,4),(25,316,2,23,10,7,17,4,8),(25,316,2,23,11,5,67,1,16),(25,316,2,23,12,3,31,NULL,10),(25,316,2,23,13,31,13,17,3),(25,316,2,23,14,11,24,6,8),(25,316,2,23,15,22,22,7,8),(25,316,2,23,16,3,33,NULL,11),(25,316,2,23,17,5,35,1,5),(25,316,2,23,18,18,21,3,8),(25,316,2,23,19,6,23,2,9),(25,316,2,23,20,9,24,3,10),(25,316,2,23,21,5,11,2,3),(25,316,2,23,22,1,2,NULL,1),(25,316,2,23,23,2,8,NULL,2),(25,316,2,23,24,2,9,NULL,4),(25,316,2,23,25,5,NULL,2,NULL),(25,316,2,23,26,3,10,2,3),(25,316,2,23,27,3,14,NULL,1),(25,316,2,23,28,3,6,3,2),(25,316,2,23,29,3,12,1,5),(25,316,2,23,30,4,17,2,5),(25,316,2,23,31,12,9,8,6),(25,316,2,23,32,5,6,NULL,2),(25,316,2,23,33,10,11,6,5),(25,316,2,23,34,NULL,6,NULL,2),(25,316,2,23,35,2,15,NULL,4),(25,316,2,23,36,8,10,1,2),(25,316,2,23,37,2,8,NULL,2),(25,316,2,23,38,19,16,9,2),(25,316,2,23,39,28,NULL,14,NULL),(25,316,2,23,40,1,3,NULL,3),(25,316,2,24,1,8,22,3,11),(25,316,2,24,2,3,30,NULL,9),(25,316,2,24,3,12,17,4,6),(25,316,2,24,4,5,15,2,3),(25,316,2,24,5,19,14,10,6),(25,316,2,24,6,4,13,2,6),(25,316,2,24,7,6,15,1,5),(25,316,2,24,8,19,23,9,5),(25,316,2,24,9,29,19,13,4),(25,316,2,24,10,9,16,4,5),(25,316,2,24,11,5,46,1,14),(25,316,2,24,12,5,14,3,2),(25,316,2,24,13,37,17,14,4),(25,316,2,24,14,5,20,3,11),(25,316,2,24,15,19,21,8,6),(25,316,2,24,16,8,20,3,5),(25,316,2,24,17,13,33,2,11),(25,316,2,24,18,14,17,3,3),(25,316,2,24,19,3,11,1,2),(25,316,2,24,20,11,20,4,3),(25,316,2,24,21,3,12,3,3),(25,316,2,24,22,NULL,4,NULL,1),(25,316,2,24,23,NULL,7,NULL,1),(25,316,2,24,24,2,14,1,5),(25,316,2,24,25,6,NULL,NULL,NULL),(25,316,2,24,26,1,7,NULL,1),(25,316,2,24,27,1,7,NULL,2),(25,316,2,24,28,1,8,NULL,2),(25,316,2,24,29,3,9,NULL,5),(25,316,2,24,30,5,12,NULL,2),(25,316,2,24,31,13,9,10,4),(25,316,2,24,32,3,7,NULL,2),(25,316,2,24,33,11,17,7,6),(25,316,2,24,34,1,2,1,1),(25,316,2,24,35,6,13,2,4),(25,316,2,24,36,13,16,4,4),(25,316,2,24,37,NULL,12,NULL,5),(25,316,2,24,38,14,15,6,5),(25,316,2,24,39,23,NULL,13,NULL),(25,316,2,24,40,2,8,1,4),(25,317,1,11,1,NULL,NULL,NULL,NULL),(25,317,1,11,2,NULL,NULL,NULL,NULL),(25,317,1,11,3,NULL,NULL,NULL,NULL),(25,317,1,11,4,1,NULL,NULL,NULL),(25,317,1,11,5,NULL,NULL,NULL,NULL),(25,317,1,11,6,NULL,NULL,NULL,NULL),(25,317,1,11,7,NULL,1,NULL,NULL),(25,317,1,11,8,NULL,1,NULL,NULL),(25,317,1,11,9,NULL,NULL,NULL,NULL),(25,317,1,11,10,NULL,1,NULL,NULL),(25,317,1,11,11,NULL,NULL,NULL,NULL),(25,317,1,11,12,NULL,NULL,NULL,NULL),(25,317,1,11,13,1,NULL,NULL,NULL),(25,317,1,11,14,1,NULL,NULL,NULL),(25,317,1,11,15,1,NULL,NULL,NULL),(25,317,1,11,16,1,NULL,NULL,NULL),(25,317,1,11,17,NULL,1,NULL,NULL),(25,317,1,11,18,NULL,1,NULL,NULL),(25,317,1,11,19,1,NULL,NULL,NULL),(25,317,1,11,20,1,NULL,NULL,NULL),(25,317,1,11,21,NULL,NULL,NULL,NULL),(25,317,1,11,22,NULL,NULL,NULL,NULL),(25,317,1,11,23,NULL,1,NULL,NULL),(25,317,1,11,24,NULL,NULL,NULL,NULL),(25,317,1,11,25,NULL,1,NULL,NULL),(25,317,1,11,26,NULL,NULL,NULL,NULL),(25,317,1,11,27,NULL,NULL,NULL,NULL),(25,317,1,11,28,NULL,1,NULL,NULL),(25,317,1,11,29,NULL,NULL,NULL,NULL),(25,317,1,11,30,NULL,NULL,NULL,NULL),(25,317,1,11,31,NULL,NULL,NULL,NULL),(25,317,1,11,32,NULL,NULL,NULL,NULL),(25,317,1,11,33,NULL,NULL,NULL,NULL),(25,317,1,11,34,NULL,NULL,NULL,NULL),(25,317,1,11,35,NULL,NULL,NULL,NULL),(25,317,1,11,36,NULL,NULL,NULL,NULL),(25,317,1,11,37,NULL,NULL,NULL,NULL),(25,317,1,11,38,NULL,NULL,NULL,NULL),(25,317,1,11,39,NULL,NULL,NULL,NULL),(25,317,1,11,40,NULL,NULL,NULL,NULL),(25,317,1,12,1,NULL,NULL,NULL,NULL),(25,317,1,12,2,NULL,NULL,NULL,NULL),(25,317,1,12,3,NULL,NULL,NULL,NULL),(25,317,1,12,4,NULL,1,NULL,NULL),(25,317,1,12,5,NULL,NULL,NULL,NULL),(25,317,1,12,6,NULL,1,NULL,NULL),(25,317,1,12,7,NULL,NULL,NULL,NULL),(25,317,1,12,8,NULL,NULL,NULL,NULL),(25,317,1,12,9,NULL,NULL,NULL,NULL),(25,317,1,12,10,NULL,NULL,NULL,NULL),(25,317,1,12,11,NULL,NULL,NULL,NULL),(25,317,1,12,12,NULL,NULL,NULL,NULL),(25,317,1,12,13,NULL,NULL,NULL,NULL),(25,317,1,12,14,NULL,1,NULL,NULL),(25,317,1,12,15,NULL,1,NULL,NULL),(25,317,1,12,16,1,NULL,NULL,NULL),(25,317,1,12,17,NULL,NULL,NULL,NULL),(25,317,1,12,18,NULL,NULL,NULL,NULL),(25,317,1,12,19,1,NULL,NULL,NULL),(25,317,1,12,20,NULL,1,NULL,NULL),(25,317,1,12,21,NULL,1,NULL,NULL),(25,317,1,12,22,NULL,NULL,NULL,NULL),(25,317,1,12,23,NULL,1,NULL,NULL),(25,317,1,12,24,NULL,NULL,NULL,NULL),(25,317,1,12,25,NULL,NULL,NULL,NULL),(25,317,1,12,26,1,NULL,NULL,NULL),(25,317,1,12,27,NULL,NULL,NULL,NULL),(25,317,1,12,28,1,1,NULL,NULL),(25,317,1,12,29,NULL,1,NULL,NULL),(25,317,1,12,30,NULL,NULL,NULL,NULL),(25,317,1,12,31,NULL,NULL,NULL,NULL),(25,317,1,12,32,NULL,1,NULL,NULL),(25,317,1,12,33,NULL,NULL,NULL,NULL),(25,317,1,12,34,NULL,NULL,NULL,NULL),(25,317,1,12,35,NULL,NULL,NULL,NULL),(25,317,1,12,36,NULL,1,NULL,NULL),(25,317,1,12,37,NULL,1,NULL,NULL),(25,317,1,12,38,NULL,1,NULL,NULL),(25,317,1,12,39,NULL,NULL,NULL,NULL),(25,317,1,12,40,NULL,NULL,NULL,NULL),(25,317,1,13,1,NULL,1,NULL,NULL),(25,317,1,13,2,NULL,NULL,NULL,NULL),(25,317,1,13,3,NULL,NULL,NULL,NULL),(25,317,1,13,4,1,NULL,NULL,NULL),(25,317,1,13,5,NULL,1,NULL,NULL),(25,317,1,13,6,NULL,NULL,NULL,NULL),(25,317,1,13,7,NULL,NULL,NULL,NULL),(25,317,1,13,8,1,NULL,NULL,NULL),(25,317,1,13,9,1,NULL,NULL,NULL),(25,317,1,13,10,NULL,1,NULL,NULL),(25,317,1,13,11,NULL,NULL,NULL,NULL),(25,317,1,13,12,NULL,NULL,NULL,NULL),(25,317,1,13,13,1,1,NULL,NULL),(25,317,1,13,14,1,1,NULL,NULL),(25,317,1,13,15,NULL,2,NULL,NULL),(25,317,1,13,16,1,1,NULL,NULL),(25,317,1,13,17,1,1,NULL,NULL),(25,317,1,13,18,2,NULL,NULL,NULL),(25,317,1,13,19,NULL,NULL,NULL,NULL),(25,317,1,13,20,NULL,NULL,NULL,NULL),(25,317,1,13,21,1,1,NULL,NULL),(25,317,1,13,22,1,NULL,NULL,NULL),(25,317,1,13,23,1,NULL,NULL,NULL),(25,317,1,13,24,NULL,NULL,NULL,NULL),(25,317,1,13,25,NULL,NULL,NULL,NULL),(25,317,1,13,26,NULL,NULL,NULL,NULL),(25,317,1,13,27,NULL,NULL,NULL,NULL),(25,317,1,13,28,NULL,2,NULL,NULL),(25,317,1,13,29,1,NULL,NULL,NULL),(25,317,1,13,30,NULL,NULL,NULL,NULL),(25,317,1,13,31,NULL,1,NULL,NULL),(25,317,1,13,32,NULL,NULL,NULL,NULL),(25,317,1,13,33,NULL,NULL,NULL,NULL),(25,317,1,13,34,1,NULL,NULL,NULL),(25,317,1,13,35,NULL,NULL,NULL,NULL),(25,317,1,13,36,NULL,NULL,NULL,NULL),(25,317,1,13,37,NULL,NULL,NULL,NULL),(25,317,1,13,38,NULL,2,NULL,NULL),(25,317,1,13,39,NULL,2,NULL,NULL),(25,317,1,13,40,NULL,NULL,NULL,NULL),(25,317,1,14,1,13,20,7,11),(25,317,1,14,2,8,8,5,4),(25,317,1,14,3,7,6,2,3),(25,317,1,14,4,18,12,8,5),(25,317,1,14,5,5,9,3,5),(25,317,1,14,6,9,14,1,10),(25,317,1,14,7,10,31,6,10),(25,317,1,14,8,5,9,3,4),(25,317,1,14,9,7,15,3,8),(25,317,1,14,10,2,5,2,1),(25,317,1,14,11,4,6,2,3),(25,317,1,14,12,6,7,3,2),(25,317,1,14,13,9,7,6,4),(25,317,1,14,14,13,16,9,6),(25,317,1,14,15,10,15,7,3),(25,317,1,14,16,9,5,4,2),(25,317,1,14,17,10,9,6,6),(25,317,1,14,18,18,6,13,1),(25,317,1,14,19,14,19,9,10),(25,317,1,14,20,12,3,8,1),(25,317,1,14,21,7,19,2,8),(25,317,1,14,22,8,13,1,8),(25,317,1,14,23,3,13,1,9),(25,317,1,14,24,NULL,9,NULL,4),(25,317,1,14,25,NULL,8,NULL,4),(25,317,1,14,26,8,NULL,7,NULL),(25,317,1,14,27,1,NULL,NULL,NULL),(25,317,1,14,28,9,19,2,11),(25,317,1,14,29,7,11,4,5),(25,317,1,14,30,2,4,1,2),(25,317,1,14,31,NULL,2,NULL,2),(25,317,1,14,32,3,2,2,2),(25,317,1,14,33,4,4,2,2),(25,317,1,14,34,4,9,1,5),(25,317,1,14,35,6,4,3,1),(25,317,1,14,36,3,13,3,4),(25,317,1,14,37,9,3,6,3),(25,317,1,14,38,2,26,1,12),(25,317,1,14,39,4,11,3,7),(25,317,1,14,40,2,3,1,2),(25,317,1,15,1,14,16,5,8),(25,317,1,15,2,3,15,2,7),(25,317,1,15,3,4,12,NULL,7),(25,317,1,15,4,23,9,8,5),(25,317,1,15,5,NULL,8,NULL,3),(25,317,1,15,6,7,12,3,3),(25,317,1,15,7,6,27,3,9),(25,317,1,15,8,7,5,2,4),(25,317,1,15,9,2,15,1,6),(25,317,1,15,10,2,2,1,1),(25,317,1,15,11,4,8,NULL,5),(25,317,1,15,12,7,2,4,1),(25,317,1,15,13,3,6,1,4),(25,317,1,15,14,8,9,4,5),(25,317,1,15,15,10,12,7,5),(25,317,1,15,16,2,7,1,2),(25,317,1,15,17,6,11,2,5),(25,317,1,15,18,14,3,5,2),(25,317,1,15,19,12,18,3,6),(25,317,1,15,20,8,4,4,2),(25,317,1,15,21,10,14,6,6),(25,317,1,15,22,2,12,1,7),(25,317,1,15,23,5,5,2,4),(25,317,1,15,24,NULL,8,NULL,5),(25,317,1,15,25,NULL,9,NULL,6),(25,317,1,15,26,7,NULL,6,NULL),(25,317,1,15,27,1,NULL,1,NULL),(25,317,1,15,28,3,16,1,9),(25,317,1,15,29,1,12,1,7),(25,317,1,15,30,2,8,NULL,6),(25,317,1,15,31,NULL,2,NULL,NULL),(25,317,1,15,32,NULL,6,NULL,2),(25,317,1,15,33,2,3,2,2),(25,317,1,15,34,9,6,5,2),(25,317,1,15,35,3,8,1,5),(25,317,1,15,36,6,13,3,8),(25,317,1,15,37,7,8,4,5),(25,317,1,15,38,2,28,2,11),(25,317,1,15,39,3,10,2,5),(25,317,1,15,40,1,7,1,3),(25,317,1,16,1,26,36,4,14),(25,317,1,16,2,8,18,2,6),(25,317,1,16,3,8,14,3,4),(25,317,1,16,4,29,42,7,13),(25,317,1,16,5,2,17,NULL,5),(25,317,1,16,6,13,23,4,4),(25,317,1,16,7,6,54,2,9),(25,317,1,16,8,11,26,1,7),(25,317,1,16,9,12,28,4,9),(25,317,1,16,10,1,6,NULL,2),(25,317,1,16,11,5,10,NULL,3),(25,317,1,16,12,11,17,5,4),(25,317,1,16,13,28,27,10,6),(25,317,1,16,14,15,22,6,4),(25,317,1,16,15,55,NULL,13,NULL),(25,317,1,16,16,7,40,NULL,15),(25,317,1,16,17,1,40,NULL,6),(25,317,1,16,18,19,61,4,11),(25,317,1,16,19,NULL,40,NULL,8),(25,317,1,16,20,62,NULL,14,NULL),(25,317,1,16,21,10,35,NULL,13),(25,317,1,16,22,8,25,1,5),(25,317,1,16,23,2,25,1,8),(25,317,1,16,24,3,13,1,8),(25,317,1,16,25,1,9,NULL,NULL),(25,317,1,16,26,4,NULL,3,NULL),(25,317,1,16,27,NULL,NULL,NULL,NULL),(25,317,1,16,28,17,45,5,12),(25,317,1,16,29,4,9,1,4),(25,317,1,16,30,1,21,NULL,6),(25,317,1,16,31,NULL,6,NULL,1),(25,317,1,16,32,5,2,3,NULL),(25,317,1,16,33,4,10,NULL,2),(25,317,1,16,34,6,26,NULL,6),(25,317,1,16,35,4,17,3,5),(25,317,1,16,36,4,17,1,5),(25,317,1,16,37,4,26,2,7),(25,317,1,16,38,2,46,1,11),(25,317,1,16,39,3,32,1,9),(25,317,1,16,40,NULL,6,NULL,4),(25,317,1,17,1,17,37,1,19),(25,317,1,17,2,11,20,4,7),(25,317,1,17,3,10,21,5,6),(25,317,1,17,4,35,29,12,10),(25,317,1,17,5,4,21,NULL,8),(25,317,1,17,6,11,31,2,8),(25,317,1,17,7,8,59,4,17),(25,317,1,17,8,16,20,7,6),(25,317,1,17,9,16,30,4,16),(25,317,1,17,10,NULL,5,NULL,3),(25,317,1,17,11,5,19,1,8),(25,317,1,17,12,7,16,2,11),(25,317,1,17,13,28,20,9,9),(25,317,1,17,14,16,17,8,6),(25,317,1,17,15,63,NULL,16,NULL),(25,317,1,17,16,10,37,4,14),(25,317,1,17,17,NULL,32,NULL,4),(25,317,1,17,18,11,63,NULL,18),(25,317,1,17,19,1,29,NULL,8),(25,317,1,17,20,53,NULL,19,NULL),(25,317,1,17,21,12,28,3,12),(25,317,1,17,22,5,29,3,10),(25,317,1,17,23,4,17,1,5),(25,317,1,17,24,3,15,2,5),(25,317,1,17,25,NULL,9,NULL,1),(25,317,1,17,26,11,NULL,5,NULL),(25,317,1,17,27,3,NULL,1,NULL),(25,317,1,17,28,10,53,3,19),(25,317,1,17,29,7,15,1,9),(25,317,1,17,30,9,16,1,7),(25,317,1,17,31,2,3,1,2),(25,317,1,17,32,1,3,NULL,2),(25,317,1,17,33,6,8,NULL,4),(25,317,1,17,34,9,9,5,3),(25,317,1,17,35,6,15,2,6),(25,317,1,17,36,11,15,8,3),(25,317,1,17,37,8,16,3,7),(25,317,1,17,38,3,46,1,15),(25,317,1,17,39,NULL,37,NULL,15),(25,317,1,17,40,2,13,1,6),(25,317,2,21,1,6,14,3,4),(25,317,2,21,2,NULL,15,NULL,3),(25,317,2,21,3,6,22,NULL,7),(25,317,2,21,4,4,19,2,6),(25,317,2,21,5,11,14,6,5),(25,317,2,21,6,3,12,2,6),(25,317,2,21,7,4,12,2,6),(25,317,2,21,8,17,18,9,5),(25,317,2,21,9,17,22,8,9),(25,317,2,21,10,3,14,1,5),(25,317,2,21,11,7,35,3,10),(25,317,2,21,12,2,16,2,6),(25,317,2,21,13,28,18,14,1),(25,317,2,21,14,9,17,5,4),(25,317,2,21,15,8,32,2,11),(25,317,2,21,16,6,17,2,4),(25,317,2,21,17,1,28,NULL,10),(25,317,2,21,18,12,22,7,4),(25,317,2,21,19,3,17,NULL,10),(25,317,2,21,20,11,21,7,6),(25,317,2,21,21,1,16,1,5),(25,317,2,21,22,1,2,NULL,NULL),(25,317,2,21,23,2,10,1,4),(25,317,2,21,24,3,12,2,7),(25,317,2,21,25,5,NULL,1,NULL),(25,317,2,21,26,NULL,7,NULL,2),(25,317,2,21,27,NULL,11,NULL,NULL),(25,317,2,21,28,1,5,NULL,2),(25,317,2,21,29,2,9,NULL,3),(25,317,2,21,30,2,7,1,2),(25,317,2,21,31,9,10,3,7),(25,317,2,21,32,2,20,NULL,8),(25,317,2,21,33,8,9,5,4),(25,317,2,21,34,1,3,1,NULL),(25,317,2,21,35,4,13,NULL,5),(25,317,2,21,36,3,10,2,3),(25,317,2,21,37,3,11,3,4),(25,317,2,21,38,9,13,3,2),(25,317,2,21,39,11,NULL,8,NULL),(25,317,2,21,40,2,4,NULL,1),(25,317,2,22,1,3,20,NULL,8),(25,317,2,22,2,3,28,2,11),(25,317,2,22,3,8,20,3,8),(25,317,2,22,4,5,16,2,7),(25,317,2,22,5,7,25,1,8),(25,317,2,22,6,2,10,2,4),(25,317,2,22,7,7,12,4,4),(25,317,2,22,8,11,29,5,9),(25,317,2,22,9,16,22,8,10),(25,317,2,22,10,4,12,3,7),(25,317,2,22,11,6,44,3,9),(25,317,2,22,12,4,14,1,4),(25,317,2,22,13,21,24,10,7),(25,317,2,22,14,7,26,2,10),(25,317,2,22,15,10,39,3,11),(25,317,2,22,16,5,20,2,6),(25,317,2,22,17,6,26,NULL,7),(25,317,2,22,18,14,18,3,8),(25,317,2,22,19,1,13,1,7),(25,317,2,22,20,4,20,1,6),(25,317,2,22,21,3,12,3,2),(25,317,2,22,22,NULL,1,NULL,NULL),(25,317,2,22,23,3,9,2,5),(25,317,2,22,24,1,13,NULL,4),(25,317,2,22,25,7,NULL,3,NULL),(25,317,2,22,26,NULL,9,NULL,3),(25,317,2,22,27,NULL,9,NULL,1),(25,317,2,22,28,1,2,NULL,1),(25,317,2,22,29,2,10,NULL,3),(25,317,2,22,30,3,10,NULL,2),(25,317,2,22,31,6,9,3,5),(25,317,2,22,32,2,16,NULL,3),(25,317,2,22,33,8,9,5,3),(25,317,2,22,34,3,4,1,NULL),(25,317,2,22,35,4,19,1,10),(25,317,2,22,36,4,18,3,4),(25,317,2,22,37,NULL,14,NULL,7),(25,317,2,22,38,9,19,5,2),(25,317,2,22,39,17,NULL,10,NULL),(25,317,2,22,40,NULL,3,NULL,1),(25,317,2,23,1,7,23,1,11),(25,317,2,23,2,3,21,2,2),(25,317,2,23,3,9,24,4,8),(25,317,2,23,4,3,19,2,9),(25,317,2,23,5,17,12,6,7),(25,317,2,23,6,7,13,5,5),(25,317,2,23,7,2,14,NULL,5),(25,317,2,23,8,17,19,6,8),(25,317,2,23,9,19,23,10,11),(25,317,2,23,10,8,18,6,5),(25,317,2,23,11,1,42,NULL,14),(25,317,2,23,12,3,8,1,4),(25,317,2,23,13,24,23,14,7),(25,317,2,23,14,4,21,2,9),(25,317,2,23,15,11,29,3,14),(25,317,2,23,16,4,21,3,6),(25,317,2,23,17,6,29,2,10),(25,317,2,23,18,12,21,3,5),(25,317,2,23,19,3,18,2,6),(25,317,2,23,20,4,27,4,11),(25,317,2,23,21,1,7,1,3),(25,317,2,23,22,1,3,NULL,NULL),(25,317,2,23,23,NULL,10,NULL,3),(25,317,2,23,24,3,13,3,3),(25,317,2,23,25,3,NULL,2,NULL),(25,317,2,23,26,1,2,NULL,2),(25,317,2,23,27,3,8,2,1),(25,317,2,23,28,2,2,1,1),(25,317,2,23,29,1,5,1,1),(25,317,2,23,30,5,10,1,3),(25,317,2,23,31,7,11,2,6),(25,317,2,23,32,1,8,NULL,3),(25,317,2,23,33,8,14,6,4),(25,317,2,23,34,1,3,NULL,1),(25,317,2,23,35,8,19,4,6),(25,317,2,23,36,6,9,2,5),(25,317,2,23,37,4,8,2,4),(25,317,2,23,38,15,11,8,4),(25,317,2,23,39,15,NULL,10,NULL),(25,317,2,23,40,NULL,3,NULL,1),(25,317,2,24,1,3,13,2,7),(25,317,2,24,2,4,12,2,7),(25,317,2,24,3,8,11,3,5),(25,317,2,24,4,3,16,NULL,5),(25,317,2,24,5,7,14,3,7),(25,317,2,24,6,1,11,1,3),(25,317,2,24,7,3,9,NULL,4),(25,317,2,24,8,15,22,6,9),(25,317,2,24,9,15,18,9,5),(25,317,2,24,10,5,15,2,8),(25,317,2,24,11,2,44,1,14),(25,317,2,24,12,3,12,1,2),(25,317,2,24,13,22,20,10,5),(25,317,2,24,14,6,19,3,6),(25,317,2,24,15,8,28,3,8),(25,317,2,24,16,5,16,1,6),(25,317,2,24,17,8,34,1,10),(25,317,2,24,18,13,19,4,6),(25,317,2,24,19,NULL,13,NULL,7),(25,317,2,24,20,10,19,5,9),(25,317,2,24,21,1,8,NULL,4),(25,317,2,24,22,1,5,1,NULL),(25,317,2,24,23,2,7,1,5),(25,317,2,24,24,1,10,NULL,3),(25,317,2,24,25,5,NULL,2,NULL),(25,317,2,24,26,NULL,3,NULL,2),(25,317,2,24,27,2,4,1,1),(25,317,2,24,28,2,3,NULL,1),(25,317,2,24,29,1,8,1,1),(25,317,2,24,30,4,9,NULL,2),(25,317,2,24,31,7,16,3,7),(25,317,2,24,32,1,12,NULL,4),(25,317,2,24,33,5,8,3,5),(25,317,2,24,34,1,4,NULL,NULL),(25,317,2,24,35,8,10,3,5),(25,317,2,24,36,6,13,1,6),(25,317,2,24,37,NULL,5,NULL,2),(25,317,2,24,38,9,16,8,3),(25,317,2,24,39,20,NULL,12,NULL),(25,317,2,24,40,NULL,3,NULL,NULL),(25,318,1,11,1,NULL,NULL,NULL,NULL),(25,318,1,11,2,NULL,NULL,NULL,NULL),(25,318,1,11,3,NULL,NULL,NULL,NULL),(25,318,1,11,4,NULL,NULL,NULL,NULL),(25,318,1,11,5,NULL,NULL,NULL,NULL),(25,318,1,11,6,NULL,NULL,NULL,NULL),(25,318,1,11,7,NULL,NULL,NULL,NULL),(25,318,1,11,8,NULL,NULL,NULL,NULL),(25,318,1,11,9,NULL,NULL,NULL,NULL),(25,318,1,11,10,NULL,NULL,NULL,NULL),(25,318,1,11,11,NULL,NULL,NULL,NULL),(25,318,1,11,12,NULL,NULL,NULL,NULL),(25,318,1,11,13,NULL,NULL,NULL,NULL),(25,318,1,11,14,NULL,NULL,NULL,NULL),(25,318,1,11,15,NULL,NULL,NULL,NULL),(25,318,1,11,16,NULL,NULL,NULL,NULL),(25,318,1,11,17,NULL,NULL,NULL,NULL),(25,318,1,11,18,NULL,NULL,NULL,NULL),(25,318,1,11,19,NULL,NULL,NULL,NULL),(25,318,1,11,20,NULL,NULL,NULL,NULL),(25,318,1,11,21,NULL,NULL,NULL,NULL),(25,318,1,11,22,NULL,NULL,NULL,NULL),(25,318,1,11,23,NULL,NULL,NULL,NULL),(25,318,1,11,24,NULL,NULL,NULL,NULL),(25,318,1,11,25,NULL,NULL,NULL,NULL),(25,318,1,11,26,NULL,NULL,NULL,NULL),(25,318,1,11,27,NULL,NULL,NULL,NULL),(25,318,1,11,28,NULL,NULL,NULL,NULL),(25,318,1,11,29,NULL,NULL,NULL,NULL),(25,318,1,11,30,NULL,NULL,NULL,NULL),(25,318,1,11,31,NULL,NULL,NULL,NULL),(25,318,1,11,32,NULL,NULL,NULL,NULL),(25,318,1,11,33,NULL,NULL,NULL,NULL),(25,318,1,11,34,NULL,NULL,NULL,NULL),(25,318,1,11,35,NULL,NULL,NULL,NULL),(25,318,1,11,36,NULL,NULL,NULL,NULL),(25,318,1,11,37,NULL,NULL,NULL,NULL),(25,318,1,11,38,NULL,NULL,NULL,NULL),(25,318,1,11,39,NULL,NULL,NULL,NULL),(25,318,1,11,40,NULL,NULL,NULL,NULL),(25,318,1,12,1,NULL,1,NULL,1),(25,318,1,12,2,NULL,1,NULL,1),(25,318,1,12,3,1,NULL,1,NULL),(25,318,1,12,4,1,NULL,1,NULL),(25,318,1,12,5,NULL,1,NULL,1),(25,318,1,12,6,NULL,1,NULL,1),(25,318,1,12,7,NULL,1,NULL,1),(25,318,1,12,8,1,NULL,1,NULL),(25,318,1,12,9,NULL,1,NULL,1),(25,318,1,12,10,NULL,1,NULL,1),(25,318,1,12,11,NULL,1,NULL,1),(25,318,1,12,12,NULL,NULL,NULL,NULL),(25,318,1,12,13,1,NULL,1,NULL),(25,318,1,12,14,NULL,1,NULL,1),(25,318,1,12,15,NULL,1,NULL,1),(25,318,1,12,16,1,NULL,1,NULL),(25,318,1,12,17,1,NULL,1,NULL),(25,318,1,12,18,NULL,1,NULL,1),(25,318,1,12,19,1,NULL,1,NULL),(25,318,1,12,20,NULL,1,NULL,1),(25,318,1,12,21,1,NULL,1,NULL),(25,318,1,12,22,NULL,NULL,NULL,NULL),(25,318,1,12,23,NULL,NULL,NULL,NULL),(25,318,1,12,24,1,NULL,1,NULL),(25,318,1,12,25,NULL,NULL,NULL,NULL),(25,318,1,12,26,NULL,NULL,NULL,NULL),(25,318,1,12,27,NULL,NULL,NULL,NULL),(25,318,1,12,28,NULL,1,NULL,1),(25,318,1,12,29,NULL,1,NULL,1),(25,318,1,12,30,1,NULL,1,NULL),(25,318,1,12,31,NULL,NULL,NULL,NULL),(25,318,1,12,32,NULL,NULL,NULL,NULL),(25,318,1,12,33,NULL,NULL,NULL,NULL),(25,318,1,12,34,NULL,NULL,NULL,NULL),(25,318,1,12,35,NULL,NULL,NULL,NULL),(25,318,1,12,36,NULL,NULL,NULL,NULL),(25,318,1,12,37,NULL,NULL,NULL,NULL),(25,318,1,12,38,NULL,1,NULL,1),(25,318,1,12,39,NULL,NULL,NULL,NULL),(25,318,1,12,40,NULL,NULL,NULL,NULL),(25,318,1,13,1,NULL,NULL,NULL,NULL),(25,318,1,13,2,NULL,NULL,NULL,NULL),(25,318,1,13,3,NULL,NULL,NULL,NULL),(25,318,1,13,4,NULL,NULL,NULL,NULL),(25,318,1,13,5,NULL,NULL,NULL,NULL),(25,318,1,13,6,NULL,NULL,NULL,NULL),(25,318,1,13,7,NULL,NULL,NULL,NULL),(25,318,1,13,8,NULL,NULL,NULL,NULL),(25,318,1,13,9,NULL,NULL,NULL,NULL),(25,318,1,13,10,NULL,NULL,NULL,NULL),(25,318,1,13,11,NULL,NULL,NULL,NULL),(25,318,1,13,12,NULL,NULL,NULL,NULL),(25,318,1,13,13,NULL,NULL,NULL,NULL),(25,318,1,13,14,NULL,NULL,NULL,NULL),(25,318,1,13,15,NULL,NULL,NULL,NULL),(25,318,1,13,16,NULL,NULL,NULL,NULL),(25,318,1,13,17,NULL,NULL,NULL,NULL),(25,318,1,13,18,NULL,NULL,NULL,NULL),(25,318,1,13,19,NULL,NULL,NULL,NULL),(25,318,1,13,20,NULL,NULL,NULL,NULL),(25,318,1,13,21,NULL,NULL,NULL,NULL),(25,318,1,13,22,NULL,NULL,NULL,NULL),(25,318,1,13,23,NULL,NULL,NULL,NULL),(25,318,1,13,24,NULL,NULL,NULL,NULL),(25,318,1,13,25,NULL,NULL,NULL,NULL),(25,318,1,13,26,NULL,NULL,NULL,NULL),(25,318,1,13,27,NULL,NULL,NULL,NULL),(25,318,1,13,28,NULL,NULL,NULL,NULL),(25,318,1,13,29,NULL,NULL,NULL,NULL),(25,318,1,13,30,NULL,NULL,NULL,NULL),(25,318,1,13,31,NULL,NULL,NULL,NULL),(25,318,1,13,32,NULL,NULL,NULL,NULL),(25,318,1,13,33,NULL,NULL,NULL,NULL),(25,318,1,13,34,NULL,NULL,NULL,NULL),(25,318,1,13,35,NULL,NULL,NULL,NULL),(25,318,1,13,36,NULL,NULL,NULL,NULL),(25,318,1,13,37,NULL,NULL,NULL,NULL),(25,318,1,13,38,NULL,NULL,NULL,NULL),(25,318,1,13,39,NULL,NULL,NULL,NULL),(25,318,1,13,40,NULL,NULL,NULL,NULL),(25,318,1,14,1,10,16,9,12),(25,318,1,14,2,1,9,NULL,6),(25,318,1,14,3,7,6,6,3),(25,318,1,14,4,16,6,13,4),(25,318,1,14,5,5,7,5,4),(25,318,1,14,6,7,11,5,6),(25,318,1,14,7,5,22,5,13),(25,318,1,14,8,10,10,7,7),(25,318,1,14,9,6,9,6,5),(25,318,1,14,10,2,5,2,2),(25,318,1,14,11,4,3,3,3),(25,318,1,14,12,2,6,1,2),(25,318,1,14,13,3,6,3,6),(25,318,1,14,14,8,4,7,3),(25,318,1,14,15,14,8,11,5),(25,318,1,14,16,5,4,4,2),(25,318,1,14,17,5,4,5,2),(25,318,1,14,18,17,1,15,NULL),(25,318,1,14,19,9,14,9,10),(25,318,1,14,20,10,2,10,1),(25,318,1,14,21,11,13,7,12),(25,318,1,14,22,4,13,3,12),(25,318,1,14,23,2,9,2,8),(25,318,1,14,24,2,5,1,5),(25,318,1,14,25,3,5,1,4),(25,318,1,14,26,9,NULL,6,NULL),(25,318,1,14,27,1,NULL,1,NULL),(25,318,1,14,28,8,19,6,13),(25,318,1,14,29,2,1,NULL,1),(25,318,1,14,30,1,5,NULL,3),(25,318,1,14,31,1,2,1,1),(25,318,1,14,32,3,2,2,2),(25,318,1,14,33,3,5,2,5),(25,318,1,14,34,4,2,2,1),(25,318,1,14,35,4,7,2,4),(25,318,1,14,36,6,13,6,9),(25,318,1,14,37,4,5,2,3),(25,318,1,14,38,2,14,2,8),(25,318,1,14,39,3,14,3,9),(25,318,1,14,40,NULL,5,NULL,4),(25,318,1,15,1,14,13,7,9),(25,318,1,15,2,7,10,5,7),(25,318,1,15,3,6,7,5,4),(25,318,1,15,4,20,8,14,6),(25,318,1,15,5,6,13,4,6),(25,318,1,15,6,5,8,1,6),(25,318,1,15,7,7,26,5,15),(25,318,1,15,8,8,8,4,6),(25,318,1,15,9,8,12,4,8),(25,318,1,15,10,2,2,1,2),(25,318,1,15,11,1,4,NULL,3),(25,318,1,15,12,1,3,NULL,1),(25,318,1,15,13,8,12,6,8),(25,318,1,15,14,13,8,10,4),(25,318,1,15,15,18,7,14,4),(25,318,1,15,16,5,5,2,4),(25,318,1,15,17,8,8,6,6),(25,318,1,15,18,17,2,11,2),(25,318,1,15,19,13,16,10,8),(25,318,1,15,20,11,8,8,5),(25,318,1,15,21,4,20,NULL,13),(25,318,1,15,22,1,11,NULL,7),(25,318,1,15,23,1,14,1,8),(25,318,1,15,24,3,7,2,5),(25,318,1,15,25,2,7,1,6),(25,318,1,15,26,4,NULL,4,NULL),(25,318,1,15,27,NULL,NULL,NULL,NULL),(25,318,1,15,28,4,17,3,9),(25,318,1,15,29,4,3,3,3),(25,318,1,15,30,NULL,5,NULL,3),(25,318,1,15,31,1,2,1,2),(25,318,1,15,32,NULL,3,NULL,2),(25,318,1,15,33,2,4,NULL,2),(25,318,1,15,34,4,10,2,8),(25,318,1,15,35,2,6,2,4),(25,318,1,15,36,5,9,3,6),(25,318,1,15,37,1,10,1,5),(25,318,1,15,38,3,21,3,11),(25,318,1,15,39,5,10,4,7),(25,318,1,15,40,3,3,1,1),(25,318,1,16,1,10,11,7,8),(25,318,1,16,2,2,6,1,4),(25,318,1,16,3,4,5,2,4),(25,318,1,16,4,6,15,4,11),(25,318,1,16,5,1,7,1,3),(25,318,1,16,6,3,9,1,6),(25,318,1,16,7,4,18,3,10),(25,318,1,16,8,9,9,4,6),(25,318,1,16,9,2,8,NULL,5),(25,318,1,16,10,NULL,NULL,NULL,NULL),(25,318,1,16,11,4,6,2,2),(25,318,1,16,12,7,6,5,3),(25,318,1,16,13,8,8,4,5),(25,318,1,16,14,7,8,4,5),(25,318,1,16,15,18,NULL,14,NULL),(25,318,1,16,16,2,13,1,8),(25,318,1,16,17,NULL,11,NULL,7),(25,318,1,16,18,3,25,2,14),(25,318,1,16,19,1,14,1,8),(25,318,1,16,20,22,NULL,13,NULL),(25,318,1,16,21,4,14,4,8),(25,318,1,16,22,1,12,NULL,6),(25,318,1,16,23,1,9,1,6),(25,318,1,16,24,4,7,3,6),(25,318,1,16,25,3,7,3,5),(25,318,1,16,26,3,NULL,3,NULL),(25,318,1,16,27,5,NULL,4,NULL),(25,318,1,16,28,3,22,2,15),(25,318,1,16,29,4,6,2,4),(25,318,1,16,30,1,11,1,6),(25,318,1,16,31,NULL,3,NULL,1),(25,318,1,16,32,1,1,1,1),(25,318,1,16,33,3,2,3,1),(25,318,1,16,34,2,7,2,4),(25,318,1,16,35,1,6,1,4),(25,318,1,16,36,2,11,NULL,7),(25,318,1,16,37,9,3,7,2),(25,318,1,16,38,1,20,1,12),(25,318,1,16,39,2,8,2,6),(25,318,1,16,40,NULL,2,NULL,2),(25,318,1,17,1,17,8,11,4),(25,318,1,17,2,7,7,4,5),(25,318,1,17,3,2,7,2,4),(25,318,1,17,4,8,12,5,8),(25,318,1,17,5,NULL,7,NULL,5),(25,318,1,17,6,12,11,7,5),(25,318,1,17,7,2,19,1,10),(25,318,1,17,8,7,3,5,NULL),(25,318,1,17,9,7,9,3,6),(25,318,1,17,10,NULL,3,NULL,2),(25,318,1,17,11,2,7,2,6),(25,318,1,17,12,6,2,5,2),(25,318,1,17,13,13,1,10,1),(25,318,1,17,14,11,3,9,3),(25,318,1,17,15,18,NULL,10,NULL),(25,318,1,17,16,5,12,2,7),(25,318,1,17,17,3,15,2,4),(25,318,1,17,18,8,27,2,14),(25,318,1,17,19,NULL,14,NULL,4),(25,318,1,17,20,20,NULL,14,NULL),(25,318,1,17,21,2,14,2,9),(25,318,1,17,22,8,11,4,7),(25,318,1,17,23,NULL,3,NULL,2),(25,318,1,17,24,2,3,1,3),(25,318,1,17,25,1,5,1,2),(25,318,1,17,26,3,NULL,3,NULL),(25,318,1,17,27,1,NULL,NULL,NULL),(25,318,1,17,28,8,23,3,13),(25,318,1,17,29,1,2,1,1),(25,318,1,17,30,4,3,2,3),(25,318,1,17,31,NULL,4,NULL,3),(25,318,1,17,32,2,1,2,1),(25,318,1,17,33,3,2,1,1),(25,318,1,17,34,1,4,1,2),(25,318,1,17,35,3,4,3,2),(25,318,1,17,36,3,10,3,6),(25,318,1,17,37,6,4,5,2),(25,318,1,17,38,2,17,1,10),(25,318,1,17,39,1,11,1,7),(25,318,1,17,40,NULL,4,NULL,2),(25,318,2,21,1,3,6,3,3),(25,318,2,21,2,1,9,1,6),(25,318,2,21,3,6,14,2,9),(25,318,2,21,4,6,7,5,5),(25,318,2,21,5,14,5,9,3),(25,318,2,21,6,5,5,4,4),(25,318,2,21,7,2,4,NULL,3),(25,318,2,21,8,6,11,4,6),(25,318,2,21,9,13,7,7,4),(25,318,2,21,10,3,7,1,7),(25,318,2,21,11,4,18,2,11),(25,318,2,21,12,2,9,1,6),(25,318,2,21,13,20,8,13,4),(25,318,2,21,14,3,11,1,7),(25,318,2,21,15,6,10,4,5),(25,318,2,21,16,2,10,1,6),(25,318,2,21,17,6,7,1,4),(25,318,2,21,18,3,10,NULL,5),(25,318,2,21,19,3,8,1,6),(25,318,2,21,20,8,8,5,5),(25,318,2,21,21,1,2,NULL,1),(25,318,2,21,22,NULL,1,NULL,1),(25,318,2,21,23,1,3,1,1),(25,318,2,21,24,2,7,1,5),(25,318,2,21,25,2,NULL,1,NULL),(25,318,2,21,26,NULL,4,NULL,1),(25,318,2,21,27,NULL,4,NULL,NULL),(25,318,2,21,28,3,1,1,1),(25,318,2,21,29,NULL,5,NULL,4),(25,318,2,21,30,NULL,3,NULL,1),(25,318,2,21,31,8,4,6,3),(25,318,2,21,32,NULL,5,NULL,3),(25,318,2,21,33,4,5,3,4),(25,318,2,21,34,NULL,5,NULL,2),(25,318,2,21,35,1,5,1,4),(25,318,2,21,36,4,4,1,4),(25,318,2,21,37,NULL,2,NULL,1),(25,318,2,21,38,6,6,4,3),(25,318,2,21,39,13,NULL,10,NULL),(25,318,2,21,40,NULL,1,NULL,NULL),(25,318,2,22,1,8,8,8,8),(25,318,2,22,2,2,10,2,6),(25,318,2,22,3,10,14,9,10),(25,318,2,22,4,5,8,5,5),(25,318,2,22,5,16,7,15,5),(25,318,2,22,6,6,6,5,5),(25,318,2,22,7,4,5,3,3),(25,318,2,22,8,13,10,9,8),(25,318,2,22,9,18,12,16,7),(25,318,2,22,10,3,7,3,5),(25,318,2,22,11,4,23,2,15),(25,318,2,22,12,3,11,3,8),(25,318,2,22,13,20,8,16,7),(25,318,2,22,14,7,14,5,13),(25,318,2,22,15,15,15,12,11),(25,318,2,22,16,2,13,2,6),(25,318,2,22,17,3,13,1,11),(25,318,2,22,18,2,11,2,9),(25,318,2,22,19,6,5,6,4),(25,318,2,22,20,9,11,5,9),(25,318,2,22,21,2,4,2,4),(25,318,2,22,22,NULL,NULL,NULL,NULL),(25,318,2,22,23,NULL,6,NULL,4),(25,318,2,22,24,NULL,4,NULL,4),(25,318,2,22,25,6,NULL,6,NULL),(25,318,2,22,26,1,8,1,7),(25,318,2,22,27,NULL,3,NULL,2),(25,318,2,22,28,NULL,3,NULL,3),(25,318,2,22,29,1,6,NULL,6),(25,318,2,22,30,1,3,NULL,3),(25,318,2,22,31,7,4,6,4),(25,318,2,22,32,3,6,2,5),(25,318,2,22,33,4,8,3,7),(25,318,2,22,34,1,3,1,3),(25,318,2,22,35,3,12,2,10),(25,318,2,22,36,2,11,2,10),(25,318,2,22,37,1,4,1,3),(25,318,2,22,38,13,8,11,6),(25,318,2,22,39,14,NULL,11,NULL),(25,318,2,22,40,NULL,3,NULL,2),(25,318,2,23,1,4,8,3,6),(25,318,2,23,2,3,9,2,7),(25,318,2,23,3,7,8,5,4),(25,318,2,23,4,5,11,4,9),(25,318,2,23,5,10,6,7,4),(25,318,2,23,6,3,8,3,7),(25,318,2,23,7,NULL,5,NULL,5),(25,318,2,23,8,11,9,6,6),(25,318,2,23,9,19,8,14,3),(25,318,2,23,10,5,5,5,3),(25,318,2,23,11,3,24,1,14),(25,318,2,23,12,3,12,1,9),(25,318,2,23,13,20,8,16,4),(25,318,2,23,14,6,8,5,6),(25,318,2,23,15,7,14,5,9),(25,318,2,23,16,4,4,2,1),(25,318,2,23,17,2,14,1,8),(25,318,2,23,18,6,12,5,7),(25,318,2,23,19,3,4,2,3),(25,318,2,23,20,13,10,10,4),(25,318,2,23,21,3,4,2,1),(25,318,2,23,22,NULL,NULL,NULL,NULL),(25,318,2,23,23,2,4,2,3),(25,318,2,23,24,4,9,2,7),(25,318,2,23,25,3,NULL,1,NULL),(25,318,2,23,26,NULL,2,NULL,2),(25,318,2,23,27,NULL,3,NULL,1),(25,318,2,23,28,NULL,1,NULL,1),(25,318,2,23,29,2,5,1,4),(25,318,2,23,30,2,6,2,4),(25,318,2,23,31,9,5,8,3),(25,318,2,23,32,2,4,1,2),(25,318,2,23,33,6,5,3,4),(25,318,2,23,34,NULL,3,NULL,2),(25,318,2,23,35,4,11,3,7),(25,318,2,23,36,5,4,4,2),(25,318,2,23,37,2,8,1,6),(25,318,2,23,38,6,8,5,2),(25,318,2,23,39,10,NULL,10,NULL),(25,318,2,23,40,NULL,NULL,NULL,NULL),(25,318,2,24,1,4,12,3,7),(25,318,2,24,2,3,3,2,1),(25,318,2,24,3,5,7,3,3),(25,318,2,24,4,3,9,1,2),(25,318,2,24,5,11,8,6,4),(25,318,2,24,6,2,6,2,4),(25,318,2,24,7,NULL,5,NULL,2),(25,318,2,24,8,3,10,1,4),(25,318,2,24,9,15,7,8,2),(25,318,2,24,10,2,6,2,3),(25,318,2,24,11,5,17,3,7),(25,318,2,24,12,2,7,1,3),(25,318,2,24,13,19,7,9,3),(25,318,2,24,14,7,11,5,4),(25,318,2,24,15,4,12,4,4),(25,318,2,24,16,2,12,1,5),(25,318,2,24,17,2,13,1,5),(25,318,2,24,18,4,11,2,5),(25,318,2,24,19,1,9,NULL,4),(25,318,2,24,20,3,11,2,4),(25,318,2,24,21,NULL,4,NULL,1),(25,318,2,24,22,NULL,1,NULL,NULL),(25,318,2,24,23,1,6,NULL,1),(25,318,2,24,24,NULL,8,NULL,5),(25,318,2,24,25,1,NULL,NULL,NULL),(25,318,2,24,26,NULL,2,NULL,2),(25,318,2,24,27,2,5,NULL,1),(25,318,2,24,28,NULL,4,NULL,2),(25,318,2,24,29,NULL,2,NULL,NULL),(25,318,2,24,30,1,8,1,4),(25,318,2,24,31,2,3,2,3),(25,318,2,24,32,2,3,1,2),(25,318,2,24,33,5,7,4,2),(25,318,2,24,34,NULL,2,NULL,1),(25,318,2,24,35,1,6,1,2),(25,318,2,24,36,7,3,3,NULL),(25,318,2,24,37,1,8,1,3),(25,318,2,24,38,4,4,2,1),(25,318,2,24,39,16,NULL,9,NULL),(25,318,2,24,40,NULL,2,NULL,1),(25,319,1,11,1,NULL,1,NULL,1),(25,319,1,11,2,1,NULL,1,NULL),(25,319,1,11,3,NULL,1,NULL,1),(25,319,1,11,4,NULL,1,NULL,1),(25,319,1,11,5,NULL,1,NULL,1),(25,319,1,11,6,1,1,NULL,1),(25,319,1,11,7,NULL,2,NULL,1),(25,319,1,11,8,1,NULL,1,NULL),(25,319,1,11,9,2,NULL,1,NULL),(25,319,1,11,10,NULL,NULL,NULL,NULL),(25,319,1,11,11,NULL,NULL,NULL,NULL),(25,319,1,11,12,NULL,NULL,NULL,NULL),(25,319,1,11,13,NULL,2,NULL,1),(25,319,1,11,14,2,NULL,1,NULL),(25,319,1,11,15,1,NULL,1,NULL),(25,319,1,11,16,NULL,1,NULL,1),(25,319,1,11,17,NULL,2,NULL,1),(25,319,1,11,18,NULL,NULL,NULL,NULL),(25,319,1,11,19,1,NULL,1,NULL),(25,319,1,11,20,1,NULL,1,NULL),(25,319,1,11,21,NULL,NULL,NULL,NULL),(25,319,1,11,22,NULL,1,NULL,1),(25,319,1,11,23,NULL,NULL,NULL,NULL),(25,319,1,11,24,NULL,1,NULL,1),(25,319,1,11,25,NULL,1,NULL,1),(25,319,1,11,26,1,NULL,1,NULL),(25,319,1,11,27,NULL,NULL,NULL,NULL),(25,319,1,11,28,NULL,NULL,NULL,NULL),(25,319,1,11,29,NULL,NULL,NULL,NULL),(25,319,1,11,30,NULL,1,NULL,1),(25,319,1,11,31,NULL,NULL,NULL,NULL),(25,319,1,11,32,NULL,1,NULL,1),(25,319,1,11,33,NULL,1,NULL,1),(25,319,1,11,34,NULL,NULL,NULL,NULL),(25,319,1,11,35,1,NULL,1,NULL),(25,319,1,11,36,1,1,1,NULL),(25,319,1,11,37,NULL,NULL,NULL,NULL),(25,319,1,11,38,NULL,1,NULL,1),(25,319,1,11,39,NULL,1,NULL,1),(25,319,1,11,40,NULL,1,NULL,1),(25,319,1,12,1,3,1,NULL,NULL),(25,319,1,12,2,1,1,NULL,NULL),(25,319,1,12,3,NULL,NULL,NULL,NULL),(25,319,1,12,4,3,NULL,NULL,NULL),(25,319,1,12,5,NULL,1,NULL,NULL),(25,319,1,12,6,1,1,NULL,NULL),(25,319,1,12,7,1,1,NULL,NULL),(25,319,1,12,8,NULL,NULL,NULL,NULL),(25,319,1,12,9,2,1,NULL,NULL),(25,319,1,12,10,NULL,1,NULL,NULL),(25,319,1,12,11,1,1,NULL,NULL),(25,319,1,12,12,NULL,1,NULL,NULL),(25,319,1,12,13,1,NULL,NULL,NULL),(25,319,1,12,14,3,1,NULL,NULL),(25,319,1,12,15,2,1,NULL,NULL),(25,319,1,12,16,2,NULL,NULL,NULL),(25,319,1,12,17,2,NULL,NULL,NULL),(25,319,1,12,18,1,1,NULL,NULL),(25,319,1,12,19,NULL,NULL,NULL,NULL),(25,319,1,12,20,1,2,NULL,NULL),(25,319,1,12,21,2,1,NULL,NULL),(25,319,1,12,22,NULL,2,NULL,NULL),(25,319,1,12,23,1,1,NULL,NULL),(25,319,1,12,24,NULL,NULL,NULL,NULL),(25,319,1,12,25,NULL,1,NULL,NULL),(25,319,1,12,26,1,NULL,NULL,NULL),(25,319,1,12,27,NULL,NULL,NULL,NULL),(25,319,1,12,28,2,NULL,NULL,NULL),(25,319,1,12,29,NULL,1,NULL,NULL),(25,319,1,12,30,NULL,NULL,NULL,NULL),(25,319,1,12,31,NULL,NULL,NULL,NULL),(25,319,1,12,32,NULL,NULL,NULL,NULL),(25,319,1,12,33,1,1,NULL,NULL),(25,319,1,12,34,NULL,1,NULL,NULL),(25,319,1,12,35,NULL,NULL,NULL,NULL),(25,319,1,12,36,2,NULL,NULL,NULL),(25,319,1,12,37,NULL,1,NULL,NULL),(25,319,1,12,38,NULL,2,NULL,NULL),(25,319,1,12,39,1,1,NULL,NULL),(25,319,1,12,40,NULL,NULL,NULL,NULL),(25,319,1,13,1,2,NULL,2,NULL),(25,319,1,13,2,1,1,1,1),(25,319,1,13,3,2,NULL,2,NULL),(25,319,1,13,4,2,NULL,2,NULL),(25,319,1,13,5,NULL,NULL,NULL,NULL),(25,319,1,13,6,2,NULL,2,NULL),(25,319,1,13,7,NULL,2,NULL,2),(25,319,1,13,8,NULL,NULL,NULL,NULL),(25,319,1,13,9,1,1,1,1),(25,319,1,13,10,NULL,NULL,NULL,NULL),(25,319,1,13,11,NULL,1,NULL,1),(25,319,1,13,12,1,NULL,1,NULL),(25,319,1,13,13,2,NULL,2,NULL),(25,319,1,13,14,2,NULL,2,NULL),(25,319,1,13,15,1,NULL,1,NULL),(25,319,1,13,16,1,1,1,1),(25,319,1,13,17,1,1,1,1),(25,319,1,13,18,2,NULL,2,NULL),(25,319,1,13,19,1,1,1,1),(25,319,1,13,20,NULL,1,NULL,1),(25,319,1,13,21,NULL,1,NULL,1),(25,319,1,13,22,NULL,NULL,NULL,NULL),(25,319,1,13,23,NULL,1,NULL,1),(25,319,1,13,24,NULL,NULL,NULL,NULL),(25,319,1,13,25,NULL,1,NULL,1),(25,319,1,13,26,NULL,NULL,NULL,NULL),(25,319,1,13,27,NULL,NULL,NULL,NULL),(25,319,1,13,28,NULL,NULL,NULL,NULL),(25,319,1,13,29,NULL,1,NULL,1),(25,319,1,13,30,1,1,1,1),(25,319,1,13,31,1,NULL,1,NULL),(25,319,1,13,32,1,NULL,1,NULL),(25,319,1,13,33,2,NULL,2,NULL),(25,319,1,13,34,1,NULL,1,NULL),(25,319,1,13,35,2,NULL,2,NULL),(25,319,1,13,36,1,1,1,1),(25,319,1,13,37,2,NULL,2,NULL),(25,319,1,13,38,1,1,1,1),(25,319,1,13,39,NULL,1,NULL,1),(25,319,1,13,40,1,NULL,1,NULL),(25,319,1,14,1,52,75,14,18),(25,319,1,14,2,26,47,12,12),(25,319,1,14,3,28,30,12,7),(25,319,1,14,4,85,45,25,7),(25,319,1,14,5,17,56,5,18),(25,319,1,14,6,23,55,8,14),(25,319,1,14,7,39,97,10,24),(25,319,1,14,8,36,35,10,11),(25,319,1,14,9,32,55,11,14),(25,319,1,14,10,11,16,6,7),(25,319,1,14,11,19,41,5,13),(25,319,1,14,12,28,20,7,6),(25,319,1,14,13,32,30,14,11),(25,319,1,14,14,46,34,21,5),(25,319,1,14,15,50,34,23,8),(25,319,1,14,16,36,28,12,10),(25,319,1,14,17,47,26,22,5),(25,319,1,14,18,79,11,30,2),(25,319,1,14,19,58,72,18,16),(25,319,1,14,20,58,9,23,1),(25,319,1,14,21,24,50,12,13),(25,319,1,14,22,14,48,5,19),(25,319,1,14,23,10,34,1,12),(25,319,1,14,24,8,34,1,15),(25,319,1,14,25,7,24,3,5),(25,319,1,14,26,27,NULL,14,NULL),(25,319,1,14,27,6,NULL,3,NULL),(25,319,1,14,28,23,57,4,23),(25,319,1,14,29,13,17,2,3),(25,319,1,14,30,3,28,NULL,8),(25,319,1,14,31,6,13,3,4),(25,319,1,14,32,13,17,3,8),(25,319,1,14,33,13,29,6,14),(25,319,1,14,34,20,30,10,8),(25,319,1,14,35,17,22,7,10),(25,319,1,14,36,38,59,17,15),(25,319,1,14,37,36,29,17,10),(25,319,1,14,38,11,87,4,24),(25,319,1,14,39,11,59,3,17),(25,319,1,14,40,3,32,1,13),(25,319,1,15,1,41,61,7,9),(25,319,1,15,2,27,34,7,5),(25,319,1,15,3,27,21,7,1),(25,319,1,15,4,90,32,14,3),(25,319,1,15,5,15,46,3,6),(25,319,1,15,6,27,43,5,6),(25,319,1,15,7,29,87,4,12),(25,319,1,15,8,21,20,6,1),(25,319,1,15,9,23,34,4,2),(25,319,1,15,10,6,20,3,2),(25,319,1,15,11,22,25,4,4),(25,319,1,15,12,28,11,4,1),(25,319,1,15,13,34,26,8,2),(25,319,1,15,14,37,26,6,NULL),(25,319,1,15,15,57,25,10,3),(25,319,1,15,16,23,28,4,2),(25,319,1,15,17,34,23,6,5),(25,319,1,15,18,62,19,13,2),(25,319,1,15,19,56,43,10,6),(25,319,1,15,20,48,14,5,2),(25,319,1,15,21,22,47,3,6),(25,319,1,15,22,12,32,4,4),(25,319,1,15,23,3,28,NULL,7),(25,319,1,15,24,5,22,NULL,4),(25,319,1,15,25,6,32,3,4),(25,319,1,15,26,15,NULL,5,NULL),(25,319,1,15,27,6,NULL,2,NULL),(25,319,1,15,28,13,37,2,4),(25,319,1,15,29,6,15,2,3),(25,319,1,15,30,11,25,2,2),(25,319,1,15,31,2,15,2,4),(25,319,1,15,32,9,15,5,5),(25,319,1,15,33,14,24,2,6),(25,319,1,15,34,18,23,4,3),(25,319,1,15,35,9,16,2,2),(25,319,1,15,36,36,35,12,3),(25,319,1,15,37,32,19,8,1),(25,319,1,15,38,7,71,2,9),(25,319,1,15,39,12,40,4,3),(25,319,1,15,40,2,19,1,6),(25,319,1,16,1,39,62,2,9),(25,319,1,16,2,18,41,4,1),(25,319,1,16,3,21,36,4,2),(25,319,1,16,4,64,38,8,2),(25,319,1,16,5,4,43,NULL,7),(25,319,1,16,6,18,51,1,7),(25,319,1,16,7,24,90,3,8),(25,319,1,16,8,30,22,6,2),(25,319,1,16,9,30,30,2,3),(25,319,1,16,10,7,8,3,1),(25,319,1,16,11,14,31,1,3),(25,319,1,16,12,23,16,6,3),(25,319,1,16,13,49,27,4,5),(25,319,1,16,14,29,41,3,5),(25,319,1,16,15,85,NULL,9,NULL),(25,319,1,16,16,20,57,4,6),(25,319,1,16,17,8,63,NULL,4),(25,319,1,16,18,25,109,1,7),(25,319,1,16,19,4,51,1,6),(25,319,1,16,20,83,NULL,10,NULL),(25,319,1,16,21,22,53,3,5),(25,319,1,16,22,16,28,1,6),(25,319,1,16,23,5,31,1,1),(25,319,1,16,24,3,16,NULL,2),(25,319,1,16,25,4,14,1,NULL),(25,319,1,16,26,12,NULL,3,NULL),(25,319,1,16,27,5,NULL,2,NULL),(25,319,1,16,28,15,54,NULL,10),(25,319,1,16,29,7,15,NULL,2),(25,319,1,16,30,2,22,NULL,3),(25,319,1,16,31,5,18,2,1),(25,319,1,16,32,4,15,2,3),(25,319,1,16,33,17,16,1,5),(25,319,1,16,34,5,29,NULL,NULL),(25,319,1,16,35,13,13,1,1),(25,319,1,16,36,9,35,2,3),(25,319,1,16,37,28,21,6,4),(25,319,1,16,38,3,79,1,7),(25,319,1,16,39,6,47,3,5),(25,319,1,16,40,NULL,17,NULL,2),(25,319,1,17,1,41,42,7,10),(25,319,1,17,2,15,31,2,7),(25,319,1,17,3,23,19,5,2),(25,319,1,17,4,54,41,12,2),(25,319,1,17,5,9,38,1,6),(25,319,1,17,6,20,47,5,11),(25,319,1,17,7,18,71,5,9),(25,319,1,17,8,32,22,8,1),(25,319,1,17,9,27,34,6,3),(25,319,1,17,10,3,20,1,6),(25,319,1,17,11,14,25,2,6),(25,319,1,17,12,27,21,9,1),(25,319,1,17,13,54,23,11,2),(25,319,1,17,14,37,29,10,4),(25,319,1,17,15,84,NULL,9,NULL),(25,319,1,17,16,25,46,5,6),(25,319,1,17,17,8,56,3,6),(25,319,1,17,18,12,93,3,15),(25,319,1,17,19,1,60,NULL,7),(25,319,1,17,20,77,NULL,16,NULL),(25,319,1,17,21,13,42,3,9),(25,319,1,17,22,11,39,1,11),(25,319,1,17,23,1,28,NULL,5),(25,319,1,17,24,8,20,2,5),(25,319,1,17,25,4,14,1,3),(25,319,1,17,26,12,NULL,5,NULL),(25,319,1,17,27,4,NULL,1,NULL),(25,319,1,17,28,17,57,2,14),(25,319,1,17,29,1,17,NULL,2),(25,319,1,17,30,7,30,1,11),(25,319,1,17,31,4,16,1,5),(25,319,1,17,32,6,12,3,3),(25,319,1,17,33,8,23,3,6),(25,319,1,17,34,26,20,7,3),(25,319,1,17,35,7,22,2,3),(25,319,1,17,36,14,35,8,6),(25,319,1,17,37,19,21,4,2),(25,319,1,17,38,3,65,NULL,13),(25,319,1,17,39,10,44,2,7),(25,319,1,17,40,3,20,1,3),(25,319,2,21,1,15,34,6,5),(25,319,2,21,2,3,27,2,5),(25,319,2,21,3,21,30,7,4),(25,319,2,21,4,11,39,2,8),(25,319,2,21,5,31,26,9,4),(25,319,2,21,6,19,20,6,5),(25,319,2,21,7,15,25,1,8),(25,319,2,21,8,41,31,10,3),(25,319,2,21,9,55,38,16,4),(25,319,2,21,10,15,37,5,10),(25,319,2,21,11,6,85,NULL,16),(25,319,2,21,12,13,33,3,8),(25,319,2,21,13,67,27,17,3),(25,319,2,21,14,21,44,7,9),(25,319,2,21,15,41,42,9,8),(25,319,2,21,16,22,33,9,6),(25,319,2,21,17,20,55,3,6),(25,319,2,21,18,21,36,4,6),(25,319,2,21,19,9,30,3,9),(25,319,2,21,20,16,40,5,5),(25,319,2,21,21,3,17,2,4),(25,319,2,21,22,NULL,3,NULL,NULL),(25,319,2,21,23,6,10,4,3),(25,319,2,21,24,6,21,1,4),(25,319,2,21,25,6,NULL,1,NULL),(25,319,2,21,26,2,14,NULL,4),(25,319,2,21,27,2,16,NULL,NULL),(25,319,2,21,28,NULL,9,NULL,1),(25,319,2,21,29,4,21,1,2),(25,319,2,21,30,7,22,1,2),(25,319,2,21,31,24,21,7,4),(25,319,2,21,32,5,17,1,4),(25,319,2,21,33,27,19,9,4),(25,319,2,21,34,4,10,2,4),(25,319,2,21,35,14,36,8,5),(25,319,2,21,36,12,22,NULL,3),(25,319,2,21,37,8,20,2,4),(25,319,2,21,38,29,29,8,5),(25,319,2,21,39,49,NULL,18,NULL),(25,319,2,21,40,5,13,2,2),(25,319,2,22,1,22,26,8,5),(25,319,2,22,2,7,34,2,6),(25,319,2,22,3,12,30,3,6),(25,319,2,22,4,16,30,8,6),(25,319,2,22,5,39,32,9,7),(25,319,2,22,6,5,27,4,5),(25,319,2,22,7,8,25,4,8),(25,319,2,22,8,44,35,12,4),(25,319,2,22,9,60,43,15,7),(25,319,2,22,10,17,45,4,12),(25,319,2,22,11,11,95,3,12),(25,319,2,22,12,11,40,1,8),(25,319,2,22,13,75,22,20,NULL),(25,319,2,22,14,19,36,7,9),(25,319,2,22,15,22,47,5,10),(25,319,2,22,16,12,41,2,10),(25,319,2,22,17,16,56,4,8),(25,319,2,22,18,17,34,2,6),(25,319,2,22,19,4,33,NULL,7),(25,319,2,22,20,22,27,6,6),(25,319,2,22,21,6,20,1,4),(25,319,2,22,22,3,9,NULL,2),(25,319,2,22,23,6,16,2,7),(25,319,2,22,24,4,16,1,3),(25,319,2,22,25,12,NULL,3,NULL),(25,319,2,22,26,1,13,1,4),(25,319,2,22,27,2,19,NULL,2),(25,319,2,22,28,2,8,NULL,3),(25,319,2,22,29,5,14,1,4),(25,319,2,22,30,7,21,1,4),(25,319,2,22,31,27,20,11,4),(25,319,2,22,32,1,24,NULL,8),(25,319,2,22,33,30,25,13,6),(25,319,2,22,34,3,12,NULL,1),(25,319,2,22,35,6,24,1,7),(25,319,2,22,36,19,24,3,5),(25,319,2,22,37,5,16,NULL,5),(25,319,2,22,38,34,25,12,5),(25,319,2,22,39,47,NULL,18,NULL),(25,319,2,22,40,4,9,3,1),(25,319,2,23,1,13,29,3,7),(25,319,2,23,2,6,42,1,11),(25,319,2,23,3,15,29,4,5),(25,319,2,23,4,14,25,4,2),(25,319,2,23,5,29,31,7,5),(25,319,2,23,6,19,25,3,7),(25,319,2,23,7,9,32,3,4),(25,319,2,23,8,44,37,11,4),(25,319,2,23,9,60,39,15,3),(25,319,2,23,10,22,40,7,10),(25,319,2,23,11,10,89,3,9),(25,319,2,23,12,8,30,NULL,7),(25,319,2,23,13,76,21,15,3),(25,319,2,23,14,13,43,3,11),(25,319,2,23,15,23,42,5,6),(25,319,2,23,16,10,47,2,6),(25,319,2,23,17,15,42,2,6),(25,319,2,23,18,34,39,5,6),(25,319,2,23,19,2,42,NULL,8),(25,319,2,23,20,17,40,3,5),(25,319,2,23,21,4,13,NULL,3),(25,319,2,23,22,NULL,7,NULL,3),(25,319,2,23,23,5,9,1,2),(25,319,2,23,24,3,24,NULL,4),(25,319,2,23,25,9,NULL,2,NULL),(25,319,2,23,26,NULL,10,NULL,NULL),(25,319,2,23,27,3,10,NULL,2),(25,319,2,23,28,1,10,NULL,1),(25,319,2,23,29,2,20,NULL,2),(25,319,2,23,30,9,18,3,3),(25,319,2,23,31,20,16,6,3),(25,319,2,23,32,3,23,NULL,6),(25,319,2,23,33,21,20,11,3),(25,319,2,23,34,2,12,NULL,5),(25,319,2,23,35,16,24,5,4),(25,319,2,23,36,19,21,5,2),(25,319,2,23,37,11,28,3,9),(25,319,2,23,38,25,29,8,2),(25,319,2,23,39,30,NULL,9,NULL),(25,319,2,23,40,6,9,2,1),(25,319,2,24,1,11,36,4,10),(25,319,2,24,2,5,37,1,9),(25,319,2,24,3,12,32,4,9),(25,319,2,24,4,18,31,6,6),(25,319,2,24,5,28,33,10,7),(25,319,2,24,6,10,26,4,6),(25,319,2,24,7,5,23,1,7),(25,319,2,24,8,34,38,9,5),(25,319,2,24,9,40,39,13,7),(25,319,2,24,10,17,33,8,10),(25,319,2,24,11,1,89,NULL,15),(25,319,2,24,12,11,28,2,5),(25,319,2,24,13,48,20,14,3),(25,319,2,24,14,10,46,1,12),(25,319,2,24,15,25,52,3,10),(25,319,2,24,16,9,36,2,7),(25,319,2,24,17,14,36,1,8),(25,319,2,24,18,19,44,2,9),(25,319,2,24,19,5,16,1,3),(25,319,2,24,20,10,37,3,7),(25,319,2,24,21,5,23,2,4),(25,319,2,24,22,NULL,3,NULL,NULL),(25,319,2,24,23,4,14,2,6),(25,319,2,24,24,2,25,NULL,4),(25,319,2,24,25,11,NULL,1,NULL),(25,319,2,24,26,NULL,14,NULL,2),(25,319,2,24,27,5,11,1,1),(25,319,2,24,28,6,13,3,2),(25,319,2,24,29,3,19,1,3),(25,319,2,24,30,4,19,1,7),(25,319,2,24,31,20,22,9,5),(25,319,2,24,32,2,31,1,11),(25,319,2,24,33,22,23,7,8),(25,319,2,24,34,2,15,2,NULL),(25,319,2,24,35,12,17,3,6),(25,319,2,24,36,14,16,5,6),(25,319,2,24,37,4,21,NULL,5),(25,319,2,24,38,22,27,9,4),(25,319,2,24,39,38,NULL,12,NULL),(25,319,2,24,40,4,5,NULL,2),(25,320,1,11,1,NULL,NULL,NULL,NULL),(25,320,1,11,2,NULL,NULL,NULL,NULL),(25,320,1,11,3,NULL,NULL,NULL,NULL),(25,320,1,11,4,NULL,NULL,NULL,NULL),(25,320,1,11,5,NULL,NULL,NULL,NULL),(25,320,1,11,6,NULL,NULL,NULL,NULL),(25,320,1,11,7,NULL,NULL,NULL,NULL),(25,320,1,11,8,NULL,NULL,NULL,NULL),(25,320,1,11,9,NULL,NULL,NULL,NULL),(25,320,1,11,10,NULL,NULL,NULL,NULL),(25,320,1,11,11,NULL,NULL,NULL,NULL),(25,320,1,11,12,NULL,NULL,NULL,NULL),(25,320,1,11,13,NULL,NULL,NULL,NULL),(25,320,1,11,14,NULL,NULL,NULL,NULL),(25,320,1,11,15,NULL,NULL,NULL,NULL),(25,320,1,11,16,NULL,NULL,NULL,NULL),(25,320,1,11,17,NULL,NULL,NULL,NULL),(25,320,1,11,18,NULL,NULL,NULL,NULL),(25,320,1,11,19,NULL,NULL,NULL,NULL),(25,320,1,11,20,NULL,NULL,NULL,NULL),(25,320,1,11,21,NULL,NULL,NULL,NULL),(25,320,1,11,22,NULL,NULL,NULL,NULL),(25,320,1,11,23,NULL,NULL,NULL,NULL),(25,320,1,11,24,NULL,NULL,NULL,NULL),(25,320,1,11,25,NULL,NULL,NULL,NULL),(25,320,1,11,26,NULL,NULL,NULL,NULL),(25,320,1,11,27,NULL,NULL,NULL,NULL),(25,320,1,11,28,NULL,NULL,NULL,NULL),(25,320,1,11,29,NULL,NULL,NULL,NULL),(25,320,1,11,30,NULL,NULL,NULL,NULL),(25,320,1,11,31,NULL,NULL,NULL,NULL),(25,320,1,11,32,NULL,NULL,NULL,NULL),(25,320,1,11,33,NULL,NULL,NULL,NULL),(25,320,1,11,34,NULL,NULL,NULL,NULL),(25,320,1,11,35,NULL,NULL,NULL,NULL),(25,320,1,11,36,NULL,NULL,NULL,NULL),(25,320,1,11,37,NULL,NULL,NULL,NULL),(25,320,1,11,38,NULL,NULL,NULL,NULL),(25,320,1,11,39,NULL,NULL,NULL,NULL),(25,320,1,11,40,NULL,NULL,NULL,NULL),(25,320,1,12,1,1,NULL,1,NULL),(25,320,1,12,2,1,1,1,NULL),(25,320,1,12,3,NULL,NULL,NULL,NULL),(25,320,1,12,4,NULL,NULL,NULL,NULL),(25,320,1,12,5,NULL,NULL,NULL,NULL),(25,320,1,12,6,NULL,1,NULL,NULL),(25,320,1,12,7,NULL,2,NULL,1),(25,320,1,12,8,NULL,NULL,NULL,NULL),(25,320,1,12,9,NULL,1,NULL,1),(25,320,1,12,10,NULL,NULL,NULL,NULL),(25,320,1,12,11,2,NULL,1,NULL),(25,320,1,12,12,NULL,NULL,NULL,NULL),(25,320,1,12,13,1,NULL,NULL,NULL),(25,320,1,12,14,1,NULL,NULL,NULL),(25,320,1,12,15,NULL,NULL,NULL,NULL),(25,320,1,12,16,1,NULL,NULL,NULL),(25,320,1,12,17,NULL,NULL,NULL,NULL),(25,320,1,12,18,NULL,NULL,NULL,NULL),(25,320,1,12,19,NULL,NULL,NULL,NULL),(25,320,1,12,20,NULL,NULL,NULL,NULL),(25,320,1,12,21,NULL,NULL,NULL,NULL),(25,320,1,12,22,NULL,NULL,NULL,NULL),(25,320,1,12,23,NULL,NULL,NULL,NULL),(25,320,1,12,24,NULL,NULL,NULL,NULL),(25,320,1,12,25,NULL,NULL,NULL,NULL),(25,320,1,12,26,NULL,NULL,NULL,NULL),(25,320,1,12,27,NULL,NULL,NULL,NULL),(25,320,1,12,28,NULL,1,NULL,1),(25,320,1,12,29,NULL,NULL,NULL,NULL),(25,320,1,12,30,NULL,NULL,NULL,NULL),(25,320,1,12,31,NULL,NULL,NULL,NULL),(25,320,1,12,32,NULL,NULL,NULL,NULL),(25,320,1,12,33,NULL,NULL,NULL,NULL),(25,320,1,12,34,1,NULL,NULL,NULL),(25,320,1,12,35,NULL,NULL,NULL,NULL),(25,320,1,12,36,1,NULL,1,NULL),(25,320,1,12,37,NULL,NULL,NULL,NULL),(25,320,1,12,38,NULL,NULL,NULL,NULL),(25,320,1,12,39,NULL,NULL,NULL,NULL),(25,320,1,12,40,NULL,NULL,NULL,NULL),(25,320,1,13,1,NULL,NULL,NULL,NULL),(25,320,1,13,2,1,NULL,NULL,NULL),(25,320,1,13,3,NULL,NULL,NULL,NULL),(25,320,1,13,4,1,NULL,NULL,NULL),(25,320,1,13,5,NULL,NULL,NULL,NULL),(25,320,1,13,6,NULL,NULL,NULL,NULL),(25,320,1,13,7,NULL,NULL,NULL,NULL),(25,320,1,13,8,NULL,NULL,NULL,NULL),(25,320,1,13,9,NULL,NULL,NULL,NULL),(25,320,1,13,10,NULL,NULL,NULL,NULL),(25,320,1,13,11,NULL,NULL,NULL,NULL),(25,320,1,13,12,NULL,NULL,NULL,NULL),(25,320,1,13,13,1,NULL,NULL,NULL),(25,320,1,13,14,1,NULL,NULL,NULL),(25,320,1,13,15,1,NULL,NULL,NULL),(25,320,1,13,16,NULL,1,NULL,NULL),(25,320,1,13,17,1,NULL,NULL,NULL),(25,320,1,13,18,1,NULL,NULL,NULL),(25,320,1,13,19,NULL,1,NULL,NULL),(25,320,1,13,20,NULL,NULL,NULL,NULL),(25,320,1,13,21,NULL,NULL,NULL,NULL),(25,320,1,13,22,NULL,NULL,NULL,NULL),(25,320,1,13,23,1,NULL,NULL,NULL),(25,320,1,13,24,NULL,NULL,NULL,NULL),(25,320,1,13,25,NULL,NULL,NULL,NULL),(25,320,1,13,26,NULL,NULL,NULL,NULL),(25,320,1,13,27,NULL,NULL,NULL,NULL),(25,320,1,13,28,NULL,NULL,NULL,NULL),(25,320,1,13,29,NULL,NULL,NULL,NULL),(25,320,1,13,30,NULL,NULL,NULL,NULL),(25,320,1,13,31,NULL,NULL,NULL,NULL),(25,320,1,13,32,NULL,NULL,NULL,NULL),(25,320,1,13,33,NULL,NULL,NULL,NULL),(25,320,1,13,34,1,NULL,NULL,NULL),(25,320,1,13,35,1,NULL,NULL,NULL),(25,320,1,13,36,NULL,NULL,NULL,NULL),(25,320,1,13,37,NULL,NULL,NULL,NULL),(25,320,1,13,38,NULL,1,NULL,NULL),(25,320,1,13,39,NULL,NULL,NULL,NULL),(25,320,1,13,40,NULL,NULL,NULL,NULL),(25,320,1,14,1,9,9,7,8),(25,320,1,14,2,6,4,4,2),(25,320,1,14,3,7,2,6,2),(25,320,1,14,4,11,5,8,4),(25,320,1,14,5,4,4,3,4),(25,320,1,14,6,4,10,2,9),(25,320,1,14,7,4,10,1,7),(25,320,1,14,8,2,4,2,4),(25,320,1,14,9,2,3,NULL,3),(25,320,1,14,10,1,NULL,1,NULL),(25,320,1,14,11,1,3,1,2),(25,320,1,14,12,2,4,1,4),(25,320,1,14,13,6,1,3,1),(25,320,1,14,14,6,4,4,3),(25,320,1,14,15,11,4,8,3),(25,320,1,14,16,4,3,2,2),(25,320,1,14,17,10,2,8,1),(25,320,1,14,18,12,3,10,3),(25,320,1,14,19,13,4,9,2),(25,320,1,14,20,10,NULL,7,NULL),(25,320,1,14,21,2,9,2,7),(25,320,1,14,22,4,3,3,3),(25,320,1,14,23,NULL,3,NULL,3),(25,320,1,14,24,1,4,1,4),(25,320,1,14,25,NULL,1,NULL,NULL),(25,320,1,14,26,3,NULL,3,NULL),(25,320,1,14,27,NULL,NULL,NULL,NULL),(25,320,1,14,28,3,8,3,5),(25,320,1,14,29,NULL,1,NULL,1),(25,320,1,14,30,1,6,1,5),(25,320,1,14,31,NULL,2,NULL,2),(25,320,1,14,32,3,4,3,4),(25,320,1,14,33,2,2,1,2),(25,320,1,14,34,2,3,1,1),(25,320,1,14,35,1,5,NULL,3),(25,320,1,14,36,6,4,5,3),(25,320,1,14,37,3,4,2,3),(25,320,1,14,38,1,10,1,7),(25,320,1,14,39,1,4,1,4),(25,320,1,14,40,1,4,1,3),(25,320,1,15,1,3,5,2,4),(25,320,1,15,2,3,4,3,4),(25,320,1,15,3,1,3,1,3),(25,320,1,15,4,7,6,7,4),(25,320,1,15,5,1,2,1,2),(25,320,1,15,6,2,1,2,1),(25,320,1,15,7,3,7,3,5),(25,320,1,15,8,3,5,2,4),(25,320,1,15,9,6,1,5,NULL),(25,320,1,15,10,1,NULL,1,NULL),(25,320,1,15,11,1,2,1,2),(25,320,1,15,12,1,2,1,2),(25,320,1,15,13,3,3,2,3),(25,320,1,15,14,1,4,1,3),(25,320,1,15,15,4,5,4,4),(25,320,1,15,16,2,4,2,3),(25,320,1,15,17,4,4,3,4),(25,320,1,15,18,7,NULL,7,NULL),(25,320,1,15,19,4,6,4,5),(25,320,1,15,20,6,2,5,2),(25,320,1,15,21,2,3,2,3),(25,320,1,15,22,NULL,6,NULL,5),(25,320,1,15,23,2,2,2,2),(25,320,1,15,24,NULL,NULL,NULL,NULL),(25,320,1,15,25,NULL,2,NULL,2),(25,320,1,15,26,NULL,NULL,NULL,NULL),(25,320,1,15,27,2,NULL,2,NULL),(25,320,1,15,28,NULL,7,NULL,6),(25,320,1,15,29,NULL,NULL,NULL,NULL),(25,320,1,15,30,NULL,4,NULL,4),(25,320,1,15,31,NULL,NULL,NULL,NULL),(25,320,1,15,32,NULL,2,NULL,2),(25,320,1,15,33,NULL,2,NULL,2),(25,320,1,15,34,1,4,NULL,4),(25,320,1,15,35,2,4,2,3),(25,320,1,15,36,1,2,1,2),(25,320,1,15,37,3,4,3,3),(25,320,1,15,38,1,8,1,6),(25,320,1,15,39,NULL,3,NULL,2),(25,320,1,15,40,NULL,1,NULL,1),(25,320,1,16,1,1,5,1,3),(25,320,1,16,2,1,2,1,2),(25,320,1,16,3,4,3,3,3),(25,320,1,16,4,6,3,6,1),(25,320,1,16,5,1,4,1,4),(25,320,1,16,6,1,3,1,3),(25,320,1,16,7,2,4,2,3),(25,320,1,16,8,3,2,3,1),(25,320,1,16,9,2,4,2,4),(25,320,1,16,10,NULL,NULL,NULL,NULL),(25,320,1,16,11,1,4,1,4),(25,320,1,16,12,3,5,3,3),(25,320,1,16,13,5,4,5,1),(25,320,1,16,14,6,1,6,1),(25,320,1,16,15,9,NULL,7,NULL),(25,320,1,16,16,1,5,1,3),(25,320,1,16,17,NULL,1,NULL,1),(25,320,1,16,18,1,9,1,8),(25,320,1,16,19,NULL,3,NULL,2),(25,320,1,16,20,10,NULL,6,NULL),(25,320,1,16,21,1,5,1,5),(25,320,1,16,22,2,3,2,3),(25,320,1,16,23,NULL,7,NULL,5),(25,320,1,16,24,2,2,2,NULL),(25,320,1,16,25,2,2,1,2),(25,320,1,16,26,1,NULL,1,NULL),(25,320,1,16,27,1,NULL,1,NULL),(25,320,1,16,28,1,7,1,5),(25,320,1,16,29,1,3,1,1),(25,320,1,16,30,NULL,2,NULL,NULL),(25,320,1,16,31,1,NULL,1,NULL),(25,320,1,16,32,NULL,NULL,NULL,NULL),(25,320,1,16,33,1,2,NULL,1),(25,320,1,16,34,2,4,2,4),(25,320,1,16,35,1,1,1,1),(25,320,1,16,36,1,3,NULL,3),(25,320,1,16,37,1,2,1,2),(25,320,1,16,38,NULL,6,NULL,5),(25,320,1,16,39,NULL,2,NULL,2),(25,320,1,16,40,NULL,2,NULL,1),(25,320,1,17,1,2,4,1,4),(25,320,1,17,2,3,3,2,2),(25,320,1,17,3,1,3,NULL,3),(25,320,1,17,4,3,2,2,2),(25,320,1,17,5,1,1,NULL,1),(25,320,1,17,6,1,4,1,3),(25,320,1,17,7,1,5,1,4),(25,320,1,17,8,3,1,2,1),(25,320,1,17,9,2,NULL,1,NULL),(25,320,1,17,10,NULL,NULL,NULL,NULL),(25,320,1,17,11,NULL,NULL,NULL,NULL),(25,320,1,17,12,2,1,2,1),(25,320,1,17,13,6,2,4,2),(25,320,1,17,14,5,2,4,2),(25,320,1,17,15,7,NULL,5,NULL),(25,320,1,17,16,2,5,2,3),(25,320,1,17,17,NULL,4,NULL,3),(25,320,1,17,18,NULL,7,NULL,5),(25,320,1,17,19,1,1,NULL,1),(25,320,1,17,20,8,NULL,5,NULL),(25,320,1,17,21,1,5,1,3),(25,320,1,17,22,1,3,1,2),(25,320,1,17,23,NULL,2,NULL,2),(25,320,1,17,24,NULL,2,NULL,1),(25,320,1,17,25,NULL,2,NULL,1),(25,320,1,17,26,1,NULL,1,NULL),(25,320,1,17,27,NULL,NULL,NULL,NULL),(25,320,1,17,28,1,7,NULL,5),(25,320,1,17,29,2,1,1,1),(25,320,1,17,30,NULL,2,NULL,NULL),(25,320,1,17,31,1,NULL,NULL,NULL),(25,320,1,17,32,NULL,1,NULL,1),(25,320,1,17,33,NULL,1,NULL,NULL),(25,320,1,17,34,NULL,2,NULL,2),(25,320,1,17,35,1,NULL,1,NULL),(25,320,1,17,36,NULL,2,NULL,1),(25,320,1,17,37,1,NULL,1,NULL),(25,320,1,17,38,1,6,NULL,6),(25,320,1,17,39,NULL,NULL,NULL,NULL),(25,320,1,17,40,NULL,2,NULL,NULL),(25,320,2,21,1,1,7,1,4),(25,320,2,21,2,NULL,4,NULL,3),(25,320,2,21,3,4,3,2,2),(25,320,2,21,4,NULL,4,NULL,1),(25,320,2,21,5,2,6,2,3),(25,320,2,21,6,NULL,NULL,NULL,NULL),(25,320,2,21,7,1,2,1,1),(25,320,2,21,8,3,6,3,3),(25,320,2,21,9,3,9,1,6),(25,320,2,21,10,1,6,1,3),(25,320,2,21,11,1,6,NULL,4),(25,320,2,21,12,NULL,3,NULL,2),(25,320,2,21,13,7,5,4,4),(25,320,2,21,14,5,3,2,2),(25,320,2,21,15,2,5,1,3),(25,320,2,21,16,1,5,1,4),(25,320,2,21,17,1,5,NULL,3),(25,320,2,21,18,1,4,NULL,3),(25,320,2,21,19,2,2,2,1),(25,320,2,21,20,4,4,3,2),(25,320,2,21,21,NULL,2,NULL,NULL),(25,320,2,21,22,NULL,2,NULL,2),(25,320,2,21,23,NULL,2,NULL,1),(25,320,2,21,24,1,2,1,1),(25,320,2,21,25,NULL,NULL,NULL,NULL),(25,320,2,21,26,NULL,1,NULL,1),(25,320,2,21,27,NULL,NULL,NULL,NULL),(25,320,2,21,28,1,NULL,NULL,NULL),(25,320,2,21,29,1,1,1,1),(25,320,2,21,30,1,1,1,1),(25,320,2,21,31,1,1,1,1),(25,320,2,21,32,NULL,3,NULL,2),(25,320,2,21,33,NULL,3,NULL,3),(25,320,2,21,34,NULL,1,NULL,1),(25,320,2,21,35,NULL,1,NULL,1),(25,320,2,21,36,NULL,1,NULL,1),(25,320,2,21,37,NULL,3,NULL,3),(25,320,2,21,38,NULL,1,NULL,1),(25,320,2,21,39,3,NULL,3,NULL),(25,320,2,21,40,NULL,NULL,NULL,NULL),(25,320,2,22,1,2,3,2,3),(25,320,2,22,2,NULL,1,NULL,1),(25,320,2,22,3,NULL,3,NULL,3),(25,320,2,22,4,NULL,1,NULL,1),(25,320,2,22,5,1,6,1,5),(25,320,2,22,6,1,4,1,4),(25,320,2,22,7,NULL,1,NULL,1),(25,320,2,22,8,4,3,3,3),(25,320,2,22,9,5,4,4,4),(25,320,2,22,10,2,3,2,3),(25,320,2,22,11,3,5,1,4),(25,320,2,22,12,5,1,3,1),(25,320,2,22,13,4,4,3,4),(25,320,2,22,14,3,5,3,5),(25,320,2,22,15,2,5,2,5),(25,320,2,22,16,2,4,2,3),(25,320,2,22,17,2,3,2,2),(25,320,2,22,18,4,2,3,2),(25,320,2,22,19,NULL,4,NULL,3),(25,320,2,22,20,NULL,3,NULL,3),(25,320,2,22,21,NULL,NULL,NULL,NULL),(25,320,2,22,22,NULL,1,NULL,1),(25,320,2,22,23,NULL,2,NULL,2),(25,320,2,22,24,NULL,1,NULL,1),(25,320,2,22,25,1,NULL,1,NULL),(25,320,2,22,26,NULL,1,NULL,1),(25,320,2,22,27,NULL,2,NULL,1),(25,320,2,22,28,NULL,1,NULL,1),(25,320,2,22,29,NULL,2,NULL,2),(25,320,2,22,30,NULL,NULL,NULL,NULL),(25,320,2,22,31,1,2,1,2),(25,320,2,22,32,NULL,1,NULL,1),(25,320,2,22,33,NULL,4,NULL,4),(25,320,2,22,34,NULL,2,NULL,2),(25,320,2,22,35,NULL,1,NULL,1),(25,320,2,22,36,1,3,1,3),(25,320,2,22,37,NULL,5,NULL,5),(25,320,2,22,38,1,4,1,3),(25,320,2,22,39,5,NULL,5,NULL),(25,320,2,22,40,NULL,1,NULL,1),(25,320,2,23,1,2,4,1,4),(25,320,2,23,2,1,4,NULL,3),(25,320,2,23,3,2,2,2,2),(25,320,2,23,4,4,4,2,4),(25,320,2,23,5,7,6,7,5),(25,320,2,23,6,NULL,5,NULL,5),(25,320,2,23,7,2,3,2,3),(25,320,2,23,8,5,1,4,1),(25,320,2,23,9,5,7,4,5),(25,320,2,23,10,4,3,4,3),(25,320,2,23,11,1,13,NULL,11),(25,320,2,23,12,2,4,2,3),(25,320,2,23,13,13,1,11,1),(25,320,2,23,14,3,3,2,3),(25,320,2,23,15,3,4,2,4),(25,320,2,23,16,1,5,NULL,3),(25,320,2,23,17,4,4,4,3),(25,320,2,23,18,2,6,2,6),(25,320,2,23,19,1,3,1,2),(25,320,2,23,20,2,5,2,5),(25,320,2,23,21,1,3,1,3),(25,320,2,23,22,NULL,NULL,NULL,NULL),(25,320,2,23,23,NULL,1,NULL,1),(25,320,2,23,24,NULL,3,NULL,3),(25,320,2,23,25,NULL,NULL,NULL,NULL),(25,320,2,23,26,NULL,2,NULL,2),(25,320,2,23,27,NULL,2,NULL,1),(25,320,2,23,28,NULL,2,NULL,2),(25,320,2,23,29,NULL,2,NULL,1),(25,320,2,23,30,NULL,2,NULL,2),(25,320,2,23,31,4,1,3,1),(25,320,2,23,32,NULL,1,NULL,1),(25,320,2,23,33,1,3,1,3),(25,320,2,23,34,1,2,NULL,2),(25,320,2,23,35,2,4,2,3),(25,320,2,23,36,2,1,1,1),(25,320,2,23,37,NULL,1,NULL,1),(25,320,2,23,38,NULL,2,NULL,2),(25,320,2,23,39,3,NULL,3,NULL),(25,320,2,23,40,1,NULL,1,NULL),(25,320,2,24,1,2,6,2,4),(25,320,2,24,2,1,4,1,3),(25,320,2,24,3,3,5,3,4),(25,320,2,24,4,2,7,2,5),(25,320,2,24,5,4,10,2,8),(25,320,2,24,6,4,2,3,2),(25,320,2,24,7,1,5,NULL,4),(25,320,2,24,8,6,7,5,4),(25,320,2,24,9,10,5,9,4),(25,320,2,24,10,6,4,5,4),(25,320,2,24,11,2,10,1,8),(25,320,2,24,12,1,7,1,3),(25,320,2,24,13,12,6,10,3),(25,320,2,24,14,NULL,6,NULL,6),(25,320,2,24,15,5,6,3,5),(25,320,2,24,16,1,4,NULL,3),(25,320,2,24,17,3,7,2,5),(25,320,2,24,18,2,5,1,5),(25,320,2,24,19,NULL,3,NULL,2),(25,320,2,24,20,4,3,4,2),(25,320,2,24,21,NULL,1,NULL,1),(25,320,2,24,22,NULL,NULL,NULL,NULL),(25,320,2,24,23,NULL,2,NULL,2),(25,320,2,24,24,NULL,8,NULL,6),(25,320,2,24,25,1,NULL,1,NULL),(25,320,2,24,26,NULL,2,NULL,1),(25,320,2,24,27,NULL,2,NULL,1),(25,320,2,24,28,NULL,2,NULL,2),(25,320,2,24,29,NULL,1,NULL,1),(25,320,2,24,30,NULL,2,NULL,1),(25,320,2,24,31,4,4,3,4),(25,320,2,24,32,1,4,1,3),(25,320,2,24,33,2,4,1,4),(25,320,2,24,34,NULL,2,NULL,2),(25,320,2,24,35,NULL,6,NULL,5),(25,320,2,24,36,1,5,1,3),(25,320,2,24,37,NULL,6,NULL,4),(25,320,2,24,38,NULL,6,NULL,4),(25,320,2,24,39,4,NULL,3,NULL),(25,320,2,24,40,NULL,NULL,NULL,NULL),(25,324,1,11,1,NULL,NULL,NULL,NULL),(25,324,1,11,2,NULL,NULL,NULL,NULL),(25,324,1,11,3,NULL,NULL,NULL,NULL),(25,324,1,11,4,NULL,NULL,NULL,NULL),(25,324,1,11,5,NULL,NULL,NULL,NULL),(25,324,1,11,6,NULL,NULL,NULL,NULL),(25,324,1,11,7,NULL,NULL,NULL,NULL),(25,324,1,11,8,NULL,NULL,NULL,NULL),(25,324,1,11,9,NULL,NULL,NULL,NULL),(25,324,1,11,10,NULL,NULL,NULL,NULL),(25,324,1,11,11,NULL,NULL,NULL,NULL),(25,324,1,11,12,NULL,NULL,NULL,NULL),(25,324,1,11,13,NULL,NULL,NULL,NULL),(25,324,1,11,14,NULL,NULL,NULL,NULL),(25,324,1,11,15,NULL,NULL,NULL,NULL),(25,324,1,11,16,NULL,NULL,NULL,NULL),(25,324,1,11,17,NULL,NULL,NULL,NULL),(25,324,1,11,18,NULL,NULL,NULL,NULL),(25,324,1,11,19,NULL,NULL,NULL,NULL),(25,324,1,11,20,NULL,NULL,NULL,NULL),(25,324,1,11,21,NULL,NULL,NULL,NULL),(25,324,1,11,22,NULL,NULL,NULL,NULL),(25,324,1,11,23,NULL,NULL,NULL,NULL),(25,324,1,11,24,NULL,NULL,NULL,NULL),(25,324,1,11,25,NULL,NULL,NULL,NULL),(25,324,1,11,26,NULL,NULL,NULL,NULL),(25,324,1,11,27,NULL,NULL,NULL,NULL),(25,324,1,11,28,NULL,NULL,NULL,NULL),(25,324,1,11,29,NULL,NULL,NULL,NULL),(25,324,1,11,30,NULL,NULL,NULL,NULL),(25,324,1,11,31,NULL,NULL,NULL,NULL),(25,324,1,11,32,NULL,NULL,NULL,NULL),(25,324,1,11,33,NULL,NULL,NULL,NULL),(25,324,1,11,34,NULL,NULL,NULL,NULL),(25,324,1,11,35,NULL,NULL,NULL,NULL),(25,324,1,11,36,NULL,NULL,NULL,NULL),(25,324,1,11,37,NULL,NULL,NULL,NULL),(25,324,1,11,38,NULL,NULL,NULL,NULL),(25,324,1,11,39,NULL,NULL,NULL,NULL),(25,324,1,11,40,NULL,NULL,NULL,NULL),(25,324,1,12,1,NULL,NULL,NULL,NULL),(25,324,1,12,2,NULL,NULL,NULL,NULL),(25,324,1,12,3,NULL,NULL,NULL,NULL),(25,324,1,12,4,NULL,NULL,NULL,NULL),(25,324,1,12,5,NULL,NULL,NULL,NULL),(25,324,1,12,6,NULL,NULL,NULL,NULL),(25,324,1,12,7,NULL,NULL,NULL,NULL),(25,324,1,12,8,NULL,NULL,NULL,NULL),(25,324,1,12,9,NULL,NULL,NULL,NULL),(25,324,1,12,10,NULL,NULL,NULL,NULL),(25,324,1,12,11,NULL,NULL,NULL,NULL),(25,324,1,12,12,NULL,NULL,NULL,NULL),(25,324,1,12,13,NULL,NULL,NULL,NULL),(25,324,1,12,14,NULL,NULL,NULL,NULL),(25,324,1,12,15,NULL,NULL,NULL,NULL),(25,324,1,12,16,NULL,NULL,NULL,NULL),(25,324,1,12,17,NULL,NULL,NULL,NULL),(25,324,1,12,18,NULL,NULL,NULL,NULL),(25,324,1,12,19,NULL,NULL,NULL,NULL),(25,324,1,12,20,NULL,NULL,NULL,NULL),(25,324,1,12,21,NULL,NULL,NULL,NULL),(25,324,1,12,22,NULL,NULL,NULL,NULL),(25,324,1,12,23,NULL,NULL,NULL,NULL),(25,324,1,12,24,NULL,NULL,NULL,NULL),(25,324,1,12,25,NULL,NULL,NULL,NULL),(25,324,1,12,26,NULL,NULL,NULL,NULL),(25,324,1,12,27,NULL,NULL,NULL,NULL),(25,324,1,12,28,NULL,NULL,NULL,NULL),(25,324,1,12,29,NULL,NULL,NULL,NULL),(25,324,1,12,30,NULL,NULL,NULL,NULL),(25,324,1,12,31,NULL,NULL,NULL,NULL),(25,324,1,12,32,NULL,NULL,NULL,NULL),(25,324,1,12,33,NULL,NULL,NULL,NULL),(25,324,1,12,34,NULL,NULL,NULL,NULL),(25,324,1,12,35,NULL,NULL,NULL,NULL),(25,324,1,12,36,NULL,NULL,NULL,NULL),(25,324,1,12,37,NULL,NULL,NULL,NULL),(25,324,1,12,38,NULL,NULL,NULL,NULL),(25,324,1,12,39,NULL,NULL,NULL,NULL),(25,324,1,12,40,NULL,NULL,NULL,NULL),(25,324,1,13,1,1,1,NULL,NULL),(25,324,1,13,2,NULL,NULL,NULL,NULL),(25,324,1,13,3,1,NULL,NULL,NULL),(25,324,1,13,4,1,NULL,NULL,NULL),(25,324,1,13,5,NULL,NULL,NULL,NULL),(25,324,1,13,6,1,NULL,NULL,NULL),(25,324,1,13,7,NULL,NULL,NULL,NULL),(25,324,1,13,8,NULL,NULL,NULL,NULL),(25,324,1,13,9,NULL,NULL,NULL,NULL),(25,324,1,13,10,NULL,1,NULL,NULL),(25,324,1,13,11,1,1,NULL,NULL),(25,324,1,13,12,NULL,NULL,NULL,NULL),(25,324,1,13,13,1,2,NULL,1),(25,324,1,13,14,1,1,NULL,1),(25,324,1,13,15,NULL,NULL,NULL,NULL),(25,324,1,13,16,NULL,NULL,NULL,NULL),(25,324,1,13,17,2,1,NULL,1),(25,324,1,13,18,3,NULL,1,NULL),(25,324,1,13,19,NULL,NULL,NULL,NULL),(25,324,1,13,20,NULL,NULL,NULL,NULL),(25,324,1,13,21,NULL,NULL,NULL,NULL),(25,324,1,13,22,NULL,NULL,NULL,NULL),(25,324,1,13,23,NULL,NULL,NULL,NULL),(25,324,1,13,24,NULL,NULL,NULL,NULL),(25,324,1,13,25,NULL,1,NULL,NULL),(25,324,1,13,26,NULL,NULL,NULL,NULL),(25,324,1,13,27,NULL,NULL,NULL,NULL),(25,324,1,13,28,NULL,1,NULL,NULL),(25,324,1,13,29,1,NULL,NULL,NULL),(25,324,1,13,30,NULL,NULL,NULL,NULL),(25,324,1,13,31,NULL,NULL,NULL,NULL),(25,324,1,13,32,NULL,NULL,NULL,NULL),(25,324,1,13,33,NULL,NULL,NULL,NULL),(25,324,1,13,34,NULL,NULL,NULL,NULL),(25,324,1,13,35,NULL,1,NULL,NULL),(25,324,1,13,36,NULL,NULL,NULL,NULL),(25,324,1,13,37,NULL,1,NULL,NULL),(25,324,1,13,38,1,1,NULL,NULL),(25,324,1,13,39,NULL,NULL,NULL,NULL),(25,324,1,13,40,NULL,NULL,NULL,NULL),(25,324,1,14,1,4,7,2,6),(25,324,1,14,2,2,3,1,3),(25,324,1,14,3,1,2,1,2),(25,324,1,14,4,5,4,4,4),(25,324,1,14,5,NULL,5,NULL,4),(25,324,1,14,6,3,2,1,1),(25,324,1,14,7,2,7,2,5),(25,324,1,14,8,4,1,4,1),(25,324,1,14,9,2,1,2,NULL),(25,324,1,14,10,NULL,2,NULL,1),(25,324,1,14,11,1,3,NULL,1),(25,324,1,14,12,2,3,1,3),(25,324,1,14,13,1,2,1,2),(25,324,1,14,14,2,6,1,6),(25,324,1,14,15,4,2,3,2),(25,324,1,14,16,1,3,NULL,3),(25,324,1,14,17,3,1,1,1),(25,324,1,14,18,3,2,1,2),(25,324,1,14,19,3,7,1,6),(25,324,1,14,20,4,NULL,2,NULL),(25,324,1,14,21,2,4,2,2),(25,324,1,14,22,3,4,3,3),(25,324,1,14,23,NULL,6,NULL,5),(25,324,1,14,24,NULL,2,NULL,2),(25,324,1,14,25,NULL,2,NULL,2),(25,324,1,14,26,3,NULL,3,NULL),(25,324,1,14,27,NULL,NULL,NULL,NULL),(25,324,1,14,28,2,6,2,5),(25,324,1,14,29,2,2,1,2),(25,324,1,14,30,NULL,2,NULL,1),(25,324,1,14,31,NULL,1,NULL,1),(25,324,1,14,32,NULL,NULL,NULL,NULL),(25,324,1,14,33,NULL,1,NULL,1),(25,324,1,14,34,4,2,4,2),(25,324,1,14,35,2,NULL,1,NULL),(25,324,1,14,36,4,3,4,2),(25,324,1,14,37,1,2,1,2),(25,324,1,14,38,5,5,2,4),(25,324,1,14,39,1,3,1,2),(25,324,1,14,40,1,1,NULL,1),(25,324,1,15,1,4,6,3,3),(25,324,1,15,2,2,4,NULL,3),(25,324,1,15,3,1,2,1,2),(25,324,1,15,4,5,3,5,2),(25,324,1,15,5,NULL,3,NULL,2),(25,324,1,15,6,2,5,1,3),(25,324,1,15,7,NULL,9,NULL,6),(25,324,1,15,8,1,3,1,2),(25,324,1,15,9,1,2,NULL,2),(25,324,1,15,10,NULL,NULL,NULL,NULL),(25,324,1,15,11,1,2,1,2),(25,324,1,15,12,2,3,NULL,2),(25,324,1,15,13,1,3,1,1),(25,324,1,15,14,1,3,1,2),(25,324,1,15,15,3,3,3,2),(25,324,1,15,16,1,1,1,1),(25,324,1,15,17,1,2,1,1),(25,324,1,15,18,3,2,2,2),(25,324,1,15,19,NULL,4,NULL,3),(25,324,1,15,20,4,NULL,3,NULL),(25,324,1,15,21,3,3,1,3),(25,324,1,15,22,NULL,3,NULL,3),(25,324,1,15,23,1,3,1,3),(25,324,1,15,24,1,1,1,1),(25,324,1,15,25,NULL,1,NULL,1),(25,324,1,15,26,2,NULL,1,NULL),(25,324,1,15,27,NULL,NULL,NULL,NULL),(25,324,1,15,28,3,2,1,2),(25,324,1,15,29,NULL,3,NULL,1),(25,324,1,15,30,1,NULL,NULL,NULL),(25,324,1,15,31,NULL,1,NULL,1),(25,324,1,15,32,NULL,1,NULL,1),(25,324,1,15,33,1,2,1,2),(25,324,1,15,34,NULL,1,NULL,1),(25,324,1,15,35,NULL,NULL,NULL,NULL),(25,324,1,15,36,NULL,5,NULL,2),(25,324,1,15,37,1,NULL,1,NULL),(25,324,1,15,38,NULL,1,NULL,1),(25,324,1,15,39,NULL,1,NULL,1),(25,324,1,15,40,NULL,1,NULL,1),(25,324,1,16,1,3,11,1,7),(25,324,1,16,2,1,3,NULL,3),(25,324,1,16,3,4,4,1,4),(25,324,1,16,4,5,11,4,6),(25,324,1,16,5,NULL,5,NULL,4),(25,324,1,16,6,4,6,2,4),(25,324,1,16,7,2,9,2,5),(25,324,1,16,8,3,7,2,4),(25,324,1,16,9,3,5,2,4),(25,324,1,16,10,1,1,NULL,1),(25,324,1,16,11,2,1,2,1),(25,324,1,16,12,1,3,NULL,2),(25,324,1,16,13,3,3,1,1),(25,324,1,16,14,3,1,1,1),(25,324,1,16,15,10,NULL,7,NULL),(25,324,1,16,16,2,7,NULL,4),(25,324,1,16,17,NULL,12,NULL,6),(25,324,1,16,18,1,12,1,8),(25,324,1,16,19,NULL,6,NULL,5),(25,324,1,16,20,11,NULL,8,NULL),(25,324,1,16,21,2,7,2,4),(25,324,1,16,22,1,5,1,4),(25,324,1,16,23,1,5,1,3),(25,324,1,16,24,1,4,1,4),(25,324,1,16,25,1,4,NULL,2),(25,324,1,16,26,1,NULL,1,NULL),(25,324,1,16,27,NULL,NULL,NULL,NULL),(25,324,1,16,28,1,7,1,4),(25,324,1,16,29,NULL,5,NULL,4),(25,324,1,16,30,NULL,3,NULL,3),(25,324,1,16,31,NULL,1,NULL,1),(25,324,1,16,32,NULL,NULL,NULL,NULL),(25,324,1,16,33,1,2,1,2),(25,324,1,16,34,1,5,1,5),(25,324,1,16,35,NULL,3,NULL,2),(25,324,1,16,36,NULL,6,NULL,5),(25,324,1,16,37,1,5,NULL,3),(25,324,1,16,38,NULL,7,NULL,6),(25,324,1,16,39,1,4,NULL,4),(25,324,1,16,40,NULL,1,NULL,1),(25,324,1,17,1,2,7,2,5),(25,324,1,17,2,NULL,6,NULL,4),(25,324,1,17,3,1,2,1,1),(25,324,1,17,4,6,4,5,NULL),(25,324,1,17,5,1,3,1,1),(25,324,1,17,6,NULL,5,NULL,5),(25,324,1,17,7,1,5,1,5),(25,324,1,17,8,1,6,1,4),(25,324,1,17,9,2,7,NULL,5),(25,324,1,17,10,NULL,3,NULL,3),(25,324,1,17,11,3,1,3,1),(25,324,1,17,12,3,2,2,NULL),(25,324,1,17,13,3,2,3,1),(25,324,1,17,14,1,3,1,3),(25,324,1,17,15,9,NULL,6,NULL),(25,324,1,17,16,2,6,2,5),(25,324,1,17,17,NULL,6,NULL,4),(25,324,1,17,18,2,9,1,8),(25,324,1,17,19,NULL,3,NULL,2),(25,324,1,17,20,11,NULL,8,NULL),(25,324,1,17,21,1,3,1,1),(25,324,1,17,22,1,4,1,3),(25,324,1,17,23,1,3,1,3),(25,324,1,17,24,NULL,1,NULL,NULL),(25,324,1,17,25,1,2,NULL,2),(25,324,1,17,26,NULL,NULL,NULL,NULL),(25,324,1,17,27,NULL,NULL,NULL,NULL),(25,324,1,17,28,NULL,6,NULL,4),(25,324,1,17,29,NULL,3,NULL,NULL),(25,324,1,17,30,2,2,2,1),(25,324,1,17,31,NULL,NULL,NULL,NULL),(25,324,1,17,32,NULL,1,NULL,1),(25,324,1,17,33,1,4,1,4),(25,324,1,17,34,2,2,2,2),(25,324,1,17,35,1,1,1,NULL),(25,324,1,17,36,1,3,1,2),(25,324,1,17,37,1,1,1,1),(25,324,1,17,38,NULL,6,NULL,3),(25,324,1,17,39,NULL,4,NULL,2),(25,324,1,17,40,NULL,2,NULL,1),(25,324,2,21,1,2,3,1,3),(25,324,2,21,2,NULL,3,NULL,1),(25,324,2,21,3,1,3,1,1),(25,324,2,21,4,NULL,1,NULL,NULL),(25,324,2,21,5,2,1,2,1),(25,324,2,21,6,NULL,2,NULL,2),(25,324,2,21,7,NULL,3,NULL,2),(25,324,2,21,8,2,2,1,1),(25,324,2,21,9,5,4,5,2),(25,324,2,21,10,1,1,1,NULL),(25,324,2,21,11,3,8,2,7),(25,324,2,21,12,1,NULL,1,NULL),(25,324,2,21,13,6,3,5,2),(25,324,2,21,14,NULL,7,NULL,5),(25,324,2,21,15,3,5,2,4),(25,324,2,21,16,2,3,2,3),(25,324,2,21,17,NULL,6,NULL,4),(25,324,2,21,18,2,5,1,3),(25,324,2,21,19,1,4,1,4),(25,324,2,21,20,1,6,1,5),(25,324,2,21,21,2,NULL,2,NULL),(25,324,2,21,22,NULL,NULL,NULL,NULL),(25,324,2,21,23,NULL,2,NULL,2),(25,324,2,21,24,NULL,1,NULL,1),(25,324,2,21,25,1,NULL,NULL,NULL),(25,324,2,21,26,NULL,1,NULL,NULL),(25,324,2,21,27,NULL,NULL,NULL,NULL),(25,324,2,21,28,NULL,NULL,NULL,NULL),(25,324,2,21,29,3,2,3,1),(25,324,2,21,30,NULL,3,NULL,3),(25,324,2,21,31,NULL,NULL,NULL,NULL),(25,324,2,21,32,1,NULL,1,NULL),(25,324,2,21,33,NULL,2,NULL,1),(25,324,2,21,34,NULL,4,NULL,3),(25,324,2,21,35,NULL,2,NULL,1),(25,324,2,21,36,1,4,1,3),(25,324,2,21,37,1,3,1,2),(25,324,2,21,38,1,4,1,3),(25,324,2,21,39,NULL,NULL,NULL,NULL),(25,324,2,21,40,NULL,2,NULL,2),(25,324,2,22,1,NULL,2,NULL,1),(25,324,2,22,2,NULL,7,NULL,4),(25,324,2,22,3,3,3,2,2),(25,324,2,22,4,NULL,6,NULL,5),(25,324,2,22,5,2,3,1,2),(25,324,2,22,6,NULL,2,NULL,1),(25,324,2,22,7,2,2,1,1),(25,324,2,22,8,3,8,2,4),(25,324,2,22,9,5,4,3,3),(25,324,2,22,10,1,4,NULL,2),(25,324,2,22,11,3,5,NULL,3),(25,324,2,22,12,2,7,NULL,4),(25,324,2,22,13,8,3,4,2),(25,324,2,22,14,1,5,1,3),(25,324,2,22,15,3,8,NULL,6),(25,324,2,22,16,NULL,6,NULL,3),(25,324,2,22,17,3,4,1,2),(25,324,2,22,18,6,5,3,2),(25,324,2,22,19,NULL,6,NULL,4),(25,324,2,22,20,2,6,1,5),(25,324,2,22,21,NULL,NULL,NULL,NULL),(25,324,2,22,22,NULL,NULL,NULL,NULL),(25,324,2,22,23,NULL,4,NULL,4),(25,324,2,22,24,NULL,NULL,NULL,NULL),(25,324,2,22,25,1,NULL,1,NULL),(25,324,2,22,26,NULL,1,NULL,1),(25,324,2,22,27,NULL,1,NULL,1),(25,324,2,22,28,NULL,NULL,NULL,NULL),(25,324,2,22,29,1,1,NULL,1),(25,324,2,22,30,2,2,2,NULL),(25,324,2,22,31,NULL,1,NULL,1),(25,324,2,22,32,NULL,1,NULL,NULL),(25,324,2,22,33,1,3,1,1),(25,324,2,22,34,NULL,NULL,NULL,NULL),(25,324,2,22,35,NULL,7,NULL,6),(25,324,2,22,36,3,4,2,2),(25,324,2,22,37,NULL,4,NULL,2),(25,324,2,22,38,1,1,1,1),(25,324,2,22,39,2,NULL,2,NULL),(25,324,2,22,40,NULL,1,NULL,1),(25,324,2,23,1,NULL,10,NULL,7),(25,324,2,23,2,1,4,NULL,4),(25,324,2,23,3,2,5,2,2),(25,324,2,23,4,2,4,1,4),(25,324,2,23,5,2,4,2,4),(25,324,2,23,6,1,3,1,2),(25,324,2,23,7,NULL,1,NULL,1),(25,324,2,23,8,4,6,4,3),(25,324,2,23,9,2,10,1,7),(25,324,2,23,10,NULL,6,NULL,5),(25,324,2,23,11,NULL,7,NULL,5),(25,324,2,23,12,1,NULL,1,NULL),(25,324,2,23,13,3,8,2,5),(25,324,2,23,14,1,4,1,2),(25,324,2,23,15,2,3,2,1),(25,324,2,23,16,2,2,1,2),(25,324,2,23,17,1,3,1,3),(25,324,2,23,18,5,6,4,5),(25,324,2,23,19,1,2,1,2),(25,324,2,23,20,3,4,3,2),(25,324,2,23,21,NULL,1,NULL,1),(25,324,2,23,22,NULL,NULL,NULL,NULL),(25,324,2,23,23,2,3,1,1),(25,324,2,23,24,NULL,1,NULL,1),(25,324,2,23,25,1,NULL,NULL,NULL),(25,324,2,23,26,NULL,2,NULL,1),(25,324,2,23,27,NULL,2,NULL,NULL),(25,324,2,23,28,NULL,1,NULL,1),(25,324,2,23,29,NULL,3,NULL,1),(25,324,2,23,30,NULL,2,NULL,2),(25,324,2,23,31,1,4,1,3),(25,324,2,23,32,NULL,2,NULL,2),(25,324,2,23,33,NULL,4,NULL,2),(25,324,2,23,34,NULL,1,NULL,1),(25,324,2,23,35,NULL,3,NULL,2),(25,324,2,23,36,NULL,3,NULL,2),(25,324,2,23,37,NULL,4,NULL,3),(25,324,2,23,38,1,3,1,2),(25,324,2,23,39,2,NULL,1,NULL),(25,324,2,23,40,1,1,NULL,1),(25,324,2,24,1,1,3,1,1),(25,324,2,24,2,NULL,7,NULL,5),(25,324,2,24,3,1,4,1,4),(25,324,2,24,4,1,2,1,1),(25,324,2,24,5,3,5,3,4),(25,324,2,24,6,1,1,1,NULL),(25,324,2,24,7,1,1,NULL,1),(25,324,2,24,8,1,6,1,4),(25,324,2,24,9,4,4,2,4),(25,324,2,24,10,1,2,1,2),(25,324,2,24,11,NULL,9,NULL,8),(25,324,2,24,12,1,6,NULL,5),(25,324,2,24,13,8,2,6,2),(25,324,2,24,14,NULL,4,NULL,4),(25,324,2,24,15,2,10,2,7),(25,324,2,24,16,2,1,1,1),(25,324,2,24,17,NULL,8,NULL,8),(25,324,2,24,18,NULL,6,NULL,5),(25,324,2,24,19,NULL,3,NULL,2),(25,324,2,24,20,NULL,3,NULL,1),(25,324,2,24,21,NULL,NULL,NULL,NULL),(25,324,2,24,22,NULL,1,NULL,1),(25,324,2,24,23,NULL,1,NULL,NULL),(25,324,2,24,24,NULL,2,NULL,2),(25,324,2,24,25,1,NULL,1,NULL),(25,324,2,24,26,NULL,NULL,NULL,NULL),(25,324,2,24,27,1,NULL,1,NULL),(25,324,2,24,28,NULL,2,NULL,1),(25,324,2,24,29,NULL,3,NULL,3),(25,324,2,24,30,NULL,3,NULL,2),(25,324,2,24,31,NULL,2,NULL,2),(25,324,2,24,32,NULL,3,NULL,2),(25,324,2,24,33,NULL,4,NULL,3),(25,324,2,24,34,NULL,NULL,NULL,NULL),(25,324,2,24,35,NULL,2,NULL,1),(25,324,2,24,36,NULL,5,NULL,4),(25,324,2,24,37,1,2,NULL,2),(25,324,2,24,38,2,1,2,1),(25,324,2,24,39,3,NULL,2,NULL),(25,324,2,24,40,NULL,2,NULL,1),(25,326,1,11,1,1,NULL,1,NULL),(25,326,1,11,2,NULL,1,NULL,1),(25,326,1,11,3,1,NULL,1,NULL),(25,326,1,11,4,1,NULL,1,NULL),(25,326,1,11,5,NULL,1,NULL,1),(25,326,1,11,6,NULL,NULL,NULL,NULL),(25,326,1,11,7,NULL,1,NULL,1),(25,326,1,11,8,1,NULL,1,NULL),(25,326,1,11,9,NULL,NULL,NULL,NULL),(25,326,1,11,10,NULL,NULL,NULL,NULL),(25,326,1,11,11,NULL,NULL,NULL,NULL),(25,326,1,11,12,NULL,NULL,NULL,NULL),(25,326,1,11,13,1,NULL,1,NULL),(25,326,1,11,14,1,NULL,1,NULL),(25,326,1,11,15,NULL,1,NULL,1),(25,326,1,11,16,NULL,NULL,NULL,NULL),(25,326,1,11,17,NULL,NULL,NULL,NULL),(25,326,1,11,18,NULL,1,NULL,1),(25,326,1,11,19,NULL,NULL,NULL,NULL),(25,326,1,11,20,NULL,NULL,NULL,NULL),(25,326,1,11,21,1,NULL,1,NULL),(25,326,1,11,22,NULL,NULL,NULL,NULL),(25,326,1,11,23,NULL,NULL,NULL,NULL),(25,326,1,11,24,NULL,NULL,NULL,NULL),(25,326,1,11,25,1,NULL,1,NULL),(25,326,1,11,26,NULL,NULL,NULL,NULL),(25,326,1,11,27,NULL,NULL,NULL,NULL),(25,326,1,11,28,1,NULL,1,NULL),(25,326,1,11,29,NULL,NULL,NULL,NULL),(25,326,1,11,30,NULL,NULL,NULL,NULL),(25,326,1,11,31,NULL,NULL,NULL,NULL),(25,326,1,11,32,NULL,NULL,NULL,NULL),(25,326,1,11,33,NULL,NULL,NULL,NULL),(25,326,1,11,34,NULL,NULL,NULL,NULL),(25,326,1,11,35,NULL,NULL,NULL,NULL),(25,326,1,11,36,1,NULL,1,NULL),(25,326,1,11,37,NULL,NULL,NULL,NULL),(25,326,1,11,38,NULL,NULL,NULL,NULL),(25,326,1,11,39,NULL,NULL,NULL,NULL),(25,326,1,11,40,NULL,NULL,NULL,NULL),(25,326,1,12,1,NULL,NULL,NULL,NULL),(25,326,1,12,2,NULL,NULL,NULL,NULL),(25,326,1,12,3,NULL,NULL,NULL,NULL),(25,326,1,12,4,NULL,NULL,NULL,NULL),(25,326,1,12,5,NULL,NULL,NULL,NULL),(25,326,1,12,6,NULL,NULL,NULL,NULL),(25,326,1,12,7,NULL,NULL,NULL,NULL),(25,326,1,12,8,NULL,NULL,NULL,NULL),(25,326,1,12,9,NULL,NULL,NULL,NULL),(25,326,1,12,10,NULL,NULL,NULL,NULL),(25,326,1,12,11,NULL,NULL,NULL,NULL),(25,326,1,12,12,NULL,NULL,NULL,NULL),(25,326,1,12,13,NULL,NULL,NULL,NULL),(25,326,1,12,14,NULL,NULL,NULL,NULL),(25,326,1,12,15,NULL,NULL,NULL,NULL),(25,326,1,12,16,NULL,NULL,NULL,NULL),(25,326,1,12,17,NULL,NULL,NULL,NULL),(25,326,1,12,18,NULL,NULL,NULL,NULL),(25,326,1,12,19,NULL,NULL,NULL,NULL),(25,326,1,12,20,NULL,NULL,NULL,NULL),(25,326,1,12,21,NULL,NULL,NULL,NULL),(25,326,1,12,22,NULL,NULL,NULL,NULL),(25,326,1,12,23,NULL,NULL,NULL,NULL),(25,326,1,12,24,NULL,NULL,NULL,NULL),(25,326,1,12,25,NULL,NULL,NULL,NULL),(25,326,1,12,26,NULL,NULL,NULL,NULL),(25,326,1,12,27,NULL,NULL,NULL,NULL),(25,326,1,12,28,NULL,NULL,NULL,NULL),(25,326,1,12,29,NULL,NULL,NULL,NULL),(25,326,1,12,30,NULL,NULL,NULL,NULL),(25,326,1,12,31,NULL,NULL,NULL,NULL),(25,326,1,12,32,NULL,NULL,NULL,NULL),(25,326,1,12,33,NULL,NULL,NULL,NULL),(25,326,1,12,34,NULL,NULL,NULL,NULL),(25,326,1,12,35,NULL,NULL,NULL,NULL),(25,326,1,12,36,NULL,NULL,NULL,NULL),(25,326,1,12,37,NULL,NULL,NULL,NULL),(25,326,1,12,38,NULL,NULL,NULL,NULL),(25,326,1,12,39,NULL,NULL,NULL,NULL),(25,326,1,12,40,NULL,NULL,NULL,NULL),(25,326,1,13,1,NULL,NULL,NULL,NULL),(25,326,1,13,2,NULL,NULL,NULL,NULL),(25,326,1,13,3,NULL,NULL,NULL,NULL),(25,326,1,13,4,NULL,NULL,NULL,NULL),(25,326,1,13,5,NULL,NULL,NULL,NULL),(25,326,1,13,6,NULL,NULL,NULL,NULL),(25,326,1,13,7,NULL,NULL,NULL,NULL),(25,326,1,13,8,NULL,NULL,NULL,NULL),(25,326,1,13,9,NULL,NULL,NULL,NULL),(25,326,1,13,10,NULL,NULL,NULL,NULL),(25,326,1,13,11,NULL,NULL,NULL,NULL),(25,326,1,13,12,NULL,NULL,NULL,NULL),(25,326,1,13,13,NULL,NULL,NULL,NULL),(25,326,1,13,14,NULL,NULL,NULL,NULL),(25,326,1,13,15,NULL,NULL,NULL,NULL),(25,326,1,13,16,NULL,NULL,NULL,NULL),(25,326,1,13,17,NULL,NULL,NULL,NULL),(25,326,1,13,18,NULL,NULL,NULL,NULL),(25,326,1,13,19,NULL,NULL,NULL,NULL),(25,326,1,13,20,NULL,NULL,NULL,NULL),(25,326,1,13,21,NULL,NULL,NULL,NULL),(25,326,1,13,22,NULL,NULL,NULL,NULL),(25,326,1,13,23,NULL,NULL,NULL,NULL),(25,326,1,13,24,NULL,NULL,NULL,NULL),(25,326,1,13,25,NULL,NULL,NULL,NULL),(25,326,1,13,26,NULL,NULL,NULL,NULL),(25,326,1,13,27,NULL,NULL,NULL,NULL),(25,326,1,13,28,NULL,NULL,NULL,NULL),(25,326,1,13,29,NULL,NULL,NULL,NULL),(25,326,1,13,30,NULL,NULL,NULL,NULL),(25,326,1,13,31,NULL,NULL,NULL,NULL),(25,326,1,13,32,NULL,NULL,NULL,NULL),(25,326,1,13,33,NULL,NULL,NULL,NULL),(25,326,1,13,34,NULL,NULL,NULL,NULL),(25,326,1,13,35,NULL,NULL,NULL,NULL),(25,326,1,13,36,NULL,NULL,NULL,NULL),(25,326,1,13,37,NULL,NULL,NULL,NULL),(25,326,1,13,38,NULL,NULL,NULL,NULL),(25,326,1,13,39,NULL,NULL,NULL,NULL),(25,326,1,13,40,NULL,NULL,NULL,NULL),(25,326,1,14,1,7,13,3,10),(25,326,1,14,2,5,9,2,7),(25,326,1,14,3,5,7,4,6),(25,326,1,14,4,15,8,9,4),(25,326,1,14,5,5,7,2,5),(25,326,1,14,6,5,8,3,5),(25,326,1,14,7,5,14,3,8),(25,326,1,14,8,8,4,4,4),(25,326,1,14,9,6,6,3,4),(25,326,1,14,10,1,2,1,1),(25,326,1,14,11,4,8,2,5),(25,326,1,14,12,3,2,3,NULL),(25,326,1,14,13,4,5,3,2),(25,326,1,14,14,6,8,5,3),(25,326,1,14,15,12,8,7,3),(25,326,1,14,16,5,9,2,6),(25,326,1,14,17,8,3,6,3),(25,326,1,14,18,12,3,5,2),(25,326,1,14,19,11,9,6,5),(25,326,1,14,20,10,1,7,NULL),(25,326,1,14,21,4,6,2,4),(25,326,1,14,22,3,9,2,4),(25,326,1,14,23,1,4,1,4),(25,326,1,14,24,2,6,NULL,4),(25,326,1,14,25,1,1,NULL,1),(25,326,1,14,26,5,NULL,5,NULL),(25,326,1,14,27,NULL,NULL,NULL,NULL),(25,326,1,14,28,3,11,1,8),(25,326,1,14,29,NULL,2,NULL,2),(25,326,1,14,30,NULL,5,NULL,5),(25,326,1,14,31,NULL,4,NULL,3),(25,326,1,14,32,NULL,1,NULL,NULL),(25,326,1,14,33,2,2,1,1),(25,326,1,14,34,2,6,2,3),(25,326,1,14,35,3,5,1,4),(25,326,1,14,36,5,9,4,5),(25,326,1,14,37,4,2,3,1),(25,326,1,14,38,3,17,2,11),(25,326,1,14,39,2,11,2,10),(25,326,1,14,40,NULL,4,NULL,2),(25,326,1,15,1,4,12,1,8),(25,326,1,15,2,1,11,NULL,4),(25,326,1,15,3,3,7,1,4),(25,326,1,15,4,13,8,6,4),(25,326,1,15,5,4,2,2,2),(25,326,1,15,6,7,3,3,NULL),(25,326,1,15,7,NULL,11,NULL,6),(25,326,1,15,8,3,4,2,4),(25,326,1,15,9,6,4,3,2),(25,326,1,15,10,2,NULL,1,NULL),(25,326,1,15,11,1,2,NULL,2),(25,326,1,15,12,3,5,1,3),(25,326,1,15,13,2,5,1,3),(25,326,1,15,14,6,8,3,5),(25,326,1,15,15,5,5,3,2),(25,326,1,15,16,3,5,3,3),(25,326,1,15,17,3,1,2,1),(25,326,1,15,18,8,1,7,NULL),(25,326,1,15,19,3,9,2,5),(25,326,1,15,20,6,4,4,3),(25,326,1,15,21,2,7,1,4),(25,326,1,15,22,NULL,5,NULL,4),(25,326,1,15,23,1,4,1,4),(25,326,1,15,24,1,5,NULL,4),(25,326,1,15,25,NULL,1,NULL,1),(25,326,1,15,26,NULL,NULL,NULL,NULL),(25,326,1,15,27,1,NULL,1,NULL),(25,326,1,15,28,1,7,NULL,5),(25,326,1,15,29,NULL,5,NULL,4),(25,326,1,15,30,NULL,4,NULL,4),(25,326,1,15,31,NULL,1,NULL,1),(25,326,1,15,32,NULL,1,NULL,NULL),(25,326,1,15,33,1,1,1,1),(25,326,1,15,34,2,6,2,3),(25,326,1,15,35,2,2,1,1),(25,326,1,15,36,4,7,3,5),(25,326,1,15,37,2,4,1,4),(25,326,1,15,38,2,6,1,3),(25,326,1,15,39,1,4,NULL,2),(25,326,1,15,40,NULL,2,NULL,2),(25,326,1,16,1,2,14,NULL,7),(25,326,1,16,2,1,8,NULL,6),(25,326,1,16,3,1,4,NULL,2),(25,326,1,16,4,5,11,4,6),(25,326,1,16,5,NULL,10,NULL,3),(25,326,1,16,6,3,7,NULL,5),(25,326,1,16,7,3,15,1,6),(25,326,1,16,8,3,1,2,1),(25,326,1,16,9,2,8,NULL,4),(25,326,1,16,10,2,2,NULL,2),(25,326,1,16,11,1,6,NULL,2),(25,326,1,16,12,NULL,4,NULL,3),(25,326,1,16,13,8,1,7,NULL),(25,326,1,16,14,9,4,3,3),(25,326,1,16,15,13,NULL,7,NULL),(25,326,1,16,16,4,6,3,4),(25,326,1,16,17,1,10,NULL,2),(25,326,1,16,18,2,19,1,8),(25,326,1,16,19,NULL,8,NULL,2),(25,326,1,16,20,15,NULL,7,NULL),(25,326,1,16,21,2,8,NULL,5),(25,326,1,16,22,1,5,1,3),(25,326,1,16,23,1,3,NULL,3),(25,326,1,16,24,NULL,4,NULL,3),(25,326,1,16,25,2,2,1,NULL),(25,326,1,16,26,1,NULL,NULL,NULL),(25,326,1,16,27,NULL,NULL,NULL,NULL),(25,326,1,16,28,3,7,1,4),(25,326,1,16,29,3,4,1,2),(25,326,1,16,30,3,10,1,6),(25,326,1,16,31,NULL,1,NULL,NULL),(25,326,1,16,32,NULL,1,NULL,1),(25,326,1,16,33,NULL,3,NULL,2),(25,326,1,16,34,4,2,1,1),(25,326,1,16,35,NULL,2,NULL,2),(25,326,1,16,36,5,7,1,3),(25,326,1,16,37,4,2,2,1),(25,326,1,16,38,NULL,17,NULL,8),(25,326,1,16,39,2,12,1,6),(25,326,1,16,40,NULL,3,NULL,1),(25,326,1,17,1,7,8,1,4),(25,326,1,17,2,3,3,2,1),(25,326,1,17,3,2,2,2,NULL),(25,326,1,17,4,4,10,3,3),(25,326,1,17,5,3,6,1,2),(25,326,1,17,6,3,4,3,1),(25,326,1,17,7,1,13,1,4),(25,326,1,17,8,4,3,2,NULL),(25,326,1,17,9,2,8,1,1),(25,326,1,17,10,NULL,2,NULL,NULL),(25,326,1,17,11,3,7,1,2),(25,326,1,17,12,2,2,2,NULL),(25,326,1,17,13,9,2,3,NULL),(25,326,1,17,14,8,1,4,NULL),(25,326,1,17,15,8,NULL,2,NULL),(25,326,1,17,16,3,6,1,2),(25,326,1,17,17,3,6,1,2),(25,326,1,17,18,5,14,NULL,3),(25,326,1,17,19,NULL,8,NULL,1),(25,326,1,17,20,11,NULL,2,NULL),(25,326,1,17,21,3,7,1,1),(25,326,1,17,22,NULL,4,NULL,1),(25,326,1,17,23,NULL,2,NULL,1),(25,326,1,17,24,1,3,NULL,2),(25,326,1,17,25,1,NULL,1,NULL),(25,326,1,17,26,NULL,NULL,NULL,NULL),(25,326,1,17,27,NULL,NULL,NULL,NULL),(25,326,1,17,28,4,5,1,2),(25,326,1,17,29,1,2,NULL,NULL),(25,326,1,17,30,2,2,NULL,NULL),(25,326,1,17,31,NULL,4,NULL,3),(25,326,1,17,32,2,NULL,2,NULL),(25,326,1,17,33,2,1,1,NULL),(25,326,1,17,34,NULL,6,NULL,4),(25,326,1,17,35,1,5,NULL,NULL),(25,326,1,17,36,6,3,2,1),(25,326,1,17,37,2,1,1,NULL),(25,326,1,17,38,NULL,13,NULL,3),(25,326,1,17,39,1,3,1,NULL),(25,326,1,17,40,NULL,5,NULL,1),(25,326,2,21,1,5,5,1,3),(25,326,2,21,2,NULL,9,NULL,5),(25,326,2,21,3,4,9,2,5),(25,326,2,21,4,3,7,2,6),(25,326,2,21,5,6,11,3,5),(25,326,2,21,6,3,8,3,2),(25,326,2,21,7,2,8,1,4),(25,326,2,21,8,4,9,1,6),(25,326,2,21,9,12,9,5,4),(25,326,2,21,10,2,10,1,7),(25,326,2,21,11,3,14,NULL,6),(25,326,2,21,12,3,2,NULL,1),(25,326,2,21,13,9,5,7,1),(25,326,2,21,14,1,11,NULL,7),(25,326,2,21,15,5,7,NULL,6),(25,326,2,21,16,2,6,1,3),(25,326,2,21,17,3,7,NULL,3),(25,326,2,21,18,7,3,4,2),(25,326,2,21,19,NULL,11,NULL,7),(25,326,2,21,20,3,9,1,4),(25,326,2,21,21,1,3,NULL,1),(25,326,2,21,22,1,NULL,1,NULL),(25,326,2,21,23,NULL,5,NULL,4),(25,326,2,21,24,NULL,3,NULL,3),(25,326,2,21,25,3,NULL,2,NULL),(25,326,2,21,26,NULL,2,NULL,1),(25,326,2,21,27,NULL,3,NULL,1),(25,326,2,21,28,NULL,NULL,NULL,NULL),(25,326,2,21,29,1,5,1,3),(25,326,2,21,30,1,2,1,1),(25,326,2,21,31,1,3,1,2),(25,326,2,21,32,NULL,4,NULL,3),(25,326,2,21,33,1,5,NULL,3),(25,326,2,21,34,NULL,2,NULL,NULL),(25,326,2,21,35,3,7,1,5),(25,326,2,21,36,3,9,3,5),(25,326,2,21,37,1,6,1,4),(25,326,2,21,38,2,3,2,1),(25,326,2,21,39,8,NULL,6,NULL),(25,326,2,21,40,1,1,NULL,1),(25,326,2,22,1,3,8,2,3),(25,326,2,22,2,2,5,1,NULL),(25,326,2,22,3,3,5,2,1),(25,326,2,22,4,1,7,NULL,3),(25,326,2,22,5,6,3,1,2),(25,326,2,22,6,1,6,1,1),(25,326,2,22,7,2,3,2,1),(25,326,2,22,8,3,3,NULL,NULL),(25,326,2,22,9,9,5,2,3),(25,326,2,22,10,3,5,2,2),(25,326,2,22,11,2,11,1,3),(25,326,2,22,12,2,3,1,2),(25,326,2,22,13,14,1,4,1),(25,326,2,22,14,5,7,3,1),(25,326,2,22,15,4,5,2,1),(25,326,2,22,16,NULL,7,NULL,4),(25,326,2,22,17,2,5,1,2),(25,326,2,22,18,1,2,1,NULL),(25,326,2,22,19,NULL,5,NULL,2),(25,326,2,22,20,1,4,1,1),(25,326,2,22,21,2,2,NULL,NULL),(25,326,2,22,22,NULL,1,NULL,NULL),(25,326,2,22,23,1,2,1,NULL),(25,326,2,22,24,1,1,NULL,NULL),(25,326,2,22,25,1,NULL,1,NULL),(25,326,2,22,26,1,2,NULL,2),(25,326,2,22,27,1,1,NULL,1),(25,326,2,22,28,NULL,2,NULL,NULL),(25,326,2,22,29,NULL,1,NULL,1),(25,326,2,22,30,1,2,NULL,1),(25,326,2,22,31,1,2,1,NULL),(25,326,2,22,32,NULL,2,NULL,1),(25,326,2,22,33,1,2,NULL,1),(25,326,2,22,34,1,2,NULL,1),(25,326,2,22,35,1,1,1,NULL),(25,326,2,22,36,NULL,4,NULL,2),(25,326,2,22,37,NULL,5,NULL,1),(25,326,2,22,38,5,2,NULL,NULL),(25,326,2,22,39,3,NULL,2,NULL),(25,326,2,22,40,NULL,3,NULL,NULL),(25,326,2,23,1,2,9,2,6),(25,326,2,23,2,1,8,NULL,6),(25,326,2,23,3,2,8,1,4),(25,326,2,23,4,3,6,2,4),(25,326,2,23,5,10,6,7,2),(25,326,2,23,6,2,5,1,5),(25,326,2,23,7,3,3,2,1),(25,326,2,23,8,5,7,4,5),(25,326,2,23,9,9,9,6,5),(25,326,2,23,10,7,8,7,3),(25,326,2,23,11,1,16,1,8),(25,326,2,23,12,1,7,1,4),(25,326,2,23,13,13,8,8,4),(25,326,2,23,14,6,14,3,9),(25,326,2,23,15,5,8,3,2),(25,326,2,23,16,4,7,2,3),(25,326,2,23,17,2,6,NULL,3),(25,326,2,23,18,3,7,2,3),(25,326,2,23,19,3,8,1,4),(25,326,2,23,20,2,6,1,5),(25,326,2,23,21,NULL,NULL,NULL,NULL),(25,326,2,23,22,NULL,1,NULL,NULL),(25,326,2,23,23,NULL,2,NULL,1),(25,326,2,23,24,NULL,8,NULL,3),(25,326,2,23,25,1,NULL,NULL,NULL),(25,326,2,23,26,NULL,1,NULL,NULL),(25,326,2,23,27,1,8,NULL,3),(25,326,2,23,28,1,1,1,NULL),(25,326,2,23,29,NULL,3,NULL,2),(25,326,2,23,30,1,6,1,3),(25,326,2,23,31,3,4,1,2),(25,326,2,23,32,NULL,3,NULL,2),(25,326,2,23,33,2,5,2,2),(25,326,2,23,34,3,NULL,3,NULL),(25,326,2,23,35,1,6,NULL,5),(25,326,2,23,36,2,2,2,1),(25,326,2,23,37,1,6,1,3),(25,326,2,23,38,3,4,2,3),(25,326,2,23,39,5,NULL,4,NULL),(25,326,2,23,40,NULL,3,NULL,1),(25,326,2,24,1,3,6,1,4),(25,326,2,24,2,1,4,1,3),(25,326,2,24,3,3,5,3,3),(25,326,2,24,4,4,10,3,6),(25,326,2,24,5,5,7,2,4),(25,326,2,24,6,2,4,1,2),(25,326,2,24,7,1,1,1,1),(25,326,2,24,8,8,4,5,2),(25,326,2,24,9,8,5,6,3),(25,326,2,24,10,3,2,1,2),(25,326,2,24,11,2,15,2,8),(25,326,2,24,12,1,6,NULL,4),(25,326,2,24,13,13,4,9,2),(25,326,2,24,14,2,7,1,6),(25,326,2,24,15,5,8,1,6),(25,326,2,24,16,2,4,1,1),(25,326,2,24,17,7,5,3,4),(25,326,2,24,18,4,6,2,3),(25,326,2,24,19,NULL,8,NULL,5),(25,326,2,24,20,1,6,1,5),(25,326,2,24,21,1,5,1,4),(25,326,2,24,22,NULL,1,NULL,1),(25,326,2,24,23,NULL,3,NULL,2),(25,326,2,24,24,1,7,NULL,4),(25,326,2,24,25,2,NULL,2,NULL),(25,326,2,24,26,NULL,NULL,NULL,NULL),(25,326,2,24,27,1,1,1,NULL),(25,326,2,24,28,NULL,2,NULL,1),(25,326,2,24,29,2,1,1,1),(25,326,2,24,30,NULL,2,NULL,NULL),(25,326,2,24,31,2,4,NULL,3),(25,326,2,24,32,NULL,4,NULL,4),(25,326,2,24,33,3,6,1,5),(25,326,2,24,34,NULL,3,NULL,2),(25,326,2,24,35,NULL,8,NULL,5),(25,326,2,24,36,1,3,NULL,2),(25,326,2,24,37,NULL,6,NULL,5),(25,326,2,24,38,2,5,2,3),(25,326,2,24,39,5,NULL,4,NULL),(25,326,2,24,40,NULL,2,NULL,1),(25,327,1,11,1,NULL,NULL,NULL,NULL),(25,327,1,11,2,NULL,NULL,NULL,NULL),(25,327,1,11,3,NULL,NULL,NULL,NULL),(25,327,1,11,4,NULL,NULL,NULL,NULL),(25,327,1,11,5,NULL,NULL,NULL,NULL),(25,327,1,11,6,NULL,NULL,NULL,NULL),(25,327,1,11,7,NULL,NULL,NULL,NULL),(25,327,1,11,8,NULL,NULL,NULL,NULL),(25,327,1,11,9,NULL,NULL,NULL,NULL),(25,327,1,11,10,NULL,NULL,NULL,NULL),(25,327,1,11,11,NULL,NULL,NULL,NULL),(25,327,1,11,12,NULL,NULL,NULL,NULL),(25,327,1,11,13,NULL,NULL,NULL,NULL),(25,327,1,11,14,NULL,NULL,NULL,NULL),(25,327,1,11,15,NULL,NULL,NULL,NULL),(25,327,1,11,16,NULL,NULL,NULL,NULL),(25,327,1,11,17,NULL,NULL,NULL,NULL),(25,327,1,11,18,NULL,NULL,NULL,NULL),(25,327,1,11,19,NULL,NULL,NULL,NULL),(25,327,1,11,20,NULL,NULL,NULL,NULL),(25,327,1,11,21,NULL,NULL,NULL,NULL),(25,327,1,11,22,NULL,NULL,NULL,NULL),(25,327,1,11,23,NULL,NULL,NULL,NULL),(25,327,1,11,24,NULL,NULL,NULL,NULL),(25,327,1,11,25,NULL,NULL,NULL,NULL),(25,327,1,11,26,NULL,NULL,NULL,NULL),(25,327,1,11,27,NULL,NULL,NULL,NULL),(25,327,1,11,28,NULL,NULL,NULL,NULL),(25,327,1,11,29,NULL,NULL,NULL,NULL),(25,327,1,11,30,NULL,NULL,NULL,NULL),(25,327,1,11,31,NULL,NULL,NULL,NULL),(25,327,1,11,32,NULL,NULL,NULL,NULL),(25,327,1,11,33,NULL,NULL,NULL,NULL),(25,327,1,11,34,NULL,NULL,NULL,NULL),(25,327,1,11,35,NULL,NULL,NULL,NULL),(25,327,1,11,36,NULL,NULL,NULL,NULL),(25,327,1,11,37,NULL,NULL,NULL,NULL),(25,327,1,11,38,NULL,NULL,NULL,NULL),(25,327,1,11,39,NULL,NULL,NULL,NULL),(25,327,1,11,40,NULL,NULL,NULL,NULL),(25,327,1,12,1,NULL,1,NULL,1),(25,327,1,12,2,NULL,1,NULL,1),(25,327,1,12,3,NULL,1,NULL,1),(25,327,1,12,4,1,NULL,1,NULL),(25,327,1,12,5,NULL,NULL,NULL,NULL),(25,327,1,12,6,NULL,1,NULL,1),(25,327,1,12,7,NULL,1,NULL,1),(25,327,1,12,8,1,NULL,1,NULL),(25,327,1,12,9,NULL,2,NULL,2),(25,327,1,12,10,NULL,NULL,NULL,NULL),(25,327,1,12,11,NULL,2,NULL,2),(25,327,1,12,12,NULL,NULL,NULL,NULL),(25,327,1,12,13,1,NULL,1,NULL),(25,327,1,12,14,1,1,1,1),(25,327,1,12,15,NULL,2,NULL,2),(25,327,1,12,16,NULL,NULL,NULL,NULL),(25,327,1,12,17,NULL,NULL,NULL,NULL),(25,327,1,12,18,NULL,1,NULL,1),(25,327,1,12,19,NULL,NULL,NULL,NULL),(25,327,1,12,20,NULL,NULL,NULL,NULL),(25,327,1,12,21,NULL,NULL,NULL,NULL),(25,327,1,12,22,NULL,NULL,NULL,NULL),(25,327,1,12,23,NULL,NULL,NULL,NULL),(25,327,1,12,24,NULL,NULL,NULL,NULL),(25,327,1,12,25,NULL,NULL,NULL,NULL),(25,327,1,12,26,NULL,NULL,NULL,NULL),(25,327,1,12,27,NULL,NULL,NULL,NULL),(25,327,1,12,28,1,1,1,1),(25,327,1,12,29,NULL,NULL,NULL,NULL),(25,327,1,12,30,NULL,1,NULL,1),(25,327,1,12,31,NULL,NULL,NULL,NULL),(25,327,1,12,32,NULL,NULL,NULL,NULL),(25,327,1,12,33,NULL,NULL,NULL,NULL),(25,327,1,12,34,NULL,1,NULL,1),(25,327,1,12,35,NULL,1,NULL,1),(25,327,1,12,36,NULL,1,NULL,1),(25,327,1,12,37,NULL,1,NULL,1),(25,327,1,12,38,NULL,1,NULL,1),(25,327,1,12,39,NULL,NULL,NULL,NULL),(25,327,1,12,40,NULL,NULL,NULL,NULL),(25,327,1,13,1,NULL,NULL,NULL,NULL),(25,327,1,13,2,NULL,NULL,NULL,NULL),(25,327,1,13,3,NULL,NULL,NULL,NULL),(25,327,1,13,4,NULL,NULL,NULL,NULL),(25,327,1,13,5,NULL,NULL,NULL,NULL),(25,327,1,13,6,NULL,NULL,NULL,NULL),(25,327,1,13,7,NULL,NULL,NULL,NULL),(25,327,1,13,8,NULL,NULL,NULL,NULL),(25,327,1,13,9,NULL,NULL,NULL,NULL),(25,327,1,13,10,NULL,NULL,NULL,NULL),(25,327,1,13,11,NULL,NULL,NULL,NULL),(25,327,1,13,12,NULL,NULL,NULL,NULL),(25,327,1,13,13,NULL,NULL,NULL,NULL),(25,327,1,13,14,NULL,NULL,NULL,NULL),(25,327,1,13,15,NULL,NULL,NULL,NULL),(25,327,1,13,16,NULL,NULL,NULL,NULL),(25,327,1,13,17,NULL,NULL,NULL,NULL),(25,327,1,13,18,NULL,NULL,NULL,NULL),(25,327,1,13,19,NULL,NULL,NULL,NULL),(25,327,1,13,20,NULL,NULL,NULL,NULL),(25,327,1,13,21,NULL,NULL,NULL,NULL),(25,327,1,13,22,NULL,NULL,NULL,NULL),(25,327,1,13,23,NULL,NULL,NULL,NULL),(25,327,1,13,24,NULL,NULL,NULL,NULL),(25,327,1,13,25,NULL,NULL,NULL,NULL),(25,327,1,13,26,NULL,NULL,NULL,NULL),(25,327,1,13,27,NULL,NULL,NULL,NULL),(25,327,1,13,28,NULL,NULL,NULL,NULL),(25,327,1,13,29,NULL,NULL,NULL,NULL),(25,327,1,13,30,NULL,NULL,NULL,NULL),(25,327,1,13,31,NULL,NULL,NULL,NULL),(25,327,1,13,32,NULL,NULL,NULL,NULL),(25,327,1,13,33,NULL,NULL,NULL,NULL),(25,327,1,13,34,NULL,NULL,NULL,NULL),(25,327,1,13,35,NULL,NULL,NULL,NULL),(25,327,1,13,36,NULL,NULL,NULL,NULL),(25,327,1,13,37,NULL,NULL,NULL,NULL),(25,327,1,13,38,NULL,NULL,NULL,NULL),(25,327,1,13,39,NULL,NULL,NULL,NULL),(25,327,1,13,40,NULL,NULL,NULL,NULL),(25,327,1,14,1,11,9,3,5),(25,327,1,14,2,9,6,4,3),(25,327,1,14,3,2,8,NULL,5),(25,327,1,14,4,16,5,7,2),(25,327,1,14,5,1,11,1,4),(25,327,1,14,6,6,8,4,5),(25,327,1,14,7,5,14,NULL,9),(25,327,1,14,8,8,3,3,2),(25,327,1,14,9,9,7,4,3),(25,327,1,14,10,2,3,2,3),(25,327,1,14,11,2,6,2,3),(25,327,1,14,12,4,2,3,1),(25,327,1,14,13,6,7,2,5),(25,327,1,14,14,6,4,4,2),(25,327,1,14,15,9,2,6,1),(25,327,1,14,16,7,3,3,2),(25,327,1,14,17,8,5,4,2),(25,327,1,14,18,12,1,6,1),(25,327,1,14,19,10,11,4,5),(25,327,1,14,20,12,NULL,6,NULL),(25,327,1,14,21,6,4,2,2),(25,327,1,14,22,4,3,1,2),(25,327,1,14,23,4,2,2,1),(25,327,1,14,24,1,2,NULL,1),(25,327,1,14,25,1,3,NULL,1),(25,327,1,14,26,2,NULL,2,NULL),(25,327,1,14,27,2,NULL,2,NULL),(25,327,1,14,28,2,8,1,4),(25,327,1,14,29,2,2,NULL,NULL),(25,327,1,14,30,2,NULL,1,NULL),(25,327,1,14,31,1,3,1,2),(25,327,1,14,32,1,NULL,NULL,NULL),(25,327,1,14,33,3,3,1,2),(25,327,1,14,34,3,2,1,1),(25,327,1,14,35,3,1,NULL,1),(25,327,1,14,36,10,8,6,2),(25,327,1,14,37,4,4,2,3),(25,327,1,14,38,2,17,NULL,7),(25,327,1,14,39,3,6,2,4),(25,327,1,14,40,2,1,NULL,NULL),(25,327,1,15,1,3,9,1,5),(25,327,1,15,2,NULL,6,NULL,3),(25,327,1,15,3,3,6,1,3),(25,327,1,15,4,9,5,5,2),(25,327,1,15,5,2,8,2,3),(25,327,1,15,6,2,8,NULL,2),(25,327,1,15,7,2,9,1,4),(25,327,1,15,8,1,3,NULL,2),(25,327,1,15,9,2,5,1,2),(25,327,1,15,10,1,1,1,NULL),(25,327,1,15,11,3,5,1,NULL),(25,327,1,15,12,3,1,NULL,NULL),(25,327,1,15,13,3,5,2,2),(25,327,1,15,14,3,3,3,2),(25,327,1,15,15,9,5,6,1),(25,327,1,15,16,2,4,1,1),(25,327,1,15,17,3,2,2,2),(25,327,1,15,18,10,1,7,NULL),(25,327,1,15,19,3,8,1,6),(25,327,1,15,20,4,6,3,3),(25,327,1,15,21,NULL,7,NULL,4),(25,327,1,15,22,NULL,6,NULL,2),(25,327,1,15,23,2,2,NULL,2),(25,327,1,15,24,1,3,1,1),(25,327,1,15,25,NULL,1,NULL,NULL),(25,327,1,15,26,2,NULL,1,NULL),(25,327,1,15,27,NULL,NULL,NULL,NULL),(25,327,1,15,28,1,12,NULL,7),(25,327,1,15,29,1,5,NULL,2),(25,327,1,15,30,NULL,5,NULL,2),(25,327,1,15,31,NULL,NULL,NULL,NULL),(25,327,1,15,32,NULL,NULL,NULL,NULL),(25,327,1,15,33,NULL,1,NULL,NULL),(25,327,1,15,34,NULL,5,NULL,1),(25,327,1,15,35,3,4,1,2),(25,327,1,15,36,3,4,3,1),(25,327,1,15,37,3,4,2,1),(25,327,1,15,38,1,4,NULL,NULL),(25,327,1,15,39,NULL,1,NULL,NULL),(25,327,1,15,40,NULL,3,NULL,2),(25,327,1,16,1,14,10,5,3),(25,327,1,16,2,5,6,2,2),(25,327,1,16,3,2,8,2,6),(25,327,1,16,4,18,6,8,2),(25,327,1,16,5,4,8,NULL,3),(25,327,1,16,6,3,9,2,4),(25,327,1,16,7,6,15,2,7),(25,327,1,16,8,6,8,2,4),(25,327,1,16,9,4,9,2,4),(25,327,1,16,10,2,2,1,1),(25,327,1,16,11,3,4,NULL,1),(25,327,1,16,12,7,4,4,1),(25,327,1,16,13,11,4,6,1),(25,327,1,16,14,7,11,4,3),(25,327,1,16,15,15,NULL,7,NULL),(25,327,1,16,16,NULL,13,NULL,5),(25,327,1,16,17,2,11,1,5),(25,327,1,16,18,4,20,1,6),(25,327,1,16,19,1,7,1,3),(25,327,1,16,20,21,NULL,12,NULL),(25,327,1,16,21,2,12,NULL,6),(25,327,1,16,22,2,7,1,5),(25,327,1,16,23,2,8,NULL,3),(25,327,1,16,24,1,5,NULL,3),(25,327,1,16,25,NULL,3,NULL,2),(25,327,1,16,26,3,NULL,3,NULL),(25,327,1,16,27,1,NULL,1,NULL),(25,327,1,16,28,5,13,2,8),(25,327,1,16,29,NULL,5,NULL,3),(25,327,1,16,30,NULL,7,NULL,4),(25,327,1,16,31,NULL,2,NULL,2),(25,327,1,16,32,2,NULL,2,NULL),(25,327,1,16,33,2,3,2,3),(25,327,1,16,34,1,8,NULL,5),(25,327,1,16,35,1,2,NULL,1),(25,327,1,16,36,3,10,2,3),(25,327,1,16,37,2,9,NULL,5),(25,327,1,16,38,2,16,1,7),(25,327,1,16,39,2,6,1,1),(25,327,1,16,40,NULL,2,NULL,1),(25,327,1,17,1,8,11,5,5),(25,327,1,17,2,4,4,2,NULL),(25,327,1,17,3,1,6,1,4),(25,327,1,17,4,8,5,4,4),(25,327,1,17,5,1,6,NULL,4),(25,327,1,17,6,4,8,3,4),(25,327,1,17,7,1,12,1,6),(25,327,1,17,8,5,3,3,1),(25,327,1,17,9,5,3,4,2),(25,327,1,17,10,2,3,1,3),(25,327,1,17,11,2,8,NULL,4),(25,327,1,17,12,2,7,1,4),(25,327,1,17,13,9,3,7,NULL),(25,327,1,17,14,6,8,4,4),(25,327,1,17,15,16,NULL,7,NULL),(25,327,1,17,16,2,9,2,4),(25,327,1,17,17,NULL,6,NULL,2),(25,327,1,17,18,2,14,NULL,7),(25,327,1,17,19,NULL,10,NULL,5),(25,327,1,17,20,15,NULL,8,NULL),(25,327,1,17,21,1,8,NULL,5),(25,327,1,17,22,NULL,8,NULL,4),(25,327,1,17,23,NULL,6,NULL,3),(25,327,1,17,24,NULL,7,NULL,4),(25,327,1,17,25,1,1,NULL,1),(25,327,1,17,26,2,NULL,1,NULL),(25,327,1,17,27,NULL,NULL,NULL,NULL),(25,327,1,17,28,1,11,1,6),(25,327,1,17,29,1,3,1,2),(25,327,1,17,30,1,4,NULL,1),(25,327,1,17,31,NULL,NULL,NULL,NULL),(25,327,1,17,32,NULL,NULL,NULL,NULL),(25,327,1,17,33,1,NULL,NULL,NULL),(25,327,1,17,34,3,6,2,1),(25,327,1,17,35,2,7,1,4),(25,327,1,17,36,2,7,1,4),(25,327,1,17,37,2,5,2,2),(25,327,1,17,38,2,12,1,7),(25,327,1,17,39,1,7,NULL,3),(25,327,1,17,40,NULL,NULL,NULL,NULL),(25,327,2,21,1,1,10,1,6),(25,327,2,21,2,NULL,7,NULL,3),(25,327,2,21,3,4,13,2,5),(25,327,2,21,4,5,5,3,2),(25,327,2,21,5,7,9,4,4),(25,327,2,21,6,2,4,1,3),(25,327,2,21,7,3,5,2,3),(25,327,2,21,8,7,8,4,2),(25,327,2,21,9,13,10,6,2),(25,327,2,21,10,4,4,2,2),(25,327,2,21,11,3,14,NULL,6),(25,327,2,21,12,1,9,1,2),(25,327,2,21,13,11,9,6,2),(25,327,2,21,14,2,8,NULL,4),(25,327,2,21,15,5,7,5,3),(25,327,2,21,16,3,5,1,2),(25,327,2,21,17,2,5,NULL,2),(25,327,2,21,18,4,9,2,3),(25,327,2,21,19,2,5,NULL,3),(25,327,2,21,20,3,7,2,4),(25,327,2,21,21,NULL,6,NULL,3),(25,327,2,21,22,1,NULL,1,NULL),(25,327,2,21,23,NULL,5,NULL,3),(25,327,2,21,24,NULL,6,NULL,2),(25,327,2,21,25,2,NULL,NULL,NULL),(25,327,2,21,26,NULL,NULL,NULL,NULL),(25,327,2,21,27,NULL,3,NULL,1),(25,327,2,21,28,1,3,NULL,1),(25,327,2,21,29,1,5,NULL,2),(25,327,2,21,30,1,2,NULL,NULL),(25,327,2,21,31,4,5,3,2),(25,327,2,21,32,1,5,NULL,2),(25,327,2,21,33,3,5,1,2),(25,327,2,21,34,NULL,1,NULL,NULL),(25,327,2,21,35,2,6,1,2),(25,327,2,21,36,1,5,1,2),(25,327,2,21,37,1,5,NULL,1),(25,327,2,21,38,2,8,NULL,4),(25,327,2,21,39,3,NULL,1,NULL),(25,327,2,21,40,1,1,NULL,NULL),(25,327,2,22,1,4,9,NULL,6),(25,327,2,22,2,2,5,1,4),(25,327,2,22,3,2,4,2,2),(25,327,2,22,4,3,7,NULL,4),(25,327,2,22,5,8,5,6,5),(25,327,2,22,6,2,3,2,2),(25,327,2,22,7,3,4,1,3),(25,327,2,22,8,10,7,4,5),(25,327,2,22,9,12,3,8,2),(25,327,2,22,10,9,5,6,3),(25,327,2,22,11,1,13,1,6),(25,327,2,22,12,5,9,2,3),(25,327,2,22,13,13,4,7,3),(25,327,2,22,14,4,6,3,4),(25,327,2,22,15,7,6,3,4),(25,327,2,22,16,2,10,1,3),(25,327,2,22,17,1,7,NULL,4),(25,327,2,22,18,4,4,3,2),(25,327,2,22,19,6,7,2,3),(25,327,2,22,20,4,7,4,3),(25,327,2,22,21,1,1,NULL,NULL),(25,327,2,22,22,2,NULL,2,NULL),(25,327,2,22,23,NULL,3,NULL,2),(25,327,2,22,24,NULL,7,NULL,5),(25,327,2,22,25,NULL,NULL,NULL,NULL),(25,327,2,22,26,NULL,1,NULL,NULL),(25,327,2,22,27,NULL,6,NULL,2),(25,327,2,22,28,1,NULL,NULL,NULL),(25,327,2,22,29,NULL,7,NULL,4),(25,327,2,22,30,2,5,NULL,1),(25,327,2,22,31,6,3,2,2),(25,327,2,22,32,NULL,1,NULL,NULL),(25,327,2,22,33,NULL,5,NULL,4),(25,327,2,22,34,NULL,1,NULL,1),(25,327,2,22,35,1,7,NULL,3),(25,327,2,22,36,4,5,2,2),(25,327,2,22,37,NULL,1,NULL,1),(25,327,2,22,38,5,6,4,2),(25,327,2,22,39,5,NULL,3,NULL),(25,327,2,22,40,NULL,2,NULL,NULL),(25,327,2,23,1,3,5,1,4),(25,327,2,23,2,NULL,5,NULL,4),(25,327,2,23,3,2,8,1,5),(25,327,2,23,4,4,2,4,2),(25,327,2,23,5,3,4,NULL,3),(25,327,2,23,6,3,6,2,5),(25,327,2,23,7,2,7,2,5),(25,327,2,23,8,7,5,6,2),(25,327,2,23,9,13,8,7,6),(25,327,2,23,10,3,3,2,2),(25,327,2,23,11,2,16,2,7),(25,327,2,23,12,2,5,NULL,1),(25,327,2,23,13,11,4,7,3),(25,327,2,23,14,5,7,3,6),(25,327,2,23,15,3,7,3,5),(25,327,2,23,16,2,5,1,2),(25,327,2,23,17,5,2,3,1),(25,327,2,23,18,5,3,2,1),(25,327,2,23,19,2,9,1,6),(25,327,2,23,20,4,5,4,4),(25,327,2,23,21,1,3,1,2),(25,327,2,23,22,NULL,NULL,NULL,NULL),(25,327,2,23,23,1,4,NULL,3),(25,327,2,23,24,NULL,5,NULL,3),(25,327,2,23,25,1,NULL,1,NULL),(25,327,2,23,26,NULL,2,NULL,1),(25,327,2,23,27,1,1,1,1),(25,327,2,23,28,1,1,NULL,1),(25,327,2,23,29,NULL,4,NULL,3),(25,327,2,23,30,NULL,NULL,NULL,NULL),(25,327,2,23,31,1,6,1,5),(25,327,2,23,32,NULL,4,NULL,3),(25,327,2,23,33,3,5,3,4),(25,327,2,23,34,1,2,1,NULL),(25,327,2,23,35,3,8,3,5),(25,327,2,23,36,4,3,3,1),(25,327,2,23,37,NULL,6,NULL,2),(25,327,2,23,38,3,8,2,7),(25,327,2,23,39,4,NULL,3,NULL),(25,327,2,23,40,1,2,NULL,1),(25,327,2,24,1,1,9,NULL,4),(25,327,2,24,2,2,9,1,2),(25,327,2,24,3,6,5,3,2),(25,327,2,24,4,4,10,2,4),(25,327,2,24,5,8,10,5,2),(25,327,2,24,6,4,2,2,1),(25,327,2,24,7,2,2,1,1),(25,327,2,24,8,4,9,2,3),(25,327,2,24,9,13,6,7,1),(25,327,2,24,10,2,9,NULL,4),(25,327,2,24,11,2,16,1,6),(25,327,2,24,12,1,10,NULL,3),(25,327,2,24,13,16,3,8,NULL),(25,327,2,24,14,3,9,1,4),(25,327,2,24,15,5,7,1,3),(25,327,2,24,16,1,7,1,4),(25,327,2,24,17,2,9,1,3),(25,327,2,24,18,3,5,1,1),(25,327,2,24,19,NULL,4,NULL,1),(25,327,2,24,20,6,9,4,2),(25,327,2,24,21,NULL,2,NULL,NULL),(25,327,2,24,22,NULL,1,NULL,NULL),(25,327,2,24,23,1,3,NULL,1),(25,327,2,24,24,NULL,4,NULL,NULL),(25,327,2,24,25,5,NULL,1,NULL),(25,327,2,24,26,NULL,2,NULL,1),(25,327,2,24,27,1,2,NULL,1),(25,327,2,24,28,1,2,1,2),(25,327,2,24,29,1,3,NULL,2),(25,327,2,24,30,2,3,1,1),(25,327,2,24,31,4,7,4,4),(25,327,2,24,32,NULL,4,NULL,1),(25,327,2,24,33,1,5,1,1),(25,327,2,24,34,1,1,NULL,NULL),(25,327,2,24,35,2,6,2,2),(25,327,2,24,36,3,4,1,1),(25,327,2,24,37,1,6,NULL,2),(25,327,2,24,38,3,1,3,1),(25,327,2,24,39,5,NULL,2,NULL),(25,327,2,24,40,NULL,NULL,NULL,NULL),(25,328,1,11,1,NULL,NULL,NULL,NULL),(25,328,1,11,2,NULL,NULL,NULL,NULL),(25,328,1,11,3,NULL,NULL,NULL,NULL),(25,328,1,11,4,NULL,NULL,NULL,NULL),(25,328,1,11,5,NULL,NULL,NULL,NULL),(25,328,1,11,6,NULL,NULL,NULL,NULL),(25,328,1,11,7,NULL,NULL,NULL,NULL),(25,328,1,11,8,NULL,NULL,NULL,NULL),(25,328,1,11,9,NULL,NULL,NULL,NULL),(25,328,1,11,10,NULL,NULL,NULL,NULL),(25,328,1,11,11,NULL,NULL,NULL,NULL),(25,328,1,11,12,NULL,NULL,NULL,NULL),(25,328,1,11,13,NULL,NULL,NULL,NULL),(25,328,1,11,14,NULL,NULL,NULL,NULL),(25,328,1,11,15,NULL,NULL,NULL,NULL),(25,328,1,11,16,NULL,NULL,NULL,NULL),(25,328,1,11,17,NULL,NULL,NULL,NULL),(25,328,1,11,18,NULL,NULL,NULL,NULL),(25,328,1,11,19,NULL,NULL,NULL,NULL),(25,328,1,11,20,NULL,NULL,NULL,NULL),(25,328,1,11,21,NULL,NULL,NULL,NULL),(25,328,1,11,22,NULL,NULL,NULL,NULL),(25,328,1,11,23,NULL,NULL,NULL,NULL),(25,328,1,11,24,NULL,NULL,NULL,NULL),(25,328,1,11,25,NULL,NULL,NULL,NULL),(25,328,1,11,26,NULL,NULL,NULL,NULL),(25,328,1,11,27,NULL,NULL,NULL,NULL),(25,328,1,11,28,NULL,NULL,NULL,NULL),(25,328,1,11,29,NULL,NULL,NULL,NULL),(25,328,1,11,30,NULL,NULL,NULL,NULL),(25,328,1,11,31,NULL,NULL,NULL,NULL),(25,328,1,11,32,NULL,NULL,NULL,NULL),(25,328,1,11,33,NULL,NULL,NULL,NULL),(25,328,1,11,34,NULL,NULL,NULL,NULL),(25,328,1,11,35,NULL,NULL,NULL,NULL),(25,328,1,11,36,NULL,NULL,NULL,NULL),(25,328,1,11,37,NULL,NULL,NULL,NULL),(25,328,1,11,38,NULL,NULL,NULL,NULL),(25,328,1,11,39,NULL,NULL,NULL,NULL),(25,328,1,11,40,NULL,NULL,NULL,NULL),(25,328,1,12,1,NULL,NULL,NULL,NULL),(25,328,1,12,2,NULL,NULL,NULL,NULL),(25,328,1,12,3,NULL,NULL,NULL,NULL),(25,328,1,12,4,NULL,NULL,NULL,NULL),(25,328,1,12,5,NULL,NULL,NULL,NULL),(25,328,1,12,6,NULL,NULL,NULL,NULL),(25,328,1,12,7,NULL,NULL,NULL,NULL),(25,328,1,12,8,NULL,NULL,NULL,NULL),(25,328,1,12,9,NULL,NULL,NULL,NULL),(25,328,1,12,10,NULL,NULL,NULL,NULL),(25,328,1,12,11,NULL,NULL,NULL,NULL),(25,328,1,12,12,NULL,NULL,NULL,NULL),(25,328,1,12,13,NULL,NULL,NULL,NULL),(25,328,1,12,14,NULL,NULL,NULL,NULL),(25,328,1,12,15,NULL,NULL,NULL,NULL),(25,328,1,12,16,NULL,NULL,NULL,NULL),(25,328,1,12,17,NULL,NULL,NULL,NULL),(25,328,1,12,18,NULL,NULL,NULL,NULL),(25,328,1,12,19,NULL,NULL,NULL,NULL),(25,328,1,12,20,NULL,NULL,NULL,NULL),(25,328,1,12,21,NULL,NULL,NULL,NULL),(25,328,1,12,22,NULL,NULL,NULL,NULL),(25,328,1,12,23,NULL,NULL,NULL,NULL),(25,328,1,12,24,NULL,NULL,NULL,NULL),(25,328,1,12,25,NULL,NULL,NULL,NULL),(25,328,1,12,26,NULL,NULL,NULL,NULL),(25,328,1,12,27,NULL,NULL,NULL,NULL),(25,328,1,12,28,NULL,NULL,NULL,NULL),(25,328,1,12,29,NULL,NULL,NULL,NULL),(25,328,1,12,30,NULL,NULL,NULL,NULL),(25,328,1,12,31,NULL,NULL,NULL,NULL),(25,328,1,12,32,NULL,NULL,NULL,NULL),(25,328,1,12,33,NULL,NULL,NULL,NULL),(25,328,1,12,34,NULL,NULL,NULL,NULL),(25,328,1,12,35,NULL,NULL,NULL,NULL),(25,328,1,12,36,NULL,NULL,NULL,NULL),(25,328,1,12,37,NULL,NULL,NULL,NULL),(25,328,1,12,38,NULL,NULL,NULL,NULL),(25,328,1,12,39,NULL,NULL,NULL,NULL),(25,328,1,12,40,NULL,NULL,NULL,NULL),(25,328,1,13,1,NULL,NULL,NULL,NULL),(25,328,1,13,2,NULL,NULL,NULL,NULL),(25,328,1,13,3,NULL,NULL,NULL,NULL),(25,328,1,13,4,NULL,NULL,NULL,NULL),(25,328,1,13,5,NULL,NULL,NULL,NULL),(25,328,1,13,6,NULL,NULL,NULL,NULL),(25,328,1,13,7,NULL,1,NULL,1),(25,328,1,13,8,NULL,NULL,NULL,NULL),(25,328,1,13,9,NULL,NULL,NULL,NULL),(25,328,1,13,10,NULL,NULL,NULL,NULL),(25,328,1,13,11,NULL,NULL,NULL,NULL),(25,328,1,13,12,NULL,1,NULL,1),(25,328,1,13,13,1,NULL,1,NULL),(25,328,1,13,14,NULL,NULL,NULL,NULL),(25,328,1,13,15,NULL,1,NULL,1),(25,328,1,13,16,NULL,1,NULL,1),(25,328,1,13,17,1,NULL,1,NULL),(25,328,1,13,18,1,NULL,1,NULL),(25,328,1,13,19,NULL,NULL,NULL,NULL),(25,328,1,13,20,NULL,1,NULL,1),(25,328,1,13,21,NULL,NULL,NULL,NULL),(25,328,1,13,22,NULL,NULL,NULL,NULL),(25,328,1,13,23,NULL,1,NULL,1),(25,328,1,13,24,NULL,NULL,NULL,NULL),(25,328,1,13,25,NULL,NULL,NULL,NULL),(25,328,1,13,26,NULL,NULL,NULL,NULL),(25,328,1,13,27,NULL,NULL,NULL,NULL),(25,328,1,13,28,NULL,NULL,NULL,NULL),(25,328,1,13,29,NULL,NULL,NULL,NULL),(25,328,1,13,30,NULL,NULL,NULL,NULL),(25,328,1,13,31,NULL,NULL,NULL,NULL),(25,328,1,13,32,NULL,NULL,NULL,NULL),(25,328,1,13,33,NULL,NULL,NULL,NULL),(25,328,1,13,34,NULL,NULL,NULL,NULL),(25,328,1,13,35,NULL,1,NULL,1),(25,328,1,13,36,NULL,NULL,NULL,NULL),(25,328,1,13,37,NULL,NULL,NULL,NULL),(25,328,1,13,38,NULL,NULL,NULL,NULL),(25,328,1,13,39,NULL,NULL,NULL,NULL),(25,328,1,13,40,NULL,NULL,NULL,NULL),(25,328,1,14,1,2,4,2,2),(25,328,1,14,2,NULL,5,NULL,1),(25,328,1,14,3,4,2,3,NULL),(25,328,1,14,4,4,1,2,1),(25,328,1,14,5,1,5,1,3),(25,328,1,14,6,3,1,1,1),(25,328,1,14,7,2,4,1,1),(25,328,1,14,8,NULL,2,NULL,2),(25,328,1,14,9,1,1,1,1),(25,328,1,14,10,NULL,2,NULL,1),(25,328,1,14,11,1,3,1,1),(25,328,1,14,12,1,2,NULL,1),(25,328,1,14,13,1,2,1,1),(25,328,1,14,14,5,3,3,1),(25,328,1,14,15,3,4,2,2),(25,328,1,14,16,3,2,2,NULL),(25,328,1,14,17,2,NULL,2,NULL),(25,328,1,14,18,4,1,3,NULL),(25,328,1,14,19,2,3,2,1),(25,328,1,14,20,1,1,1,1),(25,328,1,14,21,2,2,1,NULL),(25,328,1,14,22,NULL,2,NULL,1),(25,328,1,14,23,NULL,2,NULL,NULL),(25,328,1,14,24,NULL,NULL,NULL,NULL),(25,328,1,14,25,1,3,1,1),(25,328,1,14,26,1,NULL,1,NULL),(25,328,1,14,27,NULL,NULL,NULL,NULL),(25,328,1,14,28,1,4,NULL,1),(25,328,1,14,29,1,NULL,NULL,NULL),(25,328,1,14,30,1,1,1,NULL),(25,328,1,14,31,NULL,NULL,NULL,NULL),(25,328,1,14,32,NULL,2,NULL,2),(25,328,1,14,33,1,1,1,1),(25,328,1,14,34,3,3,3,1),(25,328,1,14,35,1,3,1,1),(25,328,1,14,36,1,4,1,3),(25,328,1,14,37,1,1,1,NULL),(25,328,1,14,38,NULL,6,NULL,2),(25,328,1,14,39,NULL,4,NULL,1),(25,328,1,14,40,1,2,NULL,1),(25,328,1,15,1,4,5,3,5),(25,328,1,15,2,4,2,4,2),(25,328,1,15,3,3,4,2,4),(25,328,1,15,4,9,2,8,2),(25,328,1,15,5,1,4,NULL,3),(25,328,1,15,6,2,3,2,3),(25,328,1,15,7,3,5,2,5),(25,328,1,15,8,3,2,3,1),(25,328,1,15,9,3,2,3,1),(25,328,1,15,10,1,2,1,2),(25,328,1,15,11,2,2,2,2),(25,328,1,15,12,1,1,1,1),(25,328,1,15,13,5,NULL,5,NULL),(25,328,1,15,14,7,2,6,2),(25,328,1,15,15,4,6,4,5),(25,328,1,15,16,5,1,4,1),(25,328,1,15,17,5,2,4,2),(25,328,1,15,18,6,1,5,1),(25,328,1,15,19,7,4,5,4),(25,328,1,15,20,6,NULL,5,NULL),(25,328,1,15,21,1,6,NULL,6),(25,328,1,15,22,NULL,2,NULL,2),(25,328,1,15,23,1,NULL,1,NULL),(25,328,1,15,24,1,1,1,1),(25,328,1,15,25,1,1,1,1),(25,328,1,15,26,1,NULL,1,NULL),(25,328,1,15,27,NULL,NULL,NULL,NULL),(25,328,1,15,28,1,4,1,4),(25,328,1,15,29,1,1,1,1),(25,328,1,15,30,NULL,4,NULL,4),(25,328,1,15,31,NULL,3,NULL,3),(25,328,1,15,32,1,NULL,1,NULL),(25,328,1,15,33,2,1,2,1),(25,328,1,15,34,1,1,1,1),(25,328,1,15,35,NULL,4,NULL,3),(25,328,1,15,36,4,4,3,3),(25,328,1,15,37,3,2,3,2),(25,328,1,15,38,1,7,NULL,7),(25,328,1,15,39,2,3,2,3),(25,328,1,15,40,NULL,3,NULL,3),(25,328,1,16,1,5,4,4,4),(25,328,1,16,2,1,6,1,4),(25,328,1,16,3,2,1,NULL,1),(25,328,1,16,4,7,4,7,3),(25,328,1,16,5,2,4,2,3),(25,328,1,16,6,3,3,3,3),(25,328,1,16,7,2,8,2,7),(25,328,1,16,8,2,2,2,2),(25,328,1,16,9,3,2,3,2),(25,328,1,16,10,NULL,1,NULL,1),(25,328,1,16,11,1,2,1,1),(25,328,1,16,12,NULL,1,NULL,1),(25,328,1,16,13,6,2,6,2),(25,328,1,16,14,5,1,5,1),(25,328,1,16,15,5,NULL,5,NULL),(25,328,1,16,16,2,7,2,7),(25,328,1,16,17,NULL,3,NULL,3),(25,328,1,16,18,NULL,11,NULL,8),(25,328,1,16,19,NULL,8,NULL,6),(25,328,1,16,20,6,NULL,6,NULL),(25,328,1,16,21,2,3,1,3),(25,328,1,16,22,1,2,1,2),(25,328,1,16,23,1,2,NULL,2),(25,328,1,16,24,NULL,NULL,NULL,NULL),(25,328,1,16,25,NULL,2,NULL,2),(25,328,1,16,26,1,NULL,1,NULL),(25,328,1,16,27,NULL,NULL,NULL,NULL),(25,328,1,16,28,1,6,NULL,6),(25,328,1,16,29,NULL,4,NULL,3),(25,328,1,16,30,NULL,5,NULL,4),(25,328,1,16,31,NULL,NULL,NULL,NULL),(25,328,1,16,32,NULL,1,NULL,1),(25,328,1,16,33,1,1,1,NULL),(25,328,1,16,34,1,1,NULL,1),(25,328,1,16,35,NULL,3,NULL,2),(25,328,1,16,36,1,5,1,5),(25,328,1,16,37,1,2,NULL,2),(25,328,1,16,38,NULL,8,NULL,6),(25,328,1,16,39,NULL,3,NULL,3),(25,328,1,16,40,NULL,NULL,NULL,NULL),(25,328,1,17,1,1,4,1,2),(25,328,1,17,2,2,3,1,3),(25,328,1,17,3,1,2,1,1),(25,328,1,17,4,5,1,3,1),(25,328,1,17,5,NULL,3,NULL,1),(25,328,1,17,6,3,2,2,2),(25,328,1,17,7,1,3,NULL,3),(25,328,1,17,8,1,1,NULL,1),(25,328,1,17,9,1,2,NULL,2),(25,328,1,17,10,NULL,1,NULL,1),(25,328,1,17,11,1,NULL,1,NULL),(25,328,1,17,12,1,NULL,NULL,NULL),(25,328,1,17,13,4,1,3,1),(25,328,1,17,14,3,1,2,1),(25,328,1,17,15,5,NULL,3,NULL),(25,328,1,17,16,NULL,4,NULL,3),(25,328,1,17,17,NULL,3,NULL,1),(25,328,1,17,18,NULL,6,NULL,4),(25,328,1,17,19,NULL,2,NULL,1),(25,328,1,17,20,4,NULL,3,NULL),(25,328,1,17,21,NULL,2,NULL,2),(25,328,1,17,22,NULL,2,NULL,2),(25,328,1,17,23,1,1,NULL,1),(25,328,1,17,24,1,1,1,1),(25,328,1,17,25,1,1,1,NULL),(25,328,1,17,26,NULL,NULL,NULL,NULL),(25,328,1,17,27,NULL,NULL,NULL,NULL),(25,328,1,17,28,NULL,5,NULL,4),(25,328,1,17,29,1,1,1,NULL),(25,328,1,17,30,1,1,NULL,1),(25,328,1,17,31,NULL,NULL,NULL,NULL),(25,328,1,17,32,NULL,2,NULL,1),(25,328,1,17,33,NULL,1,NULL,1),(25,328,1,17,34,1,NULL,1,NULL),(25,328,1,17,35,1,NULL,NULL,NULL),(25,328,1,17,36,1,2,1,1),(25,328,1,17,37,1,1,1,NULL),(25,328,1,17,38,NULL,3,NULL,2),(25,328,1,17,39,NULL,3,NULL,2),(25,328,1,17,40,NULL,NULL,NULL,NULL),(25,328,2,21,1,1,2,1,2),(25,328,2,21,2,NULL,2,NULL,1),(25,328,2,21,3,NULL,5,NULL,3),(25,328,2,21,4,1,3,1,3),(25,328,2,21,5,2,2,2,2),(25,328,2,21,6,NULL,2,NULL,1),(25,328,2,21,7,4,NULL,3,NULL),(25,328,2,21,8,2,2,2,2),(25,328,2,21,9,5,4,4,4),(25,328,2,21,10,3,5,3,5),(25,328,2,21,11,1,5,1,5),(25,328,2,21,12,3,3,3,2),(25,328,2,21,13,4,4,4,3),(25,328,2,21,14,NULL,8,NULL,7),(25,328,2,21,15,2,4,1,3),(25,328,2,21,16,3,1,2,1),(25,328,2,21,17,NULL,2,NULL,1),(25,328,2,21,18,2,2,1,1),(25,328,2,21,19,1,5,1,5),(25,328,2,21,20,1,5,1,4),(25,328,2,21,21,1,2,1,1),(25,328,2,21,22,1,NULL,1,NULL),(25,328,2,21,23,1,1,1,1),(25,328,2,21,24,NULL,5,NULL,3),(25,328,2,21,25,NULL,NULL,NULL,NULL),(25,328,2,21,26,NULL,NULL,NULL,NULL),(25,328,2,21,27,NULL,NULL,NULL,NULL),(25,328,2,21,28,NULL,NULL,NULL,NULL),(25,328,2,21,29,NULL,2,NULL,2),(25,328,2,21,30,NULL,1,NULL,1),(25,328,2,21,31,2,2,1,2),(25,328,2,21,32,NULL,1,NULL,1),(25,328,2,21,33,1,3,NULL,2),(25,328,2,21,34,NULL,2,NULL,2),(25,328,2,21,35,1,3,NULL,3),(25,328,2,21,36,2,5,2,4),(25,328,2,21,37,NULL,NULL,NULL,NULL),(25,328,2,21,38,1,NULL,1,NULL),(25,328,2,21,39,2,NULL,2,NULL),(25,328,2,21,40,NULL,NULL,NULL,NULL),(25,328,2,22,1,1,4,1,3),(25,328,2,22,2,NULL,1,NULL,1),(25,328,2,22,3,1,2,1,2),(25,328,2,22,4,NULL,2,NULL,2),(25,328,2,22,5,3,NULL,3,NULL),(25,328,2,22,6,NULL,1,NULL,1),(25,328,2,22,7,NULL,1,NULL,1),(25,328,2,22,8,2,1,2,NULL),(25,328,2,22,9,3,2,3,2),(25,328,2,22,10,3,1,3,NULL),(25,328,2,22,11,NULL,7,NULL,4),(25,328,2,22,12,NULL,2,NULL,2),(25,328,2,22,13,6,NULL,5,NULL),(25,328,2,22,14,1,3,1,2),(25,328,2,22,15,2,2,2,NULL),(25,328,2,22,16,NULL,4,NULL,4),(25,328,2,22,17,2,5,2,4),(25,328,2,22,18,1,2,1,1),(25,328,2,22,19,NULL,6,NULL,6),(25,328,2,22,20,1,NULL,NULL,NULL),(25,328,2,22,21,1,1,1,NULL),(25,328,2,22,22,NULL,NULL,NULL,NULL),(25,328,2,22,23,NULL,2,NULL,1),(25,328,2,22,24,1,1,NULL,1),(25,328,2,22,25,1,NULL,NULL,NULL),(25,328,2,22,26,NULL,NULL,NULL,NULL),(25,328,2,22,27,NULL,NULL,NULL,NULL),(25,328,2,22,28,NULL,NULL,NULL,NULL),(25,328,2,22,29,1,2,NULL,1),(25,328,2,22,30,NULL,1,NULL,1),(25,328,2,22,31,2,NULL,2,NULL),(25,328,2,22,32,NULL,NULL,NULL,NULL),(25,328,2,22,33,2,3,2,2),(25,328,2,22,34,NULL,1,NULL,1),(25,328,2,22,35,1,3,1,2),(25,328,2,22,36,NULL,1,NULL,1),(25,328,2,22,37,NULL,4,NULL,3),(25,328,2,22,38,1,1,1,1),(25,328,2,22,39,2,NULL,2,NULL),(25,328,2,22,40,NULL,NULL,NULL,NULL),(25,328,2,23,1,2,6,2,4),(25,328,2,23,2,NULL,4,NULL,3),(25,328,2,23,3,2,5,1,4),(25,328,2,23,4,2,NULL,1,NULL),(25,328,2,23,5,3,4,2,3),(25,328,2,23,6,NULL,1,NULL,1),(25,328,2,23,7,NULL,3,NULL,1),(25,328,2,23,8,3,3,3,2),(25,328,2,23,9,4,3,3,1),(25,328,2,23,10,2,4,1,3),(25,328,2,23,11,1,7,NULL,5),(25,328,2,23,12,2,1,1,1),(25,328,2,23,13,7,NULL,5,NULL),(25,328,2,23,14,1,4,NULL,3),(25,328,2,23,15,1,4,1,4),(25,328,2,23,16,2,2,1,NULL),(25,328,2,23,17,1,1,1,1),(25,328,2,23,18,2,1,2,NULL),(25,328,2,23,19,1,2,1,2),(25,328,2,23,20,3,4,3,3),(25,328,2,23,21,1,2,NULL,2),(25,328,2,23,22,NULL,3,NULL,2),(25,328,2,23,23,NULL,NULL,NULL,NULL),(25,328,2,23,24,1,NULL,NULL,NULL),(25,328,2,23,25,1,NULL,1,NULL),(25,328,2,23,26,NULL,3,NULL,2),(25,328,2,23,27,1,1,NULL,1),(25,328,2,23,28,1,1,NULL,NULL),(25,328,2,23,29,1,1,NULL,1),(25,328,2,23,30,NULL,2,NULL,2),(25,328,2,23,31,2,1,2,1),(25,328,2,23,32,NULL,1,NULL,1),(25,328,2,23,33,NULL,3,NULL,3),(25,328,2,23,34,NULL,3,NULL,NULL),(25,328,2,23,35,1,3,NULL,3),(25,328,2,23,36,NULL,3,NULL,2),(25,328,2,23,37,NULL,3,NULL,2),(25,328,2,23,38,4,3,2,1),(25,328,2,23,39,4,NULL,3,NULL),(25,328,2,23,40,NULL,NULL,NULL,NULL),(25,328,2,24,1,3,5,3,3),(25,328,2,24,2,NULL,3,NULL,3),(25,328,2,24,3,4,2,3,2),(25,328,2,24,4,1,3,1,2),(25,328,2,24,5,4,4,3,3),(25,328,2,24,6,NULL,NULL,NULL,NULL),(25,328,2,24,7,2,NULL,2,NULL),(25,328,2,24,8,4,2,2,2),(25,328,2,24,9,3,6,3,4),(25,328,2,24,10,2,2,2,NULL),(25,328,2,24,11,NULL,6,NULL,4),(25,328,2,24,12,2,2,2,2),(25,328,2,24,13,8,NULL,7,NULL),(25,328,2,24,14,3,3,3,2),(25,328,2,24,15,2,6,2,4),(25,328,2,24,16,2,NULL,2,NULL),(25,328,2,24,17,2,4,1,4),(25,328,2,24,18,3,3,1,2),(25,328,2,24,19,NULL,1,NULL,1),(25,328,2,24,20,1,3,1,3),(25,328,2,24,21,1,1,1,1),(25,328,2,24,22,NULL,NULL,NULL,NULL),(25,328,2,24,23,NULL,1,NULL,1),(25,328,2,24,24,1,1,1,1),(25,328,2,24,25,NULL,NULL,NULL,NULL),(25,328,2,24,26,NULL,NULL,NULL,NULL),(25,328,2,24,27,NULL,1,NULL,1),(25,328,2,24,28,NULL,1,NULL,1),(25,328,2,24,29,1,NULL,1,NULL),(25,328,2,24,30,1,2,1,2),(25,328,2,24,31,3,2,3,2),(25,328,2,24,32,NULL,NULL,NULL,NULL),(25,328,2,24,33,1,2,1,2),(25,328,2,24,34,1,2,1,2),(25,328,2,24,35,1,4,1,3),(25,328,2,24,36,NULL,2,NULL,1),(25,328,2,24,37,1,1,1,1),(25,328,2,24,38,2,1,2,1),(25,328,2,24,39,3,NULL,3,NULL),(25,328,2,24,40,NULL,NULL,NULL,NULL),(25,329,1,11,1,NULL,1,NULL,1),(25,329,1,11,2,NULL,NULL,NULL,NULL),(25,329,1,11,3,NULL,NULL,NULL,NULL),(25,329,1,11,4,NULL,NULL,NULL,NULL),(25,329,1,11,5,NULL,NULL,NULL,NULL),(25,329,1,11,6,NULL,NULL,NULL,NULL),(25,329,1,11,7,NULL,NULL,NULL,NULL),(25,329,1,11,8,NULL,NULL,NULL,NULL),(25,329,1,11,9,NULL,NULL,NULL,NULL),(25,329,1,11,10,NULL,NULL,NULL,NULL),(25,329,1,11,11,NULL,NULL,NULL,NULL),(25,329,1,11,12,NULL,NULL,NULL,NULL),(25,329,1,11,13,NULL,NULL,NULL,NULL),(25,329,1,11,14,NULL,NULL,NULL,NULL),(25,329,1,11,15,NULL,1,NULL,1),(25,329,1,11,16,NULL,1,NULL,1),(25,329,1,11,17,NULL,NULL,NULL,NULL),(25,329,1,11,18,NULL,NULL,NULL,NULL),(25,329,1,11,19,NULL,1,NULL,1),(25,329,1,11,20,NULL,NULL,NULL,NULL),(25,329,1,11,21,NULL,NULL,NULL,NULL),(25,329,1,11,22,NULL,NULL,NULL,NULL),(25,329,1,11,23,NULL,NULL,NULL,NULL),(25,329,1,11,24,NULL,NULL,NULL,NULL),(25,329,1,11,25,NULL,NULL,NULL,NULL),(25,329,1,11,26,NULL,NULL,NULL,NULL),(25,329,1,11,27,NULL,NULL,NULL,NULL),(25,329,1,11,28,1,NULL,1,NULL),(25,329,1,11,29,NULL,NULL,NULL,NULL),(25,329,1,11,30,NULL,1,NULL,1),(25,329,1,11,31,NULL,NULL,NULL,NULL),(25,329,1,11,32,NULL,NULL,NULL,NULL),(25,329,1,11,33,NULL,NULL,NULL,NULL),(25,329,1,11,34,NULL,NULL,NULL,NULL),(25,329,1,11,35,NULL,NULL,NULL,NULL),(25,329,1,11,36,1,NULL,1,NULL),(25,329,1,11,37,NULL,NULL,NULL,NULL),(25,329,1,11,38,NULL,NULL,NULL,NULL),(25,329,1,11,39,NULL,NULL,NULL,NULL),(25,329,1,11,40,NULL,NULL,NULL,NULL),(25,329,1,12,1,1,NULL,1,NULL),(25,329,1,12,2,NULL,NULL,NULL,NULL),(25,329,1,12,3,NULL,NULL,NULL,NULL),(25,329,1,12,4,1,NULL,1,NULL),(25,329,1,12,5,NULL,NULL,NULL,NULL),(25,329,1,12,6,1,NULL,1,NULL),(25,329,1,12,7,1,NULL,1,NULL),(25,329,1,12,8,NULL,NULL,NULL,NULL),(25,329,1,12,9,NULL,NULL,NULL,NULL),(25,329,1,12,10,NULL,NULL,NULL,NULL),(25,329,1,12,11,NULL,NULL,NULL,NULL),(25,329,1,12,12,NULL,NULL,NULL,NULL),(25,329,1,12,13,NULL,NULL,NULL,NULL),(25,329,1,12,14,1,NULL,1,NULL),(25,329,1,12,15,NULL,NULL,NULL,NULL),(25,329,1,12,16,NULL,NULL,NULL,NULL),(25,329,1,12,17,NULL,NULL,NULL,NULL),(25,329,1,12,18,NULL,NULL,NULL,NULL),(25,329,1,12,19,NULL,NULL,NULL,NULL),(25,329,1,12,20,NULL,NULL,NULL,NULL),(25,329,1,12,21,NULL,NULL,NULL,NULL),(25,329,1,12,22,NULL,NULL,NULL,NULL),(25,329,1,12,23,NULL,NULL,NULL,NULL),(25,329,1,12,24,NULL,NULL,NULL,NULL),(25,329,1,12,25,NULL,NULL,NULL,NULL),(25,329,1,12,26,NULL,NULL,NULL,NULL),(25,329,1,12,27,NULL,NULL,NULL,NULL),(25,329,1,12,28,1,NULL,1,NULL),(25,329,1,12,29,NULL,NULL,NULL,NULL),(25,329,1,12,30,NULL,NULL,NULL,NULL),(25,329,1,12,31,NULL,NULL,NULL,NULL),(25,329,1,12,32,NULL,NULL,NULL,NULL),(25,329,1,12,33,NULL,NULL,NULL,NULL),(25,329,1,12,34,NULL,NULL,NULL,NULL),(25,329,1,12,35,NULL,NULL,NULL,NULL),(25,329,1,12,36,NULL,NULL,NULL,NULL),(25,329,1,12,37,NULL,NULL,NULL,NULL),(25,329,1,12,38,NULL,1,NULL,1),(25,329,1,12,39,1,NULL,1,NULL),(25,329,1,12,40,NULL,NULL,NULL,NULL),(25,329,1,13,1,NULL,2,NULL,1),(25,329,1,13,2,NULL,NULL,NULL,NULL),(25,329,1,13,3,NULL,NULL,NULL,NULL),(25,329,1,13,4,1,1,1,NULL),(25,329,1,13,5,NULL,NULL,NULL,NULL),(25,329,1,13,6,1,NULL,1,NULL),(25,329,1,13,7,NULL,1,NULL,NULL),(25,329,1,13,8,NULL,NULL,NULL,NULL),(25,329,1,13,9,1,1,NULL,1),(25,329,1,13,10,NULL,NULL,NULL,NULL),(25,329,1,13,11,NULL,NULL,NULL,NULL),(25,329,1,13,12,NULL,NULL,NULL,NULL),(25,329,1,13,13,2,NULL,1,NULL),(25,329,1,13,14,1,NULL,NULL,NULL),(25,329,1,13,15,NULL,2,NULL,1),(25,329,1,13,16,NULL,NULL,NULL,NULL),(25,329,1,13,17,1,1,NULL,1),(25,329,1,13,18,2,NULL,1,NULL),(25,329,1,13,19,1,NULL,NULL,NULL),(25,329,1,13,20,NULL,NULL,NULL,NULL),(25,329,1,13,21,1,NULL,1,NULL),(25,329,1,13,22,NULL,NULL,NULL,NULL),(25,329,1,13,23,NULL,NULL,NULL,NULL),(25,329,1,13,24,NULL,NULL,NULL,NULL),(25,329,1,13,25,1,NULL,1,NULL),(25,329,1,13,26,NULL,NULL,NULL,NULL),(25,329,1,13,27,NULL,NULL,NULL,NULL),(25,329,1,13,28,NULL,NULL,NULL,NULL),(25,329,1,13,29,NULL,NULL,NULL,NULL),(25,329,1,13,30,NULL,NULL,NULL,NULL),(25,329,1,13,31,NULL,NULL,NULL,NULL),(25,329,1,13,32,NULL,NULL,NULL,NULL),(25,329,1,13,33,NULL,NULL,NULL,NULL),(25,329,1,13,34,1,NULL,NULL,NULL),(25,329,1,13,35,NULL,NULL,NULL,NULL),(25,329,1,13,36,NULL,1,NULL,NULL),(25,329,1,13,37,NULL,NULL,NULL,NULL),(25,329,1,13,38,1,NULL,1,NULL),(25,329,1,13,39,NULL,1,NULL,NULL),(25,329,1,13,40,NULL,NULL,NULL,NULL),(25,329,1,14,1,3,8,2,6),(25,329,1,14,2,NULL,6,NULL,4),(25,329,1,14,3,5,3,4,2),(25,329,1,14,4,7,5,6,3),(25,329,1,14,5,1,6,1,4),(25,329,1,14,6,1,9,NULL,7),(25,329,1,14,7,5,8,3,6),(25,329,1,14,8,2,2,2,2),(25,329,1,14,9,1,4,1,4),(25,329,1,14,10,NULL,4,NULL,3),(25,329,1,14,11,2,5,1,3),(25,329,1,14,12,2,5,2,3),(25,329,1,14,13,2,6,1,6),(25,329,1,14,14,5,5,4,2),(25,329,1,14,15,5,2,5,NULL),(25,329,1,14,16,4,2,3,2),(25,329,1,14,17,7,2,5,2),(25,329,1,14,18,6,NULL,5,NULL),(25,329,1,14,19,3,7,3,6),(25,329,1,14,20,8,1,7,NULL),(25,329,1,14,21,1,5,1,3),(25,329,1,14,22,1,5,1,3),(25,329,1,14,23,1,NULL,1,NULL),(25,329,1,14,24,NULL,4,NULL,3),(25,329,1,14,25,2,1,2,1),(25,329,1,14,26,NULL,NULL,NULL,NULL),(25,329,1,14,27,NULL,NULL,NULL,NULL),(25,329,1,14,28,3,2,3,2),(25,329,1,14,29,1,1,1,1),(25,329,1,14,30,1,2,1,2),(25,329,1,14,31,NULL,1,NULL,1),(25,329,1,14,32,1,1,1,1),(25,329,1,14,33,1,1,1,1),(25,329,1,14,34,2,3,2,1),(25,329,1,14,35,3,2,3,2),(25,329,1,14,36,4,7,3,6),(25,329,1,14,37,1,2,1,1),(25,329,1,14,38,1,8,1,6),(25,329,1,14,39,1,7,1,6),(25,329,1,14,40,1,NULL,1,NULL),(25,329,1,15,1,3,5,2,3),(25,329,1,15,2,6,3,4,1),(25,329,1,15,3,3,2,3,NULL),(25,329,1,15,4,12,2,5,NULL),(25,329,1,15,5,2,3,1,2),(25,329,1,15,6,3,4,3,3),(25,329,1,15,7,3,11,2,5),(25,329,1,15,8,3,2,1,1),(25,329,1,15,9,1,4,NULL,2),(25,329,1,15,10,NULL,2,NULL,1),(25,329,1,15,11,4,2,3,NULL),(25,329,1,15,12,2,2,2,1),(25,329,1,15,13,4,1,4,1),(25,329,1,15,14,3,4,2,3),(25,329,1,15,15,5,7,3,5),(25,329,1,15,16,2,2,2,1),(25,329,1,15,17,7,3,5,1),(25,329,1,15,18,6,NULL,5,NULL),(25,329,1,15,19,4,6,4,1),(25,329,1,15,20,3,3,1,NULL),(25,329,1,15,21,1,7,NULL,3),(25,329,1,15,22,2,3,1,1),(25,329,1,15,23,4,3,NULL,NULL),(25,329,1,15,24,2,4,NULL,1),(25,329,1,15,25,NULL,2,NULL,1),(25,329,1,15,26,1,NULL,1,NULL),(25,329,1,15,27,3,NULL,1,NULL),(25,329,1,15,28,1,7,1,4),(25,329,1,15,29,1,2,1,NULL),(25,329,1,15,30,2,4,NULL,2),(25,329,1,15,31,1,1,NULL,1),(25,329,1,15,32,1,NULL,NULL,NULL),(25,329,1,15,33,2,3,2,2),(25,329,1,15,34,3,NULL,1,NULL),(25,329,1,15,35,1,2,NULL,NULL),(25,329,1,15,36,3,3,3,1),(25,329,1,15,37,2,1,NULL,NULL),(25,329,1,15,38,NULL,7,NULL,5),(25,329,1,15,39,1,2,1,NULL),(25,329,1,15,40,1,2,NULL,NULL),(25,329,1,16,1,4,4,3,2),(25,329,1,16,2,3,2,3,NULL),(25,329,1,16,3,2,3,2,1),(25,329,1,16,4,4,4,2,1),(25,329,1,16,5,3,2,3,NULL),(25,329,1,16,6,2,3,1,1),(25,329,1,16,7,2,8,2,4),(25,329,1,16,8,1,4,1,1),(25,329,1,16,9,3,4,3,1),(25,329,1,16,10,NULL,1,NULL,1),(25,329,1,16,11,2,2,2,NULL),(25,329,1,16,12,3,1,3,NULL),(25,329,1,16,13,6,3,3,1),(25,329,1,16,14,2,7,1,3),(25,329,1,16,15,6,NULL,2,NULL),(25,329,1,16,16,1,4,1,4),(25,329,1,16,17,1,5,1,4),(25,329,1,16,18,1,6,1,3),(25,329,1,16,19,1,2,1,NULL),(25,329,1,16,20,6,NULL,3,NULL),(25,329,1,16,21,1,6,1,2),(25,329,1,16,22,NULL,4,NULL,2),(25,329,1,16,23,2,4,1,2),(25,329,1,16,24,NULL,2,NULL,2),(25,329,1,16,25,NULL,2,NULL,NULL),(25,329,1,16,26,NULL,NULL,NULL,NULL),(25,329,1,16,27,NULL,NULL,NULL,NULL),(25,329,1,16,28,NULL,5,NULL,3),(25,329,1,16,29,NULL,4,NULL,2),(25,329,1,16,30,NULL,3,NULL,1),(25,329,1,16,31,1,NULL,1,NULL),(25,329,1,16,32,NULL,NULL,NULL,NULL),(25,329,1,16,33,NULL,1,NULL,1),(25,329,1,16,34,1,NULL,1,NULL),(25,329,1,16,35,NULL,3,NULL,1),(25,329,1,16,36,NULL,3,NULL,2),(25,329,1,16,37,1,NULL,NULL,NULL),(25,329,1,16,38,2,7,1,3),(25,329,1,16,39,NULL,4,NULL,1),(25,329,1,16,40,NULL,NULL,NULL,NULL),(25,329,1,17,1,3,5,1,3),(25,329,1,17,2,2,4,NULL,4),(25,329,1,17,3,3,4,2,2),(25,329,1,17,4,6,2,3,1),(25,329,1,17,5,NULL,3,NULL,1),(25,329,1,17,6,NULL,3,NULL,2),(25,329,1,17,7,1,3,NULL,2),(25,329,1,17,8,4,1,1,1),(25,329,1,17,9,NULL,6,NULL,2),(25,329,1,17,10,NULL,1,NULL,1),(25,329,1,17,11,1,1,NULL,NULL),(25,329,1,17,12,1,2,1,1),(25,329,1,17,13,4,3,2,3),(25,329,1,17,14,4,4,1,3),(25,329,1,17,15,9,NULL,5,NULL),(25,329,1,17,16,3,5,1,3),(25,329,1,17,17,NULL,4,NULL,1),(25,329,1,17,18,1,10,NULL,6),(25,329,1,17,19,NULL,6,NULL,2),(25,329,1,17,20,9,NULL,6,NULL),(25,329,1,17,21,NULL,6,NULL,4),(25,329,1,17,22,1,3,1,3),(25,329,1,17,23,NULL,2,NULL,2),(25,329,1,17,24,NULL,5,NULL,4),(25,329,1,17,25,NULL,2,NULL,1),(25,329,1,17,26,3,NULL,1,NULL),(25,329,1,17,27,1,NULL,1,NULL),(25,329,1,17,28,5,6,1,5),(25,329,1,17,29,NULL,3,NULL,2),(25,329,1,17,30,NULL,6,NULL,4),(25,329,1,17,31,NULL,NULL,NULL,NULL),(25,329,1,17,32,NULL,1,NULL,1),(25,329,1,17,33,NULL,1,NULL,NULL),(25,329,1,17,34,4,1,3,NULL),(25,329,1,17,35,1,2,1,2),(25,329,1,17,36,2,2,1,1),(25,329,1,17,37,2,1,2,1),(25,329,1,17,38,NULL,4,NULL,3),(25,329,1,17,39,NULL,3,NULL,2),(25,329,1,17,40,NULL,1,NULL,NULL),(25,329,2,21,1,1,6,NULL,5),(25,329,2,21,2,NULL,5,NULL,4),(25,329,2,21,3,1,6,1,2),(25,329,2,21,4,NULL,5,NULL,3),(25,329,2,21,5,4,2,3,2),(25,329,2,21,6,2,1,1,NULL),(25,329,2,21,7,1,2,NULL,1),(25,329,2,21,8,4,4,2,3),(25,329,2,21,9,5,2,4,NULL),(25,329,2,21,10,2,3,1,2),(25,329,2,21,11,2,6,1,3),(25,329,2,21,12,1,3,1,1),(25,329,2,21,13,4,2,3,1),(25,329,2,21,14,1,4,1,2),(25,329,2,21,15,5,4,2,2),(25,329,2,21,16,NULL,3,NULL,2),(25,329,2,21,17,2,5,1,1),(25,329,2,21,18,2,5,NULL,3),(25,329,2,21,19,NULL,6,NULL,4),(25,329,2,21,20,1,4,NULL,2),(25,329,2,21,21,NULL,1,NULL,1),(25,329,2,21,22,NULL,NULL,NULL,NULL),(25,329,2,21,23,1,1,1,1),(25,329,2,21,24,1,2,NULL,NULL),(25,329,2,21,25,1,NULL,1,NULL),(25,329,2,21,26,NULL,1,NULL,1),(25,329,2,21,27,NULL,3,NULL,1),(25,329,2,21,28,NULL,1,NULL,1),(25,329,2,21,29,NULL,5,NULL,3),(25,329,2,21,30,NULL,2,NULL,1),(25,329,2,21,31,1,2,1,1),(25,329,2,21,32,NULL,3,NULL,2),(25,329,2,21,33,NULL,3,NULL,1),(25,329,2,21,34,NULL,1,NULL,NULL),(25,329,2,21,35,NULL,4,NULL,3),(25,329,2,21,36,1,3,NULL,1),(25,329,2,21,37,NULL,1,NULL,1),(25,329,2,21,38,2,NULL,2,NULL),(25,329,2,21,39,4,NULL,4,NULL),(25,329,2,21,40,NULL,NULL,NULL,NULL),(25,329,2,22,1,NULL,6,NULL,3),(25,329,2,22,2,NULL,7,NULL,3),(25,329,2,22,3,1,2,1,1),(25,329,2,22,4,NULL,4,NULL,2),(25,329,2,22,5,5,2,3,1),(25,329,2,22,6,NULL,NULL,NULL,NULL),(25,329,2,22,7,1,1,NULL,1),(25,329,2,22,8,3,3,3,1),(25,329,2,22,9,3,4,3,2),(25,329,2,22,10,2,3,2,1),(25,329,2,22,11,2,6,2,3),(25,329,2,22,12,2,4,2,3),(25,329,2,22,13,6,5,5,2),(25,329,2,22,14,3,1,2,NULL),(25,329,2,22,15,2,4,1,2),(25,329,2,22,16,1,4,1,3),(25,329,2,22,17,2,3,2,1),(25,329,2,22,18,NULL,4,NULL,1),(25,329,2,22,19,3,1,3,1),(25,329,2,22,20,1,2,1,NULL),(25,329,2,22,21,1,2,1,1),(25,329,2,22,22,NULL,NULL,NULL,NULL),(25,329,2,22,23,NULL,4,NULL,2),(25,329,2,22,24,NULL,3,NULL,1),(25,329,2,22,25,1,NULL,1,NULL),(25,329,2,22,26,NULL,1,NULL,1),(25,329,2,22,27,NULL,1,NULL,1),(25,329,2,22,28,NULL,NULL,NULL,NULL),(25,329,2,22,29,NULL,5,NULL,1),(25,329,2,22,30,2,NULL,1,NULL),(25,329,2,22,31,1,2,1,NULL),(25,329,2,22,32,2,2,1,1),(25,329,2,22,33,NULL,3,NULL,1),(25,329,2,22,34,NULL,2,NULL,2),(25,329,2,22,35,NULL,3,NULL,2),(25,329,2,22,36,NULL,NULL,NULL,NULL),(25,329,2,22,37,NULL,2,NULL,1),(25,329,2,22,38,2,1,2,1),(25,329,2,22,39,2,NULL,2,NULL),(25,329,2,22,40,NULL,1,NULL,NULL),(25,329,2,23,1,2,8,2,5),(25,329,2,23,2,2,1,2,1),(25,329,2,23,3,4,6,4,3),(25,329,2,23,4,2,4,2,3),(25,329,2,23,5,7,2,5,2),(25,329,2,23,6,1,2,1,2),(25,329,2,23,7,1,2,NULL,2),(25,329,2,23,8,6,4,6,1),(25,329,2,23,9,7,3,5,1),(25,329,2,23,10,4,5,3,3),(25,329,2,23,11,NULL,7,NULL,4),(25,329,2,23,12,NULL,3,NULL,2),(25,329,2,23,13,9,4,7,3),(25,329,2,23,14,3,7,2,6),(25,329,2,23,15,3,4,2,2),(25,329,2,23,16,1,7,1,4),(25,329,2,23,17,NULL,4,NULL,4),(25,329,2,23,18,4,4,2,3),(25,329,2,23,19,3,4,2,4),(25,329,2,23,20,1,4,1,4),(25,329,2,23,21,NULL,3,NULL,2),(25,329,2,23,22,NULL,NULL,NULL,NULL),(25,329,2,23,23,2,4,2,4),(25,329,2,23,24,1,1,1,1),(25,329,2,23,25,1,NULL,1,NULL),(25,329,2,23,26,NULL,1,NULL,1),(25,329,2,23,27,NULL,1,NULL,NULL),(25,329,2,23,28,NULL,1,NULL,1),(25,329,2,23,29,NULL,2,NULL,2),(25,329,2,23,30,1,4,1,4),(25,329,2,23,31,4,2,2,2),(25,329,2,23,32,NULL,6,NULL,4),(25,329,2,23,33,2,1,1,1),(25,329,2,23,34,1,3,NULL,3),(25,329,2,23,35,3,6,2,4),(25,329,2,23,36,1,2,1,1),(25,329,2,23,37,2,1,1,NULL),(25,329,2,23,38,5,2,4,2),(25,329,2,23,39,8,NULL,5,NULL),(25,329,2,23,40,NULL,1,NULL,NULL),(25,329,2,24,1,2,9,2,4),(25,329,2,24,2,5,3,3,1),(25,329,2,24,3,5,7,1,4),(25,329,2,24,4,1,9,NULL,2),(25,329,2,24,5,5,9,3,4),(25,329,2,24,6,1,3,1,1),(25,329,2,24,7,2,5,1,3),(25,329,2,24,8,6,7,4,4),(25,329,2,24,9,5,8,4,3),(25,329,2,24,10,2,8,1,6),(25,329,2,24,11,1,15,NULL,8),(25,329,2,24,12,NULL,9,NULL,6),(25,329,2,24,13,9,5,6,2),(25,329,2,24,14,4,5,2,3),(25,329,2,24,15,2,6,2,3),(25,329,2,24,16,3,9,3,5),(25,329,2,24,17,3,6,3,2),(25,329,2,24,18,3,4,1,2),(25,329,2,24,19,1,6,1,2),(25,329,2,24,20,1,7,1,2),(25,329,2,24,21,1,1,1,1),(25,329,2,24,22,NULL,1,NULL,NULL),(25,329,2,24,23,NULL,4,NULL,2),(25,329,2,24,24,1,7,NULL,4),(25,329,2,24,25,2,NULL,2,NULL),(25,329,2,24,26,1,3,NULL,2),(25,329,2,24,27,NULL,1,NULL,NULL),(25,329,2,24,28,1,2,1,1),(25,329,2,24,29,NULL,5,NULL,2),(25,329,2,24,30,NULL,5,NULL,4),(25,329,2,24,31,3,3,3,2),(25,329,2,24,32,NULL,2,NULL,2),(25,329,2,24,33,2,5,2,3),(25,329,2,24,34,NULL,2,NULL,NULL),(25,329,2,24,35,1,2,NULL,2),(25,329,2,24,36,2,1,1,NULL),(25,329,2,24,37,NULL,3,NULL,3),(25,329,2,24,38,2,6,2,4),(25,329,2,24,39,3,NULL,3,NULL),(25,329,2,24,40,NULL,1,NULL,NULL),(25,331,1,11,1,NULL,2,NULL,2),(25,331,1,11,2,1,1,1,1),(25,331,1,11,3,NULL,NULL,NULL,NULL),(25,331,1,11,4,NULL,1,NULL,1),(25,331,1,11,5,NULL,NULL,NULL,NULL),(25,331,1,11,6,1,NULL,1,NULL),(25,331,1,11,7,1,1,1,1),(25,331,1,11,8,1,NULL,1,NULL),(25,331,1,11,9,NULL,1,NULL,1),(25,331,1,11,10,1,NULL,1,NULL),(25,331,1,11,11,NULL,1,NULL,1),(25,331,1,11,12,NULL,NULL,NULL,NULL),(25,331,1,11,13,1,1,1,1),(25,331,1,11,14,1,NULL,1,NULL),(25,331,1,11,15,1,1,1,1),(25,331,1,11,16,1,1,1,1),(25,331,1,11,17,1,1,1,1),(25,331,1,11,18,2,NULL,2,NULL),(25,331,1,11,19,2,NULL,2,NULL),(25,331,1,11,20,1,1,1,1),(25,331,1,11,21,NULL,1,NULL,1),(25,331,1,11,22,1,NULL,1,NULL),(25,331,1,11,23,1,1,1,1),(25,331,1,11,24,NULL,2,NULL,2),(25,331,1,11,25,NULL,NULL,NULL,NULL),(25,331,1,11,26,1,NULL,1,NULL),(25,331,1,11,27,NULL,NULL,NULL,NULL),(25,331,1,11,28,NULL,2,NULL,2),(25,331,1,11,29,NULL,1,NULL,1),(25,331,1,11,30,NULL,2,NULL,2),(25,331,1,11,31,1,NULL,1,NULL),(25,331,1,11,32,NULL,NULL,NULL,NULL),(25,331,1,11,33,NULL,NULL,NULL,NULL),(25,331,1,11,34,2,NULL,2,NULL),(25,331,1,11,35,NULL,1,NULL,1),(25,331,1,11,36,NULL,1,NULL,1),(25,331,1,11,37,NULL,NULL,NULL,NULL),(25,331,1,11,38,1,1,1,1),(25,331,1,11,39,1,NULL,1,NULL),(25,331,1,11,40,NULL,1,NULL,1),(25,331,1,12,1,1,NULL,NULL,NULL),(25,331,1,12,2,NULL,NULL,NULL,NULL),(25,331,1,12,3,NULL,NULL,NULL,NULL),(25,331,1,12,4,1,NULL,NULL,NULL),(25,331,1,12,5,NULL,NULL,NULL,NULL),(25,331,1,12,6,1,NULL,NULL,NULL),(25,331,1,12,7,NULL,NULL,NULL,NULL),(25,331,1,12,8,NULL,NULL,NULL,NULL),(25,331,1,12,9,NULL,1,NULL,NULL),(25,331,1,12,10,NULL,NULL,NULL,NULL),(25,331,1,12,11,NULL,NULL,NULL,NULL),(25,331,1,12,12,NULL,NULL,NULL,NULL),(25,331,1,12,13,NULL,NULL,NULL,NULL),(25,331,1,12,14,NULL,NULL,NULL,NULL),(25,331,1,12,15,NULL,NULL,NULL,NULL),(25,331,1,12,16,NULL,NULL,NULL,NULL),(25,331,1,12,17,NULL,NULL,NULL,NULL),(25,331,1,12,18,NULL,NULL,NULL,NULL),(25,331,1,12,19,NULL,NULL,NULL,NULL),(25,331,1,12,20,NULL,NULL,NULL,NULL),(25,331,1,12,21,NULL,NULL,NULL,NULL),(25,331,1,12,22,NULL,NULL,NULL,NULL),(25,331,1,12,23,NULL,NULL,NULL,NULL),(25,331,1,12,24,NULL,NULL,NULL,NULL),(25,331,1,12,25,NULL,NULL,NULL,NULL),(25,331,1,12,26,NULL,NULL,NULL,NULL),(25,331,1,12,27,NULL,NULL,NULL,NULL),(25,331,1,12,28,NULL,NULL,NULL,NULL),(25,331,1,12,29,NULL,NULL,NULL,NULL),(25,331,1,12,30,NULL,NULL,NULL,NULL),(25,331,1,12,31,NULL,NULL,NULL,NULL),(25,331,1,12,32,NULL,NULL,NULL,NULL),(25,331,1,12,33,NULL,NULL,NULL,NULL),(25,331,1,12,34,NULL,NULL,NULL,NULL),(25,331,1,12,35,NULL,NULL,NULL,NULL),(25,331,1,12,36,NULL,NULL,NULL,NULL),(25,331,1,12,37,NULL,NULL,NULL,NULL),(25,331,1,12,38,NULL,NULL,NULL,NULL),(25,331,1,12,39,NULL,NULL,NULL,NULL),(25,331,1,12,40,NULL,NULL,NULL,NULL),(25,331,1,13,1,NULL,NULL,NULL,NULL),(25,331,1,13,2,NULL,NULL,NULL,NULL),(25,331,1,13,3,NULL,NULL,NULL,NULL),(25,331,1,13,4,NULL,NULL,NULL,NULL),(25,331,1,13,5,NULL,NULL,NULL,NULL),(25,331,1,13,6,NULL,NULL,NULL,NULL),(25,331,1,13,7,NULL,NULL,NULL,NULL),(25,331,1,13,8,NULL,NULL,NULL,NULL),(25,331,1,13,9,NULL,NULL,NULL,NULL),(25,331,1,13,10,NULL,NULL,NULL,NULL),(25,331,1,13,11,NULL,NULL,NULL,NULL),(25,331,1,13,12,NULL,NULL,NULL,NULL),(25,331,1,13,13,NULL,NULL,NULL,NULL),(25,331,1,13,14,NULL,NULL,NULL,NULL),(25,331,1,13,15,NULL,NULL,NULL,NULL),(25,331,1,13,16,NULL,NULL,NULL,NULL),(25,331,1,13,17,NULL,NULL,NULL,NULL),(25,331,1,13,18,NULL,NULL,NULL,NULL),(25,331,1,13,19,NULL,NULL,NULL,NULL),(25,331,1,13,20,NULL,NULL,NULL,NULL),(25,331,1,13,21,NULL,NULL,NULL,NULL),(25,331,1,13,22,NULL,NULL,NULL,NULL),(25,331,1,13,23,NULL,NULL,NULL,NULL),(25,331,1,13,24,NULL,NULL,NULL,NULL),(25,331,1,13,25,NULL,NULL,NULL,NULL),(25,331,1,13,26,NULL,NULL,NULL,NULL),(25,331,1,13,27,NULL,NULL,NULL,NULL),(25,331,1,13,28,NULL,NULL,NULL,NULL),(25,331,1,13,29,NULL,NULL,NULL,NULL),(25,331,1,13,30,NULL,NULL,NULL,NULL),(25,331,1,13,31,NULL,NULL,NULL,NULL),(25,331,1,13,32,NULL,NULL,NULL,NULL),(25,331,1,13,33,NULL,NULL,NULL,NULL),(25,331,1,13,34,NULL,NULL,NULL,NULL),(25,331,1,13,35,NULL,NULL,NULL,NULL),(25,331,1,13,36,NULL,NULL,NULL,NULL),(25,331,1,13,37,NULL,NULL,NULL,NULL),(25,331,1,13,38,NULL,NULL,NULL,NULL),(25,331,1,13,39,NULL,NULL,NULL,NULL),(25,331,1,13,40,NULL,NULL,NULL,NULL),(25,331,1,14,1,3,8,1,7),(25,331,1,14,2,3,5,3,4),(25,331,1,14,3,3,2,2,2),(25,331,1,14,4,8,2,5,2),(25,331,1,14,5,2,3,2,3),(25,331,1,14,6,2,6,1,4),(25,331,1,14,7,4,8,4,5),(25,331,1,14,8,5,6,5,3),(25,331,1,14,9,7,4,4,3),(25,331,1,14,10,1,4,NULL,4),(25,331,1,14,11,2,3,1,3),(25,331,1,14,12,3,2,3,2),(25,331,1,14,13,4,3,2,2),(25,331,1,14,14,4,4,3,4),(25,331,1,14,15,2,7,2,6),(25,331,1,14,16,4,1,1,1),(25,331,1,14,17,4,1,4,1),(25,331,1,14,18,7,3,6,3),(25,331,1,14,19,7,7,5,5),(25,331,1,14,20,6,1,5,1),(25,331,1,14,21,1,5,1,5),(25,331,1,14,22,1,3,NULL,3),(25,331,1,14,23,1,3,NULL,3),(25,331,1,14,24,NULL,1,NULL,1),(25,331,1,14,25,1,1,NULL,1),(25,331,1,14,26,4,NULL,4,NULL),(25,331,1,14,27,1,NULL,1,NULL),(25,331,1,14,28,4,5,3,4),(25,331,1,14,29,4,1,3,1),(25,331,1,14,30,1,2,NULL,2),(25,331,1,14,31,1,2,NULL,2),(25,331,1,14,32,1,3,1,3),(25,331,1,14,33,2,2,NULL,2),(25,331,1,14,34,NULL,3,NULL,2),(25,331,1,14,35,2,4,1,4),(25,331,1,14,36,5,3,4,3),(25,331,1,14,37,2,3,2,3),(25,331,1,14,38,NULL,8,NULL,7),(25,331,1,14,39,2,3,1,3),(25,331,1,14,40,NULL,2,NULL,2),(25,331,1,15,1,7,5,5,2),(25,331,1,15,2,4,6,3,2),(25,331,1,15,3,2,1,2,NULL),(25,331,1,15,4,8,1,5,NULL),(25,331,1,15,5,NULL,7,NULL,6),(25,331,1,15,6,2,4,2,2),(25,331,1,15,7,5,7,5,4),(25,331,1,15,8,7,NULL,4,NULL),(25,331,1,15,9,3,5,3,1),(25,331,1,15,10,1,2,1,1),(25,331,1,15,11,3,2,2,1),(25,331,1,15,12,2,1,2,1),(25,331,1,15,13,3,1,3,1),(25,331,1,15,14,2,3,2,2),(25,331,1,15,15,4,2,4,2),(25,331,1,15,16,5,3,4,2),(25,331,1,15,17,2,5,1,3),(25,331,1,15,18,7,1,5,1),(25,331,1,15,19,8,5,6,3),(25,331,1,15,20,3,NULL,3,NULL),(25,331,1,15,21,2,3,1,2),(25,331,1,15,22,3,3,1,1),(25,331,1,15,23,1,2,1,NULL),(25,331,1,15,24,NULL,NULL,NULL,NULL),(25,331,1,15,25,1,4,NULL,4),(25,331,1,15,26,NULL,NULL,NULL,NULL),(25,331,1,15,27,NULL,NULL,NULL,NULL),(25,331,1,15,28,2,9,2,7),(25,331,1,15,29,NULL,2,NULL,NULL),(25,331,1,15,30,NULL,5,NULL,3),(25,331,1,15,31,NULL,2,NULL,2),(25,331,1,15,32,2,1,2,1),(25,331,1,15,33,3,5,1,4),(25,331,1,15,34,2,2,2,1),(25,331,1,15,35,NULL,1,NULL,1),(25,331,1,15,36,3,4,3,3),(25,331,1,15,37,NULL,3,NULL,2),(25,331,1,15,38,3,6,2,3),(25,331,1,15,39,2,4,NULL,3),(25,331,1,15,40,NULL,1,NULL,NULL),(25,331,1,16,1,4,10,2,5),(25,331,1,16,2,1,4,1,3),(25,331,1,16,3,1,3,NULL,1),(25,331,1,16,4,2,10,NULL,7),(25,331,1,16,5,NULL,4,NULL,3),(25,331,1,16,6,NULL,7,NULL,5),(25,331,1,16,7,1,8,1,5),(25,331,1,16,8,1,7,1,4),(25,331,1,16,9,1,5,1,2),(25,331,1,16,10,NULL,NULL,NULL,NULL),(25,331,1,16,11,2,2,2,1),(25,331,1,16,12,NULL,6,NULL,4),(25,331,1,16,13,9,4,4,2),(25,331,1,16,14,4,3,3,1),(25,331,1,16,15,11,NULL,5,NULL),(25,331,1,16,16,3,6,2,3),(25,331,1,16,17,1,5,1,5),(25,331,1,16,18,5,9,3,4),(25,331,1,16,19,NULL,5,NULL,2),(25,331,1,16,20,14,NULL,8,NULL),(25,331,1,16,21,2,7,1,5),(25,331,1,16,22,1,5,1,2),(25,331,1,16,23,2,7,1,4),(25,331,1,16,24,1,NULL,1,NULL),(25,331,1,16,25,2,NULL,1,NULL),(25,331,1,16,26,1,NULL,NULL,NULL),(25,331,1,16,27,NULL,NULL,NULL,NULL),(25,331,1,16,28,3,10,2,7),(25,331,1,16,29,NULL,3,NULL,2),(25,331,1,16,30,1,4,1,3),(25,331,1,16,31,1,2,1,2),(25,331,1,16,32,NULL,1,NULL,NULL),(25,331,1,16,33,1,4,1,2),(25,331,1,16,34,NULL,6,NULL,2),(25,331,1,16,35,1,3,1,1),(25,331,1,16,36,1,5,1,3),(25,331,1,16,37,NULL,5,NULL,4),(25,331,1,16,38,NULL,6,NULL,4),(25,331,1,16,39,NULL,4,NULL,2),(25,331,1,16,40,NULL,3,NULL,2),(25,331,1,17,1,4,4,1,2),(25,331,1,17,2,NULL,2,NULL,1),(25,331,1,17,3,2,3,NULL,3),(25,331,1,17,4,8,3,3,NULL),(25,331,1,17,5,NULL,1,NULL,NULL),(25,331,1,17,6,1,3,NULL,1),(25,331,1,17,7,1,6,1,1),(25,331,1,17,8,3,3,2,NULL),(25,331,1,17,9,NULL,3,NULL,1),(25,331,1,17,10,1,1,1,NULL),(25,331,1,17,11,NULL,4,NULL,3),(25,331,1,17,12,NULL,2,NULL,1),(25,331,1,17,13,5,3,1,1),(25,331,1,17,14,2,1,1,NULL),(25,331,1,17,15,10,NULL,4,NULL),(25,331,1,17,16,2,4,NULL,NULL),(25,331,1,17,17,NULL,7,NULL,1),(25,331,1,17,18,NULL,8,NULL,4),(25,331,1,17,19,NULL,6,NULL,1),(25,331,1,17,20,10,NULL,4,NULL),(25,331,1,17,21,1,2,1,NULL),(25,331,1,17,22,2,3,1,1),(25,331,1,17,23,NULL,4,NULL,1),(25,331,1,17,24,NULL,2,NULL,1),(25,331,1,17,25,NULL,1,NULL,1),(25,331,1,17,26,3,NULL,1,NULL),(25,331,1,17,27,NULL,NULL,NULL,NULL),(25,331,1,17,28,1,6,NULL,2),(25,331,1,17,29,NULL,2,NULL,NULL),(25,331,1,17,30,1,4,NULL,2),(25,331,1,17,31,NULL,2,NULL,NULL),(25,331,1,17,32,NULL,1,NULL,NULL),(25,331,1,17,33,NULL,2,NULL,1),(25,331,1,17,34,NULL,2,NULL,1),(25,331,1,17,35,4,3,1,NULL),(25,331,1,17,36,1,2,NULL,NULL),(25,331,1,17,37,1,5,1,1),(25,331,1,17,38,1,8,NULL,3),(25,331,1,17,39,NULL,4,NULL,2),(25,331,1,17,40,NULL,4,NULL,NULL),(25,331,2,21,1,1,7,1,6),(25,331,2,21,2,1,3,1,2),(25,331,2,21,3,5,5,5,3),(25,331,2,21,4,NULL,3,NULL,3),(25,331,2,21,5,5,4,4,3),(25,331,2,21,6,NULL,1,NULL,1),(25,331,2,21,7,1,5,1,3),(25,331,2,21,8,1,8,1,6),(25,331,2,21,9,9,5,8,2),(25,331,2,21,10,3,4,3,2),(25,331,2,21,11,3,10,1,6),(25,331,2,21,12,1,6,1,4),(25,331,2,21,13,11,3,8,2),(25,331,2,21,14,2,5,1,4),(25,331,2,21,15,1,7,1,5),(25,331,2,21,16,4,4,2,3),(25,331,2,21,17,2,5,1,5),(25,331,2,21,18,3,6,1,5),(25,331,2,21,19,NULL,6,NULL,4),(25,331,2,21,20,2,5,2,3),(25,331,2,21,21,NULL,2,NULL,1),(25,331,2,21,22,NULL,NULL,NULL,NULL),(25,331,2,21,23,NULL,1,NULL,1),(25,331,2,21,24,NULL,4,NULL,2),(25,331,2,21,25,2,NULL,1,NULL),(25,331,2,21,26,NULL,1,NULL,NULL),(25,331,2,21,27,NULL,1,NULL,1),(25,331,2,21,28,NULL,NULL,NULL,NULL),(25,331,2,21,29,3,1,2,1),(25,331,2,21,30,NULL,NULL,NULL,NULL),(25,331,2,21,31,1,2,NULL,2),(25,331,2,21,32,1,4,NULL,3),(25,331,2,21,33,3,3,3,3),(25,331,2,21,34,NULL,NULL,NULL,NULL),(25,331,2,21,35,1,5,1,3),(25,331,2,21,36,2,2,2,1),(25,331,2,21,37,1,1,NULL,1),(25,331,2,21,38,4,1,3,1),(25,331,2,21,39,5,NULL,4,NULL),(25,331,2,21,40,NULL,2,NULL,1),(25,331,2,22,1,1,5,1,2),(25,331,2,22,2,1,2,NULL,2),(25,331,2,22,3,1,5,NULL,2),(25,331,2,22,4,2,5,1,1),(25,331,2,22,5,4,2,3,NULL),(25,331,2,22,6,1,4,1,1),(25,331,2,22,7,NULL,5,NULL,2),(25,331,2,22,8,4,4,2,1),(25,331,2,22,9,6,2,3,NULL),(25,331,2,22,10,1,4,1,1),(25,331,2,22,11,4,8,2,3),(25,331,2,22,12,1,2,1,1),(25,331,2,22,13,6,5,4,2),(25,331,2,22,14,1,8,1,4),(25,331,2,22,15,6,5,2,1),(25,331,2,22,16,1,4,NULL,3),(25,331,2,22,17,5,4,2,1),(25,331,2,22,18,2,5,1,3),(25,331,2,22,19,2,3,1,2),(25,331,2,22,20,4,3,1,2),(25,331,2,22,21,NULL,3,NULL,1),(25,331,2,22,22,NULL,2,NULL,NULL),(25,331,2,22,23,NULL,4,NULL,2),(25,331,2,22,24,NULL,5,NULL,2),(25,331,2,22,25,1,NULL,1,NULL),(25,331,2,22,26,NULL,NULL,NULL,NULL),(25,331,2,22,27,NULL,1,NULL,NULL),(25,331,2,22,28,NULL,1,NULL,1),(25,331,2,22,29,NULL,3,NULL,1),(25,331,2,22,30,NULL,4,NULL,1),(25,331,2,22,31,2,2,2,1),(25,331,2,22,32,NULL,2,NULL,1),(25,331,2,22,33,2,5,1,2),(25,331,2,22,34,1,NULL,1,NULL),(25,331,2,22,35,1,6,1,3),(25,331,2,22,36,1,7,1,4),(25,331,2,22,37,NULL,2,NULL,2),(25,331,2,22,38,3,3,2,2),(25,331,2,22,39,6,NULL,6,NULL),(25,331,2,22,40,NULL,NULL,NULL,NULL),(25,331,2,23,1,1,5,1,3),(25,331,2,23,2,3,3,1,1),(25,331,2,23,3,1,4,1,3),(25,331,2,23,4,3,3,2,2),(25,331,2,23,5,7,2,3,1),(25,331,2,23,6,4,1,3,1),(25,331,2,23,7,NULL,4,NULL,3),(25,331,2,23,8,8,3,5,3),(25,331,2,23,9,4,6,3,5),(25,331,2,23,10,3,3,3,2),(25,331,2,23,11,1,9,1,7),(25,331,2,23,12,2,8,1,6),(25,331,2,23,13,11,2,8,2),(25,331,2,23,14,4,2,4,1),(25,331,2,23,15,3,2,3,1),(25,331,2,23,16,1,7,1,5),(25,331,2,23,17,2,3,1,2),(25,331,2,23,18,3,2,1,1),(25,331,2,23,19,NULL,2,NULL,2),(25,331,2,23,20,3,4,3,1),(25,331,2,23,21,1,NULL,1,NULL),(25,331,2,23,22,NULL,NULL,NULL,NULL),(25,331,2,23,23,1,4,NULL,2),(25,331,2,23,24,1,NULL,1,NULL),(25,331,2,23,25,1,NULL,1,NULL),(25,331,2,23,26,NULL,NULL,NULL,NULL),(25,331,2,23,27,NULL,1,NULL,1),(25,331,2,23,28,NULL,3,NULL,NULL),(25,331,2,23,29,NULL,NULL,NULL,NULL),(25,331,2,23,30,1,3,NULL,2),(25,331,2,23,31,3,2,3,1),(25,331,2,23,32,NULL,2,NULL,2),(25,331,2,23,33,3,2,2,NULL),(25,331,2,23,34,1,NULL,NULL,NULL),(25,331,2,23,35,2,3,1,1),(25,331,2,23,36,NULL,4,NULL,3),(25,331,2,23,37,NULL,4,NULL,4),(25,331,2,23,38,6,1,3,NULL),(25,331,2,23,39,4,NULL,4,NULL),(25,331,2,23,40,NULL,NULL,NULL,NULL),(25,331,2,24,1,1,7,1,4),(25,331,2,24,2,1,5,NULL,2),(25,331,2,24,3,1,7,NULL,4),(25,331,2,24,4,1,7,1,5),(25,331,2,24,5,1,9,1,5),(25,331,2,24,6,2,2,2,NULL),(25,331,2,24,7,1,2,NULL,1),(25,331,2,24,8,5,8,4,5),(25,331,2,24,9,3,5,3,3),(25,331,2,24,10,3,4,3,4),(25,331,2,24,11,2,8,NULL,7),(25,331,2,24,12,2,1,2,1),(25,331,2,24,13,7,2,5,1),(25,331,2,24,14,1,7,1,5),(25,331,2,24,15,4,5,2,4),(25,331,2,24,16,NULL,5,NULL,2),(25,331,2,24,17,2,5,2,4),(25,331,2,24,18,2,4,NULL,3),(25,331,2,24,19,1,4,1,3),(25,331,2,24,20,1,7,1,3),(25,331,2,24,21,NULL,1,NULL,NULL),(25,331,2,24,22,NULL,1,NULL,1),(25,331,2,24,23,NULL,1,NULL,1),(25,331,2,24,24,1,2,1,1),(25,331,2,24,25,NULL,NULL,NULL,NULL),(25,331,2,24,26,NULL,NULL,NULL,NULL),(25,331,2,24,27,NULL,3,NULL,3),(25,331,2,24,28,NULL,NULL,NULL,NULL),(25,331,2,24,29,1,1,NULL,1),(25,331,2,24,30,1,NULL,1,NULL),(25,331,2,24,31,2,5,2,5),(25,331,2,24,32,NULL,4,NULL,3),(25,331,2,24,33,1,3,1,2),(25,331,2,24,34,NULL,NULL,NULL,NULL),(25,331,2,24,35,NULL,6,NULL,5),(25,331,2,24,36,NULL,2,NULL,2),(25,331,2,24,37,1,1,NULL,1),(25,331,2,24,38,1,2,1,1),(25,331,2,24,39,6,NULL,5,NULL),(25,331,2,24,40,NULL,2,NULL,NULL),(25,332,1,11,1,NULL,NULL,NULL,NULL),(25,332,1,11,2,NULL,NULL,NULL,NULL),(25,332,1,11,3,NULL,NULL,NULL,NULL),(25,332,1,11,4,NULL,NULL,NULL,NULL),(25,332,1,11,5,NULL,NULL,NULL,NULL),(25,332,1,11,6,NULL,NULL,NULL,NULL),(25,332,1,11,7,NULL,NULL,NULL,NULL),(25,332,1,11,8,NULL,NULL,NULL,NULL),(25,332,1,11,9,NULL,NULL,NULL,NULL),(25,332,1,11,10,NULL,NULL,NULL,NULL),(25,332,1,11,11,NULL,NULL,NULL,NULL),(25,332,1,11,12,NULL,NULL,NULL,NULL),(25,332,1,11,13,NULL,NULL,NULL,NULL),(25,332,1,11,14,NULL,NULL,NULL,NULL),(25,332,1,11,15,NULL,NULL,NULL,NULL),(25,332,1,11,16,NULL,NULL,NULL,NULL),(25,332,1,11,17,NULL,NULL,NULL,NULL),(25,332,1,11,18,NULL,NULL,NULL,NULL),(25,332,1,11,19,NULL,NULL,NULL,NULL),(25,332,1,11,20,NULL,NULL,NULL,NULL),(25,332,1,11,21,NULL,NULL,NULL,NULL),(25,332,1,11,22,NULL,NULL,NULL,NULL),(25,332,1,11,23,NULL,NULL,NULL,NULL),(25,332,1,11,24,NULL,NULL,NULL,NULL),(25,332,1,11,25,NULL,NULL,NULL,NULL),(25,332,1,11,26,NULL,NULL,NULL,NULL),(25,332,1,11,27,NULL,NULL,NULL,NULL),(25,332,1,11,28,NULL,NULL,NULL,NULL),(25,332,1,11,29,NULL,NULL,NULL,NULL),(25,332,1,11,30,NULL,NULL,NULL,NULL),(25,332,1,11,31,NULL,NULL,NULL,NULL),(25,332,1,11,32,NULL,NULL,NULL,NULL),(25,332,1,11,33,NULL,NULL,NULL,NULL),(25,332,1,11,34,NULL,NULL,NULL,NULL),(25,332,1,11,35,NULL,NULL,NULL,NULL),(25,332,1,11,36,NULL,NULL,NULL,NULL),(25,332,1,11,37,NULL,NULL,NULL,NULL),(25,332,1,11,38,NULL,NULL,NULL,NULL),(25,332,1,11,39,NULL,NULL,NULL,NULL),(25,332,1,11,40,NULL,NULL,NULL,NULL),(25,332,1,12,1,NULL,NULL,NULL,NULL),(25,332,1,12,2,NULL,NULL,NULL,NULL),(25,332,1,12,3,NULL,NULL,NULL,NULL),(25,332,1,12,4,NULL,NULL,NULL,NULL),(25,332,1,12,5,NULL,NULL,NULL,NULL),(25,332,1,12,6,NULL,NULL,NULL,NULL),(25,332,1,12,7,NULL,NULL,NULL,NULL),(25,332,1,12,8,NULL,NULL,NULL,NULL),(25,332,1,12,9,NULL,NULL,NULL,NULL),(25,332,1,12,10,NULL,NULL,NULL,NULL),(25,332,1,12,11,NULL,NULL,NULL,NULL),(25,332,1,12,12,NULL,NULL,NULL,NULL),(25,332,1,12,13,NULL,NULL,NULL,NULL),(25,332,1,12,14,NULL,NULL,NULL,NULL),(25,332,1,12,15,NULL,NULL,NULL,NULL),(25,332,1,12,16,NULL,NULL,NULL,NULL),(25,332,1,12,17,NULL,NULL,NULL,NULL),(25,332,1,12,18,NULL,NULL,NULL,NULL),(25,332,1,12,19,NULL,NULL,NULL,NULL),(25,332,1,12,20,NULL,NULL,NULL,NULL),(25,332,1,12,21,NULL,NULL,NULL,NULL),(25,332,1,12,22,NULL,NULL,NULL,NULL),(25,332,1,12,23,NULL,NULL,NULL,NULL),(25,332,1,12,24,NULL,NULL,NULL,NULL),(25,332,1,12,25,NULL,NULL,NULL,NULL),(25,332,1,12,26,NULL,NULL,NULL,NULL),(25,332,1,12,27,NULL,NULL,NULL,NULL),(25,332,1,12,28,NULL,NULL,NULL,NULL),(25,332,1,12,29,NULL,NULL,NULL,NULL),(25,332,1,12,30,NULL,NULL,NULL,NULL),(25,332,1,12,31,NULL,NULL,NULL,NULL),(25,332,1,12,32,NULL,NULL,NULL,NULL),(25,332,1,12,33,NULL,NULL,NULL,NULL),(25,332,1,12,34,NULL,NULL,NULL,NULL),(25,332,1,12,35,NULL,NULL,NULL,NULL),(25,332,1,12,36,NULL,NULL,NULL,NULL),(25,332,1,12,37,NULL,NULL,NULL,NULL),(25,332,1,12,38,NULL,NULL,NULL,NULL),(25,332,1,12,39,NULL,NULL,NULL,NULL),(25,332,1,12,40,NULL,NULL,NULL,NULL),(25,332,1,13,1,NULL,NULL,NULL,NULL),(25,332,1,13,2,NULL,NULL,NULL,NULL),(25,332,1,13,3,NULL,NULL,NULL,NULL),(25,332,1,13,4,NULL,NULL,NULL,NULL),(25,332,1,13,5,NULL,NULL,NULL,NULL),(25,332,1,13,6,NULL,NULL,NULL,NULL),(25,332,1,13,7,NULL,NULL,NULL,NULL),(25,332,1,13,8,NULL,NULL,NULL,NULL),(25,332,1,13,9,1,NULL,1,NULL),(25,332,1,13,10,NULL,NULL,NULL,NULL),(25,332,1,13,11,NULL,NULL,NULL,NULL),(25,332,1,13,12,NULL,NULL,NULL,NULL),(25,332,1,13,13,1,NULL,1,NULL),(25,332,1,13,14,NULL,NULL,NULL,NULL),(25,332,1,13,15,NULL,NULL,NULL,NULL),(25,332,1,13,16,NULL,NULL,NULL,NULL),(25,332,1,13,17,1,NULL,1,NULL),(25,332,1,13,18,1,NULL,1,NULL),(25,332,1,13,19,NULL,NULL,NULL,NULL),(25,332,1,13,20,NULL,NULL,NULL,NULL),(25,332,1,13,21,NULL,NULL,NULL,NULL),(25,332,1,13,22,NULL,NULL,NULL,NULL),(25,332,1,13,23,NULL,NULL,NULL,NULL),(25,332,1,13,24,NULL,NULL,NULL,NULL),(25,332,1,13,25,NULL,NULL,NULL,NULL),(25,332,1,13,26,NULL,NULL,NULL,NULL),(25,332,1,13,27,NULL,NULL,NULL,NULL),(25,332,1,13,28,1,NULL,1,NULL),(25,332,1,13,29,NULL,NULL,NULL,NULL),(25,332,1,13,30,NULL,NULL,NULL,NULL),(25,332,1,13,31,NULL,NULL,NULL,NULL),(25,332,1,13,32,NULL,NULL,NULL,NULL),(25,332,1,13,33,NULL,NULL,NULL,NULL),(25,332,1,13,34,NULL,NULL,NULL,NULL),(25,332,1,13,35,NULL,NULL,NULL,NULL),(25,332,1,13,36,NULL,NULL,NULL,NULL),(25,332,1,13,37,NULL,NULL,NULL,NULL),(25,332,1,13,38,1,NULL,1,NULL),(25,332,1,13,39,NULL,NULL,NULL,NULL),(25,332,1,13,40,NULL,NULL,NULL,NULL),(25,332,1,14,1,5,9,2,3),(25,332,1,14,2,1,10,1,6),(25,332,1,14,3,6,6,3,4),(25,332,1,14,4,7,8,3,4),(25,332,1,14,5,2,7,NULL,5),(25,332,1,14,6,3,7,2,4),(25,332,1,14,7,5,14,4,4),(25,332,1,14,8,1,1,NULL,NULL),(25,332,1,14,9,2,6,1,4),(25,332,1,14,10,1,1,1,NULL),(25,332,1,14,11,2,3,NULL,1),(25,332,1,14,12,2,1,1,NULL),(25,332,1,14,13,1,2,1,2),(25,332,1,14,14,2,4,1,1),(25,332,1,14,15,4,5,3,2),(25,332,1,14,16,7,4,5,3),(25,332,1,14,17,4,3,2,2),(25,332,1,14,18,6,2,4,1),(25,332,1,14,19,6,7,2,4),(25,332,1,14,20,2,3,1,1),(25,332,1,14,21,1,2,1,NULL),(25,332,1,14,22,NULL,4,NULL,3),(25,332,1,14,23,1,1,NULL,1),(25,332,1,14,24,NULL,3,NULL,1),(25,332,1,14,25,NULL,2,NULL,NULL),(25,332,1,14,26,1,NULL,1,NULL),(25,332,1,14,27,2,NULL,NULL,NULL),(25,332,1,14,28,2,7,1,2),(25,332,1,14,29,NULL,1,NULL,NULL),(25,332,1,14,30,1,3,1,2),(25,332,1,14,31,NULL,1,NULL,1),(25,332,1,14,32,1,NULL,1,NULL),(25,332,1,14,33,1,2,1,1),(25,332,1,14,34,5,4,1,3),(25,332,1,14,35,NULL,1,NULL,1),(25,332,1,14,36,3,4,2,1),(25,332,1,14,37,3,2,1,2),(25,332,1,14,38,2,8,1,3),(25,332,1,14,39,2,7,NULL,6),(25,332,1,14,40,NULL,NULL,NULL,NULL),(25,332,1,15,1,2,11,1,9),(25,332,1,15,2,3,3,1,2),(25,332,1,15,3,2,1,1,1),(25,332,1,15,4,11,3,7,3),(25,332,1,15,5,1,2,1,2),(25,332,1,15,6,2,5,2,4),(25,332,1,15,7,2,8,2,7),(25,332,1,15,8,4,1,3,1),(25,332,1,15,9,4,2,2,2),(25,332,1,15,10,1,NULL,1,NULL),(25,332,1,15,11,1,3,NULL,3),(25,332,1,15,12,NULL,4,NULL,3),(25,332,1,15,13,2,3,2,2),(25,332,1,15,14,5,3,4,2),(25,332,1,15,15,6,1,6,1),(25,332,1,15,16,2,3,2,1),(25,332,1,15,17,5,2,4,2),(25,332,1,15,18,4,2,4,1),(25,332,1,15,19,3,7,3,4),(25,332,1,15,20,4,1,4,NULL),(25,332,1,15,21,2,8,2,5),(25,332,1,15,22,1,4,1,3),(25,332,1,15,23,NULL,2,NULL,1),(25,332,1,15,24,NULL,1,NULL,1),(25,332,1,15,25,2,4,1,3),(25,332,1,15,26,3,NULL,3,NULL),(25,332,1,15,27,NULL,NULL,NULL,NULL),(25,332,1,15,28,1,5,NULL,4),(25,332,1,15,29,NULL,4,NULL,3),(25,332,1,15,30,2,4,NULL,3),(25,332,1,15,31,NULL,NULL,NULL,NULL),(25,332,1,15,32,NULL,4,NULL,4),(25,332,1,15,33,1,4,1,2),(25,332,1,15,34,2,6,1,5),(25,332,1,15,35,3,NULL,3,NULL),(25,332,1,15,36,2,4,2,3),(25,332,1,15,37,5,NULL,4,NULL),(25,332,1,15,38,1,8,NULL,7),(25,332,1,15,39,NULL,8,NULL,7),(25,332,1,15,40,1,1,1,1),(25,332,1,16,1,8,13,3,1),(25,332,1,16,2,1,8,NULL,4),(25,332,1,16,3,4,4,2,1),(25,332,1,16,4,12,8,2,NULL),(25,332,1,16,5,1,3,NULL,1),(25,332,1,16,6,2,13,NULL,5),(25,332,1,16,7,3,18,1,4),(25,332,1,16,8,6,3,3,NULL),(25,332,1,16,9,2,8,NULL,3),(25,332,1,16,10,NULL,4,NULL,1),(25,332,1,16,11,NULL,6,NULL,3),(25,332,1,16,12,2,1,NULL,1),(25,332,1,16,13,12,4,5,NULL),(25,332,1,16,14,7,6,3,2),(25,332,1,16,15,14,NULL,2,NULL),(25,332,1,16,16,2,12,1,3),(25,332,1,16,17,NULL,13,NULL,3),(25,332,1,16,18,4,17,NULL,5),(25,332,1,16,19,NULL,6,NULL,1),(25,332,1,16,20,20,NULL,4,NULL),(25,332,1,16,21,NULL,9,NULL,2),(25,332,1,16,22,1,7,1,1),(25,332,1,16,23,2,5,1,1),(25,332,1,16,24,2,6,NULL,1),(25,332,1,16,25,2,6,NULL,1),(25,332,1,16,26,2,NULL,1,NULL),(25,332,1,16,27,NULL,NULL,NULL,NULL),(25,332,1,16,28,5,9,2,2),(25,332,1,16,29,NULL,5,NULL,1),(25,332,1,16,30,3,5,1,1),(25,332,1,16,31,NULL,1,NULL,NULL),(25,332,1,16,32,NULL,1,NULL,1),(25,332,1,16,33,1,4,NULL,1),(25,332,1,16,34,2,8,1,2),(25,332,1,16,35,5,1,2,NULL),(25,332,1,16,36,2,13,1,4),(25,332,1,16,37,2,4,1,1),(25,332,1,16,38,1,13,NULL,5),(25,332,1,16,39,NULL,6,NULL,2),(25,332,1,16,40,NULL,1,NULL,NULL),(25,332,1,17,1,7,8,1,6),(25,332,1,17,2,3,12,1,5),(25,332,1,17,3,8,3,5,1),(25,332,1,17,4,9,7,6,3),(25,332,1,17,5,NULL,5,NULL,4),(25,332,1,17,6,1,7,NULL,6),(25,332,1,17,7,1,13,1,5),(25,332,1,17,8,3,12,1,5),(25,332,1,17,9,4,10,1,7),(25,332,1,17,10,1,NULL,NULL,NULL),(25,332,1,17,11,2,6,1,3),(25,332,1,17,12,5,2,2,1),(25,332,1,17,13,6,4,3,2),(25,332,1,17,14,6,4,3,3),(25,332,1,17,15,13,NULL,6,NULL),(25,332,1,17,16,5,8,3,3),(25,332,1,17,17,NULL,12,NULL,7),(25,332,1,17,18,2,15,2,6),(25,332,1,17,19,NULL,11,NULL,5),(25,332,1,17,20,17,NULL,9,NULL),(25,332,1,17,21,1,7,1,3),(25,332,1,17,22,3,7,1,4),(25,332,1,17,23,1,7,1,4),(25,332,1,17,24,1,5,1,2),(25,332,1,17,25,NULL,1,NULL,1),(25,332,1,17,26,2,NULL,1,NULL),(25,332,1,17,27,NULL,NULL,NULL,NULL),(25,332,1,17,28,1,18,NULL,8),(25,332,1,17,29,NULL,3,NULL,2),(25,332,1,17,30,1,7,1,4),(25,332,1,17,31,NULL,1,NULL,NULL),(25,332,1,17,32,NULL,2,NULL,2),(25,332,1,17,33,4,4,1,1),(25,332,1,17,34,2,3,NULL,3),(25,332,1,17,35,2,2,NULL,NULL),(25,332,1,17,36,2,8,NULL,3),(25,332,1,17,37,2,5,NULL,3),(25,332,1,17,38,1,11,NULL,6),(25,332,1,17,39,NULL,5,NULL,NULL),(25,332,1,17,40,NULL,4,NULL,2),(25,332,2,21,1,NULL,5,NULL,NULL),(25,332,2,21,2,2,3,NULL,1),(25,332,2,21,3,2,6,NULL,1),(25,332,2,21,4,1,2,NULL,1),(25,332,2,21,5,3,8,2,1),(25,332,2,21,6,NULL,5,NULL,2),(25,332,2,21,7,NULL,4,NULL,1),(25,332,2,21,8,5,5,3,NULL),(25,332,2,21,9,6,9,2,2),(25,332,2,21,10,2,3,2,1),(25,332,2,21,11,6,10,2,3),(25,332,2,21,12,1,4,NULL,2),(25,332,2,21,13,11,4,6,NULL),(25,332,2,21,14,4,8,4,2),(25,332,2,21,15,4,3,2,1),(25,332,2,21,16,3,6,1,3),(25,332,2,21,17,NULL,11,NULL,4),(25,332,2,21,18,2,8,NULL,3),(25,332,2,21,19,NULL,7,NULL,3),(25,332,2,21,20,2,11,NULL,1),(25,332,2,21,21,2,2,1,1),(25,332,2,21,22,NULL,1,NULL,1),(25,332,2,21,23,NULL,4,NULL,NULL),(25,332,2,21,24,2,1,NULL,1),(25,332,2,21,25,NULL,NULL,NULL,NULL),(25,332,2,21,26,NULL,1,NULL,NULL),(25,332,2,21,27,NULL,6,NULL,NULL),(25,332,2,21,28,NULL,1,NULL,1),(25,332,2,21,29,1,7,1,3),(25,332,2,21,30,1,NULL,NULL,NULL),(25,332,2,21,31,1,2,NULL,1),(25,332,2,21,32,NULL,2,NULL,NULL),(25,332,2,21,33,2,5,NULL,1),(25,332,2,21,34,NULL,2,NULL,1),(25,332,2,21,35,NULL,6,NULL,1),(25,332,2,21,36,1,5,1,1),(25,332,2,21,37,NULL,3,NULL,1),(25,332,2,21,38,1,3,NULL,1),(25,332,2,21,39,4,NULL,2,NULL),(25,332,2,21,40,NULL,1,NULL,1),(25,332,2,22,1,1,11,1,6),(25,332,2,22,2,1,7,NULL,6),(25,332,2,22,3,8,5,6,2),(25,332,2,22,4,1,7,1,5),(25,332,2,22,5,5,5,4,5),(25,332,2,22,6,3,6,3,4),(25,332,2,22,7,2,3,1,2),(25,332,2,22,8,5,10,3,4),(25,332,2,22,9,8,5,5,3),(25,332,2,22,10,1,4,1,4),(25,332,2,22,11,4,11,1,6),(25,332,2,22,12,2,7,1,4),(25,332,2,22,13,11,4,6,2),(25,332,2,22,14,4,5,4,4),(25,332,2,22,15,7,5,2,4),(25,332,2,22,16,1,10,1,5),(25,332,2,22,17,4,4,2,1),(25,332,2,22,18,8,4,5,1),(25,332,2,22,19,3,5,2,2),(25,332,2,22,20,6,9,3,6),(25,332,2,22,21,2,1,1,NULL),(25,332,2,22,22,NULL,NULL,NULL,NULL),(25,332,2,22,23,NULL,4,NULL,3),(25,332,2,22,24,NULL,4,NULL,2),(25,332,2,22,25,2,NULL,1,NULL),(25,332,2,22,26,NULL,1,NULL,1),(25,332,2,22,27,NULL,1,NULL,NULL),(25,332,2,22,28,1,2,1,NULL),(25,332,2,22,29,1,4,NULL,3),(25,332,2,22,30,1,4,1,2),(25,332,2,22,31,1,8,NULL,6),(25,332,2,22,32,1,5,1,3),(25,332,2,22,33,2,5,2,3),(25,332,2,22,34,NULL,5,NULL,3),(25,332,2,22,35,NULL,8,NULL,3),(25,332,2,22,36,1,8,NULL,6),(25,332,2,22,37,1,6,1,3),(25,332,2,22,38,4,1,3,1),(25,332,2,22,39,5,NULL,4,NULL),(25,332,2,22,40,NULL,NULL,NULL,NULL),(25,332,2,23,1,1,6,NULL,4),(25,332,2,23,2,1,7,NULL,3),(25,332,2,23,3,2,7,1,3),(25,332,2,23,4,5,9,2,4),(25,332,2,23,5,6,5,4,2),(25,332,2,23,6,3,3,1,2),(25,332,2,23,7,1,5,1,3),(25,332,2,23,8,4,3,4,1),(25,332,2,23,9,7,4,4,2),(25,332,2,23,10,NULL,4,NULL,3),(25,332,2,23,11,3,14,2,5),(25,332,2,23,12,NULL,6,NULL,4),(25,332,2,23,13,13,1,7,NULL),(25,332,2,23,14,3,4,2,3),(25,332,2,23,15,3,5,1,2),(25,332,2,23,16,1,10,NULL,4),(25,332,2,23,17,3,9,1,4),(25,332,2,23,18,7,6,4,1),(25,332,2,23,19,2,2,NULL,NULL),(25,332,2,23,20,3,4,2,NULL),(25,332,2,23,21,NULL,2,NULL,NULL),(25,332,2,23,22,NULL,1,NULL,NULL),(25,332,2,23,23,1,4,NULL,1),(25,332,2,23,24,2,2,1,2),(25,332,2,23,25,1,NULL,NULL,NULL),(25,332,2,23,26,NULL,NULL,NULL,NULL),(25,332,2,23,27,1,4,NULL,3),(25,332,2,23,28,NULL,1,NULL,NULL),(25,332,2,23,29,NULL,3,NULL,1),(25,332,2,23,30,4,2,1,1),(25,332,2,23,31,2,2,2,NULL),(25,332,2,23,32,NULL,1,NULL,NULL),(25,332,2,23,33,1,7,NULL,3),(25,332,2,23,34,NULL,NULL,NULL,NULL),(25,332,2,23,35,1,2,NULL,1),(25,332,2,23,36,2,3,1,2),(25,332,2,23,37,NULL,5,NULL,1),(25,332,2,23,38,3,2,2,1),(25,332,2,23,39,3,NULL,1,NULL),(25,332,2,23,40,NULL,1,NULL,NULL),(25,332,2,24,1,4,7,4,4),(25,332,2,24,2,1,8,1,6),(25,332,2,24,3,5,5,4,2),(25,332,2,24,4,6,4,2,3),(25,332,2,24,5,6,7,5,3),(25,332,2,24,6,3,6,2,3),(25,332,2,24,7,2,10,1,6),(25,332,2,24,8,8,4,5,2),(25,332,2,24,9,9,7,6,4),(25,332,2,24,10,3,6,1,3),(25,332,2,24,11,3,12,2,8),(25,332,2,24,12,5,4,2,4),(25,332,2,24,13,14,4,6,2),(25,332,2,24,14,3,11,3,7),(25,332,2,24,15,9,6,7,3),(25,332,2,24,16,3,5,2,2),(25,332,2,24,17,2,12,NULL,5),(25,332,2,24,18,1,4,1,2),(25,332,2,24,19,3,4,1,3),(25,332,2,24,20,5,6,2,2),(25,332,2,24,21,NULL,4,NULL,3),(25,332,2,24,22,NULL,NULL,NULL,NULL),(25,332,2,24,23,1,2,1,1),(25,332,2,24,24,2,3,1,2),(25,332,2,24,25,2,NULL,1,NULL),(25,332,2,24,26,NULL,1,NULL,1),(25,332,2,24,27,NULL,2,NULL,1),(25,332,2,24,28,NULL,2,NULL,2),(25,332,2,24,29,1,3,NULL,2),(25,332,2,24,30,1,5,NULL,2),(25,332,2,24,31,2,5,1,5),(25,332,2,24,32,NULL,3,NULL,2),(25,332,2,24,33,1,5,1,3),(25,332,2,24,34,NULL,NULL,NULL,NULL),(25,332,2,24,35,2,8,1,5),(25,332,2,24,36,2,3,1,1),(25,332,2,24,37,1,4,NULL,4),(25,332,2,24,38,5,1,3,1),(25,332,2,24,39,8,NULL,6,NULL),(25,332,2,24,40,NULL,2,NULL,2),(25,333,1,11,1,NULL,1,NULL,1),(25,333,1,11,2,NULL,NULL,NULL,NULL),(25,333,1,11,3,1,NULL,1,NULL),(25,333,1,11,4,NULL,1,NULL,NULL),(25,333,1,11,5,NULL,NULL,NULL,NULL),(25,333,1,11,6,NULL,1,NULL,NULL),(25,333,1,11,7,1,1,1,NULL),(25,333,1,11,8,1,NULL,1,NULL),(25,333,1,11,9,1,NULL,1,NULL),(25,333,1,11,10,NULL,NULL,NULL,NULL),(25,333,1,11,11,NULL,NULL,NULL,NULL),(25,333,1,11,12,NULL,NULL,NULL,NULL),(25,333,1,11,13,2,NULL,1,NULL),(25,333,1,11,14,2,NULL,1,NULL),(25,333,1,11,15,1,NULL,1,NULL),(25,333,1,11,16,2,NULL,1,NULL),(25,333,1,11,17,1,1,1,NULL),(25,333,1,11,18,1,1,NULL,1),(25,333,1,11,19,2,NULL,1,NULL),(25,333,1,11,20,2,NULL,1,NULL),(25,333,1,11,21,NULL,NULL,NULL,NULL),(25,333,1,11,22,1,NULL,1,NULL),(25,333,1,11,23,NULL,NULL,NULL,NULL),(25,333,1,11,24,NULL,NULL,NULL,NULL),(25,333,1,11,25,NULL,1,NULL,1),(25,333,1,11,26,NULL,NULL,NULL,NULL),(25,333,1,11,27,NULL,NULL,NULL,NULL),(25,333,1,11,28,1,NULL,1,NULL),(25,333,1,11,29,NULL,NULL,NULL,NULL),(25,333,1,11,30,NULL,1,NULL,NULL),(25,333,1,11,31,NULL,NULL,NULL,NULL),(25,333,1,11,32,NULL,NULL,NULL,NULL),(25,333,1,11,33,1,NULL,1,NULL),(25,333,1,11,34,NULL,NULL,NULL,NULL),(25,333,1,11,35,NULL,NULL,NULL,NULL),(25,333,1,11,36,1,NULL,1,NULL),(25,333,1,11,37,1,NULL,1,NULL),(25,333,1,11,38,NULL,1,NULL,NULL),(25,333,1,11,39,NULL,NULL,NULL,NULL),(25,333,1,11,40,NULL,1,NULL,1),(25,333,1,12,1,1,NULL,1,NULL),(25,333,1,12,2,1,NULL,1,NULL),(25,333,1,12,3,NULL,1,NULL,1),(25,333,1,12,4,NULL,NULL,NULL,NULL),(25,333,1,12,5,NULL,1,NULL,1),(25,333,1,12,6,1,NULL,1,NULL),(25,333,1,12,7,NULL,NULL,NULL,NULL),(25,333,1,12,8,NULL,NULL,NULL,NULL),(25,333,1,12,9,NULL,1,NULL,1),(25,333,1,12,10,NULL,NULL,NULL,NULL),(25,333,1,12,11,NULL,NULL,NULL,NULL),(25,333,1,12,12,NULL,NULL,NULL,NULL),(25,333,1,12,13,NULL,NULL,NULL,NULL),(25,333,1,12,14,1,NULL,1,NULL),(25,333,1,12,15,1,NULL,1,NULL),(25,333,1,12,16,1,NULL,1,NULL),(25,333,1,12,17,1,NULL,1,NULL),(25,333,1,12,18,1,NULL,1,NULL),(25,333,1,12,19,1,NULL,1,NULL),(25,333,1,12,20,1,NULL,1,NULL),(25,333,1,12,21,NULL,NULL,NULL,NULL),(25,333,1,12,22,1,NULL,1,NULL),(25,333,1,12,23,NULL,1,NULL,1),(25,333,1,12,24,NULL,1,NULL,1),(25,333,1,12,25,NULL,1,NULL,1),(25,333,1,12,26,NULL,NULL,NULL,NULL),(25,333,1,12,27,NULL,NULL,NULL,NULL),(25,333,1,12,28,NULL,1,NULL,1),(25,333,1,12,29,NULL,NULL,NULL,NULL),(25,333,1,12,30,NULL,1,NULL,1),(25,333,1,12,31,NULL,NULL,NULL,NULL),(25,333,1,12,32,1,NULL,1,NULL),(25,333,1,12,33,NULL,NULL,NULL,NULL),(25,333,1,12,34,NULL,NULL,NULL,NULL),(25,333,1,12,35,NULL,NULL,NULL,NULL),(25,333,1,12,36,NULL,NULL,NULL,NULL),(25,333,1,12,37,NULL,NULL,NULL,NULL),(25,333,1,12,38,NULL,NULL,NULL,NULL),(25,333,1,12,39,1,NULL,1,NULL),(25,333,1,12,40,NULL,NULL,NULL,NULL),(25,333,1,13,1,NULL,1,NULL,NULL),(25,333,1,13,2,NULL,NULL,NULL,NULL),(25,333,1,13,3,NULL,NULL,NULL,NULL),(25,333,1,13,4,1,NULL,NULL,NULL),(25,333,1,13,5,NULL,NULL,NULL,NULL),(25,333,1,13,6,NULL,NULL,NULL,NULL),(25,333,1,13,7,NULL,NULL,NULL,NULL),(25,333,1,13,8,NULL,NULL,NULL,NULL),(25,333,1,13,9,NULL,NULL,NULL,NULL),(25,333,1,13,10,NULL,NULL,NULL,NULL),(25,333,1,13,11,NULL,NULL,NULL,NULL),(25,333,1,13,12,NULL,NULL,NULL,NULL),(25,333,1,13,13,1,NULL,NULL,NULL),(25,333,1,13,14,NULL,NULL,NULL,NULL),(25,333,1,13,15,NULL,NULL,NULL,NULL),(25,333,1,13,16,NULL,NULL,NULL,NULL),(25,333,1,13,17,1,NULL,NULL,NULL),(25,333,1,13,18,1,NULL,NULL,NULL),(25,333,1,13,19,NULL,NULL,NULL,NULL),(25,333,1,13,20,NULL,NULL,NULL,NULL),(25,333,1,13,21,NULL,NULL,NULL,NULL),(25,333,1,13,22,NULL,NULL,NULL,NULL),(25,333,1,13,23,NULL,NULL,NULL,NULL),(25,333,1,13,24,NULL,NULL,NULL,NULL),(25,333,1,13,25,1,NULL,NULL,NULL),(25,333,1,13,26,NULL,NULL,NULL,NULL),(25,333,1,13,27,NULL,NULL,NULL,NULL),(25,333,1,13,28,NULL,NULL,NULL,NULL),(25,333,1,13,29,1,NULL,NULL,NULL),(25,333,1,13,30,NULL,NULL,NULL,NULL),(25,333,1,13,31,NULL,NULL,NULL,NULL),(25,333,1,13,32,NULL,1,NULL,NULL),(25,333,1,13,33,NULL,NULL,NULL,NULL),(25,333,1,13,34,NULL,NULL,NULL,NULL),(25,333,1,13,35,NULL,NULL,NULL,NULL),(25,333,1,13,36,NULL,NULL,NULL,NULL),(25,333,1,13,37,NULL,1,NULL,NULL),(25,333,1,13,38,NULL,NULL,NULL,NULL),(25,333,1,13,39,NULL,NULL,NULL,NULL),(25,333,1,13,40,NULL,NULL,NULL,NULL),(25,333,1,14,1,16,27,1,6),(25,333,1,14,2,8,20,2,3),(25,333,1,14,3,14,10,3,3),(25,333,1,14,4,31,16,6,1),(25,333,1,14,5,6,12,1,2),(25,333,1,14,6,6,18,NULL,6),(25,333,1,14,7,10,36,5,3),(25,333,1,14,8,18,12,1,2),(25,333,1,14,9,12,19,2,2),(25,333,1,14,10,2,8,NULL,4),(25,333,1,14,11,5,11,1,1),(25,333,1,14,12,11,5,4,NULL),(25,333,1,14,13,10,14,4,NULL),(25,333,1,14,14,16,13,3,1),(25,333,1,14,15,14,11,4,2),(25,333,1,14,16,15,6,1,NULL),(25,333,1,14,17,15,8,4,1),(25,333,1,14,18,26,8,5,2),(25,333,1,14,19,24,26,3,2),(25,333,1,14,20,16,4,1,1),(25,333,1,14,21,7,19,1,4),(25,333,1,14,22,7,17,2,2),(25,333,1,14,23,3,14,NULL,4),(25,333,1,14,24,4,5,NULL,2),(25,333,1,14,25,7,11,1,2),(25,333,1,14,26,14,NULL,3,NULL),(25,333,1,14,27,3,NULL,NULL,NULL),(25,333,1,14,28,8,25,3,6),(25,333,1,14,29,3,5,NULL,1),(25,333,1,14,30,3,7,NULL,NULL),(25,333,1,14,31,3,4,1,1),(25,333,1,14,32,7,9,2,2),(25,333,1,14,33,7,11,3,1),(25,333,1,14,34,11,4,1,NULL),(25,333,1,14,35,10,4,2,2),(25,333,1,14,36,18,20,2,2),(25,333,1,14,37,14,8,3,NULL),(25,333,1,14,38,2,29,2,4),(25,333,1,14,39,7,19,NULL,3),(25,333,1,14,40,1,8,NULL,1),(25,333,1,15,1,19,25,2,6),(25,333,1,15,2,9,16,2,5),(25,333,1,15,3,11,10,1,3),(25,333,1,15,4,40,8,6,1),(25,333,1,15,5,4,14,1,4),(25,333,1,15,6,11,21,1,4),(25,333,1,15,7,17,26,3,4),(25,333,1,15,8,13,5,5,1),(25,333,1,15,9,11,15,2,5),(25,333,1,15,10,1,5,NULL,1),(25,333,1,15,11,10,7,1,NULL),(25,333,1,15,12,8,4,2,1),(25,333,1,15,13,12,13,4,2),(25,333,1,15,14,19,12,5,1),(25,333,1,15,15,16,9,2,4),(25,333,1,15,16,8,7,1,3),(25,333,1,15,17,21,4,5,NULL),(25,333,1,15,18,30,4,8,1),(25,333,1,15,19,28,19,6,2),(25,333,1,15,20,21,9,5,NULL),(25,333,1,15,21,8,21,1,4),(25,333,1,15,22,9,13,4,1),(25,333,1,15,23,6,7,1,4),(25,333,1,15,24,1,9,NULL,3),(25,333,1,15,25,5,14,1,1),(25,333,1,15,26,7,NULL,3,NULL),(25,333,1,15,27,3,NULL,2,NULL),(25,333,1,15,28,7,11,1,3),(25,333,1,15,29,5,7,1,1),(25,333,1,15,30,1,11,1,3),(25,333,1,15,31,2,6,NULL,1),(25,333,1,15,32,4,6,3,2),(25,333,1,15,33,9,10,2,5),(25,333,1,15,34,6,7,3,2),(25,333,1,15,35,4,1,1,NULL),(25,333,1,15,36,17,17,5,3),(25,333,1,15,37,10,4,3,1),(25,333,1,15,38,4,34,1,8),(25,333,1,15,39,10,15,3,1),(25,333,1,15,40,NULL,8,NULL,3),(25,333,1,16,1,10,15,1,3),(25,333,1,16,2,4,12,1,NULL),(25,333,1,16,3,4,7,1,NULL),(25,333,1,16,4,20,14,3,1),(25,333,1,16,5,1,7,NULL,2),(25,333,1,16,6,5,14,NULL,NULL),(25,333,1,16,7,9,19,1,1),(25,333,1,16,8,8,7,1,NULL),(25,333,1,16,9,11,8,NULL,1),(25,333,1,16,10,1,3,NULL,1),(25,333,1,16,11,3,5,NULL,1),(25,333,1,16,12,2,4,NULL,1),(25,333,1,16,13,8,10,1,1),(25,333,1,16,14,7,12,1,NULL),(25,333,1,16,15,17,NULL,3,NULL),(25,333,1,16,16,6,13,NULL,1),(25,333,1,16,17,1,17,NULL,1),(25,333,1,16,18,7,34,1,3),(25,333,1,16,19,NULL,12,NULL,NULL),(25,333,1,16,20,28,NULL,2,NULL),(25,333,1,16,21,2,17,NULL,2),(25,333,1,16,22,5,11,1,1),(25,333,1,16,23,1,11,NULL,NULL),(25,333,1,16,24,1,11,NULL,1),(25,333,1,16,25,1,4,NULL,1),(25,333,1,16,26,6,NULL,1,NULL),(25,333,1,16,27,1,NULL,1,NULL),(25,333,1,16,28,5,16,1,3),(25,333,1,16,29,3,7,NULL,2),(25,333,1,16,30,1,5,NULL,NULL),(25,333,1,16,31,1,5,NULL,NULL),(25,333,1,16,32,1,2,NULL,1),(25,333,1,16,33,4,6,NULL,NULL),(25,333,1,16,34,7,4,NULL,NULL),(25,333,1,16,35,3,5,1,1),(25,333,1,16,36,8,13,2,1),(25,333,1,16,37,7,4,2,1),(25,333,1,16,38,2,24,1,2),(25,333,1,16,39,3,12,NULL,1),(25,333,1,16,40,1,4,1,NULL),(25,333,1,17,1,12,19,1,3),(25,333,1,17,2,4,10,1,2),(25,333,1,17,3,4,3,1,NULL),(25,333,1,17,4,21,13,2,2),(25,333,1,17,5,1,11,NULL,3),(25,333,1,17,6,9,19,2,1),(25,333,1,17,7,8,16,1,4),(25,333,1,17,8,9,6,1,2),(25,333,1,17,9,9,9,1,2),(25,333,1,17,10,1,1,NULL,NULL),(25,333,1,17,11,4,7,NULL,1),(25,333,1,17,12,4,7,1,1),(25,333,1,17,13,13,5,2,2),(25,333,1,17,14,7,11,1,1),(25,333,1,17,15,19,NULL,3,NULL),(25,333,1,17,16,11,6,1,NULL),(25,333,1,17,17,4,16,NULL,1),(25,333,1,17,18,10,26,2,2),(25,333,1,17,19,NULL,14,NULL,4),(25,333,1,17,20,25,NULL,5,NULL),(25,333,1,17,21,6,10,1,1),(25,333,1,17,22,4,10,NULL,2),(25,333,1,17,23,3,7,NULL,3),(25,333,1,17,24,2,9,NULL,3),(25,333,1,17,25,2,10,NULL,NULL),(25,333,1,17,26,6,NULL,1,NULL),(25,333,1,17,27,1,NULL,NULL,NULL),(25,333,1,17,28,6,20,NULL,3),(25,333,1,17,29,1,4,1,1),(25,333,1,17,30,2,8,NULL,1),(25,333,1,17,31,NULL,1,NULL,NULL),(25,333,1,17,32,NULL,4,NULL,1),(25,333,1,17,33,3,8,1,1),(25,333,1,17,34,2,1,1,NULL),(25,333,1,17,35,2,6,NULL,2),(25,333,1,17,36,10,15,2,1),(25,333,1,17,37,8,4,1,NULL),(25,333,1,17,38,3,18,NULL,3),(25,333,1,17,39,2,11,1,1),(25,333,1,17,40,NULL,6,NULL,1),(25,333,2,21,1,5,9,1,1),(25,333,2,21,2,2,8,NULL,1),(25,333,2,21,3,3,12,NULL,1),(25,333,2,21,4,4,10,1,2),(25,333,2,21,5,19,10,5,NULL),(25,333,2,21,6,6,8,3,2),(25,333,2,21,7,3,8,1,1),(25,333,2,21,8,10,15,4,1),(25,333,2,21,9,20,17,4,3),(25,333,2,21,10,6,11,2,1),(25,333,2,21,11,6,31,2,4),(25,333,2,21,12,5,16,2,2),(25,333,2,21,13,23,5,5,NULL),(25,333,2,21,14,7,14,2,1),(25,333,2,21,15,17,13,2,1),(25,333,2,21,16,5,16,NULL,3),(25,333,2,21,17,6,16,1,2),(25,333,2,21,18,4,15,1,2),(25,333,2,21,19,NULL,14,NULL,2),(25,333,2,21,20,5,13,1,3),(25,333,2,21,21,3,5,1,2),(25,333,2,21,22,NULL,2,NULL,NULL),(25,333,2,21,23,2,5,1,2),(25,333,2,21,24,NULL,8,NULL,1),(25,333,2,21,25,2,NULL,1,NULL),(25,333,2,21,26,3,NULL,NULL,NULL),(25,333,2,21,27,1,6,NULL,1),(25,333,2,21,28,3,NULL,NULL,NULL),(25,333,2,21,29,NULL,3,NULL,NULL),(25,333,2,21,30,2,4,1,2),(25,333,2,21,31,10,7,1,1),(25,333,2,21,32,1,6,NULL,NULL),(25,333,2,21,33,11,6,4,2),(25,333,2,21,34,2,8,1,NULL),(25,333,2,21,35,7,4,1,NULL),(25,333,2,21,36,3,8,NULL,3),(25,333,2,21,37,2,6,NULL,1),(25,333,2,21,38,18,7,3,NULL),(25,333,2,21,39,32,NULL,8,NULL),(25,333,2,21,40,1,8,NULL,1),(25,333,2,22,1,9,6,3,1),(25,333,2,22,2,2,17,NULL,4),(25,333,2,22,3,11,10,1,4),(25,333,2,22,4,2,11,NULL,1),(25,333,2,22,5,10,14,2,3),(25,333,2,22,6,6,8,1,3),(25,333,2,22,7,2,2,NULL,NULL),(25,333,2,22,8,5,15,2,4),(25,333,2,22,9,21,14,6,1),(25,333,2,22,10,7,9,2,3),(25,333,2,22,11,3,22,1,3),(25,333,2,22,12,9,11,1,1),(25,333,2,22,13,17,10,5,1),(25,333,2,22,14,10,12,2,2),(25,333,2,22,15,9,15,2,2),(25,333,2,22,16,3,22,NULL,4),(25,333,2,22,17,3,13,NULL,4),(25,333,2,22,18,5,8,2,3),(25,333,2,22,19,1,5,NULL,1),(25,333,2,22,20,5,12,NULL,3),(25,333,2,22,21,2,7,1,3),(25,333,2,22,22,1,NULL,NULL,NULL),(25,333,2,22,23,3,7,1,3),(25,333,2,22,24,1,3,1,NULL),(25,333,2,22,25,2,NULL,NULL,NULL),(25,333,2,22,26,2,7,NULL,1),(25,333,2,22,27,NULL,7,NULL,1),(25,333,2,22,28,NULL,2,NULL,1),(25,333,2,22,29,NULL,3,NULL,1),(25,333,2,22,30,5,6,2,2),(25,333,2,22,31,11,6,4,NULL),(25,333,2,22,32,NULL,4,NULL,2),(25,333,2,22,33,7,7,3,1),(25,333,2,22,34,3,5,NULL,3),(25,333,2,22,35,6,9,2,3),(25,333,2,22,36,9,8,NULL,2),(25,333,2,22,37,3,3,3,NULL),(25,333,2,22,38,8,13,3,1),(25,333,2,22,39,27,NULL,4,NULL),(25,333,2,22,40,1,3,NULL,1),(25,333,2,23,1,5,9,NULL,1),(25,333,2,23,2,7,10,NULL,1),(25,333,2,23,3,4,18,NULL,3),(25,333,2,23,4,6,11,1,1),(25,333,2,23,5,21,12,2,2),(25,333,2,23,6,7,6,2,NULL),(25,333,2,23,7,NULL,5,NULL,1),(25,333,2,23,8,11,11,2,1),(25,333,2,23,9,17,22,3,1),(25,333,2,23,10,6,11,2,1),(25,333,2,23,11,3,34,NULL,2),(25,333,2,23,12,3,17,2,1),(25,333,2,23,13,25,7,3,1),(25,333,2,23,14,9,12,2,2),(25,333,2,23,15,13,15,2,NULL),(25,333,2,23,16,6,18,2,NULL),(25,333,2,23,17,12,18,2,1),(25,333,2,23,18,4,12,NULL,2),(25,333,2,23,19,NULL,11,NULL,1),(25,333,2,23,20,6,11,2,1),(25,333,2,23,21,2,5,1,1),(25,333,2,23,22,1,2,NULL,NULL),(25,333,2,23,23,1,5,NULL,NULL),(25,333,2,23,24,NULL,7,NULL,3),(25,333,2,23,25,1,NULL,NULL,NULL),(25,333,2,23,26,NULL,5,NULL,NULL),(25,333,2,23,27,NULL,7,NULL,NULL),(25,333,2,23,28,NULL,1,NULL,NULL),(25,333,2,23,29,2,7,1,NULL),(25,333,2,23,30,4,8,NULL,NULL),(25,333,2,23,31,10,4,2,NULL),(25,333,2,23,32,1,5,1,2),(25,333,2,23,33,12,8,2,2),(25,333,2,23,34,1,4,NULL,1),(25,333,2,23,35,7,7,1,2),(25,333,2,23,36,7,6,NULL,NULL),(25,333,2,23,37,1,9,NULL,3),(25,333,2,23,38,10,11,3,NULL),(25,333,2,23,39,18,NULL,4,NULL),(25,333,2,23,40,2,1,1,NULL),(25,333,2,24,1,8,13,3,2),(25,333,2,24,2,3,8,1,1),(25,333,2,24,3,3,8,1,1),(25,333,2,24,4,6,7,2,2),(25,333,2,24,5,13,5,5,2),(25,333,2,24,6,4,6,4,1),(25,333,2,24,7,2,6,NULL,2),(25,333,2,24,8,15,8,4,2),(25,333,2,24,9,20,6,6,1),(25,333,2,24,10,5,8,3,2),(25,333,2,24,11,12,25,3,4),(25,333,2,24,12,9,11,2,2),(25,333,2,24,13,19,3,6,NULL),(25,333,2,24,14,6,13,2,4),(25,333,2,24,15,8,13,5,NULL),(25,333,2,24,16,6,16,2,5),(25,333,2,24,17,7,20,NULL,5),(25,333,2,24,18,6,12,NULL,2),(25,333,2,24,19,3,6,NULL,3),(25,333,2,24,20,4,4,1,NULL),(25,333,2,24,21,2,2,NULL,NULL),(25,333,2,24,22,NULL,NULL,NULL,NULL),(25,333,2,24,23,1,6,1,2),(25,333,2,24,24,3,6,2,1),(25,333,2,24,25,3,NULL,1,NULL),(25,333,2,24,26,NULL,5,NULL,2),(25,333,2,24,27,NULL,6,NULL,1),(25,333,2,24,28,NULL,4,NULL,NULL),(25,333,2,24,29,1,3,NULL,2),(25,333,2,24,30,3,3,1,1),(25,333,2,24,31,7,5,3,NULL),(25,333,2,24,32,2,7,1,3),(25,333,2,24,33,8,4,5,1),(25,333,2,24,34,NULL,7,NULL,3),(25,333,2,24,35,3,5,1,NULL),(25,333,2,24,36,5,6,1,2),(25,333,2,24,37,2,5,2,NULL),(25,333,2,24,38,11,7,4,NULL),(25,333,2,24,39,24,NULL,9,NULL),(25,333,2,24,40,2,6,1,1),(25,335,1,11,1,NULL,NULL,NULL,NULL),(25,335,1,11,2,NULL,NULL,NULL,NULL),(25,335,1,11,3,NULL,NULL,NULL,NULL),(25,335,1,11,4,NULL,NULL,NULL,NULL),(25,335,1,11,5,NULL,NULL,NULL,NULL),(25,335,1,11,6,NULL,NULL,NULL,NULL),(25,335,1,11,7,NULL,NULL,NULL,NULL),(25,335,1,11,8,NULL,NULL,NULL,NULL),(25,335,1,11,9,NULL,NULL,NULL,NULL),(25,335,1,11,10,NULL,NULL,NULL,NULL),(25,335,1,11,11,NULL,NULL,NULL,NULL),(25,335,1,11,12,NULL,NULL,NULL,NULL),(25,335,1,11,13,NULL,NULL,NULL,NULL),(25,335,1,11,14,NULL,NULL,NULL,NULL),(25,335,1,11,15,NULL,NULL,NULL,NULL),(25,335,1,11,16,NULL,NULL,NULL,NULL),(25,335,1,11,17,NULL,NULL,NULL,NULL),(25,335,1,11,18,NULL,NULL,NULL,NULL),(25,335,1,11,19,NULL,NULL,NULL,NULL),(25,335,1,11,20,NULL,NULL,NULL,NULL),(25,335,1,11,21,NULL,NULL,NULL,NULL),(25,335,1,11,22,NULL,NULL,NULL,NULL),(25,335,1,11,23,NULL,NULL,NULL,NULL),(25,335,1,11,24,NULL,NULL,NULL,NULL),(25,335,1,11,25,NULL,NULL,NULL,NULL),(25,335,1,11,26,NULL,NULL,NULL,NULL),(25,335,1,11,27,NULL,NULL,NULL,NULL),(25,335,1,11,28,NULL,NULL,NULL,NULL),(25,335,1,11,29,NULL,NULL,NULL,NULL),(25,335,1,11,30,NULL,NULL,NULL,NULL),(25,335,1,11,31,NULL,NULL,NULL,NULL),(25,335,1,11,32,NULL,NULL,NULL,NULL),(25,335,1,11,33,NULL,NULL,NULL,NULL),(25,335,1,11,34,NULL,NULL,NULL,NULL),(25,335,1,11,35,NULL,NULL,NULL,NULL),(25,335,1,11,36,NULL,NULL,NULL,NULL),(25,335,1,11,37,NULL,NULL,NULL,NULL),(25,335,1,11,38,NULL,NULL,NULL,NULL),(25,335,1,11,39,NULL,NULL,NULL,NULL),(25,335,1,11,40,NULL,NULL,NULL,NULL),(25,335,1,12,1,NULL,NULL,NULL,NULL),(25,335,1,12,2,NULL,NULL,NULL,NULL),(25,335,1,12,3,NULL,NULL,NULL,NULL),(25,335,1,12,4,NULL,NULL,NULL,NULL),(25,335,1,12,5,NULL,NULL,NULL,NULL),(25,335,1,12,6,NULL,NULL,NULL,NULL),(25,335,1,12,7,NULL,NULL,NULL,NULL),(25,335,1,12,8,NULL,NULL,NULL,NULL),(25,335,1,12,9,NULL,NULL,NULL,NULL),(25,335,1,12,10,NULL,NULL,NULL,NULL),(25,335,1,12,11,NULL,NULL,NULL,NULL),(25,335,1,12,12,NULL,NULL,NULL,NULL),(25,335,1,12,13,NULL,NULL,NULL,NULL),(25,335,1,12,14,NULL,NULL,NULL,NULL),(25,335,1,12,15,NULL,NULL,NULL,NULL),(25,335,1,12,16,NULL,NULL,NULL,NULL),(25,335,1,12,17,NULL,NULL,NULL,NULL),(25,335,1,12,18,NULL,NULL,NULL,NULL),(25,335,1,12,19,NULL,NULL,NULL,NULL),(25,335,1,12,20,NULL,NULL,NULL,NULL),(25,335,1,12,21,NULL,NULL,NULL,NULL),(25,335,1,12,22,NULL,NULL,NULL,NULL),(25,335,1,12,23,NULL,NULL,NULL,NULL),(25,335,1,12,24,NULL,NULL,NULL,NULL),(25,335,1,12,25,NULL,NULL,NULL,NULL),(25,335,1,12,26,NULL,NULL,NULL,NULL),(25,335,1,12,27,NULL,NULL,NULL,NULL),(25,335,1,12,28,NULL,NULL,NULL,NULL),(25,335,1,12,29,NULL,NULL,NULL,NULL),(25,335,1,12,30,NULL,NULL,NULL,NULL),(25,335,1,12,31,NULL,NULL,NULL,NULL),(25,335,1,12,32,NULL,NULL,NULL,NULL),(25,335,1,12,33,NULL,NULL,NULL,NULL),(25,335,1,12,34,NULL,NULL,NULL,NULL),(25,335,1,12,35,NULL,NULL,NULL,NULL),(25,335,1,12,36,NULL,NULL,NULL,NULL),(25,335,1,12,37,NULL,NULL,NULL,NULL),(25,335,1,12,38,NULL,NULL,NULL,NULL),(25,335,1,12,39,NULL,NULL,NULL,NULL),(25,335,1,12,40,NULL,NULL,NULL,NULL),(25,335,1,13,1,NULL,NULL,NULL,NULL),(25,335,1,13,2,NULL,NULL,NULL,NULL),(25,335,1,13,3,NULL,NULL,NULL,NULL),(25,335,1,13,4,NULL,NULL,NULL,NULL),(25,335,1,13,5,NULL,NULL,NULL,NULL),(25,335,1,13,6,NULL,NULL,NULL,NULL),(25,335,1,13,7,NULL,NULL,NULL,NULL),(25,335,1,13,8,NULL,NULL,NULL,NULL),(25,335,1,13,9,NULL,NULL,NULL,NULL),(25,335,1,13,10,NULL,NULL,NULL,NULL),(25,335,1,13,11,NULL,NULL,NULL,NULL),(25,335,1,13,12,NULL,NULL,NULL,NULL),(25,335,1,13,13,NULL,NULL,NULL,NULL),(25,335,1,13,14,NULL,NULL,NULL,NULL),(25,335,1,13,15,NULL,NULL,NULL,NULL),(25,335,1,13,16,NULL,NULL,NULL,NULL),(25,335,1,13,17,NULL,NULL,NULL,NULL),(25,335,1,13,18,NULL,NULL,NULL,NULL),(25,335,1,13,19,NULL,NULL,NULL,NULL),(25,335,1,13,20,NULL,NULL,NULL,NULL),(25,335,1,13,21,NULL,NULL,NULL,NULL),(25,335,1,13,22,NULL,NULL,NULL,NULL),(25,335,1,13,23,NULL,NULL,NULL,NULL),(25,335,1,13,24,NULL,NULL,NULL,NULL),(25,335,1,13,25,NULL,NULL,NULL,NULL),(25,335,1,13,26,NULL,NULL,NULL,NULL),(25,335,1,13,27,NULL,NULL,NULL,NULL),(25,335,1,13,28,NULL,NULL,NULL,NULL),(25,335,1,13,29,NULL,NULL,NULL,NULL),(25,335,1,13,30,NULL,NULL,NULL,NULL),(25,335,1,13,31,NULL,NULL,NULL,NULL),(25,335,1,13,32,NULL,NULL,NULL,NULL),(25,335,1,13,33,NULL,NULL,NULL,NULL),(25,335,1,13,34,NULL,NULL,NULL,NULL),(25,335,1,13,35,NULL,NULL,NULL,NULL),(25,335,1,13,36,NULL,NULL,NULL,NULL),(25,335,1,13,37,NULL,NULL,NULL,NULL),(25,335,1,13,38,NULL,NULL,NULL,NULL),(25,335,1,13,39,NULL,NULL,NULL,NULL),(25,335,1,13,40,NULL,NULL,NULL,NULL),(25,335,1,14,1,2,3,NULL,2),(25,335,1,14,2,NULL,1,NULL,1),(25,335,1,14,3,NULL,NULL,NULL,NULL),(25,335,1,14,4,4,2,2,1),(25,335,1,14,5,NULL,2,NULL,1),(25,335,1,14,6,2,2,2,NULL),(25,335,1,14,7,NULL,3,NULL,2),(25,335,1,14,8,NULL,1,NULL,NULL),(25,335,1,14,9,NULL,1,NULL,1),(25,335,1,14,10,NULL,1,NULL,1),(25,335,1,14,11,NULL,1,NULL,1),(25,335,1,14,12,1,NULL,NULL,NULL),(25,335,1,14,13,NULL,NULL,NULL,NULL),(25,335,1,14,14,NULL,1,NULL,NULL),(25,335,1,14,15,NULL,NULL,NULL,NULL),(25,335,1,14,16,NULL,NULL,NULL,NULL),(25,335,1,14,17,NULL,1,NULL,1),(25,335,1,14,18,1,NULL,NULL,NULL),(25,335,1,14,19,NULL,4,NULL,2),(25,335,1,14,20,1,NULL,NULL,NULL),(25,335,1,14,21,NULL,3,NULL,2),(25,335,1,14,22,NULL,3,NULL,3),(25,335,1,14,23,1,2,NULL,1),(25,335,1,14,24,1,2,1,1),(25,335,1,14,25,NULL,NULL,NULL,NULL),(25,335,1,14,26,1,NULL,NULL,NULL),(25,335,1,14,27,NULL,NULL,NULL,NULL),(25,335,1,14,28,2,3,1,2),(25,335,1,14,29,NULL,NULL,NULL,NULL),(25,335,1,14,30,1,2,1,1),(25,335,1,14,31,NULL,1,NULL,1),(25,335,1,14,32,NULL,1,NULL,NULL),(25,335,1,14,33,1,2,1,NULL),(25,335,1,14,34,NULL,2,NULL,1),(25,335,1,14,35,1,2,1,1),(25,335,1,14,36,1,1,NULL,1),(25,335,1,14,37,NULL,NULL,NULL,NULL),(25,335,1,14,38,NULL,3,NULL,1),(25,335,1,14,39,NULL,NULL,NULL,NULL),(25,335,1,14,40,NULL,NULL,NULL,NULL),(25,335,1,15,1,1,4,1,3),(25,335,1,15,2,1,2,1,2),(25,335,1,15,3,1,NULL,1,NULL),(25,335,1,15,4,2,2,2,2),(25,335,1,15,5,1,NULL,1,NULL),(25,335,1,15,6,2,3,2,1),(25,335,1,15,7,3,3,3,2),(25,335,1,15,8,1,1,1,1),(25,335,1,15,9,1,1,1,1),(25,335,1,15,10,NULL,2,NULL,2),(25,335,1,15,11,1,3,1,2),(25,335,1,15,12,NULL,1,NULL,1),(25,335,1,15,13,2,1,2,NULL),(25,335,1,15,14,2,NULL,2,NULL),(25,335,1,15,15,2,1,2,1),(25,335,1,15,16,1,NULL,NULL,NULL),(25,335,1,15,17,NULL,1,NULL,1),(25,335,1,15,18,2,1,2,1),(25,335,1,15,19,3,3,3,2),(25,335,1,15,20,2,1,2,1),(25,335,1,15,21,NULL,1,NULL,1),(25,335,1,15,22,2,3,2,3),(25,335,1,15,23,2,1,2,1),(25,335,1,15,24,NULL,1,NULL,1),(25,335,1,15,25,NULL,1,NULL,1),(25,335,1,15,26,1,NULL,1,NULL),(25,335,1,15,27,NULL,NULL,NULL,NULL),(25,335,1,15,28,1,3,1,3),(25,335,1,15,29,NULL,3,NULL,3),(25,335,1,15,30,NULL,1,NULL,1),(25,335,1,15,31,NULL,1,NULL,1),(25,335,1,15,32,1,NULL,1,NULL),(25,335,1,15,33,1,3,1,2),(25,335,1,15,34,3,1,2,NULL),(25,335,1,15,35,NULL,1,NULL,1),(25,335,1,15,36,1,1,1,1),(25,335,1,15,37,1,1,1,1),(25,335,1,15,38,NULL,5,NULL,5),(25,335,1,15,39,1,1,1,1),(25,335,1,15,40,NULL,NULL,NULL,NULL),(25,335,1,16,1,1,8,1,4),(25,335,1,16,2,2,4,2,1),(25,335,1,16,3,NULL,4,NULL,3),(25,335,1,16,4,7,2,3,1),(25,335,1,16,5,NULL,5,NULL,3),(25,335,1,16,6,2,5,NULL,4),(25,335,1,16,7,3,8,3,6),(25,335,1,16,8,NULL,3,NULL,2),(25,335,1,16,9,2,3,2,2),(25,335,1,16,10,NULL,3,NULL,3),(25,335,1,16,11,2,7,1,5),(25,335,1,16,12,2,4,1,3),(25,335,1,16,13,1,4,NULL,4),(25,335,1,16,14,NULL,4,NULL,NULL),(25,335,1,16,15,7,NULL,4,NULL),(25,335,1,16,16,1,9,NULL,5),(25,335,1,16,17,NULL,10,NULL,5),(25,335,1,16,18,1,4,1,2),(25,335,1,16,19,NULL,4,NULL,3),(25,335,1,16,20,7,NULL,6,NULL),(25,335,1,16,21,2,5,1,5),(25,335,1,16,22,1,5,NULL,1),(25,335,1,16,23,1,5,1,3),(25,335,1,16,24,NULL,4,NULL,3),(25,335,1,16,25,1,1,1,NULL),(25,335,1,16,26,NULL,NULL,NULL,NULL),(25,335,1,16,27,1,NULL,NULL,NULL),(25,335,1,16,28,4,5,2,3),(25,335,1,16,29,NULL,8,NULL,4),(25,335,1,16,30,2,7,NULL,6),(25,335,1,16,31,NULL,1,NULL,1),(25,335,1,16,32,1,NULL,NULL,NULL),(25,335,1,16,33,2,1,NULL,NULL),(25,335,1,16,34,2,8,1,4),(25,335,1,16,35,1,5,NULL,4),(25,335,1,16,36,NULL,7,NULL,6),(25,335,1,16,37,NULL,5,NULL,2),(25,335,1,16,38,NULL,7,NULL,3),(25,335,1,16,39,NULL,2,NULL,NULL),(25,335,1,16,40,NULL,2,NULL,2),(25,335,1,17,1,4,9,3,7),(25,335,1,17,2,3,5,2,2),(25,335,1,17,3,2,2,2,1),(25,335,1,17,4,10,4,7,3),(25,335,1,17,5,NULL,8,NULL,6),(25,335,1,17,6,2,9,2,5),(25,335,1,17,7,3,12,2,8),(25,335,1,17,8,2,4,1,3),(25,335,1,17,9,NULL,6,NULL,5),(25,335,1,17,10,2,3,1,1),(25,335,1,17,11,NULL,7,NULL,5),(25,335,1,17,12,4,2,2,2),(25,335,1,17,13,5,4,4,3),(25,335,1,17,14,3,7,2,4),(25,335,1,17,15,10,NULL,9,NULL),(25,335,1,17,16,NULL,7,NULL,6),(25,335,1,17,17,NULL,12,NULL,5),(25,335,1,17,18,2,8,1,6),(25,335,1,17,19,NULL,15,NULL,7),(25,335,1,17,20,8,NULL,6,NULL),(25,335,1,17,21,NULL,8,NULL,5),(25,335,1,17,22,3,5,1,5),(25,335,1,17,23,NULL,4,NULL,2),(25,335,1,17,24,2,2,NULL,2),(25,335,1,17,25,NULL,3,NULL,1),(25,335,1,17,26,2,NULL,1,NULL),(25,335,1,17,27,1,NULL,1,NULL),(25,335,1,17,28,1,8,1,6),(25,335,1,17,29,1,4,NULL,4),(25,335,1,17,30,1,3,1,3),(25,335,1,17,31,NULL,1,NULL,1),(25,335,1,17,32,1,NULL,1,NULL),(25,335,1,17,33,1,3,1,3),(25,335,1,17,34,3,5,NULL,4),(25,335,1,17,35,NULL,NULL,NULL,NULL),(25,335,1,17,36,NULL,4,NULL,4),(25,335,1,17,37,4,3,4,2),(25,335,1,17,38,1,8,1,6),(25,335,1,17,39,1,6,1,3),(25,335,1,17,40,NULL,1,NULL,1),(25,335,2,21,1,1,2,1,2),(25,335,2,21,2,1,3,1,3),(25,335,2,21,3,5,4,4,4),(25,335,2,21,4,NULL,3,NULL,3),(25,335,2,21,5,2,1,2,1),(25,335,2,21,6,1,4,1,4),(25,335,2,21,7,1,6,1,6),(25,335,2,21,8,2,3,2,3),(25,335,2,21,9,5,3,4,3),(25,335,2,21,10,1,1,1,1),(25,335,2,21,11,NULL,7,NULL,7),(25,335,2,21,12,1,2,NULL,1),(25,335,2,21,13,1,4,1,4),(25,335,2,21,14,1,3,NULL,3),(25,335,2,21,15,1,4,1,4),(25,335,2,21,16,1,5,1,4),(25,335,2,21,17,1,2,1,2),(25,335,2,21,18,2,5,2,5),(25,335,2,21,19,NULL,2,NULL,2),(25,335,2,21,20,NULL,7,NULL,7),(25,335,2,21,21,1,2,1,2),(25,335,2,21,22,NULL,NULL,NULL,NULL),(25,335,2,21,23,NULL,NULL,NULL,NULL),(25,335,2,21,24,NULL,1,NULL,1),(25,335,2,21,25,NULL,NULL,NULL,NULL),(25,335,2,21,26,NULL,1,NULL,1),(25,335,2,21,27,NULL,3,NULL,2),(25,335,2,21,28,NULL,NULL,NULL,NULL),(25,335,2,21,29,NULL,1,NULL,1),(25,335,2,21,30,NULL,1,NULL,1),(25,335,2,21,31,1,1,1,1),(25,335,2,21,32,NULL,3,NULL,3),(25,335,2,21,33,1,2,1,2),(25,335,2,21,34,NULL,1,NULL,1),(25,335,2,21,35,2,2,2,2),(25,335,2,21,36,NULL,2,NULL,2),(25,335,2,21,37,2,3,2,3),(25,335,2,21,38,1,2,1,2),(25,335,2,21,39,1,NULL,1,NULL),(25,335,2,21,40,NULL,1,NULL,1),(25,335,2,22,1,NULL,5,NULL,4),(25,335,2,22,2,NULL,3,NULL,3),(25,335,2,22,3,1,3,1,2),(25,335,2,22,4,1,3,1,2),(25,335,2,22,5,2,4,NULL,4),(25,335,2,22,6,NULL,1,NULL,1),(25,335,2,22,7,1,4,1,2),(25,335,2,22,8,3,5,3,4),(25,335,2,22,9,5,4,5,2),(25,335,2,22,10,1,4,1,3),(25,335,2,22,11,4,12,3,10),(25,335,2,22,12,NULL,5,NULL,3),(25,335,2,22,13,7,3,4,3),(25,335,2,22,14,1,7,1,3),(25,335,2,22,15,4,4,2,3),(25,335,2,22,16,1,1,1,1),(25,335,2,22,17,NULL,5,NULL,3),(25,335,2,22,18,1,1,1,NULL),(25,335,2,22,19,NULL,1,NULL,1),(25,335,2,22,20,2,4,2,2),(25,335,2,22,21,NULL,3,NULL,2),(25,335,2,22,22,NULL,NULL,NULL,NULL),(25,335,2,22,23,1,NULL,1,NULL),(25,335,2,22,24,NULL,3,NULL,2),(25,335,2,22,25,1,NULL,1,NULL),(25,335,2,22,26,NULL,1,NULL,1),(25,335,2,22,27,NULL,2,NULL,2),(25,335,2,22,28,NULL,1,NULL,1),(25,335,2,22,29,NULL,2,NULL,1),(25,335,2,22,30,2,3,1,1),(25,335,2,22,31,NULL,1,NULL,1),(25,335,2,22,32,NULL,4,NULL,3),(25,335,2,22,33,1,2,1,1),(25,335,2,22,34,1,3,1,2),(25,335,2,22,35,1,4,1,3),(25,335,2,22,36,NULL,1,NULL,1),(25,335,2,22,37,NULL,2,NULL,1),(25,335,2,22,38,2,1,2,NULL),(25,335,2,22,39,1,NULL,1,NULL),(25,335,2,22,40,NULL,NULL,NULL,NULL),(25,335,2,23,1,NULL,5,NULL,4),(25,335,2,23,2,NULL,4,NULL,4),(25,335,2,23,3,2,5,1,4),(25,335,2,23,4,NULL,3,NULL,2),(25,335,2,23,5,NULL,7,NULL,5),(25,335,2,23,6,NULL,3,NULL,3),(25,335,2,23,7,NULL,1,NULL,NULL),(25,335,2,23,8,2,7,NULL,6),(25,335,2,23,9,3,5,3,3),(25,335,2,23,10,NULL,3,NULL,2),(25,335,2,23,11,NULL,4,NULL,1),(25,335,2,23,12,1,4,1,1),(25,335,2,23,13,2,5,2,4),(25,335,2,23,14,NULL,6,NULL,4),(25,335,2,23,15,1,5,1,4),(25,335,2,23,16,NULL,4,NULL,2),(25,335,2,23,17,NULL,2,NULL,NULL),(25,335,2,23,18,2,3,1,2),(25,335,2,23,19,1,2,1,1),(25,335,2,23,20,4,7,2,5),(25,335,2,23,21,1,3,NULL,1),(25,335,2,23,22,1,1,NULL,NULL),(25,335,2,23,23,NULL,3,NULL,3),(25,335,2,23,24,NULL,2,NULL,1),(25,335,2,23,25,1,NULL,NULL,NULL),(25,335,2,23,26,NULL,1,NULL,NULL),(25,335,2,23,27,NULL,5,NULL,1),(25,335,2,23,28,NULL,NULL,NULL,NULL),(25,335,2,23,29,1,NULL,NULL,NULL),(25,335,2,23,30,NULL,4,NULL,2),(25,335,2,23,31,NULL,2,NULL,2),(25,335,2,23,32,NULL,4,NULL,4),(25,335,2,23,33,NULL,5,NULL,4),(25,335,2,23,34,NULL,3,NULL,NULL),(25,335,2,23,35,NULL,4,NULL,3),(25,335,2,23,36,2,5,NULL,4),(25,335,2,23,37,1,6,NULL,5),(25,335,2,23,38,1,3,1,3),(25,335,2,23,39,2,NULL,2,NULL),(25,335,2,23,40,NULL,NULL,NULL,NULL),(25,335,2,24,1,NULL,3,NULL,1),(25,335,2,24,2,NULL,1,NULL,NULL),(25,335,2,24,3,NULL,5,NULL,3),(25,335,2,24,4,NULL,4,NULL,2),(25,335,2,24,5,2,4,NULL,2),(25,335,2,24,6,1,2,1,1),(25,335,2,24,7,NULL,1,NULL,NULL),(25,335,2,24,8,3,4,NULL,1),(25,335,2,24,9,1,6,1,3),(25,335,2,24,10,NULL,3,NULL,1),(25,335,2,24,11,NULL,3,NULL,2),(25,335,2,24,12,NULL,2,NULL,1),(25,335,2,24,13,1,5,NULL,3),(25,335,2,24,14,NULL,5,NULL,2),(25,335,2,24,15,1,7,1,3),(25,335,2,24,16,1,4,1,1),(25,335,2,24,17,1,3,NULL,2),(25,335,2,24,18,2,5,1,3),(25,335,2,24,19,1,NULL,NULL,NULL),(25,335,2,24,20,NULL,8,NULL,2),(25,335,2,24,21,NULL,4,NULL,1),(25,335,2,24,22,NULL,NULL,NULL,NULL),(25,335,2,24,23,NULL,1,NULL,NULL),(25,335,2,24,24,1,2,1,1),(25,335,2,24,25,2,NULL,NULL,NULL),(25,335,2,24,26,NULL,1,NULL,NULL),(25,335,2,24,27,NULL,2,NULL,NULL),(25,335,2,24,28,NULL,2,NULL,1),(25,335,2,24,29,NULL,NULL,NULL,NULL),(25,335,2,24,30,NULL,3,NULL,1),(25,335,2,24,31,NULL,1,NULL,NULL),(25,335,2,24,32,NULL,2,NULL,1),(25,335,2,24,33,1,3,NULL,NULL),(25,335,2,24,34,NULL,1,NULL,NULL),(25,335,2,24,35,NULL,2,NULL,2),(25,335,2,24,36,NULL,3,NULL,1),(25,335,2,24,37,NULL,2,NULL,NULL),(25,335,2,24,38,3,2,1,1),(25,335,2,24,39,1,NULL,NULL,NULL),(25,335,2,24,40,NULL,1,NULL,NULL),(25,336,1,11,1,NULL,1,NULL,NULL),(25,336,1,11,2,NULL,NULL,NULL,NULL),(25,336,1,11,3,NULL,NULL,NULL,NULL),(25,336,1,11,4,1,NULL,NULL,NULL),(25,336,1,11,5,NULL,1,NULL,NULL),(25,336,1,11,6,NULL,1,NULL,NULL),(25,336,1,11,7,NULL,1,NULL,NULL),(25,336,1,11,8,NULL,NULL,NULL,NULL),(25,336,1,11,9,1,NULL,NULL,NULL),(25,336,1,11,10,NULL,NULL,NULL,NULL),(25,336,1,11,11,NULL,NULL,NULL,NULL),(25,336,1,11,12,NULL,NULL,NULL,NULL),(25,336,1,11,13,NULL,1,NULL,NULL),(25,336,1,11,14,1,NULL,NULL,NULL),(25,336,1,11,15,1,NULL,NULL,NULL),(25,336,1,11,16,NULL,NULL,NULL,NULL),(25,336,1,11,17,NULL,1,NULL,NULL),(25,336,1,11,18,NULL,1,NULL,NULL),(25,336,1,11,19,NULL,NULL,NULL,NULL),(25,336,1,11,20,1,NULL,NULL,NULL),(25,336,1,11,21,1,NULL,NULL,NULL),(25,336,1,11,22,1,NULL,NULL,NULL),(25,336,1,11,23,NULL,NULL,NULL,NULL),(25,336,1,11,24,NULL,NULL,NULL,NULL),(25,336,1,11,25,NULL,1,NULL,NULL),(25,336,1,11,26,NULL,NULL,NULL,NULL),(25,336,1,11,27,NULL,NULL,NULL,NULL),(25,336,1,11,28,NULL,NULL,NULL,NULL),(25,336,1,11,29,NULL,NULL,NULL,NULL),(25,336,1,11,30,NULL,NULL,NULL,NULL),(25,336,1,11,31,NULL,NULL,NULL,NULL),(25,336,1,11,32,NULL,1,NULL,NULL),(25,336,1,11,33,1,NULL,NULL,NULL),(25,336,1,11,34,NULL,NULL,NULL,NULL),(25,336,1,11,35,NULL,NULL,NULL,NULL),(25,336,1,11,36,NULL,NULL,NULL,NULL),(25,336,1,11,37,NULL,NULL,NULL,NULL),(25,336,1,11,38,NULL,1,NULL,NULL),(25,336,1,11,39,1,NULL,NULL,NULL),(25,336,1,11,40,NULL,NULL,NULL,NULL),(25,336,1,12,1,NULL,1,NULL,1),(25,336,1,12,2,1,NULL,1,NULL),(25,336,1,12,3,NULL,1,NULL,1),(25,336,1,12,4,1,NULL,1,NULL),(25,336,1,12,5,NULL,NULL,NULL,NULL),(25,336,1,12,6,1,NULL,1,NULL),(25,336,1,12,7,1,NULL,1,NULL),(25,336,1,12,8,1,NULL,1,NULL),(25,336,1,12,9,NULL,1,NULL,1),(25,336,1,12,10,NULL,1,NULL,1),(25,336,1,12,11,NULL,NULL,NULL,NULL),(25,336,1,12,12,NULL,1,NULL,1),(25,336,1,12,13,1,NULL,1,NULL),(25,336,1,12,14,1,NULL,1,NULL),(25,336,1,12,15,NULL,NULL,NULL,NULL),(25,336,1,12,16,1,NULL,1,NULL),(25,336,1,12,17,1,NULL,1,NULL),(25,336,1,12,18,NULL,1,NULL,1),(25,336,1,12,19,NULL,NULL,NULL,NULL),(25,336,1,12,20,NULL,1,NULL,1),(25,336,1,12,21,NULL,NULL,NULL,NULL),(25,336,1,12,22,NULL,NULL,NULL,NULL),(25,336,1,12,23,NULL,1,NULL,1),(25,336,1,12,24,NULL,NULL,NULL,NULL),(25,336,1,12,25,NULL,NULL,NULL,NULL),(25,336,1,12,26,NULL,NULL,NULL,NULL),(25,336,1,12,27,NULL,NULL,NULL,NULL),(25,336,1,12,28,NULL,NULL,NULL,NULL),(25,336,1,12,29,NULL,NULL,NULL,NULL),(25,336,1,12,30,NULL,NULL,NULL,NULL),(25,336,1,12,31,NULL,1,NULL,1),(25,336,1,12,32,1,NULL,1,NULL),(25,336,1,12,33,NULL,NULL,NULL,NULL),(25,336,1,12,34,NULL,NULL,NULL,NULL),(25,336,1,12,35,NULL,NULL,NULL,NULL),(25,336,1,12,36,NULL,1,NULL,1),(25,336,1,12,37,1,NULL,1,NULL),(25,336,1,12,38,NULL,1,NULL,1),(25,336,1,12,39,NULL,NULL,NULL,NULL),(25,336,1,12,40,NULL,NULL,NULL,NULL),(25,336,1,13,1,NULL,1,NULL,NULL),(25,336,1,13,2,NULL,1,NULL,NULL),(25,336,1,13,3,1,NULL,NULL,NULL),(25,336,1,13,4,NULL,1,NULL,1),(25,336,1,13,5,NULL,NULL,NULL,NULL),(25,336,1,13,6,NULL,1,NULL,NULL),(25,336,1,13,7,NULL,1,NULL,1),(25,336,1,13,8,NULL,1,NULL,1),(25,336,1,13,9,NULL,1,NULL,NULL),(25,336,1,13,10,NULL,NULL,NULL,NULL),(25,336,1,13,11,NULL,NULL,NULL,NULL),(25,336,1,13,12,NULL,1,NULL,1),(25,336,1,13,13,1,1,1,NULL),(25,336,1,13,14,2,NULL,1,NULL),(25,336,1,13,15,1,NULL,1,NULL),(25,336,1,13,16,NULL,2,NULL,1),(25,336,1,13,17,2,NULL,1,NULL),(25,336,1,13,18,2,NULL,1,NULL),(25,336,1,13,19,1,1,NULL,1),(25,336,1,13,20,1,1,NULL,1),(25,336,1,13,21,NULL,NULL,NULL,NULL),(25,336,1,13,22,NULL,NULL,NULL,NULL),(25,336,1,13,23,NULL,1,NULL,1),(25,336,1,13,24,NULL,1,NULL,1),(25,336,1,13,25,NULL,NULL,NULL,NULL),(25,336,1,13,26,1,NULL,NULL,NULL),(25,336,1,13,27,NULL,NULL,NULL,NULL),(25,336,1,13,28,NULL,1,NULL,1),(25,336,1,13,29,NULL,1,NULL,NULL),(25,336,1,13,30,NULL,2,NULL,1),(25,336,1,13,31,NULL,NULL,NULL,NULL),(25,336,1,13,32,NULL,NULL,NULL,NULL),(25,336,1,13,33,NULL,NULL,NULL,NULL),(25,336,1,13,34,NULL,1,NULL,1),(25,336,1,13,35,1,NULL,1,NULL),(25,336,1,13,36,1,1,NULL,1),(25,336,1,13,37,2,NULL,1,NULL),(25,336,1,13,38,NULL,2,NULL,1),(25,336,1,13,39,NULL,2,NULL,1),(25,336,1,13,40,NULL,NULL,NULL,NULL),(25,336,1,14,1,14,25,1,6),(25,336,1,14,2,15,12,5,1),(25,336,1,14,3,10,11,1,4),(25,336,1,14,4,19,16,7,2),(25,336,1,14,5,2,15,1,5),(25,336,1,14,6,7,19,2,4),(25,336,1,14,7,10,31,4,4),(25,336,1,14,8,8,7,1,2),(25,336,1,14,9,11,12,3,3),(25,336,1,14,10,3,3,NULL,NULL),(25,336,1,14,11,9,7,1,3),(25,336,1,14,12,6,4,2,2),(25,336,1,14,13,15,7,4,1),(25,336,1,14,14,13,13,3,2),(25,336,1,14,15,15,14,3,5),(25,336,1,14,16,11,5,5,NULL),(25,336,1,14,17,14,7,4,2),(25,336,1,14,18,23,5,5,NULL),(25,336,1,14,19,23,19,4,4),(25,336,1,14,20,18,2,4,1),(25,336,1,14,21,6,17,1,1),(25,336,1,14,22,1,14,NULL,5),(25,336,1,14,23,2,12,NULL,2),(25,336,1,14,24,NULL,10,NULL,3),(25,336,1,14,25,4,11,2,1),(25,336,1,14,26,9,NULL,3,NULL),(25,336,1,14,27,2,NULL,NULL,NULL),(25,336,1,14,28,9,22,1,3),(25,336,1,14,29,4,7,NULL,2),(25,336,1,14,30,2,5,1,1),(25,336,1,14,31,1,8,NULL,4),(25,336,1,14,32,5,5,NULL,3),(25,336,1,14,33,4,12,1,4),(25,336,1,14,34,6,5,3,NULL),(25,336,1,14,35,7,8,4,2),(25,336,1,14,36,20,19,4,4),(25,336,1,14,37,13,8,4,1),(25,336,1,14,38,7,29,2,6),(25,336,1,14,39,5,19,1,3),(25,336,1,14,40,3,7,NULL,3),(25,336,1,15,1,15,19,1,3),(25,336,1,15,2,9,10,1,1),(25,336,1,15,3,12,7,2,1),(25,336,1,15,4,19,9,4,NULL),(25,336,1,15,5,3,12,NULL,4),(25,336,1,15,6,8,10,3,1),(25,336,1,15,7,9,22,3,2),(25,336,1,15,8,8,3,2,1),(25,336,1,15,9,10,12,1,2),(25,336,1,15,10,2,3,1,NULL),(25,336,1,15,11,7,9,2,1),(25,336,1,15,12,9,2,2,NULL),(25,336,1,15,13,11,7,3,1),(25,336,1,15,14,11,13,3,1),(25,336,1,15,15,17,6,3,3),(25,336,1,15,16,4,10,2,1),(25,336,1,15,17,13,8,2,2),(25,336,1,15,18,19,3,4,NULL),(25,336,1,15,19,18,12,3,2),(25,336,1,15,20,15,3,4,NULL),(25,336,1,15,21,9,12,2,2),(25,336,1,15,22,9,5,1,2),(25,336,1,15,23,4,11,NULL,3),(25,336,1,15,24,2,6,NULL,4),(25,336,1,15,25,2,9,1,2),(25,336,1,15,26,8,NULL,4,NULL),(25,336,1,15,27,3,NULL,2,NULL),(25,336,1,15,28,6,12,1,4),(25,336,1,15,29,4,7,NULL,2),(25,336,1,15,30,2,6,NULL,1),(25,336,1,15,31,1,8,NULL,2),(25,336,1,15,32,4,11,1,2),(25,336,1,15,33,4,8,1,2),(25,336,1,15,34,3,3,NULL,1),(25,336,1,15,35,2,3,NULL,NULL),(25,336,1,15,36,11,18,3,2),(25,336,1,15,37,9,2,1,1),(25,336,1,15,38,3,29,NULL,1),(25,336,1,15,39,8,11,1,2),(25,336,1,15,40,1,3,1,2),(25,336,1,16,1,15,17,2,2),(25,336,1,16,2,7,9,2,2),(25,336,1,16,3,9,9,1,1),(25,336,1,16,4,23,16,4,1),(25,336,1,16,5,1,11,NULL,2),(25,336,1,16,6,7,19,1,4),(25,336,1,16,7,6,26,3,2),(25,336,1,16,8,9,10,2,2),(25,336,1,16,9,9,16,2,1),(25,336,1,16,10,1,4,1,1),(25,336,1,16,11,3,12,NULL,2),(25,336,1,16,12,10,6,1,NULL),(25,336,1,16,13,16,13,3,NULL),(25,336,1,16,14,16,14,4,1),(25,336,1,16,15,31,NULL,2,NULL),(25,336,1,16,16,8,18,3,1),(25,336,1,16,17,3,21,2,1),(25,336,1,16,18,5,40,NULL,5),(25,336,1,16,19,2,20,NULL,1),(25,336,1,16,20,40,NULL,4,NULL),(25,336,1,16,21,4,22,NULL,3),(25,336,1,16,22,7,11,2,NULL),(25,336,1,16,23,NULL,7,NULL,1),(25,336,1,16,24,1,9,NULL,1),(25,336,1,16,25,3,6,1,1),(25,336,1,16,26,11,NULL,3,NULL),(25,336,1,16,27,NULL,NULL,NULL,NULL),(25,336,1,16,28,14,21,2,3),(25,336,1,16,29,3,5,NULL,NULL),(25,336,1,16,30,NULL,7,NULL,1),(25,336,1,16,31,2,5,2,1),(25,336,1,16,32,4,4,2,NULL),(25,336,1,16,33,4,11,2,2),(25,336,1,16,34,9,7,4,NULL),(25,336,1,16,35,6,3,3,NULL),(25,336,1,16,36,14,16,4,1),(25,336,1,16,37,13,4,2,1),(25,336,1,16,38,4,32,2,2),(25,336,1,16,39,2,22,1,3),(25,336,1,16,40,NULL,7,NULL,2),(25,336,1,17,1,20,15,NULL,5),(25,336,1,17,2,5,12,2,2),(25,336,1,17,3,5,8,1,2),(25,336,1,17,4,24,12,4,2),(25,336,1,17,5,2,10,NULL,1),(25,336,1,17,6,10,13,2,1),(25,336,1,17,7,5,25,1,2),(25,336,1,17,8,5,8,NULL,4),(25,336,1,17,9,9,21,NULL,6),(25,336,1,17,10,NULL,2,NULL,NULL),(25,336,1,17,11,4,9,3,1),(25,336,1,17,12,6,12,2,3),(25,336,1,17,13,22,7,5,2),(25,336,1,17,14,17,13,2,2),(25,336,1,17,15,23,NULL,3,NULL),(25,336,1,17,16,13,16,1,5),(25,336,1,17,17,1,23,NULL,2),(25,336,1,17,18,9,34,2,4),(25,336,1,17,19,NULL,15,NULL,3),(25,336,1,17,20,35,NULL,4,NULL),(25,336,1,17,21,5,14,1,2),(25,336,1,17,22,3,16,NULL,2),(25,336,1,17,23,1,8,NULL,2),(25,336,1,17,24,1,3,NULL,1),(25,336,1,17,25,1,7,NULL,NULL),(25,336,1,17,26,2,NULL,1,NULL),(25,336,1,17,27,NULL,NULL,NULL,NULL),(25,336,1,17,28,9,21,2,4),(25,336,1,17,29,NULL,5,NULL,3),(25,336,1,17,30,2,7,NULL,2),(25,336,1,17,31,2,6,1,1),(25,336,1,17,32,2,1,NULL,NULL),(25,336,1,17,33,4,8,1,1),(25,336,1,17,34,6,10,1,1),(25,336,1,17,35,4,6,2,1),(25,336,1,17,36,6,12,1,2),(25,336,1,17,37,12,8,1,1),(25,336,1,17,38,3,29,1,2),(25,336,1,17,39,2,20,NULL,4),(25,336,1,17,40,NULL,5,NULL,1),(25,336,2,21,1,8,9,2,2),(25,336,2,21,2,1,10,NULL,2),(25,336,2,21,3,10,14,1,NULL),(25,336,2,21,4,3,14,NULL,1),(25,336,2,21,5,17,6,3,NULL),(25,336,2,21,6,7,12,NULL,2),(25,336,2,21,7,6,9,1,2),(25,336,2,21,8,17,12,2,2),(25,336,2,21,9,33,11,5,NULL),(25,336,2,21,10,10,7,3,1),(25,336,2,21,11,6,42,NULL,3),(25,336,2,21,12,7,17,1,1),(25,336,2,21,13,29,8,4,NULL),(25,336,2,21,14,9,11,2,1),(25,336,2,21,15,9,10,2,1),(25,336,2,21,16,14,15,4,1),(25,336,2,21,17,1,20,1,1),(25,336,2,21,18,12,15,1,2),(25,336,2,21,19,4,8,1,NULL),(25,336,2,21,20,6,8,1,1),(25,336,2,21,21,3,6,1,NULL),(25,336,2,21,22,NULL,2,NULL,NULL),(25,336,2,21,23,NULL,1,NULL,NULL),(25,336,2,21,24,3,6,1,NULL),(25,336,2,21,25,5,NULL,NULL,NULL),(25,336,2,21,26,2,5,NULL,1),(25,336,2,21,27,1,9,NULL,2),(25,336,2,21,28,NULL,4,NULL,1),(25,336,2,21,29,3,4,NULL,1),(25,336,2,21,30,5,7,1,1),(25,336,2,21,31,13,9,2,1),(25,336,2,21,32,2,4,NULL,NULL),(25,336,2,21,33,14,7,3,1),(25,336,2,21,34,NULL,5,NULL,NULL),(25,336,2,21,35,6,4,NULL,1),(25,336,2,21,36,8,6,1,1),(25,336,2,21,37,NULL,9,NULL,1),(25,336,2,21,38,11,8,2,1),(25,336,2,21,39,22,NULL,3,NULL),(25,336,2,21,40,2,6,NULL,NULL),(25,336,2,22,1,6,6,2,1),(25,336,2,22,2,6,7,1,1),(25,336,2,22,3,9,8,2,2),(25,336,2,22,4,6,11,2,3),(25,336,2,22,5,15,8,6,1),(25,336,2,22,6,6,6,3,2),(25,336,2,22,7,1,8,NULL,2),(25,336,2,22,8,10,9,3,3),(25,336,2,22,9,22,7,7,NULL),(25,336,2,22,10,7,8,2,3),(25,336,2,22,11,9,21,3,4),(25,336,2,22,12,5,11,1,4),(25,336,2,22,13,26,4,6,NULL),(25,336,2,22,14,9,14,3,4),(25,336,2,22,15,10,13,4,2),(25,336,2,22,16,12,10,2,3),(25,336,2,22,17,5,18,2,3),(25,336,2,22,18,3,11,1,2),(25,336,2,22,19,6,9,2,4),(25,336,2,22,20,7,6,1,1),(25,336,2,22,21,1,4,1,1),(25,336,2,22,22,NULL,NULL,NULL,NULL),(25,336,2,22,23,NULL,5,NULL,NULL),(25,336,2,22,24,NULL,5,NULL,1),(25,336,2,22,25,2,NULL,NULL,NULL),(25,336,2,22,26,NULL,3,NULL,2),(25,336,2,22,27,2,5,NULL,2),(25,336,2,22,28,1,4,NULL,2),(25,336,2,22,29,2,5,2,1),(25,336,2,22,30,2,8,NULL,3),(25,336,2,22,31,11,11,4,3),(25,336,2,22,32,NULL,11,NULL,5),(25,336,2,22,33,13,7,5,1),(25,336,2,22,34,3,3,3,NULL),(25,336,2,22,35,2,11,1,2),(25,336,2,22,36,2,9,NULL,1),(25,336,2,22,37,3,9,2,1),(25,336,2,22,38,12,7,5,NULL),(25,336,2,22,39,22,NULL,7,NULL),(25,336,2,22,40,NULL,6,NULL,3),(25,336,2,23,1,1,14,NULL,5),(25,336,2,23,2,7,11,1,2),(25,336,2,23,3,13,6,2,2),(25,336,2,23,4,9,12,3,3),(25,336,2,23,5,13,4,3,NULL),(25,336,2,23,6,7,10,1,NULL),(25,336,2,23,7,3,9,1,2),(25,336,2,23,8,24,12,4,1),(25,336,2,23,9,19,19,2,2),(25,336,2,23,10,7,12,2,2),(25,336,2,23,11,5,32,NULL,4),(25,336,2,23,12,9,10,1,1),(25,336,2,23,13,28,7,6,1),(25,336,2,23,14,8,19,1,3),(25,336,2,23,15,14,9,3,3),(25,336,2,23,16,6,24,1,4),(25,336,2,23,17,4,15,NULL,2),(25,336,2,23,18,9,16,3,3),(25,336,2,23,19,3,13,NULL,2),(25,336,2,23,20,5,13,NULL,4),(25,336,2,23,21,4,3,2,NULL),(25,336,2,23,22,NULL,NULL,NULL,NULL),(25,336,2,23,23,1,7,NULL,2),(25,336,2,23,24,7,13,2,3),(25,336,2,23,25,2,NULL,NULL,NULL),(25,336,2,23,26,NULL,2,NULL,1),(25,336,2,23,27,NULL,7,NULL,NULL),(25,336,2,23,28,3,5,NULL,1),(25,336,2,23,29,1,8,1,NULL),(25,336,2,23,30,4,6,NULL,2),(25,336,2,23,31,10,11,3,2),(25,336,2,23,32,NULL,9,NULL,2),(25,336,2,23,33,11,13,1,3),(25,336,2,23,34,2,8,1,1),(25,336,2,23,35,8,9,1,2),(25,336,2,23,36,8,5,2,1),(25,336,2,23,37,3,5,1,1),(25,336,2,23,38,14,10,3,NULL),(25,336,2,23,39,22,NULL,3,NULL),(25,336,2,23,40,2,3,NULL,NULL),(25,336,2,24,1,5,10,4,1),(25,336,2,24,2,3,13,NULL,3),(25,336,2,24,3,5,15,3,2),(25,336,2,24,4,4,9,1,2),(25,336,2,24,5,10,10,3,3),(25,336,2,24,6,5,8,1,3),(25,336,2,24,7,1,9,NULL,5),(25,336,2,24,8,14,12,5,4),(25,336,2,24,9,22,10,4,2),(25,336,2,24,10,5,11,2,1),(25,336,2,24,11,1,31,NULL,6),(25,336,2,24,12,2,15,NULL,6),(25,336,2,24,13,21,9,6,1),(25,336,2,24,14,8,18,1,5),(25,336,2,24,15,15,14,3,3),(25,336,2,24,16,7,12,1,2),(25,336,2,24,17,3,11,1,2),(25,336,2,24,18,7,11,1,4),(25,336,2,24,19,3,1,1,NULL),(25,336,2,24,20,7,7,2,1),(25,336,2,24,21,2,5,NULL,NULL),(25,336,2,24,22,NULL,1,NULL,NULL),(25,336,2,24,23,3,5,NULL,2),(25,336,2,24,24,3,5,1,1),(25,336,2,24,25,2,NULL,NULL,NULL),(25,336,2,24,26,2,7,NULL,1),(25,336,2,24,27,NULL,3,NULL,1),(25,336,2,24,28,1,6,NULL,2),(25,336,2,24,29,NULL,8,NULL,3),(25,336,2,24,30,1,8,NULL,2),(25,336,2,24,31,11,8,3,4),(25,336,2,24,32,2,8,NULL,4),(25,336,2,24,33,11,7,2,2),(25,336,2,24,34,NULL,2,NULL,1),(25,336,2,24,35,3,6,NULL,1),(25,336,2,24,36,7,11,2,4),(25,336,2,24,37,2,1,1,1),(25,336,2,24,38,7,15,1,5),(25,336,2,24,39,22,NULL,7,NULL),(25,336,2,24,40,1,3,1,NULL),(25,337,1,11,1,1,NULL,1,NULL),(25,337,1,11,2,NULL,NULL,NULL,NULL),(25,337,1,11,3,NULL,1,NULL,NULL),(25,337,1,11,4,2,NULL,1,NULL),(25,337,1,11,5,NULL,NULL,NULL,NULL),(25,337,1,11,6,NULL,1,NULL,1),(25,337,1,11,7,NULL,1,NULL,1),(25,337,1,11,8,NULL,1,NULL,NULL),(25,337,1,11,9,NULL,1,NULL,NULL),(25,337,1,11,10,NULL,NULL,NULL,NULL),(25,337,1,11,11,NULL,1,NULL,NULL),(25,337,1,11,12,NULL,NULL,NULL,NULL),(25,337,1,11,13,2,NULL,1,NULL),(25,337,1,11,14,2,NULL,1,NULL),(25,337,1,11,15,1,NULL,1,NULL),(25,337,1,11,16,2,NULL,1,NULL),(25,337,1,11,17,NULL,1,NULL,1),(25,337,1,11,18,1,NULL,1,NULL),(25,337,1,11,19,1,NULL,1,NULL),(25,337,1,11,20,1,1,1,NULL),(25,337,1,11,21,NULL,1,NULL,NULL),(25,337,1,11,22,NULL,NULL,NULL,NULL),(25,337,1,11,23,NULL,1,NULL,NULL),(25,337,1,11,24,NULL,1,NULL,NULL),(25,337,1,11,25,NULL,1,NULL,1),(25,337,1,11,26,NULL,NULL,NULL,NULL),(25,337,1,11,27,NULL,NULL,NULL,NULL),(25,337,1,11,28,NULL,1,NULL,NULL),(25,337,1,11,29,NULL,1,NULL,NULL),(25,337,1,11,30,NULL,1,NULL,NULL),(25,337,1,11,31,NULL,NULL,NULL,NULL),(25,337,1,11,32,NULL,NULL,NULL,NULL),(25,337,1,11,33,1,NULL,1,NULL),(25,337,1,11,34,NULL,NULL,NULL,NULL),(25,337,1,11,35,NULL,NULL,NULL,NULL),(25,337,1,11,36,NULL,NULL,NULL,NULL),(25,337,1,11,37,NULL,NULL,NULL,NULL),(25,337,1,11,38,NULL,NULL,NULL,NULL),(25,337,1,11,39,NULL,1,NULL,NULL),(25,337,1,11,40,NULL,NULL,NULL,NULL),(25,337,1,12,1,1,NULL,NULL,NULL),(25,337,1,12,2,NULL,1,NULL,NULL),(25,337,1,12,3,NULL,NULL,NULL,NULL),(25,337,1,12,4,NULL,NULL,NULL,NULL),(25,337,1,12,5,NULL,NULL,NULL,NULL),(25,337,1,12,6,NULL,NULL,NULL,NULL),(25,337,1,12,7,NULL,1,NULL,NULL),(25,337,1,12,8,NULL,NULL,NULL,NULL),(25,337,1,12,9,NULL,1,NULL,NULL),(25,337,1,12,10,NULL,NULL,NULL,NULL),(25,337,1,12,11,1,NULL,NULL,NULL),(25,337,1,12,12,NULL,NULL,NULL,NULL),(25,337,1,12,13,NULL,NULL,NULL,NULL),(25,337,1,12,14,1,NULL,NULL,NULL),(25,337,1,12,15,NULL,NULL,NULL,NULL),(25,337,1,12,16,NULL,NULL,NULL,NULL),(25,337,1,12,17,NULL,NULL,NULL,NULL),(25,337,1,12,18,NULL,NULL,NULL,NULL),(25,337,1,12,19,NULL,NULL,NULL,NULL),(25,337,1,12,20,1,NULL,NULL,NULL),(25,337,1,12,21,NULL,NULL,NULL,NULL),(25,337,1,12,22,NULL,NULL,NULL,NULL),(25,337,1,12,23,NULL,NULL,NULL,NULL),(25,337,1,12,24,NULL,NULL,NULL,NULL),(25,337,1,12,25,NULL,NULL,NULL,NULL),(25,337,1,12,26,NULL,NULL,NULL,NULL),(25,337,1,12,27,NULL,NULL,NULL,NULL),(25,337,1,12,28,NULL,NULL,NULL,NULL),(25,337,1,12,29,NULL,NULL,NULL,NULL),(25,337,1,12,30,NULL,NULL,NULL,NULL),(25,337,1,12,31,NULL,NULL,NULL,NULL),(25,337,1,12,32,NULL,NULL,NULL,NULL),(25,337,1,12,33,NULL,NULL,NULL,NULL),(25,337,1,12,34,NULL,NULL,NULL,NULL),(25,337,1,12,35,NULL,NULL,NULL,NULL),(25,337,1,12,36,1,NULL,NULL,NULL),(25,337,1,12,37,NULL,NULL,NULL,NULL),(25,337,1,12,38,NULL,NULL,NULL,NULL),(25,337,1,12,39,NULL,1,NULL,NULL),(25,337,1,12,40,NULL,NULL,NULL,NULL),(25,337,1,13,1,1,NULL,1,NULL),(25,337,1,13,2,NULL,1,NULL,1),(25,337,1,13,3,NULL,1,NULL,1),(25,337,1,13,4,1,NULL,1,NULL),(25,337,1,13,5,NULL,NULL,NULL,NULL),(25,337,1,13,6,NULL,NULL,NULL,NULL),(25,337,1,13,7,NULL,1,NULL,1),(25,337,1,13,8,NULL,NULL,NULL,NULL),(25,337,1,13,9,NULL,1,NULL,1),(25,337,1,13,10,NULL,NULL,NULL,NULL),(25,337,1,13,11,NULL,NULL,NULL,NULL),(25,337,1,13,12,NULL,1,NULL,1),(25,337,1,13,13,1,NULL,1,NULL),(25,337,1,13,14,1,NULL,1,NULL),(25,337,1,13,15,1,NULL,1,NULL),(25,337,1,13,16,NULL,1,NULL,1),(25,337,1,13,17,1,NULL,1,NULL),(25,337,1,13,18,1,NULL,1,NULL),(25,337,1,13,19,NULL,1,NULL,1),(25,337,1,13,20,NULL,NULL,NULL,NULL),(25,337,1,13,21,NULL,1,NULL,1),(25,337,1,13,22,NULL,NULL,NULL,NULL),(25,337,1,13,23,NULL,1,NULL,1),(25,337,1,13,24,NULL,1,NULL,1),(25,337,1,13,25,NULL,NULL,NULL,NULL),(25,337,1,13,26,NULL,NULL,NULL,NULL),(25,337,1,13,27,NULL,NULL,NULL,NULL),(25,337,1,13,28,NULL,1,NULL,1),(25,337,1,13,29,NULL,NULL,NULL,NULL),(25,337,1,13,30,NULL,1,NULL,1),(25,337,1,13,31,NULL,NULL,NULL,NULL),(25,337,1,13,32,NULL,NULL,NULL,NULL),(25,337,1,13,33,NULL,NULL,NULL,NULL),(25,337,1,13,34,NULL,NULL,NULL,NULL),(25,337,1,13,35,NULL,1,NULL,1),(25,337,1,13,36,NULL,NULL,NULL,NULL),(25,337,1,13,37,NULL,NULL,NULL,NULL),(25,337,1,13,38,NULL,NULL,NULL,NULL),(25,337,1,13,39,NULL,NULL,NULL,NULL),(25,337,1,13,40,NULL,NULL,NULL,NULL),(25,337,1,14,1,10,11,7,6),(25,337,1,14,2,5,4,4,3),(25,337,1,14,3,3,5,2,4),(25,337,1,14,4,8,7,6,3),(25,337,1,14,5,3,6,3,5),(25,337,1,14,6,4,7,3,5),(25,337,1,14,7,4,9,3,5),(25,337,1,14,8,6,4,4,2),(25,337,1,14,9,3,9,2,5),(25,337,1,14,10,3,1,3,1),(25,337,1,14,11,1,5,1,5),(25,337,1,14,12,3,2,3,2),(25,337,1,14,13,4,5,2,3),(25,337,1,14,14,5,4,4,3),(25,337,1,14,15,12,2,9,1),(25,337,1,14,16,3,2,3,2),(25,337,1,14,17,7,2,5,2),(25,337,1,14,18,10,4,9,3),(25,337,1,14,19,7,8,6,7),(25,337,1,14,20,8,NULL,6,NULL),(25,337,1,14,21,1,10,NULL,6),(25,337,1,14,22,NULL,4,NULL,3),(25,337,1,14,23,NULL,7,NULL,4),(25,337,1,14,24,2,3,2,2),(25,337,1,14,25,NULL,3,NULL,2),(25,337,1,14,26,4,NULL,3,NULL),(25,337,1,14,27,NULL,NULL,NULL,NULL),(25,337,1,14,28,1,9,NULL,5),(25,337,1,14,29,1,2,NULL,NULL),(25,337,1,14,30,2,3,2,1),(25,337,1,14,31,1,2,1,2),(25,337,1,14,32,1,1,1,NULL),(25,337,1,14,33,1,4,1,3),(25,337,1,14,34,2,1,2,NULL),(25,337,1,14,35,3,5,2,3),(25,337,1,14,36,4,7,2,4),(25,337,1,14,37,3,4,2,3),(25,337,1,14,38,1,12,1,6),(25,337,1,14,39,1,8,1,5),(25,337,1,14,40,2,2,1,2),(25,337,1,15,1,3,3,3,1),(25,337,1,15,2,3,2,3,1),(25,337,1,15,3,NULL,2,NULL,2),(25,337,1,15,4,7,NULL,5,NULL),(25,337,1,15,5,1,4,NULL,3),(25,337,1,15,6,2,3,2,2),(25,337,1,15,7,1,5,1,4),(25,337,1,15,8,NULL,1,NULL,1),(25,337,1,15,9,2,1,1,1),(25,337,1,15,10,NULL,1,NULL,1),(25,337,1,15,11,2,2,1,NULL),(25,337,1,15,12,NULL,1,NULL,NULL),(25,337,1,15,13,3,2,2,2),(25,337,1,15,14,2,4,2,1),(25,337,1,15,15,4,2,3,NULL),(25,337,1,15,16,1,1,1,NULL),(25,337,1,15,17,5,1,4,NULL),(25,337,1,15,18,4,1,2,1),(25,337,1,15,19,4,2,2,NULL),(25,337,1,15,20,3,NULL,2,NULL),(25,337,1,15,21,3,1,2,NULL),(25,337,1,15,22,NULL,NULL,NULL,NULL),(25,337,1,15,23,2,2,1,1),(25,337,1,15,24,1,NULL,NULL,NULL),(25,337,1,15,25,NULL,2,NULL,2),(25,337,1,15,26,NULL,NULL,NULL,NULL),(25,337,1,15,27,1,NULL,NULL,NULL),(25,337,1,15,28,3,1,2,1),(25,337,1,15,29,3,NULL,1,NULL),(25,337,1,15,30,1,2,NULL,1),(25,337,1,15,31,NULL,NULL,NULL,NULL),(25,337,1,15,32,NULL,NULL,NULL,NULL),(25,337,1,15,33,NULL,2,NULL,2),(25,337,1,15,34,NULL,NULL,NULL,NULL),(25,337,1,15,35,2,NULL,2,NULL),(25,337,1,15,36,3,4,2,2),(25,337,1,15,37,1,1,1,NULL),(25,337,1,15,38,1,3,1,3),(25,337,1,15,39,1,3,1,1),(25,337,1,15,40,NULL,1,NULL,NULL),(25,337,1,16,1,1,9,1,2),(25,337,1,16,2,4,1,NULL,NULL),(25,337,1,16,3,2,5,NULL,2),(25,337,1,16,4,6,6,1,2),(25,337,1,16,5,1,5,NULL,1),(25,337,1,16,6,3,6,2,NULL),(25,337,1,16,7,1,7,NULL,1),(25,337,1,16,8,2,2,NULL,NULL),(25,337,1,16,9,3,2,1,1),(25,337,1,16,10,NULL,2,NULL,NULL),(25,337,1,16,11,1,3,1,1),(25,337,1,16,12,2,3,1,2),(25,337,1,16,13,4,3,NULL,1),(25,337,1,16,14,5,3,1,1),(25,337,1,16,15,11,NULL,4,NULL),(25,337,1,16,16,NULL,8,NULL,2),(25,337,1,16,17,NULL,7,NULL,1),(25,337,1,16,18,2,11,NULL,2),(25,337,1,16,19,NULL,9,NULL,1),(25,337,1,16,20,12,NULL,2,NULL),(25,337,1,16,21,1,8,1,3),(25,337,1,16,22,NULL,4,NULL,1),(25,337,1,16,23,1,2,1,2),(25,337,1,16,24,NULL,4,NULL,2),(25,337,1,16,25,NULL,1,NULL,NULL),(25,337,1,16,26,1,NULL,1,NULL),(25,337,1,16,27,NULL,NULL,NULL,NULL),(25,337,1,16,28,2,8,NULL,3),(25,337,1,16,29,NULL,3,NULL,1),(25,337,1,16,30,NULL,3,NULL,1),(25,337,1,16,31,NULL,4,NULL,1),(25,337,1,16,32,NULL,NULL,NULL,NULL),(25,337,1,16,33,1,3,1,1),(25,337,1,16,34,NULL,1,NULL,NULL),(25,337,1,16,35,1,1,NULL,NULL),(25,337,1,16,36,2,3,2,1),(25,337,1,16,37,1,5,NULL,3),(25,337,1,16,38,1,9,1,3),(25,337,1,16,39,NULL,4,NULL,2),(25,337,1,16,40,1,1,1,1),(25,337,1,17,1,4,6,1,NULL),(25,337,1,17,2,3,3,1,NULL),(25,337,1,17,3,2,1,1,NULL),(25,337,1,17,4,4,6,1,NULL),(25,337,1,17,5,1,1,1,NULL),(25,337,1,17,6,NULL,6,NULL,1),(25,337,1,17,7,2,5,1,NULL),(25,337,1,17,8,1,1,NULL,NULL),(25,337,1,17,9,2,4,NULL,1),(25,337,1,17,10,NULL,1,NULL,1),(25,337,1,17,11,NULL,3,NULL,NULL),(25,337,1,17,12,2,2,NULL,NULL),(25,337,1,17,13,5,2,1,NULL),(25,337,1,17,14,3,1,1,NULL),(25,337,1,17,15,6,NULL,1,NULL),(25,337,1,17,16,1,5,1,NULL),(25,337,1,17,17,NULL,4,NULL,1),(25,337,1,17,18,2,5,1,NULL),(25,337,1,17,19,1,5,1,NULL),(25,337,1,17,20,9,NULL,1,NULL),(25,337,1,17,21,NULL,5,NULL,1),(25,337,1,17,22,NULL,3,NULL,NULL),(25,337,1,17,23,NULL,1,NULL,NULL),(25,337,1,17,24,NULL,4,NULL,NULL),(25,337,1,17,25,NULL,2,NULL,NULL),(25,337,1,17,26,1,NULL,NULL,NULL),(25,337,1,17,27,NULL,NULL,NULL,NULL),(25,337,1,17,28,NULL,4,NULL,1),(25,337,1,17,29,1,2,1,NULL),(25,337,1,17,30,1,3,NULL,NULL),(25,337,1,17,31,NULL,2,NULL,NULL),(25,337,1,17,32,NULL,1,NULL,NULL),(25,337,1,17,33,1,1,NULL,1),(25,337,1,17,34,1,1,NULL,NULL),(25,337,1,17,35,NULL,5,NULL,NULL),(25,337,1,17,36,NULL,3,NULL,NULL),(25,337,1,17,37,1,3,NULL,1),(25,337,1,17,38,2,7,NULL,1),(25,337,1,17,39,2,1,1,NULL),(25,337,1,17,40,NULL,1,NULL,NULL),(25,337,2,21,1,3,6,3,4),(25,337,2,21,2,1,3,NULL,3),(25,337,2,21,3,2,4,1,4),(25,337,2,21,4,NULL,3,NULL,2),(25,337,2,21,5,5,4,4,1),(25,337,2,21,6,3,4,2,2),(25,337,2,21,7,2,2,2,1),(25,337,2,21,8,8,3,7,1),(25,337,2,21,9,7,2,5,1),(25,337,2,21,10,7,2,6,1),(25,337,2,21,11,NULL,8,NULL,3),(25,337,2,21,12,NULL,9,NULL,6),(25,337,2,21,13,8,2,6,NULL),(25,337,2,21,14,2,6,2,3),(25,337,2,21,15,2,3,2,1),(25,337,2,21,16,2,5,2,4),(25,337,2,21,17,NULL,8,NULL,5),(25,337,2,21,18,4,5,1,3),(25,337,2,21,19,2,6,1,5),(25,337,2,21,20,1,4,1,3),(25,337,2,21,21,NULL,1,NULL,NULL),(25,337,2,21,22,NULL,NULL,NULL,NULL),(25,337,2,21,23,NULL,4,NULL,3),(25,337,2,21,24,NULL,2,NULL,1),(25,337,2,21,25,1,NULL,NULL,NULL),(25,337,2,21,26,NULL,NULL,NULL,NULL),(25,337,2,21,27,NULL,1,NULL,NULL),(25,337,2,21,28,NULL,2,NULL,1),(25,337,2,21,29,NULL,2,NULL,1),(25,337,2,21,30,NULL,4,NULL,2),(25,337,2,21,31,1,2,1,1),(25,337,2,21,32,NULL,2,NULL,1),(25,337,2,21,33,2,3,2,2),(25,337,2,21,34,NULL,1,NULL,1),(25,337,2,21,35,NULL,7,NULL,5),(25,337,2,21,36,1,1,1,1),(25,337,2,21,37,NULL,2,NULL,2),(25,337,2,21,38,2,4,2,2),(25,337,2,21,39,4,NULL,3,NULL),(25,337,2,21,40,NULL,1,NULL,1),(25,337,2,22,1,2,1,1,NULL),(25,337,2,22,2,2,6,NULL,3),(25,337,2,22,3,2,NULL,1,NULL),(25,337,2,22,4,2,1,1,1),(25,337,2,22,5,3,3,NULL,2),(25,337,2,22,6,NULL,3,NULL,1),(25,337,2,22,7,1,2,1,1),(25,337,2,22,8,4,3,2,NULL),(25,337,2,22,9,7,2,1,1),(25,337,2,22,10,1,2,NULL,NULL),(25,337,2,22,11,NULL,12,NULL,4),(25,337,2,22,12,1,2,NULL,1),(25,337,2,22,13,7,1,2,NULL),(25,337,2,22,14,6,6,2,2),(25,337,2,22,15,3,3,3,NULL),(25,337,2,22,16,NULL,3,NULL,1),(25,337,2,22,17,1,2,NULL,1),(25,337,2,22,18,1,2,NULL,2),(25,337,2,22,19,NULL,7,NULL,2),(25,337,2,22,20,5,1,2,1),(25,337,2,22,21,NULL,2,NULL,1),(25,337,2,22,22,NULL,1,NULL,NULL),(25,337,2,22,23,1,2,NULL,2),(25,337,2,22,24,NULL,3,NULL,1),(25,337,2,22,25,2,NULL,1,NULL),(25,337,2,22,26,1,NULL,NULL,NULL),(25,337,2,22,27,NULL,3,NULL,1),(25,337,2,22,28,NULL,2,NULL,1),(25,337,2,22,29,NULL,1,NULL,NULL),(25,337,2,22,30,NULL,4,NULL,NULL),(25,337,2,22,31,2,1,2,NULL),(25,337,2,22,32,NULL,1,NULL,NULL),(25,337,2,22,33,2,1,2,1),(25,337,2,22,34,NULL,NULL,NULL,NULL),(25,337,2,22,35,NULL,1,NULL,1),(25,337,2,22,36,NULL,7,NULL,2),(25,337,2,22,37,1,2,NULL,NULL),(25,337,2,22,38,2,2,2,1),(25,337,2,22,39,2,NULL,NULL,NULL),(25,337,2,22,40,NULL,1,NULL,1),(25,337,2,23,1,4,5,1,2),(25,337,2,23,2,NULL,6,NULL,3),(25,337,2,23,3,2,2,1,NULL),(25,337,2,23,4,1,3,NULL,1),(25,337,2,23,5,6,4,3,NULL),(25,337,2,23,6,NULL,2,NULL,NULL),(25,337,2,23,7,1,2,NULL,1),(25,337,2,23,8,4,1,2,NULL),(25,337,2,23,9,9,3,5,NULL),(25,337,2,23,10,5,4,3,1),(25,337,2,23,11,4,5,2,1),(25,337,2,23,12,NULL,5,NULL,2),(25,337,2,23,13,10,1,4,NULL),(25,337,2,23,14,1,5,1,2),(25,337,2,23,15,2,6,NULL,3),(25,337,2,23,16,3,3,3,NULL),(25,337,2,23,17,3,7,1,4),(25,337,2,23,18,5,5,2,2),(25,337,2,23,19,NULL,5,NULL,3),(25,337,2,23,20,3,7,1,2),(25,337,2,23,21,1,1,NULL,1),(25,337,2,23,22,NULL,NULL,NULL,NULL),(25,337,2,23,23,1,NULL,NULL,NULL),(25,337,2,23,24,2,3,NULL,NULL),(25,337,2,23,25,NULL,NULL,NULL,NULL),(25,337,2,23,26,NULL,NULL,NULL,NULL),(25,337,2,23,27,NULL,1,NULL,NULL),(25,337,2,23,28,NULL,NULL,NULL,NULL),(25,337,2,23,29,NULL,4,NULL,2),(25,337,2,23,30,2,1,2,NULL),(25,337,2,23,31,4,NULL,3,NULL),(25,337,2,23,32,NULL,3,NULL,NULL),(25,337,2,23,33,1,2,NULL,1),(25,337,2,23,34,NULL,2,NULL,NULL),(25,337,2,23,35,NULL,NULL,NULL,NULL),(25,337,2,23,36,2,2,1,1),(25,337,2,23,37,NULL,3,NULL,NULL),(25,337,2,23,38,NULL,2,NULL,1),(25,337,2,23,39,2,NULL,NULL,NULL),(25,337,2,23,40,NULL,2,NULL,NULL),(25,337,2,24,1,NULL,6,NULL,1),(25,337,2,24,2,1,4,NULL,2),(25,337,2,24,3,2,5,1,2),(25,337,2,24,4,2,4,1,1),(25,337,2,24,5,4,4,3,1),(25,337,2,24,6,NULL,5,NULL,2),(25,337,2,24,7,1,3,NULL,1),(25,337,2,24,8,3,9,2,1),(25,337,2,24,9,7,3,4,NULL),(25,337,2,24,10,NULL,9,NULL,3),(25,337,2,24,11,3,10,1,1),(25,337,2,24,12,1,2,1,1),(25,337,2,24,13,6,3,3,1),(25,337,2,24,14,2,4,2,2),(25,337,2,24,15,2,10,1,3),(25,337,2,24,16,NULL,4,NULL,2),(25,337,2,24,17,1,11,1,3),(25,337,2,24,18,2,6,2,1),(25,337,2,24,19,1,3,NULL,1),(25,337,2,24,20,NULL,6,NULL,1),(25,337,2,24,21,NULL,1,NULL,NULL),(25,337,2,24,22,NULL,NULL,NULL,NULL),(25,337,2,24,23,NULL,1,NULL,1),(25,337,2,24,24,1,4,1,2),(25,337,2,24,25,NULL,NULL,NULL,NULL),(25,337,2,24,26,NULL,NULL,NULL,NULL),(25,337,2,24,27,NULL,4,NULL,NULL),(25,337,2,24,28,NULL,2,NULL,1),(25,337,2,24,29,1,3,1,1),(25,337,2,24,30,2,2,1,NULL),(25,337,2,24,31,2,1,NULL,1),(25,337,2,24,32,NULL,4,NULL,1),(25,337,2,24,33,NULL,5,NULL,2),(25,337,2,24,34,NULL,1,NULL,1),(25,337,2,24,35,1,3,1,1),(25,337,2,24,36,NULL,6,NULL,1),(25,337,2,24,37,NULL,2,NULL,NULL),(25,337,2,24,38,3,2,1,1),(25,337,2,24,39,3,NULL,1,NULL),(25,337,2,24,40,NULL,2,NULL,NULL),(25,338,1,11,1,NULL,NULL,NULL,NULL),(25,338,1,11,2,NULL,NULL,NULL,NULL),(25,338,1,11,3,NULL,NULL,NULL,NULL),(25,338,1,11,4,NULL,NULL,NULL,NULL),(25,338,1,11,5,NULL,NULL,NULL,NULL),(25,338,1,11,6,NULL,NULL,NULL,NULL),(25,338,1,11,7,NULL,NULL,NULL,NULL),(25,338,1,11,8,NULL,NULL,NULL,NULL),(25,338,1,11,9,NULL,NULL,NULL,NULL),(25,338,1,11,10,NULL,NULL,NULL,NULL),(25,338,1,11,11,NULL,NULL,NULL,NULL),(25,338,1,11,12,NULL,NULL,NULL,NULL),(25,338,1,11,13,NULL,NULL,NULL,NULL),(25,338,1,11,14,NULL,NULL,NULL,NULL),(25,338,1,11,15,NULL,NULL,NULL,NULL),(25,338,1,11,16,NULL,NULL,NULL,NULL),(25,338,1,11,17,NULL,NULL,NULL,NULL),(25,338,1,11,18,NULL,NULL,NULL,NULL),(25,338,1,11,19,NULL,NULL,NULL,NULL),(25,338,1,11,20,NULL,NULL,NULL,NULL),(25,338,1,11,21,NULL,NULL,NULL,NULL),(25,338,1,11,22,NULL,NULL,NULL,NULL),(25,338,1,11,23,NULL,NULL,NULL,NULL),(25,338,1,11,24,NULL,NULL,NULL,NULL),(25,338,1,11,25,NULL,NULL,NULL,NULL),(25,338,1,11,26,NULL,NULL,NULL,NULL),(25,338,1,11,27,NULL,NULL,NULL,NULL),(25,338,1,11,28,NULL,NULL,NULL,NULL),(25,338,1,11,29,NULL,NULL,NULL,NULL),(25,338,1,11,30,NULL,NULL,NULL,NULL),(25,338,1,11,31,NULL,NULL,NULL,NULL),(25,338,1,11,32,NULL,NULL,NULL,NULL),(25,338,1,11,33,NULL,NULL,NULL,NULL),(25,338,1,11,34,NULL,NULL,NULL,NULL),(25,338,1,11,35,NULL,NULL,NULL,NULL),(25,338,1,11,36,NULL,NULL,NULL,NULL),(25,338,1,11,37,NULL,NULL,NULL,NULL),(25,338,1,11,38,NULL,NULL,NULL,NULL),(25,338,1,11,39,NULL,NULL,NULL,NULL),(25,338,1,11,40,NULL,NULL,NULL,NULL),(25,338,1,12,1,1,1,1,NULL),(25,338,1,12,2,NULL,1,NULL,1),(25,338,1,12,3,NULL,NULL,NULL,NULL),(25,338,1,12,4,2,NULL,1,NULL),(25,338,1,12,5,1,NULL,1,NULL),(25,338,1,12,6,1,1,NULL,1),(25,338,1,12,7,NULL,1,NULL,NULL),(25,338,1,12,8,1,NULL,1,NULL),(25,338,1,12,9,NULL,NULL,NULL,NULL),(25,338,1,12,10,NULL,NULL,NULL,NULL),(25,338,1,12,11,1,1,1,NULL),(25,338,1,12,12,NULL,1,NULL,1),(25,338,1,12,13,NULL,NULL,NULL,NULL),(25,338,1,12,14,1,1,1,NULL),(25,338,1,12,15,NULL,2,NULL,1),(25,338,1,12,16,1,NULL,1,NULL),(25,338,1,12,17,1,NULL,1,NULL),(25,338,1,12,18,1,1,1,NULL),(25,338,1,12,19,1,NULL,NULL,NULL),(25,338,1,12,20,NULL,1,NULL,1),(25,338,1,12,21,NULL,NULL,NULL,NULL),(25,338,1,12,22,NULL,NULL,NULL,NULL),(25,338,1,12,23,NULL,NULL,NULL,NULL),(25,338,1,12,24,NULL,NULL,NULL,NULL),(25,338,1,12,25,NULL,NULL,NULL,NULL),(25,338,1,12,26,NULL,NULL,NULL,NULL),(25,338,1,12,27,NULL,NULL,NULL,NULL),(25,338,1,12,28,1,NULL,1,NULL),(25,338,1,12,29,NULL,NULL,NULL,NULL),(25,338,1,12,30,NULL,NULL,NULL,NULL),(25,338,1,12,31,NULL,NULL,NULL,NULL),(25,338,1,12,32,NULL,NULL,NULL,NULL),(25,338,1,12,33,NULL,NULL,NULL,NULL),(25,338,1,12,34,1,NULL,1,NULL),(25,338,1,12,35,NULL,NULL,NULL,NULL),(25,338,1,12,36,NULL,2,NULL,1),(25,338,1,12,37,NULL,NULL,NULL,NULL),(25,338,1,12,38,NULL,2,NULL,1),(25,338,1,12,39,NULL,1,NULL,NULL),(25,338,1,12,40,NULL,NULL,NULL,NULL),(25,338,1,13,1,2,NULL,NULL,NULL),(25,338,1,13,2,1,NULL,NULL,NULL),(25,338,1,13,3,1,NULL,1,NULL),(25,338,1,13,4,2,NULL,1,NULL),(25,338,1,13,5,NULL,NULL,NULL,NULL),(25,338,1,13,6,1,NULL,NULL,NULL),(25,338,1,13,7,NULL,1,NULL,NULL),(25,338,1,13,8,NULL,NULL,NULL,NULL),(25,338,1,13,9,1,NULL,NULL,NULL),(25,338,1,13,10,NULL,NULL,NULL,NULL),(25,338,1,13,11,1,NULL,NULL,NULL),(25,338,1,13,12,NULL,NULL,NULL,NULL),(25,338,1,13,13,3,NULL,1,NULL),(25,338,1,13,14,NULL,NULL,NULL,NULL),(25,338,1,13,15,NULL,NULL,NULL,NULL),(25,338,1,13,16,NULL,NULL,NULL,NULL),(25,338,1,13,17,2,NULL,NULL,NULL),(25,338,1,13,18,3,NULL,1,NULL),(25,338,1,13,19,NULL,NULL,NULL,NULL),(25,338,1,13,20,NULL,NULL,NULL,NULL),(25,338,1,13,21,NULL,NULL,NULL,NULL),(25,338,1,13,22,1,NULL,NULL,NULL),(25,338,1,13,23,NULL,NULL,NULL,NULL),(25,338,1,13,24,NULL,NULL,NULL,NULL),(25,338,1,13,25,NULL,NULL,NULL,NULL),(25,338,1,13,26,NULL,NULL,NULL,NULL),(25,338,1,13,27,NULL,NULL,NULL,NULL),(25,338,1,13,28,NULL,1,NULL,NULL),(25,338,1,13,29,NULL,NULL,NULL,NULL),(25,338,1,13,30,NULL,NULL,NULL,NULL),(25,338,1,13,31,NULL,NULL,NULL,NULL),(25,338,1,13,32,NULL,NULL,NULL,NULL),(25,338,1,13,33,NULL,NULL,NULL,NULL),(25,338,1,13,34,NULL,NULL,NULL,NULL),(25,338,1,13,35,NULL,NULL,NULL,NULL),(25,338,1,13,36,NULL,1,NULL,1),(25,338,1,13,37,NULL,1,NULL,NULL),(25,338,1,13,38,1,1,NULL,NULL),(25,338,1,13,39,NULL,1,NULL,NULL),(25,338,1,13,40,NULL,NULL,NULL,NULL),(25,338,1,14,1,4,7,4,4),(25,338,1,14,2,2,2,2,2),(25,338,1,14,3,2,1,2,NULL),(25,338,1,14,4,4,2,3,2),(25,338,1,14,5,2,NULL,2,NULL),(25,338,1,14,6,2,3,1,3),(25,338,1,14,7,3,1,3,1),(25,338,1,14,8,3,3,2,2),(25,338,1,14,9,1,4,1,3),(25,338,1,14,10,2,2,2,2),(25,338,1,14,11,2,NULL,2,NULL),(25,338,1,14,12,1,2,NULL,2),(25,338,1,14,13,2,1,1,NULL),(25,338,1,14,14,3,3,2,3),(25,338,1,14,15,1,3,1,3),(25,338,1,14,16,1,4,1,3),(25,338,1,14,17,3,2,3,1),(25,338,1,14,18,3,2,3,2),(25,338,1,14,19,2,4,1,3),(25,338,1,14,20,1,2,1,2),(25,338,1,14,21,1,2,1,2),(25,338,1,14,22,2,5,2,3),(25,338,1,14,23,NULL,3,NULL,2),(25,338,1,14,24,NULL,2,NULL,2),(25,338,1,14,25,1,1,NULL,1),(25,338,1,14,26,1,NULL,1,NULL),(25,338,1,14,27,NULL,NULL,NULL,NULL),(25,338,1,14,28,2,2,1,2),(25,338,1,14,29,NULL,1,NULL,1),(25,338,1,14,30,NULL,1,NULL,1),(25,338,1,14,31,1,1,1,1),(25,338,1,14,32,NULL,1,NULL,NULL),(25,338,1,14,33,NULL,1,NULL,1),(25,338,1,14,34,2,1,1,1),(25,338,1,14,35,1,3,NULL,1),(25,338,1,14,36,1,3,1,2),(25,338,1,14,37,1,1,1,1),(25,338,1,14,38,2,2,2,1),(25,338,1,14,39,NULL,2,NULL,1),(25,338,1,14,40,NULL,2,NULL,1),(25,338,1,15,1,4,2,2,2),(25,338,1,15,2,4,3,3,2),(25,338,1,15,3,2,1,2,1),(25,338,1,15,4,4,NULL,2,NULL),(25,338,1,15,5,NULL,2,NULL,2),(25,338,1,15,6,NULL,2,NULL,2),(25,338,1,15,7,2,3,2,2),(25,338,1,15,8,3,NULL,2,NULL),(25,338,1,15,9,3,3,1,3),(25,338,1,15,10,NULL,NULL,NULL,NULL),(25,338,1,15,11,1,1,1,1),(25,338,1,15,12,1,NULL,1,NULL),(25,338,1,15,13,1,1,1,1),(25,338,1,15,14,2,NULL,1,NULL),(25,338,1,15,15,3,2,2,1),(25,338,1,15,16,3,NULL,2,NULL),(25,338,1,15,17,1,2,1,NULL),(25,338,1,15,18,4,NULL,2,NULL),(25,338,1,15,19,3,NULL,2,NULL),(25,338,1,15,20,2,1,1,1),(25,338,1,15,21,1,3,1,2),(25,338,1,15,22,1,1,NULL,1),(25,338,1,15,23,1,1,1,1),(25,338,1,15,24,NULL,1,NULL,1),(25,338,1,15,25,NULL,NULL,NULL,NULL),(25,338,1,15,26,NULL,NULL,NULL,NULL),(25,338,1,15,27,NULL,NULL,NULL,NULL),(25,338,1,15,28,2,2,1,2),(25,338,1,15,29,1,1,1,1),(25,338,1,15,30,1,1,NULL,1),(25,338,1,15,31,NULL,1,NULL,1),(25,338,1,15,32,NULL,NULL,NULL,NULL),(25,338,1,15,33,2,1,1,NULL),(25,338,1,15,34,2,NULL,1,NULL),(25,338,1,15,35,NULL,NULL,NULL,NULL),(25,338,1,15,36,1,3,1,2),(25,338,1,15,37,NULL,3,NULL,3),(25,338,1,15,38,1,4,NULL,2),(25,338,1,15,39,1,4,1,2),(25,338,1,15,40,NULL,1,NULL,1),(25,338,1,16,1,1,4,1,2),(25,338,1,16,2,2,2,NULL,1),(25,338,1,16,3,1,2,1,2),(25,338,1,16,4,2,2,2,NULL),(25,338,1,16,5,1,1,NULL,NULL),(25,338,1,16,6,NULL,4,NULL,3),(25,338,1,16,7,1,6,1,2),(25,338,1,16,8,1,2,NULL,2),(25,338,1,16,9,1,1,1,NULL),(25,338,1,16,10,1,2,1,1),(25,338,1,16,11,NULL,NULL,NULL,NULL),(25,338,1,16,12,NULL,1,NULL,NULL),(25,338,1,16,13,2,3,2,2),(25,338,1,16,14,2,3,2,2),(25,338,1,16,15,5,NULL,3,NULL),(25,338,1,16,16,NULL,1,NULL,NULL),(25,338,1,16,17,NULL,3,NULL,2),(25,338,1,16,18,2,5,NULL,3),(25,338,1,16,19,NULL,4,NULL,3),(25,338,1,16,20,4,NULL,2,NULL),(25,338,1,16,21,NULL,3,NULL,1),(25,338,1,16,22,1,3,1,2),(25,338,1,16,23,1,NULL,1,NULL),(25,338,1,16,24,NULL,1,NULL,1),(25,338,1,16,25,1,2,NULL,1),(25,338,1,16,26,2,NULL,1,NULL),(25,338,1,16,27,NULL,NULL,NULL,NULL),(25,338,1,16,28,1,4,NULL,3),(25,338,1,16,29,NULL,2,NULL,1),(25,338,1,16,30,1,1,NULL,1),(25,338,1,16,31,NULL,1,NULL,1),(25,338,1,16,32,1,1,1,NULL),(25,338,1,16,33,1,2,1,NULL),(25,338,1,16,34,NULL,1,NULL,NULL),(25,338,1,16,35,NULL,2,NULL,NULL),(25,338,1,16,36,1,NULL,1,NULL),(25,338,1,16,37,2,NULL,2,NULL),(25,338,1,16,38,NULL,3,NULL,2),(25,338,1,16,39,NULL,3,NULL,2),(25,338,1,16,40,2,1,1,1),(25,338,1,17,1,4,3,3,2),(25,338,1,17,2,2,NULL,1,NULL),(25,338,1,17,3,3,2,2,1),(25,338,1,17,4,3,4,1,2),(25,338,1,17,5,NULL,3,NULL,2),(25,338,1,17,6,NULL,4,NULL,2),(25,338,1,17,7,2,6,2,2),(25,338,1,17,8,3,1,2,1),(25,338,1,17,9,2,4,1,2),(25,338,1,17,10,NULL,NULL,NULL,NULL),(25,338,1,17,11,1,1,1,NULL),(25,338,1,17,12,3,2,1,2),(25,338,1,17,13,5,1,3,1),(25,338,1,17,14,3,1,2,1),(25,338,1,17,15,6,NULL,4,NULL),(25,338,1,17,16,NULL,6,NULL,2),(25,338,1,17,17,NULL,2,NULL,1),(25,338,1,17,18,1,7,NULL,5),(25,338,1,17,19,NULL,5,NULL,3),(25,338,1,17,20,5,NULL,4,NULL),(25,338,1,17,21,1,2,NULL,NULL),(25,338,1,17,22,NULL,1,NULL,1),(25,338,1,17,23,NULL,1,NULL,1),(25,338,1,17,24,NULL,3,NULL,2),(25,338,1,17,25,NULL,NULL,NULL,NULL),(25,338,1,17,26,1,NULL,1,NULL),(25,338,1,17,27,NULL,NULL,NULL,NULL),(25,338,1,17,28,3,6,1,4),(25,338,1,17,29,1,2,NULL,1),(25,338,1,17,30,NULL,1,NULL,1),(25,338,1,17,31,NULL,1,NULL,NULL),(25,338,1,17,32,NULL,1,NULL,NULL),(25,338,1,17,33,NULL,1,NULL,1),(25,338,1,17,34,1,2,NULL,1),(25,338,1,17,35,NULL,NULL,NULL,NULL),(25,338,1,17,36,NULL,4,NULL,3),(25,338,1,17,37,1,2,1,1),(25,338,1,17,38,NULL,8,NULL,5),(25,338,1,17,39,NULL,5,NULL,2),(25,338,1,17,40,NULL,1,NULL,1),(25,338,2,21,1,1,2,1,2),(25,338,2,21,2,1,2,1,1),(25,338,2,21,3,2,1,2,1),(25,338,2,21,4,1,3,1,2),(25,338,2,21,5,2,2,2,1),(25,338,2,21,6,NULL,2,NULL,2),(25,338,2,21,7,1,3,NULL,3),(25,338,2,21,8,3,2,1,2),(25,338,2,21,9,1,6,1,4),(25,338,2,21,10,NULL,2,NULL,1),(25,338,2,21,11,NULL,7,NULL,5),(25,338,2,21,12,1,3,1,2),(25,338,2,21,13,6,2,6,1),(25,338,2,21,14,1,4,1,2),(25,338,2,21,15,2,5,2,3),(25,338,2,21,16,NULL,2,NULL,1),(25,338,2,21,17,NULL,4,NULL,2),(25,338,2,21,18,1,1,1,1),(25,338,2,21,19,2,4,1,4),(25,338,2,21,20,2,3,NULL,2),(25,338,2,21,21,2,1,2,1),(25,338,2,21,22,NULL,2,NULL,1),(25,338,2,21,23,NULL,2,NULL,2),(25,338,2,21,24,NULL,1,NULL,1),(25,338,2,21,25,NULL,NULL,NULL,NULL),(25,338,2,21,26,NULL,1,NULL,1),(25,338,2,21,27,NULL,2,NULL,1),(25,338,2,21,28,NULL,1,NULL,NULL),(25,338,2,21,29,NULL,4,NULL,3),(25,338,2,21,30,NULL,NULL,NULL,NULL),(25,338,2,21,31,1,2,1,2),(25,338,2,21,32,NULL,2,NULL,2),(25,338,2,21,33,1,2,NULL,2),(25,338,2,21,34,NULL,2,NULL,1),(25,338,2,21,35,1,2,NULL,2),(25,338,2,21,36,2,3,2,1),(25,338,2,21,37,NULL,3,NULL,3),(25,338,2,21,38,NULL,1,NULL,1),(25,338,2,21,39,2,NULL,1,NULL),(25,338,2,21,40,NULL,NULL,NULL,NULL),(25,338,2,22,1,NULL,2,NULL,1),(25,338,2,22,2,NULL,NULL,NULL,NULL),(25,338,2,22,3,2,1,1,1),(25,338,2,22,4,2,1,1,1),(25,338,2,22,5,2,NULL,2,NULL),(25,338,2,22,6,1,3,NULL,2),(25,338,2,22,7,NULL,2,NULL,1),(25,338,2,22,8,2,2,2,NULL),(25,338,2,22,9,4,2,2,1),(25,338,2,22,10,NULL,3,NULL,1),(25,338,2,22,11,NULL,6,NULL,1),(25,338,2,22,12,1,2,1,NULL),(25,338,2,22,13,6,1,3,NULL),(25,338,2,22,14,1,3,1,2),(25,338,2,22,15,3,2,NULL,NULL),(25,338,2,22,16,NULL,1,NULL,1),(25,338,2,22,17,1,4,NULL,2),(25,338,2,22,18,3,1,2,NULL),(25,338,2,22,19,3,NULL,3,NULL),(25,338,2,22,20,1,4,NULL,NULL),(25,338,2,22,21,NULL,1,NULL,NULL),(25,338,2,22,22,NULL,NULL,NULL,NULL),(25,338,2,22,23,NULL,3,NULL,1),(25,338,2,22,24,NULL,1,NULL,NULL),(25,338,2,22,25,1,NULL,1,NULL),(25,338,2,22,26,1,NULL,NULL,NULL),(25,338,2,22,27,NULL,2,NULL,NULL),(25,338,2,22,28,NULL,NULL,NULL,NULL),(25,338,2,22,29,1,2,NULL,NULL),(25,338,2,22,30,1,1,NULL,NULL),(25,338,2,22,31,1,2,1,NULL),(25,338,2,22,32,NULL,2,NULL,1),(25,338,2,22,33,1,3,1,2),(25,338,2,22,34,1,2,1,NULL),(25,338,2,22,35,NULL,4,NULL,2),(25,338,2,22,36,1,3,NULL,1),(25,338,2,22,37,NULL,1,NULL,1),(25,338,2,22,38,NULL,1,NULL,NULL),(25,338,2,22,39,2,NULL,1,NULL),(25,338,2,22,40,NULL,1,NULL,NULL),(25,338,2,23,1,1,2,NULL,2),(25,338,2,23,2,2,4,1,3),(25,338,2,23,3,1,4,1,4),(25,338,2,23,4,1,1,1,NULL),(25,338,2,23,5,3,6,2,4),(25,338,2,23,6,NULL,1,NULL,1),(25,338,2,23,7,1,2,NULL,2),(25,338,2,23,8,4,4,4,4),(25,338,2,23,9,5,4,4,3),(25,338,2,23,10,2,6,2,5),(25,338,2,23,11,2,3,2,2),(25,338,2,23,12,NULL,1,NULL,1),(25,338,2,23,13,4,5,3,3),(25,338,2,23,14,2,2,2,2),(25,338,2,23,15,1,5,NULL,4),(25,338,2,23,16,2,3,1,3),(25,338,2,23,17,NULL,5,NULL,2),(25,338,2,23,18,4,4,1,3),(25,338,2,23,19,NULL,4,NULL,3),(25,338,2,23,20,3,3,1,3),(25,338,2,23,21,NULL,1,NULL,1),(25,338,2,23,22,NULL,NULL,NULL,NULL),(25,338,2,23,23,NULL,1,NULL,1),(25,338,2,23,24,NULL,4,NULL,3),(25,338,2,23,25,3,NULL,1,NULL),(25,338,2,23,26,NULL,NULL,NULL,NULL),(25,338,2,23,27,NULL,NULL,NULL,NULL),(25,338,2,23,28,NULL,1,NULL,NULL),(25,338,2,23,29,NULL,2,NULL,1),(25,338,2,23,30,1,2,NULL,NULL),(25,338,2,23,31,1,1,1,1),(25,338,2,23,32,1,1,1,1),(25,338,2,23,33,1,2,1,2),(25,338,2,23,34,NULL,2,NULL,2),(25,338,2,23,35,1,4,1,4),(25,338,2,23,36,NULL,3,NULL,3),(25,338,2,23,37,1,4,1,3),(25,338,2,23,38,2,2,2,2),(25,338,2,23,39,2,NULL,1,NULL),(25,338,2,23,40,1,2,1,2),(25,338,2,24,1,1,6,1,3),(25,338,2,24,2,NULL,2,NULL,1),(25,338,2,24,3,NULL,2,NULL,1),(25,338,2,24,4,NULL,2,NULL,1),(25,338,2,24,5,2,1,1,1),(25,338,2,24,6,1,1,1,1),(25,338,2,24,7,1,2,1,1),(25,338,2,24,8,2,1,1,NULL),(25,338,2,24,9,5,1,3,1),(25,338,2,24,10,4,2,3,1),(25,338,2,24,11,NULL,5,NULL,3),(25,338,2,24,12,NULL,2,NULL,2),(25,338,2,24,13,4,2,3,1),(25,338,2,24,14,NULL,5,NULL,4),(25,338,2,24,15,1,1,NULL,NULL),(25,338,2,24,16,1,4,NULL,2),(25,338,2,24,17,1,1,1,1),(25,338,2,24,18,1,NULL,NULL,NULL),(25,338,2,24,19,1,1,NULL,1),(25,338,2,24,20,1,2,1,1),(25,338,2,24,21,1,1,1,NULL),(25,338,2,24,22,NULL,NULL,NULL,NULL),(25,338,2,24,23,NULL,NULL,NULL,NULL),(25,338,2,24,24,NULL,NULL,NULL,NULL),(25,338,2,24,25,NULL,NULL,NULL,NULL),(25,338,2,24,26,NULL,NULL,NULL,NULL),(25,338,2,24,27,1,1,1,NULL),(25,338,2,24,28,NULL,1,NULL,1),(25,338,2,24,29,NULL,1,NULL,1),(25,338,2,24,30,NULL,1,NULL,NULL),(25,338,2,24,31,1,NULL,1,NULL),(25,338,2,24,32,NULL,NULL,NULL,NULL),(25,338,2,24,33,1,2,1,1),(25,338,2,24,34,NULL,NULL,NULL,NULL),(25,338,2,24,35,2,1,1,NULL),(25,338,2,24,36,1,NULL,NULL,NULL),(25,338,2,24,37,NULL,1,NULL,1),(25,338,2,24,38,NULL,1,NULL,NULL),(25,338,2,24,39,2,NULL,1,NULL),(25,338,2,24,40,NULL,NULL,NULL,NULL),(25,339,1,11,1,NULL,NULL,NULL,NULL),(25,339,1,11,2,NULL,NULL,NULL,NULL),(25,339,1,11,3,NULL,NULL,NULL,NULL),(25,339,1,11,4,NULL,NULL,NULL,NULL),(25,339,1,11,5,NULL,NULL,NULL,NULL),(25,339,1,11,6,NULL,NULL,NULL,NULL),(25,339,1,11,7,NULL,NULL,NULL,NULL),(25,339,1,11,8,NULL,NULL,NULL,NULL),(25,339,1,11,9,NULL,NULL,NULL,NULL),(25,339,1,11,10,NULL,NULL,NULL,NULL),(25,339,1,11,11,NULL,NULL,NULL,NULL),(25,339,1,11,12,NULL,NULL,NULL,NULL),(25,339,1,11,13,NULL,NULL,NULL,NULL),(25,339,1,11,14,NULL,NULL,NULL,NULL),(25,339,1,11,15,NULL,NULL,NULL,NULL),(25,339,1,11,16,NULL,NULL,NULL,NULL),(25,339,1,11,17,NULL,NULL,NULL,NULL),(25,339,1,11,18,NULL,NULL,NULL,NULL),(25,339,1,11,19,NULL,NULL,NULL,NULL),(25,339,1,11,20,NULL,NULL,NULL,NULL),(25,339,1,11,21,NULL,NULL,NULL,NULL),(25,339,1,11,22,NULL,NULL,NULL,NULL),(25,339,1,11,23,NULL,NULL,NULL,NULL),(25,339,1,11,24,NULL,NULL,NULL,NULL),(25,339,1,11,25,NULL,NULL,NULL,NULL),(25,339,1,11,26,NULL,NULL,NULL,NULL),(25,339,1,11,27,NULL,NULL,NULL,NULL),(25,339,1,11,28,NULL,NULL,NULL,NULL),(25,339,1,11,29,NULL,NULL,NULL,NULL),(25,339,1,11,30,NULL,NULL,NULL,NULL),(25,339,1,11,31,NULL,NULL,NULL,NULL),(25,339,1,11,32,NULL,NULL,NULL,NULL),(25,339,1,11,33,NULL,NULL,NULL,NULL),(25,339,1,11,34,NULL,NULL,NULL,NULL),(25,339,1,11,35,NULL,NULL,NULL,NULL),(25,339,1,11,36,NULL,NULL,NULL,NULL),(25,339,1,11,37,NULL,NULL,NULL,NULL),(25,339,1,11,38,NULL,NULL,NULL,NULL),(25,339,1,11,39,NULL,NULL,NULL,NULL),(25,339,1,11,40,NULL,NULL,NULL,NULL),(25,339,1,12,1,NULL,NULL,NULL,NULL),(25,339,1,12,2,NULL,NULL,NULL,NULL),(25,339,1,12,3,NULL,NULL,NULL,NULL),(25,339,1,12,4,NULL,NULL,NULL,NULL),(25,339,1,12,5,NULL,NULL,NULL,NULL),(25,339,1,12,6,NULL,NULL,NULL,NULL),(25,339,1,12,7,NULL,NULL,NULL,NULL),(25,339,1,12,8,NULL,NULL,NULL,NULL),(25,339,1,12,9,NULL,NULL,NULL,NULL),(25,339,1,12,10,NULL,NULL,NULL,NULL),(25,339,1,12,11,NULL,NULL,NULL,NULL),(25,339,1,12,12,NULL,NULL,NULL,NULL),(25,339,1,12,13,NULL,NULL,NULL,NULL),(25,339,1,12,14,NULL,NULL,NULL,NULL),(25,339,1,12,15,NULL,NULL,NULL,NULL),(25,339,1,12,16,NULL,NULL,NULL,NULL),(25,339,1,12,17,NULL,NULL,NULL,NULL),(25,339,1,12,18,NULL,NULL,NULL,NULL),(25,339,1,12,19,NULL,NULL,NULL,NULL),(25,339,1,12,20,NULL,NULL,NULL,NULL),(25,339,1,12,21,NULL,NULL,NULL,NULL),(25,339,1,12,22,NULL,NULL,NULL,NULL),(25,339,1,12,23,NULL,NULL,NULL,NULL),(25,339,1,12,24,NULL,NULL,NULL,NULL),(25,339,1,12,25,NULL,NULL,NULL,NULL),(25,339,1,12,26,NULL,NULL,NULL,NULL),(25,339,1,12,27,NULL,NULL,NULL,NULL),(25,339,1,12,28,NULL,NULL,NULL,NULL),(25,339,1,12,29,NULL,NULL,NULL,NULL),(25,339,1,12,30,NULL,NULL,NULL,NULL),(25,339,1,12,31,NULL,NULL,NULL,NULL),(25,339,1,12,32,NULL,NULL,NULL,NULL),(25,339,1,12,33,NULL,NULL,NULL,NULL),(25,339,1,12,34,NULL,NULL,NULL,NULL),(25,339,1,12,35,NULL,NULL,NULL,NULL),(25,339,1,12,36,NULL,NULL,NULL,NULL),(25,339,1,12,37,NULL,NULL,NULL,NULL),(25,339,1,12,38,NULL,NULL,NULL,NULL),(25,339,1,12,39,NULL,NULL,NULL,NULL),(25,339,1,12,40,NULL,NULL,NULL,NULL),(25,339,1,13,1,NULL,NULL,NULL,NULL),(25,339,1,13,2,NULL,NULL,NULL,NULL),(25,339,1,13,3,NULL,NULL,NULL,NULL),(25,339,1,13,4,NULL,NULL,NULL,NULL),(25,339,1,13,5,NULL,NULL,NULL,NULL),(25,339,1,13,6,NULL,NULL,NULL,NULL),(25,339,1,13,7,NULL,NULL,NULL,NULL),(25,339,1,13,8,NULL,NULL,NULL,NULL),(25,339,1,13,9,NULL,NULL,NULL,NULL),(25,339,1,13,10,NULL,NULL,NULL,NULL),(25,339,1,13,11,NULL,NULL,NULL,NULL),(25,339,1,13,12,NULL,NULL,NULL,NULL),(25,339,1,13,13,NULL,NULL,NULL,NULL),(25,339,1,13,14,NULL,NULL,NULL,NULL),(25,339,1,13,15,NULL,NULL,NULL,NULL),(25,339,1,13,16,NULL,NULL,NULL,NULL),(25,339,1,13,17,NULL,NULL,NULL,NULL),(25,339,1,13,18,NULL,NULL,NULL,NULL),(25,339,1,13,19,NULL,NULL,NULL,NULL),(25,339,1,13,20,NULL,NULL,NULL,NULL),(25,339,1,13,21,NULL,NULL,NULL,NULL),(25,339,1,13,22,NULL,NULL,NULL,NULL),(25,339,1,13,23,NULL,NULL,NULL,NULL),(25,339,1,13,24,NULL,NULL,NULL,NULL),(25,339,1,13,25,NULL,NULL,NULL,NULL),(25,339,1,13,26,NULL,NULL,NULL,NULL),(25,339,1,13,27,NULL,NULL,NULL,NULL),(25,339,1,13,28,NULL,NULL,NULL,NULL),(25,339,1,13,29,NULL,NULL,NULL,NULL),(25,339,1,13,30,NULL,NULL,NULL,NULL),(25,339,1,13,31,NULL,NULL,NULL,NULL),(25,339,1,13,32,NULL,NULL,NULL,NULL),(25,339,1,13,33,NULL,NULL,NULL,NULL),(25,339,1,13,34,NULL,NULL,NULL,NULL),(25,339,1,13,35,NULL,NULL,NULL,NULL),(25,339,1,13,36,NULL,NULL,NULL,NULL),(25,339,1,13,37,NULL,NULL,NULL,NULL),(25,339,1,13,38,NULL,NULL,NULL,NULL),(25,339,1,13,39,NULL,NULL,NULL,NULL),(25,339,1,13,40,NULL,NULL,NULL,NULL),(25,339,1,14,1,3,3,3,1),(25,339,1,14,2,NULL,5,NULL,4),(25,339,1,14,3,1,1,NULL,1),(25,339,1,14,4,1,3,1,1),(25,339,1,14,5,1,1,NULL,1),(25,339,1,14,6,1,5,NULL,2),(25,339,1,14,7,1,6,1,4),(25,339,1,14,8,3,1,2,1),(25,339,1,14,9,1,3,NULL,2),(25,339,1,14,10,1,1,NULL,1),(25,339,1,14,11,1,2,NULL,NULL),(25,339,1,14,12,2,1,1,1),(25,339,1,14,13,NULL,3,NULL,2),(25,339,1,14,14,1,4,1,1),(25,339,1,14,15,1,5,1,3),(25,339,1,14,16,2,2,1,1),(25,339,1,14,17,3,NULL,2,NULL),(25,339,1,14,18,1,NULL,1,NULL),(25,339,1,14,19,3,3,2,2),(25,339,1,14,20,2,1,2,1),(25,339,1,14,21,2,2,1,1),(25,339,1,14,22,1,4,NULL,3),(25,339,1,14,23,1,2,NULL,1),(25,339,1,14,24,NULL,1,NULL,1),(25,339,1,14,25,NULL,1,NULL,1),(25,339,1,14,26,NULL,NULL,NULL,NULL),(25,339,1,14,27,NULL,NULL,NULL,NULL),(25,339,1,14,28,NULL,5,NULL,4),(25,339,1,14,29,NULL,NULL,NULL,NULL),(25,339,1,14,30,NULL,NULL,NULL,NULL),(25,339,1,14,31,NULL,1,NULL,NULL),(25,339,1,14,32,NULL,NULL,NULL,NULL),(25,339,1,14,33,NULL,4,NULL,3),(25,339,1,14,34,NULL,1,NULL,NULL),(25,339,1,14,35,1,3,1,2),(25,339,1,14,36,NULL,2,NULL,2),(25,339,1,14,37,NULL,NULL,NULL,NULL),(25,339,1,14,38,NULL,4,NULL,3),(25,339,1,14,39,NULL,2,NULL,2),(25,339,1,14,40,NULL,NULL,NULL,NULL),(25,339,1,15,1,4,4,2,3),(25,339,1,15,2,2,NULL,1,NULL),(25,339,1,15,3,1,1,NULL,1),(25,339,1,15,4,2,4,NULL,4),(25,339,1,15,5,1,NULL,NULL,NULL),(25,339,1,15,6,1,NULL,1,NULL),(25,339,1,15,7,NULL,4,NULL,3),(25,339,1,15,8,2,4,1,3),(25,339,1,15,9,NULL,NULL,NULL,NULL),(25,339,1,15,10,1,1,1,NULL),(25,339,1,15,11,1,4,NULL,2),(25,339,1,15,12,1,1,1,1),(25,339,1,15,13,1,1,NULL,1),(25,339,1,15,14,NULL,4,NULL,4),(25,339,1,15,15,1,2,1,2),(25,339,1,15,16,NULL,1,NULL,NULL),(25,339,1,15,17,NULL,NULL,NULL,NULL),(25,339,1,15,18,NULL,NULL,NULL,NULL),(25,339,1,15,19,NULL,3,NULL,2),(25,339,1,15,20,1,2,1,1),(25,339,1,15,21,3,2,2,2),(25,339,1,15,22,NULL,1,NULL,NULL),(25,339,1,15,23,NULL,3,NULL,3),(25,339,1,15,24,NULL,1,NULL,1),(25,339,1,15,25,1,1,NULL,1),(25,339,1,15,26,NULL,NULL,NULL,NULL),(25,339,1,15,27,NULL,NULL,NULL,NULL),(25,339,1,15,28,NULL,2,NULL,2),(25,339,1,15,29,NULL,1,NULL,1),(25,339,1,15,30,NULL,1,NULL,1),(25,339,1,15,31,NULL,NULL,NULL,NULL),(25,339,1,15,32,NULL,NULL,NULL,NULL),(25,339,1,15,33,NULL,1,NULL,1),(25,339,1,15,34,1,1,NULL,NULL),(25,339,1,15,35,NULL,1,NULL,1),(25,339,1,15,36,1,1,1,1),(25,339,1,15,37,1,1,1,1),(25,339,1,15,38,1,4,1,3),(25,339,1,15,39,1,1,NULL,1),(25,339,1,15,40,NULL,NULL,NULL,NULL),(25,339,1,16,1,5,6,3,5),(25,339,1,16,2,NULL,5,NULL,2),(25,339,1,16,3,2,10,2,5),(25,339,1,16,4,5,10,5,7),(25,339,1,16,5,1,6,1,3),(25,339,1,16,6,3,6,2,3),(25,339,1,16,7,1,17,NULL,11),(25,339,1,16,8,3,9,NULL,6),(25,339,1,16,9,2,9,2,4),(25,339,1,16,10,NULL,2,NULL,2),(25,339,1,16,11,2,3,2,3),(25,339,1,16,12,5,6,3,4),(25,339,1,16,13,7,6,4,3),(25,339,1,16,14,2,6,1,3),(25,339,1,16,15,15,NULL,11,NULL),(25,339,1,16,16,2,11,1,8),(25,339,1,16,17,1,10,NULL,9),(25,339,1,16,18,7,20,2,9),(25,339,1,16,19,NULL,12,NULL,8),(25,339,1,16,20,19,NULL,14,NULL),(25,339,1,16,21,3,5,2,4),(25,339,1,16,22,NULL,6,NULL,5),(25,339,1,16,23,NULL,3,NULL,1),(25,339,1,16,24,NULL,5,NULL,3),(25,339,1,16,25,2,3,1,2),(25,339,1,16,26,1,NULL,1,NULL),(25,339,1,16,27,1,NULL,1,NULL),(25,339,1,16,28,6,11,3,7),(25,339,1,16,29,NULL,4,NULL,4),(25,339,1,16,30,1,4,1,2),(25,339,1,16,31,1,1,1,NULL),(25,339,1,16,32,NULL,1,NULL,NULL),(25,339,1,16,33,NULL,6,NULL,2),(25,339,1,16,34,1,5,1,5),(25,339,1,16,35,2,3,1,2),(25,339,1,16,36,NULL,2,NULL,1),(25,339,1,16,37,1,2,1,1),(25,339,1,16,38,2,16,1,9),(25,339,1,16,39,1,5,1,2),(25,339,1,16,40,NULL,3,NULL,NULL),(25,339,1,17,1,7,7,6,7),(25,339,1,17,2,NULL,8,NULL,8),(25,339,1,17,3,5,5,5,4),(25,339,1,17,4,11,8,10,7),(25,339,1,17,5,NULL,5,NULL,3),(25,339,1,17,6,2,4,2,4),(25,339,1,17,7,2,9,1,9),(25,339,1,17,8,2,4,2,4),(25,339,1,17,9,2,6,1,6),(25,339,1,17,10,NULL,1,NULL,1),(25,339,1,17,11,1,3,1,3),(25,339,1,17,12,2,6,2,4),(25,339,1,17,13,6,3,6,3),(25,339,1,17,14,NULL,3,NULL,2),(25,339,1,17,15,19,NULL,16,NULL),(25,339,1,17,16,6,12,5,10),(25,339,1,17,17,3,6,2,4),(25,339,1,17,18,2,20,2,16),(25,339,1,17,19,1,9,1,8),(25,339,1,17,20,19,NULL,17,NULL),(25,339,1,17,21,3,9,2,7),(25,339,1,17,22,2,9,2,7),(25,339,1,17,23,NULL,5,NULL,3),(25,339,1,17,24,1,4,1,3),(25,339,1,17,25,NULL,3,NULL,1),(25,339,1,17,26,2,NULL,1,NULL),(25,339,1,17,27,NULL,NULL,NULL,NULL),(25,339,1,17,28,2,8,1,5),(25,339,1,17,29,2,8,2,5),(25,339,1,17,30,1,5,NULL,4),(25,339,1,17,31,NULL,2,NULL,2),(25,339,1,17,32,NULL,1,NULL,1),(25,339,1,17,33,NULL,2,NULL,1),(25,339,1,17,34,4,6,4,4),(25,339,1,17,35,1,6,1,5),(25,339,1,17,36,1,2,1,2),(25,339,1,17,37,3,2,3,1),(25,339,1,17,38,1,12,1,12),(25,339,1,17,39,NULL,4,NULL,4),(25,339,1,17,40,1,5,1,2),(25,339,2,21,1,1,6,1,3),(25,339,2,21,2,1,5,1,3),(25,339,2,21,3,NULL,12,NULL,7),(25,339,2,21,4,2,5,1,3),(25,339,2,21,5,3,6,2,4),(25,339,2,21,6,2,3,2,2),(25,339,2,21,7,2,1,2,1),(25,339,2,21,8,1,9,1,5),(25,339,2,21,9,3,6,2,5),(25,339,2,21,10,2,7,1,3),(25,339,2,21,11,NULL,11,NULL,6),(25,339,2,21,12,1,4,1,3),(25,339,2,21,13,5,7,4,2),(25,339,2,21,14,2,6,1,3),(25,339,2,21,15,1,11,NULL,9),(25,339,2,21,16,2,2,2,2),(25,339,2,21,17,2,6,1,3),(25,339,2,21,18,4,4,2,4),(25,339,2,21,19,2,7,1,6),(25,339,2,21,20,1,10,NULL,8),(25,339,2,21,21,NULL,4,NULL,1),(25,339,2,21,22,NULL,NULL,NULL,NULL),(25,339,2,21,23,1,5,1,3),(25,339,2,21,24,NULL,3,NULL,2),(25,339,2,21,25,NULL,NULL,NULL,NULL),(25,339,2,21,26,NULL,2,NULL,NULL),(25,339,2,21,27,2,1,1,1),(25,339,2,21,28,1,1,NULL,NULL),(25,339,2,21,29,NULL,3,NULL,2),(25,339,2,21,30,NULL,2,NULL,2),(25,339,2,21,31,NULL,2,NULL,2),(25,339,2,21,32,NULL,2,NULL,2),(25,339,2,21,33,NULL,6,NULL,4),(25,339,2,21,34,NULL,2,NULL,1),(25,339,2,21,35,NULL,5,NULL,3),(25,339,2,21,36,1,9,NULL,6),(25,339,2,21,37,1,6,NULL,5),(25,339,2,21,38,1,4,1,2),(25,339,2,21,39,2,NULL,2,NULL),(25,339,2,21,40,NULL,1,NULL,NULL),(25,339,2,22,1,NULL,3,NULL,2),(25,339,2,22,2,2,3,1,2),(25,339,2,22,3,2,5,2,2),(25,339,2,22,4,3,2,3,1),(25,339,2,22,5,2,3,2,NULL),(25,339,2,22,6,1,3,1,NULL),(25,339,2,22,7,NULL,2,NULL,1),(25,339,2,22,8,3,4,2,3),(25,339,2,22,9,5,4,4,2),(25,339,2,22,10,NULL,2,NULL,1),(25,339,2,22,11,3,8,2,6),(25,339,2,22,12,NULL,4,NULL,3),(25,339,2,22,13,2,4,1,3),(25,339,2,22,14,1,4,1,1),(25,339,2,22,15,6,5,2,4),(25,339,2,22,16,1,2,1,2),(25,339,2,22,17,3,8,3,4),(25,339,2,22,18,1,2,NULL,2),(25,339,2,22,19,NULL,2,NULL,2),(25,339,2,22,20,1,5,1,2),(25,339,2,22,21,1,1,NULL,NULL),(25,339,2,22,22,1,3,1,NULL),(25,339,2,22,23,NULL,4,NULL,1),(25,339,2,22,24,NULL,2,NULL,1),(25,339,2,22,25,1,NULL,1,NULL),(25,339,2,22,26,NULL,NULL,NULL,NULL),(25,339,2,22,27,1,2,1,1),(25,339,2,22,28,NULL,1,NULL,NULL),(25,339,2,22,29,NULL,6,NULL,2),(25,339,2,22,30,1,2,1,1),(25,339,2,22,31,NULL,1,NULL,NULL),(25,339,2,22,32,NULL,3,NULL,2),(25,339,2,22,33,2,4,2,2),(25,339,2,22,34,NULL,3,NULL,3),(25,339,2,22,35,NULL,5,NULL,2),(25,339,2,22,36,2,2,1,NULL),(25,339,2,22,37,1,3,1,2),(25,339,2,22,38,NULL,4,NULL,3),(25,339,2,22,39,NULL,NULL,NULL,NULL),(25,339,2,22,40,NULL,NULL,NULL,NULL),(25,339,2,23,1,2,6,1,3),(25,339,2,23,2,1,6,1,3),(25,339,2,23,3,1,4,1,3),(25,339,2,23,4,2,2,2,1),(25,339,2,23,5,5,2,3,2),(25,339,2,23,6,NULL,2,NULL,1),(25,339,2,23,7,2,5,1,3),(25,339,2,23,8,4,5,2,2),(25,339,2,23,9,3,8,2,4),(25,339,2,23,10,1,5,1,2),(25,339,2,23,11,NULL,10,NULL,6),(25,339,2,23,12,1,3,NULL,3),(25,339,2,23,13,3,9,2,4),(25,339,2,23,14,2,3,1,2),(25,339,2,23,15,3,9,3,4),(25,339,2,23,16,2,4,1,3),(25,339,2,23,17,4,5,3,3),(25,339,2,23,18,4,6,2,3),(25,339,2,23,19,NULL,5,NULL,3),(25,339,2,23,20,1,5,1,3),(25,339,2,23,21,1,1,1,1),(25,339,2,23,22,NULL,NULL,NULL,NULL),(25,339,2,23,23,1,2,NULL,1),(25,339,2,23,24,1,2,NULL,1),(25,339,2,23,25,4,NULL,3,NULL),(25,339,2,23,26,NULL,NULL,NULL,NULL),(25,339,2,23,27,NULL,1,NULL,1),(25,339,2,23,28,NULL,NULL,NULL,NULL),(25,339,2,23,29,1,NULL,1,NULL),(25,339,2,23,30,NULL,3,NULL,1),(25,339,2,23,31,1,5,1,2),(25,339,2,23,32,1,4,NULL,2),(25,339,2,23,33,1,1,1,1),(25,339,2,23,34,NULL,NULL,NULL,NULL),(25,339,2,23,35,2,3,2,1),(25,339,2,23,36,1,3,NULL,2),(25,339,2,23,37,1,7,NULL,4),(25,339,2,23,38,2,2,2,1),(25,339,2,23,39,1,NULL,1,NULL),(25,339,2,23,40,NULL,NULL,NULL,NULL),(25,339,2,24,1,1,2,1,2),(25,339,2,24,2,1,5,NULL,5),(25,339,2,24,3,2,3,2,3),(25,339,2,24,4,4,2,3,1),(25,339,2,24,5,1,4,NULL,4),(25,339,2,24,6,NULL,3,NULL,3),(25,339,2,24,7,NULL,5,NULL,3),(25,339,2,24,8,2,7,2,7),(25,339,2,24,9,2,6,2,6),(25,339,2,24,10,NULL,5,NULL,5),(25,339,2,24,11,NULL,9,NULL,8),(25,339,2,24,12,1,3,1,3),(25,339,2,24,13,3,4,2,3),(25,339,2,24,14,2,6,1,6),(25,339,2,24,15,3,5,2,5),(25,339,2,24,16,3,2,3,1),(25,339,2,24,17,1,5,1,5),(25,339,2,24,18,4,5,2,5),(25,339,2,24,19,NULL,3,NULL,3),(25,339,2,24,20,1,9,NULL,8),(25,339,2,24,21,NULL,1,NULL,1),(25,339,2,24,22,NULL,NULL,NULL,NULL),(25,339,2,24,23,1,1,1,1),(25,339,2,24,24,1,2,1,2),(25,339,2,24,25,2,NULL,2,NULL),(25,339,2,24,26,NULL,1,NULL,NULL),(25,339,2,24,27,1,3,1,2),(25,339,2,24,28,NULL,3,NULL,2),(25,339,2,24,29,1,3,NULL,3),(25,339,2,24,30,NULL,2,NULL,2),(25,339,2,24,31,NULL,NULL,NULL,NULL),(25,339,2,24,32,NULL,1,NULL,1),(25,339,2,24,33,1,3,1,3),(25,339,2,24,34,NULL,2,NULL,1),(25,339,2,24,35,NULL,NULL,NULL,NULL),(25,339,2,24,36,3,4,3,4),(25,339,2,24,37,1,2,NULL,2),(25,339,2,24,38,1,2,1,2),(25,339,2,24,39,1,NULL,1,NULL),(25,339,2,24,40,NULL,1,NULL,1),(25,340,1,11,1,1,4,NULL,1),(25,340,1,11,2,2,1,NULL,NULL),(25,340,1,11,3,NULL,1,NULL,NULL),(25,340,1,11,4,2,3,NULL,NULL),(25,340,1,11,5,NULL,2,NULL,NULL),(25,340,1,11,6,NULL,2,NULL,NULL),(25,340,1,11,7,3,2,NULL,NULL),(25,340,1,11,8,NULL,NULL,NULL,NULL),(25,340,1,11,9,2,1,NULL,NULL),(25,340,1,11,10,NULL,1,NULL,NULL),(25,340,1,11,11,NULL,NULL,NULL,NULL),(25,340,1,11,12,1,1,NULL,1),(25,340,1,11,13,5,1,NULL,NULL),(25,340,1,11,14,6,1,NULL,1),(25,340,1,11,15,4,1,NULL,NULL),(25,340,1,11,16,4,NULL,NULL,NULL),(25,340,1,11,17,3,3,NULL,NULL),(25,340,1,11,18,3,2,NULL,NULL),(25,340,1,11,19,2,1,NULL,NULL),(25,340,1,11,20,4,2,NULL,NULL),(25,340,1,11,21,1,2,NULL,NULL),(25,340,1,11,22,2,3,NULL,1),(25,340,1,11,23,NULL,NULL,NULL,NULL),(25,340,1,11,24,NULL,1,NULL,1),(25,340,1,11,25,NULL,3,NULL,NULL),(25,340,1,11,26,2,NULL,NULL,NULL),(25,340,1,11,27,1,NULL,NULL,NULL),(25,340,1,11,28,NULL,3,NULL,1),(25,340,1,11,29,NULL,NULL,NULL,NULL),(25,340,1,11,30,NULL,2,NULL,1),(25,340,1,11,31,1,NULL,NULL,NULL),(25,340,1,11,32,2,NULL,NULL,NULL),(25,340,1,11,33,NULL,1,NULL,NULL),(25,340,1,11,34,1,1,NULL,NULL),(25,340,1,11,35,2,1,NULL,1),(25,340,1,11,36,1,2,NULL,NULL),(25,340,1,11,37,3,NULL,NULL,NULL),(25,340,1,11,38,NULL,2,NULL,NULL),(25,340,1,11,39,1,2,NULL,NULL),(25,340,1,11,40,NULL,2,NULL,NULL),(25,340,1,12,1,NULL,1,NULL,NULL),(25,340,1,12,2,1,NULL,NULL,NULL),(25,340,1,12,3,NULL,NULL,NULL,NULL),(25,340,1,12,4,2,NULL,NULL,NULL),(25,340,1,12,5,1,NULL,NULL,NULL),(25,340,1,12,6,2,1,NULL,NULL),(25,340,1,12,7,2,1,NULL,NULL),(25,340,1,12,8,1,NULL,NULL,NULL),(25,340,1,12,9,2,1,NULL,NULL),(25,340,1,12,10,1,NULL,NULL,NULL),(25,340,1,12,11,1,NULL,NULL,NULL),(25,340,1,12,12,NULL,NULL,NULL,NULL),(25,340,1,12,13,3,NULL,NULL,NULL),(25,340,1,12,14,1,1,NULL,NULL),(25,340,1,12,15,2,NULL,NULL,NULL),(25,340,1,12,16,2,NULL,NULL,NULL),(25,340,1,12,17,2,NULL,NULL,NULL),(25,340,1,12,18,1,1,NULL,NULL),(25,340,1,12,19,2,NULL,NULL,NULL),(25,340,1,12,20,1,NULL,NULL,NULL),(25,340,1,12,21,1,NULL,NULL,NULL),(25,340,1,12,22,NULL,NULL,NULL,NULL),(25,340,1,12,23,NULL,NULL,NULL,NULL),(25,340,1,12,24,NULL,NULL,NULL,NULL),(25,340,1,12,25,NULL,2,NULL,NULL),(25,340,1,12,26,NULL,NULL,NULL,NULL),(25,340,1,12,27,NULL,NULL,NULL,NULL),(25,340,1,12,28,NULL,NULL,NULL,NULL),(25,340,1,12,29,NULL,NULL,NULL,NULL),(25,340,1,12,30,NULL,NULL,NULL,NULL),(25,340,1,12,31,1,NULL,NULL,NULL),(25,340,1,12,32,1,NULL,NULL,NULL),(25,340,1,12,33,NULL,NULL,NULL,NULL),(25,340,1,12,34,NULL,1,NULL,NULL),(25,340,1,12,35,NULL,NULL,NULL,NULL),(25,340,1,12,36,2,1,NULL,NULL),(25,340,1,12,37,NULL,1,NULL,NULL),(25,340,1,12,38,1,NULL,NULL,NULL),(25,340,1,12,39,NULL,NULL,NULL,NULL),(25,340,1,12,40,NULL,1,NULL,NULL),(25,340,1,13,1,NULL,1,NULL,NULL),(25,340,1,13,2,1,NULL,NULL,NULL),(25,340,1,13,3,1,NULL,NULL,NULL),(25,340,1,13,4,NULL,NULL,NULL,NULL),(25,340,1,13,5,NULL,1,NULL,NULL),(25,340,1,13,6,1,1,NULL,NULL),(25,340,1,13,7,1,1,NULL,NULL),(25,340,1,13,8,NULL,NULL,NULL,NULL),(25,340,1,13,9,NULL,NULL,NULL,NULL),(25,340,1,13,10,NULL,NULL,NULL,NULL),(25,340,1,13,11,NULL,NULL,NULL,NULL),(25,340,1,13,12,NULL,NULL,NULL,NULL),(25,340,1,13,13,1,1,NULL,NULL),(25,340,1,13,14,2,NULL,NULL,NULL),(25,340,1,13,15,1,1,NULL,NULL),(25,340,1,13,16,1,1,NULL,NULL),(25,340,1,13,17,2,NULL,NULL,NULL),(25,340,1,13,18,2,NULL,NULL,NULL),(25,340,1,13,19,1,1,NULL,NULL),(25,340,1,13,20,1,1,NULL,NULL),(25,340,1,13,21,NULL,NULL,NULL,NULL),(25,340,1,13,22,NULL,1,NULL,NULL),(25,340,1,13,23,NULL,1,NULL,NULL),(25,340,1,13,24,NULL,1,NULL,NULL),(25,340,1,13,25,NULL,NULL,NULL,NULL),(25,340,1,13,26,1,NULL,NULL,NULL),(25,340,1,13,27,NULL,NULL,NULL,NULL),(25,340,1,13,28,1,1,NULL,NULL),(25,340,1,13,29,NULL,NULL,NULL,NULL),(25,340,1,13,30,NULL,1,NULL,NULL),(25,340,1,13,31,NULL,NULL,NULL,NULL),(25,340,1,13,32,NULL,NULL,NULL,NULL),(25,340,1,13,33,NULL,NULL,NULL,NULL),(25,340,1,13,34,NULL,1,NULL,NULL),(25,340,1,13,35,NULL,NULL,NULL,NULL),(25,340,1,13,36,NULL,1,NULL,NULL),(25,340,1,13,37,NULL,NULL,NULL,NULL),(25,340,1,13,38,NULL,2,NULL,NULL),(25,340,1,13,39,NULL,NULL,NULL,NULL),(25,340,1,13,40,NULL,NULL,NULL,NULL),(25,340,1,14,1,55,105,13,19),(25,340,1,14,2,44,57,9,10),(25,340,1,14,3,36,43,10,6),(25,340,1,14,4,123,47,22,11),(25,340,1,14,5,24,63,9,15),(25,340,1,14,6,42,84,11,21),(25,340,1,14,7,60,117,14,18),(25,340,1,14,8,42,45,14,10),(25,340,1,14,9,49,63,9,18),(25,340,1,14,10,20,23,10,5),(25,340,1,14,11,25,38,5,10),(25,340,1,14,12,40,23,12,6),(25,340,1,14,13,74,30,20,5),(25,340,1,14,14,67,29,18,4),(25,340,1,14,15,102,39,27,6),(25,340,1,14,16,48,40,16,9),(25,340,1,14,17,87,41,25,7),(25,340,1,14,18,149,19,31,3),(25,340,1,14,19,102,74,24,11),(25,340,1,14,20,104,12,22,1),(25,340,1,14,21,36,62,7,11),(25,340,1,14,22,35,71,10,15),(25,340,1,14,23,20,54,5,12),(25,340,1,14,24,9,40,3,15),(25,340,1,14,25,8,43,1,8),(25,340,1,14,26,31,NULL,8,NULL),(25,340,1,14,27,11,NULL,3,NULL),(25,340,1,14,28,38,86,7,15),(25,340,1,14,29,11,24,2,7),(25,340,1,14,30,8,44,3,11),(25,340,1,14,31,11,32,7,13),(25,340,1,14,32,21,22,10,8),(25,340,1,14,33,19,49,8,9),(25,340,1,14,34,25,28,7,7),(25,340,1,14,35,29,18,11,5),(25,340,1,14,36,73,66,20,10),(25,340,1,14,37,42,34,13,9),(25,340,1,14,38,17,110,6,18),(25,340,1,14,39,23,67,5,10),(25,340,1,14,40,6,44,3,14),(25,340,1,15,1,68,86,8,13),(25,340,1,15,2,28,63,7,10),(25,340,1,15,3,54,25,14,3),(25,340,1,15,4,131,40,23,2),(25,340,1,15,5,26,69,7,12),(25,340,1,15,6,32,69,10,9),(25,340,1,15,7,50,113,9,15),(25,340,1,15,8,52,25,11,2),(25,340,1,15,9,37,53,9,12),(25,340,1,15,10,23,26,9,5),(25,340,1,15,11,28,30,8,5),(25,340,1,15,12,38,21,8,4),(25,340,1,15,13,65,49,10,6),(25,340,1,15,14,79,24,16,2),(25,340,1,15,15,107,46,21,6),(25,340,1,15,16,48,46,10,6),(25,340,1,15,17,82,33,15,3),(25,340,1,15,18,143,12,25,2),(25,340,1,15,19,99,80,18,8),(25,340,1,15,20,114,8,20,1),(25,340,1,15,21,43,62,10,8),(25,340,1,15,22,19,60,5,15),(25,340,1,15,23,15,47,4,10),(25,340,1,15,24,15,37,2,12),(25,340,1,15,25,13,37,6,7),(25,340,1,15,26,40,NULL,18,NULL),(25,340,1,15,27,12,NULL,7,NULL),(25,340,1,15,28,26,65,6,17),(25,340,1,15,29,9,23,3,6),(25,340,1,15,30,10,32,1,12),(25,340,1,15,31,6,29,2,10),(25,340,1,15,32,21,22,3,6),(25,340,1,15,33,23,41,4,8),(25,340,1,15,34,33,33,11,3),(25,340,1,15,35,24,20,4,2),(25,340,1,15,36,65,70,16,8),(25,340,1,15,37,38,26,9,4),(25,340,1,15,38,9,123,2,17),(25,340,1,15,39,27,70,4,9),(25,340,1,15,40,16,45,8,11),(25,340,1,16,1,10,19,2,6),(25,340,1,16,2,8,7,5,NULL),(25,340,1,16,3,11,11,4,3),(25,340,1,16,4,25,12,8,1),(25,340,1,16,5,4,12,1,1),(25,340,1,16,6,13,16,4,5),(25,340,1,16,7,13,20,2,5),(25,340,1,16,8,8,9,5,1),(25,340,1,16,9,6,15,2,2),(25,340,1,16,10,6,6,3,2),(25,340,1,16,11,3,10,2,2),(25,340,1,16,12,10,9,6,NULL),(25,340,1,16,13,21,7,4,1),(25,340,1,16,14,13,15,5,2),(25,340,1,16,15,22,NULL,5,NULL),(25,340,1,16,16,8,18,2,6),(25,340,1,16,17,4,18,1,1),(25,340,1,16,18,9,29,3,3),(25,340,1,16,19,3,13,NULL,2),(25,340,1,16,20,35,NULL,7,NULL),(25,340,1,16,21,4,17,1,6),(25,340,1,16,22,1,13,NULL,6),(25,340,1,16,23,2,10,1,2),(25,340,1,16,24,2,10,NULL,5),(25,340,1,16,25,2,5,1,1),(25,340,1,16,26,7,NULL,3,NULL),(25,340,1,16,27,4,NULL,2,NULL),(25,340,1,16,28,5,16,1,2),(25,340,1,16,29,3,5,1,NULL),(25,340,1,16,30,2,7,1,NULL),(25,340,1,16,31,2,2,1,NULL),(25,340,1,16,32,3,4,2,2),(25,340,1,16,33,8,11,4,3),(25,340,1,16,34,4,10,2,1),(25,340,1,16,35,6,3,3,NULL),(25,340,1,16,36,14,12,4,2),(25,340,1,16,37,8,10,1,4),(25,340,1,16,38,5,23,2,5),(25,340,1,16,39,3,19,2,1),(25,340,1,16,40,2,11,1,6),(25,340,1,17,1,10,15,NULL,3),(25,340,1,17,2,NULL,15,NULL,2),(25,340,1,17,3,3,9,1,2),(25,340,1,17,4,14,12,2,2),(25,340,1,17,5,2,8,NULL,2),(25,340,1,17,6,4,6,NULL,NULL),(25,340,1,17,7,5,24,NULL,4),(25,340,1,17,8,5,8,NULL,2),(25,340,1,17,9,5,8,NULL,NULL),(25,340,1,17,10,1,1,NULL,NULL),(25,340,1,17,11,2,8,1,2),(25,340,1,17,12,9,6,3,NULL),(25,340,1,17,13,19,7,2,1),(25,340,1,17,14,11,10,2,2),(25,340,1,17,15,23,NULL,2,NULL),(25,340,1,17,16,8,17,1,2),(25,340,1,17,17,3,23,NULL,2),(25,340,1,17,18,6,27,1,3),(25,340,1,17,19,1,7,NULL,1),(25,340,1,17,20,23,NULL,3,NULL),(25,340,1,17,21,4,11,1,1),(25,340,1,17,22,3,7,NULL,1),(25,340,1,17,23,NULL,5,NULL,1),(25,340,1,17,24,1,3,NULL,1),(25,340,1,17,25,NULL,4,NULL,NULL),(25,340,1,17,26,3,NULL,1,NULL),(25,340,1,17,27,2,NULL,NULL,NULL),(25,340,1,17,28,2,16,NULL,2),(25,340,1,17,29,2,3,NULL,1),(25,340,1,17,30,NULL,7,NULL,1),(25,340,1,17,31,1,6,1,NULL),(25,340,1,17,32,2,1,1,NULL),(25,340,1,17,33,5,3,2,NULL),(25,340,1,17,34,2,10,1,1),(25,340,1,17,35,5,5,1,NULL),(25,340,1,17,36,5,9,1,1),(25,340,1,17,37,5,4,1,1),(25,340,1,17,38,NULL,15,NULL,2),(25,340,1,17,39,2,17,NULL,NULL),(25,340,1,17,40,NULL,8,NULL,1),(25,340,2,21,1,16,27,3,5),(25,340,2,21,2,11,26,1,6),(25,340,2,21,3,19,27,5,2),(25,340,2,21,4,13,28,3,6),(25,340,2,21,5,41,19,9,4),(25,340,2,21,6,20,25,8,2),(25,340,2,21,7,9,25,2,5),(25,340,2,21,8,29,29,7,5),(25,340,2,21,9,61,40,13,1),(25,340,2,21,10,36,21,9,4),(25,340,2,21,11,12,78,1,13),(25,340,2,21,12,17,30,3,4),(25,340,2,21,13,72,16,14,NULL),(25,340,2,21,14,20,39,8,2),(25,340,2,21,15,34,29,7,3),(25,340,2,21,16,13,49,3,7),(25,340,2,21,17,25,43,4,8),(25,340,2,21,18,20,28,4,2),(25,340,2,21,19,5,25,NULL,4),(25,340,2,21,20,22,25,3,7),(25,340,2,21,21,7,16,6,3),(25,340,2,21,22,NULL,5,NULL,1),(25,340,2,21,23,4,9,NULL,1),(25,340,2,21,24,8,11,1,1),(25,340,2,21,25,5,NULL,NULL,NULL),(25,340,2,21,26,NULL,9,NULL,1),(25,340,2,21,27,3,12,NULL,NULL),(25,340,2,21,28,2,9,NULL,2),(25,340,2,21,29,9,10,2,3),(25,340,2,21,30,5,14,NULL,1),(25,340,2,21,31,23,18,6,5),(25,340,2,21,32,3,29,NULL,10),(25,340,2,21,33,38,18,12,3),(25,340,2,21,34,1,11,1,4),(25,340,2,21,35,13,28,7,2),(25,340,2,21,36,16,20,5,2),(25,340,2,21,37,5,15,3,3),(25,340,2,21,38,20,22,4,1),(25,340,2,21,39,49,NULL,13,NULL),(25,340,2,21,40,1,12,NULL,4),(25,340,2,22,1,19,28,3,8),(25,340,2,22,2,5,26,NULL,3),(25,340,2,22,3,18,24,5,6),(25,340,2,22,4,20,23,6,6),(25,340,2,22,5,39,24,9,4),(25,340,2,22,6,17,20,6,7),(25,340,2,22,7,15,21,7,3),(25,340,2,22,8,41,20,10,5),(25,340,2,22,9,63,33,11,5),(25,340,2,22,10,37,24,9,5),(25,340,2,22,11,15,70,1,9),(25,340,2,22,12,19,38,4,10),(25,340,2,22,13,79,17,14,4),(25,340,2,22,14,30,42,8,9),(25,340,2,22,15,41,34,10,5),(25,340,2,22,16,19,34,6,5),(25,340,2,22,17,18,46,6,6),(25,340,2,22,18,23,28,7,6),(25,340,2,22,19,13,31,4,5),(25,340,2,22,20,16,23,3,6),(25,340,2,22,21,12,6,2,1),(25,340,2,22,22,NULL,2,NULL,NULL),(25,340,2,22,23,8,9,3,2),(25,340,2,22,24,5,8,NULL,NULL),(25,340,2,22,25,5,NULL,2,NULL),(25,340,2,22,26,3,9,1,NULL),(25,340,2,22,27,2,19,NULL,2),(25,340,2,22,28,1,9,1,1),(25,340,2,22,29,1,14,1,2),(25,340,2,22,30,7,11,NULL,3),(25,340,2,22,31,25,13,6,1),(25,340,2,22,32,5,23,4,6),(25,340,2,22,33,34,22,9,5),(25,340,2,22,34,2,8,1,3),(25,340,2,22,35,16,25,4,3),(25,340,2,22,36,15,19,1,2),(25,340,2,22,37,7,24,4,3),(25,340,2,22,38,33,23,7,2),(25,340,2,22,39,65,NULL,13,NULL),(25,340,2,22,40,1,13,NULL,5),(25,340,2,23,1,13,28,5,9),(25,340,2,23,2,4,27,NULL,11),(25,340,2,23,3,20,31,7,7),(25,340,2,23,4,18,25,6,8),(25,340,2,23,5,38,21,9,6),(25,340,2,23,6,24,18,10,3),(25,340,2,23,7,11,18,6,3),(25,340,2,23,8,37,24,10,5),(25,340,2,23,9,61,28,16,5),(25,340,2,23,10,25,34,11,8),(25,340,2,23,11,13,73,2,16),(25,340,2,23,12,19,26,3,7),(25,340,2,23,13,72,9,19,2),(25,340,2,23,14,24,44,8,8),(25,340,2,23,15,22,34,4,7),(25,340,2,23,16,15,36,4,10),(25,340,2,23,17,19,42,4,4),(25,340,2,23,18,29,23,6,6),(25,340,2,23,19,5,36,2,5),(25,340,2,23,20,25,19,5,3),(25,340,2,23,21,6,11,3,4),(25,340,2,23,22,1,2,NULL,NULL),(25,340,2,23,23,4,11,NULL,3),(25,340,2,23,24,4,18,1,3),(25,340,2,23,25,4,NULL,1,NULL),(25,340,2,23,26,3,14,NULL,4),(25,340,2,23,27,2,17,1,2),(25,340,2,23,28,4,10,2,2),(25,340,2,23,29,2,13,1,5),(25,340,2,23,30,7,13,3,2),(25,340,2,23,31,27,20,9,5),(25,340,2,23,32,4,25,1,6),(25,340,2,23,33,33,22,12,5),(25,340,2,23,34,7,15,1,6),(25,340,2,23,35,12,23,4,8),(25,340,2,23,36,13,8,4,1),(25,340,2,23,37,9,16,4,4),(25,340,2,23,38,39,21,11,3),(25,340,2,23,39,58,NULL,17,NULL),(25,340,2,23,40,3,12,1,4),(25,340,2,24,1,15,34,3,7),(25,340,2,24,2,2,30,1,4),(25,340,2,24,3,14,23,5,4),(25,340,2,24,4,21,20,3,3),(25,340,2,24,5,37,29,7,8),(25,340,2,24,6,21,30,6,5),(25,340,2,24,7,6,22,2,9),(25,340,2,24,8,40,27,12,3),(25,340,2,24,9,57,39,12,3),(25,340,2,24,10,21,31,10,5),(25,340,2,24,11,7,72,2,12),(25,340,2,24,12,16,26,4,4),(25,340,2,24,13,68,15,14,NULL),(25,340,2,24,14,25,34,4,5),(25,340,2,24,15,30,36,5,7),(25,340,2,24,16,13,39,3,7),(25,340,2,24,17,19,50,4,8),(25,340,2,24,18,19,32,4,4),(25,340,2,24,19,6,25,2,6),(25,340,2,24,20,16,28,4,2),(25,340,2,24,21,11,16,6,1),(25,340,2,24,22,1,3,1,1),(25,340,2,24,23,7,11,2,NULL),(25,340,2,24,24,4,19,1,3),(25,340,2,24,25,4,NULL,NULL,NULL),(25,340,2,24,26,3,13,NULL,3),(25,340,2,24,27,NULL,10,NULL,5),(25,340,2,24,28,3,11,NULL,4),(25,340,2,24,29,2,12,1,2),(25,340,2,24,30,4,22,2,4),(25,340,2,24,31,28,19,6,4),(25,340,2,24,32,1,18,NULL,6),(25,340,2,24,33,37,21,10,4),(25,340,2,24,34,4,9,2,1),(25,340,2,24,35,9,20,3,4),(25,340,2,24,36,14,19,3,3),(25,340,2,24,37,7,16,3,5),(25,340,2,24,38,34,21,9,4),(25,340,2,24,39,57,NULL,11,NULL),(25,340,2,24,40,7,11,4,2),(25,404,1,11,1,NULL,NULL,NULL,NULL),(25,404,1,11,2,NULL,NULL,NULL,NULL),(25,404,1,11,3,NULL,NULL,NULL,NULL),(25,404,1,11,4,NULL,NULL,NULL,NULL),(25,404,1,11,5,NULL,NULL,NULL,NULL),(25,404,1,11,6,NULL,NULL,NULL,NULL),(25,404,1,11,7,NULL,NULL,NULL,NULL),(25,404,1,11,8,NULL,NULL,NULL,NULL),(25,404,1,11,9,NULL,NULL,NULL,NULL),(25,404,1,11,10,NULL,NULL,NULL,NULL),(25,404,1,11,11,NULL,NULL,NULL,NULL),(25,404,1,11,12,NULL,NULL,NULL,NULL),(25,404,1,11,13,NULL,NULL,NULL,NULL),(25,404,1,11,14,NULL,NULL,NULL,NULL),(25,404,1,11,15,NULL,NULL,NULL,NULL),(25,404,1,11,16,NULL,NULL,NULL,NULL),(25,404,1,11,17,NULL,NULL,NULL,NULL),(25,404,1,11,18,NULL,NULL,NULL,NULL),(25,404,1,11,19,NULL,NULL,NULL,NULL),(25,404,1,11,20,NULL,NULL,NULL,NULL),(25,404,1,11,21,NULL,NULL,NULL,NULL),(25,404,1,11,22,NULL,NULL,NULL,NULL),(25,404,1,11,23,NULL,NULL,NULL,NULL),(25,404,1,11,24,NULL,NULL,NULL,NULL),(25,404,1,11,25,NULL,NULL,NULL,NULL),(25,404,1,11,26,NULL,NULL,NULL,NULL),(25,404,1,11,27,NULL,NULL,NULL,NULL),(25,404,1,11,28,NULL,NULL,NULL,NULL),(25,404,1,11,29,NULL,NULL,NULL,NULL),(25,404,1,11,30,NULL,NULL,NULL,NULL),(25,404,1,11,31,NULL,NULL,NULL,NULL),(25,404,1,11,32,NULL,NULL,NULL,NULL),(25,404,1,11,33,NULL,NULL,NULL,NULL),(25,404,1,11,34,NULL,NULL,NULL,NULL),(25,404,1,11,35,NULL,NULL,NULL,NULL),(25,404,1,11,36,NULL,NULL,NULL,NULL),(25,404,1,11,37,NULL,NULL,NULL,NULL),(25,404,1,11,38,NULL,NULL,NULL,NULL),(25,404,1,11,39,NULL,NULL,NULL,NULL),(25,404,1,11,40,NULL,NULL,NULL,NULL),(25,404,1,12,1,NULL,NULL,NULL,NULL),(25,404,1,12,2,NULL,NULL,NULL,NULL),(25,404,1,12,3,NULL,NULL,NULL,NULL),(25,404,1,12,4,NULL,NULL,NULL,NULL),(25,404,1,12,5,NULL,NULL,NULL,NULL),(25,404,1,12,6,NULL,NULL,NULL,NULL),(25,404,1,12,7,NULL,NULL,NULL,NULL),(25,404,1,12,8,NULL,NULL,NULL,NULL),(25,404,1,12,9,NULL,NULL,NULL,NULL),(25,404,1,12,10,NULL,NULL,NULL,NULL),(25,404,1,12,11,NULL,NULL,NULL,NULL),(25,404,1,12,12,NULL,NULL,NULL,NULL),(25,404,1,12,13,NULL,NULL,NULL,NULL),(25,404,1,12,14,NULL,NULL,NULL,NULL),(25,404,1,12,15,NULL,NULL,NULL,NULL),(25,404,1,12,16,NULL,NULL,NULL,NULL),(25,404,1,12,17,NULL,NULL,NULL,NULL),(25,404,1,12,18,NULL,NULL,NULL,NULL),(25,404,1,12,19,NULL,NULL,NULL,NULL),(25,404,1,12,20,NULL,NULL,NULL,NULL),(25,404,1,12,21,NULL,NULL,NULL,NULL),(25,404,1,12,22,NULL,NULL,NULL,NULL),(25,404,1,12,23,NULL,NULL,NULL,NULL),(25,404,1,12,24,NULL,NULL,NULL,NULL),(25,404,1,12,25,NULL,NULL,NULL,NULL),(25,404,1,12,26,NULL,NULL,NULL,NULL),(25,404,1,12,27,NULL,NULL,NULL,NULL),(25,404,1,12,28,NULL,NULL,NULL,NULL),(25,404,1,12,29,NULL,NULL,NULL,NULL),(25,404,1,12,30,NULL,NULL,NULL,NULL),(25,404,1,12,31,NULL,NULL,NULL,NULL),(25,404,1,12,32,NULL,NULL,NULL,NULL),(25,404,1,12,33,NULL,NULL,NULL,NULL),(25,404,1,12,34,NULL,NULL,NULL,NULL),(25,404,1,12,35,NULL,NULL,NULL,NULL),(25,404,1,12,36,NULL,NULL,NULL,NULL),(25,404,1,12,37,NULL,NULL,NULL,NULL),(25,404,1,12,38,NULL,NULL,NULL,NULL),(25,404,1,12,39,NULL,NULL,NULL,NULL),(25,404,1,12,40,NULL,NULL,NULL,NULL),(25,404,1,13,1,NULL,NULL,NULL,NULL),(25,404,1,13,2,1,NULL,NULL,NULL),(25,404,1,13,3,1,NULL,NULL,NULL),(25,404,1,13,4,1,NULL,NULL,NULL),(25,404,1,13,5,NULL,NULL,NULL,NULL),(25,404,1,13,6,NULL,NULL,NULL,NULL),(25,404,1,13,7,NULL,NULL,NULL,NULL),(25,404,1,13,8,NULL,NULL,NULL,NULL),(25,404,1,13,9,1,NULL,NULL,NULL),(25,404,1,13,10,NULL,NULL,NULL,NULL),(25,404,1,13,11,NULL,NULL,NULL,NULL),(25,404,1,13,12,NULL,NULL,NULL,NULL),(25,404,1,13,13,NULL,1,NULL,NULL),(25,404,1,13,14,NULL,NULL,NULL,NULL),(25,404,1,13,15,NULL,NULL,NULL,NULL),(25,404,1,13,16,NULL,NULL,NULL,NULL),(25,404,1,13,17,1,NULL,NULL,NULL),(25,404,1,13,18,1,NULL,NULL,NULL),(25,404,1,13,19,NULL,NULL,NULL,NULL),(25,404,1,13,20,NULL,NULL,NULL,NULL),(25,404,1,13,21,NULL,NULL,NULL,NULL),(25,404,1,13,22,NULL,NULL,NULL,NULL),(25,404,1,13,23,NULL,NULL,NULL,NULL),(25,404,1,13,24,NULL,NULL,NULL,NULL),(25,404,1,13,25,NULL,NULL,NULL,NULL),(25,404,1,13,26,NULL,NULL,NULL,NULL),(25,404,1,13,27,NULL,NULL,NULL,NULL),(25,404,1,13,28,NULL,NULL,NULL,NULL),(25,404,1,13,29,NULL,NULL,NULL,NULL),(25,404,1,13,30,NULL,NULL,NULL,NULL),(25,404,1,13,31,NULL,NULL,NULL,NULL),(25,404,1,13,32,1,NULL,NULL,NULL),(25,404,1,13,33,NULL,NULL,NULL,NULL),(25,404,1,13,34,NULL,1,NULL,NULL),(25,404,1,13,35,NULL,NULL,NULL,NULL),(25,404,1,13,36,NULL,NULL,NULL,NULL),(25,404,1,13,37,NULL,NULL,NULL,NULL),(25,404,1,13,38,NULL,NULL,NULL,NULL),(25,404,1,13,39,NULL,NULL,NULL,NULL),(25,404,1,13,40,NULL,NULL,NULL,NULL),(25,404,1,14,1,11,4,3,2),(25,404,1,14,2,3,3,1,1),(25,404,1,14,3,3,1,NULL,NULL),(25,404,1,14,4,13,3,3,1),(25,404,1,14,5,2,4,2,1),(25,404,1,14,6,4,5,1,1),(25,404,1,14,7,6,12,3,1),(25,404,1,14,8,3,7,1,NULL),(25,404,1,14,9,7,2,1,1),(25,404,1,14,10,NULL,1,NULL,1),(25,404,1,14,11,NULL,5,NULL,1),(25,404,1,14,12,3,3,2,1),(25,404,1,14,13,1,4,NULL,NULL),(25,404,1,14,14,2,5,1,2),(25,404,1,14,15,4,9,1,2),(25,404,1,14,16,2,8,NULL,3),(25,404,1,14,17,1,2,NULL,2),(25,404,1,14,18,6,1,4,NULL),(25,404,1,14,19,7,7,3,NULL),(25,404,1,14,20,1,2,NULL,2),(25,404,1,14,21,7,6,2,4),(25,404,1,14,22,8,7,1,2),(25,404,1,14,23,3,2,NULL,NULL),(25,404,1,14,24,1,3,1,NULL),(25,404,1,14,25,NULL,5,NULL,2),(25,404,1,14,26,4,NULL,2,NULL),(25,404,1,14,27,1,NULL,1,NULL),(25,404,1,14,28,4,11,NULL,4),(25,404,1,14,29,NULL,NULL,NULL,NULL),(25,404,1,14,30,1,2,1,1),(25,404,1,14,31,NULL,NULL,NULL,NULL),(25,404,1,14,32,NULL,4,NULL,NULL),(25,404,1,14,33,NULL,5,NULL,2),(25,404,1,14,34,1,5,NULL,2),(25,404,1,14,35,3,4,2,2),(25,404,1,14,36,6,6,2,2),(25,404,1,14,37,NULL,4,NULL,2),(25,404,1,14,38,NULL,16,NULL,3),(25,404,1,14,39,1,9,NULL,1),(25,404,1,14,40,1,2,NULL,NULL),(25,404,1,15,1,7,12,1,8),(25,404,1,15,2,4,7,NULL,2),(25,404,1,15,3,4,4,3,2),(25,404,1,15,4,10,8,7,3),(25,404,1,15,5,1,6,NULL,3),(25,404,1,15,6,1,8,NULL,5),(25,404,1,15,7,1,16,1,7),(25,404,1,15,8,4,6,2,2),(25,404,1,15,9,3,7,1,2),(25,404,1,15,10,2,1,1,NULL),(25,404,1,15,11,2,3,1,2),(25,404,1,15,12,2,4,1,2),(25,404,1,15,13,2,4,1,2),(25,404,1,15,14,5,8,3,4),(25,404,1,15,15,2,8,2,4),(25,404,1,15,16,3,5,1,4),(25,404,1,15,17,4,8,1,4),(25,404,1,15,18,4,3,3,1),(25,404,1,15,19,6,5,3,4),(25,404,1,15,20,5,5,4,3),(25,404,1,15,21,4,11,1,6),(25,404,1,15,22,1,6,1,5),(25,404,1,15,23,4,4,NULL,3),(25,404,1,15,24,1,5,1,2),(25,404,1,15,25,NULL,8,NULL,3),(25,404,1,15,26,3,NULL,3,NULL),(25,404,1,15,27,NULL,NULL,NULL,NULL),(25,404,1,15,28,1,7,1,4),(25,404,1,15,29,2,2,NULL,NULL),(25,404,1,15,30,1,3,NULL,1),(25,404,1,15,31,NULL,2,NULL,2),(25,404,1,15,32,1,NULL,NULL,NULL),(25,404,1,15,33,2,3,NULL,2),(25,404,1,15,34,4,7,2,2),(25,404,1,15,35,4,6,1,3),(25,404,1,15,36,3,11,2,7),(25,404,1,15,37,1,7,1,4),(25,404,1,15,38,1,16,NULL,7),(25,404,1,15,39,2,10,1,4),(25,404,1,15,40,1,3,1,2),(25,404,1,16,1,14,24,6,7),(25,404,1,16,2,3,14,1,5),(25,404,1,16,3,1,13,NULL,4),(25,404,1,16,4,17,17,5,5),(25,404,1,16,5,NULL,20,NULL,6),(25,404,1,16,6,4,20,1,4),(25,404,1,16,7,9,35,2,9),(25,404,1,16,8,10,19,3,6),(25,404,1,16,9,10,16,2,6),(25,404,1,16,10,1,1,NULL,NULL),(25,404,1,16,11,8,6,2,2),(25,404,1,16,12,2,12,NULL,6),(25,404,1,16,13,14,15,5,5),(25,404,1,16,14,10,13,4,4),(25,404,1,16,15,37,NULL,11,NULL),(25,404,1,16,16,4,28,2,10),(25,404,1,16,17,NULL,25,NULL,4),(25,404,1,16,18,11,47,2,8),(25,404,1,16,19,1,25,NULL,4),(25,404,1,16,20,37,NULL,12,NULL),(25,404,1,16,21,5,23,NULL,6),(25,404,1,16,22,3,18,1,4),(25,404,1,16,23,2,12,NULL,5),(25,404,1,16,24,2,11,NULL,2),(25,404,1,16,25,4,6,1,NULL),(25,404,1,16,26,7,NULL,3,NULL),(25,404,1,16,27,1,NULL,NULL,NULL),(25,404,1,16,28,9,32,1,9),(25,404,1,16,29,3,9,1,4),(25,404,1,16,30,3,7,NULL,3),(25,404,1,16,31,NULL,4,NULL,1),(25,404,1,16,32,1,6,1,2),(25,404,1,16,33,5,5,2,1),(25,404,1,16,34,8,18,1,2),(25,404,1,16,35,2,9,NULL,4),(25,404,1,16,36,3,10,1,3),(25,404,1,16,37,2,12,1,4),(25,404,1,16,38,NULL,35,NULL,8),(25,404,1,16,39,1,18,NULL,7),(25,404,1,16,40,NULL,10,NULL,4),(25,404,1,17,1,10,24,2,12),(25,404,1,17,2,6,15,3,4),(25,404,1,17,3,5,10,2,4),(25,404,1,17,4,21,13,10,8),(25,404,1,17,5,NULL,11,NULL,4),(25,404,1,17,6,15,15,7,4),(25,404,1,17,7,8,28,5,7),(25,404,1,17,8,10,9,4,2),(25,404,1,17,9,6,14,3,4),(25,404,1,17,10,1,3,NULL,NULL),(25,404,1,17,11,6,7,2,2),(25,404,1,17,12,9,10,6,6),(25,404,1,17,13,15,17,6,8),(25,404,1,17,14,16,8,9,3),(25,404,1,17,15,32,NULL,16,NULL),(25,404,1,17,16,9,24,4,12),(25,404,1,17,17,NULL,24,NULL,6),(25,404,1,17,18,7,34,2,14),(25,404,1,17,19,NULL,27,NULL,6),(25,404,1,17,20,30,NULL,17,NULL),(25,404,1,17,21,3,20,1,10),(25,404,1,17,22,5,14,4,7),(25,404,1,17,23,2,12,2,2),(25,404,1,17,24,3,6,NULL,3),(25,404,1,17,25,3,10,1,3),(25,404,1,17,26,3,NULL,3,NULL),(25,404,1,17,27,1,NULL,1,NULL),(25,404,1,17,28,3,28,NULL,12),(25,404,1,17,29,5,11,NULL,6),(25,404,1,17,30,4,15,NULL,3),(25,404,1,17,31,1,1,1,1),(25,404,1,17,32,1,6,NULL,1),(25,404,1,17,33,NULL,11,NULL,3),(25,404,1,17,34,7,11,NULL,4),(25,404,1,17,35,6,7,3,2),(25,404,1,17,36,2,13,2,5),(25,404,1,17,37,3,10,3,6),(25,404,1,17,38,3,30,2,12),(25,404,1,17,39,NULL,15,NULL,5),(25,404,1,17,40,NULL,6,NULL,3),(25,404,2,21,1,3,10,1,4),(25,404,2,21,2,2,13,1,2),(25,404,2,21,3,2,13,NULL,5),(25,404,2,21,4,3,10,1,3),(25,404,2,21,5,9,9,3,4),(25,404,2,21,6,NULL,5,NULL,2),(25,404,2,21,7,NULL,10,NULL,4),(25,404,2,21,8,5,10,NULL,5),(25,404,2,21,9,7,10,3,3),(25,404,2,21,10,1,5,NULL,1),(25,404,2,21,11,2,26,2,4),(25,404,2,21,12,3,8,NULL,2),(25,404,2,21,13,12,15,2,4),(25,404,2,21,14,3,20,NULL,7),(25,404,2,21,15,7,17,2,6),(25,404,2,21,16,1,10,NULL,2),(25,404,2,21,17,3,12,1,1),(25,404,2,21,18,10,13,1,7),(25,404,2,21,19,1,4,NULL,1),(25,404,2,21,20,4,12,2,2),(25,404,2,21,21,1,6,NULL,2),(25,404,2,21,22,NULL,1,NULL,NULL),(25,404,2,21,23,1,2,NULL,1),(25,404,2,21,24,4,7,NULL,1),(25,404,2,21,25,5,NULL,1,NULL),(25,404,2,21,26,NULL,3,NULL,2),(25,404,2,21,27,4,7,NULL,1),(25,404,2,21,28,1,1,NULL,NULL),(25,404,2,21,29,2,4,NULL,2),(25,404,2,21,30,5,7,NULL,1),(25,404,2,21,31,3,5,2,4),(25,404,2,21,32,4,5,1,3),(25,404,2,21,33,2,7,1,1),(25,404,2,21,34,NULL,7,NULL,1),(25,404,2,21,35,1,9,NULL,4),(25,404,2,21,36,3,12,NULL,6),(25,404,2,21,37,NULL,9,NULL,1),(25,404,2,21,38,11,4,2,NULL),(25,404,2,21,39,8,NULL,4,NULL),(25,404,2,21,40,1,3,NULL,1),(25,404,2,22,1,2,11,1,3),(25,404,2,22,2,NULL,9,NULL,2),(25,404,2,22,3,2,7,2,NULL),(25,404,2,22,4,3,6,1,1),(25,404,2,22,5,6,7,1,3),(25,404,2,22,6,NULL,4,NULL,1),(25,404,2,22,7,1,6,1,2),(25,404,2,22,8,6,9,NULL,1),(25,404,2,22,9,9,13,3,2),(25,404,2,22,10,1,7,NULL,3),(25,404,2,22,11,2,25,1,5),(25,404,2,22,12,3,3,NULL,NULL),(25,404,2,22,13,10,9,5,3),(25,404,2,22,14,2,12,NULL,4),(25,404,2,22,15,9,12,1,2),(25,404,2,22,16,3,11,1,4),(25,404,2,22,17,3,12,1,3),(25,404,2,22,18,6,10,NULL,3),(25,404,2,22,19,NULL,10,NULL,2),(25,404,2,22,20,1,11,NULL,3),(25,404,2,22,21,1,4,1,1),(25,404,2,22,22,NULL,NULL,NULL,NULL),(25,404,2,22,23,2,4,1,1),(25,404,2,22,24,1,4,NULL,1),(25,404,2,22,25,9,NULL,2,NULL),(25,404,2,22,26,NULL,3,NULL,NULL),(25,404,2,22,27,1,8,NULL,NULL),(25,404,2,22,28,NULL,NULL,NULL,NULL),(25,404,2,22,29,3,6,NULL,1),(25,404,2,22,30,2,6,2,NULL),(25,404,2,22,31,4,4,1,2),(25,404,2,22,32,2,4,1,1),(25,404,2,22,33,4,5,1,1),(25,404,2,22,34,NULL,6,NULL,1),(25,404,2,22,35,3,7,NULL,3),(25,404,2,22,36,3,5,NULL,NULL),(25,404,2,22,37,1,4,NULL,1),(25,404,2,22,38,7,5,1,1),(25,404,2,22,39,5,NULL,3,NULL),(25,404,2,22,40,NULL,1,NULL,NULL),(25,404,2,23,1,1,14,1,5),(25,404,2,23,2,2,15,2,8),(25,404,2,23,3,3,12,1,5),(25,404,2,23,4,2,11,2,4),(25,404,2,23,5,3,12,NULL,7),(25,404,2,23,6,2,7,1,2),(25,404,2,23,7,1,9,1,3),(25,404,2,23,8,7,17,2,7),(25,404,2,23,9,16,12,10,2),(25,404,2,23,10,NULL,13,NULL,5),(25,404,2,23,11,2,26,1,7),(25,404,2,23,12,NULL,6,NULL,2),(25,404,2,23,13,12,15,6,7),(25,404,2,23,14,NULL,14,NULL,7),(25,404,2,23,15,3,16,3,4),(25,404,2,23,16,3,6,1,3),(25,404,2,23,17,4,8,NULL,2),(25,404,2,23,18,4,18,NULL,7),(25,404,2,23,19,1,8,1,4),(25,404,2,23,20,4,15,1,6),(25,404,2,23,21,NULL,4,NULL,2),(25,404,2,23,22,1,3,NULL,NULL),(25,404,2,23,23,1,11,1,7),(25,404,2,23,24,1,13,1,5),(25,404,2,23,25,3,NULL,2,NULL),(25,404,2,23,26,1,4,NULL,NULL),(25,404,2,23,27,1,5,NULL,NULL),(25,404,2,23,28,1,1,NULL,1),(25,404,2,23,29,NULL,8,NULL,4),(25,404,2,23,30,7,8,1,2),(25,404,2,23,31,4,4,1,1),(25,404,2,23,32,NULL,8,NULL,3),(25,404,2,23,33,1,14,NULL,7),(25,404,2,23,34,NULL,3,NULL,1),(25,404,2,23,35,1,12,1,6),(25,404,2,23,36,5,7,2,4),(25,404,2,23,37,3,4,2,1),(25,404,2,23,38,1,7,NULL,3),(25,404,2,23,39,4,NULL,2,NULL),(25,404,2,23,40,NULL,3,NULL,2),(25,404,2,24,1,1,13,NULL,10),(25,404,2,24,2,1,9,1,6),(25,404,2,24,3,3,16,1,9),(25,404,2,24,4,NULL,9,NULL,7),(25,404,2,24,5,6,13,4,9),(25,404,2,24,6,2,3,2,1),(25,404,2,24,7,3,9,2,5),(25,404,2,24,8,5,18,4,9),(25,404,2,24,9,11,13,6,10),(25,404,2,24,10,3,12,3,6),(25,404,2,24,11,2,33,NULL,13),(25,404,2,24,12,4,6,2,2),(25,404,2,24,13,16,9,10,5),(25,404,2,24,14,4,19,2,11),(25,404,2,24,15,5,16,2,5),(25,404,2,24,16,3,11,2,4),(25,404,2,24,17,6,21,4,7),(25,404,2,24,18,3,14,1,6),(25,404,2,24,19,1,4,1,2),(25,404,2,24,20,3,16,2,11),(25,404,2,24,21,1,5,NULL,3),(25,404,2,24,22,NULL,NULL,NULL,NULL),(25,404,2,24,23,2,5,2,4),(25,404,2,24,24,NULL,8,NULL,6),(25,404,2,24,25,2,NULL,1,NULL),(25,404,2,24,26,NULL,3,NULL,2),(25,404,2,24,27,2,6,1,4),(25,404,2,24,28,1,6,1,1),(25,404,2,24,29,NULL,5,NULL,3),(25,404,2,24,30,5,6,2,5),(25,404,2,24,31,4,9,3,7),(25,404,2,24,32,2,10,NULL,8),(25,404,2,24,33,3,4,3,1),(25,404,2,24,34,NULL,3,NULL,2),(25,404,2,24,35,6,9,1,5),(25,404,2,24,36,4,8,2,7),(25,404,2,24,37,1,9,NULL,5),(25,404,2,24,38,5,6,3,2),(25,404,2,24,39,5,NULL,3,NULL),(25,404,2,24,40,2,2,NULL,1),(25,415,1,11,1,1,NULL,NULL,NULL),(25,415,1,11,2,NULL,NULL,NULL,NULL),(25,415,1,11,3,NULL,NULL,NULL,NULL),(25,415,1,11,4,1,NULL,NULL,NULL),(25,415,1,11,5,NULL,NULL,NULL,NULL),(25,415,1,11,6,NULL,1,NULL,NULL),(25,415,1,11,7,1,1,NULL,NULL),(25,415,1,11,8,1,NULL,NULL,NULL),(25,415,1,11,9,NULL,NULL,NULL,NULL),(25,415,1,11,10,NULL,NULL,NULL,NULL),(25,415,1,11,11,NULL,1,NULL,NULL),(25,415,1,11,12,NULL,NULL,NULL,NULL),(25,415,1,11,13,NULL,2,NULL,NULL),(25,415,1,11,14,2,NULL,NULL,NULL),(25,415,1,11,15,1,NULL,NULL,NULL),(25,415,1,11,16,NULL,2,NULL,NULL),(25,415,1,11,17,NULL,1,NULL,NULL),(25,415,1,11,18,NULL,1,NULL,NULL),(25,415,1,11,19,NULL,1,NULL,NULL),(25,415,1,11,20,NULL,1,NULL,NULL),(25,415,1,11,21,NULL,NULL,NULL,NULL),(25,415,1,11,22,NULL,NULL,NULL,NULL),(25,415,1,11,23,1,NULL,NULL,NULL),(25,415,1,11,24,NULL,1,NULL,NULL),(25,415,1,11,25,NULL,NULL,NULL,NULL),(25,415,1,11,26,NULL,NULL,NULL,NULL),(25,415,1,11,27,NULL,NULL,NULL,NULL),(25,415,1,11,28,NULL,1,NULL,NULL),(25,415,1,11,29,NULL,NULL,NULL,NULL),(25,415,1,11,30,NULL,NULL,NULL,NULL),(25,415,1,11,31,NULL,1,NULL,NULL),(25,415,1,11,32,NULL,1,NULL,NULL),(25,415,1,11,33,NULL,NULL,NULL,NULL),(25,415,1,11,34,NULL,1,NULL,NULL),(25,415,1,11,35,NULL,1,NULL,NULL),(25,415,1,11,36,NULL,1,NULL,NULL),(25,415,1,11,37,NULL,NULL,NULL,NULL),(25,415,1,11,38,NULL,1,NULL,NULL),(25,415,1,11,39,NULL,2,NULL,NULL),(25,415,1,11,40,NULL,NULL,NULL,NULL),(25,415,1,12,1,NULL,3,NULL,2),(25,415,1,12,2,2,1,2,NULL),(25,415,1,12,3,1,NULL,1,NULL),(25,415,1,12,4,3,NULL,2,NULL),(25,415,1,12,5,1,NULL,1,NULL),(25,415,1,12,6,1,2,1,1),(25,415,1,12,7,NULL,3,NULL,2),(25,415,1,12,8,NULL,NULL,NULL,NULL),(25,415,1,12,9,1,1,NULL,1),(25,415,1,12,10,1,1,NULL,1),(25,415,1,12,11,1,1,1,NULL),(25,415,1,12,12,NULL,1,NULL,1),(25,415,1,12,13,NULL,2,NULL,2),(25,415,1,12,14,2,1,1,1),(25,415,1,12,15,1,1,NULL,1),(25,415,1,12,16,3,NULL,2,NULL),(25,415,1,12,17,3,NULL,2,NULL),(25,415,1,12,18,1,NULL,1,NULL),(25,415,1,12,19,2,NULL,1,NULL),(25,415,1,12,20,1,2,NULL,2),(25,415,1,12,21,1,1,NULL,1),(25,415,1,12,22,1,1,NULL,1),(25,415,1,12,23,NULL,1,NULL,1),(25,415,1,12,24,1,NULL,1,NULL),(25,415,1,12,25,NULL,1,NULL,1),(25,415,1,12,26,1,NULL,1,NULL),(25,415,1,12,27,NULL,NULL,NULL,NULL),(25,415,1,12,28,NULL,3,NULL,2),(25,415,1,12,29,NULL,2,NULL,2),(25,415,1,12,30,NULL,NULL,NULL,NULL),(25,415,1,12,31,1,NULL,1,NULL),(25,415,1,12,32,1,NULL,1,NULL),(25,415,1,12,33,NULL,1,NULL,1),(25,415,1,12,34,1,NULL,NULL,NULL),(25,415,1,12,35,3,NULL,2,NULL),(25,415,1,12,36,3,NULL,2,NULL),(25,415,1,12,37,1,1,1,1),(25,415,1,12,38,NULL,2,NULL,1),(25,415,1,12,39,NULL,1,NULL,1),(25,415,1,12,40,NULL,1,NULL,1),(25,415,1,13,1,NULL,NULL,NULL,NULL),(25,415,1,13,2,NULL,NULL,NULL,NULL),(25,415,1,13,3,NULL,NULL,NULL,NULL),(25,415,1,13,4,1,NULL,NULL,NULL),(25,415,1,13,5,1,NULL,NULL,NULL),(25,415,1,13,6,NULL,NULL,NULL,NULL),(25,415,1,13,7,NULL,NULL,NULL,NULL),(25,415,1,13,8,NULL,NULL,NULL,NULL),(25,415,1,13,9,NULL,NULL,NULL,NULL),(25,415,1,13,10,NULL,NULL,NULL,NULL),(25,415,1,13,11,NULL,NULL,NULL,NULL),(25,415,1,13,12,NULL,NULL,NULL,NULL),(25,415,1,13,13,1,NULL,NULL,NULL),(25,415,1,13,14,1,NULL,NULL,NULL),(25,415,1,13,15,NULL,NULL,NULL,NULL),(25,415,1,13,16,1,NULL,NULL,NULL),(25,415,1,13,17,1,NULL,NULL,NULL),(25,415,1,13,18,1,NULL,NULL,NULL),(25,415,1,13,19,NULL,NULL,NULL,NULL),(25,415,1,13,20,NULL,NULL,NULL,NULL),(25,415,1,13,21,1,NULL,NULL,NULL),(25,415,1,13,22,NULL,NULL,NULL,NULL),(25,415,1,13,23,NULL,NULL,NULL,NULL),(25,415,1,13,24,NULL,NULL,NULL,NULL),(25,415,1,13,25,NULL,NULL,NULL,NULL),(25,415,1,13,26,NULL,NULL,NULL,NULL),(25,415,1,13,27,NULL,NULL,NULL,NULL),(25,415,1,13,28,NULL,NULL,NULL,NULL),(25,415,1,13,29,NULL,NULL,NULL,NULL),(25,415,1,13,30,NULL,NULL,NULL,NULL),(25,415,1,13,31,NULL,NULL,NULL,NULL),(25,415,1,13,32,NULL,NULL,NULL,NULL),(25,415,1,13,33,NULL,NULL,NULL,NULL),(25,415,1,13,34,NULL,NULL,NULL,NULL),(25,415,1,13,35,NULL,NULL,NULL,NULL),(25,415,1,13,36,NULL,NULL,NULL,NULL),(25,415,1,13,37,NULL,NULL,NULL,NULL),(25,415,1,13,38,NULL,1,NULL,NULL),(25,415,1,13,39,NULL,NULL,NULL,NULL),(25,415,1,13,40,NULL,NULL,NULL,NULL),(25,415,1,14,1,48,45,9,11),(25,415,1,14,2,31,30,10,6),(25,415,1,14,3,35,18,17,1),(25,415,1,14,4,92,20,20,5),(25,415,1,14,5,13,38,5,13),(25,415,1,14,6,21,46,4,14),(25,415,1,14,7,45,68,13,13),(25,415,1,14,8,42,17,19,3),(25,415,1,14,9,31,38,8,8),(25,415,1,14,10,13,8,8,1),(25,415,1,14,11,18,20,1,6),(25,415,1,14,12,27,11,15,2),(25,415,1,14,13,36,19,12,6),(25,415,1,14,14,37,16,12,2),(25,415,1,14,15,45,29,16,5),(25,415,1,14,16,22,21,8,3),(25,415,1,14,17,43,18,15,5),(25,415,1,14,18,67,11,21,2),(25,415,1,14,19,51,46,13,13),(25,415,1,14,20,51,15,14,3),(25,415,1,14,21,21,33,11,3),(25,415,1,14,22,12,35,3,16),(25,415,1,14,23,15,23,7,3),(25,415,1,14,24,5,17,2,6),(25,415,1,14,25,5,20,3,6),(25,415,1,14,26,25,NULL,12,NULL),(25,415,1,14,27,8,NULL,3,NULL),(25,415,1,14,28,20,41,5,14),(25,415,1,14,29,7,12,1,2),(25,415,1,14,30,5,14,1,2),(25,415,1,14,31,9,17,5,7),(25,415,1,14,32,7,13,3,7),(25,415,1,14,33,13,14,5,4),(25,415,1,14,34,24,10,7,1),(25,415,1,14,35,17,10,6,NULL),(25,415,1,14,36,35,33,14,8),(25,415,1,14,37,21,17,13,4),(25,415,1,14,38,9,77,2,19),(25,415,1,14,39,8,39,3,9),(25,415,1,14,40,1,14,1,8),(25,415,1,15,1,54,45,8,6),(25,415,1,15,2,30,32,8,8),(25,415,1,15,3,27,17,6,2),(25,415,1,15,4,88,26,14,3),(25,415,1,15,5,19,27,4,5),(25,415,1,15,6,23,50,5,12),(25,415,1,15,7,35,67,7,10),(25,415,1,15,8,36,15,11,2),(25,415,1,15,9,34,42,7,6),(25,415,1,15,10,10,20,4,4),(25,415,1,15,11,21,22,5,7),(25,415,1,15,12,17,11,5,3),(25,415,1,15,13,31,19,6,4),(25,415,1,15,14,39,18,8,2),(25,415,1,15,15,54,22,9,4),(25,415,1,15,16,24,22,5,5),(25,415,1,15,17,45,24,7,4),(25,415,1,15,18,77,12,12,1),(25,415,1,15,19,58,40,12,6),(25,415,1,15,20,58,10,12,NULL),(25,415,1,15,21,30,36,5,7),(25,415,1,15,22,9,33,2,11),(25,415,1,15,23,10,22,1,6),(25,415,1,15,24,7,18,4,8),(25,415,1,15,25,4,23,2,4),(25,415,1,15,26,18,NULL,7,NULL),(25,415,1,15,27,3,NULL,1,NULL),(25,415,1,15,28,9,49,2,10),(25,415,1,15,29,13,8,3,1),(25,415,1,15,30,6,20,1,10),(25,415,1,15,31,3,23,2,4),(25,415,1,15,32,9,23,3,7),(25,415,1,15,33,18,16,4,2),(25,415,1,15,34,16,14,5,1),(25,415,1,15,35,17,10,6,1),(25,415,1,15,36,35,39,10,3),(25,415,1,15,37,29,18,9,2),(25,415,1,15,38,10,81,2,13),(25,415,1,15,39,13,37,4,5),(25,415,1,15,40,4,27,2,9),(25,415,1,16,1,24,27,1,3),(25,415,1,16,2,9,16,2,1),(25,415,1,16,3,11,12,NULL,1),(25,415,1,16,4,33,18,1,1),(25,415,1,16,5,5,19,1,3),(25,415,1,16,6,10,28,1,1),(25,415,1,16,7,15,48,2,1),(25,415,1,16,8,19,15,NULL,1),(25,415,1,16,9,11,23,NULL,2),(25,415,1,16,10,5,7,1,NULL),(25,415,1,16,11,6,13,NULL,NULL),(25,415,1,16,12,15,3,1,1),(25,415,1,16,13,33,10,3,1),(25,415,1,16,14,19,19,3,1),(25,415,1,16,15,42,NULL,3,NULL),(25,415,1,16,16,15,29,2,1),(25,415,1,16,17,3,35,NULL,2),(25,415,1,16,18,17,59,2,1),(25,415,1,16,19,NULL,33,NULL,4),(25,415,1,16,20,48,NULL,3,NULL),(25,415,1,16,21,9,24,1,3),(25,415,1,16,22,6,13,NULL,1),(25,415,1,16,23,2,10,1,2),(25,415,1,16,24,3,12,NULL,2),(25,415,1,16,25,5,6,NULL,1),(25,415,1,16,26,4,NULL,NULL,NULL),(25,415,1,16,27,4,NULL,NULL,NULL),(25,415,1,16,28,15,27,2,1),(25,415,1,16,29,3,11,NULL,NULL),(25,415,1,16,30,3,6,NULL,1),(25,415,1,16,31,1,6,NULL,1),(25,415,1,16,32,NULL,4,NULL,1),(25,415,1,16,33,7,10,NULL,NULL),(25,415,1,16,34,11,11,1,NULL),(25,415,1,16,35,5,7,1,1),(25,415,1,16,36,10,15,1,NULL),(25,415,1,16,37,8,6,1,1),(25,415,1,16,38,5,45,NULL,4),(25,415,1,16,39,1,31,NULL,2),(25,415,1,16,40,2,5,NULL,1),(25,415,1,17,1,25,27,3,3),(25,415,1,17,2,11,26,4,1),(25,415,1,17,3,22,8,5,NULL),(25,415,1,17,4,38,21,4,1),(25,415,1,17,5,6,20,NULL,3),(25,415,1,17,6,14,20,5,1),(25,415,1,17,7,8,39,2,4),(25,415,1,17,8,12,12,2,2),(25,415,1,17,9,16,20,4,1),(25,415,1,17,10,1,6,NULL,1),(25,415,1,17,11,14,11,1,3),(25,415,1,17,12,12,8,2,1),(25,415,1,17,13,21,8,4,1),(25,415,1,17,14,20,11,3,1),(25,415,1,17,15,42,NULL,5,NULL),(25,415,1,17,16,12,32,2,2),(25,415,1,17,17,4,27,NULL,5),(25,415,1,17,18,14,52,1,6),(25,415,1,17,19,3,23,NULL,3),(25,415,1,17,20,36,NULL,3,NULL),(25,415,1,17,21,8,13,1,NULL),(25,415,1,17,22,4,17,NULL,1),(25,415,1,17,23,3,11,NULL,1),(25,415,1,17,24,2,16,NULL,2),(25,415,1,17,25,4,7,NULL,NULL),(25,415,1,17,26,5,NULL,1,NULL),(25,415,1,17,27,1,NULL,NULL,NULL),(25,415,1,17,28,17,31,4,3),(25,415,1,17,29,3,5,NULL,1),(25,415,1,17,30,3,10,NULL,2),(25,415,1,17,31,5,8,3,2),(25,415,1,17,32,3,3,1,1),(25,415,1,17,33,7,8,2,1),(25,415,1,17,34,4,10,1,2),(25,415,1,17,35,2,6,NULL,3),(25,415,1,17,36,16,13,4,1),(25,415,1,17,37,10,6,NULL,2),(25,415,1,17,38,6,36,1,3),(25,415,1,17,39,4,21,2,2),(25,415,1,17,40,NULL,9,NULL,3),(25,415,2,21,1,5,28,2,5),(25,415,2,21,2,6,22,2,4),(25,415,2,21,3,12,20,6,2),(25,415,2,21,4,8,18,3,6),(25,415,2,21,5,31,16,9,1),(25,415,2,21,6,12,12,3,5),(25,415,2,21,7,5,13,3,3),(25,415,2,21,8,17,21,8,2),(25,415,2,21,9,32,31,11,3),(25,415,2,21,10,17,28,8,5),(25,415,2,21,11,6,60,1,9),(25,415,2,21,12,8,27,3,5),(25,415,2,21,13,44,8,12,NULL),(25,415,2,21,14,13,28,7,6),(25,415,2,21,15,21,24,4,3),(25,415,2,21,16,6,27,5,2),(25,415,2,21,17,10,44,2,8),(25,415,2,21,18,22,19,4,1),(25,415,2,21,19,5,29,2,7),(25,415,2,21,20,14,22,3,3),(25,415,2,21,21,4,11,3,2),(25,415,2,21,22,2,2,1,NULL),(25,415,2,21,23,3,9,2,3),(25,415,2,21,24,5,11,NULL,2),(25,415,2,21,25,8,NULL,2,NULL),(25,415,2,21,26,1,12,NULL,3),(25,415,2,21,27,NULL,11,NULL,1),(25,415,2,21,28,4,14,2,2),(25,415,2,21,29,3,14,1,2),(25,415,2,21,30,2,6,NULL,1),(25,415,2,21,31,18,7,8,3),(25,415,2,21,32,3,20,1,7),(25,415,2,21,33,11,17,4,5),(25,415,2,21,34,2,7,1,1),(25,415,2,21,35,6,18,1,4),(25,415,2,21,36,7,17,1,NULL),(25,415,2,21,37,3,10,1,2),(25,415,2,21,38,15,24,4,3),(25,415,2,21,39,38,NULL,12,NULL),(25,415,2,21,40,3,5,2,2),(25,415,2,22,1,11,28,5,6),(25,415,2,22,2,5,26,2,9),(25,415,2,22,3,16,27,3,6),(25,415,2,22,4,11,25,4,7),(25,415,2,22,5,36,22,9,4),(25,415,2,22,6,17,17,9,3),(25,415,2,22,7,13,16,6,4),(25,415,2,22,8,30,21,8,3),(25,415,2,22,9,42,32,11,5),(25,415,2,22,10,19,25,9,4),(25,415,2,22,11,13,69,2,10),(25,415,2,22,12,19,35,4,7),(25,415,2,22,13,57,14,12,2),(25,415,2,22,14,22,37,4,5),(25,415,2,22,15,38,29,7,5),(25,415,2,22,16,15,31,2,5),(25,415,2,22,17,12,39,2,9),(25,415,2,22,18,15,22,1,5),(25,415,2,22,19,5,26,1,4),(25,415,2,22,20,14,22,2,3),(25,415,2,22,21,4,7,2,2),(25,415,2,22,22,2,9,NULL,2),(25,415,2,22,23,6,14,3,5),(25,415,2,22,24,6,11,2,NULL),(25,415,2,22,25,2,NULL,NULL,NULL),(25,415,2,22,26,1,9,NULL,1),(25,415,2,22,27,5,15,1,1),(25,415,2,22,28,NULL,10,NULL,1),(25,415,2,22,29,6,11,NULL,4),(25,415,2,22,30,4,15,NULL,1),(25,415,2,22,31,22,16,7,5),(25,415,2,22,32,5,16,2,5),(25,415,2,22,33,27,21,8,4),(25,415,2,22,34,3,10,NULL,1),(25,415,2,22,35,11,20,4,6),(25,415,2,22,36,11,13,4,3),(25,415,2,22,37,3,13,3,4),(25,415,2,22,38,28,17,7,1),(25,415,2,22,39,40,NULL,13,NULL),(25,415,2,22,40,1,7,NULL,2),(25,415,2,23,1,6,25,NULL,3),(25,415,2,23,2,4,24,2,1),(25,415,2,23,3,9,19,1,3),(25,415,2,23,4,11,18,3,2),(25,415,2,23,5,13,16,5,NULL),(25,415,2,23,6,8,14,3,3),(25,415,2,23,7,12,14,3,2),(25,415,2,23,8,30,21,4,1),(25,415,2,23,9,39,30,8,1),(25,415,2,23,10,19,22,4,3),(25,415,2,23,11,8,63,1,2),(25,415,2,23,12,7,25,2,4),(25,415,2,23,13,52,12,7,NULL),(25,415,2,23,14,9,23,3,NULL),(25,415,2,23,15,14,23,2,3),(25,415,2,23,16,8,23,3,3),(25,415,2,23,17,13,31,3,4),(25,415,2,23,18,15,17,1,1),(25,415,2,23,19,7,20,NULL,5),(25,415,2,23,20,8,19,1,1),(25,415,2,23,21,4,6,2,1),(25,415,2,23,22,NULL,NULL,NULL,NULL),(25,415,2,23,23,2,7,2,1),(25,415,2,23,24,2,8,NULL,NULL),(25,415,2,23,25,3,NULL,NULL,NULL),(25,415,2,23,26,NULL,11,NULL,1),(25,415,2,23,27,NULL,8,NULL,NULL),(25,415,2,23,28,2,13,NULL,NULL),(25,415,2,23,29,3,8,1,1),(25,415,2,23,30,3,13,NULL,1),(25,415,2,23,31,13,9,3,1),(25,415,2,23,32,4,10,3,2),(25,415,2,23,33,19,10,6,1),(25,415,2,23,34,2,10,1,4),(25,415,2,23,35,8,9,3,2),(25,415,2,23,36,4,11,1,1),(25,415,2,23,37,5,11,2,NULL),(25,415,2,23,38,19,17,4,2),(25,415,2,23,39,25,NULL,8,NULL),(25,415,2,23,40,1,6,NULL,1),(25,415,2,24,1,7,22,2,6),(25,415,2,24,2,5,12,1,2),(25,415,2,24,3,10,11,2,2),(25,415,2,24,4,11,11,4,2),(25,415,2,24,5,26,14,8,4),(25,415,2,24,6,7,15,3,5),(25,415,2,24,7,6,12,3,3),(25,415,2,24,8,24,19,8,2),(25,415,2,24,9,42,22,9,4),(25,415,2,24,10,16,16,6,4),(25,415,2,24,11,6,58,1,10),(25,415,2,24,12,11,19,2,7),(25,415,2,24,13,49,13,13,1),(25,415,2,24,14,18,27,6,4),(25,415,2,24,15,19,23,5,4),(25,415,2,24,16,9,26,1,5),(25,415,2,24,17,15,41,4,5),(25,415,2,24,18,20,19,3,3),(25,415,2,24,19,3,15,NULL,5),(25,415,2,24,20,9,11,3,1),(25,415,2,24,21,2,7,1,NULL),(25,415,2,24,22,1,2,1,1),(25,415,2,24,23,4,5,2,1),(25,415,2,24,24,4,11,NULL,2),(25,415,2,24,25,7,NULL,3,NULL),(25,415,2,24,26,1,9,NULL,NULL),(25,415,2,24,27,1,14,NULL,1),(25,415,2,24,28,2,18,1,4),(25,415,2,24,29,1,3,NULL,NULL),(25,415,2,24,30,2,10,NULL,2),(25,415,2,24,31,12,10,7,NULL),(25,415,2,24,32,1,13,1,3),(25,415,2,24,33,18,11,6,4),(25,415,2,24,34,4,6,NULL,3),(25,415,2,24,35,7,15,1,4),(25,415,2,24,36,8,13,4,2),(25,415,2,24,37,8,11,3,5),(25,415,2,24,38,22,19,4,4),(25,415,2,24,39,35,NULL,12,NULL),(25,415,2,24,40,5,4,2,1),(25,420,1,11,1,NULL,NULL,NULL,NULL),(25,420,1,11,2,NULL,NULL,NULL,NULL),(25,420,1,11,3,NULL,NULL,NULL,NULL),(25,420,1,11,4,NULL,NULL,NULL,NULL),(25,420,1,11,5,NULL,NULL,NULL,NULL),(25,420,1,11,6,NULL,NULL,NULL,NULL),(25,420,1,11,7,NULL,NULL,NULL,NULL),(25,420,1,11,8,NULL,NULL,NULL,NULL),(25,420,1,11,9,NULL,NULL,NULL,NULL),(25,420,1,11,10,NULL,NULL,NULL,NULL),(25,420,1,11,11,NULL,NULL,NULL,NULL),(25,420,1,11,12,NULL,NULL,NULL,NULL),(25,420,1,11,13,NULL,NULL,NULL,NULL),(25,420,1,11,14,NULL,NULL,NULL,NULL),(25,420,1,11,15,NULL,NULL,NULL,NULL),(25,420,1,11,16,NULL,NULL,NULL,NULL),(25,420,1,11,17,NULL,NULL,NULL,NULL),(25,420,1,11,18,NULL,NULL,NULL,NULL),(25,420,1,11,19,NULL,NULL,NULL,NULL),(25,420,1,11,20,NULL,NULL,NULL,NULL),(25,420,1,11,21,NULL,NULL,NULL,NULL),(25,420,1,11,22,NULL,NULL,NULL,NULL),(25,420,1,11,23,NULL,NULL,NULL,NULL),(25,420,1,11,24,NULL,NULL,NULL,NULL),(25,420,1,11,25,NULL,NULL,NULL,NULL),(25,420,1,11,26,NULL,NULL,NULL,NULL),(25,420,1,11,27,NULL,NULL,NULL,NULL),(25,420,1,11,28,NULL,NULL,NULL,NULL),(25,420,1,11,29,NULL,NULL,NULL,NULL),(25,420,1,11,30,NULL,NULL,NULL,NULL),(25,420,1,11,31,NULL,NULL,NULL,NULL),(25,420,1,11,32,NULL,NULL,NULL,NULL),(25,420,1,11,33,NULL,NULL,NULL,NULL),(25,420,1,11,34,NULL,NULL,NULL,NULL),(25,420,1,11,35,NULL,NULL,NULL,NULL),(25,420,1,11,36,NULL,NULL,NULL,NULL),(25,420,1,11,37,NULL,NULL,NULL,NULL),(25,420,1,11,38,NULL,NULL,NULL,NULL),(25,420,1,11,39,NULL,NULL,NULL,NULL),(25,420,1,11,40,NULL,NULL,NULL,NULL),(25,420,1,12,1,1,NULL,NULL,NULL),(25,420,1,12,2,NULL,NULL,NULL,NULL),(25,420,1,12,3,NULL,1,NULL,NULL),(25,420,1,12,4,1,NULL,NULL,NULL),(25,420,1,12,5,NULL,NULL,NULL,NULL),(25,420,1,12,6,NULL,2,NULL,NULL),(25,420,1,12,7,1,1,NULL,NULL),(25,420,1,12,8,NULL,NULL,NULL,NULL),(25,420,1,12,9,1,1,NULL,NULL),(25,420,1,12,10,1,NULL,NULL,NULL),(25,420,1,12,11,NULL,NULL,NULL,NULL),(25,420,1,12,12,NULL,NULL,NULL,NULL),(25,420,1,12,13,1,1,NULL,NULL),(25,420,1,12,14,1,NULL,NULL,NULL),(25,420,1,12,15,1,1,NULL,NULL),(25,420,1,12,16,1,NULL,NULL,NULL),(25,420,1,12,17,1,1,NULL,NULL),(25,420,1,12,18,1,NULL,NULL,NULL),(25,420,1,12,19,1,NULL,NULL,NULL),(25,420,1,12,20,NULL,2,NULL,NULL),(25,420,1,12,21,1,NULL,NULL,NULL),(25,420,1,12,22,NULL,1,NULL,NULL),(25,420,1,12,23,1,NULL,NULL,NULL),(25,420,1,12,24,NULL,NULL,NULL,NULL),(25,420,1,12,25,1,NULL,NULL,NULL),(25,420,1,12,26,NULL,NULL,NULL,NULL),(25,420,1,12,27,NULL,NULL,NULL,NULL),(25,420,1,12,28,NULL,NULL,NULL,NULL),(25,420,1,12,29,NULL,NULL,NULL,NULL),(25,420,1,12,30,NULL,NULL,NULL,NULL),(25,420,1,12,31,NULL,1,NULL,NULL),(25,420,1,12,32,NULL,1,NULL,NULL),(25,420,1,12,33,NULL,1,NULL,NULL),(25,420,1,12,34,NULL,NULL,NULL,NULL),(25,420,1,12,35,NULL,NULL,NULL,NULL),(25,420,1,12,36,1,NULL,NULL,NULL),(25,420,1,12,37,1,NULL,NULL,NULL),(25,420,1,12,38,2,NULL,NULL,NULL),(25,420,1,12,39,1,NULL,NULL,NULL),(25,420,1,12,40,1,NULL,NULL,NULL),(25,420,1,13,1,NULL,2,NULL,NULL),(25,420,1,13,2,NULL,1,NULL,NULL),(25,420,1,13,3,NULL,1,NULL,NULL),(25,420,1,13,4,1,1,NULL,NULL),(25,420,1,13,5,NULL,1,NULL,NULL),(25,420,1,13,6,NULL,NULL,NULL,NULL),(25,420,1,13,7,NULL,2,NULL,NULL),(25,420,1,13,8,NULL,NULL,NULL,NULL),(25,420,1,13,9,NULL,NULL,NULL,NULL),(25,420,1,13,10,NULL,NULL,NULL,NULL),(25,420,1,13,11,NULL,NULL,NULL,NULL),(25,420,1,13,12,1,NULL,NULL,NULL),(25,420,1,13,13,2,NULL,NULL,NULL),(25,420,1,13,14,NULL,1,NULL,NULL),(25,420,1,13,15,NULL,2,NULL,NULL),(25,420,1,13,16,1,NULL,NULL,NULL),(25,420,1,13,17,1,NULL,NULL,NULL),(25,420,1,13,18,2,NULL,NULL,NULL),(25,420,1,13,19,NULL,2,NULL,NULL),(25,420,1,13,20,1,1,NULL,NULL),(25,420,1,13,21,NULL,1,NULL,NULL),(25,420,1,13,22,1,1,NULL,NULL),(25,420,1,13,23,NULL,NULL,NULL,NULL),(25,420,1,13,24,NULL,1,NULL,NULL),(25,420,1,13,25,NULL,1,NULL,NULL),(25,420,1,13,26,NULL,NULL,NULL,NULL),(25,420,1,13,27,NULL,NULL,NULL,NULL),(25,420,1,13,28,NULL,NULL,NULL,NULL),(25,420,1,13,29,NULL,1,NULL,NULL),(25,420,1,13,30,1,1,NULL,NULL),(25,420,1,13,31,NULL,1,NULL,NULL),(25,420,1,13,32,NULL,1,NULL,NULL),(25,420,1,13,33,NULL,NULL,NULL,NULL),(25,420,1,13,34,NULL,NULL,NULL,NULL),(25,420,1,13,35,NULL,NULL,NULL,NULL),(25,420,1,13,36,NULL,2,NULL,NULL),(25,420,1,13,37,NULL,NULL,NULL,NULL),(25,420,1,13,38,NULL,1,NULL,NULL),(25,420,1,13,39,NULL,NULL,NULL,NULL),(25,420,1,13,40,NULL,NULL,NULL,NULL),(25,420,1,14,1,20,34,6,8),(25,420,1,14,2,10,28,4,1),(25,420,1,14,3,17,13,5,1),(25,420,1,14,4,49,11,13,3),(25,420,1,14,5,11,24,1,6),(25,420,1,14,6,16,28,4,8),(25,420,1,14,7,20,56,6,9),(25,420,1,14,8,10,14,3,6),(25,420,1,14,9,18,25,7,4),(25,420,1,14,10,1,5,NULL,2),(25,420,1,14,11,6,16,2,3),(25,420,1,14,12,16,7,3,2),(25,420,1,14,13,21,14,6,1),(25,420,1,14,14,28,12,5,3),(25,420,1,14,15,30,16,8,3),(25,420,1,14,16,16,14,2,5),(25,420,1,14,17,27,9,9,2),(25,420,1,14,18,36,8,11,NULL),(25,420,1,14,19,36,32,11,4),(25,420,1,14,20,35,1,10,NULL),(25,420,1,14,21,11,24,1,6),(25,420,1,14,22,6,22,3,8),(25,420,1,14,23,7,16,3,6),(25,420,1,14,24,1,13,NULL,4),(25,420,1,14,25,4,14,NULL,3),(25,420,1,14,26,7,NULL,4,NULL),(25,420,1,14,27,NULL,NULL,NULL,NULL),(25,420,1,14,28,11,28,2,8),(25,420,1,14,29,4,7,NULL,7),(25,420,1,14,30,2,16,1,3),(25,420,1,14,31,3,13,2,6),(25,420,1,14,32,6,10,2,4),(25,420,1,14,33,4,14,2,3),(25,420,1,14,34,9,10,4,3),(25,420,1,14,35,12,4,2,NULL),(25,420,1,14,36,20,28,6,3),(25,420,1,14,37,18,11,6,1),(25,420,1,14,38,6,54,2,9),(25,420,1,14,39,10,24,2,6),(25,420,1,14,40,3,7,2,4),(25,420,1,15,1,31,32,9,5),(25,420,1,15,2,15,27,4,7),(25,420,1,15,3,22,6,5,1),(25,420,1,15,4,54,20,13,3),(25,420,1,15,5,12,24,3,7),(25,420,1,15,6,12,30,6,6),(25,420,1,15,7,15,48,4,10),(25,420,1,15,8,20,12,9,1),(25,420,1,15,9,17,22,4,6),(25,420,1,15,10,4,10,2,4),(25,420,1,15,11,8,13,3,5),(25,420,1,15,12,15,9,3,3),(25,420,1,15,13,15,19,6,4),(25,420,1,15,14,26,12,8,2),(25,420,1,15,15,30,18,11,3),(25,420,1,15,16,14,17,4,3),(25,420,1,15,17,23,14,9,3),(25,420,1,15,18,41,7,13,NULL),(25,420,1,15,19,25,33,9,4),(25,420,1,15,20,32,8,10,3),(25,420,1,15,21,10,32,2,9),(25,420,1,15,22,4,20,NULL,6),(25,420,1,15,23,3,17,NULL,5),(25,420,1,15,24,6,16,1,3),(25,420,1,15,25,4,14,2,3),(25,420,1,15,26,9,NULL,4,NULL),(25,420,1,15,27,6,NULL,3,NULL),(25,420,1,15,28,7,30,3,7),(25,420,1,15,29,2,8,NULL,3),(25,420,1,15,30,3,10,1,2),(25,420,1,15,31,2,9,2,2),(25,420,1,15,32,2,8,NULL,4),(25,420,1,15,33,6,16,2,5),(25,420,1,15,34,11,9,2,5),(25,420,1,15,35,10,12,3,5),(25,420,1,15,36,14,26,5,4),(25,420,1,15,37,21,11,4,3),(25,420,1,15,38,5,52,1,11),(25,420,1,15,39,5,36,1,10),(25,420,1,15,40,2,18,1,7),(25,420,1,16,1,11,11,2,3),(25,420,1,16,2,4,9,NULL,2),(25,420,1,16,3,6,5,NULL,NULL),(25,420,1,16,4,18,8,3,2),(25,420,1,16,5,4,7,1,1),(25,420,1,16,6,5,8,1,NULL),(25,420,1,16,7,12,20,2,3),(25,420,1,16,8,4,8,3,1),(25,420,1,16,9,3,15,NULL,3),(25,420,1,16,10,1,4,NULL,NULL),(25,420,1,16,11,5,9,NULL,3),(25,420,1,16,12,3,5,2,1),(25,420,1,16,13,19,6,4,2),(25,420,1,16,14,10,8,1,2),(25,420,1,16,15,21,NULL,6,NULL),(25,420,1,16,16,10,18,2,4),(25,420,1,16,17,4,20,NULL,1),(25,420,1,16,18,14,24,2,3),(25,420,1,16,19,NULL,10,NULL,2),(25,420,1,16,20,27,NULL,5,NULL),(25,420,1,16,21,3,16,NULL,5),(25,420,1,16,22,2,13,NULL,5),(25,420,1,16,23,NULL,10,NULL,3),(25,420,1,16,24,1,11,NULL,2),(25,420,1,16,25,3,2,NULL,NULL),(25,420,1,16,26,3,NULL,2,NULL),(25,420,1,16,27,2,NULL,1,NULL),(25,420,1,16,28,4,21,NULL,5),(25,420,1,16,29,3,5,NULL,2),(25,420,1,16,30,2,4,NULL,3),(25,420,1,16,31,1,1,NULL,NULL),(25,420,1,16,32,2,1,NULL,NULL),(25,420,1,16,33,1,5,NULL,NULL),(25,420,1,16,34,4,5,NULL,3),(25,420,1,16,35,5,8,2,2),(25,420,1,16,36,3,11,1,2),(25,420,1,16,37,3,6,1,1),(25,420,1,16,38,2,25,NULL,5),(25,420,1,16,39,5,13,NULL,3),(25,420,1,16,40,NULL,4,NULL,3),(25,420,1,17,1,11,10,NULL,1),(25,420,1,17,2,4,8,NULL,1),(25,420,1,17,3,7,4,NULL,1),(25,420,1,17,4,17,5,NULL,1),(25,420,1,17,5,4,6,NULL,NULL),(25,420,1,17,6,6,8,NULL,NULL),(25,420,1,17,7,9,12,NULL,1),(25,420,1,17,8,6,2,1,NULL),(25,420,1,17,9,5,10,NULL,NULL),(25,420,1,17,10,1,NULL,NULL,NULL),(25,420,1,17,11,3,7,NULL,NULL),(25,420,1,17,12,3,4,NULL,1),(25,420,1,17,13,8,7,NULL,1),(25,420,1,17,14,10,2,NULL,NULL),(25,420,1,17,15,13,NULL,1,NULL),(25,420,1,17,16,8,13,NULL,1),(25,420,1,17,17,1,15,NULL,NULL),(25,420,1,17,18,5,21,NULL,NULL),(25,420,1,17,19,NULL,10,NULL,1),(25,420,1,17,20,16,NULL,1,NULL),(25,420,1,17,21,2,9,NULL,1),(25,420,1,17,22,1,9,NULL,1),(25,420,1,17,23,2,8,NULL,1),(25,420,1,17,24,3,8,NULL,1),(25,420,1,17,25,NULL,3,NULL,NULL),(25,420,1,17,26,4,NULL,NULL,NULL),(25,420,1,17,27,NULL,NULL,NULL,NULL),(25,420,1,17,28,7,9,NULL,1),(25,420,1,17,29,3,3,NULL,1),(25,420,1,17,30,1,5,NULL,NULL),(25,420,1,17,31,1,4,NULL,NULL),(25,420,1,17,32,1,3,NULL,NULL),(25,420,1,17,33,NULL,2,NULL,NULL),(25,420,1,17,34,3,2,NULL,NULL),(25,420,1,17,35,5,3,NULL,NULL),(25,420,1,17,36,4,9,NULL,NULL),(25,420,1,17,37,6,4,NULL,1),(25,420,1,17,38,1,16,NULL,NULL),(25,420,1,17,39,1,12,NULL,1),(25,420,1,17,40,1,5,NULL,1),(25,420,2,21,1,9,17,4,5),(25,420,2,21,2,1,11,NULL,1),(25,420,2,21,3,6,12,3,3),(25,420,2,21,4,9,13,3,4),(25,420,2,21,5,16,13,5,4),(25,420,2,21,6,4,13,2,3),(25,420,2,21,7,13,8,2,2),(25,420,2,21,8,10,16,4,3),(25,420,2,21,9,30,16,9,2),(25,420,2,21,10,6,15,1,6),(25,420,2,21,11,4,43,1,7),(25,420,2,21,12,4,19,1,2),(25,420,2,21,13,27,10,10,2),(25,420,2,21,14,2,21,1,4),(25,420,2,21,15,11,22,2,5),(25,420,2,21,16,5,24,1,5),(25,420,2,21,17,6,27,2,3),(25,420,2,21,18,7,16,1,3),(25,420,2,21,19,3,17,NULL,6),(25,420,2,21,20,7,20,4,5),(25,420,2,21,21,4,7,1,4),(25,420,2,21,22,NULL,2,NULL,NULL),(25,420,2,21,23,3,5,1,1),(25,420,2,21,24,3,11,1,4),(25,420,2,21,25,2,NULL,NULL,NULL),(25,420,2,21,26,2,4,NULL,1),(25,420,2,21,27,NULL,10,NULL,NULL),(25,420,2,21,28,2,7,NULL,1),(25,420,2,21,29,1,7,NULL,3),(25,420,2,21,30,2,10,NULL,1),(25,420,2,21,31,16,8,4,2),(25,420,2,21,32,3,5,1,2),(25,420,2,21,33,14,10,7,3),(25,420,2,21,34,1,6,NULL,NULL),(25,420,2,21,35,6,10,1,3),(25,420,2,21,36,7,9,NULL,2),(25,420,2,21,37,1,8,1,3),(25,420,2,21,38,11,11,3,3),(25,420,2,21,39,21,NULL,8,NULL),(25,420,2,21,40,2,6,1,2),(25,420,2,22,1,9,13,3,4),(25,420,2,22,2,NULL,12,NULL,4),(25,420,2,22,3,5,12,2,3),(25,420,2,22,4,5,12,2,3),(25,420,2,22,5,12,13,2,4),(25,420,2,22,6,4,9,1,4),(25,420,2,22,7,7,3,2,1),(25,420,2,22,8,17,13,2,4),(25,420,2,22,9,23,15,4,6),(25,420,2,22,10,5,7,2,4),(25,420,2,22,11,2,34,NULL,8),(25,420,2,22,12,6,11,3,1),(25,420,2,22,13,22,7,6,1),(25,420,2,22,14,6,16,3,2),(25,420,2,22,15,9,16,2,4),(25,420,2,22,16,7,18,NULL,5),(25,420,2,22,17,7,20,1,2),(25,420,2,22,18,6,12,NULL,4),(25,420,2,22,19,4,12,1,3),(25,420,2,22,20,9,9,1,2),(25,420,2,22,21,3,9,1,NULL),(25,420,2,22,22,NULL,3,NULL,1),(25,420,2,22,23,3,5,NULL,1),(25,420,2,22,24,1,6,NULL,NULL),(25,420,2,22,25,3,NULL,1,NULL),(25,420,2,22,26,1,6,NULL,NULL),(25,420,2,22,27,3,5,NULL,NULL),(25,420,2,22,28,NULL,2,NULL,1),(25,420,2,22,29,1,4,NULL,2),(25,420,2,22,30,1,8,NULL,1),(25,420,2,22,31,5,5,2,2),(25,420,2,22,32,NULL,8,NULL,4),(25,420,2,22,33,14,10,6,3),(25,420,2,22,34,2,10,NULL,3),(25,420,2,22,35,4,7,1,2),(25,420,2,22,36,6,13,2,4),(25,420,2,22,37,1,12,NULL,4),(25,420,2,22,38,9,8,4,1),(25,420,2,22,39,21,NULL,9,NULL),(25,420,2,22,40,1,2,NULL,1),(25,420,2,23,1,4,9,1,2),(25,420,2,23,2,3,20,NULL,1),(25,420,2,23,3,8,12,NULL,2),(25,420,2,23,4,6,12,3,2),(25,420,2,23,5,14,11,1,2),(25,420,2,23,6,3,10,1,4),(25,420,2,23,7,1,10,NULL,2),(25,420,2,23,8,19,13,2,1),(25,420,2,23,9,21,20,2,2),(25,420,2,23,10,9,14,1,2),(25,420,2,23,11,4,30,NULL,4),(25,420,2,23,12,3,13,NULL,1),(25,420,2,23,13,25,8,4,NULL),(25,420,2,23,14,2,21,1,3),(25,420,2,23,15,14,13,1,2),(25,420,2,23,16,7,8,NULL,NULL),(25,420,2,23,17,6,17,1,1),(25,420,2,23,18,15,13,NULL,3),(25,420,2,23,19,2,17,NULL,4),(25,420,2,23,20,12,11,2,1),(25,420,2,23,21,2,7,1,2),(25,420,2,23,22,NULL,3,NULL,NULL),(25,420,2,23,23,NULL,7,NULL,1),(25,420,2,23,24,3,8,NULL,NULL),(25,420,2,23,25,4,NULL,NULL,NULL),(25,420,2,23,26,3,2,NULL,NULL),(25,420,2,23,27,1,6,NULL,NULL),(25,420,2,23,28,2,6,NULL,NULL),(25,420,2,23,29,2,4,1,NULL),(25,420,2,23,30,3,9,1,2),(25,420,2,23,31,9,13,3,NULL),(25,420,2,23,32,NULL,6,NULL,2),(25,420,2,23,33,12,9,6,NULL),(25,420,2,23,34,1,8,1,1),(25,420,2,23,35,5,7,1,1),(25,420,2,23,36,8,5,2,1),(25,420,2,23,37,1,10,NULL,2),(25,420,2,23,38,12,12,3,1),(25,420,2,23,39,20,NULL,5,NULL),(25,420,2,23,40,NULL,2,NULL,NULL),(25,420,2,24,1,4,17,2,6),(25,420,2,24,2,3,10,NULL,3),(25,420,2,24,3,5,17,NULL,5),(25,420,2,24,4,3,12,NULL,2),(25,420,2,24,5,13,15,4,2),(25,420,2,24,6,1,14,NULL,5),(25,420,2,24,7,NULL,9,NULL,2),(25,420,2,24,8,9,13,1,4),(25,420,2,24,9,18,11,6,NULL),(25,420,2,24,10,1,14,NULL,6),(25,420,2,24,11,6,35,1,6),(25,420,2,24,12,5,16,1,4),(25,420,2,24,13,23,6,6,NULL),(25,420,2,24,14,4,23,1,4),(25,420,2,24,15,10,21,1,5),(25,420,2,24,16,9,16,1,4),(25,420,2,24,17,6,23,NULL,1),(25,420,2,24,18,7,16,2,2),(25,420,2,24,19,NULL,7,NULL,1),(25,420,2,24,20,3,13,1,5),(25,420,2,24,21,NULL,7,NULL,2),(25,420,2,24,22,NULL,2,NULL,NULL),(25,420,2,24,23,NULL,7,NULL,4),(25,420,2,24,24,1,4,1,1),(25,420,2,24,25,2,NULL,NULL,NULL),(25,420,2,24,26,2,6,NULL,1),(25,420,2,24,27,NULL,6,NULL,NULL),(25,420,2,24,28,NULL,4,NULL,1),(25,420,2,24,29,3,7,NULL,1),(25,420,2,24,30,2,1,NULL,NULL),(25,420,2,24,31,9,8,2,3),(25,420,2,24,32,3,11,NULL,4),(25,420,2,24,33,4,13,1,3),(25,420,2,24,34,2,3,1,1),(25,420,2,24,35,4,10,NULL,3),(25,420,2,24,36,8,8,2,3),(25,420,2,24,37,1,7,NULL,NULL),(25,420,2,24,38,7,10,1,1),(25,420,2,24,39,25,NULL,6,NULL),(25,420,2,24,40,3,3,1,1),(25,421,1,11,1,2,1,1,1),(25,421,1,11,2,1,2,1,2),(25,421,1,11,3,2,1,NULL,1),(25,421,1,11,4,4,NULL,3,NULL),(25,421,1,11,5,1,2,NULL,NULL),(25,421,1,11,6,1,1,1,1),(25,421,1,11,7,NULL,4,NULL,2),(25,421,1,11,8,1,NULL,1,NULL),(25,421,1,11,9,3,NULL,2,NULL),(25,421,1,11,10,NULL,NULL,NULL,NULL),(25,421,1,11,11,NULL,1,NULL,1),(25,421,1,11,12,1,NULL,1,NULL),(25,421,1,11,13,1,3,1,1),(25,421,1,11,14,6,1,4,NULL),(25,421,1,11,15,4,NULL,3,NULL),(25,421,1,11,16,3,4,2,2),(25,421,1,11,17,NULL,5,NULL,3),(25,421,1,11,18,2,3,1,2),(25,421,1,11,19,3,1,3,NULL),(25,421,1,11,20,2,3,2,2),(25,421,1,11,21,2,2,2,1),(25,421,1,11,22,1,NULL,1,NULL),(25,421,1,11,23,NULL,NULL,NULL,NULL),(25,421,1,11,24,1,NULL,NULL,NULL),(25,421,1,11,25,1,1,NULL,1),(25,421,1,11,26,NULL,NULL,NULL,NULL),(25,421,1,11,27,NULL,NULL,NULL,NULL),(25,421,1,11,28,NULL,1,NULL,1),(25,421,1,11,29,NULL,NULL,NULL,NULL),(25,421,1,11,30,NULL,NULL,NULL,NULL),(25,421,1,11,31,NULL,NULL,NULL,NULL),(25,421,1,11,32,NULL,NULL,NULL,NULL),(25,421,1,11,33,NULL,NULL,NULL,NULL),(25,421,1,11,34,1,1,1,1),(25,421,1,11,35,NULL,1,NULL,NULL),(25,421,1,11,36,1,1,1,1),(25,421,1,11,37,1,1,1,1),(25,421,1,11,38,NULL,3,NULL,1),(25,421,1,11,39,1,1,1,1),(25,421,1,11,40,NULL,1,NULL,NULL),(25,421,1,12,1,NULL,NULL,NULL,NULL),(25,421,1,12,2,NULL,NULL,NULL,NULL),(25,421,1,12,3,NULL,NULL,NULL,NULL),(25,421,1,12,4,NULL,NULL,NULL,NULL),(25,421,1,12,5,NULL,NULL,NULL,NULL),(25,421,1,12,6,NULL,NULL,NULL,NULL),(25,421,1,12,7,NULL,NULL,NULL,NULL),(25,421,1,12,8,NULL,NULL,NULL,NULL),(25,421,1,12,9,NULL,NULL,NULL,NULL),(25,421,1,12,10,NULL,NULL,NULL,NULL),(25,421,1,12,11,NULL,NULL,NULL,NULL),(25,421,1,12,12,NULL,NULL,NULL,NULL),(25,421,1,12,13,NULL,NULL,NULL,NULL),(25,421,1,12,14,NULL,NULL,NULL,NULL),(25,421,1,12,15,NULL,NULL,NULL,NULL),(25,421,1,12,16,NULL,NULL,NULL,NULL),(25,421,1,12,17,NULL,NULL,NULL,NULL),(25,421,1,12,18,NULL,NULL,NULL,NULL),(25,421,1,12,19,NULL,NULL,NULL,NULL),(25,421,1,12,20,NULL,NULL,NULL,NULL),(25,421,1,12,21,NULL,NULL,NULL,NULL),(25,421,1,12,22,NULL,NULL,NULL,NULL),(25,421,1,12,23,NULL,NULL,NULL,NULL),(25,421,1,12,24,NULL,NULL,NULL,NULL),(25,421,1,12,25,NULL,NULL,NULL,NULL),(25,421,1,12,26,NULL,NULL,NULL,NULL),(25,421,1,12,27,NULL,NULL,NULL,NULL),(25,421,1,12,28,NULL,NULL,NULL,NULL),(25,421,1,12,29,NULL,NULL,NULL,NULL),(25,421,1,12,30,NULL,NULL,NULL,NULL),(25,421,1,12,31,NULL,NULL,NULL,NULL),(25,421,1,12,32,NULL,NULL,NULL,NULL),(25,421,1,12,33,NULL,NULL,NULL,NULL),(25,421,1,12,34,NULL,NULL,NULL,NULL),(25,421,1,12,35,NULL,NULL,NULL,NULL),(25,421,1,12,36,NULL,NULL,NULL,NULL),(25,421,1,12,37,NULL,NULL,NULL,NULL),(25,421,1,12,38,NULL,NULL,NULL,NULL),(25,421,1,12,39,NULL,NULL,NULL,NULL),(25,421,1,12,40,NULL,NULL,NULL,NULL),(25,421,1,13,1,NULL,NULL,NULL,NULL),(25,421,1,13,2,NULL,NULL,NULL,NULL),(25,421,1,13,3,NULL,NULL,NULL,NULL),(25,421,1,13,4,NULL,NULL,NULL,NULL),(25,421,1,13,5,NULL,NULL,NULL,NULL),(25,421,1,13,6,NULL,NULL,NULL,NULL),(25,421,1,13,7,NULL,NULL,NULL,NULL),(25,421,1,13,8,NULL,NULL,NULL,NULL),(25,421,1,13,9,NULL,NULL,NULL,NULL),(25,421,1,13,10,NULL,NULL,NULL,NULL),(25,421,1,13,11,NULL,NULL,NULL,NULL),(25,421,1,13,12,NULL,NULL,NULL,NULL),(25,421,1,13,13,1,NULL,1,NULL),(25,421,1,13,14,1,NULL,1,NULL),(25,421,1,13,15,1,NULL,1,NULL),(25,421,1,13,16,NULL,1,NULL,1),(25,421,1,13,17,1,NULL,1,NULL),(25,421,1,13,18,1,NULL,1,NULL),(25,421,1,13,19,NULL,1,NULL,1),(25,421,1,13,20,1,NULL,1,NULL),(25,421,1,13,21,1,NULL,1,NULL),(25,421,1,13,22,1,NULL,1,NULL),(25,421,1,13,23,NULL,NULL,NULL,NULL),(25,421,1,13,24,NULL,NULL,NULL,NULL),(25,421,1,13,25,NULL,NULL,NULL,NULL),(25,421,1,13,26,NULL,NULL,NULL,NULL),(25,421,1,13,27,NULL,NULL,NULL,NULL),(25,421,1,13,28,1,NULL,1,NULL),(25,421,1,13,29,NULL,1,NULL,1),(25,421,1,13,30,NULL,NULL,NULL,NULL),(25,421,1,13,31,NULL,NULL,NULL,NULL),(25,421,1,13,32,NULL,NULL,NULL,NULL),(25,421,1,13,33,NULL,NULL,NULL,NULL),(25,421,1,13,34,NULL,NULL,NULL,NULL),(25,421,1,13,35,1,NULL,1,NULL),(25,421,1,13,36,NULL,NULL,NULL,NULL),(25,421,1,13,37,NULL,NULL,NULL,NULL),(25,421,1,13,38,NULL,NULL,NULL,NULL),(25,421,1,13,39,NULL,NULL,NULL,NULL),(25,421,1,13,40,NULL,NULL,NULL,NULL),(25,421,1,14,1,2,5,NULL,4),(25,421,1,14,2,1,1,NULL,2),(25,421,1,14,3,NULL,2,NULL,NULL),(25,421,1,14,4,3,NULL,3,2),(25,421,1,14,5,1,3,1,2),(25,421,1,14,6,3,3,1,4),(25,421,1,14,7,1,3,2,4),(25,421,1,14,8,3,NULL,3,1),(25,421,1,14,9,3,2,4,2),(25,421,1,14,10,1,NULL,NULL,NULL),(25,421,1,14,11,2,NULL,3,NULL),(25,421,1,14,12,NULL,NULL,1,NULL),(25,421,1,14,13,1,2,NULL,3),(25,421,1,14,14,2,NULL,3,1),(25,421,1,14,15,4,NULL,3,1),(25,421,1,14,16,1,NULL,1,1),(25,421,1,14,17,3,NULL,2,NULL),(25,421,1,14,18,3,1,6,NULL),(25,421,1,14,19,7,4,7,2),(25,421,1,14,20,2,NULL,2,1),(25,421,1,14,21,1,2,NULL,3),(25,421,1,14,22,1,1,2,1),(25,421,1,14,23,1,NULL,1,NULL),(25,421,1,14,24,NULL,NULL,NULL,1),(25,421,1,14,25,NULL,1,NULL,NULL),(25,421,1,14,26,NULL,NULL,NULL,NULL),(25,421,1,14,27,NULL,NULL,NULL,NULL),(25,421,1,14,28,NULL,2,NULL,1),(25,421,1,14,29,1,NULL,NULL,NULL),(25,421,1,14,30,1,NULL,1,1),(25,421,1,14,31,NULL,NULL,NULL,NULL),(25,421,1,14,32,NULL,NULL,NULL,NULL),(25,421,1,14,33,NULL,1,NULL,NULL),(25,421,1,14,34,1,NULL,1,2),(25,421,1,14,35,NULL,NULL,NULL,NULL),(25,421,1,14,36,3,1,2,2),(25,421,1,14,37,NULL,NULL,NULL,NULL),(25,421,1,14,38,1,3,1,2),(25,421,1,14,39,1,1,1,NULL),(25,421,1,14,40,NULL,NULL,NULL,NULL),(25,421,1,15,1,1,4,1,4),(25,421,1,15,2,1,2,1,2),(25,421,1,15,3,NULL,NULL,NULL,1),(25,421,1,15,4,5,1,5,NULL),(25,421,1,15,5,1,NULL,1,NULL),(25,421,1,15,6,NULL,1,1,1),(25,421,1,15,7,3,4,3,3),(25,421,1,15,8,NULL,1,NULL,1),(25,421,1,15,9,NULL,1,NULL,2),(25,421,1,15,10,NULL,2,NULL,2),(25,421,1,15,11,NULL,NULL,1,NULL),(25,421,1,15,12,1,NULL,1,NULL),(25,421,1,15,13,1,NULL,1,NULL),(25,421,1,15,14,1,2,1,2),(25,421,1,15,15,1,2,2,1),(25,421,1,15,16,1,NULL,1,1),(25,421,1,15,17,2,1,2,2),(25,421,1,15,18,2,NULL,2,NULL),(25,421,1,15,19,2,5,3,5),(25,421,1,15,20,3,NULL,3,NULL),(25,421,1,15,21,NULL,2,NULL,2),(25,421,1,15,22,NULL,3,NULL,2),(25,421,1,15,23,NULL,1,NULL,1),(25,421,1,15,24,1,1,1,NULL),(25,421,1,15,25,2,2,2,2),(25,421,1,15,26,1,NULL,NULL,NULL),(25,421,1,15,27,NULL,NULL,NULL,NULL),(25,421,1,15,28,1,3,1,4),(25,421,1,15,29,NULL,1,NULL,1),(25,421,1,15,30,NULL,2,NULL,2),(25,421,1,15,31,NULL,1,NULL,1),(25,421,1,15,32,1,NULL,1,NULL),(25,421,1,15,33,NULL,NULL,NULL,NULL),(25,421,1,15,34,NULL,2,NULL,1),(25,421,1,15,35,NULL,1,NULL,NULL),(25,421,1,15,36,4,1,4,1),(25,421,1,15,37,2,NULL,2,NULL),(25,421,1,15,38,NULL,3,NULL,4),(25,421,1,15,39,NULL,1,NULL,1),(25,421,1,15,40,NULL,4,NULL,3),(25,421,1,16,1,1,3,1,3),(25,421,1,16,2,1,2,1,2),(25,421,1,16,3,1,1,1,NULL),(25,421,1,16,4,2,1,1,1),(25,421,1,16,5,NULL,2,NULL,2),(25,421,1,16,6,1,1,1,1),(25,421,1,16,7,1,5,1,3),(25,421,1,16,8,NULL,3,NULL,1),(25,421,1,16,9,2,1,2,1),(25,421,1,16,10,NULL,NULL,NULL,NULL),(25,421,1,16,11,1,1,1,1),(25,421,1,16,12,NULL,NULL,NULL,NULL),(25,421,1,16,13,2,2,1,NULL),(25,421,1,16,14,2,NULL,2,NULL),(25,421,1,16,15,4,NULL,3,NULL),(25,421,1,16,16,1,3,1,2),(25,421,1,16,17,NULL,3,NULL,2),(25,421,1,16,18,1,4,1,4),(25,421,1,16,19,NULL,4,NULL,4),(25,421,1,16,20,3,NULL,3,NULL),(25,421,1,16,21,1,NULL,NULL,NULL),(25,421,1,16,22,NULL,1,NULL,NULL),(25,421,1,16,23,NULL,1,NULL,NULL),(25,421,1,16,24,NULL,1,NULL,NULL),(25,421,1,16,25,1,NULL,NULL,NULL),(25,421,1,16,26,NULL,NULL,NULL,NULL),(25,421,1,16,27,NULL,NULL,NULL,NULL),(25,421,1,16,28,NULL,5,NULL,3),(25,421,1,16,29,1,1,NULL,NULL),(25,421,1,16,30,1,NULL,1,NULL),(25,421,1,16,31,NULL,NULL,NULL,NULL),(25,421,1,16,32,NULL,NULL,NULL,NULL),(25,421,1,16,33,NULL,NULL,NULL,NULL),(25,421,1,16,34,NULL,2,NULL,1),(25,421,1,16,35,NULL,1,NULL,1),(25,421,1,16,36,NULL,1,NULL,1),(25,421,1,16,37,NULL,NULL,NULL,NULL),(25,421,1,16,38,1,NULL,1,NULL),(25,421,1,16,39,NULL,1,NULL,1),(25,421,1,16,40,NULL,1,NULL,1),(25,421,1,17,1,1,2,1,2),(25,421,1,17,2,3,2,2,2),(25,421,1,17,3,2,NULL,2,NULL),(25,421,1,17,4,3,3,3,3),(25,421,1,17,5,NULL,2,NULL,2),(25,421,1,17,6,NULL,3,NULL,3),(25,421,1,17,7,1,3,1,3),(25,421,1,17,8,2,2,2,2),(25,421,1,17,9,1,1,1,1),(25,421,1,17,10,NULL,NULL,NULL,NULL),(25,421,1,17,11,1,NULL,NULL,NULL),(25,421,1,17,12,2,1,2,1),(25,421,1,17,13,2,3,2,3),(25,421,1,17,14,NULL,NULL,NULL,NULL),(25,421,1,17,15,4,NULL,4,NULL),(25,421,1,17,16,2,2,2,2),(25,421,1,17,17,NULL,1,NULL,1),(25,421,1,17,18,NULL,4,NULL,3),(25,421,1,17,19,NULL,3,NULL,3),(25,421,1,17,20,4,NULL,4,NULL),(25,421,1,17,21,NULL,4,NULL,4),(25,421,1,17,22,1,3,1,3),(25,421,1,17,23,NULL,3,NULL,3),(25,421,1,17,24,NULL,1,NULL,1),(25,421,1,17,25,NULL,1,NULL,1),(25,421,1,17,26,1,NULL,1,NULL),(25,421,1,17,27,NULL,NULL,NULL,NULL),(25,421,1,17,28,NULL,4,NULL,4),(25,421,1,17,29,NULL,NULL,NULL,NULL),(25,421,1,17,30,1,3,1,3),(25,421,1,17,31,NULL,NULL,NULL,NULL),(25,421,1,17,32,NULL,NULL,NULL,NULL),(25,421,1,17,33,NULL,1,NULL,1),(25,421,1,17,34,NULL,1,NULL,1),(25,421,1,17,35,1,1,1,1),(25,421,1,17,36,1,3,1,3),(25,421,1,17,37,NULL,3,NULL,3),(25,421,1,17,38,NULL,4,NULL,4),(25,421,1,17,39,NULL,2,NULL,2),(25,421,1,17,40,NULL,NULL,NULL,NULL),(25,421,2,21,1,NULL,2,NULL,1),(25,421,2,21,2,NULL,NULL,NULL,NULL),(25,421,2,21,3,2,1,1,1),(25,421,2,21,4,3,1,1,1),(25,421,2,21,5,1,2,1,1),(25,421,2,21,6,NULL,NULL,NULL,NULL),(25,421,2,21,7,NULL,NULL,NULL,NULL),(25,421,2,21,8,1,1,NULL,1),(25,421,2,21,9,3,1,2,1),(25,421,2,21,10,2,2,2,1),(25,421,2,21,11,1,4,1,3),(25,421,2,21,12,1,NULL,1,NULL),(25,421,2,21,13,3,2,2,NULL),(25,421,2,21,14,2,3,1,2),(25,421,2,21,15,2,1,1,1),(25,421,2,21,16,1,1,1,NULL),(25,421,2,21,17,1,4,NULL,3),(25,421,2,21,18,1,2,NULL,1),(25,421,2,21,19,2,1,2,NULL),(25,421,2,21,20,1,3,1,2),(25,421,2,21,21,NULL,2,NULL,1),(25,421,2,21,22,NULL,NULL,NULL,NULL),(25,421,2,21,23,NULL,1,NULL,1),(25,421,2,21,24,NULL,1,NULL,1),(25,421,2,21,25,NULL,NULL,NULL,NULL),(25,421,2,21,26,NULL,1,NULL,NULL),(25,421,2,21,27,NULL,NULL,NULL,NULL),(25,421,2,21,28,NULL,NULL,NULL,NULL),(25,421,2,21,29,1,2,1,1),(25,421,2,21,30,NULL,1,NULL,NULL),(25,421,2,21,31,1,1,NULL,1),(25,421,2,21,32,NULL,NULL,NULL,NULL),(25,421,2,21,33,NULL,3,NULL,2),(25,421,2,21,34,NULL,2,NULL,1),(25,421,2,21,35,NULL,NULL,NULL,NULL),(25,421,2,21,36,NULL,1,NULL,NULL),(25,421,2,21,37,NULL,1,NULL,NULL),(25,421,2,21,38,1,2,1,1),(25,421,2,21,39,1,NULL,1,NULL),(25,421,2,21,40,NULL,1,NULL,NULL),(25,421,2,22,1,1,2,1,1),(25,421,2,22,2,NULL,4,NULL,5),(25,421,2,22,3,1,1,1,1),(25,421,2,22,4,2,1,3,1),(25,421,2,22,5,1,3,1,4),(25,421,2,22,6,NULL,4,NULL,3),(25,421,2,22,7,NULL,1,NULL,NULL),(25,421,2,22,8,NULL,2,1,1),(25,421,2,22,9,3,3,3,3),(25,421,2,22,10,1,1,1,1),(25,421,2,22,11,NULL,5,1,6),(25,421,2,22,12,NULL,3,NULL,2),(25,421,2,22,13,2,2,2,2),(25,421,2,22,14,NULL,3,NULL,3),(25,421,2,22,15,1,1,3,NULL),(25,421,2,22,16,NULL,3,NULL,3),(25,421,2,22,17,NULL,3,NULL,5),(25,421,2,22,18,2,5,2,4),(25,421,2,22,19,NULL,2,NULL,1),(25,421,2,22,20,2,3,2,2),(25,421,2,22,21,NULL,NULL,NULL,NULL),(25,421,2,22,22,NULL,NULL,NULL,NULL),(25,421,2,22,23,NULL,1,NULL,1),(25,421,2,22,24,NULL,1,NULL,1),(25,421,2,22,25,2,NULL,2,NULL),(25,421,2,22,26,NULL,NULL,NULL,NULL),(25,421,2,22,27,1,1,1,2),(25,421,2,22,28,NULL,NULL,NULL,1),(25,421,2,22,29,NULL,2,NULL,2),(25,421,2,22,30,1,1,1,2),(25,421,2,22,31,1,NULL,1,NULL),(25,421,2,22,32,1,2,1,2),(25,421,2,22,33,NULL,3,NULL,2),(25,421,2,22,34,1,3,NULL,3),(25,421,2,22,35,1,NULL,1,1),(25,421,2,22,36,NULL,1,NULL,1),(25,421,2,22,37,NULL,1,NULL,1),(25,421,2,22,38,NULL,4,NULL,3),(25,421,2,22,39,3,NULL,2,NULL),(25,421,2,22,40,1,NULL,NULL,NULL),(25,421,2,23,1,1,1,1,NULL),(25,421,2,23,2,NULL,1,NULL,1),(25,421,2,23,3,NULL,2,NULL,2),(25,421,2,23,4,NULL,2,NULL,2),(25,421,2,23,5,1,2,1,2),(25,421,2,23,6,1,2,1,2),(25,421,2,23,7,NULL,3,NULL,3),(25,421,2,23,8,3,1,2,2),(25,421,2,23,9,2,1,3,NULL),(25,421,2,23,10,3,NULL,3,1),(25,421,2,23,11,1,3,1,2),(25,421,2,23,12,1,1,1,1),(25,421,2,23,13,1,1,1,NULL),(25,421,2,23,14,NULL,NULL,NULL,NULL),(25,421,2,23,15,2,2,2,3),(25,421,2,23,16,1,1,NULL,1),(25,421,2,23,17,1,2,1,2),(25,421,2,23,18,1,2,1,1),(25,421,2,23,19,1,1,1,2),(25,421,2,23,20,NULL,2,NULL,2),(25,421,2,23,21,NULL,NULL,NULL,NULL),(25,421,2,23,22,NULL,NULL,NULL,NULL),(25,421,2,23,23,NULL,2,NULL,2),(25,421,2,23,24,NULL,3,NULL,2),(25,421,2,23,25,1,NULL,1,NULL),(25,421,2,23,26,NULL,1,NULL,1),(25,421,2,23,27,NULL,NULL,NULL,1),(25,421,2,23,28,NULL,NULL,NULL,NULL),(25,421,2,23,29,NULL,2,NULL,1),(25,421,2,23,30,NULL,NULL,NULL,NULL),(25,421,2,23,31,3,NULL,3,NULL),(25,421,2,23,32,NULL,1,NULL,NULL),(25,421,2,23,33,2,1,2,NULL),(25,421,2,23,34,NULL,1,NULL,1),(25,421,2,23,35,NULL,5,NULL,4),(25,421,2,23,36,NULL,NULL,NULL,NULL),(25,421,2,23,37,NULL,2,NULL,1),(25,421,2,23,38,1,1,1,1),(25,421,2,23,39,2,NULL,2,NULL),(25,421,2,23,40,NULL,1,NULL,1),(25,421,2,24,1,NULL,5,NULL,4),(25,421,2,24,2,1,5,1,7),(25,421,2,24,3,NULL,1,NULL,2),(25,421,2,24,4,1,1,1,3),(25,421,2,24,5,3,3,3,3),(25,421,2,24,6,1,1,1,NULL),(25,421,2,24,7,NULL,1,NULL,1),(25,421,2,24,8,3,4,2,5),(25,421,2,24,9,4,4,5,5),(25,421,2,24,10,1,2,1,4),(25,421,2,24,11,4,6,4,5),(25,421,2,24,12,NULL,1,NULL,1),(25,421,2,24,13,5,3,2,5),(25,421,2,24,14,2,2,2,2),(25,421,2,24,15,4,3,4,4),(25,421,2,24,16,NULL,2,NULL,2),(25,421,2,24,17,1,3,1,1),(25,421,2,24,18,3,5,2,6),(25,421,2,24,19,NULL,5,NULL,3),(25,421,2,24,20,NULL,5,NULL,4),(25,421,2,24,21,NULL,NULL,NULL,1),(25,421,2,24,22,NULL,2,NULL,2),(25,421,2,24,23,NULL,2,NULL,3),(25,421,2,24,24,NULL,1,NULL,3),(25,421,2,24,25,NULL,NULL,NULL,NULL),(25,421,2,24,26,NULL,1,NULL,2),(25,421,2,24,27,NULL,NULL,NULL,NULL),(25,421,2,24,28,NULL,2,NULL,2),(25,421,2,24,29,NULL,2,NULL,2),(25,421,2,24,30,2,1,1,2),(25,421,2,24,31,1,3,1,3),(25,421,2,24,32,NULL,1,1,NULL),(25,421,2,24,33,1,NULL,1,NULL),(25,421,2,24,34,1,NULL,1,NULL),(25,421,2,24,35,1,1,NULL,2),(25,421,2,24,36,2,2,1,3),(25,421,2,24,37,NULL,1,NULL,NULL),(25,421,2,24,38,2,3,2,1),(25,421,2,24,39,3,NULL,3,NULL),(25,421,2,24,40,NULL,1,NULL,1),(25,423,1,11,1,NULL,NULL,NULL,NULL),(25,423,1,11,2,NULL,NULL,NULL,NULL),(25,423,1,11,3,NULL,NULL,NULL,NULL),(25,423,1,11,4,NULL,NULL,NULL,NULL),(25,423,1,11,5,NULL,NULL,NULL,NULL),(25,423,1,11,6,NULL,NULL,NULL,NULL),(25,423,1,11,7,NULL,NULL,NULL,NULL),(25,423,1,11,8,NULL,NULL,NULL,NULL),(25,423,1,11,9,NULL,NULL,NULL,NULL),(25,423,1,11,10,NULL,NULL,NULL,NULL),(25,423,1,11,11,NULL,NULL,NULL,NULL),(25,423,1,11,12,NULL,NULL,NULL,NULL),(25,423,1,11,13,NULL,NULL,NULL,NULL),(25,423,1,11,14,NULL,NULL,NULL,NULL),(25,423,1,11,15,NULL,NULL,NULL,NULL),(25,423,1,11,16,NULL,NULL,NULL,NULL),(25,423,1,11,17,NULL,NULL,NULL,NULL),(25,423,1,11,18,NULL,NULL,NULL,NULL),(25,423,1,11,19,NULL,NULL,NULL,NULL),(25,423,1,11,20,NULL,NULL,NULL,NULL),(25,423,1,11,21,NULL,NULL,NULL,NULL),(25,423,1,11,22,NULL,NULL,NULL,NULL),(25,423,1,11,23,NULL,NULL,NULL,NULL),(25,423,1,11,24,NULL,NULL,NULL,NULL),(25,423,1,11,25,NULL,NULL,NULL,NULL),(25,423,1,11,26,NULL,NULL,NULL,NULL),(25,423,1,11,27,NULL,NULL,NULL,NULL),(25,423,1,11,28,NULL,NULL,NULL,NULL),(25,423,1,11,29,NULL,NULL,NULL,NULL),(25,423,1,11,30,NULL,NULL,NULL,NULL),(25,423,1,11,31,NULL,NULL,NULL,NULL),(25,423,1,11,32,NULL,NULL,NULL,NULL),(25,423,1,11,33,NULL,NULL,NULL,NULL),(25,423,1,11,34,NULL,NULL,NULL,NULL),(25,423,1,11,35,NULL,NULL,NULL,NULL),(25,423,1,11,36,NULL,NULL,NULL,NULL),(25,423,1,11,37,NULL,NULL,NULL,NULL),(25,423,1,11,38,NULL,NULL,NULL,NULL),(25,423,1,11,39,NULL,NULL,NULL,NULL),(25,423,1,11,40,NULL,NULL,NULL,NULL),(25,423,1,12,1,NULL,NULL,NULL,NULL),(25,423,1,12,2,NULL,NULL,NULL,NULL),(25,423,1,12,3,NULL,NULL,NULL,NULL),(25,423,1,12,4,NULL,NULL,NULL,NULL),(25,423,1,12,5,NULL,NULL,NULL,NULL),(25,423,1,12,6,NULL,NULL,NULL,NULL),(25,423,1,12,7,NULL,NULL,NULL,NULL),(25,423,1,12,8,NULL,NULL,NULL,NULL),(25,423,1,12,9,NULL,NULL,NULL,NULL),(25,423,1,12,10,NULL,NULL,NULL,NULL),(25,423,1,12,11,NULL,NULL,NULL,NULL),(25,423,1,12,12,NULL,NULL,NULL,NULL),(25,423,1,12,13,NULL,NULL,NULL,NULL),(25,423,1,12,14,NULL,NULL,NULL,NULL),(25,423,1,12,15,NULL,NULL,NULL,NULL),(25,423,1,12,16,NULL,NULL,NULL,NULL),(25,423,1,12,17,NULL,NULL,NULL,NULL),(25,423,1,12,18,NULL,NULL,NULL,NULL),(25,423,1,12,19,NULL,NULL,NULL,NULL),(25,423,1,12,20,NULL,NULL,NULL,NULL),(25,423,1,12,21,NULL,NULL,NULL,NULL),(25,423,1,12,22,NULL,NULL,NULL,NULL),(25,423,1,12,23,NULL,NULL,NULL,NULL),(25,423,1,12,24,NULL,NULL,NULL,NULL),(25,423,1,12,25,NULL,NULL,NULL,NULL),(25,423,1,12,26,NULL,NULL,NULL,NULL),(25,423,1,12,27,NULL,NULL,NULL,NULL),(25,423,1,12,28,NULL,NULL,NULL,NULL),(25,423,1,12,29,NULL,NULL,NULL,NULL),(25,423,1,12,30,NULL,NULL,NULL,NULL),(25,423,1,12,31,NULL,NULL,NULL,NULL),(25,423,1,12,32,NULL,NULL,NULL,NULL),(25,423,1,12,33,NULL,NULL,NULL,NULL),(25,423,1,12,34,NULL,NULL,NULL,NULL),(25,423,1,12,35,NULL,NULL,NULL,NULL),(25,423,1,12,36,NULL,NULL,NULL,NULL),(25,423,1,12,37,NULL,NULL,NULL,NULL),(25,423,1,12,38,NULL,NULL,NULL,NULL),(25,423,1,12,39,NULL,NULL,NULL,NULL),(25,423,1,12,40,NULL,NULL,NULL,NULL),(25,423,1,13,1,NULL,NULL,NULL,NULL),(25,423,1,13,2,NULL,NULL,NULL,NULL),(25,423,1,13,3,NULL,NULL,NULL,NULL),(25,423,1,13,4,NULL,NULL,NULL,NULL),(25,423,1,13,5,NULL,NULL,NULL,NULL),(25,423,1,13,6,NULL,NULL,NULL,NULL),(25,423,1,13,7,NULL,NULL,NULL,NULL),(25,423,1,13,8,NULL,NULL,NULL,NULL),(25,423,1,13,9,NULL,NULL,NULL,NULL),(25,423,1,13,10,NULL,NULL,NULL,NULL),(25,423,1,13,11,NULL,NULL,NULL,NULL),(25,423,1,13,12,NULL,NULL,NULL,NULL),(25,423,1,13,13,NULL,NULL,NULL,NULL),(25,423,1,13,14,NULL,NULL,NULL,NULL),(25,423,1,13,15,NULL,NULL,NULL,NULL),(25,423,1,13,16,NULL,NULL,NULL,NULL),(25,423,1,13,17,NULL,NULL,NULL,NULL),(25,423,1,13,18,NULL,NULL,NULL,NULL),(25,423,1,13,19,NULL,NULL,NULL,NULL),(25,423,1,13,20,NULL,NULL,NULL,NULL),(25,423,1,13,21,NULL,NULL,NULL,NULL),(25,423,1,13,22,NULL,NULL,NULL,NULL),(25,423,1,13,23,NULL,NULL,NULL,NULL),(25,423,1,13,24,NULL,NULL,NULL,NULL),(25,423,1,13,25,NULL,NULL,NULL,NULL),(25,423,1,13,26,NULL,NULL,NULL,NULL),(25,423,1,13,27,NULL,NULL,NULL,NULL),(25,423,1,13,28,NULL,NULL,NULL,NULL),(25,423,1,13,29,NULL,NULL,NULL,NULL),(25,423,1,13,30,NULL,NULL,NULL,NULL),(25,423,1,13,31,NULL,NULL,NULL,NULL),(25,423,1,13,32,NULL,NULL,NULL,NULL),(25,423,1,13,33,NULL,NULL,NULL,NULL),(25,423,1,13,34,NULL,NULL,NULL,NULL),(25,423,1,13,35,NULL,NULL,NULL,NULL),(25,423,1,13,36,NULL,NULL,NULL,NULL),(25,423,1,13,37,NULL,NULL,NULL,NULL),(25,423,1,13,38,NULL,NULL,NULL,NULL),(25,423,1,13,39,NULL,NULL,NULL,NULL),(25,423,1,13,40,NULL,NULL,NULL,NULL),(25,423,1,14,1,NULL,1,1,2),(25,423,1,14,2,NULL,NULL,1,1),(25,423,1,14,3,1,NULL,1,NULL),(25,423,1,14,4,NULL,1,NULL,2),(25,423,1,14,5,NULL,NULL,NULL,1),(25,423,1,14,6,NULL,NULL,1,NULL),(25,423,1,14,7,NULL,1,NULL,3),(25,423,1,14,8,1,NULL,1,1),(25,423,1,14,9,NULL,NULL,NULL,NULL),(25,423,1,14,10,NULL,1,NULL,1),(25,423,1,14,11,NULL,NULL,NULL,NULL),(25,423,1,14,12,NULL,NULL,1,NULL),(25,423,1,14,13,NULL,NULL,1,NULL),(25,423,1,14,14,NULL,1,NULL,3),(25,423,1,14,15,1,NULL,2,NULL),(25,423,1,14,16,NULL,NULL,NULL,NULL),(25,423,1,14,17,NULL,NULL,NULL,1),(25,423,1,14,18,NULL,NULL,1,1),(25,423,1,14,19,NULL,NULL,NULL,1),(25,423,1,14,20,NULL,NULL,NULL,NULL),(25,423,1,14,21,NULL,NULL,NULL,NULL),(25,423,1,14,22,NULL,1,1,1),(25,423,1,14,23,NULL,1,1,2),(25,423,1,14,24,NULL,1,NULL,2),(25,423,1,14,25,NULL,NULL,1,NULL),(25,423,1,14,26,NULL,NULL,NULL,NULL),(25,423,1,14,27,NULL,NULL,NULL,NULL),(25,423,1,14,28,NULL,NULL,1,NULL),(25,423,1,14,29,NULL,NULL,NULL,1),(25,423,1,14,30,NULL,NULL,NULL,1),(25,423,1,14,31,NULL,NULL,NULL,NULL),(25,423,1,14,32,NULL,NULL,NULL,NULL),(25,423,1,14,33,NULL,NULL,NULL,1),(25,423,1,14,34,NULL,NULL,1,NULL),(25,423,1,14,35,NULL,1,1,1),(25,423,1,14,36,NULL,1,1,1),(25,423,1,14,37,NULL,NULL,NULL,1),(25,423,1,14,38,NULL,1,NULL,3),(25,423,1,14,39,NULL,NULL,NULL,1),(25,423,1,14,40,NULL,NULL,NULL,1),(25,423,1,15,1,NULL,NULL,NULL,NULL),(25,423,1,15,2,NULL,NULL,NULL,NULL),(25,423,1,15,3,NULL,NULL,NULL,NULL),(25,423,1,15,4,NULL,1,NULL,1),(25,423,1,15,5,NULL,1,NULL,1),(25,423,1,15,6,NULL,NULL,NULL,NULL),(25,423,1,15,7,NULL,NULL,NULL,NULL),(25,423,1,15,8,NULL,1,NULL,1),(25,423,1,15,9,NULL,NULL,NULL,NULL),(25,423,1,15,10,NULL,NULL,NULL,NULL),(25,423,1,15,11,NULL,NULL,NULL,NULL),(25,423,1,15,12,NULL,NULL,NULL,NULL),(25,423,1,15,13,NULL,NULL,NULL,NULL),(25,423,1,15,14,NULL,1,NULL,1),(25,423,1,15,15,NULL,1,NULL,1),(25,423,1,15,16,NULL,1,NULL,1),(25,423,1,15,17,NULL,NULL,NULL,NULL),(25,423,1,15,18,NULL,NULL,NULL,NULL),(25,423,1,15,19,NULL,NULL,NULL,NULL),(25,423,1,15,20,NULL,NULL,NULL,NULL),(25,423,1,15,21,NULL,NULL,NULL,NULL),(25,423,1,15,22,NULL,NULL,NULL,NULL),(25,423,1,15,23,NULL,1,NULL,1),(25,423,1,15,24,NULL,NULL,NULL,NULL),(25,423,1,15,25,NULL,NULL,NULL,NULL),(25,423,1,15,26,1,NULL,1,NULL),(25,423,1,15,27,NULL,NULL,NULL,NULL),(25,423,1,15,28,NULL,1,NULL,1),(25,423,1,15,29,NULL,1,NULL,1),(25,423,1,15,30,NULL,NULL,NULL,NULL),(25,423,1,15,31,NULL,NULL,NULL,NULL),(25,423,1,15,32,NULL,NULL,NULL,NULL),(25,423,1,15,33,NULL,NULL,NULL,NULL),(25,423,1,15,34,NULL,1,NULL,1),(25,423,1,15,35,NULL,NULL,NULL,NULL),(25,423,1,15,36,NULL,1,NULL,1),(25,423,1,15,37,NULL,NULL,NULL,NULL),(25,423,1,15,38,NULL,NULL,NULL,NULL),(25,423,1,15,39,NULL,NULL,NULL,NULL),(25,423,1,15,40,NULL,NULL,NULL,NULL),(25,423,1,16,1,5,12,4,10),(25,423,1,16,2,1,1,NULL,2),(25,423,1,16,3,4,4,3,4),(25,423,1,16,4,5,7,4,7),(25,423,1,16,5,2,5,2,3),(25,423,1,16,6,5,6,4,5),(25,423,1,16,7,3,9,3,8),(25,423,1,16,8,4,5,2,4),(25,423,1,16,9,3,4,3,2),(25,423,1,16,10,NULL,2,NULL,2),(25,423,1,16,11,3,3,2,2),(25,423,1,16,12,1,7,1,5),(25,423,1,16,13,10,2,7,1),(25,423,1,16,14,6,4,3,4),(25,423,1,16,15,15,NULL,14,NULL),(25,423,1,16,16,3,13,1,10),(25,423,1,16,17,NULL,12,NULL,7),(25,423,1,16,18,2,19,2,14),(25,423,1,16,19,NULL,8,NULL,5),(25,423,1,16,20,16,NULL,12,NULL),(25,423,1,16,21,NULL,6,NULL,5),(25,423,1,16,22,2,5,1,6),(25,423,1,16,23,1,3,1,3),(25,423,1,16,24,1,1,1,1),(25,423,1,16,25,1,2,NULL,1),(25,423,1,16,26,3,NULL,3,NULL),(25,423,1,16,27,NULL,NULL,NULL,NULL),(25,423,1,16,28,3,6,1,5),(25,423,1,16,29,NULL,1,NULL,1),(25,423,1,16,30,NULL,5,NULL,5),(25,423,1,16,31,3,NULL,3,NULL),(25,423,1,16,32,NULL,NULL,NULL,NULL),(25,423,1,16,33,NULL,5,NULL,4),(25,423,1,16,34,4,8,4,4),(25,423,1,16,35,NULL,5,NULL,4),(25,423,1,16,36,2,3,2,2),(25,423,1,16,37,4,5,4,4),(25,423,1,16,38,NULL,9,NULL,8),(25,423,1,16,39,NULL,1,NULL,2),(25,423,1,16,40,NULL,1,NULL,1),(25,423,1,17,1,5,4,4,4),(25,423,1,17,2,2,4,2,3),(25,423,1,17,3,1,NULL,1,NULL),(25,423,1,17,4,4,5,4,5),(25,423,1,17,5,NULL,1,NULL,1),(25,423,1,17,6,1,2,1,1),(25,423,1,17,7,1,6,1,5),(25,423,1,17,8,1,2,1,2),(25,423,1,17,9,NULL,5,NULL,5),(25,423,1,17,10,NULL,NULL,NULL,NULL),(25,423,1,17,11,NULL,1,NULL,1),(25,423,1,17,12,1,2,1,1),(25,423,1,17,13,5,2,6,1),(25,423,1,17,14,2,5,2,5),(25,423,1,17,15,12,NULL,9,NULL),(25,423,1,17,16,1,4,1,4),(25,423,1,17,17,1,3,1,3),(25,423,1,17,18,NULL,9,NULL,9),(25,423,1,17,19,NULL,4,NULL,4),(25,423,1,17,20,12,NULL,9,NULL),(25,423,1,17,21,1,3,1,3),(25,423,1,17,22,1,2,1,3),(25,423,1,17,23,NULL,NULL,NULL,NULL),(25,423,1,17,24,1,4,1,3),(25,423,1,17,25,NULL,2,NULL,1),(25,423,1,17,26,1,NULL,1,NULL),(25,423,1,17,27,1,NULL,1,NULL),(25,423,1,17,28,1,8,NULL,8),(25,423,1,17,29,3,NULL,3,NULL),(25,423,1,17,30,NULL,2,NULL,3),(25,423,1,17,31,1,NULL,1,NULL),(25,423,1,17,32,1,NULL,NULL,NULL),(25,423,1,17,33,NULL,1,NULL,2),(25,423,1,17,34,1,1,2,NULL),(25,423,1,17,35,2,1,2,1),(25,423,1,17,36,NULL,3,NULL,4),(25,423,1,17,37,NULL,1,NULL,1),(25,423,1,17,38,NULL,4,NULL,3),(25,423,1,17,39,NULL,3,NULL,2),(25,423,1,17,40,NULL,NULL,NULL,NULL),(25,423,2,21,1,NULL,4,NULL,4),(25,423,2,21,2,NULL,4,NULL,4),(25,423,2,21,3,2,NULL,2,NULL),(25,423,2,21,4,NULL,3,NULL,3),(25,423,2,21,5,3,1,3,1),(25,423,2,21,6,2,1,2,1),(25,423,2,21,7,2,4,2,3),(25,423,2,21,8,1,4,2,4),(25,423,2,21,9,4,2,4,2),(25,423,2,21,10,1,2,1,2),(25,423,2,21,11,NULL,4,1,5),(25,423,2,21,12,NULL,3,NULL,3),(25,423,2,21,13,3,3,5,3),(25,423,2,21,14,2,3,2,3),(25,423,2,21,15,3,4,3,5),(25,423,2,21,16,NULL,2,NULL,2),(25,423,2,21,17,NULL,2,NULL,2),(25,423,2,21,18,2,3,2,3),(25,423,2,21,19,NULL,2,NULL,2),(25,423,2,21,20,3,3,3,3),(25,423,2,21,21,NULL,2,NULL,1),(25,423,2,21,22,NULL,NULL,NULL,NULL),(25,423,2,21,23,NULL,NULL,NULL,NULL),(25,423,2,21,24,1,3,1,2),(25,423,2,21,25,NULL,NULL,NULL,NULL),(25,423,2,21,26,1,1,1,1),(25,423,2,21,27,NULL,NULL,NULL,1),(25,423,2,21,28,1,NULL,1,NULL),(25,423,2,21,29,NULL,2,NULL,2),(25,423,2,21,30,1,2,1,2),(25,423,2,21,31,NULL,NULL,NULL,NULL),(25,423,2,21,32,1,2,1,2),(25,423,2,21,33,NULL,1,NULL,2),(25,423,2,21,34,NULL,NULL,NULL,1),(25,423,2,21,35,NULL,4,NULL,5),(25,423,2,21,36,NULL,3,1,3),(25,423,2,21,37,NULL,2,NULL,2),(25,423,2,21,38,1,2,1,3),(25,423,2,21,39,NULL,NULL,NULL,NULL),(25,423,2,21,40,1,NULL,1,NULL),(25,423,2,22,1,NULL,4,NULL,4),(25,423,2,22,2,NULL,3,NULL,3),(25,423,2,22,3,1,NULL,1,NULL),(25,423,2,22,4,NULL,1,NULL,1),(25,423,2,22,5,2,1,2,1),(25,423,2,22,6,NULL,NULL,NULL,NULL),(25,423,2,22,7,1,2,1,2),(25,423,2,22,8,3,4,3,4),(25,423,2,22,9,3,NULL,3,NULL),(25,423,2,22,10,NULL,4,NULL,4),(25,423,2,22,11,2,5,1,5),(25,423,2,22,12,1,2,1,2),(25,423,2,22,13,7,1,6,1),(25,423,2,22,14,2,NULL,2,NULL),(25,423,2,22,15,1,2,1,2),(25,423,2,22,16,NULL,5,NULL,4),(25,423,2,22,17,1,3,1,3),(25,423,2,22,18,1,3,1,3),(25,423,2,22,19,1,3,1,3),(25,423,2,22,20,1,2,1,2),(25,423,2,22,21,NULL,NULL,NULL,NULL),(25,423,2,22,22,NULL,1,NULL,1),(25,423,2,22,23,NULL,NULL,NULL,NULL),(25,423,2,22,24,NULL,NULL,NULL,NULL),(25,423,2,22,25,NULL,NULL,NULL,NULL),(25,423,2,22,26,NULL,1,NULL,1),(25,423,2,22,27,NULL,4,NULL,4),(25,423,2,22,28,NULL,NULL,NULL,NULL),(25,423,2,22,29,NULL,2,NULL,2),(25,423,2,22,30,1,2,1,2),(25,423,2,22,31,1,2,1,2),(25,423,2,22,32,NULL,1,NULL,1),(25,423,2,22,33,NULL,3,NULL,3),(25,423,2,22,34,NULL,1,NULL,1),(25,423,2,22,35,NULL,2,NULL,2),(25,423,2,22,36,NULL,1,NULL,1),(25,423,2,22,37,NULL,1,NULL,1),(25,423,2,22,38,1,3,1,3),(25,423,2,22,39,1,NULL,1,NULL),(25,423,2,22,40,NULL,NULL,NULL,NULL),(25,423,2,23,1,1,1,1,1),(25,423,2,23,2,NULL,3,NULL,1),(25,423,2,23,3,1,3,1,1),(25,423,2,23,4,NULL,2,1,1),(25,423,2,23,5,NULL,1,NULL,NULL),(25,423,2,23,6,2,1,2,NULL),(25,423,2,23,7,1,3,1,1),(25,423,2,23,8,4,1,4,NULL),(25,423,2,23,9,1,3,1,2),(25,423,2,23,10,1,1,1,1),(25,423,2,23,11,1,3,NULL,2),(25,423,2,23,12,2,3,2,1),(25,423,2,23,13,4,2,2,NULL),(25,423,2,23,14,1,1,NULL,1),(25,423,2,23,15,NULL,4,1,1),(25,423,2,23,16,2,2,1,2),(25,423,2,23,17,1,3,NULL,1),(25,423,2,23,18,1,1,NULL,1),(25,423,2,23,19,NULL,1,NULL,1),(25,423,2,23,20,NULL,3,NULL,2),(25,423,2,23,21,1,1,1,1),(25,423,2,23,22,NULL,1,NULL,NULL),(25,423,2,23,23,NULL,NULL,1,NULL),(25,423,2,23,24,1,3,NULL,2),(25,423,2,23,25,NULL,NULL,NULL,NULL),(25,423,2,23,26,NULL,NULL,NULL,NULL),(25,423,2,23,27,NULL,NULL,NULL,NULL),(25,423,2,23,28,NULL,1,NULL,NULL),(25,423,2,23,29,NULL,3,1,2),(25,423,2,23,30,1,NULL,NULL,1),(25,423,2,23,31,1,1,1,1),(25,423,2,23,32,NULL,4,NULL,3),(25,423,2,23,33,2,1,3,NULL),(25,423,2,23,34,NULL,NULL,NULL,NULL),(25,423,2,23,35,NULL,2,NULL,1),(25,423,2,23,36,NULL,NULL,NULL,NULL),(25,423,2,23,37,NULL,2,NULL,2),(25,423,2,23,38,NULL,NULL,NULL,NULL),(25,423,2,23,39,1,NULL,1,NULL),(25,423,2,23,40,1,2,NULL,2),(25,423,2,24,1,NULL,3,NULL,2),(25,423,2,24,2,2,3,1,3),(25,423,2,24,3,NULL,3,NULL,3),(25,423,2,24,4,NULL,6,NULL,5),(25,423,2,24,5,NULL,1,1,1),(25,423,2,24,6,NULL,1,NULL,2),(25,423,2,24,7,1,NULL,2,NULL),(25,423,2,24,8,4,1,5,1),(25,423,2,24,9,1,5,1,4),(25,423,2,24,10,NULL,2,NULL,3),(25,423,2,24,11,2,4,1,5),(25,423,2,24,12,NULL,NULL,NULL,1),(25,423,2,24,13,3,1,3,2),(25,423,2,24,14,1,2,1,3),(25,423,2,24,15,NULL,3,NULL,4),(25,423,2,24,16,NULL,3,NULL,3),(25,423,2,24,17,2,NULL,2,1),(25,423,2,24,18,1,3,2,3),(25,423,2,24,19,NULL,2,NULL,1),(25,423,2,24,20,NULL,2,1,2),(25,423,2,24,21,NULL,3,NULL,2),(25,423,2,24,22,NULL,NULL,NULL,NULL),(25,423,2,24,23,NULL,2,NULL,3),(25,423,2,24,24,NULL,2,NULL,2),(25,423,2,24,25,NULL,NULL,NULL,NULL),(25,423,2,24,26,NULL,NULL,NULL,NULL),(25,423,2,24,27,NULL,1,NULL,1),(25,423,2,24,28,NULL,NULL,NULL,NULL),(25,423,2,24,29,NULL,2,NULL,1),(25,423,2,24,30,NULL,NULL,NULL,1),(25,423,2,24,31,2,1,1,1),(25,423,2,24,32,NULL,2,NULL,2),(25,423,2,24,33,2,2,2,2),(25,423,2,24,34,NULL,1,NULL,1),(25,423,2,24,35,NULL,4,NULL,4),(25,423,2,24,36,2,2,1,3),(25,423,2,24,37,NULL,2,1,3),(25,423,2,24,38,NULL,4,NULL,3),(25,423,2,24,39,1,NULL,2,NULL),(25,423,2,24,40,NULL,NULL,NULL,NULL),(25,424,1,11,1,NULL,NULL,NULL,NULL),(25,424,1,11,2,NULL,NULL,NULL,NULL),(25,424,1,11,3,NULL,NULL,NULL,NULL),(25,424,1,11,4,NULL,NULL,NULL,NULL),(25,424,1,11,5,NULL,NULL,NULL,NULL),(25,424,1,11,6,NULL,NULL,NULL,NULL),(25,424,1,11,7,NULL,NULL,NULL,NULL),(25,424,1,11,8,NULL,NULL,NULL,NULL),(25,424,1,11,9,NULL,NULL,NULL,NULL),(25,424,1,11,10,NULL,NULL,NULL,NULL),(25,424,1,11,11,NULL,NULL,NULL,NULL),(25,424,1,11,12,NULL,NULL,NULL,NULL),(25,424,1,11,13,NULL,NULL,NULL,NULL),(25,424,1,11,14,NULL,NULL,NULL,NULL),(25,424,1,11,15,NULL,NULL,NULL,NULL),(25,424,1,11,16,NULL,NULL,NULL,NULL),(25,424,1,11,17,NULL,NULL,NULL,NULL),(25,424,1,11,18,NULL,NULL,NULL,NULL),(25,424,1,11,19,NULL,NULL,NULL,NULL),(25,424,1,11,20,NULL,NULL,NULL,NULL),(25,424,1,11,21,NULL,NULL,NULL,NULL),(25,424,1,11,22,NULL,NULL,NULL,NULL),(25,424,1,11,23,NULL,NULL,NULL,NULL),(25,424,1,11,24,NULL,NULL,NULL,NULL),(25,424,1,11,25,NULL,NULL,NULL,NULL),(25,424,1,11,26,NULL,NULL,NULL,NULL),(25,424,1,11,27,NULL,NULL,NULL,NULL),(25,424,1,11,28,NULL,NULL,NULL,NULL),(25,424,1,11,29,NULL,NULL,NULL,NULL),(25,424,1,11,30,NULL,NULL,NULL,NULL),(25,424,1,11,31,NULL,NULL,NULL,NULL),(25,424,1,11,32,NULL,NULL,NULL,NULL),(25,424,1,11,33,NULL,NULL,NULL,NULL),(25,424,1,11,34,NULL,NULL,NULL,NULL),(25,424,1,11,35,NULL,NULL,NULL,NULL),(25,424,1,11,36,NULL,NULL,NULL,NULL),(25,424,1,11,37,NULL,NULL,NULL,NULL),(25,424,1,11,38,NULL,NULL,NULL,NULL),(25,424,1,11,39,NULL,NULL,NULL,NULL),(25,424,1,11,40,NULL,NULL,NULL,NULL),(25,424,1,12,1,1,2,1,2),(25,424,1,12,2,2,NULL,2,NULL),(25,424,1,12,3,2,2,2,2),(25,424,1,12,4,2,2,2,2),(25,424,1,12,5,NULL,2,NULL,2),(25,424,1,12,6,2,2,2,2),(25,424,1,12,7,1,3,1,3),(25,424,1,12,8,1,NULL,1,NULL),(25,424,1,12,9,2,1,2,1),(25,424,1,12,10,NULL,1,NULL,1),(25,424,1,12,11,1,2,1,2),(25,424,1,12,12,NULL,NULL,NULL,NULL),(25,424,1,12,13,3,1,2,1),(25,424,1,12,14,3,1,3,NULL),(25,424,1,12,15,NULL,2,NULL,2),(25,424,1,12,16,3,NULL,3,NULL),(25,424,1,12,17,2,2,2,2),(25,424,1,12,18,1,1,1,1),(25,424,1,12,19,2,NULL,1,NULL),(25,424,1,12,20,1,3,1,2),(25,424,1,12,21,1,1,1,NULL),(25,424,1,12,22,NULL,1,NULL,1),(25,424,1,12,23,NULL,NULL,NULL,NULL),(25,424,1,12,24,1,NULL,NULL,NULL),(25,424,1,12,25,NULL,1,NULL,NULL),(25,424,1,12,26,2,NULL,2,NULL),(25,424,1,12,27,NULL,NULL,NULL,NULL),(25,424,1,12,28,1,2,1,2),(25,424,1,12,29,NULL,1,NULL,1),(25,424,1,12,30,NULL,1,NULL,NULL),(25,424,1,12,31,NULL,NULL,NULL,NULL),(25,424,1,12,32,NULL,NULL,NULL,NULL),(25,424,1,12,33,1,NULL,NULL,NULL),(25,424,1,12,34,NULL,NULL,NULL,NULL),(25,424,1,12,35,NULL,2,NULL,2),(25,424,1,12,36,NULL,1,NULL,1),(25,424,1,12,37,1,3,1,3),(25,424,1,12,38,1,4,1,4),(25,424,1,12,39,NULL,1,NULL,1),(25,424,1,12,40,NULL,1,NULL,NULL),(25,424,1,13,1,NULL,NULL,NULL,NULL),(25,424,1,13,2,NULL,1,NULL,1),(25,424,1,13,3,1,NULL,1,NULL),(25,424,1,13,4,NULL,NULL,NULL,NULL),(25,424,1,13,5,NULL,NULL,NULL,NULL),(25,424,1,13,6,NULL,NULL,NULL,NULL),(25,424,1,13,7,NULL,1,NULL,1),(25,424,1,13,8,NULL,NULL,NULL,NULL),(25,424,1,13,9,NULL,NULL,NULL,NULL),(25,424,1,13,10,NULL,NULL,NULL,NULL),(25,424,1,13,11,NULL,NULL,NULL,NULL),(25,424,1,13,12,NULL,NULL,NULL,NULL),(25,424,1,13,13,1,NULL,1,NULL),(25,424,1,13,14,NULL,NULL,NULL,NULL),(25,424,1,13,15,NULL,NULL,NULL,NULL),(25,424,1,13,16,NULL,1,NULL,1),(25,424,1,13,17,1,NULL,1,NULL),(25,424,1,13,18,1,NULL,1,NULL),(25,424,1,13,19,NULL,NULL,NULL,NULL),(25,424,1,13,20,NULL,1,NULL,1),(25,424,1,13,21,NULL,NULL,NULL,NULL),(25,424,1,13,22,NULL,NULL,NULL,NULL),(25,424,1,13,23,NULL,NULL,NULL,NULL),(25,424,1,13,24,NULL,NULL,NULL,NULL),(25,424,1,13,25,NULL,NULL,NULL,NULL),(25,424,1,13,26,NULL,NULL,NULL,NULL),(25,424,1,13,27,NULL,NULL,NULL,NULL),(25,424,1,13,28,1,NULL,1,NULL),(25,424,1,13,29,NULL,NULL,NULL,NULL),(25,424,1,13,30,NULL,NULL,NULL,NULL),(25,424,1,13,31,NULL,NULL,NULL,NULL),(25,424,1,13,32,NULL,NULL,NULL,NULL),(25,424,1,13,33,NULL,1,NULL,1),(25,424,1,13,34,1,NULL,1,NULL),(25,424,1,13,35,NULL,1,NULL,1),(25,424,1,13,36,NULL,NULL,NULL,NULL),(25,424,1,13,37,NULL,NULL,NULL,NULL),(25,424,1,13,38,NULL,1,NULL,1),(25,424,1,13,39,NULL,NULL,NULL,NULL),(25,424,1,13,40,NULL,NULL,NULL,NULL),(25,424,1,14,1,1,3,NULL,3),(25,424,1,14,2,1,2,1,2),(25,424,1,14,3,3,4,2,1),(25,424,1,14,4,4,4,2,3),(25,424,1,14,5,NULL,NULL,NULL,1),(25,424,1,14,6,NULL,4,NULL,1),(25,424,1,14,7,3,8,3,5),(25,424,1,14,8,1,3,1,2),(25,424,1,14,9,1,5,1,4),(25,424,1,14,10,NULL,2,NULL,2),(25,424,1,14,11,NULL,3,NULL,1),(25,424,1,14,12,1,NULL,NULL,NULL),(25,424,1,14,13,3,1,1,1),(25,424,1,14,14,1,5,1,3),(25,424,1,14,15,3,3,2,3),(25,424,1,14,16,1,1,NULL,1),(25,424,1,14,17,3,3,2,2),(25,424,1,14,18,4,NULL,3,1),(25,424,1,14,19,NULL,9,NULL,6),(25,424,1,14,20,4,2,3,1),(25,424,1,14,21,NULL,3,NULL,4),(25,424,1,14,22,2,1,1,1),(25,424,1,14,23,NULL,3,NULL,4),(25,424,1,14,24,NULL,1,NULL,1),(25,424,1,14,25,NULL,1,NULL,1),(25,424,1,14,26,NULL,NULL,NULL,NULL),(25,424,1,14,27,NULL,NULL,NULL,NULL),(25,424,1,14,28,NULL,3,NULL,2),(25,424,1,14,29,1,NULL,1,NULL),(25,424,1,14,30,NULL,1,NULL,1),(25,424,1,14,31,NULL,2,NULL,NULL),(25,424,1,14,32,NULL,1,NULL,NULL),(25,424,1,14,33,1,2,1,3),(25,424,1,14,34,2,1,1,1),(25,424,1,14,35,1,3,1,1),(25,424,1,14,36,2,1,2,1),(25,424,1,14,37,NULL,NULL,NULL,NULL),(25,424,1,14,38,NULL,7,NULL,6),(25,424,1,14,39,NULL,2,NULL,2),(25,424,1,14,40,NULL,NULL,NULL,NULL),(25,424,1,15,1,2,3,2,2),(25,424,1,15,2,NULL,1,NULL,2),(25,424,1,15,3,1,1,1,1),(25,424,1,15,4,2,2,2,2),(25,424,1,15,5,1,NULL,1,1),(25,424,1,15,6,1,1,1,2),(25,424,1,15,7,1,3,1,3),(25,424,1,15,8,1,3,2,2),(25,424,1,15,9,1,3,2,4),(25,424,1,15,10,NULL,NULL,NULL,NULL),(25,424,1,15,11,NULL,1,1,1),(25,424,1,15,12,1,NULL,1,1),(25,424,1,15,13,NULL,3,1,3),(25,424,1,15,14,1,1,1,2),(25,424,1,15,15,1,3,2,2),(25,424,1,15,16,NULL,1,2,NULL),(25,424,1,15,17,1,1,2,1),(25,424,1,15,18,1,NULL,1,1),(25,424,1,15,19,1,2,2,2),(25,424,1,15,20,2,NULL,2,1),(25,424,1,15,21,1,1,2,1),(25,424,1,15,22,NULL,1,NULL,2),(25,424,1,15,23,NULL,1,NULL,1),(25,424,1,15,24,NULL,NULL,NULL,NULL),(25,424,1,15,25,NULL,4,NULL,4),(25,424,1,15,26,NULL,NULL,NULL,NULL),(25,424,1,15,27,NULL,NULL,NULL,NULL),(25,424,1,15,28,NULL,2,NULL,2),(25,424,1,15,29,2,1,2,NULL),(25,424,1,15,30,NULL,NULL,NULL,NULL),(25,424,1,15,31,NULL,NULL,NULL,NULL),(25,424,1,15,32,NULL,NULL,NULL,NULL),(25,424,1,15,33,NULL,NULL,NULL,NULL),(25,424,1,15,34,NULL,NULL,NULL,1),(25,424,1,15,35,1,1,1,NULL),(25,424,1,15,36,NULL,3,1,3),(25,424,1,15,37,NULL,1,NULL,1),(25,424,1,15,38,NULL,2,1,3),(25,424,1,15,39,NULL,1,NULL,1),(25,424,1,15,40,NULL,1,NULL,2),(25,424,1,16,1,2,4,3,3),(25,424,1,16,2,1,2,1,3),(25,424,1,16,3,1,1,1,1),(25,424,1,16,4,6,2,6,1),(25,424,1,16,5,NULL,3,1,3),(25,424,1,16,6,NULL,2,NULL,2),(25,424,1,16,7,NULL,6,1,5),(25,424,1,16,8,2,3,2,3),(25,424,1,16,9,1,1,NULL,1),(25,424,1,16,10,NULL,NULL,1,NULL),(25,424,1,16,11,1,2,NULL,2),(25,424,1,16,12,NULL,3,NULL,1),(25,424,1,16,13,2,NULL,2,NULL),(25,424,1,16,14,1,3,1,3),(25,424,1,16,15,6,NULL,6,NULL),(25,424,1,16,16,1,6,1,5),(25,424,1,16,17,NULL,4,NULL,5),(25,424,1,16,18,3,5,3,5),(25,424,1,16,19,NULL,4,NULL,3),(25,424,1,16,20,7,NULL,7,NULL),(25,424,1,16,21,NULL,2,NULL,2),(25,424,1,16,22,1,3,1,2),(25,424,1,16,23,NULL,3,NULL,2),(25,424,1,16,24,NULL,2,NULL,2),(25,424,1,16,25,NULL,NULL,NULL,1),(25,424,1,16,26,NULL,NULL,1,NULL),(25,424,1,16,27,1,NULL,1,NULL),(25,424,1,16,28,NULL,5,1,4),(25,424,1,16,29,1,2,1,1),(25,424,1,16,30,NULL,NULL,NULL,NULL),(25,424,1,16,31,1,2,2,2),(25,424,1,16,32,NULL,2,NULL,1),(25,424,1,16,33,1,2,NULL,1),(25,424,1,16,34,1,4,1,3),(25,424,1,16,35,NULL,1,NULL,1),(25,424,1,16,36,1,2,1,2),(25,424,1,16,37,3,1,3,1),(25,424,1,16,38,NULL,6,NULL,6),(25,424,1,16,39,NULL,6,NULL,5),(25,424,1,16,40,NULL,1,NULL,1),(25,424,1,17,1,2,1,3,NULL),(25,424,1,17,2,1,4,NULL,5),(25,424,1,17,3,1,2,1,2),(25,424,1,17,4,2,3,2,3),(25,424,1,17,5,1,3,1,3),(25,424,1,17,6,NULL,4,NULL,4),(25,424,1,17,7,2,3,2,3),(25,424,1,17,8,1,2,NULL,2),(25,424,1,17,9,2,3,1,3),(25,424,1,17,10,1,NULL,1,NULL),(25,424,1,17,11,NULL,NULL,NULL,1),(25,424,1,17,12,1,NULL,1,NULL),(25,424,1,17,13,5,1,4,2),(25,424,1,17,14,NULL,2,1,2),(25,424,1,17,15,5,NULL,4,NULL),(25,424,1,17,16,NULL,5,NULL,5),(25,424,1,17,17,1,2,2,2),(25,424,1,17,18,NULL,3,NULL,3),(25,424,1,17,19,NULL,2,NULL,2),(25,424,1,17,20,5,NULL,6,NULL),(25,424,1,17,21,NULL,2,NULL,2),(25,424,1,17,22,NULL,2,NULL,2),(25,424,1,17,23,NULL,3,NULL,4),(25,424,1,17,24,NULL,NULL,NULL,NULL),(25,424,1,17,25,NULL,NULL,NULL,NULL),(25,424,1,17,26,1,NULL,1,NULL),(25,424,1,17,27,NULL,NULL,NULL,NULL),(25,424,1,17,28,NULL,3,NULL,3),(25,424,1,17,29,NULL,2,NULL,2),(25,424,1,17,30,1,1,1,1),(25,424,1,17,31,1,NULL,1,NULL),(25,424,1,17,32,NULL,NULL,NULL,NULL),(25,424,1,17,33,1,NULL,1,NULL),(25,424,1,17,34,NULL,NULL,NULL,NULL),(25,424,1,17,35,1,NULL,2,NULL),(25,424,1,17,36,NULL,2,NULL,2),(25,424,1,17,37,NULL,3,NULL,4),(25,424,1,17,38,1,3,1,3),(25,424,1,17,39,NULL,4,NULL,4),(25,424,1,17,40,NULL,2,NULL,2),(25,424,2,21,1,NULL,2,NULL,2),(25,424,2,21,2,1,3,NULL,3),(25,424,2,21,3,1,2,1,1),(25,424,2,21,4,1,1,1,NULL),(25,424,2,21,5,1,4,1,3),(25,424,2,21,6,NULL,NULL,NULL,NULL),(25,424,2,21,7,NULL,5,NULL,3),(25,424,2,21,8,1,3,NULL,2),(25,424,2,21,9,1,3,1,NULL),(25,424,2,21,10,NULL,2,NULL,1),(25,424,2,21,11,NULL,7,NULL,5),(25,424,2,21,12,NULL,3,NULL,2),(25,424,2,21,13,2,4,1,3),(25,424,2,21,14,1,2,NULL,1),(25,424,2,21,15,3,4,2,4),(25,424,2,21,16,NULL,6,NULL,6),(25,424,2,21,17,NULL,6,NULL,4),(25,424,2,21,18,NULL,NULL,NULL,NULL),(25,424,2,21,19,NULL,4,NULL,3),(25,424,2,21,20,2,2,1,1),(25,424,2,21,21,NULL,1,NULL,1),(25,424,2,21,22,NULL,NULL,NULL,NULL),(25,424,2,21,23,NULL,NULL,NULL,NULL),(25,424,2,21,24,NULL,3,NULL,1),(25,424,2,21,25,1,NULL,1,NULL),(25,424,2,21,26,NULL,NULL,NULL,NULL),(25,424,2,21,27,NULL,2,NULL,1),(25,424,2,21,28,NULL,NULL,NULL,NULL),(25,424,2,21,29,NULL,1,NULL,NULL),(25,424,2,21,30,NULL,1,NULL,1),(25,424,2,21,31,3,1,3,1),(25,424,2,21,32,NULL,2,NULL,NULL),(25,424,2,21,33,1,5,1,3),(25,424,2,21,34,NULL,3,NULL,2),(25,424,2,21,35,2,3,1,NULL),(25,424,2,21,36,1,NULL,1,NULL),(25,424,2,21,37,1,2,1,NULL),(25,424,2,21,38,NULL,1,NULL,1),(25,424,2,21,39,NULL,NULL,NULL,NULL),(25,424,2,21,40,NULL,1,NULL,1),(25,424,2,22,1,1,4,1,4),(25,424,2,22,2,NULL,3,NULL,1),(25,424,2,22,3,1,3,1,4),(25,424,2,22,4,NULL,4,NULL,3),(25,424,2,22,5,1,6,NULL,5),(25,424,2,22,6,2,1,2,1),(25,424,2,22,7,3,1,3,1),(25,424,2,22,8,1,2,1,2),(25,424,2,22,9,4,3,3,3),(25,424,2,22,10,1,6,1,4),(25,424,2,22,11,1,8,1,6),(25,424,2,22,12,NULL,2,NULL,2),(25,424,2,22,13,4,3,4,2),(25,424,2,22,14,1,3,1,3),(25,424,2,22,15,1,4,1,4),(25,424,2,22,16,1,4,NULL,2),(25,424,2,22,17,NULL,3,NULL,2),(25,424,2,22,18,1,4,NULL,2),(25,424,2,22,19,1,5,NULL,5),(25,424,2,22,20,3,5,3,4),(25,424,2,22,21,NULL,3,NULL,1),(25,424,2,22,22,NULL,NULL,NULL,NULL),(25,424,2,22,23,NULL,NULL,NULL,NULL),(25,424,2,22,24,NULL,1,NULL,1),(25,424,2,22,25,1,NULL,1,NULL),(25,424,2,22,26,NULL,NULL,NULL,NULL),(25,424,2,22,27,1,2,1,1),(25,424,2,22,28,NULL,NULL,NULL,NULL),(25,424,2,22,29,NULL,2,NULL,2),(25,424,2,22,30,NULL,2,NULL,2),(25,424,2,22,31,1,2,1,2),(25,424,2,22,32,1,1,1,1),(25,424,2,22,33,NULL,1,NULL,1),(25,424,2,22,34,NULL,2,NULL,2),(25,424,2,22,35,3,4,3,4),(25,424,2,22,36,1,2,1,2),(25,424,2,22,37,1,NULL,NULL,1),(25,424,2,22,38,2,2,1,2),(25,424,2,22,39,3,NULL,3,NULL),(25,424,2,22,40,NULL,2,NULL,2),(25,424,2,23,1,NULL,1,NULL,2),(25,424,2,23,2,2,1,1,1),(25,424,2,23,3,2,2,2,2),(25,424,2,23,4,NULL,1,NULL,3),(25,424,2,23,5,3,2,5,1),(25,424,2,23,6,NULL,NULL,NULL,1),(25,424,2,23,7,1,1,NULL,1),(25,424,2,23,8,3,1,3,1),(25,424,2,23,9,4,2,4,1),(25,424,2,23,10,3,4,4,4),(25,424,2,23,11,NULL,7,NULL,6),(25,424,2,23,12,1,1,NULL,2),(25,424,2,23,13,5,2,7,1),(25,424,2,23,14,NULL,NULL,2,NULL),(25,424,2,23,15,1,2,NULL,2),(25,424,2,23,16,NULL,6,1,5),(25,424,2,23,17,NULL,3,1,2),(25,424,2,23,18,2,3,2,2),(25,424,2,23,19,NULL,4,2,4),(25,424,2,23,20,3,1,3,2),(25,424,2,23,21,NULL,3,NULL,3),(25,424,2,23,22,NULL,NULL,NULL,1),(25,424,2,23,23,1,NULL,1,NULL),(25,424,2,23,24,1,1,1,1),(25,424,2,23,25,NULL,NULL,NULL,NULL),(25,424,2,23,26,NULL,2,NULL,NULL),(25,424,2,23,27,NULL,1,NULL,NULL),(25,424,2,23,28,NULL,NULL,NULL,NULL),(25,424,2,23,29,NULL,1,NULL,NULL),(25,424,2,23,30,NULL,1,NULL,2),(25,424,2,23,31,2,1,1,1),(25,424,2,23,32,NULL,NULL,NULL,NULL),(25,424,2,23,33,NULL,NULL,NULL,NULL),(25,424,2,23,34,NULL,1,NULL,1),(25,424,2,23,35,NULL,3,NULL,3),(25,424,2,23,36,1,1,NULL,2),(25,424,2,23,37,1,2,2,2),(25,424,2,23,38,1,1,1,2),(25,424,2,23,39,NULL,NULL,NULL,NULL),(25,424,2,23,40,NULL,NULL,NULL,NULL),(25,424,2,24,1,NULL,2,NULL,2),(25,424,2,24,2,NULL,4,1,2),(25,424,2,24,3,NULL,6,NULL,6),(25,424,2,24,4,NULL,2,NULL,2),(25,424,2,24,5,3,6,4,5),(25,424,2,24,6,1,1,1,2),(25,424,2,24,7,3,1,3,1),(25,424,2,24,8,3,5,3,5),(25,424,2,24,9,3,5,3,4),(25,424,2,24,10,1,3,1,4),(25,424,2,24,11,1,5,1,5),(25,424,2,24,12,1,3,1,4),(25,424,2,24,13,4,3,3,3),(25,424,2,24,14,1,5,1,3),(25,424,2,24,15,2,5,3,4),(25,424,2,24,16,2,3,2,3),(25,424,2,24,17,1,NULL,1,1),(25,424,2,24,18,3,4,2,5),(25,424,2,24,19,NULL,3,NULL,3),(25,424,2,24,20,NULL,5,1,6),(25,424,2,24,21,NULL,3,NULL,4),(25,424,2,24,22,NULL,NULL,NULL,NULL),(25,424,2,24,23,1,1,1,1),(25,424,2,24,24,1,2,1,1),(25,424,2,24,25,1,NULL,NULL,NULL),(25,424,2,24,26,NULL,1,NULL,NULL),(25,424,2,24,27,NULL,1,NULL,1),(25,424,2,24,28,NULL,NULL,NULL,1),(25,424,2,24,29,NULL,1,NULL,1),(25,424,2,24,30,1,NULL,1,NULL),(25,424,2,24,31,NULL,2,NULL,2),(25,424,2,24,32,1,3,NULL,2),(25,424,2,24,33,1,1,1,1),(25,424,2,24,34,NULL,1,NULL,1),(25,424,2,24,35,NULL,3,NULL,3),(25,424,2,24,36,NULL,2,NULL,2),(25,424,2,24,37,NULL,3,NULL,5),(25,424,2,24,38,1,3,1,3),(25,424,2,24,39,3,NULL,3,NULL),(25,424,2,24,40,NULL,1,NULL,1),(25,425,1,11,1,NULL,NULL,NULL,NULL),(25,425,1,11,2,NULL,NULL,NULL,NULL),(25,425,1,11,3,NULL,NULL,NULL,NULL),(25,425,1,11,4,NULL,NULL,NULL,NULL),(25,425,1,11,5,NULL,NULL,NULL,NULL),(25,425,1,11,6,NULL,NULL,NULL,NULL),(25,425,1,11,7,NULL,NULL,NULL,NULL),(25,425,1,11,8,NULL,NULL,NULL,NULL),(25,425,1,11,9,NULL,NULL,NULL,NULL),(25,425,1,11,10,NULL,NULL,NULL,NULL),(25,425,1,11,11,NULL,NULL,NULL,NULL),(25,425,1,11,12,NULL,NULL,NULL,NULL),(25,425,1,11,13,NULL,NULL,NULL,NULL),(25,425,1,11,14,NULL,NULL,NULL,NULL),(25,425,1,11,15,NULL,NULL,NULL,NULL),(25,425,1,11,16,NULL,NULL,NULL,NULL),(25,425,1,11,17,NULL,NULL,NULL,NULL),(25,425,1,11,18,NULL,NULL,NULL,NULL),(25,425,1,11,19,NULL,NULL,NULL,NULL),(25,425,1,11,20,NULL,NULL,NULL,NULL),(25,425,1,11,21,NULL,NULL,NULL,NULL),(25,425,1,11,22,NULL,NULL,NULL,NULL),(25,425,1,11,23,NULL,NULL,NULL,NULL),(25,425,1,11,24,NULL,NULL,NULL,NULL),(25,425,1,11,25,NULL,NULL,NULL,NULL),(25,425,1,11,26,NULL,NULL,NULL,NULL),(25,425,1,11,27,NULL,NULL,NULL,NULL),(25,425,1,11,28,NULL,NULL,NULL,NULL),(25,425,1,11,29,NULL,NULL,NULL,NULL),(25,425,1,11,30,NULL,NULL,NULL,NULL),(25,425,1,11,31,NULL,NULL,NULL,NULL),(25,425,1,11,32,NULL,NULL,NULL,NULL),(25,425,1,11,33,NULL,NULL,NULL,NULL),(25,425,1,11,34,NULL,NULL,NULL,NULL),(25,425,1,11,35,NULL,NULL,NULL,NULL),(25,425,1,11,36,NULL,NULL,NULL,NULL),(25,425,1,11,37,NULL,NULL,NULL,NULL),(25,425,1,11,38,NULL,NULL,NULL,NULL),(25,425,1,11,39,NULL,NULL,NULL,NULL),(25,425,1,11,40,NULL,NULL,NULL,NULL),(25,425,1,12,1,NULL,NULL,NULL,NULL),(25,425,1,12,2,NULL,NULL,NULL,NULL),(25,425,1,12,3,NULL,NULL,NULL,NULL),(25,425,1,12,4,NULL,NULL,NULL,NULL),(25,425,1,12,5,NULL,NULL,NULL,NULL),(25,425,1,12,6,NULL,NULL,NULL,NULL),(25,425,1,12,7,NULL,NULL,NULL,NULL),(25,425,1,12,8,NULL,NULL,NULL,NULL),(25,425,1,12,9,NULL,NULL,NULL,NULL),(25,425,1,12,10,NULL,NULL,NULL,NULL),(25,425,1,12,11,NULL,NULL,NULL,NULL),(25,425,1,12,12,NULL,NULL,NULL,NULL),(25,425,1,12,13,NULL,NULL,NULL,NULL),(25,425,1,12,14,NULL,NULL,NULL,NULL),(25,425,1,12,15,NULL,NULL,NULL,NULL),(25,425,1,12,16,NULL,NULL,NULL,NULL),(25,425,1,12,17,NULL,NULL,NULL,NULL),(25,425,1,12,18,NULL,NULL,NULL,NULL),(25,425,1,12,19,NULL,NULL,NULL,NULL),(25,425,1,12,20,NULL,NULL,NULL,NULL),(25,425,1,12,21,NULL,NULL,NULL,NULL),(25,425,1,12,22,NULL,NULL,NULL,NULL),(25,425,1,12,23,NULL,NULL,NULL,NULL),(25,425,1,12,24,NULL,NULL,NULL,NULL),(25,425,1,12,25,NULL,NULL,NULL,NULL),(25,425,1,12,26,NULL,NULL,NULL,NULL),(25,425,1,12,27,NULL,NULL,NULL,NULL),(25,425,1,12,28,NULL,NULL,NULL,NULL),(25,425,1,12,29,NULL,NULL,NULL,NULL),(25,425,1,12,30,NULL,NULL,NULL,NULL),(25,425,1,12,31,NULL,NULL,NULL,NULL),(25,425,1,12,32,NULL,NULL,NULL,NULL),(25,425,1,12,33,NULL,NULL,NULL,NULL),(25,425,1,12,34,NULL,NULL,NULL,NULL),(25,425,1,12,35,NULL,NULL,NULL,NULL),(25,425,1,12,36,NULL,NULL,NULL,NULL),(25,425,1,12,37,NULL,NULL,NULL,NULL),(25,425,1,12,38,NULL,NULL,NULL,NULL),(25,425,1,12,39,NULL,NULL,NULL,NULL),(25,425,1,12,40,NULL,NULL,NULL,NULL),(25,425,1,13,1,NULL,1,NULL,NULL),(25,425,1,13,2,NULL,NULL,NULL,NULL),(25,425,1,13,3,1,NULL,NULL,NULL),(25,425,1,13,4,1,NULL,NULL,NULL),(25,425,1,13,5,NULL,NULL,NULL,NULL),(25,425,1,13,6,NULL,1,NULL,NULL),(25,425,1,13,7,NULL,NULL,NULL,NULL),(25,425,1,13,8,NULL,NULL,NULL,NULL),(25,425,1,13,9,NULL,NULL,NULL,NULL),(25,425,1,13,10,NULL,NULL,NULL,NULL),(25,425,1,13,11,NULL,NULL,NULL,NULL),(25,425,1,13,12,NULL,NULL,NULL,NULL),(25,425,1,13,13,1,NULL,NULL,NULL),(25,425,1,13,14,NULL,NULL,NULL,NULL),(25,425,1,13,15,NULL,1,NULL,NULL),(25,425,1,13,16,NULL,1,NULL,NULL),(25,425,1,13,17,1,NULL,NULL,NULL),(25,425,1,13,18,1,NULL,NULL,NULL),(25,425,1,13,19,NULL,1,NULL,NULL),(25,425,1,13,20,NULL,1,NULL,NULL),(25,425,1,13,21,NULL,NULL,NULL,NULL),(25,425,1,13,22,NULL,NULL,NULL,NULL),(25,425,1,13,23,NULL,1,NULL,NULL),(25,425,1,13,24,NULL,NULL,NULL,NULL),(25,425,1,13,25,NULL,NULL,NULL,NULL),(25,425,1,13,26,NULL,NULL,NULL,NULL),(25,425,1,13,27,NULL,NULL,NULL,NULL),(25,425,1,13,28,1,NULL,NULL,NULL),(25,425,1,13,29,NULL,NULL,NULL,NULL),(25,425,1,13,30,NULL,NULL,NULL,NULL),(25,425,1,13,31,NULL,NULL,NULL,NULL),(25,425,1,13,32,NULL,NULL,NULL,NULL),(25,425,1,13,33,NULL,NULL,NULL,NULL),(25,425,1,13,34,NULL,NULL,NULL,NULL),(25,425,1,13,35,NULL,1,NULL,NULL),(25,425,1,13,36,NULL,NULL,NULL,NULL),(25,425,1,13,37,NULL,1,NULL,NULL),(25,425,1,13,38,NULL,NULL,NULL,NULL),(25,425,1,13,39,NULL,NULL,NULL,NULL),(25,425,1,13,40,NULL,NULL,NULL,NULL),(25,425,1,14,1,12,24,4,9),(25,425,1,14,2,8,18,4,5),(25,425,1,14,3,7,10,1,4),(25,425,1,14,4,25,13,10,3),(25,425,1,14,5,7,14,5,5),(25,425,1,14,6,11,18,2,3),(25,425,1,14,7,13,29,5,9),(25,425,1,14,8,9,14,6,5),(25,425,1,14,9,12,13,3,3),(25,425,1,14,10,4,6,NULL,2),(25,425,1,14,11,6,7,2,4),(25,425,1,14,12,6,7,1,4),(25,425,1,14,13,18,11,8,4),(25,425,1,14,14,11,23,3,6),(25,425,1,14,15,25,16,11,3),(25,425,1,14,16,10,13,6,3),(25,425,1,14,17,17,8,9,2),(25,425,1,14,18,25,8,8,1),(25,425,1,14,19,23,20,7,5),(25,425,1,14,20,25,3,12,1),(25,425,1,14,21,4,21,1,8),(25,425,1,14,22,9,16,4,5),(25,425,1,14,23,7,12,1,6),(25,425,1,14,24,1,8,NULL,1),(25,425,1,14,25,1,5,NULL,3),(25,425,1,14,26,3,NULL,3,NULL),(25,425,1,14,27,1,NULL,1,NULL),(25,425,1,14,28,5,21,NULL,9),(25,425,1,14,29,2,6,1,1),(25,425,1,14,30,1,13,NULL,4),(25,425,1,14,31,NULL,1,NULL,1),(25,425,1,14,32,2,5,2,1),(25,425,1,14,33,2,7,NULL,2),(25,425,1,14,34,2,7,NULL,1),(25,425,1,14,35,5,6,1,2),(25,425,1,14,36,6,17,2,5),(25,425,1,14,37,4,5,2,1),(25,425,1,14,38,1,25,1,6),(25,425,1,14,39,2,8,NULL,2),(25,425,1,14,40,1,7,1,4),(25,425,1,15,1,17,23,4,13),(25,425,1,15,2,9,10,5,4),(25,425,1,15,3,8,12,5,6),(25,425,1,15,4,37,12,14,5),(25,425,1,15,5,5,12,2,7),(25,425,1,15,6,11,19,7,7),(25,425,1,15,7,8,36,4,14),(25,425,1,15,8,11,12,6,6),(25,425,1,15,9,12,21,5,11),(25,425,1,15,10,1,7,NULL,4),(25,425,1,15,11,9,14,2,9),(25,425,1,15,12,8,6,6,2),(25,425,1,15,13,12,6,8,2),(25,425,1,15,14,7,13,5,4),(25,425,1,15,15,23,11,10,6),(25,425,1,15,16,14,5,8,1),(25,425,1,15,17,18,7,11,2),(25,425,1,15,18,31,9,16,2),(25,425,1,15,19,15,25,3,13),(25,425,1,15,20,18,2,12,NULL),(25,425,1,15,21,3,20,1,13),(25,425,1,15,22,6,18,2,9),(25,425,1,15,23,4,10,1,6),(25,425,1,15,24,2,3,NULL,2),(25,425,1,15,25,1,8,NULL,4),(25,425,1,15,26,5,NULL,5,NULL),(25,425,1,15,27,6,NULL,3,NULL),(25,425,1,15,28,2,18,1,10),(25,425,1,15,29,1,6,NULL,4),(25,425,1,15,30,1,12,1,6),(25,425,1,15,31,NULL,2,NULL,1),(25,425,1,15,32,3,NULL,3,NULL),(25,425,1,15,33,3,9,1,4),(25,425,1,15,34,5,13,2,5),(25,425,1,15,35,2,7,1,2),(25,425,1,15,36,7,19,5,6),(25,425,1,15,37,10,9,5,4),(25,425,1,15,38,4,30,NULL,10),(25,425,1,15,39,4,17,1,8),(25,425,1,15,40,2,8,1,5),(25,425,1,16,1,3,7,NULL,1),(25,425,1,16,2,1,4,NULL,1),(25,425,1,16,3,1,NULL,NULL,NULL),(25,425,1,16,4,4,4,1,NULL),(25,425,1,16,5,1,3,NULL,1),(25,425,1,16,6,1,3,1,NULL),(25,425,1,16,7,3,4,NULL,1),(25,425,1,16,8,2,1,1,NULL),(25,425,1,16,9,2,2,NULL,1),(25,425,1,16,10,1,2,NULL,1),(25,425,1,16,11,2,4,NULL,1),(25,425,1,16,12,1,2,1,NULL),(25,425,1,16,13,4,3,1,NULL),(25,425,1,16,14,4,2,NULL,1),(25,425,1,16,15,8,NULL,1,NULL),(25,425,1,16,16,NULL,7,NULL,NULL),(25,425,1,16,17,1,3,NULL,NULL),(25,425,1,16,18,4,5,NULL,NULL),(25,425,1,16,19,NULL,5,NULL,NULL),(25,425,1,16,20,10,NULL,1,NULL),(25,425,1,16,21,2,2,1,NULL),(25,425,1,16,22,3,3,NULL,NULL),(25,425,1,16,23,NULL,2,NULL,1),(25,425,1,16,24,NULL,NULL,NULL,NULL),(25,425,1,16,25,1,3,NULL,NULL),(25,425,1,16,26,4,NULL,1,NULL),(25,425,1,16,27,NULL,NULL,NULL,NULL),(25,425,1,16,28,4,4,NULL,NULL),(25,425,1,16,29,NULL,3,NULL,1),(25,425,1,16,30,NULL,1,NULL,NULL),(25,425,1,16,31,1,4,NULL,1),(25,425,1,16,32,NULL,NULL,NULL,NULL),(25,425,1,16,33,1,1,1,NULL),(25,425,1,16,34,NULL,2,NULL,NULL),(25,425,1,16,35,2,2,1,NULL),(25,425,1,16,36,1,2,1,NULL),(25,425,1,16,37,2,1,1,NULL),(25,425,1,16,38,1,7,NULL,1),(25,425,1,16,39,1,3,NULL,1),(25,425,1,16,40,NULL,3,NULL,1),(25,425,1,17,1,3,4,NULL,1),(25,425,1,17,2,1,1,NULL,NULL),(25,425,1,17,3,NULL,1,NULL,NULL),(25,425,1,17,4,3,3,NULL,1),(25,425,1,17,5,NULL,3,NULL,1),(25,425,1,17,6,1,4,NULL,NULL),(25,425,1,17,7,2,6,NULL,2),(25,425,1,17,8,3,3,1,1),(25,425,1,17,9,NULL,2,NULL,NULL),(25,425,1,17,10,NULL,NULL,NULL,NULL),(25,425,1,17,11,NULL,2,NULL,NULL),(25,425,1,17,12,NULL,NULL,NULL,NULL),(25,425,1,17,13,3,3,NULL,1),(25,425,1,17,14,3,1,NULL,NULL),(25,425,1,17,15,1,NULL,NULL,NULL),(25,425,1,17,16,1,4,NULL,NULL),(25,425,1,17,17,1,6,NULL,1),(25,425,1,17,18,NULL,6,NULL,NULL),(25,425,1,17,19,1,1,1,NULL),(25,425,1,17,20,7,NULL,2,NULL),(25,425,1,17,21,NULL,2,NULL,1),(25,425,1,17,22,NULL,2,NULL,NULL),(25,425,1,17,23,2,NULL,NULL,NULL),(25,425,1,17,24,NULL,1,NULL,1),(25,425,1,17,25,NULL,NULL,NULL,NULL),(25,425,1,17,26,NULL,NULL,NULL,NULL),(25,425,1,17,27,NULL,NULL,NULL,NULL),(25,425,1,17,28,1,3,NULL,1),(25,425,1,17,29,NULL,NULL,NULL,NULL),(25,425,1,17,30,1,3,NULL,1),(25,425,1,17,31,NULL,1,NULL,1),(25,425,1,17,32,NULL,NULL,NULL,NULL),(25,425,1,17,33,NULL,2,NULL,1),(25,425,1,17,34,3,1,NULL,NULL),(25,425,1,17,35,2,NULL,NULL,NULL),(25,425,1,17,36,NULL,3,NULL,NULL),(25,425,1,17,37,NULL,2,NULL,NULL),(25,425,1,17,38,NULL,5,NULL,1),(25,425,1,17,39,NULL,6,NULL,1),(25,425,1,17,40,NULL,NULL,NULL,NULL),(25,425,2,21,1,2,7,1,4),(25,425,2,21,2,1,9,1,3),(25,425,2,21,3,8,7,4,3),(25,425,2,21,4,1,6,NULL,3),(25,425,2,21,5,5,9,2,3),(25,425,2,21,6,2,6,2,4),(25,425,2,21,7,1,10,NULL,4),(25,425,2,21,8,6,13,2,5),(25,425,2,21,9,13,10,6,3),(25,425,2,21,10,5,13,3,6),(25,425,2,21,11,4,17,2,4),(25,425,2,21,12,6,10,1,2),(25,425,2,21,13,18,7,7,1),(25,425,2,21,14,2,12,1,4),(25,425,2,21,15,5,11,NULL,4),(25,425,2,21,16,4,8,1,1),(25,425,2,21,17,4,10,1,2),(25,425,2,21,18,5,9,1,4),(25,425,2,21,19,1,5,1,NULL),(25,425,2,21,20,3,11,1,5),(25,425,2,21,21,2,3,1,1),(25,425,2,21,22,1,2,NULL,NULL),(25,425,2,21,23,NULL,1,NULL,1),(25,425,2,21,24,1,6,1,4),(25,425,2,21,25,2,NULL,1,NULL),(25,425,2,21,26,NULL,4,NULL,1),(25,425,2,21,27,NULL,4,NULL,1),(25,425,2,21,28,NULL,3,NULL,1),(25,425,2,21,29,1,4,NULL,3),(25,425,2,21,30,2,6,NULL,1),(25,425,2,21,31,8,3,6,2),(25,425,2,21,32,NULL,3,NULL,2),(25,425,2,21,33,3,9,2,5),(25,425,2,21,34,NULL,2,NULL,NULL),(25,425,2,21,35,3,7,NULL,4),(25,425,2,21,36,3,7,NULL,4),(25,425,2,21,37,1,4,1,1),(25,425,2,21,38,5,12,4,4),(25,425,2,21,39,9,NULL,7,NULL),(25,425,2,21,40,NULL,2,NULL,NULL),(25,425,2,22,1,4,9,2,3),(25,425,2,22,2,1,8,1,2),(25,425,2,22,3,2,9,1,2),(25,425,2,22,4,3,9,1,3),(25,425,2,22,5,6,10,3,5),(25,425,2,22,6,2,2,NULL,1),(25,425,2,22,7,2,8,1,4),(25,425,2,22,8,7,8,1,2),(25,425,2,22,9,5,13,1,7),(25,425,2,22,10,1,5,NULL,3),(25,425,2,22,11,3,16,1,8),(25,425,2,22,12,3,9,NULL,4),(25,425,2,22,13,13,9,8,1),(25,425,2,22,14,4,9,4,2),(25,425,2,22,15,9,9,2,3),(25,425,2,22,16,2,11,1,5),(25,425,2,22,17,2,12,1,2),(25,425,2,22,18,3,10,NULL,4),(25,425,2,22,19,3,6,2,2),(25,425,2,22,20,2,9,1,4),(25,425,2,22,21,NULL,3,NULL,NULL),(25,425,2,22,22,NULL,3,NULL,2),(25,425,2,22,23,NULL,3,NULL,1),(25,425,2,22,24,1,5,NULL,NULL),(25,425,2,22,25,3,NULL,NULL,NULL),(25,425,2,22,26,NULL,1,NULL,NULL),(25,425,2,22,27,2,8,NULL,2),(25,425,2,22,28,1,1,1,NULL),(25,425,2,22,29,2,5,NULL,2),(25,425,2,22,30,3,7,NULL,3),(25,425,2,22,31,1,5,1,3),(25,425,2,22,32,1,4,NULL,2),(25,425,2,22,33,2,6,NULL,4),(25,425,2,22,34,NULL,6,NULL,2),(25,425,2,22,35,2,6,NULL,2),(25,425,2,22,36,NULL,6,NULL,NULL),(25,425,2,22,37,1,5,NULL,2),(25,425,2,22,38,7,8,3,1),(25,425,2,22,39,9,NULL,6,NULL),(25,425,2,22,40,NULL,2,NULL,1),(25,425,2,23,1,5,6,3,2),(25,425,2,23,2,2,10,1,4),(25,425,2,23,3,4,7,3,4),(25,425,2,23,4,5,7,3,2),(25,425,2,23,5,7,2,2,NULL),(25,425,2,23,6,2,3,1,1),(25,425,2,23,7,2,3,NULL,3),(25,425,2,23,8,6,7,2,4),(25,425,2,23,9,10,8,2,2),(25,425,2,23,10,5,8,1,6),(25,425,2,23,11,2,20,1,5),(25,425,2,23,12,5,5,1,NULL),(25,425,2,23,13,12,4,5,2),(25,425,2,23,14,2,11,NULL,5),(25,425,2,23,15,7,8,3,3),(25,425,2,23,16,3,7,NULL,5),(25,425,2,23,17,5,13,1,4),(25,425,2,23,18,8,5,5,1),(25,425,2,23,19,3,7,NULL,1),(25,425,2,23,20,3,7,1,3),(25,425,2,23,21,1,2,NULL,1),(25,425,2,23,22,NULL,3,NULL,2),(25,425,2,23,23,1,2,1,NULL),(25,425,2,23,24,1,1,NULL,1),(25,425,2,23,25,4,NULL,1,NULL),(25,425,2,23,26,NULL,2,NULL,NULL),(25,425,2,23,27,2,9,1,3),(25,425,2,23,28,2,3,NULL,NULL),(25,425,2,23,29,1,7,NULL,3),(25,425,2,23,30,2,10,1,4),(25,425,2,23,31,2,7,1,3),(25,425,2,23,32,NULL,NULL,NULL,NULL),(25,425,2,23,33,3,5,1,1),(25,425,2,23,34,NULL,2,NULL,2),(25,425,2,23,35,1,4,NULL,3),(25,425,2,23,36,4,6,2,3),(25,425,2,23,37,2,1,1,NULL),(25,425,2,23,38,3,6,2,1),(25,425,2,23,39,8,NULL,6,NULL),(25,425,2,23,40,NULL,2,NULL,2),(25,425,2,24,1,3,13,2,3),(25,425,2,24,2,1,10,NULL,3),(25,425,2,24,3,3,9,NULL,4),(25,425,2,24,4,3,6,1,1),(25,425,2,24,5,8,12,1,4),(25,425,2,24,6,1,4,1,1),(25,425,2,24,7,2,6,1,2),(25,425,2,24,8,11,10,5,1),(25,425,2,24,9,8,12,3,3),(25,425,2,24,10,4,7,3,1),(25,425,2,24,11,2,20,NULL,3),(25,425,2,24,12,3,6,1,2),(25,425,2,24,13,9,8,4,1),(25,425,2,24,14,5,9,1,4),(25,425,2,24,15,6,8,1,3),(25,425,2,24,16,4,9,2,1),(25,425,2,24,17,3,12,NULL,2),(25,425,2,24,18,1,12,NULL,3),(25,425,2,24,19,NULL,3,NULL,2),(25,425,2,24,20,4,9,1,2),(25,425,2,24,21,1,4,1,1),(25,425,2,24,22,NULL,NULL,NULL,NULL),(25,425,2,24,23,1,4,NULL,1),(25,425,2,24,24,NULL,6,NULL,4),(25,425,2,24,25,2,NULL,NULL,NULL),(25,425,2,24,26,NULL,NULL,NULL,NULL),(25,425,2,24,27,1,4,NULL,1),(25,425,2,24,28,1,2,NULL,NULL),(25,425,2,24,29,3,4,NULL,NULL),(25,425,2,24,30,NULL,5,NULL,1),(25,425,2,24,31,3,3,1,2),(25,425,2,24,32,NULL,NULL,NULL,NULL),(25,425,2,24,33,2,7,1,3),(25,425,2,24,34,NULL,1,NULL,NULL),(25,425,2,24,35,2,5,1,1),(25,425,2,24,36,3,7,1,2),(25,425,2,24,37,2,5,NULL,2),(25,425,2,24,38,NULL,7,NULL,2),(25,425,2,24,39,6,NULL,2,NULL),(25,425,2,24,40,2,1,NULL,NULL),(25,426,1,11,1,NULL,NULL,NULL,NULL),(25,426,1,11,2,NULL,NULL,NULL,NULL),(25,426,1,11,3,NULL,NULL,NULL,NULL),(25,426,1,11,4,NULL,NULL,NULL,NULL),(25,426,1,11,5,NULL,NULL,NULL,NULL),(25,426,1,11,6,NULL,NULL,NULL,NULL),(25,426,1,11,7,NULL,NULL,NULL,NULL),(25,426,1,11,8,NULL,NULL,NULL,NULL),(25,426,1,11,9,NULL,NULL,NULL,NULL),(25,426,1,11,10,NULL,NULL,NULL,NULL),(25,426,1,11,11,NULL,NULL,NULL,NULL),(25,426,1,11,12,NULL,NULL,NULL,NULL),(25,426,1,11,13,NULL,NULL,NULL,NULL),(25,426,1,11,14,NULL,NULL,NULL,NULL),(25,426,1,11,15,NULL,NULL,NULL,NULL),(25,426,1,11,16,NULL,NULL,NULL,NULL),(25,426,1,11,17,NULL,NULL,NULL,NULL),(25,426,1,11,18,NULL,NULL,NULL,NULL),(25,426,1,11,19,NULL,NULL,NULL,NULL),(25,426,1,11,20,NULL,NULL,NULL,NULL),(25,426,1,11,21,NULL,NULL,NULL,NULL),(25,426,1,11,22,NULL,NULL,NULL,NULL),(25,426,1,11,23,NULL,NULL,NULL,NULL),(25,426,1,11,24,NULL,NULL,NULL,NULL),(25,426,1,11,25,NULL,NULL,NULL,NULL),(25,426,1,11,26,NULL,NULL,NULL,NULL),(25,426,1,11,27,NULL,NULL,NULL,NULL),(25,426,1,11,28,NULL,NULL,NULL,NULL),(25,426,1,11,29,NULL,NULL,NULL,NULL),(25,426,1,11,30,NULL,NULL,NULL,NULL),(25,426,1,11,31,NULL,NULL,NULL,NULL),(25,426,1,11,32,NULL,NULL,NULL,NULL),(25,426,1,11,33,NULL,NULL,NULL,NULL),(25,426,1,11,34,NULL,NULL,NULL,NULL),(25,426,1,11,35,NULL,NULL,NULL,NULL),(25,426,1,11,36,NULL,NULL,NULL,NULL),(25,426,1,11,37,NULL,NULL,NULL,NULL),(25,426,1,11,38,NULL,NULL,NULL,NULL),(25,426,1,11,39,NULL,NULL,NULL,NULL),(25,426,1,11,40,NULL,NULL,NULL,NULL),(25,426,1,12,1,NULL,1,NULL,1),(25,426,1,12,2,NULL,NULL,NULL,NULL),(25,426,1,12,3,NULL,NULL,NULL,NULL),(25,426,1,12,4,NULL,1,NULL,1),(25,426,1,12,5,NULL,NULL,NULL,NULL),(25,426,1,12,6,NULL,NULL,NULL,NULL),(25,426,1,12,7,NULL,NULL,NULL,NULL),(25,426,1,12,8,NULL,1,NULL,1),(25,426,1,12,9,NULL,1,NULL,1),(25,426,1,12,10,NULL,NULL,NULL,NULL),(25,426,1,12,11,NULL,NULL,NULL,NULL),(25,426,1,12,12,NULL,NULL,NULL,NULL),(25,426,1,12,13,NULL,NULL,NULL,NULL),(25,426,1,12,14,NULL,NULL,NULL,NULL),(25,426,1,12,15,NULL,NULL,NULL,NULL),(25,426,1,12,16,NULL,NULL,NULL,NULL),(25,426,1,12,17,NULL,1,NULL,1),(25,426,1,12,18,NULL,NULL,NULL,NULL),(25,426,1,12,19,1,NULL,1,NULL),(25,426,1,12,20,NULL,1,NULL,1),(25,426,1,12,21,NULL,1,NULL,1),(25,426,1,12,22,NULL,NULL,NULL,NULL),(25,426,1,12,23,NULL,NULL,NULL,NULL),(25,426,1,12,24,NULL,NULL,NULL,NULL),(25,426,1,12,25,NULL,NULL,NULL,NULL),(25,426,1,12,26,NULL,NULL,NULL,NULL),(25,426,1,12,27,NULL,NULL,NULL,NULL),(25,426,1,12,28,1,NULL,1,NULL),(25,426,1,12,29,NULL,1,NULL,1),(25,426,1,12,30,NULL,1,NULL,1),(25,426,1,12,31,NULL,1,NULL,1),(25,426,1,12,32,NULL,NULL,NULL,NULL),(25,426,1,12,33,NULL,NULL,NULL,NULL),(25,426,1,12,34,NULL,NULL,NULL,NULL),(25,426,1,12,35,NULL,NULL,NULL,NULL),(25,426,1,12,36,NULL,NULL,NULL,NULL),(25,426,1,12,37,NULL,1,NULL,1),(25,426,1,12,38,NULL,NULL,NULL,NULL),(25,426,1,12,39,NULL,NULL,NULL,NULL),(25,426,1,12,40,NULL,NULL,NULL,NULL),(25,426,1,13,1,NULL,NULL,NULL,NULL),(25,426,1,13,2,NULL,NULL,NULL,NULL),(25,426,1,13,3,NULL,NULL,NULL,NULL),(25,426,1,13,4,NULL,NULL,NULL,NULL),(25,426,1,13,5,NULL,NULL,NULL,NULL),(25,426,1,13,6,NULL,NULL,NULL,NULL),(25,426,1,13,7,NULL,NULL,NULL,NULL),(25,426,1,13,8,NULL,NULL,NULL,NULL),(25,426,1,13,9,NULL,NULL,NULL,NULL),(25,426,1,13,10,NULL,NULL,NULL,NULL),(25,426,1,13,11,NULL,NULL,NULL,NULL),(25,426,1,13,12,NULL,NULL,NULL,NULL),(25,426,1,13,13,NULL,NULL,NULL,NULL),(25,426,1,13,14,NULL,NULL,NULL,NULL),(25,426,1,13,15,NULL,NULL,NULL,NULL),(25,426,1,13,16,NULL,NULL,NULL,NULL),(25,426,1,13,17,NULL,NULL,NULL,NULL),(25,426,1,13,18,NULL,NULL,NULL,NULL),(25,426,1,13,19,NULL,NULL,NULL,NULL),(25,426,1,13,20,NULL,NULL,NULL,NULL),(25,426,1,13,21,NULL,NULL,NULL,NULL),(25,426,1,13,22,NULL,NULL,NULL,NULL),(25,426,1,13,23,NULL,NULL,NULL,NULL),(25,426,1,13,24,NULL,NULL,NULL,NULL),(25,426,1,13,25,NULL,NULL,NULL,NULL),(25,426,1,13,26,NULL,NULL,NULL,NULL),(25,426,1,13,27,NULL,NULL,NULL,NULL),(25,426,1,13,28,NULL,NULL,NULL,NULL),(25,426,1,13,29,NULL,NULL,NULL,NULL),(25,426,1,13,30,NULL,NULL,NULL,NULL),(25,426,1,13,31,NULL,NULL,NULL,NULL),(25,426,1,13,32,NULL,NULL,NULL,NULL),(25,426,1,13,33,NULL,NULL,NULL,NULL),(25,426,1,13,34,NULL,NULL,NULL,NULL),(25,426,1,13,35,NULL,NULL,NULL,NULL),(25,426,1,13,36,NULL,NULL,NULL,NULL),(25,426,1,13,37,NULL,NULL,NULL,NULL),(25,426,1,13,38,NULL,NULL,NULL,NULL),(25,426,1,13,39,NULL,NULL,NULL,NULL),(25,426,1,13,40,NULL,NULL,NULL,NULL),(25,426,1,14,1,1,2,1,2),(25,426,1,14,2,NULL,1,NULL,1),(25,426,1,14,3,NULL,2,NULL,2),(25,426,1,14,4,1,5,2,4),(25,426,1,14,5,NULL,2,NULL,2),(25,426,1,14,6,1,5,NULL,3),(25,426,1,14,7,2,3,2,2),(25,426,1,14,8,2,1,1,1),(25,426,1,14,9,NULL,NULL,NULL,NULL),(25,426,1,14,10,NULL,2,NULL,2),(25,426,1,14,11,NULL,1,NULL,1),(25,426,1,14,12,1,2,NULL,2),(25,426,1,14,13,NULL,1,NULL,2),(25,426,1,14,14,1,1,1,1),(25,426,1,14,15,NULL,2,1,2),(25,426,1,14,16,NULL,5,NULL,4),(25,426,1,14,17,3,NULL,2,1),(25,426,1,14,18,2,NULL,3,NULL),(25,426,1,14,19,NULL,3,1,1),(25,426,1,14,20,3,1,4,2),(25,426,1,14,21,2,NULL,2,1),(25,426,1,14,22,NULL,2,1,2),(25,426,1,14,23,NULL,4,NULL,3),(25,426,1,14,24,NULL,NULL,NULL,NULL),(25,426,1,14,25,NULL,3,NULL,2),(25,426,1,14,26,NULL,NULL,NULL,NULL),(25,426,1,14,27,NULL,NULL,NULL,NULL),(25,426,1,14,28,NULL,1,NULL,NULL),(25,426,1,14,29,NULL,NULL,NULL,NULL),(25,426,1,14,30,NULL,3,NULL,3),(25,426,1,14,31,NULL,2,NULL,2),(25,426,1,14,32,NULL,NULL,NULL,NULL),(25,426,1,14,33,NULL,3,NULL,2),(25,426,1,14,34,NULL,2,NULL,1),(25,426,1,14,35,NULL,2,NULL,1),(25,426,1,14,36,NULL,1,NULL,1),(25,426,1,14,37,NULL,1,NULL,2),(25,426,1,14,38,NULL,5,NULL,4),(25,426,1,14,39,NULL,NULL,NULL,NULL),(25,426,1,14,40,NULL,NULL,NULL,NULL),(25,426,1,15,1,5,5,3,5),(25,426,1,15,2,1,4,NULL,5),(25,426,1,15,3,1,2,1,3),(25,426,1,15,4,8,2,8,NULL),(25,426,1,15,5,1,4,1,1),(25,426,1,15,6,4,3,1,4),(25,426,1,15,7,1,9,1,7),(25,426,1,15,8,1,2,1,2),(25,426,1,15,9,1,6,NULL,4),(25,426,1,15,10,NULL,3,1,3),(25,426,1,15,11,3,1,2,3),(25,426,1,15,12,2,1,2,2),(25,426,1,15,13,2,3,1,2),(25,426,1,15,14,3,2,2,3),(25,426,1,15,15,5,5,4,2),(25,426,1,15,16,NULL,4,NULL,4),(25,426,1,15,17,2,6,3,4),(25,426,1,15,18,2,2,1,3),(25,426,1,15,19,4,3,3,2),(25,426,1,15,20,3,NULL,2,NULL),(25,426,1,15,21,1,1,NULL,2),(25,426,1,15,22,NULL,3,NULL,3),(25,426,1,15,23,2,1,2,1),(25,426,1,15,24,NULL,1,1,1),(25,426,1,15,25,NULL,3,NULL,2),(25,426,1,15,26,2,NULL,1,NULL),(25,426,1,15,27,NULL,NULL,NULL,NULL),(25,426,1,15,28,2,6,2,4),(25,426,1,15,29,NULL,NULL,NULL,NULL),(25,426,1,15,30,2,2,1,1),(25,426,1,15,31,NULL,3,NULL,2),(25,426,1,15,32,NULL,1,NULL,1),(25,426,1,15,33,NULL,4,1,3),(25,426,1,15,34,NULL,2,NULL,NULL),(25,426,1,15,35,NULL,1,NULL,1),(25,426,1,15,36,1,3,NULL,2),(25,426,1,15,37,NULL,2,NULL,2),(25,426,1,15,38,NULL,6,NULL,6),(25,426,1,15,39,NULL,3,NULL,1),(25,426,1,15,40,NULL,1,NULL,NULL),(25,426,1,16,1,3,6,2,3),(25,426,1,16,2,1,3,1,1),(25,426,1,16,3,2,2,2,1),(25,426,1,16,4,5,4,2,2),(25,426,1,16,5,1,5,NULL,4),(25,426,1,16,6,1,5,NULL,3),(25,426,1,16,7,3,11,2,7),(25,426,1,16,8,2,6,2,2),(25,426,1,16,9,3,2,1,1),(25,426,1,16,10,NULL,4,NULL,3),(25,426,1,16,11,2,2,3,1),(25,426,1,16,12,4,NULL,1,NULL),(25,426,1,16,13,1,8,1,3),(25,426,1,16,14,1,5,1,2),(25,426,1,16,15,6,NULL,4,NULL),(25,426,1,16,16,1,7,1,3),(25,426,1,16,17,NULL,4,NULL,2),(25,426,1,16,18,2,8,1,5),(25,426,1,16,19,1,6,1,4),(25,426,1,16,20,12,NULL,5,NULL),(25,426,1,16,21,2,4,2,2),(25,426,1,16,22,NULL,6,NULL,4),(25,426,1,16,23,1,2,1,2),(25,426,1,16,24,NULL,1,NULL,NULL),(25,426,1,16,25,NULL,2,NULL,1),(25,426,1,16,26,2,NULL,2,NULL),(25,426,1,16,27,1,NULL,NULL,NULL),(25,426,1,16,28,2,8,3,2),(25,426,1,16,29,NULL,3,NULL,2),(25,426,1,16,30,NULL,5,NULL,2),(25,426,1,16,31,NULL,1,NULL,NULL),(25,426,1,16,32,NULL,NULL,NULL,NULL),(25,426,1,16,33,NULL,1,NULL,NULL),(25,426,1,16,34,NULL,4,NULL,3),(25,426,1,16,35,NULL,4,NULL,2),(25,426,1,16,36,NULL,5,NULL,3),(25,426,1,16,37,NULL,3,NULL,NULL),(25,426,1,16,38,NULL,7,NULL,3),(25,426,1,16,39,2,1,NULL,NULL),(25,426,1,16,40,1,3,1,2),(25,426,1,17,1,7,4,6,1),(25,426,1,17,2,4,4,4,2),(25,426,1,17,3,3,5,1,4),(25,426,1,17,4,6,6,5,3),(25,426,1,17,5,1,6,1,4),(25,426,1,17,6,4,3,2,1),(25,426,1,17,7,NULL,11,NULL,7),(25,426,1,17,8,4,6,3,1),(25,426,1,17,9,2,7,2,3),(25,426,1,17,10,NULL,2,NULL,1),(25,426,1,17,11,1,4,1,1),(25,426,1,17,12,2,3,2,1),(25,426,1,17,13,4,3,2,3),(25,426,1,17,14,1,4,1,1),(25,426,1,17,15,10,NULL,5,NULL),(25,426,1,17,16,NULL,3,NULL,2),(25,426,1,17,17,2,9,1,8),(25,426,1,17,18,1,13,1,6),(25,426,1,17,19,1,3,NULL,2),(25,426,1,17,20,11,NULL,5,NULL),(25,426,1,17,21,1,5,NULL,3),(25,426,1,17,22,1,3,1,3),(25,426,1,17,23,2,2,1,1),(25,426,1,17,24,NULL,2,NULL,2),(25,426,1,17,25,NULL,NULL,NULL,NULL),(25,426,1,17,26,2,NULL,1,NULL),(25,426,1,17,27,NULL,NULL,NULL,NULL),(25,426,1,17,28,2,9,1,5),(25,426,1,17,29,1,NULL,1,NULL),(25,426,1,17,30,2,2,NULL,1),(25,426,1,17,31,1,NULL,1,NULL),(25,426,1,17,32,NULL,NULL,NULL,NULL),(25,426,1,17,33,NULL,NULL,NULL,NULL),(25,426,1,17,34,NULL,3,NULL,1),(25,426,1,17,35,1,2,NULL,1),(25,426,1,17,36,1,6,1,4),(25,426,1,17,37,2,3,1,2),(25,426,1,17,38,NULL,6,NULL,3),(25,426,1,17,39,NULL,6,NULL,4),(25,426,1,17,40,NULL,2,NULL,2),(25,426,2,21,1,NULL,3,NULL,1),(25,426,2,21,2,1,1,1,1),(25,426,2,21,3,NULL,1,1,1),(25,426,2,21,4,1,4,1,4),(25,426,2,21,5,2,NULL,2,1),(25,426,2,21,6,1,NULL,1,NULL),(25,426,2,21,7,2,2,2,2),(25,426,2,21,8,1,2,1,1),(25,426,2,21,9,3,3,4,2),(25,426,2,21,10,NULL,5,1,4),(25,426,2,21,11,1,5,NULL,4),(25,426,2,21,12,1,5,NULL,5),(25,426,2,21,13,3,4,3,3),(25,426,2,21,14,2,4,1,4),(25,426,2,21,15,2,4,1,4),(25,426,2,21,16,2,5,1,3),(25,426,2,21,17,1,4,1,2),(25,426,2,21,18,3,3,1,3),(25,426,2,21,19,1,2,1,3),(25,426,2,21,20,3,2,2,2),(25,426,2,21,21,NULL,2,NULL,1),(25,426,2,21,22,NULL,NULL,NULL,NULL),(25,426,2,21,23,NULL,NULL,NULL,NULL),(25,426,2,21,24,NULL,1,NULL,NULL),(25,426,2,21,25,1,NULL,NULL,NULL),(25,426,2,21,26,NULL,1,NULL,1),(25,426,2,21,27,2,1,1,NULL),(25,426,2,21,28,NULL,NULL,NULL,NULL),(25,426,2,21,29,NULL,4,NULL,3),(25,426,2,21,30,NULL,1,NULL,2),(25,426,2,21,31,NULL,2,NULL,NULL),(25,426,2,21,32,NULL,3,NULL,3),(25,426,2,21,33,NULL,1,NULL,1),(25,426,2,21,34,NULL,1,NULL,NULL),(25,426,2,21,35,NULL,NULL,1,NULL),(25,426,2,21,36,1,1,1,1),(25,426,2,21,37,1,2,1,1),(25,426,2,21,38,2,NULL,1,NULL),(25,426,2,21,39,1,NULL,1,NULL),(25,426,2,21,40,NULL,NULL,NULL,NULL),(25,426,2,22,1,NULL,8,1,5),(25,426,2,22,2,2,7,1,5),(25,426,2,22,3,3,2,3,2),(25,426,2,22,4,NULL,4,NULL,3),(25,426,2,22,5,2,2,2,1),(25,426,2,22,6,1,1,NULL,1),(25,426,2,22,7,2,2,1,4),(25,426,2,22,8,4,6,3,5),(25,426,2,22,9,3,8,2,6),(25,426,2,22,10,1,2,1,2),(25,426,2,22,11,1,6,NULL,4),(25,426,2,22,12,NULL,4,NULL,2),(25,426,2,22,13,7,4,5,4),(25,426,2,22,14,1,3,1,2),(25,426,2,22,15,2,2,1,2),(25,426,2,22,16,1,5,1,2),(25,426,2,22,17,NULL,7,NULL,5),(25,426,2,22,18,3,5,3,3),(25,426,2,22,19,2,4,1,2),(25,426,2,22,20,1,5,NULL,4),(25,426,2,22,21,NULL,3,NULL,2),(25,426,2,22,22,NULL,1,NULL,NULL),(25,426,2,22,23,NULL,NULL,NULL,NULL),(25,426,2,22,24,NULL,1,NULL,1),(25,426,2,22,25,1,NULL,1,NULL),(25,426,2,22,26,NULL,1,NULL,1),(25,426,2,22,27,NULL,3,1,2),(25,426,2,22,28,NULL,2,NULL,1),(25,426,2,22,29,1,4,2,4),(25,426,2,22,30,NULL,NULL,NULL,NULL),(25,426,2,22,31,1,4,NULL,5),(25,426,2,22,32,NULL,5,NULL,4),(25,426,2,22,33,1,2,1,1),(25,426,2,22,34,NULL,2,NULL,1),(25,426,2,22,35,3,2,2,1),(25,426,2,22,36,NULL,3,1,2),(25,426,2,22,37,1,4,NULL,3),(25,426,2,22,38,3,2,2,2),(25,426,2,22,39,2,NULL,1,NULL),(25,426,2,22,40,NULL,NULL,NULL,NULL),(25,426,2,23,1,1,4,NULL,4),(25,426,2,23,2,NULL,6,NULL,4),(25,426,2,23,3,1,3,1,3),(25,426,2,23,4,1,4,1,3),(25,426,2,23,5,3,5,2,3),(25,426,2,23,6,NULL,3,NULL,2),(25,426,2,23,7,1,3,NULL,1),(25,426,2,23,8,4,5,2,3),(25,426,2,23,9,2,7,1,4),(25,426,2,23,10,NULL,4,NULL,3),(25,426,2,23,11,NULL,10,NULL,4),(25,426,2,23,12,NULL,5,NULL,2),(25,426,2,23,13,6,2,3,2),(25,426,2,23,14,1,3,NULL,1),(25,426,2,23,15,3,4,2,2),(25,426,2,23,16,1,2,NULL,NULL),(25,426,2,23,17,NULL,4,NULL,2),(25,426,2,23,18,2,7,2,4),(25,426,2,23,19,1,3,1,1),(25,426,2,23,20,2,5,1,2),(25,426,2,23,21,NULL,2,NULL,1),(25,426,2,23,22,1,NULL,NULL,NULL),(25,426,2,23,23,NULL,3,NULL,3),(25,426,2,23,24,NULL,3,NULL,2),(25,426,2,23,25,1,NULL,NULL,NULL),(25,426,2,23,26,NULL,3,NULL,2),(25,426,2,23,27,NULL,NULL,NULL,NULL),(25,426,2,23,28,NULL,2,NULL,1),(25,426,2,23,29,2,3,1,1),(25,426,2,23,30,NULL,4,NULL,1),(25,426,2,23,31,NULL,2,NULL,1),(25,426,2,23,32,1,NULL,NULL,NULL),(25,426,2,23,33,2,4,2,3),(25,426,2,23,34,NULL,1,NULL,1),(25,426,2,23,35,NULL,1,NULL,1),(25,426,2,23,36,1,2,1,NULL),(25,426,2,23,37,NULL,3,NULL,2),(25,426,2,23,38,1,3,1,1),(25,426,2,23,39,1,NULL,1,NULL),(25,426,2,23,40,NULL,NULL,NULL,NULL),(25,426,2,24,1,NULL,3,NULL,3),(25,426,2,24,2,1,1,1,1),(25,426,2,24,3,2,2,1,1),(25,426,2,24,4,NULL,2,NULL,1),(25,426,2,24,5,2,3,1,3),(25,426,2,24,6,NULL,3,NULL,3),(25,426,2,24,7,1,1,1,2),(25,426,2,24,8,5,1,3,1),(25,426,2,24,9,3,3,2,2),(25,426,2,24,10,1,5,NULL,4),(25,426,2,24,11,1,3,NULL,3),(25,426,2,24,12,NULL,2,NULL,2),(25,426,2,24,13,8,1,4,1),(25,426,2,24,14,3,3,NULL,3),(25,426,2,24,15,1,6,NULL,5),(25,426,2,24,16,NULL,5,NULL,1),(25,426,2,24,17,1,3,NULL,2),(25,426,2,24,18,2,3,1,2),(25,426,2,24,19,NULL,1,NULL,2),(25,426,2,24,20,1,2,2,1),(25,426,2,24,21,1,1,1,NULL),(25,426,2,24,22,NULL,NULL,NULL,NULL),(25,426,2,24,23,NULL,NULL,NULL,NULL),(25,426,2,24,24,NULL,1,NULL,1),(25,426,2,24,25,2,NULL,NULL,NULL),(25,426,2,24,26,NULL,1,NULL,1),(25,426,2,24,27,NULL,1,NULL,NULL),(25,426,2,24,28,1,1,NULL,NULL),(25,426,2,24,29,NULL,4,NULL,2),(25,426,2,24,30,2,NULL,1,NULL),(25,426,2,24,31,NULL,4,NULL,2),(25,426,2,24,32,NULL,1,NULL,NULL),(25,426,2,24,33,NULL,3,NULL,1),(25,426,2,24,34,NULL,NULL,NULL,NULL),(25,426,2,24,35,NULL,4,NULL,3),(25,426,2,24,36,NULL,2,NULL,1),(25,426,2,24,37,NULL,1,NULL,1),(25,426,2,24,38,2,1,1,2),(25,426,2,24,39,1,NULL,1,NULL),(25,426,2,24,40,NULL,NULL,NULL,NULL),(25,427,1,11,1,NULL,NULL,NULL,NULL),(25,427,1,11,2,NULL,NULL,NULL,NULL),(25,427,1,11,3,NULL,NULL,NULL,NULL),(25,427,1,11,4,NULL,NULL,NULL,NULL),(25,427,1,11,5,NULL,NULL,NULL,NULL),(25,427,1,11,6,NULL,NULL,NULL,NULL),(25,427,1,11,7,NULL,NULL,NULL,NULL),(25,427,1,11,8,NULL,NULL,NULL,NULL),(25,427,1,11,9,NULL,NULL,NULL,NULL),(25,427,1,11,10,NULL,NULL,NULL,NULL),(25,427,1,11,11,NULL,NULL,NULL,NULL),(25,427,1,11,12,NULL,NULL,NULL,NULL),(25,427,1,11,13,NULL,NULL,NULL,NULL),(25,427,1,11,14,NULL,NULL,NULL,NULL),(25,427,1,11,15,NULL,NULL,NULL,NULL),(25,427,1,11,16,NULL,NULL,NULL,NULL),(25,427,1,11,17,NULL,NULL,NULL,NULL),(25,427,1,11,18,NULL,NULL,NULL,NULL),(25,427,1,11,19,NULL,NULL,NULL,NULL),(25,427,1,11,20,NULL,NULL,NULL,NULL),(25,427,1,11,21,NULL,NULL,NULL,NULL),(25,427,1,11,22,NULL,NULL,NULL,NULL),(25,427,1,11,23,NULL,NULL,NULL,NULL),(25,427,1,11,24,NULL,NULL,NULL,NULL),(25,427,1,11,25,NULL,NULL,NULL,NULL),(25,427,1,11,26,NULL,NULL,NULL,NULL),(25,427,1,11,27,NULL,NULL,NULL,NULL),(25,427,1,11,28,NULL,NULL,NULL,NULL),(25,427,1,11,29,NULL,NULL,NULL,NULL),(25,427,1,11,30,NULL,NULL,NULL,NULL),(25,427,1,11,31,NULL,NULL,NULL,NULL),(25,427,1,11,32,NULL,NULL,NULL,NULL),(25,427,1,11,33,NULL,NULL,NULL,NULL),(25,427,1,11,34,NULL,NULL,NULL,NULL),(25,427,1,11,35,NULL,NULL,NULL,NULL),(25,427,1,11,36,NULL,NULL,NULL,NULL),(25,427,1,11,37,NULL,NULL,NULL,NULL),(25,427,1,11,38,NULL,NULL,NULL,NULL),(25,427,1,11,39,NULL,NULL,NULL,NULL),(25,427,1,11,40,NULL,NULL,NULL,NULL),(25,427,1,12,1,NULL,NULL,NULL,NULL),(25,427,1,12,2,NULL,NULL,NULL,NULL),(25,427,1,12,3,NULL,NULL,NULL,NULL),(25,427,1,12,4,NULL,NULL,NULL,NULL),(25,427,1,12,5,NULL,NULL,NULL,NULL),(25,427,1,12,6,NULL,NULL,NULL,NULL),(25,427,1,12,7,NULL,NULL,NULL,NULL),(25,427,1,12,8,NULL,NULL,NULL,NULL),(25,427,1,12,9,NULL,NULL,NULL,NULL),(25,427,1,12,10,NULL,NULL,NULL,NULL),(25,427,1,12,11,NULL,NULL,NULL,NULL),(25,427,1,12,12,NULL,NULL,NULL,NULL),(25,427,1,12,13,NULL,NULL,NULL,NULL),(25,427,1,12,14,NULL,NULL,NULL,NULL),(25,427,1,12,15,NULL,NULL,NULL,NULL),(25,427,1,12,16,NULL,NULL,NULL,NULL),(25,427,1,12,17,NULL,NULL,NULL,NULL),(25,427,1,12,18,NULL,NULL,NULL,NULL),(25,427,1,12,19,NULL,NULL,NULL,NULL),(25,427,1,12,20,NULL,NULL,NULL,NULL),(25,427,1,12,21,NULL,NULL,NULL,NULL),(25,427,1,12,22,NULL,NULL,NULL,NULL),(25,427,1,12,23,NULL,NULL,NULL,NULL),(25,427,1,12,24,NULL,NULL,NULL,NULL),(25,427,1,12,25,NULL,NULL,NULL,NULL),(25,427,1,12,26,NULL,NULL,NULL,NULL),(25,427,1,12,27,NULL,NULL,NULL,NULL),(25,427,1,12,28,NULL,NULL,NULL,NULL),(25,427,1,12,29,NULL,NULL,NULL,NULL),(25,427,1,12,30,NULL,NULL,NULL,NULL),(25,427,1,12,31,NULL,NULL,NULL,NULL),(25,427,1,12,32,NULL,NULL,NULL,NULL),(25,427,1,12,33,NULL,NULL,NULL,NULL),(25,427,1,12,34,NULL,NULL,NULL,NULL),(25,427,1,12,35,NULL,NULL,NULL,NULL),(25,427,1,12,36,NULL,NULL,NULL,NULL),(25,427,1,12,37,NULL,NULL,NULL,NULL),(25,427,1,12,38,NULL,NULL,NULL,NULL),(25,427,1,12,39,NULL,NULL,NULL,NULL),(25,427,1,12,40,NULL,NULL,NULL,NULL),(25,427,1,13,1,3,4,2,1),(25,427,1,13,2,1,1,NULL,1),(25,427,1,13,3,2,NULL,1,NULL),(25,427,1,13,4,3,1,1,NULL),(25,427,1,13,5,1,1,1,NULL),(25,427,1,13,6,1,3,NULL,2),(25,427,1,13,7,3,NULL,2,NULL),(25,427,1,13,8,2,2,1,1),(25,427,1,13,9,2,1,1,1),(25,427,1,13,10,1,2,1,2),(25,427,1,13,11,NULL,NULL,NULL,NULL),(25,427,1,13,12,NULL,1,NULL,NULL),(25,427,1,13,13,7,NULL,4,NULL),(25,427,1,13,14,4,1,2,NULL),(25,427,1,13,15,3,3,2,1),(25,427,1,13,16,3,1,2,NULL),(25,427,1,13,17,7,1,2,1),(25,427,1,13,18,9,NULL,4,NULL),(25,427,1,13,19,1,1,1,NULL),(25,427,1,13,20,2,1,2,NULL),(25,427,1,13,21,NULL,4,NULL,1),(25,427,1,13,22,NULL,2,NULL,1),(25,427,1,13,23,NULL,NULL,NULL,NULL),(25,427,1,13,24,NULL,NULL,NULL,NULL),(25,427,1,13,25,1,1,1,NULL),(25,427,1,13,26,NULL,NULL,NULL,NULL),(25,427,1,13,27,1,NULL,NULL,NULL),(25,427,1,13,28,NULL,2,NULL,1),(25,427,1,13,29,NULL,NULL,NULL,NULL),(25,427,1,13,30,NULL,1,NULL,NULL),(25,427,1,13,31,NULL,NULL,NULL,NULL),(25,427,1,13,32,NULL,NULL,NULL,NULL),(25,427,1,13,33,NULL,1,NULL,NULL),(25,427,1,13,34,NULL,1,NULL,NULL),(25,427,1,13,35,NULL,1,NULL,1),(25,427,1,13,36,NULL,4,NULL,3),(25,427,1,13,37,NULL,1,NULL,NULL),(25,427,1,13,38,NULL,3,NULL,2),(25,427,1,13,39,NULL,NULL,NULL,NULL),(25,427,1,13,40,NULL,NULL,NULL,NULL),(25,427,1,14,1,2,3,2,4),(25,427,1,14,2,1,1,2,2),(25,427,1,14,3,1,4,1,4),(25,427,1,14,4,1,4,2,4),(25,427,1,14,5,NULL,4,NULL,5),(25,427,1,14,6,NULL,3,NULL,4),(25,427,1,14,7,1,6,3,5),(25,427,1,14,8,1,3,1,2),(25,427,1,14,9,1,2,NULL,3),(25,427,1,14,10,NULL,NULL,1,1),(25,427,1,14,11,NULL,2,NULL,2),(25,427,1,14,12,2,1,1,1),(25,427,1,14,13,2,1,2,NULL),(25,427,1,14,14,2,2,4,2),(25,427,1,14,15,1,2,1,2),(25,427,1,14,16,2,2,1,2),(25,427,1,14,17,1,NULL,1,1),(25,427,1,14,18,2,2,1,3),(25,427,1,14,19,2,3,3,4),(25,427,1,14,20,2,1,2,NULL),(25,427,1,14,21,1,2,1,3),(25,427,1,14,22,NULL,3,NULL,2),(25,427,1,14,23,NULL,NULL,NULL,1),(25,427,1,14,24,NULL,1,NULL,NULL),(25,427,1,14,25,NULL,NULL,NULL,NULL),(25,427,1,14,26,NULL,NULL,NULL,NULL),(25,427,1,14,27,NULL,NULL,NULL,NULL),(25,427,1,14,28,2,6,2,8),(25,427,1,14,29,NULL,2,NULL,3),(25,427,1,14,30,NULL,1,NULL,2),(25,427,1,14,31,NULL,1,NULL,1),(25,427,1,14,32,NULL,1,NULL,1),(25,427,1,14,33,NULL,2,NULL,1),(25,427,1,14,34,NULL,3,NULL,1),(25,427,1,14,35,NULL,2,NULL,1),(25,427,1,14,36,NULL,2,NULL,5),(25,427,1,14,37,1,1,NULL,NULL),(25,427,1,14,38,NULL,3,NULL,4),(25,427,1,14,39,NULL,2,NULL,2),(25,427,1,14,40,NULL,NULL,NULL,NULL),(25,427,1,15,1,1,NULL,1,1),(25,427,1,15,2,3,NULL,2,NULL),(25,427,1,15,3,1,1,NULL,1),(25,427,1,15,4,1,1,1,2),(25,427,1,15,5,NULL,1,NULL,1),(25,427,1,15,6,4,NULL,3,NULL),(25,427,1,15,7,1,2,1,1),(25,427,1,15,8,NULL,NULL,NULL,1),(25,427,1,15,9,1,2,1,1),(25,427,1,15,10,NULL,1,NULL,NULL),(25,427,1,15,11,NULL,1,NULL,1),(25,427,1,15,12,NULL,NULL,NULL,NULL),(25,427,1,15,13,NULL,NULL,NULL,NULL),(25,427,1,15,14,1,1,NULL,1),(25,427,1,15,15,2,1,2,1),(25,427,1,15,16,1,NULL,1,1),(25,427,1,15,17,1,NULL,1,NULL),(25,427,1,15,18,1,NULL,1,NULL),(25,427,1,15,19,1,2,NULL,1),(25,427,1,15,20,NULL,NULL,NULL,NULL),(25,427,1,15,21,NULL,1,NULL,1),(25,427,1,15,22,NULL,1,NULL,1),(25,427,1,15,23,NULL,NULL,NULL,NULL),(25,427,1,15,24,1,1,NULL,1),(25,427,1,15,25,NULL,3,NULL,2),(25,427,1,15,26,NULL,NULL,NULL,NULL),(25,427,1,15,27,NULL,NULL,NULL,NULL),(25,427,1,15,28,1,NULL,1,1),(25,427,1,15,29,NULL,1,NULL,1),(25,427,1,15,30,NULL,1,NULL,1),(25,427,1,15,31,NULL,NULL,NULL,NULL),(25,427,1,15,32,NULL,NULL,NULL,NULL),(25,427,1,15,33,NULL,1,NULL,1),(25,427,1,15,34,NULL,NULL,NULL,NULL),(25,427,1,15,35,NULL,NULL,NULL,1),(25,427,1,15,36,NULL,3,NULL,2),(25,427,1,15,37,NULL,NULL,NULL,NULL),(25,427,1,15,38,2,1,1,1),(25,427,1,15,39,NULL,1,NULL,1),(25,427,1,15,40,NULL,NULL,NULL,NULL),(25,427,1,16,1,2,1,4,1),(25,427,1,16,2,NULL,2,NULL,2),(25,427,1,16,3,2,NULL,1,NULL),(25,427,1,16,4,3,NULL,3,NULL),(25,427,1,16,5,NULL,2,NULL,2),(25,427,1,16,6,1,2,1,2),(25,427,1,16,7,NULL,3,NULL,3),(25,427,1,16,8,2,NULL,2,NULL),(25,427,1,16,9,2,3,2,3),(25,427,1,16,10,NULL,NULL,NULL,1),(25,427,1,16,11,NULL,2,NULL,3),(25,427,1,16,12,1,2,1,1),(25,427,1,16,13,1,2,2,2),(25,427,1,16,14,2,NULL,2,1),(25,427,1,16,15,3,NULL,2,NULL),(25,427,1,16,16,1,3,1,3),(25,427,1,16,17,NULL,3,NULL,1),(25,427,1,16,18,NULL,3,2,2),(25,427,1,16,19,NULL,4,NULL,4),(25,427,1,16,20,1,NULL,1,NULL),(25,427,1,16,21,1,1,1,1),(25,427,1,16,22,NULL,1,NULL,1),(25,427,1,16,23,NULL,2,NULL,2),(25,427,1,16,24,NULL,1,NULL,1),(25,427,1,16,25,NULL,1,NULL,1),(25,427,1,16,26,NULL,NULL,1,NULL),(25,427,1,16,27,NULL,NULL,NULL,NULL),(25,427,1,16,28,NULL,5,1,3),(25,427,1,16,29,1,1,1,2),(25,427,1,16,30,NULL,1,NULL,1),(25,427,1,16,31,NULL,1,NULL,2),(25,427,1,16,32,NULL,3,NULL,2),(25,427,1,16,33,NULL,NULL,NULL,1),(25,427,1,16,34,NULL,3,NULL,3),(25,427,1,16,35,NULL,2,NULL,2),(25,427,1,16,36,1,3,1,2),(25,427,1,16,37,1,1,1,1),(25,427,1,16,38,NULL,2,NULL,3),(25,427,1,16,39,1,NULL,2,1),(25,427,1,16,40,NULL,1,NULL,1),(25,427,1,17,1,NULL,1,NULL,1),(25,427,1,17,2,NULL,2,NULL,2),(25,427,1,17,3,NULL,1,1,1),(25,427,1,17,4,1,1,1,1),(25,427,1,17,5,NULL,NULL,NULL,NULL),(25,427,1,17,6,2,NULL,2,NULL),(25,427,1,17,7,NULL,1,NULL,NULL),(25,427,1,17,8,2,1,2,1),(25,427,1,17,9,1,NULL,NULL,NULL),(25,427,1,17,10,NULL,NULL,NULL,NULL),(25,427,1,17,11,NULL,2,NULL,1),(25,427,1,17,12,1,1,1,1),(25,427,1,17,13,NULL,1,NULL,1),(25,427,1,17,14,NULL,1,NULL,NULL),(25,427,1,17,15,2,NULL,2,NULL),(25,427,1,17,16,NULL,3,NULL,2),(25,427,1,17,17,NULL,NULL,NULL,NULL),(25,427,1,17,18,NULL,1,NULL,1),(25,427,1,17,19,NULL,NULL,NULL,NULL),(25,427,1,17,20,3,NULL,3,NULL),(25,427,1,17,21,NULL,NULL,NULL,NULL),(25,427,1,17,22,NULL,3,NULL,2),(25,427,1,17,23,NULL,NULL,NULL,NULL),(25,427,1,17,24,NULL,NULL,NULL,NULL),(25,427,1,17,25,NULL,NULL,NULL,NULL),(25,427,1,17,26,2,NULL,1,NULL),(25,427,1,17,27,NULL,NULL,NULL,NULL),(25,427,1,17,28,NULL,3,NULL,2),(25,427,1,17,29,NULL,3,NULL,2),(25,427,1,17,30,NULL,1,NULL,1),(25,427,1,17,31,NULL,NULL,NULL,NULL),(25,427,1,17,32,NULL,1,NULL,1),(25,427,1,17,33,NULL,NULL,NULL,NULL),(25,427,1,17,34,NULL,NULL,NULL,NULL),(25,427,1,17,35,NULL,2,NULL,2),(25,427,1,17,36,NULL,1,NULL,1),(25,427,1,17,37,NULL,1,NULL,1),(25,427,1,17,38,NULL,1,NULL,2),(25,427,1,17,39,NULL,NULL,NULL,NULL),(25,427,1,17,40,NULL,1,NULL,NULL),(25,427,2,21,1,NULL,3,NULL,2),(25,427,2,21,2,1,1,1,1),(25,427,2,21,3,1,2,1,2),(25,427,2,21,4,NULL,2,NULL,2),(25,427,2,21,5,3,1,3,1),(25,427,2,21,6,2,1,2,NULL),(25,427,2,21,7,1,1,NULL,2),(25,427,2,21,8,1,3,NULL,4),(25,427,2,21,9,2,5,2,5),(25,427,2,21,10,2,2,2,1),(25,427,2,21,11,NULL,8,NULL,6),(25,427,2,21,12,NULL,6,NULL,6),(25,427,2,21,13,6,2,5,2),(25,427,2,21,14,2,NULL,2,NULL),(25,427,2,21,15,3,3,2,3),(25,427,2,21,16,NULL,5,NULL,5),(25,427,2,21,17,1,3,1,3),(25,427,2,21,18,3,3,2,2),(25,427,2,21,19,1,4,1,4),(25,427,2,21,20,1,4,1,4),(25,427,2,21,21,NULL,NULL,NULL,NULL),(25,427,2,21,22,NULL,NULL,NULL,NULL),(25,427,2,21,23,NULL,1,NULL,1),(25,427,2,21,24,NULL,NULL,NULL,NULL),(25,427,2,21,25,NULL,NULL,NULL,NULL),(25,427,2,21,26,NULL,1,NULL,1),(25,427,2,21,27,NULL,NULL,NULL,NULL),(25,427,2,21,28,NULL,1,NULL,NULL),(25,427,2,21,29,NULL,1,NULL,1),(25,427,2,21,30,1,3,1,4),(25,427,2,21,31,1,2,NULL,2),(25,427,2,21,32,1,1,1,1),(25,427,2,21,33,NULL,2,NULL,2),(25,427,2,21,34,NULL,NULL,NULL,NULL),(25,427,2,21,35,2,1,1,1),(25,427,2,21,36,1,3,1,2),(25,427,2,21,37,NULL,1,NULL,1),(25,427,2,21,38,2,2,1,2),(25,427,2,21,39,1,NULL,2,NULL),(25,427,2,21,40,1,NULL,1,1),(25,427,2,22,1,NULL,4,NULL,4),(25,427,2,22,2,1,3,1,2),(25,427,2,22,3,1,4,1,3),(25,427,2,22,4,2,4,1,3),(25,427,2,22,5,1,1,2,1),(25,427,2,22,6,NULL,2,NULL,1),(25,427,2,22,7,NULL,1,NULL,1),(25,427,2,22,8,NULL,4,NULL,3),(25,427,2,22,9,1,2,1,2),(25,427,2,22,10,NULL,3,NULL,3),(25,427,2,22,11,NULL,5,1,4),(25,427,2,22,12,NULL,1,NULL,2),(25,427,2,22,13,2,3,1,2),(25,427,2,22,14,NULL,3,NULL,2),(25,427,2,22,15,NULL,5,NULL,4),(25,427,2,22,16,1,2,NULL,2),(25,427,2,22,17,NULL,3,NULL,2),(25,427,2,22,18,1,NULL,1,NULL),(25,427,2,22,19,1,3,1,2),(25,427,2,22,20,4,2,2,1),(25,427,2,22,21,1,2,1,1),(25,427,2,22,22,NULL,NULL,NULL,NULL),(25,427,2,22,23,NULL,1,NULL,1),(25,427,2,22,24,NULL,2,NULL,1),(25,427,2,22,25,NULL,NULL,NULL,NULL),(25,427,2,22,26,NULL,NULL,NULL,1),(25,427,2,22,27,NULL,2,NULL,2),(25,427,2,22,28,NULL,NULL,NULL,NULL),(25,427,2,22,29,NULL,3,NULL,2),(25,427,2,22,30,1,NULL,2,NULL),(25,427,2,22,31,1,2,1,1),(25,427,2,22,32,NULL,5,NULL,4),(25,427,2,22,33,NULL,1,NULL,NULL),(25,427,2,22,34,NULL,1,NULL,NULL),(25,427,2,22,35,NULL,4,NULL,3),(25,427,2,22,36,1,2,NULL,1),(25,427,2,22,37,NULL,3,NULL,3),(25,427,2,22,38,NULL,3,1,2),(25,427,2,22,39,1,NULL,1,NULL),(25,427,2,22,40,NULL,NULL,NULL,1),(25,427,2,23,1,NULL,1,NULL,NULL),(25,427,2,23,2,1,3,1,4),(25,427,2,23,3,NULL,4,NULL,2),(25,427,2,23,4,1,2,NULL,2),(25,427,2,23,5,3,1,2,1),(25,427,2,23,6,NULL,1,NULL,1),(25,427,2,23,7,NULL,NULL,NULL,NULL),(25,427,2,23,8,2,1,1,1),(25,427,2,23,9,3,3,2,3),(25,427,2,23,10,1,2,1,1),(25,427,2,23,11,2,6,2,5),(25,427,2,23,12,NULL,2,1,1),(25,427,2,23,13,4,1,3,1),(25,427,2,23,14,NULL,3,NULL,3),(25,427,2,23,15,3,3,3,2),(25,427,2,23,16,1,2,1,1),(25,427,2,23,17,NULL,2,NULL,2),(25,427,2,23,18,3,3,2,4),(25,427,2,23,19,1,2,NULL,1),(25,427,2,23,20,2,1,2,NULL),(25,427,2,23,21,NULL,NULL,NULL,NULL),(25,427,2,23,22,NULL,NULL,NULL,NULL),(25,427,2,23,23,NULL,1,NULL,NULL),(25,427,2,23,24,2,NULL,NULL,NULL),(25,427,2,23,25,NULL,NULL,NULL,NULL),(25,427,2,23,26,NULL,NULL,NULL,1),(25,427,2,23,27,NULL,1,NULL,1),(25,427,2,23,28,NULL,NULL,NULL,1),(25,427,2,23,29,NULL,4,NULL,3),(25,427,2,23,30,NULL,3,NULL,1),(25,427,2,23,31,NULL,1,NULL,NULL),(25,427,2,23,32,NULL,1,NULL,1),(25,427,2,23,33,1,2,1,1),(25,427,2,23,34,NULL,1,NULL,1),(25,427,2,23,35,NULL,1,NULL,1),(25,427,2,23,36,NULL,2,NULL,2),(25,427,2,23,37,NULL,1,NULL,NULL),(25,427,2,23,38,1,NULL,1,1),(25,427,2,23,39,2,NULL,2,NULL),(25,427,2,23,40,NULL,NULL,NULL,NULL),(25,427,2,24,1,NULL,NULL,1,1),(25,427,2,24,2,NULL,1,NULL,3),(25,427,2,24,3,NULL,1,1,1),(25,427,2,24,4,NULL,NULL,NULL,NULL),(25,427,2,24,5,NULL,2,1,1),(25,427,2,24,6,NULL,1,NULL,NULL),(25,427,2,24,7,NULL,NULL,NULL,1),(25,427,2,24,8,NULL,1,2,1),(25,427,2,24,9,NULL,NULL,1,1),(25,427,2,24,10,NULL,NULL,NULL,NULL),(25,427,2,24,11,NULL,1,1,1),(25,427,2,24,12,NULL,1,NULL,NULL),(25,427,2,24,13,NULL,1,1,1),(25,427,2,24,14,1,NULL,NULL,2),(25,427,2,24,15,NULL,1,1,1),(25,427,2,24,16,NULL,1,NULL,1),(25,427,2,24,17,NULL,NULL,1,2),(25,427,2,24,18,1,1,NULL,NULL),(25,427,2,24,19,NULL,NULL,NULL,NULL),(25,427,2,24,20,NULL,NULL,NULL,NULL),(25,427,2,24,21,NULL,NULL,NULL,NULL),(25,427,2,24,22,NULL,NULL,NULL,NULL),(25,427,2,24,23,NULL,NULL,NULL,NULL),(25,427,2,24,24,NULL,NULL,NULL,1),(25,427,2,24,25,NULL,NULL,NULL,NULL),(25,427,2,24,26,NULL,NULL,NULL,NULL),(25,427,2,24,27,NULL,NULL,1,NULL),(25,427,2,24,28,NULL,NULL,NULL,NULL),(25,427,2,24,29,NULL,NULL,1,NULL),(25,427,2,24,30,1,1,NULL,1),(25,427,2,24,31,NULL,1,1,NULL),(25,427,2,24,32,NULL,NULL,NULL,1),(25,427,2,24,33,NULL,NULL,NULL,NULL),(25,427,2,24,34,NULL,1,NULL,NULL),(25,427,2,24,35,NULL,NULL,1,2),(25,427,2,24,36,NULL,1,NULL,NULL),(25,427,2,24,37,NULL,NULL,NULL,NULL),(25,427,2,24,38,NULL,NULL,NULL,NULL),(25,427,2,24,39,NULL,NULL,1,NULL),(25,427,2,24,40,NULL,NULL,NULL,1),(25,428,1,11,1,NULL,NULL,NULL,NULL),(25,428,1,11,2,NULL,NULL,NULL,NULL),(25,428,1,11,3,NULL,NULL,NULL,NULL),(25,428,1,11,4,NULL,NULL,NULL,NULL),(25,428,1,11,5,NULL,NULL,NULL,NULL),(25,428,1,11,6,NULL,NULL,NULL,NULL),(25,428,1,11,7,NULL,NULL,NULL,NULL),(25,428,1,11,8,NULL,NULL,NULL,NULL),(25,428,1,11,9,NULL,NULL,NULL,NULL),(25,428,1,11,10,NULL,NULL,NULL,NULL),(25,428,1,11,11,NULL,NULL,NULL,NULL),(25,428,1,11,12,NULL,NULL,NULL,NULL),(25,428,1,11,13,NULL,NULL,NULL,NULL),(25,428,1,11,14,NULL,NULL,NULL,NULL),(25,428,1,11,15,NULL,NULL,NULL,NULL),(25,428,1,11,16,NULL,NULL,NULL,NULL),(25,428,1,11,17,NULL,NULL,NULL,NULL),(25,428,1,11,18,NULL,NULL,NULL,NULL),(25,428,1,11,19,NULL,NULL,NULL,NULL),(25,428,1,11,20,NULL,NULL,NULL,NULL),(25,428,1,11,21,NULL,NULL,NULL,NULL),(25,428,1,11,22,NULL,NULL,NULL,NULL),(25,428,1,11,23,NULL,NULL,NULL,NULL),(25,428,1,11,24,NULL,NULL,NULL,NULL),(25,428,1,11,25,NULL,NULL,NULL,NULL),(25,428,1,11,26,NULL,NULL,NULL,NULL),(25,428,1,11,27,NULL,NULL,NULL,NULL),(25,428,1,11,28,NULL,NULL,NULL,NULL),(25,428,1,11,29,NULL,NULL,NULL,NULL),(25,428,1,11,30,NULL,NULL,NULL,NULL),(25,428,1,11,31,NULL,NULL,NULL,NULL),(25,428,1,11,32,NULL,NULL,NULL,NULL),(25,428,1,11,33,NULL,NULL,NULL,NULL),(25,428,1,11,34,NULL,NULL,NULL,NULL),(25,428,1,11,35,NULL,NULL,NULL,NULL),(25,428,1,11,36,NULL,NULL,NULL,NULL),(25,428,1,11,37,NULL,NULL,NULL,NULL),(25,428,1,11,38,NULL,NULL,NULL,NULL),(25,428,1,11,39,NULL,NULL,NULL,NULL),(25,428,1,11,40,NULL,NULL,NULL,NULL),(25,428,1,12,1,NULL,NULL,NULL,NULL),(25,428,1,12,2,NULL,NULL,NULL,NULL),(25,428,1,12,3,NULL,NULL,NULL,NULL),(25,428,1,12,4,NULL,NULL,NULL,NULL),(25,428,1,12,5,NULL,NULL,NULL,NULL),(25,428,1,12,6,NULL,NULL,NULL,NULL),(25,428,1,12,7,NULL,NULL,NULL,NULL),(25,428,1,12,8,NULL,NULL,NULL,NULL),(25,428,1,12,9,NULL,NULL,NULL,NULL),(25,428,1,12,10,NULL,NULL,NULL,NULL),(25,428,1,12,11,NULL,NULL,NULL,NULL),(25,428,1,12,12,NULL,NULL,NULL,NULL),(25,428,1,12,13,NULL,NULL,NULL,NULL),(25,428,1,12,14,NULL,NULL,NULL,NULL),(25,428,1,12,15,NULL,NULL,NULL,NULL),(25,428,1,12,16,NULL,NULL,NULL,NULL),(25,428,1,12,17,NULL,NULL,NULL,NULL),(25,428,1,12,18,NULL,NULL,NULL,NULL),(25,428,1,12,19,NULL,NULL,NULL,NULL),(25,428,1,12,20,NULL,NULL,NULL,NULL),(25,428,1,12,21,NULL,NULL,NULL,NULL),(25,428,1,12,22,NULL,NULL,NULL,NULL),(25,428,1,12,23,NULL,NULL,NULL,NULL),(25,428,1,12,24,NULL,NULL,NULL,NULL),(25,428,1,12,25,NULL,NULL,NULL,NULL),(25,428,1,12,26,NULL,NULL,NULL,NULL),(25,428,1,12,27,NULL,NULL,NULL,NULL),(25,428,1,12,28,NULL,NULL,NULL,NULL),(25,428,1,12,29,NULL,NULL,NULL,NULL),(25,428,1,12,30,NULL,NULL,NULL,NULL),(25,428,1,12,31,NULL,NULL,NULL,NULL),(25,428,1,12,32,NULL,NULL,NULL,NULL),(25,428,1,12,33,NULL,NULL,NULL,NULL),(25,428,1,12,34,NULL,NULL,NULL,NULL),(25,428,1,12,35,NULL,NULL,NULL,NULL),(25,428,1,12,36,NULL,NULL,NULL,NULL),(25,428,1,12,37,NULL,NULL,NULL,NULL),(25,428,1,12,38,NULL,NULL,NULL,NULL),(25,428,1,12,39,NULL,NULL,NULL,NULL),(25,428,1,12,40,NULL,NULL,NULL,NULL),(25,428,1,13,1,NULL,NULL,NULL,NULL),(25,428,1,13,2,NULL,NULL,NULL,NULL),(25,428,1,13,3,NULL,NULL,NULL,NULL),(25,428,1,13,4,NULL,NULL,NULL,NULL),(25,428,1,13,5,NULL,NULL,NULL,NULL),(25,428,1,13,6,NULL,NULL,NULL,NULL),(25,428,1,13,7,1,NULL,1,NULL),(25,428,1,13,8,NULL,NULL,NULL,NULL),(25,428,1,13,9,NULL,NULL,NULL,NULL),(25,428,1,13,10,NULL,NULL,NULL,NULL),(25,428,1,13,11,NULL,NULL,NULL,NULL),(25,428,1,13,12,NULL,NULL,NULL,NULL),(25,428,1,13,13,NULL,NULL,NULL,NULL),(25,428,1,13,14,1,NULL,1,NULL),(25,428,1,13,15,1,NULL,1,NULL),(25,428,1,13,16,1,NULL,1,NULL),(25,428,1,13,17,1,NULL,1,NULL),(25,428,1,13,18,1,NULL,1,NULL),(25,428,1,13,19,1,NULL,1,NULL),(25,428,1,13,20,1,NULL,1,NULL),(25,428,1,13,21,NULL,NULL,NULL,NULL),(25,428,1,13,22,NULL,NULL,NULL,NULL),(25,428,1,13,23,NULL,NULL,NULL,NULL),(25,428,1,13,24,NULL,NULL,NULL,NULL),(25,428,1,13,25,NULL,1,NULL,1),(25,428,1,13,26,NULL,NULL,NULL,NULL),(25,428,1,13,27,NULL,NULL,NULL,NULL),(25,428,1,13,28,NULL,NULL,NULL,NULL),(25,428,1,13,29,NULL,NULL,NULL,NULL),(25,428,1,13,30,1,NULL,1,NULL),(25,428,1,13,31,NULL,NULL,NULL,NULL),(25,428,1,13,32,NULL,NULL,NULL,NULL),(25,428,1,13,33,NULL,NULL,NULL,NULL),(25,428,1,13,34,NULL,NULL,NULL,NULL),(25,428,1,13,35,NULL,NULL,NULL,NULL),(25,428,1,13,36,NULL,NULL,NULL,NULL),(25,428,1,13,37,NULL,NULL,NULL,NULL),(25,428,1,13,38,NULL,1,NULL,1),(25,428,1,13,39,NULL,NULL,NULL,NULL),(25,428,1,13,40,NULL,NULL,NULL,NULL),(25,428,1,14,1,6,5,6,5),(25,428,1,14,2,4,NULL,4,NULL),(25,428,1,14,3,3,2,3,2),(25,428,1,14,4,8,2,8,3),(25,428,1,14,5,3,5,3,5),(25,428,1,14,6,2,3,1,3),(25,428,1,14,7,5,7,5,6),(25,428,1,14,8,4,2,4,3),(25,428,1,14,9,1,4,1,4),(25,428,1,14,10,NULL,3,NULL,3),(25,428,1,14,11,1,4,1,4),(25,428,1,14,12,2,1,2,1),(25,428,1,14,13,3,2,4,2),(25,428,1,14,14,2,4,2,4),(25,428,1,14,15,4,2,5,2),(25,428,1,14,16,NULL,3,NULL,4),(25,428,1,14,17,5,3,6,3),(25,428,1,14,18,5,NULL,5,NULL),(25,428,1,14,19,4,5,5,5),(25,428,1,14,20,2,NULL,2,NULL),(25,428,1,14,21,3,2,3,3),(25,428,1,14,22,NULL,3,NULL,2),(25,428,1,14,23,NULL,3,NULL,3),(25,428,1,14,24,NULL,2,NULL,3),(25,428,1,14,25,NULL,1,NULL,1),(25,428,1,14,26,1,NULL,1,NULL),(25,428,1,14,27,1,NULL,1,NULL),(25,428,1,14,28,2,4,2,4),(25,428,1,14,29,NULL,1,NULL,1),(25,428,1,14,30,1,3,1,3),(25,428,1,14,31,NULL,NULL,NULL,NULL),(25,428,1,14,32,2,1,2,1),(25,428,1,14,33,NULL,NULL,NULL,NULL),(25,428,1,14,34,2,NULL,2,NULL),(25,428,1,14,35,1,2,1,2),(25,428,1,14,36,2,4,1,4),(25,428,1,14,37,1,NULL,1,NULL),(25,428,1,14,38,1,6,1,7),(25,428,1,14,39,1,1,NULL,1),(25,428,1,14,40,NULL,NULL,NULL,NULL),(25,428,1,15,1,4,7,4,8),(25,428,1,15,2,8,2,8,2),(25,428,1,15,3,6,NULL,7,NULL),(25,428,1,15,4,10,2,11,3),(25,428,1,15,5,4,5,5,5),(25,428,1,15,6,6,4,6,5),(25,428,1,15,7,2,8,2,9),(25,428,1,15,8,7,2,7,2),(25,428,1,15,9,2,5,3,6),(25,428,1,15,10,2,1,2,1),(25,428,1,15,11,3,3,4,3),(25,428,1,15,12,1,1,2,2),(25,428,1,15,13,6,1,6,1),(25,428,1,15,14,5,2,5,3),(25,428,1,15,15,8,5,9,4),(25,428,1,15,16,4,4,4,5),(25,428,1,15,17,6,2,6,1),(25,428,1,15,18,9,NULL,11,NULL),(25,428,1,15,19,9,4,10,3),(25,428,1,15,20,7,1,8,1),(25,428,1,15,21,5,4,5,5),(25,428,1,15,22,1,5,1,6),(25,428,1,15,23,NULL,3,NULL,3),(25,428,1,15,24,NULL,2,NULL,2),(25,428,1,15,25,NULL,2,NULL,2),(25,428,1,15,26,2,NULL,2,NULL),(25,428,1,15,27,NULL,NULL,NULL,NULL),(25,428,1,15,28,3,2,3,3),(25,428,1,15,29,1,2,1,2),(25,428,1,15,30,NULL,5,NULL,5),(25,428,1,15,31,1,2,1,2),(25,428,1,15,32,NULL,2,NULL,2),(25,428,1,15,33,2,3,2,4),(25,428,1,15,34,NULL,5,NULL,5),(25,428,1,15,35,3,2,3,3),(25,428,1,15,36,3,6,3,8),(25,428,1,15,37,3,4,3,5),(25,428,1,15,38,1,8,1,8),(25,428,1,15,39,1,4,1,4),(25,428,1,15,40,NULL,4,NULL,4),(25,428,1,16,1,5,7,5,6),(25,428,1,16,2,1,6,1,6),(25,428,1,16,3,5,1,5,1),(25,428,1,16,4,9,10,9,9),(25,428,1,16,5,NULL,6,NULL,5),(25,428,1,16,6,5,5,5,5),(25,428,1,16,7,5,12,5,11),(25,428,1,16,8,4,5,3,3),(25,428,1,16,9,4,4,4,4),(25,428,1,16,10,1,2,1,2),(25,428,1,16,11,NULL,9,NULL,8),(25,428,1,16,12,7,1,7,1),(25,428,1,16,13,11,2,11,2),(25,428,1,16,14,8,1,8,1),(25,428,1,16,15,15,NULL,13,NULL),(25,428,1,16,16,NULL,8,NULL,7),(25,428,1,16,17,NULL,14,NULL,10),(25,428,1,16,18,6,16,5,14),(25,428,1,16,19,NULL,4,NULL,3),(25,428,1,16,20,14,NULL,12,NULL),(25,428,1,16,21,3,9,2,7),(25,428,1,16,22,4,5,4,5),(25,428,1,16,23,NULL,4,NULL,4),(25,428,1,16,24,NULL,3,NULL,3),(25,428,1,16,25,1,1,1,1),(25,428,1,16,26,2,NULL,2,NULL),(25,428,1,16,27,NULL,NULL,NULL,NULL),(25,428,1,16,28,1,8,1,8),(25,428,1,16,29,1,3,1,2),(25,428,1,16,30,NULL,4,NULL,4),(25,428,1,16,31,NULL,5,NULL,3),(25,428,1,16,32,NULL,1,NULL,1),(25,428,1,16,33,2,4,2,3),(25,428,1,16,34,4,7,4,6),(25,428,1,16,35,3,4,3,3),(25,428,1,16,36,1,6,1,6),(25,428,1,16,37,2,5,2,4),(25,428,1,16,38,2,12,1,10),(25,428,1,16,39,2,6,2,5),(25,428,1,16,40,NULL,2,NULL,2),(25,428,1,17,1,6,7,5,5),(25,428,1,17,2,3,5,3,5),(25,428,1,17,3,4,5,1,4),(25,428,1,17,4,10,8,8,6),(25,428,1,17,5,NULL,6,NULL,5),(25,428,1,17,6,3,7,5,5),(25,428,1,17,7,4,14,3,10),(25,428,1,17,8,6,2,5,1),(25,428,1,17,9,1,5,1,5),(25,428,1,17,10,1,3,1,1),(25,428,1,17,11,2,4,3,3),(25,428,1,17,12,4,3,3,1),(25,428,1,17,13,8,4,9,2),(25,428,1,17,14,4,7,4,6),(25,428,1,17,15,11,NULL,10,NULL),(25,428,1,17,16,2,8,2,8),(25,428,1,17,17,NULL,14,NULL,13),(25,428,1,17,18,4,15,4,13),(25,428,1,17,19,NULL,10,NULL,8),(25,428,1,17,20,14,NULL,11,NULL),(25,428,1,17,21,2,6,2,3),(25,428,1,17,22,1,8,1,7),(25,428,1,17,23,2,3,2,4),(25,428,1,17,24,NULL,4,NULL,3),(25,428,1,17,25,1,2,1,2),(25,428,1,17,26,1,NULL,1,NULL),(25,428,1,17,27,1,NULL,1,NULL),(25,428,1,17,28,2,4,1,2),(25,428,1,17,29,2,4,2,3),(25,428,1,17,30,NULL,7,1,3),(25,428,1,17,31,NULL,4,NULL,3),(25,428,1,17,32,NULL,5,NULL,4),(25,428,1,17,33,NULL,2,NULL,1),(25,428,1,17,34,2,7,3,5),(25,428,1,17,35,3,3,1,3),(25,428,1,17,36,3,3,2,4),(25,428,1,17,37,3,5,1,2),(25,428,1,17,38,NULL,11,NULL,7),(25,428,1,17,39,1,7,NULL,9),(25,428,1,17,40,1,1,1,1),(25,428,2,21,1,2,5,1,5),(25,428,2,21,2,NULL,5,NULL,5),(25,428,2,21,3,1,3,2,1),(25,428,2,21,4,2,4,2,3),(25,428,2,21,5,4,3,4,2),(25,428,2,21,6,NULL,1,NULL,1),(25,428,2,21,7,NULL,2,NULL,3),(25,428,2,21,8,4,3,4,3),(25,428,2,21,9,6,5,7,5),(25,428,2,21,10,NULL,5,NULL,5),(25,428,2,21,11,2,4,2,3),(25,428,2,21,12,NULL,3,1,4),(25,428,2,21,13,8,2,8,3),(25,428,2,21,14,NULL,6,NULL,7),(25,428,2,21,15,2,7,2,6),(25,428,2,21,16,1,4,1,4),(25,428,2,21,17,2,4,3,3),(25,428,2,21,18,3,4,3,3),(25,428,2,21,19,NULL,3,NULL,2),(25,428,2,21,20,1,4,1,3),(25,428,2,21,21,NULL,2,NULL,2),(25,428,2,21,22,NULL,NULL,1,NULL),(25,428,2,21,23,1,2,1,1),(25,428,2,21,24,1,1,1,NULL),(25,428,2,21,25,NULL,NULL,NULL,NULL),(25,428,2,21,26,1,1,1,1),(25,428,2,21,27,NULL,1,NULL,1),(25,428,2,21,28,NULL,2,NULL,2),(25,428,2,21,29,1,3,NULL,3),(25,428,2,21,30,NULL,1,NULL,1),(25,428,2,21,31,4,1,4,NULL),(25,428,2,21,32,1,2,1,2),(25,428,2,21,33,NULL,4,NULL,4),(25,428,2,21,34,NULL,NULL,NULL,NULL),(25,428,2,21,35,NULL,4,NULL,4),(25,428,2,21,36,2,2,2,2),(25,428,2,21,37,NULL,2,NULL,2),(25,428,2,21,38,2,NULL,2,1),(25,428,2,21,39,2,NULL,3,NULL),(25,428,2,21,40,1,1,1,2),(25,428,2,22,1,3,4,3,5),(25,428,2,22,2,1,10,1,7),(25,428,2,22,3,2,5,2,6),(25,428,2,22,4,1,1,1,2),(25,428,2,22,5,3,7,3,8),(25,428,2,22,6,2,3,2,3),(25,428,2,22,7,2,2,2,3),(25,428,2,22,8,6,5,6,6),(25,428,2,22,9,8,5,9,5),(25,428,2,22,10,2,3,2,3),(25,428,2,22,11,2,12,2,12),(25,428,2,22,12,1,7,1,8),(25,428,2,22,13,8,3,7,3),(25,428,2,22,14,3,7,3,8),(25,428,2,22,15,4,10,5,9),(25,428,2,22,16,1,6,1,5),(25,428,2,22,17,NULL,8,NULL,6),(25,428,2,22,18,3,4,3,3),(25,428,2,22,19,NULL,6,NULL,7),(25,428,2,22,20,NULL,4,NULL,5),(25,428,2,22,21,1,NULL,1,NULL),(25,428,2,22,22,NULL,NULL,NULL,NULL),(25,428,2,22,23,1,4,1,4),(25,428,2,22,24,NULL,3,NULL,3),(25,428,2,22,25,1,NULL,1,NULL),(25,428,2,22,26,NULL,NULL,NULL,NULL),(25,428,2,22,27,NULL,NULL,NULL,NULL),(25,428,2,22,28,NULL,3,NULL,2),(25,428,2,22,29,NULL,5,NULL,4),(25,428,2,22,30,NULL,5,NULL,4),(25,428,2,22,31,3,2,3,2),(25,428,2,22,32,NULL,4,NULL,4),(25,428,2,22,33,1,2,1,3),(25,428,2,22,34,NULL,1,NULL,1),(25,428,2,22,35,2,5,2,5),(25,428,2,22,36,2,3,2,4),(25,428,2,22,37,1,3,1,3),(25,428,2,22,38,4,3,4,3),(25,428,2,22,39,5,NULL,6,NULL),(25,428,2,22,40,NULL,NULL,NULL,NULL),(25,428,2,23,1,1,7,1,6),(25,428,2,23,2,1,8,1,7),(25,428,2,23,3,2,10,2,9),(25,428,2,23,4,1,4,1,3),(25,428,2,23,5,4,7,3,6),(25,428,2,23,6,1,4,1,2),(25,428,2,23,7,3,7,3,6),(25,428,2,23,8,9,10,8,8),(25,428,2,23,9,6,12,5,10),(25,428,2,23,10,4,7,3,6),(25,428,2,23,11,NULL,14,NULL,12),(25,428,2,23,12,1,4,1,4),(25,428,2,23,13,13,5,11,4),(25,428,2,23,14,2,6,2,4),(25,428,2,23,15,2,11,2,8),(25,428,2,23,16,1,8,1,8),(25,428,2,23,17,2,8,2,7),(25,428,2,23,18,1,10,NULL,9),(25,428,2,23,19,4,6,4,5),(25,428,2,23,20,4,7,4,6),(25,428,2,23,21,NULL,3,NULL,3),(25,428,2,23,22,NULL,NULL,NULL,NULL),(25,428,2,23,23,1,3,1,2),(25,428,2,23,24,NULL,8,NULL,6),(25,428,2,23,25,1,NULL,1,NULL),(25,428,2,23,26,1,1,1,1),(25,428,2,23,27,NULL,2,NULL,2),(25,428,2,23,28,1,2,1,2),(25,428,2,23,29,1,5,1,5),(25,428,2,23,30,2,3,1,3),(25,428,2,23,31,3,8,3,7),(25,428,2,23,32,NULL,4,NULL,4),(25,428,2,23,33,2,2,2,1),(25,428,2,23,34,1,2,NULL,2),(25,428,2,23,35,2,7,2,5),(25,428,2,23,36,1,4,1,3),(25,428,2,23,37,1,5,1,4),(25,428,2,23,38,2,4,1,3),(25,428,2,23,39,3,NULL,3,NULL),(25,428,2,23,40,NULL,1,NULL,1),(25,428,2,24,1,1,6,1,7),(25,428,2,24,2,NULL,4,NULL,3),(25,428,2,24,3,NULL,6,NULL,4),(25,428,2,24,4,2,1,3,2),(25,428,2,24,5,4,5,4,4),(25,428,2,24,6,1,2,1,2),(25,428,2,24,7,2,NULL,1,NULL),(25,428,2,24,8,6,4,6,2),(25,428,2,24,9,5,8,5,7),(25,428,2,24,10,2,7,2,5),(25,428,2,24,11,1,7,1,9),(25,428,2,24,12,1,1,1,1),(25,428,2,24,13,9,1,11,1),(25,428,2,24,14,NULL,10,2,7),(25,428,2,24,15,4,3,5,2),(25,428,2,24,16,1,5,2,4),(25,428,2,24,17,2,6,4,5),(25,428,2,24,18,4,4,3,3),(25,428,2,24,19,NULL,2,NULL,1),(25,428,2,24,20,1,6,1,5),(25,428,2,24,21,2,4,2,3),(25,428,2,24,22,NULL,NULL,NULL,NULL),(25,428,2,24,23,NULL,1,NULL,1),(25,428,2,24,24,NULL,1,NULL,1),(25,428,2,24,25,NULL,NULL,1,NULL),(25,428,2,24,26,NULL,2,NULL,NULL),(25,428,2,24,27,NULL,NULL,NULL,NULL),(25,428,2,24,28,NULL,1,NULL,1),(25,428,2,24,29,1,2,2,2),(25,428,2,24,30,NULL,2,NULL,2),(25,428,2,24,31,2,1,2,2),(25,428,2,24,32,NULL,2,NULL,2),(25,428,2,24,33,1,2,1,3),(25,428,2,24,34,NULL,2,NULL,2),(25,428,2,24,35,1,4,1,3),(25,428,2,24,36,1,1,1,2),(25,428,2,24,37,3,3,1,3),(25,428,2,24,38,5,1,4,1),(25,428,2,24,39,5,NULL,5,NULL),(25,428,2,24,40,1,NULL,1,NULL),(25,429,1,11,1,NULL,NULL,NULL,NULL),(25,429,1,11,2,NULL,NULL,NULL,NULL),(25,429,1,11,3,NULL,NULL,NULL,NULL),(25,429,1,11,4,NULL,NULL,NULL,NULL),(25,429,1,11,5,NULL,NULL,NULL,NULL),(25,429,1,11,6,NULL,NULL,NULL,NULL),(25,429,1,11,7,NULL,NULL,NULL,NULL),(25,429,1,11,8,NULL,NULL,NULL,NULL),(25,429,1,11,9,NULL,NULL,NULL,NULL),(25,429,1,11,10,NULL,NULL,NULL,NULL),(25,429,1,11,11,NULL,NULL,NULL,NULL),(25,429,1,11,12,NULL,NULL,NULL,NULL),(25,429,1,11,13,NULL,NULL,NULL,NULL),(25,429,1,11,14,NULL,NULL,NULL,NULL),(25,429,1,11,15,NULL,NULL,NULL,NULL),(25,429,1,11,16,NULL,NULL,NULL,NULL),(25,429,1,11,17,NULL,NULL,NULL,NULL),(25,429,1,11,18,NULL,NULL,NULL,NULL),(25,429,1,11,19,NULL,NULL,NULL,NULL),(25,429,1,11,20,NULL,NULL,NULL,NULL),(25,429,1,11,21,NULL,NULL,NULL,NULL),(25,429,1,11,22,NULL,NULL,NULL,NULL),(25,429,1,11,23,NULL,NULL,NULL,NULL),(25,429,1,11,24,NULL,NULL,NULL,NULL),(25,429,1,11,25,NULL,NULL,NULL,NULL),(25,429,1,11,26,NULL,NULL,NULL,NULL),(25,429,1,11,27,NULL,NULL,NULL,NULL),(25,429,1,11,28,NULL,NULL,NULL,NULL),(25,429,1,11,29,NULL,NULL,NULL,NULL),(25,429,1,11,30,NULL,NULL,NULL,NULL),(25,429,1,11,31,NULL,NULL,NULL,NULL),(25,429,1,11,32,NULL,NULL,NULL,NULL),(25,429,1,11,33,NULL,NULL,NULL,NULL),(25,429,1,11,34,NULL,NULL,NULL,NULL),(25,429,1,11,35,NULL,NULL,NULL,NULL),(25,429,1,11,36,NULL,NULL,NULL,NULL),(25,429,1,11,37,NULL,NULL,NULL,NULL),(25,429,1,11,38,NULL,NULL,NULL,NULL),(25,429,1,11,39,NULL,NULL,NULL,NULL),(25,429,1,11,40,NULL,NULL,NULL,NULL),(25,429,1,12,1,1,NULL,1,NULL),(25,429,1,12,2,NULL,1,NULL,1),(25,429,1,12,3,NULL,NULL,NULL,NULL),(25,429,1,12,4,1,NULL,1,NULL),(25,429,1,12,5,NULL,NULL,NULL,NULL),(25,429,1,12,6,1,NULL,1,NULL),(25,429,1,12,7,NULL,1,NULL,1),(25,429,1,12,8,NULL,NULL,NULL,NULL),(25,429,1,12,9,NULL,1,NULL,1),(25,429,1,12,10,NULL,1,NULL,1),(25,429,1,12,11,NULL,NULL,NULL,NULL),(25,429,1,12,12,NULL,1,NULL,1),(25,429,1,12,13,1,NULL,1,NULL),(25,429,1,12,14,1,NULL,1,NULL),(25,429,1,12,15,1,NULL,1,NULL),(25,429,1,12,16,NULL,NULL,NULL,NULL),(25,429,1,12,17,1,NULL,1,NULL),(25,429,1,12,18,NULL,1,NULL,1),(25,429,1,12,19,1,NULL,1,NULL),(25,429,1,12,20,1,NULL,1,NULL),(25,429,1,12,21,NULL,NULL,NULL,NULL),(25,429,1,12,22,NULL,NULL,NULL,NULL),(25,429,1,12,23,NULL,1,NULL,1),(25,429,1,12,24,NULL,NULL,NULL,NULL),(25,429,1,12,25,NULL,NULL,NULL,NULL),(25,429,1,12,26,NULL,NULL,NULL,NULL),(25,429,1,12,27,NULL,NULL,NULL,NULL),(25,429,1,12,28,NULL,NULL,NULL,NULL),(25,429,1,12,29,NULL,NULL,NULL,NULL),(25,429,1,12,30,NULL,NULL,NULL,NULL),(25,429,1,12,31,NULL,NULL,NULL,NULL),(25,429,1,12,32,NULL,NULL,NULL,NULL),(25,429,1,12,33,NULL,NULL,NULL,NULL),(25,429,1,12,34,NULL,NULL,NULL,NULL),(25,429,1,12,35,NULL,NULL,NULL,NULL),(25,429,1,12,36,NULL,NULL,NULL,NULL),(25,429,1,12,37,NULL,NULL,NULL,NULL),(25,429,1,12,38,NULL,1,NULL,1),(25,429,1,12,39,NULL,NULL,NULL,NULL),(25,429,1,12,40,NULL,NULL,NULL,NULL),(25,429,1,13,1,NULL,NULL,NULL,NULL),(25,429,1,13,2,NULL,NULL,NULL,NULL),(25,429,1,13,3,NULL,NULL,NULL,NULL),(25,429,1,13,4,NULL,NULL,NULL,NULL),(25,429,1,13,5,NULL,NULL,NULL,NULL),(25,429,1,13,6,NULL,NULL,NULL,NULL),(25,429,1,13,7,NULL,NULL,NULL,NULL),(25,429,1,13,8,NULL,NULL,NULL,NULL),(25,429,1,13,9,NULL,NULL,NULL,NULL),(25,429,1,13,10,NULL,NULL,NULL,NULL),(25,429,1,13,11,NULL,NULL,NULL,NULL),(25,429,1,13,12,NULL,NULL,NULL,NULL),(25,429,1,13,13,NULL,NULL,NULL,NULL),(25,429,1,13,14,NULL,NULL,NULL,NULL),(25,429,1,13,15,NULL,NULL,NULL,NULL),(25,429,1,13,16,NULL,NULL,NULL,NULL),(25,429,1,13,17,NULL,NULL,NULL,NULL),(25,429,1,13,18,NULL,NULL,NULL,NULL),(25,429,1,13,19,NULL,NULL,NULL,NULL),(25,429,1,13,20,NULL,NULL,NULL,NULL),(25,429,1,13,21,NULL,NULL,NULL,NULL),(25,429,1,13,22,NULL,NULL,NULL,NULL),(25,429,1,13,23,NULL,NULL,NULL,NULL),(25,429,1,13,24,NULL,NULL,NULL,NULL),(25,429,1,13,25,NULL,NULL,NULL,NULL),(25,429,1,13,26,NULL,NULL,NULL,NULL),(25,429,1,13,27,NULL,NULL,NULL,NULL),(25,429,1,13,28,NULL,NULL,NULL,NULL),(25,429,1,13,29,NULL,NULL,NULL,NULL),(25,429,1,13,30,NULL,NULL,NULL,NULL),(25,429,1,13,31,NULL,NULL,NULL,NULL),(25,429,1,13,32,NULL,NULL,NULL,NULL),(25,429,1,13,33,NULL,NULL,NULL,NULL),(25,429,1,13,34,NULL,NULL,NULL,NULL),(25,429,1,13,35,NULL,NULL,NULL,NULL),(25,429,1,13,36,NULL,NULL,NULL,NULL),(25,429,1,13,37,NULL,NULL,NULL,NULL),(25,429,1,13,38,NULL,NULL,NULL,NULL),(25,429,1,13,39,NULL,NULL,NULL,NULL),(25,429,1,13,40,NULL,NULL,NULL,NULL),(25,429,1,14,1,8,11,5,10),(25,429,1,14,2,9,8,5,9),(25,429,1,14,3,7,4,7,3),(25,429,1,14,4,9,8,9,7),(25,429,1,14,5,NULL,11,NULL,11),(25,429,1,14,6,3,7,3,2),(25,429,1,14,7,6,11,5,8),(25,429,1,14,8,4,6,4,6),(25,429,1,14,9,3,6,5,6),(25,429,1,14,10,2,NULL,1,NULL),(25,429,1,14,11,1,5,2,4),(25,429,1,14,12,2,6,2,6),(25,429,1,14,13,2,8,4,6),(25,429,1,14,14,4,9,6,5),(25,429,1,14,15,6,11,10,7),(25,429,1,14,16,7,9,6,6),(25,429,1,14,17,8,6,8,5),(25,429,1,14,18,9,3,11,2),(25,429,1,14,19,6,10,7,7),(25,429,1,14,20,12,3,12,2),(25,429,1,14,21,6,11,4,10),(25,429,1,14,22,4,10,2,7),(25,429,1,14,23,1,6,4,4),(25,429,1,14,24,1,3,1,3),(25,429,1,14,25,1,3,NULL,3),(25,429,1,14,26,4,NULL,3,NULL),(25,429,1,14,27,1,NULL,1,NULL),(25,429,1,14,28,3,7,3,5),(25,429,1,14,29,NULL,1,1,1),(25,429,1,14,30,1,2,1,2),(25,429,1,14,31,1,2,NULL,1),(25,429,1,14,32,NULL,2,NULL,5),(25,429,1,14,33,NULL,8,NULL,5),(25,429,1,14,34,2,5,NULL,5),(25,429,1,14,35,4,5,4,5),(25,429,1,14,36,4,3,5,2),(25,429,1,14,37,2,7,3,4),(25,429,1,14,38,1,6,1,7),(25,429,1,14,39,NULL,7,NULL,4),(25,429,1,14,40,NULL,3,NULL,3),(25,429,1,15,1,4,4,3,4),(25,429,1,15,2,NULL,4,NULL,3),(25,429,1,15,3,NULL,4,1,1),(25,429,1,15,4,8,2,7,1),(25,429,1,15,5,NULL,3,1,2),(25,429,1,15,6,NULL,4,2,5),(25,429,1,15,7,2,6,3,6),(25,429,1,15,8,2,2,1,2),(25,429,1,15,9,2,2,2,2),(25,429,1,15,10,NULL,1,NULL,2),(25,429,1,15,11,1,2,NULL,3),(25,429,1,15,12,4,NULL,2,1),(25,429,1,15,13,4,NULL,4,1),(25,429,1,15,14,1,6,1,2),(25,429,1,15,15,4,2,5,1),(25,429,1,15,16,5,3,3,1),(25,429,1,15,17,6,2,5,1),(25,429,1,15,18,8,1,8,NULL),(25,429,1,15,19,5,7,5,5),(25,429,1,15,20,6,NULL,5,NULL),(25,429,1,15,21,1,2,1,2),(25,429,1,15,22,2,NULL,NULL,NULL),(25,429,1,15,23,2,2,NULL,2),(25,429,1,15,24,NULL,1,NULL,NULL),(25,429,1,15,25,2,NULL,NULL,NULL),(25,429,1,15,26,NULL,NULL,NULL,NULL),(25,429,1,15,27,NULL,NULL,2,NULL),(25,429,1,15,28,1,3,NULL,4),(25,429,1,15,29,2,NULL,2,NULL),(25,429,1,15,30,NULL,NULL,NULL,NULL),(25,429,1,15,31,NULL,NULL,NULL,NULL),(25,429,1,15,32,NULL,NULL,NULL,NULL),(25,429,1,15,33,NULL,3,NULL,2),(25,429,1,15,34,1,3,NULL,NULL),(25,429,1,15,35,NULL,1,NULL,NULL),(25,429,1,15,36,1,3,1,5),(25,429,1,15,37,NULL,2,1,1),(25,429,1,15,38,1,6,2,6),(25,429,1,15,39,NULL,3,1,2),(25,429,1,15,40,NULL,1,NULL,1),(25,429,1,16,1,2,3,NULL,2),(25,429,1,16,2,NULL,4,NULL,1),(25,429,1,16,3,1,1,1,NULL),(25,429,1,16,4,3,3,1,1),(25,429,1,16,5,NULL,4,NULL,2),(25,429,1,16,6,1,1,1,1),(25,429,1,16,7,NULL,5,1,2),(25,429,1,16,8,4,1,NULL,NULL),(25,429,1,16,9,1,2,1,1),(25,429,1,16,10,NULL,NULL,NULL,NULL),(25,429,1,16,11,1,1,1,NULL),(25,429,1,16,12,1,2,1,NULL),(25,429,1,16,13,3,6,1,2),(25,429,1,16,14,4,3,3,1),(25,429,1,16,15,4,NULL,3,NULL),(25,429,1,16,16,1,5,1,2),(25,429,1,16,17,1,3,1,1),(25,429,1,16,18,3,6,1,1),(25,429,1,16,19,1,1,1,NULL),(25,429,1,16,20,9,NULL,4,NULL),(25,429,1,16,21,1,3,NULL,2),(25,429,1,16,22,1,3,NULL,1),(25,429,1,16,23,NULL,3,NULL,2),(25,429,1,16,24,1,2,NULL,1),(25,429,1,16,25,1,NULL,NULL,NULL),(25,429,1,16,26,1,NULL,NULL,NULL),(25,429,1,16,27,NULL,NULL,NULL,NULL),(25,429,1,16,28,NULL,4,NULL,3),(25,429,1,16,29,NULL,4,NULL,2),(25,429,1,16,30,NULL,2,NULL,NULL),(25,429,1,16,31,NULL,2,NULL,1),(25,429,1,16,32,NULL,NULL,NULL,NULL),(25,429,1,16,33,NULL,NULL,NULL,NULL),(25,429,1,16,34,NULL,NULL,NULL,NULL),(25,429,1,16,35,1,3,1,1),(25,429,1,16,36,1,2,NULL,2),(25,429,1,16,37,NULL,2,NULL,1),(25,429,1,16,38,NULL,3,1,1),(25,429,1,16,39,NULL,3,NULL,2),(25,429,1,16,40,1,NULL,NULL,NULL),(25,429,1,17,1,1,3,NULL,1),(25,429,1,17,2,NULL,3,NULL,NULL),(25,429,1,17,3,1,1,NULL,NULL),(25,429,1,17,4,4,2,1,1),(25,429,1,17,5,NULL,NULL,NULL,NULL),(25,429,1,17,6,NULL,3,NULL,NULL),(25,429,1,17,7,NULL,5,NULL,2),(25,429,1,17,8,3,2,1,NULL),(25,429,1,17,9,1,1,1,1),(25,429,1,17,10,NULL,1,NULL,NULL),(25,429,1,17,11,1,1,NULL,1),(25,429,1,17,12,1,NULL,1,NULL),(25,429,1,17,13,3,2,NULL,1),(25,429,1,17,14,1,4,1,NULL),(25,429,1,17,15,7,NULL,3,NULL),(25,429,1,17,16,NULL,3,NULL,1),(25,429,1,17,17,NULL,4,NULL,1),(25,429,1,17,18,1,6,NULL,2),(25,429,1,17,19,NULL,3,NULL,1),(25,429,1,17,20,5,NULL,2,NULL),(25,429,1,17,21,1,2,NULL,2),(25,429,1,17,22,NULL,2,NULL,1),(25,429,1,17,23,NULL,3,NULL,1),(25,429,1,17,24,NULL,NULL,NULL,NULL),(25,429,1,17,25,NULL,1,NULL,1),(25,429,1,17,26,1,NULL,NULL,NULL),(25,429,1,17,27,NULL,NULL,NULL,NULL),(25,429,1,17,28,NULL,1,NULL,NULL),(25,429,1,17,29,NULL,NULL,NULL,NULL),(25,429,1,17,30,NULL,1,NULL,1),(25,429,1,17,31,NULL,NULL,NULL,NULL),(25,429,1,17,32,NULL,1,NULL,1),(25,429,1,17,33,1,2,NULL,1),(25,429,1,17,34,1,1,NULL,NULL),(25,429,1,17,35,1,2,NULL,1),(25,429,1,17,36,1,1,1,NULL),(25,429,1,17,37,NULL,2,NULL,NULL),(25,429,1,17,38,NULL,2,NULL,1),(25,429,1,17,39,NULL,2,NULL,1),(25,429,1,17,40,NULL,1,NULL,NULL),(25,429,2,21,1,2,5,NULL,3),(25,429,2,21,2,1,3,1,2),(25,429,2,21,3,2,2,2,1),(25,429,2,21,4,2,6,1,3),(25,429,2,21,5,6,2,4,2),(25,429,2,21,6,NULL,1,NULL,1),(25,429,2,21,7,2,5,2,1),(25,429,2,21,8,1,6,1,2),(25,429,2,21,9,3,14,2,7),(25,429,2,21,10,2,1,3,1),(25,429,2,21,11,1,10,1,4),(25,429,2,21,12,2,4,3,NULL),(25,429,2,21,13,6,6,5,2),(25,429,2,21,14,2,6,1,4),(25,429,2,21,15,1,9,2,3),(25,429,2,21,16,1,5,2,3),(25,429,2,21,17,NULL,6,NULL,1),(25,429,2,21,18,3,5,2,4),(25,429,2,21,19,3,1,2,2),(25,429,2,21,20,1,5,1,6),(25,429,2,21,21,NULL,1,NULL,NULL),(25,429,2,21,22,NULL,1,NULL,1),(25,429,2,21,23,NULL,3,NULL,2),(25,429,2,21,24,NULL,2,NULL,1),(25,429,2,21,25,1,NULL,1,NULL),(25,429,2,21,26,NULL,NULL,NULL,NULL),(25,429,2,21,27,NULL,3,NULL,1),(25,429,2,21,28,NULL,2,NULL,NULL),(25,429,2,21,29,NULL,1,NULL,1),(25,429,2,21,30,1,5,NULL,2),(25,429,2,21,31,1,1,2,1),(25,429,2,21,32,NULL,3,NULL,2),(25,429,2,21,33,1,5,NULL,3),(25,429,2,21,34,NULL,NULL,NULL,NULL),(25,429,2,21,35,2,2,1,2),(25,429,2,21,36,NULL,6,1,3),(25,429,2,21,37,1,3,NULL,1),(25,429,2,21,38,4,2,2,2),(25,429,2,21,39,5,NULL,4,NULL),(25,429,2,21,40,NULL,3,NULL,1),(25,429,2,22,1,NULL,8,NULL,5),(25,429,2,22,2,1,8,NULL,5),(25,429,2,22,3,1,7,1,4),(25,429,2,22,4,1,4,1,4),(25,429,2,22,5,3,5,3,3),(25,429,2,22,6,NULL,2,1,2),(25,429,2,22,7,NULL,2,NULL,1),(25,429,2,22,8,2,11,3,6),(25,429,2,22,9,5,6,4,5),(25,429,2,22,10,1,6,2,5),(25,429,2,22,11,1,11,NULL,7),(25,429,2,22,12,3,4,3,3),(25,429,2,22,13,5,7,4,3),(25,429,2,22,14,2,5,1,4),(25,429,2,22,15,4,8,4,4),(25,429,2,22,16,1,2,1,2),(25,429,2,22,17,1,6,NULL,5),(25,429,2,22,18,4,4,1,3),(25,429,2,22,19,1,2,2,1),(25,429,2,22,20,2,6,3,4),(25,429,2,22,21,1,4,1,2),(25,429,2,22,22,1,NULL,NULL,1),(25,429,2,22,23,1,2,1,2),(25,429,2,22,24,NULL,2,NULL,2),(25,429,2,22,25,NULL,NULL,NULL,NULL),(25,429,2,22,26,NULL,NULL,NULL,NULL),(25,429,2,22,27,NULL,2,NULL,NULL),(25,429,2,22,28,NULL,1,NULL,NULL),(25,429,2,22,29,3,2,NULL,1),(25,429,2,22,30,NULL,1,NULL,1),(25,429,2,22,31,NULL,4,NULL,2),(25,429,2,22,32,NULL,2,NULL,1),(25,429,2,22,33,1,6,2,3),(25,429,2,22,34,1,NULL,NULL,NULL),(25,429,2,22,35,2,5,2,1),(25,429,2,22,36,2,4,NULL,3),(25,429,2,22,37,1,5,NULL,3),(25,429,2,22,38,4,1,6,1),(25,429,2,22,39,5,NULL,4,NULL),(25,429,2,22,40,NULL,NULL,NULL,NULL),(25,429,2,23,1,1,1,NULL,2),(25,429,2,23,2,1,4,NULL,3),(25,429,2,23,3,2,1,1,1),(25,429,2,23,4,1,1,NULL,1),(25,429,2,23,5,1,NULL,NULL,NULL),(25,429,2,23,6,NULL,3,NULL,2),(25,429,2,23,7,1,1,2,1),(25,429,2,23,8,5,4,3,2),(25,429,2,23,9,3,5,3,3),(25,429,2,23,10,NULL,2,1,1),(25,429,2,23,11,1,6,2,5),(25,429,2,23,12,1,2,2,NULL),(25,429,2,23,13,6,1,4,1),(25,429,2,23,14,NULL,3,NULL,2),(25,429,2,23,15,2,2,NULL,2),(25,429,2,23,16,NULL,3,NULL,1),(25,429,2,23,17,2,4,NULL,3),(25,429,2,23,18,3,4,2,1),(25,429,2,23,19,NULL,2,1,2),(25,429,2,23,20,NULL,5,NULL,3),(25,429,2,23,21,1,3,NULL,2),(25,429,2,23,22,NULL,1,NULL,NULL),(25,429,2,23,23,1,1,NULL,1),(25,429,2,23,24,NULL,2,NULL,2),(25,429,2,23,25,1,NULL,NULL,NULL),(25,429,2,23,26,1,1,NULL,1),(25,429,2,23,27,NULL,1,NULL,1),(25,429,2,23,28,NULL,2,NULL,1),(25,429,2,23,29,NULL,2,NULL,NULL),(25,429,2,23,30,NULL,NULL,NULL,NULL),(25,429,2,23,31,1,1,NULL,1),(25,429,2,23,32,NULL,1,NULL,1),(25,429,2,23,33,1,3,2,2),(25,429,2,23,34,NULL,NULL,NULL,NULL),(25,429,2,23,35,1,2,NULL,1),(25,429,2,23,36,2,1,1,NULL),(25,429,2,23,37,NULL,4,NULL,2),(25,429,2,23,38,2,1,3,1),(25,429,2,23,39,2,NULL,2,NULL),(25,429,2,23,40,NULL,2,NULL,1),(25,429,2,24,1,1,3,1,3),(25,429,2,24,2,NULL,2,NULL,2),(25,429,2,24,3,1,3,2,1),(25,429,2,24,4,NULL,3,NULL,2),(25,429,2,24,5,NULL,3,1,3),(25,429,2,24,6,NULL,3,NULL,2),(25,429,2,24,7,1,NULL,1,1),(25,429,2,24,8,2,4,1,5),(25,429,2,24,9,3,5,5,2),(25,429,2,24,10,1,1,1,NULL),(25,429,2,24,11,1,5,1,4),(25,429,2,24,12,2,1,2,1),(25,429,2,24,13,6,2,4,NULL),(25,429,2,24,14,1,6,1,4),(25,429,2,24,15,2,6,2,3),(25,429,2,24,16,1,3,1,4),(25,429,2,24,17,1,1,1,2),(25,429,2,24,18,1,5,NULL,4),(25,429,2,24,19,NULL,1,NULL,NULL),(25,429,2,24,20,NULL,6,NULL,2),(25,429,2,24,21,NULL,1,NULL,NULL),(25,429,2,24,22,NULL,NULL,NULL,NULL),(25,429,2,24,23,NULL,NULL,NULL,NULL),(25,429,2,24,24,NULL,2,NULL,1),(25,429,2,24,25,1,NULL,1,NULL),(25,429,2,24,26,NULL,NULL,NULL,NULL),(25,429,2,24,27,NULL,3,NULL,2),(25,429,2,24,28,1,2,2,NULL),(25,429,2,24,29,NULL,1,1,2),(25,429,2,24,30,NULL,4,NULL,3),(25,429,2,24,31,1,1,1,1),(25,429,2,24,32,NULL,3,NULL,2),(25,429,2,24,33,NULL,NULL,NULL,NULL),(25,429,2,24,34,NULL,NULL,NULL,1),(25,429,2,24,35,NULL,4,NULL,2),(25,429,2,24,36,NULL,2,NULL,2),(25,429,2,24,37,NULL,2,NULL,NULL),(25,429,2,24,38,1,2,1,1),(25,429,2,24,39,1,NULL,NULL,NULL),(25,429,2,24,40,NULL,1,1,NULL),(25,444,1,11,1,NULL,NULL,NULL,NULL),(25,444,1,11,2,NULL,NULL,NULL,NULL),(25,444,1,11,3,NULL,NULL,NULL,NULL),(25,444,1,11,4,NULL,NULL,NULL,NULL),(25,444,1,11,5,NULL,NULL,NULL,NULL),(25,444,1,11,6,NULL,NULL,NULL,NULL),(25,444,1,11,7,NULL,NULL,NULL,NULL),(25,444,1,11,8,NULL,NULL,NULL,NULL),(25,444,1,11,9,NULL,NULL,NULL,NULL),(25,444,1,11,10,NULL,NULL,NULL,NULL),(25,444,1,11,11,NULL,NULL,NULL,NULL),(25,444,1,11,12,NULL,NULL,NULL,NULL),(25,444,1,11,13,NULL,NULL,NULL,NULL),(25,444,1,11,14,NULL,NULL,NULL,NULL),(25,444,1,11,15,NULL,NULL,NULL,NULL),(25,444,1,11,16,NULL,NULL,NULL,NULL),(25,444,1,11,17,NULL,NULL,NULL,NULL),(25,444,1,11,18,NULL,NULL,NULL,NULL),(25,444,1,11,19,NULL,NULL,NULL,NULL),(25,444,1,11,20,NULL,NULL,NULL,NULL),(25,444,1,11,21,NULL,NULL,NULL,NULL),(25,444,1,11,22,NULL,NULL,NULL,NULL),(25,444,1,11,23,NULL,NULL,NULL,NULL),(25,444,1,11,24,NULL,NULL,NULL,NULL),(25,444,1,11,25,NULL,NULL,NULL,NULL),(25,444,1,11,26,NULL,NULL,NULL,NULL),(25,444,1,11,27,NULL,NULL,NULL,NULL),(25,444,1,11,28,NULL,NULL,NULL,NULL),(25,444,1,11,29,NULL,NULL,NULL,NULL),(25,444,1,11,30,NULL,NULL,NULL,NULL),(25,444,1,11,31,NULL,NULL,NULL,NULL),(25,444,1,11,32,NULL,NULL,NULL,NULL),(25,444,1,11,33,NULL,NULL,NULL,NULL),(25,444,1,11,34,NULL,NULL,NULL,NULL),(25,444,1,11,35,NULL,NULL,NULL,NULL),(25,444,1,11,36,NULL,NULL,NULL,NULL),(25,444,1,11,37,NULL,NULL,NULL,NULL),(25,444,1,11,38,NULL,NULL,NULL,NULL),(25,444,1,11,39,NULL,NULL,NULL,NULL),(25,444,1,11,40,NULL,NULL,NULL,NULL),(25,444,1,12,1,NULL,NULL,NULL,NULL),(25,444,1,12,2,NULL,NULL,NULL,NULL),(25,444,1,12,3,NULL,NULL,NULL,NULL),(25,444,1,12,4,NULL,NULL,NULL,NULL),(25,444,1,12,5,NULL,NULL,NULL,NULL),(25,444,1,12,6,NULL,NULL,NULL,NULL),(25,444,1,12,7,NULL,NULL,NULL,NULL),(25,444,1,12,8,NULL,NULL,NULL,NULL),(25,444,1,12,9,NULL,NULL,NULL,NULL),(25,444,1,12,10,NULL,NULL,NULL,NULL),(25,444,1,12,11,NULL,NULL,NULL,NULL),(25,444,1,12,12,NULL,NULL,NULL,NULL),(25,444,1,12,13,NULL,NULL,NULL,NULL),(25,444,1,12,14,NULL,NULL,NULL,NULL),(25,444,1,12,15,NULL,NULL,NULL,NULL),(25,444,1,12,16,NULL,NULL,NULL,NULL),(25,444,1,12,17,NULL,NULL,NULL,NULL),(25,444,1,12,18,NULL,NULL,NULL,NULL),(25,444,1,12,19,NULL,NULL,NULL,NULL),(25,444,1,12,20,NULL,NULL,NULL,NULL),(25,444,1,12,21,NULL,NULL,NULL,NULL),(25,444,1,12,22,NULL,NULL,NULL,NULL),(25,444,1,12,23,NULL,NULL,NULL,NULL),(25,444,1,12,24,NULL,NULL,NULL,NULL),(25,444,1,12,25,NULL,NULL,NULL,NULL),(25,444,1,12,26,NULL,NULL,NULL,NULL),(25,444,1,12,27,NULL,NULL,NULL,NULL),(25,444,1,12,28,NULL,NULL,NULL,NULL),(25,444,1,12,29,NULL,NULL,NULL,NULL),(25,444,1,12,30,NULL,NULL,NULL,NULL),(25,444,1,12,31,NULL,NULL,NULL,NULL),(25,444,1,12,32,NULL,NULL,NULL,NULL),(25,444,1,12,33,NULL,NULL,NULL,NULL),(25,444,1,12,34,NULL,NULL,NULL,NULL),(25,444,1,12,35,NULL,NULL,NULL,NULL),(25,444,1,12,36,NULL,NULL,NULL,NULL),(25,444,1,12,37,NULL,NULL,NULL,NULL),(25,444,1,12,38,NULL,NULL,NULL,NULL),(25,444,1,12,39,NULL,NULL,NULL,NULL),(25,444,1,12,40,NULL,NULL,NULL,NULL),(25,444,1,13,1,NULL,NULL,NULL,NULL),(25,444,1,13,2,NULL,NULL,NULL,NULL),(25,444,1,13,3,NULL,NULL,NULL,NULL),(25,444,1,13,4,NULL,NULL,NULL,NULL),(25,444,1,13,5,NULL,NULL,NULL,NULL),(25,444,1,13,6,NULL,NULL,NULL,NULL),(25,444,1,13,7,NULL,NULL,NULL,NULL),(25,444,1,13,8,NULL,NULL,NULL,NULL),(25,444,1,13,9,NULL,NULL,NULL,NULL),(25,444,1,13,10,NULL,NULL,NULL,NULL),(25,444,1,13,11,NULL,NULL,NULL,NULL),(25,444,1,13,12,NULL,NULL,NULL,NULL),(25,444,1,13,13,NULL,NULL,NULL,NULL),(25,444,1,13,14,NULL,NULL,NULL,NULL),(25,444,1,13,15,NULL,NULL,NULL,NULL),(25,444,1,13,16,NULL,NULL,NULL,NULL),(25,444,1,13,17,NULL,NULL,NULL,NULL),(25,444,1,13,18,NULL,NULL,NULL,NULL),(25,444,1,13,19,NULL,NULL,NULL,NULL),(25,444,1,13,20,NULL,NULL,NULL,NULL),(25,444,1,13,21,NULL,NULL,NULL,NULL),(25,444,1,13,22,NULL,NULL,NULL,NULL),(25,444,1,13,23,NULL,NULL,NULL,NULL),(25,444,1,13,24,NULL,NULL,NULL,NULL),(25,444,1,13,25,NULL,NULL,NULL,NULL),(25,444,1,13,26,NULL,NULL,NULL,NULL),(25,444,1,13,27,NULL,NULL,NULL,NULL),(25,444,1,13,28,NULL,NULL,NULL,NULL),(25,444,1,13,29,NULL,NULL,NULL,NULL),(25,444,1,13,30,NULL,NULL,NULL,NULL),(25,444,1,13,31,NULL,NULL,NULL,NULL),(25,444,1,13,32,NULL,NULL,NULL,NULL),(25,444,1,13,33,NULL,NULL,NULL,NULL),(25,444,1,13,34,NULL,NULL,NULL,NULL),(25,444,1,13,35,NULL,NULL,NULL,NULL),(25,444,1,13,36,NULL,NULL,NULL,NULL),(25,444,1,13,37,NULL,NULL,NULL,NULL),(25,444,1,13,38,NULL,NULL,NULL,NULL),(25,444,1,13,39,NULL,NULL,NULL,NULL),(25,444,1,13,40,NULL,NULL,NULL,NULL),(25,444,1,14,1,20,18,5,5),(25,444,1,14,2,3,7,2,1),(25,444,1,14,3,5,6,3,NULL),(25,444,1,14,4,15,18,4,6),(25,444,1,14,5,5,12,2,6),(25,444,1,14,6,7,9,1,2),(25,444,1,14,7,11,28,4,3),(25,444,1,14,8,6,9,2,5),(25,444,1,14,9,6,9,3,1),(25,444,1,14,10,1,1,NULL,NULL),(25,444,1,14,11,3,12,NULL,1),(25,444,1,14,12,5,1,1,NULL),(25,444,1,14,13,4,8,4,1),(25,444,1,14,14,8,19,2,5),(25,444,1,14,15,9,13,2,4),(25,444,1,14,16,7,12,NULL,4),(25,444,1,14,17,6,7,4,3),(25,444,1,14,18,15,3,6,1),(25,444,1,14,19,9,24,2,5),(25,444,1,14,20,12,4,4,1),(25,444,1,14,21,3,15,1,4),(25,444,1,14,22,8,12,3,3),(25,444,1,14,23,5,12,NULL,3),(25,444,1,14,24,2,12,1,2),(25,444,1,14,25,2,11,1,2),(25,444,1,14,26,3,NULL,2,NULL),(25,444,1,14,27,1,NULL,NULL,NULL),(25,444,1,14,28,1,19,1,5),(25,444,1,14,29,2,6,NULL,1),(25,444,1,14,30,1,9,NULL,4),(25,444,1,14,31,2,5,NULL,2),(25,444,1,14,32,2,3,2,1),(25,444,1,14,33,NULL,8,NULL,1),(25,444,1,14,34,6,7,NULL,3),(25,444,1,14,35,2,12,NULL,2),(25,444,1,14,36,6,9,4,1),(25,444,1,14,37,3,8,1,2),(25,444,1,14,38,2,21,1,6),(25,444,1,14,39,NULL,11,NULL,3),(25,444,1,14,40,NULL,2,NULL,1),(25,444,1,15,1,18,19,5,6),(25,444,1,15,2,2,8,NULL,4),(25,444,1,15,3,6,10,NULL,9),(25,444,1,15,4,20,18,5,5),(25,444,1,15,5,4,8,2,2),(25,444,1,15,6,4,13,NULL,4),(25,444,1,15,7,5,28,2,10),(25,444,1,15,8,7,15,1,6),(25,444,1,15,9,5,11,1,5),(25,444,1,15,10,NULL,4,NULL,2),(25,444,1,15,11,3,5,2,NULL),(25,444,1,15,12,6,10,3,3),(25,444,1,15,13,6,7,2,2),(25,444,1,15,14,6,14,2,6),(25,444,1,15,15,10,14,3,6),(25,444,1,15,16,5,11,NULL,5),(25,444,1,15,17,10,7,6,2),(25,444,1,15,18,21,2,7,NULL),(25,444,1,15,19,12,18,6,4),(25,444,1,15,20,10,6,6,1),(25,444,1,15,21,6,20,2,7),(25,444,1,15,22,4,17,2,8),(25,444,1,15,23,5,6,1,2),(25,444,1,15,24,NULL,9,NULL,5),(25,444,1,15,25,2,4,NULL,2),(25,444,1,15,26,7,NULL,4,NULL),(25,444,1,15,27,1,NULL,1,NULL),(25,444,1,15,28,NULL,19,NULL,7),(25,444,1,15,29,2,9,NULL,4),(25,444,1,15,30,1,8,1,5),(25,444,1,15,31,3,5,NULL,3),(25,444,1,15,32,NULL,1,NULL,1),(25,444,1,15,33,4,11,1,1),(25,444,1,15,34,4,12,1,2),(25,444,1,15,35,3,9,3,3),(25,444,1,15,36,3,15,1,6),(25,444,1,15,37,5,10,5,3),(25,444,1,15,38,1,23,NULL,11),(25,444,1,15,39,4,19,1,8),(25,444,1,15,40,1,7,1,3),(25,444,1,16,1,17,26,4,10),(25,444,1,16,2,6,11,2,1),(25,444,1,16,3,7,8,3,2),(25,444,1,16,4,25,31,3,10),(25,444,1,16,5,NULL,19,NULL,5),(25,444,1,16,6,6,22,2,4),(25,444,1,16,7,11,43,3,12),(25,444,1,16,8,12,17,3,5),(25,444,1,16,9,8,17,3,3),(25,444,1,16,10,1,10,1,3),(25,444,1,16,11,7,13,2,7),(25,444,1,16,12,9,10,1,2),(25,444,1,16,13,19,22,6,5),(25,444,1,16,14,12,18,4,5),(25,444,1,16,15,46,NULL,12,NULL),(25,444,1,16,16,7,39,1,8),(25,444,1,16,17,1,28,NULL,8),(25,444,1,16,18,15,51,3,13),(25,444,1,16,19,1,32,NULL,4),(25,444,1,16,20,46,NULL,12,NULL),(25,444,1,16,21,8,30,1,7),(25,444,1,16,22,7,21,NULL,8),(25,444,1,16,23,2,15,1,3),(25,444,1,16,24,1,14,1,3),(25,444,1,16,25,4,11,NULL,NULL),(25,444,1,16,26,12,NULL,5,NULL),(25,444,1,16,27,1,NULL,1,NULL),(25,444,1,16,28,8,28,NULL,9),(25,444,1,16,29,3,15,NULL,3),(25,444,1,16,30,3,19,NULL,3),(25,444,1,16,31,1,7,1,2),(25,444,1,16,32,4,7,1,1),(25,444,1,16,33,3,7,1,3),(25,444,1,16,34,9,10,3,1),(25,444,1,16,35,5,10,2,1),(25,444,1,16,36,6,13,4,3),(25,444,1,16,37,8,9,2,2),(25,444,1,16,38,3,33,1,11),(25,444,1,16,39,2,35,NULL,11),(25,444,1,16,40,1,10,1,6),(25,444,1,17,1,19,25,3,7),(25,444,1,17,2,7,17,1,7),(25,444,1,17,3,7,6,2,NULL),(25,444,1,17,4,27,21,5,7),(25,444,1,17,5,4,12,1,1),(25,444,1,17,6,8,21,2,6),(25,444,1,17,7,4,33,2,7),(25,444,1,17,8,11,25,2,5),(25,444,1,17,9,9,18,4,6),(25,444,1,17,10,5,3,NULL,1),(25,444,1,17,11,6,9,2,NULL),(25,444,1,17,12,5,10,NULL,4),(25,444,1,17,13,22,19,6,6),(25,444,1,17,14,8,15,2,2),(25,444,1,17,15,38,NULL,7,NULL),(25,444,1,17,16,16,31,5,7),(25,444,1,17,17,2,27,1,3),(25,444,1,17,18,8,42,1,8),(25,444,1,17,19,1,32,NULL,6),(25,444,1,17,20,43,NULL,13,NULL),(25,444,1,17,21,7,23,3,6),(25,444,1,17,22,3,20,NULL,6),(25,444,1,17,23,4,16,1,6),(25,444,1,17,24,4,14,NULL,6),(25,444,1,17,25,2,7,NULL,NULL),(25,444,1,17,26,8,NULL,5,NULL),(25,444,1,17,27,2,NULL,1,NULL),(25,444,1,17,28,7,38,2,7),(25,444,1,17,29,4,5,1,2),(25,444,1,17,30,4,14,NULL,3),(25,444,1,17,31,2,6,NULL,1),(25,444,1,17,32,1,4,1,NULL),(25,444,1,17,33,3,11,1,2),(25,444,1,17,34,5,14,2,NULL),(25,444,1,17,35,4,11,1,1),(25,444,1,17,36,4,12,3,2),(25,444,1,17,37,6,13,2,4),(25,444,1,17,38,3,29,1,9),(25,444,1,17,39,NULL,29,NULL,6),(25,444,1,17,40,NULL,7,NULL,5),(25,444,2,21,1,7,14,3,4),(25,444,2,21,2,1,17,1,4),(25,444,2,21,3,6,22,3,5),(25,444,2,21,4,4,10,1,4),(25,444,2,21,5,14,21,9,3),(25,444,2,21,6,1,9,NULL,2),(25,444,2,21,7,3,9,1,3),(25,444,2,21,8,7,17,4,1),(25,444,2,21,9,19,23,9,4),(25,444,2,21,10,2,12,1,6),(25,444,2,21,11,4,43,1,12),(25,444,2,21,12,4,11,2,4),(25,444,2,21,13,17,14,8,3),(25,444,2,21,14,5,13,2,4),(25,444,2,21,15,15,18,3,2),(25,444,2,21,16,3,13,3,4),(25,444,2,21,17,8,20,2,6),(25,444,2,21,18,12,23,2,4),(25,444,2,21,19,3,19,1,5),(25,444,2,21,20,7,21,4,2),(25,444,2,21,21,1,4,NULL,1),(25,444,2,21,22,NULL,1,NULL,NULL),(25,444,2,21,23,1,7,NULL,2),(25,444,2,21,24,1,5,NULL,3),(25,444,2,21,25,5,NULL,1,NULL),(25,444,2,21,26,NULL,2,NULL,1),(25,444,2,21,27,2,7,NULL,NULL),(25,444,2,21,28,2,2,1,NULL),(25,444,2,21,29,3,12,NULL,3),(25,444,2,21,30,4,6,1,1),(25,444,2,21,31,9,11,3,7),(25,444,2,21,32,2,7,NULL,1),(25,444,2,21,33,4,11,2,5),(25,444,2,21,34,NULL,12,NULL,2),(25,444,2,21,35,1,12,NULL,4),(25,444,2,21,36,6,14,1,3),(25,444,2,21,37,2,8,1,1),(25,444,2,21,38,6,14,2,3),(25,444,2,21,39,9,NULL,6,NULL),(25,444,2,21,40,NULL,3,NULL,2),(25,444,2,22,1,3,13,NULL,3),(25,444,2,22,2,NULL,18,NULL,3),(25,444,2,22,3,4,13,1,4),(25,444,2,22,4,7,13,2,2),(25,444,2,22,5,5,13,1,5),(25,444,2,22,6,1,12,NULL,3),(25,444,2,22,7,2,9,1,3),(25,444,2,22,8,6,15,NULL,3),(25,444,2,22,9,8,16,4,2),(25,444,2,22,10,2,10,NULL,4),(25,444,2,22,11,4,27,NULL,3),(25,444,2,22,12,2,9,NULL,2),(25,444,2,22,13,12,16,4,4),(25,444,2,22,14,3,18,NULL,4),(25,444,2,22,15,10,20,1,5),(25,444,2,22,16,1,15,1,1),(25,444,2,22,17,3,22,NULL,1),(25,444,2,22,18,8,18,1,6),(25,444,2,22,19,2,7,NULL,NULL),(25,444,2,22,20,2,19,1,6),(25,444,2,22,21,2,5,NULL,NULL),(25,444,2,22,22,NULL,NULL,NULL,NULL),(25,444,2,22,23,NULL,5,NULL,2),(25,444,2,22,24,3,8,NULL,2),(25,444,2,22,25,4,NULL,1,NULL),(25,444,2,22,26,1,3,NULL,NULL),(25,444,2,22,27,3,7,NULL,NULL),(25,444,2,22,28,NULL,4,NULL,1),(25,444,2,22,29,1,6,NULL,1),(25,444,2,22,30,2,9,NULL,1),(25,444,2,22,31,6,8,3,2),(25,444,2,22,32,2,8,NULL,1),(25,444,2,22,33,2,12,NULL,2),(25,444,2,22,34,1,4,NULL,1),(25,444,2,22,35,4,9,3,2),(25,444,2,22,36,5,14,1,4),(25,444,2,22,37,2,10,NULL,2),(25,444,2,22,38,6,13,1,2),(25,444,2,22,39,4,NULL,1,NULL),(25,444,2,22,40,NULL,8,NULL,3),(25,444,2,23,1,5,18,3,8),(25,444,2,23,2,2,21,1,6),(25,444,2,23,3,4,21,1,10),(25,444,2,23,4,3,10,2,2),(25,444,2,23,5,8,15,5,5),(25,444,2,23,6,4,12,3,4),(25,444,2,23,7,3,12,3,7),(25,444,2,23,8,16,22,7,7),(25,444,2,23,9,9,28,7,9),(25,444,2,23,10,2,15,1,7),(25,444,2,23,11,1,36,NULL,13),(25,444,2,23,12,4,12,1,5),(25,444,2,23,13,22,15,11,5),(25,444,2,23,14,4,25,NULL,11),(25,444,2,23,15,9,24,3,12),(25,444,2,23,16,4,11,2,4),(25,444,2,23,17,3,26,1,4),(25,444,2,23,18,5,19,2,8),(25,444,2,23,19,3,10,NULL,2),(25,444,2,23,20,11,29,3,10),(25,444,2,23,21,NULL,6,NULL,1),(25,444,2,23,22,NULL,2,NULL,1),(25,444,2,23,23,1,5,NULL,4),(25,444,2,23,24,1,9,NULL,5),(25,444,2,23,25,5,NULL,2,NULL),(25,444,2,23,26,1,7,NULL,1),(25,444,2,23,27,1,9,NULL,3),(25,444,2,23,28,NULL,4,NULL,2),(25,444,2,23,29,2,6,NULL,2),(25,444,2,23,30,5,9,NULL,5),(25,444,2,23,31,5,7,4,6),(25,444,2,23,32,NULL,3,NULL,1),(25,444,2,23,33,7,13,4,7),(25,444,2,23,34,1,4,1,3),(25,444,2,23,35,1,9,1,3),(25,444,2,23,36,NULL,12,NULL,5),(25,444,2,23,37,3,10,NULL,3),(25,444,2,23,38,6,16,3,6),(25,444,2,23,39,13,NULL,5,NULL),(25,444,2,23,40,NULL,1,NULL,NULL),(25,444,2,24,1,3,20,NULL,8),(25,444,2,24,2,3,17,NULL,3),(25,444,2,24,3,11,14,2,3),(25,444,2,24,4,5,11,1,1),(25,444,2,24,5,1,30,NULL,6),(25,444,2,24,6,1,14,1,6),(25,444,2,24,7,3,12,1,NULL),(25,444,2,24,8,8,17,2,5),(25,444,2,24,9,12,18,5,4),(25,444,2,24,10,2,13,1,8),(25,444,2,24,11,3,33,1,4),(25,444,2,24,12,2,6,1,1),(25,444,2,24,13,13,14,4,2),(25,444,2,24,14,5,20,2,6),(25,444,2,24,15,7,22,1,8),(25,444,2,24,16,6,12,2,3),(25,444,2,24,17,5,22,2,1),(25,444,2,24,18,10,13,1,5),(25,444,2,24,19,3,3,1,1),(25,444,2,24,20,5,21,2,4),(25,444,2,24,21,2,6,1,1),(25,444,2,24,22,NULL,NULL,NULL,NULL),(25,444,2,24,23,NULL,8,NULL,2),(25,444,2,24,24,2,14,NULL,4),(25,444,2,24,25,6,NULL,NULL,NULL),(25,444,2,24,26,2,2,NULL,NULL),(25,444,2,24,27,NULL,4,NULL,1),(25,444,2,24,28,2,2,NULL,1),(25,444,2,24,29,3,13,NULL,2),(25,444,2,24,30,5,9,NULL,3),(25,444,2,24,31,4,10,NULL,4),(25,444,2,24,32,2,10,NULL,3),(25,444,2,24,33,5,10,2,3),(25,444,2,24,34,3,10,1,1),(25,444,2,24,35,8,10,2,6),(25,444,2,24,36,1,11,NULL,5),(25,444,2,24,37,1,11,NULL,1),(25,444,2,24,38,12,11,6,1),(25,444,2,24,39,12,NULL,8,NULL),(25,444,2,24,40,1,4,1,3),(25,450,1,11,1,NULL,1,NULL,1),(25,450,1,11,2,NULL,NULL,NULL,NULL),(25,450,1,11,3,NULL,1,NULL,1),(25,450,1,11,4,1,NULL,1,NULL),(25,450,1,11,5,NULL,1,NULL,1),(25,450,1,11,6,1,NULL,1,NULL),(25,450,1,11,7,NULL,1,NULL,1),(25,450,1,11,8,NULL,NULL,NULL,NULL),(25,450,1,11,9,NULL,1,NULL,1),(25,450,1,11,10,NULL,1,NULL,1),(25,450,1,11,11,NULL,1,NULL,1),(25,450,1,11,12,NULL,1,NULL,1),(25,450,1,11,13,NULL,1,NULL,1),(25,450,1,11,14,1,NULL,1,NULL),(25,450,1,11,15,1,NULL,1,NULL),(25,450,1,11,16,1,NULL,1,NULL),(25,450,1,11,17,NULL,1,NULL,1),(25,450,1,11,18,NULL,1,NULL,1),(25,450,1,11,19,NULL,1,NULL,1),(25,450,1,11,20,NULL,1,NULL,1),(25,450,1,11,21,NULL,1,NULL,1),(25,450,1,11,22,NULL,NULL,NULL,NULL),(25,450,1,11,23,1,NULL,1,NULL),(25,450,1,11,24,NULL,1,NULL,1),(25,450,1,11,25,NULL,NULL,NULL,NULL),(25,450,1,11,26,1,NULL,1,NULL),(25,450,1,11,27,NULL,NULL,NULL,NULL),(25,450,1,11,28,NULL,1,NULL,1),(25,450,1,11,29,NULL,1,NULL,1),(25,450,1,11,30,NULL,1,NULL,1),(25,450,1,11,31,NULL,NULL,NULL,NULL),(25,450,1,11,32,NULL,NULL,NULL,NULL),(25,450,1,11,33,NULL,NULL,NULL,NULL),(25,450,1,11,34,NULL,NULL,NULL,NULL),(25,450,1,11,35,NULL,NULL,NULL,NULL),(25,450,1,11,36,NULL,NULL,NULL,NULL),(25,450,1,11,37,NULL,NULL,NULL,NULL),(25,450,1,11,38,NULL,1,NULL,1),(25,450,1,11,39,NULL,NULL,NULL,NULL),(25,450,1,11,40,NULL,1,NULL,1),(25,450,1,12,1,NULL,2,NULL,1),(25,450,1,12,2,NULL,1,NULL,1),(25,450,1,12,3,NULL,NULL,NULL,NULL),(25,450,1,12,4,1,NULL,1,NULL),(25,450,1,12,5,NULL,1,NULL,1),(25,450,1,12,6,NULL,1,NULL,1),(25,450,1,12,7,2,NULL,1,NULL),(25,450,1,12,8,NULL,1,NULL,1),(25,450,1,12,9,NULL,1,NULL,1),(25,450,1,12,10,NULL,NULL,NULL,NULL),(25,450,1,12,11,NULL,NULL,NULL,NULL),(25,450,1,12,12,NULL,NULL,NULL,NULL),(25,450,1,12,13,1,NULL,1,NULL),(25,450,1,12,14,1,1,NULL,1),(25,450,1,12,15,NULL,2,NULL,1),(25,450,1,12,16,NULL,NULL,NULL,NULL),(25,450,1,12,17,NULL,2,NULL,1),(25,450,1,12,18,NULL,NULL,NULL,NULL),(25,450,1,12,19,2,NULL,1,NULL),(25,450,1,12,20,NULL,2,NULL,1),(25,450,1,12,21,1,1,NULL,1),(25,450,1,12,22,NULL,1,NULL,1),(25,450,1,12,23,1,NULL,1,NULL),(25,450,1,12,24,NULL,NULL,NULL,NULL),(25,450,1,12,25,NULL,1,NULL,NULL),(25,450,1,12,26,1,NULL,1,NULL),(25,450,1,12,27,NULL,NULL,NULL,NULL),(25,450,1,12,28,NULL,NULL,NULL,NULL),(25,450,1,12,29,NULL,1,NULL,1),(25,450,1,12,30,NULL,1,NULL,1),(25,450,1,12,31,NULL,1,NULL,NULL),(25,450,1,12,32,NULL,1,NULL,1),(25,450,1,12,33,NULL,NULL,NULL,NULL),(25,450,1,12,34,NULL,1,NULL,1),(25,450,1,12,35,NULL,1,NULL,1),(25,450,1,12,36,NULL,NULL,NULL,NULL),(25,450,1,12,37,1,NULL,1,NULL),(25,450,1,12,38,NULL,1,NULL,1),(25,450,1,12,39,NULL,1,NULL,1),(25,450,1,12,40,NULL,1,NULL,1),(25,450,1,13,1,NULL,3,NULL,NULL),(25,450,1,13,2,NULL,2,NULL,NULL),(25,450,1,13,3,1,NULL,NULL,NULL),(25,450,1,13,4,2,1,NULL,NULL),(25,450,1,13,5,NULL,3,NULL,NULL),(25,450,1,13,6,NULL,1,NULL,NULL),(25,450,1,13,7,NULL,3,NULL,NULL),(25,450,1,13,8,1,NULL,NULL,NULL),(25,450,1,13,9,1,1,NULL,NULL),(25,450,1,13,10,NULL,NULL,NULL,NULL),(25,450,1,13,11,NULL,1,NULL,NULL),(25,450,1,13,12,NULL,NULL,NULL,NULL),(25,450,1,13,13,3,NULL,NULL,NULL),(25,450,1,13,14,2,NULL,NULL,NULL),(25,450,1,13,15,2,NULL,NULL,NULL),(25,450,1,13,16,2,NULL,NULL,NULL),(25,450,1,13,17,4,NULL,NULL,NULL),(25,450,1,13,18,4,NULL,NULL,NULL),(25,450,1,13,19,1,1,NULL,NULL),(25,450,1,13,20,2,2,NULL,NULL),(25,450,1,13,21,NULL,3,NULL,NULL),(25,450,1,13,22,NULL,1,NULL,NULL),(25,450,1,13,23,NULL,1,NULL,NULL),(25,450,1,13,24,NULL,NULL,NULL,NULL),(25,450,1,13,25,2,1,NULL,NULL),(25,450,1,13,26,NULL,NULL,NULL,NULL),(25,450,1,13,27,NULL,NULL,NULL,NULL),(25,450,1,13,28,NULL,4,NULL,NULL),(25,450,1,13,29,NULL,NULL,NULL,NULL),(25,450,1,13,30,NULL,NULL,NULL,NULL),(25,450,1,13,31,NULL,NULL,NULL,NULL),(25,450,1,13,32,NULL,NULL,NULL,NULL),(25,450,1,13,33,1,NULL,NULL,NULL),(25,450,1,13,34,NULL,2,NULL,NULL),(25,450,1,13,35,1,1,NULL,NULL),(25,450,1,13,36,NULL,NULL,NULL,NULL),(25,450,1,13,37,NULL,NULL,NULL,NULL),(25,450,1,13,38,NULL,3,NULL,NULL),(25,450,1,13,39,NULL,1,NULL,NULL),(25,450,1,13,40,NULL,NULL,NULL,NULL),(25,450,1,14,1,19,26,4,7),(25,450,1,14,2,12,18,5,5),(25,450,1,14,3,12,14,3,4),(25,450,1,14,4,33,12,7,3),(25,450,1,14,5,8,22,4,4),(25,450,1,14,6,9,16,4,3),(25,450,1,14,7,13,31,2,8),(25,450,1,14,8,22,6,9,1),(25,450,1,14,9,12,19,3,4),(25,450,1,14,10,4,12,3,4),(25,450,1,14,11,6,9,1,4),(25,450,1,14,12,8,12,4,1),(25,450,1,14,13,18,10,5,1),(25,450,1,14,14,15,18,5,2),(25,450,1,14,15,18,15,4,3),(25,450,1,14,16,13,16,4,4),(25,450,1,14,17,23,10,6,2),(25,450,1,14,18,25,6,7,1),(25,450,1,14,19,23,26,6,4),(25,450,1,14,20,27,3,7,NULL),(25,450,1,14,21,11,18,1,6),(25,450,1,14,22,5,14,NULL,6),(25,450,1,14,23,5,9,1,3),(25,450,1,14,24,1,6,NULL,2),(25,450,1,14,25,4,12,2,2),(25,450,1,14,26,10,NULL,4,NULL),(25,450,1,14,27,2,NULL,NULL,NULL),(25,450,1,14,28,6,15,2,4),(25,450,1,14,29,6,7,1,2),(25,450,1,14,30,2,13,1,4),(25,450,1,14,31,1,5,NULL,3),(25,450,1,14,32,7,5,4,3),(25,450,1,14,33,6,7,3,2),(25,450,1,14,34,4,9,1,2),(25,450,1,14,35,9,6,1,1),(25,450,1,14,36,11,18,5,5),(25,450,1,14,37,10,4,4,NULL),(25,450,1,14,38,2,29,NULL,6),(25,450,1,14,39,3,25,1,7),(25,450,1,14,40,2,7,1,2),(25,450,1,15,1,20,27,5,4),(25,450,1,15,2,10,15,3,3),(25,450,1,15,3,14,9,2,4),(25,450,1,15,4,41,11,8,2),(25,450,1,15,5,8,13,1,6),(25,450,1,15,6,8,20,1,4),(25,450,1,15,7,15,26,4,4),(25,450,1,15,8,14,9,6,3),(25,450,1,15,9,9,14,2,3),(25,450,1,15,10,4,6,2,2),(25,450,1,15,11,8,12,2,4),(25,450,1,15,12,9,7,2,1),(25,450,1,15,13,19,9,6,1),(25,450,1,15,14,23,10,4,1),(25,450,1,15,15,29,12,7,1),(25,450,1,15,16,15,16,4,1),(25,450,1,15,17,24,7,7,1),(25,450,1,15,18,34,5,9,1),(25,450,1,15,19,34,14,8,NULL),(25,450,1,15,20,25,4,7,NULL),(25,450,1,15,21,6,20,2,4),(25,450,1,15,22,6,13,1,2),(25,450,1,15,23,1,12,1,2),(25,450,1,15,24,2,11,NULL,2),(25,450,1,15,25,3,8,2,1),(25,450,1,15,26,6,NULL,2,NULL),(25,450,1,15,27,2,NULL,NULL,NULL),(25,450,1,15,28,2,17,1,4),(25,450,1,15,29,6,9,1,2),(25,450,1,15,30,4,6,NULL,2),(25,450,1,15,31,NULL,4,NULL,NULL),(25,450,1,15,32,4,3,3,NULL),(25,450,1,15,33,4,11,1,2),(25,450,1,15,34,7,6,2,1),(25,450,1,15,35,8,8,3,NULL),(25,450,1,15,36,21,13,3,3),(25,450,1,15,37,7,6,2,1),(25,450,1,15,38,2,27,NULL,6),(25,450,1,15,39,4,23,NULL,1),(25,450,1,15,40,2,11,1,3),(25,450,1,16,1,10,7,1,NULL),(25,450,1,16,2,7,5,1,NULL),(25,450,1,16,3,8,1,2,NULL),(25,450,1,16,4,18,4,1,NULL),(25,450,1,16,5,2,7,1,1),(25,450,1,16,6,5,7,NULL,1),(25,450,1,16,7,8,13,2,NULL),(25,450,1,16,8,4,1,1,NULL),(25,450,1,16,9,5,10,NULL,2),(25,450,1,16,10,2,1,NULL,1),(25,450,1,16,11,3,4,1,1),(25,450,1,16,12,5,3,NULL,NULL),(25,450,1,16,13,14,1,2,NULL),(25,450,1,16,14,9,5,NULL,1),(25,450,1,16,15,10,NULL,1,NULL),(25,450,1,16,16,4,16,NULL,1),(25,450,1,16,17,4,9,NULL,1),(25,450,1,16,18,10,9,NULL,2),(25,450,1,16,19,2,14,NULL,NULL),(25,450,1,16,20,18,NULL,2,NULL),(25,450,1,16,21,3,9,NULL,2),(25,450,1,16,22,NULL,4,NULL,1),(25,450,1,16,23,1,4,NULL,1),(25,450,1,16,24,2,4,NULL,1),(25,450,1,16,25,2,2,NULL,NULL),(25,450,1,16,26,2,NULL,1,NULL),(25,450,1,16,27,NULL,NULL,NULL,NULL),(25,450,1,16,28,4,10,1,1),(25,450,1,16,29,1,2,NULL,NULL),(25,450,1,16,30,1,2,NULL,NULL),(25,450,1,16,31,1,1,NULL,1),(25,450,1,16,32,2,3,1,1),(25,450,1,16,33,3,4,2,NULL),(25,450,1,16,34,3,3,1,1),(25,450,1,16,35,1,1,1,NULL),(25,450,1,16,36,6,6,2,NULL),(25,450,1,16,37,3,3,1,NULL),(25,450,1,16,38,5,9,NULL,2),(25,450,1,16,39,2,12,1,1),(25,450,1,16,40,NULL,1,NULL,NULL),(25,450,1,17,1,9,6,3,1),(25,450,1,17,2,3,3,NULL,1),(25,450,1,17,3,3,4,2,NULL),(25,450,1,17,4,11,5,4,NULL),(25,450,1,17,5,3,3,1,2),(25,450,1,17,6,5,7,3,1),(25,450,1,17,7,1,15,NULL,4),(25,450,1,17,8,8,NULL,4,NULL),(25,450,1,17,9,5,5,1,1),(25,450,1,17,10,2,2,1,1),(25,450,1,17,11,4,5,2,1),(25,450,1,17,12,3,2,3,NULL),(25,450,1,17,13,8,2,1,NULL),(25,450,1,17,14,5,4,1,1),(25,450,1,17,15,13,NULL,4,NULL),(25,450,1,17,16,2,10,NULL,2),(25,450,1,17,17,1,9,NULL,3),(25,450,1,17,18,1,18,NULL,3),(25,450,1,17,19,1,8,NULL,2),(25,450,1,17,20,14,NULL,2,NULL),(25,450,1,17,21,4,6,1,2),(25,450,1,17,22,2,5,NULL,2),(25,450,1,17,23,1,5,NULL,3),(25,450,1,17,24,2,2,NULL,NULL),(25,450,1,17,25,2,NULL,NULL,NULL),(25,450,1,17,26,2,NULL,NULL,NULL),(25,450,1,17,27,NULL,NULL,NULL,NULL),(25,450,1,17,28,1,9,NULL,2),(25,450,1,17,29,NULL,3,NULL,NULL),(25,450,1,17,30,1,3,NULL,1),(25,450,1,17,31,1,1,1,1),(25,450,1,17,32,1,1,1,NULL),(25,450,1,17,33,1,3,1,NULL),(25,450,1,17,34,3,5,1,NULL),(25,450,1,17,35,7,2,3,NULL),(25,450,1,17,36,2,6,2,1),(25,450,1,17,37,4,2,2,1),(25,450,1,17,38,NULL,7,NULL,1),(25,450,1,17,39,NULL,4,NULL,NULL),(25,450,1,17,40,1,4,1,1),(25,450,2,21,1,5,13,1,3),(25,450,2,21,2,2,7,NULL,2),(25,450,2,21,3,9,10,3,3),(25,450,2,21,4,7,13,1,6),(25,450,2,21,5,12,11,2,1),(25,450,2,21,6,5,9,2,5),(25,450,2,21,7,1,7,NULL,2),(25,450,2,21,8,10,9,2,2),(25,450,2,21,9,24,10,6,NULL),(25,450,2,21,10,8,11,3,3),(25,450,2,21,11,2,27,NULL,4),(25,450,2,21,12,6,10,1,4),(25,450,2,21,13,19,4,6,NULL),(25,450,2,21,14,5,14,3,2),(25,450,2,21,15,8,11,2,2),(25,450,2,21,16,4,15,2,4),(25,450,2,21,17,4,20,1,2),(25,450,2,21,18,7,13,NULL,2),(25,450,2,21,19,5,9,1,1),(25,450,2,21,20,4,9,1,3),(25,450,2,21,21,2,5,NULL,2),(25,450,2,21,22,NULL,1,NULL,NULL),(25,450,2,21,23,2,9,1,6),(25,450,2,21,24,2,7,NULL,1),(25,450,2,21,25,3,NULL,NULL,NULL),(25,450,2,21,26,3,2,1,1),(25,450,2,21,27,NULL,4,NULL,1),(25,450,2,21,28,1,5,1,1),(25,450,2,21,29,NULL,9,NULL,1),(25,450,2,21,30,1,7,NULL,2),(25,450,2,21,31,8,8,2,3),(25,450,2,21,32,NULL,6,NULL,1),(25,450,2,21,33,11,8,6,1),(25,450,2,21,34,NULL,5,NULL,1),(25,450,2,21,35,3,7,3,1),(25,450,2,21,36,6,6,1,1),(25,450,2,21,37,2,5,1,2),(25,450,2,21,38,14,8,6,1),(25,450,2,21,39,22,NULL,8,NULL),(25,450,2,21,40,NULL,5,NULL,2),(25,450,2,22,1,6,15,1,4),(25,450,2,22,2,3,8,NULL,3),(25,450,2,22,3,5,11,1,3),(25,450,2,22,4,5,5,2,NULL),(25,450,2,22,5,17,10,3,1),(25,450,2,22,6,7,6,NULL,3),(25,450,2,22,7,2,4,NULL,1),(25,450,2,22,8,11,14,5,1),(25,450,2,22,9,21,8,5,1),(25,450,2,22,10,7,13,3,2),(25,450,2,22,11,5,20,1,3),(25,450,2,22,12,3,12,1,3),(25,450,2,22,13,23,5,5,1),(25,450,2,22,14,6,16,1,2),(25,450,2,22,15,9,12,NULL,1),(25,450,2,22,16,3,8,1,NULL),(25,450,2,22,17,6,16,3,2),(25,450,2,22,18,4,13,NULL,3),(25,450,2,22,19,2,8,NULL,NULL),(25,450,2,22,20,5,14,2,2),(25,450,2,22,21,2,5,NULL,1),(25,450,2,22,22,NULL,2,NULL,NULL),(25,450,2,22,23,NULL,7,NULL,1),(25,450,2,22,24,NULL,3,NULL,2),(25,450,2,22,25,2,NULL,1,NULL),(25,450,2,22,26,1,2,NULL,NULL),(25,450,2,22,27,NULL,2,NULL,NULL),(25,450,2,22,28,NULL,5,NULL,3),(25,450,2,22,29,2,5,NULL,2),(25,450,2,22,30,3,7,NULL,2),(25,450,2,22,31,4,5,1,1),(25,450,2,22,32,1,5,NULL,2),(25,450,2,22,33,4,6,NULL,3),(25,450,2,22,34,1,6,1,1),(25,450,2,22,35,2,4,1,NULL),(25,450,2,22,36,6,4,1,1),(25,450,2,22,37,NULL,6,NULL,1),(25,450,2,22,38,8,9,1,3),(25,450,2,22,39,20,NULL,2,NULL),(25,450,2,22,40,1,3,NULL,NULL),(25,450,2,23,1,4,12,NULL,2),(25,450,2,23,2,NULL,6,NULL,NULL),(25,450,2,23,3,5,7,1,2),(25,450,2,23,4,4,6,NULL,NULL),(25,450,2,23,5,10,6,3,1),(25,450,2,23,6,4,3,2,1),(25,450,2,23,7,NULL,8,NULL,1),(25,450,2,23,8,11,7,3,1),(25,450,2,23,9,15,10,4,2),(25,450,2,23,10,5,8,1,NULL),(25,450,2,23,11,3,24,NULL,3),(25,450,2,23,12,3,9,1,NULL),(25,450,2,23,13,18,7,4,1),(25,450,2,23,14,2,6,NULL,3),(25,450,2,23,15,3,12,1,3),(25,450,2,23,16,2,9,NULL,1),(25,450,2,23,17,7,11,1,1),(25,450,2,23,18,9,4,2,NULL),(25,450,2,23,19,4,6,NULL,2),(25,450,2,23,20,5,8,1,2),(25,450,2,23,21,1,2,1,NULL),(25,450,2,23,22,NULL,NULL,NULL,NULL),(25,450,2,23,23,3,5,NULL,2),(25,450,2,23,24,2,6,NULL,2),(25,450,2,23,25,2,NULL,NULL,NULL),(25,450,2,23,26,1,NULL,NULL,NULL),(25,450,2,23,27,3,2,NULL,NULL),(25,450,2,23,28,NULL,3,NULL,NULL),(25,450,2,23,29,1,5,NULL,2),(25,450,2,23,30,1,4,NULL,1),(25,450,2,23,31,3,4,NULL,2),(25,450,2,23,32,1,4,NULL,1),(25,450,2,23,33,8,3,2,1),(25,450,2,23,34,2,4,NULL,1),(25,450,2,23,35,3,4,2,2),(25,450,2,23,36,1,5,NULL,1),(25,450,2,23,37,2,3,1,NULL),(25,450,2,23,38,10,11,3,2),(25,450,2,23,39,13,NULL,4,NULL),(25,450,2,23,40,NULL,4,NULL,1),(25,450,2,24,1,7,10,2,4),(25,450,2,24,2,NULL,13,NULL,3),(25,450,2,24,3,6,12,3,3),(25,450,2,24,4,2,8,NULL,3),(25,450,2,24,5,8,11,5,2),(25,450,2,24,6,4,7,2,3),(25,450,2,24,7,1,3,NULL,1),(25,450,2,24,8,9,10,3,2),(25,450,2,24,9,18,8,6,1),(25,450,2,24,10,7,8,2,3),(25,450,2,24,11,2,18,NULL,5),(25,450,2,24,12,3,11,NULL,2),(25,450,2,24,13,16,5,4,2),(25,450,2,24,14,1,12,NULL,3),(25,450,2,24,15,8,7,4,2),(25,450,2,24,16,3,9,NULL,3),(25,450,2,24,17,2,9,NULL,5),(25,450,2,24,18,3,12,1,4),(25,450,2,24,19,2,5,NULL,1),(25,450,2,24,20,4,13,1,4),(25,450,2,24,21,1,4,1,1),(25,450,2,24,22,NULL,1,NULL,NULL),(25,450,2,24,23,1,1,NULL,1),(25,450,2,24,24,3,4,2,2),(25,450,2,24,25,3,NULL,1,NULL),(25,450,2,24,26,NULL,1,NULL,1),(25,450,2,24,27,NULL,1,NULL,NULL),(25,450,2,24,28,1,4,NULL,1),(25,450,2,24,29,1,5,NULL,1),(25,450,2,24,30,1,2,1,NULL),(25,450,2,24,31,6,7,3,4),(25,450,2,24,32,NULL,5,NULL,3),(25,450,2,24,33,4,7,2,3),(25,450,2,24,34,1,4,1,1),(25,450,2,24,35,1,9,1,3),(25,450,2,24,36,3,5,NULL,1),(25,450,2,24,37,2,1,2,1),(25,450,2,24,38,7,6,3,2),(25,450,2,24,39,11,NULL,4,NULL),(25,450,2,24,40,1,2,1,1),(25,451,1,11,1,NULL,1,NULL,1),(25,451,1,11,2,NULL,1,NULL,1),(25,451,1,11,3,NULL,NULL,NULL,NULL),(25,451,1,11,4,NULL,NULL,NULL,NULL),(25,451,1,11,5,NULL,1,NULL,1),(25,451,1,11,6,NULL,NULL,NULL,NULL),(25,451,1,11,7,NULL,1,NULL,1),(25,451,1,11,8,NULL,NULL,NULL,NULL),(25,451,1,11,9,NULL,1,NULL,1),(25,451,1,11,10,NULL,NULL,NULL,NULL),(25,451,1,11,11,NULL,NULL,NULL,NULL),(25,451,1,11,12,1,NULL,1,NULL),(25,451,1,11,13,NULL,1,NULL,1),(25,451,1,11,14,NULL,NULL,NULL,NULL),(25,451,1,11,15,NULL,1,NULL,1),(25,451,1,11,16,NULL,1,NULL,1),(25,451,1,11,17,NULL,NULL,NULL,NULL),(25,451,1,11,18,NULL,1,NULL,1),(25,451,1,11,19,NULL,1,NULL,1),(25,451,1,11,20,NULL,1,NULL,1),(25,451,1,11,21,NULL,NULL,NULL,NULL),(25,451,1,11,22,NULL,1,NULL,1),(25,451,1,11,23,NULL,1,NULL,1),(25,451,1,11,24,NULL,NULL,NULL,NULL),(25,451,1,11,25,NULL,NULL,NULL,NULL),(25,451,1,11,26,NULL,NULL,NULL,NULL),(25,451,1,11,27,NULL,NULL,NULL,NULL),(25,451,1,11,28,NULL,NULL,NULL,NULL),(25,451,1,11,29,NULL,NULL,NULL,NULL),(25,451,1,11,30,NULL,NULL,NULL,NULL),(25,451,1,11,31,NULL,NULL,NULL,NULL),(25,451,1,11,32,NULL,NULL,NULL,NULL),(25,451,1,11,33,NULL,NULL,NULL,NULL),(25,451,1,11,34,NULL,NULL,NULL,NULL),(25,451,1,11,35,NULL,NULL,NULL,NULL),(25,451,1,11,36,NULL,NULL,NULL,NULL),(25,451,1,11,37,NULL,NULL,NULL,NULL),(25,451,1,11,38,NULL,1,NULL,1),(25,451,1,11,39,NULL,1,NULL,1),(25,451,1,11,40,NULL,NULL,NULL,NULL),(25,451,1,12,1,NULL,1,NULL,NULL),(25,451,1,12,2,NULL,NULL,NULL,NULL),(25,451,1,12,3,NULL,NULL,NULL,NULL),(25,451,1,12,4,1,NULL,NULL,NULL),(25,451,1,12,5,NULL,NULL,NULL,NULL),(25,451,1,12,6,NULL,NULL,NULL,NULL),(25,451,1,12,7,NULL,1,NULL,NULL),(25,451,1,12,8,NULL,NULL,NULL,NULL),(25,451,1,12,9,1,NULL,NULL,NULL),(25,451,1,12,10,NULL,NULL,NULL,NULL),(25,451,1,12,11,NULL,NULL,NULL,NULL),(25,451,1,12,12,NULL,NULL,NULL,NULL),(25,451,1,12,13,1,NULL,NULL,NULL),(25,451,1,12,14,1,NULL,NULL,NULL),(25,451,1,12,15,1,NULL,NULL,NULL),(25,451,1,12,16,NULL,NULL,NULL,NULL),(25,451,1,12,17,NULL,1,NULL,NULL),(25,451,1,12,18,NULL,1,NULL,NULL),(25,451,1,12,19,1,NULL,NULL,NULL),(25,451,1,12,20,1,NULL,NULL,NULL),(25,451,1,12,21,NULL,1,NULL,NULL),(25,451,1,12,22,NULL,NULL,NULL,NULL),(25,451,1,12,23,NULL,1,NULL,NULL),(25,451,1,12,24,NULL,NULL,NULL,NULL),(25,451,1,12,25,NULL,1,NULL,NULL),(25,451,1,12,26,NULL,NULL,NULL,NULL),(25,451,1,12,27,NULL,NULL,NULL,NULL),(25,451,1,12,28,1,NULL,NULL,NULL),(25,451,1,12,29,NULL,NULL,NULL,NULL),(25,451,1,12,30,NULL,NULL,NULL,NULL),(25,451,1,12,31,NULL,NULL,NULL,NULL),(25,451,1,12,32,NULL,NULL,NULL,NULL),(25,451,1,12,33,NULL,NULL,NULL,NULL),(25,451,1,12,34,NULL,NULL,NULL,NULL),(25,451,1,12,35,NULL,NULL,NULL,NULL),(25,451,1,12,36,NULL,1,NULL,NULL),(25,451,1,12,37,NULL,NULL,NULL,NULL),(25,451,1,12,38,NULL,NULL,NULL,NULL),(25,451,1,12,39,NULL,NULL,NULL,NULL),(25,451,1,12,40,NULL,NULL,NULL,NULL),(25,451,1,13,1,NULL,NULL,NULL,NULL),(25,451,1,13,2,NULL,NULL,NULL,NULL),(25,451,1,13,3,NULL,NULL,NULL,NULL),(25,451,1,13,4,NULL,NULL,NULL,NULL),(25,451,1,13,5,NULL,NULL,NULL,NULL),(25,451,1,13,6,NULL,NULL,NULL,NULL),(25,451,1,13,7,NULL,NULL,NULL,NULL),(25,451,1,13,8,NULL,NULL,NULL,NULL),(25,451,1,13,9,NULL,NULL,NULL,NULL),(25,451,1,13,10,NULL,NULL,NULL,NULL),(25,451,1,13,11,NULL,NULL,NULL,NULL),(25,451,1,13,12,NULL,NULL,NULL,NULL),(25,451,1,13,13,NULL,NULL,NULL,NULL),(25,451,1,13,14,NULL,NULL,NULL,NULL),(25,451,1,13,15,NULL,NULL,NULL,NULL),(25,451,1,13,16,NULL,NULL,NULL,NULL),(25,451,1,13,17,NULL,NULL,NULL,NULL),(25,451,1,13,18,NULL,NULL,NULL,NULL),(25,451,1,13,19,NULL,NULL,NULL,NULL),(25,451,1,13,20,NULL,NULL,NULL,NULL),(25,451,1,13,21,NULL,NULL,NULL,NULL),(25,451,1,13,22,NULL,NULL,NULL,NULL),(25,451,1,13,23,NULL,NULL,NULL,NULL),(25,451,1,13,24,NULL,NULL,NULL,NULL),(25,451,1,13,25,NULL,NULL,NULL,NULL),(25,451,1,13,26,NULL,NULL,NULL,NULL),(25,451,1,13,27,NULL,NULL,NULL,NULL),(25,451,1,13,28,NULL,NULL,NULL,NULL),(25,451,1,13,29,NULL,NULL,NULL,NULL),(25,451,1,13,30,NULL,NULL,NULL,NULL),(25,451,1,13,31,NULL,NULL,NULL,NULL),(25,451,1,13,32,NULL,NULL,NULL,NULL),(25,451,1,13,33,NULL,NULL,NULL,NULL),(25,451,1,13,34,NULL,NULL,NULL,NULL),(25,451,1,13,35,NULL,NULL,NULL,NULL),(25,451,1,13,36,NULL,NULL,NULL,NULL),(25,451,1,13,37,NULL,NULL,NULL,NULL),(25,451,1,13,38,NULL,NULL,NULL,NULL),(25,451,1,13,39,NULL,NULL,NULL,NULL),(25,451,1,13,40,NULL,NULL,NULL,NULL),(25,451,1,14,1,7,6,5,5),(25,451,1,14,2,3,5,2,4),(25,451,1,14,3,3,2,2,1),(25,451,1,14,4,10,11,3,8),(25,451,1,14,5,3,7,2,3),(25,451,1,14,6,3,7,1,5),(25,451,1,14,7,4,17,3,9),(25,451,1,14,8,5,6,4,2),(25,451,1,14,9,7,5,5,4),(25,451,1,14,10,2,1,2,1),(25,451,1,14,11,2,3,2,3),(25,451,1,14,12,3,2,3,1),(25,451,1,14,13,2,6,1,3),(25,451,1,14,14,6,4,3,3),(25,451,1,14,15,7,1,6,NULL),(25,451,1,14,16,3,4,1,2),(25,451,1,14,17,7,2,6,1),(25,451,1,14,18,5,5,5,2),(25,451,1,14,19,8,8,4,6),(25,451,1,14,20,4,4,3,NULL),(25,451,1,14,21,4,8,4,6),(25,451,1,14,22,3,6,2,3),(25,451,1,14,23,1,2,1,NULL),(25,451,1,14,24,2,2,1,1),(25,451,1,14,25,3,4,3,4),(25,451,1,14,26,4,NULL,3,NULL),(25,451,1,14,27,NULL,NULL,NULL,NULL),(25,451,1,14,28,3,12,1,7),(25,451,1,14,29,NULL,4,NULL,4),(25,451,1,14,30,NULL,9,NULL,5),(25,451,1,14,31,NULL,NULL,NULL,NULL),(25,451,1,14,32,NULL,1,NULL,1),(25,451,1,14,33,2,8,2,5),(25,451,1,14,34,1,4,1,1),(25,451,1,14,35,3,2,2,1),(25,451,1,14,36,3,6,2,2),(25,451,1,14,37,2,2,2,1),(25,451,1,14,38,NULL,13,NULL,6),(25,451,1,14,39,1,6,NULL,4),(25,451,1,14,40,1,1,1,1),(25,451,1,15,1,2,4,NULL,3),(25,451,1,15,2,NULL,3,NULL,2),(25,451,1,15,3,3,1,1,1),(25,451,1,15,4,7,3,3,1),(25,451,1,15,5,2,2,1,NULL),(25,451,1,15,6,NULL,2,NULL,NULL),(25,451,1,15,7,2,6,2,2),(25,451,1,15,8,2,1,1,1),(25,451,1,15,9,1,3,1,NULL),(25,451,1,15,10,NULL,1,NULL,1),(25,451,1,15,11,NULL,1,NULL,NULL),(25,451,1,15,12,3,NULL,1,NULL),(25,451,1,15,13,1,1,1,NULL),(25,451,1,15,14,2,2,1,NULL),(25,451,1,15,15,2,3,NULL,1),(25,451,1,15,16,3,2,NULL,2),(25,451,1,15,17,1,1,NULL,NULL),(25,451,1,15,18,4,3,3,1),(25,451,1,15,19,2,10,1,4),(25,451,1,15,20,3,1,NULL,1),(25,451,1,15,21,2,1,NULL,NULL),(25,451,1,15,22,1,4,1,3),(25,451,1,15,23,1,NULL,NULL,NULL),(25,451,1,15,24,2,1,NULL,1),(25,451,1,15,25,NULL,3,NULL,1),(25,451,1,15,26,NULL,NULL,NULL,NULL),(25,451,1,15,27,NULL,NULL,NULL,NULL),(25,451,1,15,28,1,5,NULL,2),(25,451,1,15,29,1,2,NULL,2),(25,451,1,15,30,2,1,NULL,1),(25,451,1,15,31,NULL,NULL,NULL,NULL),(25,451,1,15,32,NULL,NULL,NULL,NULL),(25,451,1,15,33,1,3,NULL,NULL),(25,451,1,15,34,NULL,1,NULL,NULL),(25,451,1,15,35,NULL,1,NULL,1),(25,451,1,15,36,1,1,1,NULL),(25,451,1,15,37,NULL,1,NULL,1),(25,451,1,15,38,1,6,1,2),(25,451,1,15,39,NULL,3,NULL,1),(25,451,1,15,40,NULL,1,NULL,1),(25,451,1,16,1,4,8,1,2),(25,451,1,16,2,3,1,3,NULL),(25,451,1,16,3,2,2,1,1),(25,451,1,16,4,6,7,2,2),(25,451,1,16,5,1,4,NULL,1),(25,451,1,16,6,2,5,2,NULL),(25,451,1,16,7,3,5,1,2),(25,451,1,16,8,3,4,1,1),(25,451,1,16,9,1,6,NULL,3),(25,451,1,16,10,1,1,1,NULL),(25,451,1,16,11,NULL,NULL,NULL,NULL),(25,451,1,16,12,4,3,1,2),(25,451,1,16,13,6,3,3,1),(25,451,1,16,14,3,3,2,1),(25,451,1,16,15,9,NULL,4,NULL),(25,451,1,16,16,3,4,2,NULL),(25,451,1,16,17,1,9,NULL,2),(25,451,1,16,18,5,7,NULL,3),(25,451,1,16,19,NULL,5,NULL,1),(25,451,1,16,20,9,NULL,2,NULL),(25,451,1,16,21,2,7,NULL,2),(25,451,1,16,22,NULL,4,NULL,2),(25,451,1,16,23,NULL,1,NULL,NULL),(25,451,1,16,24,NULL,3,NULL,1),(25,451,1,16,25,3,1,NULL,NULL),(25,451,1,16,26,NULL,NULL,NULL,NULL),(25,451,1,16,27,1,NULL,NULL,NULL),(25,451,1,16,28,3,3,NULL,2),(25,451,1,16,29,1,4,NULL,3),(25,451,1,16,30,2,2,1,2),(25,451,1,16,31,NULL,1,NULL,1),(25,451,1,16,32,NULL,1,NULL,1),(25,451,1,16,33,1,3,NULL,2),(25,451,1,16,34,1,3,1,1),(25,451,1,16,35,NULL,2,NULL,1),(25,451,1,16,36,NULL,2,NULL,NULL),(25,451,1,16,37,2,1,NULL,NULL),(25,451,1,16,38,NULL,9,NULL,2),(25,451,1,16,39,NULL,4,NULL,2),(25,451,1,16,40,NULL,1,NULL,1),(25,451,1,17,1,3,4,1,2),(25,451,1,17,2,NULL,4,NULL,2),(25,451,1,17,3,NULL,2,NULL,1),(25,451,1,17,4,6,3,4,2),(25,451,1,17,5,2,1,2,NULL),(25,451,1,17,6,2,2,1,1),(25,451,1,17,7,NULL,7,NULL,4),(25,451,1,17,8,2,4,NULL,3),(25,451,1,17,9,2,NULL,1,NULL),(25,451,1,17,10,1,NULL,1,NULL),(25,451,1,17,11,NULL,1,NULL,1),(25,451,1,17,12,NULL,NULL,NULL,NULL),(25,451,1,17,13,4,2,4,1),(25,451,1,17,14,3,3,1,3),(25,451,1,17,15,7,NULL,4,NULL),(25,451,1,17,16,2,3,2,2),(25,451,1,17,17,1,4,NULL,2),(25,451,1,17,18,2,7,NULL,5),(25,451,1,17,19,NULL,5,NULL,2),(25,451,1,17,20,8,NULL,5,NULL),(25,451,1,17,21,NULL,7,NULL,4),(25,451,1,17,22,1,1,NULL,1),(25,451,1,17,23,NULL,2,NULL,1),(25,451,1,17,24,1,2,1,2),(25,451,1,17,25,NULL,NULL,NULL,NULL),(25,451,1,17,26,2,NULL,1,NULL),(25,451,1,17,27,NULL,NULL,NULL,NULL),(25,451,1,17,28,2,2,1,2),(25,451,1,17,29,1,1,NULL,1),(25,451,1,17,30,NULL,2,NULL,1),(25,451,1,17,31,NULL,NULL,NULL,NULL),(25,451,1,17,32,NULL,NULL,NULL,NULL),(25,451,1,17,33,NULL,1,NULL,1),(25,451,1,17,34,NULL,1,NULL,NULL),(25,451,1,17,35,NULL,4,NULL,4),(25,451,1,17,36,2,2,1,2),(25,451,1,17,37,1,3,1,3),(25,451,1,17,38,1,3,NULL,1),(25,451,1,17,39,1,5,NULL,2),(25,451,1,17,40,NULL,NULL,NULL,NULL),(25,451,2,21,1,2,1,NULL,NULL),(25,451,2,21,2,1,3,NULL,1),(25,451,2,21,3,1,5,NULL,3),(25,451,2,21,4,1,3,NULL,1),(25,451,2,21,5,3,2,NULL,NULL),(25,451,2,21,6,1,3,1,1),(25,451,2,21,7,NULL,1,NULL,1),(25,451,2,21,8,1,2,1,1),(25,451,2,21,9,3,7,2,2),(25,451,2,21,10,1,2,NULL,2),(25,451,2,21,11,2,7,1,2),(25,451,2,21,12,NULL,2,NULL,1),(25,451,2,21,13,5,1,3,NULL),(25,451,2,21,14,1,5,NULL,2),(25,451,2,21,15,2,1,NULL,1),(25,451,2,21,16,NULL,4,NULL,2),(25,451,2,21,17,3,5,1,1),(25,451,2,21,18,4,4,NULL,1),(25,451,2,21,19,1,4,NULL,1),(25,451,2,21,20,NULL,4,NULL,2),(25,451,2,21,21,NULL,4,NULL,1),(25,451,2,21,22,NULL,NULL,NULL,NULL),(25,451,2,21,23,NULL,3,NULL,1),(25,451,2,21,24,1,1,NULL,1),(25,451,2,21,25,2,NULL,1,NULL),(25,451,2,21,26,1,NULL,NULL,NULL),(25,451,2,21,27,NULL,1,NULL,NULL),(25,451,2,21,28,NULL,NULL,NULL,NULL),(25,451,2,21,29,1,2,NULL,1),(25,451,2,21,30,NULL,2,NULL,1),(25,451,2,21,31,1,2,1,1),(25,451,2,21,32,NULL,3,NULL,2),(25,451,2,21,33,2,2,1,1),(25,451,2,21,34,NULL,NULL,NULL,NULL),(25,451,2,21,35,NULL,3,NULL,2),(25,451,2,21,36,1,3,NULL,2),(25,451,2,21,37,NULL,4,NULL,2),(25,451,2,21,38,1,1,NULL,NULL),(25,451,2,21,39,2,NULL,2,NULL),(25,451,2,21,40,NULL,2,NULL,NULL),(25,451,2,22,1,1,6,1,3),(25,451,2,22,2,1,3,NULL,1),(25,451,2,22,3,2,4,2,1),(25,451,2,22,4,NULL,1,NULL,1),(25,451,2,22,5,4,6,3,3),(25,451,2,22,6,NULL,3,NULL,2),(25,451,2,22,7,NULL,1,NULL,1),(25,451,2,22,8,NULL,4,NULL,1),(25,451,2,22,9,4,8,2,4),(25,451,2,22,10,1,7,1,4),(25,451,2,22,11,3,7,1,3),(25,451,2,22,12,2,3,1,1),(25,451,2,22,13,6,2,5,NULL),(25,451,2,22,14,NULL,4,NULL,3),(25,451,2,22,15,1,7,1,4),(25,451,2,22,16,1,6,NULL,2),(25,451,2,22,17,NULL,6,NULL,2),(25,451,2,22,18,3,2,1,1),(25,451,2,22,19,2,3,2,3),(25,451,2,22,20,NULL,3,NULL,1),(25,451,2,22,21,NULL,4,NULL,1),(25,451,2,22,22,NULL,NULL,NULL,NULL),(25,451,2,22,23,2,1,1,1),(25,451,2,22,24,NULL,1,NULL,1),(25,451,2,22,25,1,NULL,1,NULL),(25,451,2,22,26,NULL,1,NULL,NULL),(25,451,2,22,27,1,1,NULL,1),(25,451,2,22,28,NULL,2,NULL,1),(25,451,2,22,29,NULL,2,NULL,NULL),(25,451,2,22,30,NULL,1,NULL,NULL),(25,451,2,22,31,1,2,1,NULL),(25,451,2,22,32,NULL,2,NULL,1),(25,451,2,22,33,1,1,1,1),(25,451,2,22,34,NULL,1,NULL,NULL),(25,451,2,22,35,NULL,1,NULL,1),(25,451,2,22,36,2,6,1,2),(25,451,2,22,37,1,1,NULL,1),(25,451,2,22,38,1,5,1,2),(25,451,2,22,39,6,NULL,5,NULL),(25,451,2,22,40,NULL,NULL,NULL,NULL),(25,451,2,23,1,1,5,1,4),(25,451,2,23,2,NULL,3,NULL,3),(25,451,2,23,3,2,4,1,1),(25,451,2,23,4,NULL,2,NULL,1),(25,451,2,23,5,3,4,1,3),(25,451,2,23,6,NULL,3,NULL,3),(25,451,2,23,7,NULL,3,NULL,NULL),(25,451,2,23,8,2,2,2,1),(25,451,2,23,9,3,6,1,3),(25,451,2,23,10,NULL,8,NULL,5),(25,451,2,23,11,1,12,1,3),(25,451,2,23,12,1,1,NULL,NULL),(25,451,2,23,13,8,4,3,2),(25,451,2,23,14,1,9,NULL,4),(25,451,2,23,15,2,5,1,3),(25,451,2,23,16,NULL,3,NULL,1),(25,451,2,23,17,3,2,NULL,1),(25,451,2,23,18,1,6,NULL,1),(25,451,2,23,19,2,3,1,NULL),(25,451,2,23,20,1,6,1,4),(25,451,2,23,21,NULL,2,NULL,NULL),(25,451,2,23,22,NULL,NULL,NULL,NULL),(25,451,2,23,23,NULL,2,NULL,2),(25,451,2,23,24,2,7,1,3),(25,451,2,23,25,1,NULL,1,NULL),(25,451,2,23,26,NULL,1,NULL,NULL),(25,451,2,23,27,NULL,3,NULL,1),(25,451,2,23,28,NULL,1,NULL,NULL),(25,451,2,23,29,1,1,NULL,NULL),(25,451,2,23,30,NULL,4,NULL,1),(25,451,2,23,31,1,2,1,1),(25,451,2,23,32,NULL,2,NULL,1),(25,451,2,23,33,NULL,2,NULL,1),(25,451,2,23,34,NULL,NULL,NULL,NULL),(25,451,2,23,35,2,5,1,3),(25,451,2,23,36,NULL,4,NULL,2),(25,451,2,23,37,NULL,3,NULL,2),(25,451,2,23,38,5,2,1,1),(25,451,2,23,39,2,NULL,2,NULL),(25,451,2,23,40,1,NULL,NULL,NULL),(25,451,2,24,1,1,3,NULL,2),(25,451,2,24,2,1,5,NULL,3),(25,451,2,24,3,3,4,2,2),(25,451,2,24,4,1,3,NULL,2),(25,451,2,24,5,2,4,1,3),(25,451,2,24,6,NULL,4,NULL,3),(25,451,2,24,7,1,1,1,1),(25,451,2,24,8,3,2,3,NULL),(25,451,2,24,9,5,3,3,1),(25,451,2,24,10,3,1,2,1),(25,451,2,24,11,2,12,NULL,7),(25,451,2,24,12,NULL,5,NULL,4),(25,451,2,24,13,5,4,3,2),(25,451,2,24,14,2,3,1,2),(25,451,2,24,15,4,4,3,1),(25,451,2,24,16,2,5,NULL,4),(25,451,2,24,17,2,5,1,2),(25,451,2,24,18,NULL,4,NULL,3),(25,451,2,24,19,1,1,1,1),(25,451,2,24,20,NULL,3,NULL,1),(25,451,2,24,21,NULL,1,NULL,NULL),(25,451,2,24,22,NULL,NULL,NULL,NULL),(25,451,2,24,23,NULL,1,NULL,NULL),(25,451,2,24,24,1,2,1,1),(25,451,2,24,25,NULL,NULL,NULL,NULL),(25,451,2,24,26,NULL,4,NULL,4),(25,451,2,24,27,NULL,1,NULL,1),(25,451,2,24,28,NULL,4,NULL,1),(25,451,2,24,29,1,1,NULL,NULL),(25,451,2,24,30,1,2,1,1),(25,451,2,24,31,2,1,2,1),(25,451,2,24,32,1,1,1,1),(25,451,2,24,33,2,3,1,1),(25,451,2,24,34,NULL,2,NULL,2),(25,451,2,24,35,1,1,1,NULL),(25,451,2,24,36,1,2,1,1),(25,451,2,24,37,NULL,2,NULL,1),(25,451,2,24,38,2,1,2,NULL),(25,451,2,24,39,6,NULL,5,NULL),(25,451,2,24,40,2,1,1,NULL),(25,452,1,11,1,NULL,NULL,NULL,NULL),(25,452,1,11,2,NULL,NULL,NULL,NULL),(25,452,1,11,3,NULL,NULL,NULL,NULL),(25,452,1,11,4,NULL,NULL,NULL,NULL),(25,452,1,11,5,NULL,NULL,NULL,NULL),(25,452,1,11,6,NULL,NULL,NULL,NULL),(25,452,1,11,7,NULL,NULL,NULL,NULL),(25,452,1,11,8,NULL,NULL,NULL,NULL),(25,452,1,11,9,NULL,NULL,NULL,NULL),(25,452,1,11,10,NULL,NULL,NULL,NULL),(25,452,1,11,11,NULL,NULL,NULL,NULL),(25,452,1,11,12,NULL,NULL,NULL,NULL),(25,452,1,11,13,NULL,NULL,NULL,NULL),(25,452,1,11,14,NULL,NULL,NULL,NULL),(25,452,1,11,15,NULL,NULL,NULL,NULL),(25,452,1,11,16,NULL,NULL,NULL,NULL),(25,452,1,11,17,NULL,NULL,NULL,NULL),(25,452,1,11,18,NULL,NULL,NULL,NULL),(25,452,1,11,19,NULL,NULL,NULL,NULL),(25,452,1,11,20,NULL,NULL,NULL,NULL),(25,452,1,11,21,NULL,NULL,NULL,NULL),(25,452,1,11,22,NULL,NULL,NULL,NULL),(25,452,1,11,23,NULL,NULL,NULL,NULL),(25,452,1,11,24,NULL,NULL,NULL,NULL),(25,452,1,11,25,NULL,NULL,NULL,NULL),(25,452,1,11,26,NULL,NULL,NULL,NULL),(25,452,1,11,27,NULL,NULL,NULL,NULL),(25,452,1,11,28,NULL,NULL,NULL,NULL),(25,452,1,11,29,NULL,NULL,NULL,NULL),(25,452,1,11,30,NULL,NULL,NULL,NULL),(25,452,1,11,31,NULL,NULL,NULL,NULL),(25,452,1,11,32,NULL,NULL,NULL,NULL),(25,452,1,11,33,NULL,NULL,NULL,NULL),(25,452,1,11,34,NULL,NULL,NULL,NULL),(25,452,1,11,35,NULL,NULL,NULL,NULL),(25,452,1,11,36,NULL,NULL,NULL,NULL),(25,452,1,11,37,NULL,NULL,NULL,NULL),(25,452,1,11,38,NULL,NULL,NULL,NULL),(25,452,1,11,39,NULL,NULL,NULL,NULL),(25,452,1,11,40,NULL,NULL,NULL,NULL),(25,452,1,12,1,NULL,2,NULL,1),(25,452,1,12,2,1,1,NULL,1),(25,452,1,12,3,1,NULL,1,NULL),(25,452,1,12,4,1,1,NULL,1),(25,452,1,12,5,1,NULL,1,NULL),(25,452,1,12,6,NULL,NULL,NULL,NULL),(25,452,1,12,7,NULL,2,NULL,1),(25,452,1,12,8,2,NULL,1,NULL),(25,452,1,12,9,NULL,1,NULL,1),(25,452,1,12,10,NULL,1,NULL,1),(25,452,1,12,11,NULL,NULL,NULL,NULL),(25,452,1,12,12,NULL,NULL,NULL,NULL),(25,452,1,12,13,1,1,1,NULL),(25,452,1,12,14,1,NULL,1,NULL),(25,452,1,12,15,1,1,1,NULL),(25,452,1,12,16,2,NULL,1,NULL),(25,452,1,12,17,1,NULL,1,NULL),(25,452,1,12,18,1,NULL,1,NULL),(25,452,1,12,19,1,NULL,1,NULL),(25,452,1,12,20,NULL,2,NULL,1),(25,452,1,12,21,NULL,NULL,NULL,NULL),(25,452,1,12,22,NULL,1,NULL,NULL),(25,452,1,12,23,NULL,1,NULL,1),(25,452,1,12,24,NULL,1,NULL,NULL),(25,452,1,12,25,NULL,1,NULL,NULL),(25,452,1,12,26,1,NULL,1,NULL),(25,452,1,12,27,NULL,NULL,NULL,NULL),(25,452,1,12,28,NULL,1,NULL,1),(25,452,1,12,29,1,1,1,NULL),(25,452,1,12,30,NULL,NULL,NULL,NULL),(25,452,1,12,31,NULL,NULL,NULL,NULL),(25,452,1,12,32,NULL,1,NULL,1),(25,452,1,12,33,NULL,NULL,NULL,NULL),(25,452,1,12,34,NULL,NULL,NULL,NULL),(25,452,1,12,35,1,NULL,1,NULL),(25,452,1,12,36,1,NULL,1,NULL),(25,452,1,12,37,2,NULL,1,NULL),(25,452,1,12,38,NULL,2,NULL,1),(25,452,1,12,39,NULL,2,NULL,1),(25,452,1,12,40,NULL,NULL,NULL,NULL),(25,452,1,13,1,NULL,NULL,NULL,NULL),(25,452,1,13,2,NULL,NULL,NULL,NULL),(25,452,1,13,3,NULL,NULL,NULL,NULL),(25,452,1,13,4,NULL,NULL,NULL,NULL),(25,452,1,13,5,NULL,NULL,NULL,NULL),(25,452,1,13,6,NULL,NULL,NULL,NULL),(25,452,1,13,7,NULL,NULL,NULL,NULL),(25,452,1,13,8,NULL,NULL,NULL,NULL),(25,452,1,13,9,NULL,NULL,NULL,NULL),(25,452,1,13,10,NULL,NULL,NULL,NULL),(25,452,1,13,11,NULL,NULL,NULL,NULL),(25,452,1,13,12,NULL,NULL,NULL,NULL),(25,452,1,13,13,NULL,NULL,NULL,NULL),(25,452,1,13,14,NULL,NULL,NULL,NULL),(25,452,1,13,15,NULL,NULL,NULL,NULL),(25,452,1,13,16,NULL,NULL,NULL,NULL),(25,452,1,13,17,NULL,NULL,NULL,NULL),(25,452,1,13,18,NULL,NULL,NULL,NULL),(25,452,1,13,19,NULL,NULL,NULL,NULL),(25,452,1,13,20,NULL,NULL,NULL,NULL),(25,452,1,13,21,NULL,NULL,NULL,NULL),(25,452,1,13,22,NULL,NULL,NULL,NULL),(25,452,1,13,23,NULL,NULL,NULL,NULL),(25,452,1,13,24,NULL,NULL,NULL,NULL),(25,452,1,13,25,NULL,NULL,NULL,NULL),(25,452,1,13,26,NULL,NULL,NULL,NULL),(25,452,1,13,27,NULL,NULL,NULL,NULL),(25,452,1,13,28,NULL,NULL,NULL,NULL),(25,452,1,13,29,NULL,NULL,NULL,NULL),(25,452,1,13,30,NULL,NULL,NULL,NULL),(25,452,1,13,31,NULL,NULL,NULL,NULL),(25,452,1,13,32,NULL,NULL,NULL,NULL),(25,452,1,13,33,NULL,NULL,NULL,NULL),(25,452,1,13,34,NULL,NULL,NULL,NULL),(25,452,1,13,35,NULL,NULL,NULL,NULL),(25,452,1,13,36,NULL,NULL,NULL,NULL),(25,452,1,13,37,NULL,NULL,NULL,NULL),(25,452,1,13,38,NULL,NULL,NULL,NULL),(25,452,1,13,39,NULL,NULL,NULL,NULL),(25,452,1,13,40,NULL,NULL,NULL,NULL),(25,452,1,14,1,15,26,3,8),(25,452,1,14,2,7,15,1,5),(25,452,1,14,3,9,10,3,6),(25,452,1,14,4,39,12,10,2),(25,452,1,14,5,2,18,NULL,7),(25,452,1,14,6,5,22,2,6),(25,452,1,14,7,10,34,3,10),(25,452,1,14,8,9,10,2,4),(25,452,1,14,9,17,19,4,5),(25,452,1,14,10,NULL,6,NULL,3),(25,452,1,14,11,3,16,1,5),(25,452,1,14,12,8,7,3,4),(25,452,1,14,13,13,12,5,4),(25,452,1,14,14,14,12,5,4),(25,452,1,14,15,19,9,7,4),(25,452,1,14,16,15,7,5,2),(25,452,1,14,17,11,13,5,4),(25,452,1,14,18,31,4,12,NULL),(25,452,1,14,19,23,15,5,3),(25,452,1,14,20,24,3,9,1),(25,452,1,14,21,10,19,2,6),(25,452,1,14,22,6,18,1,10),(25,452,1,14,23,NULL,6,NULL,3),(25,452,1,14,24,1,8,NULL,2),(25,452,1,14,25,3,11,NULL,4),(25,452,1,14,26,8,NULL,4,NULL),(25,452,1,14,27,NULL,NULL,NULL,NULL),(25,452,1,14,28,10,19,3,5),(25,452,1,14,29,4,9,1,4),(25,452,1,14,30,6,7,NULL,3),(25,452,1,14,31,6,9,NULL,3),(25,452,1,14,32,NULL,5,NULL,3),(25,452,1,14,33,5,10,1,2),(25,452,1,14,34,10,6,5,2),(25,452,1,14,35,6,4,1,2),(25,452,1,14,36,15,21,3,8),(25,452,1,14,37,6,7,1,3),(25,452,1,14,38,4,29,2,6),(25,452,1,14,39,6,19,1,5),(25,452,1,14,40,NULL,5,NULL,3),(25,452,1,15,1,12,19,NULL,9),(25,452,1,15,2,6,12,1,7),(25,452,1,15,3,9,7,3,NULL),(25,452,1,15,4,27,8,11,1),(25,452,1,15,5,5,12,3,3),(25,452,1,15,6,10,16,5,6),(25,452,1,15,7,8,28,3,7),(25,452,1,15,8,12,8,3,4),(25,452,1,15,9,9,14,1,2),(25,452,1,15,10,2,1,2,1),(25,452,1,15,11,7,4,3,NULL),(25,452,1,15,12,8,8,4,2),(25,452,1,15,13,7,15,4,5),(25,452,1,15,14,10,11,5,4),(25,452,1,15,15,14,11,5,6),(25,452,1,15,16,12,9,3,1),(25,452,1,15,17,10,10,5,3),(25,452,1,15,18,17,8,7,1),(25,452,1,15,19,22,14,8,3),(25,452,1,15,20,14,2,3,2),(25,452,1,15,21,7,15,3,3),(25,452,1,15,22,4,13,1,5),(25,452,1,15,23,4,11,1,3),(25,452,1,15,24,NULL,9,NULL,4),(25,452,1,15,25,NULL,2,NULL,NULL),(25,452,1,15,26,4,NULL,1,NULL),(25,452,1,15,27,1,NULL,1,NULL),(25,452,1,15,28,8,13,1,5),(25,452,1,15,29,1,6,NULL,2),(25,452,1,15,30,2,2,NULL,NULL),(25,452,1,15,31,1,6,NULL,4),(25,452,1,15,32,4,4,2,1),(25,452,1,15,33,5,7,1,3),(25,452,1,15,34,4,5,2,2),(25,452,1,15,35,2,4,2,NULL),(25,452,1,15,36,18,16,7,6),(25,452,1,15,37,8,11,3,4),(25,452,1,15,38,4,29,1,8),(25,452,1,15,39,5,13,2,3),(25,452,1,15,40,NULL,4,NULL,3),(25,452,1,16,1,11,15,3,2),(25,452,1,16,2,2,7,NULL,2),(25,452,1,16,3,7,4,2,2),(25,452,1,16,4,10,13,1,3),(25,452,1,16,5,4,11,NULL,4),(25,452,1,16,6,3,11,1,1),(25,452,1,16,7,3,18,NULL,4),(25,452,1,16,8,6,7,2,1),(25,452,1,16,9,4,7,1,2),(25,452,1,16,10,2,3,1,2),(25,452,1,16,11,2,5,NULL,2),(25,452,1,16,12,4,3,1,2),(25,452,1,16,13,9,3,2,NULL),(25,452,1,16,14,4,10,NULL,3),(25,452,1,16,15,21,NULL,2,NULL),(25,452,1,16,16,1,13,NULL,3),(25,452,1,16,17,NULL,8,NULL,2),(25,452,1,16,18,5,27,NULL,6),(25,452,1,16,19,NULL,13,NULL,2),(25,452,1,16,20,19,NULL,4,NULL),(25,452,1,16,21,4,14,1,3),(25,452,1,16,22,NULL,12,NULL,3),(25,452,1,16,23,1,5,NULL,1),(25,452,1,16,24,NULL,8,NULL,NULL),(25,452,1,16,25,NULL,3,NULL,NULL),(25,452,1,16,26,2,NULL,1,NULL),(25,452,1,16,27,NULL,NULL,NULL,NULL),(25,452,1,16,28,4,12,1,2),(25,452,1,16,29,2,6,NULL,3),(25,452,1,16,30,NULL,7,NULL,4),(25,452,1,16,31,1,3,NULL,2),(25,452,1,16,32,1,2,NULL,1),(25,452,1,16,33,3,6,2,2),(25,452,1,16,34,4,4,1,NULL),(25,452,1,16,35,2,5,NULL,2),(25,452,1,16,36,4,8,NULL,5),(25,452,1,16,37,3,4,NULL,2),(25,452,1,16,38,3,16,1,3),(25,452,1,16,39,2,18,1,6),(25,452,1,16,40,NULL,5,NULL,1),(25,452,1,17,1,6,10,NULL,4),(25,452,1,17,2,3,12,NULL,2),(25,452,1,17,3,2,7,1,3),(25,452,1,17,4,14,10,1,4),(25,452,1,17,5,1,9,NULL,3),(25,452,1,17,6,2,11,NULL,2),(25,452,1,17,7,1,20,NULL,4),(25,452,1,17,8,5,7,NULL,4),(25,452,1,17,9,3,6,1,1),(25,452,1,17,10,2,5,NULL,2),(25,452,1,17,11,1,5,NULL,2),(25,452,1,17,12,3,2,2,1),(25,452,1,17,13,11,4,3,1),(25,452,1,17,14,9,8,1,3),(25,452,1,17,15,16,NULL,5,NULL),(25,452,1,17,16,3,8,NULL,2),(25,452,1,17,17,NULL,18,NULL,5),(25,452,1,17,18,6,23,NULL,4),(25,452,1,17,19,NULL,8,NULL,1),(25,452,1,17,20,20,NULL,6,NULL),(25,452,1,17,21,2,9,NULL,2),(25,452,1,17,22,3,7,1,2),(25,452,1,17,23,NULL,6,NULL,3),(25,452,1,17,24,4,7,NULL,1),(25,452,1,17,25,1,5,NULL,1),(25,452,1,17,26,5,NULL,3,NULL),(25,452,1,17,27,1,NULL,NULL,NULL),(25,452,1,17,28,2,10,NULL,2),(25,452,1,17,29,NULL,4,NULL,2),(25,452,1,17,30,NULL,7,NULL,4),(25,452,1,17,31,1,NULL,1,NULL),(25,452,1,17,32,1,2,1,1),(25,452,1,17,33,2,4,NULL,1),(25,452,1,17,34,4,3,1,1),(25,452,1,17,35,NULL,3,NULL,2),(25,452,1,17,36,6,8,2,1),(25,452,1,17,37,5,3,NULL,3),(25,452,1,17,38,2,13,1,3),(25,452,1,17,39,1,12,NULL,4),(25,452,1,17,40,NULL,7,NULL,3),(25,452,2,21,1,3,10,2,5),(25,452,2,21,2,NULL,13,NULL,3),(25,452,2,21,3,4,7,NULL,2),(25,452,2,21,4,1,6,NULL,1),(25,452,2,21,5,9,8,4,2),(25,452,2,21,6,5,6,4,1),(25,452,2,21,7,1,4,1,2),(25,452,2,21,8,5,10,3,2),(25,452,2,21,9,10,21,3,7),(25,452,2,21,10,4,9,2,5),(25,452,2,21,11,3,25,NULL,8),(25,452,2,21,12,4,9,3,3),(25,452,2,21,13,18,7,10,NULL),(25,452,2,21,14,4,15,2,5),(25,452,2,21,15,15,10,6,3),(25,452,2,21,16,5,11,2,5),(25,452,2,21,17,4,16,2,7),(25,452,2,21,18,5,14,2,3),(25,452,2,21,19,3,7,1,2),(25,452,2,21,20,4,7,2,3),(25,452,2,21,21,NULL,5,NULL,1),(25,452,2,21,22,NULL,2,NULL,1),(25,452,2,21,23,2,2,1,1),(25,452,2,21,24,NULL,6,NULL,1),(25,452,2,21,25,1,NULL,NULL,NULL),(25,452,2,21,26,NULL,5,NULL,2),(25,452,2,21,27,NULL,5,NULL,NULL),(25,452,2,21,28,NULL,4,NULL,1),(25,452,2,21,29,3,3,2,1),(25,452,2,21,30,2,3,1,NULL),(25,452,2,21,31,7,9,6,2),(25,452,2,21,32,1,7,NULL,1),(25,452,2,21,33,5,6,3,2),(25,452,2,21,34,1,1,1,1),(25,452,2,21,35,6,5,4,3),(25,452,2,21,36,8,8,3,2),(25,452,2,21,37,NULL,9,NULL,3),(25,452,2,21,38,8,10,5,2),(25,452,2,21,39,15,NULL,6,NULL),(25,452,2,21,40,NULL,2,NULL,1),(25,452,2,22,1,8,8,1,2),(25,452,2,22,2,1,11,NULL,3),(25,452,2,22,3,4,5,1,2),(25,452,2,22,4,7,9,3,NULL),(25,452,2,22,5,10,8,4,1),(25,452,2,22,6,2,7,1,2),(25,452,2,22,7,2,8,NULL,2),(25,452,2,22,8,8,11,1,2),(25,452,2,22,9,20,8,3,2),(25,452,2,22,10,2,11,NULL,3),(25,452,2,22,11,NULL,30,NULL,4),(25,452,2,22,12,1,12,NULL,2),(25,452,2,22,13,19,4,3,NULL),(25,452,2,22,14,4,13,NULL,4),(25,452,2,22,15,7,9,1,4),(25,452,2,22,16,3,12,NULL,NULL),(25,452,2,22,17,5,19,NULL,4),(25,452,2,22,18,5,2,NULL,1),(25,452,2,22,19,NULL,14,NULL,3),(25,452,2,22,20,6,8,1,3),(25,452,2,22,21,1,3,NULL,1),(25,452,2,22,22,1,1,NULL,NULL),(25,452,2,22,23,3,7,NULL,2),(25,452,2,22,24,4,5,NULL,1),(25,452,2,22,25,3,NULL,NULL,NULL),(25,452,2,22,26,2,3,NULL,2),(25,452,2,22,27,1,4,NULL,2),(25,452,2,22,28,NULL,4,NULL,NULL),(25,452,2,22,29,3,7,NULL,NULL),(25,452,2,22,30,1,7,NULL,1),(25,452,2,22,31,5,9,1,2),(25,452,2,22,32,1,5,NULL,NULL),(25,452,2,22,33,10,3,3,1),(25,452,2,22,34,NULL,2,NULL,NULL),(25,452,2,22,35,6,9,NULL,3),(25,452,2,22,36,7,7,NULL,3),(25,452,2,22,37,NULL,1,NULL,NULL),(25,452,2,22,38,3,8,2,2),(25,452,2,22,39,19,NULL,4,NULL),(25,452,2,22,40,2,1,NULL,NULL),(25,452,2,23,1,5,6,1,4),(25,452,2,23,2,3,9,NULL,4),(25,452,2,23,3,6,7,5,2),(25,452,2,23,4,6,12,3,5),(25,452,2,23,5,10,15,3,5),(25,452,2,23,6,3,9,2,4),(25,452,2,23,7,4,10,2,5),(25,452,2,23,8,11,13,3,6),(25,452,2,23,9,13,13,5,5),(25,452,2,23,10,4,12,NULL,7),(25,452,2,23,11,2,23,NULL,4),(25,452,2,23,12,3,9,2,3),(25,452,2,23,13,20,8,8,3),(25,452,2,23,14,1,12,NULL,6),(25,452,2,23,15,8,15,3,5),(25,452,2,23,16,5,15,3,5),(25,452,2,23,17,2,16,1,5),(25,452,2,23,18,6,8,1,4),(25,452,2,23,19,2,6,1,3),(25,452,2,23,20,4,8,2,4),(25,452,2,23,21,1,7,1,4),(25,452,2,23,22,NULL,1,NULL,NULL),(25,452,2,23,23,1,6,NULL,4),(25,452,2,23,24,2,9,NULL,4),(25,452,2,23,25,3,NULL,1,NULL),(25,452,2,23,26,NULL,6,NULL,3),(25,452,2,23,27,NULL,7,NULL,1),(25,452,2,23,28,NULL,2,NULL,NULL),(25,452,2,23,29,NULL,7,NULL,3),(25,452,2,23,30,1,5,NULL,1),(25,452,2,23,31,4,10,2,4),(25,452,2,23,32,1,3,1,3),(25,452,2,23,33,7,6,4,3),(25,452,2,23,34,NULL,5,NULL,1),(25,452,2,23,35,5,9,2,3),(25,452,2,23,36,4,7,3,4),(25,452,2,23,37,1,8,NULL,3),(25,452,2,23,38,12,9,4,2),(25,452,2,23,39,20,NULL,10,NULL),(25,452,2,23,40,NULL,1,NULL,NULL),(25,452,2,24,1,2,11,1,3),(25,452,2,24,2,4,2,NULL,NULL),(25,452,2,24,3,3,8,1,2),(25,452,2,24,4,2,11,NULL,5),(25,452,2,24,5,9,9,3,2),(25,452,2,24,6,1,12,NULL,4),(25,452,2,24,7,2,3,NULL,NULL),(25,452,2,24,8,6,13,2,4),(25,452,2,24,9,8,11,3,2),(25,452,2,24,10,4,10,1,4),(25,452,2,24,11,2,24,NULL,5),(25,452,2,24,12,3,9,NULL,2),(25,452,2,24,13,8,9,1,3),(25,452,2,24,14,NULL,16,NULL,4),(25,452,2,24,15,9,11,1,4),(25,452,2,24,16,1,16,NULL,1),(25,452,2,24,17,4,13,NULL,NULL),(25,452,2,24,18,9,11,1,4),(25,452,2,24,19,3,5,NULL,2),(25,452,2,24,20,2,11,NULL,5),(25,452,2,24,21,1,2,NULL,1),(25,452,2,24,22,NULL,NULL,NULL,NULL),(25,452,2,24,23,1,4,NULL,2),(25,452,2,24,24,3,3,NULL,1),(25,452,2,24,25,4,NULL,1,NULL),(25,452,2,24,26,1,5,NULL,2),(25,452,2,24,27,NULL,5,NULL,1),(25,452,2,24,28,1,2,NULL,NULL),(25,452,2,24,29,1,4,NULL,2),(25,452,2,24,30,3,1,1,NULL),(25,452,2,24,31,3,9,NULL,3),(25,452,2,24,32,1,8,NULL,3),(25,452,2,24,33,5,6,2,2),(25,452,2,24,34,NULL,2,NULL,NULL),(25,452,2,24,35,4,5,NULL,1),(25,452,2,24,36,5,10,2,1),(25,452,2,24,37,NULL,4,NULL,NULL),(25,452,2,24,38,9,9,2,5),(25,452,2,24,39,15,NULL,4,NULL),(25,452,2,24,40,NULL,1,NULL,NULL),(25,453,1,11,1,1,NULL,NULL,NULL),(25,453,1,11,2,NULL,1,NULL,NULL),(25,453,1,11,3,1,NULL,NULL,NULL),(25,453,1,11,4,1,NULL,NULL,NULL),(25,453,1,11,5,NULL,NULL,NULL,NULL),(25,453,1,11,6,NULL,1,NULL,NULL),(25,453,1,11,7,NULL,1,NULL,NULL),(25,453,1,11,8,NULL,NULL,NULL,NULL),(25,453,1,11,9,NULL,1,NULL,NULL),(25,453,1,11,10,NULL,1,NULL,NULL),(25,453,1,11,11,NULL,1,NULL,NULL),(25,453,1,11,12,NULL,NULL,NULL,NULL),(25,453,1,11,13,NULL,NULL,NULL,NULL),(25,453,1,11,14,NULL,1,NULL,NULL),(25,453,1,11,15,NULL,NULL,NULL,NULL),(25,453,1,11,16,NULL,NULL,NULL,NULL),(25,453,1,11,17,NULL,NULL,NULL,NULL),(25,453,1,11,18,NULL,NULL,NULL,NULL),(25,453,1,11,19,NULL,1,NULL,NULL),(25,453,1,11,20,NULL,NULL,NULL,NULL),(25,453,1,11,21,NULL,1,NULL,NULL),(25,453,1,11,22,NULL,NULL,NULL,NULL),(25,453,1,11,23,NULL,1,NULL,NULL),(25,453,1,11,24,NULL,NULL,NULL,NULL),(25,453,1,11,25,NULL,NULL,NULL,NULL),(25,453,1,11,26,NULL,NULL,NULL,NULL),(25,453,1,11,27,NULL,NULL,NULL,NULL),(25,453,1,11,28,NULL,1,NULL,NULL),(25,453,1,11,29,NULL,NULL,NULL,NULL),(25,453,1,11,30,NULL,NULL,NULL,NULL),(25,453,1,11,31,NULL,NULL,NULL,NULL),(25,453,1,11,32,NULL,NULL,NULL,NULL),(25,453,1,11,33,NULL,NULL,NULL,NULL),(25,453,1,11,34,NULL,NULL,NULL,NULL),(25,453,1,11,35,NULL,1,NULL,NULL),(25,453,1,11,36,1,NULL,NULL,NULL),(25,453,1,11,37,NULL,1,NULL,NULL),(25,453,1,11,38,NULL,1,NULL,NULL),(25,453,1,11,39,NULL,NULL,NULL,NULL),(25,453,1,11,40,NULL,NULL,NULL,NULL),(25,453,1,12,1,NULL,1,NULL,1),(25,453,1,12,2,NULL,1,NULL,1),(25,453,1,12,3,NULL,1,NULL,1),(25,453,1,12,4,NULL,1,NULL,1),(25,453,1,12,5,NULL,1,NULL,1),(25,453,1,12,6,NULL,NULL,NULL,NULL),(25,453,1,12,7,NULL,1,NULL,1),(25,453,1,12,8,1,NULL,1,NULL),(25,453,1,12,9,NULL,NULL,NULL,NULL),(25,453,1,12,10,NULL,NULL,NULL,NULL),(25,453,1,12,11,NULL,NULL,NULL,NULL),(25,453,1,12,12,NULL,1,NULL,1),(25,453,1,12,13,NULL,NULL,NULL,NULL),(25,453,1,12,14,1,NULL,1,NULL),(25,453,1,12,15,1,NULL,1,NULL),(25,453,1,12,16,1,NULL,1,NULL),(25,453,1,12,17,1,NULL,1,NULL),(25,453,1,12,18,NULL,1,NULL,1),(25,453,1,12,19,1,NULL,1,NULL),(25,453,1,12,20,NULL,1,NULL,1),(25,453,1,12,21,NULL,NULL,NULL,NULL),(25,453,1,12,22,NULL,1,NULL,1),(25,453,1,12,23,NULL,NULL,NULL,NULL),(25,453,1,12,24,NULL,1,NULL,1),(25,453,1,12,25,NULL,1,NULL,1),(25,453,1,12,26,1,NULL,1,NULL),(25,453,1,12,27,NULL,NULL,NULL,NULL),(25,453,1,12,28,NULL,1,NULL,1),(25,453,1,12,29,NULL,1,NULL,1),(25,453,1,12,30,NULL,NULL,NULL,NULL),(25,453,1,12,31,NULL,1,NULL,1),(25,453,1,12,32,NULL,1,NULL,1),(25,453,1,12,33,1,NULL,1,NULL),(25,453,1,12,34,1,NULL,1,NULL),(25,453,1,12,35,NULL,NULL,NULL,NULL),(25,453,1,12,36,1,NULL,1,NULL),(25,453,1,12,37,NULL,NULL,NULL,NULL),(25,453,1,12,38,NULL,1,NULL,1),(25,453,1,12,39,NULL,1,NULL,1),(25,453,1,12,40,NULL,1,NULL,1),(25,453,1,13,1,1,NULL,NULL,NULL),(25,453,1,13,2,NULL,NULL,NULL,NULL),(25,453,1,13,3,NULL,NULL,NULL,NULL),(25,453,1,13,4,NULL,1,NULL,NULL),(25,453,1,13,5,NULL,1,NULL,NULL),(25,453,1,13,6,NULL,NULL,NULL,NULL),(25,453,1,13,7,NULL,1,NULL,NULL),(25,453,1,13,8,NULL,NULL,NULL,NULL),(25,453,1,13,9,NULL,1,NULL,NULL),(25,453,1,13,10,NULL,NULL,NULL,NULL),(25,453,1,13,11,NULL,NULL,NULL,NULL),(25,453,1,13,12,NULL,1,NULL,NULL),(25,453,1,13,13,1,NULL,NULL,NULL),(25,453,1,13,14,NULL,1,NULL,NULL),(25,453,1,13,15,1,NULL,NULL,NULL),(25,453,1,13,16,1,NULL,NULL,NULL),(25,453,1,13,17,1,NULL,NULL,NULL),(25,453,1,13,18,1,NULL,NULL,NULL),(25,453,1,13,19,NULL,NULL,NULL,NULL),(25,453,1,13,20,NULL,1,NULL,NULL),(25,453,1,13,21,NULL,NULL,NULL,NULL),(25,453,1,13,22,NULL,NULL,NULL,NULL),(25,453,1,13,23,NULL,NULL,NULL,NULL),(25,453,1,13,24,NULL,NULL,NULL,NULL),(25,453,1,13,25,NULL,NULL,NULL,NULL),(25,453,1,13,26,NULL,NULL,NULL,NULL),(25,453,1,13,27,NULL,NULL,NULL,NULL),(25,453,1,13,28,1,NULL,NULL,NULL),(25,453,1,13,29,NULL,1,NULL,NULL),(25,453,1,13,30,NULL,NULL,NULL,NULL),(25,453,1,13,31,NULL,NULL,NULL,NULL),(25,453,1,13,32,NULL,NULL,NULL,NULL),(25,453,1,13,33,NULL,1,NULL,NULL),(25,453,1,13,34,NULL,NULL,NULL,NULL),(25,453,1,13,35,NULL,NULL,NULL,NULL),(25,453,1,13,36,NULL,NULL,NULL,NULL),(25,453,1,13,37,NULL,1,NULL,NULL),(25,453,1,13,38,NULL,NULL,NULL,NULL),(25,453,1,13,39,NULL,NULL,NULL,NULL),(25,453,1,13,40,NULL,NULL,NULL,NULL),(25,453,1,14,1,20,23,4,8),(25,453,1,14,2,10,18,4,5),(25,453,1,14,3,6,14,2,3),(25,453,1,14,4,33,17,10,2),(25,453,1,14,5,6,12,1,5),(25,453,1,14,6,11,29,4,5),(25,453,1,14,7,13,32,3,8),(25,453,1,14,8,15,12,4,5),(25,453,1,14,9,9,12,NULL,6),(25,453,1,14,10,3,7,2,3),(25,453,1,14,11,12,10,3,2),(25,453,1,14,12,11,2,3,1),(25,453,1,14,13,11,15,7,1),(25,453,1,14,14,17,7,6,1),(25,453,1,14,15,27,15,10,2),(25,453,1,14,16,9,15,4,2),(25,453,1,14,17,18,12,8,4),(25,453,1,14,18,32,3,12,NULL),(25,453,1,14,19,23,28,8,5),(25,453,1,14,20,25,5,6,1),(25,453,1,14,21,9,22,4,5),(25,453,1,14,22,6,20,1,6),(25,453,1,14,23,3,17,NULL,6),(25,453,1,14,24,1,9,NULL,3),(25,453,1,14,25,1,6,NULL,3),(25,453,1,14,26,10,NULL,5,NULL),(25,453,1,14,27,1,NULL,1,NULL),(25,453,1,14,28,5,27,2,9),(25,453,1,14,29,7,7,2,2),(25,453,1,14,30,2,15,NULL,7),(25,453,1,14,31,1,3,NULL,1),(25,453,1,14,32,6,12,3,3),(25,453,1,14,33,6,7,2,2),(25,453,1,14,34,6,9,3,NULL),(25,453,1,14,35,7,5,2,NULL),(25,453,1,14,36,18,17,9,2),(25,453,1,14,37,11,4,4,NULL),(25,453,1,14,38,5,32,NULL,9),(25,453,1,14,39,4,18,1,7),(25,453,1,14,40,1,9,NULL,6),(25,453,1,15,1,17,28,2,12),(25,453,1,15,2,10,15,5,5),(25,453,1,15,3,13,9,3,3),(25,453,1,15,4,40,13,11,5),(25,453,1,15,5,6,20,2,11),(25,453,1,15,6,9,13,3,4),(25,453,1,15,7,12,34,4,11),(25,453,1,15,8,10,8,6,4),(25,453,1,15,9,11,18,4,6),(25,453,1,15,10,3,8,1,2),(25,453,1,15,11,10,12,4,5),(25,453,1,15,12,11,4,3,3),(25,453,1,15,13,14,12,7,3),(25,453,1,15,14,23,12,8,4),(25,453,1,15,15,26,10,12,3),(25,453,1,15,16,11,12,6,6),(25,453,1,15,17,21,8,8,1),(25,453,1,15,18,34,10,12,2),(25,453,1,15,19,20,25,12,4),(25,453,1,15,20,27,4,11,2),(25,453,1,15,21,13,20,2,8),(25,453,1,15,22,7,20,1,10),(25,453,1,15,23,5,18,2,8),(25,453,1,15,24,4,11,3,6),(25,453,1,15,25,5,11,2,6),(25,453,1,15,26,12,NULL,5,NULL),(25,453,1,15,27,2,NULL,NULL,NULL),(25,453,1,15,28,7,23,2,10),(25,453,1,15,29,4,10,1,6),(25,453,1,15,30,3,13,2,7),(25,453,1,15,31,1,6,NULL,2),(25,453,1,15,32,4,11,1,4),(25,453,1,15,33,5,13,4,2),(25,453,1,15,34,11,6,6,1),(25,453,1,15,35,8,7,2,4),(25,453,1,15,36,16,27,6,6),(25,453,1,15,37,11,8,3,2),(25,453,1,15,38,6,28,5,7),(25,453,1,15,39,8,27,6,5),(25,453,1,15,40,6,13,3,7),(25,453,1,16,1,12,11,3,1),(25,453,1,16,2,1,5,1,1),(25,453,1,16,3,2,1,NULL,NULL),(25,453,1,16,4,10,13,3,NULL),(25,453,1,16,5,4,10,2,NULL),(25,453,1,16,6,7,8,2,NULL),(25,453,1,16,7,9,20,NULL,3),(25,453,1,16,8,4,6,NULL,2),(25,453,1,16,9,5,9,1,1),(25,453,1,16,10,NULL,1,NULL,NULL),(25,453,1,16,11,2,4,1,NULL),(25,453,1,16,12,4,4,1,NULL),(25,453,1,16,13,5,10,NULL,2),(25,453,1,16,14,8,3,1,1),(25,453,1,16,15,12,NULL,3,NULL),(25,453,1,16,16,5,8,3,NULL),(25,453,1,16,17,2,12,NULL,1),(25,453,1,16,18,7,18,1,3),(25,453,1,16,19,1,10,NULL,1),(25,453,1,16,20,20,NULL,4,NULL),(25,453,1,16,21,1,13,1,2),(25,453,1,16,22,1,8,NULL,2),(25,453,1,16,23,NULL,5,NULL,1),(25,453,1,16,24,NULL,3,NULL,NULL),(25,453,1,16,25,1,3,NULL,NULL),(25,453,1,16,26,5,NULL,2,NULL),(25,453,1,16,27,3,NULL,NULL,NULL),(25,453,1,16,28,4,14,NULL,2),(25,453,1,16,29,NULL,3,NULL,NULL),(25,453,1,16,30,2,4,NULL,2),(25,453,1,16,31,NULL,5,NULL,1),(25,453,1,16,32,5,3,2,NULL),(25,453,1,16,33,1,4,NULL,1),(25,453,1,16,34,1,3,1,NULL),(25,453,1,16,35,1,5,NULL,1),(25,453,1,16,36,6,10,3,NULL),(25,453,1,16,37,5,7,NULL,2),(25,453,1,16,38,1,19,NULL,4),(25,453,1,16,39,1,8,NULL,2),(25,453,1,16,40,NULL,3,NULL,1),(25,453,1,17,1,8,10,1,NULL),(25,453,1,17,2,4,6,NULL,NULL),(25,453,1,17,3,2,7,NULL,NULL),(25,453,1,17,4,12,9,NULL,1),(25,453,1,17,5,1,6,NULL,NULL),(25,453,1,17,6,1,10,NULL,NULL),(25,453,1,17,7,1,18,NULL,1),(25,453,1,17,8,2,4,NULL,1),(25,453,1,17,9,2,6,NULL,NULL),(25,453,1,17,10,NULL,2,NULL,NULL),(25,453,1,17,11,1,4,NULL,NULL),(25,453,1,17,12,4,3,NULL,NULL),(25,453,1,17,13,3,4,NULL,NULL),(25,453,1,17,14,2,5,NULL,1),(25,453,1,17,15,14,NULL,NULL,NULL),(25,453,1,17,16,2,10,NULL,1),(25,453,1,17,17,NULL,9,NULL,NULL),(25,453,1,17,18,NULL,21,NULL,1),(25,453,1,17,19,NULL,5,NULL,NULL),(25,453,1,17,20,22,NULL,NULL,NULL),(25,453,1,17,21,4,5,NULL,NULL),(25,453,1,17,22,1,7,NULL,NULL),(25,453,1,17,23,1,2,NULL,NULL),(25,453,1,17,24,NULL,1,NULL,NULL),(25,453,1,17,25,NULL,2,NULL,NULL),(25,453,1,17,26,4,NULL,NULL,NULL),(25,453,1,17,27,1,NULL,1,NULL),(25,453,1,17,28,2,14,NULL,1),(25,453,1,17,29,1,2,NULL,NULL),(25,453,1,17,30,1,6,NULL,NULL),(25,453,1,17,31,2,3,NULL,NULL),(25,453,1,17,32,NULL,1,NULL,NULL),(25,453,1,17,33,NULL,6,NULL,NULL),(25,453,1,17,34,1,5,NULL,NULL),(25,453,1,17,35,1,2,NULL,NULL),(25,453,1,17,36,2,8,NULL,NULL),(25,453,1,17,37,2,6,NULL,NULL),(25,453,1,17,38,2,11,NULL,NULL),(25,453,1,17,39,2,5,NULL,NULL),(25,453,1,17,40,NULL,3,NULL,NULL),(25,453,2,21,1,2,16,NULL,3),(25,453,2,21,2,1,10,NULL,2),(25,453,2,21,3,10,5,2,1),(25,453,2,21,4,7,9,NULL,1),(25,453,2,21,5,14,12,1,3),(25,453,2,21,6,3,6,NULL,1),(25,453,2,21,7,6,6,NULL,2),(25,453,2,21,8,10,10,3,1),(25,453,2,21,9,23,13,3,2),(25,453,2,21,10,8,7,1,2),(25,453,2,21,11,9,26,1,3),(25,453,2,21,12,6,11,NULL,1),(25,453,2,21,13,16,7,3,1),(25,453,2,21,14,4,14,1,2),(25,453,2,21,15,9,15,1,3),(25,453,2,21,16,9,11,1,NULL),(25,453,2,21,17,10,11,3,1),(25,453,2,21,18,8,8,2,NULL),(25,453,2,21,19,3,10,1,1),(25,453,2,21,20,6,12,NULL,1),(25,453,2,21,21,3,7,1,1),(25,453,2,21,22,NULL,NULL,NULL,NULL),(25,453,2,21,23,1,7,NULL,1),(25,453,2,21,24,2,6,NULL,1),(25,453,2,21,25,4,NULL,1,NULL),(25,453,2,21,26,1,1,NULL,1),(25,453,2,21,27,NULL,5,NULL,1),(25,453,2,21,28,1,3,NULL,NULL),(25,453,2,21,29,NULL,9,NULL,3),(25,453,2,21,30,2,4,1,NULL),(25,453,2,21,31,5,5,2,NULL),(25,453,2,21,32,1,5,NULL,3),(25,453,2,21,33,11,4,3,1),(25,453,2,21,34,NULL,7,NULL,1),(25,453,2,21,35,NULL,12,NULL,3),(25,453,2,21,36,4,11,1,2),(25,453,2,21,37,3,8,2,2),(25,453,2,21,38,7,6,3,1),(25,453,2,21,39,18,NULL,4,NULL),(25,453,2,21,40,1,NULL,1,NULL),(25,453,2,22,1,7,13,3,3),(25,453,2,22,2,8,16,2,5),(25,453,2,22,3,4,10,1,4),(25,453,2,22,4,4,12,1,4),(25,453,2,22,5,12,10,3,4),(25,453,2,22,6,4,9,NULL,3),(25,453,2,22,7,5,11,2,2),(25,453,2,22,8,10,15,4,2),(25,453,2,22,9,16,12,5,3),(25,453,2,22,10,2,13,1,6),(25,453,2,22,11,4,28,NULL,5),(25,453,2,22,12,6,13,2,2),(25,453,2,22,13,17,8,5,2),(25,453,2,22,14,4,12,1,5),(25,453,2,22,15,6,18,NULL,6),(25,453,2,22,16,3,11,1,2),(25,453,2,22,17,4,18,NULL,NULL),(25,453,2,22,18,12,8,3,3),(25,453,2,22,19,7,12,NULL,2),(25,453,2,22,20,7,16,3,4),(25,453,2,22,21,2,5,2,1),(25,453,2,22,22,NULL,4,NULL,NULL),(25,453,2,22,23,4,7,2,3),(25,453,2,22,24,3,7,NULL,3),(25,453,2,22,25,3,NULL,1,NULL),(25,453,2,22,26,NULL,9,NULL,2),(25,453,2,22,27,2,6,NULL,NULL),(25,453,2,22,28,NULL,5,NULL,2),(25,453,2,22,29,NULL,5,NULL,1),(25,453,2,22,30,7,4,3,NULL),(25,453,2,22,31,7,9,4,1),(25,453,2,22,32,1,6,1,5),(25,453,2,22,33,5,9,1,4),(25,453,2,22,34,2,4,1,1),(25,453,2,22,35,2,5,NULL,3),(25,453,2,22,36,7,6,NULL,1),(25,453,2,22,37,2,10,1,3),(25,453,2,22,38,13,12,5,NULL),(25,453,2,22,39,19,NULL,7,NULL),(25,453,2,22,40,NULL,NULL,NULL,NULL),(25,453,2,23,1,2,9,1,NULL),(25,453,2,23,2,4,11,2,3),(25,453,2,23,3,4,10,NULL,2),(25,453,2,23,4,9,10,1,1),(25,453,2,23,5,10,10,3,3),(25,453,2,23,6,4,9,3,3),(25,453,2,23,7,5,4,1,3),(25,453,2,23,8,12,5,4,NULL),(25,453,2,23,9,18,14,6,2),(25,453,2,23,10,3,10,3,4),(25,453,2,23,11,2,27,1,10),(25,453,2,23,12,5,10,3,1),(25,453,2,23,13,18,6,7,2),(25,453,2,23,14,6,8,4,2),(25,453,2,23,15,8,15,4,3),(25,453,2,23,16,3,16,NULL,6),(25,453,2,23,17,4,19,1,6),(25,453,2,23,18,14,15,6,4),(25,453,2,23,19,6,8,3,3),(25,453,2,23,20,7,7,2,2),(25,453,2,23,21,3,6,2,3),(25,453,2,23,22,1,NULL,NULL,NULL),(25,453,2,23,23,2,5,NULL,NULL),(25,453,2,23,24,1,7,NULL,1),(25,453,2,23,25,3,NULL,1,NULL),(25,453,2,23,26,NULL,4,NULL,2),(25,453,2,23,27,1,2,1,1),(25,453,2,23,28,1,6,NULL,1),(25,453,2,23,29,NULL,8,NULL,2),(25,453,2,23,30,2,10,1,1),(25,453,2,23,31,9,5,4,2),(25,453,2,23,32,2,6,2,1),(25,453,2,23,33,7,6,5,2),(25,453,2,23,34,2,3,1,2),(25,453,2,23,35,3,12,2,1),(25,453,2,23,36,2,6,2,1),(25,453,2,23,37,5,7,3,3),(25,453,2,23,38,12,4,5,2),(25,453,2,23,39,16,NULL,11,NULL),(25,453,2,23,40,NULL,3,NULL,3),(25,453,2,24,1,2,13,1,4),(25,453,2,24,2,2,8,NULL,3),(25,453,2,24,3,6,15,3,6),(25,453,2,24,4,4,8,3,3),(25,453,2,24,5,10,13,2,6),(25,453,2,24,6,2,8,1,1),(25,453,2,24,7,2,5,NULL,2),(25,453,2,24,8,5,15,1,5),(25,453,2,24,9,14,15,7,5),(25,453,2,24,10,5,9,2,4),(25,453,2,24,11,4,23,1,3),(25,453,2,24,12,4,8,3,3),(25,453,2,24,13,16,9,5,2),(25,453,2,24,14,7,12,3,6),(25,453,2,24,15,11,15,3,4),(25,453,2,24,16,3,12,NULL,5),(25,453,2,24,17,3,15,2,4),(25,453,2,24,18,3,10,1,5),(25,453,2,24,19,1,7,NULL,2),(25,453,2,24,20,2,8,1,2),(25,453,2,24,21,NULL,8,NULL,4),(25,453,2,24,22,NULL,2,NULL,2),(25,453,2,24,23,2,4,NULL,1),(25,453,2,24,24,2,8,1,1),(25,453,2,24,25,2,NULL,1,NULL),(25,453,2,24,26,1,3,NULL,1),(25,453,2,24,27,1,6,1,3),(25,453,2,24,28,1,7,NULL,3),(25,453,2,24,29,NULL,5,NULL,3),(25,453,2,24,30,NULL,3,NULL,1),(25,453,2,24,31,3,11,2,5),(25,453,2,24,32,NULL,5,NULL,3),(25,453,2,24,33,6,8,4,3),(25,453,2,24,34,2,7,1,1),(25,453,2,24,35,4,13,1,4),(25,453,2,24,36,1,6,1,3),(25,453,2,24,37,3,6,2,2),(25,453,2,24,38,9,5,2,3),(25,453,2,24,39,19,NULL,8,NULL),(25,453,2,24,40,NULL,2,NULL,NULL),(25,501,1,11,1,NULL,NULL,NULL,NULL),(25,501,1,11,2,NULL,NULL,NULL,NULL),(25,501,1,11,3,NULL,NULL,NULL,NULL),(25,501,1,11,4,NULL,NULL,NULL,NULL),(25,501,1,11,5,NULL,NULL,NULL,NULL),(25,501,1,11,6,NULL,NULL,NULL,NULL),(25,501,1,11,7,NULL,NULL,NULL,NULL),(25,501,1,11,8,NULL,NULL,NULL,NULL),(25,501,1,11,9,NULL,NULL,NULL,NULL),(25,501,1,11,10,NULL,NULL,NULL,NULL),(25,501,1,11,11,NULL,NULL,NULL,NULL),(25,501,1,11,12,NULL,NULL,NULL,NULL),(25,501,1,11,13,NULL,NULL,NULL,NULL),(25,501,1,11,14,NULL,NULL,NULL,NULL),(25,501,1,11,15,NULL,NULL,NULL,NULL),(25,501,1,11,16,NULL,NULL,NULL,NULL),(25,501,1,11,17,NULL,NULL,NULL,NULL),(25,501,1,11,18,NULL,NULL,NULL,NULL),(25,501,1,11,19,NULL,NULL,NULL,NULL),(25,501,1,11,20,NULL,NULL,NULL,NULL),(25,501,1,11,21,NULL,NULL,NULL,NULL),(25,501,1,11,22,NULL,NULL,NULL,NULL),(25,501,1,11,23,NULL,NULL,NULL,NULL),(25,501,1,11,24,NULL,NULL,NULL,NULL),(25,501,1,11,25,NULL,NULL,NULL,NULL),(25,501,1,11,26,NULL,NULL,NULL,NULL),(25,501,1,11,27,NULL,NULL,NULL,NULL),(25,501,1,11,28,NULL,NULL,NULL,NULL),(25,501,1,11,29,NULL,NULL,NULL,NULL),(25,501,1,11,30,NULL,NULL,NULL,NULL),(25,501,1,11,31,NULL,NULL,NULL,NULL),(25,501,1,11,32,NULL,NULL,NULL,NULL),(25,501,1,11,33,NULL,NULL,NULL,NULL),(25,501,1,11,34,NULL,NULL,NULL,NULL),(25,501,1,11,35,NULL,NULL,NULL,NULL),(25,501,1,11,36,NULL,NULL,NULL,NULL),(25,501,1,11,37,NULL,NULL,NULL,NULL),(25,501,1,11,38,NULL,NULL,NULL,NULL),(25,501,1,11,39,NULL,NULL,NULL,NULL),(25,501,1,11,40,NULL,NULL,NULL,NULL),(25,501,1,12,1,NULL,1,NULL,1),(25,501,1,12,2,NULL,NULL,NULL,NULL),(25,501,1,12,3,NULL,NULL,NULL,NULL),(25,501,1,12,4,NULL,1,NULL,1),(25,501,1,12,5,NULL,NULL,NULL,NULL),(25,501,1,12,6,NULL,NULL,NULL,NULL),(25,501,1,12,7,NULL,1,NULL,1),(25,501,1,12,8,NULL,1,NULL,1),(25,501,1,12,9,NULL,NULL,NULL,NULL),(25,501,1,12,10,NULL,1,NULL,1),(25,501,1,12,11,NULL,1,NULL,1),(25,501,1,12,12,NULL,1,NULL,1),(25,501,1,12,13,NULL,1,NULL,1),(25,501,1,12,14,NULL,1,NULL,1),(25,501,1,12,15,1,NULL,1,NULL),(25,501,1,12,16,NULL,NULL,NULL,NULL),(25,501,1,12,17,NULL,1,NULL,1),(25,501,1,12,18,NULL,1,NULL,1),(25,501,1,12,19,1,NULL,1,NULL),(25,501,1,12,20,NULL,1,NULL,1),(25,501,1,12,21,NULL,1,NULL,1),(25,501,1,12,22,NULL,NULL,NULL,NULL),(25,501,1,12,23,NULL,NULL,NULL,NULL),(25,501,1,12,24,NULL,1,NULL,1),(25,501,1,12,25,NULL,NULL,NULL,NULL),(25,501,1,12,26,NULL,NULL,NULL,NULL),(25,501,1,12,27,NULL,NULL,NULL,NULL),(25,501,1,12,28,NULL,1,NULL,1),(25,501,1,12,29,NULL,1,NULL,1),(25,501,1,12,30,NULL,1,NULL,1),(25,501,1,12,31,NULL,NULL,NULL,NULL),(25,501,1,12,32,NULL,NULL,NULL,NULL),(25,501,1,12,33,NULL,NULL,NULL,NULL),(25,501,1,12,34,NULL,NULL,NULL,NULL),(25,501,1,12,35,NULL,1,NULL,1),(25,501,1,12,36,NULL,NULL,NULL,NULL),(25,501,1,12,37,1,NULL,1,NULL),(25,501,1,12,38,NULL,1,NULL,1),(25,501,1,12,39,NULL,1,NULL,1),(25,501,1,12,40,NULL,1,NULL,1),(25,501,1,13,1,1,NULL,NULL,NULL),(25,501,1,13,2,1,NULL,1,NULL),(25,501,1,13,3,1,1,NULL,NULL),(25,501,1,13,4,1,NULL,NULL,NULL),(25,501,1,13,5,NULL,NULL,NULL,NULL),(25,501,1,13,6,1,1,NULL,NULL),(25,501,1,13,7,1,2,NULL,1),(25,501,1,13,8,1,1,NULL,NULL),(25,501,1,13,9,1,NULL,1,NULL),(25,501,1,13,10,NULL,NULL,NULL,NULL),(25,501,1,13,11,1,NULL,NULL,NULL),(25,501,1,13,12,NULL,NULL,NULL,NULL),(25,501,1,13,13,2,1,NULL,1),(25,501,1,13,14,NULL,NULL,NULL,NULL),(25,501,1,13,15,1,1,NULL,NULL),(25,501,1,13,16,1,1,NULL,NULL),(25,501,1,13,17,1,1,NULL,1),(25,501,1,13,18,3,NULL,1,NULL),(25,501,1,13,19,NULL,NULL,NULL,NULL),(25,501,1,13,20,NULL,NULL,NULL,NULL),(25,501,1,13,21,NULL,NULL,NULL,NULL),(25,501,1,13,22,NULL,NULL,NULL,NULL),(25,501,1,13,23,NULL,NULL,NULL,NULL),(25,501,1,13,24,NULL,NULL,NULL,NULL),(25,501,1,13,25,NULL,NULL,NULL,NULL),(25,501,1,13,26,NULL,NULL,NULL,NULL),(25,501,1,13,27,NULL,NULL,NULL,NULL),(25,501,1,13,28,NULL,NULL,NULL,NULL),(25,501,1,13,29,NULL,NULL,NULL,NULL),(25,501,1,13,30,NULL,NULL,NULL,NULL),(25,501,1,13,31,NULL,NULL,NULL,NULL),(25,501,1,13,32,NULL,NULL,NULL,NULL),(25,501,1,13,33,NULL,NULL,NULL,NULL),(25,501,1,13,34,NULL,1,NULL,NULL),(25,501,1,13,35,1,NULL,NULL,NULL),(25,501,1,13,36,NULL,1,NULL,1),(25,501,1,13,37,NULL,1,NULL,NULL),(25,501,1,13,38,NULL,1,NULL,NULL),(25,501,1,13,39,NULL,1,NULL,NULL),(25,501,1,13,40,NULL,NULL,NULL,NULL),(25,501,1,14,1,9,12,5,9),(25,501,1,14,2,4,12,4,8),(25,501,1,14,3,5,10,4,5),(25,501,1,14,4,21,9,16,6),(25,501,1,14,5,5,10,5,7),(25,501,1,14,6,4,10,3,5),(25,501,1,14,7,12,18,10,11),(25,501,1,14,8,10,4,6,3),(25,501,1,14,9,2,12,2,10),(25,501,1,14,10,1,5,NULL,2),(25,501,1,14,11,8,7,5,4),(25,501,1,14,12,3,3,3,1),(25,501,1,14,13,3,7,3,4),(25,501,1,14,14,7,5,6,1),(25,501,1,14,15,8,5,5,3),(25,501,1,14,16,8,2,8,1),(25,501,1,14,17,4,2,3,1),(25,501,1,14,18,14,1,11,1),(25,501,1,14,19,18,12,13,7),(25,501,1,14,20,5,3,4,NULL),(25,501,1,14,21,3,10,3,6),(25,501,1,14,22,8,8,6,6),(25,501,1,14,23,1,6,NULL,3),(25,501,1,14,24,2,4,2,3),(25,501,1,14,25,2,6,2,4),(25,501,1,14,26,5,NULL,4,NULL),(25,501,1,14,27,NULL,NULL,NULL,NULL),(25,501,1,14,28,7,14,7,9),(25,501,1,14,29,2,3,1,2),(25,501,1,14,30,1,2,NULL,2),(25,501,1,14,31,3,2,2,2),(25,501,1,14,32,4,5,3,4),(25,501,1,14,33,4,3,3,3),(25,501,1,14,34,2,2,1,1),(25,501,1,14,35,6,2,6,1),(25,501,1,14,36,10,11,10,9),(25,501,1,14,37,7,3,5,2),(25,501,1,14,38,4,18,4,11),(25,501,1,14,39,2,13,2,6),(25,501,1,14,40,2,2,2,2),(25,501,1,15,1,8,18,7,11),(25,501,1,15,2,2,9,NULL,5),(25,501,1,15,3,9,5,7,1),(25,501,1,15,4,20,9,12,6),(25,501,1,15,5,4,8,3,5),(25,501,1,15,6,8,9,5,5),(25,501,1,15,7,7,20,6,11),(25,501,1,15,8,9,3,6,2),(25,501,1,15,9,6,9,2,8),(25,501,1,15,10,1,3,1,3),(25,501,1,15,11,5,7,2,2),(25,501,1,15,12,5,3,4,3),(25,501,1,15,13,2,7,NULL,6),(25,501,1,15,14,6,5,3,4),(25,501,1,15,15,13,7,9,4),(25,501,1,15,16,5,9,3,4),(25,501,1,15,17,4,4,3,2),(25,501,1,15,18,18,4,14,2),(25,501,1,15,19,11,14,7,9),(25,501,1,15,20,9,4,6,3),(25,501,1,15,21,7,14,2,7),(25,501,1,15,22,4,10,2,7),(25,501,1,15,23,1,10,1,5),(25,501,1,15,24,NULL,5,NULL,5),(25,501,1,15,25,2,9,1,7),(25,501,1,15,26,3,NULL,3,NULL),(25,501,1,15,27,NULL,NULL,NULL,NULL),(25,501,1,15,28,4,14,3,9),(25,501,1,15,29,4,7,2,3),(25,501,1,15,30,3,6,3,3),(25,501,1,15,31,2,3,1,1),(25,501,1,15,32,3,3,2,2),(25,501,1,15,33,3,6,3,4),(25,501,1,15,34,4,5,3,5),(25,501,1,15,35,5,2,5,1),(25,501,1,15,36,8,14,7,9),(25,501,1,15,37,12,6,8,3),(25,501,1,15,38,1,19,1,10),(25,501,1,15,39,3,8,2,4),(25,501,1,15,40,1,3,1,2),(25,501,1,16,1,9,23,5,14),(25,501,1,16,2,4,7,3,4),(25,501,1,16,3,7,14,5,4),(25,501,1,16,4,16,22,9,14),(25,501,1,16,5,NULL,8,NULL,4),(25,501,1,16,6,5,15,4,8),(25,501,1,16,7,5,29,2,14),(25,501,1,16,8,6,11,2,6),(25,501,1,16,9,4,11,4,7),(25,501,1,16,10,NULL,3,NULL,2),(25,501,1,16,11,4,5,1,3),(25,501,1,16,12,5,8,4,5),(25,501,1,16,13,16,17,11,7),(25,501,1,16,14,9,14,5,8),(25,501,1,16,15,30,NULL,18,NULL),(25,501,1,16,16,9,23,6,8),(25,501,1,16,17,NULL,23,NULL,6),(25,501,1,16,18,6,42,2,20),(25,501,1,16,19,1,20,NULL,8),(25,501,1,16,20,22,NULL,12,NULL),(25,501,1,16,21,7,17,1,6),(25,501,1,16,22,6,9,3,5),(25,501,1,16,23,6,11,2,8),(25,501,1,16,24,3,13,1,6),(25,501,1,16,25,2,13,NULL,4),(25,501,1,16,26,5,NULL,4,NULL),(25,501,1,16,27,1,NULL,1,NULL),(25,501,1,16,28,12,29,7,11),(25,501,1,16,29,6,10,2,3),(25,501,1,16,30,2,6,NULL,4),(25,501,1,16,31,NULL,5,NULL,2),(25,501,1,16,32,1,6,1,5),(25,501,1,16,33,3,10,1,5),(25,501,1,16,34,6,10,2,6),(25,501,1,16,35,1,6,1,3),(25,501,1,16,36,4,10,2,5),(25,501,1,16,37,5,10,2,7),(25,501,1,16,38,2,27,1,16),(25,501,1,16,39,1,17,1,10),(25,501,1,16,40,NULL,6,NULL,6),(25,501,1,17,1,15,19,6,10),(25,501,1,17,2,4,14,1,5),(25,501,1,17,3,1,14,1,9),(25,501,1,17,4,26,18,12,10),(25,501,1,17,5,1,19,1,8),(25,501,1,17,6,6,17,3,8),(25,501,1,17,7,6,24,4,11),(25,501,1,17,8,13,12,7,8),(25,501,1,17,9,5,19,3,9),(25,501,1,17,10,1,3,NULL,2),(25,501,1,17,11,5,5,3,2),(25,501,1,17,12,9,7,6,5),(25,501,1,17,13,13,12,10,7),(25,501,1,17,14,13,11,10,7),(25,501,1,17,15,30,NULL,19,NULL),(25,501,1,17,16,8,18,7,10),(25,501,1,17,17,1,16,NULL,5),(25,501,1,17,18,7,30,4,15),(25,501,1,17,19,1,18,1,5),(25,501,1,17,20,33,NULL,17,NULL),(25,501,1,17,21,8,13,4,7),(25,501,1,17,22,7,17,5,9),(25,501,1,17,23,3,11,1,8),(25,501,1,17,24,2,9,1,4),(25,501,1,17,25,2,7,1,3),(25,501,1,17,26,5,NULL,2,NULL),(25,501,1,17,27,NULL,NULL,NULL,NULL),(25,501,1,17,28,8,25,6,13),(25,501,1,17,29,2,7,NULL,5),(25,501,1,17,30,5,11,1,7),(25,501,1,17,31,1,3,1,2),(25,501,1,17,32,2,7,2,6),(25,501,1,17,33,5,5,2,2),(25,501,1,17,34,3,13,2,8),(25,501,1,17,35,8,8,4,6),(25,501,1,17,36,10,14,7,7),(25,501,1,17,37,12,12,7,9),(25,501,1,17,38,4,32,3,14),(25,501,1,17,39,1,17,NULL,9),(25,501,1,17,40,NULL,9,NULL,7),(25,501,2,21,1,3,5,2,3),(25,501,2,21,2,2,9,2,4),(25,501,2,21,3,9,13,6,8),(25,501,2,21,4,5,7,3,2),(25,501,2,21,5,7,10,4,7),(25,501,2,21,6,2,11,1,8),(25,501,2,21,7,2,3,1,3),(25,501,2,21,8,8,14,4,8),(25,501,2,21,9,12,15,11,8),(25,501,2,21,10,2,10,2,7),(25,501,2,21,11,5,24,1,12),(25,501,2,21,12,1,10,1,5),(25,501,2,21,13,19,10,11,9),(25,501,2,21,14,3,12,2,10),(25,501,2,21,15,15,13,9,7),(25,501,2,21,16,4,19,4,10),(25,501,2,21,17,7,21,6,10),(25,501,2,21,18,7,8,5,6),(25,501,2,21,19,4,12,2,9),(25,501,2,21,20,4,9,3,5),(25,501,2,21,21,1,4,1,2),(25,501,2,21,22,NULL,2,NULL,1),(25,501,2,21,23,NULL,4,NULL,2),(25,501,2,21,24,1,6,NULL,2),(25,501,2,21,25,3,NULL,2,NULL),(25,501,2,21,26,NULL,4,NULL,NULL),(25,501,2,21,27,1,4,NULL,3),(25,501,2,21,28,NULL,2,NULL,2),(25,501,2,21,29,4,9,2,4),(25,501,2,21,30,3,5,2,3),(25,501,2,21,31,4,7,3,5),(25,501,2,21,32,4,5,2,3),(25,501,2,21,33,4,8,3,5),(25,501,2,21,34,NULL,5,NULL,2),(25,501,2,21,35,3,7,1,4),(25,501,2,21,36,1,8,NULL,7),(25,501,2,21,37,3,4,2,2),(25,501,2,21,38,6,16,5,8),(25,501,2,21,39,13,NULL,12,NULL),(25,501,2,21,40,3,1,3,NULL),(25,501,2,22,1,8,11,5,6),(25,501,2,22,2,3,5,3,4),(25,501,2,22,3,3,10,1,5),(25,501,2,22,4,7,12,6,8),(25,501,2,22,5,12,14,6,8),(25,501,2,22,6,5,10,4,5),(25,501,2,22,7,2,3,NULL,2),(25,501,2,22,8,14,16,12,8),(25,501,2,22,9,20,11,12,6),(25,501,2,22,10,1,9,1,7),(25,501,2,22,11,4,33,2,17),(25,501,2,22,12,3,19,3,12),(25,501,2,22,13,12,13,10,8),(25,501,2,22,14,4,14,2,5),(25,501,2,22,15,8,16,4,10),(25,501,2,22,16,6,19,4,8),(25,501,2,22,17,5,15,3,6),(25,501,2,22,18,7,12,4,8),(25,501,2,22,19,NULL,13,NULL,9),(25,501,2,22,20,7,13,4,6),(25,501,2,22,21,1,3,1,2),(25,501,2,22,22,NULL,NULL,NULL,NULL),(25,501,2,22,23,1,6,NULL,4),(25,501,2,22,24,3,4,2,3),(25,501,2,22,25,NULL,NULL,NULL,NULL),(25,501,2,22,26,2,11,NULL,7),(25,501,2,22,27,NULL,10,NULL,4),(25,501,2,22,28,1,2,1,1),(25,501,2,22,29,1,6,1,6),(25,501,2,22,30,3,9,2,5),(25,501,2,22,31,5,11,4,7),(25,501,2,22,32,1,4,1,1),(25,501,2,22,33,5,8,4,4),(25,501,2,22,34,1,7,1,3),(25,501,2,22,35,2,10,NULL,7),(25,501,2,22,36,8,12,4,7),(25,501,2,22,37,1,8,1,3),(25,501,2,22,38,8,9,5,6),(25,501,2,22,39,19,NULL,10,NULL),(25,501,2,22,40,1,4,1,3),(25,501,2,23,1,1,12,1,8),(25,501,2,23,2,2,9,1,7),(25,501,2,23,3,2,10,2,7),(25,501,2,23,4,3,10,1,9),(25,501,2,23,5,4,10,4,6),(25,501,2,23,6,1,5,1,4),(25,501,2,23,7,2,6,2,2),(25,501,2,23,8,10,14,4,11),(25,501,2,23,9,10,13,8,7),(25,501,2,23,10,3,7,3,4),(25,501,2,23,11,1,27,NULL,17),(25,501,2,23,12,6,6,2,5),(25,501,2,23,13,13,9,10,6),(25,501,2,23,14,5,10,3,7),(25,501,2,23,15,7,16,4,11),(25,501,2,23,16,4,10,NULL,6),(25,501,2,23,17,3,15,NULL,7),(25,501,2,23,18,11,13,6,8),(25,501,2,23,19,3,7,1,4),(25,501,2,23,20,7,10,6,7),(25,501,2,23,21,1,1,NULL,NULL),(25,501,2,23,22,NULL,4,NULL,NULL),(25,501,2,23,23,NULL,4,NULL,3),(25,501,2,23,24,2,9,1,7),(25,501,2,23,25,1,NULL,1,NULL),(25,501,2,23,26,NULL,4,NULL,2),(25,501,2,23,27,NULL,2,NULL,1),(25,501,2,23,28,NULL,2,NULL,1),(25,501,2,23,29,1,5,1,3),(25,501,2,23,30,8,3,3,2),(25,501,2,23,31,7,7,5,4),(25,501,2,23,32,1,10,1,7),(25,501,2,23,33,7,10,6,8),(25,501,2,23,34,NULL,3,NULL,2),(25,501,2,23,35,4,8,4,3),(25,501,2,23,36,2,4,1,3),(25,501,2,23,37,1,11,1,6),(25,501,2,23,38,4,14,3,9),(25,501,2,23,39,9,NULL,6,NULL),(25,501,2,23,40,1,1,1,1),(25,501,2,24,1,5,10,3,6),(25,501,2,24,2,NULL,9,NULL,4),(25,501,2,24,3,6,8,5,4),(25,501,2,24,4,3,12,2,9),(25,501,2,24,5,12,10,6,9),(25,501,2,24,6,1,10,1,8),(25,501,2,24,7,3,8,1,7),(25,501,2,24,8,7,8,5,6),(25,501,2,24,9,11,14,8,8),(25,501,2,24,10,4,7,4,5),(25,501,2,24,11,3,27,2,15),(25,501,2,24,12,1,8,1,5),(25,501,2,24,13,19,6,15,4),(25,501,2,24,14,7,12,6,7),(25,501,2,24,15,12,8,5,5),(25,501,2,24,16,1,13,1,10),(25,501,2,24,17,4,18,3,12),(25,501,2,24,18,4,10,1,6),(25,501,2,24,19,3,7,1,5),(25,501,2,24,20,4,13,3,5),(25,501,2,24,21,NULL,5,NULL,4),(25,501,2,24,22,NULL,3,NULL,2),(25,501,2,24,23,1,6,NULL,3),(25,501,2,24,24,2,4,1,2),(25,501,2,24,25,1,NULL,NULL,NULL),(25,501,2,24,26,1,5,NULL,4),(25,501,2,24,27,1,2,NULL,NULL),(25,501,2,24,28,4,3,1,2),(25,501,2,24,29,NULL,6,NULL,4),(25,501,2,24,30,2,8,2,5),(25,501,2,24,31,6,4,6,2),(25,501,2,24,32,2,6,1,5),(25,501,2,24,33,6,10,5,5),(25,501,2,24,34,NULL,3,NULL,1),(25,501,2,24,35,3,9,3,5),(25,501,2,24,36,2,3,1,2),(25,501,2,24,37,NULL,8,NULL,4),(25,501,2,24,38,7,9,6,5),(25,501,2,24,39,15,NULL,14,NULL),(25,501,2,24,40,1,NULL,NULL,NULL),(25,502,1,11,1,NULL,NULL,NULL,NULL),(25,502,1,11,2,1,NULL,1,NULL),(25,502,1,11,3,NULL,NULL,NULL,NULL),(25,502,1,11,4,NULL,1,NULL,1),(25,502,1,11,5,NULL,1,NULL,1),(25,502,1,11,6,NULL,NULL,NULL,NULL),(25,502,1,11,7,NULL,2,NULL,2),(25,502,1,11,8,1,NULL,1,NULL),(25,502,1,11,9,NULL,NULL,NULL,NULL),(25,502,1,11,10,NULL,NULL,NULL,NULL),(25,502,1,11,11,NULL,NULL,NULL,NULL),(25,502,1,11,12,NULL,1,NULL,1),(25,502,1,11,13,NULL,1,NULL,1),(25,502,1,11,14,2,NULL,2,NULL),(25,502,1,11,15,1,NULL,1,NULL),(25,502,1,11,16,NULL,1,NULL,1),(25,502,1,11,17,NULL,1,NULL,1),(25,502,1,11,18,NULL,1,NULL,1),(25,502,1,11,19,NULL,2,NULL,2),(25,502,1,11,20,NULL,1,NULL,1),(25,502,1,11,21,NULL,2,NULL,2),(25,502,1,11,22,NULL,NULL,NULL,NULL),(25,502,1,11,23,NULL,1,NULL,1),(25,502,1,11,24,NULL,1,NULL,1),(25,502,1,11,25,NULL,NULL,NULL,NULL),(25,502,1,11,26,NULL,NULL,NULL,NULL),(25,502,1,11,27,NULL,NULL,NULL,NULL),(25,502,1,11,28,1,NULL,1,NULL),(25,502,1,11,29,NULL,1,NULL,1),(25,502,1,11,30,NULL,1,NULL,1),(25,502,1,11,31,NULL,NULL,NULL,NULL),(25,502,1,11,32,NULL,NULL,NULL,NULL),(25,502,1,11,33,NULL,NULL,NULL,NULL),(25,502,1,11,34,NULL,1,NULL,1),(25,502,1,11,35,NULL,NULL,NULL,NULL),(25,502,1,11,36,NULL,NULL,NULL,NULL),(25,502,1,11,37,NULL,NULL,NULL,NULL),(25,502,1,11,38,NULL,1,NULL,1),(25,502,1,11,39,NULL,NULL,NULL,NULL),(25,502,1,11,40,1,NULL,1,NULL),(25,502,1,12,1,NULL,NULL,NULL,NULL),(25,502,1,12,2,NULL,NULL,NULL,NULL),(25,502,1,12,3,NULL,NULL,NULL,NULL),(25,502,1,12,4,NULL,NULL,NULL,NULL),(25,502,1,12,5,NULL,NULL,NULL,NULL),(25,502,1,12,6,NULL,NULL,NULL,NULL),(25,502,1,12,7,NULL,NULL,NULL,NULL),(25,502,1,12,8,NULL,NULL,NULL,NULL),(25,502,1,12,9,NULL,NULL,NULL,NULL),(25,502,1,12,10,NULL,NULL,NULL,NULL),(25,502,1,12,11,NULL,NULL,NULL,NULL),(25,502,1,12,12,NULL,NULL,NULL,NULL),(25,502,1,12,13,NULL,NULL,NULL,NULL),(25,502,1,12,14,NULL,NULL,NULL,NULL),(25,502,1,12,15,NULL,NULL,NULL,NULL),(25,502,1,12,16,NULL,NULL,NULL,NULL),(25,502,1,12,17,NULL,NULL,NULL,NULL),(25,502,1,12,18,NULL,NULL,NULL,NULL),(25,502,1,12,19,NULL,NULL,NULL,NULL),(25,502,1,12,20,NULL,NULL,NULL,NULL),(25,502,1,12,21,NULL,NULL,NULL,NULL),(25,502,1,12,22,NULL,NULL,NULL,NULL),(25,502,1,12,23,NULL,NULL,NULL,NULL),(25,502,1,12,24,NULL,NULL,NULL,NULL),(25,502,1,12,25,NULL,NULL,NULL,NULL),(25,502,1,12,26,NULL,NULL,NULL,NULL),(25,502,1,12,27,NULL,NULL,NULL,NULL),(25,502,1,12,28,NULL,NULL,NULL,NULL),(25,502,1,12,29,NULL,NULL,NULL,NULL),(25,502,1,12,30,NULL,NULL,NULL,NULL),(25,502,1,12,31,NULL,NULL,NULL,NULL),(25,502,1,12,32,NULL,NULL,NULL,NULL),(25,502,1,12,33,NULL,NULL,NULL,NULL),(25,502,1,12,34,NULL,NULL,NULL,NULL),(25,502,1,12,35,NULL,NULL,NULL,NULL),(25,502,1,12,36,NULL,NULL,NULL,NULL),(25,502,1,12,37,NULL,NULL,NULL,NULL),(25,502,1,12,38,NULL,NULL,NULL,NULL),(25,502,1,12,39,NULL,NULL,NULL,NULL),(25,502,1,12,40,NULL,NULL,NULL,NULL),(25,502,1,13,1,NULL,NULL,NULL,NULL),(25,502,1,13,2,NULL,NULL,NULL,NULL),(25,502,1,13,3,NULL,NULL,NULL,NULL),(25,502,1,13,4,NULL,1,NULL,1),(25,502,1,13,5,NULL,1,NULL,1),(25,502,1,13,6,NULL,NULL,NULL,NULL),(25,502,1,13,7,NULL,1,NULL,1),(25,502,1,13,8,NULL,NULL,NULL,NULL),(25,502,1,13,9,NULL,NULL,NULL,NULL),(25,502,1,13,10,NULL,NULL,NULL,NULL),(25,502,1,13,11,1,NULL,1,NULL),(25,502,1,13,12,NULL,NULL,NULL,NULL),(25,502,1,13,13,NULL,1,NULL,1),(25,502,1,13,14,NULL,NULL,NULL,NULL),(25,502,1,13,15,NULL,NULL,NULL,NULL),(25,502,1,13,16,NULL,NULL,NULL,NULL),(25,502,1,13,17,1,NULL,1,NULL),(25,502,1,13,18,1,NULL,1,NULL),(25,502,1,13,19,NULL,NULL,NULL,NULL),(25,502,1,13,20,NULL,NULL,NULL,NULL),(25,502,1,13,21,NULL,NULL,NULL,NULL),(25,502,1,13,22,NULL,NULL,NULL,NULL),(25,502,1,13,23,NULL,NULL,NULL,NULL),(25,502,1,13,24,1,NULL,1,NULL),(25,502,1,13,25,NULL,1,NULL,1),(25,502,1,13,26,NULL,NULL,NULL,NULL),(25,502,1,13,27,NULL,NULL,NULL,NULL),(25,502,1,13,28,NULL,1,NULL,1),(25,502,1,13,29,NULL,NULL,NULL,NULL),(25,502,1,13,30,NULL,NULL,NULL,NULL),(25,502,1,13,31,NULL,NULL,NULL,NULL),(25,502,1,13,32,NULL,NULL,NULL,NULL),(25,502,1,13,33,NULL,NULL,NULL,NULL),(25,502,1,13,34,NULL,1,NULL,1),(25,502,1,13,35,NULL,NULL,NULL,NULL),(25,502,1,13,36,NULL,NULL,NULL,NULL),(25,502,1,13,37,NULL,NULL,NULL,NULL),(25,502,1,13,38,NULL,1,NULL,1),(25,502,1,13,39,NULL,NULL,NULL,NULL),(25,502,1,13,40,NULL,NULL,NULL,NULL),(25,502,1,14,1,6,7,3,4),(25,502,1,14,2,NULL,7,NULL,5),(25,502,1,14,3,1,2,NULL,NULL),(25,502,1,14,4,13,1,8,1),(25,502,1,14,5,2,1,1,NULL),(25,502,1,14,6,4,6,2,2),(25,502,1,14,7,5,8,4,2),(25,502,1,14,8,6,NULL,6,NULL),(25,502,1,14,9,3,3,2,2),(25,502,1,14,10,NULL,2,NULL,1),(25,502,1,14,11,2,2,2,NULL),(25,502,1,14,12,3,1,1,1),(25,502,1,14,13,3,3,2,1),(25,502,1,14,14,3,5,2,3),(25,502,1,14,15,5,2,3,1),(25,502,1,14,16,3,1,2,1),(25,502,1,14,17,3,1,3,1),(25,502,1,14,18,4,2,3,1),(25,502,1,14,19,7,9,4,2),(25,502,1,14,20,5,1,4,1),(25,502,1,14,21,2,4,1,3),(25,502,1,14,22,2,2,1,2),(25,502,1,14,23,1,4,NULL,3),(25,502,1,14,24,1,6,NULL,4),(25,502,1,14,25,1,6,NULL,4),(25,502,1,14,26,2,NULL,1,NULL),(25,502,1,14,27,1,NULL,1,NULL),(25,502,1,14,28,3,2,2,1),(25,502,1,14,29,1,2,1,NULL),(25,502,1,14,30,NULL,1,NULL,NULL),(25,502,1,14,31,1,2,NULL,2),(25,502,1,14,32,1,NULL,1,NULL),(25,502,1,14,33,1,3,1,2),(25,502,1,14,34,4,2,1,1),(25,502,1,14,35,2,1,2,1),(25,502,1,14,36,3,6,2,2),(25,502,1,14,37,2,4,1,1),(25,502,1,14,38,NULL,8,NULL,3),(25,502,1,14,39,1,4,1,2),(25,502,1,14,40,2,1,2,1),(25,502,1,15,1,3,3,2,3),(25,502,1,15,2,1,5,NULL,3),(25,502,1,15,3,3,2,2,2),(25,502,1,15,4,7,4,4,4),(25,502,1,15,5,NULL,4,NULL,4),(25,502,1,15,6,3,1,1,1),(25,502,1,15,7,4,7,2,5),(25,502,1,15,8,1,2,NULL,2),(25,502,1,15,9,3,3,3,1),(25,502,1,15,10,NULL,2,NULL,2),(25,502,1,15,11,2,2,NULL,2),(25,502,1,15,12,2,1,1,1),(25,502,1,15,13,1,1,1,NULL),(25,502,1,15,14,2,2,2,2),(25,502,1,15,15,1,2,NULL,2),(25,502,1,15,16,2,1,2,1),(25,502,1,15,17,1,NULL,NULL,NULL),(25,502,1,15,18,3,NULL,3,NULL),(25,502,1,15,19,2,5,1,3),(25,502,1,15,20,4,2,4,1),(25,502,1,15,21,3,2,3,1),(25,502,1,15,22,3,1,1,1),(25,502,1,15,23,NULL,NULL,NULL,NULL),(25,502,1,15,24,2,3,1,2),(25,502,1,15,25,NULL,1,NULL,NULL),(25,502,1,15,26,NULL,NULL,NULL,NULL),(25,502,1,15,27,NULL,NULL,NULL,NULL),(25,502,1,15,28,1,4,1,3),(25,502,1,15,29,1,1,1,NULL),(25,502,1,15,30,2,2,2,2),(25,502,1,15,31,NULL,3,NULL,3),(25,502,1,15,32,2,NULL,2,NULL),(25,502,1,15,33,1,NULL,1,NULL),(25,502,1,15,34,2,1,NULL,1),(25,502,1,15,35,NULL,1,NULL,NULL),(25,502,1,15,36,4,5,3,2),(25,502,1,15,37,3,1,3,NULL),(25,502,1,15,38,NULL,8,NULL,6),(25,502,1,15,39,1,7,1,4),(25,502,1,15,40,NULL,NULL,NULL,NULL),(25,502,1,16,1,9,11,7,5),(25,502,1,16,2,5,13,4,4),(25,502,1,16,3,4,5,3,2),(25,502,1,16,4,10,10,8,5),(25,502,1,16,5,NULL,7,NULL,5),(25,502,1,16,6,1,10,1,6),(25,502,1,16,7,7,14,3,8),(25,502,1,16,8,7,7,4,4),(25,502,1,16,9,4,8,1,5),(25,502,1,16,10,2,2,2,NULL),(25,502,1,16,11,3,4,NULL,2),(25,502,1,16,12,2,2,2,2),(25,502,1,16,13,7,8,4,5),(25,502,1,16,14,4,9,3,6),(25,502,1,16,15,27,NULL,11,NULL),(25,502,1,16,16,1,14,1,3),(25,502,1,16,17,2,12,1,5),(25,502,1,16,18,6,29,3,14),(25,502,1,16,19,NULL,15,NULL,5),(25,502,1,16,20,18,NULL,12,NULL),(25,502,1,16,21,4,10,4,5),(25,502,1,16,22,1,3,1,2),(25,502,1,16,23,1,9,1,6),(25,502,1,16,24,4,6,4,1),(25,502,1,16,25,6,5,3,2),(25,502,1,16,26,1,NULL,1,NULL),(25,502,1,16,27,NULL,NULL,NULL,NULL),(25,502,1,16,28,3,10,1,7),(25,502,1,16,29,NULL,3,NULL,1),(25,502,1,16,30,1,4,1,1),(25,502,1,16,31,2,NULL,2,NULL),(25,502,1,16,32,3,1,3,NULL),(25,502,1,16,33,5,1,2,1),(25,502,1,16,34,5,3,4,1),(25,502,1,16,35,3,5,2,3),(25,502,1,16,36,3,11,2,6),(25,502,1,16,37,3,4,2,3),(25,502,1,16,38,2,13,NULL,5),(25,502,1,16,39,4,6,3,3),(25,502,1,16,40,NULL,2,NULL,1),(25,502,1,17,1,6,10,4,7),(25,502,1,17,2,3,9,2,3),(25,502,1,17,3,2,6,NULL,5),(25,502,1,17,4,16,8,8,8),(25,502,1,17,5,NULL,12,NULL,8),(25,502,1,17,6,3,10,2,4),(25,502,1,17,7,1,14,NULL,8),(25,502,1,17,8,6,5,3,3),(25,502,1,17,9,4,6,2,3),(25,502,1,17,10,1,1,1,NULL),(25,502,1,17,11,1,8,NULL,4),(25,502,1,17,12,3,5,1,4),(25,502,1,17,13,7,10,3,9),(25,502,1,17,14,5,5,4,3),(25,502,1,17,15,20,NULL,15,NULL),(25,502,1,17,16,6,17,1,14),(25,502,1,17,17,NULL,14,NULL,9),(25,502,1,17,18,4,21,3,12),(25,502,1,17,19,NULL,19,NULL,11),(25,502,1,17,20,20,NULL,13,NULL),(25,502,1,17,21,2,9,2,9),(25,502,1,17,22,5,9,2,8),(25,502,1,17,23,1,7,1,6),(25,502,1,17,24,1,5,1,4),(25,502,1,17,25,2,2,1,NULL),(25,502,1,17,26,5,NULL,4,NULL),(25,502,1,17,27,2,NULL,1,NULL),(25,502,1,17,28,3,12,2,10),(25,502,1,17,29,2,3,1,3),(25,502,1,17,30,5,7,3,6),(25,502,1,17,31,1,2,1,2),(25,502,1,17,32,NULL,1,NULL,NULL),(25,502,1,17,33,4,3,2,2),(25,502,1,17,34,4,6,NULL,4),(25,502,1,17,35,1,1,1,NULL),(25,502,1,17,36,3,9,2,6),(25,502,1,17,37,1,5,1,5),(25,502,1,17,38,NULL,17,NULL,10),(25,502,1,17,39,NULL,9,NULL,5),(25,502,1,17,40,NULL,5,NULL,3),(25,502,2,21,1,1,6,NULL,3),(25,502,2,21,2,NULL,6,NULL,4),(25,502,2,21,3,4,3,3,2),(25,502,2,21,4,3,3,2,1),(25,502,2,21,5,3,6,3,3),(25,502,2,21,6,2,3,2,2),(25,502,2,21,7,1,5,1,4),(25,502,2,21,8,4,6,3,4),(25,502,2,21,9,4,6,4,4),(25,502,2,21,10,2,5,1,3),(25,502,2,21,11,1,15,NULL,6),(25,502,2,21,12,NULL,5,NULL,4),(25,502,2,21,13,5,5,3,3),(25,502,2,21,14,1,8,1,4),(25,502,2,21,15,4,7,2,5),(25,502,2,21,16,2,11,2,7),(25,502,2,21,17,3,11,1,7),(25,502,2,21,18,3,13,2,5),(25,502,2,21,19,1,8,1,4),(25,502,2,21,20,2,5,1,4),(25,502,2,21,21,2,8,1,6),(25,502,2,21,22,NULL,NULL,NULL,NULL),(25,502,2,21,23,2,3,2,3),(25,502,2,21,24,NULL,5,NULL,4),(25,502,2,21,25,2,NULL,1,NULL),(25,502,2,21,26,NULL,5,NULL,2),(25,502,2,21,27,NULL,2,NULL,1),(25,502,2,21,28,NULL,3,NULL,3),(25,502,2,21,29,1,5,NULL,3),(25,502,2,21,30,1,3,1,1),(25,502,2,21,31,2,6,1,4),(25,502,2,21,32,2,6,1,4),(25,502,2,21,33,2,4,1,4),(25,502,2,21,34,1,1,1,1),(25,502,2,21,35,1,9,1,6),(25,502,2,21,36,4,4,3,2),(25,502,2,21,37,2,4,2,2),(25,502,2,21,38,1,6,NULL,3),(25,502,2,21,39,3,NULL,1,NULL),(25,502,2,21,40,1,NULL,1,NULL),(25,502,2,22,1,NULL,7,NULL,5),(25,502,2,22,2,1,3,1,1),(25,502,2,22,3,3,4,3,3),(25,502,2,22,4,3,4,2,3),(25,502,2,22,5,NULL,5,NULL,4),(25,502,2,22,6,NULL,3,NULL,2),(25,502,2,22,7,NULL,3,NULL,3),(25,502,2,22,8,5,7,2,6),(25,502,2,22,9,6,5,5,2),(25,502,2,22,10,2,3,2,3),(25,502,2,22,11,1,14,NULL,7),(25,502,2,22,12,1,3,1,1),(25,502,2,22,13,5,4,2,2),(25,502,2,22,14,1,5,1,4),(25,502,2,22,15,1,5,1,4),(25,502,2,22,16,1,4,1,2),(25,502,2,22,17,2,11,1,6),(25,502,2,22,18,2,6,NULL,4),(25,502,2,22,19,1,6,NULL,2),(25,502,2,22,20,1,5,1,4),(25,502,2,22,21,NULL,3,NULL,2),(25,502,2,22,22,NULL,NULL,NULL,NULL),(25,502,2,22,23,2,2,1,2),(25,502,2,22,24,2,4,1,2),(25,502,2,22,25,1,NULL,NULL,NULL),(25,502,2,22,26,1,3,NULL,1),(25,502,2,22,27,NULL,2,NULL,1),(25,502,2,22,28,1,NULL,NULL,NULL),(25,502,2,22,29,3,4,1,3),(25,502,2,22,30,1,2,1,1),(25,502,2,22,31,NULL,5,NULL,4),(25,502,2,22,32,1,4,NULL,3),(25,502,2,22,33,1,4,1,3),(25,502,2,22,34,1,NULL,NULL,NULL),(25,502,2,22,35,2,6,NULL,6),(25,502,2,22,36,5,5,3,2),(25,502,2,22,37,1,3,1,2),(25,502,2,22,38,2,4,1,3),(25,502,2,22,39,8,NULL,6,NULL),(25,502,2,22,40,NULL,2,NULL,1),(25,502,2,23,1,1,5,1,3),(25,502,2,23,2,2,9,1,5),(25,502,2,23,3,3,3,1,2),(25,502,2,23,4,5,4,3,4),(25,502,2,23,5,1,7,1,4),(25,502,2,23,6,1,5,NULL,4),(25,502,2,23,7,1,5,1,3),(25,502,2,23,8,2,5,1,4),(25,502,2,23,9,3,8,2,4),(25,502,2,23,10,1,4,1,2),(25,502,2,23,11,2,18,1,10),(25,502,2,23,12,NULL,5,NULL,5),(25,502,2,23,13,6,7,5,6),(25,502,2,23,14,2,6,2,4),(25,502,2,23,15,3,5,3,4),(25,502,2,23,16,1,3,NULL,1),(25,502,2,23,17,5,8,3,5),(25,502,2,23,18,7,6,5,5),(25,502,2,23,19,1,3,1,3),(25,502,2,23,20,1,6,1,5),(25,502,2,23,21,1,6,1,5),(25,502,2,23,22,NULL,2,NULL,NULL),(25,502,2,23,23,NULL,2,NULL,1),(25,502,2,23,24,1,1,NULL,1),(25,502,2,23,25,NULL,NULL,NULL,NULL),(25,502,2,23,26,NULL,3,NULL,1),(25,502,2,23,27,1,6,1,2),(25,502,2,23,28,NULL,2,NULL,1),(25,502,2,23,29,NULL,2,NULL,2),(25,502,2,23,30,3,3,2,2),(25,502,2,23,31,NULL,3,NULL,3),(25,502,2,23,32,2,2,NULL,2),(25,502,2,23,33,3,2,1,1),(25,502,2,23,34,1,1,1,NULL),(25,502,2,23,35,3,4,3,3),(25,502,2,23,36,3,2,2,1),(25,502,2,23,37,2,2,1,2),(25,502,2,23,38,2,4,2,3),(25,502,2,23,39,6,NULL,6,NULL),(25,502,2,23,40,NULL,1,NULL,NULL),(25,502,2,24,1,1,3,1,1),(25,502,2,24,2,1,4,NULL,3),(25,502,2,24,3,NULL,3,NULL,2),(25,502,2,24,4,3,6,NULL,5),(25,502,2,24,5,NULL,6,NULL,2),(25,502,2,24,6,1,5,1,3),(25,502,2,24,7,NULL,4,NULL,2),(25,502,2,24,8,3,5,1,5),(25,502,2,24,9,4,7,1,5),(25,502,2,24,10,NULL,6,NULL,3),(25,502,2,24,11,NULL,13,NULL,6),(25,502,2,24,12,2,4,NULL,2),(25,502,2,24,13,6,4,4,3),(25,502,2,24,14,1,7,NULL,5),(25,502,2,24,15,3,10,NULL,6),(25,502,2,24,16,NULL,5,NULL,2),(25,502,2,24,17,3,9,1,4),(25,502,2,24,18,1,7,1,3),(25,502,2,24,19,NULL,3,NULL,1),(25,502,2,24,20,NULL,3,NULL,3),(25,502,2,24,21,NULL,4,NULL,1),(25,502,2,24,22,NULL,1,NULL,NULL),(25,502,2,24,23,NULL,2,NULL,1),(25,502,2,24,24,NULL,2,NULL,1),(25,502,2,24,25,1,NULL,NULL,NULL),(25,502,2,24,26,NULL,1,NULL,1),(25,502,2,24,27,NULL,NULL,NULL,NULL),(25,502,2,24,28,NULL,5,NULL,2),(25,502,2,24,29,1,4,1,2),(25,502,2,24,30,1,4,1,2),(25,502,2,24,31,1,4,NULL,2),(25,502,2,24,32,NULL,2,NULL,2),(25,502,2,24,33,2,6,1,4),(25,502,2,24,34,1,3,1,3),(25,502,2,24,35,NULL,4,NULL,1),(25,502,2,24,36,4,3,2,2),(25,502,2,24,37,2,2,1,1),(25,502,2,24,38,1,3,NULL,1),(25,502,2,24,39,4,NULL,3,NULL),(25,502,2,24,40,NULL,1,NULL,NULL),(25,503,1,11,1,NULL,NULL,NULL,NULL),(25,503,1,11,2,NULL,NULL,NULL,NULL),(25,503,1,11,3,NULL,NULL,NULL,NULL),(25,503,1,11,4,NULL,NULL,NULL,NULL),(25,503,1,11,5,NULL,NULL,NULL,NULL),(25,503,1,11,6,NULL,NULL,NULL,NULL),(25,503,1,11,7,NULL,NULL,NULL,NULL),(25,503,1,11,8,NULL,NULL,NULL,NULL),(25,503,1,11,9,NULL,NULL,NULL,NULL),(25,503,1,11,10,NULL,NULL,NULL,NULL),(25,503,1,11,11,NULL,NULL,NULL,NULL),(25,503,1,11,12,NULL,NULL,NULL,NULL),(25,503,1,11,13,NULL,NULL,NULL,NULL),(25,503,1,11,14,NULL,NULL,NULL,NULL),(25,503,1,11,15,NULL,NULL,NULL,NULL),(25,503,1,11,16,NULL,NULL,NULL,NULL),(25,503,1,11,17,NULL,NULL,NULL,NULL),(25,503,1,11,18,NULL,NULL,NULL,NULL),(25,503,1,11,19,NULL,NULL,NULL,NULL),(25,503,1,11,20,NULL,NULL,NULL,NULL),(25,503,1,11,21,NULL,NULL,NULL,NULL),(25,503,1,11,22,NULL,NULL,NULL,NULL),(25,503,1,11,23,NULL,NULL,NULL,NULL),(25,503,1,11,24,NULL,NULL,NULL,NULL),(25,503,1,11,25,NULL,NULL,NULL,NULL),(25,503,1,11,26,NULL,NULL,NULL,NULL),(25,503,1,11,27,NULL,NULL,NULL,NULL),(25,503,1,11,28,NULL,NULL,NULL,NULL),(25,503,1,11,29,NULL,NULL,NULL,NULL),(25,503,1,11,30,NULL,NULL,NULL,NULL),(25,503,1,11,31,NULL,NULL,NULL,NULL),(25,503,1,11,32,NULL,NULL,NULL,NULL),(25,503,1,11,33,NULL,NULL,NULL,NULL),(25,503,1,11,34,NULL,NULL,NULL,NULL),(25,503,1,11,35,NULL,NULL,NULL,NULL),(25,503,1,11,36,NULL,NULL,NULL,NULL),(25,503,1,11,37,NULL,NULL,NULL,NULL),(25,503,1,11,38,NULL,NULL,NULL,NULL),(25,503,1,11,39,NULL,NULL,NULL,NULL),(25,503,1,11,40,NULL,NULL,NULL,NULL),(25,503,1,12,1,NULL,NULL,NULL,NULL),(25,503,1,12,2,NULL,NULL,NULL,NULL),(25,503,1,12,3,NULL,NULL,NULL,NULL),(25,503,1,12,4,NULL,NULL,NULL,NULL),(25,503,1,12,5,NULL,NULL,NULL,NULL),(25,503,1,12,6,NULL,NULL,NULL,NULL),(25,503,1,12,7,NULL,NULL,NULL,NULL),(25,503,1,12,8,NULL,NULL,NULL,NULL),(25,503,1,12,9,NULL,NULL,NULL,NULL),(25,503,1,12,10,NULL,NULL,NULL,NULL),(25,503,1,12,11,NULL,NULL,NULL,NULL),(25,503,1,12,12,NULL,NULL,NULL,NULL),(25,503,1,12,13,NULL,NULL,NULL,NULL),(25,503,1,12,14,NULL,NULL,NULL,NULL),(25,503,1,12,15,NULL,NULL,NULL,NULL),(25,503,1,12,16,NULL,NULL,NULL,NULL),(25,503,1,12,17,NULL,NULL,NULL,NULL),(25,503,1,12,18,NULL,NULL,NULL,NULL),(25,503,1,12,19,NULL,NULL,NULL,NULL),(25,503,1,12,20,NULL,NULL,NULL,NULL),(25,503,1,12,21,NULL,NULL,NULL,NULL),(25,503,1,12,22,NULL,NULL,NULL,NULL),(25,503,1,12,23,NULL,NULL,NULL,NULL),(25,503,1,12,24,NULL,NULL,NULL,NULL),(25,503,1,12,25,NULL,NULL,NULL,NULL),(25,503,1,12,26,NULL,NULL,NULL,NULL),(25,503,1,12,27,NULL,NULL,NULL,NULL),(25,503,1,12,28,NULL,NULL,NULL,NULL),(25,503,1,12,29,NULL,NULL,NULL,NULL),(25,503,1,12,30,NULL,NULL,NULL,NULL),(25,503,1,12,31,NULL,NULL,NULL,NULL),(25,503,1,12,32,NULL,NULL,NULL,NULL),(25,503,1,12,33,NULL,NULL,NULL,NULL),(25,503,1,12,34,NULL,NULL,NULL,NULL),(25,503,1,12,35,NULL,NULL,NULL,NULL),(25,503,1,12,36,NULL,NULL,NULL,NULL),(25,503,1,12,37,NULL,NULL,NULL,NULL),(25,503,1,12,38,NULL,NULL,NULL,NULL),(25,503,1,12,39,NULL,NULL,NULL,NULL),(25,503,1,12,40,NULL,NULL,NULL,NULL),(25,503,1,13,1,NULL,NULL,NULL,NULL),(25,503,1,13,2,NULL,NULL,NULL,NULL),(25,503,1,13,3,NULL,NULL,NULL,NULL),(25,503,1,13,4,NULL,NULL,NULL,NULL),(25,503,1,13,5,NULL,NULL,NULL,NULL),(25,503,1,13,6,NULL,NULL,NULL,NULL),(25,503,1,13,7,NULL,NULL,NULL,NULL),(25,503,1,13,8,NULL,NULL,NULL,NULL),(25,503,1,13,9,NULL,NULL,NULL,NULL),(25,503,1,13,10,NULL,NULL,NULL,NULL),(25,503,1,13,11,NULL,NULL,NULL,NULL),(25,503,1,13,12,NULL,NULL,NULL,NULL),(25,503,1,13,13,NULL,NULL,NULL,NULL),(25,503,1,13,14,NULL,NULL,NULL,NULL),(25,503,1,13,15,NULL,NULL,NULL,NULL),(25,503,1,13,16,NULL,NULL,NULL,NULL),(25,503,1,13,17,NULL,NULL,NULL,NULL),(25,503,1,13,18,NULL,NULL,NULL,NULL),(25,503,1,13,19,NULL,NULL,NULL,NULL),(25,503,1,13,20,NULL,NULL,NULL,NULL),(25,503,1,13,21,NULL,NULL,NULL,NULL),(25,503,1,13,22,NULL,NULL,NULL,NULL),(25,503,1,13,23,NULL,NULL,NULL,NULL),(25,503,1,13,24,NULL,NULL,NULL,NULL),(25,503,1,13,25,NULL,NULL,NULL,NULL),(25,503,1,13,26,NULL,NULL,NULL,NULL),(25,503,1,13,27,NULL,NULL,NULL,NULL),(25,503,1,13,28,NULL,NULL,NULL,NULL),(25,503,1,13,29,NULL,NULL,NULL,NULL),(25,503,1,13,30,NULL,NULL,NULL,NULL),(25,503,1,13,31,NULL,NULL,NULL,NULL),(25,503,1,13,32,NULL,NULL,NULL,NULL),(25,503,1,13,33,NULL,NULL,NULL,NULL),(25,503,1,13,34,NULL,NULL,NULL,NULL),(25,503,1,13,35,NULL,NULL,NULL,NULL),(25,503,1,13,36,NULL,NULL,NULL,NULL),(25,503,1,13,37,NULL,NULL,NULL,NULL),(25,503,1,13,38,NULL,NULL,NULL,NULL),(25,503,1,13,39,NULL,NULL,NULL,NULL),(25,503,1,13,40,NULL,NULL,NULL,NULL),(25,503,1,14,1,7,5,6,4),(25,503,1,14,2,3,6,2,6),(25,503,1,14,3,1,3,1,3),(25,503,1,14,4,5,4,4,3),(25,503,1,14,5,3,2,3,2),(25,503,1,14,6,NULL,6,NULL,6),(25,503,1,14,7,1,13,1,13),(25,503,1,14,8,5,3,5,3),(25,503,1,14,9,3,3,2,3),(25,503,1,14,10,NULL,NULL,NULL,NULL),(25,503,1,14,11,2,5,2,5),(25,503,1,14,12,4,2,4,2),(25,503,1,14,13,1,5,1,5),(25,503,1,14,14,NULL,6,NULL,5),(25,503,1,14,15,5,2,4,2),(25,503,1,14,16,2,2,2,2),(25,503,1,14,17,2,3,2,3),(25,503,1,14,18,7,2,7,2),(25,503,1,14,19,4,10,4,8),(25,503,1,14,20,3,3,2,3),(25,503,1,14,21,3,6,3,6),(25,503,1,14,22,2,3,1,3),(25,503,1,14,23,1,3,1,2),(25,503,1,14,24,NULL,3,NULL,3),(25,503,1,14,25,2,4,2,4),(25,503,1,14,26,3,NULL,3,NULL),(25,503,1,14,27,2,NULL,2,NULL),(25,503,1,14,28,NULL,7,NULL,7),(25,503,1,14,29,1,1,1,1),(25,503,1,14,30,NULL,NULL,NULL,NULL),(25,503,1,14,31,2,3,2,3),(25,503,1,14,32,3,1,3,1),(25,503,1,14,33,1,3,1,2),(25,503,1,14,34,3,2,3,1),(25,503,1,14,35,3,3,3,2),(25,503,1,14,36,4,4,3,4),(25,503,1,14,37,2,2,2,1),(25,503,1,14,38,3,6,3,5),(25,503,1,14,39,1,7,1,7),(25,503,1,14,40,NULL,3,NULL,3),(25,503,1,15,1,4,3,4,3),(25,503,1,15,2,2,1,1,1),(25,503,1,15,3,1,2,NULL,2),(25,503,1,15,4,9,2,6,1),(25,503,1,15,5,NULL,3,NULL,3),(25,503,1,15,6,2,2,2,2),(25,503,1,15,7,3,4,3,2),(25,503,1,15,8,2,3,2,2),(25,503,1,15,9,2,3,1,3),(25,503,1,15,10,NULL,2,NULL,1),(25,503,1,15,11,NULL,1,NULL,1),(25,503,1,15,12,2,1,2,1),(25,503,1,15,13,3,1,3,1),(25,503,1,15,14,2,3,2,NULL),(25,503,1,15,15,7,3,5,1),(25,503,1,15,16,1,3,1,3),(25,503,1,15,17,2,3,2,3),(25,503,1,15,18,3,2,2,1),(25,503,1,15,19,4,3,4,2),(25,503,1,15,20,5,NULL,4,NULL),(25,503,1,15,21,2,4,2,3),(25,503,1,15,22,NULL,4,NULL,3),(25,503,1,15,23,NULL,4,NULL,4),(25,503,1,15,24,NULL,3,NULL,3),(25,503,1,15,25,NULL,5,NULL,4),(25,503,1,15,26,1,NULL,1,NULL),(25,503,1,15,27,1,NULL,1,NULL),(25,503,1,15,28,1,6,1,4),(25,503,1,15,29,NULL,1,NULL,1),(25,503,1,15,30,NULL,3,NULL,1),(25,503,1,15,31,1,2,NULL,2),(25,503,1,15,32,NULL,2,NULL,2),(25,503,1,15,33,1,3,1,2),(25,503,1,15,34,3,6,1,5),(25,503,1,15,35,NULL,5,NULL,3),(25,503,1,15,36,2,7,1,6),(25,503,1,15,37,2,3,1,2),(25,503,1,15,38,3,3,2,3),(25,503,1,15,39,NULL,5,NULL,4),(25,503,1,15,40,NULL,2,NULL,1),(25,503,1,16,1,8,4,7,3),(25,503,1,16,2,2,2,2,2),(25,503,1,16,3,2,3,2,3),(25,503,1,16,4,7,9,7,6),(25,503,1,16,5,1,4,1,3),(25,503,1,16,6,NULL,7,NULL,7),(25,503,1,16,7,NULL,19,NULL,15),(25,503,1,16,8,2,1,2,1),(25,503,1,16,9,2,8,1,8),(25,503,1,16,10,NULL,2,NULL,2),(25,503,1,16,11,3,3,3,3),(25,503,1,16,12,NULL,3,NULL,2),(25,503,1,16,13,8,1,7,1),(25,503,1,16,14,4,4,4,4),(25,503,1,16,15,10,NULL,8,NULL),(25,503,1,16,16,3,11,3,9),(25,503,1,16,17,NULL,10,NULL,7),(25,503,1,16,18,3,15,2,15),(25,503,1,16,19,NULL,5,NULL,4),(25,503,1,16,20,12,NULL,12,NULL),(25,503,1,16,21,4,6,4,6),(25,503,1,16,22,1,5,NULL,4),(25,503,1,16,23,3,2,3,1),(25,503,1,16,24,NULL,3,NULL,2),(25,503,1,16,25,2,5,2,4),(25,503,1,16,26,2,NULL,2,NULL),(25,503,1,16,27,NULL,NULL,NULL,NULL),(25,503,1,16,28,4,6,3,5),(25,503,1,16,29,2,2,1,1),(25,503,1,16,30,NULL,4,NULL,2),(25,503,1,16,31,2,2,2,1),(25,503,1,16,32,1,2,1,2),(25,503,1,16,33,1,2,1,2),(25,503,1,16,34,1,NULL,NULL,NULL),(25,503,1,16,35,2,5,2,4),(25,503,1,16,36,1,7,1,6),(25,503,1,16,37,3,4,3,4),(25,503,1,16,38,NULL,12,NULL,9),(25,503,1,16,39,1,9,1,5),(25,503,1,16,40,NULL,NULL,NULL,NULL),(25,503,1,17,1,8,8,8,5),(25,503,1,17,2,4,3,4,2),(25,503,1,17,3,5,6,4,6),(25,503,1,17,4,9,9,7,6),(25,503,1,17,5,NULL,6,NULL,5),(25,503,1,17,6,2,5,2,2),(25,503,1,17,7,2,12,2,9),(25,503,1,17,8,3,2,3,2),(25,503,1,17,9,3,7,2,7),(25,503,1,17,10,2,4,1,4),(25,503,1,17,11,4,4,2,4),(25,503,1,17,12,6,3,6,3),(25,503,1,17,13,4,6,2,5),(25,503,1,17,14,5,4,5,4),(25,503,1,17,15,15,NULL,11,NULL),(25,503,1,17,16,4,10,4,8),(25,503,1,17,17,NULL,11,NULL,10),(25,503,1,17,18,NULL,17,NULL,14),(25,503,1,17,19,NULL,10,NULL,8),(25,503,1,17,20,21,NULL,18,NULL),(25,503,1,17,21,2,7,2,6),(25,503,1,17,22,2,5,1,4),(25,503,1,17,23,2,3,2,3),(25,503,1,17,24,3,3,2,3),(25,503,1,17,25,NULL,3,NULL,2),(25,503,1,17,26,2,NULL,2,NULL),(25,503,1,17,27,1,NULL,NULL,NULL),(25,503,1,17,28,1,15,1,13),(25,503,1,17,29,2,2,2,1),(25,503,1,17,30,2,6,2,5),(25,503,1,17,31,NULL,4,NULL,4),(25,503,1,17,32,NULL,1,NULL,1),(25,503,1,17,33,2,1,2,1),(25,503,1,17,34,1,5,1,4),(25,503,1,17,35,NULL,2,NULL,2),(25,503,1,17,36,3,5,3,4),(25,503,1,17,37,2,5,2,4),(25,503,1,17,38,1,13,NULL,11),(25,503,1,17,39,1,7,1,7),(25,503,1,17,40,NULL,2,NULL,2),(25,503,2,21,1,NULL,6,NULL,6),(25,503,2,21,2,1,2,1,2),(25,503,2,21,3,2,6,2,6),(25,503,2,21,4,3,3,2,3),(25,503,2,21,5,3,6,3,5),(25,503,2,21,6,NULL,3,NULL,3),(25,503,2,21,7,2,2,2,2),(25,503,2,21,8,5,5,5,4),(25,503,2,21,9,7,5,7,4),(25,503,2,21,10,NULL,4,NULL,4),(25,503,2,21,11,NULL,6,NULL,5),(25,503,2,21,12,1,8,1,7),(25,503,2,21,13,10,6,10,6),(25,503,2,21,14,1,7,1,7),(25,503,2,21,15,1,7,1,7),(25,503,2,21,16,2,3,2,3),(25,503,2,21,17,NULL,10,NULL,9),(25,503,2,21,18,5,3,5,3),(25,503,2,21,19,2,6,2,5),(25,503,2,21,20,NULL,8,NULL,8),(25,503,2,21,21,NULL,2,NULL,2),(25,503,2,21,22,NULL,2,NULL,2),(25,503,2,21,23,NULL,2,NULL,2),(25,503,2,21,24,1,4,1,4),(25,503,2,21,25,1,NULL,1,NULL),(25,503,2,21,26,NULL,1,NULL,1),(25,503,2,21,27,1,1,1,1),(25,503,2,21,28,NULL,NULL,NULL,NULL),(25,503,2,21,29,1,4,1,4),(25,503,2,21,30,NULL,3,NULL,3),(25,503,2,21,31,1,5,1,5),(25,503,2,21,32,NULL,4,NULL,4),(25,503,2,21,33,NULL,4,NULL,4),(25,503,2,21,34,NULL,4,NULL,4),(25,503,2,21,35,1,7,1,6),(25,503,2,21,36,2,3,2,3),(25,503,2,21,37,NULL,4,NULL,4),(25,503,2,21,38,NULL,6,NULL,5),(25,503,2,21,39,4,NULL,4,NULL),(25,503,2,21,40,NULL,3,NULL,3),(25,503,2,22,1,NULL,4,NULL,2),(25,503,2,22,2,NULL,2,NULL,1),(25,503,2,22,3,NULL,3,NULL,2),(25,503,2,22,4,NULL,2,NULL,1),(25,503,2,22,5,2,1,2,1),(25,503,2,22,6,NULL,1,NULL,1),(25,503,2,22,7,2,2,2,1),(25,503,2,22,8,2,6,2,3),(25,503,2,22,9,3,4,3,3),(25,503,2,22,10,1,5,1,2),(25,503,2,22,11,1,7,1,7),(25,503,2,22,12,1,4,1,3),(25,503,2,22,13,2,4,1,3),(25,503,2,22,14,NULL,3,NULL,3),(25,503,2,22,15,2,6,2,4),(25,503,2,22,16,NULL,2,NULL,2),(25,503,2,22,17,NULL,6,NULL,5),(25,503,2,22,18,4,4,4,2),(25,503,2,22,19,NULL,2,NULL,2),(25,503,2,22,20,NULL,3,NULL,2),(25,503,2,22,21,NULL,3,NULL,NULL),(25,503,2,22,22,NULL,NULL,NULL,NULL),(25,503,2,22,23,NULL,1,NULL,1),(25,503,2,22,24,NULL,2,NULL,2),(25,503,2,22,25,2,NULL,NULL,NULL),(25,503,2,22,26,NULL,1,NULL,1),(25,503,2,22,27,1,3,1,1),(25,503,2,22,28,NULL,2,NULL,2),(25,503,2,22,29,NULL,1,NULL,NULL),(25,503,2,22,30,NULL,3,NULL,3),(25,503,2,22,31,1,1,1,NULL),(25,503,2,22,32,NULL,2,NULL,2),(25,503,2,22,33,1,3,1,1),(25,503,2,22,34,1,1,1,1),(25,503,2,22,35,1,4,1,1),(25,503,2,22,36,1,2,1,NULL),(25,503,2,22,37,NULL,NULL,NULL,NULL),(25,503,2,22,38,3,1,2,1),(25,503,2,22,39,3,NULL,2,NULL),(25,503,2,22,40,NULL,1,NULL,1),(25,503,2,23,1,NULL,4,NULL,4),(25,503,2,23,2,2,4,2,4),(25,503,2,23,3,1,6,1,5),(25,503,2,23,4,NULL,6,NULL,4),(25,503,2,23,5,1,7,1,6),(25,503,2,23,6,NULL,4,NULL,4),(25,503,2,23,7,1,2,1,2),(25,503,2,23,8,3,8,2,6),(25,503,2,23,9,4,7,3,7),(25,503,2,23,10,1,7,1,6),(25,503,2,23,11,NULL,12,NULL,9),(25,503,2,23,12,1,1,1,1),(25,503,2,23,13,6,7,6,5),(25,503,2,23,14,1,7,1,4),(25,503,2,23,15,NULL,11,NULL,7),(25,503,2,23,16,1,6,1,5),(25,503,2,23,17,2,6,2,4),(25,503,2,23,18,3,2,3,2),(25,503,2,23,19,NULL,4,NULL,3),(25,503,2,23,20,2,8,2,5),(25,503,2,23,21,NULL,4,NULL,4),(25,503,2,23,22,NULL,NULL,NULL,NULL),(25,503,2,23,23,1,2,1,2),(25,503,2,23,24,NULL,5,NULL,4),(25,503,2,23,25,1,NULL,1,NULL),(25,503,2,23,26,1,2,1,2),(25,503,2,23,27,NULL,1,NULL,1),(25,503,2,23,28,NULL,1,NULL,1),(25,503,2,23,29,NULL,3,NULL,3),(25,503,2,23,30,NULL,5,NULL,4),(25,503,2,23,31,NULL,2,NULL,2),(25,503,2,23,32,NULL,1,NULL,1),(25,503,2,23,33,2,6,2,6),(25,503,2,23,34,NULL,1,NULL,1),(25,503,2,23,35,1,7,1,6),(25,503,2,23,36,2,5,2,5),(25,503,2,23,37,1,7,1,5),(25,503,2,23,38,2,5,2,4),(25,503,2,23,39,4,NULL,4,NULL),(25,503,2,23,40,NULL,1,NULL,1),(25,503,2,24,1,3,5,1,5),(25,503,2,24,2,NULL,5,NULL,3),(25,503,2,24,3,3,8,2,7),(25,503,2,24,4,3,5,2,3),(25,503,2,24,5,4,5,3,4),(25,503,2,24,6,2,4,1,2),(25,503,2,24,7,2,1,1,1),(25,503,2,24,8,4,7,3,5),(25,503,2,24,9,6,6,5,3),(25,503,2,24,10,NULL,1,NULL,1),(25,503,2,24,11,1,7,1,5),(25,503,2,24,12,1,6,NULL,6),(25,503,2,24,13,8,4,6,2),(25,503,2,24,14,3,4,3,2),(25,503,2,24,15,3,5,2,3),(25,503,2,24,16,2,5,1,4),(25,503,2,24,17,2,5,1,4),(25,503,2,24,18,1,3,1,3),(25,503,2,24,19,NULL,4,NULL,3),(25,503,2,24,20,2,7,2,5),(25,503,2,24,21,2,NULL,2,NULL),(25,503,2,24,22,NULL,NULL,NULL,NULL),(25,503,2,24,23,1,1,1,NULL),(25,503,2,24,24,1,3,NULL,2),(25,503,2,24,25,1,NULL,1,NULL),(25,503,2,24,26,NULL,3,NULL,3),(25,503,2,24,27,NULL,1,NULL,1),(25,503,2,24,28,NULL,4,NULL,3),(25,503,2,24,29,NULL,2,NULL,2),(25,503,2,24,30,1,6,NULL,6),(25,503,2,24,31,3,1,3,NULL),(25,503,2,24,32,NULL,3,NULL,2),(25,503,2,24,33,4,5,4,4),(25,503,2,24,34,NULL,2,NULL,2),(25,503,2,24,35,NULL,5,NULL,4),(25,503,2,24,36,1,7,1,6),(25,503,2,24,37,NULL,3,NULL,2),(25,503,2,24,38,3,3,3,3),(25,503,2,24,39,4,NULL,3,NULL),(25,503,2,24,40,NULL,2,NULL,2),(25,551,1,11,1,NULL,NULL,NULL,NULL),(25,551,1,11,2,NULL,NULL,NULL,NULL),(25,551,1,11,3,NULL,NULL,NULL,NULL),(25,551,1,11,4,NULL,NULL,NULL,NULL),(25,551,1,11,5,NULL,NULL,NULL,NULL),(25,551,1,11,6,NULL,NULL,NULL,NULL),(25,551,1,11,7,NULL,NULL,NULL,NULL),(25,551,1,11,8,NULL,NULL,NULL,NULL),(25,551,1,11,9,NULL,NULL,NULL,NULL),(25,551,1,11,10,NULL,NULL,NULL,NULL),(25,551,1,11,11,NULL,NULL,NULL,NULL),(25,551,1,11,12,NULL,NULL,NULL,NULL),(25,551,1,11,13,NULL,NULL,NULL,NULL),(25,551,1,11,14,NULL,NULL,NULL,NULL),(25,551,1,11,15,NULL,NULL,NULL,NULL),(25,551,1,11,16,NULL,NULL,NULL,NULL),(25,551,1,11,17,NULL,NULL,NULL,NULL),(25,551,1,11,18,NULL,NULL,NULL,NULL),(25,551,1,11,19,NULL,NULL,NULL,NULL),(25,551,1,11,20,NULL,NULL,NULL,NULL),(25,551,1,11,21,NULL,NULL,NULL,NULL),(25,551,1,11,22,NULL,NULL,NULL,NULL),(25,551,1,11,23,NULL,NULL,NULL,NULL),(25,551,1,11,24,NULL,NULL,NULL,NULL),(25,551,1,11,25,NULL,NULL,NULL,NULL),(25,551,1,11,26,NULL,NULL,NULL,NULL),(25,551,1,11,27,NULL,NULL,NULL,NULL),(25,551,1,11,28,NULL,NULL,NULL,NULL),(25,551,1,11,29,NULL,NULL,NULL,NULL),(25,551,1,11,30,NULL,NULL,NULL,NULL),(25,551,1,11,31,NULL,NULL,NULL,NULL),(25,551,1,11,32,NULL,NULL,NULL,NULL),(25,551,1,11,33,NULL,NULL,NULL,NULL),(25,551,1,11,34,NULL,NULL,NULL,NULL),(25,551,1,11,35,NULL,NULL,NULL,NULL),(25,551,1,11,36,NULL,NULL,NULL,NULL),(25,551,1,11,37,NULL,NULL,NULL,NULL),(25,551,1,11,38,NULL,NULL,NULL,NULL),(25,551,1,11,39,NULL,NULL,NULL,NULL),(25,551,1,11,40,NULL,NULL,NULL,NULL),(25,551,1,12,1,NULL,NULL,NULL,NULL),(25,551,1,12,2,NULL,NULL,NULL,NULL),(25,551,1,12,3,NULL,NULL,NULL,NULL),(25,551,1,12,4,NULL,NULL,NULL,NULL),(25,551,1,12,5,NULL,NULL,NULL,NULL),(25,551,1,12,6,NULL,NULL,NULL,NULL),(25,551,1,12,7,NULL,NULL,NULL,NULL),(25,551,1,12,8,NULL,NULL,NULL,NULL),(25,551,1,12,9,NULL,NULL,NULL,NULL),(25,551,1,12,10,NULL,NULL,NULL,NULL),(25,551,1,12,11,NULL,NULL,NULL,NULL),(25,551,1,12,12,NULL,NULL,NULL,NULL),(25,551,1,12,13,NULL,NULL,NULL,NULL),(25,551,1,12,14,NULL,NULL,NULL,NULL),(25,551,1,12,15,NULL,NULL,NULL,NULL),(25,551,1,12,16,NULL,NULL,NULL,NULL),(25,551,1,12,17,NULL,NULL,NULL,NULL),(25,551,1,12,18,NULL,NULL,NULL,NULL),(25,551,1,12,19,NULL,NULL,NULL,NULL),(25,551,1,12,20,NULL,NULL,NULL,NULL),(25,551,1,12,21,NULL,NULL,NULL,NULL),(25,551,1,12,22,NULL,NULL,NULL,NULL),(25,551,1,12,23,NULL,NULL,NULL,NULL),(25,551,1,12,24,NULL,NULL,NULL,NULL),(25,551,1,12,25,NULL,NULL,NULL,NULL),(25,551,1,12,26,NULL,NULL,NULL,NULL),(25,551,1,12,27,NULL,NULL,NULL,NULL),(25,551,1,12,28,NULL,NULL,NULL,NULL),(25,551,1,12,29,NULL,NULL,NULL,NULL),(25,551,1,12,30,NULL,NULL,NULL,NULL),(25,551,1,12,31,NULL,NULL,NULL,NULL),(25,551,1,12,32,NULL,NULL,NULL,NULL),(25,551,1,12,33,NULL,NULL,NULL,NULL),(25,551,1,12,34,NULL,NULL,NULL,NULL),(25,551,1,12,35,NULL,NULL,NULL,NULL),(25,551,1,12,36,NULL,NULL,NULL,NULL),(25,551,1,12,37,NULL,NULL,NULL,NULL),(25,551,1,12,38,NULL,NULL,NULL,NULL),(25,551,1,12,39,NULL,NULL,NULL,NULL),(25,551,1,12,40,NULL,NULL,NULL,NULL),(25,551,1,13,1,NULL,NULL,NULL,NULL),(25,551,1,13,2,NULL,NULL,NULL,NULL),(25,551,1,13,3,NULL,NULL,NULL,NULL),(25,551,1,13,4,NULL,NULL,NULL,NULL),(25,551,1,13,5,NULL,NULL,NULL,NULL),(25,551,1,13,6,NULL,NULL,NULL,NULL),(25,551,1,13,7,NULL,NULL,NULL,NULL),(25,551,1,13,8,NULL,NULL,NULL,NULL),(25,551,1,13,9,NULL,NULL,NULL,NULL),(25,551,1,13,10,NULL,NULL,NULL,NULL),(25,551,1,13,11,NULL,NULL,NULL,NULL),(25,551,1,13,12,NULL,NULL,NULL,NULL),(25,551,1,13,13,NULL,NULL,NULL,NULL),(25,551,1,13,14,NULL,NULL,NULL,NULL),(25,551,1,13,15,NULL,NULL,NULL,NULL),(25,551,1,13,16,NULL,NULL,NULL,NULL),(25,551,1,13,17,NULL,NULL,NULL,NULL),(25,551,1,13,18,NULL,NULL,NULL,NULL),(25,551,1,13,19,NULL,NULL,NULL,NULL),(25,551,1,13,20,NULL,NULL,NULL,NULL),(25,551,1,13,21,NULL,NULL,NULL,NULL),(25,551,1,13,22,NULL,NULL,NULL,NULL),(25,551,1,13,23,NULL,NULL,NULL,NULL),(25,551,1,13,24,NULL,NULL,NULL,NULL),(25,551,1,13,25,NULL,NULL,NULL,NULL),(25,551,1,13,26,NULL,NULL,NULL,NULL),(25,551,1,13,27,NULL,NULL,NULL,NULL),(25,551,1,13,28,NULL,NULL,NULL,NULL),(25,551,1,13,29,NULL,NULL,NULL,NULL),(25,551,1,13,30,NULL,NULL,NULL,NULL),(25,551,1,13,31,NULL,NULL,NULL,NULL),(25,551,1,13,32,NULL,NULL,NULL,NULL),(25,551,1,13,33,NULL,NULL,NULL,NULL),(25,551,1,13,34,NULL,NULL,NULL,NULL),(25,551,1,13,35,NULL,NULL,NULL,NULL),(25,551,1,13,36,NULL,NULL,NULL,NULL),(25,551,1,13,37,NULL,NULL,NULL,NULL),(25,551,1,13,38,NULL,NULL,NULL,NULL),(25,551,1,13,39,NULL,NULL,NULL,NULL),(25,551,1,13,40,NULL,NULL,NULL,NULL),(25,551,1,14,1,14,8,8,7),(25,551,1,14,2,3,7,2,5),(25,551,1,14,3,5,5,5,3),(25,551,1,14,4,9,5,8,5),(25,551,1,14,5,3,8,2,6),(25,551,1,14,6,4,7,3,3),(25,551,1,14,7,6,16,3,11),(25,551,1,14,8,8,2,6,1),(25,551,1,14,9,8,6,6,5),(25,551,1,14,10,1,NULL,NULL,NULL),(25,551,1,14,11,2,2,2,1),(25,551,1,14,12,1,4,1,4),(25,551,1,14,13,2,4,2,1),(25,551,1,14,14,5,11,3,9),(25,551,1,14,15,3,6,3,4),(25,551,1,14,16,3,7,3,4),(25,551,1,14,17,3,3,2,3),(25,551,1,14,18,7,1,6,NULL),(25,551,1,14,19,6,11,6,9),(25,551,1,14,20,4,4,2,2),(25,551,1,14,21,8,10,7,8),(25,551,1,14,22,4,4,2,3),(25,551,1,14,23,2,6,2,3),(25,551,1,14,24,NULL,8,NULL,5),(25,551,1,14,25,1,4,1,4),(25,551,1,14,26,3,NULL,2,NULL),(25,551,1,14,27,2,NULL,2,NULL),(25,551,1,14,28,5,13,5,9),(25,551,1,14,29,2,4,1,3),(25,551,1,14,30,NULL,5,NULL,2),(25,551,1,14,31,1,3,1,3),(25,551,1,14,32,NULL,NULL,NULL,NULL),(25,551,1,14,33,2,3,2,2),(25,551,1,14,34,1,7,1,4),(25,551,1,14,35,1,3,1,1),(25,551,1,14,36,2,9,2,6),(25,551,1,14,37,5,8,2,4),(25,551,1,14,38,NULL,15,NULL,10),(25,551,1,14,39,1,4,1,2),(25,551,1,14,40,NULL,4,NULL,1),(25,551,1,15,1,7,10,5,7),(25,551,1,15,2,3,7,3,5),(25,551,1,15,3,1,8,NULL,7),(25,551,1,15,4,12,5,8,4),(25,551,1,15,5,1,8,1,7),(25,551,1,15,6,3,8,3,4),(25,551,1,15,7,3,23,3,16),(25,551,1,15,8,3,10,2,7),(25,551,1,15,9,3,3,3,3),(25,551,1,15,10,2,NULL,2,NULL),(25,551,1,15,11,5,4,4,3),(25,551,1,15,12,3,4,3,3),(25,551,1,15,13,1,NULL,1,NULL),(25,551,1,15,14,NULL,10,NULL,8),(25,551,1,15,15,3,8,2,4),(25,551,1,15,16,4,5,4,5),(25,551,1,15,17,NULL,3,NULL,3),(25,551,1,15,18,4,1,4,1),(25,551,1,15,19,3,8,3,7),(25,551,1,15,20,2,6,2,5),(25,551,1,15,21,7,6,5,5),(25,551,1,15,22,3,8,3,7),(25,551,1,15,23,2,6,2,6),(25,551,1,15,24,4,3,3,3),(25,551,1,15,25,5,7,4,5),(25,551,1,15,26,3,NULL,3,NULL),(25,551,1,15,27,NULL,NULL,NULL,NULL),(25,551,1,15,28,3,9,3,9),(25,551,1,15,29,2,4,2,3),(25,551,1,15,30,3,3,2,2),(25,551,1,15,31,NULL,1,NULL,1),(25,551,1,15,32,2,1,2,1),(25,551,1,15,33,3,6,3,4),(25,551,1,15,34,3,11,3,8),(25,551,1,15,35,1,2,NULL,2),(25,551,1,15,36,4,9,2,9),(25,551,1,15,37,3,6,2,6),(25,551,1,15,38,1,14,1,10),(25,551,1,15,39,1,7,NULL,5),(25,551,1,15,40,1,3,1,3),(25,551,1,16,1,15,5,13,5),(25,551,1,16,2,4,9,3,8),(25,551,1,16,3,3,9,1,7),(25,551,1,16,4,8,7,7,7),(25,551,1,16,5,1,8,1,7),(25,551,1,16,6,3,15,2,13),(25,551,1,16,7,5,20,4,16),(25,551,1,16,8,5,5,4,5),(25,551,1,16,9,6,7,6,6),(25,551,1,16,10,1,3,1,3),(25,551,1,16,11,7,5,7,3),(25,551,1,16,12,4,4,3,4),(25,551,1,16,13,5,4,5,4),(25,551,1,16,14,9,10,8,8),(25,551,1,16,15,20,NULL,16,NULL),(25,551,1,16,16,2,17,2,16),(25,551,1,16,17,NULL,27,NULL,24),(25,551,1,16,18,10,32,7,29),(25,551,1,16,19,NULL,22,NULL,22),(25,551,1,16,20,16,NULL,13,NULL),(25,551,1,16,21,5,13,3,11),(25,551,1,16,22,3,6,3,5),(25,551,1,16,23,3,3,3,3),(25,551,1,16,24,2,5,1,5),(25,551,1,16,25,5,6,5,5),(25,551,1,16,26,1,NULL,1,NULL),(25,551,1,16,27,1,NULL,1,NULL),(25,551,1,16,28,11,16,11,13),(25,551,1,16,29,NULL,4,NULL,4),(25,551,1,16,30,2,5,1,5),(25,551,1,16,31,1,4,1,4),(25,551,1,16,32,NULL,5,NULL,5),(25,551,1,16,33,3,1,3,NULL),(25,551,1,16,34,3,10,3,7),(25,551,1,16,35,1,3,1,3),(25,551,1,16,36,2,12,2,12),(25,551,1,16,37,9,2,8,2),(25,551,1,16,38,2,22,2,17),(25,551,1,16,39,1,10,1,7),(25,551,1,16,40,NULL,1,NULL,1),(25,551,1,17,1,9,7,9,6),(25,551,1,17,2,2,11,2,10),(25,551,1,17,3,5,10,4,10),(25,551,1,17,4,9,12,8,10),(25,551,1,17,5,2,8,2,5),(25,551,1,17,6,2,12,2,12),(25,551,1,17,7,3,17,3,15),(25,551,1,17,8,3,7,3,7),(25,551,1,17,9,2,7,2,7),(25,551,1,17,10,1,3,NULL,1),(25,551,1,17,11,1,6,1,6),(25,551,1,17,12,6,2,6,1),(25,551,1,17,13,8,4,7,4),(25,551,1,17,14,4,6,4,4),(25,551,1,17,15,17,NULL,16,NULL),(25,551,1,17,16,4,10,4,8),(25,551,1,17,17,NULL,21,NULL,15),(25,551,1,17,18,6,23,5,22),(25,551,1,17,19,1,19,1,15),(25,551,1,17,20,20,NULL,20,NULL),(25,551,1,17,21,1,12,1,10),(25,551,1,17,22,1,4,1,4),(25,551,1,17,23,3,4,1,4),(25,551,1,17,24,2,6,1,5),(25,551,1,17,25,1,4,1,3),(25,551,1,17,26,1,NULL,1,NULL),(25,551,1,17,27,NULL,NULL,NULL,NULL),(25,551,1,17,28,6,16,5,15),(25,551,1,17,29,4,3,3,1),(25,551,1,17,30,2,6,1,5),(25,551,1,17,31,NULL,1,NULL,1),(25,551,1,17,32,NULL,4,NULL,3),(25,551,1,17,33,2,5,2,4),(25,551,1,17,34,1,5,1,4),(25,551,1,17,35,3,2,2,2),(25,551,1,17,36,2,7,2,6),(25,551,1,17,37,2,7,2,6),(25,551,1,17,38,1,15,1,13),(25,551,1,17,39,NULL,9,NULL,8),(25,551,1,17,40,NULL,4,NULL,4),(25,551,2,21,1,1,6,1,5),(25,551,2,21,2,3,8,3,6),(25,551,2,21,3,7,5,6,3),(25,551,2,21,4,7,3,7,3),(25,551,2,21,5,10,5,8,3),(25,551,2,21,6,1,4,1,3),(25,551,2,21,7,1,3,1,3),(25,551,2,21,8,1,11,1,10),(25,551,2,21,9,5,8,5,6),(25,551,2,21,10,3,5,3,4),(25,551,2,21,11,1,32,NULL,24),(25,551,2,21,12,NULL,9,NULL,6),(25,551,2,21,13,10,7,9,5),(25,551,2,21,14,3,13,2,9),(25,551,2,21,15,10,12,6,9),(25,551,2,21,16,3,12,2,10),(25,551,2,21,17,4,21,3,17),(25,551,2,21,18,5,7,4,6),(25,551,2,21,19,4,6,4,4),(25,551,2,21,20,6,12,6,9),(25,551,2,21,21,1,3,1,NULL),(25,551,2,21,22,NULL,2,NULL,2),(25,551,2,21,23,1,5,1,3),(25,551,2,21,24,3,7,2,6),(25,551,2,21,25,5,NULL,4,NULL),(25,551,2,21,26,1,1,NULL,NULL),(25,551,2,21,27,NULL,3,NULL,3),(25,551,2,21,28,NULL,7,NULL,4),(25,551,2,21,29,3,3,1,3),(25,551,2,21,30,NULL,6,NULL,6),(25,551,2,21,31,2,3,2,1),(25,551,2,21,32,2,3,1,2),(25,551,2,21,33,2,7,1,6),(25,551,2,21,34,1,2,1,2),(25,551,2,21,35,1,5,1,4),(25,551,2,21,36,NULL,8,NULL,6),(25,551,2,21,37,1,3,1,1),(25,551,2,21,38,4,7,4,5),(25,551,2,21,39,5,NULL,4,NULL),(25,551,2,21,40,2,3,1,2),(25,551,2,22,1,2,4,1,3),(25,551,2,22,2,2,5,2,5),(25,551,2,22,3,NULL,7,NULL,7),(25,551,2,22,4,5,3,3,2),(25,551,2,22,5,7,5,4,5),(25,551,2,22,6,1,8,1,6),(25,551,2,22,7,1,3,1,2),(25,551,2,22,8,3,9,3,7),(25,551,2,22,9,8,11,7,11),(25,551,2,22,10,3,6,2,4),(25,551,2,22,11,4,25,3,21),(25,551,2,22,12,2,9,NULL,7),(25,551,2,22,13,11,7,10,4),(25,551,2,22,14,2,6,2,5),(25,551,2,22,15,10,7,7,6),(25,551,2,22,16,2,12,1,9),(25,551,2,22,17,4,16,3,12),(25,551,2,22,18,4,6,4,4),(25,551,2,22,19,3,4,3,4),(25,551,2,22,20,2,11,2,11),(25,551,2,22,21,1,5,1,4),(25,551,2,22,22,NULL,2,NULL,2),(25,551,2,22,23,1,2,NULL,2),(25,551,2,22,24,1,3,1,2),(25,551,2,22,25,4,NULL,2,NULL),(25,551,2,22,26,NULL,4,NULL,4),(25,551,2,22,27,1,5,1,4),(25,551,2,22,28,NULL,3,NULL,2),(25,551,2,22,29,1,3,1,2),(25,551,2,22,30,1,6,1,4),(25,551,2,22,31,1,4,1,4),(25,551,2,22,32,1,4,1,4),(25,551,2,22,33,2,3,1,3),(25,551,2,22,34,NULL,6,NULL,5),(25,551,2,22,35,4,4,4,4),(25,551,2,22,36,5,5,2,5),(25,551,2,22,37,2,4,1,4),(25,551,2,22,38,5,6,4,5),(25,551,2,22,39,7,NULL,6,NULL),(25,551,2,22,40,NULL,NULL,NULL,NULL),(25,551,2,23,1,NULL,9,NULL,9),(25,551,2,23,2,4,9,4,8),(25,551,2,23,3,1,6,1,6),(25,551,2,23,4,4,5,2,4),(25,551,2,23,5,3,9,3,8),(25,551,2,23,6,1,7,1,6),(25,551,2,23,7,1,3,1,3),(25,551,2,23,8,4,9,3,9),(25,551,2,23,9,6,12,5,12),(25,551,2,23,10,2,8,1,8),(25,551,2,23,11,1,35,1,26),(25,551,2,23,12,6,9,6,7),(25,551,2,23,13,7,8,6,8),(25,551,2,23,14,1,12,1,11),(25,551,2,23,15,5,8,4,8),(25,551,2,23,16,1,14,1,12),(25,551,2,23,17,6,16,5,13),(25,551,2,23,18,7,7,7,6),(25,551,2,23,19,1,1,1,1),(25,551,2,23,20,2,7,2,7),(25,551,2,23,21,NULL,2,NULL,2),(25,551,2,23,22,NULL,3,NULL,3),(25,551,2,23,23,2,3,1,3),(25,551,2,23,24,2,4,2,4),(25,551,2,23,25,3,NULL,3,NULL),(25,551,2,23,26,1,3,1,2),(25,551,2,23,27,1,6,1,6),(25,551,2,23,28,1,7,1,6),(25,551,2,23,29,1,4,1,4),(25,551,2,23,30,5,7,4,6),(25,551,2,23,31,3,1,3,1),(25,551,2,23,32,1,4,1,3),(25,551,2,23,33,1,2,NULL,2),(25,551,2,23,34,1,6,NULL,4),(25,551,2,23,35,4,3,3,2),(25,551,2,23,36,2,3,1,3),(25,551,2,23,37,NULL,4,NULL,3),(25,551,2,23,38,5,10,4,10),(25,551,2,23,39,4,NULL,2,NULL),(25,551,2,23,40,NULL,1,NULL,NULL),(25,551,2,24,1,3,6,3,5),(25,551,2,24,2,2,5,2,5),(25,551,2,24,3,5,7,4,6),(25,551,2,24,4,3,14,1,11),(25,551,2,24,5,5,8,5,8),(25,551,2,24,6,2,4,2,4),(25,551,2,24,7,1,NULL,NULL,NULL),(25,551,2,24,8,3,13,2,11),(25,551,2,24,9,4,6,4,6),(25,551,2,24,10,2,4,1,3),(25,551,2,24,11,4,17,4,14),(25,551,2,24,12,2,6,2,4),(25,551,2,24,13,12,5,11,5),(25,551,2,24,14,3,13,3,11),(25,551,2,24,15,6,7,5,4),(25,551,2,24,16,NULL,13,NULL,9),(25,551,2,24,17,4,15,4,12),(25,551,2,24,18,3,4,2,2),(25,551,2,24,19,1,5,1,5),(25,551,2,24,20,NULL,12,NULL,10),(25,551,2,24,21,NULL,2,NULL,2),(25,551,2,24,22,1,2,1,1),(25,551,2,24,23,NULL,2,NULL,2),(25,551,2,24,24,NULL,4,NULL,2),(25,551,2,24,25,2,NULL,1,NULL),(25,551,2,24,26,1,3,1,3),(25,551,2,24,27,NULL,4,NULL,3),(25,551,2,24,28,2,1,2,1),(25,551,2,24,29,1,8,1,4),(25,551,2,24,30,2,6,1,3),(25,551,2,24,31,3,4,3,4),(25,551,2,24,32,NULL,5,NULL,5),(25,551,2,24,33,2,4,2,2),(25,551,2,24,34,NULL,2,NULL,2),(25,551,2,24,35,3,6,2,5),(25,551,2,24,36,2,8,2,5),(25,551,2,24,37,2,2,1,1),(25,551,2,24,38,5,6,4,4),(25,551,2,24,39,11,NULL,9,NULL),(25,551,2,24,40,NULL,3,NULL,1),(25,601,1,11,1,NULL,1,1,2),(25,601,1,11,2,NULL,NULL,1,NULL),(25,601,1,11,3,NULL,1,NULL,1),(25,601,1,11,4,1,1,2,NULL),(25,601,1,11,5,NULL,1,NULL,2),(25,601,1,11,6,2,1,2,1),(25,601,1,11,7,NULL,4,1,3),(25,601,1,11,8,1,NULL,2,NULL),(25,601,1,11,9,NULL,3,NULL,3),(25,601,1,11,10,NULL,NULL,NULL,NULL),(25,601,1,11,11,NULL,1,NULL,1),(25,601,1,11,12,1,NULL,1,NULL),(25,601,1,11,13,3,NULL,4,NULL),(25,601,1,11,14,2,1,4,NULL),(25,601,1,11,15,3,1,4,NULL),(25,601,1,11,16,2,1,3,1),(25,601,1,11,17,NULL,2,NULL,3),(25,601,1,11,18,1,1,1,3),(25,601,1,11,19,NULL,1,1,2),(25,601,1,11,20,1,1,2,2),(25,601,1,11,21,2,NULL,2,1),(25,601,1,11,22,1,NULL,1,2),(25,601,1,11,23,NULL,1,1,1),(25,601,1,11,24,NULL,1,NULL,1),(25,601,1,11,25,NULL,NULL,NULL,1),(25,601,1,11,26,1,NULL,2,NULL),(25,601,1,11,27,NULL,NULL,NULL,NULL),(25,601,1,11,28,1,4,1,4),(25,601,1,11,29,NULL,NULL,NULL,NULL),(25,601,1,11,30,NULL,NULL,1,NULL),(25,601,1,11,31,NULL,1,NULL,2),(25,601,1,11,32,NULL,1,NULL,1),(25,601,1,11,33,NULL,NULL,NULL,NULL),(25,601,1,11,34,1,NULL,NULL,NULL),(25,601,1,11,35,NULL,NULL,1,NULL),(25,601,1,11,36,2,1,3,1),(25,601,1,11,37,1,1,1,1),(25,601,1,11,38,NULL,4,NULL,4),(25,601,1,11,39,1,1,1,1),(25,601,1,11,40,NULL,1,NULL,1),(25,601,1,12,1,NULL,NULL,NULL,1),(25,601,1,12,2,1,NULL,2,NULL),(25,601,1,12,3,NULL,NULL,NULL,NULL),(25,601,1,12,4,1,NULL,1,NULL),(25,601,1,12,5,1,NULL,1,NULL),(25,601,1,12,6,NULL,NULL,NULL,1),(25,601,1,12,7,NULL,1,NULL,1),(25,601,1,12,8,NULL,1,1,1),(25,601,1,12,9,NULL,NULL,NULL,NULL),(25,601,1,12,10,NULL,1,NULL,1),(25,601,1,12,11,NULL,1,NULL,2),(25,601,1,12,12,NULL,NULL,NULL,NULL),(25,601,1,12,13,1,NULL,2,NULL),(25,601,1,12,14,1,NULL,1,1),(25,601,1,12,15,1,NULL,1,1),(25,601,1,12,16,1,NULL,2,NULL),(25,601,1,12,17,1,NULL,2,NULL),(25,601,1,12,18,NULL,1,NULL,2),(25,601,1,12,19,NULL,NULL,NULL,NULL),(25,601,1,12,20,1,NULL,2,NULL),(25,601,1,12,21,1,NULL,1,NULL),(25,601,1,12,22,NULL,1,NULL,2),(25,601,1,12,23,NULL,NULL,NULL,NULL),(25,601,1,12,24,NULL,NULL,NULL,NULL),(25,601,1,12,25,1,NULL,1,1),(25,601,1,12,26,NULL,NULL,NULL,NULL),(25,601,1,12,27,NULL,NULL,NULL,NULL),(25,601,1,12,28,NULL,1,NULL,2),(25,601,1,12,29,NULL,NULL,NULL,1),(25,601,1,12,30,NULL,1,NULL,1),(25,601,1,12,31,NULL,NULL,NULL,NULL),(25,601,1,12,32,1,NULL,1,1),(25,601,1,12,33,NULL,NULL,NULL,1),(25,601,1,12,34,1,NULL,1,NULL),(25,601,1,12,35,NULL,NULL,NULL,NULL),(25,601,1,12,36,1,NULL,1,NULL),(25,601,1,12,37,NULL,1,NULL,1),(25,601,1,12,38,NULL,NULL,1,NULL),(25,601,1,12,39,1,NULL,1,1),(25,601,1,12,40,NULL,1,NULL,1),(25,601,1,13,1,NULL,1,1,1),(25,601,1,13,2,NULL,NULL,NULL,1),(25,601,1,13,3,NULL,1,1,1),(25,601,1,13,4,2,NULL,2,NULL),(25,601,1,13,5,NULL,NULL,1,NULL),(25,601,1,13,6,NULL,1,NULL,2),(25,601,1,13,7,NULL,1,NULL,2),(25,601,1,13,8,NULL,NULL,NULL,NULL),(25,601,1,13,9,1,NULL,1,NULL),(25,601,1,13,10,NULL,NULL,NULL,NULL),(25,601,1,13,11,NULL,NULL,NULL,1),(25,601,1,13,12,NULL,NULL,NULL,NULL),(25,601,1,13,13,1,NULL,1,NULL),(25,601,1,13,14,NULL,NULL,NULL,NULL),(25,601,1,13,15,1,NULL,1,NULL),(25,601,1,13,16,NULL,NULL,NULL,NULL),(25,601,1,13,17,2,NULL,2,NULL),(25,601,1,13,18,2,NULL,2,NULL),(25,601,1,13,19,1,NULL,NULL,NULL),(25,601,1,13,20,1,NULL,1,NULL),(25,601,1,13,21,NULL,NULL,NULL,NULL),(25,601,1,13,22,NULL,1,NULL,1),(25,601,1,13,23,1,1,NULL,1),(25,601,1,13,24,NULL,NULL,NULL,NULL),(25,601,1,13,25,NULL,1,NULL,NULL),(25,601,1,13,26,NULL,NULL,NULL,NULL),(25,601,1,13,27,NULL,NULL,NULL,NULL),(25,601,1,13,28,1,1,1,1),(25,601,1,13,29,NULL,NULL,NULL,NULL),(25,601,1,13,30,NULL,NULL,NULL,NULL),(25,601,1,13,31,NULL,1,NULL,1),(25,601,1,13,32,NULL,1,NULL,NULL),(25,601,1,13,33,NULL,NULL,NULL,NULL),(25,601,1,13,34,NULL,NULL,NULL,NULL),(25,601,1,13,35,NULL,NULL,NULL,NULL),(25,601,1,13,36,1,NULL,1,NULL),(25,601,1,13,37,NULL,NULL,1,NULL),(25,601,1,13,38,NULL,NULL,NULL,1),(25,601,1,13,39,NULL,NULL,NULL,NULL),(25,601,1,13,40,NULL,NULL,NULL,NULL),(25,601,1,14,1,47,61,53,58),(25,601,1,14,2,13,29,18,31),(25,601,1,14,3,21,21,18,23),(25,601,1,14,4,57,50,66,43),(25,601,1,14,5,10,29,11,37),(25,601,1,14,6,23,50,28,55),(25,601,1,14,7,32,80,35,65),(25,601,1,14,8,30,14,45,14),(25,601,1,14,9,29,34,26,29),(25,601,1,14,10,3,10,4,12),(25,601,1,14,11,19,27,14,19),(25,601,1,14,12,8,13,19,20),(25,601,1,14,13,24,22,36,21),(25,601,1,14,14,35,31,41,26),(25,601,1,14,15,50,32,59,33),(25,601,1,14,16,26,27,23,29),(25,601,1,14,17,34,15,47,20),(25,601,1,14,18,55,18,71,13),(25,601,1,14,19,60,56,55,53),(25,601,1,14,20,45,6,56,6),(25,601,1,14,21,30,42,30,44),(25,601,1,14,22,33,42,27,47),(25,601,1,14,23,16,31,13,39),(25,601,1,14,24,8,17,10,25),(25,601,1,14,25,14,36,11,31),(25,601,1,14,26,20,NULL,42,NULL),(25,601,1,14,27,7,NULL,11,NULL),(25,601,1,14,28,25,77,23,71),(25,601,1,14,29,10,15,9,17),(25,601,1,14,30,7,27,3,32),(25,601,1,14,31,10,9,9,15),(25,601,1,14,32,9,18,18,23),(25,601,1,14,33,15,23,18,23),(25,601,1,14,34,13,17,18,18),(25,601,1,14,35,13,14,19,12),(25,601,1,14,36,31,43,40,42),(25,601,1,14,37,18,20,31,24),(25,601,1,14,38,16,81,10,81),(25,601,1,14,39,15,48,17,53),(25,601,1,14,40,4,22,8,31),(25,601,1,15,1,46,50,43,50),(25,601,1,15,2,9,34,11,43),(25,601,1,15,3,26,23,32,22),(25,601,1,15,4,65,29,69,30),(25,601,1,15,5,9,24,11,33),(25,601,1,15,6,21,43,24,43),(25,601,1,15,7,24,70,21,72),(25,601,1,15,8,20,11,25,22),(25,601,1,15,9,26,34,26,35),(25,601,1,15,10,6,9,7,10),(25,601,1,15,11,12,29,19,29),(25,601,1,15,12,18,7,27,13),(25,601,1,15,13,19,19,24,22),(25,601,1,15,14,26,29,47,26),(25,601,1,15,15,47,23,52,30),(25,601,1,15,16,16,7,19,18),(25,601,1,15,17,24,20,29,19),(25,601,1,15,18,41,18,62,15),(25,601,1,15,19,47,40,51,44),(25,601,1,15,20,37,9,53,9),(25,601,1,15,21,26,44,28,46),(25,601,1,15,22,20,31,23,43),(25,601,1,15,23,11,27,11,40),(25,601,1,15,24,7,19,12,31),(25,601,1,15,25,8,26,5,37),(25,601,1,15,26,20,NULL,31,NULL),(25,601,1,15,27,9,NULL,18,NULL),(25,601,1,15,28,12,47,15,55),(25,601,1,15,29,8,24,8,27),(25,601,1,15,30,7,15,7,26),(25,601,1,15,31,1,9,3,15),(25,601,1,15,32,9,13,18,24),(25,601,1,15,33,12,20,15,32),(25,601,1,15,34,10,15,15,14),(25,601,1,15,35,8,10,17,11),(25,601,1,15,36,28,35,39,28),(25,601,1,15,37,26,13,35,18),(25,601,1,15,38,13,64,9,61),(25,601,1,15,39,14,27,20,39),(25,601,1,15,40,2,11,7,24),(25,601,1,16,1,40,26,36,23),(25,601,1,16,2,9,19,7,25),(25,601,1,16,3,10,15,14,13),(25,601,1,16,4,39,24,42,19),(25,601,1,16,5,4,29,6,19),(25,601,1,16,6,12,34,10,30),(25,601,1,16,7,10,45,9,44),(25,601,1,16,8,18,14,15,10),(25,601,1,16,9,20,23,16,16),(25,601,1,16,10,2,8,2,6),(25,601,1,16,11,8,15,4,11),(25,601,1,16,12,10,8,11,7),(25,601,1,16,13,31,9,30,8),(25,601,1,16,14,19,16,18,14),(25,601,1,16,15,39,NULL,35,NULL),(25,601,1,16,16,9,31,13,26),(25,601,1,16,17,3,45,1,31),(25,601,1,16,18,19,64,13,50),(25,601,1,16,19,NULL,36,1,23),(25,601,1,16,20,52,NULL,44,NULL),(25,601,1,16,21,16,34,14,33),(25,601,1,16,22,9,21,6,26),(25,601,1,16,23,8,21,6,22),(25,601,1,16,24,5,10,7,15),(25,601,1,16,25,4,10,2,9),(25,601,1,16,26,9,NULL,13,NULL),(25,601,1,16,27,4,NULL,6,NULL),(25,601,1,16,28,15,41,6,41),(25,601,1,16,29,3,13,6,11),(25,601,1,16,30,4,17,3,14),(25,601,1,16,31,3,9,5,11),(25,601,1,16,32,3,7,7,7),(25,601,1,16,33,12,11,6,14),(25,601,1,16,34,2,25,7,15),(25,601,1,16,35,9,6,6,4),(25,601,1,16,36,8,23,11,25),(25,601,1,16,37,9,8,14,8),(25,601,1,16,38,2,46,4,39),(25,601,1,16,39,5,22,3,24),(25,601,1,16,40,1,8,2,12),(25,601,1,17,1,37,21,17,18),(25,601,1,17,2,4,17,4,11),(25,601,1,17,3,9,18,6,7),(25,601,1,17,4,32,28,23,17),(25,601,1,17,5,4,24,1,12),(25,601,1,17,6,13,27,4,15),(25,601,1,17,7,7,45,7,25),(25,601,1,17,8,17,9,10,7),(25,601,1,17,9,14,24,8,15),(25,601,1,17,10,2,9,1,9),(25,601,1,17,11,8,12,7,7),(25,601,1,17,12,9,10,14,10),(25,601,1,17,13,28,10,15,8),(25,601,1,17,14,17,14,13,12),(25,601,1,17,15,48,NULL,30,NULL),(25,601,1,17,16,18,27,8,17),(25,601,1,17,17,4,35,3,17),(25,601,1,17,18,9,57,4,38),(25,601,1,17,19,2,35,NULL,19),(25,601,1,17,20,46,NULL,29,NULL),(25,601,1,17,21,15,26,8,20),(25,601,1,17,22,13,20,7,19),(25,601,1,17,23,3,12,2,11),(25,601,1,17,24,5,11,3,10),(25,601,1,17,25,5,14,3,9),(25,601,1,17,26,6,NULL,8,NULL),(25,601,1,17,27,1,NULL,4,NULL),(25,601,1,17,28,13,45,6,29),(25,601,1,17,29,11,8,5,10),(25,601,1,17,30,4,14,2,14),(25,601,1,17,31,1,9,1,8),(25,601,1,17,32,4,7,2,3),(25,601,1,17,33,2,14,3,12),(25,601,1,17,34,8,8,5,6),(25,601,1,17,35,3,4,5,3),(25,601,1,17,36,9,23,9,20),(25,601,1,17,37,10,11,5,10),(25,601,1,17,38,3,42,4,31),(25,601,1,17,39,6,37,6,21),(25,601,1,17,40,1,10,2,12),(25,601,2,21,1,10,22,13,22),(25,601,2,21,2,3,27,5,24),(25,601,2,21,3,18,33,14,25),(25,601,2,21,4,18,23,22,21),(25,601,2,21,5,31,33,28,32),(25,601,2,21,6,7,16,9,15),(25,601,2,21,7,4,20,5,22),(25,601,2,21,8,20,27,18,15),(25,601,2,21,9,46,26,51,23),(25,601,2,21,10,12,18,13,17),(25,601,2,21,11,15,78,6,56),(25,601,2,21,12,10,33,11,23),(25,601,2,21,13,42,23,49,14),(25,601,2,21,14,6,31,8,31),(25,601,2,21,15,34,38,27,30),(25,601,2,21,16,15,31,11,25),(25,601,2,21,17,12,35,14,27),(25,601,2,21,18,22,27,22,25),(25,601,2,21,19,10,27,6,22),(25,601,2,21,20,10,18,13,16),(25,601,2,21,21,3,11,6,7),(25,601,2,21,22,2,8,2,8),(25,601,2,21,23,9,13,10,9),(25,601,2,21,24,3,13,5,10),(25,601,2,21,25,3,NULL,1,NULL),(25,601,2,21,26,6,14,4,9),(25,601,2,21,27,3,17,1,11),(25,601,2,21,28,3,11,5,9),(25,601,2,21,29,12,19,10,10),(25,601,2,21,30,8,16,8,12),(25,601,2,21,31,21,17,18,20),(25,601,2,21,32,5,24,5,19),(25,601,2,21,33,22,20,38,21),(25,601,2,21,34,4,13,6,11),(25,601,2,21,35,10,24,9,19),(25,601,2,21,36,15,22,13,13),(25,601,2,21,37,4,27,5,20),(25,601,2,21,38,27,29,27,20),(25,601,2,21,39,58,NULL,64,NULL),(25,601,2,21,40,6,12,6,14),(25,601,2,22,1,12,19,15,24),(25,601,2,22,2,5,17,3,19),(25,601,2,22,3,18,20,17,13),(25,601,2,22,4,17,20,18,19),(25,601,2,22,5,21,21,21,24),(25,601,2,22,6,5,14,10,16),(25,601,2,22,7,5,15,11,15),(25,601,2,22,8,18,29,21,27),(25,601,2,22,9,44,22,42,21),(25,601,2,22,10,15,10,17,20),(25,601,2,22,11,11,74,8,61),(25,601,2,22,12,13,24,19,20),(25,601,2,22,13,51,14,49,12),(25,601,2,22,14,24,22,19,31),(25,601,2,22,15,30,23,25,22),(25,601,2,22,16,9,36,10,29),(25,601,2,22,17,12,45,8,43),(25,601,2,22,18,17,20,16,17),(25,601,2,22,19,5,35,3,27),(25,601,2,22,20,15,19,15,18),(25,601,2,22,21,7,13,9,9),(25,601,2,22,22,2,4,2,3),(25,601,2,22,23,3,8,4,11),(25,601,2,22,24,4,10,3,13),(25,601,2,22,25,3,NULL,9,NULL),(25,601,2,22,26,NULL,11,NULL,11),(25,601,2,22,27,2,21,1,12),(25,601,2,22,28,1,10,2,6),(25,601,2,22,29,6,16,6,14),(25,601,2,22,30,5,28,6,21),(25,601,2,22,31,23,14,25,16),(25,601,2,22,32,3,14,1,20),(25,601,2,22,33,21,13,25,16),(25,601,2,22,34,2,11,5,11),(25,601,2,22,35,8,14,11,14),(25,601,2,22,36,17,12,16,11),(25,601,2,22,37,6,10,6,13),(25,601,2,22,38,23,24,36,14),(25,601,2,22,39,47,NULL,66,NULL),(25,601,2,22,40,4,10,3,12),(25,601,2,23,1,6,24,6,25),(25,601,2,23,2,3,24,4,24),(25,601,2,23,3,12,23,18,23),(25,601,2,23,4,17,16,12,18),(25,601,2,23,5,23,25,27,22),(25,601,2,23,6,10,13,13,16),(25,601,2,23,7,3,16,6,19),(25,601,2,23,8,12,27,19,22),(25,601,2,23,9,43,22,50,25),(25,601,2,23,10,10,19,19,28),(25,601,2,23,11,9,72,8,57),(25,601,2,23,12,10,24,7,19),(25,601,2,23,13,43,13,47,14),(25,601,2,23,14,6,27,9,34),(25,601,2,23,15,27,20,25,23),(25,601,2,23,16,11,36,17,35),(25,601,2,23,17,13,32,13,26),(25,601,2,23,18,14,24,14,20),(25,601,2,23,19,5,27,6,33),(25,601,2,23,20,13,24,16,22),(25,601,2,23,21,3,11,9,11),(25,601,2,23,22,1,3,NULL,NULL),(25,601,2,23,23,4,11,9,11),(25,601,2,23,24,3,8,2,10),(25,601,2,23,25,5,NULL,5,NULL),(25,601,2,23,26,3,7,3,4),(25,601,2,23,27,2,11,NULL,16),(25,601,2,23,28,NULL,3,1,4),(25,601,2,23,29,3,11,6,15),(25,601,2,23,30,8,18,7,17),(25,601,2,23,31,27,14,30,15),(25,601,2,23,32,NULL,8,4,12),(25,601,2,23,33,24,13,35,12),(25,601,2,23,34,2,8,6,6),(25,601,2,23,35,12,19,13,21),(25,601,2,23,36,6,13,7,16),(25,601,2,23,37,1,19,1,20),(25,601,2,23,38,27,25,29,26),(25,601,2,23,39,44,NULL,65,NULL),(25,601,2,23,40,2,7,4,9),(25,601,2,24,1,13,22,15,27),(25,601,2,24,2,4,27,6,25),(25,601,2,24,3,17,25,27,29),(25,601,2,24,4,14,25,14,31),(25,601,2,24,5,30,30,34,32),(25,601,2,24,6,7,22,17,16),(25,601,2,24,7,4,12,9,14),(25,601,2,24,8,22,27,30,24),(25,601,2,24,9,35,26,49,24),(25,601,2,24,10,19,20,29,18),(25,601,2,24,11,13,67,10,54),(25,601,2,24,12,14,28,13,28),(25,601,2,24,13,41,17,60,9),(25,601,2,24,14,18,28,20,32),(25,601,2,24,15,23,28,25,22),(25,601,2,24,16,14,31,12,35),(25,601,2,24,17,16,36,10,31),(25,601,2,24,18,10,30,15,20),(25,601,2,24,19,3,21,2,22),(25,601,2,24,20,8,25,13,22),(25,601,2,24,21,4,11,9,16),(25,601,2,24,22,1,4,1,8),(25,601,2,24,23,3,8,6,10),(25,601,2,24,24,11,9,10,9),(25,601,2,24,25,11,NULL,10,NULL),(25,601,2,24,26,2,10,1,11),(25,601,2,24,27,2,11,2,6),(25,601,2,24,28,3,9,2,12),(25,601,2,24,29,6,24,9,29),(25,601,2,24,30,7,16,7,15),(25,601,2,24,31,18,19,27,23),(25,601,2,24,32,3,18,2,24),(25,601,2,24,33,20,9,39,10),(25,601,2,24,34,3,19,7,17),(25,601,2,24,35,12,20,8,23),(25,601,2,24,36,9,15,15,12),(25,601,2,24,37,8,17,12,17),(25,601,2,24,38,26,17,34,19),(25,601,2,24,39,56,NULL,72,NULL),(25,601,2,24,40,5,10,7,13),(25,652,1,11,1,NULL,NULL,NULL,NULL),(25,652,1,11,2,NULL,NULL,NULL,NULL),(25,652,1,11,3,NULL,NULL,NULL,NULL),(25,652,1,11,4,NULL,NULL,NULL,NULL),(25,652,1,11,5,NULL,NULL,NULL,NULL),(25,652,1,11,6,NULL,NULL,NULL,NULL),(25,652,1,11,7,NULL,NULL,NULL,NULL),(25,652,1,11,8,NULL,NULL,NULL,NULL),(25,652,1,11,9,NULL,NULL,NULL,NULL),(25,652,1,11,10,NULL,NULL,NULL,NULL),(25,652,1,11,11,NULL,NULL,NULL,NULL),(25,652,1,11,12,NULL,NULL,NULL,NULL),(25,652,1,11,13,NULL,NULL,NULL,NULL),(25,652,1,11,14,NULL,NULL,NULL,NULL),(25,652,1,11,15,NULL,NULL,NULL,NULL),(25,652,1,11,16,NULL,NULL,NULL,NULL),(25,652,1,11,17,NULL,NULL,NULL,NULL),(25,652,1,11,18,NULL,NULL,NULL,NULL),(25,652,1,11,19,NULL,NULL,NULL,NULL),(25,652,1,11,20,NULL,NULL,NULL,NULL),(25,652,1,11,21,NULL,NULL,NULL,NULL),(25,652,1,11,22,NULL,NULL,NULL,NULL),(25,652,1,11,23,NULL,NULL,NULL,NULL),(25,652,1,11,24,NULL,NULL,NULL,NULL),(25,652,1,11,25,NULL,NULL,NULL,NULL),(25,652,1,11,26,NULL,NULL,NULL,NULL),(25,652,1,11,27,NULL,NULL,NULL,NULL),(25,652,1,11,28,NULL,NULL,NULL,NULL),(25,652,1,11,29,NULL,NULL,NULL,NULL),(25,652,1,11,30,NULL,NULL,NULL,NULL),(25,652,1,11,31,NULL,NULL,NULL,NULL),(25,652,1,11,32,NULL,NULL,NULL,NULL),(25,652,1,11,33,NULL,NULL,NULL,NULL),(25,652,1,11,34,NULL,NULL,NULL,NULL),(25,652,1,11,35,NULL,NULL,NULL,NULL),(25,652,1,11,36,NULL,NULL,NULL,NULL),(25,652,1,11,37,NULL,NULL,NULL,NULL),(25,652,1,11,38,NULL,NULL,NULL,NULL),(25,652,1,11,39,NULL,NULL,NULL,NULL),(25,652,1,11,40,NULL,NULL,NULL,NULL),(25,652,1,12,1,NULL,NULL,NULL,NULL),(25,652,1,12,2,NULL,NULL,NULL,NULL),(25,652,1,12,3,NULL,NULL,NULL,NULL),(25,652,1,12,4,NULL,NULL,NULL,NULL),(25,652,1,12,5,NULL,NULL,NULL,NULL),(25,652,1,12,6,NULL,NULL,NULL,NULL),(25,652,1,12,7,NULL,NULL,NULL,NULL),(25,652,1,12,8,NULL,NULL,NULL,NULL),(25,652,1,12,9,NULL,NULL,NULL,NULL),(25,652,1,12,10,NULL,NULL,NULL,NULL),(25,652,1,12,11,NULL,NULL,NULL,NULL),(25,652,1,12,12,NULL,NULL,NULL,NULL),(25,652,1,12,13,NULL,NULL,NULL,NULL),(25,652,1,12,14,NULL,NULL,NULL,NULL),(25,652,1,12,15,NULL,NULL,NULL,NULL),(25,652,1,12,16,NULL,NULL,NULL,NULL),(25,652,1,12,17,NULL,NULL,NULL,NULL),(25,652,1,12,18,NULL,NULL,NULL,NULL),(25,652,1,12,19,NULL,NULL,NULL,NULL),(25,652,1,12,20,NULL,NULL,NULL,NULL),(25,652,1,12,21,NULL,NULL,NULL,NULL),(25,652,1,12,22,NULL,NULL,NULL,NULL),(25,652,1,12,23,NULL,NULL,NULL,NULL),(25,652,1,12,24,NULL,NULL,NULL,NULL),(25,652,1,12,25,NULL,NULL,NULL,NULL),(25,652,1,12,26,NULL,NULL,NULL,NULL),(25,652,1,12,27,NULL,NULL,NULL,NULL),(25,652,1,12,28,NULL,NULL,NULL,NULL),(25,652,1,12,29,NULL,NULL,NULL,NULL),(25,652,1,12,30,NULL,NULL,NULL,NULL),(25,652,1,12,31,NULL,NULL,NULL,NULL),(25,652,1,12,32,NULL,NULL,NULL,NULL),(25,652,1,12,33,NULL,NULL,NULL,NULL),(25,652,1,12,34,NULL,NULL,NULL,NULL),(25,652,1,12,35,NULL,NULL,NULL,NULL),(25,652,1,12,36,NULL,NULL,NULL,NULL),(25,652,1,12,37,NULL,NULL,NULL,NULL),(25,652,1,12,38,NULL,NULL,NULL,NULL),(25,652,1,12,39,NULL,NULL,NULL,NULL),(25,652,1,12,40,NULL,NULL,NULL,NULL),(25,652,1,13,1,NULL,NULL,NULL,NULL),(25,652,1,13,2,NULL,NULL,NULL,NULL),(25,652,1,13,3,NULL,NULL,NULL,NULL),(25,652,1,13,4,NULL,NULL,NULL,NULL),(25,652,1,13,5,NULL,NULL,NULL,NULL),(25,652,1,13,6,NULL,NULL,NULL,NULL),(25,652,1,13,7,NULL,NULL,NULL,NULL),(25,652,1,13,8,NULL,NULL,1,NULL),(25,652,1,13,9,NULL,NULL,NULL,NULL),(25,652,1,13,10,NULL,NULL,NULL,NULL),(25,652,1,13,11,NULL,NULL,NULL,NULL),(25,652,1,13,12,NULL,NULL,NULL,NULL),(25,652,1,13,13,NULL,NULL,1,NULL),(25,652,1,13,14,NULL,NULL,NULL,NULL),(25,652,1,13,15,NULL,NULL,1,NULL),(25,652,1,13,16,NULL,NULL,NULL,NULL),(25,652,1,13,17,NULL,NULL,NULL,NULL),(25,652,1,13,18,NULL,NULL,1,NULL),(25,652,1,13,19,NULL,NULL,NULL,NULL),(25,652,1,13,20,NULL,NULL,NULL,NULL),(25,652,1,13,21,NULL,NULL,NULL,NULL),(25,652,1,13,22,NULL,NULL,NULL,NULL),(25,652,1,13,23,NULL,NULL,NULL,NULL),(25,652,1,13,24,NULL,NULL,NULL,NULL),(25,652,1,13,25,NULL,NULL,NULL,NULL),(25,652,1,13,26,NULL,NULL,NULL,NULL),(25,652,1,13,27,NULL,NULL,NULL,NULL),(25,652,1,13,28,NULL,NULL,NULL,NULL),(25,652,1,13,29,NULL,NULL,NULL,NULL),(25,652,1,13,30,NULL,NULL,NULL,NULL),(25,652,1,13,31,NULL,NULL,NULL,NULL),(25,652,1,13,32,NULL,NULL,NULL,NULL),(25,652,1,13,33,NULL,NULL,NULL,NULL),(25,652,1,13,34,NULL,NULL,1,NULL),(25,652,1,13,35,NULL,NULL,NULL,NULL),(25,652,1,13,36,NULL,NULL,NULL,NULL),(25,652,1,13,37,NULL,NULL,NULL,NULL),(25,652,1,13,38,NULL,NULL,NULL,NULL),(25,652,1,13,39,NULL,NULL,NULL,NULL),(25,652,1,13,40,NULL,NULL,NULL,NULL),(25,652,1,14,1,11,8,9,10),(25,652,1,14,2,6,1,4,4),(25,652,1,14,3,3,6,6,6),(25,652,1,14,4,13,5,15,6),(25,652,1,14,5,3,4,3,5),(25,652,1,14,6,5,12,1,11),(25,652,1,14,7,6,15,6,13),(25,652,1,14,8,7,2,8,2),(25,652,1,14,9,10,4,10,2),(25,652,1,14,10,1,1,2,3),(25,652,1,14,11,4,3,6,4),(25,652,1,14,12,2,NULL,3,2),(25,652,1,14,13,5,5,7,5),(25,652,1,14,14,6,4,6,5),(25,652,1,14,15,6,4,6,7),(25,652,1,14,16,6,2,6,3),(25,652,1,14,17,NULL,4,3,4),(25,652,1,14,18,9,NULL,11,1),(25,652,1,14,19,8,6,10,5),(25,652,1,14,20,7,1,7,4),(25,652,1,14,21,4,7,5,7),(25,652,1,14,22,5,4,5,11),(25,652,1,14,23,1,4,1,6),(25,652,1,14,24,NULL,2,NULL,4),(25,652,1,14,25,NULL,6,2,3),(25,652,1,14,26,1,NULL,2,NULL),(25,652,1,14,27,NULL,NULL,NULL,NULL),(25,652,1,14,28,4,13,2,16),(25,652,1,14,29,2,3,1,2),(25,652,1,14,30,2,2,2,3),(25,652,1,14,31,NULL,1,1,1),(25,652,1,14,32,1,NULL,4,2),(25,652,1,14,33,2,3,2,3),(25,652,1,14,34,NULL,4,NULL,2),(25,652,1,14,35,4,2,4,1),(25,652,1,14,36,4,8,4,9),(25,652,1,14,37,NULL,NULL,4,1),(25,652,1,14,38,5,13,2,16),(25,652,1,14,39,3,11,3,14),(25,652,1,14,40,1,3,1,2),(25,652,1,15,1,7,7,9,10),(25,652,1,15,2,2,1,1,2),(25,652,1,15,3,3,1,4,2),(25,652,1,15,4,6,6,11,7),(25,652,1,15,5,NULL,3,1,6),(25,652,1,15,6,1,3,5,5),(25,652,1,15,7,1,15,5,15),(25,652,1,15,8,NULL,4,1,2),(25,652,1,15,9,3,5,3,6),(25,652,1,15,10,NULL,1,1,1),(25,652,1,15,11,NULL,3,NULL,2),(25,652,1,15,12,2,3,2,3),(25,652,1,15,13,4,1,7,2),(25,652,1,15,14,3,7,4,3),(25,652,1,15,15,5,4,4,5),(25,652,1,15,16,3,6,6,6),(25,652,1,15,17,3,2,4,4),(25,652,1,15,18,4,2,11,4),(25,652,1,15,19,4,5,11,6),(25,652,1,15,20,6,2,10,1),(25,652,1,15,21,3,10,3,10),(25,652,1,15,22,3,8,2,10),(25,652,1,15,23,2,3,3,4),(25,652,1,15,24,NULL,4,2,6),(25,652,1,15,25,NULL,3,NULL,5),(25,652,1,15,26,1,NULL,1,NULL),(25,652,1,15,27,NULL,NULL,NULL,NULL),(25,652,1,15,28,1,13,3,12),(25,652,1,15,29,3,2,4,3),(25,652,1,15,30,2,1,1,3),(25,652,1,15,31,NULL,2,NULL,3),(25,652,1,15,32,NULL,1,1,NULL),(25,652,1,15,33,4,2,2,2),(25,652,1,15,34,4,2,2,2),(25,652,1,15,35,1,7,1,4),(25,652,1,15,36,2,6,4,7),(25,652,1,15,37,1,2,1,6),(25,652,1,15,38,NULL,13,2,12),(25,652,1,15,39,1,1,3,4),(25,652,1,15,40,NULL,1,1,3),(25,652,1,16,1,8,5,5,6),(25,652,1,16,2,3,4,3,4),(25,652,1,16,3,4,5,3,1),(25,652,1,16,4,8,4,6,4),(25,652,1,16,5,1,8,NULL,6),(25,652,1,16,6,3,8,4,7),(25,652,1,16,7,1,13,3,10),(25,652,1,16,8,8,2,8,2),(25,652,1,16,9,3,4,5,2),(25,652,1,16,10,1,1,1,1),(25,652,1,16,11,4,4,3,3),(25,652,1,16,12,3,1,2,1),(25,652,1,16,13,9,1,7,1),(25,652,1,16,14,3,5,5,1),(25,652,1,16,15,8,NULL,8,NULL),(25,652,1,16,16,4,5,2,5),(25,652,1,16,17,2,15,NULL,8),(25,652,1,16,18,5,14,3,13),(25,652,1,16,19,1,8,NULL,5),(25,652,1,16,20,8,NULL,6,NULL),(25,652,1,16,21,6,4,3,5),(25,652,1,16,22,1,3,2,2),(25,652,1,16,23,2,4,2,4),(25,652,1,16,24,1,1,NULL,1),(25,652,1,16,25,1,1,NULL,NULL),(25,652,1,16,26,NULL,NULL,2,NULL),(25,652,1,16,27,1,NULL,NULL,NULL),(25,652,1,16,28,7,8,4,5),(25,652,1,16,29,2,3,1,2),(25,652,1,16,30,1,4,NULL,3),(25,652,1,16,31,NULL,NULL,NULL,1),(25,652,1,16,32,NULL,1,NULL,1),(25,652,1,16,33,2,6,1,4),(25,652,1,16,34,2,6,1,4),(25,652,1,16,35,1,NULL,NULL,1),(25,652,1,16,36,2,7,2,7),(25,652,1,16,37,3,1,3,1),(25,652,1,16,38,NULL,10,NULL,6),(25,652,1,16,39,NULL,7,1,3),(25,652,1,16,40,NULL,1,NULL,1),(25,652,1,17,1,7,5,3,8),(25,652,1,17,2,NULL,10,NULL,6),(25,652,1,17,3,NULL,4,NULL,5),(25,652,1,17,4,7,5,8,5),(25,652,1,17,5,1,1,NULL,2),(25,652,1,17,6,1,10,3,4),(25,652,1,17,7,1,14,2,3),(25,652,1,17,8,6,8,4,4),(25,652,1,17,9,2,5,2,3),(25,652,1,17,10,NULL,1,NULL,NULL),(25,652,1,17,11,4,8,1,4),(25,652,1,17,12,2,4,NULL,4),(25,652,1,17,13,2,3,3,4),(25,652,1,17,14,4,5,2,6),(25,652,1,17,15,10,NULL,9,NULL),(25,652,1,17,16,5,6,4,3),(25,652,1,17,17,1,13,2,8),(25,652,1,17,18,3,16,3,9),(25,652,1,17,19,1,12,2,7),(25,652,1,17,20,7,NULL,8,NULL),(25,652,1,17,21,3,6,1,6),(25,652,1,17,22,3,6,1,8),(25,652,1,17,23,2,10,2,4),(25,652,1,17,24,NULL,4,1,2),(25,652,1,17,25,NULL,1,NULL,NULL),(25,652,1,17,26,3,NULL,4,NULL),(25,652,1,17,27,NULL,NULL,NULL,NULL),(25,652,1,17,28,5,8,4,7),(25,652,1,17,29,3,2,2,3),(25,652,1,17,30,3,9,1,6),(25,652,1,17,31,2,3,NULL,2),(25,652,1,17,32,NULL,4,NULL,1),(25,652,1,17,33,1,3,1,2),(25,652,1,17,34,5,6,2,5),(25,652,1,17,35,1,3,2,4),(25,652,1,17,36,NULL,6,2,6),(25,652,1,17,37,1,3,1,5),(25,652,1,17,38,NULL,12,NULL,7),(25,652,1,17,39,NULL,6,NULL,5),(25,652,1,17,40,NULL,1,NULL,2),(25,652,2,21,1,1,2,1,4),(25,652,2,21,2,1,2,1,4),(25,652,2,21,3,2,10,3,8),(25,652,2,21,4,3,1,5,3),(25,652,2,21,5,9,6,6,8),(25,652,2,21,6,2,NULL,2,1),(25,652,2,21,7,NULL,3,NULL,2),(25,652,2,21,8,3,5,2,7),(25,652,2,21,9,5,4,6,7),(25,652,2,21,10,3,6,3,3),(25,652,2,21,11,2,15,1,13),(25,652,2,21,12,2,6,3,6),(25,652,2,21,13,5,2,4,4),(25,652,2,21,14,1,5,1,7),(25,652,2,21,15,8,6,10,7),(25,652,2,21,16,2,8,3,7),(25,652,2,21,17,3,10,3,6),(25,652,2,21,18,6,3,5,3),(25,652,2,21,19,NULL,3,1,3),(25,652,2,21,20,3,4,3,5),(25,652,2,21,21,NULL,3,NULL,3),(25,652,2,21,22,NULL,2,NULL,1),(25,652,2,21,23,NULL,3,NULL,1),(25,652,2,21,24,NULL,2,1,6),(25,652,2,21,25,3,NULL,1,NULL),(25,652,2,21,26,2,3,1,NULL),(25,652,2,21,27,NULL,6,NULL,3),(25,652,2,21,28,NULL,1,NULL,1),(25,652,2,21,29,1,2,1,3),(25,652,2,21,30,1,9,3,5),(25,652,2,21,31,2,1,2,1),(25,652,2,21,32,1,2,NULL,1),(25,652,2,21,33,1,1,NULL,2),(25,652,2,21,34,NULL,3,NULL,3),(25,652,2,21,35,1,2,NULL,2),(25,652,2,21,36,1,5,2,3),(25,652,2,21,37,NULL,4,NULL,2),(25,652,2,21,38,4,8,6,8),(25,652,2,21,39,4,NULL,9,NULL),(25,652,2,21,40,NULL,3,NULL,2),(25,652,2,22,1,1,4,2,5),(25,652,2,22,2,2,4,1,2),(25,652,2,22,3,NULL,3,1,6),(25,652,2,22,4,2,7,2,6),(25,652,2,22,5,4,3,4,5),(25,652,2,22,6,2,1,1,2),(25,652,2,22,7,1,3,1,5),(25,652,2,22,8,6,5,5,4),(25,652,2,22,9,10,3,9,3),(25,652,2,22,10,1,5,NULL,5),(25,652,2,22,11,NULL,12,2,10),(25,652,2,22,12,1,3,NULL,5),(25,652,2,22,13,4,4,6,5),(25,652,2,22,14,4,5,5,7),(25,652,2,22,15,5,4,5,7),(25,652,2,22,16,3,4,1,5),(25,652,2,22,17,3,11,3,3),(25,652,2,22,18,1,2,2,5),(25,652,2,22,19,1,2,1,3),(25,652,2,22,20,1,5,1,4),(25,652,2,22,21,NULL,5,NULL,1),(25,652,2,22,22,1,NULL,1,NULL),(25,652,2,22,23,1,2,1,4),(25,652,2,22,24,1,2,2,2),(25,652,2,22,25,1,NULL,NULL,NULL),(25,652,2,22,26,NULL,4,NULL,4),(25,652,2,22,27,1,1,NULL,1),(25,652,2,22,28,NULL,4,NULL,4),(25,652,2,22,29,2,3,NULL,3),(25,652,2,22,30,4,1,1,2),(25,652,2,22,31,2,2,NULL,2),(25,652,2,22,32,1,3,2,2),(25,652,2,22,33,2,2,3,3),(25,652,2,22,34,NULL,1,NULL,NULL),(25,652,2,22,35,1,3,1,2),(25,652,2,22,36,1,1,3,2),(25,652,2,22,37,2,1,1,2),(25,652,2,22,38,3,3,3,5),(25,652,2,22,39,7,NULL,5,NULL),(25,652,2,22,40,NULL,1,NULL,2),(25,652,2,23,1,1,5,1,2),(25,652,2,23,2,2,5,2,4),(25,652,2,23,3,3,6,4,4),(25,652,2,23,4,6,5,6,2),(25,652,2,23,5,6,2,6,7),(25,652,2,23,6,NULL,6,1,5),(25,652,2,23,7,3,2,2,6),(25,652,2,23,8,6,5,6,4),(25,652,2,23,9,8,6,10,5),(25,652,2,23,10,NULL,2,NULL,5),(25,652,2,23,11,2,12,1,16),(25,652,2,23,12,1,5,1,7),(25,652,2,23,13,7,1,16,1),(25,652,2,23,14,1,7,3,7),(25,652,2,23,15,5,2,4,6),(25,652,2,23,16,3,6,4,7),(25,652,2,23,17,4,6,2,8),(25,652,2,23,18,3,2,6,1),(25,652,2,23,19,NULL,6,1,5),(25,652,2,23,20,1,2,3,1),(25,652,2,23,21,2,3,1,2),(25,652,2,23,22,NULL,2,NULL,1),(25,652,2,23,23,NULL,NULL,NULL,NULL),(25,652,2,23,24,NULL,2,1,2),(25,652,2,23,25,3,NULL,1,NULL),(25,652,2,23,26,NULL,3,NULL,5),(25,652,2,23,27,NULL,3,NULL,4),(25,652,2,23,28,1,1,NULL,NULL),(25,652,2,23,29,1,5,1,5),(25,652,2,23,30,2,6,2,3),(25,652,2,23,31,2,2,6,3),(25,652,2,23,32,NULL,1,1,2),(25,652,2,23,33,1,NULL,1,1),(25,652,2,23,34,NULL,2,1,2),(25,652,2,23,35,2,NULL,1,2),(25,652,2,23,36,NULL,3,1,1),(25,652,2,23,37,1,3,NULL,2),(25,652,2,23,38,3,2,2,3),(25,652,2,23,39,5,NULL,7,NULL),(25,652,2,23,40,1,2,1,NULL),(25,652,2,24,1,2,5,2,4),(25,652,2,24,2,NULL,2,NULL,2),(25,652,2,24,3,1,7,2,7),(25,652,2,24,4,3,3,5,4),(25,652,2,24,5,8,7,9,7),(25,652,2,24,6,NULL,5,NULL,6),(25,652,2,24,7,NULL,1,NULL,1),(25,652,2,24,8,6,4,7,4),(25,652,2,24,9,7,7,12,6),(25,652,2,24,10,NULL,6,NULL,7),(25,652,2,24,11,1,12,1,10),(25,652,2,24,12,NULL,7,1,8),(25,652,2,24,13,9,5,9,3),(25,652,2,24,14,5,7,4,4),(25,652,2,24,15,5,6,4,6),(25,652,2,24,16,4,4,2,3),(25,652,2,24,17,2,8,1,8),(25,652,2,24,18,6,4,8,3),(25,652,2,24,19,NULL,2,NULL,3),(25,652,2,24,20,2,3,2,3),(25,652,2,24,21,2,3,2,2),(25,652,2,24,22,NULL,5,NULL,2),(25,652,2,24,23,1,3,1,2),(25,652,2,24,24,NULL,2,2,6),(25,652,2,24,25,2,NULL,1,NULL),(25,652,2,24,26,NULL,2,NULL,1),(25,652,2,24,27,NULL,2,NULL,2),(25,652,2,24,28,NULL,4,NULL,3),(25,652,2,24,29,NULL,5,NULL,3),(25,652,2,24,30,1,3,1,3),(25,652,2,24,31,2,4,1,4),(25,652,2,24,32,NULL,2,2,2),(25,652,2,24,33,NULL,1,NULL,1),(25,652,2,24,34,NULL,3,NULL,2),(25,652,2,24,35,1,3,1,2),(25,652,2,24,36,2,3,3,NULL),(25,652,2,24,37,1,NULL,1,1),(25,652,2,24,38,2,2,3,3),(25,652,2,24,39,6,NULL,9,NULL),(25,652,2,24,40,NULL,NULL,NULL,1),(25,653,1,11,1,NULL,NULL,NULL,NULL),(25,653,1,11,2,NULL,NULL,NULL,NULL),(25,653,1,11,3,NULL,NULL,NULL,NULL),(25,653,1,11,4,NULL,NULL,NULL,NULL),(25,653,1,11,5,NULL,NULL,NULL,NULL),(25,653,1,11,6,NULL,NULL,NULL,NULL),(25,653,1,11,7,NULL,NULL,NULL,NULL),(25,653,1,11,8,NULL,NULL,NULL,NULL),(25,653,1,11,9,NULL,NULL,NULL,NULL),(25,653,1,11,10,NULL,NULL,NULL,NULL),(25,653,1,11,11,NULL,NULL,NULL,NULL),(25,653,1,11,12,NULL,NULL,NULL,NULL),(25,653,1,11,13,NULL,NULL,NULL,NULL),(25,653,1,11,14,NULL,NULL,NULL,NULL),(25,653,1,11,15,NULL,NULL,NULL,NULL),(25,653,1,11,16,NULL,NULL,NULL,NULL),(25,653,1,11,17,NULL,NULL,NULL,NULL),(25,653,1,11,18,NULL,NULL,NULL,NULL),(25,653,1,11,19,NULL,NULL,NULL,NULL),(25,653,1,11,20,NULL,NULL,NULL,NULL),(25,653,1,11,21,NULL,NULL,NULL,NULL),(25,653,1,11,22,NULL,NULL,NULL,NULL),(25,653,1,11,23,NULL,NULL,NULL,NULL),(25,653,1,11,24,NULL,NULL,NULL,NULL),(25,653,1,11,25,NULL,NULL,NULL,NULL),(25,653,1,11,26,NULL,NULL,NULL,NULL),(25,653,1,11,27,NULL,NULL,NULL,NULL),(25,653,1,11,28,NULL,NULL,NULL,NULL),(25,653,1,11,29,NULL,NULL,NULL,NULL),(25,653,1,11,30,NULL,NULL,NULL,NULL),(25,653,1,11,31,NULL,NULL,NULL,NULL),(25,653,1,11,32,NULL,NULL,NULL,NULL),(25,653,1,11,33,NULL,NULL,NULL,NULL),(25,653,1,11,34,NULL,NULL,NULL,NULL),(25,653,1,11,35,NULL,NULL,NULL,NULL),(25,653,1,11,36,NULL,NULL,NULL,NULL),(25,653,1,11,37,NULL,NULL,NULL,NULL),(25,653,1,11,38,NULL,NULL,NULL,NULL),(25,653,1,11,39,NULL,NULL,NULL,NULL),(25,653,1,11,40,NULL,NULL,NULL,NULL),(25,653,1,12,1,NULL,NULL,NULL,NULL),(25,653,1,12,2,NULL,NULL,NULL,NULL),(25,653,1,12,3,NULL,NULL,NULL,NULL),(25,653,1,12,4,NULL,NULL,NULL,NULL),(25,653,1,12,5,NULL,NULL,NULL,NULL),(25,653,1,12,6,NULL,NULL,NULL,NULL),(25,653,1,12,7,NULL,NULL,NULL,NULL),(25,653,1,12,8,NULL,NULL,NULL,NULL),(25,653,1,12,9,NULL,NULL,NULL,NULL),(25,653,1,12,10,NULL,NULL,NULL,NULL),(25,653,1,12,11,NULL,NULL,NULL,NULL),(25,653,1,12,12,NULL,NULL,NULL,NULL),(25,653,1,12,13,NULL,NULL,NULL,NULL),(25,653,1,12,14,NULL,NULL,NULL,NULL),(25,653,1,12,15,NULL,NULL,NULL,NULL),(25,653,1,12,16,NULL,NULL,NULL,NULL),(25,653,1,12,17,NULL,NULL,NULL,NULL),(25,653,1,12,18,NULL,NULL,NULL,NULL),(25,653,1,12,19,NULL,NULL,NULL,NULL),(25,653,1,12,20,NULL,NULL,NULL,NULL),(25,653,1,12,21,NULL,NULL,NULL,NULL),(25,653,1,12,22,NULL,NULL,NULL,NULL),(25,653,1,12,23,NULL,NULL,NULL,NULL),(25,653,1,12,24,NULL,NULL,NULL,NULL),(25,653,1,12,25,NULL,NULL,NULL,NULL),(25,653,1,12,26,NULL,NULL,NULL,NULL),(25,653,1,12,27,NULL,NULL,NULL,NULL),(25,653,1,12,28,NULL,NULL,NULL,NULL),(25,653,1,12,29,NULL,NULL,NULL,NULL),(25,653,1,12,30,NULL,NULL,NULL,NULL),(25,653,1,12,31,NULL,NULL,NULL,NULL),(25,653,1,12,32,NULL,NULL,NULL,NULL),(25,653,1,12,33,NULL,NULL,NULL,NULL),(25,653,1,12,34,NULL,NULL,NULL,NULL),(25,653,1,12,35,NULL,NULL,NULL,NULL),(25,653,1,12,36,NULL,NULL,NULL,NULL),(25,653,1,12,37,NULL,NULL,NULL,NULL),(25,653,1,12,38,NULL,NULL,NULL,NULL),(25,653,1,12,39,NULL,NULL,NULL,NULL),(25,653,1,12,40,NULL,NULL,NULL,NULL),(25,653,1,13,1,NULL,NULL,NULL,NULL),(25,653,1,13,2,NULL,NULL,NULL,NULL),(25,653,1,13,3,NULL,NULL,NULL,NULL),(25,653,1,13,4,NULL,1,NULL,NULL),(25,653,1,13,5,NULL,NULL,NULL,NULL),(25,653,1,13,6,1,NULL,NULL,NULL),(25,653,1,13,7,1,NULL,NULL,NULL),(25,653,1,13,8,2,NULL,NULL,NULL),(25,653,1,13,9,NULL,NULL,NULL,NULL),(25,653,1,13,10,NULL,NULL,NULL,NULL),(25,653,1,13,11,NULL,NULL,NULL,NULL),(25,653,1,13,12,NULL,NULL,NULL,NULL),(25,653,1,13,13,2,NULL,NULL,NULL),(25,653,1,13,14,NULL,1,NULL,NULL),(25,653,1,13,15,1,NULL,NULL,NULL),(25,653,1,13,16,NULL,NULL,NULL,NULL),(25,653,1,13,17,NULL,1,NULL,NULL),(25,653,1,13,18,2,NULL,NULL,NULL),(25,653,1,13,19,NULL,NULL,NULL,NULL),(25,653,1,13,20,NULL,NULL,NULL,NULL),(25,653,1,13,21,NULL,1,NULL,NULL),(25,653,1,13,22,NULL,NULL,NULL,NULL),(25,653,1,13,23,NULL,NULL,NULL,NULL),(25,653,1,13,24,NULL,NULL,NULL,NULL),(25,653,1,13,25,NULL,NULL,NULL,NULL),(25,653,1,13,26,NULL,NULL,NULL,NULL),(25,653,1,13,27,NULL,NULL,NULL,NULL),(25,653,1,13,28,NULL,1,NULL,NULL),(25,653,1,13,29,NULL,NULL,NULL,NULL),(25,653,1,13,30,NULL,NULL,NULL,NULL),(25,653,1,13,31,NULL,NULL,NULL,NULL),(25,653,1,13,32,NULL,NULL,NULL,NULL),(25,653,1,13,33,NULL,NULL,NULL,NULL),(25,653,1,13,34,1,NULL,NULL,NULL),(25,653,1,13,35,NULL,NULL,NULL,NULL),(25,653,1,13,36,NULL,NULL,NULL,NULL),(25,653,1,13,37,NULL,NULL,NULL,NULL),(25,653,1,13,38,NULL,NULL,NULL,NULL),(25,653,1,13,39,NULL,NULL,NULL,NULL),(25,653,1,13,40,NULL,NULL,NULL,NULL),(25,653,1,14,1,8,14,6,14),(25,653,1,14,2,12,7,10,10),(25,653,1,14,3,9,6,10,2),(25,653,1,14,4,18,4,16,6),(25,653,1,14,5,2,10,5,9),(25,653,1,14,6,7,10,4,7),(25,653,1,14,7,9,15,12,12),(25,653,1,14,8,11,2,14,2),(25,653,1,14,9,9,9,4,8),(25,653,1,14,10,2,3,3,2),(25,653,1,14,11,7,6,2,4),(25,653,1,14,12,4,1,6,2),(25,653,1,14,13,6,NULL,5,3),(25,653,1,14,14,7,7,8,4),(25,653,1,14,15,9,8,13,5),(25,653,1,14,16,9,3,10,5),(25,653,1,14,17,11,3,13,3),(25,653,1,14,18,12,NULL,15,NULL),(25,653,1,14,19,12,11,11,8),(25,653,1,14,20,11,NULL,15,3),(25,653,1,14,21,7,17,6,12),(25,653,1,14,22,7,4,5,8),(25,653,1,14,23,2,9,2,14),(25,653,1,14,24,NULL,6,NULL,10),(25,653,1,14,25,3,9,3,6),(25,653,1,14,26,6,NULL,9,NULL),(25,653,1,14,27,NULL,NULL,5,NULL),(25,653,1,14,28,6,17,4,18),(25,653,1,14,29,2,5,2,4),(25,653,1,14,30,3,8,1,7),(25,653,1,14,31,NULL,6,NULL,7),(25,653,1,14,32,1,4,4,7),(25,653,1,14,33,NULL,6,5,5),(25,653,1,14,34,4,3,5,4),(25,653,1,14,35,5,1,8,NULL),(25,653,1,14,36,4,19,11,11),(25,653,1,14,37,6,2,7,4),(25,653,1,14,38,5,23,4,14),(25,653,1,14,39,5,4,6,6),(25,653,1,14,40,1,6,1,6),(25,653,1,15,1,14,16,9,15),(25,653,1,15,2,4,8,5,10),(25,653,1,15,3,5,4,6,3),(25,653,1,15,4,20,9,16,8),(25,653,1,15,5,5,9,2,9),(25,653,1,15,6,3,8,5,6),(25,653,1,15,7,4,23,4,20),(25,653,1,15,8,4,6,9,6),(25,653,1,15,9,4,12,5,10),(25,653,1,15,10,2,6,1,2),(25,653,1,15,11,3,1,5,1),(25,653,1,15,12,1,1,6,3),(25,653,1,15,13,3,5,6,4),(25,653,1,15,14,7,6,12,3),(25,653,1,15,15,12,7,14,4),(25,653,1,15,16,5,8,8,7),(25,653,1,15,17,7,1,11,5),(25,653,1,15,18,12,8,20,1),(25,653,1,15,19,8,16,10,15),(25,653,1,15,20,8,4,9,4),(25,653,1,15,21,11,10,8,8),(25,653,1,15,22,7,8,4,13),(25,653,1,15,23,3,9,2,7),(25,653,1,15,24,3,5,NULL,9),(25,653,1,15,25,NULL,10,3,4),(25,653,1,15,26,9,NULL,8,NULL),(25,653,1,15,27,1,NULL,1,NULL),(25,653,1,15,28,4,15,2,14),(25,653,1,15,29,4,7,3,5),(25,653,1,15,30,2,9,2,9),(25,653,1,15,31,2,5,2,5),(25,653,1,15,32,2,3,6,6),(25,653,1,15,33,7,4,7,6),(25,653,1,15,34,4,3,7,2),(25,653,1,15,35,4,2,6,1),(25,653,1,15,36,7,6,7,8),(25,653,1,15,37,4,4,7,3),(25,653,1,15,38,5,23,6,16),(25,653,1,15,39,2,10,3,9),(25,653,1,15,40,NULL,10,2,12),(25,653,1,16,1,17,13,7,4),(25,653,1,16,2,2,12,2,2),(25,653,1,16,3,9,8,6,1),(25,653,1,16,4,17,12,7,6),(25,653,1,16,5,NULL,12,NULL,4),(25,653,1,16,6,4,12,1,7),(25,653,1,16,7,3,19,2,9),(25,653,1,16,8,9,7,4,NULL),(25,653,1,16,9,7,11,2,2),(25,653,1,16,10,2,2,2,3),(25,653,1,16,11,6,8,4,1),(25,653,1,16,12,5,3,3,NULL),(25,653,1,16,13,15,7,10,1),(25,653,1,16,14,7,9,2,6),(25,653,1,16,15,27,NULL,11,NULL),(25,653,1,16,16,6,14,3,4),(25,653,1,16,17,2,18,NULL,5),(25,653,1,16,18,12,31,3,7),(25,653,1,16,19,NULL,21,1,5),(25,653,1,16,20,19,NULL,7,NULL),(25,653,1,16,21,9,14,4,6),(25,653,1,16,22,3,9,1,3),(25,653,1,16,23,1,10,1,3),(25,653,1,16,24,2,8,3,2),(25,653,1,16,25,1,4,1,2),(25,653,1,16,26,3,NULL,NULL,NULL),(25,653,1,16,27,2,NULL,1,NULL),(25,653,1,16,28,9,21,NULL,7),(25,653,1,16,29,NULL,5,3,3),(25,653,1,16,30,2,8,NULL,2),(25,653,1,16,31,NULL,1,1,2),(25,653,1,16,32,1,4,NULL,3),(25,653,1,16,33,4,5,2,4),(25,653,1,16,34,3,11,3,1),(25,653,1,16,35,1,4,2,NULL),(25,653,1,16,36,5,12,3,4),(25,653,1,16,37,5,4,4,2),(25,653,1,16,38,5,21,1,10),(25,653,1,16,39,3,10,NULL,4),(25,653,1,16,40,1,1,NULL,NULL),(25,653,1,17,1,14,15,4,3),(25,653,1,17,2,2,18,1,4),(25,653,1,17,3,2,10,1,1),(25,653,1,17,4,19,11,4,2),(25,653,1,17,5,3,9,1,2),(25,653,1,17,6,4,10,1,1),(25,653,1,17,7,6,20,4,3),(25,653,1,17,8,6,8,NULL,2),(25,653,1,17,9,8,12,3,1),(25,653,1,17,10,1,1,NULL,NULL),(25,653,1,17,11,4,10,NULL,3),(25,653,1,17,12,3,6,1,NULL),(25,653,1,17,13,8,4,4,1),(25,653,1,17,14,10,8,3,NULL),(25,653,1,17,15,20,NULL,3,NULL),(25,653,1,17,16,8,13,2,NULL),(25,653,1,17,17,1,21,1,3),(25,653,1,17,18,4,33,2,6),(25,653,1,17,19,1,16,2,3),(25,653,1,17,20,26,NULL,4,NULL),(25,653,1,17,21,7,9,3,2),(25,653,1,17,22,5,13,2,1),(25,653,1,17,23,3,6,1,2),(25,653,1,17,24,3,6,NULL,1),(25,653,1,17,25,2,5,1,2),(25,653,1,17,26,2,NULL,NULL,NULL),(25,653,1,17,27,1,NULL,NULL,NULL),(25,653,1,17,28,4,24,1,5),(25,653,1,17,29,4,3,1,NULL),(25,653,1,17,30,7,9,2,NULL),(25,653,1,17,31,NULL,2,NULL,NULL),(25,653,1,17,32,1,4,2,1),(25,653,1,17,33,NULL,7,NULL,1),(25,653,1,17,34,NULL,10,NULL,2),(25,653,1,17,35,6,4,NULL,NULL),(25,653,1,17,36,3,9,3,2),(25,653,1,17,37,2,3,1,2),(25,653,1,17,38,3,22,NULL,7),(25,653,1,17,39,1,16,1,2),(25,653,1,17,40,NULL,3,NULL,NULL),(25,653,2,21,1,2,8,2,4),(25,653,2,21,2,NULL,7,NULL,5),(25,653,2,21,3,4,8,7,2),(25,653,2,21,4,6,7,2,3),(25,653,2,21,5,8,11,8,2),(25,653,2,21,6,4,7,4,1),(25,653,2,21,7,1,4,NULL,3),(25,653,2,21,8,5,12,8,2),(25,653,2,21,9,10,14,9,3),(25,653,2,21,10,1,12,3,3),(25,653,2,21,11,4,29,2,10),(25,653,2,21,12,3,14,1,8),(25,653,2,21,13,13,4,8,2),(25,653,2,21,14,5,14,2,7),(25,653,2,21,15,7,11,3,1),(25,653,2,21,16,5,11,3,8),(25,653,2,21,17,3,12,3,6),(25,653,2,21,18,5,14,3,6),(25,653,2,21,19,3,9,1,5),(25,653,2,21,20,3,14,4,3),(25,653,2,21,21,NULL,4,2,1),(25,653,2,21,22,NULL,4,NULL,2),(25,653,2,21,23,1,1,NULL,1),(25,653,2,21,24,1,8,NULL,1),(25,653,2,21,25,3,NULL,2,NULL),(25,653,2,21,26,NULL,3,1,1),(25,653,2,21,27,1,5,1,1),(25,653,2,21,28,NULL,2,NULL,NULL),(25,653,2,21,29,1,4,2,1),(25,653,2,21,30,4,12,NULL,4),(25,653,2,21,31,5,7,11,3),(25,653,2,21,32,1,6,NULL,4),(25,653,2,21,33,1,4,5,4),(25,653,2,21,34,2,3,1,1),(25,653,2,21,35,4,5,2,NULL),(25,653,2,21,36,5,8,2,2),(25,653,2,21,37,1,5,2,5),(25,653,2,21,38,8,9,8,3),(25,653,2,21,39,17,NULL,15,NULL),(25,653,2,21,40,NULL,2,NULL,1),(25,653,2,22,1,2,16,3,5),(25,653,2,22,2,1,13,1,6),(25,653,2,22,3,5,22,7,4),(25,653,2,22,4,2,12,1,8),(25,653,2,22,5,9,11,8,5),(25,653,2,22,6,1,10,4,6),(25,653,2,22,7,1,6,1,1),(25,653,2,22,8,6,11,4,5),(25,653,2,22,9,19,14,16,2),(25,653,2,22,10,1,7,5,3),(25,653,2,22,11,4,34,4,13),(25,653,2,22,12,6,8,3,5),(25,653,2,22,13,19,6,14,1),(25,653,2,22,14,8,10,3,6),(25,653,2,22,15,11,14,8,5),(25,653,2,22,16,3,8,1,9),(25,653,2,22,17,5,15,2,12),(25,653,2,22,18,6,8,4,5),(25,653,2,22,19,3,11,1,5),(25,653,2,22,20,7,11,2,5),(25,653,2,22,21,1,2,3,4),(25,653,2,22,22,1,2,NULL,1),(25,653,2,22,23,NULL,3,2,2),(25,653,2,22,24,2,3,2,4),(25,653,2,22,25,2,NULL,2,NULL),(25,653,2,22,26,1,3,NULL,1),(25,653,2,22,27,NULL,8,1,3),(25,653,2,22,28,NULL,3,1,1),(25,653,2,22,29,3,7,2,2),(25,653,2,22,30,1,13,2,5),(25,653,2,22,31,4,6,5,3),(25,653,2,22,32,4,8,1,6),(25,653,2,22,33,8,4,8,4),(25,653,2,22,34,2,4,2,3),(25,653,2,22,35,3,9,3,4),(25,653,2,22,36,5,7,5,1),(25,653,2,22,37,1,7,4,5),(25,653,2,22,38,13,8,9,2),(25,653,2,22,39,18,NULL,19,NULL),(25,653,2,22,40,NULL,2,2,2),(25,653,2,23,1,2,11,2,8),(25,653,2,23,2,3,10,2,2),(25,653,2,23,3,6,8,1,4),(25,653,2,23,4,9,6,4,4),(25,653,2,23,5,9,10,7,5),(25,653,2,23,6,3,9,4,5),(25,653,2,23,7,2,4,2,2),(25,653,2,23,8,9,13,3,7),(25,653,2,23,9,19,9,12,3),(25,653,2,23,10,4,11,4,6),(25,653,2,23,11,1,32,1,11),(25,653,2,23,12,5,15,3,7),(25,653,2,23,13,16,11,10,2),(25,653,2,23,14,6,14,3,6),(25,653,2,23,15,8,14,1,7),(25,653,2,23,16,5,12,1,5),(25,653,2,23,17,4,18,2,4),(25,653,2,23,18,10,10,2,5),(25,653,2,23,19,1,9,1,3),(25,653,2,23,20,5,13,2,4),(25,653,2,23,21,1,7,2,4),(25,653,2,23,22,NULL,1,NULL,NULL),(25,653,2,23,23,3,6,3,3),(25,653,2,23,24,NULL,10,1,NULL),(25,653,2,23,25,5,NULL,2,NULL),(25,653,2,23,26,2,4,NULL,NULL),(25,653,2,23,27,2,2,1,NULL),(25,653,2,23,28,2,4,1,NULL),(25,653,2,23,29,1,5,NULL,3),(25,653,2,23,30,3,7,NULL,1),(25,653,2,23,31,6,6,4,6),(25,653,2,23,32,NULL,6,NULL,5),(25,653,2,23,33,10,5,11,1),(25,653,2,23,34,1,3,NULL,2),(25,653,2,23,35,5,6,3,5),(25,653,2,23,36,3,5,2,2),(25,653,2,23,37,2,5,3,2),(25,653,2,23,38,12,7,7,4),(25,653,2,23,39,15,NULL,12,NULL),(25,653,2,23,40,1,5,1,2),(25,653,2,24,1,11,6,4,5),(25,653,2,24,2,3,7,1,3),(25,653,2,24,3,12,10,6,4),(25,653,2,24,4,5,2,3,4),(25,653,2,24,5,8,11,8,6),(25,653,2,24,6,4,10,4,5),(25,653,2,24,7,NULL,3,NULL,1),(25,653,2,24,8,10,13,7,3),(25,653,2,24,9,13,9,11,5),(25,653,2,24,10,5,7,5,6),(25,653,2,24,11,5,24,5,9),(25,653,2,24,12,NULL,9,1,7),(25,653,2,24,13,18,9,17,2),(25,653,2,24,14,4,6,5,6),(25,653,2,24,15,9,11,5,6),(25,653,2,24,16,1,15,2,10),(25,653,2,24,17,4,17,3,9),(25,653,2,24,18,4,10,2,6),(25,653,2,24,19,2,9,1,4),(25,653,2,24,20,3,8,3,1),(25,653,2,24,21,2,3,4,1),(25,653,2,24,22,NULL,1,NULL,1),(25,653,2,24,23,1,1,2,1),(25,653,2,24,24,2,4,2,NULL),(25,653,2,24,25,NULL,NULL,NULL,NULL),(25,653,2,24,26,NULL,2,NULL,4),(25,653,2,24,27,NULL,7,1,3),(25,653,2,24,28,2,2,NULL,2),(25,653,2,24,29,1,7,3,2),(25,653,2,24,30,NULL,6,NULL,2),(25,653,2,24,31,11,5,10,4),(25,653,2,24,32,1,6,NULL,5),(25,653,2,24,33,2,9,6,4),(25,653,2,24,34,1,4,NULL,2),(25,653,2,24,35,5,6,3,4),(25,653,2,24,36,6,6,1,3),(25,653,2,24,37,NULL,6,3,3),(25,653,2,24,38,6,6,13,NULL),(25,653,2,24,39,14,NULL,16,NULL),(25,653,2,24,40,4,4,2,2),(25,654,1,11,1,NULL,NULL,NULL,NULL),(25,654,1,11,2,NULL,NULL,NULL,NULL),(25,654,1,11,3,NULL,NULL,NULL,NULL),(25,654,1,11,4,NULL,NULL,NULL,NULL),(25,654,1,11,5,NULL,NULL,NULL,NULL),(25,654,1,11,6,NULL,NULL,NULL,NULL),(25,654,1,11,7,NULL,NULL,NULL,NULL),(25,654,1,11,8,NULL,NULL,NULL,NULL),(25,654,1,11,9,NULL,NULL,NULL,NULL),(25,654,1,11,10,NULL,NULL,NULL,NULL),(25,654,1,11,11,NULL,NULL,NULL,NULL),(25,654,1,11,12,NULL,NULL,NULL,NULL),(25,654,1,11,13,NULL,NULL,NULL,NULL),(25,654,1,11,14,NULL,NULL,NULL,NULL),(25,654,1,11,15,NULL,NULL,NULL,NULL),(25,654,1,11,16,NULL,NULL,NULL,NULL),(25,654,1,11,17,NULL,NULL,NULL,NULL),(25,654,1,11,18,NULL,NULL,NULL,NULL),(25,654,1,11,19,NULL,NULL,NULL,NULL),(25,654,1,11,20,NULL,NULL,NULL,NULL),(25,654,1,11,21,NULL,NULL,NULL,NULL),(25,654,1,11,22,NULL,NULL,NULL,NULL),(25,654,1,11,23,NULL,NULL,NULL,NULL),(25,654,1,11,24,NULL,NULL,NULL,NULL),(25,654,1,11,25,NULL,NULL,NULL,NULL),(25,654,1,11,26,NULL,NULL,NULL,NULL),(25,654,1,11,27,NULL,NULL,NULL,NULL),(25,654,1,11,28,NULL,NULL,NULL,NULL),(25,654,1,11,29,NULL,NULL,NULL,NULL),(25,654,1,11,30,NULL,NULL,NULL,NULL),(25,654,1,11,31,NULL,NULL,NULL,NULL),(25,654,1,11,32,NULL,NULL,NULL,NULL),(25,654,1,11,33,NULL,NULL,NULL,NULL),(25,654,1,11,34,NULL,NULL,NULL,NULL),(25,654,1,11,35,NULL,NULL,NULL,NULL),(25,654,1,11,36,NULL,NULL,NULL,NULL),(25,654,1,11,37,NULL,NULL,NULL,NULL),(25,654,1,11,38,NULL,NULL,NULL,NULL),(25,654,1,11,39,NULL,NULL,NULL,NULL),(25,654,1,11,40,NULL,NULL,NULL,NULL),(25,654,1,12,1,NULL,NULL,NULL,NULL),(25,654,1,12,2,NULL,NULL,NULL,NULL),(25,654,1,12,3,NULL,NULL,NULL,NULL),(25,654,1,12,4,NULL,NULL,NULL,NULL),(25,654,1,12,5,NULL,NULL,NULL,NULL),(25,654,1,12,6,NULL,NULL,NULL,NULL),(25,654,1,12,7,NULL,NULL,NULL,NULL),(25,654,1,12,8,NULL,NULL,NULL,NULL),(25,654,1,12,9,NULL,NULL,NULL,NULL),(25,654,1,12,10,NULL,NULL,NULL,NULL),(25,654,1,12,11,NULL,NULL,NULL,NULL),(25,654,1,12,12,NULL,NULL,NULL,NULL),(25,654,1,12,13,NULL,NULL,NULL,NULL),(25,654,1,12,14,NULL,NULL,NULL,NULL),(25,654,1,12,15,NULL,NULL,NULL,NULL),(25,654,1,12,16,NULL,NULL,NULL,NULL),(25,654,1,12,17,NULL,NULL,NULL,NULL),(25,654,1,12,18,NULL,NULL,NULL,NULL),(25,654,1,12,19,NULL,NULL,NULL,NULL),(25,654,1,12,20,NULL,NULL,NULL,NULL),(25,654,1,12,21,NULL,NULL,NULL,NULL),(25,654,1,12,22,NULL,NULL,NULL,NULL),(25,654,1,12,23,NULL,NULL,NULL,NULL),(25,654,1,12,24,NULL,NULL,NULL,NULL),(25,654,1,12,25,NULL,NULL,NULL,NULL),(25,654,1,12,26,NULL,NULL,NULL,NULL),(25,654,1,12,27,NULL,NULL,NULL,NULL),(25,654,1,12,28,NULL,NULL,NULL,NULL),(25,654,1,12,29,NULL,NULL,NULL,NULL),(25,654,1,12,30,NULL,NULL,NULL,NULL),(25,654,1,12,31,NULL,NULL,NULL,NULL),(25,654,1,12,32,NULL,NULL,NULL,NULL),(25,654,1,12,33,NULL,NULL,NULL,NULL),(25,654,1,12,34,NULL,NULL,NULL,NULL),(25,654,1,12,35,NULL,NULL,NULL,NULL),(25,654,1,12,36,NULL,NULL,NULL,NULL),(25,654,1,12,37,NULL,NULL,NULL,NULL),(25,654,1,12,38,NULL,NULL,NULL,NULL),(25,654,1,12,39,NULL,NULL,NULL,NULL),(25,654,1,12,40,NULL,NULL,NULL,NULL),(25,654,1,13,1,1,1,NULL,NULL),(25,654,1,13,2,1,1,1,NULL),(25,654,1,13,3,NULL,NULL,NULL,NULL),(25,654,1,13,4,1,1,NULL,NULL),(25,654,1,13,5,NULL,2,NULL,NULL),(25,654,1,13,6,NULL,1,NULL,NULL),(25,654,1,13,7,NULL,3,NULL,NULL),(25,654,1,13,8,NULL,2,NULL,NULL),(25,654,1,13,9,NULL,NULL,NULL,NULL),(25,654,1,13,10,NULL,NULL,NULL,NULL),(25,654,1,13,11,NULL,NULL,NULL,NULL),(25,654,1,13,12,NULL,NULL,NULL,NULL),(25,654,1,13,13,1,NULL,NULL,NULL),(25,654,1,13,14,NULL,NULL,NULL,NULL),(25,654,1,13,15,NULL,1,NULL,1),(25,654,1,13,16,NULL,NULL,NULL,NULL),(25,654,1,13,17,2,NULL,NULL,NULL),(25,654,1,13,18,5,NULL,1,NULL),(25,654,1,13,19,NULL,1,NULL,NULL),(25,654,1,13,20,NULL,NULL,NULL,NULL),(25,654,1,13,21,NULL,1,NULL,1),(25,654,1,13,22,1,NULL,1,NULL),(25,654,1,13,23,NULL,NULL,NULL,NULL),(25,654,1,13,24,NULL,NULL,NULL,NULL),(25,654,1,13,25,NULL,NULL,NULL,NULL),(25,654,1,13,26,1,NULL,1,NULL),(25,654,1,13,27,NULL,NULL,NULL,NULL),(25,654,1,13,28,1,1,1,NULL),(25,654,1,13,29,NULL,NULL,NULL,NULL),(25,654,1,13,30,NULL,NULL,NULL,NULL),(25,654,1,13,31,NULL,NULL,NULL,NULL),(25,654,1,13,32,NULL,NULL,NULL,NULL),(25,654,1,13,33,NULL,2,NULL,NULL),(25,654,1,13,34,NULL,1,NULL,1),(25,654,1,13,35,NULL,NULL,NULL,NULL),(25,654,1,13,36,NULL,1,NULL,1),(25,654,1,13,37,NULL,NULL,NULL,NULL),(25,654,1,13,38,NULL,1,NULL,NULL),(25,654,1,13,39,NULL,1,NULL,1),(25,654,1,13,40,NULL,NULL,NULL,NULL),(25,654,1,14,1,5,5,1,2),(25,654,1,14,2,3,4,2,NULL),(25,654,1,14,3,1,6,NULL,2),(25,654,1,14,4,7,8,2,3),(25,654,1,14,5,2,6,2,2),(25,654,1,14,6,6,10,2,4),(25,654,1,14,7,7,23,3,5),(25,654,1,14,8,8,3,4,1),(25,654,1,14,9,4,10,NULL,3),(25,654,1,14,10,1,1,NULL,1),(25,654,1,14,11,4,5,2,1),(25,654,1,14,12,2,2,1,2),(25,654,1,14,13,1,2,1,NULL),(25,654,1,14,14,4,4,1,3),(25,654,1,14,15,2,7,1,2),(25,654,1,14,16,3,5,1,2),(25,654,1,14,17,3,5,3,1),(25,654,1,14,18,5,4,2,3),(25,654,1,14,19,3,9,1,4),(25,654,1,14,20,4,3,1,NULL),(25,654,1,14,21,5,7,1,4),(25,654,1,14,22,8,3,NULL,1),(25,654,1,14,23,7,1,NULL,1),(25,654,1,14,24,1,5,NULL,3),(25,654,1,14,25,1,1,NULL,NULL),(25,654,1,14,26,4,NULL,2,NULL),(25,654,1,14,27,NULL,NULL,NULL,NULL),(25,654,1,14,28,7,10,2,4),(25,654,1,14,29,1,7,NULL,4),(25,654,1,14,30,NULL,2,NULL,1),(25,654,1,14,31,1,NULL,NULL,NULL),(25,654,1,14,32,NULL,2,NULL,1),(25,654,1,14,33,2,7,NULL,3),(25,654,1,14,34,3,7,2,2),(25,654,1,14,35,2,3,1,2),(25,654,1,14,36,4,7,3,2),(25,654,1,14,37,5,1,4,1),(25,654,1,14,38,NULL,14,NULL,4),(25,654,1,14,39,5,11,1,5),(25,654,1,14,40,NULL,3,NULL,2),(25,654,1,15,1,7,6,3,2),(25,654,1,15,2,1,4,NULL,2),(25,654,1,15,3,4,1,2,NULL),(25,654,1,15,4,8,4,3,2),(25,654,1,15,5,2,3,2,1),(25,654,1,15,6,2,3,NULL,2),(25,654,1,15,7,2,15,2,4),(25,654,1,15,8,3,2,3,NULL),(25,654,1,15,9,2,3,1,1),(25,654,1,15,10,NULL,1,NULL,1),(25,654,1,15,11,2,5,1,3),(25,654,1,15,12,5,NULL,3,NULL),(25,654,1,15,13,1,5,1,1),(25,654,1,15,14,1,6,1,2),(25,654,1,15,15,4,1,2,1),(25,654,1,15,16,1,NULL,1,NULL),(25,654,1,15,17,1,4,NULL,1),(25,654,1,15,18,2,NULL,1,NULL),(25,654,1,15,19,3,8,NULL,2),(25,654,1,15,20,3,1,2,NULL),(25,654,1,15,21,5,5,1,1),(25,654,1,15,22,2,2,1,1),(25,654,1,15,23,1,3,NULL,2),(25,654,1,15,24,1,1,NULL,NULL),(25,654,1,15,25,NULL,1,NULL,1),(25,654,1,15,26,NULL,NULL,NULL,NULL),(25,654,1,15,27,1,NULL,1,NULL),(25,654,1,15,28,1,5,NULL,3),(25,654,1,15,29,2,2,NULL,NULL),(25,654,1,15,30,NULL,1,NULL,1),(25,654,1,15,31,1,NULL,NULL,NULL),(25,654,1,15,32,NULL,4,NULL,2),(25,654,1,15,33,NULL,1,NULL,1),(25,654,1,15,34,1,2,NULL,1),(25,654,1,15,35,1,2,1,NULL),(25,654,1,15,36,1,6,1,2),(25,654,1,15,37,NULL,2,NULL,1),(25,654,1,15,38,1,11,1,5),(25,654,1,15,39,NULL,6,NULL,3),(25,654,1,15,40,NULL,2,NULL,1),(25,654,1,16,1,12,14,5,7),(25,654,1,16,2,3,9,3,3),(25,654,1,16,3,3,6,1,2),(25,654,1,16,4,24,10,10,5),(25,654,1,16,5,3,15,2,4),(25,654,1,16,6,2,11,1,4),(25,654,1,16,7,6,36,3,13),(25,654,1,16,8,10,8,2,1),(25,654,1,16,9,6,8,2,5),(25,654,1,16,10,1,3,1,1),(25,654,1,16,11,6,4,3,2),(25,654,1,16,12,6,3,2,2),(25,654,1,16,13,13,7,7,4),(25,654,1,16,14,11,9,8,1),(25,654,1,16,15,29,NULL,14,NULL),(25,654,1,16,16,8,18,5,5),(25,654,1,16,17,NULL,30,NULL,6),(25,654,1,16,18,14,34,4,10),(25,654,1,16,19,NULL,27,NULL,5),(25,654,1,16,20,25,NULL,14,NULL),(25,654,1,16,21,5,12,1,6),(25,654,1,16,22,5,5,2,1),(25,654,1,16,23,3,9,2,3),(25,654,1,16,24,2,7,2,3),(25,654,1,16,25,8,5,3,4),(25,654,1,16,26,4,NULL,1,NULL),(25,654,1,16,27,1,NULL,NULL,NULL),(25,654,1,16,28,7,11,NULL,7),(25,654,1,16,29,NULL,6,NULL,4),(25,654,1,16,30,3,6,NULL,2),(25,654,1,16,31,NULL,4,NULL,2),(25,654,1,16,32,2,4,2,1),(25,654,1,16,33,7,3,3,2),(25,654,1,16,34,7,10,5,1),(25,654,1,16,35,2,5,1,1),(25,654,1,16,36,11,13,6,2),(25,654,1,16,37,6,7,2,NULL),(25,654,1,16,38,4,26,4,11),(25,654,1,16,39,2,14,NULL,4),(25,654,1,16,40,NULL,2,NULL,NULL),(25,654,1,17,1,13,16,6,7),(25,654,1,17,2,4,13,2,4),(25,654,1,17,3,9,11,5,3),(25,654,1,17,4,14,13,6,5),(25,654,1,17,5,1,15,NULL,5),(25,654,1,17,6,8,12,1,3),(25,654,1,17,7,10,23,7,8),(25,654,1,17,8,4,5,2,2),(25,654,1,17,9,12,10,3,3),(25,654,1,17,10,2,4,NULL,2),(25,654,1,17,11,8,5,NULL,2),(25,654,1,17,12,6,4,2,2),(25,654,1,17,13,7,7,3,4),(25,654,1,17,14,6,6,4,2),(25,654,1,17,15,24,NULL,12,NULL),(25,654,1,17,16,11,19,2,9),(25,654,1,17,17,NULL,28,NULL,7),(25,654,1,17,18,9,41,3,10),(25,654,1,17,19,NULL,34,NULL,7),(25,654,1,17,20,24,NULL,12,NULL),(25,654,1,17,21,4,10,1,5),(25,654,1,17,22,7,6,3,3),(25,654,1,17,23,7,8,1,5),(25,654,1,17,24,1,4,1,2),(25,654,1,17,25,3,6,NULL,1),(25,654,1,17,26,1,NULL,1,NULL),(25,654,1,17,27,1,NULL,NULL,NULL),(25,654,1,17,28,5,17,2,9),(25,654,1,17,29,6,10,2,4),(25,654,1,17,30,8,7,1,2),(25,654,1,17,31,NULL,7,NULL,2),(25,654,1,17,32,NULL,4,NULL,3),(25,654,1,17,33,3,8,2,2),(25,654,1,17,34,2,11,2,5),(25,654,1,17,35,3,8,NULL,2),(25,654,1,17,36,3,9,2,2),(25,654,1,17,37,8,8,4,1),(25,654,1,17,38,4,22,1,4),(25,654,1,17,39,1,16,1,6),(25,654,1,17,40,1,2,NULL,1),(25,654,2,21,1,6,7,4,3),(25,654,2,21,2,3,6,2,2),(25,654,2,21,3,4,6,3,5),(25,654,2,21,4,6,4,3,2),(25,654,2,21,5,5,5,4,2),(25,654,2,21,6,3,5,2,1),(25,654,2,21,7,NULL,6,NULL,3),(25,654,2,21,8,7,8,4,2),(25,654,2,21,9,8,12,5,5),(25,654,2,21,10,4,10,2,4),(25,654,2,21,11,2,38,1,10),(25,654,2,21,12,4,9,2,1),(25,654,2,21,13,15,4,5,1),(25,654,2,21,14,4,9,2,5),(25,654,2,21,15,13,8,4,4),(25,654,2,21,16,4,20,1,6),(25,654,2,21,17,5,20,1,6),(25,654,2,21,18,7,7,3,4),(25,654,2,21,19,NULL,8,NULL,2),(25,654,2,21,20,6,3,4,1),(25,654,2,21,21,1,4,NULL,1),(25,654,2,21,22,2,1,NULL,NULL),(25,654,2,21,23,1,3,1,1),(25,654,2,21,24,1,4,NULL,2),(25,654,2,21,25,2,NULL,1,NULL),(25,654,2,21,26,1,1,NULL,NULL),(25,654,2,21,27,1,9,1,NULL),(25,654,2,21,28,1,9,NULL,2),(25,654,2,21,29,2,5,NULL,NULL),(25,654,2,21,30,3,7,2,3),(25,654,2,21,31,6,2,4,1),(25,654,2,21,32,1,2,1,1),(25,654,2,21,33,3,7,3,3),(25,654,2,21,34,NULL,6,NULL,1),(25,654,2,21,35,2,5,1,4),(25,654,2,21,36,2,8,1,3),(25,654,2,21,37,4,1,NULL,1),(25,654,2,21,38,5,9,2,3),(25,654,2,21,39,6,NULL,5,NULL),(25,654,2,21,40,1,6,NULL,3),(25,654,2,22,1,2,5,NULL,3),(25,654,2,22,2,1,7,NULL,3),(25,654,2,22,3,2,8,1,2),(25,654,2,22,4,1,9,1,2),(25,654,2,22,5,3,11,2,3),(25,654,2,22,6,1,9,NULL,2),(25,654,2,22,7,NULL,12,NULL,3),(25,654,2,22,8,5,9,1,5),(25,654,2,22,9,5,15,3,3),(25,654,2,22,10,3,7,2,1),(25,654,2,22,11,1,35,NULL,8),(25,654,2,22,12,3,11,1,3),(25,654,2,22,13,6,8,3,3),(25,654,2,22,14,3,9,3,5),(25,654,2,22,15,4,8,1,3),(25,654,2,22,16,4,7,1,3),(25,654,2,22,17,6,10,NULL,2),(25,654,2,22,18,3,2,NULL,1),(25,654,2,22,19,1,8,NULL,2),(25,654,2,22,20,2,12,1,4),(25,654,2,22,21,2,5,NULL,1),(25,654,2,22,22,NULL,5,NULL,NULL),(25,654,2,22,23,1,4,NULL,1),(25,654,2,22,24,NULL,NULL,NULL,NULL),(25,654,2,22,25,2,NULL,1,NULL),(25,654,2,22,26,3,2,NULL,NULL),(25,654,2,22,27,2,7,NULL,1),(25,654,2,22,28,1,3,1,NULL),(25,654,2,22,29,1,3,NULL,NULL),(25,654,2,22,30,4,7,1,4),(25,654,2,22,31,2,2,NULL,1),(25,654,2,22,32,2,5,NULL,1),(25,654,2,22,33,NULL,7,NULL,3),(25,654,2,22,34,NULL,7,NULL,4),(25,654,2,22,35,2,5,1,2),(25,654,2,22,36,3,10,NULL,2),(25,654,2,22,37,2,7,NULL,1),(25,654,2,22,38,1,7,NULL,2),(25,654,2,22,39,6,NULL,2,NULL),(25,654,2,22,40,NULL,1,NULL,NULL),(25,654,2,23,1,1,4,1,2),(25,654,2,23,2,3,7,1,2),(25,654,2,23,3,1,6,1,1),(25,654,2,23,4,5,6,2,3),(25,654,2,23,5,5,5,1,4),(25,654,2,23,6,2,2,1,2),(25,654,2,23,7,NULL,6,NULL,2),(25,654,2,23,8,6,10,2,5),(25,654,2,23,9,5,13,3,5),(25,654,2,23,10,1,9,1,4),(25,654,2,23,11,3,26,1,7),(25,654,2,23,12,2,7,NULL,3),(25,654,2,23,13,7,6,4,4),(25,654,2,23,14,NULL,11,NULL,4),(25,654,2,23,15,3,9,1,4),(25,654,2,23,16,2,12,1,2),(25,654,2,23,17,6,8,2,4),(25,654,2,23,18,9,6,4,3),(25,654,2,23,19,NULL,5,NULL,2),(25,654,2,23,20,3,9,NULL,6),(25,654,2,23,21,1,6,NULL,1),(25,654,2,23,22,NULL,1,NULL,NULL),(25,654,2,23,23,2,1,1,NULL),(25,654,2,23,24,2,3,NULL,2),(25,654,2,23,25,2,NULL,NULL,NULL),(25,654,2,23,26,NULL,3,NULL,2),(25,654,2,23,27,NULL,1,NULL,NULL),(25,654,2,23,28,1,3,1,1),(25,654,2,23,29,1,5,1,1),(25,654,2,23,30,3,1,1,1),(25,654,2,23,31,NULL,2,NULL,NULL),(25,654,2,23,32,NULL,2,NULL,1),(25,654,2,23,33,1,4,1,2),(25,654,2,23,34,2,2,NULL,NULL),(25,654,2,23,35,3,6,2,4),(25,654,2,23,36,2,3,2,1),(25,654,2,23,37,1,4,NULL,2),(25,654,2,23,38,5,11,1,2),(25,654,2,23,39,5,NULL,3,NULL),(25,654,2,23,40,NULL,NULL,NULL,NULL),(25,654,2,24,1,2,7,1,4),(25,654,2,24,2,3,4,1,3),(25,654,2,24,3,2,7,NULL,4),(25,654,2,24,4,8,4,5,2),(25,654,2,24,5,5,11,3,6),(25,654,2,24,6,NULL,4,NULL,1),(25,654,2,24,7,NULL,7,NULL,3),(25,654,2,24,8,7,10,4,4),(25,654,2,24,9,10,10,7,4),(25,654,2,24,10,3,8,2,2),(25,654,2,24,11,5,22,2,8),(25,654,2,24,12,4,7,2,4),(25,654,2,24,13,11,7,5,3),(25,654,2,24,14,3,11,2,5),(25,654,2,24,15,7,12,3,8),(25,654,2,24,16,4,10,NULL,4),(25,654,2,24,17,8,15,3,6),(25,654,2,24,18,6,6,2,3),(25,654,2,24,19,1,3,1,2),(25,654,2,24,20,4,8,2,4),(25,654,2,24,21,1,4,1,2),(25,654,2,24,22,NULL,3,NULL,2),(25,654,2,24,23,1,4,NULL,2),(25,654,2,24,24,NULL,4,NULL,2),(25,654,2,24,25,1,NULL,NULL,NULL),(25,654,2,24,26,NULL,2,NULL,NULL),(25,654,2,24,27,1,7,NULL,4),(25,654,2,24,28,NULL,3,NULL,1),(25,654,2,24,29,2,2,1,2),(25,654,2,24,30,5,2,3,1),(25,654,2,24,31,4,2,4,1),(25,654,2,24,32,1,3,1,1),(25,654,2,24,33,6,11,2,6),(25,654,2,24,34,NULL,4,NULL,1),(25,654,2,24,35,2,7,NULL,5),(25,654,2,24,36,2,8,1,1),(25,654,2,24,37,NULL,4,NULL,2),(25,654,2,24,38,2,10,NULL,4),(25,654,2,24,39,7,NULL,6,NULL),(25,654,2,24,40,NULL,2,NULL,1),(25,655,1,11,1,NULL,NULL,NULL,NULL),(25,655,1,11,2,NULL,NULL,NULL,NULL),(25,655,1,11,3,NULL,NULL,NULL,NULL),(25,655,1,11,4,NULL,NULL,NULL,NULL),(25,655,1,11,5,NULL,NULL,NULL,NULL),(25,655,1,11,6,NULL,NULL,NULL,NULL),(25,655,1,11,7,NULL,NULL,NULL,NULL),(25,655,1,11,8,NULL,NULL,NULL,NULL),(25,655,1,11,9,NULL,NULL,NULL,NULL),(25,655,1,11,10,NULL,NULL,NULL,NULL),(25,655,1,11,11,NULL,NULL,NULL,NULL),(25,655,1,11,12,NULL,NULL,NULL,NULL),(25,655,1,11,13,NULL,NULL,NULL,NULL),(25,655,1,11,14,NULL,NULL,NULL,NULL),(25,655,1,11,15,NULL,NULL,NULL,NULL),(25,655,1,11,16,NULL,NULL,NULL,NULL),(25,655,1,11,17,NULL,NULL,NULL,NULL),(25,655,1,11,18,NULL,NULL,NULL,NULL),(25,655,1,11,19,NULL,NULL,NULL,NULL),(25,655,1,11,20,NULL,NULL,NULL,NULL),(25,655,1,11,21,NULL,NULL,NULL,NULL),(25,655,1,11,22,NULL,NULL,NULL,NULL),(25,655,1,11,23,NULL,NULL,NULL,NULL),(25,655,1,11,24,NULL,NULL,NULL,NULL),(25,655,1,11,25,NULL,NULL,NULL,NULL),(25,655,1,11,26,NULL,NULL,NULL,NULL),(25,655,1,11,27,NULL,NULL,NULL,NULL),(25,655,1,11,28,NULL,NULL,NULL,NULL),(25,655,1,11,29,NULL,NULL,NULL,NULL),(25,655,1,11,30,NULL,NULL,NULL,NULL),(25,655,1,11,31,NULL,NULL,NULL,NULL),(25,655,1,11,32,NULL,NULL,NULL,NULL),(25,655,1,11,33,NULL,NULL,NULL,NULL),(25,655,1,11,34,NULL,NULL,NULL,NULL),(25,655,1,11,35,NULL,NULL,NULL,NULL),(25,655,1,11,36,NULL,NULL,NULL,NULL),(25,655,1,11,37,NULL,NULL,NULL,NULL),(25,655,1,11,38,NULL,NULL,NULL,NULL),(25,655,1,11,39,NULL,NULL,NULL,NULL),(25,655,1,11,40,NULL,NULL,NULL,NULL),(25,655,1,12,1,NULL,NULL,NULL,NULL),(25,655,1,12,2,NULL,NULL,NULL,NULL),(25,655,1,12,3,NULL,NULL,NULL,NULL),(25,655,1,12,4,NULL,NULL,NULL,NULL),(25,655,1,12,5,NULL,NULL,NULL,NULL),(25,655,1,12,6,NULL,NULL,NULL,NULL),(25,655,1,12,7,NULL,NULL,NULL,NULL),(25,655,1,12,8,NULL,NULL,NULL,NULL),(25,655,1,12,9,NULL,NULL,NULL,NULL),(25,655,1,12,10,NULL,NULL,NULL,NULL),(25,655,1,12,11,NULL,NULL,NULL,NULL),(25,655,1,12,12,NULL,NULL,NULL,NULL),(25,655,1,12,13,NULL,NULL,NULL,NULL),(25,655,1,12,14,NULL,NULL,NULL,NULL),(25,655,1,12,15,NULL,NULL,NULL,NULL),(25,655,1,12,16,NULL,NULL,NULL,NULL),(25,655,1,12,17,NULL,NULL,NULL,NULL),(25,655,1,12,18,NULL,NULL,NULL,NULL),(25,655,1,12,19,NULL,NULL,NULL,NULL),(25,655,1,12,20,NULL,NULL,NULL,NULL),(25,655,1,12,21,NULL,NULL,NULL,NULL),(25,655,1,12,22,NULL,NULL,NULL,NULL),(25,655,1,12,23,NULL,NULL,NULL,NULL),(25,655,1,12,24,NULL,NULL,NULL,NULL),(25,655,1,12,25,NULL,NULL,NULL,NULL),(25,655,1,12,26,NULL,NULL,NULL,NULL),(25,655,1,12,27,NULL,NULL,NULL,NULL),(25,655,1,12,28,NULL,NULL,NULL,NULL),(25,655,1,12,29,NULL,NULL,NULL,NULL),(25,655,1,12,30,NULL,NULL,NULL,NULL),(25,655,1,12,31,NULL,NULL,NULL,NULL),(25,655,1,12,32,NULL,NULL,NULL,NULL),(25,655,1,12,33,NULL,NULL,NULL,NULL),(25,655,1,12,34,NULL,NULL,NULL,NULL),(25,655,1,12,35,NULL,NULL,NULL,NULL),(25,655,1,12,36,NULL,NULL,NULL,NULL),(25,655,1,12,37,NULL,NULL,NULL,NULL),(25,655,1,12,38,NULL,NULL,NULL,NULL),(25,655,1,12,39,NULL,NULL,NULL,NULL),(25,655,1,12,40,NULL,NULL,NULL,NULL),(25,655,1,13,1,NULL,NULL,NULL,NULL),(25,655,1,13,2,NULL,NULL,NULL,NULL),(25,655,1,13,3,NULL,NULL,NULL,NULL),(25,655,1,13,4,NULL,NULL,NULL,NULL),(25,655,1,13,5,NULL,NULL,NULL,NULL),(25,655,1,13,6,NULL,NULL,NULL,NULL),(25,655,1,13,7,NULL,NULL,NULL,NULL),(25,655,1,13,8,NULL,NULL,NULL,NULL),(25,655,1,13,9,NULL,NULL,NULL,NULL),(25,655,1,13,10,NULL,NULL,NULL,NULL),(25,655,1,13,11,NULL,NULL,NULL,NULL),(25,655,1,13,12,NULL,NULL,NULL,NULL),(25,655,1,13,13,NULL,NULL,NULL,NULL),(25,655,1,13,14,NULL,NULL,NULL,NULL),(25,655,1,13,15,NULL,NULL,NULL,NULL),(25,655,1,13,16,NULL,NULL,NULL,NULL),(25,655,1,13,17,NULL,NULL,NULL,NULL),(25,655,1,13,18,NULL,NULL,NULL,NULL),(25,655,1,13,19,NULL,NULL,NULL,NULL),(25,655,1,13,20,NULL,NULL,NULL,NULL),(25,655,1,13,21,NULL,NULL,NULL,NULL),(25,655,1,13,22,NULL,NULL,NULL,NULL),(25,655,1,13,23,NULL,NULL,NULL,NULL),(25,655,1,13,24,NULL,NULL,NULL,NULL),(25,655,1,13,25,NULL,NULL,NULL,NULL),(25,655,1,13,26,NULL,NULL,NULL,NULL),(25,655,1,13,27,NULL,NULL,NULL,NULL),(25,655,1,13,28,NULL,NULL,NULL,NULL),(25,655,1,13,29,NULL,NULL,NULL,NULL),(25,655,1,13,30,NULL,NULL,NULL,NULL),(25,655,1,13,31,NULL,NULL,NULL,NULL),(25,655,1,13,32,NULL,NULL,NULL,NULL),(25,655,1,13,33,NULL,NULL,NULL,NULL),(25,655,1,13,34,NULL,NULL,NULL,NULL),(25,655,1,13,35,NULL,NULL,NULL,NULL),(25,655,1,13,36,NULL,NULL,NULL,NULL),(25,655,1,13,37,NULL,NULL,NULL,NULL),(25,655,1,13,38,NULL,NULL,NULL,NULL),(25,655,1,13,39,NULL,NULL,NULL,NULL),(25,655,1,13,40,NULL,NULL,NULL,NULL),(25,655,1,14,1,14,7,5,7),(25,655,1,14,2,9,7,5,4),(25,655,1,14,3,7,6,3,3),(25,655,1,14,4,17,1,13,2),(25,655,1,14,5,1,7,2,4),(25,655,1,14,6,5,12,4,7),(25,655,1,14,7,7,14,8,9),(25,655,1,14,8,5,3,6,3),(25,655,1,14,9,5,6,3,8),(25,655,1,14,10,1,5,NULL,3),(25,655,1,14,11,7,5,2,5),(25,655,1,14,12,5,NULL,6,NULL),(25,655,1,14,13,5,6,5,3),(25,655,1,14,14,9,5,8,2),(25,655,1,14,15,8,6,8,4),(25,655,1,14,16,6,3,2,3),(25,655,1,14,17,4,1,4,2),(25,655,1,14,18,9,3,12,1),(25,655,1,14,19,10,7,10,6),(25,655,1,14,20,6,2,8,1),(25,655,1,14,21,3,9,6,8),(25,655,1,14,22,5,3,4,1),(25,655,1,14,23,4,4,3,4),(25,655,1,14,24,NULL,3,NULL,4),(25,655,1,14,25,2,9,1,7),(25,655,1,14,26,1,NULL,2,NULL),(25,655,1,14,27,NULL,NULL,NULL,NULL),(25,655,1,14,28,8,14,3,11),(25,655,1,14,29,1,3,2,2),(25,655,1,14,30,4,6,1,6),(25,655,1,14,31,1,1,1,NULL),(25,655,1,14,32,1,6,1,4),(25,655,1,14,33,2,4,2,2),(25,655,1,14,34,3,3,5,1),(25,655,1,14,35,3,NULL,2,2),(25,655,1,14,36,6,13,6,6),(25,655,1,14,37,4,1,5,NULL),(25,655,1,14,38,4,16,2,11),(25,655,1,14,39,3,8,1,4),(25,655,1,14,40,NULL,1,NULL,1),(25,655,1,15,1,10,15,2,13),(25,655,1,15,2,5,8,4,5),(25,655,1,15,3,5,9,5,NULL),(25,655,1,15,4,17,8,9,4),(25,655,1,15,5,4,11,1,6),(25,655,1,15,6,7,7,NULL,4),(25,655,1,15,7,9,16,5,10),(25,655,1,15,8,2,5,NULL,3),(25,655,1,15,9,3,7,2,3),(25,655,1,15,10,NULL,3,NULL,1),(25,655,1,15,11,2,5,NULL,2),(25,655,1,15,12,2,3,1,2),(25,655,1,15,13,4,5,3,1),(25,655,1,15,14,9,5,6,3),(25,655,1,15,15,9,6,12,3),(25,655,1,15,16,6,5,5,2),(25,655,1,15,17,4,9,2,7),(25,655,1,15,18,14,2,13,NULL),(25,655,1,15,19,14,8,10,4),(25,655,1,15,20,7,1,6,NULL),(25,655,1,15,21,6,13,7,5),(25,655,1,15,22,5,12,1,9),(25,655,1,15,23,4,5,2,7),(25,655,1,15,24,4,9,1,7),(25,655,1,15,25,NULL,6,NULL,4),(25,655,1,15,26,7,NULL,8,NULL),(25,655,1,15,27,1,NULL,1,NULL),(25,655,1,15,28,6,15,3,9),(25,655,1,15,29,3,1,NULL,1),(25,655,1,15,30,NULL,7,NULL,4),(25,655,1,15,31,NULL,1,NULL,2),(25,655,1,15,32,3,4,3,5),(25,655,1,15,33,2,4,2,4),(25,655,1,15,34,NULL,4,1,1),(25,655,1,15,35,NULL,3,NULL,2),(25,655,1,15,36,4,11,5,3),(25,655,1,15,37,4,4,3,1),(25,655,1,15,38,3,16,2,10),(25,655,1,15,39,1,10,1,7),(25,655,1,15,40,2,5,1,2),(25,655,1,16,1,10,8,3,6),(25,655,1,16,2,4,7,1,3),(25,655,1,16,3,4,5,2,3),(25,655,1,16,4,6,6,4,5),(25,655,1,16,5,3,5,2,2),(25,655,1,16,6,1,6,1,4),(25,655,1,16,7,2,16,NULL,3),(25,655,1,16,8,2,2,2,2),(25,655,1,16,9,5,4,NULL,NULL),(25,655,1,16,10,1,2,1,1),(25,655,1,16,11,3,3,2,2),(25,655,1,16,12,4,2,1,1),(25,655,1,16,13,5,2,4,3),(25,655,1,16,14,4,7,1,3),(25,655,1,16,15,12,NULL,7,NULL),(25,655,1,16,16,1,14,1,8),(25,655,1,16,17,2,14,NULL,2),(25,655,1,16,18,7,17,1,9),(25,655,1,16,19,NULL,18,NULL,2),(25,655,1,16,20,18,NULL,7,NULL),(25,655,1,16,21,3,10,2,6),(25,655,1,16,22,3,3,1,2),(25,655,1,16,23,NULL,1,NULL,2),(25,655,1,16,24,NULL,4,1,5),(25,655,1,16,25,5,1,1,NULL),(25,655,1,16,26,1,NULL,1,NULL),(25,655,1,16,27,NULL,NULL,NULL,NULL),(25,655,1,16,28,7,7,3,5),(25,655,1,16,29,1,3,NULL,3),(25,655,1,16,30,NULL,1,NULL,4),(25,655,1,16,31,NULL,1,NULL,1),(25,655,1,16,32,NULL,1,1,NULL),(25,655,1,16,33,2,3,2,NULL),(25,655,1,16,34,1,5,1,1),(25,655,1,16,35,NULL,4,NULL,6),(25,655,1,16,36,5,7,3,3),(25,655,1,16,37,3,2,2,2),(25,655,1,16,38,1,12,NULL,5),(25,655,1,16,39,1,5,1,3),(25,655,1,16,40,NULL,NULL,NULL,NULL),(25,655,1,17,1,8,4,2,4),(25,655,1,17,2,5,2,1,3),(25,655,1,17,3,3,2,1,1),(25,655,1,17,4,10,7,6,3),(25,655,1,17,5,2,3,1,2),(25,655,1,17,6,2,7,2,1),(25,655,1,17,7,2,12,NULL,4),(25,655,1,17,8,2,2,1,2),(25,655,1,17,9,5,6,3,3),(25,655,1,17,10,NULL,NULL,NULL,NULL),(25,655,1,17,11,1,2,1,NULL),(25,655,1,17,12,2,1,1,1),(25,655,1,17,13,6,2,7,1),(25,655,1,17,14,2,5,3,3),(25,655,1,17,15,17,NULL,6,NULL),(25,655,1,17,16,4,6,1,6),(25,655,1,17,17,NULL,14,NULL,2),(25,655,1,17,18,3,13,2,7),(25,655,1,17,19,NULL,11,NULL,2),(25,655,1,17,20,13,NULL,9,NULL),(25,655,1,17,21,NULL,7,2,3),(25,655,1,17,22,3,5,1,2),(25,655,1,17,23,3,2,NULL,2),(25,655,1,17,24,2,2,NULL,3),(25,655,1,17,25,2,4,1,3),(25,655,1,17,26,3,NULL,3,NULL),(25,655,1,17,27,NULL,NULL,NULL,NULL),(25,655,1,17,28,4,11,NULL,10),(25,655,1,17,29,2,1,NULL,3),(25,655,1,17,30,NULL,3,1,4),(25,655,1,17,31,NULL,2,NULL,2),(25,655,1,17,32,NULL,4,NULL,1),(25,655,1,17,33,1,4,1,2),(25,655,1,17,34,4,1,1,1),(25,655,1,17,35,NULL,2,1,1),(25,655,1,17,36,2,4,2,4),(25,655,1,17,37,2,1,1,1),(25,655,1,17,38,NULL,10,1,8),(25,655,1,17,39,1,5,NULL,2),(25,655,1,17,40,NULL,3,NULL,3),(25,655,2,21,1,1,5,1,2),(25,655,2,21,2,2,6,2,3),(25,655,2,21,3,2,6,2,5),(25,655,2,21,4,4,3,2,2),(25,655,2,21,5,6,7,6,2),(25,655,2,21,6,1,4,1,2),(25,655,2,21,7,NULL,2,NULL,2),(25,655,2,21,8,5,4,4,2),(25,655,2,21,9,8,6,5,3),(25,655,2,21,10,1,2,2,2),(25,655,2,21,11,3,19,1,5),(25,655,2,21,12,2,6,NULL,3),(25,655,2,21,13,3,5,3,3),(25,655,2,21,14,3,4,1,2),(25,655,2,21,15,5,8,1,1),(25,655,2,21,16,3,11,1,6),(25,655,2,21,17,1,11,NULL,2),(25,655,2,21,18,6,3,1,2),(25,655,2,21,19,3,6,1,1),(25,655,2,21,20,2,5,3,3),(25,655,2,21,21,1,2,1,1),(25,655,2,21,22,1,1,NULL,NULL),(25,655,2,21,23,2,2,2,NULL),(25,655,2,21,24,NULL,3,NULL,1),(25,655,2,21,25,NULL,NULL,NULL,NULL),(25,655,2,21,26,NULL,3,NULL,1),(25,655,2,21,27,2,4,NULL,3),(25,655,2,21,28,1,3,1,1),(25,655,2,21,29,4,4,1,2),(25,655,2,21,30,2,5,NULL,NULL),(25,655,2,21,31,4,2,1,4),(25,655,2,21,32,NULL,4,NULL,3),(25,655,2,21,33,5,3,3,3),(25,655,2,21,34,NULL,5,NULL,1),(25,655,2,21,35,5,2,2,NULL),(25,655,2,21,36,3,2,2,3),(25,655,2,21,37,3,4,2,2),(25,655,2,21,38,3,11,3,NULL),(25,655,2,21,39,11,NULL,6,NULL),(25,655,2,21,40,NULL,3,1,1),(25,655,2,22,1,2,7,1,4),(25,655,2,22,2,NULL,11,NULL,6),(25,655,2,22,3,5,6,2,5),(25,655,2,22,4,3,4,3,3),(25,655,2,22,5,10,6,6,3),(25,655,2,22,6,3,6,3,2),(25,655,2,22,7,NULL,1,NULL,1),(25,655,2,22,8,7,5,4,4),(25,655,2,22,9,8,12,6,8),(25,655,2,22,10,1,8,3,5),(25,655,2,22,11,3,19,1,11),(25,655,2,22,12,2,6,2,3),(25,655,2,22,13,8,7,7,3),(25,655,2,22,14,1,11,NULL,8),(25,655,2,22,15,5,8,2,6),(25,655,2,22,16,2,8,NULL,7),(25,655,2,22,17,3,9,2,5),(25,655,2,22,18,2,7,1,3),(25,655,2,22,19,1,3,NULL,1),(25,655,2,22,20,1,8,3,3),(25,655,2,22,21,3,3,2,1),(25,655,2,22,22,NULL,3,NULL,2),(25,655,2,22,23,1,5,1,3),(25,655,2,22,24,2,4,NULL,4),(25,655,2,22,25,2,NULL,2,NULL),(25,655,2,22,26,NULL,5,NULL,3),(25,655,2,22,27,NULL,5,NULL,2),(25,655,2,22,28,NULL,1,NULL,NULL),(25,655,2,22,29,2,2,1,3),(25,655,2,22,30,2,3,2,1),(25,655,2,22,31,4,5,4,2),(25,655,2,22,32,1,3,1,2),(25,655,2,22,33,4,2,6,5),(25,655,2,22,34,NULL,6,NULL,1),(25,655,2,22,35,1,6,NULL,6),(25,655,2,22,36,2,6,2,3),(25,655,2,22,37,NULL,2,NULL,2),(25,655,2,22,38,5,8,6,4),(25,655,2,22,39,6,NULL,10,NULL),(25,655,2,22,40,1,1,NULL,NULL),(25,655,2,23,1,1,6,2,1),(25,655,2,23,2,3,8,1,3),(25,655,2,23,3,7,4,4,3),(25,655,2,23,4,3,7,4,6),(25,655,2,23,5,8,7,4,5),(25,655,2,23,6,1,6,1,5),(25,655,2,23,7,1,2,2,1),(25,655,2,23,8,5,5,1,3),(25,655,2,23,9,8,9,12,5),(25,655,2,23,10,3,8,3,4),(25,655,2,23,11,5,21,NULL,11),(25,655,2,23,12,2,6,1,1),(25,655,2,23,13,12,5,12,2),(25,655,2,23,14,1,6,3,4),(25,655,2,23,15,2,6,2,6),(25,655,2,23,16,4,9,4,2),(25,655,2,23,17,2,13,1,3),(25,655,2,23,18,9,4,4,5),(25,655,2,23,19,1,9,2,1),(25,655,2,23,20,2,5,3,5),(25,655,2,23,21,1,3,NULL,3),(25,655,2,23,22,NULL,4,NULL,1),(25,655,2,23,23,NULL,3,2,2),(25,655,2,23,24,1,2,NULL,2),(25,655,2,23,25,4,NULL,1,NULL),(25,655,2,23,26,2,5,1,1),(25,655,2,23,27,NULL,10,NULL,3),(25,655,2,23,28,NULL,2,NULL,1),(25,655,2,23,29,2,7,1,5),(25,655,2,23,30,2,5,2,6),(25,655,2,23,31,2,2,1,1),(25,655,2,23,32,1,2,NULL,1),(25,655,2,23,33,2,6,4,4),(25,655,2,23,34,2,3,1,2),(25,655,2,23,35,3,4,1,5),(25,655,2,23,36,NULL,2,NULL,3),(25,655,2,23,37,3,2,NULL,3),(25,655,2,23,38,6,7,6,6),(25,655,2,23,39,8,NULL,14,NULL),(25,655,2,23,40,1,1,1,1),(25,655,2,24,1,1,7,3,3),(25,655,2,24,2,2,2,2,4),(25,655,2,24,3,1,6,NULL,7),(25,655,2,24,4,4,6,1,3),(25,655,2,24,5,7,9,4,7),(25,655,2,24,6,2,2,2,3),(25,655,2,24,7,NULL,1,NULL,NULL),(25,655,2,24,8,8,3,7,2),(25,655,2,24,9,9,6,5,3),(25,655,2,24,10,2,3,1,1),(25,655,2,24,11,1,14,NULL,8),(25,655,2,24,12,4,5,1,2),(25,655,2,24,13,5,6,6,3),(25,655,2,24,14,2,8,1,5),(25,655,2,24,15,7,8,5,4),(25,655,2,24,16,1,4,NULL,4),(25,655,2,24,17,3,7,NULL,4),(25,655,2,24,18,6,1,2,2),(25,655,2,24,19,2,2,2,NULL),(25,655,2,24,20,2,3,2,2),(25,655,2,24,21,NULL,2,NULL,2),(25,655,2,24,22,NULL,2,NULL,1),(25,655,2,24,23,NULL,2,NULL,3),(25,655,2,24,24,1,2,NULL,2),(25,655,2,24,25,1,NULL,NULL,NULL),(25,655,2,24,26,1,2,1,2),(25,655,2,24,27,NULL,4,NULL,1),(25,655,2,24,28,NULL,2,NULL,2),(25,655,2,24,29,1,4,1,3),(25,655,2,24,30,1,9,NULL,4),(25,655,2,24,31,2,3,3,4),(25,655,2,24,32,NULL,3,NULL,2),(25,655,2,24,33,3,5,3,4),(25,655,2,24,34,NULL,4,NULL,1),(25,655,2,24,35,2,4,1,3),(25,655,2,24,36,1,2,1,1),(25,655,2,24,37,NULL,4,NULL,1),(25,655,2,24,38,3,6,NULL,4),(25,655,2,24,39,10,NULL,9,NULL),(25,655,2,24,40,1,3,NULL,1),(28,2,1,11,1,1,0,1,0),(28,2,1,11,2,0,1,0,1),(28,2,1,11,3,1,0,1,0),(28,2,1,11,4,0,0,0,0),(28,2,1,11,5,1,0,1,0),(28,2,1,11,6,0,1,0,1),(28,2,1,11,7,0,0,0,0),(28,2,1,11,8,0,0,0,0),(28,2,1,11,9,0,1,0,1),(28,2,1,11,10,1,0,1,0),(28,2,1,11,11,0,0,0,0),(28,2,1,11,12,1,0,1,0),(28,2,1,11,13,1,0,1,0),(28,2,1,11,14,1,0,1,0),(28,2,1,11,15,1,0,1,0),(28,2,1,11,16,1,0,1,0),(28,2,1,11,17,1,0,1,0),(28,2,1,11,18,1,0,1,0),(28,2,1,11,19,1,0,1,0),(28,2,1,11,20,1,0,1,0),(28,2,1,11,21,0,0,0,0),(28,2,1,11,22,0,0,0,0),(28,2,1,11,23,0,0,0,0),(28,2,1,11,24,0,0,0,0),(28,2,1,11,25,0,0,0,0),(28,2,1,11,26,0,0,0,0),(28,2,1,11,27,0,0,0,0),(28,2,1,11,28,0,0,0,0),(28,2,1,11,29,1,0,1,0),(28,2,1,11,30,1,0,1,0),(28,2,1,11,31,0,0,0,0),(28,2,1,11,32,1,0,1,0),(28,2,1,11,33,0,0,0,0),(28,2,1,11,34,0,1,0,1),(28,2,1,11,35,0,0,0,0),(28,2,1,11,36,0,0,0,0),(28,2,1,11,37,0,0,0,0),(28,2,1,11,38,0,0,0,0),(28,2,1,11,39,0,0,0,0),(28,2,1,11,40,0,0,0,0),(28,2,1,12,1,0,0,0,0),(28,2,1,12,2,0,0,0,0),(28,2,1,12,3,0,0,0,0),(28,2,1,12,4,0,0,0,0),(28,2,1,12,5,0,0,0,0),(28,2,1,12,6,0,0,0,0),(28,2,1,12,7,0,0,0,0),(28,2,1,12,8,0,0,0,0),(28,2,1,12,9,0,0,0,0),(28,2,1,12,10,0,0,0,0),(28,2,1,12,11,0,0,0,0),(28,2,1,12,12,0,0,0,0),(28,2,1,12,13,0,0,0,0),(28,2,1,12,14,0,0,0,0),(28,2,1,12,15,0,0,0,0),(28,2,1,12,16,0,0,0,0),(28,2,1,12,17,0,0,0,0),(28,2,1,12,18,0,0,0,0),(28,2,1,12,19,0,0,0,0),(28,2,1,12,20,0,0,0,0),(28,2,1,12,21,0,0,0,0),(28,2,1,12,22,0,0,0,0),(28,2,1,12,23,0,0,0,0),(28,2,1,12,24,0,0,0,0),(28,2,1,12,25,0,0,0,0),(28,2,1,12,26,0,0,0,0),(28,2,1,12,27,0,0,0,0),(28,2,1,12,28,0,0,0,0),(28,2,1,12,29,0,0,0,0),(28,2,1,12,30,0,0,0,0),(28,2,1,12,31,0,0,0,0),(28,2,1,12,32,0,0,0,0),(28,2,1,12,33,0,0,0,0),(28,2,1,12,34,0,0,0,0),(28,2,1,12,35,0,0,0,0),(28,2,1,12,36,0,0,0,0),(28,2,1,12,37,0,0,0,0),(28,2,1,12,38,0,0,0,0),(28,2,1,12,39,0,0,0,0),(28,2,1,12,40,0,0,0,0),(28,2,1,13,1,0,0,0,0),(28,2,1,13,2,0,0,0,0),(28,2,1,13,3,0,0,0,0),(28,2,1,13,4,0,0,0,0),(28,2,1,13,5,0,0,0,0),(28,2,1,13,6,0,0,0,0),(28,2,1,13,7,0,0,0,0),(28,2,1,13,8,0,0,0,0),(28,2,1,13,9,0,0,0,0),(28,2,1,13,10,0,0,0,0),(28,2,1,13,11,0,0,0,0),(28,2,1,13,12,0,0,0,0),(28,2,1,13,13,0,0,0,0),(28,2,1,13,14,0,0,0,0),(28,2,1,13,15,0,0,0,0),(28,2,1,13,16,0,0,0,0),(28,2,1,13,17,0,0,0,0),(28,2,1,13,18,0,0,0,0),(28,2,1,13,19,0,0,0,0),(28,2,1,13,20,0,0,0,0),(28,2,1,13,21,0,0,0,0),(28,2,1,13,22,0,0,0,0),(28,2,1,13,23,0,0,0,0),(28,2,1,13,24,0,0,0,0),(28,2,1,13,25,0,0,0,0),(28,2,1,13,26,0,0,0,0),(28,2,1,13,27,0,0,0,0),(28,2,1,13,28,0,0,0,0),(28,2,1,13,29,0,0,0,0),(28,2,1,13,30,0,0,0,0),(28,2,1,13,31,0,0,0,0),(28,2,1,13,32,0,0,0,0),(28,2,1,13,33,0,0,0,0),(28,2,1,13,34,0,0,0,0),(28,2,1,13,35,0,0,0,0),(28,2,1,13,36,0,0,0,0),(28,2,1,13,37,0,0,0,0),(28,2,1,13,38,0,0,0,0),(28,2,1,13,39,0,0,0,0),(28,2,1,13,40,0,0,0,0),(28,2,1,14,1,5,0,5,0),(28,2,1,14,2,4,7,3,6),(28,2,1,14,3,4,8,4,7),(28,2,1,14,4,5,4,5,3),(28,2,1,14,5,12,6,10,6),(28,2,1,14,6,6,7,6,6),(28,2,1,14,7,3,3,2,3),(28,2,1,14,8,2,7,2,6),(28,2,1,14,9,2,6,1,6),(28,2,1,14,10,8,4,7,3),(28,2,1,14,11,3,4,3,3),(28,2,1,14,12,7,4,7,4),(28,2,1,14,13,13,7,11,6),(28,2,1,14,14,7,10,7,8),(28,2,1,14,15,14,0,13,0),(28,2,1,14,16,11,4,10,3),(28,2,1,14,17,8,11,7,9),(28,2,1,14,18,5,4,5,3),(28,2,1,14,19,13,6,11,4),(28,2,1,14,20,14,4,12,4),(28,2,1,14,21,0,1,0,1),(28,2,1,14,22,0,6,0,6),(28,2,1,14,23,1,3,1,3),(28,2,1,14,24,1,0,1,0),(28,2,1,14,25,1,4,0,4),(28,2,1,14,26,1,1,0,1),(28,2,1,14,27,6,0,5,0),(28,2,1,14,28,0,1,0,0),(28,2,1,14,29,1,5,1,5),(28,2,1,14,30,1,7,1,6),(28,2,1,14,31,0,3,0,3),(28,2,1,14,32,3,3,2,2),(28,2,1,14,33,0,1,0,1),(28,2,1,14,34,7,4,6,4),(28,2,1,14,35,1,3,1,3),(28,2,1,14,36,0,0,0,0),(28,2,1,14,37,0,3,0,3),(28,2,1,14,38,1,5,1,5),(28,2,1,14,39,2,11,2,10),(28,2,1,14,40,1,0,1,0),(28,2,1,15,1,7,0,7,0),(28,2,1,15,2,3,4,3,4),(28,2,1,15,3,3,7,3,7),(28,2,1,15,4,2,8,2,8),(28,2,1,15,5,3,4,3,3),(28,2,1,15,6,5,11,5,9),(28,2,1,15,7,3,7,3,6),(28,2,1,15,8,2,9,2,9),(28,2,1,15,9,4,3,4,2),(28,2,1,15,10,9,4,9,4),(28,2,1,15,11,4,3,4,3),(28,2,1,15,12,6,2,6,2),(28,2,1,15,13,15,6,15,4),(28,2,1,15,14,6,8,5,8),(28,2,1,15,15,16,0,15,0),(28,2,1,15,16,14,6,13,3),(28,2,1,15,17,10,12,8,11),(28,2,1,15,18,12,2,11,2),(28,2,1,15,19,18,2,16,2),(28,2,1,15,20,15,8,13,7),(28,2,1,15,21,0,2,0,2),(28,2,1,15,22,1,4,1,4),(28,2,1,15,23,1,5,1,5),(28,2,1,15,24,1,0,1,0),(28,2,1,15,25,0,1,0,0),(28,2,1,15,26,0,7,0,5),(28,2,1,15,27,5,0,5,0),(28,2,1,15,28,1,0,0,0),(28,2,1,15,29,1,8,0,7),(28,2,1,15,30,1,10,1,10),(28,2,1,15,31,1,2,1,2),(28,2,1,15,32,4,10,3,10),(28,2,1,15,33,0,9,0,9),(28,2,1,15,34,8,2,7,2),(28,2,1,15,35,1,4,1,4),(28,2,1,15,36,0,0,0,0),(28,2,1,15,37,0,5,0,5),(28,2,1,15,38,2,6,2,6),(28,2,1,15,39,5,10,5,9),(28,2,1,15,40,2,0,2,0),(28,2,1,16,1,2,0,1,0),(28,2,1,16,2,0,1,0,1),(28,2,1,16,3,1,3,0,2),(28,2,1,16,4,1,1,1,0),(28,2,1,16,5,2,3,1,2),(28,2,1,16,6,0,2,0,1),(28,2,1,16,7,3,0,2,0),(28,2,1,16,8,0,0,0,0),(28,2,1,16,9,1,0,0,0),(28,2,1,16,10,2,2,1,2),(28,2,1,16,11,0,2,0,1),(28,2,1,16,12,1,1,0,1),(28,2,1,16,13,6,0,3,0),(28,2,1,16,14,6,0,3,0),(28,2,1,16,15,1,3,0,2),(28,2,1,16,16,4,0,3,0),(28,2,1,16,17,3,3,2,1),(28,2,1,16,18,0,2,0,2),(28,2,1,16,19,1,4,1,2),(28,2,1,16,20,2,2,1,1),(28,2,1,16,21,0,1,0,1),(28,2,1,16,22,0,0,0,0),(28,2,1,16,23,0,1,0,1),(28,2,1,16,24,0,0,0,0),(28,2,1,16,25,1,1,0,1),(28,2,1,16,26,0,1,0,0),(28,2,1,16,27,1,0,1,0),(28,2,1,16,28,0,0,0,0),(28,2,1,16,29,0,2,0,1),(28,2,1,16,30,2,1,1,1),(28,2,1,16,31,0,1,0,1),(28,2,1,16,32,0,1,0,1),(28,2,1,16,33,1,0,1,0),(28,2,1,16,34,1,1,1,1),(28,2,1,16,35,1,0,1,0),(28,2,1,16,36,0,0,0,0),(28,2,1,16,37,0,3,0,3),(28,2,1,16,38,0,0,0,0),(28,2,1,16,39,0,3,0,2),(28,2,1,16,40,0,0,0,0),(28,2,1,17,1,3,0,3,0),(28,2,1,17,2,1,2,1,1),(28,2,1,17,3,1,3,1,3),(28,2,1,17,4,1,1,1,1),(28,2,1,17,5,2,1,2,1),(28,2,1,17,6,1,2,1,2),(28,2,1,17,7,0,2,0,2),(28,2,1,17,8,0,3,0,2),(28,2,1,17,9,1,2,1,2),(28,2,1,17,10,4,1,4,1),(28,2,1,17,11,0,1,0,1),(28,2,1,17,12,2,1,2,0),(28,2,1,17,13,8,0,8,0),(28,2,1,17,14,6,0,5,0),(28,2,1,17,15,1,5,0,5),(28,2,1,17,16,6,0,6,0),(28,2,1,17,17,5,4,4,4),(28,2,1,17,18,1,2,1,2),(28,2,1,17,19,0,6,0,5),(28,2,1,17,20,2,1,1,1),(28,2,1,17,21,0,1,0,1),(28,2,1,17,22,0,2,0,2),(28,2,1,17,23,1,2,1,2),(28,2,1,17,24,0,0,0,0),(28,2,1,17,25,0,2,0,1),(28,2,1,17,26,0,1,0,1),(28,2,1,17,27,3,0,3,0),(28,2,1,17,28,0,2,0,1),(28,2,1,17,29,1,4,0,4),(28,2,1,17,30,0,3,0,3),(28,2,1,17,31,0,1,0,1),(28,2,1,17,32,0,3,0,3),(28,2,1,17,33,0,2,0,2),(28,2,1,17,34,2,2,1,2),(28,2,1,17,35,0,1,0,1),(28,2,1,17,36,0,0,0,0),(28,2,1,17,37,0,0,0,0),(28,2,1,17,38,0,1,0,1),(28,2,1,17,39,0,5,0,5),(28,2,1,17,40,1,0,1,0),(28,2,1,18,1,0,0,0,0),(28,2,1,18,2,0,0,0,0),(28,2,1,18,3,0,0,0,0),(28,2,1,18,4,0,0,0,0),(28,2,1,18,5,0,0,0,0),(28,2,1,18,6,0,0,0,0),(28,2,1,18,7,0,0,0,0),(28,2,1,18,8,0,0,0,0),(28,2,1,18,9,0,0,0,0),(28,2,1,18,10,0,0,0,0),(28,2,1,18,11,0,0,0,0),(28,2,1,18,12,0,0,0,0),(28,2,1,18,13,0,0,0,0),(28,2,1,18,14,0,0,0,0),(28,2,1,18,15,0,0,0,0),(28,2,1,18,16,0,0,0,0),(28,2,1,18,17,0,0,0,0),(28,2,1,18,18,0,0,0,0),(28,2,1,18,19,0,0,0,0),(28,2,1,18,20,0,0,0,0),(28,2,1,18,21,0,0,0,0),(28,2,1,18,22,0,0,0,0),(28,2,1,18,23,0,0,0,0),(28,2,1,18,24,1,0,1,0),(28,2,1,18,25,0,0,0,0),(28,2,1,18,26,0,0,0,0),(28,2,1,18,27,0,0,0,0),(28,2,1,18,28,0,0,0,0),(28,2,1,18,29,0,0,0,0),(28,2,1,18,30,0,0,0,0),(28,2,1,18,31,0,0,0,0),(28,2,1,18,32,0,0,0,0),(28,2,1,18,33,0,0,0,0),(28,2,1,18,34,0,0,0,0),(28,2,1,18,35,0,0,0,0),(28,2,1,18,36,0,0,0,0),(28,2,1,18,37,0,0,0,0),(28,2,1,18,38,0,0,0,0),(28,2,1,18,39,0,0,0,0),(28,2,1,18,40,0,0,0,0),(28,2,1,19,1,0,0,0,0),(28,2,1,19,2,0,0,0,0),(28,2,1,19,3,0,0,0,0),(28,2,1,19,4,0,0,0,0),(28,2,1,19,5,0,0,0,0),(28,2,1,19,6,0,0,0,0),(28,2,1,19,7,0,0,0,0),(28,2,1,19,8,0,0,0,0),(28,2,1,19,9,0,0,0,0),(28,2,1,19,10,0,0,0,0),(28,2,1,19,11,0,0,0,0),(28,2,1,19,12,0,0,0,0),(28,2,1,19,13,0,0,0,0),(28,2,1,19,14,0,0,0,0),(28,2,1,19,15,0,0,0,0),(28,2,1,19,16,0,0,0,0),(28,2,1,19,17,0,0,0,0),(28,2,1,19,18,0,0,0,0),(28,2,1,19,19,0,0,0,0),(28,2,1,19,20,0,0,0,0),(28,2,1,19,21,0,0,0,0),(28,2,1,19,22,0,0,0,0),(28,2,1,19,23,0,0,0,0),(28,2,1,19,24,0,0,0,0),(28,2,1,19,25,0,0,0,0),(28,2,1,19,26,0,0,0,0),(28,2,1,19,27,0,0,0,0),(28,2,1,19,28,0,0,0,0),(28,2,1,19,29,0,0,0,0),(28,2,1,19,30,0,0,0,0),(28,2,1,19,31,0,0,0,0),(28,2,1,19,32,0,0,0,0),(28,2,1,19,33,0,0,0,0),(28,2,1,19,34,0,0,0,0),(28,2,1,19,35,0,0,0,0),(28,2,1,19,36,0,0,0,0),(28,2,1,19,37,0,0,0,0),(28,2,1,19,38,0,0,0,0),(28,2,1,19,39,0,0,0,0),(28,2,1,19,40,0,0,0,0),(28,2,2,21,1,2,8,1,8),(28,2,2,21,2,1,4,1,4),(28,2,2,21,3,4,8,4,8),(28,2,2,21,4,0,0,0,0),(28,2,2,21,5,1,9,1,9),(28,2,2,21,6,6,6,6,6),(28,2,2,21,7,0,8,0,7),(28,2,2,21,8,1,5,1,5),(28,2,2,21,9,0,3,0,3),(28,2,2,21,10,6,6,6,6),(28,2,2,21,11,2,5,2,5),(28,2,2,21,12,4,3,3,3),(28,2,2,21,13,4,11,4,11),(28,2,2,21,14,6,8,5,8),(28,2,2,21,15,4,5,3,5),(28,2,2,21,16,6,3,5,3),(28,2,2,21,17,1,3,1,3),(28,2,2,21,18,5,9,4,9),(28,2,2,21,19,2,7,1,7),(28,2,2,21,20,7,2,7,2),(28,2,2,21,21,1,4,1,3),(28,2,2,21,22,7,2,7,2),(28,2,2,21,23,1,1,1,1),(28,2,2,21,24,1,4,1,4),(28,2,2,21,25,1,6,1,6),(28,2,2,21,26,1,3,1,3),(28,2,2,21,27,2,8,2,8),(28,2,2,21,28,1,6,1,6),(28,2,2,21,29,1,1,1,1),(28,2,2,21,30,1,3,1,3),(28,2,2,21,31,2,2,2,2),(28,2,2,21,32,0,1,0,1),(28,2,2,21,33,2,3,2,3),(28,2,2,21,34,0,4,0,4),(28,2,2,21,35,2,0,2,0),(28,2,2,21,36,0,4,0,3),(28,2,2,21,37,3,2,2,2),(28,2,2,21,38,1,1,1,1),(28,2,2,21,39,0,3,0,2),(28,2,2,21,40,1,10,1,10),(28,2,2,22,1,0,4,0,2),(28,2,2,22,2,0,7,0,7),(28,2,2,22,3,8,4,8,4),(28,2,2,22,4,1,3,1,2),(28,2,2,22,5,4,4,4,4),(28,2,2,22,6,11,3,9,2),(28,2,2,22,7,1,6,1,5),(28,2,2,22,8,1,6,1,5),(28,2,2,22,9,1,2,0,2),(28,2,2,22,10,4,6,4,5),(28,2,2,22,11,2,2,2,2),(28,2,2,22,12,6,6,6,4),(28,2,2,22,13,6,10,6,7),(28,2,2,22,14,9,3,8,2),(28,2,2,22,15,6,4,5,4),(28,2,2,22,16,4,6,4,4),(28,2,2,22,17,0,3,0,2),(28,2,2,22,18,9,6,9,3),(28,2,2,22,19,3,7,3,6),(28,2,2,22,20,5,2,5,1),(28,2,2,22,21,2,1,2,0),(28,2,2,22,22,9,2,9,1),(28,2,2,22,23,0,2,0,1),(28,2,2,22,24,0,5,0,5),(28,2,2,22,25,3,5,2,4),(28,2,2,22,26,2,6,2,5),(28,2,2,22,27,1,6,1,5),(28,2,2,22,28,0,6,0,6),(28,2,2,22,29,2,2,2,1),(28,2,2,22,30,0,5,0,4),(28,2,2,22,31,0,6,0,4),(28,2,2,22,32,0,0,0,0),(28,2,2,22,33,2,6,1,5),(28,2,2,22,34,1,9,1,7),(28,2,2,22,35,0,0,0,0),(28,2,2,22,36,1,2,1,2),(28,2,2,22,37,1,1,1,1),(28,2,2,22,38,1,3,1,2),(28,2,2,22,39,0,2,0,2),(28,2,2,22,40,1,8,1,6),(28,2,2,23,1,0,6,0,4),(28,2,2,23,2,1,5,1,3),(28,2,2,23,3,4,5,4,4),(28,2,2,23,4,1,2,1,1),(28,2,2,23,5,2,5,2,5),(28,2,2,23,6,7,4,6,3),(28,2,2,23,7,0,6,0,5),(28,2,2,23,8,4,2,4,1),(28,2,2,23,9,0,3,0,3),(28,2,2,23,10,3,3,3,3),(28,2,2,23,11,3,3,2,3),(28,2,2,23,12,1,5,1,4),(28,2,2,23,13,2,7,2,6),(28,2,2,23,14,4,4,2,4),(28,2,2,23,15,2,5,2,5),(28,2,2,23,16,3,6,2,6),(28,2,2,23,17,0,2,0,2),(28,2,2,23,18,5,3,5,3),(28,2,2,23,19,4,4,3,4),(28,2,2,23,20,5,4,5,3),(28,2,2,23,21,1,3,1,3),(28,2,2,23,22,6,1,6,1),(28,2,2,23,23,1,2,0,2),(28,2,2,23,24,1,3,1,3),(28,2,2,23,25,1,4,1,4),(28,2,2,23,26,0,3,0,3),(28,2,2,23,27,1,7,1,6),(28,2,2,23,28,0,4,0,4),(28,2,2,23,29,0,2,0,2),(28,2,2,23,30,0,3,0,3),(28,2,2,23,31,0,5,0,5),(28,2,2,23,32,0,1,0,1),(28,2,2,23,33,2,3,2,3),(28,2,2,23,34,0,3,0,3),(28,2,2,23,35,3,0,3,0),(28,2,2,23,36,0,3,0,2),(28,2,2,23,37,0,3,0,3),(28,2,2,23,38,0,1,0,1),(28,2,2,23,39,1,2,1,1),(28,2,2,23,40,0,7,0,6),(28,2,2,24,1,0,2,0,2),(28,2,2,24,2,0,6,0,6),(28,2,2,24,3,5,2,5,2),(28,2,2,24,4,0,0,0,0),(28,2,2,24,5,3,1,3,1),(28,2,2,24,6,5,3,4,3),(28,2,2,24,7,0,4,0,4),(28,2,2,24,8,2,2,1,2),(28,2,2,24,9,1,0,1,0),(28,2,2,24,10,1,3,1,3),(28,2,2,24,11,3,2,3,2),(28,2,2,24,12,1,5,1,5),(28,2,2,24,13,2,7,2,6),(28,2,2,24,14,4,5,3,5),(28,2,2,24,15,1,2,1,2),(28,2,2,24,16,0,4,0,4),(28,2,2,24,17,0,0,0,0),(28,2,2,24,18,6,3,6,3),(28,2,2,24,19,2,3,2,3),(28,2,2,24,20,3,0,3,0),(28,2,2,24,21,1,1,1,1),(28,2,2,24,22,2,2,2,2),(28,2,2,24,23,0,0,0,0),(28,2,2,24,24,0,1,0,1),(28,2,2,24,25,3,0,3,0),(28,2,2,24,26,1,3,1,3),(28,2,2,24,27,2,5,2,4),(28,2,2,24,28,0,3,0,3),(28,2,2,24,29,0,1,0,1),(28,2,2,24,30,1,1,1,1),(28,2,2,24,31,1,3,1,3),(28,2,2,24,32,0,0,0,0),(28,2,2,24,33,1,1,1,1),(28,2,2,24,34,2,3,2,3),(28,2,2,24,35,0,0,0,0),(28,2,2,24,36,0,2,0,2),(28,2,2,24,37,0,2,0,2),(28,2,2,24,38,0,1,0,1),(28,2,2,24,39,0,4,0,3),(28,2,2,24,40,2,2,2,2),(28,3,1,11,1,NULL,NULL,NULL,NULL),(28,3,1,11,2,NULL,NULL,NULL,NULL),(28,3,1,11,3,NULL,NULL,NULL,NULL),(28,3,1,11,4,NULL,NULL,NULL,NULL),(28,3,1,11,5,NULL,NULL,NULL,NULL),(28,3,1,11,6,NULL,NULL,NULL,NULL),(28,3,1,11,7,NULL,NULL,NULL,NULL),(28,3,1,11,8,NULL,NULL,NULL,NULL),(28,3,1,11,9,NULL,NULL,NULL,NULL),(28,3,1,11,10,NULL,NULL,NULL,NULL),(28,3,1,11,11,NULL,NULL,NULL,NULL),(28,3,1,11,12,NULL,NULL,NULL,NULL),(28,3,1,11,13,NULL,NULL,NULL,NULL),(28,3,1,11,14,NULL,NULL,NULL,NULL),(28,3,1,11,15,NULL,NULL,NULL,NULL),(28,3,1,11,16,NULL,NULL,NULL,NULL),(28,3,1,11,17,NULL,NULL,NULL,NULL),(28,3,1,11,18,NULL,NULL,NULL,NULL),(28,3,1,11,19,NULL,NULL,NULL,NULL),(28,3,1,11,20,NULL,NULL,NULL,NULL),(28,3,1,11,21,NULL,NULL,NULL,NULL),(28,3,1,11,22,NULL,NULL,NULL,NULL),(28,3,1,11,23,NULL,NULL,NULL,NULL),(28,3,1,11,24,NULL,NULL,NULL,NULL),(28,3,1,11,25,NULL,NULL,NULL,NULL),(28,3,1,11,26,NULL,NULL,NULL,NULL),(28,3,1,11,27,NULL,NULL,NULL,NULL),(28,3,1,11,28,NULL,NULL,NULL,NULL),(28,3,1,11,29,NULL,NULL,NULL,NULL),(28,3,1,11,30,NULL,NULL,NULL,NULL),(28,3,1,11,31,NULL,NULL,NULL,NULL),(28,3,1,11,32,NULL,NULL,NULL,NULL),(28,3,1,11,33,NULL,NULL,NULL,NULL),(28,3,1,11,34,NULL,NULL,NULL,NULL),(28,3,1,11,35,NULL,NULL,NULL,NULL),(28,3,1,11,36,NULL,NULL,NULL,NULL),(28,3,1,11,37,NULL,NULL,NULL,NULL),(28,3,1,11,38,NULL,NULL,NULL,NULL),(28,3,1,11,39,NULL,NULL,NULL,NULL),(28,3,1,11,40,NULL,NULL,NULL,NULL),(28,3,1,12,1,NULL,NULL,NULL,NULL),(28,3,1,12,2,NULL,NULL,NULL,NULL),(28,3,1,12,3,NULL,NULL,NULL,NULL),(28,3,1,12,4,NULL,NULL,NULL,NULL),(28,3,1,12,5,NULL,NULL,NULL,NULL),(28,3,1,12,6,NULL,NULL,NULL,NULL),(28,3,1,12,7,NULL,NULL,NULL,NULL),(28,3,1,12,8,NULL,NULL,NULL,NULL),(28,3,1,12,9,NULL,NULL,NULL,NULL),(28,3,1,12,10,NULL,NULL,NULL,NULL),(28,3,1,12,11,NULL,NULL,NULL,NULL),(28,3,1,12,12,NULL,NULL,NULL,NULL),(28,3,1,12,13,NULL,NULL,NULL,NULL),(28,3,1,12,14,NULL,NULL,NULL,NULL),(28,3,1,12,15,NULL,NULL,NULL,NULL),(28,3,1,12,16,NULL,NULL,NULL,NULL),(28,3,1,12,17,NULL,NULL,NULL,NULL),(28,3,1,12,18,NULL,NULL,NULL,NULL),(28,3,1,12,19,NULL,NULL,NULL,NULL),(28,3,1,12,20,NULL,NULL,NULL,NULL),(28,3,1,12,21,NULL,NULL,NULL,NULL),(28,3,1,12,22,NULL,NULL,NULL,NULL),(28,3,1,12,23,NULL,NULL,NULL,NULL),(28,3,1,12,24,NULL,NULL,NULL,NULL),(28,3,1,12,25,NULL,NULL,NULL,NULL),(28,3,1,12,26,NULL,NULL,NULL,NULL),(28,3,1,12,27,NULL,NULL,NULL,NULL),(28,3,1,12,28,NULL,NULL,NULL,NULL),(28,3,1,12,29,NULL,NULL,NULL,NULL),(28,3,1,12,30,NULL,NULL,NULL,NULL),(28,3,1,12,31,NULL,NULL,NULL,NULL),(28,3,1,12,32,NULL,NULL,NULL,NULL),(28,3,1,12,33,NULL,NULL,NULL,NULL),(28,3,1,12,34,NULL,NULL,NULL,NULL),(28,3,1,12,35,NULL,NULL,NULL,NULL),(28,3,1,12,36,NULL,NULL,NULL,NULL),(28,3,1,12,37,NULL,NULL,NULL,NULL),(28,3,1,12,38,NULL,NULL,NULL,NULL),(28,3,1,12,39,NULL,NULL,NULL,NULL),(28,3,1,12,40,NULL,NULL,NULL,NULL),(28,3,1,13,1,NULL,NULL,NULL,NULL),(28,3,1,13,2,NULL,NULL,NULL,NULL),(28,3,1,13,3,NULL,NULL,NULL,NULL),(28,3,1,13,4,NULL,NULL,NULL,NULL),(28,3,1,13,5,NULL,NULL,NULL,NULL),(28,3,1,13,6,NULL,NULL,NULL,NULL),(28,3,1,13,7,NULL,NULL,NULL,NULL),(28,3,1,13,8,NULL,NULL,NULL,NULL),(28,3,1,13,9,NULL,NULL,NULL,NULL),(28,3,1,13,10,NULL,NULL,NULL,NULL),(28,3,1,13,11,NULL,NULL,NULL,NULL),(28,3,1,13,12,NULL,NULL,NULL,NULL),(28,3,1,13,13,NULL,NULL,NULL,NULL),(28,3,1,13,14,NULL,NULL,NULL,NULL),(28,3,1,13,15,NULL,NULL,NULL,NULL),(28,3,1,13,16,NULL,NULL,NULL,NULL),(28,3,1,13,17,NULL,NULL,NULL,NULL),(28,3,1,13,18,NULL,NULL,NULL,NULL),(28,3,1,13,19,NULL,NULL,NULL,NULL),(28,3,1,13,20,NULL,NULL,NULL,NULL),(28,3,1,13,21,NULL,NULL,NULL,NULL),(28,3,1,13,22,NULL,NULL,NULL,NULL),(28,3,1,13,23,NULL,NULL,NULL,NULL),(28,3,1,13,24,NULL,NULL,NULL,NULL),(28,3,1,13,25,NULL,NULL,NULL,NULL),(28,3,1,13,26,NULL,NULL,NULL,NULL),(28,3,1,13,27,NULL,NULL,NULL,NULL),(28,3,1,13,28,NULL,NULL,NULL,NULL),(28,3,1,13,29,NULL,NULL,NULL,NULL),(28,3,1,13,30,NULL,NULL,NULL,NULL),(28,3,1,13,31,NULL,NULL,NULL,NULL),(28,3,1,13,32,NULL,NULL,NULL,NULL),(28,3,1,13,33,NULL,NULL,NULL,NULL),(28,3,1,13,34,NULL,NULL,NULL,NULL),(28,3,1,13,35,NULL,NULL,NULL,NULL),(28,3,1,13,36,NULL,NULL,NULL,NULL),(28,3,1,13,37,NULL,NULL,NULL,NULL),(28,3,1,13,38,NULL,NULL,NULL,NULL),(28,3,1,13,39,NULL,NULL,NULL,NULL),(28,3,1,13,40,NULL,NULL,NULL,NULL),(28,3,1,14,1,14,NULL,12,NULL),(28,3,1,14,2,1,4,1,3),(28,3,1,14,3,3,14,2,11),(28,3,1,14,4,2,3,2,1),(28,3,1,14,5,8,8,4,5),(28,3,1,14,6,5,11,2,10),(28,3,1,14,7,1,8,1,6),(28,3,1,14,8,2,14,1,11),(28,3,1,14,9,4,9,2,6),(28,3,1,14,10,16,6,10,6),(28,3,1,14,11,3,10,2,8),(28,3,1,14,12,8,8,7,6),(28,3,1,14,13,13,12,11,7),(28,3,1,14,14,9,8,8,7),(28,3,1,14,15,13,NULL,9,NULL),(28,3,1,14,16,12,10,9,7),(28,3,1,14,17,5,16,4,11),(28,3,1,14,18,7,10,5,8),(28,3,1,14,19,9,14,7,10),(28,3,1,14,20,8,17,7,10),(28,3,1,14,21,NULL,2,NULL,1),(28,3,1,14,22,2,5,NULL,4),(28,3,1,14,23,NULL,5,NULL,5),(28,3,1,14,24,NULL,NULL,NULL,NULL),(28,3,1,14,25,1,2,1,1),(28,3,1,14,26,2,4,1,3),(28,3,1,14,27,8,NULL,7,NULL),(28,3,1,14,28,NULL,NULL,NULL,NULL),(28,3,1,14,29,2,4,2,3),(28,3,1,14,30,NULL,8,NULL,8),(28,3,1,14,31,1,NULL,1,NULL),(28,3,1,14,32,2,9,2,6),(28,3,1,14,33,3,7,3,7),(28,3,1,14,34,12,6,8,3),(28,3,1,14,35,NULL,2,NULL,2),(28,3,1,14,36,3,NULL,3,NULL),(28,3,1,14,37,1,3,1,2),(28,3,1,14,38,2,4,2,3),(28,3,1,14,39,2,13,2,11),(28,3,1,14,40,4,NULL,3,NULL),(28,3,1,15,1,12,NULL,10,NULL),(28,3,1,15,2,NULL,9,NULL,7),(28,3,1,15,3,7,8,6,6),(28,3,1,15,4,1,3,1,2),(28,3,1,15,5,9,7,8,6),(28,3,1,15,6,2,15,2,12),(28,3,1,15,7,2,11,1,9),(28,3,1,15,8,2,9,2,7),(28,3,1,15,9,NULL,7,NULL,6),(28,3,1,15,10,14,4,11,4),(28,3,1,15,11,2,8,2,8),(28,3,1,15,12,4,6,4,5),(28,3,1,15,13,16,6,13,5),(28,3,1,15,14,6,9,6,7),(28,3,1,15,15,12,NULL,9,NULL),(28,3,1,15,16,12,7,11,5),(28,3,1,15,17,4,14,4,11),(28,3,1,15,18,4,6,3,5),(28,3,1,15,19,13,9,11,6),(28,3,1,15,20,7,13,4,11),(28,3,1,15,21,NULL,2,NULL,1),(28,3,1,15,22,2,2,1,2),(28,3,1,15,23,2,6,1,5),(28,3,1,15,24,1,NULL,1,NULL),(28,3,1,15,25,NULL,2,NULL,1),(28,3,1,15,26,NULL,2,NULL,1),(28,3,1,15,27,3,NULL,3,NULL),(28,3,1,15,28,NULL,2,NULL,2),(28,3,1,15,29,1,9,1,7),(28,3,1,15,30,3,8,1,6),(28,3,1,15,31,4,1,3,1),(28,3,1,15,32,4,5,4,5),(28,3,1,15,33,1,4,1,3),(28,3,1,15,34,9,3,9,2),(28,3,1,15,35,NULL,3,NULL,3),(28,3,1,15,36,1,NULL,1,NULL),(28,3,1,15,37,2,6,2,4),(28,3,1,15,38,1,5,1,4),(28,3,1,15,39,4,7,3,5),(28,3,1,15,40,4,NULL,3,NULL),(28,3,1,16,1,7,NULL,3,NULL),(28,3,1,16,2,NULL,6,NULL,3),(28,3,1,16,3,6,10,5,7),(28,3,1,16,4,1,4,1,3),(28,3,1,16,5,7,3,6,2),(28,3,1,16,6,2,8,2,7),(28,3,1,16,7,4,3,4,2),(28,3,1,16,8,2,7,2,5),(28,3,1,16,9,3,7,3,4),(28,3,1,16,10,12,4,10,2),(28,3,1,16,11,2,5,2,5),(28,3,1,16,12,1,4,1,4),(28,3,1,16,13,24,NULL,14,NULL),(28,3,1,16,14,19,5,15,1),(28,3,1,16,15,5,13,4,7),(28,3,1,16,16,17,NULL,10,NULL),(28,3,1,16,17,9,17,6,10),(28,3,1,16,18,7,9,5,6),(28,3,1,16,19,3,10,2,6),(28,3,1,16,20,5,9,5,7),(28,3,1,16,21,NULL,2,NULL,NULL),(28,3,1,16,22,1,4,1,2),(28,3,1,16,23,NULL,2,NULL,NULL),(28,3,1,16,24,NULL,NULL,NULL,NULL),(28,3,1,16,25,1,4,1,2),(28,3,1,16,26,NULL,NULL,NULL,NULL),(28,3,1,16,27,1,NULL,1,NULL),(28,3,1,16,28,NULL,NULL,NULL,NULL),(28,3,1,16,29,1,5,1,4),(28,3,1,16,30,3,5,2,2),(28,3,1,16,31,1,4,NULL,3),(28,3,1,16,32,NULL,8,NULL,5),(28,3,1,16,33,1,5,1,5),(28,3,1,16,34,3,4,3,2),(28,3,1,16,35,NULL,3,NULL,2),(28,3,1,16,36,NULL,NULL,NULL,NULL),(28,3,1,16,37,NULL,3,NULL,2),(28,3,1,16,38,NULL,1,NULL,NULL),(28,3,1,16,39,2,9,2,6),(28,3,1,16,40,1,NULL,1,NULL),(28,3,1,17,1,13,NULL,11,NULL),(28,3,1,17,2,1,9,1,5),(28,3,1,17,3,5,10,3,10),(28,3,1,17,4,2,7,2,5),(28,3,1,17,5,4,5,3,3),(28,3,1,17,6,2,16,2,13),(28,3,1,17,7,NULL,11,NULL,9),(28,3,1,17,8,NULL,16,NULL,13),(28,3,1,17,9,3,8,2,7),(28,3,1,17,10,11,9,9,7),(28,3,1,17,11,5,7,3,7),(28,3,1,17,12,2,5,1,5),(28,3,1,17,13,32,NULL,22,NULL),(28,3,1,17,14,23,8,15,6),(28,3,1,17,15,3,20,3,14),(28,3,1,17,16,23,NULL,14,NULL),(28,3,1,17,17,11,19,9,11),(28,3,1,17,18,2,8,1,7),(28,3,1,17,19,2,17,1,14),(28,3,1,17,20,2,10,1,8),(28,3,1,17,21,2,1,2,1),(28,3,1,17,22,2,4,NULL,4),(28,3,1,17,23,NULL,4,NULL,3),(28,3,1,17,24,3,NULL,2,NULL),(28,3,1,17,25,1,3,1,2),(28,3,1,17,26,1,2,1,2),(28,3,1,17,27,7,NULL,5,NULL),(28,3,1,17,28,NULL,1,NULL,1),(28,3,1,17,29,2,3,NULL,2),(28,3,1,17,30,3,10,3,8),(28,3,1,17,31,1,4,1,3),(28,3,1,17,32,NULL,6,NULL,6),(28,3,1,17,33,NULL,6,NULL,6),(28,3,1,17,34,8,6,7,4),(28,3,1,17,35,2,5,2,5),(28,3,1,17,36,1,NULL,1,NULL),(28,3,1,17,37,1,2,1,2),(28,3,1,17,38,1,NULL,1,NULL),(28,3,1,17,39,8,7,6,7),(28,3,1,17,40,1,NULL,1,NULL),(28,3,1,18,1,NULL,NULL,NULL,NULL),(28,3,1,18,2,NULL,NULL,NULL,NULL),(28,3,1,18,3,NULL,NULL,NULL,NULL),(28,3,1,18,4,NULL,NULL,NULL,NULL),(28,3,1,18,5,NULL,NULL,NULL,NULL),(28,3,1,18,6,NULL,NULL,NULL,NULL),(28,3,1,18,7,NULL,NULL,NULL,NULL),(28,3,1,18,8,NULL,NULL,NULL,NULL),(28,3,1,18,9,NULL,NULL,NULL,NULL),(28,3,1,18,10,NULL,NULL,NULL,NULL),(28,3,1,18,11,NULL,NULL,NULL,NULL),(28,3,1,18,12,NULL,NULL,NULL,NULL),(28,3,1,18,13,NULL,NULL,NULL,NULL),(28,3,1,18,14,NULL,NULL,NULL,NULL),(28,3,1,18,15,NULL,NULL,NULL,NULL),(28,3,1,18,16,NULL,NULL,NULL,NULL),(28,3,1,18,17,NULL,NULL,NULL,NULL),(28,3,1,18,18,NULL,NULL,NULL,NULL),(28,3,1,18,19,NULL,NULL,NULL,NULL),(28,3,1,18,20,NULL,NULL,NULL,NULL),(28,3,1,18,21,NULL,NULL,NULL,NULL),(28,3,1,18,22,NULL,NULL,NULL,NULL),(28,3,1,18,23,NULL,NULL,NULL,NULL),(28,3,1,18,24,NULL,NULL,NULL,NULL),(28,3,1,18,25,NULL,NULL,NULL,NULL),(28,3,1,18,26,NULL,NULL,NULL,NULL),(28,3,1,18,27,NULL,NULL,NULL,NULL),(28,3,1,18,28,NULL,NULL,NULL,NULL),(28,3,1,18,29,NULL,NULL,NULL,NULL),(28,3,1,18,30,NULL,NULL,NULL,NULL),(28,3,1,18,31,NULL,NULL,NULL,NULL),(28,3,1,18,32,NULL,NULL,NULL,NULL),(28,3,1,18,33,NULL,NULL,NULL,NULL),(28,3,1,18,34,NULL,NULL,NULL,NULL),(28,3,1,18,35,NULL,NULL,NULL,NULL),(28,3,1,18,36,NULL,NULL,NULL,NULL),(28,3,1,18,37,NULL,NULL,NULL,NULL),(28,3,1,18,38,NULL,NULL,NULL,NULL),(28,3,1,18,39,NULL,NULL,NULL,NULL),(28,3,1,18,40,NULL,NULL,NULL,NULL),(28,3,1,19,1,NULL,NULL,NULL,NULL),(28,3,1,19,2,NULL,NULL,NULL,NULL),(28,3,1,19,3,NULL,NULL,NULL,NULL),(28,3,1,19,4,NULL,NULL,NULL,NULL),(28,3,1,19,5,NULL,NULL,NULL,NULL),(28,3,1,19,6,NULL,NULL,NULL,NULL),(28,3,1,19,7,NULL,NULL,NULL,NULL),(28,3,1,19,8,NULL,NULL,NULL,NULL),(28,3,1,19,9,NULL,NULL,NULL,NULL),(28,3,1,19,10,NULL,NULL,NULL,NULL),(28,3,1,19,11,NULL,NULL,NULL,NULL),(28,3,1,19,12,NULL,NULL,NULL,NULL),(28,3,1,19,13,NULL,NULL,NULL,NULL),(28,3,1,19,14,NULL,NULL,NULL,NULL),(28,3,1,19,15,NULL,NULL,NULL,NULL),(28,3,1,19,16,NULL,NULL,NULL,NULL),(28,3,1,19,17,NULL,NULL,NULL,NULL),(28,3,1,19,18,NULL,NULL,NULL,NULL),(28,3,1,19,19,NULL,NULL,NULL,NULL),(28,3,1,19,20,NULL,NULL,NULL,NULL),(28,3,1,19,21,NULL,NULL,NULL,NULL),(28,3,1,19,22,NULL,NULL,NULL,NULL),(28,3,1,19,23,NULL,NULL,NULL,NULL),(28,3,1,19,24,NULL,NULL,NULL,NULL),(28,3,1,19,25,NULL,NULL,NULL,NULL),(28,3,1,19,26,NULL,NULL,NULL,NULL),(28,3,1,19,27,NULL,NULL,NULL,NULL),(28,3,1,19,28,NULL,NULL,NULL,NULL),(28,3,1,19,29,NULL,NULL,NULL,NULL),(28,3,1,19,30,NULL,NULL,NULL,NULL),(28,3,1,19,31,NULL,NULL,NULL,NULL),(28,3,1,19,32,NULL,NULL,NULL,NULL),(28,3,1,19,33,NULL,NULL,NULL,NULL),(28,3,1,19,34,NULL,NULL,NULL,NULL),(28,3,1,19,35,NULL,NULL,NULL,NULL),(28,3,1,19,36,NULL,NULL,NULL,NULL),(28,3,1,19,37,NULL,NULL,NULL,NULL),(28,3,1,19,38,NULL,NULL,NULL,NULL),(28,3,1,19,39,NULL,NULL,NULL,NULL),(28,3,1,19,40,NULL,NULL,NULL,NULL),(28,3,2,21,1,NULL,5,NULL,4),(28,3,2,21,2,NULL,9,NULL,2),(28,3,2,21,3,5,9,4,7),(28,3,2,21,4,NULL,3,NULL,1),(28,3,2,21,5,NULL,9,NULL,9),(28,3,2,21,6,6,9,4,5),(28,3,2,21,7,NULL,8,NULL,3),(28,3,2,21,8,2,1,1,1),(28,3,2,21,9,2,6,1,4),(28,3,2,21,10,5,11,4,8),(28,3,2,21,11,2,5,2,4),(28,3,2,21,12,2,9,1,7),(28,3,2,21,13,1,16,1,10),(28,3,2,21,14,7,13,6,9),(28,3,2,21,15,3,5,2,4),(28,3,2,21,16,6,12,5,7),(28,3,2,21,17,NULL,9,NULL,8),(28,3,2,21,18,5,14,3,9),(28,3,2,21,19,3,10,2,7),(28,3,2,21,20,6,12,2,9),(28,3,2,21,21,1,4,NULL,3),(28,3,2,21,22,4,4,3,3),(28,3,2,21,23,NULL,5,NULL,5),(28,3,2,21,24,1,4,NULL,1),(28,3,2,21,25,NULL,5,NULL,4),(28,3,2,21,26,NULL,11,NULL,8),(28,3,2,21,27,NULL,11,NULL,9),(28,3,2,21,28,1,3,1,2),(28,3,2,21,29,NULL,6,NULL,5),(28,3,2,21,30,1,3,NULL,3),(28,3,2,21,31,NULL,8,NULL,5),(28,3,2,21,32,1,3,1,3),(28,3,2,21,33,6,7,4,4),(28,3,2,21,34,NULL,10,NULL,8),(28,3,2,21,35,4,NULL,3,NULL),(28,3,2,21,36,1,3,1,1),(28,3,2,21,37,1,8,1,5),(28,3,2,21,38,NULL,3,NULL,2),(28,3,2,21,39,NULL,4,NULL,1),(28,3,2,21,40,2,9,1,8),(28,3,2,22,1,NULL,13,NULL,11),(28,3,2,22,2,NULL,6,NULL,4),(28,3,2,22,3,11,10,8,7),(28,3,2,22,4,NULL,3,NULL,3),(28,3,2,22,5,5,7,3,4),(28,3,2,22,6,13,15,7,12),(28,3,2,22,7,1,5,1,4),(28,3,2,22,8,5,8,5,7),(28,3,2,22,9,1,6,1,2),(28,3,2,22,10,8,7,5,4),(28,3,2,22,11,8,2,5,2),(28,3,2,22,12,6,10,5,8),(28,3,2,22,13,7,15,7,11),(28,3,2,22,14,8,13,7,9),(28,3,2,22,15,3,7,3,4),(28,3,2,22,16,6,7,5,4),(28,3,2,22,17,3,2,3,1),(28,3,2,22,18,14,4,10,3),(28,3,2,22,19,4,10,3,10),(28,3,2,22,20,9,5,7,5),(28,3,2,22,21,4,7,3,4),(28,3,2,22,22,4,3,3,3),(28,3,2,22,23,1,NULL,1,NULL),(28,3,2,22,24,1,5,1,4),(28,3,2,22,25,1,7,1,6),(28,3,2,22,26,NULL,2,NULL,1),(28,3,2,22,27,1,11,1,8),(28,3,2,22,28,NULL,3,NULL,1),(28,3,2,22,29,NULL,4,NULL,3),(28,3,2,22,30,1,2,NULL,1),(28,3,2,22,31,3,10,3,8),(28,3,2,22,32,1,3,1,3),(28,3,2,22,33,7,6,7,6),(28,3,2,22,34,8,8,7,5),(28,3,2,22,35,5,NULL,4,NULL),(28,3,2,22,36,1,6,NULL,3),(28,3,2,22,37,1,2,1,2),(28,3,2,22,38,NULL,1,NULL,NULL),(28,3,2,22,39,1,7,NULL,6),(28,3,2,22,40,3,12,3,8),(28,3,2,23,1,3,6,2,6),(28,3,2,23,2,1,4,1,3),(28,3,2,23,3,7,13,7,9),(28,3,2,23,4,1,2,1,2),(28,3,2,23,5,3,5,3,4),(28,3,2,23,6,11,13,7,9),(28,3,2,23,7,NULL,9,NULL,8),(28,3,2,23,8,3,5,3,3),(28,3,2,23,9,1,4,1,3),(28,3,2,23,10,5,7,3,6),(28,3,2,23,11,3,4,3,4),(28,3,2,23,12,5,13,4,10),(28,3,2,23,13,4,10,4,6),(28,3,2,23,14,2,11,2,10),(28,3,2,23,15,6,9,5,6),(28,3,2,23,16,3,12,3,9),(28,3,2,23,17,2,4,2,3),(28,3,2,23,18,4,10,2,9),(28,3,2,23,19,5,12,5,10),(28,3,2,23,20,6,4,5,4),(28,3,2,23,21,1,6,1,6),(28,3,2,23,22,6,4,4,3),(28,3,2,23,23,NULL,2,NULL,2),(28,3,2,23,24,NULL,5,NULL,5),(28,3,2,23,25,NULL,2,NULL,2),(28,3,2,23,26,NULL,8,NULL,6),(28,3,2,23,27,2,5,NULL,4),(28,3,2,23,28,2,3,2,3),(28,3,2,23,29,NULL,3,NULL,3),(28,3,2,23,30,1,NULL,NULL,NULL),(28,3,2,23,31,1,8,1,5),(28,3,2,23,32,1,2,1,1),(28,3,2,23,33,2,6,2,6),(28,3,2,23,34,3,8,3,7),(28,3,2,23,35,3,NULL,3,NULL),(28,3,2,23,36,1,4,1,3),(28,3,2,23,37,NULL,6,NULL,5),(28,3,2,23,38,1,3,1,3),(28,3,2,23,39,1,4,1,3),(28,3,2,23,40,1,12,NULL,9),(28,3,2,24,1,1,7,1,6),(28,3,2,24,2,NULL,8,NULL,5),(28,3,2,24,3,12,6,8,5),(28,3,2,24,4,1,3,NULL,2),(28,3,2,24,5,4,10,2,8),(28,3,2,24,6,7,13,4,10),(28,3,2,24,7,NULL,8,NULL,4),(28,3,2,24,8,4,5,3,3),(28,3,2,24,9,1,4,1,3),(28,3,2,24,10,2,8,1,5),(28,3,2,24,11,NULL,9,NULL,7),(28,3,2,24,12,3,6,1,6),(28,3,2,24,13,5,13,5,8),(28,3,2,24,14,4,11,4,10),(28,3,2,24,15,2,8,1,6),(28,3,2,24,16,4,6,3,5),(28,3,2,24,17,NULL,6,NULL,5),(28,3,2,24,18,9,9,6,7),(28,3,2,24,19,3,10,3,6),(28,3,2,24,20,5,6,4,5),(28,3,2,24,21,1,3,1,3),(28,3,2,24,22,4,2,4,1),(28,3,2,24,23,2,2,2,2),(28,3,2,24,24,1,6,1,4),(28,3,2,24,25,NULL,6,NULL,6),(28,3,2,24,26,NULL,4,NULL,3),(28,3,2,24,27,2,9,2,7),(28,3,2,24,28,NULL,2,NULL,2),(28,3,2,24,29,NULL,3,NULL,2),(28,3,2,24,30,1,2,1,NULL),(28,3,2,24,31,1,14,1,10),(28,3,2,24,32,1,3,1,3),(28,3,2,24,33,2,6,2,6),(28,3,2,24,34,3,7,2,6),(28,3,2,24,35,3,NULL,3,NULL),(28,3,2,24,36,NULL,4,NULL,3),(28,3,2,24,37,2,4,2,3),(28,3,2,24,38,NULL,1,NULL,1),(28,3,2,24,39,1,6,1,5),(28,3,2,24,40,1,14,1,11),(28,5,1,11,1,NULL,NULL,NULL,NULL),(28,5,1,11,2,NULL,NULL,NULL,NULL),(28,5,1,11,3,NULL,NULL,NULL,NULL),(28,5,1,11,4,NULL,NULL,NULL,NULL),(28,5,1,11,5,NULL,NULL,NULL,NULL),(28,5,1,11,6,NULL,NULL,NULL,NULL),(28,5,1,11,7,NULL,NULL,NULL,NULL),(28,5,1,11,8,NULL,NULL,NULL,NULL),(28,5,1,11,9,NULL,NULL,NULL,NULL),(28,5,1,11,10,NULL,NULL,NULL,NULL),(28,5,1,11,11,NULL,NULL,NULL,NULL),(28,5,1,11,12,NULL,NULL,NULL,NULL),(28,5,1,11,13,NULL,NULL,NULL,NULL),(28,5,1,11,14,NULL,NULL,NULL,NULL),(28,5,1,11,15,NULL,NULL,NULL,NULL),(28,5,1,11,16,NULL,NULL,NULL,NULL),(28,5,1,11,17,NULL,NULL,NULL,NULL),(28,5,1,11,18,NULL,NULL,NULL,NULL),(28,5,1,11,19,NULL,NULL,NULL,NULL),(28,5,1,11,20,NULL,NULL,NULL,NULL),(28,5,1,11,21,NULL,NULL,NULL,NULL),(28,5,1,11,22,NULL,NULL,NULL,NULL),(28,5,1,11,23,NULL,NULL,NULL,NULL),(28,5,1,11,24,NULL,NULL,NULL,NULL),(28,5,1,11,25,NULL,NULL,NULL,NULL),(28,5,1,11,26,NULL,NULL,NULL,NULL),(28,5,1,11,27,NULL,NULL,NULL,NULL),(28,5,1,11,28,NULL,NULL,NULL,NULL),(28,5,1,11,29,NULL,NULL,NULL,NULL),(28,5,1,11,30,NULL,NULL,NULL,NULL),(28,5,1,11,31,NULL,NULL,NULL,NULL),(28,5,1,11,32,NULL,NULL,NULL,NULL),(28,5,1,11,33,NULL,NULL,NULL,NULL),(28,5,1,11,34,NULL,NULL,NULL,NULL),(28,5,1,11,35,NULL,NULL,NULL,NULL),(28,5,1,11,36,NULL,NULL,NULL,NULL),(28,5,1,11,37,NULL,NULL,NULL,NULL),(28,5,1,11,38,NULL,NULL,NULL,NULL),(28,5,1,11,39,NULL,NULL,NULL,NULL),(28,5,1,11,40,NULL,NULL,NULL,NULL),(28,5,1,12,1,4,NULL,NULL,NULL),(28,5,1,12,2,1,4,NULL,NULL),(28,5,1,12,3,NULL,3,NULL,NULL),(28,5,1,12,4,1,4,NULL,NULL),(28,5,1,12,5,2,2,NULL,NULL),(28,5,1,12,6,1,3,NULL,NULL),(28,5,1,12,7,2,1,NULL,NULL),(28,5,1,12,8,1,2,NULL,NULL),(28,5,1,12,9,1,2,NULL,NULL),(28,5,1,12,10,1,2,NULL,NULL),(28,5,1,12,11,1,2,NULL,NULL),(28,5,1,12,12,NULL,1,NULL,NULL),(28,5,1,12,13,7,NULL,NULL,NULL),(28,5,1,12,14,4,2,NULL,NULL),(28,5,1,12,15,2,2,NULL,NULL),(28,5,1,12,16,6,NULL,NULL,NULL),(28,5,1,12,17,4,1,NULL,NULL),(28,5,1,12,18,4,2,NULL,NULL),(28,5,1,12,19,6,1,NULL,NULL),(28,5,1,12,20,6,NULL,NULL,NULL),(28,5,1,12,21,1,2,NULL,NULL),(28,5,1,12,22,1,NULL,NULL,NULL),(28,5,1,12,23,NULL,1,NULL,NULL),(28,5,1,12,24,NULL,NULL,NULL,NULL),(28,5,1,12,25,NULL,NULL,NULL,NULL),(28,5,1,12,26,1,NULL,NULL,NULL),(28,5,1,12,27,2,NULL,NULL,NULL),(28,5,1,12,28,NULL,NULL,NULL,NULL),(28,5,1,12,29,NULL,2,NULL,NULL),(28,5,1,12,30,1,3,NULL,NULL),(28,5,1,12,31,1,2,NULL,NULL),(28,5,1,12,32,NULL,2,NULL,NULL),(28,5,1,12,33,NULL,2,NULL,NULL),(28,5,1,12,34,4,NULL,NULL,NULL),(28,5,1,12,35,1,NULL,NULL,NULL),(28,5,1,12,36,NULL,NULL,NULL,NULL),(28,5,1,12,37,NULL,NULL,NULL,NULL),(28,5,1,12,38,NULL,1,NULL,NULL),(28,5,1,12,39,2,3,NULL,NULL),(28,5,1,12,40,1,NULL,NULL,NULL),(28,5,1,13,1,4,NULL,NULL,NULL),(28,5,1,13,2,NULL,2,NULL,NULL),(28,5,1,13,3,1,2,NULL,NULL),(28,5,1,13,4,NULL,NULL,NULL,NULL),(28,5,1,13,5,1,NULL,NULL,NULL),(28,5,1,13,6,NULL,2,NULL,NULL),(28,5,1,13,7,NULL,NULL,NULL,NULL),(28,5,1,13,8,NULL,1,NULL,NULL),(28,5,1,13,9,NULL,NULL,NULL,NULL),(28,5,1,13,10,2,1,NULL,NULL),(28,5,1,13,11,1,1,NULL,NULL),(28,5,1,13,12,NULL,1,NULL,NULL),(28,5,1,13,13,3,NULL,NULL,NULL),(28,5,1,13,14,2,1,NULL,NULL),(28,5,1,13,15,1,1,NULL,NULL),(28,5,1,13,16,3,NULL,NULL,NULL),(28,5,1,13,17,NULL,2,NULL,NULL),(28,5,1,13,18,1,2,NULL,NULL),(28,5,1,13,19,3,NULL,NULL,NULL),(28,5,1,13,20,NULL,1,NULL,NULL),(28,5,1,13,21,NULL,NULL,NULL,NULL),(28,5,1,13,22,NULL,NULL,NULL,NULL),(28,5,1,13,23,NULL,1,NULL,NULL),(28,5,1,13,24,NULL,NULL,NULL,NULL),(28,5,1,13,25,NULL,1,NULL,NULL),(28,5,1,13,26,NULL,NULL,NULL,NULL),(28,5,1,13,27,1,NULL,NULL,NULL),(28,5,1,13,28,NULL,NULL,NULL,NULL),(28,5,1,13,29,NULL,NULL,NULL,NULL),(28,5,1,13,30,NULL,1,NULL,NULL),(28,5,1,13,31,NULL,1,NULL,NULL),(28,5,1,13,32,NULL,3,NULL,NULL),(28,5,1,13,33,NULL,1,NULL,NULL),(28,5,1,13,34,1,NULL,NULL,NULL),(28,5,1,13,35,NULL,NULL,NULL,NULL),(28,5,1,13,36,NULL,NULL,NULL,NULL),(28,5,1,13,37,NULL,1,NULL,NULL),(28,5,1,13,38,NULL,2,NULL,NULL),(28,5,1,13,39,2,NULL,NULL,NULL),(28,5,1,13,40,1,NULL,NULL,NULL),(28,5,1,14,1,119,NULL,23,NULL),(28,5,1,14,2,15,78,3,15),(28,5,1,14,3,69,68,8,18),(28,5,1,14,4,29,49,6,9),(28,5,1,14,5,63,67,9,10),(28,5,1,14,6,31,103,10,14),(28,5,1,14,7,29,53,5,13),(28,5,1,14,8,24,93,7,18),(28,5,1,14,9,38,54,10,11),(28,5,1,14,10,132,30,22,7),(28,5,1,14,11,32,55,15,8),(28,5,1,14,12,46,68,10,11),(28,5,1,14,13,116,65,23,7),(28,5,1,14,14,64,64,8,11),(28,5,1,14,15,132,NULL,25,NULL),(28,5,1,14,16,90,73,14,10),(28,5,1,14,17,39,123,7,17),(28,5,1,14,18,39,57,9,5),(28,5,1,14,19,107,65,13,14),(28,5,1,14,20,83,97,16,14),(28,5,1,14,21,4,17,1,3),(28,5,1,14,22,8,39,1,5),(28,5,1,14,23,8,49,1,10),(28,5,1,14,24,5,NULL,2,NULL),(28,5,1,14,25,5,20,NULL,NULL),(28,5,1,14,26,2,26,NULL,4),(28,5,1,14,27,71,NULL,19,NULL),(28,5,1,14,28,2,14,1,2),(28,5,1,14,29,6,49,1,15),(28,5,1,14,30,20,72,2,17),(28,5,1,14,31,12,30,4,8),(28,5,1,14,32,21,66,4,14),(28,5,1,14,33,24,49,11,11),(28,5,1,14,34,68,37,12,10),(28,5,1,14,35,22,31,10,7),(28,5,1,14,36,8,NULL,3,NULL),(28,5,1,14,37,12,26,5,4),(28,5,1,14,38,11,45,7,10),(28,5,1,14,39,46,81,11,16),(28,5,1,14,40,15,NULL,4,NULL),(28,5,1,15,1,96,NULL,24,NULL),(28,5,1,15,2,18,64,5,17),(28,5,1,15,3,65,62,18,16),(28,5,1,15,4,31,57,6,14),(28,5,1,15,5,58,66,12,18),(28,5,1,15,6,27,105,8,19),(28,5,1,15,7,27,36,6,11),(28,5,1,15,8,20,84,5,20),(28,5,1,15,9,39,51,11,11),(28,5,1,15,10,121,22,29,3),(28,5,1,15,11,28,40,12,10),(28,5,1,15,12,27,53,10,14),(28,5,1,15,13,130,36,26,6),(28,5,1,15,14,78,48,19,12),(28,5,1,15,15,129,NULL,29,NULL),(28,5,1,15,16,106,51,20,13),(28,5,1,15,17,55,100,10,18),(28,5,1,15,18,61,47,13,12),(28,5,1,15,19,127,47,25,9),(28,5,1,15,20,105,78,15,20),(28,5,1,15,21,5,22,NULL,3),(28,5,1,15,22,7,37,2,5),(28,5,1,15,23,7,44,4,12),(28,5,1,15,24,6,NULL,3,NULL),(28,5,1,15,25,6,13,1,3),(28,5,1,15,26,4,35,1,13),(28,5,1,15,27,62,NULL,22,NULL),(28,5,1,15,28,2,11,NULL,2),(28,5,1,15,29,7,42,NULL,11),(28,5,1,15,30,19,60,2,23),(28,5,1,15,31,15,31,3,7),(28,5,1,15,32,23,52,1,18),(28,5,1,15,33,23,44,6,16),(28,5,1,15,34,72,33,23,7),(28,5,1,15,35,14,32,3,13),(28,5,1,15,36,13,NULL,9,NULL),(28,5,1,15,37,10,28,3,3),(28,5,1,15,38,20,36,11,11),(28,5,1,15,39,47,67,11,16),(28,5,1,15,40,19,NULL,6,NULL),(28,5,1,16,1,58,NULL,12,NULL),(28,5,1,16,2,4,42,NULL,6),(28,5,1,16,3,28,61,5,9),(28,5,1,16,4,36,37,3,3),(28,5,1,16,5,36,54,3,6),(28,5,1,16,6,12,81,2,8),(28,5,1,16,7,21,43,1,7),(28,5,1,16,8,6,67,1,11),(28,5,1,16,9,29,48,5,3),(28,5,1,16,10,89,20,11,2),(28,5,1,16,11,12,26,2,6),(28,5,1,16,12,21,37,NULL,6),(28,5,1,16,13,165,NULL,15,NULL),(28,5,1,16,14,128,28,11,4),(28,5,1,16,15,44,92,6,8),(28,5,1,16,16,126,NULL,15,NULL),(28,5,1,16,17,75,82,6,9),(28,5,1,16,18,43,43,4,7),(28,5,1,16,19,24,76,3,5),(28,5,1,16,20,29,61,4,5),(28,5,1,16,21,5,25,NULL,NULL),(28,5,1,16,22,7,32,1,3),(28,5,1,16,23,4,30,NULL,6),(28,5,1,16,24,3,NULL,1,NULL),(28,5,1,16,25,4,13,1,1),(28,5,1,16,26,3,14,NULL,NULL),(28,5,1,16,27,21,NULL,2,NULL),(28,5,1,16,28,4,11,NULL,1),(28,5,1,16,29,7,31,NULL,5),(28,5,1,16,30,19,53,1,7),(28,5,1,16,31,10,16,NULL,5),(28,5,1,16,32,15,41,3,6),(28,5,1,16,33,7,28,1,8),(28,5,1,16,34,32,24,5,7),(28,5,1,16,35,3,19,1,5),(28,5,1,16,36,2,NULL,NULL,NULL),(28,5,1,16,37,6,22,1,2),(28,5,1,16,38,6,29,2,6),(28,5,1,16,39,27,45,3,7),(28,5,1,16,40,8,NULL,3,NULL),(28,5,1,17,1,59,NULL,6,NULL),(28,5,1,17,2,3,38,1,3),(28,5,1,17,3,31,56,3,6),(28,5,1,17,4,12,39,1,1),(28,5,1,17,5,41,41,NULL,5),(28,5,1,17,6,14,81,3,4),(28,5,1,17,7,17,47,1,7),(28,5,1,17,8,7,43,1,3),(28,5,1,17,9,36,45,2,3),(28,5,1,17,10,82,28,5,4),(28,5,1,17,11,15,27,3,4),(28,5,1,17,12,11,34,2,4),(28,5,1,17,13,162,NULL,10,NULL),(28,5,1,17,14,120,29,7,2),(28,5,1,17,15,50,77,2,7),(28,5,1,17,16,130,NULL,7,NULL),(28,5,1,17,17,72,75,5,4),(28,5,1,17,18,28,37,2,5),(28,5,1,17,19,32,66,4,6),(28,5,1,17,20,20,50,1,3),(28,5,1,17,21,3,18,NULL,NULL),(28,5,1,17,22,5,22,NULL,1),(28,5,1,17,23,8,34,NULL,4),(28,5,1,17,24,5,NULL,NULL,NULL),(28,5,1,17,25,6,12,3,NULL),(28,5,1,17,26,1,13,NULL,1),(28,5,1,17,27,28,NULL,4,NULL),(28,5,1,17,28,1,15,NULL,NULL),(28,5,1,17,29,9,32,NULL,4),(28,5,1,17,30,7,47,1,6),(28,5,1,17,31,7,12,2,1),(28,5,1,17,32,19,37,1,6),(28,5,1,17,33,7,26,NULL,7),(28,5,1,17,34,26,26,3,4),(28,5,1,17,35,9,11,1,1),(28,5,1,17,36,3,NULL,NULL,NULL),(28,5,1,17,37,2,17,NULL,1),(28,5,1,17,38,3,20,NULL,6),(28,5,1,17,39,32,44,1,7),(28,5,1,17,40,14,NULL,1,NULL),(28,5,1,18,1,NULL,NULL,NULL,NULL),(28,5,1,18,2,NULL,NULL,NULL,NULL),(28,5,1,18,3,NULL,NULL,NULL,NULL),(28,5,1,18,4,NULL,NULL,NULL,NULL),(28,5,1,18,5,NULL,NULL,NULL,NULL),(28,5,1,18,6,NULL,NULL,NULL,NULL),(28,5,1,18,7,NULL,NULL,NULL,NULL),(28,5,1,18,8,NULL,NULL,NULL,NULL),(28,5,1,18,9,NULL,NULL,NULL,NULL),(28,5,1,18,10,NULL,NULL,NULL,NULL),(28,5,1,18,11,NULL,NULL,NULL,NULL),(28,5,1,18,12,NULL,NULL,NULL,NULL),(28,5,1,18,13,NULL,NULL,NULL,NULL),(28,5,1,18,14,NULL,NULL,NULL,NULL),(28,5,1,18,15,NULL,NULL,NULL,NULL),(28,5,1,18,16,NULL,NULL,NULL,NULL),(28,5,1,18,17,NULL,NULL,NULL,NULL),(28,5,1,18,18,NULL,NULL,NULL,NULL),(28,5,1,18,19,NULL,NULL,NULL,NULL),(28,5,1,18,20,NULL,NULL,NULL,NULL),(28,5,1,18,21,NULL,NULL,NULL,NULL),(28,5,1,18,22,NULL,NULL,NULL,NULL),(28,5,1,18,23,NULL,NULL,NULL,NULL),(28,5,1,18,24,NULL,NULL,NULL,NULL),(28,5,1,18,25,NULL,NULL,NULL,NULL),(28,5,1,18,26,NULL,NULL,NULL,NULL),(28,5,1,18,27,NULL,NULL,NULL,NULL),(28,5,1,18,28,NULL,NULL,NULL,NULL),(28,5,1,18,29,NULL,NULL,NULL,NULL),(28,5,1,18,30,NULL,NULL,NULL,NULL),(28,5,1,18,31,NULL,NULL,NULL,NULL),(28,5,1,18,32,NULL,NULL,NULL,NULL),(28,5,1,18,33,NULL,NULL,NULL,NULL),(28,5,1,18,34,NULL,NULL,NULL,NULL),(28,5,1,18,35,NULL,NULL,NULL,NULL),(28,5,1,18,36,NULL,NULL,NULL,NULL),(28,5,1,18,37,NULL,NULL,NULL,NULL),(28,5,1,18,38,NULL,NULL,NULL,NULL),(28,5,1,18,39,NULL,NULL,NULL,NULL),(28,5,1,18,40,NULL,NULL,NULL,NULL),(28,5,1,19,1,NULL,NULL,NULL,NULL),(28,5,1,19,2,NULL,NULL,NULL,NULL),(28,5,1,19,3,NULL,NULL,NULL,NULL),(28,5,1,19,4,NULL,NULL,NULL,NULL),(28,5,1,19,5,NULL,NULL,NULL,NULL),(28,5,1,19,6,NULL,NULL,NULL,NULL),(28,5,1,19,7,NULL,NULL,NULL,NULL),(28,5,1,19,8,NULL,NULL,NULL,NULL),(28,5,1,19,9,NULL,NULL,NULL,NULL),(28,5,1,19,10,NULL,NULL,NULL,NULL),(28,5,1,19,11,NULL,NULL,NULL,NULL),(28,5,1,19,12,NULL,NULL,NULL,NULL),(28,5,1,19,13,NULL,NULL,NULL,NULL),(28,5,1,19,14,NULL,NULL,NULL,NULL),(28,5,1,19,15,NULL,NULL,NULL,NULL),(28,5,1,19,16,NULL,NULL,NULL,NULL),(28,5,1,19,17,NULL,NULL,NULL,NULL),(28,5,1,19,18,NULL,NULL,NULL,NULL),(28,5,1,19,19,NULL,NULL,NULL,NULL),(28,5,1,19,20,NULL,NULL,NULL,NULL),(28,5,1,19,21,NULL,NULL,NULL,NULL),(28,5,1,19,22,NULL,NULL,NULL,NULL),(28,5,1,19,23,NULL,NULL,NULL,NULL),(28,5,1,19,24,NULL,NULL,NULL,NULL),(28,5,1,19,25,NULL,NULL,NULL,NULL),(28,5,1,19,26,NULL,NULL,NULL,NULL),(28,5,1,19,27,NULL,NULL,NULL,NULL),(28,5,1,19,28,NULL,NULL,NULL,NULL),(28,5,1,19,29,NULL,NULL,NULL,NULL),(28,5,1,19,30,NULL,NULL,NULL,NULL),(28,5,1,19,31,NULL,NULL,NULL,NULL),(28,5,1,19,32,NULL,NULL,NULL,NULL),(28,5,1,19,33,NULL,NULL,NULL,NULL),(28,5,1,19,34,NULL,NULL,NULL,NULL),(28,5,1,19,35,NULL,NULL,NULL,NULL),(28,5,1,19,36,NULL,NULL,NULL,NULL),(28,5,1,19,37,NULL,NULL,NULL,NULL),(28,5,1,19,38,NULL,NULL,NULL,NULL),(28,5,1,19,39,NULL,NULL,NULL,NULL),(28,5,1,19,40,NULL,NULL,NULL,NULL),(28,5,2,21,1,10,80,2,10),(28,5,2,21,2,3,55,NULL,13),(28,5,2,21,3,89,61,11,12),(28,5,2,21,4,2,26,NULL,3),(28,5,2,21,5,40,46,10,12),(28,5,2,21,6,72,87,10,14),(28,5,2,21,7,1,73,NULL,14),(28,5,2,21,8,36,46,6,8),(28,5,2,21,9,17,32,5,11),(28,5,2,21,10,51,55,11,8),(28,5,2,21,11,37,27,14,6),(28,5,2,21,12,38,65,5,10),(28,5,2,21,13,37,113,11,12),(28,5,2,21,14,54,64,13,9),(28,5,2,21,15,28,56,5,8),(28,5,2,21,16,43,92,4,20),(28,5,2,21,17,11,21,1,3),(28,5,2,21,18,80,72,9,13),(28,5,2,21,19,43,64,6,15),(28,5,2,21,20,67,57,13,8),(28,5,2,21,21,11,22,5,4),(28,5,2,21,22,40,21,15,4),(28,5,2,21,23,6,18,4,4),(28,5,2,21,24,11,29,1,5),(28,5,2,21,25,9,44,1,6),(28,5,2,21,26,5,30,NULL,6),(28,5,2,21,27,11,72,3,16),(28,5,2,21,28,2,48,1,13),(28,5,2,21,29,6,25,2,11),(28,5,2,21,30,3,29,NULL,8),(28,5,2,21,31,5,74,1,15),(28,5,2,21,32,3,15,NULL,7),(28,5,2,21,33,26,44,11,7),(28,5,2,21,34,18,56,8,14),(28,5,2,21,35,32,NULL,8,NULL),(28,5,2,21,36,3,16,NULL,3),(28,5,2,21,37,14,34,4,11),(28,5,2,21,38,3,22,1,7),(28,5,2,21,39,7,34,1,6),(28,5,2,21,40,12,94,3,18),(28,5,2,22,1,5,56,3,7),(28,5,2,22,2,4,50,1,8),(28,5,2,22,3,75,70,15,6),(28,5,2,22,4,2,23,1,4),(28,5,2,22,5,39,44,8,6),(28,5,2,22,6,74,71,17,4),(28,5,2,22,7,2,73,1,9),(28,5,2,22,8,34,47,8,4),(28,5,2,22,9,15,36,2,7),(28,5,2,22,10,64,35,10,5),(28,5,2,22,11,32,28,8,4),(28,5,2,22,12,29,75,6,9),(28,5,2,22,13,33,99,11,10),(28,5,2,22,14,51,57,12,8),(28,5,2,22,15,32,60,6,8),(28,5,2,22,16,21,84,7,13),(28,5,2,22,17,6,23,NULL,2),(28,5,2,22,18,56,81,7,14),(28,5,2,22,19,32,80,9,9),(28,5,2,22,20,60,43,15,2),(28,5,2,22,21,10,22,1,7),(28,5,2,22,22,34,28,12,3),(28,5,2,22,23,5,23,1,6),(28,5,2,22,24,7,16,NULL,3),(28,5,2,22,25,11,38,2,8),(28,5,2,22,26,5,40,1,10),(28,5,2,22,27,14,67,5,14),(28,5,2,22,28,3,38,2,7),(28,5,2,22,29,3,29,1,8),(28,5,2,22,30,5,36,NULL,11),(28,5,2,22,31,5,60,NULL,14),(28,5,2,22,32,1,15,NULL,3),(28,5,2,22,33,28,32,10,4),(28,5,2,22,34,20,58,7,11),(28,5,2,22,35,35,NULL,6,NULL),(28,5,2,22,36,1,23,NULL,4),(28,5,2,22,37,9,32,5,9),(28,5,2,22,38,NULL,15,NULL,3),(28,5,2,22,39,2,27,1,3),(28,5,2,22,40,10,82,6,12),(28,5,2,23,1,4,69,NULL,11),(28,5,2,23,2,8,51,1,7),(28,5,2,23,3,76,61,10,8),(28,5,2,23,4,2,18,1,2),(28,5,2,23,5,31,45,4,10),(28,5,2,23,6,62,76,5,7),(28,5,2,23,7,1,74,NULL,7),(28,5,2,23,8,34,38,6,5),(28,5,2,23,9,10,24,2,6),(28,5,2,23,10,40,46,10,7),(28,5,2,23,11,35,24,8,3),(28,5,2,23,12,47,70,5,9),(28,5,2,23,13,22,97,4,12),(28,5,2,23,14,43,62,11,8),(28,5,2,23,15,27,62,5,8),(28,5,2,23,16,38,78,3,13),(28,5,2,23,17,6,19,NULL,2),(28,5,2,23,18,76,68,7,12),(28,5,2,23,19,45,58,4,12),(28,5,2,23,20,63,44,9,8),(28,5,2,23,21,8,26,1,4),(28,5,2,23,22,37,30,8,4),(28,5,2,23,23,1,29,NULL,3),(28,5,2,23,24,3,30,NULL,3),(28,5,2,23,25,7,32,NULL,7),(28,5,2,23,26,9,33,2,5),(28,5,2,23,27,12,56,4,8),(28,5,2,23,28,1,38,NULL,6),(28,5,2,23,29,3,31,1,7),(28,5,2,23,30,3,28,1,4),(28,5,2,23,31,5,53,2,4),(28,5,2,23,32,2,20,NULL,1),(28,5,2,23,33,25,33,9,3),(28,5,2,23,34,16,39,4,9),(28,5,2,23,35,26,NULL,4,NULL),(28,5,2,23,36,2,22,NULL,4),(28,5,2,23,37,17,35,3,8),(28,5,2,23,38,2,15,NULL,4),(28,5,2,23,39,3,30,NULL,5),(28,5,2,23,40,11,80,3,7),(28,5,2,24,1,6,75,1,10),(28,5,2,24,2,2,53,NULL,12),(28,5,2,24,3,86,56,7,17),(28,5,2,24,4,2,24,1,2),(28,5,2,24,5,40,40,7,14),(28,5,2,24,6,70,76,7,13),(28,5,2,24,7,NULL,61,NULL,11),(28,5,2,24,8,26,52,7,7),(28,5,2,24,9,17,35,3,11),(28,5,2,24,10,53,46,8,12),(28,5,2,24,11,34,33,8,9),(28,5,2,24,12,32,70,5,9),(28,5,2,24,13,37,84,10,9),(28,5,2,24,14,38,81,8,14),(28,5,2,24,15,24,60,3,9),(28,5,2,24,16,43,76,4,15),(28,5,2,24,17,4,24,1,5),(28,5,2,24,18,66,71,10,15),(28,5,2,24,19,37,70,6,10),(28,5,2,24,20,63,39,12,10),(28,5,2,24,21,7,21,3,4),(28,5,2,24,22,31,27,10,9),(28,5,2,24,23,6,17,3,7),(28,5,2,24,24,5,31,1,3),(28,5,2,24,25,9,43,2,9),(28,5,2,24,26,10,42,1,8),(28,5,2,24,27,13,69,2,18),(28,5,2,24,28,3,27,1,5),(28,5,2,24,29,3,27,1,7),(28,5,2,24,30,5,33,1,10),(28,5,2,24,31,5,61,NULL,13),(28,5,2,24,32,3,14,2,4),(28,5,2,24,33,28,28,11,11),(28,5,2,24,34,16,66,4,18),(28,5,2,24,35,22,NULL,1,NULL),(28,5,2,24,36,4,22,NULL,6),(28,5,2,24,37,15,29,5,12),(28,5,2,24,38,3,11,1,5),(28,5,2,24,39,3,36,1,5),(28,5,2,24,40,12,84,2,15),(28,9,1,11,1,NULL,NULL,NULL,NULL),(28,9,1,11,2,NULL,NULL,NULL,NULL),(28,9,1,11,3,NULL,NULL,NULL,NULL),(28,9,1,11,4,NULL,NULL,NULL,NULL),(28,9,1,11,5,NULL,NULL,NULL,NULL),(28,9,1,11,6,NULL,NULL,NULL,NULL),(28,9,1,11,7,NULL,NULL,NULL,NULL),(28,9,1,11,8,NULL,NULL,NULL,NULL),(28,9,1,11,9,NULL,NULL,NULL,NULL),(28,9,1,11,10,NULL,NULL,NULL,NULL),(28,9,1,11,11,NULL,NULL,NULL,NULL),(28,9,1,11,12,NULL,NULL,NULL,NULL),(28,9,1,11,13,NULL,NULL,NULL,NULL),(28,9,1,11,14,NULL,NULL,NULL,NULL),(28,9,1,11,15,NULL,NULL,NULL,NULL),(28,9,1,11,16,NULL,NULL,NULL,NULL),(28,9,1,11,17,NULL,NULL,NULL,NULL),(28,9,1,11,18,NULL,NULL,NULL,NULL),(28,9,1,11,19,NULL,NULL,NULL,NULL),(28,9,1,11,20,NULL,NULL,NULL,NULL),(28,9,1,11,21,NULL,NULL,NULL,NULL),(28,9,1,11,22,NULL,NULL,NULL,NULL),(28,9,1,11,23,NULL,NULL,NULL,NULL),(28,9,1,11,24,NULL,NULL,NULL,NULL),(28,9,1,11,25,NULL,NULL,NULL,NULL),(28,9,1,11,26,NULL,NULL,NULL,NULL),(28,9,1,11,27,NULL,NULL,NULL,NULL),(28,9,1,11,28,NULL,NULL,NULL,NULL),(28,9,1,11,29,NULL,NULL,NULL,NULL),(28,9,1,11,30,NULL,NULL,NULL,NULL),(28,9,1,11,31,NULL,NULL,NULL,NULL),(28,9,1,11,32,NULL,NULL,NULL,NULL),(28,9,1,11,33,NULL,NULL,NULL,NULL),(28,9,1,11,34,NULL,NULL,NULL,NULL),(28,9,1,11,35,NULL,NULL,NULL,NULL),(28,9,1,11,36,NULL,NULL,NULL,NULL),(28,9,1,11,37,NULL,NULL,NULL,NULL),(28,9,1,11,38,NULL,NULL,NULL,NULL),(28,9,1,11,39,NULL,NULL,NULL,NULL),(28,9,1,11,40,NULL,NULL,NULL,NULL),(28,9,1,12,1,NULL,NULL,NULL,NULL),(28,9,1,12,2,NULL,NULL,NULL,NULL),(28,9,1,12,3,NULL,NULL,NULL,NULL),(28,9,1,12,4,NULL,NULL,NULL,NULL),(28,9,1,12,5,NULL,NULL,NULL,NULL),(28,9,1,12,6,NULL,NULL,NULL,NULL),(28,9,1,12,7,NULL,NULL,NULL,NULL),(28,9,1,12,8,NULL,NULL,NULL,NULL),(28,9,1,12,9,NULL,NULL,NULL,NULL),(28,9,1,12,10,NULL,NULL,NULL,NULL),(28,9,1,12,11,NULL,NULL,NULL,NULL),(28,9,1,12,12,NULL,NULL,NULL,NULL),(28,9,1,12,13,NULL,NULL,NULL,NULL),(28,9,1,12,14,NULL,NULL,NULL,NULL),(28,9,1,12,15,NULL,NULL,NULL,NULL),(28,9,1,12,16,NULL,NULL,NULL,NULL),(28,9,1,12,17,NULL,NULL,NULL,NULL),(28,9,1,12,18,NULL,NULL,NULL,NULL),(28,9,1,12,19,NULL,NULL,NULL,NULL),(28,9,1,12,20,NULL,NULL,NULL,NULL),(28,9,1,12,21,NULL,NULL,NULL,NULL),(28,9,1,12,22,NULL,NULL,NULL,NULL),(28,9,1,12,23,NULL,NULL,NULL,NULL),(28,9,1,12,24,NULL,NULL,NULL,NULL),(28,9,1,12,25,NULL,NULL,NULL,NULL),(28,9,1,12,26,NULL,NULL,NULL,NULL),(28,9,1,12,27,NULL,NULL,NULL,NULL),(28,9,1,12,28,NULL,NULL,NULL,NULL),(28,9,1,12,29,NULL,NULL,NULL,NULL),(28,9,1,12,30,NULL,NULL,NULL,NULL),(28,9,1,12,31,NULL,NULL,NULL,NULL),(28,9,1,12,32,NULL,NULL,NULL,NULL),(28,9,1,12,33,NULL,NULL,NULL,NULL),(28,9,1,12,34,NULL,NULL,NULL,NULL),(28,9,1,12,35,NULL,NULL,NULL,NULL),(28,9,1,12,36,NULL,NULL,NULL,NULL),(28,9,1,12,37,NULL,NULL,NULL,NULL),(28,9,1,12,38,NULL,NULL,NULL,NULL),(28,9,1,12,39,NULL,NULL,NULL,NULL),(28,9,1,12,40,NULL,NULL,NULL,NULL),(28,9,1,13,1,NULL,NULL,NULL,NULL),(28,9,1,13,2,NULL,NULL,NULL,NULL),(28,9,1,13,3,NULL,NULL,NULL,NULL),(28,9,1,13,4,NULL,NULL,NULL,NULL),(28,9,1,13,5,NULL,NULL,NULL,NULL),(28,9,1,13,6,NULL,NULL,NULL,NULL),(28,9,1,13,7,1,NULL,NULL,NULL),(28,9,1,13,8,NULL,1,NULL,NULL),(28,9,1,13,9,NULL,1,NULL,NULL),(28,9,1,13,10,NULL,NULL,NULL,NULL),(28,9,1,13,11,NULL,NULL,NULL,NULL),(28,9,1,13,12,NULL,NULL,NULL,NULL),(28,9,1,13,13,1,NULL,NULL,NULL),(28,9,1,13,14,NULL,NULL,NULL,NULL),(28,9,1,13,15,NULL,NULL,NULL,NULL),(28,9,1,13,16,NULL,NULL,NULL,NULL),(28,9,1,13,17,NULL,NULL,NULL,NULL),(28,9,1,13,18,NULL,NULL,NULL,NULL),(28,9,1,13,19,NULL,NULL,NULL,NULL),(28,9,1,13,20,NULL,NULL,NULL,NULL),(28,9,1,13,21,NULL,NULL,NULL,NULL),(28,9,1,13,22,NULL,NULL,NULL,NULL),(28,9,1,13,23,NULL,NULL,NULL,NULL),(28,9,1,13,24,NULL,NULL,NULL,NULL),(28,9,1,13,25,NULL,NULL,NULL,NULL),(28,9,1,13,26,NULL,1,NULL,NULL),(28,9,1,13,27,NULL,NULL,NULL,NULL),(28,9,1,13,28,NULL,NULL,NULL,NULL),(28,9,1,13,29,NULL,NULL,NULL,NULL),(28,9,1,13,30,1,NULL,NULL,NULL),(28,9,1,13,31,NULL,NULL,NULL,NULL),(28,9,1,13,32,NULL,NULL,NULL,NULL),(28,9,1,13,33,NULL,NULL,NULL,NULL),(28,9,1,13,34,NULL,1,NULL,NULL),(28,9,1,13,35,NULL,NULL,NULL,NULL),(28,9,1,13,36,NULL,NULL,NULL,NULL),(28,9,1,13,37,NULL,NULL,NULL,NULL),(28,9,1,13,38,NULL,NULL,NULL,NULL),(28,9,1,13,39,NULL,NULL,NULL,NULL),(28,9,1,13,40,NULL,NULL,NULL,NULL),(28,9,1,14,1,24,NULL,9,NULL),(28,9,1,14,2,1,13,1,4),(28,9,1,14,3,17,18,5,5),(28,9,1,14,4,9,10,1,1),(28,9,1,14,5,16,22,1,7),(28,9,1,14,6,6,33,2,6),(28,9,1,14,7,4,17,NULL,6),(28,9,1,14,8,1,33,1,9),(28,9,1,14,9,13,25,NULL,9),(28,9,1,14,10,27,14,7,3),(28,9,1,14,11,6,13,4,3),(28,9,1,14,12,4,10,1,5),(28,9,1,14,13,28,21,6,6),(28,9,1,14,14,12,18,3,6),(28,9,1,14,15,33,NULL,4,NULL),(28,9,1,14,16,25,10,6,2),(28,9,1,14,17,4,38,2,4),(28,9,1,14,18,6,18,NULL,6),(28,9,1,14,19,24,26,7,3),(28,9,1,14,20,9,39,3,5),(28,9,1,14,21,3,8,1,1),(28,9,1,14,22,2,15,NULL,2),(28,9,1,14,23,1,18,NULL,5),(28,9,1,14,24,1,NULL,NULL,NULL),(28,9,1,14,25,NULL,1,NULL,NULL),(28,9,1,14,26,1,11,NULL,3),(28,9,1,14,27,12,NULL,5,NULL),(28,9,1,14,28,1,2,1,NULL),(28,9,1,14,29,2,8,NULL,4),(28,9,1,14,30,6,24,1,8),(28,9,1,14,31,2,10,NULL,2),(28,9,1,14,32,3,15,1,6),(28,9,1,14,33,1,12,1,4),(28,9,1,14,34,8,11,1,4),(28,9,1,14,35,3,4,1,2),(28,9,1,14,36,2,NULL,2,NULL),(28,9,1,14,37,NULL,11,NULL,1),(28,9,1,14,38,1,17,NULL,5),(28,9,1,14,39,8,17,1,8),(28,9,1,14,40,3,NULL,1,NULL),(28,9,1,15,1,20,NULL,10,NULL),(28,9,1,15,2,NULL,19,NULL,9),(28,9,1,15,3,15,19,4,9),(28,9,1,15,4,9,15,2,4),(28,9,1,15,5,14,13,2,5),(28,9,1,15,6,5,31,4,7),(28,9,1,15,7,5,12,2,5),(28,9,1,15,8,2,25,1,10),(28,9,1,15,9,10,10,5,3),(28,9,1,15,10,35,12,10,5),(28,9,1,15,11,7,10,1,6),(28,9,1,15,12,6,16,3,8),(28,9,1,15,13,26,15,9,7),(28,9,1,15,14,12,15,4,6),(28,9,1,15,15,33,NULL,12,NULL),(28,9,1,15,16,17,23,7,6),(28,9,1,15,17,6,31,2,9),(28,9,1,15,18,10,14,3,3),(28,9,1,15,19,22,17,8,4),(28,9,1,15,20,16,33,7,6),(28,9,1,15,21,2,7,1,1),(28,9,1,15,22,1,18,NULL,3),(28,9,1,15,23,2,14,NULL,3),(28,9,1,15,24,NULL,NULL,NULL,NULL),(28,9,1,15,25,1,9,NULL,1),(28,9,1,15,26,1,4,NULL,1),(28,9,1,15,27,11,NULL,5,NULL),(28,9,1,15,28,NULL,3,NULL,1),(28,9,1,15,29,NULL,10,NULL,4),(28,9,1,15,30,9,13,1,4),(28,9,1,15,31,4,5,3,3),(28,9,1,15,32,5,13,2,9),(28,9,1,15,33,3,9,1,7),(28,9,1,15,34,17,5,7,4),(28,9,1,15,35,1,3,NULL,3),(28,9,1,15,36,2,NULL,2,NULL),(28,9,1,15,37,3,5,NULL,3),(28,9,1,15,38,2,10,1,4),(28,9,1,15,39,9,18,3,8),(28,9,1,15,40,3,NULL,2,NULL),(28,9,1,16,1,30,NULL,8,NULL),(28,9,1,16,2,NULL,16,NULL,3),(28,9,1,16,3,10,26,3,4),(28,9,1,16,4,11,17,2,2),(28,9,1,16,5,17,26,2,5),(28,9,1,16,6,7,32,2,5),(28,9,1,16,7,6,15,1,1),(28,9,1,16,8,2,26,NULL,4),(28,9,1,16,9,9,24,1,2),(28,9,1,16,10,37,13,7,2),(28,9,1,16,11,9,17,4,4),(28,9,1,16,12,7,14,NULL,4),(28,9,1,16,13,71,NULL,10,NULL),(28,9,1,16,14,61,9,7,2),(28,9,1,16,15,18,36,3,7),(28,9,1,16,16,41,NULL,7,NULL),(28,9,1,16,17,31,33,5,5),(28,9,1,16,18,18,19,1,3),(28,9,1,16,19,6,46,1,6),(28,9,1,16,20,12,33,NULL,5),(28,9,1,16,21,3,8,NULL,1),(28,9,1,16,22,1,9,NULL,NULL),(28,9,1,16,23,2,16,NULL,4),(28,9,1,16,24,2,NULL,NULL,NULL),(28,9,1,16,25,NULL,11,NULL,NULL),(28,9,1,16,26,1,6,NULL,NULL),(28,9,1,16,27,10,NULL,4,NULL),(28,9,1,16,28,1,3,NULL,NULL),(28,9,1,16,29,6,13,NULL,4),(28,9,1,16,30,6,17,NULL,3),(28,9,1,16,31,1,9,1,4),(28,9,1,16,32,4,14,3,2),(28,9,1,16,33,8,9,2,2),(28,9,1,16,34,15,12,2,3),(28,9,1,16,35,NULL,8,NULL,2),(28,9,1,16,36,2,NULL,2,NULL),(28,9,1,16,37,NULL,7,NULL,1),(28,9,1,16,38,2,11,1,4),(28,9,1,16,39,13,19,1,8),(28,9,1,16,40,6,NULL,NULL,NULL),(28,9,1,17,1,17,NULL,1,NULL),(28,9,1,17,2,2,17,2,3),(28,9,1,17,3,14,16,2,1),(28,9,1,17,4,6,21,NULL,4),(28,9,1,17,5,9,21,3,NULL),(28,9,1,17,6,1,33,NULL,4),(28,9,1,17,7,9,16,2,1),(28,9,1,17,8,2,21,2,4),(28,9,1,17,9,8,18,1,3),(28,9,1,17,10,33,14,3,NULL),(28,9,1,17,11,4,15,1,2),(28,9,1,17,12,2,7,NULL,1),(28,9,1,17,13,68,NULL,7,NULL),(28,9,1,17,14,42,14,7,NULL),(28,9,1,17,15,12,31,4,2),(28,9,1,17,16,51,NULL,5,NULL),(28,9,1,17,17,18,40,3,3),(28,9,1,17,18,17,23,2,1),(28,9,1,17,19,5,34,2,1),(28,9,1,17,20,9,26,3,1),(28,9,1,17,21,2,7,NULL,NULL),(28,9,1,17,22,1,9,NULL,3),(28,9,1,17,23,4,19,NULL,2),(28,9,1,17,24,1,NULL,NULL,NULL),(28,9,1,17,25,4,3,NULL,NULL),(28,9,1,17,26,NULL,4,NULL,1),(28,9,1,17,27,16,NULL,4,NULL),(28,9,1,17,28,1,2,NULL,NULL),(28,9,1,17,29,3,8,NULL,2),(28,9,1,17,30,1,13,NULL,NULL),(28,9,1,17,31,1,4,NULL,NULL),(28,9,1,17,32,5,18,1,2),(28,9,1,17,33,2,10,1,NULL),(28,9,1,17,34,5,16,NULL,NULL),(28,9,1,17,35,1,7,NULL,2),(28,9,1,17,36,NULL,NULL,NULL,NULL),(28,9,1,17,37,1,8,NULL,NULL),(28,9,1,17,38,NULL,10,NULL,1),(28,9,1,17,39,13,17,3,1),(28,9,1,17,40,3,NULL,NULL,NULL),(28,9,1,18,1,NULL,NULL,NULL,NULL),(28,9,1,18,2,NULL,NULL,NULL,NULL),(28,9,1,18,3,NULL,NULL,NULL,NULL),(28,9,1,18,4,NULL,NULL,NULL,NULL),(28,9,1,18,5,NULL,NULL,NULL,NULL),(28,9,1,18,6,NULL,NULL,NULL,NULL),(28,9,1,18,7,NULL,NULL,NULL,NULL),(28,9,1,18,8,NULL,NULL,NULL,NULL),(28,9,1,18,9,NULL,NULL,NULL,NULL),(28,9,1,18,10,NULL,NULL,NULL,NULL),(28,9,1,18,11,NULL,NULL,NULL,NULL),(28,9,1,18,12,NULL,NULL,NULL,NULL),(28,9,1,18,13,NULL,NULL,NULL,NULL),(28,9,1,18,14,NULL,NULL,NULL,NULL),(28,9,1,18,15,NULL,NULL,NULL,NULL),(28,9,1,18,16,NULL,NULL,NULL,NULL),(28,9,1,18,17,NULL,NULL,NULL,NULL),(28,9,1,18,18,NULL,NULL,NULL,NULL),(28,9,1,18,19,NULL,NULL,NULL,NULL),(28,9,1,18,20,NULL,NULL,NULL,NULL),(28,9,1,18,21,NULL,NULL,NULL,NULL),(28,9,1,18,22,NULL,NULL,NULL,NULL),(28,9,1,18,23,NULL,NULL,NULL,NULL),(28,9,1,18,24,NULL,NULL,NULL,NULL),(28,9,1,18,25,NULL,NULL,NULL,NULL),(28,9,1,18,26,NULL,NULL,NULL,NULL),(28,9,1,18,27,NULL,NULL,NULL,NULL),(28,9,1,18,28,NULL,NULL,NULL,NULL),(28,9,1,18,29,NULL,NULL,NULL,NULL),(28,9,1,18,30,NULL,NULL,NULL,NULL),(28,9,1,18,31,NULL,NULL,NULL,NULL),(28,9,1,18,32,NULL,NULL,NULL,NULL),(28,9,1,18,33,NULL,NULL,NULL,NULL),(28,9,1,18,34,NULL,NULL,NULL,NULL),(28,9,1,18,35,NULL,NULL,NULL,NULL),(28,9,1,18,36,NULL,NULL,NULL,NULL),(28,9,1,18,37,NULL,NULL,NULL,NULL),(28,9,1,18,38,NULL,NULL,NULL,NULL),(28,9,1,18,39,NULL,NULL,NULL,NULL),(28,9,1,18,40,NULL,NULL,NULL,NULL),(28,9,1,19,1,NULL,NULL,NULL,NULL),(28,9,1,19,2,NULL,NULL,NULL,NULL),(28,9,1,19,3,NULL,NULL,NULL,NULL),(28,9,1,19,4,NULL,NULL,NULL,NULL),(28,9,1,19,5,NULL,NULL,NULL,NULL),(28,9,1,19,6,NULL,NULL,NULL,NULL),(28,9,1,19,7,NULL,NULL,NULL,NULL),(28,9,1,19,8,NULL,NULL,NULL,NULL),(28,9,1,19,9,NULL,NULL,NULL,NULL),(28,9,1,19,10,NULL,NULL,NULL,NULL),(28,9,1,19,11,NULL,NULL,NULL,NULL),(28,9,1,19,12,NULL,NULL,NULL,NULL),(28,9,1,19,13,NULL,NULL,NULL,NULL),(28,9,1,19,14,NULL,NULL,NULL,NULL),(28,9,1,19,15,NULL,NULL,NULL,NULL),(28,9,1,19,16,NULL,NULL,NULL,NULL),(28,9,1,19,17,NULL,NULL,NULL,NULL),(28,9,1,19,18,NULL,NULL,NULL,NULL),(28,9,1,19,19,NULL,NULL,NULL,NULL),(28,9,1,19,20,NULL,NULL,NULL,NULL),(28,9,1,19,21,NULL,NULL,NULL,NULL),(28,9,1,19,22,NULL,NULL,NULL,NULL),(28,9,1,19,23,NULL,NULL,NULL,NULL),(28,9,1,19,24,NULL,NULL,NULL,NULL),(28,9,1,19,25,NULL,NULL,NULL,NULL),(28,9,1,19,26,NULL,NULL,NULL,NULL),(28,9,1,19,27,NULL,NULL,NULL,NULL),(28,9,1,19,28,NULL,NULL,NULL,NULL),(28,9,1,19,29,NULL,NULL,NULL,NULL),(28,9,1,19,30,NULL,NULL,NULL,NULL),(28,9,1,19,31,NULL,NULL,NULL,NULL),(28,9,1,19,32,NULL,NULL,NULL,NULL),(28,9,1,19,33,NULL,NULL,NULL,NULL),(28,9,1,19,34,NULL,NULL,NULL,NULL),(28,9,1,19,35,NULL,NULL,NULL,NULL),(28,9,1,19,36,NULL,NULL,NULL,NULL),(28,9,1,19,37,NULL,NULL,NULL,NULL),(28,9,1,19,38,NULL,NULL,NULL,NULL),(28,9,1,19,39,NULL,NULL,NULL,NULL),(28,9,1,19,40,NULL,NULL,NULL,NULL),(28,9,2,21,1,NULL,20,NULL,1),(28,9,2,21,2,1,14,NULL,2),(28,9,2,21,3,29,20,5,5),(28,9,2,21,4,NULL,7,NULL,1),(28,9,2,21,5,3,12,2,3),(28,9,2,21,6,18,37,3,4),(28,9,2,21,7,1,16,NULL,1),(28,9,2,21,8,4,11,3,2),(28,9,2,21,9,1,7,NULL,3),(28,9,2,21,10,15,12,4,4),(28,9,2,21,11,7,11,4,4),(28,9,2,21,12,17,26,3,2),(28,9,2,21,13,4,42,2,7),(28,9,2,21,14,10,20,4,6),(28,9,2,21,15,2,19,1,1),(28,9,2,21,16,12,28,1,6),(28,9,2,21,17,1,8,NULL,2),(28,9,2,21,18,25,23,3,5),(28,9,2,21,19,4,20,1,5),(28,9,2,21,20,10,14,2,5),(28,9,2,21,21,1,11,NULL,1),(28,9,2,21,22,1,11,1,1),(28,9,2,21,23,4,3,NULL,1),(28,9,2,21,24,2,9,NULL,NULL),(28,9,2,21,25,5,7,2,1),(28,9,2,21,26,1,15,NULL,1),(28,9,2,21,27,4,16,NULL,7),(28,9,2,21,28,1,3,NULL,NULL),(28,9,2,21,29,NULL,3,NULL,1),(28,9,2,21,30,NULL,7,NULL,2),(28,9,2,21,31,1,27,1,3),(28,9,2,21,32,1,4,1,2),(28,9,2,21,33,7,9,3,NULL),(28,9,2,21,34,5,19,1,4),(28,9,2,21,35,7,NULL,NULL,NULL),(28,9,2,21,36,NULL,7,NULL,2),(28,9,2,21,37,2,9,NULL,4),(28,9,2,21,38,1,4,NULL,NULL),(28,9,2,21,39,1,12,NULL,1),(28,9,2,21,40,2,28,2,3),(28,9,2,22,1,3,22,1,7),(28,9,2,22,2,NULL,7,NULL,1),(28,9,2,22,3,13,23,3,9),(28,9,2,22,4,NULL,1,NULL,NULL),(28,9,2,22,5,4,15,1,6),(28,9,2,22,6,20,24,5,7),(28,9,2,22,7,NULL,20,NULL,5),(28,9,2,22,8,2,8,NULL,4),(28,9,2,22,9,NULL,8,NULL,2),(28,9,2,22,10,7,23,3,6),(28,9,2,22,11,2,7,1,4),(28,9,2,22,12,6,22,1,6),(28,9,2,22,13,2,34,2,11),(28,9,2,22,14,10,21,5,5),(28,9,2,22,15,4,18,NULL,2),(28,9,2,22,16,5,20,2,7),(28,9,2,22,17,3,10,1,3),(28,9,2,22,18,14,23,3,4),(28,9,2,22,19,2,19,1,7),(28,9,2,22,20,15,14,4,7),(28,9,2,22,21,NULL,12,NULL,2),(28,9,2,22,22,2,5,NULL,3),(28,9,2,22,23,NULL,12,NULL,5),(28,9,2,22,24,2,7,NULL,NULL),(28,9,2,22,25,3,8,1,2),(28,9,2,22,26,4,16,1,4),(28,9,2,22,27,NULL,21,NULL,8),(28,9,2,22,28,1,6,1,3),(28,9,2,22,29,NULL,10,NULL,5),(28,9,2,22,30,NULL,9,NULL,NULL),(28,9,2,22,31,NULL,15,NULL,3),(28,9,2,22,32,NULL,1,NULL,NULL),(28,9,2,22,33,3,11,1,4),(28,9,2,22,34,4,16,2,6),(28,9,2,22,35,10,NULL,2,NULL),(28,9,2,22,36,1,4,1,1),(28,9,2,22,37,1,11,1,3),(28,9,2,22,38,1,2,1,1),(28,9,2,22,39,1,9,1,2),(28,9,2,22,40,2,23,NULL,6),(28,9,2,23,1,NULL,21,NULL,4),(28,9,2,23,2,1,13,NULL,6),(28,9,2,23,3,25,25,4,4),(28,9,2,23,4,1,2,NULL,NULL),(28,9,2,23,5,7,18,2,2),(28,9,2,23,6,10,30,2,7),(28,9,2,23,7,NULL,19,NULL,2),(28,9,2,23,8,4,6,1,3),(28,9,2,23,9,1,6,NULL,1),(28,9,2,23,10,13,18,2,4),(28,9,2,23,11,9,8,3,2),(28,9,2,23,12,8,21,1,4),(28,9,2,23,13,4,30,1,5),(28,9,2,23,14,8,23,1,5),(28,9,2,23,15,6,14,1,4),(28,9,2,23,16,7,20,NULL,4),(28,9,2,23,17,2,9,1,1),(28,9,2,23,18,15,24,2,5),(28,9,2,23,19,4,19,2,4),(28,9,2,23,20,10,20,1,1),(28,9,2,23,21,1,10,NULL,1),(28,9,2,23,22,6,4,3,NULL),(28,9,2,23,23,2,6,NULL,1),(28,9,2,23,24,1,4,NULL,NULL),(28,9,2,23,25,NULL,7,NULL,2),(28,9,2,23,26,1,17,NULL,3),(28,9,2,23,27,4,16,1,5),(28,9,2,23,28,NULL,3,NULL,1),(28,9,2,23,29,2,9,NULL,1),(28,9,2,23,30,3,12,NULL,2),(28,9,2,23,31,NULL,20,NULL,4),(28,9,2,23,32,NULL,7,NULL,1),(28,9,2,23,33,6,12,3,2),(28,9,2,23,34,1,18,1,3),(28,9,2,23,35,9,NULL,4,NULL),(28,9,2,23,36,NULL,5,NULL,1),(28,9,2,23,37,1,8,1,3),(28,9,2,23,38,NULL,2,NULL,1),(28,9,2,23,39,NULL,5,NULL,1),(28,9,2,23,40,NULL,22,NULL,7),(28,9,2,24,1,1,22,NULL,3),(28,9,2,24,2,NULL,8,NULL,2),(28,9,2,24,3,16,20,4,4),(28,9,2,24,4,NULL,4,NULL,1),(28,9,2,24,5,5,15,2,3),(28,9,2,24,6,19,25,3,4),(28,9,2,24,7,NULL,18,NULL,NULL),(28,9,2,24,8,1,8,NULL,2),(28,9,2,24,9,4,5,NULL,3),(28,9,2,24,10,15,11,5,3),(28,9,2,24,11,6,11,4,4),(28,9,2,24,12,8,16,2,4),(28,9,2,24,13,3,32,1,7),(28,9,2,24,14,7,23,1,7),(28,9,2,24,15,5,21,NULL,5),(28,9,2,24,16,7,24,1,3),(28,9,2,24,17,3,6,1,4),(28,9,2,24,18,18,28,3,6),(28,9,2,24,19,6,18,2,3),(28,9,2,24,20,13,11,3,4),(28,9,2,24,21,2,10,NULL,NULL),(28,9,2,24,22,3,6,2,1),(28,9,2,24,23,NULL,6,NULL,3),(28,9,2,24,24,4,5,1,1),(28,9,2,24,25,NULL,5,NULL,1),(28,9,2,24,26,1,19,NULL,4),(28,9,2,24,27,2,15,NULL,6),(28,9,2,24,28,NULL,4,NULL,2),(28,9,2,24,29,NULL,9,NULL,4),(28,9,2,24,30,2,9,NULL,5),(28,9,2,24,31,NULL,20,NULL,7),(28,9,2,24,32,NULL,8,NULL,2),(28,9,2,24,33,5,6,1,2),(28,9,2,24,34,1,13,1,4),(28,9,2,24,35,9,NULL,1,NULL),(28,9,2,24,36,2,5,NULL,1),(28,9,2,24,37,1,8,1,3),(28,9,2,24,38,3,6,1,1),(28,9,2,24,39,3,7,NULL,NULL),(28,9,2,24,40,NULL,18,NULL,6),(28,101,1,11,1,NULL,NULL,NULL,NULL),(28,101,1,11,2,NULL,NULL,NULL,NULL),(28,101,1,11,3,NULL,NULL,NULL,NULL),(28,101,1,11,4,NULL,NULL,NULL,NULL),(28,101,1,11,5,NULL,NULL,NULL,NULL),(28,101,1,11,6,NULL,1,NULL,NULL),(28,101,1,11,7,NULL,NULL,NULL,NULL),(28,101,1,11,8,NULL,NULL,NULL,NULL),(28,101,1,11,9,1,NULL,NULL,NULL),(28,101,1,11,10,NULL,NULL,NULL,NULL),(28,101,1,11,11,NULL,NULL,NULL,NULL),(28,101,1,11,12,NULL,NULL,NULL,NULL),(28,101,1,11,13,NULL,NULL,NULL,NULL),(28,101,1,11,14,NULL,NULL,NULL,NULL),(28,101,1,11,15,NULL,NULL,NULL,NULL),(28,101,1,11,16,NULL,NULL,NULL,NULL),(28,101,1,11,17,NULL,NULL,NULL,NULL),(28,101,1,11,18,NULL,NULL,NULL,NULL),(28,101,1,11,19,NULL,NULL,NULL,NULL),(28,101,1,11,20,NULL,NULL,NULL,NULL),(28,101,1,11,21,NULL,NULL,NULL,NULL),(28,101,1,11,22,NULL,NULL,NULL,NULL),(28,101,1,11,23,NULL,NULL,NULL,NULL),(28,101,1,11,24,NULL,NULL,NULL,NULL),(28,101,1,11,25,NULL,NULL,NULL,NULL),(28,101,1,11,26,NULL,NULL,NULL,NULL),(28,101,1,11,27,NULL,NULL,NULL,NULL),(28,101,1,11,28,NULL,NULL,NULL,NULL),(28,101,1,11,29,NULL,NULL,NULL,NULL),(28,101,1,11,30,NULL,NULL,NULL,NULL),(28,101,1,11,31,NULL,NULL,NULL,NULL),(28,101,1,11,32,NULL,NULL,NULL,NULL),(28,101,1,11,33,NULL,NULL,NULL,NULL),(28,101,1,11,34,NULL,NULL,NULL,NULL),(28,101,1,11,35,NULL,NULL,NULL,NULL),(28,101,1,11,36,NULL,NULL,NULL,NULL),(28,101,1,11,37,NULL,NULL,NULL,NULL),(28,101,1,11,38,NULL,NULL,NULL,NULL),(28,101,1,11,39,NULL,NULL,NULL,NULL),(28,101,1,11,40,NULL,NULL,NULL,NULL),(28,101,1,12,1,1,NULL,NULL,NULL),(28,101,1,12,2,NULL,NULL,NULL,NULL),(28,101,1,12,3,NULL,NULL,NULL,NULL),(28,101,1,12,4,NULL,NULL,NULL,NULL),(28,101,1,12,5,NULL,NULL,NULL,NULL),(28,101,1,12,6,1,NULL,NULL,NULL),(28,101,1,12,7,NULL,NULL,NULL,NULL),(28,101,1,12,8,NULL,NULL,NULL,NULL),(28,101,1,12,9,NULL,NULL,NULL,NULL),(28,101,1,12,10,NULL,NULL,NULL,NULL),(28,101,1,12,11,NULL,NULL,NULL,NULL),(28,101,1,12,12,1,NULL,NULL,NULL),(28,101,1,12,13,NULL,NULL,NULL,NULL),(28,101,1,12,14,1,NULL,NULL,NULL),(28,101,1,12,15,1,NULL,NULL,NULL),(28,101,1,12,16,1,NULL,NULL,NULL),(28,101,1,12,17,1,NULL,NULL,NULL),(28,101,1,12,18,1,NULL,NULL,NULL),(28,101,1,12,19,1,NULL,NULL,NULL),(28,101,1,12,20,1,NULL,NULL,NULL),(28,101,1,12,21,NULL,NULL,NULL,NULL),(28,101,1,12,22,NULL,NULL,NULL,NULL),(28,101,1,12,23,NULL,NULL,NULL,NULL),(28,101,1,12,24,NULL,NULL,NULL,NULL),(28,101,1,12,25,NULL,NULL,NULL,NULL),(28,101,1,12,26,NULL,1,NULL,NULL),(28,101,1,12,27,NULL,NULL,NULL,NULL),(28,101,1,12,28,NULL,NULL,NULL,NULL),(28,101,1,12,29,NULL,NULL,NULL,NULL),(28,101,1,12,30,NULL,NULL,NULL,NULL),(28,101,1,12,31,NULL,NULL,NULL,NULL),(28,101,1,12,32,1,NULL,NULL,NULL),(28,101,1,12,33,NULL,NULL,NULL,NULL),(28,101,1,12,34,NULL,1,NULL,NULL),(28,101,1,12,35,NULL,NULL,NULL,NULL),(28,101,1,12,36,NULL,NULL,NULL,NULL),(28,101,1,12,37,NULL,NULL,NULL,NULL),(28,101,1,12,38,NULL,1,NULL,NULL),(28,101,1,12,39,NULL,1,NULL,NULL),(28,101,1,12,40,NULL,NULL,NULL,NULL),(28,101,1,13,1,1,NULL,1,NULL),(28,101,1,13,2,NULL,1,NULL,1),(28,101,1,13,3,NULL,1,NULL,1),(28,101,1,13,4,NULL,1,NULL,1),(28,101,1,13,5,NULL,1,NULL,1),(28,101,1,13,6,NULL,NULL,NULL,NULL),(28,101,1,13,7,1,NULL,1,NULL),(28,101,1,13,8,NULL,NULL,NULL,NULL),(28,101,1,13,9,NULL,NULL,NULL,NULL),(28,101,1,13,10,1,NULL,1,NULL),(28,101,1,13,11,NULL,NULL,NULL,NULL),(28,101,1,13,12,1,NULL,1,NULL),(28,101,1,13,13,1,NULL,1,NULL),(28,101,1,13,14,1,NULL,1,NULL),(28,101,1,13,15,NULL,1,NULL,1),(28,101,1,13,16,1,NULL,1,NULL),(28,101,1,13,17,NULL,NULL,NULL,NULL),(28,101,1,13,18,1,NULL,1,NULL),(28,101,1,13,19,1,NULL,1,NULL),(28,101,1,13,20,NULL,NULL,NULL,NULL),(28,101,1,13,21,NULL,NULL,NULL,NULL),(28,101,1,13,22,NULL,NULL,NULL,NULL),(28,101,1,13,23,NULL,NULL,NULL,NULL),(28,101,1,13,24,NULL,NULL,NULL,NULL),(28,101,1,13,25,NULL,NULL,NULL,NULL),(28,101,1,13,26,NULL,NULL,NULL,NULL),(28,101,1,13,27,NULL,NULL,NULL,NULL),(28,101,1,13,28,NULL,NULL,NULL,NULL),(28,101,1,13,29,NULL,NULL,NULL,NULL),(28,101,1,13,30,NULL,NULL,NULL,NULL),(28,101,1,13,31,NULL,NULL,NULL,NULL),(28,101,1,13,32,1,NULL,1,NULL),(28,101,1,13,33,NULL,NULL,NULL,NULL),(28,101,1,13,34,NULL,NULL,NULL,NULL),(28,101,1,13,35,NULL,NULL,NULL,NULL),(28,101,1,13,36,NULL,NULL,NULL,NULL),(28,101,1,13,37,NULL,NULL,NULL,NULL),(28,101,1,13,38,NULL,1,NULL,1),(28,101,1,13,39,NULL,NULL,NULL,NULL),(28,101,1,13,40,NULL,NULL,NULL,NULL),(28,101,1,14,1,18,NULL,14,NULL),(28,101,1,14,2,NULL,7,NULL,4),(28,101,1,14,3,8,11,5,9),(28,101,1,14,4,4,5,3,5),(28,101,1,14,5,6,11,4,8),(28,101,1,14,6,3,17,1,10),(28,101,1,14,7,2,11,2,8),(28,101,1,14,8,4,15,3,12),(28,101,1,14,9,7,8,5,5),(28,101,1,14,10,20,8,14,2),(28,101,1,14,11,6,10,5,6),(28,101,1,14,12,5,8,2,7),(28,101,1,14,13,16,7,13,3),(28,101,1,14,14,7,9,7,5),(28,101,1,14,15,18,NULL,9,NULL),(28,101,1,14,16,9,12,8,5),(28,101,1,14,17,5,22,4,13),(28,101,1,14,18,4,4,4,2),(28,101,1,14,19,15,12,13,7),(28,101,1,14,20,9,19,8,11),(28,101,1,14,21,NULL,6,NULL,2),(28,101,1,14,22,3,7,NULL,3),(28,101,1,14,23,2,11,1,8),(28,101,1,14,24,1,NULL,1,NULL),(28,101,1,14,25,1,6,NULL,3),(28,101,1,14,26,NULL,5,NULL,3),(28,101,1,14,27,7,NULL,2,NULL),(28,101,1,14,28,2,2,1,1),(28,101,1,14,29,NULL,7,NULL,6),(28,101,1,14,30,5,12,1,9),(28,101,1,14,31,2,6,1,3),(28,101,1,14,32,1,7,NULL,6),(28,101,1,14,33,1,3,NULL,2),(28,101,1,14,34,10,3,8,1),(28,101,1,14,35,2,1,2,1),(28,101,1,14,36,1,NULL,1,NULL),(28,101,1,14,37,2,4,2,3),(28,101,1,14,38,3,4,3,3),(28,101,1,14,39,6,8,6,4),(28,101,1,14,40,3,NULL,2,NULL),(28,101,1,15,1,13,NULL,8,NULL),(28,101,1,15,2,1,11,1,5),(28,101,1,15,3,8,13,5,5),(28,101,1,15,4,2,17,1,7),(28,101,1,15,5,4,9,3,3),(28,101,1,15,6,1,23,1,10),(28,101,1,15,7,6,8,4,5),(28,101,1,15,8,2,11,1,6),(28,101,1,15,9,7,8,5,3),(28,101,1,15,10,14,8,8,4),(28,101,1,15,11,2,10,2,5),(28,101,1,15,12,4,11,2,6),(28,101,1,15,13,7,17,2,9),(28,101,1,15,14,4,11,1,8),(28,101,1,15,15,15,NULL,9,NULL),(28,101,1,15,16,9,9,5,4),(28,101,1,15,17,6,11,2,5),(28,101,1,15,18,4,8,2,2),(28,101,1,15,19,10,9,6,4),(28,101,1,15,20,7,15,3,7),(28,101,1,15,21,1,5,NULL,2),(28,101,1,15,22,1,10,NULL,4),(28,101,1,15,23,1,9,NULL,4),(28,101,1,15,24,NULL,NULL,NULL,NULL),(28,101,1,15,25,NULL,5,NULL,2),(28,101,1,15,26,1,1,NULL,1),(28,101,1,15,27,7,NULL,3,NULL),(28,101,1,15,28,1,1,NULL,1),(28,101,1,15,29,1,7,1,2),(28,101,1,15,30,4,13,NULL,8),(28,101,1,15,31,2,5,1,2),(28,101,1,15,32,2,6,1,3),(28,101,1,15,33,2,6,2,3),(28,101,1,15,34,8,2,6,NULL),(28,101,1,15,35,1,4,NULL,2),(28,101,1,15,36,NULL,NULL,NULL,NULL),(28,101,1,15,37,1,3,NULL,NULL),(28,101,1,15,38,1,6,1,4),(28,101,1,15,39,7,11,3,6),(28,101,1,15,40,3,NULL,2,NULL),(28,101,1,16,1,27,NULL,9,NULL),(28,101,1,16,2,1,14,1,4),(28,101,1,16,3,9,21,3,6),(28,101,1,16,4,8,16,1,5),(28,101,1,16,5,11,27,5,8),(28,101,1,16,6,2,36,NULL,9),(28,101,1,16,7,7,22,NULL,7),(28,101,1,16,8,NULL,28,NULL,10),(28,101,1,16,9,8,24,4,5),(28,101,1,16,10,31,15,10,4),(28,101,1,16,11,4,18,4,8),(28,101,1,16,12,3,15,1,8),(28,101,1,16,13,73,NULL,21,NULL),(28,101,1,16,14,57,16,13,7),(28,101,1,16,15,17,38,4,12),(28,101,1,16,16,51,NULL,15,NULL),(28,101,1,16,17,22,44,6,15),(28,101,1,16,18,9,29,5,9),(28,101,1,16,19,8,40,4,10),(28,101,1,16,20,8,28,2,6),(28,101,1,16,21,3,11,1,1),(28,101,1,16,22,2,11,NULL,4),(28,101,1,16,23,3,19,NULL,7),(28,101,1,16,24,NULL,NULL,NULL,NULL),(28,101,1,16,25,3,6,NULL,2),(28,101,1,16,26,1,8,NULL,1),(28,101,1,16,27,9,NULL,5,NULL),(28,101,1,16,28,1,3,NULL,1),(28,101,1,16,29,1,9,NULL,3),(28,101,1,16,30,12,20,NULL,6),(28,101,1,16,31,5,5,1,1),(28,101,1,16,32,4,18,1,8),(28,101,1,16,33,3,13,1,6),(28,101,1,16,34,8,14,1,7),(28,101,1,16,35,1,5,1,1),(28,101,1,16,36,NULL,NULL,NULL,NULL),(28,101,1,16,37,1,14,1,2),(28,101,1,16,38,NULL,9,NULL,6),(28,101,1,16,39,11,15,4,5),(28,101,1,16,40,5,NULL,1,NULL),(28,101,1,17,1,24,NULL,10,NULL),(28,101,1,17,2,NULL,10,NULL,6),(28,101,1,17,3,13,33,2,11),(28,101,1,17,4,5,15,NULL,4),(28,101,1,17,5,12,24,4,4),(28,101,1,17,6,4,34,NULL,12),(28,101,1,17,7,4,20,2,4),(28,101,1,17,8,3,23,NULL,8),(28,101,1,17,9,11,22,4,8),(28,101,1,17,10,31,21,7,9),(28,101,1,17,11,2,18,1,7),(28,101,1,17,12,3,13,NULL,5),(28,101,1,17,13,79,NULL,17,NULL),(28,101,1,17,14,51,16,12,4),(28,101,1,17,15,14,38,4,11),(28,101,1,17,16,50,NULL,14,NULL),(28,101,1,17,17,31,30,8,8),(28,101,1,17,18,11,26,3,8),(28,101,1,17,19,8,43,1,10),(28,101,1,17,20,3,26,1,8),(28,101,1,17,21,1,9,NULL,1),(28,101,1,17,22,3,9,NULL,3),(28,101,1,17,23,2,17,NULL,5),(28,101,1,17,24,3,NULL,NULL,NULL),(28,101,1,17,25,2,5,NULL,1),(28,101,1,17,26,2,4,NULL,NULL),(28,101,1,17,27,12,NULL,5,NULL),(28,101,1,17,28,1,2,1,NULL),(28,101,1,17,29,3,14,NULL,2),(28,101,1,17,30,6,31,NULL,6),(28,101,1,17,31,5,6,1,1),(28,101,1,17,32,10,16,NULL,8),(28,101,1,17,33,1,12,NULL,8),(28,101,1,17,34,12,18,6,5),(28,101,1,17,35,NULL,5,NULL,3),(28,101,1,17,36,NULL,NULL,NULL,NULL),(28,101,1,17,37,1,6,NULL,1),(28,101,1,17,38,2,14,1,5),(28,101,1,17,39,7,25,1,9),(28,101,1,17,40,8,NULL,3,NULL),(28,101,1,18,1,NULL,NULL,NULL,NULL),(28,101,1,18,2,NULL,NULL,NULL,NULL),(28,101,1,18,3,NULL,NULL,NULL,NULL),(28,101,1,18,4,NULL,NULL,NULL,NULL),(28,101,1,18,5,NULL,NULL,NULL,NULL),(28,101,1,18,6,NULL,NULL,NULL,NULL),(28,101,1,18,7,NULL,NULL,NULL,NULL),(28,101,1,18,8,NULL,NULL,NULL,NULL),(28,101,1,18,9,NULL,NULL,NULL,NULL),(28,101,1,18,10,NULL,NULL,NULL,NULL),(28,101,1,18,11,NULL,NULL,NULL,NULL),(28,101,1,18,12,NULL,NULL,NULL,NULL),(28,101,1,18,13,NULL,NULL,NULL,NULL),(28,101,1,18,14,NULL,NULL,NULL,NULL),(28,101,1,18,15,NULL,NULL,NULL,NULL),(28,101,1,18,16,NULL,NULL,NULL,NULL),(28,101,1,18,17,NULL,NULL,NULL,NULL),(28,101,1,18,18,NULL,NULL,NULL,NULL),(28,101,1,18,19,NULL,NULL,NULL,NULL),(28,101,1,18,20,NULL,NULL,NULL,NULL),(28,101,1,18,21,NULL,NULL,NULL,NULL),(28,101,1,18,22,NULL,NULL,NULL,NULL),(28,101,1,18,23,NULL,NULL,NULL,NULL),(28,101,1,18,24,NULL,NULL,NULL,NULL),(28,101,1,18,25,NULL,NULL,NULL,NULL),(28,101,1,18,26,NULL,NULL,NULL,NULL),(28,101,1,18,27,NULL,NULL,NULL,NULL),(28,101,1,18,28,NULL,NULL,NULL,NULL),(28,101,1,18,29,NULL,NULL,NULL,NULL),(28,101,1,18,30,NULL,NULL,NULL,NULL),(28,101,1,18,31,NULL,NULL,NULL,NULL),(28,101,1,18,32,NULL,NULL,NULL,NULL),(28,101,1,18,33,NULL,NULL,NULL,NULL),(28,101,1,18,34,NULL,NULL,NULL,NULL),(28,101,1,18,35,NULL,NULL,NULL,NULL),(28,101,1,18,36,NULL,NULL,NULL,NULL),(28,101,1,18,37,NULL,NULL,NULL,NULL),(28,101,1,18,38,NULL,NULL,NULL,NULL),(28,101,1,18,39,NULL,NULL,NULL,NULL),(28,101,1,18,40,NULL,NULL,NULL,NULL),(28,101,1,19,1,NULL,NULL,NULL,NULL),(28,101,1,19,2,NULL,NULL,NULL,NULL),(28,101,1,19,3,NULL,NULL,NULL,NULL),(28,101,1,19,4,NULL,NULL,NULL,NULL),(28,101,1,19,5,NULL,NULL,NULL,NULL),(28,101,1,19,6,NULL,NULL,NULL,NULL),(28,101,1,19,7,NULL,NULL,NULL,NULL),(28,101,1,19,8,NULL,NULL,NULL,NULL),(28,101,1,19,9,NULL,NULL,NULL,NULL),(28,101,1,19,10,NULL,NULL,NULL,NULL),(28,101,1,19,11,NULL,NULL,NULL,NULL),(28,101,1,19,12,NULL,NULL,NULL,NULL),(28,101,1,19,13,NULL,NULL,NULL,NULL),(28,101,1,19,14,NULL,NULL,NULL,NULL),(28,101,1,19,15,NULL,NULL,NULL,NULL),(28,101,1,19,16,NULL,NULL,NULL,NULL),(28,101,1,19,17,NULL,NULL,NULL,NULL),(28,101,1,19,18,NULL,NULL,NULL,NULL),(28,101,1,19,19,NULL,NULL,NULL,NULL),(28,101,1,19,20,NULL,NULL,NULL,NULL),(28,101,1,19,21,NULL,NULL,NULL,NULL),(28,101,1,19,22,NULL,NULL,NULL,NULL),(28,101,1,19,23,NULL,NULL,NULL,NULL),(28,101,1,19,24,NULL,NULL,NULL,NULL),(28,101,1,19,25,NULL,NULL,NULL,NULL),(28,101,1,19,26,NULL,NULL,NULL,NULL),(28,101,1,19,27,NULL,NULL,NULL,NULL),(28,101,1,19,28,NULL,NULL,NULL,NULL),(28,101,1,19,29,NULL,NULL,NULL,NULL),(28,101,1,19,30,NULL,NULL,NULL,NULL),(28,101,1,19,31,NULL,NULL,NULL,NULL),(28,101,1,19,32,NULL,NULL,NULL,NULL),(28,101,1,19,33,NULL,NULL,NULL,NULL),(28,101,1,19,34,NULL,NULL,NULL,NULL),(28,101,1,19,35,NULL,NULL,NULL,NULL),(28,101,1,19,36,NULL,NULL,NULL,NULL),(28,101,1,19,37,NULL,NULL,NULL,NULL),(28,101,1,19,38,NULL,NULL,NULL,NULL),(28,101,1,19,39,NULL,NULL,NULL,NULL),(28,101,1,19,40,NULL,NULL,NULL,NULL),(28,101,2,21,1,1,19,1,8),(28,101,2,21,2,2,3,NULL,1),(28,101,2,21,3,20,27,11,11),(28,101,2,21,4,NULL,4,NULL,2),(28,101,2,21,5,3,20,2,13),(28,101,2,21,6,14,24,8,7),(28,101,2,21,7,NULL,18,NULL,8),(28,101,2,21,8,1,12,1,5),(28,101,2,21,9,1,14,1,6),(28,101,2,21,10,7,13,5,4),(28,101,2,21,11,3,11,3,6),(28,101,2,21,12,6,18,3,7),(28,101,2,21,13,3,31,3,13),(28,101,2,21,14,4,25,3,13),(28,101,2,21,15,6,11,5,7),(28,101,2,21,16,6,21,3,11),(28,101,2,21,17,1,11,1,2),(28,101,2,21,18,23,30,10,12),(28,101,2,21,19,4,16,4,10),(28,101,2,21,20,18,12,12,5),(28,101,2,21,21,NULL,4,NULL,1),(28,101,2,21,22,5,1,4,1),(28,101,2,21,23,3,6,2,3),(28,101,2,21,24,3,4,3,1),(28,101,2,21,25,3,5,1,3),(28,101,2,21,26,NULL,18,NULL,8),(28,101,2,21,27,1,20,1,11),(28,101,2,21,28,2,3,1,2),(28,101,2,21,29,NULL,3,NULL,1),(28,101,2,21,30,4,7,1,4),(28,101,2,21,31,1,12,1,8),(28,101,2,21,32,NULL,2,NULL,2),(28,101,2,21,33,9,8,7,4),(28,101,2,21,34,1,15,1,9),(28,101,2,21,35,5,NULL,4,NULL),(28,101,2,21,36,NULL,5,NULL,1),(28,101,2,21,37,2,13,2,6),(28,101,2,21,38,1,2,1,2),(28,101,2,21,39,1,7,NULL,5),(28,101,2,21,40,1,18,1,10),(28,101,2,22,1,1,19,NULL,6),(28,101,2,22,2,NULL,10,NULL,4),(28,101,2,22,3,11,20,7,10),(28,101,2,22,4,NULL,6,NULL,2),(28,101,2,22,5,3,18,2,9),(28,101,2,22,6,13,20,3,10),(28,101,2,22,7,1,16,NULL,5),(28,101,2,22,8,5,8,2,3),(28,101,2,22,9,7,10,3,6),(28,101,2,22,10,8,11,5,4),(28,101,2,22,11,3,13,1,7),(28,101,2,22,12,3,16,NULL,8),(28,101,2,22,13,2,35,1,12),(28,101,2,22,14,5,21,2,12),(28,101,2,22,15,7,13,3,2),(28,101,2,22,16,5,16,2,8),(28,101,2,22,17,1,9,1,6),(28,101,2,22,18,11,21,7,10),(28,101,2,22,19,6,15,2,5),(28,101,2,22,20,15,6,7,3),(28,101,2,22,21,NULL,7,NULL,2),(28,101,2,22,22,2,6,1,3),(28,101,2,22,23,1,5,NULL,3),(28,101,2,22,24,2,9,NULL,1),(28,101,2,22,25,NULL,5,NULL,1),(28,101,2,22,26,1,14,1,7),(28,101,2,22,27,2,11,NULL,7),(28,101,2,22,28,2,6,NULL,5),(28,101,2,22,29,NULL,7,NULL,3),(28,101,2,22,30,1,11,1,4),(28,101,2,22,31,NULL,17,NULL,8),(28,101,2,22,32,NULL,1,NULL,1),(28,101,2,22,33,3,8,2,5),(28,101,2,22,34,1,11,1,9),(28,101,2,22,35,7,NULL,4,NULL),(28,101,2,22,36,2,6,1,3),(28,101,2,22,37,NULL,4,NULL,3),(28,101,2,22,38,NULL,NULL,NULL,NULL),(28,101,2,22,39,1,4,NULL,1),(28,101,2,22,40,1,9,1,5),(28,101,2,23,1,NULL,23,NULL,3),(28,101,2,23,2,NULL,8,NULL,2),(28,101,2,23,3,19,20,3,9),(28,101,2,23,4,NULL,4,NULL,1),(28,101,2,23,5,5,19,2,5),(28,101,2,23,6,9,28,2,6),(28,101,2,23,7,NULL,22,NULL,2),(28,101,2,23,8,4,5,NULL,1),(28,101,2,23,9,1,6,NULL,3),(28,101,2,23,10,13,12,5,4),(28,101,2,23,11,4,8,1,3),(28,101,2,23,12,7,23,2,3),(28,101,2,23,13,2,22,NULL,8),(28,101,2,23,14,4,19,2,7),(28,101,2,23,15,4,12,1,1),(28,101,2,23,16,9,26,2,5),(28,101,2,23,17,1,11,NULL,4),(28,101,2,23,18,21,14,9,3),(28,101,2,23,19,2,14,NULL,4),(28,101,2,23,20,9,18,2,8),(28,101,2,23,21,NULL,6,NULL,1),(28,101,2,23,22,3,1,2,NULL),(28,101,2,23,23,NULL,6,NULL,3),(28,101,2,23,24,1,8,1,1),(28,101,2,23,25,1,8,NULL,2),(28,101,2,23,26,4,11,1,3),(28,101,2,23,27,1,15,1,7),(28,101,2,23,28,1,5,NULL,2),(28,101,2,23,29,NULL,5,NULL,3),(28,101,2,23,30,1,13,NULL,5),(28,101,2,23,31,1,19,NULL,6),(28,101,2,23,32,1,4,1,2),(28,101,2,23,33,7,5,5,1),(28,101,2,23,34,2,10,2,6),(28,101,2,23,35,4,NULL,1,NULL),(28,101,2,23,36,NULL,7,NULL,3),(28,101,2,23,37,2,6,1,2),(28,101,2,23,38,1,2,NULL,1),(28,101,2,23,39,1,10,NULL,2),(28,101,2,23,40,1,17,1,5),(28,101,2,24,1,NULL,17,NULL,3),(28,101,2,24,2,NULL,11,NULL,3),(28,101,2,24,3,25,16,7,7),(28,101,2,24,4,1,9,NULL,3),(28,101,2,24,5,6,13,2,3),(28,101,2,24,6,10,29,4,7),(28,101,2,24,7,NULL,16,NULL,4),(28,101,2,24,8,4,9,1,5),(28,101,2,24,9,3,10,NULL,4),(28,101,2,24,10,4,15,1,6),(28,101,2,24,11,8,2,5,1),(28,101,2,24,12,6,21,3,3),(28,101,2,24,13,1,20,1,6),(28,101,2,24,14,1,22,NULL,9),(28,101,2,24,15,6,21,1,9),(28,101,2,24,16,3,22,NULL,8),(28,101,2,24,17,1,15,NULL,8),(28,101,2,24,18,19,18,8,6),(28,101,2,24,19,6,13,1,5),(28,101,2,24,20,5,25,2,8),(28,101,2,24,21,1,5,NULL,1),(28,101,2,24,22,1,5,1,1),(28,101,2,24,23,2,5,1,2),(28,101,2,24,24,NULL,7,NULL,2),(28,101,2,24,25,NULL,2,NULL,2),(28,101,2,24,26,3,14,1,6),(28,101,2,24,27,2,17,NULL,7),(28,101,2,24,28,NULL,1,NULL,1),(28,101,2,24,29,NULL,5,NULL,1),(28,101,2,24,30,1,10,NULL,2),(28,101,2,24,31,NULL,15,NULL,4),(28,101,2,24,32,NULL,2,NULL,NULL),(28,101,2,24,33,1,6,1,2),(28,101,2,24,34,4,10,1,4),(28,101,2,24,35,7,NULL,3,NULL),(28,101,2,24,36,NULL,4,NULL,2),(28,101,2,24,37,NULL,8,NULL,3),(28,101,2,24,38,1,2,NULL,NULL),(28,101,2,24,39,1,4,1,2),(28,101,2,24,40,NULL,19,NULL,6),(28,102,1,11,1,NULL,NULL,NULL,NULL),(28,102,1,11,2,NULL,NULL,NULL,NULL),(28,102,1,11,3,NULL,NULL,NULL,NULL),(28,102,1,11,4,NULL,1,NULL,NULL),(28,102,1,11,5,NULL,NULL,NULL,NULL),(28,102,1,11,6,NULL,NULL,NULL,NULL),(28,102,1,11,7,NULL,NULL,NULL,NULL),(28,102,1,11,8,NULL,NULL,NULL,NULL),(28,102,1,11,9,1,NULL,NULL,NULL),(28,102,1,11,10,1,NULL,NULL,NULL),(28,102,1,11,11,NULL,NULL,NULL,NULL),(28,102,1,11,12,NULL,NULL,NULL,NULL),(28,102,1,11,13,NULL,1,NULL,NULL),(28,102,1,11,14,1,NULL,NULL,NULL),(28,102,1,11,15,NULL,NULL,NULL,NULL),(28,102,1,11,16,1,NULL,NULL,NULL),(28,102,1,11,17,1,NULL,NULL,NULL),(28,102,1,11,18,NULL,1,NULL,NULL),(28,102,1,11,19,NULL,NULL,NULL,NULL),(28,102,1,11,20,1,NULL,NULL,NULL),(28,102,1,11,21,NULL,NULL,NULL,NULL),(28,102,1,11,22,NULL,NULL,NULL,NULL),(28,102,1,11,23,NULL,NULL,NULL,NULL),(28,102,1,11,24,NULL,NULL,NULL,NULL),(28,102,1,11,25,NULL,NULL,NULL,NULL),(28,102,1,11,26,NULL,NULL,NULL,NULL),(28,102,1,11,27,NULL,NULL,NULL,NULL),(28,102,1,11,28,NULL,NULL,NULL,NULL),(28,102,1,11,29,NULL,NULL,NULL,NULL),(28,102,1,11,30,NULL,NULL,NULL,NULL),(28,102,1,11,31,NULL,NULL,NULL,NULL),(28,102,1,11,32,NULL,NULL,NULL,NULL),(28,102,1,11,33,NULL,NULL,NULL,NULL),(28,102,1,11,34,NULL,NULL,NULL,NULL),(28,102,1,11,35,NULL,NULL,NULL,NULL),(28,102,1,11,36,NULL,NULL,NULL,NULL),(28,102,1,11,37,NULL,NULL,NULL,NULL),(28,102,1,11,38,NULL,NULL,NULL,NULL),(28,102,1,11,39,NULL,NULL,NULL,NULL),(28,102,1,11,40,NULL,NULL,NULL,NULL),(28,102,1,12,1,NULL,NULL,NULL,NULL),(28,102,1,12,2,NULL,1,NULL,1),(28,102,1,12,3,1,NULL,1,NULL),(28,102,1,12,4,NULL,1,NULL,1),(28,102,1,12,5,1,NULL,1,NULL),(28,102,1,12,6,NULL,1,NULL,1),(28,102,1,12,7,NULL,2,NULL,2),(28,102,1,12,8,NULL,2,NULL,2),(28,102,1,12,9,NULL,2,NULL,2),(28,102,1,12,10,1,1,1,1),(28,102,1,12,11,1,1,1,1),(28,102,1,12,12,NULL,2,NULL,2),(28,102,1,12,13,2,NULL,2,NULL),(28,102,1,12,14,2,NULL,2,NULL),(28,102,1,12,15,1,1,1,1),(28,102,1,12,16,2,NULL,2,NULL),(28,102,1,12,17,NULL,1,NULL,1),(28,102,1,12,18,1,1,1,1),(28,102,1,12,19,1,1,1,1),(28,102,1,12,20,2,NULL,2,NULL),(28,102,1,12,21,NULL,NULL,NULL,NULL),(28,102,1,12,22,NULL,NULL,NULL,NULL),(28,102,1,12,23,NULL,1,NULL,1),(28,102,1,12,24,NULL,NULL,NULL,NULL),(28,102,1,12,25,NULL,1,NULL,1),(28,102,1,12,26,NULL,NULL,NULL,NULL),(28,102,1,12,27,1,NULL,1,NULL),(28,102,1,12,28,NULL,NULL,NULL,NULL),(28,102,1,12,29,NULL,1,NULL,1),(28,102,1,12,30,NULL,2,NULL,2),(28,102,1,12,31,NULL,NULL,NULL,NULL),(28,102,1,12,32,NULL,1,NULL,1),(28,102,1,12,33,NULL,NULL,NULL,NULL),(28,102,1,12,34,2,NULL,2,NULL),(28,102,1,12,35,NULL,1,NULL,1),(28,102,1,12,36,1,NULL,1,NULL),(28,102,1,12,37,NULL,1,NULL,1),(28,102,1,12,38,1,NULL,1,NULL),(28,102,1,12,39,NULL,2,NULL,2),(28,102,1,12,40,NULL,NULL,NULL,NULL),(28,102,1,13,1,NULL,NULL,NULL,NULL),(28,102,1,13,2,NULL,NULL,NULL,NULL),(28,102,1,13,3,NULL,NULL,NULL,NULL),(28,102,1,13,4,NULL,NULL,NULL,NULL),(28,102,1,13,5,NULL,NULL,NULL,NULL),(28,102,1,13,6,NULL,NULL,NULL,NULL),(28,102,1,13,7,NULL,NULL,NULL,NULL),(28,102,1,13,8,NULL,NULL,NULL,NULL),(28,102,1,13,9,NULL,NULL,NULL,NULL),(28,102,1,13,10,NULL,NULL,NULL,NULL),(28,102,1,13,11,NULL,NULL,NULL,NULL),(28,102,1,13,12,NULL,NULL,NULL,NULL),(28,102,1,13,13,1,NULL,1,NULL),(28,102,1,13,14,1,NULL,1,NULL),(28,102,1,13,15,NULL,NULL,NULL,NULL),(28,102,1,13,16,1,NULL,1,NULL),(28,102,1,13,17,NULL,NULL,NULL,NULL),(28,102,1,13,18,NULL,NULL,NULL,NULL),(28,102,1,13,19,NULL,NULL,NULL,NULL),(28,102,1,13,20,NULL,NULL,NULL,NULL),(28,102,1,13,21,NULL,1,NULL,1),(28,102,1,13,22,NULL,NULL,NULL,NULL),(28,102,1,13,23,NULL,NULL,NULL,NULL),(28,102,1,13,24,NULL,NULL,NULL,NULL),(28,102,1,13,25,NULL,NULL,NULL,NULL),(28,102,1,13,26,NULL,NULL,NULL,NULL),(28,102,1,13,27,NULL,NULL,NULL,NULL),(28,102,1,13,28,NULL,NULL,NULL,NULL),(28,102,1,13,29,NULL,NULL,NULL,NULL),(28,102,1,13,30,NULL,NULL,NULL,NULL),(28,102,1,13,31,NULL,NULL,NULL,NULL),(28,102,1,13,32,NULL,NULL,NULL,NULL),(28,102,1,13,33,NULL,NULL,NULL,NULL),(28,102,1,13,34,NULL,NULL,NULL,NULL),(28,102,1,13,35,NULL,NULL,NULL,NULL),(28,102,1,13,36,NULL,NULL,NULL,NULL),(28,102,1,13,37,NULL,NULL,NULL,NULL),(28,102,1,13,38,NULL,NULL,NULL,NULL),(28,102,1,13,39,1,NULL,1,NULL),(28,102,1,13,40,NULL,NULL,NULL,NULL),(28,102,1,14,1,27,NULL,19,NULL),(28,102,1,14,2,1,20,NULL,15),(28,102,1,14,3,13,19,10,12),(28,102,1,14,4,7,15,4,8),(28,102,1,14,5,19,22,14,11),(28,102,1,14,6,6,40,4,18),(28,102,1,14,7,6,19,1,12),(28,102,1,14,8,3,24,2,16),(28,102,1,14,9,8,24,4,16),(28,102,1,14,10,29,13,20,8),(28,102,1,14,11,2,12,1,9),(28,102,1,14,12,10,15,6,9),(28,102,1,14,13,31,24,16,14),(28,102,1,14,14,11,12,9,8),(28,102,1,14,15,30,NULL,16,NULL),(28,102,1,14,16,23,15,16,9),(28,102,1,14,17,9,34,6,16),(28,102,1,14,18,6,8,3,7),(28,102,1,14,19,29,10,17,5),(28,102,1,14,20,23,35,13,15),(28,102,1,14,21,2,15,NULL,5),(28,102,1,14,22,1,12,NULL,3),(28,102,1,14,23,1,13,NULL,8),(28,102,1,14,24,2,NULL,1,NULL),(28,102,1,14,25,6,7,4,3),(28,102,1,14,26,NULL,8,NULL,3),(28,102,1,14,27,9,NULL,6,NULL),(28,102,1,14,28,2,3,NULL,2),(28,102,1,14,29,4,2,2,1),(28,102,1,14,30,5,14,3,11),(28,102,1,14,31,3,6,3,2),(28,102,1,14,32,6,13,3,6),(28,102,1,14,33,6,10,5,5),(28,102,1,14,34,21,8,13,5),(28,102,1,14,35,3,4,2,3),(28,102,1,14,36,3,NULL,3,NULL),(28,102,1,14,37,2,14,2,9),(28,102,1,14,38,3,12,3,8),(28,102,1,14,39,14,21,9,13),(28,102,1,14,40,2,NULL,1,NULL),(28,102,1,15,1,25,NULL,20,NULL),(28,102,1,15,2,3,22,3,16),(28,102,1,15,3,17,19,11,15),(28,102,1,15,4,5,18,4,13),(28,102,1,15,5,16,19,13,9),(28,102,1,15,6,9,35,4,24),(28,102,1,15,7,7,10,4,9),(28,102,1,15,8,7,25,4,19),(28,102,1,15,9,3,23,3,15),(28,102,1,15,10,35,9,24,7),(28,102,1,15,11,6,12,6,10),(28,102,1,15,12,8,11,5,8),(28,102,1,15,13,26,17,22,10),(28,102,1,15,14,9,13,9,11),(28,102,1,15,15,32,NULL,21,NULL),(28,102,1,15,16,20,22,15,15),(28,102,1,15,17,4,29,4,20),(28,102,1,15,18,11,8,10,5),(28,102,1,15,19,22,22,17,15),(28,102,1,15,20,17,32,17,15),(28,102,1,15,21,2,11,2,3),(28,102,1,15,22,1,13,NULL,9),(28,102,1,15,23,NULL,11,NULL,9),(28,102,1,15,24,2,NULL,1,NULL),(28,102,1,15,25,1,4,NULL,4),(28,102,1,15,26,1,4,1,4),(28,102,1,15,27,6,NULL,5,NULL),(28,102,1,15,28,NULL,4,NULL,2),(28,102,1,15,29,3,11,2,9),(28,102,1,15,30,3,12,1,10),(28,102,1,15,31,4,7,3,7),(28,102,1,15,32,4,13,3,10),(28,102,1,15,33,5,9,5,7),(28,102,1,15,34,21,11,17,8),(28,102,1,15,35,NULL,7,NULL,5),(28,102,1,15,36,1,NULL,1,NULL),(28,102,1,15,37,3,12,1,11),(28,102,1,15,38,3,9,3,5),(28,102,1,15,39,20,14,13,9),(28,102,1,15,40,7,NULL,6,NULL),(28,102,1,16,1,22,NULL,14,NULL),(28,102,1,16,2,1,12,1,6),(28,102,1,16,3,14,15,7,11),(28,102,1,16,4,12,17,7,7),(28,102,1,16,5,16,16,8,6),(28,102,1,16,6,5,29,2,9),(28,102,1,16,7,6,23,2,12),(28,102,1,16,8,3,27,1,18),(28,102,1,16,9,10,20,7,11),(28,102,1,16,10,36,10,17,6),(28,102,1,16,11,6,10,4,6),(28,102,1,16,12,8,10,2,5),(28,102,1,16,13,67,NULL,28,NULL),(28,102,1,16,14,61,6,22,5),(28,102,1,16,15,14,36,7,15),(28,102,1,16,16,44,NULL,17,NULL),(28,102,1,16,17,37,24,16,10),(28,102,1,16,18,15,14,11,5),(28,102,1,16,19,10,29,4,12),(28,102,1,16,20,12,34,3,16),(28,102,1,16,21,4,6,2,2),(28,102,1,16,22,1,9,NULL,3),(28,102,1,16,23,2,12,NULL,9),(28,102,1,16,24,2,NULL,NULL,NULL),(28,102,1,16,25,3,8,NULL,5),(28,102,1,16,26,4,6,1,1),(28,102,1,16,27,6,NULL,2,NULL),(28,102,1,16,28,1,2,NULL,NULL),(28,102,1,16,29,3,13,2,8),(28,102,1,16,30,8,15,1,8),(28,102,1,16,31,NULL,2,NULL,2),(28,102,1,16,32,4,12,3,7),(28,102,1,16,33,3,9,2,6),(28,102,1,16,34,9,11,5,6),(28,102,1,16,35,NULL,9,NULL,6),(28,102,1,16,36,NULL,NULL,NULL,NULL),(28,102,1,16,37,2,5,2,3),(28,102,1,16,38,3,6,3,5),(28,102,1,16,39,7,19,4,11),(28,102,1,16,40,5,NULL,4,NULL),(28,102,1,17,1,14,NULL,10,NULL),(28,102,1,17,2,NULL,14,NULL,8),(28,102,1,17,3,12,17,6,11),(28,102,1,17,4,6,11,2,4),(28,102,1,17,5,11,14,6,3),(28,102,1,17,6,5,31,2,16),(28,102,1,17,7,7,10,3,5),(28,102,1,17,8,3,22,2,13),(28,102,1,17,9,8,12,5,8),(28,102,1,17,10,33,11,18,6),(28,102,1,17,11,5,10,5,5),(28,102,1,17,12,4,12,2,5),(28,102,1,17,13,59,NULL,25,NULL),(28,102,1,17,14,46,10,21,5),(28,102,1,17,15,23,27,12,12),(28,102,1,17,16,42,NULL,17,NULL),(28,102,1,17,17,28,27,15,8),(28,102,1,17,18,16,13,10,7),(28,102,1,17,19,11,30,5,11),(28,102,1,17,20,7,18,4,8),(28,102,1,17,21,3,8,1,5),(28,102,1,17,22,2,8,NULL,7),(28,102,1,17,23,NULL,16,NULL,5),(28,102,1,17,24,NULL,NULL,NULL,NULL),(28,102,1,17,25,2,7,2,2),(28,102,1,17,26,1,7,NULL,3),(28,102,1,17,27,9,NULL,5,NULL),(28,102,1,17,28,NULL,3,NULL,1),(28,102,1,17,29,3,6,3,3),(28,102,1,17,30,6,15,3,6),(28,102,1,17,31,2,8,1,5),(28,102,1,17,32,10,12,5,9),(28,102,1,17,33,2,5,2,2),(28,102,1,17,34,9,9,6,6),(28,102,1,17,35,2,3,2,2),(28,102,1,17,36,1,NULL,1,NULL),(28,102,1,17,37,NULL,7,NULL,2),(28,102,1,17,38,3,7,3,6),(28,102,1,17,39,7,14,5,7),(28,102,1,17,40,1,NULL,1,NULL),(28,102,1,18,1,NULL,NULL,NULL,NULL),(28,102,1,18,2,NULL,NULL,NULL,NULL),(28,102,1,18,3,NULL,NULL,NULL,NULL),(28,102,1,18,4,NULL,NULL,NULL,NULL),(28,102,1,18,5,NULL,NULL,NULL,NULL),(28,102,1,18,6,NULL,NULL,NULL,NULL),(28,102,1,18,7,NULL,NULL,NULL,NULL),(28,102,1,18,8,NULL,NULL,NULL,NULL),(28,102,1,18,9,NULL,NULL,NULL,NULL),(28,102,1,18,10,NULL,NULL,NULL,NULL),(28,102,1,18,11,NULL,NULL,NULL,NULL),(28,102,1,18,12,NULL,NULL,NULL,NULL),(28,102,1,18,13,NULL,NULL,NULL,NULL),(28,102,1,18,14,NULL,NULL,NULL,NULL),(28,102,1,18,15,NULL,NULL,NULL,NULL),(28,102,1,18,16,NULL,NULL,NULL,NULL),(28,102,1,18,17,NULL,NULL,NULL,NULL),(28,102,1,18,18,NULL,NULL,NULL,NULL),(28,102,1,18,19,NULL,NULL,NULL,NULL),(28,102,1,18,20,NULL,NULL,NULL,NULL),(28,102,1,18,21,NULL,NULL,NULL,NULL),(28,102,1,18,22,NULL,NULL,NULL,NULL),(28,102,1,18,23,NULL,NULL,NULL,NULL),(28,102,1,18,24,NULL,NULL,NULL,NULL),(28,102,1,18,25,NULL,NULL,NULL,NULL),(28,102,1,18,26,NULL,NULL,NULL,NULL),(28,102,1,18,27,NULL,NULL,NULL,NULL),(28,102,1,18,28,NULL,NULL,NULL,NULL),(28,102,1,18,29,NULL,NULL,NULL,NULL),(28,102,1,18,30,NULL,NULL,NULL,NULL),(28,102,1,18,31,NULL,NULL,NULL,NULL),(28,102,1,18,32,NULL,NULL,NULL,NULL),(28,102,1,18,33,NULL,NULL,NULL,NULL),(28,102,1,18,34,NULL,NULL,NULL,NULL),(28,102,1,18,35,NULL,NULL,NULL,NULL),(28,102,1,18,36,NULL,NULL,NULL,NULL),(28,102,1,18,37,NULL,NULL,NULL,NULL),(28,102,1,18,38,NULL,NULL,NULL,NULL),(28,102,1,18,39,NULL,NULL,NULL,NULL),(28,102,1,18,40,NULL,NULL,NULL,NULL),(28,102,1,19,1,NULL,NULL,NULL,NULL),(28,102,1,19,2,NULL,NULL,NULL,NULL),(28,102,1,19,3,NULL,NULL,NULL,NULL),(28,102,1,19,4,NULL,NULL,NULL,NULL),(28,102,1,19,5,NULL,NULL,NULL,NULL),(28,102,1,19,6,NULL,NULL,NULL,NULL),(28,102,1,19,7,NULL,NULL,NULL,NULL),(28,102,1,19,8,NULL,NULL,NULL,NULL),(28,102,1,19,9,NULL,NULL,NULL,NULL),(28,102,1,19,10,NULL,NULL,NULL,NULL),(28,102,1,19,11,NULL,NULL,NULL,NULL),(28,102,1,19,12,NULL,NULL,NULL,NULL),(28,102,1,19,13,NULL,NULL,NULL,NULL),(28,102,1,19,14,NULL,NULL,NULL,NULL),(28,102,1,19,15,NULL,NULL,NULL,NULL),(28,102,1,19,16,NULL,NULL,NULL,NULL),(28,102,1,19,17,NULL,NULL,NULL,NULL),(28,102,1,19,18,NULL,NULL,NULL,NULL),(28,102,1,19,19,NULL,NULL,NULL,NULL),(28,102,1,19,20,NULL,NULL,NULL,NULL),(28,102,1,19,21,NULL,NULL,NULL,NULL),(28,102,1,19,22,NULL,NULL,NULL,NULL),(28,102,1,19,23,NULL,NULL,NULL,NULL),(28,102,1,19,24,NULL,NULL,NULL,NULL),(28,102,1,19,25,NULL,NULL,NULL,NULL),(28,102,1,19,26,NULL,NULL,NULL,NULL),(28,102,1,19,27,NULL,NULL,NULL,NULL),(28,102,1,19,28,NULL,NULL,NULL,NULL),(28,102,1,19,29,NULL,NULL,NULL,NULL),(28,102,1,19,30,NULL,NULL,NULL,NULL),(28,102,1,19,31,NULL,NULL,NULL,NULL),(28,102,1,19,32,NULL,NULL,NULL,NULL),(28,102,1,19,33,NULL,NULL,NULL,NULL),(28,102,1,19,34,NULL,NULL,NULL,NULL),(28,102,1,19,35,NULL,NULL,NULL,NULL),(28,102,1,19,36,NULL,NULL,NULL,NULL),(28,102,1,19,37,NULL,NULL,NULL,NULL),(28,102,1,19,38,NULL,NULL,NULL,NULL),(28,102,1,19,39,NULL,NULL,NULL,NULL),(28,102,1,19,40,NULL,NULL,NULL,NULL),(28,102,2,21,1,1,26,NULL,12),(28,102,2,21,2,1,12,1,8),(28,102,2,21,3,21,19,13,13),(28,102,2,21,4,NULL,8,NULL,4),(28,102,2,21,5,9,17,6,12),(28,102,2,21,6,15,34,7,16),(28,102,2,21,7,NULL,22,NULL,11),(28,102,2,21,8,6,10,3,5),(28,102,2,21,9,3,7,2,5),(28,102,2,21,10,15,17,7,12),(28,102,2,21,11,4,6,3,6),(28,102,2,21,12,11,27,6,13),(28,102,2,21,13,5,37,2,20),(28,102,2,21,14,13,14,9,9),(28,102,2,21,15,5,16,4,8),(28,102,2,21,16,12,26,6,13),(28,102,2,21,17,5,8,2,5),(28,102,2,21,18,29,17,16,10),(28,102,2,21,19,8,18,5,9),(28,102,2,21,20,16,17,11,9),(28,102,2,21,21,3,14,1,5),(28,102,2,21,22,5,6,5,3),(28,102,2,21,23,3,6,2,4),(28,102,2,21,24,3,11,1,4),(28,102,2,21,25,1,10,NULL,7),(28,102,2,21,26,2,5,NULL,4),(28,102,2,21,27,5,16,4,10),(28,102,2,21,28,3,8,2,6),(28,102,2,21,29,NULL,8,NULL,6),(28,102,2,21,30,1,5,NULL,2),(28,102,2,21,31,3,20,3,8),(28,102,2,21,32,NULL,7,NULL,6),(28,102,2,21,33,6,9,5,8),(28,102,2,21,34,1,14,1,10),(28,102,2,21,35,9,NULL,6,NULL),(28,102,2,21,36,3,10,2,2),(28,102,2,21,37,6,9,3,6),(28,102,2,21,38,1,2,1,2),(28,102,2,21,39,NULL,7,NULL,4),(28,102,2,21,40,2,30,2,17),(28,102,2,22,1,NULL,21,NULL,7),(28,102,2,22,2,1,8,NULL,5),(28,102,2,22,3,23,18,14,8),(28,102,2,22,4,1,10,NULL,4),(28,102,2,22,5,6,8,5,6),(28,102,2,22,6,19,26,8,8),(28,102,2,22,7,NULL,20,NULL,9),(28,102,2,22,8,4,10,2,2),(28,102,2,22,9,3,4,2,3),(28,102,2,22,10,15,11,5,9),(28,102,2,22,11,2,11,2,7),(28,102,2,22,12,3,26,2,12),(28,102,2,22,13,3,28,1,17),(28,102,2,22,14,7,18,2,10),(28,102,2,22,15,11,21,4,8),(28,102,2,22,16,8,27,2,13),(28,102,2,22,17,4,9,3,4),(28,102,2,22,18,16,20,2,14),(28,102,2,22,19,8,22,2,12),(28,102,2,22,20,18,17,9,8),(28,102,2,22,21,2,11,NULL,7),(28,102,2,22,22,1,4,1,2),(28,102,2,22,23,3,2,NULL,2),(28,102,2,22,24,1,14,NULL,5),(28,102,2,22,25,1,6,NULL,3),(28,102,2,22,26,3,7,2,3),(28,102,2,22,27,NULL,16,NULL,11),(28,102,2,22,28,1,7,1,5),(28,102,2,22,29,3,6,3,3),(28,102,2,22,30,2,8,NULL,3),(28,102,2,22,31,1,16,NULL,5),(28,102,2,22,32,1,4,1,2),(28,102,2,22,33,3,12,3,6),(28,102,2,22,34,5,17,1,12),(28,102,2,22,35,7,NULL,3,NULL),(28,102,2,22,36,2,5,NULL,3),(28,102,2,22,37,5,5,4,4),(28,102,2,22,38,NULL,2,NULL,1),(28,102,2,22,39,2,13,1,3),(28,102,2,22,40,4,24,3,11),(28,102,2,23,1,4,23,3,12),(28,102,2,23,2,1,7,NULL,4),(28,102,2,23,3,28,17,14,15),(28,102,2,23,4,NULL,13,NULL,8),(28,102,2,23,5,8,13,4,8),(28,102,2,23,6,22,33,12,16),(28,102,2,23,7,NULL,24,NULL,12),(28,102,2,23,8,4,13,4,9),(28,102,2,23,9,5,6,4,3),(28,102,2,23,10,13,15,11,13),(28,102,2,23,11,10,9,7,5),(28,102,2,23,12,12,26,11,13),(28,102,2,23,13,9,30,5,16),(28,102,2,23,14,12,17,9,14),(28,102,2,23,15,8,25,4,18),(28,102,2,23,16,16,29,9,16),(28,102,2,23,17,3,11,1,11),(28,102,2,23,18,22,23,13,18),(28,102,2,23,19,10,21,8,13),(28,102,2,23,20,13,19,9,13),(28,102,2,23,21,1,9,NULL,3),(28,102,2,23,22,7,5,6,3),(28,102,2,23,23,NULL,5,NULL,4),(28,102,2,23,24,1,8,NULL,6),(28,102,2,23,25,4,9,3,4),(28,102,2,23,26,3,7,2,4),(28,102,2,23,27,4,20,2,17),(28,102,2,23,28,3,9,1,8),(28,102,2,23,29,NULL,6,NULL,4),(28,102,2,23,30,1,8,1,4),(28,102,2,23,31,NULL,22,NULL,13),(28,102,2,23,32,2,7,2,6),(28,102,2,23,33,8,13,7,9),(28,102,2,23,34,8,14,5,11),(28,102,2,23,35,9,NULL,4,NULL),(28,102,2,23,36,1,6,1,4),(28,102,2,23,37,3,9,2,6),(28,102,2,23,38,2,5,2,4),(28,102,2,23,39,NULL,12,NULL,8),(28,102,2,23,40,3,25,3,17),(28,102,2,24,1,NULL,23,NULL,10),(28,102,2,24,2,NULL,11,NULL,7),(28,102,2,24,3,15,25,10,18),(28,102,2,24,4,1,2,NULL,1),(28,102,2,24,5,8,16,6,11),(28,102,2,24,6,17,26,9,12),(28,102,2,24,7,NULL,12,NULL,8),(28,102,2,24,8,1,10,1,6),(28,102,2,24,9,2,2,2,1),(28,102,2,24,10,7,18,5,14),(28,102,2,24,11,6,7,6,4),(28,102,2,24,12,7,26,2,18),(28,102,2,24,13,8,32,5,19),(28,102,2,24,14,10,22,8,15),(28,102,2,24,15,8,16,4,9),(28,102,2,24,16,10,18,7,10),(28,102,2,24,17,4,8,2,7),(28,102,2,24,18,19,17,13,12),(28,102,2,24,19,6,13,5,9),(28,102,2,24,20,14,17,11,11),(28,102,2,24,21,2,7,1,1),(28,102,2,24,22,3,5,3,4),(28,102,2,24,23,NULL,3,NULL,2),(28,102,2,24,24,3,7,2,2),(28,102,2,24,25,2,6,NULL,2),(28,102,2,24,26,2,13,NULL,8),(28,102,2,24,27,4,22,2,16),(28,102,2,24,28,1,5,NULL,4),(28,102,2,24,29,2,7,NULL,7),(28,102,2,24,30,3,4,1,2),(28,102,2,24,31,4,14,3,9),(28,102,2,24,32,1,5,1,4),(28,102,2,24,33,10,12,6,7),(28,102,2,24,34,5,22,4,16),(28,102,2,24,35,6,NULL,4,NULL),(28,102,2,24,36,NULL,5,NULL,3),(28,102,2,24,37,5,14,2,8),(28,102,2,24,38,NULL,3,NULL,1),(28,102,2,24,39,1,7,NULL,4),(28,102,2,24,40,4,33,2,17),(28,103,1,11,1,1,NULL,NULL,NULL),(28,103,1,11,2,2,4,NULL,NULL),(28,103,1,11,3,2,3,NULL,NULL),(28,103,1,11,4,3,1,NULL,NULL),(28,103,1,11,5,3,3,NULL,NULL),(28,103,1,11,6,3,3,NULL,NULL),(28,103,1,11,7,2,NULL,NULL,NULL),(28,103,1,11,8,2,3,NULL,NULL),(28,103,1,11,9,2,2,NULL,NULL),(28,103,1,11,10,5,1,NULL,NULL),(28,103,1,11,11,1,1,NULL,NULL),(28,103,1,11,12,1,3,NULL,NULL),(28,103,1,11,13,4,NULL,NULL,NULL),(28,103,1,11,14,5,2,NULL,NULL),(28,103,1,11,15,4,NULL,NULL,NULL),(28,103,1,11,16,5,NULL,NULL,NULL),(28,103,1,11,17,3,2,NULL,NULL),(28,103,1,11,18,2,1,NULL,NULL),(28,103,1,11,19,4,NULL,NULL,NULL),(28,103,1,11,20,2,NULL,NULL,NULL),(28,103,1,11,21,NULL,1,NULL,NULL),(28,103,1,11,22,NULL,3,NULL,NULL),(28,103,1,11,23,NULL,1,NULL,NULL),(28,103,1,11,24,NULL,NULL,NULL,NULL),(28,103,1,11,25,NULL,1,NULL,NULL),(28,103,1,11,26,NULL,1,NULL,NULL),(28,103,1,11,27,2,NULL,NULL,NULL),(28,103,1,11,28,NULL,NULL,NULL,NULL),(28,103,1,11,29,NULL,2,NULL,NULL),(28,103,1,11,30,1,2,NULL,NULL),(28,103,1,11,31,1,2,NULL,NULL),(28,103,1,11,32,1,2,NULL,NULL),(28,103,1,11,33,3,NULL,NULL,NULL),(28,103,1,11,34,5,1,NULL,NULL),(28,103,1,11,35,NULL,1,NULL,NULL),(28,103,1,11,36,NULL,NULL,NULL,NULL),(28,103,1,11,37,NULL,1,NULL,NULL),(28,103,1,11,38,3,1,NULL,NULL),(28,103,1,11,39,1,4,NULL,NULL),(28,103,1,11,40,1,NULL,NULL,NULL),(28,103,1,12,1,7,NULL,NULL,NULL),(28,103,1,12,2,1,5,NULL,NULL),(28,103,1,12,3,4,4,NULL,NULL),(28,103,1,12,4,3,1,NULL,NULL),(28,103,1,12,5,2,3,NULL,NULL),(28,103,1,12,6,5,3,NULL,NULL),(28,103,1,12,7,2,4,NULL,NULL),(28,103,1,12,8,5,NULL,NULL,NULL),(28,103,1,12,9,5,NULL,NULL,NULL),(28,103,1,12,10,8,2,NULL,NULL),(28,103,1,12,11,4,2,NULL,NULL),(28,103,1,12,12,1,3,NULL,NULL),(28,103,1,12,13,11,NULL,NULL,NULL),(28,103,1,12,14,9,1,NULL,NULL),(28,103,1,12,15,4,3,NULL,NULL),(28,103,1,12,16,12,NULL,NULL,NULL),(28,103,1,12,17,6,3,NULL,NULL),(28,103,1,12,18,7,NULL,NULL,NULL),(28,103,1,12,19,9,3,NULL,NULL),(28,103,1,12,20,8,3,NULL,NULL),(28,103,1,12,21,1,1,NULL,NULL),(28,103,1,12,22,1,4,NULL,NULL),(28,103,1,12,23,1,1,NULL,NULL),(28,103,1,12,24,NULL,NULL,NULL,NULL),(28,103,1,12,25,NULL,2,NULL,NULL),(28,103,1,12,26,1,1,NULL,NULL),(28,103,1,12,27,4,NULL,NULL,NULL),(28,103,1,12,28,NULL,1,NULL,NULL),(28,103,1,12,29,4,2,NULL,NULL),(28,103,1,12,30,2,3,NULL,NULL),(28,103,1,12,31,NULL,2,NULL,NULL),(28,103,1,12,32,2,3,NULL,NULL),(28,103,1,12,33,1,NULL,NULL,NULL),(28,103,1,12,34,5,3,NULL,NULL),(28,103,1,12,35,3,2,NULL,NULL),(28,103,1,12,36,3,NULL,NULL,NULL),(28,103,1,12,37,2,NULL,NULL,NULL),(28,103,1,12,38,2,2,NULL,NULL),(28,103,1,12,39,5,3,NULL,NULL),(28,103,1,12,40,3,NULL,NULL,NULL),(28,103,1,13,1,NULL,NULL,NULL,NULL),(28,103,1,13,2,NULL,3,NULL,NULL),(28,103,1,13,3,5,2,NULL,NULL),(28,103,1,13,4,1,2,NULL,NULL),(28,103,1,13,5,4,2,NULL,NULL),(28,103,1,13,6,3,5,NULL,NULL),(28,103,1,13,7,2,2,NULL,NULL),(28,103,1,13,8,2,3,NULL,NULL),(28,103,1,13,9,NULL,2,NULL,NULL),(28,103,1,13,10,4,NULL,NULL,NULL),(28,103,1,13,11,1,NULL,NULL,NULL),(28,103,1,13,12,4,2,NULL,NULL),(28,103,1,13,13,10,NULL,NULL,NULL),(28,103,1,13,14,6,1,NULL,NULL),(28,103,1,13,15,4,5,NULL,NULL),(28,103,1,13,16,7,NULL,NULL,NULL),(28,103,1,13,17,NULL,5,NULL,NULL),(28,103,1,13,18,6,1,NULL,NULL),(28,103,1,13,19,9,NULL,NULL,NULL),(28,103,1,13,20,2,NULL,NULL,NULL),(28,103,1,13,21,NULL,3,NULL,NULL),(28,103,1,13,22,NULL,1,NULL,NULL),(28,103,1,13,23,NULL,NULL,NULL,NULL),(28,103,1,13,24,NULL,NULL,NULL,NULL),(28,103,1,13,25,1,1,NULL,NULL),(28,103,1,13,26,NULL,NULL,NULL,NULL),(28,103,1,13,27,2,NULL,NULL,NULL),(28,103,1,13,28,NULL,NULL,NULL,NULL),(28,103,1,13,29,NULL,2,NULL,NULL),(28,103,1,13,30,2,1,NULL,NULL),(28,103,1,13,31,NULL,2,NULL,NULL),(28,103,1,13,32,1,1,NULL,NULL),(28,103,1,13,33,1,1,NULL,NULL),(28,103,1,13,34,3,1,NULL,NULL),(28,103,1,13,35,2,NULL,NULL,NULL),(28,103,1,13,36,NULL,NULL,NULL,NULL),(28,103,1,13,37,1,NULL,NULL,NULL),(28,103,1,13,38,2,NULL,NULL,NULL),(28,103,1,13,39,3,5,NULL,NULL),(28,103,1,13,40,1,NULL,NULL,NULL),(28,103,1,14,1,650,NULL,35,NULL),(28,103,1,14,2,135,548,14,28),(28,103,1,14,3,596,358,39,6),(28,103,1,14,4,194,355,8,16),(28,103,1,14,5,604,370,33,9),(28,103,1,14,6,298,664,24,18),(28,103,1,14,7,213,266,16,5),(28,103,1,14,8,249,602,18,21),(28,103,1,14,9,261,407,19,15),(28,103,1,14,10,909,144,41,4),(28,103,1,14,11,279,219,24,7),(28,103,1,14,12,340,439,30,12),(28,103,1,14,13,903,298,35,10),(28,103,1,14,14,527,278,31,9),(28,103,1,14,15,831,NULL,41,NULL),(28,103,1,14,16,773,332,37,8),(28,103,1,14,17,381,681,27,17),(28,103,1,14,18,412,279,27,6),(28,103,1,14,19,864,310,36,7),(28,103,1,14,20,649,576,31,14),(28,103,1,14,21,63,196,12,12),(28,103,1,14,22,118,433,15,19),(28,103,1,14,23,137,261,11,8),(28,103,1,14,24,88,NULL,14,NULL),(28,103,1,14,25,54,231,7,14),(28,103,1,14,26,33,332,1,21),(28,103,1,14,27,482,NULL,36,NULL),(28,103,1,14,28,43,102,5,6),(28,103,1,14,29,75,230,4,15),(28,103,1,14,30,236,392,15,22),(28,103,1,14,31,181,303,14,16),(28,103,1,14,32,215,303,8,20),(28,103,1,14,33,309,242,27,10),(28,103,1,14,34,681,161,36,2),(28,103,1,14,35,242,195,19,7),(28,103,1,14,36,328,NULL,30,NULL),(28,103,1,14,37,110,179,9,8),(28,103,1,14,38,349,211,33,5),(28,103,1,14,39,400,499,21,18),(28,103,1,14,40,181,NULL,9,NULL),(28,103,1,15,1,645,NULL,20,NULL),(28,103,1,15,2,138,521,6,19),(28,103,1,15,3,570,368,21,5),(28,103,1,15,4,196,361,7,7),(28,103,1,15,5,522,381,18,7),(28,103,1,15,6,294,654,16,10),(28,103,1,15,7,185,260,14,5),(28,103,1,15,8,190,573,7,18),(28,103,1,15,9,234,372,10,10),(28,103,1,15,10,890,121,25,2),(28,103,1,15,11,212,233,14,4),(28,103,1,15,12,333,402,10,12),(28,103,1,15,13,850,299,24,3),(28,103,1,15,14,450,330,16,8),(28,103,1,15,15,843,NULL,26,NULL),(28,103,1,15,16,743,331,19,6),(28,103,1,15,17,382,675,14,12),(28,103,1,15,18,395,317,17,5),(28,103,1,15,19,892,253,22,4),(28,103,1,15,20,648,582,21,6),(28,103,1,15,21,67,181,16,3),(28,103,1,15,22,101,407,9,11),(28,103,1,15,23,82,269,6,6),(28,103,1,15,24,67,NULL,8,NULL),(28,103,1,15,25,49,170,3,10),(28,103,1,15,26,30,321,NULL,15),(28,103,1,15,27,478,NULL,19,NULL),(28,103,1,15,28,21,79,2,10),(28,103,1,15,29,83,296,4,10),(28,103,1,15,30,188,341,10,16),(28,103,1,15,31,208,317,5,15),(28,103,1,15,32,188,314,5,14),(28,103,1,15,33,307,259,15,7),(28,103,1,15,34,693,132,20,5),(28,103,1,15,35,218,162,14,7),(28,103,1,15,36,346,NULL,18,NULL),(28,103,1,15,37,101,173,5,3),(28,103,1,15,38,342,212,15,4),(28,103,1,15,39,400,522,7,16),(28,103,1,15,40,153,NULL,9,NULL),(28,103,1,16,1,275,NULL,8,NULL),(28,103,1,16,2,28,201,2,3),(28,103,1,16,3,218,186,7,5),(28,103,1,16,4,67,170,NULL,6),(28,103,1,16,5,204,182,6,2),(28,103,1,16,6,89,314,4,5),(28,103,1,16,7,90,150,3,2),(28,103,1,16,8,75,290,1,7),(28,103,1,16,9,102,196,1,4),(28,103,1,16,10,416,64,11,NULL),(28,103,1,16,11,100,102,5,2),(28,103,1,16,12,108,159,NULL,6),(28,103,1,16,13,613,NULL,12,NULL),(28,103,1,16,14,535,64,10,2),(28,103,1,16,15,240,271,5,5),(28,103,1,16,16,464,NULL,8,NULL),(28,103,1,16,17,332,228,5,7),(28,103,1,16,18,163,118,NULL,4),(28,103,1,16,19,137,290,3,4),(28,103,1,16,20,141,236,5,3),(28,103,1,16,21,23,93,2,NULL),(28,103,1,16,22,25,150,NULL,3),(28,103,1,16,23,36,96,NULL,6),(28,103,1,16,24,9,NULL,1,NULL),(28,103,1,16,25,25,75,1,1),(28,103,1,16,26,11,110,NULL,4),(28,103,1,16,27,144,NULL,7,NULL),(28,103,1,16,28,9,35,NULL,2),(28,103,1,16,29,27,102,2,4),(28,103,1,16,30,62,169,2,5),(28,103,1,16,31,68,114,4,2),(28,103,1,16,32,59,129,1,3),(28,103,1,16,33,106,117,3,4),(28,103,1,16,34,218,89,6,2),(28,103,1,16,35,67,69,3,2),(28,103,1,16,36,98,NULL,6,NULL),(28,103,1,16,37,34,100,4,3),(28,103,1,16,38,105,104,5,3),(28,103,1,16,39,165,212,2,7),(28,103,1,16,40,56,NULL,NULL,NULL),(28,103,1,17,1,243,NULL,13,NULL),(28,103,1,17,2,26,185,2,11),(28,103,1,17,3,193,167,10,6),(28,103,1,17,4,87,139,4,5),(28,103,1,17,5,151,175,8,7),(28,103,1,17,6,99,303,8,8),(28,103,1,17,7,59,126,4,7),(28,103,1,17,8,46,253,4,11),(28,103,1,17,9,97,170,3,9),(28,103,1,17,10,393,65,14,2),(28,103,1,17,11,93,88,6,4),(28,103,1,17,12,113,149,6,9),(28,103,1,17,13,563,NULL,18,NULL),(28,103,1,17,14,479,74,16,1),(28,103,1,17,15,226,227,9,8),(28,103,1,17,16,473,NULL,14,NULL),(28,103,1,17,17,302,222,7,11),(28,103,1,17,18,131,103,5,4),(28,103,1,17,19,158,246,8,7),(28,103,1,17,20,123,210,3,8),(28,103,1,17,21,25,96,4,3),(28,103,1,17,22,25,153,3,8),(28,103,1,17,23,31,98,1,7),(28,103,1,17,24,15,NULL,5,NULL),(28,103,1,17,25,36,59,1,4),(28,103,1,17,26,14,105,NULL,5),(28,103,1,17,27,174,NULL,11,NULL),(28,103,1,17,28,9,35,2,3),(28,103,1,17,29,25,88,1,5),(28,103,1,17,30,72,174,4,10),(28,103,1,17,31,72,107,4,2),(28,103,1,17,32,83,122,2,7),(28,103,1,17,33,99,110,7,8),(28,103,1,17,34,255,64,12,4),(28,103,1,17,35,78,67,9,4),(28,103,1,17,36,89,NULL,7,NULL),(28,103,1,17,37,37,70,3,7),(28,103,1,17,38,94,73,12,2),(28,103,1,17,39,159,191,3,9),(28,103,1,17,40,47,NULL,9,NULL),(28,103,1,18,1,NULL,NULL,NULL,NULL),(28,103,1,18,2,NULL,NULL,NULL,NULL),(28,103,1,18,3,NULL,NULL,NULL,NULL),(28,103,1,18,4,NULL,NULL,NULL,NULL),(28,103,1,18,5,NULL,NULL,NULL,NULL),(28,103,1,18,6,NULL,NULL,NULL,NULL),(28,103,1,18,7,NULL,NULL,NULL,NULL),(28,103,1,18,8,NULL,NULL,NULL,NULL),(28,103,1,18,9,NULL,NULL,NULL,NULL),(28,103,1,18,10,NULL,NULL,NULL,NULL),(28,103,1,18,11,NULL,NULL,NULL,NULL),(28,103,1,18,12,NULL,NULL,NULL,NULL),(28,103,1,18,13,NULL,NULL,NULL,NULL),(28,103,1,18,14,NULL,NULL,NULL,NULL),(28,103,1,18,15,NULL,NULL,NULL,NULL),(28,103,1,18,16,NULL,NULL,NULL,NULL),(28,103,1,18,17,NULL,NULL,NULL,NULL),(28,103,1,18,18,NULL,NULL,NULL,NULL),(28,103,1,18,19,NULL,NULL,NULL,NULL),(28,103,1,18,20,NULL,NULL,NULL,NULL),(28,103,1,18,21,NULL,NULL,NULL,NULL),(28,103,1,18,22,NULL,NULL,NULL,NULL),(28,103,1,18,23,NULL,NULL,NULL,NULL),(28,103,1,18,24,NULL,NULL,NULL,NULL),(28,103,1,18,25,NULL,NULL,NULL,NULL),(28,103,1,18,26,NULL,NULL,NULL,NULL),(28,103,1,18,27,NULL,NULL,NULL,NULL),(28,103,1,18,28,NULL,NULL,NULL,NULL),(28,103,1,18,29,NULL,NULL,NULL,NULL),(28,103,1,18,30,NULL,NULL,NULL,NULL),(28,103,1,18,31,NULL,NULL,NULL,NULL),(28,103,1,18,32,NULL,NULL,NULL,NULL),(28,103,1,18,33,NULL,NULL,NULL,NULL),(28,103,1,18,34,NULL,NULL,NULL,NULL),(28,103,1,18,35,NULL,NULL,NULL,NULL),(28,103,1,18,36,NULL,NULL,NULL,NULL),(28,103,1,18,37,NULL,NULL,NULL,NULL),(28,103,1,18,38,NULL,NULL,NULL,NULL),(28,103,1,18,39,NULL,NULL,NULL,NULL),(28,103,1,18,40,NULL,NULL,NULL,NULL),(28,103,1,19,1,NULL,NULL,NULL,NULL),(28,103,1,19,2,NULL,NULL,NULL,NULL),(28,103,1,19,3,NULL,NULL,NULL,NULL),(28,103,1,19,4,NULL,NULL,NULL,NULL),(28,103,1,19,5,NULL,NULL,NULL,NULL),(28,103,1,19,6,NULL,NULL,NULL,NULL),(28,103,1,19,7,NULL,NULL,NULL,NULL),(28,103,1,19,8,NULL,NULL,NULL,NULL),(28,103,1,19,9,NULL,NULL,NULL,NULL),(28,103,1,19,10,NULL,NULL,NULL,NULL),(28,103,1,19,11,NULL,NULL,NULL,NULL),(28,103,1,19,12,NULL,NULL,NULL,NULL),(28,103,1,19,13,NULL,NULL,NULL,NULL),(28,103,1,19,14,NULL,NULL,NULL,NULL),(28,103,1,19,15,NULL,NULL,NULL,NULL),(28,103,1,19,16,NULL,NULL,NULL,NULL),(28,103,1,19,17,NULL,NULL,NULL,NULL),(28,103,1,19,18,NULL,NULL,NULL,NULL),(28,103,1,19,19,NULL,NULL,NULL,NULL),(28,103,1,19,20,NULL,NULL,NULL,NULL),(28,103,1,19,21,NULL,NULL,NULL,NULL),(28,103,1,19,22,NULL,NULL,NULL,NULL),(28,103,1,19,23,NULL,NULL,NULL,NULL),(28,103,1,19,24,NULL,NULL,NULL,NULL),(28,103,1,19,25,NULL,NULL,NULL,NULL),(28,103,1,19,26,NULL,NULL,NULL,NULL),(28,103,1,19,27,NULL,NULL,NULL,NULL),(28,103,1,19,28,NULL,NULL,NULL,NULL),(28,103,1,19,29,NULL,NULL,NULL,NULL),(28,103,1,19,30,NULL,NULL,NULL,NULL),(28,103,1,19,31,NULL,NULL,NULL,NULL),(28,103,1,19,32,NULL,NULL,NULL,NULL),(28,103,1,19,33,NULL,NULL,NULL,NULL),(28,103,1,19,34,NULL,NULL,NULL,NULL),(28,103,1,19,35,NULL,NULL,NULL,NULL),(28,103,1,19,36,NULL,NULL,NULL,NULL),(28,103,1,19,37,NULL,NULL,NULL,NULL),(28,103,1,19,38,NULL,NULL,NULL,NULL),(28,103,1,19,39,NULL,NULL,NULL,NULL),(28,103,1,19,40,NULL,NULL,NULL,NULL),(28,103,2,21,1,57,445,6,20),(28,103,2,21,2,38,412,3,22),(28,103,2,21,3,560,256,22,9),(28,103,2,21,4,41,208,2,13),(28,103,2,21,5,291,218,15,9),(28,103,2,21,6,500,376,20,6),(28,103,2,21,7,24,441,NULL,20),(28,103,2,21,8,263,286,15,12),(28,103,2,21,9,90,114,5,4),(28,103,2,21,10,332,201,10,13),(28,103,2,21,11,304,96,18,5),(28,103,2,21,12,351,332,19,8),(28,103,2,21,13,294,532,19,9),(28,103,2,21,14,386,349,17,12),(28,103,2,21,15,220,320,14,10),(28,103,2,21,16,301,435,8,16),(28,103,2,21,17,39,78,1,1),(28,103,2,21,18,474,338,15,14),(28,103,2,21,19,353,318,16,11),(28,103,2,21,20,482,224,25,3),(28,103,2,21,21,88,189,11,5),(28,103,2,21,22,368,148,25,3),(28,103,2,21,23,63,102,6,5),(28,103,2,21,24,84,252,11,8),(28,103,2,21,25,87,283,5,13),(28,103,2,21,26,55,144,5,2),(28,103,2,21,27,152,393,12,12),(28,103,2,21,28,30,281,1,12),(28,103,2,21,29,34,182,4,9),(28,103,2,21,30,31,156,1,11),(28,103,2,21,31,87,467,4,22),(28,103,2,21,32,53,135,6,10),(28,103,2,21,33,348,253,21,4),(28,103,2,21,34,300,284,20,6),(28,103,2,21,35,118,NULL,5,NULL),(28,103,2,21,36,27,208,4,16),(28,103,2,21,37,183,204,12,10),(28,103,2,21,38,77,170,10,11),(28,103,2,21,39,76,289,9,10),(28,103,2,21,40,245,474,18,12),(28,103,2,22,1,62,391,6,11),(28,103,2,22,2,33,389,4,15),(28,103,2,22,3,533,247,15,8),(28,103,2,22,4,28,189,2,8),(28,103,2,22,5,258,205,14,7),(28,103,2,22,6,444,416,16,6),(28,103,2,22,7,18,405,1,12),(28,103,2,22,8,256,276,10,6),(28,103,2,22,9,97,107,3,3),(28,103,2,22,10,306,199,12,6),(28,103,2,22,11,301,123,15,7),(28,103,2,22,12,335,325,13,8),(28,103,2,22,13,301,518,14,10),(28,103,2,22,14,397,285,19,3),(28,103,2,22,15,227,313,12,6),(28,103,2,22,16,215,422,7,11),(28,103,2,22,17,70,100,2,6),(28,103,2,22,18,424,311,12,11),(28,103,2,22,19,344,318,16,6),(28,103,2,22,20,449,199,20,1),(28,103,2,22,21,68,221,10,9),(28,103,2,22,22,330,136,18,1),(28,103,2,22,23,56,98,9,NULL),(28,103,2,22,24,64,260,9,7),(28,103,2,22,25,79,282,3,12),(28,103,2,22,26,32,120,3,3),(28,103,2,22,27,140,381,14,6),(28,103,2,22,28,28,256,NULL,6),(28,103,2,22,29,25,150,5,4),(28,103,2,22,30,38,118,3,7),(28,103,2,22,31,90,420,4,16),(28,103,2,22,32,49,120,8,5),(28,103,2,22,33,319,207,19,3),(28,103,2,22,34,275,250,22,1),(28,103,2,22,35,102,NULL,1,NULL),(28,103,2,22,36,40,177,NULL,10),(28,103,2,22,37,160,164,11,7),(28,103,2,22,38,68,153,11,8),(28,103,2,22,39,84,289,5,10),(28,103,2,22,40,225,424,15,6),(28,103,2,23,1,52,416,3,18),(28,103,2,23,2,36,386,2,19),(28,103,2,23,3,514,264,18,6),(28,103,2,23,4,34,153,2,6),(28,103,2,23,5,253,209,13,8),(28,103,2,23,6,445,401,16,7),(28,103,2,23,7,15,455,1,15),(28,103,2,23,8,219,277,12,8),(28,103,2,23,9,80,104,5,3),(28,103,2,23,10,351,169,10,5),(28,103,2,23,11,288,121,17,2),(28,103,2,23,12,340,316,15,6),(28,103,2,23,13,264,499,13,6),(28,103,2,23,14,376,312,19,5),(28,103,2,23,15,204,319,8,8),(28,103,2,23,16,263,433,10,12),(28,103,2,23,17,51,74,NULL,3),(28,103,2,23,18,437,316,14,9),(28,103,2,23,19,330,310,15,6),(28,103,2,23,20,464,169,19,2),(28,103,2,23,21,70,203,8,10),(28,103,2,23,22,365,139,22,1),(28,103,2,23,23,54,91,5,5),(28,103,2,23,24,80,253,10,6),(28,103,2,23,25,69,240,9,11),(28,103,2,23,26,61,125,2,3),(28,103,2,23,27,132,362,10,11),(28,103,2,23,28,31,278,1,6),(28,103,2,23,29,40,181,10,6),(28,103,2,23,30,29,138,2,11),(28,103,2,23,31,61,460,5,13),(28,103,2,23,32,58,121,7,3),(28,103,2,23,33,315,241,17,6),(28,103,2,23,34,285,269,18,5),(28,103,2,23,35,84,NULL,1,NULL),(28,103,2,23,36,28,217,1,9),(28,103,2,23,37,189,197,7,14),(28,103,2,23,38,81,154,14,7),(28,103,2,23,39,52,262,6,14),(28,103,2,23,40,251,429,15,7),(28,103,2,24,1,50,389,4,13),(28,103,2,24,2,35,372,1,17),(28,103,2,24,3,506,241,18,3),(28,103,2,24,4,42,176,2,7),(28,103,2,24,5,224,182,13,3),(28,103,2,24,6,415,392,11,9),(28,103,2,24,7,14,380,1,18),(28,103,2,24,8,198,266,8,8),(28,103,2,24,9,94,95,4,4),(28,103,2,24,10,283,168,12,6),(28,103,2,24,11,252,84,11,3),(28,103,2,24,12,310,328,10,9),(28,103,2,24,13,293,452,18,2),(28,103,2,24,14,345,281,19,3),(28,103,2,24,15,192,275,12,4),(28,103,2,24,16,215,402,6,14),(28,103,2,24,17,49,85,NULL,2),(28,103,2,24,18,423,308,12,9),(28,103,2,24,19,315,300,11,7),(28,103,2,24,20,414,189,15,3),(28,103,2,24,21,84,188,10,4),(28,103,2,24,22,327,131,20,NULL),(28,103,2,24,23,55,98,7,3),(28,103,2,24,24,75,234,6,9),(28,103,2,24,25,58,245,1,9),(28,103,2,24,26,50,128,4,7),(28,103,2,24,27,139,344,12,9),(28,103,2,24,28,32,252,1,9),(28,103,2,24,29,37,146,5,5),(28,103,2,24,30,28,120,1,7),(28,103,2,24,31,68,400,4,13),(28,103,2,24,32,34,131,7,5),(28,103,2,24,33,301,200,16,4),(28,103,2,24,34,283,229,15,4),(28,103,2,24,35,89,NULL,5,NULL),(28,103,2,24,36,24,168,1,7),(28,103,2,24,37,156,150,9,8),(28,103,2,24,38,67,177,9,8),(28,103,2,24,39,75,274,3,11),(28,103,2,24,40,214,420,15,6),(28,104,1,11,1,1,NULL,NULL,NULL),(28,104,1,11,2,NULL,2,NULL,NULL),(28,104,1,11,3,NULL,NULL,NULL,NULL),(28,104,1,11,4,1,NULL,NULL,NULL),(28,104,1,11,5,NULL,1,NULL,NULL),(28,104,1,11,6,1,NULL,NULL,NULL),(28,104,1,11,7,NULL,NULL,NULL,NULL),(28,104,1,11,8,NULL,1,NULL,NULL),(28,104,1,11,9,NULL,1,NULL,NULL),(28,104,1,11,10,1,NULL,NULL,NULL),(28,104,1,11,11,NULL,NULL,NULL,NULL),(28,104,1,11,12,1,NULL,NULL,NULL),(28,104,1,11,13,NULL,NULL,NULL,NULL),(28,104,1,11,14,2,NULL,NULL,NULL),(28,104,1,11,15,NULL,NULL,NULL,NULL),(28,104,1,11,16,1,NULL,NULL,NULL),(28,104,1,11,17,NULL,NULL,NULL,NULL),(28,104,1,11,18,1,NULL,NULL,NULL),(28,104,1,11,19,NULL,NULL,NULL,NULL),(28,104,1,11,20,NULL,NULL,NULL,NULL),(28,104,1,11,21,NULL,NULL,NULL,NULL),(28,104,1,11,22,NULL,1,NULL,NULL),(28,104,1,11,23,NULL,NULL,NULL,NULL),(28,104,1,11,24,NULL,NULL,NULL,NULL),(28,104,1,11,25,NULL,NULL,NULL,NULL),(28,104,1,11,26,NULL,NULL,NULL,NULL),(28,104,1,11,27,1,NULL,NULL,NULL),(28,104,1,11,28,NULL,NULL,NULL,NULL),(28,104,1,11,29,NULL,NULL,NULL,NULL),(28,104,1,11,30,NULL,NULL,NULL,NULL),(28,104,1,11,31,NULL,NULL,NULL,NULL),(28,104,1,11,32,NULL,NULL,NULL,NULL),(28,104,1,11,33,NULL,NULL,NULL,NULL),(28,104,1,11,34,NULL,NULL,NULL,NULL),(28,104,1,11,35,NULL,NULL,NULL,NULL),(28,104,1,11,36,NULL,NULL,NULL,NULL),(28,104,1,11,37,NULL,NULL,NULL,NULL),(28,104,1,11,38,NULL,NULL,NULL,NULL),(28,104,1,11,39,1,1,NULL,NULL),(28,104,1,11,40,NULL,NULL,NULL,NULL),(28,104,1,12,1,NULL,NULL,NULL,NULL),(28,104,1,12,2,NULL,NULL,NULL,NULL),(28,104,1,12,3,NULL,NULL,NULL,NULL),(28,104,1,12,4,NULL,NULL,NULL,NULL),(28,104,1,12,5,NULL,NULL,NULL,NULL),(28,104,1,12,6,NULL,NULL,NULL,NULL),(28,104,1,12,7,NULL,NULL,NULL,NULL),(28,104,1,12,8,NULL,NULL,NULL,NULL),(28,104,1,12,9,NULL,NULL,NULL,NULL),(28,104,1,12,10,NULL,NULL,NULL,NULL),(28,104,1,12,11,NULL,NULL,NULL,NULL),(28,104,1,12,12,NULL,NULL,NULL,NULL),(28,104,1,12,13,NULL,NULL,NULL,NULL),(28,104,1,12,14,NULL,NULL,NULL,NULL),(28,104,1,12,15,NULL,NULL,NULL,NULL),(28,104,1,12,16,NULL,NULL,NULL,NULL),(28,104,1,12,17,NULL,NULL,NULL,NULL),(28,104,1,12,18,NULL,NULL,NULL,NULL),(28,104,1,12,19,NULL,NULL,NULL,NULL),(28,104,1,12,20,NULL,NULL,NULL,NULL),(28,104,1,12,21,NULL,NULL,NULL,NULL),(28,104,1,12,22,NULL,NULL,NULL,NULL),(28,104,1,12,23,NULL,NULL,NULL,NULL),(28,104,1,12,24,NULL,NULL,NULL,NULL),(28,104,1,12,25,NULL,NULL,NULL,NULL),(28,104,1,12,26,NULL,NULL,NULL,NULL),(28,104,1,12,27,NULL,NULL,NULL,NULL),(28,104,1,12,28,NULL,NULL,NULL,NULL),(28,104,1,12,29,NULL,NULL,NULL,NULL),(28,104,1,12,30,NULL,NULL,NULL,NULL),(28,104,1,12,31,NULL,NULL,NULL,NULL),(28,104,1,12,32,NULL,NULL,NULL,NULL),(28,104,1,12,33,NULL,NULL,NULL,NULL),(28,104,1,12,34,NULL,NULL,NULL,NULL),(28,104,1,12,35,NULL,NULL,NULL,NULL),(28,104,1,12,36,NULL,NULL,NULL,NULL),(28,104,1,12,37,NULL,NULL,NULL,NULL),(28,104,1,12,38,NULL,NULL,NULL,NULL),(28,104,1,12,39,NULL,NULL,NULL,NULL),(28,104,1,12,40,NULL,NULL,NULL,NULL),(28,104,1,13,1,2,NULL,NULL,NULL),(28,104,1,13,2,NULL,2,NULL,NULL),(28,104,1,13,3,NULL,1,NULL,NULL),(28,104,1,13,4,1,NULL,NULL,NULL),(28,104,1,13,5,NULL,1,NULL,NULL),(28,104,1,13,6,NULL,1,NULL,NULL),(28,104,1,13,7,NULL,1,NULL,NULL),(28,104,1,13,8,1,1,NULL,NULL),(28,104,1,13,9,NULL,1,NULL,NULL),(28,104,1,13,10,NULL,1,NULL,NULL),(28,104,1,13,11,NULL,1,NULL,NULL),(28,104,1,13,12,1,NULL,NULL,NULL),(28,104,1,13,13,3,NULL,NULL,NULL),(28,104,1,13,14,1,1,NULL,NULL),(28,104,1,13,15,2,1,NULL,NULL),(28,104,1,13,16,3,NULL,NULL,NULL),(28,104,1,13,17,NULL,1,NULL,NULL),(28,104,1,13,18,1,1,NULL,NULL),(28,104,1,13,19,1,NULL,NULL,NULL),(28,104,1,13,20,NULL,NULL,NULL,NULL),(28,104,1,13,21,NULL,1,NULL,NULL),(28,104,1,13,22,NULL,NULL,NULL,NULL),(28,104,1,13,23,1,1,NULL,NULL),(28,104,1,13,24,NULL,NULL,NULL,NULL),(28,104,1,13,25,NULL,NULL,NULL,NULL),(28,104,1,13,26,NULL,1,NULL,NULL),(28,104,1,13,27,NULL,NULL,NULL,NULL),(28,104,1,13,28,NULL,NULL,NULL,NULL),(28,104,1,13,29,NULL,1,NULL,NULL),(28,104,1,13,30,1,NULL,NULL,NULL),(28,104,1,13,31,NULL,NULL,NULL,NULL),(28,104,1,13,32,NULL,1,NULL,NULL),(28,104,1,13,33,NULL,NULL,NULL,NULL),(28,104,1,13,34,1,1,NULL,NULL),(28,104,1,13,35,NULL,NULL,NULL,NULL),(28,104,1,13,36,NULL,NULL,NULL,NULL),(28,104,1,13,37,NULL,NULL,NULL,NULL),(28,104,1,13,38,NULL,1,NULL,NULL),(28,104,1,13,39,1,1,NULL,NULL),(28,104,1,13,40,1,NULL,NULL,NULL),(28,104,1,14,1,80,NULL,18,NULL),(28,104,1,14,2,8,55,1,12),(28,104,1,14,3,58,60,9,13),(28,104,1,14,4,18,46,1,10),(28,104,1,14,5,52,48,7,5),(28,104,1,14,6,30,83,2,16),(28,104,1,14,7,17,38,2,6),(28,104,1,14,8,14,82,1,14),(28,104,1,14,9,33,53,4,11),(28,104,1,14,10,98,26,14,7),(28,104,1,14,11,25,34,4,10),(28,104,1,14,12,23,54,4,10),(28,104,1,14,13,96,48,18,6),(28,104,1,14,14,46,47,6,12),(28,104,1,14,15,100,NULL,19,NULL),(28,104,1,14,16,70,64,12,9),(28,104,1,14,17,24,95,5,16),(28,104,1,14,18,27,32,7,5),(28,104,1,14,19,79,58,13,8),(28,104,1,14,20,49,96,12,11),(28,104,1,14,21,5,23,NULL,2),(28,104,1,14,22,4,47,1,5),(28,104,1,14,23,3,40,NULL,5),(28,104,1,14,24,4,NULL,NULL,NULL),(28,104,1,14,25,4,17,1,1),(28,104,1,14,26,3,26,NULL,5),(28,104,1,14,27,40,NULL,10,NULL),(28,104,1,14,28,6,10,NULL,NULL),(28,104,1,14,29,6,24,1,6),(28,104,1,14,30,18,56,1,12),(28,104,1,14,31,10,16,1,1),(28,104,1,14,32,13,34,2,11),(28,104,1,14,33,12,28,3,8),(28,104,1,14,34,39,33,8,6),(28,104,1,14,35,13,11,6,6),(28,104,1,14,36,5,NULL,1,NULL),(28,104,1,14,37,4,19,NULL,1),(28,104,1,14,38,4,27,1,8),(28,104,1,14,39,32,57,2,16),(28,104,1,14,40,9,NULL,4,NULL),(28,104,1,15,1,63,NULL,21,NULL),(28,104,1,15,2,8,46,3,18),(28,104,1,15,3,36,54,12,17),(28,104,1,15,4,21,44,2,8),(28,104,1,15,5,41,45,11,8),(28,104,1,15,6,19,88,7,19),(28,104,1,15,7,14,31,1,10),(28,104,1,15,8,17,70,7,17),(28,104,1,15,9,17,57,5,13),(28,104,1,15,10,94,33,23,8),(28,104,1,15,11,14,33,8,13),(28,104,1,15,12,19,41,5,13),(28,104,1,15,13,65,47,20,10),(28,104,1,15,14,27,43,8,14),(28,104,1,15,15,84,NULL,20,NULL),(28,104,1,15,16,60,47,18,6),(28,104,1,15,17,23,87,8,20),(28,104,1,15,18,22,40,6,9),(28,104,1,15,19,74,44,22,10),(28,104,1,15,20,45,94,18,12),(28,104,1,15,21,2,23,1,3),(28,104,1,15,22,5,36,3,5),(28,104,1,15,23,4,44,NULL,14),(28,104,1,15,24,1,NULL,NULL,NULL),(28,104,1,15,25,4,19,NULL,3),(28,104,1,15,26,2,16,NULL,2),(28,104,1,15,27,29,NULL,10,NULL),(28,104,1,15,28,1,13,NULL,NULL),(28,104,1,15,29,8,39,3,10),(28,104,1,15,30,18,44,3,15),(28,104,1,15,31,17,24,6,7),(28,104,1,15,32,13,33,3,14),(28,104,1,15,33,12,34,5,13),(28,104,1,15,34,45,24,18,6),(28,104,1,15,35,3,14,1,6),(28,104,1,15,36,3,NULL,2,NULL),(28,104,1,15,37,9,17,3,6),(28,104,1,15,38,7,24,4,8),(28,104,1,15,39,38,51,7,18),(28,104,1,15,40,14,NULL,6,NULL),(28,104,1,16,1,58,NULL,9,NULL),(28,104,1,16,2,2,37,NULL,3),(28,104,1,16,3,25,65,4,11),(28,104,1,16,4,21,33,2,3),(28,104,1,16,5,37,44,5,8),(28,104,1,16,6,9,73,1,12),(28,104,1,16,7,16,52,2,10),(28,104,1,16,8,7,74,4,14),(28,104,1,16,9,24,43,5,7),(28,104,1,16,10,91,29,13,5),(28,104,1,16,11,16,29,5,3),(28,104,1,16,12,11,44,3,8),(28,104,1,16,13,161,NULL,19,NULL),(28,104,1,16,14,125,32,16,4),(28,104,1,16,15,38,89,7,11),(28,104,1,16,16,119,NULL,13,NULL),(28,104,1,16,17,68,73,13,5),(28,104,1,16,18,28,47,7,5),(28,104,1,16,19,25,87,6,9),(28,104,1,16,20,28,57,4,8),(28,104,1,16,21,3,20,NULL,1),(28,104,1,16,22,5,30,NULL,4),(28,104,1,16,23,8,39,NULL,9),(28,104,1,16,24,6,NULL,2,NULL),(28,104,1,16,25,6,13,1,1),(28,104,1,16,26,2,8,NULL,2),(28,104,1,16,27,29,NULL,5,NULL),(28,104,1,16,28,NULL,8,NULL,2),(28,104,1,16,29,4,27,NULL,4),(28,104,1,16,30,9,44,1,10),(28,104,1,16,31,4,25,NULL,8),(28,104,1,16,32,15,32,5,6),(28,104,1,16,33,8,27,4,8),(28,104,1,16,34,28,35,8,4),(28,104,1,16,35,5,17,2,3),(28,104,1,16,36,2,NULL,NULL,NULL),(28,104,1,16,37,3,18,2,3),(28,104,1,16,38,7,21,2,4),(28,104,1,16,39,16,58,4,11),(28,104,1,16,40,12,NULL,3,NULL),(28,104,1,17,1,57,NULL,16,NULL),(28,104,1,17,2,3,30,1,5),(28,104,1,17,3,40,51,10,11),(28,104,1,17,4,14,35,NULL,6),(28,104,1,17,5,27,42,4,7),(28,104,1,17,6,18,68,4,11),(28,104,1,17,7,16,46,1,12),(28,104,1,17,8,12,62,4,13),(28,104,1,17,9,18,50,2,9),(28,104,1,17,10,84,25,19,2),(28,104,1,17,11,19,31,9,7),(28,104,1,17,12,13,27,4,7),(28,104,1,17,13,146,NULL,23,NULL),(28,104,1,17,14,110,29,18,5),(28,104,1,17,15,47,64,5,16),(28,104,1,17,16,115,NULL,21,NULL),(28,104,1,17,17,65,66,11,10),(28,104,1,17,18,24,43,6,6),(28,104,1,17,19,38,58,9,12),(28,104,1,17,20,16,50,2,8),(28,104,1,17,21,5,17,1,1),(28,104,1,17,22,7,22,1,6),(28,104,1,17,23,7,37,NULL,12),(28,104,1,17,24,1,NULL,NULL,NULL),(28,104,1,17,25,6,12,1,1),(28,104,1,17,26,2,17,1,2),(28,104,1,17,27,25,NULL,7,NULL),(28,104,1,17,28,2,5,1,NULL),(28,104,1,17,29,7,26,NULL,9),(28,104,1,17,30,15,46,1,10),(28,104,1,17,31,4,17,2,3),(28,104,1,17,32,16,33,7,5),(28,104,1,17,33,6,28,1,8),(28,104,1,17,34,27,34,7,6),(28,104,1,17,35,5,13,NULL,3),(28,104,1,17,36,2,NULL,2,NULL),(28,104,1,17,37,1,10,1,3),(28,104,1,17,38,7,22,2,6),(28,104,1,17,39,32,51,4,10),(28,104,1,17,40,12,NULL,3,NULL),(28,104,1,18,1,NULL,NULL,NULL,NULL),(28,104,1,18,2,NULL,NULL,NULL,NULL),(28,104,1,18,3,NULL,NULL,NULL,NULL),(28,104,1,18,4,NULL,NULL,NULL,NULL),(28,104,1,18,5,NULL,NULL,NULL,NULL),(28,104,1,18,6,NULL,NULL,NULL,NULL),(28,104,1,18,7,NULL,NULL,NULL,NULL),(28,104,1,18,8,NULL,NULL,NULL,NULL),(28,104,1,18,9,NULL,NULL,NULL,NULL),(28,104,1,18,10,NULL,NULL,NULL,NULL),(28,104,1,18,11,NULL,NULL,NULL,NULL),(28,104,1,18,12,NULL,NULL,NULL,NULL),(28,104,1,18,13,NULL,NULL,NULL,NULL),(28,104,1,18,14,NULL,NULL,NULL,NULL),(28,104,1,18,15,NULL,NULL,NULL,NULL),(28,104,1,18,16,NULL,NULL,NULL,NULL),(28,104,1,18,17,NULL,NULL,NULL,NULL),(28,104,1,18,18,NULL,NULL,NULL,NULL),(28,104,1,18,19,NULL,NULL,NULL,NULL),(28,104,1,18,20,NULL,NULL,NULL,NULL),(28,104,1,18,21,NULL,NULL,NULL,NULL),(28,104,1,18,22,NULL,NULL,NULL,NULL),(28,104,1,18,23,NULL,NULL,NULL,NULL),(28,104,1,18,24,NULL,NULL,NULL,NULL),(28,104,1,18,25,NULL,NULL,NULL,NULL),(28,104,1,18,26,NULL,NULL,NULL,NULL),(28,104,1,18,27,NULL,NULL,NULL,NULL),(28,104,1,18,28,NULL,NULL,NULL,NULL),(28,104,1,18,29,NULL,NULL,NULL,NULL),(28,104,1,18,30,NULL,NULL,NULL,NULL),(28,104,1,18,31,NULL,NULL,NULL,NULL),(28,104,1,18,32,NULL,NULL,NULL,NULL),(28,104,1,18,33,NULL,NULL,NULL,NULL),(28,104,1,18,34,NULL,NULL,NULL,NULL),(28,104,1,18,35,NULL,NULL,NULL,NULL),(28,104,1,18,36,NULL,NULL,NULL,NULL),(28,104,1,18,37,NULL,NULL,NULL,NULL),(28,104,1,18,38,NULL,NULL,NULL,NULL),(28,104,1,18,39,NULL,NULL,NULL,NULL),(28,104,1,18,40,NULL,NULL,NULL,NULL),(28,104,1,19,1,NULL,NULL,NULL,NULL),(28,104,1,19,2,NULL,NULL,NULL,NULL),(28,104,1,19,3,NULL,NULL,NULL,NULL),(28,104,1,19,4,NULL,NULL,NULL,NULL),(28,104,1,19,5,NULL,NULL,NULL,NULL),(28,104,1,19,6,NULL,NULL,NULL,NULL),(28,104,1,19,7,NULL,NULL,NULL,NULL),(28,104,1,19,8,NULL,NULL,NULL,NULL),(28,104,1,19,9,NULL,NULL,NULL,NULL),(28,104,1,19,10,NULL,NULL,NULL,NULL),(28,104,1,19,11,NULL,NULL,NULL,NULL),(28,104,1,19,12,NULL,NULL,NULL,NULL),(28,104,1,19,13,NULL,NULL,NULL,NULL),(28,104,1,19,14,NULL,NULL,NULL,NULL),(28,104,1,19,15,NULL,NULL,NULL,NULL),(28,104,1,19,16,NULL,NULL,NULL,NULL),(28,104,1,19,17,NULL,NULL,NULL,NULL),(28,104,1,19,18,NULL,NULL,NULL,NULL),(28,104,1,19,19,NULL,NULL,NULL,NULL),(28,104,1,19,20,NULL,NULL,NULL,NULL),(28,104,1,19,21,NULL,NULL,NULL,NULL),(28,104,1,19,22,NULL,NULL,NULL,NULL),(28,104,1,19,23,NULL,NULL,NULL,NULL),(28,104,1,19,24,NULL,NULL,NULL,NULL),(28,104,1,19,25,NULL,NULL,NULL,NULL),(28,104,1,19,26,NULL,NULL,NULL,NULL),(28,104,1,19,27,NULL,NULL,NULL,NULL),(28,104,1,19,28,NULL,NULL,NULL,NULL),(28,104,1,19,29,NULL,NULL,NULL,NULL),(28,104,1,19,30,NULL,NULL,NULL,NULL),(28,104,1,19,31,NULL,NULL,NULL,NULL),(28,104,1,19,32,NULL,NULL,NULL,NULL),(28,104,1,19,33,NULL,NULL,NULL,NULL),(28,104,1,19,34,NULL,NULL,NULL,NULL),(28,104,1,19,35,NULL,NULL,NULL,NULL),(28,104,1,19,36,NULL,NULL,NULL,NULL),(28,104,1,19,37,NULL,NULL,NULL,NULL),(28,104,1,19,38,NULL,NULL,NULL,NULL),(28,104,1,19,39,NULL,NULL,NULL,NULL),(28,104,1,19,40,NULL,NULL,NULL,NULL),(28,104,2,21,1,6,54,1,10),(28,104,2,21,2,3,20,1,7),(28,104,2,21,3,69,69,15,14),(28,104,2,21,4,1,22,1,4),(28,104,2,21,5,26,40,7,14),(28,104,2,21,6,60,75,14,11),(28,104,2,21,7,NULL,66,NULL,12),(28,104,2,21,8,13,34,5,6),(28,104,2,21,9,12,35,1,10),(28,104,2,21,10,37,46,13,10),(28,104,2,21,11,27,23,10,6),(28,104,2,21,12,38,70,8,11),(28,104,2,21,13,20,95,8,14),(28,104,2,21,14,33,68,8,15),(28,104,2,21,15,20,39,5,10),(28,104,2,21,16,34,65,11,12),(28,104,2,21,17,4,19,NULL,3),(28,104,2,21,18,52,65,6,19),(28,104,2,21,19,31,53,8,12),(28,104,2,21,20,43,46,10,8),(28,104,2,21,21,4,22,1,6),(28,104,2,21,22,11,16,4,10),(28,104,2,21,23,3,15,NULL,8),(28,104,2,21,24,4,32,1,2),(28,104,2,21,25,3,26,2,7),(28,104,2,21,26,7,38,3,7),(28,104,2,21,27,7,60,4,13),(28,104,2,21,28,2,35,NULL,9),(28,104,2,21,29,1,26,NULL,4),(28,104,2,21,30,3,27,NULL,6),(28,104,2,21,31,2,62,NULL,13),(28,104,2,21,32,NULL,18,NULL,6),(28,104,2,21,33,21,33,7,8),(28,104,2,21,34,20,42,8,13),(28,104,2,21,35,21,NULL,7,NULL),(28,104,2,21,36,2,18,1,7),(28,104,2,21,37,16,29,5,8),(28,104,2,21,38,NULL,8,NULL,4),(28,104,2,21,39,1,29,1,9),(28,104,2,21,40,11,79,6,15),(28,104,2,22,1,2,66,NULL,16),(28,104,2,22,2,2,34,1,11),(28,104,2,22,3,53,59,16,12),(28,104,2,22,4,NULL,19,NULL,4),(28,104,2,22,5,24,38,9,12),(28,104,2,22,6,50,81,11,9),(28,104,2,22,7,1,59,NULL,13),(28,104,2,22,8,8,34,2,4),(28,104,2,22,9,13,21,4,6),(28,104,2,22,10,40,46,9,9),(28,104,2,22,11,28,24,12,5),(28,104,2,22,12,25,68,3,13),(28,104,2,22,13,16,95,4,17),(28,104,2,22,14,21,59,10,12),(28,104,2,22,15,20,61,5,8),(28,104,2,22,16,28,64,5,16),(28,104,2,22,17,5,25,1,8),(28,104,2,22,18,50,63,13,14),(28,104,2,22,19,28,60,5,13),(28,104,2,22,20,42,50,11,13),(28,104,2,22,21,6,27,2,4),(28,104,2,22,22,11,21,7,3),(28,104,2,22,23,1,18,NULL,6),(28,104,2,22,24,5,32,NULL,5),(28,104,2,22,25,9,24,2,8),(28,104,2,22,26,2,31,NULL,9),(28,104,2,22,27,8,58,1,16),(28,104,2,22,28,3,35,1,10),(28,104,2,22,29,2,29,1,10),(28,104,2,22,30,3,23,NULL,5),(28,104,2,22,31,3,65,1,14),(28,104,2,22,32,NULL,15,NULL,2),(28,104,2,22,33,19,30,4,6),(28,104,2,22,34,9,64,2,17),(28,104,2,22,35,25,NULL,7,NULL),(28,104,2,22,36,2,15,NULL,7),(28,104,2,22,37,8,25,4,8),(28,104,2,22,38,1,9,NULL,3),(28,104,2,22,39,7,24,NULL,4),(28,104,2,22,40,9,83,5,14),(28,104,2,23,1,NULL,62,NULL,9),(28,104,2,23,2,NULL,31,NULL,7),(28,104,2,23,3,62,52,10,5),(28,104,2,23,4,1,11,NULL,1),(28,104,2,23,5,15,35,3,8),(28,104,2,23,6,53,65,5,6),(28,104,2,23,7,NULL,54,NULL,9),(28,104,2,23,8,8,36,2,7),(28,104,2,23,9,2,18,2,4),(28,104,2,23,10,40,32,9,6),(28,104,2,23,11,28,21,10,5),(28,104,2,23,12,22,66,3,10),(28,104,2,23,13,17,83,5,8),(28,104,2,23,14,22,62,4,12),(28,104,2,23,15,17,51,NULL,10),(28,104,2,23,16,25,67,4,9),(28,104,2,23,17,6,21,NULL,6),(28,104,2,23,18,48,53,3,11),(28,104,2,23,19,22,48,4,8),(28,104,2,23,20,43,43,6,7),(28,104,2,23,21,5,27,2,4),(28,104,2,23,22,18,14,6,2),(28,104,2,23,23,3,19,NULL,4),(28,104,2,23,24,6,31,NULL,4),(28,104,2,23,25,5,30,NULL,4),(28,104,2,23,26,12,26,NULL,3),(28,104,2,23,27,7,48,1,9),(28,104,2,23,28,7,27,NULL,2),(28,104,2,23,29,2,31,NULL,6),(28,104,2,23,30,6,14,2,2),(28,104,2,23,31,4,43,NULL,9),(28,104,2,23,32,3,12,1,2),(28,104,2,23,33,18,39,3,8),(28,104,2,23,34,14,53,3,12),(28,104,2,23,35,12,NULL,2,NULL),(28,104,2,23,36,2,15,NULL,5),(28,104,2,23,37,10,27,3,10),(28,104,2,23,38,3,10,1,1),(28,104,2,23,39,5,39,1,3),(28,104,2,23,40,6,68,2,6),(28,104,2,24,1,3,52,NULL,7),(28,104,2,24,2,3,36,1,7),(28,104,2,24,3,53,57,10,9),(28,104,2,24,4,2,14,NULL,3),(28,104,2,24,5,19,40,6,8),(28,104,2,24,6,54,67,8,9),(28,104,2,24,7,1,49,1,7),(28,104,2,24,8,10,28,4,2),(28,104,2,24,9,10,21,3,2),(28,104,2,24,10,30,41,7,8),(28,104,2,24,11,25,31,6,7),(28,104,2,24,12,34,51,4,11),(28,104,2,24,13,18,82,5,14),(28,104,2,24,14,26,57,9,8),(28,104,2,24,15,18,35,4,6),(28,104,2,24,16,23,59,4,8),(28,104,2,24,17,2,21,NULL,4),(28,104,2,24,18,49,57,10,9),(28,104,2,24,19,24,51,7,9),(28,104,2,24,20,30,51,10,7),(28,104,2,24,21,4,22,NULL,4),(28,104,2,24,22,13,22,4,4),(28,104,2,24,23,1,17,1,4),(28,104,2,24,24,4,25,1,4),(28,104,2,24,25,5,26,1,4),(28,104,2,24,26,9,27,NULL,7),(28,104,2,24,27,6,50,NULL,10),(28,104,2,24,28,3,28,NULL,8),(28,104,2,24,29,3,20,NULL,9),(28,104,2,24,30,4,17,NULL,3),(28,104,2,24,31,8,55,2,12),(28,104,2,24,32,NULL,14,NULL,7),(28,104,2,24,33,14,37,5,7),(28,104,2,24,34,15,56,4,9),(28,104,2,24,35,23,NULL,5,NULL),(28,104,2,24,36,4,14,NULL,3),(28,104,2,24,37,8,22,5,4),(28,104,2,24,38,2,10,NULL,3),(28,104,2,24,39,6,24,3,4),(28,104,2,24,40,8,79,1,15),(28,108,1,11,1,NULL,NULL,NULL,NULL),(28,108,1,11,2,NULL,NULL,NULL,NULL),(28,108,1,11,3,NULL,NULL,NULL,NULL),(28,108,1,11,4,NULL,NULL,NULL,NULL),(28,108,1,11,5,NULL,NULL,NULL,NULL),(28,108,1,11,6,NULL,1,NULL,NULL),(28,108,1,11,7,NULL,NULL,NULL,NULL),(28,108,1,11,8,NULL,1,NULL,NULL),(28,108,1,11,9,NULL,1,NULL,NULL),(28,108,1,11,10,NULL,NULL,NULL,NULL),(28,108,1,11,11,NULL,NULL,NULL,NULL),(28,108,1,11,12,NULL,NULL,NULL,NULL),(28,108,1,11,13,NULL,NULL,NULL,NULL),(28,108,1,11,14,NULL,1,NULL,NULL),(28,108,1,11,15,NULL,1,NULL,NULL),(28,108,1,11,16,NULL,1,NULL,NULL),(28,108,1,11,17,NULL,NULL,NULL,NULL),(28,108,1,11,18,NULL,1,NULL,NULL),(28,108,1,11,19,NULL,NULL,NULL,NULL),(28,108,1,11,20,NULL,NULL,NULL,NULL),(28,108,1,11,21,NULL,NULL,NULL,NULL),(28,108,1,11,22,NULL,NULL,NULL,NULL),(28,108,1,11,23,NULL,NULL,NULL,NULL),(28,108,1,11,24,NULL,NULL,NULL,NULL),(28,108,1,11,25,NULL,NULL,NULL,NULL),(28,108,1,11,26,NULL,NULL,NULL,NULL),(28,108,1,11,27,NULL,NULL,NULL,NULL),(28,108,1,11,28,NULL,NULL,NULL,NULL),(28,108,1,11,29,NULL,NULL,NULL,NULL),(28,108,1,11,30,NULL,NULL,NULL,NULL),(28,108,1,11,31,NULL,NULL,NULL,NULL),(28,108,1,11,32,NULL,NULL,NULL,NULL),(28,108,1,11,33,NULL,NULL,NULL,NULL),(28,108,1,11,34,NULL,NULL,NULL,NULL),(28,108,1,11,35,1,NULL,NULL,NULL),(28,108,1,11,36,NULL,NULL,NULL,NULL),(28,108,1,11,37,NULL,NULL,NULL,NULL),(28,108,1,11,38,NULL,NULL,NULL,NULL),(28,108,1,11,39,NULL,NULL,NULL,NULL),(28,108,1,11,40,NULL,NULL,NULL,NULL),(28,108,1,12,1,2,NULL,1,NULL),(28,108,1,12,2,NULL,NULL,NULL,NULL),(28,108,1,12,3,NULL,1,NULL,1),(28,108,1,12,4,NULL,1,NULL,NULL),(28,108,1,12,5,NULL,1,NULL,1),(28,108,1,12,6,NULL,NULL,NULL,NULL),(28,108,1,12,7,NULL,1,NULL,NULL),(28,108,1,12,8,NULL,1,NULL,NULL),(28,108,1,12,9,NULL,NULL,NULL,NULL),(28,108,1,12,10,2,NULL,1,NULL),(28,108,1,12,11,NULL,1,NULL,1),(28,108,1,12,12,NULL,1,NULL,1),(28,108,1,12,13,1,NULL,1,NULL),(28,108,1,12,14,1,1,1,NULL),(28,108,1,12,15,NULL,NULL,NULL,NULL),(28,108,1,12,16,1,NULL,1,NULL),(28,108,1,12,17,1,NULL,1,NULL),(28,108,1,12,18,1,1,1,NULL),(28,108,1,12,19,2,NULL,1,NULL),(28,108,1,12,20,1,NULL,1,NULL),(28,108,1,12,21,NULL,NULL,NULL,NULL),(28,108,1,12,22,NULL,NULL,NULL,NULL),(28,108,1,12,23,NULL,1,NULL,1),(28,108,1,12,24,NULL,NULL,NULL,NULL),(28,108,1,12,25,NULL,NULL,NULL,NULL),(28,108,1,12,26,NULL,NULL,NULL,NULL),(28,108,1,12,27,NULL,NULL,NULL,NULL),(28,108,1,12,28,NULL,NULL,NULL,NULL),(28,108,1,12,29,1,NULL,NULL,NULL),(28,108,1,12,30,NULL,1,NULL,1),(28,108,1,12,31,NULL,NULL,NULL,NULL),(28,108,1,12,32,NULL,2,NULL,1),(28,108,1,12,33,NULL,2,NULL,1),(28,108,1,12,34,1,NULL,1,NULL),(28,108,1,12,35,NULL,1,NULL,1),(28,108,1,12,36,NULL,NULL,NULL,NULL),(28,108,1,12,37,NULL,NULL,NULL,NULL),(28,108,1,12,38,NULL,NULL,NULL,NULL),(28,108,1,12,39,NULL,2,NULL,1),(28,108,1,12,40,NULL,NULL,NULL,NULL),(28,108,1,13,1,1,NULL,NULL,NULL),(28,108,1,13,2,NULL,2,NULL,1),(28,108,1,13,3,1,1,1,NULL),(28,108,1,13,4,1,NULL,NULL,NULL),(28,108,1,13,5,NULL,2,NULL,NULL),(28,108,1,13,6,1,1,1,NULL),(28,108,1,13,7,NULL,NULL,NULL,NULL),(28,108,1,13,8,NULL,1,NULL,1),(28,108,1,13,9,NULL,2,NULL,NULL),(28,108,1,13,10,2,NULL,1,NULL),(28,108,1,13,11,NULL,2,NULL,1),(28,108,1,13,12,NULL,1,NULL,1),(28,108,1,13,13,3,NULL,1,NULL),(28,108,1,13,14,1,NULL,1,NULL),(28,108,1,13,15,1,2,1,NULL),(28,108,1,13,16,2,1,1,NULL),(28,108,1,13,17,1,1,1,NULL),(28,108,1,13,18,1,1,1,NULL),(28,108,1,13,19,1,NULL,NULL,NULL),(28,108,1,13,20,NULL,1,NULL,NULL),(28,108,1,13,21,NULL,NULL,NULL,NULL),(28,108,1,13,22,NULL,NULL,NULL,NULL),(28,108,1,13,23,NULL,1,NULL,NULL),(28,108,1,13,24,NULL,NULL,NULL,NULL),(28,108,1,13,25,NULL,NULL,NULL,NULL),(28,108,1,13,26,NULL,NULL,NULL,NULL),(28,108,1,13,27,1,NULL,1,NULL),(28,108,1,13,28,NULL,NULL,NULL,NULL),(28,108,1,13,29,NULL,NULL,NULL,NULL),(28,108,1,13,30,NULL,1,NULL,NULL),(28,108,1,13,31,NULL,1,NULL,NULL),(28,108,1,13,32,NULL,2,NULL,1),(28,108,1,13,33,NULL,1,NULL,NULL),(28,108,1,13,34,2,NULL,1,NULL),(28,108,1,13,35,1,1,1,NULL),(28,108,1,13,36,NULL,NULL,NULL,NULL),(28,108,1,13,37,1,NULL,1,NULL),(28,108,1,13,38,NULL,2,NULL,1),(28,108,1,13,39,NULL,1,NULL,1),(28,108,1,13,40,NULL,NULL,NULL,NULL),(28,108,1,14,1,52,NULL,20,NULL),(28,108,1,14,2,6,37,3,15),(28,108,1,14,3,38,24,19,5),(28,108,1,14,4,18,30,10,11),(28,108,1,14,5,40,31,22,9),(28,108,1,14,6,9,60,6,25),(28,108,1,14,7,13,28,4,6),(28,108,1,14,8,18,43,13,15),(28,108,1,14,9,21,26,9,10),(28,108,1,14,10,52,23,28,5),(28,108,1,14,11,9,14,8,6),(28,108,1,14,12,19,29,14,8),(28,108,1,14,13,67,29,29,8),(28,108,1,14,14,32,23,16,10),(28,108,1,14,15,71,NULL,24,NULL),(28,108,1,14,16,61,31,27,7),(28,108,1,14,17,22,61,13,21),(28,108,1,14,18,30,23,16,5),(28,108,1,14,19,51,34,27,7),(28,108,1,14,20,44,54,20,15),(28,108,1,14,21,3,11,1,3),(28,108,1,14,22,4,22,1,9),(28,108,1,14,23,2,23,1,9),(28,108,1,14,24,1,NULL,NULL,NULL),(28,108,1,14,25,4,9,1,3),(28,108,1,14,26,2,16,1,7),(28,108,1,14,27,26,NULL,13,NULL),(28,108,1,14,28,NULL,7,NULL,2),(28,108,1,14,29,5,21,2,9),(28,108,1,14,30,14,33,4,12),(28,108,1,14,31,8,26,5,8),(28,108,1,14,32,15,25,11,8),(28,108,1,14,33,14,19,7,9),(28,108,1,14,34,36,12,21,4),(28,108,1,14,35,10,11,3,6),(28,108,1,14,36,5,NULL,5,NULL),(28,108,1,14,37,3,10,3,5),(28,108,1,14,38,19,12,12,5),(28,108,1,14,39,29,29,12,12),(28,108,1,14,40,12,NULL,8,NULL),(28,108,1,15,1,35,NULL,8,NULL),(28,108,1,15,2,2,35,NULL,7),(28,108,1,15,3,22,34,5,8),(28,108,1,15,4,15,31,1,8),(28,108,1,15,5,31,34,6,6),(28,108,1,15,6,15,53,5,9),(28,108,1,15,7,13,16,2,4),(28,108,1,15,8,11,47,2,10),(28,108,1,15,9,15,20,6,4),(28,108,1,15,10,52,15,13,2),(28,108,1,15,11,12,21,5,6),(28,108,1,15,12,11,34,3,5),(28,108,1,15,13,49,24,10,3),(28,108,1,15,14,18,28,5,4),(28,108,1,15,15,54,NULL,8,NULL),(28,108,1,15,16,49,32,10,4),(28,108,1,15,17,23,52,4,8),(28,108,1,15,18,23,23,5,5),(28,108,1,15,19,52,31,10,2),(28,108,1,15,20,30,61,6,7),(28,108,1,15,21,3,15,NULL,2),(28,108,1,15,22,3,20,NULL,2),(28,108,1,15,23,4,20,1,2),(28,108,1,15,24,NULL,NULL,NULL,NULL),(28,108,1,15,25,3,7,NULL,2),(28,108,1,15,26,NULL,8,NULL,2),(28,108,1,15,27,13,NULL,2,NULL),(28,108,1,15,28,NULL,5,NULL,NULL),(28,108,1,15,29,3,19,1,4),(28,108,1,15,30,10,16,2,6),(28,108,1,15,31,9,16,3,3),(28,108,1,15,32,14,30,4,8),(28,108,1,15,33,11,21,3,5),(28,108,1,15,34,31,13,7,3),(28,108,1,15,35,9,7,2,3),(28,108,1,15,36,4,NULL,1,NULL),(28,108,1,15,37,3,23,2,4),(28,108,1,15,38,8,14,3,2),(28,108,1,15,39,23,33,3,7),(28,108,1,15,40,8,NULL,3,NULL),(28,108,1,16,1,27,NULL,5,NULL),(28,108,1,16,2,1,17,NULL,4),(28,108,1,16,3,15,31,1,7),(28,108,1,16,4,12,21,1,6),(28,108,1,16,5,16,20,3,5),(28,108,1,16,6,9,30,4,5),(28,108,1,16,7,5,17,1,4),(28,108,1,16,8,6,32,3,5),(28,108,1,16,9,21,17,3,2),(28,108,1,16,10,43,16,9,2),(28,108,1,16,11,5,20,NULL,6),(28,108,1,16,12,9,10,2,4),(28,108,1,16,13,72,NULL,13,NULL),(28,108,1,16,14,58,16,12,1),(28,108,1,16,15,20,33,4,5),(28,108,1,16,16,53,NULL,9,NULL),(28,108,1,16,17,28,34,6,7),(28,108,1,16,18,14,19,3,5),(28,108,1,16,19,10,34,4,6),(28,108,1,16,20,13,26,2,4),(28,108,1,16,21,4,14,NULL,2),(28,108,1,16,22,2,19,1,2),(28,108,1,16,23,5,14,NULL,1),(28,108,1,16,24,1,NULL,NULL,NULL),(28,108,1,16,25,2,11,NULL,2),(28,108,1,16,26,NULL,5,NULL,1),(28,108,1,16,27,6,NULL,1,NULL),(28,108,1,16,28,NULL,6,NULL,NULL),(28,108,1,16,29,3,13,NULL,4),(28,108,1,16,30,4,21,1,6),(28,108,1,16,31,NULL,6,NULL,3),(28,108,1,16,32,8,13,1,3),(28,108,1,16,33,6,10,3,3),(28,108,1,16,34,17,18,4,4),(28,108,1,16,35,4,11,2,4),(28,108,1,16,36,1,NULL,1,NULL),(28,108,1,16,37,2,14,1,3),(28,108,1,16,38,1,12,1,3),(28,108,1,16,39,16,16,3,4),(28,108,1,16,40,2,NULL,1,NULL),(28,108,1,17,1,19,NULL,7,NULL),(28,108,1,17,2,3,18,NULL,4),(28,108,1,17,3,18,25,5,5),(28,108,1,17,4,8,21,NULL,5),(28,108,1,17,5,18,17,4,2),(28,108,1,17,6,7,40,NULL,8),(28,108,1,17,7,7,17,NULL,2),(28,108,1,17,8,2,28,1,6),(28,108,1,17,9,13,16,2,4),(28,108,1,17,10,32,17,8,2),(28,108,1,17,11,3,19,NULL,9),(28,108,1,17,12,7,12,2,1),(28,108,1,17,13,72,NULL,11,NULL),(28,108,1,17,14,65,8,10,1),(28,108,1,17,15,21,32,2,9),(28,108,1,17,16,52,NULL,10,NULL),(28,108,1,17,17,34,30,6,6),(28,108,1,17,18,27,18,7,2),(28,108,1,17,19,14,33,3,7),(28,108,1,17,20,10,27,1,4),(28,108,1,17,21,1,13,NULL,1),(28,108,1,17,22,2,14,NULL,3),(28,108,1,17,23,2,16,NULL,5),(28,108,1,17,24,3,NULL,NULL,NULL),(28,108,1,17,25,2,7,NULL,NULL),(28,108,1,17,26,2,9,NULL,2),(28,108,1,17,27,9,NULL,3,NULL),(28,108,1,17,28,1,5,NULL,1),(28,108,1,17,29,3,11,NULL,3),(28,108,1,17,30,4,16,NULL,5),(28,108,1,17,31,4,9,NULL,3),(28,108,1,17,32,5,25,NULL,9),(28,108,1,17,33,7,8,5,1),(28,108,1,17,34,14,12,5,3),(28,108,1,17,35,7,5,4,1),(28,108,1,17,36,1,NULL,NULL,NULL),(28,108,1,17,37,5,8,1,3),(28,108,1,17,38,NULL,7,NULL,3),(28,108,1,17,39,13,23,3,6),(28,108,1,17,40,2,NULL,1,NULL),(28,108,1,18,1,NULL,NULL,NULL,NULL),(28,108,1,18,2,NULL,NULL,NULL,NULL),(28,108,1,18,3,NULL,NULL,NULL,NULL),(28,108,1,18,4,NULL,NULL,NULL,NULL),(28,108,1,18,5,NULL,NULL,NULL,NULL),(28,108,1,18,6,NULL,NULL,NULL,NULL),(28,108,1,18,7,NULL,NULL,NULL,NULL),(28,108,1,18,8,NULL,NULL,NULL,NULL),(28,108,1,18,9,NULL,NULL,NULL,NULL),(28,108,1,18,10,NULL,NULL,NULL,NULL),(28,108,1,18,11,NULL,NULL,NULL,NULL),(28,108,1,18,12,NULL,NULL,NULL,NULL),(28,108,1,18,13,NULL,NULL,NULL,NULL),(28,108,1,18,14,NULL,NULL,NULL,NULL),(28,108,1,18,15,NULL,NULL,NULL,NULL),(28,108,1,18,16,NULL,NULL,NULL,NULL),(28,108,1,18,17,NULL,NULL,NULL,NULL),(28,108,1,18,18,NULL,NULL,NULL,NULL),(28,108,1,18,19,NULL,NULL,NULL,NULL),(28,108,1,18,20,NULL,NULL,NULL,NULL),(28,108,1,18,21,NULL,NULL,NULL,NULL),(28,108,1,18,22,NULL,NULL,NULL,NULL),(28,108,1,18,23,NULL,NULL,NULL,NULL),(28,108,1,18,24,NULL,NULL,NULL,NULL),(28,108,1,18,25,NULL,NULL,NULL,NULL),(28,108,1,18,26,NULL,NULL,NULL,NULL),(28,108,1,18,27,NULL,NULL,NULL,NULL),(28,108,1,18,28,NULL,NULL,NULL,NULL),(28,108,1,18,29,NULL,NULL,NULL,NULL),(28,108,1,18,30,NULL,NULL,NULL,NULL),(28,108,1,18,31,NULL,NULL,NULL,NULL),(28,108,1,18,32,NULL,NULL,NULL,NULL),(28,108,1,18,33,NULL,NULL,NULL,NULL),(28,108,1,18,34,NULL,NULL,NULL,NULL),(28,108,1,18,35,NULL,NULL,NULL,NULL),(28,108,1,18,36,NULL,NULL,NULL,NULL),(28,108,1,18,37,NULL,NULL,NULL,NULL),(28,108,1,18,38,NULL,NULL,NULL,NULL),(28,108,1,18,39,NULL,NULL,NULL,NULL),(28,108,1,18,40,NULL,NULL,NULL,NULL),(28,108,1,19,1,NULL,NULL,NULL,NULL),(28,108,1,19,2,NULL,NULL,NULL,NULL),(28,108,1,19,3,NULL,NULL,NULL,NULL),(28,108,1,19,4,NULL,NULL,NULL,NULL),(28,108,1,19,5,NULL,NULL,NULL,NULL),(28,108,1,19,6,NULL,NULL,NULL,NULL),(28,108,1,19,7,NULL,NULL,NULL,NULL),(28,108,1,19,8,NULL,NULL,NULL,NULL),(28,108,1,19,9,NULL,NULL,NULL,NULL),(28,108,1,19,10,NULL,NULL,NULL,NULL),(28,108,1,19,11,NULL,NULL,NULL,NULL),(28,108,1,19,12,NULL,NULL,NULL,NULL),(28,108,1,19,13,NULL,NULL,NULL,NULL),(28,108,1,19,14,NULL,NULL,NULL,NULL),(28,108,1,19,15,NULL,NULL,NULL,NULL),(28,108,1,19,16,NULL,NULL,NULL,NULL),(28,108,1,19,17,NULL,NULL,NULL,NULL),(28,108,1,19,18,NULL,NULL,NULL,NULL),(28,108,1,19,19,NULL,NULL,NULL,NULL),(28,108,1,19,20,NULL,NULL,NULL,NULL),(28,108,1,19,21,NULL,NULL,NULL,NULL),(28,108,1,19,22,NULL,NULL,NULL,NULL),(28,108,1,19,23,NULL,NULL,NULL,NULL),(28,108,1,19,24,NULL,NULL,NULL,NULL),(28,108,1,19,25,NULL,NULL,NULL,NULL),(28,108,1,19,26,NULL,NULL,NULL,NULL),(28,108,1,19,27,NULL,NULL,NULL,NULL),(28,108,1,19,28,NULL,NULL,NULL,NULL),(28,108,1,19,29,NULL,NULL,NULL,NULL),(28,108,1,19,30,NULL,NULL,NULL,NULL),(28,108,1,19,31,NULL,NULL,NULL,NULL),(28,108,1,19,32,NULL,NULL,NULL,NULL),(28,108,1,19,33,NULL,NULL,NULL,NULL),(28,108,1,19,34,NULL,NULL,NULL,NULL),(28,108,1,19,35,NULL,NULL,NULL,NULL),(28,108,1,19,36,NULL,NULL,NULL,NULL),(28,108,1,19,37,NULL,NULL,NULL,NULL),(28,108,1,19,38,NULL,NULL,NULL,NULL),(28,108,1,19,39,NULL,NULL,NULL,NULL),(28,108,1,19,40,NULL,NULL,NULL,NULL),(28,108,2,21,1,3,43,2,7),(28,108,2,21,2,3,33,1,10),(28,108,2,21,3,50,29,11,6),(28,108,2,21,4,4,13,1,2),(28,108,2,21,5,13,23,3,6),(28,108,2,21,6,37,39,9,8),(28,108,2,21,7,3,26,NULL,7),(28,108,2,21,8,12,21,4,7),(28,108,2,21,9,5,12,2,2),(28,108,2,21,10,10,26,2,7),(28,108,2,21,11,20,9,10,2),(28,108,2,21,12,17,34,4,10),(28,108,2,21,13,15,55,8,8),(28,108,2,21,14,24,37,7,9),(28,108,2,21,15,16,23,3,6),(28,108,2,21,16,17,42,3,9),(28,108,2,21,17,8,8,3,3),(28,108,2,21,18,29,38,8,11),(28,108,2,21,19,21,29,8,8),(28,108,2,21,20,42,20,16,2),(28,108,2,21,21,1,12,1,5),(28,108,2,21,22,10,15,5,5),(28,108,2,21,23,NULL,11,NULL,4),(28,108,2,21,24,2,14,NULL,5),(28,108,2,21,25,4,19,1,3),(28,108,2,21,26,1,17,NULL,6),(28,108,2,21,27,5,32,1,12),(28,108,2,21,28,1,11,1,3),(28,108,2,21,29,NULL,12,NULL,4),(28,108,2,21,30,2,13,NULL,3),(28,108,2,21,31,2,28,NULL,10),(28,108,2,21,32,3,4,3,NULL),(28,108,2,21,33,13,11,5,4),(28,108,2,21,34,6,20,2,9),(28,108,2,21,35,15,NULL,1,NULL),(28,108,2,21,36,2,9,NULL,3),(28,108,2,21,37,5,13,2,4),(28,108,2,21,38,1,5,NULL,1),(28,108,2,21,39,2,14,1,6),(28,108,2,21,40,5,54,1,11),(28,108,2,22,1,1,44,1,13),(28,108,2,22,2,2,26,1,11),(28,108,2,22,3,40,24,9,9),(28,108,2,22,4,1,8,NULL,4),(28,108,2,22,5,8,18,5,4),(28,108,2,22,6,36,41,10,12),(28,108,2,22,7,NULL,32,NULL,7),(28,108,2,22,8,11,18,5,6),(28,108,2,22,9,8,6,5,NULL),(28,108,2,22,10,15,24,6,7),(28,108,2,22,11,11,20,7,7),(28,108,2,22,12,16,42,9,7),(28,108,2,22,13,13,51,7,11),(28,108,2,22,14,14,35,7,11),(28,108,2,22,15,23,27,9,2),(28,108,2,22,16,17,32,4,12),(28,108,2,22,17,3,7,2,3),(28,108,2,22,18,43,29,16,6),(28,108,2,22,19,16,28,8,10),(28,108,2,22,20,32,26,14,5),(28,108,2,22,21,1,17,1,6),(28,108,2,22,22,10,15,7,7),(28,108,2,22,23,3,9,1,4),(28,108,2,22,24,2,13,1,2),(28,108,2,22,25,4,18,2,8),(28,108,2,22,26,3,17,1,6),(28,108,2,22,27,7,37,5,14),(28,108,2,22,28,1,14,NULL,9),(28,108,2,22,29,3,13,NULL,3),(28,108,2,22,30,1,5,1,4),(28,108,2,22,31,5,38,2,12),(28,108,2,22,32,1,5,NULL,2),(28,108,2,22,33,10,14,8,4),(28,108,2,22,34,10,21,4,4),(28,108,2,22,35,15,NULL,4,NULL),(28,108,2,22,36,5,9,1,5),(28,108,2,22,37,2,17,1,5),(28,108,2,22,38,NULL,12,NULL,4),(28,108,2,22,39,4,16,3,4),(28,108,2,22,40,7,41,3,11),(28,108,2,23,1,3,34,1,9),(28,108,2,23,2,1,20,NULL,10),(28,108,2,23,3,36,28,10,6),(28,108,2,23,4,1,16,NULL,2),(28,108,2,23,5,19,15,6,4),(28,108,2,23,6,27,39,8,6),(28,108,2,23,7,1,36,1,11),(28,108,2,23,8,14,21,7,2),(28,108,2,23,9,5,10,2,3),(28,108,2,23,10,22,22,11,3),(28,108,2,23,11,15,17,5,7),(28,108,2,23,12,23,33,8,5),(28,108,2,23,13,8,51,5,9),(28,108,2,23,14,18,32,9,6),(28,108,2,23,15,11,19,2,4),(28,108,2,23,16,19,34,5,9),(28,108,2,23,17,5,16,1,3),(28,108,2,23,18,38,37,8,9),(28,108,2,23,19,18,27,6,8),(28,108,2,23,20,35,19,9,6),(28,108,2,23,21,5,16,2,3),(28,108,2,23,22,10,14,7,4),(28,108,2,23,23,NULL,7,NULL,2),(28,108,2,23,24,3,14,1,3),(28,108,2,23,25,2,15,1,4),(28,108,2,23,26,3,21,1,6),(28,108,2,23,27,4,24,NULL,9),(28,108,2,23,28,5,10,2,5),(28,108,2,23,29,1,8,NULL,2),(28,108,2,23,30,2,15,NULL,3),(28,108,2,23,31,4,38,2,11),(28,108,2,23,32,3,8,2,3),(28,108,2,23,33,9,17,4,5),(28,108,2,23,34,6,26,3,11),(28,108,2,23,35,9,NULL,2,NULL),(28,108,2,23,36,3,8,2,NULL),(28,108,2,23,37,3,15,2,2),(28,108,2,23,38,3,4,1,NULL),(28,108,2,23,39,NULL,16,NULL,6),(28,108,2,23,40,4,44,NULL,13),(28,108,2,24,1,NULL,28,NULL,3),(28,108,2,24,2,NULL,28,NULL,5),(28,108,2,24,3,31,26,8,9),(28,108,2,24,4,1,11,NULL,1),(28,108,2,24,5,15,21,2,8),(28,108,2,24,6,28,30,6,4),(28,108,2,24,7,1,36,1,5),(28,108,2,24,8,6,15,3,1),(28,108,2,24,9,1,10,1,4),(28,108,2,24,10,21,24,6,5),(28,108,2,24,11,10,13,2,6),(28,108,2,24,12,16,25,4,3),(28,108,2,24,13,11,49,3,9),(28,108,2,24,14,19,34,5,10),(28,108,2,24,15,11,15,3,2),(28,108,2,24,16,14,31,2,9),(28,108,2,24,17,7,13,NULL,6),(28,108,2,24,18,41,24,8,6),(28,108,2,24,19,15,25,5,5),(28,108,2,24,20,25,17,6,5),(28,108,2,24,21,5,11,2,1),(28,108,2,24,22,4,11,2,2),(28,108,2,24,23,1,8,NULL,1),(28,108,2,24,24,1,8,1,NULL),(28,108,2,24,25,4,14,1,1),(28,108,2,24,26,5,19,NULL,4),(28,108,2,24,27,3,29,NULL,7),(28,108,2,24,28,2,11,NULL,2),(28,108,2,24,29,1,8,NULL,1),(28,108,2,24,30,1,13,NULL,7),(28,108,2,24,31,1,19,NULL,1),(28,108,2,24,32,NULL,8,NULL,4),(28,108,2,24,33,5,16,2,5),(28,108,2,24,34,8,26,NULL,10),(28,108,2,24,35,12,NULL,2,NULL),(28,108,2,24,36,3,12,NULL,2),(28,108,2,24,37,2,16,NULL,5),(28,108,2,24,38,NULL,4,NULL,NULL),(28,108,2,24,39,1,10,1,NULL),(28,108,2,24,40,5,35,2,5),(28,109,1,11,1,NULL,NULL,NULL,NULL),(28,109,1,11,2,NULL,NULL,NULL,NULL),(28,109,1,11,3,NULL,NULL,NULL,NULL),(28,109,1,11,4,NULL,NULL,NULL,NULL),(28,109,1,11,5,NULL,NULL,NULL,NULL),(28,109,1,11,6,NULL,NULL,NULL,NULL),(28,109,1,11,7,NULL,NULL,NULL,NULL),(28,109,1,11,8,NULL,NULL,NULL,NULL),(28,109,1,11,9,NULL,NULL,NULL,NULL),(28,109,1,11,10,NULL,NULL,NULL,NULL),(28,109,1,11,11,NULL,NULL,NULL,NULL),(28,109,1,11,12,NULL,NULL,NULL,NULL),(28,109,1,11,13,NULL,NULL,NULL,NULL),(28,109,1,11,14,NULL,NULL,NULL,NULL),(28,109,1,11,15,NULL,NULL,NULL,NULL),(28,109,1,11,16,NULL,NULL,NULL,NULL),(28,109,1,11,17,NULL,NULL,NULL,NULL),(28,109,1,11,18,NULL,NULL,NULL,NULL),(28,109,1,11,19,NULL,NULL,NULL,NULL),(28,109,1,11,20,NULL,NULL,NULL,NULL),(28,109,1,11,21,NULL,NULL,NULL,NULL),(28,109,1,11,22,NULL,NULL,NULL,NULL),(28,109,1,11,23,NULL,NULL,NULL,NULL),(28,109,1,11,24,NULL,NULL,NULL,NULL),(28,109,1,11,25,NULL,NULL,NULL,NULL),(28,109,1,11,26,NULL,NULL,NULL,NULL),(28,109,1,11,27,NULL,NULL,NULL,NULL),(28,109,1,11,28,NULL,NULL,NULL,NULL),(28,109,1,11,29,NULL,NULL,NULL,NULL),(28,109,1,11,30,NULL,NULL,NULL,NULL),(28,109,1,11,31,NULL,NULL,NULL,NULL),(28,109,1,11,32,NULL,NULL,NULL,NULL),(28,109,1,11,33,NULL,NULL,NULL,NULL),(28,109,1,11,34,NULL,NULL,NULL,NULL),(28,109,1,11,35,NULL,NULL,NULL,NULL),(28,109,1,11,36,NULL,NULL,NULL,NULL),(28,109,1,11,37,NULL,NULL,NULL,NULL),(28,109,1,11,38,NULL,NULL,NULL,NULL),(28,109,1,11,39,NULL,NULL,NULL,NULL),(28,109,1,11,40,NULL,NULL,NULL,NULL),(28,109,1,12,1,NULL,NULL,NULL,NULL),(28,109,1,12,2,NULL,NULL,NULL,NULL),(28,109,1,12,3,NULL,NULL,NULL,NULL),(28,109,1,12,4,NULL,NULL,NULL,NULL),(28,109,1,12,5,NULL,NULL,NULL,NULL),(28,109,1,12,6,NULL,NULL,NULL,NULL),(28,109,1,12,7,NULL,NULL,NULL,NULL),(28,109,1,12,8,NULL,NULL,NULL,NULL),(28,109,1,12,9,NULL,NULL,NULL,NULL),(28,109,1,12,10,NULL,NULL,NULL,NULL),(28,109,1,12,11,NULL,NULL,NULL,NULL),(28,109,1,12,12,NULL,NULL,NULL,NULL),(28,109,1,12,13,NULL,NULL,NULL,NULL),(28,109,1,12,14,NULL,NULL,NULL,NULL),(28,109,1,12,15,NULL,NULL,NULL,NULL),(28,109,1,12,16,NULL,NULL,NULL,NULL),(28,109,1,12,17,NULL,NULL,NULL,NULL),(28,109,1,12,18,NULL,NULL,NULL,NULL),(28,109,1,12,19,NULL,NULL,NULL,NULL),(28,109,1,12,20,NULL,NULL,NULL,NULL),(28,109,1,12,21,NULL,NULL,NULL,NULL),(28,109,1,12,22,NULL,NULL,NULL,NULL),(28,109,1,12,23,NULL,NULL,NULL,NULL),(28,109,1,12,24,NULL,NULL,NULL,NULL),(28,109,1,12,25,NULL,NULL,NULL,NULL),(28,109,1,12,26,NULL,NULL,NULL,NULL),(28,109,1,12,27,NULL,NULL,NULL,NULL),(28,109,1,12,28,NULL,NULL,NULL,NULL),(28,109,1,12,29,NULL,NULL,NULL,NULL),(28,109,1,12,30,NULL,NULL,NULL,NULL),(28,109,1,12,31,NULL,NULL,NULL,NULL),(28,109,1,12,32,NULL,NULL,NULL,NULL),(28,109,1,12,33,NULL,NULL,NULL,NULL),(28,109,1,12,34,NULL,NULL,NULL,NULL),(28,109,1,12,35,NULL,NULL,NULL,NULL),(28,109,1,12,36,NULL,NULL,NULL,NULL),(28,109,1,12,37,NULL,NULL,NULL,NULL),(28,109,1,12,38,NULL,NULL,NULL,NULL),(28,109,1,12,39,NULL,NULL,NULL,NULL),(28,109,1,12,40,NULL,NULL,NULL,NULL),(28,109,1,13,1,NULL,NULL,NULL,NULL),(28,109,1,13,2,NULL,NULL,NULL,NULL),(28,109,1,13,3,NULL,NULL,NULL,NULL),(28,109,1,13,4,NULL,NULL,NULL,NULL),(28,109,1,13,5,NULL,NULL,NULL,NULL),(28,109,1,13,6,NULL,NULL,NULL,NULL),(28,109,1,13,7,NULL,NULL,NULL,NULL),(28,109,1,13,8,NULL,NULL,NULL,NULL),(28,109,1,13,9,NULL,NULL,NULL,NULL),(28,109,1,13,10,NULL,NULL,NULL,NULL),(28,109,1,13,11,NULL,NULL,NULL,NULL),(28,109,1,13,12,NULL,NULL,NULL,NULL),(28,109,1,13,13,NULL,NULL,NULL,NULL),(28,109,1,13,14,NULL,NULL,NULL,NULL),(28,109,1,13,15,NULL,NULL,NULL,NULL),(28,109,1,13,16,NULL,NULL,NULL,NULL),(28,109,1,13,17,NULL,NULL,NULL,NULL),(28,109,1,13,18,NULL,NULL,NULL,NULL),(28,109,1,13,19,NULL,NULL,NULL,NULL),(28,109,1,13,20,NULL,NULL,NULL,NULL),(28,109,1,13,21,NULL,NULL,NULL,NULL),(28,109,1,13,22,NULL,NULL,NULL,NULL),(28,109,1,13,23,NULL,NULL,NULL,NULL),(28,109,1,13,24,NULL,NULL,NULL,NULL),(28,109,1,13,25,NULL,NULL,NULL,NULL),(28,109,1,13,26,NULL,NULL,NULL,NULL),(28,109,1,13,27,NULL,NULL,NULL,NULL),(28,109,1,13,28,NULL,NULL,NULL,NULL),(28,109,1,13,29,NULL,NULL,NULL,NULL),(28,109,1,13,30,NULL,NULL,NULL,NULL),(28,109,1,13,31,NULL,NULL,NULL,NULL),(28,109,1,13,32,NULL,NULL,NULL,NULL),(28,109,1,13,33,NULL,NULL,NULL,NULL),(28,109,1,13,34,NULL,NULL,NULL,NULL),(28,109,1,13,35,NULL,NULL,NULL,NULL),(28,109,1,13,36,NULL,NULL,NULL,NULL),(28,109,1,13,37,NULL,NULL,NULL,NULL),(28,109,1,13,38,NULL,NULL,NULL,NULL),(28,109,1,13,39,NULL,NULL,NULL,NULL),(28,109,1,13,40,NULL,NULL,NULL,NULL),(28,109,1,14,1,7,NULL,7,NULL),(28,109,1,14,2,NULL,2,NULL,2),(28,109,1,14,3,3,4,2,2),(28,109,1,14,4,1,5,1,3),(28,109,1,14,5,7,4,3,2),(28,109,1,14,6,3,11,2,6),(28,109,1,14,7,2,7,NULL,5),(28,109,1,14,8,3,5,3,3),(28,109,1,14,9,1,9,1,4),(28,109,1,14,10,8,6,7,3),(28,109,1,14,11,2,1,1,1),(28,109,1,14,12,2,6,1,5),(28,109,1,14,13,6,5,5,3),(28,109,1,14,14,2,2,2,1),(28,109,1,14,15,7,NULL,4,NULL),(28,109,1,14,16,3,4,3,2),(28,109,1,14,17,1,12,1,8),(28,109,1,14,18,2,5,2,2),(28,109,1,14,19,5,6,4,3),(28,109,1,14,20,2,11,1,6),(28,109,1,14,21,1,3,1,2),(28,109,1,14,22,2,3,NULL,1),(28,109,1,14,23,NULL,4,NULL,3),(28,109,1,14,24,NULL,NULL,NULL,NULL),(28,109,1,14,25,NULL,1,NULL,NULL),(28,109,1,14,26,1,2,NULL,NULL),(28,109,1,14,27,4,NULL,4,NULL),(28,109,1,14,28,NULL,NULL,NULL,NULL),(28,109,1,14,29,NULL,3,NULL,3),(28,109,1,14,30,4,4,3,4),(28,109,1,14,31,NULL,3,NULL,2),(28,109,1,14,32,1,2,NULL,1),(28,109,1,14,33,1,3,1,3),(28,109,1,14,34,NULL,2,NULL,1),(28,109,1,14,35,1,NULL,1,NULL),(28,109,1,14,36,NULL,NULL,NULL,NULL),(28,109,1,14,37,1,2,1,1),(28,109,1,14,38,NULL,1,NULL,1),(28,109,1,14,39,3,4,2,3),(28,109,1,14,40,NULL,NULL,NULL,NULL),(28,109,1,15,1,3,NULL,3,NULL),(28,109,1,15,2,NULL,2,NULL,2),(28,109,1,15,3,5,2,4,2),(28,109,1,15,4,1,4,1,2),(28,109,1,15,5,1,5,1,5),(28,109,1,15,6,1,11,1,6),(28,109,1,15,7,1,4,1,4),(28,109,1,15,8,1,6,1,4),(28,109,1,15,9,5,2,3,1),(28,109,1,15,10,10,2,5,2),(28,109,1,15,11,1,4,1,4),(28,109,1,15,12,1,1,1,1),(28,109,1,15,13,7,4,5,3),(28,109,1,15,14,1,3,1,3),(28,109,1,15,15,6,NULL,5,NULL),(28,109,1,15,16,3,5,2,5),(28,109,1,15,17,1,8,1,6),(28,109,1,15,18,1,4,1,2),(28,109,1,15,19,6,2,5,1),(28,109,1,15,20,4,9,2,6),(28,109,1,15,21,NULL,3,NULL,1),(28,109,1,15,22,NULL,5,NULL,2),(28,109,1,15,23,2,3,NULL,2),(28,109,1,15,24,NULL,NULL,NULL,NULL),(28,109,1,15,25,NULL,2,NULL,NULL),(28,109,1,15,26,NULL,1,NULL,NULL),(28,109,1,15,27,3,NULL,2,NULL),(28,109,1,15,28,NULL,1,NULL,NULL),(28,109,1,15,29,1,2,NULL,1),(28,109,1,15,30,3,3,2,3),(28,109,1,15,31,NULL,3,NULL,3),(28,109,1,15,32,1,2,1,2),(28,109,1,15,33,1,2,NULL,2),(28,109,1,15,34,1,2,1,1),(28,109,1,15,35,NULL,NULL,NULL,NULL),(28,109,1,15,36,NULL,NULL,NULL,NULL),(28,109,1,15,37,2,1,2,1),(28,109,1,15,38,NULL,2,NULL,1),(28,109,1,15,39,1,3,NULL,3),(28,109,1,15,40,1,NULL,1,NULL),(28,109,1,16,1,15,NULL,10,NULL),(28,109,1,16,2,1,12,NULL,7),(28,109,1,16,3,7,14,6,9),(28,109,1,16,4,5,7,5,4),(28,109,1,16,5,8,15,5,9),(28,109,1,16,6,2,29,1,17),(28,109,1,16,7,7,12,2,9),(28,109,1,16,8,2,13,2,8),(28,109,1,16,9,8,9,4,6),(28,109,1,16,10,21,5,14,5),(28,109,1,16,11,5,11,3,8),(28,109,1,16,12,3,11,2,6),(28,109,1,16,13,50,NULL,26,NULL),(28,109,1,16,14,35,13,19,8),(28,109,1,16,15,13,25,5,13),(28,109,1,16,16,33,NULL,15,NULL),(28,109,1,16,17,17,28,10,17),(28,109,1,16,18,9,13,6,8),(28,109,1,16,19,8,26,5,16),(28,109,1,16,20,11,23,6,10),(28,109,1,16,21,NULL,10,NULL,5),(28,109,1,16,22,2,11,2,7),(28,109,1,16,23,1,9,NULL,6),(28,109,1,16,24,1,NULL,NULL,NULL),(28,109,1,16,25,1,4,NULL,2),(28,109,1,16,26,1,5,1,4),(28,109,1,16,27,2,NULL,2,NULL),(28,109,1,16,28,NULL,1,NULL,NULL),(28,109,1,16,29,NULL,6,NULL,3),(28,109,1,16,30,5,11,2,5),(28,109,1,16,31,2,2,2,2),(28,109,1,16,32,3,9,3,6),(28,109,1,16,33,4,4,3,2),(28,109,1,16,34,7,5,5,3),(28,109,1,16,35,NULL,NULL,NULL,NULL),(28,109,1,16,36,NULL,NULL,NULL,NULL),(28,109,1,16,37,1,10,1,6),(28,109,1,16,38,1,9,1,4),(28,109,1,16,39,5,13,5,10),(28,109,1,16,40,2,NULL,2,NULL),(28,109,1,17,1,21,NULL,17,NULL),(28,109,1,17,2,1,11,1,6),(28,109,1,17,3,11,12,10,7),(28,109,1,17,4,7,12,5,5),(28,109,1,17,5,5,9,3,7),(28,109,1,17,6,7,23,4,12),(28,109,1,17,7,4,13,3,8),(28,109,1,17,8,2,11,1,8),(28,109,1,17,9,6,17,3,12),(28,109,1,17,10,19,18,13,10),(28,109,1,17,11,5,15,4,8),(28,109,1,17,12,3,12,3,6),(28,109,1,17,13,54,NULL,32,NULL),(28,109,1,17,14,40,10,24,7),(28,109,1,17,15,14,29,7,14),(28,109,1,17,16,47,NULL,27,NULL),(28,109,1,17,17,19,33,12,19),(28,109,1,17,18,13,15,7,9),(28,109,1,17,19,10,30,6,16),(28,109,1,17,20,7,19,5,11),(28,109,1,17,21,NULL,6,NULL,1),(28,109,1,17,22,3,6,NULL,3),(28,109,1,17,23,NULL,13,NULL,8),(28,109,1,17,24,1,NULL,1,NULL),(28,109,1,17,25,NULL,6,NULL,4),(28,109,1,17,26,2,5,NULL,2),(28,109,1,17,27,11,NULL,5,NULL),(28,109,1,17,28,NULL,1,NULL,1),(28,109,1,17,29,1,10,1,6),(28,109,1,17,30,4,18,1,8),(28,109,1,17,31,1,7,1,4),(28,109,1,17,32,3,15,1,10),(28,109,1,17,33,NULL,11,NULL,9),(28,109,1,17,34,5,12,5,6),(28,109,1,17,35,NULL,6,NULL,3),(28,109,1,17,36,1,NULL,1,NULL),(28,109,1,17,37,1,2,NULL,1),(28,109,1,17,38,1,12,NULL,6),(28,109,1,17,39,9,12,7,8),(28,109,1,17,40,2,NULL,2,NULL),(28,109,1,18,1,NULL,NULL,NULL,NULL),(28,109,1,18,2,NULL,NULL,NULL,NULL),(28,109,1,18,3,NULL,NULL,NULL,NULL),(28,109,1,18,4,NULL,NULL,NULL,NULL),(28,109,1,18,5,NULL,NULL,NULL,NULL),(28,109,1,18,6,NULL,NULL,NULL,NULL),(28,109,1,18,7,NULL,NULL,NULL,NULL),(28,109,1,18,8,NULL,NULL,NULL,NULL),(28,109,1,18,9,NULL,NULL,NULL,NULL),(28,109,1,18,10,NULL,NULL,NULL,NULL),(28,109,1,18,11,NULL,NULL,NULL,NULL),(28,109,1,18,12,NULL,NULL,NULL,NULL),(28,109,1,18,13,NULL,NULL,NULL,NULL),(28,109,1,18,14,NULL,NULL,NULL,NULL),(28,109,1,18,15,NULL,NULL,NULL,NULL),(28,109,1,18,16,NULL,NULL,NULL,NULL),(28,109,1,18,17,NULL,NULL,NULL,NULL),(28,109,1,18,18,NULL,NULL,NULL,NULL),(28,109,1,18,19,NULL,NULL,NULL,NULL),(28,109,1,18,20,NULL,NULL,NULL,NULL),(28,109,1,18,21,NULL,NULL,NULL,NULL),(28,109,1,18,22,NULL,NULL,NULL,NULL),(28,109,1,18,23,NULL,NULL,NULL,NULL),(28,109,1,18,24,NULL,NULL,NULL,NULL),(28,109,1,18,25,NULL,NULL,NULL,NULL),(28,109,1,18,26,NULL,NULL,NULL,NULL),(28,109,1,18,27,NULL,NULL,NULL,NULL),(28,109,1,18,28,NULL,NULL,NULL,NULL),(28,109,1,18,29,NULL,NULL,NULL,NULL),(28,109,1,18,30,NULL,NULL,NULL,NULL),(28,109,1,18,31,NULL,NULL,NULL,NULL),(28,109,1,18,32,NULL,NULL,NULL,NULL),(28,109,1,18,33,NULL,NULL,NULL,NULL),(28,109,1,18,34,NULL,NULL,NULL,NULL),(28,109,1,18,35,NULL,NULL,NULL,NULL),(28,109,1,18,36,NULL,NULL,NULL,NULL),(28,109,1,18,37,NULL,NULL,NULL,NULL),(28,109,1,18,38,NULL,NULL,NULL,NULL),(28,109,1,18,39,NULL,NULL,NULL,NULL),(28,109,1,18,40,NULL,NULL,NULL,NULL),(28,109,1,19,1,NULL,NULL,NULL,NULL),(28,109,1,19,2,NULL,NULL,NULL,NULL),(28,109,1,19,3,NULL,NULL,NULL,NULL),(28,109,1,19,4,NULL,NULL,NULL,NULL),(28,109,1,19,5,NULL,NULL,NULL,NULL),(28,109,1,19,6,NULL,NULL,NULL,NULL),(28,109,1,19,7,NULL,NULL,NULL,NULL),(28,109,1,19,8,NULL,NULL,NULL,NULL),(28,109,1,19,9,NULL,NULL,NULL,NULL),(28,109,1,19,10,NULL,NULL,NULL,NULL),(28,109,1,19,11,NULL,NULL,NULL,NULL),(28,109,1,19,12,NULL,NULL,NULL,NULL),(28,109,1,19,13,NULL,NULL,NULL,NULL),(28,109,1,19,14,NULL,NULL,NULL,NULL),(28,109,1,19,15,NULL,NULL,NULL,NULL),(28,109,1,19,16,NULL,NULL,NULL,NULL),(28,109,1,19,17,NULL,NULL,NULL,NULL),(28,109,1,19,18,NULL,NULL,NULL,NULL),(28,109,1,19,19,NULL,NULL,NULL,NULL),(28,109,1,19,20,NULL,NULL,NULL,NULL),(28,109,1,19,21,NULL,NULL,NULL,NULL),(28,109,1,19,22,NULL,NULL,NULL,NULL),(28,109,1,19,23,NULL,NULL,NULL,NULL),(28,109,1,19,24,NULL,NULL,NULL,NULL),(28,109,1,19,25,NULL,NULL,NULL,NULL),(28,109,1,19,26,NULL,NULL,NULL,NULL),(28,109,1,19,27,NULL,NULL,NULL,NULL),(28,109,1,19,28,NULL,NULL,NULL,NULL),(28,109,1,19,29,NULL,NULL,NULL,NULL),(28,109,1,19,30,NULL,NULL,NULL,NULL),(28,109,1,19,31,NULL,NULL,NULL,NULL),(28,109,1,19,32,NULL,NULL,NULL,NULL),(28,109,1,19,33,NULL,NULL,NULL,NULL),(28,109,1,19,34,NULL,NULL,NULL,NULL),(28,109,1,19,35,NULL,NULL,NULL,NULL),(28,109,1,19,36,NULL,NULL,NULL,NULL),(28,109,1,19,37,NULL,NULL,NULL,NULL),(28,109,1,19,38,NULL,NULL,NULL,NULL),(28,109,1,19,39,NULL,NULL,NULL,NULL),(28,109,1,19,40,NULL,NULL,NULL,NULL),(28,109,2,21,1,NULL,13,NULL,7),(28,109,2,21,2,NULL,1,NULL,1),(28,109,2,21,3,10,15,6,8),(28,109,2,21,4,NULL,1,NULL,1),(28,109,2,21,5,2,6,2,2),(28,109,2,21,6,5,17,3,9),(28,109,2,21,7,NULL,12,NULL,7),(28,109,2,21,8,NULL,9,NULL,7),(28,109,2,21,9,2,3,1,3),(28,109,2,21,10,4,10,3,7),(28,109,2,21,11,1,2,1,2),(28,109,2,21,12,3,11,2,5),(28,109,2,21,13,1,19,1,7),(28,109,2,21,14,2,17,1,8),(28,109,2,21,15,NULL,7,NULL,5),(28,109,2,21,16,2,11,1,6),(28,109,2,21,17,2,4,2,NULL),(28,109,2,21,18,9,12,5,8),(28,109,2,21,19,5,13,2,5),(28,109,2,21,20,6,10,5,5),(28,109,2,21,21,3,5,1,2),(28,109,2,21,22,1,2,1,1),(28,109,2,21,23,NULL,2,NULL,2),(28,109,2,21,24,3,5,1,2),(28,109,2,21,25,1,5,NULL,2),(28,109,2,21,26,1,10,1,3),(28,109,2,21,27,1,7,1,5),(28,109,2,21,28,2,2,1,1),(28,109,2,21,29,1,2,NULL,1),(28,109,2,21,30,1,6,NULL,4),(28,109,2,21,31,NULL,7,NULL,6),(28,109,2,21,32,1,NULL,1,NULL),(28,109,2,21,33,1,4,1,3),(28,109,2,21,34,NULL,5,NULL,4),(28,109,2,21,35,3,NULL,1,NULL),(28,109,2,21,36,1,NULL,NULL,NULL),(28,109,2,21,37,NULL,3,NULL,2),(28,109,2,21,38,1,2,1,1),(28,109,2,21,39,NULL,3,NULL,1),(28,109,2,21,40,NULL,12,NULL,8),(28,109,2,22,1,NULL,14,NULL,5),(28,109,2,22,2,NULL,3,NULL,1),(28,109,2,22,3,12,10,8,5),(28,109,2,22,4,NULL,4,NULL,2),(28,109,2,22,5,1,7,1,4),(28,109,2,22,6,6,17,4,10),(28,109,2,22,7,NULL,9,NULL,4),(28,109,2,22,8,NULL,6,NULL,5),(28,109,2,22,9,2,1,1,1),(28,109,2,22,10,7,9,2,7),(28,109,2,22,11,3,6,1,4),(28,109,2,22,12,3,8,2,4),(28,109,2,22,13,NULL,21,NULL,10),(28,109,2,22,14,4,9,4,7),(28,109,2,22,15,5,9,3,5),(28,109,2,22,16,2,13,1,10),(28,109,2,22,17,2,9,1,6),(28,109,2,22,18,8,14,8,7),(28,109,2,22,19,3,10,3,6),(28,109,2,22,20,7,8,6,5),(28,109,2,22,21,1,1,NULL,NULL),(28,109,2,22,22,NULL,NULL,NULL,NULL),(28,109,2,22,23,NULL,3,NULL,3),(28,109,2,22,24,2,5,2,3),(28,109,2,22,25,NULL,2,NULL,2),(28,109,2,22,26,2,10,1,7),(28,109,2,22,27,NULL,8,NULL,5),(28,109,2,22,28,1,5,1,4),(28,109,2,22,29,NULL,5,NULL,5),(28,109,2,22,30,3,6,2,3),(28,109,2,22,31,NULL,6,NULL,5),(28,109,2,22,32,NULL,NULL,NULL,NULL),(28,109,2,22,33,3,3,1,2),(28,109,2,22,34,NULL,6,NULL,3),(28,109,2,22,35,6,NULL,4,NULL),(28,109,2,22,36,1,3,1,1),(28,109,2,22,37,NULL,2,NULL,2),(28,109,2,22,38,NULL,1,NULL,1),(28,109,2,22,39,NULL,6,NULL,4),(28,109,2,22,40,NULL,15,NULL,7),(28,109,2,23,1,NULL,10,NULL,6),(28,109,2,23,2,NULL,5,NULL,5),(28,109,2,23,3,10,9,6,5),(28,109,2,23,4,NULL,4,NULL,3),(28,109,2,23,5,2,11,2,7),(28,109,2,23,6,6,13,4,8),(28,109,2,23,7,NULL,11,NULL,8),(28,109,2,23,8,NULL,6,NULL,3),(28,109,2,23,9,1,3,1,1),(28,109,2,23,10,3,9,2,6),(28,109,2,23,11,2,4,2,2),(28,109,2,23,12,NULL,15,NULL,10),(28,109,2,23,13,NULL,11,NULL,8),(28,109,2,23,14,4,5,3,3),(28,109,2,23,15,4,10,1,8),(28,109,2,23,16,4,11,2,9),(28,109,2,23,17,NULL,2,NULL,1),(28,109,2,23,18,8,16,6,11),(28,109,2,23,19,3,9,1,6),(28,109,2,23,20,1,8,1,6),(28,109,2,23,21,NULL,6,NULL,4),(28,109,2,23,22,NULL,2,NULL,2),(28,109,2,23,23,2,6,2,4),(28,109,2,23,24,2,4,NULL,1),(28,109,2,23,25,2,2,2,1),(28,109,2,23,26,1,6,1,3),(28,109,2,23,27,1,6,1,6),(28,109,2,23,28,NULL,3,NULL,3),(28,109,2,23,29,1,4,NULL,3),(28,109,2,23,30,1,4,NULL,2),(28,109,2,23,31,1,8,NULL,6),(28,109,2,23,32,1,2,1,2),(28,109,2,23,33,NULL,6,NULL,3),(28,109,2,23,34,NULL,11,NULL,10),(28,109,2,23,35,2,NULL,2,NULL),(28,109,2,23,36,NULL,3,NULL,2),(28,109,2,23,37,1,1,NULL,NULL),(28,109,2,23,38,1,1,NULL,1),(28,109,2,23,39,NULL,1,NULL,1),(28,109,2,23,40,1,6,1,2),(28,109,2,24,1,NULL,6,NULL,2),(28,109,2,24,2,1,6,1,2),(28,109,2,24,3,7,15,3,12),(28,109,2,24,4,1,3,1,1),(28,109,2,24,5,2,6,2,4),(28,109,2,24,6,7,15,5,3),(28,109,2,24,7,NULL,9,NULL,1),(28,109,2,24,8,2,2,2,1),(28,109,2,24,9,2,2,1,2),(28,109,2,24,10,2,7,2,5),(28,109,2,24,11,2,5,2,5),(28,109,2,24,12,3,7,1,1),(28,109,2,24,13,2,15,2,8),(28,109,2,24,14,3,7,2,5),(28,109,2,24,15,NULL,4,NULL,3),(28,109,2,24,16,3,12,3,8),(28,109,2,24,17,1,3,NULL,2),(28,109,2,24,18,7,13,4,10),(28,109,2,24,19,4,8,1,5),(28,109,2,24,20,3,10,2,7),(28,109,2,24,21,1,5,NULL,3),(28,109,2,24,22,NULL,1,NULL,NULL),(28,109,2,24,23,NULL,5,NULL,4),(28,109,2,24,24,NULL,5,NULL,1),(28,109,2,24,25,NULL,7,NULL,4),(28,109,2,24,26,NULL,9,NULL,7),(28,109,2,24,27,3,8,1,5),(28,109,2,24,28,NULL,2,NULL,1),(28,109,2,24,29,1,6,NULL,5),(28,109,2,24,30,1,6,NULL,4),(28,109,2,24,31,1,8,NULL,5),(28,109,2,24,32,NULL,2,NULL,NULL),(28,109,2,24,33,NULL,3,NULL,1),(28,109,2,24,34,NULL,7,NULL,7),(28,109,2,24,35,5,NULL,4,NULL),(28,109,2,24,36,2,1,1,NULL),(28,109,2,24,37,NULL,7,NULL,5),(28,109,2,24,38,3,1,2,NULL),(28,109,2,24,39,1,4,1,1),(28,109,2,24,40,NULL,10,NULL,5),(28,110,1,11,1,NULL,NULL,NULL,NULL),(28,110,1,11,2,NULL,NULL,NULL,NULL),(28,110,1,11,3,NULL,NULL,NULL,NULL),(28,110,1,11,4,NULL,NULL,NULL,NULL),(28,110,1,11,5,NULL,NULL,NULL,NULL),(28,110,1,11,6,NULL,NULL,NULL,NULL),(28,110,1,11,7,NULL,NULL,NULL,NULL),(28,110,1,11,8,NULL,NULL,NULL,NULL),(28,110,1,11,9,NULL,NULL,NULL,NULL),(28,110,1,11,10,NULL,NULL,NULL,NULL),(28,110,1,11,11,NULL,NULL,NULL,NULL),(28,110,1,11,12,NULL,NULL,NULL,NULL),(28,110,1,11,13,NULL,NULL,NULL,NULL),(28,110,1,11,14,NULL,NULL,NULL,NULL),(28,110,1,11,15,NULL,NULL,NULL,NULL),(28,110,1,11,16,NULL,NULL,NULL,NULL),(28,110,1,11,17,NULL,NULL,NULL,NULL),(28,110,1,11,18,NULL,NULL,NULL,NULL),(28,110,1,11,19,NULL,NULL,NULL,NULL),(28,110,1,11,20,NULL,NULL,NULL,NULL),(28,110,1,11,21,NULL,NULL,NULL,NULL),(28,110,1,11,22,NULL,NULL,NULL,NULL),(28,110,1,11,23,NULL,NULL,NULL,NULL),(28,110,1,11,24,NULL,NULL,NULL,NULL),(28,110,1,11,25,NULL,NULL,NULL,NULL),(28,110,1,11,26,NULL,NULL,NULL,NULL),(28,110,1,11,27,NULL,NULL,NULL,NULL),(28,110,1,11,28,NULL,NULL,NULL,NULL),(28,110,1,11,29,NULL,NULL,NULL,NULL),(28,110,1,11,30,NULL,NULL,NULL,NULL),(28,110,1,11,31,NULL,NULL,NULL,NULL),(28,110,1,11,32,NULL,NULL,NULL,NULL),(28,110,1,11,33,NULL,NULL,NULL,NULL),(28,110,1,11,34,NULL,NULL,NULL,NULL),(28,110,1,11,35,NULL,NULL,NULL,NULL),(28,110,1,11,36,NULL,NULL,NULL,NULL),(28,110,1,11,37,NULL,NULL,NULL,NULL),(28,110,1,11,38,NULL,NULL,NULL,NULL),(28,110,1,11,39,NULL,NULL,NULL,NULL),(28,110,1,11,40,NULL,NULL,NULL,NULL),(28,110,1,12,1,NULL,NULL,NULL,NULL),(28,110,1,12,2,NULL,NULL,NULL,NULL),(28,110,1,12,3,NULL,NULL,NULL,NULL),(28,110,1,12,4,NULL,NULL,NULL,NULL),(28,110,1,12,5,NULL,NULL,NULL,NULL),(28,110,1,12,6,NULL,NULL,NULL,NULL),(28,110,1,12,7,NULL,NULL,NULL,NULL),(28,110,1,12,8,NULL,NULL,NULL,NULL),(28,110,1,12,9,NULL,NULL,NULL,NULL),(28,110,1,12,10,NULL,NULL,NULL,NULL),(28,110,1,12,11,NULL,NULL,NULL,NULL),(28,110,1,12,12,NULL,NULL,NULL,NULL),(28,110,1,12,13,NULL,NULL,NULL,NULL),(28,110,1,12,14,NULL,NULL,NULL,NULL),(28,110,1,12,15,NULL,NULL,NULL,NULL),(28,110,1,12,16,NULL,NULL,NULL,NULL),(28,110,1,12,17,NULL,NULL,NULL,NULL),(28,110,1,12,18,NULL,NULL,NULL,NULL),(28,110,1,12,19,NULL,NULL,NULL,NULL),(28,110,1,12,20,NULL,NULL,NULL,NULL),(28,110,1,12,21,NULL,NULL,NULL,NULL),(28,110,1,12,22,NULL,NULL,NULL,NULL),(28,110,1,12,23,NULL,NULL,NULL,NULL),(28,110,1,12,24,NULL,NULL,NULL,NULL),(28,110,1,12,25,NULL,NULL,NULL,NULL),(28,110,1,12,26,NULL,NULL,NULL,NULL),(28,110,1,12,27,NULL,NULL,NULL,NULL),(28,110,1,12,28,NULL,NULL,NULL,NULL),(28,110,1,12,29,NULL,NULL,NULL,NULL),(28,110,1,12,30,NULL,NULL,NULL,NULL),(28,110,1,12,31,NULL,NULL,NULL,NULL),(28,110,1,12,32,NULL,NULL,NULL,NULL),(28,110,1,12,33,NULL,NULL,NULL,NULL),(28,110,1,12,34,NULL,NULL,NULL,NULL),(28,110,1,12,35,NULL,NULL,NULL,NULL),(28,110,1,12,36,NULL,NULL,NULL,NULL),(28,110,1,12,37,NULL,NULL,NULL,NULL),(28,110,1,12,38,NULL,NULL,NULL,NULL),(28,110,1,12,39,NULL,NULL,NULL,NULL),(28,110,1,12,40,NULL,NULL,NULL,NULL),(28,110,1,13,1,NULL,NULL,NULL,NULL),(28,110,1,13,2,NULL,NULL,NULL,NULL),(28,110,1,13,3,NULL,NULL,NULL,NULL),(28,110,1,13,4,NULL,1,NULL,1),(28,110,1,13,5,NULL,NULL,NULL,NULL),(28,110,1,13,6,NULL,1,NULL,1),(28,110,1,13,7,NULL,NULL,NULL,NULL),(28,110,1,13,8,NULL,NULL,NULL,NULL),(28,110,1,13,9,1,NULL,1,NULL),(28,110,1,13,10,NULL,NULL,NULL,NULL),(28,110,1,13,11,NULL,NULL,NULL,NULL),(28,110,1,13,12,NULL,NULL,NULL,NULL),(28,110,1,13,13,1,NULL,1,NULL),(28,110,1,13,14,1,NULL,1,NULL),(28,110,1,13,15,NULL,NULL,NULL,NULL),(28,110,1,13,16,1,NULL,1,NULL),(28,110,1,13,17,NULL,1,NULL,1),(28,110,1,13,18,1,NULL,1,NULL),(28,110,1,13,19,1,NULL,1,NULL),(28,110,1,13,20,NULL,NULL,NULL,NULL),(28,110,1,13,21,NULL,NULL,NULL,NULL),(28,110,1,13,22,NULL,1,NULL,1),(28,110,1,13,23,NULL,NULL,NULL,NULL),(28,110,1,13,24,NULL,NULL,NULL,NULL),(28,110,1,13,25,NULL,1,NULL,1),(28,110,1,13,26,NULL,NULL,NULL,NULL),(28,110,1,13,27,NULL,NULL,NULL,NULL),(28,110,1,13,28,NULL,NULL,NULL,NULL),(28,110,1,13,29,NULL,NULL,NULL,NULL),(28,110,1,13,30,NULL,NULL,NULL,NULL),(28,110,1,13,31,NULL,NULL,NULL,NULL),(28,110,1,13,32,NULL,NULL,NULL,NULL),(28,110,1,13,33,NULL,NULL,NULL,NULL),(28,110,1,13,34,1,NULL,1,NULL),(28,110,1,13,35,NULL,NULL,NULL,NULL),(28,110,1,13,36,NULL,NULL,NULL,NULL),(28,110,1,13,37,NULL,NULL,NULL,NULL),(28,110,1,13,38,NULL,NULL,NULL,NULL),(28,110,1,13,39,NULL,NULL,NULL,NULL),(28,110,1,13,40,NULL,NULL,NULL,NULL),(28,110,1,14,1,9,NULL,8,NULL),(28,110,1,14,2,1,8,1,3),(28,110,1,14,3,7,8,6,7),(28,110,1,14,4,NULL,7,NULL,5),(28,110,1,14,5,13,3,9,1),(28,110,1,14,6,1,14,NULL,8),(28,110,1,14,7,3,10,1,7),(28,110,1,14,8,2,16,1,10),(28,110,1,14,9,5,10,3,4),(28,110,1,14,10,11,7,8,5),(28,110,1,14,11,NULL,4,NULL,4),(28,110,1,14,12,3,8,1,7),(28,110,1,14,13,16,11,10,6),(28,110,1,14,14,11,5,7,3),(28,110,1,14,15,16,NULL,11,NULL),(28,110,1,14,16,14,9,9,5),(28,110,1,14,17,3,20,2,14),(28,110,1,14,18,10,5,7,3),(28,110,1,14,19,17,9,11,5),(28,110,1,14,20,7,19,5,10),(28,110,1,14,21,2,4,1,1),(28,110,1,14,22,2,9,1,1),(28,110,1,14,23,2,6,1,6),(28,110,1,14,24,NULL,NULL,NULL,NULL),(28,110,1,14,25,1,3,1,2),(28,110,1,14,26,NULL,3,NULL,2),(28,110,1,14,27,4,NULL,4,NULL),(28,110,1,14,28,NULL,2,NULL,1),(28,110,1,14,29,3,5,2,5),(28,110,1,14,30,4,5,3,3),(28,110,1,14,31,2,3,2,2),(28,110,1,14,32,1,7,1,6),(28,110,1,14,33,3,6,3,5),(28,110,1,14,34,9,4,7,4),(28,110,1,14,35,NULL,4,NULL,3),(28,110,1,14,36,2,NULL,2,NULL),(28,110,1,14,37,3,3,3,2),(28,110,1,14,38,1,6,1,5),(28,110,1,14,39,8,8,5,6),(28,110,1,14,40,NULL,NULL,NULL,NULL),(28,110,1,15,1,12,NULL,8,NULL),(28,110,1,15,2,1,8,1,7),(28,110,1,15,3,9,8,7,5),(28,110,1,15,4,2,12,1,7),(28,110,1,15,5,8,8,4,6),(28,110,1,15,6,1,14,NULL,11),(28,110,1,15,7,3,6,1,4),(28,110,1,15,8,1,7,NULL,6),(28,110,1,15,9,4,2,NULL,2),(28,110,1,15,10,10,9,7,6),(28,110,1,15,11,2,9,2,6),(28,110,1,15,12,4,10,2,6),(28,110,1,15,13,14,9,9,5),(28,110,1,15,14,6,12,4,7),(28,110,1,15,15,13,NULL,9,NULL),(28,110,1,15,16,11,8,7,4),(28,110,1,15,17,7,10,4,5),(28,110,1,15,18,6,5,4,2),(28,110,1,15,19,18,6,10,2),(28,110,1,15,20,11,15,6,8),(28,110,1,15,21,NULL,4,NULL,4),(28,110,1,15,22,1,4,NULL,1),(28,110,1,15,23,1,6,1,5),(28,110,1,15,24,NULL,NULL,NULL,NULL),(28,110,1,15,25,NULL,3,NULL,2),(28,110,1,15,26,NULL,6,NULL,2),(28,110,1,15,27,2,NULL,1,NULL),(28,110,1,15,28,NULL,1,NULL,NULL),(28,110,1,15,29,NULL,9,NULL,6),(28,110,1,15,30,2,8,1,6),(28,110,1,15,31,1,4,1,3),(28,110,1,15,32,2,8,2,7),(28,110,1,15,33,4,5,4,5),(28,110,1,15,34,9,6,9,4),(28,110,1,15,35,2,3,2,3),(28,110,1,15,36,2,NULL,2,NULL),(28,110,1,15,37,2,5,1,4),(28,110,1,15,38,5,4,4,3),(28,110,1,15,39,9,10,5,8),(28,110,1,15,40,4,NULL,2,NULL),(28,110,1,16,1,11,NULL,9,NULL),(28,110,1,16,2,1,10,NULL,6),(28,110,1,16,3,5,12,3,8),(28,110,1,16,4,4,10,1,6),(28,110,1,16,5,9,10,2,4),(28,110,1,16,6,1,22,NULL,12),(28,110,1,16,7,5,11,3,8),(28,110,1,16,8,1,14,NULL,8),(28,110,1,16,9,7,4,4,3),(28,110,1,16,10,15,7,8,4),(28,110,1,16,11,2,5,2,3),(28,110,1,16,12,4,9,2,4),(28,110,1,16,13,39,NULL,18,NULL),(28,110,1,16,14,30,6,14,2),(28,110,1,16,15,10,19,5,9),(28,110,1,16,16,29,NULL,13,NULL),(28,110,1,16,17,16,17,6,13),(28,110,1,16,18,8,12,2,6),(28,110,1,16,19,4,20,3,10),(28,110,1,16,20,3,14,1,7),(28,110,1,16,21,2,2,1,NULL),(28,110,1,16,22,2,4,NULL,1),(28,110,1,16,23,2,11,NULL,6),(28,110,1,16,24,NULL,NULL,NULL,NULL),(28,110,1,16,25,NULL,2,NULL,2),(28,110,1,16,26,3,5,1,2),(28,110,1,16,27,3,NULL,2,NULL),(28,110,1,16,28,NULL,4,NULL,1),(28,110,1,16,29,1,2,1,1),(28,110,1,16,30,3,13,NULL,10),(28,110,1,16,31,3,1,1,1),(28,110,1,16,32,4,10,3,8),(28,110,1,16,33,3,7,1,6),(28,110,1,16,34,3,6,2,5),(28,110,1,16,35,NULL,4,NULL,4),(28,110,1,16,36,1,NULL,NULL,NULL),(28,110,1,16,37,1,2,1,1),(28,110,1,16,38,NULL,4,NULL,3),(28,110,1,16,39,5,10,1,6),(28,110,1,16,40,1,NULL,1,NULL),(28,110,1,17,1,13,NULL,8,NULL),(28,110,1,17,2,NULL,6,NULL,4),(28,110,1,17,3,5,11,2,9),(28,110,1,17,4,3,6,3,4),(28,110,1,17,5,2,13,NULL,9),(28,110,1,17,6,3,14,1,9),(28,110,1,17,7,2,14,2,7),(28,110,1,17,8,1,8,NULL,5),(28,110,1,17,9,4,10,1,7),(28,110,1,17,10,20,10,12,7),(28,110,1,17,11,2,8,1,6),(28,110,1,17,12,3,4,NULL,2),(28,110,1,17,13,42,NULL,22,NULL),(28,110,1,17,14,26,12,14,7),(28,110,1,17,15,11,22,4,15),(28,110,1,17,16,33,NULL,20,NULL),(28,110,1,17,17,15,18,9,10),(28,110,1,17,18,6,14,4,10),(28,110,1,17,19,7,15,4,8),(28,110,1,17,20,3,11,2,5),(28,110,1,17,21,NULL,7,NULL,2),(28,110,1,17,22,NULL,7,NULL,4),(28,110,1,17,23,3,11,1,6),(28,110,1,17,24,NULL,NULL,NULL,NULL),(28,110,1,17,25,NULL,4,NULL,4),(28,110,1,17,26,NULL,1,NULL,NULL),(28,110,1,17,27,2,NULL,1,NULL),(28,110,1,17,28,1,1,NULL,1),(28,110,1,17,29,2,6,1,3),(28,110,1,17,30,6,11,3,5),(28,110,1,17,31,2,1,2,1),(28,110,1,17,32,6,10,4,3),(28,110,1,17,33,1,9,1,4),(28,110,1,17,34,5,5,1,2),(28,110,1,17,35,2,6,2,4),(28,110,1,17,36,NULL,NULL,NULL,NULL),(28,110,1,17,37,NULL,3,NULL,2),(28,110,1,17,38,NULL,6,NULL,3),(28,110,1,17,39,8,15,4,10),(28,110,1,17,40,1,NULL,NULL,NULL),(28,110,1,18,1,NULL,NULL,NULL,NULL),(28,110,1,18,2,NULL,NULL,NULL,NULL),(28,110,1,18,3,NULL,NULL,NULL,NULL),(28,110,1,18,4,NULL,NULL,NULL,NULL),(28,110,1,18,5,NULL,NULL,NULL,NULL),(28,110,1,18,6,NULL,NULL,NULL,NULL),(28,110,1,18,7,NULL,NULL,NULL,NULL),(28,110,1,18,8,NULL,NULL,NULL,NULL),(28,110,1,18,9,NULL,NULL,NULL,NULL),(28,110,1,18,10,NULL,NULL,NULL,NULL),(28,110,1,18,11,NULL,NULL,NULL,NULL),(28,110,1,18,12,NULL,NULL,NULL,NULL),(28,110,1,18,13,NULL,NULL,NULL,NULL),(28,110,1,18,14,NULL,NULL,NULL,NULL),(28,110,1,18,15,NULL,NULL,NULL,NULL),(28,110,1,18,16,NULL,NULL,NULL,NULL),(28,110,1,18,17,NULL,NULL,NULL,NULL),(28,110,1,18,18,NULL,NULL,NULL,NULL),(28,110,1,18,19,NULL,NULL,NULL,NULL),(28,110,1,18,20,NULL,NULL,NULL,NULL),(28,110,1,18,21,NULL,NULL,NULL,NULL),(28,110,1,18,22,NULL,NULL,NULL,NULL),(28,110,1,18,23,NULL,NULL,NULL,NULL),(28,110,1,18,24,NULL,NULL,NULL,NULL),(28,110,1,18,25,NULL,NULL,NULL,NULL),(28,110,1,18,26,NULL,NULL,NULL,NULL),(28,110,1,18,27,NULL,NULL,NULL,NULL),(28,110,1,18,28,NULL,NULL,NULL,NULL),(28,110,1,18,29,NULL,NULL,NULL,NULL),(28,110,1,18,30,NULL,NULL,NULL,NULL),(28,110,1,18,31,NULL,NULL,NULL,NULL),(28,110,1,18,32,NULL,NULL,NULL,NULL),(28,110,1,18,33,NULL,NULL,NULL,NULL),(28,110,1,18,34,NULL,NULL,NULL,NULL),(28,110,1,18,35,NULL,NULL,NULL,NULL),(28,110,1,18,36,NULL,NULL,NULL,NULL),(28,110,1,18,37,NULL,NULL,NULL,NULL),(28,110,1,18,38,NULL,NULL,NULL,NULL),(28,110,1,18,39,NULL,NULL,NULL,NULL),(28,110,1,18,40,NULL,NULL,NULL,NULL),(28,110,1,19,1,NULL,NULL,NULL,NULL),(28,110,1,19,2,NULL,NULL,NULL,NULL),(28,110,1,19,3,NULL,NULL,NULL,NULL),(28,110,1,19,4,NULL,NULL,NULL,NULL),(28,110,1,19,5,NULL,NULL,NULL,NULL),(28,110,1,19,6,NULL,NULL,NULL,NULL),(28,110,1,19,7,NULL,NULL,NULL,NULL),(28,110,1,19,8,NULL,NULL,NULL,NULL),(28,110,1,19,9,NULL,NULL,NULL,NULL),(28,110,1,19,10,NULL,NULL,NULL,NULL),(28,110,1,19,11,NULL,NULL,NULL,NULL),(28,110,1,19,12,NULL,NULL,NULL,NULL),(28,110,1,19,13,NULL,NULL,NULL,NULL),(28,110,1,19,14,NULL,NULL,NULL,NULL),(28,110,1,19,15,NULL,NULL,NULL,NULL),(28,110,1,19,16,NULL,NULL,NULL,NULL),(28,110,1,19,17,NULL,NULL,NULL,NULL),(28,110,1,19,18,NULL,NULL,NULL,NULL),(28,110,1,19,19,NULL,NULL,NULL,NULL),(28,110,1,19,20,NULL,NULL,NULL,NULL),(28,110,1,19,21,NULL,NULL,NULL,NULL),(28,110,1,19,22,NULL,NULL,NULL,NULL),(28,110,1,19,23,NULL,NULL,NULL,NULL),(28,110,1,19,24,NULL,NULL,NULL,NULL),(28,110,1,19,25,NULL,NULL,NULL,NULL),(28,110,1,19,26,NULL,NULL,NULL,NULL),(28,110,1,19,27,NULL,NULL,NULL,NULL),(28,110,1,19,28,NULL,NULL,NULL,NULL),(28,110,1,19,29,NULL,NULL,NULL,NULL),(28,110,1,19,30,NULL,NULL,NULL,NULL),(28,110,1,19,31,NULL,NULL,NULL,NULL),(28,110,1,19,32,NULL,NULL,NULL,NULL),(28,110,1,19,33,NULL,NULL,NULL,NULL),(28,110,1,19,34,NULL,NULL,NULL,NULL),(28,110,1,19,35,NULL,NULL,NULL,NULL),(28,110,1,19,36,NULL,NULL,NULL,NULL),(28,110,1,19,37,NULL,NULL,NULL,NULL),(28,110,1,19,38,NULL,NULL,NULL,NULL),(28,110,1,19,39,NULL,NULL,NULL,NULL),(28,110,1,19,40,NULL,NULL,NULL,NULL),(28,110,2,21,1,1,15,1,8),(28,110,2,21,2,NULL,8,NULL,5),(28,110,2,21,3,11,13,8,9),(28,110,2,21,4,NULL,4,NULL,2),(28,110,2,21,5,5,8,3,8),(28,110,2,21,6,6,16,2,13),(28,110,2,21,7,NULL,8,NULL,5),(28,110,2,21,8,3,5,3,4),(28,110,2,21,9,1,4,NULL,3),(28,110,2,21,10,6,8,5,7),(28,110,2,21,11,6,3,4,2),(28,110,2,21,12,8,15,3,8),(28,110,2,21,13,3,20,2,12),(28,110,2,21,14,6,12,5,10),(28,110,2,21,15,2,9,1,8),(28,110,2,21,16,7,13,4,11),(28,110,2,21,17,NULL,8,NULL,7),(28,110,2,21,18,18,10,13,8),(28,110,2,21,19,6,10,4,8),(28,110,2,21,20,9,9,6,7),(28,110,2,21,21,2,6,1,5),(28,110,2,21,22,2,2,2,2),(28,110,2,21,23,2,1,2,1),(28,110,2,21,24,1,4,NULL,3),(28,110,2,21,25,1,5,NULL,3),(28,110,2,21,26,NULL,10,NULL,7),(28,110,2,21,27,3,13,1,11),(28,110,2,21,28,NULL,1,NULL,1),(28,110,2,21,29,NULL,5,NULL,3),(28,110,2,21,30,2,4,NULL,4),(28,110,2,21,31,2,11,NULL,9),(28,110,2,21,32,2,4,2,3),(28,110,2,21,33,2,5,2,4),(28,110,2,21,34,1,7,NULL,7),(28,110,2,21,35,4,NULL,3,NULL),(28,110,2,21,36,NULL,3,NULL,3),(28,110,2,21,37,2,3,2,3),(28,110,2,21,38,NULL,NULL,NULL,NULL),(28,110,2,21,39,NULL,8,NULL,6),(28,110,2,21,40,2,15,2,9),(28,110,2,22,1,NULL,12,NULL,5),(28,110,2,22,2,NULL,5,NULL,2),(28,110,2,22,3,10,15,5,10),(28,110,2,22,4,NULL,1,NULL,NULL),(28,110,2,22,5,6,8,2,6),(28,110,2,22,6,10,10,5,5),(28,110,2,22,7,1,6,NULL,3),(28,110,2,22,8,4,4,1,2),(28,110,2,22,9,2,3,2,2),(28,110,2,22,10,6,9,5,6),(28,110,2,22,11,3,9,2,5),(28,110,2,22,12,3,9,2,4),(28,110,2,22,13,2,16,NULL,7),(28,110,2,22,14,5,17,4,12),(28,110,2,22,15,4,13,2,5),(28,110,2,22,16,NULL,11,NULL,5),(28,110,2,22,17,4,6,1,3),(28,110,2,22,18,10,13,4,8),(28,110,2,22,19,5,4,2,1),(28,110,2,22,20,10,10,7,7),(28,110,2,22,21,NULL,2,NULL,NULL),(28,110,2,22,22,2,3,1,1),(28,110,2,22,23,3,1,NULL,1),(28,110,2,22,24,NULL,6,NULL,2),(28,110,2,22,25,1,4,NULL,1),(28,110,2,22,26,3,9,2,6),(28,110,2,22,27,NULL,14,NULL,10),(28,110,2,22,28,NULL,2,NULL,2),(28,110,2,22,29,NULL,3,NULL,2),(28,110,2,22,30,NULL,7,NULL,6),(28,110,2,22,31,NULL,8,NULL,4),(28,110,2,22,32,NULL,2,NULL,2),(28,110,2,22,33,NULL,3,NULL,2),(28,110,2,22,34,2,5,1,3),(28,110,2,22,35,5,NULL,NULL,NULL),(28,110,2,22,36,1,NULL,NULL,NULL),(28,110,2,22,37,1,4,1,2),(28,110,2,22,38,1,NULL,NULL,NULL),(28,110,2,22,39,NULL,4,NULL,4),(28,110,2,22,40,NULL,10,NULL,5),(28,110,2,23,1,1,19,1,6),(28,110,2,23,2,NULL,10,NULL,6),(28,110,2,23,3,13,9,7,5),(28,110,2,23,4,NULL,5,NULL,3),(28,110,2,23,5,5,11,3,4),(28,110,2,23,6,10,13,5,4),(28,110,2,23,7,NULL,11,NULL,4),(28,110,2,23,8,2,4,1,2),(28,110,2,23,9,1,6,1,2),(28,110,2,23,10,5,11,2,8),(28,110,2,23,11,3,6,3,4),(28,110,2,23,12,5,13,4,7),(28,110,2,23,13,2,20,1,8),(28,110,2,23,14,3,14,2,7),(28,110,2,23,15,5,7,3,4),(28,110,2,23,16,5,20,5,5),(28,110,2,23,17,1,6,NULL,4),(28,110,2,23,18,18,13,6,6),(28,110,2,23,19,7,11,5,6),(28,110,2,23,20,8,11,5,3),(28,110,2,23,21,2,3,1,2),(28,110,2,23,22,3,3,3,2),(28,110,2,23,23,NULL,2,NULL,1),(28,110,2,23,24,NULL,6,NULL,3),(28,110,2,23,25,2,2,1,1),(28,110,2,23,26,2,7,1,3),(28,110,2,23,27,4,10,3,6),(28,110,2,23,28,NULL,3,NULL,1),(28,110,2,23,29,NULL,3,NULL,1),(28,110,2,23,30,3,5,2,3),(28,110,2,23,31,NULL,7,NULL,2),(28,110,2,23,32,NULL,3,NULL,1),(28,110,2,23,33,2,7,2,3),(28,110,2,23,34,1,7,NULL,4),(28,110,2,23,35,6,NULL,2,NULL),(28,110,2,23,36,2,4,1,2),(28,110,2,23,37,1,4,1,2),(28,110,2,23,38,1,2,NULL,NULL),(28,110,2,23,39,NULL,5,NULL,2),(28,110,2,23,40,NULL,18,NULL,7),(28,110,2,24,1,1,11,1,5),(28,110,2,24,2,2,7,2,2),(28,110,2,24,3,12,10,10,7),(28,110,2,24,4,NULL,4,NULL,3),(28,110,2,24,5,2,10,2,7),(28,110,2,24,6,11,11,9,5),(28,110,2,24,7,NULL,12,NULL,8),(28,110,2,24,8,3,6,3,4),(28,110,2,24,9,4,4,2,3),(28,110,2,24,10,6,7,4,6),(28,110,2,24,11,2,4,2,3),(28,110,2,24,12,4,6,4,5),(28,110,2,24,13,2,21,1,14),(28,110,2,24,14,4,12,3,9),(28,110,2,24,15,3,5,3,2),(28,110,2,24,16,7,10,6,5),(28,110,2,24,17,2,4,1,3),(28,110,2,24,18,11,12,7,9),(28,110,2,24,19,3,7,3,6),(28,110,2,24,20,7,6,4,5),(28,110,2,24,21,2,3,1,3),(28,110,2,24,22,3,1,3,NULL),(28,110,2,24,23,1,1,NULL,1),(28,110,2,24,24,1,3,NULL,3),(28,110,2,24,25,2,5,1,3),(28,110,2,24,26,4,6,4,5),(28,110,2,24,27,1,9,NULL,7),(28,110,2,24,28,1,2,1,2),(28,110,2,24,29,NULL,2,NULL,2),(28,110,2,24,30,NULL,4,NULL,3),(28,110,2,24,31,1,10,NULL,8),(28,110,2,24,32,NULL,3,NULL,1),(28,110,2,24,33,2,5,2,1),(28,110,2,24,34,3,7,3,5),(28,110,2,24,35,3,NULL,3,NULL),(28,110,2,24,36,NULL,2,NULL,NULL),(28,110,2,24,37,1,1,1,NULL),(28,110,2,24,38,1,NULL,1,NULL),(28,110,2,24,39,NULL,3,NULL,2),(28,110,2,24,40,1,12,1,10),(28,201,1,11,1,2,NULL,1,NULL),(28,201,1,11,2,NULL,1,NULL,NULL),(28,201,1,11,3,NULL,2,NULL,1),(28,201,1,11,4,NULL,2,NULL,1),(28,201,1,11,5,NULL,2,NULL,1),(28,201,1,11,6,NULL,2,NULL,1),(28,201,1,11,7,NULL,NULL,NULL,NULL),(28,201,1,11,8,NULL,1,NULL,1),(28,201,1,11,9,NULL,1,NULL,1),(28,201,1,11,10,1,1,1,NULL),(28,201,1,11,11,NULL,NULL,NULL,NULL),(28,201,1,11,12,1,NULL,1,NULL),(28,201,1,11,13,1,1,NULL,1),(28,201,1,11,14,2,1,1,NULL),(28,201,1,11,15,1,2,1,NULL),(28,201,1,11,16,3,NULL,1,NULL),(28,201,1,11,17,1,1,NULL,1),(28,201,1,11,18,1,NULL,1,NULL),(28,201,1,11,19,1,NULL,1,NULL),(28,201,1,11,20,1,NULL,1,NULL),(28,201,1,11,21,1,NULL,1,NULL),(28,201,1,11,22,NULL,1,NULL,NULL),(28,201,1,11,23,NULL,2,NULL,1),(28,201,1,11,24,NULL,NULL,NULL,NULL),(28,201,1,11,25,NULL,NULL,NULL,NULL),(28,201,1,11,26,NULL,NULL,NULL,NULL),(28,201,1,11,27,1,NULL,NULL,NULL),(28,201,1,11,28,NULL,NULL,NULL,NULL),(28,201,1,11,29,NULL,NULL,NULL,NULL),(28,201,1,11,30,NULL,1,NULL,1),(28,201,1,11,31,NULL,1,NULL,NULL),(28,201,1,11,32,NULL,2,NULL,1),(28,201,1,11,33,1,NULL,1,NULL),(28,201,1,11,34,1,NULL,1,NULL),(28,201,1,11,35,NULL,1,NULL,NULL),(28,201,1,11,36,NULL,NULL,NULL,NULL),(28,201,1,11,37,NULL,1,NULL,1),(28,201,1,11,38,1,1,1,NULL),(28,201,1,11,39,1,NULL,1,NULL),(28,201,1,11,40,NULL,NULL,NULL,NULL),(28,201,1,12,1,NULL,NULL,NULL,NULL),(28,201,1,12,2,NULL,NULL,NULL,NULL),(28,201,1,12,3,NULL,NULL,NULL,NULL),(28,201,1,12,4,NULL,NULL,NULL,NULL),(28,201,1,12,5,NULL,NULL,NULL,NULL),(28,201,1,12,6,NULL,NULL,NULL,NULL),(28,201,1,12,7,NULL,NULL,NULL,NULL),(28,201,1,12,8,NULL,NULL,NULL,NULL),(28,201,1,12,9,NULL,NULL,NULL,NULL),(28,201,1,12,10,NULL,NULL,NULL,NULL),(28,201,1,12,11,NULL,NULL,NULL,NULL),(28,201,1,12,12,NULL,NULL,NULL,NULL),(28,201,1,12,13,NULL,NULL,NULL,NULL),(28,201,1,12,14,NULL,NULL,NULL,NULL),(28,201,1,12,15,NULL,NULL,NULL,NULL),(28,201,1,12,16,NULL,NULL,NULL,NULL),(28,201,1,12,17,NULL,NULL,NULL,NULL),(28,201,1,12,18,NULL,NULL,NULL,NULL),(28,201,1,12,19,NULL,NULL,NULL,NULL),(28,201,1,12,20,NULL,NULL,NULL,NULL),(28,201,1,12,21,NULL,NULL,NULL,NULL),(28,201,1,12,22,NULL,NULL,NULL,NULL),(28,201,1,12,23,NULL,NULL,NULL,NULL),(28,201,1,12,24,NULL,NULL,NULL,NULL),(28,201,1,12,25,NULL,NULL,NULL,NULL),(28,201,1,12,26,NULL,NULL,NULL,NULL),(28,201,1,12,27,NULL,NULL,NULL,NULL),(28,201,1,12,28,NULL,NULL,NULL,NULL),(28,201,1,12,29,NULL,NULL,NULL,NULL),(28,201,1,12,30,NULL,NULL,NULL,NULL),(28,201,1,12,31,NULL,NULL,NULL,NULL),(28,201,1,12,32,NULL,NULL,NULL,NULL),(28,201,1,12,33,NULL,NULL,NULL,NULL),(28,201,1,12,34,NULL,NULL,NULL,NULL),(28,201,1,12,35,NULL,NULL,NULL,NULL),(28,201,1,12,36,NULL,NULL,NULL,NULL),(28,201,1,12,37,NULL,NULL,NULL,NULL),(28,201,1,12,38,NULL,NULL,NULL,NULL),(28,201,1,12,39,NULL,NULL,NULL,NULL),(28,201,1,12,40,NULL,NULL,NULL,NULL),(28,201,1,13,1,1,NULL,NULL,NULL),(28,201,1,13,2,NULL,1,NULL,NULL),(28,201,1,13,3,NULL,1,NULL,NULL),(28,201,1,13,4,NULL,1,NULL,NULL),(28,201,1,13,5,NULL,2,NULL,NULL),(28,201,1,13,6,NULL,2,NULL,NULL),(28,201,1,13,7,NULL,1,NULL,NULL),(28,201,1,13,8,NULL,NULL,NULL,NULL),(28,201,1,13,9,NULL,2,NULL,NULL),(28,201,1,13,10,2,2,NULL,NULL),(28,201,1,13,11,NULL,NULL,NULL,NULL),(28,201,1,13,12,NULL,1,NULL,NULL),(28,201,1,13,13,4,NULL,NULL,NULL),(28,201,1,13,14,2,2,NULL,NULL),(28,201,1,13,15,1,1,NULL,NULL),(28,201,1,13,16,3,1,NULL,NULL),(28,201,1,13,17,1,3,NULL,NULL),(28,201,1,13,18,2,1,NULL,NULL),(28,201,1,13,19,2,NULL,NULL,NULL),(28,201,1,13,20,NULL,1,NULL,NULL),(28,201,1,13,21,NULL,NULL,NULL,NULL),(28,201,1,13,22,1,NULL,NULL,NULL),(28,201,1,13,23,NULL,1,NULL,NULL),(28,201,1,13,24,NULL,NULL,NULL,NULL),(28,201,1,13,25,NULL,1,NULL,NULL),(28,201,1,13,26,NULL,NULL,NULL,NULL),(28,201,1,13,27,NULL,NULL,NULL,NULL),(28,201,1,13,28,NULL,NULL,NULL,NULL),(28,201,1,13,29,1,NULL,NULL,NULL),(28,201,1,13,30,NULL,3,NULL,NULL),(28,201,1,13,31,NULL,1,NULL,NULL),(28,201,1,13,32,NULL,NULL,NULL,NULL),(28,201,1,13,33,1,2,NULL,NULL),(28,201,1,13,34,2,NULL,NULL,NULL),(28,201,1,13,35,NULL,NULL,NULL,NULL),(28,201,1,13,36,NULL,NULL,NULL,NULL),(28,201,1,13,37,NULL,NULL,NULL,NULL),(28,201,1,13,38,NULL,1,NULL,NULL),(28,201,1,13,39,NULL,NULL,NULL,NULL),(28,201,1,13,40,NULL,NULL,NULL,NULL),(28,201,1,14,1,172,NULL,32,NULL),(28,201,1,14,2,16,141,6,19),(28,201,1,14,3,120,123,19,20),(28,201,1,14,4,53,83,6,11),(28,201,1,14,5,136,104,21,12),(28,201,1,14,6,53,188,13,23),(28,201,1,14,7,56,89,11,13),(28,201,1,14,8,47,167,9,25),(28,201,1,14,9,66,109,8,17),(28,201,1,14,10,218,59,33,10),(28,201,1,14,11,69,77,15,15),(28,201,1,14,12,70,119,16,19),(28,201,1,14,13,242,91,32,10),(28,201,1,14,14,131,88,21,14),(28,201,1,14,15,223,NULL,31,NULL),(28,201,1,14,16,212,98,34,6),(28,201,1,14,17,84,221,15,22),(28,201,1,14,18,103,83,21,10),(28,201,1,14,19,234,98,31,8),(28,201,1,14,20,161,194,26,16),(28,201,1,14,21,10,47,NULL,15),(28,201,1,14,22,24,117,5,16),(28,201,1,14,23,23,88,6,15),(28,201,1,14,24,17,NULL,10,NULL),(28,201,1,14,25,10,46,1,6),(28,201,1,14,26,8,79,2,19),(28,201,1,14,27,139,NULL,29,NULL),(28,201,1,14,28,5,18,1,4),(28,201,1,14,29,19,82,2,15),(28,201,1,14,30,54,123,8,21),(28,201,1,14,31,30,49,10,9),(28,201,1,14,32,42,84,11,14),(28,201,1,14,33,50,78,15,15),(28,201,1,14,34,160,62,25,12),(28,201,1,14,35,31,54,8,15),(28,201,1,14,36,60,NULL,18,NULL),(28,201,1,14,37,12,39,4,4),(28,201,1,14,38,42,63,10,13),(28,201,1,14,39,107,147,15,20),(28,201,1,14,40,32,NULL,8,NULL),(28,201,1,15,1,173,NULL,28,NULL),(28,201,1,15,2,19,138,7,22),(28,201,1,15,3,114,130,25,12),(28,201,1,15,4,69,94,7,11),(28,201,1,15,5,117,100,22,9),(28,201,1,15,6,49,197,10,24),(28,201,1,15,7,34,104,5,12),(28,201,1,15,8,30,158,4,25),(28,201,1,15,9,54,106,8,10),(28,201,1,15,10,235,59,32,5),(28,201,1,15,11,45,72,13,8),(28,201,1,15,12,50,118,8,14),(28,201,1,15,13,235,100,33,5),(28,201,1,15,14,104,106,15,15),(28,201,1,15,15,226,NULL,26,NULL),(28,201,1,15,16,189,121,24,9),(28,201,1,15,17,80,215,15,19),(28,201,1,15,18,97,93,19,8),(28,201,1,15,19,246,83,34,3),(28,201,1,15,20,144,219,24,14),(28,201,1,15,21,11,48,3,8),(28,201,1,15,22,23,122,7,20),(28,201,1,15,23,27,98,6,13),(28,201,1,15,24,13,NULL,2,NULL),(28,201,1,15,25,15,46,2,5),(28,201,1,15,26,10,80,2,14),(28,201,1,15,27,152,NULL,27,NULL),(28,201,1,15,28,2,17,NULL,3),(28,201,1,15,29,22,77,4,15),(28,201,1,15,30,53,103,8,17),(28,201,1,15,31,35,58,10,13),(28,201,1,15,32,37,79,4,8),(28,201,1,15,33,35,82,12,12),(28,201,1,15,34,160,64,25,8),(28,201,1,15,35,33,38,10,2),(28,201,1,15,36,43,NULL,14,NULL),(28,201,1,15,37,22,48,4,10),(28,201,1,15,38,41,85,13,12),(28,201,1,15,39,73,179,6,29),(28,201,1,15,40,41,NULL,10,NULL),(28,201,1,16,1,78,NULL,7,NULL),(28,201,1,16,2,3,56,1,2),(28,201,1,16,3,46,78,5,4),(28,201,1,16,4,25,41,2,NULL),(28,201,1,16,5,64,55,1,2),(28,201,1,16,6,16,115,1,7),(28,201,1,16,7,21,62,NULL,5),(28,201,1,16,8,14,87,NULL,6),(28,201,1,16,9,32,61,1,3),(28,201,1,16,10,105,41,7,1),(28,201,1,16,11,20,46,2,2),(28,201,1,16,12,28,45,1,4),(28,201,1,16,13,220,NULL,8,NULL),(28,201,1,16,14,185,30,5,3),(28,201,1,16,15,63,116,1,6),(28,201,1,16,16,169,NULL,5,NULL),(28,201,1,16,17,99,107,5,4),(28,201,1,16,18,53,47,5,2),(28,201,1,16,19,34,110,1,6),(28,201,1,16,20,49,73,1,5),(28,201,1,16,21,8,26,NULL,3),(28,201,1,16,22,8,61,1,2),(28,201,1,16,23,14,49,1,2),(28,201,1,16,24,6,NULL,NULL,NULL),(28,201,1,16,25,7,28,NULL,NULL),(28,201,1,16,26,3,34,NULL,2),(28,201,1,16,27,49,NULL,4,NULL),(28,201,1,16,28,3,10,NULL,NULL),(28,201,1,16,29,17,59,NULL,5),(28,201,1,16,30,22,58,2,3),(28,201,1,16,31,14,26,NULL,NULL),(28,201,1,16,32,16,48,NULL,4),(28,201,1,16,33,23,47,1,4),(28,201,1,16,34,57,41,5,3),(28,201,1,16,35,12,24,3,1),(28,201,1,16,36,7,NULL,NULL,NULL),(28,201,1,16,37,2,19,1,NULL),(28,201,1,16,38,6,41,1,4),(28,201,1,16,39,46,61,2,6),(28,201,1,16,40,19,NULL,1,NULL),(28,201,1,17,1,71,NULL,7,NULL),(28,201,1,17,2,3,41,NULL,4),(28,201,1,17,3,37,66,4,7),(28,201,1,17,4,15,44,NULL,3),(28,201,1,17,5,38,55,2,4),(28,201,1,17,6,21,95,3,5),(28,201,1,17,7,23,52,2,6),(28,201,1,17,8,15,68,1,8),(28,201,1,17,9,27,62,2,5),(28,201,1,17,10,115,32,12,NULL),(28,201,1,17,11,26,42,3,5),(28,201,1,17,12,17,52,1,6),(28,201,1,17,13,206,NULL,12,NULL),(28,201,1,17,14,165,36,9,2),(28,201,1,17,15,57,107,4,5),(28,201,1,17,16,173,NULL,11,NULL),(28,201,1,17,17,97,98,6,6),(28,201,1,17,18,52,55,7,2),(28,201,1,17,19,41,93,4,5),(28,201,1,17,20,29,68,2,3),(28,201,1,17,21,2,39,NULL,2),(28,201,1,17,22,5,46,1,4),(28,201,1,17,23,3,41,NULL,6),(28,201,1,17,24,7,NULL,2,NULL),(28,201,1,17,25,9,31,NULL,NULL),(28,201,1,17,26,3,28,NULL,3),(28,201,1,17,27,67,NULL,5,NULL),(28,201,1,17,28,2,10,NULL,NULL),(28,201,1,17,29,9,47,NULL,7),(28,201,1,17,30,20,76,1,6),(28,201,1,17,31,6,23,1,3),(28,201,1,17,32,19,58,NULL,7),(28,201,1,17,33,6,42,1,7),(28,201,1,17,34,51,44,4,4),(28,201,1,17,35,12,33,4,4),(28,201,1,17,36,12,NULL,3,NULL),(28,201,1,17,37,6,27,NULL,1),(28,201,1,17,38,12,40,3,NULL),(28,201,1,17,39,37,70,2,5),(28,201,1,17,40,11,NULL,NULL,NULL),(28,201,1,18,1,NULL,NULL,NULL,NULL),(28,201,1,18,2,NULL,NULL,NULL,NULL),(28,201,1,18,3,NULL,NULL,NULL,NULL),(28,201,1,18,4,NULL,NULL,NULL,NULL),(28,201,1,18,5,NULL,NULL,NULL,NULL),(28,201,1,18,6,NULL,NULL,NULL,NULL),(28,201,1,18,7,NULL,NULL,NULL,NULL),(28,201,1,18,8,NULL,NULL,NULL,NULL),(28,201,1,18,9,NULL,NULL,NULL,NULL),(28,201,1,18,10,NULL,NULL,NULL,NULL),(28,201,1,18,11,NULL,NULL,NULL,NULL),(28,201,1,18,12,NULL,NULL,NULL,NULL),(28,201,1,18,13,NULL,NULL,NULL,NULL),(28,201,1,18,14,NULL,NULL,NULL,NULL),(28,201,1,18,15,NULL,NULL,NULL,NULL),(28,201,1,18,16,NULL,NULL,NULL,NULL),(28,201,1,18,17,NULL,NULL,NULL,NULL),(28,201,1,18,18,NULL,NULL,NULL,NULL),(28,201,1,18,19,NULL,NULL,NULL,NULL),(28,201,1,18,20,NULL,NULL,NULL,NULL),(28,201,1,18,21,NULL,NULL,NULL,NULL),(28,201,1,18,22,NULL,NULL,NULL,NULL),(28,201,1,18,23,NULL,NULL,NULL,NULL),(28,201,1,18,24,NULL,NULL,NULL,NULL),(28,201,1,18,25,NULL,NULL,NULL,NULL),(28,201,1,18,26,NULL,NULL,NULL,NULL),(28,201,1,18,27,NULL,NULL,NULL,NULL),(28,201,1,18,28,NULL,NULL,NULL,NULL),(28,201,1,18,29,NULL,NULL,NULL,NULL),(28,201,1,18,30,NULL,NULL,NULL,NULL),(28,201,1,18,31,NULL,NULL,NULL,NULL),(28,201,1,18,32,NULL,NULL,NULL,NULL),(28,201,1,18,33,NULL,NULL,NULL,NULL),(28,201,1,18,34,NULL,NULL,NULL,NULL),(28,201,1,18,35,NULL,NULL,NULL,NULL),(28,201,1,18,36,NULL,NULL,NULL,NULL),(28,201,1,18,37,NULL,NULL,NULL,NULL),(28,201,1,18,38,NULL,NULL,NULL,NULL),(28,201,1,18,39,NULL,NULL,NULL,NULL),(28,201,1,18,40,NULL,NULL,NULL,NULL),(28,201,1,19,1,NULL,NULL,NULL,NULL),(28,201,1,19,2,NULL,NULL,NULL,NULL),(28,201,1,19,3,NULL,NULL,NULL,NULL),(28,201,1,19,4,NULL,NULL,NULL,NULL),(28,201,1,19,5,NULL,NULL,NULL,NULL),(28,201,1,19,6,NULL,NULL,NULL,NULL),(28,201,1,19,7,NULL,NULL,NULL,NULL),(28,201,1,19,8,NULL,NULL,NULL,NULL),(28,201,1,19,9,NULL,NULL,NULL,NULL),(28,201,1,19,10,NULL,NULL,NULL,NULL),(28,201,1,19,11,NULL,NULL,NULL,NULL),(28,201,1,19,12,NULL,NULL,NULL,NULL),(28,201,1,19,13,NULL,NULL,NULL,NULL),(28,201,1,19,14,NULL,NULL,NULL,NULL),(28,201,1,19,15,NULL,NULL,NULL,NULL),(28,201,1,19,16,NULL,NULL,NULL,NULL),(28,201,1,19,17,NULL,NULL,NULL,NULL),(28,201,1,19,18,NULL,NULL,NULL,NULL),(28,201,1,19,19,NULL,NULL,NULL,NULL),(28,201,1,19,20,NULL,NULL,NULL,NULL),(28,201,1,19,21,NULL,NULL,NULL,NULL),(28,201,1,19,22,NULL,NULL,NULL,NULL),(28,201,1,19,23,NULL,NULL,NULL,NULL),(28,201,1,19,24,NULL,NULL,NULL,NULL),(28,201,1,19,25,NULL,NULL,NULL,NULL),(28,201,1,19,26,NULL,NULL,NULL,NULL),(28,201,1,19,27,1,NULL,NULL,NULL),(28,201,1,19,28,NULL,NULL,NULL,NULL),(28,201,1,19,29,NULL,NULL,NULL,NULL),(28,201,1,19,30,NULL,NULL,NULL,NULL),(28,201,1,19,31,NULL,NULL,NULL,NULL),(28,201,1,19,32,NULL,NULL,NULL,NULL),(28,201,1,19,33,NULL,NULL,NULL,NULL),(28,201,1,19,34,NULL,NULL,NULL,NULL),(28,201,1,19,35,NULL,NULL,NULL,NULL),(28,201,1,19,36,NULL,NULL,NULL,NULL),(28,201,1,19,37,NULL,NULL,NULL,NULL),(28,201,1,19,38,NULL,NULL,NULL,NULL),(28,201,1,19,39,NULL,NULL,NULL,NULL),(28,201,1,19,40,NULL,NULL,NULL,NULL),(28,201,2,21,1,13,154,4,16),(28,201,2,21,2,5,74,2,16),(28,201,2,21,3,136,100,19,13),(28,201,2,21,4,11,54,2,7),(28,201,2,21,5,66,72,9,15),(28,201,2,21,6,144,119,19,12),(28,201,2,21,7,3,104,NULL,16),(28,201,2,21,8,56,82,14,8),(28,201,2,21,9,24,40,3,10),(28,201,2,21,10,66,84,15,10),(28,201,2,21,11,68,45,14,7),(28,201,2,21,12,67,129,14,7),(28,201,2,21,13,80,190,21,10),(28,201,2,21,14,112,117,21,12),(28,201,2,21,15,53,87,10,9),(28,201,2,21,16,71,137,17,15),(28,201,2,21,17,15,46,NULL,4),(28,201,2,21,18,144,118,16,16),(28,201,2,21,19,78,107,11,14),(28,201,2,21,20,143,66,21,6),(28,201,2,21,21,18,67,5,10),(28,201,2,21,22,103,63,18,12),(28,201,2,21,23,18,36,4,4),(28,201,2,21,24,22,62,5,7),(28,201,2,21,25,20,88,3,11),(28,201,2,21,26,6,57,3,5),(28,201,2,21,27,30,148,6,21),(28,201,2,21,28,11,71,1,10),(28,201,2,21,29,7,57,2,9),(28,201,2,21,30,7,41,2,5),(28,201,2,21,31,17,147,4,22),(28,201,2,21,32,6,38,3,10),(28,201,2,21,33,64,85,15,8),(28,201,2,21,34,42,84,16,10),(28,201,2,21,35,42,NULL,9,NULL),(28,201,2,21,36,4,47,NULL,8),(28,201,2,21,37,37,55,8,10),(28,201,2,21,38,13,43,6,9),(28,201,2,21,39,18,63,3,11),(28,201,2,21,40,42,165,12,13),(28,201,2,22,1,8,140,NULL,13),(28,201,2,22,2,5,89,NULL,14),(28,201,2,22,3,138,91,13,12),(28,201,2,22,4,5,38,NULL,8),(28,201,2,22,5,62,74,9,6),(28,201,2,22,6,131,124,16,7),(28,201,2,22,7,4,132,NULL,14),(28,201,2,22,8,50,85,4,10),(28,201,2,22,9,26,37,2,7),(28,201,2,22,10,91,76,12,8),(28,201,2,22,11,60,46,11,6),(28,201,2,22,12,71,115,7,9),(28,201,2,22,13,60,202,14,9),(28,201,2,22,14,105,102,17,6),(28,201,2,22,15,59,80,11,5),(28,201,2,22,16,64,122,10,12),(28,201,2,22,17,18,38,1,9),(28,201,2,22,18,115,118,11,13),(28,201,2,22,19,67,94,10,8),(28,201,2,22,20,115,61,12,8),(28,201,2,22,21,16,61,4,13),(28,201,2,22,22,96,49,20,1),(28,201,2,22,23,17,41,1,8),(28,201,2,22,24,19,69,2,8),(28,201,2,22,25,22,72,3,9),(28,201,2,22,26,9,66,3,7),(28,201,2,22,27,32,118,4,19),(28,201,2,22,28,10,74,NULL,14),(28,201,2,22,29,3,55,1,9),(28,201,2,22,30,8,39,1,6),(28,201,2,22,31,19,125,2,17),(28,201,2,22,32,7,29,2,10),(28,201,2,22,33,63,64,12,8),(28,201,2,22,34,44,91,11,9),(28,201,2,22,35,51,NULL,6,NULL),(28,201,2,22,36,8,40,1,9),(28,201,2,22,37,27,51,6,7),(28,201,2,22,38,4,40,2,8),(28,201,2,22,39,17,81,3,8),(28,201,2,22,40,30,149,11,10),(28,201,2,23,1,3,132,NULL,12),(28,201,2,23,2,5,98,NULL,10),(28,201,2,23,3,136,104,17,5),(28,201,2,23,4,4,41,NULL,4),(28,201,2,23,5,53,75,13,3),(28,201,2,23,6,113,130,9,10),(28,201,2,23,7,3,95,NULL,10),(28,201,2,23,8,41,69,3,10),(28,201,2,23,9,18,45,2,NULL),(28,201,2,23,10,83,73,7,10),(28,201,2,23,11,65,62,9,3),(28,201,2,23,12,61,118,7,11),(28,201,2,23,13,65,183,11,6),(28,201,2,23,14,91,120,11,9),(28,201,2,23,15,46,94,4,9),(28,201,2,23,16,56,132,7,9),(28,201,2,23,17,8,41,NULL,4),(28,201,2,23,18,121,114,15,7),(28,201,2,23,19,68,113,9,11),(28,201,2,23,20,127,64,16,2),(28,201,2,23,21,13,56,1,6),(28,201,2,23,22,102,52,13,2),(28,201,2,23,23,7,34,1,4),(28,201,2,23,24,18,51,4,6),(28,201,2,23,25,19,68,3,10),(28,201,2,23,26,15,70,4,7),(28,201,2,23,27,20,125,4,9),(28,201,2,23,28,8,89,1,13),(28,201,2,23,29,2,55,NULL,6),(28,201,2,23,30,6,40,NULL,6),(28,201,2,23,31,15,126,1,10),(28,201,2,23,32,13,28,5,3),(28,201,2,23,33,73,60,14,2),(28,201,2,23,34,48,94,11,5),(28,201,2,23,35,39,NULL,3,NULL),(28,201,2,23,36,8,48,2,3),(28,201,2,23,37,31,72,7,9),(28,201,2,23,38,7,33,3,8),(28,201,2,23,39,12,53,1,4),(28,201,2,23,40,41,148,10,6),(28,201,2,24,1,6,125,2,18),(28,201,2,24,2,9,88,NULL,13),(28,201,2,24,3,114,102,14,9),(28,201,2,24,4,6,39,1,6),(28,201,2,24,5,43,79,7,9),(28,201,2,24,6,108,124,14,11),(28,201,2,24,7,1,91,NULL,16),(28,201,2,24,8,41,82,8,8),(28,201,2,24,9,23,41,3,7),(28,201,2,24,10,62,81,10,10),(28,201,2,24,11,55,39,13,2),(28,201,2,24,12,64,95,8,11),(28,201,2,24,13,57,182,11,14),(28,201,2,24,14,103,103,15,9),(28,201,2,24,15,49,89,5,14),(28,201,2,24,16,65,111,7,12),(28,201,2,24,17,19,29,1,4),(28,201,2,24,18,123,98,17,9),(28,201,2,24,19,79,96,8,13),(28,201,2,24,20,88,76,15,6),(28,201,2,24,21,18,66,5,9),(28,201,2,24,22,98,43,18,3),(28,201,2,24,23,12,35,4,5),(28,201,2,24,24,18,60,4,4),(28,201,2,24,25,21,56,4,6),(28,201,2,24,26,9,59,1,5),(28,201,2,24,27,29,108,4,11),(28,201,2,24,28,7,84,1,13),(28,201,2,24,29,4,44,2,9),(28,201,2,24,30,9,36,2,9),(28,201,2,24,31,17,103,4,12),(28,201,2,24,32,8,36,2,4),(28,201,2,24,33,53,66,11,8),(28,201,2,24,34,44,84,12,11),(28,201,2,24,35,39,NULL,5,NULL),(28,201,2,24,36,10,36,2,8),(28,201,2,24,37,26,52,5,9),(28,201,2,24,38,8,30,1,8),(28,201,2,24,39,10,59,NULL,6),(28,201,2,24,40,29,144,7,16),(28,202,1,11,1,NULL,NULL,NULL,NULL),(28,202,1,11,2,NULL,2,NULL,NULL),(28,202,1,11,3,1,NULL,NULL,NULL),(28,202,1,11,4,NULL,NULL,NULL,NULL),(28,202,1,11,5,1,NULL,NULL,NULL),(28,202,1,11,6,1,1,NULL,NULL),(28,202,1,11,7,1,NULL,NULL,NULL),(28,202,1,11,8,NULL,1,NULL,NULL),(28,202,1,11,9,1,NULL,NULL,NULL),(28,202,1,11,10,2,NULL,NULL,NULL),(28,202,1,11,11,NULL,NULL,NULL,NULL),(28,202,1,11,12,1,1,NULL,NULL),(28,202,1,11,13,1,1,NULL,NULL),(28,202,1,11,14,1,1,NULL,NULL),(28,202,1,11,15,1,NULL,NULL,NULL),(28,202,1,11,16,2,1,NULL,NULL),(28,202,1,11,17,2,NULL,NULL,NULL),(28,202,1,11,18,1,2,NULL,NULL),(28,202,1,11,19,1,NULL,NULL,NULL),(28,202,1,11,20,2,NULL,NULL,NULL),(28,202,1,11,21,NULL,1,NULL,NULL),(28,202,1,11,22,NULL,1,NULL,NULL),(28,202,1,11,23,NULL,2,NULL,NULL),(28,202,1,11,24,NULL,NULL,NULL,NULL),(28,202,1,11,25,1,NULL,NULL,NULL),(28,202,1,11,26,NULL,NULL,NULL,NULL),(28,202,1,11,27,1,NULL,NULL,NULL),(28,202,1,11,28,NULL,NULL,NULL,NULL),(28,202,1,11,29,NULL,NULL,NULL,NULL),(28,202,1,11,30,NULL,2,NULL,NULL),(28,202,1,11,31,NULL,NULL,NULL,NULL),(28,202,1,11,32,1,1,NULL,NULL),(28,202,1,11,33,NULL,NULL,NULL,NULL),(28,202,1,11,34,1,NULL,NULL,NULL),(28,202,1,11,35,NULL,NULL,NULL,NULL),(28,202,1,11,36,NULL,NULL,NULL,NULL),(28,202,1,11,37,NULL,NULL,NULL,NULL),(28,202,1,11,38,1,1,NULL,NULL),(28,202,1,11,39,NULL,1,NULL,NULL),(28,202,1,11,40,NULL,NULL,NULL,NULL),(28,202,1,12,1,NULL,NULL,NULL,NULL),(28,202,1,12,2,NULL,NULL,NULL,NULL),(28,202,1,12,3,NULL,NULL,NULL,NULL),(28,202,1,12,4,NULL,NULL,NULL,NULL),(28,202,1,12,5,NULL,NULL,NULL,NULL),(28,202,1,12,6,NULL,NULL,NULL,NULL),(28,202,1,12,7,NULL,NULL,NULL,NULL),(28,202,1,12,8,NULL,NULL,NULL,NULL),(28,202,1,12,9,NULL,NULL,NULL,NULL),(28,202,1,12,10,NULL,NULL,NULL,NULL),(28,202,1,12,11,NULL,NULL,NULL,NULL),(28,202,1,12,12,NULL,NULL,NULL,NULL),(28,202,1,12,13,NULL,NULL,NULL,NULL),(28,202,1,12,14,NULL,NULL,NULL,NULL),(28,202,1,12,15,NULL,NULL,NULL,NULL),(28,202,1,12,16,NULL,NULL,NULL,NULL),(28,202,1,12,17,NULL,NULL,NULL,NULL),(28,202,1,12,18,NULL,NULL,NULL,NULL),(28,202,1,12,19,NULL,NULL,NULL,NULL),(28,202,1,12,20,NULL,NULL,NULL,NULL),(28,202,1,12,21,NULL,NULL,NULL,NULL),(28,202,1,12,22,NULL,NULL,NULL,NULL),(28,202,1,12,23,NULL,NULL,NULL,NULL),(28,202,1,12,24,NULL,NULL,NULL,NULL),(28,202,1,12,25,NULL,NULL,NULL,NULL),(28,202,1,12,26,NULL,NULL,NULL,NULL),(28,202,1,12,27,NULL,NULL,NULL,NULL),(28,202,1,12,28,NULL,NULL,NULL,NULL),(28,202,1,12,29,NULL,NULL,NULL,NULL),(28,202,1,12,30,NULL,NULL,NULL,NULL),(28,202,1,12,31,NULL,NULL,NULL,NULL),(28,202,1,12,32,NULL,NULL,NULL,NULL),(28,202,1,12,33,NULL,NULL,NULL,NULL),(28,202,1,12,34,NULL,NULL,NULL,NULL),(28,202,1,12,35,NULL,NULL,NULL,NULL),(28,202,1,12,36,NULL,NULL,NULL,NULL),(28,202,1,12,37,NULL,NULL,NULL,NULL),(28,202,1,12,38,NULL,NULL,NULL,NULL),(28,202,1,12,39,NULL,NULL,NULL,NULL),(28,202,1,12,40,NULL,NULL,NULL,NULL),(28,202,1,13,1,NULL,NULL,NULL,NULL),(28,202,1,13,2,NULL,NULL,NULL,NULL),(28,202,1,13,3,NULL,NULL,NULL,NULL),(28,202,1,13,4,NULL,NULL,NULL,NULL),(28,202,1,13,5,NULL,NULL,NULL,NULL),(28,202,1,13,6,NULL,NULL,NULL,NULL),(28,202,1,13,7,NULL,NULL,NULL,NULL),(28,202,1,13,8,NULL,NULL,NULL,NULL),(28,202,1,13,9,NULL,NULL,NULL,NULL),(28,202,1,13,10,NULL,NULL,NULL,NULL),(28,202,1,13,11,NULL,NULL,NULL,NULL),(28,202,1,13,12,NULL,NULL,NULL,NULL),(28,202,1,13,13,NULL,NULL,NULL,NULL),(28,202,1,13,14,NULL,NULL,NULL,NULL),(28,202,1,13,15,NULL,NULL,NULL,NULL),(28,202,1,13,16,NULL,NULL,NULL,NULL),(28,202,1,13,17,NULL,NULL,NULL,NULL),(28,202,1,13,18,NULL,NULL,NULL,NULL),(28,202,1,13,19,NULL,NULL,NULL,NULL),(28,202,1,13,20,NULL,NULL,NULL,NULL),(28,202,1,13,21,NULL,NULL,NULL,NULL),(28,202,1,13,22,NULL,NULL,NULL,NULL),(28,202,1,13,23,NULL,NULL,NULL,NULL),(28,202,1,13,24,NULL,NULL,NULL,NULL),(28,202,1,13,25,NULL,NULL,NULL,NULL),(28,202,1,13,26,NULL,NULL,NULL,NULL),(28,202,1,13,27,NULL,NULL,NULL,NULL),(28,202,1,13,28,NULL,NULL,NULL,NULL),(28,202,1,13,29,NULL,NULL,NULL,NULL),(28,202,1,13,30,NULL,NULL,NULL,NULL),(28,202,1,13,31,NULL,NULL,NULL,NULL),(28,202,1,13,32,NULL,NULL,NULL,NULL),(28,202,1,13,33,NULL,NULL,NULL,NULL),(28,202,1,13,34,NULL,NULL,NULL,NULL),(28,202,1,13,35,NULL,NULL,NULL,NULL),(28,202,1,13,36,NULL,NULL,NULL,NULL),(28,202,1,13,37,NULL,NULL,NULL,NULL),(28,202,1,13,38,NULL,NULL,NULL,NULL),(28,202,1,13,39,NULL,NULL,NULL,NULL),(28,202,1,13,40,NULL,NULL,NULL,NULL),(28,202,1,14,1,46,NULL,24,NULL),(28,202,1,14,2,7,44,2,25),(28,202,1,14,3,30,38,17,16),(28,202,1,14,4,18,29,7,9),(28,202,1,14,5,33,26,9,19),(28,202,1,14,6,9,53,9,24),(28,202,1,14,7,7,28,6,8),(28,202,1,14,8,10,50,7,21),(28,202,1,14,9,12,29,7,10),(28,202,1,14,10,58,22,26,6),(28,202,1,14,11,14,27,10,13),(28,202,1,14,12,15,24,9,10),(28,202,1,14,13,66,28,29,8),(28,202,1,14,14,31,31,14,14),(28,202,1,14,15,71,NULL,31,NULL),(28,202,1,14,16,55,31,26,8),(28,202,1,14,17,25,64,13,22),(28,202,1,14,18,32,25,18,8),(28,202,1,14,19,60,33,24,14),(28,202,1,14,20,30,67,18,18),(28,202,1,14,21,5,13,2,10),(28,202,1,14,22,9,31,5,17),(28,202,1,14,23,6,21,4,12),(28,202,1,14,24,7,NULL,4,NULL),(28,202,1,14,25,4,20,3,9),(28,202,1,14,26,1,24,1,12),(28,202,1,14,27,43,NULL,21,NULL),(28,202,1,14,28,2,6,1,4),(28,202,1,14,29,7,22,3,10),(28,202,1,14,30,16,29,9,11),(28,202,1,14,31,11,16,5,11),(28,202,1,14,32,12,36,6,17),(28,202,1,14,33,14,24,9,11),(28,202,1,14,34,45,20,23,8),(28,202,1,14,35,8,13,6,4),(28,202,1,14,36,11,NULL,9,NULL),(28,202,1,14,37,5,14,1,6),(28,202,1,14,38,9,24,7,13),(28,202,1,14,39,25,38,10,14),(28,202,1,14,40,10,NULL,1,NULL),(28,202,1,15,1,49,NULL,33,NULL),(28,202,1,15,2,3,35,3,20),(28,202,1,15,3,27,33,16,19),(28,202,1,15,4,15,31,8,12),(28,202,1,15,5,23,35,13,15),(28,202,1,15,6,13,63,10,27),(28,202,1,15,7,13,33,11,17),(28,202,1,15,8,9,46,7,25),(28,202,1,15,9,13,26,7,11),(28,202,1,15,10,55,17,31,10),(28,202,1,15,11,16,26,9,15),(28,202,1,15,12,15,22,6,14),(28,202,1,15,13,65,26,37,9),(28,202,1,15,14,33,28,17,16),(28,202,1,15,15,70,NULL,37,NULL),(28,202,1,15,16,49,41,29,13),(28,202,1,15,17,30,46,19,23),(28,202,1,15,18,32,21,23,9),(28,202,1,15,19,62,32,30,12),(28,202,1,15,20,46,59,26,20),(28,202,1,15,21,3,12,3,5),(28,202,1,15,22,6,20,4,9),(28,202,1,15,23,5,35,3,15),(28,202,1,15,24,5,NULL,5,NULL),(28,202,1,15,25,4,15,1,5),(28,202,1,15,26,3,20,2,10),(28,202,1,15,27,42,NULL,31,NULL),(28,202,1,15,28,2,5,NULL,2),(28,202,1,15,29,8,26,2,12),(28,202,1,15,30,11,48,5,27),(28,202,1,15,31,9,19,5,11),(28,202,1,15,32,6,35,3,23),(28,202,1,15,33,12,30,8,22),(28,202,1,15,34,46,14,19,13),(28,202,1,15,35,12,21,8,14),(28,202,1,15,36,8,NULL,8,NULL),(28,202,1,15,37,5,16,4,9),(28,202,1,15,38,17,23,14,15),(28,202,1,15,39,27,44,9,26),(28,202,1,15,40,14,NULL,11,NULL),(28,202,1,16,1,16,NULL,5,NULL),(28,202,1,16,2,NULL,8,NULL,1),(28,202,1,16,3,5,16,NULL,3),(28,202,1,16,4,9,4,NULL,1),(28,202,1,16,5,4,13,NULL,NULL),(28,202,1,16,6,3,14,NULL,4),(28,202,1,16,7,3,13,NULL,4),(28,202,1,16,8,1,12,1,2),(28,202,1,16,9,4,10,NULL,NULL),(28,202,1,16,10,18,12,3,1),(28,202,1,16,11,5,8,NULL,1),(28,202,1,16,12,1,9,NULL,NULL),(28,202,1,16,13,45,NULL,5,NULL),(28,202,1,16,14,37,10,5,NULL),(28,202,1,16,15,9,27,2,2),(28,202,1,16,16,33,NULL,5,NULL),(28,202,1,16,17,22,22,2,2),(28,202,1,16,18,2,17,1,3),(28,202,1,16,19,6,27,1,3),(28,202,1,16,20,9,13,2,NULL),(28,202,1,16,21,4,4,NULL,NULL),(28,202,1,16,22,1,9,NULL,1),(28,202,1,16,23,2,9,NULL,3),(28,202,1,16,24,NULL,NULL,NULL,NULL),(28,202,1,16,25,1,4,NULL,NULL),(28,202,1,16,26,NULL,4,NULL,NULL),(28,202,1,16,27,12,NULL,4,NULL),(28,202,1,16,28,NULL,NULL,NULL,NULL),(28,202,1,16,29,4,13,NULL,3),(28,202,1,16,30,8,7,NULL,2),(28,202,1,16,31,2,3,NULL,NULL),(28,202,1,16,32,2,11,1,2),(28,202,1,16,33,3,11,NULL,3),(28,202,1,16,34,8,6,2,2),(28,202,1,16,35,3,8,NULL,2),(28,202,1,16,36,1,NULL,NULL,NULL),(28,202,1,16,37,1,4,NULL,NULL),(28,202,1,16,38,1,10,NULL,2),(28,202,1,16,39,10,14,2,3),(28,202,1,16,40,1,NULL,1,NULL),(28,202,1,17,1,13,NULL,2,NULL),(28,202,1,17,2,NULL,11,NULL,3),(28,202,1,17,3,6,13,1,4),(28,202,1,17,4,4,11,NULL,2),(28,202,1,17,5,6,12,1,3),(28,202,1,17,6,1,23,NULL,5),(28,202,1,17,7,1,13,NULL,5),(28,202,1,17,8,NULL,17,NULL,4),(28,202,1,17,9,6,11,2,2),(28,202,1,17,10,21,7,5,1),(28,202,1,17,11,5,13,NULL,4),(28,202,1,17,12,1,6,NULL,4),(28,202,1,17,13,47,NULL,8,NULL),(28,202,1,17,14,39,6,7,NULL),(28,202,1,17,15,13,18,1,4),(28,202,1,17,16,39,NULL,5,NULL),(28,202,1,17,17,15,28,3,3),(28,202,1,17,18,9,11,2,1),(28,202,1,17,19,12,26,2,3),(28,202,1,17,20,5,12,3,1),(28,202,1,17,21,NULL,10,NULL,1),(28,202,1,17,22,2,8,2,1),(28,202,1,17,23,3,4,1,NULL),(28,202,1,17,24,NULL,NULL,NULL,NULL),(28,202,1,17,25,1,9,NULL,1),(28,202,1,17,26,1,5,NULL,1),(28,202,1,17,27,15,NULL,3,NULL),(28,202,1,17,28,NULL,4,NULL,NULL),(28,202,1,17,29,NULL,9,NULL,1),(28,202,1,17,30,1,14,NULL,3),(28,202,1,17,31,1,NULL,NULL,NULL),(28,202,1,17,32,9,8,3,3),(28,202,1,17,33,2,7,NULL,2),(28,202,1,17,34,13,8,3,3),(28,202,1,17,35,1,8,NULL,4),(28,202,1,17,36,1,NULL,1,NULL),(28,202,1,17,37,1,7,NULL,2),(28,202,1,17,38,3,8,2,2),(28,202,1,17,39,7,15,1,3),(28,202,1,17,40,2,NULL,NULL,NULL),(28,202,1,18,1,NULL,NULL,NULL,NULL),(28,202,1,18,2,NULL,NULL,NULL,NULL),(28,202,1,18,3,NULL,NULL,NULL,NULL),(28,202,1,18,4,NULL,NULL,NULL,NULL),(28,202,1,18,5,NULL,NULL,NULL,NULL),(28,202,1,18,6,NULL,NULL,NULL,NULL),(28,202,1,18,7,NULL,NULL,NULL,NULL),(28,202,1,18,8,NULL,NULL,NULL,NULL),(28,202,1,18,9,NULL,NULL,NULL,NULL),(28,202,1,18,10,NULL,NULL,NULL,NULL),(28,202,1,18,11,NULL,NULL,NULL,NULL),(28,202,1,18,12,NULL,NULL,NULL,NULL),(28,202,1,18,13,NULL,NULL,NULL,NULL),(28,202,1,18,14,NULL,NULL,NULL,NULL),(28,202,1,18,15,NULL,NULL,NULL,NULL),(28,202,1,18,16,NULL,NULL,NULL,NULL),(28,202,1,18,17,NULL,NULL,NULL,NULL),(28,202,1,18,18,NULL,NULL,NULL,NULL),(28,202,1,18,19,NULL,NULL,NULL,NULL),(28,202,1,18,20,NULL,NULL,NULL,NULL),(28,202,1,18,21,NULL,NULL,NULL,NULL),(28,202,1,18,22,NULL,NULL,NULL,NULL),(28,202,1,18,23,NULL,NULL,NULL,NULL),(28,202,1,18,24,NULL,NULL,NULL,NULL),(28,202,1,18,25,NULL,NULL,NULL,NULL),(28,202,1,18,26,NULL,NULL,NULL,NULL),(28,202,1,18,27,NULL,NULL,NULL,NULL),(28,202,1,18,28,NULL,NULL,NULL,NULL),(28,202,1,18,29,NULL,NULL,NULL,NULL),(28,202,1,18,30,NULL,NULL,NULL,NULL),(28,202,1,18,31,NULL,NULL,NULL,NULL),(28,202,1,18,32,NULL,NULL,NULL,NULL),(28,202,1,18,33,NULL,NULL,NULL,NULL),(28,202,1,18,34,NULL,NULL,NULL,NULL),(28,202,1,18,35,NULL,NULL,NULL,NULL),(28,202,1,18,36,NULL,NULL,NULL,NULL),(28,202,1,18,37,NULL,NULL,NULL,NULL),(28,202,1,18,38,NULL,NULL,NULL,NULL),(28,202,1,18,39,NULL,NULL,NULL,NULL),(28,202,1,18,40,NULL,NULL,NULL,NULL),(28,202,1,19,1,NULL,NULL,NULL,NULL),(28,202,1,19,2,NULL,NULL,NULL,NULL),(28,202,1,19,3,NULL,NULL,NULL,NULL),(28,202,1,19,4,NULL,NULL,NULL,NULL),(28,202,1,19,5,NULL,NULL,NULL,NULL),(28,202,1,19,6,NULL,NULL,NULL,NULL),(28,202,1,19,7,NULL,NULL,NULL,NULL),(28,202,1,19,8,NULL,NULL,NULL,NULL),(28,202,1,19,9,NULL,NULL,NULL,NULL),(28,202,1,19,10,NULL,NULL,NULL,NULL),(28,202,1,19,11,NULL,NULL,NULL,NULL),(28,202,1,19,12,NULL,NULL,NULL,NULL),(28,202,1,19,13,NULL,NULL,NULL,NULL),(28,202,1,19,14,NULL,NULL,NULL,NULL),(28,202,1,19,15,NULL,NULL,NULL,NULL),(28,202,1,19,16,NULL,NULL,NULL,NULL),(28,202,1,19,17,NULL,NULL,NULL,NULL),(28,202,1,19,18,NULL,NULL,NULL,NULL),(28,202,1,19,19,NULL,NULL,NULL,NULL),(28,202,1,19,20,NULL,NULL,NULL,NULL),(28,202,1,19,21,NULL,NULL,NULL,NULL),(28,202,1,19,22,NULL,NULL,NULL,NULL),(28,202,1,19,23,NULL,NULL,NULL,NULL),(28,202,1,19,24,NULL,NULL,NULL,NULL),(28,202,1,19,25,NULL,NULL,NULL,NULL),(28,202,1,19,26,NULL,NULL,NULL,NULL),(28,202,1,19,27,NULL,NULL,NULL,NULL),(28,202,1,19,28,NULL,NULL,NULL,NULL),(28,202,1,19,29,NULL,NULL,NULL,NULL),(28,202,1,19,30,NULL,NULL,NULL,NULL),(28,202,1,19,31,NULL,NULL,NULL,NULL),(28,202,1,19,32,NULL,NULL,NULL,NULL),(28,202,1,19,33,NULL,NULL,NULL,NULL),(28,202,1,19,34,NULL,NULL,NULL,NULL),(28,202,1,19,35,NULL,NULL,NULL,NULL),(28,202,1,19,36,NULL,NULL,NULL,NULL),(28,202,1,19,37,NULL,NULL,NULL,NULL),(28,202,1,19,38,NULL,NULL,NULL,NULL),(28,202,1,19,39,NULL,NULL,NULL,NULL),(28,202,1,19,40,NULL,NULL,NULL,NULL),(28,202,2,21,1,8,32,4,9),(28,202,2,21,2,4,29,2,10),(28,202,2,21,3,37,30,7,16),(28,202,2,21,4,2,10,NULL,3),(28,202,2,21,5,12,18,7,10),(28,202,2,21,6,30,37,10,9),(28,202,2,21,7,1,31,NULL,10),(28,202,2,21,8,15,24,7,6),(28,202,2,21,9,7,10,2,5),(28,202,2,21,10,22,23,7,10),(28,202,2,21,11,14,12,9,6),(28,202,2,21,12,21,23,5,10),(28,202,2,21,13,19,55,11,11),(28,202,2,21,14,24,40,9,12),(28,202,2,21,15,15,24,6,10),(28,202,2,21,16,16,32,5,12),(28,202,2,21,17,5,5,2,3),(28,202,2,21,18,44,30,9,14),(28,202,2,21,19,18,28,6,13),(28,202,2,21,20,25,23,11,6),(28,202,2,21,21,6,9,3,6),(28,202,2,21,22,23,18,16,4),(28,202,2,21,23,1,9,1,4),(28,202,2,21,24,4,19,2,10),(28,202,2,21,25,8,20,NULL,8),(28,202,2,21,26,7,14,3,3),(28,202,2,21,27,10,35,7,15),(28,202,2,21,28,4,32,1,11),(28,202,2,21,29,1,10,NULL,7),(28,202,2,21,30,2,8,NULL,6),(28,202,2,21,31,4,35,3,10),(28,202,2,21,32,3,7,2,5),(28,202,2,21,33,19,20,10,8),(28,202,2,21,34,10,29,7,10),(28,202,2,21,35,18,NULL,6,NULL),(28,202,2,21,36,1,8,1,7),(28,202,2,21,37,6,19,5,9),(28,202,2,21,38,NULL,7,NULL,8),(28,202,2,21,39,4,18,NULL,7),(28,202,2,21,40,7,46,6,15),(28,202,2,22,1,2,28,3,8),(28,202,2,22,2,2,24,2,8),(28,202,2,22,3,30,26,11,7),(28,202,2,22,4,NULL,7,1,2),(28,202,2,22,5,11,17,6,7),(28,202,2,22,6,22,31,8,8),(28,202,2,22,7,NULL,22,1,9),(28,202,2,22,8,13,22,6,8),(28,202,2,22,9,12,19,1,5),(28,202,2,22,10,12,20,9,4),(28,202,2,22,11,13,17,3,8),(28,202,2,22,12,13,33,8,6),(28,202,2,22,13,15,46,5,11),(28,202,2,22,14,30,27,7,9),(28,202,2,22,15,16,19,7,8),(28,202,2,22,16,17,29,2,13),(28,202,2,22,17,2,9,NULL,5),(28,202,2,22,18,29,32,10,10),(28,202,2,22,19,19,26,9,9),(28,202,2,22,20,32,15,11,6),(28,202,2,22,21,NULL,16,2,7),(28,202,2,22,22,25,15,12,3),(28,202,2,22,23,NULL,9,2,4),(28,202,2,22,24,2,10,2,4),(28,202,2,22,25,5,10,5,4),(28,202,2,22,26,4,16,NULL,6),(28,202,2,22,27,6,33,4,9),(28,202,2,22,28,1,25,NULL,10),(28,202,2,22,29,1,15,NULL,5),(28,202,2,22,30,2,20,NULL,5),(28,202,2,22,31,4,26,3,11),(28,202,2,22,32,1,5,1,2),(28,202,2,22,33,16,12,9,5),(28,202,2,22,34,7,22,6,9),(28,202,2,22,35,13,NULL,6,NULL),(28,202,2,22,36,2,7,1,3),(28,202,2,22,37,5,12,1,6),(28,202,2,22,38,NULL,11,NULL,9),(28,202,2,22,39,5,17,5,6),(28,202,2,22,40,6,39,7,8),(28,202,2,23,1,3,38,1,10),(28,202,2,23,2,4,30,2,9),(28,202,2,23,3,31,21,10,8),(28,202,2,23,4,2,9,2,4),(28,202,2,23,5,11,23,6,9),(28,202,2,23,6,28,34,10,9),(28,202,2,23,7,1,32,2,4),(28,202,2,23,8,15,19,10,3),(28,202,2,23,9,3,11,1,2),(28,202,2,23,10,8,25,4,8),(28,202,2,23,11,11,15,5,3),(28,202,2,23,12,20,28,2,6),(28,202,2,23,13,14,53,7,14),(28,202,2,23,14,28,28,12,6),(28,202,2,23,15,8,21,4,4),(28,202,2,23,16,11,39,3,15),(28,202,2,23,17,2,12,1,5),(28,202,2,23,18,37,29,9,12),(28,202,2,23,19,17,31,7,8),(28,202,2,23,20,23,24,14,5),(28,202,2,23,21,7,18,3,4),(28,202,2,23,22,28,14,12,4),(28,202,2,23,23,3,12,2,4),(28,202,2,23,24,5,17,3,6),(28,202,2,23,25,6,22,3,5),(28,202,2,23,26,7,17,3,7),(28,202,2,23,27,10,30,7,8),(28,202,2,23,28,4,32,NULL,12),(28,202,2,23,29,2,23,1,8),(28,202,2,23,30,2,14,NULL,6),(28,202,2,23,31,7,25,6,2),(28,202,2,23,32,2,5,1,3),(28,202,2,23,33,13,17,9,4),(28,202,2,23,34,13,23,8,6),(28,202,2,23,35,9,NULL,1,NULL),(28,202,2,23,36,NULL,14,NULL,5),(28,202,2,23,37,7,12,8,4),(28,202,2,23,38,3,10,2,8),(28,202,2,23,39,7,17,1,6),(28,202,2,23,40,7,41,5,11),(28,202,2,24,1,3,42,1,21),(28,202,2,24,2,2,28,1,14),(28,202,2,24,3,39,26,24,7),(28,202,2,24,4,2,12,2,6),(28,202,2,24,5,20,16,13,9),(28,202,2,24,6,21,37,8,22),(28,202,2,24,7,NULL,25,NULL,15),(28,202,2,24,8,16,25,12,10),(28,202,2,24,9,3,11,2,4),(28,202,2,24,10,23,19,15,8),(28,202,2,24,11,15,14,17,3),(28,202,2,24,12,19,33,11,10),(28,202,2,24,13,14,48,12,15),(28,202,2,24,14,20,35,18,12),(28,202,2,24,15,12,23,7,13),(28,202,2,24,16,19,29,11,16),(28,202,2,24,17,5,11,2,4),(28,202,2,24,18,27,35,12,16),(28,202,2,24,19,18,27,9,16),(28,202,2,24,20,31,17,22,5),(28,202,2,24,21,5,22,4,5),(28,202,2,24,22,27,19,25,2),(28,202,2,24,23,4,7,4,5),(28,202,2,24,24,4,12,1,7),(28,202,2,24,25,2,19,1,10),(28,202,2,24,26,7,13,2,6),(28,202,2,24,27,8,35,6,19),(28,202,2,24,28,2,28,NULL,16),(28,202,2,24,29,4,15,2,10),(28,202,2,24,30,1,19,1,8),(28,202,2,24,31,2,28,3,16),(28,202,2,24,32,1,8,2,6),(28,202,2,24,33,11,13,13,11),(28,202,2,24,34,20,23,18,10),(28,202,2,24,35,9,NULL,5,NULL),(28,202,2,24,36,1,12,NULL,7),(28,202,2,24,37,6,16,6,15),(28,202,2,24,38,2,12,2,8),(28,202,2,24,39,4,18,3,12),(28,202,2,24,40,17,35,12,18),(28,203,1,11,1,3,NULL,NULL,NULL),(28,203,1,11,2,NULL,2,NULL,NULL),(28,203,1,11,3,3,1,NULL,NULL),(28,203,1,11,4,2,1,NULL,NULL),(28,203,1,11,5,3,NULL,NULL,NULL),(28,203,1,11,6,NULL,2,NULL,NULL),(28,203,1,11,7,NULL,NULL,NULL,NULL),(28,203,1,11,8,2,2,NULL,NULL),(28,203,1,11,9,NULL,1,NULL,NULL),(28,203,1,11,10,2,NULL,NULL,NULL),(28,203,1,11,11,2,NULL,NULL,NULL),(28,203,1,11,12,2,2,NULL,NULL),(28,203,1,11,13,3,NULL,NULL,NULL),(28,203,1,11,14,2,2,NULL,NULL),(28,203,1,11,15,2,2,NULL,NULL),(28,203,1,11,16,4,NULL,NULL,NULL),(28,203,1,11,17,4,NULL,NULL,NULL),(28,203,1,11,18,3,NULL,NULL,NULL),(28,203,1,11,19,3,NULL,NULL,NULL),(28,203,1,11,20,2,NULL,NULL,NULL),(28,203,1,11,21,NULL,NULL,NULL,NULL),(28,203,1,11,22,NULL,3,NULL,NULL),(28,203,1,11,23,2,NULL,NULL,NULL),(28,203,1,11,24,NULL,NULL,NULL,NULL),(28,203,1,11,25,NULL,1,NULL,NULL),(28,203,1,11,26,1,2,NULL,NULL),(28,203,1,11,27,4,NULL,NULL,NULL),(28,203,1,11,28,NULL,NULL,NULL,NULL),(28,203,1,11,29,NULL,1,NULL,NULL),(28,203,1,11,30,NULL,4,NULL,NULL),(28,203,1,11,31,NULL,1,NULL,NULL),(28,203,1,11,32,1,1,NULL,NULL),(28,203,1,11,33,2,NULL,NULL,NULL),(28,203,1,11,34,5,NULL,NULL,NULL),(28,203,1,11,35,1,1,NULL,NULL),(28,203,1,11,36,1,NULL,NULL,NULL),(28,203,1,11,37,NULL,2,NULL,NULL),(28,203,1,11,38,2,NULL,NULL,NULL),(28,203,1,11,39,NULL,2,NULL,NULL),(28,203,1,11,40,NULL,NULL,NULL,NULL),(28,203,1,12,1,NULL,NULL,NULL,NULL),(28,203,1,12,2,NULL,NULL,NULL,NULL),(28,203,1,12,3,NULL,NULL,NULL,NULL),(28,203,1,12,4,NULL,NULL,NULL,NULL),(28,203,1,12,5,NULL,NULL,NULL,NULL),(28,203,1,12,6,NULL,NULL,NULL,NULL),(28,203,1,12,7,NULL,NULL,NULL,NULL),(28,203,1,12,8,NULL,NULL,NULL,NULL),(28,203,1,12,9,NULL,NULL,NULL,NULL),(28,203,1,12,10,NULL,NULL,NULL,NULL),(28,203,1,12,11,NULL,NULL,NULL,NULL),(28,203,1,12,12,NULL,NULL,NULL,NULL),(28,203,1,12,13,NULL,NULL,NULL,NULL),(28,203,1,12,14,NULL,NULL,NULL,NULL),(28,203,1,12,15,NULL,NULL,NULL,NULL),(28,203,1,12,16,NULL,NULL,NULL,NULL),(28,203,1,12,17,NULL,NULL,NULL,NULL),(28,203,1,12,18,NULL,NULL,NULL,NULL),(28,203,1,12,19,NULL,NULL,NULL,NULL),(28,203,1,12,20,NULL,NULL,NULL,NULL),(28,203,1,12,21,NULL,NULL,NULL,NULL),(28,203,1,12,22,NULL,NULL,NULL,NULL),(28,203,1,12,23,NULL,NULL,NULL,NULL),(28,203,1,12,24,NULL,NULL,NULL,NULL),(28,203,1,12,25,NULL,NULL,NULL,NULL),(28,203,1,12,26,NULL,NULL,NULL,NULL),(28,203,1,12,27,NULL,NULL,NULL,NULL),(28,203,1,12,28,NULL,NULL,NULL,NULL),(28,203,1,12,29,NULL,NULL,NULL,NULL),(28,203,1,12,30,NULL,NULL,NULL,NULL),(28,203,1,12,31,NULL,NULL,NULL,NULL),(28,203,1,12,32,NULL,NULL,NULL,NULL),(28,203,1,12,33,NULL,NULL,NULL,NULL),(28,203,1,12,34,NULL,NULL,NULL,NULL),(28,203,1,12,35,NULL,NULL,NULL,NULL),(28,203,1,12,36,NULL,NULL,NULL,NULL),(28,203,1,12,37,NULL,NULL,NULL,NULL),(28,203,1,12,38,NULL,NULL,NULL,NULL),(28,203,1,12,39,NULL,NULL,NULL,NULL),(28,203,1,12,40,NULL,NULL,NULL,NULL),(28,203,1,13,1,3,NULL,1,NULL),(28,203,1,13,2,2,2,1,NULL),(28,203,1,13,3,3,1,1,NULL),(28,203,1,13,4,2,1,NULL,NULL),(28,203,1,13,5,2,2,NULL,1),(28,203,1,13,6,2,1,1,NULL),(28,203,1,13,7,2,2,1,NULL),(28,203,1,13,8,NULL,1,NULL,1),(28,203,1,13,9,1,1,1,NULL),(28,203,1,13,10,1,2,NULL,1),(28,203,1,13,11,NULL,1,NULL,1),(28,203,1,13,12,1,2,NULL,1),(28,203,1,13,13,4,NULL,1,NULL),(28,203,1,13,14,4,NULL,1,NULL),(28,203,1,13,15,2,2,NULL,1),(28,203,1,13,16,5,NULL,1,NULL),(28,203,1,13,17,1,3,NULL,1),(28,203,1,13,18,4,1,NULL,1),(28,203,1,13,19,5,NULL,1,NULL),(28,203,1,13,20,1,3,NULL,1),(28,203,1,13,21,NULL,1,NULL,1),(28,203,1,13,22,1,NULL,NULL,NULL),(28,203,1,13,23,NULL,NULL,NULL,NULL),(28,203,1,13,24,NULL,NULL,NULL,NULL),(28,203,1,13,25,NULL,1,NULL,NULL),(28,203,1,13,26,NULL,2,NULL,1),(28,203,1,13,27,2,NULL,1,NULL),(28,203,1,13,28,NULL,NULL,NULL,NULL),(28,203,1,13,29,NULL,2,NULL,1),(28,203,1,13,30,2,1,1,NULL),(28,203,1,13,31,NULL,1,NULL,1),(28,203,1,13,32,2,1,NULL,1),(28,203,1,13,33,1,NULL,1,NULL),(28,203,1,13,34,1,NULL,NULL,NULL),(28,203,1,13,35,2,1,NULL,1),(28,203,1,13,36,1,NULL,1,NULL),(28,203,1,13,37,NULL,1,NULL,NULL),(28,203,1,13,38,NULL,1,NULL,NULL),(28,203,1,13,39,1,1,NULL,1),(28,203,1,13,40,NULL,NULL,NULL,NULL),(28,203,1,14,1,139,NULL,28,NULL),(28,203,1,14,2,25,129,7,20),(28,203,1,14,3,119,123,25,19),(28,203,1,14,4,53,84,10,14),(28,203,1,14,5,122,99,23,14),(28,203,1,14,6,46,163,18,22),(28,203,1,14,7,41,72,12,16),(28,203,1,14,8,44,168,14,25),(28,203,1,14,9,54,89,13,13),(28,203,1,14,10,199,56,36,10),(28,203,1,14,11,55,68,14,12),(28,203,1,14,12,67,107,18,14),(28,203,1,14,13,239,68,41,6),(28,203,1,14,14,131,86,27,9),(28,203,1,14,15,218,NULL,31,NULL),(28,203,1,14,16,196,88,29,12),(28,203,1,14,17,87,190,14,25),(28,203,1,14,18,117,79,20,15),(28,203,1,14,19,206,99,37,9),(28,203,1,14,20,160,159,31,12),(28,203,1,14,21,17,48,11,7),(28,203,1,14,22,32,117,12,18),(28,203,1,14,23,30,75,5,16),(28,203,1,14,24,17,NULL,8,NULL),(28,203,1,14,25,10,65,4,10),(28,203,1,14,26,5,100,2,21),(28,203,1,14,27,148,NULL,31,NULL),(28,203,1,14,28,8,18,3,6),(28,203,1,14,29,25,85,6,12),(28,203,1,14,30,59,127,16,21),(28,203,1,14,31,31,55,8,12),(28,203,1,14,32,49,94,7,20),(28,203,1,14,33,61,85,17,17),(28,203,1,14,34,174,54,35,8),(28,203,1,14,35,51,44,17,12),(28,203,1,14,36,57,NULL,23,NULL),(28,203,1,14,37,21,46,3,9),(28,203,1,14,38,58,65,22,12),(28,203,1,14,39,91,128,13,27),(28,203,1,14,40,42,NULL,11,NULL),(28,203,1,15,1,142,NULL,27,NULL),(28,203,1,15,2,21,132,7,24),(28,203,1,15,3,96,117,19,20),(28,203,1,15,4,51,89,9,17),(28,203,1,15,5,99,96,19,13),(28,203,1,15,6,37,182,14,22),(28,203,1,15,7,38,103,8,18),(28,203,1,15,8,36,138,15,22),(28,203,1,15,9,57,89,17,14),(28,203,1,15,10,188,46,33,5),(28,203,1,15,11,51,63,17,11),(28,203,1,15,12,53,89,12,20),(28,203,1,15,13,231,62,36,7),(28,203,1,15,14,119,78,22,11),(28,203,1,15,15,215,NULL,32,NULL),(28,203,1,15,16,190,99,30,13),(28,203,1,15,17,84,201,17,26),(28,203,1,15,18,132,70,23,12),(28,203,1,15,19,225,73,37,5),(28,203,1,15,20,156,175,32,13),(28,203,1,15,21,28,36,15,10),(28,203,1,15,22,34,121,15,17),(28,203,1,15,23,28,85,8,14),(28,203,1,15,24,22,NULL,9,NULL),(28,203,1,15,25,9,60,2,14),(28,203,1,15,26,6,89,2,23),(28,203,1,15,27,147,NULL,31,NULL),(28,203,1,15,28,9,11,2,7),(28,203,1,15,29,25,78,3,13),(28,203,1,15,30,64,101,15,18),(28,203,1,15,31,35,71,4,19),(28,203,1,15,32,46,79,8,13),(28,203,1,15,33,54,75,14,16),(28,203,1,15,34,163,52,31,4),(28,203,1,15,35,69,41,22,4),(28,203,1,15,36,53,NULL,18,NULL),(28,203,1,15,37,25,44,3,8),(28,203,1,15,38,58,64,16,11),(28,203,1,15,39,83,141,13,26),(28,203,1,15,40,34,NULL,12,NULL),(28,203,1,16,1,38,NULL,4,NULL),(28,203,1,16,2,1,28,NULL,4),(28,203,1,16,3,22,41,2,5),(28,203,1,16,4,20,27,NULL,3),(28,203,1,16,5,35,29,1,4),(28,203,1,16,6,10,45,1,3),(28,203,1,16,7,15,28,1,2),(28,203,1,16,8,6,38,1,2),(28,203,1,16,9,22,19,1,3),(28,203,1,16,10,52,20,6,1),(28,203,1,16,11,7,23,1,5),(28,203,1,16,12,10,29,NULL,4),(28,203,1,16,13,112,NULL,7,NULL),(28,203,1,16,14,105,15,6,2),(28,203,1,16,15,36,51,4,3),(28,203,1,16,16,81,NULL,4,NULL),(28,203,1,16,17,51,43,6,2),(28,203,1,16,18,30,22,3,2),(28,203,1,16,19,21,46,1,4),(28,203,1,16,20,32,35,2,4),(28,203,1,16,21,7,15,NULL,NULL),(28,203,1,16,22,4,32,1,1),(28,203,1,16,23,5,30,NULL,3),(28,203,1,16,24,4,NULL,NULL,NULL),(28,203,1,16,25,6,11,NULL,NULL),(28,203,1,16,26,1,15,NULL,2),(28,203,1,16,27,26,NULL,1,NULL),(28,203,1,16,28,1,9,NULL,NULL),(28,203,1,16,29,8,23,NULL,3),(28,203,1,16,30,14,36,1,5),(28,203,1,16,31,3,9,NULL,2),(28,203,1,16,32,9,18,1,3),(28,203,1,16,33,10,17,1,1),(28,203,1,16,34,35,16,3,1),(28,203,1,16,35,5,14,NULL,2),(28,203,1,16,36,8,NULL,2,NULL),(28,203,1,16,37,6,8,NULL,NULL),(28,203,1,16,38,7,24,2,2),(28,203,1,16,39,21,40,NULL,3),(28,203,1,16,40,6,NULL,NULL,NULL),(28,203,1,17,1,24,NULL,2,NULL),(28,203,1,17,2,1,22,NULL,1),(28,203,1,17,3,19,30,3,NULL),(28,203,1,17,4,13,27,NULL,4),(28,203,1,17,5,16,26,1,NULL),(28,203,1,17,6,8,42,1,2),(28,203,1,17,7,12,27,1,3),(28,203,1,17,8,3,33,NULL,NULL),(28,203,1,17,9,15,26,1,3),(28,203,1,17,10,43,16,5,NULL),(28,203,1,17,11,12,25,NULL,3),(28,203,1,17,12,8,17,1,1),(28,203,1,17,13,87,NULL,6,NULL),(28,203,1,17,14,75,22,4,1),(28,203,1,17,15,39,45,2,3),(28,203,1,17,16,76,NULL,5,NULL),(28,203,1,17,17,43,37,5,1),(28,203,1,17,18,22,28,1,1),(28,203,1,17,19,24,46,2,2),(28,203,1,17,20,19,44,1,3),(28,203,1,17,21,3,11,1,NULL),(28,203,1,17,22,1,21,NULL,1),(28,203,1,17,23,2,16,NULL,NULL),(28,203,1,17,24,2,NULL,1,NULL),(28,203,1,17,25,NULL,18,NULL,2),(28,203,1,17,26,2,15,NULL,1),(28,203,1,17,27,21,NULL,2,NULL),(28,203,1,17,28,1,2,NULL,NULL),(28,203,1,17,29,3,17,NULL,1),(28,203,1,17,30,6,32,1,2),(28,203,1,17,31,7,10,2,NULL),(28,203,1,17,32,13,30,2,3),(28,203,1,17,33,7,15,NULL,3),(28,203,1,17,34,27,9,5,NULL),(28,203,1,17,35,5,10,1,1),(28,203,1,17,36,5,NULL,1,NULL),(28,203,1,17,37,1,14,NULL,2),(28,203,1,17,38,5,16,NULL,1),(28,203,1,17,39,18,32,1,3),(28,203,1,17,40,7,NULL,1,NULL),(28,203,1,18,1,NULL,NULL,NULL,NULL),(28,203,1,18,2,NULL,NULL,NULL,NULL),(28,203,1,18,3,NULL,NULL,NULL,NULL),(28,203,1,18,4,NULL,NULL,NULL,NULL),(28,203,1,18,5,NULL,NULL,NULL,NULL),(28,203,1,18,6,NULL,NULL,NULL,NULL),(28,203,1,18,7,NULL,NULL,NULL,NULL),(28,203,1,18,8,NULL,NULL,NULL,NULL),(28,203,1,18,9,NULL,NULL,NULL,NULL),(28,203,1,18,10,NULL,NULL,NULL,NULL),(28,203,1,18,11,NULL,NULL,NULL,NULL),(28,203,1,18,12,NULL,NULL,NULL,NULL),(28,203,1,18,13,NULL,NULL,NULL,NULL),(28,203,1,18,14,NULL,NULL,NULL,NULL),(28,203,1,18,15,NULL,NULL,NULL,NULL),(28,203,1,18,16,NULL,NULL,NULL,NULL),(28,203,1,18,17,NULL,NULL,NULL,NULL),(28,203,1,18,18,NULL,NULL,NULL,NULL),(28,203,1,18,19,NULL,NULL,NULL,NULL),(28,203,1,18,20,NULL,NULL,NULL,NULL),(28,203,1,18,21,NULL,NULL,NULL,NULL),(28,203,1,18,22,NULL,NULL,NULL,NULL),(28,203,1,18,23,NULL,NULL,NULL,NULL),(28,203,1,18,24,NULL,NULL,NULL,NULL),(28,203,1,18,25,NULL,NULL,NULL,NULL),(28,203,1,18,26,NULL,NULL,NULL,NULL),(28,203,1,18,27,NULL,NULL,NULL,NULL),(28,203,1,18,28,NULL,NULL,NULL,NULL),(28,203,1,18,29,NULL,NULL,NULL,NULL),(28,203,1,18,30,NULL,NULL,NULL,NULL),(28,203,1,18,31,NULL,NULL,NULL,NULL),(28,203,1,18,32,NULL,NULL,NULL,NULL),(28,203,1,18,33,NULL,NULL,NULL,NULL),(28,203,1,18,34,NULL,NULL,NULL,NULL),(28,203,1,18,35,NULL,NULL,NULL,NULL),(28,203,1,18,36,NULL,NULL,NULL,NULL),(28,203,1,18,37,NULL,NULL,NULL,NULL),(28,203,1,18,38,NULL,NULL,NULL,NULL),(28,203,1,18,39,NULL,NULL,NULL,NULL),(28,203,1,18,40,NULL,NULL,NULL,NULL),(28,203,1,19,1,NULL,NULL,NULL,NULL),(28,203,1,19,2,NULL,NULL,NULL,NULL),(28,203,1,19,3,NULL,NULL,NULL,NULL),(28,203,1,19,4,NULL,NULL,NULL,NULL),(28,203,1,19,5,NULL,NULL,NULL,NULL),(28,203,1,19,6,NULL,NULL,NULL,NULL),(28,203,1,19,7,NULL,NULL,NULL,NULL),(28,203,1,19,8,NULL,NULL,NULL,NULL),(28,203,1,19,9,NULL,NULL,NULL,NULL),(28,203,1,19,10,NULL,NULL,NULL,NULL),(28,203,1,19,11,NULL,NULL,NULL,NULL),(28,203,1,19,12,NULL,NULL,NULL,NULL),(28,203,1,19,13,NULL,NULL,NULL,NULL),(28,203,1,19,14,NULL,NULL,NULL,NULL),(28,203,1,19,15,NULL,NULL,NULL,NULL),(28,203,1,19,16,NULL,NULL,NULL,NULL),(28,203,1,19,17,NULL,NULL,NULL,NULL),(28,203,1,19,18,NULL,NULL,NULL,NULL),(28,203,1,19,19,NULL,NULL,NULL,NULL),(28,203,1,19,20,NULL,NULL,NULL,NULL),(28,203,1,19,21,NULL,NULL,NULL,NULL),(28,203,1,19,22,NULL,NULL,NULL,NULL),(28,203,1,19,23,NULL,NULL,NULL,NULL),(28,203,1,19,24,NULL,NULL,NULL,NULL),(28,203,1,19,25,NULL,NULL,NULL,NULL),(28,203,1,19,26,NULL,NULL,NULL,NULL),(28,203,1,19,27,NULL,NULL,NULL,NULL),(28,203,1,19,28,NULL,NULL,NULL,NULL),(28,203,1,19,29,NULL,NULL,NULL,NULL),(28,203,1,19,30,NULL,NULL,NULL,NULL),(28,203,1,19,31,NULL,NULL,NULL,NULL),(28,203,1,19,32,NULL,NULL,NULL,NULL),(28,203,1,19,33,NULL,NULL,NULL,NULL),(28,203,1,19,34,NULL,NULL,NULL,NULL),(28,203,1,19,35,NULL,NULL,NULL,NULL),(28,203,1,19,36,NULL,NULL,NULL,NULL),(28,203,1,19,37,NULL,NULL,NULL,NULL),(28,203,1,19,38,NULL,NULL,NULL,NULL),(28,203,1,19,39,NULL,NULL,NULL,NULL),(28,203,1,19,40,NULL,NULL,NULL,NULL),(28,203,2,21,1,17,116,6,17),(28,203,2,21,2,4,101,1,19),(28,203,2,21,3,124,81,19,11),(28,203,2,21,4,8,42,1,8),(28,203,2,21,5,61,58,13,9),(28,203,2,21,6,110,91,19,8),(28,203,2,21,7,2,93,NULL,14),(28,203,2,21,8,58,67,9,10),(28,203,2,21,9,22,31,5,7),(28,203,2,21,10,66,66,17,7),(28,203,2,21,11,63,39,13,5),(28,203,2,21,12,72,72,10,9),(28,203,2,21,13,80,132,12,14),(28,203,2,21,14,104,88,16,12),(28,203,2,21,15,61,73,8,10),(28,203,2,21,16,56,95,11,15),(28,203,2,21,17,13,22,3,2),(28,203,2,21,18,107,104,21,9),(28,203,2,21,19,70,95,12,12),(28,203,2,21,20,118,45,27,NULL),(28,203,2,21,21,30,59,10,8),(28,203,2,21,22,121,40,24,1),(28,203,2,21,23,20,26,7,2),(28,203,2,21,24,23,57,7,7),(28,203,2,21,25,10,89,5,16),(28,203,2,21,26,14,53,2,4),(28,203,2,21,27,37,103,10,15),(28,203,2,21,28,5,78,NULL,14),(28,203,2,21,29,8,59,6,8),(28,203,2,21,30,4,35,1,11),(28,203,2,21,31,15,125,4,21),(28,203,2,21,32,15,33,6,4),(28,203,2,21,33,86,55,20,6),(28,203,2,21,34,65,72,17,9),(28,203,2,21,35,44,NULL,7,NULL),(28,203,2,21,36,4,51,NULL,12),(28,203,2,21,37,38,56,12,9),(28,203,2,21,38,12,36,9,7),(28,203,2,21,39,16,67,4,16),(28,203,2,21,40,56,125,13,13),(28,203,2,22,1,8,109,1,20),(28,203,2,22,2,7,96,1,13),(28,203,2,22,3,116,74,16,14),(28,203,2,22,4,7,38,NULL,4),(28,203,2,22,5,51,67,9,12),(28,203,2,22,6,95,100,14,10),(28,203,2,22,7,2,100,1,16),(28,203,2,22,8,64,75,10,10),(28,203,2,22,9,28,31,6,5),(28,203,2,22,10,60,52,12,9),(28,203,2,22,11,46,41,12,9),(28,203,2,22,12,57,98,8,9),(28,203,2,22,13,64,135,13,13),(28,203,2,22,14,117,61,23,6),(28,203,2,22,15,41,76,6,9),(28,203,2,22,16,41,109,5,18),(28,203,2,22,17,10,36,3,5),(28,203,2,22,18,102,86,12,15),(28,203,2,22,19,61,84,12,10),(28,203,2,22,20,110,46,18,7),(28,203,2,22,21,30,53,9,6),(28,203,2,22,22,107,38,23,2),(28,203,2,22,23,18,21,5,1),(28,203,2,22,24,19,54,3,9),(28,203,2,22,25,29,63,4,10),(28,203,2,22,26,10,51,2,9),(28,203,2,22,27,38,108,9,16),(28,203,2,22,28,2,83,NULL,19),(28,203,2,22,29,7,45,4,9),(28,203,2,22,30,6,35,1,10),(28,203,2,22,31,15,101,5,19),(28,203,2,22,32,12,32,3,6),(28,203,2,22,33,69,58,18,5),(28,203,2,22,34,53,74,9,10),(28,203,2,22,35,30,NULL,4,NULL),(28,203,2,22,36,7,39,NULL,5),(28,203,2,22,37,27,49,6,11),(28,203,2,22,38,16,33,6,6),(28,203,2,22,39,14,74,1,13),(28,203,2,22,40,44,120,11,14),(28,203,2,23,1,7,97,3,14),(28,203,2,23,2,7,85,NULL,16),(28,203,2,23,3,100,53,16,4),(28,203,2,23,4,10,25,1,2),(28,203,2,23,5,42,65,10,5),(28,203,2,23,6,96,89,12,7),(28,203,2,23,7,3,78,NULL,12),(28,203,2,23,8,42,62,4,10),(28,203,2,23,9,27,28,4,4),(28,203,2,23,10,54,57,9,8),(28,203,2,23,11,59,39,9,2),(28,203,2,23,12,51,75,8,6),(28,203,2,23,13,68,104,8,9),(28,203,2,23,14,82,75,15,4),(28,203,2,23,15,47,65,7,8),(28,203,2,23,16,41,92,5,12),(28,203,2,23,17,12,24,3,3),(28,203,2,23,18,85,89,8,13),(28,203,2,23,19,61,68,12,6),(28,203,2,23,20,79,51,14,5),(28,203,2,23,21,20,40,8,6),(28,203,2,23,22,100,36,14,4),(28,203,2,23,23,18,21,8,NULL),(28,203,2,23,24,17,46,4,10),(28,203,2,23,25,22,42,4,9),(28,203,2,23,26,15,37,2,6),(28,203,2,23,27,36,86,5,13),(28,203,2,23,28,3,65,1,8),(28,203,2,23,29,10,36,6,5),(28,203,2,23,30,4,33,1,8),(28,203,2,23,31,7,102,1,15),(28,203,2,23,32,9,27,4,4),(28,203,2,23,33,60,43,17,2),(28,203,2,23,34,53,48,14,1),(28,203,2,23,35,35,NULL,6,NULL),(28,203,2,23,36,3,44,NULL,8),(28,203,2,23,37,22,55,6,7),(28,203,2,23,38,10,32,4,7),(28,203,2,23,39,7,51,NULL,8),(28,203,2,23,40,32,112,8,9),(28,203,2,24,1,8,95,2,19),(28,203,2,24,2,11,90,4,15),(28,203,2,24,3,107,61,21,6),(28,203,2,24,4,5,39,1,12),(28,203,2,24,5,36,55,10,7),(28,203,2,24,6,88,100,13,11),(28,203,2,24,7,2,88,1,16),(28,203,2,24,8,43,59,11,5),(28,203,2,24,9,21,19,4,3),(28,203,2,24,10,60,47,8,7),(28,203,2,24,11,63,29,18,4),(28,203,2,24,12,58,89,14,8),(28,203,2,24,13,54,120,13,10),(28,203,2,24,14,94,65,23,4),(28,203,2,24,15,46,73,5,9),(28,203,2,24,16,51,83,7,13),(28,203,2,24,17,9,25,NULL,3),(28,203,2,24,18,106,75,18,9),(28,203,2,24,19,55,77,12,10),(28,203,2,24,20,97,37,21,3),(28,203,2,24,21,25,44,9,9),(28,203,2,24,22,100,46,22,4),(28,203,2,24,23,21,22,6,2),(28,203,2,24,24,17,52,4,7),(28,203,2,24,25,12,69,3,16),(28,203,2,24,26,14,39,4,6),(28,203,2,24,27,39,87,13,10),(28,203,2,24,28,6,69,2,11),(28,203,2,24,29,6,45,3,6),(28,203,2,24,30,7,32,1,7),(28,203,2,24,31,8,120,NULL,25),(28,203,2,24,32,10,23,4,7),(28,203,2,24,33,60,64,18,7),(28,203,2,24,34,62,46,16,10),(28,203,2,24,35,36,NULL,8,NULL),(28,203,2,24,36,5,34,1,8),(28,203,2,24,37,27,49,8,9),(28,203,2,24,38,14,33,6,13),(28,203,2,24,39,20,54,5,11),(28,203,2,24,40,47,93,13,10),(28,205,1,11,1,NULL,NULL,NULL,NULL),(28,205,1,11,2,NULL,NULL,NULL,NULL),(28,205,1,11,3,NULL,NULL,NULL,NULL),(28,205,1,11,4,NULL,NULL,NULL,NULL),(28,205,1,11,5,NULL,NULL,NULL,NULL),(28,205,1,11,6,NULL,NULL,NULL,NULL),(28,205,1,11,7,NULL,NULL,NULL,NULL),(28,205,1,11,8,NULL,NULL,NULL,NULL),(28,205,1,11,9,NULL,NULL,NULL,NULL),(28,205,1,11,10,NULL,NULL,NULL,NULL),(28,205,1,11,11,NULL,NULL,NULL,NULL),(28,205,1,11,12,NULL,NULL,NULL,NULL),(28,205,1,11,13,NULL,NULL,NULL,NULL),(28,205,1,11,14,NULL,NULL,NULL,NULL),(28,205,1,11,15,NULL,NULL,NULL,NULL),(28,205,1,11,16,NULL,NULL,NULL,NULL),(28,205,1,11,17,NULL,NULL,NULL,NULL),(28,205,1,11,18,NULL,NULL,NULL,NULL),(28,205,1,11,19,NULL,NULL,NULL,NULL),(28,205,1,11,20,NULL,NULL,NULL,NULL),(28,205,1,11,21,NULL,NULL,NULL,NULL),(28,205,1,11,22,NULL,NULL,NULL,NULL),(28,205,1,11,23,NULL,NULL,NULL,NULL),(28,205,1,11,24,NULL,NULL,NULL,NULL),(28,205,1,11,25,NULL,NULL,NULL,NULL),(28,205,1,11,26,NULL,NULL,NULL,NULL),(28,205,1,11,27,NULL,NULL,NULL,NULL),(28,205,1,11,28,NULL,NULL,NULL,NULL),(28,205,1,11,29,NULL,NULL,NULL,NULL),(28,205,1,11,30,NULL,NULL,NULL,NULL),(28,205,1,11,31,NULL,NULL,NULL,NULL),(28,205,1,11,32,NULL,NULL,NULL,NULL),(28,205,1,11,33,NULL,NULL,NULL,NULL),(28,205,1,11,34,NULL,NULL,NULL,NULL),(28,205,1,11,35,NULL,NULL,NULL,NULL),(28,205,1,11,36,NULL,NULL,NULL,NULL),(28,205,1,11,37,NULL,NULL,NULL,NULL),(28,205,1,11,38,NULL,NULL,NULL,NULL),(28,205,1,11,39,NULL,NULL,NULL,NULL),(28,205,1,11,40,NULL,NULL,NULL,NULL),(28,205,1,12,1,NULL,NULL,NULL,NULL),(28,205,1,12,2,NULL,NULL,NULL,NULL),(28,205,1,12,3,NULL,NULL,NULL,NULL),(28,205,1,12,4,NULL,NULL,NULL,NULL),(28,205,1,12,5,NULL,NULL,NULL,NULL),(28,205,1,12,6,NULL,NULL,NULL,NULL),(28,205,1,12,7,NULL,NULL,NULL,NULL),(28,205,1,12,8,NULL,NULL,NULL,NULL),(28,205,1,12,9,NULL,NULL,NULL,NULL),(28,205,1,12,10,NULL,NULL,NULL,NULL),(28,205,1,12,11,NULL,NULL,NULL,NULL),(28,205,1,12,12,NULL,NULL,NULL,NULL),(28,205,1,12,13,NULL,NULL,NULL,NULL),(28,205,1,12,14,NULL,NULL,NULL,NULL),(28,205,1,12,15,NULL,NULL,NULL,NULL),(28,205,1,12,16,NULL,NULL,NULL,NULL),(28,205,1,12,17,NULL,NULL,NULL,NULL),(28,205,1,12,18,NULL,NULL,NULL,NULL),(28,205,1,12,19,NULL,NULL,NULL,NULL),(28,205,1,12,20,NULL,NULL,NULL,NULL),(28,205,1,12,21,NULL,NULL,NULL,NULL),(28,205,1,12,22,NULL,NULL,NULL,NULL),(28,205,1,12,23,NULL,NULL,NULL,NULL),(28,205,1,12,24,NULL,NULL,NULL,NULL),(28,205,1,12,25,NULL,NULL,NULL,NULL),(28,205,1,12,26,NULL,NULL,NULL,NULL),(28,205,1,12,27,NULL,NULL,NULL,NULL),(28,205,1,12,28,NULL,NULL,NULL,NULL),(28,205,1,12,29,NULL,NULL,NULL,NULL),(28,205,1,12,30,NULL,NULL,NULL,NULL),(28,205,1,12,31,NULL,NULL,NULL,NULL),(28,205,1,12,32,NULL,NULL,NULL,NULL),(28,205,1,12,33,NULL,NULL,NULL,NULL),(28,205,1,12,34,NULL,NULL,NULL,NULL),(28,205,1,12,35,NULL,NULL,NULL,NULL),(28,205,1,12,36,NULL,NULL,NULL,NULL),(28,205,1,12,37,NULL,NULL,NULL,NULL),(28,205,1,12,38,NULL,NULL,NULL,NULL),(28,205,1,12,39,NULL,NULL,NULL,NULL),(28,205,1,12,40,NULL,NULL,NULL,NULL),(28,205,1,13,1,NULL,NULL,NULL,NULL),(28,205,1,13,2,NULL,NULL,NULL,NULL),(28,205,1,13,3,NULL,NULL,NULL,NULL),(28,205,1,13,4,NULL,NULL,NULL,NULL),(28,205,1,13,5,NULL,NULL,NULL,NULL),(28,205,1,13,6,NULL,NULL,NULL,NULL),(28,205,1,13,7,NULL,NULL,NULL,NULL),(28,205,1,13,8,NULL,NULL,NULL,NULL),(28,205,1,13,9,NULL,NULL,NULL,NULL),(28,205,1,13,10,NULL,NULL,NULL,NULL),(28,205,1,13,11,NULL,NULL,NULL,NULL),(28,205,1,13,12,NULL,NULL,NULL,NULL),(28,205,1,13,13,NULL,NULL,NULL,NULL),(28,205,1,13,14,NULL,NULL,NULL,NULL),(28,205,1,13,15,NULL,NULL,NULL,NULL),(28,205,1,13,16,NULL,NULL,NULL,NULL),(28,205,1,13,17,NULL,NULL,NULL,NULL),(28,205,1,13,18,NULL,NULL,NULL,NULL),(28,205,1,13,19,NULL,NULL,NULL,NULL),(28,205,1,13,20,NULL,NULL,NULL,NULL),(28,205,1,13,21,NULL,NULL,NULL,NULL),(28,205,1,13,22,NULL,NULL,NULL,NULL),(28,205,1,13,23,NULL,NULL,NULL,NULL),(28,205,1,13,24,NULL,NULL,NULL,NULL),(28,205,1,13,25,NULL,NULL,NULL,NULL),(28,205,1,13,26,NULL,NULL,NULL,NULL),(28,205,1,13,27,NULL,NULL,NULL,NULL),(28,205,1,13,28,NULL,NULL,NULL,NULL),(28,205,1,13,29,NULL,NULL,NULL,NULL),(28,205,1,13,30,NULL,NULL,NULL,NULL),(28,205,1,13,31,NULL,NULL,NULL,NULL),(28,205,1,13,32,NULL,NULL,NULL,NULL),(28,205,1,13,33,NULL,NULL,NULL,NULL),(28,205,1,13,34,NULL,NULL,NULL,NULL),(28,205,1,13,35,NULL,NULL,NULL,NULL),(28,205,1,13,36,NULL,NULL,NULL,NULL),(28,205,1,13,37,NULL,NULL,NULL,NULL),(28,205,1,13,38,NULL,NULL,NULL,NULL),(28,205,1,13,39,NULL,NULL,NULL,NULL),(28,205,1,13,40,NULL,NULL,NULL,NULL),(28,205,1,14,1,1,NULL,NULL,NULL),(28,205,1,14,2,NULL,1,NULL,NULL),(28,205,1,14,3,5,NULL,4,NULL),(28,205,1,14,4,1,1,NULL,NULL),(28,205,1,14,5,3,2,2,1),(28,205,1,14,6,4,3,2,2),(28,205,1,14,7,1,5,1,2),(28,205,1,14,8,NULL,5,NULL,4),(28,205,1,14,9,1,1,1,1),(28,205,1,14,10,4,NULL,2,NULL),(28,205,1,14,11,1,1,NULL,1),(28,205,1,14,12,1,1,1,1),(28,205,1,14,13,3,3,2,2),(28,205,1,14,14,1,2,NULL,1),(28,205,1,14,15,5,NULL,4,NULL),(28,205,1,14,16,4,2,1,NULL),(28,205,1,14,17,1,4,NULL,2),(28,205,1,14,18,2,1,1,NULL),(28,205,1,14,19,6,NULL,4,NULL),(28,205,1,14,20,2,7,1,3),(28,205,1,14,21,NULL,NULL,NULL,NULL),(28,205,1,14,22,NULL,3,NULL,3),(28,205,1,14,23,NULL,NULL,NULL,NULL),(28,205,1,14,24,NULL,NULL,NULL,NULL),(28,205,1,14,25,NULL,3,NULL,3),(28,205,1,14,26,1,1,NULL,1),(28,205,1,14,27,1,NULL,NULL,NULL),(28,205,1,14,28,NULL,1,NULL,1),(28,205,1,14,29,NULL,1,NULL,1),(28,205,1,14,30,1,NULL,NULL,NULL),(28,205,1,14,31,NULL,2,NULL,1),(28,205,1,14,32,NULL,NULL,NULL,NULL),(28,205,1,14,33,NULL,1,NULL,1),(28,205,1,14,34,NULL,1,NULL,NULL),(28,205,1,14,35,NULL,NULL,NULL,NULL),(28,205,1,14,36,NULL,NULL,NULL,NULL),(28,205,1,14,37,NULL,NULL,NULL,NULL),(28,205,1,14,38,1,NULL,NULL,NULL),(28,205,1,14,39,1,NULL,1,NULL),(28,205,1,14,40,NULL,NULL,NULL,NULL),(28,205,1,15,1,1,NULL,1,NULL),(28,205,1,15,2,NULL,1,NULL,1),(28,205,1,15,3,2,1,2,1),(28,205,1,15,4,2,1,2,1),(28,205,1,15,5,3,1,3,1),(28,205,1,15,6,2,3,2,3),(28,205,1,15,7,1,3,1,2),(28,205,1,15,8,NULL,NULL,NULL,NULL),(28,205,1,15,9,NULL,1,NULL,1),(28,205,1,15,10,2,NULL,2,NULL),(28,205,1,15,11,1,1,1,NULL),(28,205,1,15,12,NULL,NULL,NULL,NULL),(28,205,1,15,13,4,3,4,2),(28,205,1,15,14,1,2,1,2),(28,205,1,15,15,5,NULL,5,NULL),(28,205,1,15,16,2,4,2,4),(28,205,1,15,17,1,3,1,3),(28,205,1,15,18,NULL,3,NULL,3),(28,205,1,15,19,4,3,4,2),(28,205,1,15,20,2,5,2,5),(28,205,1,15,21,1,NULL,1,NULL),(28,205,1,15,22,NULL,2,NULL,2),(28,205,1,15,23,NULL,1,NULL,1),(28,205,1,15,24,NULL,NULL,NULL,NULL),(28,205,1,15,25,NULL,NULL,NULL,NULL),(28,205,1,15,26,NULL,1,NULL,1),(28,205,1,15,27,1,NULL,1,NULL),(28,205,1,15,28,NULL,NULL,NULL,NULL),(28,205,1,15,29,NULL,NULL,NULL,NULL),(28,205,1,15,30,NULL,2,NULL,1),(28,205,1,15,31,NULL,1,NULL,1),(28,205,1,15,32,NULL,1,NULL,1),(28,205,1,15,33,NULL,2,NULL,2),(28,205,1,15,34,NULL,2,NULL,2),(28,205,1,15,35,NULL,NULL,NULL,NULL),(28,205,1,15,36,NULL,NULL,NULL,NULL),(28,205,1,15,37,NULL,NULL,NULL,NULL),(28,205,1,15,38,1,NULL,1,NULL),(28,205,1,15,39,1,1,1,1),(28,205,1,15,40,NULL,NULL,NULL,NULL),(28,205,1,16,1,6,NULL,6,NULL),(28,205,1,16,2,NULL,1,NULL,1),(28,205,1,16,3,3,4,3,4),(28,205,1,16,4,NULL,1,NULL,1),(28,205,1,16,5,NULL,3,NULL,2),(28,205,1,16,6,NULL,3,NULL,3),(28,205,1,16,7,4,3,4,3),(28,205,1,16,8,NULL,4,NULL,4),(28,205,1,16,9,1,4,1,4),(28,205,1,16,10,6,2,6,2),(28,205,1,16,11,NULL,2,NULL,2),(28,205,1,16,12,NULL,2,NULL,2),(28,205,1,16,13,8,NULL,7,NULL),(28,205,1,16,14,4,3,3,3),(28,205,1,16,15,1,8,1,7),(28,205,1,16,16,5,NULL,4,NULL),(28,205,1,16,17,5,4,4,4),(28,205,1,16,18,NULL,2,NULL,2),(28,205,1,16,19,2,3,2,3),(28,205,1,16,20,2,2,2,2),(28,205,1,16,21,1,NULL,1,NULL),(28,205,1,16,22,NULL,NULL,NULL,NULL),(28,205,1,16,23,NULL,2,NULL,2),(28,205,1,16,24,1,NULL,1,NULL),(28,205,1,16,25,NULL,1,NULL,1),(28,205,1,16,26,NULL,NULL,NULL,NULL),(28,205,1,16,27,3,NULL,2,NULL),(28,205,1,16,28,NULL,NULL,NULL,NULL),(28,205,1,16,29,NULL,5,NULL,4),(28,205,1,16,30,NULL,4,NULL,3),(28,205,1,16,31,NULL,NULL,NULL,NULL),(28,205,1,16,32,4,2,4,2),(28,205,1,16,33,1,3,1,3),(28,205,1,16,34,NULL,2,NULL,2),(28,205,1,16,35,NULL,2,NULL,2),(28,205,1,16,36,NULL,NULL,NULL,NULL),(28,205,1,16,37,1,NULL,NULL,NULL),(28,205,1,16,38,NULL,1,NULL,1),(28,205,1,16,39,2,4,2,3),(28,205,1,16,40,NULL,NULL,NULL,NULL),(28,205,1,17,1,1,NULL,NULL,NULL),(28,205,1,17,2,NULL,NULL,NULL,NULL),(28,205,1,17,3,NULL,NULL,NULL,NULL),(28,205,1,17,4,1,1,1,NULL),(28,205,1,17,5,1,1,1,NULL),(28,205,1,17,6,NULL,2,NULL,1),(28,205,1,17,7,1,NULL,1,NULL),(28,205,1,17,8,NULL,1,NULL,1),(28,205,1,17,9,NULL,1,NULL,1),(28,205,1,17,10,NULL,1,NULL,NULL),(28,205,1,17,11,NULL,NULL,NULL,NULL),(28,205,1,17,12,1,NULL,NULL,NULL),(28,205,1,17,13,3,NULL,1,NULL),(28,205,1,17,14,3,NULL,2,NULL),(28,205,1,17,15,1,1,1,NULL),(28,205,1,17,16,2,NULL,NULL,NULL),(28,205,1,17,17,1,2,1,NULL),(28,205,1,17,18,1,1,1,NULL),(28,205,1,17,19,2,NULL,2,NULL),(28,205,1,17,20,2,1,2,NULL),(28,205,1,17,21,NULL,NULL,NULL,NULL),(28,205,1,17,22,NULL,1,NULL,1),(28,205,1,17,23,NULL,NULL,NULL,NULL),(28,205,1,17,24,NULL,NULL,NULL,NULL),(28,205,1,17,25,NULL,NULL,NULL,NULL),(28,205,1,17,26,NULL,2,NULL,1),(28,205,1,17,27,1,NULL,1,NULL),(28,205,1,17,28,NULL,NULL,NULL,NULL),(28,205,1,17,29,NULL,1,NULL,NULL),(28,205,1,17,30,NULL,1,NULL,NULL),(28,205,1,17,31,NULL,1,NULL,NULL),(28,205,1,17,32,1,1,1,NULL),(28,205,1,17,33,NULL,NULL,NULL,NULL),(28,205,1,17,34,NULL,NULL,NULL,NULL),(28,205,1,17,35,NULL,NULL,NULL,NULL),(28,205,1,17,36,NULL,NULL,NULL,NULL),(28,205,1,17,37,NULL,NULL,NULL,NULL),(28,205,1,17,38,NULL,NULL,NULL,NULL),(28,205,1,17,39,NULL,1,NULL,NULL),(28,205,1,17,40,NULL,NULL,NULL,NULL),(28,205,1,18,1,NULL,NULL,NULL,NULL),(28,205,1,18,2,NULL,NULL,NULL,NULL),(28,205,1,18,3,NULL,NULL,NULL,NULL),(28,205,1,18,4,NULL,NULL,NULL,NULL),(28,205,1,18,5,NULL,NULL,NULL,NULL),(28,205,1,18,6,NULL,NULL,NULL,NULL),(28,205,1,18,7,NULL,NULL,NULL,NULL),(28,205,1,18,8,NULL,NULL,NULL,NULL),(28,205,1,18,9,NULL,NULL,NULL,NULL),(28,205,1,18,10,NULL,NULL,NULL,NULL),(28,205,1,18,11,NULL,NULL,NULL,NULL),(28,205,1,18,12,NULL,NULL,NULL,NULL),(28,205,1,18,13,NULL,NULL,NULL,NULL),(28,205,1,18,14,NULL,NULL,NULL,NULL),(28,205,1,18,15,NULL,NULL,NULL,NULL),(28,205,1,18,16,NULL,NULL,NULL,NULL),(28,205,1,18,17,NULL,NULL,NULL,NULL),(28,205,1,18,18,NULL,NULL,NULL,NULL),(28,205,1,18,19,NULL,NULL,NULL,NULL),(28,205,1,18,20,NULL,NULL,NULL,NULL),(28,205,1,18,21,NULL,NULL,NULL,NULL),(28,205,1,18,22,NULL,NULL,NULL,NULL),(28,205,1,18,23,NULL,NULL,NULL,NULL),(28,205,1,18,24,NULL,NULL,NULL,NULL),(28,205,1,18,25,NULL,NULL,NULL,NULL),(28,205,1,18,26,NULL,NULL,NULL,NULL),(28,205,1,18,27,NULL,NULL,NULL,NULL),(28,205,1,18,28,NULL,NULL,NULL,NULL),(28,205,1,18,29,NULL,NULL,NULL,NULL),(28,205,1,18,30,NULL,NULL,NULL,NULL),(28,205,1,18,31,NULL,NULL,NULL,NULL),(28,205,1,18,32,NULL,NULL,NULL,NULL),(28,205,1,18,33,NULL,NULL,NULL,NULL),(28,205,1,18,34,NULL,NULL,NULL,NULL),(28,205,1,18,35,NULL,NULL,NULL,NULL),(28,205,1,18,36,NULL,NULL,NULL,NULL),(28,205,1,18,37,NULL,NULL,NULL,NULL),(28,205,1,18,38,NULL,NULL,NULL,NULL),(28,205,1,18,39,NULL,NULL,NULL,NULL),(28,205,1,18,40,NULL,NULL,NULL,NULL),(28,205,1,19,1,NULL,NULL,NULL,NULL),(28,205,1,19,2,NULL,NULL,NULL,NULL),(28,205,1,19,3,NULL,NULL,NULL,NULL),(28,205,1,19,4,NULL,NULL,NULL,NULL),(28,205,1,19,5,NULL,NULL,NULL,NULL),(28,205,1,19,6,NULL,NULL,NULL,NULL),(28,205,1,19,7,NULL,NULL,NULL,NULL),(28,205,1,19,8,NULL,NULL,NULL,NULL),(28,205,1,19,9,NULL,NULL,NULL,NULL),(28,205,1,19,10,NULL,NULL,NULL,NULL),(28,205,1,19,11,NULL,NULL,NULL,NULL),(28,205,1,19,12,NULL,NULL,NULL,NULL),(28,205,1,19,13,NULL,NULL,NULL,NULL),(28,205,1,19,14,NULL,NULL,NULL,NULL),(28,205,1,19,15,NULL,NULL,NULL,NULL),(28,205,1,19,16,NULL,NULL,NULL,NULL),(28,205,1,19,17,NULL,NULL,NULL,NULL),(28,205,1,19,18,NULL,NULL,NULL,NULL),(28,205,1,19,19,NULL,NULL,NULL,NULL),(28,205,1,19,20,NULL,NULL,NULL,NULL),(28,205,1,19,21,NULL,NULL,NULL,NULL),(28,205,1,19,22,NULL,NULL,NULL,NULL),(28,205,1,19,23,NULL,NULL,NULL,NULL),(28,205,1,19,24,NULL,NULL,NULL,NULL),(28,205,1,19,25,NULL,NULL,NULL,NULL),(28,205,1,19,26,NULL,NULL,NULL,NULL),(28,205,1,19,27,NULL,NULL,NULL,NULL),(28,205,1,19,28,NULL,NULL,NULL,NULL),(28,205,1,19,29,NULL,NULL,NULL,NULL),(28,205,1,19,30,NULL,NULL,NULL,NULL),(28,205,1,19,31,NULL,NULL,NULL,NULL),(28,205,1,19,32,NULL,NULL,NULL,NULL),(28,205,1,19,33,NULL,NULL,NULL,NULL),(28,205,1,19,34,NULL,NULL,NULL,NULL),(28,205,1,19,35,NULL,NULL,NULL,NULL),(28,205,1,19,36,NULL,NULL,NULL,NULL),(28,205,1,19,37,NULL,NULL,NULL,NULL),(28,205,1,19,38,NULL,NULL,NULL,NULL),(28,205,1,19,39,NULL,NULL,NULL,NULL),(28,205,1,19,40,NULL,NULL,NULL,NULL),(28,205,2,21,1,1,8,NULL,5),(28,205,2,21,2,NULL,4,NULL,2),(28,205,2,21,3,6,3,3,2),(28,205,2,21,4,NULL,2,NULL,1),(28,205,2,21,5,3,3,2,2),(28,205,2,21,6,3,7,2,5),(28,205,2,21,7,NULL,4,NULL,3),(28,205,2,21,8,3,3,1,3),(28,205,2,21,9,2,NULL,1,NULL),(28,205,2,21,10,3,3,1,2),(28,205,2,21,11,NULL,3,NULL,2),(28,205,2,21,12,NULL,5,NULL,4),(28,205,2,21,13,4,7,2,4),(28,205,2,21,14,2,4,2,3),(28,205,2,21,15,1,4,NULL,3),(28,205,2,21,16,3,4,2,3),(28,205,2,21,17,NULL,3,NULL,2),(28,205,2,21,18,5,3,2,3),(28,205,2,21,19,2,4,2,1),(28,205,2,21,20,4,2,2,2),(28,205,2,21,21,NULL,NULL,NULL,NULL),(28,205,2,21,22,NULL,2,NULL,1),(28,205,2,21,23,NULL,1,NULL,NULL),(28,205,2,21,24,NULL,2,NULL,1),(28,205,2,21,25,1,1,NULL,1),(28,205,2,21,26,1,NULL,1,NULL),(28,205,2,21,27,1,3,NULL,2),(28,205,2,21,28,NULL,2,NULL,1),(28,205,2,21,29,NULL,NULL,NULL,NULL),(28,205,2,21,30,1,1,1,1),(28,205,2,21,31,2,3,1,3),(28,205,2,21,32,1,1,NULL,1),(28,205,2,21,33,1,4,1,3),(28,205,2,21,34,2,2,2,2),(28,205,2,21,35,1,NULL,1,NULL),(28,205,2,21,36,NULL,2,NULL,1),(28,205,2,21,37,NULL,3,NULL,3),(28,205,2,21,38,NULL,1,NULL,1),(28,205,2,21,39,NULL,1,NULL,NULL),(28,205,2,21,40,NULL,6,NULL,4),(28,205,2,22,1,NULL,3,NULL,3),(28,205,2,22,2,NULL,2,NULL,2),(28,205,2,22,3,1,1,NULL,1),(28,205,2,22,4,NULL,1,NULL,1),(28,205,2,22,5,NULL,1,NULL,NULL),(28,205,2,22,6,3,5,3,4),(28,205,2,22,7,NULL,1,NULL,1),(28,205,2,22,8,1,NULL,1,NULL),(28,205,2,22,9,NULL,2,NULL,1),(28,205,2,22,10,2,NULL,2,NULL),(28,205,2,22,11,NULL,NULL,NULL,NULL),(28,205,2,22,12,2,2,2,2),(28,205,2,22,13,NULL,5,NULL,5),(28,205,2,22,14,3,2,3,1),(28,205,2,22,15,1,NULL,1,NULL),(28,205,2,22,16,1,3,1,3),(28,205,2,22,17,NULL,NULL,NULL,NULL),(28,205,2,22,18,4,1,4,NULL),(28,205,2,22,19,3,2,3,2),(28,205,2,22,20,1,1,1,1),(28,205,2,22,21,NULL,1,NULL,1),(28,205,2,22,22,1,1,1,1),(28,205,2,22,23,NULL,1,NULL,1),(28,205,2,22,24,1,1,1,1),(28,205,2,22,25,NULL,2,NULL,2),(28,205,2,22,26,1,2,1,1),(28,205,2,22,27,1,1,1,NULL),(28,205,2,22,28,NULL,NULL,NULL,NULL),(28,205,2,22,29,NULL,NULL,NULL,NULL),(28,205,2,22,30,NULL,NULL,NULL,NULL),(28,205,2,22,31,NULL,2,NULL,2),(28,205,2,22,32,NULL,1,NULL,1),(28,205,2,22,33,NULL,NULL,NULL,NULL),(28,205,2,22,34,1,NULL,1,NULL),(28,205,2,22,35,1,NULL,1,NULL),(28,205,2,22,36,NULL,NULL,NULL,NULL),(28,205,2,22,37,NULL,NULL,NULL,NULL),(28,205,2,22,38,NULL,NULL,NULL,NULL),(28,205,2,22,39,NULL,3,NULL,3),(28,205,2,22,40,1,3,1,3),(28,205,2,23,1,NULL,1,NULL,1),(28,205,2,23,2,NULL,NULL,NULL,NULL),(28,205,2,23,3,1,1,1,1),(28,205,2,23,4,NULL,NULL,NULL,NULL),(28,205,2,23,5,NULL,1,NULL,1),(28,205,2,23,6,NULL,1,NULL,1),(28,205,2,23,7,NULL,1,NULL,1),(28,205,2,23,8,NULL,1,NULL,1),(28,205,2,23,9,NULL,1,NULL,1),(28,205,2,23,10,1,1,1,1),(28,205,2,23,11,NULL,1,NULL,1),(28,205,2,23,12,NULL,1,NULL,1),(28,205,2,23,13,NULL,3,NULL,3),(28,205,2,23,14,NULL,1,NULL,1),(28,205,2,23,15,NULL,NULL,NULL,NULL),(28,205,2,23,16,1,NULL,1,NULL),(28,205,2,23,17,NULL,1,NULL,1),(28,205,2,23,18,2,NULL,2,NULL),(28,205,2,23,19,NULL,1,NULL,1),(28,205,2,23,20,2,NULL,2,NULL),(28,205,2,23,21,NULL,1,NULL,1),(28,205,2,23,22,NULL,1,NULL,1),(28,205,2,23,23,NULL,NULL,NULL,NULL),(28,205,2,23,24,NULL,NULL,NULL,NULL),(28,205,2,23,25,NULL,NULL,NULL,NULL),(28,205,2,23,26,NULL,NULL,NULL,NULL),(28,205,2,23,27,NULL,1,NULL,1),(28,205,2,23,28,NULL,2,NULL,2),(28,205,2,23,29,NULL,1,NULL,1),(28,205,2,23,30,NULL,NULL,NULL,NULL),(28,205,2,23,31,NULL,1,NULL,1),(28,205,2,23,32,NULL,NULL,NULL,NULL),(28,205,2,23,33,NULL,NULL,NULL,NULL),(28,205,2,23,34,NULL,2,NULL,2),(28,205,2,23,35,NULL,NULL,NULL,NULL),(28,205,2,23,36,NULL,1,NULL,1),(28,205,2,23,37,NULL,NULL,NULL,NULL),(28,205,2,23,38,NULL,NULL,NULL,NULL),(28,205,2,23,39,NULL,NULL,NULL,NULL),(28,205,2,23,40,NULL,2,NULL,2),(28,205,2,24,1,1,2,NULL,2),(28,205,2,24,2,NULL,2,NULL,2),(28,205,2,24,3,2,2,1,2),(28,205,2,24,4,NULL,NULL,NULL,NULL),(28,205,2,24,5,2,NULL,2,NULL),(28,205,2,24,6,2,1,1,1),(28,205,2,24,7,NULL,4,NULL,4),(28,205,2,24,8,NULL,NULL,NULL,NULL),(28,205,2,24,9,NULL,NULL,NULL,NULL),(28,205,2,24,10,1,1,NULL,NULL),(28,205,2,24,11,NULL,1,NULL,1),(28,205,2,24,12,1,4,1,2),(28,205,2,24,13,1,2,1,2),(28,205,2,24,14,NULL,2,NULL,1),(28,205,2,24,15,NULL,2,NULL,1),(28,205,2,24,16,2,2,1,1),(28,205,2,24,17,NULL,2,NULL,2),(28,205,2,24,18,4,1,3,1),(28,205,2,24,19,3,2,1,2),(28,205,2,24,20,NULL,1,NULL,1),(28,205,2,24,21,NULL,NULL,NULL,NULL),(28,205,2,24,22,NULL,3,NULL,3),(28,205,2,24,23,NULL,1,NULL,1),(28,205,2,24,24,NULL,NULL,NULL,NULL),(28,205,2,24,25,NULL,3,NULL,2),(28,205,2,24,26,NULL,1,NULL,1),(28,205,2,24,27,2,2,1,2),(28,205,2,24,28,NULL,1,NULL,1),(28,205,2,24,29,NULL,2,NULL,2),(28,205,2,24,30,NULL,1,NULL,1),(28,205,2,24,31,NULL,2,NULL,2),(28,205,2,24,32,NULL,1,NULL,NULL),(28,205,2,24,33,NULL,3,NULL,3),(28,205,2,24,34,1,3,1,2),(28,205,2,24,35,3,NULL,3,NULL),(28,205,2,24,36,NULL,1,NULL,1),(28,205,2,24,37,NULL,2,NULL,2),(28,205,2,24,38,NULL,NULL,NULL,NULL),(28,205,2,24,39,NULL,2,NULL,2),(28,205,2,24,40,NULL,4,NULL,3),(28,207,1,11,1,2,NULL,1,NULL),(28,207,1,11,2,NULL,2,NULL,1),(28,207,1,11,3,2,2,NULL,2),(28,207,1,11,4,1,NULL,NULL,NULL),(28,207,1,11,5,1,2,NULL,1),(28,207,1,11,6,1,3,NULL,2),(28,207,1,11,7,NULL,1,NULL,1),(28,207,1,11,8,NULL,3,NULL,2),(28,207,1,11,9,NULL,NULL,NULL,NULL),(28,207,1,11,10,3,NULL,2,NULL),(28,207,1,11,11,NULL,2,NULL,1),(28,207,1,11,12,NULL,1,NULL,NULL),(28,207,1,11,13,1,4,NULL,2),(28,207,1,11,14,3,2,1,1),(28,207,1,11,15,NULL,3,NULL,2),(28,207,1,11,16,4,NULL,2,NULL),(28,207,1,11,17,2,2,1,1),(28,207,1,11,18,3,1,2,NULL),(28,207,1,11,19,2,NULL,1,NULL),(28,207,1,11,20,2,NULL,1,NULL),(28,207,1,11,21,NULL,1,NULL,1),(28,207,1,11,22,NULL,1,NULL,1),(28,207,1,11,23,NULL,1,NULL,1),(28,207,1,11,24,NULL,NULL,NULL,NULL),(28,207,1,11,25,NULL,1,NULL,1),(28,207,1,11,26,NULL,NULL,NULL,NULL),(28,207,1,11,27,3,NULL,2,NULL),(28,207,1,11,28,NULL,NULL,NULL,NULL),(28,207,1,11,29,NULL,2,NULL,2),(28,207,1,11,30,NULL,4,NULL,2),(28,207,1,11,31,NULL,1,NULL,1),(28,207,1,11,32,NULL,2,NULL,1),(28,207,1,11,33,1,2,1,1),(28,207,1,11,34,4,NULL,2,NULL),(28,207,1,11,35,1,1,1,1),(28,207,1,11,36,1,NULL,NULL,NULL),(28,207,1,11,37,NULL,NULL,NULL,NULL),(28,207,1,11,38,3,NULL,1,NULL),(28,207,1,11,39,NULL,3,NULL,2),(28,207,1,11,40,NULL,NULL,NULL,NULL),(28,207,1,12,1,1,NULL,NULL,NULL),(28,207,1,12,2,NULL,2,NULL,NULL),(28,207,1,12,3,1,3,NULL,NULL),(28,207,1,12,4,NULL,1,NULL,NULL),(28,207,1,12,5,1,2,NULL,NULL),(28,207,1,12,6,1,3,NULL,NULL),(28,207,1,12,7,2,2,NULL,NULL),(28,207,1,12,8,NULL,1,NULL,NULL),(28,207,1,12,9,NULL,3,NULL,NULL),(28,207,1,12,10,2,1,NULL,NULL),(28,207,1,12,11,2,2,NULL,NULL),(28,207,1,12,12,1,1,NULL,NULL),(28,207,1,12,13,5,NULL,NULL,NULL),(28,207,1,12,14,4,1,NULL,NULL),(28,207,1,12,15,4,NULL,NULL,NULL),(28,207,1,12,16,5,NULL,NULL,NULL),(28,207,1,12,17,2,2,NULL,NULL),(28,207,1,12,18,3,2,NULL,NULL),(28,207,1,12,19,3,1,NULL,NULL),(28,207,1,12,20,3,NULL,NULL,NULL),(28,207,1,12,21,NULL,NULL,NULL,NULL),(28,207,1,12,22,NULL,NULL,NULL,NULL),(28,207,1,12,23,NULL,2,NULL,NULL),(28,207,1,12,24,NULL,NULL,NULL,NULL),(28,207,1,12,25,NULL,1,NULL,NULL),(28,207,1,12,26,NULL,NULL,NULL,NULL),(28,207,1,12,27,3,NULL,NULL,NULL),(28,207,1,12,28,NULL,NULL,NULL,NULL),(28,207,1,12,29,NULL,2,NULL,NULL),(28,207,1,12,30,NULL,1,NULL,NULL),(28,207,1,12,31,NULL,NULL,NULL,NULL),(28,207,1,12,32,NULL,4,NULL,NULL),(28,207,1,12,33,NULL,4,NULL,NULL),(28,207,1,12,34,1,3,NULL,NULL),(28,207,1,12,35,1,1,NULL,NULL),(28,207,1,12,36,NULL,NULL,NULL,NULL),(28,207,1,12,37,NULL,3,NULL,NULL),(28,207,1,12,38,NULL,3,NULL,NULL),(28,207,1,12,39,2,1,NULL,NULL),(28,207,1,12,40,NULL,NULL,NULL,NULL),(28,207,1,13,1,4,NULL,NULL,NULL),(28,207,1,13,2,NULL,1,NULL,NULL),(28,207,1,13,3,1,2,NULL,NULL),(28,207,1,13,4,NULL,NULL,NULL,NULL),(28,207,1,13,5,NULL,3,NULL,NULL),(28,207,1,13,6,NULL,3,NULL,NULL),(28,207,1,13,7,1,2,NULL,NULL),(28,207,1,13,8,NULL,4,NULL,NULL),(28,207,1,13,9,1,1,NULL,NULL),(28,207,1,13,10,3,NULL,NULL,NULL),(28,207,1,13,11,2,NULL,NULL,NULL),(28,207,1,13,12,NULL,1,NULL,NULL),(28,207,1,13,13,5,NULL,NULL,NULL),(28,207,1,13,14,2,3,NULL,NULL),(28,207,1,13,15,1,1,NULL,NULL),(28,207,1,13,16,4,1,NULL,NULL),(28,207,1,13,17,NULL,3,NULL,NULL),(28,207,1,13,18,3,2,NULL,NULL),(28,207,1,13,19,4,NULL,NULL,NULL),(28,207,1,13,20,NULL,NULL,NULL,NULL),(28,207,1,13,21,NULL,NULL,NULL,NULL),(28,207,1,13,22,NULL,1,NULL,NULL),(28,207,1,13,23,NULL,1,NULL,NULL),(28,207,1,13,24,NULL,NULL,NULL,NULL),(28,207,1,13,25,NULL,NULL,NULL,NULL),(28,207,1,13,26,NULL,NULL,NULL,NULL),(28,207,1,13,27,1,NULL,NULL,NULL),(28,207,1,13,28,NULL,NULL,NULL,NULL),(28,207,1,13,29,NULL,2,NULL,NULL),(28,207,1,13,30,NULL,4,NULL,NULL),(28,207,1,13,31,NULL,NULL,NULL,NULL),(28,207,1,13,32,1,2,NULL,NULL),(28,207,1,13,33,1,1,NULL,NULL),(28,207,1,13,34,3,2,NULL,NULL),(28,207,1,13,35,NULL,NULL,NULL,NULL),(28,207,1,13,36,NULL,NULL,NULL,NULL),(28,207,1,13,37,NULL,NULL,NULL,NULL),(28,207,1,13,38,1,1,NULL,NULL),(28,207,1,13,39,2,1,NULL,NULL),(28,207,1,13,40,1,NULL,NULL,NULL),(28,207,1,14,1,101,NULL,17,NULL),(28,207,1,14,2,17,104,3,12),(28,207,1,14,3,91,102,10,15),(28,207,1,14,4,53,80,8,9),(28,207,1,14,5,83,105,12,12),(28,207,1,14,6,45,157,8,16),(28,207,1,14,7,34,69,5,10),(28,207,1,14,8,45,138,12,14),(28,207,1,14,9,56,89,8,7),(28,207,1,14,10,169,38,24,2),(28,207,1,14,11,42,69,8,10),(28,207,1,14,12,42,85,8,12),(28,207,1,14,13,168,84,20,7),(28,207,1,14,14,98,71,13,9),(28,207,1,14,15,184,NULL,22,NULL),(28,207,1,14,16,139,93,17,8),(28,207,1,14,17,63,173,11,15),(28,207,1,14,18,60,71,7,12),(28,207,1,14,19,179,73,22,5),(28,207,1,14,20,111,152,18,9),(28,207,1,14,21,8,43,1,2),(28,207,1,14,22,14,79,3,10),(28,207,1,14,23,11,64,3,9),(28,207,1,14,24,4,NULL,1,NULL),(28,207,1,14,25,15,30,2,3),(28,207,1,14,26,3,45,NULL,9),(28,207,1,14,27,69,NULL,12,NULL),(28,207,1,14,28,1,16,1,4),(28,207,1,14,29,21,53,NULL,8),(28,207,1,14,30,32,76,2,18),(28,207,1,14,31,18,39,3,7),(28,207,1,14,32,29,62,7,9),(28,207,1,14,33,36,57,7,13),(28,207,1,14,34,87,47,18,4),(28,207,1,14,35,29,27,9,7),(28,207,1,14,36,15,NULL,8,NULL),(28,207,1,14,37,10,36,3,3),(28,207,1,14,38,15,49,11,5),(28,207,1,14,39,53,102,10,15),(28,207,1,14,40,19,NULL,6,NULL),(28,207,1,15,1,120,NULL,15,NULL),(28,207,1,15,2,12,107,1,15),(28,207,1,15,3,88,80,11,12),(28,207,1,15,4,38,68,3,7),(28,207,1,15,5,74,86,8,12),(28,207,1,15,6,36,143,6,15),(28,207,1,15,7,37,66,6,6),(28,207,1,15,8,25,120,4,16),(28,207,1,15,9,37,81,6,13),(28,207,1,15,10,163,40,22,3),(28,207,1,15,11,50,52,10,5),(28,207,1,15,12,47,85,12,9),(28,207,1,15,13,160,74,20,3),(28,207,1,15,14,55,101,8,10),(28,207,1,15,15,165,NULL,18,NULL),(28,207,1,15,16,138,89,14,8),(28,207,1,15,17,53,159,8,14),(28,207,1,15,18,62,71,12,6),(28,207,1,15,19,172,71,15,5),(28,207,1,15,20,118,144,17,7),(28,207,1,15,21,3,33,1,1),(28,207,1,15,22,6,47,2,12),(28,207,1,15,23,7,54,1,7),(28,207,1,15,24,4,NULL,1,NULL),(28,207,1,15,25,8,37,1,2),(28,207,1,15,26,2,39,NULL,9),(28,207,1,15,27,74,NULL,12,NULL),(28,207,1,15,28,4,15,NULL,2),(28,207,1,15,29,16,56,1,7),(28,207,1,15,30,29,78,4,11),(28,207,1,15,31,12,44,2,10),(28,207,1,15,32,25,66,4,13),(28,207,1,15,33,32,56,7,12),(28,207,1,15,34,93,43,15,5),(28,207,1,15,35,17,26,7,9),(28,207,1,15,36,13,NULL,5,NULL),(28,207,1,15,37,3,46,1,7),(28,207,1,15,38,20,54,7,10),(28,207,1,15,39,61,92,4,17),(28,207,1,15,40,22,NULL,6,NULL),(28,207,1,16,1,69,NULL,7,NULL),(28,207,1,16,2,5,50,2,2),(28,207,1,16,3,52,69,3,6),(28,207,1,16,4,23,50,NULL,3),(28,207,1,16,5,47,69,3,2),(28,207,1,16,6,22,113,NULL,6),(28,207,1,16,7,23,56,3,5),(28,207,1,16,8,12,87,NULL,5),(28,207,1,16,9,22,64,1,5),(28,207,1,16,10,106,40,8,NULL),(28,207,1,16,11,25,39,1,4),(28,207,1,16,12,19,48,5,1),(28,207,1,16,13,203,NULL,11,NULL),(28,207,1,16,14,168,36,8,3),(28,207,1,16,15,67,101,4,6),(28,207,1,16,16,147,NULL,9,NULL),(28,207,1,16,17,94,95,5,6),(28,207,1,16,18,50,51,1,2),(28,207,1,16,19,31,117,2,5),(28,207,1,16,20,38,81,4,1),(28,207,1,16,21,8,28,NULL,1),(28,207,1,16,22,5,42,NULL,NULL),(28,207,1,16,23,10,41,NULL,3),(28,207,1,16,24,4,NULL,NULL,NULL),(28,207,1,16,25,7,26,NULL,2),(28,207,1,16,26,1,24,NULL,1),(28,207,1,16,27,34,NULL,1,NULL),(28,207,1,16,28,2,11,NULL,1),(28,207,1,16,29,10,48,NULL,4),(28,207,1,16,30,20,48,1,2),(28,207,1,16,31,5,20,1,3),(28,207,1,16,32,13,48,1,4),(28,207,1,16,33,14,40,2,2),(28,207,1,16,34,46,32,3,5),(28,207,1,16,35,12,14,1,2),(28,207,1,16,36,5,NULL,NULL,NULL),(28,207,1,16,37,6,23,NULL,1),(28,207,1,16,38,1,33,NULL,4),(28,207,1,16,39,36,76,1,5),(28,207,1,16,40,13,NULL,2,NULL),(28,207,1,17,1,74,NULL,11,NULL),(28,207,1,17,2,5,43,1,4),(28,207,1,17,3,46,71,3,9),(28,207,1,17,4,25,46,2,3),(28,207,1,17,5,45,48,2,6),(28,207,1,17,6,22,95,2,13),(28,207,1,17,7,20,59,1,6),(28,207,1,17,8,7,78,1,9),(28,207,1,17,9,23,54,2,4),(28,207,1,17,10,100,49,10,3),(28,207,1,17,11,31,44,3,6),(28,207,1,17,12,16,32,1,5),(28,207,1,17,13,208,NULL,15,NULL),(28,207,1,17,14,165,25,13,NULL),(28,207,1,17,15,61,118,6,9),(28,207,1,17,16,170,NULL,11,NULL),(28,207,1,17,17,92,97,7,7),(28,207,1,17,18,46,58,4,3),(28,207,1,17,19,45,98,4,5),(28,207,1,17,20,29,79,2,5),(28,207,1,17,21,4,22,NULL,1),(28,207,1,17,22,4,40,NULL,3),(28,207,1,17,23,7,52,NULL,3),(28,207,1,17,24,4,NULL,1,NULL),(28,207,1,17,25,6,20,2,1),(28,207,1,17,26,NULL,18,NULL,1),(28,207,1,17,27,43,NULL,7,NULL),(28,207,1,17,28,2,9,NULL,1),(28,207,1,17,29,6,37,1,6),(28,207,1,17,30,11,59,NULL,7),(28,207,1,17,31,6,29,4,2),(28,207,1,17,32,25,48,1,7),(28,207,1,17,33,7,39,1,5),(28,207,1,17,34,45,45,7,4),(28,207,1,17,35,13,20,NULL,4),(28,207,1,17,36,5,NULL,1,NULL),(28,207,1,17,37,7,27,NULL,2),(28,207,1,17,38,7,26,1,5),(28,207,1,17,39,35,65,4,4),(28,207,1,17,40,16,NULL,2,NULL),(28,207,1,18,1,NULL,NULL,NULL,NULL),(28,207,1,18,2,NULL,NULL,NULL,NULL),(28,207,1,18,3,NULL,NULL,NULL,NULL),(28,207,1,18,4,NULL,NULL,NULL,NULL),(28,207,1,18,5,NULL,NULL,NULL,NULL),(28,207,1,18,6,NULL,NULL,NULL,NULL),(28,207,1,18,7,NULL,NULL,NULL,NULL),(28,207,1,18,8,NULL,NULL,NULL,NULL),(28,207,1,18,9,NULL,NULL,NULL,NULL),(28,207,1,18,10,NULL,NULL,NULL,NULL),(28,207,1,18,11,NULL,NULL,NULL,NULL),(28,207,1,18,12,NULL,NULL,NULL,NULL),(28,207,1,18,13,NULL,NULL,NULL,NULL),(28,207,1,18,14,NULL,NULL,NULL,NULL),(28,207,1,18,15,NULL,NULL,NULL,NULL),(28,207,1,18,16,NULL,NULL,NULL,NULL),(28,207,1,18,17,NULL,NULL,NULL,NULL),(28,207,1,18,18,NULL,NULL,NULL,NULL),(28,207,1,18,19,NULL,NULL,NULL,NULL),(28,207,1,18,20,NULL,NULL,NULL,NULL),(28,207,1,18,21,NULL,NULL,NULL,NULL),(28,207,1,18,22,NULL,NULL,NULL,NULL),(28,207,1,18,23,NULL,NULL,NULL,NULL),(28,207,1,18,24,NULL,NULL,NULL,NULL),(28,207,1,18,25,NULL,NULL,NULL,NULL),(28,207,1,18,26,NULL,NULL,NULL,NULL),(28,207,1,18,27,NULL,NULL,NULL,NULL),(28,207,1,18,28,NULL,NULL,NULL,NULL),(28,207,1,18,29,NULL,NULL,NULL,NULL),(28,207,1,18,30,NULL,NULL,NULL,NULL),(28,207,1,18,31,NULL,NULL,NULL,NULL),(28,207,1,18,32,NULL,NULL,NULL,NULL),(28,207,1,18,33,NULL,NULL,NULL,NULL),(28,207,1,18,34,NULL,NULL,NULL,NULL),(28,207,1,18,35,NULL,NULL,NULL,NULL),(28,207,1,18,36,NULL,NULL,NULL,NULL),(28,207,1,18,37,NULL,NULL,NULL,NULL),(28,207,1,18,38,NULL,NULL,NULL,NULL),(28,207,1,18,39,NULL,NULL,NULL,NULL),(28,207,1,18,40,NULL,NULL,NULL,NULL),(28,207,1,19,1,NULL,NULL,NULL,NULL),(28,207,1,19,2,NULL,NULL,NULL,NULL),(28,207,1,19,3,NULL,NULL,NULL,NULL),(28,207,1,19,4,NULL,NULL,NULL,NULL),(28,207,1,19,5,NULL,NULL,NULL,NULL),(28,207,1,19,6,NULL,NULL,NULL,NULL),(28,207,1,19,7,NULL,NULL,NULL,NULL),(28,207,1,19,8,NULL,NULL,NULL,NULL),(28,207,1,19,9,NULL,NULL,NULL,NULL),(28,207,1,19,10,NULL,NULL,NULL,NULL),(28,207,1,19,11,NULL,NULL,NULL,NULL),(28,207,1,19,12,NULL,NULL,NULL,NULL),(28,207,1,19,13,NULL,NULL,NULL,NULL),(28,207,1,19,14,NULL,NULL,NULL,NULL),(28,207,1,19,15,NULL,NULL,NULL,NULL),(28,207,1,19,16,NULL,NULL,NULL,NULL),(28,207,1,19,17,NULL,NULL,NULL,NULL),(28,207,1,19,18,NULL,NULL,NULL,NULL),(28,207,1,19,19,NULL,NULL,NULL,NULL),(28,207,1,19,20,NULL,NULL,NULL,NULL),(28,207,1,19,21,NULL,NULL,NULL,NULL),(28,207,1,19,22,NULL,NULL,NULL,NULL),(28,207,1,19,23,NULL,NULL,NULL,NULL),(28,207,1,19,24,NULL,NULL,NULL,NULL),(28,207,1,19,25,NULL,NULL,NULL,NULL),(28,207,1,19,26,NULL,NULL,NULL,NULL),(28,207,1,19,27,NULL,NULL,NULL,NULL),(28,207,1,19,28,NULL,NULL,NULL,NULL),(28,207,1,19,29,NULL,NULL,NULL,NULL),(28,207,1,19,30,NULL,NULL,NULL,NULL),(28,207,1,19,31,NULL,NULL,NULL,NULL),(28,207,1,19,32,NULL,NULL,NULL,NULL),(28,207,1,19,33,NULL,NULL,NULL,NULL),(28,207,1,19,34,NULL,NULL,NULL,NULL),(28,207,1,19,35,NULL,NULL,NULL,NULL),(28,207,1,19,36,NULL,NULL,NULL,NULL),(28,207,1,19,37,NULL,NULL,NULL,NULL),(28,207,1,19,38,NULL,NULL,NULL,NULL),(28,207,1,19,39,NULL,NULL,NULL,NULL),(28,207,1,19,40,NULL,NULL,NULL,NULL),(28,207,2,21,1,9,110,1,12),(28,207,2,21,2,4,70,1,6),(28,207,2,21,3,108,84,6,14),(28,207,2,21,4,5,42,NULL,4),(28,207,2,21,5,38,60,4,10),(28,207,2,21,6,90,126,6,9),(28,207,2,21,7,NULL,102,NULL,11),(28,207,2,21,8,24,61,2,8),(28,207,2,21,9,17,42,2,4),(28,207,2,21,10,49,69,9,6),(28,207,2,21,11,38,49,5,10),(28,207,2,21,12,49,126,4,12),(28,207,2,21,13,44,151,9,10),(28,207,2,21,14,74,94,12,6),(28,207,2,21,15,39,81,3,11),(28,207,2,21,16,47,122,NULL,17),(28,207,2,21,17,14,32,1,4),(28,207,2,21,18,99,90,7,12),(28,207,2,21,19,56,92,6,10),(28,207,2,21,20,91,71,14,4),(28,207,2,21,21,11,38,3,7),(28,207,2,21,22,51,34,14,2),(28,207,2,21,23,7,31,NULL,9),(28,207,2,21,24,11,56,NULL,3),(28,207,2,21,25,12,56,1,6),(28,207,2,21,26,9,41,NULL,6),(28,207,2,21,27,14,100,2,16),(28,207,2,21,28,7,50,NULL,6),(28,207,2,21,29,5,43,NULL,4),(28,207,2,21,30,7,36,1,9),(28,207,2,21,31,6,85,1,11),(28,207,2,21,32,4,25,1,2),(28,207,2,21,33,40,53,6,11),(28,207,2,21,34,26,66,7,9),(28,207,2,21,35,53,NULL,5,NULL),(28,207,2,21,36,3,42,NULL,4),(28,207,2,21,37,9,47,3,9),(28,207,2,21,38,2,25,NULL,3),(28,207,2,21,39,4,44,1,6),(28,207,2,21,40,12,124,4,15),(28,207,2,22,1,6,96,NULL,9),(28,207,2,22,2,1,51,1,8),(28,207,2,22,3,103,90,10,7),(28,207,2,22,4,2,29,NULL,2),(28,207,2,22,5,34,64,3,6),(28,207,2,22,6,84,115,4,10),(28,207,2,22,7,2,76,NULL,6),(28,207,2,22,8,22,43,2,5),(28,207,2,22,9,27,29,2,2),(28,207,2,22,10,56,67,5,8),(28,207,2,22,11,33,46,6,9),(28,207,2,22,12,40,99,5,8),(28,207,2,22,13,37,157,7,9),(28,207,2,22,14,57,88,11,5),(28,207,2,22,15,36,68,5,4),(28,207,2,22,16,33,109,4,10),(28,207,2,22,17,14,37,1,3),(28,207,2,22,18,88,82,10,5),(28,207,2,22,19,48,82,3,9),(28,207,2,22,20,92,60,11,4),(28,207,2,22,21,10,33,3,1),(28,207,2,22,22,46,26,9,2),(28,207,2,22,23,7,25,1,5),(28,207,2,22,24,7,32,NULL,3),(28,207,2,22,25,10,45,4,6),(28,207,2,22,26,2,50,NULL,6),(28,207,2,22,27,11,84,3,9),(28,207,2,22,28,4,48,2,7),(28,207,2,22,29,4,46,NULL,5),(28,207,2,22,30,9,34,3,4),(28,207,2,22,31,3,91,3,5),(28,207,2,22,32,4,22,NULL,3),(28,207,2,22,33,28,45,9,2),(28,207,2,22,34,24,79,7,6),(28,207,2,22,35,42,NULL,2,NULL),(28,207,2,22,36,6,31,NULL,6),(28,207,2,22,37,7,34,2,7),(28,207,2,22,38,2,16,NULL,4),(28,207,2,22,39,3,38,2,4),(28,207,2,22,40,9,119,1,9),(28,207,2,23,1,7,90,NULL,8),(28,207,2,23,2,2,61,NULL,12),(28,207,2,23,3,107,75,11,7),(28,207,2,23,4,3,25,NULL,2),(28,207,2,23,5,35,61,10,8),(28,207,2,23,6,86,116,6,9),(28,207,2,23,7,1,94,NULL,11),(28,207,2,23,8,30,48,2,8),(28,207,2,23,9,15,37,3,2),(28,207,2,23,10,70,57,9,5),(28,207,2,23,11,50,49,9,4),(28,207,2,23,12,37,108,1,10),(28,207,2,23,13,45,149,8,6),(28,207,2,23,14,72,94,15,4),(28,207,2,23,15,39,81,2,8),(28,207,2,23,16,40,110,5,10),(28,207,2,23,17,11,29,NULL,3),(28,207,2,23,18,82,93,11,9),(28,207,2,23,19,54,90,6,11),(28,207,2,23,20,76,65,11,4),(28,207,2,23,21,7,46,NULL,8),(28,207,2,23,22,48,26,11,2),(28,207,2,23,23,5,22,NULL,4),(28,207,2,23,24,8,43,NULL,4),(28,207,2,23,25,9,38,2,6),(28,207,2,23,26,13,52,NULL,6),(28,207,2,23,27,11,97,1,14),(28,207,2,23,28,7,54,NULL,13),(28,207,2,23,29,2,37,1,4),(28,207,2,23,30,5,38,2,8),(28,207,2,23,31,6,114,1,13),(28,207,2,23,32,6,17,3,2),(28,207,2,23,33,27,81,5,8),(28,207,2,23,34,23,74,5,9),(28,207,2,23,35,35,NULL,4,NULL),(28,207,2,23,36,6,27,1,5),(28,207,2,23,37,12,45,3,6),(28,207,2,23,38,6,15,1,6),(28,207,2,23,39,6,37,NULL,5),(28,207,2,23,40,16,130,4,11),(28,207,2,24,1,7,97,1,14),(28,207,2,24,2,3,57,3,7),(28,207,2,24,3,90,78,12,10),(28,207,2,24,4,6,31,1,5),(28,207,2,24,5,34,43,3,10),(28,207,2,24,6,77,103,10,10),(28,207,2,24,7,1,74,NULL,8),(28,207,2,24,8,24,34,5,5),(28,207,2,24,9,15,24,3,5),(28,207,2,24,10,56,60,8,8),(28,207,2,24,11,38,29,9,5),(28,207,2,24,12,46,73,7,8),(28,207,2,24,13,28,136,9,11),(28,207,2,24,14,56,69,11,6),(28,207,2,24,15,36,67,4,9),(28,207,2,24,16,32,93,4,11),(28,207,2,24,17,13,23,NULL,1),(28,207,2,24,18,81,89,7,15),(28,207,2,24,19,44,75,10,8),(28,207,2,24,20,77,43,12,5),(28,207,2,24,21,11,29,6,3),(28,207,2,24,22,29,40,12,2),(28,207,2,24,23,8,30,2,7),(28,207,2,24,24,10,37,3,4),(28,207,2,24,25,6,42,1,5),(28,207,2,24,26,11,50,NULL,7),(28,207,2,24,27,8,86,2,12),(28,207,2,24,28,4,40,1,8),(28,207,2,24,29,6,32,3,8),(28,207,2,24,30,8,29,NULL,5),(28,207,2,24,31,4,84,NULL,14),(28,207,2,24,32,2,17,1,3),(28,207,2,24,33,31,44,8,7),(28,207,2,24,34,27,61,5,8),(28,207,2,24,35,29,NULL,5,NULL),(28,207,2,24,36,2,17,1,5),(28,207,2,24,37,6,52,NULL,14),(28,207,2,24,38,4,19,NULL,6),(28,207,2,24,39,8,50,1,7),(28,207,2,24,40,17,99,7,7),(28,208,1,11,1,NULL,NULL,NULL,NULL),(28,208,1,11,2,NULL,NULL,NULL,NULL),(28,208,1,11,3,NULL,NULL,NULL,NULL),(28,208,1,11,4,NULL,NULL,NULL,NULL),(28,208,1,11,5,NULL,NULL,NULL,NULL),(28,208,1,11,6,NULL,NULL,NULL,NULL),(28,208,1,11,7,NULL,NULL,NULL,NULL),(28,208,1,11,8,NULL,NULL,NULL,NULL),(28,208,1,11,9,NULL,NULL,NULL,NULL),(28,208,1,11,10,NULL,NULL,NULL,NULL),(28,208,1,11,11,NULL,NULL,NULL,NULL),(28,208,1,11,12,NULL,NULL,NULL,NULL),(28,208,1,11,13,NULL,NULL,NULL,NULL),(28,208,1,11,14,NULL,NULL,NULL,NULL),(28,208,1,11,15,NULL,NULL,NULL,NULL),(28,208,1,11,16,NULL,NULL,NULL,NULL),(28,208,1,11,17,NULL,NULL,NULL,NULL),(28,208,1,11,18,NULL,NULL,NULL,NULL),(28,208,1,11,19,NULL,NULL,NULL,NULL),(28,208,1,11,20,NULL,NULL,NULL,NULL),(28,208,1,11,21,NULL,NULL,NULL,NULL),(28,208,1,11,22,NULL,NULL,NULL,NULL),(28,208,1,11,23,NULL,NULL,NULL,NULL),(28,208,1,11,24,NULL,NULL,NULL,NULL),(28,208,1,11,25,NULL,NULL,NULL,NULL),(28,208,1,11,26,NULL,NULL,NULL,NULL),(28,208,1,11,27,NULL,NULL,NULL,NULL),(28,208,1,11,28,NULL,NULL,NULL,NULL),(28,208,1,11,29,NULL,NULL,NULL,NULL),(28,208,1,11,30,NULL,NULL,NULL,NULL),(28,208,1,11,31,NULL,NULL,NULL,NULL),(28,208,1,11,32,NULL,NULL,NULL,NULL),(28,208,1,11,33,NULL,NULL,NULL,NULL),(28,208,1,11,34,NULL,NULL,NULL,NULL),(28,208,1,11,35,NULL,NULL,NULL,NULL),(28,208,1,11,36,NULL,NULL,NULL,NULL),(28,208,1,11,37,NULL,NULL,NULL,NULL),(28,208,1,11,38,NULL,NULL,NULL,NULL),(28,208,1,11,39,NULL,NULL,NULL,NULL),(28,208,1,11,40,NULL,NULL,NULL,NULL),(28,208,1,12,1,NULL,NULL,NULL,NULL),(28,208,1,12,2,NULL,NULL,NULL,NULL),(28,208,1,12,3,NULL,NULL,NULL,NULL),(28,208,1,12,4,NULL,NULL,NULL,NULL),(28,208,1,12,5,NULL,NULL,NULL,NULL),(28,208,1,12,6,NULL,NULL,NULL,NULL),(28,208,1,12,7,NULL,NULL,NULL,NULL),(28,208,1,12,8,NULL,NULL,NULL,NULL),(28,208,1,12,9,NULL,NULL,NULL,NULL),(28,208,1,12,10,NULL,NULL,NULL,NULL),(28,208,1,12,11,NULL,NULL,NULL,NULL),(28,208,1,12,12,NULL,NULL,NULL,NULL),(28,208,1,12,13,NULL,NULL,NULL,NULL),(28,208,1,12,14,NULL,NULL,NULL,NULL),(28,208,1,12,15,NULL,NULL,NULL,NULL),(28,208,1,12,16,NULL,NULL,NULL,NULL),(28,208,1,12,17,NULL,NULL,NULL,NULL),(28,208,1,12,18,NULL,NULL,NULL,NULL),(28,208,1,12,19,NULL,NULL,NULL,NULL),(28,208,1,12,20,NULL,NULL,NULL,NULL),(28,208,1,12,21,NULL,NULL,NULL,NULL),(28,208,1,12,22,NULL,NULL,NULL,NULL),(28,208,1,12,23,NULL,NULL,NULL,NULL),(28,208,1,12,24,NULL,NULL,NULL,NULL),(28,208,1,12,25,NULL,NULL,NULL,NULL),(28,208,1,12,26,NULL,NULL,NULL,NULL),(28,208,1,12,27,NULL,NULL,NULL,NULL),(28,208,1,12,28,NULL,NULL,NULL,NULL),(28,208,1,12,29,NULL,NULL,NULL,NULL),(28,208,1,12,30,NULL,NULL,NULL,NULL),(28,208,1,12,31,NULL,NULL,NULL,NULL),(28,208,1,12,32,NULL,NULL,NULL,NULL),(28,208,1,12,33,NULL,NULL,NULL,NULL),(28,208,1,12,34,NULL,NULL,NULL,NULL),(28,208,1,12,35,NULL,NULL,NULL,NULL),(28,208,1,12,36,NULL,NULL,NULL,NULL),(28,208,1,12,37,NULL,NULL,NULL,NULL),(28,208,1,12,38,NULL,NULL,NULL,NULL),(28,208,1,12,39,NULL,NULL,NULL,NULL),(28,208,1,12,40,NULL,NULL,NULL,NULL),(28,208,1,13,1,NULL,NULL,NULL,NULL),(28,208,1,13,2,NULL,NULL,NULL,NULL),(28,208,1,13,3,NULL,NULL,NULL,NULL),(28,208,1,13,4,NULL,NULL,NULL,NULL),(28,208,1,13,5,NULL,NULL,NULL,NULL),(28,208,1,13,6,NULL,NULL,NULL,NULL),(28,208,1,13,7,NULL,NULL,NULL,NULL),(28,208,1,13,8,NULL,NULL,NULL,NULL),(28,208,1,13,9,NULL,NULL,NULL,NULL),(28,208,1,13,10,NULL,NULL,NULL,NULL),(28,208,1,13,11,NULL,NULL,NULL,NULL),(28,208,1,13,12,NULL,NULL,NULL,NULL),(28,208,1,13,13,NULL,NULL,NULL,NULL),(28,208,1,13,14,NULL,NULL,NULL,NULL),(28,208,1,13,15,NULL,NULL,NULL,NULL),(28,208,1,13,16,NULL,NULL,NULL,NULL),(28,208,1,13,17,NULL,NULL,NULL,NULL),(28,208,1,13,18,NULL,NULL,NULL,NULL),(28,208,1,13,19,NULL,NULL,NULL,NULL),(28,208,1,13,20,NULL,NULL,NULL,NULL),(28,208,1,13,21,NULL,NULL,NULL,NULL),(28,208,1,13,22,NULL,NULL,NULL,NULL),(28,208,1,13,23,NULL,NULL,NULL,NULL),(28,208,1,13,24,NULL,NULL,NULL,NULL),(28,208,1,13,25,NULL,NULL,NULL,NULL),(28,208,1,13,26,NULL,NULL,NULL,NULL),(28,208,1,13,27,NULL,NULL,NULL,NULL),(28,208,1,13,28,NULL,NULL,NULL,NULL),(28,208,1,13,29,NULL,NULL,NULL,NULL),(28,208,1,13,30,NULL,NULL,NULL,NULL),(28,208,1,13,31,NULL,NULL,NULL,NULL),(28,208,1,13,32,NULL,NULL,NULL,NULL),(28,208,1,13,33,NULL,NULL,NULL,NULL),(28,208,1,13,34,NULL,NULL,NULL,NULL),(28,208,1,13,35,NULL,NULL,NULL,NULL),(28,208,1,13,36,NULL,NULL,NULL,NULL),(28,208,1,13,37,NULL,NULL,NULL,NULL),(28,208,1,13,38,NULL,NULL,NULL,NULL),(28,208,1,13,39,NULL,NULL,NULL,NULL),(28,208,1,13,40,NULL,NULL,NULL,NULL),(28,208,1,14,1,39,NULL,20,NULL),(28,208,1,14,2,6,34,2,14),(28,208,1,14,3,33,27,13,13),(28,208,1,14,4,12,21,7,10),(28,208,1,14,5,35,27,17,10),(28,208,1,14,6,15,50,8,13),(28,208,1,14,7,17,25,7,12),(28,208,1,14,8,10,48,6,18),(28,208,1,14,9,15,33,7,14),(28,208,1,14,10,51,23,22,10),(28,208,1,14,11,8,21,4,11),(28,208,1,14,12,16,31,9,10),(28,208,1,14,13,76,22,33,2),(28,208,1,14,14,38,31,15,11),(28,208,1,14,15,73,NULL,25,NULL),(28,208,1,14,16,46,37,24,6),(28,208,1,14,17,27,67,13,18),(28,208,1,14,18,33,20,15,8),(28,208,1,14,19,55,41,19,13),(28,208,1,14,20,41,59,16,19),(28,208,1,14,21,4,17,2,4),(28,208,1,14,22,3,31,1,12),(28,208,1,14,23,9,19,3,8),(28,208,1,14,24,1,NULL,NULL,NULL),(28,208,1,14,25,8,18,1,7),(28,208,1,14,26,2,23,1,8),(28,208,1,14,27,30,NULL,13,NULL),(28,208,1,14,28,1,5,1,2),(28,208,1,14,29,6,22,1,8),(28,208,1,14,30,20,35,7,10),(28,208,1,14,31,4,18,2,6),(28,208,1,14,32,16,19,6,11),(28,208,1,14,33,13,14,6,7),(28,208,1,14,34,33,17,20,6),(28,208,1,14,35,5,11,3,6),(28,208,1,14,36,6,NULL,5,NULL),(28,208,1,14,37,2,22,1,8),(28,208,1,14,38,4,20,3,10),(28,208,1,14,39,16,36,7,20),(28,208,1,14,40,12,NULL,8,NULL),(28,208,1,15,1,49,NULL,20,NULL),(28,208,1,15,2,3,29,3,13),(28,208,1,15,3,28,31,14,15),(28,208,1,15,4,22,35,14,14),(28,208,1,15,5,22,44,10,21),(28,208,1,15,6,12,53,7,24),(28,208,1,15,7,8,37,4,17),(28,208,1,15,8,14,30,11,10),(28,208,1,15,9,14,27,8,11),(28,208,1,15,10,62,20,29,8),(28,208,1,15,11,13,18,10,9),(28,208,1,15,12,23,21,15,9),(28,208,1,15,13,71,33,34,8),(28,208,1,15,14,32,37,16,15),(28,208,1,15,15,67,NULL,30,NULL),(28,208,1,15,16,49,36,19,17),(28,208,1,15,17,24,55,9,23),(28,208,1,15,18,36,28,17,8),(28,208,1,15,19,68,24,27,7),(28,208,1,15,20,47,63,22,23),(28,208,1,15,21,6,15,5,4),(28,208,1,15,22,5,21,3,10),(28,208,1,15,23,3,37,2,13),(28,208,1,15,24,2,NULL,1,NULL),(28,208,1,15,25,NULL,18,NULL,10),(28,208,1,15,26,1,23,NULL,13),(28,208,1,15,27,35,NULL,22,NULL),(28,208,1,15,28,NULL,2,NULL,1),(28,208,1,15,29,2,35,1,14),(28,208,1,15,30,10,34,6,12),(28,208,1,15,31,3,20,1,10),(28,208,1,15,32,16,35,10,15),(28,208,1,15,33,10,26,5,16),(28,208,1,15,34,33,21,20,12),(28,208,1,15,35,6,19,4,11),(28,208,1,15,36,5,NULL,3,NULL),(28,208,1,15,37,4,14,3,4),(28,208,1,15,38,5,17,4,6),(28,208,1,15,39,22,48,11,19),(28,208,1,15,40,7,NULL,5,NULL),(28,208,1,16,1,13,NULL,3,NULL),(28,208,1,16,2,NULL,9,NULL,2),(28,208,1,16,3,5,14,1,2),(28,208,1,16,4,7,11,1,1),(28,208,1,16,5,8,15,NULL,2),(28,208,1,16,6,4,14,1,1),(28,208,1,16,7,4,18,NULL,4),(28,208,1,16,8,2,15,1,3),(28,208,1,16,9,7,9,2,NULL),(28,208,1,16,10,20,8,3,1),(28,208,1,16,11,1,9,NULL,2),(28,208,1,16,12,2,9,NULL,2),(28,208,1,16,13,40,NULL,6,NULL),(28,208,1,16,14,37,9,4,1),(28,208,1,16,15,9,29,2,4),(28,208,1,16,16,33,NULL,6,NULL),(28,208,1,16,17,15,20,2,4),(28,208,1,16,18,7,11,2,1),(28,208,1,16,19,6,21,1,2),(28,208,1,16,20,1,16,NULL,3),(28,208,1,16,21,3,5,NULL,2),(28,208,1,16,22,1,5,NULL,1),(28,208,1,16,23,3,7,NULL,2),(28,208,1,16,24,1,NULL,NULL,NULL),(28,208,1,16,25,1,2,NULL,1),(28,208,1,16,26,NULL,5,NULL,NULL),(28,208,1,16,27,5,NULL,NULL,NULL),(28,208,1,16,28,1,2,NULL,NULL),(28,208,1,16,29,2,8,NULL,1),(28,208,1,16,30,7,14,1,2),(28,208,1,16,31,1,4,NULL,NULL),(28,208,1,16,32,5,15,NULL,3),(28,208,1,16,33,1,6,NULL,1),(28,208,1,16,34,6,6,1,1),(28,208,1,16,35,NULL,4,NULL,1),(28,208,1,16,36,NULL,NULL,NULL,NULL),(28,208,1,16,37,NULL,7,NULL,NULL),(28,208,1,16,38,2,4,NULL,NULL),(28,208,1,16,39,4,9,1,2),(28,208,1,16,40,1,NULL,NULL,NULL),(28,208,1,17,1,12,NULL,3,NULL),(28,208,1,17,2,1,4,NULL,NULL),(28,208,1,17,3,4,12,1,3),(28,208,1,17,4,3,14,NULL,2),(28,208,1,17,5,3,13,NULL,3),(28,208,1,17,6,NULL,20,NULL,3),(28,208,1,17,7,5,8,NULL,2),(28,208,1,17,8,NULL,9,NULL,4),(28,208,1,17,9,3,11,NULL,2),(28,208,1,17,10,17,6,3,1),(28,208,1,17,11,2,8,NULL,1),(28,208,1,17,12,4,7,NULL,2),(28,208,1,17,13,36,NULL,7,NULL),(28,208,1,17,14,29,13,6,1),(28,208,1,17,15,10,23,NULL,6),(28,208,1,17,16,30,NULL,6,NULL),(28,208,1,17,17,11,21,1,4),(28,208,1,17,18,5,11,1,2),(28,208,1,17,19,6,22,1,3),(28,208,1,17,20,4,15,NULL,1),(28,208,1,17,21,1,4,NULL,NULL),(28,208,1,17,22,NULL,3,NULL,1),(28,208,1,17,23,1,13,1,4),(28,208,1,17,24,1,NULL,1,NULL),(28,208,1,17,25,3,2,NULL,NULL),(28,208,1,17,26,1,2,NULL,NULL),(28,208,1,17,27,8,NULL,2,NULL),(28,208,1,17,28,1,1,NULL,NULL),(28,208,1,17,29,3,13,1,2),(28,208,1,17,30,5,10,2,1),(28,208,1,17,31,1,NULL,NULL,NULL),(28,208,1,17,32,3,7,NULL,2),(28,208,1,17,33,2,6,NULL,3),(28,208,1,17,34,4,7,2,1),(28,208,1,17,35,1,5,NULL,2),(28,208,1,17,36,1,NULL,NULL,NULL),(28,208,1,17,37,1,1,NULL,NULL),(28,208,1,17,38,1,6,NULL,2),(28,208,1,17,39,2,13,NULL,5),(28,208,1,17,40,6,NULL,3,NULL),(28,208,1,18,1,NULL,NULL,NULL,NULL),(28,208,1,18,2,NULL,NULL,NULL,NULL),(28,208,1,18,3,NULL,NULL,NULL,NULL),(28,208,1,18,4,NULL,NULL,NULL,NULL),(28,208,1,18,5,NULL,NULL,NULL,NULL),(28,208,1,18,6,NULL,NULL,NULL,NULL),(28,208,1,18,7,NULL,NULL,NULL,NULL),(28,208,1,18,8,NULL,NULL,NULL,NULL),(28,208,1,18,9,NULL,NULL,NULL,NULL),(28,208,1,18,10,NULL,NULL,NULL,NULL),(28,208,1,18,11,NULL,NULL,NULL,NULL),(28,208,1,18,12,NULL,NULL,NULL,NULL),(28,208,1,18,13,NULL,NULL,NULL,NULL),(28,208,1,18,14,NULL,NULL,NULL,NULL),(28,208,1,18,15,NULL,NULL,NULL,NULL),(28,208,1,18,16,NULL,NULL,NULL,NULL),(28,208,1,18,17,NULL,NULL,NULL,NULL),(28,208,1,18,18,NULL,NULL,NULL,NULL),(28,208,1,18,19,NULL,NULL,NULL,NULL),(28,208,1,18,20,NULL,NULL,NULL,NULL),(28,208,1,18,21,NULL,NULL,NULL,NULL),(28,208,1,18,22,NULL,NULL,NULL,NULL),(28,208,1,18,23,NULL,NULL,NULL,NULL),(28,208,1,18,24,NULL,NULL,NULL,NULL),(28,208,1,18,25,NULL,NULL,NULL,NULL),(28,208,1,18,26,NULL,NULL,NULL,NULL),(28,208,1,18,27,NULL,NULL,NULL,NULL),(28,208,1,18,28,NULL,NULL,NULL,NULL),(28,208,1,18,29,NULL,NULL,NULL,NULL),(28,208,1,18,30,NULL,NULL,NULL,NULL),(28,208,1,18,31,NULL,NULL,NULL,NULL),(28,208,1,18,32,NULL,NULL,NULL,NULL),(28,208,1,18,33,NULL,NULL,NULL,NULL),(28,208,1,18,34,NULL,NULL,NULL,NULL),(28,208,1,18,35,NULL,NULL,NULL,NULL),(28,208,1,18,36,NULL,NULL,NULL,NULL),(28,208,1,18,37,NULL,NULL,NULL,NULL),(28,208,1,18,38,NULL,NULL,NULL,NULL),(28,208,1,18,39,NULL,NULL,NULL,NULL),(28,208,1,18,40,NULL,NULL,NULL,NULL),(28,208,1,19,1,NULL,NULL,NULL,NULL),(28,208,1,19,2,NULL,NULL,NULL,NULL),(28,208,1,19,3,NULL,NULL,NULL,NULL),(28,208,1,19,4,NULL,NULL,NULL,NULL),(28,208,1,19,5,NULL,NULL,NULL,NULL),(28,208,1,19,6,NULL,NULL,NULL,NULL),(28,208,1,19,7,NULL,NULL,NULL,NULL),(28,208,1,19,8,NULL,NULL,NULL,NULL),(28,208,1,19,9,NULL,NULL,NULL,NULL),(28,208,1,19,10,NULL,NULL,NULL,NULL),(28,208,1,19,11,NULL,NULL,NULL,NULL),(28,208,1,19,12,NULL,NULL,NULL,NULL),(28,208,1,19,13,NULL,NULL,NULL,NULL),(28,208,1,19,14,NULL,NULL,NULL,NULL),(28,208,1,19,15,NULL,NULL,NULL,NULL),(28,208,1,19,16,NULL,NULL,NULL,NULL),(28,208,1,19,17,NULL,NULL,NULL,NULL),(28,208,1,19,18,NULL,NULL,NULL,NULL),(28,208,1,19,19,NULL,NULL,NULL,NULL),(28,208,1,19,20,NULL,NULL,NULL,NULL),(28,208,1,19,21,NULL,NULL,NULL,NULL),(28,208,1,19,22,NULL,NULL,NULL,NULL),(28,208,1,19,23,NULL,NULL,NULL,NULL),(28,208,1,19,24,NULL,NULL,NULL,NULL),(28,208,1,19,25,NULL,NULL,NULL,NULL),(28,208,1,19,26,NULL,NULL,NULL,NULL),(28,208,1,19,27,NULL,NULL,NULL,NULL),(28,208,1,19,28,NULL,NULL,NULL,NULL),(28,208,1,19,29,NULL,NULL,NULL,NULL),(28,208,1,19,30,NULL,NULL,NULL,NULL),(28,208,1,19,31,NULL,NULL,NULL,NULL),(28,208,1,19,32,NULL,NULL,NULL,NULL),(28,208,1,19,33,NULL,NULL,NULL,NULL),(28,208,1,19,34,NULL,NULL,NULL,NULL),(28,208,1,19,35,NULL,NULL,NULL,NULL),(28,208,1,19,36,NULL,NULL,NULL,NULL),(28,208,1,19,37,NULL,NULL,NULL,NULL),(28,208,1,19,38,NULL,NULL,NULL,NULL),(28,208,1,19,39,NULL,NULL,NULL,NULL),(28,208,1,19,40,NULL,NULL,NULL,NULL),(28,208,2,21,1,1,30,1,9),(28,208,2,21,2,NULL,20,NULL,9),(28,208,2,21,3,31,23,12,10),(28,208,2,21,4,1,12,1,4),(28,208,2,21,5,7,15,4,8),(28,208,2,21,6,24,28,10,5),(28,208,2,21,7,NULL,20,NULL,5),(28,208,2,21,8,5,16,2,5),(28,208,2,21,9,6,13,2,4),(28,208,2,21,10,6,28,4,8),(28,208,2,21,11,7,15,2,8),(28,208,2,21,12,6,24,2,8),(28,208,2,21,13,7,49,3,17),(28,208,2,21,14,19,28,8,11),(28,208,2,21,15,14,19,6,5),(28,208,2,21,16,15,33,9,8),(28,208,2,21,17,4,14,1,6),(28,208,2,21,18,19,41,6,14),(28,208,2,21,19,9,26,3,12),(28,208,2,21,20,22,20,10,6),(28,208,2,21,21,2,11,2,4),(28,208,2,21,22,12,13,10,2),(28,208,2,21,23,2,10,NULL,3),(28,208,2,21,24,NULL,17,NULL,5),(28,208,2,21,25,7,17,5,5),(28,208,2,21,26,3,20,1,9),(28,208,2,21,27,5,31,1,10),(28,208,2,21,28,2,12,1,7),(28,208,2,21,29,NULL,13,NULL,8),(28,208,2,21,30,2,12,NULL,8),(28,208,2,21,31,2,20,NULL,5),(28,208,2,21,32,NULL,2,NULL,1),(28,208,2,21,33,9,12,3,5),(28,208,2,21,34,6,19,3,7),(28,208,2,21,35,9,NULL,3,NULL),(28,208,2,21,36,1,2,NULL,NULL),(28,208,2,21,37,NULL,9,NULL,5),(28,208,2,21,38,2,5,1,2),(28,208,2,21,39,4,9,3,2),(28,208,2,21,40,3,39,1,15),(28,208,2,22,1,NULL,27,NULL,7),(28,208,2,22,2,1,16,NULL,6),(28,208,2,22,3,24,28,12,9),(28,208,2,22,4,1,8,1,3),(28,208,2,22,5,10,24,4,13),(28,208,2,22,6,28,32,8,11),(28,208,2,22,7,NULL,29,NULL,11),(28,208,2,22,8,5,18,NULL,6),(28,208,2,22,9,7,11,2,3),(28,208,2,22,10,13,19,5,8),(28,208,2,22,11,9,17,5,7),(28,208,2,22,12,14,30,7,9),(28,208,2,22,13,10,53,1,19),(28,208,2,22,14,17,26,9,9),(28,208,2,22,15,13,19,2,7),(28,208,2,22,16,11,27,4,8),(28,208,2,22,17,2,12,NULL,5),(28,208,2,22,18,22,32,8,12),(28,208,2,22,19,10,26,5,9),(28,208,2,22,20,13,25,7,7),(28,208,2,22,21,7,14,3,4),(28,208,2,22,22,18,14,10,6),(28,208,2,22,23,3,10,2,4),(28,208,2,22,24,4,12,3,6),(28,208,2,22,25,4,13,2,3),(28,208,2,22,26,6,24,2,7),(28,208,2,22,27,6,35,2,12),(28,208,2,22,28,3,15,NULL,9),(28,208,2,22,29,NULL,4,NULL,3),(28,208,2,22,30,2,11,1,4),(28,208,2,22,31,4,24,2,10),(28,208,2,22,32,1,7,1,3),(28,208,2,22,33,11,19,6,9),(28,208,2,22,34,5,18,2,6),(28,208,2,22,35,7,NULL,1,NULL),(28,208,2,22,36,6,9,3,4),(28,208,2,22,37,NULL,12,NULL,5),(28,208,2,22,38,NULL,6,NULL,1),(28,208,2,22,39,1,15,1,5),(28,208,2,22,40,5,40,4,12),(28,208,2,23,1,3,30,1,14),(28,208,2,23,2,3,23,3,11),(28,208,2,23,3,23,28,12,14),(28,208,2,23,4,1,12,NULL,6),(28,208,2,23,5,9,19,3,9),(28,208,2,23,6,22,43,5,20),(28,208,2,23,7,NULL,29,NULL,13),(28,208,2,23,8,9,16,6,8),(28,208,2,23,9,3,14,3,6),(28,208,2,23,10,22,22,12,8),(28,208,2,23,11,8,16,3,6),(28,208,2,23,12,9,30,4,13),(28,208,2,23,13,9,46,4,22),(28,208,2,23,14,22,32,13,13),(28,208,2,23,15,20,17,12,8),(28,208,2,23,16,15,32,7,15),(28,208,2,23,17,6,10,3,3),(28,208,2,23,18,29,30,13,10),(28,208,2,23,19,15,27,10,13),(28,208,2,23,20,26,21,16,7),(28,208,2,23,21,2,10,1,4),(28,208,2,23,22,20,12,16,5),(28,208,2,23,23,2,11,2,3),(28,208,2,23,24,3,15,2,9),(28,208,2,23,25,1,13,1,6),(28,208,2,23,26,3,18,3,8),(28,208,2,23,27,8,30,3,14),(28,208,2,23,28,4,10,NULL,4),(28,208,2,23,29,1,8,1,5),(28,208,2,23,30,3,6,NULL,2),(28,208,2,23,31,3,27,2,15),(28,208,2,23,32,NULL,6,NULL,5),(28,208,2,23,33,9,15,9,5),(28,208,2,23,34,7,18,2,9),(28,208,2,23,35,19,NULL,8,NULL),(28,208,2,23,36,1,11,NULL,7),(28,208,2,23,37,5,14,4,6),(28,208,2,23,38,2,5,2,3),(28,208,2,23,39,2,16,NULL,10),(28,208,2,23,40,4,31,4,12),(28,208,2,24,1,2,26,2,7),(28,208,2,24,2,2,22,NULL,10),(28,208,2,24,3,30,26,8,8),(28,208,2,24,4,2,11,NULL,4),(28,208,2,24,5,7,18,3,7),(28,208,2,24,6,24,40,6,10),(28,208,2,24,7,1,23,NULL,5),(28,208,2,24,8,9,17,3,6),(28,208,2,24,9,4,10,2,2),(28,208,2,24,10,11,17,4,6),(28,208,2,24,11,8,14,3,4),(28,208,2,24,12,15,23,6,4),(28,208,2,24,13,15,42,7,8),(28,208,2,24,14,26,27,10,7),(28,208,2,24,15,9,27,2,8),(28,208,2,24,16,10,29,3,9),(28,208,2,24,17,1,10,1,2),(28,208,2,24,18,28,24,11,5),(28,208,2,24,19,17,23,5,6),(28,208,2,24,20,19,21,10,3),(28,208,2,24,21,2,13,2,2),(28,208,2,24,22,14,11,7,5),(28,208,2,24,23,8,5,3,3),(28,208,2,24,24,3,16,NULL,5),(28,208,2,24,25,3,20,1,10),(28,208,2,24,26,4,15,2,4),(28,208,2,24,27,13,22,3,8),(28,208,2,24,28,1,17,NULL,9),(28,208,2,24,29,3,12,1,3),(28,208,2,24,30,3,5,1,2),(28,208,2,24,31,3,29,1,6),(28,208,2,24,32,1,5,NULL,2),(28,208,2,24,33,10,7,6,2),(28,208,2,24,34,7,19,4,7),(28,208,2,24,35,6,NULL,2,NULL),(28,208,2,24,36,3,10,NULL,3),(28,208,2,24,37,5,10,1,3),(28,208,2,24,38,NULL,3,NULL,1),(28,208,2,24,39,2,15,1,5),(28,208,2,24,40,1,36,NULL,9),(28,211,1,11,1,NULL,NULL,NULL,NULL),(28,211,1,11,2,NULL,1,NULL,NULL),(28,211,1,11,3,1,NULL,NULL,NULL),(28,211,1,11,4,NULL,1,NULL,NULL),(28,211,1,11,5,2,NULL,NULL,NULL),(28,211,1,11,6,1,NULL,NULL,NULL),(28,211,1,11,7,NULL,NULL,NULL,NULL),(28,211,1,11,8,1,NULL,NULL,NULL),(28,211,1,11,9,NULL,NULL,NULL,NULL),(28,211,1,11,10,2,NULL,NULL,NULL),(28,211,1,11,11,NULL,NULL,NULL,NULL),(28,211,1,11,12,1,NULL,NULL,NULL),(28,211,1,11,13,2,NULL,NULL,NULL),(28,211,1,11,14,2,NULL,NULL,NULL),(28,211,1,11,15,NULL,1,NULL,NULL),(28,211,1,11,16,2,NULL,NULL,NULL),(28,211,1,11,17,2,NULL,NULL,NULL),(28,211,1,11,18,1,NULL,NULL,NULL),(28,211,1,11,19,NULL,NULL,NULL,NULL),(28,211,1,11,20,NULL,NULL,NULL,NULL),(28,211,1,11,21,NULL,NULL,NULL,NULL),(28,211,1,11,22,1,1,NULL,NULL),(28,211,1,11,23,NULL,NULL,NULL,NULL),(28,211,1,11,24,NULL,NULL,NULL,NULL),(28,211,1,11,25,NULL,NULL,NULL,NULL),(28,211,1,11,26,NULL,NULL,NULL,NULL),(28,211,1,11,27,NULL,NULL,NULL,NULL),(28,211,1,11,28,NULL,NULL,NULL,NULL),(28,211,1,11,29,NULL,NULL,NULL,NULL),(28,211,1,11,30,NULL,NULL,NULL,NULL),(28,211,1,11,31,NULL,NULL,NULL,NULL),(28,211,1,11,32,1,NULL,NULL,NULL),(28,211,1,11,33,NULL,NULL,NULL,NULL),(28,211,1,11,34,NULL,1,NULL,NULL),(28,211,1,11,35,NULL,NULL,NULL,NULL),(28,211,1,11,36,NULL,NULL,NULL,NULL),(28,211,1,11,37,NULL,NULL,NULL,NULL),(28,211,1,11,38,NULL,NULL,NULL,NULL),(28,211,1,11,39,NULL,1,NULL,NULL),(28,211,1,11,40,NULL,NULL,NULL,NULL),(28,211,1,12,1,NULL,NULL,NULL,NULL),(28,211,1,12,2,NULL,NULL,NULL,NULL),(28,211,1,12,3,NULL,NULL,NULL,NULL),(28,211,1,12,4,NULL,NULL,NULL,NULL),(28,211,1,12,5,NULL,NULL,NULL,NULL),(28,211,1,12,6,NULL,NULL,NULL,NULL),(28,211,1,12,7,NULL,NULL,NULL,NULL),(28,211,1,12,8,NULL,NULL,NULL,NULL),(28,211,1,12,9,NULL,NULL,NULL,NULL),(28,211,1,12,10,NULL,NULL,NULL,NULL),(28,211,1,12,11,NULL,NULL,NULL,NULL),(28,211,1,12,12,NULL,NULL,NULL,NULL),(28,211,1,12,13,NULL,NULL,NULL,NULL),(28,211,1,12,14,NULL,NULL,NULL,NULL),(28,211,1,12,15,NULL,NULL,NULL,NULL),(28,211,1,12,16,NULL,NULL,NULL,NULL),(28,211,1,12,17,NULL,NULL,NULL,NULL),(28,211,1,12,18,NULL,NULL,NULL,NULL),(28,211,1,12,19,NULL,NULL,NULL,NULL),(28,211,1,12,20,NULL,NULL,NULL,NULL),(28,211,1,12,21,NULL,NULL,NULL,NULL),(28,211,1,12,22,NULL,NULL,NULL,NULL),(28,211,1,12,23,NULL,NULL,NULL,NULL),(28,211,1,12,24,NULL,NULL,NULL,NULL),(28,211,1,12,25,NULL,NULL,NULL,NULL),(28,211,1,12,26,NULL,NULL,NULL,NULL),(28,211,1,12,27,NULL,NULL,NULL,NULL),(28,211,1,12,28,NULL,NULL,NULL,NULL),(28,211,1,12,29,NULL,NULL,NULL,NULL),(28,211,1,12,30,NULL,NULL,NULL,NULL),(28,211,1,12,31,NULL,NULL,NULL,NULL),(28,211,1,12,32,NULL,NULL,NULL,NULL),(28,211,1,12,33,NULL,NULL,NULL,NULL),(28,211,1,12,34,NULL,NULL,NULL,NULL),(28,211,1,12,35,NULL,NULL,NULL,NULL),(28,211,1,12,36,NULL,NULL,NULL,NULL),(28,211,1,12,37,NULL,NULL,NULL,NULL),(28,211,1,12,38,NULL,NULL,NULL,NULL),(28,211,1,12,39,NULL,NULL,NULL,NULL),(28,211,1,12,40,NULL,NULL,NULL,NULL),(28,211,1,13,1,NULL,NULL,NULL,NULL),(28,211,1,13,2,NULL,1,NULL,1),(28,211,1,13,3,1,1,1,NULL),(28,211,1,13,4,NULL,1,NULL,1),(28,211,1,13,5,NULL,1,NULL,1),(28,211,1,13,6,1,NULL,1,NULL),(28,211,1,13,7,NULL,1,NULL,1),(28,211,1,13,8,NULL,1,NULL,1),(28,211,1,13,9,NULL,NULL,NULL,NULL),(28,211,1,13,10,2,NULL,1,NULL),(28,211,1,13,11,1,NULL,1,NULL),(28,211,1,13,12,1,NULL,1,NULL),(28,211,1,13,13,2,NULL,1,NULL),(28,211,1,13,14,1,NULL,1,NULL),(28,211,1,13,15,1,1,1,NULL),(28,211,1,13,16,1,1,1,NULL),(28,211,1,13,17,NULL,NULL,NULL,NULL),(28,211,1,13,18,1,NULL,1,NULL),(28,211,1,13,19,1,NULL,1,NULL),(28,211,1,13,20,NULL,1,NULL,1),(28,211,1,13,21,NULL,NULL,NULL,NULL),(28,211,1,13,22,NULL,NULL,NULL,NULL),(28,211,1,13,23,NULL,NULL,NULL,NULL),(28,211,1,13,24,NULL,NULL,NULL,NULL),(28,211,1,13,25,NULL,1,NULL,1),(28,211,1,13,26,NULL,NULL,NULL,NULL),(28,211,1,13,27,NULL,NULL,NULL,NULL),(28,211,1,13,28,NULL,NULL,NULL,NULL),(28,211,1,13,29,NULL,NULL,NULL,NULL),(28,211,1,13,30,NULL,1,NULL,1),(28,211,1,13,31,NULL,1,NULL,1),(28,211,1,13,32,NULL,1,NULL,NULL),(28,211,1,13,33,1,NULL,1,NULL),(28,211,1,13,34,1,1,1,NULL),(28,211,1,13,35,NULL,NULL,NULL,NULL),(28,211,1,13,36,1,NULL,1,NULL),(28,211,1,13,37,NULL,1,NULL,1),(28,211,1,13,38,NULL,1,NULL,NULL),(28,211,1,13,39,1,1,1,NULL),(28,211,1,13,40,1,NULL,1,NULL),(28,211,1,14,1,42,NULL,18,NULL),(28,211,1,14,2,4,34,3,15),(28,211,1,14,3,29,39,15,15),(28,211,1,14,4,13,28,5,10),(28,211,1,14,5,18,30,10,9),(28,211,1,14,6,9,49,7,20),(28,211,1,14,7,12,30,8,10),(28,211,1,14,8,9,49,8,19),(28,211,1,14,9,14,30,6,13),(28,211,1,14,10,54,20,20,11),(28,211,1,14,11,14,16,9,13),(28,211,1,14,12,11,26,2,11),(28,211,1,14,13,48,33,21,12),(28,211,1,14,14,32,24,18,10),(28,211,1,14,15,54,NULL,23,NULL),(28,211,1,14,16,45,33,20,7),(28,211,1,14,17,17,57,11,16),(28,211,1,14,18,17,30,12,10),(28,211,1,14,19,55,23,25,5),(28,211,1,14,20,35,55,16,14),(28,211,1,14,21,6,14,1,6),(28,211,1,14,22,2,23,2,8),(28,211,1,14,23,2,22,NULL,14),(28,211,1,14,24,2,NULL,2,NULL),(28,211,1,14,25,6,12,1,4),(28,211,1,14,26,1,15,NULL,4),(28,211,1,14,27,30,NULL,18,NULL),(28,211,1,14,28,5,9,3,2),(28,211,1,14,29,5,25,1,10),(28,211,1,14,30,9,30,2,14),(28,211,1,14,31,12,9,5,4),(28,211,1,14,32,12,28,6,15),(28,211,1,14,33,7,20,6,11),(28,211,1,14,34,31,24,14,9),(28,211,1,14,35,13,12,6,9),(28,211,1,14,36,7,NULL,5,NULL),(28,211,1,14,37,1,6,1,7),(28,211,1,14,38,7,17,8,10),(28,211,1,14,39,27,30,12,15),(28,211,1,14,40,7,NULL,3,NULL),(28,211,1,15,1,40,NULL,16,NULL),(28,211,1,15,2,5,41,2,17),(28,211,1,15,3,35,33,9,12),(28,211,1,15,4,17,20,2,14),(28,211,1,15,5,30,30,16,11),(28,211,1,15,6,14,61,9,16),(28,211,1,15,7,8,28,3,8),(28,211,1,15,8,8,47,7,16),(28,211,1,15,9,17,28,8,11),(28,211,1,15,10,64,16,23,3),(28,211,1,15,11,19,26,8,9),(28,211,1,15,12,10,24,5,11),(28,211,1,15,13,59,29,21,6),(28,211,1,15,14,25,33,12,7),(28,211,1,15,15,57,NULL,15,NULL),(28,211,1,15,16,42,35,13,12),(28,211,1,15,17,25,56,11,16),(28,211,1,15,18,21,28,11,7),(28,211,1,15,19,64,29,23,4),(28,211,1,15,20,43,52,20,6),(28,211,1,15,21,6,16,2,7),(28,211,1,15,22,2,22,2,10),(28,211,1,15,23,4,25,NULL,6),(28,211,1,15,24,3,NULL,3,NULL),(28,211,1,15,25,2,16,1,6),(28,211,1,15,26,2,14,1,6),(28,211,1,15,27,34,NULL,10,NULL),(28,211,1,15,28,NULL,6,NULL,2),(28,211,1,15,29,4,19,2,6),(28,211,1,15,30,12,28,2,14),(28,211,1,15,31,4,22,3,12),(28,211,1,15,32,12,29,2,10),(28,211,1,15,33,8,18,3,8),(28,211,1,15,34,42,16,17,4),(28,211,1,15,35,6,7,4,4),(28,211,1,15,36,7,NULL,4,NULL),(28,211,1,15,37,3,21,NULL,6),(28,211,1,15,38,9,13,8,7),(28,211,1,15,39,18,43,10,15),(28,211,1,15,40,8,NULL,3,NULL),(28,211,1,16,1,34,NULL,8,NULL),(28,211,1,16,2,1,18,NULL,4),(28,211,1,16,3,16,35,3,10),(28,211,1,16,4,10,12,5,2),(28,211,1,16,5,18,23,8,4),(28,211,1,16,6,9,29,1,9),(28,211,1,16,7,6,25,1,5),(28,211,1,16,8,10,30,3,7),(28,211,1,16,9,9,20,NULL,7),(28,211,1,16,10,46,10,12,1),(28,211,1,16,11,7,19,2,3),(28,211,1,16,12,6,15,2,5),(28,211,1,16,13,76,NULL,13,NULL),(28,211,1,16,14,57,17,11,3),(28,211,1,16,15,18,41,6,8),(28,211,1,16,16,54,NULL,10,NULL),(28,211,1,16,17,40,33,7,7),(28,211,1,16,18,17,17,3,4),(28,211,1,16,19,11,44,5,6),(28,211,1,16,20,12,30,2,8),(28,211,1,16,21,2,4,NULL,2),(28,211,1,16,22,3,14,NULL,5),(28,211,1,16,23,6,16,1,4),(28,211,1,16,24,1,NULL,NULL,NULL),(28,211,1,16,25,4,5,1,1),(28,211,1,16,26,1,6,NULL,3),(28,211,1,16,27,12,NULL,4,NULL),(28,211,1,16,28,2,4,NULL,1),(28,211,1,16,29,3,19,1,6),(28,211,1,16,30,5,20,1,4),(28,211,1,16,31,1,6,1,1),(28,211,1,16,32,2,22,NULL,4),(28,211,1,16,33,2,18,NULL,2),(28,211,1,16,34,22,11,5,4),(28,211,1,16,35,2,9,1,1),(28,211,1,16,36,1,NULL,NULL,NULL),(28,211,1,16,37,3,8,NULL,1),(28,211,1,16,38,3,7,NULL,5),(28,211,1,16,39,13,28,3,4),(28,211,1,16,40,6,NULL,1,NULL),(28,211,1,17,1,34,NULL,9,NULL),(28,211,1,17,2,3,17,1,5),(28,211,1,17,3,16,22,3,7),(28,211,1,17,4,11,17,1,4),(28,211,1,17,5,14,20,2,4),(28,211,1,17,6,7,37,2,7),(28,211,1,17,7,4,22,NULL,8),(28,211,1,17,8,2,21,1,5),(28,211,1,17,9,6,13,3,4),(28,211,1,17,10,34,20,11,2),(28,211,1,17,11,10,19,4,6),(28,211,1,17,12,4,16,NULL,3),(28,211,1,17,13,73,NULL,12,NULL),(28,211,1,17,14,58,14,9,3),(28,211,1,17,15,18,43,3,8),(28,211,1,17,16,56,NULL,9,NULL),(28,211,1,17,17,27,44,4,8),(28,211,1,17,18,13,21,3,5),(28,211,1,17,19,16,36,2,9),(28,211,1,17,20,7,26,2,2),(28,211,1,17,21,1,9,NULL,1),(28,211,1,17,22,2,13,NULL,4),(28,211,1,17,23,4,27,NULL,5),(28,211,1,17,24,1,NULL,NULL,NULL),(28,211,1,17,25,4,4,NULL,1),(28,211,1,17,26,1,4,NULL,NULL),(28,211,1,17,27,13,NULL,9,NULL),(28,211,1,17,28,1,6,NULL,1),(28,211,1,17,29,2,15,NULL,4),(28,211,1,17,30,6,20,1,4),(28,211,1,17,31,3,9,NULL,4),(28,211,1,17,32,3,25,NULL,10),(28,211,1,17,33,2,15,NULL,6),(28,211,1,17,34,20,12,7,3),(28,211,1,17,35,6,11,3,2),(28,211,1,17,36,1,NULL,NULL,NULL),(28,211,1,17,37,NULL,9,NULL,2),(28,211,1,17,38,1,9,1,3),(28,211,1,17,39,18,27,6,5),(28,211,1,17,40,5,NULL,1,NULL),(28,211,1,18,1,NULL,NULL,NULL,NULL),(28,211,1,18,2,NULL,NULL,NULL,NULL),(28,211,1,18,3,NULL,NULL,NULL,NULL),(28,211,1,18,4,NULL,NULL,NULL,NULL),(28,211,1,18,5,NULL,NULL,NULL,NULL),(28,211,1,18,6,NULL,NULL,NULL,NULL),(28,211,1,18,7,NULL,NULL,NULL,NULL),(28,211,1,18,8,NULL,NULL,NULL,NULL),(28,211,1,18,9,NULL,NULL,NULL,NULL),(28,211,1,18,10,NULL,NULL,NULL,NULL),(28,211,1,18,11,NULL,NULL,NULL,NULL),(28,211,1,18,12,NULL,NULL,NULL,NULL),(28,211,1,18,13,NULL,NULL,NULL,NULL),(28,211,1,18,14,NULL,NULL,NULL,NULL),(28,211,1,18,15,NULL,NULL,NULL,NULL),(28,211,1,18,16,NULL,NULL,NULL,NULL),(28,211,1,18,17,NULL,NULL,NULL,NULL),(28,211,1,18,18,NULL,NULL,NULL,NULL),(28,211,1,18,19,NULL,NULL,NULL,NULL),(28,211,1,18,20,NULL,NULL,NULL,NULL),(28,211,1,18,21,NULL,NULL,NULL,NULL),(28,211,1,18,22,NULL,NULL,NULL,NULL),(28,211,1,18,23,NULL,NULL,NULL,NULL),(28,211,1,18,24,NULL,NULL,NULL,NULL),(28,211,1,18,25,NULL,NULL,NULL,NULL),(28,211,1,18,26,NULL,NULL,NULL,NULL),(28,211,1,18,27,NULL,NULL,NULL,NULL),(28,211,1,18,28,NULL,NULL,NULL,NULL),(28,211,1,18,29,NULL,NULL,NULL,NULL),(28,211,1,18,30,NULL,NULL,NULL,NULL),(28,211,1,18,31,NULL,NULL,NULL,NULL),(28,211,1,18,32,NULL,NULL,NULL,NULL),(28,211,1,18,33,NULL,NULL,NULL,NULL),(28,211,1,18,34,NULL,NULL,NULL,NULL),(28,211,1,18,35,NULL,NULL,NULL,NULL),(28,211,1,18,36,NULL,NULL,NULL,NULL),(28,211,1,18,37,NULL,NULL,NULL,NULL),(28,211,1,18,38,NULL,NULL,NULL,NULL),(28,211,1,18,39,NULL,NULL,NULL,NULL),(28,211,1,18,40,NULL,NULL,NULL,NULL),(28,211,1,19,1,NULL,NULL,NULL,NULL),(28,211,1,19,2,NULL,NULL,NULL,NULL),(28,211,1,19,3,NULL,NULL,NULL,NULL),(28,211,1,19,4,NULL,NULL,NULL,NULL),(28,211,1,19,5,NULL,NULL,NULL,NULL),(28,211,1,19,6,NULL,NULL,NULL,NULL),(28,211,1,19,7,NULL,NULL,NULL,NULL),(28,211,1,19,8,NULL,NULL,NULL,NULL),(28,211,1,19,9,NULL,NULL,NULL,NULL),(28,211,1,19,10,NULL,NULL,NULL,NULL),(28,211,1,19,11,NULL,NULL,NULL,NULL),(28,211,1,19,12,NULL,NULL,NULL,NULL),(28,211,1,19,13,NULL,NULL,NULL,NULL),(28,211,1,19,14,NULL,NULL,NULL,NULL),(28,211,1,19,15,NULL,NULL,NULL,NULL),(28,211,1,19,16,NULL,NULL,NULL,NULL),(28,211,1,19,17,NULL,NULL,NULL,NULL),(28,211,1,19,18,NULL,NULL,NULL,NULL),(28,211,1,19,19,NULL,NULL,NULL,NULL),(28,211,1,19,20,NULL,NULL,NULL,NULL),(28,211,1,19,21,NULL,NULL,NULL,NULL),(28,211,1,19,22,NULL,NULL,NULL,NULL),(28,211,1,19,23,NULL,NULL,NULL,NULL),(28,211,1,19,24,NULL,NULL,NULL,NULL),(28,211,1,19,25,NULL,NULL,NULL,NULL),(28,211,1,19,26,NULL,NULL,NULL,NULL),(28,211,1,19,27,NULL,NULL,NULL,NULL),(28,211,1,19,28,NULL,NULL,NULL,NULL),(28,211,1,19,29,NULL,NULL,NULL,NULL),(28,211,1,19,30,NULL,NULL,NULL,NULL),(28,211,1,19,31,NULL,NULL,NULL,NULL),(28,211,1,19,32,NULL,NULL,NULL,NULL),(28,211,1,19,33,NULL,NULL,NULL,NULL),(28,211,1,19,34,NULL,NULL,NULL,NULL),(28,211,1,19,35,NULL,NULL,NULL,NULL),(28,211,1,19,36,NULL,NULL,NULL,NULL),(28,211,1,19,37,NULL,NULL,NULL,NULL),(28,211,1,19,38,NULL,NULL,NULL,NULL),(28,211,1,19,39,NULL,NULL,NULL,NULL),(28,211,1,19,40,NULL,NULL,NULL,NULL),(28,211,2,21,1,2,27,1,9),(28,211,2,21,2,2,24,1,4),(28,211,2,21,3,33,36,9,5),(28,211,2,21,4,2,11,NULL,3),(28,211,2,21,5,19,20,7,4),(28,211,2,21,6,34,35,7,5),(28,211,2,21,7,3,27,NULL,3),(28,211,2,21,8,11,22,NULL,7),(28,211,2,21,9,4,21,2,4),(28,211,2,21,10,15,29,8,3),(28,211,2,21,11,18,16,9,3),(28,211,2,21,12,18,32,2,4),(28,211,2,21,13,13,52,2,12),(28,211,2,21,14,27,30,8,5),(28,211,2,21,15,7,23,2,7),(28,211,2,21,16,15,43,1,10),(28,211,2,21,17,1,17,1,3),(28,211,2,21,18,34,36,6,7),(28,211,2,21,19,18,25,4,6),(28,211,2,21,20,26,28,7,6),(28,211,2,21,21,4,14,1,3),(28,211,2,21,22,19,12,9,3),(28,211,2,21,23,3,13,NULL,4),(28,211,2,21,24,6,20,2,NULL),(28,211,2,21,25,7,11,1,1),(28,211,2,21,26,2,16,NULL,4),(28,211,2,21,27,5,43,NULL,13),(28,211,2,21,28,2,22,NULL,6),(28,211,2,21,29,1,19,NULL,7),(28,211,2,21,30,3,11,NULL,5),(28,211,2,21,31,5,31,NULL,7),(28,211,2,21,32,NULL,12,NULL,4),(28,211,2,21,33,12,24,4,6),(28,211,2,21,34,8,31,2,6),(28,211,2,21,35,9,NULL,3,NULL),(28,211,2,21,36,NULL,7,NULL,1),(28,211,2,21,37,4,14,3,5),(28,211,2,21,38,1,9,NULL,1),(28,211,2,21,39,2,14,2,5),(28,211,2,21,40,6,39,4,9),(28,211,2,22,1,1,35,NULL,9),(28,211,2,22,2,2,20,NULL,10),(28,211,2,22,3,38,24,11,10),(28,211,2,22,4,2,9,NULL,3),(28,211,2,22,5,18,22,8,10),(28,211,2,22,6,30,42,6,15),(28,211,2,22,7,NULL,29,NULL,8),(28,211,2,22,8,14,19,9,7),(28,211,2,22,9,4,12,1,9),(28,211,2,22,10,17,21,6,11),(28,211,2,22,11,9,16,4,7),(28,211,2,22,12,18,33,5,11),(28,211,2,22,13,9,55,5,14),(28,211,2,22,14,19,36,11,11),(28,211,2,22,15,20,29,3,8),(28,211,2,22,16,12,33,6,11),(28,211,2,22,17,4,12,1,5),(28,211,2,22,18,34,26,9,13),(28,211,2,22,19,19,28,4,6),(28,211,2,22,20,32,15,10,7),(28,211,2,22,21,3,15,1,4),(28,211,2,22,22,16,10,10,7),(28,211,2,22,23,2,11,NULL,8),(28,211,2,22,24,4,10,2,5),(28,211,2,22,25,3,20,1,5),(28,211,2,22,26,1,19,1,8),(28,211,2,22,27,5,34,NULL,18),(28,211,2,22,28,1,14,1,9),(28,211,2,22,29,NULL,8,NULL,8),(28,211,2,22,30,1,13,NULL,5),(28,211,2,22,31,2,29,1,12),(28,211,2,22,32,1,7,2,2),(28,211,2,22,33,14,19,9,8),(28,211,2,22,34,8,31,5,15),(28,211,2,22,35,20,NULL,9,NULL),(28,211,2,22,36,NULL,10,NULL,2),(28,211,2,22,37,8,15,1,9),(28,211,2,22,38,1,5,1,3),(28,211,2,22,39,6,20,1,9),(28,211,2,22,40,6,38,5,15),(28,211,2,23,1,4,38,1,16),(28,211,2,23,2,2,27,NULL,13),(28,211,2,23,3,42,26,13,13),(28,211,2,23,4,NULL,13,NULL,5),(28,211,2,23,5,19,17,9,6),(28,211,2,23,6,28,43,10,13),(28,211,2,23,7,NULL,33,NULL,10),(28,211,2,23,8,18,19,8,4),(28,211,2,23,9,6,10,1,10),(28,211,2,23,10,18,20,5,9),(28,211,2,23,11,18,15,13,5),(28,211,2,23,12,13,36,6,14),(28,211,2,23,13,10,59,10,15),(28,211,2,23,14,25,34,11,16),(28,211,2,23,15,18,25,6,13),(28,211,2,23,16,15,40,9,12),(28,211,2,23,17,5,15,2,3),(28,211,2,23,18,42,34,11,16),(28,211,2,23,19,13,28,7,14),(28,211,2,23,20,40,11,16,6),(28,211,2,23,21,4,14,3,5),(28,211,2,23,22,21,12,17,5),(28,211,2,23,23,1,16,1,5),(28,211,2,23,24,3,21,1,7),(28,211,2,23,25,6,17,3,12),(28,211,2,23,26,4,18,1,4),(28,211,2,23,27,10,32,7,16),(28,211,2,23,28,1,15,NULL,7),(28,211,2,23,29,3,9,2,9),(28,211,2,23,30,2,12,1,7),(28,211,2,23,31,2,37,1,15),(28,211,2,23,32,5,10,1,6),(28,211,2,23,33,17,17,15,3),(28,211,2,23,34,12,24,3,15),(28,211,2,23,35,11,NULL,7,NULL),(28,211,2,23,36,NULL,8,NULL,6),(28,211,2,23,37,6,18,5,9),(28,211,2,23,38,1,4,NULL,4),(28,211,2,23,39,4,14,1,6),(28,211,2,23,40,14,34,6,17),(28,211,2,24,1,5,37,1,8),(28,211,2,24,2,NULL,21,1,7),(28,211,2,24,3,33,35,12,8),(28,211,2,24,4,1,12,NULL,6),(28,211,2,24,5,16,24,8,7),(28,211,2,24,6,33,34,6,13),(28,211,2,24,7,NULL,25,NULL,9),(28,211,2,24,8,5,15,4,6),(28,211,2,24,9,7,16,1,5),(28,211,2,24,10,20,26,7,9),(28,211,2,24,11,12,16,7,5),(28,211,2,24,12,16,30,9,5),(28,211,2,24,13,15,50,6,12),(28,211,2,24,14,25,38,13,6),(28,211,2,24,15,10,27,3,9),(28,211,2,24,16,19,33,4,8),(28,211,2,24,17,5,11,NULL,2),(28,211,2,24,18,34,36,12,8),(28,211,2,24,19,12,36,9,9),(28,211,2,24,20,23,22,10,6),(28,211,2,24,21,1,13,2,3),(28,211,2,24,22,16,20,9,6),(28,211,2,24,23,2,17,1,6),(28,211,2,24,24,2,10,NULL,2),(28,211,2,24,25,2,18,NULL,7),(28,211,2,24,26,1,21,NULL,5),(28,211,2,24,27,5,39,2,14),(28,211,2,24,28,1,25,NULL,10),(28,211,2,24,29,2,14,1,5),(28,211,2,24,30,2,12,1,5),(28,211,2,24,31,2,33,1,16),(28,211,2,24,32,NULL,11,NULL,2),(28,211,2,24,33,15,19,10,6),(28,211,2,24,34,7,33,5,8),(28,211,2,24,35,14,NULL,7,NULL),(28,211,2,24,36,3,8,2,2),(28,211,2,24,37,5,17,5,6),(28,211,2,24,38,1,3,NULL,3),(28,211,2,24,39,1,14,NULL,5),(28,211,2,24,40,2,43,2,15),(28,212,1,11,1,NULL,NULL,NULL,NULL),(28,212,1,11,2,NULL,NULL,NULL,NULL),(28,212,1,11,3,NULL,NULL,NULL,NULL),(28,212,1,11,4,NULL,NULL,NULL,NULL),(28,212,1,11,5,NULL,NULL,NULL,NULL),(28,212,1,11,6,NULL,NULL,NULL,NULL),(28,212,1,11,7,NULL,NULL,NULL,NULL),(28,212,1,11,8,NULL,NULL,NULL,NULL),(28,212,1,11,9,NULL,NULL,NULL,NULL),(28,212,1,11,10,NULL,NULL,NULL,NULL),(28,212,1,11,11,NULL,NULL,NULL,NULL),(28,212,1,11,12,NULL,NULL,NULL,NULL),(28,212,1,11,13,NULL,NULL,NULL,NULL),(28,212,1,11,14,NULL,NULL,NULL,NULL),(28,212,1,11,15,NULL,NULL,NULL,NULL),(28,212,1,11,16,NULL,NULL,NULL,NULL),(28,212,1,11,17,NULL,NULL,NULL,NULL),(28,212,1,11,18,NULL,NULL,NULL,NULL),(28,212,1,11,19,NULL,NULL,NULL,NULL),(28,212,1,11,20,NULL,NULL,NULL,NULL),(28,212,1,11,21,NULL,NULL,NULL,NULL),(28,212,1,11,22,NULL,NULL,NULL,NULL),(28,212,1,11,23,NULL,NULL,NULL,NULL),(28,212,1,11,24,NULL,NULL,NULL,NULL),(28,212,1,11,25,NULL,NULL,NULL,NULL),(28,212,1,11,26,NULL,NULL,NULL,NULL),(28,212,1,11,27,NULL,NULL,NULL,NULL),(28,212,1,11,28,NULL,NULL,NULL,NULL),(28,212,1,11,29,NULL,NULL,NULL,NULL),(28,212,1,11,30,NULL,NULL,NULL,NULL),(28,212,1,11,31,NULL,NULL,NULL,NULL),(28,212,1,11,32,NULL,NULL,NULL,NULL),(28,212,1,11,33,NULL,NULL,NULL,NULL),(28,212,1,11,34,NULL,NULL,NULL,NULL),(28,212,1,11,35,NULL,NULL,NULL,NULL),(28,212,1,11,36,NULL,NULL,NULL,NULL),(28,212,1,11,37,NULL,NULL,NULL,NULL),(28,212,1,11,38,NULL,NULL,NULL,NULL),(28,212,1,11,39,NULL,NULL,NULL,NULL),(28,212,1,11,40,NULL,NULL,NULL,NULL),(28,212,1,12,1,1,NULL,NULL,NULL),(28,212,1,12,2,NULL,NULL,NULL,NULL),(28,212,1,12,3,1,NULL,NULL,NULL),(28,212,1,12,4,NULL,NULL,NULL,NULL),(28,212,1,12,5,NULL,1,NULL,NULL),(28,212,1,12,6,NULL,NULL,NULL,NULL),(28,212,1,12,7,NULL,1,NULL,NULL),(28,212,1,12,8,1,NULL,NULL,NULL),(28,212,1,12,9,NULL,1,NULL,NULL),(28,212,1,12,10,NULL,NULL,NULL,NULL),(28,212,1,12,11,NULL,1,NULL,NULL),(28,212,1,12,12,NULL,NULL,NULL,NULL),(28,212,1,12,13,NULL,NULL,NULL,NULL),(28,212,1,12,14,1,NULL,NULL,NULL),(28,212,1,12,15,1,NULL,NULL,NULL),(28,212,1,12,16,1,NULL,NULL,NULL),(28,212,1,12,17,1,NULL,NULL,NULL),(28,212,1,12,18,1,NULL,NULL,NULL),(28,212,1,12,19,1,NULL,NULL,NULL),(28,212,1,12,20,1,NULL,NULL,NULL),(28,212,1,12,21,NULL,NULL,NULL,NULL),(28,212,1,12,22,NULL,NULL,NULL,NULL),(28,212,1,12,23,NULL,NULL,NULL,NULL),(28,212,1,12,24,NULL,NULL,NULL,NULL),(28,212,1,12,25,NULL,NULL,NULL,NULL),(28,212,1,12,26,NULL,NULL,NULL,NULL),(28,212,1,12,27,NULL,NULL,NULL,NULL),(28,212,1,12,28,NULL,NULL,NULL,NULL),(28,212,1,12,29,NULL,NULL,NULL,NULL),(28,212,1,12,30,NULL,NULL,NULL,NULL),(28,212,1,12,31,NULL,NULL,NULL,NULL),(28,212,1,12,32,NULL,NULL,NULL,NULL),(28,212,1,12,33,NULL,NULL,NULL,NULL),(28,212,1,12,34,1,NULL,NULL,NULL),(28,212,1,12,35,NULL,NULL,NULL,NULL),(28,212,1,12,36,NULL,NULL,NULL,NULL),(28,212,1,12,37,NULL,NULL,NULL,NULL),(28,212,1,12,38,NULL,NULL,NULL,NULL),(28,212,1,12,39,NULL,1,NULL,NULL),(28,212,1,12,40,NULL,NULL,NULL,NULL),(28,212,1,13,1,1,NULL,NULL,NULL),(28,212,1,13,2,NULL,1,NULL,NULL),(28,212,1,13,3,NULL,NULL,NULL,NULL),(28,212,1,13,4,NULL,1,NULL,NULL),(28,212,1,13,5,NULL,1,NULL,NULL),(28,212,1,13,6,NULL,1,NULL,NULL),(28,212,1,13,7,1,NULL,NULL,NULL),(28,212,1,13,8,NULL,1,NULL,NULL),(28,212,1,13,9,NULL,NULL,NULL,NULL),(28,212,1,13,10,NULL,NULL,NULL,NULL),(28,212,1,13,11,NULL,1,NULL,NULL),(28,212,1,13,12,NULL,1,NULL,NULL),(28,212,1,13,13,1,NULL,NULL,NULL),(28,212,1,13,14,1,NULL,NULL,NULL),(28,212,1,13,15,1,NULL,NULL,NULL),(28,212,1,13,16,1,NULL,NULL,NULL),(28,212,1,13,17,NULL,1,NULL,NULL),(28,212,1,13,18,1,NULL,NULL,NULL),(28,212,1,13,19,1,NULL,NULL,NULL),(28,212,1,13,20,NULL,NULL,NULL,NULL),(28,212,1,13,21,NULL,1,NULL,NULL),(28,212,1,13,22,NULL,NULL,NULL,NULL),(28,212,1,13,23,NULL,NULL,NULL,NULL),(28,212,1,13,24,NULL,NULL,NULL,NULL),(28,212,1,13,25,NULL,NULL,NULL,NULL),(28,212,1,13,26,NULL,NULL,NULL,NULL),(28,212,1,13,27,NULL,NULL,NULL,NULL),(28,212,1,13,28,NULL,NULL,NULL,NULL),(28,212,1,13,29,NULL,NULL,NULL,NULL),(28,212,1,13,30,NULL,NULL,NULL,NULL),(28,212,1,13,31,NULL,NULL,NULL,NULL),(28,212,1,13,32,NULL,NULL,NULL,NULL),(28,212,1,13,33,NULL,1,NULL,NULL),(28,212,1,13,34,NULL,1,NULL,NULL),(28,212,1,13,35,NULL,NULL,NULL,NULL),(28,212,1,13,36,NULL,NULL,NULL,NULL),(28,212,1,13,37,NULL,NULL,NULL,NULL),(28,212,1,13,38,NULL,1,NULL,NULL),(28,212,1,13,39,NULL,1,NULL,NULL),(28,212,1,13,40,NULL,NULL,NULL,NULL),(28,212,1,14,1,25,NULL,10,NULL),(28,212,1,14,2,5,16,1,6),(28,212,1,14,3,14,18,6,6),(28,212,1,14,4,7,9,2,3),(28,212,1,14,5,18,16,8,5),(28,212,1,14,6,6,25,3,6),(28,212,1,14,7,7,9,2,3),(28,212,1,14,8,8,20,3,3),(28,212,1,14,9,10,13,4,3),(28,212,1,14,10,27,8,7,3),(28,212,1,14,11,4,11,1,2),(28,212,1,14,12,11,17,7,3),(28,212,1,14,13,35,19,11,4),(28,212,1,14,14,22,12,5,3),(28,212,1,14,15,37,NULL,14,NULL),(28,212,1,14,16,28,17,10,4),(28,212,1,14,17,18,26,5,9),(28,212,1,14,18,17,11,6,1),(28,212,1,14,19,32,14,15,NULL),(28,212,1,14,20,27,20,10,5),(28,212,1,14,21,1,7,1,1),(28,212,1,14,22,2,15,1,7),(28,212,1,14,23,4,17,1,5),(28,212,1,14,24,3,NULL,3,NULL),(28,212,1,14,25,4,6,3,NULL),(28,212,1,14,26,1,12,NULL,5),(28,212,1,14,27,23,NULL,8,NULL),(28,212,1,14,28,NULL,1,NULL,1),(28,212,1,14,29,2,12,NULL,3),(28,212,1,14,30,5,21,5,5),(28,212,1,14,31,1,9,2,5),(28,212,1,14,32,9,15,4,3),(28,212,1,14,33,6,9,5,5),(28,212,1,14,34,25,10,11,2),(28,212,1,14,35,4,6,3,4),(28,212,1,14,36,5,NULL,6,NULL),(28,212,1,14,37,3,8,2,3),(28,212,1,14,38,4,8,4,1),(28,212,1,14,39,13,19,3,8),(28,212,1,14,40,10,NULL,4,NULL),(28,212,1,15,1,25,NULL,8,NULL),(28,212,1,15,2,2,23,NULL,5),(28,212,1,15,3,13,28,2,8),(28,212,1,15,4,3,15,3,7),(28,212,1,15,5,12,18,3,3),(28,212,1,15,6,7,28,2,5),(28,212,1,15,7,5,17,1,5),(28,212,1,15,8,4,20,2,6),(28,212,1,15,9,2,17,3,5),(28,212,1,15,10,28,10,7,3),(28,212,1,15,11,5,18,3,5),(28,212,1,15,12,5,14,4,5),(28,212,1,15,13,30,23,8,4),(28,212,1,15,14,19,20,3,6),(28,212,1,15,15,42,NULL,9,NULL),(28,212,1,15,16,27,15,4,7),(28,212,1,15,17,10,32,3,7),(28,212,1,15,18,10,18,3,5),(28,212,1,15,19,38,12,13,NULL),(28,212,1,15,20,21,37,3,10),(28,212,1,15,21,2,9,NULL,NULL),(28,212,1,15,22,1,16,NULL,8),(28,212,1,15,23,1,17,NULL,6),(28,212,1,15,24,2,NULL,1,NULL),(28,212,1,15,25,1,4,2,1),(28,212,1,15,26,NULL,14,NULL,5),(28,212,1,15,27,23,NULL,7,NULL),(28,212,1,15,28,NULL,6,NULL,1),(28,212,1,15,29,NULL,20,2,3),(28,212,1,15,30,7,23,2,6),(28,212,1,15,31,3,13,NULL,6),(28,212,1,15,32,5,18,3,5),(28,212,1,15,33,10,17,4,6),(28,212,1,15,34,29,7,8,2),(28,212,1,15,35,9,7,4,5),(28,212,1,15,36,5,NULL,4,NULL),(28,212,1,15,37,1,9,1,1),(28,212,1,15,38,10,17,6,5),(28,212,1,15,39,11,28,NULL,8),(28,212,1,15,40,7,NULL,4,NULL),(28,212,1,16,1,18,NULL,3,NULL),(28,212,1,16,2,NULL,11,NULL,1),(28,212,1,16,3,9,14,1,2),(28,212,1,16,4,6,10,NULL,3),(28,212,1,16,5,6,7,1,NULL),(28,212,1,16,6,4,16,NULL,2),(28,212,1,16,7,1,14,NULL,2),(28,212,1,16,8,1,16,NULL,3),(28,212,1,16,9,3,8,NULL,1),(28,212,1,16,10,20,6,3,NULL),(28,212,1,16,11,4,9,NULL,3),(28,212,1,16,12,3,7,NULL,1),(28,212,1,16,13,40,NULL,4,NULL),(28,212,1,16,14,30,6,2,2),(28,212,1,16,15,10,11,1,2),(28,212,1,16,16,23,NULL,4,NULL),(28,212,1,16,17,12,26,2,2),(28,212,1,16,18,9,12,1,2),(28,212,1,16,19,8,17,NULL,2),(28,212,1,16,20,6,11,NULL,2),(28,212,1,16,21,NULL,4,NULL,NULL),(28,212,1,16,22,2,4,NULL,NULL),(28,212,1,16,23,2,17,NULL,2),(28,212,1,16,24,NULL,NULL,NULL,NULL),(28,212,1,16,25,1,6,NULL,NULL),(28,212,1,16,26,1,1,NULL,NULL),(28,212,1,16,27,9,NULL,2,NULL),(28,212,1,16,28,1,1,NULL,NULL),(28,212,1,16,29,1,4,NULL,2),(28,212,1,16,30,2,10,NULL,1),(28,212,1,16,31,NULL,2,NULL,NULL),(28,212,1,16,32,4,7,NULL,2),(28,212,1,16,33,1,10,1,1),(28,212,1,16,34,10,10,2,2),(28,212,1,16,35,1,3,1,2),(28,212,1,16,36,NULL,NULL,NULL,NULL),(28,212,1,16,37,1,3,NULL,2),(28,212,1,16,38,1,8,NULL,2),(28,212,1,16,39,8,19,1,3),(28,212,1,16,40,2,NULL,NULL,NULL),(28,212,1,17,1,9,NULL,3,NULL),(28,212,1,17,2,NULL,6,NULL,3),(28,212,1,17,3,6,9,2,2),(28,212,1,17,4,5,6,1,4),(28,212,1,17,5,6,5,2,3),(28,212,1,17,6,1,16,1,3),(28,212,1,17,7,3,8,1,3),(28,212,1,17,8,NULL,10,NULL,4),(28,212,1,17,9,4,7,1,2),(28,212,1,17,10,13,8,5,1),(28,212,1,17,11,1,10,2,2),(28,212,1,17,12,1,5,NULL,3),(28,212,1,17,13,32,NULL,7,NULL),(28,212,1,17,14,24,4,5,1),(28,212,1,17,15,5,21,1,4),(28,212,1,17,16,24,NULL,7,NULL),(28,212,1,17,17,15,13,3,2),(28,212,1,17,18,6,9,2,2),(28,212,1,17,19,6,8,1,2),(28,212,1,17,20,3,9,1,2),(28,212,1,17,21,NULL,3,NULL,NULL),(28,212,1,17,22,NULL,3,NULL,3),(28,212,1,17,23,NULL,8,NULL,2),(28,212,1,17,24,1,NULL,1,NULL),(28,212,1,17,25,1,1,NULL,NULL),(28,212,1,17,26,NULL,NULL,NULL,NULL),(28,212,1,17,27,12,NULL,2,NULL),(28,212,1,17,28,NULL,2,NULL,1),(28,212,1,17,29,1,10,NULL,1),(28,212,1,17,30,2,12,NULL,3),(28,212,1,17,31,1,7,NULL,1),(28,212,1,17,32,1,11,NULL,1),(28,212,1,17,33,2,8,NULL,3),(28,212,1,17,34,9,5,2,1),(28,212,1,17,35,NULL,5,NULL,2),(28,212,1,17,36,2,NULL,NULL,NULL),(28,212,1,17,37,2,2,NULL,2),(28,212,1,17,38,NULL,8,NULL,1),(28,212,1,17,39,2,11,1,2),(28,212,1,17,40,2,NULL,NULL,NULL),(28,212,1,18,1,NULL,NULL,NULL,NULL),(28,212,1,18,2,NULL,NULL,NULL,NULL),(28,212,1,18,3,NULL,NULL,NULL,NULL),(28,212,1,18,4,NULL,NULL,NULL,NULL),(28,212,1,18,5,NULL,NULL,NULL,NULL),(28,212,1,18,6,NULL,NULL,NULL,NULL),(28,212,1,18,7,NULL,NULL,NULL,NULL),(28,212,1,18,8,NULL,NULL,NULL,NULL),(28,212,1,18,9,NULL,NULL,NULL,NULL),(28,212,1,18,10,NULL,NULL,NULL,NULL),(28,212,1,18,11,NULL,NULL,NULL,NULL),(28,212,1,18,12,NULL,NULL,NULL,NULL),(28,212,1,18,13,NULL,NULL,NULL,NULL),(28,212,1,18,14,NULL,NULL,NULL,NULL),(28,212,1,18,15,NULL,NULL,NULL,NULL),(28,212,1,18,16,NULL,NULL,NULL,NULL),(28,212,1,18,17,NULL,NULL,NULL,NULL),(28,212,1,18,18,NULL,NULL,NULL,NULL),(28,212,1,18,19,NULL,NULL,NULL,NULL),(28,212,1,18,20,NULL,NULL,NULL,NULL),(28,212,1,18,21,NULL,NULL,NULL,NULL),(28,212,1,18,22,NULL,NULL,NULL,NULL),(28,212,1,18,23,NULL,NULL,NULL,NULL),(28,212,1,18,24,NULL,NULL,NULL,NULL),(28,212,1,18,25,NULL,NULL,NULL,NULL),(28,212,1,18,26,NULL,NULL,NULL,NULL),(28,212,1,18,27,NULL,NULL,NULL,NULL),(28,212,1,18,28,NULL,NULL,NULL,NULL),(28,212,1,18,29,NULL,NULL,NULL,NULL),(28,212,1,18,30,NULL,NULL,NULL,NULL),(28,212,1,18,31,NULL,NULL,NULL,NULL),(28,212,1,18,32,NULL,NULL,NULL,NULL),(28,212,1,18,33,NULL,NULL,NULL,NULL),(28,212,1,18,34,NULL,NULL,NULL,NULL),(28,212,1,18,35,NULL,NULL,NULL,NULL),(28,212,1,18,36,NULL,NULL,NULL,NULL),(28,212,1,18,37,NULL,NULL,NULL,NULL),(28,212,1,18,38,NULL,NULL,NULL,NULL),(28,212,1,18,39,NULL,NULL,NULL,NULL),(28,212,1,18,40,NULL,NULL,NULL,NULL),(28,212,1,19,1,NULL,NULL,NULL,NULL),(28,212,1,19,2,NULL,NULL,NULL,NULL),(28,212,1,19,3,NULL,NULL,NULL,NULL),(28,212,1,19,4,NULL,NULL,NULL,NULL),(28,212,1,19,5,NULL,NULL,NULL,NULL),(28,212,1,19,6,NULL,NULL,NULL,NULL),(28,212,1,19,7,NULL,NULL,NULL,NULL),(28,212,1,19,8,NULL,NULL,NULL,NULL),(28,212,1,19,9,NULL,NULL,NULL,NULL),(28,212,1,19,10,NULL,NULL,NULL,NULL),(28,212,1,19,11,NULL,NULL,NULL,NULL),(28,212,1,19,12,NULL,NULL,NULL,NULL),(28,212,1,19,13,NULL,NULL,NULL,NULL),(28,212,1,19,14,NULL,NULL,NULL,NULL),(28,212,1,19,15,NULL,NULL,NULL,NULL),(28,212,1,19,16,NULL,NULL,NULL,NULL),(28,212,1,19,17,NULL,NULL,NULL,NULL),(28,212,1,19,18,NULL,NULL,NULL,NULL),(28,212,1,19,19,NULL,NULL,NULL,NULL),(28,212,1,19,20,NULL,NULL,NULL,NULL),(28,212,1,19,21,NULL,NULL,NULL,NULL),(28,212,1,19,22,NULL,NULL,NULL,NULL),(28,212,1,19,23,NULL,NULL,NULL,NULL),(28,212,1,19,24,NULL,NULL,NULL,NULL),(28,212,1,19,25,NULL,NULL,NULL,NULL),(28,212,1,19,26,NULL,NULL,NULL,NULL),(28,212,1,19,27,NULL,NULL,NULL,NULL),(28,212,1,19,28,NULL,NULL,NULL,NULL),(28,212,1,19,29,NULL,NULL,NULL,NULL),(28,212,1,19,30,NULL,NULL,NULL,NULL),(28,212,1,19,31,NULL,NULL,NULL,NULL),(28,212,1,19,32,NULL,NULL,NULL,NULL),(28,212,1,19,33,NULL,NULL,NULL,NULL),(28,212,1,19,34,NULL,NULL,NULL,NULL),(28,212,1,19,35,NULL,NULL,NULL,NULL),(28,212,1,19,36,NULL,NULL,NULL,NULL),(28,212,1,19,37,NULL,NULL,NULL,NULL),(28,212,1,19,38,NULL,NULL,NULL,NULL),(28,212,1,19,39,NULL,NULL,NULL,NULL),(28,212,1,19,40,NULL,NULL,NULL,NULL),(28,212,2,21,1,2,18,2,4),(28,212,2,21,2,NULL,15,NULL,5),(28,212,2,21,3,24,13,7,4),(28,212,2,21,4,NULL,10,NULL,5),(28,212,2,21,5,8,11,3,3),(28,212,2,21,6,16,25,8,3),(28,212,2,21,7,NULL,18,NULL,5),(28,212,2,21,8,7,10,4,2),(28,212,2,21,9,6,5,2,5),(28,212,2,21,10,9,13,2,5),(28,212,2,21,11,10,8,3,3),(28,212,2,21,12,9,23,4,3),(28,212,2,21,13,10,28,5,6),(28,212,2,21,14,16,22,6,5),(28,212,2,21,15,11,15,5,1),(28,212,2,21,16,8,22,2,5),(28,212,2,21,17,1,13,NULL,1),(28,212,2,21,18,17,17,6,5),(28,212,2,21,19,10,17,3,5),(28,212,2,21,20,16,8,6,2),(28,212,2,21,21,1,10,3,1),(28,212,2,21,22,16,4,10,1),(28,212,2,21,23,4,4,1,2),(28,212,2,21,24,1,5,NULL,1),(28,212,2,21,25,3,9,1,4),(28,212,2,21,26,1,6,NULL,3),(28,212,2,21,27,7,16,4,6),(28,212,2,21,28,NULL,15,1,6),(28,212,2,21,29,1,1,NULL,2),(28,212,2,21,30,1,8,NULL,3),(28,212,2,21,31,1,21,1,6),(28,212,2,21,32,1,7,1,NULL),(28,212,2,21,33,6,11,2,4),(28,212,2,21,34,5,16,3,5),(28,212,2,21,35,11,NULL,4,NULL),(28,212,2,21,36,2,9,NULL,2),(28,212,2,21,37,2,7,2,4),(28,212,2,21,38,NULL,4,NULL,1),(28,212,2,21,39,3,9,4,3),(28,212,2,21,40,6,22,6,4),(28,212,2,22,1,1,23,1,4),(28,212,2,22,2,NULL,15,1,3),(28,212,2,22,3,18,24,4,8),(28,212,2,22,4,NULL,7,NULL,2),(28,212,2,22,5,8,17,4,5),(28,212,2,22,6,18,21,5,7),(28,212,2,22,7,NULL,14,NULL,4),(28,212,2,22,8,5,14,3,3),(28,212,2,22,9,2,10,NULL,5),(28,212,2,22,10,17,11,6,2),(28,212,2,22,11,7,14,4,8),(28,212,2,22,12,12,14,4,5),(28,212,2,22,13,12,29,7,5),(28,212,2,22,14,19,16,8,3),(28,212,2,22,15,9,14,3,2),(28,212,2,22,16,10,27,4,7),(28,212,2,22,17,2,9,1,3),(28,212,2,22,18,23,18,6,7),(28,212,2,22,19,8,17,5,3),(28,212,2,22,20,17,12,5,6),(28,212,2,22,21,4,7,1,3),(28,212,2,22,22,23,8,8,1),(28,212,2,22,23,1,7,1,3),(28,212,2,22,24,1,16,1,3),(28,212,2,22,25,2,17,4,3),(28,212,2,22,26,2,7,NULL,3),(28,212,2,22,27,1,26,1,7),(28,212,2,22,28,2,17,NULL,5),(28,212,2,22,29,NULL,12,NULL,5),(28,212,2,22,30,NULL,9,NULL,4),(28,212,2,22,31,5,26,2,10),(28,212,2,22,32,NULL,4,1,2),(28,212,2,22,33,10,14,4,5),(28,212,2,22,34,7,13,6,4),(28,212,2,22,35,6,NULL,4,NULL),(28,212,2,22,36,1,4,NULL,1),(28,212,2,22,37,2,15,NULL,7),(28,212,2,22,38,4,5,1,3),(28,212,2,22,39,1,8,2,3),(28,212,2,22,40,7,32,5,5),(28,212,2,23,1,NULL,16,NULL,3),(28,212,2,23,2,NULL,11,NULL,2),(28,212,2,23,3,19,19,5,1),(28,212,2,23,4,1,7,NULL,1),(28,212,2,23,5,6,14,2,1),(28,212,2,23,6,13,18,4,1),(28,212,2,23,7,NULL,20,NULL,4),(28,212,2,23,8,4,13,2,1),(28,212,2,23,9,3,11,1,NULL),(28,212,2,23,10,16,11,3,NULL),(28,212,2,23,11,11,10,2,1),(28,212,2,23,12,3,18,3,2),(28,212,2,23,13,5,30,3,3),(28,212,2,23,14,13,19,5,1),(28,212,2,23,15,2,14,2,1),(28,212,2,23,16,8,19,2,2),(28,212,2,23,17,4,8,NULL,1),(28,212,2,23,18,11,27,5,1),(28,212,2,23,19,12,15,3,2),(28,212,2,23,20,17,17,5,1),(28,212,2,23,21,5,7,4,NULL),(28,212,2,23,22,15,9,5,NULL),(28,212,2,23,23,3,9,NULL,1),(28,212,2,23,24,NULL,10,NULL,4),(28,212,2,23,25,2,9,1,3),(28,212,2,23,26,2,6,1,NULL),(28,212,2,23,27,3,15,3,1),(28,212,2,23,28,1,13,NULL,3),(28,212,2,23,29,1,8,NULL,2),(28,212,2,23,30,NULL,9,NULL,1),(28,212,2,23,31,2,15,2,3),(28,212,2,23,32,NULL,4,1,3),(28,212,2,23,33,6,8,3,2),(28,212,2,23,34,5,15,NULL,2),(28,212,2,23,35,6,NULL,1,NULL),(28,212,2,23,36,NULL,4,NULL,NULL),(28,212,2,23,37,3,4,NULL,2),(28,212,2,23,38,NULL,9,1,3),(28,212,2,23,39,NULL,10,NULL,2),(28,212,2,23,40,3,25,3,1),(28,212,2,24,1,2,14,NULL,3),(28,212,2,24,2,2,7,NULL,2),(28,212,2,24,3,15,21,2,4),(28,212,2,24,4,NULL,7,NULL,2),(28,212,2,24,5,8,11,NULL,5),(28,212,2,24,6,16,15,2,3),(28,212,2,24,7,NULL,9,NULL,NULL),(28,212,2,24,8,7,8,1,4),(28,212,2,24,9,3,6,NULL,NULL),(28,212,2,24,10,8,8,1,3),(28,212,2,24,11,6,6,2,2),(28,212,2,24,12,8,11,2,2),(28,212,2,24,13,9,23,1,5),(28,212,2,24,14,12,16,3,3),(28,212,2,24,15,7,8,2,3),(28,212,2,24,16,5,17,1,3),(28,212,2,24,17,2,5,NULL,1),(28,212,2,24,18,22,12,2,4),(28,212,2,24,19,8,16,1,2),(28,212,2,24,20,13,13,3,1),(28,212,2,24,21,1,9,NULL,1),(28,212,2,24,22,12,6,3,NULL),(28,212,2,24,23,1,4,1,3),(28,212,2,24,24,2,7,1,1),(28,212,2,24,25,2,4,1,NULL),(28,212,2,24,26,3,9,NULL,3),(28,212,2,24,27,3,19,NULL,6),(28,212,2,24,28,NULL,10,NULL,1),(28,212,2,24,29,3,9,NULL,4),(28,212,2,24,30,NULL,6,NULL,2),(28,212,2,24,31,NULL,14,NULL,2),(28,212,2,24,32,NULL,6,NULL,1),(28,212,2,24,33,6,7,1,4),(28,212,2,24,34,6,15,2,2),(28,212,2,24,35,6,NULL,2,NULL),(28,212,2,24,36,1,6,NULL,2),(28,212,2,24,37,2,11,NULL,2),(28,212,2,24,38,1,3,NULL,1),(28,212,2,24,39,NULL,12,NULL,1),(28,212,2,24,40,4,22,1,3),(28,213,1,11,1,NULL,NULL,NULL,NULL),(28,213,1,11,2,NULL,NULL,NULL,NULL),(28,213,1,11,3,NULL,NULL,NULL,NULL),(28,213,1,11,4,NULL,NULL,NULL,NULL),(28,213,1,11,5,NULL,NULL,NULL,NULL),(28,213,1,11,6,NULL,NULL,NULL,NULL),(28,213,1,11,7,NULL,NULL,NULL,NULL),(28,213,1,11,8,NULL,NULL,NULL,NULL),(28,213,1,11,9,NULL,NULL,NULL,NULL),(28,213,1,11,10,NULL,NULL,NULL,NULL),(28,213,1,11,11,NULL,NULL,NULL,NULL),(28,213,1,11,12,NULL,NULL,NULL,NULL),(28,213,1,11,13,NULL,NULL,NULL,NULL),(28,213,1,11,14,NULL,NULL,NULL,NULL),(28,213,1,11,15,NULL,NULL,NULL,NULL),(28,213,1,11,16,NULL,NULL,NULL,NULL),(28,213,1,11,17,NULL,NULL,NULL,NULL),(28,213,1,11,18,NULL,NULL,NULL,NULL),(28,213,1,11,19,NULL,NULL,NULL,NULL),(28,213,1,11,20,NULL,NULL,NULL,NULL),(28,213,1,11,21,NULL,NULL,NULL,NULL),(28,213,1,11,22,NULL,NULL,NULL,NULL),(28,213,1,11,23,NULL,NULL,NULL,NULL),(28,213,1,11,24,NULL,NULL,NULL,NULL),(28,213,1,11,25,NULL,NULL,NULL,NULL),(28,213,1,11,26,NULL,NULL,NULL,NULL),(28,213,1,11,27,NULL,NULL,NULL,NULL),(28,213,1,11,28,NULL,NULL,NULL,NULL),(28,213,1,11,29,NULL,NULL,NULL,NULL),(28,213,1,11,30,NULL,NULL,NULL,NULL),(28,213,1,11,31,NULL,NULL,NULL,NULL),(28,213,1,11,32,NULL,NULL,NULL,NULL),(28,213,1,11,33,NULL,NULL,NULL,NULL),(28,213,1,11,34,NULL,NULL,NULL,NULL),(28,213,1,11,35,NULL,NULL,NULL,NULL),(28,213,1,11,36,NULL,NULL,NULL,NULL),(28,213,1,11,37,NULL,NULL,NULL,NULL),(28,213,1,11,38,NULL,NULL,NULL,NULL),(28,213,1,11,39,NULL,NULL,NULL,NULL),(28,213,1,11,40,NULL,NULL,NULL,NULL),(28,213,1,12,1,NULL,NULL,NULL,NULL),(28,213,1,12,2,NULL,NULL,NULL,NULL),(28,213,1,12,3,NULL,NULL,NULL,NULL),(28,213,1,12,4,NULL,1,NULL,NULL),(28,213,1,12,5,NULL,NULL,NULL,NULL),(28,213,1,12,6,NULL,NULL,NULL,NULL),(28,213,1,12,7,NULL,NULL,NULL,NULL),(28,213,1,12,8,NULL,NULL,NULL,NULL),(28,213,1,12,9,NULL,1,NULL,NULL),(28,213,1,12,10,NULL,NULL,NULL,NULL),(28,213,1,12,11,NULL,NULL,NULL,NULL),(28,213,1,12,12,NULL,NULL,NULL,NULL),(28,213,1,12,13,NULL,NULL,NULL,NULL),(28,213,1,12,14,NULL,NULL,NULL,NULL),(28,213,1,12,15,1,NULL,NULL,NULL),(28,213,1,12,16,NULL,NULL,NULL,NULL),(28,213,1,12,17,NULL,NULL,NULL,NULL),(28,213,1,12,18,NULL,NULL,NULL,NULL),(28,213,1,12,19,NULL,NULL,NULL,NULL),(28,213,1,12,20,NULL,NULL,NULL,NULL),(28,213,1,12,21,NULL,NULL,NULL,NULL),(28,213,1,12,22,NULL,1,NULL,NULL),(28,213,1,12,23,NULL,NULL,NULL,NULL),(28,213,1,12,24,NULL,NULL,NULL,NULL),(28,213,1,12,25,1,NULL,NULL,NULL),(28,213,1,12,26,NULL,NULL,NULL,NULL),(28,213,1,12,27,NULL,NULL,NULL,NULL),(28,213,1,12,28,NULL,NULL,NULL,NULL),(28,213,1,12,29,NULL,NULL,NULL,NULL),(28,213,1,12,30,NULL,NULL,NULL,NULL),(28,213,1,12,31,NULL,NULL,NULL,NULL),(28,213,1,12,32,NULL,NULL,NULL,NULL),(28,213,1,12,33,NULL,NULL,NULL,NULL),(28,213,1,12,34,NULL,NULL,NULL,NULL),(28,213,1,12,35,NULL,NULL,NULL,NULL),(28,213,1,12,36,NULL,NULL,NULL,NULL),(28,213,1,12,37,NULL,NULL,NULL,NULL),(28,213,1,12,38,NULL,NULL,NULL,NULL),(28,213,1,12,39,NULL,NULL,NULL,NULL),(28,213,1,12,40,NULL,NULL,NULL,NULL),(28,213,1,13,1,NULL,NULL,NULL,NULL),(28,213,1,13,2,NULL,NULL,NULL,NULL),(28,213,1,13,3,NULL,NULL,NULL,NULL),(28,213,1,13,4,NULL,NULL,NULL,NULL),(28,213,1,13,5,NULL,NULL,NULL,NULL),(28,213,1,13,6,NULL,NULL,NULL,NULL),(28,213,1,13,7,NULL,NULL,NULL,NULL),(28,213,1,13,8,NULL,NULL,NULL,NULL),(28,213,1,13,9,NULL,NULL,NULL,NULL),(28,213,1,13,10,NULL,NULL,NULL,NULL),(28,213,1,13,11,NULL,NULL,NULL,NULL),(28,213,1,13,12,NULL,NULL,NULL,NULL),(28,213,1,13,13,NULL,NULL,NULL,NULL),(28,213,1,13,14,NULL,NULL,NULL,NULL),(28,213,1,13,15,NULL,NULL,NULL,NULL),(28,213,1,13,16,NULL,NULL,NULL,NULL),(28,213,1,13,17,NULL,NULL,NULL,NULL),(28,213,1,13,18,NULL,NULL,NULL,NULL),(28,213,1,13,19,NULL,NULL,NULL,NULL),(28,213,1,13,20,NULL,NULL,NULL,NULL),(28,213,1,13,21,NULL,NULL,NULL,NULL),(28,213,1,13,22,NULL,NULL,NULL,NULL),(28,213,1,13,23,NULL,NULL,NULL,NULL),(28,213,1,13,24,NULL,NULL,NULL,NULL),(28,213,1,13,25,NULL,NULL,NULL,NULL),(28,213,1,13,26,NULL,NULL,NULL,NULL),(28,213,1,13,27,NULL,NULL,NULL,NULL),(28,213,1,13,28,NULL,NULL,NULL,NULL),(28,213,1,13,29,NULL,NULL,NULL,NULL),(28,213,1,13,30,NULL,NULL,NULL,NULL),(28,213,1,13,31,NULL,NULL,NULL,NULL),(28,213,1,13,32,NULL,NULL,NULL,NULL),(28,213,1,13,33,NULL,NULL,NULL,NULL),(28,213,1,13,34,NULL,NULL,NULL,NULL),(28,213,1,13,35,NULL,NULL,NULL,NULL),(28,213,1,13,36,NULL,NULL,NULL,NULL),(28,213,1,13,37,NULL,NULL,NULL,NULL),(28,213,1,13,38,NULL,NULL,NULL,NULL),(28,213,1,13,39,NULL,NULL,NULL,NULL),(28,213,1,13,40,NULL,NULL,NULL,NULL),(28,213,1,14,1,14,NULL,12,NULL),(28,213,1,14,2,1,11,1,12),(28,213,1,14,3,10,7,8,4),(28,213,1,14,4,10,7,3,4),(28,213,1,14,5,9,11,9,6),(28,213,1,14,6,5,19,9,8),(28,213,1,14,7,5,7,6,3),(28,213,1,14,8,3,12,2,10),(28,213,1,14,9,4,7,6,5),(28,213,1,14,10,16,6,10,3),(28,213,1,14,11,1,8,3,5),(28,213,1,14,12,6,11,7,6),(28,213,1,14,13,17,12,17,1),(28,213,1,14,14,15,6,11,4),(28,213,1,14,15,19,NULL,15,NULL),(28,213,1,14,16,15,7,13,4),(28,213,1,14,17,10,13,12,5),(28,213,1,14,18,10,5,11,3),(28,213,1,14,19,16,14,13,6),(28,213,1,14,20,11,21,13,6),(28,213,1,14,21,1,6,1,2),(28,213,1,14,22,2,8,4,6),(28,213,1,14,23,2,8,2,4),(28,213,1,14,24,1,NULL,3,NULL),(28,213,1,14,25,1,6,2,7),(28,213,1,14,26,2,3,2,7),(28,213,1,14,27,9,NULL,10,NULL),(28,213,1,14,28,1,2,1,1),(28,213,1,14,29,NULL,7,NULL,4),(28,213,1,14,30,6,12,7,4),(28,213,1,14,31,NULL,2,1,2),(28,213,1,14,32,3,12,4,6),(28,213,1,14,33,3,11,5,5),(28,213,1,14,34,14,9,15,2),(28,213,1,14,35,2,4,1,3),(28,213,1,14,36,1,NULL,3,NULL),(28,213,1,14,37,NULL,2,NULL,1),(28,213,1,14,38,1,7,3,3),(28,213,1,14,39,7,18,9,7),(28,213,1,14,40,4,NULL,3,NULL),(28,213,1,15,1,8,NULL,5,NULL),(28,213,1,15,2,2,8,NULL,6),(28,213,1,15,3,7,8,5,5),(28,213,1,15,4,4,6,1,3),(28,213,1,15,5,5,9,1,3),(28,213,1,15,6,5,16,3,2),(28,213,1,15,7,6,6,NULL,5),(28,213,1,15,8,NULL,11,NULL,3),(28,213,1,15,9,2,8,2,4),(28,213,1,15,10,13,8,6,3),(28,213,1,15,11,1,6,NULL,5),(28,213,1,15,12,3,8,NULL,3),(28,213,1,15,13,16,7,8,3),(28,213,1,15,14,8,3,5,2),(28,213,1,15,15,16,NULL,8,NULL),(28,213,1,15,16,12,5,8,2),(28,213,1,15,17,7,9,5,5),(28,213,1,15,18,8,5,4,4),(28,213,1,15,19,17,7,9,1),(28,213,1,15,20,11,16,6,5),(28,213,1,15,21,3,5,2,2),(28,213,1,15,22,2,7,1,3),(28,213,1,15,23,1,7,NULL,4),(28,213,1,15,24,NULL,NULL,1,NULL),(28,213,1,15,25,NULL,4,NULL,1),(28,213,1,15,26,1,5,NULL,3),(28,213,1,15,27,8,NULL,3,NULL),(28,213,1,15,28,NULL,1,1,NULL),(28,213,1,15,29,1,7,1,4),(28,213,1,15,30,5,5,2,4),(28,213,1,15,31,1,4,NULL,1),(28,213,1,15,32,5,7,NULL,4),(28,213,1,15,33,2,6,2,4),(28,213,1,15,34,9,6,9,NULL),(28,213,1,15,35,1,3,2,1),(28,213,1,15,36,2,NULL,1,NULL),(28,213,1,15,37,3,2,NULL,1),(28,213,1,15,38,2,4,3,4),(28,213,1,15,39,7,10,3,7),(28,213,1,15,40,3,NULL,5,NULL),(28,213,1,16,1,9,NULL,3,NULL),(28,213,1,16,2,1,7,NULL,1),(28,213,1,16,3,2,11,NULL,3),(28,213,1,16,4,1,8,1,1),(28,213,1,16,5,1,6,2,NULL),(28,213,1,16,6,2,10,NULL,2),(28,213,1,16,7,2,7,NULL,2),(28,213,1,16,8,NULL,6,NULL,NULL),(28,213,1,16,9,2,4,NULL,NULL),(28,213,1,16,10,9,5,1,3),(28,213,1,16,11,2,3,NULL,1),(28,213,1,16,12,1,3,NULL,NULL),(28,213,1,16,13,25,NULL,5,NULL),(28,213,1,16,14,19,6,4,1),(28,213,1,16,15,7,12,1,2),(28,213,1,16,16,15,NULL,4,NULL),(28,213,1,16,17,7,15,1,4),(28,213,1,16,18,5,9,1,3),(28,213,1,16,19,4,11,NULL,2),(28,213,1,16,20,4,6,NULL,3),(28,213,1,16,21,1,1,NULL,NULL),(28,213,1,16,22,NULL,3,NULL,NULL),(28,213,1,16,23,2,7,NULL,1),(28,213,1,16,24,NULL,NULL,NULL,NULL),(28,213,1,16,25,1,NULL,NULL,2),(28,213,1,16,26,NULL,5,NULL,NULL),(28,213,1,16,27,5,NULL,1,NULL),(28,213,1,16,28,NULL,NULL,NULL,1),(28,213,1,16,29,2,5,1,NULL),(28,213,1,16,30,2,6,NULL,1),(28,213,1,16,31,NULL,1,NULL,NULL),(28,213,1,16,32,3,6,NULL,3),(28,213,1,16,33,1,6,NULL,3),(28,213,1,16,34,4,3,2,2),(28,213,1,16,35,1,3,NULL,3),(28,213,1,16,36,NULL,NULL,NULL,NULL),(28,213,1,16,37,NULL,2,NULL,NULL),(28,213,1,16,38,NULL,1,NULL,1),(28,213,1,16,39,4,6,1,1),(28,213,1,16,40,2,NULL,NULL,NULL),(28,213,1,17,1,8,NULL,2,NULL),(28,213,1,17,2,NULL,3,NULL,1),(28,213,1,17,3,8,4,2,2),(28,213,1,17,4,5,6,1,3),(28,213,1,17,5,3,7,1,3),(28,213,1,17,6,1,11,NULL,4),(28,213,1,17,7,2,3,1,1),(28,213,1,17,8,1,7,NULL,2),(28,213,1,17,9,2,8,1,2),(28,213,1,17,10,12,3,5,NULL),(28,213,1,17,11,NULL,5,NULL,2),(28,213,1,17,12,1,2,1,2),(28,213,1,17,13,21,NULL,4,NULL),(28,213,1,17,14,20,2,4,NULL),(28,213,1,17,15,4,14,4,1),(28,213,1,17,16,17,NULL,4,NULL),(28,213,1,17,17,8,11,3,2),(28,213,1,17,18,7,7,2,1),(28,213,1,17,19,3,11,2,2),(28,213,1,17,20,3,5,1,NULL),(28,213,1,17,21,NULL,4,NULL,NULL),(28,213,1,17,22,NULL,3,NULL,1),(28,213,1,17,23,NULL,4,NULL,3),(28,213,1,17,24,NULL,NULL,1,NULL),(28,213,1,17,25,NULL,1,NULL,2),(28,213,1,17,26,NULL,4,NULL,NULL),(28,213,1,17,27,2,NULL,1,NULL),(28,213,1,17,28,NULL,2,NULL,1),(28,213,1,17,29,1,4,NULL,1),(28,213,1,17,30,1,6,NULL,2),(28,213,1,17,31,2,3,NULL,NULL),(28,213,1,17,32,3,6,NULL,2),(28,213,1,17,33,NULL,2,NULL,NULL),(28,213,1,17,34,5,4,3,NULL),(28,213,1,17,35,NULL,3,NULL,1),(28,213,1,17,36,NULL,NULL,NULL,NULL),(28,213,1,17,37,NULL,2,NULL,NULL),(28,213,1,17,38,NULL,2,NULL,1),(28,213,1,17,39,2,7,2,1),(28,213,1,17,40,1,NULL,NULL,NULL),(28,213,1,18,1,NULL,NULL,NULL,NULL),(28,213,1,18,2,NULL,NULL,NULL,NULL),(28,213,1,18,3,NULL,NULL,NULL,NULL),(28,213,1,18,4,NULL,NULL,NULL,NULL),(28,213,1,18,5,NULL,NULL,NULL,NULL),(28,213,1,18,6,NULL,NULL,NULL,NULL),(28,213,1,18,7,NULL,NULL,NULL,NULL),(28,213,1,18,8,NULL,NULL,NULL,NULL),(28,213,1,18,9,NULL,NULL,NULL,NULL),(28,213,1,18,10,NULL,NULL,NULL,NULL),(28,213,1,18,11,NULL,NULL,NULL,NULL),(28,213,1,18,12,NULL,NULL,NULL,NULL),(28,213,1,18,13,NULL,NULL,NULL,NULL),(28,213,1,18,14,NULL,NULL,NULL,NULL),(28,213,1,18,15,NULL,NULL,NULL,NULL),(28,213,1,18,16,NULL,NULL,NULL,NULL),(28,213,1,18,17,NULL,NULL,NULL,NULL),(28,213,1,18,18,NULL,NULL,NULL,NULL),(28,213,1,18,19,NULL,NULL,NULL,NULL),(28,213,1,18,20,NULL,NULL,NULL,NULL),(28,213,1,18,21,NULL,NULL,NULL,NULL),(28,213,1,18,22,NULL,NULL,NULL,NULL),(28,213,1,18,23,NULL,NULL,NULL,NULL),(28,213,1,18,24,NULL,NULL,NULL,NULL),(28,213,1,18,25,NULL,NULL,NULL,NULL),(28,213,1,18,26,NULL,NULL,NULL,NULL),(28,213,1,18,27,NULL,NULL,NULL,NULL),(28,213,1,18,28,NULL,NULL,NULL,NULL),(28,213,1,18,29,NULL,NULL,NULL,NULL),(28,213,1,18,30,NULL,NULL,NULL,NULL),(28,213,1,18,31,NULL,NULL,NULL,NULL),(28,213,1,18,32,NULL,NULL,NULL,NULL),(28,213,1,18,33,NULL,NULL,NULL,NULL),(28,213,1,18,34,NULL,NULL,NULL,NULL),(28,213,1,18,35,NULL,NULL,NULL,NULL),(28,213,1,18,36,NULL,NULL,NULL,NULL),(28,213,1,18,37,NULL,NULL,NULL,NULL),(28,213,1,18,38,NULL,NULL,NULL,NULL),(28,213,1,18,39,NULL,NULL,NULL,NULL),(28,213,1,18,40,NULL,NULL,NULL,NULL),(28,213,1,19,1,NULL,NULL,NULL,NULL),(28,213,1,19,2,NULL,NULL,NULL,NULL),(28,213,1,19,3,NULL,NULL,NULL,NULL),(28,213,1,19,4,NULL,NULL,NULL,NULL),(28,213,1,19,5,NULL,NULL,NULL,NULL),(28,213,1,19,6,NULL,NULL,NULL,NULL),(28,213,1,19,7,NULL,NULL,NULL,NULL),(28,213,1,19,8,NULL,NULL,NULL,NULL),(28,213,1,19,9,NULL,NULL,NULL,NULL),(28,213,1,19,10,NULL,NULL,NULL,NULL),(28,213,1,19,11,NULL,NULL,NULL,NULL),(28,213,1,19,12,NULL,NULL,NULL,NULL),(28,213,1,19,13,NULL,NULL,NULL,NULL),(28,213,1,19,14,NULL,NULL,NULL,NULL),(28,213,1,19,15,NULL,NULL,NULL,NULL),(28,213,1,19,16,NULL,NULL,NULL,NULL),(28,213,1,19,17,NULL,NULL,NULL,NULL),(28,213,1,19,18,NULL,NULL,NULL,NULL),(28,213,1,19,19,NULL,NULL,NULL,NULL),(28,213,1,19,20,NULL,NULL,NULL,NULL),(28,213,1,19,21,NULL,NULL,NULL,NULL),(28,213,1,19,22,NULL,NULL,NULL,NULL),(28,213,1,19,23,NULL,NULL,NULL,NULL),(28,213,1,19,24,NULL,NULL,NULL,NULL),(28,213,1,19,25,NULL,NULL,NULL,NULL),(28,213,1,19,26,NULL,NULL,NULL,NULL),(28,213,1,19,27,NULL,NULL,NULL,NULL),(28,213,1,19,28,NULL,NULL,NULL,NULL),(28,213,1,19,29,NULL,NULL,NULL,NULL),(28,213,1,19,30,NULL,NULL,NULL,NULL),(28,213,1,19,31,NULL,NULL,NULL,NULL),(28,213,1,19,32,NULL,NULL,NULL,NULL),(28,213,1,19,33,NULL,NULL,NULL,NULL),(28,213,1,19,34,NULL,NULL,NULL,NULL),(28,213,1,19,35,NULL,NULL,NULL,NULL),(28,213,1,19,36,NULL,NULL,NULL,NULL),(28,213,1,19,37,NULL,NULL,NULL,NULL),(28,213,1,19,38,NULL,NULL,NULL,NULL),(28,213,1,19,39,NULL,NULL,NULL,NULL),(28,213,1,19,40,NULL,NULL,NULL,NULL),(28,213,2,21,1,NULL,11,NULL,5),(28,213,2,21,2,1,7,1,4),(28,213,2,21,3,8,8,5,4),(28,213,2,21,4,1,2,1,1),(28,213,2,21,5,5,4,NULL,3),(28,213,2,21,6,7,12,3,5),(28,213,2,21,7,NULL,3,NULL,4),(28,213,2,21,8,4,6,2,2),(28,213,2,21,9,3,3,1,NULL),(28,213,2,21,10,4,4,5,2),(28,213,2,21,11,4,5,6,1),(28,213,2,21,12,5,8,4,2),(28,213,2,21,13,4,17,3,7),(28,213,2,21,14,6,10,7,3),(28,213,2,21,15,5,6,4,2),(28,213,2,21,16,4,9,3,6),(28,213,2,21,17,1,5,NULL,4),(28,213,2,21,18,14,7,5,4),(28,213,2,21,19,8,8,6,4),(28,213,2,21,20,10,9,6,3),(28,213,2,21,21,3,2,3,1),(28,213,2,21,22,6,8,6,2),(28,213,2,21,23,NULL,3,1,3),(28,213,2,21,24,3,7,2,3),(28,213,2,21,25,1,7,1,3),(28,213,2,21,26,1,3,NULL,NULL),(28,213,2,21,27,1,11,NULL,3),(28,213,2,21,28,NULL,7,NULL,7),(28,213,2,21,29,NULL,3,NULL,1),(28,213,2,21,30,1,4,1,1),(28,213,2,21,31,NULL,8,NULL,4),(28,213,2,21,32,NULL,2,2,1),(28,213,2,21,33,4,1,6,2),(28,213,2,21,34,3,6,4,5),(28,213,2,21,35,5,NULL,2,NULL),(28,213,2,21,36,1,1,NULL,1),(28,213,2,21,37,NULL,2,1,2),(28,213,2,21,38,1,1,3,NULL),(28,213,2,21,39,5,3,1,3),(28,213,2,21,40,2,14,2,7),(28,213,2,22,1,2,19,1,7),(28,213,2,22,2,2,8,3,4),(28,213,2,22,3,17,7,6,4),(28,213,2,22,4,NULL,8,NULL,5),(28,213,2,22,5,7,8,5,3),(28,213,2,22,6,11,17,6,4),(28,213,2,22,7,NULL,9,NULL,5),(28,213,2,22,8,6,4,2,7),(28,213,2,22,9,3,2,2,1),(28,213,2,22,10,8,3,4,3),(28,213,2,22,11,4,5,4,1),(28,213,2,22,12,6,15,3,6),(28,213,2,22,13,7,13,6,4),(28,213,2,22,14,10,12,8,3),(28,213,2,22,15,4,11,4,2),(28,213,2,22,16,6,11,2,7),(28,213,2,22,17,2,2,NULL,2),(28,213,2,22,18,11,13,8,3),(28,213,2,22,19,9,8,6,3),(28,213,2,22,20,12,11,7,NULL),(28,213,2,22,21,1,6,2,4),(28,213,2,22,22,8,6,7,3),(28,213,2,22,23,1,1,1,1),(28,213,2,22,24,NULL,8,NULL,2),(28,213,2,22,25,3,4,1,4),(28,213,2,22,26,NULL,7,NULL,2),(28,213,2,22,27,2,8,2,9),(28,213,2,22,28,1,8,NULL,3),(28,213,2,22,29,NULL,5,NULL,1),(28,213,2,22,30,NULL,5,NULL,1),(28,213,2,22,31,NULL,11,1,6),(28,213,2,22,32,NULL,2,NULL,3),(28,213,2,22,33,1,4,3,1),(28,213,2,22,34,2,11,5,5),(28,213,2,22,35,3,NULL,2,NULL),(28,213,2,22,36,1,3,NULL,1),(28,213,2,22,37,NULL,6,1,4),(28,213,2,22,38,NULL,3,NULL,5),(28,213,2,22,39,NULL,6,NULL,6),(28,213,2,22,40,3,18,5,6),(28,213,2,23,1,NULL,9,NULL,4),(28,213,2,23,2,NULL,3,NULL,2),(28,213,2,23,3,11,11,5,2),(28,213,2,23,4,NULL,7,NULL,1),(28,213,2,23,5,3,7,2,3),(28,213,2,23,6,6,10,NULL,3),(28,213,2,23,7,NULL,9,NULL,3),(28,213,2,23,8,2,5,NULL,3),(28,213,2,23,9,NULL,4,1,1),(28,213,2,23,10,8,11,5,2),(28,213,2,23,11,5,8,2,2),(28,213,2,23,12,4,7,1,2),(28,213,2,23,13,2,16,1,4),(28,213,2,23,14,6,12,2,5),(28,213,2,23,15,6,4,2,2),(28,213,2,23,16,6,11,NULL,5),(28,213,2,23,17,1,6,NULL,3),(28,213,2,23,18,10,15,1,6),(28,213,2,23,19,3,9,NULL,3),(28,213,2,23,20,7,8,4,2),(28,213,2,23,21,NULL,6,1,1),(28,213,2,23,22,8,4,4,1),(28,213,2,23,23,1,5,1,NULL),(28,213,2,23,24,NULL,7,NULL,3),(28,213,2,23,25,3,2,2,2),(28,213,2,23,26,1,8,NULL,3),(28,213,2,23,27,4,12,2,4),(28,213,2,23,28,1,8,NULL,4),(28,213,2,23,29,NULL,5,NULL,4),(28,213,2,23,30,1,7,1,1),(28,213,2,23,31,NULL,10,NULL,5),(28,213,2,23,32,1,2,1,1),(28,213,2,23,33,5,5,3,3),(28,213,2,23,34,1,10,2,3),(28,213,2,23,35,4,NULL,1,NULL),(28,213,2,23,36,NULL,3,NULL,2),(28,213,2,23,37,NULL,5,NULL,2),(28,213,2,23,38,1,2,NULL,1),(28,213,2,23,39,NULL,4,NULL,1),(28,213,2,23,40,1,10,3,2),(28,213,2,24,1,2,7,1,6),(28,213,2,24,2,NULL,7,NULL,4),(28,213,2,24,3,10,9,6,3),(28,213,2,24,4,NULL,4,NULL,1),(28,213,2,24,5,4,10,1,6),(28,213,2,24,6,7,11,5,3),(28,213,2,24,7,NULL,6,NULL,5),(28,213,2,24,8,2,8,4,3),(28,213,2,24,9,1,5,2,2),(28,213,2,24,10,7,4,4,2),(28,213,2,24,11,3,2,1,5),(28,213,2,24,12,7,4,3,3),(28,213,2,24,13,4,13,2,7),(28,213,2,24,14,3,9,2,6),(28,213,2,24,15,3,8,NULL,3),(28,213,2,24,16,4,13,1,7),(28,213,2,24,17,3,4,1,1),(28,213,2,24,18,10,9,6,3),(28,213,2,24,19,5,8,5,3),(28,213,2,24,20,6,6,3,2),(28,213,2,24,21,1,2,1,3),(28,213,2,24,22,4,3,4,3),(28,213,2,24,23,2,2,NULL,1),(28,213,2,24,24,1,4,1,4),(28,213,2,24,25,2,4,NULL,3),(28,213,2,24,26,NULL,6,1,3),(28,213,2,24,27,1,11,2,5),(28,213,2,24,28,NULL,4,1,5),(28,213,2,24,29,NULL,3,NULL,3),(28,213,2,24,30,1,3,NULL,NULL),(28,213,2,24,31,1,6,NULL,6),(28,213,2,24,32,NULL,2,NULL,NULL),(28,213,2,24,33,6,2,3,3),(28,213,2,24,34,5,6,3,4),(28,213,2,24,35,2,NULL,NULL,NULL),(28,213,2,24,36,NULL,1,NULL,1),(28,213,2,24,37,NULL,4,NULL,5),(28,213,2,24,38,NULL,2,1,2),(28,213,2,24,39,3,5,NULL,4),(28,213,2,24,40,3,10,1,5),(28,214,1,11,1,NULL,NULL,NULL,NULL),(28,214,1,11,2,NULL,NULL,NULL,NULL),(28,214,1,11,3,NULL,NULL,NULL,NULL),(28,214,1,11,4,NULL,NULL,NULL,NULL),(28,214,1,11,5,NULL,NULL,NULL,NULL),(28,214,1,11,6,NULL,NULL,NULL,NULL),(28,214,1,11,7,NULL,NULL,NULL,NULL),(28,214,1,11,8,NULL,NULL,NULL,NULL),(28,214,1,11,9,NULL,NULL,NULL,NULL),(28,214,1,11,10,NULL,NULL,NULL,NULL),(28,214,1,11,11,NULL,NULL,NULL,NULL),(28,214,1,11,12,NULL,NULL,NULL,NULL),(28,214,1,11,13,NULL,NULL,NULL,NULL),(28,214,1,11,14,NULL,NULL,NULL,NULL),(28,214,1,11,15,NULL,NULL,NULL,NULL),(28,214,1,11,16,NULL,NULL,NULL,NULL),(28,214,1,11,17,NULL,NULL,NULL,NULL),(28,214,1,11,18,NULL,NULL,NULL,NULL),(28,214,1,11,19,NULL,NULL,NULL,NULL),(28,214,1,11,20,NULL,NULL,NULL,NULL),(28,214,1,11,21,NULL,NULL,NULL,NULL),(28,214,1,11,22,NULL,NULL,NULL,NULL),(28,214,1,11,23,NULL,NULL,NULL,NULL),(28,214,1,11,24,NULL,NULL,NULL,NULL),(28,214,1,11,25,NULL,NULL,NULL,NULL),(28,214,1,11,26,NULL,NULL,NULL,NULL),(28,214,1,11,27,NULL,NULL,NULL,NULL),(28,214,1,11,28,NULL,NULL,NULL,NULL),(28,214,1,11,29,NULL,NULL,NULL,NULL),(28,214,1,11,30,NULL,NULL,NULL,NULL),(28,214,1,11,31,NULL,NULL,NULL,NULL),(28,214,1,11,32,NULL,NULL,NULL,NULL),(28,214,1,11,33,NULL,NULL,NULL,NULL),(28,214,1,11,34,NULL,NULL,NULL,NULL),(28,214,1,11,35,NULL,NULL,NULL,NULL),(28,214,1,11,36,NULL,NULL,NULL,NULL),(28,214,1,11,37,NULL,NULL,NULL,NULL),(28,214,1,11,38,NULL,NULL,NULL,NULL),(28,214,1,11,39,NULL,NULL,NULL,NULL),(28,214,1,11,40,NULL,NULL,NULL,NULL),(28,214,1,12,1,NULL,NULL,NULL,NULL),(28,214,1,12,2,NULL,NULL,NULL,NULL),(28,214,1,12,3,NULL,NULL,NULL,NULL),(28,214,1,12,4,NULL,NULL,NULL,NULL),(28,214,1,12,5,NULL,NULL,NULL,NULL),(28,214,1,12,6,NULL,NULL,NULL,NULL),(28,214,1,12,7,NULL,NULL,NULL,NULL),(28,214,1,12,8,NULL,NULL,NULL,NULL),(28,214,1,12,9,NULL,NULL,NULL,NULL),(28,214,1,12,10,NULL,NULL,NULL,NULL),(28,214,1,12,11,NULL,NULL,NULL,NULL),(28,214,1,12,12,NULL,NULL,NULL,NULL),(28,214,1,12,13,NULL,NULL,NULL,NULL),(28,214,1,12,14,NULL,NULL,NULL,NULL),(28,214,1,12,15,NULL,NULL,NULL,NULL),(28,214,1,12,16,NULL,NULL,NULL,NULL),(28,214,1,12,17,NULL,NULL,NULL,NULL),(28,214,1,12,18,NULL,NULL,NULL,NULL),(28,214,1,12,19,NULL,NULL,NULL,NULL),(28,214,1,12,20,NULL,NULL,NULL,NULL),(28,214,1,12,21,NULL,NULL,NULL,NULL),(28,214,1,12,22,NULL,NULL,NULL,NULL),(28,214,1,12,23,NULL,NULL,NULL,NULL),(28,214,1,12,24,NULL,NULL,NULL,NULL),(28,214,1,12,25,NULL,NULL,NULL,NULL),(28,214,1,12,26,NULL,NULL,NULL,NULL),(28,214,1,12,27,NULL,NULL,NULL,NULL),(28,214,1,12,28,NULL,NULL,NULL,NULL),(28,214,1,12,29,NULL,NULL,NULL,NULL),(28,214,1,12,30,NULL,NULL,NULL,NULL),(28,214,1,12,31,NULL,NULL,NULL,NULL),(28,214,1,12,32,NULL,NULL,NULL,NULL),(28,214,1,12,33,NULL,NULL,NULL,NULL),(28,214,1,12,34,NULL,NULL,NULL,NULL),(28,214,1,12,35,NULL,NULL,NULL,NULL),(28,214,1,12,36,NULL,NULL,NULL,NULL),(28,214,1,12,37,NULL,NULL,NULL,NULL),(28,214,1,12,38,NULL,NULL,NULL,NULL),(28,214,1,12,39,NULL,NULL,NULL,NULL),(28,214,1,12,40,NULL,NULL,NULL,NULL),(28,214,1,13,1,NULL,NULL,NULL,NULL),(28,214,1,13,2,NULL,NULL,NULL,NULL),(28,214,1,13,3,NULL,NULL,NULL,NULL),(28,214,1,13,4,NULL,NULL,NULL,NULL),(28,214,1,13,5,NULL,NULL,NULL,NULL),(28,214,1,13,6,NULL,NULL,NULL,NULL),(28,214,1,13,7,NULL,NULL,NULL,NULL),(28,214,1,13,8,NULL,NULL,NULL,NULL),(28,214,1,13,9,NULL,NULL,NULL,NULL),(28,214,1,13,10,NULL,NULL,NULL,NULL),(28,214,1,13,11,NULL,NULL,NULL,NULL),(28,214,1,13,12,NULL,NULL,NULL,NULL),(28,214,1,13,13,NULL,NULL,NULL,NULL),(28,214,1,13,14,NULL,NULL,NULL,NULL),(28,214,1,13,15,NULL,NULL,NULL,NULL),(28,214,1,13,16,NULL,NULL,NULL,NULL),(28,214,1,13,17,NULL,NULL,NULL,NULL),(28,214,1,13,18,NULL,NULL,NULL,NULL),(28,214,1,13,19,NULL,NULL,NULL,NULL),(28,214,1,13,20,NULL,NULL,NULL,NULL),(28,214,1,13,21,NULL,NULL,NULL,NULL),(28,214,1,13,22,NULL,NULL,NULL,NULL),(28,214,1,13,23,NULL,NULL,NULL,NULL),(28,214,1,13,24,NULL,NULL,NULL,NULL),(28,214,1,13,25,NULL,NULL,NULL,NULL),(28,214,1,13,26,NULL,NULL,NULL,NULL),(28,214,1,13,27,NULL,NULL,NULL,NULL),(28,214,1,13,28,NULL,NULL,NULL,NULL),(28,214,1,13,29,NULL,NULL,NULL,NULL),(28,214,1,13,30,NULL,NULL,NULL,NULL),(28,214,1,13,31,NULL,NULL,NULL,NULL),(28,214,1,13,32,NULL,NULL,NULL,NULL),(28,214,1,13,33,NULL,NULL,NULL,NULL),(28,214,1,13,34,NULL,NULL,NULL,NULL),(28,214,1,13,35,NULL,NULL,NULL,NULL),(28,214,1,13,36,NULL,NULL,NULL,NULL),(28,214,1,13,37,NULL,NULL,NULL,NULL),(28,214,1,13,38,NULL,NULL,NULL,NULL),(28,214,1,13,39,NULL,NULL,NULL,NULL),(28,214,1,13,40,NULL,NULL,NULL,NULL),(28,214,1,14,1,43,NULL,9,NULL),(28,214,1,14,2,11,30,5,3),(28,214,1,14,3,29,21,10,3),(28,214,1,14,4,11,16,3,3),(28,214,1,14,5,33,15,8,5),(28,214,1,14,6,10,36,2,11),(28,214,1,14,7,15,16,6,3),(28,214,1,14,8,9,29,1,10),(28,214,1,14,9,11,17,3,4),(28,214,1,14,10,37,12,10,2),(28,214,1,14,11,5,13,NULL,NULL),(28,214,1,14,12,24,23,8,3),(28,214,1,14,13,54,23,13,1),(28,214,1,14,14,25,19,12,NULL),(28,214,1,14,15,51,NULL,10,NULL),(28,214,1,14,16,47,15,13,2),(28,214,1,14,17,21,39,6,7),(28,214,1,14,18,28,16,7,3),(28,214,1,14,19,53,21,12,4),(28,214,1,14,20,39,34,10,6),(28,214,1,14,21,3,8,2,3),(28,214,1,14,22,7,29,1,7),(28,214,1,14,23,6,13,4,3),(28,214,1,14,24,4,NULL,1,NULL),(28,214,1,14,25,5,12,2,2),(28,214,1,14,26,2,23,NULL,9),(28,214,1,14,27,33,NULL,9,NULL),(28,214,1,14,28,1,1,NULL,NULL),(28,214,1,14,29,6,18,2,6),(28,214,1,14,30,18,27,5,6),(28,214,1,14,31,7,11,4,5),(28,214,1,14,32,12,24,1,3),(28,214,1,14,33,12,18,5,3),(28,214,1,14,34,41,14,15,NULL),(28,214,1,14,35,5,15,2,2),(28,214,1,14,36,19,NULL,5,NULL),(28,214,1,14,37,4,6,2,1),(28,214,1,14,38,19,13,5,2),(28,214,1,14,39,24,33,2,10),(28,214,1,14,40,4,NULL,3,NULL),(28,214,1,15,1,31,NULL,10,NULL),(28,214,1,15,2,5,33,2,7),(28,214,1,15,3,19,26,7,6),(28,214,1,15,4,11,22,1,6),(28,214,1,15,5,22,21,4,4),(28,214,1,15,6,10,31,3,6),(28,214,1,15,7,14,18,1,5),(28,214,1,15,8,10,29,2,8),(28,214,1,15,9,8,17,1,3),(28,214,1,15,10,38,11,8,2),(28,214,1,15,11,7,15,2,3),(28,214,1,15,12,13,23,3,5),(28,214,1,15,13,59,12,12,NULL),(28,214,1,15,14,34,16,7,3),(28,214,1,15,15,51,NULL,12,NULL),(28,214,1,15,16,48,20,8,2),(28,214,1,15,17,29,40,5,8),(28,214,1,15,18,23,25,4,4),(28,214,1,15,19,54,19,11,2),(28,214,1,15,20,43,34,7,5),(28,214,1,15,21,3,8,3,1),(28,214,1,15,22,6,31,6,4),(28,214,1,15,23,5,13,2,3),(28,214,1,15,24,3,NULL,1,NULL),(28,214,1,15,25,3,10,1,5),(28,214,1,15,26,2,22,NULL,4),(28,214,1,15,27,31,NULL,7,NULL),(28,214,1,15,28,2,3,1,NULL),(28,214,1,15,29,5,16,1,4),(28,214,1,15,30,18,24,1,7),(28,214,1,15,31,4,12,NULL,3),(28,214,1,15,32,7,14,3,3),(28,214,1,15,33,9,16,3,5),(28,214,1,15,34,44,8,8,3),(28,214,1,15,35,11,14,5,4),(28,214,1,15,36,9,NULL,6,NULL),(28,214,1,15,37,7,6,1,1),(28,214,1,15,38,11,21,3,7),(28,214,1,15,39,19,36,1,11),(28,214,1,15,40,10,NULL,3,NULL),(28,214,1,16,1,6,NULL,4,NULL),(28,214,1,16,2,1,6,NULL,3),(28,214,1,16,3,8,9,4,2),(28,214,1,16,4,4,6,NULL,2),(28,214,1,16,5,5,6,4,1),(28,214,1,16,6,2,10,2,4),(28,214,1,16,7,NULL,7,NULL,3),(28,214,1,16,8,NULL,12,NULL,5),(28,214,1,16,9,4,3,1,2),(28,214,1,16,10,13,6,5,NULL),(28,214,1,16,11,1,8,NULL,4),(28,214,1,16,12,2,8,1,5),(28,214,1,16,13,27,NULL,9,NULL),(28,214,1,16,14,22,5,6,2),(28,214,1,16,15,9,14,5,3),(28,214,1,16,16,21,NULL,7,NULL),(28,214,1,16,17,12,14,6,3),(28,214,1,16,18,6,8,1,3),(28,214,1,16,19,1,13,1,4),(28,214,1,16,20,3,7,3,NULL),(28,214,1,16,21,NULL,5,1,2),(28,214,1,16,22,2,7,3,1),(28,214,1,16,23,NULL,11,1,3),(28,214,1,16,24,NULL,NULL,NULL,NULL),(28,214,1,16,25,1,2,1,1),(28,214,1,16,26,NULL,3,NULL,2),(28,214,1,16,27,8,NULL,5,NULL),(28,214,1,16,28,NULL,1,NULL,NULL),(28,214,1,16,29,1,4,NULL,2),(28,214,1,16,30,1,9,NULL,4),(28,214,1,16,31,NULL,2,NULL,1),(28,214,1,16,32,4,9,2,5),(28,214,1,16,33,NULL,5,NULL,1),(28,214,1,16,34,6,2,3,NULL),(28,214,1,16,35,2,3,NULL,NULL),(28,214,1,16,36,2,NULL,2,NULL),(28,214,1,16,37,2,5,1,1),(28,214,1,16,38,3,9,2,5),(28,214,1,16,39,6,10,2,4),(28,214,1,16,40,NULL,NULL,NULL,NULL),(28,214,1,17,1,13,NULL,1,NULL),(28,214,1,17,2,NULL,8,NULL,NULL),(28,214,1,17,3,3,16,1,1),(28,214,1,17,4,2,5,NULL,1),(28,214,1,17,5,6,8,1,1),(28,214,1,17,6,1,14,NULL,2),(28,214,1,17,7,3,10,1,NULL),(28,214,1,17,8,1,11,1,1),(28,214,1,17,9,4,5,NULL,NULL),(28,214,1,17,10,15,4,1,NULL),(28,214,1,17,11,1,4,NULL,NULL),(28,214,1,17,12,2,5,1,NULL),(28,214,1,17,13,25,NULL,1,NULL),(28,214,1,17,14,22,3,2,NULL),(28,214,1,17,15,13,10,2,NULL),(28,214,1,17,16,24,NULL,1,NULL),(28,214,1,17,17,6,16,1,1),(28,214,1,17,18,13,7,1,NULL),(28,214,1,17,19,3,15,1,NULL),(28,214,1,17,20,7,8,2,NULL),(28,214,1,17,21,NULL,1,NULL,NULL),(28,214,1,17,22,1,6,1,NULL),(28,214,1,17,23,1,9,NULL,NULL),(28,214,1,17,24,3,NULL,1,NULL),(28,214,1,17,25,1,2,1,1),(28,214,1,17,26,NULL,6,NULL,1),(28,214,1,17,27,8,NULL,1,NULL),(28,214,1,17,28,NULL,2,NULL,NULL),(28,214,1,17,29,1,7,1,NULL),(28,214,1,17,30,NULL,13,NULL,1),(28,214,1,17,31,1,5,NULL,2),(28,214,1,17,32,3,5,1,NULL),(28,214,1,17,33,1,7,NULL,NULL),(28,214,1,17,34,5,7,1,NULL),(28,214,1,17,35,1,4,NULL,1),(28,214,1,17,36,2,NULL,1,NULL),(28,214,1,17,37,1,1,NULL,NULL),(28,214,1,17,38,3,5,1,NULL),(28,214,1,17,39,4,10,1,NULL),(28,214,1,17,40,5,NULL,1,NULL),(28,214,1,18,1,NULL,NULL,NULL,NULL),(28,214,1,18,2,NULL,NULL,NULL,NULL),(28,214,1,18,3,NULL,NULL,NULL,NULL),(28,214,1,18,4,NULL,NULL,NULL,NULL),(28,214,1,18,5,NULL,NULL,NULL,NULL),(28,214,1,18,6,NULL,NULL,NULL,NULL),(28,214,1,18,7,NULL,NULL,NULL,NULL),(28,214,1,18,8,NULL,NULL,NULL,NULL),(28,214,1,18,9,NULL,NULL,NULL,NULL),(28,214,1,18,10,NULL,NULL,NULL,NULL),(28,214,1,18,11,NULL,NULL,NULL,NULL),(28,214,1,18,12,NULL,NULL,NULL,NULL),(28,214,1,18,13,NULL,NULL,NULL,NULL),(28,214,1,18,14,NULL,NULL,NULL,NULL),(28,214,1,18,15,NULL,NULL,NULL,NULL),(28,214,1,18,16,NULL,NULL,NULL,NULL),(28,214,1,18,17,NULL,NULL,NULL,NULL),(28,214,1,18,18,NULL,NULL,NULL,NULL),(28,214,1,18,19,NULL,NULL,NULL,NULL),(28,214,1,18,20,NULL,NULL,NULL,NULL),(28,214,1,18,21,NULL,NULL,NULL,NULL),(28,214,1,18,22,NULL,NULL,NULL,NULL),(28,214,1,18,23,NULL,NULL,NULL,NULL),(28,214,1,18,24,NULL,NULL,NULL,NULL),(28,214,1,18,25,NULL,NULL,NULL,NULL),(28,214,1,18,26,NULL,NULL,NULL,NULL),(28,214,1,18,27,NULL,NULL,NULL,NULL),(28,214,1,18,28,NULL,NULL,NULL,NULL),(28,214,1,18,29,NULL,NULL,NULL,NULL),(28,214,1,18,30,NULL,NULL,NULL,NULL),(28,214,1,18,31,NULL,NULL,NULL,NULL),(28,214,1,18,32,NULL,NULL,NULL,NULL),(28,214,1,18,33,NULL,NULL,NULL,NULL),(28,214,1,18,34,NULL,NULL,NULL,NULL),(28,214,1,18,35,NULL,NULL,NULL,NULL),(28,214,1,18,36,NULL,NULL,NULL,NULL),(28,214,1,18,37,NULL,NULL,NULL,NULL),(28,214,1,18,38,NULL,NULL,NULL,NULL),(28,214,1,18,39,NULL,NULL,NULL,NULL),(28,214,1,18,40,NULL,NULL,NULL,NULL),(28,214,1,19,1,NULL,NULL,NULL,NULL),(28,214,1,19,2,NULL,NULL,NULL,NULL),(28,214,1,19,3,NULL,NULL,NULL,NULL),(28,214,1,19,4,NULL,NULL,NULL,NULL),(28,214,1,19,5,NULL,NULL,NULL,NULL),(28,214,1,19,6,NULL,NULL,NULL,NULL),(28,214,1,19,7,NULL,NULL,NULL,NULL),(28,214,1,19,8,NULL,NULL,NULL,NULL),(28,214,1,19,9,NULL,NULL,NULL,NULL),(28,214,1,19,10,NULL,NULL,NULL,NULL),(28,214,1,19,11,NULL,NULL,NULL,NULL),(28,214,1,19,12,NULL,NULL,NULL,NULL),(28,214,1,19,13,NULL,NULL,NULL,NULL),(28,214,1,19,14,NULL,NULL,NULL,NULL),(28,214,1,19,15,NULL,NULL,NULL,NULL),(28,214,1,19,16,NULL,NULL,NULL,NULL),(28,214,1,19,17,NULL,NULL,NULL,NULL),(28,214,1,19,18,NULL,NULL,NULL,NULL),(28,214,1,19,19,NULL,NULL,NULL,NULL),(28,214,1,19,20,NULL,NULL,NULL,NULL),(28,214,1,19,21,NULL,NULL,NULL,NULL),(28,214,1,19,22,NULL,NULL,NULL,NULL),(28,214,1,19,23,NULL,NULL,NULL,NULL),(28,214,1,19,24,NULL,NULL,NULL,NULL),(28,214,1,19,25,NULL,NULL,NULL,NULL),(28,214,1,19,26,NULL,NULL,NULL,NULL),(28,214,1,19,27,NULL,NULL,NULL,NULL),(28,214,1,19,28,NULL,NULL,NULL,NULL),(28,214,1,19,29,NULL,NULL,NULL,NULL),(28,214,1,19,30,NULL,NULL,NULL,NULL),(28,214,1,19,31,NULL,NULL,NULL,NULL),(28,214,1,19,32,NULL,NULL,NULL,NULL),(28,214,1,19,33,NULL,NULL,NULL,NULL),(28,214,1,19,34,NULL,NULL,NULL,NULL),(28,214,1,19,35,NULL,NULL,NULL,NULL),(28,214,1,19,36,NULL,NULL,NULL,NULL),(28,214,1,19,37,NULL,NULL,NULL,NULL),(28,214,1,19,38,NULL,NULL,NULL,NULL),(28,214,1,19,39,NULL,NULL,NULL,NULL),(28,214,1,19,40,NULL,NULL,NULL,NULL),(28,214,2,21,1,1,24,1,7),(28,214,2,21,2,2,23,1,8),(28,214,2,21,3,26,20,12,3),(28,214,2,21,4,1,17,1,4),(28,214,2,21,5,7,19,5,6),(28,214,2,21,6,21,28,8,5),(28,214,2,21,7,1,27,NULL,9),(28,214,2,21,8,12,17,5,6),(28,214,2,21,9,5,11,1,2),(28,214,2,21,10,13,16,6,4),(28,214,2,21,11,12,9,4,3),(28,214,2,21,12,10,20,3,6),(28,214,2,21,13,14,34,6,7),(28,214,2,21,14,25,18,9,6),(28,214,2,21,15,15,16,2,5),(28,214,2,21,16,11,22,6,5),(28,214,2,21,17,1,8,NULL,1),(28,214,2,21,18,23,23,7,8),(28,214,2,21,19,15,21,7,8),(28,214,2,21,20,20,15,9,4),(28,214,2,21,21,6,11,1,5),(28,214,2,21,22,25,10,7,5),(28,214,2,21,23,5,6,2,3),(28,214,2,21,24,5,14,3,7),(28,214,2,21,25,6,17,2,3),(28,214,2,21,26,2,13,1,5),(28,214,2,21,27,9,23,5,8),(28,214,2,21,28,4,16,1,6),(28,214,2,21,29,NULL,14,NULL,5),(28,214,2,21,30,NULL,11,NULL,4),(28,214,2,21,31,2,23,2,8),(28,214,2,21,32,2,1,NULL,1),(28,214,2,21,33,16,11,7,4),(28,214,2,21,34,20,12,10,2),(28,214,2,21,35,8,NULL,6,NULL),(28,214,2,21,36,NULL,10,NULL,2),(28,214,2,21,37,7,15,2,4),(28,214,2,21,38,6,11,3,2),(28,214,2,21,39,3,18,1,9),(28,214,2,21,40,15,29,9,6),(28,214,2,22,1,5,17,2,3),(28,214,2,22,2,4,14,2,1),(28,214,2,22,3,21,10,4,2),(28,214,2,22,4,1,7,1,2),(28,214,2,22,5,7,10,2,1),(28,214,2,22,6,21,16,6,1),(28,214,2,22,7,1,15,1,4),(28,214,2,22,8,7,16,4,1),(28,214,2,22,9,7,4,3,NULL),(28,214,2,22,10,10,9,1,1),(28,214,2,22,11,13,6,3,NULL),(28,214,2,22,12,16,12,6,1),(28,214,2,22,13,9,23,2,2),(28,214,2,22,14,18,8,2,2),(28,214,2,22,15,10,11,2,1),(28,214,2,22,16,3,18,1,3),(28,214,2,22,17,2,2,NULL,NULL),(28,214,2,22,18,20,17,3,3),(28,214,2,22,19,15,15,3,1),(28,214,2,22,20,22,2,5,NULL),(28,214,2,22,21,NULL,9,1,3),(28,214,2,22,22,19,10,3,2),(28,214,2,22,23,2,8,NULL,1),(28,214,2,22,24,2,8,NULL,1),(28,214,2,22,25,6,9,1,1),(28,214,2,22,26,4,9,2,1),(28,214,2,22,27,5,19,NULL,4),(28,214,2,22,28,2,13,1,3),(28,214,2,22,29,2,5,2,NULL),(28,214,2,22,30,1,3,NULL,2),(28,214,2,22,31,5,21,1,2),(28,214,2,22,32,1,4,1,NULL),(28,214,2,22,33,10,17,2,4),(28,214,2,22,34,13,9,2,2),(28,214,2,22,35,8,NULL,NULL,NULL),(28,214,2,22,36,NULL,8,NULL,3),(28,214,2,22,37,6,10,2,1),(28,214,2,22,38,4,6,1,1),(28,214,2,22,39,4,9,NULL,3),(28,214,2,22,40,8,19,2,3),(28,214,2,23,1,3,21,NULL,4),(28,214,2,23,2,1,18,NULL,3),(28,214,2,23,3,28,17,4,3),(28,214,2,23,4,NULL,7,1,1),(28,214,2,23,5,12,8,1,3),(28,214,2,23,6,15,20,4,1),(28,214,2,23,7,1,24,NULL,3),(28,214,2,23,8,11,18,2,2),(28,214,2,23,9,5,5,NULL,2),(28,214,2,23,10,13,10,3,3),(28,214,2,23,11,5,15,5,1),(28,214,2,23,12,15,16,4,1),(28,214,2,23,13,14,28,4,3),(28,214,2,23,14,23,18,5,3),(28,214,2,23,15,13,12,1,2),(28,214,2,23,16,11,26,1,4),(28,214,2,23,17,2,5,NULL,NULL),(28,214,2,23,18,17,29,4,4),(28,214,2,23,19,23,14,4,2),(28,214,2,23,20,23,12,3,2),(28,214,2,23,21,6,10,1,1),(28,214,2,23,22,27,5,6,NULL),(28,214,2,23,23,3,4,1,2),(28,214,2,23,24,2,13,1,3),(28,214,2,23,25,3,17,1,6),(28,214,2,23,26,3,10,1,2),(28,214,2,23,27,11,23,1,7),(28,214,2,23,28,2,13,NULL,3),(28,214,2,23,29,1,12,1,1),(28,214,2,23,30,3,7,2,1),(28,214,2,23,31,6,28,1,4),(28,214,2,23,32,2,4,1,1),(28,214,2,23,33,17,11,3,3),(28,214,2,23,34,8,17,4,1),(28,214,2,23,35,7,NULL,NULL,NULL),(28,214,2,23,36,1,8,1,4),(28,214,2,23,37,5,9,NULL,4),(28,214,2,23,38,5,4,1,2),(28,214,2,23,39,2,15,NULL,5),(28,214,2,23,40,12,25,3,2),(28,214,2,24,1,2,20,1,5),(28,214,2,24,2,1,20,1,3),(28,214,2,24,3,24,24,2,6),(28,214,2,24,4,NULL,13,NULL,3),(28,214,2,24,5,13,17,6,1),(28,214,2,24,6,21,23,3,5),(28,214,2,24,7,NULL,20,NULL,4),(28,214,2,24,8,13,14,4,1),(28,214,2,24,9,6,6,2,NULL),(28,214,2,24,10,17,15,2,1),(28,214,2,24,11,15,9,3,NULL),(28,214,2,24,12,11,19,4,3),(28,214,2,24,13,12,35,6,2),(28,214,2,24,14,24,21,8,1),(28,214,2,24,15,9,12,2,2),(28,214,2,24,16,9,29,3,5),(28,214,2,24,17,2,10,1,3),(28,214,2,24,18,19,28,5,3),(28,214,2,24,19,21,22,4,2),(28,214,2,24,20,24,10,6,1),(28,214,2,24,21,5,11,2,NULL),(28,214,2,24,22,24,9,6,1),(28,214,2,24,23,4,7,1,1),(28,214,2,24,24,3,17,3,1),(28,214,2,24,25,4,19,1,3),(28,214,2,24,26,4,15,2,2),(28,214,2,24,27,7,28,2,6),(28,214,2,24,28,2,16,NULL,1),(28,214,2,24,29,3,14,2,NULL),(28,214,2,24,30,2,7,NULL,4),(28,214,2,24,31,4,22,3,4),(28,214,2,24,32,1,13,1,2),(28,214,2,24,33,10,11,2,2),(28,214,2,24,34,11,23,4,1),(28,214,2,24,35,8,NULL,2,NULL),(28,214,2,24,36,1,7,NULL,3),(28,214,2,24,37,5,17,1,3),(28,214,2,24,38,2,6,4,NULL),(28,214,2,24,39,3,23,2,3),(28,214,2,24,40,8,32,3,2),(28,215,1,11,1,NULL,NULL,2,NULL),(28,215,1,11,2,NULL,NULL,NULL,2),(28,215,1,11,3,NULL,NULL,1,1),(28,215,1,11,4,NULL,NULL,NULL,1),(28,215,1,11,5,NULL,NULL,2,NULL),(28,215,1,11,6,NULL,NULL,NULL,1),(28,215,1,11,7,NULL,NULL,NULL,NULL),(28,215,1,11,8,NULL,NULL,NULL,2),(28,215,1,11,9,NULL,NULL,NULL,NULL),(28,215,1,11,10,NULL,NULL,1,NULL),(28,215,1,11,11,NULL,NULL,NULL,NULL),(28,215,1,11,12,NULL,NULL,NULL,1),(28,215,1,11,13,NULL,NULL,2,NULL),(28,215,1,11,14,NULL,NULL,1,1),(28,215,1,11,15,NULL,NULL,2,NULL),(28,215,1,11,16,NULL,NULL,2,NULL),(28,215,1,11,17,NULL,NULL,2,NULL),(28,215,1,11,18,NULL,NULL,2,NULL),(28,215,1,11,19,NULL,NULL,2,NULL),(28,215,1,11,20,NULL,NULL,NULL,NULL),(28,215,1,11,21,NULL,NULL,NULL,NULL),(28,215,1,11,22,NULL,NULL,NULL,2),(28,215,1,11,23,NULL,NULL,NULL,NULL),(28,215,1,11,24,NULL,NULL,NULL,NULL),(28,215,1,11,25,NULL,NULL,NULL,1),(28,215,1,11,26,NULL,NULL,1,NULL),(28,215,1,11,27,NULL,NULL,2,NULL),(28,215,1,11,28,NULL,NULL,NULL,NULL),(28,215,1,11,29,NULL,NULL,NULL,1),(28,215,1,11,30,NULL,NULL,NULL,2),(28,215,1,11,31,NULL,NULL,NULL,NULL),(28,215,1,11,32,NULL,NULL,NULL,NULL),(28,215,1,11,33,NULL,NULL,1,NULL),(28,215,1,11,34,NULL,NULL,2,NULL),(28,215,1,11,35,NULL,NULL,1,1),(28,215,1,11,36,NULL,NULL,1,NULL),(28,215,1,11,37,NULL,NULL,NULL,NULL),(28,215,1,11,38,NULL,NULL,1,NULL),(28,215,1,11,39,NULL,NULL,NULL,1),(28,215,1,11,40,NULL,NULL,NULL,NULL),(28,215,1,12,1,NULL,NULL,NULL,NULL),(28,215,1,12,2,NULL,NULL,NULL,NULL),(28,215,1,12,3,NULL,NULL,NULL,NULL),(28,215,1,12,4,NULL,NULL,NULL,NULL),(28,215,1,12,5,NULL,NULL,NULL,NULL),(28,215,1,12,6,NULL,NULL,NULL,NULL),(28,215,1,12,7,NULL,NULL,NULL,NULL),(28,215,1,12,8,NULL,NULL,NULL,NULL),(28,215,1,12,9,NULL,NULL,NULL,NULL),(28,215,1,12,10,NULL,NULL,NULL,NULL),(28,215,1,12,11,NULL,NULL,NULL,NULL),(28,215,1,12,12,NULL,NULL,NULL,NULL),(28,215,1,12,13,NULL,NULL,NULL,NULL),(28,215,1,12,14,NULL,NULL,NULL,NULL),(28,215,1,12,15,NULL,NULL,NULL,NULL),(28,215,1,12,16,NULL,NULL,NULL,NULL),(28,215,1,12,17,NULL,NULL,NULL,NULL),(28,215,1,12,18,NULL,NULL,NULL,NULL),(28,215,1,12,19,NULL,NULL,NULL,NULL),(28,215,1,12,20,NULL,NULL,NULL,NULL),(28,215,1,12,21,NULL,NULL,NULL,NULL),(28,215,1,12,22,NULL,NULL,NULL,NULL),(28,215,1,12,23,NULL,NULL,NULL,NULL),(28,215,1,12,24,NULL,NULL,NULL,NULL),(28,215,1,12,25,NULL,NULL,NULL,NULL),(28,215,1,12,26,NULL,NULL,NULL,NULL),(28,215,1,12,27,NULL,NULL,NULL,NULL),(28,215,1,12,28,NULL,NULL,NULL,NULL),(28,215,1,12,29,NULL,NULL,NULL,NULL),(28,215,1,12,30,NULL,NULL,NULL,NULL),(28,215,1,12,31,NULL,NULL,NULL,NULL),(28,215,1,12,32,NULL,NULL,NULL,NULL),(28,215,1,12,33,NULL,NULL,NULL,NULL),(28,215,1,12,34,NULL,NULL,NULL,NULL),(28,215,1,12,35,NULL,NULL,NULL,NULL),(28,215,1,12,36,NULL,NULL,NULL,NULL),(28,215,1,12,37,NULL,NULL,NULL,NULL),(28,215,1,12,38,NULL,NULL,NULL,NULL),(28,215,1,12,39,NULL,NULL,NULL,NULL),(28,215,1,12,40,NULL,NULL,NULL,NULL),(28,215,1,13,1,NULL,NULL,NULL,NULL),(28,215,1,13,2,NULL,NULL,NULL,NULL),(28,215,1,13,3,NULL,NULL,NULL,NULL),(28,215,1,13,4,NULL,NULL,NULL,NULL),(28,215,1,13,5,NULL,NULL,NULL,NULL),(28,215,1,13,6,NULL,NULL,NULL,NULL),(28,215,1,13,7,NULL,NULL,NULL,NULL),(28,215,1,13,8,NULL,NULL,NULL,NULL),(28,215,1,13,9,NULL,NULL,NULL,NULL),(28,215,1,13,10,NULL,NULL,NULL,NULL),(28,215,1,13,11,NULL,NULL,NULL,NULL),(28,215,1,13,12,NULL,NULL,NULL,NULL),(28,215,1,13,13,NULL,NULL,NULL,NULL),(28,215,1,13,14,NULL,NULL,NULL,NULL),(28,215,1,13,15,NULL,NULL,NULL,NULL),(28,215,1,13,16,NULL,NULL,NULL,NULL),(28,215,1,13,17,NULL,NULL,NULL,NULL),(28,215,1,13,18,NULL,NULL,NULL,NULL),(28,215,1,13,19,NULL,NULL,NULL,NULL),(28,215,1,13,20,NULL,NULL,NULL,NULL),(28,215,1,13,21,NULL,NULL,NULL,NULL),(28,215,1,13,22,NULL,NULL,NULL,NULL),(28,215,1,13,23,NULL,NULL,NULL,NULL),(28,215,1,13,24,NULL,NULL,NULL,NULL),(28,215,1,13,25,NULL,NULL,NULL,NULL),(28,215,1,13,26,NULL,NULL,NULL,NULL),(28,215,1,13,27,NULL,NULL,NULL,NULL),(28,215,1,13,28,NULL,NULL,NULL,NULL),(28,215,1,13,29,NULL,NULL,NULL,NULL),(28,215,1,13,30,NULL,NULL,NULL,NULL),(28,215,1,13,31,NULL,NULL,NULL,NULL),(28,215,1,13,32,NULL,NULL,NULL,NULL),(28,215,1,13,33,NULL,NULL,NULL,NULL),(28,215,1,13,34,NULL,NULL,NULL,NULL),(28,215,1,13,35,NULL,NULL,NULL,NULL),(28,215,1,13,36,NULL,NULL,NULL,NULL),(28,215,1,13,37,NULL,NULL,NULL,NULL),(28,215,1,13,38,NULL,NULL,NULL,NULL),(28,215,1,13,39,NULL,NULL,NULL,NULL),(28,215,1,13,40,NULL,NULL,NULL,NULL),(28,215,1,14,1,9,NULL,9,NULL),(28,215,1,14,2,3,5,3,5),(28,215,1,14,3,9,11,8,4),(28,215,1,14,4,5,6,3,3),(28,215,1,14,5,11,7,9,3),(28,215,1,14,6,2,15,6,5),(28,215,1,14,7,4,10,3,4),(28,215,1,14,8,4,12,2,9),(28,215,1,14,9,5,10,5,2),(28,215,1,14,10,18,6,13,2),(28,215,1,14,11,4,6,6,4),(28,215,1,14,12,5,11,2,5),(28,215,1,14,13,18,8,13,2),(28,215,1,14,14,4,8,7,3),(28,215,1,14,15,18,NULL,11,NULL),(28,215,1,14,16,13,6,12,2),(28,215,1,14,17,7,18,4,10),(28,215,1,14,18,3,6,3,4),(28,215,1,14,19,15,5,12,3),(28,215,1,14,20,6,19,6,9),(28,215,1,14,21,NULL,6,NULL,1),(28,215,1,14,22,4,6,1,3),(28,215,1,14,23,2,7,3,3),(28,215,1,14,24,NULL,NULL,NULL,NULL),(28,215,1,14,25,1,7,NULL,1),(28,215,1,14,26,1,1,NULL,3),(28,215,1,14,27,8,NULL,8,NULL),(28,215,1,14,28,1,2,NULL,2),(28,215,1,14,29,1,5,1,5),(28,215,1,14,30,2,10,4,7),(28,215,1,14,31,NULL,3,NULL,2),(28,215,1,14,32,3,2,1,4),(28,215,1,14,33,3,5,3,4),(28,215,1,14,34,11,3,5,2),(28,215,1,14,35,NULL,5,NULL,4),(28,215,1,14,36,NULL,NULL,5,NULL),(28,215,1,14,37,1,3,NULL,1),(28,215,1,14,38,2,4,2,3),(28,215,1,14,39,11,12,6,6),(28,215,1,14,40,3,NULL,4,NULL),(28,215,1,15,1,7,NULL,5,NULL),(28,215,1,15,2,NULL,11,1,5),(28,215,1,15,3,9,6,7,5),(28,215,1,15,4,3,7,2,4),(28,215,1,15,5,9,11,8,3),(28,215,1,15,6,4,12,2,9),(28,215,1,15,7,5,2,7,1),(28,215,1,15,8,2,16,4,6),(28,215,1,15,9,4,9,1,5),(28,215,1,15,10,16,6,10,2),(28,215,1,15,11,3,5,3,5),(28,215,1,15,12,3,7,NULL,6),(28,215,1,15,13,21,6,11,1),(28,215,1,15,14,7,9,4,6),(28,215,1,15,15,15,NULL,10,NULL),(28,215,1,15,16,19,10,13,2),(28,215,1,15,17,5,23,3,9),(28,215,1,15,18,7,3,7,5),(28,215,1,15,19,18,10,13,1),(28,215,1,15,20,21,11,9,7),(28,215,1,15,21,NULL,9,NULL,1),(28,215,1,15,22,2,5,2,5),(28,215,1,15,23,NULL,8,NULL,2),(28,215,1,15,24,2,NULL,3,NULL),(28,215,1,15,25,2,2,3,3),(28,215,1,15,26,1,4,1,3),(28,215,1,15,27,9,NULL,3,NULL),(28,215,1,15,28,NULL,5,1,NULL),(28,215,1,15,29,1,1,NULL,3),(28,215,1,15,30,2,8,2,5),(28,215,1,15,31,2,4,2,2),(28,215,1,15,32,3,5,NULL,7),(28,215,1,15,33,2,3,2,3),(28,215,1,15,34,10,4,10,1),(28,215,1,15,35,2,2,3,3),(28,215,1,15,36,NULL,NULL,1,NULL),(28,215,1,15,37,2,3,NULL,1),(28,215,1,15,38,2,4,4,3),(28,215,1,15,39,13,6,4,4),(28,215,1,15,40,2,NULL,4,NULL),(28,215,1,16,1,10,NULL,4,NULL),(28,215,1,16,2,NULL,8,NULL,2),(28,215,1,16,3,6,7,2,3),(28,215,1,16,4,3,5,1,NULL),(28,215,1,16,5,6,7,1,1),(28,215,1,16,6,2,13,NULL,2),(28,215,1,16,7,2,6,1,2),(28,215,1,16,8,1,15,NULL,4),(28,215,1,16,9,7,2,3,NULL),(28,215,1,16,10,16,6,5,NULL),(28,215,1,16,11,4,7,2,2),(28,215,1,16,12,5,4,4,NULL),(28,215,1,16,13,28,NULL,5,NULL),(28,215,1,16,14,23,4,4,1),(28,215,1,16,15,9,14,1,4),(28,215,1,16,16,23,NULL,4,NULL),(28,215,1,16,17,12,19,1,4),(28,215,1,16,18,9,3,2,1),(28,215,1,16,19,5,15,1,4),(28,215,1,16,20,5,10,1,1),(28,215,1,16,21,NULL,5,NULL,NULL),(28,215,1,16,22,NULL,2,1,NULL),(28,215,1,16,23,2,9,1,2),(28,215,1,16,24,3,NULL,NULL,NULL),(28,215,1,16,25,1,2,NULL,1),(28,215,1,16,26,1,5,NULL,NULL),(28,215,1,16,27,6,NULL,2,NULL),(28,215,1,16,28,NULL,NULL,NULL,NULL),(28,215,1,16,29,2,6,NULL,1),(28,215,1,16,30,1,9,1,3),(28,215,1,16,31,7,4,NULL,1),(28,215,1,16,32,3,5,1,2),(28,215,1,16,33,2,3,NULL,1),(28,215,1,16,34,5,5,3,2),(28,215,1,16,35,1,4,NULL,NULL),(28,215,1,16,36,1,NULL,NULL,NULL),(28,215,1,16,37,3,NULL,1,NULL),(28,215,1,16,38,3,5,1,2),(28,215,1,16,39,5,5,NULL,3),(28,215,1,16,40,3,NULL,2,NULL),(28,215,1,17,1,11,NULL,4,NULL),(28,215,1,17,2,1,6,2,3),(28,215,1,17,3,11,7,5,1),(28,215,1,17,4,7,7,1,3),(28,215,1,17,5,3,6,2,2),(28,215,1,17,6,NULL,17,1,7),(28,215,1,17,7,6,9,2,2),(28,215,1,17,8,NULL,13,1,5),(28,215,1,17,9,6,10,2,3),(28,215,1,17,10,15,4,7,1),(28,215,1,17,11,1,5,NULL,5),(28,215,1,17,12,2,7,1,3),(28,215,1,17,13,34,NULL,11,NULL),(28,215,1,17,14,23,6,9,2),(28,215,1,17,15,8,24,1,8),(28,215,1,17,16,31,NULL,11,NULL),(28,215,1,17,17,17,13,3,7),(28,215,1,17,18,2,8,2,2),(28,215,1,17,19,8,12,2,6),(28,215,1,17,20,4,8,3,3),(28,215,1,17,21,NULL,8,1,NULL),(28,215,1,17,22,2,5,NULL,2),(28,215,1,17,23,1,6,NULL,3),(28,215,1,17,24,NULL,NULL,1,NULL),(28,215,1,17,25,3,5,1,1),(28,215,1,17,26,NULL,1,NULL,1),(28,215,1,17,27,7,NULL,5,NULL),(28,215,1,17,28,NULL,NULL,NULL,1),(28,215,1,17,29,1,8,NULL,4),(28,215,1,17,30,3,10,2,3),(28,215,1,17,31,2,3,1,2),(28,215,1,17,32,5,5,2,5),(28,215,1,17,33,NULL,5,NULL,1),(28,215,1,17,34,10,4,3,1),(28,215,1,17,35,NULL,1,NULL,3),(28,215,1,17,36,1,NULL,2,NULL),(28,215,1,17,37,NULL,3,NULL,2),(28,215,1,17,38,NULL,6,1,2),(28,215,1,17,39,5,10,3,5),(28,215,1,17,40,1,NULL,NULL,NULL),(28,215,1,18,1,NULL,NULL,NULL,NULL),(28,215,1,18,2,NULL,NULL,NULL,NULL),(28,215,1,18,3,NULL,NULL,NULL,NULL),(28,215,1,18,4,NULL,NULL,NULL,NULL),(28,215,1,18,5,NULL,NULL,NULL,NULL),(28,215,1,18,6,NULL,NULL,NULL,NULL),(28,215,1,18,7,NULL,NULL,NULL,NULL),(28,215,1,18,8,NULL,NULL,NULL,NULL),(28,215,1,18,9,NULL,NULL,NULL,NULL),(28,215,1,18,10,NULL,NULL,NULL,NULL),(28,215,1,18,11,NULL,NULL,NULL,NULL),(28,215,1,18,12,NULL,NULL,NULL,NULL),(28,215,1,18,13,NULL,NULL,NULL,NULL),(28,215,1,18,14,NULL,NULL,NULL,NULL),(28,215,1,18,15,NULL,NULL,NULL,NULL),(28,215,1,18,16,NULL,NULL,NULL,NULL),(28,215,1,18,17,NULL,NULL,NULL,NULL),(28,215,1,18,18,NULL,NULL,NULL,NULL),(28,215,1,18,19,NULL,NULL,NULL,NULL),(28,215,1,18,20,NULL,NULL,NULL,NULL),(28,215,1,18,21,NULL,NULL,NULL,NULL),(28,215,1,18,22,NULL,NULL,NULL,NULL),(28,215,1,18,23,NULL,NULL,NULL,NULL),(28,215,1,18,24,NULL,NULL,NULL,NULL),(28,215,1,18,25,NULL,NULL,NULL,NULL),(28,215,1,18,26,NULL,NULL,NULL,NULL),(28,215,1,18,27,NULL,NULL,NULL,NULL),(28,215,1,18,28,NULL,NULL,NULL,NULL),(28,215,1,18,29,NULL,NULL,NULL,NULL),(28,215,1,18,30,NULL,NULL,NULL,NULL),(28,215,1,18,31,NULL,NULL,NULL,NULL),(28,215,1,18,32,NULL,NULL,NULL,NULL),(28,215,1,18,33,NULL,NULL,NULL,NULL),(28,215,1,18,34,NULL,NULL,NULL,NULL),(28,215,1,18,35,NULL,NULL,NULL,NULL),(28,215,1,18,36,NULL,NULL,NULL,NULL),(28,215,1,18,37,NULL,NULL,NULL,NULL),(28,215,1,18,38,NULL,NULL,NULL,NULL),(28,215,1,18,39,NULL,NULL,NULL,NULL),(28,215,1,18,40,NULL,NULL,NULL,NULL),(28,215,1,19,1,NULL,NULL,NULL,NULL),(28,215,1,19,2,NULL,NULL,NULL,NULL),(28,215,1,19,3,NULL,NULL,NULL,NULL),(28,215,1,19,4,NULL,NULL,NULL,NULL),(28,215,1,19,5,NULL,NULL,NULL,NULL),(28,215,1,19,6,NULL,NULL,NULL,NULL),(28,215,1,19,7,NULL,NULL,NULL,NULL),(28,215,1,19,8,NULL,NULL,NULL,NULL),(28,215,1,19,9,NULL,NULL,NULL,NULL),(28,215,1,19,10,NULL,NULL,NULL,NULL),(28,215,1,19,11,NULL,NULL,NULL,NULL),(28,215,1,19,12,NULL,NULL,NULL,NULL),(28,215,1,19,13,NULL,NULL,NULL,NULL),(28,215,1,19,14,NULL,NULL,NULL,NULL),(28,215,1,19,15,NULL,NULL,NULL,NULL),(28,215,1,19,16,NULL,NULL,NULL,NULL),(28,215,1,19,17,NULL,NULL,NULL,NULL),(28,215,1,19,18,NULL,NULL,NULL,NULL),(28,215,1,19,19,NULL,NULL,NULL,NULL),(28,215,1,19,20,NULL,NULL,NULL,NULL),(28,215,1,19,21,NULL,NULL,NULL,NULL),(28,215,1,19,22,NULL,NULL,NULL,NULL),(28,215,1,19,23,NULL,NULL,NULL,NULL),(28,215,1,19,24,NULL,NULL,NULL,NULL),(28,215,1,19,25,NULL,NULL,NULL,NULL),(28,215,1,19,26,NULL,NULL,NULL,NULL),(28,215,1,19,27,NULL,NULL,NULL,NULL),(28,215,1,19,28,NULL,NULL,NULL,NULL),(28,215,1,19,29,NULL,NULL,NULL,NULL),(28,215,1,19,30,NULL,NULL,NULL,NULL),(28,215,1,19,31,NULL,NULL,NULL,NULL),(28,215,1,19,32,NULL,NULL,NULL,NULL),(28,215,1,19,33,NULL,NULL,NULL,NULL),(28,215,1,19,34,NULL,NULL,NULL,NULL),(28,215,1,19,35,NULL,NULL,NULL,NULL),(28,215,1,19,36,NULL,NULL,NULL,NULL),(28,215,1,19,37,NULL,NULL,NULL,NULL),(28,215,1,19,38,NULL,NULL,NULL,NULL),(28,215,1,19,39,NULL,NULL,NULL,NULL),(28,215,1,19,40,NULL,NULL,NULL,NULL),(28,215,2,21,1,1,16,NULL,9),(28,215,2,21,2,NULL,10,1,8),(28,215,2,21,3,10,10,13,6),(28,215,2,21,4,2,3,1,6),(28,215,2,21,5,4,4,3,8),(28,215,2,21,6,8,11,8,8),(28,215,2,21,7,NULL,11,NULL,12),(28,215,2,21,8,5,7,5,7),(28,215,2,21,9,NULL,6,2,3),(28,215,2,21,10,4,6,9,4),(28,215,2,21,11,5,5,5,1),(28,215,2,21,12,8,10,8,3),(28,215,2,21,13,4,17,6,10),(28,215,2,21,14,7,10,12,6),(28,215,2,21,15,2,6,3,4),(28,215,2,21,16,6,10,5,9),(28,215,2,21,17,1,4,1,5),(28,215,2,21,18,15,9,11,7),(28,215,2,21,19,6,8,4,13),(28,215,2,21,20,7,6,12,5),(28,215,2,21,21,1,5,1,5),(28,215,2,21,22,4,2,9,3),(28,215,2,21,23,NULL,1,NULL,3),(28,215,2,21,24,2,4,NULL,5),(28,215,2,21,25,1,3,1,7),(28,215,2,21,26,1,7,NULL,3),(28,215,2,21,27,NULL,8,2,8),(28,215,2,21,28,NULL,3,1,7),(28,215,2,21,29,NULL,5,NULL,5),(28,215,2,21,30,NULL,3,NULL,2),(28,215,2,21,31,1,9,1,12),(28,215,2,21,32,NULL,3,NULL,NULL),(28,215,2,21,33,2,4,7,6),(28,215,2,21,34,3,6,3,7),(28,215,2,21,35,7,NULL,8,NULL),(28,215,2,21,36,NULL,5,NULL,1),(28,215,2,21,37,2,6,2,4),(28,215,2,21,38,NULL,1,NULL,7),(28,215,2,21,39,NULL,7,2,5),(28,215,2,21,40,4,12,5,9),(28,215,2,22,1,2,9,NULL,5),(28,215,2,22,2,1,10,NULL,3),(28,215,2,22,3,10,9,5,2),(28,215,2,22,4,1,5,1,NULL),(28,215,2,22,5,6,7,3,2),(28,215,2,22,6,14,13,3,5),(28,215,2,22,7,1,9,1,4),(28,215,2,22,8,4,6,1,3),(28,215,2,22,9,3,1,1,NULL),(28,215,2,22,10,5,6,4,3),(28,215,2,22,11,3,3,2,1),(28,215,2,22,12,3,12,2,3),(28,215,2,22,13,4,14,3,6),(28,215,2,22,14,11,5,5,4),(28,215,2,22,15,1,10,1,3),(28,215,2,22,16,6,8,2,4),(28,215,2,22,17,3,6,NULL,1),(28,215,2,22,18,7,12,2,7),(28,215,2,22,19,8,9,2,6),(28,215,2,22,20,6,7,6,2),(28,215,2,22,21,2,3,NULL,4),(28,215,2,22,22,5,5,5,4),(28,215,2,22,23,1,2,NULL,4),(28,215,2,22,24,1,2,NULL,2),(28,215,2,22,25,1,3,NULL,2),(28,215,2,22,26,1,5,NULL,2),(28,215,2,22,27,4,14,2,4),(28,215,2,22,28,1,6,NULL,3),(28,215,2,22,29,NULL,1,NULL,1),(28,215,2,22,30,1,2,NULL,1),(28,215,2,22,31,NULL,13,NULL,8),(28,215,2,22,32,NULL,4,1,3),(28,215,2,22,33,3,6,6,3),(28,215,2,22,34,5,10,6,4),(28,215,2,22,35,3,NULL,2,NULL),(28,215,2,22,36,NULL,2,NULL,5),(28,215,2,22,37,1,3,2,3),(28,215,2,22,38,NULL,3,2,3),(28,215,2,22,39,3,6,1,2),(28,215,2,22,40,3,12,3,5),(28,215,2,23,1,NULL,14,NULL,3),(28,215,2,23,2,NULL,7,NULL,2),(28,215,2,23,3,10,12,6,1),(28,215,2,23,4,NULL,5,NULL,3),(28,215,2,23,5,4,6,5,1),(28,215,2,23,6,15,15,6,4),(28,215,2,23,7,NULL,17,NULL,6),(28,215,2,23,8,NULL,7,1,4),(28,215,2,23,9,2,2,2,2),(28,215,2,23,10,8,2,4,2),(28,215,2,23,11,2,3,3,2),(28,215,2,23,12,6,13,3,3),(28,215,2,23,13,1,11,2,6),(28,215,2,23,14,1,16,3,4),(28,215,2,23,15,4,7,4,2),(28,215,2,23,16,3,15,1,6),(28,215,2,23,17,1,2,NULL,NULL),(28,215,2,23,18,14,8,7,2),(28,215,2,23,19,6,3,5,4),(28,215,2,23,20,5,10,5,1),(28,215,2,23,21,2,9,NULL,5),(28,215,2,23,22,2,4,2,5),(28,215,2,23,23,NULL,2,NULL,1),(28,215,2,23,24,NULL,3,NULL,3),(28,215,2,23,25,NULL,3,NULL,3),(28,215,2,23,26,2,6,1,1),(28,215,2,23,27,1,8,2,5),(28,215,2,23,28,1,7,1,5),(28,215,2,23,29,NULL,4,1,1),(28,215,2,23,30,1,3,NULL,1),(28,215,2,23,31,1,16,NULL,10),(28,215,2,23,32,1,4,1,3),(28,215,2,23,33,4,9,1,4),(28,215,2,23,34,3,8,2,3),(28,215,2,23,35,4,NULL,4,NULL),(28,215,2,23,36,1,2,NULL,2),(28,215,2,23,37,1,7,1,2),(28,215,2,23,38,NULL,NULL,1,NULL),(28,215,2,23,39,1,5,1,3),(28,215,2,23,40,NULL,17,3,7),(28,215,2,24,1,NULL,14,NULL,7),(28,215,2,24,2,1,8,1,2),(28,215,2,24,3,15,11,4,4),(28,215,2,24,4,1,1,1,1),(28,215,2,24,5,4,7,2,2),(28,215,2,24,6,14,13,3,6),(28,215,2,24,7,NULL,10,NULL,3),(28,215,2,24,8,3,9,2,3),(28,215,2,24,9,3,8,1,2),(28,215,2,24,10,10,9,1,3),(28,215,2,24,11,7,3,4,2),(28,215,2,24,12,6,10,3,4),(28,215,2,24,13,5,18,2,5),(28,215,2,24,14,13,7,8,1),(28,215,2,24,15,8,6,3,3),(28,215,2,24,16,10,13,2,6),(28,215,2,24,17,2,7,NULL,3),(28,215,2,24,18,13,13,4,4),(28,215,2,24,19,6,11,4,4),(28,215,2,24,20,6,7,2,3),(28,215,2,24,21,1,2,NULL,NULL),(28,215,2,24,22,3,3,4,2),(28,215,2,24,23,2,5,1,1),(28,215,2,24,24,2,8,1,2),(28,215,2,24,25,1,6,NULL,2),(28,215,2,24,26,2,6,NULL,1),(28,215,2,24,27,2,12,1,6),(28,215,2,24,28,NULL,7,NULL,3),(28,215,2,24,29,1,5,NULL,NULL),(28,215,2,24,30,1,4,1,1),(28,215,2,24,31,2,13,1,5),(28,215,2,24,32,1,2,NULL,1),(28,215,2,24,33,2,8,2,5),(28,215,2,24,34,5,11,4,5),(28,215,2,24,35,5,NULL,2,NULL),(28,215,2,24,36,1,3,NULL,2),(28,215,2,24,37,2,6,3,2),(28,215,2,24,38,NULL,3,1,1),(28,215,2,24,39,1,11,1,5),(28,215,2,24,40,1,14,NULL,5),(28,216,1,11,1,1,NULL,NULL,NULL),(28,216,1,11,2,1,1,NULL,NULL),(28,216,1,11,3,1,NULL,NULL,NULL),(28,216,1,11,4,1,NULL,NULL,NULL),(28,216,1,11,5,NULL,2,NULL,NULL),(28,216,1,11,6,2,1,NULL,NULL),(28,216,1,11,7,1,NULL,NULL,NULL),(28,216,1,11,8,1,1,NULL,NULL),(28,216,1,11,9,2,NULL,NULL,NULL),(28,216,1,11,10,2,NULL,NULL,NULL),(28,216,1,11,11,1,NULL,NULL,NULL),(28,216,1,11,12,NULL,1,NULL,NULL),(28,216,1,11,13,2,1,NULL,NULL),(28,216,1,11,14,2,1,NULL,NULL),(28,216,1,11,15,3,NULL,NULL,NULL),(28,216,1,11,16,2,NULL,NULL,NULL),(28,216,1,11,17,2,NULL,NULL,NULL),(28,216,1,11,18,2,NULL,NULL,NULL),(28,216,1,11,19,NULL,NULL,NULL,NULL),(28,216,1,11,20,1,NULL,NULL,NULL),(28,216,1,11,21,NULL,NULL,NULL,NULL),(28,216,1,11,22,2,2,NULL,NULL),(28,216,1,11,23,NULL,NULL,NULL,NULL),(28,216,1,11,24,NULL,NULL,NULL,NULL),(28,216,1,11,25,NULL,NULL,NULL,NULL),(28,216,1,11,26,NULL,1,NULL,NULL),(28,216,1,11,27,NULL,NULL,NULL,NULL),(28,216,1,11,28,NULL,NULL,NULL,NULL),(28,216,1,11,29,3,NULL,NULL,NULL),(28,216,1,11,30,NULL,NULL,NULL,NULL),(28,216,1,11,31,1,NULL,NULL,NULL),(28,216,1,11,32,NULL,NULL,NULL,NULL),(28,216,1,11,33,1,NULL,NULL,NULL),(28,216,1,11,34,3,1,NULL,NULL),(28,216,1,11,35,NULL,NULL,NULL,NULL),(28,216,1,11,36,NULL,NULL,NULL,NULL),(28,216,1,11,37,NULL,NULL,NULL,NULL),(28,216,1,11,38,1,NULL,NULL,NULL),(28,216,1,11,39,1,1,NULL,NULL),(28,216,1,11,40,NULL,NULL,NULL,NULL),(28,216,1,12,1,2,NULL,1,NULL),(28,216,1,12,2,NULL,2,NULL,1),(28,216,1,12,3,2,NULL,1,NULL),(28,216,1,12,4,NULL,1,NULL,NULL),(28,216,1,12,5,2,NULL,1,NULL),(28,216,1,12,6,NULL,1,NULL,1),(28,216,1,12,7,NULL,NULL,NULL,NULL),(28,216,1,12,8,NULL,1,NULL,1),(28,216,1,12,9,NULL,2,NULL,1),(28,216,1,12,10,2,NULL,1,NULL),(28,216,1,12,11,1,NULL,1,NULL),(28,216,1,12,12,1,1,1,NULL),(28,216,1,12,13,2,NULL,1,NULL),(28,216,1,12,14,2,NULL,1,NULL),(28,216,1,12,15,1,NULL,NULL,NULL),(28,216,1,12,16,1,NULL,1,NULL),(28,216,1,12,17,2,NULL,1,NULL),(28,216,1,12,18,2,NULL,1,NULL),(28,216,1,12,19,2,NULL,1,NULL),(28,216,1,12,20,1,NULL,1,NULL),(28,216,1,12,21,NULL,NULL,NULL,NULL),(28,216,1,12,22,NULL,1,NULL,NULL),(28,216,1,12,23,NULL,NULL,NULL,NULL),(28,216,1,12,24,NULL,NULL,NULL,NULL),(28,216,1,12,25,NULL,1,NULL,NULL),(28,216,1,12,26,NULL,NULL,NULL,NULL),(28,216,1,12,27,NULL,NULL,NULL,NULL),(28,216,1,12,28,NULL,NULL,NULL,NULL),(28,216,1,12,29,1,NULL,NULL,NULL),(28,216,1,12,30,1,NULL,NULL,NULL),(28,216,1,12,31,NULL,NULL,NULL,NULL),(28,216,1,12,32,1,1,NULL,1),(28,216,1,12,33,1,NULL,1,NULL),(28,216,1,12,34,1,1,1,NULL),(28,216,1,12,35,1,NULL,1,NULL),(28,216,1,12,36,1,NULL,1,NULL),(28,216,1,12,37,NULL,1,NULL,1),(28,216,1,12,38,1,NULL,1,NULL),(28,216,1,12,39,NULL,1,NULL,1),(28,216,1,12,40,NULL,NULL,NULL,NULL),(28,216,1,13,1,1,NULL,NULL,NULL),(28,216,1,13,2,NULL,NULL,NULL,NULL),(28,216,1,13,3,NULL,1,NULL,NULL),(28,216,1,13,4,NULL,NULL,NULL,NULL),(28,216,1,13,5,NULL,NULL,NULL,NULL),(28,216,1,13,6,NULL,1,NULL,NULL),(28,216,1,13,7,NULL,NULL,NULL,NULL),(28,216,1,13,8,NULL,1,NULL,NULL),(28,216,1,13,9,NULL,NULL,NULL,NULL),(28,216,1,13,10,NULL,1,NULL,NULL),(28,216,1,13,11,NULL,1,NULL,NULL),(28,216,1,13,12,NULL,1,NULL,NULL),(28,216,1,13,13,2,NULL,NULL,NULL),(28,216,1,13,14,NULL,2,NULL,NULL),(28,216,1,13,15,1,NULL,NULL,NULL),(28,216,1,13,16,2,NULL,NULL,NULL),(28,216,1,13,17,NULL,1,NULL,NULL),(28,216,1,13,18,2,NULL,NULL,NULL),(28,216,1,13,19,2,NULL,NULL,NULL),(28,216,1,13,20,1,NULL,NULL,NULL),(28,216,1,13,21,1,NULL,NULL,NULL),(28,216,1,13,22,NULL,NULL,NULL,NULL),(28,216,1,13,23,NULL,NULL,NULL,NULL),(28,216,1,13,24,NULL,NULL,NULL,NULL),(28,216,1,13,25,NULL,NULL,NULL,NULL),(28,216,1,13,26,NULL,NULL,NULL,NULL),(28,216,1,13,27,NULL,NULL,NULL,NULL),(28,216,1,13,28,NULL,NULL,NULL,NULL),(28,216,1,13,29,NULL,NULL,NULL,NULL),(28,216,1,13,30,NULL,1,NULL,NULL),(28,216,1,13,31,NULL,NULL,NULL,NULL),(28,216,1,13,32,NULL,2,NULL,NULL),(28,216,1,13,33,NULL,NULL,NULL,NULL),(28,216,1,13,34,NULL,1,NULL,NULL),(28,216,1,13,35,NULL,1,NULL,NULL),(28,216,1,13,36,NULL,NULL,NULL,NULL),(28,216,1,13,37,NULL,NULL,NULL,NULL),(28,216,1,13,38,NULL,1,NULL,NULL),(28,216,1,13,39,NULL,NULL,NULL,NULL),(28,216,1,13,40,NULL,NULL,NULL,NULL),(28,216,1,14,1,69,NULL,15,NULL),(28,216,1,14,2,18,61,5,11),(28,216,1,14,3,69,42,18,6),(28,216,1,14,4,32,39,5,5),(28,216,1,14,5,73,56,11,10),(28,216,1,14,6,35,81,9,12),(28,216,1,14,7,24,42,7,7),(28,216,1,14,8,19,75,5,16),(28,216,1,14,9,25,37,4,8),(28,216,1,14,10,106,18,23,NULL),(28,216,1,14,11,29,36,9,8),(28,216,1,14,12,43,62,13,10),(28,216,1,14,13,122,38,20,6),(28,216,1,14,14,66,33,14,2),(28,216,1,14,15,118,NULL,22,NULL),(28,216,1,14,16,113,43,18,6),(28,216,1,14,17,49,106,11,15),(28,216,1,14,18,48,49,13,5),(28,216,1,14,19,121,39,21,6),(28,216,1,14,20,87,80,19,8),(28,216,1,14,21,7,26,2,6),(28,216,1,14,22,17,73,6,15),(28,216,1,14,23,14,31,2,6),(28,216,1,14,24,10,NULL,5,NULL),(28,216,1,14,25,7,32,1,6),(28,216,1,14,26,3,47,1,10),(28,216,1,14,27,55,NULL,12,NULL),(28,216,1,14,28,4,16,2,5),(28,216,1,14,29,10,36,2,7),(28,216,1,14,30,39,44,10,10),(28,216,1,14,31,20,21,5,8),(28,216,1,14,32,18,35,3,8),(28,216,1,14,33,22,29,6,8),(28,216,1,14,34,76,27,19,2),(28,216,1,14,35,17,19,7,3),(28,216,1,14,36,21,NULL,7,NULL),(28,216,1,14,37,12,15,3,3),(28,216,1,14,38,34,27,14,7),(28,216,1,14,39,58,57,13,7),(28,216,1,14,40,26,NULL,9,NULL),(28,216,1,15,1,64,NULL,14,NULL),(28,216,1,15,2,11,67,2,8),(28,216,1,15,3,53,49,9,4),(28,216,1,15,4,24,42,1,4),(28,216,1,15,5,54,67,6,4),(28,216,1,15,6,26,87,3,11),(28,216,1,15,7,26,32,3,7),(28,216,1,15,8,24,72,3,6),(28,216,1,15,9,27,49,2,8),(28,216,1,15,10,99,20,8,3),(28,216,1,15,11,23,30,5,2),(28,216,1,15,12,28,59,3,8),(28,216,1,15,13,115,47,14,1),(28,216,1,15,14,60,45,5,7),(28,216,1,15,15,96,NULL,10,NULL),(28,216,1,15,16,96,49,9,4),(28,216,1,15,17,46,92,5,6),(28,216,1,15,18,46,42,8,2),(28,216,1,15,19,115,36,8,5),(28,216,1,15,20,76,93,7,8),(28,216,1,15,21,5,27,2,2),(28,216,1,15,22,15,53,2,6),(28,216,1,15,23,6,40,NULL,6),(28,216,1,15,24,3,NULL,1,NULL),(28,216,1,15,25,5,21,1,3),(28,216,1,15,26,9,30,1,7),(28,216,1,15,27,52,NULL,6,NULL),(28,216,1,15,28,1,4,NULL,NULL),(28,216,1,15,29,16,35,NULL,6),(28,216,1,15,30,26,48,1,6),(28,216,1,15,31,20,29,4,8),(28,216,1,15,32,18,37,NULL,6),(28,216,1,15,33,21,36,4,4),(28,216,1,15,34,73,20,11,2),(28,216,1,15,35,13,11,3,3),(28,216,1,15,36,22,NULL,7,NULL),(28,216,1,15,37,5,28,NULL,2),(28,216,1,15,38,28,23,6,3),(28,216,1,15,39,46,56,5,10),(28,216,1,15,40,20,NULL,5,NULL),(28,216,1,16,1,25,NULL,1,NULL),(28,216,1,16,2,2,16,NULL,1),(28,216,1,16,3,18,23,NULL,1),(28,216,1,16,4,8,10,NULL,NULL),(28,216,1,16,5,17,20,1,NULL),(28,216,1,16,6,9,23,NULL,1),(28,216,1,16,7,10,17,1,NULL),(28,216,1,16,8,4,21,NULL,1),(28,216,1,16,9,10,24,1,NULL),(28,216,1,16,10,31,7,2,NULL),(28,216,1,16,11,7,16,NULL,NULL),(28,216,1,16,12,9,19,NULL,NULL),(28,216,1,16,13,61,NULL,2,NULL),(28,216,1,16,14,55,7,2,NULL),(28,216,1,16,15,17,32,1,NULL),(28,216,1,16,16,38,NULL,NULL,NULL),(28,216,1,16,17,28,30,2,NULL),(28,216,1,16,18,16,17,NULL,1),(28,216,1,16,19,9,30,2,NULL),(28,216,1,16,20,19,21,1,NULL),(28,216,1,16,21,2,7,NULL,NULL),(28,216,1,16,22,2,19,NULL,1),(28,216,1,16,23,3,10,NULL,NULL),(28,216,1,16,24,NULL,NULL,NULL,NULL),(28,216,1,16,25,1,10,NULL,NULL),(28,216,1,16,26,NULL,12,NULL,1),(28,216,1,16,27,11,NULL,1,NULL),(28,216,1,16,28,NULL,1,NULL,1),(28,216,1,16,29,3,11,NULL,1),(28,216,1,16,30,6,16,NULL,1),(28,216,1,16,31,2,7,NULL,NULL),(28,216,1,16,32,5,10,NULL,NULL),(28,216,1,16,33,6,15,NULL,1),(28,216,1,16,34,23,8,1,NULL),(28,216,1,16,35,5,5,NULL,NULL),(28,216,1,16,36,3,NULL,NULL,NULL),(28,216,1,16,37,1,5,NULL,NULL),(28,216,1,16,38,2,11,NULL,1),(28,216,1,16,39,18,22,1,NULL),(28,216,1,16,40,5,NULL,NULL,NULL),(28,216,1,17,1,22,NULL,2,NULL),(28,216,1,17,2,1,16,NULL,2),(28,216,1,17,3,15,23,1,2),(28,216,1,17,4,5,13,NULL,NULL),(28,216,1,17,5,9,16,1,NULL),(28,216,1,17,6,8,26,1,1),(28,216,1,17,7,3,12,NULL,2),(28,216,1,17,8,4,19,NULL,1),(28,216,1,17,9,9,11,NULL,NULL),(28,216,1,17,10,36,7,2,NULL),(28,216,1,17,11,7,13,NULL,NULL),(28,216,1,17,12,4,12,1,1),(28,216,1,17,13,62,NULL,4,NULL),(28,216,1,17,14,59,4,4,NULL),(28,216,1,17,15,23,28,2,2),(28,216,1,17,16,54,NULL,4,NULL),(28,216,1,17,17,27,29,4,NULL),(28,216,1,17,18,16,9,2,NULL),(28,216,1,17,19,10,31,1,1),(28,216,1,17,20,16,20,NULL,2),(28,216,1,17,21,NULL,12,NULL,NULL),(28,216,1,17,22,3,15,NULL,2),(28,216,1,17,23,1,10,NULL,3),(28,216,1,17,24,NULL,NULL,NULL,NULL),(28,216,1,17,25,1,6,NULL,1),(28,216,1,17,26,NULL,16,NULL,1),(28,216,1,17,27,14,NULL,1,NULL),(28,216,1,17,28,NULL,3,NULL,NULL),(28,216,1,17,29,2,12,1,1),(28,216,1,17,30,11,14,2,1),(28,216,1,17,31,1,9,NULL,NULL),(28,216,1,17,32,5,16,NULL,1),(28,216,1,17,33,3,13,1,1),(28,216,1,17,34,24,9,3,NULL),(28,216,1,17,35,6,8,NULL,2),(28,216,1,17,36,5,NULL,1,NULL),(28,216,1,17,37,4,11,NULL,NULL),(28,216,1,17,38,1,8,NULL,NULL),(28,216,1,17,39,15,18,1,2),(28,216,1,17,40,6,NULL,1,NULL),(28,216,1,18,1,NULL,NULL,NULL,NULL),(28,216,1,18,2,NULL,NULL,NULL,NULL),(28,216,1,18,3,NULL,NULL,NULL,NULL),(28,216,1,18,4,NULL,NULL,NULL,NULL),(28,216,1,18,5,NULL,NULL,NULL,NULL),(28,216,1,18,6,NULL,NULL,NULL,NULL),(28,216,1,18,7,NULL,NULL,NULL,NULL),(28,216,1,18,8,NULL,NULL,NULL,NULL),(28,216,1,18,9,NULL,NULL,NULL,NULL),(28,216,1,18,10,NULL,NULL,NULL,NULL),(28,216,1,18,11,NULL,NULL,NULL,NULL),(28,216,1,18,12,NULL,NULL,NULL,NULL),(28,216,1,18,13,NULL,NULL,NULL,NULL),(28,216,1,18,14,NULL,NULL,NULL,NULL),(28,216,1,18,15,NULL,NULL,NULL,NULL),(28,216,1,18,16,NULL,NULL,NULL,NULL),(28,216,1,18,17,NULL,NULL,NULL,NULL),(28,216,1,18,18,NULL,NULL,NULL,NULL),(28,216,1,18,19,NULL,NULL,NULL,NULL),(28,216,1,18,20,NULL,NULL,NULL,NULL),(28,216,1,18,21,NULL,NULL,NULL,NULL),(28,216,1,18,22,NULL,NULL,NULL,NULL),(28,216,1,18,23,NULL,NULL,NULL,NULL),(28,216,1,18,24,NULL,NULL,NULL,NULL),(28,216,1,18,25,NULL,NULL,NULL,NULL),(28,216,1,18,26,NULL,NULL,NULL,NULL),(28,216,1,18,27,NULL,NULL,NULL,NULL),(28,216,1,18,28,NULL,NULL,NULL,NULL),(28,216,1,18,29,NULL,NULL,NULL,NULL),(28,216,1,18,30,NULL,NULL,NULL,NULL),(28,216,1,18,31,NULL,NULL,NULL,NULL),(28,216,1,18,32,NULL,NULL,NULL,NULL),(28,216,1,18,33,NULL,NULL,NULL,NULL),(28,216,1,18,34,NULL,NULL,NULL,NULL),(28,216,1,18,35,NULL,NULL,NULL,NULL),(28,216,1,18,36,NULL,NULL,NULL,NULL),(28,216,1,18,37,NULL,NULL,NULL,NULL),(28,216,1,18,38,NULL,NULL,NULL,NULL),(28,216,1,18,39,NULL,NULL,NULL,NULL),(28,216,1,18,40,NULL,NULL,NULL,NULL),(28,216,1,19,1,NULL,NULL,NULL,NULL),(28,216,1,19,2,NULL,NULL,NULL,NULL),(28,216,1,19,3,NULL,NULL,NULL,NULL),(28,216,1,19,4,NULL,NULL,NULL,NULL),(28,216,1,19,5,NULL,NULL,NULL,NULL),(28,216,1,19,6,NULL,NULL,NULL,NULL),(28,216,1,19,7,NULL,NULL,NULL,NULL),(28,216,1,19,8,NULL,NULL,NULL,NULL),(28,216,1,19,9,NULL,NULL,NULL,NULL),(28,216,1,19,10,NULL,NULL,NULL,NULL),(28,216,1,19,11,NULL,NULL,NULL,NULL),(28,216,1,19,12,NULL,NULL,NULL,NULL),(28,216,1,19,13,NULL,NULL,NULL,NULL),(28,216,1,19,14,NULL,NULL,NULL,NULL),(28,216,1,19,15,NULL,NULL,NULL,NULL),(28,216,1,19,16,NULL,NULL,NULL,NULL),(28,216,1,19,17,NULL,NULL,NULL,NULL),(28,216,1,19,18,NULL,NULL,NULL,NULL),(28,216,1,19,19,NULL,NULL,NULL,NULL),(28,216,1,19,20,NULL,NULL,NULL,NULL),(28,216,1,19,21,NULL,NULL,NULL,NULL),(28,216,1,19,22,NULL,NULL,NULL,NULL),(28,216,1,19,23,NULL,NULL,NULL,NULL),(28,216,1,19,24,NULL,NULL,NULL,NULL),(28,216,1,19,25,NULL,NULL,NULL,NULL),(28,216,1,19,26,NULL,NULL,NULL,NULL),(28,216,1,19,27,NULL,NULL,NULL,NULL),(28,216,1,19,28,NULL,NULL,NULL,NULL),(28,216,1,19,29,NULL,NULL,NULL,NULL),(28,216,1,19,30,NULL,NULL,NULL,NULL),(28,216,1,19,31,NULL,NULL,NULL,NULL),(28,216,1,19,32,NULL,NULL,NULL,NULL),(28,216,1,19,33,NULL,NULL,NULL,NULL),(28,216,1,19,34,NULL,NULL,NULL,NULL),(28,216,1,19,35,NULL,NULL,NULL,NULL),(28,216,1,19,36,NULL,NULL,NULL,NULL),(28,216,1,19,37,NULL,NULL,NULL,NULL),(28,216,1,19,38,NULL,NULL,NULL,NULL),(28,216,1,19,39,NULL,NULL,NULL,NULL),(28,216,1,19,40,NULL,NULL,NULL,NULL),(28,216,2,21,1,4,59,1,6),(28,216,2,21,2,NULL,50,NULL,10),(28,216,2,21,3,75,33,9,6),(28,216,2,21,4,2,18,NULL,1),(28,216,2,21,5,21,31,3,5),(28,216,2,21,6,53,61,9,6),(28,216,2,21,7,1,56,1,8),(28,216,2,21,8,23,36,7,4),(28,216,2,21,9,7,17,2,3),(28,216,2,21,10,33,30,5,4),(28,216,2,21,11,25,17,4,4),(28,216,2,21,12,39,45,8,5),(28,216,2,21,13,37,71,6,8),(28,216,2,21,14,42,43,11,3),(28,216,2,21,15,24,41,5,5),(28,216,2,21,16,26,72,4,7),(28,216,2,21,17,7,15,1,1),(28,216,2,21,18,63,45,9,4),(28,216,2,21,19,41,62,9,5),(28,216,2,21,20,70,22,11,2),(28,216,2,21,21,5,24,2,3),(28,216,2,21,22,53,25,10,4),(28,216,2,21,23,6,13,NULL,1),(28,216,2,21,24,8,41,NULL,8),(28,216,2,21,25,8,41,2,7),(28,216,2,21,26,9,32,3,3),(28,216,2,21,27,18,48,4,5),(28,216,2,21,28,3,38,NULL,7),(28,216,2,21,29,1,18,NULL,2),(28,216,2,21,30,5,11,NULL,1),(28,216,2,21,31,12,73,4,9),(28,216,2,21,32,3,11,2,3),(28,216,2,21,33,36,42,8,5),(28,216,2,21,34,34,48,6,5),(28,216,2,21,35,14,NULL,NULL,NULL),(28,216,2,21,36,3,21,NULL,3),(28,216,2,21,37,32,16,8,4),(28,216,2,21,38,4,31,2,6),(28,216,2,21,39,10,43,2,9),(28,216,2,21,40,27,66,9,7),(28,216,2,22,1,6,60,NULL,2),(28,216,2,22,2,5,37,NULL,3),(28,216,2,22,3,55,35,5,1),(28,216,2,22,4,3,25,1,2),(28,216,2,22,5,24,24,2,2),(28,216,2,22,6,53,60,5,2),(28,216,2,22,7,3,57,NULL,7),(28,216,2,22,8,22,33,2,1),(28,216,2,22,9,13,12,NULL,3),(28,216,2,22,10,40,31,4,2),(28,216,2,22,11,18,25,2,2),(28,216,2,22,12,37,49,6,NULL),(28,216,2,22,13,27,80,4,3),(28,216,2,22,14,45,35,3,3),(28,216,2,22,15,25,29,1,2),(28,216,2,22,16,27,52,2,4),(28,216,2,22,17,9,12,NULL,1),(28,216,2,22,18,47,45,3,5),(28,216,2,22,19,33,41,2,5),(28,216,2,22,20,54,21,3,2),(28,216,2,22,21,3,24,1,5),(28,216,2,22,22,41,24,6,2),(28,216,2,22,23,8,11,NULL,2),(28,216,2,22,24,7,24,1,3),(28,216,2,22,25,10,30,1,3),(28,216,2,22,26,6,21,NULL,1),(28,216,2,22,27,15,53,2,4),(28,216,2,22,28,8,22,NULL,5),(28,216,2,22,29,NULL,19,NULL,5),(28,216,2,22,30,1,12,NULL,2),(28,216,2,22,31,12,57,2,3),(28,216,2,22,32,8,12,2,2),(28,216,2,22,33,37,35,6,2),(28,216,2,22,34,35,39,6,1),(28,216,2,22,35,6,NULL,NULL,NULL),(28,216,2,22,36,4,27,2,1),(28,216,2,22,37,19,20,3,3),(28,216,2,22,38,6,28,2,4),(28,216,2,22,39,6,34,NULL,2),(28,216,2,22,40,25,61,2,6),(28,216,2,23,1,3,55,2,6),(28,216,2,23,2,4,25,1,6),(28,216,2,23,3,47,38,6,4),(28,216,2,23,4,NULL,22,NULL,1),(28,216,2,23,5,20,25,4,5),(28,216,2,23,6,44,52,4,8),(28,216,2,23,7,2,35,1,5),(28,216,2,23,8,22,24,3,4),(28,216,2,23,9,6,16,NULL,3),(28,216,2,23,10,33,26,5,6),(28,216,2,23,11,28,20,9,2),(28,216,2,23,12,29,50,5,6),(28,216,2,23,13,23,69,5,4),(28,216,2,23,14,38,42,7,4),(28,216,2,23,15,29,33,7,3),(28,216,2,23,16,24,51,3,8),(28,216,2,23,17,6,9,NULL,NULL),(28,216,2,23,18,47,43,7,5),(28,216,2,23,19,26,41,4,5),(28,216,2,23,20,42,26,9,1),(28,216,2,23,21,3,20,1,6),(28,216,2,23,22,39,23,10,2),(28,216,2,23,23,2,11,1,2),(28,216,2,23,24,6,22,1,8),(28,216,2,23,25,8,28,1,5),(28,216,2,23,26,6,17,2,2),(28,216,2,23,27,14,39,5,8),(28,216,2,23,28,3,37,NULL,5),(28,216,2,23,29,2,17,2,3),(28,216,2,23,30,4,14,NULL,2),(28,216,2,23,31,9,54,1,8),(28,216,2,23,32,9,17,2,1),(28,216,2,23,33,27,40,6,5),(28,216,2,23,34,32,35,9,3),(28,216,2,23,35,16,NULL,3,NULL),(28,216,2,23,36,2,28,NULL,6),(28,216,2,23,37,19,18,4,3),(28,216,2,23,38,3,22,3,6),(28,216,2,23,39,5,32,3,3),(28,216,2,23,40,18,60,4,8),(28,216,2,24,1,3,44,1,7),(28,216,2,24,2,NULL,35,NULL,9),(28,216,2,24,3,50,37,4,6),(28,216,2,24,4,7,20,NULL,3),(28,216,2,24,5,21,28,5,4),(28,216,2,24,6,45,51,6,5),(28,216,2,24,7,NULL,41,NULL,6),(28,216,2,24,8,20,23,5,2),(28,216,2,24,9,6,16,1,1),(28,216,2,24,10,33,20,5,1),(28,216,2,24,11,19,15,4,NULL),(28,216,2,24,12,23,33,8,2),(28,216,2,24,13,23,72,4,4),(28,216,2,24,14,40,32,10,2),(28,216,2,24,15,17,30,3,2),(28,216,2,24,16,26,37,2,6),(28,216,2,24,17,3,9,NULL,NULL),(28,216,2,24,18,45,36,6,5),(28,216,2,24,19,33,35,6,3),(28,216,2,24,20,34,24,8,1),(28,216,2,24,21,3,20,2,3),(28,216,2,24,22,34,17,9,NULL),(28,216,2,24,23,9,10,2,1),(28,216,2,24,24,6,23,3,2),(28,216,2,24,25,4,29,NULL,6),(28,216,2,24,26,5,19,1,NULL),(28,216,2,24,27,12,35,3,5),(28,216,2,24,28,4,31,NULL,3),(28,216,2,24,29,2,16,1,4),(28,216,2,24,30,3,11,NULL,3),(28,216,2,24,31,13,47,3,8),(28,216,2,24,32,4,13,1,2),(28,216,2,24,33,23,36,4,2),(28,216,2,24,34,31,33,6,3),(28,216,2,24,35,8,NULL,1,NULL),(28,216,2,24,36,3,13,NULL,4),(28,216,2,24,37,15,28,5,3),(28,216,2,24,38,4,13,2,5),(28,216,2,24,39,6,30,NULL,5),(28,216,2,24,40,19,55,6,5),(28,220,1,11,1,NULL,NULL,NULL,NULL),(28,220,1,11,2,NULL,NULL,NULL,NULL),(28,220,1,11,3,NULL,1,NULL,NULL),(28,220,1,11,4,NULL,NULL,NULL,NULL),(28,220,1,11,5,NULL,NULL,NULL,NULL),(28,220,1,11,6,NULL,NULL,NULL,NULL),(28,220,1,11,7,NULL,NULL,NULL,NULL),(28,220,1,11,8,NULL,NULL,NULL,NULL),(28,220,1,11,9,NULL,NULL,NULL,NULL),(28,220,1,11,10,NULL,1,NULL,NULL),(28,220,1,11,11,NULL,NULL,NULL,NULL),(28,220,1,11,12,NULL,NULL,NULL,NULL),(28,220,1,11,13,1,NULL,NULL,NULL),(28,220,1,11,14,NULL,1,NULL,NULL),(28,220,1,11,15,1,NULL,NULL,NULL),(28,220,1,11,16,1,NULL,NULL,NULL),(28,220,1,11,17,1,NULL,NULL,NULL),(28,220,1,11,18,1,NULL,NULL,NULL),(28,220,1,11,19,1,NULL,NULL,NULL),(28,220,1,11,20,NULL,NULL,NULL,NULL),(28,220,1,11,21,NULL,NULL,NULL,NULL),(28,220,1,11,22,NULL,NULL,NULL,NULL),(28,220,1,11,23,NULL,NULL,NULL,NULL),(28,220,1,11,24,NULL,NULL,NULL,NULL),(28,220,1,11,25,NULL,NULL,NULL,NULL),(28,220,1,11,26,NULL,NULL,NULL,NULL),(28,220,1,11,27,1,NULL,NULL,NULL),(28,220,1,11,28,NULL,NULL,NULL,NULL),(28,220,1,11,29,NULL,1,NULL,NULL),(28,220,1,11,30,NULL,NULL,NULL,NULL),(28,220,1,11,31,NULL,NULL,NULL,NULL),(28,220,1,11,32,NULL,NULL,NULL,NULL),(28,220,1,11,33,1,NULL,NULL,NULL),(28,220,1,11,34,1,NULL,NULL,NULL),(28,220,1,11,35,1,NULL,NULL,NULL),(28,220,1,11,36,NULL,NULL,NULL,NULL),(28,220,1,11,37,NULL,NULL,NULL,NULL),(28,220,1,11,38,NULL,NULL,NULL,NULL),(28,220,1,11,39,NULL,NULL,NULL,NULL),(28,220,1,11,40,NULL,NULL,NULL,NULL),(28,220,1,12,1,NULL,NULL,NULL,NULL),(28,220,1,12,2,NULL,NULL,NULL,NULL),(28,220,1,12,3,NULL,NULL,NULL,NULL),(28,220,1,12,4,NULL,NULL,NULL,NULL),(28,220,1,12,5,NULL,NULL,NULL,NULL),(28,220,1,12,6,NULL,NULL,NULL,NULL),(28,220,1,12,7,NULL,NULL,NULL,NULL),(28,220,1,12,8,NULL,NULL,NULL,NULL),(28,220,1,12,9,NULL,NULL,NULL,NULL),(28,220,1,12,10,NULL,NULL,NULL,NULL),(28,220,1,12,11,NULL,NULL,NULL,NULL),(28,220,1,12,12,NULL,NULL,NULL,NULL),(28,220,1,12,13,NULL,NULL,NULL,NULL),(28,220,1,12,14,NULL,NULL,NULL,NULL),(28,220,1,12,15,NULL,NULL,NULL,NULL),(28,220,1,12,16,NULL,NULL,NULL,NULL),(28,220,1,12,17,NULL,NULL,NULL,NULL),(28,220,1,12,18,NULL,NULL,NULL,NULL),(28,220,1,12,19,NULL,NULL,NULL,NULL),(28,220,1,12,20,NULL,NULL,NULL,NULL),(28,220,1,12,21,NULL,NULL,NULL,NULL),(28,220,1,12,22,NULL,NULL,NULL,NULL),(28,220,1,12,23,NULL,NULL,NULL,NULL),(28,220,1,12,24,NULL,NULL,NULL,NULL),(28,220,1,12,25,NULL,NULL,NULL,NULL),(28,220,1,12,26,NULL,NULL,NULL,NULL),(28,220,1,12,27,NULL,NULL,NULL,NULL),(28,220,1,12,28,NULL,NULL,NULL,NULL),(28,220,1,12,29,NULL,NULL,NULL,NULL),(28,220,1,12,30,NULL,NULL,NULL,NULL),(28,220,1,12,31,NULL,NULL,NULL,NULL),(28,220,1,12,32,NULL,NULL,NULL,NULL),(28,220,1,12,33,NULL,NULL,NULL,NULL),(28,220,1,12,34,NULL,NULL,NULL,NULL),(28,220,1,12,35,NULL,NULL,NULL,NULL),(28,220,1,12,36,NULL,NULL,NULL,NULL),(28,220,1,12,37,NULL,NULL,NULL,NULL),(28,220,1,12,38,NULL,NULL,NULL,NULL),(28,220,1,12,39,NULL,NULL,NULL,NULL),(28,220,1,12,40,NULL,NULL,NULL,NULL),(28,220,1,13,1,NULL,NULL,NULL,NULL),(28,220,1,13,2,NULL,NULL,NULL,NULL),(28,220,1,13,3,NULL,NULL,NULL,NULL),(28,220,1,13,4,NULL,NULL,NULL,NULL),(28,220,1,13,5,NULL,NULL,NULL,NULL),(28,220,1,13,6,NULL,NULL,NULL,NULL),(28,220,1,13,7,NULL,NULL,NULL,NULL),(28,220,1,13,8,NULL,NULL,NULL,NULL),(28,220,1,13,9,NULL,NULL,NULL,NULL),(28,220,1,13,10,NULL,NULL,NULL,NULL),(28,220,1,13,11,NULL,NULL,NULL,NULL),(28,220,1,13,12,NULL,NULL,NULL,NULL),(28,220,1,13,13,NULL,NULL,NULL,NULL),(28,220,1,13,14,NULL,NULL,NULL,NULL),(28,220,1,13,15,NULL,NULL,NULL,NULL),(28,220,1,13,16,NULL,NULL,NULL,NULL),(28,220,1,13,17,NULL,NULL,NULL,NULL),(28,220,1,13,18,NULL,NULL,NULL,NULL),(28,220,1,13,19,NULL,NULL,NULL,NULL),(28,220,1,13,20,NULL,NULL,NULL,NULL),(28,220,1,13,21,NULL,NULL,NULL,NULL),(28,220,1,13,22,NULL,NULL,NULL,NULL),(28,220,1,13,23,NULL,NULL,NULL,NULL),(28,220,1,13,24,NULL,NULL,NULL,NULL),(28,220,1,13,25,NULL,NULL,NULL,NULL),(28,220,1,13,26,NULL,NULL,NULL,NULL),(28,220,1,13,27,NULL,NULL,NULL,NULL),(28,220,1,13,28,NULL,NULL,NULL,NULL),(28,220,1,13,29,NULL,NULL,NULL,NULL),(28,220,1,13,30,NULL,NULL,NULL,NULL),(28,220,1,13,31,NULL,NULL,NULL,NULL),(28,220,1,13,32,NULL,NULL,NULL,NULL),(28,220,1,13,33,NULL,NULL,NULL,NULL),(28,220,1,13,34,NULL,NULL,NULL,NULL),(28,220,1,13,35,NULL,NULL,NULL,NULL),(28,220,1,13,36,NULL,NULL,NULL,NULL),(28,220,1,13,37,NULL,NULL,NULL,NULL),(28,220,1,13,38,NULL,NULL,NULL,NULL),(28,220,1,13,39,NULL,NULL,NULL,NULL),(28,220,1,13,40,NULL,NULL,NULL,NULL),(28,220,1,14,1,52,NULL,15,NULL),(28,220,1,14,2,3,39,2,16),(28,220,1,14,3,33,40,16,11),(28,220,1,14,4,6,29,1,9),(28,220,1,14,5,28,33,13,7),(28,220,1,14,6,16,46,13,11),(28,220,1,14,7,10,26,8,4),(28,220,1,14,8,10,45,6,16),(28,220,1,14,9,22,27,9,7),(28,220,1,14,10,56,22,22,4),(28,220,1,14,11,15,29,13,7),(28,220,1,14,12,20,27,8,10),(28,220,1,14,13,67,30,21,8),(28,220,1,14,14,46,30,19,6),(28,220,1,14,15,67,NULL,25,NULL),(28,220,1,14,16,60,30,18,11),(28,220,1,14,17,27,63,9,17),(28,220,1,14,18,23,34,12,12),(28,220,1,14,19,61,35,16,10),(28,220,1,14,20,47,60,20,10),(28,220,1,14,21,4,17,4,6),(28,220,1,14,22,10,26,6,9),(28,220,1,14,23,8,21,6,6),(28,220,1,14,24,9,NULL,6,NULL),(28,220,1,14,25,3,16,2,8),(28,220,1,14,26,2,33,1,12),(28,220,1,14,27,44,NULL,18,NULL),(28,220,1,14,28,1,8,NULL,3),(28,220,1,14,29,7,29,1,9),(28,220,1,14,30,20,34,8,13),(28,220,1,14,31,8,18,4,6),(28,220,1,14,32,11,31,4,7),(28,220,1,14,33,15,27,12,9),(28,220,1,14,34,53,21,22,5),(28,220,1,14,35,7,19,5,8),(28,220,1,14,36,17,NULL,12,NULL),(28,220,1,14,37,4,13,3,4),(28,220,1,14,38,19,21,16,5),(28,220,1,14,39,27,58,10,15),(28,220,1,14,40,12,NULL,10,NULL),(28,220,1,15,1,46,NULL,19,NULL),(28,220,1,15,2,3,30,3,9),(28,220,1,15,3,35,33,15,11),(28,220,1,15,4,20,26,5,6),(28,220,1,15,5,27,26,12,9),(28,220,1,15,6,10,56,5,20),(28,220,1,15,7,19,17,7,11),(28,220,1,15,8,5,38,1,10),(28,220,1,15,9,13,35,5,10),(28,220,1,15,10,53,13,19,4),(28,220,1,15,11,16,22,5,7),(28,220,1,15,12,16,35,7,12),(28,220,1,15,13,71,22,25,4),(28,220,1,15,14,37,26,15,7),(28,220,1,15,15,62,NULL,19,NULL),(28,220,1,15,16,58,37,20,8),(28,220,1,15,17,23,65,13,14),(28,220,1,15,18,41,21,17,5),(28,220,1,15,19,69,27,21,4),(28,220,1,15,20,51,55,18,11),(28,220,1,15,21,7,12,4,2),(28,220,1,15,22,9,20,4,9),(28,220,1,15,23,6,23,4,8),(28,220,1,15,24,5,NULL,3,NULL),(28,220,1,15,25,4,24,1,6),(28,220,1,15,26,NULL,26,NULL,9),(28,220,1,15,27,46,NULL,18,NULL),(28,220,1,15,28,1,2,NULL,1),(28,220,1,15,29,4,28,2,7),(28,220,1,15,30,14,40,9,14),(28,220,1,15,31,16,19,6,6),(28,220,1,15,32,12,21,4,11),(28,220,1,15,33,16,25,8,12),(28,220,1,15,34,38,15,15,6),(28,220,1,15,35,21,17,7,13),(28,220,1,15,36,17,NULL,12,NULL),(28,220,1,15,37,3,10,1,2),(28,220,1,15,38,18,20,12,6),(28,220,1,15,39,29,42,7,16),(28,220,1,15,40,13,NULL,6,NULL),(28,220,1,16,1,12,NULL,5,NULL),(28,220,1,16,2,NULL,10,1,1),(28,220,1,16,3,6,10,2,4),(28,220,1,16,4,NULL,10,1,2),(28,220,1,16,5,9,4,2,NULL),(28,220,1,16,6,NULL,16,1,1),(28,220,1,16,7,2,11,1,5),(28,220,1,16,8,2,10,1,1),(28,220,1,16,9,2,9,2,2),(28,220,1,16,10,13,6,5,3),(28,220,1,16,11,2,8,NULL,3),(28,220,1,16,12,3,7,1,NULL),(28,220,1,16,13,33,NULL,8,NULL),(28,220,1,16,14,30,7,4,4),(28,220,1,16,15,7,20,NULL,6),(28,220,1,16,16,24,NULL,6,NULL),(28,220,1,16,17,14,19,1,6),(28,220,1,16,18,5,10,NULL,3),(28,220,1,16,19,8,15,4,3),(28,220,1,16,20,8,5,2,1),(28,220,1,16,21,3,2,1,NULL),(28,220,1,16,22,1,11,1,NULL),(28,220,1,16,23,3,7,NULL,3),(28,220,1,16,24,1,NULL,NULL,NULL),(28,220,1,16,25,1,5,1,1),(28,220,1,16,26,1,3,NULL,NULL),(28,220,1,16,27,11,NULL,4,NULL),(28,220,1,16,28,NULL,NULL,NULL,NULL),(28,220,1,16,29,2,8,NULL,3),(28,220,1,16,30,4,9,NULL,4),(28,220,1,16,31,3,4,NULL,NULL),(28,220,1,16,32,3,9,NULL,4),(28,220,1,16,33,2,9,NULL,4),(28,220,1,16,34,15,8,4,3),(28,220,1,16,35,5,5,NULL,4),(28,220,1,16,36,NULL,NULL,NULL,NULL),(28,220,1,16,37,1,3,1,2),(28,220,1,16,38,NULL,7,NULL,4),(28,220,1,16,39,4,15,3,2),(28,220,1,16,40,6,NULL,2,NULL),(28,220,1,17,1,8,NULL,2,NULL),(28,220,1,17,2,1,7,NULL,1),(28,220,1,17,3,4,3,NULL,NULL),(28,220,1,17,4,2,7,NULL,3),(28,220,1,17,5,8,6,NULL,1),(28,220,1,17,6,1,11,NULL,2),(28,220,1,17,7,4,3,1,NULL),(28,220,1,17,8,NULL,8,NULL,2),(28,220,1,17,9,5,5,1,NULL),(28,220,1,17,10,9,5,2,1),(28,220,1,17,11,1,2,NULL,1),(28,220,1,17,12,4,3,NULL,1),(28,220,1,17,13,21,NULL,2,NULL),(28,220,1,17,14,20,1,2,NULL),(28,220,1,17,15,8,6,1,1),(28,220,1,17,16,13,NULL,2,NULL),(28,220,1,17,17,15,7,1,2),(28,220,1,17,18,7,2,1,NULL),(28,220,1,17,19,11,6,NULL,1),(28,220,1,17,20,5,11,NULL,2),(28,220,1,17,21,NULL,2,NULL,1),(28,220,1,17,22,NULL,5,NULL,NULL),(28,220,1,17,23,1,4,NULL,2),(28,220,1,17,24,NULL,NULL,NULL,NULL),(28,220,1,17,25,2,3,NULL,NULL),(28,220,1,17,26,NULL,4,NULL,NULL),(28,220,1,17,27,6,NULL,2,NULL),(28,220,1,17,28,1,3,NULL,NULL),(28,220,1,17,29,1,4,NULL,1),(28,220,1,17,30,3,5,1,1),(28,220,1,17,31,2,1,NULL,NULL),(28,220,1,17,32,2,4,NULL,2),(28,220,1,17,33,NULL,5,NULL,1),(28,220,1,17,34,9,3,1,NULL),(28,220,1,17,35,1,1,NULL,1),(28,220,1,17,36,2,NULL,1,NULL),(28,220,1,17,37,NULL,1,NULL,NULL),(28,220,1,17,38,1,4,NULL,NULL),(28,220,1,17,39,1,10,1,2),(28,220,1,17,40,2,NULL,1,NULL),(28,220,1,18,1,NULL,NULL,NULL,NULL),(28,220,1,18,2,NULL,NULL,NULL,NULL),(28,220,1,18,3,NULL,NULL,NULL,NULL),(28,220,1,18,4,NULL,NULL,NULL,NULL),(28,220,1,18,5,NULL,NULL,NULL,NULL),(28,220,1,18,6,NULL,NULL,NULL,NULL),(28,220,1,18,7,NULL,NULL,NULL,NULL),(28,220,1,18,8,NULL,NULL,NULL,NULL),(28,220,1,18,9,NULL,NULL,NULL,NULL),(28,220,1,18,10,NULL,NULL,NULL,NULL),(28,220,1,18,11,NULL,NULL,NULL,NULL),(28,220,1,18,12,NULL,NULL,NULL,NULL),(28,220,1,18,13,NULL,NULL,NULL,NULL),(28,220,1,18,14,NULL,NULL,NULL,NULL),(28,220,1,18,15,NULL,NULL,NULL,NULL),(28,220,1,18,16,NULL,NULL,NULL,NULL),(28,220,1,18,17,NULL,NULL,NULL,NULL),(28,220,1,18,18,NULL,NULL,NULL,NULL),(28,220,1,18,19,NULL,NULL,NULL,NULL),(28,220,1,18,20,NULL,NULL,NULL,NULL),(28,220,1,18,21,NULL,NULL,NULL,NULL),(28,220,1,18,22,NULL,NULL,NULL,NULL),(28,220,1,18,23,NULL,NULL,NULL,NULL),(28,220,1,18,24,NULL,NULL,NULL,NULL),(28,220,1,18,25,NULL,NULL,NULL,NULL),(28,220,1,18,26,NULL,NULL,NULL,NULL),(28,220,1,18,27,NULL,NULL,NULL,NULL),(28,220,1,18,28,NULL,NULL,NULL,NULL),(28,220,1,18,29,NULL,NULL,NULL,NULL),(28,220,1,18,30,NULL,NULL,NULL,NULL),(28,220,1,18,31,NULL,NULL,NULL,NULL),(28,220,1,18,32,NULL,NULL,NULL,NULL),(28,220,1,18,33,NULL,NULL,NULL,NULL),(28,220,1,18,34,NULL,NULL,NULL,NULL),(28,220,1,18,35,NULL,NULL,NULL,NULL),(28,220,1,18,36,NULL,NULL,NULL,NULL),(28,220,1,18,37,NULL,NULL,NULL,NULL),(28,220,1,18,38,NULL,NULL,NULL,NULL),(28,220,1,18,39,NULL,NULL,NULL,NULL),(28,220,1,18,40,NULL,NULL,NULL,NULL),(28,220,1,19,1,NULL,NULL,NULL,NULL),(28,220,1,19,2,NULL,NULL,NULL,NULL),(28,220,1,19,3,NULL,NULL,NULL,NULL),(28,220,1,19,4,NULL,NULL,NULL,NULL),(28,220,1,19,5,NULL,NULL,NULL,NULL),(28,220,1,19,6,NULL,NULL,NULL,NULL),(28,220,1,19,7,NULL,NULL,NULL,NULL),(28,220,1,19,8,NULL,NULL,NULL,NULL),(28,220,1,19,9,NULL,NULL,NULL,NULL),(28,220,1,19,10,NULL,NULL,NULL,NULL),(28,220,1,19,11,NULL,NULL,NULL,NULL),(28,220,1,19,12,NULL,NULL,NULL,NULL),(28,220,1,19,13,NULL,NULL,NULL,NULL),(28,220,1,19,14,NULL,NULL,NULL,NULL),(28,220,1,19,15,NULL,NULL,NULL,NULL),(28,220,1,19,16,NULL,NULL,NULL,NULL),(28,220,1,19,17,NULL,NULL,NULL,NULL),(28,220,1,19,18,NULL,NULL,NULL,NULL),(28,220,1,19,19,NULL,NULL,NULL,NULL),(28,220,1,19,20,NULL,NULL,NULL,NULL),(28,220,1,19,21,NULL,NULL,NULL,NULL),(28,220,1,19,22,NULL,NULL,NULL,NULL),(28,220,1,19,23,NULL,NULL,NULL,NULL),(28,220,1,19,24,NULL,NULL,NULL,NULL),(28,220,1,19,25,NULL,NULL,NULL,NULL),(28,220,1,19,26,NULL,NULL,NULL,NULL),(28,220,1,19,27,NULL,NULL,NULL,NULL),(28,220,1,19,28,NULL,NULL,NULL,NULL),(28,220,1,19,29,NULL,NULL,NULL,NULL),(28,220,1,19,30,NULL,NULL,NULL,NULL),(28,220,1,19,31,NULL,NULL,NULL,NULL),(28,220,1,19,32,NULL,NULL,NULL,NULL),(28,220,1,19,33,NULL,NULL,NULL,NULL),(28,220,1,19,34,NULL,NULL,NULL,NULL),(28,220,1,19,35,NULL,NULL,NULL,NULL),(28,220,1,19,36,NULL,NULL,NULL,NULL),(28,220,1,19,37,NULL,NULL,NULL,NULL),(28,220,1,19,38,NULL,NULL,NULL,NULL),(28,220,1,19,39,NULL,NULL,NULL,NULL),(28,220,1,19,40,NULL,NULL,NULL,NULL),(28,220,2,21,1,2,33,1,9),(28,220,2,21,2,3,23,1,13),(28,220,2,21,3,28,29,11,12),(28,220,2,21,4,2,10,NULL,4),(28,220,2,21,5,14,22,4,9),(28,220,2,21,6,23,27,7,7),(28,220,2,21,7,NULL,31,1,10),(28,220,2,21,8,16,14,8,5),(28,220,2,21,9,6,17,3,8),(28,220,2,21,10,23,14,7,6),(28,220,2,21,11,18,15,10,2),(28,220,2,21,12,19,23,9,6),(28,220,2,21,13,17,43,8,11),(28,220,2,21,14,24,24,12,5),(28,220,2,21,15,7,23,3,7),(28,220,2,21,16,15,31,7,13),(28,220,2,21,17,3,7,NULL,4),(28,220,2,21,18,29,32,7,12),(28,220,2,21,19,19,26,4,12),(28,220,2,21,20,24,16,12,4),(28,220,2,21,21,3,15,2,9),(28,220,2,21,22,33,17,16,4),(28,220,2,21,23,7,6,3,2),(28,220,2,21,24,3,19,2,7),(28,220,2,21,25,5,21,1,9),(28,220,2,21,26,4,13,NULL,4),(28,220,2,21,27,7,34,3,14),(28,220,2,21,28,NULL,24,NULL,13),(28,220,2,21,29,1,12,NULL,3),(28,220,2,21,30,NULL,10,NULL,4),(28,220,2,21,31,5,37,1,17),(28,220,2,21,32,2,8,1,3),(28,220,2,21,33,18,18,11,7),(28,220,2,21,34,12,22,9,8),(28,220,2,21,35,12,NULL,7,NULL),(28,220,2,21,36,4,9,2,5),(28,220,2,21,37,7,21,6,9),(28,220,2,21,38,7,8,5,5),(28,220,2,21,39,2,19,NULL,7),(28,220,2,21,40,8,35,5,11),(28,220,2,22,1,3,30,1,7),(28,220,2,22,2,2,29,2,6),(28,220,2,22,3,28,19,9,6),(28,220,2,22,4,3,12,3,NULL),(28,220,2,22,5,13,17,6,5),(28,220,2,22,6,19,38,4,5),(28,220,2,22,7,1,31,1,7),(28,220,2,22,8,13,16,5,3),(28,220,2,22,9,5,12,2,4),(28,220,2,22,10,17,25,4,7),(28,220,2,22,11,14,14,6,6),(28,220,2,22,12,13,31,7,4),(28,220,2,22,13,13,43,7,6),(28,220,2,22,14,28,21,7,6),(28,220,2,22,15,14,21,2,3),(28,220,2,22,16,11,31,1,8),(28,220,2,22,17,1,2,1,1),(28,220,2,22,18,27,26,7,7),(28,220,2,22,19,24,21,5,7),(28,220,2,22,20,31,13,7,5),(28,220,2,22,21,6,14,1,3),(28,220,2,22,22,28,11,7,2),(28,220,2,22,23,7,6,4,2),(28,220,2,22,24,2,16,3,5),(28,220,2,22,25,5,16,2,4),(28,220,2,22,26,2,12,NULL,3),(28,220,2,22,27,11,27,4,9),(28,220,2,22,28,4,24,1,8),(28,220,2,22,29,NULL,17,NULL,6),(28,220,2,22,30,1,14,NULL,7),(28,220,2,22,31,3,23,2,4),(28,220,2,22,32,2,7,NULL,1),(28,220,2,22,33,9,17,6,2),(28,220,2,22,34,11,23,9,2),(28,220,2,22,35,9,NULL,2,NULL),(28,220,2,22,36,2,15,2,6),(28,220,2,22,37,10,9,7,2),(28,220,2,22,38,3,6,3,1),(28,220,2,22,39,5,16,2,4),(28,220,2,22,40,10,33,7,4),(28,220,2,23,1,4,30,3,3),(28,220,2,23,2,3,16,1,3),(28,220,2,23,3,29,28,4,10),(28,220,2,23,4,2,9,1,1),(28,220,2,23,5,15,15,5,5),(28,220,2,23,6,29,26,7,4),(28,220,2,23,7,NULL,22,NULL,7),(28,220,2,23,8,11,17,6,4),(28,220,2,23,9,3,8,1,2),(28,220,2,23,10,25,13,5,5),(28,220,2,23,11,13,15,6,4),(28,220,2,23,12,12,28,7,3),(28,220,2,23,13,18,42,5,9),(28,220,2,23,14,30,27,8,6),(28,220,2,23,15,12,21,4,3),(28,220,2,23,16,12,26,1,7),(28,220,2,23,17,3,8,1,4),(28,220,2,23,18,26,29,5,9),(28,220,2,23,19,17,18,6,7),(28,220,2,23,20,24,14,7,1),(28,220,2,23,21,5,12,1,4),(28,220,2,23,22,31,15,12,1),(28,220,2,23,23,4,9,1,NULL),(28,220,2,23,24,8,16,2,5),(28,220,2,23,25,4,16,1,6),(28,220,2,23,26,2,10,NULL,2),(28,220,2,23,27,9,28,5,5),(28,220,2,23,28,NULL,31,NULL,7),(28,220,2,23,29,1,14,1,5),(28,220,2,23,30,3,11,1,2),(28,220,2,23,31,6,34,2,6),(28,220,2,23,32,2,6,2,1),(28,220,2,23,33,13,19,4,4),(28,220,2,23,34,14,20,6,5),(28,220,2,23,35,11,NULL,NULL,NULL),(28,220,2,23,36,1,11,1,2),(28,220,2,23,37,8,12,3,6),(28,220,2,23,38,2,11,1,5),(28,220,2,23,39,2,21,NULL,4),(28,220,2,23,40,10,40,3,9),(28,220,2,24,1,2,29,1,11),(28,220,2,24,2,2,34,1,15),(28,220,2,24,3,32,26,9,8),(28,220,2,24,4,1,12,1,6),(28,220,2,24,5,19,21,5,4),(28,220,2,24,6,29,29,9,7),(28,220,2,24,7,NULL,24,NULL,7),(28,220,2,24,8,16,22,7,5),(28,220,2,24,9,5,10,2,1),(28,220,2,24,10,18,21,5,5),(28,220,2,24,11,16,11,7,NULL),(28,220,2,24,12,19,19,9,6),(28,220,2,24,13,25,39,11,5),(28,220,2,24,14,32,28,11,5),(28,220,2,24,15,12,22,6,5),(28,220,2,24,16,15,33,4,10),(28,220,2,24,17,3,9,NULL,1),(28,220,2,24,18,41,19,17,1),(28,220,2,24,19,19,23,8,8),(28,220,2,24,20,23,18,13,1),(28,220,2,24,21,5,14,2,5),(28,220,2,24,22,29,18,13,4),(28,220,2,24,23,2,6,NULL,2),(28,220,2,24,24,9,13,6,5),(28,220,2,24,25,3,18,1,8),(28,220,2,24,26,6,12,2,3),(28,220,2,24,27,8,30,5,8),(28,220,2,24,28,4,23,NULL,8),(28,220,2,24,29,4,9,1,3),(28,220,2,24,30,4,8,1,3),(28,220,2,24,31,6,26,3,13),(28,220,2,24,32,2,9,NULL,3),(28,220,2,24,33,20,20,11,6),(28,220,2,24,34,21,24,12,4),(28,220,2,24,35,8,NULL,4,NULL),(28,220,2,24,36,2,13,1,6),(28,220,2,24,37,8,18,5,6),(28,220,2,24,38,3,12,3,6),(28,220,2,24,39,5,16,2,4),(28,220,2,24,40,9,33,5,11),(28,222,1,11,1,NULL,NULL,NULL,NULL),(28,222,1,11,2,NULL,NULL,NULL,NULL),(28,222,1,11,3,NULL,NULL,NULL,NULL),(28,222,1,11,4,NULL,NULL,NULL,NULL),(28,222,1,11,5,NULL,NULL,NULL,NULL),(28,222,1,11,6,NULL,NULL,NULL,NULL),(28,222,1,11,7,NULL,NULL,NULL,NULL),(28,222,1,11,8,NULL,NULL,NULL,NULL),(28,222,1,11,9,NULL,NULL,NULL,NULL),(28,222,1,11,10,NULL,NULL,NULL,NULL),(28,222,1,11,11,NULL,NULL,NULL,NULL),(28,222,1,11,12,NULL,NULL,NULL,NULL),(28,222,1,11,13,NULL,NULL,NULL,NULL),(28,222,1,11,14,NULL,NULL,NULL,NULL),(28,222,1,11,15,NULL,NULL,NULL,NULL),(28,222,1,11,16,NULL,NULL,NULL,NULL),(28,222,1,11,17,NULL,NULL,NULL,NULL),(28,222,1,11,18,NULL,NULL,NULL,NULL),(28,222,1,11,19,NULL,NULL,NULL,NULL),(28,222,1,11,20,NULL,NULL,NULL,NULL),(28,222,1,11,21,NULL,NULL,NULL,NULL),(28,222,1,11,22,NULL,NULL,NULL,NULL),(28,222,1,11,23,NULL,NULL,NULL,NULL),(28,222,1,11,24,NULL,NULL,NULL,NULL),(28,222,1,11,25,NULL,NULL,NULL,NULL),(28,222,1,11,26,NULL,NULL,NULL,NULL),(28,222,1,11,27,NULL,NULL,NULL,NULL),(28,222,1,11,28,NULL,NULL,NULL,NULL),(28,222,1,11,29,NULL,NULL,NULL,NULL),(28,222,1,11,30,NULL,NULL,NULL,NULL),(28,222,1,11,31,NULL,NULL,NULL,NULL),(28,222,1,11,32,NULL,NULL,NULL,NULL),(28,222,1,11,33,NULL,NULL,NULL,NULL),(28,222,1,11,34,NULL,NULL,NULL,NULL),(28,222,1,11,35,NULL,NULL,NULL,NULL),(28,222,1,11,36,NULL,NULL,NULL,NULL),(28,222,1,11,37,NULL,NULL,NULL,NULL),(28,222,1,11,38,NULL,NULL,NULL,NULL),(28,222,1,11,39,NULL,NULL,NULL,NULL),(28,222,1,11,40,NULL,NULL,NULL,NULL),(28,222,1,12,1,NULL,NULL,NULL,NULL),(28,222,1,12,2,NULL,NULL,NULL,NULL),(28,222,1,12,3,NULL,NULL,NULL,NULL),(28,222,1,12,4,NULL,NULL,NULL,NULL),(28,222,1,12,5,NULL,NULL,NULL,NULL),(28,222,1,12,6,NULL,NULL,NULL,NULL),(28,222,1,12,7,NULL,NULL,NULL,NULL),(28,222,1,12,8,NULL,NULL,NULL,NULL),(28,222,1,12,9,NULL,NULL,NULL,NULL),(28,222,1,12,10,NULL,NULL,NULL,NULL),(28,222,1,12,11,NULL,NULL,NULL,NULL),(28,222,1,12,12,NULL,NULL,NULL,NULL),(28,222,1,12,13,NULL,NULL,NULL,NULL),(28,222,1,12,14,NULL,NULL,NULL,NULL),(28,222,1,12,15,NULL,NULL,NULL,NULL),(28,222,1,12,16,NULL,NULL,NULL,NULL),(28,222,1,12,17,NULL,NULL,NULL,NULL),(28,222,1,12,18,NULL,NULL,NULL,NULL),(28,222,1,12,19,NULL,NULL,NULL,NULL),(28,222,1,12,20,NULL,NULL,NULL,NULL),(28,222,1,12,21,NULL,NULL,NULL,NULL),(28,222,1,12,22,NULL,NULL,NULL,NULL),(28,222,1,12,23,NULL,NULL,NULL,NULL),(28,222,1,12,24,NULL,NULL,NULL,NULL),(28,222,1,12,25,NULL,NULL,NULL,NULL),(28,222,1,12,26,NULL,NULL,NULL,NULL),(28,222,1,12,27,NULL,NULL,NULL,NULL),(28,222,1,12,28,NULL,NULL,NULL,NULL),(28,222,1,12,29,NULL,NULL,NULL,NULL),(28,222,1,12,30,NULL,NULL,NULL,NULL),(28,222,1,12,31,NULL,NULL,NULL,NULL),(28,222,1,12,32,NULL,NULL,NULL,NULL),(28,222,1,12,33,NULL,NULL,NULL,NULL),(28,222,1,12,34,NULL,NULL,NULL,NULL),(28,222,1,12,35,NULL,NULL,NULL,NULL),(28,222,1,12,36,NULL,NULL,NULL,NULL),(28,222,1,12,37,NULL,NULL,NULL,NULL),(28,222,1,12,38,NULL,NULL,NULL,NULL),(28,222,1,12,39,NULL,NULL,NULL,NULL),(28,222,1,12,40,NULL,NULL,NULL,NULL),(28,222,1,13,1,NULL,NULL,NULL,NULL),(28,222,1,13,2,NULL,NULL,NULL,NULL),(28,222,1,13,3,NULL,NULL,NULL,NULL),(28,222,1,13,4,NULL,NULL,NULL,NULL),(28,222,1,13,5,NULL,NULL,NULL,NULL),(28,222,1,13,6,NULL,NULL,NULL,NULL),(28,222,1,13,7,NULL,NULL,NULL,NULL),(28,222,1,13,8,NULL,NULL,NULL,NULL),(28,222,1,13,9,NULL,NULL,NULL,NULL),(28,222,1,13,10,NULL,NULL,NULL,NULL),(28,222,1,13,11,NULL,NULL,NULL,NULL),(28,222,1,13,12,NULL,NULL,NULL,NULL),(28,222,1,13,13,NULL,NULL,NULL,NULL),(28,222,1,13,14,NULL,NULL,NULL,NULL),(28,222,1,13,15,NULL,NULL,NULL,NULL),(28,222,1,13,16,NULL,NULL,NULL,NULL),(28,222,1,13,17,NULL,NULL,NULL,NULL),(28,222,1,13,18,NULL,NULL,NULL,NULL),(28,222,1,13,19,NULL,NULL,NULL,NULL),(28,222,1,13,20,NULL,NULL,NULL,NULL),(28,222,1,13,21,NULL,NULL,NULL,NULL),(28,222,1,13,22,NULL,NULL,NULL,NULL),(28,222,1,13,23,NULL,NULL,NULL,NULL),(28,222,1,13,24,NULL,NULL,NULL,NULL),(28,222,1,13,25,NULL,NULL,NULL,NULL),(28,222,1,13,26,NULL,NULL,NULL,NULL),(28,222,1,13,27,NULL,NULL,NULL,NULL),(28,222,1,13,28,NULL,NULL,NULL,NULL),(28,222,1,13,29,NULL,NULL,NULL,NULL),(28,222,1,13,30,NULL,NULL,NULL,NULL),(28,222,1,13,31,NULL,NULL,NULL,NULL),(28,222,1,13,32,NULL,NULL,NULL,NULL),(28,222,1,13,33,NULL,NULL,NULL,NULL),(28,222,1,13,34,NULL,NULL,NULL,NULL),(28,222,1,13,35,NULL,NULL,NULL,NULL),(28,222,1,13,36,NULL,NULL,NULL,NULL),(28,222,1,13,37,NULL,NULL,NULL,NULL),(28,222,1,13,38,NULL,NULL,NULL,NULL),(28,222,1,13,39,NULL,NULL,NULL,NULL),(28,222,1,13,40,NULL,NULL,NULL,NULL),(28,222,1,14,1,4,NULL,4,NULL),(28,222,1,14,2,1,7,1,6),(28,222,1,14,3,2,4,2,4),(28,222,1,14,4,5,4,5,3),(28,222,1,14,5,5,5,4,5),(28,222,1,14,6,2,5,2,4),(28,222,1,14,7,NULL,4,NULL,4),(28,222,1,14,8,1,6,1,5),(28,222,1,14,9,1,1,1,1),(28,222,1,14,10,7,2,7,1),(28,222,1,14,11,1,2,1,2),(28,222,1,14,12,3,4,3,4),(28,222,1,14,13,6,8,6,6),(28,222,1,14,14,4,5,4,4),(28,222,1,14,15,10,NULL,8,NULL),(28,222,1,14,16,6,6,6,4),(28,222,1,14,17,4,9,4,7),(28,222,1,14,18,4,1,4,1),(28,222,1,14,19,7,6,7,4),(28,222,1,14,20,6,6,5,6),(28,222,1,14,21,2,2,2,2),(28,222,1,14,22,2,4,2,2),(28,222,1,14,23,2,4,2,4),(28,222,1,14,24,NULL,NULL,NULL,NULL),(28,222,1,14,25,NULL,2,NULL,2),(28,222,1,14,26,NULL,4,NULL,4),(28,222,1,14,27,7,NULL,6,NULL),(28,222,1,14,28,1,2,1,2),(28,222,1,14,29,1,4,1,4),(28,222,1,14,30,2,6,1,6),(28,222,1,14,31,2,1,2,1),(28,222,1,14,32,2,5,2,5),(28,222,1,14,33,2,2,2,2),(28,222,1,14,34,3,3,3,3),(28,222,1,14,35,3,NULL,3,NULL),(28,222,1,14,36,1,NULL,1,NULL),(28,222,1,14,37,NULL,1,NULL,1),(28,222,1,14,38,1,4,1,4),(28,222,1,14,39,3,4,2,4),(28,222,1,14,40,1,NULL,1,NULL),(28,222,1,15,1,4,NULL,4,NULL),(28,222,1,15,2,NULL,4,NULL,4),(28,222,1,15,3,3,1,3,1),(28,222,1,15,4,1,1,1,1),(28,222,1,15,5,7,2,7,2),(28,222,1,15,6,2,5,2,4),(28,222,1,15,7,1,3,1,3),(28,222,1,15,8,1,3,1,3),(28,222,1,15,9,1,3,1,3),(28,222,1,15,10,4,1,4,1),(28,222,1,15,11,NULL,1,NULL,1),(28,222,1,15,12,4,3,3,3),(28,222,1,15,13,8,2,8,2),(28,222,1,15,14,2,8,1,7),(28,222,1,15,15,6,NULL,5,NULL),(28,222,1,15,16,9,2,8,2),(28,222,1,15,17,2,9,1,9),(28,222,1,15,18,5,3,5,3),(28,222,1,15,19,8,2,7,2),(28,222,1,15,20,4,9,3,7),(28,222,1,15,21,2,1,2,1),(28,222,1,15,22,1,5,1,5),(28,222,1,15,23,3,2,3,2),(28,222,1,15,24,1,NULL,NULL,NULL),(28,222,1,15,25,1,1,1,1),(28,222,1,15,26,1,1,1,1),(28,222,1,15,27,4,NULL,4,NULL),(28,222,1,15,28,NULL,2,NULL,2),(28,222,1,15,29,NULL,4,NULL,4),(28,222,1,15,30,NULL,4,NULL,4),(28,222,1,15,31,NULL,2,NULL,2),(28,222,1,15,32,2,1,2,1),(28,222,1,15,33,2,2,2,2),(28,222,1,15,34,5,2,5,2),(28,222,1,15,35,1,1,1,1),(28,222,1,15,36,2,NULL,2,NULL),(28,222,1,15,37,NULL,2,NULL,2),(28,222,1,15,38,1,3,1,3),(28,222,1,15,39,3,4,3,4),(28,222,1,15,40,1,NULL,1,NULL),(28,222,1,16,1,NULL,NULL,NULL,NULL),(28,222,1,16,2,NULL,3,NULL,3),(28,222,1,16,3,2,1,2,1),(28,222,1,16,4,2,2,2,1),(28,222,1,16,5,2,3,2,2),(28,222,1,16,6,2,3,2,3),(28,222,1,16,7,NULL,2,NULL,1),(28,222,1,16,8,NULL,1,NULL,1),(28,222,1,16,9,1,5,1,3),(28,222,1,16,10,2,1,2,1),(28,222,1,16,11,1,NULL,1,NULL),(28,222,1,16,12,NULL,1,NULL,1),(28,222,1,16,13,7,NULL,4,NULL),(28,222,1,16,14,8,NULL,5,NULL),(28,222,1,16,15,3,3,3,1),(28,222,1,16,16,3,NULL,2,NULL),(28,222,1,16,17,6,2,4,1),(28,222,1,16,18,3,1,2,1),(28,222,1,16,19,1,4,1,2),(28,222,1,16,20,3,2,2,2),(28,222,1,16,21,NULL,3,NULL,NULL),(28,222,1,16,22,NULL,3,NULL,2),(28,222,1,16,23,1,1,1,1),(28,222,1,16,24,1,NULL,1,NULL),(28,222,1,16,25,NULL,1,NULL,1),(28,222,1,16,26,NULL,2,NULL,2),(28,222,1,16,27,2,NULL,2,NULL),(28,222,1,16,28,NULL,NULL,NULL,NULL),(28,222,1,16,29,2,1,2,1),(28,222,1,16,30,1,1,1,1),(28,222,1,16,31,NULL,NULL,NULL,NULL),(28,222,1,16,32,1,NULL,NULL,NULL),(28,222,1,16,33,2,NULL,1,NULL),(28,222,1,16,34,2,2,2,NULL),(28,222,1,16,35,NULL,NULL,NULL,NULL),(28,222,1,16,36,NULL,NULL,NULL,NULL),(28,222,1,16,37,1,NULL,1,NULL),(28,222,1,16,38,NULL,1,NULL,1),(28,222,1,16,39,2,NULL,2,NULL),(28,222,1,16,40,1,NULL,1,NULL),(28,222,1,17,1,2,NULL,2,NULL),(28,222,1,17,2,NULL,5,NULL,5),(28,222,1,17,3,NULL,2,NULL,2),(28,222,1,17,4,1,3,1,3),(28,222,1,17,5,NULL,3,NULL,2),(28,222,1,17,6,NULL,1,NULL,1),(28,222,1,17,7,NULL,3,NULL,3),(28,222,1,17,8,NULL,NULL,NULL,NULL),(28,222,1,17,9,NULL,1,NULL,1),(28,222,1,17,10,1,3,1,2),(28,222,1,17,11,NULL,NULL,NULL,NULL),(28,222,1,17,12,NULL,1,NULL,1),(28,222,1,17,13,7,NULL,6,NULL),(28,222,1,17,14,6,2,5,2),(28,222,1,17,15,1,5,NULL,4),(28,222,1,17,16,8,NULL,6,NULL),(28,222,1,17,17,6,3,4,3),(28,222,1,17,18,2,2,NULL,2),(28,222,1,17,19,NULL,5,NULL,4),(28,222,1,17,20,NULL,2,NULL,2),(28,222,1,17,21,NULL,1,NULL,1),(28,222,1,17,22,NULL,3,NULL,2),(28,222,1,17,23,NULL,3,NULL,3),(28,222,1,17,24,NULL,NULL,NULL,NULL),(28,222,1,17,25,NULL,NULL,NULL,NULL),(28,222,1,17,26,NULL,NULL,NULL,NULL),(28,222,1,17,27,NULL,NULL,NULL,NULL),(28,222,1,17,28,NULL,1,NULL,NULL),(28,222,1,17,29,1,1,NULL,1),(28,222,1,17,30,NULL,4,NULL,3),(28,222,1,17,31,NULL,NULL,NULL,NULL),(28,222,1,17,32,1,NULL,1,NULL),(28,222,1,17,33,NULL,NULL,NULL,NULL),(28,222,1,17,34,1,1,NULL,1),(28,222,1,17,35,NULL,NULL,NULL,NULL),(28,222,1,17,36,NULL,NULL,NULL,NULL),(28,222,1,17,37,NULL,NULL,NULL,NULL),(28,222,1,17,38,NULL,NULL,NULL,NULL),(28,222,1,17,39,NULL,3,NULL,2),(28,222,1,17,40,NULL,NULL,NULL,NULL),(28,222,1,18,1,NULL,NULL,NULL,NULL),(28,222,1,18,2,NULL,NULL,NULL,NULL),(28,222,1,18,3,NULL,NULL,NULL,NULL),(28,222,1,18,4,NULL,NULL,NULL,NULL),(28,222,1,18,5,NULL,NULL,NULL,NULL),(28,222,1,18,6,NULL,NULL,NULL,NULL),(28,222,1,18,7,NULL,NULL,NULL,NULL),(28,222,1,18,8,NULL,NULL,NULL,NULL),(28,222,1,18,9,NULL,NULL,NULL,NULL),(28,222,1,18,10,NULL,NULL,NULL,NULL),(28,222,1,18,11,NULL,NULL,NULL,NULL),(28,222,1,18,12,NULL,NULL,NULL,NULL),(28,222,1,18,13,NULL,NULL,NULL,NULL),(28,222,1,18,14,NULL,NULL,NULL,NULL),(28,222,1,18,15,NULL,NULL,NULL,NULL),(28,222,1,18,16,NULL,NULL,NULL,NULL),(28,222,1,18,17,NULL,NULL,NULL,NULL),(28,222,1,18,18,NULL,NULL,NULL,NULL),(28,222,1,18,19,NULL,NULL,NULL,NULL),(28,222,1,18,20,NULL,NULL,NULL,NULL),(28,222,1,18,21,NULL,NULL,NULL,NULL),(28,222,1,18,22,NULL,NULL,NULL,NULL),(28,222,1,18,23,NULL,NULL,NULL,NULL),(28,222,1,18,24,NULL,NULL,NULL,NULL),(28,222,1,18,25,NULL,NULL,NULL,NULL),(28,222,1,18,26,NULL,NULL,NULL,NULL),(28,222,1,18,27,NULL,NULL,NULL,NULL),(28,222,1,18,28,NULL,NULL,NULL,NULL),(28,222,1,18,29,NULL,NULL,NULL,NULL),(28,222,1,18,30,NULL,NULL,NULL,NULL),(28,222,1,18,31,NULL,NULL,NULL,NULL),(28,222,1,18,32,NULL,NULL,NULL,NULL),(28,222,1,18,33,NULL,NULL,NULL,NULL),(28,222,1,18,34,NULL,NULL,NULL,NULL),(28,222,1,18,35,NULL,NULL,NULL,NULL),(28,222,1,18,36,NULL,NULL,NULL,NULL),(28,222,1,18,37,NULL,NULL,NULL,NULL),(28,222,1,18,38,NULL,NULL,NULL,NULL),(28,222,1,18,39,NULL,NULL,NULL,NULL),(28,222,1,18,40,NULL,NULL,NULL,NULL),(28,222,1,19,1,NULL,NULL,NULL,NULL),(28,222,1,19,2,NULL,NULL,NULL,NULL),(28,222,1,19,3,NULL,NULL,NULL,NULL),(28,222,1,19,4,NULL,NULL,NULL,NULL),(28,222,1,19,5,NULL,NULL,NULL,NULL),(28,222,1,19,6,NULL,NULL,NULL,NULL),(28,222,1,19,7,NULL,NULL,NULL,NULL),(28,222,1,19,8,NULL,NULL,NULL,NULL),(28,222,1,19,9,NULL,NULL,NULL,NULL),(28,222,1,19,10,NULL,NULL,NULL,NULL),(28,222,1,19,11,NULL,NULL,NULL,NULL),(28,222,1,19,12,NULL,NULL,NULL,NULL),(28,222,1,19,13,NULL,NULL,NULL,NULL),(28,222,1,19,14,NULL,NULL,NULL,NULL),(28,222,1,19,15,NULL,NULL,NULL,NULL),(28,222,1,19,16,NULL,NULL,NULL,NULL),(28,222,1,19,17,NULL,NULL,NULL,NULL),(28,222,1,19,18,NULL,NULL,NULL,NULL),(28,222,1,19,19,NULL,NULL,NULL,NULL),(28,222,1,19,20,NULL,NULL,NULL,NULL),(28,222,1,19,21,NULL,NULL,NULL,NULL),(28,222,1,19,22,NULL,NULL,NULL,NULL),(28,222,1,19,23,NULL,NULL,NULL,NULL),(28,222,1,19,24,NULL,NULL,NULL,NULL),(28,222,1,19,25,NULL,NULL,NULL,NULL),(28,222,1,19,26,NULL,NULL,NULL,NULL),(28,222,1,19,27,NULL,NULL,NULL,NULL),(28,222,1,19,28,NULL,NULL,NULL,NULL),(28,222,1,19,29,NULL,NULL,NULL,NULL),(28,222,1,19,30,NULL,NULL,NULL,NULL),(28,222,1,19,31,NULL,NULL,NULL,NULL),(28,222,1,19,32,NULL,NULL,NULL,NULL),(28,222,1,19,33,NULL,NULL,NULL,NULL),(28,222,1,19,34,NULL,NULL,NULL,NULL),(28,222,1,19,35,NULL,NULL,NULL,NULL),(28,222,1,19,36,NULL,NULL,NULL,NULL),(28,222,1,19,37,NULL,NULL,NULL,NULL),(28,222,1,19,38,NULL,NULL,NULL,NULL),(28,222,1,19,39,NULL,NULL,NULL,NULL),(28,222,1,19,40,NULL,NULL,NULL,NULL),(28,222,2,21,1,NULL,5,NULL,3),(28,222,2,21,2,NULL,2,NULL,1),(28,222,2,21,3,4,6,3,4),(28,222,2,21,4,NULL,5,NULL,4),(28,222,2,21,5,2,4,1,4),(28,222,2,21,6,4,6,3,5),(28,222,2,21,7,NULL,5,NULL,3),(28,222,2,21,8,3,3,2,2),(28,222,2,21,9,1,1,1,1),(28,222,2,21,10,3,2,3,2),(28,222,2,21,11,2,NULL,2,NULL),(28,222,2,21,12,NULL,5,NULL,5),(28,222,2,21,13,1,8,1,7),(28,222,2,21,14,3,3,3,2),(28,222,2,21,15,2,2,2,2),(28,222,2,21,16,NULL,4,NULL,2),(28,222,2,21,17,1,2,1,2),(28,222,2,21,18,5,5,5,3),(28,222,2,21,19,3,5,3,4),(28,222,2,21,20,5,5,4,3),(28,222,2,21,21,1,1,1,1),(28,222,2,21,22,2,2,2,1),(28,222,2,21,23,NULL,2,NULL,2),(28,222,2,21,24,1,1,1,1),(28,222,2,21,25,1,2,NULL,2),(28,222,2,21,26,1,4,1,3),(28,222,2,21,27,1,4,1,3),(28,222,2,21,28,1,1,1,1),(28,222,2,21,29,1,1,1,1),(28,222,2,21,30,1,NULL,1,NULL),(28,222,2,21,31,NULL,5,NULL,4),(28,222,2,21,32,1,NULL,1,NULL),(28,222,2,21,33,1,1,1,1),(28,222,2,21,34,1,4,1,3),(28,222,2,21,35,2,NULL,2,NULL),(28,222,2,21,36,NULL,1,NULL,1),(28,222,2,21,37,NULL,2,NULL,2),(28,222,2,21,38,1,NULL,1,NULL),(28,222,2,21,39,NULL,2,NULL,2),(28,222,2,21,40,NULL,5,NULL,5),(28,222,2,22,1,NULL,4,NULL,4),(28,222,2,22,2,NULL,5,NULL,4),(28,222,2,22,3,6,NULL,5,NULL),(28,222,2,22,4,1,2,1,1),(28,222,2,22,5,5,2,4,2),(28,222,2,22,6,4,6,3,5),(28,222,2,22,7,NULL,3,NULL,2),(28,222,2,22,8,6,5,5,5),(28,222,2,22,9,2,NULL,2,NULL),(28,222,2,22,10,2,1,2,1),(28,222,2,22,11,1,2,1,2),(28,222,2,22,12,3,2,2,2),(28,222,2,22,13,2,10,2,9),(28,222,2,22,14,3,2,3,2),(28,222,2,22,15,2,2,2,2),(28,222,2,22,16,3,4,2,4),(28,222,2,22,17,1,2,1,2),(28,222,2,22,18,4,5,3,5),(28,222,2,22,19,2,4,1,4),(28,222,2,22,20,6,1,5,1),(28,222,2,22,21,NULL,NULL,NULL,NULL),(28,222,2,22,22,4,2,3,2),(28,222,2,22,23,3,2,2,2),(28,222,2,22,24,1,3,1,3),(28,222,2,22,25,1,4,1,4),(28,222,2,22,26,NULL,1,NULL,1),(28,222,2,22,27,2,3,2,3),(28,222,2,22,28,NULL,1,NULL,1),(28,222,2,22,29,1,NULL,1,NULL),(28,222,2,22,30,NULL,3,NULL,3),(28,222,2,22,31,NULL,7,NULL,5),(28,222,2,22,32,1,1,1,1),(28,222,2,22,33,3,NULL,3,NULL),(28,222,2,22,34,1,3,1,3),(28,222,2,22,35,2,NULL,2,NULL),(28,222,2,22,36,1,1,1,1),(28,222,2,22,37,2,NULL,2,NULL),(28,222,2,22,38,1,2,1,2),(28,222,2,22,39,NULL,2,NULL,2),(28,222,2,22,40,1,2,1,2),(28,222,2,23,1,1,5,1,3),(28,222,2,23,2,1,2,1,1),(28,222,2,23,3,3,2,3,2),(28,222,2,23,4,1,1,1,1),(28,222,2,23,5,2,2,1,2),(28,222,2,23,6,5,1,4,1),(28,222,2,23,7,NULL,6,NULL,4),(28,222,2,23,8,2,5,1,4),(28,222,2,23,9,NULL,1,NULL,1),(28,222,2,23,10,2,1,1,1),(28,222,2,23,11,NULL,4,NULL,4),(28,222,2,23,12,1,3,1,3),(28,222,2,23,13,1,5,NULL,4),(28,222,2,23,14,1,4,1,3),(28,222,2,23,15,NULL,4,NULL,3),(28,222,2,23,16,1,3,1,3),(28,222,2,23,17,NULL,NULL,NULL,NULL),(28,222,2,23,18,5,2,3,2),(28,222,2,23,19,2,4,2,4),(28,222,2,23,20,3,3,1,3),(28,222,2,23,21,1,1,1,1),(28,222,2,23,22,2,NULL,2,NULL),(28,222,2,23,23,2,2,2,1),(28,222,2,23,24,1,1,NULL,NULL),(28,222,2,23,25,NULL,3,NULL,3),(28,222,2,23,26,NULL,1,NULL,1),(28,222,2,23,27,1,1,1,1),(28,222,2,23,28,NULL,3,NULL,2),(28,222,2,23,29,NULL,2,NULL,2),(28,222,2,23,30,1,1,1,1),(28,222,2,23,31,NULL,3,NULL,3),(28,222,2,23,32,NULL,NULL,NULL,NULL),(28,222,2,23,33,1,1,1,NULL),(28,222,2,23,34,NULL,NULL,NULL,NULL),(28,222,2,23,35,NULL,NULL,NULL,NULL),(28,222,2,23,36,NULL,1,NULL,NULL),(28,222,2,23,37,1,1,1,1),(28,222,2,23,38,NULL,NULL,NULL,NULL),(28,222,2,23,39,NULL,1,NULL,1),(28,222,2,23,40,1,4,1,3),(28,222,2,24,1,1,3,1,3),(28,222,2,24,2,1,4,1,4),(28,222,2,24,3,3,5,3,5),(28,222,2,24,4,1,2,1,2),(28,222,2,24,5,3,1,3,1),(28,222,2,24,6,3,4,2,4),(28,222,2,24,7,NULL,3,NULL,2),(28,222,2,24,8,1,3,1,3),(28,222,2,24,9,1,1,1,1),(28,222,2,24,10,2,3,2,3),(28,222,2,24,11,1,1,1,NULL),(28,222,2,24,12,1,4,1,3),(28,222,2,24,13,NULL,8,NULL,7),(28,222,2,24,14,4,4,4,3),(28,222,2,24,15,2,1,2,1),(28,222,2,24,16,3,2,2,2),(28,222,2,24,17,NULL,2,NULL,2),(28,222,2,24,18,7,2,6,2),(28,222,2,24,19,4,1,3,1),(28,222,2,24,20,2,2,2,2),(28,222,2,24,21,1,NULL,1,NULL),(28,222,2,24,22,5,1,5,1),(28,222,2,24,23,2,1,1,1),(28,222,2,24,24,NULL,3,NULL,3),(28,222,2,24,25,1,NULL,1,NULL),(28,222,2,24,26,NULL,1,NULL,1),(28,222,2,24,27,2,1,2,1),(28,222,2,24,28,NULL,1,NULL,1),(28,222,2,24,29,NULL,NULL,NULL,NULL),(28,222,2,24,30,1,1,NULL,1),(28,222,2,24,31,1,1,1,1),(28,222,2,24,32,1,NULL,1,NULL),(28,222,2,24,33,NULL,1,NULL,1),(28,222,2,24,34,1,1,1,1),(28,222,2,24,35,NULL,NULL,NULL,NULL),(28,222,2,24,36,NULL,1,NULL,1),(28,222,2,24,37,NULL,1,NULL,1),(28,222,2,24,38,NULL,2,NULL,2),(28,222,2,24,39,NULL,3,NULL,2),(28,222,2,24,40,1,4,1,4),(28,223,1,11,1,NULL,NULL,NULL,NULL),(28,223,1,11,2,NULL,NULL,NULL,NULL),(28,223,1,11,3,NULL,NULL,NULL,NULL),(28,223,1,11,4,NULL,NULL,NULL,NULL),(28,223,1,11,5,NULL,NULL,NULL,NULL),(28,223,1,11,6,NULL,NULL,NULL,NULL),(28,223,1,11,7,NULL,NULL,NULL,NULL),(28,223,1,11,8,NULL,NULL,NULL,NULL),(28,223,1,11,9,NULL,NULL,NULL,NULL),(28,223,1,11,10,NULL,NULL,NULL,NULL),(28,223,1,11,11,NULL,NULL,NULL,NULL),(28,223,1,11,12,NULL,NULL,NULL,NULL),(28,223,1,11,13,NULL,NULL,NULL,NULL),(28,223,1,11,14,NULL,NULL,NULL,NULL),(28,223,1,11,15,NULL,NULL,NULL,NULL),(28,223,1,11,16,NULL,NULL,NULL,NULL),(28,223,1,11,17,NULL,NULL,NULL,NULL),(28,223,1,11,18,NULL,NULL,NULL,NULL),(28,223,1,11,19,NULL,NULL,NULL,NULL),(28,223,1,11,20,NULL,NULL,NULL,NULL),(28,223,1,11,21,NULL,NULL,NULL,NULL),(28,223,1,11,22,NULL,NULL,NULL,NULL),(28,223,1,11,23,NULL,NULL,NULL,NULL),(28,223,1,11,24,NULL,NULL,NULL,NULL),(28,223,1,11,25,NULL,NULL,NULL,NULL),(28,223,1,11,26,NULL,NULL,NULL,NULL),(28,223,1,11,27,NULL,NULL,NULL,NULL),(28,223,1,11,28,NULL,NULL,NULL,NULL),(28,223,1,11,29,NULL,NULL,NULL,NULL),(28,223,1,11,30,NULL,NULL,NULL,NULL),(28,223,1,11,31,NULL,NULL,NULL,NULL),(28,223,1,11,32,NULL,NULL,NULL,NULL),(28,223,1,11,33,NULL,NULL,NULL,NULL),(28,223,1,11,34,NULL,NULL,NULL,NULL),(28,223,1,11,35,NULL,NULL,NULL,NULL),(28,223,1,11,36,NULL,NULL,NULL,NULL),(28,223,1,11,37,NULL,NULL,NULL,NULL),(28,223,1,11,38,NULL,NULL,NULL,NULL),(28,223,1,11,39,NULL,NULL,NULL,NULL),(28,223,1,11,40,NULL,NULL,NULL,NULL),(28,223,1,12,1,NULL,NULL,NULL,NULL),(28,223,1,12,2,NULL,NULL,NULL,NULL),(28,223,1,12,3,NULL,NULL,NULL,NULL),(28,223,1,12,4,NULL,NULL,NULL,NULL),(28,223,1,12,5,NULL,NULL,NULL,NULL),(28,223,1,12,6,NULL,NULL,NULL,NULL),(28,223,1,12,7,NULL,NULL,NULL,NULL),(28,223,1,12,8,NULL,NULL,NULL,NULL),(28,223,1,12,9,NULL,NULL,NULL,NULL),(28,223,1,12,10,NULL,NULL,NULL,NULL),(28,223,1,12,11,NULL,NULL,NULL,NULL),(28,223,1,12,12,NULL,NULL,NULL,NULL),(28,223,1,12,13,NULL,NULL,NULL,NULL),(28,223,1,12,14,NULL,NULL,NULL,NULL),(28,223,1,12,15,NULL,NULL,NULL,NULL),(28,223,1,12,16,NULL,NULL,NULL,NULL),(28,223,1,12,17,NULL,NULL,NULL,NULL),(28,223,1,12,18,NULL,NULL,NULL,NULL),(28,223,1,12,19,NULL,NULL,NULL,NULL),(28,223,1,12,20,NULL,NULL,NULL,NULL),(28,223,1,12,21,NULL,NULL,NULL,NULL),(28,223,1,12,22,NULL,NULL,NULL,NULL),(28,223,1,12,23,NULL,NULL,NULL,NULL),(28,223,1,12,24,NULL,NULL,NULL,NULL),(28,223,1,12,25,NULL,NULL,NULL,NULL),(28,223,1,12,26,NULL,NULL,NULL,NULL),(28,223,1,12,27,NULL,NULL,NULL,NULL),(28,223,1,12,28,NULL,NULL,NULL,NULL),(28,223,1,12,29,NULL,NULL,NULL,NULL),(28,223,1,12,30,NULL,NULL,NULL,NULL),(28,223,1,12,31,NULL,NULL,NULL,NULL),(28,223,1,12,32,NULL,NULL,NULL,NULL),(28,223,1,12,33,NULL,NULL,NULL,NULL),(28,223,1,12,34,NULL,NULL,NULL,NULL),(28,223,1,12,35,NULL,NULL,NULL,NULL),(28,223,1,12,36,NULL,NULL,NULL,NULL),(28,223,1,12,37,NULL,NULL,NULL,NULL),(28,223,1,12,38,NULL,NULL,NULL,NULL),(28,223,1,12,39,NULL,NULL,NULL,NULL),(28,223,1,12,40,NULL,NULL,NULL,NULL),(28,223,1,13,1,NULL,NULL,NULL,NULL),(28,223,1,13,2,NULL,NULL,NULL,NULL),(28,223,1,13,3,NULL,NULL,NULL,NULL),(28,223,1,13,4,NULL,NULL,NULL,NULL),(28,223,1,13,5,NULL,NULL,NULL,NULL),(28,223,1,13,6,NULL,NULL,NULL,NULL),(28,223,1,13,7,NULL,NULL,NULL,NULL),(28,223,1,13,8,NULL,NULL,NULL,NULL),(28,223,1,13,9,NULL,NULL,NULL,NULL),(28,223,1,13,10,NULL,NULL,NULL,NULL),(28,223,1,13,11,NULL,NULL,NULL,NULL),(28,223,1,13,12,NULL,NULL,NULL,NULL),(28,223,1,13,13,NULL,NULL,NULL,NULL),(28,223,1,13,14,NULL,NULL,NULL,NULL),(28,223,1,13,15,NULL,NULL,NULL,NULL),(28,223,1,13,16,NULL,NULL,NULL,NULL),(28,223,1,13,17,NULL,NULL,NULL,NULL),(28,223,1,13,18,NULL,NULL,NULL,NULL),(28,223,1,13,19,NULL,NULL,NULL,NULL),(28,223,1,13,20,NULL,NULL,NULL,NULL),(28,223,1,13,21,NULL,NULL,NULL,NULL),(28,223,1,13,22,NULL,NULL,NULL,NULL),(28,223,1,13,23,NULL,NULL,NULL,NULL),(28,223,1,13,24,NULL,NULL,NULL,NULL),(28,223,1,13,25,NULL,NULL,NULL,NULL),(28,223,1,13,26,NULL,NULL,NULL,NULL),(28,223,1,13,27,NULL,NULL,NULL,NULL),(28,223,1,13,28,NULL,NULL,NULL,NULL),(28,223,1,13,29,NULL,NULL,NULL,NULL),(28,223,1,13,30,NULL,NULL,NULL,NULL),(28,223,1,13,31,NULL,NULL,NULL,NULL),(28,223,1,13,32,NULL,NULL,NULL,NULL),(28,223,1,13,33,NULL,NULL,NULL,NULL),(28,223,1,13,34,NULL,NULL,NULL,NULL),(28,223,1,13,35,NULL,NULL,NULL,NULL),(28,223,1,13,36,NULL,NULL,NULL,NULL),(28,223,1,13,37,NULL,NULL,NULL,NULL),(28,223,1,13,38,NULL,NULL,NULL,NULL),(28,223,1,13,39,NULL,NULL,NULL,NULL),(28,223,1,13,40,NULL,NULL,NULL,NULL),(28,223,1,14,1,8,NULL,7,NULL),(28,223,1,14,2,2,10,2,8),(28,223,1,14,3,2,6,2,5),(28,223,1,14,4,NULL,5,NULL,4),(28,223,1,14,5,7,8,6,7),(28,223,1,14,6,2,11,2,10),(28,223,1,14,7,1,5,1,4),(28,223,1,14,8,1,8,1,7),(28,223,1,14,9,2,6,2,6),(28,223,1,14,10,7,5,6,4),(28,223,1,14,11,5,2,5,2),(28,223,1,14,12,7,6,6,5),(28,223,1,14,13,10,8,10,6),(28,223,1,14,14,7,2,6,2),(28,223,1,14,15,10,NULL,10,NULL),(28,223,1,14,16,11,8,11,6),(28,223,1,14,17,2,13,2,12),(28,223,1,14,18,5,5,5,5),(28,223,1,14,19,9,8,8,7),(28,223,1,14,20,5,12,5,10),(28,223,1,14,21,NULL,4,NULL,3),(28,223,1,14,22,NULL,6,NULL,5),(28,223,1,14,23,1,4,1,3),(28,223,1,14,24,NULL,NULL,NULL,NULL),(28,223,1,14,25,NULL,1,NULL,1),(28,223,1,14,26,1,2,1,1),(28,223,1,14,27,5,NULL,5,NULL),(28,223,1,14,28,NULL,1,NULL,1),(28,223,1,14,29,NULL,1,NULL,1),(28,223,1,14,30,4,3,3,3),(28,223,1,14,31,NULL,1,NULL,1),(28,223,1,14,32,6,3,6,3),(28,223,1,14,33,1,1,1,1),(28,223,1,14,34,7,NULL,7,NULL),(28,223,1,14,35,1,2,1,2),(28,223,1,14,36,1,NULL,1,NULL),(28,223,1,14,37,1,1,1,1),(28,223,1,14,38,NULL,3,NULL,2),(28,223,1,14,39,5,5,5,4),(28,223,1,14,40,NULL,NULL,NULL,NULL),(28,223,1,15,1,7,NULL,5,NULL),(28,223,1,15,2,NULL,1,NULL,1),(28,223,1,15,3,1,4,1,3),(28,223,1,15,4,3,4,3,3),(28,223,1,15,5,3,NULL,2,NULL),(28,223,1,15,6,1,11,1,9),(28,223,1,15,7,2,2,2,1),(28,223,1,15,8,NULL,5,NULL,5),(28,223,1,15,9,1,3,1,3),(28,223,1,15,10,4,5,4,5),(28,223,1,15,11,1,2,1,2),(28,223,1,15,12,2,5,1,5),(28,223,1,15,13,8,4,7,3),(28,223,1,15,14,1,7,1,6),(28,223,1,15,15,9,NULL,7,NULL),(28,223,1,15,16,5,4,4,3),(28,223,1,15,17,4,6,3,6),(28,223,1,15,18,4,2,4,2),(28,223,1,15,19,7,5,6,5),(28,223,1,15,20,4,11,3,10),(28,223,1,15,21,NULL,4,NULL,4),(28,223,1,15,22,NULL,5,NULL,5),(28,223,1,15,23,NULL,2,NULL,2),(28,223,1,15,24,NULL,NULL,NULL,NULL),(28,223,1,15,25,NULL,2,NULL,1),(28,223,1,15,26,NULL,4,NULL,4),(28,223,1,15,27,4,NULL,3,NULL),(28,223,1,15,28,NULL,1,NULL,NULL),(28,223,1,15,29,1,4,1,2),(28,223,1,15,30,1,5,NULL,4),(28,223,1,15,31,NULL,1,NULL,NULL),(28,223,1,15,32,1,5,1,5),(28,223,1,15,33,NULL,3,NULL,3),(28,223,1,15,34,2,4,1,4),(28,223,1,15,35,NULL,1,NULL,1),(28,223,1,15,36,2,NULL,1,NULL),(28,223,1,15,37,NULL,3,NULL,3),(28,223,1,15,38,NULL,1,NULL,1),(28,223,1,15,39,3,3,3,3),(28,223,1,15,40,NULL,NULL,NULL,NULL),(28,223,1,16,1,2,NULL,2,NULL),(28,223,1,16,2,NULL,1,NULL,NULL),(28,223,1,16,3,NULL,3,NULL,2),(28,223,1,16,4,1,2,1,2),(28,223,1,16,5,5,2,4,2),(28,223,1,16,6,1,4,1,3),(28,223,1,16,7,2,2,2,2),(28,223,1,16,8,NULL,3,NULL,2),(28,223,1,16,9,2,2,2,2),(28,223,1,16,10,2,1,2,1),(28,223,1,16,11,NULL,2,NULL,2),(28,223,1,16,12,NULL,1,NULL,1),(28,223,1,16,13,8,NULL,7,NULL),(28,223,1,16,14,5,2,4,2),(28,223,1,16,15,2,3,1,3),(28,223,1,16,16,6,NULL,5,NULL),(28,223,1,16,17,4,4,3,4),(28,223,1,16,18,NULL,1,NULL,1),(28,223,1,16,19,NULL,3,NULL,2),(28,223,1,16,20,3,2,2,2),(28,223,1,16,21,NULL,1,NULL,NULL),(28,223,1,16,22,1,NULL,1,NULL),(28,223,1,16,23,1,1,1,1),(28,223,1,16,24,NULL,NULL,NULL,NULL),(28,223,1,16,25,NULL,1,NULL,1),(28,223,1,16,26,NULL,1,NULL,1),(28,223,1,16,27,2,NULL,2,NULL),(28,223,1,16,28,NULL,NULL,NULL,NULL),(28,223,1,16,29,NULL,NULL,NULL,NULL),(28,223,1,16,30,3,2,2,1),(28,223,1,16,31,1,1,1,1),(28,223,1,16,32,2,2,2,1),(28,223,1,16,33,NULL,2,NULL,1),(28,223,1,16,34,NULL,NULL,NULL,NULL),(28,223,1,16,35,NULL,1,NULL,1),(28,223,1,16,36,NULL,NULL,NULL,NULL),(28,223,1,16,37,NULL,NULL,NULL,NULL),(28,223,1,16,38,NULL,NULL,NULL,NULL),(28,223,1,16,39,NULL,3,NULL,2),(28,223,1,16,40,NULL,NULL,NULL,NULL),(28,223,1,17,1,1,NULL,1,NULL),(28,223,1,17,2,NULL,2,NULL,2),(28,223,1,17,3,1,2,1,2),(28,223,1,17,4,3,3,1,2),(28,223,1,17,5,4,1,3,1),(28,223,1,17,6,NULL,5,NULL,2),(28,223,1,17,7,NULL,2,NULL,2),(28,223,1,17,8,NULL,3,NULL,2),(28,223,1,17,9,1,2,NULL,2),(28,223,1,17,10,4,2,3,1),(28,223,1,17,11,NULL,1,NULL,1),(28,223,1,17,12,NULL,1,NULL,NULL),(28,223,1,17,13,11,NULL,7,NULL),(28,223,1,17,14,9,3,5,3),(28,223,1,17,15,3,5,2,3),(28,223,1,17,16,7,NULL,4,NULL),(28,223,1,17,17,3,7,3,4),(28,223,1,17,18,2,4,1,3),(28,223,1,17,19,2,4,1,1),(28,223,1,17,20,1,3,1,2),(28,223,1,17,21,NULL,1,NULL,NULL),(28,223,1,17,22,1,2,NULL,2),(28,223,1,17,23,1,2,NULL,2),(28,223,1,17,24,1,NULL,1,NULL),(28,223,1,17,25,NULL,1,NULL,NULL),(28,223,1,17,26,NULL,NULL,NULL,NULL),(28,223,1,17,27,1,NULL,1,NULL),(28,223,1,17,28,1,1,1,NULL),(28,223,1,17,29,NULL,NULL,NULL,NULL),(28,223,1,17,30,1,4,NULL,3),(28,223,1,17,31,NULL,2,NULL,2),(28,223,1,17,32,1,1,1,1),(28,223,1,17,33,NULL,1,NULL,1),(28,223,1,17,34,1,NULL,1,NULL),(28,223,1,17,35,NULL,1,NULL,1),(28,223,1,17,36,NULL,NULL,NULL,NULL),(28,223,1,17,37,NULL,NULL,NULL,NULL),(28,223,1,17,38,NULL,NULL,NULL,NULL),(28,223,1,17,39,NULL,5,NULL,4),(28,223,1,17,40,1,NULL,1,NULL),(28,223,1,18,1,NULL,NULL,NULL,NULL),(28,223,1,18,2,NULL,NULL,NULL,NULL),(28,223,1,18,3,NULL,NULL,NULL,NULL),(28,223,1,18,4,NULL,NULL,NULL,NULL),(28,223,1,18,5,NULL,NULL,NULL,NULL),(28,223,1,18,6,NULL,NULL,NULL,NULL),(28,223,1,18,7,NULL,NULL,NULL,NULL),(28,223,1,18,8,NULL,NULL,NULL,NULL),(28,223,1,18,9,NULL,NULL,NULL,NULL),(28,223,1,18,10,NULL,NULL,NULL,NULL),(28,223,1,18,11,NULL,NULL,NULL,NULL),(28,223,1,18,12,NULL,NULL,NULL,NULL),(28,223,1,18,13,NULL,NULL,NULL,NULL),(28,223,1,18,14,NULL,NULL,NULL,NULL),(28,223,1,18,15,NULL,NULL,NULL,NULL),(28,223,1,18,16,NULL,NULL,NULL,NULL),(28,223,1,18,17,NULL,NULL,NULL,NULL),(28,223,1,18,18,NULL,NULL,NULL,NULL),(28,223,1,18,19,NULL,NULL,NULL,NULL),(28,223,1,18,20,NULL,NULL,NULL,NULL),(28,223,1,18,21,NULL,NULL,NULL,NULL),(28,223,1,18,22,NULL,NULL,NULL,NULL),(28,223,1,18,23,NULL,NULL,NULL,NULL),(28,223,1,18,24,NULL,NULL,NULL,NULL),(28,223,1,18,25,NULL,NULL,NULL,NULL),(28,223,1,18,26,NULL,NULL,NULL,NULL),(28,223,1,18,27,NULL,NULL,NULL,NULL),(28,223,1,18,28,NULL,NULL,NULL,NULL),(28,223,1,18,29,NULL,NULL,NULL,NULL),(28,223,1,18,30,NULL,NULL,NULL,NULL),(28,223,1,18,31,NULL,NULL,NULL,NULL),(28,223,1,18,32,NULL,NULL,NULL,NULL),(28,223,1,18,33,NULL,NULL,NULL,NULL),(28,223,1,18,34,NULL,NULL,NULL,NULL),(28,223,1,18,35,NULL,NULL,NULL,NULL),(28,223,1,18,36,NULL,NULL,NULL,NULL),(28,223,1,18,37,NULL,NULL,NULL,NULL),(28,223,1,18,38,NULL,NULL,NULL,NULL),(28,223,1,18,39,NULL,NULL,NULL,NULL),(28,223,1,18,40,NULL,NULL,NULL,NULL),(28,223,1,19,1,NULL,NULL,NULL,NULL),(28,223,1,19,2,NULL,NULL,NULL,NULL),(28,223,1,19,3,NULL,NULL,NULL,NULL),(28,223,1,19,4,NULL,NULL,NULL,NULL),(28,223,1,19,5,NULL,NULL,NULL,NULL),(28,223,1,19,6,NULL,NULL,NULL,NULL),(28,223,1,19,7,NULL,NULL,NULL,NULL),(28,223,1,19,8,NULL,NULL,NULL,NULL),(28,223,1,19,9,NULL,NULL,NULL,NULL),(28,223,1,19,10,NULL,NULL,NULL,NULL),(28,223,1,19,11,NULL,NULL,NULL,NULL),(28,223,1,19,12,NULL,NULL,NULL,NULL),(28,223,1,19,13,NULL,NULL,NULL,NULL),(28,223,1,19,14,NULL,NULL,NULL,NULL),(28,223,1,19,15,NULL,NULL,NULL,NULL),(28,223,1,19,16,NULL,NULL,NULL,NULL),(28,223,1,19,17,NULL,NULL,NULL,NULL),(28,223,1,19,18,NULL,NULL,NULL,NULL),(28,223,1,19,19,NULL,NULL,NULL,NULL),(28,223,1,19,20,NULL,NULL,NULL,NULL),(28,223,1,19,21,NULL,NULL,NULL,NULL),(28,223,1,19,22,NULL,NULL,NULL,NULL),(28,223,1,19,23,NULL,NULL,NULL,NULL),(28,223,1,19,24,NULL,NULL,NULL,NULL),(28,223,1,19,25,NULL,NULL,NULL,NULL),(28,223,1,19,26,NULL,NULL,NULL,NULL),(28,223,1,19,27,NULL,NULL,NULL,NULL),(28,223,1,19,28,NULL,NULL,NULL,NULL),(28,223,1,19,29,NULL,NULL,NULL,NULL),(28,223,1,19,30,NULL,NULL,NULL,NULL),(28,223,1,19,31,NULL,NULL,NULL,NULL),(28,223,1,19,32,NULL,NULL,NULL,NULL),(28,223,1,19,33,NULL,NULL,NULL,NULL),(28,223,1,19,34,NULL,NULL,NULL,NULL),(28,223,1,19,35,NULL,NULL,NULL,NULL),(28,223,1,19,36,NULL,NULL,NULL,NULL),(28,223,1,19,37,NULL,NULL,NULL,NULL),(28,223,1,19,38,NULL,NULL,NULL,NULL),(28,223,1,19,39,NULL,NULL,NULL,NULL),(28,223,1,19,40,NULL,NULL,NULL,NULL),(28,223,2,21,1,NULL,10,NULL,8),(28,223,2,21,2,NULL,4,NULL,4),(28,223,2,21,3,8,4,6,4),(28,223,2,21,4,NULL,3,NULL,3),(28,223,2,21,5,1,3,NULL,2),(28,223,2,21,6,7,6,4,5),(28,223,2,21,7,NULL,5,NULL,3),(28,223,2,21,8,1,2,NULL,1),(28,223,2,21,9,NULL,1,NULL,1),(28,223,2,21,10,NULL,3,NULL,2),(28,223,2,21,11,NULL,2,NULL,2),(28,223,2,21,12,4,8,3,7),(28,223,2,21,13,2,7,1,6),(28,223,2,21,14,2,6,2,3),(28,223,2,21,15,3,3,2,1),(28,223,2,21,16,1,4,1,3),(28,223,2,21,17,NULL,3,NULL,1),(28,223,2,21,18,5,4,4,3),(28,223,2,21,19,2,4,NULL,3),(28,223,2,21,20,1,4,1,3),(28,223,2,21,21,NULL,2,NULL,2),(28,223,2,21,22,4,3,3,1),(28,223,2,21,23,NULL,2,NULL,2),(28,223,2,21,24,1,3,NULL,3),(28,223,2,21,25,NULL,2,NULL,2),(28,223,2,21,26,1,4,1,4),(28,223,2,21,27,NULL,2,NULL,2),(28,223,2,21,28,NULL,2,NULL,1),(28,223,2,21,29,NULL,1,NULL,1),(28,223,2,21,30,NULL,NULL,NULL,NULL),(28,223,2,21,31,NULL,6,NULL,4),(28,223,2,21,32,NULL,1,NULL,1),(28,223,2,21,33,NULL,2,NULL,2),(28,223,2,21,34,NULL,3,NULL,2),(28,223,2,21,35,NULL,NULL,NULL,NULL),(28,223,2,21,36,NULL,1,NULL,1),(28,223,2,21,37,NULL,2,NULL,2),(28,223,2,21,38,NULL,1,NULL,1),(28,223,2,21,39,NULL,4,NULL,4),(28,223,2,21,40,NULL,8,NULL,6),(28,223,2,22,1,NULL,8,NULL,7),(28,223,2,22,2,NULL,3,NULL,3),(28,223,2,22,3,7,4,7,4),(28,223,2,22,4,NULL,NULL,NULL,NULL),(28,223,2,22,5,2,1,2,1),(28,223,2,22,6,4,12,3,9),(28,223,2,22,7,NULL,8,NULL,8),(28,223,2,22,8,1,5,1,5),(28,223,2,22,9,1,2,1,1),(28,223,2,22,10,2,4,2,3),(28,223,2,22,11,1,3,NULL,3),(28,223,2,22,12,3,5,3,4),(28,223,2,22,13,1,11,1,9),(28,223,2,22,14,5,5,4,4),(28,223,2,22,15,NULL,5,NULL,5),(28,223,2,22,16,2,4,1,4),(28,223,2,22,17,1,1,1,1),(28,223,2,22,18,6,6,4,4),(28,223,2,22,19,1,9,1,9),(28,223,2,22,20,5,5,4,5),(28,223,2,22,21,2,7,1,6),(28,223,2,22,22,2,1,2,1),(28,223,2,22,23,1,1,1,1),(28,223,2,22,24,NULL,4,NULL,4),(28,223,2,22,25,NULL,2,NULL,2),(28,223,2,22,26,1,4,1,4),(28,223,2,22,27,2,2,2,2),(28,223,2,22,28,NULL,4,NULL,4),(28,223,2,22,29,NULL,NULL,NULL,NULL),(28,223,2,22,30,NULL,2,NULL,2),(28,223,2,22,31,NULL,3,NULL,3),(28,223,2,22,32,NULL,3,NULL,3),(28,223,2,22,33,1,4,1,2),(28,223,2,22,34,1,3,1,2),(28,223,2,22,35,1,NULL,1,NULL),(28,223,2,22,36,2,NULL,1,NULL),(28,223,2,22,37,NULL,1,NULL,NULL),(28,223,2,22,38,NULL,NULL,NULL,NULL),(28,223,2,22,39,NULL,3,NULL,2),(28,223,2,22,40,NULL,9,NULL,8),(28,223,2,23,1,NULL,6,NULL,6),(28,223,2,23,2,NULL,4,NULL,3),(28,223,2,23,3,7,2,7,2),(28,223,2,23,4,NULL,2,NULL,2),(28,223,2,23,5,3,2,3,1),(28,223,2,23,6,6,3,6,2),(28,223,2,23,7,NULL,3,NULL,3),(28,223,2,23,8,3,4,3,4),(28,223,2,23,9,NULL,2,NULL,2),(28,223,2,23,10,1,4,1,3),(28,223,2,23,11,1,1,1,1),(28,223,2,23,12,3,4,3,4),(28,223,2,23,13,2,5,2,5),(28,223,2,23,14,4,3,4,3),(28,223,2,23,15,2,5,2,5),(28,223,2,23,16,4,5,4,5),(28,223,2,23,17,1,1,1,1),(28,223,2,23,18,3,3,3,3),(28,223,2,23,19,2,5,2,5),(28,223,2,23,20,1,6,1,6),(28,223,2,23,21,NULL,1,NULL,1),(28,223,2,23,22,NULL,1,NULL,1),(28,223,2,23,23,NULL,NULL,NULL,NULL),(28,223,2,23,24,NULL,3,NULL,3),(28,223,2,23,25,NULL,4,NULL,4),(28,223,2,23,26,1,3,1,3),(28,223,2,23,27,1,4,1,4),(28,223,2,23,28,NULL,1,NULL,1),(28,223,2,23,29,NULL,1,NULL,NULL),(28,223,2,23,30,NULL,1,NULL,1),(28,223,2,23,31,1,5,1,5),(28,223,2,23,32,NULL,NULL,NULL,NULL),(28,223,2,23,33,2,NULL,2,NULL),(28,223,2,23,34,NULL,5,NULL,5),(28,223,2,23,35,1,NULL,1,NULL),(28,223,2,23,36,1,2,1,2),(28,223,2,23,37,3,2,3,2),(28,223,2,23,38,NULL,3,NULL,3),(28,223,2,23,39,NULL,3,NULL,3),(28,223,2,23,40,1,7,1,7),(28,223,2,24,1,NULL,4,NULL,4),(28,223,2,24,2,NULL,2,NULL,2),(28,223,2,24,3,1,6,1,5),(28,223,2,24,4,NULL,2,NULL,1),(28,223,2,24,5,NULL,4,NULL,4),(28,223,2,24,6,3,3,3,3),(28,223,2,24,7,NULL,1,NULL,NULL),(28,223,2,24,8,1,1,1,1),(28,223,2,24,9,3,1,3,1),(28,223,2,24,10,1,3,1,3),(28,223,2,24,11,1,2,1,2),(28,223,2,24,12,1,1,1,NULL),(28,223,2,24,13,NULL,6,NULL,5),(28,223,2,24,14,2,3,1,3),(28,223,2,24,15,NULL,NULL,NULL,NULL),(28,223,2,24,16,2,3,2,3),(28,223,2,24,17,NULL,4,NULL,4),(28,223,2,24,18,1,7,1,6),(28,223,2,24,19,NULL,2,NULL,2),(28,223,2,24,20,3,1,3,1),(28,223,2,24,21,NULL,3,NULL,2),(28,223,2,24,22,1,3,1,3),(28,223,2,24,23,NULL,1,NULL,1),(28,223,2,24,24,NULL,NULL,NULL,NULL),(28,223,2,24,25,NULL,2,NULL,2),(28,223,2,24,26,NULL,3,NULL,3),(28,223,2,24,27,NULL,3,NULL,3),(28,223,2,24,28,NULL,1,NULL,1),(28,223,2,24,29,NULL,2,NULL,2),(28,223,2,24,30,1,1,NULL,1),(28,223,2,24,31,NULL,3,NULL,3),(28,223,2,24,32,NULL,1,NULL,1),(28,223,2,24,33,1,1,1,NULL),(28,223,2,24,34,NULL,2,NULL,2),(28,223,2,24,35,3,NULL,3,NULL),(28,223,2,24,36,NULL,1,NULL,1),(28,223,2,24,37,NULL,1,NULL,1),(28,223,2,24,38,NULL,NULL,NULL,NULL),(28,223,2,24,39,1,NULL,1,NULL),(28,223,2,24,40,NULL,2,NULL,2),(28,224,1,11,1,NULL,NULL,NULL,NULL),(28,224,1,11,2,NULL,NULL,NULL,NULL),(28,224,1,11,3,NULL,NULL,NULL,NULL),(28,224,1,11,4,NULL,NULL,NULL,NULL),(28,224,1,11,5,NULL,NULL,NULL,NULL),(28,224,1,11,6,NULL,NULL,NULL,NULL),(28,224,1,11,7,NULL,NULL,NULL,NULL),(28,224,1,11,8,NULL,NULL,NULL,NULL),(28,224,1,11,9,NULL,NULL,NULL,NULL),(28,224,1,11,10,NULL,NULL,NULL,NULL),(28,224,1,11,11,NULL,NULL,NULL,NULL),(28,224,1,11,12,NULL,NULL,NULL,NULL),(28,224,1,11,13,NULL,NULL,NULL,NULL),(28,224,1,11,14,NULL,NULL,NULL,NULL),(28,224,1,11,15,NULL,NULL,NULL,NULL),(28,224,1,11,16,NULL,NULL,NULL,NULL),(28,224,1,11,17,NULL,NULL,NULL,NULL),(28,224,1,11,18,NULL,NULL,NULL,NULL),(28,224,1,11,19,NULL,NULL,NULL,NULL),(28,224,1,11,20,NULL,NULL,NULL,NULL),(28,224,1,11,21,NULL,NULL,NULL,NULL),(28,224,1,11,22,NULL,NULL,NULL,NULL),(28,224,1,11,23,NULL,NULL,NULL,NULL),(28,224,1,11,24,NULL,NULL,NULL,NULL),(28,224,1,11,25,NULL,NULL,NULL,NULL),(28,224,1,11,26,NULL,NULL,NULL,NULL),(28,224,1,11,27,NULL,NULL,NULL,NULL),(28,224,1,11,28,NULL,NULL,NULL,NULL),(28,224,1,11,29,NULL,NULL,NULL,NULL),(28,224,1,11,30,NULL,NULL,NULL,NULL),(28,224,1,11,31,NULL,NULL,NULL,NULL),(28,224,1,11,32,NULL,NULL,NULL,NULL),(28,224,1,11,33,NULL,NULL,NULL,NULL),(28,224,1,11,34,NULL,NULL,NULL,NULL),(28,224,1,11,35,NULL,NULL,NULL,NULL),(28,224,1,11,36,NULL,NULL,NULL,NULL),(28,224,1,11,37,NULL,NULL,NULL,NULL),(28,224,1,11,38,NULL,NULL,NULL,NULL),(28,224,1,11,39,NULL,NULL,NULL,NULL),(28,224,1,11,40,NULL,NULL,NULL,NULL),(28,224,1,12,1,NULL,NULL,NULL,NULL),(28,224,1,12,2,NULL,NULL,NULL,NULL),(28,224,1,12,3,NULL,NULL,NULL,NULL),(28,224,1,12,4,NULL,NULL,NULL,NULL),(28,224,1,12,5,NULL,NULL,NULL,NULL),(28,224,1,12,6,NULL,NULL,NULL,NULL),(28,224,1,12,7,NULL,NULL,NULL,NULL),(28,224,1,12,8,NULL,NULL,NULL,NULL),(28,224,1,12,9,NULL,NULL,NULL,NULL),(28,224,1,12,10,NULL,NULL,NULL,NULL),(28,224,1,12,11,NULL,NULL,NULL,NULL),(28,224,1,12,12,NULL,NULL,NULL,NULL),(28,224,1,12,13,NULL,NULL,NULL,NULL),(28,224,1,12,14,NULL,NULL,NULL,NULL),(28,224,1,12,15,NULL,NULL,NULL,NULL),(28,224,1,12,16,NULL,NULL,NULL,NULL),(28,224,1,12,17,NULL,NULL,NULL,NULL),(28,224,1,12,18,NULL,NULL,NULL,NULL),(28,224,1,12,19,NULL,NULL,NULL,NULL),(28,224,1,12,20,NULL,NULL,NULL,NULL),(28,224,1,12,21,NULL,NULL,NULL,NULL),(28,224,1,12,22,NULL,NULL,NULL,NULL),(28,224,1,12,23,NULL,NULL,NULL,NULL),(28,224,1,12,24,NULL,NULL,NULL,NULL),(28,224,1,12,25,NULL,NULL,NULL,NULL),(28,224,1,12,26,NULL,NULL,NULL,NULL),(28,224,1,12,27,NULL,NULL,NULL,NULL),(28,224,1,12,28,NULL,NULL,NULL,NULL),(28,224,1,12,29,NULL,NULL,NULL,NULL),(28,224,1,12,30,NULL,NULL,NULL,NULL),(28,224,1,12,31,NULL,NULL,NULL,NULL),(28,224,1,12,32,NULL,NULL,NULL,NULL),(28,224,1,12,33,NULL,NULL,NULL,NULL),(28,224,1,12,34,NULL,NULL,NULL,NULL),(28,224,1,12,35,NULL,NULL,NULL,NULL),(28,224,1,12,36,NULL,NULL,NULL,NULL),(28,224,1,12,37,NULL,NULL,NULL,NULL),(28,224,1,12,38,NULL,NULL,NULL,NULL),(28,224,1,12,39,NULL,NULL,NULL,NULL),(28,224,1,12,40,NULL,NULL,NULL,NULL),(28,224,1,13,1,NULL,NULL,NULL,NULL),(28,224,1,13,2,NULL,NULL,NULL,NULL),(28,224,1,13,3,NULL,NULL,NULL,NULL),(28,224,1,13,4,NULL,NULL,NULL,NULL),(28,224,1,13,5,NULL,NULL,NULL,NULL),(28,224,1,13,6,NULL,NULL,NULL,NULL),(28,224,1,13,7,NULL,NULL,NULL,NULL),(28,224,1,13,8,NULL,NULL,NULL,NULL),(28,224,1,13,9,NULL,NULL,NULL,NULL),(28,224,1,13,10,NULL,NULL,NULL,NULL),(28,224,1,13,11,NULL,NULL,NULL,NULL),(28,224,1,13,12,NULL,NULL,NULL,NULL),(28,224,1,13,13,NULL,NULL,NULL,NULL),(28,224,1,13,14,NULL,NULL,NULL,NULL),(28,224,1,13,15,NULL,NULL,NULL,NULL),(28,224,1,13,16,NULL,NULL,NULL,NULL),(28,224,1,13,17,NULL,NULL,NULL,NULL),(28,224,1,13,18,NULL,NULL,NULL,NULL),(28,224,1,13,19,NULL,NULL,NULL,NULL),(28,224,1,13,20,NULL,NULL,NULL,NULL),(28,224,1,13,21,NULL,NULL,NULL,NULL),(28,224,1,13,22,NULL,NULL,NULL,NULL),(28,224,1,13,23,NULL,NULL,NULL,NULL),(28,224,1,13,24,NULL,NULL,NULL,NULL),(28,224,1,13,25,NULL,NULL,NULL,NULL),(28,224,1,13,26,NULL,NULL,NULL,NULL),(28,224,1,13,27,NULL,NULL,NULL,NULL),(28,224,1,13,28,NULL,NULL,NULL,NULL),(28,224,1,13,29,NULL,NULL,NULL,NULL),(28,224,1,13,30,NULL,NULL,NULL,NULL),(28,224,1,13,31,NULL,NULL,NULL,NULL),(28,224,1,13,32,NULL,NULL,NULL,NULL),(28,224,1,13,33,NULL,NULL,NULL,NULL),(28,224,1,13,34,NULL,NULL,NULL,NULL),(28,224,1,13,35,NULL,NULL,NULL,NULL),(28,224,1,13,36,NULL,NULL,NULL,NULL),(28,224,1,13,37,NULL,NULL,NULL,NULL),(28,224,1,13,38,NULL,NULL,NULL,NULL),(28,224,1,13,39,NULL,NULL,NULL,NULL),(28,224,1,13,40,NULL,NULL,NULL,NULL),(28,224,1,14,1,4,NULL,3,NULL),(28,224,1,14,2,NULL,1,NULL,1),(28,224,1,14,3,1,2,1,2),(28,224,1,14,4,NULL,1,NULL,1),(28,224,1,14,5,3,3,2,3),(28,224,1,14,6,NULL,4,NULL,4),(28,224,1,14,7,1,2,1,2),(28,224,1,14,8,NULL,3,NULL,3),(28,224,1,14,9,NULL,1,NULL,1),(28,224,1,14,10,1,4,1,3),(28,224,1,14,11,NULL,1,NULL,1),(28,224,1,14,12,2,1,2,1),(28,224,1,14,13,2,6,2,5),(28,224,1,14,14,3,4,3,2),(28,224,1,14,15,4,NULL,4,NULL),(28,224,1,14,16,2,1,1,1),(28,224,1,14,17,1,6,NULL,6),(28,224,1,14,18,1,2,1,2),(28,224,1,14,19,4,3,3,3),(28,224,1,14,20,1,3,NULL,3),(28,224,1,14,21,NULL,1,NULL,1),(28,224,1,14,22,2,2,2,1),(28,224,1,14,23,NULL,2,NULL,1),(28,224,1,14,24,NULL,NULL,NULL,NULL),(28,224,1,14,25,1,NULL,1,NULL),(28,224,1,14,26,1,NULL,1,NULL),(28,224,1,14,27,1,NULL,1,NULL),(28,224,1,14,28,NULL,NULL,NULL,NULL),(28,224,1,14,29,2,1,2,1),(28,224,1,14,30,2,1,2,NULL),(28,224,1,14,31,NULL,NULL,NULL,NULL),(28,224,1,14,32,2,2,2,1),(28,224,1,14,33,NULL,2,NULL,1),(28,224,1,14,34,3,1,2,1),(28,224,1,14,35,1,NULL,1,NULL),(28,224,1,14,36,NULL,NULL,NULL,NULL),(28,224,1,14,37,NULL,2,NULL,2),(28,224,1,14,38,NULL,1,NULL,1),(28,224,1,14,39,NULL,3,NULL,3),(28,224,1,14,40,NULL,NULL,NULL,NULL),(28,224,1,15,1,2,NULL,2,NULL),(28,224,1,15,2,NULL,4,NULL,3),(28,224,1,15,3,3,2,2,1),(28,224,1,15,4,1,2,NULL,1),(28,224,1,15,5,2,4,2,3),(28,224,1,15,6,NULL,9,NULL,5),(28,224,1,15,7,NULL,2,NULL,2),(28,224,1,15,8,NULL,5,NULL,4),(28,224,1,15,9,1,2,1,2),(28,224,1,15,10,5,1,3,1),(28,224,1,15,11,1,NULL,1,NULL),(28,224,1,15,12,NULL,2,NULL,1),(28,224,1,15,13,6,2,4,1),(28,224,1,15,14,3,1,3,NULL),(28,224,1,15,15,5,NULL,4,NULL),(28,224,1,15,16,3,3,3,1),(28,224,1,15,17,3,4,2,4),(28,224,1,15,18,1,5,NULL,3),(28,224,1,15,19,4,4,3,2),(28,224,1,15,20,3,8,3,4),(28,224,1,15,21,NULL,3,NULL,2),(28,224,1,15,22,2,3,1,3),(28,224,1,15,23,1,2,NULL,2),(28,224,1,15,24,NULL,NULL,NULL,NULL),(28,224,1,15,25,NULL,1,NULL,NULL),(28,224,1,15,26,NULL,2,NULL,2),(28,224,1,15,27,2,NULL,2,NULL),(28,224,1,15,28,NULL,NULL,NULL,NULL),(28,224,1,15,29,1,2,NULL,1),(28,224,1,15,30,1,2,1,2),(28,224,1,15,31,NULL,NULL,NULL,NULL),(28,224,1,15,32,3,2,3,2),(28,224,1,15,33,2,1,2,NULL),(28,224,1,15,34,1,2,1,2),(28,224,1,15,35,1,NULL,1,NULL),(28,224,1,15,36,NULL,NULL,NULL,NULL),(28,224,1,15,37,NULL,NULL,NULL,NULL),(28,224,1,15,38,NULL,1,NULL,NULL),(28,224,1,15,39,1,3,NULL,3),(28,224,1,15,40,NULL,NULL,NULL,NULL),(28,224,1,16,1,3,NULL,3,NULL),(28,224,1,16,2,1,3,1,2),(28,224,1,16,3,2,NULL,2,NULL),(28,224,1,16,4,NULL,5,NULL,4),(28,224,1,16,5,4,3,3,3),(28,224,1,16,6,NULL,5,NULL,3),(28,224,1,16,7,1,4,1,4),(28,224,1,16,8,NULL,3,NULL,1),(28,224,1,16,9,3,3,2,2),(28,224,1,16,10,3,1,2,1),(28,224,1,16,11,1,2,1,1),(28,224,1,16,12,2,1,2,1),(28,224,1,16,13,13,NULL,11,NULL),(28,224,1,16,14,10,3,7,3),(28,224,1,16,15,2,7,2,5),(28,224,1,16,16,10,NULL,10,NULL),(28,224,1,16,17,5,6,3,6),(28,224,1,16,18,2,4,2,3),(28,224,1,16,19,1,5,NULL,4),(28,224,1,16,20,2,2,NULL,2),(28,224,1,16,21,NULL,1,NULL,1),(28,224,1,16,22,NULL,2,NULL,1),(28,224,1,16,23,1,2,NULL,2),(28,224,1,16,24,NULL,NULL,NULL,NULL),(28,224,1,16,25,NULL,NULL,NULL,NULL),(28,224,1,16,26,NULL,1,NULL,1),(28,224,1,16,27,1,NULL,1,NULL),(28,224,1,16,28,NULL,NULL,NULL,NULL),(28,224,1,16,29,NULL,2,NULL,2),(28,224,1,16,30,2,1,2,1),(28,224,1,16,31,NULL,NULL,NULL,NULL),(28,224,1,16,32,1,1,1,NULL),(28,224,1,16,33,1,1,1,1),(28,224,1,16,34,2,3,1,2),(28,224,1,16,35,NULL,2,NULL,2),(28,224,1,16,36,NULL,NULL,NULL,NULL),(28,224,1,16,37,NULL,NULL,NULL,NULL),(28,224,1,16,38,NULL,2,NULL,1),(28,224,1,16,39,5,3,5,2),(28,224,1,16,40,NULL,NULL,NULL,NULL),(28,224,1,17,1,6,NULL,3,NULL),(28,224,1,17,2,NULL,1,NULL,1),(28,224,1,17,3,1,4,1,3),(28,224,1,17,4,2,4,1,2),(28,224,1,17,5,2,2,2,2),(28,224,1,17,6,NULL,4,NULL,2),(28,224,1,17,7,1,2,NULL,1),(28,224,1,17,8,NULL,2,NULL,1),(28,224,1,17,9,NULL,3,NULL,2),(28,224,1,17,10,2,5,2,3),(28,224,1,17,11,1,NULL,1,NULL),(28,224,1,17,12,NULL,3,NULL,2),(28,224,1,17,13,13,NULL,7,NULL),(28,224,1,17,14,8,5,5,3),(28,224,1,17,15,NULL,8,NULL,4),(28,224,1,17,16,5,NULL,3,NULL),(28,224,1,17,17,NULL,10,NULL,6),(28,224,1,17,18,4,3,3,1),(28,224,1,17,19,1,5,1,4),(28,224,1,17,20,2,4,2,1),(28,224,1,17,21,NULL,2,NULL,2),(28,224,1,17,22,NULL,2,NULL,2),(28,224,1,17,23,NULL,3,NULL,1),(28,224,1,17,24,NULL,NULL,NULL,NULL),(28,224,1,17,25,NULL,1,NULL,1),(28,224,1,17,26,NULL,NULL,NULL,NULL),(28,224,1,17,27,4,NULL,2,NULL),(28,224,1,17,28,NULL,1,NULL,1),(28,224,1,17,29,NULL,4,NULL,3),(28,224,1,17,30,NULL,3,NULL,2),(28,224,1,17,31,NULL,1,NULL,NULL),(28,224,1,17,32,1,1,1,NULL),(28,224,1,17,33,NULL,1,NULL,1),(28,224,1,17,34,1,4,1,4),(28,224,1,17,35,NULL,1,NULL,1),(28,224,1,17,36,NULL,NULL,NULL,NULL),(28,224,1,17,37,NULL,NULL,NULL,NULL),(28,224,1,17,38,NULL,2,NULL,1),(28,224,1,17,39,4,4,2,4),(28,224,1,17,40,1,NULL,1,NULL),(28,224,1,18,1,NULL,NULL,NULL,NULL),(28,224,1,18,2,NULL,NULL,NULL,NULL),(28,224,1,18,3,NULL,NULL,NULL,NULL),(28,224,1,18,4,NULL,NULL,NULL,NULL),(28,224,1,18,5,NULL,NULL,NULL,NULL),(28,224,1,18,6,NULL,NULL,NULL,NULL),(28,224,1,18,7,NULL,NULL,NULL,NULL),(28,224,1,18,8,NULL,NULL,NULL,NULL),(28,224,1,18,9,NULL,NULL,NULL,NULL),(28,224,1,18,10,NULL,NULL,NULL,NULL),(28,224,1,18,11,NULL,NULL,NULL,NULL),(28,224,1,18,12,NULL,NULL,NULL,NULL),(28,224,1,18,13,NULL,NULL,NULL,NULL),(28,224,1,18,14,NULL,NULL,NULL,NULL),(28,224,1,18,15,NULL,NULL,NULL,NULL),(28,224,1,18,16,NULL,NULL,NULL,NULL),(28,224,1,18,17,NULL,NULL,NULL,NULL),(28,224,1,18,18,NULL,NULL,NULL,NULL),(28,224,1,18,19,NULL,NULL,NULL,NULL),(28,224,1,18,20,NULL,NULL,NULL,NULL),(28,224,1,18,21,NULL,NULL,NULL,NULL),(28,224,1,18,22,NULL,NULL,NULL,NULL),(28,224,1,18,23,NULL,NULL,NULL,NULL),(28,224,1,18,24,NULL,NULL,NULL,NULL),(28,224,1,18,25,NULL,NULL,NULL,NULL),(28,224,1,18,26,NULL,NULL,NULL,NULL),(28,224,1,18,27,NULL,NULL,NULL,NULL),(28,224,1,18,28,NULL,NULL,NULL,NULL),(28,224,1,18,29,NULL,NULL,NULL,NULL),(28,224,1,18,30,NULL,NULL,NULL,NULL),(28,224,1,18,31,NULL,NULL,NULL,NULL),(28,224,1,18,32,NULL,NULL,NULL,NULL),(28,224,1,18,33,NULL,NULL,NULL,NULL),(28,224,1,18,34,NULL,NULL,NULL,NULL),(28,224,1,18,35,NULL,NULL,NULL,NULL),(28,224,1,18,36,NULL,NULL,NULL,NULL),(28,224,1,18,37,NULL,NULL,NULL,NULL),(28,224,1,18,38,NULL,NULL,NULL,NULL),(28,224,1,18,39,NULL,NULL,NULL,NULL),(28,224,1,18,40,NULL,NULL,NULL,NULL),(28,224,1,19,1,NULL,NULL,NULL,NULL),(28,224,1,19,2,NULL,NULL,NULL,NULL),(28,224,1,19,3,NULL,NULL,NULL,NULL),(28,224,1,19,4,NULL,NULL,NULL,NULL),(28,224,1,19,5,NULL,NULL,NULL,NULL),(28,224,1,19,6,NULL,NULL,NULL,NULL),(28,224,1,19,7,NULL,NULL,NULL,NULL),(28,224,1,19,8,NULL,NULL,NULL,NULL),(28,224,1,19,9,NULL,NULL,NULL,NULL),(28,224,1,19,10,NULL,NULL,NULL,NULL),(28,224,1,19,11,NULL,NULL,NULL,NULL),(28,224,1,19,12,NULL,NULL,NULL,NULL),(28,224,1,19,13,NULL,NULL,NULL,NULL),(28,224,1,19,14,NULL,NULL,NULL,NULL),(28,224,1,19,15,NULL,NULL,NULL,NULL),(28,224,1,19,16,NULL,NULL,NULL,NULL),(28,224,1,19,17,NULL,NULL,NULL,NULL),(28,224,1,19,18,NULL,NULL,NULL,NULL),(28,224,1,19,19,NULL,NULL,NULL,NULL),(28,224,1,19,20,NULL,NULL,NULL,NULL),(28,224,1,19,21,NULL,NULL,NULL,NULL),(28,224,1,19,22,NULL,NULL,NULL,NULL),(28,224,1,19,23,NULL,NULL,NULL,NULL),(28,224,1,19,24,NULL,NULL,NULL,NULL),(28,224,1,19,25,NULL,NULL,NULL,NULL),(28,224,1,19,26,NULL,NULL,NULL,NULL),(28,224,1,19,27,NULL,NULL,NULL,NULL),(28,224,1,19,28,NULL,NULL,NULL,NULL),(28,224,1,19,29,NULL,NULL,NULL,NULL),(28,224,1,19,30,NULL,NULL,NULL,NULL),(28,224,1,19,31,NULL,NULL,NULL,NULL),(28,224,1,19,32,NULL,NULL,NULL,NULL),(28,224,1,19,33,NULL,NULL,NULL,NULL),(28,224,1,19,34,NULL,NULL,NULL,NULL),(28,224,1,19,35,NULL,NULL,NULL,NULL),(28,224,1,19,36,NULL,NULL,NULL,NULL),(28,224,1,19,37,NULL,NULL,NULL,NULL),(28,224,1,19,38,NULL,NULL,NULL,NULL),(28,224,1,19,39,NULL,NULL,NULL,NULL),(28,224,1,19,40,NULL,NULL,NULL,NULL),(28,224,2,21,1,NULL,4,NULL,3),(28,224,2,21,2,NULL,1,NULL,1),(28,224,2,21,3,1,3,1,2),(28,224,2,21,4,NULL,NULL,NULL,NULL),(28,224,2,21,5,2,2,1,2),(28,224,2,21,6,4,1,3,1),(28,224,2,21,7,NULL,4,NULL,3),(28,224,2,21,8,NULL,NULL,NULL,NULL),(28,224,2,21,9,NULL,1,NULL,NULL),(28,224,2,21,10,NULL,2,NULL,1),(28,224,2,21,11,1,2,1,1),(28,224,2,21,12,1,4,1,4),(28,224,2,21,13,1,3,1,1),(28,224,2,21,14,NULL,2,NULL,2),(28,224,2,21,15,1,3,NULL,3),(28,224,2,21,16,1,6,1,5),(28,224,2,21,17,1,1,1,NULL),(28,224,2,21,18,3,4,3,2),(28,224,2,21,19,NULL,3,NULL,2),(28,224,2,21,20,3,3,3,1),(28,224,2,21,21,NULL,NULL,NULL,NULL),(28,224,2,21,22,NULL,2,NULL,2),(28,224,2,21,23,NULL,2,NULL,2),(28,224,2,21,24,NULL,1,NULL,1),(28,224,2,21,25,NULL,3,NULL,3),(28,224,2,21,26,NULL,1,NULL,1),(28,224,2,21,27,NULL,4,NULL,3),(28,224,2,21,28,NULL,2,NULL,2),(28,224,2,21,29,NULL,1,NULL,1),(28,224,2,21,30,NULL,2,NULL,2),(28,224,2,21,31,NULL,3,NULL,3),(28,224,2,21,32,NULL,1,NULL,1),(28,224,2,21,33,1,1,1,1),(28,224,2,21,34,NULL,1,NULL,1),(28,224,2,21,35,3,NULL,1,NULL),(28,224,2,21,36,NULL,NULL,NULL,NULL),(28,224,2,21,37,NULL,3,NULL,2),(28,224,2,21,38,NULL,1,NULL,1),(28,224,2,21,39,NULL,2,NULL,2),(28,224,2,21,40,NULL,2,NULL,2),(28,224,2,22,1,NULL,5,NULL,4),(28,224,2,22,2,NULL,1,NULL,1),(28,224,2,22,3,3,5,1,4),(28,224,2,22,4,NULL,2,NULL,1),(28,224,2,22,5,2,2,1,2),(28,224,2,22,6,1,8,NULL,5),(28,224,2,22,7,NULL,3,NULL,1),(28,224,2,22,8,1,2,NULL,2),(28,224,2,22,9,1,NULL,NULL,NULL),(28,224,2,22,10,NULL,4,NULL,3),(28,224,2,22,11,2,2,2,1),(28,224,2,22,12,2,5,1,4),(28,224,2,22,13,1,10,1,6),(28,224,2,22,14,1,5,1,2),(28,224,2,22,15,2,NULL,1,NULL),(28,224,2,22,16,1,5,NULL,4),(28,224,2,22,17,NULL,1,NULL,1),(28,224,2,22,18,3,6,1,4),(28,224,2,22,19,2,1,2,1),(28,224,2,22,20,1,2,NULL,1),(28,224,2,22,21,1,1,1,1),(28,224,2,22,22,NULL,4,NULL,2),(28,224,2,22,23,NULL,3,NULL,1),(28,224,2,22,24,1,NULL,1,NULL),(28,224,2,22,25,NULL,NULL,NULL,NULL),(28,224,2,22,26,NULL,4,NULL,3),(28,224,2,22,27,NULL,4,NULL,4),(28,224,2,22,28,NULL,NULL,NULL,NULL),(28,224,2,22,29,NULL,2,NULL,1),(28,224,2,22,30,NULL,2,NULL,1),(28,224,2,22,31,NULL,NULL,NULL,NULL),(28,224,2,22,32,1,1,NULL,1),(28,224,2,22,33,NULL,NULL,NULL,NULL),(28,224,2,22,34,NULL,1,NULL,1),(28,224,2,22,35,1,NULL,NULL,NULL),(28,224,2,22,36,NULL,1,NULL,1),(28,224,2,22,37,NULL,NULL,NULL,NULL),(28,224,2,22,38,NULL,3,NULL,3),(28,224,2,22,39,NULL,1,NULL,1),(28,224,2,22,40,1,2,1,1),(28,224,2,23,1,NULL,9,NULL,7),(28,224,2,23,2,NULL,5,NULL,3),(28,224,2,23,3,2,3,2,3),(28,224,2,23,4,NULL,4,NULL,4),(28,224,2,23,5,2,4,2,3),(28,224,2,23,6,2,9,2,7),(28,224,2,23,7,NULL,5,NULL,3),(28,224,2,23,8,1,6,1,6),(28,224,2,23,9,1,2,NULL,2),(28,224,2,23,10,4,2,4,2),(28,224,2,23,11,2,3,2,2),(28,224,2,23,12,NULL,7,NULL,6),(28,224,2,23,13,1,5,1,5),(28,224,2,23,14,4,3,4,3),(28,224,2,23,15,1,5,1,4),(28,224,2,23,16,1,5,1,4),(28,224,2,23,17,NULL,3,NULL,3),(28,224,2,23,18,4,3,4,2),(28,224,2,23,19,NULL,7,NULL,6),(28,224,2,23,20,5,4,4,3),(28,224,2,23,21,NULL,3,NULL,2),(28,224,2,23,22,1,3,1,3),(28,224,2,23,23,1,NULL,NULL,NULL),(28,224,2,23,24,NULL,3,NULL,3),(28,224,2,23,25,NULL,NULL,NULL,NULL),(28,224,2,23,26,1,4,1,4),(28,224,2,23,27,NULL,4,NULL,4),(28,224,2,23,28,1,NULL,1,NULL),(28,224,2,23,29,1,3,NULL,3),(28,224,2,23,30,1,1,NULL,1),(28,224,2,23,31,2,7,2,4),(28,224,2,23,32,1,2,1,1),(28,224,2,23,33,3,2,2,2),(28,224,2,23,34,1,3,1,3),(28,224,2,23,35,NULL,NULL,NULL,NULL),(28,224,2,23,36,NULL,1,NULL,1),(28,224,2,23,37,NULL,2,NULL,2),(28,224,2,23,38,NULL,NULL,NULL,NULL),(28,224,2,23,39,NULL,NULL,NULL,NULL),(28,224,2,23,40,NULL,5,NULL,5),(28,224,2,24,1,NULL,7,NULL,5),(28,224,2,24,2,1,2,1,1),(28,224,2,24,3,8,5,5,4),(28,224,2,24,4,NULL,NULL,NULL,NULL),(28,224,2,24,5,1,3,1,1),(28,224,2,24,6,3,6,3,5),(28,224,2,24,7,1,5,1,4),(28,224,2,24,8,2,3,2,2),(28,224,2,24,9,1,2,1,1),(28,224,2,24,10,2,NULL,2,NULL),(28,224,2,24,11,1,2,NULL,1),(28,224,2,24,12,4,6,4,4),(28,224,2,24,13,1,11,1,8),(28,224,2,24,14,1,8,1,5),(28,224,2,24,15,1,5,1,3),(28,224,2,24,16,2,7,2,5),(28,224,2,24,17,2,3,2,2),(28,224,2,24,18,5,5,5,3),(28,224,2,24,19,NULL,6,NULL,4),(28,224,2,24,20,3,1,2,1),(28,224,2,24,21,1,1,1,1),(28,224,2,24,22,NULL,2,NULL,1),(28,224,2,24,23,NULL,3,NULL,2),(28,224,2,24,24,NULL,2,NULL,2),(28,224,2,24,25,NULL,1,NULL,1),(28,224,2,24,26,NULL,5,NULL,3),(28,224,2,24,27,1,4,1,1),(28,224,2,24,28,NULL,1,NULL,1),(28,224,2,24,29,NULL,4,NULL,2),(28,224,2,24,30,NULL,1,NULL,NULL),(28,224,2,24,31,NULL,1,NULL,1),(28,224,2,24,32,NULL,NULL,NULL,NULL),(28,224,2,24,33,NULL,NULL,NULL,NULL),(28,224,2,24,34,1,NULL,1,NULL),(28,224,2,24,35,2,NULL,1,NULL),(28,224,2,24,36,NULL,NULL,NULL,NULL),(28,224,2,24,37,NULL,NULL,NULL,NULL),(28,224,2,24,38,NULL,NULL,NULL,NULL),(28,224,2,24,39,1,1,1,1),(28,224,2,24,40,NULL,10,NULL,10),(28,225,1,11,1,NULL,NULL,NULL,NULL),(28,225,1,11,2,NULL,NULL,NULL,NULL),(28,225,1,11,3,NULL,NULL,NULL,NULL),(28,225,1,11,4,NULL,NULL,NULL,NULL),(28,225,1,11,5,NULL,NULL,NULL,NULL),(28,225,1,11,6,NULL,NULL,NULL,NULL),(28,225,1,11,7,NULL,NULL,NULL,NULL),(28,225,1,11,8,NULL,NULL,NULL,NULL),(28,225,1,11,9,NULL,NULL,NULL,NULL),(28,225,1,11,10,NULL,NULL,NULL,NULL),(28,225,1,11,11,NULL,NULL,NULL,NULL),(28,225,1,11,12,NULL,NULL,NULL,NULL),(28,225,1,11,13,NULL,NULL,NULL,NULL),(28,225,1,11,14,NULL,NULL,NULL,NULL),(28,225,1,11,15,NULL,NULL,NULL,NULL),(28,225,1,11,16,NULL,NULL,NULL,NULL),(28,225,1,11,17,NULL,NULL,NULL,NULL),(28,225,1,11,18,NULL,NULL,NULL,NULL),(28,225,1,11,19,NULL,NULL,NULL,NULL),(28,225,1,11,20,NULL,NULL,NULL,NULL),(28,225,1,11,21,NULL,NULL,NULL,NULL),(28,225,1,11,22,NULL,NULL,NULL,NULL),(28,225,1,11,23,NULL,NULL,NULL,NULL),(28,225,1,11,24,NULL,NULL,NULL,NULL),(28,225,1,11,25,NULL,NULL,NULL,NULL),(28,225,1,11,26,NULL,NULL,NULL,NULL),(28,225,1,11,27,NULL,NULL,NULL,NULL),(28,225,1,11,28,NULL,NULL,NULL,NULL),(28,225,1,11,29,NULL,NULL,NULL,NULL),(28,225,1,11,30,NULL,NULL,NULL,NULL),(28,225,1,11,31,NULL,NULL,NULL,NULL),(28,225,1,11,32,NULL,NULL,NULL,NULL),(28,225,1,11,33,NULL,NULL,NULL,NULL),(28,225,1,11,34,NULL,NULL,NULL,NULL),(28,225,1,11,35,NULL,NULL,NULL,NULL),(28,225,1,11,36,NULL,NULL,NULL,NULL),(28,225,1,11,37,NULL,NULL,NULL,NULL),(28,225,1,11,38,NULL,NULL,NULL,NULL),(28,225,1,11,39,NULL,NULL,NULL,NULL),(28,225,1,11,40,NULL,NULL,NULL,NULL),(28,225,1,12,1,NULL,NULL,NULL,NULL),(28,225,1,12,2,NULL,NULL,NULL,NULL),(28,225,1,12,3,NULL,NULL,NULL,NULL),(28,225,1,12,4,NULL,NULL,NULL,NULL),(28,225,1,12,5,NULL,NULL,NULL,NULL),(28,225,1,12,6,NULL,NULL,NULL,NULL),(28,225,1,12,7,NULL,NULL,NULL,NULL),(28,225,1,12,8,NULL,NULL,NULL,NULL),(28,225,1,12,9,NULL,NULL,NULL,NULL),(28,225,1,12,10,NULL,NULL,NULL,NULL),(28,225,1,12,11,NULL,NULL,NULL,NULL),(28,225,1,12,12,NULL,NULL,NULL,NULL),(28,225,1,12,13,NULL,NULL,NULL,NULL),(28,225,1,12,14,NULL,NULL,NULL,NULL),(28,225,1,12,15,NULL,NULL,NULL,NULL),(28,225,1,12,16,NULL,NULL,NULL,NULL),(28,225,1,12,17,NULL,NULL,NULL,NULL),(28,225,1,12,18,NULL,NULL,NULL,NULL),(28,225,1,12,19,NULL,NULL,NULL,NULL),(28,225,1,12,20,NULL,NULL,NULL,NULL),(28,225,1,12,21,NULL,NULL,NULL,NULL),(28,225,1,12,22,NULL,NULL,NULL,NULL),(28,225,1,12,23,NULL,NULL,NULL,NULL),(28,225,1,12,24,NULL,NULL,NULL,NULL),(28,225,1,12,25,NULL,NULL,NULL,NULL),(28,225,1,12,26,NULL,NULL,NULL,NULL),(28,225,1,12,27,NULL,NULL,NULL,NULL),(28,225,1,12,28,NULL,NULL,NULL,NULL),(28,225,1,12,29,NULL,NULL,NULL,NULL),(28,225,1,12,30,NULL,NULL,NULL,NULL),(28,225,1,12,31,NULL,NULL,NULL,NULL),(28,225,1,12,32,NULL,NULL,NULL,NULL),(28,225,1,12,33,NULL,NULL,NULL,NULL),(28,225,1,12,34,NULL,NULL,NULL,NULL),(28,225,1,12,35,NULL,NULL,NULL,NULL),(28,225,1,12,36,NULL,NULL,NULL,NULL),(28,225,1,12,37,NULL,NULL,NULL,NULL),(28,225,1,12,38,NULL,NULL,NULL,NULL),(28,225,1,12,39,NULL,NULL,NULL,NULL),(28,225,1,12,40,NULL,NULL,NULL,NULL),(28,225,1,13,1,NULL,NULL,NULL,NULL),(28,225,1,13,2,NULL,NULL,NULL,NULL),(28,225,1,13,3,NULL,NULL,NULL,NULL),(28,225,1,13,4,NULL,NULL,NULL,NULL),(28,225,1,13,5,NULL,NULL,NULL,NULL),(28,225,1,13,6,NULL,NULL,NULL,NULL),(28,225,1,13,7,NULL,NULL,NULL,NULL),(28,225,1,13,8,NULL,NULL,NULL,NULL),(28,225,1,13,9,NULL,NULL,NULL,NULL),(28,225,1,13,10,NULL,NULL,NULL,NULL),(28,225,1,13,11,NULL,NULL,NULL,NULL),(28,225,1,13,12,NULL,NULL,NULL,NULL),(28,225,1,13,13,NULL,NULL,NULL,NULL),(28,225,1,13,14,NULL,NULL,NULL,NULL),(28,225,1,13,15,NULL,NULL,NULL,NULL),(28,225,1,13,16,NULL,NULL,NULL,NULL),(28,225,1,13,17,NULL,NULL,NULL,NULL),(28,225,1,13,18,NULL,NULL,NULL,NULL),(28,225,1,13,19,NULL,NULL,NULL,NULL),(28,225,1,13,20,NULL,NULL,NULL,NULL),(28,225,1,13,21,NULL,NULL,NULL,NULL),(28,225,1,13,22,NULL,NULL,NULL,NULL),(28,225,1,13,23,NULL,NULL,NULL,NULL),(28,225,1,13,24,NULL,NULL,NULL,NULL),(28,225,1,13,25,NULL,NULL,NULL,NULL),(28,225,1,13,26,NULL,NULL,NULL,NULL),(28,225,1,13,27,NULL,NULL,NULL,NULL),(28,225,1,13,28,NULL,NULL,NULL,NULL),(28,225,1,13,29,NULL,NULL,NULL,NULL),(28,225,1,13,30,NULL,NULL,NULL,NULL),(28,225,1,13,31,NULL,NULL,NULL,NULL),(28,225,1,13,32,NULL,NULL,NULL,NULL),(28,225,1,13,33,NULL,NULL,NULL,NULL),(28,225,1,13,34,NULL,NULL,NULL,NULL),(28,225,1,13,35,NULL,NULL,NULL,NULL),(28,225,1,13,36,NULL,NULL,NULL,NULL),(28,225,1,13,37,NULL,NULL,NULL,NULL),(28,225,1,13,38,NULL,NULL,NULL,NULL),(28,225,1,13,39,NULL,NULL,NULL,NULL),(28,225,1,13,40,NULL,NULL,NULL,NULL),(28,225,1,14,1,6,NULL,5,NULL),(28,225,1,14,2,NULL,4,NULL,3),(28,225,1,14,3,3,3,2,3),(28,225,1,14,4,NULL,3,NULL,3),(28,225,1,14,5,3,7,3,6),(28,225,1,14,6,NULL,8,NULL,7),(28,225,1,14,7,NULL,4,NULL,4),(28,225,1,14,8,NULL,6,NULL,5),(28,225,1,14,9,2,3,2,2),(28,225,1,14,10,4,3,4,3),(28,225,1,14,11,NULL,5,NULL,4),(28,225,1,14,12,NULL,2,NULL,2),(28,225,1,14,13,9,5,8,4),(28,225,1,14,14,4,4,3,4),(28,225,1,14,15,7,NULL,6,NULL),(28,225,1,14,16,5,7,5,5),(28,225,1,14,17,4,8,4,7),(28,225,1,14,18,3,3,3,3),(28,225,1,14,19,9,3,9,2),(28,225,1,14,20,3,8,3,7),(28,225,1,14,21,NULL,2,NULL,2),(28,225,1,14,22,NULL,7,NULL,5),(28,225,1,14,23,NULL,4,NULL,4),(28,225,1,14,24,NULL,NULL,NULL,NULL),(28,225,1,14,25,1,5,1,5),(28,225,1,14,26,NULL,3,NULL,2),(28,225,1,14,27,7,NULL,4,NULL),(28,225,1,14,28,NULL,NULL,NULL,NULL),(28,225,1,14,29,NULL,5,NULL,5),(28,225,1,14,30,3,4,3,4),(28,225,1,14,31,NULL,2,NULL,2),(28,225,1,14,32,2,7,2,7),(28,225,1,14,33,NULL,4,NULL,4),(28,225,1,14,34,1,2,1,2),(28,225,1,14,35,NULL,3,NULL,2),(28,225,1,14,36,NULL,NULL,NULL,NULL),(28,225,1,14,37,NULL,3,NULL,3),(28,225,1,14,38,NULL,3,NULL,2),(28,225,1,14,39,NULL,7,NULL,7),(28,225,1,14,40,1,NULL,1,NULL),(28,225,1,15,1,8,NULL,8,NULL),(28,225,1,15,2,1,5,1,4),(28,225,1,15,3,3,3,3,3),(28,225,1,15,4,1,7,1,6),(28,225,1,15,5,5,4,4,3),(28,225,1,15,6,NULL,9,NULL,8),(28,225,1,15,7,3,4,3,4),(28,225,1,15,8,1,4,1,2),(28,225,1,15,9,2,2,2,2),(28,225,1,15,10,6,4,5,4),(28,225,1,15,11,1,2,1,2),(28,225,1,15,12,2,4,2,4),(28,225,1,15,13,7,10,6,9),(28,225,1,15,14,7,3,6,3),(28,225,1,15,15,11,NULL,10,NULL),(28,225,1,15,16,7,4,6,3),(28,225,1,15,17,2,10,2,9),(28,225,1,15,18,7,4,6,4),(28,225,1,15,19,5,9,5,6),(28,225,1,15,20,7,3,6,3),(28,225,1,15,21,NULL,4,NULL,3),(28,225,1,15,22,1,5,NULL,5),(28,225,1,15,23,NULL,3,NULL,3),(28,225,1,15,24,NULL,NULL,NULL,NULL),(28,225,1,15,25,NULL,2,NULL,2),(28,225,1,15,26,2,2,2,2),(28,225,1,15,27,4,NULL,4,NULL),(28,225,1,15,28,1,NULL,1,NULL),(28,225,1,15,29,2,3,1,3),(28,225,1,15,30,4,3,3,3),(28,225,1,15,31,2,4,2,4),(28,225,1,15,32,NULL,4,NULL,4),(28,225,1,15,33,2,1,2,1),(28,225,1,15,34,7,2,7,2),(28,225,1,15,35,2,5,2,5),(28,225,1,15,36,1,NULL,1,NULL),(28,225,1,15,37,1,2,1,2),(28,225,1,15,38,NULL,4,NULL,4),(28,225,1,15,39,3,6,3,6),(28,225,1,15,40,2,NULL,2,NULL),(28,225,1,16,1,1,NULL,1,NULL),(28,225,1,16,2,NULL,1,NULL,1),(28,225,1,16,3,1,NULL,1,NULL),(28,225,1,16,4,NULL,1,NULL,1),(28,225,1,16,5,4,NULL,4,NULL),(28,225,1,16,6,NULL,5,NULL,4),(28,225,1,16,7,1,3,1,2),(28,225,1,16,8,NULL,1,NULL,1),(28,225,1,16,9,1,2,1,2),(28,225,1,16,10,3,NULL,2,NULL),(28,225,1,16,11,1,NULL,1,NULL),(28,225,1,16,12,1,NULL,1,NULL),(28,225,1,16,13,7,NULL,5,NULL),(28,225,1,16,14,7,NULL,6,NULL),(28,225,1,16,15,1,3,1,2),(28,225,1,16,16,4,NULL,3,NULL),(28,225,1,16,17,5,2,4,1),(28,225,1,16,18,1,2,1,1),(28,225,1,16,19,2,2,2,2),(28,225,1,16,20,1,3,1,2),(28,225,1,16,21,NULL,2,NULL,2),(28,225,1,16,22,1,NULL,1,NULL),(28,225,1,16,23,NULL,2,NULL,2),(28,225,1,16,24,NULL,NULL,NULL,NULL),(28,225,1,16,25,NULL,2,NULL,2),(28,225,1,16,26,NULL,NULL,NULL,NULL),(28,225,1,16,27,2,NULL,2,NULL),(28,225,1,16,28,NULL,NULL,NULL,NULL),(28,225,1,16,29,NULL,NULL,NULL,NULL),(28,225,1,16,30,NULL,1,NULL,1),(28,225,1,16,31,NULL,NULL,NULL,NULL),(28,225,1,16,32,1,1,1,1),(28,225,1,16,33,NULL,NULL,NULL,NULL),(28,225,1,16,34,3,1,2,1),(28,225,1,16,35,NULL,NULL,NULL,NULL),(28,225,1,16,36,NULL,NULL,NULL,NULL),(28,225,1,16,37,NULL,1,NULL,1),(28,225,1,16,38,1,NULL,1,NULL),(28,225,1,16,39,1,1,1,1),(28,225,1,16,40,NULL,NULL,NULL,NULL),(28,225,1,17,1,3,NULL,3,NULL),(28,225,1,17,2,NULL,2,NULL,2),(28,225,1,17,3,1,5,1,5),(28,225,1,17,4,NULL,4,NULL,4),(28,225,1,17,5,NULL,4,NULL,4),(28,225,1,17,6,NULL,3,NULL,3),(28,225,1,17,7,NULL,4,NULL,4),(28,225,1,17,8,1,1,1,1),(28,225,1,17,9,1,1,1,1),(28,225,1,17,10,4,3,4,3),(28,225,1,17,11,1,3,1,3),(28,225,1,17,12,1,2,1,2),(28,225,1,17,13,9,NULL,9,NULL),(28,225,1,17,14,6,3,6,3),(28,225,1,17,15,2,6,2,6),(28,225,1,17,16,6,NULL,6,NULL),(28,225,1,17,17,5,4,5,4);
INSERT INTO acertos_questao_curso VALUES (28,225,1,17,18,NULL,4,NULL,4),(28,225,1,17,19,1,4,1,4),(28,225,1,17,20,NULL,2,NULL,2),(28,225,1,17,21,NULL,NULL,NULL,NULL),(28,225,1,17,22,NULL,NULL,NULL,NULL),(28,225,1,17,23,NULL,1,NULL,1),(28,225,1,17,24,NULL,NULL,NULL,NULL),(28,225,1,17,25,NULL,1,NULL,1),(28,225,1,17,26,NULL,1,NULL,1),(28,225,1,17,27,NULL,NULL,NULL,NULL),(28,225,1,17,28,NULL,NULL,NULL,NULL),(28,225,1,17,29,NULL,1,NULL,1),(28,225,1,17,30,NULL,3,NULL,3),(28,225,1,17,31,NULL,1,NULL,1),(28,225,1,17,32,1,4,1,4),(28,225,1,17,33,NULL,2,NULL,2),(28,225,1,17,34,3,4,3,4),(28,225,1,17,35,NULL,2,NULL,2),(28,225,1,17,36,NULL,NULL,NULL,NULL),(28,225,1,17,37,NULL,1,NULL,1),(28,225,1,17,38,NULL,1,NULL,1),(28,225,1,17,39,1,5,1,5),(28,225,1,17,40,NULL,NULL,NULL,NULL),(28,225,1,18,1,NULL,NULL,NULL,NULL),(28,225,1,18,2,NULL,NULL,NULL,NULL),(28,225,1,18,3,NULL,NULL,NULL,NULL),(28,225,1,18,4,NULL,NULL,NULL,NULL),(28,225,1,18,5,NULL,NULL,NULL,NULL),(28,225,1,18,6,NULL,NULL,NULL,NULL),(28,225,1,18,7,NULL,NULL,NULL,NULL),(28,225,1,18,8,NULL,NULL,NULL,NULL),(28,225,1,18,9,NULL,NULL,NULL,NULL),(28,225,1,18,10,NULL,NULL,NULL,NULL),(28,225,1,18,11,NULL,NULL,NULL,NULL),(28,225,1,18,12,NULL,NULL,NULL,NULL),(28,225,1,18,13,NULL,NULL,NULL,NULL),(28,225,1,18,14,NULL,NULL,NULL,NULL),(28,225,1,18,15,NULL,NULL,NULL,NULL),(28,225,1,18,16,NULL,NULL,NULL,NULL),(28,225,1,18,17,NULL,NULL,NULL,NULL),(28,225,1,18,18,NULL,NULL,NULL,NULL),(28,225,1,18,19,NULL,NULL,NULL,NULL),(28,225,1,18,20,NULL,NULL,NULL,NULL),(28,225,1,18,21,NULL,NULL,NULL,NULL),(28,225,1,18,22,NULL,NULL,NULL,NULL),(28,225,1,18,23,NULL,NULL,NULL,NULL),(28,225,1,18,24,NULL,NULL,NULL,NULL),(28,225,1,18,25,NULL,NULL,NULL,NULL),(28,225,1,18,26,NULL,NULL,NULL,NULL),(28,225,1,18,27,NULL,NULL,NULL,NULL),(28,225,1,18,28,NULL,NULL,NULL,NULL),(28,225,1,18,29,NULL,NULL,NULL,NULL),(28,225,1,18,30,NULL,NULL,NULL,NULL),(28,225,1,18,31,NULL,NULL,NULL,NULL),(28,225,1,18,32,NULL,NULL,NULL,NULL),(28,225,1,18,33,NULL,NULL,NULL,NULL),(28,225,1,18,34,NULL,NULL,NULL,NULL),(28,225,1,18,35,NULL,NULL,NULL,NULL),(28,225,1,18,36,NULL,NULL,NULL,NULL),(28,225,1,18,37,NULL,NULL,NULL,NULL),(28,225,1,18,38,NULL,NULL,NULL,NULL),(28,225,1,18,39,NULL,NULL,NULL,NULL),(28,225,1,18,40,NULL,NULL,NULL,NULL),(28,225,1,19,1,NULL,NULL,NULL,NULL),(28,225,1,19,2,NULL,NULL,NULL,NULL),(28,225,1,19,3,NULL,NULL,NULL,NULL),(28,225,1,19,4,NULL,NULL,NULL,NULL),(28,225,1,19,5,NULL,NULL,NULL,NULL),(28,225,1,19,6,NULL,NULL,NULL,NULL),(28,225,1,19,7,NULL,NULL,NULL,NULL),(28,225,1,19,8,NULL,NULL,NULL,NULL),(28,225,1,19,9,NULL,NULL,NULL,NULL),(28,225,1,19,10,NULL,NULL,NULL,NULL),(28,225,1,19,11,NULL,NULL,NULL,NULL),(28,225,1,19,12,NULL,NULL,NULL,NULL),(28,225,1,19,13,NULL,NULL,NULL,NULL),(28,225,1,19,14,NULL,NULL,NULL,NULL),(28,225,1,19,15,NULL,NULL,NULL,NULL),(28,225,1,19,16,NULL,NULL,NULL,NULL),(28,225,1,19,17,NULL,NULL,NULL,NULL),(28,225,1,19,18,NULL,NULL,NULL,NULL),(28,225,1,19,19,NULL,NULL,NULL,NULL),(28,225,1,19,20,NULL,NULL,NULL,NULL),(28,225,1,19,21,NULL,NULL,NULL,NULL),(28,225,1,19,22,NULL,NULL,NULL,NULL),(28,225,1,19,23,NULL,NULL,NULL,NULL),(28,225,1,19,24,NULL,NULL,NULL,NULL),(28,225,1,19,25,NULL,NULL,NULL,NULL),(28,225,1,19,26,NULL,NULL,NULL,NULL),(28,225,1,19,27,NULL,NULL,NULL,NULL),(28,225,1,19,28,NULL,NULL,NULL,NULL),(28,225,1,19,29,NULL,NULL,NULL,NULL),(28,225,1,19,30,NULL,NULL,NULL,NULL),(28,225,1,19,31,NULL,NULL,NULL,NULL),(28,225,1,19,32,NULL,NULL,NULL,NULL),(28,225,1,19,33,NULL,NULL,NULL,NULL),(28,225,1,19,34,NULL,NULL,NULL,NULL),(28,225,1,19,35,NULL,NULL,NULL,NULL),(28,225,1,19,36,NULL,NULL,NULL,NULL),(28,225,1,19,37,NULL,NULL,NULL,NULL),(28,225,1,19,38,NULL,NULL,NULL,NULL),(28,225,1,19,39,NULL,NULL,NULL,NULL),(28,225,1,19,40,NULL,NULL,NULL,NULL),(28,225,2,21,1,NULL,11,NULL,7),(28,225,2,21,2,NULL,6,NULL,6),(28,225,2,21,3,4,11,3,10),(28,225,2,21,4,1,1,1,1),(28,225,2,21,5,4,4,3,4),(28,225,2,21,6,5,4,4,2),(28,225,2,21,7,NULL,7,NULL,6),(28,225,2,21,8,1,8,1,7),(28,225,2,21,9,NULL,5,NULL,5),(28,225,2,21,10,3,7,3,7),(28,225,2,21,11,NULL,5,NULL,5),(28,225,2,21,12,4,6,4,3),(28,225,2,21,13,NULL,9,NULL,9),(28,225,2,21,14,6,6,6,5),(28,225,2,21,15,1,3,1,3),(28,225,2,21,16,3,6,2,5),(28,225,2,21,17,NULL,4,NULL,3),(28,225,2,21,18,7,11,5,10),(28,225,2,21,19,3,6,2,6),(28,225,2,21,20,7,2,7,1),(28,225,2,21,21,1,3,1,2),(28,225,2,21,22,4,3,4,2),(28,225,2,21,23,1,1,1,1),(28,225,2,21,24,1,4,NULL,4),(28,225,2,21,25,NULL,4,NULL,3),(28,225,2,21,26,NULL,6,NULL,6),(28,225,2,21,27,1,11,1,9),(28,225,2,21,28,NULL,4,NULL,3),(28,225,2,21,29,NULL,3,NULL,2),(28,225,2,21,30,NULL,5,NULL,5),(28,225,2,21,31,1,3,1,3),(28,225,2,21,32,NULL,4,NULL,3),(28,225,2,21,33,1,3,1,3),(28,225,2,21,34,NULL,5,NULL,5),(28,225,2,21,35,3,NULL,3,NULL),(28,225,2,21,36,NULL,NULL,NULL,NULL),(28,225,2,21,37,NULL,5,NULL,5),(28,225,2,21,38,NULL,1,NULL,1),(28,225,2,21,39,2,1,1,1),(28,225,2,21,40,1,6,1,4),(28,225,2,22,1,1,6,1,6),(28,225,2,22,2,NULL,5,NULL,4),(28,225,2,22,3,7,4,7,4),(28,225,2,22,4,NULL,4,NULL,4),(28,225,2,22,5,1,2,1,2),(28,225,2,22,6,8,4,8,4),(28,225,2,22,7,NULL,6,NULL,6),(28,225,2,22,8,3,6,3,6),(28,225,2,22,9,NULL,NULL,NULL,NULL),(28,225,2,22,10,2,2,2,2),(28,225,2,22,11,2,1,2,1),(28,225,2,22,12,5,4,4,4),(28,225,2,22,13,2,8,2,8),(28,225,2,22,14,6,3,6,3),(28,225,2,22,15,5,1,5,1),(28,225,2,22,16,2,2,2,2),(28,225,2,22,17,1,NULL,1,NULL),(28,225,2,22,18,6,5,6,5),(28,225,2,22,19,1,6,1,6),(28,225,2,22,20,9,3,9,3),(28,225,2,22,21,2,2,1,2),(28,225,2,22,22,1,3,1,3),(28,225,2,22,23,NULL,NULL,NULL,NULL),(28,225,2,22,24,1,1,1,1),(28,225,2,22,25,NULL,7,NULL,7),(28,225,2,22,26,1,4,1,4),(28,225,2,22,27,2,2,2,2),(28,225,2,22,28,NULL,2,NULL,2),(28,225,2,22,29,NULL,NULL,NULL,NULL),(28,225,2,22,30,NULL,NULL,NULL,NULL),(28,225,2,22,31,NULL,5,NULL,5),(28,225,2,22,32,NULL,NULL,NULL,NULL),(28,225,2,22,33,NULL,2,NULL,2),(28,225,2,22,34,1,NULL,1,NULL),(28,225,2,22,35,NULL,NULL,NULL,NULL),(28,225,2,22,36,NULL,1,NULL,1),(28,225,2,22,37,NULL,1,NULL,1),(28,225,2,22,38,1,NULL,1,NULL),(28,225,2,22,39,NULL,2,NULL,2),(28,225,2,22,40,NULL,6,NULL,6),(28,225,2,23,1,NULL,8,NULL,6),(28,225,2,23,2,NULL,2,NULL,2),(28,225,2,23,3,2,5,1,5),(28,225,2,23,4,NULL,NULL,NULL,NULL),(28,225,2,23,5,NULL,6,NULL,5),(28,225,2,23,6,1,8,1,7),(28,225,2,23,7,NULL,2,NULL,2),(28,225,2,23,8,1,4,1,3),(28,225,2,23,9,1,1,1,1),(28,225,2,23,10,4,5,4,5),(28,225,2,23,11,1,2,1,2),(28,225,2,23,12,1,5,1,4),(28,225,2,23,13,NULL,9,NULL,8),(28,225,2,23,14,4,4,4,4),(28,225,2,23,15,5,3,5,2),(28,225,2,23,16,2,4,2,4),(28,225,2,23,17,NULL,2,NULL,2),(28,225,2,23,18,4,4,4,4),(28,225,2,23,19,3,3,2,3),(28,225,2,23,20,3,4,3,4),(28,225,2,23,21,NULL,1,NULL,1),(28,225,2,23,22,5,NULL,5,NULL),(28,225,2,23,23,NULL,1,NULL,1),(28,225,2,23,24,NULL,3,NULL,3),(28,225,2,23,25,1,3,1,2),(28,225,2,23,26,NULL,3,NULL,3),(28,225,2,23,27,1,7,1,7),(28,225,2,23,28,NULL,3,NULL,3),(28,225,2,23,29,NULL,2,NULL,2),(28,225,2,23,30,1,2,1,1),(28,225,2,23,31,NULL,3,NULL,3),(28,225,2,23,32,NULL,1,NULL,1),(28,225,2,23,33,NULL,4,NULL,3),(28,225,2,23,34,NULL,5,NULL,5),(28,225,2,23,35,1,NULL,1,NULL),(28,225,2,23,36,NULL,1,NULL,1),(28,225,2,23,37,NULL,3,NULL,3),(28,225,2,23,38,NULL,NULL,NULL,NULL),(28,225,2,23,39,NULL,NULL,NULL,NULL),(28,225,2,23,40,NULL,4,NULL,4),(28,225,2,24,1,NULL,3,NULL,3),(28,225,2,24,2,NULL,1,NULL,1),(28,225,2,24,3,NULL,4,NULL,4),(28,225,2,24,4,NULL,NULL,NULL,NULL),(28,225,2,24,5,1,2,1,2),(28,225,2,24,6,2,1,2,NULL),(28,225,2,24,7,NULL,1,NULL,1),(28,225,2,24,8,NULL,2,NULL,1),(28,225,2,24,9,1,NULL,1,NULL),(28,225,2,24,10,NULL,4,NULL,4),(28,225,2,24,11,2,1,1,1),(28,225,2,24,12,1,1,1,NULL),(28,225,2,24,13,2,4,1,3),(28,225,2,24,14,NULL,3,NULL,3),(28,225,2,24,15,NULL,1,NULL,1),(28,225,2,24,16,NULL,2,NULL,2),(28,225,2,24,17,NULL,2,NULL,2),(28,225,2,24,18,2,1,1,1),(28,225,2,24,19,1,3,1,3),(28,225,2,24,20,3,1,3,1),(28,225,2,24,21,NULL,NULL,NULL,NULL),(28,225,2,24,22,NULL,NULL,NULL,NULL),(28,225,2,24,23,NULL,NULL,NULL,NULL),(28,225,2,24,24,NULL,1,NULL,1),(28,225,2,24,25,NULL,NULL,NULL,NULL),(28,225,2,24,26,NULL,1,NULL,1),(28,225,2,24,27,NULL,4,NULL,4),(28,225,2,24,28,NULL,1,NULL,1),(28,225,2,24,29,NULL,NULL,NULL,NULL),(28,225,2,24,30,NULL,NULL,NULL,NULL),(28,225,2,24,31,NULL,5,NULL,4),(28,225,2,24,32,NULL,NULL,NULL,NULL),(28,225,2,24,33,NULL,1,NULL,1),(28,225,2,24,34,NULL,1,NULL,1),(28,225,2,24,35,1,NULL,1,NULL),(28,225,2,24,36,NULL,NULL,NULL,NULL),(28,225,2,24,37,NULL,NULL,NULL,NULL),(28,225,2,24,38,NULL,2,NULL,1),(28,225,2,24,39,NULL,2,NULL,2),(28,225,2,24,40,NULL,4,NULL,3),(28,230,1,11,1,NULL,NULL,NULL,NULL),(28,230,1,11,2,NULL,NULL,NULL,NULL),(28,230,1,11,3,NULL,NULL,NULL,NULL),(28,230,1,11,4,NULL,NULL,NULL,NULL),(28,230,1,11,5,NULL,NULL,NULL,NULL),(28,230,1,11,6,NULL,NULL,NULL,NULL),(28,230,1,11,7,NULL,NULL,NULL,NULL),(28,230,1,11,8,NULL,NULL,NULL,NULL),(28,230,1,11,9,NULL,NULL,NULL,NULL),(28,230,1,11,10,NULL,NULL,NULL,NULL),(28,230,1,11,11,NULL,NULL,NULL,NULL),(28,230,1,11,12,NULL,NULL,NULL,NULL),(28,230,1,11,13,NULL,NULL,NULL,NULL),(28,230,1,11,14,NULL,NULL,NULL,NULL),(28,230,1,11,15,NULL,NULL,NULL,NULL),(28,230,1,11,16,NULL,NULL,NULL,NULL),(28,230,1,11,17,NULL,NULL,NULL,NULL),(28,230,1,11,18,NULL,NULL,NULL,NULL),(28,230,1,11,19,NULL,NULL,NULL,NULL),(28,230,1,11,20,NULL,NULL,NULL,NULL),(28,230,1,11,21,NULL,NULL,NULL,NULL),(28,230,1,11,22,NULL,NULL,NULL,NULL),(28,230,1,11,23,NULL,NULL,NULL,NULL),(28,230,1,11,24,NULL,NULL,NULL,NULL),(28,230,1,11,25,NULL,NULL,NULL,NULL),(28,230,1,11,26,NULL,NULL,NULL,NULL),(28,230,1,11,27,NULL,NULL,NULL,NULL),(28,230,1,11,28,NULL,NULL,NULL,NULL),(28,230,1,11,29,NULL,NULL,NULL,NULL),(28,230,1,11,30,NULL,NULL,NULL,NULL),(28,230,1,11,31,NULL,NULL,NULL,NULL),(28,230,1,11,32,NULL,NULL,NULL,NULL),(28,230,1,11,33,NULL,NULL,NULL,NULL),(28,230,1,11,34,NULL,NULL,NULL,NULL),(28,230,1,11,35,NULL,NULL,NULL,NULL),(28,230,1,11,36,NULL,NULL,NULL,NULL),(28,230,1,11,37,NULL,NULL,NULL,NULL),(28,230,1,11,38,NULL,NULL,NULL,NULL),(28,230,1,11,39,NULL,NULL,NULL,NULL),(28,230,1,11,40,NULL,NULL,NULL,NULL),(28,230,1,12,1,NULL,NULL,NULL,NULL),(28,230,1,12,2,NULL,NULL,NULL,NULL),(28,230,1,12,3,NULL,NULL,NULL,NULL),(28,230,1,12,4,NULL,NULL,NULL,NULL),(28,230,1,12,5,NULL,NULL,NULL,NULL),(28,230,1,12,6,NULL,NULL,NULL,NULL),(28,230,1,12,7,NULL,NULL,NULL,NULL),(28,230,1,12,8,NULL,NULL,NULL,NULL),(28,230,1,12,9,NULL,NULL,NULL,NULL),(28,230,1,12,10,NULL,NULL,NULL,NULL),(28,230,1,12,11,NULL,NULL,NULL,NULL),(28,230,1,12,12,NULL,NULL,NULL,NULL),(28,230,1,12,13,NULL,NULL,NULL,NULL),(28,230,1,12,14,NULL,NULL,NULL,NULL),(28,230,1,12,15,NULL,NULL,NULL,NULL),(28,230,1,12,16,NULL,NULL,NULL,NULL),(28,230,1,12,17,NULL,NULL,NULL,NULL),(28,230,1,12,18,NULL,NULL,NULL,NULL),(28,230,1,12,19,NULL,NULL,NULL,NULL),(28,230,1,12,20,NULL,NULL,NULL,NULL),(28,230,1,12,21,NULL,NULL,NULL,NULL),(28,230,1,12,22,NULL,NULL,NULL,NULL),(28,230,1,12,23,NULL,NULL,NULL,NULL),(28,230,1,12,24,NULL,NULL,NULL,NULL),(28,230,1,12,25,NULL,NULL,NULL,NULL),(28,230,1,12,26,NULL,NULL,NULL,NULL),(28,230,1,12,27,NULL,NULL,NULL,NULL),(28,230,1,12,28,NULL,NULL,NULL,NULL),(28,230,1,12,29,NULL,NULL,NULL,NULL),(28,230,1,12,30,NULL,NULL,NULL,NULL),(28,230,1,12,31,NULL,NULL,NULL,NULL),(28,230,1,12,32,NULL,NULL,NULL,NULL),(28,230,1,12,33,NULL,NULL,NULL,NULL),(28,230,1,12,34,NULL,NULL,NULL,NULL),(28,230,1,12,35,NULL,NULL,NULL,NULL),(28,230,1,12,36,NULL,NULL,NULL,NULL),(28,230,1,12,37,NULL,NULL,NULL,NULL),(28,230,1,12,38,NULL,NULL,NULL,NULL),(28,230,1,12,39,NULL,NULL,NULL,NULL),(28,230,1,12,40,NULL,NULL,NULL,NULL),(28,230,1,13,1,NULL,NULL,NULL,NULL),(28,230,1,13,2,NULL,NULL,NULL,NULL),(28,230,1,13,3,NULL,NULL,NULL,NULL),(28,230,1,13,4,NULL,NULL,NULL,NULL),(28,230,1,13,5,NULL,NULL,NULL,NULL),(28,230,1,13,6,NULL,NULL,NULL,NULL),(28,230,1,13,7,NULL,NULL,NULL,NULL),(28,230,1,13,8,NULL,NULL,NULL,NULL),(28,230,1,13,9,NULL,NULL,NULL,NULL),(28,230,1,13,10,NULL,NULL,NULL,NULL),(28,230,1,13,11,NULL,NULL,NULL,NULL),(28,230,1,13,12,NULL,NULL,NULL,NULL),(28,230,1,13,13,NULL,NULL,NULL,NULL),(28,230,1,13,14,NULL,NULL,NULL,NULL),(28,230,1,13,15,NULL,NULL,NULL,NULL),(28,230,1,13,16,NULL,NULL,NULL,NULL),(28,230,1,13,17,NULL,NULL,NULL,NULL),(28,230,1,13,18,NULL,NULL,NULL,NULL),(28,230,1,13,19,NULL,NULL,NULL,NULL),(28,230,1,13,20,NULL,NULL,NULL,NULL),(28,230,1,13,21,NULL,NULL,NULL,NULL),(28,230,1,13,22,NULL,NULL,NULL,NULL),(28,230,1,13,23,NULL,NULL,NULL,NULL),(28,230,1,13,24,NULL,NULL,NULL,NULL),(28,230,1,13,25,NULL,NULL,NULL,NULL),(28,230,1,13,26,NULL,NULL,NULL,NULL),(28,230,1,13,27,NULL,NULL,NULL,NULL),(28,230,1,13,28,NULL,NULL,NULL,NULL),(28,230,1,13,29,NULL,NULL,NULL,NULL),(28,230,1,13,30,NULL,NULL,NULL,NULL),(28,230,1,13,31,NULL,NULL,NULL,NULL),(28,230,1,13,32,NULL,NULL,NULL,NULL),(28,230,1,13,33,NULL,NULL,NULL,NULL),(28,230,1,13,34,NULL,NULL,NULL,NULL),(28,230,1,13,35,NULL,NULL,NULL,NULL),(28,230,1,13,36,NULL,NULL,NULL,NULL),(28,230,1,13,37,NULL,NULL,NULL,NULL),(28,230,1,13,38,NULL,NULL,NULL,NULL),(28,230,1,13,39,NULL,NULL,NULL,NULL),(28,230,1,13,40,NULL,NULL,NULL,NULL),(28,230,1,14,1,3,NULL,2,NULL),(28,230,1,14,2,NULL,2,NULL,1),(28,230,1,14,3,1,1,1,1),(28,230,1,14,4,2,NULL,2,NULL),(28,230,1,14,5,1,1,NULL,1),(28,230,1,14,6,NULL,3,NULL,3),(28,230,1,14,7,NULL,1,NULL,NULL),(28,230,1,14,8,1,NULL,1,NULL),(28,230,1,14,9,1,NULL,1,NULL),(28,230,1,14,10,2,1,1,1),(28,230,1,14,11,NULL,NULL,NULL,NULL),(28,230,1,14,12,1,NULL,NULL,NULL),(28,230,1,14,13,2,2,2,2),(28,230,1,14,14,NULL,2,NULL,2),(28,230,1,14,15,4,NULL,2,NULL),(28,230,1,14,16,3,2,2,2),(28,230,1,14,17,1,3,1,3),(28,230,1,14,18,1,NULL,NULL,NULL),(28,230,1,14,19,3,1,2,1),(28,230,1,14,20,NULL,4,NULL,3),(28,230,1,14,21,NULL,NULL,NULL,NULL),(28,230,1,14,22,NULL,1,NULL,1),(28,230,1,14,23,NULL,2,NULL,1),(28,230,1,14,24,NULL,NULL,NULL,NULL),(28,230,1,14,25,NULL,1,NULL,1),(28,230,1,14,26,NULL,1,NULL,1),(28,230,1,14,27,1,NULL,1,NULL),(28,230,1,14,28,NULL,NULL,NULL,NULL),(28,230,1,14,29,NULL,1,NULL,NULL),(28,230,1,14,30,NULL,1,NULL,NULL),(28,230,1,14,31,NULL,NULL,NULL,NULL),(28,230,1,14,32,NULL,NULL,NULL,NULL),(28,230,1,14,33,1,1,1,NULL),(28,230,1,14,34,1,2,1,1),(28,230,1,14,35,NULL,2,NULL,1),(28,230,1,14,36,NULL,NULL,NULL,NULL),(28,230,1,14,37,NULL,NULL,NULL,NULL),(28,230,1,14,38,NULL,NULL,NULL,NULL),(28,230,1,14,39,1,3,1,2),(28,230,1,14,40,1,NULL,NULL,NULL),(28,230,1,15,1,3,NULL,3,NULL),(28,230,1,15,2,1,3,1,3),(28,230,1,15,3,1,3,1,2),(28,230,1,15,4,NULL,2,NULL,2),(28,230,1,15,5,2,4,1,2),(28,230,1,15,6,1,3,1,2),(28,230,1,15,7,NULL,4,NULL,2),(28,230,1,15,8,NULL,2,NULL,1),(28,230,1,15,9,2,1,2,NULL),(28,230,1,15,10,2,NULL,1,NULL),(28,230,1,15,11,NULL,NULL,NULL,NULL),(28,230,1,15,12,NULL,1,NULL,NULL),(28,230,1,15,13,2,3,1,3),(28,230,1,15,14,NULL,3,NULL,3),(28,230,1,15,15,4,NULL,4,NULL),(28,230,1,15,16,3,1,3,NULL),(28,230,1,15,17,2,2,2,1),(28,230,1,15,18,2,1,1,1),(28,230,1,15,19,5,1,3,1),(28,230,1,15,20,2,4,1,2),(28,230,1,15,21,1,2,1,NULL),(28,230,1,15,22,1,2,1,2),(28,230,1,15,23,NULL,1,NULL,NULL),(28,230,1,15,24,NULL,NULL,NULL,NULL),(28,230,1,15,25,1,2,1,1),(28,230,1,15,26,NULL,1,NULL,1),(28,230,1,15,27,2,NULL,2,NULL),(28,230,1,15,28,NULL,1,NULL,NULL),(28,230,1,15,29,NULL,2,NULL,2),(28,230,1,15,30,1,2,NULL,2),(28,230,1,15,31,1,1,1,1),(28,230,1,15,32,1,1,1,1),(28,230,1,15,33,NULL,1,NULL,NULL),(28,230,1,15,34,1,NULL,1,NULL),(28,230,1,15,35,NULL,1,NULL,1),(28,230,1,15,36,NULL,NULL,NULL,NULL),(28,230,1,15,37,NULL,NULL,NULL,NULL),(28,230,1,15,38,NULL,1,NULL,1),(28,230,1,15,39,NULL,2,NULL,1),(28,230,1,15,40,1,NULL,1,NULL),(28,230,1,16,1,3,NULL,3,NULL),(28,230,1,16,2,NULL,1,NULL,NULL),(28,230,1,16,3,NULL,3,NULL,3),(28,230,1,16,4,NULL,2,NULL,2),(28,230,1,16,5,1,3,NULL,2),(28,230,1,16,6,NULL,5,NULL,4),(28,230,1,16,7,1,5,1,4),(28,230,1,16,8,NULL,2,NULL,1),(28,230,1,16,9,1,5,1,2),(28,230,1,16,10,4,1,3,1),(28,230,1,16,11,1,3,1,3),(28,230,1,16,12,NULL,2,NULL,2),(28,230,1,16,13,11,NULL,7,NULL),(28,230,1,16,14,6,2,3,2),(28,230,1,16,15,3,6,1,4),(28,230,1,16,16,5,NULL,3,NULL),(28,230,1,16,17,4,7,NULL,6),(28,230,1,16,18,2,3,1,2),(28,230,1,16,19,2,5,1,4),(28,230,1,16,20,NULL,4,NULL,3),(28,230,1,16,21,NULL,NULL,NULL,NULL),(28,230,1,16,22,NULL,4,NULL,2),(28,230,1,16,23,NULL,2,NULL,2),(28,230,1,16,24,1,NULL,1,NULL),(28,230,1,16,25,NULL,1,NULL,1),(28,230,1,16,26,NULL,1,NULL,NULL),(28,230,1,16,27,NULL,NULL,NULL,NULL),(28,230,1,16,28,1,NULL,NULL,NULL),(28,230,1,16,29,NULL,NULL,NULL,NULL),(28,230,1,16,30,1,7,NULL,5),(28,230,1,16,31,1,NULL,NULL,NULL),(28,230,1,16,32,2,4,2,4),(28,230,1,16,33,NULL,1,NULL,1),(28,230,1,16,34,1,2,1,2),(28,230,1,16,35,NULL,NULL,NULL,NULL),(28,230,1,16,36,NULL,NULL,NULL,NULL),(28,230,1,16,37,NULL,NULL,NULL,NULL),(28,230,1,16,38,NULL,2,NULL,2),(28,230,1,16,39,2,2,2,2),(28,230,1,16,40,NULL,NULL,NULL,NULL),(28,230,1,17,1,3,NULL,3,NULL),(28,230,1,17,2,NULL,3,NULL,2),(28,230,1,17,3,3,2,3,1),(28,230,1,17,4,NULL,3,NULL,1),(28,230,1,17,5,2,3,2,2),(28,230,1,17,6,NULL,6,NULL,5),(28,230,1,17,7,2,3,2,2),(28,230,1,17,8,1,3,1,1),(28,230,1,17,9,4,2,3,2),(28,230,1,17,10,3,2,3,2),(28,230,1,17,11,1,2,1,1),(28,230,1,17,12,1,2,1,2),(28,230,1,17,13,9,NULL,7,NULL),(28,230,1,17,14,10,NULL,8,NULL),(28,230,1,17,15,1,6,NULL,5),(28,230,1,17,16,7,NULL,5,NULL),(28,230,1,17,17,6,2,4,2),(28,230,1,17,18,3,1,3,1),(28,230,1,17,19,3,3,2,2),(28,230,1,17,20,4,3,4,1),(28,230,1,17,21,NULL,1,NULL,1),(28,230,1,17,22,NULL,1,NULL,1),(28,230,1,17,23,NULL,1,NULL,1),(28,230,1,17,24,NULL,NULL,NULL,NULL),(28,230,1,17,25,1,NULL,NULL,NULL),(28,230,1,17,26,NULL,2,NULL,2),(28,230,1,17,27,NULL,NULL,NULL,NULL),(28,230,1,17,28,1,NULL,1,NULL),(28,230,1,17,29,NULL,NULL,NULL,NULL),(28,230,1,17,30,2,2,1,1),(28,230,1,17,31,1,2,1,2),(28,230,1,17,32,1,NULL,1,NULL),(28,230,1,17,33,NULL,NULL,NULL,NULL),(28,230,1,17,34,1,NULL,1,NULL),(28,230,1,17,35,NULL,NULL,NULL,NULL),(28,230,1,17,36,1,NULL,1,NULL),(28,230,1,17,37,1,NULL,NULL,NULL),(28,230,1,17,38,NULL,NULL,NULL,NULL),(28,230,1,17,39,2,3,2,2),(28,230,1,17,40,NULL,NULL,NULL,NULL),(28,230,1,18,1,NULL,NULL,NULL,NULL),(28,230,1,18,2,NULL,NULL,NULL,NULL),(28,230,1,18,3,NULL,NULL,NULL,NULL),(28,230,1,18,4,NULL,NULL,NULL,NULL),(28,230,1,18,5,NULL,NULL,NULL,NULL),(28,230,1,18,6,NULL,NULL,NULL,NULL),(28,230,1,18,7,NULL,NULL,NULL,NULL),(28,230,1,18,8,NULL,NULL,NULL,NULL),(28,230,1,18,9,NULL,NULL,NULL,NULL),(28,230,1,18,10,NULL,NULL,NULL,NULL),(28,230,1,18,11,NULL,NULL,NULL,NULL),(28,230,1,18,12,NULL,NULL,NULL,NULL),(28,230,1,18,13,NULL,NULL,NULL,NULL),(28,230,1,18,14,NULL,NULL,NULL,NULL),(28,230,1,18,15,NULL,NULL,NULL,NULL),(28,230,1,18,16,NULL,NULL,NULL,NULL),(28,230,1,18,17,NULL,NULL,NULL,NULL),(28,230,1,18,18,NULL,NULL,NULL,NULL),(28,230,1,18,19,NULL,NULL,NULL,NULL),(28,230,1,18,20,NULL,NULL,NULL,NULL),(28,230,1,18,21,NULL,NULL,NULL,NULL),(28,230,1,18,22,NULL,NULL,NULL,NULL),(28,230,1,18,23,NULL,NULL,NULL,NULL),(28,230,1,18,24,NULL,NULL,NULL,NULL),(28,230,1,18,25,NULL,NULL,NULL,NULL),(28,230,1,18,26,NULL,NULL,NULL,NULL),(28,230,1,18,27,NULL,NULL,NULL,NULL),(28,230,1,18,28,NULL,NULL,NULL,NULL),(28,230,1,18,29,NULL,NULL,NULL,NULL),(28,230,1,18,30,NULL,NULL,NULL,NULL),(28,230,1,18,31,NULL,NULL,NULL,NULL),(28,230,1,18,32,NULL,NULL,NULL,NULL),(28,230,1,18,33,NULL,NULL,NULL,NULL),(28,230,1,18,34,NULL,NULL,NULL,NULL),(28,230,1,18,35,NULL,NULL,NULL,NULL),(28,230,1,18,36,NULL,NULL,NULL,NULL),(28,230,1,18,37,NULL,NULL,NULL,NULL),(28,230,1,18,38,NULL,NULL,NULL,NULL),(28,230,1,18,39,NULL,NULL,NULL,NULL),(28,230,1,18,40,NULL,NULL,NULL,NULL),(28,230,1,19,1,NULL,NULL,NULL,NULL),(28,230,1,19,2,NULL,NULL,NULL,NULL),(28,230,1,19,3,NULL,NULL,NULL,NULL),(28,230,1,19,4,NULL,NULL,NULL,NULL),(28,230,1,19,5,NULL,NULL,NULL,NULL),(28,230,1,19,6,NULL,NULL,NULL,NULL),(28,230,1,19,7,NULL,NULL,NULL,NULL),(28,230,1,19,8,NULL,NULL,NULL,NULL),(28,230,1,19,9,NULL,NULL,NULL,NULL),(28,230,1,19,10,NULL,NULL,NULL,NULL),(28,230,1,19,11,NULL,NULL,NULL,NULL),(28,230,1,19,12,NULL,NULL,NULL,NULL),(28,230,1,19,13,NULL,NULL,NULL,NULL),(28,230,1,19,14,NULL,NULL,NULL,NULL),(28,230,1,19,15,NULL,NULL,NULL,NULL),(28,230,1,19,16,NULL,NULL,NULL,NULL),(28,230,1,19,17,NULL,NULL,NULL,NULL),(28,230,1,19,18,NULL,NULL,NULL,NULL),(28,230,1,19,19,NULL,NULL,NULL,NULL),(28,230,1,19,20,NULL,NULL,NULL,NULL),(28,230,1,19,21,NULL,NULL,NULL,NULL),(28,230,1,19,22,NULL,NULL,NULL,NULL),(28,230,1,19,23,NULL,NULL,NULL,NULL),(28,230,1,19,24,NULL,NULL,NULL,NULL),(28,230,1,19,25,NULL,NULL,NULL,NULL),(28,230,1,19,26,NULL,NULL,NULL,NULL),(28,230,1,19,27,NULL,NULL,NULL,NULL),(28,230,1,19,28,NULL,NULL,NULL,NULL),(28,230,1,19,29,NULL,NULL,NULL,NULL),(28,230,1,19,30,NULL,NULL,NULL,NULL),(28,230,1,19,31,NULL,NULL,NULL,NULL),(28,230,1,19,32,NULL,NULL,NULL,NULL),(28,230,1,19,33,NULL,NULL,NULL,NULL),(28,230,1,19,34,NULL,NULL,NULL,NULL),(28,230,1,19,35,NULL,NULL,NULL,NULL),(28,230,1,19,36,NULL,NULL,NULL,NULL),(28,230,1,19,37,NULL,NULL,NULL,NULL),(28,230,1,19,38,NULL,NULL,NULL,NULL),(28,230,1,19,39,NULL,NULL,NULL,NULL),(28,230,1,19,40,NULL,NULL,NULL,NULL),(28,230,2,21,1,NULL,5,NULL,4),(28,230,2,21,2,NULL,1,NULL,1),(28,230,2,21,3,4,3,4,3),(28,230,2,21,4,NULL,1,NULL,1),(28,230,2,21,5,1,2,1,2),(28,230,2,21,6,3,3,2,3),(28,230,2,21,7,NULL,5,NULL,4),(28,230,2,21,8,2,NULL,2,NULL),(28,230,2,21,9,NULL,1,NULL,1),(28,230,2,21,10,2,1,2,1),(28,230,2,21,11,1,NULL,1,NULL),(28,230,2,21,12,1,4,1,4),(28,230,2,21,13,3,2,3,1),(28,230,2,21,14,2,2,2,2),(28,230,2,21,15,1,2,1,2),(28,230,2,21,16,3,4,3,4),(28,230,2,21,17,NULL,2,NULL,2),(28,230,2,21,18,2,3,2,3),(28,230,2,21,19,2,1,2,1),(28,230,2,21,20,4,1,4,1),(28,230,2,21,21,1,3,1,2),(28,230,2,21,22,NULL,2,NULL,2),(28,230,2,21,23,NULL,1,NULL,1),(28,230,2,21,24,1,3,1,2),(28,230,2,21,25,NULL,1,NULL,1),(28,230,2,21,26,1,NULL,1,NULL),(28,230,2,21,27,NULL,2,NULL,2),(28,230,2,21,28,NULL,2,NULL,2),(28,230,2,21,29,NULL,NULL,NULL,NULL),(28,230,2,21,30,NULL,NULL,NULL,NULL),(28,230,2,21,31,1,3,1,3),(28,230,2,21,32,NULL,NULL,NULL,NULL),(28,230,2,21,33,1,NULL,1,NULL),(28,230,2,21,34,NULL,3,NULL,3),(28,230,2,21,35,1,NULL,1,NULL),(28,230,2,21,36,NULL,1,NULL,1),(28,230,2,21,37,NULL,1,NULL,1),(28,230,2,21,38,NULL,1,NULL,1),(28,230,2,21,39,NULL,2,NULL,2),(28,230,2,21,40,1,4,1,4),(28,230,2,22,1,NULL,7,NULL,5),(28,230,2,22,2,NULL,2,NULL,1),(28,230,2,22,3,4,3,3,1),(28,230,2,22,4,NULL,1,NULL,1),(28,230,2,22,5,1,3,1,NULL),(28,230,2,22,6,1,11,1,6),(28,230,2,22,7,NULL,3,NULL,2),(28,230,2,22,8,3,1,2,NULL),(28,230,2,22,9,1,NULL,NULL,NULL),(28,230,2,22,10,3,2,2,1),(28,230,2,22,11,NULL,2,NULL,1),(28,230,2,22,12,1,6,NULL,3),(28,230,2,22,13,NULL,7,NULL,4),(28,230,2,22,14,NULL,4,NULL,2),(28,230,2,22,15,NULL,5,NULL,1),(28,230,2,22,16,2,8,2,3),(28,230,2,22,17,1,1,1,1),(28,230,2,22,18,5,4,2,2),(28,230,2,22,19,1,1,1,1),(28,230,2,22,20,2,2,1,NULL),(28,230,2,22,21,NULL,NULL,NULL,NULL),(28,230,2,22,22,NULL,2,NULL,NULL),(28,230,2,22,23,NULL,NULL,NULL,NULL),(28,230,2,22,24,1,3,1,2),(28,230,2,22,25,NULL,2,NULL,2),(28,230,2,22,26,NULL,2,NULL,1),(28,230,2,22,27,1,6,1,2),(28,230,2,22,28,1,2,1,NULL),(28,230,2,22,29,NULL,1,NULL,NULL),(28,230,2,22,30,2,NULL,NULL,NULL),(28,230,2,22,31,NULL,6,NULL,2),(28,230,2,22,32,NULL,NULL,NULL,NULL),(28,230,2,22,33,NULL,2,NULL,1),(28,230,2,22,34,NULL,1,NULL,NULL),(28,230,2,22,35,1,NULL,1,NULL),(28,230,2,22,36,NULL,2,NULL,2),(28,230,2,22,37,NULL,NULL,NULL,NULL),(28,230,2,22,38,NULL,NULL,NULL,NULL),(28,230,2,22,39,NULL,2,NULL,1),(28,230,2,22,40,NULL,4,NULL,2),(28,230,2,23,1,NULL,NULL,NULL,NULL),(28,230,2,23,2,NULL,1,NULL,1),(28,230,2,23,3,4,2,3,1),(28,230,2,23,4,1,NULL,1,NULL),(28,230,2,23,5,NULL,3,NULL,3),(28,230,2,23,6,3,NULL,2,NULL),(28,230,2,23,7,NULL,1,NULL,NULL),(28,230,2,23,8,1,1,1,1),(28,230,2,23,9,NULL,1,NULL,1),(28,230,2,23,10,1,2,1,2),(28,230,2,23,11,NULL,3,NULL,2),(28,230,2,23,12,3,2,2,1),(28,230,2,23,13,1,4,1,3),(28,230,2,23,14,1,2,1,2),(28,230,2,23,15,NULL,3,NULL,2),(28,230,2,23,16,NULL,2,NULL,1),(28,230,2,23,17,NULL,3,NULL,3),(28,230,2,23,18,4,4,2,4),(28,230,2,23,19,NULL,2,NULL,2),(28,230,2,23,20,3,NULL,3,NULL),(28,230,2,23,21,NULL,NULL,NULL,NULL),(28,230,2,23,22,1,NULL,1,NULL),(28,230,2,23,23,NULL,2,NULL,2),(28,230,2,23,24,NULL,NULL,NULL,NULL),(28,230,2,23,25,NULL,NULL,NULL,NULL),(28,230,2,23,26,NULL,NULL,NULL,NULL),(28,230,2,23,27,1,3,1,3),(28,230,2,23,28,NULL,NULL,NULL,NULL),(28,230,2,23,29,NULL,NULL,NULL,NULL),(28,230,2,23,30,NULL,1,NULL,1),(28,230,2,23,31,NULL,3,NULL,3),(28,230,2,23,32,NULL,NULL,NULL,NULL),(28,230,2,23,33,NULL,NULL,NULL,NULL),(28,230,2,23,34,NULL,1,NULL,NULL),(28,230,2,23,35,NULL,NULL,NULL,NULL),(28,230,2,23,36,1,1,NULL,1),(28,230,2,23,37,NULL,NULL,NULL,NULL),(28,230,2,23,38,NULL,1,NULL,1),(28,230,2,23,39,NULL,1,NULL,1),(28,230,2,23,40,NULL,4,NULL,4),(28,230,2,24,1,1,2,1,NULL),(28,230,2,24,2,1,NULL,1,NULL),(28,230,2,24,3,1,2,1,1),(28,230,2,24,4,NULL,1,NULL,NULL),(28,230,2,24,5,1,NULL,1,NULL),(28,230,2,24,6,3,2,2,2),(28,230,2,24,7,NULL,2,NULL,1),(28,230,2,24,8,1,NULL,1,NULL),(28,230,2,24,9,1,NULL,1,NULL),(28,230,2,24,10,1,NULL,1,NULL),(28,230,2,24,11,1,1,1,1),(28,230,2,24,12,2,4,2,2),(28,230,2,24,13,3,2,3,1),(28,230,2,24,14,NULL,3,NULL,1),(28,230,2,24,15,1,NULL,1,NULL),(28,230,2,24,16,2,3,1,2),(28,230,2,24,17,1,1,1,NULL),(28,230,2,24,18,5,1,3,1),(28,230,2,24,19,2,2,2,1),(28,230,2,24,20,1,NULL,1,NULL),(28,230,2,24,21,NULL,1,NULL,1),(28,230,2,24,22,2,NULL,1,NULL),(28,230,2,24,23,NULL,1,NULL,1),(28,230,2,24,24,NULL,1,NULL,1),(28,230,2,24,25,1,1,1,NULL),(28,230,2,24,26,1,1,NULL,1),(28,230,2,24,27,1,NULL,1,NULL),(28,230,2,24,28,NULL,NULL,NULL,NULL),(28,230,2,24,29,NULL,1,NULL,NULL),(28,230,2,24,30,NULL,NULL,NULL,NULL),(28,230,2,24,31,1,2,1,2),(28,230,2,24,32,NULL,1,NULL,1),(28,230,2,24,33,1,1,1,1),(28,230,2,24,34,1,1,1,1),(28,230,2,24,35,2,NULL,1,NULL),(28,230,2,24,36,NULL,NULL,NULL,NULL),(28,230,2,24,37,NULL,NULL,NULL,NULL),(28,230,2,24,38,NULL,1,NULL,1),(28,230,2,24,39,NULL,NULL,NULL,NULL),(28,230,2,24,40,1,3,1,2),(28,233,1,11,1,1,NULL,NULL,NULL),(28,233,1,11,2,NULL,1,NULL,NULL),(28,233,1,11,3,1,1,NULL,NULL),(28,233,1,11,4,NULL,2,NULL,NULL),(28,233,1,11,5,NULL,1,NULL,NULL),(28,233,1,11,6,1,NULL,NULL,NULL),(28,233,1,11,7,NULL,2,NULL,NULL),(28,233,1,11,8,1,NULL,NULL,NULL),(28,233,1,11,9,NULL,NULL,NULL,NULL),(28,233,1,11,10,1,1,NULL,NULL),(28,233,1,11,11,1,NULL,NULL,NULL),(28,233,1,11,12,NULL,2,NULL,NULL),(28,233,1,11,13,2,NULL,NULL,NULL),(28,233,1,11,14,3,NULL,NULL,NULL),(28,233,1,11,15,1,1,NULL,NULL),(28,233,1,11,16,3,NULL,NULL,NULL),(28,233,1,11,17,2,1,NULL,NULL),(28,233,1,11,18,3,NULL,NULL,NULL),(28,233,1,11,19,NULL,NULL,NULL,NULL),(28,233,1,11,20,3,NULL,NULL,NULL),(28,233,1,11,21,NULL,1,NULL,NULL),(28,233,1,11,22,NULL,NULL,NULL,NULL),(28,233,1,11,23,1,NULL,NULL,NULL),(28,233,1,11,24,NULL,NULL,NULL,NULL),(28,233,1,11,25,NULL,NULL,NULL,NULL),(28,233,1,11,26,NULL,NULL,NULL,NULL),(28,233,1,11,27,3,NULL,NULL,NULL),(28,233,1,11,28,NULL,NULL,NULL,NULL),(28,233,1,11,29,NULL,2,NULL,NULL),(28,233,1,11,30,NULL,1,NULL,NULL),(28,233,1,11,31,1,NULL,NULL,NULL),(28,233,1,11,32,NULL,1,NULL,NULL),(28,233,1,11,33,1,NULL,NULL,NULL),(28,233,1,11,34,2,1,NULL,NULL),(28,233,1,11,35,1,NULL,NULL,NULL),(28,233,1,11,36,NULL,NULL,NULL,NULL),(28,233,1,11,37,1,NULL,NULL,NULL),(28,233,1,11,38,NULL,2,NULL,NULL),(28,233,1,11,39,NULL,2,NULL,NULL),(28,233,1,11,40,NULL,NULL,NULL,NULL),(28,233,1,12,1,NULL,NULL,NULL,NULL),(28,233,1,12,2,NULL,NULL,NULL,NULL),(28,233,1,12,3,NULL,NULL,NULL,NULL),(28,233,1,12,4,NULL,NULL,NULL,NULL),(28,233,1,12,5,NULL,NULL,NULL,NULL),(28,233,1,12,6,NULL,NULL,NULL,NULL),(28,233,1,12,7,NULL,NULL,NULL,NULL),(28,233,1,12,8,NULL,NULL,NULL,NULL),(28,233,1,12,9,NULL,NULL,NULL,NULL),(28,233,1,12,10,NULL,NULL,NULL,NULL),(28,233,1,12,11,NULL,NULL,NULL,NULL),(28,233,1,12,12,NULL,NULL,NULL,NULL),(28,233,1,12,13,NULL,NULL,NULL,NULL),(28,233,1,12,14,NULL,NULL,NULL,NULL),(28,233,1,12,15,NULL,NULL,NULL,NULL),(28,233,1,12,16,NULL,NULL,NULL,NULL),(28,233,1,12,17,NULL,NULL,NULL,NULL),(28,233,1,12,18,NULL,NULL,NULL,NULL),(28,233,1,12,19,NULL,NULL,NULL,NULL),(28,233,1,12,20,NULL,NULL,NULL,NULL),(28,233,1,12,21,NULL,NULL,NULL,NULL),(28,233,1,12,22,NULL,NULL,NULL,NULL),(28,233,1,12,23,NULL,NULL,NULL,NULL),(28,233,1,12,24,NULL,NULL,NULL,NULL),(28,233,1,12,25,NULL,NULL,NULL,NULL),(28,233,1,12,26,NULL,NULL,NULL,NULL),(28,233,1,12,27,NULL,NULL,NULL,NULL),(28,233,1,12,28,NULL,NULL,NULL,NULL),(28,233,1,12,29,NULL,NULL,NULL,NULL),(28,233,1,12,30,NULL,NULL,NULL,NULL),(28,233,1,12,31,NULL,NULL,NULL,NULL),(28,233,1,12,32,NULL,NULL,NULL,NULL),(28,233,1,12,33,NULL,NULL,NULL,NULL),(28,233,1,12,34,NULL,NULL,NULL,NULL),(28,233,1,12,35,NULL,NULL,NULL,NULL),(28,233,1,12,36,NULL,NULL,NULL,NULL),(28,233,1,12,37,NULL,NULL,NULL,NULL),(28,233,1,12,38,NULL,NULL,NULL,NULL),(28,233,1,12,39,NULL,NULL,NULL,NULL),(28,233,1,12,40,NULL,NULL,NULL,NULL),(28,233,1,13,1,NULL,NULL,NULL,NULL),(28,233,1,13,2,NULL,1,NULL,NULL),(28,233,1,13,3,NULL,NULL,NULL,NULL),(28,233,1,13,4,NULL,NULL,NULL,NULL),(28,233,1,13,5,1,NULL,NULL,NULL),(28,233,1,13,6,NULL,1,NULL,NULL),(28,233,1,13,7,NULL,NULL,NULL,NULL),(28,233,1,13,8,NULL,1,NULL,NULL),(28,233,1,13,9,NULL,NULL,NULL,NULL),(28,233,1,13,10,1,NULL,NULL,NULL),(28,233,1,13,11,NULL,NULL,NULL,NULL),(28,233,1,13,12,1,NULL,NULL,NULL),(28,233,1,13,13,NULL,NULL,NULL,NULL),(28,233,1,13,14,1,NULL,NULL,NULL),(28,233,1,13,15,NULL,NULL,NULL,NULL),(28,233,1,13,16,1,NULL,NULL,NULL),(28,233,1,13,17,NULL,NULL,NULL,NULL),(28,233,1,13,18,NULL,NULL,NULL,NULL),(28,233,1,13,19,NULL,NULL,NULL,NULL),(28,233,1,13,20,1,NULL,NULL,NULL),(28,233,1,13,21,NULL,NULL,NULL,NULL),(28,233,1,13,22,NULL,NULL,NULL,NULL),(28,233,1,13,23,NULL,NULL,NULL,NULL),(28,233,1,13,24,NULL,NULL,NULL,NULL),(28,233,1,13,25,NULL,NULL,NULL,NULL),(28,233,1,13,26,NULL,NULL,NULL,NULL),(28,233,1,13,27,NULL,NULL,NULL,NULL),(28,233,1,13,28,NULL,NULL,NULL,NULL),(28,233,1,13,29,NULL,NULL,NULL,NULL),(28,233,1,13,30,NULL,NULL,NULL,NULL),(28,233,1,13,31,NULL,NULL,NULL,NULL),(28,233,1,13,32,1,NULL,NULL,NULL),(28,233,1,13,33,NULL,NULL,NULL,NULL),(28,233,1,13,34,1,NULL,NULL,NULL),(28,233,1,13,35,NULL,NULL,NULL,NULL),(28,233,1,13,36,NULL,NULL,NULL,NULL),(28,233,1,13,37,NULL,NULL,NULL,NULL),(28,233,1,13,38,NULL,NULL,NULL,NULL),(28,233,1,13,39,1,NULL,NULL,NULL),(28,233,1,13,40,NULL,NULL,NULL,NULL),(28,233,1,14,1,26,NULL,20,NULL),(28,233,1,14,2,3,17,3,10),(28,233,1,14,3,15,21,16,8),(28,233,1,14,4,8,13,8,7),(28,233,1,14,5,17,19,12,7),(28,233,1,14,6,8,25,6,14),(28,233,1,14,7,7,16,5,7),(28,233,1,14,8,7,26,4,18),(28,233,1,14,9,8,13,5,8),(28,233,1,14,10,32,11,18,6),(28,233,1,14,11,10,18,9,10),(28,233,1,14,12,8,18,8,11),(28,233,1,14,13,29,19,20,8),(28,233,1,14,14,25,12,12,8),(28,233,1,14,15,30,NULL,19,NULL),(28,233,1,14,16,29,23,18,8),(28,233,1,14,17,12,33,11,15),(28,233,1,14,18,11,22,13,7),(28,233,1,14,19,32,11,21,4),(28,233,1,14,20,26,26,17,11),(28,233,1,14,21,NULL,6,NULL,4),(28,233,1,14,22,2,7,2,8),(28,233,1,14,23,3,10,3,5),(28,233,1,14,24,4,NULL,3,NULL),(28,233,1,14,25,1,6,2,6),(28,233,1,14,26,1,7,NULL,7),(28,233,1,14,27,17,NULL,12,NULL),(28,233,1,14,28,1,NULL,1,2),(28,233,1,14,29,6,13,2,3),(28,233,1,14,30,6,22,3,13),(28,233,1,14,31,1,9,NULL,5),(28,233,1,14,32,3,17,6,9),(28,233,1,14,33,6,17,4,10),(28,233,1,14,34,23,12,17,5),(28,233,1,14,35,8,7,2,4),(28,233,1,14,36,3,NULL,6,NULL),(28,233,1,14,37,2,7,NULL,5),(28,233,1,14,38,8,10,6,7),(28,233,1,14,39,17,22,11,13),(28,233,1,14,40,7,NULL,6,NULL),(28,233,1,15,1,19,NULL,14,NULL),(28,233,1,15,2,2,14,1,10),(28,233,1,15,3,9,19,10,13),(28,233,1,15,4,3,12,3,6),(28,233,1,15,5,12,13,9,12),(28,233,1,15,6,8,25,11,12),(28,233,1,15,7,5,14,3,11),(28,233,1,15,8,1,24,4,18),(28,233,1,15,9,9,14,5,11),(28,233,1,15,10,31,7,21,2),(28,233,1,15,11,7,12,6,9),(28,233,1,15,12,6,13,3,10),(28,233,1,15,13,33,12,22,4),(28,233,1,15,14,16,16,10,10),(28,233,1,15,15,32,NULL,19,NULL),(28,233,1,15,16,28,16,17,8),(28,233,1,15,17,11,30,9,17),(28,233,1,15,18,15,16,12,5),(28,233,1,15,19,30,13,21,6),(28,233,1,15,20,21,23,17,9),(28,233,1,15,21,NULL,6,NULL,2),(28,233,1,15,22,NULL,12,1,4),(28,233,1,15,23,3,9,3,9),(28,233,1,15,24,NULL,NULL,NULL,NULL),(28,233,1,15,25,1,4,NULL,4),(28,233,1,15,26,NULL,4,NULL,4),(28,233,1,15,27,14,NULL,8,NULL),(28,233,1,15,28,NULL,1,NULL,2),(28,233,1,15,29,2,15,1,16),(28,233,1,15,30,4,18,5,12),(28,233,1,15,31,3,9,4,7),(28,233,1,15,32,5,16,4,11),(28,233,1,15,33,4,17,6,9),(28,233,1,15,34,23,9,15,6),(28,233,1,15,35,2,6,3,6),(28,233,1,15,36,2,NULL,6,NULL),(28,233,1,15,37,1,6,2,5),(28,233,1,15,38,3,13,7,8),(28,233,1,15,39,12,19,6,15),(28,233,1,15,40,7,NULL,7,NULL),(28,233,1,16,1,12,NULL,4,NULL),(28,233,1,16,2,NULL,5,NULL,4),(28,233,1,16,3,5,13,3,3),(28,233,1,16,4,2,6,1,1),(28,233,1,16,5,3,9,1,2),(28,233,1,16,6,2,11,2,5),(28,233,1,16,7,4,8,1,2),(28,233,1,16,8,1,16,NULL,6),(28,233,1,16,9,5,11,4,2),(28,233,1,16,10,11,6,7,NULL),(28,233,1,16,11,1,7,2,3),(28,233,1,16,12,2,9,2,1),(28,233,1,16,13,28,NULL,7,NULL),(28,233,1,16,14,26,1,6,1),(28,233,1,16,15,9,6,5,2),(28,233,1,16,16,13,NULL,5,NULL),(28,233,1,16,17,11,15,5,2),(28,233,1,16,18,4,14,3,1),(28,233,1,16,19,5,8,4,3),(28,233,1,16,20,8,9,2,5),(28,233,1,16,21,NULL,4,NULL,NULL),(28,233,1,16,22,NULL,4,NULL,NULL),(28,233,1,16,23,1,8,NULL,2),(28,233,1,16,24,NULL,NULL,NULL,NULL),(28,233,1,16,25,1,4,NULL,1),(28,233,1,16,26,NULL,2,NULL,NULL),(28,233,1,16,27,8,NULL,5,NULL),(28,233,1,16,28,NULL,1,NULL,1),(28,233,1,16,29,NULL,5,NULL,2),(28,233,1,16,30,3,12,NULL,6),(28,233,1,16,31,1,5,1,1),(28,233,1,16,32,3,10,2,4),(28,233,1,16,33,2,6,1,4),(28,233,1,16,34,13,3,5,NULL),(28,233,1,16,35,NULL,5,NULL,2),(28,233,1,16,36,2,NULL,2,NULL),(28,233,1,16,37,NULL,3,1,NULL),(28,233,1,16,38,1,7,2,2),(28,233,1,16,39,8,11,3,3),(28,233,1,16,40,3,NULL,2,NULL),(28,233,1,17,1,10,NULL,6,NULL),(28,233,1,17,2,2,5,1,1),(28,233,1,17,3,6,10,2,4),(28,233,1,17,4,3,9,1,4),(28,233,1,17,5,4,3,1,2),(28,233,1,17,6,1,12,1,3),(28,233,1,17,7,5,8,2,4),(28,233,1,17,8,3,5,3,2),(28,233,1,17,9,2,5,NULL,3),(28,233,1,17,10,13,7,4,4),(28,233,1,17,11,2,6,2,1),(28,233,1,17,12,3,4,1,3),(28,233,1,17,13,24,NULL,8,NULL),(28,233,1,17,14,18,5,6,2),(28,233,1,17,15,6,13,2,5),(28,233,1,17,16,18,NULL,6,NULL),(28,233,1,17,17,9,12,3,4),(28,233,1,17,18,4,5,2,3),(28,233,1,17,19,6,10,1,4),(28,233,1,17,20,4,8,3,2),(28,233,1,17,21,1,1,NULL,NULL),(28,233,1,17,22,NULL,4,NULL,1),(28,233,1,17,23,1,9,NULL,4),(28,233,1,17,24,1,NULL,1,NULL),(28,233,1,17,25,NULL,NULL,NULL,NULL),(28,233,1,17,26,NULL,2,NULL,1),(28,233,1,17,27,4,NULL,4,NULL),(28,233,1,17,28,NULL,NULL,NULL,2),(28,233,1,17,29,NULL,8,NULL,4),(28,233,1,17,30,1,10,NULL,4),(28,233,1,17,31,NULL,4,1,5),(28,233,1,17,32,NULL,6,1,6),(28,233,1,17,33,NULL,8,1,5),(28,233,1,17,34,6,5,3,3),(28,233,1,17,35,2,4,2,1),(28,233,1,17,36,1,NULL,NULL,NULL),(28,233,1,17,37,NULL,3,NULL,2),(28,233,1,17,38,2,7,1,4),(28,233,1,17,39,4,10,2,5),(28,233,1,17,40,2,NULL,3,NULL),(28,233,1,18,1,NULL,NULL,NULL,NULL),(28,233,1,18,2,NULL,NULL,NULL,NULL),(28,233,1,18,3,NULL,NULL,NULL,NULL),(28,233,1,18,4,NULL,NULL,NULL,NULL),(28,233,1,18,5,NULL,NULL,NULL,NULL),(28,233,1,18,6,NULL,NULL,NULL,NULL),(28,233,1,18,7,NULL,NULL,NULL,NULL),(28,233,1,18,8,NULL,NULL,NULL,NULL),(28,233,1,18,9,NULL,NULL,NULL,NULL),(28,233,1,18,10,NULL,NULL,NULL,NULL),(28,233,1,18,11,NULL,NULL,NULL,NULL),(28,233,1,18,12,NULL,NULL,NULL,NULL),(28,233,1,18,13,NULL,NULL,NULL,NULL),(28,233,1,18,14,NULL,NULL,NULL,NULL),(28,233,1,18,15,NULL,NULL,NULL,NULL),(28,233,1,18,16,NULL,NULL,NULL,NULL),(28,233,1,18,17,NULL,NULL,NULL,NULL),(28,233,1,18,18,NULL,NULL,NULL,NULL),(28,233,1,18,19,NULL,NULL,NULL,NULL),(28,233,1,18,20,NULL,NULL,NULL,NULL),(28,233,1,18,21,NULL,NULL,NULL,NULL),(28,233,1,18,22,NULL,NULL,NULL,NULL),(28,233,1,18,23,NULL,NULL,NULL,NULL),(28,233,1,18,24,NULL,NULL,NULL,NULL),(28,233,1,18,25,NULL,NULL,NULL,NULL),(28,233,1,18,26,NULL,NULL,NULL,NULL),(28,233,1,18,27,NULL,NULL,NULL,NULL),(28,233,1,18,28,NULL,NULL,NULL,NULL),(28,233,1,18,29,NULL,NULL,NULL,NULL),(28,233,1,18,30,NULL,NULL,NULL,NULL),(28,233,1,18,31,NULL,NULL,NULL,NULL),(28,233,1,18,32,NULL,NULL,NULL,NULL),(28,233,1,18,33,NULL,NULL,NULL,NULL),(28,233,1,18,34,NULL,NULL,NULL,NULL),(28,233,1,18,35,NULL,NULL,NULL,NULL),(28,233,1,18,36,NULL,NULL,NULL,NULL),(28,233,1,18,37,NULL,NULL,NULL,NULL),(28,233,1,18,38,NULL,NULL,NULL,NULL),(28,233,1,18,39,NULL,NULL,NULL,NULL),(28,233,1,18,40,NULL,NULL,NULL,NULL),(28,233,1,19,1,NULL,NULL,NULL,NULL),(28,233,1,19,2,NULL,NULL,NULL,NULL),(28,233,1,19,3,NULL,NULL,NULL,NULL),(28,233,1,19,4,NULL,NULL,NULL,NULL),(28,233,1,19,5,NULL,NULL,NULL,NULL),(28,233,1,19,6,NULL,NULL,NULL,NULL),(28,233,1,19,7,NULL,NULL,NULL,NULL),(28,233,1,19,8,NULL,NULL,NULL,NULL),(28,233,1,19,9,NULL,NULL,NULL,NULL),(28,233,1,19,10,NULL,NULL,NULL,NULL),(28,233,1,19,11,NULL,NULL,NULL,NULL),(28,233,1,19,12,NULL,NULL,NULL,NULL),(28,233,1,19,13,NULL,NULL,NULL,NULL),(28,233,1,19,14,NULL,NULL,NULL,NULL),(28,233,1,19,15,NULL,NULL,NULL,NULL),(28,233,1,19,16,NULL,NULL,NULL,NULL),(28,233,1,19,17,NULL,NULL,NULL,NULL),(28,233,1,19,18,NULL,NULL,NULL,NULL),(28,233,1,19,19,NULL,NULL,NULL,NULL),(28,233,1,19,20,NULL,NULL,NULL,NULL),(28,233,1,19,21,NULL,NULL,NULL,NULL),(28,233,1,19,22,NULL,NULL,NULL,NULL),(28,233,1,19,23,NULL,NULL,NULL,NULL),(28,233,1,19,24,NULL,NULL,NULL,NULL),(28,233,1,19,25,NULL,NULL,NULL,NULL),(28,233,1,19,26,NULL,NULL,NULL,NULL),(28,233,1,19,27,NULL,NULL,NULL,NULL),(28,233,1,19,28,NULL,NULL,NULL,NULL),(28,233,1,19,29,NULL,NULL,NULL,NULL),(28,233,1,19,30,NULL,NULL,NULL,NULL),(28,233,1,19,31,NULL,NULL,NULL,NULL),(28,233,1,19,32,NULL,NULL,NULL,NULL),(28,233,1,19,33,NULL,NULL,NULL,NULL),(28,233,1,19,34,NULL,NULL,NULL,NULL),(28,233,1,19,35,NULL,NULL,NULL,NULL),(28,233,1,19,36,NULL,NULL,NULL,NULL),(28,233,1,19,37,NULL,NULL,NULL,NULL),(28,233,1,19,38,NULL,NULL,NULL,NULL),(28,233,1,19,39,NULL,NULL,NULL,NULL),(28,233,1,19,40,NULL,NULL,NULL,NULL),(28,233,2,21,1,NULL,23,NULL,13),(28,233,2,21,2,1,14,NULL,9),(28,233,2,21,3,22,11,14,6),(28,233,2,21,4,1,7,NULL,3),(28,233,2,21,5,7,12,5,6),(28,233,2,21,6,12,17,9,7),(28,233,2,21,7,NULL,16,NULL,9),(28,233,2,21,8,6,14,5,6),(28,233,2,21,9,2,6,1,5),(28,233,2,21,10,12,12,5,9),(28,233,2,21,11,10,8,10,3),(28,233,2,21,12,8,24,8,9),(28,233,2,21,13,7,31,7,15),(28,233,2,21,14,13,21,13,6),(28,233,2,21,15,5,11,6,5),(28,233,2,21,16,12,19,4,12),(28,233,2,21,17,1,3,1,2),(28,233,2,21,18,18,14,9,10),(28,233,2,21,19,8,15,8,6),(28,233,2,21,20,15,16,10,4),(28,233,2,21,21,2,4,2,5),(28,233,2,21,22,12,10,8,8),(28,233,2,21,23,1,8,1,4),(28,233,2,21,24,2,13,6,3),(28,233,2,21,25,2,12,2,7),(28,233,2,21,26,1,7,1,4),(28,233,2,21,27,3,24,2,11),(28,233,2,21,28,1,14,1,9),(28,233,2,21,29,NULL,10,NULL,8),(28,233,2,21,30,2,8,1,5),(28,233,2,21,31,NULL,20,1,12),(28,233,2,21,32,NULL,4,1,4),(28,233,2,21,33,10,9,9,3),(28,233,2,21,34,4,15,6,10),(28,233,2,21,35,6,NULL,4,NULL),(28,233,2,21,36,1,7,1,6),(28,233,2,21,37,4,10,3,9),(28,233,2,21,38,NULL,4,1,6),(28,233,2,21,39,3,9,3,7),(28,233,2,21,40,4,25,5,14),(28,233,2,22,1,1,17,1,9),(28,233,2,22,2,1,11,NULL,12),(28,233,2,22,3,18,19,14,7),(28,233,2,22,4,NULL,8,NULL,7),(28,233,2,22,5,4,17,4,12),(28,233,2,22,6,12,19,11,7),(28,233,2,22,7,NULL,11,NULL,9),(28,233,2,22,8,7,10,5,5),(28,233,2,22,9,1,14,1,7),(28,233,2,22,10,12,12,8,8),(28,233,2,22,11,12,8,11,5),(28,233,2,22,12,6,18,5,11),(28,233,2,22,13,7,22,5,14),(28,233,2,22,14,12,18,10,9),(28,233,2,22,15,2,12,3,11),(28,233,2,22,16,7,22,3,15),(28,233,2,22,17,1,7,NULL,3),(28,233,2,22,18,13,20,5,15),(28,233,2,22,19,10,13,8,8),(28,233,2,22,20,16,9,13,5),(28,233,2,22,21,3,3,5,3),(28,233,2,22,22,9,9,9,6),(28,233,2,22,23,2,5,2,3),(28,233,2,22,24,2,7,2,2),(28,233,2,22,25,NULL,8,1,8),(28,233,2,22,26,3,8,NULL,4),(28,233,2,22,27,3,17,3,14),(28,233,2,22,28,2,15,1,14),(28,233,2,22,29,1,11,NULL,8),(28,233,2,22,30,1,9,NULL,4),(28,233,2,22,31,3,16,5,7),(28,233,2,22,32,1,8,2,1),(28,233,2,22,33,7,15,8,8),(28,233,2,22,34,5,18,4,9),(28,233,2,22,35,10,NULL,6,NULL),(28,233,2,22,36,2,5,2,3),(28,233,2,22,37,4,13,6,7),(28,233,2,22,38,1,4,1,9),(28,233,2,22,39,NULL,13,1,8),(28,233,2,22,40,5,24,7,13),(28,233,2,23,1,NULL,17,1,9),(28,233,2,23,2,2,9,NULL,9),(28,233,2,23,3,18,10,9,7),(28,233,2,23,4,NULL,5,NULL,4),(28,233,2,23,5,5,11,4,8),(28,233,2,23,6,16,20,8,7),(28,233,2,23,7,NULL,12,NULL,9),(28,233,2,23,8,9,11,7,3),(28,233,2,23,9,1,7,3,4),(28,233,2,23,10,14,6,11,2),(28,233,2,23,11,7,4,8,1),(28,233,2,23,12,5,20,5,6),(28,233,2,23,13,7,28,7,11),(28,233,2,23,14,20,11,10,6),(28,233,2,23,15,5,15,7,4),(28,233,2,23,16,8,22,3,11),(28,233,2,23,17,2,7,NULL,7),(28,233,2,23,18,19,11,8,7),(28,233,2,23,19,11,13,4,9),(28,233,2,23,20,18,13,13,4),(28,233,2,23,21,2,7,1,7),(28,233,2,23,22,16,6,8,3),(28,233,2,23,23,1,7,NULL,4),(28,233,2,23,24,1,7,2,3),(28,233,2,23,25,3,9,2,4),(28,233,2,23,26,2,5,4,1),(28,233,2,23,27,3,16,4,11),(28,233,2,23,28,3,9,NULL,8),(28,233,2,23,29,NULL,8,NULL,5),(28,233,2,23,30,2,2,1,3),(28,233,2,23,31,2,16,3,8),(28,233,2,23,32,3,4,3,2),(28,233,2,23,33,10,11,9,4),(28,233,2,23,34,3,12,5,8),(28,233,2,23,35,9,NULL,4,NULL),(28,233,2,23,36,2,8,2,6),(28,233,2,23,37,7,8,6,4),(28,233,2,23,38,2,2,1,4),(28,233,2,23,39,2,9,2,4),(28,233,2,23,40,7,16,3,11),(28,233,2,24,1,NULL,13,NULL,4),(28,233,2,24,2,NULL,10,NULL,4),(28,233,2,24,3,13,17,2,5),(28,233,2,24,4,NULL,2,NULL,1),(28,233,2,24,5,11,7,2,3),(28,233,2,24,6,11,17,4,4),(28,233,2,24,7,NULL,8,NULL,5),(28,233,2,24,8,4,10,3,4),(28,233,2,24,9,4,5,1,1),(28,233,2,24,10,10,7,3,NULL),(28,233,2,24,11,8,4,4,1),(28,233,2,24,12,6,12,2,4),(28,233,2,24,13,6,22,4,3),(28,233,2,24,14,10,14,2,6),(28,233,2,24,15,5,10,1,3),(28,233,2,24,16,7,18,2,6),(28,233,2,24,17,3,4,NULL,1),(28,233,2,24,18,14,15,3,5),(28,233,2,24,19,6,12,2,3),(28,233,2,24,20,17,6,7,NULL),(28,233,2,24,21,3,3,2,NULL),(28,233,2,24,22,8,6,4,2),(28,233,2,24,23,NULL,2,1,NULL),(28,233,2,24,24,1,2,NULL,1),(28,233,2,24,25,2,7,1,3),(28,233,2,24,26,NULL,8,NULL,3),(28,233,2,24,27,2,13,1,7),(28,233,2,24,28,NULL,7,NULL,2),(28,233,2,24,29,1,1,1,1),(28,233,2,24,30,2,6,NULL,2),(28,233,2,24,31,2,15,NULL,7),(28,233,2,24,32,1,6,1,4),(28,233,2,24,33,4,14,4,3),(28,233,2,24,34,5,7,2,3),(28,233,2,24,35,4,NULL,1,NULL),(28,233,2,24,36,NULL,2,NULL,NULL),(28,233,2,24,37,NULL,6,1,3),(28,233,2,24,38,NULL,4,NULL,2),(28,233,2,24,39,1,6,NULL,4),(28,233,2,24,40,2,20,NULL,5),(28,234,1,11,1,NULL,NULL,NULL,NULL),(28,234,1,11,2,NULL,NULL,NULL,NULL),(28,234,1,11,3,NULL,NULL,NULL,NULL),(28,234,1,11,4,NULL,NULL,NULL,NULL),(28,234,1,11,5,NULL,NULL,NULL,NULL),(28,234,1,11,6,NULL,NULL,NULL,NULL),(28,234,1,11,7,NULL,NULL,NULL,NULL),(28,234,1,11,8,NULL,NULL,NULL,NULL),(28,234,1,11,9,NULL,NULL,NULL,NULL),(28,234,1,11,10,NULL,NULL,NULL,NULL),(28,234,1,11,11,NULL,NULL,NULL,NULL),(28,234,1,11,12,NULL,NULL,NULL,NULL),(28,234,1,11,13,NULL,NULL,NULL,NULL),(28,234,1,11,14,NULL,NULL,NULL,NULL),(28,234,1,11,15,NULL,NULL,NULL,NULL),(28,234,1,11,16,NULL,NULL,NULL,NULL),(28,234,1,11,17,NULL,NULL,NULL,NULL),(28,234,1,11,18,NULL,NULL,NULL,NULL),(28,234,1,11,19,NULL,NULL,NULL,NULL),(28,234,1,11,20,NULL,NULL,NULL,NULL),(28,234,1,11,21,NULL,NULL,NULL,NULL),(28,234,1,11,22,NULL,NULL,NULL,NULL),(28,234,1,11,23,NULL,NULL,NULL,NULL),(28,234,1,11,24,NULL,NULL,NULL,NULL),(28,234,1,11,25,NULL,NULL,NULL,NULL),(28,234,1,11,26,NULL,NULL,NULL,NULL),(28,234,1,11,27,NULL,NULL,NULL,NULL),(28,234,1,11,28,NULL,NULL,NULL,NULL),(28,234,1,11,29,NULL,NULL,NULL,NULL),(28,234,1,11,30,NULL,NULL,NULL,NULL),(28,234,1,11,31,NULL,NULL,NULL,NULL),(28,234,1,11,32,NULL,NULL,NULL,NULL),(28,234,1,11,33,NULL,NULL,NULL,NULL),(28,234,1,11,34,NULL,NULL,NULL,NULL),(28,234,1,11,35,NULL,NULL,NULL,NULL),(28,234,1,11,36,NULL,NULL,NULL,NULL),(28,234,1,11,37,NULL,NULL,NULL,NULL),(28,234,1,11,38,NULL,NULL,NULL,NULL),(28,234,1,11,39,NULL,NULL,NULL,NULL),(28,234,1,11,40,NULL,NULL,NULL,NULL),(28,234,1,12,1,NULL,NULL,NULL,NULL),(28,234,1,12,2,NULL,NULL,NULL,NULL),(28,234,1,12,3,NULL,NULL,NULL,NULL),(28,234,1,12,4,NULL,NULL,NULL,NULL),(28,234,1,12,5,NULL,NULL,NULL,NULL),(28,234,1,12,6,NULL,NULL,NULL,NULL),(28,234,1,12,7,NULL,NULL,NULL,NULL),(28,234,1,12,8,NULL,NULL,NULL,NULL),(28,234,1,12,9,NULL,NULL,NULL,NULL),(28,234,1,12,10,NULL,NULL,NULL,NULL),(28,234,1,12,11,NULL,NULL,NULL,NULL),(28,234,1,12,12,NULL,NULL,NULL,NULL),(28,234,1,12,13,NULL,NULL,NULL,NULL),(28,234,1,12,14,NULL,NULL,NULL,NULL),(28,234,1,12,15,NULL,NULL,NULL,NULL),(28,234,1,12,16,NULL,NULL,NULL,NULL),(28,234,1,12,17,NULL,NULL,NULL,NULL),(28,234,1,12,18,NULL,NULL,NULL,NULL),(28,234,1,12,19,NULL,NULL,NULL,NULL),(28,234,1,12,20,NULL,NULL,NULL,NULL),(28,234,1,12,21,NULL,NULL,NULL,NULL),(28,234,1,12,22,NULL,NULL,NULL,NULL),(28,234,1,12,23,NULL,NULL,NULL,NULL),(28,234,1,12,24,NULL,NULL,NULL,NULL),(28,234,1,12,25,NULL,NULL,NULL,NULL),(28,234,1,12,26,NULL,NULL,NULL,NULL),(28,234,1,12,27,NULL,NULL,NULL,NULL),(28,234,1,12,28,NULL,NULL,NULL,NULL),(28,234,1,12,29,NULL,NULL,NULL,NULL),(28,234,1,12,30,NULL,NULL,NULL,NULL),(28,234,1,12,31,NULL,NULL,NULL,NULL),(28,234,1,12,32,NULL,NULL,NULL,NULL),(28,234,1,12,33,NULL,NULL,NULL,NULL),(28,234,1,12,34,NULL,NULL,NULL,NULL),(28,234,1,12,35,NULL,NULL,NULL,NULL),(28,234,1,12,36,NULL,NULL,NULL,NULL),(28,234,1,12,37,NULL,NULL,NULL,NULL),(28,234,1,12,38,NULL,NULL,NULL,NULL),(28,234,1,12,39,NULL,NULL,NULL,NULL),(28,234,1,12,40,NULL,NULL,NULL,NULL),(28,234,1,13,1,1,NULL,1,NULL),(28,234,1,13,2,NULL,NULL,NULL,NULL),(28,234,1,13,3,NULL,1,NULL,1),(28,234,1,13,4,NULL,1,NULL,1),(28,234,1,13,5,1,1,1,1),(28,234,1,13,6,NULL,2,NULL,2),(28,234,1,13,7,NULL,NULL,NULL,NULL),(28,234,1,13,8,NULL,1,NULL,1),(28,234,1,13,9,1,NULL,1,NULL),(28,234,1,13,10,2,NULL,2,NULL),(28,234,1,13,11,NULL,1,NULL,1),(28,234,1,13,12,1,1,1,1),(28,234,1,13,13,2,NULL,2,NULL),(28,234,1,13,14,2,NULL,2,NULL),(28,234,1,13,15,NULL,NULL,NULL,NULL),(28,234,1,13,16,3,NULL,3,NULL),(28,234,1,13,17,1,1,1,1),(28,234,1,13,18,2,NULL,2,NULL),(28,234,1,13,19,2,NULL,2,NULL),(28,234,1,13,20,NULL,1,NULL,1),(28,234,1,13,21,NULL,1,NULL,1),(28,234,1,13,22,NULL,1,NULL,1),(28,234,1,13,23,NULL,NULL,NULL,NULL),(28,234,1,13,24,NULL,NULL,NULL,NULL),(28,234,1,13,25,NULL,NULL,NULL,NULL),(28,234,1,13,26,NULL,NULL,NULL,NULL),(28,234,1,13,27,NULL,NULL,NULL,NULL),(28,234,1,13,28,NULL,NULL,NULL,NULL),(28,234,1,13,29,NULL,NULL,NULL,NULL),(28,234,1,13,30,NULL,2,NULL,2),(28,234,1,13,31,NULL,1,NULL,1),(28,234,1,13,32,NULL,NULL,NULL,NULL),(28,234,1,13,33,NULL,1,NULL,1),(28,234,1,13,34,NULL,2,NULL,2),(28,234,1,13,35,NULL,NULL,NULL,NULL),(28,234,1,13,36,NULL,NULL,NULL,NULL),(28,234,1,13,37,NULL,NULL,NULL,NULL),(28,234,1,13,38,NULL,NULL,NULL,NULL),(28,234,1,13,39,NULL,1,NULL,1),(28,234,1,13,40,NULL,NULL,NULL,NULL),(28,234,1,14,1,3,NULL,2,NULL),(28,234,1,14,2,NULL,3,NULL,3),(28,234,1,14,3,3,4,3,4),(28,234,1,14,4,4,6,1,5),(28,234,1,14,5,2,3,2,2),(28,234,1,14,6,NULL,6,NULL,6),(28,234,1,14,7,1,6,1,4),(28,234,1,14,8,NULL,7,NULL,6),(28,234,1,14,9,3,2,2,2),(28,234,1,14,10,9,5,8,2),(28,234,1,14,11,NULL,3,NULL,3),(28,234,1,14,12,2,1,2,1),(28,234,1,14,13,4,3,3,2),(28,234,1,14,14,3,6,3,4),(28,234,1,14,15,5,NULL,5,NULL),(28,234,1,14,16,3,3,3,2),(28,234,1,14,17,1,9,1,8),(28,234,1,14,18,1,2,1,1),(28,234,1,14,19,5,5,3,5),(28,234,1,14,20,1,8,1,7),(28,234,1,14,21,NULL,2,NULL,NULL),(28,234,1,14,22,NULL,4,NULL,4),(28,234,1,14,23,1,6,NULL,5),(28,234,1,14,24,NULL,NULL,NULL,NULL),(28,234,1,14,25,1,3,1,2),(28,234,1,14,26,NULL,2,NULL,2),(28,234,1,14,27,2,NULL,2,NULL),(28,234,1,14,28,1,NULL,1,NULL),(28,234,1,14,29,NULL,1,NULL,1),(28,234,1,14,30,2,3,2,3),(28,234,1,14,31,NULL,1,NULL,1),(28,234,1,14,32,3,5,3,5),(28,234,1,14,33,1,4,NULL,4),(28,234,1,14,34,2,1,2,1),(28,234,1,14,35,NULL,3,NULL,3),(28,234,1,14,36,NULL,NULL,NULL,NULL),(28,234,1,14,37,2,2,1,2),(28,234,1,14,38,NULL,3,NULL,3),(28,234,1,14,39,3,4,1,3),(28,234,1,14,40,2,NULL,2,NULL),(28,234,1,15,1,6,NULL,5,NULL),(28,234,1,15,2,NULL,1,NULL,1),(28,234,1,15,3,3,2,3,1),(28,234,1,15,4,NULL,6,NULL,6),(28,234,1,15,5,2,4,2,4),(28,234,1,15,6,NULL,10,NULL,7),(28,234,1,15,7,2,6,1,4),(28,234,1,15,8,NULL,3,NULL,2),(28,234,1,15,9,1,5,1,3),(28,234,1,15,10,6,3,5,2),(28,234,1,15,11,NULL,4,NULL,2),(28,234,1,15,12,1,1,1,1),(28,234,1,15,13,8,6,7,4),(28,234,1,15,14,4,5,4,4),(28,234,1,15,15,9,NULL,6,NULL),(28,234,1,15,16,7,6,7,4),(28,234,1,15,17,3,9,3,7),(28,234,1,15,18,6,3,5,2),(28,234,1,15,19,10,3,8,1),(28,234,1,15,20,5,9,5,6),(28,234,1,15,21,NULL,NULL,NULL,NULL),(28,234,1,15,22,1,5,1,4),(28,234,1,15,23,1,3,1,3),(28,234,1,15,24,NULL,NULL,NULL,NULL),(28,234,1,15,25,NULL,3,NULL,1),(28,234,1,15,26,1,1,NULL,1),(28,234,1,15,27,5,NULL,2,NULL),(28,234,1,15,28,NULL,1,NULL,1),(28,234,1,15,29,1,5,1,4),(28,234,1,15,30,NULL,5,NULL,4),(28,234,1,15,31,NULL,2,NULL,2),(28,234,1,15,32,NULL,3,NULL,3),(28,234,1,15,33,NULL,1,NULL,NULL),(28,234,1,15,34,2,4,1,4),(28,234,1,15,35,NULL,1,NULL,1),(28,234,1,15,36,NULL,NULL,NULL,NULL),(28,234,1,15,37,NULL,1,NULL,1),(28,234,1,15,38,NULL,3,NULL,3),(28,234,1,15,39,3,4,3,4),(28,234,1,15,40,2,NULL,2,NULL),(28,234,1,16,1,9,NULL,7,NULL),(28,234,1,16,2,NULL,4,NULL,4),(28,234,1,16,3,3,10,3,9),(28,234,1,16,4,2,3,2,2),(28,234,1,16,5,6,5,4,4),(28,234,1,16,6,1,11,1,10),(28,234,1,16,7,3,8,3,7),(28,234,1,16,8,1,5,1,4),(28,234,1,16,9,4,10,4,8),(28,234,1,16,10,13,2,12,2),(28,234,1,16,11,2,5,2,4),(28,234,1,16,12,1,4,1,3),(28,234,1,16,13,25,NULL,18,NULL),(28,234,1,16,14,20,8,15,7),(28,234,1,16,15,5,16,5,12),(28,234,1,16,16,14,NULL,10,NULL),(28,234,1,16,17,9,18,8,13),(28,234,1,16,18,2,8,2,5),(28,234,1,16,19,3,15,3,12),(28,234,1,16,20,5,8,5,7),(28,234,1,16,21,1,2,1,2),(28,234,1,16,22,1,6,1,5),(28,234,1,16,23,NULL,5,NULL,4),(28,234,1,16,24,NULL,NULL,NULL,NULL),(28,234,1,16,25,NULL,2,NULL,2),(28,234,1,16,26,NULL,2,NULL,2),(28,234,1,16,27,5,NULL,4,NULL),(28,234,1,16,28,NULL,2,NULL,1),(28,234,1,16,29,NULL,9,NULL,6),(28,234,1,16,30,1,10,1,7),(28,234,1,16,31,NULL,1,NULL,1),(28,234,1,16,32,3,5,1,5),(28,234,1,16,33,1,3,1,3),(28,234,1,16,34,3,5,3,3),(28,234,1,16,35,NULL,1,NULL,1),(28,234,1,16,36,1,NULL,1,NULL),(28,234,1,16,37,1,3,1,3),(28,234,1,16,38,NULL,4,NULL,3),(28,234,1,16,39,4,6,3,4),(28,234,1,16,40,1,NULL,1,NULL),(28,234,1,17,1,6,NULL,5,NULL),(28,234,1,17,2,NULL,3,NULL,2),(28,234,1,17,3,2,4,2,4),(28,234,1,17,4,1,6,1,3),(28,234,1,17,5,NULL,6,NULL,5),(28,234,1,17,6,1,13,NULL,9),(28,234,1,17,7,1,6,1,5),(28,234,1,17,8,NULL,7,NULL,5),(28,234,1,17,9,1,3,NULL,1),(28,234,1,17,10,9,8,9,3),(28,234,1,17,11,NULL,7,NULL,4),(28,234,1,17,12,1,4,1,2),(28,234,1,17,13,27,NULL,14,NULL),(28,234,1,17,14,18,5,10,4),(28,234,1,17,15,6,13,3,7),(28,234,1,17,16,20,NULL,11,NULL),(28,234,1,17,17,8,16,4,8),(28,234,1,17,18,7,5,6,1),(28,234,1,17,19,3,15,2,10),(28,234,1,17,20,1,10,NULL,5),(28,234,1,17,21,NULL,3,NULL,3),(28,234,1,17,22,NULL,3,NULL,2),(28,234,1,17,23,1,7,NULL,5),(28,234,1,17,24,NULL,NULL,NULL,NULL),(28,234,1,17,25,2,3,1,2),(28,234,1,17,26,1,3,1,1),(28,234,1,17,27,3,NULL,3,NULL),(28,234,1,17,28,NULL,1,NULL,1),(28,234,1,17,29,1,2,NULL,2),(28,234,1,17,30,3,6,2,3),(28,234,1,17,31,NULL,2,NULL,2),(28,234,1,17,32,3,5,1,3),(28,234,1,17,33,1,5,1,5),(28,234,1,17,34,4,4,4,3),(28,234,1,17,35,NULL,6,NULL,5),(28,234,1,17,36,NULL,NULL,NULL,NULL),(28,234,1,17,37,NULL,4,NULL,3),(28,234,1,17,38,1,6,1,5),(28,234,1,17,39,3,7,1,6),(28,234,1,17,40,3,NULL,1,NULL),(28,234,1,18,1,NULL,NULL,NULL,NULL),(28,234,1,18,2,NULL,NULL,NULL,NULL),(28,234,1,18,3,NULL,NULL,NULL,NULL),(28,234,1,18,4,NULL,NULL,NULL,NULL),(28,234,1,18,5,NULL,NULL,NULL,NULL),(28,234,1,18,6,NULL,NULL,NULL,NULL),(28,234,1,18,7,NULL,NULL,NULL,NULL),(28,234,1,18,8,NULL,NULL,NULL,NULL),(28,234,1,18,9,NULL,NULL,NULL,NULL),(28,234,1,18,10,NULL,NULL,NULL,NULL),(28,234,1,18,11,NULL,NULL,NULL,NULL),(28,234,1,18,12,NULL,NULL,NULL,NULL),(28,234,1,18,13,NULL,NULL,NULL,NULL),(28,234,1,18,14,NULL,NULL,NULL,NULL),(28,234,1,18,15,NULL,NULL,NULL,NULL),(28,234,1,18,16,NULL,NULL,NULL,NULL),(28,234,1,18,17,NULL,NULL,NULL,NULL),(28,234,1,18,18,NULL,NULL,NULL,NULL),(28,234,1,18,19,NULL,NULL,NULL,NULL),(28,234,1,18,20,NULL,NULL,NULL,NULL),(28,234,1,18,21,NULL,NULL,NULL,NULL),(28,234,1,18,22,NULL,NULL,NULL,NULL),(28,234,1,18,23,NULL,NULL,NULL,NULL),(28,234,1,18,24,NULL,NULL,NULL,NULL),(28,234,1,18,25,NULL,NULL,NULL,NULL),(28,234,1,18,26,NULL,NULL,NULL,NULL),(28,234,1,18,27,NULL,NULL,NULL,NULL),(28,234,1,18,28,NULL,NULL,NULL,NULL),(28,234,1,18,29,NULL,NULL,NULL,NULL),(28,234,1,18,30,NULL,NULL,NULL,NULL),(28,234,1,18,31,NULL,NULL,NULL,NULL),(28,234,1,18,32,NULL,NULL,NULL,NULL),(28,234,1,18,33,NULL,NULL,NULL,NULL),(28,234,1,18,34,NULL,NULL,NULL,NULL),(28,234,1,18,35,NULL,NULL,NULL,NULL),(28,234,1,18,36,NULL,NULL,NULL,NULL),(28,234,1,18,37,NULL,NULL,NULL,NULL),(28,234,1,18,38,NULL,NULL,NULL,NULL),(28,234,1,18,39,NULL,NULL,NULL,NULL),(28,234,1,18,40,NULL,NULL,NULL,NULL),(28,234,1,19,1,NULL,NULL,NULL,NULL),(28,234,1,19,2,NULL,NULL,NULL,NULL),(28,234,1,19,3,NULL,NULL,NULL,NULL),(28,234,1,19,4,NULL,NULL,NULL,NULL),(28,234,1,19,5,NULL,NULL,NULL,NULL),(28,234,1,19,6,NULL,NULL,NULL,NULL),(28,234,1,19,7,NULL,NULL,NULL,NULL),(28,234,1,19,8,NULL,NULL,NULL,NULL),(28,234,1,19,9,NULL,NULL,NULL,NULL),(28,234,1,19,10,NULL,NULL,NULL,NULL),(28,234,1,19,11,NULL,NULL,NULL,NULL),(28,234,1,19,12,NULL,NULL,NULL,NULL),(28,234,1,19,13,NULL,NULL,NULL,NULL),(28,234,1,19,14,NULL,NULL,NULL,NULL),(28,234,1,19,15,NULL,NULL,NULL,NULL),(28,234,1,19,16,NULL,NULL,NULL,NULL),(28,234,1,19,17,NULL,NULL,NULL,NULL),(28,234,1,19,18,NULL,NULL,NULL,NULL),(28,234,1,19,19,NULL,NULL,NULL,NULL),(28,234,1,19,20,NULL,NULL,NULL,NULL),(28,234,1,19,21,NULL,NULL,NULL,NULL),(28,234,1,19,22,NULL,NULL,NULL,NULL),(28,234,1,19,23,NULL,NULL,NULL,NULL),(28,234,1,19,24,NULL,NULL,NULL,NULL),(28,234,1,19,25,NULL,NULL,NULL,NULL),(28,234,1,19,26,NULL,NULL,NULL,NULL),(28,234,1,19,27,NULL,NULL,NULL,NULL),(28,234,1,19,28,NULL,NULL,NULL,NULL),(28,234,1,19,29,NULL,NULL,NULL,NULL),(28,234,1,19,30,NULL,NULL,NULL,NULL),(28,234,1,19,31,NULL,NULL,NULL,NULL),(28,234,1,19,32,NULL,NULL,NULL,NULL),(28,234,1,19,33,NULL,NULL,NULL,NULL),(28,234,1,19,34,NULL,NULL,NULL,NULL),(28,234,1,19,35,NULL,NULL,NULL,NULL),(28,234,1,19,36,NULL,NULL,NULL,NULL),(28,234,1,19,37,NULL,NULL,NULL,NULL),(28,234,1,19,38,NULL,NULL,NULL,NULL),(28,234,1,19,39,NULL,NULL,NULL,NULL),(28,234,1,19,40,NULL,NULL,NULL,NULL),(28,234,2,21,1,NULL,9,NULL,7),(28,234,2,21,2,NULL,1,NULL,NULL),(28,234,2,21,3,11,7,8,7),(28,234,2,21,4,NULL,5,NULL,4),(28,234,2,21,5,NULL,5,NULL,5),(28,234,2,21,6,4,16,2,12),(28,234,2,21,7,NULL,6,NULL,4),(28,234,2,21,8,2,3,1,3),(28,234,2,21,9,3,4,3,4),(28,234,2,21,10,5,9,4,9),(28,234,2,21,11,1,6,1,5),(28,234,2,21,12,3,9,1,6),(28,234,2,21,13,1,14,NULL,11),(28,234,2,21,14,5,5,4,4),(28,234,2,21,15,1,8,1,5),(28,234,2,21,16,3,14,3,11),(28,234,2,21,17,1,4,NULL,4),(28,234,2,21,18,11,9,6,9),(28,234,2,21,19,4,8,2,8),(28,234,2,21,20,7,7,5,5),(28,234,2,21,21,NULL,NULL,NULL,NULL),(28,234,2,21,22,2,NULL,2,NULL),(28,234,2,21,23,NULL,1,NULL,NULL),(28,234,2,21,24,NULL,2,NULL,2),(28,234,2,21,25,2,3,NULL,3),(28,234,2,21,26,2,2,1,1),(28,234,2,21,27,2,8,1,7),(28,234,2,21,28,NULL,2,NULL,2),(28,234,2,21,29,NULL,6,NULL,3),(28,234,2,21,30,NULL,1,NULL,NULL),(28,234,2,21,31,NULL,8,NULL,6),(28,234,2,21,32,NULL,NULL,NULL,NULL),(28,234,2,21,33,1,3,1,2),(28,234,2,21,34,NULL,6,NULL,5),(28,234,2,21,35,4,NULL,4,NULL),(28,234,2,21,36,NULL,NULL,NULL,NULL),(28,234,2,21,37,NULL,5,NULL,3),(28,234,2,21,38,1,1,1,1),(28,234,2,21,39,NULL,1,NULL,1),(28,234,2,21,40,NULL,6,NULL,5),(28,234,2,22,1,NULL,10,NULL,7),(28,234,2,22,2,NULL,1,NULL,1),(28,234,2,22,3,3,4,2,3),(28,234,2,22,4,NULL,1,NULL,1),(28,234,2,22,5,2,4,1,2),(28,234,2,22,6,5,5,2,3),(28,234,2,22,7,NULL,5,NULL,2),(28,234,2,22,8,1,3,1,2),(28,234,2,22,9,1,6,NULL,5),(28,234,2,22,10,3,4,2,4),(28,234,2,22,11,NULL,4,NULL,3),(28,234,2,22,12,2,2,1,1),(28,234,2,22,13,1,5,1,3),(28,234,2,22,14,2,4,NULL,4),(28,234,2,22,15,1,3,1,2),(28,234,2,22,16,1,3,1,2),(28,234,2,22,17,NULL,NULL,NULL,NULL),(28,234,2,22,18,4,7,1,6),(28,234,2,22,19,1,3,1,3),(28,234,2,22,20,3,4,1,3),(28,234,2,22,21,1,2,1,NULL),(28,234,2,22,22,1,3,NULL,2),(28,234,2,22,23,NULL,2,NULL,2),(28,234,2,22,24,2,3,2,1),(28,234,2,22,25,NULL,2,NULL,1),(28,234,2,22,26,NULL,3,NULL,2),(28,234,2,22,27,1,5,1,4),(28,234,2,22,28,NULL,2,NULL,1),(28,234,2,22,29,NULL,2,NULL,2),(28,234,2,22,30,NULL,2,NULL,2),(28,234,2,22,31,NULL,1,NULL,1),(28,234,2,22,32,NULL,1,NULL,1),(28,234,2,22,33,NULL,NULL,NULL,NULL),(28,234,2,22,34,1,1,NULL,1),(28,234,2,22,35,1,NULL,NULL,NULL),(28,234,2,22,36,1,1,1,NULL),(28,234,2,22,37,NULL,2,NULL,1),(28,234,2,22,38,NULL,NULL,NULL,NULL),(28,234,2,22,39,1,1,1,1),(28,234,2,22,40,NULL,5,NULL,2),(28,234,2,23,1,1,8,NULL,5),(28,234,2,23,2,NULL,4,NULL,3),(28,234,2,23,3,9,5,6,2),(28,234,2,23,4,NULL,2,NULL,2),(28,234,2,23,5,NULL,6,NULL,4),(28,234,2,23,6,1,13,1,8),(28,234,2,23,7,NULL,6,NULL,3),(28,234,2,23,8,NULL,3,NULL,2),(28,234,2,23,9,1,3,1,2),(28,234,2,23,10,5,6,3,6),(28,234,2,23,11,1,4,1,3),(28,234,2,23,12,1,6,1,5),(28,234,2,23,13,1,13,1,9),(28,234,2,23,14,3,10,2,7),(28,234,2,23,15,2,9,2,6),(28,234,2,23,16,3,7,3,5),(28,234,2,23,17,NULL,3,NULL,2),(28,234,2,23,18,6,10,4,7),(28,234,2,23,19,3,7,1,6),(28,234,2,23,20,4,2,4,1),(28,234,2,23,21,1,1,NULL,1),(28,234,2,23,22,2,NULL,2,NULL),(28,234,2,23,23,1,1,NULL,NULL),(28,234,2,23,24,2,3,NULL,2),(28,234,2,23,25,1,2,1,1),(28,234,2,23,26,1,3,1,1),(28,234,2,23,27,2,5,1,4),(28,234,2,23,28,NULL,1,NULL,1),(28,234,2,23,29,NULL,4,NULL,2),(28,234,2,23,30,NULL,4,NULL,2),(28,234,2,23,31,NULL,4,NULL,3),(28,234,2,23,32,NULL,NULL,NULL,NULL),(28,234,2,23,33,NULL,3,NULL,3),(28,234,2,23,34,1,5,1,3),(28,234,2,23,35,2,NULL,1,NULL),(28,234,2,23,36,1,2,1,2),(28,234,2,23,37,1,2,1,NULL),(28,234,2,23,38,NULL,1,NULL,NULL),(28,234,2,23,39,NULL,3,NULL,2),(28,234,2,23,40,NULL,8,NULL,5),(28,234,2,24,1,1,10,1,8),(28,234,2,24,2,NULL,3,NULL,2),(28,234,2,24,3,6,9,6,8),(28,234,2,24,4,NULL,2,NULL,2),(28,234,2,24,5,NULL,10,NULL,8),(28,234,2,24,6,4,6,3,5),(28,234,2,24,7,NULL,3,NULL,2),(28,234,2,24,8,1,5,1,4),(28,234,2,24,9,1,7,NULL,4),(28,234,2,24,10,5,6,5,4),(28,234,2,24,11,2,5,1,5),(28,234,2,24,12,2,7,2,6),(28,234,2,24,13,3,11,3,8),(28,234,2,24,14,2,8,2,7),(28,234,2,24,15,3,5,2,4),(28,234,2,24,16,2,8,2,7),(28,234,2,24,17,3,3,3,2),(28,234,2,24,18,12,11,10,9),(28,234,2,24,19,1,7,1,5),(28,234,2,24,20,7,5,7,5),(28,234,2,24,21,1,6,1,4),(28,234,2,24,22,2,3,2,2),(28,234,2,24,23,1,2,1,NULL),(28,234,2,24,24,NULL,5,NULL,5),(28,234,2,24,25,NULL,2,NULL,2),(28,234,2,24,26,NULL,6,NULL,3),(28,234,2,24,27,1,8,1,7),(28,234,2,24,28,1,1,1,1),(28,234,2,24,29,NULL,7,NULL,6),(28,234,2,24,30,NULL,7,NULL,5),(28,234,2,24,31,NULL,8,NULL,7),(28,234,2,24,32,1,1,1,1),(28,234,2,24,33,NULL,2,NULL,2),(28,234,2,24,34,NULL,6,NULL,5),(28,234,2,24,35,4,NULL,2,NULL),(28,234,2,24,36,NULL,NULL,NULL,NULL),(28,234,2,24,37,NULL,3,NULL,2),(28,234,2,24,38,NULL,2,NULL,2),(28,234,2,24,39,NULL,2,NULL,2),(28,234,2,24,40,NULL,9,NULL,9),(28,235,1,11,1,NULL,NULL,NULL,NULL),(28,235,1,11,2,NULL,1,NULL,NULL),(28,235,1,11,3,NULL,1,NULL,NULL),(28,235,1,11,4,NULL,1,NULL,NULL),(28,235,1,11,5,NULL,1,NULL,NULL),(28,235,1,11,6,NULL,NULL,NULL,NULL),(28,235,1,11,7,NULL,NULL,NULL,NULL),(28,235,1,11,8,NULL,NULL,NULL,NULL),(28,235,1,11,9,NULL,1,NULL,NULL),(28,235,1,11,10,1,NULL,NULL,NULL),(28,235,1,11,11,NULL,NULL,NULL,NULL),(28,235,1,11,12,NULL,1,NULL,NULL),(28,235,1,11,13,NULL,1,NULL,NULL),(28,235,1,11,14,1,NULL,NULL,NULL),(28,235,1,11,15,NULL,1,NULL,NULL),(28,235,1,11,16,1,NULL,NULL,NULL),(28,235,1,11,17,1,NULL,NULL,NULL),(28,235,1,11,18,NULL,1,NULL,NULL),(28,235,1,11,19,1,NULL,NULL,NULL),(28,235,1,11,20,1,NULL,NULL,NULL),(28,235,1,11,21,NULL,NULL,NULL,NULL),(28,235,1,11,22,NULL,NULL,NULL,NULL),(28,235,1,11,23,NULL,NULL,NULL,NULL),(28,235,1,11,24,NULL,NULL,NULL,NULL),(28,235,1,11,25,NULL,NULL,NULL,NULL),(28,235,1,11,26,NULL,NULL,NULL,NULL),(28,235,1,11,27,NULL,NULL,NULL,NULL),(28,235,1,11,28,NULL,NULL,NULL,NULL),(28,235,1,11,29,NULL,NULL,NULL,NULL),(28,235,1,11,30,NULL,1,NULL,NULL),(28,235,1,11,31,NULL,NULL,NULL,NULL),(28,235,1,11,32,NULL,NULL,NULL,NULL),(28,235,1,11,33,NULL,1,NULL,NULL),(28,235,1,11,34,NULL,NULL,NULL,NULL),(28,235,1,11,35,NULL,NULL,NULL,NULL),(28,235,1,11,36,NULL,NULL,NULL,NULL),(28,235,1,11,37,NULL,NULL,NULL,NULL),(28,235,1,11,38,NULL,NULL,NULL,NULL),(28,235,1,11,39,NULL,1,NULL,NULL),(28,235,1,11,40,1,NULL,NULL,NULL),(28,235,1,12,1,NULL,NULL,NULL,NULL),(28,235,1,12,2,NULL,NULL,NULL,NULL),(28,235,1,12,3,NULL,NULL,NULL,NULL),(28,235,1,12,4,NULL,NULL,NULL,NULL),(28,235,1,12,5,NULL,NULL,NULL,NULL),(28,235,1,12,6,NULL,NULL,NULL,NULL),(28,235,1,12,7,NULL,NULL,NULL,NULL),(28,235,1,12,8,NULL,NULL,NULL,NULL),(28,235,1,12,9,NULL,NULL,NULL,NULL),(28,235,1,12,10,NULL,NULL,NULL,NULL),(28,235,1,12,11,NULL,NULL,NULL,NULL),(28,235,1,12,12,NULL,NULL,NULL,NULL),(28,235,1,12,13,NULL,NULL,NULL,NULL),(28,235,1,12,14,NULL,NULL,NULL,NULL),(28,235,1,12,15,NULL,NULL,NULL,NULL),(28,235,1,12,16,NULL,NULL,NULL,NULL),(28,235,1,12,17,NULL,NULL,NULL,NULL),(28,235,1,12,18,NULL,NULL,NULL,NULL),(28,235,1,12,19,NULL,NULL,NULL,NULL),(28,235,1,12,20,NULL,NULL,NULL,NULL),(28,235,1,12,21,NULL,NULL,NULL,NULL),(28,235,1,12,22,NULL,NULL,NULL,NULL),(28,235,1,12,23,NULL,NULL,NULL,NULL),(28,235,1,12,24,NULL,NULL,NULL,NULL),(28,235,1,12,25,NULL,NULL,NULL,NULL),(28,235,1,12,26,NULL,NULL,NULL,NULL),(28,235,1,12,27,NULL,NULL,NULL,NULL),(28,235,1,12,28,NULL,NULL,NULL,NULL),(28,235,1,12,29,NULL,NULL,NULL,NULL),(28,235,1,12,30,NULL,NULL,NULL,NULL),(28,235,1,12,31,NULL,NULL,NULL,NULL),(28,235,1,12,32,NULL,NULL,NULL,NULL),(28,235,1,12,33,NULL,NULL,NULL,NULL),(28,235,1,12,34,NULL,NULL,NULL,NULL),(28,235,1,12,35,NULL,NULL,NULL,NULL),(28,235,1,12,36,NULL,NULL,NULL,NULL),(28,235,1,12,37,NULL,NULL,NULL,NULL),(28,235,1,12,38,NULL,NULL,NULL,NULL),(28,235,1,12,39,NULL,NULL,NULL,NULL),(28,235,1,12,40,NULL,NULL,NULL,NULL),(28,235,1,13,1,NULL,NULL,NULL,NULL),(28,235,1,13,2,NULL,NULL,NULL,NULL),(28,235,1,13,3,NULL,NULL,NULL,NULL),(28,235,1,13,4,NULL,NULL,NULL,NULL),(28,235,1,13,5,NULL,NULL,NULL,NULL),(28,235,1,13,6,NULL,NULL,NULL,NULL),(28,235,1,13,7,NULL,NULL,NULL,NULL),(28,235,1,13,8,NULL,NULL,NULL,NULL),(28,235,1,13,9,NULL,NULL,NULL,NULL),(28,235,1,13,10,NULL,NULL,NULL,NULL),(28,235,1,13,11,NULL,NULL,NULL,NULL),(28,235,1,13,12,NULL,NULL,NULL,NULL),(28,235,1,13,13,NULL,NULL,NULL,NULL),(28,235,1,13,14,NULL,NULL,NULL,NULL),(28,235,1,13,15,NULL,NULL,NULL,NULL),(28,235,1,13,16,NULL,NULL,NULL,NULL),(28,235,1,13,17,NULL,NULL,NULL,NULL),(28,235,1,13,18,NULL,NULL,NULL,NULL),(28,235,1,13,19,NULL,NULL,NULL,NULL),(28,235,1,13,20,NULL,NULL,NULL,NULL),(28,235,1,13,21,NULL,NULL,NULL,NULL),(28,235,1,13,22,NULL,NULL,NULL,NULL),(28,235,1,13,23,NULL,NULL,NULL,NULL),(28,235,1,13,24,NULL,NULL,NULL,NULL),(28,235,1,13,25,NULL,NULL,NULL,NULL),(28,235,1,13,26,NULL,NULL,NULL,NULL),(28,235,1,13,27,NULL,NULL,NULL,NULL),(28,235,1,13,28,NULL,NULL,NULL,NULL),(28,235,1,13,29,NULL,NULL,NULL,NULL),(28,235,1,13,30,NULL,NULL,NULL,NULL),(28,235,1,13,31,NULL,NULL,NULL,NULL),(28,235,1,13,32,NULL,NULL,NULL,NULL),(28,235,1,13,33,NULL,NULL,NULL,NULL),(28,235,1,13,34,NULL,NULL,NULL,NULL),(28,235,1,13,35,NULL,NULL,NULL,NULL),(28,235,1,13,36,NULL,NULL,NULL,NULL),(28,235,1,13,37,NULL,NULL,NULL,NULL),(28,235,1,13,38,NULL,NULL,NULL,NULL),(28,235,1,13,39,NULL,NULL,NULL,NULL),(28,235,1,13,40,NULL,NULL,NULL,NULL),(28,235,1,14,1,24,NULL,13,NULL),(28,235,1,14,2,NULL,14,1,10),(28,235,1,14,3,10,16,11,7),(28,235,1,14,4,5,8,3,3),(28,235,1,14,5,9,17,7,8),(28,235,1,14,6,3,24,3,11),(28,235,1,14,7,9,13,3,7),(28,235,1,14,8,2,20,4,16),(28,235,1,14,9,8,9,8,5),(28,235,1,14,10,27,5,19,3),(28,235,1,14,11,2,13,6,7),(28,235,1,14,12,7,15,3,11),(28,235,1,14,13,30,12,15,7),(28,235,1,14,14,15,22,9,14),(28,235,1,14,15,30,NULL,16,NULL),(28,235,1,14,16,24,14,17,5),(28,235,1,14,17,10,28,6,14),(28,235,1,14,18,15,9,10,4),(28,235,1,14,19,33,12,16,8),(28,235,1,14,20,17,22,14,9),(28,235,1,14,21,NULL,5,NULL,3),(28,235,1,14,22,NULL,6,1,6),(28,235,1,14,23,5,10,3,4),(28,235,1,14,24,NULL,NULL,1,NULL),(28,235,1,14,25,1,10,NULL,4),(28,235,1,14,26,NULL,7,NULL,4),(28,235,1,14,27,12,NULL,13,NULL),(28,235,1,14,28,1,2,NULL,1),(28,235,1,14,29,4,10,2,9),(28,235,1,14,30,6,20,2,13),(28,235,1,14,31,2,8,NULL,4),(28,235,1,14,32,2,14,1,7),(28,235,1,14,33,3,14,4,8),(28,235,1,14,34,20,8,12,8),(28,235,1,14,35,5,8,3,3),(28,235,1,14,36,4,NULL,6,NULL),(28,235,1,14,37,2,7,NULL,6),(28,235,1,14,38,4,13,2,9),(28,235,1,14,39,5,21,5,10),(28,235,1,14,40,4,NULL,4,NULL),(28,235,1,15,1,20,NULL,13,NULL),(28,235,1,15,2,NULL,14,NULL,8),(28,235,1,15,3,9,15,9,9),(28,235,1,15,4,8,11,4,5),(28,235,1,15,5,8,14,7,5),(28,235,1,15,6,6,27,5,16),(28,235,1,15,7,2,12,4,6),(28,235,1,15,8,3,20,3,11),(28,235,1,15,9,10,12,3,6),(28,235,1,15,10,31,5,21,1),(28,235,1,15,11,3,9,1,5),(28,235,1,15,12,6,13,6,8),(28,235,1,15,13,32,12,19,4),(28,235,1,15,14,15,14,9,7),(28,235,1,15,15,26,NULL,15,NULL),(28,235,1,15,16,26,15,16,4),(28,235,1,15,17,12,26,7,16),(28,235,1,15,18,19,9,13,7),(28,235,1,15,19,30,7,22,1),(28,235,1,15,20,20,19,14,10),(28,235,1,15,21,1,4,1,6),(28,235,1,15,22,2,11,2,6),(28,235,1,15,23,2,17,2,8),(28,235,1,15,24,NULL,NULL,NULL,NULL),(28,235,1,15,25,5,4,2,3),(28,235,1,15,26,2,11,NULL,7),(28,235,1,15,27,9,NULL,14,NULL),(28,235,1,15,28,NULL,NULL,1,1),(28,235,1,15,29,1,14,NULL,7),(28,235,1,15,30,9,12,7,13),(28,235,1,15,31,3,6,5,7),(28,235,1,15,32,7,13,2,10),(28,235,1,15,33,5,11,5,10),(28,235,1,15,34,20,8,16,5),(28,235,1,15,35,1,9,6,7),(28,235,1,15,36,1,NULL,6,NULL),(28,235,1,15,37,NULL,7,1,8),(28,235,1,15,38,8,5,7,3),(28,235,1,15,39,9,19,7,12),(28,235,1,15,40,2,NULL,2,NULL),(28,235,1,16,1,12,NULL,5,NULL),(28,235,1,16,2,1,4,NULL,1),(28,235,1,16,3,1,9,NULL,5),(28,235,1,16,4,1,5,NULL,NULL),(28,235,1,16,5,3,5,1,NULL),(28,235,1,16,6,NULL,9,NULL,3),(28,235,1,16,7,2,4,NULL,2),(28,235,1,16,8,NULL,6,NULL,2),(28,235,1,16,9,1,1,NULL,1),(28,235,1,16,10,6,6,1,4),(28,235,1,16,11,1,3,NULL,3),(28,235,1,16,12,2,2,NULL,1),(28,235,1,16,13,17,NULL,5,NULL),(28,235,1,16,14,13,6,3,2),(28,235,1,16,15,3,10,1,3),(28,235,1,16,16,13,NULL,5,NULL),(28,235,1,16,17,8,11,NULL,5),(28,235,1,16,18,4,6,1,1),(28,235,1,16,19,3,9,1,4),(28,235,1,16,20,3,5,1,NULL),(28,235,1,16,21,NULL,5,NULL,NULL),(28,235,1,16,22,NULL,4,NULL,3),(28,235,1,16,23,1,2,NULL,1),(28,235,1,16,24,NULL,NULL,NULL,NULL),(28,235,1,16,25,NULL,2,NULL,NULL),(28,235,1,16,26,NULL,2,NULL,NULL),(28,235,1,16,27,5,NULL,3,NULL),(28,235,1,16,28,NULL,1,NULL,1),(28,235,1,16,29,1,6,NULL,2),(28,235,1,16,30,NULL,1,NULL,3),(28,235,1,16,31,NULL,3,NULL,2),(28,235,1,16,32,3,3,NULL,3),(28,235,1,16,33,NULL,5,NULL,3),(28,235,1,16,34,2,4,1,NULL),(28,235,1,16,35,NULL,4,NULL,3),(28,235,1,16,36,NULL,NULL,1,NULL),(28,235,1,16,37,1,5,NULL,NULL),(28,235,1,16,38,1,1,NULL,3),(28,235,1,16,39,NULL,8,NULL,4),(28,235,1,16,40,1,NULL,NULL,NULL),(28,235,1,17,1,5,NULL,1,NULL),(28,235,1,17,2,NULL,7,NULL,1),(28,235,1,17,3,2,6,NULL,2),(28,235,1,17,4,1,5,NULL,NULL),(28,235,1,17,5,3,3,2,1),(28,235,1,17,6,NULL,10,NULL,2),(28,235,1,17,7,2,7,NULL,1),(28,235,1,17,8,NULL,4,NULL,2),(28,235,1,17,9,2,6,NULL,NULL),(28,235,1,17,10,7,2,3,NULL),(28,235,1,17,11,1,3,NULL,NULL),(28,235,1,17,12,2,4,NULL,1),(28,235,1,17,13,16,NULL,4,NULL),(28,235,1,17,14,16,3,3,NULL),(28,235,1,17,15,2,9,1,2),(28,235,1,17,16,18,NULL,3,NULL),(28,235,1,17,17,7,8,2,1),(28,235,1,17,18,3,5,1,NULL),(28,235,1,17,19,6,7,1,2),(28,235,1,17,20,2,5,1,1),(28,235,1,17,21,NULL,1,NULL,NULL),(28,235,1,17,22,NULL,4,NULL,1),(28,235,1,17,23,1,4,NULL,NULL),(28,235,1,17,24,NULL,NULL,NULL,NULL),(28,235,1,17,25,NULL,2,NULL,NULL),(28,235,1,17,26,NULL,2,NULL,2),(28,235,1,17,27,4,NULL,1,NULL),(28,235,1,17,28,1,1,NULL,NULL),(28,235,1,17,29,1,2,1,1),(28,235,1,17,30,3,5,1,NULL),(28,235,1,17,31,1,4,1,NULL),(28,235,1,17,32,1,6,NULL,1),(28,235,1,17,33,1,5,NULL,1),(28,235,1,17,34,2,2,1,1),(28,235,1,17,35,1,1,1,NULL),(28,235,1,17,36,NULL,NULL,NULL,NULL),(28,235,1,17,37,NULL,1,NULL,1),(28,235,1,17,38,1,3,1,NULL),(28,235,1,17,39,2,10,1,1),(28,235,1,17,40,1,NULL,NULL,NULL),(28,235,1,18,1,NULL,NULL,NULL,NULL),(28,235,1,18,2,NULL,NULL,NULL,NULL),(28,235,1,18,3,NULL,NULL,NULL,NULL),(28,235,1,18,4,NULL,NULL,NULL,NULL),(28,235,1,18,5,NULL,NULL,NULL,NULL),(28,235,1,18,6,NULL,NULL,NULL,NULL),(28,235,1,18,7,NULL,NULL,NULL,NULL),(28,235,1,18,8,NULL,NULL,NULL,NULL),(28,235,1,18,9,NULL,NULL,NULL,NULL),(28,235,1,18,10,NULL,NULL,NULL,NULL),(28,235,1,18,11,NULL,NULL,NULL,NULL),(28,235,1,18,12,NULL,NULL,NULL,NULL),(28,235,1,18,13,NULL,NULL,NULL,NULL),(28,235,1,18,14,NULL,NULL,NULL,NULL),(28,235,1,18,15,NULL,NULL,NULL,NULL),(28,235,1,18,16,NULL,NULL,NULL,NULL),(28,235,1,18,17,NULL,NULL,NULL,NULL),(28,235,1,18,18,NULL,NULL,NULL,NULL),(28,235,1,18,19,NULL,NULL,NULL,NULL),(28,235,1,18,20,NULL,NULL,NULL,NULL),(28,235,1,18,21,NULL,NULL,NULL,NULL),(28,235,1,18,22,NULL,NULL,NULL,NULL),(28,235,1,18,23,NULL,NULL,NULL,NULL),(28,235,1,18,24,NULL,NULL,NULL,NULL),(28,235,1,18,25,NULL,NULL,NULL,NULL),(28,235,1,18,26,NULL,NULL,NULL,NULL),(28,235,1,18,27,NULL,NULL,NULL,NULL),(28,235,1,18,28,NULL,NULL,NULL,NULL),(28,235,1,18,29,NULL,NULL,NULL,NULL),(28,235,1,18,30,NULL,NULL,NULL,NULL),(28,235,1,18,31,NULL,NULL,NULL,NULL),(28,235,1,18,32,NULL,NULL,NULL,NULL),(28,235,1,18,33,NULL,NULL,NULL,NULL),(28,235,1,18,34,NULL,NULL,NULL,NULL),(28,235,1,18,35,NULL,NULL,NULL,NULL),(28,235,1,18,36,NULL,NULL,NULL,NULL),(28,235,1,18,37,NULL,NULL,NULL,NULL),(28,235,1,18,38,NULL,NULL,NULL,NULL),(28,235,1,18,39,NULL,NULL,NULL,NULL),(28,235,1,18,40,NULL,NULL,NULL,NULL),(28,235,1,19,1,NULL,NULL,NULL,NULL),(28,235,1,19,2,NULL,NULL,NULL,NULL),(28,235,1,19,3,NULL,NULL,NULL,NULL),(28,235,1,19,4,NULL,NULL,NULL,NULL),(28,235,1,19,5,NULL,NULL,NULL,NULL),(28,235,1,19,6,NULL,NULL,NULL,NULL),(28,235,1,19,7,NULL,NULL,NULL,NULL),(28,235,1,19,8,NULL,NULL,NULL,NULL),(28,235,1,19,9,NULL,NULL,NULL,NULL),(28,235,1,19,10,NULL,NULL,NULL,NULL),(28,235,1,19,11,NULL,NULL,NULL,NULL),(28,235,1,19,12,NULL,NULL,NULL,NULL),(28,235,1,19,13,NULL,NULL,NULL,NULL),(28,235,1,19,14,NULL,NULL,NULL,NULL),(28,235,1,19,15,NULL,NULL,NULL,NULL),(28,235,1,19,16,NULL,NULL,NULL,NULL),(28,235,1,19,17,NULL,NULL,NULL,NULL),(28,235,1,19,18,NULL,NULL,NULL,NULL),(28,235,1,19,19,NULL,NULL,NULL,NULL),(28,235,1,19,20,NULL,NULL,NULL,NULL),(28,235,1,19,21,NULL,NULL,NULL,NULL),(28,235,1,19,22,NULL,NULL,NULL,NULL),(28,235,1,19,23,NULL,NULL,NULL,NULL),(28,235,1,19,24,NULL,NULL,NULL,NULL),(28,235,1,19,25,NULL,NULL,NULL,NULL),(28,235,1,19,26,NULL,NULL,NULL,NULL),(28,235,1,19,27,NULL,NULL,NULL,NULL),(28,235,1,19,28,NULL,NULL,NULL,NULL),(28,235,1,19,29,NULL,NULL,NULL,NULL),(28,235,1,19,30,NULL,NULL,NULL,NULL),(28,235,1,19,31,NULL,NULL,NULL,NULL),(28,235,1,19,32,NULL,NULL,NULL,NULL),(28,235,1,19,33,NULL,NULL,NULL,NULL),(28,235,1,19,34,NULL,NULL,NULL,NULL),(28,235,1,19,35,NULL,NULL,NULL,NULL),(28,235,1,19,36,NULL,NULL,NULL,NULL),(28,235,1,19,37,NULL,NULL,NULL,NULL),(28,235,1,19,38,NULL,NULL,NULL,NULL),(28,235,1,19,39,NULL,NULL,NULL,NULL),(28,235,1,19,40,NULL,NULL,NULL,NULL),(28,235,2,21,1,2,19,2,10),(28,235,2,21,2,NULL,10,NULL,7),(28,235,2,21,3,13,13,9,7),(28,235,2,21,4,NULL,4,NULL,1),(28,235,2,21,5,6,8,4,7),(28,235,2,21,6,9,16,3,10),(28,235,2,21,7,NULL,16,NULL,7),(28,235,2,21,8,7,9,4,1),(28,235,2,21,9,2,5,1,8),(28,235,2,21,10,10,7,2,8),(28,235,2,21,11,5,5,6,5),(28,235,2,21,12,6,15,3,5),(28,235,2,21,13,5,21,5,10),(28,235,2,21,14,14,13,7,7),(28,235,2,21,15,4,11,3,5),(28,235,2,21,16,5,13,3,8),(28,235,2,21,17,3,3,1,7),(28,235,2,21,18,15,13,4,9),(28,235,2,21,19,4,13,3,7),(28,235,2,21,20,12,12,6,6),(28,235,2,21,21,2,6,4,3),(28,235,2,21,22,8,9,7,5),(28,235,2,21,23,3,5,1,2),(28,235,2,21,24,2,7,1,5),(28,235,2,21,25,3,5,2,NULL),(28,235,2,21,26,1,10,2,3),(28,235,2,21,27,3,11,NULL,11),(28,235,2,21,28,1,12,NULL,7),(28,235,2,21,29,1,5,1,6),(28,235,2,21,30,2,6,NULL,4),(28,235,2,21,31,NULL,15,2,6),(28,235,2,21,32,NULL,2,NULL,3),(28,235,2,21,33,4,5,6,4),(28,235,2,21,34,2,12,4,7),(28,235,2,21,35,7,NULL,5,NULL),(28,235,2,21,36,NULL,6,NULL,4),(28,235,2,21,37,5,8,4,7),(28,235,2,21,38,NULL,2,1,NULL),(28,235,2,21,39,NULL,7,NULL,3),(28,235,2,21,40,1,19,2,11),(28,235,2,22,1,1,20,NULL,7),(28,235,2,22,2,1,8,1,7),(28,235,2,22,3,19,14,8,6),(28,235,2,22,4,1,6,1,3),(28,235,2,22,5,4,15,3,8),(28,235,2,22,6,14,18,6,4),(28,235,2,22,7,NULL,13,NULL,6),(28,235,2,22,8,3,15,3,5),(28,235,2,22,9,3,7,NULL,4),(28,235,2,22,10,7,10,2,4),(28,235,2,22,11,2,9,2,3),(28,235,2,22,12,6,19,2,5),(28,235,2,22,13,3,32,2,12),(28,235,2,22,14,12,19,5,7),(28,235,2,22,15,10,12,6,4),(28,235,2,22,16,7,16,3,7),(28,235,2,22,17,2,6,1,2),(28,235,2,22,18,15,13,10,2),(28,235,2,22,19,11,9,4,4),(28,235,2,22,20,12,14,6,4),(28,235,2,22,21,1,4,NULL,3),(28,235,2,22,22,7,11,7,2),(28,235,2,22,23,2,2,2,2),(28,235,2,22,24,NULL,8,1,6),(28,235,2,22,25,NULL,14,2,6),(28,235,2,22,26,1,12,NULL,3),(28,235,2,22,27,5,17,4,6),(28,235,2,22,28,1,10,1,3),(28,235,2,22,29,1,4,NULL,2),(28,235,2,22,30,2,5,1,2),(28,235,2,22,31,1,12,2,6),(28,235,2,22,32,NULL,2,1,2),(28,235,2,22,33,1,8,4,3),(28,235,2,22,34,1,9,5,4),(28,235,2,22,35,11,NULL,4,NULL),(28,235,2,22,36,1,6,NULL,3),(28,235,2,22,37,NULL,10,2,5),(28,235,2,22,38,NULL,2,NULL,2),(28,235,2,22,39,1,5,2,3),(28,235,2,22,40,1,21,1,7),(28,235,2,23,1,NULL,15,NULL,7),(28,235,2,23,2,2,12,1,7),(28,235,2,23,3,14,13,6,7),(28,235,2,23,4,1,6,NULL,4),(28,235,2,23,5,2,12,3,7),(28,235,2,23,6,13,15,7,5),(28,235,2,23,7,NULL,11,NULL,6),(28,235,2,23,8,3,12,1,4),(28,235,2,23,9,2,3,2,2),(28,235,2,23,10,7,10,4,7),(28,235,2,23,11,5,10,3,6),(28,235,2,23,12,5,13,4,5),(28,235,2,23,13,6,18,8,4),(28,235,2,23,14,9,14,6,7),(28,235,2,23,15,6,9,2,5),(28,235,2,23,16,9,12,4,7),(28,235,2,23,17,1,5,NULL,1),(28,235,2,23,18,14,8,8,5),(28,235,2,23,19,11,8,4,4),(28,235,2,23,20,14,5,9,2),(28,235,2,23,21,NULL,8,NULL,5),(28,235,2,23,22,7,10,8,4),(28,235,2,23,23,NULL,3,1,1),(28,235,2,23,24,1,9,NULL,7),(28,235,2,23,25,NULL,5,1,4),(28,235,2,23,26,2,5,NULL,3),(28,235,2,23,27,1,16,1,11),(28,235,2,23,28,NULL,11,NULL,6),(28,235,2,23,29,NULL,5,NULL,4),(28,235,2,23,30,NULL,8,NULL,4),(28,235,2,23,31,1,17,2,6),(28,235,2,23,32,NULL,5,NULL,4),(28,235,2,23,33,6,6,8,3),(28,235,2,23,34,4,10,2,6),(28,235,2,23,35,7,NULL,3,NULL),(28,235,2,23,36,NULL,5,1,3),(28,235,2,23,37,6,5,3,3),(28,235,2,23,38,NULL,5,1,2),(28,235,2,23,39,1,5,1,1),(28,235,2,23,40,3,20,2,8),(28,235,2,24,1,1,12,1,5),(28,235,2,24,2,2,11,1,6),(28,235,2,24,3,13,10,7,6),(28,235,2,24,4,NULL,3,NULL,3),(28,235,2,24,5,1,6,2,5),(28,235,2,24,6,9,11,6,5),(28,235,2,24,7,NULL,9,NULL,3),(28,235,2,24,8,3,3,3,3),(28,235,2,24,9,1,2,NULL,2),(28,235,2,24,10,9,5,5,4),(28,235,2,24,11,7,3,8,4),(28,235,2,24,12,8,6,2,5),(28,235,2,24,13,2,17,3,8),(28,235,2,24,14,6,15,5,7),(28,235,2,24,15,4,9,1,4),(28,235,2,24,16,5,16,3,7),(28,235,2,24,17,2,8,NULL,4),(28,235,2,24,18,10,11,4,8),(28,235,2,24,19,8,6,7,3),(28,235,2,24,20,8,9,4,5),(28,235,2,24,21,2,3,2,2),(28,235,2,24,22,5,4,7,4),(28,235,2,24,23,2,3,4,3),(28,235,2,24,24,3,4,1,4),(28,235,2,24,25,1,8,1,5),(28,235,2,24,26,NULL,4,NULL,1),(28,235,2,24,27,1,14,1,10),(28,235,2,24,28,1,5,NULL,4),(28,235,2,24,29,NULL,3,NULL,6),(28,235,2,24,30,NULL,2,1,2),(28,235,2,24,31,2,10,1,9),(28,235,2,24,32,NULL,4,NULL,7),(28,235,2,24,33,5,4,3,6),(28,235,2,24,34,3,5,4,5),(28,235,2,24,35,6,NULL,5,NULL),(28,235,2,24,36,NULL,1,NULL,5),(28,235,2,24,37,1,2,2,4),(28,235,2,24,38,NULL,2,NULL,1),(28,235,2,24,39,NULL,6,NULL,5),(28,235,2,24,40,2,11,1,7),(28,238,1,11,1,NULL,NULL,NULL,NULL),(28,238,1,11,2,NULL,NULL,NULL,NULL),(28,238,1,11,3,NULL,NULL,NULL,NULL),(28,238,1,11,4,NULL,NULL,NULL,NULL),(28,238,1,11,5,NULL,NULL,NULL,NULL),(28,238,1,11,6,NULL,NULL,NULL,NULL),(28,238,1,11,7,NULL,NULL,NULL,NULL),(28,238,1,11,8,NULL,NULL,NULL,NULL),(28,238,1,11,9,NULL,NULL,NULL,NULL),(28,238,1,11,10,NULL,NULL,NULL,NULL),(28,238,1,11,11,NULL,NULL,NULL,NULL),(28,238,1,11,12,NULL,NULL,NULL,NULL),(28,238,1,11,13,NULL,NULL,NULL,NULL),(28,238,1,11,14,NULL,NULL,NULL,NULL),(28,238,1,11,15,NULL,NULL,NULL,NULL),(28,238,1,11,16,NULL,NULL,NULL,NULL),(28,238,1,11,17,NULL,NULL,NULL,NULL),(28,238,1,11,18,NULL,NULL,NULL,NULL),(28,238,1,11,19,NULL,NULL,NULL,NULL),(28,238,1,11,20,NULL,NULL,NULL,NULL),(28,238,1,11,21,NULL,NULL,NULL,NULL),(28,238,1,11,22,NULL,NULL,NULL,NULL),(28,238,1,11,23,NULL,NULL,NULL,NULL),(28,238,1,11,24,NULL,NULL,NULL,NULL),(28,238,1,11,25,NULL,NULL,NULL,NULL),(28,238,1,11,26,NULL,NULL,NULL,NULL),(28,238,1,11,27,NULL,NULL,NULL,NULL),(28,238,1,11,28,NULL,NULL,NULL,NULL),(28,238,1,11,29,NULL,NULL,NULL,NULL),(28,238,1,11,30,NULL,NULL,NULL,NULL),(28,238,1,11,31,NULL,NULL,NULL,NULL),(28,238,1,11,32,NULL,NULL,NULL,NULL),(28,238,1,11,33,NULL,NULL,NULL,NULL),(28,238,1,11,34,NULL,NULL,NULL,NULL),(28,238,1,11,35,NULL,NULL,NULL,NULL),(28,238,1,11,36,NULL,NULL,NULL,NULL),(28,238,1,11,37,NULL,NULL,NULL,NULL),(28,238,1,11,38,NULL,NULL,NULL,NULL),(28,238,1,11,39,NULL,NULL,NULL,NULL),(28,238,1,11,40,NULL,NULL,NULL,NULL),(28,238,1,12,1,NULL,NULL,NULL,NULL),(28,238,1,12,2,NULL,NULL,NULL,NULL),(28,238,1,12,3,NULL,NULL,NULL,NULL),(28,238,1,12,4,NULL,NULL,NULL,NULL),(28,238,1,12,5,NULL,NULL,NULL,NULL),(28,238,1,12,6,NULL,NULL,NULL,NULL),(28,238,1,12,7,NULL,NULL,NULL,NULL),(28,238,1,12,8,NULL,NULL,NULL,NULL),(28,238,1,12,9,NULL,NULL,NULL,NULL),(28,238,1,12,10,NULL,NULL,NULL,NULL),(28,238,1,12,11,NULL,NULL,NULL,NULL),(28,238,1,12,12,NULL,NULL,NULL,NULL),(28,238,1,12,13,NULL,NULL,NULL,NULL),(28,238,1,12,14,NULL,NULL,NULL,NULL),(28,238,1,12,15,NULL,NULL,NULL,NULL),(28,238,1,12,16,NULL,NULL,NULL,NULL),(28,238,1,12,17,NULL,NULL,NULL,NULL),(28,238,1,12,18,NULL,NULL,NULL,NULL),(28,238,1,12,19,NULL,NULL,NULL,NULL),(28,238,1,12,20,NULL,NULL,NULL,NULL),(28,238,1,12,21,NULL,NULL,NULL,NULL),(28,238,1,12,22,NULL,NULL,NULL,NULL),(28,238,1,12,23,NULL,NULL,NULL,NULL),(28,238,1,12,24,NULL,NULL,NULL,NULL),(28,238,1,12,25,NULL,NULL,NULL,NULL),(28,238,1,12,26,NULL,NULL,NULL,NULL),(28,238,1,12,27,NULL,NULL,NULL,NULL),(28,238,1,12,28,NULL,NULL,NULL,NULL),(28,238,1,12,29,NULL,NULL,NULL,NULL),(28,238,1,12,30,NULL,NULL,NULL,NULL),(28,238,1,12,31,NULL,NULL,NULL,NULL),(28,238,1,12,32,NULL,NULL,NULL,NULL),(28,238,1,12,33,NULL,NULL,NULL,NULL),(28,238,1,12,34,NULL,NULL,NULL,NULL),(28,238,1,12,35,NULL,NULL,NULL,NULL),(28,238,1,12,36,NULL,NULL,NULL,NULL),(28,238,1,12,37,NULL,NULL,NULL,NULL),(28,238,1,12,38,NULL,NULL,NULL,NULL),(28,238,1,12,39,NULL,NULL,NULL,NULL),(28,238,1,12,40,NULL,NULL,NULL,NULL),(28,238,1,13,1,NULL,NULL,NULL,NULL),(28,238,1,13,2,NULL,NULL,NULL,NULL),(28,238,1,13,3,1,NULL,NULL,NULL),(28,238,1,13,4,1,1,NULL,NULL),(28,238,1,13,5,NULL,NULL,NULL,NULL),(28,238,1,13,6,NULL,NULL,NULL,NULL),(28,238,1,13,7,NULL,NULL,NULL,NULL),(28,238,1,13,8,NULL,NULL,NULL,NULL),(28,238,1,13,9,NULL,NULL,NULL,NULL),(28,238,1,13,10,NULL,NULL,NULL,NULL),(28,238,1,13,11,NULL,NULL,NULL,NULL),(28,238,1,13,12,1,1,NULL,NULL),(28,238,1,13,13,1,NULL,NULL,NULL),(28,238,1,13,14,2,NULL,NULL,NULL),(28,238,1,13,15,1,NULL,NULL,NULL),(28,238,1,13,16,2,NULL,NULL,NULL),(28,238,1,13,17,NULL,2,NULL,NULL),(28,238,1,13,18,1,NULL,NULL,NULL),(28,238,1,13,19,1,NULL,NULL,NULL),(28,238,1,13,20,1,NULL,NULL,NULL),(28,238,1,13,21,NULL,NULL,NULL,NULL),(28,238,1,13,22,NULL,1,NULL,NULL),(28,238,1,13,23,1,NULL,NULL,NULL),(28,238,1,13,24,NULL,NULL,NULL,NULL),(28,238,1,13,25,NULL,NULL,NULL,NULL),(28,238,1,13,26,NULL,NULL,NULL,NULL),(28,238,1,13,27,NULL,NULL,NULL,NULL),(28,238,1,13,28,NULL,NULL,NULL,NULL),(28,238,1,13,29,NULL,NULL,NULL,NULL),(28,238,1,13,30,NULL,1,NULL,NULL),(28,238,1,13,31,NULL,1,NULL,NULL),(28,238,1,13,32,1,NULL,NULL,NULL),(28,238,1,13,33,NULL,1,NULL,NULL),(28,238,1,13,34,1,NULL,NULL,NULL),(28,238,1,13,35,NULL,NULL,NULL,NULL),(28,238,1,13,36,NULL,NULL,NULL,NULL),(28,238,1,13,37,NULL,NULL,NULL,NULL),(28,238,1,13,38,NULL,NULL,NULL,NULL),(28,238,1,13,39,NULL,NULL,NULL,NULL),(28,238,1,13,40,NULL,NULL,NULL,NULL),(28,238,1,14,1,59,NULL,24,NULL),(28,238,1,14,2,NULL,40,NULL,11),(28,238,1,14,3,18,44,11,14),(28,238,1,14,4,15,40,6,10),(28,238,1,14,5,31,44,10,13),(28,238,1,14,6,8,52,5,18),(28,238,1,14,7,8,41,2,11),(28,238,1,14,8,8,48,4,18),(28,238,1,14,9,17,41,8,11),(28,238,1,14,10,51,31,23,7),(28,238,1,14,11,13,25,5,14),(28,238,1,14,12,14,33,5,11),(28,238,1,14,13,72,48,24,10),(28,238,1,14,14,40,37,14,11),(28,238,1,14,15,80,NULL,24,NULL),(28,238,1,14,16,60,42,18,8),(28,238,1,14,17,29,61,13,15),(28,238,1,14,18,37,38,9,12),(28,238,1,14,19,66,40,19,11),(28,238,1,14,20,42,80,19,13),(28,238,1,14,21,2,14,2,1),(28,238,1,14,22,2,26,NULL,7),(28,238,1,14,23,4,23,1,14),(28,238,1,14,24,3,NULL,NULL,NULL),(28,238,1,14,25,6,10,2,NULL),(28,238,1,14,26,2,16,2,5),(28,238,1,14,27,29,NULL,13,NULL),(28,238,1,14,28,NULL,9,NULL,2),(28,238,1,14,29,2,29,1,12),(28,238,1,14,30,11,45,2,20),(28,238,1,14,31,5,11,2,5),(28,238,1,14,32,14,32,6,12),(28,238,1,14,33,13,21,2,10),(28,238,1,14,34,28,29,14,7),(28,238,1,14,35,6,18,2,7),(28,238,1,14,36,1,NULL,3,NULL),(28,238,1,14,37,4,16,1,4),(28,238,1,14,38,3,16,4,8),(28,238,1,14,39,15,54,6,17),(28,238,1,14,40,14,NULL,7,NULL),(28,238,1,15,1,51,NULL,16,NULL),(28,238,1,15,2,3,33,1,16),(28,238,1,15,3,21,49,12,19),(28,238,1,15,4,8,30,2,10),(28,238,1,15,5,16,41,9,12),(28,238,1,15,6,4,74,3,23),(28,238,1,15,7,19,33,10,11),(28,238,1,15,8,3,48,2,20),(28,238,1,15,9,12,28,5,11),(28,238,1,15,10,52,27,21,9),(28,238,1,15,11,14,28,9,8),(28,238,1,15,12,10,28,3,17),(28,238,1,15,13,59,51,22,12),(28,238,1,15,14,41,32,15,11),(28,238,1,15,15,68,NULL,26,NULL),(28,238,1,15,16,42,42,15,11),(28,238,1,15,17,12,77,11,17),(28,238,1,15,18,21,27,12,10),(28,238,1,15,19,63,38,23,7),(28,238,1,15,20,33,86,15,21),(28,238,1,15,21,2,11,1,3),(28,238,1,15,22,NULL,21,NULL,6),(28,238,1,15,23,3,32,1,13),(28,238,1,15,24,3,NULL,1,NULL),(28,238,1,15,25,3,11,NULL,5),(28,238,1,15,26,NULL,13,1,3),(28,238,1,15,27,28,NULL,12,NULL),(28,238,1,15,28,NULL,8,NULL,1),(28,238,1,15,29,9,28,1,8),(28,238,1,15,30,14,44,6,14),(28,238,1,15,31,6,24,3,12),(28,238,1,15,32,13,38,2,17),(28,238,1,15,33,7,21,6,11),(28,238,1,15,34,24,29,11,9),(28,238,1,15,35,1,15,NULL,7),(28,238,1,15,36,9,NULL,5,NULL),(28,238,1,15,37,3,14,1,7),(28,238,1,15,38,3,28,1,15),(28,238,1,15,39,22,47,12,17),(28,238,1,15,40,11,NULL,5,NULL),(28,238,1,16,1,15,NULL,6,NULL),(28,238,1,16,2,NULL,11,NULL,3),(28,238,1,16,3,10,16,3,4),(28,238,1,16,4,6,19,2,5),(28,238,1,16,5,13,18,1,4),(28,238,1,16,6,2,26,2,6),(28,238,1,16,7,9,19,1,3),(28,238,1,16,8,1,23,NULL,9),(28,238,1,16,9,9,17,1,5),(28,238,1,16,10,22,17,7,2),(28,238,1,16,11,6,8,3,3),(28,238,1,16,12,5,13,1,4),(28,238,1,16,13,67,NULL,14,NULL),(28,238,1,16,14,57,11,11,2),(28,238,1,16,15,10,42,4,7),(28,238,1,16,16,50,NULL,11,NULL),(28,238,1,16,17,25,36,7,7),(28,238,1,16,18,9,19,4,1),(28,238,1,16,19,7,26,3,9),(28,238,1,16,20,13,18,4,4),(28,238,1,16,21,2,8,NULL,2),(28,238,1,16,22,NULL,12,NULL,4),(28,238,1,16,23,NULL,15,NULL,6),(28,238,1,16,24,1,NULL,NULL,NULL),(28,238,1,16,25,3,6,NULL,NULL),(28,238,1,16,26,NULL,4,NULL,1),(28,238,1,16,27,3,NULL,3,NULL),(28,238,1,16,28,1,5,NULL,1),(28,238,1,16,29,5,14,1,3),(28,238,1,16,30,8,17,2,2),(28,238,1,16,31,1,10,NULL,3),(28,238,1,16,32,7,10,3,2),(28,238,1,16,33,6,9,1,3),(28,238,1,16,34,6,13,4,4),(28,238,1,16,35,1,1,NULL,NULL),(28,238,1,16,36,1,NULL,NULL,NULL),(28,238,1,16,37,1,7,1,3),(28,238,1,16,38,1,8,NULL,3),(28,238,1,16,39,4,18,1,7),(28,238,1,16,40,4,NULL,2,NULL),(28,238,1,17,1,25,NULL,7,NULL),(28,238,1,17,2,1,12,NULL,3),(28,238,1,17,3,3,24,3,7),(28,238,1,17,4,6,13,3,2),(28,238,1,17,5,6,15,2,3),(28,238,1,17,6,6,32,1,9),(28,238,1,17,7,3,16,1,1),(28,238,1,17,8,4,18,2,4),(28,238,1,17,9,7,12,3,2),(28,238,1,17,10,24,17,6,4),(28,238,1,17,11,4,17,3,5),(28,238,1,17,12,5,10,2,2),(28,238,1,17,13,63,NULL,12,NULL),(28,238,1,17,14,38,19,7,5),(28,238,1,17,15,17,30,8,2),(28,238,1,17,16,46,NULL,7,NULL),(28,238,1,17,17,21,38,3,8),(28,238,1,17,18,11,18,5,3),(28,238,1,17,19,15,24,5,3),(28,238,1,17,20,6,19,3,5),(28,238,1,17,21,1,5,NULL,NULL),(28,238,1,17,22,NULL,6,NULL,2),(28,238,1,17,23,1,11,NULL,2),(28,238,1,17,24,1,NULL,NULL,NULL),(28,238,1,17,25,3,8,NULL,NULL),(28,238,1,17,26,1,7,NULL,NULL),(28,238,1,17,27,8,NULL,NULL,NULL),(28,238,1,17,28,NULL,5,1,NULL),(28,238,1,17,29,3,12,NULL,2),(28,238,1,17,30,5,18,1,4),(28,238,1,17,31,4,4,1,NULL),(28,238,1,17,32,7,18,1,5),(28,238,1,17,33,3,12,1,5),(28,238,1,17,34,9,15,3,3),(28,238,1,17,35,NULL,11,NULL,2),(28,238,1,17,36,NULL,NULL,NULL,NULL),(28,238,1,17,37,3,9,NULL,3),(28,238,1,17,38,2,9,1,3),(28,238,1,17,39,11,17,3,6),(28,238,1,17,40,5,NULL,1,NULL),(28,238,1,18,1,NULL,NULL,NULL,NULL),(28,238,1,18,2,NULL,NULL,NULL,NULL),(28,238,1,18,3,NULL,NULL,NULL,NULL),(28,238,1,18,4,NULL,NULL,NULL,NULL),(28,238,1,18,5,NULL,NULL,NULL,NULL),(28,238,1,18,6,NULL,NULL,NULL,NULL),(28,238,1,18,7,NULL,NULL,NULL,NULL),(28,238,1,18,8,NULL,NULL,NULL,NULL),(28,238,1,18,9,NULL,NULL,NULL,NULL),(28,238,1,18,10,NULL,NULL,NULL,NULL),(28,238,1,18,11,NULL,NULL,NULL,NULL),(28,238,1,18,12,NULL,NULL,NULL,NULL),(28,238,1,18,13,NULL,NULL,NULL,NULL),(28,238,1,18,14,NULL,NULL,NULL,NULL),(28,238,1,18,15,NULL,NULL,NULL,NULL),(28,238,1,18,16,NULL,NULL,NULL,NULL),(28,238,1,18,17,NULL,NULL,NULL,NULL),(28,238,1,18,18,NULL,NULL,NULL,NULL),(28,238,1,18,19,NULL,NULL,NULL,NULL),(28,238,1,18,20,NULL,NULL,NULL,NULL),(28,238,1,18,21,NULL,NULL,NULL,NULL),(28,238,1,18,22,NULL,NULL,NULL,NULL),(28,238,1,18,23,NULL,NULL,NULL,NULL),(28,238,1,18,24,NULL,NULL,NULL,NULL),(28,238,1,18,25,NULL,NULL,NULL,NULL),(28,238,1,18,26,NULL,NULL,NULL,NULL),(28,238,1,18,27,NULL,NULL,NULL,NULL),(28,238,1,18,28,NULL,NULL,NULL,NULL),(28,238,1,18,29,NULL,NULL,NULL,NULL),(28,238,1,18,30,NULL,NULL,NULL,NULL),(28,238,1,18,31,NULL,NULL,NULL,NULL),(28,238,1,18,32,NULL,NULL,NULL,NULL),(28,238,1,18,33,NULL,NULL,NULL,NULL),(28,238,1,18,34,NULL,NULL,NULL,NULL),(28,238,1,18,35,NULL,NULL,NULL,NULL),(28,238,1,18,36,NULL,NULL,NULL,NULL),(28,238,1,18,37,NULL,NULL,NULL,NULL),(28,238,1,18,38,NULL,NULL,NULL,NULL),(28,238,1,18,39,NULL,NULL,NULL,NULL),(28,238,1,18,40,NULL,NULL,NULL,NULL),(28,238,1,19,1,NULL,NULL,NULL,NULL),(28,238,1,19,2,NULL,NULL,NULL,NULL),(28,238,1,19,3,NULL,NULL,NULL,NULL),(28,238,1,19,4,NULL,NULL,NULL,NULL),(28,238,1,19,5,NULL,NULL,NULL,NULL),(28,238,1,19,6,NULL,NULL,NULL,NULL),(28,238,1,19,7,NULL,NULL,NULL,NULL),(28,238,1,19,8,NULL,NULL,NULL,NULL),(28,238,1,19,9,NULL,NULL,NULL,NULL),(28,238,1,19,10,NULL,NULL,NULL,NULL),(28,238,1,19,11,NULL,NULL,NULL,NULL),(28,238,1,19,12,NULL,NULL,NULL,NULL),(28,238,1,19,13,NULL,NULL,NULL,NULL),(28,238,1,19,14,NULL,NULL,NULL,NULL),(28,238,1,19,15,NULL,NULL,NULL,NULL),(28,238,1,19,16,NULL,NULL,NULL,NULL),(28,238,1,19,17,NULL,NULL,NULL,NULL),(28,238,1,19,18,NULL,NULL,NULL,NULL),(28,238,1,19,19,NULL,NULL,NULL,NULL),(28,238,1,19,20,NULL,NULL,NULL,NULL),(28,238,1,19,21,NULL,NULL,NULL,NULL),(28,238,1,19,22,NULL,NULL,NULL,NULL),(28,238,1,19,23,NULL,NULL,NULL,NULL),(28,238,1,19,24,NULL,NULL,NULL,NULL),(28,238,1,19,25,NULL,NULL,NULL,NULL),(28,238,1,19,26,NULL,NULL,NULL,NULL),(28,238,1,19,27,NULL,NULL,NULL,NULL),(28,238,1,19,28,NULL,NULL,NULL,NULL),(28,238,1,19,29,NULL,NULL,NULL,NULL),(28,238,1,19,30,NULL,NULL,NULL,NULL),(28,238,1,19,31,NULL,NULL,NULL,NULL),(28,238,1,19,32,NULL,NULL,NULL,NULL),(28,238,1,19,33,NULL,NULL,NULL,NULL),(28,238,1,19,34,NULL,NULL,NULL,NULL),(28,238,1,19,35,NULL,NULL,NULL,NULL),(28,238,1,19,36,NULL,NULL,NULL,NULL),(28,238,1,19,37,NULL,NULL,NULL,NULL),(28,238,1,19,38,NULL,NULL,NULL,NULL),(28,238,1,19,39,NULL,NULL,NULL,NULL),(28,238,1,19,40,NULL,NULL,NULL,NULL),(28,238,2,21,1,NULL,42,NULL,15),(28,238,2,21,2,1,26,NULL,11),(28,238,2,21,3,37,53,11,14),(28,238,2,21,4,NULL,9,1,2),(28,238,2,21,5,11,33,5,10),(28,238,2,21,6,26,47,7,15),(28,238,2,21,7,NULL,26,NULL,7),(28,238,2,21,8,5,25,1,7),(28,238,2,21,9,7,18,4,3),(28,238,2,21,10,27,28,12,10),(28,238,2,21,11,13,27,9,7),(28,238,2,21,12,11,40,3,14),(28,238,2,21,13,11,65,5,20),(28,238,2,21,14,22,49,10,16),(28,238,2,21,15,10,32,5,11),(28,238,2,21,16,16,40,9,16),(28,238,2,21,17,2,19,NULL,3),(28,238,2,21,18,25,55,10,17),(28,238,2,21,19,16,35,4,17),(28,238,2,21,20,35,26,15,8),(28,238,2,21,21,1,10,2,1),(28,238,2,21,22,15,17,9,4),(28,238,2,21,23,1,14,2,6),(28,238,2,21,24,4,17,2,4),(28,238,2,21,25,3,17,NULL,11),(28,238,2,21,26,4,26,NULL,10),(28,238,2,21,27,3,58,NULL,22),(28,238,2,21,28,3,17,1,8),(28,238,2,21,29,NULL,17,NULL,7),(28,238,2,21,30,1,16,NULL,4),(28,238,2,21,31,NULL,26,NULL,11),(28,238,2,21,32,NULL,8,NULL,5),(28,238,2,21,33,4,15,4,8),(28,238,2,21,34,8,24,5,11),(28,238,2,21,35,18,NULL,6,NULL),(28,238,2,21,36,2,7,NULL,5),(28,238,2,21,37,3,22,3,10),(28,238,2,21,38,1,NULL,1,2),(28,238,2,21,39,4,12,1,4),(28,238,2,21,40,3,35,3,14),(28,238,2,22,1,2,48,NULL,14),(28,238,2,22,2,3,23,NULL,12),(28,238,2,22,3,34,37,13,12),(28,238,2,22,4,3,11,NULL,6),(28,238,2,22,5,11,24,5,14),(28,238,2,22,6,25,42,13,11),(28,238,2,22,7,NULL,27,NULL,11),(28,238,2,22,8,12,25,6,6),(28,238,2,22,9,6,15,3,5),(28,238,2,22,10,22,20,7,9),(28,238,2,22,11,13,20,8,8),(28,238,2,22,12,18,37,5,13),(28,238,2,22,13,7,58,3,20),(28,238,2,22,14,19,42,12,13),(28,238,2,22,15,9,30,1,12),(28,238,2,22,16,12,31,3,9),(28,238,2,22,17,4,20,2,9),(28,238,2,22,18,24,39,7,19),(28,238,2,22,19,11,40,7,12),(28,238,2,22,20,27,24,16,5),(28,238,2,22,21,3,13,1,1),(28,238,2,22,22,15,11,11,6),(28,238,2,22,23,2,12,1,7),(28,238,2,22,24,3,11,1,5),(28,238,2,22,25,5,18,2,9),(28,238,2,22,26,5,18,3,5),(28,238,2,22,27,6,38,2,18),(28,238,2,22,28,1,19,NULL,11),(28,238,2,22,29,1,14,NULL,8),(28,238,2,22,30,4,12,2,5),(28,238,2,22,31,NULL,34,NULL,13),(28,238,2,22,32,1,4,NULL,NULL),(28,238,2,22,33,8,13,5,8),(28,238,2,22,34,7,20,4,9),(28,238,2,22,35,16,NULL,6,NULL),(28,238,2,22,36,2,4,NULL,1),(28,238,2,22,37,2,11,2,5),(28,238,2,22,38,2,9,1,2),(28,238,2,22,39,1,15,1,6),(28,238,2,22,40,2,42,2,16),(28,238,2,23,1,2,44,NULL,12),(28,238,2,23,2,NULL,22,1,10),(28,238,2,23,3,30,34,12,11),(28,238,2,23,4,1,7,NULL,1),(28,238,2,23,5,8,26,3,10),(28,238,2,23,6,28,41,8,11),(28,238,2,23,7,NULL,36,NULL,11),(28,238,2,23,8,9,24,3,7),(28,238,2,23,9,8,13,3,4),(28,238,2,23,10,22,27,6,11),(28,238,2,23,11,12,19,5,5),(28,238,2,23,12,9,37,3,14),(28,238,2,23,13,9,59,5,11),(28,238,2,23,14,21,42,14,12),(28,238,2,23,15,14,26,4,11),(28,238,2,23,16,14,43,5,13),(28,238,2,23,17,4,18,1,5),(28,238,2,23,18,36,42,7,16),(28,238,2,23,19,13,29,5,13),(28,238,2,23,20,25,25,7,12),(28,238,2,23,21,NULL,11,2,4),(28,238,2,23,22,10,17,10,4),(28,238,2,23,23,6,18,2,8),(28,238,2,23,24,3,17,1,4),(28,238,2,23,25,1,17,NULL,7),(28,238,2,23,26,4,19,2,10),(28,238,2,23,27,8,34,3,15),(28,238,2,23,28,3,15,1,9),(28,238,2,23,29,1,7,1,5),(28,238,2,23,30,4,19,NULL,4),(28,238,2,23,31,1,27,NULL,10),(28,238,2,23,32,2,10,1,4),(28,238,2,23,33,6,18,3,7),(28,238,2,23,34,4,27,3,10),(28,238,2,23,35,9,NULL,1,NULL),(28,238,2,23,36,2,9,NULL,2),(28,238,2,23,37,1,15,NULL,5),(28,238,2,23,38,1,4,1,2),(28,238,2,23,39,NULL,12,NULL,6),(28,238,2,23,40,1,34,1,16),(28,238,2,24,1,2,46,1,3),(28,238,2,24,2,1,25,1,1),(28,238,2,24,3,31,29,4,10),(28,238,2,24,4,1,7,1,1),(28,238,2,24,5,9,23,2,4),(28,238,2,24,6,32,38,7,2),(28,238,2,24,7,NULL,27,NULL,3),(28,238,2,24,8,10,21,2,4),(28,238,2,24,9,6,15,2,3),(28,238,2,24,10,14,26,3,5),(28,238,2,24,11,9,13,5,3),(28,238,2,24,12,14,36,2,7),(28,238,2,24,13,7,62,3,9),(28,238,2,24,14,21,30,6,4),(28,238,2,24,15,11,28,NULL,4),(28,238,2,24,16,11,40,3,7),(28,238,2,24,17,3,14,NULL,1),(28,238,2,24,18,34,39,6,7),(28,238,2,24,19,18,31,2,7),(28,238,2,24,20,24,19,5,3),(28,238,2,24,21,1,18,NULL,2),(28,238,2,24,22,9,14,5,3),(28,238,2,24,23,5,10,NULL,3),(28,238,2,24,24,5,11,2,2),(28,238,2,24,25,2,17,NULL,5),(28,238,2,24,26,4,24,NULL,4),(28,238,2,24,27,6,38,1,8),(28,238,2,24,28,5,11,1,6),(28,238,2,24,29,1,10,1,7),(28,238,2,24,30,3,13,NULL,3),(28,238,2,24,31,NULL,23,NULL,8),(28,238,2,24,32,NULL,6,NULL,1),(28,238,2,24,33,7,13,4,4),(28,238,2,24,34,4,18,4,5),(28,238,2,24,35,17,NULL,3,NULL),(28,238,2,24,36,3,8,NULL,1),(28,238,2,24,37,2,9,2,5),(28,238,2,24,38,3,4,NULL,2),(28,238,2,24,39,1,12,NULL,4),(28,238,2,24,40,2,34,2,4),(28,301,1,11,1,NULL,NULL,NULL,NULL),(28,301,1,11,2,NULL,1,NULL,NULL),(28,301,1,11,3,NULL,1,NULL,NULL),(28,301,1,11,4,NULL,NULL,NULL,NULL),(28,301,1,11,5,NULL,NULL,NULL,NULL),(28,301,1,11,6,NULL,1,NULL,NULL),(28,301,1,11,7,NULL,NULL,NULL,NULL),(28,301,1,11,8,NULL,NULL,NULL,NULL),(28,301,1,11,9,1,NULL,NULL,NULL),(28,301,1,11,10,NULL,NULL,NULL,NULL),(28,301,1,11,11,NULL,NULL,NULL,NULL),(28,301,1,11,12,NULL,NULL,NULL,NULL),(28,301,1,11,13,NULL,NULL,NULL,NULL),(28,301,1,11,14,NULL,NULL,NULL,NULL),(28,301,1,11,15,NULL,NULL,NULL,NULL),(28,301,1,11,16,NULL,NULL,NULL,NULL),(28,301,1,11,17,NULL,1,NULL,NULL),(28,301,1,11,18,NULL,NULL,NULL,NULL),(28,301,1,11,19,NULL,NULL,NULL,NULL),(28,301,1,11,20,NULL,NULL,NULL,NULL),(28,301,1,11,21,NULL,NULL,NULL,NULL),(28,301,1,11,22,NULL,1,NULL,NULL),(28,301,1,11,23,NULL,NULL,NULL,NULL),(28,301,1,11,24,NULL,NULL,NULL,NULL),(28,301,1,11,25,NULL,NULL,NULL,NULL),(28,301,1,11,26,NULL,NULL,NULL,NULL),(28,301,1,11,27,NULL,NULL,NULL,NULL),(28,301,1,11,28,NULL,NULL,NULL,NULL),(28,301,1,11,29,NULL,NULL,NULL,NULL),(28,301,1,11,30,NULL,NULL,NULL,NULL),(28,301,1,11,31,NULL,NULL,NULL,NULL),(28,301,1,11,32,NULL,NULL,NULL,NULL),(28,301,1,11,33,NULL,NULL,NULL,NULL),(28,301,1,11,34,NULL,NULL,NULL,NULL),(28,301,1,11,35,NULL,NULL,NULL,NULL),(28,301,1,11,36,NULL,NULL,NULL,NULL),(28,301,1,11,37,NULL,1,NULL,NULL),(28,301,1,11,38,NULL,NULL,NULL,NULL),(28,301,1,11,39,NULL,NULL,NULL,NULL),(28,301,1,11,40,NULL,NULL,NULL,NULL),(28,301,1,12,1,2,NULL,1,NULL),(28,301,1,12,2,NULL,2,NULL,1),(28,301,1,12,3,1,1,NULL,1),(28,301,1,12,4,NULL,NULL,NULL,NULL),(28,301,1,12,5,2,NULL,1,NULL),(28,301,1,12,6,NULL,NULL,NULL,NULL),(28,301,1,12,7,1,NULL,1,NULL),(28,301,1,12,8,NULL,1,NULL,NULL),(28,301,1,12,9,NULL,2,NULL,1),(28,301,1,12,10,NULL,NULL,NULL,NULL),(28,301,1,12,11,NULL,NULL,NULL,NULL),(28,301,1,12,12,1,NULL,1,NULL),(28,301,1,12,13,2,NULL,1,NULL),(28,301,1,12,14,2,NULL,1,NULL),(28,301,1,12,15,1,NULL,1,NULL),(28,301,1,12,16,2,NULL,1,NULL),(28,301,1,12,17,1,NULL,1,NULL),(28,301,1,12,18,1,NULL,NULL,NULL),(28,301,1,12,19,1,1,1,NULL),(28,301,1,12,20,1,NULL,NULL,NULL),(28,301,1,12,21,NULL,NULL,NULL,NULL),(28,301,1,12,22,NULL,NULL,NULL,NULL),(28,301,1,12,23,NULL,NULL,NULL,NULL),(28,301,1,12,24,NULL,NULL,NULL,NULL),(28,301,1,12,25,NULL,NULL,NULL,NULL),(28,301,1,12,26,NULL,1,NULL,1),(28,301,1,12,27,NULL,NULL,NULL,NULL),(28,301,1,12,28,NULL,NULL,NULL,NULL),(28,301,1,12,29,NULL,1,NULL,NULL),(28,301,1,12,30,2,NULL,1,NULL),(28,301,1,12,31,1,1,1,NULL),(28,301,1,12,32,1,NULL,1,NULL),(28,301,1,12,33,NULL,NULL,NULL,NULL),(28,301,1,12,34,NULL,NULL,NULL,NULL),(28,301,1,12,35,NULL,NULL,NULL,NULL),(28,301,1,12,36,NULL,NULL,NULL,NULL),(28,301,1,12,37,NULL,NULL,NULL,NULL),(28,301,1,12,38,NULL,NULL,NULL,NULL),(28,301,1,12,39,1,1,1,NULL),(28,301,1,12,40,NULL,NULL,NULL,NULL),(28,301,1,13,1,NULL,NULL,NULL,NULL),(28,301,1,13,2,NULL,1,NULL,NULL),(28,301,1,13,3,NULL,NULL,NULL,NULL),(28,301,1,13,4,NULL,NULL,NULL,NULL),(28,301,1,13,5,NULL,1,NULL,1),(28,301,1,13,6,NULL,1,NULL,NULL),(28,301,1,13,7,1,1,NULL,1),(28,301,1,13,8,NULL,1,NULL,1),(28,301,1,13,9,NULL,NULL,NULL,NULL),(28,301,1,13,10,1,NULL,1,NULL),(28,301,1,13,11,NULL,NULL,NULL,NULL),(28,301,1,13,12,NULL,NULL,NULL,NULL),(28,301,1,13,13,2,NULL,1,NULL),(28,301,1,13,14,NULL,2,NULL,1),(28,301,1,13,15,NULL,1,NULL,1),(28,301,1,13,16,NULL,NULL,NULL,NULL),(28,301,1,13,17,1,NULL,1,NULL),(28,301,1,13,18,1,NULL,1,NULL),(28,301,1,13,19,1,NULL,1,NULL),(28,301,1,13,20,NULL,1,NULL,NULL),(28,301,1,13,21,NULL,NULL,NULL,NULL),(28,301,1,13,22,NULL,NULL,NULL,NULL),(28,301,1,13,23,NULL,1,NULL,NULL),(28,301,1,13,24,NULL,NULL,NULL,NULL),(28,301,1,13,25,NULL,NULL,NULL,NULL),(28,301,1,13,26,NULL,1,NULL,1),(28,301,1,13,27,NULL,NULL,NULL,NULL),(28,301,1,13,28,NULL,NULL,NULL,NULL),(28,301,1,13,29,1,NULL,1,NULL),(28,301,1,13,30,NULL,1,NULL,1),(28,301,1,13,31,NULL,NULL,NULL,NULL),(28,301,1,13,32,NULL,NULL,NULL,NULL),(28,301,1,13,33,NULL,1,NULL,1),(28,301,1,13,34,NULL,NULL,NULL,NULL),(28,301,1,13,35,NULL,NULL,NULL,NULL),(28,301,1,13,36,NULL,NULL,NULL,NULL),(28,301,1,13,37,NULL,NULL,NULL,NULL),(28,301,1,13,38,NULL,NULL,NULL,NULL),(28,301,1,13,39,1,NULL,1,NULL),(28,301,1,13,40,NULL,NULL,NULL,NULL),(28,301,1,14,1,39,NULL,12,NULL),(28,301,1,14,2,1,31,NULL,11),(28,301,1,14,3,24,36,10,13),(28,301,1,14,4,15,20,6,4),(28,301,1,14,5,24,32,5,10),(28,301,1,14,6,5,40,1,15),(28,301,1,14,7,9,33,NULL,13),(28,301,1,14,8,8,44,4,14),(28,301,1,14,9,11,29,6,9),(28,301,1,14,10,46,25,18,5),(28,301,1,14,11,5,23,3,11),(28,301,1,14,12,13,24,4,12),(28,301,1,14,13,58,31,22,5),(28,301,1,14,14,27,26,13,8),(28,301,1,14,15,50,NULL,17,NULL),(28,301,1,14,16,40,35,13,9),(28,301,1,14,17,22,55,8,17),(28,301,1,14,18,15,28,6,7),(28,301,1,14,19,51,34,18,8),(28,301,1,14,20,38,50,14,13),(28,301,1,14,21,1,9,NULL,2),(28,301,1,14,22,6,15,NULL,3),(28,301,1,14,23,3,16,1,8),(28,301,1,14,24,1,NULL,NULL,NULL),(28,301,1,14,25,4,10,1,3),(28,301,1,14,26,1,16,NULL,7),(28,301,1,14,27,28,NULL,12,NULL),(28,301,1,14,28,1,3,NULL,2),(28,301,1,14,29,8,23,2,8),(28,301,1,14,30,10,38,2,13),(28,301,1,14,31,4,9,2,3),(28,301,1,14,32,9,23,4,10),(28,301,1,14,33,2,22,1,7),(28,301,1,14,34,26,24,9,12),(28,301,1,14,35,6,12,4,6),(28,301,1,14,36,2,NULL,1,NULL),(28,301,1,14,37,2,9,1,3),(28,301,1,14,38,1,24,1,10),(28,301,1,14,39,14,34,4,14),(28,301,1,14,40,6,NULL,1,NULL),(28,301,1,15,1,46,NULL,22,NULL),(28,301,1,15,2,6,33,5,14),(28,301,1,15,3,26,37,17,14),(28,301,1,15,4,12,33,7,10),(28,301,1,15,5,29,23,12,4),(28,301,1,15,6,10,51,5,22),(28,301,1,15,7,10,35,6,13),(28,301,1,15,8,7,45,5,20),(28,301,1,15,9,26,30,11,12),(28,301,1,15,10,61,15,28,6),(28,301,1,15,11,11,24,6,11),(28,301,1,15,12,12,24,4,11),(28,301,1,15,13,66,33,31,9),(28,301,1,15,14,31,37,13,17),(28,301,1,15,15,65,NULL,26,NULL),(28,301,1,15,16,64,23,28,5),(28,301,1,15,17,26,62,11,24),(28,301,1,15,18,20,29,8,14),(28,301,1,15,19,64,26,31,6),(28,301,1,15,20,49,49,21,16),(28,301,1,15,21,4,11,NULL,3),(28,301,1,15,22,4,29,2,8),(28,301,1,15,23,5,30,1,15),(28,301,1,15,24,NULL,NULL,NULL,NULL),(28,301,1,15,25,NULL,9,NULL,2),(28,301,1,15,26,2,11,1,4),(28,301,1,15,27,21,NULL,11,NULL),(28,301,1,15,28,2,8,NULL,NULL),(28,301,1,15,29,5,23,1,11),(28,301,1,15,30,8,26,3,11),(28,301,1,15,31,2,14,1,3),(28,301,1,15,32,11,29,4,14),(28,301,1,15,33,6,21,5,9),(28,301,1,15,34,29,25,17,11),(28,301,1,15,35,3,9,1,3),(28,301,1,15,36,1,NULL,1,NULL),(28,301,1,15,37,2,10,NULL,6),(28,301,1,15,38,4,8,4,5),(28,301,1,15,39,22,38,3,18),(28,301,1,15,40,5,NULL,4,NULL),(28,301,1,16,1,30,NULL,10,NULL),(28,301,1,16,2,1,15,1,4),(28,301,1,16,3,21,25,7,8),(28,301,1,16,4,8,23,1,3),(28,301,1,16,5,16,17,4,7),(28,301,1,16,6,6,40,2,10),(28,301,1,16,7,7,28,3,7),(28,301,1,16,8,4,33,3,10),(28,301,1,16,9,13,19,3,6),(28,301,1,16,10,40,23,15,3),(28,301,1,16,11,7,16,5,5),(28,301,1,16,12,9,13,5,2),(28,301,1,16,13,80,NULL,20,NULL),(28,301,1,16,14,69,14,13,4),(28,301,1,16,15,15,49,5,12),(28,301,1,16,16,59,NULL,14,NULL),(28,301,1,16,17,26,50,8,10),(28,301,1,16,18,19,23,9,6),(28,301,1,16,19,10,44,3,9),(28,301,1,16,20,13,23,6,7),(28,301,1,16,21,2,7,NULL,NULL),(28,301,1,16,22,4,16,1,6),(28,301,1,16,23,6,15,2,1),(28,301,1,16,24,1,NULL,NULL,NULL),(28,301,1,16,25,2,8,NULL,2),(28,301,1,16,26,2,7,NULL,1),(28,301,1,16,27,8,NULL,2,NULL),(28,301,1,16,28,3,5,NULL,NULL),(28,301,1,16,29,4,16,NULL,7),(28,301,1,16,30,5,20,1,6),(28,301,1,16,31,2,6,NULL,1),(28,301,1,16,32,5,20,1,6),(28,301,1,16,33,4,15,2,5),(28,301,1,16,34,18,15,8,5),(28,301,1,16,35,3,5,1,2),(28,301,1,16,36,NULL,NULL,NULL,NULL),(28,301,1,16,37,6,14,2,5),(28,301,1,16,38,3,10,3,6),(28,301,1,16,39,15,24,8,7),(28,301,1,16,40,9,NULL,3,NULL),(28,301,1,17,1,25,NULL,2,NULL),(28,301,1,17,2,NULL,13,NULL,1),(28,301,1,17,3,10,26,1,7),(28,301,1,17,4,9,15,1,NULL),(28,301,1,17,5,9,11,NULL,2),(28,301,1,17,6,1,33,NULL,3),(28,301,1,17,7,3,25,NULL,2),(28,301,1,17,8,2,20,NULL,2),(28,301,1,17,9,8,30,2,4),(28,301,1,17,10,23,19,3,3),(28,301,1,17,11,6,18,2,3),(28,301,1,17,12,2,13,NULL,2),(28,301,1,17,13,72,NULL,8,NULL),(28,301,1,17,14,49,21,7,1),(28,301,1,17,15,16,37,2,6),(28,301,1,17,16,59,NULL,7,NULL),(28,301,1,17,17,30,42,5,4),(28,301,1,17,18,13,26,3,3),(28,301,1,17,19,8,42,1,2),(28,301,1,17,20,12,23,3,1),(28,301,1,17,21,3,6,NULL,1),(28,301,1,17,22,6,12,NULL,1),(28,301,1,17,23,NULL,18,NULL,4),(28,301,1,17,24,NULL,NULL,NULL,NULL),(28,301,1,17,25,4,6,1,NULL),(28,301,1,17,26,2,4,NULL,NULL),(28,301,1,17,27,17,NULL,2,NULL),(28,301,1,17,28,NULL,4,NULL,1),(28,301,1,17,29,2,11,NULL,2),(28,301,1,17,30,3,20,1,4),(28,301,1,17,31,1,6,NULL,NULL),(28,301,1,17,32,5,23,NULL,3),(28,301,1,17,33,3,16,1,4),(28,301,1,17,34,14,14,2,3),(28,301,1,17,35,1,6,NULL,2),(28,301,1,17,36,1,NULL,NULL,NULL),(28,301,1,17,37,NULL,6,NULL,NULL),(28,301,1,17,38,1,8,NULL,2),(28,301,1,17,39,11,15,1,4),(28,301,1,17,40,5,NULL,2,NULL),(28,301,1,18,1,NULL,NULL,NULL,NULL),(28,301,1,18,2,NULL,NULL,NULL,NULL),(28,301,1,18,3,NULL,NULL,NULL,NULL),(28,301,1,18,4,NULL,NULL,NULL,NULL),(28,301,1,18,5,NULL,NULL,NULL,NULL),(28,301,1,18,6,NULL,NULL,NULL,NULL),(28,301,1,18,7,NULL,NULL,NULL,NULL),(28,301,1,18,8,NULL,NULL,NULL,NULL),(28,301,1,18,9,NULL,NULL,NULL,NULL),(28,301,1,18,10,NULL,NULL,NULL,NULL),(28,301,1,18,11,NULL,NULL,NULL,NULL),(28,301,1,18,12,NULL,NULL,NULL,NULL),(28,301,1,18,13,NULL,NULL,NULL,NULL),(28,301,1,18,14,NULL,NULL,NULL,NULL),(28,301,1,18,15,NULL,NULL,NULL,NULL),(28,301,1,18,16,NULL,NULL,NULL,NULL),(28,301,1,18,17,NULL,NULL,NULL,NULL),(28,301,1,18,18,NULL,NULL,NULL,NULL),(28,301,1,18,19,NULL,NULL,NULL,NULL),(28,301,1,18,20,NULL,NULL,NULL,NULL),(28,301,1,18,21,NULL,NULL,NULL,NULL),(28,301,1,18,22,NULL,NULL,NULL,NULL),(28,301,1,18,23,NULL,NULL,NULL,NULL),(28,301,1,18,24,NULL,NULL,NULL,NULL),(28,301,1,18,25,NULL,NULL,NULL,NULL),(28,301,1,18,26,NULL,NULL,NULL,NULL),(28,301,1,18,27,NULL,NULL,NULL,NULL),(28,301,1,18,28,NULL,NULL,NULL,NULL),(28,301,1,18,29,NULL,NULL,NULL,NULL),(28,301,1,18,30,NULL,NULL,NULL,NULL),(28,301,1,18,31,NULL,NULL,NULL,NULL),(28,301,1,18,32,NULL,NULL,NULL,NULL),(28,301,1,18,33,NULL,NULL,NULL,NULL),(28,301,1,18,34,NULL,NULL,NULL,NULL),(28,301,1,18,35,NULL,NULL,NULL,NULL),(28,301,1,18,36,NULL,NULL,NULL,NULL),(28,301,1,18,37,NULL,NULL,NULL,NULL),(28,301,1,18,38,NULL,NULL,NULL,NULL),(28,301,1,18,39,NULL,NULL,NULL,NULL),(28,301,1,18,40,NULL,NULL,NULL,NULL),(28,301,1,19,1,NULL,NULL,NULL,NULL),(28,301,1,19,2,NULL,NULL,NULL,NULL),(28,301,1,19,3,NULL,NULL,NULL,NULL),(28,301,1,19,4,NULL,NULL,NULL,NULL),(28,301,1,19,5,NULL,NULL,NULL,NULL),(28,301,1,19,6,NULL,NULL,NULL,NULL),(28,301,1,19,7,NULL,NULL,NULL,NULL),(28,301,1,19,8,NULL,NULL,NULL,NULL),(28,301,1,19,9,NULL,NULL,NULL,NULL),(28,301,1,19,10,NULL,NULL,NULL,NULL),(28,301,1,19,11,NULL,NULL,NULL,NULL),(28,301,1,19,12,NULL,NULL,NULL,NULL),(28,301,1,19,13,NULL,NULL,NULL,NULL),(28,301,1,19,14,NULL,NULL,NULL,NULL),(28,301,1,19,15,NULL,NULL,NULL,NULL),(28,301,1,19,16,NULL,NULL,NULL,NULL),(28,301,1,19,17,NULL,NULL,NULL,NULL),(28,301,1,19,18,NULL,NULL,NULL,NULL),(28,301,1,19,19,NULL,NULL,NULL,NULL),(28,301,1,19,20,NULL,NULL,NULL,NULL),(28,301,1,19,21,NULL,NULL,NULL,NULL),(28,301,1,19,22,NULL,NULL,NULL,NULL),(28,301,1,19,23,NULL,NULL,NULL,NULL),(28,301,1,19,24,NULL,NULL,NULL,NULL),(28,301,1,19,25,NULL,NULL,NULL,NULL),(28,301,1,19,26,NULL,NULL,NULL,NULL),(28,301,1,19,27,NULL,NULL,NULL,NULL),(28,301,1,19,28,NULL,NULL,NULL,NULL),(28,301,1,19,29,NULL,NULL,NULL,NULL),(28,301,1,19,30,NULL,NULL,NULL,NULL),(28,301,1,19,31,NULL,NULL,NULL,NULL),(28,301,1,19,32,NULL,NULL,NULL,NULL),(28,301,1,19,33,NULL,NULL,NULL,NULL),(28,301,1,19,34,NULL,NULL,NULL,NULL),(28,301,1,19,35,NULL,NULL,NULL,NULL),(28,301,1,19,36,NULL,NULL,NULL,NULL),(28,301,1,19,37,NULL,NULL,NULL,NULL),(28,301,1,19,38,NULL,NULL,NULL,NULL),(28,301,1,19,39,NULL,NULL,NULL,NULL),(28,301,1,19,40,NULL,NULL,NULL,NULL),(28,301,2,21,1,2,28,NULL,6),(28,301,2,21,2,NULL,14,NULL,5),(28,301,2,21,3,35,35,9,11),(28,301,2,21,4,1,13,NULL,4),(28,301,2,21,5,11,23,4,8),(28,301,2,21,6,24,33,7,8),(28,301,2,21,7,NULL,27,NULL,7),(28,301,2,21,8,10,11,4,3),(28,301,2,21,9,6,19,2,5),(28,301,2,21,10,15,23,6,10),(28,301,2,21,11,9,17,4,9),(28,301,2,21,12,16,26,6,5),(28,301,2,21,13,12,49,3,14),(28,301,2,21,14,15,36,7,14),(28,301,2,21,15,11,18,6,3),(28,301,2,21,16,9,43,4,12),(28,301,2,21,17,1,11,NULL,3),(28,301,2,21,18,31,31,8,11),(28,301,2,21,19,13,32,8,6),(28,301,2,21,20,23,20,7,3),(28,301,2,21,21,2,16,NULL,3),(28,301,2,21,22,7,9,7,5),(28,301,2,21,23,2,14,NULL,2),(28,301,2,21,24,2,12,1,4),(28,301,2,21,25,NULL,10,NULL,5),(28,301,2,21,26,2,27,NULL,9),(28,301,2,21,27,5,32,1,11),(28,301,2,21,28,2,8,1,3),(28,301,2,21,29,NULL,8,NULL,3),(28,301,2,21,30,1,10,NULL,2),(28,301,2,21,31,3,18,1,5),(28,301,2,21,32,NULL,4,NULL,2),(28,301,2,21,33,6,11,3,4),(28,301,2,21,34,8,27,2,12),(28,301,2,21,35,15,NULL,4,NULL),(28,301,2,21,36,NULL,10,NULL,3),(28,301,2,21,37,2,14,2,5),(28,301,2,21,38,1,1,NULL,NULL),(28,301,2,21,39,2,14,NULL,3),(28,301,2,21,40,2,40,1,9),(28,301,2,22,1,2,34,1,12),(28,301,2,22,2,2,12,1,3),(28,301,2,22,3,34,43,8,12),(28,301,2,22,4,NULL,7,NULL,1),(28,301,2,22,5,12,27,4,10),(28,301,2,22,6,21,43,7,7),(28,301,2,22,7,NULL,24,NULL,7),(28,301,2,22,8,9,18,3,7),(28,301,2,22,9,7,21,1,6),(28,301,2,22,10,17,29,9,9),(28,301,2,22,11,5,23,3,7),(28,301,2,22,12,6,32,2,9),(28,301,2,22,13,6,49,2,12),(28,301,2,22,14,12,40,4,13),(28,301,2,22,15,12,22,2,7),(28,301,2,22,16,11,37,1,11),(28,301,2,22,17,2,15,NULL,5),(28,301,2,22,18,24,43,6,15),(28,301,2,22,19,18,29,6,7),(28,301,2,22,20,25,19,7,4),(28,301,2,22,21,NULL,14,NULL,4),(28,301,2,22,22,4,10,1,4),(28,301,2,22,23,3,11,NULL,2),(28,301,2,22,24,6,13,NULL,5),(28,301,2,22,25,3,12,NULL,5),(28,301,2,22,26,1,18,NULL,8),(28,301,2,22,27,8,32,2,12),(28,301,2,22,28,6,10,NULL,4),(28,301,2,22,29,3,17,1,9),(28,301,2,22,30,4,18,NULL,3),(28,301,2,22,31,NULL,30,NULL,11),(28,301,2,22,32,NULL,5,NULL,2),(28,301,2,22,33,2,19,1,9),(28,301,2,22,34,10,28,4,11),(28,301,2,22,35,16,NULL,1,NULL),(28,301,2,22,36,1,2,NULL,NULL),(28,301,2,22,37,2,15,1,6),(28,301,2,22,38,2,6,NULL,3),(28,301,2,22,39,1,10,NULL,3),(28,301,2,22,40,2,37,1,11),(28,301,2,23,1,2,37,2,9),(28,301,2,23,2,2,27,1,10),(28,301,2,23,3,32,37,11,11),(28,301,2,23,4,2,6,1,4),(28,301,2,23,5,8,26,6,5),(28,301,2,23,6,22,37,7,8),(28,301,2,23,7,1,29,1,9),(28,301,2,23,8,8,19,4,5),(28,301,2,23,9,5,16,NULL,3),(28,301,2,23,10,26,22,10,6),(28,301,2,23,11,9,24,1,9),(28,301,2,23,12,14,30,4,8),(28,301,2,23,13,12,51,6,14),(28,301,2,23,14,25,31,14,9),(28,301,2,23,15,14,32,3,10),(28,301,2,23,16,15,33,7,8),(28,301,2,23,17,3,12,2,7),(28,301,2,23,18,26,40,10,12),(28,301,2,23,19,14,26,8,8),(28,301,2,23,20,27,20,13,1),(28,301,2,23,21,1,16,1,4),(28,301,2,23,22,20,8,12,3),(28,301,2,23,23,1,14,1,5),(28,301,2,23,24,1,10,1,4),(28,301,2,23,25,2,12,NULL,4),(28,301,2,23,26,2,18,1,5),(28,301,2,23,27,10,28,4,9),(28,301,2,23,28,2,17,NULL,8),(28,301,2,23,29,NULL,7,NULL,5),(28,301,2,23,30,3,13,1,6),(28,301,2,23,31,NULL,27,NULL,11),(28,301,2,23,32,NULL,6,NULL,2),(28,301,2,23,33,6,20,5,9),(28,301,2,23,34,6,26,3,8),(28,301,2,23,35,12,NULL,1,NULL),(28,301,2,23,36,1,6,NULL,2),(28,301,2,23,37,4,16,1,5),(28,301,2,23,38,NULL,4,NULL,NULL),(28,301,2,23,39,1,12,NULL,6),(28,301,2,23,40,6,33,5,9),(28,301,2,24,1,NULL,39,NULL,10),(28,301,2,24,2,1,20,NULL,8),(28,301,2,24,3,28,37,13,12),(28,301,2,24,4,1,12,1,3),(28,301,2,24,5,10,25,3,11),(28,301,2,24,6,19,41,4,13),(28,301,2,24,7,NULL,24,NULL,7),(28,301,2,24,8,6,22,3,9),(28,301,2,24,9,6,16,4,10),(28,301,2,24,10,18,23,9,8),(28,301,2,24,11,9,15,7,6),(28,301,2,24,12,14,29,5,11),(28,301,2,24,13,14,50,7,16),(28,301,2,24,14,27,40,13,12),(28,301,2,24,15,14,22,4,7),(28,301,2,24,16,16,35,6,11),(28,301,2,24,17,2,18,1,6),(28,301,2,24,18,29,41,8,15),(28,301,2,24,19,16,32,5,14),(28,301,2,24,20,26,21,8,8),(28,301,2,24,21,3,12,1,4),(28,301,2,24,22,16,7,9,2),(28,301,2,24,23,1,10,1,4),(28,301,2,24,24,2,11,1,4),(28,301,2,24,25,2,13,NULL,6),(28,301,2,24,26,5,17,1,7),(28,301,2,24,27,6,31,1,11),(28,301,2,24,28,1,9,NULL,4),(28,301,2,24,29,NULL,13,NULL,5),(28,301,2,24,30,4,11,1,3),(28,301,2,24,31,NULL,17,NULL,7),(28,301,2,24,32,1,10,NULL,3),(28,301,2,24,33,7,16,6,8),(28,301,2,24,34,8,26,3,14),(28,301,2,24,35,14,NULL,8,NULL),(28,301,2,24,36,3,5,NULL,3),(28,301,2,24,37,4,13,2,6),(28,301,2,24,38,NULL,5,NULL,2),(28,301,2,24,39,3,16,2,8),(28,301,2,24,40,4,39,2,16),(28,302,1,11,1,NULL,NULL,NULL,NULL),(28,302,1,11,2,NULL,1,NULL,NULL),(28,302,1,11,3,NULL,NULL,NULL,NULL),(28,302,1,11,4,NULL,NULL,NULL,NULL),(28,302,1,11,5,NULL,NULL,NULL,NULL),(28,302,1,11,6,NULL,NULL,NULL,NULL),(28,302,1,11,7,NULL,1,NULL,NULL),(28,302,1,11,8,NULL,NULL,NULL,NULL),(28,302,1,11,9,NULL,NULL,NULL,NULL),(28,302,1,11,10,NULL,NULL,NULL,NULL),(28,302,1,11,11,NULL,NULL,NULL,NULL),(28,302,1,11,12,NULL,NULL,NULL,NULL),(28,302,1,11,13,NULL,NULL,NULL,NULL),(28,302,1,11,14,NULL,1,NULL,NULL),(28,302,1,11,15,NULL,NULL,NULL,NULL),(28,302,1,11,16,NULL,1,NULL,NULL),(28,302,1,11,17,NULL,1,NULL,NULL),(28,302,1,11,18,NULL,NULL,NULL,NULL),(28,302,1,11,19,1,NULL,NULL,NULL),(28,302,1,11,20,NULL,NULL,NULL,NULL),(28,302,1,11,21,NULL,NULL,NULL,NULL),(28,302,1,11,22,NULL,NULL,NULL,NULL),(28,302,1,11,23,NULL,NULL,NULL,NULL),(28,302,1,11,24,NULL,NULL,NULL,NULL),(28,302,1,11,25,NULL,NULL,NULL,NULL),(28,302,1,11,26,NULL,NULL,NULL,NULL),(28,302,1,11,27,NULL,NULL,NULL,NULL),(28,302,1,11,28,NULL,NULL,NULL,NULL),(28,302,1,11,29,1,NULL,NULL,NULL),(28,302,1,11,30,NULL,NULL,NULL,NULL),(28,302,1,11,31,NULL,NULL,NULL,NULL),(28,302,1,11,32,NULL,NULL,NULL,NULL),(28,302,1,11,33,NULL,NULL,NULL,NULL),(28,302,1,11,34,NULL,NULL,NULL,NULL),(28,302,1,11,35,NULL,NULL,NULL,NULL),(28,302,1,11,36,NULL,NULL,NULL,NULL),(28,302,1,11,37,NULL,NULL,NULL,NULL),(28,302,1,11,38,NULL,NULL,NULL,NULL),(28,302,1,11,39,NULL,NULL,NULL,NULL),(28,302,1,11,40,NULL,NULL,NULL,NULL),(28,302,1,12,1,NULL,NULL,NULL,NULL),(28,302,1,12,2,NULL,NULL,NULL,NULL),(28,302,1,12,3,NULL,1,NULL,NULL),(28,302,1,12,4,NULL,NULL,NULL,NULL),(28,302,1,12,5,NULL,NULL,NULL,NULL),(28,302,1,12,6,NULL,NULL,NULL,NULL),(28,302,1,12,7,NULL,NULL,NULL,NULL),(28,302,1,12,8,NULL,NULL,NULL,NULL),(28,302,1,12,9,NULL,NULL,NULL,NULL),(28,302,1,12,10,NULL,1,NULL,NULL),(28,302,1,12,11,NULL,1,NULL,NULL),(28,302,1,12,12,NULL,NULL,NULL,NULL),(28,302,1,12,13,NULL,NULL,NULL,NULL),(28,302,1,12,14,NULL,1,NULL,NULL),(28,302,1,12,15,NULL,NULL,NULL,NULL),(28,302,1,12,16,1,NULL,NULL,NULL),(28,302,1,12,17,NULL,1,NULL,NULL),(28,302,1,12,18,NULL,1,NULL,NULL),(28,302,1,12,19,NULL,1,NULL,NULL),(28,302,1,12,20,NULL,NULL,NULL,NULL),(28,302,1,12,21,NULL,NULL,NULL,NULL),(28,302,1,12,22,NULL,NULL,NULL,NULL),(28,302,1,12,23,NULL,NULL,NULL,NULL),(28,302,1,12,24,NULL,NULL,NULL,NULL),(28,302,1,12,25,NULL,NULL,NULL,NULL),(28,302,1,12,26,NULL,NULL,NULL,NULL),(28,302,1,12,27,NULL,NULL,NULL,NULL),(28,302,1,12,28,NULL,NULL,NULL,NULL),(28,302,1,12,29,NULL,NULL,NULL,NULL),(28,302,1,12,30,NULL,NULL,NULL,NULL),(28,302,1,12,31,NULL,NULL,NULL,NULL),(28,302,1,12,32,NULL,NULL,NULL,NULL),(28,302,1,12,33,NULL,NULL,NULL,NULL),(28,302,1,12,34,NULL,1,NULL,NULL),(28,302,1,12,35,1,NULL,NULL,NULL),(28,302,1,12,36,NULL,NULL,NULL,NULL),(28,302,1,12,37,NULL,NULL,NULL,NULL),(28,302,1,12,38,NULL,NULL,NULL,NULL),(28,302,1,12,39,NULL,NULL,NULL,NULL),(28,302,1,12,40,NULL,NULL,NULL,NULL),(28,302,1,13,1,NULL,NULL,NULL,NULL),(28,302,1,13,2,NULL,NULL,NULL,NULL),(28,302,1,13,3,NULL,NULL,NULL,NULL),(28,302,1,13,4,NULL,NULL,NULL,NULL),(28,302,1,13,5,NULL,NULL,NULL,NULL),(28,302,1,13,6,NULL,NULL,NULL,NULL),(28,302,1,13,7,NULL,NULL,NULL,NULL),(28,302,1,13,8,NULL,NULL,NULL,NULL),(28,302,1,13,9,NULL,NULL,NULL,NULL),(28,302,1,13,10,NULL,NULL,NULL,NULL),(28,302,1,13,11,NULL,NULL,NULL,NULL),(28,302,1,13,12,NULL,NULL,NULL,NULL),(28,302,1,13,13,NULL,NULL,NULL,NULL),(28,302,1,13,14,NULL,NULL,NULL,NULL),(28,302,1,13,15,NULL,NULL,NULL,NULL),(28,302,1,13,16,NULL,NULL,NULL,NULL),(28,302,1,13,17,NULL,NULL,NULL,NULL),(28,302,1,13,18,NULL,NULL,NULL,NULL),(28,302,1,13,19,NULL,NULL,NULL,NULL),(28,302,1,13,20,NULL,NULL,NULL,NULL),(28,302,1,13,21,NULL,NULL,NULL,NULL),(28,302,1,13,22,NULL,NULL,NULL,NULL),(28,302,1,13,23,NULL,NULL,NULL,NULL),(28,302,1,13,24,NULL,NULL,NULL,NULL),(28,302,1,13,25,NULL,NULL,NULL,NULL),(28,302,1,13,26,NULL,NULL,NULL,NULL),(28,302,1,13,27,NULL,NULL,NULL,NULL),(28,302,1,13,28,NULL,NULL,NULL,NULL),(28,302,1,13,29,NULL,NULL,NULL,NULL),(28,302,1,13,30,NULL,NULL,NULL,NULL),(28,302,1,13,31,NULL,NULL,NULL,NULL),(28,302,1,13,32,NULL,NULL,NULL,NULL),(28,302,1,13,33,NULL,NULL,NULL,NULL),(28,302,1,13,34,NULL,NULL,NULL,NULL),(28,302,1,13,35,NULL,NULL,NULL,NULL),(28,302,1,13,36,NULL,NULL,NULL,NULL),(28,302,1,13,37,NULL,NULL,NULL,NULL),(28,302,1,13,38,NULL,NULL,NULL,NULL),(28,302,1,13,39,NULL,NULL,NULL,NULL),(28,302,1,13,40,NULL,NULL,NULL,NULL),(28,302,1,14,1,13,NULL,11,NULL),(28,302,1,14,2,2,6,1,4),(28,302,1,14,3,9,18,6,10),(28,302,1,14,4,8,7,4,7),(28,302,1,14,5,9,14,6,10),(28,302,1,14,6,4,20,2,13),(28,302,1,14,7,1,8,1,4),(28,302,1,14,8,3,16,2,8),(28,302,1,14,9,4,13,NULL,9),(28,302,1,14,10,25,5,14,2),(28,302,1,14,11,2,11,2,5),(28,302,1,14,12,4,13,3,10),(28,302,1,14,13,15,14,10,7),(28,302,1,14,14,9,5,4,5),(28,302,1,14,15,18,NULL,10,NULL),(28,302,1,14,16,16,11,13,2),(28,302,1,14,17,6,21,4,11),(28,302,1,14,18,8,6,6,3),(28,302,1,14,19,10,16,8,7),(28,302,1,14,20,5,25,3,15),(28,302,1,14,21,3,3,1,1),(28,302,1,14,22,2,10,2,4),(28,302,1,14,23,1,3,NULL,1),(28,302,1,14,24,NULL,NULL,NULL,NULL),(28,302,1,14,25,1,10,NULL,4),(28,302,1,14,26,NULL,7,NULL,4),(28,302,1,14,27,12,NULL,10,NULL),(28,302,1,14,28,NULL,NULL,NULL,NULL),(28,302,1,14,29,1,8,NULL,5),(28,302,1,14,30,5,11,1,7),(28,302,1,14,31,2,2,2,NULL),(28,302,1,14,32,NULL,10,NULL,7),(28,302,1,14,33,2,10,2,6),(28,302,1,14,34,10,10,10,6),(28,302,1,14,35,NULL,4,NULL,4),(28,302,1,14,36,3,NULL,2,NULL),(28,302,1,14,37,1,6,1,2),(28,302,1,14,38,1,6,1,3),(28,302,1,14,39,8,12,5,7),(28,302,1,14,40,3,NULL,3,NULL),(28,302,1,15,1,13,NULL,9,NULL),(28,302,1,15,2,1,9,NULL,2),(28,302,1,15,3,8,9,6,6),(28,302,1,15,4,3,10,3,5),(28,302,1,15,5,6,11,3,7),(28,302,1,15,6,6,17,3,10),(28,302,1,15,7,6,5,2,2),(28,302,1,15,8,3,15,1,7),(28,302,1,15,9,7,11,4,5),(28,302,1,15,10,17,9,10,5),(28,302,1,15,11,6,6,5,4),(28,302,1,15,12,3,9,1,7),(28,302,1,15,13,14,15,8,7),(28,302,1,15,14,7,8,3,4),(28,302,1,15,15,14,NULL,9,NULL),(28,302,1,15,16,12,10,6,6),(28,302,1,15,17,1,15,NULL,6),(28,302,1,15,18,3,8,2,3),(28,302,1,15,19,10,10,6,6),(28,302,1,15,20,7,18,3,8),(28,302,1,15,21,2,4,1,1),(28,302,1,15,22,NULL,6,NULL,3),(28,302,1,15,23,1,6,NULL,3),(28,302,1,15,24,1,NULL,NULL,NULL),(28,302,1,15,25,1,3,NULL,1),(28,302,1,15,26,NULL,1,NULL,1),(28,302,1,15,27,5,NULL,2,NULL),(28,302,1,15,28,NULL,3,NULL,NULL),(28,302,1,15,29,1,8,NULL,7),(28,302,1,15,30,3,7,1,4),(28,302,1,15,31,2,3,1,NULL),(28,302,1,15,32,5,4,2,2),(28,302,1,15,33,3,3,1,NULL),(28,302,1,15,34,7,5,5,4),(28,302,1,15,35,3,2,3,1),(28,302,1,15,36,2,NULL,NULL,NULL),(28,302,1,15,37,NULL,8,NULL,3),(28,302,1,15,38,3,3,1,2),(28,302,1,15,39,5,15,2,8),(28,302,1,15,40,2,NULL,1,NULL),(28,302,1,16,1,30,NULL,18,NULL),(28,302,1,16,2,NULL,17,NULL,6),(28,302,1,16,3,14,33,7,15),(28,302,1,16,4,8,14,2,5),(28,302,1,16,5,14,23,5,8),(28,302,1,16,6,3,39,2,11),(28,302,1,16,7,3,28,1,14),(28,302,1,16,8,3,24,1,10),(28,302,1,16,9,10,19,4,6),(28,302,1,16,10,36,19,17,8),(28,302,1,16,11,4,22,4,11),(28,302,1,16,12,4,11,3,5),(28,302,1,16,13,78,NULL,27,NULL),(28,302,1,16,14,55,21,20,7),(28,302,1,16,15,14,33,7,14),(28,302,1,16,16,53,NULL,19,NULL),(28,302,1,16,17,24,48,6,20),(28,302,1,16,18,12,35,6,18),(28,302,1,16,19,13,39,5,16),(28,302,1,16,20,6,23,3,7),(28,302,1,16,21,NULL,7,NULL,1),(28,302,1,16,22,4,11,1,3),(28,302,1,16,23,4,21,1,9),(28,302,1,16,24,1,NULL,NULL,NULL),(28,302,1,16,25,NULL,4,NULL,2),(28,302,1,16,26,NULL,4,NULL,1),(28,302,1,16,27,8,NULL,5,NULL),(28,302,1,16,28,2,4,1,NULL),(28,302,1,16,29,5,22,1,11),(28,302,1,16,30,7,24,3,10),(28,302,1,16,31,3,3,1,1),(28,302,1,16,32,4,25,2,8),(28,302,1,16,33,NULL,15,NULL,4),(28,302,1,16,34,5,17,5,10),(28,302,1,16,35,1,7,1,2),(28,302,1,16,36,1,NULL,1,NULL),(28,302,1,16,37,1,8,NULL,2),(28,302,1,16,38,2,9,2,6),(28,302,1,16,39,9,32,4,16),(28,302,1,16,40,7,NULL,3,NULL),(28,302,1,17,1,26,NULL,17,NULL),(28,302,1,17,2,NULL,15,NULL,6),(28,302,1,17,3,9,27,4,16),(28,302,1,17,4,5,15,2,7),(28,302,1,17,5,10,20,2,8),(28,302,1,17,6,5,27,2,13),(28,302,1,17,7,9,14,3,7),(28,302,1,17,8,1,24,1,11),(28,302,1,17,9,7,17,4,7),(28,302,1,17,10,35,14,15,4),(28,302,1,17,11,5,14,4,9),(28,302,1,17,12,2,5,1,2),(28,302,1,17,13,65,NULL,25,NULL),(28,302,1,17,14,50,14,20,4),(28,302,1,17,15,14,38,5,15),(28,302,1,17,16,47,NULL,16,NULL),(28,302,1,17,17,30,33,11,13),(28,302,1,17,18,14,21,8,11),(28,302,1,17,19,6,37,2,18),(28,302,1,17,20,4,25,2,10),(28,302,1,17,21,2,9,1,NULL),(28,302,1,17,22,NULL,13,NULL,2),(28,302,1,17,23,NULL,18,NULL,10),(28,302,1,17,24,1,NULL,NULL,NULL),(28,302,1,17,25,2,5,2,1),(28,302,1,17,26,NULL,4,NULL,1),(28,302,1,17,27,12,NULL,5,NULL),(28,302,1,17,28,NULL,1,NULL,NULL),(28,302,1,17,29,2,17,NULL,9),(28,302,1,17,30,6,27,2,10),(28,302,1,17,31,2,7,NULL,2),(28,302,1,17,32,5,18,2,10),(28,302,1,17,33,2,9,1,7),(28,302,1,17,34,11,16,5,9),(28,302,1,17,35,NULL,4,NULL,2),(28,302,1,17,36,NULL,NULL,NULL,NULL),(28,302,1,17,37,1,8,1,4),(28,302,1,17,38,2,13,NULL,8),(28,302,1,17,39,5,28,2,13),(28,302,1,17,40,8,NULL,7,NULL),(28,302,1,18,1,NULL,NULL,NULL,NULL),(28,302,1,18,2,NULL,NULL,NULL,NULL),(28,302,1,18,3,NULL,NULL,NULL,NULL),(28,302,1,18,4,NULL,NULL,NULL,NULL),(28,302,1,18,5,NULL,NULL,NULL,NULL),(28,302,1,18,6,NULL,NULL,NULL,NULL),(28,302,1,18,7,NULL,NULL,NULL,NULL),(28,302,1,18,8,NULL,NULL,NULL,NULL),(28,302,1,18,9,NULL,NULL,NULL,NULL),(28,302,1,18,10,NULL,NULL,NULL,NULL),(28,302,1,18,11,NULL,NULL,NULL,NULL),(28,302,1,18,12,NULL,NULL,NULL,NULL),(28,302,1,18,13,NULL,NULL,NULL,NULL),(28,302,1,18,14,NULL,NULL,NULL,NULL),(28,302,1,18,15,NULL,NULL,NULL,NULL),(28,302,1,18,16,NULL,NULL,NULL,NULL),(28,302,1,18,17,NULL,NULL,NULL,NULL),(28,302,1,18,18,NULL,NULL,NULL,NULL),(28,302,1,18,19,NULL,NULL,NULL,NULL),(28,302,1,18,20,NULL,NULL,NULL,NULL),(28,302,1,18,21,NULL,NULL,NULL,NULL),(28,302,1,18,22,NULL,NULL,NULL,NULL),(28,302,1,18,23,NULL,NULL,NULL,NULL),(28,302,1,18,24,NULL,NULL,NULL,NULL),(28,302,1,18,25,NULL,NULL,NULL,NULL),(28,302,1,18,26,NULL,NULL,NULL,NULL),(28,302,1,18,27,NULL,NULL,NULL,NULL),(28,302,1,18,28,NULL,NULL,NULL,NULL),(28,302,1,18,29,NULL,NULL,NULL,NULL),(28,302,1,18,30,NULL,NULL,NULL,NULL),(28,302,1,18,31,NULL,NULL,NULL,NULL),(28,302,1,18,32,NULL,NULL,NULL,NULL),(28,302,1,18,33,NULL,NULL,NULL,NULL),(28,302,1,18,34,NULL,NULL,NULL,NULL),(28,302,1,18,35,NULL,NULL,NULL,NULL),(28,302,1,18,36,NULL,NULL,NULL,NULL),(28,302,1,18,37,NULL,NULL,NULL,NULL),(28,302,1,18,38,NULL,NULL,NULL,NULL),(28,302,1,18,39,NULL,NULL,NULL,NULL),(28,302,1,18,40,NULL,NULL,NULL,NULL),(28,302,1,19,1,NULL,NULL,NULL,NULL),(28,302,1,19,2,NULL,NULL,NULL,NULL),(28,302,1,19,3,NULL,NULL,NULL,NULL),(28,302,1,19,4,NULL,NULL,NULL,NULL),(28,302,1,19,5,NULL,NULL,NULL,NULL),(28,302,1,19,6,NULL,NULL,NULL,NULL),(28,302,1,19,7,NULL,NULL,NULL,NULL),(28,302,1,19,8,NULL,NULL,NULL,NULL),(28,302,1,19,9,NULL,NULL,NULL,NULL),(28,302,1,19,10,NULL,NULL,NULL,NULL),(28,302,1,19,11,NULL,NULL,NULL,NULL),(28,302,1,19,12,NULL,NULL,NULL,NULL),(28,302,1,19,13,NULL,NULL,NULL,NULL),(28,302,1,19,14,NULL,NULL,NULL,NULL),(28,302,1,19,15,NULL,NULL,NULL,NULL),(28,302,1,19,16,NULL,NULL,NULL,NULL),(28,302,1,19,17,NULL,NULL,NULL,NULL),(28,302,1,19,18,NULL,NULL,NULL,NULL),(28,302,1,19,19,NULL,NULL,NULL,NULL),(28,302,1,19,20,NULL,NULL,NULL,NULL),(28,302,1,19,21,NULL,NULL,NULL,NULL),(28,302,1,19,22,NULL,NULL,NULL,NULL),(28,302,1,19,23,NULL,NULL,NULL,NULL),(28,302,1,19,24,NULL,NULL,NULL,NULL),(28,302,1,19,25,NULL,NULL,NULL,NULL),(28,302,1,19,26,NULL,NULL,NULL,NULL),(28,302,1,19,27,NULL,NULL,NULL,NULL),(28,302,1,19,28,NULL,NULL,NULL,NULL),(28,302,1,19,29,NULL,NULL,NULL,NULL),(28,302,1,19,30,NULL,NULL,NULL,NULL),(28,302,1,19,31,NULL,NULL,NULL,NULL),(28,302,1,19,32,NULL,NULL,NULL,NULL),(28,302,1,19,33,NULL,NULL,NULL,NULL),(28,302,1,19,34,NULL,NULL,NULL,NULL),(28,302,1,19,35,NULL,NULL,NULL,NULL),(28,302,1,19,36,NULL,NULL,NULL,NULL),(28,302,1,19,37,NULL,NULL,NULL,NULL),(28,302,1,19,38,NULL,NULL,NULL,NULL),(28,302,1,19,39,NULL,NULL,NULL,NULL),(28,302,1,19,40,NULL,NULL,NULL,NULL),(28,302,2,21,1,NULL,17,NULL,8),(28,302,2,21,2,NULL,9,NULL,5),(28,302,2,21,3,25,29,17,13),(28,302,2,21,4,1,2,1,1),(28,302,2,21,5,7,21,5,14),(28,302,2,21,6,14,15,8,9),(28,302,2,21,7,NULL,20,NULL,9),(28,302,2,21,8,4,8,4,2),(28,302,2,21,9,4,7,2,3),(28,302,2,21,10,4,20,3,12),(28,302,2,21,11,7,18,4,11),(28,302,2,21,12,6,15,3,9),(28,302,2,21,13,3,34,2,19),(28,302,2,21,14,13,28,11,11),(28,302,2,21,15,5,16,2,8),(28,302,2,21,16,4,25,1,19),(28,302,2,21,17,2,9,2,6),(28,302,2,21,18,15,35,8,18),(28,302,2,21,19,7,15,6,8),(28,302,2,21,20,7,15,5,10),(28,302,2,21,21,NULL,5,NULL,4),(28,302,2,21,22,4,5,4,3),(28,302,2,21,23,3,4,2,1),(28,302,2,21,24,1,8,NULL,3),(28,302,2,21,25,2,14,1,7),(28,302,2,21,26,3,10,2,4),(28,302,2,21,27,4,24,3,14),(28,302,2,21,28,2,9,2,5),(28,302,2,21,29,2,12,1,5),(28,302,2,21,30,NULL,9,NULL,5),(28,302,2,21,31,NULL,11,NULL,6),(28,302,2,21,32,1,3,1,3),(28,302,2,21,33,4,11,3,7),(28,302,2,21,34,4,18,4,11),(28,302,2,21,35,9,NULL,4,NULL),(28,302,2,21,36,1,5,1,2),(28,302,2,21,37,1,7,1,6),(28,302,2,21,38,NULL,1,NULL,1),(28,302,2,21,39,2,7,2,4),(28,302,2,21,40,1,25,1,17),(28,302,2,22,1,NULL,16,NULL,8),(28,302,2,22,2,NULL,13,NULL,6),(28,302,2,22,3,14,26,6,15),(28,302,2,22,4,1,4,NULL,1),(28,302,2,22,5,4,19,3,11),(28,302,2,22,6,9,28,4,10),(28,302,2,22,7,NULL,18,NULL,8),(28,302,2,22,8,4,5,2,1),(28,302,2,22,9,7,7,2,3),(28,302,2,22,10,8,17,5,7),(28,302,2,22,11,8,16,7,8),(28,302,2,22,12,6,18,4,8),(28,302,2,22,13,4,30,3,11),(28,302,2,22,14,9,23,5,12),(28,302,2,22,15,4,12,1,7),(28,302,2,22,16,4,22,2,12),(28,302,2,22,17,1,10,NULL,5),(28,302,2,22,18,16,19,7,9),(28,302,2,22,19,5,14,3,8),(28,302,2,22,20,10,14,9,6),(28,302,2,22,21,1,4,NULL,1),(28,302,2,22,22,5,5,3,3),(28,302,2,22,23,NULL,7,NULL,4),(28,302,2,22,24,4,2,2,1),(28,302,2,22,25,2,7,NULL,2),(28,302,2,22,26,1,14,1,6),(28,302,2,22,27,NULL,21,NULL,12),(28,302,2,22,28,2,3,NULL,3),(28,302,2,22,29,NULL,11,NULL,7),(28,302,2,22,30,1,11,NULL,5),(28,302,2,22,31,NULL,20,NULL,8),(28,302,2,22,32,NULL,5,NULL,3),(28,302,2,22,33,4,6,3,5),(28,302,2,22,34,2,13,2,10),(28,302,2,22,35,12,NULL,9,NULL),(28,302,2,22,36,NULL,5,NULL,2),(28,302,2,22,37,3,10,2,7),(28,302,2,22,38,2,1,1,1),(28,302,2,22,39,NULL,4,NULL,NULL),(28,302,2,22,40,2,16,1,9),(28,302,2,23,1,1,16,NULL,8),(28,302,2,23,2,NULL,7,NULL,4),(28,302,2,23,3,15,20,6,9),(28,302,2,23,4,NULL,5,NULL,2),(28,302,2,23,5,1,13,1,7),(28,302,2,23,6,12,28,2,8),(28,302,2,23,7,NULL,17,NULL,5),(28,302,2,23,8,3,10,1,5),(28,302,2,23,9,1,10,1,6),(28,302,2,23,10,9,13,4,8),(28,302,2,23,11,4,11,4,6),(28,302,2,23,12,8,14,4,6),(28,302,2,23,13,3,27,2,10),(28,302,2,23,14,5,21,4,10),(28,302,2,23,15,10,16,4,5),(28,302,2,23,16,8,22,2,12),(28,302,2,23,17,1,6,NULL,2),(28,302,2,23,18,24,18,9,10),(28,302,2,23,19,3,17,1,7),(28,302,2,23,20,12,14,5,5),(28,302,2,23,21,3,8,NULL,2),(28,302,2,23,22,4,2,4,NULL),(28,302,2,23,23,1,7,NULL,4),(28,302,2,23,24,1,9,NULL,3),(28,302,2,23,25,1,7,1,3),(28,302,2,23,26,1,15,NULL,8),(28,302,2,23,27,1,11,NULL,6),(28,302,2,23,28,1,1,1,1),(28,302,2,23,29,NULL,7,NULL,4),(28,302,2,23,30,1,5,1,2),(28,302,2,23,31,NULL,18,NULL,7),(28,302,2,23,32,1,4,1,NULL),(28,302,2,23,33,4,14,3,7),(28,302,2,23,34,2,15,1,8),(28,302,2,23,35,5,NULL,3,NULL),(28,302,2,23,36,NULL,4,NULL,3),(28,302,2,23,37,3,12,1,6),(28,302,2,23,38,1,1,1,NULL),(28,302,2,23,39,NULL,2,NULL,1),(28,302,2,23,40,NULL,26,NULL,7),(28,302,2,24,1,NULL,23,NULL,5),(28,302,2,24,2,1,8,NULL,2),(28,302,2,24,3,17,20,7,7),(28,302,2,24,4,1,4,NULL,1),(28,302,2,24,5,2,15,1,8),(28,302,2,24,6,11,23,3,7),(28,302,2,24,7,NULL,11,NULL,4),(28,302,2,24,8,1,4,NULL,1),(28,302,2,24,9,3,11,1,5),(28,302,2,24,10,5,16,2,7),(28,302,2,24,11,4,6,3,2),(28,302,2,24,12,4,14,2,5),(28,302,2,24,13,6,22,3,6),(28,302,2,24,14,6,22,2,9),(28,302,2,24,15,6,13,2,6),(28,302,2,24,16,2,17,NULL,9),(28,302,2,24,17,2,6,NULL,2),(28,302,2,24,18,18,22,3,7),(28,302,2,24,19,7,12,2,6),(28,302,2,24,20,12,5,4,1),(28,302,2,24,21,NULL,5,NULL,1),(28,302,2,24,22,4,2,3,1),(28,302,2,24,23,NULL,4,NULL,1),(28,302,2,24,24,2,5,NULL,NULL),(28,302,2,24,25,1,7,NULL,3),(28,302,2,24,26,NULL,20,NULL,8),(28,302,2,24,27,3,9,NULL,4),(28,302,2,24,28,NULL,5,NULL,2),(28,302,2,24,29,NULL,4,NULL,1),(28,302,2,24,30,NULL,2,NULL,1),(28,302,2,24,31,NULL,10,NULL,5),(28,302,2,24,32,NULL,6,NULL,2),(28,302,2,24,33,1,7,NULL,4),(28,302,2,24,34,2,13,NULL,5),(28,302,2,24,35,5,NULL,2,NULL),(28,302,2,24,36,1,2,NULL,2),(28,302,2,24,37,NULL,12,NULL,7),(28,302,2,24,38,NULL,3,NULL,1),(28,302,2,24,39,3,2,1,NULL),(28,302,2,24,40,1,18,NULL,9),(28,303,1,11,1,2,NULL,NULL,NULL),(28,303,1,11,2,NULL,2,NULL,NULL),(28,303,1,11,3,1,1,NULL,NULL),(28,303,1,11,4,NULL,1,NULL,NULL),(28,303,1,11,5,2,1,NULL,NULL),(28,303,1,11,6,2,1,NULL,NULL),(28,303,1,11,7,1,2,NULL,NULL),(28,303,1,11,8,1,2,NULL,NULL),(28,303,1,11,9,NULL,3,NULL,NULL),(28,303,1,11,10,4,NULL,NULL,NULL),(28,303,1,11,11,1,1,NULL,NULL),(28,303,1,11,12,NULL,2,NULL,NULL),(28,303,1,11,13,3,2,NULL,NULL),(28,303,1,11,14,5,NULL,NULL,NULL),(28,303,1,11,15,1,2,NULL,NULL),(28,303,1,11,16,4,1,NULL,NULL),(28,303,1,11,17,1,3,NULL,NULL),(28,303,1,11,18,3,NULL,NULL,NULL),(28,303,1,11,19,3,NULL,NULL,NULL),(28,303,1,11,20,2,NULL,NULL,NULL),(28,303,1,11,21,NULL,2,NULL,NULL),(28,303,1,11,22,NULL,2,NULL,NULL),(28,303,1,11,23,NULL,1,NULL,NULL),(28,303,1,11,24,NULL,NULL,NULL,NULL),(28,303,1,11,25,1,NULL,NULL,NULL),(28,303,1,11,26,NULL,1,NULL,NULL),(28,303,1,11,27,3,NULL,NULL,NULL),(28,303,1,11,28,1,NULL,NULL,NULL),(28,303,1,11,29,NULL,1,NULL,NULL),(28,303,1,11,30,1,2,NULL,NULL),(28,303,1,11,31,NULL,NULL,NULL,NULL),(28,303,1,11,32,NULL,2,NULL,NULL),(28,303,1,11,33,NULL,NULL,NULL,NULL),(28,303,1,11,34,1,1,NULL,NULL),(28,303,1,11,35,NULL,1,NULL,NULL),(28,303,1,11,36,NULL,NULL,NULL,NULL),(28,303,1,11,37,NULL,1,NULL,NULL),(28,303,1,11,38,1,1,NULL,NULL),(28,303,1,11,39,2,2,NULL,NULL),(28,303,1,11,40,NULL,NULL,NULL,NULL),(28,303,1,12,1,1,NULL,NULL,NULL),(28,303,1,12,2,NULL,NULL,NULL,NULL),(28,303,1,12,3,NULL,1,NULL,NULL),(28,303,1,12,4,NULL,1,NULL,NULL),(28,303,1,12,5,NULL,NULL,NULL,NULL),(28,303,1,12,6,NULL,1,NULL,NULL),(28,303,1,12,7,NULL,1,NULL,NULL),(28,303,1,12,8,NULL,NULL,NULL,NULL),(28,303,1,12,9,NULL,NULL,NULL,NULL),(28,303,1,12,10,1,NULL,NULL,NULL),(28,303,1,12,11,NULL,1,NULL,NULL),(28,303,1,12,12,NULL,1,NULL,NULL),(28,303,1,12,13,1,NULL,NULL,NULL),(28,303,1,12,14,1,NULL,NULL,NULL),(28,303,1,12,15,NULL,NULL,NULL,NULL),(28,303,1,12,16,1,NULL,NULL,NULL),(28,303,1,12,17,1,NULL,NULL,NULL),(28,303,1,12,18,1,NULL,NULL,NULL),(28,303,1,12,19,1,NULL,NULL,NULL),(28,303,1,12,20,1,NULL,NULL,NULL),(28,303,1,12,21,NULL,NULL,NULL,NULL),(28,303,1,12,22,NULL,NULL,NULL,NULL),(28,303,1,12,23,NULL,NULL,NULL,NULL),(28,303,1,12,24,NULL,NULL,NULL,NULL),(28,303,1,12,25,NULL,NULL,NULL,NULL),(28,303,1,12,26,NULL,NULL,NULL,NULL),(28,303,1,12,27,1,NULL,NULL,NULL),(28,303,1,12,28,NULL,NULL,NULL,NULL),(28,303,1,12,29,NULL,1,NULL,NULL),(28,303,1,12,30,NULL,1,NULL,NULL),(28,303,1,12,31,NULL,NULL,NULL,NULL),(28,303,1,12,32,NULL,NULL,NULL,NULL),(28,303,1,12,33,NULL,1,NULL,NULL),(28,303,1,12,34,1,NULL,NULL,NULL),(28,303,1,12,35,NULL,NULL,NULL,NULL),(28,303,1,12,36,NULL,NULL,NULL,NULL),(28,303,1,12,37,NULL,NULL,NULL,NULL),(28,303,1,12,38,NULL,NULL,NULL,NULL),(28,303,1,12,39,NULL,NULL,NULL,NULL),(28,303,1,12,40,1,NULL,NULL,NULL),(28,303,1,13,1,2,NULL,NULL,NULL),(28,303,1,13,2,NULL,3,NULL,NULL),(28,303,1,13,3,3,NULL,NULL,NULL),(28,303,1,13,4,NULL,3,NULL,NULL),(28,303,1,13,5,1,NULL,NULL,NULL),(28,303,1,13,6,1,4,NULL,NULL),(28,303,1,13,7,NULL,NULL,NULL,NULL),(28,303,1,13,8,NULL,2,NULL,NULL),(28,303,1,13,9,1,1,NULL,NULL),(28,303,1,13,10,4,NULL,NULL,NULL),(28,303,1,13,11,NULL,2,NULL,NULL),(28,303,1,13,12,NULL,1,NULL,NULL),(28,303,1,13,13,6,NULL,NULL,NULL),(28,303,1,13,14,4,NULL,NULL,NULL),(28,303,1,13,15,1,2,NULL,NULL),(28,303,1,13,16,4,NULL,NULL,NULL),(28,303,1,13,17,NULL,2,NULL,NULL),(28,303,1,13,18,2,1,NULL,NULL),(28,303,1,13,19,4,NULL,NULL,NULL),(28,303,1,13,20,1,1,NULL,NULL),(28,303,1,13,21,NULL,NULL,NULL,NULL),(28,303,1,13,22,2,1,NULL,NULL),(28,303,1,13,23,2,NULL,NULL,NULL),(28,303,1,13,24,NULL,NULL,NULL,NULL),(28,303,1,13,25,1,NULL,NULL,NULL),(28,303,1,13,26,NULL,NULL,NULL,NULL),(28,303,1,13,27,2,NULL,NULL,NULL),(28,303,1,13,28,NULL,NULL,NULL,NULL),(28,303,1,13,29,NULL,NULL,NULL,NULL),(28,303,1,13,30,NULL,3,NULL,NULL),(28,303,1,13,31,NULL,1,NULL,NULL),(28,303,1,13,32,NULL,1,NULL,NULL),(28,303,1,13,33,NULL,2,NULL,NULL),(28,303,1,13,34,2,1,NULL,NULL),(28,303,1,13,35,NULL,1,NULL,NULL),(28,303,1,13,36,NULL,NULL,NULL,NULL),(28,303,1,13,37,1,NULL,NULL,NULL),(28,303,1,13,38,2,NULL,NULL,NULL),(28,303,1,13,39,1,2,NULL,NULL),(28,303,1,13,40,NULL,NULL,NULL,NULL),(28,303,1,14,1,170,NULL,28,NULL),(28,303,1,14,2,19,126,9,16),(28,303,1,14,3,121,89,21,9),(28,303,1,14,4,38,76,9,10),(28,303,1,14,5,117,100,16,13),(28,303,1,14,6,62,168,14,17),(28,303,1,14,7,47,65,5,7),(28,303,1,14,8,49,155,9,16),(28,303,1,14,9,67,99,9,9),(28,303,1,14,10,180,49,24,5),(28,303,1,14,11,60,61,12,8),(28,303,1,14,12,73,94,19,9),(28,303,1,14,13,198,75,24,7),(28,303,1,14,14,124,72,16,8),(28,303,1,14,15,214,NULL,24,NULL),(28,303,1,14,16,176,85,22,10),(28,303,1,14,17,88,176,17,15),(28,303,1,14,18,91,73,17,4),(28,303,1,14,19,199,83,23,9),(28,303,1,14,20,157,133,22,9),(28,303,1,14,21,8,41,2,7),(28,303,1,14,22,12,68,3,8),(28,303,1,14,23,12,66,3,14),(28,303,1,14,24,8,NULL,1,NULL),(28,303,1,14,25,10,41,1,6),(28,303,1,14,26,3,43,1,11),(28,303,1,14,27,81,NULL,16,NULL),(28,303,1,14,28,3,18,1,2),(28,303,1,14,29,11,59,1,11),(28,303,1,14,30,38,105,10,13),(28,303,1,14,31,21,41,4,6),(28,303,1,14,32,42,72,3,16),(28,303,1,14,33,36,56,7,10),(28,303,1,14,34,99,55,17,10),(28,303,1,14,35,23,33,6,3),(28,303,1,14,36,33,NULL,9,NULL),(28,303,1,14,37,7,35,1,4),(28,303,1,14,38,33,43,11,8),(28,303,1,14,39,77,98,12,16),(28,303,1,14,40,28,NULL,8,NULL),(28,303,1,15,1,125,NULL,17,NULL),(28,303,1,15,2,22,98,8,11),(28,303,1,15,3,104,88,22,10),(28,303,1,15,4,38,92,2,12),(28,303,1,15,5,94,87,11,11),(28,303,1,15,6,61,147,16,13),(28,303,1,15,7,44,60,6,6),(28,303,1,15,8,40,127,10,13),(28,303,1,15,9,49,89,7,14),(28,303,1,15,10,202,26,27,1),(28,303,1,15,11,32,66,8,12),(28,303,1,15,12,55,87,9,17),(28,303,1,15,13,191,72,24,6),(28,303,1,15,14,94,89,18,4),(28,303,1,15,15,180,NULL,25,NULL),(28,303,1,15,16,169,70,27,4),(28,303,1,15,17,74,160,14,13),(28,303,1,15,18,79,77,14,6),(28,303,1,15,19,198,59,27,3),(28,303,1,15,20,135,153,24,8),(28,303,1,15,21,13,35,3,5),(28,303,1,15,22,14,64,4,13),(28,303,1,15,23,10,72,1,11),(28,303,1,15,24,6,NULL,4,NULL),(28,303,1,15,25,8,30,1,3),(28,303,1,15,26,4,45,1,14),(28,303,1,15,27,95,NULL,20,NULL),(28,303,1,15,28,4,14,NULL,4),(28,303,1,15,29,17,61,3,10),(28,303,1,15,30,22,88,6,17),(28,303,1,15,31,29,38,7,9),(28,303,1,15,32,30,73,3,14),(28,303,1,15,33,30,65,7,12),(28,303,1,15,34,121,40,20,6),(28,303,1,15,35,21,27,7,8),(28,303,1,15,36,25,NULL,12,NULL),(28,303,1,15,37,10,39,2,7),(28,303,1,15,38,22,41,12,7),(28,303,1,15,39,81,96,14,14),(28,303,1,15,40,22,NULL,7,NULL),(28,303,1,16,1,61,NULL,11,NULL),(28,303,1,16,2,4,49,1,7),(28,303,1,16,3,40,44,5,8),(28,303,1,16,4,20,35,1,4),(28,303,1,16,5,37,47,3,6),(28,303,1,16,6,15,66,2,8),(28,303,1,16,7,30,31,3,3),(28,303,1,16,8,9,65,2,10),(28,303,1,16,9,33,41,4,3),(28,303,1,16,10,85,17,13,1),(28,303,1,16,11,21,22,7,5),(28,303,1,16,12,17,26,3,5),(28,303,1,16,13,147,NULL,15,NULL),(28,303,1,16,14,113,19,11,2),(28,303,1,16,15,46,66,6,9),(28,303,1,16,16,104,NULL,13,NULL),(28,303,1,16,17,65,63,7,8),(28,303,1,16,18,27,40,2,7),(28,303,1,16,19,31,72,5,7),(28,303,1,16,20,31,58,3,4),(28,303,1,16,21,4,25,1,1),(28,303,1,16,22,6,40,NULL,2),(28,303,1,16,23,12,24,2,4),(28,303,1,16,24,3,NULL,1,NULL),(28,303,1,16,25,4,17,NULL,2),(28,303,1,16,26,1,19,NULL,3),(28,303,1,16,27,24,NULL,3,NULL),(28,303,1,16,28,4,9,NULL,NULL),(28,303,1,16,29,6,34,NULL,6),(28,303,1,16,30,14,34,1,7),(28,303,1,16,31,8,15,1,3),(28,303,1,16,32,11,34,5,7),(28,303,1,16,33,10,15,1,5),(28,303,1,16,34,28,19,9,2),(28,303,1,16,35,6,12,2,5),(28,303,1,16,36,5,NULL,3,NULL),(28,303,1,16,37,4,18,1,5),(28,303,1,16,38,8,20,5,3),(28,303,1,16,39,24,43,2,8),(28,303,1,16,40,2,NULL,1,NULL),(28,303,1,17,1,54,NULL,8,NULL),(28,303,1,17,2,2,28,1,3),(28,303,1,17,3,37,42,6,4),(28,303,1,17,4,15,43,2,2),(28,303,1,17,5,25,39,7,1),(28,303,1,17,6,14,62,1,3),(28,303,1,17,7,17,30,2,2),(28,303,1,17,8,8,52,1,5),(28,303,1,17,9,28,33,5,2),(28,303,1,17,10,78,25,8,2),(28,303,1,17,11,20,19,3,1),(28,303,1,17,12,22,21,4,2),(28,303,1,17,13,140,NULL,10,NULL),(28,303,1,17,14,108,18,8,2),(28,303,1,17,15,43,68,5,5),(28,303,1,17,16,110,NULL,7,NULL),(28,303,1,17,17,73,59,5,5),(28,303,1,17,18,28,32,2,1),(28,303,1,17,19,27,66,5,2),(28,303,1,17,20,30,40,2,NULL),(28,303,1,17,21,1,23,NULL,1),(28,303,1,17,22,6,32,NULL,2),(28,303,1,17,23,2,29,1,3),(28,303,1,17,24,2,NULL,NULL,NULL),(28,303,1,17,25,5,10,NULL,NULL),(28,303,1,17,26,3,16,NULL,1),(28,303,1,17,27,17,NULL,1,NULL),(28,303,1,17,28,NULL,7,NULL,NULL),(28,303,1,17,29,4,28,NULL,3),(28,303,1,17,30,17,34,2,3),(28,303,1,17,31,8,15,NULL,1),(28,303,1,17,32,15,28,NULL,5),(28,303,1,17,33,7,15,2,4),(28,303,1,17,34,23,27,3,3),(28,303,1,17,35,7,8,1,2),(28,303,1,17,36,2,NULL,1,NULL),(28,303,1,17,37,4,11,1,2),(28,303,1,17,38,NULL,16,NULL,4),(28,303,1,17,39,18,41,4,5),(28,303,1,17,40,9,NULL,4,NULL),(28,303,1,18,1,NULL,NULL,NULL,NULL),(28,303,1,18,2,NULL,NULL,NULL,NULL),(28,303,1,18,3,NULL,NULL,NULL,NULL),(28,303,1,18,4,NULL,NULL,NULL,NULL),(28,303,1,18,5,NULL,NULL,NULL,NULL),(28,303,1,18,6,NULL,NULL,NULL,NULL),(28,303,1,18,7,NULL,NULL,NULL,NULL),(28,303,1,18,8,NULL,NULL,NULL,NULL),(28,303,1,18,9,NULL,NULL,NULL,NULL),(28,303,1,18,10,NULL,NULL,NULL,NULL),(28,303,1,18,11,NULL,NULL,NULL,NULL),(28,303,1,18,12,NULL,NULL,NULL,NULL),(28,303,1,18,13,NULL,NULL,NULL,NULL),(28,303,1,18,14,NULL,NULL,NULL,NULL),(28,303,1,18,15,NULL,NULL,NULL,NULL),(28,303,1,18,16,NULL,NULL,NULL,NULL),(28,303,1,18,17,NULL,NULL,NULL,NULL),(28,303,1,18,18,NULL,NULL,NULL,NULL),(28,303,1,18,19,NULL,NULL,NULL,NULL),(28,303,1,18,20,NULL,NULL,NULL,NULL),(28,303,1,18,21,NULL,NULL,NULL,NULL),(28,303,1,18,22,NULL,NULL,NULL,NULL),(28,303,1,18,23,NULL,NULL,NULL,NULL),(28,303,1,18,24,NULL,NULL,NULL,NULL),(28,303,1,18,25,NULL,NULL,NULL,NULL),(28,303,1,18,26,NULL,NULL,NULL,NULL),(28,303,1,18,27,NULL,NULL,NULL,NULL),(28,303,1,18,28,NULL,NULL,NULL,NULL),(28,303,1,18,29,NULL,NULL,NULL,NULL),(28,303,1,18,30,NULL,NULL,NULL,NULL),(28,303,1,18,31,NULL,NULL,NULL,NULL),(28,303,1,18,32,NULL,NULL,NULL,NULL),(28,303,1,18,33,NULL,NULL,NULL,NULL),(28,303,1,18,34,NULL,NULL,NULL,NULL),(28,303,1,18,35,NULL,NULL,NULL,NULL),(28,303,1,18,36,NULL,NULL,NULL,NULL),(28,303,1,18,37,NULL,NULL,NULL,NULL),(28,303,1,18,38,NULL,NULL,NULL,NULL),(28,303,1,18,39,NULL,NULL,NULL,NULL),(28,303,1,18,40,NULL,NULL,NULL,NULL),(28,303,1,19,1,NULL,NULL,NULL,NULL),(28,303,1,19,2,NULL,NULL,NULL,NULL),(28,303,1,19,3,NULL,NULL,NULL,NULL),(28,303,1,19,4,NULL,NULL,NULL,NULL),(28,303,1,19,5,NULL,NULL,NULL,NULL),(28,303,1,19,6,NULL,NULL,NULL,NULL),(28,303,1,19,7,NULL,NULL,NULL,NULL),(28,303,1,19,8,NULL,NULL,NULL,NULL),(28,303,1,19,9,NULL,NULL,NULL,NULL),(28,303,1,19,10,NULL,NULL,NULL,NULL),(28,303,1,19,11,NULL,NULL,NULL,NULL),(28,303,1,19,12,NULL,NULL,NULL,NULL),(28,303,1,19,13,NULL,NULL,NULL,NULL),(28,303,1,19,14,NULL,NULL,NULL,NULL),(28,303,1,19,15,NULL,NULL,NULL,NULL),(28,303,1,19,16,NULL,NULL,NULL,NULL),(28,303,1,19,17,NULL,NULL,NULL,NULL),(28,303,1,19,18,NULL,NULL,NULL,NULL),(28,303,1,19,19,NULL,NULL,NULL,NULL),(28,303,1,19,20,NULL,NULL,NULL,NULL),(28,303,1,19,21,NULL,NULL,NULL,NULL),(28,303,1,19,22,NULL,NULL,NULL,NULL),(28,303,1,19,23,NULL,NULL,NULL,NULL),(28,303,1,19,24,NULL,NULL,NULL,NULL),(28,303,1,19,25,NULL,NULL,NULL,NULL),(28,303,1,19,26,NULL,NULL,NULL,NULL),(28,303,1,19,27,NULL,NULL,NULL,NULL),(28,303,1,19,28,NULL,NULL,NULL,NULL),(28,303,1,19,29,NULL,NULL,NULL,NULL),(28,303,1,19,30,NULL,NULL,NULL,NULL),(28,303,1,19,31,NULL,NULL,NULL,NULL),(28,303,1,19,32,NULL,NULL,NULL,NULL),(28,303,1,19,33,NULL,NULL,NULL,NULL),(28,303,1,19,34,NULL,NULL,NULL,NULL),(28,303,1,19,35,NULL,NULL,NULL,NULL),(28,303,1,19,36,NULL,NULL,NULL,NULL),(28,303,1,19,37,NULL,NULL,NULL,NULL),(28,303,1,19,38,NULL,NULL,NULL,NULL),(28,303,1,19,39,NULL,NULL,NULL,NULL),(28,303,1,19,40,NULL,NULL,NULL,NULL),(28,303,2,21,1,8,104,5,14),(28,303,2,21,2,10,67,5,15),(28,303,2,21,3,113,75,19,11),(28,303,2,21,4,9,45,2,8),(28,303,2,21,5,40,63,14,10),(28,303,2,21,6,102,88,16,11),(28,303,2,21,7,3,88,NULL,15),(28,303,2,21,8,43,60,13,7),(28,303,2,21,9,22,25,5,6),(28,303,2,21,10,68,47,17,5),(28,303,2,21,11,47,31,14,2),(28,303,2,21,12,56,79,14,6),(28,303,2,21,13,48,122,16,6),(28,303,2,21,14,81,81,21,8),(28,303,2,21,15,33,78,12,10),(28,303,2,21,16,61,108,12,11),(28,303,2,21,17,12,31,1,3),(28,303,2,21,18,84,87,12,17),(28,303,2,21,19,63,76,12,14),(28,303,2,21,20,95,60,20,4),(28,303,2,21,21,4,35,2,4),(28,303,2,21,22,50,22,17,2),(28,303,2,21,23,5,32,1,7),(28,303,2,21,24,3,43,NULL,12),(28,303,2,21,25,19,49,2,10),(28,303,2,21,26,10,46,1,4),(28,303,2,21,27,20,82,5,15),(28,303,2,21,28,6,52,1,13),(28,303,2,21,29,5,27,2,8),(28,303,2,21,30,5,28,1,6),(28,303,2,21,31,14,91,6,16),(28,303,2,21,32,7,24,3,8),(28,303,2,21,33,54,44,15,7),(28,303,2,21,34,28,71,11,12),(28,303,2,21,35,36,NULL,6,NULL),(28,303,2,21,36,3,34,NULL,9),(28,303,2,21,37,20,42,9,7),(28,303,2,21,38,5,17,3,7),(28,303,2,21,39,11,37,2,9),(28,303,2,21,40,23,115,10,10),(28,303,2,22,1,8,97,4,10),(28,303,2,22,2,3,61,2,6),(28,303,2,22,3,111,60,12,5),(28,303,2,22,4,4,37,3,2),(28,303,2,22,5,33,51,7,6),(28,303,2,22,6,106,96,9,8),(28,303,2,22,7,3,84,1,8),(28,303,2,22,8,45,55,6,4),(28,303,2,22,9,15,31,3,4),(28,303,2,22,10,59,43,6,5),(28,303,2,22,11,44,31,9,3),(28,303,2,22,12,44,79,6,1),(28,303,2,22,13,48,126,10,6),(28,303,2,22,14,72,79,14,2),(28,303,2,22,15,48,69,4,6),(28,303,2,22,16,43,90,4,9),(28,303,2,22,17,13,32,NULL,1),(28,303,2,22,18,93,80,10,7),(28,303,2,22,19,60,75,5,9),(28,303,2,22,20,93,52,14,1),(28,303,2,22,21,14,33,7,3),(28,303,2,22,22,44,22,11,2),(28,303,2,22,23,9,15,NULL,2),(28,303,2,22,24,8,43,NULL,2),(28,303,2,22,25,14,55,1,6),(28,303,2,22,26,11,43,1,2),(28,303,2,22,27,13,88,3,12),(28,303,2,22,28,3,49,NULL,7),(28,303,2,22,29,2,37,NULL,6),(28,303,2,22,30,8,32,1,8),(28,303,2,22,31,8,80,4,8),(28,303,2,22,32,2,21,1,6),(28,303,2,22,33,28,35,8,4),(28,303,2,22,34,27,46,6,4),(28,303,2,22,35,23,NULL,4,NULL),(28,303,2,22,36,1,30,NULL,6),(28,303,2,22,37,12,37,1,7),(28,303,2,22,38,2,20,NULL,8),(28,303,2,22,39,11,45,2,7),(28,303,2,22,40,20,102,4,9),(28,303,2,23,1,6,98,1,12),(28,303,2,23,2,5,85,1,10),(28,303,2,23,3,96,74,9,11),(28,303,2,23,4,7,20,1,4),(28,303,2,23,5,35,50,9,5),(28,303,2,23,6,81,95,12,7),(28,303,2,23,7,NULL,93,NULL,9),(28,303,2,23,8,37,58,9,6),(28,303,2,23,9,20,29,3,5),(28,303,2,23,10,60,60,10,8),(28,303,2,23,11,45,43,12,4),(28,303,2,23,12,53,77,8,5),(28,303,2,23,13,41,131,10,10),(28,303,2,23,14,60,92,10,7),(28,303,2,23,15,55,79,8,10),(28,303,2,23,16,54,90,6,12),(28,303,2,23,17,13,24,3,2),(28,303,2,23,18,83,80,13,7),(28,303,2,23,19,56,82,11,8),(28,303,2,23,20,83,50,11,8),(28,303,2,23,21,6,28,1,7),(28,303,2,23,22,43,28,13,2),(28,303,2,23,23,4,23,2,2),(28,303,2,23,24,9,34,2,4),(28,303,2,23,25,9,50,2,12),(28,303,2,23,26,4,38,NULL,5),(28,303,2,23,27,20,71,5,10),(28,303,2,23,28,7,45,NULL,10),(28,303,2,23,29,4,46,2,6),(28,303,2,23,30,3,25,NULL,9),(28,303,2,23,31,6,85,3,10),(28,303,2,23,32,8,27,2,5),(28,303,2,23,33,43,46,13,3),(28,303,2,23,34,26,54,7,9),(28,303,2,23,35,35,NULL,6,NULL),(28,303,2,23,36,2,35,NULL,7),(28,303,2,23,37,22,41,8,5),(28,303,2,23,38,6,21,2,4),(28,303,2,23,39,6,36,2,9),(28,303,2,23,40,19,108,4,13),(28,303,2,24,1,8,88,3,8),(28,303,2,24,2,4,73,1,11),(28,303,2,24,3,123,58,9,7),(28,303,2,24,4,3,34,1,5),(28,303,2,24,5,34,49,8,4),(28,303,2,24,6,78,96,9,5),(28,303,2,24,7,2,85,NULL,7),(28,303,2,24,8,45,53,6,6),(28,303,2,24,9,24,23,3,3),(28,303,2,24,10,56,55,9,4),(28,303,2,24,11,35,31,9,1),(28,303,2,24,12,44,78,6,5),(28,303,2,24,13,39,119,8,8),(28,303,2,24,14,64,77,11,5),(28,303,2,24,15,44,65,9,5),(28,303,2,24,16,53,89,5,9),(28,303,2,24,17,10,22,NULL,2),(28,303,2,24,18,83,77,9,8),(28,303,2,24,19,60,73,6,9),(28,303,2,24,20,79,44,12,3),(28,303,2,24,21,7,37,NULL,5),(28,303,2,24,22,37,42,13,1),(28,303,2,24,23,4,24,1,2),(28,303,2,24,24,10,36,1,4),(28,303,2,24,25,8,44,2,6),(28,303,2,24,26,13,34,2,4),(28,303,2,24,27,17,82,3,13),(28,303,2,24,28,4,49,1,10),(28,303,2,24,29,5,31,1,4),(28,303,2,24,30,6,27,1,5),(28,303,2,24,31,10,74,1,9),(28,303,2,24,32,7,16,2,3),(28,303,2,24,33,34,38,6,6),(28,303,2,24,34,31,61,10,4),(28,303,2,24,35,35,NULL,5,NULL),(28,303,2,24,36,8,28,NULL,5),(28,303,2,24,37,14,34,6,5),(28,303,2,24,38,1,26,NULL,6),(28,303,2,24,39,7,37,1,7),(28,303,2,24,40,28,84,9,6),(28,304,1,11,1,NULL,NULL,NULL,NULL),(28,304,1,11,2,NULL,NULL,NULL,NULL),(28,304,1,11,3,NULL,NULL,NULL,NULL),(28,304,1,11,4,NULL,NULL,NULL,NULL),(28,304,1,11,5,NULL,NULL,NULL,NULL),(28,304,1,11,6,NULL,NULL,NULL,NULL),(28,304,1,11,7,NULL,NULL,NULL,NULL),(28,304,1,11,8,NULL,NULL,NULL,NULL),(28,304,1,11,9,NULL,NULL,NULL,NULL),(28,304,1,11,10,NULL,NULL,NULL,NULL),(28,304,1,11,11,NULL,NULL,NULL,NULL),(28,304,1,11,12,NULL,NULL,NULL,NULL),(28,304,1,11,13,NULL,NULL,NULL,NULL),(28,304,1,11,14,NULL,NULL,NULL,NULL),(28,304,1,11,15,NULL,NULL,NULL,NULL),(28,304,1,11,16,NULL,NULL,NULL,NULL),(28,304,1,11,17,NULL,NULL,NULL,NULL),(28,304,1,11,18,NULL,NULL,NULL,NULL),(28,304,1,11,19,NULL,NULL,NULL,NULL),(28,304,1,11,20,NULL,NULL,NULL,NULL),(28,304,1,11,21,NULL,NULL,NULL,NULL),(28,304,1,11,22,NULL,NULL,NULL,NULL),(28,304,1,11,23,NULL,NULL,NULL,NULL),(28,304,1,11,24,NULL,NULL,NULL,NULL),(28,304,1,11,25,NULL,NULL,NULL,NULL),(28,304,1,11,26,NULL,NULL,NULL,NULL),(28,304,1,11,27,NULL,NULL,NULL,NULL),(28,304,1,11,28,NULL,NULL,NULL,NULL),(28,304,1,11,29,NULL,NULL,NULL,NULL),(28,304,1,11,30,NULL,NULL,NULL,NULL),(28,304,1,11,31,NULL,NULL,NULL,NULL),(28,304,1,11,32,NULL,NULL,NULL,NULL),(28,304,1,11,33,NULL,NULL,NULL,NULL),(28,304,1,11,34,NULL,NULL,NULL,NULL),(28,304,1,11,35,NULL,NULL,NULL,NULL),(28,304,1,11,36,NULL,NULL,NULL,NULL),(28,304,1,11,37,NULL,NULL,NULL,NULL),(28,304,1,11,38,NULL,NULL,NULL,NULL),(28,304,1,11,39,NULL,NULL,NULL,NULL),(28,304,1,11,40,NULL,NULL,NULL,NULL),(28,304,1,12,1,NULL,NULL,NULL,NULL),(28,304,1,12,2,NULL,1,NULL,NULL),(28,304,1,12,3,NULL,NULL,NULL,NULL),(28,304,1,12,4,NULL,1,NULL,NULL),(28,304,1,12,5,NULL,1,NULL,NULL),(28,304,1,12,6,NULL,NULL,NULL,NULL),(28,304,1,12,7,NULL,1,NULL,NULL),(28,304,1,12,8,NULL,1,NULL,NULL),(28,304,1,12,9,NULL,NULL,NULL,NULL),(28,304,1,12,10,NULL,NULL,NULL,NULL),(28,304,1,12,11,NULL,NULL,NULL,NULL),(28,304,1,12,12,NULL,1,NULL,NULL),(28,304,1,12,13,1,NULL,NULL,NULL),(28,304,1,12,14,1,NULL,NULL,NULL),(28,304,1,12,15,1,NULL,NULL,NULL),(28,304,1,12,16,1,NULL,NULL,NULL),(28,304,1,12,17,1,NULL,NULL,NULL),(28,304,1,12,18,1,NULL,NULL,NULL),(28,304,1,12,19,1,NULL,NULL,NULL),(28,304,1,12,20,1,NULL,NULL,NULL),(28,304,1,12,21,NULL,1,NULL,NULL),(28,304,1,12,22,NULL,NULL,NULL,NULL),(28,304,1,12,23,NULL,NULL,NULL,NULL),(28,304,1,12,24,NULL,NULL,NULL,NULL),(28,304,1,12,25,NULL,NULL,NULL,NULL),(28,304,1,12,26,NULL,NULL,NULL,NULL),(28,304,1,12,27,NULL,NULL,NULL,NULL),(28,304,1,12,28,NULL,NULL,NULL,NULL),(28,304,1,12,29,NULL,NULL,NULL,NULL),(28,304,1,12,30,NULL,NULL,NULL,NULL),(28,304,1,12,31,NULL,NULL,NULL,NULL),(28,304,1,12,32,NULL,NULL,NULL,NULL),(28,304,1,12,33,NULL,NULL,NULL,NULL),(28,304,1,12,34,1,NULL,NULL,NULL),(28,304,1,12,35,NULL,NULL,NULL,NULL),(28,304,1,12,36,NULL,NULL,NULL,NULL),(28,304,1,12,37,NULL,1,NULL,NULL),(28,304,1,12,38,NULL,NULL,NULL,NULL),(28,304,1,12,39,NULL,NULL,NULL,NULL),(28,304,1,12,40,NULL,NULL,NULL,NULL),(28,304,1,13,1,1,NULL,1,NULL),(28,304,1,13,2,NULL,NULL,NULL,NULL),(28,304,1,13,3,NULL,NULL,NULL,NULL),(28,304,1,13,4,NULL,NULL,NULL,NULL),(28,304,1,13,5,NULL,NULL,NULL,NULL),(28,304,1,13,6,NULL,NULL,NULL,NULL),(28,304,1,13,7,NULL,1,NULL,1),(28,304,1,13,8,NULL,NULL,NULL,NULL),(28,304,1,13,9,NULL,NULL,NULL,NULL),(28,304,1,13,10,NULL,NULL,NULL,NULL),(28,304,1,13,11,NULL,1,NULL,1),(28,304,1,13,12,NULL,NULL,NULL,NULL),(28,304,1,13,13,1,NULL,1,NULL),(28,304,1,13,14,NULL,1,NULL,1),(28,304,1,13,15,NULL,1,NULL,1),(28,304,1,13,16,1,NULL,1,NULL),(28,304,1,13,17,NULL,NULL,NULL,NULL),(28,304,1,13,18,NULL,NULL,NULL,NULL),(28,304,1,13,19,1,NULL,1,NULL),(28,304,1,13,20,NULL,NULL,NULL,NULL),(28,304,1,13,21,NULL,NULL,NULL,NULL),(28,304,1,13,22,NULL,1,NULL,1),(28,304,1,13,23,NULL,NULL,NULL,NULL),(28,304,1,13,24,NULL,NULL,NULL,NULL),(28,304,1,13,25,NULL,NULL,NULL,NULL),(28,304,1,13,26,NULL,NULL,NULL,NULL),(28,304,1,13,27,1,NULL,1,NULL),(28,304,1,13,28,NULL,NULL,NULL,NULL),(28,304,1,13,29,NULL,1,NULL,1),(28,304,1,13,30,NULL,1,NULL,1),(28,304,1,13,31,NULL,NULL,NULL,NULL),(28,304,1,13,32,NULL,1,NULL,1),(28,304,1,13,33,NULL,1,NULL,1),(28,304,1,13,34,NULL,NULL,NULL,NULL),(28,304,1,13,35,NULL,1,NULL,1),(28,304,1,13,36,NULL,NULL,NULL,NULL),(28,304,1,13,37,NULL,NULL,NULL,NULL),(28,304,1,13,38,NULL,NULL,NULL,NULL),(28,304,1,13,39,NULL,1,NULL,1),(28,304,1,13,40,NULL,NULL,NULL,NULL),(28,304,1,14,1,25,NULL,14,NULL),(28,304,1,14,2,2,24,2,15),(28,304,1,14,3,15,15,9,11),(28,304,1,14,4,7,14,3,7),(28,304,1,14,5,18,11,11,8),(28,304,1,14,6,3,24,3,13),(28,304,1,14,7,7,13,3,9),(28,304,1,14,8,6,20,2,15),(28,304,1,14,9,6,12,4,9),(28,304,1,14,10,24,5,18,3),(28,304,1,14,11,4,8,4,6),(28,304,1,14,12,12,10,10,6),(28,304,1,14,13,31,16,19,8),(28,304,1,14,14,17,12,9,9),(28,304,1,14,15,29,NULL,19,NULL),(28,304,1,14,16,22,16,14,10),(28,304,1,14,17,13,32,10,18),(28,304,1,14,18,14,18,9,10),(28,304,1,14,19,31,12,20,7),(28,304,1,14,20,23,23,19,11),(28,304,1,14,21,5,7,3,4),(28,304,1,14,22,NULL,10,NULL,6),(28,304,1,14,23,5,5,5,3),(28,304,1,14,24,2,NULL,2,NULL),(28,304,1,14,25,3,9,NULL,6),(28,304,1,14,26,NULL,10,NULL,6),(28,304,1,14,27,12,NULL,8,NULL),(28,304,1,14,28,NULL,3,NULL,1),(28,304,1,14,29,2,9,2,6),(28,304,1,14,30,7,15,4,13),(28,304,1,14,31,3,7,3,5),(28,304,1,14,32,9,7,8,3),(28,304,1,14,33,7,11,4,8),(28,304,1,14,34,16,10,11,4),(28,304,1,14,35,NULL,4,NULL,3),(28,304,1,14,36,3,NULL,3,NULL),(28,304,1,14,37,1,3,NULL,1),(28,304,1,14,38,1,8,1,6),(28,304,1,14,39,8,22,6,14),(28,304,1,14,40,5,NULL,3,NULL),(28,304,1,15,1,21,NULL,17,NULL),(28,304,1,15,2,NULL,20,NULL,17),(28,304,1,15,3,11,12,9,9),(28,304,1,15,4,11,9,9,4),(28,304,1,15,5,20,10,16,6),(28,304,1,15,6,5,23,4,17),(28,304,1,15,7,5,9,4,5),(28,304,1,15,8,1,19,1,16),(28,304,1,15,9,4,13,3,9),(28,304,1,15,10,23,6,17,4),(28,304,1,15,11,1,10,NULL,6),(28,304,1,15,12,4,12,4,11),(28,304,1,15,13,30,12,23,7),(28,304,1,15,14,11,15,9,11),(28,304,1,15,15,33,NULL,25,NULL),(28,304,1,15,16,21,18,17,11),(28,304,1,15,17,14,19,12,10),(28,304,1,15,18,12,10,10,7),(28,304,1,15,19,32,8,24,3),(28,304,1,15,20,24,18,19,10),(28,304,1,15,21,2,3,1,1),(28,304,1,15,22,3,12,3,8),(28,304,1,15,23,2,6,1,3),(28,304,1,15,24,NULL,NULL,NULL,NULL),(28,304,1,15,25,2,7,1,2),(28,304,1,15,26,1,8,NULL,6),(28,304,1,15,27,16,NULL,13,NULL),(28,304,1,15,28,NULL,2,NULL,1),(28,304,1,15,29,3,9,2,7),(28,304,1,15,30,4,15,4,11),(28,304,1,15,31,NULL,3,NULL,3),(28,304,1,15,32,7,6,6,5),(28,304,1,15,33,5,10,5,8),(28,304,1,15,34,16,5,14,3),(28,304,1,15,35,2,7,1,4),(28,304,1,15,36,1,NULL,1,NULL),(28,304,1,15,37,2,5,1,4),(28,304,1,15,38,2,3,1,3),(28,304,1,15,39,10,15,8,10),(28,304,1,15,40,2,NULL,2,NULL),(28,304,1,16,1,8,NULL,7,NULL),(28,304,1,16,2,NULL,6,NULL,4),(28,304,1,16,3,4,7,1,5),(28,304,1,16,4,1,2,1,1),(28,304,1,16,5,NULL,7,NULL,4),(28,304,1,16,6,NULL,6,NULL,3),(28,304,1,16,7,2,7,1,4),(28,304,1,16,8,1,5,NULL,2),(28,304,1,16,9,1,2,NULL,1),(28,304,1,16,10,8,3,4,1),(28,304,1,16,11,1,6,NULL,5),(28,304,1,16,12,NULL,4,NULL,3),(28,304,1,16,13,18,NULL,8,NULL),(28,304,1,16,14,12,5,7,2),(28,304,1,16,15,1,14,NULL,8),(28,304,1,16,16,16,NULL,7,NULL),(28,304,1,16,17,9,8,5,4),(28,304,1,16,18,4,7,NULL,4),(28,304,1,16,19,3,8,3,4),(28,304,1,16,20,1,9,NULL,5),(28,304,1,16,21,NULL,2,NULL,NULL),(28,304,1,16,22,NULL,2,NULL,NULL),(28,304,1,16,23,1,6,NULL,3),(28,304,1,16,24,NULL,NULL,NULL,NULL),(28,304,1,16,25,NULL,1,NULL,NULL),(28,304,1,16,26,NULL,1,NULL,1),(28,304,1,16,27,3,NULL,1,NULL),(28,304,1,16,28,NULL,NULL,NULL,NULL),(28,304,1,16,29,NULL,8,NULL,3),(28,304,1,16,30,1,5,1,4),(28,304,1,16,31,NULL,2,NULL,1),(28,304,1,16,32,2,3,1,2),(28,304,1,16,33,1,NULL,1,NULL),(28,304,1,16,34,2,3,1,2),(28,304,1,16,35,NULL,1,NULL,NULL),(28,304,1,16,36,1,NULL,1,NULL),(28,304,1,16,37,1,2,NULL,1),(28,304,1,16,38,NULL,2,NULL,1),(28,304,1,16,39,2,5,1,3),(28,304,1,16,40,4,NULL,3,NULL),(28,304,1,17,1,7,NULL,5,NULL),(28,304,1,17,2,NULL,11,NULL,7),(28,304,1,17,3,3,7,1,6),(28,304,1,17,4,1,6,1,2),(28,304,1,17,5,5,4,3,3),(28,304,1,17,6,1,6,NULL,3),(28,304,1,17,7,NULL,7,NULL,3),(28,304,1,17,8,1,8,NULL,4),(28,304,1,17,9,2,10,1,4),(28,304,1,17,10,11,5,6,4),(28,304,1,17,11,2,2,2,2),(28,304,1,17,12,NULL,5,NULL,3),(28,304,1,17,13,28,NULL,12,NULL),(28,304,1,17,14,20,6,7,4),(28,304,1,17,15,8,15,5,6),(28,304,1,17,16,26,NULL,10,NULL),(28,304,1,17,17,10,12,3,6),(28,304,1,17,18,6,7,2,4),(28,304,1,17,19,6,9,3,2),(28,304,1,17,20,6,8,2,3),(28,304,1,17,21,NULL,4,NULL,1),(28,304,1,17,22,NULL,4,NULL,2),(28,304,1,17,23,NULL,5,NULL,2),(28,304,1,17,24,NULL,NULL,NULL,NULL),(28,304,1,17,25,1,4,NULL,3),(28,304,1,17,26,1,NULL,NULL,NULL),(28,304,1,17,27,6,NULL,2,NULL),(28,304,1,17,28,NULL,NULL,NULL,NULL),(28,304,1,17,29,NULL,9,NULL,5),(28,304,1,17,30,1,5,1,2),(28,304,1,17,31,NULL,1,NULL,NULL),(28,304,1,17,32,3,7,NULL,3),(28,304,1,17,33,2,5,2,3),(28,304,1,17,34,8,5,5,4),(28,304,1,17,35,1,2,1,1),(28,304,1,17,36,NULL,NULL,NULL,NULL),(28,304,1,17,37,NULL,2,NULL,1),(28,304,1,17,38,2,5,1,2),(28,304,1,17,39,3,9,NULL,4),(28,304,1,17,40,NULL,NULL,NULL,NULL),(28,304,1,18,1,NULL,NULL,NULL,NULL),(28,304,1,18,2,NULL,NULL,NULL,NULL),(28,304,1,18,3,NULL,NULL,NULL,NULL),(28,304,1,18,4,NULL,NULL,NULL,NULL),(28,304,1,18,5,NULL,NULL,NULL,NULL),(28,304,1,18,6,NULL,NULL,NULL,NULL),(28,304,1,18,7,NULL,NULL,NULL,NULL),(28,304,1,18,8,NULL,NULL,NULL,NULL),(28,304,1,18,9,NULL,NULL,NULL,NULL),(28,304,1,18,10,NULL,NULL,NULL,NULL),(28,304,1,18,11,NULL,NULL,NULL,NULL),(28,304,1,18,12,NULL,NULL,NULL,NULL),(28,304,1,18,13,NULL,NULL,NULL,NULL),(28,304,1,18,14,NULL,NULL,NULL,NULL),(28,304,1,18,15,NULL,NULL,NULL,NULL),(28,304,1,18,16,NULL,NULL,NULL,NULL),(28,304,1,18,17,NULL,NULL,NULL,NULL),(28,304,1,18,18,NULL,NULL,NULL,NULL),(28,304,1,18,19,NULL,NULL,NULL,NULL),(28,304,1,18,20,NULL,NULL,NULL,NULL),(28,304,1,18,21,NULL,NULL,NULL,NULL),(28,304,1,18,22,NULL,NULL,NULL,NULL),(28,304,1,18,23,NULL,NULL,NULL,NULL),(28,304,1,18,24,NULL,NULL,NULL,NULL),(28,304,1,18,25,NULL,NULL,NULL,NULL),(28,304,1,18,26,NULL,NULL,NULL,NULL),(28,304,1,18,27,NULL,NULL,NULL,NULL),(28,304,1,18,28,NULL,NULL,NULL,NULL),(28,304,1,18,29,NULL,NULL,NULL,NULL),(28,304,1,18,30,NULL,NULL,NULL,NULL),(28,304,1,18,31,NULL,NULL,NULL,NULL),(28,304,1,18,32,NULL,NULL,NULL,NULL),(28,304,1,18,33,NULL,NULL,NULL,NULL),(28,304,1,18,34,NULL,NULL,NULL,NULL),(28,304,1,18,35,NULL,NULL,NULL,NULL),(28,304,1,18,36,NULL,NULL,NULL,NULL),(28,304,1,18,37,NULL,NULL,NULL,NULL),(28,304,1,18,38,NULL,NULL,NULL,NULL),(28,304,1,18,39,NULL,NULL,NULL,NULL),(28,304,1,18,40,NULL,NULL,NULL,NULL),(28,304,1,19,1,NULL,NULL,NULL,NULL),(28,304,1,19,2,NULL,NULL,NULL,NULL),(28,304,1,19,3,NULL,NULL,NULL,NULL),(28,304,1,19,4,NULL,NULL,NULL,NULL),(28,304,1,19,5,NULL,NULL,NULL,NULL),(28,304,1,19,6,NULL,NULL,NULL,NULL),(28,304,1,19,7,NULL,NULL,NULL,NULL),(28,304,1,19,8,NULL,NULL,NULL,NULL),(28,304,1,19,9,NULL,NULL,NULL,NULL),(28,304,1,19,10,NULL,NULL,NULL,NULL),(28,304,1,19,11,NULL,NULL,NULL,NULL),(28,304,1,19,12,NULL,NULL,NULL,NULL),(28,304,1,19,13,NULL,NULL,NULL,NULL),(28,304,1,19,14,NULL,NULL,NULL,NULL),(28,304,1,19,15,NULL,NULL,NULL,NULL),(28,304,1,19,16,NULL,NULL,NULL,NULL),(28,304,1,19,17,NULL,NULL,NULL,NULL),(28,304,1,19,18,NULL,NULL,NULL,NULL),(28,304,1,19,19,NULL,NULL,NULL,NULL),(28,304,1,19,20,NULL,NULL,NULL,NULL),(28,304,1,19,21,NULL,NULL,NULL,NULL),(28,304,1,19,22,NULL,NULL,NULL,NULL),(28,304,1,19,23,NULL,NULL,NULL,NULL),(28,304,1,19,24,NULL,NULL,NULL,NULL),(28,304,1,19,25,NULL,NULL,NULL,NULL),(28,304,1,19,26,NULL,NULL,NULL,NULL),(28,304,1,19,27,NULL,NULL,NULL,NULL),(28,304,1,19,28,NULL,NULL,NULL,NULL),(28,304,1,19,29,NULL,NULL,NULL,NULL),(28,304,1,19,30,NULL,NULL,NULL,NULL),(28,304,1,19,31,NULL,NULL,NULL,NULL),(28,304,1,19,32,NULL,NULL,NULL,NULL),(28,304,1,19,33,NULL,NULL,NULL,NULL),(28,304,1,19,34,NULL,NULL,NULL,NULL),(28,304,1,19,35,NULL,NULL,NULL,NULL),(28,304,1,19,36,NULL,NULL,NULL,NULL),(28,304,1,19,37,NULL,NULL,NULL,NULL),(28,304,1,19,38,NULL,NULL,NULL,NULL),(28,304,1,19,39,NULL,NULL,NULL,NULL),(28,304,1,19,40,NULL,NULL,NULL,NULL),(28,304,2,21,1,2,14,2,9),(28,304,2,21,2,1,18,1,13),(28,304,2,21,3,20,12,13,7),(28,304,2,21,4,NULL,3,NULL,3),(28,304,2,21,5,10,9,6,5),(28,304,2,21,6,13,16,8,8),(28,304,2,21,7,1,12,NULL,4),(28,304,2,21,8,3,11,2,7),(28,304,2,21,9,2,4,2,2),(28,304,2,21,10,15,9,11,4),(28,304,2,21,11,9,4,8,2),(28,304,2,21,12,9,12,6,7),(28,304,2,21,13,7,23,5,13),(28,304,2,21,14,12,14,9,7),(28,304,2,21,15,7,9,6,6),(28,304,2,21,16,5,15,3,9),(28,304,2,21,17,NULL,3,NULL,2),(28,304,2,21,18,18,15,12,9),(28,304,2,21,19,9,13,6,11),(28,304,2,21,20,13,9,9,4),(28,304,2,21,21,2,11,2,7),(28,304,2,21,22,12,7,8,5),(28,304,2,21,23,2,7,1,5),(28,304,2,21,24,NULL,6,NULL,2),(28,304,2,21,25,2,8,1,6),(28,304,2,21,26,1,9,1,5),(28,304,2,21,27,5,17,4,12),(28,304,2,21,28,2,7,2,7),(28,304,2,21,29,NULL,9,NULL,6),(28,304,2,21,30,NULL,3,NULL,2),(28,304,2,21,31,NULL,17,NULL,10),(28,304,2,21,32,NULL,5,NULL,4),(28,304,2,21,33,7,6,6,5),(28,304,2,21,34,3,13,2,7),(28,304,2,21,35,6,NULL,3,NULL),(28,304,2,21,36,NULL,4,NULL,1),(28,304,2,21,37,2,7,1,3),(28,304,2,21,38,NULL,4,NULL,2),(28,304,2,21,39,1,4,1,3),(28,304,2,21,40,7,20,6,11),(28,304,2,22,1,1,20,1,12),(28,304,2,22,2,2,12,2,9),(28,304,2,22,3,20,9,12,7),(28,304,2,22,4,NULL,8,NULL,3),(28,304,2,22,5,5,6,3,2),(28,304,2,22,6,15,15,9,9),(28,304,2,22,7,NULL,18,NULL,12),(28,304,2,22,8,12,14,5,11),(28,304,2,22,9,NULL,7,NULL,5),(28,304,2,22,10,11,7,8,4),(28,304,2,22,11,8,4,7,3),(28,304,2,22,12,10,14,9,7),(28,304,2,22,13,4,22,3,12),(28,304,2,22,14,16,9,12,4),(28,304,2,22,15,10,13,5,9),(28,304,2,22,16,8,19,6,12),(28,304,2,22,17,NULL,5,NULL,2),(28,304,2,22,18,13,14,10,6),(28,304,2,22,19,14,11,9,5),(28,304,2,22,20,21,4,15,2),(28,304,2,22,21,1,8,1,6),(28,304,2,22,22,6,7,6,5),(28,304,2,22,23,NULL,5,NULL,5),(28,304,2,22,24,4,6,3,5),(28,304,2,22,25,NULL,9,NULL,5),(28,304,2,22,26,1,8,NULL,4),(28,304,2,22,27,4,8,4,5),(28,304,2,22,28,2,9,1,7),(28,304,2,22,29,NULL,4,NULL,4),(28,304,2,22,30,NULL,2,NULL,1),(28,304,2,22,31,NULL,12,NULL,8),(28,304,2,22,32,1,4,1,3),(28,304,2,22,33,3,6,3,5),(28,304,2,22,34,3,9,3,7),(28,304,2,22,35,4,NULL,3,NULL),(28,304,2,22,36,1,3,1,1),(28,304,2,22,37,1,4,1,3),(28,304,2,22,38,NULL,4,NULL,4),(28,304,2,22,39,2,5,2,3),(28,304,2,22,40,3,16,2,8),(28,304,2,23,1,2,12,2,8),(28,304,2,23,2,1,10,1,8),(28,304,2,23,3,10,14,6,12),(28,304,2,23,4,NULL,2,NULL,2),(28,304,2,23,5,6,8,5,8),(28,304,2,23,6,11,22,6,15),(28,304,2,23,7,1,20,1,12),(28,304,2,23,8,8,10,5,5),(28,304,2,23,9,2,3,1,3),(28,304,2,23,10,12,8,9,6),(28,304,2,23,11,3,6,2,5),(28,304,2,23,12,5,13,4,7),(28,304,2,23,13,11,21,9,11),(28,304,2,23,14,13,10,9,8),(28,304,2,23,15,10,12,7,8),(28,304,2,23,16,9,16,7,10),(28,304,2,23,17,1,6,1,3),(28,304,2,23,18,13,12,9,10),(28,304,2,23,19,12,10,8,8),(28,304,2,23,20,16,5,12,4),(28,304,2,23,21,NULL,4,NULL,2),(28,304,2,23,22,10,4,8,3),(28,304,2,23,23,2,5,2,5),(28,304,2,23,24,2,7,2,5),(28,304,2,23,25,2,5,1,4),(28,304,2,23,26,1,8,1,4),(28,304,2,23,27,3,10,3,9),(28,304,2,23,28,1,7,NULL,5),(28,304,2,23,29,NULL,5,NULL,5),(28,304,2,23,30,2,6,1,6),(28,304,2,23,31,NULL,14,NULL,8),(28,304,2,23,32,NULL,9,NULL,8),(28,304,2,23,33,4,10,4,6),(28,304,2,23,34,3,6,2,6),(28,304,2,23,35,9,NULL,7,NULL),(28,304,2,23,36,NULL,3,NULL,3),(28,304,2,23,37,1,3,1,2),(28,304,2,23,38,1,3,NULL,2),(28,304,2,23,39,NULL,11,NULL,7),(28,304,2,23,40,2,20,1,14),(28,304,2,24,1,1,13,1,6),(28,304,2,24,2,1,12,1,7),(28,304,2,24,3,14,9,10,6),(28,304,2,24,4,NULL,8,NULL,5),(28,304,2,24,5,5,8,4,6),(28,304,2,24,6,9,24,6,12),(28,304,2,24,7,2,14,1,10),(28,304,2,24,8,6,10,5,6),(28,304,2,24,9,4,5,2,4),(28,304,2,24,10,7,11,3,8),(28,304,2,24,11,4,6,3,6),(28,304,2,24,12,2,12,2,4),(28,304,2,24,13,4,22,3,13),(28,304,2,24,14,9,11,7,5),(28,304,2,24,15,4,10,1,6),(28,304,2,24,16,7,12,4,7),(28,304,2,24,17,2,6,NULL,4),(28,304,2,24,18,15,12,10,6),(28,304,2,24,19,5,16,4,8),(28,304,2,24,20,8,11,4,7),(28,304,2,24,21,2,4,1,3),(28,304,2,24,22,3,4,3,2),(28,304,2,24,23,2,5,1,4),(28,304,2,24,24,NULL,6,NULL,3),(28,304,2,24,25,NULL,4,NULL,3),(28,304,2,24,26,2,4,NULL,NULL),(28,304,2,24,27,1,10,1,7),(28,304,2,24,28,NULL,5,NULL,5),(28,304,2,24,29,NULL,6,NULL,5),(28,304,2,24,30,NULL,NULL,NULL,NULL),(28,304,2,24,31,1,13,1,7),(28,304,2,24,32,NULL,1,NULL,NULL),(28,304,2,24,33,4,9,4,6),(28,304,2,24,34,1,6,NULL,5),(28,304,2,24,35,3,NULL,1,NULL),(28,304,2,24,36,NULL,1,NULL,1),(28,304,2,24,37,2,5,2,3),(28,304,2,24,38,NULL,4,NULL,1),(28,304,2,24,39,1,6,1,6),(28,304,2,24,40,3,17,3,11),(28,308,1,11,1,NULL,NULL,NULL,NULL),(28,308,1,11,2,NULL,NULL,NULL,NULL),(28,308,1,11,3,NULL,NULL,NULL,NULL),(28,308,1,11,4,NULL,NULL,NULL,NULL),(28,308,1,11,5,NULL,NULL,NULL,NULL),(28,308,1,11,6,NULL,NULL,NULL,NULL),(28,308,1,11,7,NULL,NULL,NULL,NULL),(28,308,1,11,8,NULL,NULL,NULL,NULL),(28,308,1,11,9,NULL,NULL,NULL,NULL),(28,308,1,11,10,NULL,NULL,NULL,NULL),(28,308,1,11,11,NULL,NULL,NULL,NULL),(28,308,1,11,12,NULL,NULL,NULL,NULL),(28,308,1,11,13,NULL,NULL,NULL,NULL),(28,308,1,11,14,NULL,NULL,NULL,NULL),(28,308,1,11,15,NULL,NULL,NULL,NULL),(28,308,1,11,16,NULL,NULL,NULL,NULL),(28,308,1,11,17,NULL,NULL,NULL,NULL),(28,308,1,11,18,NULL,NULL,NULL,NULL),(28,308,1,11,19,NULL,NULL,NULL,NULL),(28,308,1,11,20,NULL,NULL,NULL,NULL),(28,308,1,11,21,NULL,NULL,NULL,NULL),(28,308,1,11,22,NULL,NULL,NULL,NULL),(28,308,1,11,23,NULL,NULL,NULL,NULL),(28,308,1,11,24,NULL,NULL,NULL,NULL),(28,308,1,11,25,NULL,NULL,NULL,NULL),(28,308,1,11,26,NULL,NULL,NULL,NULL),(28,308,1,11,27,NULL,NULL,NULL,NULL),(28,308,1,11,28,NULL,NULL,NULL,NULL),(28,308,1,11,29,NULL,NULL,NULL,NULL),(28,308,1,11,30,NULL,NULL,NULL,NULL),(28,308,1,11,31,NULL,NULL,NULL,NULL),(28,308,1,11,32,NULL,NULL,NULL,NULL),(28,308,1,11,33,NULL,NULL,NULL,NULL),(28,308,1,11,34,NULL,NULL,NULL,NULL),(28,308,1,11,35,NULL,NULL,NULL,NULL),(28,308,1,11,36,NULL,NULL,NULL,NULL),(28,308,1,11,37,NULL,NULL,NULL,NULL),(28,308,1,11,38,NULL,NULL,NULL,NULL),(28,308,1,11,39,NULL,NULL,NULL,NULL),(28,308,1,11,40,NULL,NULL,NULL,NULL),(28,308,1,12,1,NULL,NULL,NULL,NULL),(28,308,1,12,2,NULL,NULL,NULL,NULL),(28,308,1,12,3,NULL,NULL,NULL,NULL),(28,308,1,12,4,NULL,NULL,NULL,NULL),(28,308,1,12,5,NULL,NULL,NULL,NULL),(28,308,1,12,6,NULL,NULL,NULL,NULL),(28,308,1,12,7,NULL,NULL,NULL,NULL),(28,308,1,12,8,NULL,NULL,NULL,NULL),(28,308,1,12,9,NULL,NULL,NULL,NULL),(28,308,1,12,10,NULL,NULL,NULL,NULL),(28,308,1,12,11,NULL,NULL,NULL,NULL),(28,308,1,12,12,NULL,NULL,NULL,NULL),(28,308,1,12,13,NULL,NULL,NULL,NULL),(28,308,1,12,14,NULL,NULL,NULL,NULL),(28,308,1,12,15,NULL,NULL,NULL,NULL),(28,308,1,12,16,NULL,NULL,NULL,NULL),(28,308,1,12,17,NULL,NULL,NULL,NULL),(28,308,1,12,18,NULL,NULL,NULL,NULL),(28,308,1,12,19,NULL,NULL,NULL,NULL),(28,308,1,12,20,NULL,NULL,NULL,NULL),(28,308,1,12,21,NULL,NULL,NULL,NULL),(28,308,1,12,22,NULL,NULL,NULL,NULL),(28,308,1,12,23,NULL,NULL,NULL,NULL),(28,308,1,12,24,NULL,NULL,NULL,NULL),(28,308,1,12,25,NULL,NULL,NULL,NULL),(28,308,1,12,26,NULL,NULL,NULL,NULL),(28,308,1,12,27,NULL,NULL,NULL,NULL),(28,308,1,12,28,NULL,NULL,NULL,NULL),(28,308,1,12,29,NULL,NULL,NULL,NULL),(28,308,1,12,30,NULL,NULL,NULL,NULL),(28,308,1,12,31,NULL,NULL,NULL,NULL),(28,308,1,12,32,NULL,NULL,NULL,NULL),(28,308,1,12,33,NULL,NULL,NULL,NULL),(28,308,1,12,34,NULL,NULL,NULL,NULL),(28,308,1,12,35,NULL,NULL,NULL,NULL),(28,308,1,12,36,NULL,NULL,NULL,NULL),(28,308,1,12,37,NULL,NULL,NULL,NULL),(28,308,1,12,38,NULL,NULL,NULL,NULL),(28,308,1,12,39,NULL,NULL,NULL,NULL),(28,308,1,12,40,NULL,NULL,NULL,NULL),(28,308,1,13,1,NULL,NULL,NULL,NULL),(28,308,1,13,2,NULL,NULL,NULL,NULL),(28,308,1,13,3,NULL,NULL,NULL,NULL),(28,308,1,13,4,NULL,NULL,NULL,NULL),(28,308,1,13,5,NULL,NULL,NULL,NULL),(28,308,1,13,6,NULL,NULL,NULL,NULL),(28,308,1,13,7,NULL,NULL,NULL,NULL),(28,308,1,13,8,NULL,NULL,NULL,NULL),(28,308,1,13,9,NULL,NULL,NULL,NULL),(28,308,1,13,10,NULL,NULL,NULL,NULL),(28,308,1,13,11,NULL,NULL,NULL,NULL),(28,308,1,13,12,NULL,NULL,NULL,NULL),(28,308,1,13,13,NULL,NULL,NULL,NULL),(28,308,1,13,14,NULL,NULL,NULL,NULL),(28,308,1,13,15,NULL,NULL,NULL,NULL),(28,308,1,13,16,NULL,NULL,NULL,NULL),(28,308,1,13,17,NULL,NULL,NULL,NULL),(28,308,1,13,18,NULL,NULL,NULL,NULL),(28,308,1,13,19,NULL,NULL,NULL,NULL),(28,308,1,13,20,NULL,NULL,NULL,NULL),(28,308,1,13,21,NULL,NULL,NULL,NULL),(28,308,1,13,22,NULL,NULL,NULL,NULL),(28,308,1,13,23,NULL,NULL,NULL,NULL),(28,308,1,13,24,NULL,NULL,NULL,NULL),(28,308,1,13,25,NULL,NULL,NULL,NULL),(28,308,1,13,26,NULL,NULL,NULL,NULL),(28,308,1,13,27,NULL,NULL,NULL,NULL),(28,308,1,13,28,NULL,NULL,NULL,NULL),(28,308,1,13,29,NULL,NULL,NULL,NULL),(28,308,1,13,30,NULL,NULL,NULL,NULL),(28,308,1,13,31,NULL,NULL,NULL,NULL),(28,308,1,13,32,NULL,NULL,NULL,NULL),(28,308,1,13,33,NULL,NULL,NULL,NULL),(28,308,1,13,34,NULL,NULL,NULL,NULL),(28,308,1,13,35,NULL,NULL,NULL,NULL),(28,308,1,13,36,NULL,NULL,NULL,NULL),(28,308,1,13,37,NULL,NULL,NULL,NULL),(28,308,1,13,38,NULL,NULL,NULL,NULL),(28,308,1,13,39,NULL,NULL,NULL,NULL),(28,308,1,13,40,NULL,NULL,NULL,NULL),(28,308,1,14,1,10,NULL,8,NULL),(28,308,1,14,2,1,13,1,11),(28,308,1,14,3,7,5,7,5),(28,308,1,14,4,3,6,1,6),(28,308,1,14,5,11,8,7,7),(28,308,1,14,6,NULL,21,NULL,18),(28,308,1,14,7,4,17,3,14),(28,308,1,14,8,2,14,2,12),(28,308,1,14,9,5,13,4,8),(28,308,1,14,10,13,5,11,4),(28,308,1,14,11,1,7,1,7),(28,308,1,14,12,3,8,3,5),(28,308,1,14,13,13,13,11,9),(28,308,1,14,14,8,6,8,5),(28,308,1,14,15,14,NULL,11,NULL),(28,308,1,14,16,13,6,12,5),(28,308,1,14,17,7,14,7,10),(28,308,1,14,18,5,4,5,4),(28,308,1,14,19,16,10,13,6),(28,308,1,14,20,10,18,9,13),(28,308,1,14,21,2,5,1,1),(28,308,1,14,22,1,9,1,4),(28,308,1,14,23,4,9,1,8),(28,308,1,14,24,1,NULL,1,NULL),(28,308,1,14,25,2,5,1,3),(28,308,1,14,26,NULL,4,NULL,3),(28,308,1,14,27,11,NULL,11,NULL),(28,308,1,14,28,NULL,1,NULL,1),(28,308,1,14,29,3,3,3,3),(28,308,1,14,30,5,11,2,7),(28,308,1,14,31,1,3,1,2),(28,308,1,14,32,5,6,4,5),(28,308,1,14,33,1,4,1,4),(28,308,1,14,34,4,4,3,3),(28,308,1,14,35,NULL,NULL,NULL,NULL),(28,308,1,14,36,NULL,NULL,NULL,NULL),(28,308,1,14,37,3,5,3,4),(28,308,1,14,38,NULL,5,NULL,3),(28,308,1,14,39,5,7,4,7),(28,308,1,14,40,2,NULL,2,NULL),(28,308,1,15,1,14,NULL,12,NULL),(28,308,1,15,2,NULL,12,NULL,7),(28,308,1,15,3,8,11,7,8),(28,308,1,15,4,4,4,3,3),(28,308,1,15,5,4,5,2,5),(28,308,1,15,6,2,9,1,2),(28,308,1,15,7,1,11,NULL,7),(28,308,1,15,8,1,11,1,10),(28,308,1,15,9,4,8,2,6),(28,308,1,15,10,7,10,5,7),(28,308,1,15,11,1,8,1,7),(28,308,1,15,12,4,7,4,6),(28,308,1,15,13,12,10,10,7),(28,308,1,15,14,5,8,4,6),(28,308,1,15,15,15,NULL,11,NULL),(28,308,1,15,16,10,7,7,4),(28,308,1,15,17,2,20,2,11),(28,308,1,15,18,4,6,4,3),(28,308,1,15,19,11,10,9,4),(28,308,1,15,20,9,17,6,8),(28,308,1,15,21,2,9,1,4),(28,308,1,15,22,2,4,1,1),(28,308,1,15,23,1,9,NULL,5),(28,308,1,15,24,1,NULL,1,NULL),(28,308,1,15,25,1,3,NULL,1),(28,308,1,15,26,2,7,1,2),(28,308,1,15,27,3,NULL,2,NULL),(28,308,1,15,28,NULL,3,NULL,2),(28,308,1,15,29,2,6,1,3),(28,308,1,15,30,6,7,4,6),(28,308,1,15,31,1,1,1,1),(28,308,1,15,32,1,9,1,8),(28,308,1,15,33,1,2,1,2),(28,308,1,15,34,6,5,5,3),(28,308,1,15,35,2,6,2,3),(28,308,1,15,36,2,NULL,1,NULL),(28,308,1,15,37,4,6,3,4),(28,308,1,15,38,1,4,1,3),(28,308,1,15,39,4,10,4,7),(28,308,1,15,40,1,NULL,1,NULL),(28,308,1,16,1,6,NULL,3,NULL),(28,308,1,16,2,NULL,9,NULL,3),(28,308,1,16,3,4,9,3,5),(28,308,1,16,4,8,8,5,3),(28,308,1,16,5,8,10,3,4),(28,308,1,16,6,2,16,1,6),(28,308,1,16,7,4,7,3,3),(28,308,1,16,8,3,8,NULL,4),(28,308,1,16,9,4,9,2,5),(28,308,1,16,10,11,9,4,4),(28,308,1,16,11,3,3,2,1),(28,308,1,16,12,3,2,2,2),(28,308,1,16,13,38,NULL,15,NULL),(28,308,1,16,14,22,8,10,2),(28,308,1,16,15,10,25,4,9),(28,308,1,16,16,26,NULL,10,NULL),(28,308,1,16,17,17,17,9,6),(28,308,1,16,18,4,11,2,4),(28,308,1,16,19,4,24,NULL,10),(28,308,1,16,20,2,12,NULL,5),(28,308,1,16,21,2,6,1,NULL),(28,308,1,16,22,2,7,1,2),(28,308,1,16,23,2,6,NULL,1),(28,308,1,16,24,1,NULL,1,NULL),(28,308,1,16,25,NULL,3,NULL,1),(28,308,1,16,26,2,1,1,1),(28,308,1,16,27,NULL,NULL,NULL,NULL),(28,308,1,16,28,NULL,1,NULL,NULL),(28,308,1,16,29,1,6,NULL,3),(28,308,1,16,30,7,9,3,5),(28,308,1,16,31,NULL,3,NULL,NULL),(28,308,1,16,32,3,3,3,2),(28,308,1,16,33,3,2,1,1),(28,308,1,16,34,1,8,NULL,2),(28,308,1,16,35,NULL,NULL,NULL,NULL),(28,308,1,16,36,1,NULL,1,NULL),(28,308,1,16,37,NULL,3,NULL,NULL),(28,308,1,16,38,NULL,3,NULL,NULL),(28,308,1,16,39,3,5,2,2),(28,308,1,16,40,NULL,NULL,NULL,NULL),(28,308,1,17,1,9,NULL,5,NULL),(28,308,1,17,2,NULL,7,NULL,3),(28,308,1,17,3,5,2,3,1),(28,308,1,17,4,1,6,1,3),(28,308,1,17,5,8,10,5,4),(28,308,1,17,6,2,20,1,10),(28,308,1,17,7,4,13,2,7),(28,308,1,17,8,1,7,1,2),(28,308,1,17,9,5,7,2,4),(28,308,1,17,10,11,7,5,5),(28,308,1,17,11,NULL,5,NULL,4),(28,308,1,17,12,2,4,2,2),(28,308,1,17,13,35,NULL,16,NULL),(28,308,1,17,14,25,7,15,3),(28,308,1,17,15,6,20,3,11),(28,308,1,17,16,32,NULL,15,NULL),(28,308,1,17,17,10,24,6,12),(28,308,1,17,18,5,14,2,6),(28,308,1,17,19,6,27,3,15),(28,308,1,17,20,1,14,1,6),(28,308,1,17,21,2,5,1,2),(28,308,1,17,22,NULL,7,NULL,3),(28,308,1,17,23,2,18,1,9),(28,308,1,17,24,1,NULL,NULL,NULL),(28,308,1,17,25,1,4,1,2),(28,308,1,17,26,NULL,3,NULL,1),(28,308,1,17,27,8,NULL,4,NULL),(28,308,1,17,28,1,2,NULL,1),(28,308,1,17,29,2,11,1,5),(28,308,1,17,30,2,8,NULL,4),(28,308,1,17,31,1,7,NULL,2),(28,308,1,17,32,2,4,2,2),(28,308,1,17,33,1,2,NULL,1),(28,308,1,17,34,3,6,2,4),(28,308,1,17,35,3,4,1,3),(28,308,1,17,36,1,NULL,NULL,NULL),(28,308,1,17,37,NULL,3,NULL,1),(28,308,1,17,38,2,1,1,1),(28,308,1,17,39,2,11,2,8),(28,308,1,17,40,2,NULL,1,NULL),(28,308,1,18,1,NULL,NULL,NULL,NULL),(28,308,1,18,2,NULL,NULL,NULL,NULL),(28,308,1,18,3,NULL,NULL,NULL,NULL),(28,308,1,18,4,NULL,NULL,NULL,NULL),(28,308,1,18,5,NULL,NULL,NULL,NULL),(28,308,1,18,6,NULL,NULL,NULL,NULL),(28,308,1,18,7,NULL,NULL,NULL,NULL),(28,308,1,18,8,NULL,NULL,NULL,NULL),(28,308,1,18,9,NULL,NULL,NULL,NULL),(28,308,1,18,10,NULL,NULL,NULL,NULL),(28,308,1,18,11,NULL,NULL,NULL,NULL),(28,308,1,18,12,NULL,NULL,NULL,NULL),(28,308,1,18,13,NULL,NULL,NULL,NULL),(28,308,1,18,14,NULL,NULL,NULL,NULL),(28,308,1,18,15,NULL,NULL,NULL,NULL),(28,308,1,18,16,NULL,NULL,NULL,NULL),(28,308,1,18,17,NULL,NULL,NULL,NULL),(28,308,1,18,18,NULL,NULL,NULL,NULL),(28,308,1,18,19,NULL,NULL,NULL,NULL),(28,308,1,18,20,NULL,NULL,NULL,NULL),(28,308,1,18,21,NULL,NULL,NULL,NULL),(28,308,1,18,22,NULL,NULL,NULL,NULL),(28,308,1,18,23,NULL,NULL,NULL,NULL),(28,308,1,18,24,NULL,NULL,NULL,NULL),(28,308,1,18,25,NULL,NULL,NULL,NULL),(28,308,1,18,26,NULL,NULL,NULL,NULL),(28,308,1,18,27,NULL,NULL,NULL,NULL),(28,308,1,18,28,NULL,NULL,NULL,NULL),(28,308,1,18,29,NULL,NULL,NULL,NULL),(28,308,1,18,30,NULL,NULL,NULL,NULL),(28,308,1,18,31,NULL,NULL,NULL,NULL),(28,308,1,18,32,NULL,NULL,NULL,NULL),(28,308,1,18,33,NULL,NULL,NULL,NULL),(28,308,1,18,34,NULL,NULL,NULL,NULL),(28,308,1,18,35,NULL,NULL,NULL,NULL),(28,308,1,18,36,NULL,NULL,NULL,NULL),(28,308,1,18,37,NULL,NULL,NULL,NULL),(28,308,1,18,38,NULL,NULL,NULL,NULL),(28,308,1,18,39,NULL,NULL,NULL,NULL),(28,308,1,18,40,NULL,NULL,NULL,NULL),(28,308,1,19,1,NULL,NULL,NULL,NULL),(28,308,1,19,2,NULL,NULL,NULL,NULL),(28,308,1,19,3,NULL,NULL,NULL,NULL),(28,308,1,19,4,NULL,NULL,NULL,NULL),(28,308,1,19,5,NULL,NULL,NULL,NULL),(28,308,1,19,6,NULL,NULL,NULL,NULL),(28,308,1,19,7,NULL,NULL,NULL,NULL),(28,308,1,19,8,NULL,NULL,NULL,NULL),(28,308,1,19,9,NULL,NULL,NULL,NULL),(28,308,1,19,10,NULL,NULL,NULL,NULL),(28,308,1,19,11,NULL,NULL,NULL,NULL),(28,308,1,19,12,NULL,NULL,NULL,NULL),(28,308,1,19,13,NULL,NULL,NULL,NULL),(28,308,1,19,14,NULL,NULL,NULL,NULL),(28,308,1,19,15,NULL,NULL,NULL,NULL),(28,308,1,19,16,NULL,NULL,NULL,NULL),(28,308,1,19,17,NULL,NULL,NULL,NULL),(28,308,1,19,18,NULL,NULL,NULL,NULL),(28,308,1,19,19,NULL,NULL,NULL,NULL),(28,308,1,19,20,NULL,NULL,NULL,NULL),(28,308,1,19,21,NULL,NULL,NULL,NULL),(28,308,1,19,22,NULL,NULL,NULL,NULL),(28,308,1,19,23,NULL,NULL,NULL,NULL),(28,308,1,19,24,NULL,NULL,NULL,NULL),(28,308,1,19,25,NULL,NULL,NULL,NULL),(28,308,1,19,26,NULL,NULL,NULL,NULL),(28,308,1,19,27,NULL,NULL,NULL,NULL),(28,308,1,19,28,NULL,NULL,NULL,NULL),(28,308,1,19,29,NULL,NULL,NULL,NULL),(28,308,1,19,30,NULL,NULL,NULL,NULL),(28,308,1,19,31,NULL,NULL,NULL,NULL),(28,308,1,19,32,NULL,NULL,NULL,NULL),(28,308,1,19,33,NULL,NULL,NULL,NULL),(28,308,1,19,34,NULL,NULL,NULL,NULL),(28,308,1,19,35,NULL,NULL,NULL,NULL),(28,308,1,19,36,NULL,NULL,NULL,NULL),(28,308,1,19,37,NULL,NULL,NULL,NULL),(28,308,1,19,38,NULL,NULL,NULL,NULL),(28,308,1,19,39,NULL,NULL,NULL,NULL),(28,308,1,19,40,NULL,NULL,NULL,NULL),(28,308,2,21,1,NULL,16,NULL,8),(28,308,2,21,2,NULL,6,NULL,3),(28,308,2,21,3,10,9,9,5),(28,308,2,21,4,NULL,3,NULL,1),(28,308,2,21,5,1,5,NULL,5),(28,308,2,21,6,5,16,1,10),(28,308,2,21,7,NULL,11,NULL,4),(28,308,2,21,8,1,2,NULL,2),(28,308,2,21,9,3,2,1,2),(28,308,2,21,10,5,5,4,3),(28,308,2,21,11,2,3,2,3),(28,308,2,21,12,1,8,1,4),(28,308,2,21,13,NULL,17,NULL,9),(28,308,2,21,14,2,13,2,8),(28,308,2,21,15,2,10,2,3),(28,308,2,21,16,3,9,2,7),(28,308,2,21,17,1,7,1,4),(28,308,2,21,18,13,12,5,8),(28,308,2,21,19,3,11,1,7),(28,308,2,21,20,7,7,4,5),(28,308,2,21,21,1,6,1,4),(28,308,2,21,22,1,5,1,2),(28,308,2,21,23,1,4,1,3),(28,308,2,21,24,NULL,9,NULL,4),(28,308,2,21,25,1,10,NULL,7),(28,308,2,21,26,2,8,2,4),(28,308,2,21,27,1,4,1,2),(28,308,2,21,28,2,NULL,1,NULL),(28,308,2,21,29,NULL,1,NULL,1),(28,308,2,21,30,1,3,1,2),(28,308,2,21,31,NULL,8,NULL,3),(28,308,2,21,32,NULL,1,NULL,NULL),(28,308,2,21,33,NULL,7,NULL,3),(28,308,2,21,34,2,3,1,2),(28,308,2,21,35,7,NULL,5,NULL),(28,308,2,21,36,1,1,NULL,1),(28,308,2,21,37,1,6,1,5),(28,308,2,21,38,NULL,1,NULL,NULL),(28,308,2,21,39,NULL,2,NULL,1),(28,308,2,21,40,NULL,9,NULL,7),(28,308,2,22,1,NULL,15,NULL,9),(28,308,2,22,2,NULL,8,NULL,5),(28,308,2,22,3,9,23,5,13),(28,308,2,22,4,NULL,NULL,NULL,NULL),(28,308,2,22,5,4,11,3,8),(28,308,2,22,6,14,14,8,10),(28,308,2,22,7,NULL,10,NULL,8),(28,308,2,22,8,1,11,1,7),(28,308,2,22,9,NULL,5,NULL,3),(28,308,2,22,10,4,13,4,11),(28,308,2,22,11,1,5,NULL,4),(28,308,2,22,12,4,12,2,7),(28,308,2,22,13,3,21,2,14),(28,308,2,22,14,4,8,3,5),(28,308,2,22,15,3,11,2,8),(28,308,2,22,16,5,14,4,11),(28,308,2,22,17,1,6,1,4),(28,308,2,22,18,13,16,11,9),(28,308,2,22,19,6,9,5,5),(28,308,2,22,20,5,11,5,9),(28,308,2,22,21,NULL,6,NULL,6),(28,308,2,22,22,2,6,NULL,2),(28,308,2,22,23,1,7,NULL,5),(28,308,2,22,24,2,9,1,4),(28,308,2,22,25,NULL,6,NULL,6),(28,308,2,22,26,1,14,NULL,10),(28,308,2,22,27,1,10,NULL,7),(28,308,2,22,28,NULL,3,NULL,2),(28,308,2,22,29,1,5,1,3),(28,308,2,22,30,3,7,2,6),(28,308,2,22,31,NULL,6,NULL,5),(28,308,2,22,32,NULL,3,NULL,1),(28,308,2,22,33,NULL,5,NULL,3),(28,308,2,22,34,4,12,2,7),(28,308,2,22,35,6,NULL,4,NULL),(28,308,2,22,36,NULL,3,NULL,2),(28,308,2,22,37,1,7,NULL,4),(28,308,2,22,38,1,NULL,NULL,NULL),(28,308,2,22,39,NULL,4,NULL,4),(28,308,2,22,40,1,9,1,6),(28,308,2,23,1,NULL,16,NULL,10),(28,308,2,23,2,NULL,5,NULL,4),(28,308,2,23,3,15,11,8,7),(28,308,2,23,4,NULL,3,NULL,2),(28,308,2,23,5,2,12,2,6),(28,308,2,23,6,10,20,7,11),(28,308,2,23,7,NULL,9,NULL,6),(28,308,2,23,8,1,5,1,3),(28,308,2,23,9,NULL,7,NULL,4),(28,308,2,23,10,6,13,5,6),(28,308,2,23,11,3,5,3,3),(28,308,2,23,12,4,11,2,9),(28,308,2,23,13,NULL,17,NULL,11),(28,308,2,23,14,2,7,2,3),(28,308,2,23,15,6,12,4,8),(28,308,2,23,16,6,8,4,7),(28,308,2,23,17,2,9,1,6),(28,308,2,23,18,6,16,3,11),(28,308,2,23,19,2,9,2,7),(28,308,2,23,20,6,11,6,8),(28,308,2,23,21,1,9,1,4),(28,308,2,23,22,3,6,3,3),(28,308,2,23,23,NULL,4,NULL,2),(28,308,2,23,24,NULL,7,NULL,4),(28,308,2,23,25,NULL,6,NULL,3),(28,308,2,23,26,4,9,2,4),(28,308,2,23,27,NULL,8,NULL,6),(28,308,2,23,28,1,2,1,1),(28,308,2,23,29,1,3,1,2),(28,308,2,23,30,NULL,4,NULL,1),(28,308,2,23,31,1,7,NULL,5),(28,308,2,23,32,NULL,4,NULL,2),(28,308,2,23,33,2,7,2,5),(28,308,2,23,34,2,7,1,5),(28,308,2,23,35,4,NULL,2,NULL),(28,308,2,23,36,NULL,3,NULL,1),(28,308,2,23,37,NULL,3,NULL,3),(28,308,2,23,38,NULL,2,NULL,NULL),(28,308,2,23,39,1,3,NULL,3),(28,308,2,23,40,1,12,1,10),(28,308,2,24,1,1,18,1,6),(28,308,2,24,2,NULL,4,NULL,1),(28,308,2,24,3,17,7,10,4),(28,308,2,24,4,1,4,1,2),(28,308,2,24,5,1,8,1,5),(28,308,2,24,6,8,14,4,7),(28,308,2,24,7,1,8,1,4),(28,308,2,24,8,1,5,1,1),(28,308,2,24,9,1,4,1,3),(28,308,2,24,10,2,10,1,6),(28,308,2,24,11,1,6,1,3),(28,308,2,24,12,4,14,2,11),(28,308,2,24,13,1,15,1,8),(28,308,2,24,14,3,9,3,4),(28,308,2,24,15,2,12,1,5),(28,308,2,24,16,5,12,2,9),(28,308,2,24,17,2,4,NULL,1),(28,308,2,24,18,10,10,6,5),(28,308,2,24,19,4,11,3,4),(28,308,2,24,20,4,8,2,2),(28,308,2,24,21,2,7,1,3),(28,308,2,24,22,1,4,NULL,3),(28,308,2,24,23,1,1,NULL,1),(28,308,2,24,24,1,1,NULL,1),(28,308,2,24,25,1,3,1,2),(28,308,2,24,26,1,5,1,3),(28,308,2,24,27,NULL,10,NULL,6),(28,308,2,24,28,NULL,2,NULL,1),(28,308,2,24,29,NULL,4,NULL,1),(28,308,2,24,30,1,6,NULL,3),(28,308,2,24,31,NULL,9,NULL,6),(28,308,2,24,32,NULL,4,NULL,3),(28,308,2,24,33,NULL,4,NULL,2),(28,308,2,24,34,NULL,7,NULL,4),(28,308,2,24,35,3,NULL,1,NULL),(28,308,2,24,36,NULL,3,NULL,2),(28,308,2,24,37,NULL,6,NULL,5),(28,308,2,24,38,NULL,NULL,NULL,NULL),(28,308,2,24,39,1,3,NULL,NULL),(28,308,2,24,40,NULL,12,NULL,7),(28,309,1,11,1,NULL,NULL,NULL,NULL),(28,309,1,11,2,NULL,NULL,NULL,NULL),(28,309,1,11,3,NULL,NULL,NULL,NULL),(28,309,1,11,4,NULL,NULL,NULL,NULL),(28,309,1,11,5,NULL,NULL,NULL,NULL),(28,309,1,11,6,NULL,NULL,NULL,NULL),(28,309,1,11,7,NULL,NULL,NULL,NULL),(28,309,1,11,8,NULL,NULL,NULL,NULL),(28,309,1,11,9,NULL,NULL,NULL,NULL),(28,309,1,11,10,NULL,NULL,NULL,NULL),(28,309,1,11,11,NULL,NULL,NULL,NULL),(28,309,1,11,12,NULL,NULL,NULL,NULL),(28,309,1,11,13,NULL,NULL,NULL,NULL),(28,309,1,11,14,NULL,NULL,NULL,NULL),(28,309,1,11,15,NULL,NULL,NULL,NULL),(28,309,1,11,16,NULL,NULL,NULL,NULL),(28,309,1,11,17,NULL,NULL,NULL,NULL),(28,309,1,11,18,NULL,NULL,NULL,NULL),(28,309,1,11,19,NULL,NULL,NULL,NULL),(28,309,1,11,20,NULL,NULL,NULL,NULL),(28,309,1,11,21,NULL,NULL,NULL,NULL),(28,309,1,11,22,NULL,NULL,NULL,NULL),(28,309,1,11,23,NULL,NULL,NULL,NULL),(28,309,1,11,24,NULL,NULL,NULL,NULL),(28,309,1,11,25,NULL,NULL,NULL,NULL),(28,309,1,11,26,NULL,NULL,NULL,NULL),(28,309,1,11,27,NULL,NULL,NULL,NULL),(28,309,1,11,28,NULL,NULL,NULL,NULL),(28,309,1,11,29,NULL,NULL,NULL,NULL),(28,309,1,11,30,NULL,NULL,NULL,NULL),(28,309,1,11,31,NULL,NULL,NULL,NULL),(28,309,1,11,32,NULL,NULL,NULL,NULL),(28,309,1,11,33,NULL,NULL,NULL,NULL),(28,309,1,11,34,NULL,NULL,NULL,NULL),(28,309,1,11,35,NULL,NULL,NULL,NULL),(28,309,1,11,36,NULL,NULL,NULL,NULL),(28,309,1,11,37,NULL,NULL,NULL,NULL),(28,309,1,11,38,NULL,NULL,NULL,NULL),(28,309,1,11,39,NULL,NULL,NULL,NULL),(28,309,1,11,40,NULL,NULL,NULL,NULL),(28,309,1,12,1,NULL,NULL,NULL,NULL),(28,309,1,12,2,NULL,NULL,NULL,NULL),(28,309,1,12,3,NULL,NULL,NULL,NULL),(28,309,1,12,4,NULL,NULL,NULL,NULL),(28,309,1,12,5,NULL,NULL,NULL,NULL),(28,309,1,12,6,NULL,NULL,NULL,NULL),(28,309,1,12,7,NULL,NULL,NULL,NULL),(28,309,1,12,8,NULL,NULL,NULL,NULL),(28,309,1,12,9,NULL,NULL,NULL,NULL),(28,309,1,12,10,NULL,NULL,NULL,NULL),(28,309,1,12,11,NULL,NULL,NULL,NULL),(28,309,1,12,12,NULL,NULL,NULL,NULL),(28,309,1,12,13,NULL,NULL,NULL,NULL),(28,309,1,12,14,NULL,NULL,NULL,NULL),(28,309,1,12,15,NULL,NULL,NULL,NULL),(28,309,1,12,16,NULL,NULL,NULL,NULL),(28,309,1,12,17,NULL,NULL,NULL,NULL),(28,309,1,12,18,NULL,NULL,NULL,NULL),(28,309,1,12,19,NULL,NULL,NULL,NULL),(28,309,1,12,20,NULL,NULL,NULL,NULL),(28,309,1,12,21,NULL,NULL,NULL,NULL),(28,309,1,12,22,NULL,NULL,NULL,NULL),(28,309,1,12,23,NULL,NULL,NULL,NULL),(28,309,1,12,24,NULL,NULL,NULL,NULL),(28,309,1,12,25,NULL,NULL,NULL,NULL),(28,309,1,12,26,NULL,NULL,NULL,NULL),(28,309,1,12,27,NULL,NULL,NULL,NULL),(28,309,1,12,28,NULL,NULL,NULL,NULL),(28,309,1,12,29,NULL,NULL,NULL,NULL),(28,309,1,12,30,NULL,NULL,NULL,NULL),(28,309,1,12,31,NULL,NULL,NULL,NULL),(28,309,1,12,32,NULL,NULL,NULL,NULL),(28,309,1,12,33,NULL,NULL,NULL,NULL),(28,309,1,12,34,NULL,NULL,NULL,NULL),(28,309,1,12,35,NULL,NULL,NULL,NULL),(28,309,1,12,36,NULL,NULL,NULL,NULL),(28,309,1,12,37,NULL,NULL,NULL,NULL),(28,309,1,12,38,NULL,NULL,NULL,NULL),(28,309,1,12,39,NULL,NULL,NULL,NULL),(28,309,1,12,40,NULL,NULL,NULL,NULL),(28,309,1,13,1,NULL,NULL,NULL,NULL),(28,309,1,13,2,NULL,NULL,NULL,NULL),(28,309,1,13,3,NULL,NULL,NULL,NULL),(28,309,1,13,4,NULL,NULL,NULL,NULL),(28,309,1,13,5,NULL,NULL,NULL,NULL),(28,309,1,13,6,NULL,NULL,NULL,NULL),(28,309,1,13,7,NULL,NULL,NULL,NULL),(28,309,1,13,8,NULL,NULL,NULL,NULL),(28,309,1,13,9,NULL,NULL,NULL,NULL),(28,309,1,13,10,NULL,NULL,NULL,NULL),(28,309,1,13,11,NULL,NULL,NULL,NULL),(28,309,1,13,12,NULL,NULL,NULL,NULL),(28,309,1,13,13,NULL,NULL,NULL,NULL),(28,309,1,13,14,NULL,NULL,NULL,NULL),(28,309,1,13,15,NULL,NULL,NULL,NULL),(28,309,1,13,16,NULL,NULL,NULL,NULL),(28,309,1,13,17,NULL,NULL,NULL,NULL),(28,309,1,13,18,NULL,NULL,NULL,NULL),(28,309,1,13,19,NULL,NULL,NULL,NULL),(28,309,1,13,20,NULL,NULL,NULL,NULL),(28,309,1,13,21,NULL,NULL,NULL,NULL),(28,309,1,13,22,NULL,NULL,NULL,NULL),(28,309,1,13,23,NULL,NULL,NULL,NULL),(28,309,1,13,24,NULL,NULL,NULL,NULL),(28,309,1,13,25,NULL,NULL,NULL,NULL),(28,309,1,13,26,NULL,NULL,NULL,NULL),(28,309,1,13,27,NULL,NULL,NULL,NULL),(28,309,1,13,28,NULL,NULL,NULL,NULL),(28,309,1,13,29,NULL,NULL,NULL,NULL),(28,309,1,13,30,NULL,NULL,NULL,NULL),(28,309,1,13,31,NULL,NULL,NULL,NULL),(28,309,1,13,32,NULL,NULL,NULL,NULL),(28,309,1,13,33,NULL,NULL,NULL,NULL),(28,309,1,13,34,NULL,NULL,NULL,NULL),(28,309,1,13,35,NULL,NULL,NULL,NULL),(28,309,1,13,36,NULL,NULL,NULL,NULL),(28,309,1,13,37,NULL,NULL,NULL,NULL),(28,309,1,13,38,NULL,NULL,NULL,NULL),(28,309,1,13,39,NULL,NULL,NULL,NULL),(28,309,1,13,40,NULL,NULL,NULL,NULL),(28,309,1,14,1,3,NULL,3,NULL),(28,309,1,14,2,NULL,1,NULL,1),(28,309,1,14,3,4,4,4,4),(28,309,1,14,4,NULL,3,NULL,3),(28,309,1,14,5,4,5,3,3),(28,309,1,14,6,NULL,6,NULL,5),(28,309,1,14,7,1,3,1,3),(28,309,1,14,8,2,4,2,2),(28,309,1,14,9,3,4,2,3),(28,309,1,14,10,9,3,8,2),(28,309,1,14,11,3,1,2,1),(28,309,1,14,12,1,3,1,2),(28,309,1,14,13,4,6,2,5),(28,309,1,14,14,NULL,5,NULL,3),(28,309,1,14,15,9,NULL,5,NULL),(28,309,1,14,16,5,3,3,3),(28,309,1,14,17,1,5,1,3),(28,309,1,14,18,1,2,1,1),(28,309,1,14,19,4,7,2,5),(28,309,1,14,20,2,13,1,8),(28,309,1,14,21,NULL,1,NULL,NULL),(28,309,1,14,22,NULL,1,NULL,1),(28,309,1,14,23,1,1,NULL,1),(28,309,1,14,24,2,NULL,NULL,NULL),(28,309,1,14,25,NULL,2,NULL,NULL),(28,309,1,14,26,1,NULL,1,NULL),(28,309,1,14,27,1,NULL,1,NULL),(28,309,1,14,28,NULL,1,NULL,1),(28,309,1,14,29,NULL,5,NULL,3),(28,309,1,14,30,1,3,1,3),(28,309,1,14,31,2,NULL,NULL,NULL),(28,309,1,14,32,NULL,NULL,NULL,NULL),(28,309,1,14,33,NULL,4,NULL,4),(28,309,1,14,34,1,1,1,1),(28,309,1,14,35,NULL,NULL,NULL,NULL),(28,309,1,14,36,NULL,NULL,NULL,NULL),(28,309,1,14,37,NULL,NULL,NULL,NULL),(28,309,1,14,38,1,1,NULL,1),(28,309,1,14,39,4,4,2,4),(28,309,1,14,40,NULL,NULL,NULL,NULL),(28,309,1,15,1,4,NULL,4,NULL),(28,309,1,15,2,NULL,1,NULL,1),(28,309,1,15,3,4,2,4,2),(28,309,1,15,4,2,2,1,2),(28,309,1,15,5,4,2,4,1),(28,309,1,15,6,NULL,7,NULL,3),(28,309,1,15,7,1,1,1,1),(28,309,1,15,8,NULL,3,NULL,1),(28,309,1,15,9,2,2,2,2),(28,309,1,15,10,7,2,5,2),(28,309,1,15,11,1,1,1,1),(28,309,1,15,12,1,2,1,NULL),(28,309,1,15,13,4,3,4,2),(28,309,1,15,14,NULL,2,NULL,2),(28,309,1,15,15,3,NULL,3,NULL),(28,309,1,15,16,NULL,2,NULL,2),(28,309,1,15,17,1,7,1,6),(28,309,1,15,18,1,2,1,2),(28,309,1,15,19,3,5,2,4),(28,309,1,15,20,1,10,1,7),(28,309,1,15,21,NULL,2,NULL,1),(28,309,1,15,22,NULL,2,NULL,2),(28,309,1,15,23,3,3,2,2),(28,309,1,15,24,NULL,NULL,NULL,NULL),(28,309,1,15,25,NULL,3,NULL,2),(28,309,1,15,26,NULL,1,NULL,NULL),(28,309,1,15,27,1,NULL,1,NULL),(28,309,1,15,28,NULL,1,NULL,NULL),(28,309,1,15,29,NULL,NULL,NULL,NULL),(28,309,1,15,30,2,3,1,2),(28,309,1,15,31,1,NULL,1,NULL),(28,309,1,15,32,NULL,1,NULL,1),(28,309,1,15,33,NULL,NULL,NULL,NULL),(28,309,1,15,34,NULL,4,NULL,3),(28,309,1,15,35,NULL,NULL,NULL,NULL),(28,309,1,15,36,NULL,NULL,NULL,NULL),(28,309,1,15,37,1,4,1,4),(28,309,1,15,38,NULL,1,NULL,1),(28,309,1,15,39,4,2,4,2),(28,309,1,15,40,1,NULL,NULL,NULL),(28,309,1,16,1,11,NULL,9,NULL),(28,309,1,16,2,NULL,3,NULL,2),(28,309,1,16,3,4,9,1,9),(28,309,1,16,4,3,7,2,5),(28,309,1,16,5,4,7,3,4),(28,309,1,16,6,2,14,1,8),(28,309,1,16,7,9,7,5,5),(28,309,1,16,8,1,8,1,6),(28,309,1,16,9,6,7,5,NULL),(28,309,1,16,10,15,4,11,3),(28,309,1,16,11,NULL,2,NULL,2),(28,309,1,16,12,3,4,3,4),(28,309,1,16,13,30,NULL,19,NULL),(28,309,1,16,14,21,7,13,5),(28,309,1,16,15,6,20,4,13),(28,309,1,16,16,20,NULL,13,NULL),(28,309,1,16,17,10,11,8,5),(28,309,1,16,18,3,10,3,6),(28,309,1,16,19,6,16,2,9),(28,309,1,16,20,3,14,2,7),(28,309,1,16,21,NULL,4,NULL,3),(28,309,1,16,22,NULL,8,NULL,6),(28,309,1,16,23,1,8,1,7),(28,309,1,16,24,1,NULL,NULL,NULL),(28,309,1,16,25,NULL,5,NULL,3),(28,309,1,16,26,NULL,6,NULL,3),(28,309,1,16,27,4,NULL,3,NULL),(28,309,1,16,28,1,3,1,1),(28,309,1,16,29,1,3,NULL,3),(28,309,1,16,30,3,9,3,4),(28,309,1,16,31,NULL,4,NULL,2),(28,309,1,16,32,2,4,1,3),(28,309,1,16,33,1,7,NULL,5),(28,309,1,16,34,2,3,1,1),(28,309,1,16,35,NULL,4,NULL,1),(28,309,1,16,36,NULL,NULL,NULL,NULL),(28,309,1,16,37,NULL,1,NULL,NULL),(28,309,1,16,38,1,4,1,2),(28,309,1,16,39,2,10,1,5),(28,309,1,16,40,1,NULL,1,NULL),(28,309,1,17,1,14,NULL,9,NULL),(28,309,1,17,2,NULL,5,NULL,2),(28,309,1,17,3,3,9,2,8),(28,309,1,17,4,1,5,NULL,5),(28,309,1,17,5,4,5,2,3),(28,309,1,17,6,NULL,7,NULL,4),(28,309,1,17,7,1,10,1,7),(28,309,1,17,8,1,5,1,3),(28,309,1,17,9,2,9,2,5),(28,309,1,17,10,11,9,8,6),(28,309,1,17,11,2,8,1,7),(28,309,1,17,12,2,2,1,1),(28,309,1,17,13,35,NULL,21,NULL),(28,309,1,17,14,18,15,10,10),(28,309,1,17,15,4,21,2,12),(28,309,1,17,16,25,NULL,15,NULL),(28,309,1,17,17,5,27,5,14),(28,309,1,17,18,5,14,1,9),(28,309,1,17,19,1,10,1,7),(28,309,1,17,20,4,9,3,4),(28,309,1,17,21,NULL,5,NULL,1),(28,309,1,17,22,1,8,1,4),(28,309,1,17,23,1,11,1,8),(28,309,1,17,24,NULL,NULL,NULL,NULL),(28,309,1,17,25,NULL,NULL,NULL,NULL),(28,309,1,17,26,NULL,3,NULL,1),(28,309,1,17,27,10,NULL,7,NULL),(28,309,1,17,28,NULL,1,NULL,NULL),(28,309,1,17,29,2,7,1,6),(28,309,1,17,30,NULL,16,NULL,8),(28,309,1,17,31,NULL,2,NULL,2),(28,309,1,17,32,2,7,1,4),(28,309,1,17,33,NULL,4,NULL,3),(28,309,1,17,34,2,3,1,3),(28,309,1,17,35,NULL,5,NULL,4),(28,309,1,17,36,NULL,NULL,NULL,NULL),(28,309,1,17,37,1,NULL,1,NULL),(28,309,1,17,38,1,7,NULL,4),(28,309,1,17,39,2,13,2,9),(28,309,1,17,40,3,NULL,3,NULL),(28,309,1,18,1,NULL,NULL,NULL,NULL),(28,309,1,18,2,NULL,NULL,NULL,NULL),(28,309,1,18,3,NULL,NULL,NULL,NULL),(28,309,1,18,4,NULL,NULL,NULL,NULL),(28,309,1,18,5,NULL,NULL,NULL,NULL),(28,309,1,18,6,NULL,NULL,NULL,NULL),(28,309,1,18,7,NULL,NULL,NULL,NULL),(28,309,1,18,8,NULL,NULL,NULL,NULL),(28,309,1,18,9,NULL,NULL,NULL,NULL),(28,309,1,18,10,NULL,NULL,NULL,NULL),(28,309,1,18,11,NULL,NULL,NULL,NULL),(28,309,1,18,12,NULL,NULL,NULL,NULL),(28,309,1,18,13,NULL,NULL,NULL,NULL),(28,309,1,18,14,NULL,NULL,NULL,NULL),(28,309,1,18,15,NULL,NULL,NULL,NULL),(28,309,1,18,16,NULL,NULL,NULL,NULL),(28,309,1,18,17,NULL,NULL,NULL,NULL),(28,309,1,18,18,NULL,NULL,NULL,NULL),(28,309,1,18,19,NULL,NULL,NULL,NULL),(28,309,1,18,20,NULL,NULL,NULL,NULL),(28,309,1,18,21,NULL,NULL,NULL,NULL),(28,309,1,18,22,NULL,NULL,NULL,NULL),(28,309,1,18,23,NULL,NULL,NULL,NULL),(28,309,1,18,24,NULL,NULL,NULL,NULL),(28,309,1,18,25,NULL,NULL,NULL,NULL),(28,309,1,18,26,NULL,NULL,NULL,NULL),(28,309,1,18,27,NULL,NULL,NULL,NULL),(28,309,1,18,28,NULL,NULL,NULL,NULL),(28,309,1,18,29,NULL,NULL,NULL,NULL),(28,309,1,18,30,NULL,NULL,NULL,NULL),(28,309,1,18,31,NULL,NULL,NULL,NULL),(28,309,1,18,32,NULL,NULL,NULL,NULL),(28,309,1,18,33,NULL,NULL,NULL,NULL),(28,309,1,18,34,NULL,NULL,NULL,NULL),(28,309,1,18,35,NULL,NULL,NULL,NULL),(28,309,1,18,36,NULL,NULL,NULL,NULL),(28,309,1,18,37,NULL,NULL,NULL,NULL),(28,309,1,18,38,NULL,NULL,NULL,NULL),(28,309,1,18,39,NULL,NULL,NULL,NULL),(28,309,1,18,40,NULL,NULL,NULL,NULL),(28,309,1,19,1,NULL,NULL,NULL,NULL),(28,309,1,19,2,NULL,NULL,NULL,NULL),(28,309,1,19,3,NULL,NULL,NULL,NULL),(28,309,1,19,4,NULL,NULL,NULL,NULL),(28,309,1,19,5,NULL,NULL,NULL,NULL),(28,309,1,19,6,NULL,NULL,NULL,NULL),(28,309,1,19,7,NULL,NULL,NULL,NULL),(28,309,1,19,8,NULL,NULL,NULL,NULL),(28,309,1,19,9,NULL,NULL,NULL,NULL),(28,309,1,19,10,NULL,NULL,NULL,NULL),(28,309,1,19,11,NULL,NULL,NULL,NULL),(28,309,1,19,12,NULL,NULL,NULL,NULL),(28,309,1,19,13,NULL,NULL,NULL,NULL),(28,309,1,19,14,NULL,NULL,NULL,NULL),(28,309,1,19,15,NULL,NULL,NULL,NULL),(28,309,1,19,16,NULL,NULL,NULL,NULL),(28,309,1,19,17,NULL,NULL,NULL,NULL),(28,309,1,19,18,NULL,NULL,NULL,NULL),(28,309,1,19,19,NULL,NULL,NULL,NULL),(28,309,1,19,20,NULL,NULL,NULL,NULL),(28,309,1,19,21,NULL,NULL,NULL,NULL),(28,309,1,19,22,NULL,NULL,NULL,NULL),(28,309,1,19,23,NULL,NULL,NULL,NULL),(28,309,1,19,24,NULL,NULL,NULL,NULL),(28,309,1,19,25,NULL,NULL,NULL,NULL),(28,309,1,19,26,NULL,NULL,NULL,NULL),(28,309,1,19,27,NULL,NULL,NULL,NULL),(28,309,1,19,28,NULL,NULL,NULL,NULL),(28,309,1,19,29,NULL,NULL,NULL,NULL),(28,309,1,19,30,NULL,NULL,NULL,NULL),(28,309,1,19,31,NULL,NULL,NULL,NULL),(28,309,1,19,32,NULL,NULL,NULL,NULL),(28,309,1,19,33,NULL,NULL,NULL,NULL),(28,309,1,19,34,NULL,NULL,NULL,NULL),(28,309,1,19,35,NULL,NULL,NULL,NULL),(28,309,1,19,36,NULL,NULL,NULL,NULL),(28,309,1,19,37,NULL,NULL,NULL,NULL),(28,309,1,19,38,NULL,NULL,NULL,NULL),(28,309,1,19,39,NULL,NULL,NULL,NULL),(28,309,1,19,40,NULL,NULL,NULL,NULL),(28,309,2,21,1,NULL,7,NULL,2),(28,309,2,21,2,NULL,3,NULL,2),(28,309,2,21,3,8,9,4,4),(28,309,2,21,4,NULL,3,NULL,NULL),(28,309,2,21,5,2,5,1,2),(28,309,2,21,6,6,14,2,7),(28,309,2,21,7,NULL,9,NULL,4),(28,309,2,21,8,NULL,1,NULL,NULL),(28,309,2,21,9,1,5,1,1),(28,309,2,21,10,2,5,1,3),(28,309,2,21,11,1,3,1,2),(28,309,2,21,12,NULL,9,NULL,5),(28,309,2,21,13,NULL,8,NULL,6),(28,309,2,21,14,2,6,NULL,4),(28,309,2,21,15,1,8,1,3),(28,309,2,21,16,2,9,2,3),(28,309,2,21,17,3,3,NULL,2),(28,309,2,21,18,10,9,6,4),(28,309,2,21,19,1,5,NULL,3),(28,309,2,21,20,4,9,3,4),(28,309,2,21,21,NULL,1,NULL,1),(28,309,2,21,22,NULL,1,NULL,1),(28,309,2,21,23,NULL,2,NULL,NULL),(28,309,2,21,24,3,3,NULL,3),(28,309,2,21,25,2,1,1,1),(28,309,2,21,26,NULL,9,NULL,4),(28,309,2,21,27,2,4,1,2),(28,309,2,21,28,NULL,1,NULL,1),(28,309,2,21,29,NULL,3,NULL,1),(28,309,2,21,30,NULL,6,NULL,2),(28,309,2,21,31,NULL,5,NULL,3),(28,309,2,21,32,1,NULL,NULL,NULL),(28,309,2,21,33,1,2,NULL,2),(28,309,2,21,34,1,7,1,5),(28,309,2,21,35,1,NULL,NULL,NULL),(28,309,2,21,36,1,2,1,NULL),(28,309,2,21,37,NULL,6,NULL,3),(28,309,2,21,38,NULL,1,NULL,1),(28,309,2,21,39,1,1,1,1),(28,309,2,21,40,NULL,5,NULL,3),(28,309,2,22,1,NULL,3,NULL,2),(28,309,2,22,2,NULL,2,NULL,1),(28,309,2,22,3,NULL,6,NULL,4),(28,309,2,22,4,NULL,1,NULL,1),(28,309,2,22,5,NULL,3,NULL,3),(28,309,2,22,6,6,7,3,5),(28,309,2,22,7,1,4,1,3),(28,309,2,22,8,NULL,2,NULL,2),(28,309,2,22,9,1,2,1,2),(28,309,2,22,10,2,2,NULL,2),(28,309,2,22,11,1,2,NULL,2),(28,309,2,22,12,1,4,1,1),(28,309,2,22,13,2,11,1,7),(28,309,2,22,14,NULL,5,NULL,4),(28,309,2,22,15,4,2,1,1),(28,309,2,22,16,1,4,1,3),(28,309,2,22,17,NULL,1,NULL,1),(28,309,2,22,18,5,7,2,3),(28,309,2,22,19,3,5,2,2),(28,309,2,22,20,3,2,2,1),(28,309,2,22,21,NULL,3,NULL,3),(28,309,2,22,22,1,NULL,NULL,NULL),(28,309,2,22,23,NULL,4,NULL,3),(28,309,2,22,24,NULL,1,NULL,1),(28,309,2,22,25,1,2,1,1),(28,309,2,22,26,NULL,4,NULL,4),(28,309,2,22,27,1,5,NULL,3),(28,309,2,22,28,1,NULL,1,NULL),(28,309,2,22,29,NULL,1,NULL,NULL),(28,309,2,22,30,NULL,2,NULL,2),(28,309,2,22,31,NULL,7,NULL,5),(28,309,2,22,32,1,NULL,NULL,NULL),(28,309,2,22,33,1,1,1,1),(28,309,2,22,34,3,2,2,2),(28,309,2,22,35,3,NULL,2,NULL),(28,309,2,22,36,NULL,1,NULL,NULL),(28,309,2,22,37,NULL,4,NULL,3),(28,309,2,22,38,NULL,2,NULL,1),(28,309,2,22,39,NULL,1,NULL,1),(28,309,2,22,40,NULL,3,NULL,3),(28,309,2,23,1,NULL,11,NULL,8),(28,309,2,23,2,NULL,5,NULL,5),(28,309,2,23,3,9,4,5,4),(28,309,2,23,4,NULL,2,NULL,2),(28,309,2,23,5,NULL,3,NULL,2),(28,309,2,23,6,5,8,4,4),(28,309,2,23,7,NULL,9,NULL,6),(28,309,2,23,8,1,3,1,3),(28,309,2,23,9,NULL,1,NULL,NULL),(28,309,2,23,10,4,2,4,1),(28,309,2,23,11,3,NULL,2,NULL),(28,309,2,23,12,5,6,2,5),(28,309,2,23,13,NULL,11,NULL,7),(28,309,2,23,14,1,5,1,5),(28,309,2,23,15,1,9,1,7),(28,309,2,23,16,5,4,4,3),(28,309,2,23,17,1,1,1,1),(28,309,2,23,18,6,7,4,4),(28,309,2,23,19,2,2,2,2),(28,309,2,23,20,2,2,2,1),(28,309,2,23,21,NULL,3,NULL,3),(28,309,2,23,22,NULL,2,NULL,NULL),(28,309,2,23,23,NULL,3,NULL,2),(28,309,2,23,24,NULL,5,NULL,2),(28,309,2,23,25,1,1,1,NULL),(28,309,2,23,26,1,4,1,4),(28,309,2,23,27,NULL,4,NULL,3),(28,309,2,23,28,NULL,2,NULL,2),(28,309,2,23,29,NULL,4,NULL,2),(28,309,2,23,30,NULL,3,NULL,1),(28,309,2,23,31,NULL,7,NULL,4),(28,309,2,23,32,1,1,1,1),(28,309,2,23,33,1,1,1,NULL),(28,309,2,23,34,1,3,NULL,2),(28,309,2,23,35,2,NULL,2,NULL),(28,309,2,23,36,NULL,2,NULL,1),(28,309,2,23,37,1,2,NULL,2),(28,309,2,23,38,1,2,1,NULL),(28,309,2,23,39,NULL,4,NULL,2),(28,309,2,23,40,NULL,12,NULL,8),(28,309,2,24,1,NULL,4,NULL,2),(28,309,2,24,2,NULL,6,NULL,4),(28,309,2,24,3,5,7,4,6),(28,309,2,24,4,NULL,3,NULL,3),(28,309,2,24,5,3,5,3,3),(28,309,2,24,6,6,7,6,6),(28,309,2,24,7,NULL,7,NULL,6),(28,309,2,24,8,5,1,4,1),(28,309,2,24,9,2,2,2,2),(28,309,2,24,10,4,6,3,6),(28,309,2,24,11,1,5,1,4),(28,309,2,24,12,4,10,3,7),(28,309,2,24,13,NULL,10,NULL,8),(28,309,2,24,14,NULL,10,NULL,9),(28,309,2,24,15,2,3,1,2),(28,309,2,24,16,3,7,3,7),(28,309,2,24,17,1,3,1,3),(28,309,2,24,18,12,9,10,7),(28,309,2,24,19,3,6,3,6),(28,309,2,24,20,3,4,3,3),(28,309,2,24,21,NULL,4,NULL,1),(28,309,2,24,22,2,NULL,2,NULL),(28,309,2,24,23,1,4,1,3),(28,309,2,24,24,NULL,3,NULL,2),(28,309,2,24,25,NULL,1,NULL,NULL),(28,309,2,24,26,2,5,1,5),(28,309,2,24,27,1,3,1,3),(28,309,2,24,28,NULL,2,NULL,1),(28,309,2,24,29,NULL,3,NULL,2),(28,309,2,24,30,NULL,6,NULL,5),(28,309,2,24,31,NULL,4,NULL,3),(28,309,2,24,32,NULL,NULL,NULL,NULL),(28,309,2,24,33,NULL,1,NULL,NULL),(28,309,2,24,34,NULL,6,NULL,4),(28,309,2,24,35,3,NULL,1,NULL),(28,309,2,24,36,1,NULL,1,NULL),(28,309,2,24,37,NULL,1,NULL,1),(28,309,2,24,38,NULL,1,NULL,1),(28,309,2,24,39,NULL,4,NULL,2),(28,309,2,24,40,NULL,5,NULL,4),(28,310,1,11,1,1,NULL,1,NULL),(28,310,1,11,2,NULL,1,NULL,1),(28,310,1,11,3,NULL,1,NULL,1),(28,310,1,11,4,NULL,NULL,NULL,NULL),(28,310,1,11,5,NULL,NULL,NULL,NULL),(28,310,1,11,6,NULL,1,NULL,1),(28,310,1,11,7,NULL,NULL,NULL,NULL),(28,310,1,11,8,NULL,NULL,NULL,NULL),(28,310,1,11,9,1,NULL,1,NULL),(28,310,1,11,10,1,NULL,1,NULL),(28,310,1,11,11,NULL,NULL,NULL,NULL),(28,310,1,11,12,NULL,NULL,NULL,NULL),(28,310,1,11,13,NULL,NULL,NULL,NULL),(28,310,1,11,14,NULL,1,NULL,1),(28,310,1,11,15,1,NULL,1,NULL),(28,310,1,11,16,1,NULL,1,NULL),(28,310,1,11,17,NULL,1,NULL,1),(28,310,1,11,18,1,NULL,1,NULL),(28,310,1,11,19,NULL,NULL,NULL,NULL),(28,310,1,11,20,NULL,NULL,NULL,NULL),(28,310,1,11,21,NULL,NULL,NULL,NULL),(28,310,1,11,22,NULL,NULL,NULL,NULL),(28,310,1,11,23,NULL,NULL,NULL,NULL),(28,310,1,11,24,NULL,NULL,NULL,NULL),(28,310,1,11,25,NULL,NULL,NULL,NULL),(28,310,1,11,26,NULL,NULL,NULL,NULL),(28,310,1,11,27,NULL,NULL,NULL,NULL),(28,310,1,11,28,NULL,NULL,NULL,NULL),(28,310,1,11,29,NULL,1,NULL,1),(28,310,1,11,30,NULL,NULL,NULL,NULL),(28,310,1,11,31,NULL,NULL,NULL,NULL),(28,310,1,11,32,NULL,NULL,NULL,NULL),(28,310,1,11,33,1,NULL,1,NULL),(28,310,1,11,34,NULL,1,NULL,1),(28,310,1,11,35,NULL,NULL,NULL,NULL),(28,310,1,11,36,NULL,NULL,NULL,NULL),(28,310,1,11,37,NULL,NULL,NULL,NULL),(28,310,1,11,38,NULL,NULL,NULL,NULL),(28,310,1,11,39,NULL,1,NULL,1),(28,310,1,11,40,NULL,NULL,NULL,NULL),(28,310,1,12,1,NULL,NULL,NULL,NULL),(28,310,1,12,2,NULL,NULL,NULL,NULL),(28,310,1,12,3,NULL,NULL,NULL,NULL),(28,310,1,12,4,NULL,NULL,NULL,NULL),(28,310,1,12,5,NULL,NULL,NULL,NULL),(28,310,1,12,6,NULL,NULL,NULL,NULL),(28,310,1,12,7,NULL,NULL,NULL,NULL),(28,310,1,12,8,NULL,NULL,NULL,NULL),(28,310,1,12,9,NULL,NULL,NULL,NULL),(28,310,1,12,10,NULL,NULL,NULL,NULL),(28,310,1,12,11,NULL,NULL,NULL,NULL),(28,310,1,12,12,NULL,NULL,NULL,NULL),(28,310,1,12,13,NULL,NULL,NULL,NULL),(28,310,1,12,14,NULL,NULL,NULL,NULL),(28,310,1,12,15,NULL,NULL,NULL,NULL),(28,310,1,12,16,NULL,NULL,NULL,NULL),(28,310,1,12,17,NULL,NULL,NULL,NULL),(28,310,1,12,18,NULL,NULL,NULL,NULL),(28,310,1,12,19,NULL,NULL,NULL,NULL),(28,310,1,12,20,NULL,NULL,NULL,NULL),(28,310,1,12,21,NULL,NULL,NULL,NULL),(28,310,1,12,22,NULL,NULL,NULL,NULL),(28,310,1,12,23,NULL,NULL,NULL,NULL),(28,310,1,12,24,NULL,NULL,NULL,NULL),(28,310,1,12,25,NULL,NULL,NULL,NULL),(28,310,1,12,26,NULL,NULL,NULL,NULL),(28,310,1,12,27,NULL,NULL,NULL,NULL),(28,310,1,12,28,NULL,NULL,NULL,NULL),(28,310,1,12,29,NULL,NULL,NULL,NULL),(28,310,1,12,30,NULL,NULL,NULL,NULL),(28,310,1,12,31,NULL,NULL,NULL,NULL),(28,310,1,12,32,NULL,NULL,NULL,NULL),(28,310,1,12,33,NULL,NULL,NULL,NULL),(28,310,1,12,34,NULL,NULL,NULL,NULL),(28,310,1,12,35,NULL,NULL,NULL,NULL),(28,310,1,12,36,NULL,NULL,NULL,NULL),(28,310,1,12,37,NULL,NULL,NULL,NULL),(28,310,1,12,38,NULL,NULL,NULL,NULL),(28,310,1,12,39,NULL,NULL,NULL,NULL),(28,310,1,12,40,NULL,NULL,NULL,NULL),(28,310,1,13,1,1,NULL,1,NULL),(28,310,1,13,2,NULL,1,NULL,1),(28,310,1,13,3,1,NULL,1,NULL),(28,310,1,13,4,NULL,1,NULL,1),(28,310,1,13,5,NULL,1,NULL,1),(28,310,1,13,6,NULL,1,NULL,1),(28,310,1,13,7,NULL,NULL,NULL,NULL),(28,310,1,13,8,NULL,1,NULL,1),(28,310,1,13,9,NULL,1,NULL,1),(28,310,1,13,10,1,NULL,1,NULL),(28,310,1,13,11,NULL,NULL,NULL,NULL),(28,310,1,13,12,NULL,NULL,NULL,NULL),(28,310,1,13,13,1,NULL,1,NULL),(28,310,1,13,14,1,NULL,1,NULL),(28,310,1,13,15,NULL,1,NULL,1),(28,310,1,13,16,1,NULL,1,NULL),(28,310,1,13,17,NULL,NULL,NULL,NULL),(28,310,1,13,18,1,NULL,1,NULL),(28,310,1,13,19,1,NULL,1,NULL),(28,310,1,13,20,1,NULL,1,NULL),(28,310,1,13,21,NULL,NULL,NULL,NULL),(28,310,1,13,22,NULL,NULL,NULL,NULL),(28,310,1,13,23,NULL,NULL,NULL,NULL),(28,310,1,13,24,NULL,NULL,NULL,NULL),(28,310,1,13,25,NULL,NULL,NULL,NULL),(28,310,1,13,26,NULL,NULL,NULL,NULL),(28,310,1,13,27,NULL,NULL,NULL,NULL),(28,310,1,13,28,NULL,NULL,NULL,NULL),(28,310,1,13,29,NULL,NULL,NULL,NULL),(28,310,1,13,30,NULL,1,NULL,1),(28,310,1,13,31,NULL,NULL,NULL,NULL),(28,310,1,13,32,1,NULL,1,NULL),(28,310,1,13,33,NULL,NULL,NULL,NULL),(28,310,1,13,34,1,NULL,1,NULL),(28,310,1,13,35,NULL,NULL,NULL,NULL),(28,310,1,13,36,NULL,NULL,NULL,NULL),(28,310,1,13,37,NULL,NULL,NULL,NULL),(28,310,1,13,38,NULL,NULL,NULL,NULL),(28,310,1,13,39,NULL,1,NULL,1),(28,310,1,13,40,NULL,NULL,NULL,NULL),(28,310,1,14,1,5,NULL,3,NULL),(28,310,1,14,2,1,6,1,5),(28,310,1,14,3,4,3,4,2),(28,310,1,14,4,3,5,1,4),(28,310,1,14,5,4,4,3,3),(28,310,1,14,6,2,2,2,1),(28,310,1,14,7,2,5,2,3),(28,310,1,14,8,3,5,3,4),(28,310,1,14,9,4,3,3,2),(28,310,1,14,10,6,1,5,NULL),(28,310,1,14,11,2,NULL,2,NULL),(28,310,1,14,12,3,2,3,2),(28,310,1,14,13,7,4,7,2),(28,310,1,14,14,5,4,4,3),(28,310,1,14,15,10,NULL,8,NULL),(28,310,1,14,16,9,3,8,2),(28,310,1,14,17,4,6,4,5),(28,310,1,14,18,7,2,6,2),(28,310,1,14,19,5,8,5,6),(28,310,1,14,20,8,6,7,3),(28,310,1,14,21,2,NULL,2,NULL),(28,310,1,14,22,NULL,2,NULL,2),(28,310,1,14,23,NULL,2,NULL,2),(28,310,1,14,24,NULL,NULL,NULL,NULL),(28,310,1,14,25,NULL,NULL,NULL,NULL),(28,310,1,14,26,NULL,1,NULL,1),(28,310,1,14,27,2,NULL,1,NULL),(28,310,1,14,28,NULL,NULL,NULL,NULL),(28,310,1,14,29,NULL,5,NULL,4),(28,310,1,14,30,3,7,2,5),(28,310,1,14,31,2,1,2,1),(28,310,1,14,32,2,3,2,3),(28,310,1,14,33,1,2,1,1),(28,310,1,14,34,4,NULL,4,NULL),(28,310,1,14,35,1,2,1,2),(28,310,1,14,36,NULL,NULL,NULL,NULL),(28,310,1,14,37,NULL,1,NULL,1),(28,310,1,14,38,NULL,2,NULL,1),(28,310,1,14,39,3,3,3,1),(28,310,1,14,40,3,NULL,3,NULL),(28,310,1,15,1,7,NULL,6,NULL),(28,310,1,15,2,2,3,2,1),(28,310,1,15,3,3,4,3,3),(28,310,1,15,4,1,8,NULL,7),(28,310,1,15,5,4,7,3,4),(28,310,1,15,6,3,11,2,7),(28,310,1,15,7,4,5,3,3),(28,310,1,15,8,3,4,3,4),(28,310,1,15,9,3,3,2,2),(28,310,1,15,10,9,2,8,2),(28,310,1,15,11,NULL,3,NULL,3),(28,310,1,15,12,6,6,5,5),(28,310,1,15,13,10,8,7,6),(28,310,1,15,14,6,6,4,4),(28,310,1,15,15,10,NULL,6,NULL),(28,310,1,15,16,9,5,8,2),(28,310,1,15,17,8,7,7,3),(28,310,1,15,18,6,4,4,2),(28,310,1,15,19,9,3,8,2),(28,310,1,15,20,11,7,9,3),(28,310,1,15,21,2,NULL,1,NULL),(28,310,1,15,22,NULL,2,NULL,2),(28,310,1,15,23,NULL,4,NULL,4),(28,310,1,15,24,1,NULL,1,NULL),(28,310,1,15,25,NULL,1,NULL,1),(28,310,1,15,26,1,2,NULL,1),(28,310,1,15,27,3,NULL,2,NULL),(28,310,1,15,28,NULL,1,NULL,1),(28,310,1,15,29,NULL,2,NULL,2),(28,310,1,15,30,4,1,3,1),(28,310,1,15,31,NULL,3,NULL,3),(28,310,1,15,32,2,3,1,3),(28,310,1,15,33,1,2,1,2),(28,310,1,15,34,7,3,6,2),(28,310,1,15,35,NULL,2,NULL,1),(28,310,1,15,36,NULL,NULL,NULL,NULL),(28,310,1,15,37,1,3,1,1),(28,310,1,15,38,1,3,1,2),(28,310,1,15,39,3,5,3,5),(28,310,1,15,40,1,NULL,1,NULL),(28,310,1,16,1,5,NULL,4,NULL),(28,310,1,16,2,NULL,1,NULL,1),(28,310,1,16,3,1,5,1,4),(28,310,1,16,4,NULL,2,NULL,2),(28,310,1,16,5,NULL,1,NULL,1),(28,310,1,16,6,NULL,5,NULL,4),(28,310,1,16,7,1,2,1,1),(28,310,1,16,8,NULL,5,NULL,3),(28,310,1,16,9,NULL,3,NULL,3),(28,310,1,16,10,3,4,3,3),(28,310,1,16,11,1,NULL,1,NULL),(28,310,1,16,12,1,1,1,1),(28,310,1,16,13,10,NULL,6,NULL),(28,310,1,16,14,7,1,6,NULL),(28,310,1,16,15,1,6,1,3),(28,310,1,16,16,8,NULL,5,NULL),(28,310,1,16,17,4,6,2,5),(28,310,1,16,18,1,3,NULL,2),(28,310,1,16,19,1,4,1,1),(28,310,1,16,20,1,1,1,1),(28,310,1,16,21,NULL,NULL,NULL,NULL),(28,310,1,16,22,NULL,2,NULL,1),(28,310,1,16,23,NULL,1,NULL,NULL),(28,310,1,16,24,NULL,NULL,NULL,NULL),(28,310,1,16,25,1,3,1,2),(28,310,1,16,26,NULL,NULL,NULL,NULL),(28,310,1,16,27,NULL,NULL,NULL,NULL),(28,310,1,16,28,NULL,NULL,NULL,NULL),(28,310,1,16,29,NULL,2,NULL,1),(28,310,1,16,30,NULL,1,NULL,1),(28,310,1,16,31,1,NULL,1,NULL),(28,310,1,16,32,1,3,1,2),(28,310,1,16,33,NULL,5,NULL,3),(28,310,1,16,34,NULL,4,NULL,3),(28,310,1,16,35,1,NULL,1,NULL),(28,310,1,16,36,NULL,NULL,NULL,NULL),(28,310,1,16,37,NULL,NULL,NULL,NULL),(28,310,1,16,38,NULL,2,NULL,1),(28,310,1,16,39,NULL,7,NULL,4),(28,310,1,16,40,NULL,NULL,NULL,NULL),(28,310,1,17,1,3,NULL,2,NULL),(28,310,1,17,2,NULL,1,NULL,1),(28,310,1,17,3,3,3,2,3),(28,310,1,17,4,1,3,1,2),(28,310,1,17,5,2,3,2,1),(28,310,1,17,6,3,3,3,3),(28,310,1,17,7,3,2,3,NULL),(28,310,1,17,8,4,3,4,3),(28,310,1,17,9,1,NULL,1,NULL),(28,310,1,17,10,5,1,5,NULL),(28,310,1,17,11,4,2,4,1),(28,310,1,17,12,3,2,2,2),(28,310,1,17,13,13,NULL,9,NULL),(28,310,1,17,14,10,1,8,NULL),(28,310,1,17,15,6,5,6,3),(28,310,1,17,16,8,NULL,6,NULL),(28,310,1,17,17,3,8,3,5),(28,310,1,17,18,1,4,NULL,3),(28,310,1,17,19,3,5,2,4),(28,310,1,17,20,1,4,NULL,3),(28,310,1,17,21,NULL,2,NULL,2),(28,310,1,17,22,NULL,1,NULL,1),(28,310,1,17,23,NULL,5,NULL,3),(28,310,1,17,24,NULL,NULL,NULL,NULL),(28,310,1,17,25,NULL,1,NULL,1),(28,310,1,17,26,NULL,NULL,NULL,NULL),(28,310,1,17,27,2,NULL,2,NULL),(28,310,1,17,28,NULL,1,NULL,1),(28,310,1,17,29,2,2,2,2),(28,310,1,17,30,1,3,1,2),(28,310,1,17,31,1,4,1,3),(28,310,1,17,32,1,5,1,4),(28,310,1,17,33,1,1,1,1),(28,310,1,17,34,3,3,3,2),(28,310,1,17,35,1,1,1,NULL),(28,310,1,17,36,2,NULL,2,NULL),(28,310,1,17,37,2,1,2,1),(28,310,1,17,38,1,NULL,1,NULL),(28,310,1,17,39,NULL,7,NULL,5),(28,310,1,17,40,4,NULL,3,NULL),(28,310,1,18,1,NULL,NULL,NULL,NULL),(28,310,1,18,2,NULL,NULL,NULL,NULL),(28,310,1,18,3,NULL,NULL,NULL,NULL),(28,310,1,18,4,NULL,NULL,NULL,NULL),(28,310,1,18,5,NULL,NULL,NULL,NULL),(28,310,1,18,6,NULL,NULL,NULL,NULL),(28,310,1,18,7,NULL,NULL,NULL,NULL),(28,310,1,18,8,NULL,NULL,NULL,NULL),(28,310,1,18,9,NULL,NULL,NULL,NULL),(28,310,1,18,10,NULL,NULL,NULL,NULL),(28,310,1,18,11,NULL,NULL,NULL,NULL),(28,310,1,18,12,NULL,NULL,NULL,NULL),(28,310,1,18,13,NULL,NULL,NULL,NULL),(28,310,1,18,14,NULL,NULL,NULL,NULL),(28,310,1,18,15,NULL,NULL,NULL,NULL),(28,310,1,18,16,NULL,NULL,NULL,NULL),(28,310,1,18,17,NULL,NULL,NULL,NULL),(28,310,1,18,18,NULL,NULL,NULL,NULL),(28,310,1,18,19,NULL,NULL,NULL,NULL),(28,310,1,18,20,NULL,NULL,NULL,NULL),(28,310,1,18,21,NULL,NULL,NULL,NULL),(28,310,1,18,22,NULL,NULL,NULL,NULL),(28,310,1,18,23,NULL,NULL,NULL,NULL),(28,310,1,18,24,NULL,NULL,NULL,NULL),(28,310,1,18,25,NULL,NULL,NULL,NULL),(28,310,1,18,26,NULL,NULL,NULL,NULL),(28,310,1,18,27,NULL,NULL,NULL,NULL),(28,310,1,18,28,NULL,NULL,NULL,NULL),(28,310,1,18,29,NULL,NULL,NULL,NULL),(28,310,1,18,30,NULL,NULL,NULL,NULL),(28,310,1,18,31,NULL,NULL,NULL,NULL),(28,310,1,18,32,NULL,NULL,NULL,NULL),(28,310,1,18,33,NULL,NULL,NULL,NULL),(28,310,1,18,34,NULL,NULL,NULL,NULL),(28,310,1,18,35,NULL,NULL,NULL,NULL),(28,310,1,18,36,NULL,NULL,NULL,NULL),(28,310,1,18,37,NULL,NULL,NULL,NULL),(28,310,1,18,38,NULL,NULL,NULL,NULL),(28,310,1,18,39,NULL,NULL,NULL,NULL),(28,310,1,18,40,NULL,NULL,NULL,NULL),(28,310,1,19,1,NULL,NULL,NULL,NULL),(28,310,1,19,2,NULL,NULL,NULL,NULL),(28,310,1,19,3,NULL,NULL,NULL,NULL),(28,310,1,19,4,NULL,NULL,NULL,NULL),(28,310,1,19,5,NULL,NULL,NULL,NULL),(28,310,1,19,6,NULL,NULL,NULL,NULL),(28,310,1,19,7,NULL,NULL,NULL,NULL),(28,310,1,19,8,NULL,NULL,NULL,NULL),(28,310,1,19,9,NULL,NULL,NULL,NULL),(28,310,1,19,10,NULL,NULL,NULL,NULL),(28,310,1,19,11,NULL,NULL,NULL,NULL),(28,310,1,19,12,NULL,NULL,NULL,NULL),(28,310,1,19,13,NULL,NULL,NULL,NULL),(28,310,1,19,14,NULL,NULL,NULL,NULL),(28,310,1,19,15,NULL,NULL,NULL,NULL),(28,310,1,19,16,NULL,NULL,NULL,NULL),(28,310,1,19,17,NULL,NULL,NULL,NULL),(28,310,1,19,18,NULL,NULL,NULL,NULL),(28,310,1,19,19,NULL,NULL,NULL,NULL),(28,310,1,19,20,NULL,NULL,NULL,NULL),(28,310,1,19,21,NULL,NULL,NULL,NULL),(28,310,1,19,22,NULL,NULL,NULL,NULL),(28,310,1,19,23,NULL,NULL,NULL,NULL),(28,310,1,19,24,NULL,NULL,NULL,NULL),(28,310,1,19,25,NULL,NULL,NULL,NULL),(28,310,1,19,26,NULL,NULL,NULL,NULL),(28,310,1,19,27,NULL,NULL,NULL,NULL),(28,310,1,19,28,NULL,NULL,NULL,NULL),(28,310,1,19,29,NULL,NULL,NULL,NULL),(28,310,1,19,30,NULL,NULL,NULL,NULL),(28,310,1,19,31,NULL,NULL,NULL,NULL),(28,310,1,19,32,NULL,NULL,NULL,NULL),(28,310,1,19,33,NULL,NULL,NULL,NULL),(28,310,1,19,34,NULL,NULL,NULL,NULL),(28,310,1,19,35,NULL,NULL,NULL,NULL),(28,310,1,19,36,NULL,NULL,NULL,NULL),(28,310,1,19,37,NULL,NULL,NULL,NULL),(28,310,1,19,38,NULL,NULL,NULL,NULL),(28,310,1,19,39,NULL,NULL,NULL,NULL),(28,310,1,19,40,NULL,NULL,NULL,NULL),(28,310,2,21,1,2,6,2,5),(28,310,2,21,2,NULL,10,NULL,8),(28,310,2,21,3,9,4,7,3),(28,310,2,21,4,NULL,4,NULL,2),(28,310,2,21,5,2,3,2,2),(28,310,2,21,6,7,5,7,3),(28,310,2,21,7,NULL,6,NULL,4),(28,310,2,21,8,5,5,4,4),(28,310,2,21,9,3,3,3,1),(28,310,2,21,10,7,5,6,3),(28,310,2,21,11,5,5,5,3),(28,310,2,21,12,6,5,5,3),(28,310,2,21,13,1,10,1,6),(28,310,2,21,14,7,6,6,4),(28,310,2,21,15,6,5,5,4),(28,310,2,21,16,6,4,5,3),(28,310,2,21,17,NULL,3,NULL,1),(28,310,2,21,18,4,10,4,7),(28,310,2,21,19,5,7,4,5),(28,310,2,21,20,8,2,7,2),(28,310,2,21,21,NULL,2,NULL,2),(28,310,2,21,22,3,2,3,2),(28,310,2,21,23,NULL,1,NULL,1),(28,310,2,21,24,NULL,2,NULL,1),(28,310,2,21,25,NULL,5,NULL,4),(28,310,2,21,26,1,6,1,4),(28,310,2,21,27,NULL,7,NULL,4),(28,310,2,21,28,1,1,1,1),(28,310,2,21,29,1,1,1,NULL),(28,310,2,21,30,NULL,3,NULL,NULL),(28,310,2,21,31,NULL,5,NULL,5),(28,310,2,21,32,NULL,NULL,NULL,NULL),(28,310,2,21,33,1,1,1,1),(28,310,2,21,34,NULL,4,NULL,2),(28,310,2,21,35,5,NULL,4,NULL),(28,310,2,21,36,NULL,1,NULL,1),(28,310,2,21,37,NULL,2,NULL,2),(28,310,2,21,38,3,NULL,3,NULL),(28,310,2,21,39,NULL,2,NULL,2),(28,310,2,21,40,NULL,8,NULL,8),(28,310,2,22,1,1,5,1,4),(28,310,2,22,2,2,5,1,4),(28,310,2,22,3,5,6,2,5),(28,310,2,22,4,1,1,1,NULL),(28,310,2,22,5,1,2,1,2),(28,310,2,22,6,8,5,7,2),(28,310,2,22,7,NULL,2,NULL,2),(28,310,2,22,8,1,4,1,2),(28,310,2,22,9,2,2,2,NULL),(28,310,2,22,10,3,2,2,1),(28,310,2,22,11,1,3,1,1),(28,310,2,22,12,3,4,2,2),(28,310,2,22,13,2,7,1,4),(28,310,2,22,14,4,2,3,2),(28,310,2,22,15,3,4,2,1),(28,310,2,22,16,4,3,4,1),(28,310,2,22,17,NULL,NULL,NULL,NULL),(28,310,2,22,18,6,4,3,3),(28,310,2,22,19,4,7,3,6),(28,310,2,22,20,7,3,5,2),(28,310,2,22,21,NULL,2,NULL,1),(28,310,2,22,22,1,1,1,NULL),(28,310,2,22,23,NULL,2,NULL,2),(28,310,2,22,24,2,1,1,NULL),(28,310,2,22,25,2,2,2,1),(28,310,2,22,26,1,3,NULL,3),(28,310,2,22,27,1,3,1,2),(28,310,2,22,28,NULL,2,NULL,1),(28,310,2,22,29,NULL,1,NULL,1),(28,310,2,22,30,NULL,2,NULL,1),(28,310,2,22,31,NULL,5,NULL,4),(28,310,2,22,32,NULL,NULL,NULL,NULL),(28,310,2,22,33,1,2,1,2),(28,310,2,22,34,1,6,1,6),(28,310,2,22,35,1,NULL,1,NULL),(28,310,2,22,36,NULL,1,NULL,1),(28,310,2,22,37,1,1,1,1),(28,310,2,22,38,NULL,NULL,NULL,NULL),(28,310,2,22,39,NULL,1,NULL,NULL),(28,310,2,22,40,NULL,4,NULL,2),(28,310,2,23,1,NULL,6,NULL,6),(28,310,2,23,2,NULL,4,NULL,4),(28,310,2,23,3,3,7,3,6),(28,310,2,23,4,NULL,1,NULL,1),(28,310,2,23,5,2,4,2,4),(28,310,2,23,6,6,2,4,2),(28,310,2,23,7,NULL,5,NULL,5),(28,310,2,23,8,1,2,1,2),(28,310,2,23,9,NULL,NULL,NULL,NULL),(28,310,2,23,10,3,6,2,6),(28,310,2,23,11,NULL,4,NULL,3),(28,310,2,23,12,3,4,3,2),(28,310,2,23,13,1,5,1,3),(28,310,2,23,14,3,8,3,7),(28,310,2,23,15,4,1,3,1),(28,310,2,23,16,2,3,1,3),(28,310,2,23,17,NULL,1,NULL,1),(28,310,2,23,18,4,6,4,6),(28,310,2,23,19,2,1,2,1),(28,310,2,23,20,7,4,6,2),(28,310,2,23,21,NULL,1,NULL,1),(28,310,2,23,22,NULL,2,NULL,2),(28,310,2,23,23,NULL,2,NULL,1),(28,310,2,23,24,NULL,2,NULL,1),(28,310,2,23,25,NULL,1,NULL,1),(28,310,2,23,26,1,2,1,2),(28,310,2,23,27,2,6,1,6),(28,310,2,23,28,NULL,2,NULL,2),(28,310,2,23,29,NULL,2,NULL,2),(28,310,2,23,30,NULL,3,NULL,3),(28,310,2,23,31,NULL,5,NULL,5),(28,310,2,23,32,NULL,1,NULL,1),(28,310,2,23,33,NULL,2,NULL,1),(28,310,2,23,34,NULL,3,NULL,3),(28,310,2,23,35,4,NULL,2,NULL),(28,310,2,23,36,NULL,1,NULL,NULL),(28,310,2,23,37,NULL,1,NULL,1),(28,310,2,23,38,NULL,NULL,NULL,NULL),(28,310,2,23,39,NULL,NULL,NULL,NULL),(28,310,2,23,40,NULL,5,NULL,5),(28,310,2,24,1,NULL,5,NULL,4),(28,310,2,24,2,1,8,1,4),(28,310,2,24,3,6,7,4,4),(28,310,2,24,4,NULL,1,NULL,1),(28,310,2,24,5,3,4,3,2),(28,310,2,24,6,4,6,4,2),(28,310,2,24,7,NULL,3,NULL,3),(28,310,2,24,8,5,2,4,1),(28,310,2,24,9,2,1,1,1),(28,310,2,24,10,4,2,3,2),(28,310,2,24,11,1,6,1,4),(28,310,2,24,12,5,2,3,1),(28,310,2,24,13,4,8,4,5),(28,310,2,24,14,4,9,3,5),(28,310,2,24,15,5,4,4,3),(28,310,2,24,16,NULL,10,NULL,9),(28,310,2,24,17,1,5,NULL,2),(28,310,2,24,18,5,8,3,6),(28,310,2,24,19,1,8,1,5),(28,310,2,24,20,2,6,1,5),(28,310,2,24,21,2,2,1,1),(28,310,2,24,22,2,2,2,2),(28,310,2,24,23,NULL,3,NULL,1),(28,310,2,24,24,NULL,NULL,NULL,NULL),(28,310,2,24,25,1,3,1,3),(28,310,2,24,26,1,5,1,3),(28,310,2,24,27,2,4,2,3),(28,310,2,24,28,1,1,1,1),(28,310,2,24,29,NULL,2,NULL,1),(28,310,2,24,30,NULL,3,NULL,1),(28,310,2,24,31,NULL,4,NULL,3),(28,310,2,24,32,NULL,NULL,NULL,NULL),(28,310,2,24,33,NULL,1,NULL,1),(28,310,2,24,34,NULL,5,NULL,4),(28,310,2,24,35,2,NULL,2,NULL),(28,310,2,24,36,NULL,1,NULL,1),(28,310,2,24,37,1,NULL,1,NULL),(28,310,2,24,38,1,2,1,1),(28,310,2,24,39,1,3,NULL,3),(28,310,2,24,40,1,8,1,7),(28,316,1,11,1,NULL,NULL,NULL,NULL),(28,316,1,11,2,NULL,NULL,NULL,NULL),(28,316,1,11,3,NULL,NULL,NULL,NULL),(28,316,1,11,4,NULL,NULL,NULL,NULL),(28,316,1,11,5,NULL,NULL,NULL,NULL),(28,316,1,11,6,NULL,NULL,NULL,NULL),(28,316,1,11,7,NULL,NULL,NULL,NULL),(28,316,1,11,8,NULL,NULL,NULL,NULL),(28,316,1,11,9,NULL,NULL,NULL,NULL),(28,316,1,11,10,NULL,NULL,NULL,NULL),(28,316,1,11,11,NULL,NULL,NULL,NULL),(28,316,1,11,12,NULL,NULL,NULL,NULL),(28,316,1,11,13,NULL,NULL,NULL,NULL),(28,316,1,11,14,NULL,NULL,NULL,NULL),(28,316,1,11,15,NULL,NULL,NULL,NULL),(28,316,1,11,16,NULL,NULL,NULL,NULL),(28,316,1,11,17,NULL,NULL,NULL,NULL),(28,316,1,11,18,NULL,NULL,NULL,NULL),(28,316,1,11,19,NULL,NULL,NULL,NULL),(28,316,1,11,20,NULL,NULL,NULL,NULL),(28,316,1,11,21,NULL,NULL,NULL,NULL),(28,316,1,11,22,NULL,NULL,NULL,NULL),(28,316,1,11,23,NULL,NULL,NULL,NULL),(28,316,1,11,24,NULL,NULL,NULL,NULL),(28,316,1,11,25,NULL,NULL,NULL,NULL),(28,316,1,11,26,NULL,NULL,NULL,NULL),(28,316,1,11,27,NULL,NULL,NULL,NULL),(28,316,1,11,28,NULL,NULL,NULL,NULL),(28,316,1,11,29,NULL,NULL,NULL,NULL),(28,316,1,11,30,NULL,NULL,NULL,NULL),(28,316,1,11,31,NULL,NULL,NULL,NULL),(28,316,1,11,32,NULL,NULL,NULL,NULL),(28,316,1,11,33,NULL,NULL,NULL,NULL),(28,316,1,11,34,NULL,NULL,NULL,NULL),(28,316,1,11,35,NULL,NULL,NULL,NULL),(28,316,1,11,36,NULL,NULL,NULL,NULL),(28,316,1,11,37,NULL,NULL,NULL,NULL),(28,316,1,11,38,NULL,NULL,NULL,NULL),(28,316,1,11,39,NULL,NULL,NULL,NULL),(28,316,1,11,40,NULL,NULL,NULL,NULL),(28,316,1,12,1,NULL,NULL,NULL,NULL),(28,316,1,12,2,NULL,NULL,NULL,NULL),(28,316,1,12,3,NULL,NULL,NULL,NULL),(28,316,1,12,4,NULL,NULL,NULL,NULL),(28,316,1,12,5,NULL,NULL,NULL,NULL),(28,316,1,12,6,NULL,NULL,NULL,NULL),(28,316,1,12,7,NULL,NULL,NULL,NULL),(28,316,1,12,8,NULL,NULL,NULL,NULL),(28,316,1,12,9,NULL,NULL,NULL,NULL),(28,316,1,12,10,NULL,NULL,NULL,NULL),(28,316,1,12,11,NULL,NULL,NULL,NULL),(28,316,1,12,12,NULL,NULL,NULL,NULL),(28,316,1,12,13,NULL,NULL,NULL,NULL),(28,316,1,12,14,NULL,NULL,NULL,NULL),(28,316,1,12,15,NULL,NULL,NULL,NULL),(28,316,1,12,16,NULL,NULL,NULL,NULL),(28,316,1,12,17,NULL,NULL,NULL,NULL),(28,316,1,12,18,NULL,NULL,NULL,NULL),(28,316,1,12,19,NULL,NULL,NULL,NULL),(28,316,1,12,20,NULL,NULL,NULL,NULL),(28,316,1,12,21,NULL,NULL,NULL,NULL),(28,316,1,12,22,NULL,NULL,NULL,NULL),(28,316,1,12,23,NULL,NULL,NULL,NULL),(28,316,1,12,24,NULL,NULL,NULL,NULL),(28,316,1,12,25,NULL,NULL,NULL,NULL),(28,316,1,12,26,NULL,NULL,NULL,NULL),(28,316,1,12,27,NULL,NULL,NULL,NULL),(28,316,1,12,28,NULL,NULL,NULL,NULL),(28,316,1,12,29,NULL,NULL,NULL,NULL),(28,316,1,12,30,NULL,NULL,NULL,NULL),(28,316,1,12,31,NULL,NULL,NULL,NULL),(28,316,1,12,32,NULL,NULL,NULL,NULL),(28,316,1,12,33,NULL,NULL,NULL,NULL),(28,316,1,12,34,NULL,NULL,NULL,NULL),(28,316,1,12,35,NULL,NULL,NULL,NULL),(28,316,1,12,36,NULL,NULL,NULL,NULL),(28,316,1,12,37,NULL,NULL,NULL,NULL),(28,316,1,12,38,NULL,NULL,NULL,NULL),(28,316,1,12,39,NULL,NULL,NULL,NULL),(28,316,1,12,40,NULL,NULL,NULL,NULL),(28,316,1,13,1,1,NULL,NULL,NULL),(28,316,1,13,2,NULL,NULL,NULL,NULL),(28,316,1,13,3,NULL,NULL,NULL,NULL),(28,316,1,13,4,NULL,NULL,NULL,NULL),(28,316,1,13,5,NULL,NULL,NULL,NULL),(28,316,1,13,6,NULL,1,NULL,NULL),(28,316,1,13,7,NULL,NULL,NULL,NULL),(28,316,1,13,8,NULL,NULL,NULL,NULL),(28,316,1,13,9,NULL,NULL,NULL,NULL),(28,316,1,13,10,NULL,NULL,NULL,NULL),(28,316,1,13,11,NULL,NULL,NULL,NULL),(28,316,1,13,12,NULL,NULL,NULL,NULL),(28,316,1,13,13,1,NULL,NULL,NULL),(28,316,1,13,14,NULL,NULL,NULL,NULL),(28,316,1,13,15,NULL,NULL,NULL,NULL),(28,316,1,13,16,NULL,NULL,NULL,NULL),(28,316,1,13,17,NULL,NULL,NULL,NULL),(28,316,1,13,18,NULL,NULL,NULL,NULL),(28,316,1,13,19,1,NULL,NULL,NULL),(28,316,1,13,20,NULL,NULL,NULL,NULL),(28,316,1,13,21,NULL,NULL,NULL,NULL),(28,316,1,13,22,NULL,NULL,NULL,NULL),(28,316,1,13,23,NULL,NULL,NULL,NULL),(28,316,1,13,24,NULL,NULL,NULL,NULL),(28,316,1,13,25,NULL,NULL,NULL,NULL),(28,316,1,13,26,NULL,NULL,NULL,NULL),(28,316,1,13,27,NULL,NULL,NULL,NULL),(28,316,1,13,28,NULL,NULL,NULL,NULL),(28,316,1,13,29,NULL,NULL,NULL,NULL),(28,316,1,13,30,NULL,NULL,NULL,NULL),(28,316,1,13,31,NULL,NULL,NULL,NULL),(28,316,1,13,32,NULL,NULL,NULL,NULL),(28,316,1,13,33,NULL,NULL,NULL,NULL),(28,316,1,13,34,NULL,NULL,NULL,NULL),(28,316,1,13,35,NULL,NULL,NULL,NULL),(28,316,1,13,36,NULL,NULL,NULL,NULL),(28,316,1,13,37,NULL,NULL,NULL,NULL),(28,316,1,13,38,NULL,NULL,NULL,NULL),(28,316,1,13,39,NULL,NULL,NULL,NULL),(28,316,1,13,40,NULL,NULL,NULL,NULL),(28,316,1,14,1,45,NULL,18,NULL),(28,316,1,14,2,3,35,2,15),(28,316,1,14,3,13,43,8,22),(28,316,1,14,4,17,26,7,7),(28,316,1,14,5,20,31,4,14),(28,316,1,14,6,6,48,5,17),(28,316,1,14,7,8,30,4,9),(28,316,1,14,8,7,45,4,20),(28,316,1,14,9,9,36,5,15),(28,316,1,14,10,45,23,19,8),(28,316,1,14,11,14,17,9,6),(28,316,1,14,12,16,33,6,17),(28,316,1,14,13,47,35,19,10),(28,316,1,14,14,29,31,16,9),(28,316,1,14,15,53,NULL,24,NULL),(28,316,1,14,16,44,31,24,6),(28,316,1,14,17,16,49,12,13),(28,316,1,14,18,21,17,11,6),(28,316,1,14,19,44,36,22,8),(28,316,1,14,20,22,52,12,17),(28,316,1,14,21,2,16,NULL,4),(28,316,1,14,22,3,21,2,10),(28,316,1,14,23,3,24,1,11),(28,316,1,14,24,2,NULL,1,NULL),(28,316,1,14,25,2,14,NULL,3),(28,316,1,14,26,1,14,NULL,6),(28,316,1,14,27,19,NULL,7,NULL),(28,316,1,14,28,1,4,NULL,1),(28,316,1,14,29,4,24,1,10),(28,316,1,14,30,8,29,2,9),(28,316,1,14,31,3,16,1,3),(28,316,1,14,32,14,20,9,5),(28,316,1,14,33,6,22,3,10),(28,316,1,14,34,24,24,12,8),(28,316,1,14,35,3,8,3,4),(28,316,1,14,36,1,NULL,NULL,NULL),(28,316,1,14,37,3,9,NULL,2),(28,316,1,14,38,2,12,1,4),(28,316,1,14,39,21,43,12,12),(28,316,1,14,40,11,NULL,4,NULL),(28,316,1,15,1,38,NULL,8,NULL),(28,316,1,15,2,4,28,3,6),(28,316,1,15,3,19,34,10,7),(28,316,1,15,4,17,30,5,7),(28,316,1,15,5,20,23,5,9),(28,316,1,15,6,8,51,2,14),(28,316,1,15,7,9,28,2,9),(28,316,1,15,8,5,37,4,12),(28,316,1,15,9,12,26,4,7),(28,316,1,15,10,46,16,15,7),(28,316,1,15,11,12,18,6,7),(28,316,1,15,12,6,22,3,4),(28,316,1,15,13,45,41,15,6),(28,316,1,15,14,25,27,8,4),(28,316,1,15,15,57,NULL,14,NULL),(28,316,1,15,16,44,27,12,7),(28,316,1,15,17,19,47,8,7),(28,316,1,15,18,25,33,9,6),(28,316,1,15,19,51,26,13,5),(28,316,1,15,20,35,53,13,7),(28,316,1,15,21,6,5,1,NULL),(28,316,1,15,22,4,16,1,5),(28,316,1,15,23,2,30,NULL,5),(28,316,1,15,24,NULL,NULL,NULL,NULL),(28,316,1,15,25,4,6,2,NULL),(28,316,1,15,26,NULL,10,NULL,5),(28,316,1,15,27,18,NULL,8,NULL),(28,316,1,15,28,3,7,NULL,NULL),(28,316,1,15,29,4,19,NULL,8),(28,316,1,15,30,6,30,2,8),(28,316,1,15,31,2,20,1,4),(28,316,1,15,32,9,24,3,9),(28,316,1,15,33,4,16,2,5),(28,316,1,15,34,19,18,7,1),(28,316,1,15,35,6,9,3,3),(28,316,1,15,36,3,NULL,2,NULL),(28,316,1,15,37,7,11,3,2),(28,316,1,15,38,2,17,2,5),(28,316,1,15,39,15,39,3,13),(28,316,1,15,40,9,NULL,3,NULL),(28,316,1,16,1,43,NULL,10,NULL),(28,316,1,16,2,NULL,26,NULL,3),(28,316,1,16,3,15,39,4,10),(28,316,1,16,4,13,31,1,7),(28,316,1,16,5,23,27,2,5),(28,316,1,16,6,4,51,2,7),(28,316,1,16,7,14,41,1,9),(28,316,1,16,8,1,41,1,6),(28,316,1,16,9,8,28,2,5),(28,316,1,16,10,45,20,7,3),(28,316,1,16,11,7,15,2,3),(28,316,1,16,12,9,18,2,3),(28,316,1,16,13,110,NULL,15,NULL),(28,316,1,16,14,91,20,14,1),(28,316,1,16,15,24,75,4,8),(28,316,1,16,16,93,NULL,12,NULL),(28,316,1,16,17,43,58,6,6),(28,316,1,16,18,19,34,5,5),(28,316,1,16,19,12,67,3,9),(28,316,1,16,20,9,37,2,5),(28,316,1,16,21,3,16,NULL,NULL),(28,316,1,16,22,2,12,NULL,2),(28,316,1,16,23,7,31,2,6),(28,316,1,16,24,2,NULL,NULL,NULL),(28,316,1,16,25,4,10,NULL,NULL),(28,316,1,16,26,2,9,NULL,1),(28,316,1,16,27,14,NULL,2,NULL),(28,316,1,16,28,NULL,5,NULL,1),(28,316,1,16,29,4,31,NULL,9),(28,316,1,16,30,8,26,1,5),(28,316,1,16,31,8,10,NULL,3),(28,316,1,16,32,5,24,NULL,7),(28,316,1,16,33,7,20,2,4),(28,316,1,16,34,13,27,4,6),(28,316,1,16,35,1,10,1,2),(28,316,1,16,36,NULL,NULL,NULL,NULL),(28,316,1,16,37,NULL,13,NULL,3),(28,316,1,16,38,NULL,10,NULL,2),(28,316,1,16,39,12,33,2,6),(28,316,1,16,40,6,NULL,2,NULL),(28,316,1,17,1,37,NULL,13,NULL),(28,316,1,17,2,NULL,26,NULL,9),(28,316,1,17,3,20,27,6,10),(28,316,1,17,4,8,30,3,6),(28,316,1,17,5,15,31,4,9),(28,316,1,17,6,5,56,1,17),(28,316,1,17,7,12,35,1,15),(28,316,1,17,8,3,41,1,10),(28,316,1,17,9,15,26,2,5),(28,316,1,17,10,49,21,13,6),(28,316,1,17,11,6,25,2,10),(28,316,1,17,12,4,16,3,6),(28,316,1,17,13,106,NULL,24,NULL),(28,316,1,17,14,81,22,18,6),(28,316,1,17,15,25,47,7,11),(28,316,1,17,16,90,NULL,18,NULL),(28,316,1,17,17,52,49,13,12),(28,316,1,17,18,25,31,11,9),(28,316,1,17,19,16,51,5,12),(28,316,1,17,20,18,34,4,7),(28,316,1,17,21,1,22,NULL,4),(28,316,1,17,22,8,18,2,2),(28,316,1,17,23,4,26,NULL,11),(28,316,1,17,24,2,NULL,NULL,NULL),(28,316,1,17,25,2,13,NULL,5),(28,316,1,17,26,1,5,1,2),(28,316,1,17,27,19,NULL,8,NULL),(28,316,1,17,28,1,6,NULL,1),(28,316,1,17,29,4,25,1,6),(28,316,1,17,30,10,33,1,13),(28,316,1,17,31,5,10,3,2),(28,316,1,17,32,6,23,1,9),(28,316,1,17,33,4,18,2,5),(28,316,1,17,34,20,21,7,8),(28,316,1,17,35,7,10,4,5),(28,316,1,17,36,1,NULL,1,NULL),(28,316,1,17,37,3,9,NULL,4),(28,316,1,17,38,2,20,2,8),(28,316,1,17,39,15,32,3,13),(28,316,1,17,40,5,NULL,2,NULL),(28,316,1,18,1,NULL,NULL,NULL,NULL),(28,316,1,18,2,NULL,NULL,NULL,NULL),(28,316,1,18,3,NULL,NULL,NULL,NULL),(28,316,1,18,4,NULL,NULL,NULL,NULL),(28,316,1,18,5,NULL,NULL,NULL,NULL),(28,316,1,18,6,NULL,NULL,NULL,NULL),(28,316,1,18,7,NULL,NULL,NULL,NULL),(28,316,1,18,8,NULL,NULL,NULL,NULL),(28,316,1,18,9,NULL,NULL,NULL,NULL),(28,316,1,18,10,NULL,NULL,NULL,NULL),(28,316,1,18,11,NULL,NULL,NULL,NULL),(28,316,1,18,12,NULL,NULL,NULL,NULL),(28,316,1,18,13,NULL,NULL,NULL,NULL),(28,316,1,18,14,NULL,NULL,NULL,NULL),(28,316,1,18,15,NULL,NULL,NULL,NULL),(28,316,1,18,16,NULL,NULL,NULL,NULL),(28,316,1,18,17,NULL,NULL,NULL,NULL),(28,316,1,18,18,NULL,NULL,NULL,NULL),(28,316,1,18,19,NULL,NULL,NULL,NULL),(28,316,1,18,20,NULL,NULL,NULL,NULL),(28,316,1,18,21,NULL,NULL,NULL,NULL),(28,316,1,18,22,NULL,NULL,NULL,NULL),(28,316,1,18,23,NULL,NULL,NULL,NULL),(28,316,1,18,24,NULL,NULL,NULL,NULL),(28,316,1,18,25,NULL,NULL,NULL,NULL),(28,316,1,18,26,NULL,NULL,NULL,NULL),(28,316,1,18,27,NULL,NULL,NULL,NULL),(28,316,1,18,28,NULL,NULL,NULL,NULL),(28,316,1,18,29,NULL,NULL,NULL,NULL),(28,316,1,18,30,NULL,NULL,NULL,NULL),(28,316,1,18,31,NULL,NULL,NULL,NULL),(28,316,1,18,32,NULL,NULL,NULL,NULL),(28,316,1,18,33,NULL,NULL,NULL,NULL),(28,316,1,18,34,NULL,NULL,NULL,NULL),(28,316,1,18,35,NULL,NULL,NULL,NULL),(28,316,1,18,36,NULL,NULL,NULL,NULL),(28,316,1,18,37,NULL,NULL,NULL,NULL),(28,316,1,18,38,NULL,NULL,NULL,NULL),(28,316,1,18,39,NULL,NULL,NULL,NULL),(28,316,1,18,40,NULL,NULL,NULL,NULL),(28,316,1,19,1,NULL,NULL,NULL,NULL),(28,316,1,19,2,NULL,NULL,NULL,NULL),(28,316,1,19,3,NULL,NULL,NULL,NULL),(28,316,1,19,4,NULL,NULL,NULL,NULL),(28,316,1,19,5,NULL,NULL,NULL,NULL),(28,316,1,19,6,NULL,NULL,NULL,NULL),(28,316,1,19,7,NULL,NULL,NULL,NULL),(28,316,1,19,8,NULL,NULL,NULL,NULL),(28,316,1,19,9,NULL,NULL,NULL,NULL),(28,316,1,19,10,NULL,NULL,NULL,NULL),(28,316,1,19,11,NULL,NULL,NULL,NULL),(28,316,1,19,12,NULL,NULL,NULL,NULL),(28,316,1,19,13,NULL,NULL,NULL,NULL),(28,316,1,19,14,NULL,NULL,NULL,NULL),(28,316,1,19,15,NULL,NULL,NULL,NULL),(28,316,1,19,16,NULL,NULL,NULL,NULL),(28,316,1,19,17,NULL,NULL,NULL,NULL),(28,316,1,19,18,NULL,NULL,NULL,NULL),(28,316,1,19,19,NULL,NULL,NULL,NULL),(28,316,1,19,20,NULL,NULL,NULL,NULL),(28,316,1,19,21,NULL,NULL,NULL,NULL),(28,316,1,19,22,NULL,NULL,NULL,NULL),(28,316,1,19,23,NULL,NULL,NULL,NULL),(28,316,1,19,24,NULL,NULL,NULL,NULL),(28,316,1,19,25,NULL,NULL,NULL,NULL),(28,316,1,19,26,NULL,NULL,NULL,NULL),(28,316,1,19,27,NULL,NULL,NULL,NULL),(28,316,1,19,28,NULL,NULL,NULL,NULL),(28,316,1,19,29,NULL,NULL,NULL,NULL),(28,316,1,19,30,NULL,NULL,NULL,NULL),(28,316,1,19,31,NULL,NULL,NULL,NULL),(28,316,1,19,32,NULL,NULL,NULL,NULL),(28,316,1,19,33,NULL,NULL,NULL,NULL),(28,316,1,19,34,NULL,NULL,NULL,NULL),(28,316,1,19,35,NULL,NULL,NULL,NULL),(28,316,1,19,36,NULL,NULL,NULL,NULL),(28,316,1,19,37,NULL,NULL,NULL,NULL),(28,316,1,19,38,NULL,NULL,NULL,NULL),(28,316,1,19,39,NULL,NULL,NULL,NULL),(28,316,1,19,40,NULL,NULL,NULL,NULL),(28,316,2,21,1,NULL,53,NULL,13),(28,316,2,21,2,NULL,23,NULL,7),(28,316,2,21,3,45,35,13,13),(28,316,2,21,4,NULL,14,NULL,2),(28,316,2,21,5,13,35,3,15),(28,316,2,21,6,35,43,13,7),(28,316,2,21,7,NULL,39,NULL,9),(28,316,2,21,8,13,20,5,8),(28,316,2,21,9,4,17,4,8),(28,316,2,21,10,25,26,11,8),(28,316,2,21,11,9,19,5,6),(28,316,2,21,12,13,33,5,10),(28,316,2,21,13,8,62,4,18),(28,316,2,21,14,22,37,10,14),(28,316,2,21,15,11,24,4,8),(28,316,2,21,16,12,38,5,11),(28,316,2,21,17,2,18,1,5),(28,316,2,21,18,32,46,8,15),(28,316,2,21,19,16,36,7,15),(28,316,2,21,20,28,30,10,4),(28,316,2,21,21,NULL,10,NULL,4),(28,316,2,21,22,9,16,4,8),(28,316,2,21,23,1,13,1,5),(28,316,2,21,24,3,14,NULL,4),(28,316,2,21,25,6,18,3,4),(28,316,2,21,26,2,29,1,11),(28,316,2,21,27,2,34,1,11),(28,316,2,21,28,3,13,1,7),(28,316,2,21,29,1,12,NULL,4),(28,316,2,21,30,2,12,NULL,2),(28,316,2,21,31,1,28,NULL,8),(28,316,2,21,32,2,5,2,2),(28,316,2,21,33,9,18,6,6),(28,316,2,21,34,5,20,3,12),(28,316,2,21,35,18,NULL,9,NULL),(28,316,2,21,36,2,11,1,4),(28,316,2,21,37,3,25,2,9),(28,316,2,21,38,NULL,6,NULL,1),(28,316,2,21,39,NULL,14,NULL,7),(28,316,2,21,40,4,44,3,15),(28,316,2,22,1,2,37,1,9),(28,316,2,22,2,NULL,16,NULL,4),(28,316,2,22,3,32,48,10,12),(28,316,2,22,4,1,11,NULL,4),(28,316,2,22,5,15,31,5,12),(28,316,2,22,6,30,48,8,11),(28,316,2,22,7,NULL,37,NULL,9),(28,316,2,22,8,8,26,3,11),(28,316,2,22,9,8,19,5,5),(28,316,2,22,10,22,32,5,10),(28,316,2,22,11,9,35,4,11),(28,316,2,22,12,12,36,8,3),(28,316,2,22,13,10,66,5,16),(28,316,2,22,14,22,36,8,13),(28,316,2,22,15,6,34,2,8),(28,316,2,22,16,13,46,5,14),(28,316,2,22,17,8,21,3,6),(28,316,2,22,18,31,50,8,12),(28,316,2,22,19,15,27,4,6),(28,316,2,22,20,25,32,6,8),(28,316,2,22,21,2,20,1,5),(28,316,2,22,22,11,11,6,4),(28,316,2,22,23,1,13,NULL,5),(28,316,2,22,24,NULL,15,NULL,1),(28,316,2,22,25,5,15,NULL,6),(28,316,2,22,26,3,26,NULL,9),(28,316,2,22,27,6,33,1,12),(28,316,2,22,28,3,14,2,5),(28,316,2,22,29,1,13,1,5),(28,316,2,22,30,1,16,NULL,1),(28,316,2,22,31,NULL,27,NULL,11),(28,316,2,22,32,1,9,NULL,3),(28,316,2,22,33,4,15,3,7),(28,316,2,22,34,7,26,3,10),(28,316,2,22,35,14,NULL,3,NULL),(28,316,2,22,36,3,8,1,NULL),(28,316,2,22,37,3,15,NULL,6),(28,316,2,22,38,1,3,NULL,1),(28,316,2,22,39,4,13,1,4),(28,316,2,22,40,2,50,1,14),(28,316,2,23,1,3,43,1,6),(28,316,2,23,2,1,26,NULL,7),(28,316,2,23,3,29,38,6,10),(28,316,2,23,4,NULL,13,NULL,2),(28,316,2,23,5,8,22,4,8),(28,316,2,23,6,25,41,6,6),(28,316,2,23,7,NULL,35,NULL,10),(28,316,2,23,8,10,13,3,4),(28,316,2,23,9,3,11,1,3),(28,316,2,23,10,21,21,6,4),(28,316,2,23,11,13,18,2,9),(28,316,2,23,12,11,33,2,7),(28,316,2,23,13,6,62,2,11),(28,316,2,23,14,15,40,4,12),(28,316,2,23,15,17,28,5,5),(28,316,2,23,16,16,47,NULL,15),(28,316,2,23,17,5,17,1,6),(28,316,2,23,18,33,42,6,13),(28,316,2,23,19,21,31,7,8),(28,316,2,23,20,24,23,10,5),(28,316,2,23,21,3,14,1,3),(28,316,2,23,22,9,8,4,2),(28,316,2,23,23,3,14,1,4),(28,316,2,23,24,3,11,NULL,2),(28,316,2,23,25,5,15,1,2),(28,316,2,23,26,10,26,1,5),(28,316,2,23,27,6,36,3,14),(28,316,2,23,28,4,14,3,4),(28,316,2,23,29,1,13,NULL,3),(28,316,2,23,30,4,14,1,2),(28,316,2,23,31,2,28,NULL,5),(28,316,2,23,32,2,2,1,NULL),(28,316,2,23,33,7,11,3,3),(28,316,2,23,34,3,23,1,12),(28,316,2,23,35,16,NULL,6,NULL),(28,316,2,23,36,3,8,NULL,1),(28,316,2,23,37,3,11,1,3),(28,316,2,23,38,4,2,1,2),(28,316,2,23,39,3,8,1,3),(28,316,2,23,40,2,46,1,11),(28,316,2,24,1,NULL,37,NULL,8),(28,316,2,24,2,NULL,21,NULL,6),(28,316,2,24,3,32,41,8,12),(28,316,2,24,4,2,8,1,3),(28,316,2,24,5,8,29,3,9),(28,316,2,24,6,28,44,8,8),(28,316,2,24,7,NULL,30,NULL,8),(28,316,2,24,8,6,20,2,4),(28,316,2,24,9,9,17,1,4),(28,316,2,24,10,19,28,6,11),(28,316,2,24,11,4,19,2,8),(28,316,2,24,12,24,32,11,5),(28,316,2,24,13,15,54,5,14),(28,316,2,24,14,14,48,5,13),(28,316,2,24,15,8,29,2,12),(28,316,2,24,16,15,35,8,10),(28,316,2,24,17,5,13,2,3),(28,316,2,24,18,39,38,12,9),(28,316,2,24,19,10,39,5,9),(28,316,2,24,20,29,19,10,1),(28,316,2,24,21,1,17,1,3),(28,316,2,24,22,9,11,6,3),(28,316,2,24,23,6,6,2,3),(28,316,2,24,24,2,18,NULL,6),(28,316,2,24,25,3,18,NULL,7),(28,316,2,24,26,4,24,1,3),(28,316,2,24,27,6,33,3,12),(28,316,2,24,28,2,17,1,10),(28,316,2,24,29,1,20,NULL,7),(28,316,2,24,30,4,13,NULL,7),(28,316,2,24,31,1,30,1,9),(28,316,2,24,32,1,6,NULL,3),(28,316,2,24,33,4,11,2,2),(28,316,2,24,34,5,27,3,6),(28,316,2,24,35,16,NULL,6,NULL),(28,316,2,24,36,3,14,NULL,4),(28,316,2,24,37,NULL,9,NULL,4),(28,316,2,24,38,1,9,NULL,4),(28,316,2,24,39,1,13,1,4),(28,316,2,24,40,2,37,1,10),(28,317,1,11,1,NULL,NULL,NULL,NULL),(28,317,1,11,2,NULL,NULL,NULL,NULL),(28,317,1,11,3,NULL,NULL,NULL,NULL),(28,317,1,11,4,NULL,NULL,NULL,NULL),(28,317,1,11,5,NULL,NULL,NULL,NULL),(28,317,1,11,6,NULL,NULL,NULL,NULL),(28,317,1,11,7,NULL,NULL,NULL,NULL),(28,317,1,11,8,NULL,NULL,NULL,NULL),(28,317,1,11,9,NULL,NULL,NULL,NULL),(28,317,1,11,10,NULL,NULL,NULL,NULL),(28,317,1,11,11,NULL,NULL,NULL,NULL),(28,317,1,11,12,NULL,NULL,NULL,NULL),(28,317,1,11,13,NULL,NULL,NULL,NULL),(28,317,1,11,14,NULL,NULL,NULL,NULL),(28,317,1,11,15,NULL,NULL,NULL,NULL),(28,317,1,11,16,NULL,NULL,NULL,NULL),(28,317,1,11,17,NULL,NULL,NULL,NULL),(28,317,1,11,18,NULL,NULL,NULL,NULL),(28,317,1,11,19,NULL,NULL,NULL,NULL),(28,317,1,11,20,NULL,NULL,NULL,NULL),(28,317,1,11,21,NULL,NULL,NULL,NULL),(28,317,1,11,22,NULL,NULL,NULL,NULL),(28,317,1,11,23,NULL,NULL,NULL,NULL),(28,317,1,11,24,NULL,NULL,NULL,NULL),(28,317,1,11,25,NULL,NULL,NULL,NULL),(28,317,1,11,26,NULL,NULL,NULL,NULL),(28,317,1,11,27,NULL,NULL,NULL,NULL),(28,317,1,11,28,NULL,NULL,NULL,NULL),(28,317,1,11,29,NULL,NULL,NULL,NULL),(28,317,1,11,30,NULL,NULL,NULL,NULL),(28,317,1,11,31,NULL,NULL,NULL,NULL),(28,317,1,11,32,NULL,NULL,NULL,NULL),(28,317,1,11,33,NULL,NULL,NULL,NULL),(28,317,1,11,34,NULL,NULL,NULL,NULL),(28,317,1,11,35,NULL,NULL,NULL,NULL),(28,317,1,11,36,NULL,NULL,NULL,NULL),(28,317,1,11,37,NULL,NULL,NULL,NULL),(28,317,1,11,38,NULL,NULL,NULL,NULL),(28,317,1,11,39,NULL,NULL,NULL,NULL),(28,317,1,11,40,NULL,NULL,NULL,NULL),(28,317,1,12,1,NULL,NULL,NULL,NULL),(28,317,1,12,2,NULL,NULL,NULL,NULL),(28,317,1,12,3,NULL,NULL,NULL,NULL),(28,317,1,12,4,NULL,NULL,NULL,NULL),(28,317,1,12,5,NULL,NULL,NULL,NULL),(28,317,1,12,6,NULL,NULL,NULL,NULL),(28,317,1,12,7,NULL,NULL,NULL,NULL),(28,317,1,12,8,NULL,NULL,NULL,NULL),(28,317,1,12,9,NULL,NULL,NULL,NULL),(28,317,1,12,10,NULL,NULL,NULL,NULL),(28,317,1,12,11,NULL,NULL,NULL,NULL),(28,317,1,12,12,NULL,NULL,NULL,NULL),(28,317,1,12,13,NULL,NULL,NULL,NULL),(28,317,1,12,14,NULL,NULL,NULL,NULL),(28,317,1,12,15,NULL,NULL,NULL,NULL),(28,317,1,12,16,NULL,NULL,NULL,NULL),(28,317,1,12,17,NULL,NULL,NULL,NULL),(28,317,1,12,18,NULL,NULL,NULL,NULL),(28,317,1,12,19,NULL,NULL,NULL,NULL),(28,317,1,12,20,NULL,NULL,NULL,NULL),(28,317,1,12,21,NULL,NULL,NULL,NULL),(28,317,1,12,22,NULL,NULL,NULL,NULL),(28,317,1,12,23,NULL,NULL,NULL,NULL),(28,317,1,12,24,NULL,NULL,NULL,NULL),(28,317,1,12,25,NULL,NULL,NULL,NULL),(28,317,1,12,26,NULL,NULL,NULL,NULL),(28,317,1,12,27,NULL,NULL,NULL,NULL),(28,317,1,12,28,NULL,NULL,NULL,NULL),(28,317,1,12,29,NULL,NULL,NULL,NULL),(28,317,1,12,30,NULL,NULL,NULL,NULL),(28,317,1,12,31,NULL,NULL,NULL,NULL),(28,317,1,12,32,NULL,NULL,NULL,NULL),(28,317,1,12,33,NULL,NULL,NULL,NULL),(28,317,1,12,34,NULL,NULL,NULL,NULL),(28,317,1,12,35,NULL,NULL,NULL,NULL),(28,317,1,12,36,NULL,NULL,NULL,NULL),(28,317,1,12,37,NULL,NULL,NULL,NULL),(28,317,1,12,38,NULL,NULL,NULL,NULL),(28,317,1,12,39,NULL,NULL,NULL,NULL),(28,317,1,12,40,NULL,NULL,NULL,NULL),(28,317,1,13,1,NULL,NULL,NULL,NULL),(28,317,1,13,2,NULL,1,NULL,1),(28,317,1,13,3,NULL,NULL,NULL,NULL),(28,317,1,13,4,NULL,NULL,NULL,NULL),(28,317,1,13,5,NULL,1,NULL,1),(28,317,1,13,6,NULL,NULL,NULL,NULL),(28,317,1,13,7,NULL,NULL,NULL,NULL),(28,317,1,13,8,NULL,NULL,NULL,NULL),(28,317,1,13,9,1,NULL,1,NULL),(28,317,1,13,10,1,NULL,1,NULL),(28,317,1,13,11,NULL,NULL,NULL,NULL),(28,317,1,13,12,NULL,NULL,NULL,NULL),(28,317,1,13,13,1,NULL,1,NULL),(28,317,1,13,14,1,NULL,1,NULL),(28,317,1,13,15,NULL,NULL,NULL,NULL),(28,317,1,13,16,1,NULL,1,NULL),(28,317,1,13,17,NULL,1,NULL,1),(28,317,1,13,18,1,NULL,1,NULL),(28,317,1,13,19,1,NULL,1,NULL),(28,317,1,13,20,NULL,NULL,NULL,NULL),(28,317,1,13,21,NULL,NULL,NULL,NULL),(28,317,1,13,22,NULL,1,NULL,1),(28,317,1,13,23,NULL,NULL,NULL,NULL),(28,317,1,13,24,NULL,NULL,NULL,NULL),(28,317,1,13,25,NULL,NULL,NULL,NULL),(28,317,1,13,26,NULL,NULL,NULL,NULL),(28,317,1,13,27,NULL,NULL,NULL,NULL),(28,317,1,13,28,NULL,NULL,NULL,NULL),(28,317,1,13,29,NULL,NULL,NULL,NULL),(28,317,1,13,30,NULL,1,NULL,1),(28,317,1,13,31,NULL,NULL,NULL,NULL),(28,317,1,13,32,NULL,NULL,NULL,NULL),(28,317,1,13,33,NULL,NULL,NULL,NULL),(28,317,1,13,34,NULL,NULL,NULL,NULL),(28,317,1,13,35,NULL,NULL,NULL,NULL),(28,317,1,13,36,NULL,NULL,NULL,NULL),(28,317,1,13,37,NULL,NULL,NULL,NULL),(28,317,1,13,38,NULL,NULL,NULL,NULL),(28,317,1,13,39,NULL,NULL,NULL,NULL),(28,317,1,13,40,1,NULL,1,NULL),(28,317,1,14,1,18,NULL,12,NULL),(28,317,1,14,2,1,15,NULL,8),(28,317,1,14,3,9,12,5,6),(28,317,1,14,4,10,6,5,3),(28,317,1,14,5,9,13,6,5),(28,317,1,14,6,1,16,1,9),(28,317,1,14,7,5,13,3,6),(28,317,1,14,8,NULL,11,NULL,7),(28,317,1,14,9,4,19,1,10),(28,317,1,14,10,15,13,9,6),(28,317,1,14,11,5,15,4,10),(28,317,1,14,12,3,14,1,7),(28,317,1,14,13,12,21,7,9),(28,317,1,14,14,9,12,5,7),(28,317,1,14,15,21,NULL,12,NULL),(28,317,1,14,16,16,11,9,4),(28,317,1,14,17,2,22,2,10),(28,317,1,14,18,6,6,6,3),(28,317,1,14,19,14,16,8,9),(28,317,1,14,20,4,24,4,13),(28,317,1,14,21,5,6,1,4),(28,317,1,14,22,1,9,NULL,4),(28,317,1,14,23,1,12,NULL,6),(28,317,1,14,24,NULL,NULL,NULL,NULL),(28,317,1,14,25,1,9,NULL,3),(28,317,1,14,26,NULL,6,NULL,3),(28,317,1,14,27,6,NULL,3,NULL),(28,317,1,14,28,NULL,3,NULL,1),(28,317,1,14,29,4,13,1,5),(28,317,1,14,30,NULL,15,NULL,7),(28,317,1,14,31,2,4,1,1),(28,317,1,14,32,4,15,3,9),(28,317,1,14,33,3,6,2,4),(28,317,1,14,34,7,12,4,9),(28,317,1,14,35,1,6,1,6),(28,317,1,14,36,1,NULL,1,NULL),(28,317,1,14,37,NULL,8,NULL,5),(28,317,1,14,38,1,6,1,5),(28,317,1,14,39,6,18,3,10),(28,317,1,14,40,2,NULL,1,NULL),(28,317,1,15,1,22,NULL,13,NULL),(28,317,1,15,2,NULL,12,NULL,5),(28,317,1,15,3,7,15,3,10),(28,317,1,15,4,4,12,3,6),(28,317,1,15,5,6,16,4,10),(28,317,1,15,6,1,22,NULL,8),(28,317,1,15,7,1,13,NULL,8),(28,317,1,15,8,NULL,15,NULL,6),(28,317,1,15,9,5,11,3,3),(28,317,1,15,10,24,11,14,3),(28,317,1,15,11,1,13,1,8),(28,317,1,15,12,7,8,2,4),(28,317,1,15,13,17,22,10,5),(28,317,1,15,14,8,15,4,9),(28,317,1,15,15,22,NULL,9,NULL),(28,317,1,15,16,15,15,9,7),(28,317,1,15,17,4,23,1,11),(28,317,1,15,18,7,10,3,4),(28,317,1,15,19,16,14,8,7),(28,317,1,15,20,14,28,7,9),(28,317,1,15,21,NULL,9,NULL,3),(28,317,1,15,22,1,5,NULL,3),(28,317,1,15,23,2,12,2,5),(28,317,1,15,24,1,NULL,NULL,NULL),(28,317,1,15,25,NULL,5,NULL,2),(28,317,1,15,26,4,4,2,1),(28,317,1,15,27,11,NULL,4,NULL),(28,317,1,15,28,NULL,2,NULL,1),(28,317,1,15,29,2,6,NULL,3),(28,317,1,15,30,5,14,2,5),(28,317,1,15,31,1,5,1,2),(28,317,1,15,32,1,14,1,9),(28,317,1,15,33,1,9,1,7),(28,317,1,15,34,11,11,7,5),(28,317,1,15,35,1,5,1,2),(28,317,1,15,36,2,NULL,1,NULL),(28,317,1,15,37,2,5,1,3),(28,317,1,15,38,1,6,NULL,5),(28,317,1,15,39,8,17,3,10),(28,317,1,15,40,8,NULL,5,NULL),(28,317,1,16,1,31,NULL,13,NULL),(28,317,1,16,2,1,16,NULL,8),(28,317,1,16,3,14,23,3,9),(28,317,1,16,4,5,19,1,6),(28,317,1,16,5,19,25,7,5),(28,317,1,16,6,6,39,1,12),(28,317,1,16,7,9,23,1,10),(28,317,1,16,8,3,25,1,12),(28,317,1,16,9,13,21,5,7),(28,317,1,16,10,38,14,15,4),(28,317,1,16,11,6,23,4,10),(28,317,1,16,12,4,18,2,7),(28,317,1,16,13,85,NULL,23,NULL),(28,317,1,16,14,63,14,21,2),(28,317,1,16,15,13,51,3,15),(28,317,1,16,16,57,NULL,16,NULL),(28,317,1,16,17,37,42,13,8),(28,317,1,16,18,21,24,5,9),(28,317,1,16,19,9,49,3,12),(28,317,1,16,20,14,18,4,7),(28,317,1,16,21,1,8,NULL,1),(28,317,1,16,22,1,17,NULL,4),(28,317,1,16,23,2,13,NULL,4),(28,317,1,16,24,3,NULL,1,NULL),(28,317,1,16,25,3,7,NULL,1),(28,317,1,16,26,1,5,NULL,1),(28,317,1,16,27,12,NULL,5,NULL),(28,317,1,16,28,NULL,3,NULL,2),(28,317,1,16,29,2,13,NULL,4),(28,317,1,16,30,3,28,1,10),(28,317,1,16,31,NULL,8,NULL,2),(28,317,1,16,32,4,15,NULL,5),(28,317,1,16,33,5,12,3,5),(28,317,1,16,34,11,16,6,3),(28,317,1,16,35,NULL,6,NULL,1),(28,317,1,16,36,NULL,NULL,NULL,NULL),(28,317,1,16,37,NULL,7,NULL,1),(28,317,1,16,38,1,9,NULL,3),(28,317,1,16,39,13,27,4,12),(28,317,1,16,40,6,NULL,1,NULL),(28,317,1,17,1,25,NULL,12,NULL),(28,317,1,17,2,NULL,13,NULL,4),(28,317,1,17,3,10,24,3,11),(28,317,1,17,4,5,13,1,3),(28,317,1,17,5,9,18,2,6),(28,317,1,17,6,3,26,NULL,8),(28,317,1,17,7,3,18,1,10),(28,317,1,17,8,NULL,24,NULL,8),(28,317,1,17,9,11,14,3,3),(28,317,1,17,10,29,19,9,9),(28,317,1,17,11,9,14,1,8),(28,317,1,17,12,6,11,3,2),(28,317,1,17,13,75,NULL,22,NULL),(28,317,1,17,14,62,12,16,7),(28,317,1,17,15,20,47,4,13),(28,317,1,17,16,62,NULL,16,NULL),(28,317,1,17,17,24,45,4,18),(28,317,1,17,18,12,24,4,10),(28,317,1,17,19,13,46,3,14),(28,317,1,17,20,8,25,1,6),(28,317,1,17,21,2,9,1,4),(28,317,1,17,22,2,12,NULL,2),(28,317,1,17,23,1,12,NULL,8),(28,317,1,17,24,1,NULL,NULL,NULL),(28,317,1,17,25,NULL,11,NULL,NULL),(28,317,1,17,26,NULL,2,NULL,1),(28,317,1,17,27,17,NULL,8,NULL),(28,317,1,17,28,NULL,3,NULL,NULL),(28,317,1,17,29,3,16,1,5),(28,317,1,17,30,5,15,2,6),(28,317,1,17,31,1,6,1,NULL),(28,317,1,17,32,6,16,3,9),(28,317,1,17,33,NULL,12,NULL,8),(28,317,1,17,34,9,18,2,9),(28,317,1,17,35,NULL,5,NULL,1),(28,317,1,17,36,NULL,NULL,NULL,NULL),(28,317,1,17,37,1,5,NULL,1),(28,317,1,17,38,1,11,1,4),(28,317,1,17,39,11,23,4,12),(28,317,1,17,40,6,NULL,3,NULL),(28,317,1,18,1,NULL,NULL,NULL,NULL),(28,317,1,18,2,NULL,NULL,NULL,NULL),(28,317,1,18,3,NULL,NULL,NULL,NULL),(28,317,1,18,4,NULL,NULL,NULL,NULL),(28,317,1,18,5,NULL,NULL,NULL,NULL),(28,317,1,18,6,NULL,NULL,NULL,NULL),(28,317,1,18,7,NULL,NULL,NULL,NULL),(28,317,1,18,8,NULL,NULL,NULL,NULL),(28,317,1,18,9,NULL,NULL,NULL,NULL),(28,317,1,18,10,NULL,NULL,NULL,NULL),(28,317,1,18,11,NULL,NULL,NULL,NULL),(28,317,1,18,12,NULL,NULL,NULL,NULL),(28,317,1,18,13,NULL,NULL,NULL,NULL),(28,317,1,18,14,NULL,NULL,NULL,NULL),(28,317,1,18,15,NULL,NULL,NULL,NULL),(28,317,1,18,16,NULL,NULL,NULL,NULL),(28,317,1,18,17,NULL,NULL,NULL,NULL),(28,317,1,18,18,NULL,NULL,NULL,NULL),(28,317,1,18,19,NULL,NULL,NULL,NULL),(28,317,1,18,20,NULL,NULL,NULL,NULL),(28,317,1,18,21,NULL,NULL,NULL,NULL),(28,317,1,18,22,NULL,NULL,NULL,NULL),(28,317,1,18,23,NULL,NULL,NULL,NULL),(28,317,1,18,24,NULL,NULL,NULL,NULL),(28,317,1,18,25,NULL,NULL,NULL,NULL),(28,317,1,18,26,NULL,NULL,NULL,NULL),(28,317,1,18,27,NULL,NULL,NULL,NULL),(28,317,1,18,28,NULL,NULL,NULL,NULL),(28,317,1,18,29,NULL,NULL,NULL,NULL),(28,317,1,18,30,NULL,NULL,NULL,NULL),(28,317,1,18,31,NULL,NULL,NULL,NULL),(28,317,1,18,32,NULL,NULL,NULL,NULL),(28,317,1,18,33,NULL,NULL,NULL,NULL),(28,317,1,18,34,NULL,NULL,NULL,NULL),(28,317,1,18,35,NULL,NULL,NULL,NULL),(28,317,1,18,36,NULL,NULL,NULL,NULL),(28,317,1,18,37,NULL,NULL,NULL,NULL),(28,317,1,18,38,NULL,NULL,NULL,NULL),(28,317,1,18,39,NULL,NULL,NULL,NULL),(28,317,1,18,40,NULL,NULL,NULL,NULL),(28,317,1,19,1,NULL,NULL,NULL,NULL),(28,317,1,19,2,NULL,NULL,NULL,NULL),(28,317,1,19,3,NULL,NULL,NULL,NULL),(28,317,1,19,4,NULL,NULL,NULL,NULL),(28,317,1,19,5,NULL,NULL,NULL,NULL),(28,317,1,19,6,NULL,NULL,NULL,NULL),(28,317,1,19,7,NULL,NULL,NULL,NULL),(28,317,1,19,8,NULL,NULL,NULL,NULL),(28,317,1,19,9,NULL,NULL,NULL,NULL),(28,317,1,19,10,NULL,NULL,NULL,NULL),(28,317,1,19,11,NULL,NULL,NULL,NULL),(28,317,1,19,12,NULL,NULL,NULL,NULL),(28,317,1,19,13,NULL,NULL,NULL,NULL),(28,317,1,19,14,NULL,NULL,NULL,NULL),(28,317,1,19,15,NULL,NULL,NULL,NULL),(28,317,1,19,16,NULL,NULL,NULL,NULL),(28,317,1,19,17,NULL,NULL,NULL,NULL),(28,317,1,19,18,NULL,NULL,NULL,NULL),(28,317,1,19,19,NULL,NULL,NULL,NULL),(28,317,1,19,20,NULL,NULL,NULL,NULL),(28,317,1,19,21,NULL,NULL,NULL,NULL),(28,317,1,19,22,NULL,NULL,NULL,NULL),(28,317,1,19,23,NULL,NULL,NULL,NULL),(28,317,1,19,24,NULL,NULL,NULL,NULL),(28,317,1,19,25,NULL,NULL,NULL,NULL),(28,317,1,19,26,NULL,NULL,NULL,NULL),(28,317,1,19,27,NULL,NULL,NULL,NULL),(28,317,1,19,28,NULL,NULL,NULL,NULL),(28,317,1,19,29,NULL,NULL,NULL,NULL),(28,317,1,19,30,NULL,NULL,NULL,NULL),(28,317,1,19,31,NULL,NULL,NULL,NULL),(28,317,1,19,32,NULL,NULL,NULL,NULL),(28,317,1,19,33,NULL,NULL,NULL,NULL),(28,317,1,19,34,NULL,NULL,NULL,NULL),(28,317,1,19,35,NULL,NULL,NULL,NULL),(28,317,1,19,36,NULL,NULL,NULL,NULL),(28,317,1,19,37,NULL,NULL,NULL,NULL),(28,317,1,19,38,NULL,NULL,NULL,NULL),(28,317,1,19,39,NULL,NULL,NULL,NULL),(28,317,1,19,40,NULL,NULL,NULL,NULL),(28,317,2,21,1,NULL,14,NULL,3),(28,317,2,21,2,1,8,NULL,4),(28,317,2,21,3,16,21,5,11),(28,317,2,21,4,NULL,12,NULL,2),(28,317,2,21,5,5,15,3,7),(28,317,2,21,6,17,20,4,7),(28,317,2,21,7,1,15,NULL,4),(28,317,2,21,8,5,11,3,6),(28,317,2,21,9,1,7,1,2),(28,317,2,21,10,10,15,4,8),(28,317,2,21,11,8,8,4,5),(28,317,2,21,12,10,12,5,2),(28,317,2,21,13,4,35,1,13),(28,317,2,21,14,4,25,2,12),(28,317,2,21,15,4,12,1,3),(28,317,2,21,16,8,19,4,6),(28,317,2,21,17,1,10,NULL,5),(28,317,2,21,18,23,18,6,9),(28,317,2,21,19,6,16,2,7),(28,317,2,21,20,14,16,4,7),(28,317,2,21,21,2,4,NULL,2),(28,317,2,21,22,3,9,1,3),(28,317,2,21,23,NULL,3,NULL,1),(28,317,2,21,24,1,8,NULL,1),(28,317,2,21,25,3,4,1,2),(28,317,2,21,26,1,23,1,10),(28,317,2,21,27,1,22,NULL,7),(28,317,2,21,28,NULL,6,NULL,3),(28,317,2,21,29,NULL,6,NULL,3),(28,317,2,21,30,NULL,11,NULL,5),(28,317,2,21,31,1,21,1,5),(28,317,2,21,32,NULL,2,NULL,NULL),(28,317,2,21,33,3,9,1,6),(28,317,2,21,34,2,15,1,9),(28,317,2,21,35,10,NULL,4,NULL),(28,317,2,21,36,1,4,1,1),(28,317,2,21,37,NULL,19,NULL,10),(28,317,2,21,38,NULL,3,NULL,1),(28,317,2,21,39,NULL,7,NULL,NULL),(28,317,2,21,40,NULL,20,NULL,8),(28,317,2,22,1,1,21,1,5),(28,317,2,22,2,1,14,NULL,4),(28,317,2,22,3,25,19,9,13),(28,317,2,22,4,NULL,5,NULL,2),(28,317,2,22,5,7,18,4,10),(28,317,2,22,6,15,25,6,8),(28,317,2,22,7,NULL,23,NULL,5),(28,317,2,22,8,6,11,1,2),(28,317,2,22,9,10,11,3,7),(28,317,2,22,10,10,12,4,6),(28,317,2,22,11,2,7,NULL,3),(28,317,2,22,12,8,24,3,7),(28,317,2,22,13,4,45,1,13),(28,317,2,22,14,9,23,4,13),(28,317,2,22,15,4,19,1,6),(28,317,2,22,16,9,19,1,10),(28,317,2,22,17,4,10,3,6),(28,317,2,22,18,17,22,3,14),(28,317,2,22,19,11,11,4,6),(28,317,2,22,20,12,18,4,12),(28,317,2,22,21,4,9,NULL,2),(28,317,2,22,22,2,7,NULL,4),(28,317,2,22,23,NULL,8,NULL,5),(28,317,2,22,24,3,6,1,1),(28,317,2,22,25,2,1,1,1),(28,317,2,22,26,3,15,1,7),(28,317,2,22,27,4,17,1,7),(28,317,2,22,28,1,9,NULL,5),(28,317,2,22,29,NULL,8,NULL,5),(28,317,2,22,30,1,11,NULL,6),(28,317,2,22,31,NULL,19,NULL,6),(28,317,2,22,32,NULL,2,NULL,NULL),(28,317,2,22,33,4,10,NULL,6),(28,317,2,22,34,2,19,NULL,15),(28,317,2,22,35,10,NULL,5,NULL),(28,317,2,22,36,1,3,1,NULL),(28,317,2,22,37,2,5,NULL,4),(28,317,2,22,38,NULL,5,NULL,2),(28,317,2,22,39,1,7,1,2),(28,317,2,22,40,2,18,NULL,11),(28,317,2,23,1,NULL,23,NULL,7),(28,317,2,23,2,1,16,1,7),(28,317,2,23,3,11,21,5,8),(28,317,2,23,4,NULL,6,NULL,5),(28,317,2,23,5,5,15,3,5),(28,317,2,23,6,14,18,5,4),(28,317,2,23,7,1,13,1,5),(28,317,2,23,8,3,11,1,6),(28,317,2,23,9,4,6,3,2),(28,317,2,23,10,8,10,7,2),(28,317,2,23,11,3,12,2,6),(28,317,2,23,12,6,23,NULL,8),(28,317,2,23,13,4,26,3,10),(28,317,2,23,14,9,21,4,11),(28,317,2,23,15,8,23,5,8),(28,317,2,23,16,3,28,NULL,9),(28,317,2,23,17,2,8,2,NULL),(28,317,2,23,18,19,24,4,10),(28,317,2,23,19,6,16,3,9),(28,317,2,23,20,16,11,11,1),(28,317,2,23,21,3,8,2,4),(28,317,2,23,22,5,6,3,5),(28,317,2,23,23,2,8,NULL,3),(28,317,2,23,24,2,6,NULL,2),(28,317,2,23,25,2,11,1,5),(28,317,2,23,26,5,15,1,5),(28,317,2,23,27,5,16,3,8),(28,317,2,23,28,1,4,NULL,2),(28,317,2,23,29,3,3,1,2),(28,317,2,23,30,3,9,1,4),(28,317,2,23,31,2,17,1,8),(28,317,2,23,32,NULL,6,NULL,3),(28,317,2,23,33,3,13,2,5),(28,317,2,23,34,4,11,3,3),(28,317,2,23,35,11,NULL,4,NULL),(28,317,2,23,36,2,5,1,3),(28,317,2,23,37,NULL,8,NULL,6),(28,317,2,23,38,NULL,2,NULL,1),(28,317,2,23,39,1,7,NULL,2),(28,317,2,23,40,NULL,24,NULL,9),(28,317,2,24,1,1,10,NULL,4),(28,317,2,24,2,NULL,11,NULL,7),(28,317,2,24,3,20,23,6,12),(28,317,2,24,4,2,5,1,2),(28,317,2,24,5,5,10,3,7),(28,317,2,24,6,15,20,4,11),(28,317,2,24,7,NULL,16,NULL,7),(28,317,2,24,8,3,8,2,2),(28,317,2,24,9,5,5,2,2),(28,317,2,24,10,2,20,1,10),(28,317,2,24,11,3,7,2,4),(28,317,2,24,12,6,24,4,10),(28,317,2,24,13,4,31,3,10),(28,317,2,24,14,9,21,4,12),(28,317,2,24,15,13,15,7,5),(28,317,2,24,16,7,24,5,12),(28,317,2,24,17,5,6,3,2),(28,317,2,24,18,20,26,8,12),(28,317,2,24,19,6,22,2,12),(28,317,2,24,20,9,18,4,9),(28,317,2,24,21,2,9,1,3),(28,317,2,24,22,3,6,1,3),(28,317,2,24,23,3,6,1,1),(28,317,2,24,24,5,5,2,2),(28,317,2,24,25,2,7,2,5),(28,317,2,24,26,3,13,NULL,5),(28,317,2,24,27,3,20,1,11),(28,317,2,24,28,2,8,1,6),(28,317,2,24,29,NULL,9,NULL,4),(28,317,2,24,30,2,9,1,3),(28,317,2,24,31,1,16,1,6),(28,317,2,24,32,NULL,2,NULL,1),(28,317,2,24,33,5,6,4,4),(28,317,2,24,34,1,15,1,7),(28,317,2,24,35,8,NULL,4,NULL),(28,317,2,24,36,1,6,1,5),(28,317,2,24,37,2,10,NULL,6),(28,317,2,24,38,NULL,3,NULL,2),(28,317,2,24,39,1,2,NULL,NULL),(28,317,2,24,40,1,20,NULL,10),(28,318,1,11,1,NULL,NULL,NULL,NULL),(28,318,1,11,2,NULL,NULL,NULL,NULL),(28,318,1,11,3,NULL,NULL,NULL,NULL),(28,318,1,11,4,NULL,NULL,NULL,NULL),(28,318,1,11,5,NULL,NULL,NULL,NULL),(28,318,1,11,6,NULL,NULL,NULL,NULL),(28,318,1,11,7,NULL,NULL,NULL,NULL),(28,318,1,11,8,NULL,NULL,NULL,NULL),(28,318,1,11,9,NULL,NULL,NULL,NULL),(28,318,1,11,10,NULL,NULL,NULL,NULL),(28,318,1,11,11,NULL,NULL,NULL,NULL),(28,318,1,11,12,NULL,NULL,NULL,NULL),(28,318,1,11,13,NULL,NULL,NULL,NULL),(28,318,1,11,14,NULL,NULL,NULL,NULL),(28,318,1,11,15,NULL,NULL,NULL,NULL),(28,318,1,11,16,NULL,NULL,NULL,NULL),(28,318,1,11,17,NULL,NULL,NULL,NULL),(28,318,1,11,18,NULL,NULL,NULL,NULL),(28,318,1,11,19,NULL,NULL,NULL,NULL),(28,318,1,11,20,NULL,NULL,NULL,NULL),(28,318,1,11,21,NULL,NULL,NULL,NULL),(28,318,1,11,22,NULL,NULL,NULL,NULL),(28,318,1,11,23,NULL,NULL,NULL,NULL),(28,318,1,11,24,NULL,NULL,NULL,NULL),(28,318,1,11,25,NULL,NULL,NULL,NULL),(28,318,1,11,26,NULL,NULL,NULL,NULL),(28,318,1,11,27,NULL,NULL,NULL,NULL),(28,318,1,11,28,NULL,NULL,NULL,NULL),(28,318,1,11,29,NULL,NULL,NULL,NULL),(28,318,1,11,30,NULL,NULL,NULL,NULL),(28,318,1,11,31,NULL,NULL,NULL,NULL),(28,318,1,11,32,NULL,NULL,NULL,NULL),(28,318,1,11,33,NULL,NULL,NULL,NULL),(28,318,1,11,34,NULL,NULL,NULL,NULL),(28,318,1,11,35,NULL,NULL,NULL,NULL),(28,318,1,11,36,NULL,NULL,NULL,NULL),(28,318,1,11,37,NULL,NULL,NULL,NULL),(28,318,1,11,38,NULL,NULL,NULL,NULL),(28,318,1,11,39,NULL,NULL,NULL,NULL),(28,318,1,11,40,NULL,NULL,NULL,NULL),(28,318,1,12,1,NULL,NULL,NULL,NULL),(28,318,1,12,2,NULL,1,NULL,NULL),(28,318,1,12,3,NULL,NULL,NULL,NULL),(28,318,1,12,4,NULL,NULL,NULL,NULL),(28,318,1,12,5,1,NULL,NULL,NULL),(28,318,1,12,6,NULL,NULL,NULL,NULL),(28,318,1,12,7,NULL,NULL,NULL,NULL),(28,318,1,12,8,NULL,NULL,NULL,NULL),(28,318,1,12,9,NULL,NULL,NULL,NULL),(28,318,1,12,10,1,NULL,NULL,NULL),(28,318,1,12,11,NULL,NULL,NULL,NULL),(28,318,1,12,12,NULL,NULL,NULL,NULL),(28,318,1,12,13,NULL,NULL,NULL,NULL),(28,318,1,12,14,NULL,NULL,NULL,NULL),(28,318,1,12,15,NULL,NULL,NULL,NULL),(28,318,1,12,16,NULL,NULL,NULL,NULL),(28,318,1,12,17,NULL,NULL,NULL,NULL),(28,318,1,12,18,NULL,NULL,NULL,NULL),(28,318,1,12,19,1,NULL,NULL,NULL),(28,318,1,12,20,NULL,NULL,NULL,NULL),(28,318,1,12,21,NULL,NULL,NULL,NULL),(28,318,1,12,22,NULL,NULL,NULL,NULL),(28,318,1,12,23,NULL,NULL,NULL,NULL),(28,318,1,12,24,NULL,NULL,NULL,NULL),(28,318,1,12,25,NULL,NULL,NULL,NULL),(28,318,1,12,26,NULL,1,NULL,NULL),(28,318,1,12,27,NULL,NULL,NULL,NULL),(28,318,1,12,28,NULL,NULL,NULL,NULL),(28,318,1,12,29,NULL,NULL,NULL,NULL),(28,318,1,12,30,NULL,NULL,NULL,NULL),(28,318,1,12,31,NULL,NULL,NULL,NULL),(28,318,1,12,32,NULL,NULL,NULL,NULL),(28,318,1,12,33,NULL,NULL,NULL,NULL),(28,318,1,12,34,NULL,NULL,NULL,NULL),(28,318,1,12,35,NULL,NULL,NULL,NULL),(28,318,1,12,36,NULL,NULL,NULL,NULL),(28,318,1,12,37,NULL,NULL,NULL,NULL),(28,318,1,12,38,NULL,NULL,NULL,NULL),(28,318,1,12,39,NULL,NULL,NULL,NULL),(28,318,1,12,40,NULL,NULL,NULL,NULL),(28,318,1,13,1,1,NULL,NULL,NULL),(28,318,1,13,2,NULL,1,NULL,NULL),(28,318,1,13,3,1,NULL,NULL,NULL),(28,318,1,13,4,NULL,1,NULL,1),(28,318,1,13,5,2,NULL,1,NULL),(28,318,1,13,6,NULL,NULL,NULL,NULL),(28,318,1,13,7,1,2,NULL,1),(28,318,1,13,8,NULL,1,NULL,NULL),(28,318,1,13,9,1,1,NULL,NULL),(28,318,1,13,10,3,NULL,1,NULL),(28,318,1,13,11,1,NULL,NULL,NULL),(28,318,1,13,12,NULL,NULL,NULL,NULL),(28,318,1,13,13,3,NULL,1,NULL),(28,318,1,13,14,3,NULL,1,NULL),(28,318,1,13,15,1,1,1,NULL),(28,318,1,13,16,3,NULL,1,NULL),(28,318,1,13,17,NULL,1,NULL,NULL),(28,318,1,13,18,2,NULL,NULL,NULL),(28,318,1,13,19,1,NULL,NULL,NULL),(28,318,1,13,20,1,NULL,1,NULL),(28,318,1,13,21,NULL,1,NULL,1),(28,318,1,13,22,1,1,NULL,NULL),(28,318,1,13,23,NULL,NULL,NULL,NULL),(28,318,1,13,24,NULL,NULL,NULL,NULL),(28,318,1,13,25,1,NULL,NULL,NULL),(28,318,1,13,26,NULL,1,NULL,NULL),(28,318,1,13,27,NULL,NULL,NULL,NULL),(28,318,1,13,28,NULL,1,NULL,1),(28,318,1,13,29,NULL,NULL,NULL,NULL),(28,318,1,13,30,NULL,NULL,NULL,NULL),(28,318,1,13,31,1,NULL,1,NULL),(28,318,1,13,32,2,NULL,1,NULL),(28,318,1,13,33,NULL,NULL,NULL,NULL),(28,318,1,13,34,1,NULL,1,NULL),(28,318,1,13,35,NULL,NULL,NULL,NULL),(28,318,1,13,36,NULL,NULL,NULL,NULL),(28,318,1,13,37,NULL,1,NULL,1),(28,318,1,13,38,NULL,NULL,NULL,NULL),(28,318,1,13,39,NULL,NULL,NULL,NULL),(28,318,1,13,40,NULL,NULL,NULL,NULL),(28,318,1,14,1,18,NULL,8,NULL),(28,318,1,14,2,4,17,3,9),(28,318,1,14,3,11,21,8,10),(28,318,1,14,4,6,13,5,7),(28,318,1,14,5,11,15,7,9),(28,318,1,14,6,2,25,1,9),(28,318,1,14,7,5,11,2,6),(28,318,1,14,8,4,14,4,8),(28,318,1,14,9,8,18,4,10),(28,318,1,14,10,24,11,16,7),(28,318,1,14,11,1,13,1,8),(28,318,1,14,12,4,11,4,5),(28,318,1,14,13,28,20,20,8),(28,318,1,14,14,18,15,12,10),(28,318,1,14,15,22,NULL,11,NULL),(28,318,1,14,16,27,9,15,4),(28,318,1,14,17,10,28,6,16),(28,318,1,14,18,16,9,10,6),(28,318,1,14,19,29,16,18,7),(28,318,1,14,20,17,30,13,12),(28,318,1,14,21,2,5,1,3),(28,318,1,14,22,NULL,10,NULL,7),(28,318,1,14,23,2,11,2,4),(28,318,1,14,24,1,NULL,NULL,NULL),(28,318,1,14,25,4,7,2,3),(28,318,1,14,26,NULL,7,NULL,5),(28,318,1,14,27,9,NULL,4,NULL),(28,318,1,14,28,1,2,NULL,1),(28,318,1,14,29,7,14,3,11),(28,318,1,14,30,9,15,4,12),(28,318,1,14,31,2,8,1,5),(28,318,1,14,32,6,15,3,9),(28,318,1,14,33,3,5,3,1),(28,318,1,14,34,16,8,13,4),(28,318,1,14,35,NULL,4,NULL,3),(28,318,1,14,36,2,NULL,2,NULL),(28,318,1,14,37,2,4,1,3),(28,318,1,14,38,4,7,3,5),(28,318,1,14,39,8,17,5,11),(28,318,1,14,40,5,NULL,3,NULL),(28,318,1,15,1,17,NULL,12,NULL),(28,318,1,15,2,4,14,3,8),(28,318,1,15,3,8,15,6,9),(28,318,1,15,4,8,11,6,6),(28,318,1,15,5,8,15,4,9),(28,318,1,15,6,3,28,3,17),(28,318,1,15,7,4,11,4,4),(28,318,1,15,8,5,13,4,11),(28,318,1,15,9,9,10,7,4),(28,318,1,15,10,25,7,17,3),(28,318,1,15,11,2,11,1,6),(28,318,1,15,12,4,14,4,11),(28,318,1,15,13,25,13,16,7),(28,318,1,15,14,11,14,8,10),(28,318,1,15,15,27,NULL,17,NULL),(28,318,1,15,16,19,12,15,5),(28,318,1,15,17,7,33,4,19),(28,318,1,15,18,8,11,7,6),(28,318,1,15,19,22,14,15,6),(28,318,1,15,20,13,29,9,15),(28,318,1,15,21,1,1,1,NULL),(28,318,1,15,22,2,8,1,6),(28,318,1,15,23,3,10,3,6),(28,318,1,15,24,1,NULL,NULL,NULL),(28,318,1,15,25,3,5,3,2),(28,318,1,15,26,1,10,NULL,5),(28,318,1,15,27,10,NULL,4,NULL),(28,318,1,15,28,NULL,3,NULL,1),(28,318,1,15,29,1,10,NULL,3),(28,318,1,15,30,5,16,4,8),(28,318,1,15,31,3,7,3,2),(28,318,1,15,32,2,8,1,5),(28,318,1,15,33,2,11,2,7),(28,318,1,15,34,16,9,11,5),(28,318,1,15,35,3,5,NULL,5),(28,318,1,15,36,1,NULL,1,NULL),(28,318,1,15,37,NULL,6,NULL,3),(28,318,1,15,38,2,5,1,3),(28,318,1,15,39,12,15,8,8),(28,318,1,15,40,5,NULL,4,NULL),(28,318,1,16,1,11,NULL,7,NULL),(28,318,1,16,2,NULL,6,NULL,3),(28,318,1,16,3,7,16,3,7),(28,318,1,16,4,6,9,3,5),(28,318,1,16,5,7,9,3,2),(28,318,1,16,6,5,16,3,5),(28,318,1,16,7,1,12,1,5),(28,318,1,16,8,NULL,17,NULL,6),(28,318,1,16,9,3,10,1,4),(28,318,1,16,10,20,6,8,3),(28,318,1,16,11,2,12,1,5),(28,318,1,16,12,5,5,2,2),(28,318,1,16,13,40,NULL,15,NULL),(28,318,1,16,14,29,7,10,4),(28,318,1,16,15,9,23,5,7),(28,318,1,16,16,29,NULL,14,NULL),(28,318,1,16,17,14,26,5,9),(28,318,1,16,18,6,11,3,4),(28,318,1,16,19,5,20,3,7),(28,318,1,16,20,2,14,1,7),(28,318,1,16,21,2,3,1,1),(28,318,1,16,22,2,4,1,1),(28,318,1,16,23,3,14,1,7),(28,318,1,16,24,NULL,NULL,NULL,NULL),(28,318,1,16,25,2,7,1,2),(28,318,1,16,26,1,3,NULL,1),(28,318,1,16,27,4,NULL,2,NULL),(28,318,1,16,28,NULL,2,NULL,NULL),(28,318,1,16,29,3,9,3,3),(28,318,1,16,30,NULL,10,NULL,4),(28,318,1,16,31,1,3,1,1),(28,318,1,16,32,4,8,3,3),(28,318,1,16,33,NULL,6,NULL,3),(28,318,1,16,34,4,6,2,4),(28,318,1,16,35,NULL,6,NULL,2),(28,318,1,16,36,NULL,NULL,NULL,NULL),(28,318,1,16,37,NULL,2,NULL,2),(28,318,1,16,38,NULL,4,NULL,3),(28,318,1,16,39,3,10,2,6),(28,318,1,16,40,1,NULL,NULL,NULL),(28,318,1,17,1,16,NULL,9,NULL),(28,318,1,17,2,NULL,5,NULL,2),(28,318,1,17,3,10,11,6,7),(28,318,1,17,4,7,5,3,1),(28,318,1,17,5,4,12,1,4),(28,318,1,17,6,2,20,1,9),(28,318,1,17,7,2,9,NULL,6),(28,318,1,17,8,3,10,2,3),(28,318,1,17,9,8,10,4,4),(28,318,1,17,10,15,10,9,4),(28,318,1,17,11,2,9,1,8),(28,318,1,17,12,2,10,NULL,3),(28,318,1,17,13,45,NULL,16,NULL),(28,318,1,17,14,37,4,14,2),(28,318,1,17,15,7,24,3,11),(28,318,1,17,16,35,NULL,12,NULL),(28,318,1,17,17,15,24,5,10),(28,318,1,17,18,12,4,5,3),(28,318,1,17,19,6,20,2,7),(28,318,1,17,20,5,13,2,2),(28,318,1,17,21,2,4,NULL,1),(28,318,1,17,22,1,6,NULL,NULL),(28,318,1,17,23,2,10,NULL,8),(28,318,1,17,24,NULL,NULL,NULL,NULL),(28,318,1,17,25,2,3,1,NULL),(28,318,1,17,26,1,7,1,NULL),(28,318,1,17,27,10,NULL,3,NULL),(28,318,1,17,28,1,4,1,NULL),(28,318,1,17,29,NULL,10,NULL,5),(28,318,1,17,30,3,9,NULL,5),(28,318,1,17,31,3,3,NULL,1),(28,318,1,17,32,2,8,2,6),(28,318,1,17,33,2,5,NULL,2),(28,318,1,17,34,6,7,2,5),(28,318,1,17,35,3,3,NULL,3),(28,318,1,17,36,NULL,NULL,NULL,NULL),(28,318,1,17,37,NULL,2,NULL,1),(28,318,1,17,38,1,3,NULL,2),(28,318,1,17,39,6,16,2,12),(28,318,1,17,40,3,NULL,3,NULL),(28,318,1,18,1,NULL,NULL,NULL,NULL),(28,318,1,18,2,NULL,NULL,NULL,NULL),(28,318,1,18,3,NULL,NULL,NULL,NULL),(28,318,1,18,4,NULL,NULL,NULL,NULL),(28,318,1,18,5,NULL,NULL,NULL,NULL),(28,318,1,18,6,NULL,NULL,NULL,NULL),(28,318,1,18,7,NULL,NULL,NULL,NULL),(28,318,1,18,8,NULL,NULL,NULL,NULL),(28,318,1,18,9,NULL,NULL,NULL,NULL),(28,318,1,18,10,NULL,NULL,NULL,NULL),(28,318,1,18,11,NULL,NULL,NULL,NULL),(28,318,1,18,12,NULL,NULL,NULL,NULL),(28,318,1,18,13,NULL,NULL,NULL,NULL),(28,318,1,18,14,NULL,NULL,NULL,NULL),(28,318,1,18,15,NULL,NULL,NULL,NULL),(28,318,1,18,16,NULL,NULL,NULL,NULL),(28,318,1,18,17,NULL,NULL,NULL,NULL),(28,318,1,18,18,NULL,NULL,NULL,NULL),(28,318,1,18,19,NULL,NULL,NULL,NULL),(28,318,1,18,20,NULL,NULL,NULL,NULL),(28,318,1,18,21,NULL,NULL,NULL,NULL),(28,318,1,18,22,NULL,NULL,NULL,NULL),(28,318,1,18,23,NULL,NULL,NULL,NULL),(28,318,1,18,24,NULL,NULL,NULL,NULL),(28,318,1,18,25,NULL,NULL,NULL,NULL),(28,318,1,18,26,NULL,NULL,NULL,NULL),(28,318,1,18,27,NULL,NULL,NULL,NULL),(28,318,1,18,28,NULL,NULL,NULL,NULL),(28,318,1,18,29,NULL,NULL,NULL,NULL),(28,318,1,18,30,NULL,NULL,NULL,NULL),(28,318,1,18,31,NULL,NULL,NULL,NULL),(28,318,1,18,32,NULL,NULL,NULL,NULL),(28,318,1,18,33,NULL,NULL,NULL,NULL),(28,318,1,18,34,NULL,NULL,NULL,NULL),(28,318,1,18,35,NULL,NULL,NULL,NULL),(28,318,1,18,36,NULL,NULL,NULL,NULL),(28,318,1,18,37,NULL,NULL,NULL,NULL),(28,318,1,18,38,NULL,NULL,NULL,NULL),(28,318,1,18,39,NULL,NULL,NULL,NULL),(28,318,1,18,40,NULL,NULL,NULL,NULL),(28,318,1,19,1,NULL,NULL,NULL,NULL),(28,318,1,19,2,NULL,NULL,NULL,NULL),(28,318,1,19,3,NULL,NULL,NULL,NULL),(28,318,1,19,4,NULL,NULL,NULL,NULL),(28,318,1,19,5,NULL,NULL,NULL,NULL),(28,318,1,19,6,NULL,NULL,NULL,NULL),(28,318,1,19,7,NULL,NULL,NULL,NULL),(28,318,1,19,8,NULL,NULL,NULL,NULL),(28,318,1,19,9,NULL,NULL,NULL,NULL),(28,318,1,19,10,NULL,NULL,NULL,NULL),(28,318,1,19,11,NULL,NULL,NULL,NULL),(28,318,1,19,12,NULL,NULL,NULL,NULL),(28,318,1,19,13,NULL,NULL,NULL,NULL),(28,318,1,19,14,NULL,NULL,NULL,NULL),(28,318,1,19,15,NULL,NULL,NULL,NULL),(28,318,1,19,16,NULL,NULL,NULL,NULL),(28,318,1,19,17,NULL,NULL,NULL,NULL),(28,318,1,19,18,NULL,NULL,NULL,NULL),(28,318,1,19,19,NULL,NULL,NULL,NULL),(28,318,1,19,20,NULL,NULL,NULL,NULL),(28,318,1,19,21,NULL,NULL,NULL,NULL),(28,318,1,19,22,NULL,NULL,NULL,NULL),(28,318,1,19,23,NULL,NULL,NULL,NULL),(28,318,1,19,24,NULL,NULL,NULL,NULL),(28,318,1,19,25,NULL,NULL,NULL,NULL),(28,318,1,19,26,NULL,NULL,NULL,NULL),(28,318,1,19,27,NULL,NULL,NULL,NULL),(28,318,1,19,28,NULL,NULL,NULL,NULL),(28,318,1,19,29,NULL,NULL,NULL,NULL),(28,318,1,19,30,NULL,NULL,NULL,NULL),(28,318,1,19,31,NULL,NULL,NULL,NULL),(28,318,1,19,32,NULL,NULL,NULL,NULL),(28,318,1,19,33,NULL,NULL,NULL,NULL),(28,318,1,19,34,NULL,NULL,NULL,NULL),(28,318,1,19,35,NULL,NULL,NULL,NULL),(28,318,1,19,36,NULL,NULL,NULL,NULL),(28,318,1,19,37,NULL,NULL,NULL,NULL),(28,318,1,19,38,NULL,NULL,NULL,NULL),(28,318,1,19,39,NULL,NULL,NULL,NULL),(28,318,1,19,40,NULL,NULL,NULL,NULL),(28,318,2,21,1,3,17,3,5),(28,318,2,21,2,2,9,1,5),(28,318,2,21,3,15,13,9,7),(28,318,2,21,4,2,4,1,1),(28,318,2,21,5,7,11,5,6),(28,318,2,21,6,11,19,6,9),(28,318,2,21,7,NULL,16,NULL,11),(28,318,2,21,8,3,13,2,9),(28,318,2,21,9,3,6,1,5),(28,318,2,21,10,10,12,5,7),(28,318,2,21,11,1,7,1,6),(28,318,2,21,12,11,14,5,5),(28,318,2,21,13,8,17,5,6),(28,318,2,21,14,14,14,6,9),(28,318,2,21,15,9,14,5,8),(28,318,2,21,16,4,23,1,13),(28,318,2,21,17,3,6,1,4),(28,318,2,21,18,15,17,5,10),(28,318,2,21,19,8,17,6,7),(28,318,2,21,20,13,8,12,3),(28,318,2,21,21,NULL,8,NULL,3),(28,318,2,21,22,6,7,3,3),(28,318,2,21,23,2,6,1,4),(28,318,2,21,24,1,7,1,4),(28,318,2,21,25,4,5,3,2),(28,318,2,21,26,3,5,1,2),(28,318,2,21,27,2,12,NULL,7),(28,318,2,21,28,NULL,7,NULL,5),(28,318,2,21,29,NULL,NULL,NULL,NULL),(28,318,2,21,30,1,9,NULL,6),(28,318,2,21,31,1,10,NULL,5),(28,318,2,21,32,1,2,NULL,1),(28,318,2,21,33,NULL,9,NULL,4),(28,318,2,21,34,3,12,2,10),(28,318,2,21,35,8,NULL,5,NULL),(28,318,2,21,36,NULL,5,NULL,3),(28,318,2,21,37,1,9,1,7),(28,318,2,21,38,2,NULL,NULL,NULL),(28,318,2,21,39,1,4,1,2),(28,318,2,21,40,NULL,20,NULL,9),(28,318,2,22,1,2,23,1,9),(28,318,2,22,2,NULL,11,NULL,8),(28,318,2,22,3,15,12,7,7),(28,318,2,22,4,NULL,10,NULL,7),(28,318,2,22,5,7,6,5,1),(28,318,2,22,6,14,18,10,2),(28,318,2,22,7,NULL,21,NULL,10),(28,318,2,22,8,10,14,5,9),(28,318,2,22,9,3,5,1,2),(28,318,2,22,10,9,8,5,4),(28,318,2,22,11,5,9,5,5),(28,318,2,22,12,9,18,5,7),(28,318,2,22,13,6,23,5,9),(28,318,2,22,14,15,15,7,9),(28,318,2,22,15,8,18,5,7),(28,318,2,22,16,8,21,4,7),(28,318,2,22,17,3,6,2,3),(28,318,2,22,18,17,18,7,11),(28,318,2,22,19,11,10,6,7),(28,318,2,22,20,18,9,12,1),(28,318,2,22,21,2,3,2,3),(28,318,2,22,22,4,8,4,5),(28,318,2,22,23,NULL,4,NULL,1),(28,318,2,22,24,3,4,2,2),(28,318,2,22,25,4,12,2,6),(28,318,2,22,26,3,9,1,5),(28,318,2,22,27,4,18,2,10),(28,318,2,22,28,NULL,8,NULL,5),(28,318,2,22,29,NULL,3,NULL,1),(28,318,2,22,30,1,5,NULL,2),(28,318,2,22,31,3,16,2,6),(28,318,2,22,32,3,2,2,NULL),(28,318,2,22,33,3,7,2,5),(28,318,2,22,34,3,5,2,3),(28,318,2,22,35,2,NULL,1,NULL),(28,318,2,22,36,1,5,1,3),(28,318,2,22,37,NULL,7,NULL,4),(28,318,2,22,38,1,6,1,2),(28,318,2,22,39,2,8,1,7),(28,318,2,22,40,2,19,2,6),(28,318,2,23,1,2,17,1,11),(28,318,2,23,2,1,12,1,8),(28,318,2,23,3,18,23,11,14),(28,318,2,23,4,NULL,6,NULL,4),(28,318,2,23,5,7,21,5,12),(28,318,2,23,6,12,23,6,14),(28,318,2,23,7,NULL,17,NULL,9),(28,318,2,23,8,4,14,3,7),(28,318,2,23,9,3,4,2,2),(28,318,2,23,10,11,19,6,11),(28,318,2,23,11,8,7,7,2),(28,318,2,23,12,11,14,7,8),(28,318,2,23,13,5,31,4,17),(28,318,2,23,14,9,25,4,16),(28,318,2,23,15,7,13,5,9),(28,318,2,23,16,12,17,8,11),(28,318,2,23,17,NULL,10,NULL,7),(28,318,2,23,18,16,20,11,13),(28,318,2,23,19,8,16,6,11),(28,318,2,23,20,11,12,8,4),(28,318,2,23,21,2,1,1,1),(28,318,2,23,22,7,10,5,7),(28,318,2,23,23,NULL,3,NULL,2),(28,318,2,23,24,1,4,1,2),(28,318,2,23,25,2,6,1,3),(28,318,2,23,26,NULL,17,NULL,13),(28,318,2,23,27,1,22,NULL,15),(28,318,2,23,28,NULL,4,NULL,3),(28,318,2,23,29,NULL,7,NULL,5),(28,318,2,23,30,NULL,9,NULL,6),(28,318,2,23,31,1,13,1,7),(28,318,2,23,32,1,2,1,2),(28,318,2,23,33,4,6,2,4),(28,318,2,23,34,2,12,1,10),(28,318,2,23,35,11,NULL,8,NULL),(28,318,2,23,36,NULL,4,NULL,4),(28,318,2,23,37,2,8,2,4),(28,318,2,23,38,1,2,1,2),(28,318,2,23,39,NULL,7,NULL,5),(28,318,2,23,40,1,19,1,13),(28,318,2,24,1,2,22,1,9),(28,318,2,24,2,1,11,NULL,5),(28,318,2,24,3,19,18,8,10),(28,318,2,24,4,1,8,1,4),(28,318,2,24,5,5,16,2,7),(28,318,2,24,6,15,21,5,11),(28,318,2,24,7,NULL,16,NULL,5),(28,318,2,24,8,10,9,5,4),(28,318,2,24,9,4,5,4,3),(28,318,2,24,10,7,15,3,8),(28,318,2,24,11,5,8,3,2),(28,318,2,24,12,11,13,6,4),(28,318,2,24,13,4,30,3,12),(28,318,2,24,14,9,22,6,10),(28,318,2,24,15,8,15,4,3),(28,318,2,24,16,9,22,5,9),(28,318,2,24,17,2,7,NULL,4),(28,318,2,24,18,21,18,9,7),(28,318,2,24,19,14,16,6,7),(28,318,2,24,20,13,11,8,5),(28,318,2,24,21,1,4,1,NULL),(28,318,2,24,22,4,6,1,4),(28,318,2,24,23,2,10,NULL,3),(28,318,2,24,24,4,4,2,2),(28,318,2,24,25,1,6,NULL,5),(28,318,2,24,26,2,11,1,5),(28,318,2,24,27,4,15,3,8),(28,318,2,24,28,2,5,NULL,4),(28,318,2,24,29,NULL,5,NULL,4),(28,318,2,24,30,2,4,1,1),(28,318,2,24,31,NULL,12,NULL,5),(28,318,2,24,32,1,2,NULL,2),(28,318,2,24,33,1,2,1,1),(28,318,2,24,34,2,16,2,9),(28,318,2,24,35,9,NULL,5,NULL),(28,318,2,24,36,2,3,1,2),(28,318,2,24,37,1,3,1,2),(28,318,2,24,38,1,4,1,1),(28,318,2,24,39,NULL,7,NULL,4),(28,318,2,24,40,2,20,2,10),(28,319,1,11,1,NULL,NULL,NULL,NULL),(28,319,1,11,2,NULL,NULL,NULL,NULL),(28,319,1,11,3,NULL,NULL,NULL,NULL),(28,319,1,11,4,NULL,NULL,NULL,NULL),(28,319,1,11,5,NULL,NULL,NULL,NULL),(28,319,1,11,6,NULL,1,NULL,NULL),(28,319,1,11,7,NULL,NULL,NULL,NULL),(28,319,1,11,8,NULL,NULL,NULL,NULL),(28,319,1,11,9,NULL,NULL,NULL,NULL),(28,319,1,11,10,NULL,NULL,NULL,NULL),(28,319,1,11,11,NULL,NULL,NULL,NULL),(28,319,1,11,12,NULL,NULL,NULL,NULL),(28,319,1,11,13,1,NULL,NULL,NULL),(28,319,1,11,14,1,NULL,NULL,NULL),(28,319,1,11,15,1,NULL,NULL,NULL),(28,319,1,11,16,NULL,1,NULL,NULL),(28,319,1,11,17,1,NULL,NULL,NULL),(28,319,1,11,18,NULL,NULL,NULL,NULL),(28,319,1,11,19,1,NULL,NULL,NULL),(28,319,1,11,20,1,NULL,NULL,NULL),(28,319,1,11,21,NULL,1,NULL,NULL),(28,319,1,11,22,NULL,NULL,NULL,NULL),(28,319,1,11,23,NULL,NULL,NULL,NULL),(28,319,1,11,24,NULL,NULL,NULL,NULL),(28,319,1,11,25,NULL,NULL,NULL,NULL),(28,319,1,11,26,NULL,NULL,NULL,NULL),(28,319,1,11,27,NULL,NULL,NULL,NULL),(28,319,1,11,28,NULL,NULL,NULL,NULL),(28,319,1,11,29,NULL,1,NULL,NULL),(28,319,1,11,30,NULL,NULL,NULL,NULL),(28,319,1,11,31,NULL,NULL,NULL,NULL),(28,319,1,11,32,NULL,NULL,NULL,NULL),(28,319,1,11,33,1,NULL,NULL,NULL),(28,319,1,11,34,NULL,NULL,NULL,NULL),(28,319,1,11,35,NULL,NULL,NULL,NULL),(28,319,1,11,36,NULL,NULL,NULL,NULL),(28,319,1,11,37,NULL,NULL,NULL,NULL),(28,319,1,11,38,NULL,NULL,NULL,NULL),(28,319,1,11,39,NULL,NULL,NULL,NULL),(28,319,1,11,40,NULL,NULL,NULL,NULL),(28,319,1,12,1,1,NULL,NULL,NULL),(28,319,1,12,2,NULL,NULL,NULL,NULL),(28,319,1,12,3,NULL,1,NULL,NULL),(28,319,1,12,4,NULL,NULL,NULL,NULL),(28,319,1,12,5,NULL,NULL,NULL,NULL),(28,319,1,12,6,NULL,NULL,NULL,NULL),(28,319,1,12,7,NULL,NULL,NULL,NULL),(28,319,1,12,8,NULL,NULL,NULL,NULL),(28,319,1,12,9,NULL,NULL,NULL,NULL),(28,319,1,12,10,NULL,1,NULL,NULL),(28,319,1,12,11,NULL,1,NULL,NULL),(28,319,1,12,12,NULL,NULL,NULL,NULL),(28,319,1,12,13,1,NULL,NULL,NULL),(28,319,1,12,14,1,NULL,NULL,NULL),(28,319,1,12,15,NULL,NULL,NULL,NULL),(28,319,1,12,16,1,NULL,NULL,NULL),(28,319,1,12,17,1,NULL,NULL,NULL),(28,319,1,12,18,NULL,1,NULL,NULL),(28,319,1,12,19,1,NULL,NULL,NULL),(28,319,1,12,20,NULL,1,NULL,NULL),(28,319,1,12,21,NULL,NULL,NULL,NULL),(28,319,1,12,22,NULL,NULL,NULL,NULL),(28,319,1,12,23,NULL,1,NULL,NULL),(28,319,1,12,24,NULL,NULL,NULL,NULL),(28,319,1,12,25,NULL,NULL,NULL,NULL),(28,319,1,12,26,NULL,NULL,NULL,NULL),(28,319,1,12,27,NULL,NULL,NULL,NULL),(28,319,1,12,28,NULL,NULL,NULL,NULL),(28,319,1,12,29,NULL,NULL,NULL,NULL),(28,319,1,12,30,NULL,1,NULL,NULL),(28,319,1,12,31,NULL,NULL,NULL,NULL),(28,319,1,12,32,NULL,1,NULL,NULL),(28,319,1,12,33,NULL,NULL,NULL,NULL),(28,319,1,12,34,NULL,1,NULL,NULL),(28,319,1,12,35,NULL,NULL,NULL,NULL),(28,319,1,12,36,NULL,NULL,NULL,NULL),(28,319,1,12,37,NULL,NULL,NULL,NULL),(28,319,1,12,38,NULL,1,NULL,NULL),(28,319,1,12,39,NULL,1,NULL,NULL),(28,319,1,12,40,1,NULL,NULL,NULL),(28,319,1,13,1,NULL,NULL,NULL,NULL),(28,319,1,13,2,NULL,NULL,NULL,NULL),(28,319,1,13,3,1,2,NULL,NULL),(28,319,1,13,4,NULL,NULL,NULL,NULL),(28,319,1,13,5,1,NULL,NULL,NULL),(28,319,1,13,6,NULL,NULL,NULL,NULL),(28,319,1,13,7,NULL,1,NULL,NULL),(28,319,1,13,8,NULL,1,NULL,NULL),(28,319,1,13,9,1,1,NULL,NULL),(28,319,1,13,10,2,NULL,NULL,NULL),(28,319,1,13,11,NULL,1,NULL,NULL),(28,319,1,13,12,1,NULL,NULL,NULL),(28,319,1,13,13,2,NULL,NULL,NULL),(28,319,1,13,14,2,NULL,NULL,NULL),(28,319,1,13,15,NULL,1,NULL,NULL),(28,319,1,13,16,2,1,NULL,NULL),(28,319,1,13,17,NULL,1,NULL,NULL),(28,319,1,13,18,2,NULL,NULL,NULL),(28,319,1,13,19,2,NULL,NULL,NULL),(28,319,1,13,20,NULL,1,NULL,NULL),(28,319,1,13,21,NULL,1,NULL,NULL),(28,319,1,13,22,NULL,NULL,NULL,NULL),(28,319,1,13,23,NULL,2,NULL,NULL),(28,319,1,13,24,NULL,NULL,NULL,NULL),(28,319,1,13,25,NULL,1,NULL,NULL),(28,319,1,13,26,NULL,NULL,NULL,NULL),(28,319,1,13,27,NULL,NULL,NULL,NULL),(28,319,1,13,28,NULL,NULL,NULL,NULL),(28,319,1,13,29,NULL,NULL,NULL,NULL),(28,319,1,13,30,NULL,1,NULL,NULL),(28,319,1,13,31,NULL,NULL,NULL,NULL),(28,319,1,13,32,1,1,NULL,NULL),(28,319,1,13,33,NULL,NULL,NULL,NULL),(28,319,1,13,34,NULL,NULL,NULL,NULL),(28,319,1,13,35,NULL,NULL,NULL,NULL),(28,319,1,13,36,NULL,NULL,NULL,NULL),(28,319,1,13,37,NULL,NULL,NULL,NULL),(28,319,1,13,38,NULL,1,NULL,NULL),(28,319,1,13,39,NULL,1,NULL,NULL),(28,319,1,13,40,NULL,NULL,NULL,NULL),(28,319,1,14,1,74,NULL,25,NULL),(28,319,1,14,2,5,56,2,18),(28,319,1,14,3,43,51,13,12),(28,319,1,14,4,19,40,3,5),(28,319,1,14,5,45,47,8,18),(28,319,1,14,6,20,80,7,12),(28,319,1,14,7,21,39,8,7),(28,319,1,14,8,18,65,7,13),(28,319,1,14,9,27,43,6,8),(28,319,1,14,10,78,26,18,8),(28,319,1,14,11,23,37,4,13),(28,319,1,14,12,29,51,10,7),(28,319,1,14,13,100,39,23,7),(28,319,1,14,14,49,51,11,15),(28,319,1,14,15,92,NULL,20,NULL),(28,319,1,14,16,72,52,13,12),(28,319,1,14,17,26,95,7,22),(28,319,1,14,18,45,28,16,7),(28,319,1,14,19,83,51,17,9),(28,319,1,14,20,68,72,20,8),(28,319,1,14,21,3,21,NULL,2),(28,319,1,14,22,7,31,2,4),(28,319,1,14,23,12,28,2,10),(28,319,1,14,24,1,NULL,NULL,NULL),(28,319,1,14,25,8,10,1,2),(28,319,1,14,26,2,18,NULL,5),(28,319,1,14,27,33,NULL,14,NULL),(28,319,1,14,28,4,10,1,2),(28,319,1,14,29,6,27,1,10),(28,319,1,14,30,23,47,2,14),(28,319,1,14,31,5,13,NULL,5),(28,319,1,14,32,11,42,3,18),(28,319,1,14,33,10,39,2,16),(28,319,1,14,34,36,33,14,8),(28,319,1,14,35,11,19,7,9),(28,319,1,14,36,6,NULL,3,NULL),(28,319,1,14,37,2,18,NULL,4),(28,319,1,14,38,7,24,4,10),(28,319,1,14,39,23,48,5,16),(28,319,1,14,40,12,NULL,6,NULL),(28,319,1,15,1,68,NULL,22,NULL),(28,319,1,15,2,12,52,2,17),(28,319,1,15,3,47,53,18,12),(28,319,1,15,4,29,34,9,7),(28,319,1,15,5,47,36,8,14),(28,319,1,15,6,23,89,11,20),(28,319,1,15,7,22,27,7,6),(28,319,1,15,8,21,66,9,20),(28,319,1,15,9,26,50,10,14),(28,319,1,15,10,99,23,31,3),(28,319,1,15,11,28,29,16,7),(28,319,1,15,12,22,43,9,10),(28,319,1,15,13,102,30,29,3),(28,319,1,15,14,55,43,14,12),(28,319,1,15,15,107,NULL,25,NULL),(28,319,1,15,16,87,37,23,5),(28,319,1,15,17,44,78,14,16),(28,319,1,15,18,48,40,16,10),(28,319,1,15,19,93,41,23,8),(28,319,1,15,20,76,80,23,10),(28,319,1,15,21,5,16,1,2),(28,319,1,15,22,5,33,1,8),(28,319,1,15,23,5,43,1,13),(28,319,1,15,24,4,NULL,3,NULL),(28,319,1,15,25,10,10,1,1),(28,319,1,15,26,2,23,1,7),(28,319,1,15,27,40,NULL,9,NULL),(28,319,1,15,28,1,5,1,1),(28,319,1,15,29,7,27,4,6),(28,319,1,15,30,18,40,7,15),(28,319,1,15,31,13,22,3,5),(28,319,1,15,32,18,35,9,10),(28,319,1,15,33,24,31,8,11),(28,319,1,15,34,39,29,15,6),(28,319,1,15,35,10,17,2,8),(28,319,1,15,36,7,NULL,3,NULL),(28,319,1,15,37,5,25,2,8),(28,319,1,15,38,12,21,8,7),(28,319,1,15,39,35,55,11,18),(28,319,1,15,40,16,NULL,7,NULL),(28,319,1,16,1,49,NULL,9,NULL),(28,319,1,16,2,1,31,NULL,7),(28,319,1,16,3,25,40,2,8),(28,319,1,16,4,18,39,3,6),(28,319,1,16,5,38,38,5,7),(28,319,1,16,6,15,67,4,5),(28,319,1,16,7,13,40,2,6),(28,319,1,16,8,11,63,3,9),(28,319,1,16,9,21,36,NULL,6),(28,319,1,16,10,60,24,8,3),(28,319,1,16,11,10,24,2,4),(28,319,1,16,12,18,29,1,6),(28,319,1,16,13,139,NULL,15,NULL),(28,319,1,16,14,119,19,12,2),(28,319,1,16,15,37,71,6,6),(28,319,1,16,16,96,NULL,13,NULL),(28,319,1,16,17,63,67,7,6),(28,319,1,16,18,25,33,3,3),(28,319,1,16,19,21,76,5,6),(28,319,1,16,20,33,51,3,4),(28,319,1,16,21,3,18,NULL,2),(28,319,1,16,22,5,20,NULL,2),(28,319,1,16,23,12,30,1,6),(28,319,1,16,24,4,NULL,NULL,NULL),(28,319,1,16,25,1,9,NULL,1),(28,319,1,16,26,NULL,17,NULL,1),(28,319,1,16,27,18,NULL,4,NULL),(28,319,1,16,28,2,6,NULL,1),(28,319,1,16,29,2,20,NULL,4),(28,319,1,16,30,14,34,NULL,6),(28,319,1,16,31,6,6,NULL,2),(28,319,1,16,32,8,21,2,4),(28,319,1,16,33,7,14,1,3),(28,319,1,16,34,22,23,4,5),(28,319,1,16,35,2,11,1,1),(28,319,1,16,36,2,NULL,NULL,NULL),(28,319,1,16,37,1,19,NULL,4),(28,319,1,16,38,2,22,1,2),(28,319,1,16,39,13,43,2,5),(28,319,1,16,40,4,NULL,1,NULL),(28,319,1,17,1,38,NULL,5,NULL),(28,319,1,17,2,3,25,1,3),(28,319,1,17,3,25,43,3,5),(28,319,1,17,4,10,26,1,NULL),(28,319,1,17,5,25,27,3,3),(28,319,1,17,6,11,58,1,3),(28,319,1,17,7,7,35,NULL,3),(28,319,1,17,8,7,35,1,4),(28,319,1,17,9,17,25,3,1),(28,319,1,17,10,62,21,6,2),(28,319,1,17,11,11,22,3,2),(28,319,1,17,12,10,24,3,2),(28,319,1,17,13,122,NULL,8,NULL),(28,319,1,17,14,87,25,6,2),(28,319,1,17,15,31,66,1,6),(28,319,1,17,16,94,NULL,9,NULL),(28,319,1,17,17,42,64,4,4),(28,319,1,17,18,20,31,4,2),(28,319,1,17,19,15,56,3,2),(28,319,1,17,20,15,46,NULL,6),(28,319,1,17,21,2,18,1,NULL),(28,319,1,17,22,4,26,NULL,1),(28,319,1,17,23,3,23,NULL,NULL),(28,319,1,17,24,NULL,NULL,NULL,NULL),(28,319,1,17,25,6,10,NULL,NULL),(28,319,1,17,26,2,9,NULL,NULL),(28,319,1,17,27,17,NULL,3,NULL),(28,319,1,17,28,NULL,7,NULL,NULL),(28,319,1,17,29,5,20,1,2),(28,319,1,17,30,9,32,NULL,3),(28,319,1,17,31,3,17,1,3),(28,319,1,17,32,14,14,2,1),(28,319,1,17,33,9,13,1,3),(28,319,1,17,34,19,24,3,3),(28,319,1,17,35,6,15,NULL,2),(28,319,1,17,36,NULL,NULL,NULL,NULL),(28,319,1,17,37,4,11,2,NULL),(28,319,1,17,38,1,14,1,2),(28,319,1,17,39,19,45,3,4),(28,319,1,17,40,11,NULL,1,NULL),(28,319,1,18,1,NULL,NULL,NULL,NULL),(28,319,1,18,2,NULL,NULL,NULL,NULL),(28,319,1,18,3,NULL,NULL,NULL,NULL),(28,319,1,18,4,NULL,NULL,NULL,NULL),(28,319,1,18,5,NULL,NULL,NULL,NULL),(28,319,1,18,6,NULL,NULL,NULL,NULL),(28,319,1,18,7,NULL,NULL,NULL,NULL),(28,319,1,18,8,NULL,NULL,NULL,NULL),(28,319,1,18,9,NULL,NULL,NULL,NULL),(28,319,1,18,10,NULL,NULL,NULL,NULL),(28,319,1,18,11,NULL,NULL,NULL,NULL),(28,319,1,18,12,NULL,NULL,NULL,NULL),(28,319,1,18,13,NULL,NULL,NULL,NULL),(28,319,1,18,14,NULL,NULL,NULL,NULL),(28,319,1,18,15,NULL,NULL,NULL,NULL),(28,319,1,18,16,NULL,NULL,NULL,NULL),(28,319,1,18,17,NULL,NULL,NULL,NULL),(28,319,1,18,18,NULL,NULL,NULL,NULL),(28,319,1,18,19,NULL,NULL,NULL,NULL),(28,319,1,18,20,NULL,NULL,NULL,NULL),(28,319,1,18,21,NULL,NULL,NULL,NULL),(28,319,1,18,22,NULL,NULL,NULL,NULL),(28,319,1,18,23,NULL,NULL,NULL,NULL),(28,319,1,18,24,NULL,NULL,NULL,NULL),(28,319,1,18,25,NULL,NULL,NULL,NULL),(28,319,1,18,26,NULL,NULL,NULL,NULL),(28,319,1,18,27,NULL,NULL,NULL,NULL),(28,319,1,18,28,NULL,NULL,NULL,NULL),(28,319,1,18,29,NULL,NULL,NULL,NULL),(28,319,1,18,30,NULL,NULL,NULL,NULL),(28,319,1,18,31,NULL,NULL,NULL,NULL),(28,319,1,18,32,NULL,NULL,NULL,NULL),(28,319,1,18,33,NULL,NULL,NULL,NULL),(28,319,1,18,34,NULL,NULL,NULL,NULL),(28,319,1,18,35,NULL,NULL,NULL,NULL),(28,319,1,18,36,NULL,NULL,NULL,NULL),(28,319,1,18,37,NULL,NULL,NULL,NULL),(28,319,1,18,38,NULL,NULL,NULL,NULL),(28,319,1,18,39,NULL,NULL,NULL,NULL),(28,319,1,18,40,NULL,NULL,NULL,NULL),(28,319,1,19,1,NULL,NULL,NULL,NULL),(28,319,1,19,2,NULL,NULL,NULL,NULL),(28,319,1,19,3,NULL,NULL,NULL,NULL),(28,319,1,19,4,NULL,NULL,NULL,NULL),(28,319,1,19,5,NULL,NULL,NULL,NULL),(28,319,1,19,6,NULL,NULL,NULL,NULL),(28,319,1,19,7,NULL,NULL,NULL,NULL),(28,319,1,19,8,NULL,NULL,NULL,NULL),(28,319,1,19,9,NULL,NULL,NULL,NULL),(28,319,1,19,10,NULL,NULL,NULL,NULL),(28,319,1,19,11,NULL,NULL,NULL,NULL),(28,319,1,19,12,NULL,NULL,NULL,NULL),(28,319,1,19,13,NULL,NULL,NULL,NULL),(28,319,1,19,14,NULL,NULL,NULL,NULL),(28,319,1,19,15,NULL,NULL,NULL,NULL),(28,319,1,19,16,NULL,NULL,NULL,NULL),(28,319,1,19,17,NULL,NULL,NULL,NULL),(28,319,1,19,18,NULL,NULL,NULL,NULL),(28,319,1,19,19,NULL,NULL,NULL,NULL),(28,319,1,19,20,NULL,NULL,NULL,NULL),(28,319,1,19,21,NULL,NULL,NULL,NULL),(28,319,1,19,22,NULL,NULL,NULL,NULL),(28,319,1,19,23,NULL,NULL,NULL,NULL),(28,319,1,19,24,NULL,NULL,NULL,NULL),(28,319,1,19,25,NULL,NULL,NULL,NULL),(28,319,1,19,26,NULL,NULL,NULL,NULL),(28,319,1,19,27,NULL,NULL,NULL,NULL),(28,319,1,19,28,NULL,NULL,NULL,NULL),(28,319,1,19,29,NULL,NULL,NULL,NULL),(28,319,1,19,30,NULL,NULL,NULL,NULL),(28,319,1,19,31,NULL,NULL,NULL,NULL),(28,319,1,19,32,NULL,NULL,NULL,NULL),(28,319,1,19,33,NULL,NULL,NULL,NULL),(28,319,1,19,34,NULL,NULL,NULL,NULL),(28,319,1,19,35,NULL,NULL,NULL,NULL),(28,319,1,19,36,NULL,NULL,NULL,NULL),(28,319,1,19,37,NULL,NULL,NULL,NULL),(28,319,1,19,38,NULL,NULL,NULL,NULL),(28,319,1,19,39,NULL,NULL,NULL,NULL),(28,319,1,19,40,NULL,NULL,NULL,NULL),(28,319,2,21,1,3,51,1,12),(28,319,2,21,2,2,37,NULL,8),(28,319,2,21,3,57,55,12,13),(28,319,2,21,4,1,22,NULL,4),(28,319,2,21,5,15,42,6,10),(28,319,2,21,6,41,73,5,13),(28,319,2,21,7,NULL,49,NULL,10),(28,319,2,21,8,12,27,7,7),(28,319,2,21,9,13,23,4,7),(28,319,2,21,10,29,39,7,8),(28,319,2,21,11,25,19,11,4),(28,319,2,21,12,32,42,2,11),(28,319,2,21,13,11,87,4,17),(28,319,2,21,14,25,64,10,14),(28,319,2,21,15,21,41,7,8),(28,319,2,21,16,19,67,2,15),(28,319,2,21,17,6,21,2,4),(28,319,2,21,18,50,51,10,13),(28,319,2,21,19,24,53,5,10),(28,319,2,21,20,49,43,13,9),(28,319,2,21,21,5,22,3,4),(28,319,2,21,22,10,14,6,4),(28,319,2,21,23,5,14,2,4),(28,319,2,21,24,6,29,NULL,3),(28,319,2,21,25,3,23,2,6),(28,319,2,21,26,4,30,NULL,9),(28,319,2,21,27,6,55,3,18),(28,319,2,21,28,2,22,NULL,5),(28,319,2,21,29,1,29,NULL,7),(28,319,2,21,30,7,14,NULL,5),(28,319,2,21,31,3,54,NULL,11),(28,319,2,21,32,1,20,1,4),(28,319,2,21,33,14,23,6,9),(28,319,2,21,34,10,34,6,11),(28,319,2,21,35,27,NULL,8,NULL),(28,319,2,21,36,2,12,1,6),(28,319,2,21,37,3,20,3,8),(28,319,2,21,38,NULL,13,NULL,2),(28,319,2,21,39,1,18,NULL,4),(28,319,2,21,40,3,60,2,13),(28,319,2,22,1,4,61,2,4),(28,319,2,22,2,NULL,27,NULL,5),(28,319,2,22,3,52,51,10,6),(28,319,2,22,4,2,16,NULL,3),(28,319,2,22,5,20,31,5,5),(28,319,2,22,6,39,71,8,5),(28,319,2,22,7,1,38,1,3),(28,319,2,22,8,10,31,3,6),(28,319,2,22,9,9,27,1,7),(28,319,2,22,10,29,32,4,6),(28,319,2,22,11,16,22,5,3),(28,319,2,22,12,20,52,3,8),(28,319,2,22,13,11,78,5,10),(28,319,2,22,14,34,48,10,6),(28,319,2,22,15,19,31,4,4),(28,319,2,22,16,27,52,3,10),(28,319,2,22,17,12,19,2,4),(28,319,2,22,18,53,56,9,7),(28,319,2,22,19,25,47,4,7),(28,319,2,22,20,38,32,9,7),(28,319,2,22,21,6,25,3,4),(28,319,2,22,22,6,14,3,3),(28,319,2,22,23,2,10,2,2),(28,319,2,22,24,5,18,NULL,3),(28,319,2,22,25,4,29,NULL,5),(28,319,2,22,26,4,28,NULL,6),(28,319,2,22,27,9,52,2,10),(28,319,2,22,28,3,18,1,5),(28,319,2,22,29,1,26,NULL,6),(28,319,2,22,30,3,17,1,1),(28,319,2,22,31,3,33,1,6),(28,319,2,22,32,2,10,1,2),(28,319,2,22,33,11,19,6,4),(28,319,2,22,34,8,34,4,6),(28,319,2,22,35,17,NULL,2,NULL),(28,319,2,22,36,2,15,NULL,2),(28,319,2,22,37,4,18,1,3),(28,319,2,22,38,2,6,1,NULL),(28,319,2,22,39,3,24,NULL,5),(28,319,2,22,40,7,50,4,5),(28,319,2,23,1,3,57,NULL,11),(28,319,2,23,2,1,31,NULL,8),(28,319,2,23,3,38,47,9,11),(28,319,2,23,4,2,8,1,3),(28,319,2,23,5,20,31,4,10),(28,319,2,23,6,39,55,7,9),(28,319,2,23,7,NULL,38,NULL,12),(28,319,2,23,8,19,16,5,3),(28,319,2,23,9,7,16,2,2),(28,319,2,23,10,26,33,6,9),(28,319,2,23,11,16,17,8,2),(28,319,2,23,12,17,39,6,4),(28,319,2,23,13,9,72,3,13),(28,319,2,23,14,23,47,6,13),(28,319,2,23,15,22,40,4,7),(28,319,2,23,16,12,62,2,13),(28,319,2,23,17,3,18,NULL,5),(28,319,2,23,18,38,56,6,14),(28,319,2,23,19,20,34,7,9),(28,319,2,23,20,39,29,13,2),(28,319,2,23,21,4,22,1,4),(28,319,2,23,22,13,16,8,2),(28,319,2,23,23,2,16,1,4),(28,319,2,23,24,2,15,NULL,4),(28,319,2,23,25,2,12,2,2),(28,319,2,23,26,6,26,1,5),(28,319,2,23,27,3,44,1,13),(28,319,2,23,28,3,18,NULL,7),(28,319,2,23,29,2,25,2,6),(28,319,2,23,30,3,17,NULL,5),(28,319,2,23,31,1,39,NULL,12),(28,319,2,23,32,3,10,1,3),(28,319,2,23,33,9,29,7,7),(28,319,2,23,34,6,24,5,9),(28,319,2,23,35,24,NULL,7,NULL),(28,319,2,23,36,4,14,NULL,3),(28,319,2,23,37,4,19,2,8),(28,319,2,23,38,1,5,NULL,2),(28,319,2,23,39,NULL,18,NULL,6),(28,319,2,23,40,4,65,4,14),(28,319,2,24,1,6,46,NULL,9),(28,319,2,24,2,7,31,2,11),(28,319,2,24,3,58,42,10,12),(28,319,2,24,4,2,28,NULL,7),(28,319,2,24,5,24,35,6,10),(28,319,2,24,6,35,63,6,9),(28,319,2,24,7,NULL,51,NULL,12),(28,319,2,24,8,9,29,4,7),(28,319,2,24,9,7,13,2,5),(28,319,2,24,10,31,42,8,9),(28,319,2,24,11,22,17,5,3),(28,319,2,24,12,28,36,4,8),(28,319,2,24,13,14,76,4,12),(28,319,2,24,14,26,58,6,14),(28,319,2,24,15,23,43,6,8),(28,319,2,24,16,22,56,6,11),(28,319,2,24,17,3,31,NULL,4),(28,319,2,24,18,49,49,8,14),(28,319,2,24,19,25,49,7,11),(28,319,2,24,20,44,36,12,6),(28,319,2,24,21,6,18,3,1),(28,319,2,24,22,18,12,8,3),(28,319,2,24,23,1,19,NULL,6),(28,319,2,24,24,5,23,NULL,4),(28,319,2,24,25,4,23,1,5),(28,319,2,24,26,5,34,NULL,10),(28,319,2,24,27,11,46,1,13),(28,319,2,24,28,4,17,1,8),(28,319,2,24,29,2,19,NULL,8),(28,319,2,24,30,6,19,1,4),(28,319,2,24,31,2,41,1,10),(28,319,2,24,32,NULL,19,NULL,5),(28,319,2,24,33,8,18,6,6),(28,319,2,24,34,12,43,5,12),(28,319,2,24,35,32,NULL,7,NULL),(28,319,2,24,36,4,12,NULL,2),(28,319,2,24,37,3,21,3,7),(28,319,2,24,38,4,4,2,2),(28,319,2,24,39,4,17,NULL,5),(28,319,2,24,40,6,62,2,15),(28,320,1,11,1,1,NULL,1,NULL),(28,320,1,11,2,NULL,1,NULL,1),(28,320,1,11,3,1,NULL,1,NULL),(28,320,1,11,4,NULL,1,NULL,1),(28,320,1,11,5,NULL,NULL,NULL,NULL),(28,320,1,11,6,NULL,NULL,NULL,NULL),(28,320,1,11,7,NULL,1,NULL,1),(28,320,1,11,8,NULL,1,NULL,1),(28,320,1,11,9,NULL,NULL,NULL,NULL),(28,320,1,11,10,1,NULL,1,NULL),(28,320,1,11,11,NULL,NULL,NULL,NULL),(28,320,1,11,12,NULL,1,NULL,1),(28,320,1,11,13,1,NULL,1,NULL),(28,320,1,11,14,1,NULL,1,NULL),(28,320,1,11,15,1,NULL,1,NULL),(28,320,1,11,16,1,NULL,1,NULL),(28,320,1,11,17,1,NULL,1,NULL),(28,320,1,11,18,1,NULL,1,NULL),(28,320,1,11,19,1,NULL,1,NULL),(28,320,1,11,20,1,NULL,1,NULL),(28,320,1,11,21,1,NULL,1,NULL),(28,320,1,11,22,NULL,NULL,NULL,NULL),(28,320,1,11,23,NULL,NULL,NULL,NULL),(28,320,1,11,24,NULL,NULL,NULL,NULL),(28,320,1,11,25,NULL,1,NULL,1),(28,320,1,11,26,NULL,1,NULL,1),(28,320,1,11,27,1,NULL,1,NULL),(28,320,1,11,28,NULL,NULL,NULL,NULL),(28,320,1,11,29,NULL,NULL,NULL,NULL),(28,320,1,11,30,1,NULL,1,NULL),(28,320,1,11,31,NULL,1,NULL,1),(28,320,1,11,32,NULL,1,NULL,1),(28,320,1,11,33,NULL,NULL,NULL,NULL),(28,320,1,11,34,1,NULL,1,NULL),(28,320,1,11,35,NULL,NULL,NULL,NULL),(28,320,1,11,36,NULL,NULL,NULL,NULL),(28,320,1,11,37,NULL,NULL,NULL,NULL),(28,320,1,11,38,1,NULL,1,NULL),(28,320,1,11,39,NULL,1,NULL,1),(28,320,1,11,40,NULL,NULL,NULL,NULL),(28,320,1,12,1,NULL,NULL,NULL,NULL),(28,320,1,12,2,NULL,NULL,NULL,NULL),(28,320,1,12,3,NULL,NULL,NULL,NULL),(28,320,1,12,4,NULL,NULL,NULL,NULL),(28,320,1,12,5,NULL,NULL,NULL,NULL),(28,320,1,12,6,NULL,NULL,NULL,NULL),(28,320,1,12,7,NULL,NULL,NULL,NULL),(28,320,1,12,8,NULL,NULL,NULL,NULL),(28,320,1,12,9,NULL,NULL,NULL,NULL),(28,320,1,12,10,NULL,NULL,NULL,NULL),(28,320,1,12,11,NULL,NULL,NULL,NULL),(28,320,1,12,12,NULL,NULL,NULL,NULL),(28,320,1,12,13,NULL,NULL,NULL,NULL),(28,320,1,12,14,NULL,NULL,NULL,NULL),(28,320,1,12,15,NULL,NULL,NULL,NULL),(28,320,1,12,16,NULL,NULL,NULL,NULL),(28,320,1,12,17,NULL,NULL,NULL,NULL),(28,320,1,12,18,NULL,NULL,NULL,NULL),(28,320,1,12,19,NULL,NULL,NULL,NULL),(28,320,1,12,20,NULL,NULL,NULL,NULL),(28,320,1,12,21,NULL,NULL,NULL,NULL),(28,320,1,12,22,NULL,NULL,NULL,NULL),(28,320,1,12,23,NULL,NULL,NULL,NULL),(28,320,1,12,24,NULL,NULL,NULL,NULL),(28,320,1,12,25,NULL,NULL,NULL,NULL),(28,320,1,12,26,NULL,NULL,NULL,NULL),(28,320,1,12,27,NULL,NULL,NULL,NULL),(28,320,1,12,28,NULL,NULL,NULL,NULL),(28,320,1,12,29,NULL,NULL,NULL,NULL),(28,320,1,12,30,NULL,NULL,NULL,NULL),(28,320,1,12,31,NULL,NULL,NULL,NULL),(28,320,1,12,32,NULL,NULL,NULL,NULL),(28,320,1,12,33,NULL,NULL,NULL,NULL),(28,320,1,12,34,NULL,NULL,NULL,NULL),(28,320,1,12,35,NULL,NULL,NULL,NULL),(28,320,1,12,36,NULL,NULL,NULL,NULL),(28,320,1,12,37,NULL,NULL,NULL,NULL),(28,320,1,12,38,NULL,NULL,NULL,NULL),(28,320,1,12,39,NULL,NULL,NULL,NULL),(28,320,1,12,40,NULL,NULL,NULL,NULL),(28,320,1,13,1,NULL,NULL,NULL,NULL),(28,320,1,13,2,NULL,NULL,NULL,NULL),(28,320,1,13,3,NULL,NULL,NULL,NULL),(28,320,1,13,4,NULL,NULL,NULL,NULL),(28,320,1,13,5,NULL,NULL,NULL,NULL),(28,320,1,13,6,NULL,NULL,NULL,NULL),(28,320,1,13,7,NULL,NULL,NULL,NULL),(28,320,1,13,8,NULL,NULL,NULL,NULL),(28,320,1,13,9,NULL,NULL,NULL,NULL),(28,320,1,13,10,NULL,NULL,NULL,NULL),(28,320,1,13,11,NULL,NULL,NULL,NULL),(28,320,1,13,12,NULL,NULL,NULL,NULL),(28,320,1,13,13,NULL,NULL,NULL,NULL),(28,320,1,13,14,NULL,NULL,NULL,NULL),(28,320,1,13,15,NULL,NULL,NULL,NULL),(28,320,1,13,16,NULL,NULL,NULL,NULL),(28,320,1,13,17,NULL,NULL,NULL,NULL),(28,320,1,13,18,NULL,NULL,NULL,NULL),(28,320,1,13,19,NULL,NULL,NULL,NULL),(28,320,1,13,20,NULL,NULL,NULL,NULL),(28,320,1,13,21,NULL,NULL,NULL,NULL),(28,320,1,13,22,NULL,NULL,NULL,NULL),(28,320,1,13,23,NULL,NULL,NULL,NULL),(28,320,1,13,24,NULL,NULL,NULL,NULL),(28,320,1,13,25,NULL,NULL,NULL,NULL),(28,320,1,13,26,NULL,NULL,NULL,NULL),(28,320,1,13,27,NULL,NULL,NULL,NULL),(28,320,1,13,28,NULL,NULL,NULL,NULL),(28,320,1,13,29,NULL,NULL,NULL,NULL),(28,320,1,13,30,NULL,NULL,NULL,NULL),(28,320,1,13,31,NULL,NULL,NULL,NULL),(28,320,1,13,32,NULL,NULL,NULL,NULL),(28,320,1,13,33,NULL,NULL,NULL,NULL),(28,320,1,13,34,NULL,NULL,NULL,NULL),(28,320,1,13,35,NULL,NULL,NULL,NULL),(28,320,1,13,36,NULL,NULL,NULL,NULL),(28,320,1,13,37,NULL,NULL,NULL,NULL),(28,320,1,13,38,NULL,NULL,NULL,NULL),(28,320,1,13,39,NULL,NULL,NULL,NULL),(28,320,1,13,40,NULL,NULL,NULL,NULL),(28,320,1,14,1,8,NULL,7,NULL),(28,320,1,14,2,1,6,1,3),(28,320,1,14,3,3,5,2,4),(28,320,1,14,4,2,5,1,3),(28,320,1,14,5,4,4,2,2),(28,320,1,14,6,NULL,9,NULL,9),(28,320,1,14,7,1,2,NULL,1),(28,320,1,14,8,2,9,2,6),(28,320,1,14,9,2,4,1,4),(28,320,1,14,10,7,3,5,3),(28,320,1,14,11,2,6,2,4),(28,320,1,14,12,5,1,3,NULL),(28,320,1,14,13,8,4,5,3),(28,320,1,14,14,5,6,2,4),(28,320,1,14,15,5,NULL,4,NULL),(28,320,1,14,16,6,6,5,4),(28,320,1,14,17,2,9,2,4),(28,320,1,14,18,2,4,2,NULL),(28,320,1,14,19,9,6,7,3),(28,320,1,14,20,1,13,1,10),(28,320,1,14,21,NULL,2,NULL,2),(28,320,1,14,22,NULL,3,NULL,1),(28,320,1,14,23,2,4,2,2),(28,320,1,14,24,NULL,NULL,NULL,NULL),(28,320,1,14,25,2,4,1,4),(28,320,1,14,26,1,1,1,NULL),(28,320,1,14,27,2,NULL,2,NULL),(28,320,1,14,28,NULL,NULL,NULL,NULL),(28,320,1,14,29,1,1,1,1),(28,320,1,14,30,1,5,NULL,4),(28,320,1,14,31,NULL,2,NULL,2),(28,320,1,14,32,2,5,1,5),(28,320,1,14,33,NULL,2,NULL,1),(28,320,1,14,34,3,6,3,3),(28,320,1,14,35,2,2,1,2),(28,320,1,14,36,NULL,NULL,NULL,NULL),(28,320,1,14,37,NULL,1,NULL,1),(28,320,1,14,38,NULL,1,NULL,1),(28,320,1,14,39,1,3,NULL,2),(28,320,1,14,40,NULL,NULL,NULL,NULL),(28,320,1,15,1,17,NULL,9,NULL),(28,320,1,15,2,NULL,10,NULL,5),(28,320,1,15,3,5,7,3,6),(28,320,1,15,4,3,4,2,3),(28,320,1,15,5,4,7,3,5),(28,320,1,15,6,2,12,2,6),(28,320,1,15,7,3,7,2,6),(28,320,1,15,8,NULL,4,NULL,3),(28,320,1,15,9,5,6,3,3),(28,320,1,15,10,9,9,5,6),(28,320,1,15,11,1,3,1,2),(28,320,1,15,12,4,2,3,NULL),(28,320,1,15,13,10,8,8,3),(28,320,1,15,14,10,7,8,3),(28,320,1,15,15,15,NULL,9,NULL),(28,320,1,15,16,9,7,5,6),(28,320,1,15,17,5,14,3,8),(28,320,1,15,18,7,5,5,5),(28,320,1,15,19,10,8,7,6),(28,320,1,15,20,9,11,6,6),(28,320,1,15,21,2,2,2,1),(28,320,1,15,22,1,3,1,1),(28,320,1,15,23,NULL,3,NULL,1),(28,320,1,15,24,NULL,NULL,NULL,NULL),(28,320,1,15,25,NULL,NULL,NULL,NULL),(28,320,1,15,26,1,1,1,NULL),(28,320,1,15,27,4,NULL,3,NULL),(28,320,1,15,28,NULL,2,NULL,NULL),(28,320,1,15,29,NULL,4,NULL,2),(28,320,1,15,30,1,7,1,4),(28,320,1,15,31,NULL,4,NULL,3),(28,320,1,15,32,5,6,4,3),(28,320,1,15,33,NULL,4,NULL,3),(28,320,1,15,34,5,3,4,3),(28,320,1,15,35,1,5,1,3),(28,320,1,15,36,NULL,NULL,NULL,NULL),(28,320,1,15,37,NULL,2,NULL,2),(28,320,1,15,38,NULL,5,NULL,5),(28,320,1,15,39,1,10,NULL,9),(28,320,1,15,40,2,NULL,1,NULL),(28,320,1,16,1,6,NULL,3,NULL),(28,320,1,16,2,NULL,5,NULL,3),(28,320,1,16,3,6,7,1,6),(28,320,1,16,4,4,3,2,NULL),(28,320,1,16,5,3,4,1,1),(28,320,1,16,6,2,3,2,1),(28,320,1,16,7,4,5,2,3),(28,320,1,16,8,NULL,9,NULL,4),(28,320,1,16,9,4,6,4,1),(28,320,1,16,10,5,5,4,3),(28,320,1,16,11,NULL,2,NULL,1),(28,320,1,16,12,2,7,1,3),(28,320,1,16,13,21,NULL,9,NULL),(28,320,1,16,14,14,5,6,2),(28,320,1,16,15,4,9,1,2),(28,320,1,16,16,17,NULL,9,NULL),(28,320,1,16,17,7,10,4,4),(28,320,1,16,18,2,6,1,2),(28,320,1,16,19,2,9,2,4),(28,320,1,16,20,4,3,2,2),(28,320,1,16,21,1,3,1,2),(28,320,1,16,22,NULL,4,NULL,1),(28,320,1,16,23,1,2,NULL,2),(28,320,1,16,24,NULL,NULL,NULL,NULL),(28,320,1,16,25,1,1,1,1),(28,320,1,16,26,1,2,1,1),(28,320,1,16,27,1,NULL,NULL,NULL),(28,320,1,16,28,NULL,2,NULL,1),(28,320,1,16,29,NULL,3,NULL,1),(28,320,1,16,30,2,7,NULL,4),(28,320,1,16,31,NULL,4,NULL,1),(28,320,1,16,32,1,3,1,1),(28,320,1,16,33,NULL,1,NULL,1),(28,320,1,16,34,2,1,2,NULL),(28,320,1,16,35,NULL,NULL,NULL,NULL),(28,320,1,16,36,NULL,NULL,NULL,NULL),(28,320,1,16,37,1,3,NULL,NULL),(28,320,1,16,38,NULL,2,NULL,2),(28,320,1,16,39,3,3,3,2),(28,320,1,16,40,NULL,NULL,NULL,NULL),(28,320,1,17,1,8,NULL,5,NULL),(28,320,1,17,2,NULL,1,NULL,1),(28,320,1,17,3,NULL,8,NULL,4),(28,320,1,17,4,1,7,1,3),(28,320,1,17,5,4,4,3,1),(28,320,1,17,6,2,6,1,1),(28,320,1,17,7,NULL,7,NULL,4),(28,320,1,17,8,NULL,3,NULL,NULL),(28,320,1,17,9,NULL,2,NULL,1),(28,320,1,17,10,5,2,3,2),(28,320,1,17,11,NULL,3,NULL,2),(28,320,1,17,12,2,NULL,NULL,NULL),(28,320,1,17,13,13,NULL,7,NULL),(28,320,1,17,14,14,2,6,1),(28,320,1,17,15,3,10,1,5),(28,320,1,17,16,14,NULL,7,NULL),(28,320,1,17,17,6,9,3,4),(28,320,1,17,18,3,1,1,1),(28,320,1,17,19,2,9,2,3),(28,320,1,17,20,1,2,NULL,2),(28,320,1,17,21,NULL,3,NULL,1),(28,320,1,17,22,NULL,NULL,NULL,NULL),(28,320,1,17,23,NULL,4,NULL,4),(28,320,1,17,24,NULL,NULL,NULL,NULL),(28,320,1,17,25,NULL,1,NULL,NULL),(28,320,1,17,26,NULL,NULL,NULL,NULL),(28,320,1,17,27,2,NULL,1,NULL),(28,320,1,17,28,NULL,1,NULL,NULL),(28,320,1,17,29,1,1,NULL,1),(28,320,1,17,30,2,9,NULL,4),(28,320,1,17,31,NULL,NULL,NULL,NULL),(28,320,1,17,32,3,2,3,2),(28,320,1,17,33,1,2,1,1),(28,320,1,17,34,1,NULL,1,NULL),(28,320,1,17,35,1,1,NULL,NULL),(28,320,1,17,36,NULL,NULL,NULL,NULL),(28,320,1,17,37,NULL,NULL,NULL,NULL),(28,320,1,17,38,NULL,1,NULL,NULL),(28,320,1,17,39,NULL,5,NULL,5),(28,320,1,17,40,1,NULL,1,NULL),(28,320,1,18,1,NULL,NULL,NULL,NULL),(28,320,1,18,2,NULL,NULL,NULL,NULL),(28,320,1,18,3,NULL,NULL,NULL,NULL),(28,320,1,18,4,NULL,NULL,NULL,NULL),(28,320,1,18,5,NULL,NULL,NULL,NULL),(28,320,1,18,6,NULL,NULL,NULL,NULL),(28,320,1,18,7,NULL,NULL,NULL,NULL),(28,320,1,18,8,NULL,NULL,NULL,NULL),(28,320,1,18,9,NULL,NULL,NULL,NULL),(28,320,1,18,10,NULL,NULL,NULL,NULL),(28,320,1,18,11,NULL,NULL,NULL,NULL),(28,320,1,18,12,NULL,NULL,NULL,NULL),(28,320,1,18,13,NULL,NULL,NULL,NULL),(28,320,1,18,14,NULL,NULL,NULL,NULL),(28,320,1,18,15,NULL,NULL,NULL,NULL),(28,320,1,18,16,NULL,NULL,NULL,NULL),(28,320,1,18,17,NULL,NULL,NULL,NULL),(28,320,1,18,18,NULL,NULL,NULL,NULL),(28,320,1,18,19,NULL,NULL,NULL,NULL),(28,320,1,18,20,NULL,NULL,NULL,NULL),(28,320,1,18,21,NULL,NULL,NULL,NULL),(28,320,1,18,22,NULL,NULL,NULL,NULL),(28,320,1,18,23,NULL,NULL,NULL,NULL),(28,320,1,18,24,NULL,NULL,NULL,NULL),(28,320,1,18,25,NULL,NULL,NULL,NULL),(28,320,1,18,26,NULL,NULL,NULL,NULL),(28,320,1,18,27,NULL,NULL,NULL,NULL),(28,320,1,18,28,NULL,NULL,NULL,NULL),(28,320,1,18,29,NULL,NULL,NULL,NULL),(28,320,1,18,30,NULL,NULL,NULL,NULL),(28,320,1,18,31,NULL,NULL,NULL,NULL),(28,320,1,18,32,NULL,NULL,NULL,NULL),(28,320,1,18,33,NULL,NULL,NULL,NULL),(28,320,1,18,34,NULL,NULL,NULL,NULL),(28,320,1,18,35,NULL,NULL,NULL,NULL),(28,320,1,18,36,NULL,NULL,NULL,NULL),(28,320,1,18,37,NULL,NULL,NULL,NULL),(28,320,1,18,38,NULL,NULL,NULL,NULL),(28,320,1,18,39,NULL,NULL,NULL,NULL),(28,320,1,18,40,NULL,NULL,NULL,NULL),(28,320,1,19,1,NULL,NULL,NULL,NULL),(28,320,1,19,2,NULL,NULL,NULL,NULL),(28,320,1,19,3,NULL,NULL,NULL,NULL),(28,320,1,19,4,NULL,NULL,NULL,NULL),(28,320,1,19,5,NULL,NULL,NULL,NULL),(28,320,1,19,6,NULL,NULL,NULL,NULL),(28,320,1,19,7,NULL,NULL,NULL,NULL),(28,320,1,19,8,NULL,NULL,NULL,NULL),(28,320,1,19,9,NULL,NULL,NULL,NULL),(28,320,1,19,10,NULL,NULL,NULL,NULL),(28,320,1,19,11,NULL,NULL,NULL,NULL),(28,320,1,19,12,NULL,NULL,NULL,NULL),(28,320,1,19,13,NULL,NULL,NULL,NULL),(28,320,1,19,14,NULL,NULL,NULL,NULL),(28,320,1,19,15,NULL,NULL,NULL,NULL),(28,320,1,19,16,NULL,NULL,NULL,NULL),(28,320,1,19,17,NULL,NULL,NULL,NULL),(28,320,1,19,18,NULL,NULL,NULL,NULL),(28,320,1,19,19,NULL,NULL,NULL,NULL),(28,320,1,19,20,NULL,NULL,NULL,NULL),(28,320,1,19,21,NULL,NULL,NULL,NULL),(28,320,1,19,22,NULL,NULL,NULL,NULL),(28,320,1,19,23,NULL,NULL,NULL,NULL),(28,320,1,19,24,NULL,NULL,NULL,NULL),(28,320,1,19,25,NULL,NULL,NULL,NULL),(28,320,1,19,26,NULL,NULL,NULL,NULL),(28,320,1,19,27,NULL,NULL,NULL,NULL),(28,320,1,19,28,NULL,NULL,NULL,NULL),(28,320,1,19,29,NULL,NULL,NULL,NULL),(28,320,1,19,30,NULL,NULL,NULL,NULL),(28,320,1,19,31,NULL,NULL,NULL,NULL),(28,320,1,19,32,NULL,NULL,NULL,NULL),(28,320,1,19,33,NULL,NULL,NULL,NULL),(28,320,1,19,34,NULL,NULL,NULL,NULL),(28,320,1,19,35,NULL,NULL,NULL,NULL),(28,320,1,19,36,NULL,NULL,NULL,NULL),(28,320,1,19,37,NULL,NULL,NULL,NULL),(28,320,1,19,38,NULL,NULL,NULL,NULL),(28,320,1,19,39,NULL,NULL,NULL,NULL),(28,320,1,19,40,NULL,NULL,NULL,NULL),(28,320,2,21,1,2,11,1,3),(28,320,2,21,2,1,8,1,3),(28,320,2,21,3,9,11,3,4),(28,320,2,21,4,1,4,1,3),(28,320,2,21,5,3,8,1,3),(28,320,2,21,6,8,11,6,2),(28,320,2,21,7,NULL,8,NULL,3),(28,320,2,21,8,5,5,3,1),(28,320,2,21,9,4,2,3,NULL),(28,320,2,21,10,3,6,3,2),(28,320,2,21,11,1,8,NULL,5),(28,320,2,21,12,4,9,1,5),(28,320,2,21,13,3,10,3,2),(28,320,2,21,14,5,14,4,4),(28,320,2,21,15,4,6,3,1),(28,320,2,21,16,5,9,4,3),(28,320,2,21,17,NULL,3,NULL,1),(28,320,2,21,18,11,8,6,1),(28,320,2,21,19,4,9,3,5),(28,320,2,21,20,5,5,3,2),(28,320,2,21,21,NULL,2,NULL,1),(28,320,2,21,22,2,1,2,1),(28,320,2,21,23,NULL,NULL,NULL,NULL),(28,320,2,21,24,NULL,5,NULL,4),(28,320,2,21,25,1,2,1,1),(28,320,2,21,26,NULL,7,NULL,4),(28,320,2,21,27,NULL,11,NULL,2),(28,320,2,21,28,NULL,NULL,NULL,NULL),(28,320,2,21,29,NULL,4,NULL,1),(28,320,2,21,30,1,4,NULL,1),(28,320,2,21,31,1,8,NULL,2),(28,320,2,21,32,NULL,1,NULL,1),(28,320,2,21,33,NULL,3,NULL,2),(28,320,2,21,34,NULL,7,NULL,3),(28,320,2,21,35,5,NULL,1,NULL),(28,320,2,21,36,NULL,2,NULL,1),(28,320,2,21,37,1,1,NULL,NULL),(28,320,2,21,38,NULL,NULL,NULL,NULL),(28,320,2,21,39,NULL,NULL,NULL,NULL),(28,320,2,21,40,NULL,12,NULL,6),(28,320,2,22,1,1,9,1,6),(28,320,2,22,2,1,3,1,2),(28,320,2,22,3,9,7,6,6),(28,320,2,22,4,3,1,2,1),(28,320,2,22,5,3,8,1,7),(28,320,2,22,6,6,5,4,4),(28,320,2,22,7,NULL,4,NULL,2),(28,320,2,22,8,4,6,3,5),(28,320,2,22,9,2,7,NULL,6),(28,320,2,22,10,5,7,4,7),(28,320,2,22,11,NULL,7,NULL,6),(28,320,2,22,12,1,7,1,4),(28,320,2,22,13,1,10,1,5),(28,320,2,22,14,3,13,3,8),(28,320,2,22,15,5,3,4,2),(28,320,2,22,16,2,5,2,4),(28,320,2,22,17,NULL,5,NULL,4),(28,320,2,22,18,5,10,3,8),(28,320,2,22,19,1,7,1,5),(28,320,2,22,20,6,5,4,4),(28,320,2,22,21,NULL,1,NULL,NULL),(28,320,2,22,22,NULL,1,NULL,1),(28,320,2,22,23,NULL,2,NULL,2),(28,320,2,22,24,NULL,1,NULL,1),(28,320,2,22,25,NULL,2,NULL,1),(28,320,2,22,26,NULL,8,NULL,6),(28,320,2,22,27,NULL,9,NULL,7),(28,320,2,22,28,NULL,2,NULL,2),(28,320,2,22,29,NULL,5,NULL,2),(28,320,2,22,30,NULL,6,NULL,4),(28,320,2,22,31,NULL,2,NULL,1),(28,320,2,22,32,NULL,1,NULL,NULL),(28,320,2,22,33,NULL,NULL,NULL,NULL),(28,320,2,22,34,1,5,NULL,5),(28,320,2,22,35,4,NULL,4,NULL),(28,320,2,22,36,NULL,1,NULL,1),(28,320,2,22,37,NULL,2,NULL,NULL),(28,320,2,22,38,NULL,NULL,NULL,NULL),(28,320,2,22,39,NULL,2,NULL,1),(28,320,2,22,40,NULL,6,NULL,6),(28,320,2,23,1,NULL,8,NULL,6),(28,320,2,23,2,NULL,7,NULL,6),(28,320,2,23,3,10,3,6,3),(28,320,2,23,4,NULL,NULL,NULL,NULL),(28,320,2,23,5,1,5,NULL,5),(28,320,2,23,6,5,4,3,3),(28,320,2,23,7,NULL,6,NULL,4),(28,320,2,23,8,3,9,2,7),(28,320,2,23,9,1,3,1,2),(28,320,2,23,10,4,5,3,4),(28,320,2,23,11,1,2,NULL,2),(28,320,2,23,12,4,4,3,3),(28,320,2,23,13,4,10,2,8),(28,320,2,23,14,4,10,3,8),(28,320,2,23,15,2,9,2,7),(28,320,2,23,16,3,10,1,9),(28,320,2,23,17,1,8,1,5),(28,320,2,23,18,6,9,3,8),(28,320,2,23,19,2,11,1,8),(28,320,2,23,20,6,5,5,5),(28,320,2,23,21,NULL,1,NULL,1),(28,320,2,23,22,2,2,NULL,1),(28,320,2,23,23,NULL,1,NULL,1),(28,320,2,23,24,NULL,NULL,NULL,NULL),(28,320,2,23,25,NULL,2,NULL,2),(28,320,2,23,26,NULL,8,NULL,8),(28,320,2,23,27,1,6,1,6),(28,320,2,23,28,NULL,NULL,NULL,NULL),(28,320,2,23,29,NULL,6,NULL,5),(28,320,2,23,30,1,4,1,3),(28,320,2,23,31,NULL,4,NULL,3),(28,320,2,23,32,NULL,NULL,NULL,NULL),(28,320,2,23,33,NULL,NULL,NULL,NULL),(28,320,2,23,34,NULL,5,NULL,5),(28,320,2,23,35,5,NULL,3,NULL),(28,320,2,23,36,NULL,NULL,NULL,NULL),(28,320,2,23,37,NULL,2,NULL,2),(28,320,2,23,38,1,NULL,NULL,NULL),(28,320,2,23,39,NULL,2,NULL,NULL),(28,320,2,23,40,NULL,9,NULL,6),(28,320,2,24,1,1,6,1,3),(28,320,2,24,2,NULL,6,NULL,4),(28,320,2,24,3,9,6,5,3),(28,320,2,24,4,1,3,NULL,1),(28,320,2,24,5,2,10,1,6),(28,320,2,24,6,6,6,3,2),(28,320,2,24,7,NULL,3,NULL,1),(28,320,2,24,8,4,3,4,2),(28,320,2,24,9,1,1,NULL,NULL),(28,320,2,24,10,2,5,1,4),(28,320,2,24,11,4,3,4,2),(28,320,2,24,12,3,4,2,2),(28,320,2,24,13,NULL,10,NULL,6),(28,320,2,24,14,5,6,4,5),(28,320,2,24,15,4,5,2,3),(28,320,2,24,16,3,4,1,3),(28,320,2,24,17,NULL,5,NULL,5),(28,320,2,24,18,5,9,3,5),(28,320,2,24,19,6,4,2,2),(28,320,2,24,20,5,6,3,4),(28,320,2,24,21,1,3,NULL,1),(28,320,2,24,22,2,2,1,2),(28,320,2,24,23,NULL,3,NULL,3),(28,320,2,24,24,NULL,1,NULL,NULL),(28,320,2,24,25,NULL,3,NULL,3),(28,320,2,24,26,3,7,1,5),(28,320,2,24,27,NULL,8,NULL,8),(28,320,2,24,28,1,2,1,1),(28,320,2,24,29,NULL,3,NULL,2),(28,320,2,24,30,NULL,3,NULL,3),(28,320,2,24,31,NULL,3,NULL,2),(28,320,2,24,32,NULL,3,NULL,2),(28,320,2,24,33,NULL,1,NULL,1),(28,320,2,24,34,1,5,1,2),(28,320,2,24,35,2,NULL,2,NULL),(28,320,2,24,36,NULL,1,NULL,NULL),(28,320,2,24,37,1,2,1,1),(28,320,2,24,38,NULL,NULL,NULL,NULL),(28,320,2,24,39,NULL,2,NULL,1),(28,320,2,24,40,1,5,1,4),(28,324,1,11,1,NULL,NULL,NULL,NULL),(28,324,1,11,2,NULL,NULL,NULL,NULL),(28,324,1,11,3,NULL,1,NULL,NULL),(28,324,1,11,4,NULL,NULL,NULL,NULL),(28,324,1,11,5,NULL,1,NULL,NULL),(28,324,1,11,6,NULL,NULL,NULL,NULL),(28,324,1,11,7,NULL,NULL,NULL,NULL),(28,324,1,11,8,NULL,1,NULL,NULL),(28,324,1,11,9,NULL,1,NULL,NULL),(28,324,1,11,10,NULL,NULL,NULL,NULL),(28,324,1,11,11,NULL,NULL,NULL,NULL),(28,324,1,11,12,NULL,1,NULL,NULL),(28,324,1,11,13,NULL,NULL,NULL,NULL),(28,324,1,11,14,NULL,NULL,NULL,NULL),(28,324,1,11,15,NULL,NULL,NULL,NULL),(28,324,1,11,16,NULL,NULL,NULL,NULL),(28,324,1,11,17,NULL,1,NULL,NULL),(28,324,1,11,18,NULL,NULL,NULL,NULL),(28,324,1,11,19,NULL,NULL,NULL,NULL),(28,324,1,11,20,NULL,NULL,NULL,NULL),(28,324,1,11,21,NULL,NULL,NULL,NULL),(28,324,1,11,22,NULL,NULL,NULL,NULL),(28,324,1,11,23,NULL,NULL,NULL,NULL),(28,324,1,11,24,NULL,NULL,NULL,NULL),(28,324,1,11,25,NULL,NULL,NULL,NULL),(28,324,1,11,26,NULL,NULL,NULL,NULL),(28,324,1,11,27,NULL,NULL,NULL,NULL),(28,324,1,11,28,NULL,NULL,NULL,NULL),(28,324,1,11,29,NULL,1,NULL,NULL),(28,324,1,11,30,NULL,NULL,NULL,NULL),(28,324,1,11,31,NULL,NULL,NULL,NULL),(28,324,1,11,32,NULL,NULL,NULL,NULL),(28,324,1,11,33,NULL,NULL,NULL,NULL),(28,324,1,11,34,NULL,NULL,NULL,NULL),(28,324,1,11,35,NULL,NULL,NULL,NULL),(28,324,1,11,36,NULL,NULL,NULL,NULL),(28,324,1,11,37,NULL,NULL,NULL,NULL),(28,324,1,11,38,NULL,NULL,NULL,NULL),(28,324,1,11,39,1,NULL,NULL,NULL),(28,324,1,11,40,NULL,NULL,NULL,NULL),(28,324,1,12,1,NULL,NULL,NULL,NULL),(28,324,1,12,2,NULL,NULL,NULL,NULL),(28,324,1,12,3,NULL,NULL,NULL,NULL),(28,324,1,12,4,NULL,NULL,NULL,NULL),(28,324,1,12,5,NULL,NULL,NULL,NULL),(28,324,1,12,6,NULL,NULL,NULL,NULL),(28,324,1,12,7,NULL,NULL,NULL,NULL),(28,324,1,12,8,NULL,NULL,NULL,NULL),(28,324,1,12,9,NULL,NULL,NULL,NULL),(28,324,1,12,10,NULL,NULL,NULL,NULL),(28,324,1,12,11,NULL,NULL,NULL,NULL),(28,324,1,12,12,NULL,NULL,NULL,NULL),(28,324,1,12,13,NULL,NULL,NULL,NULL),(28,324,1,12,14,NULL,NULL,NULL,NULL),(28,324,1,12,15,NULL,NULL,NULL,NULL),(28,324,1,12,16,NULL,NULL,NULL,NULL),(28,324,1,12,17,NULL,NULL,NULL,NULL),(28,324,1,12,18,NULL,NULL,NULL,NULL),(28,324,1,12,19,NULL,NULL,NULL,NULL),(28,324,1,12,20,NULL,NULL,NULL,NULL),(28,324,1,12,21,NULL,NULL,NULL,NULL),(28,324,1,12,22,NULL,NULL,NULL,NULL),(28,324,1,12,23,NULL,NULL,NULL,NULL),(28,324,1,12,24,NULL,NULL,NULL,NULL),(28,324,1,12,25,NULL,NULL,NULL,NULL),(28,324,1,12,26,NULL,NULL,NULL,NULL),(28,324,1,12,27,NULL,NULL,NULL,NULL),(28,324,1,12,28,NULL,NULL,NULL,NULL),(28,324,1,12,29,NULL,NULL,NULL,NULL),(28,324,1,12,30,NULL,NULL,NULL,NULL),(28,324,1,12,31,NULL,NULL,NULL,NULL),(28,324,1,12,32,NULL,NULL,NULL,NULL),(28,324,1,12,33,NULL,NULL,NULL,NULL),(28,324,1,12,34,NULL,NULL,NULL,NULL),(28,324,1,12,35,NULL,NULL,NULL,NULL),(28,324,1,12,36,NULL,NULL,NULL,NULL),(28,324,1,12,37,NULL,NULL,NULL,NULL),(28,324,1,12,38,NULL,NULL,NULL,NULL),(28,324,1,12,39,NULL,NULL,NULL,NULL),(28,324,1,12,40,NULL,NULL,NULL,NULL),(28,324,1,13,1,NULL,NULL,NULL,NULL),(28,324,1,13,2,NULL,NULL,NULL,NULL),(28,324,1,13,3,NULL,NULL,NULL,NULL),(28,324,1,13,4,NULL,NULL,NULL,NULL),(28,324,1,13,5,NULL,NULL,NULL,NULL),(28,324,1,13,6,NULL,NULL,NULL,NULL),(28,324,1,13,7,NULL,NULL,NULL,NULL),(28,324,1,13,8,NULL,NULL,NULL,NULL),(28,324,1,13,9,NULL,NULL,NULL,NULL),(28,324,1,13,10,NULL,NULL,NULL,NULL),(28,324,1,13,11,NULL,NULL,NULL,NULL),(28,324,1,13,12,NULL,NULL,NULL,NULL),(28,324,1,13,13,NULL,NULL,NULL,NULL),(28,324,1,13,14,NULL,NULL,NULL,NULL),(28,324,1,13,15,NULL,NULL,NULL,NULL),(28,324,1,13,16,NULL,NULL,NULL,NULL),(28,324,1,13,17,NULL,NULL,NULL,NULL),(28,324,1,13,18,NULL,NULL,NULL,NULL),(28,324,1,13,19,NULL,NULL,NULL,NULL),(28,324,1,13,20,NULL,NULL,NULL,NULL),(28,324,1,13,21,NULL,NULL,NULL,NULL),(28,324,1,13,22,NULL,NULL,NULL,NULL),(28,324,1,13,23,NULL,NULL,NULL,NULL),(28,324,1,13,24,NULL,NULL,NULL,NULL),(28,324,1,13,25,NULL,NULL,NULL,NULL),(28,324,1,13,26,NULL,NULL,NULL,NULL),(28,324,1,13,27,NULL,NULL,NULL,NULL),(28,324,1,13,28,NULL,NULL,NULL,NULL),(28,324,1,13,29,NULL,NULL,NULL,NULL),(28,324,1,13,30,NULL,NULL,NULL,NULL),(28,324,1,13,31,NULL,NULL,NULL,NULL),(28,324,1,13,32,NULL,NULL,NULL,NULL),(28,324,1,13,33,NULL,NULL,NULL,NULL),(28,324,1,13,34,NULL,NULL,NULL,NULL),(28,324,1,13,35,NULL,NULL,NULL,NULL),(28,324,1,13,36,NULL,NULL,NULL,NULL),(28,324,1,13,37,NULL,NULL,NULL,NULL),(28,324,1,13,38,NULL,NULL,NULL,NULL),(28,324,1,13,39,NULL,NULL,NULL,NULL),(28,324,1,13,40,NULL,NULL,NULL,NULL),(28,324,1,14,1,1,NULL,1,NULL),(28,324,1,14,2,NULL,2,NULL,2),(28,324,1,14,3,4,2,2,1),(28,324,1,14,4,2,1,1,NULL),(28,324,1,14,5,5,2,3,NULL),(28,324,1,14,6,1,7,NULL,3),(28,324,1,14,7,1,1,NULL,1),(28,324,1,14,8,NULL,2,NULL,1),(28,324,1,14,9,6,1,3,1),(28,324,1,14,10,5,1,1,1),(28,324,1,14,11,NULL,2,NULL,2),(28,324,1,14,12,1,1,1,1),(28,324,1,14,13,6,2,4,NULL),(28,324,1,14,14,3,NULL,2,NULL),(28,324,1,14,15,8,NULL,4,NULL),(28,324,1,14,16,3,4,2,1),(28,324,1,14,17,3,6,1,4),(28,324,1,14,18,5,3,3,NULL),(28,324,1,14,19,3,4,2,1),(28,324,1,14,20,3,7,2,3),(28,324,1,14,21,1,3,NULL,NULL),(28,324,1,14,22,3,1,1,NULL),(28,324,1,14,23,NULL,1,NULL,NULL),(28,324,1,14,24,NULL,NULL,NULL,NULL),(28,324,1,14,25,1,1,NULL,1),(28,324,1,14,26,NULL,1,NULL,NULL),(28,324,1,14,27,NULL,NULL,NULL,NULL),(28,324,1,14,28,NULL,1,NULL,NULL),(28,324,1,14,29,1,1,NULL,1),(28,324,1,14,30,3,1,2,1),(28,324,1,14,31,NULL,1,NULL,NULL),(28,324,1,14,32,NULL,1,NULL,1),(28,324,1,14,33,NULL,NULL,NULL,NULL),(28,324,1,14,34,NULL,NULL,NULL,NULL),(28,324,1,14,35,NULL,1,NULL,1),(28,324,1,14,36,NULL,NULL,NULL,NULL),(28,324,1,14,37,1,NULL,1,NULL),(28,324,1,14,38,NULL,NULL,NULL,NULL),(28,324,1,14,39,3,1,1,NULL),(28,324,1,14,40,NULL,NULL,NULL,NULL),(28,324,1,15,1,2,NULL,2,NULL),(28,324,1,15,2,NULL,1,NULL,1),(28,324,1,15,3,NULL,1,NULL,1),(28,324,1,15,4,3,2,1,2),(28,324,1,15,5,1,2,1,2),(28,324,1,15,6,NULL,4,NULL,2),(28,324,1,15,7,NULL,NULL,NULL,NULL),(28,324,1,15,8,NULL,4,NULL,1),(28,324,1,15,9,NULL,2,NULL,1),(28,324,1,15,10,2,2,1,2),(28,324,1,15,11,NULL,1,NULL,1),(28,324,1,15,12,2,1,1,1),(28,324,1,15,13,4,2,4,1),(28,324,1,15,14,1,2,1,2),(28,324,1,15,15,5,NULL,2,NULL),(28,324,1,15,16,2,3,1,3),(28,324,1,15,17,1,6,1,3),(28,324,1,15,18,1,2,1,1),(28,324,1,15,19,4,2,3,1),(28,324,1,15,20,3,3,3,1),(28,324,1,15,21,NULL,1,NULL,1),(28,324,1,15,22,NULL,1,NULL,NULL),(28,324,1,15,23,NULL,2,NULL,1),(28,324,1,15,24,NULL,NULL,NULL,NULL),(28,324,1,15,25,NULL,1,NULL,NULL),(28,324,1,15,26,1,NULL,1,NULL),(28,324,1,15,27,1,NULL,1,NULL),(28,324,1,15,28,NULL,NULL,NULL,NULL),(28,324,1,15,29,1,NULL,1,NULL),(28,324,1,15,30,3,3,2,3),(28,324,1,15,31,NULL,1,NULL,NULL),(28,324,1,15,32,1,3,NULL,3),(28,324,1,15,33,NULL,NULL,NULL,NULL),(28,324,1,15,34,NULL,2,NULL,2),(28,324,1,15,35,NULL,1,NULL,1),(28,324,1,15,36,NULL,NULL,NULL,NULL),(28,324,1,15,37,NULL,NULL,NULL,NULL),(28,324,1,15,38,NULL,3,NULL,3),(28,324,1,15,39,NULL,2,NULL,2),(28,324,1,15,40,NULL,NULL,NULL,NULL),(28,324,1,16,1,7,NULL,5,NULL),(28,324,1,16,2,1,6,NULL,2),(28,324,1,16,3,1,8,1,4),(28,324,1,16,4,1,4,1,2),(28,324,1,16,5,4,5,2,3),(28,324,1,16,6,1,10,NULL,3),(28,324,1,16,7,NULL,3,NULL,3),(28,324,1,16,8,NULL,5,NULL,3),(28,324,1,16,9,NULL,5,NULL,4),(28,324,1,16,10,5,8,4,3),(28,324,1,16,11,2,1,2,1),(28,324,1,16,12,1,2,NULL,2),(28,324,1,16,13,19,NULL,8,NULL),(28,324,1,16,14,15,4,5,2),(28,324,1,16,15,4,14,2,5),(28,324,1,16,16,16,NULL,6,NULL),(28,324,1,16,17,5,12,2,5),(28,324,1,16,18,2,4,NULL,4),(28,324,1,16,19,1,12,1,4),(28,324,1,16,20,1,6,1,2),(28,324,1,16,21,NULL,2,NULL,NULL),(28,324,1,16,22,NULL,3,NULL,1),(28,324,1,16,23,2,8,NULL,8),(28,324,1,16,24,NULL,NULL,NULL,NULL),(28,324,1,16,25,1,NULL,NULL,NULL),(28,324,1,16,26,NULL,1,NULL,NULL),(28,324,1,16,27,2,NULL,1,NULL),(28,324,1,16,28,NULL,NULL,NULL,NULL),(28,324,1,16,29,NULL,2,NULL,NULL),(28,324,1,16,30,NULL,7,NULL,3),(28,324,1,16,31,NULL,3,NULL,1),(28,324,1,16,32,1,4,1,2),(28,324,1,16,33,NULL,1,NULL,1),(28,324,1,16,34,1,4,1,3),(28,324,1,16,35,NULL,1,NULL,1),(28,324,1,16,36,NULL,NULL,NULL,NULL),(28,324,1,16,37,NULL,NULL,NULL,NULL),(28,324,1,16,38,NULL,1,NULL,NULL),(28,324,1,16,39,1,3,1,3),(28,324,1,16,40,NULL,NULL,NULL,NULL),(28,324,1,17,1,2,NULL,NULL,NULL),(28,324,1,17,2,NULL,3,NULL,1),(28,324,1,17,3,3,2,3,NULL),(28,324,1,17,4,2,NULL,1,NULL),(28,324,1,17,5,1,2,1,2),(28,324,1,17,6,2,4,1,2),(28,324,1,17,7,NULL,4,NULL,2),(28,324,1,17,8,1,5,1,3),(28,324,1,17,9,3,4,3,3),(28,324,1,17,10,8,1,6,1),(28,324,1,17,11,2,3,2,2),(28,324,1,17,12,1,1,1,NULL),(28,324,1,17,13,14,NULL,7,NULL),(28,324,1,17,14,10,2,6,2),(28,324,1,17,15,2,9,2,6),(28,324,1,17,16,11,NULL,5,NULL),(28,324,1,17,17,2,10,1,5),(28,324,1,17,18,3,1,2,1),(28,324,1,17,19,3,6,2,4),(28,324,1,17,20,3,2,1,2),(28,324,1,17,21,NULL,2,NULL,1),(28,324,1,17,22,NULL,2,NULL,1),(28,324,1,17,23,NULL,5,NULL,2),(28,324,1,17,24,NULL,NULL,NULL,NULL),(28,324,1,17,25,1,NULL,1,NULL),(28,324,1,17,26,NULL,NULL,NULL,NULL),(28,324,1,17,27,1,NULL,NULL,NULL),(28,324,1,17,28,NULL,NULL,NULL,NULL),(28,324,1,17,29,NULL,2,NULL,1),(28,324,1,17,30,3,3,2,2),(28,324,1,17,31,NULL,2,NULL,2),(28,324,1,17,32,NULL,4,NULL,4),(28,324,1,17,33,NULL,2,NULL,2),(28,324,1,17,34,1,4,1,3),(28,324,1,17,35,NULL,NULL,NULL,NULL),(28,324,1,17,36,NULL,NULL,NULL,NULL),(28,324,1,17,37,NULL,NULL,NULL,NULL),(28,324,1,17,38,NULL,NULL,NULL,NULL),(28,324,1,17,39,1,1,1,1),(28,324,1,17,40,NULL,NULL,NULL,NULL),(28,324,1,18,1,NULL,NULL,NULL,NULL),(28,324,1,18,2,NULL,NULL,NULL,NULL),(28,324,1,18,3,NULL,NULL,NULL,NULL),(28,324,1,18,4,NULL,NULL,NULL,NULL),(28,324,1,18,5,NULL,NULL,NULL,NULL),(28,324,1,18,6,NULL,NULL,NULL,NULL),(28,324,1,18,7,NULL,NULL,NULL,NULL),(28,324,1,18,8,NULL,NULL,NULL,NULL),(28,324,1,18,9,NULL,NULL,NULL,NULL),(28,324,1,18,10,NULL,NULL,NULL,NULL),(28,324,1,18,11,NULL,NULL,NULL,NULL),(28,324,1,18,12,NULL,NULL,NULL,NULL),(28,324,1,18,13,NULL,NULL,NULL,NULL),(28,324,1,18,14,NULL,NULL,NULL,NULL),(28,324,1,18,15,NULL,NULL,NULL,NULL),(28,324,1,18,16,NULL,NULL,NULL,NULL),(28,324,1,18,17,NULL,NULL,NULL,NULL),(28,324,1,18,18,NULL,NULL,NULL,NULL),(28,324,1,18,19,NULL,NULL,NULL,NULL),(28,324,1,18,20,NULL,NULL,NULL,NULL),(28,324,1,18,21,NULL,NULL,NULL,NULL),(28,324,1,18,22,NULL,NULL,NULL,NULL),(28,324,1,18,23,NULL,NULL,NULL,NULL),(28,324,1,18,24,NULL,NULL,NULL,NULL),(28,324,1,18,25,NULL,NULL,NULL,NULL),(28,324,1,18,26,NULL,NULL,NULL,NULL),(28,324,1,18,27,NULL,NULL,NULL,NULL),(28,324,1,18,28,NULL,NULL,NULL,NULL),(28,324,1,18,29,NULL,NULL,NULL,NULL),(28,324,1,18,30,NULL,NULL,NULL,NULL),(28,324,1,18,31,NULL,NULL,NULL,NULL),(28,324,1,18,32,NULL,NULL,NULL,NULL),(28,324,1,18,33,NULL,NULL,NULL,NULL),(28,324,1,18,34,NULL,NULL,NULL,NULL),(28,324,1,18,35,NULL,NULL,NULL,NULL),(28,324,1,18,36,NULL,NULL,NULL,NULL),(28,324,1,18,37,NULL,NULL,NULL,NULL),(28,324,1,18,38,NULL,NULL,NULL,NULL),(28,324,1,18,39,NULL,NULL,NULL,NULL),(28,324,1,18,40,NULL,NULL,NULL,NULL),(28,324,1,19,1,NULL,NULL,NULL,NULL),(28,324,1,19,2,NULL,NULL,NULL,NULL),(28,324,1,19,3,NULL,NULL,NULL,NULL),(28,324,1,19,4,NULL,NULL,NULL,NULL),(28,324,1,19,5,NULL,NULL,NULL,NULL),(28,324,1,19,6,NULL,NULL,NULL,NULL),(28,324,1,19,7,NULL,NULL,NULL,NULL),(28,324,1,19,8,NULL,NULL,NULL,NULL),(28,324,1,19,9,NULL,NULL,NULL,NULL),(28,324,1,19,10,NULL,NULL,NULL,NULL),(28,324,1,19,11,NULL,NULL,NULL,NULL),(28,324,1,19,12,NULL,NULL,NULL,NULL),(28,324,1,19,13,NULL,NULL,NULL,NULL),(28,324,1,19,14,NULL,NULL,NULL,NULL),(28,324,1,19,15,NULL,NULL,NULL,NULL),(28,324,1,19,16,NULL,NULL,NULL,NULL),(28,324,1,19,17,NULL,NULL,NULL,NULL),(28,324,1,19,18,NULL,NULL,NULL,NULL),(28,324,1,19,19,NULL,NULL,NULL,NULL),(28,324,1,19,20,NULL,NULL,NULL,NULL),(28,324,1,19,21,NULL,NULL,NULL,NULL),(28,324,1,19,22,NULL,NULL,NULL,NULL),(28,324,1,19,23,NULL,NULL,NULL,NULL),(28,324,1,19,24,NULL,NULL,NULL,NULL),(28,324,1,19,25,NULL,NULL,NULL,NULL),(28,324,1,19,26,NULL,NULL,NULL,NULL),(28,324,1,19,27,NULL,NULL,NULL,NULL),(28,324,1,19,28,NULL,NULL,NULL,NULL),(28,324,1,19,29,NULL,NULL,NULL,NULL),(28,324,1,19,30,NULL,NULL,NULL,NULL),(28,324,1,19,31,NULL,NULL,NULL,NULL),(28,324,1,19,32,NULL,NULL,NULL,NULL),(28,324,1,19,33,NULL,NULL,NULL,NULL),(28,324,1,19,34,NULL,NULL,NULL,NULL),(28,324,1,19,35,NULL,NULL,NULL,NULL),(28,324,1,19,36,NULL,NULL,NULL,NULL),(28,324,1,19,37,NULL,NULL,NULL,NULL),(28,324,1,19,38,NULL,NULL,NULL,NULL),(28,324,1,19,39,NULL,NULL,NULL,NULL),(28,324,1,19,40,NULL,NULL,NULL,NULL),(28,324,2,21,1,3,4,2,4),(28,324,2,21,2,1,3,1,3),(28,324,2,21,3,5,1,4,1),(28,324,2,21,4,NULL,NULL,NULL,NULL),(28,324,2,21,5,1,3,1,3),(28,324,2,21,6,4,3,3,2),(28,324,2,21,7,NULL,4,NULL,3),(28,324,2,21,8,3,1,3,1),(28,324,2,21,9,2,NULL,2,NULL),(28,324,2,21,10,3,NULL,3,NULL),(28,324,2,21,11,1,1,1,1),(28,324,2,21,12,2,3,1,3),(28,324,2,21,13,2,5,2,5),(28,324,2,21,14,1,1,1,1),(28,324,2,21,15,1,2,1,2),(28,324,2,21,16,1,4,1,4),(28,324,2,21,17,NULL,2,NULL,2),(28,324,2,21,18,4,2,3,2),(28,324,2,21,19,1,4,1,4),(28,324,2,21,20,3,3,2,3),(28,324,2,21,21,NULL,2,NULL,2),(28,324,2,21,22,1,NULL,1,NULL),(28,324,2,21,23,NULL,2,NULL,2),(28,324,2,21,24,NULL,2,NULL,2),(28,324,2,21,25,NULL,2,NULL,2),(28,324,2,21,26,NULL,2,NULL,2),(28,324,2,21,27,NULL,1,NULL,1),(28,324,2,21,28,NULL,NULL,NULL,NULL),(28,324,2,21,29,NULL,1,NULL,1),(28,324,2,21,30,1,1,1,1),(28,324,2,21,31,NULL,2,NULL,2),(28,324,2,21,32,NULL,NULL,NULL,NULL),(28,324,2,21,33,NULL,1,NULL,1),(28,324,2,21,34,NULL,2,NULL,2),(28,324,2,21,35,1,NULL,1,NULL),(28,324,2,21,36,NULL,2,NULL,2),(28,324,2,21,37,NULL,NULL,NULL,NULL),(28,324,2,21,38,NULL,NULL,NULL,NULL),(28,324,2,21,39,NULL,1,NULL,1),(28,324,2,21,40,1,2,1,2),(28,324,2,22,1,NULL,5,NULL,1),(28,324,2,22,2,1,1,NULL,1),(28,324,2,22,3,10,4,2,4),(28,324,2,22,4,NULL,NULL,NULL,NULL),(28,324,2,22,5,NULL,5,NULL,3),(28,324,2,22,6,2,3,1,1),(28,324,2,22,7,1,5,NULL,1),(28,324,2,22,8,2,2,NULL,1),(28,324,2,22,9,1,5,NULL,2),(28,324,2,22,10,1,5,NULL,3),(28,324,2,22,11,1,3,1,2),(28,324,2,22,12,3,4,1,NULL),(28,324,2,22,13,NULL,5,NULL,2),(28,324,2,22,14,3,6,2,2),(28,324,2,22,15,2,6,NULL,2),(28,324,2,22,16,1,6,NULL,2),(28,324,2,22,17,1,1,1,1),(28,324,2,22,18,8,6,1,3),(28,324,2,22,19,2,4,NULL,1),(28,324,2,22,20,1,8,NULL,3),(28,324,2,22,21,NULL,4,NULL,2),(28,324,2,22,22,NULL,1,NULL,NULL),(28,324,2,22,23,1,2,NULL,NULL),(28,324,2,22,24,NULL,3,NULL,1),(28,324,2,22,25,NULL,1,NULL,NULL),(28,324,2,22,26,NULL,3,NULL,1),(28,324,2,22,27,1,6,NULL,2),(28,324,2,22,28,NULL,1,NULL,NULL),(28,324,2,22,29,2,1,1,NULL),(28,324,2,22,30,NULL,3,NULL,NULL),(28,324,2,22,31,1,4,NULL,3),(28,324,2,22,32,1,NULL,NULL,NULL),(28,324,2,22,33,1,1,1,1),(28,324,2,22,34,NULL,4,NULL,3),(28,324,2,22,35,1,NULL,NULL,NULL),(28,324,2,22,36,NULL,2,NULL,NULL),(28,324,2,22,37,NULL,6,NULL,3),(28,324,2,22,38,NULL,3,NULL,2),(28,324,2,22,39,NULL,4,NULL,NULL),(28,324,2,22,40,NULL,6,NULL,1),(28,324,2,23,1,NULL,9,NULL,4),(28,324,2,23,2,NULL,4,NULL,2),(28,324,2,23,3,4,8,4,2),(28,324,2,23,4,NULL,2,NULL,NULL),(28,324,2,23,5,NULL,7,NULL,3),(28,324,2,23,6,1,6,1,4),(28,324,2,23,7,NULL,3,NULL,1),(28,324,2,23,8,1,2,NULL,1),(28,324,2,23,9,NULL,2,NULL,2),(28,324,2,23,10,1,6,1,2),(28,324,2,23,11,NULL,6,NULL,2),(28,324,2,23,12,NULL,NULL,NULL,NULL),(28,324,2,23,13,NULL,8,NULL,3),(28,324,2,23,14,NULL,6,NULL,3),(28,324,2,23,15,1,4,1,3),(28,324,2,23,16,NULL,4,NULL,1),(28,324,2,23,17,NULL,2,NULL,2),(28,324,2,23,18,4,7,2,1),(28,324,2,23,19,2,1,1,1),(28,324,2,23,20,3,1,1,NULL),(28,324,2,23,21,NULL,4,NULL,2),(28,324,2,23,22,1,NULL,1,NULL),(28,324,2,23,23,NULL,3,NULL,2),(28,324,2,23,24,NULL,3,NULL,2),(28,324,2,23,25,NULL,1,NULL,1),(28,324,2,23,26,NULL,3,NULL,2),(28,324,2,23,27,NULL,6,NULL,3),(28,324,2,23,28,NULL,NULL,NULL,NULL),(28,324,2,23,29,1,4,NULL,2),(28,324,2,23,30,2,4,1,2),(28,324,2,23,31,NULL,2,NULL,NULL),(28,324,2,23,32,NULL,NULL,NULL,NULL),(28,324,2,23,33,NULL,NULL,NULL,NULL),(28,324,2,23,34,1,4,NULL,3),(28,324,2,23,35,2,NULL,1,NULL),(28,324,2,23,36,NULL,1,NULL,NULL),(28,324,2,23,37,1,1,1,1),(28,324,2,23,38,NULL,NULL,NULL,NULL),(28,324,2,23,39,NULL,2,NULL,NULL),(28,324,2,23,40,NULL,6,NULL,2),(28,324,2,24,1,NULL,4,NULL,2),(28,324,2,24,2,NULL,5,NULL,3),(28,324,2,24,3,5,2,1,1),(28,324,2,24,4,NULL,3,NULL,1),(28,324,2,24,5,NULL,2,NULL,2),(28,324,2,24,6,2,4,NULL,1),(28,324,2,24,7,NULL,5,NULL,2),(28,324,2,24,8,1,3,1,2),(28,324,2,24,9,NULL,2,NULL,1),(28,324,2,24,10,1,2,NULL,2),(28,324,2,24,11,1,3,1,2),(28,324,2,24,12,2,5,1,3),(28,324,2,24,13,1,4,1,NULL),(28,324,2,24,14,NULL,3,NULL,3),(28,324,2,24,15,1,1,1,NULL),(28,324,2,24,16,1,3,NULL,2),(28,324,2,24,17,NULL,1,NULL,1),(28,324,2,24,18,4,6,3,3),(28,324,2,24,19,2,1,1,1),(28,324,2,24,20,1,2,NULL,2),(28,324,2,24,21,1,NULL,1,NULL),(28,324,2,24,22,1,NULL,1,NULL),(28,324,2,24,23,NULL,2,NULL,1),(28,324,2,24,24,1,NULL,NULL,NULL),(28,324,2,24,25,1,2,NULL,1),(28,324,2,24,26,1,3,1,1),(28,324,2,24,27,NULL,2,NULL,NULL),(28,324,2,24,28,NULL,1,NULL,1),(28,324,2,24,29,NULL,NULL,NULL,NULL),(28,324,2,24,30,NULL,NULL,NULL,NULL),(28,324,2,24,31,NULL,NULL,NULL,NULL),(28,324,2,24,32,NULL,NULL,NULL,NULL),(28,324,2,24,33,NULL,NULL,NULL,NULL),(28,324,2,24,34,1,1,NULL,1),(28,324,2,24,35,1,NULL,1,NULL),(28,324,2,24,36,NULL,1,NULL,NULL),(28,324,2,24,37,NULL,1,NULL,NULL),(28,324,2,24,38,NULL,1,NULL,NULL),(28,324,2,24,39,NULL,NULL,NULL,NULL),(28,324,2,24,40,NULL,4,NULL,3),(28,326,1,11,1,NULL,NULL,NULL,NULL),(28,326,1,11,2,NULL,NULL,NULL,NULL),(28,326,1,11,3,NULL,NULL,NULL,NULL),(28,326,1,11,4,NULL,NULL,NULL,NULL),(28,326,1,11,5,NULL,NULL,NULL,NULL),(28,326,1,11,6,NULL,NULL,NULL,NULL),(28,326,1,11,7,NULL,NULL,NULL,NULL),(28,326,1,11,8,NULL,NULL,NULL,NULL),(28,326,1,11,9,NULL,NULL,NULL,NULL),(28,326,1,11,10,NULL,NULL,NULL,NULL),(28,326,1,11,11,NULL,NULL,NULL,NULL),(28,326,1,11,12,NULL,NULL,NULL,NULL),(28,326,1,11,13,NULL,NULL,NULL,NULL),(28,326,1,11,14,NULL,NULL,NULL,NULL),(28,326,1,11,15,NULL,NULL,NULL,NULL),(28,326,1,11,16,NULL,NULL,NULL,NULL),(28,326,1,11,17,NULL,NULL,NULL,NULL),(28,326,1,11,18,NULL,NULL,NULL,NULL),(28,326,1,11,19,NULL,NULL,NULL,NULL),(28,326,1,11,20,NULL,NULL,NULL,NULL),(28,326,1,11,21,NULL,NULL,NULL,NULL),(28,326,1,11,22,NULL,NULL,NULL,NULL),(28,326,1,11,23,NULL,NULL,NULL,NULL),(28,326,1,11,24,NULL,NULL,NULL,NULL),(28,326,1,11,25,NULL,NULL,NULL,NULL),(28,326,1,11,26,NULL,NULL,NULL,NULL),(28,326,1,11,27,NULL,NULL,NULL,NULL),(28,326,1,11,28,NULL,NULL,NULL,NULL),(28,326,1,11,29,NULL,NULL,NULL,NULL),(28,326,1,11,30,NULL,NULL,NULL,NULL),(28,326,1,11,31,NULL,NULL,NULL,NULL),(28,326,1,11,32,NULL,NULL,NULL,NULL),(28,326,1,11,33,NULL,NULL,NULL,NULL),(28,326,1,11,34,NULL,NULL,NULL,NULL),(28,326,1,11,35,NULL,NULL,NULL,NULL),(28,326,1,11,36,NULL,NULL,NULL,NULL),(28,326,1,11,37,NULL,NULL,NULL,NULL),(28,326,1,11,38,NULL,NULL,NULL,NULL),(28,326,1,11,39,NULL,NULL,NULL,NULL),(28,326,1,11,40,NULL,NULL,NULL,NULL),(28,326,1,12,1,NULL,NULL,NULL,NULL),(28,326,1,12,2,NULL,NULL,NULL,NULL),(28,326,1,12,3,NULL,NULL,NULL,NULL),(28,326,1,12,4,NULL,NULL,NULL,NULL),(28,326,1,12,5,NULL,NULL,NULL,NULL),(28,326,1,12,6,NULL,NULL,NULL,NULL),(28,326,1,12,7,NULL,NULL,NULL,NULL),(28,326,1,12,8,NULL,NULL,NULL,NULL),(28,326,1,12,9,NULL,NULL,NULL,NULL),(28,326,1,12,10,NULL,NULL,NULL,NULL),(28,326,1,12,11,NULL,NULL,NULL,NULL),(28,326,1,12,12,NULL,NULL,NULL,NULL),(28,326,1,12,13,NULL,NULL,NULL,NULL),(28,326,1,12,14,NULL,NULL,NULL,NULL),(28,326,1,12,15,NULL,NULL,NULL,NULL),(28,326,1,12,16,NULL,NULL,NULL,NULL),(28,326,1,12,17,NULL,NULL,NULL,NULL),(28,326,1,12,18,NULL,NULL,NULL,NULL),(28,326,1,12,19,NULL,NULL,NULL,NULL),(28,326,1,12,20,NULL,NULL,NULL,NULL),(28,326,1,12,21,NULL,NULL,NULL,NULL),(28,326,1,12,22,NULL,NULL,NULL,NULL),(28,326,1,12,23,NULL,NULL,NULL,NULL),(28,326,1,12,24,NULL,NULL,NULL,NULL),(28,326,1,12,25,NULL,NULL,NULL,NULL),(28,326,1,12,26,NULL,NULL,NULL,NULL),(28,326,1,12,27,NULL,NULL,NULL,NULL),(28,326,1,12,28,NULL,NULL,NULL,NULL),(28,326,1,12,29,NULL,NULL,NULL,NULL),(28,326,1,12,30,NULL,NULL,NULL,NULL),(28,326,1,12,31,NULL,NULL,NULL,NULL),(28,326,1,12,32,NULL,NULL,NULL,NULL),(28,326,1,12,33,NULL,NULL,NULL,NULL),(28,326,1,12,34,NULL,NULL,NULL,NULL),(28,326,1,12,35,NULL,NULL,NULL,NULL),(28,326,1,12,36,NULL,NULL,NULL,NULL),(28,326,1,12,37,NULL,NULL,NULL,NULL),(28,326,1,12,38,NULL,NULL,NULL,NULL),(28,326,1,12,39,NULL,NULL,NULL,NULL),(28,326,1,12,40,NULL,NULL,NULL,NULL),(28,326,1,13,1,NULL,NULL,NULL,NULL),(28,326,1,13,2,NULL,NULL,NULL,NULL),(28,326,1,13,3,1,NULL,NULL,NULL),(28,326,1,13,4,NULL,2,NULL,NULL),(28,326,1,13,5,1,1,NULL,NULL),(28,326,1,13,6,NULL,2,NULL,NULL),(28,326,1,13,7,NULL,NULL,NULL,NULL),(28,326,1,13,8,NULL,1,NULL,NULL),(28,326,1,13,9,NULL,1,NULL,NULL),(28,326,1,13,10,NULL,1,NULL,NULL),(28,326,1,13,11,NULL,NULL,NULL,NULL),(28,326,1,13,12,NULL,NULL,NULL,NULL),(28,326,1,13,13,3,NULL,NULL,NULL),(28,326,1,13,14,1,1,NULL,NULL),(28,326,1,13,15,1,NULL,NULL,NULL),(28,326,1,13,16,3,NULL,NULL,NULL),(28,326,1,13,17,NULL,2,NULL,NULL),(28,326,1,13,18,3,NULL,NULL,NULL),(28,326,1,13,19,2,NULL,NULL,NULL),(28,326,1,13,20,1,NULL,NULL,NULL),(28,326,1,13,21,NULL,NULL,NULL,NULL),(28,326,1,13,22,NULL,1,NULL,NULL),(28,326,1,13,23,NULL,2,NULL,NULL),(28,326,1,13,24,NULL,NULL,NULL,NULL),(28,326,1,13,25,NULL,NULL,NULL,NULL),(28,326,1,13,26,NULL,NULL,NULL,NULL),(28,326,1,13,27,2,NULL,NULL,NULL),(28,326,1,13,28,NULL,NULL,NULL,NULL),(28,326,1,13,29,NULL,NULL,NULL,NULL),(28,326,1,13,30,NULL,1,NULL,NULL),(28,326,1,13,31,NULL,NULL,NULL,NULL),(28,326,1,13,32,NULL,1,NULL,NULL),(28,326,1,13,33,NULL,1,NULL,NULL),(28,326,1,13,34,NULL,NULL,NULL,NULL),(28,326,1,13,35,NULL,NULL,NULL,NULL),(28,326,1,13,36,NULL,NULL,NULL,NULL),(28,326,1,13,37,NULL,NULL,NULL,NULL),(28,326,1,13,38,NULL,1,NULL,NULL),(28,326,1,13,39,NULL,NULL,NULL,NULL),(28,326,1,13,40,NULL,NULL,NULL,NULL),(28,326,1,14,1,10,NULL,8,NULL),(28,326,1,14,2,1,9,NULL,8),(28,326,1,14,3,6,9,3,7),(28,326,1,14,4,3,6,3,5),(28,326,1,14,5,5,8,3,4),(28,326,1,14,6,3,10,2,6),(28,326,1,14,7,NULL,5,NULL,5),(28,326,1,14,8,1,12,1,8),(28,326,1,14,9,3,4,2,2),(28,326,1,14,10,10,6,8,3),(28,326,1,14,11,3,5,3,4),(28,326,1,14,12,1,8,NULL,8),(28,326,1,14,13,12,10,9,4),(28,326,1,14,14,8,6,6,2),(28,326,1,14,15,8,NULL,7,NULL),(28,326,1,14,16,13,4,9,1),(28,326,1,14,17,3,10,2,6),(28,326,1,14,18,6,3,4,2),(28,326,1,14,19,15,6,11,3),(28,326,1,14,20,9,8,8,3),(28,326,1,14,21,NULL,2,NULL,NULL),(28,326,1,14,22,NULL,3,NULL,2),(28,326,1,14,23,NULL,7,NULL,4),(28,326,1,14,24,NULL,NULL,NULL,NULL),(28,326,1,14,25,2,NULL,1,NULL),(28,326,1,14,26,NULL,3,NULL,2),(28,326,1,14,27,8,NULL,7,NULL),(28,326,1,14,28,NULL,1,NULL,NULL),(28,326,1,14,29,NULL,5,NULL,4),(28,326,1,14,30,1,7,1,5),(28,326,1,14,31,2,4,1,3),(28,326,1,14,32,3,6,3,5),(28,326,1,14,33,2,3,1,1),(28,326,1,14,34,6,5,5,4),(28,326,1,14,35,5,1,4,1),(28,326,1,14,36,NULL,NULL,NULL,NULL),(28,326,1,14,37,NULL,4,NULL,3),(28,326,1,14,38,3,2,2,2),(28,326,1,14,39,4,6,2,4),(28,326,1,14,40,2,NULL,1,NULL),(28,326,1,15,1,12,NULL,10,NULL),(28,326,1,15,2,NULL,4,NULL,2),(28,326,1,15,3,7,7,5,4),(28,326,1,15,4,3,8,NULL,7),(28,326,1,15,5,4,5,2,5),(28,326,1,15,6,3,11,2,5),(28,326,1,15,7,2,10,1,6),(28,326,1,15,8,1,6,NULL,4),(28,326,1,15,9,3,3,2,1),(28,326,1,15,10,14,3,9,2),(28,326,1,15,11,2,7,2,5),(28,326,1,15,12,1,5,1,4),(28,326,1,15,13,15,5,12,1),(28,326,1,15,14,4,9,3,6),(28,326,1,15,15,10,NULL,9,NULL),(28,326,1,15,16,5,10,4,6),(28,326,1,15,17,5,13,4,8),(28,326,1,15,18,4,9,4,6),(28,326,1,15,19,11,4,9,2),(28,326,1,15,20,7,11,7,5),(28,326,1,15,21,NULL,6,NULL,3),(28,326,1,15,22,1,5,NULL,3),(28,326,1,15,23,3,6,1,3),(28,326,1,15,24,1,NULL,NULL,NULL),(28,326,1,15,25,NULL,1,NULL,NULL),(28,326,1,15,26,NULL,2,NULL,2),(28,326,1,15,27,3,NULL,3,NULL),(28,326,1,15,28,NULL,1,NULL,NULL),(28,326,1,15,29,1,7,1,6),(28,326,1,15,30,2,5,1,4),(28,326,1,15,31,1,4,1,1),(28,326,1,15,32,4,7,2,5),(28,326,1,15,33,3,4,2,4),(28,326,1,15,34,5,8,5,4),(28,326,1,15,35,1,4,1,3),(28,326,1,15,36,1,NULL,1,NULL),(28,326,1,15,37,NULL,1,NULL,1),(28,326,1,15,38,2,1,2,1),(28,326,1,15,39,2,13,2,8),(28,326,1,15,40,3,NULL,2,NULL),(28,326,1,16,1,7,NULL,3,NULL),(28,326,1,16,2,1,4,1,2),(28,326,1,16,3,4,2,2,1),(28,326,1,16,4,3,1,2,NULL),(28,326,1,16,5,5,4,3,2),(28,326,1,16,6,1,6,1,2),(28,326,1,16,7,1,4,NULL,3),(28,326,1,16,8,2,3,2,2),(28,326,1,16,9,2,5,2,NULL),(28,326,1,16,10,5,3,2,3),(28,326,1,16,11,1,3,1,2),(28,326,1,16,12,1,2,1,2),(28,326,1,16,13,16,NULL,6,NULL),(28,326,1,16,14,13,2,5,1),(28,326,1,16,15,3,5,3,2),(28,326,1,16,16,16,NULL,6,NULL),(28,326,1,16,17,6,7,2,3),(28,326,1,16,18,1,3,1,1),(28,326,1,16,19,4,3,3,1),(28,326,1,16,20,2,5,1,1),(28,326,1,16,21,1,6,1,2),(28,326,1,16,22,NULL,1,NULL,1),(28,326,1,16,23,NULL,3,NULL,2),(28,326,1,16,24,3,NULL,NULL,NULL),(28,326,1,16,25,NULL,4,NULL,1),(28,326,1,16,26,1,4,NULL,2),(28,326,1,16,27,1,NULL,NULL,NULL),(28,326,1,16,28,NULL,NULL,NULL,NULL),(28,326,1,16,29,1,3,1,1),(28,326,1,16,30,NULL,5,NULL,1),(28,326,1,16,31,NULL,2,NULL,1),(28,326,1,16,32,1,3,1,2),(28,326,1,16,33,NULL,2,NULL,1),(28,326,1,16,34,1,2,1,NULL),(28,326,1,16,35,NULL,3,NULL,1),(28,326,1,16,36,NULL,NULL,NULL,NULL),(28,326,1,16,37,NULL,NULL,NULL,NULL),(28,326,1,16,38,NULL,NULL,NULL,NULL),(28,326,1,16,39,2,3,1,2),(28,326,1,16,40,NULL,NULL,NULL,NULL),(28,326,1,17,1,5,NULL,2,NULL),(28,326,1,17,2,NULL,3,NULL,2),(28,326,1,17,3,3,6,2,3),(28,326,1,17,4,3,4,1,3),(28,326,1,17,5,5,3,2,3),(28,326,1,17,6,2,9,1,6),(28,326,1,17,7,4,6,2,3),(28,326,1,17,8,NULL,6,NULL,3),(28,326,1,17,9,4,7,1,4),(28,326,1,17,10,9,3,6,1),(28,326,1,17,11,4,4,3,2),(28,326,1,17,12,1,3,NULL,2),(28,326,1,17,13,22,NULL,9,NULL),(28,326,1,17,14,14,3,7,1),(28,326,1,17,15,5,11,2,7),(28,326,1,17,16,16,NULL,7,NULL),(28,326,1,17,17,10,9,4,3),(28,326,1,17,18,3,7,1,4),(28,326,1,17,19,3,5,NULL,3),(28,326,1,17,20,6,7,2,3),(28,326,1,17,21,NULL,1,NULL,1),(28,326,1,17,22,NULL,4,NULL,2),(28,326,1,17,23,NULL,4,NULL,3),(28,326,1,17,24,NULL,NULL,NULL,NULL),(28,326,1,17,25,NULL,1,NULL,1),(28,326,1,17,26,1,3,NULL,2),(28,326,1,17,27,4,NULL,1,NULL),(28,326,1,17,28,NULL,NULL,NULL,NULL),(28,326,1,17,29,NULL,1,NULL,NULL),(28,326,1,17,30,4,7,1,3),(28,326,1,17,31,2,3,1,3),(28,326,1,17,32,NULL,6,NULL,3),(28,326,1,17,33,NULL,5,NULL,2),(28,326,1,17,34,NULL,2,NULL,NULL),(28,326,1,17,35,NULL,NULL,NULL,NULL),(28,326,1,17,36,NULL,NULL,NULL,NULL),(28,326,1,17,37,NULL,4,NULL,2),(28,326,1,17,38,NULL,NULL,NULL,NULL),(28,326,1,17,39,1,6,NULL,4),(28,326,1,17,40,3,NULL,3,NULL),(28,326,1,18,1,NULL,NULL,NULL,NULL),(28,326,1,18,2,NULL,NULL,NULL,NULL),(28,326,1,18,3,NULL,NULL,NULL,NULL),(28,326,1,18,4,NULL,NULL,NULL,NULL),(28,326,1,18,5,NULL,NULL,NULL,NULL),(28,326,1,18,6,NULL,NULL,NULL,NULL),(28,326,1,18,7,NULL,NULL,NULL,NULL),(28,326,1,18,8,NULL,NULL,NULL,NULL),(28,326,1,18,9,NULL,NULL,NULL,NULL),(28,326,1,18,10,NULL,NULL,NULL,NULL),(28,326,1,18,11,NULL,NULL,NULL,NULL),(28,326,1,18,12,NULL,NULL,NULL,NULL),(28,326,1,18,13,NULL,NULL,NULL,NULL),(28,326,1,18,14,NULL,NULL,NULL,NULL),(28,326,1,18,15,NULL,NULL,NULL,NULL),(28,326,1,18,16,NULL,NULL,NULL,NULL),(28,326,1,18,17,NULL,NULL,NULL,NULL),(28,326,1,18,18,NULL,NULL,NULL,NULL),(28,326,1,18,19,NULL,NULL,NULL,NULL),(28,326,1,18,20,NULL,NULL,NULL,NULL),(28,326,1,18,21,NULL,NULL,NULL,NULL),(28,326,1,18,22,NULL,NULL,NULL,NULL),(28,326,1,18,23,NULL,NULL,NULL,NULL),(28,326,1,18,24,NULL,NULL,NULL,NULL),(28,326,1,18,25,NULL,NULL,NULL,NULL),(28,326,1,18,26,NULL,NULL,NULL,NULL),(28,326,1,18,27,NULL,NULL,NULL,NULL),(28,326,1,18,28,NULL,NULL,NULL,NULL),(28,326,1,18,29,NULL,NULL,NULL,NULL),(28,326,1,18,30,NULL,NULL,NULL,NULL),(28,326,1,18,31,NULL,NULL,NULL,NULL),(28,326,1,18,32,NULL,NULL,NULL,NULL),(28,326,1,18,33,NULL,NULL,NULL,NULL),(28,326,1,18,34,NULL,NULL,NULL,NULL),(28,326,1,18,35,NULL,NULL,NULL,NULL),(28,326,1,18,36,NULL,NULL,NULL,NULL),(28,326,1,18,37,NULL,NULL,NULL,NULL),(28,326,1,18,38,NULL,NULL,NULL,NULL),(28,326,1,18,39,NULL,NULL,NULL,NULL),(28,326,1,18,40,NULL,NULL,NULL,NULL),(28,326,1,19,1,NULL,NULL,NULL,NULL),(28,326,1,19,2,NULL,NULL,NULL,NULL),(28,326,1,19,3,NULL,NULL,NULL,NULL),(28,326,1,19,4,NULL,NULL,NULL,NULL),(28,326,1,19,5,NULL,NULL,NULL,NULL),(28,326,1,19,6,NULL,NULL,NULL,NULL),(28,326,1,19,7,NULL,NULL,NULL,NULL),(28,326,1,19,8,NULL,NULL,NULL,NULL),(28,326,1,19,9,NULL,NULL,NULL,NULL),(28,326,1,19,10,NULL,NULL,NULL,NULL),(28,326,1,19,11,NULL,NULL,NULL,NULL),(28,326,1,19,12,NULL,NULL,NULL,NULL),(28,326,1,19,13,NULL,NULL,NULL,NULL),(28,326,1,19,14,NULL,NULL,NULL,NULL),(28,326,1,19,15,NULL,NULL,NULL,NULL),(28,326,1,19,16,NULL,NULL,NULL,NULL),(28,326,1,19,17,NULL,NULL,NULL,NULL),(28,326,1,19,18,NULL,NULL,NULL,NULL),(28,326,1,19,19,NULL,NULL,NULL,NULL),(28,326,1,19,20,NULL,NULL,NULL,NULL),(28,326,1,19,21,NULL,NULL,NULL,NULL),(28,326,1,19,22,NULL,NULL,NULL,NULL),(28,326,1,19,23,NULL,NULL,NULL,NULL),(28,326,1,19,24,NULL,NULL,NULL,NULL),(28,326,1,19,25,NULL,NULL,NULL,NULL),(28,326,1,19,26,NULL,NULL,NULL,NULL),(28,326,1,19,27,NULL,NULL,NULL,NULL),(28,326,1,19,28,NULL,NULL,NULL,NULL),(28,326,1,19,29,NULL,NULL,NULL,NULL),(28,326,1,19,30,NULL,NULL,NULL,NULL),(28,326,1,19,31,NULL,NULL,NULL,NULL),(28,326,1,19,32,NULL,NULL,NULL,NULL),(28,326,1,19,33,NULL,NULL,NULL,NULL),(28,326,1,19,34,NULL,NULL,NULL,NULL),(28,326,1,19,35,NULL,NULL,NULL,NULL),(28,326,1,19,36,NULL,NULL,NULL,NULL),(28,326,1,19,37,NULL,NULL,NULL,NULL),(28,326,1,19,38,NULL,NULL,NULL,NULL),(28,326,1,19,39,NULL,NULL,NULL,NULL),(28,326,1,19,40,NULL,NULL,NULL,NULL),(28,326,2,21,1,NULL,10,NULL,2),(28,326,2,21,2,NULL,7,NULL,4),(28,326,2,21,3,10,8,2,3),(28,326,2,21,4,NULL,NULL,NULL,NULL),(28,326,2,21,5,4,7,2,2),(28,326,2,21,6,7,9,1,3),(28,326,2,21,7,NULL,7,NULL,2),(28,326,2,21,8,5,3,2,1),(28,326,2,21,9,2,2,1,NULL),(28,326,2,21,10,5,5,2,1),(28,326,2,21,11,2,3,2,NULL),(28,326,2,21,12,2,5,NULL,NULL),(28,326,2,21,13,2,11,1,3),(28,326,2,21,14,2,12,1,5),(28,326,2,21,15,4,8,2,2),(28,326,2,21,16,3,5,NULL,2),(28,326,2,21,17,1,4,NULL,1),(28,326,2,21,18,8,7,2,2),(28,326,2,21,19,2,8,2,1),(28,326,2,21,20,8,2,2,1),(28,326,2,21,21,NULL,2,NULL,1),(28,326,2,21,22,4,2,2,1),(28,326,2,21,23,NULL,4,NULL,1),(28,326,2,21,24,1,3,1,NULL),(28,326,2,21,25,1,3,NULL,NULL),(28,326,2,21,26,NULL,2,NULL,1),(28,326,2,21,27,1,5,NULL,4),(28,326,2,21,28,NULL,NULL,NULL,NULL),(28,326,2,21,29,1,2,NULL,1),(28,326,2,21,30,1,2,NULL,1),(28,326,2,21,31,NULL,7,NULL,2),(28,326,2,21,32,NULL,1,NULL,NULL),(28,326,2,21,33,NULL,2,NULL,2),(28,326,2,21,34,1,1,NULL,1),(28,326,2,21,35,7,NULL,2,NULL),(28,326,2,21,36,NULL,2,NULL,1),(28,326,2,21,37,1,3,NULL,1),(28,326,2,21,38,NULL,1,NULL,NULL),(28,326,2,21,39,NULL,2,NULL,1),(28,326,2,21,40,NULL,3,NULL,NULL),(28,326,2,22,1,2,12,2,10),(28,326,2,22,2,4,8,2,6),(28,326,2,22,3,11,6,9,5),(28,326,2,22,4,NULL,3,NULL,2),(28,326,2,22,5,3,8,3,6),(28,326,2,22,6,7,11,5,9),(28,326,2,22,7,NULL,6,NULL,4),(28,326,2,22,8,5,8,3,7),(28,326,2,22,9,1,6,1,5),(28,326,2,22,10,7,5,5,5),(28,326,2,22,11,3,5,3,4),(28,326,2,22,12,5,8,4,6),(28,326,2,22,13,1,11,1,7),(28,326,2,22,14,12,9,12,5),(28,326,2,22,15,8,6,6,4),(28,326,2,22,16,3,10,2,9),(28,326,2,22,17,1,6,NULL,5),(28,326,2,22,18,6,12,5,9),(28,326,2,22,19,5,9,4,6),(28,326,2,22,20,3,10,2,7),(28,326,2,22,21,NULL,2,NULL,1),(28,326,2,22,22,4,3,4,2),(28,326,2,22,23,NULL,5,NULL,4),(28,326,2,22,24,1,4,1,4),(28,326,2,22,25,NULL,4,NULL,3),(28,326,2,22,26,NULL,3,NULL,2),(28,326,2,22,27,NULL,10,NULL,10),(28,326,2,22,28,NULL,3,NULL,3),(28,326,2,22,29,NULL,2,NULL,2),(28,326,2,22,30,NULL,3,NULL,1),(28,326,2,22,31,1,4,1,3),(28,326,2,22,32,NULL,1,NULL,1),(28,326,2,22,33,NULL,4,NULL,4),(28,326,2,22,34,1,7,1,5),(28,326,2,22,35,5,NULL,4,NULL),(28,326,2,22,36,1,3,1,1),(28,326,2,22,37,1,3,1,3),(28,326,2,22,38,NULL,2,NULL,1),(28,326,2,22,39,1,1,NULL,1),(28,326,2,22,40,1,9,1,7),(28,326,2,23,1,1,11,1,7),(28,326,2,23,2,1,8,1,3),(28,326,2,23,3,14,4,8,2),(28,326,2,23,4,NULL,4,NULL,3),(28,326,2,23,5,4,4,2,2),(28,326,2,23,6,8,9,4,4),(28,326,2,23,7,1,10,1,4),(28,326,2,23,8,2,8,1,4),(28,326,2,23,9,NULL,1,NULL,NULL),(28,326,2,23,10,4,4,4,2),(28,326,2,23,11,3,4,3,3),(28,326,2,23,12,3,11,1,4),(28,326,2,23,13,4,10,3,7),(28,326,2,23,14,7,5,6,1),(28,326,2,23,15,4,11,3,5),(28,326,2,23,16,4,9,3,7),(28,326,2,23,17,1,3,NULL,3),(28,326,2,23,18,9,8,3,7),(28,326,2,23,19,5,7,3,4),(28,326,2,23,20,8,5,6,3),(28,326,2,23,21,NULL,NULL,NULL,NULL),(28,326,2,23,22,2,2,2,1),(28,326,2,23,23,NULL,4,NULL,3),(28,326,2,23,24,1,2,1,1),(28,326,2,23,25,2,4,1,2),(28,326,2,23,26,NULL,5,NULL,4),(28,326,2,23,27,4,7,2,5),(28,326,2,23,28,NULL,1,NULL,NULL),(28,326,2,23,29,NULL,4,NULL,2),(28,326,2,23,30,NULL,6,NULL,4),(28,326,2,23,31,NULL,3,NULL,3),(28,326,2,23,32,NULL,1,NULL,NULL),(28,326,2,23,33,1,4,1,3),(28,326,2,23,34,2,6,1,3),(28,326,2,23,35,1,NULL,1,NULL),(28,326,2,23,36,NULL,2,NULL,1),(28,326,2,23,37,NULL,6,NULL,4),(28,326,2,23,38,1,1,1,NULL),(28,326,2,23,39,NULL,6,NULL,4),(28,326,2,23,40,1,9,NULL,8),(28,326,2,24,1,1,8,1,4),(28,326,2,24,2,2,7,2,4),(28,326,2,24,3,9,4,5,1),(28,326,2,24,4,1,NULL,1,NULL),(28,326,2,24,5,1,8,1,5),(28,326,2,24,6,4,9,2,4),(28,326,2,24,7,NULL,6,NULL,3),(28,326,2,24,8,2,2,NULL,2),(28,326,2,24,9,1,4,NULL,3),(28,326,2,24,10,4,4,2,2),(28,326,2,24,11,2,NULL,2,NULL),(28,326,2,24,12,2,7,2,4),(28,326,2,24,13,3,3,3,1),(28,326,2,24,14,5,6,3,4),(28,326,2,24,15,4,3,2,1),(28,326,2,24,16,3,7,2,4),(28,326,2,24,17,NULL,2,NULL,2),(28,326,2,24,18,6,8,4,4),(28,326,2,24,19,3,3,2,2),(28,326,2,24,20,3,3,3,1),(28,326,2,24,21,NULL,1,NULL,NULL),(28,326,2,24,22,NULL,3,NULL,3),(28,326,2,24,23,NULL,3,NULL,2),(28,326,2,24,24,1,1,1,1),(28,326,2,24,25,NULL,3,NULL,2),(28,326,2,24,26,3,9,1,5),(28,326,2,24,27,NULL,7,NULL,5),(28,326,2,24,28,NULL,1,NULL,1),(28,326,2,24,29,NULL,2,NULL,1),(28,326,2,24,30,NULL,2,NULL,1),(28,326,2,24,31,1,2,1,NULL),(28,326,2,24,32,NULL,NULL,NULL,NULL),(28,326,2,24,33,1,1,1,NULL),(28,326,2,24,34,NULL,2,NULL,1),(28,326,2,24,35,3,NULL,3,NULL),(28,326,2,24,36,NULL,NULL,NULL,NULL),(28,326,2,24,37,NULL,5,NULL,4),(28,326,2,24,38,NULL,2,NULL,NULL),(28,326,2,24,39,NULL,NULL,NULL,NULL),(28,326,2,24,40,1,5,1,3),(28,327,1,11,1,NULL,NULL,NULL,NULL),(28,327,1,11,2,NULL,NULL,NULL,NULL),(28,327,1,11,3,NULL,NULL,NULL,NULL),(28,327,1,11,4,NULL,NULL,NULL,NULL),(28,327,1,11,5,NULL,NULL,NULL,NULL),(28,327,1,11,6,NULL,NULL,NULL,NULL),(28,327,1,11,7,NULL,NULL,NULL,NULL),(28,327,1,11,8,NULL,NULL,NULL,NULL),(28,327,1,11,9,NULL,NULL,NULL,NULL),(28,327,1,11,10,NULL,NULL,NULL,NULL),(28,327,1,11,11,NULL,NULL,NULL,NULL),(28,327,1,11,12,NULL,NULL,NULL,NULL),(28,327,1,11,13,NULL,NULL,NULL,NULL),(28,327,1,11,14,NULL,NULL,NULL,NULL),(28,327,1,11,15,NULL,NULL,NULL,NULL),(28,327,1,11,16,NULL,NULL,NULL,NULL),(28,327,1,11,17,NULL,NULL,NULL,NULL),(28,327,1,11,18,NULL,NULL,NULL,NULL),(28,327,1,11,19,NULL,NULL,NULL,NULL),(28,327,1,11,20,NULL,NULL,NULL,NULL),(28,327,1,11,21,NULL,NULL,NULL,NULL),(28,327,1,11,22,NULL,NULL,NULL,NULL),(28,327,1,11,23,NULL,NULL,NULL,NULL),(28,327,1,11,24,NULL,NULL,NULL,NULL),(28,327,1,11,25,NULL,NULL,NULL,NULL),(28,327,1,11,26,NULL,NULL,NULL,NULL),(28,327,1,11,27,NULL,NULL,NULL,NULL),(28,327,1,11,28,NULL,NULL,NULL,NULL),(28,327,1,11,29,NULL,NULL,NULL,NULL),(28,327,1,11,30,NULL,NULL,NULL,NULL),(28,327,1,11,31,NULL,NULL,NULL,NULL),(28,327,1,11,32,NULL,NULL,NULL,NULL),(28,327,1,11,33,NULL,NULL,NULL,NULL),(28,327,1,11,34,NULL,NULL,NULL,NULL),(28,327,1,11,35,NULL,NULL,NULL,NULL),(28,327,1,11,36,NULL,NULL,NULL,NULL),(28,327,1,11,37,NULL,NULL,NULL,NULL),(28,327,1,11,38,NULL,NULL,NULL,NULL),(28,327,1,11,39,NULL,NULL,NULL,NULL),(28,327,1,11,40,NULL,NULL,NULL,NULL),(28,327,1,12,1,NULL,NULL,NULL,NULL),(28,327,1,12,2,NULL,NULL,NULL,NULL),(28,327,1,12,3,NULL,NULL,NULL,NULL),(28,327,1,12,4,NULL,NULL,NULL,NULL),(28,327,1,12,5,NULL,NULL,NULL,NULL),(28,327,1,12,6,NULL,NULL,NULL,NULL),(28,327,1,12,7,NULL,NULL,NULL,NULL),(28,327,1,12,8,NULL,NULL,NULL,NULL),(28,327,1,12,9,NULL,NULL,NULL,NULL),(28,327,1,12,10,NULL,NULL,NULL,NULL),(28,327,1,12,11,NULL,NULL,NULL,NULL),(28,327,1,12,12,NULL,NULL,NULL,NULL),(28,327,1,12,13,NULL,NULL,NULL,NULL),(28,327,1,12,14,NULL,NULL,NULL,NULL),(28,327,1,12,15,NULL,NULL,NULL,NULL),(28,327,1,12,16,NULL,NULL,NULL,NULL),(28,327,1,12,17,NULL,NULL,NULL,NULL),(28,327,1,12,18,NULL,NULL,NULL,NULL),(28,327,1,12,19,NULL,NULL,NULL,NULL),(28,327,1,12,20,NULL,NULL,NULL,NULL),(28,327,1,12,21,NULL,NULL,NULL,NULL),(28,327,1,12,22,NULL,NULL,NULL,NULL),(28,327,1,12,23,NULL,NULL,NULL,NULL),(28,327,1,12,24,NULL,NULL,NULL,NULL),(28,327,1,12,25,NULL,NULL,NULL,NULL),(28,327,1,12,26,NULL,NULL,NULL,NULL),(28,327,1,12,27,NULL,NULL,NULL,NULL),(28,327,1,12,28,NULL,NULL,NULL,NULL),(28,327,1,12,29,NULL,NULL,NULL,NULL),(28,327,1,12,30,NULL,NULL,NULL,NULL),(28,327,1,12,31,NULL,NULL,NULL,NULL),(28,327,1,12,32,NULL,NULL,NULL,NULL),(28,327,1,12,33,NULL,NULL,NULL,NULL),(28,327,1,12,34,NULL,NULL,NULL,NULL),(28,327,1,12,35,NULL,NULL,NULL,NULL),(28,327,1,12,36,NULL,NULL,NULL,NULL),(28,327,1,12,37,NULL,NULL,NULL,NULL),(28,327,1,12,38,NULL,NULL,NULL,NULL),(28,327,1,12,39,NULL,NULL,NULL,NULL),(28,327,1,12,40,NULL,NULL,NULL,NULL),(28,327,1,13,1,NULL,NULL,NULL,NULL),(28,327,1,13,2,NULL,NULL,NULL,NULL),(28,327,1,13,3,NULL,NULL,NULL,NULL),(28,327,1,13,4,NULL,NULL,NULL,NULL),(28,327,1,13,5,NULL,NULL,NULL,NULL),(28,327,1,13,6,NULL,NULL,NULL,NULL),(28,327,1,13,7,NULL,NULL,NULL,NULL),(28,327,1,13,8,NULL,NULL,NULL,NULL),(28,327,1,13,9,NULL,NULL,NULL,NULL),(28,327,1,13,10,NULL,NULL,NULL,NULL),(28,327,1,13,11,NULL,NULL,NULL,NULL),(28,327,1,13,12,NULL,NULL,NULL,NULL),(28,327,1,13,13,NULL,NULL,NULL,NULL),(28,327,1,13,14,NULL,NULL,NULL,NULL),(28,327,1,13,15,NULL,NULL,NULL,NULL),(28,327,1,13,16,NULL,NULL,NULL,NULL),(28,327,1,13,17,NULL,NULL,NULL,NULL),(28,327,1,13,18,NULL,NULL,NULL,NULL),(28,327,1,13,19,NULL,NULL,NULL,NULL),(28,327,1,13,20,NULL,NULL,NULL,NULL),(28,327,1,13,21,NULL,NULL,NULL,NULL),(28,327,1,13,22,NULL,NULL,NULL,NULL),(28,327,1,13,23,NULL,NULL,NULL,NULL),(28,327,1,13,24,NULL,NULL,NULL,NULL),(28,327,1,13,25,NULL,NULL,NULL,NULL),(28,327,1,13,26,NULL,NULL,NULL,NULL),(28,327,1,13,27,NULL,NULL,NULL,NULL),(28,327,1,13,28,NULL,NULL,NULL,NULL),(28,327,1,13,29,NULL,NULL,NULL,NULL),(28,327,1,13,30,NULL,NULL,NULL,NULL),(28,327,1,13,31,NULL,NULL,NULL,NULL),(28,327,1,13,32,NULL,NULL,NULL,NULL),(28,327,1,13,33,NULL,NULL,NULL,NULL),(28,327,1,13,34,NULL,NULL,NULL,NULL),(28,327,1,13,35,NULL,NULL,NULL,NULL),(28,327,1,13,36,NULL,NULL,NULL,NULL),(28,327,1,13,37,NULL,NULL,NULL,NULL),(28,327,1,13,38,NULL,NULL,NULL,NULL),(28,327,1,13,39,NULL,NULL,NULL,NULL),(28,327,1,13,40,NULL,NULL,NULL,NULL),(28,327,1,14,1,10,NULL,6,NULL),(28,327,1,14,2,NULL,7,NULL,3),(28,327,1,14,3,4,6,1,3),(28,327,1,14,4,4,1,2,NULL),(28,327,1,14,5,4,6,3,1),(28,327,1,14,6,1,6,1,2),(28,327,1,14,7,1,3,1,1),(28,327,1,14,8,1,5,NULL,3),(28,327,1,14,9,4,5,1,2),(28,327,1,14,10,8,2,5,1),(28,327,1,14,11,2,2,NULL,2),(28,327,1,14,12,5,5,2,3),(28,327,1,14,13,9,5,3,3),(28,327,1,14,14,2,5,1,2),(28,327,1,14,15,13,NULL,6,NULL),(28,327,1,14,16,7,3,3,2),(28,327,1,14,17,5,6,3,NULL),(28,327,1,14,18,5,5,2,2),(28,327,1,14,19,8,3,6,1),(28,327,1,14,20,5,6,2,3),(28,327,1,14,21,1,4,1,1),(28,327,1,14,22,NULL,NULL,NULL,NULL),(28,327,1,14,23,1,3,NULL,3),(28,327,1,14,24,1,NULL,NULL,NULL),(28,327,1,14,25,NULL,NULL,NULL,NULL),(28,327,1,14,26,NULL,3,NULL,NULL),(28,327,1,14,27,4,NULL,3,NULL),(28,327,1,14,28,1,NULL,1,NULL),(28,327,1,14,29,1,2,NULL,1),(28,327,1,14,30,1,7,NULL,4),(28,327,1,14,31,1,2,NULL,NULL),(28,327,1,14,32,NULL,4,NULL,3),(28,327,1,14,33,1,1,1,1),(28,327,1,14,34,NULL,4,NULL,2),(28,327,1,14,35,1,NULL,NULL,NULL),(28,327,1,14,36,1,NULL,1,NULL),(28,327,1,14,37,1,NULL,NULL,NULL),(28,327,1,14,38,NULL,3,NULL,2),(28,327,1,14,39,2,5,2,3),(28,327,1,14,40,NULL,NULL,NULL,NULL),(28,327,1,15,1,11,NULL,6,NULL),(28,327,1,15,2,2,7,2,2),(28,327,1,15,3,3,7,2,4),(28,327,1,15,4,2,7,1,4),(28,327,1,15,5,4,3,3,1),(28,327,1,15,6,2,8,2,5),(28,327,1,15,7,4,5,3,2),(28,327,1,15,8,1,4,1,2),(28,327,1,15,9,NULL,3,NULL,2),(28,327,1,15,10,6,7,4,3),(28,327,1,15,11,2,NULL,2,NULL),(28,327,1,15,12,1,8,1,4),(28,327,1,15,13,11,5,7,3),(28,327,1,15,14,4,8,3,5),(28,327,1,15,15,12,NULL,8,NULL),(28,327,1,15,16,7,6,5,2),(28,327,1,15,17,3,9,2,3),(28,327,1,15,18,5,5,4,2),(28,327,1,15,19,10,7,8,3),(28,327,1,15,20,7,8,6,3),(28,327,1,15,21,1,2,NULL,2),(28,327,1,15,22,NULL,2,NULL,2),(28,327,1,15,23,2,5,2,2),(28,327,1,15,24,1,NULL,1,NULL),(28,327,1,15,25,NULL,NULL,NULL,NULL),(28,327,1,15,26,NULL,2,NULL,1),(28,327,1,15,27,8,NULL,7,NULL),(28,327,1,15,28,NULL,NULL,NULL,NULL),(28,327,1,15,29,1,1,NULL,1),(28,327,1,15,30,4,4,1,2),(28,327,1,15,31,1,1,1,NULL),(28,327,1,15,32,2,6,2,5),(28,327,1,15,33,3,2,3,1),(28,327,1,15,34,5,4,3,3),(28,327,1,15,35,1,NULL,NULL,NULL),(28,327,1,15,36,NULL,NULL,NULL,NULL),(28,327,1,15,37,1,2,NULL,1),(28,327,1,15,38,NULL,1,NULL,1),(28,327,1,15,39,3,5,3,3),(28,327,1,15,40,2,NULL,2,NULL),(28,327,1,16,1,8,NULL,5,NULL),(28,327,1,16,2,NULL,4,NULL,3),(28,327,1,16,3,4,4,2,3),(28,327,1,16,4,3,5,1,2),(28,327,1,16,5,6,7,2,3),(28,327,1,16,6,1,6,1,3),(28,327,1,16,7,3,5,1,3),(28,327,1,16,8,NULL,10,NULL,3),(28,327,1,16,9,4,3,2,NULL),(28,327,1,16,10,10,5,4,3),(28,327,1,16,11,2,3,1,1),(28,327,1,16,12,2,8,1,3),(28,327,1,16,13,27,NULL,11,NULL),(28,327,1,16,14,22,1,9,1),(28,327,1,16,15,7,12,3,7),(28,327,1,16,16,26,NULL,10,NULL),(28,327,1,16,17,12,12,5,4),(28,327,1,16,18,3,7,2,3),(28,327,1,16,19,2,19,1,8),(28,327,1,16,20,4,5,NULL,3),(28,327,1,16,21,1,5,NULL,3),(28,327,1,16,22,1,2,1,NULL),(28,327,1,16,23,NULL,4,NULL,1),(28,327,1,16,24,1,NULL,NULL,NULL),(28,327,1,16,25,1,NULL,NULL,NULL),(28,327,1,16,26,NULL,5,NULL,1),(28,327,1,16,27,5,NULL,1,NULL),(28,327,1,16,28,1,NULL,NULL,NULL),(28,327,1,16,29,1,4,NULL,2),(28,327,1,16,30,1,8,NULL,3),(28,327,1,16,31,NULL,3,NULL,2),(28,327,1,16,32,3,6,2,4),(28,327,1,16,33,1,2,1,1),(28,327,1,16,34,3,3,2,2),(28,327,1,16,35,NULL,1,NULL,1),(28,327,1,16,36,NULL,NULL,NULL,NULL),(28,327,1,16,37,NULL,4,NULL,1),(28,327,1,16,38,NULL,3,NULL,1),(28,327,1,16,39,3,8,2,5),(28,327,1,16,40,NULL,NULL,NULL,NULL),(28,327,1,17,1,9,NULL,7,NULL),(28,327,1,17,2,1,4,NULL,2),(28,327,1,17,3,3,6,2,4),(28,327,1,17,4,5,3,3,3),(28,327,1,17,5,7,4,5,1),(28,327,1,17,6,1,5,1,3),(28,327,1,17,7,1,4,1,3),(28,327,1,17,8,NULL,4,NULL,3),(28,327,1,17,9,3,3,2,1),(28,327,1,17,10,9,2,7,2),(28,327,1,17,11,NULL,3,NULL,2),(28,327,1,17,12,NULL,3,NULL,1),(28,327,1,17,13,23,NULL,15,NULL),(28,327,1,17,14,16,5,10,3),(28,327,1,17,15,4,15,1,9),(28,327,1,17,16,21,NULL,11,NULL),(28,327,1,17,17,7,13,5,8),(28,327,1,17,18,4,5,3,5),(28,327,1,17,19,6,13,1,8),(28,327,1,17,20,4,3,1,2),(28,327,1,17,21,1,2,1,1),(28,327,1,17,22,1,5,NULL,4),(28,327,1,17,23,NULL,4,NULL,3),(28,327,1,17,24,NULL,NULL,NULL,NULL),(28,327,1,17,25,1,1,NULL,1),(28,327,1,17,26,1,1,NULL,1),(28,327,1,17,27,2,NULL,2,NULL),(28,327,1,17,28,2,NULL,1,NULL),(28,327,1,17,29,NULL,4,NULL,3),(28,327,1,17,30,3,7,1,5),(28,327,1,17,31,NULL,2,NULL,1),(28,327,1,17,32,2,3,NULL,2),(28,327,1,17,33,NULL,2,NULL,2),(28,327,1,17,34,1,3,1,3),(28,327,1,17,35,NULL,NULL,NULL,NULL),(28,327,1,17,36,1,NULL,1,NULL),(28,327,1,17,37,NULL,2,NULL,2),(28,327,1,17,38,1,1,NULL,1),(28,327,1,17,39,NULL,10,NULL,8),(28,327,1,17,40,1,NULL,1,NULL),(28,327,1,18,1,NULL,NULL,NULL,NULL),(28,327,1,18,2,NULL,NULL,NULL,NULL),(28,327,1,18,3,NULL,NULL,NULL,NULL),(28,327,1,18,4,NULL,NULL,NULL,NULL),(28,327,1,18,5,NULL,NULL,NULL,NULL),(28,327,1,18,6,NULL,NULL,NULL,NULL),(28,327,1,18,7,NULL,NULL,NULL,NULL),(28,327,1,18,8,NULL,NULL,NULL,NULL),(28,327,1,18,9,NULL,NULL,NULL,NULL),(28,327,1,18,10,NULL,NULL,NULL,NULL),(28,327,1,18,11,NULL,NULL,NULL,NULL),(28,327,1,18,12,NULL,NULL,NULL,NULL),(28,327,1,18,13,NULL,NULL,NULL,NULL),(28,327,1,18,14,NULL,NULL,NULL,NULL),(28,327,1,18,15,NULL,NULL,NULL,NULL),(28,327,1,18,16,NULL,NULL,NULL,NULL),(28,327,1,18,17,NULL,NULL,NULL,NULL),(28,327,1,18,18,NULL,NULL,NULL,NULL),(28,327,1,18,19,NULL,NULL,NULL,NULL),(28,327,1,18,20,NULL,NULL,NULL,NULL),(28,327,1,18,21,NULL,NULL,NULL,NULL),(28,327,1,18,22,NULL,NULL,NULL,NULL),(28,327,1,18,23,NULL,NULL,NULL,NULL),(28,327,1,18,24,NULL,NULL,NULL,NULL),(28,327,1,18,25,NULL,NULL,NULL,NULL),(28,327,1,18,26,NULL,NULL,NULL,NULL),(28,327,1,18,27,NULL,NULL,NULL,NULL),(28,327,1,18,28,NULL,NULL,NULL,NULL),(28,327,1,18,29,NULL,NULL,NULL,NULL),(28,327,1,18,30,NULL,NULL,NULL,NULL),(28,327,1,18,31,NULL,NULL,NULL,NULL),(28,327,1,18,32,NULL,NULL,NULL,NULL),(28,327,1,18,33,NULL,NULL,NULL,NULL),(28,327,1,18,34,NULL,NULL,NULL,NULL),(28,327,1,18,35,NULL,NULL,NULL,NULL),(28,327,1,18,36,NULL,NULL,NULL,NULL),(28,327,1,18,37,NULL,NULL,NULL,NULL),(28,327,1,18,38,NULL,NULL,NULL,NULL),(28,327,1,18,39,NULL,NULL,NULL,NULL),(28,327,1,18,40,NULL,NULL,NULL,NULL),(28,327,1,19,1,NULL,NULL,NULL,NULL),(28,327,1,19,2,NULL,NULL,NULL,NULL),(28,327,1,19,3,NULL,NULL,NULL,NULL),(28,327,1,19,4,NULL,NULL,NULL,NULL),(28,327,1,19,5,NULL,NULL,NULL,NULL),(28,327,1,19,6,NULL,NULL,NULL,NULL),(28,327,1,19,7,NULL,NULL,NULL,NULL),(28,327,1,19,8,NULL,NULL,NULL,NULL),(28,327,1,19,9,NULL,NULL,NULL,NULL),(28,327,1,19,10,NULL,NULL,NULL,NULL),(28,327,1,19,11,NULL,NULL,NULL,NULL),(28,327,1,19,12,NULL,NULL,NULL,NULL),(28,327,1,19,13,NULL,NULL,NULL,NULL),(28,327,1,19,14,NULL,NULL,NULL,NULL),(28,327,1,19,15,NULL,NULL,NULL,NULL),(28,327,1,19,16,NULL,NULL,NULL,NULL),(28,327,1,19,17,NULL,NULL,NULL,NULL),(28,327,1,19,18,NULL,NULL,NULL,NULL),(28,327,1,19,19,NULL,NULL,NULL,NULL),(28,327,1,19,20,NULL,NULL,NULL,NULL),(28,327,1,19,21,NULL,NULL,NULL,NULL),(28,327,1,19,22,NULL,NULL,NULL,NULL),(28,327,1,19,23,NULL,NULL,NULL,NULL),(28,327,1,19,24,NULL,NULL,NULL,NULL),(28,327,1,19,25,NULL,NULL,NULL,NULL),(28,327,1,19,26,NULL,NULL,NULL,NULL),(28,327,1,19,27,NULL,NULL,NULL,NULL),(28,327,1,19,28,NULL,NULL,NULL,NULL),(28,327,1,19,29,NULL,NULL,NULL,NULL),(28,327,1,19,30,NULL,NULL,NULL,NULL),(28,327,1,19,31,NULL,NULL,NULL,NULL),(28,327,1,19,32,NULL,NULL,NULL,NULL),(28,327,1,19,33,NULL,NULL,NULL,NULL),(28,327,1,19,34,NULL,NULL,NULL,NULL),(28,327,1,19,35,NULL,NULL,NULL,NULL),(28,327,1,19,36,NULL,NULL,NULL,NULL),(28,327,1,19,37,NULL,NULL,NULL,NULL),(28,327,1,19,38,NULL,NULL,NULL,NULL),(28,327,1,19,39,NULL,NULL,NULL,NULL),(28,327,1,19,40,NULL,NULL,NULL,NULL),(28,327,2,21,1,1,12,1,7),(28,327,2,21,2,1,12,1,6),(28,327,2,21,3,13,8,7,5),(28,327,2,21,4,1,1,1,1),(28,327,2,21,5,3,7,3,4),(28,327,2,21,6,8,9,6,4),(28,327,2,21,7,NULL,4,NULL,2),(28,327,2,21,8,7,8,4,6),(28,327,2,21,9,2,4,NULL,3),(28,327,2,21,10,4,8,3,7),(28,327,2,21,11,3,4,3,1),(28,327,2,21,12,3,8,3,4),(28,327,2,21,13,3,7,3,4),(28,327,2,21,14,6,12,3,8),(28,327,2,21,15,8,10,3,6),(28,327,2,21,16,4,14,3,6),(28,327,2,21,17,NULL,5,NULL,5),(28,327,2,21,18,13,6,7,4),(28,327,2,21,19,5,7,5,3),(28,327,2,21,20,7,6,6,1),(28,327,2,21,21,NULL,1,NULL,NULL),(28,327,2,21,22,1,5,1,3),(28,327,2,21,23,NULL,7,NULL,5),(28,327,2,21,24,1,3,NULL,1),(28,327,2,21,25,NULL,5,NULL,3),(28,327,2,21,26,NULL,5,NULL,3),(28,327,2,21,27,NULL,8,NULL,7),(28,327,2,21,28,1,1,NULL,NULL),(28,327,2,21,29,NULL,3,NULL,2),(28,327,2,21,30,NULL,3,NULL,3),(28,327,2,21,31,NULL,5,NULL,2),(28,327,2,21,32,NULL,1,NULL,NULL),(28,327,2,21,33,2,2,1,1),(28,327,2,21,34,NULL,3,NULL,2),(28,327,2,21,35,6,NULL,3,NULL),(28,327,2,21,36,1,2,NULL,1),(28,327,2,21,37,NULL,3,NULL,2),(28,327,2,21,38,NULL,2,NULL,1),(28,327,2,21,39,NULL,1,NULL,NULL),(28,327,2,21,40,NULL,10,NULL,5),(28,327,2,22,1,NULL,10,NULL,4),(28,327,2,22,2,NULL,5,NULL,2),(28,327,2,22,3,12,4,6,2),(28,327,2,22,4,NULL,5,NULL,2),(28,327,2,22,5,4,6,1,4),(28,327,2,22,6,7,9,3,3),(28,327,2,22,7,NULL,7,NULL,2),(28,327,2,22,8,4,3,3,NULL),(28,327,2,22,9,1,4,NULL,2),(28,327,2,22,10,1,5,1,3),(28,327,2,22,11,2,5,NULL,3),(28,327,2,22,12,3,8,3,2),(28,327,2,22,13,NULL,13,NULL,6),(28,327,2,22,14,3,10,NULL,5),(28,327,2,22,15,2,11,1,3),(28,327,2,22,16,3,11,1,4),(28,327,2,22,17,NULL,4,NULL,1),(28,327,2,22,18,5,9,1,4),(28,327,2,22,19,4,7,1,2),(28,327,2,22,20,9,7,5,1),(28,327,2,22,21,1,6,1,3),(28,327,2,22,22,1,2,1,NULL),(28,327,2,22,23,NULL,2,NULL,2),(28,327,2,22,24,1,3,1,1),(28,327,2,22,25,1,3,1,2),(28,327,2,22,26,1,5,NULL,2),(28,327,2,22,27,1,9,1,4),(28,327,2,22,28,NULL,NULL,NULL,NULL),(28,327,2,22,29,NULL,2,NULL,2),(28,327,2,22,30,NULL,3,NULL,2),(28,327,2,22,31,NULL,6,NULL,2),(28,327,2,22,32,1,1,NULL,NULL),(28,327,2,22,33,1,1,1,NULL),(28,327,2,22,34,NULL,3,NULL,1),(28,327,2,22,35,2,NULL,NULL,NULL),(28,327,2,22,36,NULL,1,NULL,NULL),(28,327,2,22,37,NULL,4,NULL,2),(28,327,2,22,38,NULL,NULL,NULL,NULL),(28,327,2,22,39,NULL,2,NULL,NULL),(28,327,2,22,40,NULL,10,NULL,5),(28,327,2,23,1,2,8,2,3),(28,327,2,23,2,NULL,6,NULL,3),(28,327,2,23,3,9,9,3,5),(28,327,2,23,4,NULL,3,NULL,2),(28,327,2,23,5,4,7,3,3),(28,327,2,23,6,6,11,4,5),(28,327,2,23,7,NULL,3,NULL,2),(28,327,2,23,8,3,3,1,1),(28,327,2,23,9,NULL,2,NULL,2),(28,327,2,23,10,4,5,1,2),(28,327,2,23,11,1,NULL,NULL,NULL),(28,327,2,23,12,3,7,3,3),(28,327,2,23,13,1,15,1,8),(28,327,2,23,14,3,8,2,3),(28,327,2,23,15,7,4,3,2),(28,327,2,23,16,3,9,3,6),(28,327,2,23,17,1,NULL,NULL,NULL),(28,327,2,23,18,8,5,5,3),(28,327,2,23,19,3,6,2,3),(28,327,2,23,20,9,3,7,1),(28,327,2,23,21,NULL,2,NULL,1),(28,327,2,23,22,NULL,3,NULL,3),(28,327,2,23,23,NULL,1,NULL,1),(28,327,2,23,24,NULL,5,NULL,2),(28,327,2,23,25,1,3,NULL,3),(28,327,2,23,26,NULL,5,NULL,3),(28,327,2,23,27,4,3,2,1),(28,327,2,23,28,1,1,1,NULL),(28,327,2,23,29,NULL,1,NULL,1),(28,327,2,23,30,1,3,1,2),(28,327,2,23,31,NULL,7,NULL,5),(28,327,2,23,32,NULL,2,NULL,1),(28,327,2,23,33,NULL,3,NULL,1),(28,327,2,23,34,NULL,5,NULL,4),(28,327,2,23,35,1,NULL,NULL,NULL),(28,327,2,23,36,1,2,NULL,NULL),(28,327,2,23,37,NULL,NULL,NULL,NULL),(28,327,2,23,38,NULL,NULL,NULL,NULL),(28,327,2,23,39,NULL,4,NULL,2),(28,327,2,23,40,NULL,9,NULL,5),(28,327,2,24,1,2,7,1,3),(28,327,2,24,2,1,10,NULL,6),(28,327,2,24,3,8,5,4,1),(28,327,2,24,4,NULL,3,NULL,NULL),(28,327,2,24,5,3,5,2,2),(28,327,2,24,6,5,8,1,5),(28,327,2,24,7,NULL,8,NULL,3),(28,327,2,24,8,6,4,2,2),(28,327,2,24,9,1,4,1,2),(28,327,2,24,10,5,5,3,3),(28,327,2,24,11,1,3,1,2),(28,327,2,24,12,6,4,3,2),(28,327,2,24,13,3,7,2,3),(28,327,2,24,14,6,5,4,4),(28,327,2,24,15,5,6,2,3),(28,327,2,24,16,1,9,NULL,5),(28,327,2,24,17,2,4,1,3),(28,327,2,24,18,8,11,1,6),(28,327,2,24,19,4,5,2,1),(28,327,2,24,20,2,6,2,2),(28,327,2,24,21,NULL,1,NULL,1),(28,327,2,24,22,NULL,2,NULL,2),(28,327,2,24,23,NULL,4,NULL,2),(28,327,2,24,24,NULL,NULL,NULL,NULL),(28,327,2,24,25,2,NULL,2,NULL),(28,327,2,24,26,NULL,6,NULL,2),(28,327,2,24,27,NULL,6,NULL,2),(28,327,2,24,28,NULL,1,NULL,1),(28,327,2,24,29,NULL,3,NULL,2),(28,327,2,24,30,NULL,5,NULL,2),(28,327,2,24,31,NULL,7,NULL,4),(28,327,2,24,32,NULL,2,NULL,1),(28,327,2,24,33,2,1,1,NULL),(28,327,2,24,34,NULL,1,NULL,NULL),(28,327,2,24,35,1,NULL,1,NULL),(28,327,2,24,36,1,NULL,NULL,NULL),(28,327,2,24,37,1,1,1,NULL),(28,327,2,24,38,NULL,NULL,NULL,NULL),(28,327,2,24,39,NULL,4,NULL,2),(28,327,2,24,40,NULL,8,NULL,4),(28,328,1,11,1,NULL,NULL,NULL,NULL),(28,328,1,11,2,NULL,NULL,NULL,NULL),(28,328,1,11,3,NULL,NULL,NULL,NULL),(28,328,1,11,4,NULL,NULL,NULL,NULL),(28,328,1,11,5,NULL,NULL,NULL,NULL),(28,328,1,11,6,NULL,NULL,NULL,NULL),(28,328,1,11,7,NULL,NULL,NULL,NULL),(28,328,1,11,8,NULL,NULL,NULL,NULL),(28,328,1,11,9,NULL,NULL,NULL,NULL),(28,328,1,11,10,NULL,NULL,NULL,NULL),(28,328,1,11,11,NULL,NULL,NULL,NULL),(28,328,1,11,12,NULL,NULL,NULL,NULL),(28,328,1,11,13,NULL,NULL,NULL,NULL),(28,328,1,11,14,NULL,NULL,NULL,NULL),(28,328,1,11,15,NULL,NULL,NULL,NULL),(28,328,1,11,16,NULL,NULL,NULL,NULL),(28,328,1,11,17,NULL,NULL,NULL,NULL),(28,328,1,11,18,NULL,NULL,NULL,NULL),(28,328,1,11,19,NULL,NULL,NULL,NULL),(28,328,1,11,20,NULL,NULL,NULL,NULL),(28,328,1,11,21,NULL,NULL,NULL,NULL),(28,328,1,11,22,NULL,NULL,NULL,NULL),(28,328,1,11,23,NULL,NULL,NULL,NULL),(28,328,1,11,24,NULL,NULL,NULL,NULL),(28,328,1,11,25,NULL,NULL,NULL,NULL),(28,328,1,11,26,NULL,NULL,NULL,NULL),(28,328,1,11,27,NULL,NULL,NULL,NULL),(28,328,1,11,28,NULL,NULL,NULL,NULL),(28,328,1,11,29,NULL,NULL,NULL,NULL),(28,328,1,11,30,NULL,NULL,NULL,NULL),(28,328,1,11,31,NULL,NULL,NULL,NULL),(28,328,1,11,32,NULL,NULL,NULL,NULL),(28,328,1,11,33,NULL,NULL,NULL,NULL),(28,328,1,11,34,NULL,NULL,NULL,NULL),(28,328,1,11,35,NULL,NULL,NULL,NULL),(28,328,1,11,36,NULL,NULL,NULL,NULL),(28,328,1,11,37,NULL,NULL,NULL,NULL),(28,328,1,11,38,NULL,NULL,NULL,NULL),(28,328,1,11,39,NULL,NULL,NULL,NULL),(28,328,1,11,40,NULL,NULL,NULL,NULL),(28,328,1,12,1,NULL,NULL,NULL,NULL),(28,328,1,12,2,NULL,NULL,NULL,NULL),(28,328,1,12,3,NULL,NULL,NULL,NULL),(28,328,1,12,4,NULL,NULL,NULL,NULL),(28,328,1,12,5,NULL,NULL,NULL,NULL),(28,328,1,12,6,NULL,NULL,NULL,NULL),(28,328,1,12,7,NULL,NULL,NULL,NULL),(28,328,1,12,8,NULL,NULL,NULL,NULL),(28,328,1,12,9,NULL,NULL,NULL,NULL),(28,328,1,12,10,NULL,NULL,NULL,NULL),(28,328,1,12,11,NULL,NULL,NULL,NULL),(28,328,1,12,12,NULL,NULL,NULL,NULL),(28,328,1,12,13,NULL,NULL,NULL,NULL),(28,328,1,12,14,NULL,NULL,NULL,NULL),(28,328,1,12,15,NULL,NULL,NULL,NULL),(28,328,1,12,16,NULL,NULL,NULL,NULL),(28,328,1,12,17,NULL,NULL,NULL,NULL),(28,328,1,12,18,NULL,NULL,NULL,NULL),(28,328,1,12,19,NULL,NULL,NULL,NULL),(28,328,1,12,20,NULL,NULL,NULL,NULL),(28,328,1,12,21,NULL,NULL,NULL,NULL),(28,328,1,12,22,NULL,NULL,NULL,NULL),(28,328,1,12,23,NULL,NULL,NULL,NULL),(28,328,1,12,24,NULL,NULL,NULL,NULL),(28,328,1,12,25,NULL,NULL,NULL,NULL),(28,328,1,12,26,NULL,NULL,NULL,NULL),(28,328,1,12,27,NULL,NULL,NULL,NULL),(28,328,1,12,28,NULL,NULL,NULL,NULL),(28,328,1,12,29,NULL,NULL,NULL,NULL),(28,328,1,12,30,NULL,NULL,NULL,NULL),(28,328,1,12,31,NULL,NULL,NULL,NULL),(28,328,1,12,32,NULL,NULL,NULL,NULL),(28,328,1,12,33,NULL,NULL,NULL,NULL),(28,328,1,12,34,NULL,NULL,NULL,NULL),(28,328,1,12,35,NULL,NULL,NULL,NULL),(28,328,1,12,36,NULL,NULL,NULL,NULL),(28,328,1,12,37,NULL,NULL,NULL,NULL),(28,328,1,12,38,NULL,NULL,NULL,NULL),(28,328,1,12,39,NULL,NULL,NULL,NULL),(28,328,1,12,40,NULL,NULL,NULL,NULL),(28,328,1,13,1,NULL,NULL,NULL,NULL),(28,328,1,13,2,NULL,NULL,NULL,NULL),(28,328,1,13,3,NULL,NULL,NULL,NULL),(28,328,1,13,4,NULL,NULL,NULL,NULL),(28,328,1,13,5,NULL,NULL,NULL,NULL),(28,328,1,13,6,NULL,NULL,NULL,NULL),(28,328,1,13,7,NULL,NULL,NULL,NULL),(28,328,1,13,8,NULL,NULL,NULL,NULL),(28,328,1,13,9,NULL,NULL,NULL,NULL),(28,328,1,13,10,NULL,NULL,NULL,NULL),(28,328,1,13,11,NULL,NULL,NULL,NULL),(28,328,1,13,12,NULL,NULL,NULL,NULL),(28,328,1,13,13,NULL,NULL,NULL,NULL),(28,328,1,13,14,NULL,NULL,NULL,NULL),(28,328,1,13,15,NULL,NULL,NULL,NULL),(28,328,1,13,16,NULL,NULL,NULL,NULL),(28,328,1,13,17,NULL,NULL,NULL,NULL),(28,328,1,13,18,NULL,NULL,NULL,NULL),(28,328,1,13,19,NULL,NULL,NULL,NULL),(28,328,1,13,20,NULL,NULL,NULL,NULL),(28,328,1,13,21,NULL,NULL,NULL,NULL),(28,328,1,13,22,NULL,NULL,NULL,NULL),(28,328,1,13,23,NULL,NULL,NULL,NULL),(28,328,1,13,24,NULL,NULL,NULL,NULL),(28,328,1,13,25,NULL,NULL,NULL,NULL),(28,328,1,13,26,NULL,NULL,NULL,NULL),(28,328,1,13,27,NULL,NULL,NULL,NULL),(28,328,1,13,28,NULL,NULL,NULL,NULL),(28,328,1,13,29,NULL,NULL,NULL,NULL),(28,328,1,13,30,NULL,NULL,NULL,NULL),(28,328,1,13,31,NULL,NULL,NULL,NULL),(28,328,1,13,32,NULL,NULL,NULL,NULL),(28,328,1,13,33,NULL,NULL,NULL,NULL),(28,328,1,13,34,NULL,NULL,NULL,NULL),(28,328,1,13,35,NULL,NULL,NULL,NULL),(28,328,1,13,36,NULL,NULL,NULL,NULL),(28,328,1,13,37,NULL,NULL,NULL,NULL),(28,328,1,13,38,NULL,NULL,NULL,NULL),(28,328,1,13,39,NULL,NULL,NULL,NULL),(28,328,1,13,40,NULL,NULL,NULL,NULL),(28,328,1,14,1,4,NULL,3,NULL),(28,328,1,14,2,NULL,4,NULL,4),(28,328,1,14,3,2,3,2,3),(28,328,1,14,4,1,3,1,3),(28,328,1,14,5,2,2,2,2),(28,328,1,14,6,NULL,7,NULL,6),(28,328,1,14,7,2,2,2,2),(28,328,1,14,8,1,5,1,5),(28,328,1,14,9,3,1,3,1),(28,328,1,14,10,5,2,4,2),(28,328,1,14,11,1,2,1,2),(28,328,1,14,12,2,4,2,3),(28,328,1,14,13,6,4,6,3),(28,328,1,14,14,4,2,4,1),(28,328,1,14,15,5,NULL,4,NULL),(28,328,1,14,16,4,2,3,2),(28,328,1,14,17,5,2,5,2),(28,328,1,14,18,4,2,4,2),(28,328,1,14,19,5,3,4,3),(28,328,1,14,20,4,4,4,3),(28,328,1,14,21,NULL,NULL,NULL,NULL),(28,328,1,14,22,NULL,4,NULL,4),(28,328,1,14,23,NULL,1,NULL,1),(28,328,1,14,24,NULL,NULL,NULL,NULL),(28,328,1,14,25,1,NULL,1,NULL),(28,328,1,14,26,1,1,1,1),(28,328,1,14,27,3,NULL,3,NULL),(28,328,1,14,28,1,NULL,1,NULL),(28,328,1,14,29,2,3,2,3),(28,328,1,14,30,NULL,2,NULL,2),(28,328,1,14,31,1,2,1,2),(28,328,1,14,32,1,2,1,2),(28,328,1,14,33,NULL,2,NULL,1),(28,328,1,14,34,1,3,1,3),(28,328,1,14,35,NULL,1,NULL,1),(28,328,1,14,36,NULL,NULL,NULL,NULL),(28,328,1,14,37,NULL,1,NULL,1),(28,328,1,14,38,1,1,1,1),(28,328,1,14,39,2,4,1,4),(28,328,1,14,40,2,NULL,1,NULL),(28,328,1,15,1,1,NULL,1,NULL),(28,328,1,15,2,NULL,2,NULL,2),(28,328,1,15,3,2,2,2,2),(28,328,1,15,4,1,2,1,1),(28,328,1,15,5,1,NULL,NULL,NULL),(28,328,1,15,6,NULL,3,NULL,2),(28,328,1,15,7,1,1,1,1),(28,328,1,15,8,1,1,1,1),(28,328,1,15,9,3,NULL,3,NULL),(28,328,1,15,10,3,1,3,1),(28,328,1,15,11,1,1,1,1),(28,328,1,15,12,1,2,1,NULL),(28,328,1,15,13,2,1,2,1),(28,328,1,15,14,NULL,3,NULL,3),(28,328,1,15,15,3,NULL,3,NULL),(28,328,1,15,16,3,1,3,1),(28,328,1,15,17,1,4,1,3),(28,328,1,15,18,2,1,2,1),(28,328,1,15,19,5,NULL,4,NULL),(28,328,1,15,20,1,3,1,2),(28,328,1,15,21,NULL,1,NULL,NULL),(28,328,1,15,22,NULL,1,NULL,NULL),(28,328,1,15,23,NULL,NULL,NULL,NULL),(28,328,1,15,24,NULL,NULL,NULL,NULL),(28,328,1,15,25,1,NULL,1,NULL),(28,328,1,15,26,NULL,NULL,NULL,NULL),(28,328,1,15,27,NULL,NULL,NULL,NULL),(28,328,1,15,28,NULL,NULL,NULL,NULL),(28,328,1,15,29,NULL,1,NULL,1),(28,328,1,15,30,1,1,1,1),(28,328,1,15,31,NULL,1,NULL,1),(28,328,1,15,32,NULL,1,NULL,1),(28,328,1,15,33,NULL,NULL,NULL,NULL),(28,328,1,15,34,NULL,NULL,NULL,NULL),(28,328,1,15,35,NULL,NULL,NULL,NULL),(28,328,1,15,36,NULL,NULL,NULL,NULL),(28,328,1,15,37,1,NULL,1,NULL),(28,328,1,15,38,NULL,NULL,NULL,NULL),(28,328,1,15,39,2,1,1,1),(28,328,1,15,40,NULL,NULL,NULL,NULL),(28,328,1,16,1,NULL,NULL,NULL,NULL),(28,328,1,16,2,NULL,1,NULL,NULL),(28,328,1,16,3,NULL,3,NULL,1),(28,328,1,16,4,NULL,NULL,NULL,NULL),(28,328,1,16,5,1,3,NULL,2),(28,328,1,16,6,1,3,1,1),(28,328,1,16,7,1,1,NULL,1),(28,328,1,16,8,NULL,1,NULL,NULL),(28,328,1,16,9,NULL,2,NULL,1),(28,328,1,16,10,NULL,1,NULL,1),(28,328,1,16,11,NULL,NULL,NULL,NULL),(28,328,1,16,12,NULL,NULL,NULL,NULL),(28,328,1,16,13,5,NULL,2,NULL),(28,328,1,16,14,2,NULL,1,NULL),(28,328,1,16,15,NULL,1,NULL,NULL),(28,328,1,16,16,5,NULL,2,NULL),(28,328,1,16,17,1,2,1,1),(28,328,1,16,18,NULL,2,NULL,1),(28,328,1,16,19,1,3,NULL,1),(28,328,1,16,20,NULL,1,NULL,NULL),(28,328,1,16,21,NULL,1,NULL,NULL),(28,328,1,16,22,NULL,1,NULL,NULL),(28,328,1,16,23,NULL,NULL,NULL,NULL),(28,328,1,16,24,NULL,NULL,NULL,NULL),(28,328,1,16,25,NULL,1,NULL,NULL),(28,328,1,16,26,NULL,NULL,NULL,NULL),(28,328,1,16,27,NULL,NULL,NULL,NULL),(28,328,1,16,28,NULL,NULL,NULL,NULL),(28,328,1,16,29,NULL,NULL,NULL,NULL),(28,328,1,16,30,1,1,1,NULL),(28,328,1,16,31,NULL,NULL,NULL,NULL),(28,328,1,16,32,NULL,NULL,NULL,NULL),(28,328,1,16,33,NULL,NULL,NULL,NULL),(28,328,1,16,34,NULL,NULL,NULL,NULL),(28,328,1,16,35,NULL,NULL,NULL,NULL),(28,328,1,16,36,NULL,NULL,NULL,NULL),(28,328,1,16,37,NULL,NULL,NULL,NULL),(28,328,1,16,38,NULL,1,NULL,NULL),(28,328,1,16,39,NULL,1,NULL,1),(28,328,1,16,40,NULL,NULL,NULL,NULL),(28,328,1,17,1,2,NULL,2,NULL),(28,328,1,17,2,NULL,2,NULL,2),(28,328,1,17,3,2,4,2,3),(28,328,1,17,4,1,3,NULL,2),(28,328,1,17,5,1,2,1,1),(28,328,1,17,6,1,5,1,3),(28,328,1,17,7,NULL,3,NULL,2),(28,328,1,17,8,NULL,3,NULL,2),(28,328,1,17,9,2,1,2,1),(28,328,1,17,10,4,1,3,NULL),(28,328,1,17,11,1,2,1,1),(28,328,1,17,12,NULL,2,NULL,1),(28,328,1,17,13,9,NULL,6,NULL),(28,328,1,17,14,9,2,4,2),(28,328,1,17,15,1,6,NULL,4),(28,328,1,17,16,9,NULL,6,NULL),(28,328,1,17,17,1,7,1,5),(28,328,1,17,18,1,3,1,2),(28,328,1,17,19,1,4,NULL,1),(28,328,1,17,20,NULL,3,NULL,2),(28,328,1,17,21,1,1,NULL,1),(28,328,1,17,22,NULL,1,NULL,NULL),(28,328,1,17,23,NULL,3,NULL,3),(28,328,1,17,24,NULL,NULL,NULL,NULL),(28,328,1,17,25,1,2,1,1),(28,328,1,17,26,1,1,NULL,NULL),(28,328,1,17,27,NULL,NULL,NULL,NULL),(28,328,1,17,28,NULL,1,NULL,NULL),(28,328,1,17,29,2,2,1,2),(28,328,1,17,30,NULL,5,NULL,3),(28,328,1,17,31,2,1,2,1),(28,328,1,17,32,2,NULL,2,NULL),(28,328,1,17,33,NULL,3,NULL,3),(28,328,1,17,34,NULL,3,NULL,2),(28,328,1,17,35,2,1,1,1),(28,328,1,17,36,NULL,NULL,NULL,NULL),(28,328,1,17,37,NULL,NULL,NULL,NULL),(28,328,1,17,38,NULL,2,NULL,1),(28,328,1,17,39,1,3,1,2),(28,328,1,17,40,NULL,NULL,NULL,NULL),(28,328,1,18,1,NULL,NULL,NULL,NULL),(28,328,1,18,2,NULL,NULL,NULL,NULL),(28,328,1,18,3,NULL,NULL,NULL,NULL),(28,328,1,18,4,NULL,NULL,NULL,NULL),(28,328,1,18,5,NULL,NULL,NULL,NULL),(28,328,1,18,6,NULL,NULL,NULL,NULL),(28,328,1,18,7,NULL,NULL,NULL,NULL),(28,328,1,18,8,NULL,NULL,NULL,NULL),(28,328,1,18,9,NULL,NULL,NULL,NULL),(28,328,1,18,10,NULL,NULL,NULL,NULL),(28,328,1,18,11,NULL,NULL,NULL,NULL),(28,328,1,18,12,NULL,NULL,NULL,NULL),(28,328,1,18,13,NULL,NULL,NULL,NULL),(28,328,1,18,14,NULL,NULL,NULL,NULL),(28,328,1,18,15,NULL,NULL,NULL,NULL),(28,328,1,18,16,NULL,NULL,NULL,NULL),(28,328,1,18,17,NULL,NULL,NULL,NULL),(28,328,1,18,18,NULL,NULL,NULL,NULL),(28,328,1,18,19,NULL,NULL,NULL,NULL),(28,328,1,18,20,NULL,NULL,NULL,NULL),(28,328,1,18,21,NULL,NULL,NULL,NULL),(28,328,1,18,22,NULL,NULL,NULL,NULL),(28,328,1,18,23,NULL,NULL,NULL,NULL),(28,328,1,18,24,NULL,NULL,NULL,NULL),(28,328,1,18,25,NULL,NULL,NULL,NULL),(28,328,1,18,26,NULL,NULL,NULL,NULL),(28,328,1,18,27,NULL,NULL,NULL,NULL),(28,328,1,18,28,NULL,NULL,NULL,NULL),(28,328,1,18,29,NULL,NULL,NULL,NULL),(28,328,1,18,30,NULL,NULL,NULL,NULL),(28,328,1,18,31,NULL,NULL,NULL,NULL),(28,328,1,18,32,NULL,NULL,NULL,NULL),(28,328,1,18,33,NULL,NULL,NULL,NULL),(28,328,1,18,34,NULL,NULL,NULL,NULL),(28,328,1,18,35,NULL,NULL,NULL,NULL),(28,328,1,18,36,NULL,NULL,NULL,NULL),(28,328,1,18,37,NULL,NULL,NULL,NULL),(28,328,1,18,38,NULL,NULL,NULL,NULL),(28,328,1,18,39,NULL,NULL,NULL,NULL),(28,328,1,18,40,NULL,NULL,NULL,NULL),(28,328,1,19,1,NULL,NULL,NULL,NULL),(28,328,1,19,2,NULL,NULL,NULL,NULL),(28,328,1,19,3,NULL,NULL,NULL,NULL),(28,328,1,19,4,NULL,NULL,NULL,NULL),(28,328,1,19,5,NULL,NULL,NULL,NULL),(28,328,1,19,6,NULL,NULL,NULL,NULL),(28,328,1,19,7,NULL,NULL,NULL,NULL),(28,328,1,19,8,NULL,NULL,NULL,NULL),(28,328,1,19,9,NULL,NULL,NULL,NULL),(28,328,1,19,10,NULL,NULL,NULL,NULL),(28,328,1,19,11,NULL,NULL,NULL,NULL),(28,328,1,19,12,NULL,NULL,NULL,NULL),(28,328,1,19,13,NULL,NULL,NULL,NULL),(28,328,1,19,14,NULL,NULL,NULL,NULL),(28,328,1,19,15,NULL,NULL,NULL,NULL),(28,328,1,19,16,NULL,NULL,NULL,NULL),(28,328,1,19,17,NULL,NULL,NULL,NULL),(28,328,1,19,18,NULL,NULL,NULL,NULL),(28,328,1,19,19,NULL,NULL,NULL,NULL),(28,328,1,19,20,NULL,NULL,NULL,NULL),(28,328,1,19,21,NULL,NULL,NULL,NULL),(28,328,1,19,22,NULL,NULL,NULL,NULL),(28,328,1,19,23,NULL,NULL,NULL,NULL),(28,328,1,19,24,NULL,NULL,NULL,NULL),(28,328,1,19,25,NULL,NULL,NULL,NULL),(28,328,1,19,26,NULL,NULL,NULL,NULL),(28,328,1,19,27,NULL,NULL,NULL,NULL),(28,328,1,19,28,NULL,NULL,NULL,NULL),(28,328,1,19,29,NULL,NULL,NULL,NULL),(28,328,1,19,30,NULL,NULL,NULL,NULL),(28,328,1,19,31,NULL,NULL,NULL,NULL),(28,328,1,19,32,NULL,NULL,NULL,NULL),(28,328,1,19,33,NULL,NULL,NULL,NULL),(28,328,1,19,34,NULL,NULL,NULL,NULL),(28,328,1,19,35,NULL,NULL,NULL,NULL),(28,328,1,19,36,NULL,NULL,NULL,NULL),(28,328,1,19,37,NULL,NULL,NULL,NULL),(28,328,1,19,38,NULL,NULL,NULL,NULL),(28,328,1,19,39,NULL,NULL,NULL,NULL),(28,328,1,19,40,NULL,NULL,NULL,NULL),(28,328,2,21,1,NULL,4,NULL,NULL),(28,328,2,21,2,NULL,3,NULL,2),(28,328,2,21,3,5,1,1,1),(28,328,2,21,4,NULL,NULL,NULL,NULL),(28,328,2,21,5,1,3,1,2),(28,328,2,21,6,2,3,2,NULL),(28,328,2,21,7,NULL,3,NULL,1),(28,328,2,21,8,1,1,1,NULL),(28,328,2,21,9,NULL,1,NULL,1),(28,328,2,21,10,2,1,2,1),(28,328,2,21,11,1,NULL,NULL,NULL),(28,328,2,21,12,2,3,1,2),(28,328,2,21,13,NULL,5,NULL,3),(28,328,2,21,14,NULL,2,NULL,1),(28,328,2,21,15,NULL,2,NULL,1),(28,328,2,21,16,1,3,NULL,1),(28,328,2,21,17,NULL,1,NULL,NULL),(28,328,2,21,18,6,NULL,3,NULL),(28,328,2,21,19,1,3,1,1),(28,328,2,21,20,1,1,1,NULL),(28,328,2,21,21,NULL,NULL,NULL,NULL),(28,328,2,21,22,NULL,1,NULL,1),(28,328,2,21,23,1,NULL,NULL,NULL),(28,328,2,21,24,NULL,3,NULL,1),(28,328,2,21,25,1,NULL,NULL,NULL),(28,328,2,21,26,NULL,NULL,NULL,NULL),(28,328,2,21,27,NULL,2,NULL,2),(28,328,2,21,28,NULL,NULL,NULL,NULL),(28,328,2,21,29,NULL,NULL,NULL,NULL),(28,328,2,21,30,NULL,1,NULL,1),(28,328,2,21,31,NULL,4,NULL,2),(28,328,2,21,32,NULL,NULL,NULL,NULL),(28,328,2,21,33,2,NULL,NULL,NULL),(28,328,2,21,34,NULL,1,NULL,1),(28,328,2,21,35,NULL,NULL,NULL,NULL),(28,328,2,21,36,NULL,NULL,NULL,NULL),(28,328,2,21,37,NULL,1,NULL,1),(28,328,2,21,38,NULL,NULL,NULL,NULL),(28,328,2,21,39,NULL,NULL,NULL,NULL),(28,328,2,21,40,NULL,3,NULL,1),(28,328,2,22,1,1,4,1,2),(28,328,2,22,2,NULL,1,NULL,1),(28,328,2,22,3,4,NULL,3,NULL),(28,328,2,22,4,NULL,1,NULL,1),(28,328,2,22,5,1,1,1,1),(28,328,2,22,6,3,1,3,NULL),(28,328,2,22,7,NULL,3,NULL,2),(28,328,2,22,8,2,2,2,1),(28,328,2,22,9,NULL,1,NULL,1),(28,328,2,22,10,1,1,1,1),(28,328,2,22,11,1,1,1,1),(28,328,2,22,12,NULL,3,NULL,2),(28,328,2,22,13,1,4,1,2),(28,328,2,22,14,2,3,1,2),(28,328,2,22,15,4,1,3,NULL),(28,328,2,22,16,1,3,NULL,3),(28,328,2,22,17,NULL,1,NULL,1),(28,328,2,22,18,2,3,2,2),(28,328,2,22,19,1,5,1,3),(28,328,2,22,20,3,1,2,NULL),(28,328,2,22,21,NULL,1,NULL,1),(28,328,2,22,22,NULL,NULL,NULL,NULL),(28,328,2,22,23,NULL,NULL,NULL,NULL),(28,328,2,22,24,NULL,NULL,NULL,NULL),(28,328,2,22,25,NULL,2,NULL,1),(28,328,2,22,26,NULL,1,NULL,NULL),(28,328,2,22,27,NULL,3,NULL,3),(28,328,2,22,28,NULL,NULL,NULL,NULL),(28,328,2,22,29,NULL,NULL,NULL,NULL),(28,328,2,22,30,NULL,1,NULL,1),(28,328,2,22,31,NULL,1,NULL,1),(28,328,2,22,32,NULL,NULL,NULL,NULL),(28,328,2,22,33,NULL,NULL,NULL,NULL),(28,328,2,22,34,NULL,2,NULL,1),(28,328,2,22,35,1,NULL,NULL,NULL),(28,328,2,22,36,NULL,NULL,NULL,NULL),(28,328,2,22,37,NULL,1,NULL,1),(28,328,2,22,38,NULL,NULL,NULL,NULL),(28,328,2,22,39,NULL,NULL,NULL,NULL),(28,328,2,22,40,NULL,2,NULL,2),(28,328,2,23,1,NULL,6,NULL,6),(28,328,2,23,2,NULL,5,NULL,5),(28,328,2,23,3,3,3,3,3),(28,328,2,23,4,NULL,1,NULL,1),(28,328,2,23,5,NULL,2,NULL,2),(28,328,2,23,6,2,2,2,2),(28,328,2,23,7,NULL,3,NULL,3),(28,328,2,23,8,1,5,1,5),(28,328,2,23,9,NULL,1,NULL,1),(28,328,2,23,10,1,1,1,1),(28,328,2,23,11,NULL,2,NULL,2),(28,328,2,23,12,1,1,1,1),(28,328,2,23,13,2,6,2,6),(28,328,2,23,14,2,2,2,2),(28,328,2,23,15,NULL,2,NULL,2),(28,328,2,23,16,2,4,2,4),(28,328,2,23,17,NULL,2,NULL,2),(28,328,2,23,18,4,3,4,3),(28,328,2,23,19,NULL,6,NULL,6),(28,328,2,23,20,2,3,2,3),(28,328,2,23,21,NULL,2,NULL,2),(28,328,2,23,22,1,1,1,1),(28,328,2,23,23,NULL,NULL,NULL,NULL),(28,328,2,23,24,NULL,NULL,NULL,NULL),(28,328,2,23,25,NULL,2,NULL,2),(28,328,2,23,26,NULL,NULL,NULL,NULL),(28,328,2,23,27,NULL,3,NULL,3),(28,328,2,23,28,1,2,1,2),(28,328,2,23,29,NULL,2,NULL,2),(28,328,2,23,30,NULL,1,NULL,1),(28,328,2,23,31,NULL,2,NULL,2),(28,328,2,23,32,NULL,NULL,NULL,NULL),(28,328,2,23,33,NULL,1,NULL,1),(28,328,2,23,34,NULL,NULL,NULL,NULL),(28,328,2,23,35,1,NULL,1,NULL),(28,328,2,23,36,NULL,NULL,NULL,NULL),(28,328,2,23,37,1,1,1,1),(28,328,2,23,38,NULL,NULL,NULL,NULL),(28,328,2,23,39,NULL,NULL,NULL,NULL),(28,328,2,23,40,NULL,5,NULL,5),(28,328,2,24,1,NULL,3,NULL,2),(28,328,2,24,2,NULL,3,NULL,3),(28,328,2,24,3,2,4,2,3),(28,328,2,24,4,NULL,NULL,NULL,NULL),(28,328,2,24,5,1,2,1,2),(28,328,2,24,6,2,4,2,3),(28,328,2,24,7,NULL,3,NULL,3),(28,328,2,24,8,1,2,1,2),(28,328,2,24,9,NULL,1,NULL,1),(28,328,2,24,10,2,3,2,3),(28,328,2,24,11,NULL,2,NULL,1),(28,328,2,24,12,NULL,3,NULL,3),(28,328,2,24,13,1,5,1,4),(28,328,2,24,14,1,1,1,NULL),(28,328,2,24,15,1,1,1,1),(28,328,2,24,16,1,3,1,3),(28,328,2,24,17,NULL,4,NULL,3),(28,328,2,24,18,1,3,1,3),(28,328,2,24,19,NULL,1,NULL,1),(28,328,2,24,20,2,2,2,2),(28,328,2,24,21,NULL,1,NULL,NULL),(28,328,2,24,22,1,2,1,1),(28,328,2,24,23,NULL,1,NULL,NULL),(28,328,2,24,24,NULL,NULL,NULL,NULL),(28,328,2,24,25,NULL,2,NULL,2),(28,328,2,24,26,1,2,1,2),(28,328,2,24,27,NULL,5,NULL,5),(28,328,2,24,28,NULL,NULL,NULL,NULL),(28,328,2,24,29,NULL,1,NULL,1),(28,328,2,24,30,NULL,3,NULL,3),(28,328,2,24,31,NULL,1,NULL,1),(28,328,2,24,32,NULL,NULL,NULL,NULL),(28,328,2,24,33,NULL,NULL,NULL,NULL),(28,328,2,24,34,NULL,3,NULL,3),(28,328,2,24,35,NULL,NULL,NULL,NULL),(28,328,2,24,36,NULL,1,NULL,1),(28,328,2,24,37,NULL,1,NULL,1),(28,328,2,24,38,NULL,NULL,NULL,NULL),(28,328,2,24,39,NULL,NULL,NULL,NULL),(28,328,2,24,40,NULL,2,NULL,2),(28,329,1,11,1,NULL,NULL,NULL,NULL),(28,329,1,11,2,NULL,NULL,NULL,NULL),(28,329,1,11,3,NULL,NULL,NULL,NULL),(28,329,1,11,4,NULL,NULL,NULL,NULL),(28,329,1,11,5,NULL,NULL,NULL,NULL),(28,329,1,11,6,NULL,NULL,NULL,NULL),(28,329,1,11,7,NULL,NULL,NULL,NULL),(28,329,1,11,8,NULL,NULL,NULL,NULL),(28,329,1,11,9,NULL,NULL,NULL,NULL),(28,329,1,11,10,NULL,NULL,NULL,NULL),(28,329,1,11,11,NULL,NULL,NULL,NULL),(28,329,1,11,12,NULL,NULL,NULL,NULL),(28,329,1,11,13,NULL,NULL,NULL,NULL),(28,329,1,11,14,NULL,NULL,NULL,NULL),(28,329,1,11,15,NULL,NULL,NULL,NULL),(28,329,1,11,16,NULL,NULL,NULL,NULL),(28,329,1,11,17,NULL,NULL,NULL,NULL),(28,329,1,11,18,NULL,NULL,NULL,NULL),(28,329,1,11,19,NULL,NULL,NULL,NULL),(28,329,1,11,20,NULL,NULL,NULL,NULL),(28,329,1,11,21,NULL,NULL,NULL,NULL),(28,329,1,11,22,NULL,NULL,NULL,NULL),(28,329,1,11,23,NULL,NULL,NULL,NULL),(28,329,1,11,24,NULL,NULL,NULL,NULL),(28,329,1,11,25,NULL,NULL,NULL,NULL),(28,329,1,11,26,NULL,NULL,NULL,NULL),(28,329,1,11,27,NULL,NULL,NULL,NULL),(28,329,1,11,28,NULL,NULL,NULL,NULL),(28,329,1,11,29,NULL,NULL,NULL,NULL),(28,329,1,11,30,NULL,NULL,NULL,NULL),(28,329,1,11,31,NULL,NULL,NULL,NULL),(28,329,1,11,32,NULL,NULL,NULL,NULL),(28,329,1,11,33,NULL,NULL,NULL,NULL),(28,329,1,11,34,NULL,NULL,NULL,NULL),(28,329,1,11,35,NULL,NULL,NULL,NULL),(28,329,1,11,36,NULL,NULL,NULL,NULL),(28,329,1,11,37,NULL,NULL,NULL,NULL),(28,329,1,11,38,NULL,NULL,NULL,NULL),(28,329,1,11,39,NULL,NULL,NULL,NULL),(28,329,1,11,40,NULL,NULL,NULL,NULL),(28,329,1,12,1,1,NULL,1,NULL),(28,329,1,12,2,NULL,NULL,NULL,NULL),(28,329,1,12,3,1,1,1,NULL),(28,329,1,12,4,NULL,1,NULL,1),(28,329,1,12,5,1,NULL,1,NULL),(28,329,1,12,6,1,1,1,NULL),(28,329,1,12,7,1,NULL,1,NULL),(28,329,1,12,8,1,NULL,1,NULL),(28,329,1,12,9,NULL,NULL,NULL,NULL),(28,329,1,12,10,1,NULL,1,NULL),(28,329,1,12,11,NULL,1,NULL,1),(28,329,1,12,12,1,NULL,1,NULL),(28,329,1,12,13,1,NULL,1,NULL),(28,329,1,12,14,NULL,NULL,NULL,NULL),(28,329,1,12,15,NULL,1,NULL,1),(28,329,1,12,16,1,NULL,1,NULL),(28,329,1,12,17,1,NULL,1,NULL),(28,329,1,12,18,NULL,1,NULL,1),(28,329,1,12,19,NULL,1,NULL,1),(28,329,1,12,20,NULL,1,NULL,1),(28,329,1,12,21,NULL,NULL,NULL,NULL),(28,329,1,12,22,NULL,NULL,NULL,NULL),(28,329,1,12,23,NULL,NULL,NULL,NULL),(28,329,1,12,24,NULL,NULL,NULL,NULL),(28,329,1,12,25,NULL,NULL,NULL,NULL),(28,329,1,12,26,NULL,NULL,NULL,NULL),(28,329,1,12,27,1,NULL,1,NULL),(28,329,1,12,28,NULL,NULL,NULL,NULL),(28,329,1,12,29,NULL,NULL,NULL,NULL),(28,329,1,12,30,NULL,NULL,NULL,NULL),(28,329,1,12,31,1,NULL,NULL,NULL),(28,329,1,12,32,NULL,1,NULL,1),(28,329,1,12,33,NULL,NULL,NULL,NULL),(28,329,1,12,34,NULL,NULL,NULL,NULL),(28,329,1,12,35,NULL,NULL,NULL,NULL),(28,329,1,12,36,NULL,NULL,NULL,NULL),(28,329,1,12,37,NULL,NULL,NULL,NULL),(28,329,1,12,38,NULL,NULL,NULL,NULL),(28,329,1,12,39,NULL,NULL,NULL,NULL),(28,329,1,12,40,1,NULL,1,NULL),(28,329,1,13,1,NULL,NULL,NULL,NULL),(28,329,1,13,2,NULL,NULL,NULL,NULL),(28,329,1,13,3,NULL,NULL,NULL,NULL),(28,329,1,13,4,NULL,NULL,NULL,NULL),(28,329,1,13,5,NULL,NULL,NULL,NULL),(28,329,1,13,6,NULL,NULL,NULL,NULL),(28,329,1,13,7,NULL,NULL,NULL,NULL),(28,329,1,13,8,NULL,NULL,NULL,NULL),(28,329,1,13,9,NULL,NULL,NULL,NULL),(28,329,1,13,10,NULL,NULL,NULL,NULL),(28,329,1,13,11,NULL,NULL,NULL,NULL),(28,329,1,13,12,NULL,NULL,NULL,NULL),(28,329,1,13,13,NULL,NULL,NULL,NULL),(28,329,1,13,14,NULL,NULL,NULL,NULL),(28,329,1,13,15,NULL,NULL,NULL,NULL),(28,329,1,13,16,NULL,NULL,NULL,NULL),(28,329,1,13,17,NULL,NULL,NULL,NULL),(28,329,1,13,18,NULL,NULL,NULL,NULL),(28,329,1,13,19,NULL,NULL,NULL,NULL),(28,329,1,13,20,NULL,NULL,NULL,NULL),(28,329,1,13,21,NULL,NULL,NULL,NULL),(28,329,1,13,22,NULL,NULL,NULL,NULL),(28,329,1,13,23,NULL,NULL,NULL,NULL),(28,329,1,13,24,NULL,NULL,NULL,NULL),(28,329,1,13,25,NULL,NULL,NULL,NULL),(28,329,1,13,26,NULL,NULL,NULL,NULL),(28,329,1,13,27,NULL,NULL,NULL,NULL),(28,329,1,13,28,NULL,NULL,NULL,NULL),(28,329,1,13,29,NULL,NULL,NULL,NULL),(28,329,1,13,30,NULL,NULL,NULL,NULL),(28,329,1,13,31,NULL,NULL,NULL,NULL),(28,329,1,13,32,NULL,NULL,NULL,NULL),(28,329,1,13,33,NULL,NULL,NULL,NULL),(28,329,1,13,34,NULL,NULL,NULL,NULL),(28,329,1,13,35,NULL,NULL,NULL,NULL),(28,329,1,13,36,NULL,NULL,NULL,NULL),(28,329,1,13,37,NULL,NULL,NULL,NULL),(28,329,1,13,38,NULL,NULL,NULL,NULL),(28,329,1,13,39,NULL,NULL,NULL,NULL),(28,329,1,13,40,NULL,NULL,NULL,NULL),(28,329,1,14,1,5,NULL,4,NULL),(28,329,1,14,2,2,1,1,1),(28,329,1,14,3,1,1,1,1),(28,329,1,14,4,1,NULL,1,NULL),(28,329,1,14,5,1,4,NULL,3),(28,329,1,14,6,1,4,1,3),(28,329,1,14,7,1,1,1,1),(28,329,1,14,8,1,2,1,2),(28,329,1,14,9,NULL,1,NULL,1),(28,329,1,14,10,2,NULL,2,NULL),(28,329,1,14,11,1,1,1,1),(28,329,1,14,12,2,4,1,3),(28,329,1,14,13,3,2,3,2),(28,329,1,14,14,2,1,2,1),(28,329,1,14,15,5,NULL,4,NULL),(28,329,1,14,16,5,NULL,4,NULL),(28,329,1,14,17,1,4,1,3),(28,329,1,14,18,4,1,3,1),(28,329,1,14,19,6,1,5,1),(28,329,1,14,20,6,2,5,1),(28,329,1,14,21,NULL,3,NULL,3),(28,329,1,14,22,NULL,3,NULL,2),(28,329,1,14,23,NULL,2,NULL,2),(28,329,1,14,24,NULL,NULL,NULL,NULL),(28,329,1,14,25,NULL,2,NULL,2),(28,329,1,14,26,NULL,NULL,NULL,NULL),(28,329,1,14,27,2,NULL,2,NULL),(28,329,1,14,28,NULL,2,NULL,2),(28,329,1,14,29,NULL,1,NULL,1),(28,329,1,14,30,1,1,1,1),(28,329,1,14,31,NULL,1,NULL,NULL),(28,329,1,14,32,2,3,2,3),(28,329,1,14,33,NULL,1,NULL,1),(28,329,1,14,34,4,NULL,3,NULL),(28,329,1,14,35,NULL,NULL,NULL,NULL),(28,329,1,14,36,NULL,NULL,NULL,NULL),(28,329,1,14,37,NULL,2,NULL,2),(28,329,1,14,38,NULL,NULL,NULL,NULL),(28,329,1,14,39,2,1,2,1),(28,329,1,14,40,NULL,NULL,NULL,NULL),(28,329,1,15,1,1,NULL,1,NULL),(28,329,1,15,2,NULL,2,NULL,2),(28,329,1,15,3,2,4,2,3),(28,329,1,15,4,1,4,1,4),(28,329,1,15,5,5,1,4,NULL),(28,329,1,15,6,NULL,3,NULL,2),(28,329,1,15,7,1,2,1,1),(28,329,1,15,8,NULL,6,NULL,5),(28,329,1,15,9,NULL,2,NULL,2),(28,329,1,15,10,5,3,5,2),(28,329,1,15,11,NULL,2,NULL,2),(28,329,1,15,12,NULL,2,NULL,2),(28,329,1,15,13,6,3,6,2),(28,329,1,15,14,4,2,4,2),(28,329,1,15,15,3,NULL,3,NULL),(28,329,1,15,16,5,2,5,2),(28,329,1,15,17,1,7,1,6),(28,329,1,15,18,5,NULL,5,NULL),(28,329,1,15,19,6,1,5,1),(28,329,1,15,20,3,5,2,5),(28,329,1,15,21,NULL,4,NULL,4),(28,329,1,15,22,NULL,4,NULL,4),(28,329,1,15,23,1,2,1,2),(28,329,1,15,24,NULL,NULL,NULL,NULL),(28,329,1,15,25,2,NULL,1,NULL),(28,329,1,15,26,NULL,NULL,NULL,NULL),(28,329,1,15,27,2,NULL,2,NULL),(28,329,1,15,28,NULL,1,NULL,1),(28,329,1,15,29,1,2,1,2),(28,329,1,15,30,NULL,4,NULL,3),(28,329,1,15,31,1,1,1,1),(28,329,1,15,32,NULL,4,NULL,3),(28,329,1,15,33,2,1,2,1),(28,329,1,15,34,1,1,1,1),(28,329,1,15,35,NULL,NULL,NULL,NULL),(28,329,1,15,36,2,NULL,2,NULL),(28,329,1,15,37,1,2,NULL,2),(28,329,1,15,38,1,1,1,1),(28,329,1,15,39,2,4,2,3),(28,329,1,15,40,2,NULL,2,NULL),(28,329,1,16,1,4,NULL,3,NULL),(28,329,1,16,2,NULL,1,NULL,1),(28,329,1,16,3,2,3,2,1),(28,329,1,16,4,1,3,1,3),(28,329,1,16,5,3,1,2,1),(28,329,1,16,6,1,5,1,4),(28,329,1,16,7,NULL,3,NULL,2),(28,329,1,16,8,NULL,4,NULL,4),(28,329,1,16,9,1,1,1,1),(28,329,1,16,10,NULL,3,NULL,3),(28,329,1,16,11,1,4,NULL,3),(28,329,1,16,12,NULL,2,NULL,2),(28,329,1,16,13,12,NULL,8,NULL),(28,329,1,16,14,8,2,7,NULL),(28,329,1,16,15,1,6,1,5),(28,329,1,16,16,7,NULL,6,NULL),(28,329,1,16,17,4,4,3,2),(28,329,1,16,18,3,3,3,1),(28,329,1,16,19,NULL,4,NULL,3),(28,329,1,16,20,2,2,2,2),(28,329,1,16,21,1,1,1,1),(28,329,1,16,22,NULL,1,NULL,1),(28,329,1,16,23,NULL,2,NULL,2),(28,329,1,16,24,NULL,NULL,NULL,NULL),(28,329,1,16,25,2,2,2,1),(28,329,1,16,26,NULL,NULL,NULL,NULL),(28,329,1,16,27,NULL,NULL,NULL,NULL),(28,329,1,16,28,NULL,NULL,NULL,NULL),(28,329,1,16,29,1,1,1,1),(28,329,1,16,30,2,3,2,2),(28,329,1,16,31,NULL,1,NULL,1),(28,329,1,16,32,2,3,2,2),(28,329,1,16,33,NULL,3,NULL,2),(28,329,1,16,34,1,1,1,1),(28,329,1,16,35,NULL,1,NULL,NULL),(28,329,1,16,36,NULL,NULL,NULL,NULL),(28,329,1,16,37,1,1,1,1),(28,329,1,16,38,NULL,NULL,NULL,NULL),(28,329,1,16,39,1,3,1,1),(28,329,1,16,40,1,NULL,NULL,NULL),(28,329,1,17,1,3,NULL,2,NULL),(28,329,1,17,2,NULL,1,NULL,NULL),(28,329,1,17,3,1,2,1,1),(28,329,1,17,4,1,2,NULL,2),(28,329,1,17,5,1,NULL,1,NULL),(28,329,1,17,6,NULL,1,NULL,NULL),(28,329,1,17,7,1,3,NULL,2),(28,329,1,17,8,NULL,1,NULL,1),(28,329,1,17,9,NULL,NULL,NULL,NULL),(28,329,1,17,10,1,1,1,NULL),(28,329,1,17,11,NULL,1,NULL,1),(28,329,1,17,12,NULL,NULL,NULL,NULL),(28,329,1,17,13,7,NULL,4,NULL),(28,329,1,17,14,5,2,2,1),(28,329,1,17,15,2,4,1,2),(28,329,1,17,16,7,NULL,4,NULL),(28,329,1,17,17,2,3,2,1),(28,329,1,17,18,2,2,1,1),(28,329,1,17,19,NULL,5,NULL,2),(28,329,1,17,20,NULL,2,NULL,2),(28,329,1,17,21,NULL,1,NULL,1),(28,329,1,17,22,NULL,NULL,NULL,NULL),(28,329,1,17,23,NULL,4,NULL,2),(28,329,1,17,24,NULL,NULL,NULL,NULL),(28,329,1,17,25,NULL,2,NULL,NULL),(28,329,1,17,26,NULL,1,NULL,NULL),(28,329,1,17,27,NULL,NULL,NULL,NULL),(28,329,1,17,28,NULL,NULL,NULL,NULL),(28,329,1,17,29,1,1,NULL,NULL),(28,329,1,17,30,1,2,1,1),(28,329,1,17,31,1,2,1,NULL),(28,329,1,17,32,2,1,1,1),(28,329,1,17,33,1,1,NULL,NULL),(28,329,1,17,34,2,2,NULL,2),(28,329,1,17,35,NULL,NULL,NULL,NULL),(28,329,1,17,36,NULL,NULL,NULL,NULL),(28,329,1,17,37,NULL,NULL,NULL,NULL),(28,329,1,17,38,NULL,NULL,NULL,NULL),(28,329,1,17,39,NULL,3,NULL,2),(28,329,1,17,40,NULL,NULL,NULL,NULL),(28,329,1,18,1,NULL,NULL,NULL,NULL),(28,329,1,18,2,NULL,NULL,NULL,NULL),(28,329,1,18,3,NULL,NULL,NULL,NULL),(28,329,1,18,4,NULL,NULL,NULL,NULL),(28,329,1,18,5,NULL,NULL,NULL,NULL),(28,329,1,18,6,NULL,NULL,NULL,NULL),(28,329,1,18,7,NULL,NULL,NULL,NULL),(28,329,1,18,8,NULL,NULL,NULL,NULL),(28,329,1,18,9,NULL,NULL,NULL,NULL),(28,329,1,18,10,NULL,NULL,NULL,NULL),(28,329,1,18,11,NULL,NULL,NULL,NULL),(28,329,1,18,12,NULL,NULL,NULL,NULL),(28,329,1,18,13,NULL,NULL,NULL,NULL),(28,329,1,18,14,NULL,NULL,NULL,NULL),(28,329,1,18,15,NULL,NULL,NULL,NULL),(28,329,1,18,16,NULL,NULL,NULL,NULL),(28,329,1,18,17,NULL,NULL,NULL,NULL),(28,329,1,18,18,NULL,NULL,NULL,NULL),(28,329,1,18,19,NULL,NULL,NULL,NULL),(28,329,1,18,20,NULL,NULL,NULL,NULL),(28,329,1,18,21,NULL,NULL,NULL,NULL),(28,329,1,18,22,NULL,NULL,NULL,NULL),(28,329,1,18,23,NULL,NULL,NULL,NULL),(28,329,1,18,24,NULL,NULL,NULL,NULL),(28,329,1,18,25,NULL,NULL,NULL,NULL),(28,329,1,18,26,NULL,NULL,NULL,NULL),(28,329,1,18,27,NULL,NULL,NULL,NULL),(28,329,1,18,28,NULL,NULL,NULL,NULL),(28,329,1,18,29,NULL,NULL,NULL,NULL),(28,329,1,18,30,NULL,NULL,NULL,NULL),(28,329,1,18,31,NULL,NULL,NULL,NULL),(28,329,1,18,32,NULL,NULL,NULL,NULL),(28,329,1,18,33,NULL,NULL,NULL,NULL),(28,329,1,18,34,NULL,NULL,NULL,NULL),(28,329,1,18,35,NULL,NULL,NULL,NULL),(28,329,1,18,36,NULL,NULL,NULL,NULL),(28,329,1,18,37,NULL,NULL,NULL,NULL),(28,329,1,18,38,NULL,NULL,NULL,NULL),(28,329,1,18,39,NULL,NULL,NULL,NULL),(28,329,1,18,40,NULL,NULL,NULL,NULL),(28,329,1,19,1,NULL,NULL,NULL,NULL),(28,329,1,19,2,NULL,NULL,NULL,NULL),(28,329,1,19,3,NULL,NULL,NULL,NULL),(28,329,1,19,4,NULL,NULL,NULL,NULL),(28,329,1,19,5,NULL,NULL,NULL,NULL),(28,329,1,19,6,NULL,NULL,NULL,NULL),(28,329,1,19,7,NULL,NULL,NULL,NULL),(28,329,1,19,8,NULL,NULL,NULL,NULL),(28,329,1,19,9,NULL,NULL,NULL,NULL),(28,329,1,19,10,NULL,NULL,NULL,NULL),(28,329,1,19,11,NULL,NULL,NULL,NULL),(28,329,1,19,12,NULL,NULL,NULL,NULL),(28,329,1,19,13,NULL,NULL,NULL,NULL),(28,329,1,19,14,NULL,NULL,NULL,NULL),(28,329,1,19,15,NULL,NULL,NULL,NULL),(28,329,1,19,16,NULL,NULL,NULL,NULL),(28,329,1,19,17,NULL,NULL,NULL,NULL),(28,329,1,19,18,NULL,NULL,NULL,NULL),(28,329,1,19,19,NULL,NULL,NULL,NULL),(28,329,1,19,20,NULL,NULL,NULL,NULL),(28,329,1,19,21,NULL,NULL,NULL,NULL),(28,329,1,19,22,NULL,NULL,NULL,NULL),(28,329,1,19,23,NULL,NULL,NULL,NULL),(28,329,1,19,24,NULL,NULL,NULL,NULL),(28,329,1,19,25,NULL,NULL,NULL,NULL),(28,329,1,19,26,NULL,NULL,NULL,NULL),(28,329,1,19,27,NULL,NULL,NULL,NULL),(28,329,1,19,28,NULL,NULL,NULL,NULL),(28,329,1,19,29,NULL,NULL,NULL,NULL),(28,329,1,19,30,NULL,NULL,NULL,NULL),(28,329,1,19,31,NULL,NULL,NULL,NULL),(28,329,1,19,32,NULL,NULL,NULL,NULL),(28,329,1,19,33,NULL,NULL,NULL,NULL),(28,329,1,19,34,NULL,NULL,NULL,NULL),(28,329,1,19,35,NULL,NULL,NULL,NULL),(28,329,1,19,36,NULL,NULL,NULL,NULL),(28,329,1,19,37,NULL,NULL,NULL,NULL),(28,329,1,19,38,NULL,NULL,NULL,NULL),(28,329,1,19,39,NULL,NULL,NULL,NULL),(28,329,1,19,40,NULL,NULL,NULL,NULL),(28,329,2,21,1,NULL,4,NULL,2),(28,329,2,21,2,NULL,3,NULL,3),(28,329,2,21,3,3,6,2,3),(28,329,2,21,4,NULL,1,NULL,1),(28,329,2,21,5,1,6,1,2),(28,329,2,21,6,2,3,1,2),(28,329,2,21,7,NULL,6,NULL,3),(28,329,2,21,8,3,1,2,1),(28,329,2,21,9,NULL,4,NULL,2),(28,329,2,21,10,1,5,NULL,3),(28,329,2,21,11,1,2,1,1),(28,329,2,21,12,1,4,1,4),(28,329,2,21,13,NULL,7,NULL,6),(28,329,2,21,14,3,6,3,3),(28,329,2,21,15,2,4,1,4),(28,329,2,21,16,2,2,2,NULL),(28,329,2,21,17,NULL,3,NULL,NULL),(28,329,2,21,18,4,4,4,1),(28,329,2,21,19,2,4,1,2),(28,329,2,21,20,2,4,2,2),(28,329,2,21,21,NULL,3,NULL,1),(28,329,2,21,22,1,2,1,1),(28,329,2,21,23,1,2,NULL,1),(28,329,2,21,24,NULL,2,NULL,1),(28,329,2,21,25,NULL,2,NULL,2),(28,329,2,21,26,NULL,2,NULL,NULL),(28,329,2,21,27,1,4,1,2),(28,329,2,21,28,NULL,NULL,NULL,NULL),(28,329,2,21,29,NULL,3,NULL,1),(28,329,2,21,30,NULL,2,NULL,NULL),(28,329,2,21,31,NULL,1,NULL,1),(28,329,2,21,32,NULL,NULL,NULL,NULL),(28,329,2,21,33,NULL,5,NULL,3),(28,329,2,21,34,1,2,1,NULL),(28,329,2,21,35,3,NULL,2,NULL),(28,329,2,21,36,NULL,3,NULL,2),(28,329,2,21,37,NULL,3,NULL,NULL),(28,329,2,21,38,NULL,1,NULL,1),(28,329,2,21,39,NULL,NULL,NULL,NULL),(28,329,2,21,40,NULL,2,NULL,2),(28,329,2,22,1,NULL,6,NULL,3),(28,329,2,22,2,NULL,2,NULL,1),(28,329,2,22,3,4,3,3,2),(28,329,2,22,4,NULL,1,NULL,1),(28,329,2,22,5,NULL,2,NULL,1),(28,329,2,22,6,3,3,1,1),(28,329,2,22,7,NULL,3,NULL,1),(28,329,2,22,8,2,2,1,1),(28,329,2,22,9,NULL,1,NULL,1),(28,329,2,22,10,2,1,2,1),(28,329,2,22,11,NULL,2,NULL,2),(28,329,2,22,12,2,2,1,1),(28,329,2,22,13,NULL,4,NULL,2),(28,329,2,22,14,1,3,NULL,3),(28,329,2,22,15,NULL,4,NULL,3),(28,329,2,22,16,NULL,2,NULL,1),(28,329,2,22,17,1,1,NULL,1),(28,329,2,22,18,2,4,1,3),(28,329,2,22,19,NULL,5,NULL,3),(28,329,2,22,20,2,1,1,NULL),(28,329,2,22,21,NULL,NULL,NULL,NULL),(28,329,2,22,22,NULL,NULL,NULL,NULL),(28,329,2,22,23,NULL,1,NULL,1),(28,329,2,22,24,NULL,2,NULL,1),(28,329,2,22,25,NULL,NULL,NULL,NULL),(28,329,2,22,26,NULL,1,NULL,1),(28,329,2,22,27,NULL,1,NULL,1),(28,329,2,22,28,NULL,1,NULL,NULL),(28,329,2,22,29,NULL,NULL,NULL,NULL),(28,329,2,22,30,NULL,1,NULL,1),(28,329,2,22,31,NULL,2,NULL,NULL),(28,329,2,22,32,NULL,NULL,NULL,NULL),(28,329,2,22,33,NULL,NULL,NULL,NULL),(28,329,2,22,34,NULL,NULL,NULL,NULL),(28,329,2,22,35,1,NULL,NULL,NULL),(28,329,2,22,36,NULL,NULL,NULL,NULL),(28,329,2,22,37,NULL,1,NULL,1),(28,329,2,22,38,NULL,NULL,NULL,NULL),(28,329,2,22,39,NULL,NULL,NULL,NULL),(28,329,2,22,40,NULL,1,NULL,NULL),(28,329,2,23,1,1,6,1,5),(28,329,2,23,2,NULL,4,NULL,3),(28,329,2,23,3,3,3,3,1),(28,329,2,23,4,1,NULL,1,NULL),(28,329,2,23,5,2,3,2,2),(28,329,2,23,6,4,4,4,3),(28,329,2,23,7,NULL,3,NULL,3),(28,329,2,23,8,2,1,2,1),(28,329,2,23,9,1,2,1,1),(28,329,2,23,10,2,1,2,1),(28,329,2,23,11,NULL,3,NULL,2),(28,329,2,23,12,NULL,4,NULL,4),(28,329,2,23,13,1,6,1,6),(28,329,2,23,14,3,2,3,2),(28,329,2,23,15,1,4,1,3),(28,329,2,23,16,2,1,1,1),(28,329,2,23,17,NULL,3,NULL,2),(28,329,2,23,18,3,5,3,4),(28,329,2,23,19,1,2,1,2),(28,329,2,23,20,6,2,5,2),(28,329,2,23,21,NULL,2,NULL,2),(28,329,2,23,22,NULL,1,NULL,1),(28,329,2,23,23,NULL,NULL,NULL,NULL),(28,329,2,23,24,NULL,1,NULL,1),(28,329,2,23,25,1,1,1,1),(28,329,2,23,26,NULL,2,NULL,2),(28,329,2,23,27,1,2,1,2),(28,329,2,23,28,NULL,NULL,NULL,NULL),(28,329,2,23,29,NULL,NULL,NULL,NULL),(28,329,2,23,30,NULL,3,NULL,2),(28,329,2,23,31,NULL,4,NULL,4),(28,329,2,23,32,NULL,1,NULL,1),(28,329,2,23,33,NULL,1,NULL,1),(28,329,2,23,34,NULL,NULL,NULL,NULL),(28,329,2,23,35,2,NULL,2,NULL),(28,329,2,23,36,NULL,NULL,NULL,NULL),(28,329,2,23,37,NULL,2,NULL,1),(28,329,2,23,38,NULL,2,NULL,2),(28,329,2,23,39,NULL,NULL,NULL,NULL),(28,329,2,23,40,NULL,3,NULL,2),(28,329,2,24,1,1,6,1,6),(28,329,2,24,2,NULL,5,NULL,5),(28,329,2,24,3,8,4,8,4),(28,329,2,24,4,NULL,3,NULL,3),(28,329,2,24,5,1,4,1,4),(28,329,2,24,6,3,5,3,5),(28,329,2,24,7,1,6,1,6),(28,329,2,24,8,5,1,5,1),(28,329,2,24,9,2,1,2,1),(28,329,2,24,10,5,2,5,2),(28,329,2,24,11,4,NULL,4,NULL),(28,329,2,24,12,3,5,3,5),(28,329,2,24,13,2,1,2,1),(28,329,2,24,14,5,3,5,3),(28,329,2,24,15,3,3,3,3),(28,329,2,24,16,2,6,2,6),(28,329,2,24,17,1,2,1,2),(28,329,2,24,18,3,3,3,3),(28,329,2,24,19,2,5,2,5),(28,329,2,24,20,8,1,8,1),(28,329,2,24,21,1,NULL,1,NULL),(28,329,2,24,22,NULL,1,NULL,1),(28,329,2,24,23,1,1,1,1),(28,329,2,24,24,1,1,1,1),(28,329,2,24,25,NULL,3,NULL,3),(28,329,2,24,26,NULL,2,NULL,2),(28,329,2,24,27,NULL,7,NULL,7),(28,329,2,24,28,1,NULL,1,NULL),(28,329,2,24,29,NULL,2,NULL,2),(28,329,2,24,30,NULL,1,NULL,1),(28,329,2,24,31,1,2,1,2),(28,329,2,24,32,NULL,NULL,NULL,NULL),(28,329,2,24,33,NULL,NULL,NULL,NULL),(28,329,2,24,34,NULL,2,NULL,2),(28,329,2,24,35,3,NULL,3,NULL),(28,329,2,24,36,1,1,1,1),(28,329,2,24,37,NULL,1,NULL,1),(28,329,2,24,38,1,2,1,2),(28,329,2,24,39,NULL,1,NULL,1),(28,329,2,24,40,1,3,1,3),(28,331,1,11,1,NULL,NULL,NULL,NULL),(28,331,1,11,2,NULL,NULL,NULL,NULL),(28,331,1,11,3,NULL,NULL,NULL,NULL),(28,331,1,11,4,NULL,NULL,NULL,NULL),(28,331,1,11,5,NULL,NULL,NULL,NULL),(28,331,1,11,6,NULL,NULL,NULL,NULL),(28,331,1,11,7,NULL,NULL,NULL,NULL),(28,331,1,11,8,NULL,NULL,NULL,NULL),(28,331,1,11,9,NULL,NULL,NULL,NULL),(28,331,1,11,10,NULL,NULL,NULL,NULL),(28,331,1,11,11,NULL,NULL,NULL,NULL),(28,331,1,11,12,NULL,NULL,NULL,NULL),(28,331,1,11,13,NULL,NULL,NULL,NULL),(28,331,1,11,14,NULL,NULL,NULL,NULL),(28,331,1,11,15,NULL,NULL,NULL,NULL),(28,331,1,11,16,NULL,NULL,NULL,NULL),(28,331,1,11,17,NULL,NULL,NULL,NULL),(28,331,1,11,18,NULL,NULL,NULL,NULL),(28,331,1,11,19,NULL,NULL,NULL,NULL),(28,331,1,11,20,NULL,NULL,NULL,NULL),(28,331,1,11,21,NULL,NULL,NULL,NULL),(28,331,1,11,22,NULL,NULL,NULL,NULL),(28,331,1,11,23,NULL,NULL,NULL,NULL),(28,331,1,11,24,NULL,NULL,NULL,NULL),(28,331,1,11,25,NULL,NULL,NULL,NULL),(28,331,1,11,26,NULL,NULL,NULL,NULL),(28,331,1,11,27,NULL,NULL,NULL,NULL),(28,331,1,11,28,NULL,NULL,NULL,NULL),(28,331,1,11,29,NULL,NULL,NULL,NULL),(28,331,1,11,30,NULL,NULL,NULL,NULL),(28,331,1,11,31,NULL,NULL,NULL,NULL),(28,331,1,11,32,NULL,NULL,NULL,NULL),(28,331,1,11,33,NULL,NULL,NULL,NULL),(28,331,1,11,34,NULL,NULL,NULL,NULL),(28,331,1,11,35,NULL,NULL,NULL,NULL),(28,331,1,11,36,NULL,NULL,NULL,NULL),(28,331,1,11,37,NULL,NULL,NULL,NULL),(28,331,1,11,38,NULL,NULL,NULL,NULL),(28,331,1,11,39,NULL,NULL,NULL,NULL),(28,331,1,11,40,NULL,NULL,NULL,NULL),(28,331,1,12,1,NULL,NULL,NULL,NULL),(28,331,1,12,2,NULL,NULL,NULL,NULL),(28,331,1,12,3,NULL,NULL,NULL,NULL),(28,331,1,12,4,NULL,NULL,NULL,NULL),(28,331,1,12,5,NULL,NULL,NULL,NULL),(28,331,1,12,6,NULL,NULL,NULL,NULL),(28,331,1,12,7,NULL,NULL,NULL,NULL),(28,331,1,12,8,NULL,NULL,NULL,NULL),(28,331,1,12,9,NULL,NULL,NULL,NULL),(28,331,1,12,10,NULL,NULL,NULL,NULL),(28,331,1,12,11,NULL,NULL,NULL,NULL),(28,331,1,12,12,NULL,NULL,NULL,NULL),(28,331,1,12,13,NULL,NULL,NULL,NULL),(28,331,1,12,14,NULL,NULL,NULL,NULL),(28,331,1,12,15,NULL,NULL,NULL,NULL),(28,331,1,12,16,NULL,NULL,NULL,NULL),(28,331,1,12,17,NULL,NULL,NULL,NULL),(28,331,1,12,18,NULL,NULL,NULL,NULL),(28,331,1,12,19,NULL,NULL,NULL,NULL),(28,331,1,12,20,NULL,NULL,NULL,NULL),(28,331,1,12,21,NULL,NULL,NULL,NULL),(28,331,1,12,22,NULL,NULL,NULL,NULL),(28,331,1,12,23,NULL,NULL,NULL,NULL),(28,331,1,12,24,NULL,NULL,NULL,NULL),(28,331,1,12,25,NULL,NULL,NULL,NULL),(28,331,1,12,26,NULL,NULL,NULL,NULL),(28,331,1,12,27,NULL,NULL,NULL,NULL),(28,331,1,12,28,NULL,NULL,NULL,NULL),(28,331,1,12,29,NULL,NULL,NULL,NULL),(28,331,1,12,30,NULL,NULL,NULL,NULL),(28,331,1,12,31,NULL,NULL,NULL,NULL),(28,331,1,12,32,NULL,NULL,NULL,NULL),(28,331,1,12,33,NULL,NULL,NULL,NULL),(28,331,1,12,34,NULL,NULL,NULL,NULL),(28,331,1,12,35,NULL,NULL,NULL,NULL),(28,331,1,12,36,NULL,NULL,NULL,NULL),(28,331,1,12,37,NULL,NULL,NULL,NULL),(28,331,1,12,38,NULL,NULL,NULL,NULL),(28,331,1,12,39,NULL,NULL,NULL,NULL),(28,331,1,12,40,NULL,NULL,NULL,NULL),(28,331,1,13,1,NULL,NULL,NULL,NULL),(28,331,1,13,2,NULL,NULL,NULL,NULL),(28,331,1,13,3,NULL,NULL,NULL,NULL),(28,331,1,13,4,NULL,NULL,NULL,NULL),(28,331,1,13,5,NULL,NULL,NULL,NULL),(28,331,1,13,6,NULL,NULL,NULL,NULL),(28,331,1,13,7,NULL,NULL,NULL,NULL),(28,331,1,13,8,NULL,NULL,NULL,NULL),(28,331,1,13,9,NULL,NULL,NULL,NULL),(28,331,1,13,10,NULL,NULL,NULL,NULL),(28,331,1,13,11,NULL,NULL,NULL,NULL),(28,331,1,13,12,NULL,NULL,NULL,NULL),(28,331,1,13,13,NULL,NULL,NULL,NULL),(28,331,1,13,14,NULL,NULL,NULL,NULL),(28,331,1,13,15,NULL,NULL,NULL,NULL),(28,331,1,13,16,NULL,NULL,NULL,NULL),(28,331,1,13,17,NULL,NULL,NULL,NULL),(28,331,1,13,18,NULL,NULL,NULL,NULL),(28,331,1,13,19,NULL,NULL,NULL,NULL),(28,331,1,13,20,NULL,NULL,NULL,NULL),(28,331,1,13,21,NULL,NULL,NULL,NULL),(28,331,1,13,22,NULL,NULL,NULL,NULL),(28,331,1,13,23,NULL,NULL,NULL,NULL),(28,331,1,13,24,NULL,NULL,NULL,NULL),(28,331,1,13,25,NULL,NULL,NULL,NULL),(28,331,1,13,26,NULL,NULL,NULL,NULL),(28,331,1,13,27,NULL,NULL,NULL,NULL),(28,331,1,13,28,NULL,NULL,NULL,NULL),(28,331,1,13,29,NULL,NULL,NULL,NULL),(28,331,1,13,30,NULL,NULL,NULL,NULL),(28,331,1,13,31,NULL,NULL,NULL,NULL),(28,331,1,13,32,NULL,NULL,NULL,NULL),(28,331,1,13,33,NULL,NULL,NULL,NULL),(28,331,1,13,34,NULL,NULL,NULL,NULL),(28,331,1,13,35,NULL,NULL,NULL,NULL),(28,331,1,13,36,NULL,NULL,NULL,NULL),(28,331,1,13,37,NULL,NULL,NULL,NULL),(28,331,1,13,38,NULL,NULL,NULL,NULL),(28,331,1,13,39,NULL,NULL,NULL,NULL),(28,331,1,13,40,NULL,NULL,NULL,NULL),(28,331,1,14,1,10,NULL,7,NULL),(28,331,1,14,2,1,5,1,5),(28,331,1,14,3,6,5,4,3),(28,331,1,14,4,3,5,3,3),(28,331,1,14,5,2,6,2,4),(28,331,1,14,6,NULL,9,NULL,6),(28,331,1,14,7,2,5,2,2),(28,331,1,14,8,1,7,1,6),(28,331,1,14,9,1,1,1,NULL),(28,331,1,14,10,7,3,5,2),(28,331,1,14,11,2,1,2,1),(28,331,1,14,12,1,3,NULL,3),(28,331,1,14,13,8,7,7,2),(28,331,1,14,14,7,2,7,NULL),(28,331,1,14,15,10,NULL,8,NULL),(28,331,1,14,16,7,2,7,NULL),(28,331,1,14,17,3,6,3,5),(28,331,1,14,18,2,4,2,3),(28,331,1,14,19,8,3,8,2),(28,331,1,14,20,4,11,3,8),(28,331,1,14,21,NULL,3,NULL,3),(28,331,1,14,22,NULL,4,NULL,2),(28,331,1,14,23,1,5,1,2),(28,331,1,14,24,1,NULL,1,NULL),(28,331,1,14,25,NULL,2,NULL,2),(28,331,1,14,26,NULL,1,NULL,1),(28,331,1,14,27,4,NULL,3,NULL),(28,331,1,14,28,1,1,NULL,NULL),(28,331,1,14,29,1,5,1,1),(28,331,1,14,30,1,5,NULL,3),(28,331,1,14,31,1,2,1,1),(28,331,1,14,32,2,5,1,3),(28,331,1,14,33,NULL,5,NULL,3),(28,331,1,14,34,4,4,3,1),(28,331,1,14,35,1,4,NULL,2),(28,331,1,14,36,NULL,NULL,NULL,NULL),(28,331,1,14,37,2,5,2,4),(28,331,1,14,38,NULL,5,NULL,3),(28,331,1,14,39,3,7,3,4),(28,331,1,14,40,1,NULL,NULL,NULL),(28,331,1,15,1,7,NULL,4,NULL),(28,331,1,15,2,NULL,6,NULL,5),(28,331,1,15,3,5,7,3,5),(28,331,1,15,4,3,3,2,2),(28,331,1,15,5,3,7,2,3),(28,331,1,15,6,1,11,NULL,7),(28,331,1,15,7,3,4,2,1),(28,331,1,15,8,1,7,1,5),(28,331,1,15,9,2,6,2,2),(28,331,1,15,10,7,4,6,2),(28,331,1,15,11,2,4,NULL,3),(28,331,1,15,12,3,2,3,NULL),(28,331,1,15,13,9,7,6,4),(28,331,1,15,14,4,2,2,2),(28,331,1,15,15,14,NULL,7,NULL),(28,331,1,15,16,7,7,6,2),(28,331,1,15,17,1,10,NULL,7),(28,331,1,15,18,4,5,3,3),(28,331,1,15,19,10,7,7,3),(28,331,1,15,20,8,7,5,6),(28,331,1,15,21,2,2,NULL,2),(28,331,1,15,22,NULL,7,NULL,3),(28,331,1,15,23,1,2,NULL,1),(28,331,1,15,24,NULL,NULL,NULL,NULL),(28,331,1,15,25,NULL,3,NULL,2),(28,331,1,15,26,NULL,1,NULL,1),(28,331,1,15,27,7,NULL,5,NULL),(28,331,1,15,28,NULL,NULL,NULL,NULL),(28,331,1,15,29,NULL,3,NULL,1),(28,331,1,15,30,2,5,1,5),(28,331,1,15,31,NULL,1,NULL,1),(28,331,1,15,32,5,4,3,2),(28,331,1,15,33,1,3,1,3),(28,331,1,15,34,3,7,2,3),(28,331,1,15,35,NULL,3,NULL,2),(28,331,1,15,36,NULL,NULL,NULL,NULL),(28,331,1,15,37,NULL,2,NULL,2),(28,331,1,15,38,NULL,3,NULL,3),(28,331,1,15,39,3,6,3,4),(28,331,1,15,40,1,NULL,1,NULL),(28,331,1,16,1,6,NULL,5,NULL),(28,331,1,16,2,NULL,2,NULL,2),(28,331,1,16,3,1,7,1,4),(28,331,1,16,4,NULL,4,NULL,2),(28,331,1,16,5,3,2,1,2),(28,331,1,16,6,1,5,1,4),(28,331,1,16,7,1,4,1,2),(28,331,1,16,8,NULL,4,NULL,4),(28,331,1,16,9,1,5,NULL,2),(28,331,1,16,10,4,2,2,1),(28,331,1,16,11,2,4,1,3),(28,331,1,16,12,1,3,1,2),(28,331,1,16,13,15,NULL,8,NULL),(28,331,1,16,14,9,5,5,2),(28,331,1,16,15,3,5,3,3),(28,331,1,16,16,11,NULL,7,NULL),(28,331,1,16,17,4,6,2,4),(28,331,1,16,18,5,3,4,2),(28,331,1,16,19,2,6,2,3),(28,331,1,16,20,2,4,1,4),(28,331,1,16,21,NULL,3,NULL,2),(28,331,1,16,22,NULL,2,NULL,NULL),(28,331,1,16,23,NULL,2,NULL,NULL),(28,331,1,16,24,NULL,NULL,NULL,NULL),(28,331,1,16,25,NULL,1,NULL,NULL),(28,331,1,16,26,1,1,NULL,1),(28,331,1,16,27,4,NULL,4,NULL),(28,331,1,16,28,NULL,3,NULL,1),(28,331,1,16,29,2,2,NULL,1),(28,331,1,16,30,1,3,1,2),(28,331,1,16,31,NULL,NULL,NULL,NULL),(28,331,1,16,32,2,6,1,3),(28,331,1,16,33,NULL,3,NULL,1),(28,331,1,16,34,1,2,1,1),(28,331,1,16,35,NULL,1,NULL,NULL),(28,331,1,16,36,NULL,NULL,NULL,NULL),(28,331,1,16,37,1,NULL,1,NULL),(28,331,1,16,38,2,2,NULL,1),(28,331,1,16,39,NULL,5,NULL,3),(28,331,1,16,40,NULL,NULL,NULL,NULL),(28,331,1,17,1,6,NULL,5,NULL),(28,331,1,17,2,NULL,2,NULL,1),(28,331,1,17,3,5,3,3,2),(28,331,1,17,4,1,3,1,1),(28,331,1,17,5,NULL,4,NULL,3),(28,331,1,17,6,NULL,5,NULL,3),(28,331,1,17,7,2,8,1,5),(28,331,1,17,8,NULL,7,NULL,3),(28,331,1,17,9,NULL,3,NULL,3),(28,331,1,17,10,6,6,4,3),(28,331,1,17,11,3,4,2,1),(28,331,1,17,12,1,1,NULL,1),(28,331,1,17,13,16,NULL,7,NULL),(28,331,1,17,14,15,2,7,1),(28,331,1,17,15,3,9,3,2),(28,331,1,17,16,13,NULL,5,NULL),(28,331,1,17,17,4,14,3,5),(28,331,1,17,18,4,5,2,2),(28,331,1,17,19,3,4,1,3),(28,331,1,17,20,3,3,2,1),(28,331,1,17,21,NULL,2,NULL,2),(28,331,1,17,22,NULL,NULL,NULL,NULL),(28,331,1,17,23,1,8,1,4),(28,331,1,17,24,NULL,NULL,NULL,NULL),(28,331,1,17,25,NULL,1,NULL,NULL),(28,331,1,17,26,NULL,NULL,NULL,NULL),(28,331,1,17,27,4,NULL,2,NULL),(28,331,1,17,28,NULL,3,NULL,1),(28,331,1,17,29,NULL,2,NULL,2),(28,331,1,17,30,1,7,NULL,4),(28,331,1,17,31,NULL,NULL,NULL,NULL),(28,331,1,17,32,1,4,1,3),(28,331,1,17,33,1,3,1,2),(28,331,1,17,34,4,4,3,2),(28,331,1,17,35,NULL,3,NULL,2),(28,331,1,17,36,NULL,NULL,NULL,NULL),(28,331,1,17,37,NULL,NULL,NULL,NULL),(28,331,1,17,38,NULL,NULL,NULL,NULL),(28,331,1,17,39,2,5,1,4),(28,331,1,17,40,2,NULL,1,NULL),(28,331,1,18,1,NULL,NULL,NULL,NULL),(28,331,1,18,2,NULL,NULL,NULL,NULL),(28,331,1,18,3,NULL,NULL,NULL,NULL),(28,331,1,18,4,NULL,NULL,NULL,NULL),(28,331,1,18,5,NULL,NULL,NULL,NULL),(28,331,1,18,6,NULL,NULL,NULL,NULL),(28,331,1,18,7,NULL,NULL,NULL,NULL),(28,331,1,18,8,NULL,NULL,NULL,NULL),(28,331,1,18,9,NULL,NULL,NULL,NULL),(28,331,1,18,10,NULL,NULL,NULL,NULL),(28,331,1,18,11,NULL,NULL,NULL,NULL),(28,331,1,18,12,NULL,NULL,NULL,NULL),(28,331,1,18,13,NULL,NULL,NULL,NULL),(28,331,1,18,14,NULL,NULL,NULL,NULL),(28,331,1,18,15,NULL,NULL,NULL,NULL),(28,331,1,18,16,NULL,NULL,NULL,NULL),(28,331,1,18,17,NULL,NULL,NULL,NULL),(28,331,1,18,18,NULL,NULL,NULL,NULL),(28,331,1,18,19,NULL,NULL,NULL,NULL),(28,331,1,18,20,NULL,NULL,NULL,NULL),(28,331,1,18,21,NULL,NULL,NULL,NULL),(28,331,1,18,22,NULL,NULL,NULL,NULL),(28,331,1,18,23,NULL,NULL,NULL,NULL),(28,331,1,18,24,NULL,NULL,NULL,NULL),(28,331,1,18,25,NULL,NULL,NULL,NULL),(28,331,1,18,26,NULL,NULL,NULL,NULL),(28,331,1,18,27,NULL,NULL,NULL,NULL),(28,331,1,18,28,NULL,NULL,NULL,NULL),(28,331,1,18,29,NULL,NULL,NULL,NULL),(28,331,1,18,30,NULL,NULL,NULL,NULL),(28,331,1,18,31,NULL,NULL,NULL,NULL),(28,331,1,18,32,NULL,NULL,NULL,NULL),(28,331,1,18,33,NULL,NULL,NULL,NULL),(28,331,1,18,34,NULL,NULL,NULL,NULL),(28,331,1,18,35,NULL,NULL,NULL,NULL),(28,331,1,18,36,NULL,NULL,NULL,NULL),(28,331,1,18,37,NULL,NULL,NULL,NULL),(28,331,1,18,38,NULL,NULL,NULL,NULL),(28,331,1,18,39,NULL,NULL,NULL,NULL),(28,331,1,18,40,NULL,NULL,NULL,NULL),(28,331,1,19,1,NULL,NULL,NULL,NULL),(28,331,1,19,2,NULL,NULL,NULL,NULL),(28,331,1,19,3,NULL,NULL,NULL,NULL),(28,331,1,19,4,NULL,NULL,NULL,NULL),(28,331,1,19,5,NULL,NULL,NULL,NULL),(28,331,1,19,6,NULL,NULL,NULL,NULL),(28,331,1,19,7,NULL,NULL,NULL,NULL),(28,331,1,19,8,NULL,NULL,NULL,NULL),(28,331,1,19,9,NULL,NULL,NULL,NULL),(28,331,1,19,10,NULL,NULL,NULL,NULL),(28,331,1,19,11,NULL,NULL,NULL,NULL),(28,331,1,19,12,NULL,NULL,NULL,NULL),(28,331,1,19,13,NULL,NULL,NULL,NULL),(28,331,1,19,14,NULL,NULL,NULL,NULL),(28,331,1,19,15,NULL,NULL,NULL,NULL),(28,331,1,19,16,NULL,NULL,NULL,NULL),(28,331,1,19,17,NULL,NULL,NULL,NULL),(28,331,1,19,18,NULL,NULL,NULL,NULL),(28,331,1,19,19,NULL,NULL,NULL,NULL),(28,331,1,19,20,NULL,NULL,NULL,NULL),(28,331,1,19,21,NULL,NULL,NULL,NULL),(28,331,1,19,22,NULL,NULL,NULL,NULL),(28,331,1,19,23,NULL,NULL,NULL,NULL),(28,331,1,19,24,NULL,NULL,NULL,NULL),(28,331,1,19,25,NULL,NULL,NULL,NULL),(28,331,1,19,26,NULL,NULL,NULL,NULL),(28,331,1,19,27,NULL,NULL,NULL,NULL),(28,331,1,19,28,NULL,NULL,NULL,NULL),(28,331,1,19,29,NULL,NULL,NULL,NULL),(28,331,1,19,30,NULL,NULL,NULL,NULL),(28,331,1,19,31,NULL,NULL,NULL,NULL),(28,331,1,19,32,NULL,NULL,NULL,NULL),(28,331,1,19,33,NULL,NULL,NULL,NULL),(28,331,1,19,34,NULL,NULL,NULL,NULL),(28,331,1,19,35,NULL,NULL,NULL,NULL),(28,331,1,19,36,NULL,NULL,NULL,NULL),(28,331,1,19,37,NULL,NULL,NULL,NULL),(28,331,1,19,38,NULL,NULL,NULL,NULL),(28,331,1,19,39,NULL,NULL,NULL,NULL),(28,331,1,19,40,NULL,NULL,NULL,NULL),(28,331,2,21,1,NULL,8,NULL,8),(28,331,2,21,2,1,9,1,8),(28,331,2,21,3,10,9,9,5),(28,331,2,21,4,1,NULL,1,NULL),(28,331,2,21,5,3,6,3,3),(28,331,2,21,6,2,8,1,7),(28,331,2,21,7,1,4,1,3),(28,331,2,21,8,2,5,2,5),(28,331,2,21,9,3,4,2,2),(28,331,2,21,10,4,9,4,5),(28,331,2,21,11,2,3,2,1),(28,331,2,21,12,3,5,3,4),(28,331,2,21,13,3,11,3,8),(28,331,2,21,14,6,8,6,6),(28,331,2,21,15,4,1,3,1),(28,331,2,21,16,3,10,2,8),(28,331,2,21,17,1,3,1,1),(28,331,2,21,18,12,6,9,3),(28,331,2,21,19,3,7,3,6),(28,331,2,21,20,6,7,4,6),(28,331,2,21,21,NULL,1,NULL,1),(28,331,2,21,22,2,2,2,1),(28,331,2,21,23,NULL,4,NULL,3),(28,331,2,21,24,NULL,NULL,NULL,NULL),(28,331,2,21,25,NULL,4,NULL,3),(28,331,2,21,26,NULL,5,NULL,4),(28,331,2,21,27,NULL,7,NULL,6),(28,331,2,21,28,1,3,1,3),(28,331,2,21,29,NULL,3,NULL,2),(28,331,2,21,30,NULL,5,NULL,2),(28,331,2,21,31,NULL,3,NULL,1),(28,331,2,21,32,NULL,NULL,NULL,NULL),(28,331,2,21,33,2,6,2,4),(28,331,2,21,34,1,7,1,5),(28,331,2,21,35,1,NULL,1,NULL),(28,331,2,21,36,NULL,1,NULL,1),(28,331,2,21,37,NULL,2,NULL,2),(28,331,2,21,38,NULL,NULL,NULL,NULL),(28,331,2,21,39,2,3,2,3),(28,331,2,21,40,NULL,5,NULL,4),(28,331,2,22,1,NULL,7,NULL,2),(28,331,2,22,2,NULL,4,NULL,1),(28,331,2,22,3,4,6,2,4),(28,331,2,22,4,NULL,1,NULL,1),(28,331,2,22,5,4,4,2,2),(28,331,2,22,6,6,6,3,2),(28,331,2,22,7,NULL,6,NULL,2),(28,331,2,22,8,4,3,1,2),(28,331,2,22,9,NULL,6,NULL,3),(28,331,2,22,10,3,4,2,3),(28,331,2,22,11,2,1,2,1),(28,331,2,22,12,5,6,5,2),(28,331,2,22,13,NULL,13,NULL,7),(28,331,2,22,14,4,5,3,3),(28,331,2,22,15,2,5,1,2),(28,331,2,22,16,4,7,1,3),(28,331,2,22,17,2,2,NULL,1),(28,331,2,22,18,4,6,2,3),(28,331,2,22,19,3,7,2,3),(28,331,2,22,20,9,3,4,2),(28,331,2,22,21,NULL,1,NULL,NULL),(28,331,2,22,22,1,2,1,1),(28,331,2,22,23,NULL,1,NULL,1),(28,331,2,22,24,NULL,3,NULL,3),(28,331,2,22,25,NULL,4,NULL,3),(28,331,2,22,26,1,7,NULL,4),(28,331,2,22,27,NULL,6,NULL,4),(28,331,2,22,28,NULL,1,NULL,1),(28,331,2,22,29,NULL,5,NULL,1),(28,331,2,22,30,NULL,6,NULL,2),(28,331,2,22,31,1,5,1,2),(28,331,2,22,32,NULL,2,NULL,NULL),(28,331,2,22,33,2,3,1,3),(28,331,2,22,34,NULL,2,NULL,1),(28,331,2,22,35,1,NULL,NULL,NULL),(28,331,2,22,36,3,3,1,1),(28,331,2,22,37,NULL,3,NULL,2),(28,331,2,22,38,NULL,1,NULL,NULL),(28,331,2,22,39,NULL,3,NULL,2),(28,331,2,22,40,NULL,5,NULL,2),(28,331,2,23,1,2,8,2,3),(28,331,2,23,2,1,4,NULL,2),(28,331,2,23,3,7,4,5,2),(28,331,2,23,4,NULL,2,NULL,2),(28,331,2,23,5,1,4,1,3),(28,331,2,23,6,5,9,3,5),(28,331,2,23,7,NULL,6,NULL,3),(28,331,2,23,8,NULL,4,NULL,1),(28,331,2,23,9,1,2,1,NULL),(28,331,2,23,10,1,6,NULL,3),(28,331,2,23,11,3,3,2,1),(28,331,2,23,12,1,9,1,4),(28,331,2,23,13,NULL,11,NULL,7),(28,331,2,23,14,4,5,3,3),(28,331,2,23,15,2,5,2,3),(28,331,2,23,16,1,11,NULL,7),(28,331,2,23,17,NULL,4,NULL,2),(28,331,2,23,18,5,9,3,4),(28,331,2,23,19,3,3,3,3),(28,331,2,23,20,3,3,NULL,3),(28,331,2,23,21,NULL,2,NULL,NULL),(28,331,2,23,22,1,1,1,NULL),(28,331,2,23,23,NULL,2,NULL,NULL),(28,331,2,23,24,1,2,NULL,1),(28,331,2,23,25,1,1,NULL,1),(28,331,2,23,26,3,3,NULL,2),(28,331,2,23,27,2,3,2,3),(28,331,2,23,28,NULL,3,NULL,1),(28,331,2,23,29,NULL,3,NULL,3),(28,331,2,23,30,2,1,1,1),(28,331,2,23,31,NULL,5,NULL,5),(28,331,2,23,32,NULL,NULL,NULL,NULL),(28,331,2,23,33,NULL,NULL,NULL,NULL),(28,331,2,23,34,NULL,4,NULL,3),(28,331,2,23,35,1,NULL,1,NULL),(28,331,2,23,36,1,2,NULL,1),(28,331,2,23,37,1,3,NULL,2),(28,331,2,23,38,NULL,1,NULL,1),(28,331,2,23,39,NULL,NULL,NULL,NULL),(28,331,2,23,40,NULL,6,NULL,2),(28,331,2,24,1,NULL,6,NULL,4),(28,331,2,24,2,NULL,3,NULL,2),(28,331,2,24,3,6,6,4,3),(28,331,2,24,4,NULL,3,NULL,2),(28,331,2,24,5,2,5,1,3),(28,331,2,24,6,5,7,3,4),(28,331,2,24,7,NULL,5,NULL,3),(28,331,2,24,8,1,3,1,2),(28,331,2,24,9,2,1,2,1),(28,331,2,24,10,5,4,4,2),(28,331,2,24,11,1,1,1,1),(28,331,2,24,12,4,10,1,5),(28,331,2,24,13,2,8,2,4),(28,331,2,24,14,2,9,2,5),(28,331,2,24,15,3,10,1,6),(28,331,2,24,16,5,6,2,5),(28,331,2,24,17,NULL,2,NULL,1),(28,331,2,24,18,9,5,5,3),(28,331,2,24,19,2,5,1,4),(28,331,2,24,20,4,3,3,NULL),(28,331,2,24,21,NULL,2,NULL,1),(28,331,2,24,22,NULL,NULL,NULL,NULL),(28,331,2,24,23,NULL,1,NULL,NULL),(28,331,2,24,24,2,1,NULL,NULL),(28,331,2,24,25,NULL,1,NULL,1),(28,331,2,24,26,NULL,3,NULL,2),(28,331,2,24,27,NULL,6,NULL,4),(28,331,2,24,28,NULL,1,NULL,1),(28,331,2,24,29,NULL,3,NULL,1),(28,331,2,24,30,1,NULL,NULL,NULL),(28,331,2,24,31,NULL,6,NULL,4),(28,331,2,24,32,NULL,3,NULL,2),(28,331,2,24,33,NULL,3,NULL,2),(28,331,2,24,34,1,3,1,2),(28,331,2,24,35,2,NULL,1,NULL),(28,331,2,24,36,1,2,1,1),(28,331,2,24,37,1,2,1,1),(28,331,2,24,38,NULL,NULL,NULL,NULL),(28,331,2,24,39,NULL,2,NULL,2),(28,331,2,24,40,NULL,3,NULL,2),(28,332,1,11,1,NULL,NULL,NULL,NULL),(28,332,1,11,2,NULL,NULL,NULL,NULL),(28,332,1,11,3,NULL,NULL,NULL,NULL),(28,332,1,11,4,NULL,NULL,NULL,NULL),(28,332,1,11,5,NULL,NULL,NULL,NULL),(28,332,1,11,6,NULL,NULL,NULL,NULL),(28,332,1,11,7,NULL,NULL,NULL,NULL),(28,332,1,11,8,NULL,NULL,NULL,NULL),(28,332,1,11,9,NULL,NULL,NULL,NULL),(28,332,1,11,10,NULL,NULL,NULL,NULL),(28,332,1,11,11,NULL,NULL,NULL,NULL),(28,332,1,11,12,NULL,NULL,NULL,NULL),(28,332,1,11,13,NULL,NULL,NULL,NULL),(28,332,1,11,14,NULL,NULL,NULL,NULL),(28,332,1,11,15,NULL,NULL,NULL,NULL),(28,332,1,11,16,NULL,NULL,NULL,NULL),(28,332,1,11,17,NULL,NULL,NULL,NULL),(28,332,1,11,18,NULL,NULL,NULL,NULL),(28,332,1,11,19,NULL,NULL,NULL,NULL),(28,332,1,11,20,NULL,NULL,NULL,NULL),(28,332,1,11,21,NULL,NULL,NULL,NULL),(28,332,1,11,22,NULL,NULL,NULL,NULL),(28,332,1,11,23,NULL,NULL,NULL,NULL),(28,332,1,11,24,NULL,NULL,NULL,NULL),(28,332,1,11,25,NULL,NULL,NULL,NULL),(28,332,1,11,26,NULL,NULL,NULL,NULL),(28,332,1,11,27,NULL,NULL,NULL,NULL),(28,332,1,11,28,NULL,NULL,NULL,NULL),(28,332,1,11,29,NULL,NULL,NULL,NULL),(28,332,1,11,30,NULL,NULL,NULL,NULL),(28,332,1,11,31,NULL,NULL,NULL,NULL),(28,332,1,11,32,NULL,NULL,NULL,NULL),(28,332,1,11,33,NULL,NULL,NULL,NULL),(28,332,1,11,34,NULL,NULL,NULL,NULL),(28,332,1,11,35,NULL,NULL,NULL,NULL),(28,332,1,11,36,NULL,NULL,NULL,NULL),(28,332,1,11,37,NULL,NULL,NULL,NULL),(28,332,1,11,38,NULL,NULL,NULL,NULL),(28,332,1,11,39,NULL,NULL,NULL,NULL),(28,332,1,11,40,NULL,NULL,NULL,NULL),(28,332,1,12,1,NULL,NULL,NULL,NULL),(28,332,1,12,2,NULL,NULL,NULL,NULL),(28,332,1,12,3,NULL,NULL,NULL,NULL),(28,332,1,12,4,NULL,NULL,NULL,NULL),(28,332,1,12,5,NULL,NULL,NULL,NULL),(28,332,1,12,6,NULL,NULL,NULL,NULL),(28,332,1,12,7,NULL,NULL,NULL,NULL),(28,332,1,12,8,NULL,NULL,NULL,NULL),(28,332,1,12,9,NULL,NULL,NULL,NULL),(28,332,1,12,10,NULL,NULL,NULL,NULL),(28,332,1,12,11,NULL,NULL,NULL,NULL),(28,332,1,12,12,NULL,NULL,NULL,NULL),(28,332,1,12,13,NULL,NULL,NULL,NULL),(28,332,1,12,14,NULL,NULL,NULL,NULL),(28,332,1,12,15,NULL,NULL,NULL,NULL),(28,332,1,12,16,NULL,NULL,NULL,NULL),(28,332,1,12,17,NULL,NULL,NULL,NULL),(28,332,1,12,18,NULL,NULL,NULL,NULL),(28,332,1,12,19,NULL,NULL,NULL,NULL),(28,332,1,12,20,NULL,NULL,NULL,NULL),(28,332,1,12,21,NULL,NULL,NULL,NULL),(28,332,1,12,22,NULL,NULL,NULL,NULL),(28,332,1,12,23,NULL,NULL,NULL,NULL),(28,332,1,12,24,NULL,NULL,NULL,NULL),(28,332,1,12,25,NULL,NULL,NULL,NULL),(28,332,1,12,26,NULL,NULL,NULL,NULL),(28,332,1,12,27,NULL,NULL,NULL,NULL),(28,332,1,12,28,NULL,NULL,NULL,NULL),(28,332,1,12,29,NULL,NULL,NULL,NULL),(28,332,1,12,30,NULL,NULL,NULL,NULL),(28,332,1,12,31,NULL,NULL,NULL,NULL),(28,332,1,12,32,NULL,NULL,NULL,NULL),(28,332,1,12,33,NULL,NULL,NULL,NULL),(28,332,1,12,34,NULL,NULL,NULL,NULL),(28,332,1,12,35,NULL,NULL,NULL,NULL),(28,332,1,12,36,NULL,NULL,NULL,NULL),(28,332,1,12,37,NULL,NULL,NULL,NULL),(28,332,1,12,38,NULL,NULL,NULL,NULL),(28,332,1,12,39,NULL,NULL,NULL,NULL),(28,332,1,12,40,NULL,NULL,NULL,NULL),(28,332,1,13,1,NULL,NULL,NULL,NULL),(28,332,1,13,2,NULL,NULL,NULL,NULL),(28,332,1,13,3,NULL,NULL,NULL,NULL),(28,332,1,13,4,NULL,NULL,NULL,NULL),(28,332,1,13,5,NULL,NULL,NULL,NULL),(28,332,1,13,6,NULL,NULL,NULL,NULL),(28,332,1,13,7,NULL,NULL,NULL,NULL),(28,332,1,13,8,NULL,NULL,NULL,NULL),(28,332,1,13,9,NULL,NULL,NULL,NULL),(28,332,1,13,10,NULL,NULL,NULL,NULL),(28,332,1,13,11,NULL,NULL,NULL,NULL),(28,332,1,13,12,NULL,NULL,NULL,NULL),(28,332,1,13,13,NULL,NULL,NULL,NULL),(28,332,1,13,14,NULL,NULL,NULL,NULL),(28,332,1,13,15,NULL,NULL,NULL,NULL),(28,332,1,13,16,NULL,NULL,NULL,NULL),(28,332,1,13,17,NULL,NULL,NULL,NULL),(28,332,1,13,18,NULL,NULL,NULL,NULL),(28,332,1,13,19,NULL,NULL,NULL,NULL),(28,332,1,13,20,NULL,NULL,NULL,NULL),(28,332,1,13,21,NULL,NULL,NULL,NULL),(28,332,1,13,22,NULL,NULL,NULL,NULL),(28,332,1,13,23,NULL,NULL,NULL,NULL),(28,332,1,13,24,NULL,NULL,NULL,NULL),(28,332,1,13,25,NULL,NULL,NULL,NULL),(28,332,1,13,26,NULL,NULL,NULL,NULL),(28,332,1,13,27,NULL,NULL,NULL,NULL),(28,332,1,13,28,NULL,NULL,NULL,NULL),(28,332,1,13,29,NULL,NULL,NULL,NULL),(28,332,1,13,30,NULL,NULL,NULL,NULL),(28,332,1,13,31,NULL,NULL,NULL,NULL),(28,332,1,13,32,NULL,NULL,NULL,NULL),(28,332,1,13,33,NULL,NULL,NULL,NULL),(28,332,1,13,34,NULL,NULL,NULL,NULL),(28,332,1,13,35,NULL,NULL,NULL,NULL),(28,332,1,13,36,NULL,NULL,NULL,NULL),(28,332,1,13,37,NULL,NULL,NULL,NULL),(28,332,1,13,38,NULL,NULL,NULL,NULL),(28,332,1,13,39,NULL,NULL,NULL,NULL),(28,332,1,13,40,NULL,NULL,NULL,NULL),(28,332,1,14,1,7,NULL,7,NULL),(28,332,1,14,2,NULL,3,NULL,3),(28,332,1,14,3,2,4,2,4),(28,332,1,14,4,2,5,2,5),(28,332,1,14,5,1,5,NULL,4),(28,332,1,14,6,1,8,1,6),(28,332,1,14,7,NULL,3,NULL,2),(28,332,1,14,8,NULL,6,NULL,6),(28,332,1,14,9,1,4,1,3),(28,332,1,14,10,4,2,4,2),(28,332,1,14,11,2,1,1,1),(28,332,1,14,12,3,3,1,3),(28,332,1,14,13,4,6,4,4),(28,332,1,14,14,3,4,3,3),(28,332,1,14,15,7,NULL,6,NULL),(28,332,1,14,16,6,3,5,2),(28,332,1,14,17,NULL,7,NULL,6),(28,332,1,14,18,4,2,4,2),(28,332,1,14,19,6,3,6,2),(28,332,1,14,20,5,5,4,4),(28,332,1,14,21,NULL,1,NULL,1),(28,332,1,14,22,NULL,NULL,NULL,NULL),(28,332,1,14,23,NULL,1,NULL,1),(28,332,1,14,24,NULL,NULL,NULL,NULL),(28,332,1,14,25,NULL,NULL,NULL,NULL),(28,332,1,14,26,NULL,NULL,NULL,NULL),(28,332,1,14,27,5,NULL,4,NULL),(28,332,1,14,28,NULL,1,NULL,1),(28,332,1,14,29,1,1,NULL,1),(28,332,1,14,30,NULL,6,NULL,4),(28,332,1,14,31,NULL,NULL,NULL,NULL),(28,332,1,14,32,NULL,4,NULL,4),(28,332,1,14,33,NULL,1,NULL,1),(28,332,1,14,34,1,4,1,4),(28,332,1,14,35,NULL,1,NULL,1),(28,332,1,14,36,NULL,NULL,NULL,NULL),(28,332,1,14,37,NULL,1,NULL,1),(28,332,1,14,38,1,2,1,2),(28,332,1,14,39,1,5,1,5),(28,332,1,14,40,1,NULL,1,NULL),(28,332,1,15,1,3,NULL,2,NULL),(28,332,1,15,2,NULL,5,NULL,5),(28,332,1,15,3,NULL,6,NULL,4),(28,332,1,15,4,NULL,3,NULL,3),(28,332,1,15,5,2,6,2,5),(28,332,1,15,6,1,3,1,3),(28,332,1,15,7,NULL,3,NULL,2),(28,332,1,15,8,NULL,4,NULL,4),(28,332,1,15,9,1,NULL,1,NULL),(28,332,1,15,10,4,1,3,1),(28,332,1,15,11,NULL,3,NULL,2),(28,332,1,15,12,1,3,1,2),(28,332,1,15,13,6,1,5,1),(28,332,1,15,14,6,1,6,NULL),(28,332,1,15,15,6,NULL,5,NULL),(28,332,1,15,16,5,2,5,1),(28,332,1,15,17,2,7,1,7),(28,332,1,15,18,2,6,1,5),(28,332,1,15,19,9,1,7,1),(28,332,1,15,20,3,6,2,5),(28,332,1,15,21,1,1,1,1),(28,332,1,15,22,1,1,1,1),(28,332,1,15,23,2,1,2,NULL),(28,332,1,15,24,NULL,NULL,NULL,NULL),(28,332,1,15,25,1,NULL,1,NULL),(28,332,1,15,26,1,NULL,1,NULL),(28,332,1,15,27,1,NULL,1,NULL),(28,332,1,15,28,NULL,1,NULL,1),(28,332,1,15,29,NULL,3,NULL,2),(28,332,1,15,30,NULL,5,NULL,5),(28,332,1,15,31,NULL,2,NULL,2),(28,332,1,15,32,NULL,2,NULL,1),(28,332,1,15,33,1,3,1,2),(28,332,1,15,34,3,2,3,2),(28,332,1,15,35,2,NULL,1,NULL),(28,332,1,15,36,1,NULL,1,NULL),(28,332,1,15,37,NULL,2,NULL,2),(28,332,1,15,38,1,1,1,NULL),(28,332,1,15,39,NULL,5,NULL,4),(28,332,1,15,40,NULL,NULL,NULL,NULL),(28,332,1,16,1,2,NULL,2,NULL),(28,332,1,16,2,NULL,2,NULL,1),(28,332,1,16,3,6,4,3,4),(28,332,1,16,4,3,6,2,3),(28,332,1,16,5,4,4,2,3),(28,332,1,16,6,NULL,6,NULL,3),(28,332,1,16,7,1,4,NULL,3),(28,332,1,16,8,NULL,5,NULL,3),(28,332,1,16,9,2,3,2,3),(28,332,1,16,10,7,6,5,4),(28,332,1,16,11,NULL,4,NULL,3),(28,332,1,16,12,1,4,1,3),(28,332,1,16,13,23,NULL,15,NULL),(28,332,1,16,14,19,1,14,NULL),(28,332,1,16,15,3,13,2,8),(28,332,1,16,16,20,NULL,11,NULL),(28,332,1,16,17,11,11,6,8),(28,332,1,16,18,4,5,3,1),(28,332,1,16,19,3,7,3,3),(28,332,1,16,20,2,9,2,4),(28,332,1,16,21,NULL,6,NULL,4),(28,332,1,16,22,NULL,3,NULL,1),(28,332,1,16,23,NULL,5,NULL,4),(28,332,1,16,24,NULL,NULL,NULL,NULL),(28,332,1,16,25,NULL,NULL,NULL,NULL),(28,332,1,16,26,NULL,3,NULL,1),(28,332,1,16,27,2,NULL,1,NULL),(28,332,1,16,28,NULL,NULL,NULL,NULL),(28,332,1,16,29,NULL,3,NULL,3),(28,332,1,16,30,3,6,3,4),(28,332,1,16,31,NULL,2,NULL,2),(28,332,1,16,32,3,3,3,3),(28,332,1,16,33,NULL,4,NULL,4),(28,332,1,16,34,NULL,4,NULL,4),(28,332,1,16,35,NULL,NULL,NULL,NULL),(28,332,1,16,36,NULL,NULL,NULL,NULL),(28,332,1,16,37,1,1,1,1),(28,332,1,16,38,NULL,2,NULL,2),(28,332,1,16,39,1,6,NULL,5),(28,332,1,16,40,1,NULL,1,NULL),(28,332,1,17,1,4,NULL,3,NULL),(28,332,1,17,2,NULL,NULL,NULL,NULL),(28,332,1,17,3,2,3,1,2),(28,332,1,17,4,1,3,1,2),(28,332,1,17,5,NULL,3,NULL,2),(28,332,1,17,6,1,7,NULL,3),(28,332,1,17,7,1,2,1,1),(28,332,1,17,8,1,5,1,3),(28,332,1,17,9,1,3,1,1),(28,332,1,17,10,3,1,3,1),(28,332,1,17,11,NULL,1,NULL,1),(28,332,1,17,12,1,1,NULL,NULL),(28,332,1,17,13,12,NULL,5,NULL),(28,332,1,17,14,10,NULL,4,NULL),(28,332,1,17,15,1,7,NULL,5),(28,332,1,17,16,9,NULL,5,NULL),(28,332,1,17,17,1,5,NULL,2),(28,332,1,17,18,1,3,1,1),(28,332,1,17,19,3,4,1,3),(28,332,1,17,20,NULL,5,NULL,3),(28,332,1,17,21,NULL,3,NULL,2),(28,332,1,17,22,NULL,1,NULL,1),(28,332,1,17,23,NULL,1,NULL,1),(28,332,1,17,24,NULL,NULL,NULL,NULL),(28,332,1,17,25,NULL,NULL,NULL,NULL),(28,332,1,17,26,NULL,2,NULL,1),(28,332,1,17,27,2,NULL,1,NULL),(28,332,1,17,28,NULL,2,NULL,NULL),(28,332,1,17,29,NULL,1,NULL,1),(28,332,1,17,30,1,4,1,3),(28,332,1,17,31,NULL,3,NULL,3),(28,332,1,17,32,NULL,1,NULL,1),(28,332,1,17,33,1,NULL,NULL,NULL),(28,332,1,17,34,2,1,1,NULL),(28,332,1,17,35,NULL,NULL,NULL,NULL),(28,332,1,17,36,NULL,NULL,NULL,NULL),(28,332,1,17,37,NULL,1,NULL,1),(28,332,1,17,38,1,NULL,1,NULL),(28,332,1,17,39,2,2,NULL,2),(28,332,1,17,40,1,NULL,1,NULL),(28,332,1,18,1,NULL,NULL,NULL,NULL),(28,332,1,18,2,NULL,NULL,NULL,NULL),(28,332,1,18,3,NULL,NULL,NULL,NULL),(28,332,1,18,4,NULL,NULL,NULL,NULL),(28,332,1,18,5,NULL,NULL,NULL,NULL),(28,332,1,18,6,NULL,NULL,NULL,NULL),(28,332,1,18,7,NULL,NULL,NULL,NULL),(28,332,1,18,8,NULL,NULL,NULL,NULL),(28,332,1,18,9,NULL,NULL,NULL,NULL),(28,332,1,18,10,NULL,NULL,NULL,NULL),(28,332,1,18,11,NULL,NULL,NULL,NULL),(28,332,1,18,12,NULL,NULL,NULL,NULL),(28,332,1,18,13,NULL,NULL,NULL,NULL),(28,332,1,18,14,NULL,NULL,NULL,NULL),(28,332,1,18,15,NULL,NULL,NULL,NULL),(28,332,1,18,16,NULL,NULL,NULL,NULL),(28,332,1,18,17,NULL,NULL,NULL,NULL),(28,332,1,18,18,NULL,NULL,NULL,NULL),(28,332,1,18,19,NULL,NULL,NULL,NULL),(28,332,1,18,20,NULL,NULL,NULL,NULL),(28,332,1,18,21,NULL,NULL,NULL,NULL),(28,332,1,18,22,NULL,NULL,NULL,NULL),(28,332,1,18,23,NULL,NULL,NULL,NULL),(28,332,1,18,24,NULL,NULL,NULL,NULL),(28,332,1,18,25,NULL,NULL,NULL,NULL),(28,332,1,18,26,NULL,NULL,NULL,NULL),(28,332,1,18,27,NULL,NULL,NULL,NULL),(28,332,1,18,28,NULL,NULL,NULL,NULL),(28,332,1,18,29,NULL,NULL,NULL,NULL),(28,332,1,18,30,NULL,NULL,NULL,NULL),(28,332,1,18,31,NULL,NULL,NULL,NULL),(28,332,1,18,32,NULL,NULL,NULL,NULL),(28,332,1,18,33,NULL,NULL,NULL,NULL),(28,332,1,18,34,NULL,NULL,NULL,NULL),(28,332,1,18,35,NULL,NULL,NULL,NULL),(28,332,1,18,36,NULL,NULL,NULL,NULL),(28,332,1,18,37,NULL,NULL,NULL,NULL),(28,332,1,18,38,NULL,NULL,NULL,NULL),(28,332,1,18,39,NULL,NULL,NULL,NULL),(28,332,1,18,40,NULL,NULL,NULL,NULL),(28,332,1,19,1,NULL,NULL,NULL,NULL),(28,332,1,19,2,NULL,NULL,NULL,NULL),(28,332,1,19,3,NULL,NULL,NULL,NULL),(28,332,1,19,4,NULL,NULL,NULL,NULL),(28,332,1,19,5,NULL,NULL,NULL,NULL),(28,332,1,19,6,NULL,NULL,NULL,NULL),(28,332,1,19,7,NULL,NULL,NULL,NULL),(28,332,1,19,8,NULL,NULL,NULL,NULL),(28,332,1,19,9,NULL,NULL,NULL,NULL),(28,332,1,19,10,NULL,NULL,NULL,NULL),(28,332,1,19,11,NULL,NULL,NULL,NULL),(28,332,1,19,12,NULL,NULL,NULL,NULL),(28,332,1,19,13,NULL,NULL,NULL,NULL),(28,332,1,19,14,NULL,NULL,NULL,NULL),(28,332,1,19,15,NULL,NULL,NULL,NULL),(28,332,1,19,16,NULL,NULL,NULL,NULL),(28,332,1,19,17,NULL,NULL,NULL,NULL),(28,332,1,19,18,NULL,NULL,NULL,NULL),(28,332,1,19,19,NULL,NULL,NULL,NULL),(28,332,1,19,20,NULL,NULL,NULL,NULL),(28,332,1,19,21,NULL,NULL,NULL,NULL),(28,332,1,19,22,NULL,NULL,NULL,NULL),(28,332,1,19,23,NULL,NULL,NULL,NULL),(28,332,1,19,24,NULL,NULL,NULL,NULL),(28,332,1,19,25,NULL,NULL,NULL,NULL),(28,332,1,19,26,NULL,NULL,NULL,NULL),(28,332,1,19,27,NULL,NULL,NULL,NULL),(28,332,1,19,28,NULL,NULL,NULL,NULL),(28,332,1,19,29,NULL,NULL,NULL,NULL),(28,332,1,19,30,NULL,NULL,NULL,NULL),(28,332,1,19,31,NULL,NULL,NULL,NULL),(28,332,1,19,32,NULL,NULL,NULL,NULL),(28,332,1,19,33,NULL,NULL,NULL,NULL),(28,332,1,19,34,NULL,NULL,NULL,NULL),(28,332,1,19,35,NULL,NULL,NULL,NULL),(28,332,1,19,36,NULL,NULL,NULL,NULL),(28,332,1,19,37,NULL,NULL,NULL,NULL),(28,332,1,19,38,NULL,NULL,NULL,NULL),(28,332,1,19,39,NULL,NULL,NULL,NULL),(28,332,1,19,40,NULL,NULL,NULL,NULL),(28,332,2,21,1,NULL,5,NULL,2),(28,332,2,21,2,NULL,3,NULL,1),(28,332,2,21,3,8,NULL,5,NULL),(28,332,2,21,4,1,2,1,1),(28,332,2,21,5,1,3,1,2),(28,332,2,21,6,6,5,2,3),(28,332,2,21,7,1,7,NULL,4),(28,332,2,21,8,NULL,3,NULL,2),(28,332,2,21,9,1,3,1,2),(28,332,2,21,10,6,NULL,3,NULL),(28,332,2,21,11,1,2,NULL,2),(28,332,2,21,12,4,7,2,3),(28,332,2,21,13,1,6,NULL,4),(28,332,2,21,14,4,3,3,1),(28,332,2,21,15,4,2,1,2),(28,332,2,21,16,3,5,1,2),(28,332,2,21,17,2,2,1,1),(28,332,2,21,18,6,6,3,3),(28,332,2,21,19,1,4,NULL,4),(28,332,2,21,20,4,3,3,1),(28,332,2,21,21,NULL,1,NULL,NULL),(28,332,2,21,22,NULL,NULL,NULL,NULL),(28,332,2,21,23,NULL,3,NULL,2),(28,332,2,21,24,NULL,2,NULL,NULL),(28,332,2,21,25,NULL,4,NULL,1),(28,332,2,21,26,1,1,1,1),(28,332,2,21,27,NULL,3,NULL,1),(28,332,2,21,28,NULL,1,NULL,1),(28,332,2,21,29,NULL,NULL,NULL,NULL),(28,332,2,21,30,NULL,1,NULL,1),(28,332,2,21,31,NULL,6,NULL,2),(28,332,2,21,32,1,2,NULL,1),(28,332,2,21,33,NULL,1,NULL,NULL),(28,332,2,21,34,NULL,NULL,NULL,NULL),(28,332,2,21,35,3,NULL,3,NULL),(28,332,2,21,36,NULL,NULL,NULL,NULL),(28,332,2,21,37,NULL,1,NULL,1),(28,332,2,21,38,NULL,NULL,NULL,NULL),(28,332,2,21,39,NULL,1,NULL,NULL),(28,332,2,21,40,NULL,5,NULL,3),(28,332,2,22,1,2,4,2,3),(28,332,2,22,2,NULL,2,NULL,2),(28,332,2,22,3,3,8,3,7),(28,332,2,22,4,NULL,NULL,NULL,NULL),(28,332,2,22,5,3,3,1,3),(28,332,2,22,6,6,4,4,3),(28,332,2,22,7,NULL,4,NULL,3),(28,332,2,22,8,3,4,2,3),(28,332,2,22,9,2,5,2,4),(28,332,2,22,10,3,6,3,4),(28,332,2,22,11,2,4,2,3),(28,332,2,22,12,3,9,2,5),(28,332,2,22,13,2,11,2,7),(28,332,2,22,14,7,5,6,3),(28,332,2,22,15,2,6,1,3),(28,332,2,22,16,2,6,1,4),(28,332,2,22,17,NULL,4,NULL,1),(28,332,2,22,18,2,9,1,7),(28,332,2,22,19,1,6,1,3),(28,332,2,22,20,4,3,3,2),(28,332,2,22,21,NULL,6,NULL,2),(28,332,2,22,22,2,1,2,1),(28,332,2,22,23,NULL,2,NULL,2),(28,332,2,22,24,NULL,1,NULL,1),(28,332,2,22,25,NULL,1,NULL,1),(28,332,2,22,26,NULL,5,NULL,3),(28,332,2,22,27,NULL,6,NULL,5),(28,332,2,22,28,NULL,2,NULL,1),(28,332,2,22,29,NULL,4,NULL,3),(28,332,2,22,30,NULL,2,NULL,1),(28,332,2,22,31,NULL,3,NULL,3),(28,332,2,22,32,NULL,NULL,NULL,NULL),(28,332,2,22,33,1,1,1,1),(28,332,2,22,34,NULL,3,NULL,3),(28,332,2,22,35,2,NULL,1,NULL),(28,332,2,22,36,NULL,1,NULL,NULL),(28,332,2,22,37,NULL,1,NULL,1),(28,332,2,22,38,NULL,NULL,NULL,NULL),(28,332,2,22,39,NULL,1,NULL,1),(28,332,2,22,40,NULL,8,NULL,4),(28,332,2,23,1,1,8,NULL,6),(28,332,2,23,2,1,3,1,3),(28,332,2,23,3,5,5,5,4),(28,332,2,23,4,NULL,1,NULL,1),(28,332,2,23,5,1,6,1,6),(28,332,2,23,6,3,7,1,6),(28,332,2,23,7,NULL,4,NULL,3),(28,332,2,23,8,1,3,1,3),(28,332,2,23,9,2,3,2,3),(28,332,2,23,10,5,2,4,2),(28,332,2,23,11,2,3,2,3),(28,332,2,23,12,3,8,3,5),(28,332,2,23,13,1,6,1,4),(28,332,2,23,14,2,6,2,6),(28,332,2,23,15,3,7,3,5),(28,332,2,23,16,1,6,1,6),(28,332,2,23,17,2,1,1,1),(28,332,2,23,18,2,6,1,6),(28,332,2,23,19,2,3,2,1),(28,332,2,23,20,5,2,5,1),(28,332,2,23,21,NULL,NULL,NULL,NULL),(28,332,2,23,22,1,NULL,NULL,NULL),(28,332,2,23,23,NULL,2,NULL,2),(28,332,2,23,24,NULL,2,NULL,NULL),(28,332,2,23,25,NULL,1,NULL,1),(28,332,2,23,26,1,2,NULL,2),(28,332,2,23,27,2,4,1,4),(28,332,2,23,28,1,NULL,1,NULL),(28,332,2,23,29,NULL,2,NULL,2),(28,332,2,23,30,1,2,NULL,2),(28,332,2,23,31,NULL,4,NULL,3),(28,332,2,23,32,NULL,1,NULL,NULL),(28,332,2,23,33,1,NULL,NULL,NULL),(28,332,2,23,34,1,2,1,2),(28,332,2,23,35,2,NULL,2,NULL),(28,332,2,23,36,NULL,2,NULL,1),(28,332,2,23,37,NULL,1,NULL,1),(28,332,2,23,38,NULL,NULL,NULL,NULL),(28,332,2,23,39,NULL,1,NULL,1),(28,332,2,23,40,NULL,4,NULL,2),(28,332,2,24,1,1,6,1,6),(28,332,2,24,2,1,3,1,3),(28,332,2,24,3,4,6,3,5),(28,332,2,24,4,NULL,1,NULL,1),(28,332,2,24,5,NULL,3,NULL,2),(28,332,2,24,6,4,3,4,2),(28,332,2,24,7,NULL,3,NULL,3),(28,332,2,24,8,1,3,1,3),(28,332,2,24,9,2,NULL,2,NULL),(28,332,2,24,10,3,4,3,4),(28,332,2,24,11,2,3,2,3),(28,332,2,24,12,4,3,4,3),(28,332,2,24,13,2,6,2,6),(28,332,2,24,14,1,7,1,6),(28,332,2,24,15,3,2,2,1),(28,332,2,24,16,3,5,3,5),(28,332,2,24,17,1,2,1,2),(28,332,2,24,18,3,6,2,6),(28,332,2,24,19,2,3,1,3),(28,332,2,24,20,5,3,4,3),(28,332,2,24,21,NULL,2,NULL,2),(28,332,2,24,22,NULL,2,NULL,2),(28,332,2,24,23,NULL,3,NULL,2),(28,332,2,24,24,NULL,2,NULL,2),(28,332,2,24,25,1,NULL,1,NULL),(28,332,2,24,26,NULL,2,NULL,2),(28,332,2,24,27,NULL,2,NULL,NULL),(28,332,2,24,28,NULL,NULL,NULL,NULL),(28,332,2,24,29,NULL,1,NULL,1),(28,332,2,24,30,1,2,1,2),(28,332,2,24,31,NULL,2,NULL,1),(28,332,2,24,32,NULL,NULL,NULL,NULL),(28,332,2,24,33,NULL,2,NULL,1),(28,332,2,24,34,NULL,1,NULL,1),(28,332,2,24,35,NULL,NULL,NULL,NULL),(28,332,2,24,36,NULL,3,NULL,2),(28,332,2,24,37,1,2,1,2),(28,332,2,24,38,NULL,NULL,NULL,NULL),(28,332,2,24,39,NULL,2,NULL,1),(28,332,2,24,40,NULL,5,NULL,5),(28,333,1,11,1,NULL,NULL,NULL,NULL),(28,333,1,11,2,NULL,NULL,NULL,NULL),(28,333,1,11,3,NULL,NULL,NULL,NULL),(28,333,1,11,4,NULL,NULL,NULL,NULL),(28,333,1,11,5,NULL,NULL,NULL,NULL),(28,333,1,11,6,NULL,NULL,NULL,NULL),(28,333,1,11,7,NULL,NULL,NULL,NULL),(28,333,1,11,8,NULL,NULL,NULL,NULL),(28,333,1,11,9,NULL,NULL,NULL,NULL),(28,333,1,11,10,NULL,NULL,NULL,NULL),(28,333,1,11,11,NULL,NULL,NULL,NULL),(28,333,1,11,12,NULL,NULL,NULL,NULL),(28,333,1,11,13,NULL,NULL,NULL,NULL),(28,333,1,11,14,NULL,NULL,NULL,NULL),(28,333,1,11,15,NULL,NULL,NULL,NULL),(28,333,1,11,16,NULL,NULL,NULL,NULL),(28,333,1,11,17,NULL,NULL,NULL,NULL),(28,333,1,11,18,NULL,NULL,NULL,NULL),(28,333,1,11,19,NULL,NULL,NULL,NULL),(28,333,1,11,20,NULL,NULL,NULL,NULL),(28,333,1,11,21,NULL,NULL,NULL,NULL),(28,333,1,11,22,NULL,NULL,NULL,NULL),(28,333,1,11,23,NULL,NULL,NULL,NULL),(28,333,1,11,24,NULL,NULL,NULL,NULL),(28,333,1,11,25,NULL,NULL,NULL,NULL),(28,333,1,11,26,NULL,NULL,NULL,NULL),(28,333,1,11,27,NULL,NULL,NULL,NULL),(28,333,1,11,28,NULL,NULL,NULL,NULL),(28,333,1,11,29,NULL,NULL,NULL,NULL),(28,333,1,11,30,NULL,NULL,NULL,NULL),(28,333,1,11,31,NULL,NULL,NULL,NULL),(28,333,1,11,32,NULL,NULL,NULL,NULL),(28,333,1,11,33,NULL,NULL,NULL,NULL),(28,333,1,11,34,NULL,NULL,NULL,NULL),(28,333,1,11,35,NULL,NULL,NULL,NULL),(28,333,1,11,36,NULL,NULL,NULL,NULL),(28,333,1,11,37,NULL,NULL,NULL,NULL),(28,333,1,11,38,NULL,NULL,NULL,NULL),(28,333,1,11,39,NULL,NULL,NULL,NULL),(28,333,1,11,40,NULL,NULL,NULL,NULL),(28,333,1,12,1,1,NULL,NULL,NULL),(28,333,1,12,2,NULL,1,NULL,NULL),(28,333,1,12,3,NULL,1,NULL,NULL),(28,333,1,12,4,NULL,NULL,NULL,NULL),(28,333,1,12,5,NULL,1,NULL,NULL),(28,333,1,12,6,NULL,NULL,NULL,NULL),(28,333,1,12,7,NULL,1,NULL,NULL),(28,333,1,12,8,NULL,1,NULL,NULL),(28,333,1,12,9,1,NULL,NULL,NULL),(28,333,1,12,10,1,NULL,NULL,NULL),(28,333,1,12,11,NULL,1,NULL,NULL),(28,333,1,12,12,NULL,1,NULL,NULL),(28,333,1,12,13,1,NULL,NULL,NULL),(28,333,1,12,14,1,NULL,NULL,NULL),(28,333,1,12,15,NULL,NULL,NULL,NULL),(28,333,1,12,16,1,NULL,NULL,NULL),(28,333,1,12,17,NULL,1,NULL,NULL),(28,333,1,12,18,NULL,1,NULL,NULL),(28,333,1,12,19,NULL,1,NULL,NULL),(28,333,1,12,20,1,NULL,NULL,NULL),(28,333,1,12,21,NULL,NULL,NULL,NULL),(28,333,1,12,22,NULL,NULL,NULL,NULL),(28,333,1,12,23,NULL,1,NULL,NULL),(28,333,1,12,24,NULL,NULL,NULL,NULL),(28,333,1,12,25,NULL,NULL,NULL,NULL),(28,333,1,12,26,NULL,NULL,NULL,NULL),(28,333,1,12,27,NULL,NULL,NULL,NULL),(28,333,1,12,28,NULL,NULL,NULL,NULL),(28,333,1,12,29,NULL,NULL,NULL,NULL),(28,333,1,12,30,NULL,1,NULL,NULL),(28,333,1,12,31,NULL,NULL,NULL,NULL),(28,333,1,12,32,NULL,NULL,NULL,NULL),(28,333,1,12,33,NULL,1,NULL,NULL),(28,333,1,12,34,1,NULL,NULL,NULL),(28,333,1,12,35,NULL,NULL,NULL,NULL),(28,333,1,12,36,NULL,NULL,NULL,NULL),(28,333,1,12,37,NULL,NULL,NULL,NULL),(28,333,1,12,38,NULL,1,NULL,NULL),(28,333,1,12,39,NULL,1,NULL,NULL),(28,333,1,12,40,NULL,NULL,NULL,NULL),(28,333,1,13,1,NULL,NULL,NULL,NULL),(28,333,1,13,2,NULL,NULL,NULL,NULL),(28,333,1,13,3,NULL,NULL,NULL,NULL),(28,333,1,13,4,NULL,NULL,NULL,NULL),(28,333,1,13,5,1,NULL,NULL,NULL),(28,333,1,13,6,NULL,NULL,NULL,NULL),(28,333,1,13,7,NULL,NULL,NULL,NULL),(28,333,1,13,8,NULL,1,NULL,NULL),(28,333,1,13,9,NULL,NULL,NULL,NULL),(28,333,1,13,10,NULL,NULL,NULL,NULL),(28,333,1,13,11,NULL,NULL,NULL,NULL),(28,333,1,13,12,1,NULL,NULL,NULL),(28,333,1,13,13,1,NULL,NULL,NULL),(28,333,1,13,14,1,NULL,NULL,NULL),(28,333,1,13,15,NULL,NULL,NULL,NULL),(28,333,1,13,16,1,NULL,NULL,NULL),(28,333,1,13,17,NULL,NULL,NULL,NULL),(28,333,1,13,18,NULL,1,NULL,NULL),(28,333,1,13,19,1,NULL,NULL,NULL),(28,333,1,13,20,NULL,NULL,NULL,NULL),(28,333,1,13,21,NULL,NULL,NULL,NULL),(28,333,1,13,22,NULL,1,NULL,NULL),(28,333,1,13,23,NULL,NULL,NULL,NULL),(28,333,1,13,24,NULL,NULL,NULL,NULL),(28,333,1,13,25,1,NULL,NULL,NULL),(28,333,1,13,26,NULL,1,NULL,NULL),(28,333,1,13,27,NULL,NULL,NULL,NULL),(28,333,1,13,28,NULL,NULL,NULL,NULL),(28,333,1,13,29,NULL,NULL,NULL,NULL),(28,333,1,13,30,NULL,NULL,NULL,NULL),(28,333,1,13,31,NULL,1,NULL,NULL),(28,333,1,13,32,1,NULL,NULL,NULL),(28,333,1,13,33,NULL,NULL,NULL,NULL),(28,333,1,13,34,NULL,NULL,NULL,NULL),(28,333,1,13,35,NULL,NULL,NULL,NULL),(28,333,1,13,36,NULL,NULL,NULL,NULL),(28,333,1,13,37,NULL,NULL,NULL,NULL),(28,333,1,13,38,NULL,NULL,NULL,NULL),(28,333,1,13,39,NULL,NULL,NULL,NULL),(28,333,1,13,40,NULL,NULL,NULL,NULL),(28,333,1,14,1,23,NULL,7,NULL),(28,333,1,14,2,3,13,3,4),(28,333,1,14,3,15,10,6,4),(28,333,1,14,4,9,11,2,2),(28,333,1,14,5,21,7,6,1),(28,333,1,14,6,5,21,3,6),(28,333,1,14,7,8,5,1,2),(28,333,1,14,8,3,20,NULL,7),(28,333,1,14,9,9,11,4,3),(28,333,1,14,10,22,7,5,2),(28,333,1,14,11,3,9,1,5),(28,333,1,14,12,9,12,3,1),(28,333,1,14,13,27,14,5,6),(28,333,1,14,14,19,9,3,2),(28,333,1,14,15,27,NULL,6,NULL),(28,333,1,14,16,27,15,4,5),(28,333,1,14,17,11,26,5,5),(28,333,1,14,18,13,11,5,3),(28,333,1,14,19,28,16,6,4),(28,333,1,14,20,20,23,8,2),(28,333,1,14,21,1,6,NULL,1),(28,333,1,14,22,1,8,NULL,NULL),(28,333,1,14,23,1,12,1,2),(28,333,1,14,24,1,NULL,1,NULL),(28,333,1,14,25,NULL,7,NULL,1),(28,333,1,14,26,NULL,10,NULL,2),(28,333,1,14,27,12,NULL,3,NULL),(28,333,1,14,28,NULL,NULL,NULL,NULL),(28,333,1,14,29,2,7,1,2),(28,333,1,14,30,4,12,1,5),(28,333,1,14,31,1,9,NULL,1),(28,333,1,14,32,5,13,1,4),(28,333,1,14,33,7,7,2,2),(28,333,1,14,34,11,12,7,1),(28,333,1,14,35,3,2,1,1),(28,333,1,14,36,3,NULL,3,NULL),(28,333,1,14,37,NULL,5,NULL,NULL),(28,333,1,14,38,4,8,2,2),(28,333,1,14,39,9,18,4,5),(28,333,1,14,40,3,NULL,1,NULL),(28,333,1,15,1,19,NULL,8,NULL),(28,333,1,15,2,NULL,10,NULL,4),(28,333,1,15,3,16,9,6,3),(28,333,1,15,4,12,12,2,5),(28,333,1,15,5,12,15,6,5),(28,333,1,15,6,3,25,2,8),(28,333,1,15,7,10,4,4,1),(28,333,1,15,8,5,19,3,4),(28,333,1,15,9,3,9,2,6),(28,333,1,15,10,26,4,11,NULL),(28,333,1,15,11,7,7,3,3),(28,333,1,15,12,2,13,2,7),(28,333,1,15,13,24,9,9,2),(28,333,1,15,14,9,10,4,1),(28,333,1,15,15,22,NULL,9,NULL),(28,333,1,15,16,18,15,7,4),(28,333,1,15,17,9,28,6,7),(28,333,1,15,18,5,13,5,2),(28,333,1,15,19,23,11,8,2),(28,333,1,15,20,20,21,9,3),(28,333,1,15,21,3,7,NULL,2),(28,333,1,15,22,2,13,1,4),(28,333,1,15,23,5,7,3,2),(28,333,1,15,24,1,NULL,NULL,NULL),(28,333,1,15,25,1,7,NULL,3),(28,333,1,15,26,1,6,NULL,3),(28,333,1,15,27,8,NULL,3,NULL),(28,333,1,15,28,1,1,NULL,NULL),(28,333,1,15,29,2,9,1,3),(28,333,1,15,30,7,4,3,NULL),(28,333,1,15,31,2,10,2,3),(28,333,1,15,32,4,4,1,1),(28,333,1,15,33,3,7,NULL,2),(28,333,1,15,34,14,8,7,3),(28,333,1,15,35,2,NULL,2,NULL),(28,333,1,15,36,3,NULL,1,NULL),(28,333,1,15,37,2,4,NULL,1),(28,333,1,15,38,4,5,3,3),(28,333,1,15,39,13,13,5,5),(28,333,1,15,40,3,NULL,2,NULL),(28,333,1,16,1,14,NULL,1,NULL),(28,333,1,16,2,1,10,NULL,NULL),(28,333,1,16,3,12,8,1,NULL),(28,333,1,16,4,4,12,NULL,NULL),(28,333,1,16,5,12,11,NULL,1),(28,333,1,16,6,4,13,NULL,1),(28,333,1,16,7,3,5,NULL,NULL),(28,333,1,16,8,4,15,NULL,1),(28,333,1,16,9,4,12,NULL,NULL),(28,333,1,16,10,15,4,1,NULL),(28,333,1,16,11,2,4,1,NULL),(28,333,1,16,12,3,3,NULL,NULL),(28,333,1,16,13,40,NULL,1,NULL),(28,333,1,16,14,33,5,NULL,1),(28,333,1,16,15,12,17,NULL,NULL),(28,333,1,16,16,29,NULL,NULL,NULL),(28,333,1,16,17,15,12,1,NULL),(28,333,1,16,18,10,8,NULL,1),(28,333,1,16,19,8,15,NULL,1),(28,333,1,16,20,10,20,1,NULL),(28,333,1,16,21,2,7,NULL,NULL),(28,333,1,16,22,2,7,NULL,NULL),(28,333,1,16,23,3,10,NULL,1),(28,333,1,16,24,NULL,NULL,NULL,NULL),(28,333,1,16,25,1,4,NULL,NULL),(28,333,1,16,26,NULL,5,NULL,1),(28,333,1,16,27,3,NULL,1,NULL),(28,333,1,16,28,NULL,1,NULL,NULL),(28,333,1,16,29,2,2,NULL,NULL),(28,333,1,16,30,5,9,NULL,NULL),(28,333,1,16,31,1,4,NULL,NULL),(28,333,1,16,32,NULL,4,NULL,NULL),(28,333,1,16,33,6,1,NULL,NULL),(28,333,1,16,34,6,2,NULL,NULL),(28,333,1,16,35,1,1,NULL,NULL),(28,333,1,16,36,1,NULL,NULL,NULL),(28,333,1,16,37,2,6,NULL,NULL),(28,333,1,16,38,NULL,6,NULL,1),(28,333,1,16,39,10,9,NULL,NULL),(28,333,1,16,40,1,NULL,NULL,NULL),(28,333,1,17,1,15,NULL,4,NULL),(28,333,1,17,2,1,8,NULL,2),(28,333,1,17,3,5,12,2,3),(28,333,1,17,4,4,5,2,NULL),(28,333,1,17,5,4,7,2,1),(28,333,1,17,6,1,9,1,3),(28,333,1,17,7,3,9,NULL,1),(28,333,1,17,8,2,8,NULL,2),(28,333,1,17,9,3,7,1,1),(28,333,1,17,10,15,7,5,NULL),(28,333,1,17,11,3,7,3,NULL),(28,333,1,17,12,5,4,3,NULL),(28,333,1,17,13,33,NULL,5,NULL),(28,333,1,17,14,28,5,5,NULL),(28,333,1,17,15,5,18,2,2),(28,333,1,17,16,26,NULL,5,NULL),(28,333,1,17,17,11,16,2,2),(28,333,1,17,18,7,10,1,1),(28,333,1,17,19,8,17,2,2),(28,333,1,17,20,7,12,NULL,4),(28,333,1,17,21,1,3,NULL,NULL),(28,333,1,17,22,1,4,1,NULL),(28,333,1,17,23,NULL,8,NULL,2),(28,333,1,17,24,1,NULL,NULL,NULL),(28,333,1,17,25,NULL,4,NULL,NULL),(28,333,1,17,26,NULL,4,NULL,1),(28,333,1,17,27,6,NULL,1,NULL),(28,333,1,17,28,NULL,1,NULL,NULL),(28,333,1,17,29,3,8,1,1),(28,333,1,17,30,NULL,11,NULL,2),(28,333,1,17,31,NULL,3,NULL,NULL),(28,333,1,17,32,3,10,1,3),(28,333,1,17,33,1,5,NULL,1),(28,333,1,17,34,11,7,4,NULL),(28,333,1,17,35,1,3,1,NULL),(28,333,1,17,36,1,NULL,NULL,NULL),(28,333,1,17,37,1,6,NULL,1),(28,333,1,17,38,1,5,1,NULL),(28,333,1,17,39,4,13,NULL,3),(28,333,1,17,40,3,NULL,1,NULL),(28,333,1,18,1,NULL,NULL,NULL,NULL),(28,333,1,18,2,NULL,NULL,NULL,NULL),(28,333,1,18,3,NULL,NULL,NULL,NULL),(28,333,1,18,4,NULL,NULL,NULL,NULL),(28,333,1,18,5,NULL,NULL,NULL,NULL),(28,333,1,18,6,NULL,NULL,NULL,NULL),(28,333,1,18,7,NULL,NULL,NULL,NULL),(28,333,1,18,8,NULL,NULL,NULL,NULL),(28,333,1,18,9,NULL,NULL,NULL,NULL),(28,333,1,18,10,NULL,NULL,NULL,NULL),(28,333,1,18,11,NULL,NULL,NULL,NULL),(28,333,1,18,12,NULL,NULL,NULL,NULL),(28,333,1,18,13,NULL,NULL,NULL,NULL),(28,333,1,18,14,NULL,NULL,NULL,NULL),(28,333,1,18,15,NULL,NULL,NULL,NULL),(28,333,1,18,16,NULL,NULL,NULL,NULL),(28,333,1,18,17,NULL,NULL,NULL,NULL),(28,333,1,18,18,NULL,NULL,NULL,NULL),(28,333,1,18,19,NULL,NULL,NULL,NULL),(28,333,1,18,20,NULL,NULL,NULL,NULL),(28,333,1,18,21,NULL,NULL,NULL,NULL),(28,333,1,18,22,NULL,NULL,NULL,NULL),(28,333,1,18,23,NULL,NULL,NULL,NULL),(28,333,1,18,24,NULL,NULL,NULL,NULL),(28,333,1,18,25,NULL,NULL,NULL,NULL),(28,333,1,18,26,NULL,NULL,NULL,NULL),(28,333,1,18,27,NULL,NULL,NULL,NULL),(28,333,1,18,28,NULL,NULL,NULL,NULL),(28,333,1,18,29,NULL,NULL,NULL,NULL),(28,333,1,18,30,NULL,NULL,NULL,NULL),(28,333,1,18,31,NULL,NULL,NULL,NULL),(28,333,1,18,32,NULL,NULL,NULL,NULL),(28,333,1,18,33,NULL,NULL,NULL,NULL),(28,333,1,18,34,NULL,NULL,NULL,NULL),(28,333,1,18,35,NULL,NULL,NULL,NULL),(28,333,1,18,36,NULL,NULL,NULL,NULL),(28,333,1,18,37,NULL,NULL,NULL,NULL),(28,333,1,18,38,NULL,NULL,NULL,NULL),(28,333,1,18,39,NULL,NULL,NULL,NULL),(28,333,1,18,40,NULL,NULL,NULL,NULL),(28,333,1,19,1,NULL,NULL,NULL,NULL),(28,333,1,19,2,NULL,NULL,NULL,NULL),(28,333,1,19,3,NULL,NULL,NULL,NULL),(28,333,1,19,4,NULL,NULL,NULL,NULL),(28,333,1,19,5,NULL,NULL,NULL,NULL),(28,333,1,19,6,NULL,NULL,NULL,NULL),(28,333,1,19,7,NULL,NULL,NULL,NULL),(28,333,1,19,8,NULL,NULL,NULL,NULL),(28,333,1,19,9,NULL,NULL,NULL,NULL),(28,333,1,19,10,NULL,NULL,NULL,NULL),(28,333,1,19,11,NULL,NULL,NULL,NULL),(28,333,1,19,12,NULL,NULL,NULL,NULL),(28,333,1,19,13,NULL,NULL,NULL,NULL),(28,333,1,19,14,NULL,NULL,NULL,NULL),(28,333,1,19,15,NULL,NULL,NULL,NULL),(28,333,1,19,16,NULL,NULL,NULL,NULL),(28,333,1,19,17,NULL,NULL,NULL,NULL),(28,333,1,19,18,NULL,NULL,NULL,NULL),(28,333,1,19,19,NULL,NULL,NULL,NULL),(28,333,1,19,20,NULL,NULL,NULL,NULL),(28,333,1,19,21,NULL,NULL,NULL,NULL),(28,333,1,19,22,NULL,NULL,NULL,NULL),(28,333,1,19,23,NULL,NULL,NULL,NULL),(28,333,1,19,24,NULL,NULL,NULL,NULL),(28,333,1,19,25,NULL,NULL,NULL,NULL),(28,333,1,19,26,NULL,NULL,NULL,NULL),(28,333,1,19,27,NULL,NULL,NULL,NULL),(28,333,1,19,28,NULL,NULL,NULL,NULL),(28,333,1,19,29,NULL,NULL,NULL,NULL),(28,333,1,19,30,NULL,NULL,NULL,NULL),(28,333,1,19,31,NULL,NULL,NULL,NULL),(28,333,1,19,32,NULL,NULL,NULL,NULL),(28,333,1,19,33,NULL,NULL,NULL,NULL),(28,333,1,19,34,NULL,NULL,NULL,NULL),(28,333,1,19,35,NULL,NULL,NULL,NULL),(28,333,1,19,36,NULL,NULL,NULL,NULL),(28,333,1,19,37,NULL,NULL,NULL,NULL),(28,333,1,19,38,NULL,NULL,NULL,NULL),(28,333,1,19,39,NULL,NULL,NULL,NULL),(28,333,1,19,40,NULL,NULL,NULL,NULL),(28,333,2,21,1,NULL,17,NULL,1),(28,333,2,21,2,2,11,1,3),(28,333,2,21,3,16,11,4,1),(28,333,2,21,4,1,1,1,1),(28,333,2,21,5,6,9,1,NULL),(28,333,2,21,6,14,19,1,4),(28,333,2,21,7,1,13,1,1),(28,333,2,21,8,5,9,2,1),(28,333,2,21,9,NULL,4,NULL,NULL),(28,333,2,21,10,5,10,NULL,NULL),(28,333,2,21,11,9,9,4,NULL),(28,333,2,21,12,9,14,2,1),(28,333,2,21,13,6,25,1,3),(28,333,2,21,14,8,16,2,2),(28,333,2,21,15,5,14,2,2),(28,333,2,21,16,4,18,NULL,4),(28,333,2,21,17,1,NULL,NULL,NULL),(28,333,2,21,18,14,14,2,1),(28,333,2,21,19,10,14,3,NULL),(28,333,2,21,20,12,6,2,NULL),(28,333,2,21,21,3,4,NULL,1),(28,333,2,21,22,5,4,2,1),(28,333,2,21,23,2,9,NULL,1),(28,333,2,21,24,1,6,NULL,3),(28,333,2,21,25,1,6,NULL,2),(28,333,2,21,26,1,8,1,NULL),(28,333,2,21,27,2,13,1,NULL),(28,333,2,21,28,NULL,3,NULL,1),(28,333,2,21,29,NULL,5,NULL,NULL),(28,333,2,21,30,NULL,5,NULL,NULL),(28,333,2,21,31,1,16,1,2),(28,333,2,21,32,1,NULL,NULL,NULL),(28,333,2,21,33,5,6,2,1),(28,333,2,21,34,3,11,1,1),(28,333,2,21,35,7,NULL,NULL,NULL),(28,333,2,21,36,NULL,2,NULL,1),(28,333,2,21,37,1,4,1,1),(28,333,2,21,38,3,4,1,3),(28,333,2,21,39,3,6,2,2),(28,333,2,21,40,1,13,NULL,3),(28,333,2,22,1,1,17,NULL,3),(28,333,2,22,2,1,7,1,3),(28,333,2,22,3,15,7,5,NULL),(28,333,2,22,4,NULL,4,NULL,1),(28,333,2,22,5,4,4,2,1),(28,333,2,22,6,11,15,1,4),(28,333,2,22,7,NULL,18,NULL,5),(28,333,2,22,8,7,8,1,1),(28,333,2,22,9,3,4,1,1),(28,333,2,22,10,8,6,3,NULL),(28,333,2,22,11,9,1,2,NULL),(28,333,2,22,12,15,9,3,1),(28,333,2,22,13,3,26,NULL,5),(28,333,2,22,14,11,11,4,1),(28,333,2,22,15,4,10,1,3),(28,333,2,22,16,4,17,2,3),(28,333,2,22,17,1,4,NULL,2),(28,333,2,22,18,15,15,3,2),(28,333,2,22,19,4,14,1,4),(28,333,2,22,20,10,11,5,NULL),(28,333,2,22,21,2,3,NULL,NULL),(28,333,2,22,22,4,4,2,1),(28,333,2,22,23,NULL,3,NULL,NULL),(28,333,2,22,24,1,7,NULL,1),(28,333,2,22,25,1,3,1,1),(28,333,2,22,26,NULL,6,NULL,1),(28,333,2,22,27,1,9,NULL,3),(28,333,2,22,28,NULL,6,NULL,1),(28,333,2,22,29,NULL,3,NULL,1),(28,333,2,22,30,NULL,2,NULL,NULL),(28,333,2,22,31,NULL,13,NULL,3),(28,333,2,22,32,2,2,2,NULL),(28,333,2,22,33,2,11,1,3),(28,333,2,22,34,4,8,1,3),(28,333,2,22,35,6,NULL,2,NULL),(28,333,2,22,36,3,7,NULL,2),(28,333,2,22,37,2,3,1,NULL),(28,333,2,22,38,1,4,NULL,NULL),(28,333,2,22,39,1,2,NULL,1),(28,333,2,22,40,3,18,2,4),(28,333,2,23,1,NULL,13,NULL,3),(28,333,2,23,2,NULL,12,NULL,5),(28,333,2,23,3,21,15,5,4),(28,333,2,23,4,2,5,1,2),(28,333,2,23,5,10,7,3,2),(28,333,2,23,6,18,19,1,7),(28,333,2,23,7,1,18,NULL,3),(28,333,2,23,8,6,6,2,2),(28,333,2,23,9,2,5,1,4),(28,333,2,23,10,6,7,3,2),(28,333,2,23,11,7,4,4,1),(28,333,2,23,12,7,16,1,3),(28,333,2,23,13,8,22,2,5),(28,333,2,23,14,12,15,5,4),(28,333,2,23,15,7,12,NULL,3),(28,333,2,23,16,8,17,NULL,5),(28,333,2,23,17,4,4,NULL,NULL),(28,333,2,23,18,18,9,5,4),(28,333,2,23,19,7,12,3,3),(28,333,2,23,20,12,12,4,1),(28,333,2,23,21,2,9,1,4),(28,333,2,23,22,3,8,1,1),(28,333,2,23,23,NULL,8,NULL,1),(28,333,2,23,24,1,8,NULL,2),(28,333,2,23,25,2,8,NULL,2),(28,333,2,23,26,2,5,NULL,2),(28,333,2,23,27,3,10,2,3),(28,333,2,23,28,1,8,1,3),(28,333,2,23,29,NULL,6,NULL,2),(28,333,2,23,30,NULL,5,NULL,2),(28,333,2,23,31,2,20,2,5),(28,333,2,23,32,1,2,NULL,1),(28,333,2,23,33,3,9,2,4),(28,333,2,23,34,4,13,1,5),(28,333,2,23,35,8,NULL,4,NULL),(28,333,2,23,36,1,6,NULL,1),(28,333,2,23,37,3,5,NULL,2),(28,333,2,23,38,NULL,NULL,NULL,NULL),(28,333,2,23,39,1,6,NULL,2),(28,333,2,23,40,3,21,2,5),(28,333,2,24,1,2,17,1,3),(28,333,2,24,2,1,8,NULL,3),(28,333,2,24,3,9,19,3,5),(28,333,2,24,4,2,3,NULL,1),(28,333,2,24,5,6,8,NULL,2),(28,333,2,24,6,16,15,3,4),(28,333,2,24,7,NULL,11,NULL,2),(28,333,2,24,8,8,6,2,2),(28,333,2,24,9,1,3,NULL,1),(28,333,2,24,10,11,8,4,3),(28,333,2,24,11,6,7,3,1),(28,333,2,24,12,5,16,2,4),(28,333,2,24,13,3,20,2,4),(28,333,2,24,14,12,14,4,3),(28,333,2,24,15,7,8,NULL,3),(28,333,2,24,16,8,18,2,5),(28,333,2,24,17,3,3,1,1),(28,333,2,24,18,20,13,3,4),(28,333,2,24,19,7,12,2,2),(28,333,2,24,20,10,12,5,2),(28,333,2,24,21,NULL,6,NULL,1),(28,333,2,24,22,3,5,2,NULL),(28,333,2,24,23,2,6,NULL,NULL),(28,333,2,24,24,3,7,NULL,1),(28,333,2,24,25,1,6,NULL,1),(28,333,2,24,26,NULL,11,NULL,4),(28,333,2,24,27,2,14,NULL,4),(28,333,2,24,28,1,6,NULL,3),(28,333,2,24,29,1,3,NULL,NULL),(28,333,2,24,30,NULL,5,NULL,2),(28,333,2,24,31,NULL,13,NULL,5),(28,333,2,24,32,NULL,3,NULL,NULL),(28,333,2,24,33,7,8,4,3),(28,333,2,24,34,4,8,3,2),(28,333,2,24,35,2,NULL,1,NULL),(28,333,2,24,36,NULL,NULL,NULL,NULL),(28,333,2,24,37,4,4,3,2),(28,333,2,24,38,NULL,2,NULL,NULL),(28,333,2,24,39,2,8,1,3),(28,333,2,24,40,1,19,1,5),(28,335,1,11,1,NULL,NULL,NULL,NULL),(28,335,1,11,2,NULL,NULL,NULL,NULL),(28,335,1,11,3,NULL,NULL,NULL,NULL),(28,335,1,11,4,NULL,NULL,NULL,NULL),(28,335,1,11,5,NULL,NULL,NULL,NULL),(28,335,1,11,6,NULL,NULL,NULL,NULL),(28,335,1,11,7,NULL,NULL,NULL,NULL),(28,335,1,11,8,NULL,NULL,NULL,NULL),(28,335,1,11,9,NULL,NULL,NULL,NULL),(28,335,1,11,10,NULL,NULL,NULL,NULL),(28,335,1,11,11,NULL,NULL,NULL,NULL),(28,335,1,11,12,NULL,NULL,NULL,NULL),(28,335,1,11,13,NULL,NULL,NULL,NULL),(28,335,1,11,14,NULL,NULL,NULL,NULL),(28,335,1,11,15,NULL,NULL,NULL,NULL),(28,335,1,11,16,NULL,NULL,NULL,NULL),(28,335,1,11,17,NULL,NULL,NULL,NULL),(28,335,1,11,18,NULL,NULL,NULL,NULL),(28,335,1,11,19,NULL,NULL,NULL,NULL),(28,335,1,11,20,NULL,NULL,NULL,NULL),(28,335,1,11,21,NULL,NULL,NULL,NULL),(28,335,1,11,22,NULL,NULL,NULL,NULL),(28,335,1,11,23,NULL,NULL,NULL,NULL),(28,335,1,11,24,NULL,NULL,NULL,NULL),(28,335,1,11,25,NULL,NULL,NULL,NULL),(28,335,1,11,26,NULL,NULL,NULL,NULL),(28,335,1,11,27,NULL,NULL,NULL,NULL),(28,335,1,11,28,NULL,NULL,NULL,NULL),(28,335,1,11,29,NULL,NULL,NULL,NULL),(28,335,1,11,30,NULL,NULL,NULL,NULL),(28,335,1,11,31,NULL,NULL,NULL,NULL),(28,335,1,11,32,NULL,NULL,NULL,NULL),(28,335,1,11,33,NULL,NULL,NULL,NULL),(28,335,1,11,34,NULL,NULL,NULL,NULL),(28,335,1,11,35,NULL,NULL,NULL,NULL),(28,335,1,11,36,NULL,NULL,NULL,NULL),(28,335,1,11,37,NULL,NULL,NULL,NULL),(28,335,1,11,38,NULL,NULL,NULL,NULL),(28,335,1,11,39,NULL,NULL,NULL,NULL),(28,335,1,11,40,NULL,NULL,NULL,NULL),(28,335,1,12,1,NULL,NULL,NULL,NULL),(28,335,1,12,2,NULL,NULL,NULL,NULL),(28,335,1,12,3,NULL,NULL,NULL,NULL),(28,335,1,12,4,NULL,NULL,NULL,NULL),(28,335,1,12,5,NULL,NULL,NULL,NULL),(28,335,1,12,6,NULL,NULL,NULL,NULL),(28,335,1,12,7,NULL,NULL,NULL,NULL),(28,335,1,12,8,NULL,NULL,NULL,NULL),(28,335,1,12,9,NULL,NULL,NULL,NULL),(28,335,1,12,10,NULL,NULL,NULL,NULL),(28,335,1,12,11,NULL,NULL,NULL,NULL),(28,335,1,12,12,NULL,NULL,NULL,NULL),(28,335,1,12,13,NULL,NULL,NULL,NULL),(28,335,1,12,14,NULL,NULL,NULL,NULL),(28,335,1,12,15,NULL,NULL,NULL,NULL),(28,335,1,12,16,NULL,NULL,NULL,NULL),(28,335,1,12,17,NULL,NULL,NULL,NULL),(28,335,1,12,18,NULL,NULL,NULL,NULL),(28,335,1,12,19,NULL,NULL,NULL,NULL),(28,335,1,12,20,NULL,NULL,NULL,NULL),(28,335,1,12,21,NULL,NULL,NULL,NULL),(28,335,1,12,22,NULL,NULL,NULL,NULL),(28,335,1,12,23,NULL,NULL,NULL,NULL),(28,335,1,12,24,NULL,NULL,NULL,NULL),(28,335,1,12,25,NULL,NULL,NULL,NULL),(28,335,1,12,26,NULL,NULL,NULL,NULL),(28,335,1,12,27,NULL,NULL,NULL,NULL),(28,335,1,12,28,NULL,NULL,NULL,NULL),(28,335,1,12,29,NULL,NULL,NULL,NULL),(28,335,1,12,30,NULL,NULL,NULL,NULL),(28,335,1,12,31,NULL,NULL,NULL,NULL),(28,335,1,12,32,NULL,NULL,NULL,NULL),(28,335,1,12,33,NULL,NULL,NULL,NULL),(28,335,1,12,34,NULL,NULL,NULL,NULL),(28,335,1,12,35,NULL,NULL,NULL,NULL),(28,335,1,12,36,NULL,NULL,NULL,NULL),(28,335,1,12,37,NULL,NULL,NULL,NULL),(28,335,1,12,38,NULL,NULL,NULL,NULL),(28,335,1,12,39,NULL,NULL,NULL,NULL),(28,335,1,12,40,NULL,NULL,NULL,NULL),(28,335,1,13,1,NULL,NULL,NULL,NULL),(28,335,1,13,2,NULL,NULL,NULL,NULL),(28,335,1,13,3,NULL,NULL,NULL,NULL),(28,335,1,13,4,NULL,NULL,NULL,NULL),(28,335,1,13,5,NULL,NULL,NULL,NULL),(28,335,1,13,6,NULL,NULL,NULL,NULL),(28,335,1,13,7,NULL,1,NULL,NULL),(28,335,1,13,8,NULL,NULL,NULL,NULL),(28,335,1,13,9,NULL,NULL,NULL,NULL),(28,335,1,13,10,NULL,NULL,NULL,NULL),(28,335,1,13,11,NULL,NULL,NULL,NULL),(28,335,1,13,12,NULL,NULL,NULL,NULL),(28,335,1,13,13,NULL,NULL,NULL,NULL),(28,335,1,13,14,NULL,NULL,NULL,NULL),(28,335,1,13,15,NULL,NULL,NULL,NULL),(28,335,1,13,16,NULL,1,NULL,NULL),(28,335,1,13,17,NULL,NULL,NULL,NULL),(28,335,1,13,18,NULL,NULL,NULL,NULL),(28,335,1,13,19,NULL,NULL,NULL,NULL),(28,335,1,13,20,NULL,NULL,NULL,NULL),(28,335,1,13,21,NULL,NULL,NULL,NULL),(28,335,1,13,22,NULL,NULL,NULL,NULL),(28,335,1,13,23,NULL,1,NULL,NULL),(28,335,1,13,24,NULL,NULL,NULL,NULL),(28,335,1,13,25,NULL,1,NULL,NULL),(28,335,1,13,26,NULL,NULL,NULL,NULL),(28,335,1,13,27,NULL,NULL,NULL,NULL),(28,335,1,13,28,NULL,NULL,NULL,NULL),(28,335,1,13,29,NULL,NULL,NULL,NULL),(28,335,1,13,30,NULL,1,NULL,NULL),(28,335,1,13,31,NULL,NULL,NULL,NULL),(28,335,1,13,32,NULL,NULL,NULL,NULL),(28,335,1,13,33,NULL,NULL,NULL,NULL),(28,335,1,13,34,1,NULL,NULL,NULL),(28,335,1,13,35,NULL,NULL,NULL,NULL),(28,335,1,13,36,NULL,NULL,NULL,NULL),(28,335,1,13,37,NULL,NULL,NULL,NULL),(28,335,1,13,38,NULL,1,NULL,NULL),(28,335,1,13,39,NULL,NULL,NULL,NULL),(28,335,1,13,40,1,NULL,NULL,NULL),(28,335,1,14,1,1,NULL,1,NULL),(28,335,1,14,2,NULL,2,NULL,2),(28,335,1,14,3,1,2,1,1),(28,335,1,14,4,1,NULL,NULL,NULL),(28,335,1,14,5,2,1,1,1),(28,335,1,14,6,NULL,3,NULL,2),(28,335,1,14,7,1,1,1,1),(28,335,1,14,8,NULL,1,NULL,1),(28,335,1,14,9,1,1,NULL,1),(28,335,1,14,10,2,2,1,1),(28,335,1,14,11,NULL,NULL,NULL,NULL),(28,335,1,14,12,1,1,NULL,1),(28,335,1,14,13,NULL,3,NULL,2),(28,335,1,14,14,1,3,1,2),(28,335,1,14,15,4,NULL,2,NULL),(28,335,1,14,16,2,1,2,1),(28,335,1,14,17,1,2,1,1),(28,335,1,14,18,1,1,1,NULL),(28,335,1,14,19,3,1,1,NULL),(28,335,1,14,20,1,2,1,NULL),(28,335,1,14,21,NULL,2,NULL,NULL),(28,335,1,14,22,1,1,1,NULL),(28,335,1,14,23,NULL,2,NULL,1),(28,335,1,14,24,NULL,NULL,NULL,NULL),(28,335,1,14,25,1,NULL,1,NULL),(28,335,1,14,26,1,NULL,1,NULL),(28,335,1,14,27,1,NULL,NULL,NULL),(28,335,1,14,28,NULL,NULL,NULL,NULL),(28,335,1,14,29,NULL,2,NULL,1),(28,335,1,14,30,NULL,3,NULL,1),(28,335,1,14,31,NULL,1,NULL,NULL),(28,335,1,14,32,1,3,1,1),(28,335,1,14,33,NULL,NULL,NULL,NULL),(28,335,1,14,34,NULL,2,NULL,NULL),(28,335,1,14,35,NULL,NULL,NULL,NULL),(28,335,1,14,36,NULL,NULL,NULL,NULL),(28,335,1,14,37,NULL,2,NULL,1),(28,335,1,14,38,NULL,1,NULL,NULL),(28,335,1,14,39,1,1,1,1),(28,335,1,14,40,NULL,NULL,NULL,NULL),(28,335,1,15,1,1,NULL,1,NULL),(28,335,1,15,2,NULL,1,NULL,1),(28,335,1,15,3,NULL,1,NULL,1),(28,335,1,15,4,NULL,NULL,NULL,NULL),(28,335,1,15,5,NULL,1,NULL,NULL),(28,335,1,15,6,1,3,1,2),(28,335,1,15,7,1,1,1,NULL),(28,335,1,15,8,NULL,1,NULL,1),(28,335,1,15,9,1,1,1,1),(28,335,1,15,10,1,1,1,1),(28,335,1,15,11,NULL,NULL,NULL,NULL),(28,335,1,15,12,NULL,NULL,NULL,NULL),(28,335,1,15,13,NULL,3,NULL,2),(28,335,1,15,14,1,NULL,1,NULL),(28,335,1,15,15,NULL,NULL,NULL,NULL),(28,335,1,15,16,NULL,NULL,NULL,NULL),(28,335,1,15,17,1,NULL,1,NULL),(28,335,1,15,18,NULL,NULL,NULL,NULL),(28,335,1,15,19,1,1,1,NULL),(28,335,1,15,20,1,1,1,NULL),(28,335,1,15,21,NULL,NULL,NULL,NULL),(28,335,1,15,22,NULL,1,NULL,NULL),(28,335,1,15,23,NULL,1,NULL,1),(28,335,1,15,24,NULL,NULL,NULL,NULL),(28,335,1,15,25,NULL,NULL,NULL,NULL),(28,335,1,15,26,NULL,NULL,NULL,NULL),(28,335,1,15,27,1,NULL,1,NULL),(28,335,1,15,28,NULL,NULL,NULL,NULL),(28,335,1,15,29,NULL,2,NULL,2),(28,335,1,15,30,1,NULL,NULL,NULL),(28,335,1,15,31,NULL,NULL,NULL,NULL),(28,335,1,15,32,1,NULL,1,NULL),(28,335,1,15,33,NULL,NULL,NULL,NULL),(28,335,1,15,34,1,NULL,NULL,NULL),(28,335,1,15,35,NULL,NULL,NULL,NULL),(28,335,1,15,36,NULL,NULL,NULL,NULL),(28,335,1,15,37,NULL,NULL,NULL,NULL),(28,335,1,15,38,NULL,NULL,NULL,NULL),(28,335,1,15,39,NULL,1,NULL,1),(28,335,1,15,40,NULL,NULL,NULL,NULL),(28,335,1,16,1,3,NULL,2,NULL),(28,335,1,16,2,1,2,1,NULL),(28,335,1,16,3,NULL,3,NULL,2),(28,335,1,16,4,2,3,1,3),(28,335,1,16,5,3,3,1,1),(28,335,1,16,6,NULL,6,NULL,4),(28,335,1,16,7,NULL,4,NULL,2),(28,335,1,16,8,NULL,5,NULL,4),(28,335,1,16,9,1,NULL,NULL,NULL),(28,335,1,16,10,4,3,2,2),(28,335,1,16,11,NULL,2,NULL,1),(28,335,1,16,12,NULL,NULL,NULL,NULL),(28,335,1,16,13,9,NULL,4,NULL),(28,335,1,16,14,7,5,5,1),(28,335,1,16,15,2,5,2,1),(28,335,1,16,16,6,NULL,2,NULL),(28,335,1,16,17,1,7,1,3),(28,335,1,16,18,2,4,NULL,3),(28,335,1,16,19,1,3,1,1),(28,335,1,16,20,1,2,1,2),(28,335,1,16,21,NULL,1,NULL,NULL),(28,335,1,16,22,NULL,1,NULL,1),(28,335,1,16,23,NULL,3,NULL,2),(28,335,1,16,24,1,NULL,NULL,NULL),(28,335,1,16,25,NULL,NULL,NULL,NULL),(28,335,1,16,26,NULL,1,NULL,1),(28,335,1,16,27,3,NULL,1,NULL),(28,335,1,16,28,NULL,1,NULL,NULL),(28,335,1,16,29,2,1,1,NULL),(28,335,1,16,30,2,3,1,1),(28,335,1,16,31,NULL,NULL,NULL,NULL),(28,335,1,16,32,2,1,2,1),(28,335,1,16,33,NULL,2,NULL,NULL),(28,335,1,16,34,1,1,1,1),(28,335,1,16,35,NULL,2,NULL,1),(28,335,1,16,36,NULL,NULL,NULL,NULL),(28,335,1,16,37,NULL,NULL,NULL,NULL),(28,335,1,16,38,NULL,1,NULL,NULL),(28,335,1,16,39,1,2,NULL,2),(28,335,1,16,40,2,NULL,2,NULL),(28,335,1,17,1,4,NULL,1,NULL),(28,335,1,17,2,NULL,2,NULL,NULL),(28,335,1,17,3,NULL,3,NULL,1),(28,335,1,17,4,1,NULL,1,NULL),(28,335,1,17,5,1,1,NULL,1),(28,335,1,17,6,NULL,2,NULL,1),(28,335,1,17,7,3,3,3,NULL),(28,335,1,17,8,NULL,1,NULL,NULL),(28,335,1,17,9,NULL,4,NULL,NULL),(28,335,1,17,10,2,1,1,NULL),(28,335,1,17,11,NULL,NULL,NULL,NULL),(28,335,1,17,12,NULL,1,NULL,1),(28,335,1,17,13,9,NULL,3,NULL),(28,335,1,17,14,4,3,NULL,2),(28,335,1,17,15,1,7,1,2),(28,335,1,17,16,8,NULL,3,NULL),(28,335,1,17,17,1,6,NULL,1),(28,335,1,17,18,2,4,1,NULL),(28,335,1,17,19,NULL,5,NULL,2),(28,335,1,17,20,NULL,1,NULL,NULL),(28,335,1,17,21,NULL,2,NULL,1),(28,335,1,17,22,NULL,1,NULL,NULL),(28,335,1,17,23,1,2,NULL,1),(28,335,1,17,24,NULL,NULL,NULL,NULL),(28,335,1,17,25,NULL,1,NULL,NULL),(28,335,1,17,26,1,NULL,NULL,NULL),(28,335,1,17,27,NULL,NULL,NULL,NULL),(28,335,1,17,28,NULL,1,NULL,1),(28,335,1,17,29,1,1,1,NULL),(28,335,1,17,30,NULL,3,NULL,1),(28,335,1,17,31,NULL,1,NULL,NULL),(28,335,1,17,32,NULL,1,NULL,NULL),(28,335,1,17,33,NULL,NULL,NULL,NULL),(28,335,1,17,34,1,NULL,1,NULL),(28,335,1,17,35,NULL,1,NULL,NULL),(28,335,1,17,36,NULL,NULL,NULL,NULL),(28,335,1,17,37,NULL,NULL,NULL,NULL),(28,335,1,17,38,NULL,2,NULL,1),(28,335,1,17,39,NULL,2,NULL,NULL),(28,335,1,17,40,NULL,NULL,NULL,NULL),(28,335,1,18,1,NULL,NULL,NULL,NULL),(28,335,1,18,2,NULL,NULL,NULL,NULL),(28,335,1,18,3,NULL,NULL,NULL,NULL),(28,335,1,18,4,NULL,NULL,NULL,NULL),(28,335,1,18,5,NULL,NULL,NULL,NULL),(28,335,1,18,6,NULL,NULL,NULL,NULL),(28,335,1,18,7,NULL,NULL,NULL,NULL),(28,335,1,18,8,NULL,NULL,NULL,NULL),(28,335,1,18,9,NULL,NULL,NULL,NULL),(28,335,1,18,10,NULL,NULL,NULL,NULL),(28,335,1,18,11,NULL,NULL,NULL,NULL),(28,335,1,18,12,NULL,NULL,NULL,NULL),(28,335,1,18,13,NULL,NULL,NULL,NULL),(28,335,1,18,14,NULL,NULL,NULL,NULL),(28,335,1,18,15,NULL,NULL,NULL,NULL),(28,335,1,18,16,NULL,NULL,NULL,NULL),(28,335,1,18,17,NULL,NULL,NULL,NULL),(28,335,1,18,18,NULL,NULL,NULL,NULL),(28,335,1,18,19,NULL,NULL,NULL,NULL),(28,335,1,18,20,NULL,NULL,NULL,NULL),(28,335,1,18,21,NULL,NULL,NULL,NULL),(28,335,1,18,22,NULL,NULL,NULL,NULL),(28,335,1,18,23,NULL,NULL,NULL,NULL),(28,335,1,18,24,NULL,NULL,NULL,NULL),(28,335,1,18,25,NULL,NULL,NULL,NULL),(28,335,1,18,26,NULL,NULL,NULL,NULL),(28,335,1,18,27,NULL,NULL,NULL,NULL),(28,335,1,18,28,NULL,NULL,NULL,NULL),(28,335,1,18,29,NULL,NULL,NULL,NULL),(28,335,1,18,30,NULL,NULL,NULL,NULL),(28,335,1,18,31,NULL,NULL,NULL,NULL),(28,335,1,18,32,NULL,NULL,NULL,NULL),(28,335,1,18,33,NULL,NULL,NULL,NULL),(28,335,1,18,34,NULL,NULL,NULL,NULL),(28,335,1,18,35,NULL,NULL,NULL,NULL),(28,335,1,18,36,NULL,NULL,NULL,NULL),(28,335,1,18,37,NULL,NULL,NULL,NULL),(28,335,1,18,38,NULL,NULL,NULL,NULL),(28,335,1,18,39,NULL,NULL,NULL,NULL),(28,335,1,18,40,NULL,NULL,NULL,NULL),(28,335,1,19,1,NULL,NULL,NULL,NULL),(28,335,1,19,2,NULL,NULL,NULL,NULL),(28,335,1,19,3,NULL,NULL,NULL,NULL),(28,335,1,19,4,NULL,NULL,NULL,NULL),(28,335,1,19,5,NULL,NULL,NULL,NULL),(28,335,1,19,6,NULL,NULL,NULL,NULL),(28,335,1,19,7,NULL,NULL,NULL,NULL),(28,335,1,19,8,NULL,NULL,NULL,NULL),(28,335,1,19,9,NULL,NULL,NULL,NULL),(28,335,1,19,10,NULL,NULL,NULL,NULL),(28,335,1,19,11,NULL,NULL,NULL,NULL),(28,335,1,19,12,NULL,NULL,NULL,NULL),(28,335,1,19,13,NULL,NULL,NULL,NULL),(28,335,1,19,14,NULL,NULL,NULL,NULL),(28,335,1,19,15,NULL,NULL,NULL,NULL),(28,335,1,19,16,NULL,NULL,NULL,NULL),(28,335,1,19,17,NULL,NULL,NULL,NULL),(28,335,1,19,18,NULL,NULL,NULL,NULL),(28,335,1,19,19,NULL,NULL,NULL,NULL),(28,335,1,19,20,NULL,NULL,NULL,NULL),(28,335,1,19,21,NULL,NULL,NULL,NULL),(28,335,1,19,22,NULL,NULL,NULL,NULL),(28,335,1,19,23,NULL,NULL,NULL,NULL),(28,335,1,19,24,NULL,NULL,NULL,NULL),(28,335,1,19,25,NULL,NULL,NULL,NULL),(28,335,1,19,26,NULL,NULL,NULL,NULL),(28,335,1,19,27,NULL,NULL,NULL,NULL),(28,335,1,19,28,NULL,NULL,NULL,NULL),(28,335,1,19,29,NULL,NULL,NULL,NULL),(28,335,1,19,30,NULL,NULL,NULL,NULL),(28,335,1,19,31,NULL,NULL,NULL,NULL),(28,335,1,19,32,NULL,NULL,NULL,NULL),(28,335,1,19,33,NULL,NULL,NULL,NULL),(28,335,1,19,34,NULL,NULL,NULL,NULL),(28,335,1,19,35,NULL,NULL,NULL,NULL),(28,335,1,19,36,NULL,NULL,NULL,NULL),(28,335,1,19,37,NULL,NULL,NULL,NULL),(28,335,1,19,38,NULL,NULL,NULL,NULL),(28,335,1,19,39,NULL,NULL,NULL,NULL),(28,335,1,19,40,NULL,NULL,NULL,NULL),(28,335,2,21,1,NULL,3,NULL,NULL),(28,335,2,21,2,NULL,2,NULL,1),(28,335,2,21,3,NULL,2,NULL,2),(28,335,2,21,4,NULL,NULL,NULL,NULL),(28,335,2,21,5,NULL,3,NULL,NULL),(28,335,2,21,6,NULL,3,NULL,1),(28,335,2,21,7,NULL,1,NULL,NULL),(28,335,2,21,8,1,NULL,NULL,NULL),(28,335,2,21,9,NULL,NULL,NULL,NULL),(28,335,2,21,10,NULL,1,NULL,1),(28,335,2,21,11,NULL,NULL,NULL,NULL),(28,335,2,21,12,2,1,1,NULL),(28,335,2,21,13,NULL,4,NULL,1),(28,335,2,21,14,NULL,NULL,NULL,NULL),(28,335,2,21,15,NULL,NULL,NULL,NULL),(28,335,2,21,16,NULL,4,NULL,2),(28,335,2,21,17,NULL,2,NULL,NULL),(28,335,2,21,18,NULL,2,NULL,2),(28,335,2,21,19,NULL,NULL,NULL,NULL),(28,335,2,21,20,NULL,NULL,NULL,NULL),(28,335,2,21,21,NULL,1,NULL,NULL),(28,335,2,21,22,NULL,NULL,NULL,NULL),(28,335,2,21,23,NULL,NULL,NULL,NULL),(28,335,2,21,24,NULL,NULL,NULL,NULL),(28,335,2,21,25,NULL,NULL,NULL,NULL),(28,335,2,21,26,NULL,2,NULL,2),(28,335,2,21,27,NULL,1,NULL,1),(28,335,2,21,28,NULL,NULL,NULL,NULL),(28,335,2,21,29,NULL,NULL,NULL,NULL),(28,335,2,21,30,NULL,1,NULL,NULL),(28,335,2,21,31,NULL,1,NULL,NULL),(28,335,2,21,32,NULL,NULL,NULL,NULL),(28,335,2,21,33,NULL,NULL,NULL,NULL),(28,335,2,21,34,NULL,3,NULL,1),(28,335,2,21,35,NULL,NULL,NULL,NULL),(28,335,2,21,36,NULL,NULL,NULL,NULL),(28,335,2,21,37,1,2,NULL,NULL),(28,335,2,21,38,NULL,NULL,NULL,NULL),(28,335,2,21,39,NULL,NULL,NULL,NULL),(28,335,2,21,40,NULL,NULL,NULL,NULL),(28,335,2,22,1,1,4,1,1),(28,335,2,22,2,NULL,2,NULL,1),(28,335,2,22,3,2,5,2,2),(28,335,2,22,4,1,NULL,1,NULL),(28,335,2,22,5,1,3,NULL,1),(28,335,2,22,6,1,1,NULL,NULL),(28,335,2,22,7,NULL,2,NULL,1),(28,335,2,22,8,1,NULL,1,NULL),(28,335,2,22,9,1,1,NULL,NULL),(28,335,2,22,10,NULL,4,NULL,2),(28,335,2,22,11,NULL,2,NULL,NULL),(28,335,2,22,12,1,NULL,NULL,NULL),(28,335,2,22,13,NULL,3,NULL,2),(28,335,2,22,14,1,4,1,2),(28,335,2,22,15,1,1,1,NULL),(28,335,2,22,16,1,1,1,NULL),(28,335,2,22,17,1,3,1,1),(28,335,2,22,18,2,3,2,1),(28,335,2,22,19,1,3,1,1),(28,335,2,22,20,1,2,1,NULL),(28,335,2,22,21,NULL,NULL,NULL,NULL),(28,335,2,22,22,NULL,NULL,NULL,NULL),(28,335,2,22,23,NULL,2,NULL,1),(28,335,2,22,24,NULL,1,NULL,NULL),(28,335,2,22,25,NULL,NULL,NULL,NULL),(28,335,2,22,26,NULL,1,NULL,NULL),(28,335,2,22,27,NULL,2,NULL,NULL),(28,335,2,22,28,NULL,NULL,NULL,NULL),(28,335,2,22,29,NULL,2,NULL,2),(28,335,2,22,30,NULL,NULL,NULL,NULL),(28,335,2,22,31,NULL,2,NULL,2),(28,335,2,22,32,NULL,NULL,NULL,NULL),(28,335,2,22,33,NULL,NULL,NULL,NULL),(28,335,2,22,34,NULL,2,NULL,1),(28,335,2,22,35,1,NULL,NULL,NULL),(28,335,2,22,36,NULL,NULL,NULL,NULL),(28,335,2,22,37,1,2,1,1),(28,335,2,22,38,NULL,1,NULL,NULL),(28,335,2,22,39,NULL,1,NULL,1),(28,335,2,22,40,NULL,1,NULL,1),(28,335,2,23,1,NULL,4,NULL,2),(28,335,2,23,2,1,NULL,1,NULL),(28,335,2,23,3,NULL,5,NULL,1),(28,335,2,23,4,NULL,1,NULL,1),(28,335,2,23,5,NULL,2,NULL,1),(28,335,2,23,6,1,5,1,3),(28,335,2,23,7,NULL,1,NULL,1),(28,335,2,23,8,1,1,1,1),(28,335,2,23,9,NULL,NULL,NULL,NULL),(28,335,2,23,10,NULL,4,NULL,1),(28,335,2,23,11,NULL,3,NULL,1),(28,335,2,23,12,2,2,2,1),(28,335,2,23,13,NULL,6,NULL,3),(28,335,2,23,14,NULL,3,NULL,1),(28,335,2,23,15,1,NULL,1,NULL),(28,335,2,23,16,1,1,1,NULL),(28,335,2,23,17,NULL,3,NULL,1),(28,335,2,23,18,1,4,1,1),(28,335,2,23,19,NULL,NULL,NULL,NULL),(28,335,2,23,20,1,1,1,1),(28,335,2,23,21,2,NULL,1,NULL),(28,335,2,23,22,NULL,NULL,NULL,NULL),(28,335,2,23,23,NULL,NULL,NULL,NULL),(28,335,2,23,24,NULL,2,NULL,1),(28,335,2,23,25,NULL,NULL,NULL,NULL),(28,335,2,23,26,NULL,1,NULL,1),(28,335,2,23,27,NULL,NULL,NULL,NULL),(28,335,2,23,28,NULL,1,NULL,NULL),(28,335,2,23,29,NULL,1,NULL,NULL),(28,335,2,23,30,NULL,NULL,NULL,NULL),(28,335,2,23,31,NULL,1,NULL,NULL),(28,335,2,23,32,NULL,NULL,NULL,NULL),(28,335,2,23,33,NULL,NULL,NULL,NULL),(28,335,2,23,34,NULL,1,NULL,1),(28,335,2,23,35,1,NULL,1,NULL),(28,335,2,23,36,NULL,NULL,NULL,NULL),(28,335,2,23,37,NULL,2,NULL,NULL),(28,335,2,23,38,NULL,1,NULL,NULL),(28,335,2,23,39,NULL,1,NULL,NULL),(28,335,2,23,40,NULL,1,NULL,1),(28,335,2,24,1,NULL,3,NULL,2),(28,335,2,24,2,1,NULL,1,NULL),(28,335,2,24,3,4,1,2,1),(28,335,2,24,4,NULL,NULL,NULL,NULL),(28,335,2,24,5,3,1,3,1),(28,335,2,24,6,NULL,3,NULL,2),(28,335,2,24,7,NULL,2,NULL,1),(28,335,2,24,8,1,NULL,1,NULL),(28,335,2,24,9,NULL,NULL,NULL,NULL),(28,335,2,24,10,1,1,1,1),(28,335,2,24,11,1,1,1,1),(28,335,2,24,12,NULL,3,NULL,2),(28,335,2,24,13,NULL,3,NULL,3),(28,335,2,24,14,1,3,1,3),(28,335,2,24,15,NULL,2,NULL,1),(28,335,2,24,16,1,2,1,1),(28,335,2,24,17,1,2,1,2),(28,335,2,24,18,NULL,4,NULL,4),(28,335,2,24,19,1,3,1,2),(28,335,2,24,20,NULL,3,NULL,2),(28,335,2,24,21,NULL,1,NULL,NULL),(28,335,2,24,22,NULL,NULL,NULL,NULL),(28,335,2,24,23,2,1,1,NULL),(28,335,2,24,24,NULL,3,NULL,2),(28,335,2,24,25,NULL,NULL,NULL,NULL),(28,335,2,24,26,NULL,NULL,NULL,NULL),(28,335,2,24,27,NULL,NULL,NULL,NULL),(28,335,2,24,28,NULL,NULL,NULL,NULL),(28,335,2,24,29,NULL,NULL,NULL,NULL),(28,335,2,24,30,NULL,1,NULL,1),(28,335,2,24,31,NULL,2,NULL,1),(28,335,2,24,32,NULL,NULL,NULL,NULL),(28,335,2,24,33,1,NULL,NULL,NULL),(28,335,2,24,34,NULL,2,NULL,2),(28,335,2,24,35,2,NULL,NULL,NULL),(28,335,2,24,36,1,NULL,1,NULL),(28,335,2,24,37,NULL,1,NULL,1),(28,335,2,24,38,NULL,1,NULL,1),(28,335,2,24,39,NULL,NULL,NULL,NULL),(28,335,2,24,40,NULL,3,NULL,2),(28,336,1,11,1,NULL,NULL,NULL,NULL),(28,336,1,11,2,NULL,NULL,NULL,NULL),(28,336,1,11,3,NULL,NULL,NULL,NULL),(28,336,1,11,4,NULL,NULL,NULL,NULL),(28,336,1,11,5,NULL,NULL,NULL,NULL),(28,336,1,11,6,NULL,NULL,NULL,NULL),(28,336,1,11,7,NULL,NULL,NULL,NULL),(28,336,1,11,8,NULL,NULL,NULL,NULL),(28,336,1,11,9,NULL,NULL,NULL,NULL),(28,336,1,11,10,NULL,NULL,NULL,NULL),(28,336,1,11,11,NULL,NULL,NULL,NULL),(28,336,1,11,12,NULL,NULL,NULL,NULL),(28,336,1,11,13,NULL,NULL,NULL,NULL),(28,336,1,11,14,NULL,NULL,NULL,NULL),(28,336,1,11,15,NULL,NULL,NULL,NULL),(28,336,1,11,16,NULL,NULL,NULL,NULL),(28,336,1,11,17,NULL,NULL,NULL,NULL),(28,336,1,11,18,NULL,NULL,NULL,NULL),(28,336,1,11,19,NULL,NULL,NULL,NULL),(28,336,1,11,20,NULL,NULL,NULL,NULL),(28,336,1,11,21,NULL,NULL,NULL,NULL),(28,336,1,11,22,NULL,NULL,NULL,NULL),(28,336,1,11,23,NULL,NULL,NULL,NULL),(28,336,1,11,24,NULL,NULL,NULL,NULL),(28,336,1,11,25,NULL,NULL,NULL,NULL),(28,336,1,11,26,NULL,NULL,NULL,NULL),(28,336,1,11,27,NULL,NULL,NULL,NULL),(28,336,1,11,28,NULL,NULL,NULL,NULL),(28,336,1,11,29,NULL,NULL,NULL,NULL),(28,336,1,11,30,NULL,NULL,NULL,NULL),(28,336,1,11,31,NULL,NULL,NULL,NULL),(28,336,1,11,32,NULL,NULL,NULL,NULL),(28,336,1,11,33,NULL,NULL,NULL,NULL),(28,336,1,11,34,NULL,NULL,NULL,NULL),(28,336,1,11,35,NULL,NULL,NULL,NULL),(28,336,1,11,36,NULL,NULL,NULL,NULL),(28,336,1,11,37,NULL,NULL,NULL,NULL),(28,336,1,11,38,NULL,NULL,NULL,NULL),(28,336,1,11,39,NULL,NULL,NULL,NULL),(28,336,1,11,40,NULL,NULL,NULL,NULL),(28,336,1,12,1,NULL,NULL,NULL,NULL),(28,336,1,12,2,NULL,NULL,NULL,NULL),(28,336,1,12,3,1,NULL,NULL,NULL),(28,336,1,12,4,1,NULL,NULL,NULL),(28,336,1,12,5,1,NULL,NULL,NULL),(28,336,1,12,6,1,NULL,NULL,NULL),(28,336,1,12,7,NULL,NULL,NULL,NULL),(28,336,1,12,8,NULL,1,NULL,NULL),(28,336,1,12,9,1,NULL,NULL,NULL),(28,336,1,12,10,NULL,NULL,NULL,NULL),(28,336,1,12,11,NULL,NULL,NULL,NULL),(28,336,1,12,12,1,NULL,NULL,NULL),(28,336,1,12,13,1,NULL,NULL,NULL),(28,336,1,12,14,NULL,NULL,NULL,NULL),(28,336,1,12,15,NULL,NULL,NULL,NULL),(28,336,1,12,16,1,NULL,NULL,NULL),(28,336,1,12,17,NULL,NULL,NULL,NULL),(28,336,1,12,18,NULL,NULL,NULL,NULL),(28,336,1,12,19,NULL,1,NULL,NULL),(28,336,1,12,20,NULL,NULL,NULL,NULL),(28,336,1,12,21,NULL,NULL,NULL,NULL),(28,336,1,12,22,NULL,NULL,NULL,NULL),(28,336,1,12,23,NULL,1,NULL,NULL),(28,336,1,12,24,NULL,NULL,NULL,NULL),(28,336,1,12,25,NULL,NULL,NULL,NULL),(28,336,1,12,26,NULL,NULL,NULL,NULL),(28,336,1,12,27,NULL,NULL,NULL,NULL),(28,336,1,12,28,NULL,NULL,NULL,NULL),(28,336,1,12,29,NULL,NULL,NULL,NULL),(28,336,1,12,30,NULL,NULL,NULL,NULL),(28,336,1,12,31,NULL,NULL,NULL,NULL),(28,336,1,12,32,NULL,1,NULL,NULL),(28,336,1,12,33,NULL,NULL,NULL,NULL),(28,336,1,12,34,NULL,NULL,NULL,NULL),(28,336,1,12,35,NULL,NULL,NULL,NULL),(28,336,1,12,36,NULL,NULL,NULL,NULL),(28,336,1,12,37,NULL,NULL,NULL,NULL),(28,336,1,12,38,NULL,1,NULL,NULL),(28,336,1,12,39,1,NULL,NULL,NULL),(28,336,1,12,40,NULL,NULL,NULL,NULL),(28,336,1,13,1,NULL,NULL,NULL,NULL),(28,336,1,13,2,NULL,1,NULL,1),(28,336,1,13,3,NULL,1,NULL,1),(28,336,1,13,4,NULL,NULL,NULL,NULL),(28,336,1,13,5,NULL,NULL,NULL,NULL),(28,336,1,13,6,NULL,NULL,NULL,NULL),(28,336,1,13,7,NULL,NULL,NULL,NULL),(28,336,1,13,8,NULL,1,NULL,1),(28,336,1,13,9,NULL,NULL,NULL,NULL),(28,336,1,13,10,1,NULL,1,NULL),(28,336,1,13,11,NULL,1,NULL,1),(28,336,1,13,12,NULL,NULL,NULL,NULL),(28,336,1,13,13,1,NULL,1,NULL),(28,336,1,13,14,NULL,1,NULL,1),(28,336,1,13,15,NULL,NULL,NULL,NULL),(28,336,1,13,16,NULL,1,NULL,1),(28,336,1,13,17,NULL,NULL,NULL,NULL),(28,336,1,13,18,NULL,NULL,NULL,NULL),(28,336,1,13,19,1,NULL,1,NULL),(28,336,1,13,20,NULL,NULL,NULL,NULL),(28,336,1,13,21,NULL,NULL,NULL,NULL),(28,336,1,13,22,NULL,NULL,NULL,NULL),(28,336,1,13,23,NULL,1,NULL,1),(28,336,1,13,24,NULL,NULL,NULL,NULL),(28,336,1,13,25,NULL,NULL,NULL,NULL),(28,336,1,13,26,NULL,NULL,NULL,NULL),(28,336,1,13,27,NULL,NULL,NULL,NULL),(28,336,1,13,28,NULL,NULL,NULL,NULL),(28,336,1,13,29,NULL,NULL,NULL,NULL),(28,336,1,13,30,NULL,1,NULL,1),(28,336,1,13,31,NULL,NULL,NULL,NULL),(28,336,1,13,32,NULL,NULL,NULL,NULL),(28,336,1,13,33,NULL,1,NULL,1),(28,336,1,13,34,NULL,1,NULL,1),(28,336,1,13,35,NULL,NULL,NULL,NULL),(28,336,1,13,36,NULL,NULL,NULL,NULL),(28,336,1,13,37,NULL,NULL,NULL,NULL),(28,336,1,13,38,NULL,NULL,NULL,NULL),(28,336,1,13,39,NULL,NULL,NULL,NULL),(28,336,1,13,40,NULL,NULL,NULL,NULL),(28,336,1,14,1,19,NULL,8,NULL),(28,336,1,14,2,2,15,2,7),(28,336,1,14,3,10,12,6,4),(28,336,1,14,4,10,9,3,2),(28,336,1,14,5,8,16,5,6),(28,336,1,14,6,7,23,3,8),(28,336,1,14,7,6,5,2,2),(28,336,1,14,8,3,22,3,10),(28,336,1,14,9,4,7,2,3),(28,336,1,14,10,22,1,11,1),(28,336,1,14,11,5,9,4,3),(28,336,1,14,12,9,8,7,3),(28,336,1,14,13,22,9,9,2),(28,336,1,14,14,14,8,6,3),(28,336,1,14,15,22,NULL,8,NULL),(28,336,1,14,16,22,8,10,2),(28,336,1,14,17,10,20,6,7),(28,336,1,14,18,11,7,8,1),(28,336,1,14,19,18,13,8,4),(28,336,1,14,20,13,18,8,4),(28,336,1,14,21,NULL,3,NULL,1),(28,336,1,14,22,1,10,NULL,3),(28,336,1,14,23,2,10,1,5),(28,336,1,14,24,NULL,NULL,NULL,NULL),(28,336,1,14,25,1,4,NULL,1),(28,336,1,14,26,2,5,NULL,2),(28,336,1,14,27,7,NULL,2,NULL),(28,336,1,14,28,NULL,2,NULL,NULL),(28,336,1,14,29,2,10,NULL,5),(28,336,1,14,30,2,11,NULL,8),(28,336,1,14,31,NULL,11,NULL,6),(28,336,1,14,32,7,10,3,4),(28,336,1,14,33,5,5,4,3),(28,336,1,14,34,14,9,5,6),(28,336,1,14,35,7,3,3,2),(28,336,1,14,36,1,NULL,1,NULL),(28,336,1,14,37,2,6,1,2),(28,336,1,14,38,2,7,1,4),(28,336,1,14,39,5,17,1,11),(28,336,1,14,40,4,NULL,3,NULL),(28,336,1,15,1,12,NULL,5,NULL),(28,336,1,15,2,1,13,NULL,3),(28,336,1,15,3,8,8,4,2),(28,336,1,15,4,7,5,3,1),(28,336,1,15,5,3,13,1,2),(28,336,1,15,6,NULL,24,NULL,6),(28,336,1,15,7,1,10,1,3),(28,336,1,15,8,1,14,1,4),(28,336,1,15,9,4,6,2,NULL),(28,336,1,15,10,12,8,5,2),(28,336,1,15,11,1,6,1,2),(28,336,1,15,12,4,9,1,2),(28,336,1,15,13,23,11,4,3),(28,336,1,15,14,7,13,1,4),(28,336,1,15,15,19,NULL,3,NULL),(28,336,1,15,16,13,11,3,NULL),(28,336,1,15,17,4,18,1,2),(28,336,1,15,18,6,5,NULL,NULL),(28,336,1,15,19,20,8,4,2),(28,336,1,15,20,11,25,2,3),(28,336,1,15,21,NULL,2,NULL,NULL),(28,336,1,15,22,1,4,NULL,1),(28,336,1,15,23,1,7,NULL,3),(28,336,1,15,24,1,NULL,1,NULL),(28,336,1,15,25,NULL,1,NULL,NULL),(28,336,1,15,26,NULL,5,NULL,1),(28,336,1,15,27,5,NULL,2,NULL),(28,336,1,15,28,NULL,2,NULL,NULL),(28,336,1,15,29,NULL,10,NULL,3),(28,336,1,15,30,3,10,NULL,4),(28,336,1,15,31,3,1,1,NULL),(28,336,1,15,32,5,10,NULL,2),(28,336,1,15,33,2,10,1,2),(28,336,1,15,34,11,6,6,1),(28,336,1,15,35,3,5,NULL,3),(28,336,1,15,36,1,NULL,NULL,NULL),(28,336,1,15,37,1,9,1,NULL),(28,336,1,15,38,3,4,1,1),(28,336,1,15,39,17,10,3,3),(28,336,1,15,40,3,NULL,NULL,NULL),(28,336,1,16,1,12,NULL,2,NULL),(28,336,1,16,2,1,8,NULL,2),(28,336,1,16,3,7,10,1,2),(28,336,1,16,4,4,2,NULL,1),(28,336,1,16,5,5,8,1,NULL),(28,336,1,16,6,1,13,1,2),(28,336,1,16,7,3,8,NULL,1),(28,336,1,16,8,1,11,NULL,2),(28,336,1,16,9,3,6,1,1),(28,336,1,16,10,13,5,1,1),(28,336,1,16,11,2,5,NULL,NULL),(28,336,1,16,12,2,6,NULL,NULL),(28,336,1,16,13,26,NULL,3,NULL),(28,336,1,16,14,20,5,3,NULL),(28,336,1,16,15,9,11,1,1),(28,336,1,16,16,19,NULL,2,NULL),(28,336,1,16,17,12,15,2,1),(28,336,1,16,18,4,8,1,NULL),(28,336,1,16,19,2,13,NULL,2),(28,336,1,16,20,5,4,NULL,1),(28,336,1,16,21,1,6,NULL,NULL),(28,336,1,16,22,2,8,NULL,NULL),(28,336,1,16,23,2,6,NULL,1),(28,336,1,16,24,NULL,NULL,NULL,NULL),(28,336,1,16,25,NULL,8,NULL,NULL),(28,336,1,16,26,1,3,NULL,NULL),(28,336,1,16,27,4,NULL,1,NULL),(28,336,1,16,28,NULL,NULL,NULL,NULL),(28,336,1,16,29,2,5,NULL,1),(28,336,1,16,30,1,7,NULL,2),(28,336,1,16,31,1,5,NULL,NULL),(28,336,1,16,32,2,5,NULL,NULL),(28,336,1,16,33,4,3,NULL,NULL),(28,336,1,16,34,10,2,2,NULL),(28,336,1,16,35,2,4,1,NULL),(28,336,1,16,36,NULL,NULL,NULL,NULL),(28,336,1,16,37,1,1,NULL,1),(28,336,1,16,38,NULL,2,NULL,1),(28,336,1,16,39,4,7,1,NULL),(28,336,1,16,40,NULL,NULL,NULL,NULL),(28,336,1,17,1,12,NULL,5,NULL),(28,336,1,17,2,1,6,NULL,2),(28,336,1,17,3,6,4,2,2),(28,336,1,17,4,4,3,NULL,NULL),(28,336,1,17,5,4,5,3,3),(28,336,1,17,6,3,8,2,3),(28,336,1,17,7,1,2,NULL,1),(28,336,1,17,8,1,6,1,3),(28,336,1,17,9,5,2,1,2),(28,336,1,17,10,12,4,5,1),(28,336,1,17,11,3,8,2,2),(28,336,1,17,12,2,3,2,NULL),(28,336,1,17,13,23,NULL,6,NULL),(28,336,1,17,14,16,3,5,1),(28,336,1,17,15,8,12,NULL,5),(28,336,1,17,16,18,NULL,5,NULL),(28,336,1,17,17,10,10,3,2),(28,336,1,17,18,5,4,1,2),(28,336,1,17,19,5,12,NULL,2),(28,336,1,17,20,1,16,NULL,3),(28,336,1,17,21,1,2,NULL,NULL),(28,336,1,17,22,NULL,5,NULL,1),(28,336,1,17,23,2,4,NULL,2),(28,336,1,17,24,NULL,NULL,NULL,NULL),(28,336,1,17,25,NULL,NULL,NULL,NULL),(28,336,1,17,26,NULL,3,NULL,1),(28,336,1,17,27,4,NULL,2,NULL),(28,336,1,17,28,NULL,2,NULL,1),(28,336,1,17,29,NULL,2,NULL,NULL),(28,336,1,17,30,NULL,7,NULL,2),(28,336,1,17,31,NULL,2,NULL,1),(28,336,1,17,32,3,5,1,1),(28,336,1,17,33,2,3,NULL,NULL),(28,336,1,17,34,3,5,1,1),(28,336,1,17,35,1,2,NULL,NULL),(28,336,1,17,36,NULL,NULL,NULL,NULL),(28,336,1,17,37,NULL,1,NULL,NULL),(28,336,1,17,38,NULL,2,NULL,1),(28,336,1,17,39,2,6,2,4),(28,336,1,17,40,1,NULL,1,NULL),(28,336,1,18,1,NULL,NULL,NULL,NULL),(28,336,1,18,2,NULL,NULL,NULL,NULL),(28,336,1,18,3,NULL,NULL,NULL,NULL),(28,336,1,18,4,NULL,NULL,NULL,NULL),(28,336,1,18,5,NULL,NULL,NULL,NULL),(28,336,1,18,6,NULL,NULL,NULL,NULL),(28,336,1,18,7,NULL,NULL,NULL,NULL),(28,336,1,18,8,NULL,NULL,NULL,NULL),(28,336,1,18,9,NULL,NULL,NULL,NULL),(28,336,1,18,10,NULL,NULL,NULL,NULL),(28,336,1,18,11,NULL,NULL,NULL,NULL),(28,336,1,18,12,NULL,NULL,NULL,NULL),(28,336,1,18,13,NULL,NULL,NULL,NULL),(28,336,1,18,14,NULL,NULL,NULL,NULL),(28,336,1,18,15,NULL,NULL,NULL,NULL),(28,336,1,18,16,NULL,NULL,NULL,NULL),(28,336,1,18,17,NULL,NULL,NULL,NULL),(28,336,1,18,18,NULL,NULL,NULL,NULL),(28,336,1,18,19,NULL,NULL,NULL,NULL),(28,336,1,18,20,NULL,NULL,NULL,NULL),(28,336,1,18,21,NULL,NULL,NULL,NULL),(28,336,1,18,22,NULL,NULL,NULL,NULL),(28,336,1,18,23,NULL,NULL,NULL,NULL),(28,336,1,18,24,NULL,NULL,NULL,NULL),(28,336,1,18,25,NULL,NULL,NULL,NULL),(28,336,1,18,26,NULL,NULL,NULL,NULL),(28,336,1,18,27,NULL,NULL,NULL,NULL),(28,336,1,18,28,NULL,NULL,NULL,NULL),(28,336,1,18,29,NULL,NULL,NULL,NULL),(28,336,1,18,30,NULL,NULL,NULL,NULL),(28,336,1,18,31,NULL,NULL,NULL,NULL),(28,336,1,18,32,NULL,NULL,NULL,NULL),(28,336,1,18,33,NULL,NULL,NULL,NULL),(28,336,1,18,34,NULL,NULL,NULL,NULL),(28,336,1,18,35,NULL,NULL,NULL,NULL),(28,336,1,18,36,NULL,NULL,NULL,NULL),(28,336,1,18,37,NULL,NULL,NULL,NULL),(28,336,1,18,38,NULL,NULL,NULL,NULL),(28,336,1,18,39,NULL,NULL,NULL,NULL),(28,336,1,18,40,NULL,NULL,NULL,NULL),(28,336,1,19,1,NULL,NULL,NULL,NULL),(28,336,1,19,2,NULL,NULL,NULL,NULL),(28,336,1,19,3,NULL,NULL,NULL,NULL),(28,336,1,19,4,NULL,NULL,NULL,NULL),(28,336,1,19,5,NULL,NULL,NULL,NULL),(28,336,1,19,6,NULL,NULL,NULL,NULL),(28,336,1,19,7,NULL,NULL,NULL,NULL),(28,336,1,19,8,NULL,NULL,NULL,NULL),(28,336,1,19,9,NULL,NULL,NULL,NULL),(28,336,1,19,10,NULL,NULL,NULL,NULL),(28,336,1,19,11,NULL,NULL,NULL,NULL),(28,336,1,19,12,NULL,NULL,NULL,NULL),(28,336,1,19,13,NULL,NULL,NULL,NULL),(28,336,1,19,14,NULL,NULL,NULL,NULL),(28,336,1,19,15,NULL,NULL,NULL,NULL),(28,336,1,19,16,NULL,NULL,NULL,NULL),(28,336,1,19,17,NULL,NULL,NULL,NULL),(28,336,1,19,18,NULL,NULL,NULL,NULL),(28,336,1,19,19,NULL,NULL,NULL,NULL),(28,336,1,19,20,NULL,NULL,NULL,NULL),(28,336,1,19,21,NULL,NULL,NULL,NULL),(28,336,1,19,22,NULL,NULL,NULL,NULL),(28,336,1,19,23,NULL,NULL,NULL,NULL),(28,336,1,19,24,NULL,NULL,NULL,NULL),(28,336,1,19,25,NULL,NULL,NULL,NULL),(28,336,1,19,26,NULL,NULL,NULL,NULL),(28,336,1,19,27,NULL,NULL,NULL,NULL),(28,336,1,19,28,NULL,NULL,NULL,NULL),(28,336,1,19,29,NULL,NULL,NULL,NULL),(28,336,1,19,30,NULL,NULL,NULL,NULL),(28,336,1,19,31,NULL,NULL,NULL,NULL),(28,336,1,19,32,NULL,NULL,NULL,NULL),(28,336,1,19,33,NULL,NULL,NULL,NULL),(28,336,1,19,34,NULL,NULL,NULL,NULL),(28,336,1,19,35,NULL,NULL,NULL,NULL),(28,336,1,19,36,NULL,NULL,NULL,NULL),(28,336,1,19,37,NULL,NULL,NULL,NULL),(28,336,1,19,38,NULL,NULL,NULL,NULL),(28,336,1,19,39,NULL,NULL,NULL,NULL),(28,336,1,19,40,NULL,NULL,NULL,NULL),(28,336,2,21,1,2,15,NULL,4),(28,336,2,21,2,1,14,1,3),(28,336,2,21,3,17,8,4,4),(28,336,2,21,4,2,5,NULL,2),(28,336,2,21,5,7,6,3,3),(28,336,2,21,6,17,16,2,5),(28,336,2,21,7,NULL,14,NULL,2),(28,336,2,21,8,15,9,3,2),(28,336,2,21,9,3,5,1,3),(28,336,2,21,10,9,10,2,4),(28,336,2,21,11,6,4,3,2),(28,336,2,21,12,6,19,2,3),(28,336,2,21,13,6,23,1,5),(28,336,2,21,14,14,13,4,3),(28,336,2,21,15,9,10,1,2),(28,336,2,21,16,9,14,3,4),(28,336,2,21,17,1,3,NULL,1),(28,336,2,21,18,19,9,1,6),(28,336,2,21,19,10,17,2,4),(28,336,2,21,20,17,12,6,2),(28,336,2,21,21,NULL,10,NULL,1),(28,336,2,21,22,10,6,5,NULL),(28,336,2,21,23,4,5,1,2),(28,336,2,21,24,1,7,NULL,2),(28,336,2,21,25,1,11,NULL,1),(28,336,2,21,26,3,2,NULL,1),(28,336,2,21,27,4,16,NULL,7),(28,336,2,21,28,3,8,1,4),(28,336,2,21,29,1,8,NULL,4),(28,336,2,21,30,2,4,NULL,1),(28,336,2,21,31,1,15,NULL,3),(28,336,2,21,32,NULL,2,NULL,NULL),(28,336,2,21,33,4,9,2,3),(28,336,2,21,34,5,6,3,2),(28,336,2,21,35,6,NULL,3,NULL),(28,336,2,21,36,NULL,8,NULL,4),(28,336,2,21,37,3,4,2,3),(28,336,2,21,38,NULL,2,NULL,1),(28,336,2,21,39,NULL,9,NULL,1),(28,336,2,21,40,4,25,1,7),(28,336,2,22,1,1,8,NULL,3),(28,336,2,22,2,NULL,10,NULL,3),(28,336,2,22,3,15,12,2,3),(28,336,2,22,4,3,5,1,1),(28,336,2,22,5,7,3,3,NULL),(28,336,2,22,6,16,10,3,3),(28,336,2,22,7,NULL,16,NULL,2),(28,336,2,22,8,4,12,NULL,2),(28,336,2,22,9,3,2,1,NULL),(28,336,2,22,10,9,4,2,1),(28,336,2,22,11,6,6,2,1),(28,336,2,22,12,5,13,2,2),(28,336,2,22,13,3,25,2,4),(28,336,2,22,14,11,10,1,3),(28,336,2,22,15,5,14,1,3),(28,336,2,22,16,8,13,NULL,3),(28,336,2,22,17,1,5,NULL,1),(28,336,2,22,18,16,14,1,4),(28,336,2,22,19,7,12,2,2),(28,336,2,22,20,5,9,1,NULL),(28,336,2,22,21,1,5,NULL,NULL),(28,336,2,22,22,1,3,NULL,NULL),(28,336,2,22,23,NULL,2,NULL,1),(28,336,2,22,24,2,3,NULL,NULL),(28,336,2,22,25,2,4,NULL,NULL),(28,336,2,22,26,1,6,NULL,1),(28,336,2,22,27,NULL,10,NULL,4),(28,336,2,22,28,NULL,4,NULL,2),(28,336,2,22,29,1,5,NULL,1),(28,336,2,22,30,NULL,4,NULL,1),(28,336,2,22,31,2,6,NULL,1),(28,336,2,22,32,2,1,NULL,NULL),(28,336,2,22,33,2,3,1,NULL),(28,336,2,22,34,4,9,1,2),(28,336,2,22,35,5,NULL,1,NULL),(28,336,2,22,36,1,4,NULL,NULL),(28,336,2,22,37,1,5,NULL,2),(28,336,2,22,38,NULL,1,NULL,1),(28,336,2,22,39,1,3,1,NULL),(28,336,2,22,40,1,17,NULL,1),(28,336,2,23,1,1,9,NULL,4),(28,336,2,23,2,NULL,11,NULL,6),(28,336,2,23,3,14,12,5,5),(28,336,2,23,4,2,NULL,1,NULL),(28,336,2,23,5,9,10,7,2),(28,336,2,23,6,14,10,6,3),(28,336,2,23,7,NULL,14,NULL,5),(28,336,2,23,8,2,10,NULL,4),(28,336,2,23,9,3,4,2,1),(28,336,2,23,10,4,7,2,2),(28,336,2,23,11,10,1,6,NULL),(28,336,2,23,12,8,9,4,2),(28,336,2,23,13,2,20,2,5),(28,336,2,23,14,6,12,4,5),(28,336,2,23,15,4,9,1,4),(28,336,2,23,16,7,14,4,6),(28,336,2,23,17,NULL,3,NULL,1),(28,336,2,23,18,15,10,7,3),(28,336,2,23,19,5,14,4,6),(28,336,2,23,20,15,9,8,1),(28,336,2,23,21,2,5,2,2),(28,336,2,23,22,4,5,3,2),(28,336,2,23,23,NULL,5,NULL,3),(28,336,2,23,24,1,3,NULL,1),(28,336,2,23,25,2,6,1,4),(28,336,2,23,26,NULL,3,NULL,1),(28,336,2,23,27,2,18,1,8),(28,336,2,23,28,1,5,NULL,2),(28,336,2,23,29,NULL,7,NULL,4),(28,336,2,23,30,1,4,NULL,3),(28,336,2,23,31,2,11,2,5),(28,336,2,23,32,NULL,4,NULL,2),(28,336,2,23,33,4,7,3,3),(28,336,2,23,34,5,11,4,4),(28,336,2,23,35,8,NULL,5,NULL),(28,336,2,23,36,NULL,3,NULL,1),(28,336,2,23,37,2,13,2,3),(28,336,2,23,38,NULL,6,NULL,3),(28,336,2,23,39,NULL,9,NULL,4),(28,336,2,23,40,4,15,4,5),(28,336,2,24,1,NULL,12,NULL,4),(28,336,2,24,2,NULL,9,NULL,2),(28,336,2,24,3,8,9,3,3),(28,336,2,24,4,NULL,5,NULL,3),(28,336,2,24,5,3,5,2,2),(28,336,2,24,6,7,8,2,1),(28,336,2,24,7,NULL,8,NULL,2),(28,336,2,24,8,2,9,1,2),(28,336,2,24,9,4,3,1,2),(28,336,2,24,10,4,7,1,2),(28,336,2,24,11,8,4,2,2),(28,336,2,24,12,7,12,2,1),(28,336,2,24,13,3,18,1,3),(28,336,2,24,14,7,13,1,3),(28,336,2,24,15,4,7,1,2),(28,336,2,24,16,6,7,4,NULL),(28,336,2,24,17,NULL,5,NULL,1),(28,336,2,24,18,12,10,2,4),(28,336,2,24,19,6,8,1,3),(28,336,2,24,20,8,9,2,3),(28,336,2,24,21,2,2,1,NULL),(28,336,2,24,22,2,5,NULL,3),(28,336,2,24,23,NULL,1,NULL,1),(28,336,2,24,24,NULL,1,NULL,NULL),(28,336,2,24,25,1,7,NULL,NULL),(28,336,2,24,26,2,5,NULL,2),(28,336,2,24,27,3,11,NULL,4),(28,336,2,24,28,1,5,NULL,3),(28,336,2,24,29,NULL,8,NULL,1),(28,336,2,24,30,1,4,NULL,2),(28,336,2,24,31,NULL,13,NULL,3),(28,336,2,24,32,NULL,5,NULL,2),(28,336,2,24,33,1,4,NULL,2),(28,336,2,24,34,1,11,NULL,3),(28,336,2,24,35,3,NULL,1,NULL),(28,336,2,24,36,NULL,4,NULL,2),(28,336,2,24,37,2,7,2,3),(28,336,2,24,38,NULL,1,NULL,1),(28,336,2,24,39,NULL,5,NULL,2),(28,336,2,24,40,1,11,1,3),(28,337,1,11,1,NULL,NULL,NULL,NULL),(28,337,1,11,2,NULL,NULL,NULL,NULL),(28,337,1,11,3,NULL,1,NULL,1),(28,337,1,11,4,NULL,1,NULL,1),(28,337,1,11,5,NULL,1,NULL,1),(28,337,1,11,6,NULL,1,NULL,1),(28,337,1,11,7,NULL,1,NULL,1),(28,337,1,11,8,NULL,1,NULL,1),(28,337,1,11,9,1,NULL,1,NULL),(28,337,1,11,10,1,NULL,1,NULL),(28,337,1,11,11,NULL,1,NULL,1),(28,337,1,11,12,NULL,NULL,NULL,NULL),(28,337,1,11,13,NULL,NULL,NULL,NULL),(28,337,1,11,14,NULL,1,NULL,1),(28,337,1,11,15,NULL,NULL,NULL,NULL),(28,337,1,11,16,NULL,NULL,NULL,NULL),(28,337,1,11,17,NULL,NULL,NULL,NULL),(28,337,1,11,18,NULL,NULL,NULL,NULL),(28,337,1,11,19,NULL,NULL,NULL,NULL),(28,337,1,11,20,NULL,NULL,NULL,NULL),(28,337,1,11,21,NULL,NULL,NULL,NULL),(28,337,1,11,22,NULL,NULL,NULL,NULL),(28,337,1,11,23,NULL,NULL,NULL,NULL),(28,337,1,11,24,NULL,NULL,NULL,NULL),(28,337,1,11,25,NULL,NULL,NULL,NULL),(28,337,1,11,26,NULL,NULL,NULL,NULL),(28,337,1,11,27,NULL,NULL,NULL,NULL),(28,337,1,11,28,NULL,NULL,NULL,NULL),(28,337,1,11,29,NULL,NULL,NULL,NULL),(28,337,1,11,30,NULL,NULL,NULL,NULL),(28,337,1,11,31,NULL,NULL,NULL,NULL),(28,337,1,11,32,NULL,1,NULL,1),(28,337,1,11,33,NULL,NULL,NULL,NULL),(28,337,1,11,34,NULL,1,NULL,1),(28,337,1,11,35,NULL,NULL,NULL,NULL),(28,337,1,11,36,NULL,NULL,NULL,NULL),(28,337,1,11,37,NULL,NULL,NULL,NULL),(28,337,1,11,38,NULL,NULL,NULL,NULL),(28,337,1,11,39,NULL,NULL,NULL,NULL),(28,337,1,11,40,NULL,NULL,NULL,NULL),(28,337,1,12,1,NULL,NULL,NULL,NULL),(28,337,1,12,2,NULL,NULL,NULL,NULL),(28,337,1,12,3,NULL,NULL,NULL,NULL),(28,337,1,12,4,NULL,NULL,NULL,NULL),(28,337,1,12,5,NULL,NULL,NULL,NULL),(28,337,1,12,6,NULL,NULL,NULL,NULL),(28,337,1,12,7,NULL,NULL,NULL,NULL),(28,337,1,12,8,NULL,NULL,NULL,NULL),(28,337,1,12,9,NULL,NULL,NULL,NULL),(28,337,1,12,10,NULL,NULL,NULL,NULL),(28,337,1,12,11,NULL,NULL,NULL,NULL),(28,337,1,12,12,NULL,NULL,NULL,NULL),(28,337,1,12,13,NULL,NULL,NULL,NULL),(28,337,1,12,14,NULL,NULL,NULL,NULL),(28,337,1,12,15,NULL,NULL,NULL,NULL),(28,337,1,12,16,NULL,NULL,NULL,NULL),(28,337,1,12,17,NULL,NULL,NULL,NULL),(28,337,1,12,18,NULL,NULL,NULL,NULL),(28,337,1,12,19,NULL,NULL,NULL,NULL),(28,337,1,12,20,NULL,NULL,NULL,NULL),(28,337,1,12,21,NULL,NULL,NULL,NULL),(28,337,1,12,22,NULL,NULL,NULL,NULL),(28,337,1,12,23,NULL,NULL,NULL,NULL),(28,337,1,12,24,NULL,NULL,NULL,NULL),(28,337,1,12,25,NULL,NULL,NULL,NULL),(28,337,1,12,26,NULL,NULL,NULL,NULL),(28,337,1,12,27,NULL,NULL,NULL,NULL),(28,337,1,12,28,NULL,NULL,NULL,NULL),(28,337,1,12,29,NULL,NULL,NULL,NULL),(28,337,1,12,30,NULL,NULL,NULL,NULL),(28,337,1,12,31,NULL,NULL,NULL,NULL),(28,337,1,12,32,NULL,NULL,NULL,NULL),(28,337,1,12,33,NULL,NULL,NULL,NULL),(28,337,1,12,34,NULL,NULL,NULL,NULL),(28,337,1,12,35,NULL,NULL,NULL,NULL),(28,337,1,12,36,NULL,NULL,NULL,NULL),(28,337,1,12,37,NULL,NULL,NULL,NULL),(28,337,1,12,38,NULL,NULL,NULL,NULL),(28,337,1,12,39,NULL,NULL,NULL,NULL),(28,337,1,12,40,NULL,NULL,NULL,NULL),(28,337,1,13,1,NULL,NULL,NULL,NULL),(28,337,1,13,2,NULL,NULL,NULL,NULL),(28,337,1,13,3,NULL,NULL,NULL,NULL),(28,337,1,13,4,NULL,NULL,NULL,NULL),(28,337,1,13,5,NULL,NULL,NULL,NULL),(28,337,1,13,6,NULL,NULL,NULL,NULL),(28,337,1,13,7,NULL,NULL,NULL,NULL),(28,337,1,13,8,NULL,NULL,NULL,NULL),(28,337,1,13,9,NULL,NULL,NULL,NULL),(28,337,1,13,10,NULL,NULL,NULL,NULL),(28,337,1,13,11,NULL,NULL,NULL,NULL),(28,337,1,13,12,NULL,NULL,NULL,NULL),(28,337,1,13,13,NULL,NULL,NULL,NULL),(28,337,1,13,14,NULL,NULL,NULL,NULL),(28,337,1,13,15,NULL,NULL,NULL,NULL),(28,337,1,13,16,NULL,NULL,NULL,NULL),(28,337,1,13,17,NULL,NULL,NULL,NULL),(28,337,1,13,18,NULL,NULL,NULL,NULL),(28,337,1,13,19,NULL,NULL,NULL,NULL),(28,337,1,13,20,NULL,NULL,NULL,NULL),(28,337,1,13,21,NULL,NULL,NULL,NULL),(28,337,1,13,22,NULL,NULL,NULL,NULL),(28,337,1,13,23,NULL,NULL,NULL,NULL),(28,337,1,13,24,NULL,NULL,NULL,NULL),(28,337,1,13,25,NULL,NULL,NULL,NULL),(28,337,1,13,26,NULL,NULL,NULL,NULL),(28,337,1,13,27,NULL,NULL,NULL,NULL),(28,337,1,13,28,NULL,NULL,NULL,NULL),(28,337,1,13,29,NULL,NULL,NULL,NULL),(28,337,1,13,30,NULL,NULL,NULL,NULL),(28,337,1,13,31,NULL,NULL,NULL,NULL),(28,337,1,13,32,NULL,NULL,NULL,NULL),(28,337,1,13,33,NULL,NULL,NULL,NULL),(28,337,1,13,34,NULL,NULL,NULL,NULL),(28,337,1,13,35,NULL,NULL,NULL,NULL),(28,337,1,13,36,NULL,NULL,NULL,NULL),(28,337,1,13,37,NULL,NULL,NULL,NULL),(28,337,1,13,38,NULL,NULL,NULL,NULL),(28,337,1,13,39,NULL,NULL,NULL,NULL),(28,337,1,13,40,NULL,NULL,NULL,NULL),(28,337,1,14,1,7,NULL,4,NULL),(28,337,1,14,2,NULL,5,NULL,5),(28,337,1,14,3,4,3,3,2),(28,337,1,14,4,4,4,2,2),(28,337,1,14,5,6,3,4,2),(28,337,1,14,6,5,4,5,2),(28,337,1,14,7,3,3,3,NULL),(28,337,1,14,8,2,5,2,2),(28,337,1,14,9,2,3,1,3),(28,337,1,14,10,9,1,7,NULL),(28,337,1,14,11,1,4,1,1),(28,337,1,14,12,4,3,4,1),(28,337,1,14,13,8,2,8,NULL),(28,337,1,14,14,5,3,5,1),(28,337,1,14,15,10,NULL,7,NULL),(28,337,1,14,16,7,3,5,3),(28,337,1,14,17,5,4,5,1),(28,337,1,14,18,6,3,5,2),(28,337,1,14,19,8,1,6,1),(28,337,1,14,20,6,6,6,2),(28,337,1,14,21,NULL,2,NULL,1),(28,337,1,14,22,NULL,5,NULL,3),(28,337,1,14,23,NULL,1,NULL,1),(28,337,1,14,24,NULL,NULL,NULL,NULL),(28,337,1,14,25,NULL,2,NULL,2),(28,337,1,14,26,NULL,2,NULL,2),(28,337,1,14,27,4,NULL,4,NULL),(28,337,1,14,28,1,NULL,1,NULL),(28,337,1,14,29,NULL,1,NULL,1),(28,337,1,14,30,1,3,1,2),(28,337,1,14,31,1,2,1,1),(28,337,1,14,32,3,4,2,3),(28,337,1,14,33,1,NULL,1,NULL),(28,337,1,14,34,5,1,5,NULL),(28,337,1,14,35,2,1,1,1),(28,337,1,14,36,NULL,NULL,NULL,NULL),(28,337,1,14,37,NULL,NULL,NULL,NULL),(28,337,1,14,38,1,1,1,NULL),(28,337,1,14,39,2,5,2,3),(28,337,1,14,40,1,NULL,1,NULL),(28,337,1,15,1,10,NULL,5,NULL),(28,337,1,15,2,NULL,3,NULL,3),(28,337,1,15,3,3,5,3,3),(28,337,1,15,4,1,2,NULL,1),(28,337,1,15,5,1,4,1,3),(28,337,1,15,6,3,5,2,3),(28,337,1,15,7,2,5,1,1),(28,337,1,15,8,2,3,2,3),(28,337,1,15,9,1,6,NULL,4),(28,337,1,15,10,6,4,5,1),(28,337,1,15,11,2,4,2,3),(28,337,1,15,12,2,4,1,2),(28,337,1,15,13,7,5,4,2),(28,337,1,15,14,5,3,4,NULL),(28,337,1,15,15,8,NULL,2,NULL),(28,337,1,15,16,5,3,3,2),(28,337,1,15,17,4,4,2,4),(28,337,1,15,18,3,3,2,3),(28,337,1,15,19,7,2,5,NULL),(28,337,1,15,20,7,3,4,2),(28,337,1,15,21,NULL,NULL,NULL,NULL),(28,337,1,15,22,NULL,2,NULL,1),(28,337,1,15,23,NULL,3,NULL,3),(28,337,1,15,24,NULL,NULL,NULL,NULL),(28,337,1,15,25,NULL,1,NULL,1),(28,337,1,15,26,NULL,1,NULL,1),(28,337,1,15,27,3,NULL,3,NULL),(28,337,1,15,28,1,NULL,NULL,NULL),(28,337,1,15,29,1,4,1,3),(28,337,1,15,30,1,3,1,1),(28,337,1,15,31,NULL,NULL,NULL,NULL),(28,337,1,15,32,3,4,3,1),(28,337,1,15,33,NULL,4,NULL,2),(28,337,1,15,34,2,4,1,2),(28,337,1,15,35,1,2,NULL,1),(28,337,1,15,36,NULL,NULL,NULL,NULL),(28,337,1,15,37,NULL,1,NULL,1),(28,337,1,15,38,2,NULL,1,NULL),(28,337,1,15,39,1,8,1,3),(28,337,1,15,40,1,NULL,NULL,NULL),(28,337,1,16,1,4,NULL,3,NULL),(28,337,1,16,2,NULL,3,NULL,2),(28,337,1,16,3,3,5,2,3),(28,337,1,16,4,4,4,3,1),(28,337,1,16,5,4,3,3,2),(28,337,1,16,6,NULL,7,NULL,4),(28,337,1,16,7,2,2,1,NULL),(28,337,1,16,8,NULL,6,NULL,4),(28,337,1,16,9,3,2,2,1),(28,337,1,16,10,3,3,3,NULL),(28,337,1,16,11,NULL,2,NULL,2),(28,337,1,16,12,1,4,1,3),(28,337,1,16,13,10,NULL,5,NULL),(28,337,1,16,14,8,3,4,1),(28,337,1,16,15,2,5,2,3),(28,337,1,16,16,10,NULL,5,NULL),(28,337,1,16,17,4,9,4,3),(28,337,1,16,18,4,2,3,NULL),(28,337,1,16,19,2,5,2,2),(28,337,1,16,20,1,5,1,4),(28,337,1,16,21,NULL,2,NULL,2),(28,337,1,16,22,NULL,NULL,NULL,NULL),(28,337,1,16,23,NULL,1,NULL,1),(28,337,1,16,24,NULL,NULL,NULL,NULL),(28,337,1,16,25,NULL,1,NULL,1),(28,337,1,16,26,NULL,1,NULL,1),(28,337,1,16,27,2,NULL,NULL,NULL),(28,337,1,16,28,NULL,NULL,NULL,NULL),(28,337,1,16,29,NULL,4,NULL,1),(28,337,1,16,30,NULL,2,NULL,1),(28,337,1,16,31,NULL,2,NULL,1),(28,337,1,16,32,3,3,3,1),(28,337,1,16,33,NULL,3,NULL,2),(28,337,1,16,34,1,2,1,1),(28,337,1,16,35,NULL,NULL,NULL,NULL),(28,337,1,16,36,1,NULL,1,NULL),(28,337,1,16,37,1,1,1,NULL),(28,337,1,16,38,NULL,2,NULL,1),(28,337,1,16,39,3,4,2,3),(28,337,1,16,40,NULL,NULL,NULL,NULL),(28,337,1,17,1,1,NULL,1,NULL),(28,337,1,17,2,NULL,2,NULL,1),(28,337,1,17,3,1,3,1,1),(28,337,1,17,4,2,2,1,NULL),(28,337,1,17,5,NULL,NULL,NULL,NULL),(28,337,1,17,6,1,3,NULL,2),(28,337,1,17,7,NULL,2,NULL,NULL),(28,337,1,17,8,NULL,3,NULL,2),(28,337,1,17,9,1,3,1,NULL),(28,337,1,17,10,5,1,1,1),(28,337,1,17,11,NULL,NULL,NULL,NULL),(28,337,1,17,12,1,1,1,NULL),(28,337,1,17,13,7,NULL,2,NULL),(28,337,1,17,14,5,NULL,1,NULL),(28,337,1,17,15,1,4,NULL,2),(28,337,1,17,16,6,NULL,2,NULL),(28,337,1,17,17,3,3,1,1),(28,337,1,17,18,3,1,2,NULL),(28,337,1,17,19,1,3,1,1),(28,337,1,17,20,1,1,NULL,NULL),(28,337,1,17,21,NULL,2,NULL,NULL),(28,337,1,17,22,NULL,1,NULL,1),(28,337,1,17,23,NULL,NULL,NULL,NULL),(28,337,1,17,24,NULL,NULL,NULL,NULL),(28,337,1,17,25,NULL,NULL,NULL,NULL),(28,337,1,17,26,NULL,NULL,NULL,NULL),(28,337,1,17,27,NULL,NULL,NULL,NULL),(28,337,1,17,28,NULL,NULL,NULL,NULL),(28,337,1,17,29,NULL,1,NULL,NULL),(28,337,1,17,30,1,3,NULL,NULL),(28,337,1,17,31,NULL,NULL,NULL,NULL),(28,337,1,17,32,NULL,2,NULL,NULL),(28,337,1,17,33,NULL,1,NULL,1),(28,337,1,17,34,NULL,1,NULL,NULL),(28,337,1,17,35,1,NULL,1,NULL),(28,337,1,17,36,NULL,NULL,NULL,NULL),(28,337,1,17,37,1,NULL,1,NULL),(28,337,1,17,38,NULL,2,NULL,NULL),(28,337,1,17,39,NULL,1,NULL,NULL),(28,337,1,17,40,1,NULL,1,NULL),(28,337,1,18,1,NULL,NULL,NULL,NULL),(28,337,1,18,2,NULL,NULL,NULL,NULL),(28,337,1,18,3,NULL,NULL,NULL,NULL),(28,337,1,18,4,NULL,NULL,NULL,NULL),(28,337,1,18,5,NULL,NULL,NULL,NULL),(28,337,1,18,6,NULL,NULL,NULL,NULL),(28,337,1,18,7,NULL,NULL,NULL,NULL),(28,337,1,18,8,NULL,NULL,NULL,NULL),(28,337,1,18,9,NULL,NULL,NULL,NULL),(28,337,1,18,10,NULL,NULL,NULL,NULL),(28,337,1,18,11,NULL,NULL,NULL,NULL),(28,337,1,18,12,NULL,NULL,NULL,NULL),(28,337,1,18,13,NULL,NULL,NULL,NULL),(28,337,1,18,14,NULL,NULL,NULL,NULL),(28,337,1,18,15,NULL,NULL,NULL,NULL),(28,337,1,18,16,NULL,NULL,NULL,NULL),(28,337,1,18,17,NULL,NULL,NULL,NULL),(28,337,1,18,18,NULL,NULL,NULL,NULL),(28,337,1,18,19,NULL,NULL,NULL,NULL),(28,337,1,18,20,NULL,NULL,NULL,NULL),(28,337,1,18,21,NULL,NULL,NULL,NULL),(28,337,1,18,22,NULL,NULL,NULL,NULL),(28,337,1,18,23,NULL,NULL,NULL,NULL),(28,337,1,18,24,NULL,NULL,NULL,NULL),(28,337,1,18,25,NULL,NULL,NULL,NULL),(28,337,1,18,26,NULL,NULL,NULL,NULL),(28,337,1,18,27,NULL,NULL,NULL,NULL),(28,337,1,18,28,NULL,NULL,NULL,NULL),(28,337,1,18,29,NULL,NULL,NULL,NULL),(28,337,1,18,30,NULL,NULL,NULL,NULL),(28,337,1,18,31,NULL,NULL,NULL,NULL),(28,337,1,18,32,NULL,NULL,NULL,NULL),(28,337,1,18,33,NULL,NULL,NULL,NULL),(28,337,1,18,34,NULL,NULL,NULL,NULL),(28,337,1,18,35,NULL,NULL,NULL,NULL),(28,337,1,18,36,NULL,NULL,NULL,NULL),(28,337,1,18,37,NULL,NULL,NULL,NULL),(28,337,1,18,38,NULL,NULL,NULL,NULL),(28,337,1,18,39,NULL,NULL,NULL,NULL),(28,337,1,18,40,NULL,NULL,NULL,NULL),(28,337,1,19,1,NULL,NULL,NULL,NULL),(28,337,1,19,2,NULL,NULL,NULL,NULL),(28,337,1,19,3,NULL,NULL,NULL,NULL),(28,337,1,19,4,NULL,NULL,NULL,NULL),(28,337,1,19,5,NULL,NULL,NULL,NULL),(28,337,1,19,6,NULL,NULL,NULL,NULL),(28,337,1,19,7,NULL,NULL,NULL,NULL),(28,337,1,19,8,NULL,NULL,NULL,NULL),(28,337,1,19,9,NULL,NULL,NULL,NULL),(28,337,1,19,10,NULL,NULL,NULL,NULL),(28,337,1,19,11,NULL,NULL,NULL,NULL),(28,337,1,19,12,NULL,NULL,NULL,NULL),(28,337,1,19,13,NULL,NULL,NULL,NULL),(28,337,1,19,14,NULL,NULL,NULL,NULL),(28,337,1,19,15,NULL,NULL,NULL,NULL),(28,337,1,19,16,NULL,NULL,NULL,NULL),(28,337,1,19,17,NULL,NULL,NULL,NULL),(28,337,1,19,18,NULL,NULL,NULL,NULL),(28,337,1,19,19,NULL,NULL,NULL,NULL),(28,337,1,19,20,NULL,NULL,NULL,NULL),(28,337,1,19,21,NULL,NULL,NULL,NULL),(28,337,1,19,22,NULL,NULL,NULL,NULL),(28,337,1,19,23,NULL,NULL,NULL,NULL),(28,337,1,19,24,NULL,NULL,NULL,NULL),(28,337,1,19,25,NULL,NULL,NULL,NULL),(28,337,1,19,26,NULL,NULL,NULL,NULL),(28,337,1,19,27,NULL,NULL,NULL,NULL),(28,337,1,19,28,NULL,NULL,NULL,NULL),(28,337,1,19,29,NULL,NULL,NULL,NULL),(28,337,1,19,30,NULL,NULL,NULL,NULL),(28,337,1,19,31,NULL,NULL,NULL,NULL),(28,337,1,19,32,NULL,NULL,NULL,NULL),(28,337,1,19,33,NULL,NULL,NULL,NULL),(28,337,1,19,34,NULL,NULL,NULL,NULL),(28,337,1,19,35,NULL,NULL,NULL,NULL),(28,337,1,19,36,NULL,NULL,NULL,NULL),(28,337,1,19,37,NULL,NULL,NULL,NULL),(28,337,1,19,38,NULL,NULL,NULL,NULL),(28,337,1,19,39,NULL,NULL,NULL,NULL),(28,337,1,19,40,NULL,NULL,NULL,NULL),(28,337,2,21,1,NULL,1,NULL,1),(28,337,2,21,2,NULL,4,NULL,3),(28,337,2,21,3,4,4,4,1),(28,337,2,21,4,NULL,1,NULL,1),(28,337,2,21,5,2,4,1,1),(28,337,2,21,6,3,3,3,2),(28,337,2,21,7,NULL,4,NULL,2),(28,337,2,21,8,1,5,1,4),(28,337,2,21,9,NULL,NULL,NULL,NULL),(28,337,2,21,10,2,4,2,1),(28,337,2,21,11,NULL,2,NULL,1),(28,337,2,21,12,1,2,1,NULL),(28,337,2,21,13,1,3,1,2),(28,337,2,21,14,1,3,1,2),(28,337,2,21,15,2,3,2,2),(28,337,2,21,16,1,4,1,2),(28,337,2,21,17,NULL,2,NULL,NULL),(28,337,2,21,18,5,4,3,2),(28,337,2,21,19,4,4,4,2),(28,337,2,21,20,2,5,2,2),(28,337,2,21,21,NULL,NULL,NULL,NULL),(28,337,2,21,22,1,1,1,1),(28,337,2,21,23,NULL,4,NULL,2),(28,337,2,21,24,NULL,NULL,NULL,NULL),(28,337,2,21,25,NULL,3,NULL,2),(28,337,2,21,26,NULL,4,NULL,3),(28,337,2,21,27,NULL,4,NULL,2),(28,337,2,21,28,1,1,1,1),(28,337,2,21,29,NULL,2,NULL,1),(28,337,2,21,30,NULL,NULL,NULL,NULL),(28,337,2,21,31,NULL,3,NULL,2),(28,337,2,21,32,NULL,1,NULL,1),(28,337,2,21,33,2,1,2,NULL),(28,337,2,21,34,NULL,3,NULL,2),(28,337,2,21,35,2,NULL,2,NULL),(28,337,2,21,36,NULL,1,NULL,1),(28,337,2,21,37,2,1,1,NULL),(28,337,2,21,38,NULL,NULL,NULL,NULL),(28,337,2,21,39,NULL,1,NULL,1),(28,337,2,21,40,NULL,5,NULL,4),(28,337,2,22,1,NULL,6,NULL,3),(28,337,2,22,2,NULL,3,NULL,2),(28,337,2,22,3,3,5,2,3),(28,337,2,22,4,NULL,2,NULL,1),(28,337,2,22,5,NULL,4,NULL,2),(28,337,2,22,6,5,4,3,2),(28,337,2,22,7,NULL,4,NULL,2),(28,337,2,22,8,NULL,3,NULL,2),(28,337,2,22,9,NULL,3,NULL,2),(28,337,2,22,10,3,3,2,2),(28,337,2,22,11,NULL,4,NULL,3),(28,337,2,22,12,1,1,1,1),(28,337,2,22,13,2,2,2,1),(28,337,2,22,14,3,4,2,2),(28,337,2,22,15,NULL,5,NULL,4),(28,337,2,22,16,3,1,1,1),(28,337,2,22,17,NULL,3,NULL,2),(28,337,2,22,18,6,2,4,1),(28,337,2,22,19,4,2,3,2),(28,337,2,22,20,4,2,3,1),(28,337,2,22,21,1,NULL,NULL,NULL),(28,337,2,22,22,1,1,1,1),(28,337,2,22,23,NULL,2,NULL,1),(28,337,2,22,24,NULL,3,NULL,NULL),(28,337,2,22,25,NULL,2,NULL,2),(28,337,2,22,26,NULL,6,NULL,5),(28,337,2,22,27,1,2,1,2),(28,337,2,22,28,NULL,1,NULL,1),(28,337,2,22,29,NULL,4,NULL,3),(28,337,2,22,30,NULL,2,NULL,NULL),(28,337,2,22,31,NULL,3,NULL,2),(28,337,2,22,32,NULL,NULL,NULL,NULL),(28,337,2,22,33,NULL,2,NULL,1),(28,337,2,22,34,NULL,1,NULL,1),(28,337,2,22,35,4,NULL,2,NULL),(28,337,2,22,36,NULL,NULL,NULL,NULL),(28,337,2,22,37,NULL,3,NULL,2),(28,337,2,22,38,NULL,NULL,NULL,NULL),(28,337,2,22,39,NULL,NULL,NULL,NULL),(28,337,2,22,40,1,3,1,2),(28,337,2,23,1,1,6,1,4),(28,337,2,23,2,NULL,8,NULL,7),(28,337,2,23,3,8,5,6,2),(28,337,2,23,4,NULL,6,NULL,5),(28,337,2,23,5,6,2,3,2),(28,337,2,23,6,4,9,4,5),(28,337,2,23,7,NULL,6,NULL,5),(28,337,2,23,8,5,4,4,3),(28,337,2,23,9,NULL,1,NULL,NULL),(28,337,2,23,10,2,5,2,2),(28,337,2,23,11,2,5,2,3),(28,337,2,23,12,1,7,1,5),(28,337,2,23,13,NULL,9,NULL,6),(28,337,2,23,14,5,6,5,4),(28,337,2,23,15,2,9,2,8),(28,337,2,23,16,3,8,2,7),(28,337,2,23,17,1,6,1,4),(28,337,2,23,18,6,8,6,3),(28,337,2,23,19,3,10,3,7),(28,337,2,23,20,5,5,5,3),(28,337,2,23,21,1,1,1,1),(28,337,2,23,22,NULL,1,NULL,1),(28,337,2,23,23,1,4,1,2),(28,337,2,23,24,NULL,2,NULL,2),(28,337,2,23,25,NULL,4,NULL,2),(28,337,2,23,26,NULL,5,NULL,3),(28,337,2,23,27,1,8,1,4),(28,337,2,23,28,1,1,1,1),(28,337,2,23,29,1,2,1,1),(28,337,2,23,30,NULL,3,NULL,2),(28,337,2,23,31,NULL,5,NULL,3),(28,337,2,23,32,1,NULL,1,NULL),(28,337,2,23,33,3,3,3,3),(28,337,2,23,34,2,7,2,3),(28,337,2,23,35,2,NULL,1,NULL),(28,337,2,23,36,1,NULL,1,NULL),(28,337,2,23,37,2,1,2,1),(28,337,2,23,38,NULL,1,NULL,1),(28,337,2,23,39,NULL,1,NULL,1),(28,337,2,23,40,NULL,6,NULL,5),(28,337,2,24,1,NULL,4,NULL,2),(28,337,2,24,2,2,3,NULL,1),(28,337,2,24,3,3,5,2,NULL),(28,337,2,24,4,NULL,4,NULL,1),(28,337,2,24,5,3,2,1,NULL),(28,337,2,24,6,4,3,1,1),(28,337,2,24,7,NULL,8,NULL,3),(28,337,2,24,8,1,3,1,NULL),(28,337,2,24,9,1,1,NULL,1),(28,337,2,24,10,2,1,1,1),(28,337,2,24,11,1,1,NULL,NULL),(28,337,2,24,12,4,1,1,NULL),(28,337,2,24,13,NULL,3,NULL,1),(28,337,2,24,14,NULL,5,NULL,2),(28,337,2,24,15,1,4,1,1),(28,337,2,24,16,1,6,NULL,3),(28,337,2,24,17,NULL,NULL,NULL,NULL),(28,337,2,24,18,6,3,3,NULL),(28,337,2,24,19,1,4,NULL,2),(28,337,2,24,20,2,2,1,1),(28,337,2,24,21,NULL,1,NULL,1),(28,337,2,24,22,1,NULL,1,NULL),(28,337,2,24,23,NULL,1,NULL,NULL),(28,337,2,24,24,NULL,1,NULL,NULL),(28,337,2,24,25,NULL,3,NULL,2),(28,337,2,24,26,NULL,3,NULL,1),(28,337,2,24,27,NULL,2,NULL,2),(28,337,2,24,28,1,NULL,NULL,NULL),(28,337,2,24,29,NULL,1,NULL,NULL),(28,337,2,24,30,1,1,NULL,NULL),(28,337,2,24,31,1,2,NULL,1),(28,337,2,24,32,NULL,NULL,NULL,NULL),(28,337,2,24,33,NULL,NULL,NULL,NULL),(28,337,2,24,34,NULL,1,NULL,NULL),(28,337,2,24,35,2,NULL,1,NULL),(28,337,2,24,36,NULL,NULL,NULL,NULL),(28,337,2,24,37,1,NULL,1,NULL),(28,337,2,24,38,1,NULL,NULL,NULL),(28,337,2,24,39,NULL,1,NULL,1),(28,337,2,24,40,NULL,4,NULL,2),(28,338,1,11,1,NULL,NULL,NULL,NULL),(28,338,1,11,2,NULL,NULL,NULL,NULL),(28,338,1,11,3,NULL,NULL,NULL,NULL),(28,338,1,11,4,NULL,NULL,NULL,NULL),(28,338,1,11,5,NULL,NULL,NULL,NULL),(28,338,1,11,6,NULL,NULL,NULL,NULL),(28,338,1,11,7,NULL,NULL,NULL,NULL),(28,338,1,11,8,NULL,NULL,NULL,NULL),(28,338,1,11,9,NULL,NULL,NULL,NULL),(28,338,1,11,10,NULL,NULL,NULL,NULL),(28,338,1,11,11,NULL,NULL,NULL,NULL),(28,338,1,11,12,NULL,NULL,NULL,NULL),(28,338,1,11,13,NULL,NULL,NULL,NULL),(28,338,1,11,14,NULL,NULL,NULL,NULL),(28,338,1,11,15,NULL,NULL,NULL,NULL),(28,338,1,11,16,NULL,NULL,NULL,NULL),(28,338,1,11,17,NULL,NULL,NULL,NULL),(28,338,1,11,18,NULL,NULL,NULL,NULL),(28,338,1,11,19,NULL,NULL,NULL,NULL),(28,338,1,11,20,NULL,NULL,NULL,NULL),(28,338,1,11,21,NULL,NULL,NULL,NULL),(28,338,1,11,22,NULL,NULL,NULL,NULL),(28,338,1,11,23,NULL,NULL,NULL,NULL),(28,338,1,11,24,NULL,NULL,NULL,NULL),(28,338,1,11,25,NULL,NULL,NULL,NULL),(28,338,1,11,26,NULL,NULL,NULL,NULL),(28,338,1,11,27,NULL,NULL,NULL,NULL),(28,338,1,11,28,NULL,NULL,NULL,NULL),(28,338,1,11,29,NULL,NULL,NULL,NULL),(28,338,1,11,30,NULL,NULL,NULL,NULL),(28,338,1,11,31,NULL,NULL,NULL,NULL),(28,338,1,11,32,NULL,NULL,NULL,NULL),(28,338,1,11,33,NULL,NULL,NULL,NULL),(28,338,1,11,34,NULL,NULL,NULL,NULL),(28,338,1,11,35,NULL,NULL,NULL,NULL),(28,338,1,11,36,NULL,NULL,NULL,NULL),(28,338,1,11,37,NULL,NULL,NULL,NULL),(28,338,1,11,38,NULL,NULL,NULL,NULL),(28,338,1,11,39,NULL,NULL,NULL,NULL),(28,338,1,11,40,NULL,NULL,NULL,NULL),(28,338,1,12,1,NULL,NULL,NULL,NULL),(28,338,1,12,2,NULL,NULL,NULL,NULL),(28,338,1,12,3,1,NULL,1,NULL),(28,338,1,12,4,NULL,NULL,NULL,NULL),(28,338,1,12,5,NULL,NULL,NULL,NULL),(28,338,1,12,6,NULL,NULL,NULL,NULL),(28,338,1,12,7,NULL,NULL,NULL,NULL),(28,338,1,12,8,NULL,NULL,NULL,NULL),(28,338,1,12,9,1,NULL,1,NULL),(28,338,1,12,10,1,NULL,1,NULL),(28,338,1,12,11,NULL,NULL,NULL,NULL),(28,338,1,12,12,NULL,NULL,NULL,NULL),(28,338,1,12,13,NULL,NULL,NULL,NULL),(28,338,1,12,14,1,NULL,1,NULL),(28,338,1,12,15,1,NULL,1,NULL),(28,338,1,12,16,1,NULL,1,NULL),(28,338,1,12,17,1,NULL,1,NULL),(28,338,1,12,18,NULL,1,NULL,1),(28,338,1,12,19,NULL,1,NULL,1),(28,338,1,12,20,1,NULL,1,NULL),(28,338,1,12,21,NULL,NULL,NULL,NULL),(28,338,1,12,22,NULL,NULL,NULL,NULL),(28,338,1,12,23,NULL,NULL,NULL,NULL),(28,338,1,12,24,NULL,NULL,NULL,NULL),(28,338,1,12,25,NULL,NULL,NULL,NULL),(28,338,1,12,26,NULL,NULL,NULL,NULL),(28,338,1,12,27,NULL,NULL,NULL,NULL),(28,338,1,12,28,NULL,NULL,NULL,NULL),(28,338,1,12,29,NULL,NULL,NULL,NULL),(28,338,1,12,30,NULL,NULL,NULL,NULL),(28,338,1,12,31,NULL,NULL,NULL,NULL),(28,338,1,12,32,NULL,NULL,NULL,NULL),(28,338,1,12,33,NULL,NULL,NULL,NULL),(28,338,1,12,34,NULL,NULL,NULL,NULL),(28,338,1,12,35,NULL,NULL,NULL,NULL),(28,338,1,12,36,NULL,NULL,NULL,NULL),(28,338,1,12,37,NULL,NULL,NULL,NULL),(28,338,1,12,38,NULL,NULL,NULL,NULL),(28,338,1,12,39,NULL,NULL,NULL,NULL),(28,338,1,12,40,NULL,NULL,NULL,NULL),(28,338,1,13,1,NULL,NULL,NULL,NULL),(28,338,1,13,2,NULL,NULL,NULL,NULL),(28,338,1,13,3,NULL,NULL,NULL,NULL),(28,338,1,13,4,NULL,NULL,NULL,NULL),(28,338,1,13,5,NULL,NULL,NULL,NULL),(28,338,1,13,6,NULL,NULL,NULL,NULL),(28,338,1,13,7,NULL,NULL,NULL,NULL),(28,338,1,13,8,NULL,NULL,NULL,NULL),(28,338,1,13,9,NULL,NULL,NULL,NULL),(28,338,1,13,10,NULL,NULL,NULL,NULL),(28,338,1,13,11,NULL,NULL,NULL,NULL),(28,338,1,13,12,NULL,NULL,NULL,NULL),(28,338,1,13,13,NULL,NULL,NULL,NULL),(28,338,1,13,14,NULL,NULL,NULL,NULL),(28,338,1,13,15,NULL,NULL,NULL,NULL),(28,338,1,13,16,NULL,NULL,NULL,NULL),(28,338,1,13,17,NULL,NULL,NULL,NULL),(28,338,1,13,18,NULL,NULL,NULL,NULL),(28,338,1,13,19,NULL,NULL,NULL,NULL),(28,338,1,13,20,NULL,NULL,NULL,NULL),(28,338,1,13,21,NULL,NULL,NULL,NULL),(28,338,1,13,22,NULL,NULL,NULL,NULL),(28,338,1,13,23,NULL,NULL,NULL,NULL),(28,338,1,13,24,NULL,NULL,NULL,NULL),(28,338,1,13,25,NULL,NULL,NULL,NULL),(28,338,1,13,26,NULL,NULL,NULL,NULL),(28,338,1,13,27,NULL,NULL,NULL,NULL),(28,338,1,13,28,NULL,NULL,NULL,NULL),(28,338,1,13,29,NULL,NULL,NULL,NULL),(28,338,1,13,30,NULL,NULL,NULL,NULL),(28,338,1,13,31,NULL,NULL,NULL,NULL),(28,338,1,13,32,NULL,NULL,NULL,NULL),(28,338,1,13,33,NULL,NULL,NULL,NULL),(28,338,1,13,34,NULL,NULL,NULL,NULL),(28,338,1,13,35,NULL,NULL,NULL,NULL),(28,338,1,13,36,NULL,NULL,NULL,NULL),(28,338,1,13,37,NULL,NULL,NULL,NULL),(28,338,1,13,38,NULL,NULL,NULL,NULL),(28,338,1,13,39,NULL,NULL,NULL,NULL),(28,338,1,13,40,NULL,NULL,NULL,NULL),(28,338,1,14,1,2,NULL,2,NULL),(28,338,1,14,2,NULL,2,NULL,1),(28,338,1,14,3,NULL,4,NULL,4),(28,338,1,14,4,1,1,NULL,1),(28,338,1,14,5,1,1,1,1),(28,338,1,14,6,NULL,6,NULL,5),(28,338,1,14,7,NULL,1,NULL,1),(28,338,1,14,8,NULL,NULL,NULL,NULL),(28,338,1,14,9,NULL,NULL,NULL,NULL),(28,338,1,14,10,2,2,2,2),(28,338,1,14,11,NULL,NULL,NULL,NULL),(28,338,1,14,12,NULL,1,NULL,1),(28,338,1,14,13,7,1,6,1),(28,338,1,14,14,3,NULL,2,NULL),(28,338,1,14,15,5,NULL,4,NULL),(28,338,1,14,16,3,3,2,3),(28,338,1,14,17,NULL,4,NULL,3),(28,338,1,14,18,1,2,1,1),(28,338,1,14,19,3,3,2,3),(28,338,1,14,20,2,5,2,3),(28,338,1,14,21,NULL,NULL,NULL,NULL),(28,338,1,14,22,NULL,1,NULL,1),(28,338,1,14,23,NULL,3,NULL,3),(28,338,1,14,24,NULL,NULL,NULL,NULL),(28,338,1,14,25,1,NULL,1,NULL),(28,338,1,14,26,NULL,2,NULL,2),(28,338,1,14,27,3,NULL,3,NULL),(28,338,1,14,28,NULL,NULL,NULL,NULL),(28,338,1,14,29,NULL,2,NULL,2),(28,338,1,14,30,1,3,1,2),(28,338,1,14,31,NULL,NULL,NULL,NULL),(28,338,1,14,32,1,3,NULL,3),(28,338,1,14,33,NULL,2,NULL,2),(28,338,1,14,34,NULL,2,NULL,2),(28,338,1,14,35,NULL,1,NULL,1),(28,338,1,14,36,NULL,NULL,NULL,NULL),(28,338,1,14,37,NULL,1,NULL,1),(28,338,1,14,38,NULL,2,NULL,2),(28,338,1,14,39,2,2,1,2),(28,338,1,14,40,1,NULL,1,NULL),(28,338,1,15,1,2,NULL,2,NULL),(28,338,1,15,2,NULL,1,NULL,1),(28,338,1,15,3,NULL,1,NULL,1),(28,338,1,15,4,1,1,1,1),(28,338,1,15,5,NULL,1,NULL,1),(28,338,1,15,6,NULL,2,NULL,2),(28,338,1,15,7,NULL,1,NULL,1),(28,338,1,15,8,NULL,1,NULL,1),(28,338,1,15,9,NULL,2,NULL,2),(28,338,1,15,10,2,1,2,1),(28,338,1,15,11,NULL,1,NULL,1),(28,338,1,15,12,NULL,2,NULL,2),(28,338,1,15,13,2,1,2,1),(28,338,1,15,14,1,NULL,1,NULL),(28,338,1,15,15,1,NULL,1,NULL),(28,338,1,15,16,1,NULL,1,NULL),(28,338,1,15,17,1,1,1,1),(28,338,1,15,18,NULL,1,NULL,1),(28,338,1,15,19,1,NULL,1,NULL),(28,338,1,15,20,2,1,2,1),(28,338,1,15,21,NULL,NULL,NULL,NULL),(28,338,1,15,22,NULL,NULL,NULL,NULL),(28,338,1,15,23,NULL,3,NULL,3),(28,338,1,15,24,NULL,NULL,NULL,NULL),(28,338,1,15,25,NULL,NULL,NULL,NULL),(28,338,1,15,26,NULL,NULL,NULL,NULL),(28,338,1,15,27,1,NULL,1,NULL),(28,338,1,15,28,NULL,2,NULL,2),(28,338,1,15,29,NULL,1,NULL,1),(28,338,1,15,30,NULL,1,NULL,1),(28,338,1,15,31,NULL,NULL,NULL,NULL),(28,338,1,15,32,1,1,1,1),(28,338,1,15,33,NULL,NULL,NULL,NULL),(28,338,1,15,34,1,2,1,2),(28,338,1,15,35,NULL,NULL,NULL,NULL),(28,338,1,15,36,NULL,NULL,NULL,NULL),(28,338,1,15,37,NULL,1,NULL,1),(28,338,1,15,38,NULL,NULL,NULL,NULL),(28,338,1,15,39,NULL,2,NULL,2),(28,338,1,15,40,NULL,NULL,NULL,NULL),(28,338,1,16,1,NULL,NULL,NULL,NULL),(28,338,1,16,2,NULL,2,NULL,2),(28,338,1,16,3,1,1,NULL,1),(28,338,1,16,4,NULL,1,NULL,1),(28,338,1,16,5,1,1,NULL,1),(28,338,1,16,6,2,2,1,2),(28,338,1,16,7,NULL,1,NULL,NULL),(28,338,1,16,8,NULL,1,NULL,1),(28,338,1,16,9,1,1,1,1),(28,338,1,16,10,3,NULL,1,NULL),(28,338,1,16,11,1,NULL,1,NULL),(28,338,1,16,12,NULL,1,NULL,1),(28,338,1,16,13,7,NULL,3,NULL),(28,338,1,16,14,3,3,2,1),(28,338,1,16,15,2,2,1,NULL),(28,338,1,16,16,4,NULL,1,NULL),(28,338,1,16,17,3,4,1,2),(28,338,1,16,18,2,3,1,1),(28,338,1,16,19,NULL,3,NULL,1),(28,338,1,16,20,NULL,3,NULL,2),(28,338,1,16,21,1,1,NULL,1),(28,338,1,16,22,NULL,NULL,NULL,NULL),(28,338,1,16,23,NULL,1,NULL,NULL),(28,338,1,16,24,NULL,NULL,NULL,NULL),(28,338,1,16,25,NULL,NULL,NULL,NULL),(28,338,1,16,26,NULL,1,NULL,1),(28,338,1,16,27,NULL,NULL,NULL,NULL),(28,338,1,16,28,NULL,NULL,NULL,NULL),(28,338,1,16,29,NULL,NULL,NULL,NULL),(28,338,1,16,30,1,2,NULL,1),(28,338,1,16,31,NULL,NULL,NULL,NULL),(28,338,1,16,32,1,2,1,NULL),(28,338,1,16,33,1,1,1,NULL),(28,338,1,16,34,1,1,1,1),(28,338,1,16,35,NULL,2,NULL,NULL),(28,338,1,16,36,NULL,NULL,NULL,NULL),(28,338,1,16,37,NULL,1,NULL,1),(28,338,1,16,38,NULL,1,NULL,NULL),(28,338,1,16,39,NULL,2,NULL,1),(28,338,1,16,40,NULL,NULL,NULL,NULL),(28,338,1,17,1,1,NULL,1,NULL),(28,338,1,17,2,NULL,NULL,NULL,NULL),(28,338,1,17,3,NULL,1,NULL,1),(28,338,1,17,4,1,4,1,3),(28,338,1,17,5,1,NULL,NULL,NULL),(28,338,1,17,6,NULL,2,NULL,2),(28,338,1,17,7,1,3,1,3),(28,338,1,17,8,NULL,3,NULL,2),(28,338,1,17,9,2,1,2,1),(28,338,1,17,10,2,2,2,2),(28,338,1,17,11,NULL,NULL,NULL,NULL),(28,338,1,17,12,NULL,NULL,NULL,NULL),(28,338,1,17,13,7,NULL,6,NULL),(28,338,1,17,14,7,1,6,1),(28,338,1,17,15,1,3,NULL,3),(28,338,1,17,16,5,NULL,4,NULL),(28,338,1,17,17,2,3,2,2),(28,338,1,17,18,2,1,2,1),(28,338,1,17,19,1,4,1,3),(28,338,1,17,20,1,3,1,2),(28,338,1,17,21,NULL,2,NULL,1),(28,338,1,17,22,1,2,1,2),(28,338,1,17,23,NULL,2,NULL,2),(28,338,1,17,24,1,NULL,NULL,NULL),(28,338,1,17,25,NULL,NULL,NULL,NULL),(28,338,1,17,26,NULL,1,NULL,1),(28,338,1,17,27,1,NULL,1,NULL),(28,338,1,17,28,NULL,NULL,NULL,NULL),(28,338,1,17,29,2,3,2,3),(28,338,1,17,30,NULL,1,NULL,1),(28,338,1,17,31,NULL,NULL,NULL,NULL),(28,338,1,17,32,2,NULL,2,NULL),(28,338,1,17,33,NULL,NULL,NULL,NULL),(28,338,1,17,34,1,NULL,1,NULL),(28,338,1,17,35,NULL,2,NULL,2),(28,338,1,17,36,NULL,NULL,NULL,NULL),(28,338,1,17,37,NULL,NULL,NULL,NULL),(28,338,1,17,38,NULL,NULL,NULL,NULL),(28,338,1,17,39,NULL,NULL,NULL,NULL),(28,338,1,17,40,NULL,NULL,NULL,NULL),(28,338,1,18,1,NULL,NULL,NULL,NULL),(28,338,1,18,2,NULL,NULL,NULL,NULL),(28,338,1,18,3,NULL,NULL,NULL,NULL),(28,338,1,18,4,NULL,NULL,NULL,NULL),(28,338,1,18,5,NULL,NULL,NULL,NULL),(28,338,1,18,6,NULL,NULL,NULL,NULL),(28,338,1,18,7,NULL,NULL,NULL,NULL),(28,338,1,18,8,NULL,NULL,NULL,NULL),(28,338,1,18,9,NULL,NULL,NULL,NULL),(28,338,1,18,10,NULL,NULL,NULL,NULL),(28,338,1,18,11,NULL,NULL,NULL,NULL),(28,338,1,18,12,NULL,NULL,NULL,NULL),(28,338,1,18,13,NULL,NULL,NULL,NULL),(28,338,1,18,14,NULL,NULL,NULL,NULL),(28,338,1,18,15,NULL,NULL,NULL,NULL),(28,338,1,18,16,NULL,NULL,NULL,NULL),(28,338,1,18,17,NULL,NULL,NULL,NULL),(28,338,1,18,18,NULL,NULL,NULL,NULL),(28,338,1,18,19,NULL,NULL,NULL,NULL),(28,338,1,18,20,NULL,NULL,NULL,NULL),(28,338,1,18,21,NULL,NULL,NULL,NULL),(28,338,1,18,22,NULL,NULL,NULL,NULL),(28,338,1,18,23,NULL,NULL,NULL,NULL),(28,338,1,18,24,NULL,NULL,NULL,NULL),(28,338,1,18,25,NULL,NULL,NULL,NULL),(28,338,1,18,26,NULL,NULL,NULL,NULL),(28,338,1,18,27,NULL,NULL,NULL,NULL),(28,338,1,18,28,NULL,NULL,NULL,NULL),(28,338,1,18,29,NULL,NULL,NULL,NULL),(28,338,1,18,30,NULL,NULL,NULL,NULL),(28,338,1,18,31,NULL,NULL,NULL,NULL),(28,338,1,18,32,NULL,NULL,NULL,NULL),(28,338,1,18,33,NULL,NULL,NULL,NULL),(28,338,1,18,34,NULL,NULL,NULL,NULL),(28,338,1,18,35,NULL,NULL,NULL,NULL),(28,338,1,18,36,NULL,NULL,NULL,NULL),(28,338,1,18,37,NULL,NULL,NULL,NULL),(28,338,1,18,38,NULL,NULL,NULL,NULL),(28,338,1,18,39,NULL,NULL,NULL,NULL),(28,338,1,18,40,NULL,NULL,NULL,NULL),(28,338,1,19,1,NULL,NULL,NULL,NULL),(28,338,1,19,2,NULL,NULL,NULL,NULL),(28,338,1,19,3,NULL,NULL,NULL,NULL),(28,338,1,19,4,NULL,NULL,NULL,NULL),(28,338,1,19,5,NULL,NULL,NULL,NULL),(28,338,1,19,6,NULL,NULL,NULL,NULL),(28,338,1,19,7,NULL,NULL,NULL,NULL),(28,338,1,19,8,NULL,NULL,NULL,NULL),(28,338,1,19,9,NULL,NULL,NULL,NULL),(28,338,1,19,10,NULL,NULL,NULL,NULL),(28,338,1,19,11,NULL,NULL,NULL,NULL),(28,338,1,19,12,NULL,NULL,NULL,NULL),(28,338,1,19,13,NULL,NULL,NULL,NULL),(28,338,1,19,14,NULL,NULL,NULL,NULL),(28,338,1,19,15,NULL,NULL,NULL,NULL),(28,338,1,19,16,NULL,NULL,NULL,NULL),(28,338,1,19,17,NULL,NULL,NULL,NULL),(28,338,1,19,18,NULL,NULL,NULL,NULL),(28,338,1,19,19,NULL,NULL,NULL,NULL),(28,338,1,19,20,NULL,NULL,NULL,NULL),(28,338,1,19,21,NULL,NULL,NULL,NULL),(28,338,1,19,22,NULL,NULL,NULL,NULL),(28,338,1,19,23,NULL,NULL,NULL,NULL),(28,338,1,19,24,NULL,NULL,NULL,NULL),(28,338,1,19,25,NULL,NULL,NULL,NULL),(28,338,1,19,26,NULL,NULL,NULL,NULL),(28,338,1,19,27,NULL,NULL,NULL,NULL),(28,338,1,19,28,NULL,NULL,NULL,NULL),(28,338,1,19,29,NULL,NULL,NULL,NULL),(28,338,1,19,30,NULL,NULL,NULL,NULL),(28,338,1,19,31,NULL,NULL,NULL,NULL),(28,338,1,19,32,NULL,NULL,NULL,NULL),(28,338,1,19,33,NULL,NULL,NULL,NULL),(28,338,1,19,34,NULL,NULL,NULL,NULL),(28,338,1,19,35,NULL,NULL,NULL,NULL),(28,338,1,19,36,NULL,NULL,NULL,NULL),(28,338,1,19,37,NULL,NULL,NULL,NULL),(28,338,1,19,38,NULL,NULL,NULL,NULL),(28,338,1,19,39,NULL,NULL,NULL,NULL),(28,338,1,19,40,NULL,NULL,NULL,NULL),(28,338,2,21,1,1,2,1,2),(28,338,2,21,2,1,1,1,1),(28,338,2,21,3,3,3,3,3),(28,338,2,21,4,NULL,1,NULL,1),(28,338,2,21,5,1,2,1,2),(28,338,2,21,6,2,3,2,3),(28,338,2,21,7,NULL,4,NULL,4),(28,338,2,21,8,1,2,1,2),(28,338,2,21,9,NULL,1,NULL,1),(28,338,2,21,10,1,3,1,3),(28,338,2,21,11,1,NULL,1,NULL),(28,338,2,21,12,NULL,5,NULL,5),(28,338,2,21,13,NULL,4,NULL,4),(28,338,2,21,14,4,3,4,3),(28,338,2,21,15,1,4,1,4),(28,338,2,21,16,1,5,1,5),(28,338,2,21,17,NULL,1,NULL,1),(28,338,2,21,18,4,3,4,3),(28,338,2,21,19,2,2,2,2),(28,338,2,21,20,1,3,1,3),(28,338,2,21,21,NULL,1,NULL,1),(28,338,2,21,22,NULL,2,NULL,2),(28,338,2,21,23,NULL,3,NULL,3),(28,338,2,21,24,1,NULL,1,NULL),(28,338,2,21,25,NULL,1,NULL,1),(28,338,2,21,26,1,1,1,1),(28,338,2,21,27,1,2,1,2),(28,338,2,21,28,NULL,1,NULL,1),(28,338,2,21,29,NULL,NULL,NULL,NULL),(28,338,2,21,30,1,NULL,1,NULL),(28,338,2,21,31,NULL,3,NULL,3),(28,338,2,21,32,NULL,1,NULL,1),(28,338,2,21,33,NULL,1,NULL,1),(28,338,2,21,34,NULL,1,NULL,1),(28,338,2,21,35,NULL,NULL,NULL,NULL),(28,338,2,21,36,NULL,1,NULL,1),(28,338,2,21,37,NULL,NULL,NULL,NULL),(28,338,2,21,38,NULL,NULL,NULL,NULL),(28,338,2,21,39,NULL,NULL,NULL,NULL),(28,338,2,21,40,NULL,5,NULL,5),(28,338,2,22,1,NULL,2,NULL,2),(28,338,2,22,2,NULL,1,NULL,1),(28,338,2,22,3,1,1,1,NULL),(28,338,2,22,4,NULL,NULL,NULL,NULL),(28,338,2,22,5,NULL,1,NULL,1),(28,338,2,22,6,3,2,1,2),(28,338,2,22,7,NULL,2,NULL,1),(28,338,2,22,8,2,1,2,1),(28,338,2,22,9,NULL,NULL,NULL,NULL),(28,338,2,22,10,1,1,1,1),(28,338,2,22,11,NULL,NULL,NULL,NULL),(28,338,2,22,12,NULL,1,NULL,1),(28,338,2,22,13,NULL,3,NULL,2),(28,338,2,22,14,NULL,NULL,NULL,NULL),(28,338,2,22,15,NULL,1,NULL,1),(28,338,2,22,16,NULL,1,NULL,1),(28,338,2,22,17,NULL,1,NULL,NULL),(28,338,2,22,18,2,NULL,2,NULL),(28,338,2,22,19,NULL,2,NULL,1),(28,338,2,22,20,NULL,1,NULL,NULL),(28,338,2,22,21,NULL,1,NULL,NULL),(28,338,2,22,22,NULL,NULL,NULL,NULL),(28,338,2,22,23,NULL,NULL,NULL,NULL),(28,338,2,22,24,NULL,NULL,NULL,NULL),(28,338,2,22,25,NULL,1,NULL,1),(28,338,2,22,26,NULL,NULL,NULL,NULL),(28,338,2,22,27,NULL,NULL,NULL,NULL),(28,338,2,22,28,NULL,NULL,NULL,NULL),(28,338,2,22,29,NULL,NULL,NULL,NULL),(28,338,2,22,30,NULL,NULL,NULL,NULL),(28,338,2,22,31,NULL,1,NULL,NULL),(28,338,2,22,32,NULL,1,NULL,NULL),(28,338,2,22,33,NULL,1,NULL,1),(28,338,2,22,34,1,NULL,1,NULL),(28,338,2,22,35,NULL,NULL,NULL,NULL),(28,338,2,22,36,1,1,1,1),(28,338,2,22,37,NULL,NULL,NULL,NULL),(28,338,2,22,38,NULL,NULL,NULL,NULL),(28,338,2,22,39,NULL,NULL,NULL,NULL),(28,338,2,22,40,NULL,3,NULL,3),(28,338,2,23,1,NULL,NULL,NULL,NULL),(28,338,2,23,2,NULL,NULL,NULL,NULL),(28,338,2,23,3,3,NULL,3,NULL),(28,338,2,23,4,NULL,NULL,NULL,NULL),(28,338,2,23,5,NULL,1,NULL,1),(28,338,2,23,6,2,1,2,1),(28,338,2,23,7,NULL,1,NULL,1),(28,338,2,23,8,NULL,1,NULL,1),(28,338,2,23,9,NULL,NULL,NULL,NULL),(28,338,2,23,10,2,NULL,2,NULL),(28,338,2,23,11,NULL,1,NULL,1),(28,338,2,23,12,NULL,1,NULL,1),(28,338,2,23,13,NULL,1,NULL,1),(28,338,2,23,14,1,1,1,1),(28,338,2,23,15,1,2,1,2),(28,338,2,23,16,NULL,2,NULL,2),(28,338,2,23,17,1,1,1,1),(28,338,2,23,18,NULL,2,NULL,2),(28,338,2,23,19,NULL,2,NULL,2),(28,338,2,23,20,1,1,1,1),(28,338,2,23,21,NULL,NULL,NULL,NULL),(28,338,2,23,22,1,NULL,1,NULL),(28,338,2,23,23,NULL,NULL,NULL,NULL),(28,338,2,23,24,NULL,NULL,NULL,NULL),(28,338,2,23,25,NULL,1,NULL,1),(28,338,2,23,26,NULL,1,NULL,1),(28,338,2,23,27,NULL,NULL,NULL,NULL),(28,338,2,23,28,NULL,NULL,NULL,NULL),(28,338,2,23,29,NULL,NULL,NULL,NULL),(28,338,2,23,30,NULL,1,NULL,1),(28,338,2,23,31,NULL,NULL,NULL,NULL),(28,338,2,23,32,NULL,NULL,NULL,NULL),(28,338,2,23,33,NULL,1,NULL,1),(28,338,2,23,34,NULL,2,NULL,2),(28,338,2,23,35,NULL,NULL,NULL,NULL),(28,338,2,23,36,NULL,NULL,NULL,NULL),(28,338,2,23,37,NULL,NULL,NULL,NULL),(28,338,2,23,38,NULL,NULL,NULL,NULL),(28,338,2,23,39,NULL,NULL,NULL,NULL),(28,338,2,23,40,NULL,1,NULL,1),(28,338,2,24,1,NULL,4,NULL,4),(28,338,2,24,2,1,2,NULL,2),(28,338,2,24,3,3,1,2,1),(28,338,2,24,4,NULL,1,NULL,1),(28,338,2,24,5,1,1,1,1),(28,338,2,24,6,3,4,1,3),(28,338,2,24,7,NULL,3,NULL,3),(28,338,2,24,8,1,4,NULL,3),(28,338,2,24,9,1,1,1,1),(28,338,2,24,10,NULL,2,NULL,1),(28,338,2,24,11,1,1,1,1),(28,338,2,24,12,1,3,NULL,2),(28,338,2,24,13,NULL,6,NULL,4),(28,338,2,24,14,2,1,2,1),(28,338,2,24,15,NULL,2,NULL,2),(28,338,2,24,16,1,3,1,1),(28,338,2,24,17,NULL,1,NULL,NULL),(28,338,2,24,18,3,2,1,1),(28,338,2,24,19,NULL,1,NULL,1),(28,338,2,24,20,3,4,3,3),(28,338,2,24,21,1,1,1,1),(28,338,2,24,22,1,NULL,1,NULL),(28,338,2,24,23,NULL,2,NULL,1),(28,338,2,24,24,NULL,2,NULL,1),(28,338,2,24,25,1,NULL,1,NULL),(28,338,2,24,26,NULL,1,NULL,1),(28,338,2,24,27,NULL,NULL,NULL,NULL),(28,338,2,24,28,2,NULL,2,NULL),(28,338,2,24,29,NULL,1,NULL,1),(28,338,2,24,30,NULL,NULL,NULL,NULL),(28,338,2,24,31,NULL,2,NULL,1),(28,338,2,24,32,NULL,NULL,NULL,NULL),(28,338,2,24,33,NULL,NULL,NULL,NULL),(28,338,2,24,34,NULL,NULL,NULL,NULL),(28,338,2,24,35,1,NULL,1,NULL),(28,338,2,24,36,NULL,1,NULL,NULL),(28,338,2,24,37,NULL,1,NULL,NULL),(28,338,2,24,38,NULL,NULL,NULL,NULL),(28,338,2,24,39,NULL,NULL,NULL,NULL),(28,338,2,24,40,NULL,NULL,NULL,NULL),(28,339,1,11,1,NULL,NULL,NULL,NULL),(28,339,1,11,2,NULL,NULL,NULL,NULL),(28,339,1,11,3,NULL,NULL,NULL,NULL),(28,339,1,11,4,NULL,NULL,NULL,NULL),(28,339,1,11,5,NULL,NULL,NULL,NULL),(28,339,1,11,6,NULL,NULL,NULL,NULL),(28,339,1,11,7,NULL,NULL,NULL,NULL),(28,339,1,11,8,NULL,NULL,NULL,NULL),(28,339,1,11,9,NULL,NULL,NULL,NULL),(28,339,1,11,10,NULL,NULL,NULL,NULL),(28,339,1,11,11,NULL,NULL,NULL,NULL),(28,339,1,11,12,NULL,NULL,NULL,NULL),(28,339,1,11,13,NULL,NULL,NULL,NULL),(28,339,1,11,14,NULL,NULL,NULL,NULL),(28,339,1,11,15,NULL,NULL,NULL,NULL),(28,339,1,11,16,NULL,NULL,NULL,NULL),(28,339,1,11,17,NULL,NULL,NULL,NULL),(28,339,1,11,18,NULL,NULL,NULL,NULL),(28,339,1,11,19,NULL,NULL,NULL,NULL),(28,339,1,11,20,NULL,NULL,NULL,NULL),(28,339,1,11,21,NULL,NULL,NULL,NULL),(28,339,1,11,22,NULL,NULL,NULL,NULL),(28,339,1,11,23,NULL,NULL,NULL,NULL),(28,339,1,11,24,NULL,NULL,NULL,NULL),(28,339,1,11,25,NULL,NULL,NULL,NULL),(28,339,1,11,26,NULL,NULL,NULL,NULL),(28,339,1,11,27,NULL,NULL,NULL,NULL),(28,339,1,11,28,NULL,NULL,NULL,NULL),(28,339,1,11,29,NULL,NULL,NULL,NULL),(28,339,1,11,30,NULL,NULL,NULL,NULL),(28,339,1,11,31,NULL,NULL,NULL,NULL),(28,339,1,11,32,NULL,NULL,NULL,NULL),(28,339,1,11,33,NULL,NULL,NULL,NULL),(28,339,1,11,34,NULL,NULL,NULL,NULL),(28,339,1,11,35,NULL,NULL,NULL,NULL),(28,339,1,11,36,NULL,NULL,NULL,NULL),(28,339,1,11,37,NULL,NULL,NULL,NULL),(28,339,1,11,38,NULL,NULL,NULL,NULL),(28,339,1,11,39,NULL,NULL,NULL,NULL),(28,339,1,11,40,NULL,NULL,NULL,NULL),(28,339,1,12,1,1,NULL,1,NULL),(28,339,1,12,2,NULL,NULL,NULL,NULL),(28,339,1,12,3,NULL,NULL,NULL,NULL),(28,339,1,12,4,NULL,NULL,NULL,NULL),(28,339,1,12,5,NULL,1,NULL,1),(28,339,1,12,6,NULL,NULL,NULL,NULL),(28,339,1,12,7,NULL,NULL,NULL,NULL),(28,339,1,12,8,1,NULL,1,NULL),(28,339,1,12,9,1,NULL,1,NULL),(28,339,1,12,10,NULL,NULL,NULL,NULL),(28,339,1,12,11,NULL,NULL,NULL,NULL),(28,339,1,12,12,NULL,NULL,NULL,NULL),(28,339,1,12,13,1,NULL,1,NULL),(28,339,1,12,14,1,NULL,1,NULL),(28,339,1,12,15,NULL,1,NULL,1),(28,339,1,12,16,1,NULL,1,NULL),(28,339,1,12,17,1,NULL,1,NULL),(28,339,1,12,18,NULL,NULL,NULL,NULL),(28,339,1,12,19,1,NULL,1,NULL),(28,339,1,12,20,1,NULL,1,NULL),(28,339,1,12,21,NULL,1,NULL,1),(28,339,1,12,22,NULL,1,NULL,1),(28,339,1,12,23,NULL,NULL,NULL,NULL),(28,339,1,12,24,NULL,NULL,NULL,NULL),(28,339,1,12,25,NULL,NULL,NULL,NULL),(28,339,1,12,26,NULL,NULL,NULL,NULL),(28,339,1,12,27,NULL,NULL,NULL,NULL),(28,339,1,12,28,NULL,NULL,NULL,NULL),(28,339,1,12,29,NULL,NULL,NULL,NULL),(28,339,1,12,30,NULL,NULL,NULL,NULL),(28,339,1,12,31,NULL,NULL,NULL,NULL),(28,339,1,12,32,NULL,NULL,NULL,NULL),(28,339,1,12,33,NULL,NULL,NULL,NULL),(28,339,1,12,34,NULL,NULL,NULL,NULL),(28,339,1,12,35,NULL,NULL,NULL,NULL),(28,339,1,12,36,NULL,NULL,NULL,NULL),(28,339,1,12,37,NULL,NULL,NULL,NULL),(28,339,1,12,38,NULL,NULL,NULL,NULL),(28,339,1,12,39,NULL,NULL,NULL,NULL),(28,339,1,12,40,NULL,NULL,NULL,NULL),(28,339,1,13,1,NULL,NULL,NULL,NULL),(28,339,1,13,2,NULL,NULL,NULL,NULL),(28,339,1,13,3,NULL,NULL,NULL,NULL),(28,339,1,13,4,NULL,NULL,NULL,NULL),(28,339,1,13,5,NULL,NULL,NULL,NULL),(28,339,1,13,6,NULL,NULL,NULL,NULL),(28,339,1,13,7,NULL,NULL,NULL,NULL),(28,339,1,13,8,NULL,NULL,NULL,NULL),(28,339,1,13,9,NULL,NULL,NULL,NULL),(28,339,1,13,10,NULL,NULL,NULL,NULL),(28,339,1,13,11,NULL,NULL,NULL,NULL),(28,339,1,13,12,NULL,1,NULL,NULL),(28,339,1,13,13,1,NULL,NULL,NULL),(28,339,1,13,14,NULL,1,NULL,NULL),(28,339,1,13,15,1,NULL,NULL,NULL),(28,339,1,13,16,1,NULL,NULL,NULL),(28,339,1,13,17,NULL,NULL,NULL,NULL),(28,339,1,13,18,1,NULL,NULL,NULL),(28,339,1,13,19,NULL,NULL,NULL,NULL),(28,339,1,13,20,NULL,NULL,NULL,NULL),(28,339,1,13,21,NULL,NULL,NULL,NULL),(28,339,1,13,22,NULL,NULL,NULL,NULL),(28,339,1,13,23,NULL,NULL,NULL,NULL),(28,339,1,13,24,NULL,NULL,NULL,NULL),(28,339,1,13,25,NULL,NULL,NULL,NULL),(28,339,1,13,26,NULL,NULL,NULL,NULL),(28,339,1,13,27,NULL,NULL,NULL,NULL),(28,339,1,13,28,NULL,NULL,NULL,NULL),(28,339,1,13,29,NULL,NULL,NULL,NULL),(28,339,1,13,30,NULL,NULL,NULL,NULL),(28,339,1,13,31,NULL,NULL,NULL,NULL),(28,339,1,13,32,NULL,NULL,NULL,NULL),(28,339,1,13,33,NULL,NULL,NULL,NULL),(28,339,1,13,34,NULL,NULL,NULL,NULL),(28,339,1,13,35,NULL,NULL,NULL,NULL),(28,339,1,13,36,NULL,NULL,NULL,NULL),(28,339,1,13,37,NULL,NULL,NULL,NULL),(28,339,1,13,38,NULL,NULL,NULL,NULL),(28,339,1,13,39,NULL,NULL,NULL,NULL),(28,339,1,13,40,NULL,NULL,NULL,NULL),(28,339,1,14,1,5,NULL,3,NULL),(28,339,1,14,2,NULL,3,NULL,NULL),(28,339,1,14,3,4,3,2,3),(28,339,1,14,4,NULL,2,NULL,2),(28,339,1,14,5,6,3,5,2),(28,339,1,14,6,1,9,1,4),(28,339,1,14,7,NULL,4,NULL,1),(28,339,1,14,8,1,2,1,1),(28,339,1,14,9,3,2,2,NULL),(28,339,1,14,10,3,2,2,2),(28,339,1,14,11,NULL,3,NULL,2),(28,339,1,14,12,NULL,4,NULL,3),(28,339,1,14,13,5,3,3,2),(28,339,1,14,14,1,NULL,NULL,NULL),(28,339,1,14,15,7,NULL,4,NULL),(28,339,1,14,16,5,3,2,3),(28,339,1,14,17,1,4,1,2),(28,339,1,14,18,1,2,NULL,NULL),(28,339,1,14,19,7,2,3,2),(28,339,1,14,20,NULL,8,NULL,4),(28,339,1,14,21,NULL,2,NULL,1),(28,339,1,14,22,NULL,3,NULL,2),(28,339,1,14,23,1,NULL,NULL,NULL),(28,339,1,14,24,NULL,NULL,NULL,NULL),(28,339,1,14,25,NULL,NULL,NULL,NULL),(28,339,1,14,26,NULL,1,NULL,1),(28,339,1,14,27,1,NULL,1,NULL),(28,339,1,14,28,1,NULL,NULL,NULL),(28,339,1,14,29,1,2,1,2),(28,339,1,14,30,3,5,1,3),(28,339,1,14,31,NULL,2,NULL,1),(28,339,1,14,32,2,2,1,1),(28,339,1,14,33,NULL,2,NULL,NULL),(28,339,1,14,34,2,2,2,NULL),(28,339,1,14,35,1,1,1,NULL),(28,339,1,14,36,NULL,NULL,NULL,NULL),(28,339,1,14,37,NULL,1,NULL,1),(28,339,1,14,38,NULL,2,NULL,1),(28,339,1,14,39,2,2,2,2),(28,339,1,14,40,NULL,NULL,NULL,NULL),(28,339,1,15,1,5,NULL,1,NULL),(28,339,1,15,2,NULL,4,NULL,1),(28,339,1,15,3,NULL,3,NULL,2),(28,339,1,15,4,3,1,1,NULL),(28,339,1,15,5,2,2,NULL,1),(28,339,1,15,6,NULL,4,NULL,1),(28,339,1,15,7,3,2,1,1),(28,339,1,15,8,2,2,1,NULL),(28,339,1,15,9,2,2,2,NULL),(28,339,1,15,10,4,1,2,NULL),(28,339,1,15,11,1,2,1,1),(28,339,1,15,12,1,1,NULL,NULL),(28,339,1,15,13,NULL,3,NULL,2),(28,339,1,15,14,1,1,1,NULL),(28,339,1,15,15,5,NULL,2,NULL),(28,339,1,15,16,3,4,1,2),(28,339,1,15,17,NULL,2,NULL,NULL),(28,339,1,15,18,1,1,NULL,NULL),(28,339,1,15,19,3,6,1,2),(28,339,1,15,20,1,9,NULL,3),(28,339,1,15,21,NULL,2,NULL,NULL),(28,339,1,15,22,NULL,4,NULL,NULL),(28,339,1,15,23,1,3,NULL,1),(28,339,1,15,24,NULL,NULL,NULL,NULL),(28,339,1,15,25,NULL,2,NULL,NULL),(28,339,1,15,26,NULL,1,NULL,NULL),(28,339,1,15,27,1,NULL,1,NULL),(28,339,1,15,28,NULL,NULL,NULL,NULL),(28,339,1,15,29,NULL,3,NULL,1),(28,339,1,15,30,2,1,NULL,1),(28,339,1,15,31,2,NULL,1,NULL),(28,339,1,15,32,3,3,1,1),(28,339,1,15,33,NULL,1,NULL,NULL),(28,339,1,15,34,1,1,NULL,NULL),(28,339,1,15,35,NULL,2,NULL,1),(28,339,1,15,36,NULL,NULL,NULL,NULL),(28,339,1,15,37,NULL,1,NULL,1),(28,339,1,15,38,NULL,2,NULL,1),(28,339,1,15,39,1,4,NULL,2),(28,339,1,15,40,NULL,NULL,NULL,NULL),(28,339,1,16,1,10,NULL,4,NULL),(28,339,1,16,2,NULL,10,NULL,5),(28,339,1,16,3,4,12,2,6),(28,339,1,16,4,3,8,2,3),(28,339,1,16,5,7,6,4,4),(28,339,1,16,6,5,16,2,9),(28,339,1,16,7,NULL,11,NULL,6),(28,339,1,16,8,NULL,12,NULL,5),(28,339,1,16,9,7,10,3,6),(28,339,1,16,10,12,10,4,6),(28,339,1,16,11,1,4,NULL,3),(28,339,1,16,12,2,6,2,4),(28,339,1,16,13,42,NULL,20,NULL),(28,339,1,16,14,33,8,15,2),(28,339,1,16,15,2,21,1,13),(28,339,1,16,16,34,NULL,18,NULL),(28,339,1,16,17,14,20,10,8),(28,339,1,16,18,4,15,3,6),(28,339,1,16,19,4,23,1,12),(28,339,1,16,20,4,13,2,5),(28,339,1,16,21,1,5,NULL,2),(28,339,1,16,22,NULL,7,NULL,3),(28,339,1,16,23,2,12,NULL,6),(28,339,1,16,24,NULL,NULL,NULL,NULL),(28,339,1,16,25,NULL,6,NULL,2),(28,339,1,16,26,NULL,3,NULL,NULL),(28,339,1,16,27,5,NULL,3,NULL),(28,339,1,16,28,NULL,1,NULL,1),(28,339,1,16,29,2,5,NULL,4),(28,339,1,16,30,4,15,1,10),(28,339,1,16,31,NULL,4,NULL,3),(28,339,1,16,32,NULL,10,NULL,4),(28,339,1,16,33,1,4,NULL,3),(28,339,1,16,34,2,10,1,7),(28,339,1,16,35,NULL,2,NULL,2),(28,339,1,16,36,1,NULL,1,NULL),(28,339,1,16,37,2,NULL,1,NULL),(28,339,1,16,38,1,3,NULL,2),(28,339,1,16,39,1,9,NULL,5),(28,339,1,16,40,3,NULL,2,NULL),(28,339,1,17,1,5,NULL,4,NULL),(28,339,1,17,2,NULL,6,NULL,NULL),(28,339,1,17,3,4,8,3,7),(28,339,1,17,4,2,9,2,6),(28,339,1,17,5,5,8,4,4),(28,339,1,17,6,NULL,14,NULL,8),(28,339,1,17,7,8,11,5,7),(28,339,1,17,8,NULL,6,NULL,6),(28,339,1,17,9,5,8,4,5),(28,339,1,17,10,16,8,10,4),(28,339,1,17,11,2,7,1,5),(28,339,1,17,12,2,6,2,4),(28,339,1,17,13,41,NULL,23,NULL),(28,339,1,17,14,21,8,15,6),(28,339,1,17,15,5,27,3,15),(28,339,1,17,16,28,NULL,17,NULL),(28,339,1,17,17,13,18,9,11),(28,339,1,17,18,8,4,5,4),(28,339,1,17,19,8,14,4,9),(28,339,1,17,20,3,6,3,4),(28,339,1,17,21,2,9,1,3),(28,339,1,17,22,NULL,10,NULL,3),(28,339,1,17,23,4,11,3,9),(28,339,1,17,24,NULL,NULL,NULL,NULL),(28,339,1,17,25,NULL,3,NULL,2),(28,339,1,17,26,1,3,NULL,1),(28,339,1,17,27,4,NULL,4,NULL),(28,339,1,17,28,NULL,2,NULL,2),(28,339,1,17,29,NULL,6,NULL,4),(28,339,1,17,30,5,15,2,11),(28,339,1,17,31,1,6,NULL,3),(28,339,1,17,32,4,8,4,7),(28,339,1,17,33,NULL,3,NULL,1),(28,339,1,17,34,1,4,NULL,2),(28,339,1,17,35,NULL,3,NULL,1),(28,339,1,17,36,NULL,NULL,NULL,NULL),(28,339,1,17,37,NULL,4,NULL,4),(28,339,1,17,38,NULL,3,NULL,3),(28,339,1,17,39,3,13,3,10),(28,339,1,17,40,3,NULL,1,NULL),(28,339,1,18,1,NULL,NULL,NULL,NULL),(28,339,1,18,2,NULL,NULL,NULL,NULL),(28,339,1,18,3,NULL,NULL,NULL,NULL),(28,339,1,18,4,NULL,NULL,NULL,NULL),(28,339,1,18,5,NULL,NULL,NULL,NULL),(28,339,1,18,6,NULL,NULL,NULL,NULL),(28,339,1,18,7,NULL,NULL,NULL,NULL),(28,339,1,18,8,NULL,NULL,NULL,NULL),(28,339,1,18,9,NULL,NULL,NULL,NULL),(28,339,1,18,10,NULL,NULL,NULL,NULL),(28,339,1,18,11,NULL,NULL,NULL,NULL),(28,339,1,18,12,NULL,NULL,NULL,NULL),(28,339,1,18,13,NULL,NULL,NULL,NULL),(28,339,1,18,14,NULL,NULL,NULL,NULL),(28,339,1,18,15,NULL,NULL,NULL,NULL),(28,339,1,18,16,NULL,NULL,NULL,NULL),(28,339,1,18,17,NULL,NULL,NULL,NULL),(28,339,1,18,18,NULL,NULL,NULL,NULL),(28,339,1,18,19,NULL,NULL,NULL,NULL),(28,339,1,18,20,NULL,NULL,NULL,NULL),(28,339,1,18,21,NULL,NULL,NULL,NULL),(28,339,1,18,22,NULL,NULL,NULL,NULL),(28,339,1,18,23,NULL,NULL,NULL,NULL),(28,339,1,18,24,NULL,NULL,NULL,NULL),(28,339,1,18,25,NULL,NULL,NULL,NULL),(28,339,1,18,26,NULL,NULL,NULL,NULL),(28,339,1,18,27,NULL,NULL,NULL,NULL),(28,339,1,18,28,NULL,NULL,NULL,NULL),(28,339,1,18,29,NULL,NULL,NULL,NULL),(28,339,1,18,30,NULL,NULL,NULL,NULL),(28,339,1,18,31,NULL,NULL,NULL,NULL),(28,339,1,18,32,NULL,NULL,NULL,NULL),(28,339,1,18,33,NULL,NULL,NULL,NULL),(28,339,1,18,34,NULL,NULL,NULL,NULL),(28,339,1,18,35,NULL,NULL,NULL,NULL),(28,339,1,18,36,NULL,NULL,NULL,NULL),(28,339,1,18,37,NULL,NULL,NULL,NULL),(28,339,1,18,38,NULL,NULL,NULL,NULL),(28,339,1,18,39,NULL,NULL,NULL,NULL),(28,339,1,18,40,NULL,NULL,NULL,NULL),(28,339,1,19,1,NULL,NULL,NULL,NULL),(28,339,1,19,2,NULL,NULL,NULL,NULL),(28,339,1,19,3,NULL,NULL,NULL,NULL),(28,339,1,19,4,NULL,NULL,NULL,NULL),(28,339,1,19,5,NULL,NULL,NULL,NULL),(28,339,1,19,6,NULL,NULL,NULL,NULL),(28,339,1,19,7,NULL,NULL,NULL,NULL),(28,339,1,19,8,NULL,NULL,NULL,NULL),(28,339,1,19,9,NULL,NULL,NULL,NULL),(28,339,1,19,10,NULL,NULL,NULL,NULL),(28,339,1,19,11,NULL,NULL,NULL,NULL),(28,339,1,19,12,NULL,NULL,NULL,NULL),(28,339,1,19,13,NULL,NULL,NULL,NULL),(28,339,1,19,14,NULL,NULL,NULL,NULL),(28,339,1,19,15,NULL,NULL,NULL,NULL),(28,339,1,19,16,NULL,NULL,NULL,NULL),(28,339,1,19,17,NULL,NULL,NULL,NULL),(28,339,1,19,18,NULL,NULL,NULL,NULL),(28,339,1,19,19,NULL,NULL,NULL,NULL),(28,339,1,19,20,NULL,NULL,NULL,NULL),(28,339,1,19,21,NULL,NULL,NULL,NULL),(28,339,1,19,22,NULL,NULL,NULL,NULL),(28,339,1,19,23,NULL,NULL,NULL,NULL),(28,339,1,19,24,NULL,NULL,NULL,NULL),(28,339,1,19,25,NULL,NULL,NULL,NULL),(28,339,1,19,26,NULL,NULL,NULL,NULL),(28,339,1,19,27,NULL,NULL,NULL,NULL),(28,339,1,19,28,NULL,NULL,NULL,NULL),(28,339,1,19,29,NULL,NULL,NULL,NULL),(28,339,1,19,30,NULL,NULL,NULL,NULL),(28,339,1,19,31,NULL,NULL,NULL,NULL),(28,339,1,19,32,NULL,NULL,NULL,NULL),(28,339,1,19,33,NULL,NULL,NULL,NULL),(28,339,1,19,34,NULL,NULL,NULL,NULL),(28,339,1,19,35,NULL,NULL,NULL,NULL),(28,339,1,19,36,NULL,NULL,NULL,NULL),(28,339,1,19,37,NULL,NULL,NULL,NULL),(28,339,1,19,38,NULL,NULL,NULL,NULL),(28,339,1,19,39,NULL,NULL,NULL,NULL),(28,339,1,19,40,NULL,NULL,NULL,NULL),(28,339,2,21,1,1,9,1,5),(28,339,2,21,2,NULL,5,NULL,4),(28,339,2,21,3,6,6,4,2),(28,339,2,21,4,NULL,1,NULL,1),(28,339,2,21,5,3,4,3,2),(28,339,2,21,6,6,10,3,5),(28,339,2,21,7,NULL,9,NULL,2),(28,339,2,21,8,2,6,1,4),(28,339,2,21,9,2,4,1,1),(28,339,2,21,10,2,8,2,5),(28,339,2,21,11,1,3,1,1),(28,339,2,21,12,4,5,3,1),(28,339,2,21,13,1,9,NULL,4),(28,339,2,21,14,3,3,2,2),(28,339,2,21,15,1,5,1,4),(28,339,2,21,16,2,8,NULL,5),(28,339,2,21,17,1,5,1,2),(28,339,2,21,18,13,11,6,7),(28,339,2,21,19,3,4,3,4),(28,339,2,21,20,3,6,2,4),(28,339,2,21,21,NULL,2,NULL,NULL),(28,339,2,21,22,NULL,NULL,NULL,NULL),(28,339,2,21,23,NULL,3,NULL,1),(28,339,2,21,24,2,4,2,1),(28,339,2,21,25,NULL,NULL,NULL,NULL),(28,339,2,21,26,NULL,10,NULL,6),(28,339,2,21,27,NULL,6,NULL,4),(28,339,2,21,28,NULL,NULL,NULL,NULL),(28,339,2,21,29,NULL,3,NULL,2),(28,339,2,21,30,2,7,NULL,4),(28,339,2,21,31,1,7,1,3),(28,339,2,21,32,NULL,1,NULL,NULL),(28,339,2,21,33,1,4,1,3),(28,339,2,21,34,NULL,7,NULL,4),(28,339,2,21,35,6,NULL,4,NULL),(28,339,2,21,36,NULL,1,NULL,NULL),(28,339,2,21,37,NULL,3,NULL,1),(28,339,2,21,38,NULL,1,NULL,1),(28,339,2,21,39,NULL,1,NULL,NULL),(28,339,2,21,40,NULL,5,NULL,4),(28,339,2,22,1,NULL,10,NULL,4),(28,339,2,22,2,NULL,5,NULL,4),(28,339,2,22,3,6,11,1,8),(28,339,2,22,4,1,3,NULL,2),(28,339,2,22,5,2,7,1,5),(28,339,2,22,6,7,11,3,7),(28,339,2,22,7,NULL,7,NULL,4),(28,339,2,22,8,NULL,6,NULL,3),(28,339,2,22,9,NULL,7,NULL,5),(28,339,2,22,10,2,6,1,6),(28,339,2,22,11,NULL,5,NULL,2),(28,339,2,22,12,6,8,4,4),(28,339,2,22,13,NULL,14,NULL,7),(28,339,2,22,14,2,7,1,5),(28,339,2,22,15,7,3,4,3),(28,339,2,22,16,4,3,4,1),(28,339,2,22,17,1,5,NULL,3),(28,339,2,22,18,5,10,2,5),(28,339,2,22,19,5,4,2,1),(28,339,2,22,20,6,6,5,3),(28,339,2,22,21,2,3,1,1),(28,339,2,22,22,NULL,2,NULL,1),(28,339,2,22,23,NULL,1,NULL,NULL),(28,339,2,22,24,1,2,NULL,1),(28,339,2,22,25,1,3,1,1),(28,339,2,22,26,NULL,8,NULL,3),(28,339,2,22,27,1,10,1,6),(28,339,2,22,28,NULL,NULL,NULL,NULL),(28,339,2,22,29,NULL,2,NULL,NULL),(28,339,2,22,30,NULL,5,NULL,3),(28,339,2,22,31,NULL,11,NULL,5),(28,339,2,22,32,1,1,NULL,NULL),(28,339,2,22,33,NULL,1,NULL,1),(28,339,2,22,34,1,8,NULL,4),(28,339,2,22,35,4,NULL,3,NULL),(28,339,2,22,36,NULL,1,NULL,NULL),(28,339,2,22,37,NULL,2,NULL,1),(28,339,2,22,38,NULL,1,NULL,1),(28,339,2,22,39,NULL,2,NULL,NULL),(28,339,2,22,40,NULL,2,NULL,2),(28,339,2,23,1,NULL,8,NULL,3),(28,339,2,23,2,1,5,NULL,2),(28,339,2,23,3,7,13,3,8),(28,339,2,23,4,1,2,NULL,1),(28,339,2,23,5,3,8,2,2),(28,339,2,23,6,5,10,2,3),(28,339,2,23,7,NULL,9,NULL,4),(28,339,2,23,8,NULL,2,NULL,2),(28,339,2,23,9,NULL,4,NULL,1),(28,339,2,23,10,4,3,2,1),(28,339,2,23,11,1,2,NULL,1),(28,339,2,23,12,3,5,2,2),(28,339,2,23,13,NULL,10,NULL,5),(28,339,2,23,14,4,8,3,4),(28,339,2,23,15,1,4,1,2),(28,339,2,23,16,1,5,NULL,3),(28,339,2,23,17,NULL,2,NULL,1),(28,339,2,23,18,11,11,4,5),(28,339,2,23,19,2,5,NULL,4),(28,339,2,23,20,2,6,2,4),(28,339,2,23,21,2,1,NULL,NULL),(28,339,2,23,22,1,3,NULL,2),(28,339,2,23,23,NULL,3,NULL,1),(28,339,2,23,24,2,3,NULL,2),(28,339,2,23,25,5,1,2,1),(28,339,2,23,26,1,5,NULL,3),(28,339,2,23,27,2,4,2,2),(28,339,2,23,28,NULL,2,NULL,2),(28,339,2,23,29,NULL,3,NULL,NULL),(28,339,2,23,30,NULL,7,NULL,3),(28,339,2,23,31,1,6,NULL,4),(28,339,2,23,32,NULL,1,NULL,1),(28,339,2,23,33,NULL,3,NULL,NULL),(28,339,2,23,34,NULL,4,NULL,2),(28,339,2,23,35,4,NULL,3,NULL),(28,339,2,23,36,1,1,NULL,NULL),(28,339,2,23,37,NULL,4,NULL,2),(28,339,2,23,38,NULL,1,NULL,NULL),(28,339,2,23,39,NULL,5,NULL,3),(28,339,2,23,40,1,6,NULL,4),(28,339,2,24,1,NULL,7,NULL,2),(28,339,2,24,2,NULL,6,NULL,4),(28,339,2,24,3,4,11,2,7),(28,339,2,24,4,1,3,NULL,1),(28,339,2,24,5,1,7,NULL,5),(28,339,2,24,6,7,6,4,4),(28,339,2,24,7,NULL,9,NULL,4),(28,339,2,24,8,1,1,1,1),(28,339,2,24,9,2,3,NULL,1),(28,339,2,24,10,NULL,7,NULL,5),(28,339,2,24,11,NULL,2,NULL,1),(28,339,2,24,12,2,6,1,2),(28,339,2,24,13,NULL,12,NULL,5),(28,339,2,24,14,1,12,1,7),(28,339,2,24,15,1,6,1,4),(28,339,2,24,16,7,8,3,6),(28,339,2,24,17,2,7,1,5),(28,339,2,24,18,5,10,4,4),(28,339,2,24,19,1,8,NULL,4),(28,339,2,24,20,5,6,3,2),(28,339,2,24,21,1,2,1,1),(28,339,2,24,22,1,3,1,NULL),(28,339,2,24,23,NULL,2,NULL,NULL),(28,339,2,24,24,1,NULL,1,NULL),(28,339,2,24,25,1,4,NULL,2),(28,339,2,24,26,NULL,4,NULL,3),(28,339,2,24,27,NULL,5,NULL,5),(28,339,2,24,28,NULL,1,NULL,1),(28,339,2,24,29,1,5,NULL,2),(28,339,2,24,30,NULL,5,NULL,3),(28,339,2,24,31,NULL,8,NULL,4),(28,339,2,24,32,NULL,NULL,NULL,NULL),(28,339,2,24,33,1,3,1,NULL),(28,339,2,24,34,NULL,6,NULL,4),(28,339,2,24,35,2,NULL,2,NULL),(28,339,2,24,36,NULL,1,NULL,NULL),(28,339,2,24,37,NULL,2,NULL,1),(28,339,2,24,38,1,1,NULL,NULL),(28,339,2,24,39,NULL,4,NULL,1),(28,339,2,24,40,NULL,6,NULL,3),(28,340,1,11,1,2,NULL,1,NULL),(28,340,1,11,2,NULL,2,NULL,NULL),(28,340,1,11,3,2,3,NULL,2),(28,340,1,11,4,1,1,1,NULL),(28,340,1,11,5,2,1,NULL,NULL),(28,340,1,11,6,3,1,1,NULL),(28,340,1,11,7,1,2,NULL,1),(28,340,1,11,8,NULL,2,NULL,1),(28,340,1,11,9,2,NULL,NULL,NULL),(28,340,1,11,10,5,1,2,NULL),(28,340,1,11,11,1,NULL,NULL,NULL),(28,340,1,11,12,1,1,1,NULL),(28,340,1,11,13,5,2,1,1),(28,340,1,11,14,5,2,1,1),(28,340,1,11,15,5,1,2,NULL),(28,340,1,11,16,5,2,1,1),(28,340,1,11,17,3,2,2,NULL),(28,340,1,11,18,3,1,1,1),(28,340,1,11,19,3,NULL,1,NULL),(28,340,1,11,20,4,NULL,1,NULL),(28,340,1,11,21,NULL,1,NULL,NULL),(28,340,1,11,22,NULL,3,NULL,NULL),(28,340,1,11,23,1,1,NULL,1),(28,340,1,11,24,NULL,NULL,NULL,NULL),(28,340,1,11,25,NULL,2,NULL,NULL),(28,340,1,11,26,1,2,NULL,NULL),(28,340,1,11,27,2,NULL,1,NULL),(28,340,1,11,28,NULL,1,NULL,1),(28,340,1,11,29,2,NULL,NULL,NULL),(28,340,1,11,30,1,1,NULL,NULL),(28,340,1,11,31,1,1,NULL,1),(28,340,1,11,32,NULL,3,NULL,2),(28,340,1,11,33,NULL,1,NULL,1),(28,340,1,11,34,4,NULL,2,NULL),(28,340,1,11,35,NULL,NULL,NULL,NULL),(28,340,1,11,36,NULL,NULL,NULL,NULL),(28,340,1,11,37,NULL,2,NULL,1),(28,340,1,11,38,1,2,NULL,2),(28,340,1,11,39,NULL,4,NULL,2),(28,340,1,11,40,NULL,NULL,NULL,NULL),(28,340,1,12,1,7,NULL,4,NULL),(28,340,1,12,2,1,3,1,2),(28,340,1,12,3,3,1,3,NULL),(28,340,1,12,4,1,NULL,1,NULL),(28,340,1,12,5,6,3,2,1),(28,340,1,12,6,3,2,2,NULL),(28,340,1,12,7,1,3,NULL,1),(28,340,1,12,8,3,3,1,2),(28,340,1,12,9,4,4,1,2),(28,340,1,12,10,6,1,4,NULL),(28,340,1,12,11,NULL,1,NULL,1),(28,340,1,12,12,4,2,3,NULL),(28,340,1,12,13,9,NULL,4,NULL),(28,340,1,12,14,6,2,2,2),(28,340,1,12,15,5,2,2,1),(28,340,1,12,16,9,NULL,4,NULL),(28,340,1,12,17,5,NULL,2,NULL),(28,340,1,12,18,6,1,3,1),(28,340,1,12,19,9,1,4,NULL),(28,340,1,12,20,10,NULL,4,NULL),(28,340,1,12,21,1,2,NULL,1),(28,340,1,12,22,NULL,3,NULL,1),(28,340,1,12,23,1,1,NULL,1),(28,340,1,12,24,NULL,NULL,NULL,NULL),(28,340,1,12,25,NULL,1,NULL,NULL),(28,340,1,12,26,NULL,2,NULL,2),(28,340,1,12,27,1,NULL,1,NULL),(28,340,1,12,28,NULL,1,NULL,NULL),(28,340,1,12,29,1,2,NULL,NULL),(28,340,1,12,30,3,4,1,2),(28,340,1,12,31,NULL,1,NULL,NULL),(28,340,1,12,32,1,3,1,2),(28,340,1,12,33,2,2,1,1),(28,340,1,12,34,6,NULL,3,NULL),(28,340,1,12,35,NULL,1,NULL,1),(28,340,1,12,36,NULL,NULL,NULL,NULL),(28,340,1,12,37,NULL,NULL,NULL,NULL),(28,340,1,12,38,2,1,2,1),(28,340,1,12,39,2,3,NULL,2),(28,340,1,12,40,NULL,NULL,NULL,NULL),(28,340,1,13,1,1,NULL,NULL,NULL),(28,340,1,13,2,1,NULL,NULL,NULL),(28,340,1,13,3,NULL,1,NULL,NULL),(28,340,1,13,4,NULL,NULL,NULL,NULL),(28,340,1,13,5,1,NULL,NULL,NULL),(28,340,1,13,6,1,NULL,NULL,NULL),(28,340,1,13,7,NULL,NULL,NULL,NULL),(28,340,1,13,8,NULL,NULL,NULL,NULL),(28,340,1,13,9,NULL,NULL,NULL,NULL),(28,340,1,13,10,1,NULL,NULL,NULL),(28,340,1,13,11,NULL,1,NULL,NULL),(28,340,1,13,12,1,NULL,NULL,NULL),(28,340,1,13,13,2,NULL,NULL,NULL),(28,340,1,13,14,1,1,NULL,NULL),(28,340,1,13,15,1,1,NULL,NULL),(28,340,1,13,16,1,1,NULL,NULL),(28,340,1,13,17,NULL,1,NULL,NULL),(28,340,1,13,18,1,1,NULL,NULL),(28,340,1,13,19,1,NULL,NULL,NULL),(28,340,1,13,20,1,NULL,NULL,NULL),(28,340,1,13,21,NULL,NULL,NULL,NULL),(28,340,1,13,22,NULL,NULL,NULL,NULL),(28,340,1,13,23,NULL,2,NULL,NULL),(28,340,1,13,24,NULL,NULL,NULL,NULL),(28,340,1,13,25,NULL,NULL,NULL,NULL),(28,340,1,13,26,NULL,NULL,NULL,NULL),(28,340,1,13,27,NULL,NULL,NULL,NULL),(28,340,1,13,28,NULL,NULL,NULL,NULL),(28,340,1,13,29,NULL,1,NULL,NULL),(28,340,1,13,30,NULL,2,NULL,NULL),(28,340,1,13,31,NULL,NULL,NULL,NULL),(28,340,1,13,32,NULL,1,NULL,NULL),(28,340,1,13,33,NULL,NULL,NULL,NULL),(28,340,1,13,34,NULL,1,NULL,NULL),(28,340,1,13,35,NULL,NULL,NULL,NULL),(28,340,1,13,36,NULL,NULL,NULL,NULL),(28,340,1,13,37,NULL,1,NULL,NULL),(28,340,1,13,38,NULL,1,NULL,NULL),(28,340,1,13,39,NULL,1,NULL,NULL),(28,340,1,13,40,NULL,NULL,NULL,NULL),(28,340,1,14,1,124,NULL,27,NULL),(28,340,1,14,2,12,95,5,18),(28,340,1,14,3,68,80,20,14),(28,340,1,14,4,41,57,10,7),(28,340,1,14,5,86,63,16,9),(28,340,1,14,6,39,125,8,22),(28,340,1,14,7,33,61,7,11),(28,340,1,14,8,34,117,14,19),(28,340,1,14,9,32,62,5,17),(28,340,1,14,10,146,35,30,1),(28,340,1,14,11,40,51,9,13),(28,340,1,14,12,45,81,13,16),(28,340,1,14,13,173,58,24,11),(28,340,1,14,14,102,64,18,10),(28,340,1,14,15,161,NULL,24,NULL),(28,340,1,14,16,162,56,25,10),(28,340,1,14,17,72,148,13,19),(28,340,1,14,18,94,52,20,9),(28,340,1,14,19,161,66,28,9),(28,340,1,14,20,164,69,29,9),(28,340,1,14,21,4,20,1,3),(28,340,1,14,22,7,47,1,5),(28,340,1,14,23,5,48,2,12),(28,340,1,14,24,2,NULL,1,NULL),(28,340,1,14,25,10,21,2,1),(28,340,1,14,26,2,25,NULL,7),(28,340,1,14,27,55,NULL,18,NULL),(28,340,1,14,28,5,9,1,1),(28,340,1,14,29,8,49,1,9),(28,340,1,14,30,15,67,2,18),(28,340,1,14,31,15,33,4,5),(28,340,1,14,32,25,60,4,13),(28,340,1,14,33,23,46,4,14),(28,340,1,14,34,80,44,21,7),(28,340,1,14,35,16,27,5,8),(28,340,1,14,36,11,NULL,4,NULL),(28,340,1,14,37,6,23,2,4),(28,340,1,14,38,12,32,5,13),(28,340,1,14,39,45,83,13,17),(28,340,1,14,40,20,NULL,7,NULL),(28,340,1,15,1,113,NULL,15,NULL),(28,340,1,15,2,18,80,6,7),(28,340,1,15,3,83,70,19,5),(28,340,1,15,4,39,47,8,6),(28,340,1,15,5,78,67,13,10),(28,340,1,15,6,36,128,7,16),(28,340,1,15,7,38,44,3,4),(28,340,1,15,8,28,103,8,15),(28,340,1,15,9,35,59,10,5),(28,340,1,15,10,136,36,24,1),(28,340,1,15,11,41,36,9,3),(28,340,1,15,12,39,66,8,15),(28,340,1,15,13,176,49,26,2),(28,340,1,15,14,90,65,15,4),(28,340,1,15,15,166,NULL,21,NULL),(28,340,1,15,16,146,63,20,6),(28,340,1,15,17,74,143,15,12),(28,340,1,15,18,89,64,13,9),(28,340,1,15,19,171,50,23,5),(28,340,1,15,20,137,99,20,9),(28,340,1,15,21,5,33,NULL,3),(28,340,1,15,22,7,56,2,8),(28,340,1,15,23,10,45,3,4),(28,340,1,15,24,2,NULL,NULL,NULL),(28,340,1,15,25,10,19,2,5),(28,340,1,15,26,4,25,1,8),(28,340,1,15,27,49,NULL,11,NULL),(28,340,1,15,28,5,11,1,2),(28,340,1,15,29,8,44,3,6),(28,340,1,15,30,26,54,2,9),(28,340,1,15,31,13,31,5,8),(28,340,1,15,32,34,50,9,6),(28,340,1,15,33,20,35,8,4),(28,340,1,15,34,80,28,18,5),(28,340,1,15,35,18,14,6,2),(28,340,1,15,36,11,NULL,4,NULL),(28,340,1,15,37,10,29,2,2),(28,340,1,15,38,24,31,11,4),(28,340,1,15,39,57,71,9,10),(28,340,1,15,40,13,NULL,5,NULL),(28,340,1,16,1,15,NULL,1,NULL),(28,340,1,16,2,NULL,7,NULL,NULL),(28,340,1,16,3,11,14,2,NULL),(28,340,1,16,4,5,5,NULL,1),(28,340,1,16,5,15,16,1,1),(28,340,1,16,6,3,23,NULL,2),(28,340,1,16,7,6,7,NULL,2),(28,340,1,16,8,5,20,1,1),(28,340,1,16,9,8,9,1,NULL),(28,340,1,16,10,24,7,3,NULL),(28,340,1,16,11,4,9,1,2),(28,340,1,16,12,8,9,2,NULL),(28,340,1,16,13,49,NULL,4,NULL),(28,340,1,16,14,42,3,4,NULL),(28,340,1,16,15,18,19,1,1),(28,340,1,16,16,38,NULL,2,NULL),(28,340,1,16,17,32,18,2,2),(28,340,1,16,18,12,7,NULL,NULL),(28,340,1,16,19,11,23,1,2),(28,340,1,16,20,13,17,2,2),(28,340,1,16,21,3,2,NULL,NULL),(28,340,1,16,22,1,10,NULL,NULL),(28,340,1,16,23,3,9,NULL,2),(28,340,1,16,24,NULL,NULL,NULL,NULL),(28,340,1,16,25,2,4,NULL,1),(28,340,1,16,26,NULL,4,NULL,NULL),(28,340,1,16,27,5,NULL,1,NULL),(28,340,1,16,28,1,2,NULL,1),(28,340,1,16,29,1,11,NULL,NULL),(28,340,1,16,30,3,19,NULL,3),(28,340,1,16,31,5,9,NULL,2),(28,340,1,16,32,2,6,NULL,1),(28,340,1,16,33,1,7,1,1),(28,340,1,16,34,10,7,2,NULL),(28,340,1,16,35,NULL,2,NULL,1),(28,340,1,16,36,NULL,NULL,NULL,NULL),(28,340,1,16,37,1,6,1,1),(28,340,1,16,38,3,8,1,1),(28,340,1,16,39,6,18,1,1),(28,340,1,16,40,5,NULL,1,NULL),(28,340,1,17,1,18,NULL,2,NULL),(28,340,1,17,2,1,14,NULL,1),(28,340,1,17,3,13,13,1,2),(28,340,1,17,4,5,14,1,1),(28,340,1,17,5,13,8,1,2),(28,340,1,17,6,4,21,NULL,1),(28,340,1,17,7,8,8,NULL,1),(28,340,1,17,8,1,16,NULL,2),(28,340,1,17,9,10,7,1,1),(28,340,1,17,10,23,10,1,2),(28,340,1,17,11,3,7,1,1),(28,340,1,17,12,6,9,1,1),(28,340,1,17,13,45,NULL,3,NULL),(28,340,1,17,14,45,3,2,1),(28,340,1,17,15,12,22,1,1),(28,340,1,17,16,38,NULL,3,NULL),(28,340,1,17,17,24,22,2,1),(28,340,1,17,18,16,9,1,NULL),(28,340,1,17,19,7,21,NULL,2),(28,340,1,17,20,5,15,1,1),(28,340,1,17,21,1,6,NULL,1),(28,340,1,17,22,3,9,NULL,1),(28,340,1,17,23,NULL,7,NULL,1),(28,340,1,17,24,1,NULL,NULL,NULL),(28,340,1,17,25,1,6,NULL,1),(28,340,1,17,26,1,3,NULL,NULL),(28,340,1,17,27,7,NULL,1,NULL),(28,340,1,17,28,1,3,NULL,NULL),(28,340,1,17,29,3,4,1,1),(28,340,1,17,30,1,8,NULL,NULL),(28,340,1,17,31,2,6,NULL,NULL),(28,340,1,17,32,1,7,NULL,1),(28,340,1,17,33,1,7,NULL,1),(28,340,1,17,34,6,6,2,NULL),(28,340,1,17,35,4,3,NULL,1),(28,340,1,17,36,1,NULL,NULL,NULL),(28,340,1,17,37,NULL,6,NULL,1),(28,340,1,17,38,1,5,NULL,NULL),(28,340,1,17,39,8,13,NULL,2),(28,340,1,17,40,3,NULL,NULL,NULL),(28,340,1,18,1,NULL,NULL,NULL,NULL),(28,340,1,18,2,NULL,NULL,NULL,NULL),(28,340,1,18,3,NULL,NULL,NULL,NULL),(28,340,1,18,4,NULL,NULL,NULL,NULL),(28,340,1,18,5,NULL,NULL,NULL,NULL),(28,340,1,18,6,NULL,NULL,NULL,NULL),(28,340,1,18,7,NULL,NULL,NULL,NULL),(28,340,1,18,8,NULL,NULL,NULL,NULL),(28,340,1,18,9,NULL,NULL,NULL,NULL),(28,340,1,18,10,NULL,NULL,NULL,NULL),(28,340,1,18,11,NULL,NULL,NULL,NULL),(28,340,1,18,12,NULL,NULL,NULL,NULL),(28,340,1,18,13,NULL,NULL,NULL,NULL),(28,340,1,18,14,NULL,NULL,NULL,NULL),(28,340,1,18,15,NULL,NULL,NULL,NULL),(28,340,1,18,16,NULL,NULL,NULL,NULL),(28,340,1,18,17,NULL,NULL,NULL,NULL),(28,340,1,18,18,NULL,NULL,NULL,NULL),(28,340,1,18,19,NULL,NULL,NULL,NULL),(28,340,1,18,20,NULL,NULL,NULL,NULL),(28,340,1,18,21,NULL,NULL,NULL,NULL),(28,340,1,18,22,NULL,NULL,NULL,NULL),(28,340,1,18,23,NULL,NULL,NULL,NULL),(28,340,1,18,24,NULL,NULL,NULL,NULL),(28,340,1,18,25,NULL,NULL,NULL,NULL),(28,340,1,18,26,NULL,NULL,NULL,NULL),(28,340,1,18,27,NULL,NULL,NULL,NULL),(28,340,1,18,28,NULL,NULL,NULL,NULL),(28,340,1,18,29,NULL,NULL,NULL,NULL),(28,340,1,18,30,NULL,NULL,NULL,NULL),(28,340,1,18,31,NULL,NULL,NULL,NULL),(28,340,1,18,32,NULL,NULL,NULL,NULL),(28,340,1,18,33,NULL,NULL,NULL,NULL),(28,340,1,18,34,NULL,NULL,NULL,NULL),(28,340,1,18,35,NULL,NULL,NULL,NULL),(28,340,1,18,36,NULL,NULL,NULL,NULL),(28,340,1,18,37,NULL,NULL,NULL,NULL),(28,340,1,18,38,NULL,NULL,NULL,NULL),(28,340,1,18,39,NULL,NULL,NULL,NULL),(28,340,1,18,40,NULL,NULL,NULL,NULL),(28,340,1,19,1,NULL,NULL,NULL,NULL),(28,340,1,19,2,NULL,NULL,NULL,NULL),(28,340,1,19,3,NULL,NULL,NULL,NULL),(28,340,1,19,4,NULL,NULL,NULL,NULL),(28,340,1,19,5,NULL,NULL,NULL,NULL),(28,340,1,19,6,NULL,NULL,NULL,NULL),(28,340,1,19,7,NULL,NULL,NULL,NULL),(28,340,1,19,8,NULL,NULL,NULL,NULL),(28,340,1,19,9,NULL,NULL,NULL,NULL),(28,340,1,19,10,NULL,NULL,NULL,NULL),(28,340,1,19,11,NULL,NULL,NULL,NULL),(28,340,1,19,12,NULL,NULL,NULL,NULL),(28,340,1,19,13,NULL,NULL,NULL,NULL),(28,340,1,19,14,NULL,NULL,NULL,NULL),(28,340,1,19,15,NULL,NULL,NULL,NULL),(28,340,1,19,16,NULL,NULL,NULL,NULL),(28,340,1,19,17,NULL,NULL,NULL,NULL),(28,340,1,19,18,NULL,NULL,NULL,NULL),(28,340,1,19,19,NULL,NULL,NULL,NULL),(28,340,1,19,20,NULL,NULL,NULL,NULL),(28,340,1,19,21,NULL,NULL,NULL,NULL),(28,340,1,19,22,NULL,NULL,NULL,NULL),(28,340,1,19,23,NULL,NULL,NULL,NULL),(28,340,1,19,24,NULL,NULL,NULL,NULL),(28,340,1,19,25,NULL,NULL,NULL,NULL),(28,340,1,19,26,NULL,NULL,NULL,NULL),(28,340,1,19,27,NULL,NULL,NULL,NULL),(28,340,1,19,28,NULL,NULL,NULL,NULL),(28,340,1,19,29,NULL,NULL,NULL,NULL),(28,340,1,19,30,NULL,NULL,NULL,NULL),(28,340,1,19,31,NULL,NULL,NULL,NULL),(28,340,1,19,32,NULL,NULL,NULL,NULL),(28,340,1,19,33,NULL,NULL,NULL,NULL),(28,340,1,19,34,NULL,NULL,NULL,NULL),(28,340,1,19,35,NULL,NULL,NULL,NULL),(28,340,1,19,36,NULL,NULL,NULL,NULL),(28,340,1,19,37,NULL,NULL,NULL,NULL),(28,340,1,19,38,NULL,NULL,NULL,NULL),(28,340,1,19,39,NULL,NULL,NULL,NULL),(28,340,1,19,40,NULL,NULL,NULL,NULL),(28,340,2,21,1,5,76,2,15),(28,340,2,21,2,9,64,2,14),(28,340,2,21,3,80,39,15,9),(28,340,2,21,4,1,35,NULL,10),(28,340,2,21,5,28,49,7,9),(28,340,2,21,6,61,66,13,7),(28,340,2,21,7,2,66,NULL,14),(28,340,2,21,8,26,51,7,12),(28,340,2,21,9,12,18,4,4),(28,340,2,21,10,40,26,10,2),(28,340,2,21,11,32,22,14,5),(28,340,2,21,12,34,47,11,9),(28,340,2,21,13,26,92,9,14),(28,340,2,21,14,59,47,18,2),(28,340,2,21,15,35,41,10,8),(28,340,2,21,16,30,72,2,18),(28,340,2,21,17,7,16,NULL,1),(28,340,2,21,18,74,51,12,12),(28,340,2,21,19,51,54,11,12),(28,340,2,21,20,63,40,17,2),(28,340,2,21,21,3,25,2,6),(28,340,2,21,22,27,25,12,8),(28,340,2,21,23,3,11,2,3),(28,340,2,21,24,6,25,1,6),(28,340,2,21,25,8,34,1,8),(28,340,2,21,26,7,31,1,7),(28,340,2,21,27,13,62,2,14),(28,340,2,21,28,3,29,NULL,10),(28,340,2,21,29,2,21,NULL,3),(28,340,2,21,30,5,20,2,1),(28,340,2,21,31,6,54,NULL,16),(28,340,2,21,32,1,9,NULL,4),(28,340,2,21,33,23,39,11,9),(28,340,2,21,34,15,42,9,10),(28,340,2,21,35,19,NULL,7,NULL),(28,340,2,21,36,2,17,NULL,6),(28,340,2,21,37,9,21,6,6),(28,340,2,21,38,3,5,NULL,NULL),(28,340,2,21,39,4,31,NULL,12),(28,340,2,21,40,16,68,9,11),(28,340,2,22,1,11,63,2,9),(28,340,2,22,2,4,49,1,11),(28,340,2,22,3,73,46,13,6),(28,340,2,22,4,6,23,2,5),(28,340,2,22,5,28,32,7,4),(28,340,2,22,6,59,68,6,12),(28,340,2,22,7,2,51,NULL,10),(28,340,2,22,8,29,49,6,8),(28,340,2,22,9,8,25,2,3),(28,340,2,22,10,43,37,9,6),(28,340,2,22,11,33,27,7,4),(28,340,2,22,12,39,47,9,4),(28,340,2,22,13,25,91,6,11),(28,340,2,22,14,66,49,15,4),(28,340,2,22,15,24,44,4,3),(28,340,2,22,16,30,62,9,10),(28,340,2,22,17,9,20,NULL,4),(28,340,2,22,18,53,64,7,11),(28,340,2,22,19,45,38,10,5),(28,340,2,22,20,54,38,13,5),(28,340,2,22,21,9,22,1,3),(28,340,2,22,22,21,23,8,3),(28,340,2,22,23,3,19,NULL,4),(28,340,2,22,24,4,24,NULL,6),(28,340,2,22,25,7,30,NULL,6),(28,340,2,22,26,4,30,NULL,4),(28,340,2,22,27,9,61,1,12),(28,340,2,22,28,NULL,22,NULL,6),(28,340,2,22,29,2,14,NULL,5),(28,340,2,22,30,NULL,19,NULL,2),(28,340,2,22,31,3,47,NULL,8),(28,340,2,22,32,2,10,1,3),(28,340,2,22,33,12,26,4,5),(28,340,2,22,34,16,40,4,8),(28,340,2,22,35,26,NULL,5,NULL),(28,340,2,22,36,1,16,NULL,4),(28,340,2,22,37,9,24,3,7),(28,340,2,22,38,2,12,NULL,3),(28,340,2,22,39,10,21,1,3),(28,340,2,22,40,7,69,2,14),(28,340,2,23,1,6,63,NULL,10),(28,340,2,23,2,5,45,3,6),(28,340,2,23,3,83,48,13,4),(28,340,2,23,4,5,22,2,6),(28,340,2,23,5,25,31,5,2),(28,340,2,23,6,45,73,6,8),(28,340,2,23,7,5,62,1,13),(28,340,2,23,8,27,25,5,5),(28,340,2,23,9,11,17,1,2),(28,340,2,23,10,38,44,9,3),(28,340,2,23,11,23,27,4,2),(28,340,2,23,12,36,51,8,3),(28,340,2,23,13,21,90,9,7),(28,340,2,23,14,51,60,11,4),(28,340,2,23,15,28,46,5,4),(28,340,2,23,16,34,61,5,6),(28,340,2,23,17,4,18,NULL,3),(28,340,2,23,18,55,53,10,4),(28,340,2,23,19,39,53,8,3),(28,340,2,23,20,58,42,10,1),(28,340,2,23,21,4,17,NULL,NULL),(28,340,2,23,22,31,20,6,4),(28,340,2,23,23,5,15,NULL,2),(28,340,2,23,24,5,22,2,3),(28,340,2,23,25,2,27,1,4),(28,340,2,23,26,7,25,NULL,4),(28,340,2,23,27,9,50,3,6),(28,340,2,23,28,3,25,1,3),(28,340,2,23,29,3,31,NULL,5),(28,340,2,23,30,3,15,NULL,3),(28,340,2,23,31,3,43,NULL,6),(28,340,2,23,32,5,12,1,NULL),(28,340,2,23,33,18,32,7,5),(28,340,2,23,34,19,30,7,2),(28,340,2,23,35,22,NULL,2,NULL),(28,340,2,23,36,4,15,1,2),(28,340,2,23,37,10,17,4,1),(28,340,2,23,38,3,9,1,2),(28,340,2,23,39,4,26,1,4),(28,340,2,23,40,6,66,1,10),(28,340,2,24,1,2,75,2,12),(28,340,2,24,2,9,40,3,11),(28,340,2,24,3,67,32,10,8),(28,340,2,24,4,3,25,2,3),(28,340,2,24,5,32,17,10,5),(28,340,2,24,6,57,56,13,4),(28,340,2,24,7,1,42,NULL,6),(28,340,2,24,8,25,35,6,8),(28,340,2,24,9,18,11,8,2),(28,340,2,24,10,40,30,9,6),(28,340,2,24,11,25,14,11,1),(28,340,2,24,12,31,51,11,3),(28,340,2,24,13,22,75,9,7),(28,340,2,24,14,44,48,12,6),(28,340,2,24,15,27,27,7,2),(28,340,2,24,16,35,55,4,11),(28,340,2,24,17,9,22,2,5),(28,340,2,24,18,49,54,7,11),(28,340,2,24,19,46,43,9,9),(28,340,2,24,20,57,24,12,5),(28,340,2,24,21,3,23,1,5),(28,340,2,24,22,24,18,10,3),(28,340,2,24,23,5,22,NULL,10),(28,340,2,24,24,4,27,1,3),(28,340,2,24,25,6,26,1,5),(28,340,2,24,26,7,26,2,5),(28,340,2,24,27,11,31,2,10),(28,340,2,24,28,6,20,1,5),(28,340,2,24,29,NULL,21,NULL,6),(28,340,2,24,30,1,16,NULL,4),(28,340,2,24,31,7,46,2,10),(28,340,2,24,32,2,16,NULL,3),(28,340,2,24,33,18,29,6,9),(28,340,2,24,34,17,27,5,8),(28,340,2,24,35,20,NULL,4,NULL),(28,340,2,24,36,4,14,NULL,3),(28,340,2,24,37,13,17,7,5),(28,340,2,24,38,3,11,1,3),(28,340,2,24,39,3,29,2,4),(28,340,2,24,40,16,62,7,6),(28,404,1,11,1,NULL,NULL,NULL,NULL),(28,404,1,11,2,NULL,NULL,NULL,NULL),(28,404,1,11,3,NULL,NULL,NULL,NULL),(28,404,1,11,4,NULL,NULL,NULL,NULL),(28,404,1,11,5,NULL,NULL,NULL,NULL),(28,404,1,11,6,NULL,NULL,NULL,NULL),(28,404,1,11,7,NULL,NULL,NULL,NULL),(28,404,1,11,8,NULL,NULL,NULL,NULL),(28,404,1,11,9,NULL,NULL,NULL,NULL),(28,404,1,11,10,NULL,NULL,NULL,NULL),(28,404,1,11,11,NULL,NULL,NULL,NULL),(28,404,1,11,12,NULL,NULL,NULL,NULL),(28,404,1,11,13,NULL,NULL,NULL,NULL),(28,404,1,11,14,NULL,NULL,NULL,NULL),(28,404,1,11,15,NULL,NULL,NULL,NULL),(28,404,1,11,16,NULL,NULL,NULL,NULL),(28,404,1,11,17,NULL,NULL,NULL,NULL),(28,404,1,11,18,NULL,NULL,NULL,NULL),(28,404,1,11,19,NULL,NULL,NULL,NULL),(28,404,1,11,20,NULL,NULL,NULL,NULL),(28,404,1,11,21,NULL,NULL,NULL,NULL),(28,404,1,11,22,NULL,NULL,NULL,NULL),(28,404,1,11,23,NULL,NULL,NULL,NULL),(28,404,1,11,24,NULL,NULL,NULL,NULL),(28,404,1,11,25,NULL,NULL,NULL,NULL),(28,404,1,11,26,NULL,NULL,NULL,NULL),(28,404,1,11,27,NULL,NULL,NULL,NULL),(28,404,1,11,28,NULL,NULL,NULL,NULL),(28,404,1,11,29,NULL,NULL,NULL,NULL),(28,404,1,11,30,NULL,NULL,NULL,NULL),(28,404,1,11,31,NULL,NULL,NULL,NULL),(28,404,1,11,32,NULL,NULL,NULL,NULL),(28,404,1,11,33,NULL,NULL,NULL,NULL),(28,404,1,11,34,NULL,NULL,NULL,NULL),(28,404,1,11,35,NULL,NULL,NULL,NULL),(28,404,1,11,36,NULL,NULL,NULL,NULL),(28,404,1,11,37,NULL,NULL,NULL,NULL),(28,404,1,11,38,NULL,NULL,NULL,NULL),(28,404,1,11,39,NULL,NULL,NULL,NULL),(28,404,1,11,40,NULL,NULL,NULL,NULL),(28,404,1,12,1,NULL,NULL,NULL,NULL),(28,404,1,12,2,NULL,NULL,NULL,NULL),(28,404,1,12,3,NULL,NULL,NULL,NULL),(28,404,1,12,4,NULL,NULL,NULL,NULL),(28,404,1,12,5,NULL,NULL,NULL,NULL),(28,404,1,12,6,NULL,NULL,NULL,NULL),(28,404,1,12,7,NULL,NULL,NULL,NULL),(28,404,1,12,8,NULL,NULL,NULL,NULL),(28,404,1,12,9,NULL,NULL,NULL,NULL),(28,404,1,12,10,NULL,NULL,NULL,NULL),(28,404,1,12,11,NULL,NULL,NULL,NULL),(28,404,1,12,12,NULL,NULL,NULL,NULL),(28,404,1,12,13,NULL,NULL,NULL,NULL),(28,404,1,12,14,NULL,NULL,NULL,NULL),(28,404,1,12,15,NULL,NULL,NULL,NULL),(28,404,1,12,16,NULL,NULL,NULL,NULL),(28,404,1,12,17,NULL,NULL,NULL,NULL),(28,404,1,12,18,NULL,NULL,NULL,NULL),(28,404,1,12,19,NULL,NULL,NULL,NULL),(28,404,1,12,20,NULL,NULL,NULL,NULL),(28,404,1,12,21,NULL,NULL,NULL,NULL),(28,404,1,12,22,NULL,NULL,NULL,NULL),(28,404,1,12,23,NULL,NULL,NULL,NULL),(28,404,1,12,24,NULL,NULL,NULL,NULL),(28,404,1,12,25,NULL,NULL,NULL,NULL),(28,404,1,12,26,NULL,NULL,NULL,NULL),(28,404,1,12,27,NULL,NULL,NULL,NULL),(28,404,1,12,28,NULL,NULL,NULL,NULL),(28,404,1,12,29,NULL,NULL,NULL,NULL),(28,404,1,12,30,NULL,NULL,NULL,NULL),(28,404,1,12,31,NULL,NULL,NULL,NULL),(28,404,1,12,32,NULL,NULL,NULL,NULL),(28,404,1,12,33,NULL,NULL,NULL,NULL),(28,404,1,12,34,NULL,NULL,NULL,NULL),(28,404,1,12,35,NULL,NULL,NULL,NULL),(28,404,1,12,36,NULL,NULL,NULL,NULL),(28,404,1,12,37,NULL,NULL,NULL,NULL),(28,404,1,12,38,NULL,NULL,NULL,NULL),(28,404,1,12,39,NULL,NULL,NULL,NULL),(28,404,1,12,40,NULL,NULL,NULL,NULL),(28,404,1,13,1,NULL,NULL,NULL,NULL),(28,404,1,13,2,NULL,NULL,NULL,NULL),(28,404,1,13,3,NULL,NULL,NULL,NULL),(28,404,1,13,4,NULL,NULL,NULL,NULL),(28,404,1,13,5,NULL,NULL,NULL,NULL),(28,404,1,13,6,NULL,NULL,NULL,NULL),(28,404,1,13,7,NULL,NULL,NULL,NULL),(28,404,1,13,8,NULL,NULL,NULL,NULL),(28,404,1,13,9,NULL,NULL,NULL,NULL),(28,404,1,13,10,NULL,NULL,NULL,NULL),(28,404,1,13,11,NULL,NULL,NULL,NULL),(28,404,1,13,12,NULL,NULL,NULL,NULL),(28,404,1,13,13,NULL,NULL,NULL,NULL),(28,404,1,13,14,NULL,NULL,NULL,NULL),(28,404,1,13,15,NULL,NULL,NULL,NULL),(28,404,1,13,16,NULL,NULL,NULL,NULL),(28,404,1,13,17,NULL,NULL,NULL,NULL),(28,404,1,13,18,NULL,NULL,NULL,NULL),(28,404,1,13,19,NULL,NULL,NULL,NULL),(28,404,1,13,20,NULL,NULL,NULL,NULL),(28,404,1,13,21,NULL,NULL,NULL,NULL),(28,404,1,13,22,NULL,NULL,NULL,NULL),(28,404,1,13,23,NULL,NULL,NULL,NULL),(28,404,1,13,24,NULL,NULL,NULL,NULL),(28,404,1,13,25,NULL,NULL,NULL,NULL),(28,404,1,13,26,NULL,NULL,NULL,NULL),(28,404,1,13,27,NULL,NULL,NULL,NULL),(28,404,1,13,28,NULL,NULL,NULL,NULL),(28,404,1,13,29,NULL,NULL,NULL,NULL),(28,404,1,13,30,NULL,NULL,NULL,NULL),(28,404,1,13,31,NULL,NULL,NULL,NULL),(28,404,1,13,32,NULL,NULL,NULL,NULL),(28,404,1,13,33,NULL,NULL,NULL,NULL),(28,404,1,13,34,NULL,NULL,NULL,NULL),(28,404,1,13,35,NULL,NULL,NULL,NULL),(28,404,1,13,36,NULL,NULL,NULL,NULL),(28,404,1,13,37,NULL,NULL,NULL,NULL),(28,404,1,13,38,NULL,NULL,NULL,NULL),(28,404,1,13,39,NULL,NULL,NULL,NULL),(28,404,1,13,40,NULL,NULL,NULL,NULL),(28,404,1,14,1,2,NULL,NULL,NULL),(28,404,1,14,2,1,8,NULL,3),(28,404,1,14,3,NULL,5,NULL,2),(28,404,1,14,4,3,4,2,2),(28,404,1,14,5,4,9,2,1),(28,404,1,14,6,2,6,1,2),(28,404,1,14,7,6,3,1,NULL),(28,404,1,14,8,1,8,1,1),(28,404,1,14,9,3,6,1,1),(28,404,1,14,10,3,5,NULL,3),(28,404,1,14,11,NULL,2,NULL,NULL),(28,404,1,14,12,3,4,2,1),(28,404,1,14,13,5,5,2,2),(28,404,1,14,14,2,2,1,NULL),(28,404,1,14,15,5,NULL,2,NULL),(28,404,1,14,16,2,9,1,2),(28,404,1,14,17,2,7,1,2),(28,404,1,14,18,2,1,1,NULL),(28,404,1,14,19,2,8,1,2),(28,404,1,14,20,3,10,1,3),(28,404,1,14,21,1,5,NULL,1),(28,404,1,14,22,1,6,1,2),(28,404,1,14,23,1,2,NULL,1),(28,404,1,14,24,2,NULL,NULL,NULL),(28,404,1,14,25,NULL,5,NULL,NULL),(28,404,1,14,26,NULL,1,NULL,NULL),(28,404,1,14,27,3,NULL,NULL,NULL),(28,404,1,14,28,NULL,3,NULL,1),(28,404,1,14,29,NULL,3,NULL,1),(28,404,1,14,30,1,3,1,NULL),(28,404,1,14,31,NULL,3,NULL,NULL),(28,404,1,14,32,2,NULL,1,NULL),(28,404,1,14,33,NULL,3,NULL,2),(28,404,1,14,34,1,2,NULL,1),(28,404,1,14,35,NULL,1,NULL,NULL),(28,404,1,14,36,NULL,NULL,NULL,NULL),(28,404,1,14,37,NULL,3,NULL,NULL),(28,404,1,14,38,1,1,NULL,NULL),(28,404,1,14,39,NULL,6,NULL,4),(28,404,1,14,40,NULL,NULL,NULL,NULL),(28,404,1,15,1,6,NULL,2,NULL),(28,404,1,15,2,NULL,4,NULL,2),(28,404,1,15,3,1,5,NULL,2),(28,404,1,15,4,1,6,NULL,2),(28,404,1,15,5,3,5,1,1),(28,404,1,15,6,1,16,NULL,4),(28,404,1,15,7,2,4,1,1),(28,404,1,15,8,NULL,7,NULL,1),(28,404,1,15,9,NULL,2,NULL,NULL),(28,404,1,15,10,5,2,3,1),(28,404,1,15,11,1,2,NULL,2),(28,404,1,15,12,2,7,1,3),(28,404,1,15,13,5,9,1,4),(28,404,1,15,14,1,6,NULL,2),(28,404,1,15,15,10,NULL,4,NULL),(28,404,1,15,16,5,3,1,1),(28,404,1,15,17,2,10,NULL,2),(28,404,1,15,18,3,5,1,1),(28,404,1,15,19,5,5,3,2),(28,404,1,15,20,4,12,1,2),(28,404,1,15,21,NULL,4,NULL,1),(28,404,1,15,22,1,3,NULL,NULL),(28,404,1,15,23,NULL,3,NULL,1),(28,404,1,15,24,1,NULL,NULL,NULL),(28,404,1,15,25,2,3,1,NULL),(28,404,1,15,26,1,1,NULL,NULL),(28,404,1,15,27,4,NULL,2,NULL),(28,404,1,15,28,1,2,NULL,1),(28,404,1,15,29,NULL,8,NULL,2),(28,404,1,15,30,2,3,NULL,1),(28,404,1,15,31,1,2,NULL,NULL),(28,404,1,15,32,NULL,3,NULL,2),(28,404,1,15,33,1,3,1,1),(28,404,1,15,34,4,3,1,1),(28,404,1,15,35,NULL,3,NULL,2),(28,404,1,15,36,NULL,NULL,NULL,NULL),(28,404,1,15,37,2,3,NULL,1),(28,404,1,15,38,NULL,5,NULL,2),(28,404,1,15,39,1,5,1,2),(28,404,1,15,40,NULL,NULL,NULL,NULL),(28,404,1,16,1,12,NULL,9,NULL),(28,404,1,16,2,NULL,8,NULL,2),(28,404,1,16,3,5,11,3,6),(28,404,1,16,4,8,14,3,6),(28,404,1,16,5,4,17,1,11),(28,404,1,16,6,1,26,1,9),(28,404,1,16,7,5,13,3,7),(28,404,1,16,8,2,16,2,7),(28,404,1,16,9,5,9,1,6),(28,404,1,16,10,16,12,10,7),(28,404,1,16,11,2,7,1,4),(28,404,1,16,12,2,3,2,3),(28,404,1,16,13,58,NULL,26,NULL),(28,404,1,16,14,35,12,15,7),(28,404,1,16,15,6,33,2,19),(28,404,1,16,16,42,NULL,18,NULL),(28,404,1,16,17,19,27,9,14),(28,404,1,16,18,9,13,4,8),(28,404,1,16,19,5,33,3,14),(28,404,1,16,20,8,15,4,8),(28,404,1,16,21,1,6,1,3),(28,404,1,16,22,2,11,1,7),(28,404,1,16,23,6,12,3,7),(28,404,1,16,24,NULL,NULL,NULL,NULL),(28,404,1,16,25,NULL,4,NULL,1),(28,404,1,16,26,NULL,9,NULL,2),(28,404,1,16,27,5,NULL,3,NULL),(28,404,1,16,28,NULL,3,NULL,2),(28,404,1,16,29,NULL,5,NULL,3),(28,404,1,16,30,9,12,4,5),(28,404,1,16,31,NULL,6,NULL,2),(28,404,1,16,32,3,11,3,7),(28,404,1,16,33,2,4,1,2),(28,404,1,16,34,3,5,2,4),(28,404,1,16,35,NULL,4,NULL,2),(28,404,1,16,36,NULL,NULL,NULL,NULL),(28,404,1,16,37,1,4,1,1),(28,404,1,16,38,NULL,6,NULL,1),(28,404,1,16,39,4,19,2,9),(28,404,1,16,40,3,NULL,2,NULL),(28,404,1,17,1,15,NULL,10,NULL),(28,404,1,17,2,NULL,10,NULL,4),(28,404,1,17,3,1,10,1,9),(28,404,1,17,4,4,14,2,6),(28,404,1,17,5,3,7,2,NULL),(28,404,1,17,6,2,21,1,6),(28,404,1,17,7,1,10,NULL,4),(28,404,1,17,8,2,4,1,1),(28,404,1,17,9,6,9,1,5),(28,404,1,17,10,18,9,10,7),(28,404,1,17,11,4,5,2,3),(28,404,1,17,12,1,6,NULL,2),(28,404,1,17,13,45,NULL,16,NULL),(28,404,1,17,14,36,6,13,5),(28,404,1,17,15,11,24,3,8),(28,404,1,17,16,35,NULL,13,NULL),(28,404,1,17,17,15,24,3,14),(28,404,1,17,18,6,12,2,5),(28,404,1,17,19,4,21,NULL,8),(28,404,1,17,20,6,11,3,3),(28,404,1,17,21,3,8,2,4),(28,404,1,17,22,3,11,1,2),(28,404,1,17,23,1,13,1,4),(28,404,1,17,24,NULL,NULL,NULL,NULL),(28,404,1,17,25,2,3,NULL,2),(28,404,1,17,26,1,2,NULL,NULL),(28,404,1,17,27,7,NULL,4,NULL),(28,404,1,17,28,NULL,5,NULL,1),(28,404,1,17,29,1,9,1,5),(28,404,1,17,30,1,15,NULL,7),(28,404,1,17,31,1,5,1,2),(28,404,1,17,32,1,8,1,7),(28,404,1,17,33,1,7,NULL,5),(28,404,1,17,34,2,7,2,6),(28,404,1,17,35,NULL,3,NULL,2),(28,404,1,17,36,NULL,NULL,NULL,NULL),(28,404,1,17,37,NULL,1,NULL,NULL),(28,404,1,17,38,1,5,NULL,3),(28,404,1,17,39,5,13,2,9),(28,404,1,17,40,2,NULL,1,NULL),(28,404,1,18,1,NULL,NULL,NULL,NULL),(28,404,1,18,2,NULL,NULL,NULL,NULL),(28,404,1,18,3,NULL,NULL,NULL,NULL),(28,404,1,18,4,NULL,NULL,NULL,NULL),(28,404,1,18,5,NULL,NULL,NULL,NULL),(28,404,1,18,6,NULL,NULL,NULL,NULL),(28,404,1,18,7,NULL,NULL,NULL,NULL),(28,404,1,18,8,NULL,NULL,NULL,NULL),(28,404,1,18,9,NULL,NULL,NULL,NULL),(28,404,1,18,10,NULL,NULL,NULL,NULL),(28,404,1,18,11,NULL,NULL,NULL,NULL),(28,404,1,18,12,NULL,NULL,NULL,NULL),(28,404,1,18,13,NULL,NULL,NULL,NULL),(28,404,1,18,14,NULL,NULL,NULL,NULL),(28,404,1,18,15,NULL,NULL,NULL,NULL),(28,404,1,18,16,NULL,NULL,NULL,NULL),(28,404,1,18,17,NULL,NULL,NULL,NULL),(28,404,1,18,18,NULL,NULL,NULL,NULL),(28,404,1,18,19,NULL,NULL,NULL,NULL),(28,404,1,18,20,NULL,NULL,NULL,NULL),(28,404,1,18,21,NULL,NULL,NULL,NULL),(28,404,1,18,22,NULL,NULL,NULL,NULL),(28,404,1,18,23,NULL,NULL,NULL,NULL),(28,404,1,18,24,NULL,NULL,NULL,NULL),(28,404,1,18,25,NULL,NULL,NULL,NULL),(28,404,1,18,26,NULL,NULL,NULL,NULL),(28,404,1,18,27,NULL,NULL,NULL,NULL),(28,404,1,18,28,NULL,NULL,NULL,NULL),(28,404,1,18,29,NULL,NULL,NULL,NULL),(28,404,1,18,30,NULL,NULL,NULL,NULL),(28,404,1,18,31,NULL,NULL,NULL,NULL),(28,404,1,18,32,NULL,NULL,NULL,NULL),(28,404,1,18,33,NULL,NULL,NULL,NULL),(28,404,1,18,34,NULL,NULL,NULL,NULL),(28,404,1,18,35,NULL,NULL,NULL,NULL),(28,404,1,18,36,NULL,NULL,NULL,NULL),(28,404,1,18,37,NULL,NULL,NULL,NULL),(28,404,1,18,38,NULL,NULL,NULL,NULL),(28,404,1,18,39,NULL,NULL,NULL,NULL),(28,404,1,18,40,NULL,NULL,NULL,NULL),(28,404,1,19,1,NULL,NULL,NULL,NULL),(28,404,1,19,2,NULL,NULL,NULL,NULL),(28,404,1,19,3,NULL,NULL,NULL,NULL),(28,404,1,19,4,NULL,NULL,NULL,NULL),(28,404,1,19,5,NULL,NULL,NULL,NULL),(28,404,1,19,6,NULL,NULL,NULL,NULL),(28,404,1,19,7,NULL,NULL,NULL,NULL),(28,404,1,19,8,NULL,NULL,NULL,NULL),(28,404,1,19,9,NULL,NULL,NULL,NULL),(28,404,1,19,10,NULL,NULL,NULL,NULL),(28,404,1,19,11,NULL,NULL,NULL,NULL),(28,404,1,19,12,NULL,NULL,NULL,NULL),(28,404,1,19,13,NULL,NULL,NULL,NULL),(28,404,1,19,14,NULL,NULL,NULL,NULL),(28,404,1,19,15,NULL,NULL,NULL,NULL),(28,404,1,19,16,NULL,NULL,NULL,NULL),(28,404,1,19,17,NULL,NULL,NULL,NULL),(28,404,1,19,18,NULL,NULL,NULL,NULL),(28,404,1,19,19,NULL,NULL,NULL,NULL),(28,404,1,19,20,NULL,NULL,NULL,NULL),(28,404,1,19,21,NULL,NULL,NULL,NULL),(28,404,1,19,22,NULL,NULL,NULL,NULL),(28,404,1,19,23,NULL,NULL,NULL,NULL),(28,404,1,19,24,NULL,NULL,NULL,NULL),(28,404,1,19,25,NULL,NULL,NULL,NULL),(28,404,1,19,26,NULL,NULL,NULL,NULL),(28,404,1,19,27,NULL,NULL,NULL,NULL),(28,404,1,19,28,NULL,NULL,NULL,NULL),(28,404,1,19,29,NULL,NULL,NULL,NULL),(28,404,1,19,30,NULL,NULL,NULL,NULL),(28,404,1,19,31,NULL,NULL,NULL,NULL),(28,404,1,19,32,NULL,NULL,NULL,NULL),(28,404,1,19,33,NULL,NULL,NULL,NULL),(28,404,1,19,34,NULL,NULL,NULL,NULL),(28,404,1,19,35,NULL,NULL,NULL,NULL),(28,404,1,19,36,NULL,NULL,NULL,NULL),(28,404,1,19,37,NULL,NULL,NULL,NULL),(28,404,1,19,38,NULL,NULL,NULL,NULL),(28,404,1,19,39,NULL,NULL,NULL,NULL),(28,404,1,19,40,NULL,NULL,NULL,NULL),(28,404,2,21,1,NULL,20,NULL,7),(28,404,2,21,2,NULL,3,NULL,NULL),(28,404,2,21,3,14,7,6,5),(28,404,2,21,4,1,1,NULL,1),(28,404,2,21,5,2,11,2,4),(28,404,2,21,6,11,17,4,6),(28,404,2,21,7,NULL,14,NULL,3),(28,404,2,21,8,1,5,1,NULL),(28,404,2,21,9,3,4,NULL,1),(28,404,2,21,10,2,10,NULL,5),(28,404,2,21,11,2,4,1,1),(28,404,2,21,12,1,12,NULL,3),(28,404,2,21,13,1,21,NULL,7),(28,404,2,21,14,2,11,1,7),(28,404,2,21,15,5,11,1,3),(28,404,2,21,16,2,10,1,5),(28,404,2,21,17,1,4,NULL,2),(28,404,2,21,18,8,15,3,8),(28,404,2,21,19,2,9,1,4),(28,404,2,21,20,7,12,5,4),(28,404,2,21,21,NULL,3,NULL,2),(28,404,2,21,22,1,3,1,1),(28,404,2,21,23,NULL,4,NULL,2),(28,404,2,21,24,2,4,1,NULL),(28,404,2,21,25,1,5,1,1),(28,404,2,21,26,3,8,1,5),(28,404,2,21,27,1,5,1,3),(28,404,2,21,28,NULL,3,NULL,1),(28,404,2,21,29,NULL,2,NULL,1),(28,404,2,21,30,1,3,NULL,1),(28,404,2,21,31,NULL,9,NULL,7),(28,404,2,21,32,NULL,1,NULL,1),(28,404,2,21,33,NULL,8,NULL,1),(28,404,2,21,34,NULL,4,NULL,NULL),(28,404,2,21,35,7,NULL,2,NULL),(28,404,2,21,36,NULL,4,NULL,1),(28,404,2,21,37,2,6,1,4),(28,404,2,21,38,1,1,NULL,NULL),(28,404,2,21,39,2,3,2,NULL),(28,404,2,21,40,NULL,13,NULL,5),(28,404,2,22,1,1,9,NULL,3),(28,404,2,22,2,NULL,6,NULL,NULL),(28,404,2,22,3,7,14,2,6),(28,404,2,22,4,1,1,NULL,1),(28,404,2,22,5,3,6,1,1),(28,404,2,22,6,7,13,1,4),(28,404,2,22,7,NULL,9,NULL,3),(28,404,2,22,8,2,5,NULL,1),(28,404,2,22,9,4,5,NULL,2),(28,404,2,22,10,6,7,NULL,3),(28,404,2,22,11,1,6,NULL,3),(28,404,2,22,12,2,12,NULL,2),(28,404,2,22,13,NULL,18,NULL,4),(28,404,2,22,14,2,12,1,4),(28,404,2,22,15,2,10,2,4),(28,404,2,22,16,2,11,NULL,3),(28,404,2,22,17,2,5,NULL,1),(28,404,2,22,18,5,12,1,5),(28,404,2,22,19,5,7,2,1),(28,404,2,22,20,3,8,3,3),(28,404,2,22,21,NULL,9,NULL,NULL),(28,404,2,22,22,NULL,2,NULL,2),(28,404,2,22,23,NULL,4,NULL,1),(28,404,2,22,24,1,1,NULL,NULL),(28,404,2,22,25,3,5,2,1),(28,404,2,22,26,1,8,NULL,2),(28,404,2,22,27,NULL,3,NULL,2),(28,404,2,22,28,1,1,NULL,NULL),(28,404,2,22,29,NULL,6,NULL,2),(28,404,2,22,30,1,4,NULL,NULL),(28,404,2,22,31,NULL,8,NULL,1),(28,404,2,22,32,NULL,NULL,NULL,NULL),(28,404,2,22,33,1,NULL,1,NULL),(28,404,2,22,34,1,6,NULL,2),(28,404,2,22,35,6,NULL,2,NULL),(28,404,2,22,36,2,5,NULL,1),(28,404,2,22,37,NULL,2,NULL,NULL),(28,404,2,22,38,1,NULL,NULL,NULL),(28,404,2,22,39,1,1,1,1),(28,404,2,22,40,NULL,9,NULL,3),(28,404,2,23,1,1,10,NULL,3),(28,404,2,23,2,NULL,7,NULL,1),(28,404,2,23,3,4,9,NULL,7),(28,404,2,23,4,NULL,1,NULL,1),(28,404,2,23,5,1,10,1,6),(28,404,2,23,6,9,9,2,2),(28,404,2,23,7,NULL,7,NULL,4),(28,404,2,23,8,2,3,NULL,1),(28,404,2,23,9,3,7,2,6),(28,404,2,23,10,3,5,3,3),(28,404,2,23,11,1,6,1,4),(28,404,2,23,12,4,5,1,NULL),(28,404,2,23,13,NULL,16,NULL,9),(28,404,2,23,14,2,14,NULL,10),(28,404,2,23,15,6,9,2,3),(28,404,2,23,16,2,9,NULL,4),(28,404,2,23,17,NULL,8,NULL,2),(28,404,2,23,18,8,12,4,8),(28,404,2,23,19,3,8,1,3),(28,404,2,23,20,4,6,4,4),(28,404,2,23,21,NULL,5,NULL,1),(28,404,2,23,22,3,1,2,NULL),(28,404,2,23,23,NULL,3,NULL,3),(28,404,2,23,24,1,8,1,3),(28,404,2,23,25,1,3,1,1),(28,404,2,23,26,1,10,1,5),(28,404,2,23,27,NULL,8,NULL,3),(28,404,2,23,28,2,2,1,1),(28,404,2,23,29,NULL,3,NULL,2),(28,404,2,23,30,NULL,10,NULL,4),(28,404,2,23,31,NULL,10,NULL,2),(28,404,2,23,32,NULL,2,NULL,NULL),(28,404,2,23,33,1,6,NULL,2),(28,404,2,23,34,3,4,NULL,1),(28,404,2,23,35,3,NULL,2,NULL),(28,404,2,23,36,1,3,1,NULL),(28,404,2,23,37,2,2,NULL,NULL),(28,404,2,23,38,NULL,NULL,NULL,NULL),(28,404,2,23,39,1,3,NULL,NULL),(28,404,2,23,40,NULL,14,NULL,4),(28,404,2,24,1,NULL,15,NULL,8),(28,404,2,24,2,NULL,3,NULL,1),(28,404,2,24,3,8,11,2,9),(28,404,2,24,4,NULL,3,NULL,1),(28,404,2,24,5,3,8,2,2),(28,404,2,24,6,12,13,3,7),(28,404,2,24,7,1,14,1,7),(28,404,2,24,8,3,4,2,3),(28,404,2,24,9,5,7,3,4),(28,404,2,24,10,6,7,3,5),(28,404,2,24,11,1,3,1,2),(28,404,2,24,12,3,11,NULL,6),(28,404,2,24,13,1,15,1,8),(28,404,2,24,14,2,10,NULL,7),(28,404,2,24,15,3,3,NULL,2),(28,404,2,24,16,2,10,1,3),(28,404,2,24,17,1,5,1,2),(28,404,2,24,18,7,16,4,10),(28,404,2,24,19,1,7,NULL,3),(28,404,2,24,20,2,4,2,NULL),(28,404,2,24,21,NULL,7,NULL,2),(28,404,2,24,22,NULL,2,NULL,1),(28,404,2,24,23,NULL,4,NULL,2),(28,404,2,24,24,NULL,7,NULL,2),(28,404,2,24,25,1,5,1,2),(28,404,2,24,26,1,11,NULL,7),(28,404,2,24,27,2,9,NULL,6),(28,404,2,24,28,NULL,1,NULL,NULL),(28,404,2,24,29,NULL,2,NULL,1),(28,404,2,24,30,NULL,4,NULL,2),(28,404,2,24,31,NULL,10,NULL,4),(28,404,2,24,32,2,1,1,NULL),(28,404,2,24,33,1,2,1,1),(28,404,2,24,34,2,6,1,4),(28,404,2,24,35,3,NULL,2,NULL),(28,404,2,24,36,NULL,1,NULL,NULL),(28,404,2,24,37,1,3,NULL,2),(28,404,2,24,38,1,4,NULL,3),(28,404,2,24,39,NULL,2,NULL,1),(28,404,2,24,40,NULL,9,NULL,4),(28,415,1,11,1,1,NULL,NULL,NULL),(28,415,1,11,2,NULL,1,NULL,NULL),(28,415,1,11,3,NULL,3,NULL,NULL),(28,415,1,11,4,1,NULL,NULL,NULL),(28,415,1,11,5,NULL,2,NULL,NULL),(28,415,1,11,6,1,NULL,NULL,NULL),(28,415,1,11,7,NULL,1,NULL,NULL),(28,415,1,11,8,NULL,1,NULL,NULL),(28,415,1,11,9,NULL,1,NULL,NULL),(28,415,1,11,10,2,NULL,NULL,NULL),(28,415,1,11,11,NULL,1,NULL,NULL),(28,415,1,11,12,NULL,NULL,NULL,NULL),(28,415,1,11,13,1,1,NULL,NULL),(28,415,1,11,14,1,1,NULL,NULL),(28,415,1,11,15,1,NULL,NULL,NULL),(28,415,1,11,16,2,1,NULL,NULL),(28,415,1,11,17,NULL,2,NULL,NULL),(28,415,1,11,18,2,1,NULL,NULL),(28,415,1,11,19,NULL,NULL,NULL,NULL),(28,415,1,11,20,1,NULL,NULL,NULL),(28,415,1,11,21,NULL,1,NULL,NULL),(28,415,1,11,22,NULL,1,NULL,NULL),(28,415,1,11,23,1,2,NULL,NULL),(28,415,1,11,24,NULL,NULL,NULL,NULL),(28,415,1,11,25,NULL,NULL,NULL,NULL),(28,415,1,11,26,NULL,NULL,NULL,NULL),(28,415,1,11,27,1,NULL,NULL,NULL),(28,415,1,11,28,NULL,1,NULL,NULL),(28,415,1,11,29,1,NULL,NULL,NULL),(28,415,1,11,30,NULL,2,NULL,NULL),(28,415,1,11,31,NULL,NULL,NULL,NULL),(28,415,1,11,32,NULL,2,NULL,NULL),(28,415,1,11,33,NULL,NULL,NULL,NULL),(28,415,1,11,34,NULL,1,NULL,NULL),(28,415,1,11,35,NULL,2,NULL,NULL),(28,415,1,11,36,1,NULL,NULL,NULL),(28,415,1,11,37,NULL,NULL,NULL,NULL),(28,415,1,11,38,NULL,1,NULL,NULL),(28,415,1,11,39,NULL,2,NULL,NULL),(28,415,1,11,40,1,NULL,NULL,NULL),(28,415,1,12,1,2,NULL,1,NULL),(28,415,1,12,2,NULL,1,NULL,1),(28,415,1,12,3,1,1,1,NULL),(28,415,1,12,4,1,NULL,NULL,NULL),(28,415,1,12,5,NULL,NULL,NULL,NULL),(28,415,1,12,6,1,1,1,NULL),(28,415,1,12,7,1,1,1,NULL),(28,415,1,12,8,1,1,1,NULL),(28,415,1,12,9,2,NULL,1,NULL),(28,415,1,12,10,2,NULL,1,NULL),(28,415,1,12,11,NULL,NULL,NULL,NULL),(28,415,1,12,12,NULL,1,NULL,1),(28,415,1,12,13,2,NULL,1,NULL),(28,415,1,12,14,2,NULL,1,NULL),(28,415,1,12,15,1,NULL,NULL,NULL),(28,415,1,12,16,2,NULL,1,NULL),(28,415,1,12,17,1,NULL,NULL,NULL),(28,415,1,12,18,1,1,1,NULL),(28,415,1,12,19,2,NULL,1,NULL),(28,415,1,12,20,2,NULL,1,NULL),(28,415,1,12,21,NULL,1,NULL,1),(28,415,1,12,22,NULL,1,NULL,1),(28,415,1,12,23,NULL,NULL,NULL,NULL),(28,415,1,12,24,NULL,NULL,NULL,NULL),(28,415,1,12,25,NULL,NULL,NULL,NULL),(28,415,1,12,26,NULL,1,NULL,1),(28,415,1,12,27,NULL,NULL,NULL,NULL),(28,415,1,12,28,NULL,NULL,NULL,NULL),(28,415,1,12,29,NULL,1,NULL,NULL),(28,415,1,12,30,NULL,1,NULL,NULL),(28,415,1,12,31,NULL,NULL,NULL,NULL),(28,415,1,12,32,NULL,NULL,NULL,NULL),(28,415,1,12,33,NULL,1,NULL,NULL),(28,415,1,12,34,1,1,1,NULL),(28,415,1,12,35,NULL,NULL,NULL,NULL),(28,415,1,12,36,NULL,NULL,NULL,NULL),(28,415,1,12,37,NULL,NULL,NULL,NULL),(28,415,1,12,38,NULL,NULL,NULL,NULL),(28,415,1,12,39,1,1,NULL,1),(28,415,1,12,40,1,NULL,1,NULL),(28,415,1,13,1,NULL,NULL,NULL,NULL),(28,415,1,13,2,NULL,NULL,NULL,NULL),(28,415,1,13,3,NULL,1,NULL,NULL),(28,415,1,13,4,NULL,1,NULL,NULL),(28,415,1,13,5,1,NULL,NULL,NULL),(28,415,1,13,6,NULL,1,NULL,NULL),(28,415,1,13,7,NULL,1,NULL,NULL),(28,415,1,13,8,NULL,2,NULL,NULL),(28,415,1,13,9,1,NULL,NULL,NULL),(28,415,1,13,10,1,NULL,NULL,NULL),(28,415,1,13,11,NULL,NULL,NULL,NULL),(28,415,1,13,12,NULL,1,NULL,NULL),(28,415,1,13,13,2,NULL,NULL,NULL),(28,415,1,13,14,2,NULL,NULL,NULL),(28,415,1,13,15,NULL,1,NULL,NULL),(28,415,1,13,16,2,NULL,NULL,NULL),(28,415,1,13,17,NULL,1,NULL,NULL),(28,415,1,13,18,1,NULL,NULL,NULL),(28,415,1,13,19,2,NULL,NULL,NULL),(28,415,1,13,20,NULL,NULL,NULL,NULL),(28,415,1,13,21,NULL,NULL,NULL,NULL),(28,415,1,13,22,NULL,NULL,NULL,NULL),(28,415,1,13,23,NULL,1,NULL,NULL),(28,415,1,13,24,NULL,NULL,NULL,NULL),(28,415,1,13,25,NULL,NULL,NULL,NULL),(28,415,1,13,26,NULL,NULL,NULL,NULL),(28,415,1,13,27,1,NULL,NULL,NULL),(28,415,1,13,28,NULL,NULL,NULL,NULL),(28,415,1,13,29,NULL,1,NULL,NULL),(28,415,1,13,30,NULL,NULL,NULL,NULL),(28,415,1,13,31,NULL,1,NULL,NULL),(28,415,1,13,32,NULL,NULL,NULL,NULL),(28,415,1,13,33,NULL,NULL,NULL,NULL),(28,415,1,13,34,1,NULL,NULL,NULL),(28,415,1,13,35,NULL,NULL,NULL,NULL),(28,415,1,13,36,NULL,NULL,NULL,NULL),(28,415,1,13,37,NULL,NULL,NULL,NULL),(28,415,1,13,38,NULL,NULL,NULL,NULL),(28,415,1,13,39,1,NULL,NULL,NULL),(28,415,1,13,40,NULL,NULL,NULL,NULL),(28,415,1,14,1,62,NULL,25,NULL),(28,415,1,14,2,8,45,8,13),(28,415,1,14,3,39,38,20,12),(28,415,1,14,4,15,35,4,12),(28,415,1,14,5,49,31,15,9),(28,415,1,14,6,27,67,12,17),(28,415,1,14,7,14,33,4,13),(28,415,1,14,8,24,60,11,19),(28,415,1,14,9,28,32,9,7),(28,415,1,14,10,79,14,27,5),(28,415,1,14,11,22,30,13,13),(28,415,1,14,12,23,47,11,13),(28,415,1,14,13,79,28,24,8),(28,415,1,14,14,39,39,13,14),(28,415,1,14,15,78,NULL,25,NULL),(28,415,1,14,16,68,33,22,6),(28,415,1,14,17,36,68,14,13),(28,415,1,14,18,37,36,13,12),(28,415,1,14,19,82,33,20,13),(28,415,1,14,20,58,54,18,14),(28,415,1,14,21,1,20,NULL,6),(28,415,1,14,22,2,27,NULL,7),(28,415,1,14,23,6,29,2,8),(28,415,1,14,24,NULL,NULL,NULL,NULL),(28,415,1,14,25,1,17,NULL,2),(28,415,1,14,26,3,19,NULL,5),(28,415,1,14,27,33,NULL,12,NULL),(28,415,1,14,28,1,5,NULL,NULL),(28,415,1,14,29,2,24,NULL,9),(28,415,1,14,30,14,38,3,17),(28,415,1,14,31,2,10,2,4),(28,415,1,14,32,15,36,4,16),(28,415,1,14,33,18,28,9,12),(28,415,1,14,34,31,34,15,13),(28,415,1,14,35,6,17,4,10),(28,415,1,14,36,6,NULL,4,NULL),(28,415,1,14,37,3,13,2,6),(28,415,1,14,38,11,16,7,7),(28,415,1,14,39,26,43,10,18),(28,415,1,14,40,8,NULL,6,NULL),(28,415,1,15,1,53,NULL,8,NULL),(28,415,1,15,2,6,54,1,8),(28,415,1,15,3,43,27,8,3),(28,415,1,15,4,21,30,NULL,7),(28,415,1,15,5,44,30,6,3),(28,415,1,15,6,17,69,2,8),(28,415,1,15,7,8,23,2,1),(28,415,1,15,8,17,50,1,10),(28,415,1,15,9,19,34,2,10),(28,415,1,15,10,70,11,12,NULL),(28,415,1,15,11,17,27,4,4),(28,415,1,15,12,23,39,2,7),(28,415,1,15,13,81,31,10,3),(28,415,1,15,14,30,32,7,2),(28,415,1,15,15,75,NULL,11,NULL),(28,415,1,15,16,66,39,9,2),(28,415,1,15,17,28,73,6,5),(28,415,1,15,18,33,29,5,4),(28,415,1,15,19,85,28,13,NULL),(28,415,1,15,20,55,62,10,3),(28,415,1,15,21,1,13,NULL,NULL),(28,415,1,15,22,3,16,NULL,2),(28,415,1,15,23,8,31,2,5),(28,415,1,15,24,2,NULL,1,NULL),(28,415,1,15,25,NULL,14,NULL,2),(28,415,1,15,26,2,18,NULL,3),(28,415,1,15,27,20,NULL,5,NULL),(28,415,1,15,28,3,6,1,NULL),(28,415,1,15,29,NULL,18,NULL,2),(28,415,1,15,30,13,32,1,6),(28,415,1,15,31,9,15,3,3),(28,415,1,15,32,17,25,2,4),(28,415,1,15,33,7,22,2,5),(28,415,1,15,34,30,22,6,2),(28,415,1,15,35,4,14,NULL,3),(28,415,1,15,36,4,NULL,NULL,NULL),(28,415,1,15,37,3,20,NULL,6),(28,415,1,15,38,6,11,2,2),(28,415,1,15,39,20,36,5,4),(28,415,1,15,40,9,NULL,3,NULL),(28,415,1,16,1,32,NULL,4,NULL),(28,415,1,16,2,1,17,NULL,2),(28,415,1,16,3,21,21,4,2),(28,415,1,16,4,13,19,1,3),(28,415,1,16,5,25,17,2,2),(28,415,1,16,6,10,36,NULL,3),(28,415,1,16,7,8,15,1,2),(28,415,1,16,8,3,40,NULL,3),(28,415,1,16,9,6,23,1,2),(28,415,1,16,10,35,13,4,1),(28,415,1,16,11,6,14,1,3),(28,415,1,16,12,11,15,1,1),(28,415,1,16,13,72,NULL,5,NULL),(28,415,1,16,14,57,9,4,2),(28,415,1,16,15,29,33,3,3),(28,415,1,16,16,55,NULL,5,NULL),(28,415,1,16,17,40,34,2,3),(28,415,1,16,18,17,20,1,1),(28,415,1,16,19,16,31,2,2),(28,415,1,16,20,14,30,1,3),(28,415,1,16,21,NULL,9,NULL,NULL),(28,415,1,16,22,3,15,NULL,NULL),(28,415,1,16,23,3,13,NULL,1),(28,415,1,16,24,2,NULL,NULL,NULL),(28,415,1,16,25,4,9,NULL,NULL),(28,415,1,16,26,2,8,NULL,NULL),(28,415,1,16,27,9,NULL,2,NULL),(28,415,1,16,28,2,3,NULL,1),(28,415,1,16,29,2,12,NULL,NULL),(28,415,1,16,30,6,19,NULL,3),(28,415,1,16,31,5,4,2,1),(28,415,1,16,32,6,13,NULL,3),(28,415,1,16,33,4,9,NULL,1),(28,415,1,16,34,6,9,2,NULL),(28,415,1,16,35,5,9,2,1),(28,415,1,16,36,1,NULL,NULL,NULL),(28,415,1,16,37,3,8,NULL,1),(28,415,1,16,38,1,12,NULL,2),(28,415,1,16,39,16,18,1,3),(28,415,1,16,40,4,NULL,NULL,NULL),(28,415,1,17,1,30,NULL,6,NULL),(28,415,1,17,2,1,12,NULL,2),(28,415,1,17,3,18,22,1,4),(28,415,1,17,4,7,19,NULL,3),(28,415,1,17,5,15,17,1,2),(28,415,1,17,6,6,32,1,1),(28,415,1,17,7,9,14,1,2),(28,415,1,17,8,9,18,1,2),(28,415,1,17,9,10,11,1,1),(28,415,1,17,10,37,11,5,1),(28,415,1,17,11,8,11,NULL,3),(28,415,1,17,12,7,11,1,NULL),(28,415,1,17,13,68,NULL,6,NULL),(28,415,1,17,14,60,12,3,3),(28,415,1,17,15,23,40,1,4),(28,415,1,17,16,52,NULL,5,NULL),(28,415,1,17,17,37,32,1,5),(28,415,1,17,18,17,21,1,3),(28,415,1,17,19,15,33,2,2),(28,415,1,17,20,10,28,1,NULL),(28,415,1,17,21,1,8,NULL,1),(28,415,1,17,22,3,12,1,NULL),(28,415,1,17,23,1,15,NULL,3),(28,415,1,17,24,NULL,NULL,NULL,NULL),(28,415,1,17,25,2,2,NULL,NULL),(28,415,1,17,26,1,7,NULL,NULL),(28,415,1,17,27,10,NULL,3,NULL),(28,415,1,17,28,1,3,NULL,NULL),(28,415,1,17,29,4,9,NULL,2),(28,415,1,17,30,7,15,NULL,1),(28,415,1,17,31,1,5,NULL,2),(28,415,1,17,32,9,16,2,2),(28,415,1,17,33,NULL,7,NULL,1),(28,415,1,17,34,12,13,2,3),(28,415,1,17,35,1,4,NULL,NULL),(28,415,1,17,36,NULL,NULL,NULL,NULL),(28,415,1,17,37,3,6,NULL,NULL),(28,415,1,17,38,1,10,NULL,2),(28,415,1,17,39,3,25,1,3),(28,415,1,17,40,4,NULL,1,NULL),(28,415,1,18,1,NULL,NULL,NULL,NULL),(28,415,1,18,2,NULL,NULL,NULL,NULL),(28,415,1,18,3,NULL,NULL,NULL,NULL),(28,415,1,18,4,NULL,NULL,NULL,NULL),(28,415,1,18,5,NULL,NULL,NULL,NULL),(28,415,1,18,6,NULL,NULL,NULL,NULL),(28,415,1,18,7,NULL,NULL,NULL,NULL),(28,415,1,18,8,NULL,NULL,NULL,NULL),(28,415,1,18,9,NULL,NULL,NULL,NULL),(28,415,1,18,10,NULL,NULL,NULL,NULL),(28,415,1,18,11,NULL,NULL,NULL,NULL),(28,415,1,18,12,NULL,NULL,NULL,NULL),(28,415,1,18,13,NULL,NULL,NULL,NULL),(28,415,1,18,14,NULL,NULL,NULL,NULL),(28,415,1,18,15,NULL,NULL,NULL,NULL),(28,415,1,18,16,NULL,NULL,NULL,NULL),(28,415,1,18,17,NULL,NULL,NULL,NULL),(28,415,1,18,18,NULL,NULL,NULL,NULL),(28,415,1,18,19,NULL,NULL,NULL,NULL),(28,415,1,18,20,NULL,NULL,NULL,NULL),(28,415,1,18,21,NULL,NULL,NULL,NULL),(28,415,1,18,22,NULL,NULL,NULL,NULL),(28,415,1,18,23,NULL,NULL,NULL,NULL),(28,415,1,18,24,NULL,NULL,NULL,NULL),(28,415,1,18,25,NULL,NULL,NULL,NULL),(28,415,1,18,26,NULL,NULL,NULL,NULL),(28,415,1,18,27,NULL,NULL,NULL,NULL),(28,415,1,18,28,NULL,NULL,NULL,NULL),(28,415,1,18,29,NULL,NULL,NULL,NULL),(28,415,1,18,30,NULL,NULL,NULL,NULL),(28,415,1,18,31,NULL,NULL,NULL,NULL),(28,415,1,18,32,NULL,NULL,NULL,NULL),(28,415,1,18,33,NULL,NULL,NULL,NULL),(28,415,1,18,34,NULL,NULL,NULL,NULL),(28,415,1,18,35,NULL,NULL,NULL,NULL),(28,415,1,18,36,NULL,NULL,NULL,NULL),(28,415,1,18,37,NULL,NULL,NULL,NULL),(28,415,1,18,38,NULL,NULL,NULL,NULL),(28,415,1,18,39,NULL,NULL,NULL,NULL),(28,415,1,18,40,NULL,NULL,NULL,NULL),(28,415,1,19,1,NULL,NULL,NULL,NULL),(28,415,1,19,2,NULL,NULL,NULL,NULL),(28,415,1,19,3,NULL,NULL,NULL,NULL),(28,415,1,19,4,NULL,NULL,NULL,NULL),(28,415,1,19,5,NULL,NULL,NULL,NULL),(28,415,1,19,6,NULL,NULL,NULL,NULL),(28,415,1,19,7,NULL,NULL,NULL,NULL),(28,415,1,19,8,NULL,NULL,NULL,NULL),(28,415,1,19,9,NULL,NULL,NULL,NULL),(28,415,1,19,10,NULL,NULL,NULL,NULL),(28,415,1,19,11,NULL,NULL,NULL,NULL),(28,415,1,19,12,NULL,NULL,NULL,NULL),(28,415,1,19,13,NULL,NULL,NULL,NULL),(28,415,1,19,14,NULL,NULL,NULL,NULL),(28,415,1,19,15,NULL,NULL,NULL,NULL),(28,415,1,19,16,NULL,NULL,NULL,NULL),(28,415,1,19,17,NULL,NULL,NULL,NULL),(28,415,1,19,18,NULL,NULL,NULL,NULL),(28,415,1,19,19,NULL,NULL,NULL,NULL),(28,415,1,19,20,NULL,NULL,NULL,NULL),(28,415,1,19,21,NULL,NULL,NULL,NULL),(28,415,1,19,22,NULL,NULL,NULL,NULL),(28,415,1,19,23,NULL,NULL,NULL,NULL),(28,415,1,19,24,NULL,NULL,NULL,NULL),(28,415,1,19,25,NULL,NULL,NULL,NULL),(28,415,1,19,26,NULL,NULL,NULL,NULL),(28,415,1,19,27,NULL,NULL,NULL,NULL),(28,415,1,19,28,NULL,NULL,NULL,NULL),(28,415,1,19,29,NULL,NULL,NULL,NULL),(28,415,1,19,30,NULL,NULL,NULL,NULL),(28,415,1,19,31,NULL,NULL,NULL,NULL),(28,415,1,19,32,NULL,NULL,NULL,NULL),(28,415,1,19,33,NULL,NULL,NULL,NULL),(28,415,1,19,34,NULL,NULL,NULL,NULL),(28,415,1,19,35,NULL,NULL,NULL,NULL),(28,415,1,19,36,NULL,NULL,NULL,NULL),(28,415,1,19,37,NULL,NULL,NULL,NULL),(28,415,1,19,38,NULL,NULL,NULL,NULL),(28,415,1,19,39,NULL,NULL,NULL,NULL),(28,415,1,19,40,NULL,NULL,NULL,NULL),(28,415,2,21,1,1,46,1,9),(28,415,2,21,2,3,26,2,7),(28,415,2,21,3,44,35,10,5),(28,415,2,21,4,2,14,2,4),(28,415,2,21,5,22,25,9,2),(28,415,2,21,6,40,42,7,6),(28,415,2,21,7,1,46,NULL,12),(28,415,2,21,8,8,27,4,4),(28,415,2,21,9,6,16,1,2),(28,415,2,21,10,24,26,7,5),(28,415,2,21,11,14,18,7,4),(28,415,2,21,12,19,49,3,7),(28,415,2,21,13,16,63,6,9),(28,415,2,21,14,33,32,8,7),(28,415,2,21,15,19,35,4,6),(28,415,2,21,16,23,51,4,10),(28,415,2,21,17,2,17,NULL,2),(28,415,2,21,18,44,46,9,7),(28,415,2,21,19,26,29,4,8),(28,415,2,21,20,45,24,9,3),(28,415,2,21,21,3,13,1,5),(28,415,2,21,22,10,19,5,6),(28,415,2,21,23,3,9,NULL,2),(28,415,2,21,24,3,25,NULL,2),(28,415,2,21,25,5,12,NULL,2),(28,415,2,21,26,3,18,NULL,5),(28,415,2,21,27,8,34,1,12),(28,415,2,21,28,1,20,NULL,5),(28,415,2,21,29,1,11,NULL,3),(28,415,2,21,30,3,15,NULL,4),(28,415,2,21,31,NULL,36,NULL,7),(28,415,2,21,32,1,5,1,3),(28,415,2,21,33,13,13,6,2),(28,415,2,21,34,9,28,3,10),(28,415,2,21,35,15,NULL,1,NULL),(28,415,2,21,36,1,9,NULL,1),(28,415,2,21,37,7,18,2,3),(28,415,2,21,38,2,2,1,2),(28,415,2,21,39,NULL,18,NULL,5),(28,415,2,21,40,4,51,1,10),(28,415,2,22,1,5,42,1,9),(28,415,2,22,2,NULL,34,NULL,7),(28,415,2,22,3,48,31,9,8),(28,415,2,22,4,4,14,NULL,3),(28,415,2,22,5,18,27,3,11),(28,415,2,22,6,29,44,4,8),(28,415,2,22,7,2,45,NULL,10),(28,415,2,22,8,20,21,4,6),(28,415,2,22,9,10,26,1,10),(28,415,2,22,10,29,29,7,8),(28,415,2,22,11,13,21,6,4),(28,415,2,22,12,18,41,5,6),(28,415,2,22,13,20,52,6,8),(28,415,2,22,14,19,42,3,11),(28,415,2,22,15,21,26,3,3),(28,415,2,22,16,14,52,3,11),(28,415,2,22,17,3,13,NULL,2),(28,415,2,22,18,25,50,5,12),(28,415,2,22,19,16,32,3,10),(28,415,2,22,20,38,24,10,6),(28,415,2,22,21,5,15,1,2),(28,415,2,22,22,11,13,5,5),(28,415,2,22,23,1,7,NULL,NULL),(28,415,2,22,24,3,9,NULL,2),(28,415,2,22,25,6,11,2,3),(28,415,2,22,26,4,19,NULL,4),(28,415,2,22,27,9,29,1,9),(28,415,2,22,28,1,23,NULL,10),(28,415,2,22,29,NULL,9,NULL,3),(28,415,2,22,30,1,17,NULL,5),(28,415,2,22,31,4,28,NULL,7),(28,415,2,22,32,2,6,1,3),(28,415,2,22,33,8,17,4,5),(28,415,2,22,34,9,27,6,8),(28,415,2,22,35,16,NULL,6,NULL),(28,415,2,22,36,2,10,NULL,2),(28,415,2,22,37,3,14,2,6),(28,415,2,22,38,NULL,5,NULL,1),(28,415,2,22,39,3,12,1,2),(28,415,2,22,40,5,41,4,8),(28,415,2,23,1,3,32,2,2),(28,415,2,23,2,2,21,1,5),(28,415,2,23,3,51,24,8,3),(28,415,2,23,4,1,19,NULL,5),(28,415,2,23,5,14,21,3,2),(28,415,2,23,6,30,49,5,4),(28,415,2,23,7,1,45,1,6),(28,415,2,23,8,18,21,4,3),(28,415,2,23,9,10,9,2,1),(28,415,2,23,10,29,14,6,1),(28,415,2,23,11,10,13,4,2),(28,415,2,23,12,20,39,4,3),(28,415,2,23,13,4,64,3,4),(28,415,2,23,14,25,34,5,5),(28,415,2,23,15,17,32,4,6),(28,415,2,23,16,17,45,4,4),(28,415,2,23,17,3,10,NULL,1),(28,415,2,23,18,38,28,5,5),(28,415,2,23,19,21,35,1,5),(28,415,2,23,20,34,24,7,2),(28,415,2,23,21,3,17,2,4),(28,415,2,23,22,14,9,6,2),(28,415,2,23,23,1,6,NULL,NULL),(28,415,2,23,24,7,17,2,3),(28,415,2,23,25,3,14,1,3),(28,415,2,23,26,5,17,NULL,2),(28,415,2,23,27,6,26,3,2),(28,415,2,23,28,1,6,NULL,1),(28,415,2,23,29,1,10,NULL,1),(28,415,2,23,30,3,12,1,1),(28,415,2,23,31,3,38,2,7),(28,415,2,23,32,NULL,7,NULL,2),(28,415,2,23,33,12,12,5,3),(28,415,2,23,34,2,26,1,3),(28,415,2,23,35,15,NULL,2,NULL),(28,415,2,23,36,3,8,NULL,4),(28,415,2,23,37,5,8,3,4),(28,415,2,23,38,3,6,NULL,NULL),(28,415,2,23,39,4,7,1,NULL),(28,415,2,23,40,1,40,1,7),(28,415,2,24,1,2,41,1,9),(28,415,2,24,2,1,23,1,5),(28,415,2,24,3,42,30,5,7),(28,415,2,24,4,3,12,NULL,2),(28,415,2,24,5,10,19,2,5),(28,415,2,24,6,38,30,6,6),(28,415,2,24,7,NULL,29,NULL,4),(28,415,2,24,8,12,20,4,2),(28,415,2,24,9,8,11,2,5),(28,415,2,24,10,18,29,4,6),(28,415,2,24,11,16,12,5,3),(28,415,2,24,12,25,28,5,5),(28,415,2,24,13,9,55,2,9),(28,415,2,24,14,19,31,9,4),(28,415,2,24,15,10,31,3,6),(28,415,2,24,16,15,48,1,8),(28,415,2,24,17,3,16,1,5),(28,415,2,24,18,40,29,7,5),(28,415,2,24,19,20,27,4,5),(28,415,2,24,20,36,15,9,1),(28,415,2,24,21,1,10,NULL,NULL),(28,415,2,24,22,10,10,3,3),(28,415,2,24,23,1,16,NULL,5),(28,415,2,24,24,5,16,NULL,2),(28,415,2,24,25,NULL,15,NULL,5),(28,415,2,24,26,NULL,18,NULL,4),(28,415,2,24,27,4,24,NULL,9),(28,415,2,24,28,1,9,NULL,1),(28,415,2,24,29,1,17,NULL,5),(28,415,2,24,30,NULL,15,NULL,2),(28,415,2,24,31,4,34,1,8),(28,415,2,24,32,2,3,NULL,NULL),(28,415,2,24,33,3,13,1,3),(28,415,2,24,34,4,31,NULL,7),(28,415,2,24,35,18,NULL,1,NULL),(28,415,2,24,36,3,6,NULL,2),(28,415,2,24,37,4,14,2,6),(28,415,2,24,38,2,5,NULL,3),(28,415,2,24,39,NULL,16,NULL,2),(28,415,2,24,40,5,35,2,6),(28,421,1,11,1,1,NULL,1,NULL),(28,421,1,11,2,NULL,NULL,NULL,NULL),(28,421,1,11,3,1,1,1,1),(28,421,1,11,4,1,1,1,1),(28,421,1,11,5,2,1,2,1),(28,421,1,11,6,NULL,NULL,NULL,NULL),(28,421,1,11,7,NULL,2,NULL,2),(28,421,1,11,8,NULL,3,NULL,3),(28,421,1,11,9,2,NULL,2,NULL),(28,421,1,11,10,2,NULL,2,NULL),(28,421,1,11,11,1,1,1,1),(28,421,1,11,12,1,3,1,3),(28,421,1,11,13,2,2,2,1),(28,421,1,11,14,4,1,4,NULL),(28,421,1,11,15,2,2,2,1),(28,421,1,11,16,3,2,3,1),(28,421,1,11,17,2,3,2,2),(28,421,1,11,18,2,1,2,1),(28,421,1,11,19,4,NULL,3,NULL),(28,421,1,11,20,1,NULL,1,NULL),(28,421,1,11,21,NULL,NULL,NULL,NULL),(28,421,1,11,22,NULL,NULL,NULL,NULL),(28,421,1,11,23,NULL,NULL,NULL,NULL),(28,421,1,11,24,NULL,NULL,NULL,NULL),(28,421,1,11,25,2,1,2,1),(28,421,1,11,26,NULL,1,NULL,1),(28,421,1,11,27,NULL,NULL,NULL,NULL),(28,421,1,11,28,NULL,NULL,NULL,NULL),(28,421,1,11,29,NULL,NULL,NULL,NULL),(28,421,1,11,30,NULL,1,NULL,1),(28,421,1,11,31,NULL,NULL,NULL,NULL),(28,421,1,11,32,1,1,1,1),(28,421,1,11,33,NULL,1,NULL,1),(28,421,1,11,34,NULL,1,NULL,1),(28,421,1,11,35,NULL,1,NULL,1),(28,421,1,11,36,NULL,NULL,NULL,NULL),(28,421,1,11,37,NULL,NULL,NULL,NULL),(28,421,1,11,38,NULL,1,NULL,1),(28,421,1,11,39,NULL,1,NULL,1),(28,421,1,11,40,NULL,NULL,NULL,NULL),(28,421,1,12,1,1,NULL,1,NULL),(28,421,1,12,2,NULL,1,NULL,1),(28,421,1,12,3,NULL,NULL,NULL,NULL),(28,421,1,12,4,NULL,NULL,NULL,NULL),(28,421,1,12,5,NULL,1,NULL,1),(28,421,1,12,6,NULL,NULL,NULL,NULL),(28,421,1,12,7,NULL,NULL,NULL,NULL),(28,421,1,12,8,NULL,1,NULL,1),(28,421,1,12,9,NULL,NULL,NULL,NULL),(28,421,1,12,10,NULL,NULL,NULL,NULL),(28,421,1,12,11,NULL,NULL,NULL,NULL),(28,421,1,12,12,NULL,1,NULL,1),(28,421,1,12,13,NULL,NULL,NULL,NULL),(28,421,1,12,14,NULL,NULL,NULL,NULL),(28,421,1,12,15,NULL,NULL,NULL,NULL),(28,421,1,12,16,1,NULL,1,NULL),(28,421,1,12,17,1,NULL,1,NULL),(28,421,1,12,18,NULL,NULL,NULL,NULL),(28,421,1,12,19,NULL,1,NULL,1),(28,421,1,12,20,1,NULL,1,NULL),(28,421,1,12,21,NULL,1,NULL,1),(28,421,1,12,22,1,NULL,1,NULL),(28,421,1,12,23,NULL,NULL,NULL,NULL),(28,421,1,12,24,NULL,NULL,NULL,NULL),(28,421,1,12,25,NULL,NULL,NULL,NULL),(28,421,1,12,26,NULL,NULL,NULL,NULL),(28,421,1,12,27,NULL,NULL,NULL,NULL),(28,421,1,12,28,NULL,1,NULL,1),(28,421,1,12,29,NULL,NULL,NULL,NULL),(28,421,1,12,30,NULL,NULL,NULL,NULL),(28,421,1,12,31,NULL,NULL,NULL,NULL),(28,421,1,12,32,NULL,NULL,NULL,NULL),(28,421,1,12,33,NULL,NULL,NULL,NULL),(28,421,1,12,34,NULL,NULL,NULL,NULL),(28,421,1,12,35,NULL,NULL,NULL,NULL),(28,421,1,12,36,NULL,NULL,NULL,NULL),(28,421,1,12,37,NULL,NULL,NULL,NULL),(28,421,1,12,38,NULL,NULL,NULL,NULL),(28,421,1,12,39,NULL,NULL,NULL,NULL),(28,421,1,12,40,NULL,NULL,NULL,NULL),(28,421,1,13,1,NULL,NULL,NULL,NULL),(28,421,1,13,2,NULL,1,NULL,NULL),(28,421,1,13,3,NULL,NULL,NULL,NULL),(28,421,1,13,4,NULL,NULL,NULL,NULL),(28,421,1,13,5,NULL,1,NULL,NULL),(28,421,1,13,6,NULL,NULL,NULL,NULL),(28,421,1,13,7,NULL,NULL,NULL,NULL),(28,421,1,13,8,NULL,1,NULL,NULL),(28,421,1,13,9,NULL,NULL,NULL,NULL),(28,421,1,13,10,NULL,NULL,NULL,NULL),(28,421,1,13,11,NULL,NULL,NULL,NULL),(28,421,1,13,12,NULL,NULL,NULL,NULL),(28,421,1,13,13,1,NULL,NULL,NULL),(28,421,1,13,14,1,NULL,NULL,NULL),(28,421,1,13,15,NULL,NULL,NULL,NULL),(28,421,1,13,16,NULL,1,NULL,NULL),(28,421,1,13,17,NULL,NULL,NULL,NULL),(28,421,1,13,18,NULL,NULL,NULL,NULL),(28,421,1,13,19,NULL,NULL,NULL,NULL),(28,421,1,13,20,NULL,1,NULL,NULL),(28,421,1,13,21,NULL,1,NULL,NULL),(28,421,1,13,22,NULL,NULL,NULL,NULL),(28,421,1,13,23,1,NULL,NULL,NULL),(28,421,1,13,24,NULL,NULL,NULL,NULL),(28,421,1,13,25,NULL,NULL,NULL,NULL),(28,421,1,13,26,NULL,NULL,NULL,NULL),(28,421,1,13,27,NULL,NULL,NULL,NULL),(28,421,1,13,28,NULL,NULL,NULL,NULL),(28,421,1,13,29,NULL,NULL,NULL,NULL),(28,421,1,13,30,NULL,NULL,NULL,NULL),(28,421,1,13,31,NULL,NULL,NULL,NULL),(28,421,1,13,32,NULL,NULL,NULL,NULL),(28,421,1,13,33,NULL,NULL,NULL,NULL),(28,421,1,13,34,NULL,NULL,NULL,NULL),(28,421,1,13,35,NULL,NULL,NULL,NULL),(28,421,1,13,36,NULL,NULL,NULL,NULL),(28,421,1,13,37,NULL,NULL,NULL,NULL),(28,421,1,13,38,NULL,NULL,NULL,NULL),(28,421,1,13,39,NULL,NULL,NULL,NULL),(28,421,1,13,40,NULL,NULL,NULL,NULL),(28,421,1,14,1,2,NULL,1,NULL),(28,421,1,14,2,NULL,1,NULL,2),(28,421,1,14,3,1,2,2,2),(28,421,1,14,4,NULL,NULL,1,NULL),(28,421,1,14,5,2,4,5,4),(28,421,1,14,6,NULL,2,1,2),(28,421,1,14,7,1,2,1,2),(28,421,1,14,8,1,NULL,1,NULL),(28,421,1,14,9,NULL,1,1,2),(28,421,1,14,10,1,1,1,1),(28,421,1,14,11,NULL,2,NULL,2),(28,421,1,14,12,2,1,2,1),(28,421,1,14,13,3,4,5,3),(28,421,1,14,14,2,2,3,2),(28,421,1,14,15,5,NULL,6,NULL),(28,421,1,14,16,6,NULL,6,1),(28,421,1,14,17,1,5,2,5),(28,421,1,14,18,3,2,3,2),(28,421,1,14,19,5,3,6,2),(28,421,1,14,20,NULL,8,2,6),(28,421,1,14,21,NULL,1,NULL,3),(28,421,1,14,22,NULL,1,NULL,2),(28,421,1,14,23,NULL,1,1,1),(28,421,1,14,24,NULL,NULL,NULL,NULL),(28,421,1,14,25,1,1,1,1),(28,421,1,14,26,NULL,NULL,NULL,1),(28,421,1,14,27,1,NULL,1,NULL),(28,421,1,14,28,NULL,NULL,1,NULL),(28,421,1,14,29,1,1,1,1),(28,421,1,14,30,2,1,2,1),(28,421,1,14,31,NULL,NULL,NULL,NULL),(28,421,1,14,32,NULL,2,NULL,2),(28,421,1,14,33,NULL,NULL,NULL,1),(28,421,1,14,34,NULL,NULL,NULL,NULL),(28,421,1,14,35,2,NULL,1,NULL),(28,421,1,14,36,NULL,NULL,NULL,NULL),(28,421,1,14,37,NULL,1,NULL,1),(28,421,1,14,38,NULL,1,NULL,1),(28,421,1,14,39,NULL,1,NULL,1),(28,421,1,14,40,1,NULL,1,NULL),(28,421,1,15,1,1,NULL,3,NULL),(28,421,1,15,2,NULL,1,NULL,1),(28,421,1,15,3,1,1,1,1),(28,421,1,15,4,NULL,NULL,NULL,NULL),(28,421,1,15,5,1,NULL,1,NULL),(28,421,1,15,6,NULL,1,1,2),(28,421,1,15,7,NULL,1,2,2),(28,421,1,15,8,NULL,1,NULL,NULL),(28,421,1,15,9,NULL,1,NULL,2),(28,421,1,15,10,NULL,2,NULL,2),(28,421,1,15,11,NULL,1,NULL,1),(28,421,1,15,12,NULL,1,NULL,1),(28,421,1,15,13,2,2,3,3),(28,421,1,15,14,1,1,2,3),(28,421,1,15,15,3,NULL,6,NULL),(28,421,1,15,16,NULL,1,2,NULL),(28,421,1,15,17,NULL,2,2,1),(28,421,1,15,18,NULL,NULL,NULL,1),(28,421,1,15,19,1,NULL,1,1),(28,421,1,15,20,NULL,2,1,2),(28,421,1,15,21,NULL,NULL,NULL,NULL),(28,421,1,15,22,NULL,1,NULL,1),(28,421,1,15,23,NULL,1,NULL,2),(28,421,1,15,24,NULL,NULL,NULL,NULL),(28,421,1,15,25,NULL,NULL,NULL,NULL),(28,421,1,15,26,NULL,NULL,NULL,NULL),(28,421,1,15,27,2,NULL,1,NULL),(28,421,1,15,28,NULL,NULL,NULL,NULL),(28,421,1,15,29,NULL,2,NULL,2),(28,421,1,15,30,NULL,NULL,NULL,1),(28,421,1,15,31,NULL,1,NULL,1),(28,421,1,15,32,NULL,1,NULL,3),(28,421,1,15,33,NULL,2,NULL,2),(28,421,1,15,34,NULL,2,NULL,1),(28,421,1,15,35,NULL,1,NULL,1),(28,421,1,15,36,NULL,NULL,NULL,NULL),(28,421,1,15,37,NULL,NULL,NULL,NULL),(28,421,1,15,38,NULL,NULL,NULL,1),(28,421,1,15,39,NULL,1,NULL,2),(28,421,1,15,40,NULL,NULL,1,NULL),(28,421,1,16,1,2,NULL,2,NULL),(28,421,1,16,2,NULL,NULL,NULL,NULL),(28,421,1,16,3,1,2,1,2),(28,421,1,16,4,2,1,2,1),(28,421,1,16,5,1,2,1,3),(28,421,1,16,6,1,3,NULL,3),(28,421,1,16,7,NULL,3,NULL,3),(28,421,1,16,8,1,1,NULL,1),(28,421,1,16,9,1,NULL,NULL,NULL),(28,421,1,16,10,2,1,1,1),(28,421,1,16,11,1,NULL,1,NULL),(28,421,1,16,12,NULL,NULL,NULL,NULL),(28,421,1,16,13,6,NULL,5,NULL),(28,421,1,16,14,5,1,4,1),(28,421,1,16,15,1,3,NULL,2),(28,421,1,16,16,4,NULL,3,NULL),(28,421,1,16,17,2,4,1,3),(28,421,1,16,18,1,2,1,2),(28,421,1,16,19,NULL,1,NULL,NULL),(28,421,1,16,20,2,1,1,2),(28,421,1,16,21,NULL,1,NULL,2),(28,421,1,16,22,NULL,1,NULL,1),(28,421,1,16,23,NULL,1,1,1),(28,421,1,16,24,NULL,NULL,NULL,NULL),(28,421,1,16,25,NULL,NULL,NULL,NULL),(28,421,1,16,26,1,NULL,1,NULL),(28,421,1,16,27,1,NULL,1,NULL),(28,421,1,16,28,NULL,NULL,NULL,NULL),(28,421,1,16,29,NULL,1,NULL,1),(28,421,1,16,30,NULL,1,1,1),(28,421,1,16,31,NULL,1,NULL,1),(28,421,1,16,32,NULL,NULL,NULL,NULL),(28,421,1,16,33,NULL,1,NULL,1),(28,421,1,16,34,NULL,1,NULL,1),(28,421,1,16,35,NULL,1,NULL,1),(28,421,1,16,36,NULL,NULL,NULL,NULL),(28,421,1,16,37,NULL,NULL,NULL,NULL),(28,421,1,16,38,NULL,1,NULL,1),(28,421,1,16,39,2,2,2,2),(28,421,1,16,40,NULL,NULL,NULL,NULL),(28,421,1,17,1,1,NULL,NULL,NULL),(28,421,1,17,2,NULL,NULL,NULL,NULL),(28,421,1,17,3,NULL,NULL,NULL,NULL),(28,421,1,17,4,NULL,1,NULL,NULL),(28,421,1,17,5,2,NULL,1,NULL),(28,421,1,17,6,1,NULL,1,NULL),(28,421,1,17,7,NULL,NULL,NULL,NULL),(28,421,1,17,8,NULL,NULL,NULL,NULL),(28,421,1,17,9,NULL,NULL,NULL,NULL),(28,421,1,17,10,NULL,NULL,NULL,NULL),(28,421,1,17,11,NULL,NULL,NULL,NULL),(28,421,1,17,12,NULL,NULL,NULL,NULL),(28,421,1,17,13,2,NULL,1,NULL),(28,421,1,17,14,2,NULL,1,NULL),(28,421,1,17,15,1,NULL,NULL,NULL),(28,421,1,17,16,2,NULL,1,NULL),(28,421,1,17,17,NULL,1,NULL,NULL),(28,421,1,17,18,NULL,NULL,NULL,NULL),(28,421,1,17,19,2,NULL,1,NULL),(28,421,1,17,20,2,NULL,1,NULL),(28,421,1,17,21,NULL,NULL,NULL,NULL),(28,421,1,17,22,1,NULL,1,NULL),(28,421,1,17,23,NULL,NULL,NULL,NULL),(28,421,1,17,24,NULL,NULL,NULL,NULL),(28,421,1,17,25,NULL,NULL,NULL,NULL),(28,421,1,17,26,NULL,NULL,NULL,NULL),(28,421,1,17,27,NULL,NULL,NULL,NULL),(28,421,1,17,28,NULL,NULL,NULL,NULL),(28,421,1,17,29,NULL,NULL,NULL,NULL),(28,421,1,17,30,NULL,NULL,NULL,NULL),(28,421,1,17,31,NULL,NULL,NULL,NULL),(28,421,1,17,32,2,NULL,1,NULL),(28,421,1,17,33,NULL,NULL,NULL,NULL),(28,421,1,17,34,NULL,NULL,NULL,NULL),(28,421,1,17,35,NULL,NULL,NULL,NULL),(28,421,1,17,36,NULL,NULL,NULL,NULL),(28,421,1,17,37,NULL,NULL,NULL,NULL),(28,421,1,17,38,NULL,NULL,NULL,NULL),(28,421,1,17,39,NULL,NULL,NULL,NULL),(28,421,1,17,40,NULL,NULL,NULL,NULL),(28,421,1,18,1,NULL,NULL,NULL,NULL),(28,421,1,18,2,NULL,NULL,NULL,NULL),(28,421,1,18,3,NULL,NULL,NULL,NULL),(28,421,1,18,4,NULL,NULL,NULL,NULL),(28,421,1,18,5,NULL,NULL,NULL,NULL),(28,421,1,18,6,NULL,NULL,NULL,NULL),(28,421,1,18,7,NULL,NULL,NULL,NULL),(28,421,1,18,8,NULL,NULL,NULL,NULL),(28,421,1,18,9,NULL,NULL,NULL,NULL),(28,421,1,18,10,NULL,NULL,NULL,NULL),(28,421,1,18,11,NULL,NULL,NULL,NULL),(28,421,1,18,12,NULL,NULL,NULL,NULL),(28,421,1,18,13,NULL,NULL,NULL,NULL),(28,421,1,18,14,NULL,NULL,NULL,NULL),(28,421,1,18,15,NULL,NULL,NULL,NULL),(28,421,1,18,16,NULL,NULL,NULL,NULL),(28,421,1,18,17,NULL,NULL,NULL,NULL),(28,421,1,18,18,NULL,NULL,NULL,NULL),(28,421,1,18,19,NULL,NULL,NULL,NULL),(28,421,1,18,20,NULL,NULL,NULL,NULL),(28,421,1,18,21,NULL,NULL,NULL,NULL),(28,421,1,18,22,NULL,NULL,NULL,NULL),(28,421,1,18,23,NULL,NULL,NULL,NULL),(28,421,1,18,24,NULL,NULL,NULL,NULL),(28,421,1,18,25,NULL,NULL,NULL,NULL),(28,421,1,18,26,NULL,NULL,NULL,NULL),(28,421,1,18,27,NULL,NULL,NULL,NULL),(28,421,1,18,28,NULL,NULL,NULL,NULL),(28,421,1,18,29,NULL,NULL,NULL,NULL),(28,421,1,18,30,NULL,NULL,NULL,NULL),(28,421,1,18,31,NULL,NULL,NULL,NULL),(28,421,1,18,32,NULL,NULL,NULL,NULL),(28,421,1,18,33,NULL,NULL,NULL,NULL),(28,421,1,18,34,NULL,NULL,NULL,NULL),(28,421,1,18,35,NULL,NULL,NULL,NULL),(28,421,1,18,36,NULL,NULL,NULL,NULL),(28,421,1,18,37,NULL,NULL,NULL,NULL),(28,421,1,18,38,NULL,NULL,NULL,NULL),(28,421,1,18,39,NULL,NULL,NULL,NULL),(28,421,1,18,40,NULL,NULL,NULL,NULL),(28,421,1,19,1,NULL,NULL,NULL,NULL),(28,421,1,19,2,NULL,NULL,NULL,NULL),(28,421,1,19,3,NULL,NULL,NULL,NULL),(28,421,1,19,4,NULL,NULL,NULL,NULL),(28,421,1,19,5,NULL,NULL,NULL,NULL),(28,421,1,19,6,NULL,NULL,NULL,NULL),(28,421,1,19,7,NULL,NULL,NULL,NULL),(28,421,1,19,8,NULL,NULL,NULL,NULL),(28,421,1,19,9,NULL,NULL,NULL,NULL),(28,421,1,19,10,NULL,NULL,NULL,NULL),(28,421,1,19,11,NULL,NULL,NULL,NULL),(28,421,1,19,12,NULL,NULL,NULL,NULL),(28,421,1,19,13,NULL,NULL,NULL,NULL),(28,421,1,19,14,NULL,NULL,NULL,NULL),(28,421,1,19,15,NULL,NULL,NULL,NULL),(28,421,1,19,16,NULL,NULL,NULL,NULL),(28,421,1,19,17,NULL,NULL,NULL,NULL),(28,421,1,19,18,NULL,NULL,NULL,NULL),(28,421,1,19,19,NULL,NULL,NULL,NULL),(28,421,1,19,20,NULL,NULL,NULL,NULL),(28,421,1,19,21,NULL,NULL,NULL,NULL),(28,421,1,19,22,NULL,NULL,NULL,NULL),(28,421,1,19,23,NULL,NULL,NULL,NULL),(28,421,1,19,24,NULL,NULL,NULL,NULL),(28,421,1,19,25,NULL,NULL,NULL,NULL),(28,421,1,19,26,NULL,NULL,NULL,NULL),(28,421,1,19,27,NULL,NULL,NULL,NULL),(28,421,1,19,28,NULL,NULL,NULL,NULL),(28,421,1,19,29,NULL,NULL,NULL,NULL),(28,421,1,19,30,NULL,NULL,NULL,NULL),(28,421,1,19,31,NULL,NULL,NULL,NULL),(28,421,1,19,32,NULL,NULL,NULL,NULL),(28,421,1,19,33,NULL,NULL,NULL,NULL),(28,421,1,19,34,NULL,NULL,NULL,NULL),(28,421,1,19,35,NULL,NULL,NULL,NULL),(28,421,1,19,36,NULL,NULL,NULL,NULL),(28,421,1,19,37,NULL,NULL,NULL,NULL),(28,421,1,19,38,NULL,NULL,NULL,NULL),(28,421,1,19,39,NULL,NULL,NULL,NULL),(28,421,1,19,40,NULL,NULL,NULL,NULL),(28,421,2,21,1,NULL,1,NULL,1),(28,421,2,21,2,NULL,NULL,NULL,1),(28,421,2,21,3,3,2,4,2),(28,421,2,21,4,NULL,1,NULL,1),(28,421,2,21,5,1,1,3,1),(28,421,2,21,6,1,2,1,3),(28,421,2,21,7,NULL,1,NULL,1),(28,421,2,21,8,NULL,NULL,2,NULL),(28,421,2,21,9,1,1,1,1),(28,421,2,21,10,2,2,3,2),(28,421,2,21,11,NULL,1,NULL,1),(28,421,2,21,12,NULL,3,NULL,4),(28,421,2,21,13,1,1,1,3),(28,421,2,21,14,NULL,2,NULL,3),(28,421,2,21,15,1,NULL,2,NULL),(28,421,2,21,16,1,1,1,2),(28,421,2,21,17,1,1,1,1),(28,421,2,21,18,NULL,2,1,2),(28,421,2,21,19,NULL,2,2,2),(28,421,2,21,20,NULL,1,NULL,3),(28,421,2,21,21,NULL,1,NULL,1),(28,421,2,21,22,1,NULL,1,1),(28,421,2,21,23,NULL,1,NULL,1),(28,421,2,21,24,NULL,1,NULL,2),(28,421,2,21,25,NULL,NULL,NULL,NULL),(28,421,2,21,26,NULL,2,NULL,2),(28,421,2,21,27,NULL,NULL,NULL,1),(28,421,2,21,28,NULL,NULL,NULL,NULL),(28,421,2,21,29,NULL,NULL,NULL,NULL),(28,421,2,21,30,NULL,NULL,NULL,NULL),(28,421,2,21,31,NULL,2,NULL,2),(28,421,2,21,32,NULL,NULL,NULL,1),(28,421,2,21,33,NULL,1,NULL,1),(28,421,2,21,34,NULL,NULL,NULL,NULL),(28,421,2,21,35,NULL,NULL,NULL,NULL),(28,421,2,21,36,NULL,NULL,NULL,NULL),(28,421,2,21,37,NULL,NULL,NULL,NULL),(28,421,2,21,38,NULL,NULL,NULL,NULL),(28,421,2,21,39,NULL,NULL,NULL,1),(28,421,2,21,40,NULL,2,NULL,3),(28,421,2,22,1,NULL,2,NULL,1),(28,421,2,22,2,NULL,1,NULL,2),(28,421,2,22,3,2,4,3,4),(28,421,2,22,4,NULL,NULL,NULL,NULL),(28,421,2,22,5,NULL,3,NULL,3),(28,421,2,22,6,1,4,3,3),(28,421,2,22,7,1,1,NULL,2),(28,421,2,22,8,1,2,1,3),(28,421,2,22,9,1,1,1,1),(28,421,2,22,10,NULL,4,NULL,4),(28,421,2,22,11,NULL,2,NULL,2),(28,421,2,22,12,NULL,4,NULL,3),(28,421,2,22,13,1,2,1,1),(28,421,2,22,14,1,6,1,5),(28,421,2,22,15,1,4,1,4),(28,421,2,22,16,1,4,1,3),(28,421,2,22,17,NULL,2,NULL,2),(28,421,2,22,18,4,5,2,5),(28,421,2,22,19,2,5,1,5),(28,421,2,22,20,2,1,2,1),(28,421,2,22,21,NULL,1,NULL,1),(28,421,2,22,22,1,1,1,1),(28,421,2,22,23,NULL,1,NULL,1),(28,421,2,22,24,NULL,1,NULL,1),(28,421,2,22,25,NULL,1,1,1),(28,421,2,22,26,NULL,1,NULL,1),(28,421,2,22,27,NULL,2,NULL,2),(28,421,2,22,28,NULL,NULL,NULL,1),(28,421,2,22,29,NULL,1,NULL,1),(28,421,2,22,30,1,1,1,1),(28,421,2,22,31,NULL,2,NULL,2),(28,421,2,22,32,NULL,NULL,NULL,NULL),(28,421,2,22,33,NULL,2,NULL,2),(28,421,2,22,34,1,2,2,2),(28,421,2,22,35,2,NULL,2,NULL),(28,421,2,22,36,NULL,NULL,NULL,NULL),(28,421,2,22,37,NULL,3,NULL,3),(28,421,2,22,38,NULL,NULL,NULL,NULL),(28,421,2,22,39,NULL,NULL,NULL,NULL),(28,421,2,22,40,NULL,3,NULL,1),(28,421,2,23,1,1,1,1,2),(28,421,2,23,2,NULL,1,NULL,2),(28,421,2,23,3,3,1,3,1),(28,421,2,23,4,1,NULL,1,1),(28,421,2,23,5,1,1,1,1),(28,421,2,23,6,4,1,4,1),(28,421,2,23,7,NULL,1,NULL,1),(28,421,2,23,8,1,2,1,3),(28,421,2,23,9,1,1,2,1),(28,421,2,23,10,1,1,1,1),(28,421,2,23,11,NULL,2,NULL,2),(28,421,2,23,12,1,1,1,2),(28,421,2,23,13,NULL,4,NULL,4),(28,421,2,23,14,2,3,3,3),(28,421,2,23,15,NULL,1,NULL,1),(28,421,2,23,16,1,2,1,3),(28,421,2,23,17,1,1,1,1),(28,421,2,23,18,3,1,4,1),(28,421,2,23,19,2,1,2,2),(28,421,2,23,20,1,1,1,1),(28,421,2,23,21,NULL,1,NULL,1),(28,421,2,23,22,1,NULL,1,NULL),(28,421,2,23,23,NULL,NULL,NULL,NULL),(28,421,2,23,24,NULL,2,NULL,3),(28,421,2,23,25,NULL,NULL,NULL,1),(28,421,2,23,26,1,1,1,1),(28,421,2,23,27,1,1,1,1),(28,421,2,23,28,1,NULL,1,NULL),(28,421,2,23,29,NULL,NULL,NULL,NULL),(28,421,2,23,30,NULL,NULL,NULL,NULL),(28,421,2,23,31,NULL,3,NULL,3),(28,421,2,23,32,NULL,NULL,NULL,NULL),(28,421,2,23,33,NULL,2,NULL,3),(28,421,2,23,34,NULL,NULL,NULL,NULL),(28,421,2,23,35,1,NULL,1,NULL),(28,421,2,23,36,NULL,1,NULL,1),(28,421,2,23,37,NULL,NULL,NULL,NULL),(28,421,2,23,38,NULL,1,NULL,1),(28,421,2,23,39,NULL,2,NULL,2),(28,421,2,23,40,NULL,3,NULL,4),(28,421,2,24,1,1,2,1,1),(28,421,2,24,2,NULL,2,NULL,2),(28,421,2,24,3,1,3,1,2),(28,421,2,24,4,NULL,NULL,NULL,NULL),(28,421,2,24,5,NULL,2,NULL,1),(28,421,2,24,6,5,1,5,NULL),(28,421,2,24,7,NULL,1,NULL,NULL),(28,421,2,24,8,NULL,3,NULL,1),(28,421,2,24,9,NULL,NULL,NULL,NULL),(28,421,2,24,10,2,1,1,NULL),(28,421,2,24,11,NULL,NULL,1,NULL),(28,421,2,24,12,1,2,2,NULL),(28,421,2,24,13,1,2,2,2),(28,421,2,24,14,1,1,1,1),(28,421,2,24,15,2,1,1,NULL),(28,421,2,24,16,2,NULL,1,NULL),(28,421,2,24,17,NULL,NULL,NULL,NULL),(28,421,2,24,18,3,1,1,1),(28,421,2,24,19,2,2,NULL,3),(28,421,2,24,20,NULL,NULL,NULL,NULL),(28,421,2,24,21,NULL,2,NULL,1),(28,421,2,24,22,NULL,NULL,NULL,NULL),(28,421,2,24,23,NULL,NULL,NULL,NULL),(28,421,2,24,24,1,NULL,2,NULL),(28,421,2,24,25,NULL,1,NULL,2),(28,421,2,24,26,1,1,1,1),(28,421,2,24,27,NULL,1,NULL,1),(28,421,2,24,28,NULL,NULL,NULL,NULL),(28,421,2,24,29,NULL,NULL,NULL,NULL),(28,421,2,24,30,1,NULL,NULL,NULL),(28,421,2,24,31,NULL,1,NULL,1),(28,421,2,24,32,NULL,NULL,NULL,NULL),(28,421,2,24,33,NULL,NULL,NULL,NULL),(28,421,2,24,34,NULL,2,NULL,1),(28,421,2,24,35,NULL,NULL,NULL,NULL),(28,421,2,24,36,NULL,NULL,NULL,NULL),(28,421,2,24,37,NULL,1,NULL,NULL),(28,421,2,24,38,NULL,NULL,NULL,NULL),(28,421,2,24,39,NULL,NULL,NULL,NULL),(28,421,2,24,40,NULL,1,NULL,1),(28,423,1,11,1,NULL,NULL,NULL,NULL),(28,423,1,11,2,NULL,NULL,NULL,NULL),(28,423,1,11,3,NULL,NULL,NULL,NULL),(28,423,1,11,4,NULL,NULL,NULL,NULL),(28,423,1,11,5,NULL,NULL,NULL,NULL),(28,423,1,11,6,NULL,NULL,NULL,NULL),(28,423,1,11,7,NULL,NULL,NULL,NULL),(28,423,1,11,8,NULL,NULL,NULL,NULL),(28,423,1,11,9,NULL,NULL,NULL,NULL),(28,423,1,11,10,NULL,NULL,NULL,NULL),(28,423,1,11,11,NULL,NULL,NULL,NULL),(28,423,1,11,12,NULL,NULL,NULL,NULL),(28,423,1,11,13,NULL,NULL,NULL,NULL),(28,423,1,11,14,NULL,NULL,NULL,NULL),(28,423,1,11,15,NULL,NULL,NULL,NULL),(28,423,1,11,16,NULL,NULL,NULL,NULL),(28,423,1,11,17,NULL,NULL,NULL,NULL),(28,423,1,11,18,NULL,NULL,NULL,NULL),(28,423,1,11,19,NULL,NULL,NULL,NULL),(28,423,1,11,20,NULL,NULL,NULL,NULL),(28,423,1,11,21,NULL,NULL,NULL,NULL),(28,423,1,11,22,NULL,NULL,NULL,NULL),(28,423,1,11,23,NULL,NULL,NULL,NULL),(28,423,1,11,24,NULL,NULL,NULL,NULL),(28,423,1,11,25,NULL,NULL,NULL,NULL),(28,423,1,11,26,NULL,NULL,NULL,NULL),(28,423,1,11,27,NULL,NULL,NULL,NULL),(28,423,1,11,28,NULL,NULL,NULL,NULL),(28,423,1,11,29,NULL,NULL,NULL,NULL),(28,423,1,11,30,NULL,NULL,NULL,NULL),(28,423,1,11,31,NULL,NULL,NULL,NULL),(28,423,1,11,32,NULL,NULL,NULL,NULL),(28,423,1,11,33,NULL,NULL,NULL,NULL),(28,423,1,11,34,NULL,NULL,NULL,NULL),(28,423,1,11,35,NULL,NULL,NULL,NULL),(28,423,1,11,36,NULL,NULL,NULL,NULL),(28,423,1,11,37,NULL,NULL,NULL,NULL),(28,423,1,11,38,NULL,NULL,NULL,NULL),(28,423,1,11,39,NULL,NULL,NULL,NULL),(28,423,1,11,40,NULL,NULL,NULL,NULL),(28,423,1,12,1,NULL,NULL,NULL,NULL),(28,423,1,12,2,NULL,NULL,NULL,NULL),(28,423,1,12,3,NULL,NULL,NULL,NULL),(28,423,1,12,4,NULL,NULL,NULL,1),(28,423,1,12,5,NULL,NULL,1,NULL),(28,423,1,12,6,NULL,NULL,NULL,NULL),(28,423,1,12,7,NULL,NULL,NULL,NULL),(28,423,1,12,8,NULL,NULL,NULL,NULL),(28,423,1,12,9,NULL,NULL,NULL,NULL),(28,423,1,12,10,NULL,NULL,NULL,NULL),(28,423,1,12,11,NULL,NULL,NULL,NULL),(28,423,1,12,12,NULL,NULL,NULL,NULL),(28,423,1,12,13,NULL,NULL,1,NULL),(28,423,1,12,14,NULL,NULL,NULL,1),(28,423,1,12,15,NULL,NULL,NULL,NULL),(28,423,1,12,16,NULL,NULL,1,NULL),(28,423,1,12,17,NULL,NULL,1,NULL),(28,423,1,12,18,NULL,NULL,NULL,NULL),(28,423,1,12,19,NULL,NULL,1,NULL),(28,423,1,12,20,NULL,NULL,NULL,NULL),(28,423,1,12,21,NULL,NULL,NULL,NULL),(28,423,1,12,22,NULL,NULL,NULL,NULL),(28,423,1,12,23,NULL,NULL,NULL,NULL),(28,423,1,12,24,NULL,NULL,NULL,NULL),(28,423,1,12,25,NULL,NULL,NULL,NULL),(28,423,1,12,26,NULL,NULL,NULL,NULL),(28,423,1,12,27,NULL,NULL,NULL,NULL),(28,423,1,12,28,NULL,NULL,NULL,NULL),(28,423,1,12,29,NULL,NULL,1,NULL),(28,423,1,12,30,NULL,NULL,NULL,1),(28,423,1,12,31,NULL,NULL,NULL,NULL),(28,423,1,12,32,NULL,NULL,NULL,NULL),(28,423,1,12,33,NULL,NULL,NULL,NULL),(28,423,1,12,34,NULL,NULL,NULL,NULL),(28,423,1,12,35,NULL,NULL,NULL,NULL),(28,423,1,12,36,NULL,NULL,NULL,NULL),(28,423,1,12,37,NULL,NULL,NULL,NULL),(28,423,1,12,38,NULL,NULL,NULL,1),(28,423,1,12,39,NULL,NULL,NULL,NULL),(28,423,1,12,40,NULL,NULL,NULL,NULL),(28,423,1,13,1,NULL,NULL,NULL,NULL),(28,423,1,13,2,NULL,NULL,NULL,NULL),(28,423,1,13,3,NULL,NULL,NULL,NULL),(28,423,1,13,4,NULL,NULL,NULL,NULL),(28,423,1,13,5,NULL,NULL,NULL,NULL),(28,423,1,13,6,NULL,NULL,NULL,NULL),(28,423,1,13,7,NULL,NULL,NULL,NULL),(28,423,1,13,8,NULL,NULL,NULL,NULL),(28,423,1,13,9,NULL,NULL,NULL,NULL),(28,423,1,13,10,NULL,NULL,NULL,NULL),(28,423,1,13,11,NULL,NULL,NULL,NULL),(28,423,1,13,12,NULL,NULL,NULL,NULL),(28,423,1,13,13,NULL,NULL,NULL,NULL),(28,423,1,13,14,NULL,NULL,NULL,NULL),(28,423,1,13,15,NULL,NULL,NULL,NULL),(28,423,1,13,16,NULL,NULL,NULL,NULL),(28,423,1,13,17,NULL,NULL,NULL,NULL),(28,423,1,13,18,NULL,NULL,NULL,NULL),(28,423,1,13,19,NULL,NULL,NULL,NULL),(28,423,1,13,20,NULL,NULL,NULL,NULL),(28,423,1,13,21,NULL,NULL,NULL,NULL),(28,423,1,13,22,NULL,NULL,NULL,NULL),(28,423,1,13,23,NULL,NULL,NULL,NULL),(28,423,1,13,24,NULL,NULL,NULL,NULL),(28,423,1,13,25,NULL,NULL,NULL,NULL),(28,423,1,13,26,NULL,NULL,NULL,NULL),(28,423,1,13,27,NULL,NULL,NULL,NULL),(28,423,1,13,28,NULL,NULL,NULL,NULL),(28,423,1,13,29,NULL,NULL,NULL,NULL),(28,423,1,13,30,NULL,NULL,NULL,NULL),(28,423,1,13,31,NULL,NULL,NULL,NULL),(28,423,1,13,32,NULL,NULL,NULL,NULL),(28,423,1,13,33,NULL,NULL,NULL,NULL),(28,423,1,13,34,NULL,NULL,NULL,NULL),(28,423,1,13,35,NULL,NULL,NULL,NULL),(28,423,1,13,36,NULL,NULL,NULL,NULL),(28,423,1,13,37,NULL,NULL,NULL,NULL),(28,423,1,13,38,NULL,NULL,NULL,NULL),(28,423,1,13,39,NULL,NULL,NULL,NULL),(28,423,1,13,40,NULL,NULL,NULL,NULL),(28,423,1,14,1,NULL,NULL,1,NULL),(28,423,1,14,2,NULL,NULL,NULL,NULL),(28,423,1,14,3,NULL,NULL,NULL,1),(28,423,1,14,4,NULL,NULL,NULL,3),(28,423,1,14,5,NULL,NULL,NULL,2),(28,423,1,14,6,NULL,NULL,NULL,2),(28,423,1,14,7,NULL,NULL,NULL,NULL),(28,423,1,14,8,NULL,NULL,1,2),(28,423,1,14,9,NULL,NULL,NULL,1),(28,423,1,14,10,NULL,NULL,3,1),(28,423,1,14,11,NULL,NULL,1,NULL),(28,423,1,14,12,NULL,NULL,NULL,NULL),(28,423,1,14,13,NULL,NULL,4,1),(28,423,1,14,14,NULL,NULL,2,1),(28,423,1,14,15,NULL,NULL,1,NULL),(28,423,1,14,16,NULL,NULL,3,1),(28,423,1,14,17,NULL,NULL,1,3),(28,423,1,14,18,NULL,NULL,3,1),(28,423,1,14,19,NULL,NULL,3,2),(28,423,1,14,20,NULL,NULL,4,NULL),(28,423,1,14,21,NULL,NULL,NULL,1),(28,423,1,14,22,NULL,NULL,NULL,3),(28,423,1,14,23,NULL,NULL,NULL,NULL),(28,423,1,14,24,NULL,NULL,NULL,NULL),(28,423,1,14,25,NULL,NULL,NULL,NULL),(28,423,1,14,26,NULL,NULL,NULL,1),(28,423,1,14,27,NULL,NULL,1,NULL),(28,423,1,14,28,NULL,NULL,NULL,NULL),(28,423,1,14,29,NULL,NULL,NULL,NULL),(28,423,1,14,30,NULL,NULL,NULL,2),(28,423,1,14,31,NULL,NULL,NULL,1),(28,423,1,14,32,NULL,NULL,1,1),(28,423,1,14,33,NULL,NULL,NULL,2),(28,423,1,14,34,NULL,NULL,1,1),(28,423,1,14,35,NULL,NULL,NULL,1),(28,423,1,14,36,NULL,NULL,NULL,NULL),(28,423,1,14,37,NULL,NULL,1,1),(28,423,1,14,38,NULL,NULL,NULL,NULL),(28,423,1,14,39,NULL,NULL,NULL,1),(28,423,1,14,40,NULL,NULL,NULL,NULL),(28,423,1,15,1,NULL,NULL,1,NULL),(28,423,1,15,2,NULL,NULL,NULL,1),(28,423,1,15,3,NULL,NULL,NULL,1),(28,423,1,15,4,1,NULL,NULL,1),(28,423,1,15,5,NULL,NULL,NULL,2),(28,423,1,15,6,NULL,1,NULL,2),(28,423,1,15,7,NULL,1,1,NULL),(28,423,1,15,8,NULL,NULL,NULL,2),(28,423,1,15,9,NULL,1,1,NULL),(28,423,1,15,10,NULL,1,1,1),(28,423,1,15,11,NULL,NULL,NULL,1),(28,423,1,15,12,NULL,NULL,NULL,NULL),(28,423,1,15,13,NULL,NULL,2,1),(28,423,1,15,14,NULL,1,NULL,2),(28,423,1,15,15,NULL,NULL,3,NULL),(28,423,1,15,16,NULL,1,NULL,1),(28,423,1,15,17,NULL,1,NULL,2),(28,423,1,15,18,NULL,NULL,1,NULL),(28,423,1,15,19,NULL,1,1,2),(28,423,1,15,20,NULL,1,NULL,3),(28,423,1,15,21,NULL,NULL,NULL,NULL),(28,423,1,15,22,NULL,NULL,NULL,NULL),(28,423,1,15,23,NULL,NULL,NULL,2),(28,423,1,15,24,1,NULL,NULL,NULL),(28,423,1,15,25,NULL,NULL,NULL,1),(28,423,1,15,26,NULL,NULL,NULL,NULL),(28,423,1,15,27,NULL,NULL,NULL,NULL),(28,423,1,15,28,NULL,NULL,NULL,NULL),(28,423,1,15,29,NULL,NULL,NULL,NULL),(28,423,1,15,30,NULL,1,NULL,1),(28,423,1,15,31,NULL,NULL,NULL,NULL),(28,423,1,15,32,NULL,1,NULL,NULL),(28,423,1,15,33,NULL,NULL,NULL,NULL),(28,423,1,15,34,NULL,NULL,NULL,2),(28,423,1,15,35,NULL,NULL,NULL,NULL),(28,423,1,15,36,NULL,NULL,NULL,NULL),(28,423,1,15,37,NULL,NULL,NULL,2),(28,423,1,15,38,NULL,NULL,NULL,NULL),(28,423,1,15,39,NULL,NULL,NULL,3),(28,423,1,15,40,NULL,NULL,1,NULL),(28,423,1,16,1,2,NULL,2,NULL),(28,423,1,16,2,NULL,3,NULL,3),(28,423,1,16,3,2,4,1,4),(28,423,1,16,4,3,6,3,5),(28,423,1,16,5,4,1,4,2),(28,423,1,16,6,4,7,4,5),(28,423,1,16,7,1,5,NULL,5),(28,423,1,16,8,NULL,6,NULL,5),(28,423,1,16,9,1,2,1,1),(28,423,1,16,10,3,2,3,2),(28,423,1,16,11,1,1,NULL,1),(28,423,1,16,12,2,4,2,3),(28,423,1,16,13,13,NULL,11,NULL),(28,423,1,16,14,14,2,10,2),(28,423,1,16,15,5,7,4,6),(28,423,1,16,16,10,NULL,8,NULL),(28,423,1,16,17,5,8,5,6),(28,423,1,16,18,1,6,2,5),(28,423,1,16,19,4,7,4,5),(28,423,1,16,20,3,5,3,4),(28,423,1,16,21,2,2,2,NULL),(28,423,1,16,22,2,2,2,1),(28,423,1,16,23,NULL,6,NULL,6),(28,423,1,16,24,NULL,NULL,NULL,NULL),(28,423,1,16,25,NULL,2,NULL,NULL),(28,423,1,16,26,NULL,NULL,NULL,NULL),(28,423,1,16,27,2,NULL,2,NULL),(28,423,1,16,28,NULL,2,NULL,1),(28,423,1,16,29,NULL,2,NULL,2),(28,423,1,16,30,1,2,NULL,2),(28,423,1,16,31,NULL,2,NULL,1),(28,423,1,16,32,NULL,2,NULL,2),(28,423,1,16,33,NULL,1,NULL,1),(28,423,1,16,34,NULL,3,NULL,3),(28,423,1,16,35,NULL,NULL,NULL,NULL),(28,423,1,16,36,1,NULL,1,NULL),(28,423,1,16,37,NULL,NULL,NULL,1),(28,423,1,16,38,1,1,NULL,1),(28,423,1,16,39,1,5,2,4),(28,423,1,16,40,1,NULL,1,NULL),(28,423,1,17,1,10,NULL,7,NULL),(28,423,1,17,2,1,7,1,4),(28,423,1,17,3,3,8,2,8),(28,423,1,17,4,1,11,1,6),(28,423,1,17,5,3,4,1,4),(28,423,1,17,6,NULL,8,NULL,5),(28,423,1,17,7,5,2,3,1),(28,423,1,17,8,NULL,7,NULL,4),(28,423,1,17,9,NULL,7,NULL,5),(28,423,1,17,10,5,7,4,5),(28,423,1,17,11,NULL,1,NULL,1),(28,423,1,17,12,1,3,1,3),(28,423,1,17,13,19,NULL,13,NULL),(28,423,1,17,14,15,3,12,2),(28,423,1,17,15,7,7,5,5),(28,423,1,17,16,18,NULL,12,NULL),(28,423,1,17,17,13,7,10,4),(28,423,1,17,18,6,4,5,2),(28,423,1,17,19,7,8,7,5),(28,423,1,17,20,3,7,3,4),(28,423,1,17,21,2,2,2,1),(28,423,1,17,22,NULL,1,NULL,1),(28,423,1,17,23,NULL,1,NULL,1),(28,423,1,17,24,NULL,NULL,NULL,NULL),(28,423,1,17,25,NULL,3,NULL,2),(28,423,1,17,26,NULL,1,NULL,NULL),(28,423,1,17,27,2,NULL,2,NULL),(28,423,1,17,28,NULL,2,NULL,1),(28,423,1,17,29,NULL,2,NULL,2),(28,423,1,17,30,NULL,7,NULL,5),(28,423,1,17,31,1,1,1,1),(28,423,1,17,32,4,2,3,2),(28,423,1,17,33,NULL,4,NULL,4),(28,423,1,17,34,5,3,4,3),(28,423,1,17,35,NULL,1,NULL,NULL),(28,423,1,17,36,NULL,NULL,NULL,NULL),(28,423,1,17,37,NULL,2,NULL,NULL),(28,423,1,17,38,NULL,3,NULL,2),(28,423,1,17,39,2,10,1,6),(28,423,1,17,40,NULL,NULL,NULL,NULL),(28,423,1,18,1,NULL,NULL,NULL,NULL),(28,423,1,18,2,NULL,NULL,NULL,NULL),(28,423,1,18,3,NULL,NULL,NULL,NULL),(28,423,1,18,4,NULL,NULL,NULL,NULL),(28,423,1,18,5,NULL,NULL,NULL,NULL),(28,423,1,18,6,NULL,NULL,NULL,NULL),(28,423,1,18,7,NULL,NULL,NULL,NULL),(28,423,1,18,8,NULL,NULL,NULL,NULL),(28,423,1,18,9,NULL,NULL,NULL,NULL),(28,423,1,18,10,NULL,NULL,NULL,NULL),(28,423,1,18,11,NULL,NULL,NULL,NULL),(28,423,1,18,12,NULL,NULL,NULL,NULL),(28,423,1,18,13,NULL,NULL,NULL,NULL),(28,423,1,18,14,NULL,NULL,NULL,NULL),(28,423,1,18,15,NULL,NULL,NULL,NULL),(28,423,1,18,16,NULL,NULL,NULL,NULL),(28,423,1,18,17,NULL,NULL,NULL,NULL),(28,423,1,18,18,NULL,NULL,NULL,NULL),(28,423,1,18,19,NULL,NULL,NULL,NULL),(28,423,1,18,20,NULL,NULL,NULL,NULL),(28,423,1,18,21,NULL,NULL,NULL,NULL),(28,423,1,18,22,NULL,NULL,NULL,NULL),(28,423,1,18,23,NULL,NULL,NULL,NULL),(28,423,1,18,24,NULL,NULL,NULL,NULL),(28,423,1,18,25,NULL,NULL,NULL,NULL),(28,423,1,18,26,NULL,NULL,NULL,NULL),(28,423,1,18,27,NULL,NULL,NULL,NULL),(28,423,1,18,28,NULL,NULL,NULL,NULL),(28,423,1,18,29,NULL,NULL,NULL,NULL),(28,423,1,18,30,NULL,NULL,NULL,NULL),(28,423,1,18,31,NULL,NULL,NULL,NULL),(28,423,1,18,32,NULL,NULL,NULL,NULL),(28,423,1,18,33,NULL,NULL,NULL,NULL),(28,423,1,18,34,NULL,NULL,NULL,NULL),(28,423,1,18,35,NULL,NULL,NULL,NULL),(28,423,1,18,36,NULL,NULL,NULL,NULL),(28,423,1,18,37,NULL,NULL,NULL,NULL),(28,423,1,18,38,NULL,NULL,NULL,NULL),(28,423,1,18,39,NULL,NULL,NULL,NULL),(28,423,1,18,40,NULL,NULL,NULL,NULL),(28,423,1,19,1,NULL,NULL,NULL,NULL),(28,423,1,19,2,NULL,NULL,NULL,NULL),(28,423,1,19,3,NULL,NULL,NULL,NULL),(28,423,1,19,4,NULL,NULL,NULL,NULL),(28,423,1,19,5,NULL,NULL,NULL,NULL),(28,423,1,19,6,NULL,NULL,NULL,NULL),(28,423,1,19,7,NULL,NULL,NULL,NULL),(28,423,1,19,8,NULL,NULL,NULL,NULL),(28,423,1,19,9,NULL,NULL,NULL,NULL),(28,423,1,19,10,NULL,NULL,NULL,NULL),(28,423,1,19,11,NULL,NULL,NULL,NULL),(28,423,1,19,12,NULL,NULL,NULL,NULL),(28,423,1,19,13,NULL,NULL,NULL,NULL),(28,423,1,19,14,NULL,NULL,NULL,NULL),(28,423,1,19,15,NULL,NULL,NULL,NULL),(28,423,1,19,16,NULL,NULL,NULL,NULL),(28,423,1,19,17,NULL,NULL,NULL,NULL),(28,423,1,19,18,NULL,NULL,NULL,NULL),(28,423,1,19,19,NULL,NULL,NULL,NULL),(28,423,1,19,20,NULL,NULL,NULL,NULL),(28,423,1,19,21,NULL,NULL,NULL,NULL),(28,423,1,19,22,NULL,NULL,NULL,NULL),(28,423,1,19,23,NULL,NULL,NULL,NULL),(28,423,1,19,24,NULL,NULL,NULL,NULL),(28,423,1,19,25,NULL,NULL,NULL,NULL),(28,423,1,19,26,NULL,NULL,NULL,NULL),(28,423,1,19,27,NULL,NULL,NULL,NULL),(28,423,1,19,28,NULL,NULL,NULL,NULL),(28,423,1,19,29,NULL,NULL,NULL,NULL),(28,423,1,19,30,NULL,NULL,NULL,NULL),(28,423,1,19,31,NULL,NULL,NULL,NULL),(28,423,1,19,32,NULL,NULL,NULL,NULL),(28,423,1,19,33,NULL,NULL,NULL,NULL),(28,423,1,19,34,NULL,NULL,NULL,NULL),(28,423,1,19,35,NULL,NULL,NULL,NULL),(28,423,1,19,36,NULL,NULL,NULL,NULL),(28,423,1,19,37,NULL,NULL,NULL,NULL),(28,423,1,19,38,NULL,NULL,NULL,NULL),(28,423,1,19,39,NULL,NULL,NULL,NULL),(28,423,1,19,40,NULL,NULL,NULL,NULL),(28,423,2,21,1,NULL,2,NULL,2),(28,423,2,21,2,NULL,2,NULL,1),(28,423,2,21,3,6,2,4,3),(28,423,2,21,4,NULL,NULL,NULL,NULL),(28,423,2,21,5,1,2,1,2),(28,423,2,21,6,1,5,1,3),(28,423,2,21,7,1,2,NULL,1),(28,423,2,21,8,1,2,1,2),(28,423,2,21,9,NULL,NULL,NULL,1),(28,423,2,21,10,1,3,1,3),(28,423,2,21,11,NULL,1,NULL,1),(28,423,2,21,12,NULL,3,NULL,1),(28,423,2,21,13,NULL,4,NULL,3),(28,423,2,21,14,NULL,1,NULL,1),(28,423,2,21,15,2,2,1,1),(28,423,2,21,16,1,2,1,NULL),(28,423,2,21,17,1,2,1,3),(28,423,2,21,18,1,3,NULL,4),(28,423,2,21,19,NULL,2,NULL,2),(28,423,2,21,20,1,2,1,1),(28,423,2,21,21,NULL,1,NULL,NULL),(28,423,2,21,22,NULL,1,NULL,1),(28,423,2,21,23,1,1,NULL,1),(28,423,2,21,24,NULL,1,NULL,NULL),(28,423,2,21,25,NULL,1,NULL,NULL),(28,423,2,21,26,NULL,2,NULL,3),(28,423,2,21,27,NULL,2,NULL,3),(28,423,2,21,28,NULL,1,NULL,NULL),(28,423,2,21,29,NULL,1,NULL,2),(28,423,2,21,30,NULL,3,NULL,3),(28,423,2,21,31,NULL,2,NULL,NULL),(28,423,2,21,32,NULL,NULL,NULL,NULL),(28,423,2,21,33,NULL,1,NULL,1),(28,423,2,21,34,NULL,1,NULL,1),(28,423,2,21,35,2,NULL,2,NULL),(28,423,2,21,36,NULL,1,NULL,1),(28,423,2,21,37,1,1,1,1),(28,423,2,21,38,NULL,NULL,NULL,NULL),(28,423,2,21,39,NULL,NULL,NULL,NULL),(28,423,2,21,40,NULL,2,NULL,1),(28,423,2,22,1,NULL,3,NULL,3),(28,423,2,22,2,NULL,1,NULL,1),(28,423,2,22,3,NULL,3,2,5),(28,423,2,22,4,NULL,NULL,NULL,NULL),(28,423,2,22,5,2,1,1,1),(28,423,2,22,6,1,5,1,6),(28,423,2,22,7,NULL,3,NULL,4),(28,423,2,22,8,NULL,2,NULL,2),(28,423,2,22,9,NULL,1,NULL,1),(28,423,2,22,10,1,3,1,2),(28,423,2,22,11,NULL,2,1,2),(28,423,2,22,12,NULL,3,1,4),(28,423,2,22,13,NULL,3,NULL,4),(28,423,2,22,14,NULL,3,1,4),(28,423,2,22,15,NULL,3,1,4),(28,423,2,22,16,NULL,2,NULL,3),(28,423,2,22,17,NULL,1,NULL,1),(28,423,2,22,18,2,1,4,3),(28,423,2,22,19,NULL,4,1,2),(28,423,2,22,20,2,4,3,4),(28,423,2,22,21,NULL,3,NULL,1),(28,423,2,22,22,NULL,3,1,2),(28,423,2,22,23,2,NULL,2,1),(28,423,2,22,24,NULL,NULL,NULL,NULL),(28,423,2,22,25,1,1,NULL,2),(28,423,2,22,26,NULL,NULL,NULL,1),(28,423,2,22,27,NULL,4,1,3),(28,423,2,22,28,NULL,1,NULL,1),(28,423,2,22,29,NULL,1,NULL,3),(28,423,2,22,30,1,1,1,1),(28,423,2,22,31,NULL,3,NULL,1),(28,423,2,22,32,NULL,2,NULL,3),(28,423,2,22,33,NULL,NULL,NULL,NULL),(28,423,2,22,34,NULL,3,NULL,2),(28,423,2,22,35,NULL,NULL,1,NULL),(28,423,2,22,36,NULL,NULL,NULL,1),(28,423,2,22,37,NULL,NULL,NULL,NULL),(28,423,2,22,38,NULL,NULL,NULL,NULL),(28,423,2,22,39,NULL,2,NULL,2),(28,423,2,22,40,NULL,3,NULL,3),(28,423,2,23,1,2,4,2,4),(28,423,2,23,2,NULL,3,1,4),(28,423,2,23,3,2,2,2,2),(28,423,2,23,4,NULL,NULL,NULL,NULL),(28,423,2,23,5,NULL,3,1,2),(28,423,2,23,6,2,4,3,5),(28,423,2,23,7,NULL,4,NULL,6),(28,423,2,23,8,NULL,2,2,1),(28,423,2,23,9,NULL,1,1,1),(28,423,2,23,10,1,NULL,2,NULL),(28,423,2,23,11,NULL,1,2,1),(28,423,2,23,12,1,2,1,2),(28,423,2,23,13,1,4,2,4),(28,423,2,23,14,2,2,3,2),(28,423,2,23,15,1,3,1,2),(28,423,2,23,16,1,1,1,1),(28,423,2,23,17,NULL,1,NULL,2),(28,423,2,23,18,2,3,5,2),(28,423,2,23,19,1,2,2,4),(28,423,2,23,20,1,2,2,3),(28,423,2,23,21,NULL,NULL,NULL,NULL),(28,423,2,23,22,NULL,NULL,NULL,NULL),(28,423,2,23,23,1,1,1,1),(28,423,2,23,24,NULL,NULL,NULL,NULL),(28,423,2,23,25,NULL,1,NULL,2),(28,423,2,23,26,NULL,1,NULL,1),(28,423,2,23,27,1,NULL,2,NULL),(28,423,2,23,28,NULL,NULL,NULL,NULL),(28,423,2,23,29,NULL,NULL,NULL,1),(28,423,2,23,30,NULL,NULL,NULL,NULL),(28,423,2,23,31,NULL,1,NULL,2),(28,423,2,23,32,NULL,1,NULL,2),(28,423,2,23,33,NULL,NULL,NULL,2),(28,423,2,23,34,NULL,1,NULL,1),(28,423,2,23,35,1,NULL,2,NULL),(28,423,2,23,36,NULL,NULL,NULL,NULL),(28,423,2,23,37,NULL,1,NULL,1),(28,423,2,23,38,NULL,NULL,NULL,NULL),(28,423,2,23,39,NULL,2,NULL,2),(28,423,2,23,40,NULL,1,NULL,2),(28,423,2,24,1,NULL,3,NULL,2),(28,423,2,24,2,NULL,3,NULL,2),(28,423,2,24,3,4,3,3,3),(28,423,2,24,4,NULL,1,NULL,1),(28,423,2,24,5,1,1,1,2),(28,423,2,24,6,1,5,1,3),(28,423,2,24,7,NULL,1,NULL,2),(28,423,2,24,8,1,4,1,4),(28,423,2,24,9,NULL,NULL,NULL,NULL),(28,423,2,24,10,2,3,2,4),(28,423,2,24,11,2,NULL,2,1),(28,423,2,24,12,NULL,3,NULL,3),(28,423,2,24,13,NULL,4,NULL,4),(28,423,2,24,14,1,5,1,5),(28,423,2,24,15,1,2,1,1),(28,423,2,24,16,1,5,1,4),(28,423,2,24,17,NULL,NULL,NULL,NULL),(28,423,2,24,18,5,5,4,4),(28,423,2,24,19,1,3,1,4),(28,423,2,24,20,3,3,2,2),(28,423,2,24,21,NULL,2,NULL,1),(28,423,2,24,22,NULL,2,NULL,2),(28,423,2,24,23,NULL,NULL,NULL,NULL),(28,423,2,24,24,NULL,1,NULL,1),(28,423,2,24,25,NULL,1,NULL,1),(28,423,2,24,26,NULL,4,NULL,3),(28,423,2,24,27,NULL,NULL,NULL,1),(28,423,2,24,28,NULL,NULL,NULL,NULL),(28,423,2,24,29,NULL,1,NULL,2),(28,423,2,24,30,1,2,1,2),(28,423,2,24,31,NULL,3,NULL,2),(28,423,2,24,32,NULL,NULL,NULL,NULL),(28,423,2,24,33,NULL,1,NULL,1),(28,423,2,24,34,1,3,1,3),(28,423,2,24,35,NULL,NULL,NULL,NULL),(28,423,2,24,36,NULL,1,NULL,1),(28,423,2,24,37,NULL,NULL,NULL,NULL),(28,423,2,24,38,NULL,NULL,NULL,NULL),(28,423,2,24,39,NULL,NULL,NULL,NULL),(28,423,2,24,40,NULL,2,NULL,2),(28,424,1,11,1,NULL,NULL,NULL,NULL),(28,424,1,11,2,NULL,NULL,NULL,NULL),(28,424,1,11,3,NULL,NULL,NULL,NULL),(28,424,1,11,4,NULL,NULL,NULL,NULL),(28,424,1,11,5,NULL,NULL,NULL,NULL),(28,424,1,11,6,NULL,NULL,NULL,NULL),(28,424,1,11,7,NULL,NULL,NULL,NULL),(28,424,1,11,8,NULL,NULL,NULL,NULL),(28,424,1,11,9,NULL,NULL,NULL,NULL),(28,424,1,11,10,NULL,NULL,NULL,NULL),(28,424,1,11,11,NULL,NULL,NULL,NULL),(28,424,1,11,12,NULL,NULL,NULL,NULL),(28,424,1,11,13,NULL,NULL,NULL,NULL),(28,424,1,11,14,NULL,NULL,NULL,NULL),(28,424,1,11,15,NULL,NULL,NULL,NULL),(28,424,1,11,16,NULL,NULL,NULL,NULL),(28,424,1,11,17,NULL,NULL,NULL,NULL),(28,424,1,11,18,NULL,NULL,NULL,NULL),(28,424,1,11,19,NULL,NULL,NULL,NULL),(28,424,1,11,20,NULL,NULL,NULL,NULL),(28,424,1,11,21,NULL,NULL,NULL,NULL),(28,424,1,11,22,NULL,NULL,NULL,NULL),(28,424,1,11,23,NULL,NULL,NULL,NULL),(28,424,1,11,24,NULL,NULL,NULL,NULL),(28,424,1,11,25,NULL,NULL,NULL,NULL),(28,424,1,11,26,NULL,NULL,NULL,NULL),(28,424,1,11,27,NULL,NULL,NULL,NULL),(28,424,1,11,28,NULL,NULL,NULL,NULL),(28,424,1,11,29,NULL,NULL,NULL,NULL),(28,424,1,11,30,NULL,NULL,NULL,NULL),(28,424,1,11,31,NULL,NULL,NULL,NULL),(28,424,1,11,32,NULL,NULL,NULL,NULL),(28,424,1,11,33,NULL,NULL,NULL,NULL),(28,424,1,11,34,NULL,NULL,NULL,NULL),(28,424,1,11,35,NULL,NULL,NULL,NULL),(28,424,1,11,36,NULL,NULL,NULL,NULL),(28,424,1,11,37,NULL,NULL,NULL,NULL),(28,424,1,11,38,NULL,NULL,NULL,NULL),(28,424,1,11,39,NULL,NULL,NULL,NULL),(28,424,1,11,40,NULL,NULL,NULL,NULL),(28,424,1,12,1,3,NULL,3,NULL),(28,424,1,12,2,NULL,3,NULL,3),(28,424,1,12,3,1,4,1,3),(28,424,1,12,4,1,2,1,NULL),(28,424,1,12,5,1,2,NULL,2),(28,424,1,12,6,NULL,2,NULL,3),(28,424,1,12,7,NULL,1,1,1),(28,424,1,12,8,1,3,1,3),(28,424,1,12,9,2,1,1,1),(28,424,1,12,10,3,1,3,NULL),(28,424,1,12,11,NULL,1,NULL,1),(28,424,1,12,12,2,NULL,3,NULL),(28,424,1,12,13,10,NULL,7,NULL),(28,424,1,12,14,6,2,5,1),(28,424,1,12,15,5,1,5,NULL),(28,424,1,12,16,6,NULL,5,NULL),(28,424,1,12,17,2,2,3,2),(28,424,1,12,18,4,1,3,1),(28,424,1,12,19,8,1,6,1),(28,424,1,12,20,5,1,5,1),(28,424,1,12,21,NULL,1,NULL,1),(28,424,1,12,22,NULL,2,NULL,2),(28,424,1,12,23,NULL,2,1,2),(28,424,1,12,24,NULL,NULL,NULL,NULL),(28,424,1,12,25,NULL,NULL,NULL,1),(28,424,1,12,26,NULL,NULL,NULL,NULL),(28,424,1,12,27,2,NULL,2,NULL),(28,424,1,12,28,NULL,NULL,NULL,NULL),(28,424,1,12,29,2,1,1,1),(28,424,1,12,30,NULL,3,NULL,2),(28,424,1,12,31,1,NULL,1,NULL),(28,424,1,12,32,NULL,1,NULL,1),(28,424,1,12,33,NULL,1,NULL,1),(28,424,1,12,34,1,1,1,1),(28,424,1,12,35,NULL,1,NULL,1),(28,424,1,12,36,NULL,NULL,NULL,NULL),(28,424,1,12,37,NULL,NULL,NULL,NULL),(28,424,1,12,38,NULL,1,NULL,NULL),(28,424,1,12,39,1,1,1,1),(28,424,1,12,40,NULL,NULL,NULL,NULL),(28,424,1,13,1,NULL,NULL,NULL,NULL),(28,424,1,13,2,NULL,NULL,NULL,NULL),(28,424,1,13,3,NULL,NULL,NULL,NULL),(28,424,1,13,4,NULL,NULL,NULL,NULL),(28,424,1,13,5,NULL,NULL,NULL,NULL),(28,424,1,13,6,NULL,NULL,NULL,NULL),(28,424,1,13,7,NULL,NULL,NULL,NULL),(28,424,1,13,8,NULL,NULL,NULL,NULL),(28,424,1,13,9,NULL,NULL,NULL,NULL),(28,424,1,13,10,NULL,NULL,NULL,NULL),(28,424,1,13,11,NULL,NULL,NULL,NULL),(28,424,1,13,12,NULL,NULL,NULL,NULL),(28,424,1,13,13,NULL,NULL,NULL,NULL),(28,424,1,13,14,NULL,NULL,NULL,NULL),(28,424,1,13,15,NULL,NULL,NULL,NULL),(28,424,1,13,16,NULL,NULL,NULL,NULL),(28,424,1,13,17,NULL,NULL,NULL,NULL),(28,424,1,13,18,NULL,NULL,NULL,NULL),(28,424,1,13,19,NULL,NULL,NULL,NULL),(28,424,1,13,20,NULL,NULL,NULL,NULL),(28,424,1,13,21,NULL,NULL,NULL,NULL),(28,424,1,13,22,NULL,NULL,NULL,NULL),(28,424,1,13,23,NULL,NULL,NULL,NULL),(28,424,1,13,24,NULL,NULL,NULL,NULL),(28,424,1,13,25,NULL,NULL,NULL,NULL),(28,424,1,13,26,NULL,NULL,NULL,NULL),(28,424,1,13,27,NULL,NULL,NULL,NULL),(28,424,1,13,28,NULL,NULL,NULL,NULL),(28,424,1,13,29,NULL,NULL,NULL,NULL),(28,424,1,13,30,NULL,NULL,NULL,NULL),(28,424,1,13,31,NULL,NULL,NULL,NULL),(28,424,1,13,32,NULL,NULL,NULL,NULL),(28,424,1,13,33,NULL,NULL,NULL,NULL),(28,424,1,13,34,NULL,NULL,NULL,NULL),(28,424,1,13,35,NULL,NULL,NULL,NULL),(28,424,1,13,36,NULL,NULL,NULL,NULL),(28,424,1,13,37,NULL,NULL,NULL,NULL),(28,424,1,13,38,NULL,NULL,NULL,NULL),(28,424,1,13,39,NULL,NULL,NULL,NULL),(28,424,1,13,40,NULL,NULL,NULL,NULL),(28,424,1,14,1,4,NULL,5,NULL),(28,424,1,14,2,NULL,5,NULL,7),(28,424,1,14,3,3,1,5,1),(28,424,1,14,4,2,2,1,4),(28,424,1,14,5,3,4,6,3),(28,424,1,14,6,NULL,6,NULL,8),(28,424,1,14,7,2,5,1,2),(28,424,1,14,8,NULL,4,1,6),(28,424,1,14,9,1,3,1,5),(28,424,1,14,10,2,4,4,2),(28,424,1,14,11,NULL,3,NULL,4),(28,424,1,14,12,NULL,2,1,4),(28,424,1,14,13,7,3,9,2),(28,424,1,14,14,4,3,6,3),(28,424,1,14,15,5,NULL,9,NULL),(28,424,1,14,16,3,3,7,3),(28,424,1,14,17,3,8,3,9),(28,424,1,14,18,6,1,8,1),(28,424,1,14,19,4,5,6,4),(28,424,1,14,20,5,6,6,5),(28,424,1,14,21,NULL,2,NULL,2),(28,424,1,14,22,NULL,NULL,NULL,2),(28,424,1,14,23,NULL,2,NULL,2),(28,424,1,14,24,NULL,NULL,NULL,NULL),(28,424,1,14,25,NULL,NULL,NULL,NULL),(28,424,1,14,26,NULL,NULL,NULL,1),(28,424,1,14,27,2,NULL,1,NULL),(28,424,1,14,28,NULL,NULL,NULL,NULL),(28,424,1,14,29,1,NULL,1,2),(28,424,1,14,30,1,2,1,3),(28,424,1,14,31,NULL,1,NULL,NULL),(28,424,1,14,32,NULL,3,NULL,3),(28,424,1,14,33,1,1,1,1),(28,424,1,14,34,3,NULL,5,1),(28,424,1,14,35,NULL,1,1,1),(28,424,1,14,36,NULL,NULL,NULL,NULL),(28,424,1,14,37,NULL,2,NULL,1),(28,424,1,14,38,NULL,1,NULL,1),(28,424,1,14,39,NULL,4,NULL,4),(28,424,1,14,40,2,NULL,2,NULL),(28,424,1,15,1,3,NULL,5,NULL),(28,424,1,15,2,NULL,2,NULL,3),(28,424,1,15,3,2,1,1,1),(28,424,1,15,4,NULL,1,NULL,1),(28,424,1,15,5,2,NULL,2,NULL),(28,424,1,15,6,NULL,4,NULL,4),(28,424,1,15,7,NULL,2,NULL,2),(28,424,1,15,8,1,2,1,2),(28,424,1,15,9,NULL,1,1,1),(28,424,1,15,10,2,1,2,NULL),(28,424,1,15,11,2,NULL,1,NULL),(28,424,1,15,12,NULL,3,NULL,2),(28,424,1,15,13,2,4,2,4),(28,424,1,15,14,1,1,1,2),(28,424,1,15,15,5,NULL,4,NULL),(28,424,1,15,16,4,3,4,2),(28,424,1,15,17,1,3,2,2),(28,424,1,15,18,NULL,1,1,1),(28,424,1,15,19,5,1,4,1),(28,424,1,15,20,3,5,2,4),(28,424,1,15,21,NULL,3,NULL,1),(28,424,1,15,22,NULL,NULL,NULL,NULL),(28,424,1,15,23,NULL,2,NULL,3),(28,424,1,15,24,NULL,NULL,NULL,NULL),(28,424,1,15,25,NULL,2,NULL,NULL),(28,424,1,15,26,NULL,1,NULL,1),(28,424,1,15,27,2,NULL,2,NULL),(28,424,1,15,28,NULL,NULL,NULL,NULL),(28,424,1,15,29,NULL,1,NULL,1),(28,424,1,15,30,NULL,1,NULL,2),(28,424,1,15,31,NULL,1,NULL,1),(28,424,1,15,32,2,1,2,2),(28,424,1,15,33,NULL,NULL,NULL,NULL),(28,424,1,15,34,1,NULL,1,NULL),(28,424,1,15,35,NULL,NULL,NULL,NULL),(28,424,1,15,36,NULL,NULL,NULL,NULL),(28,424,1,15,37,1,1,NULL,NULL),(28,424,1,15,38,NULL,2,NULL,2),(28,424,1,15,39,NULL,3,NULL,2),(28,424,1,15,40,1,NULL,1,NULL),(28,424,1,16,1,3,NULL,3,NULL),(28,424,1,16,2,NULL,2,NULL,2),(28,424,1,16,3,2,2,2,1),(28,424,1,16,4,1,1,1,NULL),(28,424,1,16,5,1,3,2,1),(28,424,1,16,6,1,3,1,2),(28,424,1,16,7,NULL,2,NULL,3),(28,424,1,16,8,1,4,1,2),(28,424,1,16,9,1,1,1,NULL),(28,424,1,16,10,2,NULL,2,NULL),(28,424,1,16,11,NULL,NULL,NULL,NULL),(28,424,1,16,12,NULL,3,NULL,2),(28,424,1,16,13,8,NULL,6,NULL),(28,424,1,16,14,6,1,4,1),(28,424,1,16,15,2,4,1,4),(28,424,1,16,16,6,NULL,5,NULL),(28,424,1,16,17,3,3,2,4),(28,424,1,16,18,1,3,NULL,2),(28,424,1,16,19,1,3,1,2),(28,424,1,16,20,2,2,1,1),(28,424,1,16,21,NULL,2,NULL,2),(28,424,1,16,22,NULL,1,NULL,NULL),(28,424,1,16,23,1,2,1,2),(28,424,1,16,24,NULL,NULL,NULL,NULL),(28,424,1,16,25,NULL,NULL,NULL,NULL),(28,424,1,16,26,NULL,NULL,NULL,1),(28,424,1,16,27,2,NULL,2,NULL),(28,424,1,16,28,NULL,NULL,NULL,1),(28,424,1,16,29,NULL,2,NULL,2),(28,424,1,16,30,1,3,1,2),(28,424,1,16,31,NULL,NULL,NULL,NULL),(28,424,1,16,32,1,1,1,1),(28,424,1,16,33,1,1,1,1),(28,424,1,16,34,NULL,2,1,2),(28,424,1,16,35,NULL,1,NULL,1),(28,424,1,16,36,NULL,NULL,NULL,NULL),(28,424,1,16,37,NULL,1,NULL,NULL),(28,424,1,16,38,NULL,1,NULL,1),(28,424,1,16,39,3,3,1,3),(28,424,1,16,40,NULL,NULL,NULL,NULL),(28,424,1,17,1,2,NULL,1,NULL),(28,424,1,17,2,NULL,NULL,NULL,NULL),(28,424,1,17,3,1,1,1,1),(28,424,1,17,4,1,NULL,1,NULL),(28,424,1,17,5,2,1,1,1),(28,424,1,17,6,NULL,5,NULL,4),(28,424,1,17,7,1,2,NULL,1),(28,424,1,17,8,NULL,1,NULL,NULL),(28,424,1,17,9,3,1,3,1),(28,424,1,17,10,4,NULL,3,NULL),(28,424,1,17,11,1,3,1,1),(28,424,1,17,12,1,NULL,1,NULL),(28,424,1,17,13,8,NULL,4,NULL),(28,424,1,17,14,7,2,4,1),(28,424,1,17,15,NULL,6,NULL,4),(28,424,1,17,16,7,NULL,4,NULL),(28,424,1,17,17,2,6,2,2),(28,424,1,17,18,3,1,1,NULL),(28,424,1,17,19,2,2,1,NULL),(28,424,1,17,20,1,2,1,1),(28,424,1,17,21,NULL,NULL,NULL,NULL),(28,424,1,17,22,NULL,1,NULL,1),(28,424,1,17,23,NULL,1,NULL,1),(28,424,1,17,24,NULL,NULL,NULL,NULL),(28,424,1,17,25,1,1,1,1),(28,424,1,17,26,NULL,1,NULL,1),(28,424,1,17,27,2,NULL,NULL,NULL),(28,424,1,17,28,NULL,1,NULL,NULL),(28,424,1,17,29,NULL,1,NULL,NULL),(28,424,1,17,30,NULL,3,NULL,1),(28,424,1,17,31,1,1,NULL,1),(28,424,1,17,32,3,1,2,NULL),(28,424,1,17,33,NULL,NULL,NULL,NULL),(28,424,1,17,34,NULL,NULL,NULL,NULL),(28,424,1,17,35,NULL,2,NULL,2),(28,424,1,17,36,NULL,NULL,NULL,NULL),(28,424,1,17,37,NULL,NULL,NULL,NULL),(28,424,1,17,38,NULL,1,NULL,1),(28,424,1,17,39,NULL,2,NULL,1),(28,424,1,17,40,1,NULL,NULL,NULL),(28,424,1,18,1,NULL,NULL,NULL,NULL),(28,424,1,18,2,NULL,NULL,NULL,NULL),(28,424,1,18,3,NULL,NULL,NULL,NULL),(28,424,1,18,4,NULL,NULL,NULL,NULL),(28,424,1,18,5,NULL,NULL,NULL,NULL),(28,424,1,18,6,NULL,NULL,NULL,NULL),(28,424,1,18,7,NULL,NULL,NULL,NULL),(28,424,1,18,8,NULL,NULL,NULL,NULL),(28,424,1,18,9,NULL,NULL,NULL,NULL),(28,424,1,18,10,NULL,NULL,NULL,NULL),(28,424,1,18,11,NULL,NULL,NULL,NULL),(28,424,1,18,12,NULL,NULL,NULL,NULL),(28,424,1,18,13,NULL,NULL,NULL,NULL),(28,424,1,18,14,NULL,NULL,NULL,NULL),(28,424,1,18,15,NULL,NULL,NULL,NULL),(28,424,1,18,16,NULL,NULL,NULL,NULL),(28,424,1,18,17,NULL,NULL,NULL,NULL),(28,424,1,18,18,NULL,NULL,NULL,NULL),(28,424,1,18,19,NULL,NULL,NULL,NULL),(28,424,1,18,20,NULL,NULL,NULL,NULL),(28,424,1,18,21,NULL,NULL,NULL,NULL),(28,424,1,18,22,NULL,NULL,NULL,NULL),(28,424,1,18,23,NULL,NULL,NULL,NULL),(28,424,1,18,24,NULL,NULL,NULL,NULL),(28,424,1,18,25,NULL,NULL,NULL,NULL),(28,424,1,18,26,NULL,NULL,NULL,NULL),(28,424,1,18,27,NULL,NULL,NULL,NULL),(28,424,1,18,28,NULL,NULL,NULL,NULL),(28,424,1,18,29,NULL,NULL,NULL,NULL),(28,424,1,18,30,NULL,NULL,NULL,NULL),(28,424,1,18,31,NULL,NULL,NULL,NULL),(28,424,1,18,32,NULL,NULL,NULL,NULL),(28,424,1,18,33,NULL,NULL,NULL,NULL),(28,424,1,18,34,NULL,NULL,NULL,NULL),(28,424,1,18,35,NULL,NULL,NULL,NULL),(28,424,1,18,36,NULL,NULL,NULL,NULL),(28,424,1,18,37,NULL,NULL,NULL,NULL),(28,424,1,18,38,NULL,NULL,NULL,NULL),(28,424,1,18,39,NULL,NULL,NULL,NULL),(28,424,1,18,40,NULL,NULL,NULL,NULL),(28,424,1,19,1,NULL,NULL,NULL,NULL),(28,424,1,19,2,NULL,NULL,NULL,NULL),(28,424,1,19,3,NULL,NULL,NULL,NULL),(28,424,1,19,4,NULL,NULL,NULL,NULL),(28,424,1,19,5,NULL,NULL,NULL,NULL),(28,424,1,19,6,NULL,NULL,NULL,NULL),(28,424,1,19,7,NULL,NULL,NULL,NULL),(28,424,1,19,8,NULL,NULL,NULL,NULL),(28,424,1,19,9,NULL,NULL,NULL,NULL),(28,424,1,19,10,NULL,NULL,NULL,NULL),(28,424,1,19,11,NULL,NULL,NULL,NULL),(28,424,1,19,12,NULL,NULL,NULL,NULL),(28,424,1,19,13,NULL,NULL,NULL,NULL),(28,424,1,19,14,NULL,NULL,NULL,NULL),(28,424,1,19,15,NULL,NULL,NULL,NULL),(28,424,1,19,16,NULL,NULL,NULL,NULL),(28,424,1,19,17,NULL,NULL,NULL,NULL),(28,424,1,19,18,NULL,NULL,NULL,NULL),(28,424,1,19,19,NULL,NULL,NULL,NULL),(28,424,1,19,20,NULL,NULL,NULL,NULL),(28,424,1,19,21,NULL,NULL,NULL,NULL),(28,424,1,19,22,NULL,NULL,NULL,NULL),(28,424,1,19,23,NULL,NULL,NULL,NULL),(28,424,1,19,24,NULL,NULL,NULL,NULL),(28,424,1,19,25,NULL,NULL,NULL,NULL),(28,424,1,19,26,NULL,NULL,NULL,NULL),(28,424,1,19,27,NULL,NULL,NULL,NULL),(28,424,1,19,28,NULL,NULL,NULL,NULL),(28,424,1,19,29,NULL,NULL,NULL,NULL),(28,424,1,19,30,NULL,NULL,NULL,NULL),(28,424,1,19,31,NULL,NULL,NULL,NULL),(28,424,1,19,32,NULL,NULL,NULL,NULL),(28,424,1,19,33,NULL,NULL,NULL,NULL),(28,424,1,19,34,NULL,NULL,NULL,NULL),(28,424,1,19,35,NULL,NULL,NULL,NULL),(28,424,1,19,36,NULL,NULL,NULL,NULL),(28,424,1,19,37,NULL,NULL,NULL,NULL),(28,424,1,19,38,NULL,NULL,NULL,NULL),(28,424,1,19,39,NULL,NULL,NULL,NULL),(28,424,1,19,40,NULL,NULL,NULL,NULL),(28,424,2,21,1,NULL,6,NULL,5),(28,424,2,21,2,NULL,5,NULL,5),(28,424,2,21,3,5,3,9,2),(28,424,2,21,4,NULL,1,NULL,1),(28,424,2,21,5,NULL,2,1,NULL),(28,424,2,21,6,4,8,2,6),(28,424,2,21,7,NULL,5,NULL,5),(28,424,2,21,8,3,5,2,3),(28,424,2,21,9,1,NULL,2,NULL),(28,424,2,21,10,2,4,NULL,3),(28,424,2,21,11,NULL,NULL,NULL,NULL),(28,424,2,21,12,2,3,2,3),(28,424,2,21,13,1,8,NULL,9),(28,424,2,21,14,1,8,1,7),(28,424,2,21,15,2,3,1,2),(28,424,2,21,16,1,4,2,4),(28,424,2,21,17,1,1,1,1),(28,424,2,21,18,3,5,4,3),(28,424,2,21,19,1,3,3,5),(28,424,2,21,20,6,2,4,4),(28,424,2,21,21,NULL,1,NULL,1),(28,424,2,21,22,NULL,3,2,2),(28,424,2,21,23,1,NULL,NULL,NULL),(28,424,2,21,24,2,3,NULL,3),(28,424,2,21,25,NULL,NULL,NULL,1),(28,424,2,21,26,NULL,2,1,3),(28,424,2,21,27,NULL,3,NULL,4),(28,424,2,21,28,NULL,NULL,NULL,2),(28,424,2,21,29,NULL,NULL,NULL,NULL),(28,424,2,21,30,2,2,1,1),(28,424,2,21,31,NULL,5,NULL,6),(28,424,2,21,32,NULL,2,NULL,1),(28,424,2,21,33,NULL,1,NULL,1),(28,424,2,21,34,2,2,2,1),(28,424,2,21,35,2,NULL,1,NULL),(28,424,2,21,36,NULL,4,1,3),(28,424,2,21,37,NULL,1,NULL,NULL),(28,424,2,21,38,NULL,1,1,NULL),(28,424,2,21,39,NULL,1,NULL,2),(28,424,2,21,40,NULL,6,NULL,4),(28,424,2,22,1,NULL,2,NULL,4),(28,424,2,22,2,NULL,5,NULL,3),(28,424,2,22,3,3,3,2,4),(28,424,2,22,4,NULL,1,NULL,1),(28,424,2,22,5,1,2,3,1),(28,424,2,22,6,4,6,4,2),(28,424,2,22,7,NULL,8,NULL,5),(28,424,2,22,8,1,5,NULL,4),(28,424,2,22,9,2,NULL,NULL,2),(28,424,2,22,10,1,3,1,4),(28,424,2,22,11,1,2,1,2),(28,424,2,22,12,1,5,2,4),(28,424,2,22,13,NULL,2,2,3),(28,424,2,22,14,2,2,2,3),(28,424,2,22,15,2,3,3,2),(28,424,2,22,16,3,2,2,2),(28,424,2,22,17,NULL,NULL,1,2),(28,424,2,22,18,3,4,4,3),(28,424,2,22,19,1,3,NULL,4),(28,424,2,22,20,1,4,2,2),(28,424,2,22,21,NULL,2,NULL,1),(28,424,2,22,22,NULL,NULL,NULL,1),(28,424,2,22,23,NULL,1,NULL,2),(28,424,2,22,24,NULL,1,NULL,1),(28,424,2,22,25,NULL,3,NULL,3),(28,424,2,22,26,NULL,3,NULL,2),(28,424,2,22,27,NULL,2,NULL,2),(28,424,2,22,28,1,NULL,NULL,NULL),(28,424,2,22,29,NULL,3,1,3),(28,424,2,22,30,NULL,3,NULL,2),(28,424,2,22,31,NULL,1,NULL,1),(28,424,2,22,32,NULL,NULL,NULL,NULL),(28,424,2,22,33,NULL,NULL,NULL,NULL),(28,424,2,22,34,NULL,2,NULL,2),(28,424,2,22,35,NULL,NULL,1,NULL),(28,424,2,22,36,NULL,1,NULL,NULL),(28,424,2,22,37,NULL,NULL,NULL,NULL),(28,424,2,22,38,NULL,1,NULL,NULL),(28,424,2,22,39,NULL,1,NULL,1),(28,424,2,22,40,NULL,2,NULL,2),(28,424,2,23,1,1,3,1,3),(28,424,2,23,2,NULL,2,NULL,2),(28,424,2,23,3,5,2,4,3),(28,424,2,23,4,NULL,1,NULL,NULL),(28,424,2,23,5,1,3,3,2),(28,424,2,23,6,4,3,3,4),(28,424,2,23,7,NULL,3,NULL,3),(28,424,2,23,8,1,2,2,1),(28,424,2,23,9,1,1,NULL,1),(28,424,2,23,10,2,4,3,3),(28,424,2,23,11,3,2,2,3),(28,424,2,23,12,1,3,1,3),(28,424,2,23,13,NULL,5,NULL,4),(28,424,2,23,14,2,3,2,3),(28,424,2,23,15,1,3,1,2),(28,424,2,23,16,3,4,3,2),(28,424,2,23,17,2,1,2,NULL),(28,424,2,23,18,6,1,5,3),(28,424,2,23,19,1,7,1,5),(28,424,2,23,20,1,3,1,1),(28,424,2,23,21,NULL,2,NULL,2),(28,424,2,23,22,NULL,1,NULL,1),(28,424,2,23,23,NULL,1,NULL,3),(28,424,2,23,24,1,1,1,NULL),(28,424,2,23,25,NULL,3,NULL,2),(28,424,2,23,26,NULL,2,NULL,2),(28,424,2,23,27,NULL,4,NULL,5),(28,424,2,23,28,1,2,NULL,2),(28,424,2,23,29,NULL,3,NULL,1),(28,424,2,23,30,NULL,1,NULL,1),(28,424,2,23,31,NULL,4,NULL,3),(28,424,2,23,32,NULL,1,NULL,2),(28,424,2,23,33,NULL,3,NULL,NULL),(28,424,2,23,34,1,2,2,2),(28,424,2,23,35,1,NULL,2,NULL),(28,424,2,23,36,NULL,NULL,NULL,NULL),(28,424,2,23,37,NULL,NULL,NULL,NULL),(28,424,2,23,38,NULL,1,1,1),(28,424,2,23,39,NULL,1,NULL,2),(28,424,2,23,40,1,2,1,1),(28,424,2,24,1,NULL,5,NULL,2),(28,424,2,24,2,1,2,1,2),(28,424,2,24,3,4,3,2,2),(28,424,2,24,4,NULL,1,NULL,1),(28,424,2,24,5,NULL,5,NULL,4),(28,424,2,24,6,5,4,3,2),(28,424,2,24,7,NULL,4,NULL,4),(28,424,2,24,8,1,2,1,2),(28,424,2,24,9,1,1,NULL,1),(28,424,2,24,10,2,3,2,3),(28,424,2,24,11,1,2,1,2),(28,424,2,24,12,NULL,1,NULL,NULL),(28,424,2,24,13,NULL,6,NULL,5),(28,424,2,24,14,1,4,1,4),(28,424,2,24,15,1,4,1,4),(28,424,2,24,16,NULL,5,NULL,4),(28,424,2,24,17,NULL,2,NULL,2),(28,424,2,24,18,2,6,2,5),(28,424,2,24,19,NULL,5,NULL,5),(28,424,2,24,20,NULL,6,NULL,4),(28,424,2,24,21,1,2,NULL,1),(28,424,2,24,22,NULL,NULL,NULL,NULL),(28,424,2,24,23,NULL,NULL,NULL,NULL),(28,424,2,24,24,NULL,NULL,NULL,NULL),(28,424,2,24,25,NULL,1,NULL,1),(28,424,2,24,26,NULL,4,NULL,3),(28,424,2,24,27,1,5,NULL,5),(28,424,2,24,28,NULL,1,NULL,NULL),(28,424,2,24,29,NULL,NULL,NULL,NULL),(28,424,2,24,30,NULL,1,NULL,1),(28,424,2,24,31,NULL,1,NULL,NULL),(28,424,2,24,32,NULL,NULL,NULL,NULL),(28,424,2,24,33,NULL,2,NULL,1),(28,424,2,24,34,NULL,1,NULL,1),(28,424,2,24,35,3,NULL,3,NULL),(28,424,2,24,36,NULL,1,NULL,NULL),(28,424,2,24,37,NULL,2,NULL,2),(28,424,2,24,38,NULL,NULL,NULL,NULL),(28,424,2,24,39,NULL,1,NULL,NULL),(28,424,2,24,40,NULL,NULL,NULL,NULL),(28,425,1,11,1,NULL,NULL,NULL,NULL),(28,425,1,11,2,NULL,NULL,NULL,NULL),(28,425,1,11,3,NULL,NULL,NULL,NULL),(28,425,1,11,4,NULL,NULL,NULL,NULL),(28,425,1,11,5,NULL,NULL,NULL,NULL),(28,425,1,11,6,NULL,NULL,NULL,NULL),(28,425,1,11,7,NULL,NULL,NULL,NULL),(28,425,1,11,8,NULL,NULL,NULL,NULL),(28,425,1,11,9,NULL,NULL,NULL,NULL),(28,425,1,11,10,NULL,NULL,NULL,NULL),(28,425,1,11,11,NULL,NULL,NULL,NULL),(28,425,1,11,12,NULL,NULL,NULL,NULL),(28,425,1,11,13,NULL,NULL,NULL,NULL),(28,425,1,11,14,NULL,NULL,NULL,NULL),(28,425,1,11,15,NULL,NULL,NULL,NULL),(28,425,1,11,16,NULL,NULL,NULL,NULL),(28,425,1,11,17,NULL,NULL,NULL,NULL),(28,425,1,11,18,NULL,NULL,NULL,NULL),(28,425,1,11,19,NULL,NULL,NULL,NULL),(28,425,1,11,20,NULL,NULL,NULL,NULL),(28,425,1,11,21,NULL,NULL,NULL,NULL),(28,425,1,11,22,NULL,NULL,NULL,NULL),(28,425,1,11,23,NULL,NULL,NULL,NULL),(28,425,1,11,24,NULL,NULL,NULL,NULL),(28,425,1,11,25,NULL,NULL,NULL,NULL),(28,425,1,11,26,NULL,NULL,NULL,NULL),(28,425,1,11,27,NULL,NULL,NULL,NULL),(28,425,1,11,28,NULL,NULL,NULL,NULL),(28,425,1,11,29,NULL,NULL,NULL,NULL),(28,425,1,11,30,NULL,NULL,NULL,NULL),(28,425,1,11,31,NULL,NULL,NULL,NULL),(28,425,1,11,32,NULL,NULL,NULL,NULL),(28,425,1,11,33,NULL,NULL,NULL,NULL),(28,425,1,11,34,NULL,NULL,NULL,NULL),(28,425,1,11,35,NULL,NULL,NULL,NULL),(28,425,1,11,36,NULL,NULL,NULL,NULL),(28,425,1,11,37,NULL,NULL,NULL,NULL),(28,425,1,11,38,NULL,NULL,NULL,NULL),(28,425,1,11,39,NULL,NULL,NULL,NULL),(28,425,1,11,40,NULL,NULL,NULL,NULL),(28,425,1,12,1,NULL,NULL,NULL,NULL),(28,425,1,12,2,NULL,NULL,NULL,NULL),(28,425,1,12,3,NULL,NULL,NULL,NULL),(28,425,1,12,4,NULL,NULL,NULL,NULL),(28,425,1,12,5,NULL,1,NULL,NULL),(28,425,1,12,6,NULL,1,NULL,NULL),(28,425,1,12,7,1,NULL,NULL,NULL),(28,425,1,12,8,NULL,NULL,NULL,NULL),(28,425,1,12,9,NULL,NULL,NULL,NULL),(28,425,1,12,10,NULL,NULL,NULL,NULL),(28,425,1,12,11,NULL,NULL,NULL,NULL),(28,425,1,12,12,1,NULL,NULL,NULL),(28,425,1,12,13,1,NULL,NULL,NULL),(28,425,1,12,14,NULL,NULL,NULL,NULL),(28,425,1,12,15,NULL,NULL,NULL,NULL),(28,425,1,12,16,1,NULL,NULL,NULL),(28,425,1,12,17,2,NULL,NULL,NULL),(28,425,1,12,18,NULL,NULL,NULL,NULL),(28,425,1,12,19,1,NULL,NULL,NULL),(28,425,1,12,20,NULL,1,NULL,NULL),(28,425,1,12,21,NULL,NULL,NULL,NULL),(28,425,1,12,22,NULL,1,NULL,NULL),(28,425,1,12,23,1,NULL,NULL,NULL),(28,425,1,12,24,NULL,NULL,NULL,NULL),(28,425,1,12,25,NULL,1,NULL,NULL),(28,425,1,12,26,NULL,NULL,NULL,NULL),(28,425,1,12,27,NULL,NULL,NULL,NULL),(28,425,1,12,28,NULL,NULL,NULL,NULL),(28,425,1,12,29,1,NULL,NULL,NULL),(28,425,1,12,30,NULL,NULL,NULL,NULL),(28,425,1,12,31,NULL,NULL,NULL,NULL),(28,425,1,12,32,NULL,NULL,NULL,NULL),(28,425,1,12,33,NULL,NULL,NULL,NULL),(28,425,1,12,34,NULL,NULL,NULL,NULL),(28,425,1,12,35,NULL,NULL,NULL,NULL),(28,425,1,12,36,NULL,NULL,NULL,NULL),(28,425,1,12,37,NULL,NULL,NULL,NULL),(28,425,1,12,38,NULL,NULL,NULL,NULL),(28,425,1,12,39,NULL,NULL,NULL,NULL),(28,425,1,12,40,NULL,NULL,NULL,NULL),(28,425,1,13,1,NULL,NULL,NULL,NULL),(28,425,1,13,2,NULL,NULL,NULL,NULL),(28,425,1,13,3,NULL,NULL,NULL,NULL),(28,425,1,13,4,NULL,NULL,NULL,NULL),(28,425,1,13,5,NULL,NULL,NULL,NULL),(28,425,1,13,6,NULL,NULL,NULL,NULL),(28,425,1,13,7,NULL,NULL,NULL,NULL),(28,425,1,13,8,NULL,NULL,NULL,NULL),(28,425,1,13,9,NULL,NULL,NULL,NULL),(28,425,1,13,10,NULL,NULL,NULL,NULL),(28,425,1,13,11,NULL,NULL,NULL,NULL),(28,425,1,13,12,NULL,NULL,NULL,NULL),(28,425,1,13,13,NULL,NULL,NULL,NULL),(28,425,1,13,14,NULL,NULL,NULL,NULL),(28,425,1,13,15,NULL,NULL,NULL,NULL),(28,425,1,13,16,NULL,NULL,NULL,NULL),(28,425,1,13,17,NULL,NULL,NULL,NULL),(28,425,1,13,18,NULL,NULL,NULL,NULL),(28,425,1,13,19,NULL,NULL,NULL,NULL),(28,425,1,13,20,NULL,NULL,NULL,NULL),(28,425,1,13,21,NULL,NULL,NULL,NULL),(28,425,1,13,22,NULL,NULL,NULL,NULL),(28,425,1,13,23,NULL,NULL,NULL,NULL),(28,425,1,13,24,NULL,NULL,NULL,NULL),(28,425,1,13,25,NULL,NULL,NULL,NULL),(28,425,1,13,26,NULL,NULL,NULL,NULL),(28,425,1,13,27,NULL,NULL,NULL,NULL),(28,425,1,13,28,NULL,NULL,NULL,NULL),(28,425,1,13,29,NULL,NULL,NULL,NULL),(28,425,1,13,30,NULL,NULL,NULL,NULL),(28,425,1,13,31,NULL,NULL,NULL,NULL),(28,425,1,13,32,NULL,NULL,NULL,NULL),(28,425,1,13,33,NULL,NULL,NULL,NULL),(28,425,1,13,34,NULL,NULL,NULL,NULL),(28,425,1,13,35,NULL,NULL,NULL,NULL),(28,425,1,13,36,NULL,NULL,NULL,NULL),(28,425,1,13,37,NULL,NULL,NULL,NULL),(28,425,1,13,38,NULL,NULL,NULL,NULL),(28,425,1,13,39,NULL,NULL,NULL,NULL),(28,425,1,13,40,NULL,NULL,NULL,NULL),(28,425,1,14,1,23,NULL,9,NULL),(28,425,1,14,2,2,21,1,7),(28,425,1,14,3,12,14,5,5),(28,425,1,14,4,6,20,1,5),(28,425,1,14,5,19,16,8,4),(28,425,1,14,6,5,21,2,4),(28,425,1,14,7,4,7,4,4),(28,425,1,14,8,6,18,3,4),(28,425,1,14,9,11,17,4,5),(28,425,1,14,10,27,8,9,1),(28,425,1,14,11,7,9,3,3),(28,425,1,14,12,9,14,5,5),(28,425,1,14,13,37,17,11,6),(28,425,1,14,14,16,16,5,5),(28,425,1,14,15,35,NULL,9,NULL),(28,425,1,14,16,33,15,9,4),(28,425,1,14,17,17,31,6,8),(28,425,1,14,18,22,12,6,5),(28,425,1,14,19,33,18,12,1),(28,425,1,14,20,27,24,10,5),(28,425,1,14,21,2,8,1,1),(28,425,1,14,22,3,14,3,1),(28,425,1,14,23,2,10,1,3),(28,425,1,14,24,1,NULL,NULL,NULL),(28,425,1,14,25,1,8,1,2),(28,425,1,14,26,NULL,13,NULL,3),(28,425,1,14,27,4,NULL,1,NULL),(28,425,1,14,28,1,4,NULL,1),(28,425,1,14,29,2,5,NULL,1),(28,425,1,14,30,8,19,2,6),(28,425,1,14,31,2,4,1,1),(28,425,1,14,32,5,9,1,3),(28,425,1,14,33,3,11,2,4),(28,425,1,14,34,14,8,5,2),(28,425,1,14,35,1,4,NULL,2),(28,425,1,14,36,NULL,NULL,NULL,NULL),(28,425,1,14,37,3,5,1,3),(28,425,1,14,38,NULL,6,NULL,3),(28,425,1,14,39,4,11,3,5),(28,425,1,14,40,1,NULL,1,NULL),(28,425,1,15,1,20,NULL,8,NULL),(28,425,1,15,2,1,18,NULL,11),(28,425,1,15,3,15,10,8,5),(28,425,1,15,4,5,13,1,8),(28,425,1,15,5,10,15,6,9),(28,425,1,15,6,8,29,5,12),(28,425,1,15,7,7,5,2,2),(28,425,1,15,8,4,15,4,7),(28,425,1,15,9,7,15,3,7),(28,425,1,15,10,25,4,15,2),(28,425,1,15,11,6,4,6,2),(28,425,1,15,12,4,7,4,6),(28,425,1,15,13,26,13,13,3),(28,425,1,15,14,12,22,9,8),(28,425,1,15,15,36,NULL,15,NULL),(28,425,1,15,16,23,14,11,6),(28,425,1,15,17,17,24,8,8),(28,425,1,15,18,17,11,6,4),(28,425,1,15,19,21,19,11,6),(28,425,1,15,20,24,20,10,7),(28,425,1,15,21,1,6,1,2),(28,425,1,15,22,1,11,1,8),(28,425,1,15,23,3,12,1,2),(28,425,1,15,24,NULL,NULL,NULL,NULL),(28,425,1,15,25,NULL,5,NULL,1),(28,425,1,15,26,NULL,4,NULL,2),(28,425,1,15,27,6,NULL,4,NULL),(28,425,1,15,28,NULL,2,NULL,1),(28,425,1,15,29,NULL,7,NULL,3),(28,425,1,15,30,6,13,3,7),(28,425,1,15,31,NULL,2,NULL,2),(28,425,1,15,32,8,12,4,6),(28,425,1,15,33,2,3,NULL,3),(28,425,1,15,34,10,9,8,4),(28,425,1,15,35,1,7,NULL,5),(28,425,1,15,36,NULL,NULL,NULL,NULL),(28,425,1,15,37,1,4,NULL,1),(28,425,1,15,38,1,6,1,1),(28,425,1,15,39,6,14,3,7),(28,425,1,15,40,3,NULL,1,NULL),(28,425,1,16,1,2,NULL,NULL,NULL),(28,425,1,16,2,NULL,6,NULL,2),(28,425,1,16,3,NULL,3,NULL,NULL),(28,425,1,16,4,NULL,1,NULL,NULL),(28,425,1,16,5,3,NULL,1,NULL),(28,425,1,16,6,NULL,4,NULL,NULL),(28,425,1,16,7,1,3,NULL,NULL),(28,425,1,16,8,NULL,2,NULL,NULL),(28,425,1,16,9,NULL,3,NULL,NULL),(28,425,1,16,10,3,2,2,NULL),(28,425,1,16,11,NULL,NULL,NULL,NULL),(28,425,1,16,12,1,2,1,NULL),(28,425,1,16,13,9,NULL,2,NULL),(28,425,1,16,14,8,1,2,NULL),(28,425,1,16,15,1,7,NULL,2),(28,425,1,16,16,7,NULL,2,NULL),(28,425,1,16,17,4,5,1,1),(28,425,1,16,18,1,6,NULL,2),(28,425,1,16,19,NULL,4,NULL,NULL),(28,425,1,16,20,NULL,3,NULL,1),(28,425,1,16,21,NULL,2,NULL,NULL),(28,425,1,16,22,NULL,2,NULL,1),(28,425,1,16,23,1,2,NULL,NULL),(28,425,1,16,24,NULL,NULL,NULL,NULL),(28,425,1,16,25,NULL,NULL,NULL,NULL),(28,425,1,16,26,1,1,1,NULL),(28,425,1,16,27,2,NULL,NULL,NULL),(28,425,1,16,28,NULL,3,NULL,2),(28,425,1,16,29,1,4,1,NULL),(28,425,1,16,30,1,2,NULL,NULL),(28,425,1,16,31,NULL,2,NULL,1),(28,425,1,16,32,NULL,2,NULL,NULL),(28,425,1,16,33,NULL,NULL,NULL,NULL),(28,425,1,16,34,1,1,NULL,NULL),(28,425,1,16,35,NULL,2,NULL,NULL),(28,425,1,16,36,NULL,NULL,NULL,NULL),(28,425,1,16,37,NULL,NULL,NULL,NULL),(28,425,1,16,38,NULL,1,NULL,NULL),(28,425,1,16,39,1,3,1,NULL),(28,425,1,16,40,2,NULL,NULL,NULL),(28,425,1,17,1,1,NULL,NULL,NULL),(28,425,1,17,2,NULL,NULL,NULL,NULL),(28,425,1,17,3,NULL,NULL,NULL,NULL),(28,425,1,17,4,NULL,2,NULL,NULL),(28,425,1,17,5,NULL,2,NULL,NULL),(28,425,1,17,6,1,NULL,NULL,NULL),(28,425,1,17,7,NULL,NULL,NULL,NULL),(28,425,1,17,8,NULL,1,NULL,NULL),(28,425,1,17,9,NULL,1,NULL,NULL),(28,425,1,17,10,1,1,NULL,NULL),(28,425,1,17,11,NULL,2,NULL,NULL),(28,425,1,17,12,NULL,2,NULL,NULL),(28,425,1,17,13,9,NULL,NULL,NULL),(28,425,1,17,14,4,NULL,NULL,NULL),(28,425,1,17,15,1,3,NULL,NULL),(28,425,1,17,16,7,NULL,NULL,NULL),(28,425,1,17,17,3,2,NULL,NULL),(28,425,1,17,18,NULL,2,NULL,NULL),(28,425,1,17,19,NULL,2,NULL,NULL),(28,425,1,17,20,1,2,NULL,NULL),(28,425,1,17,21,NULL,2,NULL,NULL),(28,425,1,17,22,NULL,1,NULL,NULL),(28,425,1,17,23,NULL,1,NULL,NULL),(28,425,1,17,24,NULL,NULL,NULL,NULL),(28,425,1,17,25,NULL,NULL,NULL,NULL),(28,425,1,17,26,NULL,2,NULL,NULL),(28,425,1,17,27,1,NULL,NULL,NULL),(28,425,1,17,28,NULL,NULL,NULL,NULL),(28,425,1,17,29,NULL,1,NULL,NULL),(28,425,1,17,30,NULL,5,NULL,NULL),(28,425,1,17,31,NULL,NULL,NULL,NULL),(28,425,1,17,32,NULL,NULL,NULL,NULL),(28,425,1,17,33,NULL,1,NULL,NULL),(28,425,1,17,34,1,1,NULL,NULL),(28,425,1,17,35,NULL,NULL,NULL,NULL),(28,425,1,17,36,NULL,NULL,NULL,NULL),(28,425,1,17,37,NULL,NULL,NULL,NULL),(28,425,1,17,38,NULL,NULL,NULL,NULL),(28,425,1,17,39,NULL,1,NULL,NULL),(28,425,1,17,40,NULL,NULL,NULL,NULL),(28,425,1,18,1,NULL,NULL,NULL,NULL),(28,425,1,18,2,NULL,NULL,NULL,NULL),(28,425,1,18,3,NULL,NULL,NULL,NULL),(28,425,1,18,4,NULL,NULL,NULL,NULL),(28,425,1,18,5,NULL,NULL,NULL,NULL),(28,425,1,18,6,NULL,NULL,NULL,NULL),(28,425,1,18,7,NULL,NULL,NULL,NULL),(28,425,1,18,8,NULL,NULL,NULL,NULL),(28,425,1,18,9,NULL,NULL,NULL,NULL),(28,425,1,18,10,NULL,NULL,NULL,NULL),(28,425,1,18,11,NULL,NULL,NULL,NULL),(28,425,1,18,12,NULL,NULL,NULL,NULL),(28,425,1,18,13,NULL,NULL,NULL,NULL),(28,425,1,18,14,NULL,NULL,NULL,NULL),(28,425,1,18,15,NULL,NULL,NULL,NULL),(28,425,1,18,16,NULL,NULL,NULL,NULL),(28,425,1,18,17,NULL,NULL,NULL,NULL),(28,425,1,18,18,NULL,NULL,NULL,NULL),(28,425,1,18,19,NULL,NULL,NULL,NULL),(28,425,1,18,20,NULL,NULL,NULL,NULL),(28,425,1,18,21,NULL,NULL,NULL,NULL),(28,425,1,18,22,NULL,NULL,NULL,NULL),(28,425,1,18,23,NULL,NULL,NULL,NULL),(28,425,1,18,24,NULL,NULL,NULL,NULL),(28,425,1,18,25,NULL,NULL,NULL,NULL),(28,425,1,18,26,NULL,NULL,NULL,NULL),(28,425,1,18,27,NULL,NULL,NULL,NULL),(28,425,1,18,28,NULL,NULL,NULL,NULL),(28,425,1,18,29,NULL,NULL,NULL,NULL),(28,425,1,18,30,NULL,NULL,NULL,NULL),(28,425,1,18,31,NULL,NULL,NULL,NULL),(28,425,1,18,32,NULL,NULL,NULL,NULL),(28,425,1,18,33,NULL,NULL,NULL,NULL),(28,425,1,18,34,NULL,NULL,NULL,NULL),(28,425,1,18,35,NULL,NULL,NULL,NULL),(28,425,1,18,36,NULL,NULL,NULL,NULL),(28,425,1,18,37,NULL,NULL,NULL,NULL),(28,425,1,18,38,NULL,NULL,NULL,NULL),(28,425,1,18,39,NULL,NULL,NULL,NULL),(28,425,1,18,40,NULL,NULL,NULL,NULL),(28,425,1,19,1,NULL,NULL,NULL,NULL),(28,425,1,19,2,NULL,NULL,NULL,NULL),(28,425,1,19,3,NULL,NULL,NULL,NULL),(28,425,1,19,4,NULL,NULL,NULL,NULL),(28,425,1,19,5,NULL,NULL,NULL,NULL),(28,425,1,19,6,NULL,NULL,NULL,NULL),(28,425,1,19,7,NULL,NULL,NULL,NULL),(28,425,1,19,8,NULL,NULL,NULL,NULL),(28,425,1,19,9,NULL,NULL,NULL,NULL),(28,425,1,19,10,NULL,NULL,NULL,NULL),(28,425,1,19,11,NULL,NULL,NULL,NULL),(28,425,1,19,12,NULL,NULL,NULL,NULL),(28,425,1,19,13,NULL,NULL,NULL,NULL),(28,425,1,19,14,NULL,NULL,NULL,NULL),(28,425,1,19,15,NULL,NULL,NULL,NULL),(28,425,1,19,16,NULL,NULL,NULL,NULL),(28,425,1,19,17,NULL,NULL,NULL,NULL),(28,425,1,19,18,NULL,NULL,NULL,NULL),(28,425,1,19,19,NULL,NULL,NULL,NULL),(28,425,1,19,20,NULL,NULL,NULL,NULL),(28,425,1,19,21,NULL,NULL,NULL,NULL),(28,425,1,19,22,NULL,NULL,NULL,NULL),(28,425,1,19,23,NULL,NULL,NULL,NULL),(28,425,1,19,24,NULL,NULL,NULL,NULL),(28,425,1,19,25,NULL,NULL,NULL,NULL),(28,425,1,19,26,NULL,NULL,NULL,NULL),(28,425,1,19,27,NULL,NULL,NULL,NULL),(28,425,1,19,28,NULL,NULL,NULL,NULL),(28,425,1,19,29,NULL,NULL,NULL,NULL),(28,425,1,19,30,NULL,NULL,NULL,NULL),(28,425,1,19,31,NULL,NULL,NULL,NULL),(28,425,1,19,32,NULL,NULL,NULL,NULL),(28,425,1,19,33,NULL,NULL,NULL,NULL),(28,425,1,19,34,NULL,NULL,NULL,NULL),(28,425,1,19,35,NULL,NULL,NULL,NULL),(28,425,1,19,36,NULL,NULL,NULL,NULL),(28,425,1,19,37,NULL,NULL,NULL,NULL),(28,425,1,19,38,NULL,NULL,NULL,NULL),(28,425,1,19,39,NULL,NULL,NULL,NULL),(28,425,1,19,40,NULL,NULL,NULL,NULL),(28,425,2,21,1,NULL,11,NULL,3),(28,425,2,21,2,NULL,9,NULL,3),(28,425,2,21,3,24,10,7,3),(28,425,2,21,4,NULL,3,NULL,2),(28,425,2,21,5,8,3,3,NULL),(28,425,2,21,6,8,20,2,4),(28,425,2,21,7,1,7,NULL,4),(28,425,2,21,8,5,5,3,3),(28,425,2,21,9,4,4,2,1),(28,425,2,21,10,5,3,3,1),(28,425,2,21,11,4,3,3,1),(28,425,2,21,12,5,13,2,6),(28,425,2,21,13,NULL,23,NULL,7),(28,425,2,21,14,5,13,3,4),(28,425,2,21,15,7,8,3,3),(28,425,2,21,16,3,15,1,7),(28,425,2,21,17,1,6,1,1),(28,425,2,21,18,14,9,4,3),(28,425,2,21,19,5,15,1,5),(28,425,2,21,20,5,15,5,3),(28,425,2,21,21,2,2,NULL,1),(28,425,2,21,22,4,5,2,2),(28,425,2,21,23,NULL,3,NULL,NULL),(28,425,2,21,24,3,6,NULL,4),(28,425,2,21,25,NULL,5,NULL,2),(28,425,2,21,26,1,7,NULL,4),(28,425,2,21,27,1,12,1,5),(28,425,2,21,28,NULL,8,NULL,4),(28,425,2,21,29,NULL,3,NULL,1),(28,425,2,21,30,1,2,1,1),(28,425,2,21,31,1,13,NULL,4),(28,425,2,21,32,NULL,1,NULL,NULL),(28,425,2,21,33,1,6,1,3),(28,425,2,21,34,1,7,NULL,5),(28,425,2,21,35,1,NULL,NULL,NULL),(28,425,2,21,36,1,1,NULL,NULL),(28,425,2,21,37,1,4,NULL,3),(28,425,2,21,38,1,1,NULL,NULL),(28,425,2,21,39,1,4,NULL,1),(28,425,2,21,40,NULL,13,NULL,4),(28,425,2,22,1,2,12,1,NULL),(28,425,2,22,2,NULL,7,NULL,NULL),(28,425,2,22,3,8,13,NULL,4),(28,425,2,22,4,NULL,1,NULL,NULL),(28,425,2,22,5,3,6,NULL,1),(28,425,2,22,6,14,10,1,2),(28,425,2,22,7,NULL,10,NULL,2),(28,425,2,22,8,2,7,NULL,1),(28,425,2,22,9,1,6,NULL,1),(28,425,2,22,10,4,6,1,1),(28,425,2,22,11,4,6,2,1),(28,425,2,22,12,8,12,NULL,3),(28,425,2,22,13,3,16,1,3),(28,425,2,22,14,7,12,1,3),(28,425,2,22,15,6,10,1,NULL),(28,425,2,22,16,6,9,NULL,3),(28,425,2,22,17,1,3,NULL,NULL),(28,425,2,22,18,10,7,2,2),(28,425,2,22,19,5,10,NULL,3),(28,425,2,22,20,8,7,2,2),(28,425,2,22,21,NULL,4,NULL,NULL),(28,425,2,22,22,4,1,NULL,NULL),(28,425,2,22,23,1,5,NULL,3),(28,425,2,22,24,3,4,NULL,1),(28,425,2,22,25,1,7,NULL,3),(28,425,2,22,26,1,1,NULL,1),(28,425,2,22,27,2,7,1,2),(28,425,2,22,28,NULL,2,NULL,1),(28,425,2,22,29,1,4,NULL,NULL),(28,425,2,22,30,1,2,NULL,NULL),(28,425,2,22,31,NULL,8,NULL,3),(28,425,2,22,32,NULL,3,NULL,1),(28,425,2,22,33,1,2,1,NULL),(28,425,2,22,34,1,4,NULL,NULL),(28,425,2,22,35,3,NULL,NULL,NULL),(28,425,2,22,36,NULL,2,NULL,NULL),(28,425,2,22,37,1,NULL,1,NULL),(28,425,2,22,38,NULL,NULL,NULL,NULL),(28,425,2,22,39,2,4,NULL,NULL),(28,425,2,22,40,1,10,1,1),(28,425,2,23,1,2,15,1,7),(28,425,2,23,2,2,13,NULL,7),(28,425,2,23,3,10,12,6,4),(28,425,2,23,4,NULL,4,NULL,1),(28,425,2,23,5,6,9,3,4),(28,425,2,23,6,9,18,5,5),(28,425,2,23,7,NULL,11,NULL,4),(28,425,2,23,8,7,6,2,3),(28,425,2,23,9,2,4,NULL,2),(28,425,2,23,10,5,7,3,4),(28,425,2,23,11,2,6,NULL,3),(28,425,2,23,12,3,7,2,2),(28,425,2,23,13,3,14,1,9),(28,425,2,23,14,8,15,4,7),(28,425,2,23,15,6,10,2,6),(28,425,2,23,16,3,11,1,6),(28,425,2,23,17,2,4,2,NULL),(28,425,2,23,18,11,11,6,4),(28,425,2,23,19,8,10,4,5),(28,425,2,23,20,9,8,5,6),(28,425,2,23,21,NULL,3,NULL,1),(28,425,2,23,22,5,5,3,4),(28,425,2,23,23,1,3,NULL,NULL),(28,425,2,23,24,1,2,1,2),(28,425,2,23,25,NULL,4,NULL,1),(28,425,2,23,26,2,11,1,5),(28,425,2,23,27,3,6,1,3),(28,425,2,23,28,NULL,4,NULL,3),(28,425,2,23,29,NULL,6,NULL,4),(28,425,2,23,30,NULL,6,NULL,2),(28,425,2,23,31,1,8,1,7),(28,425,2,23,32,NULL,5,NULL,1),(28,425,2,23,33,NULL,7,NULL,4),(28,425,2,23,34,1,3,NULL,1),(28,425,2,23,35,6,NULL,3,NULL),(28,425,2,23,36,NULL,2,NULL,1),(28,425,2,23,37,1,4,NULL,3),(28,425,2,23,38,2,2,NULL,2),(28,425,2,23,39,NULL,6,NULL,3),(28,425,2,23,40,NULL,15,NULL,10),(28,425,2,24,1,NULL,11,NULL,6),(28,425,2,24,2,1,6,NULL,1),(28,425,2,24,3,13,6,5,3),(28,425,2,24,4,1,4,NULL,1),(28,425,2,24,5,2,8,1,1),(28,425,2,24,6,13,9,5,3),(28,425,2,24,7,NULL,9,NULL,2),(28,425,2,24,8,6,3,3,1),(28,425,2,24,9,1,3,1,2),(28,425,2,24,10,3,8,1,2),(28,425,2,24,11,3,6,1,2),(28,425,2,24,12,4,9,NULL,5),(28,425,2,24,13,2,16,1,6),(28,425,2,24,14,4,9,2,1),(28,425,2,24,15,6,4,3,2),(28,425,2,24,16,4,8,2,3),(28,425,2,24,17,NULL,5,NULL,3),(28,425,2,24,18,11,9,4,3),(28,425,2,24,19,4,9,3,1),(28,425,2,24,20,9,5,6,4),(28,425,2,24,21,1,1,NULL,1),(28,425,2,24,22,1,6,1,3),(28,425,2,24,23,1,1,NULL,1),(28,425,2,24,24,1,4,NULL,2),(28,425,2,24,25,2,4,2,1),(28,425,2,24,26,NULL,6,NULL,1),(28,425,2,24,27,3,7,1,1),(28,425,2,24,28,1,3,1,1),(28,425,2,24,29,NULL,5,NULL,1),(28,425,2,24,30,1,5,1,1),(28,425,2,24,31,NULL,7,NULL,3),(28,425,2,24,32,NULL,2,NULL,1),(28,425,2,24,33,NULL,4,NULL,2),(28,425,2,24,34,NULL,4,NULL,1),(28,425,2,24,35,3,NULL,2,NULL),(28,425,2,24,36,NULL,1,NULL,1),(28,425,2,24,37,NULL,3,NULL,NULL),(28,425,2,24,38,NULL,2,NULL,1),(28,425,2,24,39,NULL,5,NULL,2),(28,425,2,24,40,NULL,14,NULL,5),(28,426,1,11,1,NULL,NULL,NULL,NULL),(28,426,1,11,2,NULL,NULL,NULL,NULL),(28,426,1,11,3,NULL,NULL,NULL,NULL),(28,426,1,11,4,NULL,NULL,NULL,NULL),(28,426,1,11,5,NULL,NULL,NULL,NULL),(28,426,1,11,6,NULL,NULL,NULL,NULL),(28,426,1,11,7,NULL,NULL,NULL,NULL),(28,426,1,11,8,NULL,NULL,NULL,NULL),(28,426,1,11,9,NULL,NULL,NULL,NULL),(28,426,1,11,10,NULL,NULL,NULL,NULL),(28,426,1,11,11,NULL,NULL,NULL,NULL),(28,426,1,11,12,NULL,NULL,NULL,NULL),(28,426,1,11,13,NULL,NULL,NULL,NULL),(28,426,1,11,14,NULL,NULL,NULL,NULL),(28,426,1,11,15,NULL,NULL,NULL,NULL),(28,426,1,11,16,NULL,NULL,NULL,NULL),(28,426,1,11,17,NULL,NULL,NULL,NULL),(28,426,1,11,18,NULL,NULL,NULL,NULL),(28,426,1,11,19,NULL,NULL,NULL,NULL),(28,426,1,11,20,NULL,NULL,NULL,NULL),(28,426,1,11,21,NULL,NULL,NULL,NULL),(28,426,1,11,22,NULL,NULL,NULL,NULL),(28,426,1,11,23,NULL,NULL,NULL,NULL),(28,426,1,11,24,NULL,NULL,NULL,NULL),(28,426,1,11,25,NULL,NULL,NULL,NULL),(28,426,1,11,26,NULL,NULL,NULL,NULL),(28,426,1,11,27,NULL,NULL,NULL,NULL),(28,426,1,11,28,NULL,NULL,NULL,NULL),(28,426,1,11,29,NULL,NULL,NULL,NULL),(28,426,1,11,30,NULL,NULL,NULL,NULL),(28,426,1,11,31,NULL,NULL,NULL,NULL),(28,426,1,11,32,NULL,NULL,NULL,NULL),(28,426,1,11,33,NULL,NULL,NULL,NULL),(28,426,1,11,34,NULL,NULL,NULL,NULL),(28,426,1,11,35,NULL,NULL,NULL,NULL),(28,426,1,11,36,NULL,NULL,NULL,NULL),(28,426,1,11,37,NULL,NULL,NULL,NULL),(28,426,1,11,38,NULL,NULL,NULL,NULL),(28,426,1,11,39,NULL,NULL,NULL,NULL),(28,426,1,11,40,NULL,NULL,NULL,NULL),(28,426,1,12,1,NULL,NULL,NULL,NULL),(28,426,1,12,2,NULL,NULL,NULL,NULL),(28,426,1,12,3,NULL,NULL,NULL,NULL),(28,426,1,12,4,NULL,NULL,NULL,NULL),(28,426,1,12,5,NULL,NULL,NULL,NULL),(28,426,1,12,6,NULL,NULL,NULL,NULL),(28,426,1,12,7,NULL,NULL,NULL,NULL),(28,426,1,12,8,NULL,NULL,NULL,NULL),(28,426,1,12,9,NULL,NULL,NULL,NULL),(28,426,1,12,10,NULL,NULL,NULL,NULL),(28,426,1,12,11,NULL,NULL,NULL,NULL),(28,426,1,12,12,NULL,NULL,NULL,NULL),(28,426,1,12,13,NULL,NULL,NULL,NULL),(28,426,1,12,14,NULL,NULL,NULL,NULL),(28,426,1,12,15,NULL,NULL,NULL,NULL),(28,426,1,12,16,NULL,NULL,NULL,NULL),(28,426,1,12,17,NULL,NULL,NULL,NULL),(28,426,1,12,18,NULL,NULL,NULL,NULL),(28,426,1,12,19,NULL,NULL,NULL,NULL),(28,426,1,12,20,NULL,NULL,NULL,NULL),(28,426,1,12,21,NULL,NULL,NULL,NULL),(28,426,1,12,22,NULL,NULL,NULL,NULL),(28,426,1,12,23,NULL,NULL,NULL,NULL),(28,426,1,12,24,NULL,NULL,NULL,NULL),(28,426,1,12,25,NULL,NULL,NULL,NULL),(28,426,1,12,26,NULL,NULL,NULL,NULL),(28,426,1,12,27,NULL,NULL,NULL,NULL),(28,426,1,12,28,NULL,NULL,NULL,NULL),(28,426,1,12,29,NULL,NULL,NULL,NULL),(28,426,1,12,30,NULL,NULL,NULL,NULL),(28,426,1,12,31,NULL,NULL,NULL,NULL),(28,426,1,12,32,NULL,NULL,NULL,NULL),(28,426,1,12,33,NULL,NULL,NULL,NULL),(28,426,1,12,34,NULL,NULL,NULL,NULL),(28,426,1,12,35,NULL,NULL,NULL,NULL),(28,426,1,12,36,NULL,NULL,NULL,NULL),(28,426,1,12,37,NULL,NULL,NULL,NULL),(28,426,1,12,38,NULL,NULL,NULL,NULL),(28,426,1,12,39,NULL,NULL,NULL,NULL),(28,426,1,12,40,NULL,NULL,NULL,NULL),(28,426,1,13,1,NULL,NULL,NULL,NULL),(28,426,1,13,2,NULL,1,NULL,NULL),(28,426,1,13,3,1,NULL,NULL,NULL),(28,426,1,13,4,NULL,1,NULL,NULL),(28,426,1,13,5,NULL,NULL,NULL,NULL),(28,426,1,13,6,NULL,NULL,NULL,NULL),(28,426,1,13,7,1,NULL,NULL,NULL),(28,426,1,13,8,NULL,NULL,NULL,NULL),(28,426,1,13,9,1,NULL,NULL,NULL),(28,426,1,13,10,NULL,NULL,NULL,NULL),(28,426,1,13,11,NULL,NULL,NULL,NULL),(28,426,1,13,12,NULL,NULL,NULL,NULL),(28,426,1,13,13,1,NULL,NULL,NULL),(28,426,1,13,14,1,NULL,NULL,NULL),(28,426,1,13,15,1,NULL,NULL,NULL),(28,426,1,13,16,1,NULL,NULL,NULL),(28,426,1,13,17,NULL,1,NULL,NULL),(28,426,1,13,18,1,NULL,NULL,NULL),(28,426,1,13,19,1,NULL,NULL,NULL),(28,426,1,13,20,NULL,NULL,NULL,NULL),(28,426,1,13,21,NULL,NULL,NULL,NULL),(28,426,1,13,22,NULL,NULL,NULL,NULL),(28,426,1,13,23,NULL,NULL,NULL,NULL),(28,426,1,13,24,NULL,NULL,NULL,NULL),(28,426,1,13,25,NULL,NULL,NULL,NULL),(28,426,1,13,26,NULL,NULL,NULL,NULL),(28,426,1,13,27,NULL,NULL,NULL,NULL),(28,426,1,13,28,NULL,NULL,NULL,NULL),(28,426,1,13,29,NULL,NULL,NULL,NULL),(28,426,1,13,30,NULL,NULL,NULL,NULL),(28,426,1,13,31,NULL,NULL,NULL,NULL),(28,426,1,13,32,NULL,NULL,NULL,NULL),(28,426,1,13,33,NULL,NULL,NULL,NULL),(28,426,1,13,34,NULL,NULL,NULL,NULL),(28,426,1,13,35,NULL,NULL,NULL,NULL),(28,426,1,13,36,NULL,NULL,NULL,NULL),(28,426,1,13,37,NULL,NULL,NULL,NULL),(28,426,1,13,38,NULL,NULL,NULL,NULL),(28,426,1,13,39,NULL,NULL,NULL,NULL),(28,426,1,13,40,NULL,NULL,NULL,NULL),(28,426,1,14,1,5,NULL,5,NULL),(28,426,1,14,2,NULL,4,NULL,7),(28,426,1,14,3,3,4,2,6),(28,426,1,14,4,3,1,3,NULL),(28,426,1,14,5,2,1,2,1),(28,426,1,14,6,2,6,2,7),(28,426,1,14,7,1,NULL,1,1),(28,426,1,14,8,3,3,2,4),(28,426,1,14,9,2,4,2,2),(28,426,1,14,10,4,NULL,5,1),(28,426,1,14,11,1,NULL,1,2),(28,426,1,14,12,3,3,2,4),(28,426,1,14,13,5,3,8,3),(28,426,1,14,14,1,2,2,5),(28,426,1,14,15,5,NULL,5,NULL),(28,426,1,14,16,5,2,7,1),(28,426,1,14,17,1,5,3,5),(28,426,1,14,18,3,2,4,2),(28,426,1,14,19,4,3,4,4),(28,426,1,14,20,3,3,4,4),(28,426,1,14,21,NULL,3,NULL,3),(28,426,1,14,22,NULL,4,NULL,5),(28,426,1,14,23,NULL,NULL,NULL,2),(28,426,1,14,24,1,NULL,1,NULL),(28,426,1,14,25,NULL,NULL,NULL,1),(28,426,1,14,26,NULL,1,NULL,2),(28,426,1,14,27,1,NULL,1,NULL),(28,426,1,14,28,NULL,1,NULL,2),(28,426,1,14,29,NULL,1,NULL,2),(28,426,1,14,30,1,1,1,2),(28,426,1,14,31,NULL,NULL,NULL,NULL),(28,426,1,14,32,3,3,3,5),(28,426,1,14,33,1,NULL,1,NULL),(28,426,1,14,34,2,NULL,3,1),(28,426,1,14,35,1,NULL,NULL,1),(28,426,1,14,36,NULL,NULL,NULL,NULL),(28,426,1,14,37,NULL,1,1,1),(28,426,1,14,38,NULL,2,NULL,3),(28,426,1,14,39,NULL,1,NULL,2),(28,426,1,14,40,NULL,NULL,NULL,NULL),(28,426,1,15,1,4,NULL,3,NULL),(28,426,1,15,2,NULL,2,NULL,4),(28,426,1,15,3,3,3,6,2),(28,426,1,15,4,2,1,3,3),(28,426,1,15,5,4,3,4,3),(28,426,1,15,6,1,5,2,6),(28,426,1,15,7,NULL,2,1,1),(28,426,1,15,8,NULL,3,NULL,4),(28,426,1,15,9,NULL,2,NULL,2),(28,426,1,15,10,3,3,3,3),(28,426,1,15,11,2,1,1,2),(28,426,1,15,12,2,5,2,5),(28,426,1,15,13,4,3,5,4),(28,426,1,15,14,2,3,3,5),(28,426,1,15,15,6,NULL,8,NULL),(28,426,1,15,16,3,2,4,4),(28,426,1,15,17,3,4,3,6),(28,426,1,15,18,4,1,4,1),(28,426,1,15,19,7,2,7,4),(28,426,1,15,20,2,6,3,8),(28,426,1,15,21,NULL,2,NULL,2),(28,426,1,15,22,1,NULL,1,NULL),(28,426,1,15,23,NULL,NULL,2,1),(28,426,1,15,24,NULL,NULL,NULL,NULL),(28,426,1,15,25,NULL,2,NULL,2),(28,426,1,15,26,NULL,NULL,NULL,NULL),(28,426,1,15,27,1,NULL,2,NULL),(28,426,1,15,28,NULL,2,NULL,2),(28,426,1,15,29,1,1,1,1),(28,426,1,15,30,1,1,2,NULL),(28,426,1,15,31,1,NULL,1,NULL),(28,426,1,15,32,NULL,2,2,3),(28,426,1,15,33,NULL,1,NULL,1),(28,426,1,15,34,2,NULL,3,NULL),(28,426,1,15,35,NULL,2,NULL,2),(28,426,1,15,36,NULL,NULL,NULL,NULL),(28,426,1,15,37,NULL,NULL,1,NULL),(28,426,1,15,38,1,1,1,2),(28,426,1,15,39,1,3,1,4),(28,426,1,15,40,2,NULL,2,NULL),(28,426,1,16,1,5,NULL,4,NULL),(28,426,1,16,2,NULL,1,NULL,1),(28,426,1,16,3,2,2,2,2),(28,426,1,16,4,1,2,1,2),(28,426,1,16,5,2,2,2,2),(28,426,1,16,6,1,4,1,4),(28,426,1,16,7,2,2,1,2),(28,426,1,16,8,NULL,2,NULL,2),(28,426,1,16,9,NULL,3,NULL,2),(28,426,1,16,10,1,4,1,2),(28,426,1,16,11,NULL,2,NULL,2),(28,426,1,16,12,1,2,1,2),(28,426,1,16,13,11,NULL,8,NULL),(28,426,1,16,14,8,2,6,1),(28,426,1,16,15,2,7,2,5),(28,426,1,16,16,10,NULL,6,NULL),(28,426,1,16,17,3,8,2,6),(28,426,1,16,18,NULL,4,NULL,3),(28,426,1,16,19,NULL,6,NULL,5),(28,426,1,16,20,2,1,2,NULL),(28,426,1,16,21,NULL,1,NULL,2),(28,426,1,16,22,NULL,3,NULL,2),(28,426,1,16,23,2,2,2,3),(28,426,1,16,24,NULL,NULL,NULL,NULL),(28,426,1,16,25,NULL,1,NULL,1),(28,426,1,16,26,NULL,1,NULL,2),(28,426,1,16,27,1,NULL,1,NULL),(28,426,1,16,28,NULL,1,NULL,1),(28,426,1,16,29,NULL,1,1,NULL),(28,426,1,16,30,NULL,3,NULL,2),(28,426,1,16,31,NULL,1,NULL,NULL),(28,426,1,16,32,2,1,2,1),(28,426,1,16,33,NULL,2,NULL,2),(28,426,1,16,34,1,5,1,2),(28,426,1,16,35,1,3,1,1),(28,426,1,16,36,NULL,NULL,NULL,NULL),(28,426,1,16,37,NULL,NULL,NULL,NULL),(28,426,1,16,38,NULL,1,NULL,NULL),(28,426,1,16,39,NULL,4,NULL,2),(28,426,1,16,40,1,NULL,1,NULL),(28,426,1,17,1,3,NULL,2,NULL),(28,426,1,17,2,NULL,5,NULL,1),(28,426,1,17,3,3,2,1,1),(28,426,1,17,4,NULL,2,NULL,2),(28,426,1,17,5,4,1,3,1),(28,426,1,17,6,NULL,6,NULL,3),(28,426,1,17,7,1,4,NULL,1),(28,426,1,17,8,1,4,NULL,4),(28,426,1,17,9,1,1,1,NULL),(28,426,1,17,10,5,1,2,1),(28,426,1,17,11,NULL,1,NULL,1),(28,426,1,17,12,NULL,3,NULL,1),(28,426,1,17,13,11,NULL,6,NULL),(28,426,1,17,14,12,2,5,NULL),(28,426,1,17,15,3,5,2,4),(28,426,1,17,16,10,NULL,3,NULL),(28,426,1,17,17,4,7,3,3),(28,426,1,17,18,4,1,2,NULL),(28,426,1,17,19,4,6,3,3),(28,426,1,17,20,2,4,1,NULL),(28,426,1,17,21,1,3,NULL,1),(28,426,1,17,22,NULL,2,NULL,NULL),(28,426,1,17,23,NULL,NULL,NULL,NULL),(28,426,1,17,24,NULL,NULL,NULL,NULL),(28,426,1,17,25,1,NULL,NULL,NULL),(28,426,1,17,26,NULL,NULL,NULL,NULL),(28,426,1,17,27,2,NULL,NULL,NULL),(28,426,1,17,28,NULL,1,NULL,NULL),(28,426,1,17,29,1,NULL,1,NULL),(28,426,1,17,30,1,2,NULL,1),(28,426,1,17,31,NULL,NULL,NULL,NULL),(28,426,1,17,32,NULL,1,NULL,1),(28,426,1,17,33,NULL,3,NULL,2),(28,426,1,17,34,1,NULL,NULL,NULL),(28,426,1,17,35,1,1,NULL,1),(28,426,1,17,36,NULL,NULL,NULL,NULL),(28,426,1,17,37,NULL,NULL,NULL,NULL),(28,426,1,17,38,1,NULL,1,NULL),(28,426,1,17,39,NULL,2,NULL,NULL),(28,426,1,17,40,1,NULL,1,NULL),(28,426,1,18,1,NULL,NULL,NULL,NULL),(28,426,1,18,2,NULL,NULL,NULL,NULL),(28,426,1,18,3,NULL,NULL,NULL,NULL),(28,426,1,18,4,NULL,NULL,NULL,NULL),(28,426,1,18,5,NULL,NULL,NULL,NULL),(28,426,1,18,6,NULL,NULL,NULL,NULL),(28,426,1,18,7,NULL,NULL,NULL,NULL),(28,426,1,18,8,NULL,NULL,NULL,NULL),(28,426,1,18,9,NULL,NULL,NULL,NULL),(28,426,1,18,10,NULL,NULL,NULL,NULL),(28,426,1,18,11,NULL,NULL,NULL,NULL),(28,426,1,18,12,NULL,NULL,NULL,NULL),(28,426,1,18,13,NULL,NULL,NULL,NULL),(28,426,1,18,14,NULL,NULL,NULL,NULL),(28,426,1,18,15,NULL,NULL,NULL,NULL),(28,426,1,18,16,NULL,NULL,NULL,NULL),(28,426,1,18,17,NULL,NULL,NULL,NULL),(28,426,1,18,18,NULL,NULL,NULL,NULL),(28,426,1,18,19,NULL,NULL,NULL,NULL),(28,426,1,18,20,NULL,NULL,NULL,NULL),(28,426,1,18,21,NULL,NULL,NULL,NULL),(28,426,1,18,22,NULL,NULL,NULL,NULL),(28,426,1,18,23,NULL,NULL,NULL,NULL),(28,426,1,18,24,NULL,NULL,NULL,NULL),(28,426,1,18,25,NULL,NULL,NULL,NULL),(28,426,1,18,26,NULL,NULL,NULL,NULL),(28,426,1,18,27,NULL,NULL,NULL,NULL),(28,426,1,18,28,NULL,NULL,NULL,NULL),(28,426,1,18,29,NULL,NULL,NULL,NULL),(28,426,1,18,30,NULL,NULL,NULL,NULL),(28,426,1,18,31,NULL,NULL,NULL,NULL),(28,426,1,18,32,NULL,NULL,NULL,NULL),(28,426,1,18,33,NULL,NULL,NULL,NULL),(28,426,1,18,34,NULL,NULL,NULL,NULL),(28,426,1,18,35,NULL,NULL,NULL,NULL),(28,426,1,18,36,NULL,NULL,NULL,NULL),(28,426,1,18,37,NULL,NULL,NULL,NULL),(28,426,1,18,38,NULL,NULL,NULL,NULL),(28,426,1,18,39,NULL,NULL,NULL,NULL),(28,426,1,18,40,NULL,NULL,NULL,NULL),(28,426,1,19,1,NULL,NULL,NULL,NULL),(28,426,1,19,2,NULL,NULL,NULL,NULL),(28,426,1,19,3,NULL,NULL,NULL,NULL),(28,426,1,19,4,NULL,NULL,NULL,NULL),(28,426,1,19,5,NULL,NULL,NULL,NULL),(28,426,1,19,6,NULL,NULL,NULL,NULL),(28,426,1,19,7,NULL,NULL,NULL,NULL),(28,426,1,19,8,NULL,NULL,NULL,NULL),(28,426,1,19,9,NULL,NULL,NULL,NULL),(28,426,1,19,10,NULL,NULL,NULL,NULL),(28,426,1,19,11,NULL,NULL,NULL,NULL),(28,426,1,19,12,NULL,NULL,NULL,NULL),(28,426,1,19,13,NULL,NULL,NULL,NULL),(28,426,1,19,14,NULL,NULL,NULL,NULL),(28,426,1,19,15,NULL,NULL,NULL,NULL),(28,426,1,19,16,NULL,NULL,NULL,NULL),(28,426,1,19,17,NULL,NULL,NULL,NULL),(28,426,1,19,18,NULL,NULL,NULL,NULL),(28,426,1,19,19,NULL,NULL,NULL,NULL),(28,426,1,19,20,NULL,NULL,NULL,NULL),(28,426,1,19,21,NULL,NULL,NULL,NULL),(28,426,1,19,22,NULL,NULL,NULL,NULL),(28,426,1,19,23,NULL,NULL,NULL,NULL),(28,426,1,19,24,NULL,NULL,NULL,NULL),(28,426,1,19,25,NULL,NULL,NULL,NULL),(28,426,1,19,26,NULL,NULL,NULL,NULL),(28,426,1,19,27,NULL,NULL,NULL,NULL),(28,426,1,19,28,NULL,NULL,NULL,NULL),(28,426,1,19,29,NULL,NULL,NULL,NULL),(28,426,1,19,30,NULL,NULL,NULL,NULL),(28,426,1,19,31,NULL,NULL,NULL,NULL),(28,426,1,19,32,NULL,NULL,NULL,NULL),(28,426,1,19,33,NULL,NULL,NULL,NULL),(28,426,1,19,34,NULL,NULL,NULL,NULL),(28,426,1,19,35,NULL,NULL,NULL,NULL),(28,426,1,19,36,NULL,NULL,NULL,NULL),(28,426,1,19,37,NULL,NULL,NULL,NULL),(28,426,1,19,38,NULL,NULL,NULL,NULL),(28,426,1,19,39,NULL,NULL,NULL,NULL),(28,426,1,19,40,NULL,NULL,NULL,NULL),(28,426,2,21,1,NULL,4,NULL,2),(28,426,2,21,2,NULL,6,NULL,5),(28,426,2,21,3,5,4,4,4),(28,426,2,21,4,NULL,3,NULL,3),(28,426,2,21,5,NULL,NULL,NULL,NULL),(28,426,2,21,6,5,1,5,2),(28,426,2,21,7,NULL,5,NULL,2),(28,426,2,21,8,NULL,4,NULL,2),(28,426,2,21,9,NULL,NULL,NULL,1),(28,426,2,21,10,5,2,4,1),(28,426,2,21,11,NULL,3,NULL,2),(28,426,2,21,12,1,3,NULL,2),(28,426,2,21,13,1,5,1,3),(28,426,2,21,14,2,3,2,4),(28,426,2,21,15,1,2,NULL,2),(28,426,2,21,16,1,2,1,2),(28,426,2,21,17,1,2,1,2),(28,426,2,21,18,3,4,3,3),(28,426,2,21,19,2,2,2,3),(28,426,2,21,20,3,2,3,3),(28,426,2,21,21,1,2,1,1),(28,426,2,21,22,1,1,1,NULL),(28,426,2,21,23,NULL,1,NULL,1),(28,426,2,21,24,1,4,1,3),(28,426,2,21,25,1,2,1,3),(28,426,2,21,26,NULL,2,NULL,1),(28,426,2,21,27,NULL,3,NULL,2),(28,426,2,21,28,NULL,1,NULL,1),(28,426,2,21,29,1,2,NULL,2),(28,426,2,21,30,1,NULL,NULL,NULL),(28,426,2,21,31,NULL,2,NULL,1),(28,426,2,21,32,NULL,NULL,NULL,NULL),(28,426,2,21,33,NULL,NULL,NULL,NULL),(28,426,2,21,34,1,1,1,1),(28,426,2,21,35,1,NULL,1,NULL),(28,426,2,21,36,NULL,2,NULL,1),(28,426,2,21,37,NULL,1,NULL,1),(28,426,2,21,38,NULL,NULL,NULL,NULL),(28,426,2,21,39,NULL,2,NULL,2),(28,426,2,21,40,1,4,1,3),(28,426,2,22,1,NULL,4,1,4),(28,426,2,22,2,NULL,NULL,NULL,1),(28,426,2,22,3,3,4,4,4),(28,426,2,22,4,NULL,1,NULL,1),(28,426,2,22,5,NULL,2,NULL,3),(28,426,2,22,6,4,3,5,1),(28,426,2,22,7,NULL,3,NULL,4),(28,426,2,22,8,1,1,2,NULL),(28,426,2,22,9,NULL,NULL,NULL,NULL),(28,426,2,22,10,NULL,1,1,NULL),(28,426,2,22,11,NULL,3,NULL,3),(28,426,2,22,12,1,4,1,4),(28,426,2,22,13,NULL,6,NULL,7),(28,426,2,22,14,1,5,2,4),(28,426,2,22,15,1,4,2,5),(28,426,2,22,16,NULL,3,2,1),(28,426,2,22,17,1,2,NULL,1),(28,426,2,22,18,3,5,6,3),(28,426,2,22,19,2,4,3,3),(28,426,2,22,20,2,4,4,1),(28,426,2,22,21,NULL,NULL,NULL,4),(28,426,2,22,22,NULL,1,1,NULL),(28,426,2,22,23,NULL,1,1,1),(28,426,2,22,24,1,2,NULL,2),(28,426,2,22,25,NULL,2,NULL,4),(28,426,2,22,26,NULL,1,NULL,NULL),(28,426,2,22,27,1,6,1,5),(28,426,2,22,28,NULL,2,NULL,2),(28,426,2,22,29,NULL,NULL,NULL,1),(28,426,2,22,30,NULL,1,NULL,2),(28,426,2,22,31,NULL,NULL,NULL,NULL),(28,426,2,22,32,NULL,NULL,NULL,NULL),(28,426,2,22,33,NULL,NULL,NULL,NULL),(28,426,2,22,34,NULL,2,NULL,1),(28,426,2,22,35,1,NULL,1,NULL),(28,426,2,22,36,NULL,1,NULL,NULL),(28,426,2,22,37,NULL,NULL,NULL,NULL),(28,426,2,22,38,NULL,NULL,NULL,NULL),(28,426,2,22,39,NULL,NULL,1,NULL),(28,426,2,22,40,NULL,1,NULL,3),(28,426,2,23,1,1,3,2,5),(28,426,2,23,2,NULL,3,1,4),(28,426,2,23,3,3,4,5,2),(28,426,2,23,4,NULL,NULL,NULL,1),(28,426,2,23,5,1,1,1,2),(28,426,2,23,6,2,8,1,7),(28,426,2,23,7,1,4,1,2),(28,426,2,23,8,NULL,4,1,4),(28,426,2,23,9,NULL,NULL,NULL,NULL),(28,426,2,23,10,NULL,3,NULL,3),(28,426,2,23,11,1,1,1,NULL),(28,426,2,23,12,1,6,2,4),(28,426,2,23,13,NULL,7,NULL,4),(28,426,2,23,14,2,4,2,4),(28,426,2,23,15,1,4,2,4),(28,426,2,23,16,3,4,3,3),(28,426,2,23,17,NULL,3,NULL,4),(28,426,2,23,18,2,4,3,3),(28,426,2,23,19,1,4,1,4),(28,426,2,23,20,2,2,2,2),(28,426,2,23,21,1,1,NULL,1),(28,426,2,23,22,NULL,2,NULL,2),(28,426,2,23,23,NULL,1,1,NULL),(28,426,2,23,24,NULL,2,NULL,2),(28,426,2,23,25,1,1,NULL,2),(28,426,2,23,26,NULL,2,1,1),(28,426,2,23,27,1,2,2,2),(28,426,2,23,28,NULL,NULL,NULL,NULL),(28,426,2,23,29,NULL,NULL,NULL,NULL),(28,426,2,23,30,NULL,1,NULL,1),(28,426,2,23,31,NULL,1,NULL,NULL),(28,426,2,23,32,NULL,NULL,NULL,1),(28,426,2,23,33,NULL,1,NULL,2),(28,426,2,23,34,NULL,1,NULL,1),(28,426,2,23,35,NULL,NULL,1,NULL),(28,426,2,23,36,NULL,NULL,NULL,NULL),(28,426,2,23,37,4,2,2,1),(28,426,2,23,38,NULL,NULL,NULL,NULL),(28,426,2,23,39,NULL,2,NULL,1),(28,426,2,23,40,NULL,3,NULL,2),(28,426,2,24,1,1,4,1,3),(28,426,2,24,2,1,3,1,1),(28,426,2,24,3,4,3,3,2),(28,426,2,24,4,1,1,1,NULL),(28,426,2,24,5,1,5,1,4),(28,426,2,24,6,4,2,3,3),(28,426,2,24,7,NULL,4,NULL,3),(28,426,2,24,8,3,2,2,1),(28,426,2,24,9,NULL,3,NULL,1),(28,426,2,24,10,2,1,1,1),(28,426,2,24,11,NULL,1,NULL,1),(28,426,2,24,12,4,1,3,1),(28,426,2,24,13,3,6,2,7),(28,426,2,24,14,2,3,1,1),(28,426,2,24,15,2,2,1,1),(28,426,2,24,16,1,5,NULL,5),(28,426,2,24,17,2,NULL,2,NULL),(28,426,2,24,18,4,5,3,3),(28,426,2,24,19,3,3,2,4),(28,426,2,24,20,5,3,4,2),(28,426,2,24,21,NULL,NULL,NULL,NULL),(28,426,2,24,22,1,NULL,1,NULL),(28,426,2,24,23,1,3,NULL,1),(28,426,2,24,24,NULL,NULL,NULL,NULL),(28,426,2,24,25,NULL,3,NULL,2),(28,426,2,24,26,1,3,1,3),(28,426,2,24,27,1,2,1,1),(28,426,2,24,28,2,NULL,2,NULL),(28,426,2,24,29,NULL,1,NULL,NULL),(28,426,2,24,30,NULL,3,NULL,2),(28,426,2,24,31,1,2,1,2),(28,426,2,24,32,NULL,NULL,NULL,NULL),(28,426,2,24,33,2,NULL,1,NULL),(28,426,2,24,34,2,1,1,1),(28,426,2,24,35,3,NULL,2,NULL),(28,426,2,24,36,1,3,NULL,2),(28,426,2,24,37,NULL,1,NULL,NULL),(28,426,2,24,38,NULL,1,NULL,1),(28,426,2,24,39,NULL,NULL,NULL,NULL),(28,426,2,24,40,1,4,1,5),(28,427,1,11,1,NULL,NULL,NULL,NULL),(28,427,1,11,2,NULL,NULL,NULL,NULL),(28,427,1,11,3,NULL,NULL,NULL,NULL),(28,427,1,11,4,NULL,NULL,NULL,NULL),(28,427,1,11,5,NULL,NULL,NULL,NULL),(28,427,1,11,6,NULL,NULL,NULL,NULL),(28,427,1,11,7,NULL,NULL,NULL,NULL),(28,427,1,11,8,NULL,NULL,NULL,NULL),(28,427,1,11,9,NULL,NULL,NULL,NULL),(28,427,1,11,10,NULL,NULL,NULL,NULL),(28,427,1,11,11,NULL,NULL,NULL,NULL),(28,427,1,11,12,NULL,NULL,NULL,NULL),(28,427,1,11,13,NULL,NULL,NULL,NULL),(28,427,1,11,14,NULL,NULL,NULL,NULL),(28,427,1,11,15,NULL,NULL,NULL,NULL),(28,427,1,11,16,NULL,NULL,NULL,NULL),(28,427,1,11,17,NULL,NULL,NULL,NULL),(28,427,1,11,18,NULL,NULL,NULL,NULL),(28,427,1,11,19,NULL,NULL,NULL,NULL),(28,427,1,11,20,NULL,NULL,NULL,NULL),(28,427,1,11,21,NULL,NULL,NULL,NULL),(28,427,1,11,22,NULL,NULL,NULL,NULL),(28,427,1,11,23,NULL,NULL,NULL,NULL),(28,427,1,11,24,NULL,NULL,NULL,NULL),(28,427,1,11,25,NULL,NULL,NULL,NULL),(28,427,1,11,26,NULL,NULL,NULL,NULL),(28,427,1,11,27,NULL,NULL,NULL,NULL),(28,427,1,11,28,NULL,NULL,NULL,NULL),(28,427,1,11,29,NULL,NULL,NULL,NULL),(28,427,1,11,30,NULL,NULL,NULL,NULL),(28,427,1,11,31,NULL,NULL,NULL,NULL),(28,427,1,11,32,NULL,NULL,NULL,NULL),(28,427,1,11,33,NULL,NULL,NULL,NULL),(28,427,1,11,34,NULL,NULL,NULL,NULL),(28,427,1,11,35,NULL,NULL,NULL,NULL),(28,427,1,11,36,NULL,NULL,NULL,NULL),(28,427,1,11,37,NULL,NULL,NULL,NULL),(28,427,1,11,38,NULL,NULL,NULL,NULL),(28,427,1,11,39,NULL,NULL,NULL,NULL),(28,427,1,11,40,NULL,NULL,NULL,NULL),(28,427,1,12,1,NULL,NULL,NULL,NULL),(28,427,1,12,2,NULL,NULL,NULL,NULL),(28,427,1,12,3,NULL,NULL,NULL,NULL),(28,427,1,12,4,NULL,NULL,NULL,NULL),(28,427,1,12,5,NULL,NULL,NULL,NULL),(28,427,1,12,6,NULL,NULL,NULL,NULL),(28,427,1,12,7,NULL,NULL,NULL,NULL),(28,427,1,12,8,NULL,NULL,NULL,NULL),(28,427,1,12,9,NULL,NULL,NULL,NULL),(28,427,1,12,10,NULL,NULL,NULL,NULL),(28,427,1,12,11,NULL,NULL,NULL,NULL),(28,427,1,12,12,NULL,NULL,NULL,NULL),(28,427,1,12,13,NULL,NULL,NULL,NULL),(28,427,1,12,14,NULL,NULL,NULL,NULL),(28,427,1,12,15,NULL,NULL,NULL,NULL),(28,427,1,12,16,NULL,NULL,NULL,NULL),(28,427,1,12,17,NULL,NULL,NULL,NULL),(28,427,1,12,18,NULL,NULL,NULL,NULL),(28,427,1,12,19,NULL,NULL,NULL,NULL),(28,427,1,12,20,NULL,NULL,NULL,NULL),(28,427,1,12,21,NULL,NULL,NULL,NULL),(28,427,1,12,22,NULL,NULL,NULL,NULL),(28,427,1,12,23,NULL,NULL,NULL,NULL),(28,427,1,12,24,NULL,NULL,NULL,NULL),(28,427,1,12,25,NULL,NULL,NULL,NULL),(28,427,1,12,26,NULL,NULL,NULL,NULL),(28,427,1,12,27,NULL,NULL,NULL,NULL),(28,427,1,12,28,NULL,NULL,NULL,NULL),(28,427,1,12,29,NULL,NULL,NULL,NULL),(28,427,1,12,30,NULL,NULL,NULL,NULL),(28,427,1,12,31,NULL,NULL,NULL,NULL),(28,427,1,12,32,NULL,NULL,NULL,NULL),(28,427,1,12,33,NULL,NULL,NULL,NULL),(28,427,1,12,34,NULL,NULL,NULL,NULL),(28,427,1,12,35,NULL,NULL,NULL,NULL),(28,427,1,12,36,NULL,NULL,NULL,NULL),(28,427,1,12,37,NULL,NULL,NULL,NULL),(28,427,1,12,38,NULL,NULL,NULL,NULL),(28,427,1,12,39,NULL,NULL,NULL,NULL),(28,427,1,12,40,NULL,NULL,NULL,NULL),(28,427,1,13,1,1,NULL,1,NULL),(28,427,1,13,2,NULL,1,NULL,1),(28,427,1,13,3,NULL,NULL,NULL,NULL),(28,427,1,13,4,NULL,NULL,NULL,NULL),(28,427,1,13,5,1,1,1,NULL),(28,427,1,13,6,NULL,NULL,NULL,NULL),(28,427,1,13,7,2,NULL,NULL,NULL),(28,427,1,13,8,NULL,2,NULL,NULL),(28,427,1,13,9,NULL,1,NULL,NULL),(28,427,1,13,10,1,1,NULL,1),(28,427,1,13,11,NULL,1,NULL,NULL),(28,427,1,13,12,NULL,NULL,NULL,NULL),(28,427,1,13,13,2,NULL,NULL,NULL),(28,427,1,13,14,NULL,1,NULL,NULL),(28,427,1,13,15,NULL,NULL,NULL,NULL),(28,427,1,13,16,3,NULL,1,NULL),(28,427,1,13,17,NULL,NULL,NULL,NULL),(28,427,1,13,18,NULL,2,NULL,NULL),(28,427,1,13,19,1,NULL,NULL,NULL),(28,427,1,13,20,1,NULL,NULL,NULL),(28,427,1,13,21,NULL,NULL,NULL,NULL),(28,427,1,13,22,1,NULL,1,NULL),(28,427,1,13,23,NULL,1,NULL,NULL),(28,427,1,13,24,NULL,NULL,NULL,NULL),(28,427,1,13,25,NULL,NULL,NULL,NULL),(28,427,1,13,26,1,NULL,1,NULL),(28,427,1,13,27,NULL,NULL,NULL,NULL),(28,427,1,13,28,NULL,NULL,NULL,NULL),(28,427,1,13,29,NULL,2,NULL,1),(28,427,1,13,30,NULL,NULL,NULL,NULL),(28,427,1,13,31,NULL,2,NULL,1),(28,427,1,13,32,NULL,2,NULL,NULL),(28,427,1,13,33,NULL,NULL,NULL,NULL),(28,427,1,13,34,1,NULL,NULL,NULL),(28,427,1,13,35,NULL,NULL,NULL,NULL),(28,427,1,13,36,NULL,NULL,NULL,NULL),(28,427,1,13,37,NULL,NULL,NULL,NULL),(28,427,1,13,38,NULL,NULL,NULL,NULL),(28,427,1,13,39,1,1,NULL,1),(28,427,1,13,40,NULL,NULL,NULL,NULL),(28,427,1,14,1,NULL,NULL,NULL,NULL),(28,427,1,14,2,NULL,2,NULL,2),(28,427,1,14,3,1,1,1,1),(28,427,1,14,4,NULL,2,1,4),(28,427,1,14,5,NULL,1,2,2),(28,427,1,14,6,NULL,3,NULL,5),(28,427,1,14,7,NULL,3,NULL,4),(28,427,1,14,8,NULL,3,NULL,4),(28,427,1,14,9,NULL,1,1,3),(28,427,1,14,10,2,NULL,3,NULL),(28,427,1,14,11,NULL,NULL,NULL,NULL),(28,427,1,14,12,1,1,1,2),(28,427,1,14,13,2,1,4,2),(28,427,1,14,14,3,NULL,4,NULL),(28,427,1,14,15,2,NULL,3,NULL),(28,427,1,14,16,2,2,3,3),(28,427,1,14,17,NULL,4,NULL,8),(28,427,1,14,18,NULL,2,1,2),(28,427,1,14,19,1,2,3,2),(28,427,1,14,20,NULL,2,1,5),(28,427,1,14,21,NULL,1,NULL,1),(28,427,1,14,22,NULL,NULL,NULL,1),(28,427,1,14,23,NULL,1,NULL,1),(28,427,1,14,24,NULL,NULL,NULL,NULL),(28,427,1,14,25,1,NULL,1,NULL),(28,427,1,14,26,NULL,NULL,NULL,NULL),(28,427,1,14,27,1,NULL,1,NULL),(28,427,1,14,28,NULL,NULL,NULL,NULL),(28,427,1,14,29,NULL,NULL,1,NULL),(28,427,1,14,30,1,1,2,1),(28,427,1,14,31,NULL,NULL,1,1),(28,427,1,14,32,NULL,1,NULL,1),(28,427,1,14,33,NULL,NULL,NULL,NULL),(28,427,1,14,34,1,NULL,2,NULL),(28,427,1,14,35,NULL,NULL,NULL,NULL),(28,427,1,14,36,NULL,NULL,NULL,NULL),(28,427,1,14,37,NULL,NULL,NULL,1),(28,427,1,14,38,NULL,NULL,NULL,NULL),(28,427,1,14,39,1,NULL,1,NULL),(28,427,1,14,40,NULL,NULL,NULL,NULL),(28,427,1,15,1,4,NULL,5,NULL),(28,427,1,15,2,NULL,1,NULL,2),(28,427,1,15,3,4,NULL,6,NULL),(28,427,1,15,4,2,1,2,2),(28,427,1,15,5,1,4,1,5),(28,427,1,15,6,NULL,1,NULL,3),(28,427,1,15,7,1,1,1,1),(28,427,1,15,8,1,3,1,4),(28,427,1,15,9,1,3,1,3),(28,427,1,15,10,4,NULL,4,NULL),(28,427,1,15,11,1,NULL,1,NULL),(28,427,1,15,12,1,NULL,1,NULL),(28,427,1,15,13,3,3,4,3),(28,427,1,15,14,2,2,2,2),(28,427,1,15,15,5,NULL,5,NULL),(28,427,1,15,16,1,4,3,4),(28,427,1,15,17,1,3,2,4),(28,427,1,15,18,1,NULL,4,NULL),(28,427,1,15,19,2,3,5,2),(28,427,1,15,20,1,5,3,5),(28,427,1,15,21,NULL,NULL,NULL,2),(28,427,1,15,22,1,NULL,1,1),(28,427,1,15,23,NULL,2,NULL,2),(28,427,1,15,24,NULL,NULL,NULL,NULL),(28,427,1,15,25,NULL,NULL,NULL,NULL),(28,427,1,15,26,NULL,1,NULL,1),(28,427,1,15,27,1,NULL,1,NULL),(28,427,1,15,28,NULL,NULL,NULL,1),(28,427,1,15,29,NULL,2,NULL,3),(28,427,1,15,30,2,NULL,2,NULL),(28,427,1,15,31,NULL,1,NULL,1),(28,427,1,15,32,NULL,2,NULL,1),(28,427,1,15,33,NULL,NULL,1,NULL),(28,427,1,15,34,1,1,1,1),(28,427,1,15,35,NULL,1,1,2),(28,427,1,15,36,NULL,NULL,NULL,NULL),(28,427,1,15,37,NULL,NULL,NULL,NULL),(28,427,1,15,38,NULL,NULL,NULL,NULL),(28,427,1,15,39,1,2,2,3),(28,427,1,15,40,NULL,NULL,NULL,NULL),(28,427,1,16,1,NULL,NULL,NULL,NULL),(28,427,1,16,2,NULL,NULL,NULL,NULL),(28,427,1,16,3,NULL,NULL,NULL,NULL),(28,427,1,16,4,NULL,NULL,NULL,NULL),(28,427,1,16,5,NULL,1,NULL,1),(28,427,1,16,6,1,NULL,1,NULL),(28,427,1,16,7,1,NULL,1,NULL),(28,427,1,16,8,NULL,NULL,NULL,NULL),(28,427,1,16,9,1,1,1,NULL),(28,427,1,16,10,NULL,NULL,NULL,NULL),(28,427,1,16,11,NULL,NULL,NULL,NULL),(28,427,1,16,12,NULL,NULL,NULL,NULL),(28,427,1,16,13,2,NULL,2,NULL),(28,427,1,16,14,2,1,2,NULL),(28,427,1,16,15,NULL,1,NULL,1),(28,427,1,16,16,2,NULL,2,NULL),(28,427,1,16,17,NULL,3,NULL,2),(28,427,1,16,18,1,NULL,1,NULL),(28,427,1,16,19,NULL,NULL,NULL,NULL),(28,427,1,16,20,NULL,NULL,NULL,NULL),(28,427,1,16,21,NULL,NULL,NULL,NULL),(28,427,1,16,22,NULL,NULL,NULL,NULL),(28,427,1,16,23,NULL,NULL,NULL,NULL),(28,427,1,16,24,NULL,NULL,NULL,NULL),(28,427,1,16,25,NULL,NULL,NULL,NULL),(28,427,1,16,26,NULL,NULL,NULL,NULL),(28,427,1,16,27,NULL,NULL,NULL,NULL),(28,427,1,16,28,NULL,NULL,NULL,NULL),(28,427,1,16,29,NULL,1,NULL,1),(28,427,1,16,30,1,1,1,NULL),(28,427,1,16,31,NULL,1,NULL,1),(28,427,1,16,32,NULL,NULL,NULL,NULL),(28,427,1,16,33,NULL,NULL,NULL,NULL),(28,427,1,16,34,NULL,NULL,NULL,NULL),(28,427,1,16,35,NULL,NULL,NULL,NULL),(28,427,1,16,36,NULL,NULL,NULL,NULL),(28,427,1,16,37,NULL,NULL,NULL,NULL),(28,427,1,16,38,NULL,1,NULL,NULL),(28,427,1,16,39,NULL,2,NULL,1),(28,427,1,16,40,NULL,NULL,NULL,NULL),(28,427,1,17,1,2,NULL,2,NULL),(28,427,1,17,2,NULL,1,NULL,1),(28,427,1,17,3,2,1,2,NULL),(28,427,1,17,4,1,2,1,1),(28,427,1,17,5,1,2,1,2),(28,427,1,17,6,NULL,4,NULL,5),(28,427,1,17,7,NULL,4,NULL,1),(28,427,1,17,8,NULL,3,NULL,3),(28,427,1,17,9,1,NULL,1,NULL),(28,427,1,17,10,4,1,3,1),(28,427,1,17,11,2,3,1,2),(28,427,1,17,12,NULL,3,NULL,3),(28,427,1,17,13,7,NULL,5,NULL),(28,427,1,17,14,7,2,5,1),(28,427,1,17,15,NULL,7,NULL,5),(28,427,1,17,16,7,NULL,5,NULL),(28,427,1,17,17,2,6,2,4),(28,427,1,17,18,NULL,3,1,1),(28,427,1,17,19,1,3,2,NULL),(28,427,1,17,20,NULL,2,NULL,3),(28,427,1,17,21,1,NULL,1,NULL),(28,427,1,17,22,NULL,NULL,NULL,NULL),(28,427,1,17,23,NULL,3,NULL,NULL),(28,427,1,17,24,NULL,NULL,NULL,NULL),(28,427,1,17,25,NULL,2,NULL,2),(28,427,1,17,26,NULL,NULL,NULL,NULL),(28,427,1,17,27,1,NULL,NULL,NULL),(28,427,1,17,28,NULL,NULL,NULL,NULL),(28,427,1,17,29,NULL,4,NULL,1),(28,427,1,17,30,1,2,1,2),(28,427,1,17,31,1,NULL,2,NULL),(28,427,1,17,32,NULL,1,1,1),(28,427,1,17,33,1,2,1,1),(28,427,1,17,34,NULL,1,NULL,NULL),(28,427,1,17,35,NULL,1,NULL,NULL),(28,427,1,17,36,NULL,NULL,NULL,NULL),(28,427,1,17,37,NULL,1,NULL,1),(28,427,1,17,38,NULL,2,NULL,NULL),(28,427,1,17,39,1,4,NULL,1),(28,427,1,17,40,NULL,NULL,NULL,NULL),(28,427,1,18,1,NULL,NULL,NULL,NULL),(28,427,1,18,2,NULL,NULL,NULL,NULL),(28,427,1,18,3,NULL,NULL,NULL,NULL),(28,427,1,18,4,NULL,NULL,NULL,NULL),(28,427,1,18,5,NULL,NULL,NULL,NULL),(28,427,1,18,6,NULL,NULL,NULL,NULL),(28,427,1,18,7,NULL,NULL,NULL,NULL),(28,427,1,18,8,NULL,NULL,NULL,NULL),(28,427,1,18,9,NULL,NULL,NULL,NULL),(28,427,1,18,10,NULL,NULL,NULL,NULL),(28,427,1,18,11,NULL,NULL,NULL,NULL),(28,427,1,18,12,NULL,NULL,NULL,NULL),(28,427,1,18,13,NULL,NULL,NULL,NULL),(28,427,1,18,14,NULL,NULL,NULL,NULL),(28,427,1,18,15,NULL,NULL,NULL,NULL),(28,427,1,18,16,NULL,NULL,NULL,NULL),(28,427,1,18,17,NULL,NULL,NULL,NULL),(28,427,1,18,18,NULL,NULL,NULL,NULL),(28,427,1,18,19,NULL,NULL,NULL,NULL),(28,427,1,18,20,NULL,NULL,NULL,NULL),(28,427,1,18,21,NULL,NULL,NULL,NULL),(28,427,1,18,22,NULL,NULL,NULL,NULL),(28,427,1,18,23,NULL,NULL,NULL,NULL),(28,427,1,18,24,NULL,NULL,NULL,NULL),(28,427,1,18,25,NULL,NULL,NULL,NULL),(28,427,1,18,26,NULL,NULL,NULL,NULL),(28,427,1,18,27,NULL,NULL,NULL,NULL),(28,427,1,18,28,NULL,NULL,NULL,NULL),(28,427,1,18,29,NULL,NULL,NULL,NULL),(28,427,1,18,30,NULL,NULL,NULL,NULL),(28,427,1,18,31,NULL,NULL,NULL,NULL),(28,427,1,18,32,NULL,NULL,NULL,NULL),(28,427,1,18,33,NULL,NULL,NULL,NULL),(28,427,1,18,34,NULL,NULL,NULL,NULL),(28,427,1,18,35,NULL,NULL,NULL,NULL),(28,427,1,18,36,NULL,NULL,NULL,NULL),(28,427,1,18,37,NULL,NULL,NULL,NULL),(28,427,1,18,38,NULL,NULL,NULL,NULL),(28,427,1,18,39,NULL,NULL,NULL,NULL),(28,427,1,18,40,NULL,NULL,NULL,NULL),(28,427,1,19,1,NULL,NULL,NULL,NULL),(28,427,1,19,2,NULL,NULL,NULL,NULL),(28,427,1,19,3,NULL,NULL,NULL,NULL),(28,427,1,19,4,NULL,NULL,NULL,NULL),(28,427,1,19,5,NULL,NULL,NULL,NULL),(28,427,1,19,6,NULL,NULL,NULL,NULL),(28,427,1,19,7,NULL,NULL,NULL,NULL),(28,427,1,19,8,NULL,NULL,NULL,NULL),(28,427,1,19,9,NULL,NULL,NULL,NULL),(28,427,1,19,10,NULL,NULL,NULL,NULL),(28,427,1,19,11,NULL,NULL,NULL,NULL),(28,427,1,19,12,NULL,NULL,NULL,NULL),(28,427,1,19,13,NULL,NULL,NULL,NULL),(28,427,1,19,14,NULL,NULL,NULL,NULL),(28,427,1,19,15,NULL,NULL,NULL,NULL),(28,427,1,19,16,NULL,NULL,NULL,NULL),(28,427,1,19,17,NULL,NULL,NULL,NULL),(28,427,1,19,18,NULL,NULL,NULL,NULL),(28,427,1,19,19,NULL,NULL,NULL,NULL),(28,427,1,19,20,NULL,NULL,NULL,NULL),(28,427,1,19,21,NULL,NULL,NULL,NULL),(28,427,1,19,22,NULL,NULL,NULL,NULL),(28,427,1,19,23,NULL,NULL,NULL,NULL),(28,427,1,19,24,NULL,NULL,NULL,NULL),(28,427,1,19,25,NULL,NULL,NULL,NULL),(28,427,1,19,26,NULL,NULL,NULL,NULL),(28,427,1,19,27,NULL,NULL,NULL,NULL),(28,427,1,19,28,NULL,NULL,NULL,NULL),(28,427,1,19,29,NULL,NULL,NULL,NULL),(28,427,1,19,30,NULL,NULL,NULL,NULL),(28,427,1,19,31,NULL,NULL,NULL,NULL),(28,427,1,19,32,NULL,NULL,NULL,NULL),(28,427,1,19,33,NULL,NULL,NULL,NULL),(28,427,1,19,34,NULL,NULL,NULL,NULL),(28,427,1,19,35,NULL,NULL,NULL,NULL),(28,427,1,19,36,NULL,NULL,NULL,NULL),(28,427,1,19,37,NULL,NULL,NULL,NULL),(28,427,1,19,38,NULL,NULL,NULL,NULL),(28,427,1,19,39,NULL,NULL,NULL,NULL),(28,427,1,19,40,NULL,NULL,NULL,NULL),(28,427,2,21,1,NULL,1,NULL,2),(28,427,2,21,2,NULL,2,NULL,2),(28,427,2,21,3,2,NULL,3,1),(28,427,2,21,4,1,NULL,NULL,NULL),(28,427,2,21,5,NULL,NULL,NULL,NULL),(28,427,2,21,6,2,NULL,2,3),(28,427,2,21,7,NULL,3,NULL,3),(28,427,2,21,8,NULL,NULL,1,NULL),(28,427,2,21,9,NULL,NULL,NULL,NULL),(28,427,2,21,10,NULL,NULL,NULL,NULL),(28,427,2,21,11,NULL,NULL,NULL,NULL),(28,427,2,21,12,2,NULL,1,1),(28,427,2,21,13,NULL,NULL,NULL,3),(28,427,2,21,14,NULL,2,1,4),(28,427,2,21,15,NULL,2,NULL,5),(28,427,2,21,16,2,NULL,2,2),(28,427,2,21,17,NULL,NULL,NULL,NULL),(28,427,2,21,18,1,NULL,1,1),(28,427,2,21,19,1,NULL,1,NULL),(28,427,2,21,20,1,1,2,2),(28,427,2,21,21,NULL,NULL,NULL,NULL),(28,427,2,21,22,NULL,NULL,NULL,NULL),(28,427,2,21,23,1,NULL,1,NULL),(28,427,2,21,24,NULL,1,1,1),(28,427,2,21,25,NULL,NULL,NULL,NULL),(28,427,2,21,26,1,NULL,1,NULL),(28,427,2,21,27,1,NULL,1,1),(28,427,2,21,28,NULL,NULL,NULL,NULL),(28,427,2,21,29,NULL,NULL,NULL,NULL),(28,427,2,21,30,NULL,NULL,NULL,NULL),(28,427,2,21,31,NULL,1,NULL,2),(28,427,2,21,32,NULL,NULL,NULL,NULL),(28,427,2,21,33,NULL,1,NULL,1),(28,427,2,21,34,NULL,NULL,NULL,1),(28,427,2,21,35,1,NULL,1,NULL),(28,427,2,21,36,NULL,1,NULL,1),(28,427,2,21,37,NULL,NULL,NULL,NULL),(28,427,2,21,38,NULL,NULL,NULL,NULL),(28,427,2,21,39,NULL,1,NULL,1),(28,427,2,21,40,1,1,1,3),(28,427,2,22,1,NULL,7,NULL,4),(28,427,2,22,2,NULL,6,NULL,3),(28,427,2,22,3,5,3,5,2),(28,427,2,22,4,NULL,NULL,NULL,NULL),(28,427,2,22,5,2,1,2,1),(28,427,2,22,6,2,6,2,5),(28,427,2,22,7,NULL,3,NULL,4),(28,427,2,22,8,1,4,1,4),(28,427,2,22,9,NULL,NULL,1,1),(28,427,2,22,10,3,2,2,3),(28,427,2,22,11,NULL,NULL,NULL,1),(28,427,2,22,12,1,4,1,4),(28,427,2,22,13,NULL,5,NULL,4),(28,427,2,22,14,3,3,3,3),(28,427,2,22,15,NULL,3,NULL,3),(28,427,2,22,16,1,4,2,3),(28,427,2,22,17,1,1,1,1),(28,427,2,22,18,4,2,2,2),(28,427,2,22,19,1,4,2,3),(28,427,2,22,20,2,3,1,3),(28,427,2,22,21,1,2,1,1),(28,427,2,22,22,1,1,1,NULL),(28,427,2,22,23,NULL,NULL,NULL,NULL),(28,427,2,22,24,1,2,NULL,3),(28,427,2,22,25,NULL,1,NULL,2),(28,427,2,22,26,NULL,2,NULL,2),(28,427,2,22,27,NULL,3,NULL,4),(28,427,2,22,28,NULL,1,NULL,1),(28,427,2,22,29,NULL,NULL,NULL,NULL),(28,427,2,22,30,3,2,1,2),(28,427,2,22,31,NULL,1,NULL,1),(28,427,2,22,32,NULL,1,NULL,1),(28,427,2,22,33,NULL,NULL,NULL,NULL),(28,427,2,22,34,NULL,1,NULL,1),(28,427,2,22,35,2,NULL,2,NULL),(28,427,2,22,36,NULL,NULL,NULL,NULL),(28,427,2,22,37,NULL,NULL,NULL,NULL),(28,427,2,22,38,1,2,1,NULL),(28,427,2,22,39,1,1,1,1),(28,427,2,22,40,NULL,2,NULL,4),(28,427,2,23,1,NULL,1,NULL,2),(28,427,2,23,2,NULL,1,NULL,1),(28,427,2,23,3,3,3,3,2),(28,427,2,23,4,1,NULL,1,NULL),(28,427,2,23,5,1,2,1,2),(28,427,2,23,6,NULL,3,1,3),(28,427,2,23,7,NULL,3,NULL,3),(28,427,2,23,8,2,1,2,1),(28,427,2,23,9,NULL,1,NULL,1),(28,427,2,23,10,4,1,4,NULL),(28,427,2,23,11,NULL,2,NULL,2),(28,427,2,23,12,1,4,1,4),(28,427,2,23,13,NULL,2,1,2),(28,427,2,23,14,1,4,1,5),(28,427,2,23,15,1,3,1,3),(28,427,2,23,16,1,1,2,1),(28,427,2,23,17,NULL,2,NULL,2),(28,427,2,23,18,3,3,3,2),(28,427,2,23,19,NULL,3,NULL,3),(28,427,2,23,20,1,2,1,2),(28,427,2,23,21,NULL,1,NULL,1),(28,427,2,23,22,1,NULL,1,NULL),(28,427,2,23,23,NULL,NULL,NULL,NULL),(28,427,2,23,24,NULL,NULL,NULL,NULL),(28,427,2,23,25,NULL,1,NULL,1),(28,427,2,23,26,NULL,2,NULL,2),(28,427,2,23,27,NULL,1,NULL,1),(28,427,2,23,28,NULL,1,NULL,1),(28,427,2,23,29,NULL,1,NULL,1),(28,427,2,23,30,NULL,2,NULL,2),(28,427,2,23,31,NULL,NULL,NULL,NULL),(28,427,2,23,32,NULL,NULL,NULL,NULL),(28,427,2,23,33,NULL,NULL,NULL,NULL),(28,427,2,23,34,NULL,1,NULL,1),(28,427,2,23,35,2,NULL,1,NULL),(28,427,2,23,36,NULL,NULL,NULL,NULL),(28,427,2,23,37,NULL,NULL,NULL,NULL),(28,427,2,23,38,1,NULL,1,NULL),(28,427,2,23,39,NULL,1,NULL,1),(28,427,2,23,40,NULL,2,NULL,2),(28,427,2,24,1,NULL,3,NULL,1),(28,427,2,24,2,NULL,NULL,NULL,NULL),(28,427,2,24,3,3,2,1,1),(28,427,2,24,4,NULL,1,NULL,1),(28,427,2,24,5,NULL,2,NULL,1),(28,427,2,24,6,2,2,1,1),(28,427,2,24,7,NULL,1,NULL,2),(28,427,2,24,8,NULL,2,NULL,2),(28,427,2,24,9,1,1,NULL,1),(28,427,2,24,10,NULL,4,NULL,2),(28,427,2,24,11,NULL,3,NULL,1),(28,427,2,24,12,NULL,1,NULL,1),(28,427,2,24,13,NULL,4,NULL,4),(28,427,2,24,14,2,2,1,1),(28,427,2,24,15,NULL,1,NULL,NULL),(28,427,2,24,16,1,1,1,NULL),(28,427,2,24,17,NULL,1,NULL,1),(28,427,2,24,18,3,3,3,2),(28,427,2,24,19,NULL,2,NULL,2),(28,427,2,24,20,NULL,2,NULL,2),(28,427,2,24,21,1,1,NULL,1),(28,427,2,24,22,NULL,NULL,NULL,1),(28,427,2,24,23,NULL,NULL,1,NULL),(28,427,2,24,24,NULL,NULL,NULL,NULL),(28,427,2,24,25,NULL,2,NULL,1),(28,427,2,24,26,NULL,NULL,NULL,NULL),(28,427,2,24,27,NULL,1,NULL,NULL),(28,427,2,24,28,NULL,NULL,NULL,NULL),(28,427,2,24,29,NULL,1,NULL,NULL),(28,427,2,24,30,NULL,1,NULL,1),(28,427,2,24,31,NULL,2,NULL,1),(28,427,2,24,32,NULL,NULL,NULL,NULL),(28,427,2,24,33,NULL,NULL,NULL,NULL),(28,427,2,24,34,NULL,1,NULL,1),(28,427,2,24,35,2,NULL,2,NULL),(28,427,2,24,36,NULL,NULL,NULL,NULL),(28,427,2,24,37,NULL,NULL,NULL,NULL),(28,427,2,24,38,NULL,NULL,NULL,NULL),(28,427,2,24,39,NULL,NULL,NULL,NULL),(28,427,2,24,40,NULL,2,NULL,2),(28,428,1,11,1,NULL,NULL,NULL,NULL),(28,428,1,11,2,NULL,NULL,NULL,NULL),(28,428,1,11,3,NULL,NULL,NULL,NULL),(28,428,1,11,4,NULL,NULL,NULL,NULL),(28,428,1,11,5,NULL,NULL,NULL,NULL),(28,428,1,11,6,NULL,NULL,NULL,NULL),(28,428,1,11,7,NULL,NULL,NULL,NULL),(28,428,1,11,8,NULL,NULL,NULL,NULL),(28,428,1,11,9,NULL,NULL,NULL,NULL),(28,428,1,11,10,NULL,NULL,NULL,NULL),(28,428,1,11,11,NULL,NULL,NULL,NULL),(28,428,1,11,12,NULL,NULL,NULL,NULL),(28,428,1,11,13,NULL,NULL,NULL,NULL),(28,428,1,11,14,NULL,NULL,NULL,NULL),(28,428,1,11,15,NULL,NULL,NULL,NULL),(28,428,1,11,16,NULL,NULL,NULL,NULL),(28,428,1,11,17,NULL,NULL,NULL,NULL),(28,428,1,11,18,NULL,NULL,NULL,NULL),(28,428,1,11,19,NULL,NULL,NULL,NULL),(28,428,1,11,20,NULL,NULL,NULL,NULL),(28,428,1,11,21,NULL,NULL,NULL,NULL),(28,428,1,11,22,NULL,NULL,NULL,NULL),(28,428,1,11,23,NULL,NULL,NULL,NULL),(28,428,1,11,24,NULL,NULL,NULL,NULL),(28,428,1,11,25,NULL,NULL,NULL,NULL),(28,428,1,11,26,NULL,NULL,NULL,NULL),(28,428,1,11,27,NULL,NULL,NULL,NULL),(28,428,1,11,28,NULL,NULL,NULL,NULL),(28,428,1,11,29,NULL,NULL,NULL,NULL),(28,428,1,11,30,NULL,NULL,NULL,NULL),(28,428,1,11,31,NULL,NULL,NULL,NULL),(28,428,1,11,32,NULL,NULL,NULL,NULL),(28,428,1,11,33,NULL,NULL,NULL,NULL),(28,428,1,11,34,NULL,NULL,NULL,NULL),(28,428,1,11,35,NULL,NULL,NULL,NULL),(28,428,1,11,36,NULL,NULL,NULL,NULL),(28,428,1,11,37,NULL,NULL,NULL,NULL),(28,428,1,11,38,NULL,NULL,NULL,NULL),(28,428,1,11,39,NULL,NULL,NULL,NULL),(28,428,1,11,40,NULL,NULL,NULL,NULL),(28,428,1,12,1,1,NULL,1,NULL),(28,428,1,12,2,NULL,NULL,NULL,NULL),(28,428,1,12,3,NULL,1,NULL,1),(28,428,1,12,4,1,NULL,1,NULL),(28,428,1,12,5,1,NULL,1,NULL),(28,428,1,12,6,1,NULL,1,NULL),(28,428,1,12,7,NULL,NULL,NULL,NULL),(28,428,1,12,8,NULL,1,NULL,1),(28,428,1,12,9,NULL,NULL,NULL,NULL),(28,428,1,12,10,1,NULL,1,NULL),(28,428,1,12,11,1,NULL,1,NULL),(28,428,1,12,12,NULL,1,NULL,1),(28,428,1,12,13,1,NULL,1,NULL),(28,428,1,12,14,1,NULL,1,NULL),(28,428,1,12,15,1,NULL,1,NULL),(28,428,1,12,16,1,NULL,1,NULL),(28,428,1,12,17,1,NULL,1,NULL),(28,428,1,12,18,1,NULL,1,NULL),(28,428,1,12,19,1,NULL,1,NULL),(28,428,1,12,20,1,NULL,1,NULL),(28,428,1,12,21,NULL,NULL,NULL,NULL),(28,428,1,12,22,NULL,NULL,NULL,NULL),(28,428,1,12,23,NULL,NULL,NULL,NULL),(28,428,1,12,24,NULL,NULL,NULL,NULL),(28,428,1,12,25,NULL,NULL,NULL,NULL),(28,428,1,12,26,NULL,NULL,NULL,NULL),(28,428,1,12,27,1,NULL,1,NULL),(28,428,1,12,28,NULL,NULL,NULL,NULL),(28,428,1,12,29,NULL,NULL,NULL,NULL),(28,428,1,12,30,NULL,1,NULL,1),(28,428,1,12,31,NULL,NULL,NULL,NULL),(28,428,1,12,32,NULL,1,NULL,1),(28,428,1,12,33,NULL,NULL,NULL,NULL),(28,428,1,12,34,NULL,1,NULL,1),(28,428,1,12,35,NULL,1,NULL,1),(28,428,1,12,36,NULL,NULL,NULL,NULL),(28,428,1,12,37,NULL,NULL,NULL,NULL),(28,428,1,12,38,NULL,NULL,NULL,NULL),(28,428,1,12,39,NULL,1,NULL,1),(28,428,1,12,40,NULL,NULL,NULL,NULL),(28,428,1,13,1,NULL,NULL,NULL,NULL),(28,428,1,13,2,NULL,NULL,NULL,NULL),(28,428,1,13,3,NULL,1,NULL,NULL),(28,428,1,13,4,NULL,NULL,NULL,NULL),(28,428,1,13,5,NULL,NULL,NULL,NULL),(28,428,1,13,6,NULL,NULL,NULL,NULL),(28,428,1,13,7,NULL,NULL,NULL,NULL),(28,428,1,13,8,NULL,NULL,NULL,NULL),(28,428,1,13,9,NULL,NULL,NULL,NULL),(28,428,1,13,10,1,NULL,NULL,NULL),(28,428,1,13,11,NULL,NULL,NULL,NULL),(28,428,1,13,12,NULL,NULL,NULL,NULL),(28,428,1,13,13,1,NULL,NULL,NULL),(28,428,1,13,14,1,NULL,NULL,NULL),(28,428,1,13,15,NULL,NULL,NULL,NULL),(28,428,1,13,16,1,NULL,NULL,NULL),(28,428,1,13,17,NULL,NULL,NULL,NULL),(28,428,1,13,18,1,NULL,NULL,NULL),(28,428,1,13,19,NULL,NULL,NULL,NULL),(28,428,1,13,20,NULL,NULL,NULL,NULL),(28,428,1,13,21,NULL,NULL,NULL,NULL),(28,428,1,13,22,NULL,NULL,NULL,NULL),(28,428,1,13,23,NULL,NULL,NULL,NULL),(28,428,1,13,24,NULL,NULL,NULL,NULL),(28,428,1,13,25,NULL,NULL,NULL,NULL),(28,428,1,13,26,NULL,NULL,NULL,NULL),(28,428,1,13,27,NULL,NULL,NULL,NULL),(28,428,1,13,28,NULL,NULL,NULL,NULL),(28,428,1,13,29,NULL,NULL,NULL,NULL),(28,428,1,13,30,NULL,NULL,NULL,NULL),(28,428,1,13,31,NULL,NULL,NULL,NULL),(28,428,1,13,32,NULL,NULL,NULL,NULL),(28,428,1,13,33,NULL,NULL,NULL,NULL),(28,428,1,13,34,NULL,NULL,NULL,NULL),(28,428,1,13,35,NULL,NULL,NULL,NULL),(28,428,1,13,36,NULL,NULL,NULL,NULL),(28,428,1,13,37,NULL,NULL,NULL,NULL),(28,428,1,13,38,NULL,NULL,NULL,NULL),(28,428,1,13,39,NULL,NULL,NULL,NULL),(28,428,1,13,40,NULL,NULL,NULL,NULL),(28,428,1,14,1,9,NULL,10,NULL),(28,428,1,14,2,NULL,11,NULL,12),(28,428,1,14,3,8,4,10,4),(28,428,1,14,4,6,2,5,2),(28,428,1,14,5,9,5,10,6),(28,428,1,14,6,1,10,1,10),(28,428,1,14,7,3,5,2,6),(28,428,1,14,8,2,4,3,3),(28,428,1,14,9,4,4,4,4),(28,428,1,14,10,6,4,7,4),(28,428,1,14,11,2,4,2,4),(28,428,1,14,12,3,5,2,6),(28,428,1,14,13,11,2,10,4),(28,428,1,14,14,5,4,5,7),(28,428,1,14,15,9,NULL,11,NULL),(28,428,1,14,16,6,7,7,8),(28,428,1,14,17,5,10,5,11),(28,428,1,14,18,5,4,6,4),(28,428,1,14,19,10,5,11,7),(28,428,1,14,20,7,10,7,11),(28,428,1,14,21,NULL,2,NULL,2),(28,428,1,14,22,NULL,4,NULL,4),(28,428,1,14,23,NULL,6,NULL,6),(28,428,1,14,24,1,NULL,1,NULL),(28,428,1,14,25,3,1,3,2),(28,428,1,14,26,NULL,1,NULL,3),(28,428,1,14,27,4,NULL,4,NULL),(28,428,1,14,28,NULL,NULL,NULL,NULL),(28,428,1,14,29,1,4,1,4),(28,428,1,14,30,3,8,3,10),(28,428,1,14,31,NULL,4,NULL,4),(28,428,1,14,32,NULL,4,NULL,5),(28,428,1,14,33,1,2,2,3),(28,428,1,14,34,2,5,2,6),(28,428,1,14,35,NULL,2,NULL,2),(28,428,1,14,36,NULL,NULL,NULL,NULL),(28,428,1,14,37,NULL,2,NULL,2),(28,428,1,14,38,NULL,3,NULL,3),(28,428,1,14,39,2,4,2,6),(28,428,1,14,40,2,NULL,2,NULL),(28,428,1,15,1,10,NULL,12,NULL),(28,428,1,15,2,NULL,5,NULL,5),(28,428,1,15,3,6,7,6,6),(28,428,1,15,4,2,7,1,5),(28,428,1,15,5,6,6,5,5),(28,428,1,15,6,4,11,4,9),(28,428,1,15,7,3,8,2,8),(28,428,1,15,8,NULL,10,NULL,9),(28,428,1,15,9,1,8,1,6),(28,428,1,15,10,14,2,13,2),(28,428,1,15,11,6,3,5,2),(28,428,1,15,12,2,10,2,9),(28,428,1,15,13,13,6,13,5),(28,428,1,15,14,5,6,6,5),(28,428,1,15,15,17,NULL,15,NULL),(28,428,1,15,16,11,4,10,3),(28,428,1,15,17,3,12,4,11),(28,428,1,15,18,2,9,2,10),(28,428,1,15,19,13,7,9,8),(28,428,1,15,20,6,11,7,9),(28,428,1,15,21,NULL,1,NULL,1),(28,428,1,15,22,NULL,4,NULL,3),(28,428,1,15,23,NULL,7,NULL,7),(28,428,1,15,24,NULL,NULL,NULL,NULL),(28,428,1,15,25,NULL,2,NULL,2),(28,428,1,15,26,NULL,4,NULL,3),(28,428,1,15,27,2,NULL,2,NULL),(28,428,1,15,28,1,1,NULL,NULL),(28,428,1,15,29,1,3,1,3),(28,428,1,15,30,NULL,4,NULL,4),(28,428,1,15,31,NULL,1,NULL,1),(28,428,1,15,32,2,4,3,4),(28,428,1,15,33,NULL,1,1,1),(28,428,1,15,34,4,9,4,7),(28,428,1,15,35,NULL,1,NULL,1),(28,428,1,15,36,NULL,NULL,NULL,NULL),(28,428,1,15,37,1,3,NULL,5),(28,428,1,15,38,NULL,3,NULL,3),(28,428,1,15,39,2,9,2,9),(28,428,1,15,40,1,NULL,NULL,NULL),(28,428,1,16,1,5,NULL,4,NULL),(28,428,1,16,2,3,4,3,3),(28,428,1,16,3,3,4,3,4),(28,428,1,16,4,1,4,1,4),(28,428,1,16,5,6,2,5,1),(28,428,1,16,6,2,7,1,6),(28,428,1,16,7,1,4,NULL,4),(28,428,1,16,8,1,7,1,6),(28,428,1,16,9,2,4,1,5),(28,428,1,16,10,8,1,8,1),(28,428,1,16,11,1,3,1,3),(28,428,1,16,12,2,2,2,3),(28,428,1,16,13,15,NULL,14,NULL),(28,428,1,16,14,11,4,10,3),(28,428,1,16,15,3,12,3,9),(28,428,1,16,16,14,NULL,11,NULL),(28,428,1,16,17,5,10,4,8),(28,428,1,16,18,4,5,3,5),(28,428,1,16,19,1,6,1,4),(28,428,1,16,20,3,5,3,4),(28,428,1,16,21,NULL,NULL,NULL,NULL),(28,428,1,16,22,NULL,1,NULL,2),(28,428,1,16,23,NULL,4,NULL,4),(28,428,1,16,24,NULL,NULL,NULL,NULL),(28,428,1,16,25,NULL,1,NULL,1),(28,428,1,16,26,NULL,1,NULL,NULL),(28,428,1,16,27,2,NULL,2,NULL),(28,428,1,16,28,2,NULL,2,NULL),(28,428,1,16,29,1,4,1,3),(28,428,1,16,30,2,6,1,7),(28,428,1,16,31,1,3,1,2),(28,428,1,16,32,1,2,1,2),(28,428,1,16,33,1,2,1,2),(28,428,1,16,34,1,3,1,3),(28,428,1,16,35,NULL,3,NULL,3),(28,428,1,16,36,NULL,NULL,NULL,NULL),(28,428,1,16,37,NULL,NULL,NULL,NULL),(28,428,1,16,38,NULL,2,NULL,2),(28,428,1,16,39,NULL,5,NULL,5),(28,428,1,16,40,NULL,NULL,NULL,NULL),(28,428,1,17,1,3,NULL,3,NULL),(28,428,1,17,2,1,3,1,2),(28,428,1,17,3,4,5,3,3),(28,428,1,17,4,NULL,5,NULL,4),(28,428,1,17,5,4,7,2,5),(28,428,1,17,6,1,5,NULL,4),(28,428,1,17,7,3,5,1,3),(28,428,1,17,8,1,6,1,4),(28,428,1,17,9,NULL,6,NULL,5),(28,428,1,17,10,4,5,3,4),(28,428,1,17,11,3,2,3,2),(28,428,1,17,12,3,1,3,NULL),(28,428,1,17,13,13,NULL,8,NULL),(28,428,1,17,14,9,1,6,1),(28,428,1,17,15,6,4,5,2),(28,428,1,17,16,11,NULL,7,NULL),(28,428,1,17,17,6,6,4,4),(28,428,1,17,18,2,4,1,3),(28,428,1,17,19,3,3,3,3),(28,428,1,17,20,1,8,1,6),(28,428,1,17,21,NULL,1,NULL,1),(28,428,1,17,22,NULL,NULL,NULL,NULL),(28,428,1,17,23,1,5,1,3),(28,428,1,17,24,1,NULL,NULL,NULL),(28,428,1,17,25,NULL,NULL,NULL,NULL),(28,428,1,17,26,NULL,2,NULL,1),(28,428,1,17,27,7,NULL,5,NULL),(28,428,1,17,28,1,NULL,NULL,NULL),(28,428,1,17,29,NULL,5,NULL,3),(28,428,1,17,30,2,3,1,3),(28,428,1,17,31,1,NULL,1,NULL),(28,428,1,17,32,NULL,4,NULL,3),(28,428,1,17,33,1,2,NULL,2),(28,428,1,17,34,1,2,1,2),(28,428,1,17,35,1,NULL,1,NULL),(28,428,1,17,36,NULL,NULL,NULL,NULL),(28,428,1,17,37,NULL,2,NULL,1),(28,428,1,17,38,1,1,1,1),(28,428,1,17,39,NULL,4,NULL,2),(28,428,1,17,40,NULL,NULL,NULL,NULL),(28,428,1,18,1,NULL,NULL,NULL,NULL),(28,428,1,18,2,NULL,NULL,NULL,NULL),(28,428,1,18,3,NULL,NULL,NULL,NULL),(28,428,1,18,4,NULL,NULL,NULL,NULL),(28,428,1,18,5,NULL,NULL,NULL,NULL),(28,428,1,18,6,NULL,NULL,NULL,NULL),(28,428,1,18,7,NULL,NULL,NULL,NULL),(28,428,1,18,8,NULL,NULL,NULL,NULL),(28,428,1,18,9,NULL,NULL,NULL,NULL),(28,428,1,18,10,NULL,NULL,NULL,NULL),(28,428,1,18,11,NULL,NULL,NULL,NULL),(28,428,1,18,12,NULL,NULL,NULL,NULL),(28,428,1,18,13,NULL,NULL,NULL,NULL),(28,428,1,18,14,NULL,NULL,NULL,NULL),(28,428,1,18,15,NULL,NULL,NULL,NULL),(28,428,1,18,16,NULL,NULL,NULL,NULL),(28,428,1,18,17,NULL,NULL,NULL,NULL),(28,428,1,18,18,NULL,NULL,NULL,NULL),(28,428,1,18,19,NULL,NULL,NULL,NULL),(28,428,1,18,20,NULL,NULL,NULL,NULL),(28,428,1,18,21,NULL,NULL,NULL,NULL),(28,428,1,18,22,NULL,NULL,NULL,NULL),(28,428,1,18,23,NULL,NULL,NULL,NULL),(28,428,1,18,24,NULL,NULL,NULL,NULL),(28,428,1,18,25,NULL,NULL,NULL,NULL),(28,428,1,18,26,NULL,NULL,NULL,NULL),(28,428,1,18,27,NULL,NULL,NULL,NULL),(28,428,1,18,28,NULL,NULL,NULL,NULL),(28,428,1,18,29,NULL,NULL,NULL,NULL),(28,428,1,18,30,NULL,NULL,NULL,NULL),(28,428,1,18,31,NULL,NULL,NULL,NULL),(28,428,1,18,32,NULL,NULL,NULL,NULL),(28,428,1,18,33,NULL,NULL,NULL,NULL),(28,428,1,18,34,NULL,NULL,NULL,NULL),(28,428,1,18,35,NULL,NULL,NULL,NULL),(28,428,1,18,36,NULL,NULL,NULL,NULL),(28,428,1,18,37,NULL,NULL,NULL,NULL),(28,428,1,18,38,NULL,NULL,NULL,NULL),(28,428,1,18,39,NULL,NULL,NULL,NULL),(28,428,1,18,40,NULL,NULL,NULL,NULL),(28,428,1,19,1,NULL,NULL,NULL,NULL),(28,428,1,19,2,NULL,NULL,NULL,NULL),(28,428,1,19,3,NULL,NULL,NULL,NULL),(28,428,1,19,4,NULL,NULL,NULL,NULL),(28,428,1,19,5,NULL,NULL,NULL,NULL),(28,428,1,19,6,NULL,NULL,NULL,NULL),(28,428,1,19,7,NULL,NULL,NULL,NULL),(28,428,1,19,8,NULL,NULL,NULL,NULL),(28,428,1,19,9,NULL,NULL,NULL,NULL),(28,428,1,19,10,NULL,NULL,NULL,NULL),(28,428,1,19,11,NULL,NULL,NULL,NULL),(28,428,1,19,12,NULL,NULL,NULL,NULL),(28,428,1,19,13,NULL,NULL,NULL,NULL),(28,428,1,19,14,NULL,NULL,NULL,NULL),(28,428,1,19,15,NULL,NULL,NULL,NULL),(28,428,1,19,16,NULL,NULL,NULL,NULL),(28,428,1,19,17,NULL,NULL,NULL,NULL),(28,428,1,19,18,NULL,NULL,NULL,NULL),(28,428,1,19,19,NULL,NULL,NULL,NULL),(28,428,1,19,20,NULL,NULL,NULL,NULL),(28,428,1,19,21,NULL,NULL,NULL,NULL),(28,428,1,19,22,NULL,NULL,NULL,NULL),(28,428,1,19,23,NULL,NULL,NULL,NULL),(28,428,1,19,24,NULL,NULL,NULL,NULL),(28,428,1,19,25,NULL,NULL,NULL,NULL),(28,428,1,19,26,NULL,NULL,NULL,NULL),(28,428,1,19,27,NULL,NULL,NULL,NULL),(28,428,1,19,28,NULL,NULL,NULL,NULL),(28,428,1,19,29,NULL,NULL,NULL,NULL),(28,428,1,19,30,NULL,NULL,NULL,NULL),(28,428,1,19,31,NULL,NULL,NULL,NULL),(28,428,1,19,32,NULL,NULL,NULL,NULL),(28,428,1,19,33,NULL,NULL,NULL,NULL),(28,428,1,19,34,NULL,NULL,NULL,NULL),(28,428,1,19,35,NULL,NULL,NULL,NULL),(28,428,1,19,36,NULL,NULL,NULL,NULL),(28,428,1,19,37,NULL,NULL,NULL,NULL),(28,428,1,19,38,NULL,NULL,NULL,NULL),(28,428,1,19,39,NULL,NULL,NULL,NULL),(28,428,1,19,40,NULL,NULL,NULL,NULL),(28,428,2,21,1,1,9,1,5),(28,428,2,21,2,NULL,6,NULL,5),(28,428,2,21,3,7,11,6,10),(28,428,2,21,4,NULL,2,NULL,NULL),(28,428,2,21,5,1,4,1,4),(28,428,2,21,6,3,6,2,5),(28,428,2,21,7,NULL,8,NULL,6),(28,428,2,21,8,3,3,1,3),(28,428,2,21,9,1,3,1,3),(28,428,2,21,10,3,7,3,7),(28,428,2,21,11,1,6,1,7),(28,428,2,21,12,3,7,2,6),(28,428,2,21,13,2,11,2,9),(28,428,2,21,14,3,13,2,13),(28,428,2,21,15,3,3,2,3),(28,428,2,21,16,5,6,4,6),(28,428,2,21,17,NULL,5,NULL,6),(28,428,2,21,18,5,11,4,11),(28,428,2,21,19,4,8,3,6),(28,428,2,21,20,8,2,7,3),(28,428,2,21,21,1,2,NULL,2),(28,428,2,21,22,NULL,1,NULL,1),(28,428,2,21,23,NULL,5,NULL,3),(28,428,2,21,24,NULL,3,NULL,2),(28,428,2,21,25,NULL,2,NULL,1),(28,428,2,21,26,1,6,1,5),(28,428,2,21,27,NULL,6,NULL,7),(28,428,2,21,28,NULL,NULL,NULL,NULL),(28,428,2,21,29,NULL,3,NULL,3),(28,428,2,21,30,NULL,4,NULL,4),(28,428,2,21,31,NULL,5,NULL,4),(28,428,2,21,32,NULL,NULL,NULL,NULL),(28,428,2,21,33,2,3,2,4),(28,428,2,21,34,NULL,7,NULL,7),(28,428,2,21,35,6,NULL,6,NULL),(28,428,2,21,36,NULL,1,NULL,NULL),(28,428,2,21,37,NULL,4,NULL,3),(28,428,2,21,38,NULL,2,NULL,2),(28,428,2,21,39,NULL,3,1,2),(28,428,2,21,40,NULL,5,NULL,4),(28,428,2,22,1,1,4,1,4),(28,428,2,22,2,NULL,2,NULL,3),(28,428,2,22,3,3,5,2,5),(28,428,2,22,4,1,1,NULL,2),(28,428,2,22,5,1,5,1,4),(28,428,2,22,6,6,2,7,3),(28,428,2,22,7,NULL,2,NULL,3),(28,428,2,22,8,1,3,1,3),(28,428,2,22,9,NULL,NULL,NULL,NULL),(28,428,2,22,10,2,4,3,4),(28,428,2,22,11,1,3,1,4),(28,428,2,22,12,2,5,2,5),(28,428,2,22,13,1,8,1,9),(28,428,2,22,14,1,7,1,7),(28,428,2,22,15,4,3,3,5),(28,428,2,22,16,1,8,1,9),(28,428,2,22,17,2,2,2,2),(28,428,2,22,18,4,7,3,7),(28,428,2,22,19,2,5,2,5),(28,428,2,22,20,8,4,7,5),(28,428,2,22,21,NULL,2,NULL,1),(28,428,2,22,22,NULL,1,NULL,1),(28,428,2,22,23,NULL,NULL,NULL,NULL),(28,428,2,22,24,NULL,1,1,1),(28,428,2,22,25,NULL,3,NULL,3),(28,428,2,22,26,NULL,4,NULL,4),(28,428,2,22,27,NULL,6,NULL,6),(28,428,2,22,28,NULL,1,NULL,1),(28,428,2,22,29,NULL,NULL,NULL,NULL),(28,428,2,22,30,NULL,3,NULL,3),(28,428,2,22,31,1,1,1,1),(28,428,2,22,32,1,1,1,1),(28,428,2,22,33,NULL,2,NULL,2),(28,428,2,22,34,NULL,2,NULL,2),(28,428,2,22,35,3,NULL,3,NULL),(28,428,2,22,36,NULL,1,NULL,1),(28,428,2,22,37,NULL,2,NULL,2),(28,428,2,22,38,NULL,NULL,NULL,NULL),(28,428,2,22,39,NULL,1,NULL,1),(28,428,2,22,40,NULL,3,NULL,3),(28,428,2,23,1,NULL,7,NULL,5),(28,428,2,23,2,NULL,3,NULL,3),(28,428,2,23,3,3,7,2,6),(28,428,2,23,4,NULL,1,NULL,1),(28,428,2,23,5,1,3,1,3),(28,428,2,23,6,3,8,3,7),(28,428,2,23,7,NULL,5,NULL,4),(28,428,2,23,8,2,1,2,1),(28,428,2,23,9,NULL,4,NULL,4),(28,428,2,23,10,3,4,3,4),(28,428,2,23,11,2,2,2,2),(28,428,2,23,12,3,1,3,NULL),(28,428,2,23,13,NULL,10,NULL,9),(28,428,2,23,14,2,5,2,5),(28,428,2,23,15,2,3,2,2),(28,428,2,23,16,3,4,3,4),(28,428,2,23,17,NULL,2,NULL,2),(28,428,2,23,18,4,6,3,6),(28,428,2,23,19,4,4,4,4),(28,428,2,23,20,4,4,4,3),(28,428,2,23,21,NULL,3,NULL,3),(28,428,2,23,22,2,1,2,1),(28,428,2,23,23,2,NULL,1,NULL),(28,428,2,23,24,2,NULL,2,NULL),(28,428,2,23,25,1,NULL,1,NULL),(28,428,2,23,26,NULL,4,NULL,4),(28,428,2,23,27,NULL,3,NULL,3),(28,428,2,23,28,1,1,1,1),(28,428,2,23,29,NULL,2,NULL,1),(28,428,2,23,30,NULL,1,NULL,1),(28,428,2,23,31,1,3,1,1),(28,428,2,23,32,NULL,NULL,NULL,NULL),(28,428,2,23,33,1,3,1,2),(28,428,2,23,34,NULL,4,NULL,4),(28,428,2,23,35,1,NULL,1,NULL),(28,428,2,23,36,NULL,2,NULL,1),(28,428,2,23,37,1,2,1,2),(28,428,2,23,38,NULL,NULL,NULL,NULL),(28,428,2,23,39,NULL,NULL,NULL,NULL),(28,428,2,23,40,1,3,1,2),(28,428,2,24,1,NULL,5,NULL,6),(28,428,2,24,2,NULL,2,NULL,2),(28,428,2,24,3,10,6,10,7),(28,428,2,24,4,NULL,2,NULL,2),(28,428,2,24,5,6,4,5,4),(28,428,2,24,6,7,8,5,9),(28,428,2,24,7,1,7,NULL,6),(28,428,2,24,8,3,1,5,1),(28,428,2,24,9,2,1,2,1),(28,428,2,24,10,4,8,3,9),(28,428,2,24,11,2,3,2,4),(28,428,2,24,12,2,6,2,7),(28,428,2,24,13,NULL,9,NULL,9),(28,428,2,24,14,NULL,9,NULL,11),(28,428,2,24,15,3,4,4,5),(28,428,2,24,16,4,5,5,6),(28,428,2,24,17,1,6,1,6),(28,428,2,24,18,4,13,6,13),(28,428,2,24,19,1,4,1,5),(28,428,2,24,20,4,8,5,6),(28,428,2,24,21,NULL,1,NULL,1),(28,428,2,24,22,NULL,4,NULL,5),(28,428,2,24,23,1,5,1,4),(28,428,2,24,24,1,2,1,3),(28,428,2,24,25,1,1,1,1),(28,428,2,24,26,NULL,5,NULL,7),(28,428,2,24,27,NULL,9,NULL,9),(28,428,2,24,28,NULL,NULL,NULL,2),(28,428,2,24,29,1,4,NULL,5),(28,428,2,24,30,1,NULL,NULL,2),(28,428,2,24,31,NULL,1,NULL,2),(28,428,2,24,32,NULL,1,NULL,2),(28,428,2,24,33,2,1,1,2),(28,428,2,24,34,1,5,1,4),(28,428,2,24,35,NULL,NULL,1,NULL),(28,428,2,24,36,NULL,3,NULL,3),(28,428,2,24,37,NULL,4,NULL,4),(28,428,2,24,38,NULL,1,NULL,2),(28,428,2,24,39,NULL,3,NULL,2),(28,428,2,24,40,1,4,1,7),(28,429,1,11,1,NULL,NULL,NULL,NULL),(28,429,1,11,2,NULL,NULL,NULL,NULL),(28,429,1,11,3,NULL,NULL,NULL,NULL),(28,429,1,11,4,NULL,NULL,NULL,NULL),(28,429,1,11,5,NULL,NULL,NULL,NULL),(28,429,1,11,6,NULL,NULL,NULL,NULL),(28,429,1,11,7,NULL,NULL,NULL,NULL),(28,429,1,11,8,NULL,NULL,NULL,NULL),(28,429,1,11,9,NULL,NULL,NULL,NULL),(28,429,1,11,10,NULL,NULL,NULL,NULL),(28,429,1,11,11,NULL,NULL,NULL,NULL),(28,429,1,11,12,NULL,NULL,NULL,NULL),(28,429,1,11,13,NULL,NULL,NULL,NULL),(28,429,1,11,14,NULL,NULL,NULL,NULL),(28,429,1,11,15,NULL,NULL,NULL,NULL),(28,429,1,11,16,NULL,NULL,NULL,NULL),(28,429,1,11,17,NULL,NULL,NULL,NULL),(28,429,1,11,18,NULL,NULL,NULL,NULL),(28,429,1,11,19,NULL,NULL,NULL,NULL),(28,429,1,11,20,NULL,NULL,NULL,NULL),(28,429,1,11,21,NULL,NULL,NULL,NULL),(28,429,1,11,22,NULL,NULL,NULL,NULL),(28,429,1,11,23,NULL,NULL,NULL,NULL),(28,429,1,11,24,NULL,NULL,NULL,NULL),(28,429,1,11,25,NULL,NULL,NULL,NULL),(28,429,1,11,26,NULL,NULL,NULL,NULL),(28,429,1,11,27,NULL,NULL,NULL,NULL),(28,429,1,11,28,NULL,NULL,NULL,NULL),(28,429,1,11,29,NULL,NULL,NULL,NULL),(28,429,1,11,30,NULL,NULL,NULL,NULL),(28,429,1,11,31,NULL,NULL,NULL,NULL),(28,429,1,11,32,NULL,NULL,NULL,NULL),(28,429,1,11,33,NULL,NULL,NULL,NULL),(28,429,1,11,34,NULL,NULL,NULL,NULL),(28,429,1,11,35,NULL,NULL,NULL,NULL),(28,429,1,11,36,NULL,NULL,NULL,NULL),(28,429,1,11,37,NULL,NULL,NULL,NULL),(28,429,1,11,38,NULL,NULL,NULL,NULL),(28,429,1,11,39,NULL,NULL,NULL,NULL),(28,429,1,11,40,NULL,NULL,NULL,NULL),(28,429,1,12,1,NULL,NULL,NULL,NULL),(28,429,1,12,2,NULL,NULL,NULL,NULL),(28,429,1,12,3,NULL,NULL,NULL,NULL),(28,429,1,12,4,NULL,NULL,NULL,NULL),(28,429,1,12,5,NULL,NULL,NULL,NULL),(28,429,1,12,6,NULL,NULL,NULL,NULL),(28,429,1,12,7,NULL,NULL,NULL,NULL),(28,429,1,12,8,NULL,NULL,NULL,NULL),(28,429,1,12,9,NULL,NULL,NULL,NULL),(28,429,1,12,10,NULL,NULL,NULL,NULL),(28,429,1,12,11,NULL,NULL,NULL,NULL),(28,429,1,12,12,NULL,NULL,NULL,NULL),(28,429,1,12,13,NULL,NULL,NULL,NULL),(28,429,1,12,14,NULL,NULL,NULL,NULL),(28,429,1,12,15,NULL,NULL,NULL,NULL),(28,429,1,12,16,NULL,NULL,NULL,NULL),(28,429,1,12,17,NULL,NULL,NULL,NULL),(28,429,1,12,18,NULL,NULL,NULL,NULL),(28,429,1,12,19,NULL,NULL,NULL,NULL),(28,429,1,12,20,NULL,NULL,NULL,NULL),(28,429,1,12,21,NULL,NULL,NULL,NULL),(28,429,1,12,22,NULL,NULL,NULL,NULL),(28,429,1,12,23,NULL,NULL,NULL,NULL),(28,429,1,12,24,NULL,NULL,NULL,NULL),(28,429,1,12,25,NULL,NULL,NULL,NULL),(28,429,1,12,26,NULL,NULL,NULL,NULL),(28,429,1,12,27,NULL,NULL,NULL,NULL),(28,429,1,12,28,NULL,NULL,NULL,NULL),(28,429,1,12,29,NULL,NULL,NULL,NULL),(28,429,1,12,30,NULL,NULL,NULL,NULL),(28,429,1,12,31,NULL,NULL,NULL,NULL),(28,429,1,12,32,NULL,NULL,NULL,NULL),(28,429,1,12,33,NULL,NULL,NULL,NULL),(28,429,1,12,34,NULL,NULL,NULL,NULL),(28,429,1,12,35,NULL,NULL,NULL,NULL),(28,429,1,12,36,NULL,NULL,NULL,NULL),(28,429,1,12,37,NULL,NULL,NULL,NULL),(28,429,1,12,38,NULL,NULL,NULL,NULL),(28,429,1,12,39,NULL,NULL,NULL,NULL),(28,429,1,12,40,NULL,NULL,NULL,NULL),(28,429,1,13,1,NULL,NULL,NULL,NULL),(28,429,1,13,2,NULL,NULL,NULL,NULL),(28,429,1,13,3,NULL,NULL,NULL,NULL),(28,429,1,13,4,NULL,NULL,NULL,NULL),(28,429,1,13,5,NULL,NULL,NULL,NULL),(28,429,1,13,6,NULL,NULL,NULL,NULL),(28,429,1,13,7,NULL,NULL,NULL,NULL),(28,429,1,13,8,NULL,NULL,NULL,NULL),(28,429,1,13,9,NULL,NULL,NULL,NULL),(28,429,1,13,10,NULL,NULL,NULL,NULL),(28,429,1,13,11,NULL,NULL,NULL,NULL),(28,429,1,13,12,NULL,NULL,NULL,NULL),(28,429,1,13,13,NULL,NULL,NULL,NULL),(28,429,1,13,14,NULL,NULL,NULL,NULL),(28,429,1,13,15,NULL,NULL,NULL,NULL),(28,429,1,13,16,NULL,NULL,NULL,NULL),(28,429,1,13,17,NULL,NULL,NULL,NULL),(28,429,1,13,18,NULL,NULL,NULL,NULL),(28,429,1,13,19,NULL,NULL,NULL,NULL),(28,429,1,13,20,NULL,NULL,NULL,NULL),(28,429,1,13,21,NULL,NULL,NULL,NULL),(28,429,1,13,22,NULL,NULL,NULL,NULL),(28,429,1,13,23,NULL,NULL,NULL,NULL),(28,429,1,13,24,NULL,NULL,NULL,NULL),(28,429,1,13,25,NULL,NULL,NULL,NULL),(28,429,1,13,26,NULL,NULL,NULL,NULL),(28,429,1,13,27,NULL,NULL,NULL,NULL),(28,429,1,13,28,NULL,NULL,NULL,NULL),(28,429,1,13,29,NULL,NULL,NULL,NULL),(28,429,1,13,30,NULL,NULL,NULL,NULL),(28,429,1,13,31,NULL,NULL,NULL,NULL),(28,429,1,13,32,NULL,NULL,NULL,NULL),(28,429,1,13,33,NULL,NULL,NULL,NULL),(28,429,1,13,34,NULL,NULL,NULL,NULL),(28,429,1,13,35,NULL,NULL,NULL,NULL),(28,429,1,13,36,NULL,NULL,NULL,NULL),(28,429,1,13,37,NULL,NULL,NULL,NULL),(28,429,1,13,38,NULL,NULL,NULL,NULL),(28,429,1,13,39,NULL,NULL,NULL,NULL),(28,429,1,13,40,NULL,NULL,NULL,NULL),(28,429,1,14,1,7,NULL,9,NULL),(28,429,1,14,2,1,4,1,3),(28,429,1,14,3,3,4,2,4),(28,429,1,14,4,2,3,1,3),(28,429,1,14,5,5,5,4,5),(28,429,1,14,6,2,9,2,8),(28,429,1,14,7,4,5,3,3),(28,429,1,14,8,NULL,8,NULL,5),(28,429,1,14,9,7,2,4,1),(28,429,1,14,10,5,5,4,5),(28,429,1,14,11,NULL,3,NULL,3),(28,429,1,14,12,1,4,2,2),(28,429,1,14,13,6,10,7,6),(28,429,1,14,14,4,5,3,4),(28,429,1,14,15,11,NULL,9,NULL),(28,429,1,14,16,7,3,6,4),(28,429,1,14,17,8,8,6,5),(28,429,1,14,18,2,6,3,3),(28,429,1,14,19,9,6,8,3),(28,429,1,14,20,10,6,8,4),(28,429,1,14,21,NULL,4,1,1),(28,429,1,14,22,1,4,1,2),(28,429,1,14,23,2,7,NULL,5),(28,429,1,14,24,1,NULL,1,NULL),(28,429,1,14,25,NULL,4,NULL,2),(28,429,1,14,26,NULL,3,NULL,1),(28,429,1,14,27,1,NULL,1,NULL),(28,429,1,14,28,NULL,NULL,NULL,NULL),(28,429,1,14,29,NULL,3,NULL,1),(28,429,1,14,30,1,4,NULL,6),(28,429,1,14,31,NULL,2,NULL,2),(28,429,1,14,32,4,3,4,2),(28,429,1,14,33,NULL,3,NULL,4),(28,429,1,14,34,2,1,2,2),(28,429,1,14,35,NULL,1,NULL,1),(28,429,1,14,36,NULL,NULL,NULL,NULL),(28,429,1,14,37,2,1,1,1),(28,429,1,14,38,NULL,2,NULL,2),(28,429,1,14,39,2,4,2,4),(28,429,1,14,40,1,NULL,NULL,NULL),(28,429,1,15,1,6,NULL,5,NULL),(28,429,1,15,2,1,6,1,4),(28,429,1,15,3,2,6,2,4),(28,429,1,15,4,2,2,1,2),(28,429,1,15,5,7,4,5,3),(28,429,1,15,6,2,1,1,1),(28,429,1,15,7,2,4,1,4),(28,429,1,15,8,1,3,1,3),(28,429,1,15,9,NULL,4,1,4),(28,429,1,15,10,7,6,5,4),(28,429,1,15,11,2,5,2,5),(28,429,1,15,12,NULL,5,NULL,4),(28,429,1,15,13,9,5,7,5),(28,429,1,15,14,5,5,3,5),(28,429,1,15,15,10,NULL,6,NULL),(28,429,1,15,16,4,11,4,7),(28,429,1,15,17,4,11,4,8),(28,429,1,15,18,1,8,2,4),(28,429,1,15,19,7,9,5,9),(28,429,1,15,20,8,9,7,7),(28,429,1,15,21,NULL,4,NULL,1),(28,429,1,15,22,NULL,3,NULL,2),(28,429,1,15,23,NULL,4,NULL,4),(28,429,1,15,24,NULL,NULL,NULL,NULL),(28,429,1,15,25,1,2,1,1),(28,429,1,15,26,NULL,2,NULL,2),(28,429,1,15,27,1,NULL,2,NULL),(28,429,1,15,28,NULL,2,NULL,1),(28,429,1,15,29,1,2,NULL,2),(28,429,1,15,30,2,3,1,3),(28,429,1,15,31,NULL,1,NULL,1),(28,429,1,15,32,3,3,2,2),(28,429,1,15,33,1,4,1,4),(28,429,1,15,34,1,6,1,6),(28,429,1,15,35,NULL,3,NULL,2),(28,429,1,15,36,NULL,NULL,NULL,NULL),(28,429,1,15,37,NULL,NULL,NULL,NULL),(28,429,1,15,38,NULL,2,NULL,2),(28,429,1,15,39,1,6,1,5),(28,429,1,15,40,NULL,NULL,NULL,NULL),(28,429,1,16,1,1,NULL,1,NULL),(28,429,1,16,2,NULL,NULL,NULL,1),(28,429,1,16,3,NULL,2,NULL,2),(28,429,1,16,4,NULL,1,NULL,1),(28,429,1,16,5,1,2,NULL,1),(28,429,1,16,6,NULL,5,NULL,2),(28,429,1,16,7,1,2,2,1),(28,429,1,16,8,NULL,2,NULL,2),(28,429,1,16,9,1,2,NULL,1),(28,429,1,16,10,1,2,1,1),(28,429,1,16,11,1,1,NULL,1),(28,429,1,16,12,1,2,NULL,3),(28,429,1,16,13,7,NULL,4,NULL),(28,429,1,16,14,5,NULL,4,NULL),(28,429,1,16,15,3,2,1,1),(28,429,1,16,16,4,NULL,3,NULL),(28,429,1,16,17,4,2,2,NULL),(28,429,1,16,18,NULL,4,NULL,1),(28,429,1,16,19,NULL,4,NULL,2),(28,429,1,16,20,1,NULL,NULL,NULL),(28,429,1,16,21,NULL,1,NULL,1),(28,429,1,16,22,1,1,1,NULL),(28,429,1,16,23,NULL,2,NULL,1),(28,429,1,16,24,NULL,NULL,NULL,NULL),(28,429,1,16,25,NULL,NULL,NULL,NULL),(28,429,1,16,26,1,2,1,NULL),(28,429,1,16,27,1,NULL,NULL,NULL),(28,429,1,16,28,NULL,NULL,NULL,NULL),(28,429,1,16,29,1,2,NULL,1),(28,429,1,16,30,1,2,1,NULL),(28,429,1,16,31,NULL,1,NULL,NULL),(28,429,1,16,32,NULL,NULL,NULL,NULL),(28,429,1,16,33,NULL,1,NULL,NULL),(28,429,1,16,34,1,1,1,NULL),(28,429,1,16,35,NULL,1,NULL,NULL),(28,429,1,16,36,NULL,NULL,NULL,NULL),(28,429,1,16,37,NULL,NULL,NULL,NULL),(28,429,1,16,38,NULL,1,NULL,1),(28,429,1,16,39,NULL,1,NULL,NULL),(28,429,1,16,40,NULL,NULL,NULL,NULL),(28,429,1,17,1,3,NULL,1,NULL),(28,429,1,17,2,1,4,NULL,2),(28,429,1,17,3,2,3,2,1),(28,429,1,17,4,1,4,1,2),(28,429,1,17,5,2,4,NULL,2),(28,429,1,17,6,1,5,NULL,2),(28,429,1,17,7,1,2,1,2),(28,429,1,17,8,NULL,4,NULL,2),(28,429,1,17,9,2,3,1,2),(28,429,1,17,10,8,2,5,NULL),(28,429,1,17,11,1,3,NULL,3),(28,429,1,17,12,2,1,1,1),(28,429,1,17,13,13,NULL,5,NULL),(28,429,1,17,14,8,2,3,1),(28,429,1,17,15,5,6,2,3),(28,429,1,17,16,5,NULL,1,NULL),(28,429,1,17,17,6,5,3,2),(28,429,1,17,18,4,2,3,1),(28,429,1,17,19,3,3,1,3),(28,429,1,17,20,NULL,3,NULL,2),(28,429,1,17,21,NULL,NULL,NULL,NULL),(28,429,1,17,22,NULL,3,NULL,1),(28,429,1,17,23,NULL,4,NULL,1),(28,429,1,17,24,NULL,NULL,NULL,NULL),(28,429,1,17,25,NULL,1,NULL,1),(28,429,1,17,26,NULL,NULL,NULL,NULL),(28,429,1,17,27,3,NULL,2,NULL),(28,429,1,17,28,NULL,2,NULL,NULL),(28,429,1,17,29,NULL,3,NULL,1),(28,429,1,17,30,2,4,1,2),(28,429,1,17,31,NULL,1,NULL,NULL),(28,429,1,17,32,NULL,2,NULL,2),(28,429,1,17,33,NULL,1,NULL,1),(28,429,1,17,34,1,3,1,3),(28,429,1,17,35,NULL,1,NULL,1),(28,429,1,17,36,NULL,NULL,NULL,NULL),(28,429,1,17,37,NULL,1,NULL,1),(28,429,1,17,38,NULL,1,NULL,1),(28,429,1,17,39,1,5,1,3),(28,429,1,17,40,NULL,NULL,NULL,NULL),(28,429,1,18,1,NULL,NULL,NULL,NULL),(28,429,1,18,2,NULL,NULL,NULL,NULL),(28,429,1,18,3,NULL,NULL,NULL,NULL),(28,429,1,18,4,NULL,NULL,NULL,NULL),(28,429,1,18,5,NULL,NULL,NULL,NULL),(28,429,1,18,6,NULL,NULL,NULL,NULL),(28,429,1,18,7,NULL,NULL,NULL,NULL),(28,429,1,18,8,NULL,NULL,NULL,NULL),(28,429,1,18,9,NULL,NULL,NULL,NULL),(28,429,1,18,10,NULL,NULL,NULL,NULL),(28,429,1,18,11,NULL,NULL,NULL,NULL),(28,429,1,18,12,NULL,NULL,NULL,NULL),(28,429,1,18,13,NULL,NULL,NULL,NULL),(28,429,1,18,14,NULL,NULL,NULL,NULL),(28,429,1,18,15,NULL,NULL,NULL,NULL),(28,429,1,18,16,NULL,NULL,NULL,NULL),(28,429,1,18,17,NULL,NULL,NULL,NULL),(28,429,1,18,18,NULL,NULL,NULL,NULL),(28,429,1,18,19,NULL,NULL,NULL,NULL),(28,429,1,18,20,NULL,NULL,NULL,NULL),(28,429,1,18,21,NULL,NULL,NULL,NULL),(28,429,1,18,22,NULL,NULL,NULL,NULL),(28,429,1,18,23,NULL,NULL,NULL,NULL),(28,429,1,18,24,NULL,NULL,NULL,NULL),(28,429,1,18,25,NULL,NULL,NULL,NULL),(28,429,1,18,26,NULL,NULL,NULL,NULL),(28,429,1,18,27,NULL,NULL,NULL,NULL),(28,429,1,18,28,NULL,NULL,NULL,NULL),(28,429,1,18,29,NULL,NULL,NULL,NULL),(28,429,1,18,30,NULL,NULL,NULL,NULL),(28,429,1,18,31,NULL,NULL,NULL,NULL),(28,429,1,18,32,NULL,NULL,NULL,NULL),(28,429,1,18,33,NULL,NULL,NULL,NULL),(28,429,1,18,34,NULL,NULL,NULL,NULL),(28,429,1,18,35,NULL,NULL,NULL,NULL),(28,429,1,18,36,NULL,NULL,NULL,NULL),(28,429,1,18,37,NULL,NULL,NULL,NULL),(28,429,1,18,38,NULL,NULL,NULL,NULL),(28,429,1,18,39,NULL,NULL,NULL,NULL),(28,429,1,18,40,NULL,NULL,NULL,NULL),(28,429,1,19,1,NULL,NULL,NULL,NULL),(28,429,1,19,2,NULL,NULL,NULL,NULL),(28,429,1,19,3,NULL,NULL,NULL,NULL),(28,429,1,19,4,NULL,NULL,NULL,NULL),(28,429,1,19,5,NULL,NULL,NULL,NULL),(28,429,1,19,6,NULL,NULL,NULL,NULL),(28,429,1,19,7,NULL,NULL,NULL,NULL),(28,429,1,19,8,NULL,NULL,NULL,NULL),(28,429,1,19,9,NULL,NULL,NULL,NULL),(28,429,1,19,10,NULL,NULL,NULL,NULL),(28,429,1,19,11,NULL,NULL,NULL,NULL),(28,429,1,19,12,NULL,NULL,NULL,NULL),(28,429,1,19,13,NULL,NULL,NULL,NULL),(28,429,1,19,14,NULL,NULL,NULL,NULL),(28,429,1,19,15,NULL,NULL,NULL,NULL),(28,429,1,19,16,NULL,NULL,NULL,NULL),(28,429,1,19,17,NULL,NULL,NULL,NULL),(28,429,1,19,18,NULL,NULL,NULL,NULL),(28,429,1,19,19,NULL,NULL,NULL,NULL),(28,429,1,19,20,NULL,NULL,NULL,NULL),(28,429,1,19,21,NULL,NULL,NULL,NULL),(28,429,1,19,22,NULL,NULL,NULL,NULL),(28,429,1,19,23,NULL,NULL,NULL,NULL),(28,429,1,19,24,NULL,NULL,NULL,NULL),(28,429,1,19,25,NULL,NULL,NULL,NULL),(28,429,1,19,26,NULL,NULL,NULL,NULL),(28,429,1,19,27,NULL,NULL,NULL,NULL),(28,429,1,19,28,NULL,NULL,NULL,NULL),(28,429,1,19,29,NULL,NULL,NULL,NULL),(28,429,1,19,30,NULL,NULL,NULL,NULL),(28,429,1,19,31,NULL,NULL,NULL,NULL),(28,429,1,19,32,NULL,NULL,NULL,NULL),(28,429,1,19,33,NULL,NULL,NULL,NULL),(28,429,1,19,34,NULL,NULL,NULL,NULL),(28,429,1,19,35,NULL,NULL,NULL,NULL),(28,429,1,19,36,NULL,NULL,NULL,NULL),(28,429,1,19,37,NULL,NULL,NULL,NULL),(28,429,1,19,38,NULL,NULL,NULL,NULL),(28,429,1,19,39,NULL,NULL,NULL,NULL),(28,429,1,19,40,NULL,NULL,NULL,NULL),(28,429,2,21,1,NULL,6,NULL,3),(28,429,2,21,2,NULL,4,NULL,4),(28,429,2,21,3,5,6,4,5),(28,429,2,21,4,1,3,1,1),(28,429,2,21,5,1,3,2,3),(28,429,2,21,6,3,4,4,NULL),(28,429,2,21,7,NULL,5,NULL,4),(28,429,2,21,8,2,1,2,1),(28,429,2,21,9,NULL,2,NULL,2),(28,429,2,21,10,1,5,NULL,3),(28,429,2,21,11,NULL,2,NULL,2),(28,429,2,21,12,4,5,3,2),(28,429,2,21,13,1,7,1,5),(28,429,2,21,14,1,8,1,7),(28,429,2,21,15,2,2,3,1),(28,429,2,21,16,4,7,1,5),(28,429,2,21,17,1,NULL,1,1),(28,429,2,21,18,4,4,4,4),(28,429,2,21,19,1,2,1,2),(28,429,2,21,20,2,4,2,3),(28,429,2,21,21,NULL,NULL,NULL,NULL),(28,429,2,21,22,NULL,1,NULL,1),(28,429,2,21,23,NULL,3,NULL,3),(28,429,2,21,24,2,1,1,1),(28,429,2,21,25,NULL,2,NULL,1),(28,429,2,21,26,NULL,2,NULL,1),(28,429,2,21,27,NULL,4,NULL,5),(28,429,2,21,28,1,2,1,1),(28,429,2,21,29,NULL,1,NULL,1),(28,429,2,21,30,1,3,NULL,3),(28,429,2,21,31,NULL,2,1,2),(28,429,2,21,32,NULL,NULL,NULL,NULL),(28,429,2,21,33,1,2,1,3),(28,429,2,21,34,NULL,5,NULL,3),(28,429,2,21,35,NULL,NULL,NULL,NULL),(28,429,2,21,36,NULL,NULL,NULL,NULL),(28,429,2,21,37,NULL,3,NULL,1),(28,429,2,21,38,NULL,2,NULL,NULL),(28,429,2,21,39,NULL,1,NULL,NULL),(28,429,2,21,40,NULL,4,NULL,2),(28,429,2,22,1,NULL,7,NULL,6),(28,429,2,22,2,NULL,2,NULL,2),(28,429,2,22,3,4,5,3,5),(28,429,2,22,4,1,2,NULL,1),(28,429,2,22,5,1,2,NULL,1),(28,429,2,22,6,6,8,5,4),(28,429,2,22,7,NULL,6,NULL,2),(28,429,2,22,8,1,4,NULL,4),(28,429,2,22,9,NULL,1,NULL,1),(28,429,2,22,10,3,1,1,2),(28,429,2,22,11,NULL,2,NULL,3),(28,429,2,22,12,NULL,3,NULL,4),(28,429,2,22,13,NULL,11,NULL,6),(28,429,2,22,14,1,3,2,4),(28,429,2,22,15,2,5,1,4),(28,429,2,22,16,NULL,6,1,3),(28,429,2,22,17,NULL,3,NULL,3),(28,429,2,22,18,3,6,2,4),(28,429,2,22,19,1,6,NULL,3),(28,429,2,22,20,3,6,2,1),(28,429,2,22,21,NULL,3,NULL,1),(28,429,2,22,22,1,1,2,NULL),(28,429,2,22,23,1,1,1,1),(28,429,2,22,24,NULL,3,1,1),(28,429,2,22,25,NULL,1,NULL,1),(28,429,2,22,26,2,3,2,2),(28,429,2,22,27,1,3,NULL,4),(28,429,2,22,28,NULL,1,NULL,1),(28,429,2,22,29,NULL,1,NULL,2),(28,429,2,22,30,NULL,1,NULL,1),(28,429,2,22,31,NULL,3,NULL,2),(28,429,2,22,32,NULL,NULL,NULL,NULL),(28,429,2,22,33,NULL,2,NULL,1),(28,429,2,22,34,NULL,2,NULL,2),(28,429,2,22,35,1,NULL,1,NULL),(28,429,2,22,36,NULL,NULL,NULL,NULL),(28,429,2,22,37,1,1,NULL,1),(28,429,2,22,38,NULL,1,NULL,1),(28,429,2,22,39,1,1,NULL,NULL),(28,429,2,22,40,NULL,6,NULL,3),(28,429,2,23,1,NULL,3,NULL,1),(28,429,2,23,2,1,2,NULL,1),(28,429,2,23,3,4,4,4,3),(28,429,2,23,4,NULL,NULL,NULL,NULL),(28,429,2,23,5,NULL,2,NULL,2),(28,429,2,23,6,2,8,2,4),(28,429,2,23,7,NULL,6,NULL,4),(28,429,2,23,8,NULL,3,NULL,2),(28,429,2,23,9,1,1,1,NULL),(28,429,2,23,10,3,3,2,1),(28,429,2,23,11,2,1,2,2),(28,429,2,23,12,3,5,1,3),(28,429,2,23,13,NULL,8,NULL,4),(28,429,2,23,14,2,5,2,3),(28,429,2,23,15,2,1,2,NULL),(28,429,2,23,16,3,5,3,2),(28,429,2,23,17,1,3,1,2),(28,429,2,23,18,7,3,3,2),(28,429,2,23,19,NULL,4,NULL,3),(28,429,2,23,20,4,4,2,2),(28,429,2,23,21,NULL,4,NULL,3),(28,429,2,23,22,1,1,2,NULL),(28,429,2,23,23,NULL,1,NULL,1),(28,429,2,23,24,1,2,1,NULL),(28,429,2,23,25,1,1,1,1),(28,429,2,23,26,NULL,1,NULL,1),(28,429,2,23,27,NULL,1,NULL,1),(28,429,2,23,28,NULL,1,NULL,1),(28,429,2,23,29,NULL,1,NULL,1),(28,429,2,23,30,NULL,2,NULL,NULL),(28,429,2,23,31,NULL,2,NULL,2),(28,429,2,23,32,NULL,NULL,NULL,NULL),(28,429,2,23,33,NULL,1,NULL,NULL),(28,429,2,23,34,NULL,2,NULL,2),(28,429,2,23,35,3,NULL,1,NULL),(28,429,2,23,36,NULL,NULL,NULL,NULL),(28,429,2,23,37,NULL,3,NULL,1),(28,429,2,23,38,NULL,1,NULL,1),(28,429,2,23,39,NULL,NULL,NULL,NULL),(28,429,2,23,40,1,3,1,2),(28,429,2,24,1,NULL,3,NULL,2),(28,429,2,24,2,NULL,3,NULL,2),(28,429,2,24,3,2,6,2,5),(28,429,2,24,4,NULL,NULL,NULL,NULL),(28,429,2,24,5,1,3,1,2),(28,429,2,24,6,NULL,4,NULL,4),(28,429,2,24,7,NULL,3,NULL,2),(28,429,2,24,8,NULL,1,NULL,1),(28,429,2,24,9,1,2,1,1),(28,429,2,24,10,1,6,1,5),(28,429,2,24,11,NULL,3,NULL,3),(28,429,2,24,12,NULL,2,NULL,2),(28,429,2,24,13,2,2,1,2),(28,429,2,24,14,3,3,3,3),(28,429,2,24,15,NULL,3,NULL,3),(28,429,2,24,16,NULL,4,NULL,3),(28,429,2,24,17,NULL,2,NULL,1),(28,429,2,24,18,3,5,2,4),(28,429,2,24,19,1,2,1,2),(28,429,2,24,20,1,3,1,2),(28,429,2,24,21,NULL,NULL,NULL,NULL),(28,429,2,24,22,1,NULL,1,NULL),(28,429,2,24,23,1,1,NULL,1),(28,429,2,24,24,NULL,1,NULL,NULL),(28,429,2,24,25,NULL,1,NULL,1),(28,429,2,24,26,1,2,NULL,2),(28,429,2,24,27,NULL,2,NULL,1),(28,429,2,24,28,NULL,NULL,NULL,NULL),(28,429,2,24,29,NULL,NULL,NULL,NULL),(28,429,2,24,30,NULL,NULL,NULL,NULL),(28,429,2,24,31,NULL,2,NULL,2),(28,429,2,24,32,NULL,1,NULL,1),(28,429,2,24,33,NULL,1,NULL,1),(28,429,2,24,34,NULL,NULL,NULL,NULL),(28,429,2,24,35,2,NULL,1,NULL),(28,429,2,24,36,NULL,1,NULL,1),(28,429,2,24,37,NULL,1,NULL,1),(28,429,2,24,38,NULL,1,NULL,1),(28,429,2,24,39,NULL,NULL,NULL,NULL),(28,429,2,24,40,NULL,3,NULL,2),(28,440,1,11,1,NULL,NULL,NULL,NULL),(28,440,1,11,2,NULL,NULL,NULL,NULL),(28,440,1,11,3,NULL,NULL,NULL,NULL),(28,440,1,11,4,NULL,NULL,NULL,NULL),(28,440,1,11,5,NULL,NULL,NULL,NULL),(28,440,1,11,6,NULL,NULL,NULL,NULL),(28,440,1,11,7,NULL,NULL,NULL,NULL),(28,440,1,11,8,NULL,NULL,NULL,NULL),(28,440,1,11,9,NULL,NULL,NULL,NULL),(28,440,1,11,10,NULL,NULL,NULL,NULL),(28,440,1,11,11,NULL,NULL,NULL,NULL),(28,440,1,11,12,NULL,NULL,NULL,NULL),(28,440,1,11,13,NULL,NULL,NULL,NULL),(28,440,1,11,14,NULL,NULL,NULL,NULL),(28,440,1,11,15,NULL,NULL,NULL,NULL),(28,440,1,11,16,NULL,NULL,NULL,NULL),(28,440,1,11,17,NULL,NULL,NULL,NULL),(28,440,1,11,18,NULL,NULL,NULL,NULL),(28,440,1,11,19,NULL,NULL,NULL,NULL),(28,440,1,11,20,NULL,NULL,NULL,NULL),(28,440,1,11,21,NULL,NULL,NULL,NULL),(28,440,1,11,22,NULL,NULL,NULL,NULL),(28,440,1,11,23,NULL,NULL,NULL,NULL),(28,440,1,11,24,NULL,NULL,NULL,NULL),(28,440,1,11,25,NULL,NULL,NULL,NULL),(28,440,1,11,26,NULL,NULL,NULL,NULL),(28,440,1,11,27,NULL,NULL,NULL,NULL),(28,440,1,11,28,NULL,NULL,NULL,NULL),(28,440,1,11,29,NULL,NULL,NULL,NULL),(28,440,1,11,30,NULL,NULL,NULL,NULL),(28,440,1,11,31,NULL,NULL,NULL,NULL),(28,440,1,11,32,NULL,NULL,NULL,NULL),(28,440,1,11,33,NULL,NULL,NULL,NULL),(28,440,1,11,34,NULL,NULL,NULL,NULL),(28,440,1,11,35,NULL,NULL,NULL,NULL),(28,440,1,11,36,NULL,NULL,NULL,NULL),(28,440,1,11,37,NULL,NULL,NULL,NULL),(28,440,1,11,38,NULL,NULL,NULL,NULL),(28,440,1,11,39,NULL,NULL,NULL,NULL),(28,440,1,11,40,NULL,NULL,NULL,NULL),(28,440,1,12,1,NULL,NULL,NULL,NULL),(28,440,1,12,2,NULL,NULL,NULL,NULL),(28,440,1,12,3,NULL,NULL,NULL,NULL),(28,440,1,12,4,NULL,NULL,NULL,NULL),(28,440,1,12,5,NULL,NULL,NULL,NULL),(28,440,1,12,6,NULL,NULL,NULL,NULL),(28,440,1,12,7,NULL,NULL,NULL,NULL),(28,440,1,12,8,NULL,NULL,NULL,NULL),(28,440,1,12,9,NULL,NULL,NULL,NULL),(28,440,1,12,10,NULL,NULL,NULL,NULL),(28,440,1,12,11,NULL,NULL,NULL,NULL),(28,440,1,12,12,NULL,NULL,NULL,NULL),(28,440,1,12,13,NULL,NULL,NULL,NULL),(28,440,1,12,14,NULL,NULL,NULL,NULL),(28,440,1,12,15,NULL,NULL,NULL,NULL),(28,440,1,12,16,NULL,NULL,NULL,NULL),(28,440,1,12,17,NULL,NULL,NULL,NULL),(28,440,1,12,18,NULL,NULL,NULL,NULL),(28,440,1,12,19,NULL,NULL,NULL,NULL),(28,440,1,12,20,NULL,NULL,NULL,NULL),(28,440,1,12,21,NULL,NULL,NULL,NULL),(28,440,1,12,22,NULL,NULL,NULL,NULL),(28,440,1,12,23,NULL,NULL,NULL,NULL),(28,440,1,12,24,NULL,NULL,NULL,NULL),(28,440,1,12,25,NULL,NULL,NULL,NULL),(28,440,1,12,26,NULL,NULL,NULL,NULL),(28,440,1,12,27,NULL,NULL,NULL,NULL),(28,440,1,12,28,NULL,NULL,NULL,NULL),(28,440,1,12,29,NULL,NULL,NULL,NULL),(28,440,1,12,30,NULL,NULL,NULL,NULL),(28,440,1,12,31,NULL,NULL,NULL,NULL),(28,440,1,12,32,NULL,NULL,NULL,NULL),(28,440,1,12,33,NULL,NULL,NULL,NULL),(28,440,1,12,34,NULL,NULL,NULL,NULL),(28,440,1,12,35,NULL,NULL,NULL,NULL),(28,440,1,12,36,NULL,NULL,NULL,NULL),(28,440,1,12,37,NULL,NULL,NULL,NULL),(28,440,1,12,38,NULL,NULL,NULL,NULL),(28,440,1,12,39,NULL,NULL,NULL,NULL),(28,440,1,12,40,NULL,NULL,NULL,NULL),(28,440,1,13,1,NULL,NULL,NULL,NULL),(28,440,1,13,2,NULL,NULL,NULL,NULL),(28,440,1,13,3,NULL,NULL,NULL,NULL),(28,440,1,13,4,NULL,NULL,NULL,NULL),(28,440,1,13,5,NULL,NULL,NULL,NULL),(28,440,1,13,6,NULL,NULL,NULL,NULL),(28,440,1,13,7,NULL,NULL,NULL,NULL),(28,440,1,13,8,NULL,NULL,NULL,NULL),(28,440,1,13,9,NULL,NULL,NULL,NULL),(28,440,1,13,10,NULL,NULL,NULL,NULL),(28,440,1,13,11,NULL,NULL,NULL,NULL),(28,440,1,13,12,NULL,NULL,NULL,NULL),(28,440,1,13,13,NULL,NULL,NULL,NULL),(28,440,1,13,14,NULL,NULL,NULL,NULL),(28,440,1,13,15,NULL,NULL,NULL,NULL),(28,440,1,13,16,NULL,NULL,NULL,NULL),(28,440,1,13,17,NULL,NULL,NULL,NULL),(28,440,1,13,18,NULL,NULL,NULL,NULL),(28,440,1,13,19,NULL,NULL,NULL,NULL),(28,440,1,13,20,NULL,NULL,NULL,NULL),(28,440,1,13,21,NULL,NULL,NULL,NULL),(28,440,1,13,22,NULL,NULL,NULL,NULL),(28,440,1,13,23,NULL,NULL,NULL,NULL),(28,440,1,13,24,NULL,NULL,NULL,NULL),(28,440,1,13,25,NULL,NULL,NULL,NULL),(28,440,1,13,26,NULL,NULL,NULL,NULL),(28,440,1,13,27,NULL,NULL,NULL,NULL),(28,440,1,13,28,NULL,NULL,NULL,NULL),(28,440,1,13,29,NULL,NULL,NULL,NULL),(28,440,1,13,30,NULL,NULL,NULL,NULL),(28,440,1,13,31,NULL,NULL,NULL,NULL),(28,440,1,13,32,NULL,NULL,NULL,NULL),(28,440,1,13,33,NULL,NULL,NULL,NULL),(28,440,1,13,34,NULL,NULL,NULL,NULL),(28,440,1,13,35,NULL,NULL,NULL,NULL),(28,440,1,13,36,NULL,NULL,NULL,NULL),(28,440,1,13,37,NULL,NULL,NULL,NULL),(28,440,1,13,38,NULL,NULL,NULL,NULL),(28,440,1,13,39,NULL,NULL,NULL,NULL),(28,440,1,13,40,NULL,NULL,NULL,NULL),(28,440,1,14,1,NULL,NULL,NULL,NULL),(28,440,1,14,2,NULL,NULL,NULL,NULL),(28,440,1,14,3,NULL,NULL,NULL,NULL),(28,440,1,14,4,NULL,NULL,NULL,NULL),(28,440,1,14,5,NULL,NULL,NULL,NULL),(28,440,1,14,6,NULL,NULL,NULL,NULL),(28,440,1,14,7,NULL,NULL,NULL,NULL),(28,440,1,14,8,NULL,NULL,NULL,NULL),(28,440,1,14,9,NULL,NULL,NULL,NULL),(28,440,1,14,10,NULL,NULL,NULL,NULL),(28,440,1,14,11,NULL,NULL,NULL,NULL),(28,440,1,14,12,NULL,NULL,NULL,NULL),(28,440,1,14,13,NULL,NULL,NULL,NULL),(28,440,1,14,14,NULL,NULL,NULL,NULL),(28,440,1,14,15,NULL,NULL,NULL,NULL),(28,440,1,14,16,NULL,NULL,NULL,NULL),(28,440,1,14,17,NULL,NULL,NULL,NULL),(28,440,1,14,18,NULL,NULL,NULL,NULL),(28,440,1,14,19,NULL,NULL,NULL,NULL),(28,440,1,14,20,NULL,NULL,NULL,NULL),(28,440,1,14,21,NULL,NULL,NULL,NULL),(28,440,1,14,22,NULL,NULL,NULL,NULL),(28,440,1,14,23,NULL,NULL,NULL,NULL),(28,440,1,14,24,NULL,NULL,NULL,NULL),(28,440,1,14,25,NULL,NULL,NULL,NULL),(28,440,1,14,26,NULL,NULL,NULL,NULL),(28,440,1,14,27,NULL,NULL,NULL,NULL),(28,440,1,14,28,NULL,NULL,NULL,NULL),(28,440,1,14,29,NULL,NULL,NULL,NULL),(28,440,1,14,30,NULL,NULL,NULL,NULL),(28,440,1,14,31,NULL,NULL,NULL,NULL),(28,440,1,14,32,NULL,NULL,NULL,NULL),(28,440,1,14,33,NULL,NULL,NULL,NULL),(28,440,1,14,34,NULL,NULL,NULL,NULL),(28,440,1,14,35,NULL,NULL,NULL,NULL),(28,440,1,14,36,NULL,NULL,NULL,NULL),(28,440,1,14,37,NULL,NULL,NULL,NULL),(28,440,1,14,38,NULL,NULL,NULL,NULL),(28,440,1,14,39,NULL,NULL,NULL,NULL),(28,440,1,14,40,NULL,NULL,NULL,NULL),(28,440,1,15,1,NULL,NULL,NULL,NULL),(28,440,1,15,2,NULL,NULL,NULL,NULL),(28,440,1,15,3,NULL,NULL,NULL,NULL),(28,440,1,15,4,NULL,NULL,NULL,NULL),(28,440,1,15,5,NULL,NULL,NULL,NULL),(28,440,1,15,6,NULL,NULL,NULL,NULL),(28,440,1,15,7,NULL,NULL,NULL,NULL),(28,440,1,15,8,NULL,NULL,NULL,NULL),(28,440,1,15,9,NULL,NULL,NULL,NULL),(28,440,1,15,10,NULL,NULL,NULL,NULL),(28,440,1,15,11,NULL,NULL,NULL,NULL),(28,440,1,15,12,NULL,NULL,NULL,NULL),(28,440,1,15,13,NULL,NULL,NULL,NULL),(28,440,1,15,14,NULL,NULL,NULL,NULL),(28,440,1,15,15,NULL,NULL,NULL,NULL),(28,440,1,15,16,NULL,NULL,NULL,NULL),(28,440,1,15,17,NULL,NULL,NULL,NULL),(28,440,1,15,18,NULL,NULL,NULL,NULL),(28,440,1,15,19,NULL,NULL,NULL,NULL),(28,440,1,15,20,NULL,NULL,NULL,NULL),(28,440,1,15,21,NULL,NULL,NULL,NULL),(28,440,1,15,22,NULL,NULL,NULL,NULL),(28,440,1,15,23,NULL,NULL,NULL,NULL),(28,440,1,15,24,NULL,NULL,NULL,NULL),(28,440,1,15,25,NULL,NULL,NULL,NULL),(28,440,1,15,26,NULL,NULL,NULL,NULL),(28,440,1,15,27,NULL,NULL,NULL,NULL),(28,440,1,15,28,NULL,NULL,NULL,NULL),(28,440,1,15,29,NULL,NULL,NULL,NULL),(28,440,1,15,30,NULL,NULL,NULL,NULL),(28,440,1,15,31,NULL,NULL,NULL,NULL),(28,440,1,15,32,NULL,NULL,NULL,NULL),(28,440,1,15,33,NULL,NULL,NULL,NULL),(28,440,1,15,34,NULL,NULL,NULL,NULL),(28,440,1,15,35,NULL,NULL,NULL,NULL),(28,440,1,15,36,NULL,NULL,NULL,NULL),(28,440,1,15,37,NULL,NULL,NULL,NULL),(28,440,1,15,38,NULL,NULL,NULL,NULL),(28,440,1,15,39,NULL,NULL,NULL,NULL),(28,440,1,15,40,NULL,NULL,NULL,NULL),(28,440,1,16,1,NULL,NULL,NULL,NULL),(28,440,1,16,2,NULL,NULL,NULL,NULL),(28,440,1,16,3,NULL,NULL,NULL,NULL),(28,440,1,16,4,NULL,NULL,NULL,NULL),(28,440,1,16,5,NULL,NULL,NULL,NULL),(28,440,1,16,6,NULL,NULL,NULL,NULL),(28,440,1,16,7,NULL,NULL,NULL,NULL),(28,440,1,16,8,NULL,NULL,NULL,NULL),(28,440,1,16,9,NULL,NULL,NULL,NULL),(28,440,1,16,10,NULL,NULL,NULL,NULL),(28,440,1,16,11,NULL,NULL,NULL,NULL),(28,440,1,16,12,NULL,NULL,NULL,NULL),(28,440,1,16,13,NULL,NULL,NULL,NULL),(28,440,1,16,14,NULL,NULL,NULL,NULL),(28,440,1,16,15,NULL,NULL,NULL,NULL),(28,440,1,16,16,NULL,NULL,NULL,NULL),(28,440,1,16,17,NULL,NULL,NULL,NULL),(28,440,1,16,18,NULL,NULL,NULL,NULL),(28,440,1,16,19,NULL,NULL,NULL,NULL),(28,440,1,16,20,NULL,NULL,NULL,NULL),(28,440,1,16,21,NULL,NULL,NULL,NULL),(28,440,1,16,22,NULL,NULL,NULL,NULL),(28,440,1,16,23,NULL,NULL,NULL,NULL),(28,440,1,16,24,NULL,NULL,NULL,NULL),(28,440,1,16,25,NULL,NULL,NULL,NULL),(28,440,1,16,26,NULL,NULL,NULL,NULL),(28,440,1,16,27,NULL,NULL,NULL,NULL),(28,440,1,16,28,NULL,NULL,NULL,NULL),(28,440,1,16,29,NULL,NULL,NULL,NULL),(28,440,1,16,30,NULL,NULL,NULL,NULL),(28,440,1,16,31,NULL,NULL,NULL,NULL),(28,440,1,16,32,NULL,NULL,NULL,NULL),(28,440,1,16,33,NULL,NULL,NULL,NULL),(28,440,1,16,34,NULL,NULL,NULL,NULL),(28,440,1,16,35,NULL,NULL,NULL,NULL),(28,440,1,16,36,NULL,NULL,NULL,NULL),(28,440,1,16,37,NULL,NULL,NULL,NULL),(28,440,1,16,38,NULL,NULL,NULL,NULL),(28,440,1,16,39,NULL,NULL,NULL,NULL),(28,440,1,16,40,NULL,NULL,NULL,NULL),(28,440,1,17,1,NULL,NULL,NULL,NULL),(28,440,1,17,2,NULL,NULL,NULL,NULL),(28,440,1,17,3,NULL,NULL,NULL,NULL),(28,440,1,17,4,NULL,NULL,NULL,NULL),(28,440,1,17,5,NULL,NULL,NULL,NULL),(28,440,1,17,6,NULL,NULL,NULL,NULL),(28,440,1,17,7,NULL,NULL,NULL,NULL),(28,440,1,17,8,NULL,NULL,NULL,NULL),(28,440,1,17,9,NULL,NULL,NULL,NULL),(28,440,1,17,10,NULL,NULL,NULL,NULL),(28,440,1,17,11,NULL,NULL,NULL,NULL),(28,440,1,17,12,NULL,NULL,NULL,NULL),(28,440,1,17,13,NULL,NULL,NULL,NULL),(28,440,1,17,14,NULL,NULL,NULL,NULL),(28,440,1,17,15,NULL,NULL,NULL,NULL),(28,440,1,17,16,NULL,NULL,NULL,NULL),(28,440,1,17,17,NULL,NULL,NULL,NULL),(28,440,1,17,18,NULL,NULL,NULL,NULL),(28,440,1,17,19,NULL,NULL,NULL,NULL),(28,440,1,17,20,NULL,NULL,NULL,NULL),(28,440,1,17,21,NULL,NULL,NULL,NULL),(28,440,1,17,22,NULL,NULL,NULL,NULL),(28,440,1,17,23,NULL,NULL,NULL,NULL),(28,440,1,17,24,NULL,NULL,NULL,NULL),(28,440,1,17,25,NULL,NULL,NULL,NULL),(28,440,1,17,26,NULL,NULL,NULL,NULL),(28,440,1,17,27,NULL,NULL,NULL,NULL),(28,440,1,17,28,NULL,NULL,NULL,NULL),(28,440,1,17,29,NULL,NULL,NULL,NULL),(28,440,1,17,30,NULL,NULL,NULL,NULL),(28,440,1,17,31,NULL,NULL,NULL,NULL),(28,440,1,17,32,NULL,NULL,NULL,NULL),(28,440,1,17,33,NULL,NULL,NULL,NULL),(28,440,1,17,34,NULL,NULL,NULL,NULL),(28,440,1,17,35,NULL,NULL,NULL,NULL),(28,440,1,17,36,NULL,NULL,NULL,NULL),(28,440,1,17,37,NULL,NULL,NULL,NULL),(28,440,1,17,38,NULL,NULL,NULL,NULL),(28,440,1,17,39,NULL,NULL,NULL,NULL),(28,440,1,17,40,NULL,NULL,NULL,NULL),(28,440,1,18,1,NULL,NULL,NULL,NULL),(28,440,1,18,2,NULL,NULL,NULL,NULL),(28,440,1,18,3,NULL,NULL,NULL,NULL),(28,440,1,18,4,NULL,NULL,NULL,NULL),(28,440,1,18,5,NULL,NULL,NULL,NULL),(28,440,1,18,6,NULL,NULL,NULL,NULL),(28,440,1,18,7,NULL,NULL,NULL,NULL),(28,440,1,18,8,NULL,NULL,NULL,NULL),(28,440,1,18,9,NULL,NULL,NULL,NULL),(28,440,1,18,10,NULL,NULL,NULL,NULL),(28,440,1,18,11,NULL,NULL,NULL,NULL),(28,440,1,18,12,NULL,NULL,NULL,NULL),(28,440,1,18,13,NULL,NULL,NULL,NULL),(28,440,1,18,14,NULL,NULL,NULL,NULL),(28,440,1,18,15,NULL,NULL,NULL,NULL),(28,440,1,18,16,NULL,NULL,NULL,NULL),(28,440,1,18,17,NULL,NULL,NULL,NULL),(28,440,1,18,18,NULL,NULL,NULL,NULL),(28,440,1,18,19,NULL,NULL,NULL,NULL),(28,440,1,18,20,NULL,NULL,NULL,NULL),(28,440,1,18,21,NULL,NULL,NULL,NULL),(28,440,1,18,22,NULL,NULL,NULL,NULL),(28,440,1,18,23,NULL,NULL,NULL,NULL),(28,440,1,18,24,NULL,NULL,NULL,NULL),(28,440,1,18,25,NULL,NULL,NULL,NULL),(28,440,1,18,26,NULL,NULL,NULL,NULL),(28,440,1,18,27,NULL,NULL,NULL,NULL),(28,440,1,18,28,NULL,NULL,NULL,NULL),(28,440,1,18,29,NULL,NULL,NULL,NULL),(28,440,1,18,30,NULL,NULL,NULL,NULL),(28,440,1,18,31,NULL,NULL,NULL,NULL),(28,440,1,18,32,NULL,NULL,NULL,NULL),(28,440,1,18,33,NULL,NULL,NULL,NULL),(28,440,1,18,34,NULL,NULL,NULL,NULL),(28,440,1,18,35,NULL,NULL,NULL,NULL),(28,440,1,18,36,NULL,NULL,NULL,NULL),(28,440,1,18,37,NULL,NULL,NULL,NULL),(28,440,1,18,38,NULL,NULL,NULL,NULL),(28,440,1,18,39,NULL,NULL,NULL,NULL),(28,440,1,18,40,NULL,NULL,NULL,NULL),(28,440,1,19,1,NULL,NULL,NULL,NULL),(28,440,1,19,2,NULL,NULL,NULL,NULL),(28,440,1,19,3,NULL,NULL,NULL,NULL),(28,440,1,19,4,NULL,NULL,NULL,NULL),(28,440,1,19,5,NULL,NULL,NULL,NULL),(28,440,1,19,6,NULL,NULL,NULL,NULL),(28,440,1,19,7,NULL,NULL,NULL,NULL),(28,440,1,19,8,NULL,NULL,NULL,NULL),(28,440,1,19,9,NULL,NULL,NULL,NULL),(28,440,1,19,10,NULL,NULL,NULL,NULL),(28,440,1,19,11,NULL,NULL,NULL,NULL),(28,440,1,19,12,NULL,NULL,NULL,NULL),(28,440,1,19,13,NULL,NULL,NULL,NULL),(28,440,1,19,14,NULL,NULL,NULL,NULL),(28,440,1,19,15,1,NULL,1,NULL),(28,440,1,19,16,NULL,NULL,NULL,NULL),(28,440,1,19,17,NULL,NULL,NULL,NULL),(28,440,1,19,18,NULL,NULL,NULL,NULL),(28,440,1,19,19,NULL,NULL,NULL,NULL),(28,440,1,19,20,NULL,NULL,NULL,NULL),(28,440,1,19,21,NULL,NULL,NULL,NULL),(28,440,1,19,22,NULL,NULL,NULL,NULL),(28,440,1,19,23,NULL,NULL,NULL,NULL),(28,440,1,19,24,NULL,NULL,NULL,NULL),(28,440,1,19,25,NULL,NULL,NULL,NULL),(28,440,1,19,26,NULL,NULL,NULL,NULL),(28,440,1,19,27,NULL,NULL,NULL,NULL),(28,440,1,19,28,NULL,NULL,NULL,NULL),(28,440,1,19,29,NULL,NULL,NULL,NULL),(28,440,1,19,30,NULL,NULL,NULL,NULL),(28,440,1,19,31,NULL,NULL,NULL,NULL),(28,440,1,19,32,NULL,NULL,NULL,NULL),(28,440,1,19,33,NULL,NULL,NULL,NULL),(28,440,1,19,34,NULL,NULL,NULL,NULL),(28,440,1,19,35,NULL,NULL,NULL,NULL),(28,440,1,19,36,NULL,NULL,NULL,NULL),(28,440,1,19,37,NULL,NULL,NULL,NULL),(28,440,1,19,38,NULL,NULL,NULL,NULL),(28,440,1,19,39,NULL,NULL,NULL,NULL),(28,440,1,19,40,NULL,NULL,NULL,NULL),(28,440,2,21,1,1,4,NULL,NULL),(28,440,2,21,2,NULL,2,NULL,NULL),(28,440,2,21,3,2,7,1,2),(28,440,2,21,4,NULL,1,NULL,1),(28,440,2,21,5,2,7,1,NULL),(28,440,2,21,6,1,8,1,3),(28,440,2,21,7,NULL,1,NULL,NULL),(28,440,2,21,8,3,2,1,2),(28,440,2,21,9,1,2,1,1),(28,440,2,21,10,1,2,1,1),(28,440,2,21,11,NULL,4,NULL,1),(28,440,2,21,12,1,8,NULL,2),(28,440,2,21,13,NULL,8,NULL,4),(28,440,2,21,14,1,1,1,NULL),(28,440,2,21,15,NULL,5,NULL,4),(28,440,2,21,16,2,1,1,NULL),(28,440,2,21,17,1,3,NULL,1),(28,440,2,21,18,4,5,2,1),(28,440,2,21,19,NULL,3,NULL,1),(28,440,2,21,20,NULL,1,NULL,1),(28,440,2,21,21,2,3,1,1),(28,440,2,21,22,NULL,2,NULL,1),(28,440,2,21,23,NULL,4,NULL,1),(28,440,2,21,24,NULL,2,NULL,1),(28,440,2,21,25,1,1,NULL,NULL),(28,440,2,21,26,NULL,5,NULL,NULL),(28,440,2,21,27,NULL,1,NULL,NULL),(28,440,2,21,28,NULL,NULL,NULL,NULL),(28,440,2,21,29,2,3,NULL,1),(28,440,2,21,30,NULL,5,NULL,1),(28,440,2,21,31,1,7,NULL,4),(28,440,2,21,32,NULL,NULL,NULL,NULL),(28,440,2,21,33,NULL,4,NULL,2),(28,440,2,21,34,1,6,NULL,1),(28,440,2,21,35,1,NULL,NULL,NULL),(28,440,2,21,36,1,1,NULL,NULL),(28,440,2,21,37,NULL,3,NULL,1),(28,440,2,21,38,NULL,NULL,NULL,NULL),(28,440,2,21,39,NULL,3,NULL,NULL),(28,440,2,21,40,1,5,NULL,3),(28,440,2,22,1,NULL,2,NULL,1),(28,440,2,22,2,NULL,2,NULL,2),(28,440,2,22,3,1,NULL,1,NULL),(28,440,2,22,4,NULL,2,NULL,2),(28,440,2,22,5,1,NULL,1,NULL),(28,440,2,22,6,3,1,2,1),(28,440,2,22,7,NULL,NULL,NULL,NULL),(28,440,2,22,8,2,NULL,2,NULL),(28,440,2,22,9,NULL,1,NULL,1),(28,440,2,22,10,2,NULL,2,NULL),(28,440,2,22,11,NULL,NULL,NULL,NULL),(28,440,2,22,12,2,1,2,1),(28,440,2,22,13,NULL,2,NULL,2),(28,440,2,22,14,2,1,1,1),(28,440,2,22,15,1,NULL,1,NULL),(28,440,2,22,16,NULL,1,NULL,1),(28,440,2,22,17,NULL,NULL,NULL,NULL),(28,440,2,22,18,1,NULL,1,NULL),(28,440,2,22,19,NULL,2,NULL,2),(28,440,2,22,20,1,1,1,1),(28,440,2,22,21,NULL,1,NULL,1),(28,440,2,22,22,1,NULL,NULL,NULL),(28,440,2,22,23,NULL,NULL,NULL,NULL),(28,440,2,22,24,1,NULL,1,NULL),(28,440,2,22,25,NULL,2,NULL,1),(28,440,2,22,26,NULL,NULL,NULL,NULL),(28,440,2,22,27,1,NULL,NULL,NULL),(28,440,2,22,28,NULL,NULL,NULL,NULL),(28,440,2,22,29,NULL,NULL,NULL,NULL),(28,440,2,22,30,NULL,NULL,NULL,NULL),(28,440,2,22,31,NULL,1,NULL,1),(28,440,2,22,32,NULL,NULL,NULL,NULL),(28,440,2,22,33,NULL,NULL,NULL,NULL),(28,440,2,22,34,NULL,NULL,NULL,NULL),(28,440,2,22,35,NULL,NULL,NULL,NULL),(28,440,2,22,36,NULL,NULL,NULL,NULL),(28,440,2,22,37,NULL,NULL,NULL,NULL),(28,440,2,22,38,NULL,NULL,NULL,NULL),(28,440,2,22,39,NULL,1,NULL,1),(28,440,2,22,40,NULL,5,NULL,3),(28,440,2,23,1,NULL,1,NULL,1),(28,440,2,23,2,NULL,NULL,NULL,NULL),(28,440,2,23,3,1,1,1,1),(28,440,2,23,4,NULL,NULL,NULL,NULL),(28,440,2,23,5,NULL,NULL,NULL,NULL),(28,440,2,23,6,1,1,1,1),(28,440,2,23,7,NULL,2,NULL,2),(28,440,2,23,8,NULL,NULL,NULL,NULL),(28,440,2,23,9,NULL,NULL,NULL,NULL),(28,440,2,23,10,NULL,NULL,NULL,NULL),(28,440,2,23,11,NULL,NULL,NULL,NULL),(28,440,2,23,12,NULL,NULL,NULL,NULL),(28,440,2,23,13,NULL,NULL,NULL,NULL),(28,440,2,23,14,NULL,NULL,NULL,NULL),(28,440,2,23,15,NULL,NULL,NULL,NULL),(28,440,2,23,16,1,1,1,1),(28,440,2,23,17,NULL,NULL,NULL,NULL),(28,440,2,23,18,NULL,1,NULL,1),(28,440,2,23,19,NULL,NULL,NULL,NULL),(28,440,2,23,20,NULL,1,NULL,1),(28,440,2,23,21,NULL,NULL,NULL,NULL),(28,440,2,23,22,NULL,NULL,NULL,NULL),(28,440,2,23,23,NULL,1,NULL,1),(28,440,2,23,24,NULL,NULL,NULL,NULL),(28,440,2,23,25,NULL,NULL,NULL,NULL),(28,440,2,23,26,NULL,NULL,NULL,NULL),(28,440,2,23,27,NULL,1,NULL,1),(28,440,2,23,28,NULL,NULL,NULL,NULL),(28,440,2,23,29,NULL,NULL,NULL,NULL),(28,440,2,23,30,NULL,1,NULL,1),(28,440,2,23,31,NULL,NULL,NULL,NULL),(28,440,2,23,32,NULL,NULL,NULL,NULL),(28,440,2,23,33,NULL,1,NULL,1),(28,440,2,23,34,NULL,NULL,NULL,NULL),(28,440,2,23,35,1,NULL,1,NULL),(28,440,2,23,36,NULL,NULL,NULL,NULL),(28,440,2,23,37,NULL,1,NULL,1),(28,440,2,23,38,NULL,NULL,NULL,NULL),(28,440,2,23,39,NULL,NULL,NULL,NULL),(28,440,2,23,40,NULL,NULL,NULL,NULL),(28,440,2,24,1,NULL,1,NULL,1),(28,440,2,24,2,NULL,NULL,NULL,NULL),(28,440,2,24,3,NULL,1,NULL,NULL),(28,440,2,24,4,NULL,1,NULL,NULL),(28,440,2,24,5,NULL,1,NULL,NULL),(28,440,2,24,6,3,NULL,1,NULL),(28,440,2,24,7,NULL,NULL,NULL,NULL),(28,440,2,24,8,NULL,NULL,NULL,NULL),(28,440,2,24,9,NULL,NULL,NULL,NULL),(28,440,2,24,10,NULL,1,NULL,NULL),(28,440,2,24,11,NULL,NULL,NULL,NULL),(28,440,2,24,12,NULL,NULL,NULL,NULL),(28,440,2,24,13,1,1,NULL,1),(28,440,2,24,14,NULL,NULL,NULL,NULL),(28,440,2,24,15,NULL,2,NULL,NULL),(28,440,2,24,16,NULL,NULL,NULL,NULL),(28,440,2,24,17,NULL,NULL,NULL,NULL),(28,440,2,24,18,NULL,NULL,NULL,NULL),(28,440,2,24,19,NULL,NULL,NULL,NULL),(28,440,2,24,20,1,NULL,1,NULL),(28,440,2,24,21,NULL,1,NULL,NULL),(28,440,2,24,22,NULL,NULL,NULL,NULL),(28,440,2,24,23,NULL,NULL,NULL,NULL),(28,440,2,24,24,NULL,NULL,NULL,NULL),(28,440,2,24,25,NULL,NULL,NULL,NULL),(28,440,2,24,26,NULL,NULL,NULL,NULL),(28,440,2,24,27,NULL,NULL,NULL,NULL),(28,440,2,24,28,NULL,1,NULL,NULL),(28,440,2,24,29,NULL,NULL,NULL,NULL),(28,440,2,24,30,NULL,NULL,NULL,NULL),(28,440,2,24,31,NULL,1,NULL,1),(28,440,2,24,32,NULL,1,NULL,NULL),(28,440,2,24,33,NULL,1,NULL,NULL),(28,440,2,24,34,NULL,1,NULL,NULL),(28,440,2,24,35,NULL,NULL,NULL,NULL),(28,440,2,24,36,NULL,NULL,NULL,NULL),(28,440,2,24,37,NULL,NULL,NULL,NULL),(28,440,2,24,38,NULL,NULL,NULL,NULL),(28,440,2,24,39,NULL,1,NULL,NULL),(28,440,2,24,40,NULL,NULL,NULL,NULL),(28,441,1,11,1,NULL,NULL,NULL,NULL),(28,441,1,11,2,NULL,NULL,NULL,NULL),(28,441,1,11,3,NULL,NULL,NULL,NULL),(28,441,1,11,4,NULL,NULL,NULL,NULL),(28,441,1,11,5,NULL,NULL,NULL,NULL),(28,441,1,11,6,NULL,NULL,NULL,NULL),(28,441,1,11,7,NULL,NULL,NULL,NULL),(28,441,1,11,8,NULL,NULL,NULL,NULL),(28,441,1,11,9,NULL,NULL,NULL,NULL),(28,441,1,11,10,NULL,NULL,NULL,NULL),(28,441,1,11,11,NULL,NULL,NULL,NULL),(28,441,1,11,12,NULL,NULL,NULL,NULL),(28,441,1,11,13,NULL,NULL,NULL,NULL),(28,441,1,11,14,NULL,NULL,NULL,NULL),(28,441,1,11,15,NULL,NULL,NULL,NULL),(28,441,1,11,16,NULL,NULL,NULL,NULL),(28,441,1,11,17,NULL,NULL,NULL,NULL),(28,441,1,11,18,NULL,NULL,NULL,NULL),(28,441,1,11,19,NULL,NULL,NULL,NULL),(28,441,1,11,20,NULL,NULL,NULL,NULL),(28,441,1,11,21,NULL,NULL,NULL,NULL),(28,441,1,11,22,NULL,NULL,NULL,NULL),(28,441,1,11,23,NULL,NULL,NULL,NULL),(28,441,1,11,24,NULL,NULL,NULL,NULL),(28,441,1,11,25,NULL,NULL,NULL,NULL),(28,441,1,11,26,NULL,NULL,NULL,NULL),(28,441,1,11,27,NULL,NULL,NULL,NULL),(28,441,1,11,28,NULL,NULL,NULL,NULL),(28,441,1,11,29,NULL,NULL,NULL,NULL),(28,441,1,11,30,NULL,NULL,NULL,NULL),(28,441,1,11,31,NULL,NULL,NULL,NULL),(28,441,1,11,32,NULL,NULL,NULL,NULL),(28,441,1,11,33,NULL,NULL,NULL,NULL),(28,441,1,11,34,NULL,NULL,NULL,NULL),(28,441,1,11,35,NULL,NULL,NULL,NULL),(28,441,1,11,36,NULL,NULL,NULL,NULL),(28,441,1,11,37,NULL,NULL,NULL,NULL),(28,441,1,11,38,NULL,NULL,NULL,NULL),(28,441,1,11,39,NULL,NULL,NULL,NULL),(28,441,1,11,40,NULL,NULL,NULL,NULL),(28,441,1,12,1,NULL,NULL,NULL,NULL),(28,441,1,12,2,NULL,NULL,NULL,NULL),(28,441,1,12,3,NULL,NULL,NULL,NULL),(28,441,1,12,4,NULL,NULL,NULL,NULL),(28,441,1,12,5,NULL,NULL,NULL,NULL),(28,441,1,12,6,NULL,NULL,NULL,NULL),(28,441,1,12,7,NULL,NULL,NULL,NULL),(28,441,1,12,8,NULL,NULL,NULL,NULL),(28,441,1,12,9,NULL,NULL,NULL,NULL),(28,441,1,12,10,NULL,NULL,NULL,NULL),(28,441,1,12,11,NULL,NULL,NULL,NULL),(28,441,1,12,12,NULL,NULL,NULL,NULL),(28,441,1,12,13,NULL,NULL,NULL,NULL),(28,441,1,12,14,NULL,NULL,NULL,NULL),(28,441,1,12,15,NULL,NULL,NULL,NULL),(28,441,1,12,16,NULL,NULL,NULL,NULL),(28,441,1,12,17,NULL,NULL,NULL,NULL),(28,441,1,12,18,NULL,NULL,NULL,NULL),(28,441,1,12,19,NULL,NULL,NULL,NULL),(28,441,1,12,20,NULL,NULL,NULL,NULL),(28,441,1,12,21,NULL,NULL,NULL,NULL),(28,441,1,12,22,NULL,NULL,NULL,NULL),(28,441,1,12,23,NULL,NULL,NULL,NULL),(28,441,1,12,24,NULL,NULL,NULL,NULL),(28,441,1,12,25,NULL,NULL,NULL,NULL),(28,441,1,12,26,NULL,NULL,NULL,NULL),(28,441,1,12,27,NULL,NULL,NULL,NULL),(28,441,1,12,28,NULL,NULL,NULL,NULL),(28,441,1,12,29,NULL,NULL,NULL,NULL),(28,441,1,12,30,NULL,NULL,NULL,NULL),(28,441,1,12,31,NULL,NULL,NULL,NULL),(28,441,1,12,32,NULL,NULL,NULL,NULL),(28,441,1,12,33,NULL,NULL,NULL,NULL),(28,441,1,12,34,NULL,NULL,NULL,NULL),(28,441,1,12,35,NULL,NULL,NULL,NULL),(28,441,1,12,36,NULL,NULL,NULL,NULL),(28,441,1,12,37,NULL,NULL,NULL,NULL),(28,441,1,12,38,NULL,NULL,NULL,NULL),(28,441,1,12,39,NULL,NULL,NULL,NULL),(28,441,1,12,40,NULL,NULL,NULL,NULL),(28,441,1,13,1,NULL,NULL,NULL,NULL),(28,441,1,13,2,NULL,NULL,NULL,NULL),(28,441,1,13,3,NULL,NULL,NULL,NULL),(28,441,1,13,4,NULL,NULL,NULL,NULL),(28,441,1,13,5,NULL,NULL,NULL,NULL),(28,441,1,13,6,NULL,NULL,NULL,NULL),(28,441,1,13,7,NULL,NULL,NULL,NULL),(28,441,1,13,8,NULL,NULL,NULL,NULL),(28,441,1,13,9,NULL,NULL,NULL,NULL),(28,441,1,13,10,NULL,NULL,NULL,NULL),(28,441,1,13,11,NULL,NULL,NULL,NULL),(28,441,1,13,12,NULL,NULL,NULL,NULL),(28,441,1,13,13,NULL,NULL,NULL,NULL),(28,441,1,13,14,NULL,NULL,NULL,NULL),(28,441,1,13,15,NULL,NULL,NULL,NULL),(28,441,1,13,16,NULL,NULL,NULL,NULL),(28,441,1,13,17,NULL,NULL,NULL,NULL),(28,441,1,13,18,NULL,NULL,NULL,NULL),(28,441,1,13,19,NULL,NULL,NULL,NULL),(28,441,1,13,20,NULL,NULL,NULL,NULL),(28,441,1,13,21,NULL,NULL,NULL,NULL),(28,441,1,13,22,NULL,NULL,NULL,NULL),(28,441,1,13,23,NULL,NULL,NULL,NULL),(28,441,1,13,24,NULL,NULL,NULL,NULL),(28,441,1,13,25,NULL,NULL,NULL,NULL),(28,441,1,13,26,NULL,NULL,NULL,NULL),(28,441,1,13,27,NULL,NULL,NULL,NULL),(28,441,1,13,28,NULL,NULL,NULL,NULL),(28,441,1,13,29,NULL,NULL,NULL,NULL),(28,441,1,13,30,NULL,NULL,NULL,NULL),(28,441,1,13,31,NULL,NULL,NULL,NULL),(28,441,1,13,32,NULL,NULL,NULL,NULL),(28,441,1,13,33,NULL,NULL,NULL,NULL),(28,441,1,13,34,NULL,NULL,NULL,NULL),(28,441,1,13,35,NULL,NULL,NULL,NULL),(28,441,1,13,36,NULL,NULL,NULL,NULL),(28,441,1,13,37,NULL,NULL,NULL,NULL),(28,441,1,13,38,NULL,NULL,NULL,NULL),(28,441,1,13,39,NULL,NULL,NULL,NULL),(28,441,1,13,40,NULL,NULL,NULL,NULL),(28,441,1,14,1,NULL,NULL,NULL,NULL),(28,441,1,14,2,NULL,NULL,NULL,NULL),(28,441,1,14,3,NULL,NULL,NULL,NULL),(28,441,1,14,4,NULL,NULL,NULL,NULL),(28,441,1,14,5,NULL,NULL,NULL,NULL),(28,441,1,14,6,NULL,NULL,NULL,NULL),(28,441,1,14,7,NULL,NULL,NULL,NULL),(28,441,1,14,8,NULL,NULL,NULL,NULL),(28,441,1,14,9,NULL,NULL,NULL,NULL),(28,441,1,14,10,NULL,NULL,NULL,NULL),(28,441,1,14,11,NULL,NULL,NULL,NULL),(28,441,1,14,12,NULL,NULL,NULL,NULL),(28,441,1,14,13,NULL,NULL,NULL,NULL),(28,441,1,14,14,NULL,NULL,NULL,NULL),(28,441,1,14,15,NULL,NULL,NULL,NULL),(28,441,1,14,16,NULL,NULL,NULL,NULL),(28,441,1,14,17,NULL,NULL,NULL,NULL),(28,441,1,14,18,NULL,NULL,NULL,NULL),(28,441,1,14,19,NULL,NULL,NULL,NULL),(28,441,1,14,20,NULL,NULL,NULL,NULL),(28,441,1,14,21,NULL,NULL,NULL,NULL),(28,441,1,14,22,NULL,NULL,NULL,NULL),(28,441,1,14,23,NULL,NULL,NULL,NULL),(28,441,1,14,24,NULL,NULL,NULL,NULL),(28,441,1,14,25,NULL,NULL,NULL,NULL),(28,441,1,14,26,NULL,NULL,NULL,NULL),(28,441,1,14,27,NULL,NULL,NULL,NULL),(28,441,1,14,28,NULL,NULL,NULL,NULL),(28,441,1,14,29,NULL,NULL,NULL,NULL),(28,441,1,14,30,NULL,NULL,NULL,NULL),(28,441,1,14,31,NULL,NULL,NULL,NULL),(28,441,1,14,32,NULL,NULL,NULL,NULL),(28,441,1,14,33,NULL,NULL,NULL,NULL),(28,441,1,14,34,NULL,NULL,NULL,NULL),(28,441,1,14,35,NULL,NULL,NULL,NULL),(28,441,1,14,36,NULL,NULL,NULL,NULL),(28,441,1,14,37,NULL,NULL,NULL,NULL),(28,441,1,14,38,NULL,NULL,NULL,NULL),(28,441,1,14,39,NULL,NULL,NULL,NULL),(28,441,1,14,40,NULL,NULL,NULL,NULL),(28,441,1,15,1,NULL,NULL,NULL,NULL),(28,441,1,15,2,NULL,NULL,NULL,NULL),(28,441,1,15,3,NULL,NULL,NULL,NULL),(28,441,1,15,4,NULL,NULL,NULL,NULL),(28,441,1,15,5,NULL,NULL,NULL,NULL),(28,441,1,15,6,NULL,NULL,NULL,NULL),(28,441,1,15,7,NULL,NULL,NULL,NULL),(28,441,1,15,8,NULL,NULL,NULL,NULL),(28,441,1,15,9,NULL,NULL,NULL,NULL),(28,441,1,15,10,NULL,NULL,NULL,NULL),(28,441,1,15,11,NULL,NULL,NULL,NULL),(28,441,1,15,12,NULL,NULL,NULL,NULL),(28,441,1,15,13,NULL,NULL,NULL,NULL),(28,441,1,15,14,NULL,NULL,NULL,NULL),(28,441,1,15,15,NULL,NULL,NULL,NULL),(28,441,1,15,16,NULL,NULL,NULL,NULL),(28,441,1,15,17,NULL,NULL,NULL,NULL),(28,441,1,15,18,NULL,NULL,NULL,NULL),(28,441,1,15,19,NULL,NULL,NULL,NULL),(28,441,1,15,20,NULL,NULL,NULL,NULL),(28,441,1,15,21,NULL,NULL,NULL,NULL),(28,441,1,15,22,NULL,NULL,NULL,NULL),(28,441,1,15,23,NULL,NULL,NULL,NULL),(28,441,1,15,24,NULL,NULL,NULL,NULL),(28,441,1,15,25,NULL,NULL,NULL,NULL),(28,441,1,15,26,NULL,NULL,NULL,NULL),(28,441,1,15,27,NULL,NULL,NULL,NULL),(28,441,1,15,28,NULL,NULL,NULL,NULL),(28,441,1,15,29,NULL,NULL,NULL,NULL),(28,441,1,15,30,NULL,NULL,NULL,NULL),(28,441,1,15,31,NULL,NULL,NULL,NULL),(28,441,1,15,32,NULL,NULL,NULL,NULL),(28,441,1,15,33,NULL,NULL,NULL,NULL),(28,441,1,15,34,NULL,NULL,NULL,NULL),(28,441,1,15,35,NULL,NULL,NULL,NULL),(28,441,1,15,36,NULL,NULL,NULL,NULL),(28,441,1,15,37,NULL,NULL,NULL,NULL),(28,441,1,15,38,NULL,NULL,NULL,NULL),(28,441,1,15,39,NULL,NULL,NULL,NULL),(28,441,1,15,40,NULL,NULL,NULL,NULL),(28,441,1,16,1,NULL,NULL,NULL,NULL),(28,441,1,16,2,NULL,NULL,NULL,NULL),(28,441,1,16,3,NULL,NULL,NULL,NULL),(28,441,1,16,4,NULL,NULL,NULL,NULL),(28,441,1,16,5,NULL,NULL,NULL,NULL),(28,441,1,16,6,NULL,NULL,NULL,NULL),(28,441,1,16,7,NULL,NULL,NULL,NULL),(28,441,1,16,8,NULL,NULL,NULL,NULL),(28,441,1,16,9,NULL,NULL,NULL,NULL),(28,441,1,16,10,NULL,NULL,NULL,NULL),(28,441,1,16,11,NULL,NULL,NULL,NULL),(28,441,1,16,12,NULL,NULL,NULL,NULL),(28,441,1,16,13,NULL,NULL,NULL,NULL),(28,441,1,16,14,NULL,NULL,NULL,NULL),(28,441,1,16,15,NULL,NULL,NULL,NULL),(28,441,1,16,16,NULL,NULL,NULL,NULL),(28,441,1,16,17,NULL,NULL,NULL,NULL),(28,441,1,16,18,NULL,NULL,NULL,NULL),(28,441,1,16,19,NULL,NULL,NULL,NULL),(28,441,1,16,20,NULL,NULL,NULL,NULL),(28,441,1,16,21,NULL,NULL,NULL,NULL),(28,441,1,16,22,NULL,NULL,NULL,NULL),(28,441,1,16,23,NULL,NULL,NULL,NULL),(28,441,1,16,24,NULL,NULL,NULL,NULL),(28,441,1,16,25,NULL,NULL,NULL,NULL),(28,441,1,16,26,NULL,NULL,NULL,NULL),(28,441,1,16,27,NULL,NULL,NULL,NULL),(28,441,1,16,28,NULL,NULL,NULL,NULL),(28,441,1,16,29,NULL,NULL,NULL,NULL),(28,441,1,16,30,NULL,NULL,NULL,NULL),(28,441,1,16,31,NULL,NULL,NULL,NULL),(28,441,1,16,32,NULL,NULL,NULL,NULL),(28,441,1,16,33,NULL,NULL,NULL,NULL),(28,441,1,16,34,NULL,NULL,NULL,NULL),(28,441,1,16,35,NULL,NULL,NULL,NULL),(28,441,1,16,36,NULL,NULL,NULL,NULL),(28,441,1,16,37,NULL,NULL,NULL,NULL),(28,441,1,16,38,NULL,NULL,NULL,NULL),(28,441,1,16,39,NULL,NULL,NULL,NULL),(28,441,1,16,40,NULL,NULL,NULL,NULL),(28,441,1,17,1,NULL,NULL,NULL,NULL),(28,441,1,17,2,NULL,NULL,NULL,NULL),(28,441,1,17,3,NULL,NULL,NULL,NULL),(28,441,1,17,4,NULL,NULL,NULL,NULL),(28,441,1,17,5,NULL,NULL,NULL,NULL),(28,441,1,17,6,NULL,NULL,NULL,NULL),(28,441,1,17,7,NULL,NULL,NULL,NULL),(28,441,1,17,8,NULL,NULL,NULL,NULL),(28,441,1,17,9,NULL,NULL,NULL,NULL),(28,441,1,17,10,NULL,NULL,NULL,NULL),(28,441,1,17,11,NULL,NULL,NULL,NULL),(28,441,1,17,12,NULL,NULL,NULL,NULL),(28,441,1,17,13,NULL,NULL,NULL,NULL),(28,441,1,17,14,NULL,NULL,NULL,NULL),(28,441,1,17,15,NULL,NULL,NULL,NULL),(28,441,1,17,16,NULL,NULL,NULL,NULL),(28,441,1,17,17,NULL,NULL,NULL,NULL),(28,441,1,17,18,NULL,NULL,NULL,NULL),(28,441,1,17,19,NULL,NULL,NULL,NULL),(28,441,1,17,20,NULL,NULL,NULL,NULL),(28,441,1,17,21,NULL,NULL,NULL,NULL),(28,441,1,17,22,NULL,NULL,NULL,NULL),(28,441,1,17,23,NULL,NULL,NULL,NULL),(28,441,1,17,24,NULL,NULL,NULL,NULL),(28,441,1,17,25,NULL,NULL,NULL,NULL),(28,441,1,17,26,NULL,NULL,NULL,NULL),(28,441,1,17,27,NULL,NULL,NULL,NULL),(28,441,1,17,28,NULL,NULL,NULL,NULL),(28,441,1,17,29,NULL,NULL,NULL,NULL),(28,441,1,17,30,NULL,NULL,NULL,NULL),(28,441,1,17,31,NULL,NULL,NULL,NULL),(28,441,1,17,32,NULL,NULL,NULL,NULL),(28,441,1,17,33,NULL,NULL,NULL,NULL),(28,441,1,17,34,NULL,NULL,NULL,NULL),(28,441,1,17,35,NULL,NULL,NULL,NULL),(28,441,1,17,36,NULL,NULL,NULL,NULL),(28,441,1,17,37,NULL,NULL,NULL,NULL),(28,441,1,17,38,NULL,NULL,NULL,NULL),(28,441,1,17,39,NULL,NULL,NULL,NULL),(28,441,1,17,40,NULL,NULL,NULL,NULL),(28,441,1,18,1,NULL,NULL,NULL,NULL),(28,441,1,18,2,NULL,NULL,NULL,NULL),(28,441,1,18,3,NULL,NULL,NULL,NULL),(28,441,1,18,4,NULL,NULL,NULL,NULL),(28,441,1,18,5,NULL,NULL,NULL,NULL),(28,441,1,18,6,NULL,NULL,NULL,NULL),(28,441,1,18,7,NULL,NULL,NULL,NULL),(28,441,1,18,8,NULL,NULL,NULL,NULL),(28,441,1,18,9,NULL,NULL,NULL,NULL),(28,441,1,18,10,NULL,NULL,NULL,NULL),(28,441,1,18,11,NULL,NULL,NULL,NULL),(28,441,1,18,12,NULL,NULL,NULL,NULL),(28,441,1,18,13,NULL,NULL,NULL,NULL),(28,441,1,18,14,NULL,NULL,NULL,NULL),(28,441,1,18,15,NULL,NULL,NULL,NULL),(28,441,1,18,16,NULL,NULL,NULL,NULL),(28,441,1,18,17,NULL,NULL,NULL,NULL),(28,441,1,18,18,NULL,NULL,NULL,NULL),(28,441,1,18,19,NULL,NULL,NULL,NULL),(28,441,1,18,20,NULL,NULL,NULL,NULL),(28,441,1,18,21,NULL,NULL,NULL,NULL),(28,441,1,18,22,NULL,NULL,NULL,NULL),(28,441,1,18,23,NULL,NULL,NULL,NULL),(28,441,1,18,24,NULL,NULL,NULL,NULL),(28,441,1,18,25,NULL,NULL,NULL,NULL),(28,441,1,18,26,NULL,NULL,NULL,NULL),(28,441,1,18,27,NULL,NULL,NULL,NULL),(28,441,1,18,28,NULL,NULL,NULL,NULL),(28,441,1,18,29,NULL,NULL,NULL,NULL),(28,441,1,18,30,NULL,NULL,NULL,NULL),(28,441,1,18,31,NULL,NULL,NULL,NULL),(28,441,1,18,32,NULL,NULL,NULL,NULL),(28,441,1,18,33,NULL,NULL,NULL,NULL),(28,441,1,18,34,NULL,NULL,NULL,NULL),(28,441,1,18,35,NULL,NULL,NULL,NULL),(28,441,1,18,36,NULL,NULL,NULL,NULL),(28,441,1,18,37,NULL,NULL,NULL,NULL),(28,441,1,18,38,NULL,NULL,NULL,NULL),(28,441,1,18,39,NULL,NULL,NULL,NULL),(28,441,1,18,40,NULL,NULL,NULL,NULL),(28,441,1,19,1,NULL,NULL,NULL,NULL),(28,441,1,19,2,NULL,NULL,NULL,NULL),(28,441,1,19,3,NULL,NULL,NULL,NULL),(28,441,1,19,4,NULL,NULL,NULL,NULL),(28,441,1,19,5,NULL,NULL,NULL,NULL),(28,441,1,19,6,NULL,NULL,NULL,NULL),(28,441,1,19,7,NULL,NULL,NULL,NULL),(28,441,1,19,8,NULL,NULL,NULL,NULL),(28,441,1,19,9,NULL,NULL,NULL,NULL),(28,441,1,19,10,NULL,NULL,NULL,NULL),(28,441,1,19,11,NULL,NULL,NULL,NULL),(28,441,1,19,12,NULL,NULL,NULL,NULL),(28,441,1,19,13,NULL,NULL,NULL,NULL),(28,441,1,19,14,NULL,NULL,NULL,NULL),(28,441,1,19,15,NULL,NULL,NULL,NULL),(28,441,1,19,16,NULL,NULL,NULL,NULL),(28,441,1,19,17,NULL,NULL,NULL,NULL),(28,441,1,19,18,NULL,NULL,NULL,NULL),(28,441,1,19,19,NULL,NULL,NULL,NULL),(28,441,1,19,20,NULL,NULL,NULL,NULL),(28,441,1,19,21,NULL,NULL,NULL,NULL),(28,441,1,19,22,NULL,NULL,NULL,NULL),(28,441,1,19,23,NULL,NULL,NULL,NULL),(28,441,1,19,24,NULL,NULL,NULL,NULL),(28,441,1,19,25,NULL,NULL,NULL,NULL),(28,441,1,19,26,NULL,NULL,NULL,NULL),(28,441,1,19,27,NULL,NULL,NULL,NULL),(28,441,1,19,28,NULL,NULL,NULL,NULL),(28,441,1,19,29,NULL,NULL,NULL,NULL),(28,441,1,19,30,1,NULL,1,NULL),(28,441,1,19,31,NULL,NULL,NULL,NULL),(28,441,1,19,32,NULL,NULL,NULL,NULL),(28,441,1,19,33,NULL,NULL,NULL,NULL),(28,441,1,19,34,NULL,NULL,NULL,NULL),(28,441,1,19,35,NULL,NULL,NULL,NULL),(28,441,1,19,36,NULL,NULL,NULL,NULL),(28,441,1,19,37,NULL,NULL,NULL,NULL),(28,441,1,19,38,NULL,NULL,NULL,NULL),(28,441,1,19,39,NULL,NULL,NULL,NULL),(28,441,1,19,40,1,NULL,1,NULL),(28,441,2,21,1,NULL,3,NULL,3),(28,441,2,21,2,1,NULL,1,NULL),(28,441,2,21,3,3,2,3,1),(28,441,2,21,4,NULL,1,NULL,1),(28,441,2,21,5,1,NULL,NULL,NULL),(28,441,2,21,6,2,2,2,2),(28,441,2,21,7,NULL,NULL,NULL,NULL),(28,441,2,21,8,NULL,2,NULL,1),(28,441,2,21,9,NULL,NULL,NULL,NULL),(28,441,2,21,10,NULL,1,NULL,1),(28,441,2,21,11,NULL,NULL,NULL,NULL),(28,441,2,21,12,2,NULL,2,NULL),(28,441,2,21,13,NULL,3,NULL,3),(28,441,2,21,14,1,1,1,1),(28,441,2,21,15,1,2,1,2),(28,441,2,21,16,1,NULL,1,NULL),(28,441,2,21,17,NULL,NULL,NULL,NULL),(28,441,2,21,18,4,NULL,4,NULL),(28,441,2,21,19,NULL,1,NULL,1),(28,441,2,21,20,3,1,3,1),(28,441,2,21,21,2,NULL,2,NULL),(28,441,2,21,22,NULL,NULL,NULL,NULL),(28,441,2,21,23,NULL,NULL,NULL,NULL),(28,441,2,21,24,2,3,2,2),(28,441,2,21,25,1,NULL,1,NULL),(28,441,2,21,26,NULL,1,NULL,1),(28,441,2,21,27,3,NULL,3,NULL),(28,441,2,21,28,NULL,NULL,NULL,NULL),(28,441,2,21,29,NULL,NULL,NULL,NULL),(28,441,2,21,30,NULL,NULL,NULL,NULL),(28,441,2,21,31,NULL,2,NULL,2),(28,441,2,21,32,NULL,1,NULL,NULL),(28,441,2,21,33,NULL,2,NULL,2),(28,441,2,21,34,NULL,1,NULL,1),(28,441,2,21,35,NULL,NULL,NULL,NULL),(28,441,2,21,36,NULL,NULL,NULL,NULL),(28,441,2,21,37,NULL,NULL,NULL,NULL),(28,441,2,21,38,NULL,1,NULL,1),(28,441,2,21,39,1,1,1,1),(28,441,2,21,40,NULL,1,NULL,1),(28,441,2,22,1,NULL,NULL,NULL,NULL),(28,441,2,22,2,NULL,NULL,NULL,NULL),(28,441,2,22,3,NULL,1,NULL,1),(28,441,2,22,4,NULL,NULL,NULL,NULL),(28,441,2,22,5,NULL,NULL,NULL,NULL),(28,441,2,22,6,NULL,1,NULL,1),(28,441,2,22,7,NULL,NULL,NULL,NULL),(28,441,2,22,8,NULL,1,NULL,1),(28,441,2,22,9,NULL,NULL,NULL,NULL),(28,441,2,22,10,NULL,1,NULL,1),(28,441,2,22,11,NULL,NULL,NULL,NULL),(28,441,2,22,12,NULL,1,NULL,1),(28,441,2,22,13,NULL,NULL,NULL,NULL),(28,441,2,22,14,NULL,1,NULL,1),(28,441,2,22,15,NULL,1,NULL,1),(28,441,2,22,16,NULL,NULL,NULL,NULL),(28,441,2,22,17,NULL,NULL,NULL,NULL),(28,441,2,22,18,NULL,1,NULL,1),(28,441,2,22,19,1,NULL,1,NULL),(28,441,2,22,20,NULL,NULL,NULL,NULL),(28,441,2,22,21,NULL,NULL,NULL,NULL),(28,441,2,22,22,NULL,NULL,NULL,NULL),(28,441,2,22,23,NULL,NULL,NULL,NULL),(28,441,2,22,24,NULL,NULL,NULL,NULL),(28,441,2,22,25,NULL,NULL,NULL,NULL),(28,441,2,22,26,NULL,NULL,NULL,NULL),(28,441,2,22,27,NULL,NULL,NULL,NULL),(28,441,2,22,28,NULL,NULL,NULL,NULL),(28,441,2,22,29,NULL,NULL,NULL,NULL),(28,441,2,22,30,NULL,NULL,NULL,NULL),(28,441,2,22,31,NULL,NULL,NULL,NULL),(28,441,2,22,32,NULL,NULL,NULL,NULL),(28,441,2,22,33,NULL,NULL,NULL,NULL),(28,441,2,22,34,NULL,NULL,NULL,NULL),(28,441,2,22,35,NULL,NULL,NULL,NULL),(28,441,2,22,36,NULL,NULL,NULL,NULL),(28,441,2,22,37,NULL,NULL,NULL,NULL),(28,441,2,22,38,NULL,NULL,NULL,NULL),(28,441,2,22,39,NULL,NULL,NULL,NULL),(28,441,2,22,40,NULL,NULL,NULL,NULL),(28,441,2,23,1,NULL,1,NULL,1),(28,441,2,23,2,NULL,NULL,NULL,NULL),(28,441,2,23,3,2,NULL,1,NULL),(28,441,2,23,4,NULL,NULL,NULL,NULL),(28,441,2,23,5,1,NULL,NULL,NULL),(28,441,2,23,6,1,1,NULL,1),(28,441,2,23,7,NULL,1,NULL,NULL),(28,441,2,23,8,NULL,NULL,NULL,NULL),(28,441,2,23,9,2,NULL,1,NULL),(28,441,2,23,10,1,NULL,1,NULL),(28,441,2,23,11,1,1,1,NULL),(28,441,2,23,12,1,1,NULL,1),(28,441,2,23,13,NULL,NULL,NULL,NULL),(28,441,2,23,14,NULL,1,NULL,1),(28,441,2,23,15,NULL,1,NULL,NULL),(28,441,2,23,16,NULL,1,NULL,1),(28,441,2,23,17,NULL,1,NULL,NULL),(28,441,2,23,18,1,1,NULL,1),(28,441,2,23,19,NULL,NULL,NULL,NULL),(28,441,2,23,20,NULL,2,NULL,1),(28,441,2,23,21,NULL,NULL,NULL,NULL),(28,441,2,23,22,NULL,NULL,NULL,NULL),(28,441,2,23,23,NULL,NULL,NULL,NULL),(28,441,2,23,24,NULL,NULL,NULL,NULL),(28,441,2,23,25,NULL,NULL,NULL,NULL),(28,441,2,23,26,NULL,NULL,NULL,NULL),(28,441,2,23,27,NULL,1,NULL,1),(28,441,2,23,28,NULL,NULL,NULL,NULL),(28,441,2,23,29,NULL,1,NULL,1),(28,441,2,23,30,NULL,1,NULL,1),(28,441,2,23,31,NULL,NULL,NULL,NULL),(28,441,2,23,32,NULL,NULL,NULL,NULL),(28,441,2,23,33,NULL,1,NULL,NULL),(28,441,2,23,34,NULL,1,NULL,1),(28,441,2,23,35,NULL,NULL,NULL,NULL),(28,441,2,23,36,NULL,NULL,NULL,NULL),(28,441,2,23,37,NULL,NULL,NULL,NULL),(28,441,2,23,38,NULL,NULL,NULL,NULL),(28,441,2,23,39,NULL,1,NULL,NULL),(28,441,2,23,40,NULL,NULL,NULL,NULL),(28,441,2,24,1,NULL,NULL,NULL,NULL),(28,441,2,24,2,NULL,NULL,NULL,NULL),(28,441,2,24,3,2,NULL,2,NULL),(28,441,2,24,4,NULL,1,NULL,1),(28,441,2,24,5,NULL,NULL,NULL,NULL),(28,441,2,24,6,1,NULL,1,NULL),(28,441,2,24,7,NULL,NULL,NULL,NULL),(28,441,2,24,8,NULL,1,NULL,1),(28,441,2,24,9,NULL,NULL,NULL,NULL),(28,441,2,24,10,NULL,NULL,NULL,NULL),(28,441,2,24,11,1,NULL,1,NULL),(28,441,2,24,12,NULL,1,NULL,1),(28,441,2,24,13,NULL,1,NULL,1),(28,441,2,24,14,1,NULL,1,NULL),(28,441,2,24,15,1,1,1,1),(28,441,2,24,16,1,1,1,1),(28,441,2,24,17,NULL,NULL,NULL,NULL),(28,441,2,24,18,2,NULL,2,NULL),(28,441,2,24,19,1,1,1,1),(28,441,2,24,20,NULL,1,NULL,1),(28,441,2,24,21,NULL,NULL,NULL,NULL),(28,441,2,24,22,NULL,NULL,NULL,NULL),(28,441,2,24,23,NULL,NULL,NULL,NULL),(28,441,2,24,24,NULL,NULL,NULL,NULL),(28,441,2,24,25,NULL,NULL,NULL,NULL),(28,441,2,24,26,NULL,NULL,NULL,NULL),(28,441,2,24,27,1,1,1,1),(28,441,2,24,28,NULL,NULL,NULL,NULL),(28,441,2,24,29,NULL,NULL,NULL,NULL),(28,441,2,24,30,NULL,NULL,NULL,NULL),(28,441,2,24,31,NULL,1,NULL,1),(28,441,2,24,32,NULL,NULL,NULL,NULL),(28,441,2,24,33,NULL,NULL,NULL,NULL),(28,441,2,24,34,NULL,1,NULL,1),(28,441,2,24,35,NULL,NULL,NULL,NULL),(28,441,2,24,36,NULL,NULL,NULL,NULL),(28,441,2,24,37,NULL,NULL,NULL,NULL),(28,441,2,24,38,NULL,NULL,NULL,NULL),(28,441,2,24,39,NULL,NULL,NULL,NULL),(28,441,2,24,40,NULL,1,NULL,1),(28,444,1,11,1,NULL,NULL,NULL,NULL),(28,444,1,11,2,NULL,NULL,NULL,NULL),(28,444,1,11,3,NULL,NULL,NULL,NULL),(28,444,1,11,4,NULL,NULL,NULL,NULL),(28,444,1,11,5,NULL,NULL,NULL,NULL),(28,444,1,11,6,NULL,NULL,NULL,NULL),(28,444,1,11,7,NULL,NULL,NULL,NULL),(28,444,1,11,8,NULL,NULL,NULL,NULL),(28,444,1,11,9,NULL,NULL,NULL,NULL),(28,444,1,11,10,NULL,NULL,NULL,NULL),(28,444,1,11,11,NULL,NULL,NULL,NULL),(28,444,1,11,12,NULL,NULL,NULL,NULL),(28,444,1,11,13,NULL,NULL,NULL,NULL),(28,444,1,11,14,NULL,NULL,NULL,NULL),(28,444,1,11,15,NULL,NULL,NULL,NULL),(28,444,1,11,16,NULL,NULL,NULL,NULL),(28,444,1,11,17,NULL,NULL,NULL,NULL),(28,444,1,11,18,NULL,NULL,NULL,NULL),(28,444,1,11,19,NULL,NULL,NULL,NULL),(28,444,1,11,20,NULL,NULL,NULL,NULL),(28,444,1,11,21,NULL,NULL,NULL,NULL),(28,444,1,11,22,NULL,NULL,NULL,NULL),(28,444,1,11,23,NULL,NULL,NULL,NULL),(28,444,1,11,24,NULL,NULL,NULL,NULL),(28,444,1,11,25,NULL,NULL,NULL,NULL),(28,444,1,11,26,NULL,NULL,NULL,NULL),(28,444,1,11,27,NULL,NULL,NULL,NULL),(28,444,1,11,28,NULL,NULL,NULL,NULL),(28,444,1,11,29,NULL,NULL,NULL,NULL),(28,444,1,11,30,NULL,NULL,NULL,NULL),(28,444,1,11,31,NULL,NULL,NULL,NULL),(28,444,1,11,32,NULL,NULL,NULL,NULL),(28,444,1,11,33,NULL,NULL,NULL,NULL),(28,444,1,11,34,NULL,NULL,NULL,NULL),(28,444,1,11,35,NULL,NULL,NULL,NULL),(28,444,1,11,36,NULL,NULL,NULL,NULL),(28,444,1,11,37,NULL,NULL,NULL,NULL),(28,444,1,11,38,NULL,NULL,NULL,NULL),(28,444,1,11,39,NULL,NULL,NULL,NULL),(28,444,1,11,40,NULL,NULL,NULL,NULL),(28,444,1,12,1,NULL,NULL,NULL,NULL),(28,444,1,12,2,NULL,NULL,NULL,NULL),(28,444,1,12,3,NULL,NULL,NULL,NULL),(28,444,1,12,4,NULL,NULL,NULL,NULL),(28,444,1,12,5,NULL,NULL,NULL,NULL),(28,444,1,12,6,NULL,NULL,NULL,NULL),(28,444,1,12,7,NULL,NULL,NULL,NULL),(28,444,1,12,8,NULL,NULL,NULL,NULL),(28,444,1,12,9,NULL,NULL,NULL,NULL),(28,444,1,12,10,NULL,NULL,NULL,NULL),(28,444,1,12,11,NULL,NULL,NULL,NULL),(28,444,1,12,12,NULL,NULL,NULL,NULL),(28,444,1,12,13,NULL,NULL,NULL,NULL),(28,444,1,12,14,NULL,NULL,NULL,NULL),(28,444,1,12,15,NULL,NULL,NULL,NULL),(28,444,1,12,16,NULL,NULL,NULL,NULL),(28,444,1,12,17,NULL,NULL,NULL,NULL),(28,444,1,12,18,NULL,NULL,NULL,NULL),(28,444,1,12,19,NULL,NULL,NULL,NULL),(28,444,1,12,20,NULL,NULL,NULL,NULL),(28,444,1,12,21,NULL,NULL,NULL,NULL),(28,444,1,12,22,NULL,NULL,NULL,NULL),(28,444,1,12,23,NULL,NULL,NULL,NULL),(28,444,1,12,24,NULL,NULL,NULL,NULL),(28,444,1,12,25,NULL,NULL,NULL,NULL),(28,444,1,12,26,NULL,NULL,NULL,NULL),(28,444,1,12,27,NULL,NULL,NULL,NULL),(28,444,1,12,28,NULL,NULL,NULL,NULL),(28,444,1,12,29,NULL,NULL,NULL,NULL),(28,444,1,12,30,NULL,NULL,NULL,NULL),(28,444,1,12,31,NULL,NULL,NULL,NULL),(28,444,1,12,32,NULL,NULL,NULL,NULL),(28,444,1,12,33,NULL,NULL,NULL,NULL),(28,444,1,12,34,NULL,NULL,NULL,NULL),(28,444,1,12,35,NULL,NULL,NULL,NULL),(28,444,1,12,36,NULL,NULL,NULL,NULL),(28,444,1,12,37,NULL,NULL,NULL,NULL),(28,444,1,12,38,NULL,NULL,NULL,NULL),(28,444,1,12,39,NULL,NULL,NULL,NULL),(28,444,1,12,40,NULL,NULL,NULL,NULL),(28,444,1,13,1,NULL,NULL,NULL,NULL),(28,444,1,13,2,NULL,NULL,NULL,NULL),(28,444,1,13,3,NULL,NULL,NULL,NULL),(28,444,1,13,4,NULL,NULL,NULL,NULL),(28,444,1,13,5,NULL,NULL,NULL,NULL),(28,444,1,13,6,NULL,1,NULL,1),(28,444,1,13,7,NULL,NULL,NULL,NULL),(28,444,1,13,8,NULL,NULL,NULL,NULL),(28,444,1,13,9,NULL,NULL,NULL,NULL),(28,444,1,13,10,1,NULL,1,NULL),(28,444,1,13,11,NULL,NULL,NULL,NULL),(28,444,1,13,12,NULL,NULL,NULL,NULL),(28,444,1,13,13,1,NULL,1,NULL),(28,444,1,13,14,1,NULL,1,NULL),(28,444,1,13,15,NULL,NULL,NULL,NULL),(28,444,1,13,16,NULL,NULL,NULL,NULL),(28,444,1,13,17,NULL,NULL,NULL,NULL),(28,444,1,13,18,NULL,NULL,NULL,NULL),(28,444,1,13,19,1,NULL,1,NULL),(28,444,1,13,20,NULL,NULL,NULL,NULL),(28,444,1,13,21,NULL,1,NULL,1),(28,444,1,13,22,NULL,NULL,NULL,NULL),(28,444,1,13,23,NULL,NULL,NULL,NULL),(28,444,1,13,24,NULL,NULL,NULL,NULL),(28,444,1,13,25,NULL,NULL,NULL,NULL),(28,444,1,13,26,NULL,1,NULL,1),(28,444,1,13,27,NULL,NULL,NULL,NULL),(28,444,1,13,28,NULL,NULL,NULL,NULL),(28,444,1,13,29,NULL,NULL,NULL,NULL),(28,444,1,13,30,NULL,NULL,NULL,NULL),(28,444,1,13,31,NULL,NULL,NULL,NULL),(28,444,1,13,32,NULL,NULL,NULL,NULL),(28,444,1,13,33,NULL,NULL,NULL,NULL),(28,444,1,13,34,NULL,NULL,NULL,NULL),(28,444,1,13,35,NULL,NULL,NULL,NULL),(28,444,1,13,36,NULL,NULL,NULL,NULL),(28,444,1,13,37,NULL,NULL,NULL,NULL),(28,444,1,13,38,NULL,NULL,NULL,NULL),(28,444,1,13,39,NULL,NULL,NULL,NULL),(28,444,1,13,40,NULL,NULL,NULL,NULL),(28,444,1,14,1,21,NULL,7,NULL),(28,444,1,14,2,NULL,13,NULL,4),(28,444,1,14,3,8,16,5,5),(28,444,1,14,4,4,13,1,3),(28,444,1,14,5,16,13,3,4),(28,444,1,14,6,1,27,NULL,7),(28,444,1,14,7,2,20,NULL,5),(28,444,1,14,8,2,22,NULL,6),(28,444,1,14,9,10,12,2,1),(28,444,1,14,10,25,10,8,3),(28,444,1,14,11,1,14,NULL,5),(28,444,1,14,12,2,13,2,5),(28,444,1,14,13,21,21,7,6),(28,444,1,14,14,8,22,2,7),(28,444,1,14,15,26,NULL,6,NULL),(28,444,1,14,16,16,19,6,5),(28,444,1,14,17,4,32,3,6),(28,444,1,14,18,5,15,2,4),(28,444,1,14,19,18,22,5,6),(28,444,1,14,20,11,31,1,10),(28,444,1,14,21,1,6,NULL,NULL),(28,444,1,14,22,4,10,NULL,3),(28,444,1,14,23,NULL,14,NULL,5),(28,444,1,14,24,NULL,NULL,NULL,NULL),(28,444,1,14,25,4,8,3,2),(28,444,1,14,26,1,4,1,1),(28,444,1,14,27,7,NULL,2,NULL),(28,444,1,14,28,NULL,1,NULL,NULL),(28,444,1,14,29,NULL,16,NULL,6),(28,444,1,14,30,8,17,1,7),(28,444,1,14,31,3,3,2,1),(28,444,1,14,32,1,13,NULL,5),(28,444,1,14,33,4,7,2,2),(28,444,1,14,34,10,15,5,3),(28,444,1,14,35,1,4,1,1),(28,444,1,14,36,3,NULL,3,NULL),(28,444,1,14,37,NULL,5,NULL,NULL),(28,444,1,14,38,3,4,3,2),(28,444,1,14,39,9,18,4,7),(28,444,1,14,40,4,NULL,2,NULL),(28,444,1,15,1,18,NULL,11,NULL),(28,444,1,15,2,1,11,1,6),(28,444,1,15,3,8,12,5,3),(28,444,1,15,4,6,9,2,5),(28,444,1,15,5,8,14,4,6),(28,444,1,15,6,2,26,NULL,10),(28,444,1,15,7,4,11,1,3),(28,444,1,15,8,NULL,16,NULL,9),(28,444,1,15,9,3,12,1,3),(28,444,1,15,10,14,12,5,5),(28,444,1,15,11,1,9,NULL,6),(28,444,1,15,12,3,11,2,5),(28,444,1,15,13,18,18,9,7),(28,444,1,15,14,12,11,6,5),(28,444,1,15,15,26,NULL,12,NULL),(28,444,1,15,16,18,9,10,3),(28,444,1,15,17,2,30,2,11),(28,444,1,15,18,10,7,3,3),(28,444,1,15,19,25,10,8,5),(28,444,1,15,20,9,32,6,10),(28,444,1,15,21,1,8,NULL,3),(28,444,1,15,22,1,6,NULL,2),(28,444,1,15,23,1,17,1,4),(28,444,1,15,24,NULL,NULL,NULL,NULL),(28,444,1,15,25,2,3,1,1),(28,444,1,15,26,1,4,NULL,1),(28,444,1,15,27,8,NULL,3,NULL),(28,444,1,15,28,NULL,3,NULL,1),(28,444,1,15,29,2,13,1,5),(28,444,1,15,30,2,12,NULL,6),(28,444,1,15,31,1,3,NULL,1),(28,444,1,15,32,4,13,2,3),(28,444,1,15,33,2,7,2,2),(28,444,1,15,34,11,13,8,5),(28,444,1,15,35,1,4,NULL,2),(28,444,1,15,36,1,NULL,1,NULL),(28,444,1,15,37,2,7,NULL,3),(28,444,1,15,38,NULL,11,NULL,4),(28,444,1,15,39,8,17,3,6),(28,444,1,15,40,2,NULL,NULL,NULL),(28,444,1,16,1,18,NULL,7,NULL),(28,444,1,16,2,NULL,10,NULL,2),(28,444,1,16,3,10,22,3,8),(28,444,1,16,4,8,14,5,4),(28,444,1,16,5,9,18,5,6),(28,444,1,16,6,1,32,NULL,6),(28,444,1,16,7,5,21,3,3),(28,444,1,16,8,2,25,1,5),(28,444,1,16,9,7,21,4,1),(28,444,1,16,10,24,19,8,4),(28,444,1,16,11,2,13,NULL,4),(28,444,1,16,12,1,11,1,2),(28,444,1,16,13,59,NULL,15,NULL),(28,444,1,16,14,53,16,10,4),(28,444,1,16,15,17,33,2,10),(28,444,1,16,16,41,NULL,10,NULL),(28,444,1,16,17,25,36,6,7),(28,444,1,16,18,12,23,1,10),(28,444,1,16,19,10,42,2,9),(28,444,1,16,20,12,24,3,6),(28,444,1,16,21,1,11,NULL,NULL),(28,444,1,16,22,4,9,1,1),(28,444,1,16,23,1,19,NULL,5),(28,444,1,16,24,2,NULL,NULL,NULL),(28,444,1,16,25,1,2,NULL,NULL),(28,444,1,16,26,NULL,5,NULL,2),(28,444,1,16,27,12,NULL,5,NULL),(28,444,1,16,28,NULL,3,NULL,NULL),(28,444,1,16,29,NULL,20,NULL,4),(28,444,1,16,30,7,22,1,4),(28,444,1,16,31,4,5,1,2),(28,444,1,16,32,6,15,2,8),(28,444,1,16,33,2,15,NULL,5),(28,444,1,16,34,6,18,2,6),(28,444,1,16,35,3,7,2,3),(28,444,1,16,36,1,NULL,1,NULL),(28,444,1,16,37,2,6,1,2),(28,444,1,16,38,1,12,1,5),(28,444,1,16,39,8,21,1,8),(28,444,1,16,40,6,NULL,6,NULL),(28,444,1,17,1,13,NULL,7,NULL),(28,444,1,17,2,NULL,8,NULL,3),(28,444,1,17,3,6,13,2,7),(28,444,1,17,4,8,14,1,3),(28,444,1,17,5,8,10,NULL,3),(28,444,1,17,6,3,32,NULL,7),(28,444,1,17,7,6,11,1,2),(28,444,1,17,8,2,13,1,4),(28,444,1,17,9,6,10,2,4),(28,444,1,17,10,16,15,5,2),(28,444,1,17,11,2,9,NULL,3),(28,444,1,17,12,1,6,NULL,1),(28,444,1,17,13,67,NULL,10,NULL),(28,444,1,17,14,39,14,8,3),(28,444,1,17,15,15,38,5,5),(28,444,1,17,16,51,NULL,11,NULL),(28,444,1,17,17,26,34,7,4),(28,444,1,17,18,11,18,5,3),(28,444,1,17,19,8,32,3,3),(28,444,1,17,20,5,15,2,2),(28,444,1,17,21,1,11,NULL,NULL),(28,444,1,17,22,1,12,NULL,NULL),(28,444,1,17,23,3,19,NULL,4),(28,444,1,17,24,NULL,NULL,NULL,NULL),(28,444,1,17,25,3,5,NULL,NULL),(28,444,1,17,26,NULL,3,NULL,NULL),(28,444,1,17,27,9,NULL,5,NULL),(28,444,1,17,28,NULL,3,NULL,NULL),(28,444,1,17,29,3,16,NULL,4),(28,444,1,17,30,6,21,1,7),(28,444,1,17,31,2,4,NULL,NULL),(28,444,1,17,32,5,7,1,1),(28,444,1,17,33,1,12,NULL,4),(28,444,1,17,34,5,15,1,3),(28,444,1,17,35,1,10,1,2),(28,444,1,17,36,NULL,NULL,NULL,NULL),(28,444,1,17,37,1,6,NULL,4),(28,444,1,17,38,NULL,9,NULL,4),(28,444,1,17,39,8,19,2,6),(28,444,1,17,40,2,NULL,NULL,NULL),(28,444,1,18,1,NULL,NULL,NULL,NULL),(28,444,1,18,2,NULL,NULL,NULL,NULL),(28,444,1,18,3,NULL,NULL,NULL,NULL),(28,444,1,18,4,NULL,NULL,NULL,NULL),(28,444,1,18,5,NULL,NULL,NULL,NULL),(28,444,1,18,6,NULL,NULL,NULL,NULL),(28,444,1,18,7,NULL,NULL,NULL,NULL),(28,444,1,18,8,NULL,NULL,NULL,NULL),(28,444,1,18,9,NULL,NULL,NULL,NULL),(28,444,1,18,10,NULL,NULL,NULL,NULL),(28,444,1,18,11,NULL,NULL,NULL,NULL),(28,444,1,18,12,NULL,NULL,NULL,NULL),(28,444,1,18,13,NULL,NULL,NULL,NULL),(28,444,1,18,14,NULL,NULL,NULL,NULL),(28,444,1,18,15,NULL,NULL,NULL,NULL),(28,444,1,18,16,NULL,NULL,NULL,NULL),(28,444,1,18,17,NULL,NULL,NULL,NULL),(28,444,1,18,18,NULL,NULL,NULL,NULL),(28,444,1,18,19,NULL,NULL,NULL,NULL),(28,444,1,18,20,NULL,NULL,NULL,NULL),(28,444,1,18,21,NULL,NULL,NULL,NULL),(28,444,1,18,22,NULL,NULL,NULL,NULL),(28,444,1,18,23,NULL,NULL,NULL,NULL),(28,444,1,18,24,NULL,NULL,NULL,NULL),(28,444,1,18,25,NULL,NULL,NULL,NULL),(28,444,1,18,26,NULL,NULL,NULL,NULL),(28,444,1,18,27,NULL,NULL,NULL,NULL),(28,444,1,18,28,NULL,NULL,NULL,NULL),(28,444,1,18,29,NULL,NULL,NULL,NULL),(28,444,1,18,30,NULL,NULL,NULL,NULL),(28,444,1,18,31,NULL,NULL,NULL,NULL),(28,444,1,18,32,NULL,NULL,NULL,NULL),(28,444,1,18,33,NULL,NULL,NULL,NULL),(28,444,1,18,34,NULL,NULL,NULL,NULL),(28,444,1,18,35,NULL,NULL,NULL,NULL),(28,444,1,18,36,NULL,NULL,NULL,NULL),(28,444,1,18,37,NULL,NULL,NULL,NULL),(28,444,1,18,38,NULL,NULL,NULL,NULL),(28,444,1,18,39,NULL,NULL,NULL,NULL),(28,444,1,18,40,NULL,NULL,NULL,NULL),(28,444,1,19,1,NULL,NULL,NULL,NULL),(28,444,1,19,2,NULL,NULL,NULL,NULL),(28,444,1,19,3,NULL,NULL,NULL,NULL),(28,444,1,19,4,NULL,NULL,NULL,NULL),(28,444,1,19,5,NULL,NULL,NULL,NULL),(28,444,1,19,6,NULL,NULL,NULL,NULL),(28,444,1,19,7,NULL,NULL,NULL,NULL),(28,444,1,19,8,NULL,NULL,NULL,NULL),(28,444,1,19,9,NULL,NULL,NULL,NULL),(28,444,1,19,10,NULL,NULL,NULL,NULL),(28,444,1,19,11,NULL,NULL,NULL,NULL),(28,444,1,19,12,NULL,NULL,NULL,NULL),(28,444,1,19,13,NULL,NULL,NULL,NULL),(28,444,1,19,14,NULL,NULL,NULL,NULL),(28,444,1,19,15,NULL,NULL,NULL,NULL),(28,444,1,19,16,NULL,NULL,NULL,NULL),(28,444,1,19,17,NULL,NULL,NULL,NULL),(28,444,1,19,18,NULL,NULL,NULL,NULL),(28,444,1,19,19,NULL,NULL,NULL,NULL),(28,444,1,19,20,NULL,NULL,NULL,NULL),(28,444,1,19,21,NULL,NULL,NULL,NULL),(28,444,1,19,22,NULL,NULL,NULL,NULL),(28,444,1,19,23,NULL,NULL,NULL,NULL),(28,444,1,19,24,NULL,NULL,NULL,NULL),(28,444,1,19,25,NULL,NULL,NULL,NULL),(28,444,1,19,26,NULL,NULL,NULL,NULL),(28,444,1,19,27,NULL,NULL,NULL,NULL),(28,444,1,19,28,NULL,NULL,NULL,NULL),(28,444,1,19,29,NULL,NULL,NULL,NULL),(28,444,1,19,30,NULL,NULL,NULL,NULL),(28,444,1,19,31,NULL,NULL,NULL,NULL),(28,444,1,19,32,NULL,NULL,NULL,NULL),(28,444,1,19,33,NULL,NULL,NULL,NULL),(28,444,1,19,34,NULL,NULL,NULL,NULL),(28,444,1,19,35,NULL,NULL,NULL,NULL),(28,444,1,19,36,NULL,NULL,NULL,NULL),(28,444,1,19,37,NULL,NULL,NULL,NULL),(28,444,1,19,38,NULL,NULL,NULL,NULL),(28,444,1,19,39,NULL,NULL,NULL,NULL),(28,444,1,19,40,NULL,NULL,NULL,NULL),(28,444,2,21,1,NULL,17,NULL,5),(28,444,2,21,2,NULL,9,NULL,5),(28,444,2,21,3,15,25,6,10),(28,444,2,21,4,1,7,1,2),(28,444,2,21,5,2,19,NULL,7),(28,444,2,21,6,12,25,7,5),(28,444,2,21,7,NULL,20,NULL,5),(28,444,2,21,8,4,11,1,6),(28,444,2,21,9,5,7,2,1),(28,444,2,21,10,9,14,4,5),(28,444,2,21,11,5,10,2,5),(28,444,2,21,12,7,24,1,7),(28,444,2,21,13,2,35,1,11),(28,444,2,21,14,4,26,3,9),(28,444,2,21,15,8,18,1,9),(28,444,2,21,16,2,24,NULL,10),(28,444,2,21,17,1,11,NULL,4),(28,444,2,21,18,16,32,5,10),(28,444,2,21,19,6,15,4,5),(28,444,2,21,20,15,15,8,3),(28,444,2,21,21,1,10,1,3),(28,444,2,21,22,4,3,4,1),(28,444,2,21,23,NULL,9,NULL,3),(28,444,2,21,24,3,8,1,5),(28,444,2,21,25,4,11,1,5),(28,444,2,21,26,NULL,18,NULL,8),(28,444,2,21,27,7,15,2,9),(28,444,2,21,28,NULL,5,NULL,2),(28,444,2,21,29,1,5,NULL,3),(28,444,2,21,30,3,12,1,2),(28,444,2,21,31,NULL,18,NULL,8),(28,444,2,21,32,NULL,5,NULL,2),(28,444,2,21,33,4,11,4,5),(28,444,2,21,34,2,13,1,9),(28,444,2,21,35,11,NULL,3,NULL),(28,444,2,21,36,1,8,1,2),(28,444,2,21,37,1,9,1,3),(28,444,2,21,38,1,3,1,1),(28,444,2,21,39,1,3,1,2),(28,444,2,21,40,3,19,2,8),(28,444,2,22,1,3,25,3,4),(28,444,2,22,2,1,12,1,3),(28,444,2,22,3,15,24,9,8),(28,444,2,22,4,NULL,4,NULL,1),(28,444,2,22,5,3,20,1,7),(28,444,2,22,6,16,20,8,6),(28,444,2,22,7,NULL,18,NULL,7),(28,444,2,22,8,4,10,2,6),(28,444,2,22,9,3,8,NULL,3),(28,444,2,22,10,11,18,3,5),(28,444,2,22,11,5,12,3,5),(28,444,2,22,12,9,19,6,4),(28,444,2,22,13,NULL,32,NULL,9),(28,444,2,22,14,10,27,8,8),(28,444,2,22,15,6,17,2,6),(28,444,2,22,16,4,32,2,13),(28,444,2,22,17,NULL,7,NULL,NULL),(28,444,2,22,18,19,26,10,7),(28,444,2,22,19,8,17,4,7),(28,444,2,22,20,17,7,9,4),(28,444,2,22,21,1,7,1,4),(28,444,2,22,22,2,3,1,2),(28,444,2,22,23,4,5,3,4),(28,444,2,22,24,2,4,1,3),(28,444,2,22,25,6,9,4,3),(28,444,2,22,26,1,19,NULL,2),(28,444,2,22,27,4,22,1,8),(28,444,2,22,28,NULL,8,NULL,5),(28,444,2,22,29,2,7,NULL,1),(28,444,2,22,30,4,11,1,2),(28,444,2,22,31,2,18,1,10),(28,444,2,22,32,1,1,NULL,1),(28,444,2,22,33,1,7,NULL,2),(28,444,2,22,34,2,14,1,9),(28,444,2,22,35,9,NULL,3,NULL),(28,444,2,22,36,1,3,NULL,1),(28,444,2,22,37,NULL,6,NULL,1),(28,444,2,22,38,NULL,3,NULL,1),(28,444,2,22,39,2,7,1,4),(28,444,2,22,40,1,27,1,9),(28,444,2,23,1,NULL,26,NULL,4),(28,444,2,23,2,NULL,7,NULL,1),(28,444,2,23,3,13,21,3,2),(28,444,2,23,4,NULL,5,NULL,1),(28,444,2,23,5,4,15,1,NULL),(28,444,2,23,6,10,26,2,2),(28,444,2,23,7,NULL,14,NULL,5),(28,444,2,23,8,3,6,1,NULL),(28,444,2,23,9,2,11,NULL,1),(28,444,2,23,10,9,12,2,1),(28,444,2,23,11,3,10,1,1),(28,444,2,23,12,7,20,1,1),(28,444,2,23,13,2,33,NULL,6),(28,444,2,23,14,8,23,1,3),(28,444,2,23,15,9,11,1,2),(28,444,2,23,16,6,23,2,4),(28,444,2,23,17,NULL,13,NULL,1),(28,444,2,23,18,11,20,2,3),(28,444,2,23,19,4,15,NULL,5),(28,444,2,23,20,6,14,2,2),(28,444,2,23,21,1,5,NULL,NULL),(28,444,2,23,22,3,11,2,2),(28,444,2,23,23,NULL,6,NULL,1),(28,444,2,23,24,1,9,NULL,1),(28,444,2,23,25,NULL,5,NULL,2),(28,444,2,23,26,NULL,14,NULL,3),(28,444,2,23,27,2,17,NULL,3),(28,444,2,23,28,1,2,1,1),(28,444,2,23,29,NULL,11,NULL,2),(28,444,2,23,30,NULL,9,NULL,1),(28,444,2,23,31,NULL,13,NULL,3),(28,444,2,23,32,NULL,2,NULL,1),(28,444,2,23,33,3,8,1,1),(28,444,2,23,34,1,23,NULL,4),(28,444,2,23,35,8,NULL,1,NULL),(28,444,2,23,36,NULL,3,NULL,1),(28,444,2,23,37,1,14,NULL,3),(28,444,2,23,38,1,5,1,1),(28,444,2,23,39,NULL,7,NULL,1),(28,444,2,23,40,NULL,18,NULL,2),(28,444,2,24,1,NULL,20,NULL,3),(28,444,2,24,2,NULL,7,NULL,3),(28,444,2,24,3,20,17,5,3),(28,444,2,24,4,NULL,8,NULL,2),(28,444,2,24,5,6,15,1,5),(28,444,2,24,6,13,24,5,2),(28,444,2,24,7,NULL,16,NULL,3),(28,444,2,24,8,4,10,2,1),(28,444,2,24,9,3,9,1,2),(28,444,2,24,10,10,12,2,5),(28,444,2,24,11,5,7,NULL,4),(28,444,2,24,12,9,26,2,6),(28,444,2,24,13,1,34,1,8),(28,444,2,24,14,7,28,2,6),(28,444,2,24,15,8,9,3,3),(28,444,2,24,16,3,25,1,5),(28,444,2,24,17,1,8,NULL,2),(28,444,2,24,18,15,22,3,7),(28,444,2,24,19,4,12,1,4),(28,444,2,24,20,10,8,5,1),(28,444,2,24,21,2,9,NULL,1),(28,444,2,24,22,2,6,1,NULL),(28,444,2,24,23,NULL,9,NULL,2),(28,444,2,24,24,NULL,7,NULL,NULL),(28,444,2,24,25,1,6,NULL,1),(28,444,2,24,26,NULL,15,NULL,3),(28,444,2,24,27,NULL,17,NULL,5),(28,444,2,24,28,NULL,3,NULL,2),(28,444,2,24,29,NULL,14,NULL,4),(28,444,2,24,30,3,7,NULL,4),(28,444,2,24,31,NULL,13,NULL,2),(28,444,2,24,32,NULL,2,NULL,NULL),(28,444,2,24,33,2,2,1,1),(28,444,2,24,34,1,17,NULL,5),(28,444,2,24,35,5,NULL,2,NULL),(28,444,2,24,36,4,5,NULL,NULL),(28,444,2,24,37,1,8,NULL,3),(28,444,2,24,38,1,2,NULL,1),(28,444,2,24,39,1,4,NULL,1),(28,444,2,24,40,NULL,16,NULL,3),(28,450,1,11,1,NULL,NULL,NULL,NULL),(28,450,1,11,2,NULL,NULL,NULL,NULL),(28,450,1,11,3,NULL,NULL,NULL,NULL),(28,450,1,11,4,NULL,NULL,NULL,NULL),(28,450,1,11,5,NULL,NULL,NULL,NULL),(28,450,1,11,6,NULL,NULL,NULL,NULL),(28,450,1,11,7,NULL,NULL,NULL,NULL),(28,450,1,11,8,NULL,NULL,NULL,NULL),(28,450,1,11,9,NULL,NULL,NULL,NULL),(28,450,1,11,10,NULL,NULL,NULL,NULL),(28,450,1,11,11,NULL,NULL,NULL,NULL),(28,450,1,11,12,NULL,NULL,NULL,NULL),(28,450,1,11,13,NULL,NULL,NULL,NULL),(28,450,1,11,14,NULL,NULL,NULL,NULL),(28,450,1,11,15,NULL,NULL,NULL,NULL),(28,450,1,11,16,NULL,NULL,NULL,NULL),(28,450,1,11,17,NULL,NULL,NULL,NULL),(28,450,1,11,18,NULL,NULL,NULL,NULL),(28,450,1,11,19,NULL,NULL,NULL,NULL),(28,450,1,11,20,NULL,NULL,NULL,NULL),(28,450,1,11,21,NULL,NULL,NULL,NULL),(28,450,1,11,22,NULL,NULL,NULL,NULL),(28,450,1,11,23,NULL,NULL,NULL,NULL),(28,450,1,11,24,NULL,NULL,NULL,NULL),(28,450,1,11,25,NULL,NULL,NULL,NULL),(28,450,1,11,26,NULL,NULL,NULL,NULL),(28,450,1,11,27,NULL,NULL,NULL,NULL),(28,450,1,11,28,NULL,NULL,NULL,NULL),(28,450,1,11,29,NULL,NULL,NULL,NULL),(28,450,1,11,30,NULL,NULL,NULL,NULL),(28,450,1,11,31,NULL,NULL,NULL,NULL),(28,450,1,11,32,NULL,NULL,NULL,NULL),(28,450,1,11,33,NULL,NULL,NULL,NULL),(28,450,1,11,34,NULL,NULL,NULL,NULL),(28,450,1,11,35,NULL,NULL,NULL,NULL),(28,450,1,11,36,NULL,NULL,NULL,NULL),(28,450,1,11,37,NULL,NULL,NULL,NULL),(28,450,1,11,38,NULL,NULL,NULL,NULL),(28,450,1,11,39,NULL,NULL,NULL,NULL),(28,450,1,11,40,NULL,NULL,NULL,NULL),(28,450,1,12,1,2,NULL,1,NULL),(28,450,1,12,2,NULL,1,NULL,NULL),(28,450,1,12,3,NULL,NULL,NULL,NULL),(28,450,1,12,4,NULL,NULL,NULL,NULL),(28,450,1,12,5,1,NULL,NULL,NULL),(28,450,1,12,6,NULL,1,NULL,NULL),(28,450,1,12,7,1,1,NULL,1),(28,450,1,12,8,NULL,NULL,NULL,NULL),(28,450,1,12,9,NULL,NULL,NULL,NULL),(28,450,1,12,10,NULL,1,NULL,1),(28,450,1,12,11,NULL,1,NULL,1),(28,450,1,12,12,1,NULL,NULL,NULL),(28,450,1,12,13,2,NULL,1,NULL),(28,450,1,12,14,1,1,NULL,1),(28,450,1,12,15,NULL,1,NULL,1),(28,450,1,12,16,2,NULL,1,NULL),(28,450,1,12,17,NULL,1,NULL,1),(28,450,1,12,18,1,1,NULL,1),(28,450,1,12,19,1,1,NULL,1),(28,450,1,12,20,1,1,NULL,1),(28,450,1,12,21,NULL,NULL,NULL,NULL),(28,450,1,12,22,NULL,NULL,NULL,NULL),(28,450,1,12,23,NULL,1,NULL,1),(28,450,1,12,24,NULL,NULL,NULL,NULL),(28,450,1,12,25,NULL,NULL,NULL,NULL),(28,450,1,12,26,NULL,NULL,NULL,NULL),(28,450,1,12,27,NULL,NULL,NULL,NULL),(28,450,1,12,28,NULL,NULL,NULL,NULL),(28,450,1,12,29,NULL,NULL,NULL,NULL),(28,450,1,12,30,NULL,2,NULL,1),(28,450,1,12,31,NULL,NULL,NULL,NULL),(28,450,1,12,32,NULL,1,NULL,1),(28,450,1,12,33,NULL,1,NULL,1),(28,450,1,12,34,1,NULL,NULL,NULL),(28,450,1,12,35,NULL,1,NULL,1),(28,450,1,12,36,2,NULL,1,NULL),(28,450,1,12,37,NULL,NULL,NULL,NULL),(28,450,1,12,38,NULL,1,NULL,1),(28,450,1,12,39,1,NULL,NULL,NULL),(28,450,1,12,40,NULL,NULL,NULL,NULL),(28,450,1,13,1,NULL,NULL,NULL,NULL),(28,450,1,13,2,NULL,NULL,NULL,NULL),(28,450,1,13,3,NULL,NULL,NULL,NULL),(28,450,1,13,4,NULL,NULL,NULL,NULL),(28,450,1,13,5,NULL,NULL,NULL,NULL),(28,450,1,13,6,NULL,NULL,NULL,NULL),(28,450,1,13,7,NULL,NULL,NULL,NULL),(28,450,1,13,8,NULL,NULL,NULL,NULL),(28,450,1,13,9,NULL,NULL,NULL,NULL),(28,450,1,13,10,NULL,NULL,NULL,NULL),(28,450,1,13,11,NULL,NULL,NULL,NULL),(28,450,1,13,12,NULL,NULL,NULL,NULL),(28,450,1,13,13,NULL,NULL,NULL,NULL),(28,450,1,13,14,NULL,NULL,NULL,NULL),(28,450,1,13,15,NULL,NULL,NULL,NULL),(28,450,1,13,16,NULL,NULL,NULL,NULL),(28,450,1,13,17,NULL,NULL,NULL,NULL),(28,450,1,13,18,NULL,NULL,NULL,NULL),(28,450,1,13,19,NULL,NULL,NULL,NULL),(28,450,1,13,20,NULL,NULL,NULL,NULL),(28,450,1,13,21,NULL,NULL,NULL,NULL),(28,450,1,13,22,NULL,NULL,NULL,NULL),(28,450,1,13,23,NULL,NULL,NULL,NULL),(28,450,1,13,24,NULL,NULL,NULL,NULL),(28,450,1,13,25,NULL,NULL,NULL,NULL),(28,450,1,13,26,NULL,NULL,NULL,NULL),(28,450,1,13,27,NULL,NULL,NULL,NULL),(28,450,1,13,28,NULL,NULL,NULL,NULL),(28,450,1,13,29,NULL,NULL,NULL,NULL),(28,450,1,13,30,NULL,NULL,NULL,NULL),(28,450,1,13,31,NULL,NULL,NULL,NULL),(28,450,1,13,32,NULL,NULL,NULL,NULL),(28,450,1,13,33,NULL,NULL,NULL,NULL),(28,450,1,13,34,NULL,NULL,NULL,NULL),(28,450,1,13,35,NULL,NULL,NULL,NULL),(28,450,1,13,36,NULL,NULL,NULL,NULL),(28,450,1,13,37,NULL,NULL,NULL,NULL),(28,450,1,13,38,NULL,NULL,NULL,NULL),(28,450,1,13,39,NULL,NULL,NULL,NULL),(28,450,1,13,40,NULL,NULL,NULL,NULL),(28,450,1,14,1,44,NULL,8,NULL),(28,450,1,14,2,4,38,NULL,9),(28,450,1,14,3,28,24,8,3),(28,450,1,14,4,13,19,3,4),(28,450,1,14,5,30,15,7,3),(28,450,1,14,6,10,43,3,7),(28,450,1,14,7,9,13,2,3),(28,450,1,14,8,17,32,4,5),(28,450,1,14,9,12,17,3,4),(28,450,1,14,10,32,14,9,NULL),(28,450,1,14,11,7,17,1,2),(28,450,1,14,12,16,24,7,3),(28,450,1,14,13,54,16,11,3),(28,450,1,14,14,28,23,7,1),(28,450,1,14,15,58,NULL,12,NULL),(28,450,1,14,16,56,11,12,NULL),(28,450,1,14,17,18,51,5,8),(28,450,1,14,18,24,25,7,5),(28,450,1,14,19,50,23,13,NULL),(28,450,1,14,20,44,36,10,4),(28,450,1,14,21,2,5,NULL,2),(28,450,1,14,22,2,16,1,4),(28,450,1,14,23,5,17,1,2),(28,450,1,14,24,1,NULL,NULL,NULL),(28,450,1,14,25,3,9,NULL,4),(28,450,1,14,26,NULL,11,NULL,4),(28,450,1,14,27,20,NULL,5,NULL),(28,450,1,14,28,1,2,NULL,1),(28,450,1,14,29,5,16,NULL,4),(28,450,1,14,30,9,23,NULL,7),(28,450,1,14,31,2,11,1,2),(28,450,1,14,32,7,11,1,2),(28,450,1,14,33,10,12,3,5),(28,450,1,14,34,19,14,8,4),(28,450,1,14,35,7,6,4,1),(28,450,1,14,36,5,NULL,2,NULL),(28,450,1,14,37,2,7,NULL,3),(28,450,1,14,38,4,11,3,2),(28,450,1,14,39,16,29,3,6),(28,450,1,14,40,7,NULL,NULL,NULL),(28,450,1,15,1,35,NULL,10,NULL),(28,450,1,15,2,4,21,1,8),(28,450,1,15,3,24,18,6,4),(28,450,1,15,4,10,18,1,7),(28,450,1,15,5,19,13,4,4),(28,450,1,15,6,9,32,3,8),(28,450,1,15,7,5,13,1,4),(28,450,1,15,8,10,26,5,2),(28,450,1,15,9,9,17,NULL,5),(28,450,1,15,10,27,10,9,2),(28,450,1,15,11,4,17,1,6),(28,450,1,15,12,14,10,2,6),(28,450,1,15,13,47,15,12,NULL),(28,450,1,15,14,24,17,6,2),(28,450,1,15,15,45,NULL,10,NULL),(28,450,1,15,16,36,17,7,4),(28,450,1,15,17,25,32,5,7),(28,450,1,15,18,18,18,5,2),(28,450,1,15,19,41,17,8,3),(28,450,1,15,20,35,25,7,5),(28,450,1,15,21,2,6,NULL,2),(28,450,1,15,22,1,13,NULL,3),(28,450,1,15,23,2,10,1,1),(28,450,1,15,24,1,NULL,NULL,NULL),(28,450,1,15,25,5,2,2,NULL),(28,450,1,15,26,3,5,1,1),(28,450,1,15,27,7,NULL,3,NULL),(28,450,1,15,28,NULL,3,NULL,NULL),(28,450,1,15,29,1,8,NULL,1),(28,450,1,15,30,7,17,1,5),(28,450,1,15,31,6,5,3,2),(28,450,1,15,32,7,10,NULL,2),(28,450,1,15,33,4,13,3,6),(28,450,1,15,34,21,8,5,2),(28,450,1,15,35,2,5,NULL,2),(28,450,1,15,36,3,NULL,2,NULL),(28,450,1,15,37,2,7,2,1),(28,450,1,15,38,4,10,2,3),(28,450,1,15,39,17,15,6,4),(28,450,1,15,40,8,NULL,1,NULL),(28,450,1,16,1,10,NULL,1,NULL),(28,450,1,16,2,NULL,4,NULL,1),(28,450,1,16,3,5,6,1,NULL),(28,450,1,16,4,NULL,4,NULL,1),(28,450,1,16,5,3,4,1,NULL),(28,450,1,16,6,1,6,1,NULL),(28,450,1,16,7,4,5,1,1),(28,450,1,16,8,2,8,2,NULL),(28,450,1,16,9,1,3,1,NULL),(28,450,1,16,10,8,8,2,NULL),(28,450,1,16,11,3,1,1,NULL),(28,450,1,16,12,2,7,1,NULL),(28,450,1,16,13,23,NULL,2,NULL),(28,450,1,16,14,16,2,2,NULL),(28,450,1,16,15,7,11,2,NULL),(28,450,1,16,16,15,NULL,1,NULL),(28,450,1,16,17,11,5,1,NULL),(28,450,1,16,18,4,6,1,NULL),(28,450,1,16,19,4,4,1,NULL),(28,450,1,16,20,6,9,2,NULL),(28,450,1,16,21,NULL,2,NULL,NULL),(28,450,1,16,22,NULL,5,NULL,1),(28,450,1,16,23,NULL,5,NULL,NULL),(28,450,1,16,24,1,NULL,NULL,NULL),(28,450,1,16,25,NULL,NULL,NULL,NULL),(28,450,1,16,26,NULL,NULL,NULL,NULL),(28,450,1,16,27,3,NULL,1,NULL),(28,450,1,16,28,NULL,NULL,NULL,NULL),(28,450,1,16,29,1,3,NULL,NULL),(28,450,1,16,30,2,6,NULL,NULL),(28,450,1,16,31,1,3,1,NULL),(28,450,1,16,32,NULL,5,NULL,NULL),(28,450,1,16,33,3,3,1,NULL),(28,450,1,16,34,6,4,2,NULL),(28,450,1,16,35,NULL,1,NULL,NULL),(28,450,1,16,36,2,NULL,NULL,NULL),(28,450,1,16,37,1,4,NULL,NULL),(28,450,1,16,38,1,4,NULL,NULL),(28,450,1,16,39,4,7,1,1),(28,450,1,16,40,NULL,NULL,NULL,NULL),(28,450,1,17,1,8,NULL,NULL,NULL),(28,450,1,17,2,NULL,4,NULL,NULL),(28,450,1,17,3,1,7,NULL,NULL),(28,450,1,17,4,5,1,NULL,NULL),(28,450,1,17,5,3,8,NULL,1),(28,450,1,17,6,1,7,NULL,NULL),(28,450,1,17,7,1,5,NULL,NULL),(28,450,1,17,8,NULL,5,NULL,NULL),(28,450,1,17,9,1,2,NULL,NULL),(28,450,1,17,10,8,3,NULL,NULL),(28,450,1,17,11,NULL,1,NULL,NULL),(28,450,1,17,12,3,3,NULL,NULL),(28,450,1,17,13,20,NULL,1,NULL),(28,450,1,17,14,16,4,1,NULL),(28,450,1,17,15,7,8,NULL,1),(28,450,1,17,16,16,NULL,1,NULL),(28,450,1,17,17,5,12,1,NULL),(28,450,1,17,18,5,4,NULL,NULL),(28,450,1,17,19,2,6,NULL,1),(28,450,1,17,20,3,6,NULL,1),(28,450,1,17,21,NULL,2,NULL,NULL),(28,450,1,17,22,NULL,6,NULL,1),(28,450,1,17,23,NULL,4,NULL,NULL),(28,450,1,17,24,1,NULL,NULL,NULL),(28,450,1,17,25,1,1,NULL,NULL),(28,450,1,17,26,NULL,2,NULL,NULL),(28,450,1,17,27,2,NULL,NULL,NULL),(28,450,1,17,28,NULL,1,NULL,NULL),(28,450,1,17,29,NULL,2,NULL,NULL),(28,450,1,17,30,NULL,6,NULL,1),(28,450,1,17,31,1,1,NULL,NULL),(28,450,1,17,32,2,4,NULL,NULL),(28,450,1,17,33,1,1,NULL,NULL),(28,450,1,17,34,3,2,1,NULL),(28,450,1,17,35,NULL,2,NULL,NULL),(28,450,1,17,36,NULL,NULL,NULL,NULL),(28,450,1,17,37,NULL,3,NULL,NULL),(28,450,1,17,38,1,1,NULL,NULL),(28,450,1,17,39,1,6,1,NULL),(28,450,1,17,40,1,NULL,NULL,NULL),(28,450,1,18,1,NULL,NULL,NULL,NULL),(28,450,1,18,2,NULL,NULL,NULL,NULL),(28,450,1,18,3,NULL,NULL,NULL,NULL),(28,450,1,18,4,NULL,NULL,NULL,NULL),(28,450,1,18,5,NULL,NULL,NULL,NULL),(28,450,1,18,6,NULL,NULL,NULL,NULL),(28,450,1,18,7,NULL,NULL,NULL,NULL),(28,450,1,18,8,NULL,NULL,NULL,NULL),(28,450,1,18,9,NULL,NULL,NULL,NULL),(28,450,1,18,10,NULL,NULL,NULL,NULL),(28,450,1,18,11,NULL,NULL,NULL,NULL),(28,450,1,18,12,NULL,NULL,NULL,NULL),(28,450,1,18,13,NULL,NULL,NULL,NULL),(28,450,1,18,14,NULL,NULL,NULL,NULL),(28,450,1,18,15,NULL,NULL,NULL,NULL),(28,450,1,18,16,NULL,NULL,NULL,NULL),(28,450,1,18,17,NULL,NULL,NULL,NULL),(28,450,1,18,18,NULL,NULL,NULL,NULL),(28,450,1,18,19,NULL,NULL,NULL,NULL),(28,450,1,18,20,NULL,NULL,NULL,NULL),(28,450,1,18,21,NULL,NULL,NULL,NULL),(28,450,1,18,22,NULL,NULL,NULL,NULL),(28,450,1,18,23,NULL,NULL,NULL,NULL),(28,450,1,18,24,NULL,NULL,NULL,NULL),(28,450,1,18,25,NULL,NULL,NULL,NULL),(28,450,1,18,26,NULL,NULL,NULL,NULL),(28,450,1,18,27,NULL,NULL,NULL,NULL),(28,450,1,18,28,NULL,NULL,NULL,NULL),(28,450,1,18,29,NULL,NULL,NULL,NULL),(28,450,1,18,30,NULL,NULL,NULL,NULL),(28,450,1,18,31,NULL,NULL,NULL,NULL),(28,450,1,18,32,NULL,NULL,NULL,NULL),(28,450,1,18,33,NULL,NULL,NULL,NULL),(28,450,1,18,34,NULL,NULL,NULL,NULL),(28,450,1,18,35,NULL,NULL,NULL,NULL),(28,450,1,18,36,NULL,NULL,NULL,NULL),(28,450,1,18,37,NULL,NULL,NULL,NULL),(28,450,1,18,38,NULL,NULL,NULL,NULL),(28,450,1,18,39,NULL,NULL,NULL,NULL),(28,450,1,18,40,NULL,NULL,NULL,NULL),(28,450,1,19,1,NULL,NULL,NULL,NULL),(28,450,1,19,2,NULL,NULL,NULL,NULL),(28,450,1,19,3,NULL,NULL,NULL,NULL),(28,450,1,19,4,NULL,NULL,NULL,NULL),(28,450,1,19,5,NULL,NULL,NULL,NULL),(28,450,1,19,6,NULL,NULL,NULL,NULL),(28,450,1,19,7,NULL,NULL,NULL,NULL),(28,450,1,19,8,NULL,NULL,NULL,NULL),(28,450,1,19,9,NULL,NULL,NULL,NULL),(28,450,1,19,10,NULL,NULL,NULL,NULL),(28,450,1,19,11,NULL,NULL,NULL,NULL),(28,450,1,19,12,NULL,NULL,NULL,NULL),(28,450,1,19,13,NULL,NULL,NULL,NULL),(28,450,1,19,14,NULL,NULL,NULL,NULL),(28,450,1,19,15,NULL,NULL,NULL,NULL),(28,450,1,19,16,NULL,NULL,NULL,NULL),(28,450,1,19,17,NULL,NULL,NULL,NULL),(28,450,1,19,18,NULL,NULL,NULL,NULL),(28,450,1,19,19,NULL,NULL,NULL,NULL),(28,450,1,19,20,NULL,NULL,NULL,NULL),(28,450,1,19,21,NULL,NULL,NULL,NULL),(28,450,1,19,22,NULL,NULL,NULL,NULL),(28,450,1,19,23,NULL,NULL,NULL,NULL),(28,450,1,19,24,NULL,NULL,NULL,NULL),(28,450,1,19,25,NULL,NULL,NULL,NULL),(28,450,1,19,26,NULL,NULL,NULL,NULL),(28,450,1,19,27,NULL,NULL,NULL,NULL),(28,450,1,19,28,NULL,NULL,NULL,NULL),(28,450,1,19,29,NULL,NULL,NULL,NULL),(28,450,1,19,30,NULL,NULL,NULL,NULL),(28,450,1,19,31,NULL,NULL,NULL,NULL),(28,450,1,19,32,NULL,NULL,NULL,NULL),(28,450,1,19,33,NULL,NULL,NULL,NULL),(28,450,1,19,34,NULL,NULL,NULL,NULL),(28,450,1,19,35,NULL,NULL,NULL,NULL),(28,450,1,19,36,NULL,NULL,NULL,NULL),(28,450,1,19,37,NULL,NULL,NULL,NULL),(28,450,1,19,38,NULL,NULL,NULL,NULL),(28,450,1,19,39,NULL,NULL,NULL,NULL),(28,450,1,19,40,NULL,NULL,NULL,NULL),(28,450,2,21,1,1,29,NULL,5),(28,450,2,21,2,2,12,NULL,5),(28,450,2,21,3,14,17,3,5),(28,450,2,21,4,2,8,NULL,1),(28,450,2,21,5,9,13,1,2),(28,450,2,21,6,17,21,2,3),(28,450,2,21,7,1,15,1,3),(28,450,2,21,8,6,15,1,3),(28,450,2,21,9,6,5,2,1),(28,450,2,21,10,12,13,1,2),(28,450,2,21,11,6,9,1,2),(28,450,2,21,12,8,22,3,2),(28,450,2,21,13,6,28,1,4),(28,450,2,21,14,16,18,2,4),(28,450,2,21,15,8,12,2,2),(28,450,2,21,16,3,18,1,5),(28,450,2,21,17,1,6,NULL,1),(28,450,2,21,18,14,21,3,4),(28,450,2,21,19,7,17,3,2),(28,450,2,21,20,20,12,4,2),(28,450,2,21,21,2,7,NULL,2),(28,450,2,21,22,10,3,3,NULL),(28,450,2,21,23,1,5,NULL,1),(28,450,2,21,24,NULL,7,NULL,2),(28,450,2,21,25,1,8,NULL,NULL),(28,450,2,21,26,1,12,NULL,2),(28,450,2,21,27,5,17,1,3),(28,450,2,21,28,2,6,1,2),(28,450,2,21,29,1,6,NULL,2),(28,450,2,21,30,NULL,3,NULL,1),(28,450,2,21,31,2,13,1,2),(28,450,2,21,32,1,3,1,1),(28,450,2,21,33,2,4,2,2),(28,450,2,21,34,1,7,NULL,2),(28,450,2,21,35,6,NULL,2,NULL),(28,450,2,21,36,NULL,4,NULL,2),(28,450,2,21,37,3,6,2,1),(28,450,2,21,38,2,4,NULL,1),(28,450,2,21,39,NULL,8,NULL,1),(28,450,2,21,40,5,21,2,3),(28,450,2,22,1,2,21,1,4),(28,450,2,22,2,NULL,19,NULL,8),(28,450,2,22,3,22,9,6,3),(28,450,2,22,4,1,7,NULL,5),(28,450,2,22,5,8,13,2,3),(28,450,2,22,6,26,15,5,5),(28,450,2,22,7,NULL,14,NULL,6),(28,450,2,22,8,12,9,4,5),(28,450,2,22,9,1,5,1,2),(28,450,2,22,10,8,10,1,4),(28,450,2,22,11,8,9,5,2),(28,450,2,22,12,4,17,2,5),(28,450,2,22,13,5,32,1,9),(28,450,2,22,14,12,16,6,3),(28,450,2,22,15,10,9,1,2),(28,450,2,22,16,6,13,3,4),(28,450,2,22,17,NULL,7,NULL,2),(28,450,2,22,18,15,15,6,3),(28,450,2,22,19,16,9,4,4),(28,450,2,22,20,18,7,5,2),(28,450,2,22,21,5,10,1,1),(28,450,2,22,22,9,9,6,1),(28,450,2,22,23,2,2,1,NULL),(28,450,2,22,24,NULL,7,NULL,2),(28,450,2,22,25,3,10,1,1),(28,450,2,22,26,2,13,NULL,3),(28,450,2,22,27,6,16,1,6),(28,450,2,22,28,1,5,NULL,4),(28,450,2,22,29,1,3,NULL,1),(28,450,2,22,30,NULL,5,NULL,1),(28,450,2,22,31,1,12,NULL,6),(28,450,2,22,32,2,8,NULL,4),(28,450,2,22,33,4,9,1,4),(28,450,2,22,34,3,9,2,3),(28,450,2,22,35,7,NULL,2,NULL),(28,450,2,22,36,1,5,NULL,2),(28,450,2,22,37,2,NULL,2,NULL),(28,450,2,22,38,2,3,1,2),(28,450,2,22,39,2,7,NULL,3),(28,450,2,22,40,3,16,2,5),(28,450,2,23,1,2,23,1,6),(28,450,2,23,2,2,20,1,7),(28,450,2,23,3,23,17,4,5),(28,450,2,23,4,1,6,NULL,3),(28,450,2,23,5,7,14,1,4),(28,450,2,23,6,16,23,6,3),(28,450,2,23,7,NULL,16,NULL,5),(28,450,2,23,8,11,9,3,2),(28,450,2,23,9,2,7,NULL,3),(28,450,2,23,10,16,11,5,1),(28,450,2,23,11,9,6,6,NULL),(28,450,2,23,12,12,20,4,5),(28,450,2,23,13,9,23,5,3),(28,450,2,23,14,12,20,6,3),(28,450,2,23,15,12,14,3,2),(28,450,2,23,16,15,18,4,4),(28,450,2,23,17,1,8,NULL,NULL),(28,450,2,23,18,21,21,6,3),(28,450,2,23,19,14,13,5,2),(28,450,2,23,20,21,8,7,1),(28,450,2,23,21,NULL,3,NULL,NULL),(28,450,2,23,22,9,10,3,3),(28,450,2,23,23,4,6,2,1),(28,450,2,23,24,1,7,NULL,2),(28,450,2,23,25,1,8,NULL,4),(28,450,2,23,26,2,16,NULL,1),(28,450,2,23,27,1,20,NULL,7),(28,450,2,23,28,NULL,6,NULL,3),(28,450,2,23,29,NULL,4,NULL,2),(28,450,2,23,30,NULL,8,NULL,1),(28,450,2,23,31,1,17,NULL,7),(28,450,2,23,32,1,3,1,NULL),(28,450,2,23,33,4,13,2,3),(28,450,2,23,34,5,12,2,5),(28,450,2,23,35,9,NULL,2,NULL),(28,450,2,23,36,1,3,1,NULL),(28,450,2,23,37,1,11,NULL,4),(28,450,2,23,38,NULL,3,NULL,NULL),(28,450,2,23,39,1,8,NULL,3),(28,450,2,23,40,2,16,1,8),(28,450,2,24,1,1,13,NULL,3),(28,450,2,24,2,3,17,1,2),(28,450,2,24,3,15,10,2,1),(28,450,2,24,4,1,7,NULL,1),(28,450,2,24,5,8,4,1,NULL),(28,450,2,24,6,16,15,1,2),(28,450,2,24,7,NULL,14,NULL,1),(28,450,2,24,8,8,4,NULL,1),(28,450,2,24,9,4,3,NULL,1),(28,450,2,24,10,7,8,1,NULL),(28,450,2,24,11,4,7,1,NULL),(28,450,2,24,12,5,9,NULL,1),(28,450,2,24,13,3,23,NULL,1),(28,450,2,24,14,7,18,1,1),(28,450,2,24,15,9,10,1,NULL),(28,450,2,24,16,10,13,2,1),(28,450,2,24,17,1,1,1,NULL),(28,450,2,24,18,15,10,2,NULL),(28,450,2,24,19,10,13,1,NULL),(28,450,2,24,20,15,5,2,NULL),(28,450,2,24,21,1,3,NULL,NULL),(28,450,2,24,22,4,6,NULL,NULL),(28,450,2,24,23,NULL,3,NULL,NULL),(28,450,2,24,24,3,7,NULL,1),(28,450,2,24,25,NULL,7,NULL,NULL),(28,450,2,24,26,1,10,NULL,1),(28,450,2,24,27,3,13,NULL,NULL),(28,450,2,24,28,2,4,1,1),(28,450,2,24,29,NULL,3,NULL,1),(28,450,2,24,30,1,5,NULL,1),(28,450,2,24,31,NULL,11,NULL,NULL),(28,450,2,24,32,NULL,1,NULL,NULL),(28,450,2,24,33,2,3,NULL,NULL),(28,450,2,24,34,2,6,NULL,NULL),(28,450,2,24,35,3,NULL,NULL,NULL),(28,450,2,24,36,NULL,3,NULL,NULL),(28,450,2,24,37,1,2,NULL,NULL),(28,450,2,24,38,NULL,1,NULL,NULL),(28,450,2,24,39,1,5,NULL,NULL),(28,450,2,24,40,8,11,NULL,1),(28,451,1,11,1,NULL,NULL,NULL,NULL),(28,451,1,11,2,NULL,NULL,NULL,NULL),(28,451,1,11,3,NULL,NULL,NULL,NULL),(28,451,1,11,4,NULL,NULL,NULL,NULL),(28,451,1,11,5,NULL,NULL,NULL,NULL),(28,451,1,11,6,NULL,NULL,NULL,NULL),(28,451,1,11,7,NULL,NULL,NULL,NULL),(28,451,1,11,8,NULL,NULL,NULL,NULL),(28,451,1,11,9,NULL,NULL,NULL,NULL),(28,451,1,11,10,NULL,NULL,NULL,NULL),(28,451,1,11,11,NULL,NULL,NULL,NULL),(28,451,1,11,12,NULL,NULL,NULL,NULL),(28,451,1,11,13,NULL,NULL,NULL,NULL),(28,451,1,11,14,NULL,NULL,NULL,NULL),(28,451,1,11,15,NULL,NULL,NULL,NULL),(28,451,1,11,16,NULL,NULL,NULL,NULL),(28,451,1,11,17,NULL,NULL,NULL,NULL),(28,451,1,11,18,NULL,NULL,NULL,NULL),(28,451,1,11,19,NULL,NULL,NULL,NULL),(28,451,1,11,20,NULL,NULL,NULL,NULL),(28,451,1,11,21,NULL,NULL,NULL,NULL),(28,451,1,11,22,NULL,NULL,NULL,NULL),(28,451,1,11,23,NULL,NULL,NULL,NULL),(28,451,1,11,24,NULL,NULL,NULL,NULL),(28,451,1,11,25,NULL,NULL,NULL,NULL),(28,451,1,11,26,NULL,NULL,NULL,NULL),(28,451,1,11,27,NULL,NULL,NULL,NULL),(28,451,1,11,28,NULL,NULL,NULL,NULL),(28,451,1,11,29,NULL,NULL,NULL,NULL),(28,451,1,11,30,NULL,NULL,NULL,NULL),(28,451,1,11,31,NULL,NULL,NULL,NULL),(28,451,1,11,32,NULL,NULL,NULL,NULL),(28,451,1,11,33,NULL,NULL,NULL,NULL),(28,451,1,11,34,NULL,NULL,NULL,NULL),(28,451,1,11,35,NULL,NULL,NULL,NULL),(28,451,1,11,36,NULL,NULL,NULL,NULL),(28,451,1,11,37,NULL,NULL,NULL,NULL),(28,451,1,11,38,NULL,NULL,NULL,NULL),(28,451,1,11,39,NULL,NULL,NULL,NULL),(28,451,1,11,40,NULL,NULL,NULL,NULL),(28,451,1,12,1,NULL,NULL,NULL,NULL),(28,451,1,12,2,NULL,NULL,NULL,NULL),(28,451,1,12,3,NULL,NULL,NULL,NULL),(28,451,1,12,4,NULL,NULL,NULL,NULL),(28,451,1,12,5,NULL,NULL,NULL,NULL),(28,451,1,12,6,NULL,NULL,NULL,NULL),(28,451,1,12,7,NULL,NULL,NULL,NULL),(28,451,1,12,8,NULL,NULL,NULL,NULL),(28,451,1,12,9,NULL,NULL,NULL,NULL),(28,451,1,12,10,NULL,NULL,NULL,NULL),(28,451,1,12,11,NULL,NULL,NULL,NULL),(28,451,1,12,12,NULL,NULL,NULL,NULL),(28,451,1,12,13,NULL,NULL,NULL,NULL),(28,451,1,12,14,NULL,NULL,NULL,NULL),(28,451,1,12,15,NULL,NULL,NULL,NULL),(28,451,1,12,16,NULL,NULL,NULL,NULL),(28,451,1,12,17,NULL,NULL,NULL,NULL),(28,451,1,12,18,NULL,NULL,NULL,NULL),(28,451,1,12,19,NULL,NULL,NULL,NULL),(28,451,1,12,20,NULL,NULL,NULL,NULL),(28,451,1,12,21,NULL,NULL,NULL,NULL),(28,451,1,12,22,NULL,NULL,NULL,NULL),(28,451,1,12,23,NULL,NULL,NULL,NULL),(28,451,1,12,24,NULL,NULL,NULL,NULL),(28,451,1,12,25,NULL,NULL,NULL,NULL),(28,451,1,12,26,NULL,NULL,NULL,NULL),(28,451,1,12,27,NULL,NULL,NULL,NULL),(28,451,1,12,28,NULL,NULL,NULL,NULL),(28,451,1,12,29,NULL,NULL,NULL,NULL),(28,451,1,12,30,NULL,NULL,NULL,NULL),(28,451,1,12,31,NULL,NULL,NULL,NULL),(28,451,1,12,32,NULL,NULL,NULL,NULL),(28,451,1,12,33,NULL,NULL,NULL,NULL),(28,451,1,12,34,NULL,NULL,NULL,NULL),(28,451,1,12,35,NULL,NULL,NULL,NULL),(28,451,1,12,36,NULL,NULL,NULL,NULL),(28,451,1,12,37,NULL,NULL,NULL,NULL),(28,451,1,12,38,NULL,NULL,NULL,NULL),(28,451,1,12,39,NULL,NULL,NULL,NULL),(28,451,1,12,40,NULL,NULL,NULL,NULL),(28,451,1,13,1,NULL,NULL,NULL,NULL),(28,451,1,13,2,NULL,NULL,NULL,NULL),(28,451,1,13,3,NULL,1,NULL,NULL),(28,451,1,13,4,NULL,NULL,NULL,NULL),(28,451,1,13,5,NULL,NULL,NULL,NULL),(28,451,1,13,6,1,NULL,NULL,NULL),(28,451,1,13,7,NULL,NULL,NULL,NULL),(28,451,1,13,8,1,NULL,NULL,NULL),(28,451,1,13,9,NULL,NULL,NULL,NULL),(28,451,1,13,10,1,NULL,NULL,NULL),(28,451,1,13,11,NULL,NULL,NULL,NULL),(28,451,1,13,12,NULL,1,NULL,NULL),(28,451,1,13,13,1,NULL,NULL,NULL),(28,451,1,13,14,1,NULL,NULL,NULL),(28,451,1,13,15,1,NULL,NULL,NULL),(28,451,1,13,16,NULL,1,NULL,NULL),(28,451,1,13,17,1,NULL,NULL,NULL),(28,451,1,13,18,1,NULL,NULL,NULL),(28,451,1,13,19,1,NULL,NULL,NULL),(28,451,1,13,20,1,NULL,NULL,NULL),(28,451,1,13,21,NULL,NULL,NULL,NULL),(28,451,1,13,22,NULL,NULL,NULL,NULL),(28,451,1,13,23,NULL,NULL,NULL,NULL),(28,451,1,13,24,NULL,NULL,NULL,NULL),(28,451,1,13,25,NULL,NULL,NULL,NULL),(28,451,1,13,26,NULL,NULL,NULL,NULL),(28,451,1,13,27,NULL,NULL,NULL,NULL),(28,451,1,13,28,NULL,NULL,NULL,NULL),(28,451,1,13,29,NULL,NULL,NULL,NULL),(28,451,1,13,30,NULL,NULL,NULL,NULL),(28,451,1,13,31,NULL,NULL,NULL,NULL),(28,451,1,13,32,NULL,NULL,NULL,NULL),(28,451,1,13,33,NULL,NULL,NULL,NULL),(28,451,1,13,34,NULL,NULL,NULL,NULL),(28,451,1,13,35,NULL,NULL,NULL,NULL),(28,451,1,13,36,NULL,NULL,NULL,NULL),(28,451,1,13,37,NULL,NULL,NULL,NULL),(28,451,1,13,38,NULL,1,NULL,NULL),(28,451,1,13,39,NULL,NULL,NULL,NULL),(28,451,1,13,40,NULL,NULL,NULL,NULL),(28,451,1,14,1,11,NULL,3,NULL),(28,451,1,14,2,3,8,3,6),(28,451,1,14,3,9,7,6,2),(28,451,1,14,4,1,7,1,4),(28,451,1,14,5,9,4,8,NULL),(28,451,1,14,6,2,11,2,6),(28,451,1,14,7,NULL,4,NULL,2),(28,451,1,14,8,4,10,4,6),(28,451,1,14,9,5,8,2,4),(28,451,1,14,10,9,3,7,2),(28,451,1,14,11,NULL,5,NULL,2),(28,451,1,14,12,6,7,4,5),(28,451,1,14,13,14,8,8,3),(28,451,1,14,14,8,5,7,NULL),(28,451,1,14,15,15,NULL,10,NULL),(28,451,1,14,16,13,4,9,1),(28,451,1,14,17,4,14,3,7),(28,451,1,14,18,6,6,4,3),(28,451,1,14,19,13,8,8,3),(28,451,1,14,20,7,17,3,8),(28,451,1,14,21,1,1,NULL,1),(28,451,1,14,22,NULL,4,NULL,3),(28,451,1,14,23,2,2,1,2),(28,451,1,14,24,1,NULL,1,NULL),(28,451,1,14,25,1,2,1,NULL),(28,451,1,14,26,1,2,1,NULL),(28,451,1,14,27,6,NULL,3,NULL),(28,451,1,14,28,NULL,1,NULL,NULL),(28,451,1,14,29,NULL,4,NULL,2),(28,451,1,14,30,NULL,5,NULL,2),(28,451,1,14,31,2,1,1,1),(28,451,1,14,32,1,7,NULL,4),(28,451,1,14,33,2,3,NULL,2),(28,451,1,14,34,8,3,6,3),(28,451,1,14,35,NULL,3,NULL,2),(28,451,1,14,36,NULL,NULL,NULL,NULL),(28,451,1,14,37,NULL,5,NULL,3),(28,451,1,14,38,NULL,1,NULL,NULL),(28,451,1,14,39,NULL,6,NULL,4),(28,451,1,14,40,2,NULL,2,NULL),(28,451,1,15,1,6,NULL,4,NULL),(28,451,1,15,2,NULL,2,NULL,2),(28,451,1,15,3,3,4,2,2),(28,451,1,15,4,3,1,2,1),(28,451,1,15,5,4,7,1,4),(28,451,1,15,6,3,7,2,3),(28,451,1,15,7,2,6,1,3),(28,451,1,15,8,2,7,NULL,4),(28,451,1,15,9,4,3,2,2),(28,451,1,15,10,10,3,6,1),(28,451,1,15,11,3,3,2,1),(28,451,1,15,12,NULL,3,NULL,2),(28,451,1,15,13,8,5,5,NULL),(28,451,1,15,14,2,5,2,2),(28,451,1,15,15,7,NULL,4,NULL),(28,451,1,15,16,11,6,5,1),(28,451,1,15,17,5,8,3,2),(28,451,1,15,18,4,5,2,1),(28,451,1,15,19,10,4,6,NULL),(28,451,1,15,20,8,11,3,4),(28,451,1,15,21,1,1,NULL,NULL),(28,451,1,15,22,NULL,3,NULL,1),(28,451,1,15,23,1,1,1,1),(28,451,1,15,24,1,NULL,NULL,NULL),(28,451,1,15,25,1,1,NULL,NULL),(28,451,1,15,26,NULL,NULL,NULL,NULL),(28,451,1,15,27,6,NULL,3,NULL),(28,451,1,15,28,1,1,1,1),(28,451,1,15,29,NULL,4,NULL,1),(28,451,1,15,30,2,4,NULL,2),(28,451,1,15,31,2,2,NULL,1),(28,451,1,15,32,3,3,1,2),(28,451,1,15,33,NULL,1,NULL,NULL),(28,451,1,15,34,4,2,3,2),(28,451,1,15,35,1,NULL,1,NULL),(28,451,1,15,36,NULL,NULL,NULL,NULL),(28,451,1,15,37,NULL,2,NULL,2),(28,451,1,15,38,1,1,NULL,NULL),(28,451,1,15,39,3,5,2,1),(28,451,1,15,40,2,NULL,2,NULL),(28,451,1,16,1,9,NULL,1,NULL),(28,451,1,16,2,NULL,8,NULL,1),(28,451,1,16,3,5,5,2,2),(28,451,1,16,4,3,7,2,1),(28,451,1,16,5,9,4,4,NULL),(28,451,1,16,6,3,7,2,2),(28,451,1,16,7,5,4,3,NULL),(28,451,1,16,8,1,8,1,3),(28,451,1,16,9,2,6,1,2),(28,451,1,16,10,9,5,3,1),(28,451,1,16,11,2,2,2,NULL),(28,451,1,16,12,1,5,1,NULL),(28,451,1,16,13,18,NULL,4,NULL),(28,451,1,16,14,15,1,4,NULL),(28,451,1,16,15,5,12,2,2),(28,451,1,16,16,13,NULL,4,NULL),(28,451,1,16,17,12,8,4,1),(28,451,1,16,18,3,5,1,1),(28,451,1,16,19,6,13,2,2),(28,451,1,16,20,5,3,1,2),(28,451,1,16,21,NULL,1,NULL,NULL),(28,451,1,16,22,1,4,NULL,3),(28,451,1,16,23,1,5,1,NULL),(28,451,1,16,24,NULL,NULL,NULL,NULL),(28,451,1,16,25,NULL,2,NULL,1),(28,451,1,16,26,NULL,2,NULL,NULL),(28,451,1,16,27,3,NULL,NULL,NULL),(28,451,1,16,28,NULL,2,NULL,1),(28,451,1,16,29,2,3,1,NULL),(28,451,1,16,30,NULL,4,NULL,1),(28,451,1,16,31,2,5,1,1),(28,451,1,16,32,1,4,NULL,NULL),(28,451,1,16,33,1,2,1,NULL),(28,451,1,16,34,4,4,2,1),(28,451,1,16,35,1,2,NULL,NULL),(28,451,1,16,36,2,NULL,1,NULL),(28,451,1,16,37,1,4,NULL,NULL),(28,451,1,16,38,1,2,1,1),(28,451,1,16,39,1,6,1,1),(28,451,1,16,40,NULL,NULL,NULL,NULL),(28,451,1,17,1,5,NULL,3,NULL),(28,451,1,17,2,NULL,1,NULL,NULL),(28,451,1,17,3,3,4,1,2),(28,451,1,17,4,1,2,NULL,NULL),(28,451,1,17,5,3,8,2,2),(28,451,1,17,6,4,7,1,3),(28,451,1,17,7,4,1,2,1),(28,451,1,17,8,2,4,1,2),(28,451,1,17,9,1,3,NULL,2),(28,451,1,17,10,8,NULL,4,NULL),(28,451,1,17,11,NULL,1,NULL,1),(28,451,1,17,12,1,3,1,1),(28,451,1,17,13,17,NULL,7,NULL),(28,451,1,17,14,15,2,7,NULL),(28,451,1,17,15,6,5,4,2),(28,451,1,17,16,14,NULL,6,NULL),(28,451,1,17,17,12,5,4,3),(28,451,1,17,18,5,2,3,1),(28,451,1,17,19,6,6,1,4),(28,451,1,17,20,2,8,1,3),(28,451,1,17,21,1,3,NULL,1),(28,451,1,17,22,NULL,3,NULL,NULL),(28,451,1,17,23,NULL,6,NULL,4),(28,451,1,17,24,NULL,NULL,NULL,NULL),(28,451,1,17,25,NULL,3,NULL,1),(28,451,1,17,26,NULL,2,NULL,NULL),(28,451,1,17,27,6,NULL,4,NULL),(28,451,1,17,28,NULL,NULL,NULL,NULL),(28,451,1,17,29,1,2,NULL,NULL),(28,451,1,17,30,1,5,1,1),(28,451,1,17,31,1,2,NULL,1),(28,451,1,17,32,2,2,NULL,1),(28,451,1,17,33,2,3,1,2),(28,451,1,17,34,3,3,1,1),(28,451,1,17,35,NULL,2,NULL,NULL),(28,451,1,17,36,NULL,NULL,NULL,NULL),(28,451,1,17,37,NULL,2,NULL,1),(28,451,1,17,38,NULL,1,NULL,1),(28,451,1,17,39,5,5,3,3),(28,451,1,17,40,NULL,NULL,NULL,NULL),(28,451,1,18,1,NULL,NULL,NULL,NULL),(28,451,1,18,2,NULL,NULL,NULL,NULL),(28,451,1,18,3,NULL,NULL,NULL,NULL),(28,451,1,18,4,NULL,NULL,NULL,NULL),(28,451,1,18,5,NULL,NULL,NULL,NULL),(28,451,1,18,6,NULL,NULL,NULL,NULL),(28,451,1,18,7,NULL,NULL,NULL,NULL),(28,451,1,18,8,NULL,NULL,NULL,NULL),(28,451,1,18,9,NULL,NULL,NULL,NULL),(28,451,1,18,10,NULL,NULL,NULL,NULL),(28,451,1,18,11,NULL,NULL,NULL,NULL),(28,451,1,18,12,NULL,NULL,NULL,NULL),(28,451,1,18,13,NULL,NULL,NULL,NULL),(28,451,1,18,14,NULL,NULL,NULL,NULL),(28,451,1,18,15,NULL,NULL,NULL,NULL),(28,451,1,18,16,NULL,NULL,NULL,NULL),(28,451,1,18,17,NULL,NULL,NULL,NULL),(28,451,1,18,18,NULL,NULL,NULL,NULL),(28,451,1,18,19,NULL,NULL,NULL,NULL),(28,451,1,18,20,NULL,NULL,NULL,NULL),(28,451,1,18,21,NULL,NULL,NULL,NULL),(28,451,1,18,22,NULL,NULL,NULL,NULL),(28,451,1,18,23,NULL,NULL,NULL,NULL),(28,451,1,18,24,NULL,NULL,NULL,NULL),(28,451,1,18,25,NULL,NULL,NULL,NULL),(28,451,1,18,26,NULL,NULL,NULL,NULL),(28,451,1,18,27,NULL,NULL,NULL,NULL),(28,451,1,18,28,NULL,NULL,NULL,NULL),(28,451,1,18,29,NULL,NULL,NULL,NULL),(28,451,1,18,30,NULL,NULL,NULL,NULL),(28,451,1,18,31,NULL,NULL,NULL,NULL),(28,451,1,18,32,NULL,NULL,NULL,NULL),(28,451,1,18,33,NULL,NULL,NULL,NULL),(28,451,1,18,34,NULL,NULL,NULL,NULL),(28,451,1,18,35,NULL,NULL,NULL,NULL),(28,451,1,18,36,NULL,NULL,NULL,NULL),(28,451,1,18,37,NULL,NULL,NULL,NULL),(28,451,1,18,38,NULL,NULL,NULL,NULL),(28,451,1,18,39,NULL,NULL,NULL,NULL),(28,451,1,18,40,NULL,NULL,NULL,NULL),(28,451,1,19,1,NULL,NULL,NULL,NULL),(28,451,1,19,2,NULL,NULL,NULL,NULL),(28,451,1,19,3,NULL,NULL,NULL,NULL),(28,451,1,19,4,NULL,NULL,NULL,NULL),(28,451,1,19,5,NULL,NULL,NULL,NULL),(28,451,1,19,6,NULL,NULL,NULL,NULL),(28,451,1,19,7,NULL,NULL,NULL,NULL),(28,451,1,19,8,NULL,NULL,NULL,NULL),(28,451,1,19,9,NULL,NULL,NULL,NULL),(28,451,1,19,10,NULL,NULL,NULL,NULL),(28,451,1,19,11,NULL,NULL,NULL,NULL),(28,451,1,19,12,NULL,NULL,NULL,NULL),(28,451,1,19,13,NULL,NULL,NULL,NULL),(28,451,1,19,14,NULL,NULL,NULL,NULL),(28,451,1,19,15,NULL,NULL,NULL,NULL),(28,451,1,19,16,NULL,NULL,NULL,NULL),(28,451,1,19,17,NULL,NULL,NULL,NULL),(28,451,1,19,18,NULL,NULL,NULL,NULL),(28,451,1,19,19,NULL,NULL,NULL,NULL),(28,451,1,19,20,NULL,NULL,NULL,NULL),(28,451,1,19,21,NULL,NULL,NULL,NULL),(28,451,1,19,22,NULL,NULL,NULL,NULL),(28,451,1,19,23,NULL,NULL,NULL,NULL),(28,451,1,19,24,NULL,NULL,NULL,NULL),(28,451,1,19,25,NULL,NULL,NULL,NULL),(28,451,1,19,26,NULL,NULL,NULL,NULL),(28,451,1,19,27,NULL,NULL,NULL,NULL),(28,451,1,19,28,NULL,NULL,NULL,NULL),(28,451,1,19,29,NULL,NULL,NULL,NULL),(28,451,1,19,30,NULL,NULL,NULL,NULL),(28,451,1,19,31,NULL,NULL,NULL,NULL),(28,451,1,19,32,NULL,NULL,NULL,NULL),(28,451,1,19,33,NULL,NULL,NULL,NULL),(28,451,1,19,34,NULL,NULL,NULL,NULL),(28,451,1,19,35,NULL,NULL,NULL,NULL),(28,451,1,19,36,NULL,NULL,NULL,NULL),(28,451,1,19,37,NULL,NULL,NULL,NULL),(28,451,1,19,38,NULL,NULL,NULL,NULL),(28,451,1,19,39,NULL,NULL,NULL,NULL),(28,451,1,19,40,NULL,NULL,NULL,NULL),(28,451,2,21,1,NULL,9,NULL,2),(28,451,2,21,2,NULL,1,NULL,1),(28,451,2,21,3,8,6,4,NULL),(28,451,2,21,4,NULL,2,NULL,NULL),(28,451,2,21,5,1,1,1,NULL),(28,451,2,21,6,5,7,2,2),(28,451,2,21,7,NULL,6,NULL,2),(28,451,2,21,8,1,3,1,NULL),(28,451,2,21,9,1,3,1,NULL),(28,451,2,21,10,6,3,2,1),(28,451,2,21,11,NULL,3,NULL,NULL),(28,451,2,21,12,1,6,NULL,2),(28,451,2,21,13,1,9,NULL,2),(28,451,2,21,14,3,3,2,NULL),(28,451,2,21,15,1,4,1,3),(28,451,2,21,16,4,6,2,NULL),(28,451,2,21,17,NULL,1,NULL,NULL),(28,451,2,21,18,5,6,2,NULL),(28,451,2,21,19,1,6,NULL,2),(28,451,2,21,20,2,8,1,3),(28,451,2,21,21,1,3,NULL,2),(28,451,2,21,22,1,NULL,1,NULL),(28,451,2,21,23,NULL,3,NULL,NULL),(28,451,2,21,24,NULL,4,NULL,1),(28,451,2,21,25,NULL,4,NULL,1),(28,451,2,21,26,NULL,4,NULL,1),(28,451,2,21,27,2,6,2,1),(28,451,2,21,28,NULL,1,NULL,NULL),(28,451,2,21,29,NULL,NULL,NULL,NULL),(28,451,2,21,30,NULL,2,NULL,1),(28,451,2,21,31,NULL,5,NULL,NULL),(28,451,2,21,32,NULL,1,NULL,NULL),(28,451,2,21,33,NULL,3,NULL,2),(28,451,2,21,34,NULL,2,NULL,1),(28,451,2,21,35,NULL,NULL,NULL,NULL),(28,451,2,21,36,NULL,3,NULL,NULL),(28,451,2,21,37,NULL,1,NULL,1),(28,451,2,21,38,NULL,1,NULL,NULL),(28,451,2,21,39,1,3,1,2),(28,451,2,21,40,NULL,7,NULL,1),(28,451,2,22,1,1,16,NULL,4),(28,451,2,22,2,NULL,9,NULL,3),(28,451,2,22,3,7,6,4,1),(28,451,2,22,4,NULL,4,NULL,1),(28,451,2,22,5,2,2,1,1),(28,451,2,22,6,13,7,5,1),(28,451,2,22,7,1,12,NULL,4),(28,451,2,22,8,2,3,2,1),(28,451,2,22,9,2,NULL,1,NULL),(28,451,2,22,10,3,2,2,NULL),(28,451,2,22,11,2,1,NULL,NULL),(28,451,2,22,12,3,6,2,1),(28,451,2,22,13,1,11,1,3),(28,451,2,22,14,3,6,2,2),(28,451,2,22,15,5,7,NULL,5),(28,451,2,22,16,5,2,4,NULL),(28,451,2,22,17,NULL,NULL,NULL,NULL),(28,451,2,22,18,11,4,7,NULL),(28,451,2,22,19,7,6,4,1),(28,451,2,22,20,6,6,3,NULL),(28,451,2,22,21,2,1,NULL,NULL),(28,451,2,22,22,1,2,1,1),(28,451,2,22,23,NULL,3,NULL,1),(28,451,2,22,24,NULL,5,NULL,3),(28,451,2,22,25,NULL,4,NULL,2),(28,451,2,22,26,1,3,NULL,1),(28,451,2,22,27,2,5,1,3),(28,451,2,22,28,NULL,1,NULL,NULL),(28,451,2,22,29,2,1,NULL,1),(28,451,2,22,30,1,2,NULL,2),(28,451,2,22,31,NULL,3,NULL,NULL),(28,451,2,22,32,NULL,NULL,NULL,NULL),(28,451,2,22,33,2,NULL,1,NULL),(28,451,2,22,34,1,5,1,1),(28,451,2,22,35,1,NULL,NULL,NULL),(28,451,2,22,36,1,1,1,NULL),(28,451,2,22,37,NULL,3,NULL,1),(28,451,2,22,38,NULL,1,NULL,1),(28,451,2,22,39,1,3,1,1),(28,451,2,22,40,NULL,8,NULL,4),(28,451,2,23,1,NULL,11,NULL,6),(28,451,2,23,2,NULL,4,NULL,1),(28,451,2,23,3,6,7,5,6),(28,451,2,23,4,NULL,4,NULL,3),(28,451,2,23,5,2,5,2,4),(28,451,2,23,6,4,15,2,7),(28,451,2,23,7,NULL,9,NULL,4),(28,451,2,23,8,1,9,1,6),(28,451,2,23,9,NULL,1,NULL,1),(28,451,2,23,10,2,4,1,3),(28,451,2,23,11,NULL,1,NULL,NULL),(28,451,2,23,12,1,9,1,6),(28,451,2,23,13,2,12,2,7),(28,451,2,23,14,4,8,4,6),(28,451,2,23,15,2,9,1,6),(28,451,2,23,16,5,9,4,5),(28,451,2,23,17,3,1,2,NULL),(28,451,2,23,18,5,10,4,5),(28,451,2,23,19,5,4,4,2),(28,451,2,23,20,4,6,3,4),(28,451,2,23,21,2,5,NULL,3),(28,451,2,23,22,3,5,3,5),(28,451,2,23,23,NULL,1,NULL,NULL),(28,451,2,23,24,NULL,2,NULL,NULL),(28,451,2,23,25,2,3,1,1),(28,451,2,23,26,2,3,2,3),(28,451,2,23,27,3,5,2,4),(28,451,2,23,28,NULL,3,NULL,3),(28,451,2,23,29,NULL,2,NULL,1),(28,451,2,23,30,NULL,4,NULL,4),(28,451,2,23,31,NULL,6,NULL,3),(28,451,2,23,32,1,1,1,1),(28,451,2,23,33,1,3,1,2),(28,451,2,23,34,1,3,NULL,3),(28,451,2,23,35,3,NULL,2,NULL),(28,451,2,23,36,1,2,1,1),(28,451,2,23,37,NULL,3,NULL,2),(28,451,2,23,38,NULL,NULL,NULL,NULL),(28,451,2,23,39,NULL,4,NULL,3),(28,451,2,23,40,NULL,9,NULL,8),(28,451,2,24,1,NULL,6,NULL,4),(28,451,2,24,2,NULL,7,NULL,2),(28,451,2,24,3,6,5,4,2),(28,451,2,24,4,NULL,5,NULL,4),(28,451,2,24,5,4,1,3,1),(28,451,2,24,6,8,7,2,3),(28,451,2,24,7,NULL,4,NULL,2),(28,451,2,24,8,NULL,6,NULL,4),(28,451,2,24,9,2,4,1,2),(28,451,2,24,10,3,7,2,2),(28,451,2,24,11,1,2,1,2),(28,451,2,24,12,3,7,1,5),(28,451,2,24,13,2,9,1,4),(28,451,2,24,14,3,7,2,2),(28,451,2,24,15,4,2,3,1),(28,451,2,24,16,2,9,2,5),(28,451,2,24,17,2,3,2,NULL),(28,451,2,24,18,6,6,2,4),(28,451,2,24,19,3,5,1,4),(28,451,2,24,20,3,4,1,3),(28,451,2,24,21,2,1,2,1),(28,451,2,24,22,2,1,2,1),(28,451,2,24,23,NULL,1,NULL,1),(28,451,2,24,24,NULL,4,NULL,1),(28,451,2,24,25,1,5,NULL,2),(28,451,2,24,26,1,3,NULL,2),(28,451,2,24,27,4,2,3,NULL),(28,451,2,24,28,NULL,2,NULL,1),(28,451,2,24,29,NULL,2,NULL,1),(28,451,2,24,30,NULL,7,NULL,2),(28,451,2,24,31,NULL,10,NULL,3),(28,451,2,24,32,NULL,3,NULL,2),(28,451,2,24,33,NULL,2,NULL,2),(28,451,2,24,34,1,5,NULL,3),(28,451,2,24,35,1,NULL,NULL,NULL),(28,451,2,24,36,NULL,3,NULL,2),(28,451,2,24,37,1,4,1,2),(28,451,2,24,38,1,NULL,1,NULL),(28,451,2,24,39,1,2,1,1),(28,451,2,24,40,2,3,2,2),(28,454,1,11,1,1,NULL,1,NULL),(28,454,1,11,2,NULL,1,NULL,1),(28,454,1,11,3,1,1,NULL,1),(28,454,1,11,4,NULL,1,NULL,NULL),(28,454,1,11,5,NULL,1,NULL,1),(28,454,1,11,6,2,NULL,1,NULL),(28,454,1,11,7,NULL,2,NULL,1),(28,454,1,11,8,1,2,NULL,1),(28,454,1,11,9,1,NULL,NULL,NULL),(28,454,1,11,10,1,1,NULL,1),(28,454,1,11,11,1,NULL,NULL,NULL),(28,454,1,11,12,NULL,2,NULL,1),(28,454,1,11,13,2,1,NULL,1),(28,454,1,11,14,2,1,NULL,1),(28,454,1,11,15,NULL,1,NULL,NULL),(28,454,1,11,16,2,1,NULL,1),(28,454,1,11,17,3,NULL,1,NULL),(28,454,1,11,18,2,NULL,NULL,NULL),(28,454,1,11,19,2,NULL,NULL,NULL),(28,454,1,11,20,3,NULL,1,NULL),(28,454,1,11,21,NULL,NULL,NULL,NULL),(28,454,1,11,22,NULL,1,NULL,NULL),(28,454,1,11,23,NULL,1,NULL,1),(28,454,1,11,24,NULL,NULL,NULL,NULL),(28,454,1,11,25,NULL,NULL,NULL,NULL),(28,454,1,11,26,NULL,NULL,NULL,NULL),(28,454,1,11,27,1,NULL,NULL,NULL),(28,454,1,11,28,NULL,1,NULL,NULL),(28,454,1,11,29,NULL,1,NULL,1),(28,454,1,11,30,NULL,NULL,NULL,NULL),(28,454,1,11,31,NULL,NULL,NULL,NULL),(28,454,1,11,32,1,1,1,NULL),(28,454,1,11,33,1,NULL,NULL,NULL),(28,454,1,11,34,1,2,NULL,1),(28,454,1,11,35,NULL,NULL,NULL,NULL),(28,454,1,11,36,NULL,NULL,NULL,NULL),(28,454,1,11,37,NULL,1,NULL,NULL),(28,454,1,11,38,NULL,NULL,NULL,NULL),(28,454,1,11,39,1,1,NULL,1),(28,454,1,11,40,NULL,NULL,NULL,NULL),(28,454,1,12,1,2,NULL,1,NULL),(28,454,1,12,2,NULL,NULL,NULL,NULL),(28,454,1,12,3,1,1,NULL,1),(28,454,1,12,4,NULL,2,NULL,1),(28,454,1,12,5,NULL,1,NULL,NULL),(28,454,1,12,6,NULL,2,NULL,1),(28,454,1,12,7,NULL,NULL,NULL,NULL),(28,454,1,12,8,1,NULL,1,NULL),(28,454,1,12,9,NULL,NULL,NULL,NULL),(28,454,1,12,10,NULL,NULL,NULL,NULL),(28,454,1,12,11,NULL,NULL,NULL,NULL),(28,454,1,12,12,NULL,NULL,NULL,NULL),(28,454,1,12,13,1,NULL,1,NULL),(28,454,1,12,14,1,1,1,NULL),(28,454,1,12,15,1,NULL,1,NULL),(28,454,1,12,16,1,NULL,NULL,NULL),(28,454,1,12,17,2,NULL,1,NULL),(28,454,1,12,18,NULL,NULL,NULL,NULL),(28,454,1,12,19,1,1,1,NULL),(28,454,1,12,20,2,NULL,1,NULL),(28,454,1,12,21,NULL,NULL,NULL,NULL),(28,454,1,12,22,NULL,NULL,NULL,NULL),(28,454,1,12,23,NULL,NULL,NULL,NULL),(28,454,1,12,24,NULL,NULL,NULL,NULL),(28,454,1,12,25,NULL,1,NULL,1),(28,454,1,12,26,NULL,NULL,NULL,NULL),(28,454,1,12,27,NULL,NULL,NULL,NULL),(28,454,1,12,28,NULL,1,NULL,1),(28,454,1,12,29,1,NULL,1,NULL),(28,454,1,12,30,NULL,NULL,NULL,NULL),(28,454,1,12,31,1,NULL,NULL,NULL),(28,454,1,12,32,1,NULL,1,NULL),(28,454,1,12,33,NULL,NULL,NULL,NULL),(28,454,1,12,34,NULL,NULL,NULL,NULL),(28,454,1,12,35,NULL,NULL,NULL,NULL),(28,454,1,12,36,NULL,NULL,NULL,NULL),(28,454,1,12,37,1,NULL,NULL,NULL),(28,454,1,12,38,NULL,NULL,NULL,NULL),(28,454,1,12,39,NULL,NULL,NULL,NULL),(28,454,1,12,40,NULL,NULL,NULL,NULL),(28,454,1,13,1,NULL,NULL,NULL,NULL),(28,454,1,13,2,NULL,NULL,NULL,NULL),(28,454,1,13,3,NULL,NULL,NULL,NULL),(28,454,1,13,4,NULL,NULL,NULL,NULL),(28,454,1,13,5,NULL,NULL,NULL,NULL),(28,454,1,13,6,NULL,NULL,NULL,NULL),(28,454,1,13,7,NULL,NULL,NULL,NULL),(28,454,1,13,8,NULL,NULL,NULL,NULL),(28,454,1,13,9,NULL,NULL,NULL,NULL),(28,454,1,13,10,NULL,NULL,NULL,NULL),(28,454,1,13,11,NULL,NULL,NULL,NULL),(28,454,1,13,12,NULL,NULL,NULL,NULL),(28,454,1,13,13,NULL,NULL,NULL,NULL),(28,454,1,13,14,NULL,NULL,NULL,NULL),(28,454,1,13,15,NULL,NULL,NULL,NULL),(28,454,1,13,16,NULL,NULL,NULL,NULL),(28,454,1,13,17,NULL,NULL,NULL,NULL),(28,454,1,13,18,NULL,NULL,NULL,NULL),(28,454,1,13,19,NULL,NULL,NULL,NULL),(28,454,1,13,20,NULL,NULL,NULL,NULL),(28,454,1,13,21,NULL,NULL,NULL,NULL),(28,454,1,13,22,NULL,NULL,NULL,NULL),(28,454,1,13,23,NULL,NULL,NULL,NULL),(28,454,1,13,24,NULL,NULL,NULL,NULL),(28,454,1,13,25,NULL,NULL,NULL,NULL),(28,454,1,13,26,NULL,NULL,NULL,NULL),(28,454,1,13,27,NULL,NULL,NULL,NULL),(28,454,1,13,28,NULL,NULL,NULL,NULL),(28,454,1,13,29,NULL,NULL,NULL,NULL),(28,454,1,13,30,NULL,NULL,NULL,NULL),(28,454,1,13,31,NULL,NULL,NULL,NULL),(28,454,1,13,32,NULL,NULL,NULL,NULL),(28,454,1,13,33,NULL,NULL,NULL,NULL),(28,454,1,13,34,NULL,NULL,NULL,NULL),(28,454,1,13,35,NULL,NULL,NULL,NULL),(28,454,1,13,36,NULL,NULL,NULL,NULL),(28,454,1,13,37,NULL,NULL,NULL,NULL),(28,454,1,13,38,NULL,NULL,NULL,NULL),(28,454,1,13,39,NULL,NULL,NULL,NULL),(28,454,1,13,40,NULL,NULL,NULL,NULL),(28,454,1,14,1,86,NULL,27,NULL),(28,454,1,14,2,7,57,2,21),(28,454,1,14,3,57,58,17,13),(28,454,1,14,4,23,39,5,4),(28,454,1,14,5,49,52,14,13),(28,454,1,14,6,18,87,7,23),(28,454,1,14,7,22,43,7,7),(28,454,1,14,8,23,79,7,24),(28,454,1,14,9,24,47,5,11),(28,454,1,14,10,95,41,29,7),(28,454,1,14,11,31,34,4,12),(28,454,1,14,12,25,47,11,12),(28,454,1,14,13,115,53,33,10),(28,454,1,14,14,62,57,17,11),(28,454,1,14,15,104,NULL,32,NULL),(28,454,1,14,16,105,42,30,9),(28,454,1,14,17,52,96,18,16),(28,454,1,14,18,54,48,21,9),(28,454,1,14,19,103,54,23,16),(28,454,1,14,20,86,85,31,10),(28,454,1,14,21,2,17,NULL,3),(28,454,1,14,22,4,26,1,4),(28,454,1,14,23,6,39,NULL,13),(28,454,1,14,24,NULL,NULL,NULL,NULL),(28,454,1,14,25,4,25,1,3),(28,454,1,14,26,5,18,1,9),(28,454,1,14,27,38,NULL,15,NULL),(28,454,1,14,28,NULL,6,NULL,2),(28,454,1,14,29,8,39,1,12),(28,454,1,14,30,23,41,3,14),(28,454,1,14,31,6,21,2,7),(28,454,1,14,32,21,45,8,12),(28,454,1,14,33,10,43,4,13),(28,454,1,14,34,53,33,20,9),(28,454,1,14,35,14,15,7,8),(28,454,1,14,36,5,NULL,3,NULL),(28,454,1,14,37,8,29,2,6),(28,454,1,14,38,6,31,5,12),(28,454,1,14,39,32,61,13,16),(28,454,1,14,40,17,NULL,6,NULL),(28,454,1,15,1,76,NULL,28,NULL),(28,454,1,15,2,6,61,3,21),(28,454,1,15,3,49,54,22,20),(28,454,1,15,4,20,38,5,13),(28,454,1,15,5,41,55,16,18),(28,454,1,15,6,21,86,9,28),(28,454,1,15,7,19,37,6,16),(28,454,1,15,8,10,81,5,28),(28,454,1,15,9,24,40,11,16),(28,454,1,15,10,101,25,34,12),(28,454,1,15,11,26,31,11,17),(28,454,1,15,12,21,44,10,17),(28,454,1,15,13,115,45,35,15),(28,454,1,15,14,57,55,23,19),(28,454,1,15,15,106,NULL,33,NULL),(28,454,1,15,16,89,50,33,13),(28,454,1,15,17,53,85,17,26),(28,454,1,15,18,53,36,20,8),(28,454,1,15,19,115,43,38,9),(28,454,1,15,20,78,87,28,19),(28,454,1,15,21,3,14,NULL,4),(28,454,1,15,22,6,34,1,9),(28,454,1,15,23,5,38,1,12),(28,454,1,15,24,5,NULL,2,NULL),(28,454,1,15,25,2,18,NULL,4),(28,454,1,15,26,2,20,1,7),(28,454,1,15,27,40,NULL,14,NULL),(28,454,1,15,28,1,9,NULL,2),(28,454,1,15,29,11,37,4,20),(28,454,1,15,30,14,43,7,17),(28,454,1,15,31,8,28,4,15),(28,454,1,15,32,15,41,3,20),(28,454,1,15,33,21,37,11,17),(28,454,1,15,34,49,23,25,8),(28,454,1,15,35,12,23,6,10),(28,454,1,15,36,5,NULL,3,NULL),(28,454,1,15,37,6,25,1,8),(28,454,1,15,38,6,29,6,12),(28,454,1,15,39,29,59,13,23),(28,454,1,15,40,8,NULL,4,NULL),(28,454,1,16,1,34,NULL,5,NULL),(28,454,1,16,2,1,19,NULL,3),(28,454,1,16,3,13,35,3,4),(28,454,1,16,4,12,25,3,NULL),(28,454,1,16,5,16,32,2,1),(28,454,1,16,6,4,42,1,4),(28,454,1,16,7,13,32,4,4),(28,454,1,16,8,5,33,NULL,6),(28,454,1,16,9,12,27,1,3),(28,454,1,16,10,49,17,6,2),(28,454,1,16,11,10,19,4,3),(28,454,1,16,12,7,18,2,1),(28,454,1,16,13,92,NULL,12,NULL),(28,454,1,16,14,76,17,9,2),(28,454,1,16,15,27,39,4,7),(28,454,1,16,16,69,NULL,10,NULL),(28,454,1,16,17,41,47,4,6),(28,454,1,16,18,27,27,5,3),(28,454,1,16,19,17,43,2,5),(28,454,1,16,20,15,39,2,6),(28,454,1,16,21,1,8,NULL,NULL),(28,454,1,16,22,4,18,1,1),(28,454,1,16,23,1,21,NULL,2),(28,454,1,16,24,2,NULL,NULL,NULL),(28,454,1,16,25,2,14,NULL,NULL),(28,454,1,16,26,2,6,1,2),(28,454,1,16,27,13,NULL,2,NULL),(28,454,1,16,28,1,3,NULL,NULL),(28,454,1,16,29,3,30,NULL,3),(28,454,1,16,30,11,34,2,4),(28,454,1,16,31,2,12,NULL,3),(28,454,1,16,32,7,29,1,4),(28,454,1,16,33,6,23,NULL,3),(28,454,1,16,34,21,17,2,3),(28,454,1,16,35,1,9,NULL,1),(28,454,1,16,36,2,NULL,NULL,NULL),(28,454,1,16,37,5,9,NULL,1),(28,454,1,16,38,1,15,NULL,2),(28,454,1,16,39,14,31,2,5),(28,454,1,16,40,5,NULL,NULL,NULL),(28,454,1,17,1,32,NULL,8,NULL),(28,454,1,17,2,1,20,NULL,6),(28,454,1,17,3,11,22,2,6),(28,454,1,17,4,9,20,1,2),(28,454,1,17,5,16,27,4,4),(28,454,1,17,6,7,52,1,9),(28,454,1,17,7,4,26,NULL,3),(28,454,1,17,8,4,28,2,4),(28,454,1,17,9,10,22,1,5),(28,454,1,17,10,44,13,8,1),(28,454,1,17,11,11,15,1,3),(28,454,1,17,12,4,13,2,3),(28,454,1,17,13,95,NULL,12,NULL),(28,454,1,17,14,79,15,11,1),(28,454,1,17,15,29,44,3,5),(28,454,1,17,16,72,NULL,11,NULL),(28,454,1,17,17,47,39,7,4),(28,454,1,17,18,20,19,4,3),(28,454,1,17,19,15,43,2,5),(28,454,1,17,20,14,37,3,3),(28,454,1,17,21,3,10,1,1),(28,454,1,17,22,4,11,1,1),(28,454,1,17,23,3,20,1,5),(28,454,1,17,24,3,NULL,1,NULL),(28,454,1,17,25,5,10,1,1),(28,454,1,17,26,NULL,13,NULL,3),(28,454,1,17,27,18,NULL,3,NULL),(28,454,1,17,28,2,8,NULL,NULL),(28,454,1,17,29,4,10,NULL,2),(28,454,1,17,30,5,23,NULL,5),(28,454,1,17,31,5,12,NULL,2),(28,454,1,17,32,9,32,1,7),(28,454,1,17,33,NULL,21,NULL,4),(28,454,1,17,34,19,14,4,4),(28,454,1,17,35,NULL,11,NULL,2),(28,454,1,17,36,1,NULL,1,NULL),(28,454,1,17,37,2,10,NULL,3),(28,454,1,17,38,NULL,12,NULL,2),(28,454,1,17,39,12,33,1,4),(28,454,1,17,40,5,NULL,1,NULL),(28,454,1,18,1,NULL,NULL,NULL,NULL),(28,454,1,18,2,NULL,NULL,NULL,NULL),(28,454,1,18,3,NULL,NULL,NULL,NULL),(28,454,1,18,4,NULL,NULL,NULL,NULL),(28,454,1,18,5,NULL,NULL,NULL,NULL),(28,454,1,18,6,NULL,NULL,NULL,NULL),(28,454,1,18,7,NULL,NULL,NULL,NULL),(28,454,1,18,8,NULL,NULL,NULL,NULL),(28,454,1,18,9,NULL,NULL,NULL,NULL),(28,454,1,18,10,NULL,NULL,NULL,NULL),(28,454,1,18,11,NULL,NULL,NULL,NULL),(28,454,1,18,12,NULL,NULL,NULL,NULL),(28,454,1,18,13,NULL,NULL,NULL,NULL),(28,454,1,18,14,NULL,NULL,NULL,NULL),(28,454,1,18,15,NULL,NULL,NULL,NULL),(28,454,1,18,16,NULL,NULL,NULL,NULL),(28,454,1,18,17,NULL,NULL,NULL,NULL),(28,454,1,18,18,NULL,NULL,NULL,NULL),(28,454,1,18,19,NULL,NULL,NULL,NULL),(28,454,1,18,20,NULL,NULL,NULL,NULL),(28,454,1,18,21,NULL,NULL,NULL,NULL),(28,454,1,18,22,NULL,NULL,NULL,NULL),(28,454,1,18,23,NULL,NULL,NULL,NULL),(28,454,1,18,24,NULL,NULL,NULL,NULL),(28,454,1,18,25,NULL,NULL,NULL,NULL),(28,454,1,18,26,NULL,NULL,NULL,NULL),(28,454,1,18,27,NULL,NULL,NULL,NULL),(28,454,1,18,28,NULL,NULL,NULL,NULL),(28,454,1,18,29,NULL,NULL,NULL,NULL),(28,454,1,18,30,NULL,NULL,NULL,NULL),(28,454,1,18,31,NULL,NULL,NULL,NULL),(28,454,1,18,32,NULL,NULL,NULL,NULL),(28,454,1,18,33,NULL,NULL,NULL,NULL),(28,454,1,18,34,NULL,NULL,NULL,NULL),(28,454,1,18,35,NULL,NULL,NULL,NULL),(28,454,1,18,36,NULL,NULL,NULL,NULL),(28,454,1,18,37,NULL,NULL,NULL,NULL),(28,454,1,18,38,NULL,NULL,NULL,NULL),(28,454,1,18,39,NULL,NULL,NULL,NULL),(28,454,1,18,40,NULL,NULL,NULL,NULL),(28,454,1,19,1,NULL,NULL,NULL,NULL),(28,454,1,19,2,NULL,NULL,NULL,NULL),(28,454,1,19,3,NULL,NULL,NULL,NULL),(28,454,1,19,4,NULL,NULL,NULL,NULL),(28,454,1,19,5,NULL,NULL,NULL,NULL),(28,454,1,19,6,NULL,NULL,NULL,NULL),(28,454,1,19,7,NULL,NULL,NULL,NULL),(28,454,1,19,8,NULL,NULL,NULL,NULL),(28,454,1,19,9,NULL,NULL,NULL,NULL),(28,454,1,19,10,NULL,NULL,NULL,NULL),(28,454,1,19,11,NULL,NULL,NULL,NULL),(28,454,1,19,12,NULL,NULL,NULL,NULL),(28,454,1,19,13,NULL,NULL,NULL,NULL),(28,454,1,19,14,NULL,NULL,NULL,NULL),(28,454,1,19,15,NULL,NULL,NULL,NULL),(28,454,1,19,16,NULL,NULL,NULL,NULL),(28,454,1,19,17,NULL,NULL,NULL,NULL),(28,454,1,19,18,NULL,NULL,NULL,NULL),(28,454,1,19,19,NULL,NULL,NULL,NULL),(28,454,1,19,20,NULL,NULL,NULL,NULL),(28,454,1,19,21,NULL,NULL,NULL,NULL),(28,454,1,19,22,NULL,NULL,NULL,NULL),(28,454,1,19,23,NULL,NULL,NULL,NULL),(28,454,1,19,24,NULL,NULL,NULL,NULL),(28,454,1,19,25,NULL,NULL,NULL,NULL),(28,454,1,19,26,NULL,NULL,NULL,NULL),(28,454,1,19,27,NULL,NULL,NULL,NULL),(28,454,1,19,28,NULL,NULL,NULL,NULL),(28,454,1,19,29,NULL,NULL,NULL,NULL),(28,454,1,19,30,NULL,NULL,NULL,NULL),(28,454,1,19,31,NULL,NULL,NULL,NULL),(28,454,1,19,32,NULL,NULL,NULL,NULL),(28,454,1,19,33,NULL,NULL,NULL,NULL),(28,454,1,19,34,NULL,NULL,NULL,NULL),(28,454,1,19,35,NULL,NULL,NULL,NULL),(28,454,1,19,36,NULL,NULL,NULL,NULL),(28,454,1,19,37,NULL,NULL,NULL,NULL),(28,454,1,19,38,NULL,NULL,NULL,NULL),(28,454,1,19,39,NULL,NULL,NULL,NULL),(28,454,1,19,40,NULL,NULL,NULL,NULL),(28,454,2,21,1,4,44,2,4),(28,454,2,21,2,2,33,1,9),(28,454,2,21,3,60,43,10,10),(28,454,2,21,4,3,14,2,2),(28,454,2,21,5,13,39,3,9),(28,454,2,21,6,46,50,10,6),(28,454,2,21,7,1,42,NULL,4),(28,454,2,21,8,18,22,8,2),(28,454,2,21,9,8,27,1,5),(28,454,2,21,10,19,42,5,9),(28,454,2,21,11,15,25,6,3),(28,454,2,21,12,14,43,5,7),(28,454,2,21,13,16,71,4,12),(28,454,2,21,14,30,53,10,10),(28,454,2,21,15,13,26,5,4),(28,454,2,21,16,19,52,6,10),(28,454,2,21,17,4,20,NULL,3),(28,454,2,21,18,45,57,10,10),(28,454,2,21,19,23,48,6,9),(28,454,2,21,20,36,31,14,3),(28,454,2,21,21,3,21,NULL,3),(28,454,2,21,22,18,19,9,6),(28,454,2,21,23,4,15,2,2),(28,454,2,21,24,9,21,2,3),(28,454,2,21,25,7,25,NULL,6),(28,454,2,21,26,2,30,NULL,4),(28,454,2,21,27,5,52,1,12),(28,454,2,21,28,8,20,3,8),(28,454,2,21,29,1,13,NULL,3),(28,454,2,21,30,5,19,NULL,2),(28,454,2,21,31,1,47,1,6),(28,454,2,21,32,1,7,1,NULL),(28,454,2,21,33,11,20,4,3),(28,454,2,21,34,3,43,1,10),(28,454,2,21,35,12,NULL,5,NULL),(28,454,2,21,36,3,14,NULL,1),(28,454,2,21,37,5,18,1,4),(28,454,2,21,38,1,3,NULL,1),(28,454,2,21,39,2,19,1,9),(28,454,2,21,40,2,48,NULL,9),(28,454,2,22,1,4,65,NULL,16),(28,454,2,22,2,2,38,NULL,11),(28,454,2,22,3,57,45,17,6),(28,454,2,22,4,3,16,NULL,5),(28,454,2,22,5,16,32,10,11),(28,454,2,22,6,46,60,6,16),(28,454,2,22,7,1,55,NULL,15),(28,454,2,22,8,12,35,2,11),(28,454,2,22,9,6,16,3,4),(28,454,2,22,10,30,27,13,5),(28,454,2,22,11,26,23,9,6),(28,454,2,22,12,19,49,6,9),(28,454,2,22,13,18,67,8,15),(28,454,2,22,14,38,38,10,15),(28,454,2,22,15,21,44,7,11),(28,454,2,22,16,16,67,4,21),(28,454,2,22,17,5,14,1,3),(28,454,2,22,18,40,55,12,12),(28,454,2,22,19,20,43,7,12),(28,454,2,22,20,44,35,16,6),(28,454,2,22,21,3,26,2,5),(28,454,2,22,22,15,18,6,5),(28,454,2,22,23,2,13,1,5),(28,454,2,22,24,7,18,1,2),(28,454,2,22,25,7,30,3,5),(28,454,2,22,26,7,20,NULL,4),(28,454,2,22,27,9,58,2,17),(28,454,2,22,28,3,25,2,8),(28,454,2,22,29,NULL,17,NULL,5),(28,454,2,22,30,6,17,1,3),(28,454,2,22,31,2,37,1,8),(28,454,2,22,32,1,7,NULL,3),(28,454,2,22,33,10,26,3,9),(28,454,2,22,34,9,28,5,7),(28,454,2,22,35,13,NULL,3,NULL),(28,454,2,22,36,2,11,NULL,4),(28,454,2,22,37,3,15,NULL,6),(28,454,2,22,38,NULL,11,NULL,5),(28,454,2,22,39,2,24,NULL,6),(28,454,2,22,40,5,64,2,18),(28,454,2,23,1,3,42,2,15),(28,454,2,23,2,NULL,24,NULL,6),(28,454,2,23,3,47,49,14,15),(28,454,2,23,4,NULL,8,NULL,1),(28,454,2,23,5,10,34,4,13),(28,454,2,23,6,27,64,2,16),(28,454,2,23,7,NULL,46,NULL,11),(28,454,2,23,8,12,24,2,8),(28,454,2,23,9,4,16,2,7),(28,454,2,23,10,24,37,8,13),(28,454,2,23,11,16,31,8,8),(28,454,2,23,12,15,40,3,9),(28,454,2,23,13,11,78,6,18),(28,454,2,23,14,28,49,8,18),(28,454,2,23,15,21,37,6,10),(28,454,2,23,16,20,53,7,11),(28,454,2,23,17,9,25,1,6),(28,454,2,23,18,34,51,7,16),(28,454,2,23,19,27,36,8,11),(28,454,2,23,20,41,24,10,4),(28,454,2,23,21,7,17,2,2),(28,454,2,23,22,19,19,10,5),(28,454,2,23,23,2,17,1,5),(28,454,2,23,24,2,21,NULL,4),(28,454,2,23,25,5,14,NULL,5),(28,454,2,23,26,2,32,NULL,12),(28,454,2,23,27,7,44,NULL,12),(28,454,2,23,28,2,20,NULL,9),(28,454,2,23,29,2,12,NULL,1),(28,454,2,23,30,1,21,NULL,4),(28,454,2,23,31,1,31,NULL,6),(28,454,2,23,32,1,11,NULL,4),(28,454,2,23,33,11,23,3,9),(28,454,2,23,34,5,26,3,11),(28,454,2,23,35,17,NULL,9,NULL),(28,454,2,23,36,NULL,7,NULL,2),(28,454,2,23,37,2,26,NULL,8),(28,454,2,23,38,3,8,1,2),(28,454,2,23,39,NULL,15,NULL,6),(28,454,2,23,40,2,50,NULL,14),(28,454,2,24,1,4,59,2,14),(28,454,2,24,2,1,39,NULL,9),(28,454,2,24,3,61,49,18,14),(28,454,2,24,4,NULL,22,NULL,6),(28,454,2,24,5,18,33,7,11),(28,454,2,24,6,39,69,13,17),(28,454,2,24,7,NULL,45,NULL,12),(28,454,2,24,8,12,21,7,4),(28,454,2,24,9,4,17,3,7),(28,454,2,24,10,26,33,8,10),(28,454,2,24,11,19,24,13,6),(28,454,2,24,12,19,54,4,14),(28,454,2,24,13,16,79,9,20),(28,454,2,24,14,26,61,13,16),(28,454,2,24,15,20,38,7,13),(28,454,2,24,16,23,61,7,19),(28,454,2,24,17,9,28,3,8),(28,454,2,24,18,52,57,10,21),(28,454,2,24,19,24,46,8,15),(28,454,2,24,20,37,45,16,9),(28,454,2,24,21,3,25,2,4),(28,454,2,24,22,14,22,8,10),(28,454,2,24,23,1,15,1,7),(28,454,2,24,24,4,27,1,7),(28,454,2,24,25,4,21,NULL,5),(28,454,2,24,26,6,35,2,10),(28,454,2,24,27,13,58,4,22),(28,454,2,24,28,7,20,1,10),(28,454,2,24,29,1,17,NULL,10),(28,454,2,24,30,6,21,2,7),(28,454,2,24,31,5,44,2,11),(28,454,2,24,32,1,10,1,3),(28,454,2,24,33,10,24,5,7),(28,454,2,24,34,10,42,2,16),(28,454,2,24,35,18,NULL,6,NULL),(28,454,2,24,36,NULL,13,NULL,NULL),(28,454,2,24,37,2,17,2,7),(28,454,2,24,38,2,7,NULL,2),(28,454,2,24,39,2,19,1,5),(28,454,2,24,40,7,60,4,19),(28,501,1,11,1,2,NULL,NULL,NULL),(28,501,1,11,2,NULL,NULL,NULL,NULL),(28,501,1,11,3,NULL,1,NULL,NULL),(28,501,1,11,4,NULL,NULL,NULL,NULL),(28,501,1,11,5,NULL,NULL,NULL,NULL),(28,501,1,11,6,NULL,NULL,NULL,NULL),(28,501,1,11,7,NULL,NULL,NULL,NULL),(28,501,1,11,8,NULL,NULL,NULL,NULL),(28,501,1,11,9,NULL,1,NULL,NULL),(28,501,1,11,10,NULL,1,NULL,NULL),(28,501,1,11,11,NULL,NULL,NULL,NULL),(28,501,1,11,12,NULL,NULL,NULL,NULL),(28,501,1,11,13,2,NULL,NULL,NULL),(28,501,1,11,14,2,NULL,NULL,NULL),(28,501,1,11,15,2,NULL,NULL,NULL),(28,501,1,11,16,2,NULL,NULL,NULL),(28,501,1,11,17,2,NULL,NULL,NULL),(28,501,1,11,18,2,NULL,NULL,NULL),(28,501,1,11,19,1,NULL,NULL,NULL),(28,501,1,11,20,2,NULL,NULL,NULL),(28,501,1,11,21,NULL,NULL,NULL,NULL),(28,501,1,11,22,NULL,NULL,NULL,NULL),(28,501,1,11,23,NULL,NULL,NULL,NULL),(28,501,1,11,24,NULL,NULL,NULL,NULL),(28,501,1,11,25,NULL,NULL,NULL,NULL),(28,501,1,11,26,NULL,NULL,NULL,NULL),(28,501,1,11,27,NULL,NULL,NULL,NULL),(28,501,1,11,28,NULL,NULL,NULL,NULL),(28,501,1,11,29,NULL,NULL,NULL,NULL),(28,501,1,11,30,NULL,1,NULL,NULL),(28,501,1,11,31,NULL,NULL,NULL,NULL),(28,501,1,11,32,NULL,1,NULL,NULL),(28,501,1,11,33,NULL,NULL,NULL,NULL),(28,501,1,11,34,NULL,NULL,NULL,NULL),(28,501,1,11,35,NULL,NULL,NULL,NULL),(28,501,1,11,36,NULL,NULL,NULL,NULL),(28,501,1,11,37,NULL,1,NULL,NULL),(28,501,1,11,38,NULL,NULL,NULL,NULL),(28,501,1,11,39,NULL,1,NULL,NULL),(28,501,1,11,40,NULL,NULL,NULL,NULL),(28,501,1,12,1,1,NULL,1,NULL),(28,501,1,12,2,NULL,1,NULL,1),(28,501,1,12,3,1,NULL,1,NULL),(28,501,1,12,4,1,NULL,1,NULL),(28,501,1,12,5,NULL,1,NULL,1),(28,501,1,12,6,NULL,1,NULL,1),(28,501,1,12,7,NULL,1,NULL,1),(28,501,1,12,8,NULL,NULL,NULL,NULL),(28,501,1,12,9,NULL,1,NULL,1),(28,501,1,12,10,NULL,1,NULL,1),(28,501,1,12,11,NULL,NULL,NULL,NULL),(28,501,1,12,12,NULL,1,NULL,1),(28,501,1,12,13,1,NULL,1,NULL),(28,501,1,12,14,1,NULL,1,NULL),(28,501,1,12,15,NULL,1,NULL,1),(28,501,1,12,16,1,NULL,1,NULL),(28,501,1,12,17,1,NULL,1,NULL),(28,501,1,12,18,1,NULL,1,NULL),(28,501,1,12,19,1,NULL,1,NULL),(28,501,1,12,20,1,NULL,1,NULL),(28,501,1,12,21,NULL,NULL,NULL,NULL),(28,501,1,12,22,NULL,NULL,NULL,NULL),(28,501,1,12,23,NULL,NULL,NULL,NULL),(28,501,1,12,24,NULL,NULL,NULL,NULL),(28,501,1,12,25,NULL,NULL,NULL,NULL),(28,501,1,12,26,NULL,NULL,NULL,NULL),(28,501,1,12,27,1,NULL,1,NULL),(28,501,1,12,28,NULL,NULL,NULL,NULL),(28,501,1,12,29,1,NULL,1,NULL),(28,501,1,12,30,NULL,NULL,NULL,NULL),(28,501,1,12,31,NULL,NULL,NULL,NULL),(28,501,1,12,32,1,NULL,1,NULL),(28,501,1,12,33,NULL,1,NULL,1),(28,501,1,12,34,NULL,1,NULL,1),(28,501,1,12,35,NULL,NULL,NULL,NULL),(28,501,1,12,36,NULL,NULL,NULL,NULL),(28,501,1,12,37,NULL,NULL,NULL,NULL),(28,501,1,12,38,NULL,NULL,NULL,NULL),(28,501,1,12,39,NULL,1,NULL,1),(28,501,1,12,40,NULL,NULL,NULL,NULL),(28,501,1,13,1,NULL,NULL,NULL,NULL),(28,501,1,13,2,NULL,NULL,NULL,NULL),(28,501,1,13,3,NULL,NULL,NULL,NULL),(28,501,1,13,4,NULL,NULL,NULL,NULL),(28,501,1,13,5,NULL,NULL,NULL,NULL),(28,501,1,13,6,NULL,NULL,NULL,NULL),(28,501,1,13,7,NULL,NULL,NULL,NULL),(28,501,1,13,8,NULL,NULL,NULL,NULL),(28,501,1,13,9,NULL,NULL,NULL,NULL),(28,501,1,13,10,NULL,NULL,NULL,NULL),(28,501,1,13,11,NULL,NULL,NULL,NULL),(28,501,1,13,12,NULL,NULL,NULL,NULL),(28,501,1,13,13,NULL,NULL,NULL,NULL),(28,501,1,13,14,NULL,NULL,NULL,NULL),(28,501,1,13,15,NULL,NULL,NULL,NULL),(28,501,1,13,16,NULL,NULL,NULL,NULL),(28,501,1,13,17,NULL,NULL,NULL,NULL),(28,501,1,13,18,NULL,NULL,NULL,NULL),(28,501,1,13,19,NULL,NULL,NULL,NULL),(28,501,1,13,20,NULL,NULL,NULL,NULL),(28,501,1,13,21,NULL,NULL,NULL,NULL),(28,501,1,13,22,NULL,NULL,NULL,NULL),(28,501,1,13,23,NULL,NULL,NULL,NULL),(28,501,1,13,24,NULL,NULL,NULL,NULL),(28,501,1,13,25,NULL,NULL,NULL,NULL),(28,501,1,13,26,NULL,NULL,NULL,NULL),(28,501,1,13,27,NULL,NULL,NULL,NULL),(28,501,1,13,28,NULL,NULL,NULL,NULL),(28,501,1,13,29,NULL,NULL,NULL,NULL),(28,501,1,13,30,NULL,NULL,NULL,NULL),(28,501,1,13,31,NULL,NULL,NULL,NULL),(28,501,1,13,32,NULL,NULL,NULL,NULL),(28,501,1,13,33,NULL,NULL,NULL,NULL),(28,501,1,13,34,NULL,NULL,NULL,NULL),(28,501,1,13,35,NULL,NULL,NULL,NULL),(28,501,1,13,36,NULL,NULL,NULL,NULL),(28,501,1,13,37,NULL,NULL,NULL,NULL),(28,501,1,13,38,NULL,NULL,NULL,NULL),(28,501,1,13,39,NULL,NULL,NULL,NULL),(28,501,1,13,40,NULL,NULL,NULL,NULL),(28,501,1,14,1,18,NULL,16,NULL),(28,501,1,14,2,NULL,8,NULL,7),(28,501,1,14,3,8,15,8,14),(28,501,1,14,4,11,8,8,7),(28,501,1,14,5,12,9,9,5),(28,501,1,14,6,5,21,5,16),(28,501,1,14,7,5,19,3,15),(28,501,1,14,8,2,17,2,14),(28,501,1,14,9,9,9,7,7),(28,501,1,14,10,18,10,13,10),(28,501,1,14,11,2,8,2,8),(28,501,1,14,12,2,8,2,7),(28,501,1,14,13,22,13,18,12),(28,501,1,14,14,13,11,10,9),(28,501,1,14,15,24,NULL,23,NULL),(28,501,1,14,16,18,14,15,10),(28,501,1,14,17,10,27,7,18),(28,501,1,14,18,6,14,4,9),(28,501,1,14,19,25,12,18,8),(28,501,1,14,20,8,31,8,17),(28,501,1,14,21,2,4,1,1),(28,501,1,14,22,1,6,1,5),(28,501,1,14,23,3,6,1,4),(28,501,1,14,24,1,NULL,1,NULL),(28,501,1,14,25,NULL,6,NULL,3),(28,501,1,14,26,NULL,5,NULL,3),(28,501,1,14,27,8,NULL,8,NULL),(28,501,1,14,28,NULL,2,NULL,NULL),(28,501,1,14,29,2,11,1,9),(28,501,1,14,30,4,10,3,7),(28,501,1,14,31,4,8,4,5),(28,501,1,14,32,9,15,7,13),(28,501,1,14,33,6,11,4,11),(28,501,1,14,34,15,12,12,10),(28,501,1,14,35,4,6,4,5),(28,501,1,14,36,3,NULL,2,NULL),(28,501,1,14,37,1,5,NULL,5),(28,501,1,14,38,3,3,3,3),(28,501,1,14,39,10,16,8,13),(28,501,1,14,40,5,NULL,4,NULL),(28,501,1,15,1,20,NULL,15,NULL),(28,501,1,15,2,1,11,1,5),(28,501,1,15,3,9,11,8,8),(28,501,1,15,4,7,11,6,7),(28,501,1,15,5,3,13,1,7),(28,501,1,15,6,3,22,3,12),(28,501,1,15,7,3,8,2,3),(28,501,1,15,8,5,13,4,9),(28,501,1,15,9,3,9,3,5),(28,501,1,15,10,22,8,14,6),(28,501,1,15,11,2,11,1,9),(28,501,1,15,12,1,12,NULL,9),(28,501,1,15,13,20,13,16,8),(28,501,1,15,14,13,10,8,9),(28,501,1,15,15,20,NULL,13,NULL),(28,501,1,15,16,19,9,12,7),(28,501,1,15,17,9,19,8,10),(28,501,1,15,18,6,11,5,6),(28,501,1,15,19,21,8,13,3),(28,501,1,15,20,12,25,7,16),(28,501,1,15,21,NULL,4,NULL,1),(28,501,1,15,22,1,3,1,2),(28,501,1,15,23,4,8,1,6),(28,501,1,15,24,NULL,NULL,NULL,NULL),(28,501,1,15,25,NULL,4,NULL,3),(28,501,1,15,26,2,5,2,2),(28,501,1,15,27,5,NULL,5,NULL),(28,501,1,15,28,NULL,3,NULL,2),(28,501,1,15,29,NULL,9,NULL,6),(28,501,1,15,30,4,5,3,4),(28,501,1,15,31,1,7,1,5),(28,501,1,15,32,7,6,3,6),(28,501,1,15,33,2,8,1,7),(28,501,1,15,34,10,6,8,6),(28,501,1,15,35,4,3,3,2),(28,501,1,15,36,3,NULL,3,NULL),(28,501,1,15,37,2,3,1,2),(28,501,1,15,38,NULL,6,NULL,5),(28,501,1,15,39,12,13,9,9),(28,501,1,15,40,3,NULL,2,NULL),(28,501,1,16,1,10,NULL,6,NULL),(28,501,1,16,2,NULL,6,NULL,4),(28,501,1,16,3,6,12,4,11),(28,501,1,16,4,3,13,2,8),(28,501,1,16,5,7,6,3,2),(28,501,1,16,6,NULL,17,NULL,9),(28,501,1,16,7,5,14,1,7),(28,501,1,16,8,NULL,12,NULL,6),(28,501,1,16,9,7,14,3,7),(28,501,1,16,10,17,11,13,5),(28,501,1,16,11,2,8,1,6),(28,501,1,16,12,3,3,2,2),(28,501,1,16,13,37,NULL,19,NULL),(28,501,1,16,14,25,8,15,3),(28,501,1,16,15,11,18,6,10),(28,501,1,16,16,26,NULL,17,NULL),(28,501,1,16,17,16,19,8,11),(28,501,1,16,18,6,13,4,6),(28,501,1,16,19,6,18,4,9),(28,501,1,16,20,9,10,4,7),(28,501,1,16,21,1,8,NULL,1),(28,501,1,16,22,NULL,6,NULL,2),(28,501,1,16,23,2,7,NULL,3),(28,501,1,16,24,1,NULL,1,NULL),(28,501,1,16,25,1,5,NULL,1),(28,501,1,16,26,1,3,NULL,NULL),(28,501,1,16,27,3,NULL,2,NULL),(28,501,1,16,28,NULL,2,NULL,NULL),(28,501,1,16,29,3,11,1,7),(28,501,1,16,30,5,13,1,8),(28,501,1,16,31,2,5,2,3),(28,501,1,16,32,3,8,NULL,7),(28,501,1,16,33,NULL,8,NULL,6),(28,501,1,16,34,8,5,5,1),(28,501,1,16,35,2,3,2,1),(28,501,1,16,36,1,NULL,1,NULL),(28,501,1,16,37,NULL,6,NULL,4),(28,501,1,16,38,1,7,1,4),(28,501,1,16,39,5,6,3,4),(28,501,1,16,40,5,NULL,4,NULL),(28,501,1,17,1,8,NULL,6,NULL),(28,501,1,17,2,NULL,7,NULL,4),(28,501,1,17,3,10,12,7,7),(28,501,1,17,4,5,9,2,8),(28,501,1,17,5,5,8,4,3),(28,501,1,17,6,4,16,3,9),(28,501,1,17,7,1,8,NULL,6),(28,501,1,17,8,1,13,1,7),(28,501,1,17,9,7,15,4,7),(28,501,1,17,10,13,9,10,4),(28,501,1,17,11,NULL,5,NULL,4),(28,501,1,17,12,2,6,1,5),(28,501,1,17,13,45,NULL,19,NULL),(28,501,1,17,14,28,5,14,4),(28,501,1,17,15,14,15,6,6),(28,501,1,17,16,35,NULL,12,NULL),(28,501,1,17,17,16,20,10,9),(28,501,1,17,18,3,12,1,8),(28,501,1,17,19,4,17,NULL,9),(28,501,1,17,20,4,13,1,5),(28,501,1,17,21,1,8,NULL,2),(28,501,1,17,22,1,12,1,5),(28,501,1,17,23,NULL,8,NULL,4),(28,501,1,17,24,1,NULL,NULL,NULL),(28,501,1,17,25,1,6,NULL,3),(28,501,1,17,26,NULL,3,NULL,1),(28,501,1,17,27,2,NULL,1,NULL),(28,501,1,17,28,1,4,1,2),(28,501,1,17,29,1,7,NULL,2),(28,501,1,17,30,3,10,NULL,6),(28,501,1,17,31,1,2,1,1),(28,501,1,17,32,3,8,NULL,4),(28,501,1,17,33,1,1,1,NULL),(28,501,1,17,34,12,8,7,4),(28,501,1,17,35,2,4,1,2),(28,501,1,17,36,1,NULL,1,NULL),(28,501,1,17,37,1,6,1,3),(28,501,1,17,38,NULL,4,NULL,2),(28,501,1,17,39,4,12,2,8),(28,501,1,17,40,1,NULL,1,NULL),(28,501,1,18,1,NULL,NULL,NULL,NULL),(28,501,1,18,2,NULL,NULL,NULL,NULL),(28,501,1,18,3,NULL,NULL,NULL,NULL),(28,501,1,18,4,NULL,NULL,NULL,NULL),(28,501,1,18,5,NULL,NULL,NULL,NULL),(28,501,1,18,6,NULL,NULL,NULL,NULL),(28,501,1,18,7,NULL,NULL,NULL,NULL),(28,501,1,18,8,NULL,NULL,NULL,NULL),(28,501,1,18,9,NULL,NULL,NULL,NULL),(28,501,1,18,10,NULL,NULL,NULL,NULL),(28,501,1,18,11,NULL,NULL,NULL,NULL),(28,501,1,18,12,NULL,NULL,NULL,NULL),(28,501,1,18,13,NULL,NULL,NULL,NULL),(28,501,1,18,14,NULL,NULL,NULL,NULL),(28,501,1,18,15,NULL,NULL,NULL,NULL),(28,501,1,18,16,NULL,NULL,NULL,NULL),(28,501,1,18,17,NULL,NULL,NULL,NULL),(28,501,1,18,18,NULL,NULL,NULL,NULL),(28,501,1,18,19,NULL,NULL,NULL,NULL),(28,501,1,18,20,NULL,NULL,NULL,NULL),(28,501,1,18,21,NULL,NULL,NULL,NULL),(28,501,1,18,22,NULL,NULL,NULL,NULL),(28,501,1,18,23,NULL,NULL,NULL,NULL),(28,501,1,18,24,NULL,NULL,NULL,NULL),(28,501,1,18,25,NULL,NULL,NULL,NULL),(28,501,1,18,26,NULL,NULL,NULL,NULL),(28,501,1,18,27,NULL,NULL,NULL,NULL),(28,501,1,18,28,NULL,NULL,NULL,NULL),(28,501,1,18,29,NULL,NULL,NULL,NULL),(28,501,1,18,30,NULL,NULL,NULL,NULL),(28,501,1,18,31,NULL,NULL,NULL,NULL),(28,501,1,18,32,NULL,NULL,NULL,NULL),(28,501,1,18,33,NULL,NULL,NULL,NULL),(28,501,1,18,34,NULL,NULL,NULL,NULL),(28,501,1,18,35,NULL,NULL,NULL,NULL),(28,501,1,18,36,NULL,NULL,NULL,NULL),(28,501,1,18,37,NULL,NULL,NULL,NULL),(28,501,1,18,38,NULL,NULL,NULL,NULL),(28,501,1,18,39,NULL,NULL,NULL,NULL),(28,501,1,18,40,NULL,NULL,NULL,NULL),(28,501,1,19,1,NULL,NULL,NULL,NULL),(28,501,1,19,2,NULL,NULL,NULL,NULL),(28,501,1,19,3,NULL,NULL,NULL,NULL),(28,501,1,19,4,NULL,NULL,NULL,NULL),(28,501,1,19,5,NULL,NULL,NULL,NULL),(28,501,1,19,6,NULL,NULL,NULL,NULL),(28,501,1,19,7,NULL,NULL,NULL,NULL),(28,501,1,19,8,NULL,NULL,NULL,NULL),(28,501,1,19,9,NULL,NULL,NULL,NULL),(28,501,1,19,10,NULL,NULL,NULL,NULL),(28,501,1,19,11,NULL,NULL,NULL,NULL),(28,501,1,19,12,NULL,NULL,NULL,NULL),(28,501,1,19,13,NULL,NULL,NULL,NULL),(28,501,1,19,14,NULL,NULL,NULL,NULL),(28,501,1,19,15,NULL,NULL,NULL,NULL),(28,501,1,19,16,NULL,NULL,NULL,NULL),(28,501,1,19,17,NULL,NULL,NULL,NULL),(28,501,1,19,18,NULL,NULL,NULL,NULL),(28,501,1,19,19,NULL,NULL,NULL,NULL),(28,501,1,19,20,NULL,NULL,NULL,NULL),(28,501,1,19,21,NULL,NULL,NULL,NULL),(28,501,1,19,22,NULL,NULL,NULL,NULL),(28,501,1,19,23,NULL,NULL,NULL,NULL),(28,501,1,19,24,NULL,NULL,NULL,NULL),(28,501,1,19,25,NULL,NULL,NULL,NULL),(28,501,1,19,26,NULL,NULL,NULL,NULL),(28,501,1,19,27,NULL,NULL,NULL,NULL),(28,501,1,19,28,NULL,NULL,NULL,NULL),(28,501,1,19,29,NULL,NULL,NULL,NULL),(28,501,1,19,30,NULL,NULL,NULL,NULL),(28,501,1,19,31,NULL,NULL,NULL,NULL),(28,501,1,19,32,NULL,NULL,NULL,NULL),(28,501,1,19,33,NULL,NULL,NULL,NULL),(28,501,1,19,34,NULL,NULL,NULL,NULL),(28,501,1,19,35,NULL,NULL,NULL,NULL),(28,501,1,19,36,NULL,NULL,NULL,NULL),(28,501,1,19,37,NULL,NULL,NULL,NULL),(28,501,1,19,38,NULL,NULL,NULL,NULL),(28,501,1,19,39,NULL,NULL,NULL,NULL),(28,501,1,19,40,NULL,NULL,NULL,NULL),(28,501,2,21,1,NULL,21,NULL,8),(28,501,2,21,2,1,7,1,5),(28,501,2,21,3,17,12,10,9),(28,501,2,21,4,NULL,5,NULL,3),(28,501,2,21,5,9,16,7,10),(28,501,2,21,6,21,20,11,11),(28,501,2,21,7,NULL,14,NULL,7),(28,501,2,21,8,4,6,3,4),(28,501,2,21,9,2,7,2,4),(28,501,2,21,10,11,11,8,7),(28,501,2,21,11,8,9,7,5),(28,501,2,21,12,9,21,5,12),(28,501,2,21,13,5,31,4,18),(28,501,2,21,14,7,14,5,12),(28,501,2,21,15,11,11,7,8),(28,501,2,21,16,10,11,6,7),(28,501,2,21,17,2,6,1,3),(28,501,2,21,18,21,18,11,13),(28,501,2,21,19,4,19,2,12),(28,501,2,21,20,15,5,9,2),(28,501,2,21,21,2,4,2,3),(28,501,2,21,22,4,2,3,1),(28,501,2,21,23,1,9,NULL,5),(28,501,2,21,24,1,11,NULL,6),(28,501,2,21,25,3,9,3,6),(28,501,2,21,26,NULL,6,NULL,4),(28,501,2,21,27,4,16,3,11),(28,501,2,21,28,NULL,4,NULL,3),(28,501,2,21,29,1,5,NULL,4),(28,501,2,21,30,1,11,1,4),(28,501,2,21,31,NULL,17,NULL,11),(28,501,2,21,32,2,4,1,2),(28,501,2,21,33,1,8,NULL,6),(28,501,2,21,34,5,12,1,8),(28,501,2,21,35,10,NULL,6,NULL),(28,501,2,21,36,NULL,4,NULL,1),(28,501,2,21,37,2,8,1,5),(28,501,2,21,38,NULL,1,NULL,1),(28,501,2,21,39,1,6,1,3),(28,501,2,21,40,1,25,1,16),(28,501,2,22,1,NULL,19,NULL,9),(28,501,2,22,2,NULL,7,NULL,6),(28,501,2,22,3,10,16,6,13),(28,501,2,22,4,NULL,6,NULL,5),(28,501,2,22,5,6,10,4,9),(28,501,2,22,6,17,15,9,8),(28,501,2,22,7,NULL,11,NULL,6),(28,501,2,22,8,3,6,3,5),(28,501,2,22,9,3,4,1,4),(28,501,2,22,10,12,13,8,10),(28,501,2,22,11,6,7,5,4),(28,501,2,22,12,6,19,4,9),(28,501,2,22,13,3,26,3,14),(28,501,2,22,14,6,15,6,9),(28,501,2,22,15,7,16,2,10),(28,501,2,22,16,6,17,5,12),(28,501,2,22,17,3,14,2,9),(28,501,2,22,18,14,18,11,13),(28,501,2,22,19,11,15,7,9),(28,501,2,22,20,7,15,5,11),(28,501,2,22,21,1,4,1,3),(28,501,2,22,22,5,10,5,5),(28,501,2,22,23,NULL,2,NULL,1),(28,501,2,22,24,2,8,1,7),(28,501,2,22,25,NULL,13,NULL,10),(28,501,2,22,26,2,14,1,8),(28,501,2,22,27,NULL,14,NULL,12),(28,501,2,22,28,1,2,1,1),(28,501,2,22,29,2,7,1,6),(28,501,2,22,30,NULL,6,NULL,3),(28,501,2,22,31,NULL,12,NULL,6),(28,501,2,22,32,1,2,NULL,2),(28,501,2,22,33,1,2,1,2),(28,501,2,22,34,3,12,2,11),(28,501,2,22,35,4,NULL,3,NULL),(28,501,2,22,36,NULL,1,NULL,1),(28,501,2,22,37,NULL,3,NULL,3),(28,501,2,22,38,1,1,NULL,1),(28,501,2,22,39,NULL,8,NULL,7),(28,501,2,22,40,2,21,2,11),(28,501,2,23,1,2,21,1,12),(28,501,2,23,2,2,8,1,6),(28,501,2,23,3,16,16,8,12),(28,501,2,23,4,1,11,1,9),(28,501,2,23,5,9,5,6,3),(28,501,2,23,6,20,14,14,6),(28,501,2,23,7,NULL,11,NULL,7),(28,501,2,23,8,9,9,7,4),(28,501,2,23,9,3,5,3,3),(28,501,2,23,10,8,12,5,8),(28,501,2,23,11,5,10,2,7),(28,501,2,23,12,12,11,7,7),(28,501,2,23,13,4,30,4,15),(28,501,2,23,14,11,13,8,10),(28,501,2,23,15,4,9,3,5),(28,501,2,23,16,13,13,6,9),(28,501,2,23,17,1,6,NULL,4),(28,501,2,23,18,19,18,8,11),(28,501,2,23,19,6,13,3,10),(28,501,2,23,20,17,7,12,6),(28,501,2,23,21,NULL,11,NULL,6),(28,501,2,23,22,6,1,4,1),(28,501,2,23,23,1,NULL,1,NULL),(28,501,2,23,24,1,2,NULL,1),(28,501,2,23,25,NULL,5,NULL,3),(28,501,2,23,26,3,8,NULL,4),(28,501,2,23,27,2,15,1,10),(28,501,2,23,28,1,3,NULL,2),(28,501,2,23,29,1,6,1,1),(28,501,2,23,30,1,4,1,3),(28,501,2,23,31,1,14,1,8),(28,501,2,23,32,NULL,4,NULL,4),(28,501,2,23,33,3,5,3,3),(28,501,2,23,34,NULL,10,NULL,8),(28,501,2,23,35,5,NULL,4,NULL),(28,501,2,23,36,NULL,5,NULL,4),(28,501,2,23,37,NULL,3,NULL,2),(28,501,2,23,38,NULL,2,NULL,1),(28,501,2,23,39,1,9,NULL,3),(28,501,2,23,40,1,22,1,16),(28,501,2,24,1,1,19,NULL,11),(28,501,2,24,2,NULL,7,NULL,5),(28,501,2,24,3,15,11,12,7),(28,501,2,24,4,1,4,1,2),(28,501,2,24,5,4,14,3,8),(28,501,2,24,6,14,17,6,11),(28,501,2,24,7,NULL,12,NULL,6),(28,501,2,24,8,2,9,1,5),(28,501,2,24,9,4,8,NULL,6),(28,501,2,24,10,8,8,6,6),(28,501,2,24,11,2,8,2,6),(28,501,2,24,12,2,13,NULL,5),(28,501,2,24,13,1,20,1,10),(28,501,2,24,14,2,22,2,14),(28,501,2,24,15,3,9,3,6),(28,501,2,24,16,6,19,3,11),(28,501,2,24,17,4,9,1,5),(28,501,2,24,18,15,16,7,10),(28,501,2,24,19,6,10,3,6),(28,501,2,24,20,7,10,4,7),(28,501,2,24,21,NULL,5,NULL,3),(28,501,2,24,22,2,3,2,3),(28,501,2,24,23,NULL,5,NULL,3),(28,501,2,24,24,2,6,2,3),(28,501,2,24,25,NULL,6,NULL,4),(28,501,2,24,26,3,6,NULL,4),(28,501,2,24,27,3,12,1,10),(28,501,2,24,28,NULL,5,NULL,3),(28,501,2,24,29,NULL,6,NULL,5),(28,501,2,24,30,NULL,7,NULL,6),(28,501,2,24,31,2,8,NULL,5),(28,501,2,24,32,NULL,1,NULL,1),(28,501,2,24,33,4,5,4,2),(28,501,2,24,34,2,15,2,9),(28,501,2,24,35,4,NULL,4,NULL),(28,501,2,24,36,2,1,NULL,1),(28,501,2,24,37,3,6,2,3),(28,501,2,24,38,1,5,NULL,4),(28,501,2,24,39,NULL,3,NULL,2),(28,501,2,24,40,1,19,1,12),(28,502,1,11,1,1,NULL,1,NULL),(28,502,1,11,2,NULL,NULL,NULL,NULL),(28,502,1,11,3,NULL,1,NULL,1),(28,502,1,11,4,NULL,NULL,NULL,NULL),(28,502,1,11,5,NULL,1,NULL,1),(28,502,1,11,6,NULL,NULL,NULL,NULL),(28,502,1,11,7,NULL,NULL,NULL,NULL),(28,502,1,11,8,NULL,NULL,NULL,NULL),(28,502,1,11,9,NULL,NULL,NULL,NULL),(28,502,1,11,10,NULL,1,NULL,1),(28,502,1,11,11,NULL,NULL,NULL,NULL),(28,502,1,11,12,NULL,NULL,NULL,NULL),(28,502,1,11,13,NULL,1,NULL,1),(28,502,1,11,14,1,NULL,1,NULL),(28,502,1,11,15,NULL,NULL,NULL,NULL),(28,502,1,11,16,NULL,1,NULL,1),(28,502,1,11,17,NULL,1,NULL,1),(28,502,1,11,18,NULL,1,NULL,1),(28,502,1,11,19,1,NULL,1,NULL),(28,502,1,11,20,1,NULL,1,NULL),(28,502,1,11,21,NULL,NULL,NULL,NULL),(28,502,1,11,22,NULL,NULL,NULL,NULL),(28,502,1,11,23,NULL,NULL,NULL,NULL),(28,502,1,11,24,NULL,NULL,NULL,NULL),(28,502,1,11,25,NULL,NULL,NULL,NULL),(28,502,1,11,26,NULL,NULL,NULL,NULL),(28,502,1,11,27,NULL,NULL,NULL,NULL),(28,502,1,11,28,NULL,NULL,NULL,NULL),(28,502,1,11,29,NULL,NULL,NULL,NULL),(28,502,1,11,30,NULL,1,NULL,1),(28,502,1,11,31,NULL,NULL,NULL,NULL),(28,502,1,11,32,NULL,1,NULL,1),(28,502,1,11,33,1,NULL,1,NULL),(28,502,1,11,34,NULL,NULL,NULL,NULL),(28,502,1,11,35,1,NULL,1,NULL),(28,502,1,11,36,NULL,NULL,NULL,NULL),(28,502,1,11,37,NULL,NULL,NULL,NULL),(28,502,1,11,38,NULL,1,NULL,1),(28,502,1,11,39,NULL,1,NULL,1),(28,502,1,11,40,NULL,NULL,NULL,NULL),(28,502,1,12,1,NULL,NULL,NULL,NULL),(28,502,1,12,2,NULL,NULL,NULL,NULL),(28,502,1,12,3,NULL,NULL,NULL,NULL),(28,502,1,12,4,NULL,NULL,NULL,NULL),(28,502,1,12,5,NULL,NULL,NULL,NULL),(28,502,1,12,6,NULL,NULL,NULL,NULL),(28,502,1,12,7,NULL,NULL,NULL,NULL),(28,502,1,12,8,NULL,NULL,NULL,NULL),(28,502,1,12,9,NULL,NULL,NULL,NULL),(28,502,1,12,10,NULL,NULL,NULL,NULL),(28,502,1,12,11,NULL,NULL,NULL,NULL),(28,502,1,12,12,NULL,NULL,NULL,NULL),(28,502,1,12,13,NULL,NULL,NULL,NULL),(28,502,1,12,14,NULL,NULL,NULL,NULL),(28,502,1,12,15,NULL,NULL,NULL,NULL),(28,502,1,12,16,NULL,NULL,NULL,NULL),(28,502,1,12,17,NULL,NULL,NULL,NULL),(28,502,1,12,18,NULL,NULL,NULL,NULL),(28,502,1,12,19,NULL,NULL,NULL,NULL),(28,502,1,12,20,NULL,NULL,NULL,NULL),(28,502,1,12,21,NULL,NULL,NULL,NULL),(28,502,1,12,22,NULL,NULL,NULL,NULL),(28,502,1,12,23,NULL,NULL,NULL,NULL),(28,502,1,12,24,NULL,NULL,NULL,NULL),(28,502,1,12,25,NULL,NULL,NULL,NULL),(28,502,1,12,26,NULL,NULL,NULL,NULL),(28,502,1,12,27,NULL,NULL,NULL,NULL),(28,502,1,12,28,NULL,NULL,NULL,NULL),(28,502,1,12,29,NULL,NULL,NULL,NULL),(28,502,1,12,30,NULL,NULL,NULL,NULL),(28,502,1,12,31,NULL,NULL,NULL,NULL),(28,502,1,12,32,NULL,NULL,NULL,NULL),(28,502,1,12,33,NULL,NULL,NULL,NULL),(28,502,1,12,34,NULL,NULL,NULL,NULL),(28,502,1,12,35,NULL,NULL,NULL,NULL),(28,502,1,12,36,NULL,NULL,NULL,NULL),(28,502,1,12,37,NULL,NULL,NULL,NULL),(28,502,1,12,38,NULL,NULL,NULL,NULL),(28,502,1,12,39,NULL,NULL,NULL,NULL),(28,502,1,12,40,NULL,NULL,NULL,NULL),(28,502,1,13,1,NULL,NULL,NULL,NULL),(28,502,1,13,2,NULL,NULL,NULL,NULL),(28,502,1,13,3,NULL,NULL,NULL,NULL),(28,502,1,13,4,NULL,1,NULL,1),(28,502,1,13,5,1,NULL,NULL,NULL),(28,502,1,13,6,NULL,2,NULL,1),(28,502,1,13,7,1,NULL,1,NULL),(28,502,1,13,8,NULL,NULL,NULL,NULL),(28,502,1,13,9,1,NULL,NULL,NULL),(28,502,1,13,10,NULL,NULL,NULL,NULL),(28,502,1,13,11,NULL,NULL,NULL,NULL),(28,502,1,13,12,NULL,NULL,NULL,NULL),(28,502,1,13,13,NULL,NULL,NULL,NULL),(28,502,1,13,14,1,1,NULL,1),(28,502,1,13,15,NULL,NULL,NULL,NULL),(28,502,1,13,16,NULL,NULL,NULL,NULL),(28,502,1,13,17,NULL,NULL,NULL,NULL),(28,502,1,13,18,1,NULL,NULL,NULL),(28,502,1,13,19,NULL,NULL,NULL,NULL),(28,502,1,13,20,NULL,NULL,NULL,NULL),(28,502,1,13,21,NULL,NULL,NULL,NULL),(28,502,1,13,22,NULL,2,NULL,1),(28,502,1,13,23,NULL,NULL,NULL,NULL),(28,502,1,13,24,NULL,NULL,NULL,NULL),(28,502,1,13,25,NULL,NULL,NULL,NULL),(28,502,1,13,26,NULL,NULL,NULL,NULL),(28,502,1,13,27,NULL,NULL,NULL,NULL),(28,502,1,13,28,NULL,NULL,NULL,NULL),(28,502,1,13,29,NULL,NULL,NULL,NULL),(28,502,1,13,30,1,NULL,NULL,NULL),(28,502,1,13,31,NULL,NULL,NULL,NULL),(28,502,1,13,32,1,NULL,NULL,NULL),(28,502,1,13,33,NULL,NULL,NULL,NULL),(28,502,1,13,34,NULL,1,NULL,NULL),(28,502,1,13,35,NULL,NULL,NULL,NULL),(28,502,1,13,36,NULL,NULL,NULL,NULL),(28,502,1,13,37,NULL,NULL,NULL,NULL),(28,502,1,13,38,NULL,NULL,NULL,NULL),(28,502,1,13,39,NULL,NULL,NULL,NULL),(28,502,1,13,40,NULL,NULL,NULL,NULL),(28,502,1,14,1,4,NULL,3,NULL),(28,502,1,14,2,1,6,1,3),(28,502,1,14,3,1,9,1,7),(28,502,1,14,4,3,4,3,3),(28,502,1,14,5,10,2,8,2),(28,502,1,14,6,NULL,5,NULL,3),(28,502,1,14,7,1,7,NULL,4),(28,502,1,14,8,NULL,8,NULL,7),(28,502,1,14,9,3,6,3,4),(28,502,1,14,10,10,5,7,3),(28,502,1,14,11,1,5,NULL,3),(28,502,1,14,12,1,8,1,6),(28,502,1,14,13,10,4,8,3),(28,502,1,14,14,5,2,5,1),(28,502,1,14,15,10,NULL,7,NULL),(28,502,1,14,16,7,5,6,3),(28,502,1,14,17,4,10,3,9),(28,502,1,14,18,1,4,1,4),(28,502,1,14,19,12,4,9,3),(28,502,1,14,20,7,11,7,6),(28,502,1,14,21,NULL,1,NULL,NULL),(28,502,1,14,22,3,5,2,3),(28,502,1,14,23,1,8,1,6),(28,502,1,14,24,1,NULL,NULL,NULL),(28,502,1,14,25,NULL,2,NULL,2),(28,502,1,14,26,NULL,1,NULL,NULL),(28,502,1,14,27,4,NULL,3,NULL),(28,502,1,14,28,NULL,1,NULL,1),(28,502,1,14,29,3,6,1,5),(28,502,1,14,30,2,7,NULL,5),(28,502,1,14,31,1,1,NULL,1),(28,502,1,14,32,NULL,2,NULL,2),(28,502,1,14,33,NULL,4,NULL,3),(28,502,1,14,34,3,4,3,3),(28,502,1,14,35,NULL,NULL,NULL,NULL),(28,502,1,14,36,NULL,NULL,NULL,NULL),(28,502,1,14,37,1,3,1,2),(28,502,1,14,38,NULL,NULL,NULL,NULL),(28,502,1,14,39,4,9,4,6),(28,502,1,14,40,NULL,NULL,NULL,NULL),(28,502,1,15,1,3,NULL,2,NULL),(28,502,1,15,2,NULL,6,NULL,5),(28,502,1,15,3,3,4,1,3),(28,502,1,15,4,3,4,2,3),(28,502,1,15,5,3,3,2,2),(28,502,1,15,6,NULL,9,NULL,7),(28,502,1,15,7,3,4,2,4),(28,502,1,15,8,2,7,2,5),(28,502,1,15,9,4,2,4,2),(28,502,1,15,10,5,2,5,1),(28,502,1,15,11,NULL,2,NULL,NULL),(28,502,1,15,12,NULL,4,NULL,3),(28,502,1,15,13,4,6,4,2),(28,502,1,15,14,4,2,4,2),(28,502,1,15,15,9,NULL,8,NULL),(28,502,1,15,16,3,2,3,2),(28,502,1,15,17,2,6,2,4),(28,502,1,15,18,1,6,1,5),(28,502,1,15,19,6,3,6,1),(28,502,1,15,20,3,8,3,6),(28,502,1,15,21,NULL,5,NULL,3),(28,502,1,15,22,1,1,1,1),(28,502,1,15,23,1,4,1,2),(28,502,1,15,24,1,NULL,NULL,NULL),(28,502,1,15,25,NULL,2,NULL,1),(28,502,1,15,26,1,1,1,NULL),(28,502,1,15,27,3,NULL,2,NULL),(28,502,1,15,28,NULL,1,NULL,1),(28,502,1,15,29,NULL,3,NULL,3),(28,502,1,15,30,2,4,2,3),(28,502,1,15,31,NULL,3,NULL,3),(28,502,1,15,32,2,1,2,NULL),(28,502,1,15,33,NULL,1,NULL,1),(28,502,1,15,34,3,4,3,3),(28,502,1,15,35,1,2,1,1),(28,502,1,15,36,NULL,NULL,NULL,NULL),(28,502,1,15,37,NULL,1,NULL,1),(28,502,1,15,38,1,NULL,NULL,NULL),(28,502,1,15,39,4,4,3,3),(28,502,1,15,40,2,NULL,1,NULL),(28,502,1,16,1,6,NULL,6,NULL),(28,502,1,16,2,NULL,2,NULL,2),(28,502,1,16,3,4,9,3,5),(28,502,1,16,4,6,6,3,2),(28,502,1,16,5,5,2,4,NULL),(28,502,1,16,6,2,12,1,7),(28,502,1,16,7,6,7,5,5),(28,502,1,16,8,1,12,1,5),(28,502,1,16,9,5,13,4,6),(28,502,1,16,10,14,4,11,4),(28,502,1,16,11,1,8,1,6),(28,502,1,16,12,3,4,3,2),(28,502,1,16,13,30,NULL,19,NULL),(28,502,1,16,14,20,5,10,3),(28,502,1,16,15,9,16,6,10),(28,502,1,16,16,18,NULL,10,NULL),(28,502,1,16,17,12,16,7,11),(28,502,1,16,18,1,4,NULL,2),(28,502,1,16,19,4,20,2,9),(28,502,1,16,20,5,12,4,3),(28,502,1,16,21,1,4,1,1),(28,502,1,16,22,1,6,NULL,3),(28,502,1,16,23,NULL,4,NULL,3),(28,502,1,16,24,NULL,NULL,NULL,NULL),(28,502,1,16,25,2,NULL,NULL,NULL),(28,502,1,16,26,1,1,1,1),(28,502,1,16,27,2,NULL,2,NULL),(28,502,1,16,28,NULL,2,NULL,1),(28,502,1,16,29,NULL,2,NULL,1),(28,502,1,16,30,6,7,1,5),(28,502,1,16,31,1,3,NULL,NULL),(28,502,1,16,32,3,3,2,2),(28,502,1,16,33,1,2,1,1),(28,502,1,16,34,1,5,1,4),(28,502,1,16,35,NULL,NULL,NULL,NULL),(28,502,1,16,36,NULL,NULL,NULL,NULL),(28,502,1,16,37,2,4,1,2),(28,502,1,16,38,NULL,2,NULL,1),(28,502,1,16,39,3,6,2,2),(28,502,1,16,40,NULL,NULL,NULL,NULL),(28,502,1,17,1,10,NULL,9,NULL),(28,502,1,17,2,1,2,1,1),(28,502,1,17,3,3,7,3,6),(28,502,1,17,4,1,4,NULL,2),(28,502,1,17,5,5,7,3,3),(28,502,1,17,6,2,11,NULL,8),(28,502,1,17,7,4,5,3,5),(28,502,1,17,8,NULL,9,NULL,6),(28,502,1,17,9,4,5,3,4),(28,502,1,17,10,10,5,5,4),(28,502,1,17,11,NULL,3,NULL,3),(28,502,1,17,12,1,5,1,4),(28,502,1,17,13,34,NULL,17,NULL),(28,502,1,17,14,17,7,8,6),(28,502,1,17,15,4,20,3,8),(28,502,1,17,16,27,NULL,12,NULL),(28,502,1,17,17,8,23,6,12),(28,502,1,17,18,2,11,2,6),(28,502,1,17,19,4,18,2,10),(28,502,1,17,20,1,9,1,4),(28,502,1,17,21,NULL,5,NULL,1),(28,502,1,17,22,3,6,NULL,1),(28,502,1,17,23,1,6,NULL,5),(28,502,1,17,24,NULL,NULL,NULL,NULL),(28,502,1,17,25,NULL,4,NULL,1),(28,502,1,17,26,1,NULL,NULL,NULL),(28,502,1,17,27,7,NULL,5,NULL),(28,502,1,17,28,NULL,2,NULL,1),(28,502,1,17,29,3,4,2,3),(28,502,1,17,30,4,7,2,4),(28,502,1,17,31,2,4,2,3),(28,502,1,17,32,2,5,1,4),(28,502,1,17,33,NULL,4,NULL,4),(28,502,1,17,34,6,3,3,3),(28,502,1,17,35,NULL,1,NULL,1),(28,502,1,17,36,NULL,NULL,NULL,NULL),(28,502,1,17,37,NULL,2,NULL,1),(28,502,1,17,38,NULL,5,NULL,3),(28,502,1,17,39,8,7,3,7),(28,502,1,17,40,NULL,NULL,NULL,NULL),(28,502,1,18,1,NULL,NULL,NULL,NULL),(28,502,1,18,2,NULL,NULL,NULL,NULL),(28,502,1,18,3,NULL,NULL,NULL,NULL),(28,502,1,18,4,NULL,NULL,NULL,NULL),(28,502,1,18,5,NULL,NULL,NULL,NULL),(28,502,1,18,6,NULL,NULL,NULL,NULL),(28,502,1,18,7,NULL,NULL,NULL,NULL),(28,502,1,18,8,NULL,NULL,NULL,NULL),(28,502,1,18,9,NULL,NULL,NULL,NULL),(28,502,1,18,10,NULL,NULL,NULL,NULL),(28,502,1,18,11,NULL,NULL,NULL,NULL),(28,502,1,18,12,NULL,NULL,NULL,NULL),(28,502,1,18,13,NULL,NULL,NULL,NULL),(28,502,1,18,14,NULL,NULL,NULL,NULL),(28,502,1,18,15,NULL,NULL,NULL,NULL),(28,502,1,18,16,NULL,NULL,NULL,NULL),(28,502,1,18,17,NULL,NULL,NULL,NULL),(28,502,1,18,18,NULL,NULL,NULL,NULL),(28,502,1,18,19,NULL,NULL,NULL,NULL),(28,502,1,18,20,NULL,NULL,NULL,NULL),(28,502,1,18,21,NULL,NULL,NULL,NULL),(28,502,1,18,22,NULL,NULL,NULL,NULL),(28,502,1,18,23,NULL,NULL,NULL,NULL),(28,502,1,18,24,NULL,NULL,NULL,NULL),(28,502,1,18,25,NULL,NULL,NULL,NULL),(28,502,1,18,26,NULL,NULL,NULL,NULL),(28,502,1,18,27,NULL,NULL,NULL,NULL),(28,502,1,18,28,NULL,NULL,NULL,NULL),(28,502,1,18,29,NULL,NULL,NULL,NULL),(28,502,1,18,30,NULL,NULL,NULL,NULL),(28,502,1,18,31,NULL,NULL,NULL,NULL),(28,502,1,18,32,NULL,NULL,NULL,NULL),(28,502,1,18,33,NULL,NULL,NULL,NULL),(28,502,1,18,34,NULL,NULL,NULL,NULL),(28,502,1,18,35,NULL,NULL,NULL,NULL),(28,502,1,18,36,NULL,NULL,NULL,NULL),(28,502,1,18,37,NULL,NULL,NULL,NULL),(28,502,1,18,38,NULL,NULL,NULL,NULL),(28,502,1,18,39,NULL,NULL,NULL,NULL),(28,502,1,18,40,NULL,NULL,NULL,NULL),(28,502,1,19,1,NULL,NULL,NULL,NULL),(28,502,1,19,2,NULL,NULL,NULL,NULL),(28,502,1,19,3,NULL,NULL,NULL,NULL),(28,502,1,19,4,NULL,NULL,NULL,NULL),(28,502,1,19,5,NULL,NULL,NULL,NULL),(28,502,1,19,6,NULL,NULL,NULL,NULL),(28,502,1,19,7,NULL,NULL,NULL,NULL),(28,502,1,19,8,NULL,NULL,NULL,NULL),(28,502,1,19,9,NULL,NULL,NULL,NULL),(28,502,1,19,10,NULL,NULL,NULL,NULL),(28,502,1,19,11,NULL,NULL,NULL,NULL),(28,502,1,19,12,NULL,NULL,NULL,NULL),(28,502,1,19,13,NULL,NULL,NULL,NULL),(28,502,1,19,14,NULL,NULL,NULL,NULL),(28,502,1,19,15,NULL,NULL,NULL,NULL),(28,502,1,19,16,NULL,NULL,NULL,NULL),(28,502,1,19,17,NULL,NULL,NULL,NULL),(28,502,1,19,18,NULL,NULL,NULL,NULL),(28,502,1,19,19,NULL,NULL,NULL,NULL),(28,502,1,19,20,NULL,NULL,NULL,NULL),(28,502,1,19,21,NULL,NULL,NULL,NULL),(28,502,1,19,22,NULL,NULL,NULL,NULL),(28,502,1,19,23,NULL,NULL,NULL,NULL),(28,502,1,19,24,NULL,NULL,NULL,NULL),(28,502,1,19,25,NULL,NULL,NULL,NULL),(28,502,1,19,26,NULL,NULL,NULL,NULL),(28,502,1,19,27,NULL,NULL,NULL,NULL),(28,502,1,19,28,NULL,NULL,NULL,NULL),(28,502,1,19,29,NULL,NULL,NULL,NULL),(28,502,1,19,30,NULL,NULL,NULL,NULL),(28,502,1,19,31,NULL,NULL,NULL,NULL),(28,502,1,19,32,NULL,NULL,NULL,NULL),(28,502,1,19,33,NULL,NULL,NULL,NULL),(28,502,1,19,34,NULL,NULL,NULL,NULL),(28,502,1,19,35,NULL,NULL,NULL,NULL),(28,502,1,19,36,NULL,NULL,NULL,NULL),(28,502,1,19,37,NULL,NULL,NULL,NULL),(28,502,1,19,38,NULL,NULL,NULL,NULL),(28,502,1,19,39,NULL,NULL,NULL,NULL),(28,502,1,19,40,NULL,NULL,NULL,NULL),(28,502,2,21,1,NULL,10,NULL,4),(28,502,2,21,2,NULL,6,NULL,4),(28,502,2,21,3,8,6,6,3),(28,502,2,21,4,NULL,1,NULL,1),(28,502,2,21,5,2,7,2,4),(28,502,2,21,6,8,16,6,7),(28,502,2,21,7,NULL,11,NULL,4),(28,502,2,21,8,NULL,2,NULL,2),(28,502,2,21,9,NULL,1,NULL,NULL),(28,502,2,21,10,1,4,1,1),(28,502,2,21,11,1,3,1,2),(28,502,2,21,12,3,8,2,4),(28,502,2,21,13,1,16,1,6),(28,502,2,21,14,1,10,1,9),(28,502,2,21,15,1,8,1,3),(28,502,2,21,16,2,10,1,5),(28,502,2,21,17,NULL,NULL,NULL,NULL),(28,502,2,21,18,7,5,1,4),(28,502,2,21,19,3,5,3,2),(28,502,2,21,20,3,6,3,4),(28,502,2,21,21,1,5,1,2),(28,502,2,21,22,NULL,4,NULL,3),(28,502,2,21,23,NULL,1,NULL,1),(28,502,2,21,24,1,4,NULL,1),(28,502,2,21,25,NULL,2,NULL,2),(28,502,2,21,26,3,2,2,1),(28,502,2,21,27,NULL,8,NULL,7),(28,502,2,21,28,NULL,1,NULL,1),(28,502,2,21,29,2,1,1,1),(28,502,2,21,30,NULL,5,NULL,4),(28,502,2,21,31,NULL,7,NULL,6),(28,502,2,21,32,NULL,1,NULL,NULL),(28,502,2,21,33,NULL,1,NULL,NULL),(28,502,2,21,34,NULL,3,NULL,3),(28,502,2,21,35,2,NULL,2,NULL),(28,502,2,21,36,NULL,1,NULL,NULL),(28,502,2,21,37,NULL,5,NULL,2),(28,502,2,21,38,NULL,3,NULL,2),(28,502,2,21,39,NULL,4,NULL,3),(28,502,2,21,40,NULL,14,NULL,10),(28,502,2,22,1,2,14,1,4),(28,502,2,22,2,1,NULL,1,NULL),(28,502,2,22,3,6,10,4,5),(28,502,2,22,4,NULL,2,NULL,NULL),(28,502,2,22,5,1,5,NULL,5),(28,502,2,22,6,5,13,2,6),(28,502,2,22,7,NULL,9,NULL,4),(28,502,2,22,8,1,1,1,1),(28,502,2,22,9,1,2,1,2),(28,502,2,22,10,4,4,1,3),(28,502,2,22,11,NULL,7,NULL,6),(28,502,2,22,12,2,6,1,1),(28,502,2,22,13,NULL,11,NULL,5),(28,502,2,22,14,NULL,11,NULL,7),(28,502,2,22,15,NULL,8,NULL,3),(28,502,2,22,16,1,6,1,2),(28,502,2,22,17,2,NULL,2,NULL),(28,502,2,22,18,5,5,3,3),(28,502,2,22,19,1,5,1,4),(28,502,2,22,20,5,4,2,3),(28,502,2,22,21,3,2,NULL,NULL),(28,502,2,22,22,1,NULL,1,NULL),(28,502,2,22,23,NULL,4,NULL,3),(28,502,2,22,24,1,5,NULL,2),(28,502,2,22,25,NULL,NULL,NULL,NULL),(28,502,2,22,26,NULL,5,NULL,4),(28,502,2,22,27,2,5,1,3),(28,502,2,22,28,NULL,1,NULL,1),(28,502,2,22,29,NULL,4,NULL,2),(28,502,2,22,30,NULL,5,NULL,2),(28,502,2,22,31,NULL,5,NULL,3),(28,502,2,22,32,NULL,NULL,NULL,NULL),(28,502,2,22,33,NULL,6,NULL,4),(28,502,2,22,34,NULL,6,NULL,4),(28,502,2,22,35,3,NULL,2,NULL),(28,502,2,22,36,NULL,NULL,NULL,NULL),(28,502,2,22,37,NULL,4,NULL,2),(28,502,2,22,38,NULL,2,NULL,NULL),(28,502,2,22,39,NULL,1,NULL,1),(28,502,2,22,40,3,13,2,8),(28,502,2,23,1,NULL,7,NULL,3),(28,502,2,23,2,NULL,2,NULL,1),(28,502,2,23,3,12,8,7,5),(28,502,2,23,4,NULL,2,NULL,2),(28,502,2,23,5,4,4,3,3),(28,502,2,23,6,8,12,6,6),(28,502,2,23,7,NULL,12,NULL,7),(28,502,2,23,8,1,4,1,3),(28,502,2,23,9,1,3,1,2),(28,502,2,23,10,7,9,4,5),(28,502,2,23,11,1,6,NULL,4),(28,502,2,23,12,1,7,1,3),(28,502,2,23,13,1,15,NULL,10),(28,502,2,23,14,3,8,3,5),(28,502,2,23,15,4,6,3,4),(28,502,2,23,16,3,11,3,7),(28,502,2,23,17,NULL,3,NULL,2),(28,502,2,23,18,8,7,6,5),(28,502,2,23,19,1,8,NULL,6),(28,502,2,23,20,6,5,6,5),(28,502,2,23,21,NULL,5,NULL,4),(28,502,2,23,22,NULL,3,NULL,2),(28,502,2,23,23,NULL,2,NULL,2),(28,502,2,23,24,NULL,1,NULL,NULL),(28,502,2,23,25,NULL,4,NULL,2),(28,502,2,23,26,2,7,1,5),(28,502,2,23,27,2,4,1,4),(28,502,2,23,28,NULL,2,NULL,2),(28,502,2,23,29,1,3,NULL,1),(28,502,2,23,30,1,4,NULL,3),(28,502,2,23,31,NULL,6,NULL,5),(28,502,2,23,32,1,2,NULL,1),(28,502,2,23,33,NULL,8,NULL,5),(28,502,2,23,34,NULL,5,NULL,4),(28,502,2,23,35,2,NULL,1,NULL),(28,502,2,23,36,NULL,4,NULL,1),(28,502,2,23,37,NULL,6,NULL,4),(28,502,2,23,38,NULL,NULL,NULL,NULL),(28,502,2,23,39,NULL,2,NULL,1),(28,502,2,23,40,NULL,12,NULL,7),(28,502,2,24,1,1,13,1,6),(28,502,2,24,2,NULL,7,NULL,4),(28,502,2,24,3,8,5,6,5),(28,502,2,24,4,1,3,NULL,3),(28,502,2,24,5,1,2,1,2),(28,502,2,24,6,11,12,8,7),(28,502,2,24,7,NULL,11,NULL,6),(28,502,2,24,8,1,3,NULL,3),(28,502,2,24,9,1,1,NULL,1),(28,502,2,24,10,6,4,5,2),(28,502,2,24,11,NULL,2,NULL,2),(28,502,2,24,12,2,8,2,7),(28,502,2,24,13,1,12,1,7),(28,502,2,24,14,6,7,5,4),(28,502,2,24,15,2,8,1,4),(28,502,2,24,16,3,8,3,7),(28,502,2,24,17,2,4,1,2),(28,502,2,24,18,10,5,8,4),(28,502,2,24,19,5,8,5,4),(28,502,2,24,20,4,4,3,4),(28,502,2,24,21,NULL,5,NULL,3),(28,502,2,24,22,1,2,1,2),(28,502,2,24,23,NULL,1,NULL,NULL),(28,502,2,24,24,2,3,1,NULL),(28,502,2,24,25,1,3,NULL,1),(28,502,2,24,26,2,3,1,2),(28,502,2,24,27,NULL,6,NULL,5),(28,502,2,24,28,NULL,5,NULL,3),(28,502,2,24,29,NULL,3,NULL,3),(28,502,2,24,30,NULL,5,NULL,2),(28,502,2,24,31,NULL,12,NULL,7),(28,502,2,24,32,NULL,2,NULL,2),(28,502,2,24,33,NULL,2,NULL,NULL),(28,502,2,24,34,NULL,9,NULL,4),(28,502,2,24,35,7,NULL,4,NULL),(28,502,2,24,36,2,2,1,1),(28,502,2,24,37,NULL,4,NULL,3),(28,502,2,24,38,NULL,2,NULL,1),(28,502,2,24,39,NULL,3,NULL,1),(28,502,2,24,40,1,10,1,5),(28,503,1,11,1,NULL,NULL,NULL,NULL),(28,503,1,11,2,NULL,NULL,NULL,NULL),(28,503,1,11,3,NULL,1,NULL,NULL),(28,503,1,11,4,NULL,NULL,NULL,NULL),(28,503,1,11,5,1,NULL,1,NULL),(28,503,1,11,6,NULL,1,NULL,1),(28,503,1,11,7,NULL,1,NULL,1),(28,503,1,11,8,1,NULL,NULL,NULL),(28,503,1,11,9,NULL,1,NULL,1),(28,503,1,11,10,NULL,NULL,NULL,NULL),(28,503,1,11,11,1,NULL,NULL,NULL),(28,503,1,11,12,NULL,1,NULL,1),(28,503,1,11,13,NULL,1,NULL,1),(28,503,1,11,14,1,NULL,1,NULL),(28,503,1,11,15,NULL,NULL,NULL,NULL),(28,503,1,11,16,NULL,2,NULL,1),(28,503,1,11,17,NULL,NULL,NULL,NULL),(28,503,1,11,18,NULL,1,NULL,1),(28,503,1,11,19,NULL,NULL,NULL,NULL),(28,503,1,11,20,NULL,NULL,NULL,NULL),(28,503,1,11,21,NULL,NULL,NULL,NULL),(28,503,1,11,22,NULL,NULL,NULL,NULL),(28,503,1,11,23,1,1,1,NULL),(28,503,1,11,24,NULL,NULL,NULL,NULL),(28,503,1,11,25,NULL,NULL,NULL,NULL),(28,503,1,11,26,NULL,1,NULL,1),(28,503,1,11,27,NULL,NULL,NULL,NULL),(28,503,1,11,28,NULL,NULL,NULL,NULL),(28,503,1,11,29,NULL,NULL,NULL,NULL),(28,503,1,11,30,NULL,NULL,NULL,NULL),(28,503,1,11,31,NULL,NULL,NULL,NULL),(28,503,1,11,32,NULL,NULL,NULL,NULL),(28,503,1,11,33,NULL,NULL,NULL,NULL),(28,503,1,11,34,1,NULL,1,NULL),(28,503,1,11,35,NULL,NULL,NULL,NULL),(28,503,1,11,36,NULL,NULL,NULL,NULL),(28,503,1,11,37,NULL,NULL,NULL,NULL),(28,503,1,11,38,NULL,NULL,NULL,NULL),(28,503,1,11,39,NULL,1,NULL,1),(28,503,1,11,40,NULL,NULL,NULL,NULL),(28,503,1,12,1,1,NULL,1,NULL),(28,503,1,12,2,NULL,1,NULL,1),(28,503,1,12,3,NULL,NULL,NULL,NULL),(28,503,1,12,4,NULL,1,NULL,1),(28,503,1,12,5,NULL,NULL,NULL,NULL),(28,503,1,12,6,NULL,NULL,NULL,NULL),(28,503,1,12,7,NULL,NULL,NULL,NULL),(28,503,1,12,8,NULL,NULL,NULL,NULL),(28,503,1,12,9,1,NULL,1,NULL),(28,503,1,12,10,1,NULL,1,NULL),(28,503,1,12,11,NULL,NULL,NULL,NULL),(28,503,1,12,12,NULL,NULL,NULL,NULL),(28,503,1,12,13,1,NULL,1,NULL),(28,503,1,12,14,1,NULL,1,NULL),(28,503,1,12,15,NULL,NULL,NULL,NULL),(28,503,1,12,16,1,NULL,1,NULL),(28,503,1,12,17,1,NULL,1,NULL),(28,503,1,12,18,NULL,1,NULL,1),(28,503,1,12,19,NULL,1,NULL,1),(28,503,1,12,20,1,NULL,1,NULL),(28,503,1,12,21,NULL,NULL,NULL,NULL),(28,503,1,12,22,NULL,NULL,NULL,NULL),(28,503,1,12,23,NULL,NULL,NULL,NULL),(28,503,1,12,24,NULL,NULL,NULL,NULL),(28,503,1,12,25,NULL,NULL,NULL,NULL),(28,503,1,12,26,NULL,NULL,NULL,NULL),(28,503,1,12,27,NULL,NULL,NULL,NULL),(28,503,1,12,28,NULL,NULL,NULL,NULL),(28,503,1,12,29,NULL,1,NULL,1),(28,503,1,12,30,NULL,1,NULL,1),(28,503,1,12,31,NULL,NULL,NULL,NULL),(28,503,1,12,32,NULL,1,NULL,1),(28,503,1,12,33,NULL,NULL,NULL,NULL),(28,503,1,12,34,NULL,1,NULL,1),(28,503,1,12,35,NULL,NULL,NULL,NULL),(28,503,1,12,36,NULL,NULL,NULL,NULL),(28,503,1,12,37,NULL,NULL,NULL,NULL),(28,503,1,12,38,NULL,NULL,NULL,NULL),(28,503,1,12,39,NULL,NULL,NULL,NULL),(28,503,1,12,40,NULL,NULL,NULL,NULL),(28,503,1,13,1,NULL,NULL,NULL,NULL),(28,503,1,13,2,NULL,NULL,NULL,NULL),(28,503,1,13,3,NULL,NULL,NULL,NULL),(28,503,1,13,4,NULL,NULL,NULL,NULL),(28,503,1,13,5,NULL,NULL,NULL,NULL),(28,503,1,13,6,NULL,NULL,NULL,NULL),(28,503,1,13,7,NULL,NULL,NULL,NULL),(28,503,1,13,8,NULL,NULL,NULL,NULL),(28,503,1,13,9,NULL,NULL,NULL,NULL),(28,503,1,13,10,NULL,NULL,NULL,NULL),(28,503,1,13,11,NULL,NULL,NULL,NULL),(28,503,1,13,12,NULL,NULL,NULL,NULL),(28,503,1,13,13,NULL,NULL,NULL,NULL),(28,503,1,13,14,NULL,NULL,NULL,NULL),(28,503,1,13,15,NULL,NULL,NULL,NULL),(28,503,1,13,16,NULL,NULL,NULL,NULL),(28,503,1,13,17,NULL,NULL,NULL,NULL),(28,503,1,13,18,NULL,NULL,NULL,NULL),(28,503,1,13,19,NULL,NULL,NULL,NULL),(28,503,1,13,20,NULL,NULL,NULL,NULL),(28,503,1,13,21,NULL,1,NULL,NULL),(28,503,1,13,22,NULL,NULL,NULL,NULL),(28,503,1,13,23,NULL,NULL,NULL,NULL),(28,503,1,13,24,NULL,NULL,NULL,NULL),(28,503,1,13,25,NULL,NULL,NULL,NULL),(28,503,1,13,26,NULL,NULL,NULL,NULL),(28,503,1,13,27,NULL,NULL,NULL,NULL),(28,503,1,13,28,NULL,1,NULL,NULL),(28,503,1,13,29,NULL,NULL,NULL,NULL),(28,503,1,13,30,NULL,NULL,NULL,NULL),(28,503,1,13,31,NULL,NULL,NULL,NULL),(28,503,1,13,32,NULL,NULL,NULL,NULL),(28,503,1,13,33,NULL,NULL,NULL,NULL),(28,503,1,13,34,NULL,NULL,NULL,NULL),(28,503,1,13,35,NULL,NULL,NULL,NULL),(28,503,1,13,36,NULL,NULL,NULL,NULL),(28,503,1,13,37,1,NULL,NULL,NULL),(28,503,1,13,38,NULL,NULL,NULL,NULL),(28,503,1,13,39,NULL,NULL,NULL,NULL),(28,503,1,13,40,NULL,NULL,NULL,NULL),(28,503,1,14,1,3,NULL,3,NULL),(28,503,1,14,2,1,2,1,2),(28,503,1,14,3,3,1,2,1),(28,503,1,14,4,NULL,NULL,NULL,NULL),(28,503,1,14,5,3,1,3,1),(28,503,1,14,6,NULL,4,NULL,3),(28,503,1,14,7,NULL,2,NULL,2),(28,503,1,14,8,NULL,NULL,NULL,NULL),(28,503,1,14,9,NULL,1,NULL,1),(28,503,1,14,10,4,1,3,1),(28,503,1,14,11,1,1,1,1),(28,503,1,14,12,1,NULL,1,NULL),(28,503,1,14,13,3,2,3,2),(28,503,1,14,14,2,1,1,1),(28,503,1,14,15,4,NULL,4,NULL),(28,503,1,14,16,3,NULL,3,NULL),(28,503,1,14,17,1,3,1,3),(28,503,1,14,18,1,2,1,2),(28,503,1,14,19,4,1,4,1),(28,503,1,14,20,2,3,2,3),(28,503,1,14,21,NULL,1,NULL,1),(28,503,1,14,22,NULL,1,NULL,1),(28,503,1,14,23,NULL,1,NULL,1),(28,503,1,14,24,NULL,NULL,NULL,NULL),(28,503,1,14,25,NULL,NULL,NULL,NULL),(28,503,1,14,26,NULL,4,NULL,4),(28,503,1,14,27,NULL,NULL,NULL,NULL),(28,503,1,14,28,NULL,1,NULL,1),(28,503,1,14,29,NULL,1,NULL,1),(28,503,1,14,30,1,1,1,1),(28,503,1,14,31,NULL,NULL,NULL,NULL),(28,503,1,14,32,2,2,1,2),(28,503,1,14,33,1,1,1,NULL),(28,503,1,14,34,NULL,2,NULL,2),(28,503,1,14,35,1,NULL,1,NULL),(28,503,1,14,36,NULL,NULL,NULL,NULL),(28,503,1,14,37,NULL,1,NULL,1),(28,503,1,14,38,NULL,3,NULL,2),(28,503,1,14,39,1,1,1,1),(28,503,1,14,40,NULL,NULL,NULL,NULL),(28,503,1,15,1,3,NULL,3,NULL),(28,503,1,15,2,NULL,4,NULL,3),(28,503,1,15,3,2,2,2,2),(28,503,1,15,4,1,2,NULL,2),(28,503,1,15,5,1,5,1,4),(28,503,1,15,6,1,8,1,6),(28,503,1,15,7,1,5,NULL,5),(28,503,1,15,8,1,3,1,2),(28,503,1,15,9,NULL,2,NULL,1),(28,503,1,15,10,4,NULL,4,NULL),(28,503,1,15,11,1,2,1,2),(28,503,1,15,12,NULL,3,NULL,2),(28,503,1,15,13,5,6,4,4),(28,503,1,15,14,2,3,2,3),(28,503,1,15,15,7,NULL,7,NULL),(28,503,1,15,16,4,2,4,1),(28,503,1,15,17,2,5,2,4),(28,503,1,15,18,3,3,2,3),(28,503,1,15,19,2,8,2,6),(28,503,1,15,20,2,6,2,4),(28,503,1,15,21,1,1,1,1),(28,503,1,15,22,NULL,1,NULL,1),(28,503,1,15,23,NULL,3,NULL,3),(28,503,1,15,24,NULL,NULL,NULL,NULL),(28,503,1,15,25,NULL,2,NULL,1),(28,503,1,15,26,NULL,1,NULL,1),(28,503,1,15,27,1,NULL,1,NULL),(28,503,1,15,28,NULL,NULL,NULL,NULL),(28,503,1,15,29,NULL,4,NULL,4),(28,503,1,15,30,1,3,1,3),(28,503,1,15,31,NULL,1,NULL,1),(28,503,1,15,32,2,3,2,3),(28,503,1,15,33,1,3,1,3),(28,503,1,15,34,3,1,2,1),(28,503,1,15,35,NULL,2,NULL,2),(28,503,1,15,36,NULL,NULL,NULL,NULL),(28,503,1,15,37,NULL,1,NULL,1),(28,503,1,15,38,NULL,1,NULL,1),(28,503,1,15,39,1,3,1,3),(28,503,1,15,40,1,NULL,1,NULL),(28,503,1,16,1,5,NULL,4,NULL),(28,503,1,16,2,NULL,NULL,NULL,NULL),(28,503,1,16,3,1,3,NULL,3),(28,503,1,16,4,1,9,NULL,5),(28,503,1,16,5,3,2,3,NULL),(28,503,1,16,6,1,9,1,4),(28,503,1,16,7,2,3,NULL,3),(28,503,1,16,8,2,5,1,4),(28,503,1,16,9,3,3,1,1),(28,503,1,16,10,5,5,4,3),(28,503,1,16,11,NULL,3,NULL,1),(28,503,1,16,12,NULL,1,NULL,1),(28,503,1,16,13,20,NULL,10,NULL),(28,503,1,16,14,14,4,7,3),(28,503,1,16,15,1,12,NULL,8),(28,503,1,16,16,13,NULL,7,NULL),(28,503,1,16,17,8,13,2,8),(28,503,1,16,18,5,5,1,4),(28,503,1,16,19,1,12,NULL,7),(28,503,1,16,20,2,6,NULL,3),(28,503,1,16,21,NULL,1,NULL,1),(28,503,1,16,22,NULL,2,NULL,1),(28,503,1,16,23,1,2,NULL,1),(28,503,1,16,24,NULL,NULL,NULL,NULL),(28,503,1,16,25,NULL,1,NULL,1),(28,503,1,16,26,1,4,NULL,2),(28,503,1,16,27,2,NULL,NULL,NULL),(28,503,1,16,28,2,1,1,NULL),(28,503,1,16,29,NULL,6,NULL,5),(28,503,1,16,30,NULL,7,NULL,3),(28,503,1,16,31,1,1,1,1),(28,503,1,16,32,2,3,1,1),(28,503,1,16,33,NULL,8,NULL,5),(28,503,1,16,34,2,2,2,2),(28,503,1,16,35,1,1,1,NULL),(28,503,1,16,36,NULL,NULL,NULL,NULL),(28,503,1,16,37,2,NULL,1,NULL),(28,503,1,16,38,NULL,1,NULL,1),(28,503,1,16,39,1,6,NULL,4),(28,503,1,16,40,2,NULL,1,NULL),(28,503,1,17,1,8,NULL,8,NULL),(28,503,1,17,2,NULL,5,NULL,4),(28,503,1,17,3,2,7,2,7),(28,503,1,17,4,NULL,4,NULL,4),(28,503,1,17,5,2,3,2,3),(28,503,1,17,6,1,6,1,4),(28,503,1,17,7,1,3,1,2),(28,503,1,17,8,NULL,5,NULL,5),(28,503,1,17,9,NULL,5,NULL,3),(28,503,1,17,10,8,4,7,4),(28,503,1,17,11,1,4,1,4),(28,503,1,17,12,1,3,1,2),(28,503,1,17,13,17,NULL,13,NULL),(28,503,1,17,14,11,7,9,7),(28,503,1,17,15,3,11,2,10),(28,503,1,17,16,14,NULL,11,NULL),(28,503,1,17,17,7,11,5,10),(28,503,1,17,18,5,9,4,7),(28,503,1,17,19,NULL,10,NULL,10),(28,503,1,17,20,2,6,1,6),(28,503,1,17,21,1,1,1,1),(28,503,1,17,22,NULL,4,NULL,3),(28,503,1,17,23,NULL,2,NULL,2),(28,503,1,17,24,NULL,NULL,NULL,NULL),(28,503,1,17,25,NULL,3,NULL,3),(28,503,1,17,26,NULL,3,NULL,3),(28,503,1,17,27,4,NULL,4,NULL),(28,503,1,17,28,NULL,1,NULL,1),(28,503,1,17,29,NULL,5,NULL,5),(28,503,1,17,30,3,10,2,10),(28,503,1,17,31,NULL,1,NULL,1),(28,503,1,17,32,NULL,5,NULL,5),(28,503,1,17,33,NULL,3,NULL,2),(28,503,1,17,34,3,3,3,2),(28,503,1,17,35,1,2,1,1),(28,503,1,17,36,NULL,NULL,NULL,NULL),(28,503,1,17,37,NULL,NULL,NULL,NULL),(28,503,1,17,38,1,2,1,2),(28,503,1,17,39,1,9,1,8),(28,503,1,17,40,1,NULL,1,NULL),(28,503,1,18,1,NULL,NULL,NULL,NULL),(28,503,1,18,2,NULL,NULL,NULL,NULL),(28,503,1,18,3,NULL,NULL,NULL,NULL),(28,503,1,18,4,NULL,NULL,NULL,NULL),(28,503,1,18,5,NULL,NULL,NULL,NULL),(28,503,1,18,6,NULL,NULL,NULL,NULL),(28,503,1,18,7,NULL,NULL,NULL,NULL),(28,503,1,18,8,NULL,NULL,NULL,NULL),(28,503,1,18,9,NULL,NULL,NULL,NULL),(28,503,1,18,10,NULL,NULL,NULL,NULL),(28,503,1,18,11,NULL,NULL,NULL,NULL),(28,503,1,18,12,NULL,NULL,NULL,NULL),(28,503,1,18,13,NULL,NULL,NULL,NULL),(28,503,1,18,14,NULL,NULL,NULL,NULL),(28,503,1,18,15,NULL,NULL,NULL,NULL),(28,503,1,18,16,NULL,NULL,NULL,NULL),(28,503,1,18,17,NULL,NULL,NULL,NULL),(28,503,1,18,18,NULL,NULL,NULL,NULL),(28,503,1,18,19,NULL,NULL,NULL,NULL),(28,503,1,18,20,NULL,NULL,NULL,NULL),(28,503,1,18,21,NULL,NULL,NULL,NULL),(28,503,1,18,22,NULL,NULL,NULL,NULL),(28,503,1,18,23,NULL,NULL,NULL,NULL),(28,503,1,18,24,NULL,NULL,NULL,NULL),(28,503,1,18,25,NULL,NULL,NULL,NULL),(28,503,1,18,26,NULL,NULL,NULL,NULL),(28,503,1,18,27,NULL,NULL,NULL,NULL),(28,503,1,18,28,NULL,NULL,NULL,NULL),(28,503,1,18,29,NULL,NULL,NULL,NULL),(28,503,1,18,30,NULL,NULL,NULL,NULL),(28,503,1,18,31,NULL,NULL,NULL,NULL),(28,503,1,18,32,NULL,NULL,NULL,NULL),(28,503,1,18,33,NULL,NULL,NULL,NULL),(28,503,1,18,34,NULL,NULL,NULL,NULL),(28,503,1,18,35,NULL,NULL,NULL,NULL),(28,503,1,18,36,NULL,NULL,NULL,NULL),(28,503,1,18,37,NULL,NULL,NULL,NULL),(28,503,1,18,38,NULL,NULL,NULL,NULL),(28,503,1,18,39,NULL,NULL,NULL,NULL),(28,503,1,18,40,NULL,NULL,NULL,NULL),(28,503,1,19,1,NULL,NULL,NULL,NULL),(28,503,1,19,2,NULL,NULL,NULL,NULL),(28,503,1,19,3,NULL,NULL,NULL,NULL),(28,503,1,19,4,NULL,NULL,NULL,NULL),(28,503,1,19,5,NULL,NULL,NULL,NULL),(28,503,1,19,6,NULL,NULL,NULL,NULL),(28,503,1,19,7,NULL,NULL,NULL,NULL),(28,503,1,19,8,NULL,NULL,NULL,NULL),(28,503,1,19,9,NULL,NULL,NULL,NULL),(28,503,1,19,10,NULL,NULL,NULL,NULL),(28,503,1,19,11,NULL,NULL,NULL,NULL),(28,503,1,19,12,NULL,NULL,NULL,NULL),(28,503,1,19,13,NULL,NULL,NULL,NULL),(28,503,1,19,14,NULL,NULL,NULL,NULL),(28,503,1,19,15,NULL,NULL,NULL,NULL),(28,503,1,19,16,NULL,NULL,NULL,NULL),(28,503,1,19,17,NULL,NULL,NULL,NULL),(28,503,1,19,18,NULL,NULL,NULL,NULL),(28,503,1,19,19,NULL,NULL,NULL,NULL),(28,503,1,19,20,NULL,NULL,NULL,NULL),(28,503,1,19,21,NULL,NULL,NULL,NULL),(28,503,1,19,22,NULL,NULL,NULL,NULL),(28,503,1,19,23,NULL,NULL,NULL,NULL),(28,503,1,19,24,NULL,NULL,NULL,NULL),(28,503,1,19,25,NULL,NULL,NULL,NULL),(28,503,1,19,26,NULL,NULL,NULL,NULL),(28,503,1,19,27,NULL,NULL,NULL,NULL),(28,503,1,19,28,NULL,NULL,NULL,NULL),(28,503,1,19,29,NULL,NULL,NULL,NULL),(28,503,1,19,30,NULL,NULL,NULL,NULL),(28,503,1,19,31,NULL,NULL,NULL,NULL),(28,503,1,19,32,NULL,NULL,NULL,NULL),(28,503,1,19,33,NULL,NULL,NULL,NULL),(28,503,1,19,34,NULL,NULL,NULL,NULL),(28,503,1,19,35,NULL,NULL,NULL,NULL),(28,503,1,19,36,NULL,NULL,NULL,NULL),(28,503,1,19,37,NULL,NULL,NULL,NULL),(28,503,1,19,38,NULL,NULL,NULL,NULL),(28,503,1,19,39,NULL,NULL,NULL,NULL),(28,503,1,19,40,NULL,NULL,NULL,NULL),(28,503,2,21,1,NULL,6,NULL,5),(28,503,2,21,2,NULL,4,NULL,3),(28,503,2,21,3,4,6,3,4),(28,503,2,21,4,NULL,1,NULL,NULL),(28,503,2,21,5,1,2,1,1),(28,503,2,21,6,3,9,2,4),(28,503,2,21,7,NULL,3,NULL,2),(28,503,2,21,8,NULL,5,NULL,3),(28,503,2,21,9,1,1,1,1),(28,503,2,21,10,2,2,2,1),(28,503,2,21,11,NULL,1,NULL,1),(28,503,2,21,12,5,4,2,3),(28,503,2,21,13,1,9,NULL,8),(28,503,2,21,14,NULL,6,NULL,5),(28,503,2,21,15,1,7,NULL,5),(28,503,2,21,16,1,7,1,5),(28,503,2,21,17,2,2,1,1),(28,503,2,21,18,7,4,5,3),(28,503,2,21,19,NULL,6,NULL,5),(28,503,2,21,20,4,1,2,NULL),(28,503,2,21,21,2,1,NULL,1),(28,503,2,21,22,1,NULL,1,NULL),(28,503,2,21,23,1,1,1,1),(28,503,2,21,24,1,5,NULL,2),(28,503,2,21,25,1,1,NULL,1),(28,503,2,21,26,NULL,5,NULL,3),(28,503,2,21,27,2,8,NULL,6),(28,503,2,21,28,NULL,1,NULL,1),(28,503,2,21,29,NULL,1,NULL,1),(28,503,2,21,30,NULL,NULL,NULL,NULL),(28,503,2,21,31,NULL,3,NULL,1),(28,503,2,21,32,NULL,2,NULL,2),(28,503,2,21,33,1,3,1,2),(28,503,2,21,34,1,5,1,4),(28,503,2,21,35,1,NULL,1,NULL),(28,503,2,21,36,NULL,2,NULL,2),(28,503,2,21,37,NULL,NULL,NULL,NULL),(28,503,2,21,38,NULL,NULL,NULL,NULL),(28,503,2,21,39,1,4,1,4),(28,503,2,21,40,NULL,5,NULL,4),(28,503,2,22,1,NULL,4,NULL,1),(28,503,2,22,2,NULL,2,NULL,1),(28,503,2,22,3,4,6,2,4),(28,503,2,22,4,NULL,NULL,NULL,NULL),(28,503,2,22,5,2,3,2,2),(28,503,2,22,6,2,8,NULL,7),(28,503,2,22,7,NULL,6,NULL,4),(28,503,2,22,8,2,1,2,1),(28,503,2,22,9,1,2,1,2),(28,503,2,22,10,3,5,2,5),(28,503,2,22,11,1,1,1,1),(28,503,2,22,12,NULL,5,NULL,3),(28,503,2,22,13,NULL,7,NULL,6),(28,503,2,22,14,2,4,1,4),(28,503,2,22,15,2,5,2,4),(28,503,2,22,16,3,5,3,4),(28,503,2,22,17,1,4,1,3),(28,503,2,22,18,3,8,2,5),(28,503,2,22,19,NULL,3,NULL,2),(28,503,2,22,20,2,3,2,1),(28,503,2,22,21,NULL,1,NULL,NULL),(28,503,2,22,22,NULL,1,NULL,NULL),(28,503,2,22,23,NULL,1,NULL,1),(28,503,2,22,24,NULL,NULL,NULL,NULL),(28,503,2,22,25,NULL,1,NULL,NULL),(28,503,2,22,26,1,4,NULL,3),(28,503,2,22,27,1,4,NULL,3),(28,503,2,22,28,NULL,NULL,NULL,NULL),(28,503,2,22,29,NULL,2,NULL,2),(28,503,2,22,30,NULL,5,NULL,4),(28,503,2,22,31,NULL,2,NULL,2),(28,503,2,22,32,NULL,NULL,NULL,NULL),(28,503,2,22,33,NULL,NULL,NULL,NULL),(28,503,2,22,34,1,5,1,4),(28,503,2,22,35,1,NULL,NULL,NULL),(28,503,2,22,36,NULL,1,NULL,1),(28,503,2,22,37,NULL,1,NULL,1),(28,503,2,22,38,NULL,NULL,NULL,NULL),(28,503,2,22,39,NULL,NULL,NULL,NULL),(28,503,2,22,40,1,1,1,NULL),(28,503,2,23,1,NULL,2,NULL,NULL),(28,503,2,23,2,NULL,1,NULL,NULL),(28,503,2,23,3,4,7,2,5),(28,503,2,23,4,NULL,1,NULL,1),(28,503,2,23,5,NULL,3,NULL,3),(28,503,2,23,6,5,5,2,3),(28,503,2,23,7,NULL,1,NULL,NULL),(28,503,2,23,8,NULL,3,NULL,1),(28,503,2,23,9,1,5,NULL,2),(28,503,2,23,10,1,3,NULL,2),(28,503,2,23,11,NULL,4,NULL,3),(28,503,2,23,12,3,4,2,3),(28,503,2,23,13,NULL,5,NULL,4),(28,503,2,23,14,NULL,4,NULL,2),(28,503,2,23,15,2,3,1,2),(28,503,2,23,16,NULL,3,NULL,3),(28,503,2,23,17,1,3,NULL,2),(28,503,2,23,18,2,9,1,7),(28,503,2,23,19,1,1,1,NULL),(28,503,2,23,20,1,3,1,1),(28,503,2,23,21,NULL,2,NULL,2),(28,503,2,23,22,NULL,2,NULL,2),(28,503,2,23,23,NULL,3,NULL,3),(28,503,2,23,24,NULL,NULL,NULL,NULL),(28,503,2,23,25,1,1,1,1),(28,503,2,23,26,NULL,1,NULL,1),(28,503,2,23,27,NULL,6,NULL,5),(28,503,2,23,28,NULL,1,NULL,NULL),(28,503,2,23,29,NULL,1,NULL,1),(28,503,2,23,30,NULL,3,NULL,3),(28,503,2,23,31,NULL,NULL,NULL,NULL),(28,503,2,23,32,NULL,NULL,NULL,NULL),(28,503,2,23,33,NULL,2,NULL,2),(28,503,2,23,34,NULL,2,NULL,2),(28,503,2,23,35,1,NULL,NULL,NULL),(28,503,2,23,36,NULL,1,NULL,NULL),(28,503,2,23,37,NULL,5,NULL,5),(28,503,2,23,38,1,2,NULL,NULL),(28,503,2,23,39,NULL,3,NULL,2),(28,503,2,23,40,NULL,4,NULL,2),(28,503,2,24,1,1,6,1,2),(28,503,2,24,2,1,1,1,1),(28,503,2,24,3,5,7,2,7),(28,503,2,24,4,NULL,2,NULL,2),(28,503,2,24,5,NULL,6,NULL,5),(28,503,2,24,6,2,8,1,4),(28,503,2,24,7,NULL,7,NULL,3),(28,503,2,24,8,NULL,2,NULL,1),(28,503,2,24,9,1,3,1,2),(28,503,2,24,10,3,5,1,4),(28,503,2,24,11,1,5,1,4),(28,503,2,24,12,3,7,NULL,4),(28,503,2,24,13,NULL,9,NULL,5),(28,503,2,24,14,1,8,1,7),(28,503,2,24,15,2,4,1,3),(28,503,2,24,16,NULL,5,NULL,2),(28,503,2,24,17,NULL,4,NULL,3),(28,503,2,24,18,5,5,4,4),(28,503,2,24,19,2,6,1,4),(28,503,2,24,20,3,4,3,3),(28,503,2,24,21,NULL,3,NULL,1),(28,503,2,24,22,NULL,2,NULL,2),(28,503,2,24,23,1,2,NULL,1),(28,503,2,24,24,1,2,NULL,2),(28,503,2,24,25,NULL,1,NULL,NULL),(28,503,2,24,26,2,3,2,2),(28,503,2,24,27,3,5,2,3),(28,503,2,24,28,NULL,1,NULL,1),(28,503,2,24,29,NULL,3,NULL,2),(28,503,2,24,30,NULL,1,NULL,1),(28,503,2,24,31,NULL,1,NULL,NULL),(28,503,2,24,32,NULL,1,NULL,1),(28,503,2,24,33,NULL,3,NULL,3),(28,503,2,24,34,NULL,4,NULL,4),(28,503,2,24,35,5,NULL,4,NULL),(28,503,2,24,36,1,NULL,1,NULL),(28,503,2,24,37,NULL,2,NULL,1),(28,503,2,24,38,1,NULL,NULL,NULL),(28,503,2,24,39,1,1,1,NULL),(28,503,2,24,40,NULL,5,NULL,3),(28,551,1,11,1,NULL,NULL,NULL,NULL),(28,551,1,11,2,NULL,NULL,NULL,NULL),(28,551,1,11,3,NULL,NULL,NULL,NULL),(28,551,1,11,4,NULL,NULL,NULL,NULL),(28,551,1,11,5,NULL,NULL,NULL,NULL),(28,551,1,11,6,NULL,NULL,NULL,NULL),(28,551,1,11,7,NULL,NULL,NULL,NULL),(28,551,1,11,8,NULL,NULL,NULL,NULL),(28,551,1,11,9,NULL,NULL,NULL,NULL),(28,551,1,11,10,NULL,NULL,NULL,NULL),(28,551,1,11,11,NULL,NULL,NULL,NULL),(28,551,1,11,12,NULL,NULL,NULL,NULL),(28,551,1,11,13,NULL,NULL,NULL,NULL),(28,551,1,11,14,NULL,NULL,NULL,NULL),(28,551,1,11,15,NULL,NULL,NULL,NULL),(28,551,1,11,16,NULL,NULL,NULL,NULL),(28,551,1,11,17,NULL,NULL,NULL,NULL),(28,551,1,11,18,NULL,NULL,NULL,NULL),(28,551,1,11,19,NULL,NULL,NULL,NULL),(28,551,1,11,20,NULL,NULL,NULL,NULL),(28,551,1,11,21,NULL,NULL,NULL,NULL),(28,551,1,11,22,NULL,NULL,NULL,NULL),(28,551,1,11,23,NULL,NULL,NULL,NULL),(28,551,1,11,24,NULL,NULL,NULL,NULL),(28,551,1,11,25,NULL,NULL,NULL,NULL),(28,551,1,11,26,NULL,NULL,NULL,NULL),(28,551,1,11,27,NULL,NULL,NULL,NULL),(28,551,1,11,28,NULL,NULL,NULL,NULL),(28,551,1,11,29,NULL,NULL,NULL,NULL),(28,551,1,11,30,NULL,NULL,NULL,NULL),(28,551,1,11,31,NULL,NULL,NULL,NULL),(28,551,1,11,32,NULL,NULL,NULL,NULL),(28,551,1,11,33,NULL,NULL,NULL,NULL),(28,551,1,11,34,NULL,NULL,NULL,NULL),(28,551,1,11,35,NULL,NULL,NULL,NULL),(28,551,1,11,36,NULL,NULL,NULL,NULL),(28,551,1,11,37,NULL,NULL,NULL,NULL),(28,551,1,11,38,NULL,NULL,NULL,NULL),(28,551,1,11,39,NULL,NULL,NULL,NULL),(28,551,1,11,40,NULL,NULL,NULL,NULL),(28,551,1,12,1,NULL,NULL,NULL,NULL),(28,551,1,12,2,NULL,NULL,NULL,NULL),(28,551,1,12,3,NULL,NULL,NULL,NULL),(28,551,1,12,4,NULL,NULL,NULL,NULL),(28,551,1,12,5,NULL,NULL,NULL,NULL),(28,551,1,12,6,NULL,NULL,NULL,NULL),(28,551,1,12,7,NULL,NULL,NULL,NULL),(28,551,1,12,8,NULL,NULL,NULL,NULL),(28,551,1,12,9,NULL,NULL,NULL,NULL),(28,551,1,12,10,NULL,NULL,NULL,NULL),(28,551,1,12,11,NULL,NULL,NULL,NULL),(28,551,1,12,12,NULL,NULL,NULL,NULL),(28,551,1,12,13,NULL,NULL,NULL,NULL),(28,551,1,12,14,NULL,NULL,NULL,NULL),(28,551,1,12,15,NULL,NULL,NULL,NULL),(28,551,1,12,16,NULL,NULL,NULL,NULL),(28,551,1,12,17,NULL,NULL,NULL,NULL),(28,551,1,12,18,NULL,NULL,NULL,NULL),(28,551,1,12,19,NULL,NULL,NULL,NULL),(28,551,1,12,20,NULL,NULL,NULL,NULL),(28,551,1,12,21,NULL,NULL,NULL,NULL),(28,551,1,12,22,NULL,NULL,NULL,NULL),(28,551,1,12,23,NULL,NULL,NULL,NULL),(28,551,1,12,24,NULL,NULL,NULL,NULL),(28,551,1,12,25,NULL,NULL,NULL,NULL),(28,551,1,12,26,NULL,NULL,NULL,NULL),(28,551,1,12,27,NULL,NULL,NULL,NULL),(28,551,1,12,28,NULL,NULL,NULL,NULL),(28,551,1,12,29,NULL,NULL,NULL,NULL),(28,551,1,12,30,NULL,NULL,NULL,NULL),(28,551,1,12,31,NULL,NULL,NULL,NULL),(28,551,1,12,32,NULL,NULL,NULL,NULL),(28,551,1,12,33,NULL,NULL,NULL,NULL),(28,551,1,12,34,NULL,NULL,NULL,NULL),(28,551,1,12,35,NULL,NULL,NULL,NULL),(28,551,1,12,36,NULL,NULL,NULL,NULL),(28,551,1,12,37,NULL,NULL,NULL,NULL),(28,551,1,12,38,NULL,NULL,NULL,NULL),(28,551,1,12,39,NULL,NULL,NULL,NULL),(28,551,1,12,40,NULL,NULL,NULL,NULL),(28,551,1,13,1,NULL,NULL,NULL,NULL),(28,551,1,13,2,NULL,NULL,NULL,NULL),(28,551,1,13,3,NULL,NULL,NULL,NULL),(28,551,1,13,4,NULL,NULL,NULL,NULL),(28,551,1,13,5,NULL,NULL,NULL,NULL),(28,551,1,13,6,NULL,NULL,NULL,NULL),(28,551,1,13,7,NULL,NULL,NULL,NULL),(28,551,1,13,8,NULL,NULL,NULL,NULL),(28,551,1,13,9,NULL,NULL,NULL,NULL),(28,551,1,13,10,NULL,NULL,NULL,NULL),(28,551,1,13,11,NULL,NULL,NULL,NULL),(28,551,1,13,12,NULL,NULL,NULL,NULL),(28,551,1,13,13,NULL,NULL,NULL,NULL),(28,551,1,13,14,NULL,NULL,NULL,NULL),(28,551,1,13,15,NULL,NULL,NULL,NULL),(28,551,1,13,16,NULL,NULL,NULL,NULL),(28,551,1,13,17,NULL,NULL,NULL,NULL),(28,551,1,13,18,NULL,NULL,NULL,NULL),(28,551,1,13,19,NULL,NULL,NULL,NULL),(28,551,1,13,20,NULL,NULL,NULL,NULL),(28,551,1,13,21,NULL,NULL,NULL,NULL),(28,551,1,13,22,NULL,NULL,NULL,NULL),(28,551,1,13,23,NULL,NULL,NULL,NULL),(28,551,1,13,24,NULL,NULL,NULL,NULL),(28,551,1,13,25,NULL,NULL,NULL,NULL),(28,551,1,13,26,NULL,NULL,NULL,NULL),(28,551,1,13,27,NULL,NULL,NULL,NULL),(28,551,1,13,28,NULL,NULL,NULL,NULL),(28,551,1,13,29,NULL,NULL,NULL,NULL),(28,551,1,13,30,NULL,NULL,NULL,NULL),(28,551,1,13,31,NULL,NULL,NULL,NULL),(28,551,1,13,32,NULL,NULL,NULL,NULL),(28,551,1,13,33,NULL,NULL,NULL,NULL),(28,551,1,13,34,NULL,NULL,NULL,NULL),(28,551,1,13,35,NULL,NULL,NULL,NULL),(28,551,1,13,36,NULL,NULL,NULL,NULL),(28,551,1,13,37,NULL,NULL,NULL,NULL),(28,551,1,13,38,NULL,NULL,NULL,NULL),(28,551,1,13,39,NULL,NULL,NULL,NULL),(28,551,1,13,40,NULL,NULL,NULL,NULL),(28,551,1,14,1,2,NULL,1,NULL),(28,551,1,14,2,NULL,5,NULL,3),(28,551,1,14,3,NULL,5,NULL,4),(28,551,1,14,4,4,2,4,1),(28,551,1,14,5,4,7,4,3),(28,551,1,14,6,2,12,1,7),(28,551,1,14,7,2,5,2,4),(28,551,1,14,8,1,4,1,2),(28,551,1,14,9,6,9,5,6),(28,551,1,14,10,9,3,8,1),(28,551,1,14,11,NULL,2,NULL,2),(28,551,1,14,12,2,2,NULL,1),(28,551,1,14,13,5,5,4,4),(28,551,1,14,14,3,2,2,1),(28,551,1,14,15,8,NULL,7,NULL),(28,551,1,14,16,4,7,4,7),(28,551,1,14,17,NULL,18,NULL,13),(28,551,1,14,18,1,4,1,4),(28,551,1,14,19,5,8,5,5),(28,551,1,14,20,5,10,4,8),(28,551,1,14,21,1,11,1,7),(28,551,1,14,22,NULL,10,NULL,8),(28,551,1,14,23,2,1,1,1),(28,551,1,14,24,NULL,NULL,NULL,NULL),(28,551,1,14,25,NULL,5,NULL,3),(28,551,1,14,26,NULL,3,NULL,3),(28,551,1,14,27,4,NULL,4,NULL),(28,551,1,14,28,NULL,1,NULL,1),(28,551,1,14,29,1,3,1,2),(28,551,1,14,30,4,2,3,1),(28,551,1,14,31,2,2,1,2),(28,551,1,14,32,3,6,1,3),(28,551,1,14,33,NULL,2,NULL,1),(28,551,1,14,34,4,2,3,2),(28,551,1,14,35,1,1,1,NULL),(28,551,1,14,36,NULL,NULL,NULL,NULL),(28,551,1,14,37,NULL,3,NULL,2),(28,551,1,14,38,1,2,1,2),(28,551,1,14,39,3,4,2,3),(28,551,1,14,40,NULL,NULL,NULL,NULL),(28,551,1,15,1,3,NULL,3,NULL),(28,551,1,15,2,NULL,6,NULL,5),(28,551,1,15,3,5,2,5,1),(28,551,1,15,4,4,4,4,4),(28,551,1,15,5,7,2,6,1),(28,551,1,15,6,2,12,2,7),(28,551,1,15,7,2,1,1,1),(28,551,1,15,8,1,8,1,5),(28,551,1,15,9,3,6,2,5),(28,551,1,15,10,11,2,10,1),(28,551,1,15,11,2,2,2,1),(28,551,1,15,12,3,5,3,3),(28,551,1,15,13,4,10,4,7),(28,551,1,15,14,1,4,NULL,4),(28,551,1,15,15,10,NULL,8,NULL),(28,551,1,15,16,7,7,5,5),(28,551,1,15,17,NULL,10,NULL,5),(28,551,1,15,18,3,1,2,1),(28,551,1,15,19,6,2,6,1),(28,551,1,15,20,4,11,2,9),(28,551,1,15,21,NULL,4,NULL,NULL),(28,551,1,15,22,NULL,8,NULL,4),(28,551,1,15,23,2,2,NULL,NULL),(28,551,1,15,24,NULL,NULL,NULL,NULL),(28,551,1,15,25,2,4,1,3),(28,551,1,15,26,NULL,5,NULL,2),(28,551,1,15,27,4,NULL,4,NULL),(28,551,1,15,28,1,1,NULL,NULL),(28,551,1,15,29,2,NULL,1,NULL),(28,551,1,15,30,3,5,1,3),(28,551,1,15,31,NULL,2,NULL,2),(28,551,1,15,32,1,1,NULL,1),(28,551,1,15,33,1,NULL,1,NULL),(28,551,1,15,34,1,3,1,1),(28,551,1,15,35,1,NULL,1,NULL),(28,551,1,15,36,1,NULL,1,NULL),(28,551,1,15,37,1,3,1,3),(28,551,1,15,38,NULL,1,NULL,1),(28,551,1,15,39,5,6,5,4),(28,551,1,15,40,2,NULL,2,NULL),(28,551,1,16,1,1,NULL,NULL,NULL),(28,551,1,16,2,NULL,2,NULL,NULL),(28,551,1,16,3,8,3,6,1),(28,551,1,16,4,5,9,3,5),(28,551,1,16,5,2,8,1,5),(28,551,1,16,6,1,11,1,5),(28,551,1,16,7,3,5,NULL,1),(28,551,1,16,8,1,9,NULL,3),(28,551,1,16,9,3,9,2,3),(28,551,1,16,10,9,3,5,1),(28,551,1,16,11,2,5,2,5),(28,551,1,16,12,NULL,2,NULL,1),(28,551,1,16,13,24,NULL,12,NULL),(28,551,1,16,14,17,4,8,2),(28,551,1,16,15,1,14,NULL,8),(28,551,1,16,16,19,NULL,10,NULL),(28,551,1,16,17,10,12,5,6),(28,551,1,16,18,3,6,1,5),(28,551,1,16,19,NULL,17,NULL,8),(28,551,1,16,20,2,14,NULL,8),(28,551,1,16,21,1,4,NULL,3),(28,551,1,16,22,NULL,5,NULL,4),(28,551,1,16,23,2,5,1,1),(28,551,1,16,24,1,NULL,NULL,NULL),(28,551,1,16,25,NULL,3,NULL,NULL),(28,551,1,16,26,1,3,NULL,2),(28,551,1,16,27,2,NULL,NULL,NULL),(28,551,1,16,28,1,2,1,1),(28,551,1,16,29,1,5,NULL,2),(28,551,1,16,30,4,5,2,2),(28,551,1,16,31,NULL,2,NULL,1),(28,551,1,16,32,NULL,2,NULL,1),(28,551,1,16,33,NULL,3,NULL,2),(28,551,1,16,34,1,2,1,2),(28,551,1,16,35,NULL,NULL,NULL,NULL),(28,551,1,16,36,NULL,NULL,NULL,NULL),(28,551,1,16,37,NULL,NULL,NULL,NULL),(28,551,1,16,38,NULL,3,NULL,2),(28,551,1,16,39,2,7,1,4),(28,551,1,16,40,3,NULL,2,NULL),(28,551,1,17,1,4,NULL,2,NULL),(28,551,1,17,2,NULL,5,NULL,5),(28,551,1,17,3,5,4,4,1),(28,551,1,17,4,5,5,2,2),(28,551,1,17,5,3,7,2,1),(28,551,1,17,6,2,16,1,5),(28,551,1,17,7,2,5,1,2),(28,551,1,17,8,NULL,2,NULL,NULL),(28,551,1,17,9,5,8,3,2),(28,551,1,17,10,13,4,7,1),(28,551,1,17,11,1,1,NULL,NULL),(28,551,1,17,12,4,2,2,1),(28,551,1,17,13,32,NULL,11,NULL),(28,551,1,17,14,20,8,9,2),(28,551,1,17,15,4,9,3,2),(28,551,1,17,16,28,NULL,9,NULL),(28,551,1,17,17,9,12,5,4),(28,551,1,17,18,4,6,2,2),(28,551,1,17,19,1,15,1,7),(28,551,1,17,20,5,7,2,3),(28,551,1,17,21,2,4,1,2),(28,551,1,17,22,NULL,6,NULL,2),(28,551,1,17,23,3,4,1,1),(28,551,1,17,24,1,NULL,1,NULL),(28,551,1,17,25,NULL,3,NULL,1),(28,551,1,17,26,NULL,4,NULL,NULL),(28,551,1,17,27,1,NULL,1,NULL),(28,551,1,17,28,NULL,1,NULL,NULL),(28,551,1,17,29,2,5,NULL,1),(28,551,1,17,30,2,10,NULL,2),(28,551,1,17,31,NULL,NULL,NULL,NULL),(28,551,1,17,32,1,3,1,2),(28,551,1,17,33,1,1,NULL,1),(28,551,1,17,34,NULL,5,NULL,2),(28,551,1,17,35,1,NULL,NULL,NULL),(28,551,1,17,36,NULL,NULL,NULL,NULL),(28,551,1,17,37,1,2,1,1),(28,551,1,17,38,NULL,NULL,NULL,NULL),(28,551,1,17,39,4,4,1,1),(28,551,1,17,40,2,NULL,1,NULL),(28,551,1,18,1,NULL,NULL,NULL,NULL),(28,551,1,18,2,NULL,NULL,NULL,NULL),(28,551,1,18,3,NULL,NULL,NULL,NULL),(28,551,1,18,4,NULL,NULL,NULL,NULL),(28,551,1,18,5,NULL,NULL,NULL,NULL),(28,551,1,18,6,NULL,NULL,NULL,NULL),(28,551,1,18,7,NULL,NULL,NULL,NULL),(28,551,1,18,8,NULL,NULL,NULL,NULL),(28,551,1,18,9,NULL,NULL,NULL,NULL),(28,551,1,18,10,NULL,NULL,NULL,NULL),(28,551,1,18,11,NULL,NULL,NULL,NULL),(28,551,1,18,12,NULL,NULL,NULL,NULL),(28,551,1,18,13,NULL,NULL,NULL,NULL),(28,551,1,18,14,NULL,NULL,NULL,NULL),(28,551,1,18,15,NULL,NULL,NULL,NULL),(28,551,1,18,16,NULL,NULL,NULL,NULL),(28,551,1,18,17,NULL,NULL,NULL,NULL),(28,551,1,18,18,NULL,NULL,NULL,NULL),(28,551,1,18,19,NULL,NULL,NULL,NULL),(28,551,1,18,20,NULL,NULL,NULL,NULL),(28,551,1,18,21,NULL,NULL,NULL,NULL),(28,551,1,18,22,NULL,NULL,NULL,NULL),(28,551,1,18,23,NULL,NULL,NULL,NULL),(28,551,1,18,24,NULL,NULL,NULL,NULL),(28,551,1,18,25,NULL,NULL,NULL,NULL),(28,551,1,18,26,NULL,NULL,NULL,NULL),(28,551,1,18,27,NULL,NULL,NULL,NULL),(28,551,1,18,28,NULL,NULL,NULL,NULL),(28,551,1,18,29,NULL,NULL,NULL,NULL),(28,551,1,18,30,NULL,NULL,NULL,NULL),(28,551,1,18,31,NULL,NULL,NULL,NULL),(28,551,1,18,32,NULL,NULL,NULL,NULL),(28,551,1,18,33,NULL,NULL,NULL,NULL),(28,551,1,18,34,NULL,NULL,NULL,NULL),(28,551,1,18,35,NULL,NULL,NULL,NULL),(28,551,1,18,36,NULL,NULL,NULL,NULL),(28,551,1,18,37,NULL,NULL,NULL,NULL),(28,551,1,18,38,NULL,NULL,NULL,NULL),(28,551,1,18,39,NULL,NULL,NULL,NULL),(28,551,1,18,40,NULL,NULL,NULL,NULL),(28,551,1,19,1,NULL,NULL,NULL,NULL),(28,551,1,19,2,NULL,NULL,NULL,NULL),(28,551,1,19,3,NULL,NULL,NULL,NULL),(28,551,1,19,4,NULL,NULL,NULL,NULL),(28,551,1,19,5,NULL,NULL,NULL,NULL),(28,551,1,19,6,NULL,NULL,NULL,NULL),(28,551,1,19,7,NULL,NULL,NULL,NULL),(28,551,1,19,8,NULL,NULL,NULL,NULL),(28,551,1,19,9,NULL,NULL,NULL,NULL),(28,551,1,19,10,NULL,NULL,NULL,NULL),(28,551,1,19,11,NULL,NULL,NULL,NULL),(28,551,1,19,12,NULL,NULL,NULL,NULL),(28,551,1,19,13,NULL,NULL,NULL,NULL),(28,551,1,19,14,NULL,NULL,NULL,NULL),(28,551,1,19,15,NULL,NULL,NULL,NULL),(28,551,1,19,16,NULL,NULL,NULL,NULL),(28,551,1,19,17,NULL,NULL,NULL,NULL),(28,551,1,19,18,NULL,NULL,NULL,NULL),(28,551,1,19,19,NULL,NULL,NULL,NULL),(28,551,1,19,20,NULL,NULL,NULL,NULL),(28,551,1,19,21,NULL,NULL,NULL,NULL),(28,551,1,19,22,NULL,NULL,NULL,NULL),(28,551,1,19,23,NULL,NULL,NULL,NULL),(28,551,1,19,24,NULL,NULL,NULL,NULL),(28,551,1,19,25,NULL,NULL,NULL,NULL),(28,551,1,19,26,NULL,NULL,NULL,NULL),(28,551,1,19,27,NULL,NULL,NULL,NULL),(28,551,1,19,28,NULL,NULL,NULL,NULL),(28,551,1,19,29,NULL,NULL,NULL,NULL),(28,551,1,19,30,NULL,NULL,NULL,NULL),(28,551,1,19,31,NULL,NULL,NULL,NULL),(28,551,1,19,32,NULL,NULL,NULL,NULL),(28,551,1,19,33,NULL,NULL,NULL,NULL),(28,551,1,19,34,NULL,NULL,NULL,NULL),(28,551,1,19,35,NULL,NULL,NULL,NULL),(28,551,1,19,36,NULL,NULL,NULL,NULL),(28,551,1,19,37,NULL,NULL,NULL,NULL),(28,551,1,19,38,NULL,NULL,NULL,NULL),(28,551,1,19,39,NULL,NULL,NULL,NULL),(28,551,1,19,40,NULL,NULL,NULL,NULL),(28,551,2,21,1,NULL,13,NULL,4),(28,551,2,21,2,NULL,7,NULL,3),(28,551,2,21,3,11,6,7,3),(28,551,2,21,4,1,5,1,4),(28,551,2,21,5,1,4,1,3),(28,551,2,21,6,11,20,4,9),(28,551,2,21,7,NULL,11,NULL,4),(28,551,2,21,8,2,6,1,4),(28,551,2,21,9,2,2,2,2),(28,551,2,21,10,9,6,5,4),(28,551,2,21,11,1,3,NULL,2),(28,551,2,21,12,6,13,3,5),(28,551,2,21,13,2,17,2,5),(28,551,2,21,14,5,3,3,2),(28,551,2,21,15,2,11,1,5),(28,551,2,21,16,4,12,1,6),(28,551,2,21,17,4,5,3,2),(28,551,2,21,18,12,8,3,5),(28,551,2,21,19,6,9,3,4),(28,551,2,21,20,6,8,3,5),(28,551,2,21,21,2,4,1,NULL),(28,551,2,21,22,2,1,2,NULL),(28,551,2,21,23,3,2,2,NULL),(28,551,2,21,24,1,5,NULL,2),(28,551,2,21,25,NULL,4,NULL,2),(28,551,2,21,26,1,8,1,4),(28,551,2,21,27,3,7,1,6),(28,551,2,21,28,1,3,1,1),(28,551,2,21,29,NULL,NULL,NULL,NULL),(28,551,2,21,30,NULL,3,NULL,2),(28,551,2,21,31,1,6,1,2),(28,551,2,21,32,NULL,2,NULL,1),(28,551,2,21,33,1,4,NULL,1),(28,551,2,21,34,2,5,NULL,3),(28,551,2,21,35,2,NULL,1,NULL),(28,551,2,21,36,NULL,5,NULL,NULL),(28,551,2,21,37,NULL,1,NULL,1),(28,551,2,21,38,NULL,2,NULL,NULL),(28,551,2,21,39,NULL,4,NULL,1),(28,551,2,21,40,1,10,1,4),(28,551,2,22,1,NULL,16,NULL,8),(28,551,2,22,2,NULL,5,NULL,3),(28,551,2,22,3,3,9,1,4),(28,551,2,22,4,NULL,NULL,NULL,NULL),(28,551,2,22,5,3,4,1,2),(28,551,2,22,6,13,13,6,7),(28,551,2,22,7,NULL,8,NULL,5),(28,551,2,22,8,2,2,2,1),(28,551,2,22,9,1,NULL,1,NULL),(28,551,2,22,10,4,5,3,3),(28,551,2,22,11,1,3,NULL,1),(28,551,2,22,12,4,15,3,9),(28,551,2,22,13,2,15,1,8),(28,551,2,22,14,2,11,1,7),(28,551,2,22,15,3,15,2,9),(28,551,2,22,16,2,9,1,6),(28,551,2,22,17,3,7,2,3),(28,551,2,22,18,8,5,7,1),(28,551,2,22,19,4,7,2,3),(28,551,2,22,20,4,6,3,3),(28,551,2,22,21,NULL,6,NULL,4),(28,551,2,22,22,1,NULL,NULL,NULL),(28,551,2,22,23,1,3,1,1),(28,551,2,22,24,NULL,5,NULL,1),(28,551,2,22,25,NULL,2,NULL,2),(28,551,2,22,26,1,4,1,NULL),(28,551,2,22,27,1,4,NULL,2),(28,551,2,22,28,NULL,6,NULL,3),(28,551,2,22,29,NULL,1,NULL,1),(28,551,2,22,30,NULL,2,NULL,1),(28,551,2,22,31,NULL,8,NULL,3),(28,551,2,22,32,NULL,NULL,NULL,NULL),(28,551,2,22,33,NULL,2,NULL,1),(28,551,2,22,34,4,7,2,5),(28,551,2,22,35,1,NULL,1,NULL),(28,551,2,22,36,NULL,2,NULL,1),(28,551,2,22,37,2,2,NULL,1),(28,551,2,22,38,NULL,2,NULL,NULL),(28,551,2,22,39,1,2,1,1),(28,551,2,22,40,NULL,9,NULL,6),(28,551,2,23,1,1,14,1,9),(28,551,2,23,2,NULL,4,NULL,3),(28,551,2,23,3,5,3,5,3),(28,551,2,23,4,NULL,2,NULL,1),(28,551,2,23,5,NULL,2,NULL,1),(28,551,2,23,6,13,11,10,6),(28,551,2,23,7,1,11,1,7),(28,551,2,23,8,1,3,1,2),(28,551,2,23,9,1,1,1,NULL),(28,551,2,23,10,3,5,2,3),(28,551,2,23,11,NULL,1,NULL,NULL),(28,551,2,23,12,4,12,4,8),(28,551,2,23,13,1,12,NULL,10),(28,551,2,23,14,3,5,1,4),(28,551,2,23,15,1,5,NULL,4),(28,551,2,23,16,NULL,4,NULL,4),(28,551,2,23,17,NULL,6,NULL,3),(28,551,2,23,18,6,4,5,3),(28,551,2,23,19,2,7,2,5),(28,551,2,23,20,8,3,8,1),(28,551,2,23,21,NULL,3,NULL,1),(28,551,2,23,22,2,2,1,2),(28,551,2,23,23,1,3,NULL,2),(28,551,2,23,24,1,3,1,2),(28,551,2,23,25,1,NULL,1,NULL),(28,551,2,23,26,1,4,1,4),(28,551,2,23,27,2,3,1,2),(28,551,2,23,28,NULL,3,NULL,1),(28,551,2,23,29,NULL,1,NULL,NULL),(28,551,2,23,30,2,2,NULL,1),(28,551,2,23,31,1,7,1,5),(28,551,2,23,32,NULL,2,NULL,1),(28,551,2,23,33,NULL,6,NULL,3),(28,551,2,23,34,1,3,1,2),(28,551,2,23,35,4,NULL,2,NULL),(28,551,2,23,36,3,3,3,2),(28,551,2,23,37,1,1,1,1),(28,551,2,23,38,NULL,2,NULL,1),(28,551,2,23,39,1,4,1,3),(28,551,2,23,40,3,11,3,8),(28,551,2,24,1,NULL,14,NULL,6),(28,551,2,24,2,NULL,8,NULL,7),(28,551,2,24,3,10,5,5,1),(28,551,2,24,4,NULL,2,NULL,NULL),(28,551,2,24,5,NULL,4,NULL,2),(28,551,2,24,6,13,18,9,8),(28,551,2,24,7,NULL,11,NULL,5),(28,551,2,24,8,1,3,NULL,2),(28,551,2,24,9,1,3,1,1),(28,551,2,24,10,4,6,3,2),(28,551,2,24,11,1,1,1,1),(28,551,2,24,12,4,9,1,5),(28,551,2,24,13,1,20,1,15),(28,551,2,24,14,2,5,1,2),(28,551,2,24,15,3,4,1,2),(28,551,2,24,16,4,11,2,7),(28,551,2,24,17,2,3,NULL,2),(28,551,2,24,18,17,4,11,1),(28,551,2,24,19,2,9,1,4),(28,551,2,24,20,6,4,4,2),(28,551,2,24,21,NULL,5,NULL,1),(28,551,2,24,22,1,2,1,2),(28,551,2,24,23,1,3,1,2),(28,551,2,24,24,NULL,5,NULL,3),(28,551,2,24,25,NULL,5,NULL,3),(28,551,2,24,26,NULL,8,NULL,5),(28,551,2,24,27,NULL,7,NULL,4),(28,551,2,24,28,NULL,2,NULL,1),(28,551,2,24,29,2,1,1,NULL),(28,551,2,24,30,1,5,1,2),(28,551,2,24,31,2,6,2,3),(28,551,2,24,32,NULL,1,NULL,NULL),(28,551,2,24,33,NULL,NULL,NULL,NULL),(28,551,2,24,34,1,6,NULL,3),(28,551,2,24,35,3,NULL,2,NULL),(28,551,2,24,36,NULL,2,NULL,NULL),(28,551,2,24,37,NULL,3,NULL,1),(28,551,2,24,38,2,1,1,NULL),(28,551,2,24,39,2,2,2,NULL),(28,551,2,24,40,NULL,13,NULL,9),(28,552,1,11,1,NULL,NULL,NULL,NULL),(28,552,1,11,2,NULL,NULL,NULL,NULL),(28,552,1,11,3,NULL,1,NULL,NULL),(28,552,1,11,4,NULL,NULL,NULL,NULL),(28,552,1,11,5,NULL,NULL,NULL,NULL),(28,552,1,11,6,NULL,2,NULL,NULL),(28,552,1,11,7,NULL,NULL,NULL,NULL),(28,552,1,11,8,NULL,1,NULL,NULL),(28,552,1,11,9,NULL,1,NULL,NULL),(28,552,1,11,10,NULL,NULL,NULL,NULL),(28,552,1,11,11,NULL,NULL,NULL,NULL),(28,552,1,11,12,NULL,NULL,NULL,NULL),(28,552,1,11,13,NULL,NULL,NULL,NULL),(28,552,1,11,14,1,1,NULL,NULL),(28,552,1,11,15,NULL,1,NULL,NULL),(28,552,1,11,16,NULL,NULL,NULL,NULL),(28,552,1,11,17,NULL,NULL,NULL,NULL),(28,552,1,11,18,NULL,NULL,NULL,NULL),(28,552,1,11,19,NULL,NULL,NULL,NULL),(28,552,1,11,20,NULL,NULL,NULL,NULL),(28,552,1,11,21,NULL,NULL,NULL,NULL),(28,552,1,11,22,NULL,1,NULL,NULL),(28,552,1,11,23,NULL,1,NULL,NULL),(28,552,1,11,24,NULL,NULL,NULL,NULL),(28,552,1,11,25,NULL,1,NULL,NULL),(28,552,1,11,26,NULL,NULL,NULL,NULL),(28,552,1,11,27,NULL,NULL,NULL,NULL),(28,552,1,11,28,NULL,NULL,NULL,NULL),(28,552,1,11,29,NULL,NULL,NULL,NULL),(28,552,1,11,30,1,NULL,NULL,NULL),(28,552,1,11,31,NULL,NULL,NULL,NULL),(28,552,1,11,32,NULL,NULL,NULL,NULL),(28,552,1,11,33,NULL,NULL,NULL,NULL),(28,552,1,11,34,NULL,NULL,NULL,NULL),(28,552,1,11,35,NULL,NULL,NULL,NULL),(28,552,1,11,36,NULL,NULL,NULL,NULL),(28,552,1,11,37,NULL,NULL,NULL,NULL),(28,552,1,11,38,NULL,NULL,NULL,NULL),(28,552,1,11,39,NULL,NULL,NULL,NULL),(28,552,1,11,40,NULL,NULL,NULL,NULL),(28,552,1,12,1,NULL,NULL,NULL,NULL),(28,552,1,12,2,NULL,NULL,NULL,NULL),(28,552,1,12,3,NULL,NULL,NULL,NULL),(28,552,1,12,4,NULL,1,NULL,NULL),(28,552,1,12,5,NULL,1,NULL,NULL),(28,552,1,12,6,NULL,1,NULL,NULL),(28,552,1,12,7,NULL,1,NULL,NULL),(28,552,1,12,8,NULL,1,NULL,NULL),(28,552,1,12,9,NULL,NULL,NULL,NULL),(28,552,1,12,10,1,NULL,NULL,NULL),(28,552,1,12,11,NULL,NULL,NULL,NULL),(28,552,1,12,12,NULL,NULL,NULL,NULL),(28,552,1,12,13,1,NULL,NULL,NULL),(28,552,1,12,14,1,NULL,NULL,NULL),(28,552,1,12,15,NULL,NULL,NULL,NULL),(28,552,1,12,16,NULL,NULL,NULL,NULL),(28,552,1,12,17,1,NULL,NULL,NULL),(28,552,1,12,18,1,NULL,NULL,NULL),(28,552,1,12,19,1,NULL,NULL,NULL),(28,552,1,12,20,1,NULL,NULL,NULL),(28,552,1,12,21,NULL,NULL,NULL,NULL),(28,552,1,12,22,NULL,NULL,NULL,NULL),(28,552,1,12,23,NULL,NULL,NULL,NULL),(28,552,1,12,24,NULL,NULL,NULL,NULL),(28,552,1,12,25,NULL,NULL,NULL,NULL),(28,552,1,12,26,NULL,1,NULL,NULL),(28,552,1,12,27,NULL,NULL,NULL,NULL),(28,552,1,12,28,NULL,NULL,NULL,NULL),(28,552,1,12,29,NULL,1,NULL,NULL),(28,552,1,12,30,NULL,NULL,NULL,NULL),(28,552,1,12,31,NULL,NULL,NULL,NULL),(28,552,1,12,32,NULL,1,NULL,NULL),(28,552,1,12,33,NULL,NULL,NULL,NULL),(28,552,1,12,34,NULL,NULL,NULL,NULL),(28,552,1,12,35,NULL,NULL,NULL,NULL),(28,552,1,12,36,NULL,NULL,NULL,NULL),(28,552,1,12,37,NULL,1,NULL,NULL),(28,552,1,12,38,NULL,NULL,NULL,NULL),(28,552,1,12,39,NULL,NULL,NULL,NULL),(28,552,1,12,40,NULL,NULL,NULL,NULL),(28,552,1,13,1,1,NULL,1,NULL),(28,552,1,13,2,NULL,NULL,NULL,NULL),(28,552,1,13,3,NULL,NULL,NULL,NULL),(28,552,1,13,4,1,1,NULL,1),(28,552,1,13,5,1,1,1,NULL),(28,552,1,13,6,NULL,2,NULL,1),(28,552,1,13,7,NULL,NULL,NULL,NULL),(28,552,1,13,8,NULL,1,NULL,1),(28,552,1,13,9,NULL,1,NULL,1),(28,552,1,13,10,1,NULL,1,NULL),(28,552,1,13,11,1,NULL,1,NULL),(28,552,1,13,12,1,NULL,1,NULL),(28,552,1,13,13,3,NULL,1,NULL),(28,552,1,13,14,1,NULL,1,NULL),(28,552,1,13,15,NULL,NULL,NULL,NULL),(28,552,1,13,16,1,NULL,1,NULL),(28,552,1,13,17,NULL,1,NULL,1),(28,552,1,13,18,1,NULL,1,NULL),(28,552,1,13,19,2,NULL,1,NULL),(28,552,1,13,20,NULL,NULL,NULL,NULL),(28,552,1,13,21,1,NULL,NULL,NULL),(28,552,1,13,22,NULL,NULL,NULL,NULL),(28,552,1,13,23,NULL,NULL,NULL,NULL),(28,552,1,13,24,NULL,NULL,NULL,NULL),(28,552,1,13,25,NULL,1,NULL,NULL),(28,552,1,13,26,1,NULL,NULL,NULL),(28,552,1,13,27,1,NULL,1,NULL),(28,552,1,13,28,NULL,1,NULL,NULL),(28,552,1,13,29,1,NULL,NULL,NULL),(28,552,1,13,30,NULL,NULL,NULL,NULL),(28,552,1,13,31,NULL,NULL,NULL,NULL),(28,552,1,13,32,NULL,1,NULL,1),(28,552,1,13,33,NULL,NULL,NULL,NULL),(28,552,1,13,34,1,NULL,1,NULL),(28,552,1,13,35,NULL,NULL,NULL,NULL),(28,552,1,13,36,NULL,NULL,NULL,NULL),(28,552,1,13,37,NULL,NULL,NULL,NULL),(28,552,1,13,38,NULL,NULL,NULL,NULL),(28,552,1,13,39,1,NULL,1,NULL),(28,552,1,13,40,NULL,NULL,NULL,NULL),(28,552,1,14,1,10,NULL,1,NULL),(28,552,1,14,2,2,12,1,5),(28,552,1,14,3,11,7,5,2),(28,552,1,14,4,5,8,NULL,2),(28,552,1,14,5,14,13,2,1),(28,552,1,14,6,4,25,1,7),(28,552,1,14,7,9,6,1,1),(28,552,1,14,8,6,14,2,4),(28,552,1,14,9,5,13,NULL,2),(28,552,1,14,10,21,2,5,NULL),(28,552,1,14,11,2,3,NULL,1),(28,552,1,14,12,5,10,1,3),(28,552,1,14,13,19,15,5,2),(28,552,1,14,14,7,9,1,2),(28,552,1,14,15,22,NULL,3,NULL),(28,552,1,14,16,20,11,5,3),(28,552,1,14,17,4,30,NULL,5),(28,552,1,14,18,7,15,3,3),(28,552,1,14,19,22,10,6,2),(28,552,1,14,20,7,27,1,5),(28,552,1,14,21,2,5,NULL,NULL),(28,552,1,14,22,2,14,NULL,3),(28,552,1,14,23,1,5,NULL,NULL),(28,552,1,14,24,4,NULL,1,NULL),(28,552,1,14,25,2,7,NULL,1),(28,552,1,14,26,NULL,12,NULL,3),(28,552,1,14,27,7,NULL,1,NULL),(28,552,1,14,28,1,1,NULL,NULL),(28,552,1,14,29,1,1,NULL,NULL),(28,552,1,14,30,8,6,1,NULL),(28,552,1,14,31,3,7,NULL,3),(28,552,1,14,32,5,6,1,NULL),(28,552,1,14,33,7,2,2,1),(28,552,1,14,34,10,11,5,2),(28,552,1,14,35,1,5,NULL,2),(28,552,1,14,36,1,NULL,1,NULL),(28,552,1,14,37,1,4,NULL,1),(28,552,1,14,38,1,4,NULL,2),(28,552,1,14,39,7,12,2,2),(28,552,1,14,40,2,NULL,1,NULL),(28,552,1,15,1,8,NULL,3,NULL),(28,552,1,15,2,NULL,13,NULL,3),(28,552,1,15,3,9,14,3,1),(28,552,1,15,4,9,10,2,1),(28,552,1,15,5,12,11,2,2),(28,552,1,15,6,7,32,2,4),(28,552,1,15,7,10,9,3,1),(28,552,1,15,8,3,24,NULL,5),(28,552,1,15,9,8,9,2,1),(28,552,1,15,10,28,9,6,1),(28,552,1,15,11,5,6,1,2),(28,552,1,15,12,6,6,4,1),(28,552,1,15,13,18,11,4,1),(28,552,1,15,14,7,7,1,1),(28,552,1,15,15,18,NULL,2,NULL),(28,552,1,15,16,13,14,3,2),(28,552,1,15,17,6,22,NULL,5),(28,552,1,15,18,7,9,NULL,3),(28,552,1,15,19,17,12,2,NULL),(28,552,1,15,20,16,29,2,5),(28,552,1,15,21,1,5,NULL,NULL),(28,552,1,15,22,2,10,NULL,1),(28,552,1,15,23,NULL,10,NULL,1),(28,552,1,15,24,NULL,NULL,NULL,NULL),(28,552,1,15,25,2,4,NULL,1),(28,552,1,15,26,3,7,NULL,1),(28,552,1,15,27,9,NULL,1,NULL),(28,552,1,15,28,2,3,1,NULL),(28,552,1,15,29,2,7,NULL,NULL),(28,552,1,15,30,7,11,NULL,1),(28,552,1,15,31,5,4,2,1),(28,552,1,15,32,9,4,NULL,1),(28,552,1,15,33,2,7,NULL,2),(28,552,1,15,34,10,8,2,1),(28,552,1,15,35,NULL,4,NULL,1),(28,552,1,15,36,NULL,NULL,NULL,NULL),(28,552,1,15,37,2,5,1,2),(28,552,1,15,38,NULL,5,NULL,1),(28,552,1,15,39,10,10,2,3),(28,552,1,15,40,1,NULL,NULL,NULL),(28,552,1,16,1,20,NULL,5,NULL),(28,552,1,16,2,1,11,NULL,3),(28,552,1,16,3,18,19,2,8),(28,552,1,16,4,10,17,1,2),(28,552,1,16,5,18,20,2,7),(28,552,1,16,6,4,35,1,7),(28,552,1,16,7,11,15,NULL,7),(28,552,1,16,8,5,26,NULL,8),(28,552,1,16,9,13,21,2,3),(28,552,1,16,10,29,14,8,3),(28,552,1,16,11,7,10,1,7),(28,552,1,16,12,6,6,NULL,2),(28,552,1,16,13,88,NULL,12,NULL),(28,552,1,16,14,67,13,9,2),(28,552,1,16,15,25,39,3,7),(28,552,1,16,16,66,NULL,8,NULL),(28,552,1,16,17,44,22,5,5),(28,552,1,16,18,13,15,4,4),(28,552,1,16,19,16,34,3,6),(28,552,1,16,20,16,35,2,3),(28,552,1,16,21,6,15,NULL,1),(28,552,1,16,22,1,15,NULL,2),(28,552,1,16,23,5,12,NULL,3),(28,552,1,16,24,1,NULL,NULL,NULL),(28,552,1,16,25,5,17,NULL,1),(28,552,1,16,26,NULL,7,NULL,NULL),(28,552,1,16,27,7,NULL,4,NULL),(28,552,1,16,28,2,9,NULL,1),(28,552,1,16,29,2,9,1,2),(28,552,1,16,30,11,14,1,6),(28,552,1,16,31,5,8,NULL,5),(28,552,1,16,32,2,11,1,4),(28,552,1,16,33,3,10,NULL,4),(28,552,1,16,34,8,10,2,3),(28,552,1,16,35,2,3,1,1),(28,552,1,16,36,1,NULL,NULL,NULL),(28,552,1,16,37,1,6,NULL,1),(28,552,1,16,38,2,8,1,4),(28,552,1,16,39,11,19,1,8),(28,552,1,16,40,4,NULL,1,NULL),(28,552,1,17,1,14,NULL,6,NULL),(28,552,1,17,2,1,17,1,1),(28,552,1,17,3,6,20,NULL,3),(28,552,1,17,4,11,12,1,1),(28,552,1,17,5,11,12,NULL,2),(28,552,1,17,6,7,30,1,4),(28,552,1,17,7,6,22,2,3),(28,552,1,17,8,2,24,NULL,5),(28,552,1,17,9,10,21,1,5),(28,552,1,17,10,35,16,4,5),(28,552,1,17,11,9,5,3,1),(28,552,1,17,12,8,11,3,1),(28,552,1,17,13,79,NULL,11,NULL),(28,552,1,17,14,63,11,8,4),(28,552,1,17,15,21,39,3,7),(28,552,1,17,16,62,NULL,9,NULL),(28,552,1,17,17,35,38,5,5),(28,552,1,17,18,8,23,1,5),(28,552,1,17,19,17,41,3,6),(28,552,1,17,20,8,27,2,1),(28,552,1,17,21,2,15,NULL,2),(28,552,1,17,22,5,13,1,1),(28,552,1,17,23,4,11,NULL,2),(28,552,1,17,24,3,NULL,NULL,NULL),(28,552,1,17,25,1,7,NULL,2),(28,552,1,17,26,1,7,NULL,NULL),(28,552,1,17,27,7,NULL,1,NULL),(28,552,1,17,28,NULL,7,NULL,1),(28,552,1,17,29,5,13,1,2),(28,552,1,17,30,12,15,1,3),(28,552,1,17,31,4,9,1,2),(28,552,1,17,32,14,16,3,3),(28,552,1,17,33,6,10,1,3),(28,552,1,17,34,13,7,3,2),(28,552,1,17,35,3,8,1,3),(28,552,1,17,36,1,NULL,NULL,NULL),(28,552,1,17,37,1,9,1,3),(28,552,1,17,38,1,7,1,2),(28,552,1,17,39,19,17,4,4),(28,552,1,17,40,2,NULL,1,NULL),(28,552,1,18,1,NULL,NULL,NULL,NULL),(28,552,1,18,2,NULL,NULL,NULL,NULL),(28,552,1,18,3,NULL,NULL,NULL,NULL),(28,552,1,18,4,NULL,NULL,NULL,NULL),(28,552,1,18,5,NULL,NULL,NULL,NULL),(28,552,1,18,6,NULL,NULL,NULL,NULL),(28,552,1,18,7,NULL,NULL,NULL,NULL),(28,552,1,18,8,NULL,NULL,NULL,NULL),(28,552,1,18,9,NULL,NULL,NULL,NULL),(28,552,1,18,10,NULL,NULL,NULL,NULL),(28,552,1,18,11,NULL,NULL,NULL,NULL),(28,552,1,18,12,NULL,NULL,NULL,NULL),(28,552,1,18,13,NULL,NULL,NULL,NULL),(28,552,1,18,14,NULL,NULL,NULL,NULL),(28,552,1,18,15,NULL,NULL,NULL,NULL),(28,552,1,18,16,NULL,NULL,NULL,NULL),(28,552,1,18,17,NULL,NULL,NULL,NULL),(28,552,1,18,18,NULL,NULL,NULL,NULL),(28,552,1,18,19,NULL,NULL,NULL,NULL),(28,552,1,18,20,NULL,NULL,NULL,NULL),(28,552,1,18,21,NULL,NULL,NULL,NULL),(28,552,1,18,22,NULL,NULL,NULL,NULL),(28,552,1,18,23,NULL,NULL,NULL,NULL),(28,552,1,18,24,NULL,NULL,NULL,NULL),(28,552,1,18,25,NULL,NULL,NULL,NULL),(28,552,1,18,26,NULL,NULL,NULL,NULL),(28,552,1,18,27,NULL,NULL,NULL,NULL),(28,552,1,18,28,NULL,NULL,NULL,NULL),(28,552,1,18,29,NULL,NULL,NULL,NULL),(28,552,1,18,30,NULL,NULL,NULL,NULL),(28,552,1,18,31,NULL,NULL,NULL,NULL),(28,552,1,18,32,NULL,NULL,NULL,NULL),(28,552,1,18,33,NULL,NULL,NULL,NULL),(28,552,1,18,34,NULL,NULL,NULL,NULL),(28,552,1,18,35,NULL,NULL,NULL,NULL),(28,552,1,18,36,NULL,NULL,NULL,NULL),(28,552,1,18,37,NULL,NULL,NULL,NULL),(28,552,1,18,38,NULL,NULL,NULL,NULL),(28,552,1,18,39,NULL,NULL,NULL,NULL),(28,552,1,18,40,NULL,NULL,NULL,NULL),(28,552,1,19,1,NULL,NULL,NULL,NULL),(28,552,1,19,2,NULL,NULL,NULL,NULL),(28,552,1,19,3,NULL,NULL,NULL,NULL),(28,552,1,19,4,NULL,NULL,NULL,NULL),(28,552,1,19,5,NULL,NULL,NULL,NULL),(28,552,1,19,6,NULL,NULL,NULL,NULL),(28,552,1,19,7,NULL,NULL,NULL,NULL),(28,552,1,19,8,NULL,NULL,NULL,NULL),(28,552,1,19,9,NULL,NULL,NULL,NULL),(28,552,1,19,10,NULL,NULL,NULL,NULL),(28,552,1,19,11,NULL,NULL,NULL,NULL),(28,552,1,19,12,NULL,NULL,NULL,NULL),(28,552,1,19,13,NULL,NULL,NULL,NULL),(28,552,1,19,14,NULL,NULL,NULL,NULL),(28,552,1,19,15,NULL,NULL,NULL,NULL),(28,552,1,19,16,NULL,NULL,NULL,NULL),(28,552,1,19,17,NULL,NULL,NULL,NULL),(28,552,1,19,18,NULL,NULL,NULL,NULL),(28,552,1,19,19,NULL,NULL,NULL,NULL),(28,552,1,19,20,NULL,NULL,NULL,NULL),(28,552,1,19,21,NULL,NULL,NULL,NULL),(28,552,1,19,22,NULL,NULL,NULL,NULL),(28,552,1,19,23,NULL,NULL,NULL,NULL),(28,552,1,19,24,NULL,NULL,NULL,NULL),(28,552,1,19,25,NULL,NULL,NULL,NULL),(28,552,1,19,26,NULL,NULL,NULL,NULL),(28,552,1,19,27,NULL,NULL,NULL,NULL),(28,552,1,19,28,NULL,NULL,NULL,NULL),(28,552,1,19,29,NULL,NULL,NULL,NULL),(28,552,1,19,30,NULL,NULL,NULL,NULL),(28,552,1,19,31,NULL,NULL,NULL,NULL),(28,552,1,19,32,NULL,NULL,NULL,NULL),(28,552,1,19,33,NULL,NULL,NULL,NULL),(28,552,1,19,34,NULL,NULL,NULL,NULL),(28,552,1,19,35,NULL,NULL,NULL,NULL),(28,552,1,19,36,NULL,NULL,NULL,NULL),(28,552,1,19,37,NULL,NULL,NULL,NULL),(28,552,1,19,38,NULL,NULL,NULL,NULL),(28,552,1,19,39,NULL,NULL,NULL,NULL),(28,552,1,19,40,NULL,NULL,NULL,NULL),(28,552,2,21,1,2,39,NULL,4),(28,552,2,21,2,NULL,21,NULL,4),(28,552,2,21,3,24,21,6,3),(28,552,2,21,4,NULL,9,NULL,1),(28,552,2,21,5,11,15,1,5),(28,552,2,21,6,29,39,4,4),(28,552,2,21,7,1,26,NULL,4),(28,552,2,21,8,10,14,2,3),(28,552,2,21,9,4,6,2,1),(28,552,2,21,10,11,9,1,2),(28,552,2,21,11,9,2,5,NULL),(28,552,2,21,12,13,31,2,7),(28,552,2,21,13,8,39,2,7),(28,552,2,21,14,6,13,3,2),(28,552,2,21,15,4,26,1,7),(28,552,2,21,16,9,27,3,5),(28,552,2,21,17,4,5,NULL,NULL),(28,552,2,21,18,28,10,5,1),(28,552,2,21,19,11,17,4,4),(28,552,2,21,20,9,18,3,3),(28,552,2,21,21,1,13,NULL,2),(28,552,2,21,22,3,5,2,1),(28,552,2,21,23,1,4,NULL,1),(28,552,2,21,24,1,12,NULL,3),(28,552,2,21,25,6,6,NULL,1),(28,552,2,21,26,3,11,NULL,2),(28,552,2,21,27,3,17,NULL,4),(28,552,2,21,28,1,5,NULL,1),(28,552,2,21,29,NULL,7,NULL,2),(28,552,2,21,30,5,11,NULL,2),(28,552,2,21,31,NULL,26,NULL,5),(28,552,2,21,32,NULL,4,NULL,1),(28,552,2,21,33,2,7,NULL,2),(28,552,2,21,34,5,12,NULL,4),(28,552,2,21,35,9,NULL,3,NULL),(28,552,2,21,36,2,5,NULL,1),(28,552,2,21,37,1,5,1,2),(28,552,2,21,38,1,3,NULL,1),(28,552,2,21,39,1,9,NULL,2),(28,552,2,21,40,3,36,1,5),(28,552,2,22,1,NULL,28,NULL,3),(28,552,2,22,2,NULL,10,NULL,2),(28,552,2,22,3,21,14,3,2),(28,552,2,22,4,2,4,NULL,NULL),(28,552,2,22,5,5,9,4,1),(28,552,2,22,6,32,30,5,2),(28,552,2,22,7,1,33,NULL,4),(28,552,2,22,8,3,12,NULL,4),(28,552,2,22,9,6,5,NULL,1),(28,552,2,22,10,18,4,4,NULL),(28,552,2,22,11,4,9,1,NULL),(28,552,2,22,12,8,33,2,6),(28,552,2,22,13,3,49,1,4),(28,552,2,22,14,10,15,3,3),(28,552,2,22,15,9,21,1,4),(28,552,2,22,16,5,20,NULL,5),(28,552,2,22,17,9,10,1,3),(28,552,2,22,18,24,21,3,5),(28,552,2,22,19,7,18,4,1),(28,552,2,22,20,9,18,2,3),(28,552,2,22,21,1,10,NULL,NULL),(28,552,2,22,22,3,8,1,2),(28,552,2,22,23,1,6,NULL,1),(28,552,2,22,24,2,14,NULL,2),(28,552,2,22,25,2,12,NULL,3),(28,552,2,22,26,5,7,NULL,2),(28,552,2,22,27,6,19,NULL,7),(28,552,2,22,28,NULL,3,NULL,1),(28,552,2,22,29,2,4,NULL,1),(28,552,2,22,30,3,6,NULL,1),(28,552,2,22,31,NULL,19,NULL,3),(28,552,2,22,32,2,2,NULL,1),(28,552,2,22,33,5,7,2,3),(28,552,2,22,34,5,14,1,3),(28,552,2,22,35,8,NULL,1,NULL),(28,552,2,22,36,1,6,NULL,1),(28,552,2,22,37,NULL,3,NULL,1),(28,552,2,22,38,NULL,3,NULL,1),(28,552,2,22,39,1,14,1,3),(28,552,2,22,40,2,26,1,6),(28,552,2,23,1,3,33,1,7),(28,552,2,23,2,NULL,10,NULL,1),(28,552,2,23,3,25,18,NULL,7),(28,552,2,23,4,NULL,10,NULL,1),(28,552,2,23,5,7,15,5,3),(28,552,2,23,6,18,39,3,5),(28,552,2,23,7,NULL,22,NULL,3),(28,552,2,23,8,3,14,NULL,2),(28,552,2,23,9,5,7,NULL,3),(28,552,2,23,10,13,11,1,2),(28,552,2,23,11,7,14,2,3),(28,552,2,23,12,10,27,NULL,5),(28,552,2,23,13,2,39,NULL,7),(28,552,2,23,14,9,18,2,5),(28,552,2,23,15,9,17,1,3),(28,552,2,23,16,4,21,NULL,4),(28,552,2,23,17,6,7,3,NULL),(28,552,2,23,18,22,17,4,4),(28,552,2,23,19,10,10,2,1),(28,552,2,23,20,13,12,6,1),(28,552,2,23,21,NULL,11,NULL,1),(28,552,2,23,22,8,5,1,NULL),(28,552,2,23,23,1,3,1,2),(28,552,2,23,24,3,15,NULL,1),(28,552,2,23,25,1,9,NULL,1),(28,552,2,23,26,2,10,NULL,2),(28,552,2,23,27,4,17,NULL,5),(28,552,2,23,28,1,14,NULL,4),(28,552,2,23,29,1,4,NULL,1),(28,552,2,23,30,2,6,NULL,NULL),(28,552,2,23,31,1,22,NULL,2),(28,552,2,23,32,1,5,NULL,1),(28,552,2,23,33,4,10,2,2),(28,552,2,23,34,3,12,NULL,7),(28,552,2,23,35,4,NULL,1,NULL),(28,552,2,23,36,1,4,NULL,1),(28,552,2,23,37,1,7,NULL,3),(28,552,2,23,38,NULL,6,NULL,1),(28,552,2,23,39,1,10,NULL,1),(28,552,2,23,40,1,31,NULL,6),(28,552,2,24,1,1,31,NULL,3),(28,552,2,24,2,NULL,14,NULL,2),(28,552,2,24,3,24,19,7,5),(28,552,2,24,4,2,6,NULL,1),(28,552,2,24,5,8,10,1,5),(28,552,2,24,6,32,28,3,6),(28,552,2,24,7,1,20,NULL,1),(28,552,2,24,8,3,6,2,2),(28,552,2,24,9,2,5,2,3),(28,552,2,24,10,7,15,2,3),(28,552,2,24,11,5,6,1,1),(28,552,2,24,12,9,18,2,3),(28,552,2,24,13,2,32,1,7),(28,552,2,24,14,7,17,2,5),(28,552,2,24,15,6,13,1,3),(28,552,2,24,16,11,26,2,5),(28,552,2,24,17,2,7,NULL,4),(28,552,2,24,18,15,24,4,6),(28,552,2,24,19,11,15,3,5),(28,552,2,24,20,11,16,4,3),(28,552,2,24,21,2,13,NULL,1),(28,552,2,24,22,NULL,5,NULL,1),(28,552,2,24,23,2,7,NULL,3),(28,552,2,24,24,3,8,NULL,NULL),(28,552,2,24,25,1,7,NULL,2),(28,552,2,24,26,1,12,NULL,2),(28,552,2,24,27,5,18,NULL,7),(28,552,2,24,28,3,4,2,3),(28,552,2,24,29,NULL,8,NULL,1),(28,552,2,24,30,1,11,1,4),(28,552,2,24,31,3,20,1,3),(28,552,2,24,32,1,4,NULL,NULL),(28,552,2,24,33,2,8,NULL,2),(28,552,2,24,34,10,16,3,5),(28,552,2,24,35,4,NULL,2,NULL),(28,552,2,24,36,1,5,NULL,NULL),(28,552,2,24,37,2,8,NULL,3),(28,552,2,24,38,NULL,3,NULL,1),(28,552,2,24,39,2,12,NULL,3),(28,552,2,24,40,NULL,29,NULL,5),(28,601,1,11,1,NULL,NULL,NULL,NULL),(28,601,1,11,2,NULL,1,NULL,2),(28,601,1,11,3,NULL,1,3,1),(28,601,1,11,4,NULL,1,3,1),(28,601,1,11,5,NULL,NULL,2,NULL),(28,601,1,11,6,NULL,NULL,1,1),(28,601,1,11,7,NULL,1,NULL,1),(28,601,1,11,8,NULL,1,2,1),(28,601,1,11,9,NULL,1,NULL,2),(28,601,1,11,10,1,NULL,3,NULL),(28,601,1,11,11,NULL,NULL,1,NULL),(28,601,1,11,12,NULL,NULL,1,2),(28,601,1,11,13,NULL,1,1,2),(28,601,1,11,14,1,NULL,3,1),(28,601,1,11,15,NULL,1,NULL,3),(28,601,1,11,16,NULL,1,3,1),(28,601,1,11,17,NULL,NULL,3,NULL),(28,601,1,11,18,1,NULL,3,NULL),(28,601,1,11,19,1,NULL,2,NULL),(28,601,1,11,20,NULL,NULL,2,NULL),(28,601,1,11,21,NULL,NULL,NULL,NULL),(28,601,1,11,22,NULL,NULL,NULL,1),(28,601,1,11,23,NULL,NULL,2,NULL),(28,601,1,11,24,NULL,NULL,NULL,NULL),(28,601,1,11,25,NULL,NULL,NULL,NULL),(28,601,1,11,26,NULL,1,NULL,3),(28,601,1,11,27,NULL,NULL,3,NULL),(28,601,1,11,28,NULL,NULL,NULL,NULL),(28,601,1,11,29,NULL,NULL,NULL,NULL),(28,601,1,11,30,NULL,NULL,NULL,3),(28,601,1,11,31,NULL,1,NULL,2),(28,601,1,11,32,NULL,1,1,2),(28,601,1,11,33,NULL,NULL,1,NULL),(28,601,1,11,34,NULL,NULL,3,NULL),(28,601,1,11,35,NULL,NULL,NULL,NULL),(28,601,1,11,36,NULL,NULL,1,NULL),(28,601,1,11,37,NULL,NULL,NULL,1),(28,601,1,11,38,NULL,NULL,2,NULL),(28,601,1,11,39,NULL,NULL,NULL,2),(28,601,1,11,40,NULL,NULL,NULL,NULL),(28,601,1,12,1,NULL,NULL,NULL,NULL),(28,601,1,12,2,NULL,NULL,NULL,NULL),(28,601,1,12,3,NULL,NULL,NULL,NULL),(28,601,1,12,4,NULL,NULL,NULL,NULL),(28,601,1,12,5,NULL,NULL,NULL,NULL),(28,601,1,12,6,NULL,NULL,NULL,NULL),(28,601,1,12,7,NULL,NULL,NULL,NULL),(28,601,1,12,8,NULL,NULL,NULL,NULL),(28,601,1,12,9,NULL,NULL,NULL,NULL),(28,601,1,12,10,NULL,NULL,NULL,NULL),(28,601,1,12,11,NULL,NULL,NULL,NULL),(28,601,1,12,12,NULL,NULL,NULL,NULL),(28,601,1,12,13,NULL,NULL,NULL,NULL),(28,601,1,12,14,NULL,NULL,NULL,NULL),(28,601,1,12,15,NULL,NULL,NULL,NULL),(28,601,1,12,16,NULL,NULL,NULL,NULL),(28,601,1,12,17,NULL,NULL,NULL,NULL),(28,601,1,12,18,NULL,NULL,NULL,NULL),(28,601,1,12,19,NULL,NULL,NULL,NULL),(28,601,1,12,20,NULL,NULL,NULL,NULL),(28,601,1,12,21,NULL,NULL,NULL,NULL),(28,601,1,12,22,NULL,NULL,NULL,NULL),(28,601,1,12,23,NULL,NULL,NULL,NULL),(28,601,1,12,24,NULL,NULL,NULL,NULL),(28,601,1,12,25,NULL,NULL,NULL,NULL),(28,601,1,12,26,NULL,NULL,NULL,NULL),(28,601,1,12,27,NULL,NULL,NULL,NULL),(28,601,1,12,28,NULL,NULL,NULL,NULL),(28,601,1,12,29,NULL,NULL,NULL,NULL),(28,601,1,12,30,NULL,NULL,NULL,NULL),(28,601,1,12,31,NULL,NULL,NULL,NULL),(28,601,1,12,32,NULL,NULL,NULL,NULL),(28,601,1,12,33,NULL,NULL,NULL,NULL),(28,601,1,12,34,NULL,NULL,NULL,NULL),(28,601,1,12,35,NULL,NULL,NULL,NULL),(28,601,1,12,36,NULL,NULL,NULL,NULL),(28,601,1,12,37,NULL,NULL,NULL,NULL),(28,601,1,12,38,NULL,NULL,NULL,NULL),(28,601,1,12,39,NULL,NULL,NULL,NULL),(28,601,1,12,40,NULL,NULL,NULL,NULL),(28,601,1,13,1,NULL,NULL,NULL,NULL),(28,601,1,13,2,NULL,NULL,NULL,1),(28,601,1,13,3,NULL,1,NULL,1),(28,601,1,13,4,1,NULL,1,NULL),(28,601,1,13,5,NULL,NULL,1,NULL),(28,601,1,13,6,NULL,1,NULL,2),(28,601,1,13,7,NULL,1,NULL,1),(28,601,1,13,8,NULL,NULL,NULL,1),(28,601,1,13,9,NULL,NULL,NULL,NULL),(28,601,1,13,10,1,NULL,2,NULL),(28,601,1,13,11,NULL,NULL,NULL,NULL),(28,601,1,13,12,NULL,NULL,1,NULL),(28,601,1,13,13,1,NULL,1,NULL),(28,601,1,13,14,1,NULL,2,NULL),(28,601,1,13,15,NULL,NULL,NULL,NULL),(28,601,1,13,16,1,NULL,2,NULL),(28,601,1,13,17,NULL,1,NULL,1),(28,601,1,13,18,1,NULL,1,NULL),(28,601,1,13,19,NULL,NULL,NULL,NULL),(28,601,1,13,20,NULL,NULL,1,NULL),(28,601,1,13,21,NULL,NULL,NULL,NULL),(28,601,1,13,22,NULL,NULL,NULL,NULL),(28,601,1,13,23,NULL,NULL,NULL,NULL),(28,601,1,13,24,NULL,NULL,NULL,NULL),(28,601,1,13,25,NULL,NULL,NULL,NULL),(28,601,1,13,26,NULL,NULL,NULL,NULL),(28,601,1,13,27,NULL,NULL,NULL,NULL),(28,601,1,13,28,NULL,NULL,NULL,NULL),(28,601,1,13,29,NULL,NULL,NULL,NULL),(28,601,1,13,30,NULL,1,NULL,1),(28,601,1,13,31,NULL,NULL,NULL,NULL),(28,601,1,13,32,1,NULL,2,NULL),(28,601,1,13,33,NULL,1,NULL,1),(28,601,1,13,34,1,NULL,2,NULL),(28,601,1,13,35,NULL,NULL,NULL,NULL),(28,601,1,13,36,NULL,NULL,NULL,NULL),(28,601,1,13,37,1,NULL,1,NULL),(28,601,1,13,38,NULL,NULL,NULL,NULL),(28,601,1,13,39,NULL,1,1,1),(28,601,1,13,40,NULL,NULL,NULL,NULL),(28,601,1,14,1,50,NULL,58,NULL),(28,601,1,14,2,3,31,4,34),(28,601,1,14,3,28,43,33,54),(28,601,1,14,4,13,46,14,39),(28,601,1,14,5,36,46,37,49),(28,601,1,14,6,12,65,7,69),(28,601,1,14,7,14,32,14,38),(28,601,1,14,8,10,55,12,67),(28,601,1,14,9,18,33,19,40),(28,601,1,14,10,59,18,78,21),(28,601,1,14,11,12,32,11,33),(28,601,1,14,12,11,40,20,39),(28,601,1,14,13,81,39,87,34),(28,601,1,14,14,35,32,42,34),(28,601,1,14,15,72,NULL,78,NULL),(28,601,1,14,16,50,44,61,41),(28,601,1,14,17,24,86,27,75),(28,601,1,14,18,30,36,33,38),(28,601,1,14,19,74,43,76,35),(28,601,1,14,20,37,90,49,67),(28,601,1,14,21,6,18,2,9),(28,601,1,14,22,6,37,9,32),(28,601,1,14,23,8,18,7,19),(28,601,1,14,24,2,NULL,1,NULL),(28,601,1,14,25,7,17,4,20),(28,601,1,14,26,4,23,1,19),(28,601,1,14,27,29,NULL,38,NULL),(28,601,1,14,28,2,3,1,4),(28,601,1,14,29,6,28,2,26),(28,601,1,14,30,21,40,18,37),(28,601,1,14,31,10,10,11,15),(28,601,1,14,32,18,36,18,36),(28,601,1,14,33,14,34,21,33),(28,601,1,14,34,52,23,63,29),(28,601,1,14,35,6,15,13,20),(28,601,1,14,36,8,NULL,11,NULL),(28,601,1,14,37,2,15,4,16),(28,601,1,14,38,10,18,18,27),(28,601,1,14,39,34,50,33,54),(28,601,1,14,40,11,NULL,10,NULL),(28,601,1,15,1,44,NULL,56,NULL),(28,601,1,15,2,2,29,3,39),(28,601,1,15,3,23,29,35,45),(28,601,1,15,4,18,28,25,27),(28,601,1,15,5,26,36,33,38),(28,601,1,15,6,5,64,14,64),(28,601,1,15,7,12,29,10,37),(28,601,1,15,8,6,34,10,51),(28,601,1,15,9,11,34,18,40),(28,601,1,15,10,46,20,78,23),(28,601,1,15,11,9,22,22,35),(28,601,1,15,12,10,26,18,32),(28,601,1,15,13,62,34,73,39),(28,601,1,15,14,20,33,35,36),(28,601,1,15,15,66,NULL,70,NULL),(28,601,1,15,16,36,41,58,29),(28,601,1,15,17,11,68,17,73),(28,601,1,15,18,16,25,24,27),(28,601,1,15,19,65,36,74,35),(28,601,1,15,20,23,82,39,71),(28,601,1,15,21,5,10,1,17),(28,601,1,15,22,5,29,3,26),(28,601,1,15,23,11,27,7,27),(28,601,1,15,24,2,NULL,4,NULL),(28,601,1,15,25,4,13,4,15),(28,601,1,15,26,3,17,2,19),(28,601,1,15,27,32,NULL,45,NULL),(28,601,1,15,28,NULL,8,NULL,8),(28,601,1,15,29,3,16,2,22),(28,601,1,15,30,17,21,10,35),(28,601,1,15,31,10,14,16,19),(28,601,1,15,32,9,35,11,38),(28,601,1,15,33,11,22,12,29),(28,601,1,15,34,26,24,47,23),(28,601,1,15,35,3,17,6,20),(28,601,1,15,36,3,NULL,10,NULL),(28,601,1,15,37,3,15,4,18),(28,601,1,15,38,9,12,11,26),(28,601,1,15,39,32,42,30,60),(28,601,1,15,40,9,NULL,9,NULL),(28,601,1,16,1,24,NULL,25,NULL),(28,601,1,16,2,NULL,19,NULL,15),(28,601,1,16,3,14,16,15,24),(28,601,1,16,4,10,13,3,12),(28,601,1,16,5,9,15,10,14),(28,601,1,16,6,5,25,5,18),(28,601,1,16,7,2,16,5,14),(28,601,1,16,8,3,28,2,20),(28,601,1,16,9,10,22,5,12),(28,601,1,16,10,28,6,31,6),(28,601,1,16,11,7,9,3,17),(28,601,1,16,12,6,12,1,9),(28,601,1,16,13,73,NULL,48,NULL),(28,601,1,16,14,61,6,41,7),(28,601,1,16,15,17,33,11,25),(28,601,1,16,16,48,NULL,33,NULL),(28,601,1,16,17,31,34,18,26),(28,601,1,16,18,13,21,10,14),(28,601,1,16,19,8,36,10,22),(28,601,1,16,20,10,26,4,14),(28,601,1,16,21,NULL,18,NULL,7),(28,601,1,16,22,3,12,NULL,5),(28,601,1,16,23,6,15,2,14),(28,601,1,16,24,1,NULL,2,NULL),(28,601,1,16,25,2,11,1,4),(28,601,1,16,26,NULL,9,NULL,6),(28,601,1,16,27,10,NULL,14,NULL),(28,601,1,16,28,1,11,NULL,5),(28,601,1,16,29,4,20,3,13),(28,601,1,16,30,10,16,4,20),(28,601,1,16,31,2,7,2,5),(28,601,1,16,32,6,13,9,13),(28,601,1,16,33,2,5,3,10),(28,601,1,16,34,14,12,15,9),(28,601,1,16,35,2,1,1,4),(28,601,1,16,36,2,NULL,2,NULL),(28,601,1,16,37,NULL,8,NULL,5),(28,601,1,16,38,NULL,10,1,9),(28,601,1,16,39,10,13,8,20),(28,601,1,16,40,3,NULL,3,NULL),(28,601,1,17,1,14,NULL,21,NULL),(28,601,1,17,2,NULL,15,2,16),(28,601,1,17,3,8,15,16,24),(28,601,1,17,4,7,9,6,10),(28,601,1,17,5,17,17,22,17),(28,601,1,17,6,5,34,4,34),(28,601,1,17,7,8,16,9,21),(28,601,1,17,8,3,21,5,29),(28,601,1,17,9,5,17,9,20),(28,601,1,17,10,25,9,39,12),(28,601,1,17,11,3,7,9,16),(28,601,1,17,12,6,4,9,8),(28,601,1,17,13,61,NULL,57,NULL),(28,601,1,17,14,41,14,46,9),(28,601,1,17,15,21,30,17,31),(28,601,1,17,16,55,NULL,51,NULL),(28,601,1,17,17,30,26,30,26),(28,601,1,17,18,8,10,16,17),(28,601,1,17,19,11,28,12,33),(28,601,1,17,20,6,27,9,22),(28,601,1,17,21,2,6,1,6),(28,601,1,17,22,1,10,3,14),(28,601,1,17,23,3,12,2,11),(28,601,1,17,24,NULL,NULL,NULL,NULL),(28,601,1,17,25,3,7,4,12),(28,601,1,17,26,1,12,1,8),(28,601,1,17,27,9,NULL,14,NULL),(28,601,1,17,28,NULL,5,NULL,4),(28,601,1,17,29,4,12,3,12),(28,601,1,17,30,6,21,3,22),(28,601,1,17,31,4,4,5,7),(28,601,1,17,32,7,13,8,18),(28,601,1,17,33,3,2,4,10),(28,601,1,17,34,19,5,26,9),(28,601,1,17,35,3,2,5,8),(28,601,1,17,36,1,NULL,2,NULL),(28,601,1,17,37,NULL,6,NULL,6),(28,601,1,17,38,2,13,6,15),(28,601,1,17,39,16,17,13,27),(28,601,1,17,40,2,NULL,5,NULL),(28,601,1,18,1,NULL,NULL,NULL,NULL),(28,601,1,18,2,NULL,NULL,NULL,NULL),(28,601,1,18,3,NULL,NULL,NULL,NULL),(28,601,1,18,4,NULL,NULL,NULL,NULL),(28,601,1,18,5,NULL,NULL,NULL,NULL),(28,601,1,18,6,NULL,NULL,NULL,NULL),(28,601,1,18,7,NULL,NULL,NULL,NULL),(28,601,1,18,8,NULL,NULL,NULL,NULL),(28,601,1,18,9,NULL,NULL,NULL,NULL),(28,601,1,18,10,NULL,NULL,NULL,NULL),(28,601,1,18,11,NULL,NULL,NULL,NULL),(28,601,1,18,12,NULL,NULL,NULL,NULL),(28,601,1,18,13,NULL,NULL,NULL,NULL),(28,601,1,18,14,NULL,NULL,NULL,NULL),(28,601,1,18,15,NULL,NULL,NULL,NULL),(28,601,1,18,16,NULL,NULL,NULL,NULL),(28,601,1,18,17,NULL,NULL,NULL,NULL),(28,601,1,18,18,NULL,NULL,NULL,NULL),(28,601,1,18,19,NULL,NULL,NULL,NULL),(28,601,1,18,20,NULL,NULL,NULL,NULL),(28,601,1,18,21,NULL,NULL,NULL,NULL),(28,601,1,18,22,NULL,NULL,NULL,NULL),(28,601,1,18,23,NULL,NULL,NULL,NULL),(28,601,1,18,24,NULL,NULL,NULL,NULL),(28,601,1,18,25,NULL,NULL,NULL,NULL),(28,601,1,18,26,NULL,NULL,NULL,NULL),(28,601,1,18,27,NULL,NULL,NULL,NULL),(28,601,1,18,28,NULL,NULL,NULL,NULL),(28,601,1,18,29,NULL,NULL,NULL,NULL),(28,601,1,18,30,NULL,NULL,NULL,NULL),(28,601,1,18,31,NULL,NULL,NULL,NULL),(28,601,1,18,32,NULL,NULL,NULL,NULL),(28,601,1,18,33,NULL,NULL,NULL,NULL),(28,601,1,18,34,NULL,NULL,NULL,NULL),(28,601,1,18,35,NULL,NULL,NULL,NULL),(28,601,1,18,36,NULL,NULL,NULL,NULL),(28,601,1,18,37,NULL,NULL,NULL,NULL),(28,601,1,18,38,NULL,NULL,NULL,NULL),(28,601,1,18,39,NULL,NULL,NULL,NULL),(28,601,1,18,40,NULL,NULL,NULL,NULL),(28,601,1,19,1,NULL,NULL,NULL,NULL),(28,601,1,19,2,NULL,NULL,NULL,NULL),(28,601,1,19,3,NULL,NULL,NULL,NULL),(28,601,1,19,4,NULL,NULL,NULL,NULL),(28,601,1,19,5,NULL,NULL,NULL,NULL),(28,601,1,19,6,NULL,NULL,NULL,NULL),(28,601,1,19,7,NULL,NULL,NULL,NULL),(28,601,1,19,8,NULL,NULL,NULL,NULL),(28,601,1,19,9,NULL,NULL,NULL,NULL),(28,601,1,19,10,NULL,NULL,NULL,NULL),(28,601,1,19,11,NULL,NULL,NULL,NULL),(28,601,1,19,12,NULL,NULL,NULL,NULL),(28,601,1,19,13,NULL,NULL,NULL,NULL),(28,601,1,19,14,NULL,NULL,NULL,NULL),(28,601,1,19,15,NULL,NULL,NULL,NULL),(28,601,1,19,16,NULL,NULL,NULL,NULL),(28,601,1,19,17,NULL,NULL,NULL,NULL),(28,601,1,19,18,NULL,NULL,NULL,NULL),(28,601,1,19,19,NULL,NULL,NULL,NULL),(28,601,1,19,20,NULL,NULL,NULL,NULL),(28,601,1,19,21,NULL,NULL,NULL,NULL),(28,601,1,19,22,NULL,NULL,NULL,NULL),(28,601,1,19,23,NULL,NULL,NULL,NULL),(28,601,1,19,24,NULL,NULL,NULL,NULL),(28,601,1,19,25,NULL,NULL,NULL,NULL),(28,601,1,19,26,NULL,NULL,NULL,NULL),(28,601,1,19,27,NULL,NULL,NULL,NULL),(28,601,1,19,28,NULL,NULL,NULL,NULL),(28,601,1,19,29,NULL,NULL,NULL,NULL),(28,601,1,19,30,NULL,NULL,NULL,NULL),(28,601,1,19,31,NULL,NULL,NULL,NULL),(28,601,1,19,32,NULL,NULL,NULL,NULL),(28,601,1,19,33,NULL,NULL,NULL,NULL),(28,601,1,19,34,NULL,NULL,NULL,NULL),(28,601,1,19,35,NULL,NULL,NULL,NULL),(28,601,1,19,36,NULL,NULL,NULL,NULL),(28,601,1,19,37,NULL,NULL,NULL,NULL),(28,601,1,19,38,NULL,NULL,NULL,NULL),(28,601,1,19,39,NULL,NULL,NULL,NULL),(28,601,1,19,40,NULL,NULL,NULL,NULL),(28,601,2,21,1,2,49,2,40),(28,601,2,21,2,NULL,27,1,32),(28,601,2,21,3,45,26,48,31),(28,601,2,21,4,1,12,NULL,12),(28,601,2,21,5,23,18,23,31),(28,601,2,21,6,43,45,38,45),(28,601,2,21,7,NULL,20,1,28),(28,601,2,21,8,21,22,22,24),(28,601,2,21,9,9,12,7,15),(28,601,2,21,10,15,28,14,35),(28,601,2,21,11,14,14,21,15),(28,601,2,21,12,19,45,23,30),(28,601,2,21,13,16,68,30,59),(28,601,2,21,14,26,43,37,44),(28,601,2,21,15,18,29,26,28),(28,601,2,21,16,25,41,25,45),(28,601,2,21,17,6,7,6,13),(28,601,2,21,18,39,35,40,39),(28,601,2,21,19,20,41,20,33),(28,601,2,21,20,33,29,37,24),(28,601,2,21,21,2,17,8,17),(28,601,2,21,22,23,15,37,17),(28,601,2,21,23,5,15,4,13),(28,601,2,21,24,6,18,6,14),(28,601,2,21,25,5,26,5,32),(28,601,2,21,26,4,24,5,15),(28,601,2,21,27,9,36,6,37),(28,601,2,21,28,4,24,4,30),(28,601,2,21,29,4,11,1,18),(28,601,2,21,30,2,10,1,12),(28,601,2,21,31,1,39,4,41),(28,601,2,21,32,2,4,4,9),(28,601,2,21,33,11,23,20,32),(28,601,2,21,34,7,26,12,36),(28,601,2,21,35,13,NULL,12,NULL),(28,601,2,21,36,NULL,15,1,21),(28,601,2,21,37,4,14,12,19),(28,601,2,21,38,2,8,2,12),(28,601,2,21,39,3,15,5,13),(28,601,2,21,40,2,56,8,56),(28,601,2,22,1,2,47,3,44),(28,601,2,22,2,NULL,34,1,43),(28,601,2,22,3,38,35,47,39),(28,601,2,22,4,1,10,1,14),(28,601,2,22,5,22,24,23,27),(28,601,2,22,6,38,44,34,45),(28,601,2,22,7,1,29,1,32),(28,601,2,22,8,15,18,18,23),(28,601,2,22,9,9,11,10,14),(28,601,2,22,10,17,26,19,33),(28,601,2,22,11,16,14,25,16),(28,601,2,22,12,15,48,23,40),(28,601,2,22,13,11,71,21,62),(28,601,2,22,14,23,38,38,40),(28,601,2,22,15,18,31,17,36),(28,601,2,22,16,13,46,23,46),(28,601,2,22,17,3,11,7,21),(28,601,2,22,18,38,33,39,45),(28,601,2,22,19,19,27,21,39),(28,601,2,22,20,32,16,46,15),(28,601,2,22,21,6,12,7,17),(28,601,2,22,22,20,16,27,20),(28,601,2,22,23,2,9,3,17),(28,601,2,22,24,6,16,3,21),(28,601,2,22,25,5,24,5,19),(28,601,2,22,26,9,18,9,23),(28,601,2,22,27,8,29,11,42),(28,601,2,22,28,1,19,2,23),(28,601,2,22,29,1,15,1,20),(28,601,2,22,30,3,11,2,16),(28,601,2,22,31,4,26,4,33),(28,601,2,22,32,2,7,1,11),(28,601,2,22,33,8,18,14,27),(28,601,2,22,34,12,25,15,41),(28,601,2,22,35,9,NULL,19,NULL),(28,601,2,22,36,2,17,1,24),(28,601,2,22,37,3,12,7,20),(28,601,2,22,38,1,9,2,7),(28,601,2,22,39,3,16,5,27),(28,601,2,22,40,10,42,12,42),(28,601,2,23,1,1,41,1,27),(28,601,2,23,2,2,28,4,25),(28,601,2,23,3,33,32,41,32),(28,601,2,23,4,NULL,7,1,17),(28,601,2,23,5,17,17,16,23),(28,601,2,23,6,35,43,31,41),(28,601,2,23,7,2,30,1,28),(28,601,2,23,8,12,18,13,22),(28,601,2,23,9,11,8,12,11),(28,601,2,23,10,19,23,17,22),(28,601,2,23,11,10,17,18,17),(28,601,2,23,12,19,40,15,44),(28,601,2,23,13,18,62,20,53),(28,601,2,23,14,21,23,30,31),(28,601,2,23,15,16,23,14,28),(28,601,2,23,16,16,34,17,41),(28,601,2,23,17,3,8,4,11),(28,601,2,23,18,28,34,33,33),(28,601,2,23,19,22,30,21,28),(28,601,2,23,20,22,32,36,23),(28,601,2,23,21,3,18,3,16),(28,601,2,23,22,18,18,31,20),(28,601,2,23,23,NULL,6,NULL,15),(28,601,2,23,24,3,13,3,15),(28,601,2,23,25,4,18,3,18),(28,601,2,23,26,5,15,3,20),(28,601,2,23,27,3,20,7,37),(28,601,2,23,28,4,14,4,19),(28,601,2,23,29,NULL,10,1,19),(28,601,2,23,30,4,13,2,8),(28,601,2,23,31,2,31,2,32),(28,601,2,23,32,1,9,4,8),(28,601,2,23,33,10,14,15,22),(28,601,2,23,34,6,27,8,30),(28,601,2,23,35,18,NULL,13,NULL),(28,601,2,23,36,NULL,16,NULL,15),(28,601,2,23,37,1,6,4,15),(28,601,2,23,38,4,5,3,8),(28,601,2,23,39,3,9,3,18),(28,601,2,23,40,6,41,10,50),(28,601,2,24,1,NULL,38,1,42),(28,601,2,24,2,NULL,26,NULL,28),(28,601,2,24,3,36,32,47,31),(28,601,2,24,4,NULL,6,NULL,4),(28,601,2,24,5,8,22,12,31),(28,601,2,24,6,33,43,29,44),(28,601,2,24,7,NULL,36,NULL,29),(28,601,2,24,8,8,26,10,27),(28,601,2,24,9,14,10,8,12),(28,601,2,24,10,19,20,27,22),(28,601,2,24,11,8,9,17,10),(28,601,2,24,12,20,29,23,33),(28,601,2,24,13,6,67,15,54),(28,601,2,24,14,18,34,26,39),(28,601,2,24,15,18,27,16,29),(28,601,2,24,16,16,36,27,41),(28,601,2,24,17,3,13,4,15),(28,601,2,24,18,40,33,41,32),(28,601,2,24,19,20,30,26,29),(28,601,2,24,20,29,15,34,19),(28,601,2,24,21,4,18,5,17),(28,601,2,24,22,12,16,22,16),(28,601,2,24,23,5,8,3,8),(28,601,2,24,24,3,15,5,22),(28,601,2,24,25,2,22,4,19),(28,601,2,24,26,6,18,5,27),(28,601,2,24,27,11,19,8,36),(28,601,2,24,28,2,20,3,24),(28,601,2,24,29,5,13,2,13),(28,601,2,24,30,5,9,2,13),(28,601,2,24,31,3,22,5,28),(28,601,2,24,32,1,10,1,8),(28,601,2,24,33,4,11,9,19),(28,601,2,24,34,8,22,11,26),(28,601,2,24,35,10,NULL,14,NULL),(28,601,2,24,36,1,10,1,9),(28,601,2,24,37,2,8,4,16),(28,601,2,24,38,2,5,5,7),(28,601,2,24,39,2,13,4,21),(28,601,2,24,40,5,49,10,52),(28,652,1,11,1,NULL,NULL,NULL,NULL),(28,652,1,11,2,NULL,NULL,NULL,NULL),(28,652,1,11,3,NULL,NULL,NULL,NULL),(28,652,1,11,4,NULL,NULL,NULL,NULL),(28,652,1,11,5,NULL,NULL,NULL,NULL),(28,652,1,11,6,NULL,NULL,NULL,NULL),(28,652,1,11,7,NULL,NULL,NULL,NULL),(28,652,1,11,8,NULL,NULL,NULL,NULL),(28,652,1,11,9,NULL,NULL,NULL,NULL),(28,652,1,11,10,NULL,NULL,NULL,NULL),(28,652,1,11,11,NULL,NULL,NULL,NULL),(28,652,1,11,12,NULL,NULL,NULL,NULL),(28,652,1,11,13,NULL,NULL,NULL,NULL),(28,652,1,11,14,NULL,NULL,NULL,NULL),(28,652,1,11,15,NULL,NULL,NULL,NULL),(28,652,1,11,16,NULL,NULL,NULL,NULL),(28,652,1,11,17,NULL,NULL,NULL,NULL),(28,652,1,11,18,NULL,NULL,NULL,NULL),(28,652,1,11,19,NULL,NULL,NULL,NULL),(28,652,1,11,20,NULL,NULL,NULL,NULL),(28,652,1,11,21,NULL,NULL,NULL,NULL),(28,652,1,11,22,NULL,NULL,NULL,NULL),(28,652,1,11,23,NULL,NULL,NULL,NULL),(28,652,1,11,24,NULL,NULL,NULL,NULL),(28,652,1,11,25,NULL,NULL,NULL,NULL),(28,652,1,11,26,NULL,NULL,NULL,NULL),(28,652,1,11,27,NULL,NULL,NULL,NULL),(28,652,1,11,28,NULL,NULL,NULL,NULL),(28,652,1,11,29,NULL,NULL,NULL,NULL),(28,652,1,11,30,NULL,NULL,NULL,NULL),(28,652,1,11,31,NULL,NULL,NULL,NULL),(28,652,1,11,32,NULL,NULL,NULL,NULL),(28,652,1,11,33,NULL,NULL,NULL,NULL),(28,652,1,11,34,NULL,NULL,NULL,NULL),(28,652,1,11,35,NULL,NULL,NULL,NULL),(28,652,1,11,36,NULL,NULL,NULL,NULL),(28,652,1,11,37,NULL,NULL,NULL,NULL),(28,652,1,11,38,NULL,NULL,NULL,NULL),(28,652,1,11,39,NULL,NULL,NULL,NULL),(28,652,1,11,40,NULL,NULL,NULL,NULL),(28,652,1,12,1,NULL,NULL,NULL,NULL),(28,652,1,12,2,NULL,NULL,NULL,NULL),(28,652,1,12,3,NULL,NULL,NULL,NULL),(28,652,1,12,4,NULL,NULL,NULL,NULL),(28,652,1,12,5,NULL,NULL,NULL,NULL),(28,652,1,12,6,NULL,NULL,NULL,NULL),(28,652,1,12,7,NULL,NULL,NULL,NULL),(28,652,1,12,8,NULL,NULL,NULL,NULL),(28,652,1,12,9,NULL,NULL,NULL,NULL),(28,652,1,12,10,NULL,NULL,NULL,NULL),(28,652,1,12,11,NULL,NULL,NULL,NULL),(28,652,1,12,12,NULL,NULL,NULL,NULL),(28,652,1,12,13,NULL,NULL,NULL,NULL),(28,652,1,12,14,NULL,NULL,NULL,NULL),(28,652,1,12,15,NULL,NULL,NULL,NULL),(28,652,1,12,16,NULL,NULL,NULL,NULL),(28,652,1,12,17,NULL,NULL,NULL,NULL),(28,652,1,12,18,NULL,NULL,NULL,NULL),(28,652,1,12,19,NULL,NULL,NULL,NULL),(28,652,1,12,20,NULL,NULL,NULL,NULL),(28,652,1,12,21,NULL,NULL,NULL,NULL),(28,652,1,12,22,NULL,NULL,NULL,NULL),(28,652,1,12,23,NULL,NULL,NULL,NULL),(28,652,1,12,24,NULL,NULL,NULL,NULL),(28,652,1,12,25,NULL,NULL,NULL,NULL),(28,652,1,12,26,NULL,NULL,NULL,NULL),(28,652,1,12,27,NULL,NULL,NULL,NULL),(28,652,1,12,28,NULL,NULL,NULL,NULL),(28,652,1,12,29,NULL,NULL,NULL,NULL),(28,652,1,12,30,NULL,NULL,NULL,NULL),(28,652,1,12,31,NULL,NULL,NULL,NULL),(28,652,1,12,32,NULL,NULL,NULL,NULL),(28,652,1,12,33,NULL,NULL,NULL,NULL),(28,652,1,12,34,NULL,NULL,NULL,NULL),(28,652,1,12,35,NULL,NULL,NULL,NULL),(28,652,1,12,36,NULL,NULL,NULL,NULL),(28,652,1,12,37,NULL,NULL,NULL,NULL),(28,652,1,12,38,NULL,NULL,NULL,NULL),(28,652,1,12,39,NULL,NULL,NULL,NULL),(28,652,1,12,40,NULL,NULL,NULL,NULL),(28,652,1,13,1,NULL,NULL,NULL,NULL),(28,652,1,13,2,NULL,NULL,NULL,NULL),(28,652,1,13,3,NULL,NULL,NULL,NULL),(28,652,1,13,4,NULL,NULL,NULL,NULL),(28,652,1,13,5,NULL,NULL,NULL,NULL),(28,652,1,13,6,NULL,NULL,NULL,NULL),(28,652,1,13,7,NULL,NULL,NULL,NULL),(28,652,1,13,8,NULL,NULL,NULL,NULL),(28,652,1,13,9,NULL,NULL,NULL,NULL),(28,652,1,13,10,NULL,NULL,NULL,NULL),(28,652,1,13,11,NULL,NULL,NULL,NULL),(28,652,1,13,12,NULL,NULL,NULL,NULL),(28,652,1,13,13,NULL,NULL,NULL,NULL),(28,652,1,13,14,NULL,NULL,NULL,NULL),(28,652,1,13,15,NULL,NULL,NULL,NULL),(28,652,1,13,16,NULL,NULL,NULL,NULL),(28,652,1,13,17,NULL,NULL,NULL,NULL),(28,652,1,13,18,NULL,NULL,NULL,NULL),(28,652,1,13,19,NULL,NULL,NULL,NULL),(28,652,1,13,20,NULL,NULL,NULL,NULL),(28,652,1,13,21,NULL,NULL,NULL,NULL),(28,652,1,13,22,NULL,NULL,NULL,NULL),(28,652,1,13,23,NULL,NULL,NULL,NULL),(28,652,1,13,24,NULL,NULL,NULL,NULL),(28,652,1,13,25,NULL,NULL,NULL,NULL),(28,652,1,13,26,NULL,NULL,NULL,NULL),(28,652,1,13,27,NULL,NULL,NULL,NULL),(28,652,1,13,28,NULL,NULL,NULL,NULL),(28,652,1,13,29,NULL,NULL,NULL,NULL),(28,652,1,13,30,NULL,NULL,NULL,NULL),(28,652,1,13,31,NULL,NULL,NULL,NULL),(28,652,1,13,32,NULL,NULL,NULL,NULL),(28,652,1,13,33,NULL,NULL,NULL,NULL),(28,652,1,13,34,NULL,NULL,NULL,NULL),(28,652,1,13,35,NULL,NULL,NULL,NULL),(28,652,1,13,36,NULL,NULL,NULL,NULL),(28,652,1,13,37,NULL,NULL,NULL,NULL),(28,652,1,13,38,NULL,NULL,NULL,NULL),(28,652,1,13,39,NULL,NULL,NULL,NULL),(28,652,1,13,40,NULL,NULL,NULL,NULL),(28,652,1,14,1,3,NULL,12,NULL),(28,652,1,14,2,1,5,1,12),(28,652,1,14,3,5,2,8,9),(28,652,1,14,4,4,2,7,6),(28,652,1,14,5,5,8,9,17),(28,652,1,14,6,5,2,4,11),(28,652,1,14,7,2,4,3,8),(28,652,1,14,8,2,5,6,8),(28,652,1,14,9,5,5,5,10),(28,652,1,14,10,6,1,14,5),(28,652,1,14,11,1,1,3,5),(28,652,1,14,12,3,4,7,8),(28,652,1,14,13,5,7,17,10),(28,652,1,14,14,3,2,7,7),(28,652,1,14,15,8,NULL,17,NULL),(28,652,1,14,16,7,4,17,7),(28,652,1,14,17,3,10,8,14),(28,652,1,14,18,4,3,11,7),(28,652,1,14,19,9,7,20,11),(28,652,1,14,20,3,10,11,19),(28,652,1,14,21,1,2,1,2),(28,652,1,14,22,1,7,1,11),(28,652,1,14,23,1,3,1,3),(28,652,1,14,24,NULL,NULL,1,NULL),(28,652,1,14,25,2,4,1,6),(28,652,1,14,26,1,1,NULL,2),(28,652,1,14,27,3,NULL,7,NULL),(28,652,1,14,28,1,NULL,1,NULL),(28,652,1,14,29,1,4,1,6),(28,652,1,14,30,2,6,5,11),(28,652,1,14,31,1,4,4,4),(28,652,1,14,32,3,3,7,7),(28,652,1,14,33,NULL,1,1,4),(28,652,1,14,34,2,4,7,6),(28,652,1,14,35,1,2,NULL,2),(28,652,1,14,36,NULL,NULL,NULL,NULL),(28,652,1,14,37,1,1,2,2),(28,652,1,14,38,1,2,2,7),(28,652,1,14,39,2,6,4,7),(28,652,1,14,40,NULL,NULL,1,NULL),(28,652,1,15,1,2,NULL,7,NULL),(28,652,1,15,2,NULL,4,1,4),(28,652,1,15,3,1,4,3,3),(28,652,1,15,4,1,3,3,4),(28,652,1,15,5,2,NULL,2,4),(28,652,1,15,6,2,6,2,6),(28,652,1,15,7,1,1,1,3),(28,652,1,15,8,NULL,5,NULL,5),(28,652,1,15,9,3,NULL,1,1),(28,652,1,15,10,4,4,3,7),(28,652,1,15,11,1,1,NULL,4),(28,652,1,15,12,1,1,1,5),(28,652,1,15,13,5,3,8,4),(28,652,1,15,14,2,4,4,6),(28,652,1,15,15,5,NULL,7,NULL),(28,652,1,15,16,5,2,6,5),(28,652,1,15,17,1,8,1,11),(28,652,1,15,18,3,5,2,9),(28,652,1,15,19,4,1,10,1),(28,652,1,15,20,5,8,5,8),(28,652,1,15,21,NULL,3,NULL,3),(28,652,1,15,22,NULL,3,NULL,2),(28,652,1,15,23,2,1,NULL,4),(28,652,1,15,24,NULL,NULL,NULL,NULL),(28,652,1,15,25,1,NULL,NULL,1),(28,652,1,15,26,NULL,5,NULL,3),(28,652,1,15,27,1,NULL,2,NULL),(28,652,1,15,28,NULL,NULL,NULL,NULL),(28,652,1,15,29,NULL,NULL,NULL,2),(28,652,1,15,30,NULL,2,1,5),(28,652,1,15,31,1,1,NULL,2),(28,652,1,15,32,1,1,1,5),(28,652,1,15,33,1,1,2,2),(28,652,1,15,34,1,2,1,6),(28,652,1,15,35,NULL,NULL,2,1),(28,652,1,15,36,NULL,NULL,NULL,NULL),(28,652,1,15,37,2,1,1,NULL),(28,652,1,15,38,NULL,NULL,NULL,4),(28,652,1,15,39,3,4,1,6),(28,652,1,15,40,NULL,NULL,NULL,NULL),(28,652,1,16,1,9,NULL,8,NULL),(28,652,1,16,2,1,3,1,4),(28,652,1,16,3,NULL,3,2,1),(28,652,1,16,4,3,2,3,3),(28,652,1,16,5,2,5,4,4),(28,652,1,16,6,1,8,1,8),(28,652,1,16,7,7,4,4,7),(28,652,1,16,8,NULL,3,NULL,5),(28,652,1,16,9,3,3,2,5),(28,652,1,16,10,3,4,6,5),(28,652,1,16,11,1,1,NULL,3),(28,652,1,16,12,1,2,1,5),(28,652,1,16,13,21,NULL,18,NULL),(28,652,1,16,14,15,4,15,7),(28,652,1,16,15,2,9,2,12),(28,652,1,16,16,14,NULL,17,NULL),(28,652,1,16,17,5,13,4,13),(28,652,1,16,18,1,2,3,4),(28,652,1,16,19,2,8,4,7),(28,652,1,16,20,1,9,3,7),(28,652,1,16,21,NULL,3,NULL,2),(28,652,1,16,22,NULL,5,NULL,6),(28,652,1,16,23,2,6,NULL,4),(28,652,1,16,24,1,NULL,1,NULL),(28,652,1,16,25,NULL,NULL,NULL,1),(28,652,1,16,26,NULL,2,NULL,NULL),(28,652,1,16,27,NULL,NULL,1,NULL),(28,652,1,16,28,1,1,1,1),(28,652,1,16,29,NULL,2,2,4),(28,652,1,16,30,NULL,5,1,3),(28,652,1,16,31,NULL,1,2,NULL),(28,652,1,16,32,1,1,3,1),(28,652,1,16,33,NULL,3,1,3),(28,652,1,16,34,2,3,4,4),(28,652,1,16,35,NULL,4,NULL,3),(28,652,1,16,36,1,NULL,NULL,NULL),(28,652,1,16,37,NULL,1,NULL,1),(28,652,1,16,38,1,1,1,2),(28,652,1,16,39,4,4,6,5),(28,652,1,16,40,NULL,NULL,2,NULL),(28,652,1,17,1,2,NULL,3,NULL),(28,652,1,17,2,NULL,2,NULL,3),(28,652,1,17,3,3,1,3,3),(28,652,1,17,4,1,3,NULL,4),(28,652,1,17,5,4,5,6,5),(28,652,1,17,6,NULL,6,1,8),(28,652,1,17,7,1,3,1,4),(28,652,1,17,8,NULL,6,NULL,5),(28,652,1,17,9,NULL,5,NULL,4),(28,652,1,17,10,4,1,8,3),(28,652,1,17,11,NULL,NULL,2,1),(28,652,1,17,12,NULL,3,2,3),(28,652,1,17,13,18,NULL,19,NULL),(28,652,1,17,14,12,1,16,2),(28,652,1,17,15,1,7,7,8),(28,652,1,17,16,14,NULL,17,NULL),(28,652,1,17,17,4,10,8,10),(28,652,1,17,18,NULL,1,3,1),(28,652,1,17,19,2,6,4,6),(28,652,1,17,20,1,2,1,8),(28,652,1,17,21,NULL,8,NULL,6),(28,652,1,17,22,NULL,3,NULL,5),(28,652,1,17,23,1,3,1,3),(28,652,1,17,24,NULL,NULL,NULL,NULL),(28,652,1,17,25,1,3,NULL,2),(28,652,1,17,26,1,2,NULL,1),(28,652,1,17,27,NULL,NULL,2,NULL),(28,652,1,17,28,NULL,1,NULL,1),(28,652,1,17,29,2,2,1,2),(28,652,1,17,30,2,6,2,5),(28,652,1,17,31,2,1,2,2),(28,652,1,17,32,1,3,1,4),(28,652,1,17,33,1,1,NULL,3),(28,652,1,17,34,2,NULL,3,1),(28,652,1,17,35,NULL,1,NULL,2),(28,652,1,17,36,NULL,NULL,NULL,NULL),(28,652,1,17,37,NULL,2,NULL,3),(28,652,1,17,38,NULL,1,2,1),(28,652,1,17,39,2,3,3,6),(28,652,1,17,40,1,NULL,1,NULL),(28,652,1,18,1,NULL,NULL,NULL,NULL),(28,652,1,18,2,NULL,NULL,NULL,NULL),(28,652,1,18,3,NULL,NULL,NULL,NULL),(28,652,1,18,4,NULL,NULL,NULL,NULL),(28,652,1,18,5,NULL,NULL,NULL,NULL),(28,652,1,18,6,NULL,NULL,NULL,NULL),(28,652,1,18,7,NULL,NULL,NULL,NULL),(28,652,1,18,8,NULL,NULL,NULL,NULL),(28,652,1,18,9,NULL,NULL,NULL,NULL),(28,652,1,18,10,NULL,NULL,NULL,NULL),(28,652,1,18,11,NULL,NULL,NULL,NULL),(28,652,1,18,12,NULL,NULL,NULL,NULL),(28,652,1,18,13,NULL,NULL,NULL,NULL),(28,652,1,18,14,NULL,NULL,NULL,NULL),(28,652,1,18,15,NULL,NULL,NULL,NULL),(28,652,1,18,16,NULL,NULL,NULL,NULL),(28,652,1,18,17,NULL,NULL,NULL,NULL),(28,652,1,18,18,NULL,NULL,NULL,NULL),(28,652,1,18,19,NULL,NULL,NULL,NULL),(28,652,1,18,20,NULL,NULL,NULL,NULL),(28,652,1,18,21,NULL,NULL,NULL,NULL),(28,652,1,18,22,NULL,NULL,NULL,NULL),(28,652,1,18,23,NULL,NULL,NULL,NULL),(28,652,1,18,24,NULL,NULL,NULL,NULL),(28,652,1,18,25,NULL,NULL,NULL,NULL),(28,652,1,18,26,NULL,NULL,NULL,NULL),(28,652,1,18,27,NULL,NULL,NULL,NULL),(28,652,1,18,28,NULL,NULL,NULL,NULL),(28,652,1,18,29,NULL,NULL,NULL,NULL),(28,652,1,18,30,NULL,NULL,NULL,NULL),(28,652,1,18,31,NULL,NULL,NULL,NULL),(28,652,1,18,32,NULL,NULL,NULL,NULL),(28,652,1,18,33,NULL,NULL,NULL,NULL),(28,652,1,18,34,NULL,NULL,NULL,NULL),(28,652,1,18,35,NULL,NULL,NULL,NULL),(28,652,1,18,36,NULL,NULL,NULL,NULL),(28,652,1,18,37,NULL,NULL,NULL,NULL),(28,652,1,18,38,NULL,NULL,NULL,NULL),(28,652,1,18,39,NULL,NULL,NULL,NULL),(28,652,1,18,40,NULL,NULL,NULL,NULL),(28,652,1,19,1,NULL,NULL,NULL,NULL),(28,652,1,19,2,NULL,NULL,NULL,NULL),(28,652,1,19,3,NULL,NULL,NULL,NULL),(28,652,1,19,4,NULL,NULL,NULL,NULL),(28,652,1,19,5,NULL,NULL,NULL,NULL),(28,652,1,19,6,NULL,NULL,NULL,NULL),(28,652,1,19,7,NULL,NULL,NULL,NULL),(28,652,1,19,8,NULL,NULL,NULL,NULL),(28,652,1,19,9,NULL,NULL,NULL,NULL),(28,652,1,19,10,NULL,NULL,NULL,NULL),(28,652,1,19,11,NULL,NULL,NULL,NULL),(28,652,1,19,12,NULL,NULL,NULL,NULL),(28,652,1,19,13,NULL,NULL,NULL,NULL),(28,652,1,19,14,NULL,NULL,NULL,NULL),(28,652,1,19,15,NULL,NULL,NULL,NULL),(28,652,1,19,16,NULL,NULL,NULL,NULL),(28,652,1,19,17,NULL,NULL,NULL,NULL),(28,652,1,19,18,NULL,NULL,NULL,NULL),(28,652,1,19,19,NULL,NULL,NULL,NULL),(28,652,1,19,20,NULL,NULL,NULL,NULL),(28,652,1,19,21,NULL,NULL,NULL,NULL),(28,652,1,19,22,NULL,NULL,NULL,NULL),(28,652,1,19,23,NULL,NULL,NULL,NULL),(28,652,1,19,24,NULL,NULL,NULL,NULL),(28,652,1,19,25,NULL,NULL,NULL,NULL),(28,652,1,19,26,NULL,NULL,NULL,NULL),(28,652,1,19,27,NULL,NULL,NULL,NULL),(28,652,1,19,28,NULL,NULL,NULL,NULL),(28,652,1,19,29,NULL,NULL,NULL,NULL),(28,652,1,19,30,NULL,NULL,NULL,NULL),(28,652,1,19,31,NULL,NULL,NULL,NULL),(28,652,1,19,32,NULL,NULL,NULL,NULL),(28,652,1,19,33,NULL,NULL,NULL,NULL),(28,652,1,19,34,NULL,NULL,NULL,NULL),(28,652,1,19,35,NULL,NULL,NULL,NULL),(28,652,1,19,36,NULL,NULL,NULL,NULL),(28,652,1,19,37,NULL,NULL,NULL,NULL),(28,652,1,19,38,NULL,NULL,NULL,NULL),(28,652,1,19,39,NULL,NULL,NULL,NULL),(28,652,1,19,40,NULL,NULL,NULL,NULL),(28,652,2,21,1,NULL,5,NULL,11),(28,652,2,21,2,NULL,6,NULL,5),(28,652,2,21,3,6,4,13,7),(28,652,2,21,4,NULL,NULL,NULL,2),(28,652,2,21,5,3,6,3,2),(28,652,2,21,6,3,6,11,12),(28,652,2,21,7,NULL,2,NULL,5),(28,652,2,21,8,1,4,1,7),(28,652,2,21,9,1,4,1,3),(28,652,2,21,10,1,8,7,7),(28,652,2,21,11,2,1,3,3),(28,652,2,21,12,2,6,6,8),(28,652,2,21,13,1,9,3,15),(28,652,2,21,14,2,3,3,7),(28,652,2,21,15,2,4,3,10),(28,652,2,21,16,NULL,7,5,10),(28,652,2,21,17,1,5,1,3),(28,652,2,21,18,4,10,14,9),(28,652,2,21,19,1,4,3,8),(28,652,2,21,20,3,2,5,7),(28,652,2,21,21,NULL,1,1,2),(28,652,2,21,22,1,2,5,5),(28,652,2,21,23,NULL,2,NULL,4),(28,652,2,21,24,2,1,2,6),(28,652,2,21,25,2,1,3,3),(28,652,2,21,26,2,5,4,9),(28,652,2,21,27,1,1,2,7),(28,652,2,21,28,NULL,1,NULL,2),(28,652,2,21,29,NULL,4,NULL,3),(28,652,2,21,30,2,2,2,5),(28,652,2,21,31,NULL,6,NULL,12),(28,652,2,21,32,1,1,1,2),(28,652,2,21,33,NULL,4,3,4),(28,652,2,21,34,1,2,4,3),(28,652,2,21,35,2,NULL,5,NULL),(28,652,2,21,36,NULL,3,NULL,4),(28,652,2,21,37,NULL,2,2,1),(28,652,2,21,38,NULL,1,NULL,2),(28,652,2,21,39,NULL,2,1,4),(28,652,2,21,40,1,8,3,10),(28,652,2,22,1,NULL,9,NULL,12),(28,652,2,22,2,NULL,5,NULL,7),(28,652,2,22,3,4,4,9,5),(28,652,2,22,4,NULL,2,NULL,1),(28,652,2,22,5,1,2,2,2),(28,652,2,22,6,5,7,7,12),(28,652,2,22,7,NULL,9,NULL,9),(28,652,2,22,8,1,3,2,5),(28,652,2,22,9,3,1,6,3),(28,652,2,22,10,1,6,5,4),(28,652,2,22,11,1,2,3,4),(28,652,2,22,12,NULL,4,NULL,9),(28,652,2,22,13,NULL,13,1,10),(28,652,2,22,14,3,4,3,6),(28,652,2,22,15,3,5,3,6),(28,652,2,22,16,NULL,4,NULL,8),(28,652,2,22,17,1,1,1,3),(28,652,2,22,18,3,7,6,8),(28,652,2,22,19,1,3,3,7),(28,652,2,22,20,NULL,3,5,4),(28,652,2,22,21,NULL,3,NULL,3),(28,652,2,22,22,1,1,3,3),(28,652,2,22,23,NULL,1,NULL,3),(28,652,2,22,24,NULL,2,NULL,3),(28,652,2,22,25,1,1,1,5),(28,652,2,22,26,NULL,3,1,5),(28,652,2,22,27,3,4,2,10),(28,652,2,22,28,NULL,2,1,6),(28,652,2,22,29,NULL,2,1,2),(28,652,2,22,30,NULL,NULL,NULL,2),(28,652,2,22,31,NULL,2,NULL,7),(28,652,2,22,32,NULL,2,NULL,1),(28,652,2,22,33,NULL,1,1,5),(28,652,2,22,34,1,4,1,5),(28,652,2,22,35,NULL,NULL,1,NULL),(28,652,2,22,36,NULL,1,NULL,1),(28,652,2,22,37,NULL,1,NULL,3),(28,652,2,22,38,NULL,NULL,NULL,NULL),(28,652,2,22,39,NULL,1,1,1),(28,652,2,22,40,NULL,6,2,9),(28,652,2,23,1,NULL,9,NULL,9),(28,652,2,23,2,NULL,6,NULL,6),(28,652,2,23,3,5,4,7,8),(28,652,2,23,4,NULL,2,NULL,3),(28,652,2,23,5,2,1,3,3),(28,652,2,23,6,5,9,6,12),(28,652,2,23,7,NULL,8,NULL,5),(28,652,2,23,8,4,1,3,1),(28,652,2,23,9,NULL,NULL,NULL,NULL),(28,652,2,23,10,1,3,3,5),(28,652,2,23,11,NULL,2,1,3),(28,652,2,23,12,4,8,5,7),(28,652,2,23,13,NULL,11,1,15),(28,652,2,23,14,3,4,7,8),(28,652,2,23,15,3,4,1,6),(28,652,2,23,16,1,8,2,10),(28,652,2,23,17,NULL,NULL,1,1),(28,652,2,23,18,5,3,5,4),(28,652,2,23,19,2,4,2,7),(28,652,2,23,20,3,1,6,3),(28,652,2,23,21,NULL,6,NULL,5),(28,652,2,23,22,3,NULL,3,1),(28,652,2,23,23,1,1,1,1),(28,652,2,23,24,NULL,2,2,2),(28,652,2,23,25,NULL,2,NULL,4),(28,652,2,23,26,1,1,NULL,2),(28,652,2,23,27,2,2,3,7),(28,652,2,23,28,1,1,1,3),(28,652,2,23,29,NULL,NULL,NULL,2),(28,652,2,23,30,1,1,NULL,3),(28,652,2,23,31,NULL,5,1,8),(28,652,2,23,32,NULL,NULL,1,3),(28,652,2,23,33,1,2,3,2),(28,652,2,23,34,1,2,1,8),(28,652,2,23,35,1,NULL,3,NULL),(28,652,2,23,36,1,1,2,1),(28,652,2,23,37,1,1,NULL,3),(28,652,2,23,38,NULL,3,NULL,2),(28,652,2,23,39,NULL,2,NULL,3),(28,652,2,23,40,1,7,2,7),(28,652,2,24,1,1,4,1,5),(28,652,2,24,2,NULL,6,NULL,7),(28,652,2,24,3,9,4,12,3),(28,652,2,24,4,1,2,NULL,3),(28,652,2,24,5,NULL,7,1,8),(28,652,2,24,6,5,6,9,9),(28,652,2,24,7,NULL,8,NULL,7),(28,652,2,24,8,2,NULL,2,3),(28,652,2,24,9,2,NULL,2,1),(28,652,2,24,10,1,3,3,5),(28,652,2,24,11,2,2,1,4),(28,652,2,24,12,1,3,3,3),(28,652,2,24,13,2,9,2,11),(28,652,2,24,14,NULL,5,2,4),(28,652,2,24,15,1,4,3,6),(28,652,2,24,16,1,4,4,7),(28,652,2,24,17,NULL,1,NULL,2),(28,652,2,24,18,4,9,6,10),(28,652,2,24,19,1,6,3,8),(28,652,2,24,20,5,4,7,6),(28,652,2,24,21,1,1,NULL,2),(28,652,2,24,22,1,NULL,1,NULL),(28,652,2,24,23,NULL,1,NULL,5),(28,652,2,24,24,1,NULL,1,1),(28,652,2,24,25,NULL,2,NULL,2),(28,652,2,24,26,NULL,3,1,6),(28,652,2,24,27,1,5,NULL,7),(28,652,2,24,28,NULL,1,NULL,2),(28,652,2,24,29,1,1,NULL,2),(28,652,2,24,30,1,2,1,3),(28,652,2,24,31,1,8,NULL,7),(28,652,2,24,32,NULL,1,NULL,1),(28,652,2,24,33,NULL,4,1,3),(28,652,2,24,34,NULL,4,2,5),(28,652,2,24,35,4,NULL,4,NULL),(28,652,2,24,36,1,1,2,1),(28,652,2,24,37,NULL,NULL,NULL,NULL),(28,652,2,24,38,NULL,NULL,NULL,NULL),(28,652,2,24,39,NULL,1,NULL,1),(28,652,2,24,40,NULL,4,NULL,10),(28,653,1,11,1,NULL,NULL,NULL,NULL),(28,653,1,11,2,NULL,NULL,NULL,NULL),(28,653,1,11,3,NULL,NULL,NULL,NULL),(28,653,1,11,4,NULL,NULL,NULL,NULL),(28,653,1,11,5,NULL,NULL,NULL,NULL),(28,653,1,11,6,NULL,NULL,NULL,NULL),(28,653,1,11,7,NULL,NULL,NULL,NULL),(28,653,1,11,8,NULL,NULL,NULL,NULL),(28,653,1,11,9,NULL,NULL,NULL,NULL),(28,653,1,11,10,NULL,NULL,NULL,NULL),(28,653,1,11,11,NULL,NULL,NULL,NULL),(28,653,1,11,12,NULL,NULL,NULL,NULL),(28,653,1,11,13,NULL,NULL,NULL,NULL),(28,653,1,11,14,NULL,NULL,NULL,NULL),(28,653,1,11,15,NULL,NULL,NULL,NULL),(28,653,1,11,16,NULL,NULL,NULL,NULL),(28,653,1,11,17,NULL,NULL,NULL,NULL),(28,653,1,11,18,NULL,NULL,NULL,NULL),(28,653,1,11,19,NULL,NULL,NULL,NULL),(28,653,1,11,20,NULL,NULL,NULL,NULL),(28,653,1,11,21,NULL,NULL,NULL,NULL),(28,653,1,11,22,NULL,NULL,NULL,NULL),(28,653,1,11,23,NULL,NULL,NULL,NULL),(28,653,1,11,24,NULL,NULL,NULL,NULL),(28,653,1,11,25,NULL,NULL,NULL,NULL),(28,653,1,11,26,NULL,NULL,NULL,NULL),(28,653,1,11,27,NULL,NULL,NULL,NULL),(28,653,1,11,28,NULL,NULL,NULL,NULL),(28,653,1,11,29,NULL,NULL,NULL,NULL),(28,653,1,11,30,NULL,NULL,NULL,NULL),(28,653,1,11,31,NULL,NULL,NULL,NULL),(28,653,1,11,32,NULL,NULL,NULL,NULL),(28,653,1,11,33,NULL,NULL,NULL,NULL),(28,653,1,11,34,NULL,NULL,NULL,NULL),(28,653,1,11,35,NULL,NULL,NULL,NULL),(28,653,1,11,36,NULL,NULL,NULL,NULL),(28,653,1,11,37,NULL,NULL,NULL,NULL),(28,653,1,11,38,NULL,NULL,NULL,NULL),(28,653,1,11,39,NULL,NULL,NULL,NULL),(28,653,1,11,40,NULL,NULL,NULL,NULL),(28,653,1,12,1,NULL,NULL,NULL,NULL),(28,653,1,12,2,NULL,NULL,NULL,NULL),(28,653,1,12,3,NULL,NULL,NULL,NULL),(28,653,1,12,4,NULL,NULL,NULL,NULL),(28,653,1,12,5,NULL,NULL,NULL,NULL),(28,653,1,12,6,NULL,NULL,NULL,NULL),(28,653,1,12,7,NULL,NULL,NULL,NULL),(28,653,1,12,8,NULL,NULL,NULL,NULL),(28,653,1,12,9,NULL,NULL,NULL,NULL),(28,653,1,12,10,NULL,NULL,NULL,NULL),(28,653,1,12,11,NULL,NULL,NULL,NULL),(28,653,1,12,12,NULL,NULL,NULL,NULL),(28,653,1,12,13,NULL,NULL,NULL,NULL),(28,653,1,12,14,NULL,NULL,NULL,NULL),(28,653,1,12,15,NULL,NULL,NULL,NULL),(28,653,1,12,16,NULL,NULL,NULL,NULL),(28,653,1,12,17,NULL,NULL,NULL,NULL),(28,653,1,12,18,NULL,NULL,NULL,NULL),(28,653,1,12,19,NULL,NULL,NULL,NULL),(28,653,1,12,20,NULL,NULL,NULL,NULL),(28,653,1,12,21,NULL,NULL,NULL,NULL),(28,653,1,12,22,NULL,NULL,NULL,NULL),(28,653,1,12,23,NULL,NULL,NULL,NULL),(28,653,1,12,24,NULL,NULL,NULL,NULL),(28,653,1,12,25,NULL,NULL,NULL,NULL),(28,653,1,12,26,NULL,NULL,NULL,NULL),(28,653,1,12,27,NULL,NULL,NULL,NULL),(28,653,1,12,28,NULL,NULL,NULL,NULL),(28,653,1,12,29,NULL,NULL,NULL,NULL),(28,653,1,12,30,NULL,NULL,NULL,NULL),(28,653,1,12,31,NULL,NULL,NULL,NULL),(28,653,1,12,32,NULL,NULL,NULL,NULL),(28,653,1,12,33,NULL,NULL,NULL,NULL),(28,653,1,12,34,NULL,NULL,NULL,NULL),(28,653,1,12,35,NULL,NULL,NULL,NULL),(28,653,1,12,36,NULL,NULL,NULL,NULL),(28,653,1,12,37,NULL,NULL,NULL,NULL),(28,653,1,12,38,NULL,NULL,NULL,NULL),(28,653,1,12,39,NULL,NULL,NULL,NULL),(28,653,1,12,40,NULL,NULL,NULL,NULL),(28,653,1,13,1,NULL,NULL,NULL,NULL),(28,653,1,13,2,NULL,NULL,NULL,NULL),(28,653,1,13,3,NULL,1,NULL,NULL),(28,653,1,13,4,NULL,1,NULL,NULL),(28,653,1,13,5,NULL,1,NULL,NULL),(28,653,1,13,6,NULL,NULL,NULL,NULL),(28,653,1,13,7,NULL,NULL,NULL,NULL),(28,653,1,13,8,NULL,NULL,NULL,NULL),(28,653,1,13,9,NULL,NULL,NULL,NULL),(28,653,1,13,10,NULL,1,NULL,NULL),(28,653,1,13,11,NULL,1,NULL,NULL),(28,653,1,13,12,NULL,NULL,NULL,NULL),(28,653,1,13,13,2,NULL,NULL,NULL),(28,653,1,13,14,1,1,NULL,NULL),(28,653,1,13,15,NULL,1,NULL,NULL),(28,653,1,13,16,1,NULL,NULL,NULL),(28,653,1,13,17,NULL,1,NULL,NULL),(28,653,1,13,18,2,NULL,NULL,NULL),(28,653,1,13,19,2,NULL,NULL,NULL),(28,653,1,13,20,NULL,NULL,NULL,NULL),(28,653,1,13,21,NULL,NULL,NULL,NULL),(28,653,1,13,22,NULL,NULL,NULL,NULL),(28,653,1,13,23,NULL,NULL,NULL,NULL),(28,653,1,13,24,NULL,NULL,NULL,NULL),(28,653,1,13,25,NULL,1,NULL,NULL),(28,653,1,13,26,NULL,NULL,NULL,NULL),(28,653,1,13,27,1,NULL,NULL,NULL),(28,653,1,13,28,NULL,NULL,NULL,NULL),(28,653,1,13,29,NULL,1,NULL,NULL),(28,653,1,13,30,NULL,NULL,NULL,NULL),(28,653,1,13,31,NULL,NULL,NULL,NULL),(28,653,1,13,32,NULL,NULL,NULL,NULL),(28,653,1,13,33,NULL,1,NULL,NULL),(28,653,1,13,34,NULL,1,NULL,NULL),(28,653,1,13,35,NULL,NULL,NULL,NULL),(28,653,1,13,36,NULL,NULL,NULL,NULL),(28,653,1,13,37,NULL,NULL,NULL,NULL),(28,653,1,13,38,NULL,1,NULL,NULL),(28,653,1,13,39,NULL,1,NULL,NULL),(28,653,1,13,40,NULL,NULL,NULL,NULL),(28,653,1,14,1,14,NULL,18,NULL),(28,653,1,14,2,1,12,4,11),(28,653,1,14,3,6,15,9,10),(28,653,1,14,4,7,7,4,8),(28,653,1,14,5,17,13,11,11),(28,653,1,14,6,5,17,4,18),(28,653,1,14,7,5,10,2,10),(28,653,1,14,8,5,13,6,11),(28,653,1,14,9,12,14,7,6),(28,653,1,14,10,21,6,21,5),(28,653,1,14,11,1,9,1,7),(28,653,1,14,12,5,8,8,11),(28,653,1,14,13,17,13,24,7),(28,653,1,14,14,9,9,14,5),(28,653,1,14,15,26,NULL,20,NULL),(28,653,1,14,16,17,14,23,4),(28,653,1,14,17,7,17,10,12),(28,653,1,14,18,8,13,10,6),(28,653,1,14,19,25,12,24,7),(28,653,1,14,20,18,20,19,11),(28,653,1,14,21,2,4,NULL,1),(28,653,1,14,22,2,13,2,8),(28,653,1,14,23,3,9,1,6),(28,653,1,14,24,NULL,NULL,NULL,NULL),(28,653,1,14,25,5,3,2,3),(28,653,1,14,26,1,9,NULL,8),(28,653,1,14,27,13,NULL,16,NULL),(28,653,1,14,28,NULL,7,NULL,3),(28,653,1,14,29,3,11,3,12),(28,653,1,14,30,3,11,5,9),(28,653,1,14,31,2,9,3,4),(28,653,1,14,32,5,9,1,7),(28,653,1,14,33,3,8,6,8),(28,653,1,14,34,12,11,17,4),(28,653,1,14,35,1,3,5,2),(28,653,1,14,36,2,NULL,2,NULL),(28,653,1,14,37,NULL,4,1,3),(28,653,1,14,38,6,8,7,5),(28,653,1,14,39,7,11,10,7),(28,653,1,14,40,5,NULL,6,NULL),(28,653,1,15,1,14,NULL,12,NULL),(28,653,1,15,2,2,15,2,11),(28,653,1,15,3,14,8,11,6),(28,653,1,15,4,5,12,4,4),(28,653,1,15,5,11,14,7,7),(28,653,1,15,6,3,27,4,11),(28,653,1,15,7,4,8,3,3),(28,653,1,15,8,2,14,4,10),(28,653,1,15,9,6,6,3,6),(28,653,1,15,10,23,4,13,4),(28,653,1,15,11,8,7,5,4),(28,653,1,15,12,6,7,6,7),(28,653,1,15,13,13,14,15,8),(28,653,1,15,14,9,8,11,5),(28,653,1,15,15,20,NULL,15,NULL),(28,653,1,15,16,18,13,18,4),(28,653,1,15,17,10,20,9,12),(28,653,1,15,18,6,10,6,10),(28,653,1,15,19,21,5,18,1),(28,653,1,15,20,12,26,14,9),(28,653,1,15,21,2,4,1,NULL),(28,653,1,15,22,NULL,14,1,8),(28,653,1,15,23,4,10,1,6),(28,653,1,15,24,1,NULL,NULL,NULL),(28,653,1,15,25,1,2,1,2),(28,653,1,15,26,1,4,1,5),(28,653,1,15,27,9,NULL,10,NULL),(28,653,1,15,28,NULL,2,1,1),(28,653,1,15,29,4,9,1,5),(28,653,1,15,30,5,7,5,5),(28,653,1,15,31,2,9,3,7),(28,653,1,15,32,5,8,2,8),(28,653,1,15,33,3,7,4,6),(28,653,1,15,34,15,3,13,2),(28,653,1,15,35,3,4,1,4),(28,653,1,15,36,3,NULL,4,NULL),(28,653,1,15,37,NULL,5,NULL,6),(28,653,1,15,38,2,8,3,7),(28,653,1,15,39,12,12,7,7),(28,653,1,15,40,NULL,NULL,NULL,NULL),(28,653,1,16,1,11,NULL,4,NULL),(28,653,1,16,2,NULL,6,NULL,2),(28,653,1,16,3,7,7,3,3),(28,653,1,16,4,9,9,2,2),(28,653,1,16,5,16,9,6,NULL),(28,653,1,16,6,5,17,1,4),(28,653,1,16,7,5,12,2,3),(28,653,1,16,8,4,5,2,2),(28,653,1,16,9,9,10,4,2),(28,653,1,16,10,12,6,5,1),(28,653,1,16,11,NULL,7,NULL,2),(28,653,1,16,12,5,3,3,NULL),(28,653,1,16,13,40,NULL,10,NULL),(28,653,1,16,14,34,6,10,1),(28,653,1,16,15,12,16,7,1),(28,653,1,16,16,31,NULL,8,NULL),(28,653,1,16,17,21,14,6,3),(28,653,1,16,18,6,8,4,2),(28,653,1,16,19,8,19,3,2),(28,653,1,16,20,10,18,5,5),(28,653,1,16,21,3,6,1,1),(28,653,1,16,22,2,17,NULL,5),(28,653,1,16,23,2,5,1,2),(28,653,1,16,24,1,NULL,NULL,NULL),(28,653,1,16,25,2,5,NULL,2),(28,653,1,16,26,NULL,3,NULL,2),(28,653,1,16,27,3,NULL,1,NULL),(28,653,1,16,28,NULL,2,NULL,2),(28,653,1,16,29,NULL,6,NULL,1),(28,653,1,16,30,5,6,NULL,3),(28,653,1,16,31,3,6,NULL,2),(28,653,1,16,32,1,2,NULL,2),(28,653,1,16,33,3,3,1,2),(28,653,1,16,34,7,1,2,NULL),(28,653,1,16,35,NULL,4,NULL,NULL),(28,653,1,16,36,NULL,NULL,NULL,NULL),(28,653,1,16,37,1,4,NULL,2),(28,653,1,16,38,NULL,4,NULL,1),(28,653,1,16,39,8,6,1,2),(28,653,1,16,40,2,NULL,2,NULL),(28,653,1,17,1,8,NULL,4,NULL),(28,653,1,17,2,1,7,2,4),(28,653,1,17,3,7,11,4,2),(28,653,1,17,4,6,11,1,1),(28,653,1,17,5,4,15,1,5),(28,653,1,17,6,2,17,1,6),(28,653,1,17,7,5,10,2,2),(28,653,1,17,8,1,14,2,6),(28,653,1,17,9,5,8,3,1),(28,653,1,17,10,22,5,9,NULL),(28,653,1,17,11,6,7,4,NULL),(28,653,1,17,12,4,6,2,NULL),(28,653,1,17,13,49,NULL,11,NULL),(28,653,1,17,14,41,7,11,NULL),(28,653,1,17,15,14,16,5,5),(28,653,1,17,16,37,NULL,10,NULL),(28,653,1,17,17,23,19,8,3),(28,653,1,17,18,8,7,3,1),(28,653,1,17,19,10,15,2,5),(28,653,1,17,20,4,22,3,4),(28,653,1,17,21,1,4,NULL,1),(28,653,1,17,22,1,11,NULL,3),(28,653,1,17,23,NULL,9,NULL,1),(28,653,1,17,24,NULL,NULL,NULL,NULL),(28,653,1,17,25,2,3,1,1),(28,653,1,17,26,NULL,4,NULL,1),(28,653,1,17,27,16,NULL,4,NULL),(28,653,1,17,28,NULL,2,NULL,NULL),(28,653,1,17,29,1,8,NULL,NULL),(28,653,1,17,30,3,16,NULL,3),(28,653,1,17,31,1,4,NULL,NULL),(28,653,1,17,32,6,7,2,4),(28,653,1,17,33,1,4,2,1),(28,653,1,17,34,11,5,2,3),(28,653,1,17,35,NULL,3,NULL,NULL),(28,653,1,17,36,NULL,NULL,NULL,NULL),(28,653,1,17,37,1,7,1,NULL),(28,653,1,17,38,1,6,NULL,NULL),(28,653,1,17,39,9,14,3,3),(28,653,1,17,40,2,NULL,NULL,NULL),(28,653,1,18,1,NULL,NULL,NULL,NULL),(28,653,1,18,2,NULL,NULL,NULL,NULL),(28,653,1,18,3,NULL,NULL,NULL,NULL),(28,653,1,18,4,NULL,NULL,NULL,NULL),(28,653,1,18,5,NULL,NULL,NULL,NULL),(28,653,1,18,6,NULL,NULL,NULL,NULL),(28,653,1,18,7,NULL,NULL,NULL,NULL),(28,653,1,18,8,NULL,NULL,NULL,NULL),(28,653,1,18,9,NULL,NULL,NULL,NULL),(28,653,1,18,10,NULL,NULL,NULL,NULL),(28,653,1,18,11,NULL,NULL,NULL,NULL),(28,653,1,18,12,NULL,NULL,NULL,NULL),(28,653,1,18,13,NULL,NULL,NULL,NULL),(28,653,1,18,14,NULL,NULL,NULL,NULL),(28,653,1,18,15,NULL,NULL,NULL,NULL),(28,653,1,18,16,NULL,NULL,NULL,NULL),(28,653,1,18,17,NULL,NULL,NULL,NULL),(28,653,1,18,18,NULL,NULL,NULL,NULL),(28,653,1,18,19,NULL,NULL,NULL,NULL),(28,653,1,18,20,NULL,NULL,NULL,NULL),(28,653,1,18,21,NULL,NULL,NULL,NULL),(28,653,1,18,22,NULL,NULL,NULL,NULL),(28,653,1,18,23,NULL,NULL,NULL,NULL),(28,653,1,18,24,NULL,NULL,NULL,NULL),(28,653,1,18,25,NULL,NULL,NULL,NULL),(28,653,1,18,26,NULL,NULL,NULL,NULL),(28,653,1,18,27,NULL,NULL,NULL,NULL),(28,653,1,18,28,NULL,NULL,NULL,NULL),(28,653,1,18,29,NULL,NULL,NULL,NULL),(28,653,1,18,30,NULL,NULL,NULL,NULL),(28,653,1,18,31,NULL,NULL,NULL,NULL),(28,653,1,18,32,NULL,NULL,NULL,NULL),(28,653,1,18,33,NULL,NULL,NULL,NULL),(28,653,1,18,34,NULL,NULL,NULL,NULL),(28,653,1,18,35,NULL,NULL,NULL,NULL),(28,653,1,18,36,NULL,NULL,NULL,NULL),(28,653,1,18,37,NULL,NULL,NULL,NULL),(28,653,1,18,38,NULL,NULL,NULL,NULL),(28,653,1,18,39,NULL,NULL,NULL,NULL),(28,653,1,18,40,NULL,NULL,NULL,NULL),(28,653,1,19,1,NULL,NULL,NULL,NULL),(28,653,1,19,2,NULL,NULL,NULL,NULL),(28,653,1,19,3,NULL,NULL,NULL,NULL),(28,653,1,19,4,NULL,NULL,NULL,NULL),(28,653,1,19,5,NULL,NULL,NULL,NULL),(28,653,1,19,6,NULL,NULL,NULL,NULL),(28,653,1,19,7,NULL,NULL,NULL,NULL),(28,653,1,19,8,NULL,NULL,NULL,NULL),(28,653,1,19,9,NULL,NULL,NULL,NULL),(28,653,1,19,10,NULL,NULL,NULL,NULL),(28,653,1,19,11,NULL,NULL,NULL,NULL),(28,653,1,19,12,NULL,NULL,NULL,NULL),(28,653,1,19,13,NULL,NULL,NULL,NULL),(28,653,1,19,14,NULL,NULL,NULL,NULL),(28,653,1,19,15,NULL,NULL,NULL,NULL),(28,653,1,19,16,NULL,NULL,NULL,NULL),(28,653,1,19,17,NULL,NULL,NULL,NULL),(28,653,1,19,18,NULL,NULL,NULL,NULL),(28,653,1,19,19,NULL,NULL,NULL,NULL),(28,653,1,19,20,NULL,NULL,NULL,NULL),(28,653,1,19,21,NULL,NULL,NULL,NULL),(28,653,1,19,22,NULL,NULL,NULL,NULL),(28,653,1,19,23,NULL,NULL,NULL,NULL),(28,653,1,19,24,NULL,NULL,NULL,NULL),(28,653,1,19,25,NULL,NULL,NULL,NULL),(28,653,1,19,26,NULL,NULL,NULL,NULL),(28,653,1,19,27,NULL,NULL,NULL,NULL),(28,653,1,19,28,NULL,NULL,NULL,NULL),(28,653,1,19,29,NULL,NULL,NULL,NULL),(28,653,1,19,30,NULL,NULL,NULL,NULL),(28,653,1,19,31,NULL,NULL,NULL,NULL),(28,653,1,19,32,NULL,NULL,NULL,NULL),(28,653,1,19,33,NULL,NULL,NULL,NULL),(28,653,1,19,34,NULL,NULL,NULL,NULL),(28,653,1,19,35,NULL,NULL,NULL,NULL),(28,653,1,19,36,NULL,NULL,NULL,NULL),(28,653,1,19,37,NULL,NULL,NULL,NULL),(28,653,1,19,38,NULL,NULL,NULL,NULL),(28,653,1,19,39,NULL,NULL,NULL,NULL),(28,653,1,19,40,NULL,NULL,NULL,NULL),(28,653,2,21,1,5,25,2,9),(28,653,2,21,2,1,10,NULL,9),(28,653,2,21,3,21,11,12,6),(28,653,2,21,4,NULL,12,1,4),(28,653,2,21,5,8,6,4,6),(28,653,2,21,6,19,26,11,6),(28,653,2,21,7,NULL,13,NULL,7),(28,653,2,21,8,4,16,6,10),(28,653,2,21,9,4,4,4,2),(28,653,2,21,10,12,9,7,3),(28,653,2,21,11,7,2,4,1),(28,653,2,21,12,6,22,2,11),(28,653,2,21,13,9,23,8,10),(28,653,2,21,14,10,12,10,7),(28,653,2,21,15,6,15,2,10),(28,653,2,21,16,8,11,5,9),(28,653,2,21,17,5,4,2,2),(28,653,2,21,18,17,13,12,7),(28,653,2,21,19,12,11,8,7),(28,653,2,21,20,17,10,14,2),(28,653,2,21,21,2,9,1,2),(28,653,2,21,22,11,7,8,2),(28,653,2,21,23,1,3,2,2),(28,653,2,21,24,4,9,4,3),(28,653,2,21,25,2,10,2,6),(28,653,2,21,26,4,5,2,2),(28,653,2,21,27,6,9,5,6),(28,653,2,21,28,2,6,1,7),(28,653,2,21,29,1,3,1,4),(28,653,2,21,30,3,8,NULL,1),(28,653,2,21,31,NULL,13,1,10),(28,653,2,21,32,NULL,2,NULL,2),(28,653,2,21,33,4,9,3,8),(28,653,2,21,34,4,9,7,7),(28,653,2,21,35,4,NULL,4,NULL),(28,653,2,21,36,NULL,4,1,5),(28,653,2,21,37,1,2,2,2),(28,653,2,21,38,1,2,NULL,2),(28,653,2,21,39,1,7,1,4),(28,653,2,21,40,3,24,4,10),(28,653,2,22,1,NULL,16,NULL,3),(28,653,2,22,2,NULL,8,NULL,1),(28,653,2,22,3,19,11,5,6),(28,653,2,22,4,NULL,6,NULL,2),(28,653,2,22,5,5,8,1,3),(28,653,2,22,6,19,18,8,3),(28,653,2,22,7,NULL,20,NULL,7),(28,653,2,22,8,5,14,2,7),(28,653,2,22,9,5,2,1,2),(28,653,2,22,10,5,9,1,5),(28,653,2,22,11,8,9,2,2),(28,653,2,22,12,9,15,4,3),(28,653,2,22,13,7,27,6,4),(28,653,2,22,14,7,12,2,4),(28,653,2,22,15,7,12,5,2),(28,653,2,22,16,7,13,1,2),(28,653,2,22,17,3,5,NULL,1),(28,653,2,22,18,13,16,4,6),(28,653,2,22,19,5,18,3,3),(28,653,2,22,20,13,6,6,1),(28,653,2,22,21,1,10,NULL,3),(28,653,2,22,22,7,7,6,2),(28,653,2,22,23,NULL,5,NULL,1),(28,653,2,22,24,NULL,8,1,2),(28,653,2,22,25,2,8,NULL,2),(28,653,2,22,26,1,8,NULL,1),(28,653,2,22,27,4,14,1,4),(28,653,2,22,28,1,8,1,2),(28,653,2,22,29,1,7,NULL,2),(28,653,2,22,30,NULL,4,NULL,1),(28,653,2,22,31,2,14,1,4),(28,653,2,22,32,1,4,NULL,1),(28,653,2,22,33,4,2,3,1),(28,653,2,22,34,5,8,2,2),(28,653,2,22,35,4,NULL,2,NULL),(28,653,2,22,36,1,7,NULL,1),(28,653,2,22,37,3,2,1,NULL),(28,653,2,22,38,NULL,3,NULL,3),(28,653,2,22,39,2,5,NULL,5),(28,653,2,22,40,2,22,2,7),(28,653,2,23,1,NULL,27,1,10),(28,653,2,23,2,2,9,1,10),(28,653,2,23,3,19,7,13,3),(28,653,2,23,4,NULL,3,NULL,4),(28,653,2,23,5,5,9,5,5),(28,653,2,23,6,18,20,15,7),(28,653,2,23,7,2,15,1,11),(28,653,2,23,8,8,7,10,1),(28,653,2,23,9,1,5,NULL,2),(28,653,2,23,10,11,8,9,5),(28,653,2,23,11,7,8,8,2),(28,653,2,23,12,7,18,5,7),(28,653,2,23,13,5,34,5,15),(28,653,2,23,14,11,17,6,12),(28,653,2,23,15,8,18,2,9),(28,653,2,23,16,9,21,7,13),(28,653,2,23,17,3,5,2,5),(28,653,2,23,18,12,16,7,12),(28,653,2,23,19,7,18,6,11),(28,653,2,23,20,13,10,13,4),(28,653,2,23,21,3,9,2,7),(28,653,2,23,22,5,7,10,3),(28,653,2,23,23,NULL,4,NULL,2),(28,653,2,23,24,2,5,1,4),(28,653,2,23,25,4,5,3,5),(28,653,2,23,26,1,9,NULL,4),(28,653,2,23,27,2,18,NULL,15),(28,653,2,23,28,2,7,1,5),(28,653,2,23,29,1,7,NULL,5),(28,653,2,23,30,NULL,7,NULL,1),(28,653,2,23,31,2,15,3,6),(28,653,2,23,32,1,5,2,3),(28,653,2,23,33,1,8,3,5),(28,653,2,23,34,6,12,7,7),(28,653,2,23,35,8,NULL,4,NULL),(28,653,2,23,36,2,8,NULL,8),(28,653,2,23,37,1,2,2,4),(28,653,2,23,38,1,2,2,1),(28,653,2,23,39,NULL,10,NULL,7),(28,653,2,23,40,4,18,7,9),(28,653,2,24,1,2,20,1,9),(28,653,2,24,2,NULL,12,NULL,10),(28,653,2,24,3,14,13,7,9),(28,653,2,24,4,NULL,7,NULL,4),(28,653,2,24,5,7,7,2,8),(28,653,2,24,6,14,19,8,8),(28,653,2,24,7,1,16,NULL,6),(28,653,2,24,8,3,11,3,6),(28,653,2,24,9,4,2,2,4),(28,653,2,24,10,10,11,6,6),(28,653,2,24,11,3,2,6,1),(28,653,2,24,12,5,20,5,7),(28,653,2,24,13,8,25,6,15),(28,653,2,24,14,9,11,10,10),(28,653,2,24,15,7,10,2,10),(28,653,2,24,16,7,16,7,10),(28,653,2,24,17,3,6,1,4),(28,653,2,24,18,19,11,12,6),(28,653,2,24,19,7,14,8,10),(28,653,2,24,20,14,7,10,6),(28,653,2,24,21,1,9,1,4),(28,653,2,24,22,10,5,13,5),(28,653,2,24,23,2,7,1,4),(28,653,2,24,24,3,16,2,6),(28,653,2,24,25,3,9,2,6),(28,653,2,24,26,4,5,NULL,5),(28,653,2,24,27,3,11,3,8),(28,653,2,24,28,NULL,7,NULL,9),(28,653,2,24,29,1,2,2,1),(28,653,2,24,30,4,5,2,4),(28,653,2,24,31,NULL,22,1,11),(28,653,2,24,32,1,5,1,2),(28,653,2,24,33,4,3,7,5),(28,653,2,24,34,5,8,5,6),(28,653,2,24,35,4,NULL,2,NULL),(28,653,2,24,36,NULL,6,NULL,3),(28,653,2,24,37,3,1,3,8),(28,653,2,24,38,2,2,2,1),(28,653,2,24,39,2,7,4,4),(28,653,2,24,40,4,18,4,11),(28,654,1,11,1,NULL,NULL,NULL,NULL),(28,654,1,11,2,NULL,NULL,NULL,NULL),(28,654,1,11,3,NULL,NULL,NULL,NULL),(28,654,1,11,4,NULL,NULL,NULL,NULL),(28,654,1,11,5,NULL,NULL,NULL,NULL),(28,654,1,11,6,NULL,NULL,NULL,NULL),(28,654,1,11,7,NULL,NULL,NULL,NULL),(28,654,1,11,8,NULL,NULL,NULL,NULL),(28,654,1,11,9,NULL,NULL,NULL,NULL),(28,654,1,11,10,NULL,NULL,NULL,NULL),(28,654,1,11,11,NULL,NULL,NULL,NULL),(28,654,1,11,12,NULL,NULL,NULL,NULL),(28,654,1,11,13,NULL,NULL,NULL,NULL),(28,654,1,11,14,NULL,NULL,NULL,NULL),(28,654,1,11,15,NULL,NULL,NULL,NULL),(28,654,1,11,16,NULL,NULL,NULL,NULL),(28,654,1,11,17,NULL,NULL,NULL,NULL),(28,654,1,11,18,NULL,NULL,NULL,NULL),(28,654,1,11,19,NULL,NULL,NULL,NULL),(28,654,1,11,20,NULL,NULL,NULL,NULL),(28,654,1,11,21,NULL,NULL,NULL,NULL),(28,654,1,11,22,NULL,NULL,NULL,NULL),(28,654,1,11,23,NULL,NULL,NULL,NULL),(28,654,1,11,24,NULL,NULL,NULL,NULL),(28,654,1,11,25,NULL,NULL,NULL,NULL),(28,654,1,11,26,NULL,NULL,NULL,NULL),(28,654,1,11,27,NULL,NULL,NULL,NULL),(28,654,1,11,28,NULL,NULL,NULL,NULL),(28,654,1,11,29,NULL,NULL,NULL,NULL),(28,654,1,11,30,NULL,NULL,NULL,NULL),(28,654,1,11,31,NULL,NULL,NULL,NULL),(28,654,1,11,32,NULL,NULL,NULL,NULL),(28,654,1,11,33,NULL,NULL,NULL,NULL),(28,654,1,11,34,NULL,NULL,NULL,NULL),(28,654,1,11,35,NULL,NULL,NULL,NULL),(28,654,1,11,36,NULL,NULL,NULL,NULL),(28,654,1,11,37,NULL,NULL,NULL,NULL),(28,654,1,11,38,NULL,NULL,NULL,NULL),(28,654,1,11,39,NULL,NULL,NULL,NULL),(28,654,1,11,40,NULL,NULL,NULL,NULL),(28,654,1,12,1,NULL,NULL,NULL,NULL),(28,654,1,12,2,NULL,NULL,NULL,NULL),(28,654,1,12,3,NULL,NULL,NULL,NULL),(28,654,1,12,4,NULL,NULL,NULL,NULL),(28,654,1,12,5,NULL,NULL,NULL,NULL),(28,654,1,12,6,NULL,NULL,NULL,NULL),(28,654,1,12,7,NULL,NULL,NULL,NULL),(28,654,1,12,8,NULL,NULL,NULL,NULL),(28,654,1,12,9,NULL,NULL,NULL,NULL),(28,654,1,12,10,NULL,NULL,NULL,NULL),(28,654,1,12,11,NULL,NULL,NULL,NULL),(28,654,1,12,12,NULL,NULL,NULL,NULL),(28,654,1,12,13,NULL,NULL,NULL,NULL),(28,654,1,12,14,NULL,NULL,NULL,NULL),(28,654,1,12,15,NULL,NULL,NULL,NULL),(28,654,1,12,16,NULL,NULL,NULL,NULL),(28,654,1,12,17,NULL,NULL,NULL,NULL),(28,654,1,12,18,NULL,NULL,NULL,NULL),(28,654,1,12,19,NULL,NULL,NULL,NULL),(28,654,1,12,20,NULL,NULL,NULL,NULL),(28,654,1,12,21,NULL,NULL,NULL,NULL),(28,654,1,12,22,NULL,NULL,NULL,NULL),(28,654,1,12,23,NULL,NULL,NULL,NULL),(28,654,1,12,24,NULL,NULL,NULL,NULL),(28,654,1,12,25,NULL,NULL,NULL,NULL),(28,654,1,12,26,NULL,NULL,NULL,NULL),(28,654,1,12,27,NULL,NULL,NULL,NULL),(28,654,1,12,28,NULL,NULL,NULL,NULL),(28,654,1,12,29,NULL,NULL,NULL,NULL),(28,654,1,12,30,NULL,NULL,NULL,NULL),(28,654,1,12,31,NULL,NULL,NULL,NULL),(28,654,1,12,32,NULL,NULL,NULL,NULL),(28,654,1,12,33,NULL,NULL,NULL,NULL),(28,654,1,12,34,NULL,NULL,NULL,NULL),(28,654,1,12,35,NULL,NULL,NULL,NULL),(28,654,1,12,36,NULL,NULL,NULL,NULL),(28,654,1,12,37,NULL,NULL,NULL,NULL),(28,654,1,12,38,NULL,NULL,NULL,NULL),(28,654,1,12,39,NULL,NULL,NULL,NULL),(28,654,1,12,40,NULL,NULL,NULL,NULL),(28,654,1,13,1,NULL,NULL,NULL,NULL),(28,654,1,13,2,NULL,1,NULL,1),(28,654,1,13,3,NULL,NULL,NULL,NULL),(28,654,1,13,4,1,NULL,1,NULL),(28,654,1,13,5,1,NULL,1,NULL),(28,654,1,13,6,1,1,NULL,1),(28,654,1,13,7,NULL,NULL,NULL,NULL),(28,654,1,13,8,NULL,1,NULL,1),(28,654,1,13,9,2,NULL,1,NULL),(28,654,1,13,10,1,NULL,1,NULL),(28,654,1,13,11,1,NULL,1,NULL),(28,654,1,13,12,1,NULL,1,NULL),(28,654,1,13,13,2,NULL,1,NULL),(28,654,1,13,14,NULL,1,NULL,NULL),(28,654,1,13,15,NULL,NULL,NULL,NULL),(28,654,1,13,16,2,NULL,1,NULL),(28,654,1,13,17,NULL,1,NULL,1),(28,654,1,13,18,NULL,1,NULL,1),(28,654,1,13,19,1,NULL,1,NULL),(28,654,1,13,20,NULL,NULL,NULL,NULL),(28,654,1,13,21,NULL,NULL,NULL,NULL),(28,654,1,13,22,NULL,NULL,NULL,NULL),(28,654,1,13,23,1,NULL,NULL,NULL),(28,654,1,13,24,NULL,NULL,NULL,NULL),(28,654,1,13,25,NULL,NULL,NULL,NULL),(28,654,1,13,26,NULL,1,NULL,NULL),(28,654,1,13,27,NULL,NULL,NULL,NULL),(28,654,1,13,28,NULL,NULL,NULL,NULL),(28,654,1,13,29,NULL,NULL,NULL,NULL),(28,654,1,13,30,1,NULL,NULL,NULL),(28,654,1,13,31,NULL,NULL,NULL,NULL),(28,654,1,13,32,1,NULL,1,NULL),(28,654,1,13,33,NULL,NULL,NULL,NULL),(28,654,1,13,34,1,NULL,1,NULL),(28,654,1,13,35,NULL,NULL,NULL,NULL),(28,654,1,13,36,NULL,NULL,NULL,NULL),(28,654,1,13,37,NULL,NULL,NULL,NULL),(28,654,1,13,38,NULL,NULL,NULL,NULL),(28,654,1,13,39,NULL,NULL,NULL,NULL),(28,654,1,13,40,NULL,NULL,NULL,NULL),(28,654,1,14,1,7,NULL,3,NULL),(28,654,1,14,2,1,5,NULL,1),(28,654,1,14,3,4,3,3,2),(28,654,1,14,4,4,6,2,1),(28,654,1,14,5,6,8,4,2),(28,654,1,14,6,1,10,1,5),(28,654,1,14,7,2,7,1,2),(28,654,1,14,8,3,9,3,2),(28,654,1,14,9,4,8,2,2),(28,654,1,14,10,13,2,5,NULL),(28,654,1,14,11,2,4,1,1),(28,654,1,14,12,1,5,1,3),(28,654,1,14,13,5,6,2,2),(28,654,1,14,14,2,4,1,1),(28,654,1,14,15,10,NULL,5,NULL),(28,654,1,14,16,7,2,5,NULL),(28,654,1,14,17,3,14,3,2),(28,654,1,14,18,1,7,NULL,1),(28,654,1,14,19,9,5,4,2),(28,654,1,14,20,5,10,2,4),(28,654,1,14,21,1,1,NULL,NULL),(28,654,1,14,22,1,1,NULL,1),(28,654,1,14,23,2,6,NULL,1),(28,654,1,14,24,1,NULL,NULL,NULL),(28,654,1,14,25,NULL,5,NULL,3),(28,654,1,14,26,NULL,3,NULL,1),(28,654,1,14,27,3,NULL,NULL,NULL),(28,654,1,14,28,1,2,NULL,1),(28,654,1,14,29,NULL,1,NULL,NULL),(28,654,1,14,30,2,5,1,1),(28,654,1,14,31,NULL,3,NULL,NULL),(28,654,1,14,32,5,2,2,1),(28,654,1,14,33,1,4,NULL,2),(28,654,1,14,34,4,3,3,1),(28,654,1,14,35,NULL,2,NULL,NULL),(28,654,1,14,36,1,NULL,1,NULL),(28,654,1,14,37,NULL,3,NULL,2),(28,654,1,14,38,NULL,2,NULL,1),(28,654,1,14,39,5,8,2,2),(28,654,1,14,40,NULL,NULL,NULL,NULL),(28,654,1,15,1,4,NULL,3,NULL),(28,654,1,15,2,NULL,2,NULL,2),(28,654,1,15,3,4,4,3,4),(28,654,1,15,4,2,6,1,5),(28,654,1,15,5,7,4,4,3),(28,654,1,15,6,3,10,3,6),(28,654,1,15,7,2,3,NULL,3),(28,654,1,15,8,3,7,2,5),(28,654,1,15,9,3,5,1,4),(28,654,1,15,10,7,5,6,4),(28,654,1,15,11,3,1,2,1),(28,654,1,15,12,3,4,2,3),(28,654,1,15,13,3,3,3,3),(28,654,1,15,14,1,3,1,3),(28,654,1,15,15,7,NULL,4,NULL),(28,654,1,15,16,3,4,3,2),(28,654,1,15,17,NULL,9,NULL,6),(28,654,1,15,18,NULL,5,NULL,3),(28,654,1,15,19,3,9,2,6),(28,654,1,15,20,1,13,1,7),(28,654,1,15,21,NULL,7,NULL,2),(28,654,1,15,22,NULL,4,NULL,NULL),(28,654,1,15,23,3,6,2,4),(28,654,1,15,24,1,NULL,1,NULL),(28,654,1,15,25,1,4,NULL,2),(28,654,1,15,26,NULL,7,NULL,3),(28,654,1,15,27,2,NULL,1,NULL),(28,654,1,15,28,NULL,1,NULL,NULL),(28,654,1,15,29,NULL,2,NULL,2),(28,654,1,15,30,4,3,1,1),(28,654,1,15,31,NULL,1,NULL,1),(28,654,1,15,32,2,1,2,1),(28,654,1,15,33,NULL,1,NULL,1),(28,654,1,15,34,3,5,2,5),(28,654,1,15,35,NULL,NULL,NULL,NULL),(28,654,1,15,36,NULL,NULL,NULL,NULL),(28,654,1,15,37,1,NULL,NULL,NULL),(28,654,1,15,38,1,4,1,4),(28,654,1,15,39,3,5,1,3),(28,654,1,15,40,3,NULL,3,NULL),(28,654,1,16,1,9,NULL,4,NULL),(28,654,1,16,2,NULL,6,NULL,3),(28,654,1,16,3,5,12,3,7),(28,654,1,16,4,7,9,2,5),(28,654,1,16,5,13,12,5,3),(28,654,1,16,6,2,21,1,5),(28,654,1,16,7,6,7,NULL,6),(28,654,1,16,8,3,16,1,8),(28,654,1,16,9,9,10,1,5),(28,654,1,16,10,21,4,10,1),(28,654,1,16,11,3,7,2,5),(28,654,1,16,12,1,11,1,3),(28,654,1,16,13,44,NULL,15,NULL),(28,654,1,16,14,41,4,16,2),(28,654,1,16,15,8,19,3,8),(28,654,1,16,16,36,NULL,14,NULL),(28,654,1,16,17,20,18,8,7),(28,654,1,16,18,4,17,2,4),(28,654,1,16,19,5,23,2,8),(28,654,1,16,20,4,23,1,8),(28,654,1,16,21,3,10,2,4),(28,654,1,16,22,3,6,1,3),(28,654,1,16,23,NULL,10,NULL,4),(28,654,1,16,24,1,NULL,NULL,NULL),(28,654,1,16,25,2,6,NULL,3),(28,654,1,16,26,1,6,NULL,2),(28,654,1,16,27,2,NULL,2,NULL),(28,654,1,16,28,4,2,3,NULL),(28,654,1,16,29,3,1,1,1),(28,654,1,16,30,8,8,2,2),(28,654,1,16,31,3,3,1,3),(28,654,1,16,32,1,11,1,5),(28,654,1,16,33,1,4,NULL,2),(28,654,1,16,34,8,2,3,2),(28,654,1,16,35,1,NULL,NULL,NULL),(28,654,1,16,36,NULL,NULL,NULL,NULL),(28,654,1,16,37,2,7,1,3),(28,654,1,16,38,NULL,3,NULL,3),(28,654,1,16,39,3,5,2,3),(28,654,1,16,40,1,NULL,NULL,NULL),(28,654,1,17,1,7,NULL,4,NULL),(28,654,1,17,2,2,10,1,3),(28,654,1,17,3,5,6,3,2),(28,654,1,17,4,6,3,3,2),(28,654,1,17,5,6,11,2,5),(28,654,1,17,6,2,20,NULL,7),(28,654,1,17,7,3,10,1,7),(28,654,1,17,8,NULL,8,NULL,4),(28,654,1,17,9,6,10,1,7),(28,654,1,17,10,14,9,10,5),(28,654,1,17,11,1,9,1,5),(28,654,1,17,12,2,3,1,3),(28,654,1,17,13,39,NULL,14,NULL),(28,654,1,17,14,26,8,11,5),(28,654,1,17,15,8,17,6,4),(28,654,1,17,16,25,NULL,12,NULL),(28,654,1,17,17,10,23,2,10),(28,654,1,17,18,8,13,3,6),(28,654,1,17,19,6,19,4,8),(28,654,1,17,20,5,12,1,8),(28,654,1,17,21,1,6,NULL,1),(28,654,1,17,22,1,7,NULL,4),(28,654,1,17,23,1,10,NULL,3),(28,654,1,17,24,4,NULL,NULL,NULL),(28,654,1,17,25,NULL,3,NULL,NULL),(28,654,1,17,26,1,5,NULL,1),(28,654,1,17,27,7,NULL,1,NULL),(28,654,1,17,28,NULL,4,NULL,3),(28,654,1,17,29,NULL,4,NULL,3),(28,654,1,17,30,6,9,1,6),(28,654,1,17,31,3,1,1,1),(28,654,1,17,32,5,8,2,7),(28,654,1,17,33,1,5,1,4),(28,654,1,17,34,4,4,1,4),(28,654,1,17,35,1,1,NULL,NULL),(28,654,1,17,36,NULL,NULL,NULL,NULL),(28,654,1,17,37,1,2,1,1),(28,654,1,17,38,NULL,2,NULL,1),(28,654,1,17,39,3,11,1,5),(28,654,1,17,40,NULL,NULL,NULL,NULL),(28,654,1,18,1,NULL,NULL,NULL,NULL),(28,654,1,18,2,NULL,NULL,NULL,NULL),(28,654,1,18,3,NULL,NULL,NULL,NULL),(28,654,1,18,4,NULL,NULL,NULL,NULL),(28,654,1,18,5,NULL,NULL,NULL,NULL),(28,654,1,18,6,NULL,NULL,NULL,NULL),(28,654,1,18,7,NULL,NULL,NULL,NULL),(28,654,1,18,8,NULL,NULL,NULL,NULL),(28,654,1,18,9,NULL,NULL,NULL,NULL),(28,654,1,18,10,NULL,NULL,NULL,NULL),(28,654,1,18,11,NULL,NULL,NULL,NULL),(28,654,1,18,12,NULL,NULL,NULL,NULL),(28,654,1,18,13,NULL,NULL,NULL,NULL),(28,654,1,18,14,NULL,NULL,NULL,NULL),(28,654,1,18,15,NULL,NULL,NULL,NULL),(28,654,1,18,16,NULL,NULL,NULL,NULL),(28,654,1,18,17,NULL,NULL,NULL,NULL),(28,654,1,18,18,NULL,NULL,NULL,NULL),(28,654,1,18,19,NULL,NULL,NULL,NULL),(28,654,1,18,20,NULL,NULL,NULL,NULL),(28,654,1,18,21,NULL,NULL,NULL,NULL),(28,654,1,18,22,NULL,NULL,NULL,NULL),(28,654,1,18,23,NULL,NULL,NULL,NULL),(28,654,1,18,24,NULL,NULL,NULL,NULL),(28,654,1,18,25,NULL,NULL,NULL,NULL),(28,654,1,18,26,NULL,NULL,NULL,NULL),(28,654,1,18,27,NULL,NULL,NULL,NULL),(28,654,1,18,28,NULL,NULL,NULL,NULL),(28,654,1,18,29,NULL,NULL,NULL,NULL),(28,654,1,18,30,NULL,NULL,NULL,NULL),(28,654,1,18,31,NULL,NULL,NULL,NULL),(28,654,1,18,32,NULL,NULL,NULL,NULL),(28,654,1,18,33,NULL,NULL,NULL,NULL),(28,654,1,18,34,NULL,NULL,NULL,NULL),(28,654,1,18,35,NULL,NULL,NULL,NULL),(28,654,1,18,36,NULL,NULL,NULL,NULL),(28,654,1,18,37,NULL,NULL,NULL,NULL),(28,654,1,18,38,NULL,NULL,NULL,NULL),(28,654,1,18,39,NULL,NULL,NULL,NULL),(28,654,1,18,40,NULL,NULL,NULL,NULL),(28,654,1,19,1,NULL,NULL,NULL,NULL),(28,654,1,19,2,NULL,NULL,NULL,NULL),(28,654,1,19,3,NULL,NULL,NULL,NULL),(28,654,1,19,4,NULL,NULL,NULL,NULL),(28,654,1,19,5,NULL,NULL,NULL,NULL),(28,654,1,19,6,NULL,NULL,NULL,NULL),(28,654,1,19,7,NULL,NULL,NULL,NULL),(28,654,1,19,8,NULL,NULL,NULL,NULL),(28,654,1,19,9,NULL,NULL,NULL,NULL),(28,654,1,19,10,NULL,NULL,NULL,NULL),(28,654,1,19,11,NULL,NULL,NULL,NULL),(28,654,1,19,12,NULL,NULL,NULL,NULL),(28,654,1,19,13,NULL,NULL,NULL,NULL),(28,654,1,19,14,NULL,NULL,NULL,NULL),(28,654,1,19,15,NULL,NULL,NULL,NULL),(28,654,1,19,16,NULL,NULL,NULL,NULL),(28,654,1,19,17,NULL,NULL,NULL,NULL),(28,654,1,19,18,NULL,NULL,NULL,NULL),(28,654,1,19,19,NULL,NULL,NULL,NULL),(28,654,1,19,20,NULL,NULL,NULL,NULL),(28,654,1,19,21,NULL,NULL,NULL,NULL),(28,654,1,19,22,NULL,NULL,NULL,NULL),(28,654,1,19,23,NULL,NULL,NULL,NULL),(28,654,1,19,24,NULL,NULL,NULL,NULL),(28,654,1,19,25,NULL,NULL,NULL,NULL),(28,654,1,19,26,NULL,NULL,NULL,NULL),(28,654,1,19,27,NULL,NULL,NULL,NULL),(28,654,1,19,28,NULL,NULL,NULL,NULL),(28,654,1,19,29,NULL,NULL,NULL,NULL),(28,654,1,19,30,NULL,NULL,NULL,NULL),(28,654,1,19,31,NULL,NULL,NULL,NULL),(28,654,1,19,32,NULL,NULL,NULL,NULL),(28,654,1,19,33,NULL,NULL,NULL,NULL),(28,654,1,19,34,NULL,NULL,NULL,NULL),(28,654,1,19,35,NULL,NULL,NULL,NULL),(28,654,1,19,36,NULL,NULL,NULL,NULL),(28,654,1,19,37,NULL,NULL,NULL,NULL),(28,654,1,19,38,NULL,NULL,NULL,NULL),(28,654,1,19,39,NULL,NULL,NULL,NULL),(28,654,1,19,40,NULL,NULL,NULL,NULL),(28,654,2,21,1,1,18,1,7),(28,654,2,21,2,NULL,6,NULL,NULL),(28,654,2,21,3,12,10,3,6),(28,654,2,21,4,2,3,1,2),(28,654,2,21,5,2,9,NULL,4),(28,654,2,21,6,11,14,6,2),(28,654,2,21,7,NULL,13,NULL,7),(28,654,2,21,8,NULL,6,NULL,2),(28,654,2,21,9,3,NULL,NULL,NULL),(28,654,2,21,10,2,5,NULL,1),(28,654,2,21,11,1,4,1,3),(28,654,2,21,12,7,14,5,4),(28,654,2,21,13,NULL,20,NULL,9),(28,654,2,21,14,2,10,1,7),(28,654,2,21,15,3,7,2,3),(28,654,2,21,16,4,11,2,2),(28,654,2,21,17,1,1,1,NULL),(28,654,2,21,18,8,11,4,5),(28,654,2,21,19,1,6,1,3),(28,654,2,21,20,8,9,3,5),(28,654,2,21,21,3,9,NULL,2),(28,654,2,21,22,2,4,1,1),(28,654,2,21,23,NULL,3,NULL,1),(28,654,2,21,24,2,8,1,5),(28,654,2,21,25,NULL,6,NULL,2),(28,654,2,21,26,1,4,NULL,2),(28,654,2,21,27,2,7,1,2),(28,654,2,21,28,2,3,NULL,2),(28,654,2,21,29,NULL,4,NULL,2),(28,654,2,21,30,2,4,NULL,2),(28,654,2,21,31,1,11,1,1),(28,654,2,21,32,NULL,1,NULL,1),(28,654,2,21,33,1,8,NULL,4),(28,654,2,21,34,2,5,2,4),(28,654,2,21,35,4,NULL,3,NULL),(28,654,2,21,36,NULL,4,NULL,1),(28,654,2,21,37,NULL,3,NULL,3),(28,654,2,21,38,NULL,1,NULL,NULL),(28,654,2,21,39,1,4,1,2),(28,654,2,21,40,1,11,NULL,4),(28,654,2,22,1,1,10,1,4),(28,654,2,22,2,NULL,5,NULL,2),(28,654,2,22,3,10,5,4,4),(28,654,2,22,4,NULL,1,NULL,NULL),(28,654,2,22,5,2,7,1,6),(28,654,2,22,6,10,17,5,9),(28,654,2,22,7,NULL,16,NULL,7),(28,654,2,22,8,5,4,4,1),(28,654,2,22,9,2,4,2,4),(28,654,2,22,10,9,6,3,5),(28,654,2,22,11,1,4,1,4),(28,654,2,22,12,2,16,2,5),(28,654,2,22,13,3,16,2,5),(28,654,2,22,14,1,8,1,6),(28,654,2,22,15,6,10,3,4),(28,654,2,22,16,6,5,5,2),(28,654,2,22,17,3,3,2,2),(28,654,2,22,18,9,9,4,6),(28,654,2,22,19,4,6,2,4),(28,654,2,22,20,7,7,5,4),(28,654,2,22,21,1,3,NULL,2),(28,654,2,22,22,1,3,1,1),(28,654,2,22,23,1,1,1,1),(28,654,2,22,24,2,4,1,1),(28,654,2,22,25,NULL,4,NULL,4),(28,654,2,22,26,1,6,NULL,3),(28,654,2,22,27,1,5,1,3),(28,654,2,22,28,1,3,1,2),(28,654,2,22,29,NULL,3,NULL,1),(28,654,2,22,30,4,3,NULL,2),(28,654,2,22,31,1,12,1,7),(28,654,2,22,32,NULL,3,NULL,2),(28,654,2,22,33,NULL,4,NULL,2),(28,654,2,22,34,4,7,3,6),(28,654,2,22,35,6,NULL,3,NULL),(28,654,2,22,36,1,1,NULL,1),(28,654,2,22,37,NULL,1,NULL,1),(28,654,2,22,38,NULL,NULL,NULL,NULL),(28,654,2,22,39,1,1,NULL,1),(28,654,2,22,40,NULL,12,NULL,7),(28,654,2,23,1,NULL,10,NULL,4),(28,654,2,23,2,NULL,7,NULL,2),(28,654,2,23,3,6,7,4,2),(28,654,2,23,4,NULL,5,NULL,1),(28,654,2,23,5,2,1,NULL,1),(28,654,2,23,6,10,13,6,3),(28,654,2,23,7,1,11,1,1),(28,654,2,23,8,2,10,NULL,3),(28,654,2,23,9,1,3,NULL,NULL),(28,654,2,23,10,3,3,1,2),(28,654,2,23,11,2,2,1,1),(28,654,2,23,12,4,7,2,2),(28,654,2,23,13,1,19,1,7),(28,654,2,23,14,4,4,3,2),(28,654,2,23,15,6,14,4,2),(28,654,2,23,16,7,8,1,3),(28,654,2,23,17,4,1,1,NULL),(28,654,2,23,18,13,8,5,2),(28,654,2,23,19,2,3,1,2),(28,654,2,23,20,7,1,2,NULL),(28,654,2,23,21,1,5,1,2),(28,654,2,23,22,3,3,2,NULL),(28,654,2,23,23,NULL,2,NULL,1),(28,654,2,23,24,2,7,1,NULL),(28,654,2,23,25,3,4,NULL,2),(28,654,2,23,26,5,5,2,1),(28,654,2,23,27,2,2,1,NULL),(28,654,2,23,28,2,1,1,NULL),(28,654,2,23,29,1,2,1,NULL),(28,654,2,23,30,3,5,NULL,2),(28,654,2,23,31,1,5,NULL,1),(28,654,2,23,32,1,2,NULL,NULL),(28,654,2,23,33,1,5,NULL,1),(28,654,2,23,34,NULL,2,NULL,2),(28,654,2,23,35,2,NULL,1,NULL),(28,654,2,23,36,1,3,NULL,1),(28,654,2,23,37,NULL,NULL,NULL,NULL),(28,654,2,23,38,NULL,NULL,NULL,NULL),(28,654,2,23,39,1,2,NULL,1),(28,654,2,23,40,1,11,1,3),(28,654,2,24,1,NULL,12,NULL,6),(28,654,2,24,2,NULL,8,NULL,3),(28,654,2,24,3,5,8,4,5),(28,654,2,24,4,NULL,6,NULL,2),(28,654,2,24,5,NULL,8,NULL,4),(28,654,2,24,6,4,16,2,7),(28,654,2,24,7,NULL,10,NULL,5),(28,654,2,24,8,3,6,2,3),(28,654,2,24,9,NULL,3,NULL,1),(28,654,2,24,10,5,4,2,3),(28,654,2,24,11,1,5,1,3),(28,654,2,24,12,3,14,2,5),(28,654,2,24,13,NULL,12,NULL,4),(28,654,2,24,14,4,8,3,4),(28,654,2,24,15,3,6,2,2),(28,654,2,24,16,3,13,2,5),(28,654,2,24,17,1,7,NULL,3),(28,654,2,24,18,8,8,4,4),(28,654,2,24,19,4,7,3,3),(28,654,2,24,20,4,3,4,3),(28,654,2,24,21,1,5,NULL,2),(28,654,2,24,22,1,2,1,NULL),(28,654,2,24,23,1,4,1,1),(28,654,2,24,24,1,4,NULL,4),(28,654,2,24,25,1,4,1,2),(28,654,2,24,26,2,8,1,5),(28,654,2,24,27,4,6,3,3),(28,654,2,24,28,NULL,1,NULL,1),(28,654,2,24,29,1,4,1,3),(28,654,2,24,30,NULL,6,NULL,3),(28,654,2,24,31,1,11,1,6),(28,654,2,24,32,NULL,1,NULL,1),(28,654,2,24,33,1,2,1,1),(28,654,2,24,34,1,9,1,4),(28,654,2,24,35,NULL,NULL,NULL,NULL),(28,654,2,24,36,1,1,NULL,NULL),(28,654,2,24,37,1,5,1,2),(28,654,2,24,38,NULL,1,NULL,NULL),(28,654,2,24,39,2,7,2,4),(28,654,2,24,40,NULL,7,NULL,5),(28,655,1,11,1,NULL,NULL,NULL,NULL),(28,655,1,11,2,NULL,1,NULL,NULL),(28,655,1,11,3,NULL,NULL,NULL,NULL),(28,655,1,11,4,NULL,NULL,NULL,NULL),(28,655,1,11,5,NULL,NULL,NULL,NULL),(28,655,1,11,6,NULL,NULL,NULL,NULL),(28,655,1,11,7,1,NULL,NULL,NULL),(28,655,1,11,8,NULL,NULL,NULL,NULL),(28,655,1,11,9,NULL,NULL,NULL,NULL),(28,655,1,11,10,1,NULL,NULL,NULL),(28,655,1,11,11,NULL,1,NULL,NULL),(28,655,1,11,12,1,NULL,NULL,NULL),(28,655,1,11,13,NULL,1,NULL,NULL),(28,655,1,11,14,NULL,1,NULL,NULL),(28,655,1,11,15,1,NULL,NULL,NULL),(28,655,1,11,16,1,NULL,NULL,NULL),(28,655,1,11,17,NULL,NULL,NULL,NULL),(28,655,1,11,18,NULL,NULL,NULL,NULL),(28,655,1,11,19,1,NULL,NULL,NULL),(28,655,1,11,20,NULL,NULL,NULL,NULL),(28,655,1,11,21,NULL,NULL,NULL,NULL),(28,655,1,11,22,NULL,1,NULL,NULL),(28,655,1,11,23,NULL,NULL,NULL,NULL),(28,655,1,11,24,NULL,NULL,NULL,NULL),(28,655,1,11,25,NULL,1,NULL,NULL),(28,655,1,11,26,NULL,NULL,NULL,NULL),(28,655,1,11,27,NULL,NULL,NULL,NULL),(28,655,1,11,28,NULL,NULL,NULL,NULL),(28,655,1,11,29,NULL,NULL,NULL,NULL),(28,655,1,11,30,NULL,NULL,NULL,NULL),(28,655,1,11,31,NULL,NULL,NULL,NULL),(28,655,1,11,32,NULL,1,NULL,NULL),(28,655,1,11,33,NULL,1,NULL,NULL),(28,655,1,11,34,NULL,1,NULL,NULL),(28,655,1,11,35,NULL,NULL,NULL,NULL),(28,655,1,11,36,NULL,NULL,NULL,NULL),(28,655,1,11,37,NULL,1,NULL,NULL),(28,655,1,11,38,NULL,NULL,NULL,NULL),(28,655,1,11,39,NULL,1,NULL,NULL),(28,655,1,11,40,NULL,NULL,NULL,NULL),(28,655,1,12,1,NULL,NULL,NULL,NULL),(28,655,1,12,2,NULL,NULL,NULL,NULL),(28,655,1,12,3,NULL,NULL,NULL,NULL),(28,655,1,12,4,NULL,NULL,NULL,NULL),(28,655,1,12,5,NULL,NULL,NULL,NULL),(28,655,1,12,6,NULL,NULL,NULL,NULL),(28,655,1,12,7,NULL,NULL,NULL,NULL),(28,655,1,12,8,NULL,NULL,NULL,NULL),(28,655,1,12,9,NULL,NULL,NULL,NULL),(28,655,1,12,10,NULL,NULL,NULL,NULL),(28,655,1,12,11,NULL,NULL,NULL,NULL),(28,655,1,12,12,NULL,NULL,NULL,NULL),(28,655,1,12,13,NULL,NULL,NULL,NULL),(28,655,1,12,14,NULL,NULL,NULL,NULL),(28,655,1,12,15,NULL,NULL,NULL,NULL),(28,655,1,12,16,NULL,NULL,NULL,NULL),(28,655,1,12,17,NULL,NULL,NULL,NULL),(28,655,1,12,18,NULL,NULL,NULL,NULL),(28,655,1,12,19,NULL,NULL,NULL,NULL),(28,655,1,12,20,NULL,NULL,NULL,NULL),(28,655,1,12,21,NULL,NULL,NULL,NULL),(28,655,1,12,22,NULL,NULL,NULL,NULL),(28,655,1,12,23,NULL,NULL,NULL,NULL),(28,655,1,12,24,NULL,NULL,NULL,NULL),(28,655,1,12,25,NULL,NULL,NULL,NULL),(28,655,1,12,26,NULL,NULL,NULL,NULL),(28,655,1,12,27,NULL,NULL,NULL,NULL),(28,655,1,12,28,NULL,NULL,NULL,NULL),(28,655,1,12,29,NULL,NULL,NULL,NULL),(28,655,1,12,30,NULL,NULL,NULL,NULL),(28,655,1,12,31,NULL,NULL,NULL,NULL),(28,655,1,12,32,NULL,NULL,NULL,NULL),(28,655,1,12,33,NULL,NULL,NULL,NULL),(28,655,1,12,34,NULL,NULL,NULL,NULL),(28,655,1,12,35,NULL,NULL,NULL,NULL),(28,655,1,12,36,NULL,NULL,NULL,NULL),(28,655,1,12,37,NULL,NULL,NULL,NULL),(28,655,1,12,38,NULL,NULL,NULL,NULL),(28,655,1,12,39,NULL,NULL,NULL,NULL),(28,655,1,12,40,NULL,NULL,NULL,NULL),(28,655,1,13,1,1,NULL,NULL,NULL),(28,655,1,13,2,NULL,1,NULL,NULL),(28,655,1,13,3,NULL,1,NULL,NULL),(28,655,1,13,4,NULL,1,NULL,NULL),(28,655,1,13,5,NULL,1,NULL,NULL),(28,655,1,13,6,NULL,NULL,NULL,NULL),(28,655,1,13,7,NULL,NULL,NULL,NULL),(28,655,1,13,8,NULL,1,NULL,NULL),(28,655,1,13,9,NULL,NULL,NULL,NULL),(28,655,1,13,10,NULL,NULL,NULL,NULL),(28,655,1,13,11,NULL,NULL,NULL,NULL),(28,655,1,13,12,NULL,NULL,NULL,NULL),(28,655,1,13,13,1,NULL,NULL,NULL),(28,655,1,13,14,NULL,1,NULL,NULL),(28,655,1,13,15,NULL,NULL,NULL,NULL),(28,655,1,13,16,NULL,NULL,NULL,NULL),(28,655,1,13,17,NULL,NULL,NULL,NULL),(28,655,1,13,18,1,NULL,NULL,NULL),(28,655,1,13,19,1,NULL,NULL,NULL),(28,655,1,13,20,NULL,NULL,NULL,NULL),(28,655,1,13,21,NULL,NULL,NULL,NULL),(28,655,1,13,22,NULL,NULL,NULL,NULL),(28,655,1,13,23,NULL,1,NULL,NULL),(28,655,1,13,24,NULL,NULL,NULL,NULL),(28,655,1,13,25,NULL,NULL,NULL,NULL),(28,655,1,13,26,NULL,NULL,NULL,NULL),(28,655,1,13,27,NULL,NULL,NULL,NULL),(28,655,1,13,28,NULL,NULL,NULL,NULL),(28,655,1,13,29,NULL,NULL,NULL,NULL),(28,655,1,13,30,NULL,NULL,NULL,NULL),(28,655,1,13,31,NULL,NULL,NULL,NULL),(28,655,1,13,32,NULL,1,NULL,NULL),(28,655,1,13,33,NULL,NULL,NULL,NULL),(28,655,1,13,34,NULL,NULL,NULL,NULL),(28,655,1,13,35,NULL,NULL,NULL,NULL),(28,655,1,13,36,NULL,NULL,NULL,NULL),(28,655,1,13,37,NULL,NULL,NULL,NULL),(28,655,1,13,38,NULL,NULL,NULL,NULL),(28,655,1,13,39,NULL,NULL,NULL,NULL),(28,655,1,13,40,NULL,NULL,NULL,NULL),(28,655,1,14,1,8,NULL,3,NULL),(28,655,1,14,2,NULL,14,NULL,11),(28,655,1,14,3,4,11,4,7),(28,655,1,14,4,5,9,2,3),(28,655,1,14,5,8,13,7,10),(28,655,1,14,6,2,14,1,9),(28,655,1,14,7,7,7,4,7),(28,655,1,14,8,2,10,NULL,7),(28,655,1,14,9,5,9,4,3),(28,655,1,14,10,15,3,8,3),(28,655,1,14,11,NULL,6,NULL,5),(28,655,1,14,12,4,7,3,4),(28,655,1,14,13,18,13,14,3),(28,655,1,14,14,11,5,9,4),(28,655,1,14,15,15,NULL,13,NULL),(28,655,1,14,16,17,8,15,2),(28,655,1,14,17,4,21,1,15),(28,655,1,14,18,10,10,8,4),(28,655,1,14,19,14,12,9,6),(28,655,1,14,20,9,19,8,9),(28,655,1,14,21,2,4,NULL,NULL),(28,655,1,14,22,4,8,2,5),(28,655,1,14,23,3,8,2,5),(28,655,1,14,24,NULL,NULL,NULL,NULL),(28,655,1,14,25,NULL,5,NULL,1),(28,655,1,14,26,NULL,7,NULL,8),(28,655,1,14,27,9,NULL,9,NULL),(28,655,1,14,28,NULL,NULL,NULL,NULL),(28,655,1,14,29,2,4,1,3),(28,655,1,14,30,3,7,1,4),(28,655,1,14,31,3,6,2,3),(28,655,1,14,32,9,3,4,3),(28,655,1,14,33,NULL,11,NULL,8),(28,655,1,14,34,8,9,10,5),(28,655,1,14,35,1,4,1,5),(28,655,1,14,36,1,NULL,1,NULL),(28,655,1,14,37,5,5,2,4),(28,655,1,14,38,1,4,1,3),(28,655,1,14,39,5,8,4,9),(28,655,1,14,40,3,NULL,2,NULL),(28,655,1,15,1,12,NULL,8,NULL),(28,655,1,15,2,1,8,1,8),(28,655,1,15,3,7,6,8,6),(28,655,1,15,4,9,5,2,3),(28,655,1,15,5,9,5,6,4),(28,655,1,15,6,2,18,1,15),(28,655,1,15,7,1,4,3,4),(28,655,1,15,8,2,11,NULL,6),(28,655,1,15,9,3,8,2,6),(28,655,1,15,10,9,4,11,3),(28,655,1,15,11,1,3,1,4),(28,655,1,15,12,3,6,3,5),(28,655,1,15,13,16,12,11,6),(28,655,1,15,14,7,4,8,4),(28,655,1,15,15,16,NULL,16,NULL),(28,655,1,15,16,11,11,10,4),(28,655,1,15,17,4,21,4,10),(28,655,1,15,18,11,6,9,2),(28,655,1,15,19,17,7,9,6),(28,655,1,15,20,5,18,8,7),(28,655,1,15,21,1,1,1,NULL),(28,655,1,15,22,1,6,1,2),(28,655,1,15,23,1,7,1,6),(28,655,1,15,24,1,NULL,NULL,NULL),(28,655,1,15,25,2,5,NULL,2),(28,655,1,15,26,1,10,NULL,5),(28,655,1,15,27,3,NULL,2,NULL),(28,655,1,15,28,NULL,3,NULL,1),(28,655,1,15,29,2,8,1,8),(28,655,1,15,30,5,4,4,6),(28,655,1,15,31,1,3,3,2),(28,655,1,15,32,3,3,2,4),(28,655,1,15,33,1,5,2,6),(28,655,1,15,34,7,5,8,3),(28,655,1,15,35,1,2,2,3),(28,655,1,15,36,NULL,NULL,NULL,NULL),(28,655,1,15,37,1,5,1,4),(28,655,1,15,38,NULL,2,NULL,4),(28,655,1,15,39,4,12,4,10),(28,655,1,15,40,NULL,NULL,1,NULL),(28,655,1,16,1,7,NULL,4,NULL),(28,655,1,16,2,NULL,6,NULL,3),(28,655,1,16,3,5,3,3,2),(28,655,1,16,4,2,8,2,2),(28,655,1,16,5,8,8,3,2),(28,655,1,16,6,1,8,3,5),(28,655,1,16,7,3,5,1,1),(28,655,1,16,8,3,5,4,2),(28,655,1,16,9,2,9,NULL,2),(28,655,1,16,10,6,2,5,1),(28,655,1,16,11,NULL,1,NULL,1),(28,655,1,16,12,3,2,1,1),(28,655,1,16,13,22,NULL,7,NULL),(28,655,1,16,14,20,4,9,1),(28,655,1,16,15,9,11,4,3),(28,655,1,16,16,14,NULL,6,NULL),(28,655,1,16,17,10,14,4,4),(28,655,1,16,18,3,5,1,2),(28,655,1,16,19,4,12,1,2),(28,655,1,16,20,4,12,4,2),(28,655,1,16,21,1,3,NULL,NULL),(28,655,1,16,22,NULL,4,NULL,3),(28,655,1,16,23,3,2,2,1),(28,655,1,16,24,NULL,NULL,NULL,NULL),(28,655,1,16,25,NULL,3,1,NULL),(28,655,1,16,26,NULL,4,NULL,2),(28,655,1,16,27,4,NULL,1,NULL),(28,655,1,16,28,1,3,1,NULL),(28,655,1,16,29,NULL,5,1,1),(28,655,1,16,30,4,5,1,2),(28,655,1,16,31,2,1,2,3),(28,655,1,16,32,2,7,NULL,1),(28,655,1,16,33,NULL,2,1,NULL),(28,655,1,16,34,3,1,3,NULL),(28,655,1,16,35,NULL,1,1,NULL),(28,655,1,16,36,NULL,NULL,NULL,NULL),(28,655,1,16,37,NULL,2,NULL,NULL),(28,655,1,16,38,NULL,3,NULL,3),(28,655,1,16,39,2,8,1,6),(28,655,1,16,40,NULL,NULL,1,NULL),(28,655,1,17,1,6,NULL,3,NULL),(28,655,1,17,2,NULL,6,NULL,1),(28,655,1,17,3,5,5,NULL,4),(28,655,1,17,4,3,10,NULL,2),(28,655,1,17,5,5,8,2,2),(28,655,1,17,6,1,11,1,3),(28,655,1,17,7,4,4,2,1),(28,655,1,17,8,1,7,1,3),(28,655,1,17,9,3,3,1,1),(28,655,1,17,10,8,NULL,5,NULL),(28,655,1,17,11,1,3,NULL,3),(28,655,1,17,12,1,7,NULL,4),(28,655,1,17,13,30,NULL,7,NULL),(28,655,1,17,14,20,4,6,NULL),(28,655,1,17,15,8,7,4,3),(28,655,1,17,16,21,NULL,7,NULL),(28,655,1,17,17,8,16,5,1),(28,655,1,17,18,6,7,1,2),(28,655,1,17,19,3,12,2,4),(28,655,1,17,20,3,8,NULL,2),(28,655,1,17,21,2,5,NULL,NULL),(28,655,1,17,22,1,4,NULL,NULL),(28,655,1,17,23,NULL,4,NULL,1),(28,655,1,17,24,1,NULL,NULL,NULL),(28,655,1,17,25,3,1,NULL,NULL),(28,655,1,17,26,NULL,4,NULL,NULL),(28,655,1,17,27,2,NULL,1,NULL),(28,655,1,17,28,NULL,1,NULL,NULL),(28,655,1,17,29,3,5,NULL,1),(28,655,1,17,30,NULL,4,1,NULL),(28,655,1,17,31,1,2,1,NULL),(28,655,1,17,32,NULL,4,NULL,2),(28,655,1,17,33,NULL,2,NULL,1),(28,655,1,17,34,3,5,4,2),(28,655,1,17,35,NULL,2,NULL,1),(28,655,1,17,36,NULL,NULL,NULL,NULL),(28,655,1,17,37,NULL,2,NULL,2),(28,655,1,17,38,1,1,1,NULL),(28,655,1,17,39,3,6,1,1),(28,655,1,17,40,1,NULL,NULL,NULL),(28,655,1,18,1,NULL,NULL,NULL,NULL),(28,655,1,18,2,NULL,NULL,NULL,NULL),(28,655,1,18,3,NULL,NULL,NULL,NULL),(28,655,1,18,4,NULL,NULL,NULL,NULL),(28,655,1,18,5,NULL,NULL,NULL,NULL),(28,655,1,18,6,NULL,NULL,NULL,NULL),(28,655,1,18,7,NULL,NULL,NULL,NULL),(28,655,1,18,8,NULL,NULL,NULL,NULL),(28,655,1,18,9,NULL,NULL,NULL,NULL),(28,655,1,18,10,NULL,NULL,NULL,NULL),(28,655,1,18,11,NULL,NULL,NULL,NULL),(28,655,1,18,12,NULL,NULL,NULL,NULL),(28,655,1,18,13,NULL,NULL,NULL,NULL),(28,655,1,18,14,NULL,NULL,NULL,NULL),(28,655,1,18,15,NULL,NULL,NULL,NULL),(28,655,1,18,16,NULL,NULL,NULL,NULL),(28,655,1,18,17,NULL,NULL,NULL,NULL),(28,655,1,18,18,NULL,NULL,NULL,NULL),(28,655,1,18,19,NULL,NULL,NULL,NULL),(28,655,1,18,20,NULL,NULL,NULL,NULL),(28,655,1,18,21,NULL,NULL,NULL,NULL),(28,655,1,18,22,NULL,NULL,NULL,NULL),(28,655,1,18,23,NULL,NULL,NULL,NULL),(28,655,1,18,24,NULL,NULL,NULL,NULL),(28,655,1,18,25,NULL,NULL,NULL,NULL),(28,655,1,18,26,NULL,NULL,NULL,NULL),(28,655,1,18,27,NULL,NULL,NULL,NULL),(28,655,1,18,28,NULL,NULL,NULL,NULL),(28,655,1,18,29,NULL,NULL,NULL,NULL),(28,655,1,18,30,NULL,NULL,NULL,NULL),(28,655,1,18,31,NULL,NULL,NULL,NULL),(28,655,1,18,32,NULL,NULL,NULL,NULL),(28,655,1,18,33,NULL,NULL,NULL,NULL),(28,655,1,18,34,NULL,NULL,NULL,NULL),(28,655,1,18,35,NULL,NULL,NULL,NULL),(28,655,1,18,36,NULL,NULL,NULL,NULL),(28,655,1,18,37,NULL,NULL,NULL,NULL),(28,655,1,18,38,NULL,NULL,NULL,NULL),(28,655,1,18,39,NULL,NULL,NULL,NULL),(28,655,1,18,40,NULL,NULL,NULL,NULL),(28,655,1,19,1,NULL,NULL,NULL,NULL),(28,655,1,19,2,NULL,NULL,NULL,NULL),(28,655,1,19,3,NULL,NULL,NULL,NULL),(28,655,1,19,4,NULL,NULL,NULL,NULL),(28,655,1,19,5,NULL,NULL,NULL,NULL),(28,655,1,19,6,NULL,NULL,NULL,NULL),(28,655,1,19,7,NULL,NULL,NULL,NULL),(28,655,1,19,8,NULL,NULL,NULL,NULL),(28,655,1,19,9,NULL,NULL,NULL,NULL),(28,655,1,19,10,NULL,NULL,NULL,NULL),(28,655,1,19,11,NULL,NULL,NULL,NULL),(28,655,1,19,12,NULL,NULL,NULL,NULL),(28,655,1,19,13,NULL,NULL,NULL,NULL),(28,655,1,19,14,NULL,NULL,NULL,NULL),(28,655,1,19,15,NULL,NULL,NULL,NULL),(28,655,1,19,16,NULL,NULL,NULL,NULL),(28,655,1,19,17,NULL,NULL,NULL,NULL),(28,655,1,19,18,NULL,NULL,NULL,NULL),(28,655,1,19,19,NULL,NULL,NULL,NULL),(28,655,1,19,20,NULL,NULL,NULL,NULL),(28,655,1,19,21,NULL,NULL,NULL,NULL),(28,655,1,19,22,NULL,NULL,NULL,NULL),(28,655,1,19,23,NULL,NULL,NULL,NULL),(28,655,1,19,24,NULL,NULL,NULL,NULL),(28,655,1,19,25,NULL,NULL,NULL,NULL),(28,655,1,19,26,NULL,NULL,NULL,NULL),(28,655,1,19,27,NULL,NULL,NULL,NULL),(28,655,1,19,28,NULL,NULL,NULL,NULL),(28,655,1,19,29,NULL,NULL,NULL,NULL),(28,655,1,19,30,NULL,NULL,NULL,NULL),(28,655,1,19,31,NULL,NULL,NULL,NULL),(28,655,1,19,32,NULL,NULL,NULL,NULL),(28,655,1,19,33,NULL,NULL,NULL,NULL),(28,655,1,19,34,NULL,NULL,NULL,NULL),(28,655,1,19,35,NULL,NULL,NULL,NULL),(28,655,1,19,36,NULL,NULL,NULL,NULL),(28,655,1,19,37,NULL,NULL,NULL,NULL),(28,655,1,19,38,NULL,NULL,NULL,NULL),(28,655,1,19,39,NULL,NULL,NULL,NULL),(28,655,1,19,40,NULL,NULL,NULL,NULL),(28,655,2,21,1,NULL,15,NULL,2),(28,655,2,21,2,NULL,3,NULL,NULL),(28,655,2,21,3,7,5,1,3),(28,655,2,21,4,NULL,3,NULL,NULL),(28,655,2,21,5,1,4,1,5),(28,655,2,21,6,10,7,2,NULL),(28,655,2,21,7,NULL,8,NULL,1),(28,655,2,21,8,NULL,4,NULL,1),(28,655,2,21,9,NULL,3,NULL,2),(28,655,2,21,10,7,5,1,4),(28,655,2,21,11,NULL,2,NULL,4),(28,655,2,21,12,6,7,1,NULL),(28,655,2,21,13,1,21,NULL,5),(28,655,2,21,14,3,9,2,4),(28,655,2,21,15,3,5,NULL,1),(28,655,2,21,16,3,8,NULL,3),(28,655,2,21,17,1,3,NULL,2),(28,655,2,21,18,12,5,4,3),(28,655,2,21,19,2,9,NULL,4),(28,655,2,21,20,4,6,3,2),(28,655,2,21,21,NULL,5,NULL,NULL),(28,655,2,21,22,5,4,2,1),(28,655,2,21,23,2,2,NULL,1),(28,655,2,21,24,1,6,NULL,NULL),(28,655,2,21,25,3,3,NULL,2),(28,655,2,21,26,1,1,NULL,NULL),(28,655,2,21,27,2,3,NULL,4),(28,655,2,21,28,NULL,4,NULL,3),(28,655,2,21,29,1,2,NULL,NULL),(28,655,2,21,30,2,2,1,1),(28,655,2,21,31,NULL,10,NULL,3),(28,655,2,21,32,1,2,NULL,NULL),(28,655,2,21,33,1,6,1,1),(28,655,2,21,34,NULL,2,NULL,4),(28,655,2,21,35,1,NULL,NULL,NULL),(28,655,2,21,36,NULL,1,NULL,NULL),(28,655,2,21,37,1,3,NULL,2),(28,655,2,21,38,NULL,2,NULL,NULL),(28,655,2,21,39,NULL,1,NULL,NULL),(28,655,2,21,40,1,10,1,1),(28,655,2,22,1,NULL,14,NULL,4),(28,655,2,22,2,NULL,10,NULL,1),(28,655,2,22,3,11,5,3,5),(28,655,2,22,4,NULL,3,NULL,1),(28,655,2,22,5,3,5,2,3),(28,655,2,22,6,11,15,5,6),(28,655,2,22,7,1,9,NULL,1),(28,655,2,22,8,6,7,2,6),(28,655,2,22,9,6,1,NULL,2),(28,655,2,22,10,10,4,4,4),(28,655,2,22,11,1,3,3,1),(28,655,2,22,12,6,15,5,3),(28,655,2,22,13,5,17,2,10),(28,655,2,22,14,6,9,6,4),(28,655,2,22,15,6,9,3,4),(28,655,2,22,16,4,10,6,4),(28,655,2,22,17,NULL,5,1,2),(28,655,2,22,18,12,7,3,5),(28,655,2,22,19,9,10,4,5),(28,655,2,22,20,10,5,5,3),(28,655,2,22,21,3,5,NULL,2),(28,655,2,22,22,6,5,3,4),(28,655,2,22,23,NULL,3,NULL,3),(28,655,2,22,24,1,4,NULL,1),(28,655,2,22,25,3,3,1,NULL),(28,655,2,22,26,2,5,NULL,3),(28,655,2,22,27,1,4,1,5),(28,655,2,22,28,1,6,1,5),(28,655,2,22,29,NULL,4,NULL,4),(28,655,2,22,30,NULL,3,NULL,2),(28,655,2,22,31,NULL,14,NULL,4),(28,655,2,22,32,NULL,2,NULL,NULL),(28,655,2,22,33,5,4,5,3),(28,655,2,22,34,4,4,NULL,3),(28,655,2,22,35,3,NULL,3,NULL),(28,655,2,22,36,1,2,NULL,2),(28,655,2,22,37,1,1,3,1),(28,655,2,22,38,NULL,2,NULL,NULL),(28,655,2,22,39,NULL,5,1,1),(28,655,2,22,40,2,19,2,8),(28,655,2,23,1,NULL,17,NULL,7),(28,655,2,23,2,2,6,1,6),(28,655,2,23,3,6,13,5,6),(28,655,2,23,4,NULL,4,NULL,3),(28,655,2,23,5,4,8,4,3),(28,655,2,23,6,9,16,7,7),(28,655,2,23,7,NULL,9,NULL,4),(28,655,2,23,8,2,2,3,3),(28,655,2,23,9,1,5,NULL,1),(28,655,2,23,10,6,11,3,6),(28,655,2,23,11,6,3,4,2),(28,655,2,23,12,4,9,3,6),(28,655,2,23,13,2,20,3,10),(28,655,2,23,14,8,12,8,5),(28,655,2,23,15,6,6,3,4),(28,655,2,23,16,3,7,4,5),(28,655,2,23,17,3,3,2,1),(28,655,2,23,18,11,13,4,8),(28,655,2,23,19,5,8,5,6),(28,655,2,23,20,5,9,3,6),(28,655,2,23,21,NULL,3,NULL,1),(28,655,2,23,22,7,3,8,NULL),(28,655,2,23,23,1,3,1,1),(28,655,2,23,24,1,5,NULL,2),(28,655,2,23,25,1,5,1,4),(28,655,2,23,26,NULL,9,NULL,5),(28,655,2,23,27,2,8,2,6),(28,655,2,23,28,1,11,1,4),(28,655,2,23,29,NULL,5,NULL,3),(28,655,2,23,30,3,6,NULL,NULL),(28,655,2,23,31,NULL,11,1,9),(28,655,2,23,32,NULL,3,NULL,3),(28,655,2,23,33,2,5,2,5),(28,655,2,23,34,NULL,11,2,7),(28,655,2,23,35,6,NULL,3,NULL),(28,655,2,23,36,1,6,NULL,3),(28,655,2,23,37,4,5,4,3),(28,655,2,23,38,1,2,1,1),(28,655,2,23,39,NULL,2,NULL,2),(28,655,2,23,40,NULL,13,NULL,8),(28,655,2,24,1,NULL,12,NULL,8),(28,655,2,24,2,NULL,11,1,8),(28,655,2,24,3,11,13,8,6),(28,655,2,24,4,2,2,1,4),(28,655,2,24,5,3,8,4,7),(28,655,2,24,6,11,13,11,5),(28,655,2,24,7,NULL,11,NULL,6),(28,655,2,24,8,3,10,6,4),(28,655,2,24,9,2,5,NULL,2),(28,655,2,24,10,7,7,5,3),(28,655,2,24,11,NULL,8,NULL,5),(28,655,2,24,12,2,11,3,5),(28,655,2,24,13,1,23,1,15),(28,655,2,24,14,9,6,7,6),(28,655,2,24,15,4,7,4,5),(28,655,2,24,16,6,9,6,4),(28,655,2,24,17,2,2,2,2),(28,655,2,24,18,11,7,9,5),(28,655,2,24,19,5,11,4,9),(28,655,2,24,20,5,6,6,5),(28,655,2,24,21,1,7,1,6),(28,655,2,24,22,5,5,7,3),(28,655,2,24,23,1,4,NULL,1),(28,655,2,24,24,NULL,4,1,4),(28,655,2,24,25,1,4,2,4),(28,655,2,24,26,1,9,1,6),(28,655,2,24,27,1,12,1,10),(28,655,2,24,28,NULL,7,1,5),(28,655,2,24,29,1,5,NULL,2),(28,655,2,24,30,2,7,NULL,5),(28,655,2,24,31,NULL,9,1,2),(28,655,2,24,32,NULL,2,1,1),(28,655,2,24,33,2,2,5,3),(28,655,2,24,34,1,7,1,6),(28,655,2,24,35,3,NULL,3,NULL),(28,655,2,24,36,1,2,3,NULL),(28,655,2,24,37,1,3,1,1),(28,655,2,24,38,NULL,3,NULL,3),(28,655,2,24,39,1,5,1,4),(28,655,2,24,40,NULL,12,3,9);
/*!40000 ALTER TABLE acertos_questao_curso ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `evento`
--

DROP TABLE IF EXISTS evento;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE evento (
  id_evento smallint(6) NOT NULL,
  descricao_evento varchar(40) DEFAULT NULL,
  ano_evento smallint(6) DEFAULT NULL,
  acerto_minimo_exigido tinyint(4) DEFAULT NULL,
  media_acertos decimal(5,2) DEFAULT NULL,
  numero_inscritos decimal(6,0) DEFAULT NULL,
  numero_vagas smallint(6) DEFAULT NULL,
  PRIMARY KEY (id_evento)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `evento`
--

LOCK TABLES evento WRITE;
/*!40000 ALTER TABLE evento DISABLE KEYS */;
INSERT INTO evento VALUES (15,'Vestibular 2008',2007,20,41.73,30612,4095),(16,'Vestibular 2009',2008,24,39.38,30854,4581),(20,'Vestibular 2010',2009,24,38.63,32524,6021),(25,'Vestibular 2011',2010,0,35.30,34876,5881),(28,'Vestibular 2012',2011,0,35.99,30358,5991);
/*!40000 ALTER TABLE evento ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `estabelecimento_ensino`
--

DROP TABLE IF EXISTS estabelecimento_ensino;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE estabelecimento_ensino (
  id_evento smallint(6) NOT NULL,
  id_estabelecimento_ensino char(4) NOT NULL,
  nome_estabelecimento varchar(40) DEFAULT NULL,
  rede tinyint(4) DEFAULT NULL,
  endereco varchar(40) DEFAULT NULL,
  complemento varchar(40) DEFAULT NULL,
  bairro varchar(20) DEFAULT NULL,
  id_cidade int(11) DEFAULT NULL,
  cep decimal(8,0) DEFAULT NULL,
  PRIMARY KEY (id_evento,id_estabelecimento_ensino),
  KEY fk_estabelecimento_ensino_cidade (id_cidade),
  CONSTRAINT fk_estabelecimento_ensino_evento FOREIGN KEY (id_evento) REFERENCES `evento` (id_evento),
  CONSTRAINT fk_estabelecimento_ensino_cidade FOREIGN KEY (id_cidade) REFERENCES cidade (id_cidade)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `estabelecimento_ensino`
--

LOCK TABLES estabelecimento_ensino WRITE;
/*!40000 ALTER TABLE estabelecimento_ensino DISABLE KEYS */;
INSERT INTO estabelecimento_ensino VALUES (15,'1','EEB JOSÉ ZANCHETTI',2,NULL,NULL,NULL,4200051,NULL),(15,'10','EEB IRINEU BORNHAUSEN',2,NULL,NULL,NULL,4200507,NULL),(15,'100','EEB DOM JOAQUIM',2,NULL,NULL,NULL,4202800,NULL),(15,'1000','COLÉGIO CENECISTA DR JÚLIO CÉSAR R NEVES',4,NULL,NULL,NULL,4204301,NULL),(15,'1001','SENAI CENTRO DE ED. E TECN. DE CONCÓRDIA',4,NULL,NULL,NULL,4204301,NULL),(15,'1003','CURSO E COLÉGIO GENIUS',4,NULL,NULL,NULL,4205407,NULL),(15,'1004','COLÉGIO UNIFICADO',4,NULL,NULL,NULL,4205902,NULL),(15,'1005','EEB PROFª SALETE SCOTTI DOS SANTOS',2,NULL,NULL,NULL,4207007,NULL),(15,'1006','SENAI-CENTRO DE TECN ELETROMETALMECÂNICA',4,NULL,NULL,NULL,4209102,NULL),(15,'1007','CENTRO EDUCACIONAL BAMBINO',4,NULL,NULL,NULL,4211306,NULL),(15,'1008','COLÉGIO SINERGIA',4,NULL,NULL,NULL,4211306,NULL),(15,'1009','EEB PROF BENONIVIO JOÃO MARTINS',2,NULL,NULL,NULL,4211900,NULL),(15,'101','CE ENG ANNES GUALBERTO',2,NULL,NULL,NULL,4202800,NULL),(15,'1010','CENTRO EDUCACIONAL SÃO JUDAS TADEU',4,NULL,NULL,NULL,4211900,NULL),(15,'1011','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4211900,NULL),(15,'1012','EEM ERWIN CURT TEICHMANNN',2,NULL,NULL,NULL,4213203,NULL),(15,'1013','SENAI-CENTRO DE EDUCAÇÃO E TECNOLOGIA',4,NULL,NULL,NULL,4214805,NULL),(15,'1014','COLÉGIO DÓ-RÉ-MI',4,NULL,NULL,NULL,4215703,NULL),(15,'1015','EEB OSCAR MAJOLO',2,NULL,NULL,NULL,4217154,NULL),(15,'1016','EXATHUM CURSO E COLÉGIO',4,NULL,NULL,NULL,4209102,NULL),(15,'1017','CENTRO EDUCACIONAL ATLÂNTICO SUL',4,'AV CENTRAL','413','CENTRO',4202008,88330000),(15,'1018','SENAI CTV BLUMENAU',4,'R SAO PAULO','1147','VICTOR KONDER',4202404,89012001),(15,'1019','EEM YVONE OLINGER APPEL',2,'ALBERTO KLABUND',NULL,'CEDRINHO',4202909,88358000),(15,'102','COLÉGIO ESPAÇO',4,NULL,NULL,NULL,4202800,NULL),(15,'1020','COLÉGIO APARECIDA',4,'AV 7 DE SETEMBRO','169','CENTRO',4203006,89500000),(15,'1021','COLEGIO DINAMICO CHAPECO',4,'AV NEREU RAMOS','1191','PALMITAL',4204202,89811211),(15,'1022','C TENDENCIA',4,'R VIDAL RAMOS','53','CENTRO',4205407,88010320),(15,'1023','CENTRO EDUC ESTIMOARTE',4,'AV GOV JORGE LACERDA','1759','COSTEIRA',4205407,88047001),(15,'1024','FUNDACAO CENTRO EDUCATIVO',4,'R TANCREDO NEVES','88','CENTRO',4208104,89340000),(15,'1025','CENTRO EDUC PE ARTE BABY LTDA',4,'R TIJUCAS','511','CENTRO',4208203,88301361),(15,'1026','SOC EDUC VERDES MARES',4,'JOSE BONIFACIO MALBURG','19','CENTRO',4208203,88301040),(15,'1027','EEM DEP NAGIB ZATTAR',2,'R ANTONIO MICHELS','120','JD PARAISO',4209102,89226530),(15,'1028','SOC ENSINO SANTA BARBARA',4,'R GERONIMO COELHO','375',NULL,4209300,88501260),(15,'1029','COLEGIO DIMENSAO',4,'R EUFEZINA GAYA','332','CENTRO',4211306,88375000),(15,'103','EEB ADOLFO BOVING',2,NULL,NULL,NULL,4202859,NULL),(15,'1030','EEB PRINCESA ISABEL',2,'R INDEPENDENCIA',NULL,'SANTA TEREZINHA',4212106,89887000),(15,'1031','CENTRO EDUC CRANDON',4,'R NAKLE FRANCISCO','316','CENTRO',4212809,88380000),(15,'1032','EEF VENDELINO JUNGES',2,'AV BELEM','647','CENTRO',4212908,89870000),(15,'1033','EEM MACARIO BORBA',2,'AV FRANCISCO C LUMERTZ JR',NULL,'NOVA BRASILIA',4217709,88960000),(15,'1034','EEM DITE FREITAS',2,'R ANIBAL TORRES COSTA',NULL,'STO ANTONIO DE PADUA',4218707,88701533),(15,'1035','C SUPRA ENSINO LTDA',4,'R CEL JOAO PALMA','700','MARTORANO',4216503,88600000),(15,'1036','COLEGIO LAVOISIER',4,NULL,NULL,NULL,4216602,NULL),(15,'1037','CENTRO EDUCACIONAL UNIVERSO DO SABER',4,NULL,NULL,NULL,4210506,NULL),(15,'1038','SOC. EDUC. BALNEÁRIO CAMBORIÚ',4,NULL,NULL,NULL,4202008,NULL),(15,'1039','COL. EVIDÊNCIA LTDA',4,NULL,NULL,NULL,4202008,NULL),(15,'104','EEB ENGENHEIRO ANNES GUALBERTO',2,NULL,NULL,NULL,4202875,NULL),(15,'1040','COL. INCENTIVO LTDA',4,NULL,NULL,NULL,4202305,NULL),(15,'1041','EEB DE BOMBAS',2,NULL,NULL,NULL,4202453,NULL),(15,'1042','COOP. EDUACIONAL DE BRUSQUE',4,NULL,NULL,NULL,4202909,NULL),(15,'1043','EEB PROF MÁRIO GARCIA',2,NULL,NULL,NULL,4203204,NULL),(15,'1044','EEB ALCUINO GONÇALO VIEIRA',2,NULL,NULL,NULL,4203204,NULL),(15,'1045','CENTRO EDUC. CAMBORIÚ LTDA ME CECAN',4,NULL,NULL,NULL,4203204,NULL),(15,'1046','CURSO APROVAÇÃO SC LTDA',4,NULL,NULL,NULL,4204202,NULL),(15,'1047','COOPERATIVA EDUC. MAGNA',4,NULL,NULL,NULL,4204301,NULL),(15,'1048','CENTRO EDUC CRUZ E SOUZA SC LTDA',4,NULL,NULL,NULL,4205407,NULL),(15,'1049','CENTRO DE EDUC. SANTA TEREZINHA',4,NULL,NULL,NULL,4205407,NULL),(15,'105','CENTRO EDUCACIONAL CULTURA',4,NULL,NULL,NULL,4202909,NULL),(15,'1050','EDUCANDÁRIO IMACULADA CONCEIÇÃO',4,NULL,NULL,NULL,4205407,NULL),(15,'1051','CENTRO DE EDUC. PARAÍSO INFANTIL',4,NULL,NULL,NULL,4205407,NULL),(15,'1052','COLÉGIO BLUMENAUENSE',4,NULL,NULL,NULL,4205902,NULL),(15,'1053','EEB PROFª MARIA DA GLÓRIA SILVA',2,NULL,NULL,NULL,4207007,NULL),(15,'1054','COLÉGIO MUN. DE INDAIAL',1,NULL,NULL,NULL,4207502,NULL),(15,'1055','EEF PREF. GERMANO BRANDES JR',2,NULL,NULL,NULL,4207502,NULL),(15,'1056','EEB PROF HENRIQUE MIDON',2,NULL,NULL,NULL,4208203,NULL),(15,'1057','ACBNL COL SÃO JOSÉ',4,NULL,NULL,NULL,4208203,NULL),(15,'1058','SIST. DE ENSINO LIDERANÇA',4,NULL,NULL,NULL,4208203,NULL),(15,'1059','SENAI - CENTRO DE EDUC TECN. DE ITAJAI',4,NULL,NULL,NULL,4208203,NULL),(15,'106','C CENECISTA HONÓRIO MIRANDA',4,NULL,NULL,NULL,4202909,NULL),(15,'1060','COLÉGIO SAGRADA FAMÍLIA',4,NULL,NULL,NULL,4208401,NULL),(15,'1061','SENAI - CENTRO DE ED TECNOLÓGICA',4,NULL,NULL,NULL,4208906,NULL),(15,'1062','CENTRO DE EDUC. IDEAL',4,NULL,NULL,NULL,4208906,NULL),(15,'1063','SOCIEDADE EDUC. POSIVILLE LTDA',4,NULL,NULL,NULL,4209102,NULL),(15,'1064','EIEB LAKLANO',2,NULL,NULL,NULL,4209151,NULL),(15,'1065','CENTRO EDUC. CRUZ E SOUZA',4,NULL,NULL,NULL,4209300,NULL),(15,'1066','EEF MARIA KONDER BORNHAUSEN',2,NULL,NULL,NULL,4210605,NULL),(15,'1067','CENTRO DE ED. SÃO ROQUE',4,NULL,NULL,NULL,4211207,NULL),(15,'1068','EEB PROFª PAULINA GAYA',2,NULL,NULL,NULL,4211306,NULL),(15,'1069','EEB ANTÔNIO ROCHA ANDRADE',2,NULL,NULL,NULL,4212502,NULL),(15,'107','C CÔNSUL CARLOS RENAUX',4,NULL,NULL,NULL,4202909,NULL),(15,'1070','CENTRO DE EDUC. OBJETIVO',4,NULL,NULL,NULL,4212908,NULL),(15,'1071','CENTRO EDUC. EDUCOPER',4,NULL,NULL,NULL,4213401,NULL),(15,'1072','EEB MARIA DUARTE VASCONCELOS',2,NULL,NULL,NULL,4215455,NULL),(15,'1073','COLÉGIO GLOBAL',4,NULL,NULL,NULL,4215802,NULL),(15,'1074','CENTRO EDUC. ANITA',4,NULL,NULL,NULL,4216602,NULL),(15,'1075','SENAI SÃO JOSE',4,NULL,NULL,NULL,4216602,NULL),(15,'1076','COLÉGIO MERIDIANO',4,NULL,NULL,NULL,4216602,NULL),(15,'1077','GARDNER CURSOS E COLÉGIO',4,NULL,NULL,NULL,4216602,NULL),(15,'1078','CENTRO EDUC. CENECISTA SANTA CRUZ',4,NULL,NULL,NULL,4216602,NULL),(15,'1079','ASS. RELIGIOSA BENEFICENTE JESUS Mª JOSÉ',4,NULL,NULL,NULL,4217204,NULL),(15,'108','EEB JOÃO HASSMANN',1,NULL,NULL,NULL,4202909,NULL),(15,'1080','SENAI',4,NULL,NULL,NULL,4219309,NULL),(15,'1081','COL. E PRÉ VEST. EXPRESSIVO',4,NULL,NULL,NULL,4219507,NULL),(15,'1082','EEB DEP. AUGUSTO BRESOLA',2,NULL,NULL,NULL,4219150,NULL),(15,'1083','EEM SEMENTE DA CONQUISTA',2,'ASSENT 25 DE MAIO',NULL,NULL,4200101,89830000),(15,'1084','EEM PAULO FREIRE',2,'ASSENT JOSE MARIA',NULL,NULL,4200101,89830000),(15,'1085','COLÉGIO EXCELÊNCIA',4,'AV CENTRAL','413','CENTRO',4202008,88330000),(15,'1086','COLÉGIO DE APLICAÇÃO UNIVALI',4,'5 AVENIDA',NULL,'DOS MUNICIPIOS',4202008,88330000),(15,'1087','EEF RUIZÉLIO CABRAL',2,'JOSE HONORATO DA SILVA','32','NOVA ESPERANÇA',4202008,88330000),(15,'1088','EEB PROFª ELOISA MARIA PRAZERES',2,NULL,NULL,NULL,4202305,NULL),(15,'1089','EEB MARIA RITA FLOR',2,NULL,NULL,NULL,4202453,NULL),(15,'109','C SÃO LUIZ',4,NULL,NULL,NULL,4202909,NULL),(15,'1090','SENAI CENTRO DE ED E TECN CARLOS RENAUX',4,NULL,NULL,NULL,4202909,NULL),(15,'1091','CENTRO DE ED RAZÃO DE VIVER',4,NULL,NULL,NULL,4203204,NULL),(15,'1092','ESC ITINERANTE JOSÉ J DE LIMA XAVIER',1,NULL,NULL,NULL,4203402,NULL),(15,'1093','COL CARLOS DRUMMOND DE ANDRADE',4,NULL,NULL,NULL,4203907,NULL),(15,'1094','SENAI CENTRO DE TECN EM ALIMENTOS',4,NULL,NULL,NULL,4204202,NULL),(15,'1096','CENTRO ED HERMANN SPETHMANN',4,NULL,NULL,'CENTRO',4204608,NULL),(15,'1097','EEF TENENTE ALMACHIO',2,NULL,NULL,NULL,4205407,NULL),(15,'1098','COLÉGIO EXPOENTE',4,NULL,NULL,NULL,4205407,NULL),(15,'1099','EEB PROFª MARIA AMALIA CARDOSO',2,NULL,NULL,NULL,4206009,NULL),(15,'11','EEB SETE DE SETEMBRO',2,NULL,NULL,NULL,4200556,NULL),(15,'110','EEB DOM JOÃO BECKER',2,NULL,NULL,NULL,4202909,NULL),(15,'1100','EEF CARLOS FANTINI',2,NULL,NULL,NULL,4208203,NULL),(15,'1101','EEB MARLI MARIA DE SOUZA',2,NULL,NULL,NULL,4209102,NULL),(15,'1102','EEB PROFº RODOLFO MEYER',2,NULL,NULL,NULL,4209102,NULL),(15,'1103','EEB PROFº JOÃO ROCHA',2,NULL,NULL,NULL,4209102,NULL),(15,'1104','COLÉGIO IESVILLE',4,NULL,NULL,NULL,4209102,NULL),(15,'1105','COLÉGIO TUPY',4,NULL,NULL,NULL,4209102,NULL),(15,'1106','SENAI LAGES',4,NULL,NULL,NULL,4209300,NULL),(15,'1107','CENTRO DE ED JANICE BORTOLATTO',4,NULL,NULL,NULL,4211207,NULL),(15,'1108','EEF DOM JAIME DE BARROS CÂMARA',2,NULL,NULL,NULL,4211900,NULL),(15,'1109','EEF PROFª MARIA DO CARMO DE SOUZA',2,NULL,NULL,NULL,4211900,NULL),(15,'111','EEB FELICIANO PIRES',2,NULL,NULL,NULL,4202909,NULL),(15,'1110','EEB PREF. FREDERICO PROBST',2,NULL,NULL,NULL,4212700,NULL),(15,'1111','CENTRO ED PORTO DAS ÁGUAS LTDA',4,NULL,NULL,NULL,4213500,NULL),(15,'1112','EEF BERNARDO MULLER',2,NULL,NULL,NULL,4214003,NULL),(15,'1113','CENTRO MUN ED BAS VER AVELINO BISCARO',1,NULL,NULL,NULL,4215406,NULL),(15,'1114','COLÉGIO BOM JESUS',4,NULL,NULL,NULL,4215802,NULL),(15,'1115','EEB CRISTO REI',2,NULL,NULL,NULL,4216255,NULL),(15,'1116','EEB PROFª MARIA DO CARMO LOPES',2,NULL,NULL,NULL,4216602,NULL),(15,'1117','CENTRO ED MUN INTERATIVO',1,NULL,NULL,NULL,4216602,NULL),(15,'1118','CURSO E COL. ENERGIA UN BARREIROS',4,NULL,NULL,NULL,4216602,NULL),(15,'1119','SENAI CENTRO DE ED E TECN DE TIJUCAS',4,NULL,NULL,NULL,4218004,NULL),(15,'112','EEB FRANCISCO DE ARAÚJO BRUSQUE',2,NULL,NULL,NULL,4202909,NULL),(15,'1120','SENAI CENTRO DE ED E TECN DE TUBARÃO',4,NULL,NULL,NULL,4218707,NULL),(15,'113','EEB GOV IVO SILVEIRA',2,NULL,NULL,NULL,4202909,NULL),(15,'114','EEB MONS GREGÓRIO LOCKS',2,NULL,NULL,NULL,4202909,NULL),(15,'115','EEB PE LUX',2,NULL,NULL,NULL,4202909,NULL),(15,'116','EEB SANTA TEREZINHA',2,NULL,NULL,NULL,4202909,NULL),(15,'117','SEMINÁRIO MENOR METROPOLITANO',4,NULL,NULL,NULL,4202909,NULL),(15,'118','COLÉGIO MARISTA AURORA',4,NULL,NULL,NULL,4203006,NULL),(15,'119','C CENECISTA MARCOS OLSEN',4,NULL,NULL,NULL,4203006,NULL),(15,'12','EEB CEL ANTÔNIO LEHMKUHL',2,NULL,NULL,NULL,4200606,NULL),(15,'120','COL. DE APLICAÇÃO DA UNC CAÇADOR',4,NULL,NULL,NULL,4203006,NULL),(15,'121','EEB DANTE MOSCONI',2,NULL,NULL,NULL,4203006,NULL),(15,'122','EEB DOM ORLANDO DOTTI',2,NULL,NULL,NULL,4203006,NULL),(15,'123','EEB IRMÃO LEO',2,NULL,NULL,NULL,4203006,NULL),(15,'124','EEB PAULO SCHIEFFLER',2,NULL,NULL,NULL,4203006,NULL),(15,'125','EEM WANDA KRIEGER GOMES',2,NULL,NULL,NULL,4203006,NULL),(15,'126','C CENECISTA OLAVO BILAC',4,NULL,NULL,NULL,4203105,NULL),(15,'127','EEB DOM PEDRO II',2,NULL,NULL,NULL,4203105,NULL),(15,'128','EEB CALMON',2,NULL,NULL,NULL,4203154,NULL),(15,'129','C AGRÍCOLA DE CAMBORIÚ',3,NULL,NULL,NULL,4203204,NULL),(15,'13','EEB SILVA JARDIM',2,NULL,NULL,NULL,4200705,NULL),(15,'130','EEB PROF JOSÉ ARANTES',2,NULL,NULL,NULL,4203204,NULL),(15,'131','EEB PROFª MARIA TEREZINHA GARCIA',2,NULL,NULL,NULL,4203204,NULL),(15,'132','EEB LEBON RÉGIS',2,NULL,NULL,NULL,4203303,NULL),(15,'133','C CENECISTA STELLA MATUTINA',4,NULL,NULL,NULL,4203402,NULL),(15,'134','EEB MAJOR OTACÍLIO COUTO',2,NULL,NULL,NULL,4203402,NULL),(15,'135','CEDUP CAMPO ERÊ',2,NULL,NULL,NULL,4203501,NULL),(15,'136','EEB EMÍLIO GARRASTAZU MÉDICI',2,NULL,NULL,NULL,4203501,NULL),(15,'137','EEB RAUL POMPÉIA',2,NULL,NULL,NULL,4203501,NULL),(15,'138','COLÉGIO AUXILIADORA',4,NULL,NULL,NULL,4203600,NULL),(15,'139','EEB HENRIQUE RUPP JUNIOR',2,NULL,NULL,NULL,4203600,NULL),(15,'14','EEB TEIXEIRA DE FREITAS',2,NULL,NULL,NULL,4200754,NULL),(15,'140','EEB PAULO BLASI',2,NULL,NULL,NULL,4203600,NULL),(15,'141','ESC TEC COM D JOÃO BATISTA SCALABRINI',4,NULL,NULL,NULL,4203600,NULL),(15,'142','EEB PROFª MINERVINA LAUS',2,NULL,NULL,NULL,4203709,NULL),(15,'143','CEDUP VIDAL RAMOS',2,NULL,NULL,NULL,4203808,NULL),(15,'144','C COMERCIAL DE CANOINHAS',4,NULL,NULL,NULL,4203808,NULL),(15,'145','C SAGRADO CORAÇÃO DE JESUS',2,NULL,NULL,NULL,4203808,NULL),(15,'146','EEB ALMIRANTE BARROSO',2,NULL,NULL,NULL,4203808,NULL),(15,'147','EEB IRMÃ MARIA FELICITAS',2,NULL,NULL,NULL,4203808,NULL),(15,'148','EEB JOÃO JOSÉ DE SOUZA CABRAL',2,NULL,NULL,NULL,4203808,NULL),(15,'149','EEB JÚLIA B ZANIOLO',2,NULL,NULL,NULL,4203808,NULL),(15,'15','C CENECISTA PADRE JOSÉ DE ANCHIETA',4,NULL,NULL,NULL,4200804,NULL),(15,'150','EEB PROF MANOEL DA SILVA QUADROS',2,NULL,NULL,NULL,4203808,NULL),(15,'151','EEB RODOLFO ZIPPERER',2,NULL,NULL,NULL,4203808,NULL),(15,'152','EEB SAGRADO CORAÇÃO DE JESUS',2,NULL,NULL,NULL,4203808,NULL),(15,'153','EEB SANTA CRUZ',2,NULL,NULL,NULL,4203808,NULL),(15,'154','UNIV DO CONTESTADO CAMPUS DE CANOINHAS',4,NULL,NULL,NULL,4203808,NULL),(15,'155','COL CENECISTA PADRE ANCHIETA',4,NULL,NULL,NULL,4203907,NULL),(15,'156','EEB MATER DOLORUM',2,NULL,NULL,NULL,4203907,NULL),(15,'158','EEB DR OTTO FEUERSCHUETTE',2,NULL,NULL,NULL,4203956,NULL),(15,'159','CE TERESA MARTINS BRITO',2,NULL,NULL,NULL,4203956,NULL),(15,'16','EEB PROF OSNI PAULINO DA SILVA',2,NULL,NULL,NULL,4200804,NULL),(15,'160','C CENECISTA CATANDUVENSE',4,NULL,NULL,NULL,4204004,NULL),(15,'161','EEB IRMÃ WIENFRIDA',2,NULL,NULL,NULL,4204004,NULL),(15,'162','EEB CÂNDIDO RAMOS',2,NULL,NULL,NULL,4204103,NULL),(15,'163','EEB JOSÉ CESÁRIO BRASIL',2,NULL,NULL,NULL,4204152,NULL),(15,'164','EEB PROFª OTÍLIA ULYSSÉA UNGARETTI',2,NULL,NULL,NULL,4204178,NULL),(15,'165','EEB OTÍLIA MÜLLER',2,NULL,NULL,NULL,4204194,NULL),(15,'166','C CENECISTA ILMA ROSA DE NES',4,NULL,NULL,NULL,4204202,NULL),(15,'167','CENTRO EDUC. DA UNOESC',4,NULL,NULL,NULL,4204202,NULL),(15,'168','COLÉGIO MARISTA SÃO FRANCISCO',4,NULL,NULL,NULL,4204202,NULL),(15,'169','EEB BOM PASTOR',2,NULL,NULL,NULL,4204202,NULL),(15,'17','EEB NOSSA SENHORA',2,NULL,NULL,NULL,4200903,NULL),(15,'170','EEB CEL ERNESTO BERTASO',2,NULL,NULL,NULL,4204202,NULL),(15,'171','EEB CORONEL LARA RIBAS',2,NULL,NULL,NULL,4204202,NULL),(15,'172','EEB DRUZIANA SARTORI',2,NULL,NULL,NULL,4204202,NULL),(15,'173','EEB MARCOLINA RODRIGUES DA SILVA',2,NULL,NULL,NULL,4204202,NULL),(15,'174','EEB MARECHAL BORMANN',2,NULL,NULL,NULL,4204202,NULL),(15,'175','EEB PEDRO MACIEL',2,NULL,NULL,NULL,4204202,NULL),(15,'176','EEB PROFª LUIZA SANTINI',2,NULL,NULL,NULL,4204202,NULL),(15,'177','EEB PROF NELSON HOROSTECKI',2,NULL,NULL,NULL,4204202,NULL),(15,'178','EEB PROFª GENI COMEL',2,NULL,NULL,NULL,4204202,NULL),(15,'179','EEB PROFª IRENE STONOGA',2,NULL,NULL,NULL,4204202,NULL),(15,'18','EEB PE ANTÔNIO VIEIRA',2,NULL,NULL,NULL,4201000,NULL),(15,'180','EEB PROFª LOURDES A SARTURI LAGO',2,NULL,NULL,NULL,4204202,NULL),(15,'181','EEB PROFª VALESCA C R PARIZOTTO',2,NULL,NULL,NULL,4204202,NULL),(15,'182','EEB PROFª ZELIA SCHARF',2,NULL,NULL,NULL,4204202,NULL),(15,'183','EEB SÃO FRANCISCO',2,NULL,NULL,NULL,4204202,NULL),(15,'184','EEB TANCREDO DE ALMEIDA NEVES',2,NULL,NULL,NULL,4204202,NULL),(15,'185','COLÉGIO EXPONENCIAL',4,NULL,NULL,NULL,4204202,NULL),(15,'186','CURSO E COLÉGIO VETOR LTDA',4,NULL,NULL,NULL,4204202,NULL),(15,'187','ESC DE AUX ENFERMAGEM DA FHASA',4,NULL,NULL,NULL,4204202,NULL),(15,'188','C MAXIMILIANO GAIDZINSKI',4,NULL,NULL,NULL,4204251,NULL),(15,'189','EEB PROF PE SCHULER',2,NULL,NULL,NULL,4204251,NULL),(15,'19','EEB ALTINO FLORES',2,NULL,NULL,NULL,4201109,NULL),(15,'190','C CENECISTA CONCÓRDIA',4,NULL,NULL,NULL,4204301,NULL),(15,'191','EEB DEODORO',2,NULL,NULL,NULL,4204301,NULL),(15,'192','EEB PROF OLAVO CECCO RIGON',2,NULL,NULL,NULL,4204301,NULL),(15,'193','EEB SÃO JOÃO BATISTA DE LA SALLE',2,NULL,NULL,NULL,4204301,NULL),(15,'194','EEB VIDAL RAMOS JUNIOR',2,NULL,NULL,NULL,4204301,NULL),(15,'195','COLÉGIO DE APLICAÇÃO DA FEAUC',4,NULL,NULL,NULL,4204301,NULL),(15,'196','ESC AGROTÉCNICA FEDERAL CONCÓRDIA',3,NULL,NULL,NULL,4204301,NULL),(15,'197','EEB CORDILHEIRA ALTA',2,NULL,NULL,NULL,4204350,NULL),(15,'198','C CENECISTA SÃO JOSÉ',4,NULL,NULL,NULL,4204400,NULL),(15,'199','EEB PROFª DÉLIA RÉGIS',2,NULL,NULL,NULL,4204400,NULL),(15,'2','C CENECISTA PROF SIMÃO HESS',4,NULL,NULL,NULL,4200101,NULL),(15,'20','COLÉGIO CENECISTA ANTÔNIO CARLOS',4,NULL,NULL,NULL,4201208,NULL),(15,'200','EEB PROFª OLGA NUNES DE ABREU',2,NULL,NULL,NULL,4204459,NULL),(15,'201','EEB NS DOS PRAZERES',2,NULL,NULL,NULL,4204558,NULL),(15,'202','COLÉGIO VER RUY COMARELLA',4,NULL,NULL,NULL,4204558,NULL),(15,'203','EEB TERESA RAMOS',2,NULL,NULL,NULL,4204509,NULL),(15,'204','COLÉGIO SAGRADO C DE JESUS',4,NULL,NULL,NULL,4204509,NULL),(15,'205','C COMERCIAL DE CIENC E ADMINISTRAÇÃO',4,NULL,NULL,NULL,4204608,NULL),(15,'206','C COMERCIAL TIRADENTES',4,NULL,NULL,NULL,4204608,NULL),(15,'207','C CRICIÚMA',4,NULL,NULL,NULL,4204608,NULL),(15,'208','C DE APLIC DA FUND ED DE CRICIÚMA-FUCRI',4,NULL,NULL,NULL,4204608,NULL),(15,'209','EEB SEBASTIÃO TOLEDO DOS SANTOS',2,NULL,NULL,NULL,4204608,NULL),(15,'21','EEB ALTAMIRO GUIMARÃES',2,NULL,NULL,NULL,4201208,NULL),(15,'210','C MADRE TERESA MICHEL',4,NULL,NULL,NULL,4204608,NULL),(15,'211','C MARISTA',4,NULL,NULL,NULL,4204608,NULL),(15,'212','C ROGACIONISTA PIO XII',4,NULL,NULL,NULL,4204608,NULL),(15,'213','COLÉGIO SÃO BENTO',4,NULL,NULL,NULL,4204608,NULL),(15,'214','EEB ANTÔNIO MILANEZ NETTO',2,NULL,NULL,NULL,4204608,NULL),(15,'215','EEB ANTÔNIO VITOR DE SOUZA',2,NULL,NULL,NULL,4204608,NULL),(15,'216','EEB CEL MARCOS ROVARIS',2,NULL,NULL,NULL,4204608,NULL),(15,'217','EEB COELHO NETO',2,NULL,NULL,NULL,4204608,NULL),(15,'218','EEB HERIBERTO HÜLSE',2,NULL,NULL,NULL,4204608,NULL),(15,'219','EEB HUMBERTO DE CAMPOS',2,NULL,NULL,NULL,4204608,NULL),(15,'22','EEB SÃO JOÃO BOSCO',2,NULL,NULL,NULL,4201257,NULL),(15,'220','EEB IRMÃ EDVIGES',2,NULL,NULL,NULL,4204608,NULL),(15,'221','EEB JOAQUIM RAMOS',2,NULL,NULL,NULL,4204608,NULL),(15,'222','EEB LINDOLFO COLLOR',2,NULL,NULL,NULL,4204608,NULL),(15,'223','EEB PADRE MIGUEL GIACCA',2,NULL,NULL,NULL,4204608,NULL),(15,'224','CE LAPAGESSE',2,NULL,NULL,NULL,4204608,NULL),(15,'225','EEB RUBENS DE ARRUDA RAMOS',2,NULL,NULL,NULL,4204608,NULL),(15,'226','CENTRO EDUC. ENERGIA SC LTDA',4,NULL,NULL,NULL,4204608,NULL),(15,'227','CENTRO EDUCACIONAL UNIVERSITÁRIO',4,NULL,NULL,NULL,4204608,NULL),(15,'228','CEDUP ABÍLIO PAULO',2,NULL,NULL,NULL,4204608,NULL),(15,'229','COLÉGIO QUARTA DIMENSÃO',4,NULL,NULL,NULL,4204608,NULL),(15,'23','EEB PROFª IVONETE RIBEIRO',2,NULL,NULL,NULL,4201273,NULL),(15,'230','ESC TÉC.GAL OSVALDO PINTO DA VEIGA',4,NULL,NULL,NULL,4204608,NULL),(15,'231','INSTITUTO SÃO JOSÉ',4,NULL,NULL,NULL,4204608,NULL),(15,'232','SOCIEDADE DE EDUC E CULT DE CRICIÚMA',4,NULL,NULL,NULL,4204608,NULL),(15,'233','C CENECISTA ASSIS BRASIL',4,NULL,NULL,NULL,4204707,NULL),(15,'234','EEB PROF PATRÍCIO JOÃO DE OLIVEIRA',2,NULL,NULL,NULL,4204707,NULL),(15,'235','EEB NICOLAU SCHOENBERGER',2,NULL,NULL,NULL,4204756,NULL),(15,'236','C COMERCIAL CARDEAL CÂMARA',4,NULL,NULL,NULL,4204806,NULL),(15,'237','C PROF JUSCELINO K DE OLIVEIRA',4,NULL,NULL,NULL,4204806,NULL),(15,'238','EEB SANTA TERESINHA',2,NULL,NULL,NULL,4204806,NULL),(15,'239','EEB CASIMIRO DE ABREU',2,NULL,NULL,NULL,4204806,NULL),(15,'24','COLÉGIO AGRÍCOLA S.CARLOS G. DE OLIVEIRA',3,NULL,NULL,NULL,4201307,NULL),(15,'240','EEB SOLON ROSA',2,NULL,NULL,NULL,4204806,NULL),(15,'241','C CENECISTA SANTOS DUMONT',4,NULL,NULL,NULL,4204905,NULL),(15,'242','EEB EVERARDO BACKHEUSER',2,NULL,NULL,NULL,4204905,NULL),(15,'243','EEB ITAJUBÁ',2,NULL,NULL,NULL,4204905,NULL),(15,'244','C CENECISTA CASTRO ALVES',4,NULL,NULL,NULL,4205001,NULL),(15,'245','EEB DR THEODURETO DE FARIA SOUTO',2,NULL,NULL,NULL,4205001,NULL),(15,'246','EEB JACOB MARAN',2,NULL,NULL,NULL,4205001,NULL),(15,'247','EEB LINDO SARDAGNA',2,NULL,NULL,NULL,4205100,NULL),(15,'248','EEB FREI LUCÍNIO KORTE',2,NULL,NULL,NULL,4205159,NULL),(15,'249','EEB PIO XII',2,NULL,NULL,NULL,4205175,NULL),(15,'25','EEB ALMIRANTE BOITEUX',2,NULL,NULL,NULL,4201307,NULL),(15,'250','EEB PEDRO SIMON',2,NULL,NULL,NULL,4205191,NULL),(15,'251','C CENECISTA CÉSAR AVELINO BRAGAGNOLO',4,NULL,NULL,NULL,4205209,NULL),(15,'252','CE CORONEL HENRIQUE RUPP',2,NULL,NULL,NULL,4205209,NULL),(15,'253','EEB PREF AGENOR PIOVESAN',2,NULL,NULL,NULL,4205209,NULL),(15,'254','C CENECISTA PRES DUTRA',4,NULL,NULL,NULL,4205308,NULL),(15,'255','EEB PROF SALUSTIANO ANTÔNIO CABREIRA',2,NULL,NULL,NULL,4205308,NULL),(15,'256','EEB JORGE LACERDA',2,NULL,NULL,NULL,4205357,NULL),(15,'257','EEB ADERBAL RAMOS DA SILVA',2,NULL,NULL,NULL,4205407,NULL),(15,'258','C ADV ROBERTO RODRIGUES DE AZEVEDO',4,NULL,NULL,NULL,4205407,NULL),(15,'259','C ANTÔNIO PEIXOTO',4,NULL,NULL,NULL,4205407,NULL),(15,'26','CENTRO EDUC. FUTURÃO',4,NULL,NULL,NULL,4201406,NULL),(15,'260','C BARDDAL FLORIANÓPOLIS SC LTDA',4,NULL,NULL,NULL,4205407,NULL),(15,'261','C BARRIGA VERDE CENTRO EDUC LTDA',4,NULL,NULL,NULL,4205407,NULL),(15,'262','COLÉGIO CATARINENSE',4,NULL,NULL,NULL,4205407,NULL),(15,'263','C CENECISTA ANTONIETA DE BARROS',4,NULL,NULL,NULL,4205407,NULL),(15,'264','C COMERCIAL PIO XII',4,NULL,NULL,NULL,4205407,NULL),(15,'265','C CONTINENTE',4,NULL,NULL,NULL,4205407,NULL),(15,'266','C CORAÇÃO DE JESUS',4,NULL,NULL,NULL,4205407,NULL),(15,'267','COLÉGIO DE APLICAÇÃO DA UFSC',3,NULL,NULL,NULL,4205407,NULL),(15,'268','C DE APLICAÇÃO-UDESC',2,NULL,NULL,NULL,4205407,NULL),(15,'269','C DECISÃO',4,NULL,NULL,NULL,4205407,NULL),(15,'27','C NS MÃE DOS HOMENS',4,NULL,NULL,NULL,4201406,NULL),(15,'270','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4205407,NULL),(15,'271','EEB FELICIANO NUNES PIRES',2,NULL,NULL,NULL,4205407,NULL),(15,'272','C GERAÇÃO',4,NULL,NULL,NULL,4205407,NULL),(15,'273','C NS DE FÁTIMA',4,NULL,NULL,NULL,4205407,NULL),(15,'274','EEM ANTÔNIO PASCHOAL APÓSTOLO',2,NULL,NULL,NULL,4205407,NULL),(15,'275','EEB CELSO RAMOS',2,NULL,NULL,NULL,4205407,NULL),(15,'276','EEB DAYSE WERNER SALLES',2,NULL,NULL,NULL,4205407,NULL),(15,'277','EEB LAURO MÜLLER',2,NULL,NULL,NULL,4205407,NULL),(15,'278','EEB DOM JAIME DE BARROS CÂMARA',2,NULL,NULL,NULL,4205407,NULL),(15,'279','EEB DR PAULO FONTES',2,NULL,NULL,NULL,4205407,NULL),(15,'28','EEB BERNARDINO SENA CAMPOS',2,NULL,NULL,NULL,4201406,NULL),(15,'280','CE GENTIL MATHIAS DA SILVA',2,NULL,NULL,NULL,4205407,NULL),(15,'281','EEB GETÚLIO VARGAS',2,NULL,NULL,NULL,4205407,NULL),(15,'282','EEM HENRIQUE VERAS',2,NULL,NULL,NULL,4205407,NULL),(15,'283','EEB ILDEFONSO LINHARES',2,NULL,NULL,NULL,4205407,NULL),(15,'284','EEB IRINEU BORNHAUSEN',2,NULL,NULL,NULL,4205407,NULL),(15,'285','EEM JOÃO GONÇALVES PINHEIROS',2,NULL,NULL,NULL,4205407,NULL),(15,'286','EEB JUREMA CAVALLAZZI',2,NULL,NULL,NULL,4205407,NULL),(15,'287','EEB LEONOR DE BARROS',2,NULL,NULL,NULL,4205407,NULL),(15,'288','EEB OSMAR CUNHA',2,NULL,NULL,NULL,4205407,NULL),(15,'289','EEB PE ANCHIETA',2,NULL,NULL,NULL,4205407,NULL),(15,'29','EEB DE ARARANGUÁ',2,NULL,NULL,NULL,4201406,NULL),(15,'290','EEM PREF ACÁCIO GARIBALDI SÃO THIAGO',2,NULL,NULL,NULL,4205407,NULL),(15,'291','EEM PRES CASTELO BRANCO',2,NULL,NULL,NULL,4205407,NULL),(15,'292','EEB PRES ROOSEVELT',2,NULL,NULL,NULL,4205407,NULL),(15,'293','EEB PROF ANÍBAL NUNES PIRES',2,NULL,NULL,NULL,4205407,NULL),(15,'294','EEB PROF ANÍSIO TEIXEIRA',2,NULL,NULL,NULL,4205407,NULL),(15,'295','EEB PROF HENRIQUE STODIECK',2,NULL,NULL,NULL,4205407,NULL),(15,'296','EEB PROFª LAURA LIMA',2,NULL,NULL,NULL,4205407,NULL),(15,'297','EEB ROSA TÔRRES DE MIRANDA',2,NULL,NULL,NULL,4205407,NULL),(15,'298','EEB SIMÃO JOSÉ HESS',2,NULL,NULL,NULL,4205407,NULL),(15,'299','COL DA LAGOA',4,NULL,NULL,NULL,4205407,NULL),(15,'3','C MUNICIPAL ANITA GARIBALDI',1,NULL,NULL,NULL,4200101,NULL),(15,'30','EEB PROFª MARIA GARCIA PESSI',2,NULL,NULL,NULL,4201406,NULL),(15,'300','COLÉGIO PRE VEST SOLUÇÃO LTDA',4,NULL,NULL,NULL,4205407,NULL),(15,'301','CURSO DE EDUCAÇÃO FÍSICA',2,NULL,NULL,NULL,4205407,NULL),(15,'302','ETC NEREU RAMOS',4,NULL,NULL,NULL,4205407,NULL),(15,'303','ETC SANTA CATARINA',4,NULL,NULL,NULL,4205407,NULL),(15,'304','ETC SÃO MARCOS',4,NULL,NULL,NULL,4205407,NULL),(15,'305','ETC SENNA PEREIRA',4,NULL,NULL,NULL,4205407,NULL),(15,'306','ETF DE STA CATARINA (CEFET)',3,NULL,NULL,NULL,4205407,NULL),(15,'307','INSTITUTO ESTADUAL DE EDUCAÇÃO',2,NULL,NULL,NULL,4205407,NULL),(15,'308','EEB RUI BARBOSA',2,NULL,NULL,NULL,4205431,NULL),(15,'309','EEB LUIS TRAMONTIN',2,NULL,NULL,NULL,4205456,NULL),(15,'31','CENTRO INTERESCOLAR I DE ARARANGUÁ',4,NULL,NULL,NULL,4201406,NULL),(15,'310','EEB NATÁLIO VASSOLER',2,NULL,NULL,NULL,4205456,NULL),(15,'311','COL EXAME',4,NULL,NULL,NULL,4205456,NULL),(15,'312','COL SAGRADA FAMÍLIA',4,NULL,NULL,NULL,4205456,NULL),(15,'313','CE BELA VISTA',2,NULL,NULL,NULL,4205506,NULL),(15,'314','EEB GONÇALVES DIAS',2,NULL,NULL,NULL,4205506,NULL),(15,'315','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4205506,NULL),(15,'316','CE SEDES SAPIENTIAE',2,NULL,NULL,NULL,4205506,NULL),(15,'317','COLÉGIO CARLOS DRUMOND DE ANDRADE',4,NULL,NULL,NULL,4205506,NULL),(15,'318','COL CIRANDA DO SABER',4,NULL,NULL,NULL,4205506,NULL),(15,'319','ESCOLA DE 2. SEDES SAPIENTIAE',4,NULL,NULL,NULL,4205506,NULL),(15,'32','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4201406,NULL),(15,'320','EEB PROF URBANO SALLES',2,NULL,NULL,NULL,4205555,NULL),(15,'321','EEB VERÔNICA SENEM',2,NULL,NULL,NULL,4205605,NULL),(15,'322','EEB PROF JOSÉ RODRIGUES LOPES',2,NULL,NULL,NULL,4205704,NULL),(15,'323','C MUNICIPAL SAGRADO CORAÇÃO DE JESUS',1,NULL,NULL,NULL,4205803,NULL),(15,'325','EEB FREI GODOFREDO',2,NULL,NULL,NULL,4205902,NULL),(15,'326','EEB FREI POLICARPO',2,NULL,NULL,NULL,4205902,NULL),(15,'327','EEB PROF HONÓRIO MIRANDA',2,NULL,NULL,NULL,4205902,NULL),(15,'328','COLÉGIO SÃO FRANCISCO',4,NULL,NULL,NULL,4205902,NULL),(15,'329','EEB DR ADERBAL RAMOS DA SILVA',2,NULL,NULL,NULL,4206009,NULL),(15,'33','SOC DE EDUC E CULTURA DE ARARANGUÁ',4,NULL,NULL,NULL,4201406,NULL),(15,'330','EEB DR MIGUEL DE PATTA',2,NULL,NULL,NULL,4206108,NULL),(15,'331','EEM ANTÔNIO KNABBEN',2,NULL,NULL,NULL,4206207,NULL),(15,'332','EEB HERCÍLIO BEZ',2,NULL,NULL,NULL,4206207,NULL),(15,'333','EEB PROF JOÃO BOOS',2,NULL,NULL,NULL,4206306,NULL),(15,'334','EEB SARA CASTELHANO KLEINKAUF',2,NULL,NULL,NULL,4206405,NULL),(15,'335','EEB PREF LAURO ZIMMERMANN',2,NULL,NULL,NULL,4206504,NULL),(15,'336','EEB ALFREDO ZIMMERMANN',2,NULL,NULL,NULL,4206504,NULL),(15,'337','EEB SÃO PEDRO',2,NULL,NULL,NULL,4206504,NULL),(15,'338','C CENEC. MAR ARTHUR DA C E SILVA',4,NULL,NULL,NULL,4206603,NULL),(15,'339','EEB PROFª ELZA MANCELOS DE MOURA',2,NULL,NULL,NULL,4206603,NULL),(15,'34','EEB MONSENHOR FRANCISCO GIESBERTS',2,NULL,NULL,NULL,4201505,NULL),(15,'340','EEB LEONOR LOPES GONZAGA',2,NULL,NULL,NULL,4206652,NULL),(15,'341','EEB PROF EUGÊNIO MARCHETTI',2,NULL,NULL,NULL,4206702,NULL),(15,'342','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4206702,NULL),(15,'343','EEB HERIBERTO HULSE',2,NULL,NULL,NULL,4206751,NULL),(15,'344','C CENECISTA DR EDUARDO MÁRIO TAVARES',4,NULL,NULL,NULL,4206801,NULL),(15,'345','EEB IRMÃO JOAQUIM',2,NULL,NULL,NULL,4206801,NULL),(15,'346','C HAMONIA',4,NULL,NULL,NULL,4206900,NULL),(15,'347','EEB ELISEU GUILHERME',2,NULL,NULL,NULL,4206900,NULL),(15,'348','EEB GERTRUD AICHINGER',2,NULL,NULL,NULL,4206900,NULL),(15,'349','C CRISTO REI',4,NULL,NULL,NULL,4207007,NULL),(15,'35','C CENECISTA PADRE AUGUSTINHO',4,NULL,NULL,NULL,4201604,NULL),(15,'350','EEB ANTÔNIO COLONETTI',2,NULL,NULL,NULL,4207007,NULL),(15,'351','EEB ANTÔNIO GUGLIELMI SOBRINHO',2,NULL,NULL,NULL,4207007,NULL),(15,'352','EEB ANTÔNIO JOÃO',2,NULL,NULL,NULL,4207007,NULL),(15,'353','EEB MELCHÍADES BONIFÁCIO ESPÍNDOLA',2,NULL,NULL,NULL,4207007,NULL),(15,'354','EEB MARCOS KONDER',2,NULL,NULL,NULL,4207106,NULL),(15,'355','EEB VALÉRIO GOMES',2,NULL,NULL,NULL,4207106,NULL),(15,'356','EEB PREF PEDRO BITTENCOURT',2,NULL,NULL,NULL,4207205,NULL),(15,'357','EEB PROFª EULINA HELEODORO BARRETO',2,NULL,NULL,NULL,4207205,NULL),(15,'358','EEB ENG ÁLVARO CATÃO',2,NULL,NULL,NULL,4207304,NULL),(15,'359','EEM ENG ANNES GUALBERTO',2,NULL,NULL,NULL,4207304,NULL),(15,'36','EEB PROFª BENTA CARDOSO',2,NULL,NULL,NULL,4201653,NULL),(15,'360','EEB JOÃO GUIMARÃES CABRAL',2,NULL,NULL,NULL,4207304,NULL),(15,'361','EEB VISCONDE DO RIO BRANCO',2,NULL,NULL,NULL,4207304,NULL),(15,'362','COOPERATIVA EDUC DE IMBITUBA',4,NULL,NULL,NULL,4207304,NULL),(15,'363','C CENECISTA DE IMBUIA',4,NULL,NULL,NULL,4207403,NULL),(15,'364','EEB FREI MANOEL PHILIPPI',2,NULL,NULL,NULL,4207403,NULL),(15,'365','EEB FREDERICO HARDT',2,NULL,NULL,NULL,4207502,NULL),(15,'366','COLÉGIO MUNICIPAL PREF LUIZ POLIDORO',1,NULL,NULL,NULL,4207502,NULL),(15,'367','COLÉGIO AGROTÉCNICO DE VIDEIRA',4,NULL,NULL,NULL,4207577,NULL),(15,'368','EEB FREI EVARISTO',2,NULL,NULL,NULL,4207577,NULL),(15,'369','EEB CARLOS FRIES',2,NULL,NULL,NULL,4207601,NULL),(15,'37','C SÃO PAULO',4,NULL,NULL,NULL,4201703,NULL),(15,'370','C CENECISTA ANILDO HEISLER',4,NULL,NULL,NULL,4207650,NULL),(15,'371','EEB PE VENDELINO SEIDEL',2,NULL,NULL,NULL,4207650,NULL),(15,'372','EEB PE ANTÔNIO VIEIRA',2,NULL,NULL,NULL,4207684,NULL),(15,'373','COLÉGIO VITORINO KONDA',2,NULL,NULL,NULL,4207684,NULL),(15,'374','EEB BENJAMIM CARVALHO DE OLIVEIRA',2,NULL,NULL,NULL,4207700,NULL),(15,'375','CE VITAL FELIPE CASAROTTO',2,NULL,NULL,NULL,4207700,NULL),(15,'376','C MUNICIPAL RICARDO VIVIAN',1,NULL,NULL,NULL,4207759,NULL),(15,'377','EEB PROF MANUEL FREITAS TRANCOSO',2,NULL,NULL,NULL,4207759,NULL),(15,'378','C CENECISTA IRANI',4,NULL,NULL,NULL,4207809,NULL),(15,'379','EEB D FELÍCIO C DA CUNHA VASCONCELOS',2,NULL,NULL,NULL,4207809,NULL),(15,'38','EEB DOMINGOS SÁVIO',2,NULL,NULL,NULL,4201703,NULL),(15,'380','EEB PROF CELSO RILLA',2,NULL,NULL,NULL,4207858,NULL),(15,'381','EEB HORÁCIO NUNES',2,NULL,NULL,NULL,4207908,NULL),(15,'382','C CENECISTA ADOLFO KONDER',4,NULL,NULL,NULL,4208005,NULL),(15,'383','EEB GEN LIBERATO BITTENCOURT',2,NULL,NULL,NULL,4208005,NULL),(15,'384','EMEB VALENTIN BERNARDI',1,NULL,NULL,NULL,4208005,NULL),(15,'386','C EDUC 1 E 2 GRAUS ITAIÓPOLIS',1,NULL,NULL,NULL,4208104,NULL),(15,'387','EEB VIRGÍLIO VÁRZEA',2,NULL,NULL,NULL,4208104,NULL),(15,'388','C CENECISTA PEDRO ANTÔNIO FAYAL',4,NULL,NULL,NULL,4208203,NULL),(15,'389','C DE APLICAÇÃO DA UNIVALI',4,NULL,NULL,NULL,4208203,NULL),(15,'39','EEB DR FREDERICO ROLLA',2,NULL,NULL,NULL,4201802,NULL),(15,'390','C DR WILFREDO MARCOS BAYER',4,NULL,NULL,NULL,4208203,NULL),(15,'391','CENTRO EDUC. SISTEMA UNIFICADO',4,NULL,NULL,NULL,4208203,NULL),(15,'392','C SALESIANO ITAJAÍ',4,NULL,NULL,NULL,4208203,NULL),(15,'393','EEB NEREU RAMOS',2,NULL,NULL,NULL,4208203,NULL),(15,'394','C SÃO JOSÉ',4,NULL,NULL,NULL,4208203,NULL),(15,'395','EEB DEP NILTON KUCKER',2,NULL,NULL,NULL,4208203,NULL),(15,'396','EEB DOM AFONSO NIEHUES',2,NULL,NULL,NULL,4208203,NULL),(15,'397','EEB ELIZABETH KONDER REIS',2,NULL,NULL,NULL,4208203,NULL),(15,'398','CE GASPAR DA COSTA MORAES',2,NULL,NULL,NULL,4208203,NULL),(15,'399','CE MANSUETO TRES',2,NULL,NULL,NULL,4208203,NULL),(15,'4','EEB PROF ANACLETO DAMIANI',2,NULL,NULL,NULL,4200101,NULL),(15,'40','EEB WALTER PROBST',2,NULL,NULL,NULL,4201901,NULL),(15,'400','EEM PROF HENRIQUE DA SILVA FONTES',2,NULL,NULL,NULL,4208203,NULL),(15,'401','EEM VICTOR MEIRELLES',2,NULL,NULL,NULL,4208203,NULL),(15,'402','COL. E CURSO RADICAL',4,NULL,NULL,NULL,4208203,NULL),(15,'403','CENTRO EDUC. SISTEMA UNIFICADO',4,NULL,NULL,NULL,4208302,NULL),(15,'404','C ITAPEMA',4,NULL,NULL,NULL,4208302,NULL),(15,'405','EEB ANITA GARIBALDI',2,NULL,NULL,NULL,4208302,NULL),(15,'406','EEB PREF OLEGÁRIO BERNARDES',2,NULL,NULL,NULL,4208302,NULL),(15,'407','COLÉGIO ATLÂNTICO',4,NULL,NULL,NULL,4208302,NULL),(15,'408','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4208401,NULL),(15,'409','CENTRO INTEG. DE ITAPIRANGA',4,NULL,NULL,NULL,4208401,NULL),(15,'41','EEB DOM GREGÓRIO WARMELING',2,NULL,NULL,NULL,4202057,NULL),(15,'410','EEB HUMBERTO MACHADO',2,NULL,NULL,NULL,4208401,NULL),(15,'411','EEB SANTO ANTÔNIO',2,NULL,NULL,NULL,4208401,NULL),(15,'412','EEB SÃO VICENTE',2,NULL,NULL,NULL,4208401,NULL),(15,'413','EEB NEREU RAMOS',2,NULL,NULL,NULL,4208450,NULL),(15,'414','C SANTO ESTEVÃO',4,NULL,NULL,NULL,4208500,NULL),(15,'415','EEB ALEIXO DELLAGIUSTINA',2,NULL,NULL,NULL,4208500,NULL),(15,'416','EEB ROBERTO MORITZ',2,NULL,NULL,NULL,4208500,NULL),(15,'417','C CENECISTA FÁTIMA RECK',4,NULL,NULL,NULL,4208609,NULL),(15,'418','EEB VICTOR FELIPPE RAUEN',2,NULL,NULL,NULL,4208609,NULL),(15,'419','COL. C SANTA TERESINHA',4,NULL,NULL,NULL,4208708,NULL),(15,'42','C BALNEARENSE',2,NULL,NULL,NULL,4202008,NULL),(15,'420','EEB JACINTO MACHADO',2,NULL,NULL,NULL,4208708,NULL),(15,'421','EEB MAL LUZ',2,NULL,NULL,NULL,4208807,NULL),(15,'422','C DIVINA PROVIDÊNCIA',4,NULL,NULL,NULL,4208906,NULL),(15,'423','C EDUCACIONAL SIGMA',4,NULL,NULL,NULL,4208906,NULL),(15,'424','COLÉGIO MARISTA SÃO LUIS',4,NULL,NULL,NULL,4208906,NULL),(15,'425','EEM ABDON BATISTA',2,NULL,NULL,NULL,4208906,NULL),(15,'426','EEM ALBERTO BAUER',2,NULL,NULL,NULL,4208906,NULL),(15,'427','EEB ALVINO TRIBESS',2,NULL,NULL,NULL,4208906,NULL),(15,'428','EEB ELZA GRANZOTTO FERRAZ',2,NULL,NULL,NULL,4208906,NULL),(15,'429','EEB EUCLIDES DA CUNHA',2,NULL,NULL,NULL,4208906,NULL),(15,'43','C COMERCIAL BRUNO SILVA',4,NULL,NULL,NULL,4202008,NULL),(15,'430','EEB HOLANDO MARCELLINO GONÇALVES',2,NULL,NULL,NULL,4208906,NULL),(15,'431','CE ALVES DE SOUZA',2,NULL,NULL,NULL,4208906,NULL),(15,'432','EEB JULIUS KARSTEN',2,NULL,NULL,NULL,4208906,NULL),(15,'433','EEB PROF HELEODORO BORGES',2,NULL,NULL,NULL,4208906,NULL),(15,'434','EEB PROF JOÃO ROMÁRIO MOREIRA',2,NULL,NULL,NULL,4208906,NULL),(15,'435','EEB PROF JOSÉ DUARTE MAGALHÃES',2,NULL,NULL,NULL,4208906,NULL),(15,'436','EEB PROFª LILIA AYROSO OECHSLER',2,NULL,NULL,NULL,4208906,NULL),(15,'437','EEB PROFª VALDETE I P ZINDARS',2,NULL,NULL,NULL,4208906,NULL),(15,'438','EEB ROLAND H DORNBUSCH',2,NULL,NULL,NULL,4208906,NULL),(15,'439','EEM VITOR MEIRELLES',2,NULL,NULL,NULL,4208906,NULL),(15,'44','CENTRO EDUC. SISTEMA UNIFICADO',4,NULL,NULL,NULL,4202008,NULL),(15,'440','CENTRO EDUC INTEG JARAGUENSE',4,NULL,NULL,NULL,4208906,NULL),(15,'441','COLÉGIO EVANGÉLICO JARAGUÁ',4,NULL,NULL,NULL,4208906,NULL),(15,'442','INSTITUTO EDUCACIONAL JANGADA',4,NULL,NULL,NULL,4208906,NULL),(15,'443','C CENECISTA PAPA JOÃO PAULO I',4,NULL,NULL,NULL,4208955,NULL),(15,'444','EEB FAZENDA TRIÂNGULO',2,NULL,NULL,NULL,4208955,NULL),(15,'445','C CENECISTA JOAÇABENSE',4,NULL,NULL,NULL,4209003,NULL),(15,'446','COLÉGIO MARISTA FREI ROGÉRIO',4,NULL,NULL,NULL,4209003,NULL),(15,'447','COLÉGIO CRISTO REI',4,NULL,NULL,NULL,4209003,NULL),(15,'448','EEB DEP NELSON PEDRINI',2,NULL,NULL,NULL,4209003,NULL),(15,'449','EEB GOV CELSO RAMOS',2,NULL,NULL,NULL,4209003,NULL),(15,'45','C GOV IVO SILVEIRA',2,NULL,NULL,NULL,4202008,NULL),(15,'450','CE OSCAR RODRIGUES DA NOVA',2,NULL,NULL,NULL,4209003,NULL),(15,'451','EEB IRAÍ ZILIO',2,NULL,NULL,NULL,4209003,NULL),(15,'452','CENT. DE EST PROF DO O CATARINENSE',4,NULL,NULL,NULL,4209003,NULL),(15,'453','COLÉGIO ALBERT EINSTEIN',4,NULL,NULL,NULL,4209003,NULL),(15,'454','COLÉGIO SANTÍSSIMA TRINDADE',4,NULL,NULL,NULL,4209003,NULL),(15,'455','NÚCLEO PEDAGÓGICO RURAL-NUPERAJO',2,NULL,NULL,NULL,4209003,NULL),(15,'456','C ADVENTISTA DE JOINVILLE (DOM PEDRO II)',4,NULL,NULL,NULL,4209102,NULL),(15,'457','INST.SUP.E CENTRO EDUC LUTER. BOM JESUS',4,NULL,NULL,NULL,4209102,NULL),(15,'458','C BOM PASTOR',4,NULL,NULL,NULL,4209102,NULL),(15,'459','C CENECISTA JOSÉ ELIAS MOREIRA',4,NULL,NULL,NULL,4209102,NULL),(15,'46','C M PROF ANTÔNIO LUCIO',1,NULL,NULL,NULL,4202008,NULL),(15,'460','C DE APLICAÇÃO DA FURJ',4,NULL,NULL,NULL,4209102,NULL),(15,'461','C DOS SANTOS ANJOS',4,NULL,NULL,NULL,4209102,NULL),(15,'462','C SANTO ANTÔNIO',4,NULL,NULL,NULL,4209102,NULL),(15,'463','C TÉCNICO JOINVILENSE',4,NULL,NULL,NULL,4209102,NULL),(15,'464','EEB ARNALDO MOREIRA DOUAT',2,NULL,NULL,NULL,4209102,NULL),(15,'465','EEB CONSELHEIRO MAFRA',2,NULL,NULL,NULL,4209102,NULL),(15,'466','EEB DOM PIO DE FREITAS',2,NULL,NULL,NULL,4209102,NULL),(15,'467','EEB DR JORGE LACERDA',2,NULL,NULL,NULL,4209102,NULL),(15,'468','EEB DR PAULO MEDEIROS',2,NULL,NULL,NULL,4209102,NULL),(15,'469','EEB DR TUFI DIPPE',2,NULL,NULL,NULL,4209102,NULL),(15,'47','C PROF ARMANDO CÉSAR GHISLANDI',1,NULL,NULL,NULL,4202008,NULL),(15,'470','EEB ENGENHEIRO ANNES GUALBERTO',2,NULL,NULL,NULL,4209102,NULL),(15,'471','EEB GIOVANI PASQUALINI FARACO',2,NULL,NULL,NULL,4209102,NULL),(15,'472','EEB JOÃO COLIN',2,NULL,NULL,NULL,4209102,NULL),(15,'473','EEB MAESTRO FRANCISCO M DA SILVA',2,NULL,NULL,NULL,4209102,NULL),(15,'474','EEB OLAVO BILAC',2,NULL,NULL,NULL,4209102,NULL),(15,'475','EEB OSVALDO ARANHA',2,NULL,NULL,NULL,4209102,NULL),(15,'476','EEB PLÁCIDO OLÍMPIO DE OLIVEIRA',2,NULL,NULL,NULL,4209102,NULL),(15,'477','EEB PRES MÉDICI',2,NULL,NULL,NULL,4209102,NULL),(15,'478','EEB PROF GERMANO TIMM',2,NULL,NULL,NULL,4209102,NULL),(15,'479','EEB PROF JOÃO MARTINS VERAS',2,NULL,NULL,NULL,4209102,NULL),(15,'48','COL. PROFª ELIZABETH A. R. TOMIO PEART',4,NULL,NULL,NULL,4202008,NULL),(15,'480','EEB PROFª ALÍCIA B FERREIRA',2,NULL,NULL,NULL,4209102,NULL),(15,'481','EEB PROFª ANTÔNIA ALPAIDES C DOS SANTOS',2,NULL,NULL,NULL,4209102,NULL),(15,'482','EEB PROF. GERTRUDES BENTA COSTA',2,NULL,NULL,NULL,4209102,NULL),(15,'483','EEB PROFª JANDIRA DÁVILA',2,NULL,NULL,NULL,4209102,NULL),(15,'484','EEB PROFª JURACY MARIA BROSIG',2,NULL,NULL,NULL,4209102,NULL),(15,'485','CEDUP DÁRIO GERALDO SALLES',2,NULL,NULL,NULL,4209102,NULL),(15,'486','COL ENERGIA',4,NULL,NULL,NULL,4209102,NULL),(15,'487','COLÉGIO ESQUEMA OBJETIVO',4,NULL,NULL,NULL,4209102,NULL),(15,'488','COLÉGIO JOINVILLE',4,NULL,NULL,NULL,4209102,NULL),(15,'489','COLÉGIO NOVA ERA',4,NULL,NULL,NULL,4209102,NULL),(15,'49','EEB PRES JOÃO GOULART',2,NULL,NULL,NULL,4202008,NULL),(15,'490','COLÉGIO NOVA JOINVILLE',4,NULL,NULL,NULL,4209102,NULL),(15,'491','COLÉGIO POSITIVO',4,NULL,NULL,NULL,4209102,NULL),(15,'492','EEM GOV CELSO RAMOS',2,NULL,NULL,NULL,4209102,NULL),(15,'493','E DE EDUCAÇÃO INFANTIL',4,NULL,NULL,NULL,4209102,NULL),(15,'494','E TÉCNICA TUPY',4,NULL,NULL,NULL,4209102,NULL),(15,'495','EEB JOSÉ CLEMENTE PEREIRA',2,NULL,NULL,NULL,4209151,NULL),(15,'496','EEB JOAQUIM DAGOSTINI',2,NULL,NULL,NULL,4209201,NULL),(15,'497','COLÉGIO BOM JESUS DIOCESANO',4,NULL,NULL,NULL,4209300,NULL),(15,'498','C INDUSTRIAL DE LAGES',2,NULL,NULL,NULL,4209300,NULL),(15,'499','C SANTA ROSA DE LIMA',4,NULL,NULL,NULL,4209300,NULL),(15,'5','E AGROTÉCNICA MUL. I. BORNHAUSEN',1,NULL,NULL,NULL,4200101,NULL),(15,'50','EEB PROFª FRANCISCA ALVES GEVAERD',2,NULL,NULL,NULL,4202008,NULL),(15,'500','EEB ARISTILIANO RAMOS',2,NULL,NULL,NULL,4209300,NULL),(15,'501','EEB FRANCISCO MANFROI',2,NULL,NULL,NULL,4209300,NULL),(15,'502','EEB FREI NICODEMOS',2,NULL,NULL,NULL,4209300,NULL),(15,'503','EEB GEN JOSÉ PINTO SOMBRA',2,NULL,NULL,NULL,4209300,NULL),(15,'504','EEB LÚCIA FERNANDES LOPES',2,NULL,NULL,NULL,4209300,NULL),(15,'505','EEB NS DO ROSÁRIO',2,NULL,NULL,NULL,4209300,NULL),(15,'506','EEB PROF ARMANDO R DE CARVALHO',2,NULL,NULL,NULL,4209300,NULL),(15,'507','EEB PROF FLORDOALDO CABRAL',2,NULL,NULL,NULL,4209300,NULL),(15,'508','EEB RUBENS DE ARRUDA RAMOS',2,NULL,NULL,NULL,4209300,NULL),(15,'509','EEB SÃO JUDAS TADEU',2,NULL,NULL,NULL,4209300,NULL),(15,'51','EEB PROFª MARIA DA GLÓRIA PEREIRA',2,NULL,NULL,NULL,4202008,NULL),(15,'510','EEB ZULMIRA AUTA DA SILVA',2,NULL,NULL,NULL,4209300,NULL),(15,'511','UNIPLAC CENTRO DE ENSINO FUNDAMENTAL',4,NULL,NULL,NULL,4209300,NULL),(15,'512','EEB VIDAL RAMOS JUNIOR',2,NULL,NULL,NULL,4209300,NULL),(15,'513','CEDUP RENATO RAMOS DA SILVA',2,NULL,NULL,NULL,4209300,NULL),(15,'514','COLÉGIO POSILAGES LTDA',4,NULL,NULL,NULL,4209300,NULL),(15,'515','COLÉGIO UNIVEST LAGES LTDA',4,NULL,NULL,NULL,4209300,NULL),(15,'516','EEB GODOLFIN NUNES DE SOUSA',2,NULL,NULL,NULL,4209300,NULL),(15,'517','EMEF ITINERANTE MARIA ALICE W SOUSA',1,NULL,NULL,NULL,4209300,NULL),(15,'518','ESC.TÉCNICA DE COMÉRCIO DE LAGES',4,NULL,NULL,NULL,4209300,NULL),(15,'519','INSTITUTO SÃO JOÃO BATISTA VIANEI',4,NULL,NULL,NULL,4209300,NULL),(15,'52','COLÉGIO CAMBORIÚ',4,NULL,NULL,NULL,4202008,NULL),(15,'520','EEB COMERCIAL LAGUNENSE',2,NULL,NULL,NULL,4209409,NULL),(15,'521','EEM ALMIRANTE LAMEGO',2,NULL,NULL,NULL,4209409,NULL),(15,'522','EEB ANA GONDIN',2,NULL,NULL,NULL,4209409,NULL),(15,'523','EEB SAUL ULYSSÉA',2,NULL,NULL,NULL,4209409,NULL),(15,'524','EEB PROFIS. PROFª ADÉLIA C. VAREJÃO',4,NULL,NULL,NULL,4209409,NULL),(15,'525','COLÉGIO STELLA MARIS',4,NULL,NULL,NULL,4209409,NULL),(15,'526','EEB PROF ANTÔNIA GASINO DE FREITAS',2,NULL,NULL,NULL,4209458,NULL),(15,'527','C SÃO JOSÉ',4,NULL,NULL,NULL,4209508,NULL),(15,'528','EEB TEREZA CRISTINA',2,NULL,NULL,NULL,4209508,NULL),(15,'529','EEB ENG ERNANI COTRIN',2,NULL,NULL,NULL,4209607,NULL),(15,'53','COLÉGIO MARGIRUS',4,NULL,NULL,NULL,4202008,NULL),(15,'530','EEB VISCONDE DE TAUNAY',2,NULL,NULL,NULL,4209607,NULL),(15,'531','EEB WALTER HOLTHAUSEN',2,NULL,NULL,NULL,4209607,NULL),(15,'532','EEB FREI CANECA',2,NULL,NULL,NULL,4209706,NULL),(15,'533','EEB BERTINO SILVA',2,NULL,NULL,NULL,4209805,NULL),(15,'534','EEB PE IZIDORO BENJAMIM MORO',2,NULL,NULL,NULL,4209854,NULL),(15,'535','EEB REGENTE FEIJÓ',2,NULL,NULL,NULL,4209904,NULL),(15,'536','EEB GOV IRINEU BORNHAUSEN',2,NULL,NULL,NULL,4210001,NULL),(15,'537','EEB JOÃO GAYA',2,NULL,NULL,NULL,4210001,NULL),(15,'538','C CENECISTA LUZERNENSE',4,NULL,NULL,NULL,4210035,NULL),(15,'539','EEB PADRE NÓBREGA',2,NULL,NULL,NULL,4210035,NULL),(15,'54','EEB PRAIA DA GAIVOTA',2,NULL,NULL,NULL,4202073,NULL),(15,'540','EEB ALBINA MOSCONI',2,NULL,NULL,NULL,4210050,NULL),(15,'541','C MAFRENSE',4,NULL,NULL,NULL,4210100,NULL),(15,'542','EEB BARÃO DE ANTONINA',2,NULL,NULL,NULL,4210100,NULL),(15,'543','EEB DR FRANCISCO IZABEL',2,NULL,NULL,NULL,4210100,NULL),(15,'544','EEB JOVINO LIMA',2,NULL,NULL,NULL,4210100,NULL),(15,'545','EEB PROFª MARIA PAULA FERES',2,NULL,NULL,NULL,4210100,NULL),(15,'546','EEB MANOEL VICENTE GOMES',2,NULL,NULL,NULL,4210209,NULL),(15,'547','C MAJOR VIEIRA',4,NULL,NULL,NULL,4210308,NULL),(15,'548','EEB LUIZ DAVET',2,NULL,NULL,NULL,4210308,NULL),(15,'549','C CENECISTA GIÁCOMO DE PELEGRINI',4,NULL,NULL,NULL,4210407,NULL),(15,'55','EEB HÉLIO WARSUM',2,NULL,NULL,NULL,4202081,NULL),(15,'550','EEB MANOEL GOMES BALTAZAR',2,NULL,NULL,NULL,4210407,NULL),(15,'551','EEB JOÃO XXIII',2,NULL,NULL,NULL,4210506,NULL),(15,'552','EEB NS DA SALETE',2,NULL,NULL,NULL,4210506,NULL),(15,'553','ETC RUI BARBOSA',1,NULL,NULL,NULL,4210506,NULL),(15,'554','EEB PROF ZELINDO CARBONERA',2,NULL,NULL,NULL,4210555,NULL),(15,'555','EEB GAL RONDON',2,NULL,NULL,NULL,4210605,NULL),(15,'556','C CENECISTA SIMEÃO CARNEIRO',4,NULL,NULL,NULL,4210704,NULL),(15,'557','EEB DOM DANIEL HOSTIN',2,NULL,NULL,NULL,4210704,NULL),(15,'558','C CENECISTA NICOLAU MACHADO DE SOUZA',4,NULL,NULL,NULL,4210803,NULL),(15,'559','EEB DE MELEIRO',2,NULL,NULL,NULL,4210803,NULL),(15,'56','EEB PROFª CECÍLIA LOTIN',2,NULL,NULL,NULL,4202099,NULL),(15,'560','EEB BRUNO HEIDRICH',2,NULL,NULL,NULL,4210852,NULL),(15,'561','C CENECISTA JOSÉ DE ALENCAR',4,NULL,NULL,NULL,4210902,NULL),(15,'562','EEB DOM HELDER CÂMARA',2,NULL,NULL,NULL,4210902,NULL),(15,'563','C CENECISTA ARTUR DEISS',4,NULL,NULL,NULL,4211009,NULL),(15,'564','EEB DELMINDA SILVEIRA',2,NULL,NULL,NULL,4211009,NULL),(15,'565','CE MARINO PISANI',2,NULL,NULL,NULL,4211058,NULL),(15,'566','EEB VALENTIN G RIBEIRO',2,NULL,NULL,NULL,4211108,NULL),(15,'567','EEB PRINCESA ISABEL',2,NULL,NULL,NULL,4211207,NULL),(15,'568','EEB ANA MACHADO DAL TOE',2,NULL,NULL,NULL,4211256,NULL),(15,'569','EEB ADELAIDE KONDER',2,NULL,NULL,NULL,4211306,NULL),(15,'57','EEB CONSELHEIRO ASTROGILDO ODON AGUIAR',2,NULL,NULL,NULL,4202107,NULL),(15,'570','EEB PROFª JÚLIA MIRANDA DE SOUZA',2,NULL,NULL,NULL,4211306,NULL),(15,'571','C CENECISTA RUI BARBOSA',4,NULL,NULL,NULL,4211405,NULL),(15,'572','EEB RUDOLFO LUZINA',2,NULL,NULL,NULL,4211405,NULL),(15,'573','EEB DR SERAFIN ENOSS BERTASO',2,NULL,NULL,NULL,4211454,NULL),(15,'574','EEB FRANCISCO MAZZOLA',2,NULL,NULL,NULL,4211504,NULL),(15,'575','C CENECISTA CÔNEGO MIGUEL GIACCA',4,NULL,NULL,NULL,4211603,NULL),(15,'576','EEB ABÍLIO CÉSAR BORGES',2,NULL,NULL,NULL,4211603,NULL),(15,'577','EEB HUMBERTO HERMES HOFFMANN',2,NULL,NULL,NULL,4211603,NULL),(15,'578','EEB JULIETA TORRES GONÇALVES',2,NULL,NULL,NULL,4211603,NULL),(15,'579','EEB SANTA LÚCIA',2,NULL,NULL,NULL,4211652,NULL),(15,'58','EEB DAVID PEDRO ESPÍNDOLA',2,NULL,NULL,NULL,4202107,NULL),(15,'580','EEB TONEZA CASCAES',2,NULL,NULL,NULL,4211702,NULL),(15,'581','ESC BARRIGA VERDE',4,NULL,NULL,NULL,4211702,NULL),(15,'582','ETC DE ORLEANS',1,NULL,NULL,NULL,4211702,NULL),(15,'583','EEB ELZA DEEKE',2,NULL,NULL,NULL,4211751,NULL),(15,'584','EEB FREI CRESPIM',2,NULL,NULL,NULL,4211801,NULL),(15,'585','EEB PREF SÍLVIO SANTOS',2,NULL,NULL,NULL,4211801,NULL),(15,'586','EEB CELESTINO JOSÉ DO NASCIMENTO',2,NULL,NULL,NULL,4211850,NULL),(15,'587','EEB FRANCISCO MACIEL BAGESTON',2,NULL,NULL,NULL,4211876,NULL),(15,'588','EEB PADRE ANTÔNIO TRIVELLIN',2,NULL,NULL,NULL,4211892,NULL),(15,'589','COLÉGIO CARROSSEL 2 GRAU E SUPLETIVO',4,NULL,NULL,NULL,4211900,NULL),(15,'59','EEB ESTANISLAU SCHUMANN',2,NULL,NULL,NULL,4202131,NULL),(15,'590','CENTRO EDUC MARIA VARGAS',4,NULL,NULL,NULL,4211900,NULL),(15,'591','EEB GOV IVO SILVEIRA',2,NULL,NULL,NULL,4211900,NULL),(15,'592','EEB IRMÃ MARIA TERESA',2,NULL,NULL,NULL,4211900,NULL),(15,'593','EEB JOÃO SILVEIRA',2,NULL,NULL,NULL,4211900,NULL),(15,'594','EEB JOSÉ MARIA CARDOSO DA VEIGA',2,NULL,NULL,NULL,4211900,NULL),(15,'595','EEB PE VICENTE FERREIRA CORDEIRO',2,NULL,NULL,NULL,4211900,NULL),(15,'596','COLÉGIO BOM JESUS LTDA',4,NULL,NULL,NULL,4211900,NULL),(15,'597','COL CARROCEL',4,NULL,NULL,NULL,4211900,NULL),(15,'598','EEB CLAUDINO CRESTANI',2,NULL,NULL,NULL,4212007,NULL),(15,'599','EEB CATHARINA SEGER',2,NULL,NULL,NULL,4212007,NULL),(15,'6','EEB PEDRO AMÉRICO',2,NULL,NULL,NULL,4200200,NULL),(15,'60','EEB PROF. FCO BRASINHA DIAS',2,NULL,NULL,NULL,4202156,NULL),(15,'600','COL. CENECISTA NEREU RAMOS',4,NULL,NULL,NULL,4212106,NULL),(15,'601','EEB FELISBERTO DE CARVALHO',2,NULL,NULL,NULL,4212106,NULL),(15,'602','C PAPANDUVA',4,NULL,NULL,NULL,4212205,NULL),(15,'603','EEB ALINOR VIEIRA CORTE',2,NULL,NULL,NULL,4212205,NULL),(15,'604','EEB ADOLFO SILVEIRA',2,NULL,NULL,NULL,4212239,NULL),(15,'605','EEB GOV HILDO MENEGHETTI',2,NULL,NULL,NULL,4212254,NULL),(15,'606','EEB PROFª CORÁLIA GEVAERD OLINNGER',2,NULL,NULL,NULL,4212270,NULL),(15,'607','EEB FREDERICO SANTOS',2,NULL,NULL,NULL,4212304,NULL),(15,'608','EEB IMACULADO CORAÇÃO DE MARIA',2,NULL,NULL,NULL,4212403,NULL),(15,'609','EEB MANOEL HENRIQUE DE ASSIS',2,NULL,NULL,NULL,4212502,NULL),(15,'61','EEB CENECISTA TERCÍLIO LONGO',2,NULL,NULL,NULL,4202206,NULL),(15,'610','EEB PROF JOÃO BATISTA PAIVA',2,NULL,NULL,NULL,4212502,NULL),(15,'611','C CENECISTA IRINEU BORNHAUSEN',4,NULL,NULL,NULL,4212601,NULL),(15,'612','EEB IRMÃ ANUNCIATA SPERANDIO',2,NULL,NULL,NULL,4212601,NULL),(15,'613','EEB HERMES FONTES',2,NULL,NULL,NULL,4212700,NULL),(15,'614','EEB ALEXANDRE GUILHERME FIGUEREDO',2,NULL,NULL,NULL,4212809,NULL),(15,'615','C PLÍNIO ARLINDO DE NES',1,NULL,NULL,NULL,4212908,NULL),(15,'616','EEB JOSÉ MARCOLINO ECKERT',2,NULL,NULL,NULL,4212908,NULL),(15,'617','C CENECISTA DOM BOSCO',4,NULL,NULL,NULL,4213005,NULL),(15,'618','EEB PROFª MAURA DE SENA PEREIRA',2,NULL,NULL,NULL,4213005,NULL),(15,'619','EEB CARLOS CHAGAS',2,NULL,NULL,NULL,4213104,NULL),(15,'62','EEB TEÓFILO NOLASCO DE ALMEIDA',2,NULL,NULL,NULL,4202206,NULL),(15,'620','EEB PROFª LOURDES TONIN',2,NULL,NULL,NULL,4213153,NULL),(15,'621','EEB JOSE BONIFÁCIO',2,NULL,NULL,NULL,4213203,NULL),(15,'622','EEB PRES PRUDENTE DE MORAIS',2,NULL,NULL,NULL,4213203,NULL),(15,'623','COL CITI',4,NULL,NULL,NULL,4213203,NULL),(15,'624','CONJUNTO EDUCACIONAL DR BLUMENAU',4,NULL,NULL,NULL,4213203,NULL),(15,'625','EEB SÃO TARCÍSIO',2,NULL,NULL,NULL,4213302,NULL),(15,'626','EEB FREI ROGÉRIO',2,NULL,NULL,NULL,4213351,NULL),(15,'627','C CENECISTA ALBERTO ZOLLER FILHO',4,NULL,NULL,NULL,4213401,NULL),(15,'628','EEB BELERMINO VITOR DALLA VECCHIA',2,NULL,NULL,NULL,4213401,NULL),(15,'629','EEB DOM VITAL',2,NULL,NULL,NULL,4213401,NULL),(15,'63','C EDUCAR',4,NULL,NULL,NULL,4202305,NULL),(15,'630','EEB TIRADENTES',2,NULL,NULL,NULL,4213500,NULL),(15,'631','C MIGUEL FARAH',4,NULL,NULL,NULL,4213609,NULL),(15,'632','C SANTOS ANJOS',4,NULL,NULL,NULL,4213609,NULL),(15,'633','COLÉGIO SÃO JOSÉ',4,NULL,NULL,NULL,4213609,NULL),(15,'634','EEB ANTÔNIO GONZAGA',2,NULL,NULL,NULL,4213609,NULL),(15,'635','EEB CEL CID GONZAGA',2,NULL,NULL,NULL,4213609,NULL),(15,'636','EEB PROF BALBUÍNO CARDOSO',2,NULL,NULL,NULL,4213609,NULL),(15,'637','EEB PROF CLEMENTINO BRITTO',2,NULL,NULL,NULL,4213609,NULL),(15,'638','EEB PROF GERMANO WAGENFUHR',2,NULL,NULL,NULL,4213609,NULL),(15,'639','EEB ARNO SIEVERDT',2,NULL,NULL,NULL,4213708,NULL),(15,'64','EEB CÔNEGO RODOLFO MACHADO',2,NULL,NULL,NULL,4202305,NULL),(15,'640','EEB PROF ANAIR MARGARIDA VOLTOLINI',2,NULL,NULL,NULL,4213708,NULL),(15,'641','EEB BULCÃO VIANA',2,NULL,NULL,NULL,4213807,NULL),(15,'642','EEB DOIS IRMÃOS',2,NULL,NULL,NULL,4213906,NULL),(15,'643','EEB CECÍLIA AX',2,NULL,NULL,NULL,4214003,NULL),(15,'644','EEB ORLANDO BERTOLI',2,NULL,NULL,NULL,4214003,NULL),(15,'645','EEB JOÃO TOLENTINO JUNIOR',2,NULL,NULL,NULL,4214102,NULL),(15,'646','EEB ANTENOR NASCENTES',2,NULL,NULL,NULL,4214151,NULL),(15,'647','C CENECISTA NS DE FÁTIMA',4,NULL,NULL,NULL,4214201,NULL),(15,'648','EEB PROFª JUREMA SAVI MILANEZ',2,NULL,NULL,NULL,4214201,NULL),(15,'649','EEB MARILDA LENIA ARAÚJO',2,NULL,NULL,NULL,4214300,NULL),(15,'65','EEB PROFª MARIA DA GLÓRIA V DE FARIA',2,NULL,NULL,NULL,4202305,NULL),(15,'650','EEB SANTOS ANJOS',2,NULL,NULL,NULL,4214409,NULL),(15,'651','EEB DR FERNANDO FERREIRA DE MELLO',2,NULL,NULL,NULL,4214508,NULL),(15,'652','EEB EXPEDICIONÁRIO MÁRIO NARDELLI',2,NULL,NULL,NULL,4214607,NULL),(15,'653','C DOM BOSCO',4,NULL,NULL,NULL,4214805,NULL),(15,'654','C SINODAL RUY BARBOSA',4,NULL,NULL,NULL,4214805,NULL),(15,'655','C TÉCNICO DA FEDAVI',4,NULL,NULL,NULL,4214805,NULL),(15,'656','EEB DEP JOÃO CUSTÓDIO DA LUZ',2,NULL,NULL,NULL,4214805,NULL),(15,'657','EEB PAULO CORDEIRO',2,NULL,NULL,NULL,4214805,NULL),(15,'658','EEB PAULO ZIMMERMANN',2,NULL,NULL,NULL,4214805,NULL),(15,'659','EEB PROF HENRIQUE DA SILVA FONTES',2,NULL,NULL,NULL,4214805,NULL),(15,'66','EEB PROFª TÂNIA MARA F E SILVA LOCKS',2,NULL,NULL,NULL,4202305,NULL),(15,'660','CE ROBERTO MACHADO',2,NULL,NULL,NULL,4214805,NULL),(15,'661','COLÉGIO UNIVEST',4,NULL,NULL,NULL,4214805,NULL),(15,'662','ESC AGROTÉCNICA FEDERAL DE RIO DO SUL',3,NULL,NULL,NULL,4214805,NULL),(15,'663','INSTITUTO MARIA AUXILIADORA',4,NULL,NULL,NULL,4214805,NULL),(15,'664','EEB PROF GIOVANI TRENTINI',2,NULL,NULL,NULL,4214706,NULL),(15,'665','EEB NS DE FÁTIMA',2,NULL,NULL,NULL,4214904,NULL),(15,'666','C CENECISTA SÃO JOSÉ',4,NULL,NULL,NULL,4215000,NULL),(15,'667','CE JORGE ZIPPERER',2,NULL,NULL,NULL,4215000,NULL),(15,'668','EEB LUIZ BERNARDO OLSEN',2,NULL,NULL,NULL,4215000,NULL),(15,'669','EEM MANUEL DA NÓBREGA',2,NULL,NULL,NULL,4215000,NULL),(15,'67','C DOUTOR BLUMENAU',4,NULL,NULL,NULL,4202404,NULL),(15,'670','CE PROFª AURORA SIQUEIRA JABLONSKI',2,NULL,NULL,NULL,4215000,NULL),(15,'671','CE PROFª MARTA TAVARES',2,NULL,NULL,NULL,4215000,NULL),(15,'672','ESC. ITINERANTE ESITRINE',1,NULL,NULL,NULL,4215000,NULL),(15,'673','EEB PROF DJALMA BENTO',2,NULL,NULL,NULL,4215059,NULL),(15,'674','EEB PROFª GENOVEVA DALLA COSTA',2,NULL,NULL,NULL,4215075,NULL),(15,'675','C COMÉRCIO MÁRIO LOCATELLI',4,NULL,NULL,NULL,4215109,NULL),(15,'676','C MADRE AVOSANI',4,NULL,NULL,NULL,4215109,NULL),(15,'677','EEB OSVALDO CRUZ',2,NULL,NULL,NULL,4215109,NULL),(15,'678','C CENECISTA IMACULADA CONCEIÇÃO',4,NULL,NULL,NULL,4215208,NULL),(15,'679','EEB PROF HERMÍNIO H. DA SILVA',2,NULL,NULL,NULL,4215208,NULL),(15,'68','C DR FRITZ MULLER',2,NULL,NULL,NULL,4202404,NULL),(15,'680','EEB GUILHERME ANDRE DALRI',2,NULL,NULL,NULL,4215307,NULL),(15,'682','EEB EMÍLIA BOOS LAUS SCHMIDT',2,NULL,NULL,NULL,4215356,NULL),(15,'683','C CENECISTA EURICO GASPAR DUTRA',4,NULL,NULL,NULL,4215406,NULL),(15,'684','EEB CECÍLIA VIVAN',2,NULL,NULL,NULL,4215406,NULL),(15,'685','EEB BERNARDO SCHMITZ',2,NULL,NULL,NULL,4215455,NULL),(15,'686','EEB IRMÃ IRENE',2,NULL,NULL,NULL,4215505,NULL),(15,'687','EEB SANTA HELENA',2,NULL,NULL,NULL,4215554,NULL),(15,'688','EEB PROF ALDO CÂMARA',2,NULL,NULL,NULL,4215604,NULL),(15,'689','EEB JOÃO DOS SANTOS AREÃO',2,NULL,NULL,NULL,4215653,NULL),(15,'69','EEB PEDRO II',2,NULL,NULL,NULL,4202404,NULL),(15,'690','ESC AGROTÉCNICA FEDERAL DE SOMBRIO',3,NULL,NULL,NULL,4215653,NULL),(15,'691','EEB PE JOÃO KOMINEK',2,NULL,NULL,NULL,4215679,NULL),(15,'692','EEB SANTA TEREZINHA',2,NULL,NULL,NULL,4215687,NULL),(15,'693','EEB CELSO RAMOS FILHO',2,NULL,NULL,NULL,4215802,NULL),(15,'694','EEB FREDERICO FENDRICH',2,NULL,NULL,NULL,4215802,NULL),(15,'695','EEB ORESTES GUIMARÃES',2,NULL,NULL,NULL,4215802,NULL),(15,'696','EEB PREF CARLOS ZIPPERER SOBRINHO',2,NULL,NULL,NULL,4215802,NULL),(15,'697','EEM PROF ROBERTO GRANT',2,NULL,NULL,NULL,4215802,NULL),(15,'698','EEB SÃO BENTO',2,NULL,NULL,NULL,4215802,NULL),(15,'699','COL SÃO JOSÉ',4,NULL,NULL,NULL,4215802,NULL),(15,'7','EEB MARIA REGINA DE OLIVEIRA',2,NULL,NULL,NULL,4200309,NULL),(15,'70','C FRANCISCANO SANTO ANTÔNIO',4,NULL,NULL,NULL,4202404,NULL),(15,'700','FETEP FUND ENS TECNOL E PESQUISA',4,NULL,NULL,NULL,4215802,NULL),(15,'701','EEB SÃO BERNARDINO',2,NULL,NULL,NULL,4215752,NULL),(15,'702','EEB SÃO TARCÍSIO',2,NULL,NULL,NULL,4215901,NULL),(15,'703','C 25 DE JULHO',4,NULL,NULL,NULL,4216008,NULL),(15,'704','EEB CARDEAL ARCOVERDE',2,NULL,NULL,NULL,4216008,NULL),(15,'705','EEB PROF ARGEU FURTADO',2,NULL,NULL,NULL,4216057,NULL),(15,'706','C CENECISTA NS APARECIDA',4,NULL,NULL,NULL,4216107,NULL),(15,'707','EEB JOÃO ROBERTO MOREIRA',2,NULL,NULL,NULL,4216107,NULL),(15,'708','EEB PROF NICOLA BAPTISTA',2,NULL,NULL,NULL,4216206,NULL),(15,'709','EEB PROFª CLAURINICE VIEIRA CALDEIRA',2,NULL,NULL,NULL,4216206,NULL),(15,'71','C SAGRADA FAMÍLIA',4,NULL,NULL,NULL,4202404,NULL),(15,'710','EEB SANTA CATARINA',2,NULL,NULL,NULL,4216206,NULL),(15,'711','ETC SÃO FRANCISCO DO SUL',1,NULL,NULL,NULL,4216206,NULL),(15,'712','EEB SÃO JOÃO BATISTA',2,NULL,NULL,NULL,4216305,NULL),(15,'713','EEB PROFª ELVIRA FARIA PASSOS',2,NULL,NULL,NULL,4216354,NULL),(15,'714','C CENECISTA JORGE LACERDA',4,NULL,NULL,NULL,4216255,NULL),(15,'715','EEB  MADRE BENVENUTA',2,NULL,NULL,NULL,4216255,NULL),(15,'716','EEB  PE TEODORO TREIS',2,NULL,NULL,NULL,4216255,NULL),(15,'717','EEB ÂNGELO SCARPA',2,NULL,NULL,NULL,4216404,NULL),(15,'718','C CENECISTA SÃO JOAQUIM',4,NULL,NULL,NULL,4216503,NULL),(15,'719','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4216503,NULL),(15,'72','C VALE DO ITAJAÍ',4,NULL,NULL,NULL,4202404,NULL),(15,'720','COLÉGIO PARADIGMA',4,NULL,NULL,NULL,4216503,NULL),(15,'721','EDUCANDÁRIO SANTA ISABEL',4,NULL,NULL,NULL,4216503,NULL),(15,'722','C CENECISTA MONS FREDERICO HOBOLD',4,NULL,NULL,NULL,4216602,NULL),(15,'723','COL DOM JAIME CÂMARA',4,NULL,NULL,NULL,4216602,NULL),(15,'724','COL CENTRO EDUC VISÃO',4,NULL,NULL,NULL,4216602,NULL),(15,'725','COL SOLAR DO CHAPEUZ VERMELHO',4,NULL,NULL,NULL,4216602,NULL),(15,'726','EEB BELA VISTA',2,NULL,NULL,NULL,4216602,NULL),(15,'727','EEB CECÍLIA ROSA LOPES',2,NULL,NULL,NULL,4216602,NULL),(15,'728','EEB FRANCISCO TOLENTINO',2,NULL,NULL,NULL,4216602,NULL),(15,'729','EEB N S DA CONCEIÇÃO',2,NULL,NULL,NULL,4216602,NULL),(15,'73','EEB ADOLPHO KONDER',2,NULL,NULL,NULL,4202404,NULL),(15,'730','EEB PRES JUSC KUBITSCHEK',2,NULL,NULL,NULL,4216602,NULL),(15,'731','EEB PROF JOAQUIM SANTIAGO',2,NULL,NULL,NULL,4216602,NULL),(15,'732','EEB PROF LAÉRCIO C. ANDRADA',2,NULL,NULL,NULL,4216602,NULL),(15,'733','EEB PROFª MARIA J B VIEIRA',2,NULL,NULL,NULL,4216602,NULL),(15,'734','EEB WANDERLEY JUNIOR',2,NULL,NULL,NULL,4216602,NULL),(15,'735','CENTRO DE ENSINO KOBRASOL LTDA',4,NULL,NULL,NULL,4216602,NULL),(15,'736','CM MARIA LUIZA DE MELO',1,NULL,NULL,NULL,4216602,NULL),(15,'737','COL ALPHA OBJETIVO',4,NULL,NULL,NULL,4216602,NULL),(15,'738','COLÉGIO ELISA ANDREOLI',4,NULL,NULL,NULL,4216602,NULL),(15,'739','ETFSC UN ENS DESCENT SÃO JOSÉ CEFET',3,NULL,NULL,NULL,4216602,NULL),(15,'74','EEB CEL PEDRO CHRISTIANO FEDDERSEN',2,NULL,NULL,NULL,4202404,NULL),(15,'740','EEB CEDRENSE',2,NULL,NULL,NULL,4216701,NULL),(15,'741','C AGRÍCOLA CAETANO COSTA',2,NULL,NULL,NULL,4216800,NULL),(15,'742','EEB PROF MAURO GONÇALVES FARIAS',2,NULL,NULL,NULL,4216800,NULL),(15,'743','C CENECISTA JORGE LACERDA',4,NULL,NULL,NULL,4216909,NULL),(15,'744','EEB RUI BARBOSA',2,NULL,NULL,NULL,4216909,NULL),(15,'745','EEB SOROR ANGÉLICA',2,NULL,NULL,NULL,4216909,NULL),(15,'746','COLÉGIO IMPACTO LTDA',4,NULL,NULL,NULL,4216909,NULL),(15,'747','ESC SÃO FRANCISCO DE ASSIS',4,NULL,NULL,NULL,4216909,NULL),(15,'748','EEB SÃO LUDGERO',2,NULL,NULL,NULL,4217006,NULL),(15,'749','CE SÃO LUDGERO',2,NULL,NULL,NULL,4217006,NULL),(15,'75','EEB EMÍLIO BAUMGART',2,NULL,NULL,NULL,4202404,NULL),(15,'750','EEB FRIDOLINO HULSE',2,NULL,NULL,NULL,4217105,NULL),(15,'751','C NORMAL PARTICULAR SÃO JOSÉ',4,NULL,NULL,NULL,4217204,NULL),(15,'752','COL LA SALLE PEPERI',4,NULL,NULL,NULL,4217204,NULL),(15,'753','EEB ALBERICO AZEVEDO',2,NULL,NULL,NULL,4217204,NULL),(15,'754','EEB DR GUILHERME JOSE MISSEN',2,NULL,NULL,NULL,4217204,NULL),(15,'755','EEB PE JALDYR BROERING F DA SILVA',2,NULL,NULL,NULL,4217204,NULL),(15,'756','EEB SANTA RITA',2,NULL,NULL,NULL,4217204,NULL),(15,'757','EEB SÃO MIGUEL',2,NULL,NULL,NULL,4217204,NULL),(15,'758','CEDUP GETÚLIO VARGAS',2,NULL,NULL,NULL,4217204,NULL),(15,'759','EEB LINHA SARGENTO',2,NULL,NULL,NULL,4217154,NULL),(15,'76','EEB GOV CELSO RAMOS',2,NULL,NULL,NULL,4202404,NULL),(15,'760','CM SÃO FRANCISCO DE ASSIS',1,NULL,NULL,NULL,4217253,NULL),(15,'761','EEB RODRIGUES ALVES',2,NULL,NULL,NULL,4217303,NULL),(15,'762','EEB MIGUEL COUTO',2,NULL,NULL,NULL,4217402,NULL),(15,'763','EEB RAIMUNDO CORRÊA',2,NULL,NULL,NULL,4217501,NULL),(15,'764','EEB SEARA',2,NULL,NULL,NULL,4217501,NULL),(15,'765','EEB LA SALLE',2,NULL,NULL,NULL,4217550,NULL),(15,'766','C CENECISTA SANTA BARBARA',4,NULL,NULL,NULL,4217600,NULL),(15,'767','CE DOM ORIONE',4,NULL,NULL,NULL,4217600,NULL),(15,'768','EEB JOSÉ DO PATROCÍNIO',2,NULL,NULL,NULL,4217600,NULL),(15,'769','EEB CATULO DA PAIXÃO CEARENSE',2,NULL,NULL,NULL,4217709,NULL),(15,'77','EEB HERCÍLIO DEEKE',2,NULL,NULL,NULL,4202404,NULL),(15,'770','INST EDUCACIONAL MADRE ELISA SAVOLDI',4,NULL,NULL,NULL,4217709,NULL),(15,'771','COL. CEN. CHARLES EDGAR MORITZ',4,NULL,NULL,NULL,4215703,NULL),(15,'772','EEB NEREU RAMOS',2,NULL,NULL,NULL,4215703,NULL),(15,'773','EEB PROF. SILVEIRA MATOS',2,NULL,NULL,NULL,4215703,NULL),(15,'774','COL. QUÂNTICO LTDA LAVOISIER',4,NULL,NULL,NULL,4215703,NULL),(15,'775','EEB HÉLIO WASUM',2,NULL,NULL,NULL,4217758,NULL),(15,'776','C CENECISTA NS DE FÁTIMA',4,NULL,NULL,NULL,4217808,NULL),(15,'777','EEB LUIZ BERTOLI',2,NULL,NULL,NULL,4217808,NULL),(15,'778','EEB OTTO HOSANG',2,NULL,NULL,NULL,4217808,NULL),(15,'779','EEB MATER SALVATORIS',2,NULL,NULL,NULL,4217907,NULL),(15,'78','EEM ILSE KARSTEN',2,NULL,NULL,NULL,4202404,NULL),(15,'780','EEB OSVALDO FERREIRA DE MELO',2,NULL,NULL,NULL,4217956,NULL),(15,'781','C CENECISTA BENJAMIN GALLOTTI',4,NULL,NULL,NULL,4218004,NULL),(15,'782','C ESPÍRITO SANTO',4,NULL,NULL,NULL,4218004,NULL),(15,'783','EEB CRUZ E SOUSA',2,NULL,NULL,NULL,4218004,NULL),(15,'784','COL E SUPLETIVO NOVO MILÊNIO',4,NULL,NULL,NULL,4218004,NULL),(15,'785','EEB TIMBÉ DO SUL',2,NULL,NULL,NULL,4218103,NULL),(15,'786','C COMERCIAL DR LEOBERTO LEAL',4,NULL,NULL,NULL,4218202,NULL),(15,'787','EEB RUY BARBOSA',2,NULL,NULL,NULL,4218202,NULL),(15,'788','EEB MACHADO DE ASSIS',2,NULL,NULL,NULL,4218251,NULL),(15,'789','EEB COLOMBO MACHADO SALLES',2,NULL,NULL,NULL,4218301,NULL),(15,'79','EEB LUIZ DELFINO',2,NULL,NULL,NULL,4202404,NULL),(15,'790','EEB FREI MENANDRO KAMPS',2,NULL,NULL,NULL,4218301,NULL),(15,'791','EEB GENERAL OSÓRIO',2,NULL,NULL,NULL,4218301,NULL),(15,'792','EEB UDO DEEK',2,NULL,NULL,NULL,4218350,NULL),(15,'793','EEB MON. BERNARDO PETERS',2,NULL,NULL,NULL,4218400,NULL),(15,'794','C CENECISTA FRANCISCO LINDNER',4,NULL,NULL,NULL,4218509,NULL),(15,'795','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4218509,NULL),(15,'796','EEB DR. HERMANN BLUMENAU',2,NULL,NULL,NULL,4218608,NULL),(15,'797','C SÃO JOSÉ',4,NULL,NULL,NULL,4218707,NULL),(15,'798','EEB HENRIQUE FONTES',2,NULL,NULL,NULL,4218707,NULL),(15,'799','EEB HERCÍLIO LUZ',2,NULL,NULL,NULL,4218707,NULL),(15,'8','CEDUP PROF JALDYR BHERING F SILVA',2,NULL,NULL,NULL,4200408,NULL),(15,'80','EEB PE JOSÉ MAURÍCIO',2,NULL,NULL,NULL,4202404,NULL),(15,'800','EEB JOÃO TEIXEIRA NUNES',2,NULL,NULL,NULL,4218707,NULL),(15,'801','EEB JOÃO XXIII',2,NULL,NULL,NULL,4218707,NULL),(15,'802','EEB MARTINHO ALVES DOS SANTOS',2,NULL,NULL,NULL,4218707,NULL),(15,'803','EEB SANTO ANJO DA GUARDA',2,NULL,NULL,NULL,4218707,NULL),(15,'804','EEB SEN FRANCISCO BENJ. GALLOTTI',2,NULL,NULL,NULL,4218707,NULL),(15,'805','CENTRO INTERCOLEGIAL INTEG DE TUBARÃO',4,NULL,NULL,NULL,4218707,NULL),(15,'806','COL DEHON',4,NULL,NULL,NULL,4218707,NULL),(15,'807','CENT. EDUC ENERGIA TUBARÃO SC LTDA',4,NULL,NULL,NULL,4218707,NULL),(15,'808','CEDUP DIOMÍCIO FREITAS',2,NULL,NULL,NULL,4218707,NULL),(15,'809','ETC DE TUBARÃO',4,NULL,NULL,NULL,4218707,NULL),(15,'81','EEM PROF WIGAND GELHARDT',2,NULL,NULL,NULL,4202404,NULL),(15,'810','SEMINÁRIO NS DE FÁTIMA',4,NULL,NULL,NULL,4218707,NULL),(15,'811','C CENECISTA ANITA GARIBALDI',4,NULL,NULL,NULL,4218756,NULL),(15,'812','EEB PE BALDUÍNO RAMBO',2,NULL,NULL,NULL,4218756,NULL),(15,'813','C SERVOS DE MARIA',4,NULL,NULL,NULL,4218806,NULL),(15,'814','EEB JOÃO COLODEL',2,NULL,NULL,NULL,4218806,NULL),(15,'815','EEB JORGE SCHUTZ',2,NULL,NULL,NULL,4218806,NULL),(15,'816','EEB SÃO LUIZ',2,NULL,NULL,NULL,4218855,NULL),(15,'817','C SANTA CLARA',4,NULL,NULL,NULL,4218905,NULL),(15,'818','EEB ARAÚJO FIGUEIREDO',2,NULL,NULL,NULL,4218905,NULL),(15,'819','EEB MANOEL P. DE MEDEIROS',2,NULL,NULL,NULL,4218954,NULL),(15,'82','EEB PROF HERIBERTO JOSEPH MÜLLER',2,NULL,NULL,NULL,4202404,NULL),(15,'820','C RAINHA DO MUNDO',4,NULL,NULL,NULL,4219002,NULL),(15,'821','EEB BARÃO DO RIO BRANCO',2,NULL,NULL,NULL,4219002,NULL),(15,'822','EEB CAETANO BEZ BATTI',2,NULL,NULL,NULL,4219002,NULL),(15,'823','C CENECISTA FORTUNATO DANIELLI',4,NULL,NULL,NULL,4219101,NULL),(15,'824','EEB KYRANA LACERDA',2,NULL,NULL,NULL,4219101,NULL),(15,'825','EEB DEP. AUGUSTO BRESOLA',2,NULL,NULL,NULL,4219101,NULL),(15,'826','EEB GALEAZZO PAGANELLI',2,NULL,NULL,NULL,4219176,NULL),(15,'827','EEB VITORIO ROMAN',2,NULL,NULL,NULL,4219176,NULL),(15,'828','EEB CACILDA GUIMARÃES',2,NULL,NULL,NULL,4219200,NULL),(15,'829','COL. IMACULADA CONCEIÇÃO',4,NULL,NULL,NULL,4219309,NULL),(15,'83','EEB PROF JOÃO WIDEMANN',2,NULL,NULL,NULL,4202404,NULL),(15,'830','EEB INSPETOR EURICO RAUEN',2,NULL,NULL,NULL,4219309,NULL),(15,'831','EEB PROFª ADELINA RÉGIS',2,NULL,NULL,NULL,4219309,NULL),(15,'832','ESAVI ESCOLA DE APLICAÇÃO DE VIDEIRA',4,NULL,NULL,NULL,4219309,NULL),(15,'833','ETAVI ESCOLA TÉCNICA DE A DE VIDEIRA',4,NULL,NULL,NULL,4219309,NULL),(15,'834','EEB VITOR MEIRELES',2,NULL,NULL,NULL,4219358,NULL),(15,'835','EEB PROF. SEMIRAMIS BOSCO',2,NULL,NULL,NULL,4219408,NULL),(15,'836','C LA SALLE',4,NULL,NULL,NULL,4219507,NULL),(15,'837','CE APARÍCIO JÚLIO FARRAPO',2,NULL,NULL,NULL,4219507,NULL),(15,'838','EEB JOÃO WINCKLER',2,NULL,NULL,NULL,4219507,NULL),(15,'839','CE JOAQUIM NABUCO',2,NULL,NULL,NULL,4219507,NULL),(15,'84','EEM PROF ELZA HENRIQUETA T PACHECO',2,NULL,NULL,NULL,4202404,NULL),(15,'840','EEB PRES ARTUR DA COSTA E SILVA',2,NULL,NULL,NULL,4219507,NULL),(15,'841','CE PROF IRACY TONELLO',2,NULL,NULL,NULL,4219507,NULL),(15,'842','CE NEUSA LEMOS MARQUES',2,NULL,NULL,NULL,4219507,NULL),(15,'843','C CENECISTA JOÃO XXIII',4,NULL,NULL,NULL,4219606,NULL),(15,'844','EEB PROF LUIZ SANCHES BEZERRA DA TRINDAD',2,NULL,NULL,NULL,4219606,NULL),(15,'845','C COMERCIAL DE XAXIM',4,NULL,NULL,NULL,4219705,NULL),(15,'846','EEB PROFª NEUSA MASSOLINI',2,NULL,NULL,NULL,4219705,NULL),(15,'847','EEB GOMES CARNEIRO',2,NULL,NULL,NULL,4219705,NULL),(15,'848','EEB PROF CUSTÓDIO DE CAMPOS',2,NULL,NULL,NULL,4219705,NULL),(15,'849','EEB MAJOR CIPRIANO R. DE ALMEIDA',2,NULL,NULL,NULL,4219853,NULL),(15,'85','EEB SANTOS DUMONT',2,NULL,NULL,NULL,4202404,NULL),(15,'850','EEB SÃO JOÃO',2,NULL,NULL,NULL,4200200,NULL),(15,'851','CE PROF. CLOVIS GOULART',2,NULL,NULL,NULL,4201406,NULL),(15,'852','EEB PROFª NEUSA OSTETTO CARDOSO',2,NULL,NULL,NULL,4201406,NULL),(15,'853','EEB GOVERNADOR BORNHAUSEN',2,NULL,NULL,NULL,4201604,NULL),(15,'854','EEB APOLÔNIO IRENO CARDOSO',2,NULL,NULL,NULL,4201950,NULL),(15,'855','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4202404,NULL),(15,'856','EEB ADOLFO JOSÉ MARTINS',2,NULL,NULL,NULL,4202503,NULL),(15,'857','EEB ANTÔNIO MORANDINI',2,NULL,NULL,NULL,4204202,NULL),(15,'858','EEB PROF MANSUETO BOFF',2,NULL,NULL,NULL,4204301,NULL),(15,'859','ETFESC UNED JARAGUÁ DO SUL (CEFET)',3,NULL,NULL,NULL,4208906,NULL),(15,'86','COLÉGIO BLUMENAUENSE',4,NULL,NULL,NULL,4202404,NULL),(15,'860','EEM DR HANS DIETER SCHMIDT',2,NULL,NULL,NULL,4209102,NULL),(15,'861','COLÉGIO APLICAÇÃO DA UNIVILLE',4,NULL,NULL,NULL,4209102,NULL),(15,'862','EEB MARIA MADALENA DE MOURA FERRO',2,NULL,NULL,NULL,4209177,NULL),(15,'863','EEB NOSSA SENHORA DE FÁTIMA',2,NULL,NULL,NULL,4211751,NULL),(15,'864','EEB ALFREDO DALFOVO',2,NULL,NULL,NULL,4214805,NULL),(15,'865','EEB WILL HERING',2,NULL,NULL,NULL,4214805,NULL),(15,'866','EEB SÃO TIAGO',2,NULL,NULL,NULL,4215695,NULL),(15,'867','ASSOCIAÇÃO FRANCISQUENSE DE ENSINO',4,NULL,NULL,NULL,4216206,NULL),(15,'868','COLÉGIO PADRE AGOSTINHO',4,NULL,NULL,NULL,4216602,NULL),(15,'869','EEB GAMA ROSA',2,NULL,NULL,NULL,4217253,NULL),(15,'87','ESC BARÃO DO RIO BRANCO',4,NULL,NULL,NULL,4202404,NULL),(15,'870','EEB PROF. JÚLIO SCHEIDEMANTEL',2,NULL,NULL,NULL,4218202,NULL),(15,'871','ESCOLA TÉCNICA DO VALE DO ITAJAÍ',4,NULL,NULL,NULL,4218202,NULL),(15,'872','CENTRO EDUCACIONAL EXPONENCIAL SA.',4,NULL,NULL,NULL,4219507,NULL),(15,'873','EEB PROF. LAUREANO PACHECO',2,NULL,NULL,NULL,4202008,NULL),(15,'874','EEB JONAS R COELHO NEVES',2,NULL,NULL,NULL,4202404,NULL),(15,'875','ESC TÉCNICA DE SAÚDE',2,NULL,NULL,NULL,4202404,NULL),(15,'876','EEB OSVALDO REIS',2,NULL,NULL,NULL,4202909,NULL),(15,'877','CENTRO EDUC ILDA IGNEZ',4,NULL,NULL,NULL,4203204,NULL),(15,'878','EEB EMILIANO RAMOS',2,NULL,NULL,NULL,4203253,NULL),(15,'879','EEB JOÃO DAGOSTIM',2,NULL,NULL,NULL,4204608,NULL),(15,'88','ESC TÉCNICA DO VALE DO ITAJAÍ',4,NULL,NULL,NULL,4202404,NULL),(15,'880','COLÉGIO DE APLICAÇÃO DA UNESC',4,NULL,NULL,NULL,4204608,NULL),(15,'881','COLÉGIO MARIA IMACULADA',4,NULL,NULL,NULL,4204806,NULL),(15,'882','COLÉGIO DOM BOSCO',4,NULL,NULL,NULL,4205407,NULL),(15,'883','ESC AUTONOMIA LTDA',4,NULL,NULL,NULL,4205407,NULL),(15,'884','ESC DINÂMICA',4,NULL,NULL,NULL,4205407,NULL),(15,'885','CEFRAI - CENT. EDUC FRAIBURGO LTDA',4,NULL,NULL,NULL,4205506,NULL),(15,'886','EEB WALMOR RIBEIRO',2,NULL,NULL,NULL,4206900,NULL),(15,'887','EEB RAULINO HORN',2,NULL,NULL,NULL,4207502,NULL),(15,'888','EEB VER. PAULO FRANÇA',2,NULL,NULL,NULL,4208500,NULL),(15,'889','EEB CAMPOS VERDES',2,NULL,NULL,NULL,4208807,NULL),(15,'89','CEDUP HERMANN HERING',2,NULL,NULL,NULL,4202404,NULL),(15,'890','EEB PROF GIARDINI LUIZ LENZI',2,NULL,NULL,NULL,4208906,NULL),(15,'891','EEM PROF. DARCI FRANKE WELKE',2,NULL,NULL,NULL,4208906,NULL),(15,'892','COLÉGIO SUPLETIVO NOVA ERA',4,NULL,NULL,NULL,4208906,NULL),(15,'893','EEM DR RUBEN ROBERTO SCHMIDLIN',2,NULL,NULL,NULL,4209102,NULL),(15,'894','EEM PROF. ELADIR SKIBINSKI',2,NULL,NULL,NULL,4209102,NULL),(15,'896','ESC AUXILIAR DE ENFERMAGEM',1,NULL,NULL,NULL,4209102,NULL),(15,'897','COLÉGIO SIGMA LTDA',4,NULL,NULL,NULL,4209300,NULL),(15,'898','CENTRO DE EDUC GOTINHAS DO SABER',4,NULL,NULL,NULL,4210506,NULL),(15,'899','EEB PROF. ANTONIETA SILVEIRA',2,NULL,NULL,NULL,4212056,NULL),(15,'9','EEB RUTH LEBARBECHON',2,NULL,NULL,NULL,4200408,NULL),(15,'90','SOCIEDADE EDUC. BLUMENAUENSE',4,NULL,NULL,NULL,4202404,NULL),(15,'900','EEB FRANCISCO ALTAMIR WAGNER',2,NULL,NULL,NULL,4214805,NULL),(15,'901','COLÉGIO TÉCNICO DA UNIDAVI',4,NULL,NULL,NULL,4214805,NULL),(15,'902','SENAC-SERV. NAC DE APR. COMERCIAL',4,NULL,NULL,NULL,4214805,NULL),(15,'903','EEB MANOEL CRUZ',2,NULL,NULL,NULL,4216503,NULL),(15,'904','CENTRO EDUC EXTENSÃO LTDA',4,NULL,NULL,NULL,4217709,NULL),(15,'905','EEB LEOPOLDO JACOBSEN',2,NULL,NULL,NULL,4217808,NULL),(15,'906','EEB PROF JUVENAL CARDOSO ZANELLA',2,NULL,NULL,NULL,4218202,NULL),(15,'907','CENTRO EDUC PEQUENO PRÍNCIPE',4,NULL,NULL,NULL,4218707,NULL),(15,'908','EEB TITOLÍVIO VENÂNCIO ROSA',2,NULL,NULL,NULL,4201307,NULL),(15,'909','COL BOM JESUS SANTO ANTÔNIO',4,NULL,NULL,NULL,4202404,NULL),(15,'91','EEB CAMPOS SALLES',2,NULL,NULL,NULL,4202438,NULL),(15,'910','EEM NORBERTO LANSER',2,NULL,NULL,NULL,4202404,NULL),(15,'911','EEB NADIR BECKER',2,NULL,NULL,NULL,4202875,NULL),(15,'912','COL POTENCIAL',4,NULL,NULL,NULL,4202909,NULL),(15,'913','EEB BARTOLOMEU DA SILVA',2,NULL,NULL,NULL,4203709,NULL),(15,'914','EEB PROFª LÍDIA GLUSTACK REMUS',2,NULL,NULL,NULL,4204202,NULL),(15,'915','EEB PROFª SÔNIA DE OLIVEIRA ZANI',2,NULL,NULL,NULL,4204202,NULL),(15,'916','EEB SAAD ANTÔNIO SARQUIS',2,NULL,NULL,NULL,4204202,NULL),(15,'917','EEM DILSO CECCHIN',2,NULL,NULL,NULL,4204202,NULL),(15,'918','EEB DOMINGOS MACARINOS',2,NULL,NULL,NULL,4204301,NULL),(15,'919','EEB JOÃO PAULO I',2,NULL,NULL,NULL,4204558,NULL),(15,'92','C CENECISTA ARMELINA BARP DE MAMAN',4,NULL,NULL,NULL,4202503,NULL),(15,'920','COL UNIVERSITÁRIO CRICIÚMA LTDA',4,NULL,NULL,NULL,4204608,NULL),(15,'921','EEB JOÃO FRASSETTO',2,NULL,NULL,NULL,4204608,NULL),(15,'922','EEB INTENDENTE JOSÉ FERNANDES',2,NULL,NULL,NULL,4205407,NULL),(15,'923','EEB CARMEM SEARA LEITE',2,NULL,NULL,NULL,4205803,NULL),(15,'924','EEB PROF CARLOS MAFFEZZOLLI',2,NULL,NULL,NULL,4206306,NULL),(15,'925','COLÉGIO ADVENTISTA DE INDAIAL',4,NULL,NULL,NULL,4207502,NULL),(15,'926','EI EB CACIQUE VANHKRE',2,NULL,NULL,NULL,4207684,NULL),(15,'927','EEB ISABEL DA SILVA TELLES',2,NULL,NULL,NULL,4207809,NULL),(15,'928','EEB PROF ARY MASCARENHAS PASSOS',2,NULL,NULL,NULL,4208203,NULL),(15,'929','EEB XV DE JUNHO',2,NULL,NULL,NULL,4208203,NULL),(15,'93','EEB HÉLIO LENTZ PUERTA',2,NULL,NULL,NULL,4202537,NULL),(15,'930','EEB PRES TANCREDO NEVES',2,NULL,NULL,NULL,4208500,NULL),(15,'931','CENTRO EDUC MACHADO DE ASSIS',4,NULL,NULL,NULL,4209102,NULL),(15,'932','COL CENEC JOSÉ ELIAS MOREIRA',4,NULL,NULL,NULL,4209102,NULL),(15,'933','EEB FRANCISCO EBERHARDT',2,NULL,NULL,NULL,4209102,NULL),(15,'934','ESC MUNICIPAL DE SAÚDE',1,NULL,NULL,NULL,4209102,NULL),(15,'935','EEB DE LAGES',2,NULL,NULL,NULL,4209300,NULL),(15,'936','EEB PROFª VIRGÍNIA P.SILVA GONÇALVES',2,NULL,NULL,NULL,4211058,NULL),(15,'937','COL DE NAVEGANTES FERREIRA PISKE',4,NULL,NULL,NULL,4211306,NULL),(15,'938','EEB PROFª IRENE ROMÃO',2,NULL,NULL,NULL,4211306,NULL),(15,'939','CENTRO EDUC RODA PIÃO LTDA',4,NULL,NULL,NULL,4211900,NULL),(15,'94','EEB PROF SÍLVIO ROMERO',2,NULL,NULL,NULL,4202578,NULL),(15,'940','COL SANTO ANTÔNIO',4,NULL,NULL,NULL,4215109,NULL),(15,'941','EEB ANÍSIO V. DE FREITAS',2,NULL,NULL,NULL,4215703,NULL),(15,'942','CENTRO EDUC. SÃO JOAQUIM LTDA',4,NULL,NULL,NULL,4216503,NULL),(15,'943','COL DOM BOSCO',4,NULL,NULL,NULL,4216602,NULL),(15,'944','COL FRANCISCO JOSÉ F. NETO',4,NULL,NULL,NULL,4216602,NULL),(15,'945','EEM GOV. WILSOM KLEINUBING',2,NULL,NULL,NULL,4216602,NULL),(15,'946','EEM LUAR',4,NULL,NULL,NULL,4216602,NULL),(15,'947','EEB PROTÁSIO JOAQUIM DA CUNHA',2,NULL,NULL,NULL,4217709,NULL),(15,'948','COL DE APLIC. DA UNIVALI TIJUCAS',4,NULL,NULL,NULL,4218004,NULL),(15,'949','EEB ROMILDO CZEPANHIK',2,NULL,NULL,NULL,4219507,NULL),(15,'95','EEB ALEXANDRE DE GUSMÃO',2,NULL,NULL,NULL,4202602,NULL),(15,'950','COL EVOLUÇÃO',4,NULL,NULL,NULL,4217006,NULL),(15,'951','ESCOLA DA ILHA',4,NULL,NULL,NULL,4205407,NULL),(15,'953','EEB GOV HERIBERTO HULSE',2,NULL,NULL,NULL,4204608,NULL),(15,'954','EEB ARNOLDO AGENOR ZIMMERMANN',2,NULL,NULL,NULL,4205902,NULL),(15,'955','COLÉGIO MADRE FRANCISCA LAMPEL',4,NULL,NULL,NULL,4205902,NULL),(15,'956','COLÉGIO HENRY FORD',4,NULL,NULL,NULL,4218202,NULL),(15,'957','EEB DR GEORG KELLER',2,NULL,NULL,NULL,4209102,NULL),(15,'958','CENTRO TÉCNICO DE AUTOMAÇÃO LTDA',4,NULL,NULL,NULL,4209102,NULL),(15,'959','ESC DE ED BÁSICA DA UNIDAVI',4,NULL,NULL,NULL,4214805,NULL),(15,'96','EEB PREF LEOPOLDO JOSÉ GUERREIRO',2,NULL,NULL,NULL,4202453,NULL),(15,'960','CEDUP CAETANO COSTA',2,NULL,NULL,NULL,4216800,NULL),(15,'961','EEB PROF JOSÉ FARIA NETO',2,NULL,NULL,NULL,4203600,NULL),(15,'962','COLÉGIO SUPERATIVO',4,NULL,NULL,NULL,4209003,NULL),(15,'963','EEB PROF LOURDES',2,NULL,NULL,NULL,4204202,NULL),(15,'964','CENTRO DE EDUCAÇÃO SÃO RAFAEL',4,NULL,NULL,NULL,4204202,NULL),(15,'965','CEDUP SÃO JOSÉ',2,NULL,NULL,NULL,4208401,NULL),(15,'967','LICEU CATARINENSE DE ENSINO',4,NULL,NULL,NULL,4202008,NULL),(15,'968','COLÉGIO VIDEIRA',4,NULL,NULL,NULL,4219309,NULL),(15,'969','COLÉGIO SUPERAÇÃO',4,NULL,NULL,NULL,4219309,NULL),(15,'97','C CENECISTA FRANCISCO DE ASSIS',4,NULL,NULL,NULL,4202701,NULL),(15,'970','COLÉGIO MURIALDO',4,NULL,NULL,NULL,4201406,NULL),(15,'971','EEB DEP VALÉRIO GOMES',2,NULL,NULL,NULL,4218004,NULL),(15,'972','COLÉGO DOM BOSCO',4,NULL,NULL,NULL,4218004,NULL),(15,'973','EB TEMPO FELIZ',4,NULL,NULL,NULL,4203808,NULL),(15,'974','ESC TÉCNICA TUPY UNIDADE S. BENTO DO SUL',4,NULL,NULL,NULL,4215802,NULL),(15,'975','CENTRO  ENS. NICOLAU TAVARES DE OLIVEIRA',4,NULL,NULL,NULL,4210506,NULL),(15,'976','CENTRO EDUC BARREIROS',4,NULL,NULL,NULL,4216602,NULL),(15,'977','E.P.I. ESCOLA PROFISSIONAL DOS INGLESES',4,NULL,NULL,NULL,4205407,NULL),(15,'978','EEB CONSELHEIRO MANOEL PHILIPPI',2,NULL,NULL,NULL,4200606,NULL),(15,'979','EEB ARABUTÃ',2,NULL,NULL,NULL,4201273,NULL),(15,'98','EEB PADRE JOÃO STOLTE',2,NULL,NULL,NULL,4202701,NULL),(15,'980','COLÉGIO DEHON',4,NULL,NULL,NULL,4201406,NULL),(15,'981','COLÉGIO BARÃO DE SCHEENEBURG ENERGIA',4,NULL,NULL,NULL,4202909,NULL),(15,'982','COLÉGIO LÍRIOS DO CAMPO',4,NULL,NULL,NULL,4203600,NULL),(15,'983','COLÉGIO SATÉLITE',4,NULL,NULL,NULL,4204202,NULL),(15,'984','EEB WALTER FONTANA',2,NULL,NULL,NULL,4204301,NULL),(15,'985','EEB PROF. PEDRO DA RÉ',2,NULL,NULL,NULL,4204608,NULL),(15,'986','COLÉGIO METROPOLITANO',4,NULL,NULL,NULL,4207502,NULL),(15,'987','EEB HERCÍLIO BUCH',2,NULL,NULL,NULL,4210100,NULL),(15,'988','COL. ADVENTISTA DE FLORIANÓPOLIS',4,NULL,NULL,NULL,4205407,NULL),(15,'989','C EDUC PROMISSOR LTDA',4,NULL,NULL,NULL,4211900,NULL),(15,'99','C COMERCIAL DE BRAÇO DO NORTE',4,NULL,NULL,NULL,4202800,NULL),(15,'990','C EDUC CÉU AZUL',4,NULL,NULL,NULL,4213609,NULL),(15,'991','COLÉGIO ALTO VALE LTDA',4,NULL,NULL,NULL,4214805,NULL),(15,'992','C ADVENTISTA SÃO FRANCISCO DO SUL',4,NULL,NULL,NULL,4216206,NULL),(15,'993','EEB PROF. ELISA CLÁUDIO DE AGUIAR',2,NULL,NULL,NULL,4217402,NULL),(15,'994','COLÉGIO GERAÇÃO CONSTRUTIVA',4,NULL,NULL,NULL,4219705,NULL),(15,'995','CENTRO EDUCACIONAL SATC',4,NULL,NULL,NULL,4204608,NULL),(15,'996','EEB PREFEITO HIGINO AGUIAR',2,NULL,NULL,NULL,4201307,NULL),(15,'997','COLÉGIO CASTELO LTDA',4,NULL,NULL,NULL,4202404,NULL),(15,'998','EEB CÔNEGO NICOLAU GESING',2,NULL,NULL,NULL,4202800,NULL),(15,'999','CENTRO DE EDUCAÇÃO MONTEIRO LOBATO',4,NULL,NULL,NULL,4204202,NULL),(15,'9997','Escola de Santa Catarina não mencionada',0,NULL,NULL,NULL,0,NULL),(15,'9998','Não concluiu em Santa Catarina',0,NULL,NULL,NULL,0,NULL),(15,'9999','Curso Supletivo',0,NULL,NULL,NULL,0,NULL),(16,'1','EEB JOSÉ ZANCHETTI',2,NULL,NULL,NULL,4200051,NULL),(16,'10','EEB IRINEU BORNHAUSEN',2,NULL,NULL,NULL,4200507,NULL),(16,'100','EEB DOM JOAQUIM',2,NULL,NULL,NULL,4202800,NULL),(16,'1000','COLÉGIO CENECISTA DR JÚLIO CÉSAR R NEVES',4,NULL,NULL,NULL,4204301,NULL),(16,'1001','SENAI CENTRO DE ED. E TECN. DE CONCÓRDIA',4,NULL,NULL,NULL,4204301,NULL),(16,'1003','CURSO E COLÉGIO GENIUS',4,NULL,NULL,NULL,4205407,NULL),(16,'1004','COLÉGIO UNIFICADO',4,NULL,NULL,NULL,4205902,NULL),(16,'1005','EEB PROFª SALETE SCOTTI DOS SANTOS',2,NULL,NULL,NULL,4207007,NULL),(16,'1006','SENAI-CENTRO DE TECN ELETROMETALMECÂNICA',4,NULL,NULL,NULL,4209102,NULL),(16,'1007','CENTRO EDUCACIONAL BAMBINO',4,NULL,NULL,NULL,4211306,NULL),(16,'1008','COLÉGIO SINERGIA',4,NULL,NULL,NULL,4211306,NULL),(16,'1009','EEB PROF BENONIVIO JOÃO MARTINS',2,NULL,NULL,NULL,4211900,NULL),(16,'101','CE ENG ANNES GUALBERTO',2,NULL,NULL,NULL,4202800,NULL),(16,'1010','CENTRO EDUCACIONAL SÃO JUDAS TADEU',4,NULL,NULL,NULL,4211900,NULL),(16,'1011','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4211900,NULL),(16,'1012','EEM ERWIN CURT TEICHMANNN',2,NULL,NULL,NULL,4213203,NULL),(16,'1013','SENAI/SC - RIO DO SUL',4,NULL,NULL,NULL,4214805,NULL),(16,'1014','COLÉGIO DÓ-RÉ-MI',4,NULL,NULL,NULL,4215703,NULL),(16,'1015','EEB OSCAR MAJOLO',2,NULL,NULL,NULL,4217154,NULL),(16,'1016','EXATHUM CURSO E COLÉGIO',4,NULL,NULL,NULL,4209102,NULL),(16,'1017','CENTRO EDUCACIONAL ATLÂNTICO SUL',4,'AV CENTRAL','413','CENTRO',4202008,88330000),(16,'1018','SENAI/SC BLUMENAU',4,'R SAO PAULO','1147','VICTOR KONDER',4202404,89012001),(16,'1019','EEM YVONE OLINGER APPEL',2,'ALBERTO KLABUND',NULL,'CEDRINHO',4202909,88358000),(16,'102','COLÉGIO ESPAÇO',4,NULL,NULL,NULL,4202800,NULL),(16,'1020','COLÉGIO APARECIDA',4,'AV 7 DE SETEMBRO','169','CENTRO',4203006,89500000),(16,'1021','COLEGIO DINAMICO CHAPECO',4,'AV NEREU RAMOS','1191','PALMITAL',4204202,89811211),(16,'1022','C TENDENCIA',4,'R VIDAL RAMOS','53','CENTRO',4205407,88010320),(16,'1023','COLÉGIO ESTIMOARTE',4,'AV GOV JORGE LACERDA','1759','COSTEIRA',4205407,88047001),(16,'1024','FUNDACAO CENTRO EDUCATIVO',4,'R TANCREDO NEVES','88','CENTRO',4208104,89340000),(16,'1025','CENTRO EDUC PE ARTE BABY LTDA',4,'R TIJUCAS','511','CENTRO',4208203,88301361),(16,'1026','SOC EDUC VERDES MARES',4,'JOSE BONIFACIO MALBURG','19','CENTRO',4208203,88301040),(16,'1027','EEM DEP NAGIB ZATTAR',2,'R ANTONIO MICHELS','120','JD PARAISO',4209102,89226530),(16,'1028','SOC ENSINO SANTA BARBARA',4,'R GERONIMO COELHO','375',NULL,4209300,88501260),(16,'1029','COLEGIO DIMENSAO',4,'R EUFEZINA GAYA','332','CENTRO',4211306,88375000),(16,'103','EEB ADOLFO BOVING',2,NULL,NULL,NULL,4202859,NULL),(16,'1030','EEB PRINCESA ISABEL',2,'R INDEPENDENCIA',NULL,'SANTA TEREZINHA',4212106,89887000),(16,'1031','CENTRO EDUC CRANDON',4,'R NAKLE FRANCISCO','316','CENTRO',4212809,88380000),(16,'1032','EEF VENDELINO JUNGES',2,'AV BELEM','647','CENTRO',4212908,89870000),(16,'1033','EEM MACARIO BORBA',2,'AV FRANCISCO C LUMERTZ JR',NULL,'NOVA BRASILIA',4217709,88960000),(16,'1034','EEM DITE FREITAS',2,'R ANIBAL TORRES COSTA',NULL,'STO ANTONIO DE PADUA',4218707,88701533),(16,'1035','C SUPRA ENSINO LTDA',4,'R CEL JOAO PALMA','700','MARTORANO',4216503,88600000),(16,'1036','COLEGIO LAVOISIER',4,NULL,NULL,NULL,4216602,NULL),(16,'1037','CENTRO EDUCACIONAL UNIVERSO DO SABER',4,NULL,NULL,NULL,4210506,NULL),(16,'1038','SOC. EDUC. BALNEÁRIO CAMBORIÚ',4,NULL,NULL,NULL,4202008,NULL),(16,'1039','COL. EVIDÊNCIA LTDA',4,NULL,NULL,NULL,4202008,NULL),(16,'104','EEB ENGENHEIRO ANNES GUALBERTO',2,NULL,NULL,NULL,4202875,NULL),(16,'1040','COL. INCENTIVO LTDA',4,NULL,NULL,NULL,4202305,NULL),(16,'1041','EEB DE BOMBAS',2,NULL,NULL,NULL,4202453,NULL),(16,'1042','COOP. EDUACIONAL DE BRUSQUE',4,NULL,NULL,NULL,4202909,NULL),(16,'1043','EEB PROF MÁRIO GARCIA',2,NULL,NULL,NULL,4203204,NULL),(16,'1044','EEB ALCUINO GONÇALO VIEIRA',2,NULL,NULL,NULL,4203204,NULL),(16,'1045','CENTRO EDUC. CAMBORIÚ LTDA ME CECAN',4,NULL,NULL,NULL,4203204,NULL),(16,'1046','CURSO APROVAÇÃO SS LTDA',4,NULL,NULL,NULL,4204202,NULL),(16,'1047','COOPERATIVA EDUC. MAGNA',4,NULL,NULL,NULL,4204301,NULL),(16,'1048','CENTRO EDUC CRUZ E SOUZA SC LTDA',4,NULL,NULL,NULL,4205407,NULL),(16,'1049','CENTRO DE EDUC. SANTA TEREZINHA',4,NULL,NULL,NULL,4205407,NULL),(16,'105','CENTRO EDUCACIONAL CULTURA',4,NULL,NULL,NULL,4202909,NULL),(16,'1050','EDUCANDÁRIO IMACULADA CONCEIÇÃO',4,NULL,NULL,NULL,4205407,NULL),(16,'1051','CENTRO DE EDUC. PARAÍSO INFANTIL',4,NULL,NULL,NULL,4205407,NULL),(16,'1052','COLÉGIO BLUMENAUENSE',4,NULL,NULL,NULL,4205902,NULL),(16,'1053','EEB PROFª MARIA DA GLÓRIA SILVA',2,NULL,NULL,NULL,4207007,NULL),(16,'1054','COLÉGIO MUN. DE INDAIAL',1,NULL,NULL,NULL,4207502,NULL),(16,'1055','EEF PREF. GERMANO BRANDES JR',2,NULL,NULL,NULL,4207502,NULL),(16,'1056','EEB PROF HENRIQUE MIDON',2,NULL,NULL,NULL,4208203,NULL),(16,'1057','ACBNL COL SÃO JOSÉ',4,NULL,NULL,NULL,4208203,NULL),(16,'1058','SIST. DE ENSINO LIDERANÇA',4,NULL,NULL,NULL,4208203,NULL),(16,'1059','SENAI - CENTRO DE EDUC TECN. DE ITAJAI',4,NULL,NULL,NULL,4208203,NULL),(16,'106','C CENECISTA HONÓRIO MIRANDA',4,NULL,NULL,NULL,4202909,NULL),(16,'1060','COLÉGIO SAGRADA FAMÍLIA',4,NULL,NULL,NULL,4208401,NULL),(16,'1061','SENAI - CENTRO DE ED TECNOLÓGICA',4,NULL,NULL,NULL,4208906,NULL),(16,'1062','CENTRO DE EDUC. IDEAL',4,NULL,NULL,NULL,4208906,NULL),(16,'1063','SOCIEDADE EDUC. POSIVILLE LTDA',4,NULL,NULL,NULL,4209102,NULL),(16,'1064','EIEB LAKLANO',2,NULL,NULL,NULL,4209151,NULL),(16,'1065','CENTRO EDUC. CRUZ E SOUSA',4,NULL,NULL,NULL,4209300,NULL),(16,'1066','EEF MARIA KONDER BORNHAUSEN',2,NULL,NULL,NULL,4210605,NULL),(16,'1067','CENTRO DE ED. SÃO ROQUE',4,NULL,NULL,NULL,4211207,NULL),(16,'1068','EEB PROFª PAULINA GAYA',2,NULL,NULL,NULL,4211306,NULL),(16,'1069','EEB ANTÔNIO ROCHA ANDRADE',2,NULL,NULL,NULL,4212502,NULL),(16,'107','C CÔNSUL CARLOS RENAUX',4,NULL,NULL,NULL,4202909,NULL),(16,'1070','CENTRO DE EDUC. OBJETIVO',4,NULL,NULL,NULL,4212908,NULL),(16,'1071','CENTRO EDUC. EDUCOPER',4,NULL,NULL,NULL,4213401,NULL),(16,'1072','EEB MARIA DUARTE VASCONCELOS',2,NULL,NULL,NULL,4215455,NULL),(16,'1073','COLÉGIO GLOBAL',4,NULL,NULL,NULL,4215802,NULL),(16,'1074','CENTRO EDUC. ANITA',4,NULL,NULL,NULL,4216602,NULL),(16,'1075','SENAI SÃO JOSE',4,NULL,NULL,NULL,4216602,NULL),(16,'1076','COLÉGIO MERIDIANO',4,NULL,NULL,NULL,4216602,NULL),(16,'1077','GARDNER CURSOS E COLÉGIO',4,NULL,NULL,NULL,4216602,NULL),(16,'1078','CENTRO EDUC. CENECISTA SANTA CRUZ',4,NULL,NULL,NULL,4216602,NULL),(16,'1079','ASS. RELIGIOSA BENEFICENTE JESUS Mª JOSÉ',4,NULL,NULL,NULL,4217204,NULL),(16,'108','EEB JOÃO HASSMANN',1,NULL,NULL,NULL,4202909,NULL),(16,'1080','SENAI/SC VIDEIRA',4,NULL,NULL,NULL,4219309,NULL),(16,'1081','COL. E PRÉ VEST. EXPRESSIVO',4,NULL,NULL,NULL,4219507,NULL),(16,'1082','EEB DEP. AUGUSTO BRESOLA',2,NULL,NULL,NULL,4219150,NULL),(16,'1083','EEM SEMENTE DA CONQUISTA',2,'ASSENT 25 DE MAIO',NULL,NULL,4200101,89830000),(16,'1084','EEM PAULO FREIRE',2,'ASSENT JOSE MARIA',NULL,NULL,4200101,89830000),(16,'1085','COLÉGIO EXCELÊNCIA',4,'AV CENTRAL','413','CENTRO',4202008,88330000),(16,'1086','COLÉGIO DE APLICAÇÃO UNIVALI',4,'5 AVENIDA',NULL,'DOS MUNICIPIOS',4202008,88330000),(16,'1087','EEF RUIZÉLIO CABRAL',2,'JOSE HONORATO DA SILVA','32','NOVA ESPERANÇA',4202008,88330000),(16,'1088','EEB PROFª ELOISA MARIA PRAZERES DE FARIA',2,NULL,NULL,NULL,4202305,NULL),(16,'1089','EEB MARIA RITA FLOR',2,NULL,NULL,NULL,4202453,NULL),(16,'109','C SÃO LUIZ',4,NULL,NULL,NULL,4202909,NULL),(16,'1090','SENAI CENTRO DE ED E TECN CARLOS RENAUX',4,NULL,NULL,NULL,4202909,NULL),(16,'1091','CENTRO DE ED RAZÃO DE VIVER',4,NULL,NULL,NULL,4203204,NULL),(16,'1092','ESC ITINERANTE JOSÉ J DE LIMA XAVIER',1,NULL,NULL,NULL,4203402,NULL),(16,'1093','COL CARLOS DRUMMOND DE ANDRADE',4,NULL,NULL,NULL,4203907,NULL),(16,'1094','SENAI CENTRO DE TECN EM ALIMENTOS',4,NULL,NULL,NULL,4204202,NULL),(16,'1096','CENTRO ED HERMANN SPETHMANN',4,NULL,NULL,'CENTRO',4204608,NULL),(16,'1097','EEF TENENTE ALMACHIO',2,NULL,NULL,NULL,4205407,NULL),(16,'1098','COLÉGIO EXPOENTE',4,NULL,NULL,NULL,4205407,NULL),(16,'1099','EEB PROFª MARIA AMALIA CARDOSO',2,NULL,NULL,NULL,4206009,NULL),(16,'11','EEB SETE DE SETEMBRO',2,NULL,NULL,NULL,4200556,NULL),(16,'110','EEB DOM JOÃO BECKER',2,NULL,NULL,NULL,4202909,NULL),(16,'1100','EEF CARLOS FANTINI',2,NULL,NULL,NULL,4208203,NULL),(16,'1101','EEB MARLI MARIA DE SOUZA',2,NULL,NULL,NULL,4209102,NULL),(16,'1102','EEB PROFº RODOLFO MEYER',2,NULL,NULL,NULL,4209102,NULL),(16,'1103','EEB PROFº JOÃO ROCHA',2,NULL,NULL,NULL,4209102,NULL),(16,'1104','COLÉGIO IESVILLE',4,NULL,NULL,NULL,4209102,NULL),(16,'1105','COLÉGIO TUPY',4,NULL,NULL,NULL,4209102,NULL),(16,'1106','SENAI/SC LAGES',4,NULL,NULL,NULL,4209300,NULL),(16,'1107','CENTRO DE ED JANICE BORTOLATTO',4,NULL,NULL,NULL,4211207,NULL),(16,'1108','EEF DOM JAIME DE BARROS CÂMARA',2,NULL,NULL,NULL,4211900,NULL),(16,'1109','EEF PROFª MARIA DO CARMO DE SOUZA',2,NULL,NULL,NULL,4211900,NULL),(16,'111','EEB FELICIANO PIRES',2,NULL,NULL,NULL,4202909,NULL),(16,'1110','EEB PREF. FREDERICO PROBST',2,NULL,NULL,NULL,4212700,NULL),(16,'1111','CENTRO ED PORTO DAS ÁGUAS LTDA',4,NULL,NULL,NULL,4213500,NULL),(16,'1112','EEF BERNARDO MULLER',2,NULL,NULL,NULL,4214003,NULL),(16,'1113','CENTRO MUN ED BAS VER AVELINO BISCARO',1,NULL,NULL,NULL,4215406,NULL),(16,'1114','COLÉGIO BOM JESUS',4,NULL,NULL,NULL,4215802,NULL),(16,'1115','EEB CRISTO REI',2,NULL,NULL,NULL,4216255,NULL),(16,'1116','EEB PROFª MARIA DO CARMO LOPES',2,NULL,NULL,NULL,4216602,NULL),(16,'1117','CENTRO ED MUN INTERATIVO',1,NULL,NULL,NULL,4216602,NULL),(16,'1118','COLÉGIO ENERGIA - SÃO JOSÉ',4,NULL,NULL,NULL,4216602,NULL),(16,'1119','SENAI CENTRO DE ED E TECN DE TIJUCAS',4,NULL,NULL,NULL,4218004,NULL),(16,'112','EEB FRANCISCO DE ARAÚJO BRUSQUE',2,NULL,NULL,NULL,4202909,NULL),(16,'1120','SENAI CENTRO DE ED E TECN DE TUBARÃO',4,NULL,NULL,NULL,4218707,NULL),(16,'1121','EEF MARCOLINO PEDROSO',2,'R DO SABER',NULL,'NOVA ESTRELA',4201273,89740000),(16,'1122','EEB CASTRO ALVES',2,'R XV DE NOVEMBRO','1645','CENTRO',4201406,88900000),(16,'1123','SOC. EDUC. BRUSQUENSE LTDA',4,'AV GETULIO VARGAS','78','CENTRO',4202909,88353000),(16,'1124','COLEGIO BOM JESUS AURORA',4,'R MAR DEODORO','150','CENTRO',4203006,89500000),(16,'1125','EEF PROFº ARGEMIRO GONÇALVES',2,'JOAO PIUS SCHINDLER','263','BATEIAS DE BAIXO',4203303,89294600),(16,'1126','CENTRO DE EDUCAÇÃO OLIMPO',4,'AV GETULIO VARGAS','246','CENTRO',4204202,89801000),(16,'1127','EEF SÃO CRISTÓVÃO',2,'R CARDEAL ARCO VERDE','233','SAO CRISTOVAO',4204608,88802570),(16,'1128','NÚCLEO MUN GETÚLIO VARGAS',1,'PRUDENTE V DE MORAES','353','GETULIO VARGAS',4204806,89520000),(16,'1129','NÚCLEO MUN LEONIZA CARVALHO AGOSTINI',1,'MAROMBAS BOSSARDI',NULL,'MAROMBAS',4204806,89520000),(16,'113','EEB GOV IVO SILVEIRA',2,NULL,NULL,NULL,4202909,NULL),(16,'1130','ASSOC.  VOLUNTÁRIOS HERDEIROS DO FUTURO',4,'CORONEL VIDAL RAMOS','221','CENTRO',4204806,89520000),(16,'1131','EEB PROFª MARIA DA GLÓRIA MATTOS',2,'R MARIO CLAUDIO TURRA','579',NULL,4205001,89950000),(16,'1132','EEB PROFª MARIA ANGELICA CALAZAN',2,'CAMINHO PINHAL',NULL,NULL,4205100,89155000),(16,'1133','COLÉGIO ENERGIA - CÓRREGO GRANDE',4,'R JOAO PIO DUARTE SILVA','550','CÓRREGO GRANDE',4205407,88037000),(16,'1134','C ADVENTISTA DE FLORIANÓPOLIS - ESTREITO',4,'R DOM DANIEL HOSTIN','129','ESTREITO',4205407,88090330),(16,'1135','EEB PADRE BIAGIO SIMONETTI',2,'AV RENE FREY','SN','CENTRO',4205506,89580000),(16,'1136','EEB MARIA CORREA SAAD',2,'ROD SC 434','10684','CAMPO DUNA',4205704,88495000),(16,'1137','COLÉGIO UNIVERSITÁRIO',4,'R DORALICIO GARCIA','777','SÃO PEDRO',4205902,89110000),(16,'1138','EEF ORIDES ROVANI',2,'BOM SUCESSO',NULL,'RURAL',4207700,89790000),(16,'1139','EEB PAULO CRISTIANO HEYSE',2,'ESTRADA GERAL',NULL,'MOEMA',4208104,89340000),(16,'114','EEB MONS GREGÓRIO LOCKS',2,NULL,NULL,NULL,4202909,NULL),(16,'1140','CENTRO DE ATEND. JACY DIAS RAMOS',4,'R LAUDELINA DIONISIO','420','CORDEIROS',4208203,88309530),(16,'1141','COLÉGIO ADVENTISTA DE ITAJAÍ',4,'R BRUSQUE','228','VILA OPERÁRIA',4208203,88300000),(16,'1142','EEB PROFª NAIR DA SILVA PINHEIRO',2,'ESTRADA CUBATÃO GRANDE','104','CUBATÃO',4209102,89226970),(16,'1143','EEB VER GUILHERME ZUEGE',2,'R EMILIO STRUCK','355','RIO BONITO',4209102,89239580),(16,'1144','EEF PROFª MARIA AMIN GHANEM',2,'R ADOLAR POHL','318','AVENTUREIRO',4209102,89225652),(16,'1145','EEF SEN RODRIGO LOBO',2,'R CUBA',NULL,'JD SOFIA',4209102,89223710),(16,'1146','COLÉGIO DO PLANALTO SERRANO LTDA',4,'R FREI ROGÉRIO','809','CENTRO',4209300,88502161),(16,'1147','EEB CEL JOSE MAURICIO DOS SANTOS',2,'ESTRADA GERAL','161','CAPUTERA',4209409,88790000),(16,'1148','EEB DOMINGOS BARBOSA CABRAL',2,'PESCARIA BRAVA',NULL,'PESCARIA BRAVA',4209409,88790000),(16,'1149','EEB PROFª NICOLINA TANCREDO',2,'R CESAR RENE WAGNER','137','ALTO ARIRIU',4211900,88135720),(16,'115','EEB PE LUX',2,NULL,NULL,NULL,4202909,NULL),(16,'1150','EEB JORGE LACERDA',2,'R JOAO TREVISOL',NULL,'VILA SÃO BRAZ',4212106,89887000),(16,'1151','EEB IRENE REVA ZADOROSNY',2,'R DO COLONO','SN','NOVA CULTURA',4212205,89370000),(16,'1152','EEB NILO PEÇANHA',2,'R FRANCISCO PELUSKI','365','VICE KING',4213609,89400000),(16,'1153','APADAF',4,'AV GENERAL BORMANN','532','CENTRO',4213609,89400000),(16,'1154','COLÉGIO DE ENSINO MÉDIO UNIVILLE',4,'R NORBERTO EDUARDO WEIHERMANN','230','COLONIAL',4215802,89290000),(16,'1155','EEB JOSÉ MATIAS ZIMMERMANN',2,'R JOSE MATIAS ZIMMERMANN','68','SERTÃO DO MARUIM',4216602,88122200),(16,'1156','EEB ROSINA NARDI',2,'R COHAB','191','SAO JOÃO',4217501,89770000),(16,'1157','CENTRO EDUC. TIMBÓ S.A',4,'AV GETULIO VARGAS','222','CENTRO',4218202,89120000),(16,'1158','EEB DOM PEDRO I',2,'ESTRADA GERAL',NULL,NULL,4219358,89148000),(16,'1159','CENTRO DE ENSINO APROVAÇÃO',4,'R PRES VARGAS','566','BORTOLON',4219507,89820000),(16,'116','EEB SANTA TEREZINHA',2,NULL,NULL,NULL,4202909,NULL),(16,'117','SEMINÁRIO MENOR METROPOLITANO',4,NULL,NULL,NULL,4202909,NULL),(16,'118','COLÉGIO MARISTA AURORA',4,NULL,NULL,NULL,4203006,NULL),(16,'119','C CENECISTA MARCOS OLSEN',4,NULL,NULL,NULL,4203006,NULL),(16,'12','EEB CEL ANTÔNIO LEHMKUHL',2,NULL,NULL,NULL,4200606,NULL),(16,'120','COL. DE APLICAÇÃO DA UNC CAÇADOR',4,NULL,NULL,NULL,4203006,NULL),(16,'121','EEB DANTE MOSCONI',2,NULL,NULL,NULL,4203006,NULL),(16,'122','EEB DOM ORLANDO DOTTI',2,NULL,NULL,NULL,4203006,NULL),(16,'123','EEB IRMÃO LEO',2,NULL,NULL,NULL,4203006,NULL),(16,'124','EEB PAULO SCHIEFFLER',2,NULL,NULL,NULL,4203006,NULL),(16,'125','EEM WANDA KRIEGER GOMES',2,NULL,NULL,NULL,4203006,NULL),(16,'126','C CENECISTA OLAVO BILAC',4,NULL,NULL,NULL,4203105,NULL),(16,'127','EEB DOM PEDRO II',2,NULL,NULL,NULL,4203105,NULL),(16,'128','EEB CALMON',2,NULL,NULL,NULL,4203154,NULL),(16,'129','C AGRÍCOLA DE CAMBORIÚ',3,NULL,NULL,NULL,4203204,NULL),(16,'13','EEB SILVA JARDIM',2,NULL,NULL,NULL,4200705,NULL),(16,'130','EEB PROF JOSÉ ARANTES',2,NULL,NULL,NULL,4203204,NULL),(16,'131','EEB PROFª MARIA TEREZINHA GARCIA',2,NULL,NULL,NULL,4203204,NULL),(16,'132','EEB LEBON RÉGIS',2,NULL,NULL,NULL,4203303,NULL),(16,'133','C CENECISTA STELLA MATUTINA',4,NULL,NULL,NULL,4203402,NULL),(16,'134','EEB MAJOR OTACÍLIO COUTO',2,NULL,NULL,NULL,4203402,NULL),(16,'135','CEDUP CAMPO ERÊ',2,NULL,NULL,NULL,4203501,NULL),(16,'136','EEB EMÍLIO GARRASTAZU MÉDICI',2,NULL,NULL,NULL,4203501,NULL),(16,'137','EEB RAUL POMPÉIA',2,NULL,NULL,NULL,4203501,NULL),(16,'138','COLÉGIO AUXILIADORA',4,NULL,NULL,NULL,4203600,NULL),(16,'139','EEB HENRIQUE RUPP JUNIOR',2,NULL,NULL,NULL,4203600,NULL),(16,'14','EEB TEIXEIRA DE FREITAS',2,NULL,NULL,NULL,4200754,NULL),(16,'140','EEB PAULO BLASI',2,NULL,NULL,NULL,4203600,NULL),(16,'141','ESC TEC COM D JOÃO BATISTA SCALABRINI',4,NULL,NULL,NULL,4203600,NULL),(16,'142','EEB PROFª MINERVINA LAUS',2,NULL,NULL,NULL,4203709,NULL),(16,'143','CEDUP VIDAL RAMOS',2,NULL,NULL,NULL,4203808,NULL),(16,'144','C COMERCIAL DE CANOINHAS',4,NULL,NULL,NULL,4203808,NULL),(16,'145','C SAGRADO CORAÇÃO DE JESUS',2,NULL,NULL,NULL,4203808,NULL),(16,'146','EEB ALMIRANTE BARROSO',2,NULL,NULL,NULL,4203808,NULL),(16,'147','EEB IRMÃ MARIA FELICITAS',2,NULL,NULL,NULL,4203808,NULL),(16,'148','EEB JOÃO JOSÉ DE SOUZA CABRAL',2,NULL,NULL,NULL,4203808,NULL),(16,'149','EEB JÚLIA B ZANIOLO',2,NULL,NULL,NULL,4203808,NULL),(16,'15','C CENECISTA PADRE JOSÉ DE ANCHIETA',4,NULL,NULL,NULL,4200804,NULL),(16,'150','EEB PROF MANOEL DA SILVA QUADROS',2,NULL,NULL,NULL,4203808,NULL),(16,'151','EEB RODOLFO ZIPPERER',2,NULL,NULL,NULL,4203808,NULL),(16,'152','EEB SAGRADO CORAÇÃO DE JESUS',2,NULL,NULL,NULL,4203808,NULL),(16,'153','EEB SANTA CRUZ',2,NULL,NULL,NULL,4203808,NULL),(16,'154','UNIV DO CONTESTADO CAMPUS DE CANOINHAS',4,NULL,NULL,NULL,4203808,NULL),(16,'155','COL CENECISTA PADRE ANCHIETA',4,NULL,NULL,NULL,4203907,NULL),(16,'156','EEB MATER DOLORUM',2,NULL,NULL,NULL,4203907,NULL),(16,'158','EEB DR OTTO FEUERSCHUETTE',2,NULL,NULL,NULL,4203956,NULL),(16,'159','CE TERESA MARTINS BRITO',2,NULL,NULL,NULL,4203956,NULL),(16,'16','EEB PROF OSNI PAULINO DA SILVA',2,NULL,NULL,NULL,4200804,NULL),(16,'160','C CENECISTA CATANDUVENSE',4,NULL,NULL,NULL,4204004,NULL),(16,'161','EEB IRMÃ WIENFRIDA',2,NULL,NULL,NULL,4204004,NULL),(16,'162','EEB CÂNDIDO RAMOS',2,NULL,NULL,NULL,4204103,NULL),(16,'163','EEB JOSÉ CESÁRIO BRASIL',2,NULL,NULL,NULL,4204152,NULL),(16,'164','EEB PROFª OTÍLIA ULYSSÉA UNGARETTI',2,NULL,NULL,NULL,4204178,NULL),(16,'165','EEB OTÍLIA MÜLLER',2,NULL,NULL,NULL,4204194,NULL),(16,'166','C CENECISTA ILMA ROSA DE NES',4,NULL,NULL,NULL,4204202,NULL),(16,'167','CENTRO EDUC. DA UNOESC',4,NULL,NULL,NULL,4204202,NULL),(16,'168','COLÉGIO MARISTA SÃO FRANCISCO',4,NULL,NULL,NULL,4204202,NULL),(16,'169','EEB BOM PASTOR',2,NULL,NULL,NULL,4204202,NULL),(16,'17','EEB NOSSA SENHORA',2,NULL,NULL,NULL,4200903,NULL),(16,'170','EEB CEL ERNESTO BERTASO',2,NULL,NULL,NULL,4204202,NULL),(16,'171','EEB CORONEL LARA RIBAS',2,NULL,NULL,NULL,4204202,NULL),(16,'172','EEB DRUZIANA SARTORI',2,NULL,NULL,NULL,4204202,NULL),(16,'173','EEB MARCOLINA RODRIGUES DA SILVA',2,NULL,NULL,NULL,4204202,NULL),(16,'174','EEB MARECHAL BORMANN',2,NULL,NULL,NULL,4204202,NULL),(16,'175','EEB PEDRO MACIEL',2,NULL,NULL,NULL,4204202,NULL),(16,'176','EEB PROFª LUIZA SANTIN',2,NULL,NULL,NULL,4204202,NULL),(16,'177','EEB PROF NELSON HOROSTECKI',2,NULL,NULL,NULL,4204202,NULL),(16,'178','EEB PROFª GENI COMEL',2,NULL,NULL,NULL,4204202,NULL),(16,'179','EEB PROFª IRENE STONOGA',2,NULL,NULL,NULL,4204202,NULL),(16,'18','EEB PE ANTÔNIO VIEIRA',2,NULL,NULL,NULL,4201000,NULL),(16,'180','EEB PROFª LOURDES A SARTURI LAGO',2,NULL,NULL,NULL,4204202,NULL),(16,'181','EEB PROFª VALESCA C R PARIZOTTO',2,NULL,NULL,NULL,4204202,NULL),(16,'182','EEB PROFª ZELIA SCHARF',2,NULL,NULL,NULL,4204202,NULL),(16,'183','EEB SÃO FRANCISCO',2,NULL,NULL,NULL,4204202,NULL),(16,'184','EEB TANCREDO DE ALMEIDA NEVES',2,NULL,NULL,NULL,4204202,NULL),(16,'185','COLÉGIO EXPONENCIAL',4,NULL,NULL,NULL,4204202,NULL),(16,'186','CURSO E COLÉGIO VETOR LTDA',4,NULL,NULL,NULL,4204202,NULL),(16,'187','ESC DE AUX ENFERMAGEM DA FHASA',4,NULL,NULL,NULL,4204202,NULL),(16,'188','C MAXIMILIANO GAIDZINSKI',4,NULL,NULL,NULL,4204251,NULL),(16,'189','EEB PROF PE SCHULER',2,NULL,NULL,NULL,4204251,NULL),(16,'19','EEB ALTINO FLORES',2,NULL,NULL,NULL,4201109,NULL),(16,'190','C CENECISTA CONCÓRDIA',4,NULL,NULL,NULL,4204301,NULL),(16,'191','EEB DEODORO',2,NULL,NULL,NULL,4204301,NULL),(16,'192','EEB PROF OLAVO CECCO RIGON',2,NULL,NULL,NULL,4204301,NULL),(16,'193','EEB SÃO JOÃO BATISTA DE LA SALLE',2,NULL,NULL,NULL,4204301,NULL),(16,'194','EEB VIDAL RAMOS JUNIOR',2,NULL,NULL,NULL,4204301,NULL),(16,'195','COLÉGIO DE APLICAÇÃO DA FEAUC',4,NULL,NULL,NULL,4204301,NULL),(16,'196','ESC AGROTÉCNICA FEDERAL DE CONCÓRDIA',3,NULL,NULL,NULL,4204301,NULL),(16,'197','EEB CORDILHEIRA ALTA',2,NULL,NULL,NULL,4204350,NULL),(16,'198','C CENECISTA SÃO JOSÉ',4,NULL,NULL,NULL,4204400,NULL),(16,'199','EEB PROFª DÉLIA RÉGIS',2,NULL,NULL,NULL,4204400,NULL),(16,'2','C CENECISTA PROF SIMÃO HESS',4,NULL,NULL,NULL,4200101,NULL),(16,'20','COLÉGIO CENECISTA ANTÔNIO CARLOS',4,NULL,NULL,NULL,4201208,NULL),(16,'200','EEB PROFª OLGA NUNES DE ABREU',2,NULL,NULL,NULL,4204459,NULL),(16,'201','EEB NS DOS PRAZERES',2,NULL,NULL,NULL,4204558,NULL),(16,'202','COLÉGIO VER RUY COMARELLA',4,NULL,NULL,NULL,4204558,NULL),(16,'203','EEB TERESA RAMOS',2,NULL,NULL,NULL,4204509,NULL),(16,'204','COLÉGIO SAGRADO C DE JESUS',4,NULL,NULL,NULL,4204509,NULL),(16,'205','C COMERCIAL DE CIENC E ADMINISTRAÇÃO',4,NULL,NULL,NULL,4204608,NULL),(16,'206','C COMERCIAL TIRADENTES',4,NULL,NULL,NULL,4204608,NULL),(16,'207','C CRICIÚMA',4,NULL,NULL,NULL,4204608,NULL),(16,'208','C DE APLIC DA FUND ED DE CRICIÚMA-FUCRI',4,NULL,NULL,NULL,4204608,NULL),(16,'209','EEB SEBASTIÃO TOLEDO DOS SANTOS',2,NULL,NULL,NULL,4204608,NULL),(16,'21','EEB ALTAMIRO GUIMARÃES',2,NULL,NULL,NULL,4201208,NULL),(16,'210','C MADRE TERESA MICHEL',4,NULL,NULL,NULL,4204608,NULL),(16,'211','C MARISTA',4,NULL,NULL,NULL,4204608,NULL),(16,'212','C ROGACIONISTA PIO XII',4,NULL,NULL,NULL,4204608,NULL),(16,'213','COLÉGIO SÃO BENTO',4,NULL,NULL,NULL,4204608,NULL),(16,'214','EEB ANTÔNIO MILANEZ NETTO',2,NULL,NULL,NULL,4204608,NULL),(16,'215','EEB ANTÔNIO VITOR DE SOUZA',2,NULL,NULL,NULL,4204608,NULL),(16,'216','EEB CEL MARCOS ROVARIS',2,NULL,NULL,NULL,4204608,NULL),(16,'217','EEB COELHO NETO',2,NULL,NULL,NULL,4204608,NULL),(16,'218','EEB HERIBERTO HÜLSE',2,NULL,NULL,NULL,4204608,NULL),(16,'219','EEB HUMBERTO DE CAMPOS',2,NULL,NULL,NULL,4204608,NULL),(16,'22','EEB SÃO JOÃO BOSCO',2,NULL,NULL,NULL,4201257,NULL),(16,'220','EEB IRMÃ EDVIGES',2,NULL,NULL,NULL,4204608,NULL),(16,'221','EEB JOAQUIM RAMOS',2,NULL,NULL,NULL,4204608,NULL),(16,'222','EEB LINDOLFO COLLOR',2,NULL,NULL,NULL,4204608,NULL),(16,'223','EEB PADRE MIGUEL GIACCA',2,NULL,NULL,NULL,4204608,NULL),(16,'224','CE LAPAGESSE',2,NULL,NULL,NULL,4204608,NULL),(16,'225','EEB RUBENS DE ARRUDA RAMOS',2,NULL,NULL,NULL,4204608,NULL),(16,'226','CENTRO EDUC. ENERGIA SC LTDA',4,NULL,NULL,NULL,4204608,NULL),(16,'227','CENTRO EDUCACIONAL UNIVERSITÁRIO',4,NULL,NULL,NULL,4204608,NULL),(16,'228','CEDUP ABÍLIO PAULO',2,NULL,NULL,NULL,4204608,NULL),(16,'229','COLÉGIO QUARTA DIMENSÃO',4,NULL,NULL,NULL,4204608,NULL),(16,'23','EEB PROFª IVONETE RIBEIRO',2,NULL,NULL,NULL,4201273,NULL),(16,'230','ESC TÉC.GAL OSVALDO PINTO DA VEIGA',4,NULL,NULL,NULL,4204608,NULL),(16,'231','INSTITUTO SÃO JOSÉ',4,NULL,NULL,NULL,4204608,NULL),(16,'232','SOCIEDADE DE EDUC E CULT DE CRICIÚMA',4,NULL,NULL,NULL,4204608,NULL),(16,'233','C CENECISTA ASSIS BRASIL',4,NULL,NULL,NULL,4204707,NULL),(16,'234','EEB PROF PATRÍCIO JOÃO DE OLIVEIRA',2,NULL,NULL,NULL,4204707,NULL),(16,'235','EEB NICOLAU SCHOENBERGER',2,NULL,NULL,NULL,4204756,NULL),(16,'236','C COMERCIAL CARDEAL CÂMARA',4,NULL,NULL,NULL,4204806,NULL),(16,'237','C PROF JUSCELINO K DE OLIVEIRA',4,NULL,NULL,NULL,4204806,NULL),(16,'238','EEB SANTA TERESINHA',2,NULL,NULL,NULL,4204806,NULL),(16,'239','EEB CASIMIRO DE ABREU',2,NULL,NULL,NULL,4204806,NULL),(16,'24','COLÉGIO AGRÍCOLA S.CARLOS G. DE OLIVEIRA',3,NULL,NULL,NULL,4201307,NULL),(16,'240','EEB SOLON ROSA',2,NULL,NULL,NULL,4204806,NULL),(16,'241','C CENECISTA SANTOS DUMONT',4,NULL,NULL,NULL,4204905,NULL),(16,'242','EEB EVERARDO BACKHEUSER',2,NULL,NULL,NULL,4204905,NULL),(16,'243','EEB ITAJUBÁ',2,NULL,NULL,NULL,4204905,NULL),(16,'244','C CENECISTA CASTRO ALVES',4,NULL,NULL,NULL,4205001,NULL),(16,'245','EEB DR THEODURETO DE FARIA SOUTO',2,NULL,NULL,NULL,4205001,NULL),(16,'246','EEB JACOB MARAN',2,NULL,NULL,NULL,4205001,NULL),(16,'247','EEB LINDO SARDAGNA',2,NULL,NULL,NULL,4205100,NULL),(16,'248','EEB FREI LUCÍNIO KORTE',2,NULL,NULL,NULL,4205159,NULL),(16,'249','EEB PIO XII',2,NULL,NULL,NULL,4205175,NULL),(16,'25','EEB ALMIRANTE BOITEUX',2,NULL,NULL,NULL,4201307,NULL),(16,'250','EEB PEDRO SIMON',2,NULL,NULL,NULL,4205191,NULL),(16,'251','C CENECISTA CÉSAR AVELINO BRAGAGNOLO',4,NULL,NULL,NULL,4205209,NULL),(16,'252','CE CORONEL HENRIQUE RUPP',2,NULL,NULL,NULL,4205209,NULL),(16,'253','EEB PREF AGENOR PIOVEZAN',2,NULL,NULL,NULL,4205209,NULL),(16,'254','C CENECISTA PRES DUTRA',4,NULL,NULL,NULL,4205308,NULL),(16,'255','EEB PROF SALUSTIANO ANTÔNIO CABREIRA',2,NULL,NULL,NULL,4205308,NULL),(16,'256','EEB JORGE LACERDA',2,NULL,NULL,NULL,4205357,NULL),(16,'257','EEB ADERBAL RAMOS DA SILVA',2,NULL,NULL,NULL,4205407,NULL),(16,'258','C ADV ROBERTO RODRIGUES DE AZEVEDO',4,NULL,NULL,NULL,4205407,NULL),(16,'259','C ANTÔNIO PEIXOTO',4,NULL,NULL,NULL,4205407,NULL),(16,'26','CENTRO EDUC. FUTURÃO',4,NULL,NULL,NULL,4201406,NULL),(16,'260','C BARDDAL FLORIANÓPOLIS SC LTDA',4,NULL,NULL,NULL,4205407,NULL),(16,'261','C BARRIGA VERDE CENTRO EDUC LTDA',4,NULL,NULL,NULL,4205407,NULL),(16,'262','COLÉGIO CATARINENSE',4,NULL,NULL,NULL,4205407,NULL),(16,'263','C CENECISTA ANTONIETA DE BARROS',4,NULL,NULL,NULL,4205407,NULL),(16,'264','C COMERCIAL PIO XII',4,NULL,NULL,NULL,4205407,NULL),(16,'265','C CONTINENTE',4,NULL,NULL,NULL,4205407,NULL),(16,'266','C CORAÇÃO DE JESUS',4,NULL,NULL,NULL,4205407,NULL),(16,'267','COLÉGIO DE APLICAÇÃO DA UFSC',3,NULL,NULL,NULL,4205407,NULL),(16,'268','C DE APLICAÇÃO-UDESC',2,NULL,NULL,NULL,4205407,NULL),(16,'269','C DECISÃO',4,NULL,NULL,NULL,4205407,NULL),(16,'27','C NS MÃE DOS HOMENS',4,NULL,NULL,NULL,4201406,NULL),(16,'270','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4205407,NULL),(16,'271','EEB FELICIANO NUNES PIRES',2,NULL,NULL,NULL,4205407,NULL),(16,'272','C GERAÇÃO',4,NULL,NULL,NULL,4205407,NULL),(16,'273','C NS DE FÁTIMA',4,NULL,NULL,NULL,4205407,NULL),(16,'274','EEM ANTÔNIO PASCHOAL APÓSTOLO',2,NULL,NULL,NULL,4205407,NULL),(16,'275','EEB CELSO RAMOS',2,NULL,NULL,NULL,4205407,NULL),(16,'276','EEB DAYSE WERNER SALLES',2,NULL,NULL,NULL,4205407,NULL),(16,'277','EEB LAURO MÜLLER',2,NULL,NULL,NULL,4205407,NULL),(16,'278','EEB DOM JAIME DE BARROS CÂMARA',2,NULL,NULL,NULL,4205407,NULL),(16,'279','EEB DR PAULO FONTES',2,NULL,NULL,NULL,4205407,NULL),(16,'28','EEB BERNARDINO SENA CAMPOS',2,NULL,NULL,NULL,4201406,NULL),(16,'280','CE GENTIL MATHIAS DA SILVA',2,NULL,NULL,NULL,4205407,NULL),(16,'281','EEB GETÚLIO VARGAS',2,NULL,NULL,NULL,4205407,NULL),(16,'282','EEM HENRIQUE VERAS',2,NULL,NULL,NULL,4205407,NULL),(16,'283','EEB ILDEFONSO LINHARES',2,NULL,NULL,NULL,4205407,NULL),(16,'284','EEB IRINEU BORNHAUSEN',2,NULL,NULL,NULL,4205407,NULL),(16,'285','EEM JOÃO GONÇALVES PINHEIROS',2,NULL,NULL,NULL,4205407,NULL),(16,'286','EEB JUREMA CAVALLAZZI',2,NULL,NULL,NULL,4205407,NULL),(16,'287','EEB LEONOR DE BARROS',2,NULL,NULL,NULL,4205407,NULL),(16,'288','EEB OSMAR CUNHA',2,NULL,NULL,NULL,4205407,NULL),(16,'289','EEB PE ANCHIETA',2,NULL,NULL,NULL,4205407,NULL),(16,'29','EEB DE ARARANGUÁ',2,NULL,NULL,NULL,4201406,NULL),(16,'290','EEM PREF ACÁCIO GARIBALDI SÃO THIAGO',2,NULL,NULL,NULL,4205407,NULL),(16,'291','EEM PRES CASTELO BRANCO',2,NULL,NULL,NULL,4205407,NULL),(16,'292','EEB PRES ROOSEVELT',2,NULL,NULL,NULL,4205407,NULL),(16,'293','EEB PROF ANÍBAL NUNES PIRES',2,NULL,NULL,NULL,4205407,NULL),(16,'294','EEB PROF ANÍSIO TEIXEIRA',2,NULL,NULL,NULL,4205407,NULL),(16,'295','EEB PROF HENRIQUE STODIECK',2,NULL,NULL,NULL,4205407,NULL),(16,'296','EEB PROFª LAURA LIMA',2,NULL,NULL,NULL,4205407,NULL),(16,'297','EEB ROSA TÔRRES DE MIRANDA',2,NULL,NULL,NULL,4205407,NULL),(16,'298','EEB SIMÃO JOSÉ HESS',2,NULL,NULL,NULL,4205407,NULL),(16,'299','COL DA LAGOA',4,NULL,NULL,NULL,4205407,NULL),(16,'3','C MUNICIPAL ANITA GARIBALDI',1,NULL,NULL,NULL,4200101,NULL),(16,'30','EEB PROFª MARIA GARCIA PESSI',2,NULL,NULL,NULL,4201406,NULL),(16,'300','COLÉGIO PRE VEST SOLUÇÃO LTDA',4,NULL,NULL,NULL,4205407,NULL),(16,'301','CURSO DE EDUCAÇÃO FÍSICA',2,NULL,NULL,NULL,4205407,NULL),(16,'302','ETC NEREU RAMOS',4,NULL,NULL,NULL,4205407,NULL),(16,'303','ETC SANTA CATARINA',4,NULL,NULL,NULL,4205407,NULL),(16,'304','ETC SÃO MARCOS',4,NULL,NULL,NULL,4205407,NULL),(16,'305','ETC SENNA PEREIRA',4,NULL,NULL,NULL,4205407,NULL),(16,'306','ETF DE STA CATARINA (CEFET)',3,NULL,NULL,NULL,4205407,NULL),(16,'307','INSTITUTO ESTADUAL DE EDUCAÇÃO',2,NULL,NULL,NULL,4205407,NULL),(16,'308','EEB RUI BARBOSA',2,NULL,NULL,NULL,4205431,NULL),(16,'309','EEB LUIZ TRAMONTIN',2,NULL,NULL,NULL,4205456,NULL),(16,'31','CENTRO INTERESCOLAR I DE ARARANGUÁ',4,NULL,NULL,NULL,4201406,NULL),(16,'310','EEB NATÁLIO VASSOLER',2,NULL,NULL,NULL,4205456,NULL),(16,'311','COL EXAME',4,NULL,NULL,NULL,4205456,NULL),(16,'312','COL SAGRADA FAMÍLIA',4,NULL,NULL,NULL,4205456,NULL),(16,'313','CE BELA VISTA',2,NULL,NULL,NULL,4205506,NULL),(16,'314','EEB GONÇALVES DIAS',2,NULL,NULL,NULL,4205506,NULL),(16,'315','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4205506,NULL),(16,'316','CE SEDES SAPIENTIAE',2,NULL,NULL,NULL,4205506,NULL),(16,'317','COLÉGIO CARLOS DRUMOND DE ANDRADE',4,NULL,NULL,NULL,4205506,NULL),(16,'318','COL CIRANDA DO SABER',4,NULL,NULL,NULL,4205506,NULL),(16,'319','ESCOLA DE 2. SEDES SAPIENTIAE',4,NULL,NULL,NULL,4205506,NULL),(16,'32','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4201406,NULL),(16,'320','EEB PROF URBANO SALLES',2,NULL,NULL,NULL,4205555,NULL),(16,'321','EEB VERÔNICA SENEM',2,NULL,NULL,NULL,4205605,NULL),(16,'322','EEB PROF JOSÉ RODRIGUES LOPES',2,NULL,NULL,NULL,4205704,NULL),(16,'323','C MUNICIPAL SAGRADO CORAÇÃO DE JESUS',1,NULL,NULL,NULL,4205803,NULL),(16,'325','EEB FREI GODOFREDO',2,NULL,NULL,NULL,4205902,NULL),(16,'326','EEB FREI POLICARPO',2,NULL,NULL,NULL,4205902,NULL),(16,'327','EEB PROF HONÓRIO MIRANDA',2,NULL,NULL,NULL,4205902,NULL),(16,'328','COLÉGIO SÃO FRANCISCO',4,NULL,NULL,NULL,4205902,NULL),(16,'329','EEB DR ADERBAL RAMOS DA SILVA',2,NULL,NULL,NULL,4206009,NULL),(16,'33','SOC DE EDUC E CULTURA DE ARARANGUÁ',4,NULL,NULL,NULL,4201406,NULL),(16,'330','EEB DR MIGUEL DE PATTA',2,NULL,NULL,NULL,4206108,NULL),(16,'331','EEM ANTÔNIO KNABBEN',2,NULL,NULL,NULL,4206207,NULL),(16,'332','EEB HERCÍLIO BEZ',2,NULL,NULL,NULL,4206207,NULL),(16,'333','EEB PROF JOÃO BOOS',2,NULL,NULL,NULL,4206306,NULL),(16,'334','EEB SARA CASTELHANO KLEINKAUF',2,NULL,NULL,NULL,4206405,NULL),(16,'335','EEB PREF LAURO ZIMMERMANN',2,NULL,NULL,NULL,4206504,NULL),(16,'336','EEB ALFREDO ZIMMERMANN',2,NULL,NULL,NULL,4206504,NULL),(16,'337','EEB SÃO PEDRO',2,NULL,NULL,NULL,4206504,NULL),(16,'338','C CENEC. MAR ARTHUR DA C E SILVA',4,NULL,NULL,NULL,4206603,NULL),(16,'339','EEB PROFª ELZA MANCELOS DE MOURA',2,NULL,NULL,NULL,4206603,NULL),(16,'34','EEB MONSENHOR FRANCISCO GIESBERTS',2,NULL,NULL,NULL,4201505,NULL),(16,'340','EEB LEONOR LOPES GONZAGA',2,NULL,NULL,NULL,4206652,NULL),(16,'341','EEB PROF EUGÊNIO MARCHETTI',2,NULL,NULL,NULL,4206702,NULL),(16,'342','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4206702,NULL),(16,'343','EEB HERIBERTO HULSE',2,NULL,NULL,NULL,4206751,NULL),(16,'344','C CENECISTA DR EDUARDO MÁRIO TAVARES',4,NULL,NULL,NULL,4206801,NULL),(16,'345','EEB IRMÃO JOAQUIM',2,NULL,NULL,NULL,4206801,NULL),(16,'346','C HAMONIA',4,NULL,NULL,NULL,4206900,NULL),(16,'347','EEB ELISEU GUILHERME',2,NULL,NULL,NULL,4206900,NULL),(16,'348','EEB GERTRUD AICHINGER',2,NULL,NULL,NULL,4206900,NULL),(16,'349','C CRISTO REI',4,NULL,NULL,NULL,4207007,NULL),(16,'35','C CENECISTA PADRE AUGUSTINHO',4,NULL,NULL,NULL,4201604,NULL),(16,'350','EEB ANTÔNIO COLONETTI',2,NULL,NULL,NULL,4207007,NULL),(16,'351','EEB ANTÔNIO GUGLIELMI SOBRINHO',2,NULL,NULL,NULL,4207007,NULL),(16,'352','EEB ANTÔNIO JOÃO',2,NULL,NULL,NULL,4207007,NULL),(16,'353','EEB MELCHÍADES BONIFÁCIO ESPÍNDOLA',2,NULL,NULL,NULL,4207007,NULL),(16,'354','EEB MARCOS KONDER',2,NULL,NULL,NULL,4207106,NULL),(16,'355','EEB VALÉRIO GOMES',2,NULL,NULL,NULL,4207106,NULL),(16,'356','EEB PREF PEDRO BITTENCOURT',2,NULL,NULL,NULL,4207205,NULL),(16,'357','EEB PROFª EULINA HELEODORO BARRETO',2,NULL,NULL,NULL,4207205,NULL),(16,'358','EEB ENG ÁLVARO CATÃO',2,NULL,NULL,NULL,4207304,NULL),(16,'359','EEM ENG ANNES GUALBERTO',2,NULL,NULL,NULL,4207304,NULL),(16,'36','EEB PROFª BENTA CARDOSO',2,NULL,NULL,NULL,4201653,NULL),(16,'360','EEB JOÃO GUIMARÃES CABRAL',2,NULL,NULL,NULL,4207304,NULL),(16,'361','EEB VISCONDE DO RIO BRANCO',2,NULL,NULL,NULL,4207304,NULL),(16,'362','COOPERATIVA EDUC DE IMBITUBA',4,NULL,NULL,NULL,4207304,NULL),(16,'363','C CENECISTA DE IMBUIA',4,NULL,NULL,NULL,4207403,NULL),(16,'364','EEB FREI MANOEL PHILIPPI',2,NULL,NULL,NULL,4207403,NULL),(16,'365','EEB FREDERICO HARDT',2,NULL,NULL,NULL,4207502,NULL),(16,'366','COLÉGIO MUNICIPAL PREF LUIZ POLIDORO',1,NULL,NULL,NULL,4207502,NULL),(16,'367','COLÉGIO AGROTÉCNICO DE VIDEIRA',4,NULL,NULL,NULL,4207577,NULL),(16,'368','EEB FREI EVARISTO',2,NULL,NULL,NULL,4207577,NULL),(16,'369','EEB CARLOS FRIES',2,NULL,NULL,NULL,4207601,NULL),(16,'37','C SÃO PAULO',4,NULL,NULL,NULL,4201703,NULL),(16,'370','C CENECISTA ANILDO HEISLER',4,NULL,NULL,NULL,4207650,NULL),(16,'371','EEB PE VENDELINO SEIDEL',2,NULL,NULL,NULL,4207650,NULL),(16,'372','EEB PE ANTÔNIO VIEIRA',2,NULL,NULL,NULL,4207684,NULL),(16,'373','COLÉGIO VITORINO KONDA',2,NULL,NULL,NULL,4207684,NULL),(16,'374','EEB BENJAMIM CARVALHO DE OLIVEIRA',2,NULL,NULL,NULL,4207700,NULL),(16,'375','CE VITAL FELIPE CASAROTTO',2,NULL,NULL,NULL,4207700,NULL),(16,'376','C MUNICIPAL RICARDO VIVIAN',1,NULL,NULL,NULL,4207759,NULL),(16,'377','EEB PROF MANUEL FREITAS TRANCOSO',2,NULL,NULL,NULL,4207759,NULL),(16,'378','C CENECISTA IRANI',4,NULL,NULL,NULL,4207809,NULL),(16,'379','EEB D FELÍCIO C DA CUNHA VASCONCELOS',2,NULL,NULL,NULL,4207809,NULL),(16,'38','EEB DOMINGOS SÁVIO',2,NULL,NULL,NULL,4201703,NULL),(16,'380','EEB PROF CELSO RILLA',2,NULL,NULL,NULL,4207858,NULL),(16,'381','EEB HORÁCIO NUNES',2,NULL,NULL,NULL,4207908,NULL),(16,'382','C CENECISTA ADOLFO KONDER',4,NULL,NULL,NULL,4208005,NULL),(16,'383','EEB GEN LIBERATO BITTENCOURT',2,NULL,NULL,NULL,4208005,NULL),(16,'384','EMEB VALENTIN BERNARDI',1,NULL,NULL,NULL,4208005,NULL),(16,'386','C EDUC 1 E 2 GRAUS ITAIÓPOLIS',1,NULL,NULL,NULL,4208104,NULL),(16,'387','EEB VIRGÍLIO VÁRZEA',2,NULL,NULL,NULL,4208104,NULL),(16,'388','C CENECISTA PEDRO ANTÔNIO FAYAL',4,NULL,NULL,NULL,4208203,NULL),(16,'389','C DE APLICAÇÃO DA UNIVALI',4,NULL,NULL,NULL,4208203,NULL),(16,'39','EEB DR FREDERICO ROLLA',2,NULL,NULL,NULL,4201802,NULL),(16,'390','C DR WILFREDO MARCOS BAYER',4,NULL,NULL,NULL,4208203,NULL),(16,'391','CENTRO EDUC. SISTEMA UNIFICADO',4,NULL,NULL,NULL,4208203,NULL),(16,'392','C SALESIANO ITAJAÍ',4,NULL,NULL,NULL,4208203,NULL),(16,'393','EEB NEREU RAMOS',2,NULL,NULL,NULL,4208203,NULL),(16,'394','C SÃO JOSÉ',4,NULL,NULL,NULL,4208203,NULL),(16,'395','EEB DEP NILTON KUCKER',2,NULL,NULL,NULL,4208203,NULL),(16,'396','EEB DOM AFONSO NIEHUES',2,NULL,NULL,NULL,4208203,NULL),(16,'397','EEB ELIZABETH KONDER REIS',2,NULL,NULL,NULL,4208203,NULL),(16,'398','CE GASPAR DA COSTA MORAES',2,NULL,NULL,NULL,4208203,NULL),(16,'399','CE MANSUETO TRES',2,NULL,NULL,NULL,4208203,NULL),(16,'4','EEB PROF ANACLETO DAMIANI',2,NULL,NULL,NULL,4200101,NULL),(16,'40','EEB WALTER PROBST',2,NULL,NULL,NULL,4201901,NULL),(16,'400','EEM PROF HENRIQUE DA SILVA FONTES',2,NULL,NULL,NULL,4208203,NULL),(16,'401','EEM VICTOR MEIRELLES',2,NULL,NULL,NULL,4208203,NULL),(16,'402','COL. E CURSO RADICAL',4,NULL,NULL,NULL,4208203,NULL),(16,'403','CENTRO EDUC. SISTEMA UNIFICADO',4,NULL,NULL,NULL,4208302,NULL),(16,'404','C ITAPEMA',4,NULL,NULL,NULL,4208302,NULL),(16,'405','EEB ANITA GARIBALDI',2,NULL,NULL,NULL,4208302,NULL),(16,'406','EEB PREF OLEGÁRIO BERNARDES',2,NULL,NULL,NULL,4208302,NULL),(16,'407','COLÉGIO ATLÂNTICO',4,NULL,NULL,NULL,4208302,NULL),(16,'408','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4208401,NULL),(16,'409','CENTRO INTEG. DE ITAPIRANGA',4,NULL,NULL,NULL,4208401,NULL),(16,'41','EEB DOM GREGÓRIO WARMELING',2,NULL,NULL,NULL,4202057,NULL),(16,'410','EEB HUMBERTO MACHADO',2,NULL,NULL,NULL,4208401,NULL),(16,'411','EEB SANTO ANTÔNIO',2,NULL,NULL,NULL,4208401,NULL),(16,'412','EEB SÃO VICENTE',2,NULL,NULL,NULL,4208401,NULL),(16,'413','EEB NEREU RAMOS',2,NULL,NULL,NULL,4208450,NULL),(16,'414','C SANTO ESTEVÃO',4,NULL,NULL,NULL,4208500,NULL),(16,'415','EEB ALEIXO DELLAGIUSTINA',2,NULL,NULL,NULL,4208500,NULL),(16,'416','EEB ROBERTO MORITZ',2,NULL,NULL,NULL,4208500,NULL),(16,'417','C CENECISTA FÁTIMA RECK',4,NULL,NULL,NULL,4208609,NULL),(16,'418','EEB VICTOR FELIPPE RAUEN',2,NULL,NULL,NULL,4208609,NULL),(16,'419','COL. C SANTA TERESINHA',4,NULL,NULL,NULL,4208708,NULL),(16,'42','C BALNEARENSE',2,NULL,NULL,NULL,4202008,NULL),(16,'420','EEB JACINTO MACHADO',2,NULL,NULL,NULL,4208708,NULL),(16,'421','EEB MAL LUZ',2,NULL,NULL,NULL,4208807,NULL),(16,'422','C DIVINA PROVIDÊNCIA',4,NULL,NULL,NULL,4208906,NULL),(16,'423','C EDUCACIONAL SIGMA',4,NULL,NULL,NULL,4208906,NULL),(16,'424','COLÉGIO MARISTA SÃO LUIS',4,NULL,NULL,NULL,4208906,NULL),(16,'425','EEM ABDON BATISTA',2,NULL,NULL,NULL,4208906,NULL),(16,'426','EEM ALBERTO BAUER',2,NULL,NULL,NULL,4208906,NULL),(16,'427','EEB ALVINO TRIBESS',2,NULL,NULL,NULL,4208906,NULL),(16,'428','EEB ELZA GRANZOTTO FERRAZ',2,NULL,NULL,NULL,4208906,NULL),(16,'429','EEB EUCLIDES DA CUNHA',2,NULL,NULL,NULL,4208906,NULL),(16,'43','C COMERCIAL BRUNO SILVA',4,NULL,NULL,NULL,4202008,NULL),(16,'430','EEB HOLANDO MARCELLINO GONÇALVES',2,NULL,NULL,NULL,4208906,NULL),(16,'431','CE ALVES DE SOUZA',2,NULL,NULL,NULL,4208906,NULL),(16,'432','EEB JULIUS KARSTEN',2,NULL,NULL,NULL,4208906,NULL),(16,'433','EEB PROF HELEODORO BORGES',2,NULL,NULL,NULL,4208906,NULL),(16,'434','EEB PROF JOÃO ROMÁRIO MOREIRA',2,NULL,NULL,NULL,4208906,NULL),(16,'435','EEB PROF JOSÉ DUARTE MAGALHÃES',2,NULL,NULL,NULL,4208906,NULL),(16,'436','EEB PROFª LILIA AYROSO OECHSLER',2,NULL,NULL,NULL,4208906,NULL),(16,'437','EEB PROFª VALDETE I P ZINDARS',2,NULL,NULL,NULL,4208906,NULL),(16,'438','EEB ROLAND H DORNBUSCH',2,NULL,NULL,NULL,4208906,NULL),(16,'439','EEM VITOR MEIRELLES',2,NULL,NULL,NULL,4208906,NULL),(16,'44','CENTRO EDUC. SISTEMA UNIFICADO',4,NULL,NULL,NULL,4202008,NULL),(16,'440','CENTRO EDUC INTEG JARAGUENSE',4,NULL,NULL,NULL,4208906,NULL),(16,'441','COLÉGIO EVANGÉLICO JARAGUÁ',4,NULL,NULL,NULL,4208906,NULL),(16,'442','INSTITUTO EDUCACIONAL JANGADA',4,NULL,NULL,NULL,4208906,NULL),(16,'443','C CENECISTA PAPA JOÃO PAULO I',4,NULL,NULL,NULL,4208955,NULL),(16,'444','EEB FAZENDA TRIÂNGULO',2,NULL,NULL,NULL,4208955,NULL),(16,'445','C CENECISTA JOAÇABENSE',4,NULL,NULL,NULL,4209003,NULL),(16,'446','COLÉGIO MARISTA FREI ROGÉRIO',4,NULL,NULL,NULL,4209003,NULL),(16,'447','COLÉGIO CRISTO REI',4,NULL,NULL,NULL,4209003,NULL),(16,'448','EEB DEP NELSON PEDRINI',2,NULL,NULL,NULL,4209003,NULL),(16,'449','EEB GOV CELSO RAMOS',2,NULL,NULL,NULL,4209003,NULL),(16,'45','C GOV IVO SILVEIRA',2,NULL,NULL,NULL,4202008,NULL),(16,'450','CE OSCAR RODRIGUES DA NOVA',2,NULL,NULL,NULL,4209003,NULL),(16,'451','EEB IRAÍ ZILIO',2,NULL,NULL,NULL,4209003,NULL),(16,'452','CENT. DE EST PROF DO O CATARINENSE',4,NULL,NULL,NULL,4209003,NULL),(16,'453','COLÉGIO ALBERT EINSTEIN',4,NULL,NULL,NULL,4209003,NULL),(16,'454','COLÉGIO SANTÍSSIMA TRINDADE',4,NULL,NULL,NULL,4209003,NULL),(16,'455','NÚCLEO PEDAGÓGICO RURAL-NUPERAJO',2,NULL,NULL,NULL,4209003,NULL),(16,'456','C ADVENTISTA DE JOINVILLE (DOM PEDRO II)',4,NULL,NULL,NULL,4209102,NULL),(16,'457','INST.SUP.E CENTRO EDUC LUTER. BOM JESUS',4,NULL,NULL,NULL,4209102,NULL),(16,'458','C BOM PASTOR',4,NULL,NULL,NULL,4209102,NULL),(16,'459','C CENECISTA JOSÉ ELIAS MOREIRA',4,NULL,NULL,NULL,4209102,NULL),(16,'46','C M PROF ANTÔNIO LUCIO',1,NULL,NULL,NULL,4202008,NULL),(16,'460','C DE APLICAÇÃO DA FURJ',4,NULL,NULL,NULL,4209102,NULL),(16,'461','C DOS SANTOS ANJOS',4,NULL,NULL,NULL,4209102,NULL),(16,'462','C SANTO ANTÔNIO',4,NULL,NULL,NULL,4209102,NULL),(16,'463','C TÉCNICO JOINVILENSE',4,NULL,NULL,NULL,4209102,NULL),(16,'464','EEB ARNALDO MOREIRA DOUAT',2,NULL,NULL,NULL,4209102,NULL),(16,'465','EEB CONSELHEIRO MAFRA',2,NULL,NULL,NULL,4209102,NULL),(16,'466','EEB DOM PIO DE FREITAS',2,NULL,NULL,NULL,4209102,NULL),(16,'467','EEB DR JORGE LACERDA',2,NULL,NULL,NULL,4209102,NULL),(16,'468','EEB DR PAULO MEDEIROS',2,NULL,NULL,NULL,4209102,NULL),(16,'469','EEB DR TUFI DIPPE',2,NULL,NULL,NULL,4209102,NULL),(16,'47','C PROF ARMANDO CÉSAR GHISLANDI',1,NULL,NULL,NULL,4202008,NULL),(16,'470','EEB ENGENHEIRO ANNES GUALBERTO',2,NULL,NULL,NULL,4209102,NULL),(16,'471','EEB GIOVANI PASQUALINI FARACO',2,NULL,NULL,NULL,4209102,NULL),(16,'472','EEB JOÃO COLIN',2,NULL,NULL,NULL,4209102,NULL),(16,'473','EEB MAESTRO FRANCISCO M DA SILVA',2,NULL,NULL,NULL,4209102,NULL),(16,'474','EEB OLAVO BILAC',2,NULL,NULL,NULL,4209102,NULL),(16,'475','EEB OSVALDO ARANHA',2,NULL,NULL,NULL,4209102,NULL),(16,'476','EEB PLÁCIDO OLÍMPIO DE OLIVEIRA',2,NULL,NULL,NULL,4209102,NULL),(16,'477','EEB PRES MÉDICI',2,NULL,NULL,NULL,4209102,NULL),(16,'478','EEB PROF GERMANO TIMM',2,NULL,NULL,NULL,4209102,NULL),(16,'479','EEB PROF JOÃO MARTINS VERAS',2,NULL,NULL,NULL,4209102,NULL),(16,'48','COL. PROFª ELIZABETH A. R. TOMIO PEART',4,NULL,NULL,NULL,4202008,NULL),(16,'480','EEB PROFª ALÍCIA B FERREIRA',2,NULL,NULL,NULL,4209102,NULL),(16,'481','EEB PROFª ANTÔNIA ALPAIDES C DOS SANTOS',2,NULL,NULL,NULL,4209102,NULL),(16,'482','EEB PROF. GERTRUDES BENTA COSTA',2,NULL,NULL,NULL,4209102,NULL),(16,'483','EEB PROFª JANDIRA DÁVILA',2,NULL,NULL,NULL,4209102,NULL),(16,'484','EEB PROFª JURACY MARIA BROSIG',2,NULL,NULL,NULL,4209102,NULL),(16,'485','CEDUP DÁRIO GERALDO SALLES',2,NULL,NULL,NULL,4209102,NULL),(16,'486','COL ENERGIA',4,NULL,NULL,NULL,4209102,NULL),(16,'487','COLÉGIO ESQUEMA OBJETIVO',4,NULL,NULL,NULL,4209102,NULL),(16,'488','COLÉGIO JOINVILLE',4,NULL,NULL,NULL,4209102,NULL),(16,'489','COLÉGIO NOVA ERA',4,NULL,NULL,NULL,4209102,NULL),(16,'49','EEB PRES JOÃO GOULART',2,NULL,NULL,NULL,4202008,NULL),(16,'490','COLÉGIO NOVA JOINVILLE',4,NULL,NULL,NULL,4209102,NULL),(16,'491','COLÉGIO POSITIVO',4,NULL,NULL,NULL,4209102,NULL),(16,'492','EEM GOV CELSO RAMOS',2,NULL,NULL,NULL,4209102,NULL),(16,'493','E DE EDUCAÇÃO INFANTIL',4,NULL,NULL,NULL,4209102,NULL),(16,'494','E TÉCNICA TUPY',4,NULL,NULL,NULL,4209102,NULL),(16,'495','EEB JOSÉ CLEMENTE PEREIRA',2,NULL,NULL,NULL,4209151,NULL),(16,'496','EEB JOAQUIM D AGOSTINI',2,NULL,NULL,NULL,4209201,NULL),(16,'497','COLÉGIO BOM JESUS DIOCESANO',4,NULL,NULL,NULL,4209300,NULL),(16,'498','C INDUSTRIAL DE LAGES',2,NULL,NULL,NULL,4209300,NULL),(16,'499','C SANTA ROSA DE LIMA',4,NULL,NULL,NULL,4209300,NULL),(16,'5','E AGROTÉCNICA MUL. I. BORNHAUSEN',1,NULL,NULL,NULL,4200101,NULL),(16,'50','EEB PROFª FRANCISCA ALVES GEVAERD',2,NULL,NULL,NULL,4202008,NULL),(16,'500','EEB ARISTILIANO RAMOS',2,NULL,NULL,NULL,4209300,NULL),(16,'501','EEB FRANCISCO MANFROI',2,NULL,NULL,NULL,4209300,NULL),(16,'502','EEB FREI NICODEMOS',2,NULL,NULL,NULL,4209300,NULL),(16,'503','EEB GEN JOSÉ PINTO SOMBRA',2,NULL,NULL,NULL,4209300,NULL),(16,'504','EEB LÚCIA FERNANDES LOPES',2,NULL,NULL,NULL,4209300,NULL),(16,'505','EEB NS DO ROSÁRIO',2,NULL,NULL,NULL,4209300,NULL),(16,'506','EEB PROF ARMANDO R DE CARVALHO',2,NULL,NULL,NULL,4209300,NULL),(16,'507','EEB PROF FLORDOALDO CABRAL',2,NULL,NULL,NULL,4209300,NULL),(16,'508','EEB RUBENS DE ARRUDA RAMOS',2,NULL,NULL,NULL,4209300,NULL),(16,'509','EEB SÃO JUDAS TADEU',2,NULL,NULL,NULL,4209300,NULL),(16,'51','EEB PROFª MARIA DA GLÓRIA PEREIRA',2,NULL,NULL,NULL,4202008,NULL),(16,'510','EEB ZULMIRA AUTA DA SILVA',2,NULL,NULL,NULL,4209300,NULL),(16,'511','UNIPLAC CENTRO DE ENSINO FUNDAMENTAL',4,NULL,NULL,NULL,4209300,NULL),(16,'512','EEB VIDAL RAMOS JUNIOR',2,NULL,NULL,NULL,4209300,NULL),(16,'513','CEDUP RENATO RAMOS DA SILVA',2,NULL,NULL,NULL,4209300,NULL),(16,'514','COLÉGIO POSILAGES LTDA',4,NULL,NULL,NULL,4209300,NULL),(16,'515','COLÉGIO UNIVEST LAGES LTDA',4,NULL,NULL,NULL,4209300,NULL),(16,'516','EEB GODOLFIN NUNES DE SOUSA',2,NULL,NULL,NULL,4209300,NULL),(16,'517','EMEF ITINERANTE MARIA ALICE W SOUSA',1,NULL,NULL,NULL,4209300,NULL),(16,'518','ESC.TÉCNICA DE COMÉRCIO DE LAGES',4,NULL,NULL,NULL,4209300,NULL),(16,'519','INSTITUTO SÃO JOÃO BATISTA VIANEI',4,NULL,NULL,NULL,4209300,NULL),(16,'52','COLÉGIO CAMBORIÚ',4,NULL,NULL,NULL,4202008,NULL),(16,'520','EEB COMERCIAL LAGUNENSE',2,NULL,NULL,NULL,4209409,NULL),(16,'521','EEM ALMIRANTE LAMEGO',2,NULL,NULL,NULL,4209409,NULL),(16,'522','EEB ANA GONDIN',2,NULL,NULL,NULL,4209409,NULL),(16,'523','EEB SAUL ULYSSÉA',2,NULL,NULL,NULL,4209409,NULL),(16,'524','EEB PROFIS. PROFª ADÉLIA C. VAREJÃO',4,NULL,NULL,NULL,4209409,NULL),(16,'525','COLÉGIO STELLA MARIS',4,NULL,NULL,NULL,4209409,NULL),(16,'526','EEB PROF ANTÔNIA GASINO DE FREITAS',2,NULL,NULL,NULL,4209458,NULL),(16,'527','C SÃO JOSÉ',4,NULL,NULL,NULL,4209508,NULL),(16,'528','EEB TEREZA CRISTINA',2,NULL,NULL,NULL,4209508,NULL),(16,'529','EEB ENG ERNANI COTRIN',2,NULL,NULL,NULL,4209607,NULL),(16,'53','COLÉGIO MARGIRUS',4,NULL,NULL,NULL,4202008,NULL),(16,'530','EEB VISCONDE DE TAUNAY',2,NULL,NULL,NULL,4209607,NULL),(16,'531','EEB WALTER HOLTHAUSEN',2,NULL,NULL,NULL,4209607,NULL),(16,'532','EEB FREI CANECA',2,NULL,NULL,NULL,4209706,NULL),(16,'533','EEB BERTINO SILVA',2,NULL,NULL,NULL,4209805,NULL),(16,'534','EEB PE IZIDORO BENJAMIM MORO',2,NULL,NULL,NULL,4209854,NULL),(16,'535','EEB REGENTE FEIJÓ',2,NULL,NULL,NULL,4209904,NULL),(16,'536','EEB GOV IRINEU BORNHAUSEN',2,NULL,NULL,NULL,4210001,NULL),(16,'537','EEB JOÃO GAYA',2,NULL,NULL,NULL,4210001,NULL),(16,'538','C CENECISTA LUZERNENSE',4,NULL,NULL,NULL,4210035,NULL),(16,'539','EEB PADRE NÓBREGA',2,NULL,NULL,NULL,4210035,NULL),(16,'54','EEB PRAIA DA GAIVOTA',2,NULL,NULL,NULL,4202073,NULL),(16,'540','EEB ALBINA MOSCONI',2,NULL,NULL,NULL,4210050,NULL),(16,'541','C MAFRENSE',4,NULL,NULL,NULL,4210100,NULL),(16,'542','EEB BARÃO DE ANTONINA',2,NULL,NULL,NULL,4210100,NULL),(16,'543','EEB DR FRANCISCO IZABEL',2,NULL,NULL,NULL,4210100,NULL),(16,'544','EEB JOVINO LIMA',2,NULL,NULL,NULL,4210100,NULL),(16,'545','EEB PROFª MARIA PAULA FERES',2,NULL,NULL,NULL,4210100,NULL),(16,'546','EEB MANOEL VICENTE GOMES',2,NULL,NULL,NULL,4210209,NULL),(16,'547','C MAJOR VIEIRA',4,NULL,NULL,NULL,4210308,NULL),(16,'548','EEB LUIZ DAVET',2,NULL,NULL,NULL,4210308,NULL),(16,'549','C CENECISTA GIÁCOMO DE PELEGRINI',4,NULL,NULL,NULL,4210407,NULL),(16,'55','EEB HÉLIO WASUM',2,NULL,NULL,NULL,4202081,NULL),(16,'550','EEB MANOEL GOMES BALTAZAR',2,NULL,NULL,NULL,4210407,NULL),(16,'551','EEB JOÃO XXIII',2,NULL,NULL,NULL,4210506,NULL),(16,'552','EEB NS DA SALETE',2,NULL,NULL,NULL,4210506,NULL),(16,'553','ETC RUI BARBOSA',1,NULL,NULL,NULL,4210506,NULL),(16,'554','EEB PROF ZELINDO CARBONERA',2,NULL,NULL,NULL,4210555,NULL),(16,'555','EEB GAL RONDON',2,NULL,NULL,NULL,4210605,NULL),(16,'556','C CENECISTA SIMEÃO CARNEIRO',4,NULL,NULL,NULL,4210704,NULL),(16,'557','EEB DOM DANIEL HOSTIN',2,NULL,NULL,NULL,4210704,NULL),(16,'558','C CENECISTA NICOLAU MACHADO DE SOUZA',4,NULL,NULL,NULL,4210803,NULL),(16,'559','EEB DE MELEIRO',2,NULL,NULL,NULL,4210803,NULL),(16,'56','EEB PROFª CECÍLIA LOTIN',2,NULL,NULL,NULL,4202099,NULL),(16,'560','EEB BRUNO HEIDRICH',2,NULL,NULL,NULL,4210852,NULL),(16,'561','C CENECISTA JOSÉ DE ALENCAR',4,NULL,NULL,NULL,4210902,NULL),(16,'562','EEB DOM HELDER CÂMARA',2,NULL,NULL,NULL,4210902,NULL),(16,'563','C CENECISTA ARTUR DEISS',4,NULL,NULL,NULL,4211009,NULL),(16,'564','EEB DELMINDA SILVEIRA',2,NULL,NULL,NULL,4211009,NULL),(16,'565','CE MARINO PISANI',2,NULL,NULL,NULL,4211058,NULL),(16,'566','EEB VALENTIN G RIBEIRO',2,NULL,NULL,NULL,4211108,NULL),(16,'567','EEB PRINCESA ISABEL',2,NULL,NULL,NULL,4211207,NULL),(16,'568','EEB ANA MACHADO DAL TOE',2,NULL,NULL,NULL,4211256,NULL),(16,'569','EEB ADELAIDE KONDER',2,NULL,NULL,NULL,4211306,NULL),(16,'57','EEB CONSELHEIRO ASTROGILDO ODON AGUIAR',2,NULL,NULL,NULL,4202107,NULL),(16,'570','EEB PROFª JÚLIA MIRANDA DE SOUZA',2,NULL,NULL,NULL,4211306,NULL),(16,'571','C CENECISTA RUI BARBOSA',4,NULL,NULL,NULL,4211405,NULL),(16,'572','EEB RUDOLFO LUZINA',2,NULL,NULL,NULL,4211405,NULL),(16,'573','EEB DR SERAFIN ENOSS BERTASO',2,NULL,NULL,NULL,4211454,NULL),(16,'574','EEB FRANCISCO MAZZOLA',2,NULL,NULL,NULL,4211504,NULL),(16,'575','C CENECISTA CÔNEGO MIGUEL GIACCA',4,NULL,NULL,NULL,4211603,NULL),(16,'576','EEB ABÍLIO CÉSAR BORGES',2,NULL,NULL,NULL,4211603,NULL),(16,'577','EEB HUMBERTO HERMES HOFFMANN',2,NULL,NULL,NULL,4211603,NULL),(16,'578','EEB JULIETA TORRES GONÇALVES',2,NULL,NULL,NULL,4211603,NULL),(16,'579','EEB SANTA LÚCIA',2,NULL,NULL,NULL,4211652,NULL),(16,'58','EEB DAVID PEDRO ESPÍNDOLA',2,NULL,NULL,NULL,4202107,NULL),(16,'580','EEB TONEZA CASCAES',2,NULL,NULL,NULL,4211702,NULL),(16,'581','ESC BARRIGA VERDE',4,NULL,NULL,NULL,4211702,NULL),(16,'582','ETC DE ORLEANS',1,NULL,NULL,NULL,4211702,NULL),(16,'583','EEB ELZA DEEKE',2,NULL,NULL,NULL,4211751,NULL),(16,'584','EEB FREI CRESPIM',2,NULL,NULL,NULL,4211801,NULL),(16,'585','EEB PREF SÍLVIO SANTOS',2,NULL,NULL,NULL,4211801,NULL),(16,'586','EEB CELESTINO JOSÉ DO NASCIMENTO',2,NULL,NULL,NULL,4211850,NULL),(16,'587','EEB FRANCISCO MACIEL BAGESTON',2,NULL,NULL,NULL,4211876,NULL),(16,'588','EEB PADRE ANTÔNIO TRIVELLIN',2,NULL,NULL,NULL,4211892,NULL),(16,'589','COLÉGIO CARROSSEL 2 GRAU E SUPLETIVO',4,NULL,NULL,NULL,4211900,NULL),(16,'59','EEB ESTANISLAU SCHUMANN',2,NULL,NULL,NULL,4202131,NULL),(16,'590','CENTRO EDUC MARIA VARGAS',4,NULL,NULL,NULL,4211900,NULL),(16,'591','EEB GOV IVO SILVEIRA',2,NULL,NULL,NULL,4211900,NULL),(16,'592','EEB IRMÃ MARIA TERESA',2,NULL,NULL,NULL,4211900,NULL),(16,'593','EEB JOÃO SILVEIRA',2,NULL,NULL,NULL,4211900,NULL),(16,'594','EEB JOSÉ MARIA CARDOSO DA VEIGA',2,NULL,NULL,NULL,4211900,NULL),(16,'595','EEB PE VICENTE FERREIRA CORDEIRO',2,NULL,NULL,NULL,4211900,NULL),(16,'596','COLÉGIO BOM JESUS LTDA',4,NULL,NULL,NULL,4211900,NULL),(16,'597','COL CARROCEL',4,NULL,NULL,NULL,4211900,NULL),(16,'598','EEB CLAUDINO CRESTANI',2,NULL,NULL,NULL,4212007,NULL),(16,'599','EEB CATHARINA SEGER',2,NULL,NULL,NULL,4212007,NULL),(16,'6','EEB PEDRO AMÉRICO',2,NULL,NULL,NULL,4200200,NULL),(16,'60','EEB PROF. FCO BRASINHA DIAS',2,NULL,NULL,NULL,4202156,NULL),(16,'600','COL. CENECISTA NEREU RAMOS',4,NULL,NULL,NULL,4212106,NULL),(16,'601','EEB FELISBERTO DE CARVALHO',2,NULL,NULL,NULL,4212106,NULL),(16,'602','C PAPANDUVA',4,NULL,NULL,NULL,4212205,NULL),(16,'603','EEB ALINOR VIEIRA CORTE',2,NULL,NULL,NULL,4212205,NULL),(16,'604','EEB ADOLFO SILVEIRA',2,NULL,NULL,NULL,4212239,NULL),(16,'605','EEB GOV HILDO MENEGHETTI',2,NULL,NULL,NULL,4212254,NULL),(16,'606','EEB PROFª CORÁLIA GEVAERD OLINNGER',2,NULL,NULL,NULL,4212270,NULL),(16,'607','EEB FREDERICO SANTOS',2,NULL,NULL,NULL,4212304,NULL),(16,'608','EEB IMACULADO CORAÇÃO DE MARIA',2,NULL,NULL,NULL,4212403,NULL),(16,'609','EEB MANOEL HENRIQUE DE ASSIS',2,NULL,NULL,NULL,4212502,NULL),(16,'61','EEB CENECISTA TERCÍLIO LONGO',2,NULL,NULL,NULL,4202206,NULL),(16,'610','EEB PROF JOÃO BATISTA PAIVA',2,NULL,NULL,NULL,4212502,NULL),(16,'611','C CENECISTA IRINEU BORNHAUSEN',4,NULL,NULL,NULL,4212601,NULL),(16,'612','EEB IRMÃ ANUNCIATA SPERANDIO',2,NULL,NULL,NULL,4212601,NULL),(16,'613','EEB HERMES FONTES',2,NULL,NULL,NULL,4212700,NULL),(16,'614','EEB ALEXANDRE GUILHERME FIGUEREDO',2,NULL,NULL,NULL,4212809,NULL),(16,'615','C PLÍNIO ARLINDO DE NES',1,NULL,NULL,NULL,4212908,NULL),(16,'616','EEB JOSÉ MARCOLINO ECKERT',2,NULL,NULL,NULL,4212908,NULL),(16,'617','C CENECISTA DOM BOSCO',4,NULL,NULL,NULL,4213005,NULL),(16,'618','EEB PROFª MAURA DE SENA PEREIRA',2,NULL,NULL,NULL,4213005,NULL),(16,'619','EEB CARLOS CHAGAS',2,NULL,NULL,NULL,4213104,NULL),(16,'62','EEB TEÓFILO NOLASCO DE ALMEIDA',2,NULL,NULL,NULL,4202206,NULL),(16,'620','EEB PROFª LOURDES TONIN',2,NULL,NULL,NULL,4213153,NULL),(16,'621','EEB JOSE BONIFÁCIO',2,NULL,NULL,NULL,4213203,NULL),(16,'622','EEB PRES PRUDENTE DE MORAIS',2,NULL,NULL,NULL,4213203,NULL),(16,'623','COL CITI',4,NULL,NULL,NULL,4213203,NULL),(16,'624','CONJUNTO EDUCACIONAL DR BLUMENAU',4,NULL,NULL,NULL,4213203,NULL),(16,'625','EEB SÃO TARCÍSIO',2,NULL,NULL,NULL,4213302,NULL),(16,'626','EEB FREI ROGÉRIO',2,NULL,NULL,NULL,4213351,NULL),(16,'627','C CENECISTA ALBERTO ZOLLER FILHO',4,NULL,NULL,NULL,4213401,NULL),(16,'628','EEB BELERMINO VITOR DALLA VECCHIA',2,NULL,NULL,NULL,4213401,NULL),(16,'629','EEB DOM VITAL',2,NULL,NULL,NULL,4213401,NULL),(16,'63','C EDUCAR',4,NULL,NULL,NULL,4202305,NULL),(16,'630','EEB TIRADENTES',2,NULL,NULL,NULL,4213500,NULL),(16,'631','C MIGUEL FARAH',4,NULL,NULL,NULL,4213609,NULL),(16,'632','C SANTOS ANJOS',4,NULL,NULL,NULL,4213609,NULL),(16,'633','COLÉGIO SÃO JOSÉ',4,NULL,NULL,NULL,4213609,NULL),(16,'634','EEB ANTÔNIO GONZAGA',2,NULL,NULL,NULL,4213609,NULL),(16,'635','EEB CEL CID GONZAGA',2,NULL,NULL,NULL,4213609,NULL),(16,'636','EEB PROF BALBUÍNO CARDOSO',2,NULL,NULL,NULL,4213609,NULL),(16,'637','EEB PROF CLEMENTINO BRITTO',2,NULL,NULL,NULL,4213609,NULL),(16,'638','EEB PROF GERMANO WAGENFUHR',2,NULL,NULL,NULL,4213609,NULL),(16,'639','EEB ARNO SIEVERDT',2,NULL,NULL,NULL,4213708,NULL),(16,'64','EEB CÔNEGO RODOLFO MACHADO',2,NULL,NULL,NULL,4202305,NULL),(16,'640','EEB PROF ANAIR MARGARIDA VOLTOLINI',2,NULL,NULL,NULL,4213708,NULL),(16,'641','EEB BULCÃO VIANA',2,NULL,NULL,NULL,4213807,NULL),(16,'642','EEB DOIS IRMÃOS',2,NULL,NULL,NULL,4213906,NULL),(16,'643','EEB CECÍLIA AX',2,NULL,NULL,NULL,4214003,NULL),(16,'644','EEB ORLANDO BERTOLI',2,NULL,NULL,NULL,4214003,NULL),(16,'645','EEB JOÃO TOLENTINO JUNIOR',2,NULL,NULL,NULL,4214102,NULL),(16,'646','EEB ANTENOR NASCENTES',2,NULL,NULL,NULL,4214151,NULL),(16,'647','C CENECISTA NS DE FÁTIMA',4,NULL,NULL,NULL,4214201,NULL),(16,'648','EEB PROFª JUREMA SAVI MILANEZ',2,NULL,NULL,NULL,4214201,NULL),(16,'649','EEB MARILDA LENIA ARAÚJO',2,NULL,NULL,NULL,4214300,NULL),(16,'65','EEM PROFª MARIA DA GLÓRIA V DE FARIA',2,NULL,NULL,NULL,4202305,NULL),(16,'650','EEB SANTOS ANJOS',2,NULL,NULL,NULL,4214409,NULL),(16,'651','EEB DR FERNANDO FERREIRA DE MELLO',2,NULL,NULL,NULL,4214508,NULL),(16,'652','EEB EXPEDICIONÁRIO MÁRIO NARDELLI',2,NULL,NULL,NULL,4214607,NULL),(16,'653','C DOM BOSCO',4,NULL,NULL,NULL,4214805,NULL),(16,'654','C SINODAL RUY BARBOSA',4,NULL,NULL,NULL,4214805,NULL),(16,'655','C TÉCNICO DA FEDAVI',4,NULL,NULL,NULL,4214805,NULL),(16,'656','EEB DEP JOÃO CUSTÓDIO DA LUZ',2,NULL,NULL,NULL,4214805,NULL),(16,'657','EEB PAULO CORDEIRO',2,NULL,NULL,NULL,4214805,NULL),(16,'658','EEB PAULO ZIMMERMANN',2,NULL,NULL,NULL,4214805,NULL),(16,'659','EEB PROF HENRIQUE DA SILVA FONTES',2,NULL,NULL,NULL,4214805,NULL),(16,'66','EEB PROFª TÂNIA MARA F E SILVA LOCKS',2,NULL,NULL,NULL,4202305,NULL),(16,'660','CE ROBERTO MACHADO',2,NULL,NULL,NULL,4214805,NULL),(16,'661','COLÉGIO UNIVEST',4,NULL,NULL,NULL,4214805,NULL),(16,'662','ESC AGROTÉCNICA FEDERAL DE RIO DO SUL',3,NULL,NULL,NULL,4214805,NULL),(16,'663','INSTITUTO MARIA AUXILIADORA',4,NULL,NULL,NULL,4214805,NULL),(16,'664','EEB PROF GIOVANI TRENTINI',2,NULL,NULL,NULL,4214706,NULL),(16,'665','EEB NS DE FÁTIMA',2,NULL,NULL,NULL,4214904,NULL),(16,'666','C CENECISTA SÃO JOSÉ',4,NULL,NULL,NULL,4215000,NULL),(16,'667','CE JORGE ZIPPERER',2,NULL,NULL,NULL,4215000,NULL),(16,'668','EEB LUIZ BERNARDO OLSEN',2,NULL,NULL,NULL,4215000,NULL),(16,'669','EEM MANUEL DA NÓBREGA',2,NULL,NULL,NULL,4215000,NULL),(16,'67','C DOUTOR BLUMENAU',4,NULL,NULL,NULL,4202404,NULL),(16,'670','CE PROFª AURORA SIQUEIRA JABLONSKI',2,NULL,NULL,NULL,4215000,NULL),(16,'671','CE PROFª MARTA TAVARES',2,NULL,NULL,NULL,4215000,NULL),(16,'672','ESC. ITINERANTE ESITRINE',1,NULL,NULL,NULL,4215000,NULL),(16,'673','EEB PROF DJALMA BENTO',2,NULL,NULL,NULL,4215059,NULL),(16,'674','EEB PROFª GENOVEVA DALLA COSTA',2,NULL,NULL,NULL,4215075,NULL),(16,'675','C COMÉRCIO MÁRIO LOCATELLI',4,NULL,NULL,NULL,4215109,NULL),(16,'676','C MADRE AVOSANI',4,NULL,NULL,NULL,4215109,NULL),(16,'677','EEB OSVALDO CRUZ',2,NULL,NULL,NULL,4215109,NULL),(16,'678','C CENECISTA IMACULADA CONCEIÇÃO',4,NULL,NULL,NULL,4215208,NULL),(16,'679','EEB PROF HERMÍNIO H. DA SILVA',2,NULL,NULL,NULL,4215208,NULL),(16,'68','C DR FRITZ MULLER',2,NULL,NULL,NULL,4202404,NULL),(16,'680','EEB GUILHERME ANDRE DALRI',2,NULL,NULL,NULL,4215307,NULL),(16,'682','EEB EMÍLIA BOOS LAUS SCHMIDT',2,NULL,NULL,NULL,4215356,NULL),(16,'683','C CENECISTA EURICO GASPAR DUTRA',4,NULL,NULL,NULL,4215406,NULL),(16,'684','EEB CECÍLIA VIVAN',2,NULL,NULL,NULL,4215406,NULL),(16,'685','EEB BERNARDO SCHMITZ',2,NULL,NULL,NULL,4215455,NULL),(16,'686','EEB IRMÃ IRENE',2,NULL,NULL,NULL,4215505,NULL),(16,'687','EEB SANTA HELENA',2,NULL,NULL,NULL,4215554,NULL),(16,'688','EEB PROF ALDO CÂMARA',2,NULL,NULL,NULL,4215604,NULL),(16,'689','EEB JOÃO DOS SANTOS AREÃO',2,NULL,NULL,NULL,4215653,NULL),(16,'69','EEB PEDRO II',2,NULL,NULL,NULL,4202404,NULL),(16,'690','ESC AGROTÉCNICA FEDERAL DE SOMBRIO',3,NULL,NULL,NULL,4215653,NULL),(16,'691','EEB PE JOÃO KOMINEK',2,NULL,NULL,NULL,4215679,NULL),(16,'692','EEB SANTA TEREZINHA',2,NULL,NULL,NULL,4215687,NULL),(16,'693','EEB CELSO RAMOS FILHO',2,NULL,NULL,NULL,4215802,NULL),(16,'694','EEB FREDERICO FENDRICH',2,NULL,NULL,NULL,4215802,NULL),(16,'695','EEB ORESTES GUIMARÃES',2,NULL,NULL,NULL,4215802,NULL),(16,'696','EEB PREF CARLOS ZIPPERER SOBRINHO',2,NULL,NULL,NULL,4215802,NULL),(16,'697','EEM PROF ROBERTO GRANT',2,NULL,NULL,NULL,4215802,NULL),(16,'698','EEB SÃO BENTO',2,NULL,NULL,NULL,4215802,NULL),(16,'699','COL SÃO JOSÉ',4,NULL,NULL,NULL,4215802,NULL),(16,'7','EEB MARIA REGINA DE OLIVEIRA',2,NULL,NULL,NULL,4200309,NULL),(16,'70','C FRANCISCANO SANTO ANTÔNIO',4,NULL,NULL,NULL,4202404,NULL),(16,'700','FETEP FUND ENS TECNOL E PESQUISA',4,NULL,NULL,NULL,4215802,NULL),(16,'701','EEB SÃO BERNARDINO',2,NULL,NULL,NULL,4215752,NULL),(16,'702','EEB SÃO TARCÍSIO',2,NULL,NULL,NULL,4215901,NULL),(16,'703','C 25 DE JULHO',4,NULL,NULL,NULL,4216008,NULL),(16,'704','EEB CARDEAL ARCOVERDE',2,NULL,NULL,NULL,4216008,NULL),(16,'705','EEB PROF ARGEU FURTADO',2,NULL,NULL,NULL,4216057,NULL),(16,'706','C CENECISTA NS APARECIDA',4,NULL,NULL,NULL,4216107,NULL),(16,'707','EEB JOÃO ROBERTO MOREIRA',2,NULL,NULL,NULL,4216107,NULL),(16,'708','EEB PROF NICOLA BAPTISTA',2,NULL,NULL,NULL,4216206,NULL),(16,'709','EEB PROFª CLAURINICE VIEIRA CALDEIRA',2,NULL,NULL,NULL,4216206,NULL),(16,'71','C SAGRADA FAMÍLIA',4,NULL,NULL,NULL,4202404,NULL),(16,'710','EEB SANTA CATARINA',2,NULL,NULL,NULL,4216206,NULL),(16,'711','ETC SÃO FRANCISCO DO SUL',1,NULL,NULL,NULL,4216206,NULL),(16,'712','EEB SÃO JOÃO BATISTA',2,NULL,NULL,NULL,4216305,NULL),(16,'713','EEB PROFª ELVIRA FARIA PASSOS',2,NULL,NULL,NULL,4216354,NULL),(16,'714','C CENECISTA JORGE LACERDA',4,NULL,NULL,NULL,4216255,NULL),(16,'715','EEB  MADRE BENVENUTA',2,NULL,NULL,NULL,4216255,NULL),(16,'716','EEB  PE TEODORO TREIS',2,NULL,NULL,NULL,4216255,NULL),(16,'717','EEB ÂNGELO SCARPA',2,NULL,NULL,NULL,4216404,NULL),(16,'718','C CENECISTA SÃO JOAQUIM',4,NULL,NULL,NULL,4216503,NULL),(16,'719','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4216503,NULL),(16,'72','C VALE DO ITAJAÍ',4,NULL,NULL,NULL,4202404,NULL),(16,'720','COLÉGIO PARADIGMA',4,NULL,NULL,NULL,4216503,NULL),(16,'721','EDUCANDÁRIO SANTA ISABEL',4,NULL,NULL,NULL,4216503,NULL),(16,'722','C CENECISTA MONS FREDERICO HOBOLD',4,NULL,NULL,NULL,4216602,NULL),(16,'723','COL DOM JAIME CÂMARA',4,NULL,NULL,NULL,4216602,NULL),(16,'724','COL CENTRO EDUC VISÃO',4,NULL,NULL,NULL,4216602,NULL),(16,'725','COL SOLAR DO CHAPEUZ VERMELHO',4,NULL,NULL,NULL,4216602,NULL),(16,'726','EEB BELA VISTA',2,NULL,NULL,NULL,4216602,NULL),(16,'727','EEB CECÍLIA ROSA LOPES',2,NULL,NULL,NULL,4216602,NULL),(16,'728','EEB FRANCISCO TOLENTINO',2,NULL,NULL,NULL,4216602,NULL),(16,'729','EEB N S DA CONCEIÇÃO',2,NULL,NULL,NULL,4216602,NULL),(16,'73','EEB ADOLPHO KONDER',2,NULL,NULL,NULL,4202404,NULL),(16,'730','EEB PRES JUSC KUBITSCHEK',2,NULL,NULL,NULL,4216602,NULL),(16,'731','EEB PROF JOAQUIM SANTIAGO',2,NULL,NULL,NULL,4216602,NULL),(16,'732','EEB PROF LAÉRCIO C. ANDRADA',2,NULL,NULL,NULL,4216602,NULL),(16,'733','EEB PROFª MARIA J B VIEIRA',2,NULL,NULL,NULL,4216602,NULL),(16,'734','EEB WANDERLEY JUNIOR',2,NULL,NULL,NULL,4216602,NULL),(16,'735','CENTRO DE ENSINO KOBRASOL LTDA',4,NULL,NULL,NULL,4216602,NULL),(16,'736','CM MARIA LUIZA DE MELO',1,NULL,NULL,NULL,4216602,NULL),(16,'737','COL ALPHA OBJETIVO',4,NULL,NULL,NULL,4216602,NULL),(16,'738','COLÉGIO ELISA ANDREOLI',4,NULL,NULL,NULL,4216602,NULL),(16,'739','CEFET - SC UNIDADE SÃO JOSÉ',3,NULL,NULL,NULL,4216602,NULL),(16,'74','EEB CEL PEDRO CHRISTIANO FEDDERSEN',2,NULL,NULL,NULL,4202404,NULL),(16,'740','EEB CEDRENSE',2,NULL,NULL,NULL,4216701,NULL),(16,'741','C AGRÍCOLA CAETANO COSTA',2,NULL,NULL,NULL,4216800,NULL),(16,'742','EEB PROF MAURO GONÇALVES FARIAS',2,NULL,NULL,NULL,4216800,NULL),(16,'743','C CENECISTA JORGE LACERDA',4,NULL,NULL,NULL,4216909,NULL),(16,'744','EEB RUI BARBOSA',2,NULL,NULL,NULL,4216909,NULL),(16,'745','EEB SOROR ANGÉLICA',2,NULL,NULL,NULL,4216909,NULL),(16,'746','COLÉGIO IMPACTO LTDA',4,NULL,NULL,NULL,4216909,NULL),(16,'747','ESC SÃO FRANCISCO DE ASSIS',4,NULL,NULL,NULL,4216909,NULL),(16,'748','EEB SÃO LUDGERO',2,NULL,NULL,NULL,4217006,NULL),(16,'749','CE SÃO LUDGERO',2,NULL,NULL,NULL,4217006,NULL),(16,'75','EEB EMÍLIO BAUMGART',2,NULL,NULL,NULL,4202404,NULL),(16,'750','EEB FRIDOLINO HULSE',2,NULL,NULL,NULL,4217105,NULL),(16,'751','C NORMAL PARTICULAR SÃO JOSÉ',4,NULL,NULL,NULL,4217204,NULL),(16,'752','COL LA SALLE PEPERI',4,NULL,NULL,NULL,4217204,NULL),(16,'753','EEB ALBERICO AZEVEDO',2,NULL,NULL,NULL,4217204,NULL),(16,'754','EEB DR GUILHERME JOSE MISSEN',2,NULL,NULL,NULL,4217204,NULL),(16,'755','EEB PE JALDYR BHERING F DA SILVA',2,NULL,NULL,NULL,4217204,NULL),(16,'756','EEB SANTA RITA',2,NULL,NULL,NULL,4217204,NULL),(16,'757','EEB SÃO MIGUEL',2,NULL,NULL,NULL,4217204,NULL),(16,'758','CEDUP GETÚLIO VARGAS',2,NULL,NULL,NULL,4217204,NULL),(16,'759','EEB LINHA SARGENTO',2,NULL,NULL,NULL,4217154,NULL),(16,'76','EEB GOV CELSO RAMOS',2,NULL,NULL,NULL,4202404,NULL),(16,'760','CM SÃO FRANCISCO DE ASSIS',1,NULL,NULL,NULL,4217253,NULL),(16,'761','EEB RODRIGUES ALVES',2,NULL,NULL,NULL,4217303,NULL),(16,'762','EEB MIGUEL COUTO',2,NULL,NULL,NULL,4217402,NULL),(16,'763','EEB RAIMUNDO CORRÊA',2,NULL,NULL,NULL,4217501,NULL),(16,'764','EEB SEARA',2,NULL,NULL,NULL,4217501,NULL),(16,'765','EEB LA SALLE',2,NULL,NULL,NULL,4217550,NULL),(16,'766','C CENECISTA SANTA BARBARA',4,NULL,NULL,NULL,4217600,NULL),(16,'767','CE DOM ORIONE',4,NULL,NULL,NULL,4217600,NULL),(16,'768','EEB JOSÉ DO PATROCÍNIO',2,NULL,NULL,NULL,4217600,NULL),(16,'769','EEB CATULO DA PAIXÃO CEARENSE',2,NULL,NULL,NULL,4217709,NULL),(16,'77','EEB HERCÍLIO DEEKE',2,NULL,NULL,NULL,4202404,NULL),(16,'770','INST EDUCACIONAL MADRE ELISA SAVOLDI',4,NULL,NULL,NULL,4217709,NULL),(16,'771','COL. CEN. CHARLES EDGAR MORITZ',4,NULL,NULL,NULL,4215703,NULL),(16,'772','EEB NEREU RAMOS',2,NULL,NULL,NULL,4215703,NULL),(16,'773','EEB PROF. SILVEIRA DE MATOS',2,NULL,NULL,NULL,4215703,NULL),(16,'774','COLÉGIO QUÂNTICO LTDA',4,NULL,NULL,NULL,4215703,NULL),(16,'775','EEB HÉLIO WASUM',2,NULL,NULL,NULL,4217758,NULL),(16,'776','C CENECISTA NS DE FÁTIMA',4,NULL,NULL,NULL,4217808,NULL),(16,'777','EEB LUIZ BERTOLI',2,NULL,NULL,NULL,4217808,NULL),(16,'778','EEB OTTO HOSANG',2,NULL,NULL,NULL,4217808,NULL),(16,'779','EEB MATER SALVATORIS',2,NULL,NULL,NULL,4217907,NULL),(16,'78','EEM ILSE KARSTEN',2,NULL,NULL,NULL,4202404,NULL),(16,'780','EEB OSVALDO FERREIRA DE MELO',2,NULL,NULL,NULL,4217956,NULL),(16,'781','C CENECISTA BENJAMIN GALLOTTI',4,NULL,NULL,NULL,4218004,NULL),(16,'782','C ESPÍRITO SANTO',4,NULL,NULL,NULL,4218004,NULL),(16,'783','EEB CRUZ E SOUSA',2,NULL,NULL,NULL,4218004,NULL),(16,'784','COL E SUPLETIVO NOVO MILÊNIO',4,NULL,NULL,NULL,4218004,NULL),(16,'785','EEB TIMBÉ DO SUL',2,NULL,NULL,NULL,4218103,NULL),(16,'786','C COMERCIAL DR LEOBERTO LEAL',4,NULL,NULL,NULL,4218202,NULL),(16,'787','EEB RUY BARBOSA',2,NULL,NULL,NULL,4218202,NULL),(16,'788','EEB MACHADO DE ASSIS',2,NULL,NULL,NULL,4218251,NULL),(16,'789','EEB COLOMBO MACHADO SALLES',2,NULL,NULL,NULL,4218301,NULL),(16,'79','EEB LUIZ DELFINO',2,NULL,NULL,NULL,4202404,NULL),(16,'790','EEB FREI MENANDRO KAMPS',2,NULL,NULL,NULL,4218301,NULL),(16,'791','EEB GENERAL OSÓRIO',2,NULL,NULL,NULL,4218301,NULL),(16,'792','EEB UDO DEEK',2,NULL,NULL,NULL,4218350,NULL),(16,'793','EEB MON. BERNARDO PETERS',2,NULL,NULL,NULL,4218400,NULL),(16,'794','C CENECISTA FRANCISCO LINDNER',4,NULL,NULL,NULL,4218509,NULL),(16,'795','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4218509,NULL),(16,'796','EEB DR. HERMANN BLUMENAU',2,NULL,NULL,NULL,4218608,NULL),(16,'797','C SÃO JOSÉ',4,NULL,NULL,NULL,4218707,NULL),(16,'798','EEB HENRIQUE FONTES',2,NULL,NULL,NULL,4218707,NULL),(16,'799','EEB HERCÍLIO LUZ',2,NULL,NULL,NULL,4218707,NULL),(16,'8','CEDUP PROF JALDYR BHERING F SILVA',2,NULL,NULL,NULL,4200408,NULL),(16,'80','EEB PE JOSÉ MAURÍCIO',2,NULL,NULL,NULL,4202404,NULL),(16,'800','EEB JOÃO TEIXEIRA NUNES',2,NULL,NULL,NULL,4218707,NULL),(16,'801','EEB JOÃO XXIII',2,NULL,NULL,NULL,4218707,NULL),(16,'802','EEB MARTINHO ALVES DOS SANTOS',2,NULL,NULL,NULL,4218707,NULL),(16,'803','EEB SANTO ANJO DA GUARDA',2,NULL,NULL,NULL,4218707,NULL),(16,'804','EEB SEN FRANCISCO BENJ. GALLOTTI',2,NULL,NULL,NULL,4218707,NULL),(16,'805','CENTRO INTERCOLEGIAL INTEG DE TUBARÃO',4,NULL,NULL,NULL,4218707,NULL),(16,'806','COL DEHON',4,NULL,NULL,NULL,4218707,NULL),(16,'807','CENT. EDUC ENERGIA TUBARÃO SC LTDA',4,NULL,NULL,NULL,4218707,NULL),(16,'808','CEDUP DIOMÍCIO FREITAS',2,NULL,NULL,NULL,4218707,NULL),(16,'809','ETC DE TUBARÃO',4,NULL,NULL,NULL,4218707,NULL),(16,'81','EEM PROF WIGAND GELHARDT',2,NULL,NULL,NULL,4202404,NULL),(16,'810','SEMINÁRIO NS DE FÁTIMA',4,NULL,NULL,NULL,4218707,NULL),(16,'811','C CENECISTA ANITA GARIBALDI',4,NULL,NULL,NULL,4218756,NULL),(16,'812','EEB PE BALDUÍNO RAMBO',2,NULL,NULL,NULL,4218756,NULL),(16,'813','C SERVOS DE MARIA',4,NULL,NULL,NULL,4218806,NULL),(16,'814','EEB JOÃO COLODEL',2,NULL,NULL,NULL,4218806,NULL),(16,'815','EEB JORGE SCHUTZ',2,NULL,NULL,NULL,4218806,NULL),(16,'816','EEB SÃO LUIZ',2,NULL,NULL,NULL,4218855,NULL),(16,'817','C SANTA CLARA',4,NULL,NULL,NULL,4218905,NULL),(16,'818','EEB ARAÚJO FIGUEIREDO',2,NULL,NULL,NULL,4218905,NULL),(16,'819','EEB MANOEL P. DE MEDEIROS',2,NULL,NULL,NULL,4218954,NULL),(16,'82','EEB PROF HERIBERTO JOSEPH MÜLLER',2,NULL,NULL,NULL,4202404,NULL),(16,'820','C RAINHA DO MUNDO',4,NULL,NULL,NULL,4219002,NULL),(16,'821','EEB BARÃO DO RIO BRANCO',2,NULL,NULL,NULL,4219002,NULL),(16,'822','EEB CAETANO BEZ BATTI',2,NULL,NULL,NULL,4219002,NULL),(16,'823','C CENECISTA FORTUNATO DANIELLI',4,NULL,NULL,NULL,4219101,NULL),(16,'824','EEB KYRANA LACERDA',2,NULL,NULL,NULL,4219101,NULL),(16,'825','EEB DEP. AUGUSTO BRESOLA',2,NULL,NULL,NULL,4219101,NULL),(16,'826','EEB GALEAZZO PAGANELLI',2,NULL,NULL,NULL,4219176,NULL),(16,'827','EEB VITORIO ROMAN',2,NULL,NULL,NULL,4219176,NULL),(16,'828','EEB CACILDA GUIMARÃES',2,NULL,NULL,NULL,4219200,NULL),(16,'829','COL. IMACULADA CONCEIÇÃO',4,NULL,NULL,NULL,4219309,NULL),(16,'83','EEB PROF JOÃO WIDEMANN',2,NULL,NULL,NULL,4202404,NULL),(16,'830','EEB INSPETOR EURICO RAUEN',2,NULL,NULL,NULL,4219309,NULL),(16,'831','EEB PROFª ADELINA RÉGIS',2,NULL,NULL,NULL,4219309,NULL),(16,'832','ESAVI ESCOLA DE APLICAÇÃO DE VIDEIRA',4,NULL,NULL,NULL,4219309,NULL),(16,'833','ETAVI ESCOLA TÉCNICA DE A DE VIDEIRA',4,NULL,NULL,NULL,4219309,NULL),(16,'834','EEB VITOR MEIRELLES',2,NULL,NULL,NULL,4219358,NULL),(16,'835','EEB PROF. SEMIRAMIS BOSCO',2,NULL,NULL,NULL,4219408,NULL),(16,'836','C LA SALLE',4,NULL,NULL,NULL,4219507,NULL),(16,'837','CE APARÍCIO JÚLIO FARRAPO',2,NULL,NULL,NULL,4219507,NULL),(16,'838','EEB JOÃO WINCKLER',2,NULL,NULL,NULL,4219507,NULL),(16,'839','CE JOAQUIM NABUCO',2,NULL,NULL,NULL,4219507,NULL),(16,'84','EEM PROF ELZA HENRIQUETA T PACHECO',2,NULL,NULL,NULL,4202404,NULL),(16,'840','EEB PRES ARTUR DA COSTA E SILVA',2,NULL,NULL,NULL,4219507,NULL),(16,'841','CE PROF IRACY TONELLO',2,NULL,NULL,NULL,4219507,NULL),(16,'842','CE NEUSA LEMOS MARQUES',2,NULL,NULL,NULL,4219507,NULL),(16,'843','C CENECISTA JOÃO XXIII',4,NULL,NULL,NULL,4219606,NULL),(16,'844','EEB PROF LUIZ SANCHES BEZERRA DA TRINDAD',2,NULL,NULL,NULL,4219606,NULL),(16,'845','C COMERCIAL DE XAXIM',4,NULL,NULL,NULL,4219705,NULL),(16,'846','EEB PROFª NEUSA MASSOLINI',2,NULL,NULL,NULL,4219705,NULL),(16,'847','EEB GOMES CARNEIRO',2,NULL,NULL,NULL,4219705,NULL),(16,'848','EEB PROF CUSTÓDIO DE CAMPOS',2,NULL,NULL,NULL,4219705,NULL),(16,'849','EEB MAJOR CIPRIANO R. DE ALMEIDA',2,NULL,NULL,NULL,4219853,NULL),(16,'85','EEB SANTOS DUMONT',2,NULL,NULL,NULL,4202404,NULL),(16,'850','EEB SÃO JOÃO',2,NULL,NULL,NULL,4200200,NULL),(16,'851','CE PROF. CLOVIS GOULART',2,NULL,NULL,NULL,4201406,NULL),(16,'852','EEB PROFª NEUSA OSTETTO CARDOSO',2,NULL,NULL,NULL,4201406,NULL),(16,'853','EEB GOVERNADOR BORNHAUSEN',2,NULL,NULL,NULL,4201604,NULL),(16,'854','EEB APOLÔNIO IRENO CARDOSO',2,NULL,NULL,NULL,4201950,NULL),(16,'855','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4202404,NULL),(16,'856','EEB ADOLFO JOSÉ MARTINS',2,NULL,NULL,NULL,4202503,NULL),(16,'857','EEB ANTÔNIO MORANDINI',2,NULL,NULL,NULL,4204202,NULL),(16,'858','EEB PROF MANSUETO BOFF',2,NULL,NULL,NULL,4204301,NULL),(16,'859','ETFESC UNED JARAGUÁ DO SUL (CEFET)',3,NULL,NULL,NULL,4208906,NULL),(16,'86','COLÉGIO BLUMENAUENSE',4,NULL,NULL,NULL,4202404,NULL),(16,'860','EEM DR HANS DIETER SCHMIDT',2,NULL,NULL,NULL,4209102,NULL),(16,'861','COLÉGIO APLICAÇÃO DA UNIVILLE',4,NULL,NULL,NULL,4209102,NULL),(16,'862','EEB MARIA MADALENA DE MOURA FERRO',2,NULL,NULL,NULL,4209177,NULL),(16,'863','EEB NOSSA SENHORA DE FÁTIMA',2,NULL,NULL,NULL,4211751,NULL),(16,'864','EEB ALFREDO DALFOVO',2,NULL,NULL,NULL,4214805,NULL),(16,'865','EEB WILLY HERING',2,NULL,NULL,NULL,4214805,NULL),(16,'866','EEB SÃO TIAGO',2,NULL,NULL,NULL,4215695,NULL),(16,'867','ASSOCIAÇÃO FRANCISQUENSE DE ENSINO',4,NULL,NULL,NULL,4216206,NULL),(16,'868','COLÉGIO PADRE AGOSTINHO',4,NULL,NULL,NULL,4216602,NULL),(16,'869','EEB GAMA ROSA',2,NULL,NULL,NULL,4217253,NULL),(16,'87','ESC BARÃO DO RIO BRANCO',4,NULL,NULL,NULL,4202404,NULL),(16,'870','EEB PROF. JÚLIO SCHEIDEMANTEL',2,NULL,NULL,NULL,4218202,NULL),(16,'871','ESCOLA TÉCNICA DO VALE DO ITAJAÍ',4,NULL,NULL,NULL,4218202,NULL),(16,'872','CENTRO EDUCACIONAL EXPONENCIAL SA.',4,NULL,NULL,NULL,4219507,NULL),(16,'873','EEB PROF. LAUREANO PACHECO',2,NULL,NULL,NULL,4202008,NULL),(16,'874','EEB JONAS R COELHO NEVES',2,NULL,NULL,NULL,4202404,NULL),(16,'875','ESC TÉCNICA DE SAÚDE',2,NULL,NULL,NULL,4202404,NULL),(16,'876','EEB OSVALDO REIS',2,NULL,NULL,NULL,4202909,NULL),(16,'877','CENTRO EDUC ILDA IGNEZ',4,NULL,NULL,NULL,4203204,NULL),(16,'878','EEB EMILIANO RAMOS',2,NULL,NULL,NULL,4203253,NULL),(16,'879','EEB JOÃO DAGOSTIM',2,NULL,NULL,NULL,4204608,NULL),(16,'88','ESC TÉCNICA DO VALE DO ITAJAÍ',4,NULL,NULL,NULL,4202404,NULL),(16,'880','COLÉGIO DE APLICAÇÃO DA UNESC',4,NULL,NULL,NULL,4204608,NULL),(16,'881','COLÉGIO MARIA IMACULADA',4,NULL,NULL,NULL,4204806,NULL),(16,'882','COLÉGIO DOM BOSCO',4,NULL,NULL,NULL,4205407,NULL),(16,'883','ESCOLA AUTONOMIA',4,NULL,NULL,NULL,4205407,NULL),(16,'884','ESC DINÂMICA',4,NULL,NULL,NULL,4205407,NULL),(16,'885','CEFRAI - CENT. EDUC FRAIBURGO LTDA',4,NULL,NULL,NULL,4205506,NULL),(16,'886','EEB WALMOR RIBEIRO',2,NULL,NULL,NULL,4206900,NULL),(16,'887','EEB RAULINO HORN',2,NULL,NULL,NULL,4207502,NULL),(16,'888','EEB VER. PAULO FRANÇA',2,NULL,NULL,NULL,4208500,NULL),(16,'889','EEB CAMPOS VERDES',2,NULL,NULL,NULL,4208807,NULL),(16,'89','CEDUP HERMANN HERING',2,NULL,NULL,NULL,4202404,NULL),(16,'890','EEB PROF GIARDINI LUIZ LENZI',2,NULL,NULL,NULL,4208906,NULL),(16,'891','EEM PROF. DARCI FRANKE WELK',2,NULL,NULL,NULL,4208906,NULL),(16,'892','COLÉGIO SUPLETIVO NOVA ERA',4,NULL,NULL,NULL,4208906,NULL),(16,'893','EEM DR RUBEN ROBERTO SCHMIDLIN',2,NULL,NULL,NULL,4209102,NULL),(16,'894','EEM PROF. ELADIR SKIBINSKI',2,NULL,NULL,NULL,4209102,NULL),(16,'896','ESC AUXILIAR DE ENFERMAGEM',1,NULL,NULL,NULL,4209102,NULL),(16,'897','COLÉGIO SIGMA LTDA',4,NULL,NULL,NULL,4209300,NULL),(16,'898','CENTRO DE EDUC GOTINHAS DO SABER',4,NULL,NULL,NULL,4210506,NULL),(16,'899','EEB PROF. ANTONIETA SILVEIRA',2,NULL,NULL,NULL,4212056,NULL),(16,'9','EEB RUTH LEBARBECHON',2,NULL,NULL,NULL,4200408,NULL),(16,'90','SOCIEDADE EDUC. BLUMENAUENSE',4,NULL,NULL,NULL,4202404,NULL),(16,'900','EEB FRANCISCO ALTAMIR WAGNER',2,NULL,NULL,NULL,4214805,NULL),(16,'901','COLÉGIO TÉCNICO DA UNIDAVI',4,NULL,NULL,NULL,4214805,NULL),(16,'902','SENAC-SERV. NAC DE APR. COMERCIAL',4,NULL,NULL,NULL,4214805,NULL),(16,'903','EEB MANOEL CRUZ',2,NULL,NULL,NULL,4216503,NULL),(16,'904','CENTRO EDUC EXTENSÃO LTDA',4,NULL,NULL,NULL,4217709,NULL),(16,'905','EEB LEOPOLDO JACOBSEN',2,NULL,NULL,NULL,4217808,NULL),(16,'906','EEB PROF JUVENAL CARDOSO ZANELLA',2,NULL,NULL,NULL,4218202,NULL),(16,'907','CENTRO EDUC PEQUENO PRÍNCIPE',4,NULL,NULL,NULL,4218707,NULL),(16,'908','EEB TITOLÍVIO VENÂNCIO ROSA',2,NULL,NULL,NULL,4201307,NULL),(16,'909','COL BOM JESUS SANTO ANTÔNIO',4,NULL,NULL,NULL,4202404,NULL),(16,'91','EEB CAMPOS SALES',2,NULL,NULL,NULL,4202438,NULL),(16,'910','EEM NORBERTO LANSER',2,NULL,NULL,NULL,4202404,NULL),(16,'911','EEB NADIR BECKER',2,NULL,NULL,NULL,4202875,NULL),(16,'912','COL POTENCIAL',4,NULL,NULL,NULL,4202909,NULL),(16,'913','EEB BARTOLOMEU DA SILVA',2,NULL,NULL,NULL,4203709,NULL),(16,'914','EEB PROFª LÍDIA GLUSTACK REMUS',2,NULL,NULL,NULL,4204202,NULL),(16,'915','EEB PROFª SÔNIA DE OLIVEIRA ZANI',2,NULL,NULL,NULL,4204202,NULL),(16,'916','EEB SAAD ANTÔNIO SARQUIS',2,NULL,NULL,NULL,4204202,NULL),(16,'917','EEM DILSO CECCHIN',2,NULL,NULL,NULL,4204202,NULL),(16,'918','EEB DOMINGOS MACARINOS',2,NULL,NULL,NULL,4204301,NULL),(16,'919','EEB JOÃO PAULO I',2,NULL,NULL,NULL,4204558,NULL),(16,'92','C CENECISTA ARMELINA BARP DE MAMAN',4,NULL,NULL,NULL,4202503,NULL),(16,'920','COL UNIVERSITÁRIO CRICIÚMA LTDA',4,NULL,NULL,NULL,4204608,NULL),(16,'921','EEB JOÃO FRASSETTO',2,NULL,NULL,NULL,4204608,NULL),(16,'922','EEB INTENDENTE JOSÉ FERNANDES',2,NULL,NULL,NULL,4205407,NULL),(16,'923','EEB CARMEM SEARA LEITE',2,NULL,NULL,NULL,4205803,NULL),(16,'924','EEB PROF CARLOS MAFFEZZOLLI',2,NULL,NULL,NULL,4206306,NULL),(16,'925','COLÉGIO ADVENTISTA DE INDAIAL',4,NULL,NULL,NULL,4207502,NULL),(16,'926','EI EB CACIQUE VANHKRE',2,NULL,NULL,NULL,4207684,NULL),(16,'927','EEB ISABEL DA SILVA TELLES',2,NULL,NULL,NULL,4207809,NULL),(16,'928','EEB PROF ARY MASCARENHAS PASSOS',2,NULL,NULL,NULL,4208203,NULL),(16,'929','EEB XV DE JUNHO',2,NULL,NULL,NULL,4208203,NULL),(16,'93','EEB HÉLIO LENTZ PUERTA',2,NULL,NULL,NULL,4202537,NULL),(16,'930','EEB PRES TANCREDO NEVES',2,NULL,NULL,NULL,4208500,NULL),(16,'931','CENTRO EDUC MACHADO DE ASSIS',4,NULL,NULL,NULL,4209102,NULL),(16,'932','COL CENEC JOSÉ ELIAS MOREIRA',4,NULL,NULL,NULL,4209102,NULL),(16,'933','EEB FRANCISCO EBERHARDT',2,NULL,NULL,NULL,4209102,NULL),(16,'934','ESC MUNICIPAL DE SAÚDE',1,NULL,NULL,NULL,4209102,NULL),(16,'935','EEB DE LAGES',2,NULL,NULL,NULL,4209300,NULL),(16,'936','EEB PROFª VIRGÍNIA P.SILVA GONÇALVES',2,NULL,NULL,NULL,4211058,NULL),(16,'937','COL DE NAVEGANTES FERREIRA PISKE',4,NULL,NULL,NULL,4211306,NULL),(16,'938','EEB PROFª IRENE ROMÃO',2,NULL,NULL,NULL,4211306,NULL),(16,'939','CENTRO EDUC RODA PIÃO LTDA',4,NULL,NULL,NULL,4211900,NULL),(16,'94','EEB PROF SÍLVIO ROMERO',2,NULL,NULL,NULL,4202578,NULL),(16,'940','COL SANTO ANTÔNIO',4,NULL,NULL,NULL,4215109,NULL),(16,'941','EEB ANÍSIO V. DE FREITAS',2,NULL,NULL,NULL,4215703,NULL),(16,'942','CENTRO EDUC. SÃO JOAQUIM LTDA',4,NULL,NULL,NULL,4216503,NULL),(16,'943','COL DOM BOSCO',4,NULL,NULL,NULL,4216602,NULL),(16,'944','COL FRANCISCO JOSÉ F. NETO',4,NULL,NULL,NULL,4216602,NULL),(16,'945','EEM GOV. WILSOM KLEINUBING',2,NULL,NULL,NULL,4216602,NULL),(16,'946','EEM LUAR',4,NULL,NULL,NULL,4216602,NULL),(16,'947','EEB PROTÁSIO JOAQUIM DA CUNHA',2,NULL,NULL,NULL,4217709,NULL),(16,'948','COL DE APLIC. DA UNIVALI TIJUCAS',4,NULL,NULL,NULL,4218004,NULL),(16,'949','EEB ROMILDO CZEPANHIK',2,NULL,NULL,NULL,4219507,NULL),(16,'95','EEB ALEXANDRE DE GUSMÃO',2,NULL,NULL,NULL,4202602,NULL),(16,'950','COL EVOLUÇÃO',4,NULL,NULL,NULL,4217006,NULL),(16,'951','ESCOLA DA ILHA',4,NULL,NULL,NULL,4205407,NULL),(16,'953','EEB GOV HERIBERTO HULSE',2,NULL,NULL,NULL,4204608,NULL),(16,'954','EEB ARNOLDO AGENOR ZIMMERMANN',2,NULL,NULL,NULL,4205902,NULL),(16,'955','COLÉGIO MADRE FRANCISCA LAMPEL',4,NULL,NULL,NULL,4205902,NULL),(16,'956','COLÉGIO HENRY FORD',4,NULL,NULL,NULL,4218202,NULL),(16,'957','EEB DR GEORG KELLER',2,NULL,NULL,NULL,4209102,NULL),(16,'958','CENTRO TÉCNICO DE AUTOMAÇÃO LTDA',4,NULL,NULL,NULL,4209102,NULL),(16,'959','ESC DE ED BÁSICA DA UNIDAVI',4,NULL,NULL,NULL,4214805,NULL),(16,'96','EEB PREF LEOPOLDO JOSÉ GUERREIRO',2,NULL,NULL,NULL,4202453,NULL),(16,'960','CEDUP CAETANO COSTA',2,NULL,NULL,NULL,4216800,NULL),(16,'961','EEB PROF JOSÉ FARIA NETO',2,NULL,NULL,NULL,4203600,NULL),(16,'962','COLÉGIO SUPERATIVO',4,NULL,NULL,NULL,4209003,NULL),(16,'963','EEB PROF LOURDES',2,NULL,NULL,NULL,4204202,NULL),(16,'964','CENTRO DE EDUCAÇÃO SÃO RAFAEL',4,NULL,NULL,NULL,4204202,NULL),(16,'965','CEDUP SÃO JOSÉ',2,NULL,NULL,NULL,4208401,NULL),(16,'967','LICEU CATARINENSE DE ENSINO',4,NULL,NULL,NULL,4202008,NULL),(16,'968','COLÉGIO VIDEIRA',4,NULL,NULL,NULL,4219309,NULL),(16,'969','COLÉGIO SUPERAÇÃO',4,NULL,NULL,NULL,4219309,NULL),(16,'97','C CENECISTA FRANCISCO DE ASSIS',4,NULL,NULL,NULL,4202701,NULL),(16,'970','COLÉGIO MURIALDO',4,NULL,NULL,NULL,4201406,NULL),(16,'971','EEB DEP VALÉRIO GOMES',2,NULL,NULL,NULL,4218004,NULL),(16,'972','COLÉGO DOM BOSCO',4,NULL,NULL,NULL,4218004,NULL),(16,'973','EB TEMPO FELIZ',4,NULL,NULL,NULL,4203808,NULL),(16,'974','ESC TÉCNICA TUPY UNIDADE S. BENTO DO SUL',4,NULL,NULL,NULL,4215802,NULL),(16,'975','CENTRO  ENS. NICOLAU TAVARES DE OLIVEIRA',4,NULL,NULL,NULL,4210506,NULL),(16,'976','CENTRO EDUC BARREIROS',4,NULL,NULL,NULL,4216602,NULL),(16,'977','E.P.I. ESCOLA PROFISSIONAL DOS INGLESES',4,NULL,NULL,NULL,4205407,NULL),(16,'978','EEB CONSELHEIRO MANOEL PHILIPPI',2,NULL,NULL,NULL,4200606,NULL),(16,'979','EEB ARABUTÃ',2,NULL,NULL,NULL,4201273,NULL),(16,'98','EEB PADRE JOÃO STOLTE',2,NULL,NULL,NULL,4202701,NULL),(16,'980','COLÉGIO DEHON',4,NULL,NULL,NULL,4201406,NULL),(16,'981','COLÉGIO BARÃO DE SCHEENEBURG ENERGIA',4,NULL,NULL,NULL,4202909,NULL),(16,'982','COLÉGIO LÍRIOS DO CAMPO',4,NULL,NULL,NULL,4203600,NULL),(16,'983','COLÉGIO SATÉLITE',4,NULL,NULL,NULL,4204202,NULL),(16,'984','EEB WALTER FONTANA',2,NULL,NULL,NULL,4204301,NULL),(16,'985','EEB PROF. PEDRO DA RÉ',2,NULL,NULL,NULL,4204608,NULL),(16,'986','COLÉGIO METROPOLITANO',4,NULL,NULL,NULL,4207502,NULL),(16,'987','EEB HERCÍLIO BUCH',2,NULL,NULL,NULL,4210100,NULL),(16,'988','C ADVENTISTA DE FLORIANÓPOLIS - CENTRO',4,NULL,NULL,NULL,4205407,NULL),(16,'989','C EDUC PROMISSOR LTDA',4,NULL,NULL,NULL,4211900,NULL),(16,'99','C COMERCIAL DE BRAÇO DO NORTE',4,NULL,NULL,NULL,4202800,NULL),(16,'990','C EDUC CÉU AZUL',4,NULL,NULL,NULL,4213609,NULL),(16,'991','COLÉGIO ALTO VALE LTDA',4,NULL,NULL,NULL,4214805,NULL),(16,'992','C ADVENTISTA DE SÃO FRANCISCO DO SUL',4,NULL,NULL,NULL,4216206,NULL),(16,'993','EEB PROF. ELISA CLÁUDIO DE AGUIAR',2,NULL,NULL,NULL,4217402,NULL),(16,'994','COLÉGIO GERAÇÃO CONSTRUTIVA',4,NULL,NULL,NULL,4219705,NULL),(16,'995','CENTRO EDUCACIONAL SATC',4,NULL,NULL,NULL,4204608,NULL),(16,'996','EEB PREFEITO HIGINO AGUIAR',2,NULL,NULL,NULL,4201307,NULL),(16,'997','COLÉGIO CASTELO LTDA',4,NULL,NULL,NULL,4202404,NULL),(16,'998','EEB CÔNEGO NICOLAU GESING',2,NULL,NULL,NULL,4202800,NULL),(16,'999','CENTRO DE EDUCAÇÃO MONTEIRO LOBATO',4,NULL,NULL,NULL,4204202,NULL),(16,'9997','Escola de Santa Catarina não mencionada',0,NULL,NULL,NULL,0,NULL),(16,'9998','Não concluiu em Santa Catarina',0,NULL,NULL,NULL,0,NULL),(16,'9999','Curso Supletivo',0,NULL,NULL,NULL,0,NULL),(20,'1','EEB JOSÉ ZANCHETTI',2,NULL,NULL,NULL,4200051,NULL),(20,'10','EEB IRINEU BORNHAUSEN',2,NULL,NULL,NULL,4200507,NULL),(20,'100','EEB DOM JOAQUIM',2,NULL,NULL,NULL,4202800,NULL),(20,'1000','COLÉGIO CENECISTA DR JÚLIO CÉSAR R NEVES',4,NULL,NULL,NULL,4204301,NULL),(20,'1001','SENAI SC - CONCÓRDIA',4,NULL,NULL,NULL,4204301,NULL),(20,'1003','CURSO E COLÉGIO GENIUS',4,NULL,NULL,NULL,4205407,NULL),(20,'1004','COLÉGIO UNIFICADO',4,NULL,NULL,NULL,4205902,NULL),(20,'1005','EEB PROFª SALETE SCOTTI DOS SANTOS',2,NULL,NULL,NULL,4207007,NULL),(20,'1006','SENAI SC - JOINVILLE',4,NULL,NULL,NULL,4209102,NULL),(20,'1007','CENTRO EDUCACIONAL BAMBINO',4,NULL,NULL,NULL,4211306,NULL),(20,'1008','COLÉGIO SINERGIA',4,NULL,NULL,NULL,4211306,NULL),(20,'1009','EEB PROF BENONIVIO JOÃO MARTINS',2,NULL,NULL,NULL,4211900,NULL),(20,'101','CE ENG ANNES GUALBERTO',2,NULL,NULL,NULL,4202800,NULL),(20,'1010','CENTRO EDUCACIONAL SÃO JUDAS TADEU',4,NULL,NULL,NULL,4211900,NULL),(20,'1011','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4211900,NULL),(20,'1012','EEM ERWIN CURT TEICHMANNN',2,NULL,NULL,NULL,4213203,NULL),(20,'1013','SENAI SC - RIO DO SUL',4,NULL,NULL,NULL,4214805,NULL),(20,'1014','COLÉGIO DÓ-RÉ-MI',4,NULL,NULL,NULL,4215703,NULL),(20,'1015','EEB OSCAR MAJOLO',2,NULL,NULL,NULL,4217154,NULL),(20,'1016','EXATHUM CURSO E COLÉGIO',4,NULL,NULL,NULL,4209102,NULL),(20,'1017','CENTRO EDUCACIONAL ATLÂNTICO SUL',4,'AV CENTRAL','413','CENTRO',4202008,88330000),(20,'1018','SENAI SC - BLUMENAU',4,'R SAO PAULO','1147','VICTOR KONDER',4202404,89012001),(20,'1019','EEM YVONE OLINGER APPEL',2,'ALBERTO KLABUND',NULL,'CEDRINHO',4202909,88358000),(20,'102','COLÉGIO ESPAÇO',4,NULL,NULL,NULL,4202800,NULL),(20,'1020','COLÉGIO APARECIDA',4,'AV 7 DE SETEMBRO','169','CENTRO',4203006,89500000),(20,'1021','COLEGIO DINAMICO CHAPECO',4,'AV NEREU RAMOS','1191','PALMITAL',4204202,89811211),(20,'1022','COLÉGIO TENDENCIA',4,'R VIDAL RAMOS','53','CENTRO',4205407,88010320),(20,'1023','COLÉGIO ESTIMOARTE',4,'AV GOV JORGE LACERDA','1759','COSTEIRA',4205407,88047001),(20,'1024','FUNDACAO CENTRO EDUCATIVO',4,'R TANCREDO NEVES','88','CENTRO',4208104,89340000),(20,'1025','CENTRO EDUC PE ARTE BABY LTDA',4,'R TIJUCAS','511','CENTRO',4208203,88301361),(20,'1026','SOC EDUC VERDES MARES',4,'JOSE BONIFACIO MALBURG','19','CENTRO',4208203,88301040),(20,'1027','EEM DEP NAGIB ZATTAR',2,'R ANTONIO MICHELS','120','JD PARAISO',4209102,89226530),(20,'1028','SOC ENSINO SANTA BARBARA',4,'R GERONIMO COELHO','375',NULL,4209300,88501260),(20,'1029','COLEGIO DIMENSAO',4,'R EUFEZINA GAYA','332','CENTRO',4211306,88375000),(20,'103','EEB ADOLFO BOVING',2,NULL,NULL,NULL,4202859,NULL),(20,'1030','EEB PRINCESA ISABEL',2,'R INDEPENDENCIA',NULL,'SANTA TEREZINHA',4212106,89887000),(20,'1031','CENTRO EDUC CRANDON',4,'R NAKLE FRANCISCO','316','CENTRO',4212809,88380000),(20,'1032','EEB VENDELINO JUNGES',2,'AV BELEM','647','CENTRO',4212908,89870000),(20,'1033','EEM MACARIO BORBA',2,'AV FRANCISCO C LUMERTZ JR',NULL,'NOVA BRASILIA',4217709,88960000),(20,'1034','EEM DITE FREITAS',2,'R ANIBAL TORRES COSTA',NULL,'STO ANTONIO DE PADUA',4218707,88701533),(20,'1035','COLÉGIO SUPRA ENSINO LTDA',4,'R CEL JOAO PALMA','700','MARTORANO',4216503,88600000),(20,'1036','COLEGIO LAVOISIER',4,NULL,NULL,NULL,4216602,NULL),(20,'1037','CENTRO EDUCACIONAL UNIVERSO DO SABER',4,NULL,NULL,NULL,4210506,NULL),(20,'1038','SOC. EDUC. BALNEÁRIO CAMBORIÚ',4,NULL,NULL,NULL,4202008,NULL),(20,'1039','COL. EVIDÊNCIA LTDA',4,NULL,NULL,NULL,4202008,NULL),(20,'104','EEB ENGENHEIRO ANNES GUALBERTO',2,NULL,NULL,NULL,4202875,NULL),(20,'1040','COLÉGIO INCENTIVO LTDA',4,NULL,NULL,NULL,4202305,NULL),(20,'1041','EEB DE BOMBAS',2,NULL,NULL,NULL,4202453,NULL),(20,'1042','COOP. EDUACIONAL DE BRUSQUE',4,NULL,NULL,NULL,4202909,NULL),(20,'1043','EEB PROF MÁRIO GARCIA',2,NULL,NULL,NULL,4203204,NULL),(20,'1044','EEB ALCUINO GONÇALO VIEIRA',2,NULL,NULL,NULL,4203204,NULL),(20,'1045','CENTRO EDUC. CAMBORIÚ LTDA ME CECAN',4,NULL,NULL,NULL,4203204,NULL),(20,'1046','CURSO APROVAÇÃO SS LTDA',4,NULL,NULL,NULL,4204202,NULL),(20,'1047','COOPERATIVA EDUC. MAGNA',4,NULL,NULL,NULL,4204301,NULL),(20,'1048','CENTRO EDUC CRUZ E SOUZA SC LTDA',4,NULL,NULL,NULL,4205407,NULL),(20,'1049','COLÉGIO SANTA TEREZINHA',4,NULL,NULL,NULL,4205407,NULL),(20,'105','CENTRO EDUCACIONAL CULTURA',4,NULL,NULL,NULL,4202909,NULL),(20,'1050','EDUCANDÁRIO IMACULADA CONCEIÇÃO',4,NULL,NULL,NULL,4205407,NULL),(20,'1051','CENTRO DE EDUC. PARAÍSO INFANTIL',4,NULL,NULL,NULL,4205407,NULL),(20,'1052','COLÉGIO BLUMENAUENSE',4,NULL,NULL,NULL,4205902,NULL),(20,'1053','EEB PROFª MARIA DA GLÓRIA SILVA',2,NULL,NULL,NULL,4207007,NULL),(20,'1054','COLÉGIO MUN. DE INDAIAL',1,NULL,NULL,NULL,4207502,NULL),(20,'1055','EEF PREF. GERMANO BRANDES JR',2,NULL,NULL,NULL,4207502,NULL),(20,'1056','EEB PROF HENRIQUE MIDON',2,NULL,NULL,NULL,4208203,NULL),(20,'1057','ACBNL COL SÃO JOSÉ',4,NULL,NULL,NULL,4208203,NULL),(20,'1058','SIST. DE ENSINO LIDERANÇA',4,NULL,NULL,NULL,4208203,NULL),(20,'1059','SENAI SC - ITAJAI',4,NULL,NULL,NULL,4208203,NULL),(20,'106','C CENECISTA HONÓRIO MIRANDA',4,NULL,NULL,NULL,4202909,NULL),(20,'1060','COLÉGIO SAGRADA FAMÍLIA',4,NULL,NULL,NULL,4208401,NULL),(20,'1061','SENAI - CENTRO DE ED TECNOLÓGICA',4,NULL,NULL,NULL,4208906,NULL),(20,'1062','CENTRO DE EDUC. IDEAL',4,NULL,NULL,NULL,4208906,NULL),(20,'1063','SOCIEDADE EDUC. POSIVILLE LTDA',4,NULL,NULL,NULL,4209102,NULL),(20,'1064','EIEB LAKLANO',2,NULL,NULL,NULL,4209151,NULL),(20,'1065','CENTRO EDUC. CRUZ E SOUSA',4,NULL,NULL,NULL,4209300,NULL),(20,'1066','EEF MARIA KONDER BORNHAUSEN',2,NULL,NULL,NULL,4210605,NULL),(20,'1067','CENTRO DE ED. SÃO ROQUE',4,NULL,NULL,NULL,4211207,NULL),(20,'1068','EEB PROFª PAULINA GAYA',2,NULL,NULL,NULL,4211306,NULL),(20,'1069','EEB ANTÔNIO ROCHA ANDRADE',2,NULL,NULL,NULL,4212502,NULL),(20,'107','C CÔNSUL CARLOS RENAUX',4,NULL,NULL,NULL,4202909,NULL),(20,'1070','CENTRO DE EDUC. OBJETIVO',4,NULL,NULL,NULL,4212908,NULL),(20,'1071','CENTRO EDUC. EDUCOPER',4,NULL,NULL,NULL,4213401,NULL),(20,'1072','EEB MARIA DUARTE VASCONCELOS',2,NULL,NULL,NULL,4215455,NULL),(20,'1073','COLÉGIO GLOBAL',4,NULL,NULL,NULL,4215802,NULL),(20,'1074','CENTRO EDUC. ANITA',4,NULL,NULL,NULL,4216602,NULL),(20,'1075','SENAI SC - SÃO JOSE',4,NULL,NULL,NULL,4216602,NULL),(20,'1076','COLÉGIO MERIDIANO',4,NULL,NULL,NULL,4216602,NULL),(20,'1077','GARDNER CURSOS E COLÉGIO',4,NULL,NULL,NULL,4216602,NULL),(20,'1078','CENTRO EDUC. CENECISTA SANTA CRUZ',4,NULL,NULL,NULL,4216602,NULL),(20,'1079','ASS. RELIGIOSA BENEFICENTE JESUS Mª JOSÉ',4,NULL,NULL,NULL,4217204,NULL),(20,'108','EEB JOÃO HASSMANN',1,NULL,NULL,NULL,4202909,NULL),(20,'1080','SENAI SC - VIDEIRA',4,NULL,NULL,NULL,4219309,NULL),(20,'1081','COLÉGIO E PRÉ VEST. EXPRESSIVO',4,NULL,NULL,NULL,4219507,NULL),(20,'1082','EEB DEP. AUGUSTO BRESOLA',2,NULL,NULL,NULL,4219150,NULL),(20,'1083','EEM SEMENTE DA CONQUISTA',2,'ASSENT 25 DE MAIO',NULL,NULL,4200101,89830000),(20,'1084','EEM PAULO FREIRE',2,'ASSENT JOSE MARIA',NULL,NULL,4200101,89830000),(20,'1085','COLÉGIO EXCELÊNCIA',4,'AV CENTRAL','413','CENTRO',4202008,88330000),(20,'1086','COLÉGIO DE APLICAÇÃO UNIVALI',4,'5 AVENIDA',NULL,'DOS MUNICIPIOS',4202008,88330000),(20,'1087','EEF RUIZÉLIO CABRAL',2,'JOSE HONORATO DA SILVA','32','NOVA ESPERANÇA',4202008,88330000),(20,'1088','EEB PROFª ELOISA MARIA PRAZERES DE FARIA',2,NULL,NULL,NULL,4202305,NULL),(20,'1089','EEB MARIA RITA FLOR',2,NULL,NULL,NULL,4202453,NULL),(20,'109','COLÉGIO SÃO LUIZ',4,NULL,NULL,NULL,4202909,NULL),(20,'1090','SENAI SC - BRUSQUE',4,NULL,NULL,NULL,4202909,NULL),(20,'1091','CENTRO DE ED RAZÃO DE VIVER',4,NULL,NULL,NULL,4203204,NULL),(20,'1092','ESC ITINERANTE JOSÉ J DE LIMA XAVIER',1,NULL,NULL,NULL,4203402,NULL),(20,'1093','COL CARLOS DRUMMOND DE ANDRADE',4,NULL,NULL,NULL,4203907,NULL),(20,'1094','SENAI SC - CHAPECÓ',4,NULL,NULL,NULL,4204202,NULL),(20,'1096','CENTRO ED HERMANN SPETHMANN',4,NULL,NULL,'CENTRO',4204608,NULL),(20,'1097','EEF TENENTE ALMACHIO',2,NULL,NULL,NULL,4205407,NULL),(20,'1098','COLÉGIO EXPOENTE',4,NULL,NULL,NULL,4205407,NULL),(20,'1099','EEB PROFª MARIA AMALIA CARDOSO',2,NULL,NULL,NULL,4206009,NULL),(20,'11','EEB SETE DE SETEMBRO',2,NULL,NULL,NULL,4200556,NULL),(20,'110','EEB DOM JOÃO BECKER',2,NULL,NULL,NULL,4202909,NULL),(20,'1100','EEB CARLOS FANTINI',2,NULL,NULL,NULL,4208203,NULL),(20,'1101','EEB MARLI MARIA DE SOUZA',2,NULL,NULL,NULL,4209102,NULL),(20,'1102','EEB PROFº RODOLFO MEYER',2,NULL,NULL,NULL,4209102,NULL),(20,'1103','EEB PROFº JOÃO ROCHA',2,NULL,NULL,NULL,4209102,NULL),(20,'1104','COLÉGIO IESVILLE',4,NULL,NULL,NULL,4209102,NULL),(20,'1105','COLÉGIO TUPY',4,NULL,NULL,NULL,4209102,NULL),(20,'1106','SENAI SC - LAGES',4,NULL,NULL,NULL,4209300,NULL),(20,'1107','CENTRO DE ED JANICE BORTOLATTO',4,NULL,NULL,NULL,4211207,NULL),(20,'1108','EEF DOM JAIME DE BARROS CÂMARA',2,NULL,NULL,NULL,4211900,NULL),(20,'1109','EEF PROFª MARIA DO CARMO DE SOUZA',2,NULL,NULL,NULL,4211900,NULL),(20,'111','EEB FELICIANO PIRES',2,NULL,NULL,NULL,4202909,NULL),(20,'1110','EEB PREF. FREDERICO PROBST',2,NULL,NULL,NULL,4212700,NULL),(20,'1111','CENTRO ED PORTO DAS ÁGUAS LTDA',4,NULL,NULL,NULL,4213500,NULL),(20,'1112','EEF BERNARDO MULLER',2,NULL,NULL,NULL,4214003,NULL),(20,'1113','CENTRO MUN ED BAS VER AVELINO BISCARO',1,NULL,NULL,NULL,4215406,NULL),(20,'1114','COLÉGIO BOM JESUS',4,NULL,NULL,NULL,4215802,NULL),(20,'1115','EEB CRISTO REI',2,NULL,NULL,NULL,4216255,NULL),(20,'1116','EEB PROFª MARIA DO CARMO LOPES',2,NULL,NULL,NULL,4216602,NULL),(20,'1117','CENTRO ED MUN INTERATIVO',1,NULL,NULL,NULL,4216602,NULL),(20,'1118','COLÉGIO ENERGIA - SÃO JOSÉ',4,NULL,NULL,NULL,4216602,NULL),(20,'1119','SENAI SC - TIJUCAS',4,NULL,NULL,NULL,4218004,NULL),(20,'112','EEB FRANCISCO DE ARAÚJO BRUSQUE',2,NULL,NULL,NULL,4202909,NULL),(20,'1120','SENAI SC - TUBARÃO',4,NULL,NULL,NULL,4218707,NULL),(20,'1121','EEF MARCOLINO PEDROSO',2,'R DO SABER',NULL,'NOVA ESTRELA',4201273,89740000),(20,'1122','EEB CASTRO ALVES',2,'R XV DE NOVEMBRO','1645','CENTRO',4201406,88900000),(20,'1123','SOC. EDUC. BRUSQUENSE LTDA',4,'AV GETULIO VARGAS','78','CENTRO',4202909,88353000),(20,'1124','COLEGIO BOM JESUS AURORA',4,'R MAR DEODORO','150','CENTRO',4203006,89500000),(20,'1125','EEF PROFº ARGEMIRO GONÇALVES',2,'JOAO PIUS SCHINDLER','263','BATEIAS DE BAIXO',4203303,89294600),(20,'1126','CENTRO DE EDUCAÇÃO OLIMPO',4,'AV GETULIO VARGAS','246','CENTRO',4204202,89801000),(20,'1127','EEF SÃO CRISTÓVÃO',2,'R CARDEAL ARCO VERDE','233','SAO CRISTOVAO',4204608,88802570),(20,'1128','NÚCLEO MUN GETÚLIO VARGAS',1,'PRUDENTE V DE MORAES','353','GETULIO VARGAS',4204806,89520000),(20,'1129','NÚCLEO MUN LEONIZA CARVALHO AGOSTINI',1,'MAROMBAS BOSSARDI',NULL,'MAROMBAS',4204806,89520000),(20,'113','EEB GOV IVO SILVEIRA',2,NULL,NULL,NULL,4202909,NULL),(20,'1130','ASSOC.  VOLUNTÁRIOS HERDEIROS DO FUTURO',4,'CORONEL VIDAL RAMOS','221','CENTRO',4204806,89520000),(20,'1131','EEB PROFª MARIA DA GLÓRIA MATTOS',2,'R MARIO CLAUDIO TURRA','579',NULL,4205001,89950000),(20,'1132','EEB PROFª MARIA ANGELICA CALAZANS',2,'CAMINHO PINHAL',NULL,NULL,4205100,89155000),(20,'1133','COLÉGIO ENERGIA - CÓRREGO GRANDE',4,'R JOAO PIO DUARTE SILVA','550','CÓRREGO GRANDE',4205407,88037000),(20,'1134','C ADVENTISTA DE FLORIANÓPOLIS - ESTREITO',4,'R DOM DANIEL HOSTIN','129','ESTREITO',4205407,88090330),(20,'1135','EEB PADRE BIAGIO SIMONETTI',2,'AV RENE FREY','SN','CENTRO',4205506,89580000),(20,'1136','EEB MARIA CORREA SAAD',2,'ROD SC 434','10684','CAMPO DUNA',4205704,88495000),(20,'1137','COLÉGIO UNIVERSITÁRIO',4,'R DORALICIO GARCIA','777','SÃO PEDRO',4205902,89110000),(20,'1138','EEF ORIDES ROVANI',2,'BOM SUCESSO',NULL,'RURAL',4207700,89790000),(20,'1139','EEB PAULO CRISTIANO HEYSE',2,'ESTRADA GERAL',NULL,'MOEMA',4208104,89340000),(20,'114','EEB MONS GREGÓRIO LOCKS',2,NULL,NULL,NULL,4202909,NULL),(20,'1140','CENTRO DE ATEND. JACY DIAS RAMOS',4,'R LAUDELINA DIONISIO','420','CORDEIROS',4208203,88309530),(20,'1141','COLÉGIO ADVENTISTA DE ITAJAÍ',4,'R BRUSQUE','228','VILA OPERÁRIA',4208203,88300000),(20,'1142','EEB PROFª NAIR DA SILVA PINHEIRO',2,'ESTRADA CUBATÃO GRANDE','104','CUBATÃO',4209102,89226970),(20,'1143','EEB VER GUILHERME ZUEGE',2,'R EMILIO STRUCK','355','RIO BONITO',4209102,89239580),(20,'1144','EEF PROFª MARIA AMIN GHANEM',2,'R ADOLAR POHL','318','AVENTUREIRO',4209102,89225652),(20,'1145','EEF SEN RODRIGO LOBO',2,'R CUBA',NULL,'JD SOFIA',4209102,89223710),(20,'1146','COLÉGIO DO PLANALTO SERRANO LTDA',4,'R FREI ROGÉRIO','809','CENTRO',4209300,88502161),(20,'1147','EEB CEL JOSE MAURICIO DOS SANTOS',2,'ESTRADA GERAL','161','CAPUTERA',4209409,88790000),(20,'1148','EEB DOMINGOS BARBOSA CABRAL',2,'PESCARIA BRAVA',NULL,'PESCARIA BRAVA',4209409,88790000),(20,'1149','EEB PROFª NICOLINA TANCREDO',2,'R CESAR RENE WAGNER','137','ALTO ARIRIU',4211900,88135720),(20,'115','EEB PE LUX',2,NULL,NULL,NULL,4202909,NULL),(20,'1150','EEB JORGE LACERDA',2,'R JOAO TREVISOL',NULL,'VILA SÃO BRAZ',4212106,89887000),(20,'1151','EEB IRENE REVA ZADOROSNY',2,'R DO COLONO','SN','NOVA CULTURA',4212205,89370000),(20,'1152','EEB NILO PEÇANHA',2,'R FRANCISCO PELUSKI','365','VICE KING',4213609,89400000),(20,'1153','APADAF',4,'AV GENERAL BORMANN','532','CENTRO',4213609,89400000),(20,'1154','COLÉGIO DE ENSINO MÉDIO UNIVILLE',4,'R NORBERTO EDUARDO WEIHERMANN','230','COLONIAL',4215802,89290000),(20,'1155','EEB JOSÉ MATIAS ZIMMERMANN',2,'R JOSE MATIAS ZIMMERMANN','68','SERTÃO DO MARUIM',4216602,88122200),(20,'1156','EEB ROSINA NARDI',2,'R COHAB','191','SAO JOÃO',4217501,89770000),(20,'1157','CENTRO EDUCCACIONAL TIMBÓ S.A',4,'AV GETULIO VARGAS','222','CENTRO',4218202,89120000),(20,'1158','EEB DOM PEDRO I',2,'ESTRADA GERAL',NULL,NULL,4219358,89148000),(20,'1159','CENTRO DE ENSINO APROVAÇÃO',4,'R PRES VARGAS','566','BORTOLON',4219507,89820000),(20,'116','EEB SANTA TEREZINHA',2,NULL,NULL,NULL,4202909,NULL),(20,'1160','EEB NORBERTO TEODORO DE MELO',2,'R GERAL BARRA CLARA 388',NULL,'BARRA CLARA',4200903,88465000),(20,'1161','INSTITUTO ADV DE ENS DE SANTA CATARINA',4,'BR 101 KM 64',NULL,'CORVETA',4201307,89245000),(20,'1162','EEB PROFª MARIA JOSÉ MARTINS',2,'R DOS IMIGRANTES 184',NULL,'CENTRO',4202073,88955000),(20,'1163','EEB CARLOS TECHENTIN',2,'R BAHIA 8222',NULL,'PASSO MANSO',4202404,89032002),(20,'1164','EEB PE JACOB LUIZ NEIBEL',2,'ESTRADA GERAL',NULL,'PINHEIRAL',4202800,88750000),(20,'1165','EEF THOMAZ PADILHA',2,'ROD SC 451 KM 22 SN',NULL,'TAQUARA VERDE',4203006,89500000),(20,'1166','CENTRO DE EDUCAÇÃO CHAPECÓ',4,'AV PORTO ALEGRE 959 E',NULL,'CENTRO',4204202,89814100),(20,'1167','EEB PROFª FRANCISCA M DE O BURIGO',2,'R SANTA CATARINA 1439',NULL,'JD ELIZABETH',4204251,88845000),(20,'1168','COLÉGIO SANTA CATARINA',4,'R FREI EVARISTO 91',NULL,'CENTRO',4205407,88015410),(20,'1169','COLÉGIO BOM JESUS CORAÇÃO DE JESUS',4,'R EMIR ROSA 120',NULL,'CENTRO',4205407,88020050),(20,'117','SEMINÁRIO MENOR METROPOLITANO',4,NULL,NULL,NULL,4202909,NULL),(20,'1170','EEB ÂNGELO IZÉ',2,'R DO IMIGRANTE ITALIANO',NULL,'SANGA DO ENGENHO',4205456,88850000),(20,'1171','EEB EURICO PINZ',2,'R ARCINDO HAS',NULL,'SÃO MIGUEL',4205506,89580000),(20,'1172','COLÉGIO UNILIDER',4,'R ANITA GARIBALDI 529',NULL,'CENTRO',4208203,88303020),(20,'1173','COLÉGIO GALILEU',4,'TRAV JACOB SENS 145',NULL,'CENTRO',4208500,88400000),(20,'1174','COLÉGIO BOM JESUS DIVINA PROVIDÊNCIA',4,'AV MARECHAL DEODORO DA FONSECA','710','CENTRO',4208906,89251700),(20,'1175','CENTRO DE ED ELCANA',4,'R JACOB WEINGARTNER',NULL,'CENTRO',4211900,88131400),(20,'1176','CENTRO EDUCACIONAL PRISMA',4,'R SEBASTIAO VIEIRA LINS 37',NULL,'CENTRO',4212809,88380000),(20,'1177','ASSOC. CASA FAMILIAR RURAL DE RIQUEZA',2,'LINHA CAMBUCICA',NULL,'LINHA CAMBUCICA',4215075,89895000),(20,'1178','COLÉGIO BOM JESUS SÃO JOSÉ',4,'R PADRE FIDELIS TOMELIN 111',NULL,'CENTRO',4215802,89290000),(20,'1179','SENAI SC - SÃO MIGUEL DO OESTE',4,'R BARAO DO RIO BRANCO 220',NULL,'AGOSTINI',4217204,89900000),(20,'118','COLÉGIO MARISTA AURORA',4,NULL,NULL,NULL,4203006,NULL),(20,'1180','COOP. EDUC MAGNA NUCLEO II',4,'R SAO DANIEL 120',NULL,'NITEROI',4217501,89770000),(20,'1181','INST DE EDUC E CULT CÉSAR COLL LTDA EPP',4,'R MARECHAL DEODORO 923',NULL,'CENTRO',4218707,88701010),(20,'1182','EEB MANOEL DUTRA BESSA',2,'R JOAO OZOL 96',NULL,'CENTRO',4218905,88650000),(20,'1183','EEB MADRE TEREZINHA LEONI',2,'ROD SC 453 KM 49',NULL,'DIST INDUSTRIAL',4219309,89560000),(20,'119','C CENECISTA MARCOS OLSEN',4,NULL,NULL,NULL,4203006,NULL),(20,'12','EEB CEL ANTÔNIO LEHMKUHL',2,NULL,NULL,NULL,4200606,NULL),(20,'120','COL. DE APLICAÇÃO DA UNC CAÇADOR',4,NULL,NULL,NULL,4203006,NULL),(20,'121','EEB DANTE MOSCONI',2,NULL,NULL,NULL,4203006,NULL),(20,'122','EEB DOM ORLANDO DOTTI',2,NULL,NULL,NULL,4203006,NULL),(20,'123','EEB IRMÃO LEO',2,NULL,NULL,NULL,4203006,NULL),(20,'124','EEB PAULO SCHIEFFLER',2,NULL,NULL,NULL,4203006,NULL),(20,'125','EEM WANDA KRIEGER GOMES',2,NULL,NULL,NULL,4203006,NULL),(20,'126','COLÉGIO CENECISTA OLAVO BILAC',4,NULL,NULL,NULL,4203105,NULL),(20,'127','EEB DOM PEDRO II',2,NULL,NULL,NULL,4203105,NULL),(20,'128','EEB CALMON',2,NULL,NULL,NULL,4203154,NULL),(20,'129','C AGRÍCOLA DE CAMBORIÚ',3,NULL,NULL,NULL,4203204,NULL),(20,'13','EEB SILVA JARDIM',2,NULL,NULL,NULL,4200705,NULL),(20,'130','EEB PROF JOSÉ ARANTES',2,NULL,NULL,NULL,4203204,NULL),(20,'131','EEB PROFª MARIA TEREZINHA GARCIA',2,NULL,NULL,NULL,4203204,NULL),(20,'132','EEB LEBON RÉGIS',2,NULL,NULL,NULL,4203303,NULL),(20,'133','C CENECISTA STELLA MATUTINA',4,NULL,NULL,NULL,4203402,NULL),(20,'134','EEB MAJOR OTACÍLIO COUTO',2,NULL,NULL,NULL,4203402,NULL),(20,'135','CEDUP CAMPO ERÊ',2,NULL,NULL,NULL,4203501,NULL),(20,'136','EEB EMÍLIO GARRASTAZU MÉDICI',2,NULL,NULL,NULL,4203501,NULL),(20,'137','EEB RAUL POMPÉIA',2,NULL,NULL,NULL,4203501,NULL),(20,'138','COLÉGIO AUXILIADORA',4,NULL,NULL,NULL,4203600,NULL),(20,'139','EEB HENRIQUE RUPP JUNIOR',2,NULL,NULL,NULL,4203600,NULL),(20,'14','EEB TEIXEIRA DE FREITAS',2,NULL,NULL,NULL,4200754,NULL),(20,'140','EEB PAULO BLASI',2,NULL,NULL,NULL,4203600,NULL),(20,'141','ESC TEC COM D JOÃO BATISTA SCALABRINI',4,NULL,NULL,NULL,4203600,NULL),(20,'142','EEB PROFª MINERVINA LAUS',2,NULL,NULL,NULL,4203709,NULL),(20,'143','CEDUP VIDAL RAMOS',2,NULL,NULL,NULL,4203808,NULL),(20,'144','COLÉGIO COMERCIAL DE CANOINHAS',4,NULL,NULL,NULL,4203808,NULL),(20,'145','COLÉGIO SAGRADO CORAÇÃO DE JESUS',2,NULL,NULL,NULL,4203808,NULL),(20,'146','EEB ALMIRANTE BARROSO',2,NULL,NULL,NULL,4203808,NULL),(20,'147','EEB IRMÃ MARIA FELICITAS',2,NULL,NULL,NULL,4203808,NULL),(20,'148','EEB JOÃO JOSÉ DE SOUZA CABRAL',2,NULL,NULL,NULL,4203808,NULL),(20,'149','EEB JÚLIA B ZANIOLO',2,NULL,NULL,NULL,4203808,NULL),(20,'15','C CENECISTA PADRE JOSÉ DE ANCHIETA',4,NULL,NULL,NULL,4200804,NULL),(20,'150','EEB PROF MANOEL DA SILVA QUADROS',2,NULL,NULL,NULL,4203808,NULL),(20,'151','EEB RODOLFO ZIPPERER',2,NULL,NULL,NULL,4203808,NULL),(20,'152','EEB SAGRADO CORAÇÃO DE JESUS',2,NULL,NULL,NULL,4203808,NULL),(20,'153','EEB SANTA CRUZ',2,NULL,NULL,NULL,4203808,NULL),(20,'154','UNIV DO CONTESTADO CAMPUS DE CANOINHAS',4,NULL,NULL,NULL,4203808,NULL),(20,'155','COLÉGIO CENECISTA PADRE ANCHIETA',4,NULL,NULL,NULL,4203907,NULL),(20,'156','EEB MATER DOLORUM',2,NULL,NULL,NULL,4203907,NULL),(20,'158','EEB DR OTTO FEUERSCHUETTE',2,NULL,NULL,NULL,4203956,NULL),(20,'159','CE TERESA MARTINS BRITO',2,NULL,NULL,NULL,4203956,NULL),(20,'16','EEB PROF OSNI PAULINO DA SILVA',2,NULL,NULL,NULL,4200804,NULL),(20,'160','COLÉGIO CENECISTA CATANDUVENSE',4,NULL,NULL,NULL,4204004,NULL),(20,'161','EEB IRMÃ WIENFRIDA',2,NULL,NULL,NULL,4204004,NULL),(20,'162','EEB CÂNDIDO RAMOS',2,NULL,NULL,NULL,4204103,NULL),(20,'163','EEB JOSÉ CESÁRIO BRASIL',2,NULL,NULL,NULL,4204152,NULL),(20,'164','EEB PROFª OTÍLIA ULYSSÉA UNGARETTI',2,NULL,NULL,NULL,4204178,NULL),(20,'165','EEB OTÍLIA MÜLLER',2,NULL,NULL,NULL,4204194,NULL),(20,'166','COLÉGIO CENECISTA ILMA ROSA DE NES',4,NULL,NULL,NULL,4204202,NULL),(20,'167','CENTRO EDUC. DA UNOESC',4,NULL,NULL,NULL,4204202,NULL),(20,'168','COLÉGIO MARISTA SÃO FRANCISCO',4,NULL,NULL,NULL,4204202,NULL),(20,'169','EEB BOM PASTOR',2,NULL,NULL,NULL,4204202,NULL),(20,'17','EEB NOSSA SENHORA',2,NULL,NULL,NULL,4200903,NULL),(20,'170','EEB CEL ERNESTO BERTASO',2,NULL,NULL,NULL,4204202,NULL),(20,'171','EEB CORONEL LARA RIBAS',2,NULL,NULL,NULL,4204202,NULL),(20,'172','EEB DRUZIANA SARTORI',2,NULL,NULL,NULL,4204202,NULL),(20,'173','EEB MARCOLINA RODRIGUES DA SILVA',2,NULL,NULL,NULL,4204202,NULL),(20,'174','EEB MARECHAL BORMANN',2,NULL,NULL,NULL,4204202,NULL),(20,'175','EEB PEDRO MACIEL',2,NULL,NULL,NULL,4204202,NULL),(20,'176','EEB PROFª LUIZA SANTIN',2,NULL,NULL,NULL,4204202,NULL),(20,'177','EEB PROF NELSON HOROSTECKI',2,NULL,NULL,NULL,4204202,NULL),(20,'178','EEB PROFª GENI COMEL',2,NULL,NULL,NULL,4204202,NULL),(20,'179','EEB PROFª IRENE STONOGA',2,NULL,NULL,NULL,4204202,NULL),(20,'18','EEB PE ANTÔNIO VIEIRA',2,NULL,NULL,NULL,4201000,NULL),(20,'180','EEB PROFª LOURDES A SARTURI LAGO',2,NULL,NULL,NULL,4204202,NULL),(20,'181','EEB PROFª VALESCA C R PARIZOTTO',2,NULL,NULL,NULL,4204202,NULL),(20,'182','EEB PROFª ZELIA SCHARF',2,NULL,NULL,NULL,4204202,NULL),(20,'183','EEB SÃO FRANCISCO',2,NULL,NULL,NULL,4204202,NULL),(20,'184','EEB TANCREDO DE ALMEIDA NEVES',2,NULL,NULL,NULL,4204202,NULL),(20,'185','COLÉGIO EXPONENCIAL',4,NULL,NULL,NULL,4204202,NULL),(20,'186','CURSO E COLÉGIO VETOR LTDA',4,NULL,NULL,NULL,4204202,NULL),(20,'187','ESC DE AUX ENFERMAGEM DA FHASA',4,NULL,NULL,NULL,4204202,NULL),(20,'188','C MAXIMILIANO GAIDZINSKI',4,NULL,NULL,NULL,4204251,NULL),(20,'189','EEB PROF PE SCHULER',2,NULL,NULL,NULL,4204251,NULL),(20,'19','EEB ALTINO FLORES',2,NULL,NULL,NULL,4201109,NULL),(20,'190','COLÉGIO CENECISTA CONCÓRDIA',4,NULL,NULL,NULL,4204301,NULL),(20,'191','EEB DEODORO',2,NULL,NULL,NULL,4204301,NULL),(20,'192','EEB PROF OLAVO CECCO RIGON',2,NULL,NULL,NULL,4204301,NULL),(20,'193','EEB SÃO JOÃO BATISTA DE LA SALLE',2,NULL,NULL,NULL,4204301,NULL),(20,'194','EEB VIDAL RAMOS JUNIOR',2,NULL,NULL,NULL,4204301,NULL),(20,'195','COLÉGIO DE APLICAÇÃO DA FEAUC',4,NULL,NULL,NULL,4204301,NULL),(20,'196','ESC AGROTÉCNICA FEDERAL DE CONCÓRDIA',3,NULL,NULL,NULL,4204301,NULL),(20,'197','EEB CORDILHEIRA ALTA',2,NULL,NULL,NULL,4204350,NULL),(20,'198','COLÉGIO CENECISTA SÃO JOSÉ',4,NULL,NULL,NULL,4204400,NULL),(20,'199','EEB PROFª DÉLIA RÉGIS',2,NULL,NULL,NULL,4204400,NULL),(20,'2','C CENECISTA PROF SIMÃO HESS',4,NULL,NULL,NULL,4200101,NULL),(20,'20','COLÉGIO CENECISTA ANTÔNIO CARLOS',4,NULL,NULL,NULL,4201208,NULL),(20,'200','EEB PROFª OLGA NUNES DE ABREU',2,NULL,NULL,NULL,4204459,NULL),(20,'201','EEB NS DOS PRAZERES',2,NULL,NULL,NULL,4204558,NULL),(20,'202','COLÉGIO VER RUY COMARELLA',4,NULL,NULL,NULL,4204558,NULL),(20,'203','EEB TERESA RAMOS',2,NULL,NULL,NULL,4204509,NULL),(20,'204','COLÉGIO SAGRADO C DE JESUS',4,NULL,NULL,NULL,4204509,NULL),(20,'205','C COMERCIAL DE CIENC E ADMINISTRAÇÃO',4,NULL,NULL,NULL,4204608,NULL),(20,'206','COLÉGIO COMERCIAL TIRADENTES',4,NULL,NULL,NULL,4204608,NULL),(20,'207','COLÉGIO CRICIÚMA',4,NULL,NULL,NULL,4204608,NULL),(20,'208','C DE APLIC DA FUND ED DE CRICIÚMA-FUCRI',4,NULL,NULL,NULL,4204608,NULL),(20,'209','EEB ENG.SEBASTIÃO TOLEDO DOS SANTOS',2,NULL,NULL,NULL,4204608,NULL),(20,'21','EEB ALTAMIRO GUIMARÃES',2,NULL,NULL,NULL,4201208,NULL),(20,'210','COLÉGIO MADRE TERESA MICHEL',4,NULL,NULL,NULL,4204608,NULL),(20,'211','COLÉGIO MARISTA',4,NULL,NULL,NULL,4204608,NULL),(20,'212','COLÉGIO ROGACIONISTA PIO XII',4,NULL,NULL,NULL,4204608,NULL),(20,'213','COLÉGIO SÃO BENTO',4,NULL,NULL,NULL,4204608,NULL),(20,'214','EEB ANTÔNIO MILANEZ NETTO',2,NULL,NULL,NULL,4204608,NULL),(20,'215','EEB ANTÔNIO VITOR DE SOUZA',2,NULL,NULL,NULL,4204608,NULL),(20,'216','EEB CEL MARCOS ROVARIS',2,NULL,NULL,NULL,4204608,NULL),(20,'217','EEB COELHO NETO',2,NULL,NULL,NULL,4204608,NULL),(20,'218','EEB HERIBERTO HÜLSE',2,NULL,NULL,NULL,4204608,NULL),(20,'219','EEB HUMBERTO DE CAMPOS',2,NULL,NULL,NULL,4204608,NULL),(20,'22','EEB SÃO JOÃO BOSCO',2,NULL,NULL,NULL,4201257,NULL),(20,'220','EEB IRMÃ EDVIGES',2,NULL,NULL,NULL,4204608,NULL),(20,'221','EEB JOAQUIM RAMOS',2,NULL,NULL,NULL,4204608,NULL),(20,'222','EEB LINDOLFO COLLOR',2,NULL,NULL,NULL,4204608,NULL),(20,'223','EEB PADRE MIGUEL GIACCA',2,NULL,NULL,NULL,4204608,NULL),(20,'224','CE LAPAGESSE',2,NULL,NULL,NULL,4204608,NULL),(20,'225','EEB RUBENS DE ARRUDA RAMOS',2,NULL,NULL,NULL,4204608,NULL),(20,'226','CENTRO EDUC. ENERGIA SC LTDA',4,NULL,NULL,NULL,4204608,NULL),(20,'227','CENTRO EDUCACIONAL UNIVERSITÁRIO',4,NULL,NULL,NULL,4204608,NULL),(20,'228','CEDUP ABÍLIO PAULO',2,NULL,NULL,NULL,4204608,NULL),(20,'229','COLÉGIO QUARTA DIMENSÃO',4,NULL,NULL,NULL,4204608,NULL),(20,'23','EEB PROFª IVONETE RIBEIRO',2,NULL,NULL,NULL,4201273,NULL),(20,'230','ESC TÉC.GAL OSVALDO PINTO DA VEIGA',4,NULL,NULL,NULL,4204608,NULL),(20,'231','INSTITUTO SÃO JOSÉ',4,NULL,NULL,NULL,4204608,NULL),(20,'232','SOCIEDADE DE EDUC E CULT DE CRICIÚMA',4,NULL,NULL,NULL,4204608,NULL),(20,'233','COLÉGIO CENECISTA ASSIS BRASIL',4,NULL,NULL,NULL,4204707,NULL),(20,'234','EEB PROF PATRÍCIO JOÃO DE OLIVEIRA',2,NULL,NULL,NULL,4204707,NULL),(20,'235','EEB NICOLAU SCHOENBERGER',2,NULL,NULL,NULL,4204756,NULL),(20,'236','COLÉGIO COMERCIAL CARDEAL CÂMARA',4,NULL,NULL,NULL,4204806,NULL),(20,'237','C PROF JUSCELINO K DE OLIVEIRA',4,NULL,NULL,NULL,4204806,NULL),(20,'238','EEB SANTA TERESINHA',2,NULL,NULL,NULL,4204806,NULL),(20,'239','EEB CASIMIRO DE ABREU',2,NULL,NULL,NULL,4204806,NULL),(20,'24','COLÉGIO AGRÍCOLA S.CARLOS G. DE OLIVEIRA',3,NULL,NULL,NULL,4201307,NULL),(20,'240','EEB SOLON ROSA',2,NULL,NULL,NULL,4204806,NULL),(20,'241','COLÉGIO CENECISTA SANTOS DUMONT',4,NULL,NULL,NULL,4204905,NULL),(20,'242','EEB EVERARDO BACKHEUSER',2,NULL,NULL,NULL,4204905,NULL),(20,'243','EEB ITAJUBÁ',2,NULL,NULL,NULL,4204905,NULL),(20,'244','COLÉGIO CENECISTA CASTRO ALVES',4,NULL,NULL,NULL,4205001,NULL),(20,'245','EEB DR THEODURETO DE FARIA SOUTO',2,NULL,NULL,NULL,4205001,NULL),(20,'246','EEB JACOB MARAN',2,NULL,NULL,NULL,4205001,NULL),(20,'247','EEB LINDO SARDAGNA',2,NULL,NULL,NULL,4205100,NULL),(20,'248','EEB FREI LUCÍNIO KORTE',2,NULL,NULL,NULL,4205159,NULL),(20,'249','EEB PIO XII',2,NULL,NULL,NULL,4205175,NULL),(20,'25','EEB ALMIRANTE BOITEUX',2,NULL,NULL,NULL,4201307,NULL),(20,'250','EEB PEDRO SIMON',2,NULL,NULL,NULL,4205191,NULL),(20,'251','C CENECISTA CÉSAR AVELINO BRAGAGNOLO',4,NULL,NULL,NULL,4205209,NULL),(20,'252','CE CORONEL HENRIQUE RUPP',2,NULL,NULL,NULL,4205209,NULL),(20,'253','EEB PREF AGENOR PIOVEZAN',2,NULL,NULL,NULL,4205209,NULL),(20,'254','COLÉGIO CENECISTA PRES DUTRA',4,NULL,NULL,NULL,4205308,NULL),(20,'255','EEB PROF SALUSTIANO ANTÔNIO CABREIRA',2,NULL,NULL,NULL,4205308,NULL),(20,'256','EEB JORGE LACERDA',2,NULL,NULL,NULL,4205357,NULL),(20,'257','EEB ADERBAL RAMOS DA SILVA',2,NULL,NULL,NULL,4205407,NULL),(20,'258','C ADV ROBERTO RODRIGUES DE AZEVEDO',4,NULL,NULL,NULL,4205407,NULL),(20,'259','COLÉGIO ANTÔNIO PEIXOTO',4,NULL,NULL,NULL,4205407,NULL),(20,'26','CENTRO EDUC. FUTURÃO',4,NULL,NULL,NULL,4201406,NULL),(20,'260','C BARDDAL FLORIANÓPOLIS SC LTDA',4,NULL,NULL,NULL,4205407,NULL),(20,'261','C BARRIGA VERDE CENTRO EDUC LTDA',4,NULL,NULL,NULL,4205407,NULL),(20,'262','COLÉGIO CATARINENSE',4,NULL,NULL,NULL,4205407,NULL),(20,'263','C CENECISTA ANTONIETA DE BARROS',4,NULL,NULL,NULL,4205407,NULL),(20,'264','COLÉGIO COMERCIAL PIO XII',4,NULL,NULL,NULL,4205407,NULL),(20,'265','COLÉGIO CONTINENTE',4,NULL,NULL,NULL,4205407,NULL),(20,'266','COLÉGIO CORAÇÃO DE JESUS',4,NULL,NULL,NULL,4205407,NULL),(20,'267','COLÉGIO DE APLICAÇÃO DA UFSC',3,NULL,NULL,NULL,4205407,NULL),(20,'268','C DE APLICAÇÃO-UDESC',2,NULL,NULL,NULL,4205407,NULL),(20,'269','COLÉGIO DECISÃO',4,NULL,NULL,NULL,4205407,NULL),(20,'27','COLÉGIO NS MÃE DOS HOMENS',4,NULL,NULL,NULL,4201406,NULL),(20,'270','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4205407,NULL),(20,'271','EEB FELICIANO NUNES PIRES',2,NULL,NULL,NULL,4205407,NULL),(20,'272','COLÉGIO GERAÇÃO',4,NULL,NULL,NULL,4205407,NULL),(20,'273','COLÉGIO NS DE FÁTIMA',4,NULL,NULL,NULL,4205407,NULL),(20,'274','EEM ANTÔNIO PASCHOAL APÓSTOLO',2,NULL,NULL,NULL,4205407,NULL),(20,'275','EEB CELSO RAMOS',2,NULL,NULL,NULL,4205407,NULL),(20,'276','EEB DAYSE WERNER SALLES',2,NULL,NULL,NULL,4205407,NULL),(20,'277','EEB LAURO MÜLLER',2,NULL,NULL,NULL,4205407,NULL),(20,'278','EEB DOM JAIME DE BARROS CÂMARA',2,NULL,NULL,NULL,4205407,NULL),(20,'279','EEB DR PAULO FONTES',2,NULL,NULL,NULL,4205407,NULL),(20,'28','EEB BERNARDINO SENA CAMPOS',2,NULL,NULL,NULL,4201406,NULL),(20,'280','CE GENTIL MATHIAS DA SILVA',2,NULL,NULL,NULL,4205407,NULL),(20,'281','EEB GETÚLIO VARGAS',2,NULL,NULL,NULL,4205407,NULL),(20,'282','EEM HENRIQUE VERAS',2,NULL,NULL,NULL,4205407,NULL),(20,'283','EEB ILDEFONSO LINHARES',2,NULL,NULL,NULL,4205407,NULL),(20,'284','EEB IRINEU BORNHAUSEN',2,NULL,NULL,NULL,4205407,NULL),(20,'285','EEM JOÃO GONÇALVES PINHEIROS',2,NULL,NULL,NULL,4205407,NULL),(20,'286','EEB JUREMA CAVALLAZZI',2,NULL,NULL,NULL,4205407,NULL),(20,'287','EEB LEONOR DE BARROS',2,NULL,NULL,NULL,4205407,NULL),(20,'288','EEB OSMAR CUNHA',2,NULL,NULL,NULL,4205407,NULL),(20,'289','EEB PE ANCHIETA',2,NULL,NULL,NULL,4205407,NULL),(20,'29','EEB DE ARARANGUÁ',2,NULL,NULL,NULL,4201406,NULL),(20,'290','EEM PREF ACÁCIO GARIBALDI SÃO THIAGO',2,NULL,NULL,NULL,4205407,NULL),(20,'291','EEM PRES CASTELO BRANCO',2,NULL,NULL,NULL,4205407,NULL),(20,'292','EEB PRES ROOSEVELT',2,NULL,NULL,NULL,4205407,NULL),(20,'293','EEB PROF ANÍBAL NUNES PIRES',2,NULL,NULL,NULL,4205407,NULL),(20,'294','EEB PROF ANÍSIO TEIXEIRA',2,NULL,NULL,NULL,4205407,NULL),(20,'295','EEB PROF HENRIQUE STODIECK',2,NULL,NULL,NULL,4205407,NULL),(20,'296','EEB PROFª LAURA LIMA',2,NULL,NULL,NULL,4205407,NULL),(20,'297','EEB ROSA TÔRRES DE MIRANDA',2,NULL,NULL,NULL,4205407,NULL),(20,'298','EEB SIMÃO JOSÉ HESS',2,NULL,NULL,NULL,4205407,NULL),(20,'299','COLÉGIO DA LAGOA',4,NULL,NULL,NULL,4205407,NULL),(20,'3','C MUNICIPAL ANITA GARIBALDI',1,NULL,NULL,NULL,4200101,NULL),(20,'30','EEB PROFª MARIA GARCIA PESSI',2,NULL,NULL,NULL,4201406,NULL),(20,'300','COLÉGIO PRE VEST SOLUÇÃO LTDA',4,NULL,NULL,NULL,4205407,NULL),(20,'301','CURSO DE EDUCAÇÃO FÍSICA',2,NULL,NULL,NULL,4205407,NULL),(20,'302','ETC NEREU RAMOS',4,NULL,NULL,NULL,4205407,NULL),(20,'303','ETC SANTA CATARINA',4,NULL,NULL,NULL,4205407,NULL),(20,'304','ETC SÃO MARCOS',4,NULL,NULL,NULL,4205407,NULL),(20,'305','ETC SENNA PEREIRA',4,NULL,NULL,NULL,4205407,NULL),(20,'306','ETF DE STA CATARINA (CEFET)',3,NULL,NULL,NULL,4205407,NULL),(20,'307','INSTITUTO ESTADUAL DE EDUCAÇÃO',2,NULL,NULL,NULL,4205407,NULL),(20,'308','EEB RUI BARBOSA',2,NULL,NULL,NULL,4205431,NULL),(20,'309','EEB LUIZ TRAMONTIN',2,NULL,NULL,NULL,4205456,NULL),(20,'31','CENTRO INTERESCOLAR I DE ARARANGUÁ',4,NULL,NULL,NULL,4201406,NULL),(20,'310','EEB NATÁLIO VASSOLER',2,NULL,NULL,NULL,4205456,NULL),(20,'311','COL EXAME',4,NULL,NULL,NULL,4205456,NULL),(20,'312','COL SAGRADA FAMÍLIA',4,NULL,NULL,NULL,4205456,NULL),(20,'313','CE BELA VISTA',2,NULL,NULL,NULL,4205506,NULL),(20,'314','EEB GONÇALVES DIAS',2,NULL,NULL,NULL,4205506,NULL),(20,'315','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4205506,NULL),(20,'316','CE SEDES SAPIENTIAE',2,NULL,NULL,NULL,4205506,NULL),(20,'317','COLÉGIO CARLOS DRUMOND DE ANDRADE',4,NULL,NULL,NULL,4205506,NULL),(20,'318','COLÉGIO CIRANDA DO SABER',4,NULL,NULL,NULL,4205506,NULL),(20,'319','ESCOLA DE 2. SEDES SAPIENTIAE',4,NULL,NULL,NULL,4205506,NULL),(20,'32','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4201406,NULL),(20,'320','EEB PROF URBANO SALLES',2,NULL,NULL,NULL,4205555,NULL),(20,'321','EEB VERÔNICA SENEM',2,NULL,NULL,NULL,4205605,NULL),(20,'322','EEB PROF JOSÉ RODRIGUES LOPES',2,NULL,NULL,NULL,4205704,NULL),(20,'323','C MUNICIPAL SAGRADO CORAÇÃO DE JESUS',1,NULL,NULL,NULL,4205803,NULL),(20,'325','EEB FREI GODOFREDO',2,NULL,NULL,NULL,4205902,NULL),(20,'326','EEB FREI POLICARPO',2,NULL,NULL,NULL,4205902,NULL),(20,'327','EEB PROF HONÓRIO MIRANDA',2,NULL,NULL,NULL,4205902,NULL),(20,'328','COLÉGIO SÃO FRANCISCO',4,NULL,NULL,NULL,4205902,NULL),(20,'329','EEB DR ADERBAL RAMOS DA SILVA',2,NULL,NULL,NULL,4206009,NULL),(20,'33','SOC DE EDUC E CULTURA DE ARARANGUÁ',4,NULL,NULL,NULL,4201406,NULL),(20,'330','EEB DR MIGUEL DE PATTA',2,NULL,NULL,NULL,4206108,NULL),(20,'331','EEM ANTÔNIO KNABBEN',2,NULL,NULL,NULL,4206207,NULL),(20,'332','EEB HERCÍLIO BEZ',2,NULL,NULL,NULL,4206207,NULL),(20,'333','EEB PROF JOÃO BOOS',2,NULL,NULL,NULL,4206306,NULL),(20,'334','EEB SARA CASTELHANO KLEINKAUF',2,NULL,NULL,NULL,4206405,NULL),(20,'335','EEB PREF LAURO ZIMMERMANN',2,NULL,NULL,NULL,4206504,NULL),(20,'336','EEB ALFREDO ZIMMERMANN',2,NULL,NULL,NULL,4206504,NULL),(20,'337','EEB SÃO PEDRO',2,NULL,NULL,NULL,4206504,NULL),(20,'338','C CENEC. MAR ARTHUR DA C E SILVA',4,NULL,NULL,NULL,4206603,NULL),(20,'339','EEB PROFª ELZA MANCELOS DE MOURA',2,NULL,NULL,NULL,4206603,NULL),(20,'34','EEB MONSENHOR FRANCISCO GIESBERTS',2,NULL,NULL,NULL,4201505,NULL),(20,'340','EEB LEONOR LOPES GONZAGA',2,NULL,NULL,NULL,4206652,NULL),(20,'341','EEB PROF EUGÊNIO MARCHETTI',2,NULL,NULL,NULL,4206702,NULL),(20,'342','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4206702,NULL),(20,'343','EEB HERIBERTO HULSE',2,NULL,NULL,NULL,4206751,NULL),(20,'344','C CENECISTA DR EDUARDO MÁRIO TAVARES',4,NULL,NULL,NULL,4206801,NULL),(20,'345','EEB IRMÃO JOAQUIM',2,NULL,NULL,NULL,4206801,NULL),(20,'346','COLÉGIO HAMONIA',4,NULL,NULL,NULL,4206900,NULL),(20,'347','EEB ELISEU GUILHERME',2,NULL,NULL,NULL,4206900,NULL),(20,'348','EEB GERTRUD AICHINGER',2,NULL,NULL,NULL,4206900,NULL),(20,'349','COLÉGIO CRISTO REI',4,NULL,NULL,NULL,4207007,NULL),(20,'35','C CENECISTA PADRE AUGUSTINHO',4,NULL,NULL,NULL,4201604,NULL),(20,'350','EEB ANTÔNIO COLONETTI',2,NULL,NULL,NULL,4207007,NULL),(20,'351','EEB ANTÔNIO GUGLIELMI SOBRINHO',2,NULL,NULL,NULL,4207007,NULL),(20,'352','EEB ANTÔNIO JOÃO',2,NULL,NULL,NULL,4207007,NULL),(20,'353','EEB MELCHÍADES BONIFÁCIO ESPÍNDOLA',2,NULL,NULL,NULL,4207007,NULL),(20,'354','EEB MARCOS KONDER',2,NULL,NULL,NULL,4207106,NULL),(20,'355','EEB VALÉRIO GOMES',2,NULL,NULL,NULL,4207106,NULL),(20,'356','EEB PREF PEDRO BITTENCOURT',2,NULL,NULL,NULL,4207205,NULL),(20,'357','EEB PROFª EULINA HELEODORO BARRETO',2,NULL,NULL,NULL,4207205,NULL),(20,'358','EEB ENG ÁLVARO CATÃO',2,NULL,NULL,NULL,4207304,NULL),(20,'359','EEM ENG ANNES GUALBERTO',2,NULL,NULL,NULL,4207304,NULL),(20,'36','EEB PROFª BENTA CARDOSO',2,NULL,NULL,NULL,4201653,NULL),(20,'360','EEB JOÃO GUIMARÃES CABRAL',2,NULL,NULL,NULL,4207304,NULL),(20,'361','EEB VISCONDE DO RIO BRANCO',2,NULL,NULL,NULL,4207304,NULL),(20,'362','COOPERATIVA EDUC DE IMBITUBA',4,NULL,NULL,NULL,4207304,NULL),(20,'363','COLÉGIO CENECISTA DE IMBUIA',4,NULL,NULL,NULL,4207403,NULL),(20,'364','EEB FREI MANOEL PHILIPPI',2,NULL,NULL,NULL,4207403,NULL),(20,'365','EEB FREDERICO HARDT',2,NULL,NULL,NULL,4207502,NULL),(20,'366','COLÉGIO MUNICIPAL PREF LUIZ POLIDORO',1,NULL,NULL,NULL,4207502,NULL),(20,'367','COLÉGIO AGROTÉCNICO DE VIDEIRA',4,NULL,NULL,NULL,4207577,NULL),(20,'368','EEB FREI EVARISTO',2,NULL,NULL,NULL,4207577,NULL),(20,'369','EEB CARLOS FRIES',2,NULL,NULL,NULL,4207601,NULL),(20,'37','COLÉGIO SÃO PAULO',4,NULL,NULL,NULL,4201703,NULL),(20,'370','COLÉGIO CENECISTA ANILDO HEISLER',4,NULL,NULL,NULL,4207650,NULL),(20,'371','EEB PE VENDELINO SEIDEL',2,NULL,NULL,NULL,4207650,NULL),(20,'372','EEB PE ANTÔNIO VIEIRA',2,NULL,NULL,NULL,4207684,NULL),(20,'373','COLÉGIO VITORINO KONDA',2,NULL,NULL,NULL,4207684,NULL),(20,'374','EEB BENJAMIM CARVALHO DE OLIVEIRA',2,NULL,NULL,NULL,4207700,NULL),(20,'375','CE VITAL FELIPE CASAROTTO',2,NULL,NULL,NULL,4207700,NULL),(20,'376','COLÉGIO MUNICIPAL RICARDO VIVIAN',1,NULL,NULL,NULL,4207759,NULL),(20,'377','EEB PROF MANUEL FREITAS TRANCOSO',2,NULL,NULL,NULL,4207759,NULL),(20,'378','COLÉGIO CENECISTA IRANI',4,NULL,NULL,NULL,4207809,NULL),(20,'379','EEB D FELÍCIO C DA CUNHA VASCONCELOS',2,NULL,NULL,NULL,4207809,NULL),(20,'38','EEB DOMINGOS SÁVIO',2,NULL,NULL,NULL,4201703,NULL),(20,'380','EEB PROF CELSO RILLA',2,NULL,NULL,NULL,4207858,NULL),(20,'381','EEB HORÁCIO NUNES',2,NULL,NULL,NULL,4207908,NULL),(20,'382','C CENECISTA ADOLFO KONDER',4,NULL,NULL,NULL,4208005,NULL),(20,'383','EEB GEN LIBERATO BITTENCOURT',2,NULL,NULL,NULL,4208005,NULL),(20,'384','EMEB VALENTIN BERNARDI',1,NULL,NULL,NULL,4208005,NULL),(20,'386','C EDUC 1 E 2 GRAUS ITAIÓPOLIS',1,NULL,NULL,NULL,4208104,NULL),(20,'387','EEB VIRGÍLIO VÁRZEA',2,NULL,NULL,NULL,4208104,NULL),(20,'388','C CENECISTA PEDRO ANTÔNIO FAYAL',4,NULL,NULL,NULL,4208203,NULL),(20,'389','COLÉGIO DE APLICAÇÃO DA UNIVALI',4,NULL,NULL,NULL,4208203,NULL),(20,'39','EEB DR FREDERICO ROLLA',2,NULL,NULL,NULL,4201802,NULL),(20,'390','C DR WILFREDO MARCOS BAYER',4,NULL,NULL,NULL,4208203,NULL),(20,'391','CENTRO EDUC. SISTEMA UNIFICADO',4,NULL,NULL,NULL,4208203,NULL),(20,'392','COLÉGIO SALESIANO ITAJAÍ',4,NULL,NULL,NULL,4208203,NULL),(20,'393','EEB NEREU RAMOS',2,NULL,NULL,NULL,4208203,NULL),(20,'394','COLÉGIO SÃO JOSÉ',4,NULL,NULL,NULL,4208203,NULL),(20,'395','EEB DEP NILTON KUCKER',2,NULL,NULL,NULL,4208203,NULL),(20,'396','EEB DOM AFONSO NIEHUES',2,NULL,NULL,NULL,4208203,NULL),(20,'397','EEB ELIZABETH KONDER REIS',2,NULL,NULL,NULL,4208203,NULL),(20,'398','CE GASPAR DA COSTA MORAES',2,NULL,NULL,NULL,4208203,NULL),(20,'399','CE MANSUETO TRES',2,NULL,NULL,NULL,4208203,NULL),(20,'4','EEB PROF ANACLETO DAMIANI',2,NULL,NULL,NULL,4200101,NULL),(20,'40','EEB WALTER PROBST',2,NULL,NULL,NULL,4201901,NULL),(20,'400','EEM PROF HENRIQUE DA SILVA FONTES',2,NULL,NULL,NULL,4208203,NULL),(20,'401','EEM VICTOR MEIRELLES',2,NULL,NULL,NULL,4208203,NULL),(20,'402','COLÉGIO E CURSO RADICAL',4,NULL,NULL,NULL,4208203,NULL),(20,'403','CENTRO EDUC. SISTEMA UNIFICADO',4,NULL,NULL,NULL,4208302,NULL),(20,'404','C ITAPEMA',4,NULL,NULL,NULL,4208302,NULL),(20,'405','EEB ANITA GARIBALDI',2,NULL,NULL,NULL,4208302,NULL),(20,'406','EEB PREF OLEGÁRIO BERNARDES',2,NULL,NULL,NULL,4208302,NULL),(20,'407','COLÉGIO ATLÂNTICO',4,NULL,NULL,NULL,4208302,NULL),(20,'408','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4208401,NULL),(20,'409','CENTRO INTEG. DE ITAPIRANGA',4,NULL,NULL,NULL,4208401,NULL),(20,'41','EEB DOM GREGÓRIO WARMELING',2,NULL,NULL,NULL,4202057,NULL),(20,'410','EEB HUMBERTO MACHADO',2,NULL,NULL,NULL,4208401,NULL),(20,'411','EEB SANTO ANTÔNIO',2,NULL,NULL,NULL,4208401,NULL),(20,'412','EEB SÃO VICENTE',2,NULL,NULL,NULL,4208401,NULL),(20,'413','EEB NEREU RAMOS',2,NULL,NULL,NULL,4208450,NULL),(20,'414','C SANTO ESTEVÃO',4,NULL,NULL,NULL,4208500,NULL),(20,'415','EEB ALEIXO DELLAGIUSTINA',2,NULL,NULL,NULL,4208500,NULL),(20,'416','EEB ROBERTO MORITZ',2,NULL,NULL,NULL,4208500,NULL),(20,'417','C CENECISTA FÁTIMA RECK',4,NULL,NULL,NULL,4208609,NULL),(20,'418','EEB VICTOR FELIPPE RAUEN',2,NULL,NULL,NULL,4208609,NULL),(20,'419','COL. C SANTA TERESINHA',4,NULL,NULL,NULL,4208708,NULL),(20,'42','COLÉGIO BALNEARENSE',2,NULL,NULL,NULL,4202008,NULL),(20,'420','EEB JACINTO MACHADO',2,NULL,NULL,NULL,4208708,NULL),(20,'421','EEB MAL LUZ',2,NULL,NULL,NULL,4208807,NULL),(20,'422','COLÉGIO DIVINA PROVIDÊNCIA',4,NULL,NULL,NULL,4208906,NULL),(20,'423','C EDUCACIONAL SIGMA',4,NULL,NULL,NULL,4208906,NULL),(20,'424','COLÉGIO MARISTA SÃO LUIS',4,NULL,NULL,NULL,4208906,NULL),(20,'425','EEM ABDON BATISTA',2,NULL,NULL,NULL,4208906,NULL),(20,'426','EEM ALBERTO BAUER',2,NULL,NULL,NULL,4208906,NULL),(20,'427','EEB ALVINO TRIBESS',2,NULL,NULL,NULL,4208906,NULL),(20,'428','EEB ELZA GRANZOTTO FERRAZ',2,NULL,NULL,NULL,4208906,NULL),(20,'429','EEB EUCLIDES DA CUNHA',2,NULL,NULL,NULL,4208906,NULL),(20,'43','C COMERCIAL BRUNO SILVA',4,NULL,NULL,NULL,4202008,NULL),(20,'430','EEB HOLANDO MARCELLINO GONÇALVES',2,NULL,NULL,NULL,4208906,NULL),(20,'431','CE ALVES DE SOUZA',2,NULL,NULL,NULL,4208906,NULL),(20,'432','EEB JULIUS KARSTEN',2,NULL,NULL,NULL,4208906,NULL),(20,'433','EEB PROF HELEODORO BORGES',2,NULL,NULL,NULL,4208906,NULL),(20,'434','EEB PROF JOÃO ROMÁRIO MOREIRA',2,NULL,NULL,NULL,4208906,NULL),(20,'435','EEB PROF JOSÉ DUARTE MAGALHÃES',2,NULL,NULL,NULL,4208906,NULL),(20,'436','EEB PROFª LILIA AYROSO OECHSLER',2,NULL,NULL,NULL,4208906,NULL),(20,'437','EEB PROFª VALDETE I P ZINDARS',2,NULL,NULL,NULL,4208906,NULL),(20,'438','EEB ROLAND H DORNBUSCH',2,NULL,NULL,NULL,4208906,NULL),(20,'439','EEM VITOR MEIRELLES',2,NULL,NULL,NULL,4208906,NULL),(20,'44','CENTRO EDUC. SISTEMA UNIFICADO',4,NULL,NULL,NULL,4202008,NULL),(20,'440','CENTRO EDUC INTEG JARAGUENSE',4,NULL,NULL,NULL,4208906,NULL),(20,'441','COLÉGIO EVANGÉLICO JARAGUÁ',4,NULL,NULL,NULL,4208906,NULL),(20,'442','INSTITUTO EDUCACIONAL JANGADA',4,NULL,NULL,NULL,4208906,NULL),(20,'443','C CENECISTA PAPA JOÃO PAULO I',4,NULL,NULL,NULL,4208955,NULL),(20,'444','EEB FAZENDA TRIÂNGULO',2,NULL,NULL,NULL,4208955,NULL),(20,'445','COLÉGIO CENECISTA JOAÇABENSE',4,NULL,NULL,NULL,4209003,NULL),(20,'446','COLÉGIO MARISTA FREI ROGÉRIO',4,NULL,NULL,NULL,4209003,NULL),(20,'447','COLÉGIO CRISTO REI',4,NULL,NULL,NULL,4209003,NULL),(20,'448','EEB DEP NELSON PEDRINI',2,NULL,NULL,NULL,4209003,NULL),(20,'449','EEB GOV CELSO RAMOS',2,NULL,NULL,NULL,4209003,NULL),(20,'45','COLÉGIO GOV IVO SILVEIRA',2,NULL,NULL,NULL,4202008,NULL),(20,'450','CE OSCAR RODRIGUES DA NOVA',2,NULL,NULL,NULL,4209003,NULL),(20,'451','EEB IRAÍ ZILIO',2,NULL,NULL,NULL,4209003,NULL),(20,'452','CENT. DE EST PROF DO O CATARINENSE',4,NULL,NULL,NULL,4209003,NULL),(20,'453','COLÉGIO ALBERT EINSTEIN',4,NULL,NULL,NULL,4209003,NULL),(20,'454','COLÉGIO LUTERANO SANTÍSSIMA TRINDADE',4,NULL,NULL,NULL,4209003,NULL),(20,'455','NÚCLEO PEDAGÓGICO RURAL-NUPERAJO',2,NULL,NULL,NULL,4209003,NULL),(20,'456','C ADVENTISTA DE JOINVILLE (DOM PEDRO II)',4,NULL,NULL,NULL,4209102,NULL),(20,'457','INST.SUP.E CENTRO EDUC LUTER. BOM JESUS',4,NULL,NULL,NULL,4209102,NULL),(20,'458','COLÉGIO BOM PASTOR',4,NULL,NULL,NULL,4209102,NULL),(20,'459','C CENECISTA JOSÉ ELIAS MOREIRA',4,NULL,NULL,NULL,4209102,NULL),(20,'46','C M PROF ANTÔNIO LUCIO',1,NULL,NULL,NULL,4202008,NULL),(20,'460','COLÉGIO DE APLICAÇÃO DA FURJ',4,NULL,NULL,NULL,4209102,NULL),(20,'461','COLÉGIO DOS SANTOS ANJOS',4,NULL,NULL,NULL,4209102,NULL),(20,'462','COLÉGIO SANTO ANTÔNIO',4,NULL,NULL,NULL,4209102,NULL),(20,'463','COLÉGIO TÉCNICO JOINVILENSE',4,NULL,NULL,NULL,4209102,NULL),(20,'464','EEB ARNALDO MOREIRA DOUAT',2,NULL,NULL,NULL,4209102,NULL),(20,'465','EEB CONSELHEIRO MAFRA',2,NULL,NULL,NULL,4209102,NULL),(20,'466','EEB DOM PIO DE FREITAS',2,NULL,NULL,NULL,4209102,NULL),(20,'467','EEB DR JORGE LACERDA',2,NULL,NULL,NULL,4209102,NULL),(20,'468','EEB DR PAULO MEDEIROS',2,NULL,NULL,NULL,4209102,NULL),(20,'469','EEB DR TUFI DIPPE',2,NULL,NULL,NULL,4209102,NULL),(20,'47','C PROF ARMANDO CÉSAR GHISLANDI',1,NULL,NULL,NULL,4202008,NULL),(20,'470','EEB ENGENHEIRO ANNES GUALBERTO',2,NULL,NULL,NULL,4209102,NULL),(20,'471','EEB GIOVANI PASQUALINI FARACO',2,NULL,NULL,NULL,4209102,NULL),(20,'472','EEB JOÃO COLIN',2,NULL,NULL,NULL,4209102,NULL),(20,'473','EEB MAESTRO FRANCISCO M DA SILVA',2,NULL,NULL,NULL,4209102,NULL),(20,'474','EEB OLAVO BILAC',2,NULL,NULL,NULL,4209102,NULL),(20,'475','EEB OSVALDO ARANHA',2,NULL,NULL,NULL,4209102,NULL),(20,'476','EEB PLÁCIDO OLÍMPIO DE OLIVEIRA',2,NULL,NULL,NULL,4209102,NULL),(20,'477','EEB PRES MÉDICI',2,NULL,NULL,NULL,4209102,NULL),(20,'478','EEB PROF GERMANO TIMM',2,NULL,NULL,NULL,4209102,NULL),(20,'479','EEB PROF JOÃO MARTINS VERAS',2,NULL,NULL,NULL,4209102,NULL),(20,'48','COL. PROFª ELIZABETH A. R. TOMIO PEART',4,NULL,NULL,NULL,4202008,NULL),(20,'480','EEB PROFª ALÍCIA B FERREIRA',2,NULL,NULL,NULL,4209102,NULL),(20,'481','EEB PROFª ANTÔNIA ALPAIDES C DOS SANTOS',2,NULL,NULL,NULL,4209102,NULL),(20,'482','EEB PROF. GERTRUDES BENTA COSTA',2,NULL,NULL,NULL,4209102,NULL),(20,'483','EEB PROFª JANDIRA DÁVILA',2,NULL,NULL,NULL,4209102,NULL),(20,'484','EEB PROFª JURACY MARIA BROSIG',2,NULL,NULL,NULL,4209102,NULL),(20,'485','CEDUP DÁRIO GERALDO SALLES',2,NULL,NULL,NULL,4209102,NULL),(20,'486','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4209102,NULL),(20,'487','COLÉGIO ESQUEMA OBJETIVO',4,NULL,NULL,NULL,4209102,NULL),(20,'488','COLÉGIO JOINVILLE',4,NULL,NULL,NULL,4209102,NULL),(20,'489','COLÉGIO NOVA ERA',4,NULL,NULL,NULL,4209102,NULL),(20,'49','EEB PRES JOÃO GOULART',2,NULL,NULL,NULL,4202008,NULL),(20,'490','COLÉGIO NOVA JOINVILLE',4,NULL,NULL,NULL,4209102,NULL),(20,'492','EEM GOV CELSO RAMOS',2,NULL,NULL,NULL,4209102,NULL),(20,'493','E DE EDUCAÇÃO INFANTIL',4,NULL,NULL,NULL,4209102,NULL),(20,'494','E TÉCNICA TUPY',4,NULL,NULL,NULL,4209102,NULL),(20,'495','EEB JOSÉ CLEMENTE PEREIRA',2,NULL,NULL,NULL,4209151,NULL),(20,'496','EEB JOAQUIM D AGOSTINI',2,NULL,NULL,NULL,4209201,NULL),(20,'497','COLÉGIO BOM JESUS DIOCESANO',4,NULL,NULL,NULL,4209300,NULL),(20,'498','COLÉGIO INDUSTRIAL DE LAGES',2,NULL,NULL,NULL,4209300,NULL),(20,'499','COLÉGIO SANTA ROSA DE LIMA',4,NULL,NULL,NULL,4209300,NULL),(20,'5','E AGROTÉCNICA MUL. I. BORNHAUSEN',1,NULL,NULL,NULL,4200101,NULL),(20,'50','EEB PROFª FRANCISCA ALVES GEVAERD',2,NULL,NULL,NULL,4202008,NULL),(20,'500','EEB ARISTILIANO RAMOS',2,NULL,NULL,NULL,4209300,NULL),(20,'501','EEB FRANCISCO MANFROI',2,NULL,NULL,NULL,4209300,NULL),(20,'502','EEB FREI NICODEMOS',2,NULL,NULL,NULL,4209300,NULL),(20,'503','EEB GEN JOSÉ PINTO SOMBRA',2,NULL,NULL,NULL,4209300,NULL),(20,'504','EEB LÚCIA FERNANDES LOPES',2,NULL,NULL,NULL,4209300,NULL),(20,'505','EEB NS DO ROSÁRIO',2,NULL,NULL,NULL,4209300,NULL),(20,'506','EEB PROF ARMANDO R DE CARVALHO',2,NULL,NULL,NULL,4209300,NULL),(20,'507','EEB PROF FLORDOALDO CABRAL',2,NULL,NULL,NULL,4209300,NULL),(20,'508','EEB RUBENS DE ARRUDA RAMOS',2,NULL,NULL,NULL,4209300,NULL),(20,'509','EEB SÃO JUDAS TADEU',2,NULL,NULL,NULL,4209300,NULL),(20,'51','EEB PROFª MARIA DA GLÓRIA PEREIRA',2,NULL,NULL,NULL,4202008,NULL),(20,'510','EEB ZULMIRA AUTA DA SILVA',2,NULL,NULL,NULL,4209300,NULL),(20,'511','UNIPLAC CENTRO DE ENSINO FUNDAMENTAL',4,NULL,NULL,NULL,4209300,NULL),(20,'512','EEB VIDAL RAMOS JUNIOR',2,NULL,NULL,NULL,4209300,NULL),(20,'513','CEDUP RENATO RAMOS DA SILVA',2,NULL,NULL,NULL,4209300,NULL),(20,'514','COLÉGIO POSILAGES LTDA',4,NULL,NULL,NULL,4209300,NULL),(20,'515','COLÉGIO UNIVEST LAGES LTDA',4,NULL,NULL,NULL,4209300,NULL),(20,'516','EEB GODOLFIN NUNES DE SOUSA',2,NULL,NULL,NULL,4209300,NULL),(20,'517','EMEF ITINERANTE MARIA ALICE W SOUSA',1,NULL,NULL,NULL,4209300,NULL),(20,'518','ESC.TÉCNICA DE COMÉRCIO DE LAGES',4,NULL,NULL,NULL,4209300,NULL),(20,'519','INSTITUTO SÃO JOÃO BATISTA VIANEI',4,NULL,NULL,NULL,4209300,NULL),(20,'52','COLÉGIO CAMBORIÚ',4,NULL,NULL,NULL,4202008,NULL),(20,'520','EEB COMERCIAL LAGUNENSE',2,NULL,NULL,NULL,4209409,NULL),(20,'521','EEM ALMIRANTE LAMEGO',2,NULL,NULL,NULL,4209409,NULL),(20,'522','EEB ANA GONDIN',2,NULL,NULL,NULL,4209409,NULL),(20,'523','EEB SAUL ULYSSÉA',2,NULL,NULL,NULL,4209409,NULL),(20,'524','EEB PROFIS. PROFª ADÉLIA C. VAREJÃO',4,NULL,NULL,NULL,4209409,NULL),(20,'525','COLÉGIO STELLA MARIS',4,NULL,NULL,NULL,4209409,NULL),(20,'526','EEB PROF ANTÔNIA GASINO DE FREITAS',2,NULL,NULL,NULL,4209458,NULL),(20,'527','COLÉGIO SÃO JOSÉ',4,NULL,NULL,NULL,4209508,NULL),(20,'528','EEB TEREZA CRISTINA',2,NULL,NULL,NULL,4209508,NULL),(20,'529','EEB ENG ERNANI COTRIN',2,NULL,NULL,NULL,4209607,NULL),(20,'53','COLÉGIO MARGIRUS',4,NULL,NULL,NULL,4202008,NULL),(20,'530','EEB VISCONDE DE TAUNAY',2,NULL,NULL,NULL,4209607,NULL),(20,'531','EEB WALTER HOLTHAUSEN',2,NULL,NULL,NULL,4209607,NULL),(20,'532','EEB FREI CANECA',2,NULL,NULL,NULL,4209706,NULL),(20,'533','EEB BERTINO SILVA',2,NULL,NULL,NULL,4209805,NULL),(20,'534','EEB PE IZIDORO BENJAMIM MORO',2,NULL,NULL,NULL,4209854,NULL),(20,'535','EEB REGENTE FEIJÓ',2,NULL,NULL,NULL,4209904,NULL),(20,'536','EEB GOV IRINEU BORNHAUSEN',2,NULL,NULL,NULL,4210001,NULL),(20,'537','EEB JOÃO GAYA',2,NULL,NULL,NULL,4210001,NULL),(20,'538','COLÉGIO CENECISTA LUZERNENSE',4,NULL,NULL,NULL,4210035,NULL),(20,'539','EEB PADRE NÓBREGA',2,NULL,NULL,NULL,4210035,NULL),(20,'54','EEB PRAIA DA GAIVOTA',2,NULL,NULL,NULL,4202073,NULL),(20,'540','EEB ALBINA MOSCONI',2,NULL,NULL,NULL,4210050,NULL),(20,'541','COLÉGIO MAFRENSE',4,NULL,NULL,NULL,4210100,NULL),(20,'542','EEB BARÃO DE ANTONINA',2,NULL,NULL,NULL,4210100,NULL),(20,'543','EEB DR FRANCISCO IZABEL',2,NULL,NULL,NULL,4210100,NULL),(20,'544','EEB JOVINO LIMA',2,NULL,NULL,NULL,4210100,NULL),(20,'545','EEB PROFª MARIA PAULA FERES',2,NULL,NULL,NULL,4210100,NULL),(20,'546','EEB MANOEL VICENTE GOMES',2,NULL,NULL,NULL,4210209,NULL),(20,'547','COLÉGIO MAJOR VIEIRA',4,NULL,NULL,NULL,4210308,NULL),(20,'548','EEB LUIZ DAVET',2,NULL,NULL,NULL,4210308,NULL),(20,'549','C CENECISTA GIÁCOMO DE PELEGRINI',4,NULL,NULL,NULL,4210407,NULL),(20,'55','EEB HÉLIO WASUM',2,NULL,NULL,NULL,4202081,NULL),(20,'550','EEB MANOEL GOMES BALTAZAR',2,NULL,NULL,NULL,4210407,NULL),(20,'551','EEB JOÃO XXIII',2,NULL,NULL,NULL,4210506,NULL),(20,'552','EEB NS DA SALETE',2,NULL,NULL,NULL,4210506,NULL),(20,'553','ETC RUI BARBOSA',1,NULL,NULL,NULL,4210506,NULL),(20,'554','EEB PROF ZELINDO CARBONERA',2,NULL,NULL,NULL,4210555,NULL),(20,'555','EEB GAL RONDON',2,NULL,NULL,NULL,4210605,NULL),(20,'556','C CENECISTA SIMEÃO CARNEIRO',4,NULL,NULL,NULL,4210704,NULL),(20,'557','EEB DOM DANIEL HOSTIN',2,NULL,NULL,NULL,4210704,NULL),(20,'558','C CENECISTA NICOLAU MACHADO DE SOUZA',4,NULL,NULL,NULL,4210803,NULL),(20,'559','EEB DE MELEIRO',2,NULL,NULL,NULL,4210803,NULL),(20,'56','EEB PROFª CECÍLIA LOTIN',2,NULL,NULL,NULL,4202099,NULL),(20,'560','EEB BRUNO HEIDRICH',2,NULL,NULL,NULL,4210852,NULL),(20,'561','C CENECISTA JOSÉ DE ALENCAR',4,NULL,NULL,NULL,4210902,NULL),(20,'562','EEB DOM HELDER CÂMARA',2,NULL,NULL,NULL,4210902,NULL),(20,'563','COLÉGIO CENECISTA ARTUR DEISS',4,NULL,NULL,NULL,4211009,NULL),(20,'564','EEB DELMINDA SILVEIRA',2,NULL,NULL,NULL,4211009,NULL),(20,'565','CE MARINO PISANI',2,NULL,NULL,NULL,4211058,NULL),(20,'566','EEB VALENTIN G RIBEIRO',2,NULL,NULL,NULL,4211108,NULL),(20,'567','EEB PRINCESA ISABEL',2,NULL,NULL,NULL,4211207,NULL),(20,'568','EEB ANA MACHADO DAL TOE',2,NULL,NULL,NULL,4211256,NULL),(20,'569','EEB ADELAIDE KONDER',2,NULL,NULL,NULL,4211306,NULL),(20,'57','EEB CONSELHEIRO ASTROGILDO ODON AGUIAR',2,NULL,NULL,NULL,4202107,NULL),(20,'570','EEB PROFª JÚLIA MIRANDA DE SOUZA',2,NULL,NULL,NULL,4211306,NULL),(20,'571','C CENECISTA RUI BARBOSA',4,NULL,NULL,NULL,4211405,NULL),(20,'572','EEB RUDOLFO LUZINA',2,NULL,NULL,NULL,4211405,NULL),(20,'573','EEB DR SERAFIN ENOSS BERTASO',2,NULL,NULL,NULL,4211454,NULL),(20,'574','EEB FRANCISCO MAZZOLA',2,NULL,NULL,NULL,4211504,NULL),(20,'575','C CENECISTA CÔNEGO MIGUEL GIACCA',4,NULL,NULL,NULL,4211603,NULL),(20,'576','EEB ABÍLIO CÉSAR BORGES',2,NULL,NULL,NULL,4211603,NULL),(20,'577','EEB HUMBERTO HERMES HOFFMANN',2,NULL,NULL,NULL,4211603,NULL),(20,'578','EEB JULIETA TORRES GONÇALVES',2,NULL,NULL,NULL,4211603,NULL),(20,'579','EEB SANTA LÚCIA',2,NULL,NULL,NULL,4211652,NULL),(20,'58','EEB DAVID PEDRO ESPÍNDOLA',2,NULL,NULL,NULL,4202107,NULL),(20,'580','EEB TONEZA CASCAES',2,NULL,NULL,NULL,4211702,NULL),(20,'581','ESC BARRIGA VERDE',4,NULL,NULL,NULL,4211702,NULL),(20,'582','ETC DE ORLEANS',1,NULL,NULL,NULL,4211702,NULL),(20,'583','EEB ELZA DEEKE',2,NULL,NULL,NULL,4211751,NULL),(20,'584','EEB FREI CRESPIM',2,NULL,NULL,NULL,4211801,NULL),(20,'585','EEB PREF SÍLVIO SANTOS',2,NULL,NULL,NULL,4211801,NULL),(20,'586','EEB CELESTINO JOSÉ DO NASCIMENTO',2,NULL,NULL,NULL,4211850,NULL),(20,'587','EEB FRANCISCO MACIEL BAGESTON',2,NULL,NULL,NULL,4211876,NULL),(20,'588','EEB PADRE ANTÔNIO TRIVELLIN',2,NULL,NULL,NULL,4211892,NULL),(20,'589','COLÉGIO CARROSSEL 2 GRAU E SUPLETIVO',4,NULL,NULL,NULL,4211900,NULL),(20,'59','EEB ESTANISLAU SCHUMANN',2,NULL,NULL,NULL,4202131,NULL),(20,'590','CENTRO EDUC MARIA VARGAS',4,NULL,NULL,NULL,4211900,NULL),(20,'591','EEB GOV IVO SILVEIRA',2,NULL,NULL,NULL,4211900,NULL),(20,'592','EEB IRMÃ MARIA TERESA',2,NULL,NULL,NULL,4211900,NULL),(20,'593','EEB JOÃO SILVEIRA',2,NULL,NULL,NULL,4211900,NULL),(20,'594','EEB JOSÉ MARIA CARDOSO DA VEIGA',2,NULL,NULL,NULL,4211900,NULL),(20,'595','EEB PE VICENTE FERREIRA CORDEIRO',2,NULL,NULL,NULL,4211900,NULL),(20,'596','COLÉGIO BOM JESUS LTDA',4,NULL,NULL,NULL,4211900,NULL),(20,'597','COLÉGIO CARROCEL',4,NULL,NULL,NULL,4211900,NULL),(20,'598','EEB CLAUDINO CRESTANI',2,NULL,NULL,NULL,4212007,NULL),(20,'599','EEB CATHARINA SEGER',2,NULL,NULL,NULL,4212007,NULL),(20,'6','EEB PEDRO AMÉRICO',2,NULL,NULL,NULL,4200200,NULL),(20,'60','EEB PROF. FCO BRASINHA DIAS',2,NULL,NULL,NULL,4202156,NULL),(20,'600','COL. CENECISTA NEREU RAMOS',4,NULL,NULL,NULL,4212106,NULL),(20,'601','EEB FELISBERTO DE CARVALHO',2,NULL,NULL,NULL,4212106,NULL),(20,'602','COLÉGIO PAPANDUVA',4,NULL,NULL,NULL,4212205,NULL),(20,'603','EEB ALINOR VIEIRA CORTE',2,NULL,NULL,NULL,4212205,NULL),(20,'604','EEB ADOLFO SILVEIRA',2,NULL,NULL,NULL,4212239,NULL),(20,'605','EEB GOV HILDO MENEGHETTI',2,NULL,NULL,NULL,4212254,NULL),(20,'606','EEB PROFª CORÁLIA GEVAERD OLINNGER',2,NULL,NULL,NULL,4212270,NULL),(20,'607','EEB FREDERICO SANTOS',2,NULL,NULL,NULL,4212304,NULL),(20,'608','EEB IMACULADO CORAÇÃO DE MARIA',2,NULL,NULL,NULL,4212403,NULL),(20,'609','EEB MANOEL HENRIQUE DE ASSIS',2,NULL,NULL,NULL,4212502,NULL),(20,'61','EEB CENECISTA TERCÍLIO LONGO',2,NULL,NULL,NULL,4202206,NULL),(20,'610','EEB PROF JOÃO BATISTA PAIVA',2,NULL,NULL,NULL,4212502,NULL),(20,'611','C CENECISTA IRINEU BORNHAUSEN',4,NULL,NULL,NULL,4212601,NULL),(20,'612','EEB IRMÃ ANUNCIATA SPERANDIO',2,NULL,NULL,NULL,4212601,NULL),(20,'613','EEB HERMES FONTES',2,NULL,NULL,NULL,4212700,NULL),(20,'614','EEB ALEXANDRE GUILHERME FIGUEREDO',2,NULL,NULL,NULL,4212809,NULL),(20,'615','C PLÍNIO ARLINDO DE NES',1,NULL,NULL,NULL,4212908,NULL),(20,'616','EEB JOSÉ MARCOLINO ECKERT',2,NULL,NULL,NULL,4212908,NULL),(20,'617','COLÉGIO CENECISTA DOM BOSCO',4,NULL,NULL,NULL,4213005,NULL),(20,'618','EEB PROFª MAURA DE SENA PEREIRA',2,NULL,NULL,NULL,4213005,NULL),(20,'619','EEB CARLOS CHAGAS',2,NULL,NULL,NULL,4213104,NULL),(20,'62','EEB TEÓFILO NOLASCO DE ALMEIDA',2,NULL,NULL,NULL,4202206,NULL),(20,'620','EEB PROFª LOURDES TONIN',2,NULL,NULL,NULL,4213153,NULL),(20,'621','EEB JOSE BONIFÁCIO',2,NULL,NULL,NULL,4213203,NULL),(20,'622','EEB PRES PRUDENTE DE MORAIS',2,NULL,NULL,NULL,4213203,NULL),(20,'623','COLÉGIO CITI',4,NULL,NULL,NULL,4213203,NULL),(20,'624','CONJUNTO EDUCACIONAL DR BLUMENAU',4,NULL,NULL,NULL,4213203,NULL),(20,'625','EEB SÃO TARCÍSIO',2,NULL,NULL,NULL,4213302,NULL),(20,'626','EEB FREI ROGÉRIO',2,NULL,NULL,NULL,4213351,NULL),(20,'627','C CENECISTA ALBERTO ZOLLER FILHO',4,NULL,NULL,NULL,4213401,NULL),(20,'628','EEB BELERMINO VITOR DALLA VECCHIA',2,NULL,NULL,NULL,4213401,NULL),(20,'629','EEB DOM VITAL',2,NULL,NULL,NULL,4213401,NULL),(20,'63','C EDUCAR',4,NULL,NULL,NULL,4202305,NULL),(20,'630','EEB TIRADENTES',2,NULL,NULL,NULL,4213500,NULL),(20,'631','COLÉGIO MIGUEL FARAH',4,NULL,NULL,NULL,4213609,NULL),(20,'632','COLÉGIO SANTOS ANJOS',4,NULL,NULL,NULL,4213609,NULL),(20,'633','COLÉGIO SÃO JOSÉ',4,NULL,NULL,NULL,4213609,NULL),(20,'634','EEB ANTÔNIO GONZAGA',2,NULL,NULL,NULL,4213609,NULL),(20,'635','EEB CEL CID GONZAGA',2,NULL,NULL,NULL,4213609,NULL),(20,'636','EEB PROF BALBUÍNO CARDOSO',2,NULL,NULL,NULL,4213609,NULL),(20,'637','EEB PROF CLEMENTINO BRITTO',2,NULL,NULL,NULL,4213609,NULL),(20,'638','EEB PROF GERMANO WAGENFUHR',2,NULL,NULL,NULL,4213609,NULL),(20,'639','EEB ARNO SIEVERDT',2,NULL,NULL,NULL,4213708,NULL),(20,'64','EEB CÔNEGO RODOLFO MACHADO',2,NULL,NULL,NULL,4202305,NULL),(20,'640','EEB PROF ANAIR MARGARIDA VOLTOLINI',2,NULL,NULL,NULL,4213708,NULL),(20,'641','EEB BULCÃO VIANA',2,NULL,NULL,NULL,4213807,NULL),(20,'642','EEB DOIS IRMÃOS',2,NULL,NULL,NULL,4213906,NULL),(20,'643','EEB CECÍLIA AX',2,NULL,NULL,NULL,4214003,NULL),(20,'644','EEB ORLANDO BERTOLI',2,NULL,NULL,NULL,4214003,NULL),(20,'645','EEB JOÃO TOLENTINO JUNIOR',2,NULL,NULL,NULL,4214102,NULL),(20,'646','EEB ANTENOR NASCENTES',2,NULL,NULL,NULL,4214151,NULL),(20,'647','COLÉGIO CENECISTA NS DE FÁTIMA',4,NULL,NULL,NULL,4214201,NULL),(20,'648','EEB PROFª JUREMA SAVI MILANEZ',2,NULL,NULL,NULL,4214201,NULL),(20,'649','EEB MARILDA LENIA ARAÚJO',2,NULL,NULL,NULL,4214300,NULL),(20,'65','EEM PROFª MARIA DA GLÓRIA V DE FARIA',2,NULL,NULL,NULL,4202305,NULL),(20,'650','EEB SANTOS ANJOS',2,NULL,NULL,NULL,4214409,NULL),(20,'651','EEB DR FERNANDO FERREIRA DE MELLO',2,NULL,NULL,NULL,4214508,NULL),(20,'652','EEB EXPEDICIONÁRIO MÁRIO NARDELLI',2,NULL,NULL,NULL,4214607,NULL),(20,'653','COLÉGIO DOM BOSCO',4,NULL,NULL,NULL,4214805,NULL),(20,'654','COLÉGIO SINODAL RUY BARBOSA',4,NULL,NULL,NULL,4214805,NULL),(20,'655','COLÉGIO TÉCNICO DA FEDAVI',4,NULL,NULL,NULL,4214805,NULL),(20,'656','EEB DEP JOÃO CUSTÓDIO DA LUZ',2,NULL,NULL,NULL,4214805,NULL),(20,'657','EEB PAULO CORDEIRO',2,NULL,NULL,NULL,4214805,NULL),(20,'658','EEB PAULO ZIMMERMANN',2,NULL,NULL,NULL,4214805,NULL),(20,'659','EEB PROF HENRIQUE DA SILVA FONTES',2,NULL,NULL,NULL,4214805,NULL),(20,'66','EEB PROFª TÂNIA MARA F E SILVA LOCKS',2,NULL,NULL,NULL,4202305,NULL),(20,'660','CE ROBERTO MACHADO',2,NULL,NULL,NULL,4214805,NULL),(20,'661','COLÉGIO UNIVEST',4,NULL,NULL,NULL,4214805,NULL),(20,'662','ESC AGROTÉCNICA FEDERAL DE RIO DO SUL',3,NULL,NULL,NULL,4214805,NULL),(20,'663','INSTITUTO MARIA AUXILIADORA',4,NULL,NULL,NULL,4214805,NULL),(20,'664','EEB PROF GIOVANI TRENTINI',2,NULL,NULL,NULL,4214706,NULL),(20,'665','EEB NS DE FÁTIMA',2,NULL,NULL,NULL,4214904,NULL),(20,'666','COLÉGIO CENECISTA SÃO JOSÉ',4,NULL,NULL,NULL,4215000,NULL),(20,'667','CE JORGE ZIPPERER',2,NULL,NULL,NULL,4215000,NULL),(20,'668','EEB LUIZ BERNARDO OLSEN',2,NULL,NULL,NULL,4215000,NULL),(20,'669','EEM MANUEL DA NÓBREGA',2,NULL,NULL,NULL,4215000,NULL),(20,'67','COLÉGIO DOUTOR BLUMENAU',4,NULL,NULL,NULL,4202404,NULL),(20,'670','CE PROFª AURORA SIQUEIRA JABLONSKI',2,NULL,NULL,NULL,4215000,NULL),(20,'671','CE PROFª MARTA TAVARES',2,NULL,NULL,NULL,4215000,NULL),(20,'672','ESCOLA ITINERANTE ESITRINE',1,NULL,NULL,NULL,4215000,NULL),(20,'673','EEB PROF DJALMA BENTO',2,NULL,NULL,NULL,4215059,NULL),(20,'674','EEB PROFª GENOVEVA DALLA COSTA',2,NULL,NULL,NULL,4215075,NULL),(20,'675','C COMÉRCIO MÁRIO LOCATELLI',4,NULL,NULL,NULL,4215109,NULL),(20,'676','COLÉGIO MADRE AVOSANI',4,NULL,NULL,NULL,4215109,NULL),(20,'677','EEB OSVALDO CRUZ',2,NULL,NULL,NULL,4215109,NULL),(20,'678','C CENECISTA IMACULADA CONCEIÇÃO',4,NULL,NULL,NULL,4215208,NULL),(20,'679','EEB PROF HERMÍNIO H. DA SILVA',2,NULL,NULL,NULL,4215208,NULL),(20,'68','COLÉGIO DR FRITZ MULLER',2,NULL,NULL,NULL,4202404,NULL),(20,'680','EEB GUILHERME ANDRE DALRI',2,NULL,NULL,NULL,4215307,NULL),(20,'682','EEB EMÍLIA BOOS LAUS SCHMIDT',2,NULL,NULL,NULL,4215356,NULL),(20,'683','C CENECISTA EURICO GASPAR DUTRA',4,NULL,NULL,NULL,4215406,NULL),(20,'684','EEB CECÍLIA VIVAN',2,NULL,NULL,NULL,4215406,NULL),(20,'685','EEB BERNARDO SCHMITZ',2,NULL,NULL,NULL,4215455,NULL),(20,'686','EEB IRMÃ IRENE',2,NULL,NULL,NULL,4215505,NULL),(20,'687','EEB SANTA HELENA',2,NULL,NULL,NULL,4215554,NULL),(20,'688','EEB PROF ALDO CÂMARA',2,NULL,NULL,NULL,4215604,NULL),(20,'689','EEB JOÃO DOS SANTOS AREÃO',2,NULL,NULL,NULL,4215653,NULL),(20,'69','EEB PEDRO II',2,NULL,NULL,NULL,4202404,NULL),(20,'690','ESC AGROTÉCNICA FEDERAL DE SOMBRIO',3,NULL,NULL,NULL,4215653,NULL),(20,'691','EEB PE JOÃO KOMINEK',2,NULL,NULL,NULL,4215679,NULL),(20,'692','EEB SANTA TEREZINHA',2,NULL,NULL,NULL,4215687,NULL),(20,'693','EEB CELSO RAMOS FILHO',2,NULL,NULL,NULL,4215802,NULL),(20,'694','EEB FREDERICO FENDRICH',2,NULL,NULL,NULL,4215802,NULL),(20,'695','EEB ORESTES GUIMARÃES',2,NULL,NULL,NULL,4215802,NULL),(20,'696','EEB PREF CARLOS ZIPPERER SOBRINHO',2,NULL,NULL,NULL,4215802,NULL),(20,'697','EEM PROF ROBERTO GRANT',2,NULL,NULL,NULL,4215802,NULL),(20,'698','EEB SÃO BENTO',2,NULL,NULL,NULL,4215802,NULL),(20,'699','COLÉGIO SÃO JOSÉ',4,NULL,NULL,NULL,4215802,NULL),(20,'7','EEB MARIA REGINA DE OLIVEIRA',2,NULL,NULL,NULL,4200309,NULL),(20,'70','C FRANCISCANO SANTO ANTÔNIO',4,NULL,NULL,NULL,4202404,NULL),(20,'700','FETEP FUND ENS TECNOL E PESQUISA',4,NULL,NULL,NULL,4215802,NULL),(20,'701','EEB SÃO BERNARDINO',2,NULL,NULL,NULL,4215752,NULL),(20,'702','EEB SÃO TARCÍSIO',2,NULL,NULL,NULL,4215901,NULL),(20,'703','COLÉGIO 25 DE JULHO',4,NULL,NULL,NULL,4216008,NULL),(20,'704','EEB CARDEAL ARCOVERDE',2,NULL,NULL,NULL,4216008,NULL),(20,'705','EEB PROF ARGEU FURTADO',2,NULL,NULL,NULL,4216057,NULL),(20,'706','C CENECISTA NS APARECIDA',4,NULL,NULL,NULL,4216107,NULL),(20,'707','EEB JOÃO ROBERTO MOREIRA',2,NULL,NULL,NULL,4216107,NULL),(20,'708','EEB PROF NICOLA BAPTISTA',2,NULL,NULL,NULL,4216206,NULL),(20,'709','EEB PROFª CLAURINICE VIEIRA CALDEIRA',2,NULL,NULL,NULL,4216206,NULL),(20,'71','COLÉGIO SAGRADA FAMÍLIA',4,NULL,NULL,NULL,4202404,NULL),(20,'710','EEB SANTA CATARINA',2,NULL,NULL,NULL,4216206,NULL),(20,'711','ETC SÃO FRANCISCO DO SUL',1,NULL,NULL,NULL,4216206,NULL),(20,'712','EEB SÃO JOÃO BATISTA',2,NULL,NULL,NULL,4216305,NULL),(20,'713','EEB PROFª ELVIRA FARIA PASSOS',2,NULL,NULL,NULL,4216354,NULL),(20,'714','C CENECISTA JORGE LACERDA',4,NULL,NULL,NULL,4216255,NULL),(20,'715','EEB  MADRE BENVENUTA',2,NULL,NULL,NULL,4216255,NULL),(20,'716','EEB  PE TEODORO TREIS',2,NULL,NULL,NULL,4216255,NULL),(20,'717','EEB ÂNGELO SCARPA',2,NULL,NULL,NULL,4216404,NULL),(20,'718','C CENECISTA SÃO JOAQUIM',4,NULL,NULL,NULL,4216503,NULL),(20,'719','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4216503,NULL),(20,'72','COLÉGIO VALE DO ITAJAÍ',4,NULL,NULL,NULL,4202404,NULL),(20,'720','COLÉGIO PARADIGMA',4,NULL,NULL,NULL,4216503,NULL),(20,'721','EDUCANDÁRIO SANTA ISABEL',4,NULL,NULL,NULL,4216503,NULL),(20,'722','C CENECISTA MONS FREDERICO HOBOLD',4,NULL,NULL,NULL,4216602,NULL),(20,'723','COL DOM JAIME CÂMARA',4,NULL,NULL,NULL,4216602,NULL),(20,'724','COL CENTRO EDUC VISÃO',4,NULL,NULL,NULL,4216602,NULL),(20,'725','COL SOLAR DO CHAPEUZ VERMELHO',4,NULL,NULL,NULL,4216602,NULL),(20,'726','EEB BELA VISTA',2,NULL,NULL,NULL,4216602,NULL),(20,'727','EEB CECÍLIA ROSA LOPES',2,NULL,NULL,NULL,4216602,NULL),(20,'728','EEB FRANCISCO TOLENTINO',2,NULL,NULL,NULL,4216602,NULL),(20,'729','EEB N S DA CONCEIÇÃO',2,NULL,NULL,NULL,4216602,NULL),(20,'73','EEB ADOLPHO KONDER',2,NULL,NULL,NULL,4202404,NULL),(20,'730','EEB PRES JUSC KUBITSCHEK',2,NULL,NULL,NULL,4216602,NULL),(20,'731','EEB PROF JOAQUIM SANTIAGO',2,NULL,NULL,NULL,4216602,NULL),(20,'732','EEB PROF LAÉRCIO C.DE ANDRADA',2,NULL,NULL,NULL,4216602,NULL),(20,'733','EEB PROFª MARIA J B VIEIRA',2,NULL,NULL,NULL,4216602,NULL),(20,'734','EEB WANDERLEY JUNIOR',2,NULL,NULL,NULL,4216602,NULL),(20,'735','CENTRO DE ENSINO KOBRASOL LTDA',4,NULL,NULL,NULL,4216602,NULL),(20,'736','CM MARIA LUIZA DE MELO',1,NULL,NULL,NULL,4216602,NULL),(20,'737','COL ALPHA OBJETIVO',4,NULL,NULL,NULL,4216602,NULL),(20,'738','COLÉGIO ELISA ANDREOLI',4,NULL,NULL,NULL,4216602,NULL),(20,'739','CEFET - SC UNIDADE SÃO JOSÉ',3,NULL,NULL,NULL,4216602,NULL),(20,'74','EEB CEL PEDRO CHRISTIANO FEDDERSEN',2,NULL,NULL,NULL,4202404,NULL),(20,'740','EEB CEDRENSE',2,NULL,NULL,NULL,4216701,NULL),(20,'741','C AGRÍCOLA CAETANO COSTA',2,NULL,NULL,NULL,4216800,NULL),(20,'742','EEB PROF MAURO GONÇALVES FARIAS',2,NULL,NULL,NULL,4216800,NULL),(20,'743','C CENECISTA JORGE LACERDA',4,NULL,NULL,NULL,4216909,NULL),(20,'744','EEB RUI BARBOSA',2,NULL,NULL,NULL,4216909,NULL),(20,'745','EEB SOROR ANGÉLICA',2,NULL,NULL,NULL,4216909,NULL),(20,'746','COLÉGIO IMPACTO LTDA',4,NULL,NULL,NULL,4216909,NULL),(20,'747','ESC SÃO FRANCISCO DE ASSIS',4,NULL,NULL,NULL,4216909,NULL),(20,'748','EEB SÃO LUDGERO',2,NULL,NULL,NULL,4217006,NULL),(20,'749','CE SÃO LUDGERO',2,NULL,NULL,NULL,4217006,NULL),(20,'75','EEB EMÍLIO BAUMGART',2,NULL,NULL,NULL,4202404,NULL),(20,'750','EEB FRIDOLINO HULSE',2,NULL,NULL,NULL,4217105,NULL),(20,'751','C NORMAL PARTICULAR SÃO JOSÉ',4,NULL,NULL,NULL,4217204,NULL),(20,'752','COL LA SALLE PEPERI',4,NULL,NULL,NULL,4217204,NULL),(20,'753','EEB ALBERICO AZEVEDO',2,NULL,NULL,NULL,4217204,NULL),(20,'754','EEB DR GUILHERME JOSE MISSEN',2,NULL,NULL,NULL,4217204,NULL),(20,'755','EEB PROF JALDYR BHERING F DA SILVA',2,NULL,NULL,NULL,4217204,NULL),(20,'756','EEB SANTA RITA',2,NULL,NULL,NULL,4217204,NULL),(20,'757','EEB SÃO MIGUEL',2,NULL,NULL,NULL,4217204,NULL),(20,'758','CEDUP GETÚLIO VARGAS',2,NULL,NULL,NULL,4217204,NULL),(20,'759','EEB LINHA SARGENTO',2,NULL,NULL,NULL,4217154,NULL),(20,'76','EEB GOV CELSO RAMOS',2,NULL,NULL,NULL,4202404,NULL),(20,'760','CM SÃO FRANCISCO DE ASSIS',1,NULL,NULL,NULL,4217253,NULL),(20,'761','EEB RODRIGUES ALVES',2,NULL,NULL,NULL,4217303,NULL),(20,'762','EEB MIGUEL COUTO',2,NULL,NULL,NULL,4217402,NULL),(20,'763','EEB RAIMUNDO CORRÊA',2,NULL,NULL,NULL,4217501,NULL),(20,'764','EEB SEARA',2,NULL,NULL,NULL,4217501,NULL),(20,'765','EEB LA SALLE',2,NULL,NULL,NULL,4217550,NULL),(20,'766','C CENECISTA SANTA BARBARA',4,NULL,NULL,NULL,4217600,NULL),(20,'767','CE DOM ORIONE',4,NULL,NULL,NULL,4217600,NULL),(20,'768','EEB JOSÉ DO PATROCÍNIO',2,NULL,NULL,NULL,4217600,NULL),(20,'769','EEB CATULO DA PAIXÃO CEARENSE',2,NULL,NULL,NULL,4217709,NULL),(20,'77','EEB HERCÍLIO DEEKE',2,NULL,NULL,NULL,4202404,NULL),(20,'770','INST EDUCACIONAL MADRE ELISA SAVOLDI',4,NULL,NULL,NULL,4217709,NULL),(20,'771','COL. CEN. CHARLES EDGAR MORITZ',4,NULL,NULL,NULL,4215703,NULL),(20,'772','EEB NEREU RAMOS',2,NULL,NULL,NULL,4215703,NULL),(20,'773','EEB PROF. SILVEIRA DE MATOS',2,NULL,NULL,NULL,4215703,NULL),(20,'774','COLÉGIO QUÂNTICO LTDA',4,NULL,NULL,NULL,4215703,NULL),(20,'775','EEB HÉLIO WASUM',2,NULL,NULL,NULL,4217758,NULL),(20,'776','C CENECISTA NS DE FÁTIMA',4,NULL,NULL,NULL,4217808,NULL),(20,'777','EEB LUIZ BERTOLI',2,NULL,NULL,NULL,4217808,NULL),(20,'778','EEB OTTO HOSANG',2,NULL,NULL,NULL,4217808,NULL),(20,'779','EEB MATER SALVATORIS',2,NULL,NULL,NULL,4217907,NULL),(20,'78','EEM ILSE KARSTEN',2,NULL,NULL,NULL,4202404,NULL),(20,'780','EEB OSVALDO FERREIRA DE MELO',2,NULL,NULL,NULL,4217956,NULL),(20,'781','C CENECISTA BENJAMIN GALLOTTI',4,NULL,NULL,NULL,4218004,NULL),(20,'782','COLÉGIO ESPÍRITO SANTO',4,NULL,NULL,NULL,4218004,NULL),(20,'783','EEB CRUZ E SOUSA',2,NULL,NULL,NULL,4218004,NULL),(20,'784','COL E SUPLETIVO NOVO MILÊNIO',4,NULL,NULL,NULL,4218004,NULL),(20,'785','EEB TIMBÉ DO SUL',2,NULL,NULL,NULL,4218103,NULL),(20,'786','C COMERCIAL DR LEOBERTO LEAL',4,NULL,NULL,NULL,4218202,NULL),(20,'787','EEB RUY BARBOSA',2,NULL,NULL,NULL,4218202,NULL),(20,'788','EEB MACHADO DE ASSIS',2,NULL,NULL,NULL,4218251,NULL),(20,'789','EEB COLOMBO MACHADO SALLES',2,NULL,NULL,NULL,4218301,NULL),(20,'79','EEB LUIZ DELFINO',2,NULL,NULL,NULL,4202404,NULL),(20,'790','EEB FREI MENANDRO KAMPS',2,NULL,NULL,NULL,4218301,NULL),(20,'791','EEB GENERAL OSÓRIO',2,NULL,NULL,NULL,4218301,NULL),(20,'792','EEB UDO DEEK',2,NULL,NULL,NULL,4218350,NULL),(20,'793','EEB MON. BERNARDO PETERS',2,NULL,NULL,NULL,4218400,NULL),(20,'794','C CENECISTA FRANCISCO LINDNER',4,NULL,NULL,NULL,4218509,NULL),(20,'795','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4218509,NULL),(20,'796','EEB DR. HERMANN BLUMENAU',2,NULL,NULL,NULL,4218608,NULL),(20,'797','COLÉGIO SÃO JOSÉ',4,NULL,NULL,NULL,4218707,NULL),(20,'798','EEB HENRIQUE FONTES',2,NULL,NULL,NULL,4218707,NULL),(20,'799','EEB HERCÍLIO LUZ',2,NULL,NULL,NULL,4218707,NULL),(20,'8','CEDUP PROF JALDYR BHERING F SILVA',2,NULL,NULL,NULL,4200408,NULL),(20,'80','EEB PE JOSÉ MAURÍCIO',2,NULL,NULL,NULL,4202404,NULL),(20,'800','EEB JOÃO TEIXEIRA NUNES',2,NULL,NULL,NULL,4218707,NULL),(20,'801','EEB JOÃO XXIII',2,NULL,NULL,NULL,4218707,NULL),(20,'802','EEB MARTINHO ALVES DOS SANTOS',2,NULL,NULL,NULL,4218707,NULL),(20,'803','EEB SANTO ANJO DA GUARDA',2,NULL,NULL,NULL,4218707,NULL),(20,'804','EEB SEN FRANCISCO BENJ. GALLOTTI',2,NULL,NULL,NULL,4218707,NULL),(20,'805','CENTRO INTERCOLEGIAL INTEG DE TUBARÃO',4,NULL,NULL,NULL,4218707,NULL),(20,'806','COLÉGIO DEHON',4,NULL,NULL,NULL,4218707,NULL),(20,'807','CENT. EDUC ENERGIA TUBARÃO SC LTDA',4,NULL,NULL,NULL,4218707,NULL),(20,'808','CEDUP DIOMÍCIO FREITAS',2,NULL,NULL,NULL,4218707,NULL),(20,'809','ETC DE TUBARÃO',4,NULL,NULL,NULL,4218707,NULL),(20,'81','EEM PROF WIGAND GELHARDT',2,NULL,NULL,NULL,4202404,NULL),(20,'810','SEMINÁRIO NS DE FÁTIMA',4,NULL,NULL,NULL,4218707,NULL),(20,'811','C CENECISTA ANITA GARIBALDI',4,NULL,NULL,NULL,4218756,NULL),(20,'812','EEB PE BALDUÍNO RAMBO',2,NULL,NULL,NULL,4218756,NULL),(20,'813','COLÉGIO SERVOS DE MARIA',4,NULL,NULL,NULL,4218806,NULL),(20,'814','EEB JOÃO COLODEL',2,NULL,NULL,NULL,4218806,NULL),(20,'815','EEB JORGE SCHUTZ',2,NULL,NULL,NULL,4218806,NULL),(20,'816','EEB SÃO LUIZ',2,NULL,NULL,NULL,4218855,NULL),(20,'817','COLÉGIO SANTA CLARA',4,NULL,NULL,NULL,4218905,NULL),(20,'818','EEB ARAÚJO FIGUEIREDO',2,NULL,NULL,NULL,4218905,NULL),(20,'819','EEB MANOEL P. DE MEDEIROS',2,NULL,NULL,NULL,4218954,NULL),(20,'82','EEB PROF HERIBERTO JOSEPH MÜLLER',2,NULL,NULL,NULL,4202404,NULL),(20,'820','COLÉGIO RAINHA DO MUNDO',4,NULL,NULL,NULL,4219002,NULL),(20,'821','EEB BARÃO DO RIO BRANCO',2,NULL,NULL,NULL,4219002,NULL),(20,'822','EEB CAETANO BEZ BATTI',2,NULL,NULL,NULL,4219002,NULL),(20,'823','C CENECISTA FORTUNATO DANIELLI',4,NULL,NULL,NULL,4219101,NULL),(20,'824','EEB KYRANA LACERDA',2,NULL,NULL,NULL,4219101,NULL),(20,'825','EEB DEP. AUGUSTO BRESOLA',2,NULL,NULL,NULL,4219101,NULL),(20,'826','EEB GALEAZZO PAGANELLI',2,NULL,NULL,NULL,4219176,NULL),(20,'827','EEB VITORIO ROMAN',2,NULL,NULL,NULL,4219176,NULL),(20,'828','EEB CACILDA GUIMARÃES',2,NULL,NULL,NULL,4219200,NULL),(20,'829','COLÉGIO IMACULADA CONCEIÇÃO',4,NULL,NULL,NULL,4219309,NULL),(20,'83','EEB PROF JOÃO WIDEMANN',2,NULL,NULL,NULL,4202404,NULL),(20,'830','EEB INSPETOR EURICO RAUEN',2,NULL,NULL,NULL,4219309,NULL),(20,'831','EEB PROFª ADELINA RÉGIS',2,NULL,NULL,NULL,4219309,NULL),(20,'832','ESAVI ESCOLA DE APLICAÇÃO DE VIDEIRA',4,NULL,NULL,NULL,4219309,NULL),(20,'833','ETAVI ESCOLA TÉCNICA DE A DE VIDEIRA',4,NULL,NULL,NULL,4219309,NULL),(20,'834','EEB VITOR MEIRELLES',2,NULL,NULL,NULL,4219358,NULL),(20,'835','EEB PROF. SEMIRAMIS BOSCO',2,NULL,NULL,NULL,4219408,NULL),(20,'836','COLÉGIO LA SALLE',4,NULL,NULL,NULL,4219507,NULL),(20,'837','CE APARÍCIO JÚLIO FARRAPO',2,NULL,NULL,NULL,4219507,NULL),(20,'838','EEB JOÃO WINCKLER',2,NULL,NULL,NULL,4219507,NULL),(20,'839','CE JOAQUIM NABUCO',2,NULL,NULL,NULL,4219507,NULL),(20,'84','EEM PROF ELZA HENRIQUETA T PACHECO',2,NULL,NULL,NULL,4202404,NULL),(20,'840','EEB PRES ARTUR DA COSTA E SILVA',2,NULL,NULL,NULL,4219507,NULL),(20,'841','EEB PROF IRACY TONELLO',2,NULL,NULL,NULL,4219507,NULL),(20,'842','CE NEUSA LEMOS MARQUES',2,NULL,NULL,NULL,4219507,NULL),(20,'843','COLÉGIO CENECISTA JOÃO XXIII',4,NULL,NULL,NULL,4219606,NULL),(20,'844','EEB PROF LUIZ SANCHES BEZERRA DA TRINDAD',2,NULL,NULL,NULL,4219606,NULL),(20,'845','COLÉGIO COMERCIAL DE XAXIM',4,NULL,NULL,NULL,4219705,NULL),(20,'846','EEB PROFª NEUSA MASSOLINI',2,NULL,NULL,NULL,4219705,NULL),(20,'847','EEB GOMES CARNEIRO',2,NULL,NULL,NULL,4219705,NULL),(20,'848','EEB PROF CUSTÓDIO DE CAMPOS',2,NULL,NULL,NULL,4219705,NULL),(20,'849','EEB MAJOR CIPRIANO R. DE ALMEIDA',2,NULL,NULL,NULL,4219853,NULL),(20,'85','EEB SANTOS DUMONT',2,NULL,NULL,NULL,4202404,NULL),(20,'850','EEB SÃO JOÃO',2,NULL,NULL,NULL,4200200,NULL),(20,'851','CE PROF. CLOVIS GOULART',2,NULL,NULL,NULL,4201406,NULL),(20,'852','EEB PROFª NEUSA OSTETTO CARDOSO',2,NULL,NULL,NULL,4201406,NULL),(20,'853','EEB GOVERNADOR BORNHAUSEN',2,NULL,NULL,NULL,4201604,NULL),(20,'854','EEB APOLÔNIO IRENO CARDOSO',2,NULL,NULL,NULL,4201950,NULL),(20,'855','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4202404,NULL),(20,'856','EEB ADOLFO JOSÉ MARTINS',2,NULL,NULL,NULL,4202503,NULL),(20,'857','EEB ANTÔNIO MORANDINI',2,NULL,NULL,NULL,4204202,NULL),(20,'858','EEB PROF MANSUETO BOFF',2,NULL,NULL,NULL,4204301,NULL),(20,'859','ETFESC UNED JARAGUÁ DO SUL (CEFET)',3,NULL,NULL,NULL,4208906,NULL),(20,'86','COLÉGIO BLUMENAUENSE',4,NULL,NULL,NULL,4202404,NULL),(20,'860','EEM DR HANS DIETER SCHMIDT',2,NULL,NULL,NULL,4209102,NULL),(20,'861','COLÉGIO APLICAÇÃO DA UNIVILLE',4,NULL,NULL,NULL,4209102,NULL),(20,'862','EEB MARIA MADALENA DE MOURA FERRO',2,NULL,NULL,NULL,4209177,NULL),(20,'863','EEB NOSSA SENHORA DE FÁTIMA',2,NULL,NULL,NULL,4211751,NULL),(20,'864','EEB ALFREDO DALFOVO',2,NULL,NULL,NULL,4214805,NULL),(20,'865','EEB WILLY HERING',2,NULL,NULL,NULL,4214805,NULL),(20,'866','EEB SÃO TIAGO',2,NULL,NULL,NULL,4215695,NULL),(20,'867','ASSOCIAÇÃO FRANCISQUENSE DE ENSINO',4,NULL,NULL,NULL,4216206,NULL),(20,'868','COLÉGIO PADRE AGOSTINHO',4,NULL,NULL,NULL,4216602,NULL),(20,'869','EEB GAMA ROSA',2,NULL,NULL,NULL,4217253,NULL),(20,'87','ESC BARÃO DO RIO BRANCO',4,NULL,NULL,NULL,4202404,NULL),(20,'870','EEB PROF. JÚLIO SCHEIDEMANTEL',2,NULL,NULL,NULL,4218202,NULL),(20,'871','ESCOLA TÉCNICA DO VALE DO ITAJAÍ',4,NULL,NULL,NULL,4218202,NULL),(20,'872','CENTRO EDUCACIONAL EXPONENCIAL SA.',4,NULL,NULL,NULL,4219507,NULL),(20,'873','EEB PROF. LAUREANO PACHECO',2,NULL,NULL,NULL,4202008,NULL),(20,'874','EEB JONAS R COELHO NEVES',2,NULL,NULL,NULL,4202404,NULL),(20,'875','ESC TÉCNICA DE SAÚDE',2,NULL,NULL,NULL,4202404,NULL),(20,'876','EEB OSVALDO REIS',2,NULL,NULL,NULL,4202909,NULL),(20,'877','CENTRO EDUC ILDA IGNEZ',4,NULL,NULL,NULL,4203204,NULL),(20,'878','EEB EMILIANO RAMOS',2,NULL,NULL,NULL,4203253,NULL),(20,'879','EEB JOÃO DAGOSTIM',2,NULL,NULL,NULL,4204608,NULL),(20,'88','ESC TÉCNICA DO VALE DO ITAJAÍ',4,NULL,NULL,NULL,4202404,NULL),(20,'880','COLÉGIO DE APLICAÇÃO DA UNESC',4,NULL,NULL,NULL,4204608,NULL),(20,'881','COLÉGIO MARIA IMACULADA',4,NULL,NULL,NULL,4204806,NULL),(20,'882','COLÉGIO DOM BOSCO',4,NULL,NULL,NULL,4205407,NULL),(20,'883','ESCOLA AUTONOMIA',4,NULL,NULL,NULL,4205407,NULL),(20,'884','ESCOLA DINÂMICA',4,NULL,NULL,NULL,4205407,NULL),(20,'885','CEFRAI - CENTRO EDUC FRAIBURGO',4,NULL,NULL,NULL,4205506,NULL),(20,'886','EEB WALMOR RIBEIRO',2,NULL,NULL,NULL,4206900,NULL),(20,'887','EEB RAULINO HORN',2,NULL,NULL,NULL,4207502,NULL),(20,'888','EEB VER. PAULO FRANÇA',2,NULL,NULL,NULL,4208500,NULL),(20,'889','EEB CAMPOS VERDES',2,NULL,NULL,NULL,4208807,NULL),(20,'89','CEDUP HERMANN HERING',2,NULL,NULL,NULL,4202404,NULL),(20,'890','EEB PROF GIARDINI LUIZ LENZI',2,NULL,NULL,NULL,4208906,NULL),(20,'891','EEM PROF. DARCI FRANKE WELK',2,NULL,NULL,NULL,4208906,NULL),(20,'892','COLÉGIO SUPLETIVO NOVA ERA',4,NULL,NULL,NULL,4208906,NULL),(20,'893','EEM DR RUBEN ROBERTO SCHMIDLIN',2,NULL,NULL,NULL,4209102,NULL),(20,'894','EEM PROF. ELADIR SKIBINSKI',2,NULL,NULL,NULL,4209102,NULL),(20,'896','ESC AUXILIAR DE ENFERMAGEM',1,NULL,NULL,NULL,4209102,NULL),(20,'897','COLÉGIO SIGMA LTDA',4,NULL,NULL,NULL,4209300,NULL),(20,'898','CENTRO DE EDUC GOTINHAS DO SABER',4,NULL,NULL,NULL,4210506,NULL),(20,'899','EEB PROF. ANTONIETA SILVEIRA',2,NULL,NULL,NULL,4212056,NULL),(20,'9','EEB RUTH LEBARBECHON',2,NULL,NULL,NULL,4200408,NULL),(20,'90','SOCIEDADE EDUC. BLUMENAUENSE',4,NULL,NULL,NULL,4202404,NULL),(20,'900','EEB FRANCISCO ALTAMIR WAGNER',2,NULL,NULL,NULL,4214805,NULL),(20,'901','COLÉGIO TÉCNICO DA UNIDAVI',4,NULL,NULL,NULL,4214805,NULL),(20,'902','SENAC-SERV. NAC DE APR. COMERCIAL',4,NULL,NULL,NULL,4214805,NULL),(20,'903','EEB MANOEL CRUZ',2,NULL,NULL,NULL,4216503,NULL),(20,'904','CENTRO EDUC EXTENSÃO LTDA',4,NULL,NULL,NULL,4217709,NULL),(20,'905','EEB LEOPOLDO JACOBSEN',2,NULL,NULL,NULL,4217808,NULL),(20,'906','EEB PROF JUVENAL CARDOSO ZANELLA',2,NULL,NULL,NULL,4218202,NULL),(20,'907','CENTRO EDUC PEQUENO PRÍNCIPE',4,NULL,NULL,NULL,4218707,NULL),(20,'908','EEB TITOLÍVIO VENÂNCIO ROSA',2,NULL,NULL,NULL,4201307,NULL),(20,'909','COL BOM JESUS SANTO ANTÔNIO',4,NULL,NULL,NULL,4202404,NULL),(20,'91','EEB CAMPOS SALES',2,NULL,NULL,NULL,4202438,NULL),(20,'910','EEM NORBERTO LANSER',2,NULL,NULL,NULL,4202404,NULL),(20,'911','EEB NADIR BECKER',2,NULL,NULL,NULL,4202875,NULL),(20,'912','COLÉGIO POTENCIAL',4,NULL,NULL,NULL,4202909,NULL),(20,'913','EEB BARTOLOMEU DA SILVA',2,NULL,NULL,NULL,4203709,NULL),(20,'914','EEB PROFª LÍDIA GLUSTACK REMUS',2,NULL,NULL,NULL,4204202,NULL),(20,'915','EEB PROFª SÔNIA DE OLIVEIRA ZANI',2,NULL,NULL,NULL,4204202,NULL),(20,'916','EEB SAAD ANTÔNIO SARQUIS',2,NULL,NULL,NULL,4204202,NULL),(20,'917','EEM DILSO CECCHIN',2,NULL,NULL,NULL,4204202,NULL),(20,'918','EEB DOMINGOS MACARINOS',2,NULL,NULL,NULL,4204301,NULL),(20,'919','EEB JOÃO PAULO I',2,NULL,NULL,NULL,4204558,NULL),(20,'92','C CENECISTA ARMELINA BARP DE MAMAN',4,NULL,NULL,NULL,4202503,NULL),(20,'920','COL UNIVERSITÁRIO CRICIÚMA LTDA',4,NULL,NULL,NULL,4204608,NULL),(20,'921','EEB JOÃO FRASSETTO',2,NULL,NULL,NULL,4204608,NULL),(20,'922','EEB INTENDENTE JOSÉ FERNANDES',2,NULL,NULL,NULL,4205407,NULL),(20,'923','EEB CARMEM SEARA LEITE',2,NULL,NULL,NULL,4205803,NULL),(20,'924','EEB PROF CARLOS MAFFEZZOLLI',2,NULL,NULL,NULL,4206306,NULL),(20,'925','COLÉGIO ADVENTISTA DE INDAIAL',4,NULL,NULL,NULL,4207502,NULL),(20,'926','EI EB CACIQUE VANHKRE',2,NULL,NULL,NULL,4207684,NULL),(20,'927','EEB ISABEL DA SILVA TELLES',2,NULL,NULL,NULL,4207809,NULL),(20,'928','EEB PROF ARY MASCARENHAS PASSOS',2,NULL,NULL,NULL,4208203,NULL),(20,'929','EEB XV DE JUNHO',2,NULL,NULL,NULL,4208203,NULL),(20,'93','EEB HÉLIO LENTZ PUERTA',2,NULL,NULL,NULL,4202537,NULL),(20,'930','EEB PRES TANCREDO NEVES',2,NULL,NULL,NULL,4208500,NULL),(20,'931','CENTRO EDUC MACHADO DE ASSIS',4,NULL,NULL,NULL,4209102,NULL),(20,'932','COL CENEC JOSÉ ELIAS MOREIRA',4,NULL,NULL,NULL,4209102,NULL),(20,'933','EEB FRANCISCO EBERHARDT',2,NULL,NULL,NULL,4209102,NULL),(20,'934','ESC MUNICIPAL DE SAÚDE',1,NULL,NULL,NULL,4209102,NULL),(20,'935','EEB DE LAGES',2,NULL,NULL,NULL,4209300,NULL),(20,'936','EEB PROFª VIRGÍNIA P.SILVA GONÇALVES',2,NULL,NULL,NULL,4211058,NULL),(20,'937','COL DE NAVEGANTES FERREIRA PISKE',4,NULL,NULL,NULL,4211306,NULL),(20,'938','EEB PROFª IRENE ROMÃO',2,NULL,NULL,NULL,4211306,NULL),(20,'939','CENTRO EDUC RODA PIÃO LTDA',4,NULL,NULL,NULL,4211900,NULL),(20,'94','EEB PROF SÍLVIO ROMERO',2,NULL,NULL,NULL,4202578,NULL),(20,'940','COLÉGIO SANTO ANTÔNIO',4,NULL,NULL,NULL,4215109,NULL),(20,'941','EEB ANÍSIO V. DE FREITAS',2,NULL,NULL,NULL,4215703,NULL),(20,'942','CENTRO EDUC. SÃO JOAQUIM LTDA',4,NULL,NULL,NULL,4216503,NULL),(20,'943','COL DOM BOSCO',4,NULL,NULL,NULL,4216602,NULL),(20,'944','COL FRANCISCO JOSÉ F. NETO',4,NULL,NULL,NULL,4216602,NULL),(20,'945','EEM GOV. WILSOM KLEINUBING',2,NULL,NULL,NULL,4216602,NULL),(20,'946','EEM LUAR',4,NULL,NULL,NULL,4216602,NULL),(20,'947','EEB PROTÁSIO JOAQUIM DA CUNHA',2,NULL,NULL,NULL,4217709,NULL),(20,'948','COL DE APLIC. DA UNIVALI TIJUCAS',4,NULL,NULL,NULL,4218004,NULL),(20,'949','EEB ROMILDO CZEPANHIK',2,NULL,NULL,NULL,4219507,NULL),(20,'95','EEB ALEXANDRE DE GUSMÃO',2,NULL,NULL,NULL,4202602,NULL),(20,'950','COLÉGIO EVOLUÇÃO',4,NULL,NULL,NULL,4217006,NULL),(20,'951','ESCOLA DA ILHA',4,NULL,NULL,NULL,4205407,NULL),(20,'953','EEB GOV HERIBERTO HULSE',2,NULL,NULL,NULL,4204608,NULL),(20,'954','EEB ARNOLDO AGENOR ZIMMERMANN',2,NULL,NULL,NULL,4205902,NULL),(20,'955','COLÉGIO MADRE FRANCISCA LAMPEL',4,NULL,NULL,NULL,4205902,NULL),(20,'956','COLÉGIO HENRY FORD',4,NULL,NULL,NULL,4218202,NULL),(20,'957','EEB DR GEORG KELLER',2,NULL,NULL,NULL,4209102,NULL),(20,'958','CENTRO TÉCNICO DE AUTOMAÇÃO LTDA',4,NULL,NULL,NULL,4209102,NULL),(20,'959','ESC DE ED BÁSICA DA UNIDAVI',4,NULL,NULL,NULL,4214805,NULL),(20,'96','EEB PREF LEOPOLDO JOSÉ GUERREIRO',2,NULL,NULL,NULL,4202453,NULL),(20,'960','CEDUP CAETANO COSTA',2,NULL,NULL,NULL,4216800,NULL),(20,'961','EEB PROF JOSÉ FARIA NETO',2,NULL,NULL,NULL,4203600,NULL),(20,'962','COLÉGIO SUPERATIVO',4,NULL,NULL,NULL,4209003,NULL),(20,'963','EEB PROF LOURDES',2,NULL,NULL,NULL,4204202,NULL),(20,'964','CENTRO DE EDUCAÇÃO SÃO RAFAEL',4,NULL,NULL,NULL,4204202,NULL),(20,'965','CEDUP SÃO JOSÉ',2,NULL,NULL,NULL,4208401,NULL),(20,'967','LICEU CATARINENSE DE ENSINO',4,NULL,NULL,NULL,4202008,NULL),(20,'968','COLÉGIO VIDEIRA',4,NULL,NULL,NULL,4219309,NULL),(20,'969','COLÉGIO SUPERAÇÃO',4,NULL,NULL,NULL,4219309,NULL),(20,'97','C CENECISTA FRANCISCO DE ASSIS',4,NULL,NULL,NULL,4202701,NULL),(20,'970','COLÉGIO MURIALDO',4,NULL,NULL,NULL,4201406,NULL),(20,'971','EEB DEP VALÉRIO GOMES',2,NULL,NULL,NULL,4218004,NULL),(20,'972','COLÉGO DOM BOSCO',4,NULL,NULL,NULL,4218004,NULL),(20,'973','EB TEMPO FELIZ',4,NULL,NULL,NULL,4203808,NULL),(20,'974','ESC TÉCNICA TUPY UNIDADE S. BENTO DO SUL',4,NULL,NULL,NULL,4215802,NULL),(20,'975','CENTRO  ENS. NICOLAU TAVARES DE OLIVEIRA',4,NULL,NULL,NULL,4210506,NULL),(20,'976','CENTRO EDUC BARREIROS',4,NULL,NULL,NULL,4216602,NULL),(20,'977','ESCOLA PROFISSIONAL DOS INGLESES',4,NULL,NULL,NULL,4205407,NULL),(20,'978','EEB CONSELHEIRO MANOEL PHILIPPI',2,NULL,NULL,NULL,4200606,NULL),(20,'979','EEB ARABUTÃ',2,NULL,NULL,NULL,4201273,NULL),(20,'98','EEB PADRE JOÃO STOLTE',2,NULL,NULL,NULL,4202701,NULL),(20,'980','COLÉGIO DEHON',4,NULL,NULL,NULL,4201406,NULL),(20,'981','COLÉGIO BARÃO DE SCHEENEBURG ENERGIA',4,NULL,NULL,NULL,4202909,NULL),(20,'982','COLÉGIO LÍRIOS DO CAMPO',4,NULL,NULL,NULL,4203600,NULL),(20,'983','COLÉGIO SATÉLITE',4,NULL,NULL,NULL,4204202,NULL),(20,'984','EEB WALTER FONTANA',2,NULL,NULL,NULL,4204301,NULL),(20,'985','EEB PROF. PEDRO DA RÉ',2,NULL,NULL,NULL,4204608,NULL),(20,'986','COLÉGIO METROPOLITANO',4,NULL,NULL,NULL,4207502,NULL),(20,'987','EEB HERCÍLIO BUCH',2,NULL,NULL,NULL,4210100,NULL),(20,'988','C ADVENTISTA DE FLORIANÓPOLIS - CENTRO',4,NULL,NULL,NULL,4205407,NULL),(20,'989','C EDUC PROMISSOR LTDA',4,NULL,NULL,NULL,4211900,NULL),(20,'99','C COMERCIAL DE BRAÇO DO NORTE',4,NULL,NULL,NULL,4202800,NULL),(20,'990','C EDUC CÉU AZUL',4,NULL,NULL,NULL,4213609,NULL),(20,'991','COLÉGIO ALTO VALE LTDA',4,NULL,NULL,NULL,4214805,NULL),(20,'992','C ADVENTISTA DE SÃO FRANCISCO DO SUL',4,NULL,NULL,NULL,4216206,NULL),(20,'993','EEB PROF. ELISA CLÁUDIO DE AGUIAR',2,NULL,NULL,NULL,4217402,NULL),(20,'994','COLÉGIO GERAÇÃO CONSTRUTIVA',4,NULL,NULL,NULL,4219705,NULL),(20,'995','CENTRO EDUCACIONAL SATC',4,NULL,NULL,NULL,4204608,NULL),(20,'996','EEB PREFEITO HIGINO AGUIAR',2,NULL,NULL,NULL,4201307,NULL),(20,'997','COLÉGIO CASTELO LTDA',4,NULL,NULL,NULL,4202404,NULL),(20,'998','EEB CÔNEGO NICOLAU GESING',2,NULL,NULL,NULL,4202800,NULL),(20,'999','CENTRO DE EDUCAÇÃO MONTEIRO LOBATO',4,NULL,NULL,NULL,4204202,NULL),(20,'9997','Escola de Santa Catarina não mencionada',0,NULL,NULL,NULL,0,NULL),(20,'9998','Não concluiu em Santa Catarina',0,NULL,NULL,NULL,0,NULL),(20,'9999','Curso Supletivo',0,NULL,NULL,NULL,0,NULL),(25,'1','EEB JOSÉ ZANCHETTI',2,NULL,NULL,NULL,4200051,NULL),(25,'10','EEB IRINEU BORNHAUSEN',2,NULL,NULL,NULL,4200507,NULL),(25,'100','EEB DOM JOAQUIM',2,NULL,NULL,NULL,4202800,NULL),(25,'1000','COLÉGIO CENECISTA DR JÚLIO CÉSAR R NEVES',4,NULL,NULL,NULL,4204301,NULL),(25,'1001','SENAI SC - CONCÓRDIA',4,NULL,NULL,NULL,4204301,NULL),(25,'1003','CURSO E COLÉGIO GENIUS',4,NULL,NULL,NULL,4205407,NULL),(25,'1004','COLÉGIO UNIFICADO',4,NULL,NULL,NULL,4205902,NULL),(25,'1005','EEB PROFª SALETE SCOTTI DOS SANTOS',2,NULL,NULL,NULL,4207007,NULL),(25,'1006','SENAI SC - JOINVILLE',4,NULL,NULL,NULL,4209102,NULL),(25,'1007','CENTRO EDUCACIONAL BAMBINO',4,NULL,NULL,NULL,4211306,NULL),(25,'1008','COLÉGIO SINERGIA',4,NULL,NULL,NULL,4211306,NULL),(25,'1009','EEB PROF BENONIVIO JOÃO MARTINS',2,NULL,NULL,NULL,4211900,NULL),(25,'101','CE ENG ANNES GUALBERTO',2,NULL,NULL,NULL,4202800,NULL),(25,'1010','CENTRO EDUCACIONAL SÃO JUDAS TADEU',4,NULL,NULL,NULL,4211900,NULL),(25,'1011','CURSO E COLÉGIO ENERGIA',4,NULL,NULL,NULL,4211900,NULL),(25,'1012','EEM ERWIN CURT TEICHMANNN',2,NULL,NULL,NULL,4213203,NULL),(25,'1013','SENAI SC - RIO DO SUL',4,NULL,NULL,NULL,4214805,NULL),(25,'1014','COLÉGIO DÓ-RÉ-MI',4,NULL,NULL,NULL,4215703,NULL),(25,'1015','EEB OSCAR MAJOLO',2,NULL,NULL,NULL,4217154,NULL),(25,'1016','EXATHUM CURSO E COLÉGIO',4,NULL,NULL,NULL,4209102,NULL),(25,'1017','CENTRO EDUCACIONAL ATLÂNTICO SUL',4,'AV CENTRAL','413','CENTRO',4202008,88330000),(25,'1018','SENAI SC - BLUMENAU',4,'R SAO PAULO','1147','VICTOR KONDER',4202404,89012001),(25,'1019','EEM YVONE OLINGER APPEL',2,'ALBERTO KLABUND',NULL,'CEDRINHO',4202909,88358000),(25,'102','COLÉGIO ESPAÇO',4,NULL,NULL,NULL,4202800,NULL),(25,'1020','COLÉGIO APARECIDA',4,'AV 7 DE SETEMBRO','169','CENTRO',4203006,89500000),(25,'1021','COLEGIO DINAMICO CHAPECO',4,'AV NEREU RAMOS','1191','PALMITAL',4204202,89811211),(25,'1022','COLÉGIO TENDENCIA',4,'R VIDAL RAMOS','53','CENTRO',4205407,88010320),(25,'1023','COLÉGIO ESTIMOARTE',4,'AV GOV JORGE LACERDA','1759','COSTEIRA',4205407,88047001),(25,'1024','FUNDACAO CENTRO EDUCATIVO',4,'R TANCREDO NEVES','88','CENTRO',4208104,89340000),(25,'1025','CENTRO EDUC PE ARTE BABY LTDA',4,'R TIJUCAS','511','CENTRO',4208203,88301361),(25,'1026','SOC EDUC VERDES MARES',4,'JOSE BONIFACIO MALBURG','19','CENTRO',4208203,88301040),(25,'1027','EEM DEP NAGIB ZATTAR',2,'R ANTONIO MICHELS','120','JD PARAISO',4209102,89226530),(25,'1028','SOC ENSINO SANTA BARBARA',4,'R GERONIMO COELHO','375',NULL,4209300,88501260),(25,'1029','COLEGIO DIMENSAO',4,'R EUFEZINA GAYA','332','CENTRO',4211306,88375000),(25,'103','EEB ADOLFO BOVING',2,NULL,NULL,NULL,4202859,NULL),(25,'1030','EEB PRINCESA ISABEL',2,'R INDEPENDENCIA',NULL,'SANTA TEREZINHA',4212106,89887000),(25,'1031','CENTRO EDUC CRANDON',4,'R NAKLE FRANCISCO','316','CENTRO',4212809,88380000),(25,'1032','EEB VENDELINO JUNGES',2,'AV BELEM','647','CENTRO',4212908,89870000),(25,'1033','EEM MACARIO BORBA',2,'AV FRANCISCO C LUMERTZ JR',NULL,'NOVA BRASILIA',4217709,88960000),(25,'1034','EEM DITE FREITAS',2,'R ANIBAL TORRES COSTA',NULL,'STO ANTONIO DE PADUA',4218707,88701533),(25,'1035','COLÉGIO SUPRA ENSINO LTDA',4,'R CEL JOAO PALMA','700','MARTORANO',4216503,88600000),(25,'1036','COLEGIO LAVOISIER',4,NULL,NULL,NULL,4216602,NULL),(25,'1037','CENTRO EDUCACIONAL UNIVERSO DO SABER',4,NULL,NULL,NULL,4210506,NULL),(25,'1038','SOC. EDUC. BALNEÁRIO CAMBORIÚ',4,NULL,NULL,NULL,4202008,NULL),(25,'1039','COL. EVIDÊNCIA LTDA',4,NULL,NULL,NULL,4202008,NULL),(25,'104','EEB ENGENHEIRO ANNES GUALBERTO',2,NULL,NULL,NULL,4202875,NULL),(25,'1040','COLÉGIO INCENTIVO LTDA',4,NULL,NULL,NULL,4202305,NULL),(25,'1041','EEB DE BOMBAS',2,NULL,NULL,NULL,4202453,NULL),(25,'1042','COOP. EDUACIONAL DE BRUSQUE',4,NULL,NULL,NULL,4202909,NULL),(25,'1043','EEB PROF MÁRIO GARCIA',2,NULL,NULL,NULL,4203204,NULL),(25,'1044','EEB ALCUINO GONÇALO VIEIRA',2,NULL,NULL,NULL,4203204,NULL),(25,'1045','CENTRO EDUC. CAMBORIÚ LTDA ME CECAM',4,NULL,NULL,NULL,4203204,NULL),(25,'1046','CURSO APROVAÇÃO SS LTDA',4,NULL,NULL,NULL,4204202,NULL),(25,'1047','COOPERATIVA EDUC. MAGNA',4,NULL,NULL,NULL,4204301,NULL),(25,'1048','CENTRO EDUC CRUZ E SOUZA SC LTDA',4,NULL,NULL,NULL,4205407,NULL),(25,'1049','COLÉGIO SANTA TEREZINHA',4,NULL,NULL,NULL,4205407,NULL),(25,'105','CENTRO EDUCACIONAL CULTURA',4,NULL,NULL,NULL,4202909,NULL),(25,'1050','EDUCANDÁRIO IMACULADA CONCEIÇÃO',4,NULL,NULL,NULL,4205407,NULL),(25,'1051','CENTRO DE EDUC. PARAÍSO INFANTIL',4,NULL,NULL,NULL,4205407,NULL),(25,'1052','COLÉGIO BLUMENAUENSE',4,NULL,NULL,NULL,4205902,NULL),(25,'1053','EEB PROFª MARIA DA GLÓRIA SILVA',2,NULL,NULL,NULL,4207007,NULL),(25,'1054','COLÉGIO MUN. DE INDAIAL',1,NULL,NULL,NULL,4207502,NULL),(25,'1055','EEF PREF. GERMANO BRANDES JR',2,NULL,NULL,NULL,4207502,NULL),(25,'1056','EEB PROF HENRIQUE MIDON',2,NULL,NULL,NULL,4208203,NULL),(25,'1057','ACBNL COL SÃO JOSÉ',4,NULL,NULL,NULL,4208203,NULL),(25,'1058','SIST. DE ENSINO LIDERANÇA',4,NULL,NULL,NULL,4208203,NULL),(25,'1059','SENAI SC - ITAJAI',4,NULL,NULL,NULL,4208203,NULL),(25,'106','C CENECISTA HONÓRIO MIRANDA',4,NULL,NULL,NULL,4202909,NULL),(25,'1060','COLÉGIO SAGRADA FAMÍLIA',4,NULL,NULL,NULL,4208401,NULL),(25,'1061','SENAI - CENTRO DE ED TECNOLÓGICA',4,NULL,NULL,NULL,4208906,NULL),(25,'1062','CENTRO DE EDUC. IDEAL',4,NULL,NULL,NULL,4208906,NULL),(25,'1063','SOCIEDADE EDUC. POSIVILLE LTDA',4,NULL,NULL,NULL,4209102,NULL),(25,'1064','EIEB LAKLANO',2,NULL,NULL,NULL,4209151,NULL),(25,'1065','CENTRO EDUC. CRUZ E SOUSA',4,NULL,NULL,NULL,4209300,NULL),(25,'1066','EEF MARIA KONDER BORNHAUSEN',2,NULL,NULL,NULL,4210605,NULL),(25,'1067','CENTRO DE ED. SÃO ROQUE',4,NULL,NULL,NULL,4211207,NULL),(25,'1068','EEB PROFª PAULINA GAYA',2,NULL,NULL,NULL,4211306,NULL),(25,'1069','EEB ANTÔNIO ROCHA ANDRADE',2,NULL,NULL,NULL,4212502,NULL),(25,'107','C CÔNSUL CARLOS RENAUX',4,NULL,NULL,NULL,4202909,NULL),(25,'1070','CENTRO DE EDUC. OBJETIVO',4,NULL,NULL,NULL,4212908,NULL),(25,'1071','CENTRO EDUC. EDUCOPER',4,NULL,NULL,NULL,4213401,NULL),(25,'1072','EEB MARIA DUARTE VASCONCELOS',2,NULL,NULL,NULL,4215455,NULL),(25,'1073','COLÉGIO GLOBAL',4,NULL,NULL,NULL,4215802,NULL),(25,'1074','CENTRO EDUC. ANITA',4,NULL,NULL,NULL,4216602,NULL),(25,'1075','SENAI SC - SÃO JOSE',4,NULL,NULL,NULL,4216602,NULL),(25,'1076','COLÉGIO MERIDIANO',4,NULL,NULL,NULL,4216602,NULL),(25,'1077','GARDNER CURSOS E COLÉGIO',4,NULL,NULL,NULL,4216602,NULL),(25,'1078','CENTRO EDUC. CENECISTA SANTA CRUZ',4,NULL,NULL,NULL,4216602,NULL),(25,'1079','ASS. RELIGIOSA BENEFICENTE JESUS Mª JOSÉ',4,NULL,NULL,NULL,4217204,NULL),(25,'108','EEB MUN. JOÃO HASSMANN',1,NULL,NULL,NULL,4202909,NULL),(25,'1080','SENAI SC - VIDEIRA',4,NULL,NULL,NULL,4219309,NULL),(25,'1081','COLÉGIO EXPRESSIVO',4,NULL,NULL,NULL,4219507,NULL),(25,'1082','EEB DEP. AUGUSTO BRESOLA',2,NULL,NULL,NULL,4219150,NULL),(25,'1083','EEM SEMENTE DA CONQUISTA',2,'ASSENT 25 DE MAIO',NULL,NULL,4200101,89830000),(25,'1084','EEM PAULO FREIRE',2,'ASSENT JOSE MARIA',NULL,NULL,4200101,89830000),(25,'1085','COLÉGIO EXCELÊNCIA',4,'AV CENTRAL','413','CENTRO',4202008,88330000),(25,'1086','COLÉGIO DE APLICAÇÃO UNIVALI',4,'5 AVENIDA',NULL,'DOS MUNICIPIOS',4202008,88330000),(25,'1087','EEF RUIZÉLIO CABRAL',2,'JOSE HONORATO DA SILVA','32','NOVA ESPERANÇA',4202008,88330000),(25,'1088','EEB PROFª ELOISA MARIA PRAZERES DE FARIA',2,NULL,NULL,NULL,4202305,NULL),(25,'1089','EEB MARIA RITA FLOR',2,NULL,NULL,NULL,4202453,NULL),(25,'109','COLÉGIO SÃO LUIZ',4,NULL,NULL,NULL,4202909,NULL),(25,'1090','SENAI SC - BRUSQUE',4,NULL,NULL,NULL,4202909,NULL),(25,'1091','CENTRO DE ED RAZÃO DE VIVER',4,NULL,NULL,NULL,4203204,NULL),(25,'1092','ESC ITINERANTE JOSÉ J DE LIMA XAVIER',1,NULL,NULL,NULL,4203402,NULL),(25,'1093','COL CARLOS DRUMMOND DE ANDRADE',4,NULL,NULL,NULL,4203907,NULL),(25,'1094','SENAI SC - CHAPECÓ',4,NULL,NULL,NULL,4204202,NULL),(25,'1096','CENTRO ED HERMANN SPETHMANN',4,NULL,NULL,'CENTRO',4204608,NULL),(25,'1097','EEB TENENTE ALMACHIO',2,NULL,NULL,NULL,4205407,NULL),(25,'1098','COLÉGIO EXPOENTE',4,NULL,NULL,NULL,4205407,NULL),(25,'1099','EEB PROFª MARIA AMALIA CARDOSO',2,NULL,NULL,NULL,4206009,NULL),(25,'11','EEB SETE DE SETEMBRO',2,NULL,NULL,NULL,4200556,NULL),(25,'110','EEB DOM JOÃO BECKER',2,NULL,NULL,NULL,4202909,NULL),(25,'1100','EEB CARLOS FANTINI',2,NULL,NULL,NULL,4208203,NULL),(25,'1101','EEB MARLI MARIA DE SOUZA',2,NULL,NULL,NULL,4209102,NULL),(25,'1102','EEB PROFº RODOLFO MEYER',2,NULL,NULL,NULL,4209102,NULL),(25,'1103','EEB PROFº JOÃO ROCHA',2,NULL,NULL,NULL,4209102,NULL),(25,'1104','COLÉGIO IESVILLE',4,NULL,NULL,NULL,4209102,NULL),(25,'1105','COLÉGIO TUPY',4,NULL,NULL,NULL,4209102,NULL),(25,'1106','SENAI SC - LAGES',4,NULL,NULL,NULL,4209300,NULL),(25,'1107','CENTRO DE ED JANICE BORTOLATTO',4,NULL,NULL,NULL,4211207,NULL),(25,'1108','EEF DOM JAIME DE BARROS CÂMARA',2,NULL,NULL,NULL,4211900,NULL),(25,'1109','EEF PROFª MARIA DO CARMO DE SOUZA',2,NULL,NULL,NULL,4211900,NULL),(25,'111','EEB FELICIANO PIRES',2,NULL,NULL,NULL,4202909,NULL),(25,'1110','EEB PREF. FREDERICO PROBST',2,NULL,NULL,NULL,4212700,NULL),(25,'1111','CENTRO ED PORTO DAS ÁGUAS LTDA',4,NULL,NULL,NULL,4213500,NULL),(25,'1112','EEF BERNARDO MULLER',2,NULL,NULL,NULL,4214003,NULL),(25,'1113','CENTRO MUN ED BAS VER AVELINO BISCARO',1,NULL,NULL,NULL,4215406,NULL),(25,'1114','COLÉGIO BOM JESUS',4,NULL,NULL,NULL,4215802,NULL),(25,'1115','EEB CRISTO REI',2,NULL,NULL,NULL,4216255,NULL),(25,'1116','EEB PROFª MARIA DO CARMO LOPES',2,NULL,NULL,NULL,4216602,NULL),(25,'1117','CENTRO ED MUN INTERATIVO FLORESTA',1,NULL,NULL,NULL,4216602,NULL),(25,'1118','COLÉGIO ENERGIA - SÃO JOSÉ',4,NULL,NULL,NULL,4216602,NULL),(25,'1119','SENAI SC - TIJUCAS',4,NULL,NULL,NULL,4218004,NULL),(25,'112','EEB FRANCISCO DE ARAÚJO BRUSQUE',2,NULL,NULL,NULL,4202909,NULL),(25,'1120','SENAI SC - TUBARÃO',4,NULL,NULL,NULL,4218707,NULL),(25,'1121','EEF MARCOLINO PEDROSO',2,'R DO SABER',NULL,'NOVA ESTRELA',4201273,89740000),(25,'1122','EEB CASTRO ALVES',2,'R XV DE NOVEMBRO','1645','CENTRO',4201406,88900000),(25,'1123','SOC. EDUC. BRUSQUENSE LTDA',4,'AV GETULIO VARGAS','78','CENTRO',4202909,88353000),(25,'1124','COLEGIO BOM JESUS AURORA',4,'R MAR DEODORO','150','CENTRO',4203006,89500000),(25,'1125','EEF PROFº ARGEMIRO GONÇALVES',2,'JOAO PIUS SCHINDLER','263','BATEIAS DE BAIXO',4203303,89294600),(25,'1126','CENTRO DE EDUCAÇÃO OLIMPO',4,'AV GETULIO VARGAS','246','CENTRO',4204202,89801000),(25,'1127','EEF SÃO CRISTÓVÃO',2,'R CARDEAL ARCO VERDE','233','SAO CRISTOVAO',4204608,88802570),(25,'1128','NÚCLEO MUN GETÚLIO VARGAS',1,'PRUDENTE V DE MORAES','353','GETULIO VARGAS',4204806,89520000),(25,'1129','NÚCLEO MUN LEONIZA CARVALHO AGOSTINI',1,'MAROMBAS BOSSARDI',NULL,'MAROMBAS',4204806,89520000),(25,'113','EEB GOV IVO SILVEIRA',2,NULL,NULL,NULL,4202909,NULL),(25,'1130','ASSOC.  VOLUNTÁRIOS HERDEIROS DO FUTURO',4,'CORONEL VIDAL RAMOS','221','CENTRO',4204806,89520000),(25,'1131','EEB PROFª MARIA DA GLÓRIA MATTOS',2,'R MARIO CLAUDIO TURRA','579',NULL,4205001,89950000),(25,'1132','EEB PROFª MARIA ANGELICA CALAZANS',2,'CAMINHO PINHAL',NULL,NULL,4205100,89155000),(25,'1133','COLÉGIO ENERGIA - CÓRREGO GRANDE',4,'R JOAO PIO DUARTE SILVA','550','CÓRREGO GRANDE',4205407,88037000),(25,'1134','C ADVENTISTA DE FLORIANÓPOLIS - ESTREITO',4,'R DOM DANIEL HOSTIN','129','ESTREITO',4205407,88090330),(25,'1135','EEB PADRE BIAGIO SIMONETTI',2,'AV RENE FREY','SN','CENTRO',4205506,89580000),(25,'1136','EEB MARIA CORREA SAAD',2,'ROD SC 434','10684','CAMPO DUNA',4205704,88495000),(25,'1137','COLÉGIO UNIVERSITÁRIO',4,'R DORALICIO GARCIA','777','SÃO PEDRO',4205902,89110000),(25,'1138','EEF ORIDES ROVANI',2,'BOM SUCESSO',NULL,'RURAL',4207700,89790000),(25,'1139','EEB PAULO CRISTIANO HEYSE',2,'ESTRADA GERAL',NULL,'MOEMA',4208104,89340000),(25,'114','EEB MONS GREGÓRIO LOCKS',2,NULL,NULL,NULL,4202909,NULL),(25,'1140','CENTRO DE ATEND. JACY DIAS RAMOS',4,'R LAUDELINA DIONISIO','420','CORDEIROS',4208203,88309530),(25,'1141','COLÉGIO ADVENTISTA DE ITAJAÍ',4,'R BRUSQUE','228','VILA OPERÁRIA',4208203,88300000),(25,'1142','EEB PROFª NAIR DA SILVA PINHEIRO',2,'ESTRADA CUBATÃO GRANDE','104','CUBATÃO',4209102,89226970),(25,'1143','EEB VER GUILHERME ZUEGE',2,'R EMILIO STRUCK','355','RIO BONITO',4209102,89239580),(25,'1144','EEF PROFª MARIA AMIN GHANEM',2,'R ADOLAR POHL','318','AVENTUREIRO',4209102,89225652),(25,'1145','EEF SEN RODRIGO LOBO',2,'R CUBA',NULL,'JD SOFIA',4209102,89223710),(25,'1146','COLÉGIO DO PLANALTO SERRANO LTDA',4,'R FREI ROGÉRIO','809','CENTRO',4209300,88502161),(25,'1147','EEB CEL JOSE MAURICIO DOS SANTOS',2,'ESTRADA GERAL','161','CAPUTERA',4209409,88790000),(25,'1148','EEB DOMINGOS BARBOSA CABRAL',2,'PESCARIA BRAVA',NULL,'PESCARIA BRAVA',4209409,88790000),(25,'1149','EEB PROFª NICOLINA TANCREDO',2,'R CESAR RENE WAGNER','137','ALTO ARIRIU',4211900,88135720),(25,'115','EEB PE LUX',2,NULL,NULL,NULL,4202909,NULL),(25,'1150','EEB JORGE LACERDA',2,'R JOAO TREVISOL',NULL,'VILA SÃO BRAZ',4212106,89887000),(25,'1151','EEB IRENE REVA ZADOROSNY',2,'R DO COLONO','SN','NOVA CULTURA',4212205,89370000),(25,'1152','EEB NILO PEÇANHA',2,'R FRANCISCO PELUSKI','365','VICE KING',4213609,89400000),(25,'1153','APADAF',4,'AV GENERAL BORMANN','532','CENTRO',4213609,89400000),(25,'1154','COLÉGIO DE ENSINO MÉDIO UNIVILLE',4,'R NORBERTO EDUARDO WEIHERMANN','230','COLONIAL',4215802,89290000),(25,'1155','EEB JOSÉ MATIAS ZIMMERMANN',2,'R JOSE MATIAS ZIMMERMANN','68','SERTÃO DO MARUIM',4216602,88122200),(25,'1156','EEB ROSINA NARDI',2,'R COHAB','191','SAO JOÃO',4217501,89770000),(25,'1157','CENTRO EDUCACIONAL TIMBÓ S.A',4,'AV GETULIO VARGAS','222','CENTRO',4218202,89120000),(25,'1158','EEB DOM PEDRO I',2,'ESTRADA GERAL',NULL,NULL,4219358,89148000),(25,'1159','CENTRO DE ENSINO APROVAÇÃO',4,'R PRES VARGAS','566','BORTOLON',4219507,89820000),(25,'116','EEB SANTA TEREZINHA',2,NULL,NULL,NULL,4202909,NULL),(25,'1160','EEB NORBERTO TEODORO DE MELO',2,'R GERAL BARRA CLARA 388',NULL,'BARRA CLARA',4200903,88465000),(25,'1161','INSTITUTO ADV DE ENS DE SANTA CATARINA',4,'BR 101 KM 64',NULL,'CORVETA',4201307,89245000),(25,'1162','EEB PROFª MARIA JOSÉ MARTINS',2,'R DOS IMIGRANTES 184',NULL,'CENTRO',4202073,88955000),(25,'1163','EEB CARLOS TECHENTIN',2,'R BAHIA 8222',NULL,'PASSO MANSO',4202404,89032002),(25,'1164','EEB PE JACOB LUIZ NEIBEL',2,'ESTRADA GERAL',NULL,'PINHEIRAL',4202800,88750000),(25,'1165','EEF THOMAZ PADILHA',2,'ROD SC 451 KM 22 SN',NULL,'TAQUARA VERDE',4203006,89500000),(25,'1166','CENTRO DE EDUCAÇÃO CHAPECÓ',4,'AV PORTO ALEGRE 959 E',NULL,'CENTRO',4204202,89814100),(25,'1167','EEB PROFª FRANCISCA M DE O BURIGO',2,'R SANTA CATARINA 1439',NULL,'JD ELIZABETH',4204251,88845000),(25,'1168','COLÉGIO SANTA CATARINA',4,'R FREI EVARISTO 91',NULL,'CENTRO',4205407,88015410),(25,'1169','COLÉGIO BOM JESUS CORAÇÃO DE JESUS',4,'R EMIR ROSA 120',NULL,'CENTRO',4205407,88020050),(25,'117','SEMINÁRIO MENOR METROPOLITANO',4,NULL,NULL,NULL,4202909,NULL),(25,'1170','EEB ÂNGELO IZÉ',2,'R DO IMIGRANTE ITALIANO',NULL,'SANGA DO ENGENHO',4205456,88850000),(25,'1171','EEB EURICO PINZ',2,'R ARCINDO HAS',NULL,'SÃO MIGUEL',4205506,89580000),(25,'1172','COLÉGIO UNILIDER',4,'R ANITA GARIBALDI 529',NULL,'CENTRO',4208203,88303020),(25,'1173','COLÉGIO GALILEU',4,'TRAV JACOB SENS 145',NULL,'CENTRO',4208500,88400000),(25,'1174','COLÉGIO BOM JESUS DIVINA PROVIDÊNCIA',4,'AV MARECHAL DEODORO DA FONSECA','710','CENTRO',4208906,89251700),(25,'1175','CENTRO DE ED ELCANA',4,'R JACOB WEINGARTNER',NULL,'CENTRO',4211900,88131400),(25,'1176','CENTRO EDUCACIONAL PRISMA',4,'R SEBASTIAO VIEIRA LINS 37',NULL,'CENTRO',4212809,88380000),(25,'1177','ASSOC. CASA FAMILIAR RURAL DE RIQUEZA',2,'LINHA CAMBUCICA',NULL,'LINHA CAMBUCICA',4215075,89895000),(25,'1178','COLÉGIO BOM JESUS SÃO JOSÉ',4,'R PADRE FIDELIS TOMELIN 111',NULL,'CENTRO',4215802,89290000),(25,'1179','SENAI SC - SÃO MIGUEL DO OESTE',4,'R BARAO DO RIO BRANCO 220',NULL,'AGOSTINI',4217204,89900000),(25,'118','COLÉGIO MARISTA AURORA',4,NULL,NULL,NULL,4203006,NULL),(25,'1180','COOP. EDUC MAGNA NUCLEO II',4,'R SAO DANIEL 120',NULL,'NITEROI',4217501,89770000),(25,'1181','INST DE EDUC E CULT CÉSAR COLL LTDA EPP',4,'R MARECHAL DEODORO 923',NULL,'CENTRO',4218707,88701010),(25,'1182','EEB MANOEL DUTRA BESSA',2,'R JOAO OZOL 96',NULL,'CENTRO',4218905,88650000),(25,'1183','EEB MADRE TEREZINHA LEONI',2,'ROD SC 453 KM 49',NULL,'DIST INDUSTRIAL',4219309,89560000),(25,'1184','EEB ISIDORO SILVA',2,NULL,NULL,NULL,4201000,NULL),(25,'1185','EEB PROFª DOLVINA LEITE DE MEDEIROS',2,NULL,NULL,NULL,4201406,NULL),(25,'1186','EEBI WHERA TUPA POTY DJA',2,NULL,NULL,NULL,4202305,NULL),(25,'1187','EEB WERNER KNABBEN',2,NULL,NULL,NULL,4202800,NULL),(25,'1188','EEB JOAO XXIII',2,NULL,NULL,NULL,4202909,NULL),(25,'1189','EEB DR JOÃO SANTO DAMO',2,NULL,NULL,NULL,4203006,NULL),(25,'119','C CENECISTA MARCOS OLSEN',4,NULL,NULL,NULL,4203006,NULL),(25,'1190','EEB SÃO CRISTÓVÃO',2,NULL,NULL,NULL,4203907,NULL),(25,'1191','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4204202,NULL),(25,'1192','COLÉGIO TRILINGUE INOVAÇÃO',4,NULL,NULL,NULL,4204202,NULL),(25,'1193','TOP CURSOS LTDA',4,NULL,NULL,NULL,4204202,NULL),(25,'1194','EEF SILVA ALVARENGA',2,NULL,NULL,NULL,4204608,NULL),(25,'1195','EEB LUIZ LAZZARIN',2,NULL,NULL,NULL,4204608,NULL),(25,'1196','EEB PROFº TERTULIANO T DE LEMOS',2,NULL,NULL,NULL,4205308,NULL),(25,'1197','ASSOC EDUC E TECNOLOGICA-COC FLORIANOPOL',4,NULL,NULL,NULL,4205407,NULL),(25,'1198','C SALVATORIANO N SRA DE FÁTIMA',4,NULL,NULL,NULL,4205407,NULL),(25,'1199','COL. DE ENSINO MÉDIO MANUELLA BASTOS',4,NULL,NULL,NULL,4205407,NULL),(25,'12','EEB CEL ANTÔNIO LEHMKUHL',2,NULL,NULL,NULL,4200606,NULL),(25,'120','COL. DE APLICAÇÃO DA UNC CAÇADOR',4,NULL,NULL,NULL,4203006,NULL),(25,'1200','EEF DE 1 GRAU 25 DE MAIO',2,NULL,NULL,NULL,4205506,NULL),(25,'1201','EEB IGNACIO STAKOWSKI',2,NULL,NULL,NULL,4207007,NULL),(25,'1202','EEF QUINTINO FOLHIARINI DAJORI',2,NULL,NULL,NULL,4207007,NULL),(25,'1203','EEF PROFº LUIZ FELIX BARRETO',2,NULL,NULL,NULL,4207205,NULL),(25,'1204','EEF SÃO LOURENÇO',2,NULL,NULL,NULL,4207650,NULL),(25,'1205','EEB PAULO BAUER',2,NULL,NULL,NULL,4208203,NULL),(25,'1206','EEB PROFº GUSTAVO AUGUSTO GONZAGA',2,NULL,NULL,NULL,4209102,NULL),(25,'1207','SISTEMA DE ENSINO ENERGIA LAGES',4,NULL,NULL,NULL,4209300,NULL),(25,'1208','EEB BELISARIO RAMOS',2,NULL,NULL,NULL,4209300,NULL),(25,'1209','EEF SANTA MARTA',2,NULL,NULL,NULL,4209409,NULL),(25,'121','EEB DANTE MOSCONI',2,NULL,NULL,NULL,4203006,NULL),(25,'1210','EEB PALMIRA MORAIS DE MIRANDA',2,NULL,NULL,NULL,4209409,NULL),(25,'1211','EEB DR RENATO RAMOS DA SILVA',2,NULL,NULL,NULL,4209409,NULL),(25,'1212','EEB GREGÓRIO MANOEL DE BEM',2,NULL,NULL,NULL,4209409,NULL),(25,'1213','EEB SANTA TEREZINHA',2,NULL,NULL,NULL,4209706,NULL),(25,'1214','CENTRO DE ED PROFISSIONAL CEDUP',2,NULL,NULL,NULL,4210100,NULL),(25,'1215','EEF PROFº TERCÍLIO BASTOS',2,NULL,NULL,NULL,4210209,NULL),(25,'1216','EEB SANTA TEREZINHA',2,NULL,NULL,NULL,4210506,NULL),(25,'1217','EEF FELIPE MANKE',2,NULL,NULL,NULL,4210605,NULL),(25,'1218','COLÉGIO FATENP',4,NULL,NULL,NULL,4211900,NULL),(25,'1219','EEB MANOEL ESTEVAO FURTADO',2,NULL,NULL,NULL,4212205,NULL),(25,'122','EEB DOM ORLANDO DOTTI',2,NULL,NULL,NULL,4203006,NULL),(25,'1220','COLÉGIO ANA LUIZA',4,NULL,NULL,NULL,4213500,NULL),(25,'1221','EEB VER. ALFREDO SCOTTINI',1,NULL,NULL,NULL,4214607,NULL),(25,'1222','IF DE ED CIENCIA E TECN-CAMPUS RIO DO SU',3,NULL,NULL,NULL,4214805,NULL),(25,'1223','CURSO E COLÉGIO IDEOLOGIA',4,NULL,NULL,NULL,4215703,NULL),(25,'1224','EEB FELIPE SCHMIDT',2,NULL,NULL,NULL,4216206,NULL),(25,'1225','EEF JOÃO ALFREDO MOREIRA',2,NULL,NULL,NULL,4216206,NULL),(25,'1226','EEB PROFª LIDIA LEAL GOMES',2,NULL,NULL,NULL,4216305,NULL),(25,'1227','EEB SERAFIM BERTASO',2,NULL,NULL,NULL,4216701,NULL),(25,'1228','EEB LEOVEGILDO ESMERIO DA SILVA',2,NULL,NULL,NULL,4216800,NULL),(25,'1229','EEB VOLTA REDONDA',2,NULL,NULL,NULL,4216909,NULL),(25,'123','EEB IRMÃO LEO',2,NULL,NULL,NULL,4203006,NULL),(25,'1230','EEB SÃO VALENTIM',2,NULL,NULL,NULL,4216909,NULL),(25,'1231','EEB RODOLFO FOSS',2,NULL,NULL,NULL,4217303,NULL),(25,'1232','EEB ELISABETHE MATILDE SIMON',2,NULL,NULL,NULL,4217501,NULL),(25,'1233','COLÉGIO INTELECTUS LTDA',4,NULL,NULL,NULL,4219507,NULL),(25,'124','EEB PAULO SCHIEFFLER',2,NULL,NULL,NULL,4203006,NULL),(25,'125','EEM WANDA KRIEGER GOMES',2,NULL,NULL,NULL,4203006,NULL),(25,'126','COLÉGIO CENECISTA OLAVO BILAC',4,NULL,NULL,NULL,4203105,NULL),(25,'127','EEB DOM PEDRO II',2,NULL,NULL,NULL,4203105,NULL),(25,'128','EEB CALMON',2,NULL,NULL,NULL,4203154,NULL),(25,'129','I F ED.CI.E TECN.-CAMPUS CAMBORIÚ(C.AGR)',3,NULL,NULL,NULL,4203204,NULL),(25,'13','EEB SILVA JARDIM',2,NULL,NULL,NULL,4200705,NULL),(25,'130','EEB PROF JOSÉ ARANTES',2,NULL,NULL,NULL,4203204,NULL),(25,'131','EEB PROFª MARIA TEREZINHA GARCIA',2,NULL,NULL,NULL,4203204,NULL),(25,'132','EEB LEBON RÉGIS',2,NULL,NULL,NULL,4203303,NULL),(25,'133','C CENECISTA STELLA MATUTINA',4,NULL,NULL,NULL,4203402,NULL),(25,'134','EEB MAJOR OTACÍLIO COUTO',2,NULL,NULL,NULL,4203402,NULL),(25,'135','CEDUP CAMPO ERÊ',2,NULL,NULL,NULL,4203501,NULL),(25,'136','EEB EMÍLIO GARRASTAZU MÉDICI',2,NULL,NULL,NULL,4203501,NULL),(25,'137','EEB RAUL POMPÉIA',2,NULL,NULL,NULL,4203501,NULL),(25,'138','COLÉGIO AUXILIADORA',4,NULL,NULL,NULL,4203600,NULL),(25,'139','EEB HENRIQUE RUPP JUNIOR',2,NULL,NULL,NULL,4203600,NULL),(25,'14','EEB TEIXEIRA DE FREITAS',2,NULL,NULL,NULL,4200754,NULL),(25,'140','EEB PAULO BLASI',2,NULL,NULL,NULL,4203600,NULL),(25,'141','ESC TEC COM D JOÃO BATISTA SCALABRINI',4,NULL,NULL,NULL,4203600,NULL),(25,'142','EEB PROFª MINERVINA LAUS',2,NULL,NULL,NULL,4203709,NULL),(25,'143','CEDUP VIDAL RAMOS',2,NULL,NULL,NULL,4203808,NULL),(25,'144','COLÉGIO COMERCIAL DE CANOINHAS',4,NULL,NULL,NULL,4203808,NULL),(25,'145','COLÉGIO SAGRADO CORAÇÃO DE JESUS',2,NULL,NULL,NULL,4203808,NULL),(25,'146','EEB ALMIRANTE BARROSO',2,NULL,NULL,NULL,4203808,NULL),(25,'147','EEB IRMÃ MARIA FELICITAS',2,NULL,NULL,NULL,4203808,NULL),(25,'148','EEB JOÃO JOSÉ DE SOUZA CABRAL',2,NULL,NULL,NULL,4203808,NULL),(25,'149','EEB JÚLIA B ZANIOLO',2,NULL,NULL,NULL,4203808,NULL),(25,'15','C CENECISTA PADRE JOSÉ DE ANCHIETA',4,NULL,NULL,NULL,4200804,NULL),(25,'150','EEB PROF MANOEL DA SILVA QUADROS',2,NULL,NULL,NULL,4203808,NULL),(25,'151','EEB RODOLFO ZIPPERER',2,NULL,NULL,NULL,4203808,NULL),(25,'152','EEB SAGRADO CORAÇÃO DE JESUS',2,NULL,NULL,NULL,4203808,NULL),(25,'153','EEB SANTA CRUZ',2,NULL,NULL,NULL,4203808,NULL),(25,'154','UNIV DO CONTESTADO CAMPUS DE CANOINHAS',4,NULL,NULL,NULL,4203808,NULL),(25,'155','COLÉGIO CENECISTA PADRE ANCHIETA',4,NULL,NULL,NULL,4203907,NULL),(25,'156','EEB MATER DOLORUM',2,NULL,NULL,NULL,4203907,NULL),(25,'158','EEB DR OTTO FEUERSCHUETTE',2,NULL,NULL,NULL,4203956,NULL),(25,'159','CE TERESA MARTINS BRITO',2,NULL,NULL,NULL,4203956,NULL),(25,'16','EEB PROF OSNI PAULINO DA SILVA',2,NULL,NULL,NULL,4200804,NULL),(25,'160','COLÉGIO CENECISTA CATANDUVENSE',4,NULL,NULL,NULL,4204004,NULL),(25,'161','EEB IRMÃ WIENFRIDA',2,NULL,NULL,NULL,4204004,NULL),(25,'162','EEB CÂNDIDO RAMOS',2,NULL,NULL,NULL,4204103,NULL),(25,'163','EEB JOSÉ CESÁRIO BRASIL',2,NULL,NULL,NULL,4204152,NULL),(25,'164','EEB PROFª OTÍLIA ULYSSÉA UNGARETTI',2,NULL,NULL,NULL,4204178,NULL),(25,'165','EEB OTÍLIA MÜLLER',2,NULL,NULL,NULL,4204194,NULL),(25,'166','COLÉGIO CENECISTA ILMA ROSA DE NES',4,NULL,NULL,NULL,4204202,NULL),(25,'167','CENTRO EDUC. DA UNOESC',4,NULL,NULL,NULL,4204202,NULL),(25,'168','COLÉGIO MARISTA SÃO FRANCISCO',4,NULL,NULL,NULL,4204202,NULL),(25,'169','EEB BOM PASTOR',2,NULL,NULL,NULL,4204202,NULL),(25,'17','EEB NOSSA SENHORA',2,NULL,NULL,NULL,4200903,NULL),(25,'170','EEB CEL ERNESTO BERTASO',2,NULL,NULL,NULL,4204202,NULL),(25,'171','EEB CORONEL LARA RIBAS',2,NULL,NULL,NULL,4204202,NULL),(25,'172','EEB DRUZIANA SARTORI',2,NULL,NULL,NULL,4204202,NULL),(25,'173','EEB MARCOLINA RODRIGUES DA SILVA',2,NULL,NULL,NULL,4204202,NULL),(25,'174','EEB MARECHAL BORMANN',2,NULL,NULL,NULL,4204202,NULL),(25,'175','EEB PEDRO MACIEL',2,NULL,NULL,NULL,4204202,NULL),(25,'176','EEB PROFª LUIZA SANTIN',2,NULL,NULL,NULL,4204202,NULL),(25,'177','EEB PROF NELSON HOROSTECKI',2,NULL,NULL,NULL,4204202,NULL),(25,'178','EEB PROFª GENI COMEL',2,NULL,NULL,NULL,4204202,NULL),(25,'179','EEB PROFª IRENE STONOGA',2,NULL,NULL,NULL,4204202,NULL),(25,'18','EEB PE ANTÔNIO VIEIRA',2,NULL,NULL,NULL,4201000,NULL),(25,'180','EEB PROFª LOURDES A SARTURI LAGO',2,NULL,NULL,NULL,4204202,NULL),(25,'181','EEB PROFª VALESCA C R PARIZOTTO',2,NULL,NULL,NULL,4204202,NULL),(25,'182','EEB PROFª ZELIA SCHARF',2,NULL,NULL,NULL,4204202,NULL),(25,'183','EEB SÃO FRANCISCO',2,NULL,NULL,NULL,4204202,NULL),(25,'184','EEB TANCREDO DE ALMEIDA NEVES',2,NULL,NULL,NULL,4204202,NULL),(25,'185','COLÉGIO EXPONENCIAL',4,NULL,NULL,NULL,4204202,NULL),(25,'186','CURSO E COLÉGIO VETOR LTDA',4,NULL,NULL,NULL,4204202,NULL),(25,'187','ESC DE AUX ENFERMAGEM DA FHASA',4,NULL,NULL,NULL,4204202,NULL),(25,'188','C MAXIMILIANO GAIDZINSKI',4,NULL,NULL,NULL,4204251,NULL),(25,'189','EEB PROF PE SCHULER',2,NULL,NULL,NULL,4204251,NULL),(25,'19','EEB ALTINO FLORES',2,NULL,NULL,NULL,4201109,NULL),(25,'190','COLÉGIO CENECISTA CONCÓRDIA',4,NULL,NULL,NULL,4204301,NULL),(25,'191','EEB DEODORO',2,NULL,NULL,NULL,4204301,NULL),(25,'192','EEB PROF OLAVO CECCO RIGON',2,NULL,NULL,NULL,4204301,NULL),(25,'193','EEB SÃO JOÃO BATISTA DE LA SALLE',2,NULL,NULL,NULL,4204301,NULL),(25,'194','EEB VIDAL RAMOS JUNIOR',2,NULL,NULL,NULL,4204301,NULL),(25,'195','COLÉGIO DE APLICAÇÃO DA FEAUC',4,NULL,NULL,NULL,4204301,NULL),(25,'196','IF CATARINENSE-CAMPUS DE CONCÓRDIA',3,NULL,NULL,NULL,4204301,NULL),(25,'197','EEB CORDILHEIRA ALTA',2,NULL,NULL,NULL,4204350,NULL),(25,'198','COLÉGIO CENECISTA SÃO JOSÉ',4,NULL,NULL,NULL,4204400,NULL),(25,'199','EEB PROFª DÉLIA RÉGIS',2,NULL,NULL,NULL,4204400,NULL),(25,'2','C CENECISTA PROF SIMÃO HESS',4,NULL,NULL,NULL,4200101,NULL),(25,'20','COLÉGIO CENECISTA ANTÔNIO CARLOS',4,NULL,NULL,NULL,4201208,NULL),(25,'200','EEB PROFª OLGA NUNES DE ABREU',2,NULL,NULL,NULL,4204459,NULL),(25,'201','EEB NS DOS PRAZERES',2,NULL,NULL,NULL,4204558,NULL),(25,'202','COLÉGIO VER RUY COMARELLA',4,NULL,NULL,NULL,4204558,NULL),(25,'203','EEB TERESA RAMOS',2,NULL,NULL,NULL,4204509,NULL),(25,'204','COLÉGIO SAGRADO C DE JESUS',4,NULL,NULL,NULL,4204509,NULL),(25,'205','C COMERCIAL DE CIENC E ADMINISTRAÇÃO',4,NULL,NULL,NULL,4204608,NULL),(25,'206','COLÉGIO COMERCIAL TIRADENTES',4,NULL,NULL,NULL,4204608,NULL),(25,'207','COLÉGIO CRICIÚMA',4,NULL,NULL,NULL,4204608,NULL),(25,'208','C DE APLIC DA FUND ED DE CRICIÚMA-FUCRI',4,NULL,NULL,NULL,4204608,NULL),(25,'209','EEB ENG.SEBASTIÃO TOLEDO DOS SANTOS',2,NULL,NULL,NULL,4204608,NULL),(25,'21','EEB ALTAMIRO GUIMARÃES',2,NULL,NULL,NULL,4201208,NULL),(25,'210','COLÉGIO MADRE TERESA MICHEL',4,NULL,NULL,NULL,4204608,NULL),(25,'211','COLÉGIO MARISTA',4,NULL,NULL,NULL,4204608,NULL),(25,'212','COLÉGIO ROGACIONISTA PIO XII',4,NULL,NULL,NULL,4204608,NULL),(25,'213','COLÉGIO SÃO BENTO',4,NULL,NULL,NULL,4204608,NULL),(25,'214','EEB ANTÔNIO MILANEZ NETTO',2,NULL,NULL,NULL,4204608,NULL),(25,'215','EEB ANTÔNIO VITOR DE SOUZA',2,NULL,NULL,NULL,4204608,NULL),(25,'216','EEB CEL MARCOS ROVARIS',2,NULL,NULL,NULL,4204608,NULL),(25,'217','EEB COELHO NETO',2,NULL,NULL,NULL,4204608,NULL),(25,'218','EEB HERIBERTO HÜLSE',2,NULL,NULL,NULL,4204608,NULL),(25,'219','EEB HUMBERTO DE CAMPOS',2,NULL,NULL,NULL,4204608,NULL),(25,'22','EEB SÃO JOÃO BOSCO',2,NULL,NULL,NULL,4201257,NULL),(25,'220','EEB IRMÃ EDVIGES',2,NULL,NULL,NULL,4204608,NULL),(25,'221','EEB JOAQUIM RAMOS',2,NULL,NULL,NULL,4204608,NULL),(25,'222','EEB LINDOLFO COLLOR',2,NULL,NULL,NULL,4204608,NULL),(25,'223','EEB PADRE MIGUEL GIACCA',2,NULL,NULL,NULL,4204608,NULL),(25,'224','CE LAPAGESSE',2,NULL,NULL,NULL,4204608,NULL),(25,'225','EEB RUBENS DE ARRUDA RAMOS',2,NULL,NULL,NULL,4204608,NULL),(25,'226','CENTRO EDUC. ENERGIA SC LTDA',4,NULL,NULL,NULL,4204608,NULL),(25,'227','CENTRO EDUCACIONAL UNIVERSITÁRIO',4,NULL,NULL,NULL,4204608,NULL),(25,'228','CEDUP ABÍLIO PAULO',2,NULL,NULL,NULL,4204608,NULL),(25,'229','COLÉGIO QUARTA DIMENSÃO',4,NULL,NULL,NULL,4204608,NULL),(25,'23','EEB PROFª IVONETE RIBEIRO',2,NULL,NULL,NULL,4201273,NULL),(25,'230','ESC TÉC.GAL OSVALDO PINTO DA VEIGA',4,NULL,NULL,NULL,4204608,NULL),(25,'231','INSTITUTO SÃO JOSÉ',4,NULL,NULL,NULL,4204608,NULL),(25,'232','SOCIEDADE DE EDUC E CULT DE CRICIÚMA',4,NULL,NULL,NULL,4204608,NULL),(25,'233','COLÉGIO CENECISTA ASSIS BRASIL',4,NULL,NULL,NULL,4204707,NULL),(25,'234','EEB PROF PATRÍCIO JOÃO DE OLIVEIRA',2,NULL,NULL,NULL,4204707,NULL),(25,'235','EEB NICOLAU SCHOENBERGER',2,NULL,NULL,NULL,4204756,NULL),(25,'236','COLÉGIO COMERCIAL CARDEAL CÂMARA',4,NULL,NULL,NULL,4204806,NULL),(25,'237','C PROF JUSCELINO K DE OLIVEIRA',4,NULL,NULL,NULL,4204806,NULL),(25,'238','EEB SANTA TERESINHA',2,NULL,NULL,NULL,4204806,NULL),(25,'239','EEB CASIMIRO DE ABREU',2,NULL,NULL,NULL,4204806,NULL),(25,'24','I F CATARINENSE CAMPUS ARAQUARI (C.AGRI)',3,NULL,NULL,NULL,4201307,NULL),(25,'240','EEB SOLON ROSA',2,NULL,NULL,NULL,4204806,NULL),(25,'241','COLÉGIO CENECISTA SANTOS DUMONT',4,NULL,NULL,NULL,4204905,NULL),(25,'242','EEB EVERARDO BACKHEUSER',2,NULL,NULL,NULL,4204905,NULL),(25,'243','EEB ITAJUBÁ',2,NULL,NULL,NULL,4204905,NULL),(25,'244','COLÉGIO CENECISTA CASTRO ALVES',4,NULL,NULL,NULL,4205001,NULL),(25,'245','EEB DR THEODURETO DE FARIA SOUTO',2,NULL,NULL,NULL,4205001,NULL),(25,'246','EEB JACOB MARAN',2,NULL,NULL,NULL,4205001,NULL),(25,'247','EEB LINDO SARDAGNA',2,NULL,NULL,NULL,4205100,NULL),(25,'248','EEB FREI LUCÍNIO KORTE',2,NULL,NULL,NULL,4205159,NULL),(25,'249','EEB PIO XII',2,NULL,NULL,NULL,4205175,NULL),(25,'25','EEB ALMIRANTE BOITEUX',2,NULL,NULL,NULL,4201307,NULL),(25,'250','EEB PEDRO SIMON',2,NULL,NULL,NULL,4205191,NULL),(25,'251','C CENECISTA CÉSAR AVELINO BRAGAGNOLO',4,NULL,NULL,NULL,4205209,NULL),(25,'252','CE CORONEL HENRIQUE RUPP',2,NULL,NULL,NULL,4205209,NULL),(25,'253','EEB PREF AGENOR PIOVEZAN',2,NULL,NULL,NULL,4205209,NULL),(25,'254','COLÉGIO CENECISTA PRES DUTRA',4,NULL,NULL,NULL,4205308,NULL),(25,'255','EEB PROF SALUSTIANO ANTÔNIO CABREIRA',2,NULL,NULL,NULL,4205308,NULL),(25,'256','EEB JORGE LACERDA',2,NULL,NULL,NULL,4205357,NULL),(25,'257','EEB ADERBAL RAMOS DA SILVA',2,NULL,NULL,NULL,4205407,NULL),(25,'258','C ADV ROBERTO RODRIGUES DE AZEVEDO',4,NULL,NULL,NULL,4205407,NULL),(25,'259','COLÉGIO ANTÔNIO PEIXOTO',4,NULL,NULL,NULL,4205407,NULL),(25,'26','CENTRO EDUC. FUTURÃO',4,NULL,NULL,NULL,4201406,NULL),(25,'260','C BARDDAL FLORIANÓPOLIS SC LTDA',4,NULL,NULL,NULL,4205407,NULL),(25,'261','C BARRIGA VERDE CENTRO EDUC LTDA',4,NULL,NULL,NULL,4205407,NULL),(25,'262','COLÉGIO CATARINENSE',4,NULL,NULL,NULL,4205407,NULL),(25,'263','C CENECISTA ANTONIETA DE BARROS',4,NULL,NULL,NULL,4205407,NULL),(25,'264','COLÉGIO COMERCIAL PIO XII',4,NULL,NULL,NULL,4205407,NULL),(25,'265','COLÉGIO CONTINENTE',4,NULL,NULL,NULL,4205407,NULL),(25,'266','COLÉGIO CORAÇÃO DE JESUS',4,NULL,NULL,NULL,4205407,NULL),(25,'267','COLÉGIO DE APLICAÇÃO DA UFSC',3,NULL,NULL,NULL,4205407,NULL),(25,'268','C DE APLICAÇÃO-UDESC',2,NULL,NULL,NULL,4205407,NULL),(25,'269','COLÉGIO DECISÃO',4,NULL,NULL,NULL,4205407,NULL),(25,'27','COLÉGIO NS MÃE DOS HOMENS',4,NULL,NULL,NULL,4201406,NULL),(25,'270','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4205407,NULL),(25,'271','EEB FELICIANO NUNES PIRES',2,NULL,NULL,NULL,4205407,NULL),(25,'272','COLÉGIO GERAÇÃO',4,NULL,NULL,NULL,4205407,NULL),(25,'273','COLÉGIO NS DE FÁTIMA',4,NULL,NULL,NULL,4205407,NULL),(25,'274','EEM ANTÔNIO PASCHOAL APÓSTOLO',2,NULL,NULL,NULL,4205407,NULL),(25,'275','EEB CELSO RAMOS',2,NULL,NULL,NULL,4205407,NULL),(25,'276','EEB DAYSE WERNER SALLES',2,NULL,NULL,NULL,4205407,NULL),(25,'277','EEB LAURO MÜLLER',2,NULL,NULL,NULL,4205407,NULL),(25,'278','EEB DOM JAIME DE BARROS CÂMARA',2,NULL,NULL,NULL,4205407,NULL),(25,'279','EEB DR PAULO FONTES',2,NULL,NULL,NULL,4205407,NULL),(25,'28','EEB BERNARDINO SENA CAMPOS',2,NULL,NULL,NULL,4201406,NULL),(25,'280','CE GENTIL MATHIAS DA SILVA',2,NULL,NULL,NULL,4205407,NULL),(25,'281','EEB GETÚLIO VARGAS',2,NULL,NULL,NULL,4205407,NULL),(25,'282','EEM HENRIQUE VERAS',2,NULL,NULL,NULL,4205407,NULL),(25,'283','EEB ILDEFONSO LINHARES',2,NULL,NULL,NULL,4205407,NULL),(25,'284','EEB IRINEU BORNHAUSEN',2,NULL,NULL,NULL,4205407,NULL),(25,'285','EEM JOÃO GONÇALVES PINHEIROS',2,NULL,NULL,NULL,4205407,NULL),(25,'286','EEB JUREMA CAVALLAZZI',2,NULL,NULL,NULL,4205407,NULL),(25,'287','EEB LEONOR DE BARROS',2,NULL,NULL,NULL,4205407,NULL),(25,'288','EEB OSMAR CUNHA',2,NULL,NULL,NULL,4205407,NULL),(25,'289','EEB PE ANCHIETA',2,NULL,NULL,NULL,4205407,NULL),(25,'29','EEB DE ARARANGUÁ',2,NULL,NULL,NULL,4201406,NULL),(25,'290','EEM PREF ACÁCIO GARIBALDI SÃO THIAGO',2,NULL,NULL,NULL,4205407,NULL),(25,'291','EEM PRES CASTELO BRANCO',2,NULL,NULL,NULL,4205407,NULL),(25,'292','EEB PRES ROOSEVELT',2,NULL,NULL,NULL,4205407,NULL),(25,'293','EEB PROF ANÍBAL NUNES PIRES',2,NULL,NULL,NULL,4205407,NULL),(25,'294','EEB PROF ANÍSIO TEIXEIRA',2,NULL,NULL,NULL,4205407,NULL),(25,'295','EEB PROF HENRIQUE STODIECK',2,NULL,NULL,NULL,4205407,NULL),(25,'296','EEB PROFª LAURA LIMA',2,NULL,NULL,NULL,4205407,NULL),(25,'297','EEB ROSA TÔRRES DE MIRANDA',2,NULL,NULL,NULL,4205407,NULL),(25,'298','EEB SIMÃO JOSÉ HESS',2,NULL,NULL,NULL,4205407,NULL),(25,'299','COLÉGIO DA LAGOA',4,NULL,NULL,NULL,4205407,NULL),(25,'3','C MUNICIPAL ANITA GARIBALDI',1,NULL,NULL,NULL,4200101,NULL),(25,'30','EEB PROFª MARIA GARCIA PESSI',2,NULL,NULL,NULL,4201406,NULL),(25,'300','COLÉGIO PRE VEST SOLUÇÃO LTDA',4,NULL,NULL,NULL,4205407,NULL),(25,'301','CURSO DE EDUCAÇÃO FÍSICA',2,NULL,NULL,NULL,4205407,NULL),(25,'302','ETC NEREU RAMOS',4,NULL,NULL,NULL,4205407,NULL),(25,'303','ETC SANTA CATARINA',4,NULL,NULL,NULL,4205407,NULL),(25,'304','ETC SÃO MARCOS',4,NULL,NULL,NULL,4205407,NULL),(25,'305','ETC SENNA PEREIRA',4,NULL,NULL,NULL,4205407,NULL),(25,'306','I F EDUCAÇAO TECNOLOGICA DE SC (CEFET)',3,NULL,NULL,NULL,4205407,NULL),(25,'307','INSTITUTO ESTADUAL DE EDUCAÇÃO',2,NULL,NULL,NULL,4205407,NULL),(25,'308','EEB RUI BARBOSA',2,NULL,NULL,NULL,4205431,NULL),(25,'309','EEB LUIZ TRAMONTIN',2,NULL,NULL,NULL,4205456,NULL),(25,'31','CENTRO INTERESCOLAR I DE ARARANGUÁ',4,NULL,NULL,NULL,4201406,NULL),(25,'310','EEB NATÁLIO VASSOLER',2,NULL,NULL,NULL,4205456,NULL),(25,'311','COL EXAME',4,NULL,NULL,NULL,4205456,NULL),(25,'312','COL SAGRADA FAMÍLIA',4,NULL,NULL,NULL,4205456,NULL),(25,'313','CE BELA VISTA',2,NULL,NULL,NULL,4205506,NULL),(25,'314','EEB GONÇALVES DIAS',2,NULL,NULL,NULL,4205506,NULL),(25,'315','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4205506,NULL),(25,'316','CE SEDES SAPIENTIAE',2,NULL,NULL,NULL,4205506,NULL),(25,'317','COLÉGIO CARLOS DRUMOND DE ANDRADE',4,NULL,NULL,NULL,4205506,NULL),(25,'318','COLÉGIO CIRANDA DO SABER',4,NULL,NULL,NULL,4205506,NULL),(25,'319','ESCOLA DE 2. SEDES SAPIENTIAE',4,NULL,NULL,NULL,4205506,NULL),(25,'32','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4201406,NULL),(25,'320','EEB PROF URBANO SALLES',2,NULL,NULL,NULL,4205555,NULL),(25,'321','EEB VERÔNICA SENEM',2,NULL,NULL,NULL,4205605,NULL),(25,'322','EEB PROF JOSÉ RODRIGUES LOPES',2,NULL,NULL,NULL,4205704,NULL),(25,'323','C MUNICIPAL SAGRADO CORAÇÃO DE JESUS',1,NULL,NULL,NULL,4205803,NULL),(25,'325','EEB FREI GODOFREDO',2,NULL,NULL,NULL,4205902,NULL),(25,'326','EEB FREI POLICARPO',2,NULL,NULL,NULL,4205902,NULL),(25,'327','EEB PROF HONÓRIO MIRANDA',2,NULL,NULL,NULL,4205902,NULL),(25,'328','COLÉGIO SÃO FRANCISCO',4,NULL,NULL,NULL,4205902,NULL),(25,'329','EEB DR ADERBAL RAMOS DA SILVA',2,NULL,NULL,NULL,4206009,NULL),(25,'33','SOC DE EDUC E CULTURA DE ARARANGUÁ',4,NULL,NULL,NULL,4201406,NULL),(25,'330','EEB DR MIGUEL DE PATTA',2,NULL,NULL,NULL,4206108,NULL),(25,'331','EEM ANTÔNIO KNABBEN',2,NULL,NULL,NULL,4206207,NULL),(25,'332','EEB HERCÍLIO BEZ',2,NULL,NULL,NULL,4206207,NULL),(25,'333','EEB PROF JOÃO BOOS',2,NULL,NULL,NULL,4206306,NULL),(25,'334','EEB SARA CASTELHANO KLEINKAUF',2,NULL,NULL,NULL,4206405,NULL),(25,'335','EEB PREF LAURO ZIMMERMANN',2,NULL,NULL,NULL,4206504,NULL),(25,'336','EEB ALFREDO ZIMMERMANN',2,NULL,NULL,NULL,4206504,NULL),(25,'337','EEB SÃO PEDRO',2,NULL,NULL,NULL,4206504,NULL),(25,'338','C CENEC. MAR ARTHUR DA C E SILVA',4,NULL,NULL,NULL,4206603,NULL),(25,'339','EEB PROFª ELZA MANCELOS DE MOURA',2,NULL,NULL,NULL,4206603,NULL),(25,'34','EEB MONSENHOR FRANCISCO GIESBERTS',2,NULL,NULL,NULL,4201505,NULL),(25,'340','EEB LEONOR LOPES GONZAGA',2,NULL,NULL,NULL,4206652,NULL),(25,'341','EEB PROF EUGÊNIO MARCHETTI',2,NULL,NULL,NULL,4206702,NULL),(25,'342','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4206702,NULL),(25,'343','EEB HERIBERTO HULSE',2,NULL,NULL,NULL,4206751,NULL),(25,'344','C CENECISTA DR EDUARDO MÁRIO TAVARES',4,NULL,NULL,NULL,4206801,NULL),(25,'345','EEB IRMÃO JOAQUIM',2,NULL,NULL,NULL,4206801,NULL),(25,'346','COLÉGIO HAMONIA',4,NULL,NULL,NULL,4206900,NULL),(25,'347','EEB ELISEU GUILHERME',2,NULL,NULL,NULL,4206900,NULL),(25,'348','EEB GERTRUD AICHINGER',2,NULL,NULL,NULL,4206900,NULL),(25,'349','COLÉGIO CRISTO REI',4,NULL,NULL,NULL,4207007,NULL),(25,'35','C CENECISTA PADRE AUGUSTINHO',4,NULL,NULL,NULL,4201604,NULL),(25,'350','EEB ANTÔNIO COLONETTI',2,NULL,NULL,NULL,4207007,NULL),(25,'351','EEB ANTÔNIO GUGLIELMI SOBRINHO',2,NULL,NULL,NULL,4207007,NULL),(25,'352','EEB ANTÔNIO JOÃO',2,NULL,NULL,NULL,4207007,NULL),(25,'353','EEB MELCHÍADES BONIFÁCIO ESPÍNDOLA',2,NULL,NULL,NULL,4207007,NULL),(25,'354','EEB MARCOS KONDER',2,NULL,NULL,NULL,4207106,NULL),(25,'355','EEB VALÉRIO GOMES',2,NULL,NULL,NULL,4207106,NULL),(25,'356','EEB PREF PEDRO BITTENCOURT',2,NULL,NULL,NULL,4207205,NULL),(25,'357','EEB PROFª EULINA HELEODORO BARRETO',2,NULL,NULL,NULL,4207205,NULL),(25,'358','EEB ENG ÁLVARO CATÃO',2,NULL,NULL,NULL,4207304,NULL),(25,'359','EEM ENG ANNES GUALBERTO',2,NULL,NULL,NULL,4207304,NULL),(25,'36','EEB PROFª BENTA CARDOSO',2,NULL,NULL,NULL,4201653,NULL),(25,'360','EEB JOÃO GUIMARÃES CABRAL',2,NULL,NULL,NULL,4207304,NULL),(25,'361','EEB VISCONDE DO RIO BRANCO',2,NULL,NULL,NULL,4207304,NULL),(25,'362','COOPERATIVA EDUC DE IMBITUBA',4,NULL,NULL,NULL,4207304,NULL),(25,'363','COLÉGIO CENECISTA DE IMBUIA',4,NULL,NULL,NULL,4207403,NULL),(25,'364','EEB FREI MANOEL PHILIPPI',2,NULL,NULL,NULL,4207403,NULL),(25,'365','EEB FREDERICO HARDT',2,NULL,NULL,NULL,4207502,NULL),(25,'366','COLÉGIO MUNICIPAL PREF LUIZ POLIDORO',1,NULL,NULL,NULL,4207502,NULL),(25,'367','COLÉGIO AGROTÉCNICO DE VIDEIRA',4,NULL,NULL,NULL,4207577,NULL),(25,'368','EEB FREI EVARISTO',2,NULL,NULL,NULL,4207577,NULL),(25,'369','EEB CARLOS FRIES',2,NULL,NULL,NULL,4207601,NULL),(25,'37','COLÉGIO SÃO PAULO',4,NULL,NULL,NULL,4201703,NULL),(25,'370','COLÉGIO CENECISTA ANILDO HEISLER',4,NULL,NULL,NULL,4207650,NULL),(25,'371','EEB PE VENDELINO SEIDEL',2,NULL,NULL,NULL,4207650,NULL),(25,'372','EEB PE ANTÔNIO VIEIRA',2,NULL,NULL,NULL,4207684,NULL),(25,'373','COLÉGIO VITORINO KONDA',2,NULL,NULL,NULL,4207684,NULL),(25,'374','EEB BENJAMIM CARVALHO DE OLIVEIRA',2,NULL,NULL,NULL,4207700,NULL),(25,'375','CE VITAL FELIPE CASAROTTO',2,NULL,NULL,NULL,4207700,NULL),(25,'376','COLÉGIO MUNICIPAL RICARDO VIVIAN',1,NULL,NULL,NULL,4207759,NULL),(25,'377','EEB PROF MANUEL FREITAS TRANCOSO',2,NULL,NULL,NULL,4207759,NULL),(25,'378','COLÉGIO CENECISTA IRANI',4,NULL,NULL,NULL,4207809,NULL),(25,'379','EEB D FELÍCIO C DA CUNHA VASCONCELOS',2,NULL,NULL,NULL,4207809,NULL),(25,'38','EEB DOMINGOS SÁVIO',2,NULL,NULL,NULL,4201703,NULL),(25,'380','EEB PROF CELSO RILLA',2,NULL,NULL,NULL,4207858,NULL),(25,'381','EEB HORÁCIO NUNES',2,NULL,NULL,NULL,4207908,NULL),(25,'382','C CENECISTA ADOLFO KONDER',4,NULL,NULL,NULL,4208005,NULL),(25,'383','EEB GEN LIBERATO BITTENCOURT',2,NULL,NULL,NULL,4208005,NULL),(25,'384','EMEB VALENTIN BERNARDI',1,NULL,NULL,NULL,4208005,NULL),(25,'386','C EDUC 1 E 2 GRAUS ITAIÓPOLIS',1,NULL,NULL,NULL,4208104,NULL),(25,'387','EEB VIRGÍLIO VÁRZEA',2,NULL,NULL,NULL,4208104,NULL),(25,'388','C CENECISTA PEDRO ANTÔNIO FAYAL',4,NULL,NULL,NULL,4208203,NULL),(25,'389','COLÉGIO DE APLICAÇÃO DA UNIVALI',4,NULL,NULL,NULL,4208203,NULL),(25,'39','EEB DR FREDERICO ROLLA',2,NULL,NULL,NULL,4201802,NULL),(25,'390','C DR WILFREDO MARCOS BAYER',4,NULL,NULL,NULL,4208203,NULL),(25,'391','CENTRO EDUC. SISTEMA UNIFICADO',4,NULL,NULL,NULL,4208203,NULL),(25,'392','COLÉGIO SALESIANO ITAJAÍ',4,NULL,NULL,NULL,4208203,NULL),(25,'393','EEB NEREU RAMOS',2,NULL,NULL,NULL,4208203,NULL),(25,'394','COLÉGIO SÃO JOSÉ',4,NULL,NULL,NULL,4208203,NULL),(25,'395','EEB DEP NILTON KUCKER',2,NULL,NULL,NULL,4208203,NULL),(25,'396','EEB DOM AFONSO NIEHUES',2,NULL,NULL,NULL,4208203,NULL),(25,'397','EEB ELIZABETH KONDER REIS',2,NULL,NULL,NULL,4208203,NULL),(25,'398','CE GASPAR DA COSTA MORAES',2,NULL,NULL,NULL,4208203,NULL),(25,'399','CE MANSUETO TRES',2,NULL,NULL,NULL,4208203,NULL),(25,'4','EEB PROF ANACLETO DAMIANI',2,NULL,NULL,NULL,4200101,NULL),(25,'40','EEB WALTER PROBST',2,NULL,NULL,NULL,4201901,NULL),(25,'400','EEM PROF HENRIQUE DA SILVA FONTES',2,NULL,NULL,NULL,4208203,NULL),(25,'401','EEM VICTOR MEIRELLES',2,NULL,NULL,NULL,4208203,NULL),(25,'402','COLÉGIO E CURSO RADICAL',4,NULL,NULL,NULL,4208203,NULL),(25,'403','CENTRO EDUC. SISTEMA UNIFICADO',4,NULL,NULL,NULL,4208302,NULL),(25,'404','C ITAPEMA',4,NULL,NULL,NULL,4208302,NULL),(25,'405','EEB ANITA GARIBALDI',2,NULL,NULL,NULL,4208302,NULL),(25,'406','EEB PREF OLEGÁRIO BERNARDES',2,NULL,NULL,NULL,4208302,NULL),(25,'407','COLÉGIO ATLÂNTICO',4,NULL,NULL,NULL,4208302,NULL),(25,'408','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4208401,NULL),(25,'409','CENTRO INTEG. DE ITAPIRANGA',4,NULL,NULL,NULL,4208401,NULL),(25,'41','EEB DOM GREGÓRIO WARMELING',2,NULL,NULL,NULL,4202057,NULL),(25,'410','EEB HUMBERTO MACHADO',2,NULL,NULL,NULL,4208401,NULL),(25,'411','EEB SANTO ANTÔNIO',2,NULL,NULL,NULL,4208401,NULL),(25,'412','EEB SÃO VICENTE',2,NULL,NULL,NULL,4208401,NULL),(25,'413','EEB NEREU RAMOS',2,NULL,NULL,NULL,4208450,NULL),(25,'414','C SANTO ESTEVÃO',4,NULL,NULL,NULL,4208500,NULL),(25,'415','EEB ALEIXO DELLAGIUSTINA',2,NULL,NULL,NULL,4208500,NULL),(25,'416','EEB ROBERTO MORITZ',2,NULL,NULL,NULL,4208500,NULL),(25,'417','C CENECISTA FÁTIMA RECK',4,NULL,NULL,NULL,4208609,NULL),(25,'418','EEB VICTOR FELIPPE RAUEN',2,NULL,NULL,NULL,4208609,NULL),(25,'419','COL. C SANTA TERESINHA',4,NULL,NULL,NULL,4208708,NULL),(25,'42','COLÉGIO BALNEARENSE',2,NULL,NULL,NULL,4202008,NULL),(25,'420','EEB JACINTO MACHADO',2,NULL,NULL,NULL,4208708,NULL),(25,'421','EEB MARECHAL LUZ',2,NULL,NULL,NULL,4208807,NULL),(25,'422','COLÉGIO DIVINA PROVIDÊNCIA',4,NULL,NULL,NULL,4208906,NULL),(25,'423','C EDUCACIONAL SIGMA',4,NULL,NULL,NULL,4208906,NULL),(25,'424','COLÉGIO MARISTA SÃO LUIS',4,NULL,NULL,NULL,4208906,NULL),(25,'425','EEM ABDON BATISTA',2,NULL,NULL,NULL,4208906,NULL),(25,'426','EEM ALBERTO BAUER',2,NULL,NULL,NULL,4208906,NULL),(25,'427','EEB ALVINO TRIBESS',2,NULL,NULL,NULL,4208906,NULL),(25,'428','EEB ELZA GRANZOTTO FERRAZ',2,NULL,NULL,NULL,4208906,NULL),(25,'429','EEB EUCLIDES DA CUNHA',2,NULL,NULL,NULL,4208906,NULL),(25,'43','C COMERCIAL BRUNO SILVA',4,NULL,NULL,NULL,4202008,NULL),(25,'430','EEB HOLANDO MARCELLINO GONÇALVES',2,NULL,NULL,NULL,4208906,NULL),(25,'431','CE ALVES DE SOUZA',2,NULL,NULL,NULL,4208906,NULL),(25,'432','EEB JULIUS KARSTEN',2,NULL,NULL,NULL,4208906,NULL),(25,'433','EEB PROF HELEODORO BORGES',2,NULL,NULL,NULL,4208906,NULL),(25,'434','EEB PROF JOÃO ROMÁRIO MOREIRA',2,NULL,NULL,NULL,4208906,NULL),(25,'435','EEB PROF JOSÉ DUARTE MAGALHÃES',2,NULL,NULL,NULL,4208906,NULL),(25,'436','EEB PROFª LILIA AYROSO OECHSLER',2,NULL,NULL,NULL,4208906,NULL),(25,'437','EEB PROFª VALDETE I P ZINDARS',2,NULL,NULL,NULL,4208906,NULL),(25,'438','EEB ROLAND H DORNBUSCH',2,NULL,NULL,NULL,4208906,NULL),(25,'439','EEM VITOR MEIRELLES',2,NULL,NULL,NULL,4208906,NULL),(25,'44','CENTRO EDUC. SISTEMA UNIFICADO',4,NULL,NULL,NULL,4202008,NULL),(25,'440','CENTRO EDUC INTEG JARAGUENSE',4,NULL,NULL,NULL,4208906,NULL),(25,'441','COLÉGIO EVANGÉLICO JARAGUÁ',4,NULL,NULL,NULL,4208906,NULL),(25,'442','INSTITUTO EDUCACIONAL JANGADA',4,NULL,NULL,NULL,4208906,NULL),(25,'443','C CENECISTA PAPA JOÃO PAULO I',4,NULL,NULL,NULL,4208955,NULL),(25,'444','EEB FAZENDA TRIÂNGULO',2,NULL,NULL,NULL,4208955,NULL),(25,'445','COLÉGIO CENECISTA JOAÇABENSE',4,NULL,NULL,NULL,4209003,NULL),(25,'446','COLÉGIO MARISTA FREI ROGÉRIO',4,NULL,NULL,NULL,4209003,NULL),(25,'447','COLÉGIO CRISTO REI',4,NULL,NULL,NULL,4209003,NULL),(25,'448','EEB DEP NELSON PEDRINI',2,NULL,NULL,NULL,4209003,NULL),(25,'449','EEB GOV CELSO RAMOS',2,NULL,NULL,NULL,4209003,NULL),(25,'45','COLÉGIO GOV IVO SILVEIRA',2,NULL,NULL,NULL,4202008,NULL),(25,'450','CE OSCAR RODRIGUES DA NOVA',2,NULL,NULL,NULL,4209003,NULL),(25,'451','EEB IRAÍ ZILIO',2,NULL,NULL,NULL,4209003,NULL),(25,'452','CENT. DE EST PROF DO O CATARINENSE',4,NULL,NULL,NULL,4209003,NULL),(25,'453','COLÉGIO ALBERT EINSTEIN',4,NULL,NULL,NULL,4209003,NULL),(25,'454','COLÉGIO LUTERANO SANTÍSSIMA TRINDADE',4,NULL,NULL,NULL,4209003,NULL),(25,'455','NÚCLEO PEDAGÓGICO RURAL-NUPERAJO',2,NULL,NULL,NULL,4209003,NULL),(25,'456','C ADVENTISTA DE JOINVILLE (DOM PEDRO II)',4,NULL,NULL,NULL,4209102,NULL),(25,'457','INST.SUP.E CENTRO EDUC LUTER. BOM JESUS',4,NULL,NULL,NULL,4209102,NULL),(25,'458','COLÉGIO BOM PASTOR',4,NULL,NULL,NULL,4209102,NULL),(25,'459','C CENECISTA JOSÉ ELIAS MOREIRA',4,NULL,NULL,NULL,4209102,NULL),(25,'46','C M PROF ANTÔNIO LUCIO',1,NULL,NULL,NULL,4202008,NULL),(25,'460','COLÉGIO DE APLICAÇÃO DA FURJ',4,NULL,NULL,NULL,4209102,NULL),(25,'461','COLÉGIO DOS SANTOS ANJOS',4,NULL,NULL,NULL,4209102,NULL),(25,'462','COLÉGIO SANTO ANTÔNIO',4,NULL,NULL,NULL,4209102,NULL),(25,'463','COLÉGIO TÉCNICO JOINVILENSE',4,NULL,NULL,NULL,4209102,NULL),(25,'464','EEB ARNALDO MOREIRA DOUAT',2,NULL,NULL,NULL,4209102,NULL),(25,'465','EEB CONSELHEIRO MAFRA',2,NULL,NULL,NULL,4209102,NULL),(25,'466','EEB DOM PIO DE FREITAS',2,NULL,NULL,NULL,4209102,NULL),(25,'467','EEB DR JORGE LACERDA',2,NULL,NULL,NULL,4209102,NULL),(25,'468','EEB DR PAULO MEDEIROS',2,NULL,NULL,NULL,4209102,NULL),(25,'469','EEB DR TUFI DIPPE',2,NULL,NULL,NULL,4209102,NULL),(25,'47','C PROF ARMANDO CÉSAR GHISLANDI',1,NULL,NULL,NULL,4202008,NULL),(25,'470','EEB ENGENHEIRO ANNES GUALBERTO',2,NULL,NULL,NULL,4209102,NULL),(25,'471','EEB GIOVANI PASQUALINI FARACO',2,NULL,NULL,NULL,4209102,NULL),(25,'472','EEB JOÃO COLIN',2,NULL,NULL,NULL,4209102,NULL),(25,'473','EEB MAESTRO FRANCISCO M DA SILVA',2,NULL,NULL,NULL,4209102,NULL),(25,'474','EEB OLAVO BILAC',2,NULL,NULL,NULL,4209102,NULL),(25,'475','EEB OSVALDO ARANHA',2,NULL,NULL,NULL,4209102,NULL),(25,'476','EEB PLÁCIDO OLÍMPIO DE OLIVEIRA',2,NULL,NULL,NULL,4209102,NULL),(25,'477','EEB PRES MÉDICI',2,NULL,NULL,NULL,4209102,NULL),(25,'478','EEB PROF GERMANO TIMM',2,NULL,NULL,NULL,4209102,NULL),(25,'479','EEB PROF JOÃO MARTINS VERAS',2,NULL,NULL,NULL,4209102,NULL),(25,'48','COL. PROFª ELIZABETH A. R. TOMIO PEART',4,NULL,NULL,NULL,4202008,NULL),(25,'480','EEB PROFª ALÍCIA B FERREIRA',2,NULL,NULL,NULL,4209102,NULL),(25,'481','EEB PROFª ANTÔNIA ALPAIDES C DOS SANTOS',2,NULL,NULL,NULL,4209102,NULL),(25,'482','EEB PROF. GERTRUDES BENTA COSTA',2,NULL,NULL,NULL,4209102,NULL),(25,'483','EEB PROFª JANDIRA DÁVILA',2,NULL,NULL,NULL,4209102,NULL),(25,'484','EEB PROFª JURACY MARIA BROSIG',2,NULL,NULL,NULL,4209102,NULL),(25,'485','CEDUP DÁRIO GERALDO SALLES',2,NULL,NULL,NULL,4209102,NULL),(25,'486','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4209102,NULL),(25,'487','COLÉGIO ESQUEMA OBJETIVO',4,NULL,NULL,NULL,4209102,NULL),(25,'488','COLÉGIO JOINVILLE',4,NULL,NULL,NULL,4209102,NULL),(25,'489','COLÉGIO NOVA ERA',4,NULL,NULL,NULL,4209102,NULL),(25,'49','EEB PRES JOÃO GOULART',2,NULL,NULL,NULL,4202008,NULL),(25,'490','COLÉGIO NOVA JOINVILLE',4,NULL,NULL,NULL,4209102,NULL),(25,'492','EEM GOV CELSO RAMOS',2,NULL,NULL,NULL,4209102,NULL),(25,'493','E DE EDUCAÇÃO INFANTIL',4,NULL,NULL,NULL,4209102,NULL),(25,'494','E TÉCNICA TUPY',4,NULL,NULL,NULL,4209102,NULL),(25,'495','EEB JOSÉ CLEMENTE PEREIRA',2,NULL,NULL,NULL,4209151,NULL),(25,'496','EEB JOAQUIM D AGOSTINI',2,NULL,NULL,NULL,4209201,NULL),(25,'497','COLÉGIO BOM JESUS DIOCESANO',4,NULL,NULL,NULL,4209300,NULL),(25,'498','COLÉGIO INDUSTRIAL DE LAGES',2,NULL,NULL,NULL,4209300,NULL),(25,'499','COLÉGIO SANTA ROSA DE LIMA',4,NULL,NULL,NULL,4209300,NULL),(25,'5','E AGROTÉCNICA MUL. I. BORNHAUSEN',1,NULL,NULL,NULL,4200101,NULL),(25,'50','EEB PROFª FRANCISCA ALVES GEVAERD',2,NULL,NULL,NULL,4202008,NULL),(25,'500','EEB ARISTILIANO RAMOS',2,NULL,NULL,NULL,4209300,NULL),(25,'501','EEB FRANCISCO MANFROI',2,NULL,NULL,NULL,4209300,NULL),(25,'502','EEB FREI NICODEMOS',2,NULL,NULL,NULL,4209300,NULL),(25,'503','EEB GEN JOSÉ PINTO SOMBRA',2,NULL,NULL,NULL,4209300,NULL),(25,'504','EEB LÚCIA FERNANDES LOPES',2,NULL,NULL,NULL,4209300,NULL),(25,'505','EEB NS DO ROSÁRIO',2,NULL,NULL,NULL,4209300,NULL),(25,'506','EEB PROF ARMANDO R DE CARVALHO',2,NULL,NULL,NULL,4209300,NULL),(25,'507','EEB PROF FLORDOALDO CABRAL',2,NULL,NULL,NULL,4209300,NULL),(25,'508','EEB RUBENS DE ARRUDA RAMOS',2,NULL,NULL,NULL,4209300,NULL),(25,'509','EEB SÃO JUDAS TADEU',2,NULL,NULL,NULL,4209300,NULL),(25,'51','EEB PROFª MARIA DA GLÓRIA PEREIRA',2,NULL,NULL,NULL,4202008,NULL),(25,'510','EEB ZULMIRA AUTA DA SILVA',2,NULL,NULL,NULL,4209300,NULL),(25,'511','UNIPLAC CENTRO DE ENSINO FUNDAMENTAL',4,NULL,NULL,NULL,4209300,NULL),(25,'512','EEB VIDAL RAMOS JUNIOR',2,NULL,NULL,NULL,4209300,NULL),(25,'513','CEDUP RENATO RAMOS DA SILVA',2,NULL,NULL,NULL,4209300,NULL),(25,'514','COLÉGIO POSILAGES LTDA',4,NULL,NULL,NULL,4209300,NULL),(25,'515','COLÉGIO UNIVEST LAGES LTDA',4,NULL,NULL,NULL,4209300,NULL),(25,'516','EEB GODOLFIN NUNES DE SOUSA',2,NULL,NULL,NULL,4209300,NULL),(25,'517','EMEF ITINERANTE MARIA ALICE W SOUSA',1,NULL,NULL,NULL,4209300,NULL),(25,'518','ESC.TÉCNICA DE COMÉRCIO DE LAGES',4,NULL,NULL,NULL,4209300,NULL),(25,'519','INSTITUTO SÃO JOÃO BATISTA VIANEI',4,NULL,NULL,NULL,4209300,NULL),(25,'52','COLÉGIO CAMBORIÚ',4,NULL,NULL,NULL,4202008,NULL),(25,'520','EEB COMERCIAL LAGUNENSE',2,NULL,NULL,NULL,4209409,NULL),(25,'521','EEM ALMIRANTE LAMEGO',2,NULL,NULL,NULL,4209409,NULL),(25,'522','EEB ANA GONDIN',2,NULL,NULL,NULL,4209409,NULL),(25,'523','EEB SAUL ULYSSÉA',2,NULL,NULL,NULL,4209409,NULL),(25,'524','EEB PROFIS. PROFª ADÉLIA C. VAREJÃO',4,NULL,NULL,NULL,4209409,NULL),(25,'525','COLÉGIO STELLA MARIS',4,NULL,NULL,NULL,4209409,NULL),(25,'526','EEB PROF ANTÔNIA GASINO DE FREITAS',2,NULL,NULL,NULL,4209458,NULL),(25,'527','COLÉGIO SÃO JOSÉ',4,NULL,NULL,NULL,4209508,NULL),(25,'528','EEB TEREZA CRISTINA',2,NULL,NULL,NULL,4209508,NULL),(25,'529','EEB ENG ERNANI COTRIN',2,NULL,NULL,NULL,4209607,NULL),(25,'53','COLÉGIO MARGIRUS',4,NULL,NULL,NULL,4202008,NULL),(25,'530','EEB VISCONDE DE TAUNAY',2,NULL,NULL,NULL,4209607,NULL),(25,'531','EEB WALTER HOLTHAUSEN',2,NULL,NULL,NULL,4209607,NULL),(25,'532','EEB FREI CANECA',2,NULL,NULL,NULL,4209706,NULL),(25,'533','EEB BERTINO SILVA',2,NULL,NULL,NULL,4209805,NULL),(25,'534','EEB PE IZIDORO BENJAMIM MORO',2,NULL,NULL,NULL,4209854,NULL),(25,'535','EEB REGENTE FEIJÓ',2,NULL,NULL,NULL,4209904,NULL),(25,'536','EEB GOV IRINEU BORNHAUSEN',2,NULL,NULL,NULL,4210001,NULL),(25,'537','EEB JOÃO GAYA',2,NULL,NULL,NULL,4210001,NULL),(25,'538','COLÉGIO CENECISTA LUZERNENSE',4,NULL,NULL,NULL,4210035,NULL),(25,'539','EEB PADRE NÓBREGA',2,NULL,NULL,NULL,4210035,NULL),(25,'54','EEB PRAIA DA GAIVOTA',2,NULL,NULL,NULL,4202073,NULL),(25,'540','EEB ALBINA MOSCONI',2,NULL,NULL,NULL,4210050,NULL),(25,'541','COLÉGIO MAFRENSE',4,NULL,NULL,NULL,4210100,NULL),(25,'542','EEB BARÃO DE ANTONINA',2,NULL,NULL,NULL,4210100,NULL),(25,'543','EEB DR FRANCISCO IZABEL',2,NULL,NULL,NULL,4210100,NULL),(25,'544','EEB JOVINO LIMA',2,NULL,NULL,NULL,4210100,NULL),(25,'545','EEB PROFª MARIA PAULA FERES',2,NULL,NULL,NULL,4210100,NULL),(25,'546','EEB MANOEL VICENTE GOMES',2,NULL,NULL,NULL,4210209,NULL),(25,'547','COLÉGIO MAJOR VIEIRA',4,NULL,NULL,NULL,4210308,NULL),(25,'548','EEB LUIZ DAVET',2,NULL,NULL,NULL,4210308,NULL),(25,'549','C CENECISTA GIÁCOMO DE PELEGRINI',4,NULL,NULL,NULL,4210407,NULL),(25,'55','EEB HÉLIO WASUM',2,NULL,NULL,NULL,4202081,NULL),(25,'550','EEB MANOEL GOMES BALTAZAR',2,NULL,NULL,NULL,4210407,NULL),(25,'551','EEB JOÃO XXIII',2,NULL,NULL,NULL,4210506,NULL),(25,'552','EEB NS DA SALETE',2,NULL,NULL,NULL,4210506,NULL),(25,'553','ETC RUI BARBOSA',1,NULL,NULL,NULL,4210506,NULL),(25,'554','EEB PROF ZELINDO CARBONERA',2,NULL,NULL,NULL,4210555,NULL),(25,'555','EEB GAL RONDON',2,NULL,NULL,NULL,4210605,NULL),(25,'556','C CENECISTA SIMEÃO CARNEIRO',4,NULL,NULL,NULL,4210704,NULL),(25,'557','EEB DOM DANIEL HOSTIN',2,NULL,NULL,NULL,4210704,NULL),(25,'558','C CENECISTA NICOLAU MACHADO DE SOUZA',4,NULL,NULL,NULL,4210803,NULL),(25,'559','EEB DE MELEIRO',2,NULL,NULL,NULL,4210803,NULL),(25,'56','EEB PROFª CECÍLIA LOTIN',2,NULL,NULL,NULL,4202099,NULL),(25,'560','EEB BRUNO HEIDRICH',2,NULL,NULL,NULL,4210852,NULL),(25,'561','C CENECISTA JOSÉ DE ALENCAR',4,NULL,NULL,NULL,4210902,NULL),(25,'562','EEB DOM HELDER CÂMARA',2,NULL,NULL,NULL,4210902,NULL),(25,'563','COLÉGIO CENECISTA ARTUR DEISS',4,NULL,NULL,NULL,4211009,NULL),(25,'564','EEB DELMINDA SILVEIRA',2,NULL,NULL,NULL,4211009,NULL),(25,'565','CE MARINO PISANI',2,NULL,NULL,NULL,4211058,NULL),(25,'566','EEB VALENTIN G RIBEIRO',2,NULL,NULL,NULL,4211108,NULL),(25,'567','EEB PRINCESA ISABEL',2,NULL,NULL,NULL,4211207,NULL),(25,'568','EEB ANA MACHADO DAL TOE',2,NULL,NULL,NULL,4211256,NULL),(25,'569','EEB ADELAIDE KONDER',2,NULL,NULL,NULL,4211306,NULL),(25,'57','EEB CONSELHEIRO ASTROGILDO ODON AGUIAR',2,NULL,NULL,NULL,4202107,NULL),(25,'570','EEB PROFª JÚLIA MIRANDA DE SOUZA',2,NULL,NULL,NULL,4211306,NULL),(25,'571','C CENECISTA RUI BARBOSA',4,NULL,NULL,NULL,4211405,NULL),(25,'572','EEB RUDOLFO LUZINA',2,NULL,NULL,NULL,4211405,NULL),(25,'573','EEB DR SERAFIN ENOSS BERTASO',2,NULL,NULL,NULL,4211454,NULL),(25,'574','EEB FRANCISCO MAZZOLA',2,NULL,NULL,NULL,4211504,NULL),(25,'575','C CENECISTA CÔNEGO MIGUEL GIACCA',4,NULL,NULL,NULL,4211603,NULL),(25,'576','EEB ABÍLIO CÉSAR BORGES',2,NULL,NULL,NULL,4211603,NULL),(25,'577','EEB HUMBERTO HERMES HOFFMANN',2,NULL,NULL,NULL,4211603,NULL),(25,'578','EEB JULIETA TORRES GONÇALVES',2,NULL,NULL,NULL,4211603,NULL),(25,'579','EEB SANTA LÚCIA',2,NULL,NULL,NULL,4211652,NULL),(25,'58','EEB DAVID PEDRO ESPÍNDOLA',2,NULL,NULL,NULL,4202107,NULL),(25,'580','EEB TONEZA CASCAES',2,NULL,NULL,NULL,4211702,NULL),(25,'581','ESC BARRIGA VERDE',4,NULL,NULL,NULL,4211702,NULL),(25,'582','ETC DE ORLEANS',1,NULL,NULL,NULL,4211702,NULL),(25,'583','EEB ELZA DEEKE',2,NULL,NULL,NULL,4211751,NULL),(25,'584','EEB FREI CRESPIM',2,NULL,NULL,NULL,4211801,NULL),(25,'585','EEB PREF SÍLVIO SANTOS',2,NULL,NULL,NULL,4211801,NULL),(25,'586','EEB CELESTINO JOSÉ DO NASCIMENTO',2,NULL,NULL,NULL,4211850,NULL),(25,'587','EEB FRANCISCO MACIEL BAGESTON',2,NULL,NULL,NULL,4211876,NULL),(25,'588','EEB PADRE ANTÔNIO TRIVELLIN',2,NULL,NULL,NULL,4211892,NULL),(25,'589','COLÉGIO CARROSSEL 2 GRAU E SUPLETIVO',4,NULL,NULL,NULL,4211900,NULL),(25,'59','EEB ESTANISLAU SCHUMANN',2,NULL,NULL,NULL,4202131,NULL),(25,'590','CENTRO EDUC MARIA VARGAS',4,NULL,NULL,NULL,4211900,NULL),(25,'591','EEB GOV IVO SILVEIRA',2,NULL,NULL,NULL,4211900,NULL),(25,'592','EEB IRMÃ MARIA TERESA',2,NULL,NULL,NULL,4211900,NULL),(25,'593','EEB JOÃO SILVEIRA',2,NULL,NULL,NULL,4211900,NULL),(25,'594','EEB JOSÉ MARIA CARDOSO DA VEIGA',2,NULL,NULL,NULL,4211900,NULL),(25,'595','EEB PE VICENTE FERREIRA CORDEIRO',2,NULL,NULL,NULL,4211900,NULL),(25,'596','COLÉGIO BOM JESUS LTDA',4,NULL,NULL,NULL,4211900,NULL),(25,'597','COLÉGIO CARROCEL',4,NULL,NULL,NULL,4211900,NULL),(25,'598','EEB CLAUDINO CRESTANI',2,NULL,NULL,NULL,4212007,NULL),(25,'599','EEB CATHARINA SEGER',2,NULL,NULL,NULL,4212007,NULL),(25,'6','EEB PEDRO AMÉRICO',2,NULL,NULL,NULL,4200200,NULL),(25,'60','EEB PROF. FCO BRASINHA DIAS',2,NULL,NULL,NULL,4202156,NULL),(25,'600','COL. CENECISTA NEREU RAMOS',4,NULL,NULL,NULL,4212106,NULL),(25,'601','EEB FELISBERTO DE CARVALHO',2,NULL,NULL,NULL,4212106,NULL),(25,'602','COLÉGIO PAPANDUVA',4,NULL,NULL,NULL,4212205,NULL),(25,'603','EEB ALINOR VIEIRA CORTE',2,NULL,NULL,NULL,4212205,NULL),(25,'604','EEB ADOLFO SILVEIRA',2,NULL,NULL,NULL,4212239,NULL),(25,'605','EEB GOV HILDO MENEGHETTI',2,NULL,NULL,NULL,4212254,NULL),(25,'606','EEB PROFª CORÁLIA GEVAERD OLINNGER',2,NULL,NULL,NULL,4212270,NULL),(25,'607','EEB FREDERICO SANTOS',2,NULL,NULL,NULL,4212304,NULL),(25,'608','EEB IMACULADO CORAÇÃO DE MARIA',2,NULL,NULL,NULL,4212403,NULL),(25,'609','EEB MANOEL HENRIQUE DE ASSIS',2,NULL,NULL,NULL,4212502,NULL),(25,'61','EEB TERCÍLIO LONGO',2,NULL,NULL,NULL,4202206,NULL),(25,'610','EEB PROF JOÃO BATISTA PAIVA',2,NULL,NULL,NULL,4212502,NULL),(25,'611','C CENECISTA IRINEU BORNHAUSEN',4,NULL,NULL,NULL,4212601,NULL),(25,'612','EEB IRMÃ ANUNCIATA SPERANDIO',2,NULL,NULL,NULL,4212601,NULL),(25,'613','EEB HERMES FONTES',2,NULL,NULL,NULL,4212700,NULL),(25,'614','EEB ALEXANDRE GUILHERME FIGUEREDO',2,NULL,NULL,NULL,4212809,NULL),(25,'615','C PLÍNIO ARLINDO DE NES',1,NULL,NULL,NULL,4212908,NULL),(25,'616','EEB JOSÉ MARCOLINO ECKERT',2,NULL,NULL,NULL,4212908,NULL),(25,'617','COLÉGIO CENECISTA DOM BOSCO',4,NULL,NULL,NULL,4213005,NULL),(25,'618','EEB PROFª MAURA DE SENA PEREIRA',2,NULL,NULL,NULL,4213005,NULL),(25,'619','EEB CARLOS CHAGAS',2,NULL,NULL,NULL,4213104,NULL),(25,'62','EEB TEÓFILO NOLASCO DE ALMEIDA',2,NULL,NULL,NULL,4202206,NULL),(25,'620','EEB PROFª LOURDES TONIN',2,NULL,NULL,NULL,4213153,NULL),(25,'621','EEB JOSE BONIFÁCIO',2,NULL,NULL,NULL,4213203,NULL),(25,'622','EEB PRES PRUDENTE DE MORAIS',2,NULL,NULL,NULL,4213203,NULL),(25,'623','COLÉGIO CITI',4,NULL,NULL,NULL,4213203,NULL),(25,'624','COLÉGIO SINODAL DR BLUMENAU',4,NULL,NULL,NULL,4213203,NULL),(25,'625','EEB SÃO TARCÍSIO',2,NULL,NULL,NULL,4213302,NULL),(25,'626','EEB FREI ROGÉRIO',2,NULL,NULL,NULL,4213351,NULL),(25,'627','C CENECISTA ALBERTO ZOLLER FILHO',4,NULL,NULL,NULL,4213401,NULL),(25,'628','EEB BELERMINO VITOR DALLA VECCHIA',2,NULL,NULL,NULL,4213401,NULL),(25,'629','EEB DOM VITAL',2,NULL,NULL,NULL,4213401,NULL),(25,'63','C EDUCAR',4,NULL,NULL,NULL,4202305,NULL),(25,'630','EEB TIRADENTES',2,NULL,NULL,NULL,4213500,NULL),(25,'631','COLÉGIO MIGUEL FARAH',4,NULL,NULL,NULL,4213609,NULL),(25,'632','COLÉGIO SANTOS ANJOS',4,NULL,NULL,NULL,4213609,NULL),(25,'633','COLÉGIO SÃO JOSÉ',4,NULL,NULL,NULL,4213609,NULL),(25,'634','EEB ANTÔNIO GONZAGA',2,NULL,NULL,NULL,4213609,NULL),(25,'635','EEB CEL CID GONZAGA',2,NULL,NULL,NULL,4213609,NULL),(25,'636','EEB PROF BALBUÍNO CARDOSO',2,NULL,NULL,NULL,4213609,NULL),(25,'637','EEB PROF CLEMENTINO BRITTO',2,NULL,NULL,NULL,4213609,NULL),(25,'638','EEB PROF GERMANO WAGENFUHR',2,NULL,NULL,NULL,4213609,NULL),(25,'639','EEB ARNO SIEVERDT',2,NULL,NULL,NULL,4213708,NULL),(25,'64','EEB CÔNEGO RODOLFO MACHADO',2,NULL,NULL,NULL,4202305,NULL),(25,'640','EEB PROF ANAIR MARGARIDA VOLTOLINI',2,NULL,NULL,NULL,4213708,NULL),(25,'641','EEB BULCÃO VIANA',2,NULL,NULL,NULL,4213807,NULL),(25,'642','EEB DOIS IRMÃOS',2,NULL,NULL,NULL,4213906,NULL),(25,'643','EEB CECÍLIA AX',2,NULL,NULL,NULL,4214003,NULL),(25,'644','EEB ORLANDO BERTOLI',2,NULL,NULL,NULL,4214003,NULL),(25,'645','EEB JOÃO TOLENTINO JUNIOR',2,NULL,NULL,NULL,4214102,NULL),(25,'646','EEB ANTENOR NASCENTES',2,NULL,NULL,NULL,4214151,NULL),(25,'647','COLÉGIO CENECISTA NS DE FÁTIMA',4,NULL,NULL,NULL,4214201,NULL),(25,'648','EEB PROFª JUREMA SAVI MILANEZ',2,NULL,NULL,NULL,4214201,NULL),(25,'649','EEB MARILDA LENIA ARAÚJO',2,NULL,NULL,NULL,4214300,NULL),(25,'65','EEM PROFª MARIA DA GLÓRIA V DE FARIA',2,NULL,NULL,NULL,4202305,NULL),(25,'650','EEB SANTOS ANJOS',2,NULL,NULL,NULL,4214409,NULL),(25,'651','EEB DR FERNANDO FERREIRA DE MELLO',2,NULL,NULL,NULL,4214508,NULL),(25,'652','EEB EXPEDICIONÁRIO MÁRIO NARDELLI',2,NULL,NULL,NULL,4214607,NULL),(25,'653','COLÉGIO DOM BOSCO',4,NULL,NULL,NULL,4214805,NULL),(25,'654','COLÉGIO SINODAL RUY BARBOSA',4,NULL,NULL,NULL,4214805,NULL),(25,'655','COLÉGIO TÉCNICO DA FEDAVI',4,NULL,NULL,NULL,4214805,NULL),(25,'656','EEB DEP JOÃO CUSTÓDIO DA LUZ',2,NULL,NULL,NULL,4214805,NULL),(25,'657','EEB PAULO CORDEIRO',2,NULL,NULL,NULL,4214805,NULL),(25,'658','EEB PAULO ZIMMERMANN',2,NULL,NULL,NULL,4214805,NULL),(25,'659','EEB PROF HENRIQUE DA SILVA FONTES',2,NULL,NULL,NULL,4214805,NULL),(25,'66','EEB PROFª TÂNIA MARA F E SILVA LOCKS',2,NULL,NULL,NULL,4202305,NULL),(25,'660','CE ROBERTO MACHADO',2,NULL,NULL,NULL,4214805,NULL),(25,'661','COLÉGIO UNIVEST',4,NULL,NULL,NULL,4214805,NULL),(25,'662','ESC AGROTÉCNICA FEDERAL DE RIO DO SUL',3,NULL,NULL,NULL,4214805,NULL),(25,'663','INSTITUTO MARIA AUXILIADORA',4,NULL,NULL,NULL,4214805,NULL),(25,'664','EEB PROF GIOVANI TRENTINI',2,NULL,NULL,NULL,4214706,NULL),(25,'665','EEB NS DE FÁTIMA',2,NULL,NULL,NULL,4214904,NULL),(25,'666','COLÉGIO CENECISTA SÃO JOSÉ',4,NULL,NULL,NULL,4215000,NULL),(25,'667','EEB JORGE ZIPPERER',2,NULL,NULL,NULL,4215000,NULL),(25,'668','EEB LUIZ BERNARDO OLSEN',2,NULL,NULL,NULL,4215000,NULL),(25,'669','EEM MANUEL DA NÓBREGA',2,NULL,NULL,NULL,4215000,NULL),(25,'67','COLÉGIO DOUTOR BLUMENAU',4,NULL,NULL,NULL,4202404,NULL),(25,'670','CE PROFª AURORA SIQUEIRA JABLONSKI',2,NULL,NULL,NULL,4215000,NULL),(25,'671','CE PROFª MARTA TAVARES',2,NULL,NULL,NULL,4215000,NULL),(25,'672','ESCOLA ITINERANTE ESITRINE',1,NULL,NULL,NULL,4215000,NULL),(25,'673','EEB PROF DJALMA BENTO',2,NULL,NULL,NULL,4215059,NULL),(25,'674','EEB PROFª GENOVEVA DALLA COSTA',2,NULL,NULL,NULL,4215075,NULL),(25,'675','C COMÉRCIO MÁRIO LOCATELLI',4,NULL,NULL,NULL,4215109,NULL),(25,'676','COLÉGIO MADRE AVOSANI',4,NULL,NULL,NULL,4215109,NULL),(25,'677','EEB OSVALDO CRUZ',2,NULL,NULL,NULL,4215109,NULL),(25,'678','C CENECISTA IMACULADA CONCEIÇÃO',4,NULL,NULL,NULL,4215208,NULL),(25,'679','EEB PROF HERMÍNIO H. DA SILVA',2,NULL,NULL,NULL,4215208,NULL),(25,'68','COLÉGIO DR FRITZ MULLER',2,NULL,NULL,NULL,4202404,NULL),(25,'680','EEB GUILHERME ANDRE DALRI',2,NULL,NULL,NULL,4215307,NULL),(25,'682','EEB EMÍLIA BOOS LAUS SCHMIDT',2,NULL,NULL,NULL,4215356,NULL),(25,'683','C CENECISTA EURICO GASPAR DUTRA',4,NULL,NULL,NULL,4215406,NULL),(25,'684','EEB CECÍLIA VIVAN',2,NULL,NULL,NULL,4215406,NULL),(25,'685','EEB BERNARDO SCHMITZ',2,NULL,NULL,NULL,4215455,NULL),(25,'686','EEB IRMÃ IRENE',2,NULL,NULL,NULL,4215505,NULL),(25,'687','EEB SANTA HELENA',2,NULL,NULL,NULL,4215554,NULL),(25,'688','EEB PROF ALDO CÂMARA',2,NULL,NULL,NULL,4215604,NULL),(25,'689','EEB JOÃO DOS SANTOS AREÃO',2,NULL,NULL,NULL,4215653,NULL),(25,'69','EEB PEDRO II',2,NULL,NULL,NULL,4202404,NULL),(25,'690','ESC AGROTÉCNICA FEDERAL DE SOMBRIO',3,NULL,NULL,NULL,4215653,NULL),(25,'691','EEB PE JOÃO KOMINEK',2,NULL,NULL,NULL,4215679,NULL),(25,'692','EEB SANTA TEREZINHA',2,NULL,NULL,NULL,4215687,NULL),(25,'693','EEB CELSO RAMOS FILHO',2,NULL,NULL,NULL,4215802,NULL),(25,'694','EEB FREDERICO FENDRICH',2,NULL,NULL,NULL,4215802,NULL),(25,'695','EEB ORESTES GUIMARÃES',2,NULL,NULL,NULL,4215802,NULL),(25,'696','EEB PREF CARLOS ZIPPERER SOBRINHO',2,NULL,NULL,NULL,4215802,NULL),(25,'697','EEM PROF ROBERTO GRANT',2,NULL,NULL,NULL,4215802,NULL),(25,'698','EEB SÃO BENTO',2,NULL,NULL,NULL,4215802,NULL),(25,'699','COLÉGIO SÃO JOSÉ',4,NULL,NULL,NULL,4215802,NULL),(25,'7','EEB MARIA REGINA DE OLIVEIRA',2,NULL,NULL,NULL,4200309,NULL),(25,'70','C FRANCISCANO SANTO ANTÔNIO',4,NULL,NULL,NULL,4202404,NULL),(25,'700','FETEP FUND ENS TECNOL E PESQUISA',4,NULL,NULL,NULL,4215802,NULL),(25,'701','EEB SÃO BERNARDINO',2,NULL,NULL,NULL,4215752,NULL),(25,'702','EEB SÃO TARCÍSIO',2,NULL,NULL,NULL,4215901,NULL),(25,'703','COLÉGIO 25 DE JULHO',4,NULL,NULL,NULL,4216008,NULL),(25,'704','EEB CARDEAL ARCOVERDE',2,NULL,NULL,NULL,4216008,NULL),(25,'705','EEB PROF ARGEU FURTADO',2,NULL,NULL,NULL,4216057,NULL),(25,'706','C CENECISTA NS APARECIDA',4,NULL,NULL,NULL,4216107,NULL),(25,'707','EEB JOÃO ROBERTO MOREIRA',2,NULL,NULL,NULL,4216107,NULL),(25,'708','EEB PROF NICOLA BAPTISTA',2,NULL,NULL,NULL,4216206,NULL),(25,'709','EEB PROFª CLAURINICE VIEIRA CALDEIRA',2,NULL,NULL,NULL,4216206,NULL),(25,'71','COLÉGIO SAGRADA FAMÍLIA',4,NULL,NULL,NULL,4202404,NULL),(25,'710','EEB SANTA CATARINA',2,NULL,NULL,NULL,4216206,NULL),(25,'711','ETC SÃO FRANCISCO DO SUL',1,NULL,NULL,NULL,4216206,NULL),(25,'712','EEB SÃO JOÃO BATISTA',2,NULL,NULL,NULL,4216305,NULL),(25,'713','EEB PROFª ELVIRA FARIA PASSOS',2,NULL,NULL,NULL,4216354,NULL),(25,'714','C CENECISTA JORGE LACERDA',4,NULL,NULL,NULL,4216255,NULL),(25,'715','EEB  MADRE BENVENUTA',2,NULL,NULL,NULL,4216255,NULL),(25,'716','EEB  PE TEODORO TREIS',2,NULL,NULL,NULL,4216255,NULL),(25,'717','EEB ÂNGELO SCARPA',2,NULL,NULL,NULL,4216404,NULL),(25,'718','C CENECISTA SÃO JOAQUIM',4,NULL,NULL,NULL,4216503,NULL),(25,'719','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4216503,NULL),(25,'72','COLÉGIO VALE DO ITAJAÍ',4,NULL,NULL,NULL,4202404,NULL),(25,'720','COLÉGIO PARADIGMA',4,NULL,NULL,NULL,4216503,NULL),(25,'721','EDUCANDÁRIO SANTA ISABEL',4,NULL,NULL,NULL,4216503,NULL),(25,'722','C CENECISTA MONS FREDERICO HOBOLD',4,NULL,NULL,NULL,4216602,NULL),(25,'723','COL DOM JAIME CÂMARA',4,NULL,NULL,NULL,4216602,NULL),(25,'724','COL CENTRO EDUC VISÃO',4,NULL,NULL,NULL,4216602,NULL),(25,'725','COL SOLAR DO CHAPEUZ VERMELHO',4,NULL,NULL,NULL,4216602,NULL),(25,'726','EEB BELA VISTA',2,NULL,NULL,NULL,4216602,NULL),(25,'727','EEB CECÍLIA ROSA LOPES',2,NULL,NULL,NULL,4216602,NULL),(25,'728','EEB FRANCISCO TOLENTINO',2,NULL,NULL,NULL,4216602,NULL),(25,'729','EEB N S DA CONCEIÇÃO',2,NULL,NULL,NULL,4216602,NULL),(25,'73','EEB ADOLPHO KONDER',2,NULL,NULL,NULL,4202404,NULL),(25,'730','EEB PRES JUSC KUBITSCHEK',2,NULL,NULL,NULL,4216602,NULL),(25,'731','EEB PROF JOAQUIM SANTIAGO',2,NULL,NULL,NULL,4216602,NULL),(25,'732','EEB PROF LAÉRCIO C.DE ANDRADA',2,NULL,NULL,NULL,4216602,NULL),(25,'733','EEB PROFª MARIA J B VIEIRA',2,NULL,NULL,NULL,4216602,NULL),(25,'734','EEB WANDERLEY JUNIOR',2,NULL,NULL,NULL,4216602,NULL),(25,'735','CENTRO DE ENSINO KOBRASOL LTDA',4,NULL,NULL,NULL,4216602,NULL),(25,'736','CM MARIA LUIZA DE MELO',1,NULL,NULL,NULL,4216602,NULL),(25,'737','COL ALPHA OBJETIVO',4,NULL,NULL,NULL,4216602,NULL),(25,'738','COLÉGIO ELISA ANDREOLI',4,NULL,NULL,NULL,4216602,NULL),(25,'739','IF-SC - CAMPUS SÃO JOSÉ (CEFET)',3,NULL,NULL,NULL,4216602,NULL),(25,'74','EEB CEL PEDRO CHRISTIANO FEDDERSEN',2,NULL,NULL,NULL,4202404,NULL),(25,'740','EEB CEDRENSE',2,NULL,NULL,NULL,4216701,NULL),(25,'741','C AGRÍCOLA CAETANO COSTA',2,NULL,NULL,NULL,4216800,NULL),(25,'742','EEB MAURO GONÇALVES FARIAS',2,NULL,NULL,NULL,4216800,NULL),(25,'743','C CENECISTA JORGE LACERDA',4,NULL,NULL,NULL,4216909,NULL),(25,'744','EEB RUI BARBOSA',2,NULL,NULL,NULL,4216909,NULL),(25,'745','EEB SOROR ANGÉLICA',2,NULL,NULL,NULL,4216909,NULL),(25,'746','COLÉGIO IMPACTO LTDA',4,NULL,NULL,NULL,4216909,NULL),(25,'747','ESC SÃO FRANCISCO DE ASSIS',4,NULL,NULL,NULL,4216909,NULL),(25,'748','EEB SÃO LUDGERO',2,NULL,NULL,NULL,4217006,NULL),(25,'749','CE SÃO LUDGERO',2,NULL,NULL,NULL,4217006,NULL),(25,'75','EEB EMÍLIO BAUMGART',2,NULL,NULL,NULL,4202404,NULL),(25,'750','EEB FRIDOLINO HULSE',2,NULL,NULL,NULL,4217105,NULL),(25,'751','C NORMAL PARTICULAR SÃO JOSÉ',4,NULL,NULL,NULL,4217204,NULL),(25,'752','COL LA SALLE PEPERI',4,NULL,NULL,NULL,4217204,NULL),(25,'753','EEB ALBERICO AZEVEDO',2,NULL,NULL,NULL,4217204,NULL),(25,'754','EEB DR GUILHERME JOSE MISSEN',2,NULL,NULL,NULL,4217204,NULL),(25,'755','EEB PROF JALDYR BHERING F DA SILVA',2,NULL,NULL,NULL,4217204,NULL),(25,'756','EEB SANTA RITA',2,NULL,NULL,NULL,4217204,NULL),(25,'757','EEB SÃO MIGUEL',2,NULL,NULL,NULL,4217204,NULL),(25,'758','CEDUP GETÚLIO VARGAS',2,NULL,NULL,NULL,4217204,NULL),(25,'759','EEB LINHA SARGENTO',2,NULL,NULL,NULL,4217154,NULL),(25,'76','EEB GOV CELSO RAMOS',2,NULL,NULL,NULL,4202404,NULL),(25,'760','CM SÃO FRANCISCO DE ASSIS',1,NULL,NULL,NULL,4217253,NULL),(25,'761','EEB RODRIGUES ALVES',2,NULL,NULL,NULL,4217303,NULL),(25,'762','EEB MIGUEL COUTO',2,NULL,NULL,NULL,4217402,NULL),(25,'763','EEB RAIMUNDO CORRÊA',2,NULL,NULL,NULL,4217501,NULL),(25,'764','EEB SEARA',2,NULL,NULL,NULL,4217501,NULL),(25,'765','EEB LA SALLE',2,NULL,NULL,NULL,4217550,NULL),(25,'766','C CENECISTA SANTA BARBARA',4,NULL,NULL,NULL,4217600,NULL),(25,'767','CE DOM ORIONE',4,NULL,NULL,NULL,4217600,NULL),(25,'768','EEB JOSÉ DO PATROCÍNIO',2,NULL,NULL,NULL,4217600,NULL),(25,'769','EEB CATULO DA PAIXÃO CEARENSE',2,NULL,NULL,NULL,4217709,NULL),(25,'77','EEB HERCÍLIO DEEKE',2,NULL,NULL,NULL,4202404,NULL),(25,'770','INST EDUCACIONAL MADRE ELISA SAVOLDI',4,NULL,NULL,NULL,4217709,NULL),(25,'771','COL. CEN. CHARLES EDGAR MORITZ',4,NULL,NULL,NULL,4215703,NULL),(25,'772','EEB NEREU RAMOS',2,NULL,NULL,NULL,4215703,NULL),(25,'773','EEB PROF. SILVEIRA DE MATOS',2,NULL,NULL,NULL,4215703,NULL),(25,'774','COLÉGIO QUÂNTICO LTDA',4,NULL,NULL,NULL,4215703,NULL),(25,'775','EEB HÉLIO WASUM',2,NULL,NULL,NULL,4217758,NULL),(25,'776','C CENECISTA NS DE FÁTIMA',4,NULL,NULL,NULL,4217808,NULL),(25,'777','EEB LUIZ BERTOLI',2,NULL,NULL,NULL,4217808,NULL),(25,'778','EEB OTTO HOSANG',2,NULL,NULL,NULL,4217808,NULL),(25,'779','EEB MATER SALVATORIS',2,NULL,NULL,NULL,4217907,NULL),(25,'78','EEM ILSE KARSTEN',2,NULL,NULL,NULL,4202404,NULL),(25,'780','EEB OSVALDO FERREIRA DE MELO',2,NULL,NULL,NULL,4217956,NULL),(25,'781','C CENECISTA BENJAMIN GALLOTTI',4,NULL,NULL,NULL,4218004,NULL),(25,'782','COLÉGIO ESPÍRITO SANTO',4,NULL,NULL,NULL,4218004,NULL),(25,'783','EEB CRUZ E SOUSA',2,NULL,NULL,NULL,4218004,NULL),(25,'784','COL E SUPLETIVO NOVO MILÊNIO',4,NULL,NULL,NULL,4218004,NULL),(25,'785','EEB TIMBÉ DO SUL',2,NULL,NULL,NULL,4218103,NULL),(25,'786','C COMERCIAL DR LEOBERTO LEAL',4,NULL,NULL,NULL,4218202,NULL),(25,'787','EEB RUY BARBOSA',2,NULL,NULL,NULL,4218202,NULL),(25,'788','EEB MACHADO DE ASSIS',2,NULL,NULL,NULL,4218251,NULL),(25,'789','EEB COLOMBO MACHADO SALLES',2,NULL,NULL,NULL,4218301,NULL),(25,'79','EEB LUIZ DELFINO',2,NULL,NULL,NULL,4202404,NULL),(25,'790','EEB FREI MENANDRO KAMPS',2,NULL,NULL,NULL,4218301,NULL),(25,'791','EEB GENERAL OSÓRIO',2,NULL,NULL,NULL,4218301,NULL),(25,'792','EEB UDO DEEK',2,NULL,NULL,NULL,4218350,NULL),(25,'793','EEB MON. BERNARDO PETERS',2,NULL,NULL,NULL,4218400,NULL),(25,'794','C CENECISTA FRANCISCO LINDNER',4,NULL,NULL,NULL,4218509,NULL),(25,'795','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4218509,NULL),(25,'796','EEB DR. HERMANN BLUMENAU',2,NULL,NULL,NULL,4218608,NULL),(25,'797','COLÉGIO SÃO JOSÉ',4,NULL,NULL,NULL,4218707,NULL),(25,'798','EEB HENRIQUE FONTES',2,NULL,NULL,NULL,4218707,NULL),(25,'799','EEB HERCÍLIO LUZ',2,NULL,NULL,NULL,4218707,NULL),(25,'8','CEDUP PROF JALDYR BHERING F SILVA',2,NULL,NULL,NULL,4200408,NULL),(25,'80','EEB PE JOSÉ MAURÍCIO',2,NULL,NULL,NULL,4202404,NULL),(25,'800','EEB JOÃO TEIXEIRA NUNES',2,NULL,NULL,NULL,4218707,NULL),(25,'801','EEB JOÃO XXIII',2,NULL,NULL,NULL,4218707,NULL),(25,'802','EEB MARTINHO ALVES DOS SANTOS',2,NULL,NULL,NULL,4218707,NULL),(25,'803','EEB SANTO ANJO DA GUARDA',2,NULL,NULL,NULL,4218707,NULL),(25,'804','EEB SEN FRANCISCO BENJ. GALLOTTI',2,NULL,NULL,NULL,4218707,NULL),(25,'805','CENTRO INTERCOLEGIAL INTEG DE TUBARÃO',4,NULL,NULL,NULL,4218707,NULL),(25,'806','COLÉGIO DEHON',4,NULL,NULL,NULL,4218707,NULL),(25,'807','CURSO E COLÉGIO ENERGIA TUBARÃO',4,NULL,NULL,NULL,4218707,NULL),(25,'808','CEDUP DIOMÍCIO FREITAS',2,NULL,NULL,NULL,4218707,NULL),(25,'809','ETC DE TUBARÃO',4,NULL,NULL,NULL,4218707,NULL),(25,'81','EEM PROF WIGAND GELHARDT',2,NULL,NULL,NULL,4202404,NULL),(25,'810','SEMINÁRIO NS DE FÁTIMA',4,NULL,NULL,NULL,4218707,NULL),(25,'811','C CENECISTA ANITA GARIBALDI',4,NULL,NULL,NULL,4218756,NULL),(25,'812','EEB PE BALDUÍNO RAMBO',2,NULL,NULL,NULL,4218756,NULL),(25,'813','COLÉGIO SERVOS DE MARIA',4,NULL,NULL,NULL,4218806,NULL),(25,'814','EEB JOÃO COLODEL',2,NULL,NULL,NULL,4218806,NULL),(25,'815','EEB JORGE SCHUTZ',2,NULL,NULL,NULL,4218806,NULL),(25,'816','EEB SÃO LUIZ',2,NULL,NULL,NULL,4218855,NULL),(25,'817','COLÉGIO SANTA CLARA',4,NULL,NULL,NULL,4218905,NULL),(25,'818','EEB ARAÚJO FIGUEIREDO',2,NULL,NULL,NULL,4218905,NULL),(25,'819','EEB MANOEL P. DE MEDEIROS',2,NULL,NULL,NULL,4218954,NULL),(25,'82','EEB PROF HERIBERTO JOSEPH MÜLLER',2,NULL,NULL,NULL,4202404,NULL),(25,'820','COLÉGIO RAINHA DO MUNDO',4,NULL,NULL,NULL,4219002,NULL),(25,'821','EEB BARÃO DO RIO BRANCO',2,NULL,NULL,NULL,4219002,NULL),(25,'822','EEB CAETANO BEZ BATTI',2,NULL,NULL,NULL,4219002,NULL),(25,'823','C CENECISTA FORTUNATO DANIELLI',4,NULL,NULL,NULL,4219101,NULL),(25,'824','EEB KYRANA LACERDA',2,NULL,NULL,NULL,4219101,NULL),(25,'825','EEB DEP. AUGUSTO BRESOLA',2,NULL,NULL,NULL,4219101,NULL),(25,'826','EEB GALEAZZO PAGANELLI',2,NULL,NULL,NULL,4219176,NULL),(25,'827','EEB VITORIO ROMAN',2,NULL,NULL,NULL,4219176,NULL),(25,'828','EEB CACILDA GUIMARÃES',2,NULL,NULL,NULL,4219200,NULL),(25,'829','COLÉGIO IMACULADA CONCEIÇÃO',4,NULL,NULL,NULL,4219309,NULL),(25,'83','EEB PROF JOÃO WIDEMANN',2,NULL,NULL,NULL,4202404,NULL),(25,'830','EEB INSPETOR EURICO RAUEN',2,NULL,NULL,NULL,4219309,NULL),(25,'831','EEB PROFª ADELINA RÉGIS',2,NULL,NULL,NULL,4219309,NULL),(25,'832','ESAVI ESCOLA DE APLICAÇÃO DE VIDEIRA',4,NULL,NULL,NULL,4219309,NULL),(25,'833','ETAVI ESCOLA TÉCNICA DE A DE VIDEIRA',4,NULL,NULL,NULL,4219309,NULL),(25,'834','EEB VITOR MEIRELLES',2,NULL,NULL,NULL,4219358,NULL),(25,'835','EEB PROF. SEMIRAMIS BOSCO',2,NULL,NULL,NULL,4219408,NULL),(25,'836','COLÉGIO LA SALLE',4,NULL,NULL,NULL,4219507,NULL),(25,'837','CE APARÍCIO JÚLIO FARRAPO',2,NULL,NULL,NULL,4219507,NULL),(25,'838','EEB JOÃO WINCKLER',2,NULL,NULL,NULL,4219507,NULL),(25,'839','CE JOAQUIM NABUCO',2,NULL,NULL,NULL,4219507,NULL),(25,'84','EEM PROF ELZA HENRIQUETA T PACHECO',2,NULL,NULL,NULL,4202404,NULL),(25,'840','EEB PRES ARTUR DA COSTA E SILVA',2,NULL,NULL,NULL,4219507,NULL),(25,'841','EEB PROF IRACY TONELLO',2,NULL,NULL,NULL,4219507,NULL),(25,'842','CE NEUSA LEMOS MARQUES',2,NULL,NULL,NULL,4219507,NULL),(25,'843','COLÉGIO CENECISTA JOÃO XXIII',4,NULL,NULL,NULL,4219606,NULL),(25,'844','EEB PROF LUIZ SANCHES BEZERRA DA TRINDAD',2,NULL,NULL,NULL,4219606,NULL),(25,'845','COLÉGIO COMERCIAL DE XAXIM',4,NULL,NULL,NULL,4219705,NULL),(25,'846','EEB PROFª NEUSA MASSOLINI',2,NULL,NULL,NULL,4219705,NULL),(25,'847','EEB GOMES CARNEIRO',2,NULL,NULL,NULL,4219705,NULL),(25,'848','EEB PROF CUSTÓDIO DE CAMPOS',2,NULL,NULL,NULL,4219705,NULL),(25,'849','EEB MAJOR CIPRIANO R. DE ALMEIDA',2,NULL,NULL,NULL,4219853,NULL),(25,'85','EEB SANTOS DUMONT',2,NULL,NULL,NULL,4202404,NULL),(25,'850','EEB SÃO JOÃO',2,NULL,NULL,NULL,4200200,NULL),(25,'851','CE PROF. CLOVIS GOULART',2,NULL,NULL,NULL,4201406,NULL),(25,'852','EEB PROFª NEUSA OSTETTO CARDOSO',2,NULL,NULL,NULL,4201406,NULL),(25,'853','EEB GOVERNADOR BORNHAUSEN',2,NULL,NULL,NULL,4201604,NULL),(25,'854','EEB APOLÔNIO IRENO CARDOSO',2,NULL,NULL,NULL,4201950,NULL),(25,'855','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4202404,NULL),(25,'856','EEB ADOLFO JOSÉ MARTINS',2,NULL,NULL,NULL,4202503,NULL),(25,'857','EEB ANTÔNIO MORANDINI',2,NULL,NULL,NULL,4204202,NULL),(25,'858','EEB PROF MANSUETO BOFF',2,NULL,NULL,NULL,4204301,NULL),(25,'859','ETFESC UNED JARAGUÁ DO SUL (CEFET)',3,NULL,NULL,NULL,4208906,NULL),(25,'86','COLÉGIO BLUMENAUENSE',4,NULL,NULL,NULL,4202404,NULL),(25,'860','EEM DR HANS DIETER SCHMIDT',2,NULL,NULL,NULL,4209102,NULL),(25,'861','COLÉGIO APLICAÇÃO DA UNIVILLE',4,NULL,NULL,NULL,4209102,NULL),(25,'862','EEB MARIA MADALENA DE MOURA FERRO',2,NULL,NULL,NULL,4209177,NULL),(25,'863','EEB NOSSA SENHORA DE FÁTIMA',2,NULL,NULL,NULL,4211751,NULL),(25,'864','EEB ALFREDO DALFOVO',2,NULL,NULL,NULL,4214805,NULL),(25,'865','EEB WILLY HERING',2,NULL,NULL,NULL,4214805,NULL),(25,'866','EEB SÃO TIAGO',2,NULL,NULL,NULL,4215695,NULL),(25,'867','ASSOCIAÇÃO FRANCISQUENSE DE ENSINO',4,NULL,NULL,NULL,4216206,NULL),(25,'868','COLÉGIO PADRE AGOSTINHO',4,NULL,NULL,NULL,4216602,NULL),(25,'869','EEB GAMA ROSA',2,NULL,NULL,NULL,4217253,NULL),(25,'87','ESC BARÃO DO RIO BRANCO',4,NULL,NULL,NULL,4202404,NULL),(25,'870','EEB PROF. JÚLIO SCHEIDEMANTEL',2,NULL,NULL,NULL,4218202,NULL),(25,'871','ESCOLA TÉCNICA DO VALE DO ITAJAÍ',4,NULL,NULL,NULL,4218202,NULL),(25,'872','CENTRO EDUCACIONAL EXPONENCIAL SA.',4,NULL,NULL,NULL,4219507,NULL),(25,'873','EEB PROF. LAUREANO PACHECO',2,NULL,NULL,NULL,4202008,NULL),(25,'874','EEB JONAS R COELHO NEVES',2,NULL,NULL,NULL,4202404,NULL),(25,'875','ESC TÉCNICA DE SAÚDE',2,NULL,NULL,NULL,4202404,NULL),(25,'876','EEB OSVALDO REIS',2,NULL,NULL,NULL,4202909,NULL),(25,'877','CENTRO EDUC ILDA IGNEZ',4,NULL,NULL,NULL,4203204,NULL),(25,'878','EEB EMILIANO RAMOS',2,NULL,NULL,NULL,4203253,NULL),(25,'879','EEB JOÃO DAGOSTIM',2,NULL,NULL,NULL,4204608,NULL),(25,'88','ESC TÉCNICA DO VALE DO ITAJAÍ',4,NULL,NULL,NULL,4202404,NULL),(25,'880','COLÉGIO DE APLICAÇÃO DA UNESC',4,NULL,NULL,NULL,4204608,NULL),(25,'881','COLÉGIO MARIA IMACULADA',4,NULL,NULL,NULL,4204806,NULL),(25,'882','COLÉGIO DOM BOSCO',4,NULL,NULL,NULL,4205407,NULL),(25,'883','ESCOLA AUTONOMIA',4,NULL,NULL,NULL,4205407,NULL),(25,'884','ESCOLA DINÂMICA',4,NULL,NULL,NULL,4205407,NULL),(25,'885','CEFRAI - CENTRO EDUC FRAIBURGO',4,NULL,NULL,NULL,4205506,NULL),(25,'886','EEB WALMOR RIBEIRO',2,NULL,NULL,NULL,4206900,NULL),(25,'887','EEB RAULINO HORN',2,NULL,NULL,NULL,4207502,NULL),(25,'888','EEB VER. PAULO FRANÇA',2,NULL,NULL,NULL,4208500,NULL),(25,'889','EEB CAMPOS VERDES',2,NULL,NULL,NULL,4208807,NULL),(25,'89','CEDUP HERMANN HERING',2,NULL,NULL,NULL,4202404,NULL),(25,'890','EEB PROF GIARDINI LUIZ LENZI',2,NULL,NULL,NULL,4208906,NULL),(25,'891','EEM PROF. DARCI FRANKE WELK',2,NULL,NULL,NULL,4208906,NULL),(25,'892','COLÉGIO SUPLETIVO NOVA ERA',4,NULL,NULL,NULL,4208906,NULL),(25,'893','EEM DR RUBEN ROBERTO SCHMIDLIN',2,NULL,NULL,NULL,4209102,NULL),(25,'894','EEM PROF. ELADIR SKIBINSKI',2,NULL,NULL,NULL,4209102,NULL),(25,'896','ESC AUXILIAR DE ENFERMAGEM',1,NULL,NULL,NULL,4209102,NULL),(25,'897','COLÉGIO SIGMA LTDA',4,NULL,NULL,NULL,4209300,NULL),(25,'898','CENTRO DE EDUC GOTINHAS DO SABER',4,NULL,NULL,NULL,4210506,NULL),(25,'899','EEB PROF. ANTONIETA SILVEIRA',2,NULL,NULL,NULL,4212056,NULL),(25,'9','EEB RUTH LEBARBECHON',2,NULL,NULL,NULL,4200408,NULL),(25,'90','SOCIEDADE EDUC. BLUMENAUENSE',4,NULL,NULL,NULL,4202404,NULL),(25,'900','EEB FRANCISCO ALTAMIR WAGNER',2,NULL,NULL,NULL,4214805,NULL),(25,'901','COLÉGIO TÉCNICO DA UNIDAVI',4,NULL,NULL,NULL,4214805,NULL),(25,'902','SENAC-SERV. NAC DE APR. COMERCIAL',4,NULL,NULL,NULL,4214805,NULL),(25,'903','EEB MANOEL CRUZ',2,NULL,NULL,NULL,4216503,NULL),(25,'904','CENTRO EDUC EXTENSÃO LTDA',4,NULL,NULL,NULL,4217709,NULL),(25,'905','EEB LEOPOLDO JACOBSEN',2,NULL,NULL,NULL,4217808,NULL),(25,'906','EEB PROF JUVENAL CARDOSO ZANELLA',2,NULL,NULL,NULL,4218202,NULL),(25,'907','CENTRO EDUC PEQUENO PRÍNCIPE',4,NULL,NULL,NULL,4218707,NULL),(25,'908','EEB TITOLÍVIO VENÂNCIO ROSA',2,NULL,NULL,NULL,4201307,NULL),(25,'909','COL BOM JESUS SANTO ANTÔNIO',4,NULL,NULL,NULL,4202404,NULL),(25,'91','EEB CAMPOS SALES',2,NULL,NULL,NULL,4202438,NULL),(25,'910','EEM NORBERTO LANSER',2,NULL,NULL,NULL,4202404,NULL),(25,'911','EEB NADIR BECKER',2,NULL,NULL,NULL,4202875,NULL),(25,'912','COLÉGIO POTENCIAL',4,NULL,NULL,NULL,4202909,NULL),(25,'913','EEB BARTOLOMEU DA SILVA',2,NULL,NULL,NULL,4203709,NULL),(25,'914','EEB PROFª LÍDIA GLUSTACK REMUS',2,NULL,NULL,NULL,4204202,NULL),(25,'915','EEB PROFª SÔNIA DE OLIVEIRA ZANI',2,NULL,NULL,NULL,4204202,NULL),(25,'916','EEB SAAD ANTÔNIO SARQUIS',2,NULL,NULL,NULL,4204202,NULL),(25,'917','EEM DILSO CECCHIN',2,NULL,NULL,NULL,4204202,NULL),(25,'918','EEB DOMINGOS MAGARINOS',2,NULL,NULL,NULL,4204301,NULL),(25,'919','EEB JOÃO PAULO I',2,NULL,NULL,NULL,4204558,NULL),(25,'92','C CENECISTA ARMELINA BARP DE MAMAN',4,NULL,NULL,NULL,4202503,NULL),(25,'920','COL UNIVERSITÁRIO CRICIÚMA LTDA',4,NULL,NULL,NULL,4204608,NULL),(25,'921','EEB JOÃO FRASSETTO',2,NULL,NULL,NULL,4204608,NULL),(25,'922','EEB INTENDENTE JOSÉ FERNANDES',2,NULL,NULL,NULL,4205407,NULL),(25,'923','EEB CARMEM SEARA LEITE',2,NULL,NULL,NULL,4205803,NULL),(25,'924','EEB PROF CARLOS MAFFEZZOLLI',2,NULL,NULL,NULL,4206306,NULL),(25,'925','COLÉGIO ADVENTISTA DE INDAIAL',4,NULL,NULL,NULL,4207502,NULL),(25,'926','EI EB CACIQUE VANHKRE',2,NULL,NULL,NULL,4207684,NULL),(25,'927','EEB ISABEL DA SILVA TELLES',2,NULL,NULL,NULL,4207809,NULL),(25,'928','EEB PROF ARY MASCARENHAS PASSOS',2,NULL,NULL,NULL,4208203,NULL),(25,'929','EEB XV DE JUNHO',2,NULL,NULL,NULL,4208203,NULL),(25,'93','EEB HÉLIO LENTZ PUERTA',2,NULL,NULL,NULL,4202537,NULL),(25,'930','EEB PRES TANCREDO NEVES',2,NULL,NULL,NULL,4208500,NULL),(25,'931','CENTRO EDUC MACHADO DE ASSIS',4,NULL,NULL,NULL,4209102,NULL),(25,'933','EEB FRANCISCO EBERHARDT',2,NULL,NULL,NULL,4209102,NULL),(25,'934','ESC MUNICIPAL DE SAÚDE',1,NULL,NULL,NULL,4209102,NULL),(25,'935','EEB DE LAGES',2,NULL,NULL,NULL,4209300,NULL),(25,'936','EEB PROFª VIRGÍNIA P.SILVA GONÇALVES',2,NULL,NULL,NULL,4211058,NULL),(25,'937','COL DE NAVEGANTES FERREIRA PISKE',4,NULL,NULL,NULL,4211306,NULL),(25,'938','EEB PROFª IRENE ROMÃO',2,NULL,NULL,NULL,4211306,NULL),(25,'939','CENTRO EDUC RODA PIÃO LTDA',4,NULL,NULL,NULL,4211900,NULL),(25,'94','EEB PROF SÍLVIO ROMERO',2,NULL,NULL,NULL,4202578,NULL),(25,'940','COLÉGIO SANTO ANTÔNIO',4,NULL,NULL,NULL,4215109,NULL),(25,'941','EEB ANÍSIO V. DE FREITAS',2,NULL,NULL,NULL,4215703,NULL),(25,'942','CENTRO EDUC. SÃO JOAQUIM LTDA',4,NULL,NULL,NULL,4216503,NULL),(25,'943','COL DOM BOSCO',4,NULL,NULL,NULL,4216602,NULL),(25,'944','COL FRANCISCO JOSÉ F. NETO',4,NULL,NULL,NULL,4216602,NULL),(25,'945','EEM GOV. WILSOM KLEINUBING',2,NULL,NULL,NULL,4216602,NULL),(25,'946','EEM LUAR',4,NULL,NULL,NULL,4216602,NULL),(25,'947','EEB PROTÁSIO JOAQUIM DA CUNHA',2,NULL,NULL,NULL,4217709,NULL),(25,'948','COL DE APLIC. DA UNIVALI TIJUCAS',4,NULL,NULL,NULL,4218004,NULL),(25,'949','EEB ROMILDO CZEPANHIK',2,NULL,NULL,NULL,4219507,NULL),(25,'95','EEB ALEXANDRE DE GUSMÃO',2,NULL,NULL,NULL,4202602,NULL),(25,'950','COLÉGIO EVOLUÇÃO',4,NULL,NULL,NULL,4217006,NULL),(25,'951','ESCOLA DA ILHA',4,NULL,NULL,NULL,4205407,NULL),(25,'953','EEB GOV HERIBERTO HULSE',2,NULL,NULL,NULL,4204608,NULL),(25,'954','EEB ARNOLDO AGENOR ZIMMERMANN',2,NULL,NULL,NULL,4205902,NULL),(25,'955','COLÉGIO MADRE FRANCISCA LAMPEL',4,NULL,NULL,NULL,4205902,NULL),(25,'956','COLÉGIO HENRY FORD',4,NULL,NULL,NULL,4218202,NULL),(25,'957','EEB DR GEORG KELLER',2,NULL,NULL,NULL,4209102,NULL),(25,'958','CENTRO TÉCNICO DE AUTOMAÇÃO LTDA',4,NULL,NULL,NULL,4209102,NULL),(25,'959','ESC DE ED BÁSICA DA UNIDAVI',4,NULL,NULL,NULL,4214805,NULL),(25,'96','EEB PREF LEOPOLDO JOSÉ GUERREIRO',2,NULL,NULL,NULL,4202453,NULL),(25,'960','CEDUP CAETANO COSTA',2,NULL,NULL,NULL,4216800,NULL),(25,'961','EEB PROF JOSÉ FARIA NETO',2,NULL,NULL,NULL,4203600,NULL),(25,'962','COLÉGIO SUPERATIVO',4,NULL,NULL,NULL,4209003,NULL),(25,'963','EEB PROF LOURDES',2,NULL,NULL,NULL,4204202,NULL),(25,'964','CENTRO DE EDUCAÇÃO SÃO RAFAEL',4,NULL,NULL,NULL,4204202,NULL),(25,'965','CEDUP SÃO JOSÉ',2,NULL,NULL,NULL,4208401,NULL),(25,'967','LICEU CATARINENSE DE ENSINO',4,NULL,NULL,NULL,4202008,NULL),(25,'968','COLÉGIO VIDEIRA',4,NULL,NULL,NULL,4219309,NULL),(25,'969','COLÉGIO SUPERAÇÃO',4,NULL,NULL,NULL,4219309,NULL),(25,'97','C CENECISTA FRANCISCO DE ASSIS',4,NULL,NULL,NULL,4202701,NULL),(25,'970','COLÉGIO MURIALDO',4,NULL,NULL,NULL,4201406,NULL),(25,'971','EEB DEP VALÉRIO GOMES',2,NULL,NULL,NULL,4218004,NULL),(25,'972','COLÉGO DOM BOSCO',4,NULL,NULL,NULL,4218004,NULL),(25,'973','EB TEMPO FELIZ',4,NULL,NULL,NULL,4203808,NULL),(25,'974','ESC TÉCNICA TUPY UNIDADE S. BENTO DO SUL',4,NULL,NULL,NULL,4215802,NULL),(25,'975','CENTRO  ENS. NICOLAU TAVARES DE OLIVEIRA',4,NULL,NULL,NULL,4210506,NULL),(25,'976','CENTRO EDUC BARREIROS',4,NULL,NULL,NULL,4216602,NULL),(25,'977','ESCOLA PROFISSIONAL DOS INGLESES',4,NULL,NULL,NULL,4205407,NULL),(25,'978','EEB CONSELHEIRO MANOEL PHILIPPI',2,NULL,NULL,NULL,4200606,NULL),(25,'979','EEB ARABUTÃ',2,NULL,NULL,NULL,4201273,NULL),(25,'98','EEB PADRE JOÃO STOLTE',2,NULL,NULL,NULL,4202701,NULL),(25,'980','COLÉGIO DEHON',4,NULL,NULL,NULL,4201406,NULL),(25,'981','COLÉGIO BARÃO DE SCHEENEBURG ENERGIA',4,NULL,NULL,NULL,4202909,NULL),(25,'982','COLÉGIO LÍRIOS DO CAMPO',4,NULL,NULL,NULL,4203600,NULL),(25,'983','COLÉGIO SATÉLITE',4,NULL,NULL,NULL,4204202,NULL),(25,'984','EEB WALTER FONTANA',2,NULL,NULL,NULL,4204301,NULL),(25,'985','EEB PROF. PEDRO DA RÉ',2,NULL,NULL,NULL,4204608,NULL),(25,'986','COLÉGIO METROPOLITANO',4,NULL,NULL,NULL,4207502,NULL),(25,'987','EEB HERCÍLIO BUCH',2,NULL,NULL,NULL,4210100,NULL),(25,'988','C ADVENTISTA DE FLORIANÓPOLIS - CENTRO',4,NULL,NULL,NULL,4205407,NULL),(25,'989','C EDUC PROMISSOR LTDA',4,NULL,NULL,NULL,4211900,NULL),(25,'99','C COMERCIAL DE BRAÇO DO NORTE',4,NULL,NULL,NULL,4202800,NULL),(25,'990','C EDUC CÉU AZUL',4,NULL,NULL,NULL,4213609,NULL),(25,'991','COLÉGIO ALTO VALE LTDA',4,NULL,NULL,NULL,4214805,NULL),(25,'992','C ADVENTISTA DE SÃO FRANCISCO DO SUL',4,NULL,NULL,NULL,4216206,NULL),(25,'993','EEB PROF. ELISA CLÁUDIO DE AGUIAR',2,NULL,NULL,NULL,4217402,NULL),(25,'994','COLÉGIO GERAÇÃO CONSTRUTIVA',4,NULL,NULL,NULL,4219705,NULL),(25,'995','CENTRO EDUCACIONAL SATC',4,NULL,NULL,NULL,4204608,NULL),(25,'996','EEB PREFEITO HIGINO AGUIAR',2,NULL,NULL,NULL,4201307,NULL),(25,'997','COLÉGIO CASTELO LTDA',4,NULL,NULL,NULL,4202404,NULL),(25,'998','EEB CÔNEGO NICOLAU GESING',2,NULL,NULL,NULL,4202800,NULL),(25,'999','CENTRO DE EDUCAÇÃO MONTEIRO LOBATO',4,NULL,NULL,NULL,4204202,NULL),(25,'9997','Escola de Santa Catarina não mencionada',0,NULL,NULL,NULL,0,NULL),(25,'9998','Não concluiu em Santa Catarina',0,NULL,NULL,NULL,0,NULL),(25,'9999','Curso Supletivo',0,NULL,NULL,NULL,0,NULL),(28,'1','EEB JOSÉ ZANCHETTI',2,NULL,NULL,NULL,4200051,NULL),(28,'10','EEB IRINEU BORNHAUSEN',2,NULL,NULL,NULL,4200507,NULL),(28,'100','EEB DOM JOAQUIM',2,NULL,NULL,NULL,4202800,NULL),(28,'1000','COLÉGIO CENECISTA DR JÚLIO CÉSAR R NEVES',4,NULL,NULL,NULL,4204301,NULL),(28,'1001','SENAI SC - CONCÓRDIA',4,NULL,NULL,NULL,4204301,NULL),(28,'1003','CURSO E COLÉGIO GENIUS',4,NULL,NULL,NULL,4205407,NULL),(28,'1004','COLÉGIO UNIFICADO',4,NULL,NULL,NULL,4205902,NULL),(28,'1005','EEB PROFª SALETE SCOTTI DOS SANTOS',2,NULL,NULL,NULL,4207007,NULL),(28,'1006','SENAI SC - JOINVILLE',4,NULL,NULL,NULL,4209102,NULL),(28,'1007','CENTRO EDUCACIONAL BAMBINO',4,NULL,NULL,NULL,4211306,NULL),(28,'1008','COLÉGIO SINERGIA',4,NULL,NULL,NULL,4211306,NULL),(28,'1009','EEB PROF BENONIVIO JOÃO MARTINS',2,NULL,NULL,NULL,4211900,NULL),(28,'101','CE ENG ANNES GUALBERTO',2,NULL,NULL,NULL,4202800,NULL),(28,'1010','CENTRO EDUCACIONAL SÃO JUDAS TADEU',4,NULL,NULL,NULL,4211900,NULL),(28,'1011','CURSO E COLÉGIO ENERGIA',4,NULL,NULL,NULL,4211900,NULL),(28,'1012','EEM ERWIN CURT TEICHMANNN',2,NULL,NULL,NULL,4213203,NULL),(28,'1013','SENAI SC - RIO DO SUL',4,NULL,NULL,NULL,4214805,NULL),(28,'1014','COLÉGIO DÓ-RÉ-MI',4,NULL,NULL,NULL,4215703,NULL),(28,'1015','EEB OSCAR MAJOLO',2,NULL,NULL,NULL,4217154,NULL),(28,'1016','EXATHUM CURSO E COLÉGIO',4,NULL,NULL,NULL,4209102,NULL),(28,'1017','CENTRO EDUCACIONAL ATLÂNTICO SUL',4,'AV CENTRAL','413','CENTRO',4202008,88330000),(28,'1018','SENAI SC - BLUMENAU',4,'R SAO PAULO','1147','VICTOR KONDER',4202404,89012001),(28,'1019','EEM YVONE OLINGER APPEL',2,'ALBERTO KLABUND',NULL,'CEDRINHO',4202909,88358000),(28,'102','COLÉGIO ESPAÇO',4,NULL,NULL,NULL,4202800,NULL),(28,'1020','COLÉGIO APARECIDA',4,'AV 7 DE SETEMBRO','169','CENTRO',4203006,89500000),(28,'1021','COLEGIO DINAMICO CHAPECO',4,'AV NEREU RAMOS','1191','PALMITAL',4204202,89811211),(28,'1022','COLÉGIO TENDENCIA',4,'R VIDAL RAMOS','53','CENTRO',4205407,88010320),(28,'1023','COLÉGIO ESTIMOARTE',4,'AV GOV JORGE LACERDA','1759','COSTEIRA',4205407,88047001),(28,'1024','FUNDACAO CENTRO EDUCATIVO',4,'R TANCREDO NEVES','88','CENTRO',4208104,89340000),(28,'1025','CENTRO EDUC PE ARTE BABY LTDA',4,'R TIJUCAS','511','CENTRO',4208203,88301361),(28,'1026','SOC EDUC VERDES MARES',4,'JOSE BONIFACIO MALBURG','19','CENTRO',4208203,88301040),(28,'1027','EEM DEP NAGIB ZATTAR',2,'R ANTONIO MICHELS','120','JD PARAISO',4209102,89226530),(28,'1028','SOC ENSINO SANTA BARBARA',4,'R GERONIMO COELHO','375',NULL,4209300,88501260),(28,'1029','COLEGIO DIMENSAO',4,'R EUFEZINA GAYA','332','CENTRO',4211306,88375000),(28,'103','EEB ADOLFO BOVING',2,NULL,NULL,NULL,4202859,NULL),(28,'1030','EEB PRINCESA ISABEL',2,'R INDEPENDENCIA',NULL,'SANTA TEREZINHA',4212106,89887000),(28,'1031','CENTRO EDUC CRANDON',4,'R NAKLE FRANCISCO','316','CENTRO',4212809,88380000),(28,'1032','EEB VENDELINO JUNGES',2,'AV BELEM','647','CENTRO',4212908,89870000),(28,'1033','EEM MACARIO BORBA',2,'AV FRANCISCO C LUMERTZ JR',NULL,'NOVA BRASILIA',4217709,88960000),(28,'1034','EEM DITE FREITAS',2,'R ANIBAL TORRES COSTA',NULL,'STO ANTONIO DE PADUA',4218707,88701533),(28,'1035','COLÉGIO SUPRA ENSINO LTDA',4,'R CEL JOAO PALMA','700','MARTORANO',4216503,88600000),(28,'1036','COLEGIO LAVOISIER',4,NULL,NULL,NULL,4216602,NULL),(28,'1037','CENTRO EDUCACIONAL UNIVERSO DO SABER',4,NULL,NULL,NULL,4210506,NULL),(28,'1038','SOC. EDUC. BALNEÁRIO CAMBORIÚ',4,NULL,NULL,NULL,4202008,NULL),(28,'1039','COL. EVIDÊNCIA LTDA',4,NULL,NULL,NULL,4202008,NULL),(28,'104','EEB ENGENHEIRO ANNES GUALBERTO',2,NULL,NULL,NULL,4202875,NULL),(28,'1040','COLÉGIO INCENTIVO LTDA',4,NULL,NULL,NULL,4202305,NULL),(28,'1041','EEB DE BOMBAS',2,NULL,NULL,NULL,4202453,NULL),(28,'1042','COOP. EDUACIONAL DE BRUSQUE',4,NULL,NULL,NULL,4202909,NULL),(28,'1043','EEB PROF MÁRIO GARCIA',2,NULL,NULL,NULL,4203204,NULL),(28,'1044','EEB ALCUINO GONÇALO VIEIRA',2,NULL,NULL,NULL,4203204,NULL),(28,'1045','CENTRO EDUC. CAMBORIÚ LTDA ME CECAM',4,NULL,NULL,NULL,4203204,NULL),(28,'1046','CURSO APROVAÇÃO SS LTDA',4,NULL,NULL,NULL,4204202,NULL),(28,'1047','COOPERATIVA EDUC. MAGNA',4,NULL,NULL,NULL,4204301,NULL),(28,'1048','COLEGIO CRUZ E SOUZA',4,NULL,NULL,NULL,4205407,NULL),(28,'1049','COLÉGIO SANTA TEREZINHA',4,NULL,NULL,NULL,4205407,NULL),(28,'105','CENTRO EDUCACIONAL CULTURA',4,NULL,NULL,NULL,4202909,NULL),(28,'1050','EDUCANDÁRIO IMACULADA CONCEIÇÃO',4,NULL,NULL,NULL,4205407,NULL),(28,'1051','CENTRO DE EDUC. PARAÍSO INFANTIL',4,NULL,NULL,NULL,4205407,NULL),(28,'1052','COLÉGIO BLUMENAUENSE',4,NULL,NULL,NULL,4205902,NULL),(28,'1053','EEB PROFª MARIA DA GLÓRIA SILVA',2,NULL,NULL,NULL,4207007,NULL),(28,'1054','COLÉGIO MUN. DE INDAIAL',1,NULL,NULL,NULL,4207502,NULL),(28,'1055','EEF PREF. GERMANO BRANDES JR',2,NULL,NULL,NULL,4207502,NULL),(28,'1056','EEB PROF HENRIQUE MIDON',2,NULL,NULL,NULL,4208203,NULL),(28,'1057','ACBNL COL SÃO JOSÉ',4,NULL,NULL,NULL,4208203,NULL),(28,'1058','SIST. DE ENSINO LIDERANÇA',4,NULL,NULL,NULL,4208203,NULL),(28,'1059','SENAI SC - ITAJAI',4,NULL,NULL,NULL,4208203,NULL),(28,'106','C CENECISTA HONÓRIO MIRANDA',4,NULL,NULL,NULL,4202909,NULL),(28,'1060','COLÉGIO SAGRADA FAMÍLIA',4,NULL,NULL,NULL,4208401,NULL),(28,'1061','SENAI SC - JARAGUÁ DO SUL',4,NULL,NULL,NULL,4208906,NULL),(28,'1062','CENTRO DE EDUC. IDEAL',4,NULL,NULL,NULL,4208906,NULL),(28,'1063','POSIVILLE',4,NULL,NULL,NULL,4209102,NULL),(28,'1064','EIEB LAKLANO',2,NULL,NULL,NULL,4209151,NULL),(28,'1065','CENTRO EDUC. CRUZ E SOUSA',4,NULL,NULL,NULL,4209300,NULL),(28,'1066','EEF MARIA KONDER BORNHAUSEN',2,NULL,NULL,NULL,4210605,NULL),(28,'1067','CENTRO DE ED. SÃO ROQUE',4,NULL,NULL,NULL,4211207,NULL),(28,'1068','EEB PROFª PAULINA GAYA',2,NULL,NULL,NULL,4211306,NULL),(28,'1069','EEB ANTÔNIO ROCHA ANDRADE',2,NULL,NULL,NULL,4212502,NULL),(28,'107','C CÔNSUL CARLOS RENAUX',4,NULL,NULL,NULL,4202909,NULL),(28,'1070','CENTRO DE EDUC. OBJETIVO',4,NULL,NULL,NULL,4212908,NULL),(28,'1071','CENTRO EDUC. EDUCOPER',4,NULL,NULL,NULL,4213401,NULL),(28,'1072','EEB MARIA DUARTE VASCONCELOS',2,NULL,NULL,NULL,4215455,NULL),(28,'1073','COLÉGIO GLOBAL',4,NULL,NULL,NULL,4215802,NULL),(28,'1074','CENTRO EDUC. ANITA',4,NULL,NULL,NULL,4216602,NULL),(28,'1075','SENAI SC - SÃO JOSE',4,NULL,NULL,NULL,4216602,NULL),(28,'1076','COLÉGIO MERIDIANO',4,NULL,NULL,NULL,4216602,NULL),(28,'1077','GARDNER CURSOS E COLÉGIO',4,NULL,NULL,NULL,4216602,NULL),(28,'1078','CENTRO EDUC. CENECISTA SANTA CRUZ',4,NULL,NULL,NULL,4216602,NULL),(28,'1079','COLÉGIO JESUS MARIA JOSÉ',4,NULL,NULL,NULL,4217204,NULL),(28,'108','EEB MUN. JOÃO HASSMANN',1,NULL,NULL,NULL,4202909,NULL),(28,'1080','SENAI SC - VIDEIRA',4,NULL,NULL,NULL,4219309,NULL),(28,'1081','COLÉGIO EXPRESSIVO',4,NULL,NULL,NULL,4219507,NULL),(28,'1082','EEB DEP. AUGUSTO BRESOLA',2,NULL,NULL,NULL,4219150,NULL),(28,'1083','EEM SEMENTE DA CONQUISTA',2,'ASSENT 25 DE MAIO',NULL,NULL,4200101,89830000),(28,'1084','EEM PAULO FREIRE',2,'ASSENT JOSE MARIA',NULL,NULL,4200101,89830000),(28,'1085','COLÉGIO EXCELÊNCIA',4,'AV CENTRAL','413','CENTRO',4202008,88330000),(28,'1086','COLÉGIO DE APLICAÇÃO UNIVALI',4,'5 AVENIDA',NULL,'DOS MUNICIPIOS',4202008,88330000),(28,'1087','EEF RUIZÉLIO CABRAL',2,'JOSE HONORATO DA SILVA','32','NOVA ESPERANÇA',4202008,88330000),(28,'1088','EEB PROFª ELOISA MARIA PRAZERES DE FARIA',2,NULL,NULL,NULL,4202305,NULL),(28,'1089','EEB MARIA RITA FLOR',2,NULL,NULL,NULL,4202453,NULL),(28,'109','COLÉGIO SÃO LUIZ',4,NULL,NULL,NULL,4202909,NULL),(28,'1090','SENAI SC - BRUSQUE',4,NULL,NULL,NULL,4202909,NULL),(28,'1091','CENTRO DE ED RAZÃO DE VIVER',4,NULL,NULL,NULL,4203204,NULL),(28,'1092','ESC ITINERANTE JOSÉ J DE LIMA XAVIER',1,NULL,NULL,NULL,4203402,NULL),(28,'1093','COL CARLOS DRUMMOND DE ANDRADE',4,NULL,NULL,NULL,4203907,NULL),(28,'1094','SENAI SC - CHAPECÓ',4,NULL,NULL,NULL,4204202,NULL),(28,'1096','CENTRO ED HERMANN SPETHMANN',4,NULL,NULL,'CENTRO',4204608,NULL),(28,'1097','EEB TENENTE ALMACHIO',2,NULL,NULL,NULL,4205407,NULL),(28,'1098','COLÉGIO EXPOENTE',4,NULL,NULL,NULL,4205407,NULL),(28,'1099','EEB PROFª MARIA AMALIA CARDOSO',2,NULL,NULL,NULL,4206009,NULL),(28,'11','EEB SETE DE SETEMBRO',2,NULL,NULL,NULL,4200556,NULL),(28,'110','EEB DOM JOÃO BECKER',2,NULL,NULL,NULL,4202909,NULL),(28,'1100','EEB CARLOS FANTINI',2,NULL,NULL,NULL,4208203,NULL),(28,'1101','EEB MARLI MARIA DE SOUZA',2,NULL,NULL,NULL,4209102,NULL),(28,'1102','EEB PROFº RODOLFO MEYER',2,NULL,NULL,NULL,4209102,NULL),(28,'1103','EEB PROFº JOÃO ROCHA',2,NULL,NULL,NULL,4209102,NULL),(28,'1104','COLÉGIO IESVILLE',4,NULL,NULL,NULL,4209102,NULL),(28,'1105','COLÉGIO TUPY',4,NULL,NULL,NULL,4209102,NULL),(28,'1106','SENAI SC - LAGES',4,NULL,NULL,NULL,4209300,NULL),(28,'1107','CENTRO DE ED JANICE BORTOLATTO',4,NULL,NULL,NULL,4211207,NULL),(28,'1108','EEF DOM JAIME DE BARROS CÂMARA',2,NULL,NULL,NULL,4211900,NULL),(28,'1109','EEF PROFª MARIA DO CARMO DE SOUZA',2,NULL,NULL,NULL,4211900,NULL),(28,'111','EEB FELICIANO PIRES',2,NULL,NULL,NULL,4202909,NULL),(28,'1110','EEB PREF. FREDERICO PROBST',2,NULL,NULL,NULL,4212700,NULL),(28,'1111','CENTRO ED PORTO DAS ÁGUAS LTDA',4,NULL,NULL,NULL,4213500,NULL),(28,'1112','EEF BERNARDO MULLER',2,NULL,NULL,NULL,4214003,NULL),(28,'1113','CENTRO MUN ED BAS VER AVELINO BISCARO',1,NULL,NULL,NULL,4215406,NULL),(28,'1114','COLÉGIO BOM JESUS',4,NULL,NULL,NULL,4215802,NULL),(28,'1115','EEB CRISTO REI',2,NULL,NULL,NULL,4216255,NULL),(28,'1116','EEB PROFª MARIA DO CARMO LOPES',2,NULL,NULL,NULL,4216602,NULL),(28,'1117','CENTRO ED MUN INTERATIVO FLORESTA',1,NULL,NULL,NULL,4216602,NULL),(28,'1118','COLÉGIO ENERGIA - SÃO JOSÉ',4,NULL,NULL,NULL,4216602,NULL),(28,'1119','SENAI SC - TIJUCAS',4,NULL,NULL,NULL,4218004,NULL),(28,'112','EEB FRANCISCO DE ARAÚJO BRUSQUE',2,NULL,NULL,NULL,4202909,NULL),(28,'1120','SENAI SC - TUBARÃO',4,NULL,NULL,NULL,4218707,NULL),(28,'1121','EEF MARCOLINO PEDROSO',2,'R DO SABER',NULL,'NOVA ESTRELA',4201273,89740000),(28,'1122','EEB CASTRO ALVES',2,'R XV DE NOVEMBRO','1645','CENTRO',4201406,88900000),(28,'1123','SOC. EDUC. BRUSQUENSE LTDA',4,'AV GETULIO VARGAS','78','CENTRO',4202909,88353000),(28,'1124','COLEGIO BOM JESUS AURORA',4,'R MAR DEODORO','150','CENTRO',4203006,89500000),(28,'1125','EEF PROFº ARGEMIRO GONÇALVES',2,'JOAO PIUS SCHINDLER','263','BATEIAS DE BAIXO',4203303,89294600),(28,'1126','CENTRO DE EDUCAÇÃO OLIMPO',4,'AV GETULIO VARGAS','246','CENTRO',4204202,89801000),(28,'1127','EEF SÃO CRISTÓVÃO',2,'R CARDEAL ARCO VERDE','233','SAO CRISTOVAO',4204608,88802570),(28,'1128','NÚCLEO MUN GETÚLIO VARGAS',1,'PRUDENTE V DE MORAES','353','GETULIO VARGAS',4204806,89520000),(28,'1129','NÚCLEO MUN DO CAMPO LEONIZA C AGOSTINI',1,'MAROMBAS BOSSARDI',NULL,'MAROMBAS',4204806,89520000),(28,'113','EEB GOV IVO SILVEIRA',2,NULL,NULL,NULL,4202909,NULL),(28,'1130','ASSOC.  VOLUNTÁRIOS HERDEIROS DO FUTURO',4,'CORONEL VIDAL RAMOS','221','CENTRO',4204806,89520000),(28,'1131','EEB PROFª MARIA DA GLÓRIA MATTOS',2,'R MARIO CLAUDIO TURRA','579',NULL,4205001,89950000),(28,'1132','EEB PROFª MARIA ANGELICA CALAZANS',2,'CAMINHO PINHAL',NULL,NULL,4205100,89155000),(28,'1133','COLÉGIO ENERGIA - CÓRREGO GRANDE',4,'R JOAO PIO DUARTE SILVA','550','CÓRREGO GRANDE',4205407,88037000),(28,'1134','C ADVENTISTA DE FLORIANÓPOLIS - ESTREITO',4,'R DOM DANIEL HOSTIN','129','ESTREITO',4205407,88090330),(28,'1135','EEB PADRE BIAGIO SIMONETTI',2,'AV RENE FREY','SN','CENTRO',4205506,89580000),(28,'1136','EEB MARIA CORREA SAAD',2,'ROD SC 434','10684','CAMPO DUNA',4205704,88495000),(28,'1137','COLÉGIO UNIVERSITÁRIO',4,'R DORALICIO GARCIA','777','SÃO PEDRO',4205902,89110000),(28,'1138','EEF ORIDES ROVANI',2,'BOM SUCESSO',NULL,'RURAL',4207700,89790000),(28,'1139','EEB PAULO CRISTIANO HEYSE',2,'ESTRADA GERAL',NULL,'MOEMA',4208104,89340000),(28,'114','EEB MONS GREGÓRIO LOCKS',2,NULL,NULL,NULL,4202909,NULL),(28,'1140','CENTRO DE ATEND. JACY DIAS RAMOS',4,'R LAUDELINA DIONISIO','420','CORDEIROS',4208203,88309530),(28,'1141','COLÉGIO ADVENTISTA DE ITAJAÍ',4,'R BRUSQUE','228','VILA OPERÁRIA',4208203,88300000),(28,'1142','EEB PROFª NAIR DA SILVA PINHEIRO',2,'ESTRADA CUBATÃO GRANDE','104','CUBATÃO',4209102,89226970),(28,'1143','EEB VER GUILHERME ZUEGE',2,'R EMILIO STRUCK','355','RIO BONITO',4209102,89239580),(28,'1144','EEF PROFª MARIA AMIN GHANEM',2,'R ADOLAR POHL','318','AVENTUREIRO',4209102,89225652),(28,'1145','EEB SEN RODRIGO LOBO',2,'R CUBA',NULL,'JD SOFIA',4209102,89223710),(28,'1146','COLÉGIO DO PLANALTO SERRANO LTDA',4,'R FREI ROGÉRIO','809','CENTRO',4209300,88502161),(28,'1147','EEB CEL JOSE MAURICIO DOS SANTOS',2,'ESTRADA GERAL','161','CAPUTERA',4209409,88790000),(28,'1148','EEB DOMINGOS BARBOSA CABRAL',2,'PESCARIA BRAVA',NULL,'PESCARIA BRAVA',4209409,88790000),(28,'1149','EEB PROFª NICOLINA TANCREDO',2,'R CESAR RENE WAGNER','137','ALTO ARIRIU',4211900,88135720),(28,'115','EEB PE LUX',2,NULL,NULL,NULL,4202909,NULL),(28,'1150','EEB JORGE LACERDA',2,'R JOAO TREVISOL',NULL,'VILA SÃO BRAZ',4212106,89887000),(28,'1151','EEB IRENE REVA ZADOROSNY',2,'R DO COLONO','SN','NOVA CULTURA',4212205,89370000),(28,'1152','EEB NILO PEÇANHA',2,'R FRANCISCO PELUSKI','365','VICE KING',4213609,89400000),(28,'1153','APADAF',4,'AV GENERAL BORMANN','532','CENTRO',4213609,89400000),(28,'1154','COLÉGIO DE ENSINO MÉDIO UNIVILLE',4,'R NORBERTO EDUARDO WEIHERMANN','230','COLONIAL',4215802,89290000),(28,'1155','EEB JOSÉ MATIAS ZIMMERMANN',2,'R JOSE MATIAS ZIMMERMANN','68','SERTÃO DO MARUIM',4216602,88122200),(28,'1156','EEB ROSINA NARDI',2,'R COHAB','191','SAO JOÃO',4217501,89770000),(28,'1157','CENTRO EDUCACIONAL TIMBÓ S.A',4,'AV GETULIO VARGAS','222','CENTRO',4218202,89120000),(28,'1158','EEB DOM PEDRO I',2,'ESTRADA GERAL',NULL,NULL,4219358,89148000),(28,'1159','CENTRO DE ENSINO APROVAÇÃO',4,'R PRES VARGAS','566','BORTOLON',4219507,89820000),(28,'116','EEB SANTA TEREZINHA',2,NULL,NULL,NULL,4202909,NULL),(28,'1160','EEB NORBERTO TEODORO DE MELO',2,'R GERAL BARRA CLARA 388',NULL,'BARRA CLARA',4200903,88465000),(28,'1161','INSTITUTO ADV DE ENS DE SANTA CATARINA',4,'BR 101 KM 64',NULL,'CORVETA',4201307,89245000),(28,'1162','EEB PROFª MARIA JOSÉ MARTINS',2,'R DOS IMIGRANTES 184',NULL,'CENTRO',4202073,88955000),(28,'1163','EEB CARLOS TECHENTIN',2,'R BAHIA 8222',NULL,'PASSO MANSO',4202404,89032002),(28,'1164','EEB PE JACOB LUIZ NEIBEL',2,'ESTRADA GERAL',NULL,'PINHEIRAL',4202800,88750000),(28,'1165','EEF THOMAZ PADILHA',2,'ROD SC 451 KM 22 SN',NULL,'TAQUARA VERDE',4203006,89500000),(28,'1166','CENTRO DE EDUCAÇÃO CHAPECÓ',4,'AV PORTO ALEGRE 959 E',NULL,'CENTRO',4204202,89814100),(28,'1167','EEB PROFª FRANCISCA M DE O BURIGO',2,'R SANTA CATARINA 1439',NULL,'JD ELIZABETH',4204251,88845000),(28,'1168','COLÉGIO SANTA CATARINA',4,'R FREI EVARISTO 91',NULL,'CENTRO',4205407,88015410),(28,'1169','COLÉGIO BOM JESUS CORAÇÃO DE JESUS',4,'R EMIR ROSA 120',NULL,'CENTRO',4205407,88020050),(28,'117','SEMINÁRIO MENOR METROPOLITANO',4,NULL,NULL,NULL,4202909,NULL),(28,'1170','EEB ÂNGELO IZÉ',2,'R DO IMIGRANTE ITALIANO',NULL,'SANGA DO ENGENHO',4205456,88850000),(28,'1171','EEB EURICO PINZ',2,'R ARCINDO HAS',NULL,'SÃO MIGUEL',4205506,89580000),(28,'1172','COLÉGIO UNILIDER',4,'R ANITA GARIBALDI 529',NULL,'CENTRO',4208203,88303020),(28,'1173','COLÉGIO GALILEU',4,'TRAV JACOB SENS 145',NULL,'CENTRO',4208500,88400000),(28,'1174','COLÉGIO BOM JESUS DIVINA PROVIDÊNCIA',4,'AV MARECHAL DEODORO DA FONSECA','710','CENTRO',4208906,89251700),(28,'1175','CENTRO DE ED ELCANA',4,'R JACOB WEINGARTNER',NULL,'CENTRO',4211900,88131400),(28,'1176','CENTRO EDUCACIONAL PRISMA',4,'R SEBASTIAO VIEIRA LINS 37',NULL,'CENTRO',4212809,88380000),(28,'1177','ASSOC. CASA FAMILIAR RURAL DE RIQUEZA',2,'LINHA CAMBUCICA',NULL,'LINHA CAMBUCICA',4215075,89895000),(28,'1178','COLÉGIO BOM JESUS SÃO JOSÉ',4,'R PADRE FIDELIS TOMELIN 111',NULL,'CENTRO',4215802,89290000),(28,'1179','SENAI SC - SÃO MIGUEL DO OESTE',4,'R BARAO DO RIO BRANCO 220',NULL,'AGOSTINI',4217204,89900000),(28,'118','COLÉGIO MARISTA AURORA',4,NULL,NULL,NULL,4203006,NULL),(28,'1180','COOP. EDUC MAGNA NUCLEO II',4,'R SAO DANIEL 120',NULL,'NITEROI',4217501,89770000),(28,'1181','INST DE EDUC E CULT CÉSAR COLL LTDA EPP',4,'R MARECHAL DEODORO 923',NULL,'CENTRO',4218707,88701010),(28,'1182','EEB MANOEL DUTRA BESSA',2,'R JOAO OZOL 96',NULL,'CENTRO',4218905,88650000),(28,'1183','EEB MADRE TEREZINHA LEONI',2,'ROD SC 453 KM 49',NULL,'DIST INDUSTRIAL',4219309,89560000),(28,'1184','EEB ISIDORO SILVA',2,NULL,NULL,NULL,4201000,NULL),(28,'1185','EEB PROFª DOLVINA LEITE DE MEDEIROS',2,NULL,NULL,NULL,4201406,NULL),(28,'1186','EEBI WHERA TUPA POTY DJA',2,NULL,NULL,NULL,4202305,NULL),(28,'1187','EEB WERNER KNABBEN',2,NULL,NULL,NULL,4202800,NULL),(28,'1188','EEB JOAO XXIII',2,NULL,NULL,NULL,4202909,NULL),(28,'1189','EEB DR JOÃO SANTO DAMO',2,NULL,NULL,NULL,4203006,NULL),(28,'119','C CENECISTA MARCOS OLSEN',4,NULL,NULL,NULL,4203006,NULL),(28,'1190','EEB SÃO CRISTÓVÃO',2,NULL,NULL,NULL,4203907,NULL),(28,'1191','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4204202,NULL),(28,'1192','COLÉGIO TRILINGUE INOVAÇÃO',4,NULL,NULL,NULL,4204202,NULL),(28,'1193','TOP CURSOS LTDA',4,NULL,NULL,NULL,4204202,NULL),(28,'1194','EEF SILVA ALVARENGA',2,NULL,NULL,NULL,4204608,NULL),(28,'1195','EEB LUIZ LAZZARIN',2,NULL,NULL,NULL,4204608,NULL),(28,'1196','EEB PROFº TERTULIANO T DE LEMOS',2,NULL,NULL,NULL,4205308,NULL),(28,'1197','ASSOC EDUC E TECNOLOGICA-COC FLORIANOPOL',4,NULL,NULL,NULL,4205407,NULL),(28,'1198','C SALVATORIANO N SRA DE FÁTIMA',4,NULL,NULL,NULL,4205407,NULL),(28,'1199','COL. DE ENSINO MÉDIO MANUELLA BASTOS',4,NULL,NULL,NULL,4205407,NULL),(28,'12','EEB CEL ANTÔNIO LEHMKUHL',2,NULL,NULL,NULL,4200606,NULL),(28,'120','COL. DE APLICAÇÃO DA UNIARP CAÇADOR',4,NULL,NULL,NULL,4203006,NULL),(28,'1200','EEF DE 1 GRAU 25 DE MAIO',2,NULL,NULL,NULL,4205506,NULL),(28,'1201','EEB IGNACIO STAKOWSKI',2,NULL,NULL,NULL,4207007,NULL),(28,'1202','EEF QUINTINO FOLHIARINI DAJORI',2,NULL,NULL,NULL,4207007,NULL),(28,'1203','EEF PROFº LUIZ FELIX BARRETO',2,NULL,NULL,NULL,4207205,NULL),(28,'1204','EEB SÃO LOURENÇO',2,NULL,NULL,NULL,4207650,NULL),(28,'1205','EEB PAULO BAUER',2,NULL,NULL,NULL,4208203,NULL),(28,'1206','EEB PROFº GUSTAVO AUGUSTO GONZAGA',2,NULL,NULL,NULL,4209102,NULL),(28,'1207','SISTEMA DE ENSINO ENERGIA LAGES',4,NULL,NULL,NULL,4209300,NULL),(28,'1208','EEB BELISARIO RAMOS',2,NULL,NULL,NULL,4209300,NULL),(28,'1209','EEF SANTA MARTA',2,NULL,NULL,NULL,4209409,NULL),(28,'121','EEB DANTE MOSCONI',2,NULL,NULL,NULL,4203006,NULL),(28,'1210','EEB PALMIRA MORAIS DE MIRANDA',2,NULL,NULL,NULL,4209409,NULL),(28,'1211','EEB DR RENATO RAMOS DA SILVA',2,NULL,NULL,NULL,4209409,NULL),(28,'1212','EEB GREGÓRIO MANOEL DE BEM',2,NULL,NULL,NULL,4209409,NULL),(28,'1213','EEB SANTA TEREZINHA',2,NULL,NULL,NULL,4209706,NULL),(28,'1214','CENTRO DE ED PROFISSIONAL CEDUP',2,NULL,NULL,NULL,4210100,NULL),(28,'1215','EEF PROFº TERCÍLIO BASTOS',2,NULL,NULL,NULL,4210209,NULL),(28,'1216','EEB SANTA TEREZINHA',2,NULL,NULL,NULL,4210506,NULL),(28,'1217','EEF FELIPE MANKE',2,NULL,NULL,NULL,4210605,NULL),(28,'1218','COLÉGIO FATENP',4,NULL,NULL,NULL,4211900,NULL),(28,'1219','EEB MANOEL ESTEVAO FURTADO',2,NULL,NULL,NULL,4212205,NULL),(28,'122','EEB DOM ORLANDO DOTTI',2,NULL,NULL,NULL,4203006,NULL),(28,'1220','COLÉGIO ANA LUIZA',4,NULL,NULL,NULL,4213500,NULL),(28,'1221','EEB VER. ALFREDO SCOTTINI',1,NULL,NULL,NULL,4214607,NULL),(28,'1222','IF DE ED CIENCIA E TECN-CAMPUS RIO DO SU',3,NULL,NULL,NULL,4214805,NULL),(28,'1223','CURSO E COLÉGIO IDEOLOGIA',4,NULL,NULL,NULL,4215703,NULL),(28,'1224','EEB FELIPE SCHMIDT',2,NULL,NULL,NULL,4216206,NULL),(28,'1225','EEF JOÃO ALFREDO MOREIRA',2,NULL,NULL,NULL,4216206,NULL),(28,'1226','EEB PROFª LIDIA LEAL GOMES',2,NULL,NULL,NULL,4216305,NULL),(28,'1227','EEB SERAFIM BERTASO',2,NULL,NULL,NULL,4216701,NULL),(28,'1228','EEB LEOVEGILDO ESMERIO DA SILVA',2,NULL,NULL,NULL,4216800,NULL),(28,'1229','EEB VOLTA REDONDA',2,NULL,NULL,NULL,4216909,NULL),(28,'123','EEM IRMÃO LEO',2,NULL,NULL,NULL,4203006,NULL),(28,'1230','EEB SÃO VALENTIM',2,NULL,NULL,NULL,4216909,NULL),(28,'1231','EEB RODOLFO FOSS',2,NULL,NULL,NULL,4217303,NULL),(28,'1232','EEB ELISABETHE MATILDE SIMON',2,NULL,NULL,NULL,4217501,NULL),(28,'1233','COLÉGIO INTELECTUS LTDA',4,NULL,NULL,NULL,4219507,NULL),(28,'1234','EEB SÃO JOÃO BATISTA',2,NULL,NULL,'AGOSTINI',4217204,NULL),(28,'1235','CASA FAMILIAR RURAL DE MODELO',2,NULL,NULL,'LINHA SALETE',4210902,NULL),(28,'1236','CASA FAMILIAR RURAL DE SAUDADES',2,NULL,NULL,'LINHA TAIPAS',4217303,NULL),(28,'1237','EEB DOGELLO GOSS',2,NULL,NULL,'BARRA DO TIGRE',4204301,NULL),(28,'1238','CENTRO EDUCACIONAL INOVAÇÃO',4,NULL,NULL,'CENTRO',4203907,NULL),(28,'1239','EEB CORONEL GASPARINO ZORZI',2,NULL,NULL,'SAO SEBASTIAO',4203600,NULL),(28,'124','EEB PAULO SCHIEFFLER',2,NULL,NULL,NULL,4203006,NULL),(28,'1240','COL SAO FRANCISCO DE SALES LTDA',4,NULL,NULL,'CENTRO',4203006,NULL),(28,'1241','EEF 30 DE OUTUBRO',2,NULL,NULL,NULL,4209706,NULL),(28,'1242','EEB MARIA SALETE CAZZAMALI',2,NULL,NULL,'CRISTO REI',4215505,NULL),(28,'1243','EIEF VANHECU PATTE',2,NULL,NULL,NULL,4209151,NULL),(28,'1244','CURSO E COLÉGIO ENERGIA',4,NULL,NULL,'JD MALUCHE',4202909,NULL),(28,'1245','EEB PROF OLIVIA BASTOS',2,NULL,NULL,'NOVA DESCOBERTA',4218004,NULL),(28,'1246','EEB SÃO JOSE',2,NULL,NULL,'ESCALVADOS',4211306,NULL),(28,'1247','EEB PROF EDITH PRATES GONÇALVES',2,NULL,NULL,'STA LIDIA',4212502,NULL),(28,'1248','EEM JACO ANDERLE',2,NULL,NULL,'VARGEM GRANDE',4205407,NULL),(28,'1249','CENTRO DE EDUCAÇÃO N SRA DA CONCEIÇÃO',4,NULL,NULL,'INGLESES',4205407,NULL),(28,'125','EEB WANDA KRIEGER GOMES',2,NULL,NULL,NULL,4203006,NULL),(28,'1250','COLÉGIO ITACORUBI',4,NULL,NULL,'ITACORUBI',4205407,NULL),(28,'1251','EEF PROF URSULINA DE SENNA CASTRO',2,NULL,NULL,'CAMINHO NOVO',4211900,NULL),(28,'1252','CENTRO EDUC PAULO NEVES FREIRE LTDA EPP',4,NULL,NULL,'KOBRASOL',4216602,NULL),(28,'1253','CURSO E COLEGIO PERFIL',4,NULL,NULL,'CENTRO',4205704,NULL),(28,'1254','EEB ANDRE A DE SOUZA',2,NULL,NULL,'ROCA GRANDE',4207304,NULL),(28,'1255','EEB PROF GRACINDA AUGUSTA MACHADO',2,NULL,NULL,'NOVA BRASILIA',4207304,NULL),(28,'1256','EEB ALICE JULIA TEIXEIRA',2,NULL,NULL,'STA APOLONIA',4215455,NULL),(28,'1257','EEB JOSE BOTEGA',2,NULL,NULL,'SÃO CRISTOVAO',4218707,NULL),(28,'1258','EEB LINO PESSOA',2,NULL,NULL,'MONTE CASTELO',4218707,NULL),(28,'1259','EEB SAGRADO CORAÇÃO DE JESUS',2,NULL,NULL,NULL,4218707,NULL),(28,'126','COLÉGIO CENECISTA OLAVO BILAC',4,NULL,NULL,NULL,4203105,NULL),(28,'1260','EEB MARIA JOSÉ HULSE PEIXOTO',2,NULL,NULL,'BRASILIA',4204608,NULL),(28,'1261','EEB COSTA CARNEIRO',2,NULL,NULL,'CENTRO',4211702,NULL),(28,'1262','EEB SAMUEL SANDRINI',2,NULL,NULL,NULL,4211702,NULL),(28,'1263','COLÉGIO UNICO',4,NULL,NULL,NULL,4201406,NULL),(28,'1264','EEB NORMELIO CUNHA',2,NULL,NULL,'GUARITA',4217709,NULL),(28,'1265','CENTRO DE EDUC OFICINA DOS SONHOS LTDA',4,NULL,NULL,'COSTA E SILVA',4209102,NULL),(28,'1266','CASA FAMILIAR DO MAR LUIZ CARLOS PERIN',2,NULL,NULL,'ROCIO GRANDE',4216206,NULL),(28,'1267','EEB ANTONIO BLASKOWSKI',2,NULL,NULL,'ITAIO',4208104,NULL),(28,'1268','EEF AMANDUS BAUER',2,NULL,NULL,NULL,4208104,NULL),(28,'1269','EEB SANTO ANTONIO',2,NULL,NULL,'CENTRO',4210100,NULL),(28,'127','EEB DOM PEDRO II',2,NULL,NULL,NULL,4203105,NULL),(28,'1270','EEB TENENTE ARY RAUEN',2,NULL,NULL,'VILA IVETE',4210100,NULL),(28,'1271','EEB FRANCISCO NICOLAU FUCK',2,NULL,NULL,'CENTRO',4211108,NULL),(28,'1272','CASA FAM RURAL CERRO NEGRO E C BELO SUL',2,NULL,NULL,'CENTRO',4204178,NULL),(28,'1273','EEB MARIA QUITERIA',2,NULL,NULL,'CONTA DINHEIRO',4209300,NULL),(28,'1274','EEB PROF ILZA AMARAL DE OLIVEIRA',2,NULL,NULL,'SANTA HELENA',4209300,NULL),(28,'1275','EEB VISCONDE DE CAIRU',2,NULL,NULL,'VILA NOVA',4209300,NULL),(28,'1276','EEB IRMA GERTRUDES',2,NULL,NULL,'VILA NOVA',4213302,NULL),(28,'1277','CASA FAMILIAR RURAL SÃO DOMINGOS',2,NULL,NULL,NULL,4203105,NULL),(28,'1278','CENTRO EDUCACIONAL SÃO CARLOS',4,NULL,NULL,'CENTRO',4216008,NULL),(28,'1279','CASA FAMILIAR RURAL DE SÃO JOSE DO CEDRO',2,NULL,NULL,NULL,4216701,NULL),(28,'128','EEB CALMON',2,NULL,NULL,NULL,4203154,NULL),(28,'1280','CASA FAMILIAR RURAL LODOVICO DE MARCO',2,NULL,NULL,NULL,4217501,NULL),(28,'1281','EEB LETICIA POSSAMAI',2,NULL,NULL,NULL,4213708,NULL),(28,'129','I F ED.CI.E TECN.-CAMPUS CAMBORIÚ(C.AGR)',3,NULL,NULL,NULL,4203204,NULL),(28,'13','EEB SILVA JARDIM',2,NULL,NULL,NULL,4200705,NULL),(28,'130','EEB PROF JOSÉ ARANTES',2,NULL,NULL,NULL,4203204,NULL),(28,'131','EEB PROFª MARIA TEREZINHA GARCIA',2,NULL,NULL,NULL,4203204,NULL),(28,'132','EEB LEBON RÉGIS',2,NULL,NULL,NULL,4203303,NULL),(28,'133','C CENECISTA STELLA MATUTINA',4,NULL,NULL,NULL,4203402,NULL),(28,'134','EEB MAJOR OTACÍLIO COUTO',2,NULL,NULL,NULL,4203402,NULL),(28,'135','CEDUP CAMPO ERÊ',2,NULL,NULL,NULL,4203501,NULL),(28,'136','EEB EMÍLIO GARRASTAZU MÉDICI',2,NULL,NULL,NULL,4203501,NULL),(28,'137','EEB RAUL POMPÉIA',2,NULL,NULL,NULL,4203501,NULL),(28,'138','COLÉGIO AUXILIADORA',4,NULL,NULL,NULL,4203600,NULL),(28,'139','EEB HENRIQUE RUPP JUNIOR',2,NULL,NULL,NULL,4203600,NULL),(28,'14','EEB TEIXEIRA DE FREITAS',2,NULL,NULL,NULL,4200754,NULL),(28,'140','EEB PAULO BLASI',2,NULL,NULL,NULL,4203600,NULL),(28,'141','ESC TEC COM D JOÃO BATISTA SCALABRINI',4,NULL,NULL,NULL,4203600,NULL),(28,'142','EEB PROFª MINERVINA LAUS',2,NULL,NULL,NULL,4203709,NULL),(28,'143','CEDUP VIDAL RAMOS',2,NULL,NULL,NULL,4203808,NULL),(28,'144','COLÉGIO COMERCIAL DE CANOINHAS',4,NULL,NULL,NULL,4203808,NULL),(28,'145','COLÉGIO SAGRADO CORAÇÃO DE JESUS',2,NULL,NULL,NULL,4203808,NULL),(28,'146','EEB ALMIRANTE BARROSO',2,NULL,NULL,NULL,4203808,NULL),(28,'147','EEB IRMÃ MARIA FELICITAS',2,NULL,NULL,NULL,4203808,NULL),(28,'148','EEB JOÃO JOSÉ DE SOUZA CABRAL',2,NULL,NULL,NULL,4203808,NULL),(28,'149','EEB JÚLIA B ZANIOLO',2,NULL,NULL,NULL,4203808,NULL),(28,'15','C CENECISTA PADRE JOSÉ DE ANCHIETA',4,NULL,NULL,NULL,4200804,NULL),(28,'150','EEB PROF MANOEL DA SILVA QUADROS',2,NULL,NULL,NULL,4203808,NULL),(28,'151','EEB RODOLFO ZIPPERER',2,NULL,NULL,NULL,4203808,NULL),(28,'152','EEB SAGRADO CORAÇÃO DE JESUS',2,NULL,NULL,NULL,4203808,NULL),(28,'153','EEB SANTA CRUZ',2,NULL,NULL,NULL,4203808,NULL),(28,'154','UNIV DO CONTESTADO CAMPUS DE CANOINHAS',4,NULL,NULL,NULL,4203808,NULL),(28,'155','COLÉGIO CENECISTA PADRE ANCHIETA',4,NULL,NULL,NULL,4203907,NULL),(28,'156','EEB MATER DOLORUM',2,NULL,NULL,NULL,4203907,NULL),(28,'158','EEB DR OTTO FEUERSCHUETTE',2,NULL,NULL,NULL,4203956,NULL),(28,'159','CE TERESA MARTINS BRITO',2,NULL,NULL,NULL,4203956,NULL),(28,'16','EEB PROF OSNI PAULINO DA SILVA',2,NULL,NULL,NULL,4200804,NULL),(28,'160','COLÉGIO CENECISTA CATANDUVENSE',4,NULL,NULL,NULL,4204004,NULL),(28,'161','EEB IRMÃ WIENFRIDA',2,NULL,NULL,NULL,4204004,NULL),(28,'162','EEB CÂNDIDO RAMOS',2,NULL,NULL,NULL,4204103,NULL),(28,'163','EEB JOSÉ CESÁRIO BRASIL',2,NULL,NULL,NULL,4204152,NULL),(28,'164','EEB PROFª OTÍLIA ULYSSÉA UNGARETTI',2,NULL,NULL,NULL,4204178,NULL),(28,'165','EEB OTÍLIA MÜLLER',2,NULL,NULL,NULL,4204194,NULL),(28,'166','COLÉGIO CENECISTA ILMA ROSA DE NES',4,NULL,NULL,NULL,4204202,NULL),(28,'167','CENTRO EDUC. DA UNOESC',4,NULL,NULL,NULL,4204202,NULL),(28,'168','COLÉGIO MARISTA SÃO FRANCISCO',4,NULL,NULL,NULL,4204202,NULL),(28,'169','EEB BOM PASTOR',2,NULL,NULL,NULL,4204202,NULL),(28,'17','EEB NOSSA SENHORA',2,NULL,NULL,NULL,4200903,NULL),(28,'170','EEB CEL ERNESTO BERTASO',2,NULL,NULL,NULL,4204202,NULL),(28,'171','EEB CORONEL LARA RIBAS',2,NULL,NULL,NULL,4204202,NULL),(28,'172','EEB DRUZIANA SARTORI',2,NULL,NULL,NULL,4204202,NULL),(28,'173','EEB MARCOLINA RODRIGUES DA SILVA',2,NULL,NULL,NULL,4204202,NULL),(28,'174','EEB MARECHAL BORMANN',2,NULL,NULL,NULL,4204202,NULL),(28,'175','EEB PEDRO MACIEL',2,NULL,NULL,NULL,4204202,NULL),(28,'176','EEB PROFª LUIZA SANTIN',2,NULL,NULL,NULL,4204202,NULL),(28,'177','EEB PROF NELSON HOROSTECKI',2,NULL,NULL,NULL,4204202,NULL),(28,'178','EEB PROFª GENI COMEL',2,NULL,NULL,NULL,4204202,NULL),(28,'179','EEB PROFª IRENE STONOGA',2,NULL,NULL,NULL,4204202,NULL),(28,'18','EEB PE ANTÔNIO VIEIRA',2,NULL,NULL,NULL,4201000,NULL),(28,'180','EEB PROFª LOURDES A SARTURI LAGO',2,NULL,NULL,NULL,4204202,NULL),(28,'181','EEB PROFª VALESCA C R PARIZOTTO',2,NULL,NULL,NULL,4204202,NULL),(28,'182','EEB PROFª ZELIA SCHARF',2,NULL,NULL,NULL,4204202,NULL),(28,'183','EEB SÃO FRANCISCO',2,NULL,NULL,NULL,4204202,NULL),(28,'184','EEB TANCREDO DE ALMEIDA NEVES',2,NULL,NULL,NULL,4204202,NULL),(28,'185','COLÉGIO EXPONENCIAL',4,NULL,NULL,NULL,4204202,NULL),(28,'186','CURSO E COLÉGIO VETOR LTDA',4,NULL,NULL,NULL,4204202,NULL),(28,'187','ESC DE AUX ENFERMAGEM DA FHASA',4,NULL,NULL,NULL,4204202,NULL),(28,'188','C MAXIMILIANO GAIDZINSKI',4,NULL,NULL,NULL,4204251,NULL),(28,'189','EEB PROF PE SCHULER',2,NULL,NULL,NULL,4204251,NULL),(28,'19','EEB ALTINO FLORES',2,NULL,NULL,NULL,4201109,NULL),(28,'190','COLÉGIO CENECISTA CONCÓRDIA',4,NULL,NULL,NULL,4204301,NULL),(28,'191','EEB DEODORO',2,NULL,NULL,NULL,4204301,NULL),(28,'192','EEB PROF OLAVO CECCO RIGON',2,NULL,NULL,NULL,4204301,NULL),(28,'193','EEB SÃO JOÃO BATISTA DE LA SALLE',2,NULL,NULL,NULL,4204301,NULL),(28,'194','EEB VIDAL RAMOS JUNIOR',2,NULL,NULL,NULL,4204301,NULL),(28,'195','COLÉGIO DE APLICAÇÃO DA FEAUC',4,NULL,NULL,NULL,4204301,NULL),(28,'196','IF CATARINENSE-CAMPUS DE CONCÓRDIA',3,NULL,NULL,NULL,4204301,NULL),(28,'197','EEB CORDILHEIRA ALTA',2,NULL,NULL,NULL,4204350,NULL),(28,'198','COLÉGIO CENECISTA SÃO JOSÉ',4,NULL,NULL,NULL,4204400,NULL),(28,'199','EEB PROFª DÉLIA RÉGIS',2,NULL,NULL,NULL,4204400,NULL),(28,'2','C CENECISTA PROF SIMÃO HESS',4,NULL,NULL,NULL,4200101,NULL),(28,'20','COLÉGIO CENECISTA ANTÔNIO CARLOS',4,NULL,NULL,NULL,4201208,NULL),(28,'200','EEB PROFª OLGA NUNES DE ABREU',2,NULL,NULL,NULL,4204459,NULL),(28,'201','EEB NS DOS PRAZERES',2,NULL,NULL,NULL,4204558,NULL),(28,'202','COLÉGIO VER RUY COMARELLA',4,NULL,NULL,NULL,4204558,NULL),(28,'203','EEB TERESA RAMOS',2,NULL,NULL,NULL,4204509,NULL),(28,'204','COLÉGIO SAGRADO C DE JESUS',4,NULL,NULL,NULL,4204509,NULL),(28,'205','C COMERCIAL DE CIENC E ADMINISTRAÇÃO',4,NULL,NULL,NULL,4204608,NULL),(28,'206','COLÉGIO COMERCIAL TIRADENTES',4,NULL,NULL,NULL,4204608,NULL),(28,'207','COLÉGIO CRICIÚMA',4,NULL,NULL,NULL,4204608,NULL),(28,'208','C DE APLIC DA FUND ED DE CRICIÚMA-FUCRI',4,NULL,NULL,NULL,4204608,NULL),(28,'209','EEB ENG.SEBASTIÃO TOLEDO DOS SANTOS',2,NULL,NULL,NULL,4204608,NULL),(28,'21','EEB ALTAMIRO GUIMARÃES',2,NULL,NULL,NULL,4201208,NULL),(28,'210','COLÉGIO MADRE TERESA MICHEL',4,NULL,NULL,NULL,4204608,NULL),(28,'211','COLÉGIO MARISTA',4,NULL,NULL,NULL,4204608,NULL),(28,'212','COLÉGIO ROGACIONISTA PIO XII',4,NULL,NULL,NULL,4204608,NULL),(28,'213','COLÉGIO SÃO BENTO',4,NULL,NULL,NULL,4204608,NULL),(28,'214','EEB ANTÔNIO MILANEZ NETTO',2,NULL,NULL,NULL,4204608,NULL),(28,'215','EEB ANTÔNIO VITOR DE SOUZA',2,NULL,NULL,NULL,4204608,NULL),(28,'216','EEB CEL MARCOS ROVARIS',2,NULL,NULL,NULL,4204608,NULL),(28,'217','EEB COELHO NETO',2,NULL,NULL,NULL,4204608,NULL),(28,'218','EEB HERIBERTO HÜLSE',2,NULL,NULL,NULL,4204608,NULL),(28,'219','EEB HUMBERTO DE CAMPOS',2,NULL,NULL,NULL,4204608,NULL),(28,'22','EEB SÃO JOÃO BOSCO',2,NULL,NULL,NULL,4201257,NULL),(28,'220','EEB IRMÃ EDVIGES',2,NULL,NULL,NULL,4204608,NULL),(28,'221','EEB JOAQUIM RAMOS',2,NULL,NULL,NULL,4204608,NULL),(28,'222','EEB LINDOLFO COLLOR',2,NULL,NULL,NULL,4204608,NULL),(28,'223','EEB PADRE MIGUEL GIACCA',2,NULL,NULL,NULL,4204608,NULL),(28,'224','CE LAPAGESSE',2,NULL,NULL,NULL,4204608,NULL),(28,'225','EEB RUBENS DE ARRUDA RAMOS',2,NULL,NULL,NULL,4204608,NULL),(28,'226','CENTRO EDUC. ENERGIA SC LTDA',4,NULL,NULL,NULL,4204608,NULL),(28,'227','CENTRO EDUCACIONAL UNIVERSITÁRIO',4,NULL,NULL,NULL,4204608,NULL),(28,'228','CEDUP ABÍLIO PAULO',2,NULL,NULL,NULL,4204608,NULL),(28,'229','COLÉGIO QUARTA DIMENSÃO',4,NULL,NULL,NULL,4204608,NULL),(28,'23','EEB PROFª IVONETE RIBEIRO',2,NULL,NULL,NULL,4201273,NULL),(28,'230','ESC TÉC.GAL OSVALDO PINTO DA VEIGA',4,NULL,NULL,NULL,4204608,NULL),(28,'231','INSTITUTO SÃO JOSÉ',4,NULL,NULL,NULL,4204608,NULL),(28,'232','SOCIEDADE DE EDUC E CULT DE CRICIÚMA',4,NULL,NULL,NULL,4204608,NULL),(28,'233','COLÉGIO CENECISTA ASSIS BRASIL',4,NULL,NULL,NULL,4204707,NULL),(28,'234','EEB PROF PATRÍCIO JOÃO DE OLIVEIRA',2,NULL,NULL,NULL,4204707,NULL),(28,'235','EEB NICOLAU SCHOENBERGER',2,NULL,NULL,NULL,4204756,NULL),(28,'236','COLÉGIO COMERCIAL CARDEAL CÂMARA',4,NULL,NULL,NULL,4204806,NULL),(28,'237','C PROF JUSCELINO K DE OLIVEIRA',4,NULL,NULL,NULL,4204806,NULL),(28,'238','EEB SANTA TERESINHA',2,NULL,NULL,NULL,4204806,NULL),(28,'239','EEB CASIMIRO DE ABREU',2,NULL,NULL,NULL,4204806,NULL),(28,'24','I F CATARINENSE CAMPUS ARAQUARI (C.AGRI)',3,NULL,NULL,NULL,4201307,NULL),(28,'240','EEB SOLON ROSA',2,NULL,NULL,NULL,4204806,NULL),(28,'241','COLÉGIO CENECISTA SANTOS DUMONT',4,NULL,NULL,NULL,4204905,NULL),(28,'242','EEB EVERARDO BACKHEUSER',2,NULL,NULL,NULL,4204905,NULL),(28,'243','EEB ITAJUBÁ',2,NULL,NULL,NULL,4204905,NULL),(28,'244','COLÉGIO CENECISTA CASTRO ALVES',4,NULL,NULL,NULL,4205001,NULL),(28,'245','EEB DR THEODURETO DE FARIA SOUTO',2,NULL,NULL,NULL,4205001,NULL),(28,'246','EEB JACOB MARAN',2,NULL,NULL,NULL,4205001,NULL),(28,'247','EEB LINDO SARDAGNA',2,NULL,NULL,NULL,4205100,NULL),(28,'248','EEB FREI LUCÍNIO KORTE',2,NULL,NULL,NULL,4205159,NULL),(28,'249','EEB PIO XII',2,NULL,NULL,NULL,4205175,NULL),(28,'25','EEB ALMIRANTE BOITEUX',2,NULL,NULL,NULL,4201307,NULL),(28,'250','EEB PEDRO SIMON',2,NULL,NULL,NULL,4205191,NULL),(28,'251','C CENECISTA CÉSAR AVELINO BRAGAGNOLO',4,NULL,NULL,NULL,4205209,NULL),(28,'252','CE CORONEL HENRIQUE RUPP',2,NULL,NULL,NULL,4205209,NULL),(28,'253','EEB PREF AGENOR PIOVEZAN',2,NULL,NULL,NULL,4205209,NULL),(28,'254','COLÉGIO CENECISTA PRES DUTRA',4,NULL,NULL,NULL,4205308,NULL),(28,'255','EEB PROF SALUSTIANO ANTÔNIO CABREIRA',2,NULL,NULL,NULL,4205308,NULL),(28,'256','EEB JORGE LACERDA',2,NULL,NULL,NULL,4205357,NULL),(28,'257','EEB ADERBAL RAMOS DA SILVA',2,NULL,NULL,NULL,4205407,NULL),(28,'258','C ADV ROBERTO RODRIGUES DE AZEVEDO',4,NULL,NULL,NULL,4205407,NULL),(28,'259','COLÉGIO ANTÔNIO PEIXOTO',4,NULL,NULL,NULL,4205407,NULL),(28,'26','CENTRO EDUC. FUTURÃO',4,NULL,NULL,NULL,4201406,NULL),(28,'260','C BARDDAL FLORIANÓPOLIS SC LTDA',4,NULL,NULL,NULL,4205407,NULL),(28,'261','C BARRIGA VERDE CENTRO EDUC LTDA',4,NULL,NULL,NULL,4205407,NULL),(28,'262','ASAV COLÉGIO CATARINENSE',4,NULL,NULL,NULL,4205407,NULL),(28,'263','C CENECISTA ANTONIETA DE BARROS',4,NULL,NULL,NULL,4205407,NULL),(28,'264','COLÉGIO COMERCIAL PIO XII',4,NULL,NULL,NULL,4205407,NULL),(28,'265','COLÉGIO CONTINENTE',4,NULL,NULL,NULL,4205407,NULL),(28,'266','COLÉGIO CORAÇÃO DE JESUS',4,NULL,NULL,NULL,4205407,NULL),(28,'267','COLÉGIO DE APLICAÇÃO DA UFSC',3,NULL,NULL,NULL,4205407,NULL),(28,'268','C DE APLICAÇÃO-UDESC',2,NULL,NULL,NULL,4205407,NULL),(28,'269','COLÉGIO DECISÃO',4,NULL,NULL,NULL,4205407,NULL),(28,'27','COLÉGIO NS MÃE DOS HOMENS',4,NULL,NULL,NULL,4201406,NULL),(28,'270','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4205407,NULL),(28,'271','EEB FELICIANO NUNES PIRES',2,NULL,NULL,NULL,4205407,NULL),(28,'272','COLÉGIO GERAÇÃO',4,NULL,NULL,NULL,4205407,NULL),(28,'273','COLÉGIO NS DE FÁTIMA',4,NULL,NULL,NULL,4205407,NULL),(28,'274','EEM ANTÔNIO PASCHOAL APÓSTOLO',2,NULL,NULL,NULL,4205407,NULL),(28,'275','EEB CELSO RAMOS',2,NULL,NULL,NULL,4205407,NULL),(28,'276','EEB DAYSE WERNER SALLES',2,NULL,NULL,NULL,4205407,NULL),(28,'277','EEB LAURO MÜLLER',2,NULL,NULL,NULL,4205407,NULL),(28,'278','EEB DOM JAIME DE BARROS CÂMARA',2,NULL,NULL,NULL,4205407,NULL),(28,'279','EEB DR PAULO FONTES',2,NULL,NULL,NULL,4205407,NULL),(28,'28','EEB BERNARDINO SENA CAMPOS',2,NULL,NULL,NULL,4201406,NULL),(28,'280','CE GENTIL MATHIAS DA SILVA',2,NULL,NULL,NULL,4205407,NULL),(28,'281','EEB GETÚLIO VARGAS',2,NULL,NULL,NULL,4205407,NULL),(28,'282','EEM HENRIQUE VERAS',2,NULL,NULL,NULL,4205407,NULL),(28,'283','EEB ILDEFONSO LINHARES',2,NULL,NULL,NULL,4205407,NULL),(28,'284','EEB IRINEU BORNHAUSEN',2,NULL,NULL,NULL,4205407,NULL),(28,'285','EEM JOÃO GONÇALVES PINHEIROS',2,NULL,NULL,NULL,4205407,NULL),(28,'286','EEB JUREMA CAVALLAZZI',2,NULL,NULL,NULL,4205407,NULL),(28,'287','EEB LEONOR DE BARROS',2,NULL,NULL,NULL,4205407,NULL),(28,'288','EEB OSMAR CUNHA',2,NULL,NULL,NULL,4205407,NULL),(28,'289','EEB PE ANCHIETA',2,NULL,NULL,NULL,4205407,NULL),(28,'29','EEB DE ARARANGUÁ',2,NULL,NULL,NULL,4201406,NULL),(28,'290','EEM PREF ACÁCIO GARIBALDI SÃO THIAGO',2,NULL,NULL,NULL,4205407,NULL),(28,'291','EEM PRES CASTELO BRANCO',2,NULL,NULL,NULL,4205407,NULL),(28,'292','EEB PRES ROOSEVELT',2,NULL,NULL,NULL,4205407,NULL),(28,'293','EEB PROF ANÍBAL NUNES PIRES',2,NULL,NULL,NULL,4205407,NULL),(28,'294','EEB PROF ANÍSIO TEIXEIRA',2,NULL,NULL,NULL,4205407,NULL),(28,'295','EEB PROF HENRIQUE STODIECK',2,NULL,NULL,NULL,4205407,NULL),(28,'296','EEB PROFª LAURA LIMA',2,NULL,NULL,NULL,4205407,NULL),(28,'297','EEB ROSA TÔRRES DE MIRANDA',2,NULL,NULL,NULL,4205407,NULL),(28,'298','EEB SIMÃO JOSÉ HESS',2,NULL,NULL,NULL,4205407,NULL),(28,'299','COLÉGIO DA LAGOA',4,NULL,NULL,NULL,4205407,NULL),(28,'3','C MUNICIPAL ANITA GARIBALDI',1,NULL,NULL,NULL,4200101,NULL),(28,'30','EEB PROFª MARIA GARCIA PESSI',2,NULL,NULL,NULL,4201406,NULL),(28,'300','CURSO E COLÉGIO SOLUÇÃO',4,NULL,NULL,NULL,4205407,NULL),(28,'301','CURSO DE EDUCAÇÃO FÍSICA',2,NULL,NULL,NULL,4205407,NULL),(28,'302','ETC NEREU RAMOS',4,NULL,NULL,NULL,4205407,NULL),(28,'303','ETC SANTA CATARINA',4,NULL,NULL,NULL,4205407,NULL),(28,'304','ETC SÃO MARCOS',4,NULL,NULL,NULL,4205407,NULL),(28,'305','ETC SENNA PEREIRA',4,NULL,NULL,NULL,4205407,NULL),(28,'306','I F EDUCAÇAO TECNOLOGICA DE SC (CEFET)',3,NULL,NULL,NULL,4205407,NULL),(28,'307','INSTITUTO ESTADUAL DE EDUCAÇÃO',2,NULL,NULL,NULL,4205407,NULL),(28,'308','EEB RUI BARBOSA',2,NULL,NULL,NULL,4205431,NULL),(28,'309','EEB LUIZ TRAMONTIN',2,NULL,NULL,NULL,4205456,NULL),(28,'31','CENTRO INTERESCOLAR I DE ARARANGUÁ',4,NULL,NULL,NULL,4201406,NULL),(28,'310','EEB NATÁLIO VASSOLER',2,NULL,NULL,NULL,4205456,NULL),(28,'311','COL EXAME',4,NULL,NULL,NULL,4205456,NULL),(28,'312','COL SAGRADA FAMÍLIA',4,NULL,NULL,NULL,4205456,NULL),(28,'313','CE BELA VISTA',2,NULL,NULL,NULL,4205506,NULL),(28,'314','EEB GONÇALVES DIAS',2,NULL,NULL,NULL,4205506,NULL),(28,'315','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4205506,NULL),(28,'316','CE SEDES SAPIENTIAE',2,NULL,NULL,NULL,4205506,NULL),(28,'317','COLÉGIO CARLOS DRUMOND DE ANDRADE',4,NULL,NULL,NULL,4205506,NULL),(28,'318','COLÉGIO CIRANDA DO SABER',4,NULL,NULL,NULL,4205506,NULL),(28,'319','ESCOLA DE 2. SEDES SAPIENTIAE',4,NULL,NULL,NULL,4205506,NULL),(28,'32','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4201406,NULL),(28,'320','EEB PROF URBANO SALLES',2,NULL,NULL,NULL,4205555,NULL),(28,'321','EEB VERÔNICA SENEM',2,NULL,NULL,NULL,4205605,NULL),(28,'322','EEB PROF JOSÉ RODRIGUES LOPES',2,NULL,NULL,NULL,4205704,NULL),(28,'323','C MUNICIPAL SAGRADO CORAÇÃO DE JESUS',1,NULL,NULL,NULL,4205803,NULL),(28,'325','EEB FREI GODOFREDO',2,NULL,NULL,NULL,4205902,NULL),(28,'326','EEB FREI POLICARPO',2,NULL,NULL,NULL,4205902,NULL),(28,'327','EEB PROF HONÓRIO MIRANDA',2,NULL,NULL,NULL,4205902,NULL),(28,'328','COLÉGIO SÃO FRANCISCO',4,NULL,NULL,NULL,4205902,NULL),(28,'329','EEB DR ADERBAL RAMOS DA SILVA',2,NULL,NULL,NULL,4206009,NULL),(28,'33','SOC DE EDUC E CULTURA DE ARARANGUÁ',4,NULL,NULL,NULL,4201406,NULL),(28,'330','EEB DR MIGUEL DE PATTA',2,NULL,NULL,NULL,4206108,NULL),(28,'331','EEM ANTÔNIO KNABBEN',2,NULL,NULL,NULL,4206207,NULL),(28,'332','EEB HERCÍLIO BEZ',2,NULL,NULL,NULL,4206207,NULL),(28,'333','EEB PROF JOÃO BOOS',2,NULL,NULL,NULL,4206306,NULL),(28,'334','EEB SARA CASTELHANO KLEINKAUF',2,NULL,NULL,NULL,4206405,NULL),(28,'335','EEB PREF LAURO ZIMMERMANN',2,NULL,NULL,NULL,4206504,NULL),(28,'336','EEB ALFREDO ZIMMERMANN',2,NULL,NULL,NULL,4206504,NULL),(28,'337','EEB SÃO PEDRO',2,NULL,NULL,NULL,4206504,NULL),(28,'338','C CENEC. MAR ARTHUR DA C E SILVA',4,NULL,NULL,NULL,4206603,NULL),(28,'339','EEB PROFª ELZA MANCELOS DE MOURA',2,NULL,NULL,NULL,4206603,NULL),(28,'34','EEB MONSENHOR FRANCISCO GIESBERTS',2,NULL,NULL,NULL,4201505,NULL),(28,'340','EEB LEONOR LOPES GONZAGA',2,NULL,NULL,NULL,4206652,NULL),(28,'341','EEB PROF EUGÊNIO MARCHETTI',2,NULL,NULL,NULL,4206702,NULL),(28,'342','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4206702,NULL),(28,'343','EEB HERIBERTO HULSE',2,NULL,NULL,NULL,4206751,NULL),(28,'344','C CENECISTA DR EDUARDO MÁRIO TAVARES',4,NULL,NULL,NULL,4206801,NULL),(28,'345','EEB IRMÃO JOAQUIM',2,NULL,NULL,NULL,4206801,NULL),(28,'346','COLÉGIO HAMONIA',4,NULL,NULL,NULL,4206900,NULL),(28,'347','EEB ELISEU GUILHERME',2,NULL,NULL,NULL,4206900,NULL),(28,'348','EEB GERTRUD AICHINGER',2,NULL,NULL,NULL,4206900,NULL),(28,'349','COLÉGIO CRISTO REI',4,NULL,NULL,NULL,4207007,NULL),(28,'35','C CENECISTA PADRE AUGUSTINHO',4,NULL,NULL,NULL,4201604,NULL),(28,'350','EEB ANTÔNIO COLONETTI',2,NULL,NULL,NULL,4207007,NULL),(28,'351','EEB ANTÔNIO GUGLIELMI SOBRINHO',2,NULL,NULL,NULL,4207007,NULL),(28,'352','EEB ANTÔNIO JOÃO',2,NULL,NULL,NULL,4207007,NULL),(28,'353','EEB MELCHÍADES BONIFÁCIO ESPÍNDOLA',2,NULL,NULL,NULL,4207007,NULL),(28,'354','EEB MARCOS KONDER',2,NULL,NULL,NULL,4207106,NULL),(28,'355','EEB VALÉRIO GOMES',2,NULL,NULL,NULL,4207106,NULL),(28,'356','EEB PREF PEDRO BITTENCOURT',2,NULL,NULL,NULL,4207205,NULL),(28,'357','EEB PROFª EULINA HELEODORO BARRETO',2,NULL,NULL,NULL,4207205,NULL),(28,'358','EEB ENG ÁLVARO CATÃO',2,NULL,NULL,NULL,4207304,NULL),(28,'359','EEM ENG ANNES GUALBERTO',2,NULL,NULL,NULL,4207304,NULL),(28,'36','EEB PROFª BENTA CARDOSO',2,NULL,NULL,NULL,4201653,NULL),(28,'360','EEB JOÃO GUIMARÃES CABRAL',2,NULL,NULL,NULL,4207304,NULL),(28,'361','EEB VISCONDE DO RIO BRANCO',2,NULL,NULL,NULL,4207304,NULL),(28,'362','COOPERATIVA EDUC DE IMBITUBA',4,NULL,NULL,NULL,4207304,NULL),(28,'363','COLÉGIO CENECISTA DE IMBUIA',4,NULL,NULL,NULL,4207403,NULL),(28,'364','EEB FREI MANOEL PHILIPPI',2,NULL,NULL,NULL,4207403,NULL),(28,'365','EEB FREDERICO HARDT',2,NULL,NULL,NULL,4207502,NULL),(28,'366','COLÉGIO MUNICIPAL PREF LUIZ POLIDORO',1,NULL,NULL,NULL,4207502,NULL),(28,'367','COLÉGIO AGROTÉCNICO DE VIDEIRA',4,NULL,NULL,NULL,4207577,NULL),(28,'368','EEB FREI EVARISTO',2,NULL,NULL,NULL,4207577,NULL),(28,'369','EEB CARLOS FRIES',2,NULL,NULL,NULL,4207601,NULL),(28,'37','COLÉGIO SÃO PAULO',4,NULL,NULL,NULL,4201703,NULL),(28,'370','COLÉGIO CENECISTA ANILDO HEISLER',4,NULL,NULL,NULL,4207650,NULL),(28,'371','EEB PE VENDELINO SEIDEL',2,NULL,NULL,NULL,4207650,NULL),(28,'372','EEB PE ANTÔNIO VIEIRA',2,NULL,NULL,NULL,4207684,NULL),(28,'373','COLÉGIO VITORINO KONDA',2,NULL,NULL,NULL,4207684,NULL),(28,'374','EEB BENJAMIM CARVALHO DE OLIVEIRA',2,NULL,NULL,NULL,4207700,NULL),(28,'375','CE VITAL FELIPE CASAROTTO',2,NULL,NULL,NULL,4207700,NULL),(28,'376','COLÉGIO MUNICIPAL RICARDO VIVIAN',1,NULL,NULL,NULL,4207759,NULL),(28,'377','EEB PROF MANUEL FREITAS TRANCOSO',2,NULL,NULL,NULL,4207759,NULL),(28,'378','COLÉGIO CENECISTA IRANI',4,NULL,NULL,NULL,4207809,NULL),(28,'379','EEB D FELÍCIO C DA CUNHA VASCONCELOS',2,NULL,NULL,NULL,4207809,NULL),(28,'38','EEB DOMINGOS SÁVIO',2,NULL,NULL,NULL,4201703,NULL),(28,'380','EEB PROF CELSO RILLA',2,NULL,NULL,NULL,4207858,NULL),(28,'381','EEB HORÁCIO NUNES',2,NULL,NULL,NULL,4207908,NULL),(28,'382','C CENECISTA ADOLFO KONDER',4,NULL,NULL,NULL,4208005,NULL),(28,'383','EEB GEN LIBERATO BITTENCOURT',2,NULL,NULL,NULL,4208005,NULL),(28,'384','EMEB VALENTIN BERNARDI',1,NULL,NULL,NULL,4208005,NULL),(28,'386','C EDUC 1 E 2 GRAUS ITAIÓPOLIS',1,NULL,NULL,NULL,4208104,NULL),(28,'387','EEB VIRGÍLIO VÁRZEA',2,NULL,NULL,NULL,4208104,NULL),(28,'388','C CENECISTA PEDRO ANTÔNIO FAYAL',4,NULL,NULL,NULL,4208203,NULL),(28,'389','COLÉGIO DE APLICAÇÃO DA UNIVALI',4,NULL,NULL,NULL,4208203,NULL),(28,'39','EEB DR FREDERICO ROLLA',2,NULL,NULL,NULL,4201802,NULL),(28,'390','C DR WILFREDO MARCOS BAYER',4,NULL,NULL,NULL,4208203,NULL),(28,'391','CENTRO EDUC. SISTEMA UNIFICADO',4,NULL,NULL,NULL,4208203,NULL),(28,'392','COLÉGIO SALESIANO ITAJAÍ',4,NULL,NULL,NULL,4208203,NULL),(28,'393','EEB NEREU RAMOS',2,NULL,NULL,NULL,4208203,NULL),(28,'394','COLÉGIO SÃO JOSÉ',4,NULL,NULL,NULL,4208203,NULL),(28,'395','EEB DEP NILTON KUCKER',2,NULL,NULL,NULL,4208203,NULL),(28,'396','EEB DOM AFONSO NIEHUES',2,NULL,NULL,NULL,4208203,NULL),(28,'397','EEB ELIZABETH KONDER REIS',2,NULL,NULL,NULL,4208203,NULL),(28,'398','CE GASPAR DA COSTA MORAES',2,NULL,NULL,NULL,4208203,NULL),(28,'399','CE MANSUETO TRES',2,NULL,NULL,NULL,4208203,NULL),(28,'4','EEB PROF ANACLETO DAMIANI',2,NULL,NULL,NULL,4200101,NULL),(28,'40','EEB WALTER PROBST',2,NULL,NULL,NULL,4201901,NULL),(28,'400','EEM PROF HENRIQUE DA SILVA FONTES',2,NULL,NULL,NULL,4208203,NULL),(28,'401','EEM VICTOR MEIRELLES',2,NULL,NULL,NULL,4208203,NULL),(28,'402','COLÉGIO E CURSO RADICAL',4,NULL,NULL,NULL,4208203,NULL),(28,'403','CENTRO EDUC. SISTEMA UNIFICADO',4,NULL,NULL,NULL,4208302,NULL),(28,'404','C ITAPEMA',4,NULL,NULL,NULL,4208302,NULL),(28,'405','EEB ANITA GARIBALDI',2,NULL,NULL,NULL,4208302,NULL),(28,'406','EEB PREF OLEGÁRIO BERNARDES',2,NULL,NULL,NULL,4208302,NULL),(28,'407','COLÉGIO ATLÂNTICO',4,NULL,NULL,NULL,4208302,NULL),(28,'408','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4208401,NULL),(28,'409','CENTRO INTEG. DE ITAPIRANGA',4,NULL,NULL,NULL,4208401,NULL),(28,'41','EEB DOM GREGÓRIO WARMELING',2,NULL,NULL,NULL,4202057,NULL),(28,'410','EEB HUMBERTO MACHADO',2,NULL,NULL,NULL,4208401,NULL),(28,'411','EEB SANTO ANTÔNIO',2,NULL,NULL,NULL,4208401,NULL),(28,'412','EEB SÃO VICENTE',2,NULL,NULL,NULL,4208401,NULL),(28,'413','EEB NEREU RAMOS',2,NULL,NULL,NULL,4208450,NULL),(28,'414','C SANTO ESTEVÃO',4,NULL,NULL,NULL,4208500,NULL),(28,'415','EEB ALEIXO DELLAGIUSTINA',2,NULL,NULL,NULL,4208500,NULL),(28,'416','EEB ROBERTO MORITZ',2,NULL,NULL,NULL,4208500,NULL),(28,'417','C CENECISTA FÁTIMA RECK',4,NULL,NULL,NULL,4208609,NULL),(28,'418','EEB VICTOR FELIPPE RAUEN',2,NULL,NULL,NULL,4208609,NULL),(28,'419','COL. C SANTA TERESINHA',4,NULL,NULL,NULL,4208708,NULL),(28,'42','COLÉGIO BALNEARENSE',2,NULL,NULL,NULL,4202008,NULL),(28,'420','EEB JACINTO MACHADO',2,NULL,NULL,NULL,4208708,NULL),(28,'421','EEB MARECHAL LUZ',2,NULL,NULL,NULL,4208807,NULL),(28,'422','COLÉGIO DIVINA PROVIDÊNCIA',4,NULL,NULL,NULL,4208906,NULL),(28,'423','C EDUCACIONAL SIGMA',4,NULL,NULL,NULL,4208906,NULL),(28,'424','COLÉGIO MARISTA SÃO LUIS',4,NULL,NULL,NULL,4208906,NULL),(28,'425','EEM ABDON BATISTA',2,NULL,NULL,NULL,4208906,NULL),(28,'426','EEM ALBERTO BAUER',2,NULL,NULL,NULL,4208906,NULL),(28,'427','EEB ALVINO TRIBESS',2,NULL,NULL,NULL,4208906,NULL),(28,'428','EEB ELZA GRANZOTTO FERRAZ',2,NULL,NULL,NULL,4208906,NULL),(28,'429','EEB EUCLIDES DA CUNHA',2,NULL,NULL,NULL,4208906,NULL),(28,'43','C COMERCIAL BRUNO SILVA',4,NULL,NULL,NULL,4202008,NULL),(28,'430','EEB HOLANDO MARCELLINO GONÇALVES',2,NULL,NULL,NULL,4208906,NULL),(28,'431','CE ALVES DE SOUZA',2,NULL,NULL,NULL,4208906,NULL),(28,'432','EEB JULIUS KARSTEN',2,NULL,NULL,NULL,4208906,NULL),(28,'433','EEB PROF HELEODORO BORGES',2,NULL,NULL,NULL,4208906,NULL),(28,'434','EEB PROF JOÃO ROMÁRIO MOREIRA',2,NULL,NULL,NULL,4208906,NULL),(28,'435','EEB PROF JOSÉ DUARTE MAGALHÃES',2,NULL,NULL,NULL,4208906,NULL),(28,'436','EEB PROFª LILIA AYROSO OECHSLER',2,NULL,NULL,NULL,4208906,NULL),(28,'437','EEB PROFª VALDETE I P ZINDARS',2,NULL,NULL,NULL,4208906,NULL),(28,'438','EEB ROLAND H DORNBUSCH',2,NULL,NULL,NULL,4208906,NULL),(28,'439','EEM VITOR MEIRELLES',2,NULL,NULL,NULL,4208906,NULL),(28,'44','CENTRO EDUC. SISTEMA UNIFICADO',4,NULL,NULL,NULL,4202008,NULL),(28,'440','CENTRO EDUC INTEG JARAGUENSE',4,NULL,NULL,NULL,4208906,NULL),(28,'441','COLÉGIO EVANGÉLICO JARAGUÁ',4,NULL,NULL,NULL,4208906,NULL),(28,'442','INSTITUTO EDUCACIONAL JANGADA',4,NULL,NULL,NULL,4208906,NULL),(28,'443','C CENECISTA PAPA JOÃO PAULO I',4,NULL,NULL,NULL,4208955,NULL),(28,'444','EEB FAZENDA TRIÂNGULO',2,NULL,NULL,NULL,4208955,NULL),(28,'445','COLÉGIO CENECISTA JOAÇABENSE',4,NULL,NULL,NULL,4209003,NULL),(28,'446','COLÉGIO MARISTA FREI ROGÉRIO',4,NULL,NULL,NULL,4209003,NULL),(28,'447','COLÉGIO CRISTO REI',4,NULL,NULL,NULL,4209003,NULL),(28,'448','EEB DEP NELSON PEDRINI',2,NULL,NULL,NULL,4209003,NULL),(28,'449','EEB GOV CELSO RAMOS',2,NULL,NULL,NULL,4209003,NULL),(28,'45','COLÉGIO GOV IVO SILVEIRA',2,NULL,NULL,NULL,4202008,NULL),(28,'450','CE OSCAR RODRIGUES DA NOVA',2,NULL,NULL,NULL,4209003,NULL),(28,'451','EEB IRAÍ ZILIO',2,NULL,NULL,NULL,4209003,NULL),(28,'452','CENT. DE EST PROF DO O CATARINENSE',4,NULL,NULL,NULL,4209003,NULL),(28,'453','COLÉGIO ALBERT EINSTEIN',4,NULL,NULL,NULL,4209003,NULL),(28,'454','COLÉGIO LUTERANO SANTÍSSIMA TRINDADE',4,NULL,NULL,NULL,4209003,NULL),(28,'455','NÚCLEO PEDAGÓGICO RURAL-NUPERAJO',2,NULL,NULL,NULL,4209003,NULL),(28,'456','C ADVENTISTA DE JOINVILLE (DOM PEDRO II)',4,NULL,NULL,NULL,4209102,NULL),(28,'457','ASSOCIAÇÃO EDUC LUTER. BOM JESUS-IELUSC',4,NULL,NULL,NULL,4209102,NULL),(28,'458','COLÉGIO BOM PASTOR',4,NULL,NULL,NULL,4209102,NULL),(28,'459','C CENECISTA JOSÉ ELIAS MOREIRA',4,NULL,NULL,NULL,4209102,NULL),(28,'46','C M PROF ANTÔNIO LUCIO',1,NULL,NULL,NULL,4202008,NULL),(28,'460','COLÉGIO DE APLICAÇÃO DA FURJ',4,NULL,NULL,NULL,4209102,NULL),(28,'461','COLÉGIO DOS SANTOS ANJOS',4,NULL,NULL,NULL,4209102,NULL),(28,'462','COLÉGIO SANTO ANTÔNIO',4,NULL,NULL,NULL,4209102,NULL),(28,'463','COLÉGIO TÉCNICO JOINVILENSE',4,NULL,NULL,NULL,4209102,NULL),(28,'464','EEB ARNALDO MOREIRA DOUAT',2,NULL,NULL,NULL,4209102,NULL),(28,'465','EEB CONSELHEIRO MAFRA',2,NULL,NULL,NULL,4209102,NULL),(28,'466','EEB DOM PIO DE FREITAS',2,NULL,NULL,NULL,4209102,NULL),(28,'467','EEB DR JORGE LACERDA',2,NULL,NULL,NULL,4209102,NULL),(28,'468','EEB DR PAULO MEDEIROS',2,NULL,NULL,NULL,4209102,NULL),(28,'469','EEB DR TUFI DIPPE',2,NULL,NULL,NULL,4209102,NULL),(28,'47','C PROF ARMANDO CÉSAR GHISLANDI',1,NULL,NULL,NULL,4202008,NULL),(28,'470','EEB ENGENHEIRO ANNES GUALBERTO',2,NULL,NULL,NULL,4209102,NULL),(28,'471','EEB GIOVANI PASQUALINI FARACO',2,NULL,NULL,NULL,4209102,NULL),(28,'472','EEB JOÃO COLIN',2,NULL,NULL,NULL,4209102,NULL),(28,'473','EEB MAESTRO FRANCISCO M DA SILVA',2,NULL,NULL,NULL,4209102,NULL),(28,'474','EEB OLAVO BILAC',2,NULL,NULL,NULL,4209102,NULL),(28,'475','EEB OSVALDO ARANHA',2,NULL,NULL,NULL,4209102,NULL),(28,'476','EEB PLÁCIDO OLÍMPIO DE OLIVEIRA',2,NULL,NULL,NULL,4209102,NULL),(28,'477','EEB PRES MÉDICI',2,NULL,NULL,NULL,4209102,NULL),(28,'478','EEB PROF GERMANO TIMM',2,NULL,NULL,NULL,4209102,NULL),(28,'479','EEB PROF JOÃO MARTINS VERAS',2,NULL,NULL,NULL,4209102,NULL),(28,'48','COL. PROFª ELIZABETH A. R. TOMIO PEART',4,NULL,NULL,NULL,4202008,NULL),(28,'480','EEB PROFª ALÍCIA B FERREIRA',2,NULL,NULL,NULL,4209102,NULL),(28,'481','EEB PROFª ANTÔNIA ALPAIDES C DOS SANTOS',2,NULL,NULL,NULL,4209102,NULL),(28,'482','EEB PROF. GERTRUDES BENTA COSTA',2,NULL,NULL,NULL,4209102,NULL),(28,'483','EEB PROFª JANDIRA DÁVILA',2,NULL,NULL,NULL,4209102,NULL),(28,'484','EEB PROFª JURACY MARIA BROSIG',2,NULL,NULL,NULL,4209102,NULL),(28,'485','CEDUP DÁRIO GERALDO SALLES',2,NULL,NULL,NULL,4209102,NULL),(28,'486','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4209102,NULL),(28,'487','COLÉGIO ESQUEMA OBJETIVO',4,NULL,NULL,NULL,4209102,NULL),(28,'488','COLÉGIO JOINVILLE',4,NULL,NULL,NULL,4209102,NULL),(28,'489','COLÉGIO NOVA ERA',4,NULL,NULL,NULL,4209102,NULL),(28,'49','EEB PRES JOÃO GOULART',2,NULL,NULL,NULL,4202008,NULL),(28,'490','COLÉGIO NOVA JOINVILLE',4,NULL,NULL,NULL,4209102,NULL),(28,'492','EEM GOV CELSO RAMOS',2,NULL,NULL,NULL,4209102,NULL),(28,'493','E DE EDUCAÇÃO INFANTIL',4,NULL,NULL,NULL,4209102,NULL),(28,'494','E TÉCNICA TUPY',4,NULL,NULL,NULL,4209102,NULL),(28,'495','EEB JOSÉ CLEMENTE PEREIRA',2,NULL,NULL,NULL,4209151,NULL),(28,'496','EEB JOAQUIM D AGOSTINI',2,NULL,NULL,NULL,4209201,NULL),(28,'497','COLÉGIO BOM JESUS DIOCESANO',4,NULL,NULL,NULL,4209300,NULL),(28,'498','COLÉGIO INDUSTRIAL DE LAGES',2,NULL,NULL,NULL,4209300,NULL),(28,'499','COLÉGIO SANTA ROSA DE LIMA',4,NULL,NULL,NULL,4209300,NULL),(28,'5','E AGROTÉCNICA MUL. I. BORNHAUSEN',1,NULL,NULL,NULL,4200101,NULL),(28,'50','EEB PROFª FRANCISCA ALVES GEVAERD',2,NULL,NULL,NULL,4202008,NULL),(28,'500','EEB ARISTILIANO RAMOS',2,NULL,NULL,NULL,4209300,NULL),(28,'501','EEB FRANCISCO MANFROI',2,NULL,NULL,NULL,4209300,NULL),(28,'502','EEB FREI NICODEMOS',2,NULL,NULL,NULL,4209300,NULL),(28,'503','EEB GEN JOSÉ PINTO SOMBRA',2,NULL,NULL,NULL,4209300,NULL),(28,'504','EEB LÚCIA FERNANDES LOPES',2,NULL,NULL,NULL,4209300,NULL),(28,'505','EEB NS DO ROSÁRIO',2,NULL,NULL,NULL,4209300,NULL),(28,'506','EEB PROF ARMANDO R DE CARVALHO',2,NULL,NULL,NULL,4209300,NULL),(28,'507','EEB PROF FLORDOARDO CABRAL',2,NULL,NULL,NULL,4209300,NULL),(28,'508','EEB RUBENS DE ARRUDA RAMOS',2,NULL,NULL,NULL,4209300,NULL),(28,'509','EEB SÃO JUDAS TADEU',2,NULL,NULL,NULL,4209300,NULL),(28,'51','EEB PROFª MARIA DA GLÓRIA PEREIRA',2,NULL,NULL,NULL,4202008,NULL),(28,'510','EEB ZULMIRA AUTA DA SILVA',2,NULL,NULL,NULL,4209300,NULL),(28,'511','UNIPLAC CENTRO DE ENSINO FUNDAMENTAL',4,NULL,NULL,NULL,4209300,NULL),(28,'512','EEB VIDAL RAMOS JUNIOR',2,NULL,NULL,NULL,4209300,NULL),(28,'513','CEDUP RENATO RAMOS DA SILVA',2,NULL,NULL,NULL,4209300,NULL),(28,'514','COLÉGIO POSILAGES LTDA',4,NULL,NULL,NULL,4209300,NULL),(28,'515','COLÉGIO UNIVEST LAGES LTDA',4,NULL,NULL,NULL,4209300,NULL),(28,'516','EEB GODOLFIN NUNES DE SOUSA',2,NULL,NULL,NULL,4209300,NULL),(28,'517','EMEF ITINERANTE MARIA ALICE W SOUSA',1,NULL,NULL,NULL,4209300,NULL),(28,'518','ESC.TÉCNICA DE COMÉRCIO DE LAGES',4,NULL,NULL,NULL,4209300,NULL),(28,'519','INSTITUTO SÃO JOÃO BATISTA VIANEI',4,NULL,NULL,NULL,4209300,NULL),(28,'52','COLÉGIO CAMBORIÚ',4,NULL,NULL,NULL,4202008,NULL),(28,'520','EEB COMERCIAL LAGUNENSE',2,NULL,NULL,NULL,4209409,NULL),(28,'521','EEM ALMIRANTE LAMEGO',2,NULL,NULL,NULL,4209409,NULL),(28,'522','EEB ANA GONDIN',2,NULL,NULL,NULL,4209409,NULL),(28,'523','EEB SAUL ULYSSÉA',2,NULL,NULL,NULL,4209409,NULL),(28,'524','EEB PROFª ADÉLIA C. VAREJÃO',4,NULL,NULL,NULL,4209409,NULL),(28,'525','COLÉGIO STELLA MARIS',4,NULL,NULL,NULL,4209409,NULL),(28,'526','EEB PROF ANTÔNIA GASINO DE FREITAS',2,NULL,NULL,NULL,4209458,NULL),(28,'527','COLÉGIO SÃO JOSÉ',4,NULL,NULL,NULL,4209508,NULL),(28,'528','EEB TEREZA CRISTINA',2,NULL,NULL,NULL,4209508,NULL),(28,'529','EEB ENG ERNANI COTRIN',2,NULL,NULL,NULL,4209607,NULL),(28,'53','COLÉGIO MARGIRUS',4,NULL,NULL,NULL,4202008,NULL),(28,'530','EEB VISCONDE DE TAUNAY',2,NULL,NULL,NULL,4209607,NULL),(28,'531','EEB WALTER HOLTHAUSEN',2,NULL,NULL,NULL,4209607,NULL),(28,'532','EEB FREI CANECA',2,NULL,NULL,NULL,4209706,NULL),(28,'533','EEB BERTINO SILVA',2,NULL,NULL,NULL,4209805,NULL),(28,'534','EEB PE IZIDORO BENJAMIM MORO',2,NULL,NULL,NULL,4209854,NULL),(28,'535','EEB REGENTE FEIJÓ',2,NULL,NULL,NULL,4209904,NULL),(28,'536','EEB GOV IRINEU BORNHAUSEN',2,NULL,NULL,NULL,4210001,NULL),(28,'537','EEB JOÃO GAYA',2,NULL,NULL,NULL,4210001,NULL),(28,'538','COLÉGIO CENECISTA LUZERNENSE',4,NULL,NULL,NULL,4210035,NULL),(28,'539','EEB PADRE NÓBREGA',2,NULL,NULL,NULL,4210035,NULL),(28,'54','EEB PRAIA DA GAIVOTA',2,NULL,NULL,NULL,4202073,NULL),(28,'540','EEB ALBINA MOSCONI',2,NULL,NULL,NULL,4210050,NULL),(28,'541','COLÉGIO MAFRENSE',4,NULL,NULL,NULL,4210100,NULL),(28,'542','EEB BARÃO DE ANTONINA',2,NULL,NULL,NULL,4210100,NULL),(28,'543','EEB DR FRANCISCO IZABEL',2,NULL,NULL,NULL,4210100,NULL),(28,'544','EEB JOVINO LIMA',2,NULL,NULL,NULL,4210100,NULL),(28,'545','EEB PROFª MARIA PAULA FERES',2,NULL,NULL,NULL,4210100,NULL),(28,'546','EEB MANOEL VICENTE GOMES',2,NULL,NULL,NULL,4210209,NULL),(28,'547','COLÉGIO MAJOR VIEIRA',4,NULL,NULL,NULL,4210308,NULL),(28,'548','EEB LUIZ DAVET',2,NULL,NULL,NULL,4210308,NULL),(28,'549','C CENECISTA GIÁCOMO DE PELEGRINI',4,NULL,NULL,NULL,4210407,NULL),(28,'55','EEB HÉLIO WASUM',2,NULL,NULL,NULL,4202081,NULL),(28,'550','EEB MANOEL GOMES BALTAZAR',2,NULL,NULL,NULL,4210407,NULL),(28,'551','EEB JOÃO XXIII',2,NULL,NULL,NULL,4210506,NULL),(28,'552','EEB NS DA SALETE',2,NULL,NULL,NULL,4210506,NULL),(28,'553','ETC RUI BARBOSA',1,NULL,NULL,NULL,4210506,NULL),(28,'554','EEB PROF ZELINDO CARBONERA',2,NULL,NULL,NULL,4210555,NULL),(28,'555','EEB GAL RONDON',2,NULL,NULL,NULL,4210605,NULL),(28,'556','C CENECISTA SIMEÃO CARNEIRO',4,NULL,NULL,NULL,4210704,NULL),(28,'557','EEB DOM DANIEL HOSTIN',2,NULL,NULL,NULL,4210704,NULL),(28,'558','C CENECISTA NICOLAU MACHADO DE SOUZA',4,NULL,NULL,NULL,4210803,NULL),(28,'559','EEB DE MELEIRO',2,NULL,NULL,NULL,4210803,NULL),(28,'56','EEB PROFª CECÍLIA LOTIN',2,NULL,NULL,NULL,4202099,NULL),(28,'560','EEB BRUNO HEIDRICH',2,NULL,NULL,NULL,4210852,NULL),(28,'561','C CENECISTA JOSÉ DE ALENCAR',4,NULL,NULL,NULL,4210902,NULL),(28,'562','EEB DOM HELDER CÂMARA',2,NULL,NULL,NULL,4210902,NULL),(28,'563','COLÉGIO CENECISTA ARTUR DEISS',4,NULL,NULL,NULL,4211009,NULL),(28,'564','EEB DELMINDA SILVEIRA',2,NULL,NULL,NULL,4211009,NULL),(28,'565','CE MARINO PISANI',2,NULL,NULL,NULL,4211058,NULL),(28,'566','EEB VALENTIN G RIBEIRO',2,NULL,NULL,NULL,4211108,NULL),(28,'567','EEB PRINCESA ISABEL',2,NULL,NULL,NULL,4211207,NULL),(28,'568','EEB ANA MACHADO DAL TOE',2,NULL,NULL,NULL,4211256,NULL),(28,'569','EEB ADELAIDE KONDER',2,NULL,NULL,NULL,4211306,NULL),(28,'57','EEB CONSELHEIRO ASTROGILDO ODON AGUIAR',2,NULL,NULL,NULL,4202107,NULL),(28,'570','EEB PROFª JÚLIA MIRANDA DE SOUZA',2,NULL,NULL,NULL,4211306,NULL),(28,'571','C CENECISTA RUI BARBOSA',4,NULL,NULL,NULL,4211405,NULL),(28,'572','EEB RUDOLFO LUZINA',2,NULL,NULL,NULL,4211405,NULL),(28,'573','EEB DR SERAFIN ENOSS BERTASO',2,NULL,NULL,NULL,4211454,NULL),(28,'574','EEB FRANCISCO MAZZOLA',2,NULL,NULL,NULL,4211504,NULL),(28,'575','C CENECISTA CÔNEGO MIGUEL GIACCA',4,NULL,NULL,NULL,4211603,NULL),(28,'576','EEB ABÍLIO CÉSAR BORGES',2,NULL,NULL,NULL,4211603,NULL),(28,'577','EEB HUMBERTO HERMES HOFFMANN',2,NULL,NULL,NULL,4211603,NULL),(28,'578','EEB JULIETA TORRES GONÇALVES',2,NULL,NULL,NULL,4211603,NULL),(28,'579','EEB SANTA LÚCIA',2,NULL,NULL,NULL,4211652,NULL),(28,'58','EEB DAVID PEDRO ESPÍNDOLA',2,NULL,NULL,NULL,4202107,NULL),(28,'580','EEB TONEZA CASCAES',2,NULL,NULL,NULL,4211702,NULL),(28,'581','ESC BARRIGA VERDE',4,NULL,NULL,NULL,4211702,NULL),(28,'582','ETC DE ORLEANS',1,NULL,NULL,NULL,4211702,NULL),(28,'583','EEB ELZA DEEKE',2,NULL,NULL,NULL,4211751,NULL),(28,'584','EEB FREI CRESPIM',2,NULL,NULL,NULL,4211801,NULL),(28,'585','EEB PREF SÍLVIO SANTOS',2,NULL,NULL,NULL,4211801,NULL),(28,'586','EEB CELESTINO JOSÉ DO NASCIMENTO',2,NULL,NULL,NULL,4211850,NULL),(28,'587','EEB FRANCISCO MACIEL BAGESTON',2,NULL,NULL,NULL,4211876,NULL),(28,'588','EEB PADRE ANTÔNIO TRIVELLIN',2,NULL,NULL,NULL,4211892,NULL),(28,'589','COLÉGIO CARROSSEL 2 GRAU E SUPLETIVO',4,NULL,NULL,NULL,4211900,NULL),(28,'59','EEB ESTANISLAU SCHUMANN',2,NULL,NULL,NULL,4202131,NULL),(28,'590','CENTRO EDUC MARIA VARGAS',4,NULL,NULL,NULL,4211900,NULL),(28,'591','EEB GOV IVO SILVEIRA',2,NULL,NULL,NULL,4211900,NULL),(28,'592','EEB IRMÃ MARIA TERESA',2,NULL,NULL,NULL,4211900,NULL),(28,'593','EEB JOÃO SILVEIRA',2,NULL,NULL,NULL,4211900,NULL),(28,'594','EEB JOSÉ MARIA CARDOSO DA VEIGA',2,NULL,NULL,NULL,4211900,NULL),(28,'595','EEB PE VICENTE FERREIRA CORDEIRO',2,NULL,NULL,NULL,4211900,NULL),(28,'596','COLÉGIO BOM JESUS LTDA',4,NULL,NULL,NULL,4211900,NULL),(28,'597','COLÉGIO CARROCEL',4,NULL,NULL,NULL,4211900,NULL),(28,'598','EEB CLAUDINO CRESTANI',2,NULL,NULL,NULL,4212007,NULL),(28,'599','EEB CATHARINA SEGER',2,NULL,NULL,NULL,4212007,NULL),(28,'6','EEB PEDRO AMÉRICO',2,NULL,NULL,NULL,4200200,NULL),(28,'60','EEB PROF. FCO BRASINHA DIAS',2,NULL,NULL,NULL,4202156,NULL),(28,'600','COL. CENECISTA NEREU RAMOS',4,NULL,NULL,NULL,4212106,NULL),(28,'601','EEB FELISBERTO DE CARVALHO',2,NULL,NULL,NULL,4212106,NULL),(28,'602','COLÉGIO PAPANDUVA',4,NULL,NULL,NULL,4212205,NULL),(28,'603','EEB ALINOR VIEIRA CORTE',2,NULL,NULL,NULL,4212205,NULL),(28,'604','EEB ADOLFO SILVEIRA',2,NULL,NULL,NULL,4212239,NULL),(28,'605','EEB GOV HILDO MENEGHETTI',2,NULL,NULL,NULL,4212254,NULL),(28,'606','EEB PROFª CORÁLIA GEVAERD OLINNGER',2,NULL,NULL,NULL,4212270,NULL),(28,'607','EEB FREDERICO SANTOS',2,NULL,NULL,NULL,4212304,NULL),(28,'608','EEB IMACULADO CORAÇÃO DE MARIA',2,NULL,NULL,NULL,4212403,NULL),(28,'609','EEB MANOEL HENRIQUE DE ASSIS',2,NULL,NULL,NULL,4212502,NULL),(28,'61','EEB TERCÍLIO LONGO',2,NULL,NULL,NULL,4202206,NULL),(28,'610','EEB PROF JOÃO BATISTA PAIVA',2,NULL,NULL,NULL,4212502,NULL),(28,'611','C CENECISTA IRINEU BORNHAUSEN',4,NULL,NULL,NULL,4212601,NULL),(28,'612','EEB IRMÃ ANUNCIATA SPERANDIO',2,NULL,NULL,NULL,4212601,NULL),(28,'613','EEB HERMES FONTES',2,NULL,NULL,NULL,4212700,NULL),(28,'614','EEB ALEXANDRE GUILHERME FIGUEREDO',2,NULL,NULL,NULL,4212809,NULL),(28,'615','C PLÍNIO ARLINDO DE NES',1,NULL,NULL,NULL,4212908,NULL),(28,'616','EEB JOSÉ MARCOLINO ECKERT',2,NULL,NULL,NULL,4212908,NULL),(28,'617','COLÉGIO CENECISTA DOM BOSCO',4,NULL,NULL,NULL,4213005,NULL),(28,'618','EEB PROFª MAURA DE SENA PEREIRA',2,NULL,NULL,NULL,4213005,NULL),(28,'619','EEB CARLOS CHAGAS',2,NULL,NULL,NULL,4213104,NULL),(28,'62','EEB TEÓFILO NOLASCO DE ALMEIDA',2,NULL,NULL,NULL,4202206,NULL),(28,'620','EEB PROFª LOURDES TONIN',2,NULL,NULL,NULL,4213153,NULL),(28,'621','EEB JOSE BONIFÁCIO',2,NULL,NULL,NULL,4213203,NULL),(28,'622','EEB PRES PRUDENTE DE MORAIS',2,NULL,NULL,NULL,4213203,NULL),(28,'623','COLÉGIO CITI',4,NULL,NULL,NULL,4213203,NULL),(28,'624','COLÉGIO SINODAL DR BLUMENAU',4,NULL,NULL,NULL,4213203,NULL),(28,'625','EEB SÃO TARCÍSIO',2,NULL,NULL,NULL,4213302,NULL),(28,'626','EEB FREI ROGÉRIO',2,NULL,NULL,NULL,4213351,NULL),(28,'627','C CENECISTA ALBERTO ZOLLER FILHO',4,NULL,NULL,NULL,4213401,NULL),(28,'628','EEB BELERMINO VITOR DALLA VECCHIA',2,NULL,NULL,NULL,4213401,NULL),(28,'629','EEB DOM VITAL',2,NULL,NULL,NULL,4213401,NULL),(28,'63','C EDUCAR',4,NULL,NULL,NULL,4202305,NULL),(28,'630','EEB TIRADENTES',2,NULL,NULL,NULL,4213500,NULL),(28,'631','COLÉGIO MIGUEL FARAH',4,NULL,NULL,NULL,4213609,NULL),(28,'632','COLÉGIO SANTOS ANJOS',4,NULL,NULL,NULL,4213609,NULL),(28,'633','COLÉGIO SÃO JOSÉ',4,NULL,NULL,NULL,4213609,NULL),(28,'634','EEB ANTÔNIO GONZAGA',2,NULL,NULL,NULL,4213609,NULL),(28,'635','EEB CEL CID GONZAGA',2,NULL,NULL,NULL,4213609,NULL),(28,'636','EEB PROF BALBUÍNO CARDOSO',2,NULL,NULL,NULL,4213609,NULL),(28,'637','EEB PROF CLEMENTINO BRITTO',2,NULL,NULL,NULL,4213609,NULL),(28,'638','EEB PROF GERMANO WAGENFUHR',2,NULL,NULL,NULL,4213609,NULL),(28,'639','EEB ARNO SIEVERDT',2,NULL,NULL,NULL,4213708,NULL),(28,'64','EEB CÔNEGO RODOLFO MACHADO',2,NULL,NULL,NULL,4202305,NULL),(28,'640','EEB PROF ANAIR MARGARIDA VOLTOLINI',2,NULL,NULL,NULL,4213708,NULL),(28,'641','EEB BULCÃO VIANA',2,NULL,NULL,NULL,4213807,NULL),(28,'642','EEB DOIS IRMÃOS',2,NULL,NULL,NULL,4213906,NULL),(28,'643','EEB CECÍLIA AX',2,NULL,NULL,NULL,4214003,NULL),(28,'644','EEB ORLANDO BERTOLI',2,NULL,NULL,NULL,4214003,NULL),(28,'645','EEB JOÃO TOLENTINO JUNIOR',2,NULL,NULL,NULL,4214102,NULL),(28,'646','EEB ANTENOR NASCENTES',2,NULL,NULL,NULL,4214151,NULL),(28,'647','COLÉGIO CENECISTA NS DE FÁTIMA',4,NULL,NULL,NULL,4214201,NULL),(28,'648','EEB PROFª JUREMA SAVI MILANEZ',2,NULL,NULL,NULL,4214201,NULL),(28,'649','EEB MARILDA LENIA ARAÚJO',2,NULL,NULL,NULL,4214300,NULL),(28,'65','EEM PROFª MARIA DA GLÓRIA V DE FARIA',2,NULL,NULL,NULL,4202305,NULL),(28,'650','EEB SANTOS ANJOS',2,NULL,NULL,NULL,4214409,NULL),(28,'651','EEB DR FERNANDO FERREIRA DE MELLO',2,NULL,NULL,NULL,4214508,NULL),(28,'652','EEB EXPEDICIONÁRIO MÁRIO NARDELLI',2,NULL,NULL,NULL,4214607,NULL),(28,'653','COLÉGIO DOM BOSCO',4,NULL,NULL,NULL,4214805,NULL),(28,'654','COLÉGIO SINODAL RUY BARBOSA',4,NULL,NULL,NULL,4214805,NULL),(28,'655','COLÉGIO TÉCNICO DA FEDAVI',4,NULL,NULL,NULL,4214805,NULL),(28,'656','EEB DEP JOÃO CUSTÓDIO DA LUZ',2,NULL,NULL,NULL,4214805,NULL),(28,'657','EEB PAULO CORDEIRO',2,NULL,NULL,NULL,4214805,NULL),(28,'658','EEB PAULO ZIMMERMANN',2,NULL,NULL,NULL,4214805,NULL),(28,'659','EEB PROF HENRIQUE DA SILVA FONTES',2,NULL,NULL,NULL,4214805,NULL),(28,'66','EEB PROFª TÂNIA MARA F E SILVA LOCKS',2,NULL,NULL,NULL,4202305,NULL),(28,'660','CE ROBERTO MACHADO',2,NULL,NULL,NULL,4214805,NULL),(28,'661','COLÉGIO UNIVEST',4,NULL,NULL,NULL,4214805,NULL),(28,'662','ESC AGROTÉCNICA FEDERAL DE RIO DO SUL',3,NULL,NULL,NULL,4214805,NULL),(28,'663','INSTITUTO MARIA AUXILIADORA',4,NULL,NULL,NULL,4214805,NULL),(28,'664','EEB PROF GIOVANI TRENTINI',2,NULL,NULL,NULL,4214706,NULL),(28,'665','EEB NS DE FÁTIMA',2,NULL,NULL,NULL,4214904,NULL),(28,'666','COLÉGIO CENECISTA SÃO JOSÉ',4,NULL,NULL,NULL,4215000,NULL),(28,'667','EEB JORGE ZIPPERER',2,NULL,NULL,NULL,4215000,NULL),(28,'668','EEB LUIZ BERNARDO OLSEN',2,NULL,NULL,NULL,4215000,NULL),(28,'669','EEM MANUEL DA NÓBREGA',2,NULL,NULL,NULL,4215000,NULL),(28,'67','COLÉGIO DOUTOR BLUMENAU',4,NULL,NULL,NULL,4202404,NULL),(28,'670','CE PROFª AURORA SIQUEIRA JABLONSKI',2,NULL,NULL,NULL,4215000,NULL),(28,'671','CE PROFª MARTA TAVARES',2,NULL,NULL,NULL,4215000,NULL),(28,'672','ESCOLA ITINERANTE ESITRINE',1,NULL,NULL,NULL,4215000,NULL),(28,'673','EEB PROF DJALMA BENTO',2,NULL,NULL,NULL,4215059,NULL),(28,'674','EEB PROFª GENOVEVA DALLA COSTA',2,NULL,NULL,NULL,4215075,NULL),(28,'675','C COMÉRCIO MÁRIO LOCATELLI',4,NULL,NULL,NULL,4215109,NULL),(28,'676','COLÉGIO MADRE AVOSANI',4,NULL,NULL,NULL,4215109,NULL),(28,'677','EEB OSVALDO CRUZ',2,NULL,NULL,NULL,4215109,NULL),(28,'678','C CENECISTA IMACULADA CONCEIÇÃO',4,NULL,NULL,NULL,4215208,NULL),(28,'679','EEB PROF HERMÍNIO H. DA SILVA',2,NULL,NULL,NULL,4215208,NULL),(28,'68','COLÉGIO DR FRITZ MULLER',2,NULL,NULL,NULL,4202404,NULL),(28,'680','EEB GUILHERME ANDRE DALRI',2,NULL,NULL,NULL,4215307,NULL),(28,'682','EEB EMÍLIA BOOS LAUS SCHMIDT',2,NULL,NULL,NULL,4215356,NULL),(28,'683','C CENECISTA EURICO GASPAR DUTRA',4,NULL,NULL,NULL,4215406,NULL),(28,'684','EEB CECÍLIA VIVAN',2,NULL,NULL,NULL,4215406,NULL),(28,'685','EEB BERNARDO SCHMITZ',2,NULL,NULL,NULL,4215455,NULL),(28,'686','EEB IRMÃ IRENE',2,NULL,NULL,NULL,4215505,NULL),(28,'687','EEB SANTA HELENA',2,NULL,NULL,NULL,4215554,NULL),(28,'688','EEB PROF ALDO CÂMARA',2,NULL,NULL,NULL,4215604,NULL),(28,'689','EEB JOÃO DOS SANTOS AREÃO',2,NULL,NULL,NULL,4215653,NULL),(28,'69','EEB PEDRO II',2,NULL,NULL,NULL,4202404,NULL),(28,'690','INSTITUTO FED CATARINENSE CAMPUS SOMBRIO',3,NULL,NULL,NULL,4215653,NULL),(28,'691','EEB PE JOÃO KOMINEK',2,NULL,NULL,NULL,4215679,NULL),(28,'692','EEB SANTA TEREZINHA',2,NULL,NULL,NULL,4215687,NULL),(28,'693','EEB CELSO RAMOS FILHO',2,NULL,NULL,NULL,4215802,NULL),(28,'694','EEB FREDERICO FENDRICH',2,NULL,NULL,NULL,4215802,NULL),(28,'695','EEB ORESTES GUIMARÃES',2,NULL,NULL,NULL,4215802,NULL),(28,'696','EEB PREF CARLOS ZIPPERER SOBRINHO',2,NULL,NULL,NULL,4215802,NULL),(28,'697','EEM PROF ROBERTO GRANT',2,NULL,NULL,NULL,4215802,NULL),(28,'698','EEB SÃO BENTO',2,NULL,NULL,NULL,4215802,NULL),(28,'699','COLÉGIO SÃO JOSÉ',4,NULL,NULL,NULL,4215802,NULL),(28,'7','EEB MARIA REGINA DE OLIVEIRA',2,NULL,NULL,NULL,4200309,NULL),(28,'70','C FRANCISCANO SANTO ANTÔNIO',4,NULL,NULL,NULL,4202404,NULL),(28,'700','FETEP FUND ENS TECNOL E PESQUISA',4,NULL,NULL,NULL,4215802,NULL),(28,'701','EEB SÃO BERNARDINO',2,NULL,NULL,NULL,4215752,NULL),(28,'702','EEB SÃO TARCÍSIO',2,NULL,NULL,NULL,4215901,NULL),(28,'703','COLÉGIO 25 DE JULHO',4,NULL,NULL,NULL,4216008,NULL),(28,'704','EEB CARDEAL ARCOVERDE',2,NULL,NULL,NULL,4216008,NULL),(28,'705','EEB PROF ARGEU FURTADO',2,NULL,NULL,NULL,4216057,NULL),(28,'706','C CENECISTA NS APARECIDA',4,NULL,NULL,NULL,4216107,NULL),(28,'707','EEB JOÃO ROBERTO MOREIRA',2,NULL,NULL,NULL,4216107,NULL),(28,'708','EEB PROF NICOLA BAPTISTA',2,NULL,NULL,NULL,4216206,NULL),(28,'709','EEB PROFª CLAURINICE VIEIRA CALDEIRA',2,NULL,NULL,NULL,4216206,NULL),(28,'71','COLÉGIO SAGRADA FAMÍLIA',4,NULL,NULL,NULL,4202404,NULL),(28,'710','EEB SANTA CATARINA',2,NULL,NULL,NULL,4216206,NULL),(28,'711','ETC SÃO FRANCISCO DO SUL',1,NULL,NULL,NULL,4216206,NULL),(28,'712','EEB SÃO JOÃO BATISTA',2,NULL,NULL,NULL,4216305,NULL),(28,'713','EEB PROFª ELVIRA FARIA PASSOS',2,NULL,NULL,NULL,4216354,NULL),(28,'714','C CENECISTA JORGE LACERDA',4,NULL,NULL,NULL,4216255,NULL),(28,'715','EEB  MADRE BENVENUTA',2,NULL,NULL,NULL,4216255,NULL),(28,'716','EEB  PE TEODORO TREIS',2,NULL,NULL,NULL,4216255,NULL),(28,'717','EEB ÂNGELO SCARPA',2,NULL,NULL,NULL,4216404,NULL),(28,'718','C CENECISTA SÃO JOAQUIM',4,NULL,NULL,NULL,4216503,NULL),(28,'719','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4216503,NULL),(28,'72','COLÉGIO VALE DO ITAJAÍ',4,NULL,NULL,NULL,4202404,NULL),(28,'720','COLÉGIO PARADIGMA',4,NULL,NULL,NULL,4216503,NULL),(28,'721','EDUCANDÁRIO SANTA ISABEL',4,NULL,NULL,NULL,4216503,NULL),(28,'722','C CENECISTA MONS FREDERICO HOBOLD',4,NULL,NULL,NULL,4216602,NULL),(28,'723','COL DOM JAIME CÂMARA',4,NULL,NULL,NULL,4216602,NULL),(28,'724','COL CENTRO EDUC VISÃO',4,NULL,NULL,NULL,4216602,NULL),(28,'725','COL SOLAR DO CHAPEUZ VERMELHO',4,NULL,NULL,NULL,4216602,NULL),(28,'726','EEB BELA VISTA',2,NULL,NULL,NULL,4216602,NULL),(28,'727','EEB CECÍLIA ROSA LOPES',2,NULL,NULL,NULL,4216602,NULL),(28,'728','EEB FRANCISCO TOLENTINO',2,NULL,NULL,NULL,4216602,NULL),(28,'729','EEB N S DA CONCEIÇÃO',2,NULL,NULL,NULL,4216602,NULL),(28,'73','EEB ADOLPHO KONDER',2,NULL,NULL,NULL,4202404,NULL),(28,'730','EEB PRES JUSC KUBITSCHEK',2,NULL,NULL,NULL,4216602,NULL),(28,'731','EEB PROF JOAQUIM SANTIAGO',2,NULL,NULL,NULL,4216602,NULL),(28,'732','EEB PROF LAÉRCIO C.DE ANDRADA',2,NULL,NULL,NULL,4216602,NULL),(28,'733','EEB PROFª MARIA J B VIEIRA',2,NULL,NULL,NULL,4216602,NULL),(28,'734','EEB WANDERLEY JUNIOR',2,NULL,NULL,NULL,4216602,NULL),(28,'735','CENTRO DE ENSINO KOBRASOL LTDA',4,NULL,NULL,NULL,4216602,NULL),(28,'736','CM MARIA LUIZA DE MELO',1,NULL,NULL,NULL,4216602,NULL),(28,'737','COL ALPHA OBJETIVO',4,NULL,NULL,NULL,4216602,NULL),(28,'738','COLÉGIO ELISA ANDREOLI',4,NULL,NULL,NULL,4216602,NULL),(28,'739','IF-SC - CAMPUS SÃO JOSÉ (CEFET)',3,NULL,NULL,NULL,4216602,NULL),(28,'74','EEB CEL PEDRO CHRISTIANO FEDDERSEN',2,NULL,NULL,NULL,4202404,NULL),(28,'740','EEB CEDRENSE',2,NULL,NULL,NULL,4216701,NULL),(28,'741','C AGRÍCOLA CAETANO COSTA',2,NULL,NULL,NULL,4216800,NULL),(28,'742','EEB MAURO GONÇALVES FARIAS',2,NULL,NULL,NULL,4216800,NULL),(28,'743','C CENECISTA JORGE LACERDA',4,NULL,NULL,NULL,4216909,NULL),(28,'744','EEB RUI BARBOSA',2,NULL,NULL,NULL,4216909,NULL),(28,'745','EEB SOROR ANGÉLICA',2,NULL,NULL,NULL,4216909,NULL),(28,'746','COLÉGIO IMPACTO LTDA',4,NULL,NULL,NULL,4216909,NULL),(28,'747','ESC SÃO FRANCISCO DE ASSIS',4,NULL,NULL,NULL,4216909,NULL),(28,'748','EEB SÃO LUDGERO',2,NULL,NULL,NULL,4217006,NULL),(28,'749','CE SÃO LUDGERO',2,NULL,NULL,NULL,4217006,NULL),(28,'75','EEB EMÍLIO BAUMGART',2,NULL,NULL,NULL,4202404,NULL),(28,'750','EEB FRIDOLINO HULSE',2,NULL,NULL,NULL,4217105,NULL),(28,'751','C NORMAL PARTICULAR SÃO JOSÉ',4,NULL,NULL,NULL,4217204,NULL),(28,'752','COL LA SALLE PEPERI',4,NULL,NULL,NULL,4217204,NULL),(28,'753','EEB ALBERICO AZEVEDO',2,NULL,NULL,NULL,4217204,NULL),(28,'754','EEB DR GUILHERME JOSE MISSEN',2,NULL,NULL,NULL,4217204,NULL),(28,'755','EEB PROF JALDYR BHERING F DA SILVA',2,NULL,NULL,NULL,4217204,NULL),(28,'756','EEB SANTA RITA',2,NULL,NULL,NULL,4217204,NULL),(28,'757','EEB SÃO MIGUEL',2,NULL,NULL,NULL,4217204,NULL),(28,'758','CEDUP GETÚLIO VARGAS',2,NULL,NULL,NULL,4217204,NULL),(28,'759','EEB LINHA SARGENTO',2,NULL,NULL,NULL,4217154,NULL),(28,'76','EEB GOV CELSO RAMOS',2,NULL,NULL,NULL,4202404,NULL),(28,'760','CM SÃO FRANCISCO DE ASSIS',1,NULL,NULL,NULL,4217253,NULL),(28,'761','EEB RODRIGUES ALVES',2,NULL,NULL,NULL,4217303,NULL),(28,'762','EEB MIGUEL COUTO',2,NULL,NULL,NULL,4217402,NULL),(28,'763','EEB RAIMUNDO CORRÊA',2,NULL,NULL,NULL,4217501,NULL),(28,'764','EEB SEARA',2,NULL,NULL,NULL,4217501,NULL),(28,'765','EEB LA SALLE',2,NULL,NULL,NULL,4217550,NULL),(28,'766','C CENECISTA SANTA BARBARA',4,NULL,NULL,NULL,4217600,NULL),(28,'767','CE DOM ORIONE',4,NULL,NULL,NULL,4217600,NULL),(28,'768','EEB JOSÉ DO PATROCÍNIO',2,NULL,NULL,NULL,4217600,NULL),(28,'769','EEB CATULO DA PAIXÃO CEARENSE',2,NULL,NULL,NULL,4217709,NULL),(28,'77','EEB HERCÍLIO DEEKE',2,NULL,NULL,NULL,4202404,NULL),(28,'770','INST EDUCACIONAL MADRE ELISA SAVOLDI',4,NULL,NULL,NULL,4217709,NULL),(28,'771','COL. CEN. CHARLES EDGAR MORITZ',4,NULL,NULL,NULL,4215703,NULL),(28,'772','EEB NEREU RAMOS',2,NULL,NULL,NULL,4215703,NULL),(28,'773','EEB PROF. SILVEIRA DE MATOS',2,NULL,NULL,NULL,4215703,NULL),(28,'774','COLÉGIO QUÂNTICO LTDA',4,NULL,NULL,NULL,4215703,NULL),(28,'775','EEB HÉLIO WASUM',2,NULL,NULL,NULL,4217758,NULL),(28,'776','C CENECISTA NS DE FÁTIMA',4,NULL,NULL,NULL,4217808,NULL),(28,'777','EEB LUIZ BERTOLI',2,NULL,NULL,NULL,4217808,NULL),(28,'778','EEB OTTO HOSANG',2,NULL,NULL,NULL,4217808,NULL),(28,'779','EEB MATER SALVATORIS',2,NULL,NULL,NULL,4217907,NULL),(28,'78','EEM ILSE KARSTEN',2,NULL,NULL,NULL,4202404,NULL),(28,'780','EEB OSVALDO FERREIRA DE MELO',2,NULL,NULL,NULL,4217956,NULL),(28,'781','C CENECISTA BENJAMIN GALLOTTI',4,NULL,NULL,NULL,4218004,NULL),(28,'782','COLÉGIO ESPÍRITO SANTO',4,NULL,NULL,NULL,4218004,NULL),(28,'783','EEB CRUZ E SOUSA',2,NULL,NULL,NULL,4218004,NULL),(28,'784','COL E SUPLETIVO NOVO MILÊNIO',4,NULL,NULL,NULL,4218004,NULL),(28,'785','EEB TIMBÉ DO SUL',2,NULL,NULL,NULL,4218103,NULL),(28,'786','C COMERCIAL DR LEOBERTO LEAL',4,NULL,NULL,NULL,4218202,NULL),(28,'787','EEB RUY BARBOSA',2,NULL,NULL,NULL,4218202,NULL),(28,'788','EEB MACHADO DE ASSIS',2,NULL,NULL,NULL,4218251,NULL),(28,'789','EEB COLOMBO MACHADO SALLES',2,NULL,NULL,NULL,4218301,NULL),(28,'79','EEB LUIZ DELFINO',2,NULL,NULL,NULL,4202404,NULL),(28,'790','EEB FREI MENANDRO KAMPS',2,NULL,NULL,NULL,4218301,NULL),(28,'791','EEB GENERAL OSÓRIO',2,NULL,NULL,NULL,4218301,NULL),(28,'792','EEB UDO DEEK',2,NULL,NULL,NULL,4218350,NULL),(28,'793','EEB MON. BERNARDO PETERS',2,NULL,NULL,NULL,4218400,NULL),(28,'794','C CENECISTA FRANCISCO LINDNER',4,NULL,NULL,NULL,4218509,NULL),(28,'795','EEB SÃO JOSÉ',2,NULL,NULL,NULL,4218509,NULL),(28,'796','EEB DR. HERMANN BLUMENAU',2,NULL,NULL,NULL,4218608,NULL),(28,'797','COLÉGIO SÃO JOSÉ',4,NULL,NULL,NULL,4218707,NULL),(28,'798','EEB HENRIQUE FONTES',2,NULL,NULL,NULL,4218707,NULL),(28,'799','EEB HERCÍLIO LUZ',2,NULL,NULL,NULL,4218707,NULL),(28,'8','CEDUP PROF JALDYR BHERING F SILVA',2,NULL,NULL,NULL,4200408,NULL),(28,'80','EEB PE JOSÉ MAURÍCIO',2,NULL,NULL,NULL,4202404,NULL),(28,'800','EEB JOÃO TEIXEIRA NUNES',2,NULL,NULL,NULL,4218707,NULL),(28,'801','EEB JOÃO XXIII',2,NULL,NULL,NULL,4218707,NULL),(28,'802','EEB MARTINHO ALVES DOS SANTOS',2,NULL,NULL,NULL,4218707,NULL),(28,'803','EEB SANTO ANJO DA GUARDA',2,NULL,NULL,NULL,4218707,NULL),(28,'804','EEB SEN FRANCISCO BENJ. GALLOTTI',2,NULL,NULL,NULL,4218707,NULL),(28,'805','CENTRO INTERCOLEGIAL INTEG DE TUBARÃO',4,NULL,NULL,NULL,4218707,NULL),(28,'806','COLÉGIO DEHON',4,NULL,NULL,NULL,4218707,NULL),(28,'807','CURSO E COLÉGIO ENERGIA TUBARÃO',4,NULL,NULL,NULL,4218707,NULL),(28,'808','CEDUP DIOMÍCIO FREITAS',2,NULL,NULL,NULL,4218707,NULL),(28,'809','ETC DE TUBARÃO',4,NULL,NULL,NULL,4218707,NULL),(28,'81','EEM PROF WIGAND GELHARDT',2,NULL,NULL,NULL,4202404,NULL),(28,'810','SEMINÁRIO NS DE FÁTIMA',4,NULL,NULL,NULL,4218707,NULL),(28,'811','C CENECISTA ANITA GARIBALDI',4,NULL,NULL,NULL,4218756,NULL),(28,'812','EEB PE BALDUÍNO RAMBO',2,NULL,NULL,NULL,4218756,NULL),(28,'813','COLÉGIO SERVOS DE MARIA',4,NULL,NULL,NULL,4218806,NULL),(28,'814','EEB JOÃO COLODEL',2,NULL,NULL,NULL,4218806,NULL),(28,'815','EEB JORGE SCHUTZ',2,NULL,NULL,NULL,4218806,NULL),(28,'816','EEB SÃO LUIZ',2,NULL,NULL,NULL,4218855,NULL),(28,'817','COLÉGIO SANTA CLARA',4,NULL,NULL,NULL,4218905,NULL),(28,'818','EEB ARAÚJO FIGUEIREDO',2,NULL,NULL,NULL,4218905,NULL),(28,'819','EEB MANOEL P. DE MEDEIROS',2,NULL,NULL,NULL,4218954,NULL),(28,'82','EEB PROF HERIBERTO JOSEPH MÜLLER',2,NULL,NULL,NULL,4202404,NULL),(28,'820','COLÉGIO RAINHA DO MUNDO',4,NULL,NULL,NULL,4219002,NULL),(28,'821','EEB BARÃO DO RIO BRANCO',2,NULL,NULL,NULL,4219002,NULL),(28,'822','EEB CAETANO BEZ BATTI',2,NULL,NULL,NULL,4219002,NULL),(28,'823','C CENECISTA FORTUNATO DANIELLI',4,NULL,NULL,NULL,4219101,NULL),(28,'824','EEB KYRANA LACERDA',2,NULL,NULL,NULL,4219101,NULL),(28,'825','EEB DEP. AUGUSTO BRESOLA',2,NULL,NULL,NULL,4219101,NULL),(28,'826','EEB GALEAZZO PAGANELLI',2,NULL,NULL,NULL,4219176,NULL),(28,'827','EEB VITORIO ROMAN',2,NULL,NULL,NULL,4219176,NULL),(28,'828','EEB CACILDA GUIMARÃES',2,NULL,NULL,NULL,4219200,NULL),(28,'829','COLÉGIO SALVATORIANO IMACULADA CONCEIÇÃO',4,NULL,NULL,NULL,4219309,NULL),(28,'83','EEB PROF JOÃO WIDEMANN',2,NULL,NULL,NULL,4202404,NULL),(28,'830','EEB INSPETOR EURICO RAUEN',2,NULL,NULL,NULL,4219309,NULL),(28,'831','EEB PROFª ADELINA RÉGIS',2,NULL,NULL,NULL,4219309,NULL),(28,'832','ESAVI ESCOLA DE APLICAÇÃO DE VIDEIRA',4,NULL,NULL,NULL,4219309,NULL),(28,'833','ETAVI ESCOLA TÉCNICA DE A DE VIDEIRA',4,NULL,NULL,NULL,4219309,NULL),(28,'834','EEB VITOR MEIRELLES',2,NULL,NULL,NULL,4219358,NULL),(28,'835','EEB PROF. SEMIRAMIS BOSCO',2,NULL,NULL,NULL,4219408,NULL),(28,'836','COLÉGIO LA SALLE',4,NULL,NULL,NULL,4219507,NULL),(28,'837','CE APARÍCIO JÚLIO FARRAPO',2,NULL,NULL,NULL,4219507,NULL),(28,'838','EEB JOÃO WINCKLER',2,NULL,NULL,NULL,4219507,NULL),(28,'839','CE JOAQUIM NABUCO',2,NULL,NULL,NULL,4219507,NULL),(28,'84','EEM PROF ELZA HENRIQUETA T PACHECO',2,NULL,NULL,NULL,4202404,NULL),(28,'840','EEB PRES ARTUR DA COSTA E SILVA',2,NULL,NULL,NULL,4219507,NULL),(28,'841','EEB PROF IRACY TONELLO',2,NULL,NULL,NULL,4219507,NULL),(28,'842','CE NEUSA LEMOS MARQUES',2,NULL,NULL,NULL,4219507,NULL),(28,'843','COLÉGIO CENECISTA JOÃO XXIII',4,NULL,NULL,NULL,4219606,NULL),(28,'844','EEB PROF LUIZ SANCHES BEZERRA DA TRINDAD',2,NULL,NULL,NULL,4219606,NULL),(28,'845','COLÉGIO COMERCIAL DE XAXIM',4,NULL,NULL,NULL,4219705,NULL),(28,'846','EEB PROFª NEUSA MASSOLINI',2,NULL,NULL,NULL,4219705,NULL),(28,'847','EEB GOMES CARNEIRO',2,NULL,NULL,NULL,4219705,NULL),(28,'848','EEB PROF CUSTÓDIO DE CAMPOS',2,NULL,NULL,NULL,4219705,NULL),(28,'849','EEB MAJOR CIPRIANO R. DE ALMEIDA',2,NULL,NULL,NULL,4219853,NULL),(28,'85','EEB SANTOS DUMONT',2,NULL,NULL,NULL,4202404,NULL),(28,'850','EEB SÃO JOÃO',2,NULL,NULL,NULL,4200200,NULL),(28,'851','CE PROF. CLOVIS GOULART',2,NULL,NULL,NULL,4201406,NULL),(28,'852','EEB PROFª NEUSA OSTETTO CARDOSO',2,NULL,NULL,NULL,4201406,NULL),(28,'853','EEB GOVERNADOR BORNHAUSEN',2,NULL,NULL,NULL,4201604,NULL),(28,'854','EEB APOLÔNIO IRENO CARDOSO',2,NULL,NULL,NULL,4201950,NULL),(28,'855','COLÉGIO ENERGIA',4,NULL,NULL,NULL,4202404,NULL),(28,'856','EEB ADOLFO JOSÉ MARTINS',2,NULL,NULL,NULL,4202503,NULL),(28,'857','EEB ANTÔNIO MORANDINI',2,NULL,NULL,NULL,4204202,NULL),(28,'858','EEB PROF MANSUETO BOFF',2,NULL,NULL,NULL,4204301,NULL),(28,'859','ETFESC UNED JARAGUÁ DO SUL (CEFET)',3,NULL,NULL,NULL,4208906,NULL),(28,'86','COLÉGIO BLUMENAUENSE',4,NULL,NULL,NULL,4202404,NULL),(28,'860','EEM DR HANS DIETER SCHMIDT',2,NULL,NULL,NULL,4209102,NULL),(28,'861','COLÉGIO DA UNIVILLE',4,NULL,NULL,NULL,4209102,NULL),(28,'862','EEB MARIA MADALENA DE MOURA FERRO',2,NULL,NULL,NULL,4209177,NULL),(28,'863','EEB NOSSA SENHORA DE FÁTIMA',2,NULL,NULL,NULL,4211751,NULL),(28,'864','EEB ALFREDO DALFOVO',2,NULL,NULL,NULL,4214805,NULL),(28,'865','EEB WILLY HERING',2,NULL,NULL,NULL,4214805,NULL),(28,'866','EEB SÃO TIAGO',2,NULL,NULL,NULL,4215695,NULL),(28,'867','ASSOCIAÇÃO FRANCISQUENSE DE ENSINO',4,NULL,NULL,NULL,4216206,NULL),(28,'868','COLÉGIO PADRE AGOSTINHO',4,NULL,NULL,NULL,4216602,NULL),(28,'869','EEB GAMA ROSA',2,NULL,NULL,NULL,4217253,NULL),(28,'87','ESC BARÃO DO RIO BRANCO',4,NULL,NULL,NULL,4202404,NULL),(28,'870','EEB PROF. JÚLIO SCHEIDEMANTEL',2,NULL,NULL,NULL,4218202,NULL),(28,'871','ESCOLA TÉCNICA DO VALE DO ITAJAÍ',4,NULL,NULL,NULL,4218202,NULL),(28,'872','CENTRO EDUCACIONAL EXPONENCIAL SA.',4,NULL,NULL,NULL,4219507,NULL),(28,'873','EEB PROF. LAUREANO PACHECO',2,NULL,NULL,NULL,4202008,NULL),(28,'874','EEB JONAS R COELHO NEVES',2,NULL,NULL,NULL,4202404,NULL),(28,'875','ESC TÉCNICA DE SAÚDE',2,NULL,NULL,NULL,4202404,NULL),(28,'876','EEB OSVALDO REIS',2,NULL,NULL,NULL,4202909,NULL),(28,'877','CENTRO EDUC ILDA IGNEZ',4,NULL,NULL,NULL,4203204,NULL),(28,'878','EEB EMILIANO RAMOS',2,NULL,NULL,NULL,4203253,NULL),(28,'879','EEB JOÃO DAGOSTIM',2,NULL,NULL,NULL,4204608,NULL),(28,'88','ESC TÉCNICA DO VALE DO ITAJAÍ',4,NULL,NULL,NULL,4202404,NULL),(28,'880','COLÉGIO DE APLICAÇÃO DA UNESC',4,NULL,NULL,NULL,4204608,NULL),(28,'881','COLÉGIO MARIA IMACULADA',4,NULL,NULL,NULL,4204806,NULL),(28,'882','COLÉGIO DOM BOSCO',4,NULL,NULL,NULL,4205407,NULL),(28,'883','ESCOLA AUTONOMIA',4,NULL,NULL,NULL,4205407,NULL),(28,'884','ESCOLA DINÂMICA',4,NULL,NULL,NULL,4205407,NULL),(28,'885','CEFRAI - CENTRO EDUC FRAIBURGO',4,NULL,NULL,NULL,4205506,NULL),(28,'886','EEB WALMOR RIBEIRO',2,NULL,NULL,NULL,4206900,NULL),(28,'887','EEB RAULINO HORN',2,NULL,NULL,NULL,4207502,NULL),(28,'888','EEB VER. PAULO FRANÇA',2,NULL,NULL,NULL,4208500,NULL),(28,'889','EEB CAMPOS VERDES',2,NULL,NULL,NULL,4208807,NULL),(28,'89','CEDUP HERMANN HERING',2,NULL,NULL,NULL,4202404,NULL),(28,'890','EEB PROF GIARDINI LUIZ LENZI',2,NULL,NULL,NULL,4208906,NULL),(28,'891','EEM PROF. DARCI FRANKE WELK',2,NULL,NULL,NULL,4208906,NULL),(28,'892','COLÉGIO SUPLETIVO NOVA ERA',4,NULL,NULL,NULL,4208906,NULL),(28,'893','EEM DR RUBEN ROBERTO SCHMIDLIN',2,NULL,NULL,NULL,4209102,NULL),(28,'894','EEM PROF. ELADIR SKIBINSKI',2,NULL,NULL,NULL,4209102,NULL),(28,'896','ESC AUXILIAR DE ENFERMAGEM',1,NULL,NULL,NULL,4209102,NULL),(28,'897','COLÉGIO SIGMA LTDA',4,NULL,NULL,NULL,4209300,NULL),(28,'898','CENTRO DE EDUC GOTINHAS DO SABER',4,NULL,NULL,NULL,4210506,NULL),(28,'899','EEB PROF. ANTONIETA SILVEIRA',2,NULL,NULL,NULL,4212056,NULL),(28,'9','EEB RUTH LEBARBECHON',2,NULL,NULL,NULL,4200408,NULL),(28,'90','SOCIEDADE EDUC. BLUMENAUENSE',4,NULL,NULL,NULL,4202404,NULL),(28,'900','EEB FRANCISCO ALTAMIR WAGNER',2,NULL,NULL,NULL,4214805,NULL),(28,'901','COLÉGIO TÉCNICO DA UNIDAVI',4,NULL,NULL,NULL,4214805,NULL),(28,'902','SENAC-SERV. NAC DE APR. COMERCIAL',4,NULL,NULL,NULL,4214805,NULL),(28,'903','EEB MANOEL CRUZ',2,NULL,NULL,NULL,4216503,NULL),(28,'904','CENTRO EDUC EXTENSÃO LTDA',4,NULL,NULL,NULL,4217709,NULL),(28,'905','EEB LEOPOLDO JACOBSEN',2,NULL,NULL,NULL,4217808,NULL),(28,'906','EEB PROF JUVENAL CARDOSO ZANELLA',2,NULL,NULL,NULL,4218202,NULL),(28,'907','CENTRO EDUC PEQUENO PRÍNCIPE',4,NULL,NULL,NULL,4218707,NULL),(28,'908','EEB TITOLÍVIO VENÂNCIO ROSA',2,NULL,NULL,NULL,4201307,NULL),(28,'909','COL BOM JESUS SANTO ANTÔNIO',4,NULL,NULL,NULL,4202404,NULL),(28,'91','EEB CAMPOS SALES',2,NULL,NULL,NULL,4202438,NULL),(28,'910','EEM NORBERTO LANSER',2,NULL,NULL,NULL,4202404,NULL),(28,'911','EEB NADIR BECKER',2,NULL,NULL,NULL,4202875,NULL),(28,'912','COLÉGIO POTENCIAL',4,NULL,NULL,NULL,4202909,NULL),(28,'913','EEB BARTOLOMEU DA SILVA',2,NULL,NULL,NULL,4203709,NULL),(28,'914','EEB PROFª LÍDIA GLUSTACK REMUS',2,NULL,NULL,NULL,4204202,NULL),(28,'915','EEB PROFª SÔNIA DE OLIVEIRA ZANI',2,NULL,NULL,NULL,4204202,NULL),(28,'916','EEB SAAD ANTÔNIO SARQUIS',2,NULL,NULL,NULL,4204202,NULL),(28,'917','EEM DILSO CECCHIN',2,NULL,NULL,NULL,4204202,NULL),(28,'918','EEB DOMINGOS MAGARINOS',2,NULL,NULL,NULL,4204301,NULL),(28,'919','EEB JOÃO PAULO I',2,NULL,NULL,NULL,4204558,NULL),(28,'92','C CENECISTA ARMELINA BARP DE MAMAN',4,NULL,NULL,NULL,4202503,NULL),(28,'920','COL UNIVERSITÁRIO CRICIÚMA LTDA',4,NULL,NULL,NULL,4204608,NULL),(28,'921','EEB JOÃO FRASSETTO',2,NULL,NULL,NULL,4204608,NULL),(28,'922','EEB INTENDENTE JOSÉ FERNANDES',2,NULL,NULL,NULL,4205407,NULL),(28,'923','EEB CARMEM SEARA LEITE',2,NULL,NULL,NULL,4205803,NULL),(28,'924','EEB PROF CARLOS MAFFEZZOLLI',2,NULL,NULL,NULL,4206306,NULL),(28,'925','COLÉGIO ADVENTISTA DE INDAIAL',4,NULL,NULL,NULL,4207502,NULL),(28,'926','EI EB CACIQUE VANHKRE',2,NULL,NULL,NULL,4207684,NULL),(28,'927','EEB ISABEL DA SILVA TELLES',2,NULL,NULL,NULL,4207809,NULL),(28,'928','EEB PROF ARY MASCARENHAS PASSOS',2,NULL,NULL,NULL,4208203,NULL),(28,'929','EEB XV DE JUNHO',2,NULL,NULL,NULL,4208203,NULL),(28,'93','EEB HÉLIO LENTZ PUERTA',2,NULL,NULL,NULL,4202537,NULL),(28,'930','EEB PRES TANCREDO NEVES',2,NULL,NULL,NULL,4208500,NULL),(28,'931','CENTRO EDUC MACHADO DE ASSIS',4,NULL,NULL,NULL,4209102,NULL),(28,'933','EEB FRANCISCO EBERHARDT',2,NULL,NULL,NULL,4209102,NULL),(28,'934','ESC MUNICIPAL DE SAÚDE',1,NULL,NULL,NULL,4209102,NULL),(28,'935','EEB DE LAGES',2,NULL,NULL,NULL,4209300,NULL),(28,'936','EEB PROFª VIRGÍNIA P.SILVA GONÇALVES',2,NULL,NULL,NULL,4211058,NULL),(28,'937','COL DE NAVEGANTES FERREIRA PISKE',4,NULL,NULL,NULL,4211306,NULL),(28,'938','EEB PROFª IRENE ROMÃO',2,NULL,NULL,NULL,4211306,NULL),(28,'939','CENTRO EDUC RODA PIÃO LTDA',4,NULL,NULL,NULL,4211900,NULL),(28,'94','EEB PROF SÍLVIO ROMERO',2,NULL,NULL,NULL,4202578,NULL),(28,'940','COLÉGIO SANTO ANTÔNIO',4,NULL,NULL,NULL,4215109,NULL),(28,'941','EEB ANÍSIO V. DE FREITAS',2,NULL,NULL,NULL,4215703,NULL),(28,'942','CENTRO EDUC. SÃO JOAQUIM LTDA',4,NULL,NULL,NULL,4216503,NULL),(28,'943','COL DOM BOSCO',4,NULL,NULL,NULL,4216602,NULL),(28,'944','COL FRANCISCO JOSÉ F. NETO',4,NULL,NULL,NULL,4216602,NULL),(28,'945','EEM GOV. WILSOM KLEINUBING',2,NULL,NULL,NULL,4216602,NULL),(28,'946','EEM LUAR',4,NULL,NULL,NULL,4216602,NULL),(28,'947','EEB PROTÁSIO JOAQUIM DA CUNHA',2,NULL,NULL,NULL,4217709,NULL),(28,'948','COL DE APLIC. DA UNIVALI TIJUCAS',4,NULL,NULL,NULL,4218004,NULL),(28,'949','EEB ROMILDO CZEPANHIK',2,NULL,NULL,NULL,4219507,NULL),(28,'95','EEB ALEXANDRE GUSMÃO',2,NULL,NULL,NULL,4202602,NULL),(28,'950','COLÉGIO EVOLUÇÃO',4,NULL,NULL,NULL,4217006,NULL),(28,'951','ESCOLA DA ILHA',4,NULL,NULL,NULL,4205407,NULL),(28,'953','EEB GOV HERIBERTO HULSE',2,NULL,NULL,NULL,4204608,NULL),(28,'954','EEB ARNOLDO AGENOR ZIMMERMANN',2,NULL,NULL,NULL,4205902,NULL),(28,'955','COLÉGIO MADRE FRANCISCA LAMPEL',4,NULL,NULL,NULL,4205902,NULL),(28,'956','COLÉGIO HENRY FORD',4,NULL,NULL,NULL,4218202,NULL),(28,'957','EEB DR GEORG KELLER',2,NULL,NULL,NULL,4209102,NULL),(28,'958','CENTRO TÉCNICO DE AUTOMAÇÃO LTDA',4,NULL,NULL,NULL,4209102,NULL),(28,'959','ESC DE ED BÁSICA DA UNIDAVI',4,NULL,NULL,NULL,4214805,NULL),(28,'96','EEB PREF LEOPOLDO JOSÉ GUERREIRO',2,NULL,NULL,NULL,4202453,NULL),(28,'960','CEDUP CAETANO COSTA',2,NULL,NULL,NULL,4216800,NULL),(28,'961','EEB PROF JOSÉ FARIA NETO',2,NULL,NULL,NULL,4203600,NULL),(28,'962','COLÉGIO SUPERATIVO',4,NULL,NULL,NULL,4209003,NULL),(28,'963','EEB PROF LOURDES',2,NULL,NULL,NULL,4204202,NULL),(28,'964','CENTRO DE EDUCAÇÃO SÃO RAFAEL',4,NULL,NULL,NULL,4204202,NULL),(28,'965','CEDUP SÃO JOSÉ',2,NULL,NULL,NULL,4208401,NULL),(28,'967','LICEU CATARINENSE DE ENSINO',4,NULL,NULL,NULL,4202008,NULL),(28,'968','COLÉGIO VIDEIRA',4,NULL,NULL,NULL,4219309,NULL),(28,'969','COLÉGIO SUPERAÇÃO',4,NULL,NULL,NULL,4219309,NULL),(28,'97','C CENECISTA FRANCISCO DE ASSIS',4,NULL,NULL,NULL,4202701,NULL),(28,'970','COLÉGIO MURIALDO',4,NULL,NULL,NULL,4201406,NULL),(28,'971','EEB DEP VALÉRIO GOMES',2,NULL,NULL,NULL,4218004,NULL),(28,'972','COLÉGO DOM BOSCO',4,NULL,NULL,NULL,4218004,NULL),(28,'973','EEB TEMPO FELIZ',4,NULL,NULL,NULL,4203808,NULL),(28,'974','ESC TÉCNICA TUPY UNIDADE S. BENTO DO SUL',4,NULL,NULL,NULL,4215802,NULL),(28,'975','CENTRO  ENS. NICOLAU TAVARES DE OLIVEIRA',4,NULL,NULL,NULL,4210506,NULL),(28,'976','CENTRO EDUC BARREIROS',4,NULL,NULL,NULL,4216602,NULL),(28,'977','EPI ESCOLA DA PRAIA DOS INGLESES',4,NULL,NULL,NULL,4205407,NULL),(28,'978','EEB CONSELHEIRO MANOEL PHILIPPI',2,NULL,NULL,NULL,4200606,NULL),(28,'979','EEB ARABUTÃ',2,NULL,NULL,NULL,4201273,NULL),(28,'98','EEB PADRE JOÃO STOLTE',2,NULL,NULL,NULL,4202701,NULL),(28,'980','COLÉGIO DEHON',4,NULL,NULL,NULL,4201406,NULL),(28,'981','COLÉGIO BARÃO DE SCHEENEBURG ENERGIA',4,NULL,NULL,NULL,4202909,NULL),(28,'982','COLÉGIO LÍRIOS DO CAMPO',4,NULL,NULL,NULL,4203600,NULL),(28,'983','COLÉGIO SATÉLITE',4,NULL,NULL,NULL,4204202,NULL),(28,'984','EEB WALTER FONTANA',2,NULL,NULL,NULL,4204301,NULL),(28,'985','EEB PROF. PEDRO DA RÉ',2,NULL,NULL,NULL,4204608,NULL),(28,'986','COLÉGIO METROPOLITANO',4,NULL,NULL,NULL,4207502,NULL),(28,'987','EEB HERCÍLIO BUCH',2,NULL,NULL,NULL,4210100,NULL),(28,'988','C ADVENTISTA DE FLORIANÓPOLIS - CENTRO',4,NULL,NULL,NULL,4205407,NULL),(28,'989','C EDUC PROMISSOR LTDA',4,NULL,NULL,NULL,4211900,NULL),(28,'99','C COMERCIAL DE BRAÇO DO NORTE',4,NULL,NULL,NULL,4202800,NULL),(28,'990','C EDUC CÉU AZUL',4,NULL,NULL,NULL,4213609,NULL),(28,'991','COLÉGIO ALTO VALE LTDA',4,NULL,NULL,NULL,4214805,NULL),(28,'992','C ADVENTISTA DE SÃO FRANCISCO DO SUL',4,NULL,NULL,NULL,4216206,NULL),(28,'993','EEB PROF. ELISA CLÁUDIO DE AGUIAR',2,NULL,NULL,NULL,4217402,NULL),(28,'994','COLÉGIO GERAÇÃO CONSTRUTIVA',4,NULL,NULL,NULL,4219705,NULL),(28,'995','EDUTEC ESCOLA EDUCACIONAL TECNICA SATC',4,NULL,NULL,NULL,4204608,NULL),(28,'996','EEB PREFEITO HIGINO AGUIAR',2,NULL,NULL,NULL,4201307,NULL),(28,'997','COLÉGIO CASTELO LTDA',4,NULL,NULL,NULL,4202404,NULL),(28,'998','EEB CÔNEGO NICOLAU GESING',2,NULL,NULL,NULL,4202800,NULL),(28,'999','CENTRO DE EDUCAÇÃO MONTEIRO LOBATO',4,NULL,NULL,NULL,4204202,NULL),(28,'9997','Escola de Santa Catarina não mencionada',0,NULL,NULL,NULL,0,NULL),(28,'9998','Não concluiu em Santa Catarina',0,NULL,NULL,NULL,0,NULL),(28,'9999','Curso Supletivo',0,NULL,NULL,NULL,0,NULL);
/*!40000 ALTER TABLE estabelecimento_ensino ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `grade_socioeconomico`
--

DROP TABLE IF EXISTS grade_socioeconomico;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE grade_socioeconomico (
  id_evento smallint(6) NOT NULL,
  numero_questao tinyint(4) NOT NULL,
  posicao_inicial tinyint(4) DEFAULT NULL,
  tamanho tinyint(4) DEFAULT NULL,
  literal_questao varchar(120) DEFAULT NULL,
  PRIMARY KEY (id_evento,numero_questao),
  CONSTRAINT fk_grade_socioeconomico_evento FOREIGN KEY (id_evento) REFERENCES `evento` (id_evento)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `grade_socioeconomico`
--

LOCK TABLES grade_socioeconomico WRITE;
/*!40000 ALTER TABLE grade_socioeconomico DISABLE KEYS */;
INSERT INTO grade_socioeconomico VALUES (15,1,1,1,'ESTADO CIVIL'),(15,2,2,2,'UNIDADE DA FEDERAÇÃO EM QUE VOCÊ RESIDE'),(15,3,4,2,'UNIDADE DA FEDERAÇÃO EM QUE VOCÊ CONCLUIU O ENSINO FUNDAMENTAL'),(15,4,6,1,'TIPO DE ESTABELECIMENTO ONDE VOCÊ CURSOU O ENSINO FUNDAMENTAL'),(15,5,7,2,'UNIDADE DA FEDERAÇÃO EM QUE VOCÊ CONCLUIU OU CONCLUIRÁ O ENSINO MÉDIO'),(15,6,9,1,'TIPO DE CURSO DE ENSINO MÉDIO QUE VOCÊ CONCLUIU OU CONCLUIRÁ'),(15,7,10,1,'TIPO DE ESTABELECIMENTO ONDE VOCÊ CURSOU O ENSINO MÉDIO'),(15,8,11,1,'TURNO EM QUE VOCÊ CURSOU O ENSINO MÉDIO'),(15,9,12,1,'MARQUE A PRINCIPAL FONTE DE INFORMAÇÃO PELA QUAL VOCÊ TOMOU CONHECIMENTO DO CONCURSO VESTIBULAR DA UFSC'),(15,10,13,1,'FREQÜENTOU OU FREQÜENTA CURSO PRÉ-VESTIBULAR'),(15,11,14,1,'PRINCIPAL MOTIVO QUE O LEVOU A NÃO CURSAR PRÉ-VESTIBULAR'),(15,12,15,1,'NÚMERO DE VEZES QUE VOCÊ PRESTOU VESTIBULAR PARA A UFSC'),(15,13,16,1,'PRINCIPAL MOTIVO PARA ESCOLHA DE SUA 1ª OPÇÃO'),(15,14,17,1,'ASSINALE O QUE VOCÊ ESPERA OBTER NUM CURSO SUPERIOR'),(15,15,18,1,'CONHECE AS ATIVIDADES QUE DEVERÁ DESENVOLVER NA PROFISSÃO ESCOLHIDA EM 1ª OPÇÃO'),(15,16,19,1,'INCLUINDO SOMENTE OS QUE MORAM NA SUA CASA, INCLUSIVE VOCÊ, ASSINALE O NÚMERO DE PESSOAS QUE COMPÕE A SUA FAMÍLIA'),(15,17,20,1,'SOME OS SAL. BRUTOS, SEM DEDUÇÕES, DAS PESSOAS DE SEU GRUPO FAM. QUE TRABALHAM, INCLUSIVE O SEU, INDIQUE A RENDA BRUTA'),(15,18,21,1,'NÍVEL DE INSTRUÇÃO DE SEU PAI'),(15,19,22,1,'NÍVEL DE INSTRUÇÃO DE SUA MÃE'),(15,20,23,1,'INDIQUE O PRINCIPAL RESPONSÁVEL PELO SUSTENTO DA SUA FAMÍLIA'),(15,21,24,1,'PRINCIPAL OCUPAÇÃO DO RESPONSÁVEL PELO SUSTENTO DA SUA FAMÍLIA'),(15,22,25,1,'IDADE COM QUE COMEÇOU A EXERCER A ATIVIDADE REMUNERADA'),(15,23,26,1,'SUA OCUPAÇÃO'),(15,24,27,1,'MARQUE O PRINCIPAL MEIO DE COMUNICAÇÃO QUE VOCÊ UTILIZA PARA SE MANTER INFORMADO SOBRE OS ACONTECIMENTO ATUAIS'),(15,25,28,1,'POSSUI COMPUTADOR EM SUA RESIDÊNCIA'),(15,26,29,1,'USA COMPUTADOR'),(15,27,30,1,'MEIO DE TRANSPORTE QUE VOCÊ MAIS UTILIZA'),(15,28,31,1,'INICIOU ALGUM CURSO SUPERIOR'),(15,29,32,1,'INSTITUIÇÃO NA QUAL INICIOU ALGUM CURSO SUPERIOR'),(15,30,33,2,'INFORME O CURSO SUPERIOR JÁ INICIADO'),(15,31,35,1,'ACREDITA QUE ORIENTAÇÃO VOCACIONAL AUXILIARIA NA ESCOLHA DE SUA OPÇÃO'),(15,32,36,1,'DOS ITENS ABAIXO, ASSINALE SUA PREFERÊNCIA'),(15,33,37,2,'INDIQUE SEU ESPORTE PREDILETO'),(15,34,39,1,'MOTIVO PRINCIPAL QUE O LEVOU A OPTAR PELO VESTIBULAR DA UFSC'),(16,1,1,1,'ESTADO CIVIL'),(16,2,2,2,'UNIDADE DA FEDERAÇÃO EM QUE VOCÊ RESIDE'),(16,3,4,2,'UNIDADE DA FEDERAÇÃO EM QUE VOCÊ CONCLUIU O ENSINO FUNDAMENTAL'),(16,4,6,1,'TIPO DE ESTABELECIMENTO ONDE VOCÊ CURSOU O ENSINO FUNDAMENTAL'),(16,5,7,2,'UNIDADE DA FEDERAÇÃO EM QUE VOCÊ CONCLUIU OU CONCLUIRÁ O ENSINO MÉDIO'),(16,6,9,1,'TIPO DE CURSO DE ENSINO MÉDIO QUE VOCÊ CONCLUIU OU CONCLUIRÁ'),(16,7,10,1,'TIPO DE ESTABELECIMENTO ONDE VOCÊ CURSOU O ENSINO MÉDIO'),(16,8,11,1,'TURNO EM QUE VOCÊ CURSOU O ENSINO MÉDIO'),(16,9,12,1,'MARQUE A PRINCIPAL FONTE DE INFORMAÇÃO PELA QUAL VOCÊ TOMOU CONHECIMENTO DO CONCURSO VESTIBULAR DA UFSC'),(16,10,13,1,'FREQÜENTOU OU FREQÜENTA CURSO PRÉ-VESTIBULAR'),(16,11,14,1,'PRINCIPAL MOTIVO QUE O LEVOU A NÃO CURSAR PRÉ-VESTIBULAR'),(16,12,15,1,'NÚMERO DE VEZES QUE VOCÊ PRESTOU VESTIBULAR PARA A UFSC'),(16,13,16,1,'PRINCIPAL MOTIVO PARA ESCOLHA DE SUA 1ª OPÇÃO'),(16,14,17,1,'ASSINALE O QUE VOCÊ ESPERA OBTER NUM CURSO SUPERIOR'),(16,15,18,1,'CONHECE AS ATIVIDADES QUE DEVERÁ DESENVOLVER NA PROFISSÃO ESCOLHIDA EM 1ª OPÇÃO'),(16,16,19,1,'INCLUINDO SOMENTE OS QUE MORAM NA SUA CASA, INCLUSIVE VOCÊ, ASSINALE O NÚMERO DE PESSOAS QUE COMPÕE A SUA FAMÍLIA'),(16,17,20,1,'SOME OS SAL. BRUTOS, SEM DEDUÇÕES, DAS PESSOAS DE SEU GRUPO FAM. QUE TRABALHAM, INCLUSIVE O SEU, INDIQUE A RENDA BRUTA'),(16,18,21,1,'NÍVEL DE INSTRUÇÃO DE SEU PAI'),(16,19,22,1,'NÍVEL DE INSTRUÇÃO DE SUA MÃE'),(16,20,23,1,'INDIQUE O PRINCIPAL RESPONSÁVEL PELO SUSTENTO DA SUA FAMÍLIA'),(16,21,24,1,'PRINCIPAL OCUPAÇÃO DO RESPONSÁVEL PELO SUSTENTO DA SUA FAMÍLIA'),(16,22,25,1,'IDADE COM QUE COMEÇOU A EXERCER A ATIVIDADE REMUNERADA'),(16,23,26,1,'SUA OCUPAÇÃO'),(16,24,27,1,'MARQUE O PRINCIPAL MEIO DE COMUNICAÇÃO QUE VOCÊ UTILIZA PARA SE MANTER INFORMADO SOBRE OS ACONTECIMENTO ATUAIS'),(16,25,28,1,'POSSUI COMPUTADOR EM SUA RESIDÊNCIA'),(16,26,29,1,'USA COMPUTADOR'),(16,27,30,1,'MEIO DE TRANSPORTE QUE VOCÊ MAIS UTILIZA'),(16,28,31,1,'INICIOU ALGUM CURSO SUPERIOR'),(16,29,32,1,'INSTITUIÇÃO NA QUAL INICIOU ALGUM CURSO SUPERIOR'),(16,30,33,2,'INFORME O CURSO SUPERIOR JÁ INICIADO'),(16,31,35,1,'ACREDITA QUE ORIENTAÇÃO VOCACIONAL AUXILIARIA NA ESCOLHA DE SUA OPÇÃO'),(16,32,36,1,'DOS ITENS ABAIXO, ASSINALE SUA PREFERÊNCIA'),(16,33,37,2,'INDIQUE SEU ESPORTE PREDILETO'),(16,34,39,1,'MOTIVO PRINCIPAL QUE O LEVOU A OPTAR PELO VESTIBULAR DA UFSC'),(20,1,1,1,'ESTADO CIVIL'),(20,2,2,2,'UNIDADE DA FEDERAÇÃO EM QUE VOCÊ RESIDE'),(20,3,4,2,'UNIDADE DA FEDERAÇÃO EM QUE VOCÊ CONCLUIU O ENSINO FUNDAMENTAL'),(20,4,6,1,'TIPO DE ESTABELECIMENTO ONDE VOCÊ CURSOU O ENSINO FUNDAMENTAL'),(20,5,7,2,'UNIDADE DA FEDERAÇÃO EM QUE VOCÊ CONCLUIU OU CONCLUIRÁ O ENSINO MÉDIO'),(20,6,9,1,'TIPO DE CURSO DE ENSINO MÉDIO QUE VOCÊ CONCLUIU OU CONCLUIRÁ'),(20,7,10,1,'TIPO DE ESTABELECIMENTO ONDE VOCÊ CURSOU O ENSINO MÉDIO'),(20,8,11,1,'TURNO EM QUE VOCÊ CURSOU O ENSINO MÉDIO'),(20,9,12,1,'MARQUE A PRINCIPAL FONTE DE INFORMAÇÃO PELA QUAL VOCÊ TOMOU CONHECIMENTO DO CONCURSO VESTIBULAR DA UFSC'),(20,10,13,1,'FREQÜENTOU OU FREQÜENTA CURSO PRÉ-VESTIBULAR'),(20,11,14,1,'PRINCIPAL MOTIVO QUE O LEVOU A NÃO CURSAR PRÉ-VESTIBULAR'),(20,12,15,1,'NÚMERO DE VEZES QUE VOCÊ PRESTOU VESTIBULAR PARA A UFSC'),(20,13,16,1,'PRINCIPAL MOTIVO PARA ESCOLHA DE SUA 1ª OPÇÃO'),(20,14,17,1,'ASSINALE O QUE VOCÊ ESPERA OBTER NUM CURSO SUPERIOR'),(20,15,18,1,'CONHECE AS ATIVIDADES QUE DEVERÁ DESENVOLVER NA PROFISSÃO ESCOLHIDA EM 1ª OPÇÃO'),(20,16,19,1,'INCLUINDO SOMENTE OS QUE MORAM NA SUA CASA, INCLUSIVE VOCÊ, INFORME O NÚMERO DE PESSOAS QUE COMPÕEM A SUA FAMÍLIA'),(20,17,20,1,'SOME OS SAL. BRUTOS, SEM DEDUÇÕES, DAS PESSOAS DE SEU GRUPO FAM. QUE TRABALHAM, INCLUSIVE O SEU, INDIQUE A RENDA BRUTA'),(20,18,21,1,'NÍVEL DE INSTRUÇÃO DE SEU PAI'),(20,19,22,1,'NÍVEL DE INSTRUÇÃO DE SUA MÃE'),(20,20,23,1,'INDIQUE O PRINCIPAL RESPONSÁVEL PELO SUSTENTO DA SUA FAMÍLIA'),(20,21,24,1,'PRINCIPAL OCUPAÇÃO DO RESPONSÁVEL PELO SUSTENTO DA SUA FAMÍLIA'),(20,22,25,1,'IDADE COM QUE COMEÇOU A EXERCER A ATIVIDADE REMUNERADA'),(20,23,26,1,'SUA OCUPAÇÃO'),(20,24,27,1,'MARQUE O PRINCIPAL MEIO DE COMUNICAÇÃO QUE VOCÊ UTILIZA PARA SE MANTER INFORMADO SOBRE OS ACONTECIMENTO ATUAIS'),(20,25,28,1,'POSSUI COMPUTADOR EM SUA RESIDÊNCIA'),(20,26,29,1,'USA COMPUTADOR'),(20,27,30,1,'MEIO DE TRANSPORTE QUE VOCÊ MAIS UTILIZA'),(20,28,31,1,'INICIOU ALGUM CURSO SUPERIOR'),(20,29,32,1,'INSTITUIÇÃO NA QUAL INICIOU ALGUM CURSO SUPERIOR'),(20,30,33,2,'INFORME O CURSO SUPERIOR JÁ INICIADO'),(20,31,35,1,'ACREDITA QUE ORIENTAÇÃO VOCACIONAL AUXILIARIA NA ESCOLHA DE SUA OPÇÃO'),(20,32,36,1,'DOS ITENS ABAIXO, ASSINALE SUA PREFERÊNCIA'),(20,33,37,2,'INDIQUE SEU ESPORTE PREDILETO'),(20,34,39,1,'MOTIVO PRINCIPAL QUE O LEVOU A OPTAR PELO VESTIBULAR DA UFSC'),(25,1,1,1,'ESTADO CIVIL'),(25,2,2,2,'UNIDADE DA FEDERAÇÃO EM QUE VOCÊ RESIDE'),(25,3,4,2,'UNIDADE DA FEDERAÇÃO EM QUE VOCÊ CONCLUIU O ENSINO FUNDAMENTAL'),(25,4,6,1,'TIPO DE ESTABELECIMENTO ONDE VOCÊ CURSOU O ENSINO FUNDAMENTAL'),(25,5,7,2,'UNIDADE DA FEDERAÇÃO EM QUE VOCÊ CONCLUIU OU CONCLUIRÁ O ENSINO MÉDIO'),(25,6,9,1,'TIPO DE CURSO DE ENSINO MÉDIO QUE VOCÊ CONCLUIU OU CONCLUIRÁ'),(25,7,10,1,'TIPO DE ESTABELECIMENTO ONDE VOCÊ CURSOU O ENSINO MÉDIO'),(25,8,11,1,'TURNO EM QUE VOCÊ CURSOU O ENSINO MÉDIO'),(25,9,12,1,'MARQUE A PRINCIPAL FONTE DE INFORMAÇÃO PELA QUAL VOCÊ TOMOU CONHECIMENTO DO CONCURSO VESTIBULAR DA UFSC'),(25,10,13,1,'FREQÜENTOU OU FREQÜENTA CURSO PRÉ-VESTIBULAR'),(25,11,14,1,'PRINCIPAL MOTIVO QUE O LEVOU A NÃO CURSAR PRÉ-VESTIBULAR'),(25,12,15,1,'NÚMERO DE VEZES QUE VOCÊ PRESTOU VESTIBULAR PARA A UFSC'),(25,13,16,1,'PRINCIPAL MOTIVO PARA ESCOLHA DE SUA 1ª OPÇÃO'),(25,14,17,1,'ASSINALE O QUE VOCÊ ESPERA OBTER NUM CURSO SUPERIOR'),(25,15,18,1,'CONHECE AS ATIVIDADES QUE DEVERÁ DESENVOLVER NA PROFISSÃO ESCOLHIDA EM 1ª OPÇÃO'),(25,16,19,1,'INCLUINDO SOMENTE OS QUE MORAM NA SUA CASA, INCLUSIVE VOCÊ, INFORME O NÚMERO DE PESSOAS QUE COMPÕEM A SUA FAMÍLIA'),(25,17,20,1,'SOME OS SAL. BRUTOS, SEM DEDUÇÕES, DAS PESSOAS DE SEU GRUPO FAM. QUE TRABALHAM, INCLUSIVE O SEU, INDIQUE A RENDA BRUTA'),(25,18,21,1,'NÍVEL DE INSTRUÇÃO DE SEU PAI'),(25,19,22,1,'NÍVEL DE INSTRUÇÃO DE SUA MÃE'),(25,20,23,1,'INDIQUE O PRINCIPAL RESPONSÁVEL PELO SUSTENTO DA SUA FAMÍLIA'),(25,21,24,1,'PRINCIPAL OCUPAÇÃO DO RESPONSÁVEL PELO SUSTENTO DA SUA FAMÍLIA'),(25,22,25,1,'IDADE COM QUE COMEÇOU A EXERCER A ATIVIDADE REMUNERADA'),(25,23,26,1,'SUA OCUPAÇÃO'),(25,24,27,1,'MARQUE O PRINCIPAL MEIO DE COMUNICAÇÃO QUE VOCÊ UTILIZA PARA SE MANTER INFORMADO SOBRE OS ACONTECIMENTO ATUAIS'),(25,25,28,1,'POSSUI COMPUTADOR EM SUA RESIDÊNCIA'),(25,26,29,1,'USA COMPUTADOR'),(25,27,30,1,'MEIO DE TRANSPORTE QUE VOCÊ MAIS UTILIZA'),(25,28,31,1,'INICIOU ALGUM CURSO SUPERIOR'),(25,29,32,1,'INSTITUIÇÃO NA QUAL INICIOU ALGUM CURSO SUPERIOR'),(25,30,33,2,'INFORME O CURSO SUPERIOR JÁ INICIADO'),(25,31,35,1,'ACREDITA QUE ORIENTAÇÃO VOCACIONAL AUXILIARIA NA ESCOLHA DE SUA OPÇÃO'),(25,32,36,1,'DOS ITENS ABAIXO, ASSINALE SUA PREFERÊNCIA'),(25,33,37,2,'INDIQUE SEU ESPORTE PREDILETO'),(25,34,39,1,'MOTIVO PRINCIPAL QUE O LEVOU A OPTAR PELO VESTIBULAR DA UFSC'),(28,1,1,1,'ESTADO CIVIL'),(28,2,2,2,'UNIDADE DA FEDERAÇÃO EM QUE VOCÊ RESIDE'),(28,3,4,2,'UNIDADE DA FEDERAÇÃO EM QUE VOCÊ CONCLUIU O ENSINO FUNDAMENTAL'),(28,4,6,1,'TIPO DE ESTABELECIMENTO ONDE VOCÊ CURSOU O ENSINO FUNDAMENTAL'),(28,5,7,2,'UNIDADE DA FEDERAÇÃO EM QUE VOCÊ CONCLUIU OU CONCLUIRÁ O ENSINO MÉDIO'),(28,6,9,1,'TIPO DE CURSO DE ENSINO MÉDIO QUE VOCÊ CONCLUIU OU CONCLUIRÁ'),(28,7,10,1,'TIPO DE ESTABELECIMENTO ONDE VOCÊ CURSOU O ENSINO MÉDIO'),(28,8,11,1,'TURNO EM QUE VOCÊ CURSOU O ENSINO MÉDIO'),(28,9,12,1,'MARQUE A PRINCIPAL FONTE DE INFORMAÇÃO PELA QUAL VOCÊ TOMOU CONHECIMENTO DO CONCURSO VESTIBULAR DA UFSC'),(28,10,13,1,'FREQÜENTOU OU FREQÜENTA CURSO PRÉ-VESTIBULAR'),(28,11,14,1,'PRINCIPAL MOTIVO QUE O LEVOU A NÃO CURSAR PRÉ-VESTIBULAR'),(28,12,15,1,'NÚMERO DE VEZES QUE VOCÊ PRESTOU VESTIBULAR PARA A UFSC'),(28,13,16,1,'PRINCIPAL MOTIVO PARA ESCOLHA DE SUA 1ª OPÇÃO'),(28,14,17,1,'ASSINALE O QUE VOCÊ ESPERA OBTER NUM CURSO SUPERIOR'),(28,15,18,1,'CONHECE AS ATIVIDADES QUE DEVERÁ DESENVOLVER NA PROFISSÃO ESCOLHIDA EM 1ª OPÇÃO'),(28,16,19,1,'INCLUINDO SOMENTE OS QUE MORAM NA SUA CASA, INCLUSIVE VOCÊ, INFORME O NÚMERO DE PESSOAS QUE COMPÕEM A SUA FAMÍLIA'),(28,17,20,1,'SOME OS SAL. BRUTOS, SEM DEDUÇÕES, DAS PESSOAS DE SEU GRUPO FAM. QUE TRABALHAM, INCLUSIVE O SEU, INDIQUE A RENDA BRUTA'),(28,18,21,1,'NÍVEL DE INSTRUÇÃO DE SEU PAI'),(28,19,22,1,'NÍVEL DE INSTRUÇÃO DE SUA MÃE'),(28,20,23,1,'INDIQUE O PRINCIPAL RESPONSÁVEL PELO SUSTENTO DA SUA FAMÍLIA'),(28,21,24,1,'PRINCIPAL OCUPAÇÃO DO RESPONSÁVEL PELO SUSTENTO DA SUA FAMÍLIA'),(28,22,25,1,'IDADE COM QUE COMEÇOU A EXERCER A ATIVIDADE REMUNERADA'),(28,23,26,1,'SUA OCUPAÇÃO'),(28,24,27,1,'MARQUE O PRINCIPAL MEIO DE COMUNICAÇÃO QUE VOCÊ UTILIZA PARA SE MANTER INFORMADO SOBRE OS ACONTECIMENTO ATUAIS'),(28,25,28,1,'POSSUI COMPUTADOR EM SUA RESIDÊNCIA'),(28,26,29,1,'USA COMPUTADOR'),(28,27,30,1,'MEIO DE TRANSPORTE QUE VOCÊ MAIS UTILIZA'),(28,28,31,1,'INICIOU ALGUM CURSO SUPERIOR'),(28,29,32,1,'INSTITUIÇÃO NA QUAL INICIOU ALGUM CURSO SUPERIOR'),(28,30,33,2,'INFORME O CURSO SUPERIOR JÁ INICIADO'),(28,31,35,1,'ACREDITA QUE ORIENTAÇÃO VOCACIONAL AUXILIARIA NA ESCOLHA DE SUA OPÇÃO'),(28,32,36,1,'DOS ITENS ABAIXO, ASSINALE SUA PREFERÊNCIA'),(28,33,37,2,'INDIQUE SEU ESPORTE PREDILETO'),(28,34,39,1,'MOTIVO PRINCIPAL QUE O LEVOU A OPTAR PELO VESTIBULAR DA UFSC');
/*!40000 ALTER TABLE grade_socioeconomico ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `candidato`
--

DROP TABLE IF EXISTS candidato;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE candidato (
  id_evento smallint(6) NOT NULL,
  id_candidato decimal(7,0) NOT NULL,
  data_nascimento datetime DEFAULT NULL,
  id_lingua tinyint(4) DEFAULT NULL,
  id_local smallint(6) DEFAULT NULL,
  mes_segundo_grau tinyint(4) DEFAULT NULL,
  ano_segundo_grau smallint(6) DEFAULT NULL,
  sexo char(1) DEFAULT NULL,
  por_experiencia char(1) DEFAULT NULL,
  bairro varchar(20) DEFAULT NULL,
  cidade varchar(40) DEFAULT NULL,
  unidade_federativa char(2) DEFAULT NULL,
  grade_socioeconomico varchar(44) DEFAULT NULL,
  classificacao_geral decimal(6,0) DEFAULT NULL,
  estabelecimento_2grau char(4) DEFAULT NULL,
  acertos_total decimal(5,2) DEFAULT NULL,
  raca tinyint(4) DEFAULT NULL,
  id_categoria tinyint(4) DEFAULT NULL,
  ensino_publico smallint(6) DEFAULT NULL,
  PRIMARY KEY (id_evento,id_candidato),
  KEY fk_candidato_lingua (id_evento,id_lingua),
  KEY fk_candidato_local (id_evento,id_local),
  KEY fk_candidato_sexo (sexo),
  KEY fk_candidato_unidade_federativa (unidade_federativa),
  KEY fk_candidato_estabelecimento_ensino (id_evento,estabelecimento_2grau),
  KEY fk_candidato_raca (raca),
  KEY fk_candidato_categoria (id_evento,id_categoria),
  CONSTRAINT fk_candidato_evento FOREIGN KEY (id_evento) REFERENCES `evento` (id_evento),
  CONSTRAINT fk_candidato_lingua FOREIGN KEY (id_evento, id_lingua) REFERENCES lingua_estrangeira (id_evento, id_lingua),
  CONSTRAINT fk_candidato_local FOREIGN KEY (id_evento, id_local) REFERENCES local (id_evento, id_local),
  CONSTRAINT fk_candidato_sexo FOREIGN KEY (sexo) REFERENCES sexo (id_sexo),
  CONSTRAINT fk_candidato_unidade_federativa FOREIGN KEY (unidade_federativa) REFERENCES unidade_federativa (id_unidade_federativa),
  CONSTRAINT fk_candidato_estabelecimento_ensino FOREIGN KEY (id_evento, estabelecimento_2grau) REFERENCES estabelecimento_ensino (id_evento, id_estabelecimento_ensino),
  CONSTRAINT fk_candidato_raca FOREIGN KEY (raca) REFERENCES raca (id_raca),
  CONSTRAINT fk_candidato_categoria FOREIGN KEY (id_evento, id_categoria) REFERENCES categoria (id_evento, id_categoria)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `candidato`
--

LOCK TABLES candidato WRITE;
/*!40000 ALTER TABLE candidato DISABLE KEYS */;
INSERT INTO candidato VALUES (15,2000016,'1983-12-21 00:00:00',4,8,12,1999,'F','N','VILA NOVA','JARAGUA DO SUL','SC','124241241116132721446332345132323012097',14380,'430',45.60,1,2,1),(15,2000024,'1985-11-08 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241115134411648833292124222266142',9057,'267',53.56,1,2,1),(15,2000032,'1985-09-05 00:00:00',4,1,11,2005,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124161167127131442123313285324610164057',NULL,'9999',11.47,1,2,1),(15,2000059,'1983-08-15 00:00:00',4,1,12,2002,'M','N','INGLESES','FLORIANOPOLIS','SC','124241248116371441423329475314132224171',NULL,'194',18.32,1,2,1),(15,2000067,'1986-04-25 00:00:00',4,1,12,2003,'F','N','JARDIM SANTA CLARA','SUMARE','SP','125251251126571431334317245124610124142',14694,'9998',45.15,1,2,1),(15,2000075,'1987-03-24 00:00:00',4,5,12,2003,'M','N','CENTRO','JACINTO MACHADO','SC','124241241121131441433814335122130662192',12560,'420',48.20,1,2,1),(15,2000083,'1984-05-21 00:00:00',2,1,12,2002,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','624241241122144441235373245115610122142',13445,'772',46.95,1,2,1),(15,2000091,'1985-11-21 00:00:00',2,1,12,2003,'F','N','PASSA VINTE','PALHOCA','SC','124241241126371431523614245134610131042',11455,'591',49.76,1,2,1),(15,2000105,'1988-12-15 00:00:00',4,7,12,2007,'F','N','ALVORADA','VIDEIRA','SC','124241241126131431448823335125610128043',NULL,'830',23.23,1,2,1),(15,2000113,'1979-08-19 00:00:00',4,1,8,1998,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124241246146273431663344445134323265093',2085,'306',69.01,1,2,1),(15,2000121,'1969-08-31 00:00:00',4,1,12,1989,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','624241241142473431263354472114122866197',8182,'293',55.03,1,2,1),(15,2000130,'1989-12-12 00:00:00',2,1,12,2006,'F','N','VILA CARRÃO','SAO PAULO','SP','125251251136132411323524581124610167077',10190,'9998',51.65,1,2,1),(15,2000164,'1975-07-22 00:00:00',4,1,12,1992,'M','N','INGLESES','FLORIANOPOLIS','SC','224201201116142751467643432122343267097',2753,'9998',66.86,1,2,1),(15,2000172,'1990-05-22 00:00:00',2,1,12,2007,'F','N','CENTRO','CRISSIUMAL','RS','120201201146161411437919285121610134092',17129,'9998',41.67,1,2,1),(15,2000180,'1990-03-22 00:00:00',2,1,12,2007,'M','N','ARIRIÚ','PALHOCA','SC','124241241132131431536311215124610117047',12497,'593',48.30,1,2,1),(15,2000199,'1989-06-27 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241111271431557611376124133222097',16821,'287',42.13,1,2,1),(15,2000202,'1979-06-15 00:00:00',4,6,12,1996,'F','N','NAÇÕES','BALNEARIO CAMBORIU','SC','124241241132132431336823574214132262197',9144,'49',53.36,1,2,1),(15,2000210,'1983-03-28 00:00:00',2,1,12,2001,'M','N','CARIANOS','FLORIANOPOLIS','SC','124211087136471421144643335124610147091',2858,'9999',66.57,4,2,1),(15,2000229,'1978-11-09 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241127132431123344192134610134147',NULL,'307',23.25,1,2,1),(15,2000245,'1990-10-25 00:00:00',2,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241137471131443312576124610131057',20383,'307',36.09,1,2,1),(15,2000253,'1990-08-14 00:00:00',2,1,12,2007,'F','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124241241115171431536724572124610161092',17790,'288',40.69,1,2,1),(15,2000261,'1982-03-21 00:00:00',4,10,12,2000,'M','N','SANTO ANTONIO','TUBARAO','SC','224241246146132441228644245125132354171',19251,'808',38.26,1,2,1),(15,2000270,'1990-06-17 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241126131331233344241124610123057',NULL,'293',5.33,1,2,1),(15,2000288,'1987-12-18 00:00:00',2,1,12,2005,'M','N','PAGARÁ','SANTO AMARO DA IMPERATRIZ','SC','124241241127131431641317142333130242017',NULL,'772',34.14,1,2,1),(15,2000296,'1988-02-25 00:00:00',5,8,12,2005,'F','N','FLORESTA','JOINVILLE','SC','124241241116371431536313445124610133012',19841,'466',37.13,1,2,1),(15,2000300,'1990-08-10 00:00:00',4,3,12,2007,'F','N','CERRO NEGRO','ITUPORANGA','SC','124241241115161431336332572122610118142',NULL,'888',0.00,1,2,1),(15,2000318,'1989-11-15 00:00:00',4,9,12,2006,'F','N','CENTRO','BENTO GONCALVES','RS','120202201217471431578932571125610164192',2517,'9998',67.58,1,3,NULL),(15,2000326,'1989-07-20 00:00:00',4,1,12,2007,'M','N','VILA FORMOSA','ALFENAS','MG','113132131216111431547814575122610127047',9717,'9998',52.40,1,3,NULL),(15,2000334,'1981-03-13 00:00:00',4,1,12,1998,'F','N','CAMPINAS','SAO JOSE','SC','124241241415375421365612574122321527182',810,'446',74.68,1,3,NULL),(15,2000342,'1987-02-07 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241216574431436729575115610167141',NULL,'269',0.00,1,3,NULL),(15,2000350,'1973-04-09 00:00:00',5,1,12,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241247125472751234313491124330218182',16476,'9999',42.62,2,1,1),(15,2000369,'1990-04-09 00:00:00',4,1,11,2007,'F','N','JOÃO RIBEIRO','ARAXA','MG','113132131217121431458611342112610123147',2581,'9998',67.37,1,3,NULL),(15,2000385,'1988-04-22 00:00:00',4,1,10,2005,'F','N','MIRANDÓPOLIS','SAO PAULO','SP','125252251437471751438614341134610125053',3570,'9998',64.55,1,3,NULL),(15,2000393,'1986-12-29 00:00:00',4,5,11,2004,'M','N','SANTA BÁRBARA','CRICIUMA','SC','124242241216132431565531575112121467042',279,'213',79.01,1,3,NULL),(15,2000407,'1989-01-27 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','124244241215131431526514582124130732017',16445,'937',42.67,1,3,NULL),(15,2000415,'1988-06-05 00:00:00',4,1,12,2006,'F','N','JARDIM AMÉRICA','DOURADOS','MS','112122121216422431548816575122610168197',21447,'9998',33.84,1,3,NULL),(15,2000431,'1978-08-21 00:00:00',2,4,12,1998,'F','N','JARDIM AMÉRICA','CHAPECO','SC','624201204117241421243651235124610113187',NULL,'9998',21.47,1,3,NULL),(15,2000440,'1988-01-14 00:00:00',2,4,12,2005,'M','N','LA SALLE','XANXERE','SC','124242241216471431453636365122133124042',NULL,'836',0.00,1,3,NULL),(15,2000458,'1984-02-17 00:00:00',4,5,7,2003,'F','N','FIGUEIRA','JACINTO MACHADO','SC','124243243426311411646419385122130226142',NULL,'227',0.00,1,3,NULL),(15,2000482,'1987-03-17 00:00:00',4,1,12,2003,'M','N','BELA VISTA I','SAO JOSE','SC','124242241214343421646611442114130711057',14869,'269',44.94,4,3,NULL),(15,2000512,'1988-06-21 00:00:00',2,9,12,2005,'M','N','CENTRO','AGROLANDIA','SC','124241242114371431544923392124610127047',21538,'662',33.66,1,2,1),(15,2000520,'1987-08-12 00:00:00',2,1,12,2007,'F','N','ARIRIÚ','PALHOCA','SC','124241241127131421434623442334610157147',22202,'593',31.48,1,2,1),(15,2000539,'1965-11-07 00:00:00',4,10,12,1985,'M','N','OFICINAS','TUBARAO','SC','124242244132132431443419482322131116042',9408,'804',52.93,1,3,NULL),(15,2000547,'1989-07-02 00:00:00',4,8,12,2006,'M','N','BOA VISTA','JOINVILLE','SC','124241246215271431558714372121610162093',NULL,'1105',13.21,1,3,NULL),(15,2000563,'1988-07-11 00:00:00',4,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241116573431549933374114610122142',6664,'295',57.79,1,2,1),(15,2000571,'1972-05-30 00:00:00',4,1,7,1992,'M','N','CENTRO','PALHOCA','SC','624241246121135721543343231122422324047',10004,'306',51.92,1,3,NULL),(15,2000580,'1988-03-15 00:00:00',2,9,12,2005,'F','N','SAO CRISTOVAO','LAGES','SC','124243241236373431457821445125610132042',7041,'499',57.08,1,3,NULL),(15,2000598,'1968-10-11 00:00:00',2,1,12,1989,'F','N','ARMAÇAO','FLORIANOPOLIS','SC','224202201116271411356751415122610112181',16148,'9998',43.15,1,3,NULL),(15,2000601,'1989-05-29 00:00:00',4,1,11,2006,'M','N','BELA VISTA','TEIXEIRA DE FREITAS','BA','105052051216151751447931571115143264042',NULL,'9998',0.00,4,3,NULL),(15,2000610,'1988-08-25 00:00:00',2,1,6,2006,'F','N','CAMPINAS','SAO JOSE','SC','124241246212142421236344445124222326147',13926,'995',46.27,1,3,NULL),(15,2000628,'1989-10-05 00:00:00',2,1,12,2006,'M','N','JARDIM AMÉRICA','FRAIBURGO','SC','124244241216473411358513574114610164142',914,'317',73.99,1,3,NULL),(15,2000636,'1988-12-21 00:00:00',4,1,12,2005,'F','N','BOA VISTA','CURITIBA','PR','116162161216571431468912572122610164097',NULL,'9998',0.00,1,3,NULL),(15,2000660,'1988-05-01 00:00:00',4,1,12,2006,'F','N','NSA S DE LOURDES','SANTA MARIA','RS','120161161316271431546734485124610165147',17833,'9998',40.62,1,3,NULL),(15,2000679,'1985-12-24 00:00:00',4,1,12,2003,'M','N','ASSUNÇÃO','SAO BERNARDO DO CAMPO','SP','125251251117571441336412345234610164097',2114,'9998',68.92,1,2,1),(15,2000687,'1969-12-30 00:00:00',4,8,12,1987,'M','N','AVENTUREIRO','JOINVILLE','SC','224241243126371721333343235134132216147',13917,'470',46.29,1,3,NULL),(15,2000695,'1989-03-13 00:00:00',4,4,12,2006,'F','N','JARDIM','SAO JOSE DO CEDRO','SC','124241248146131431523334245325610112077',NULL,'740',23.69,1,2,1),(15,2000709,'1989-04-29 00:00:00',2,1,12,2006,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124241241147132431426877382324132032057',16852,'257',42.08,1,2,1),(15,2000717,'1991-01-21 00:00:00',4,10,11,2007,'F','N','CENTRO','TUBARAO','SC','124242241215121431348614271122610127092',10368,'807',51.39,1,3,NULL),(15,2000725,'1986-01-23 00:00:00',4,1,12,2003,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','224162161216152431259954575122141432182',7194,'9998',56.81,1,3,NULL),(15,2000733,'1975-11-20 00:00:00',4,1,12,1992,'F','N','JD DAS LARANJEIRAS','SAO PAULO','SP','228254251316251431289754275122340236182',2304,'9998',68.23,1,3,NULL),(15,2000741,'1989-02-16 00:00:00',4,1,12,2005,'M','N','NONOAI','PORTO ALEGRE','RS','120202201216571731454412321122610167047',13434,'9998',46.97,1,3,NULL),(15,2000750,'1984-08-11 00:00:00',4,1,12,2002,'M','N','CAMPINAS','SAO JOSE','SC','124242241216232411326644245123130736082',1998,'1011',69.29,1,3,NULL),(15,2000784,'1985-10-05 00:00:00',2,9,12,2003,'F','N','PETROPOLIS','LAGES','SC','124241248135371431533723382124130332147',20578,'502',35.73,1,2,1),(15,2000806,'1988-02-26 00:00:00',4,1,12,2005,'F','N','VILA ADYANA','SAO JOSE DOS CAMPOS','SP','125252251217572431478614571112142642142',3429,'9998',64.92,1,3,NULL),(15,2000814,'1990-08-06 00:00:00',4,3,12,2007,'F','N','MUNICIPIOS','BALNEARIO CAMBORIU','SC','124241241336141431446734345123610124187',NULL,'51',30.23,1,3,NULL),(15,2000822,'1979-08-19 00:00:00',4,6,11,1979,'M','N','CENTRO','RIO NEGRO','PR','116242161217571431588831484112343222082',NULL,'9998',11.40,1,3,NULL),(15,2000830,'1989-03-07 00:00:00',5,5,11,2006,'F','N','OPERARIA NOVA','CRICIUMA','SC','124242241217132431437861395134610124097',9317,'995',53.09,1,3,NULL),(15,2000849,'1990-08-01 00:00:00',4,1,12,2007,'F','N','ATALAIA','ARACAJU','SE','126262261216111431566833575122610162052',NULL,'9998',0.00,2,3,NULL),(15,2000857,'1990-03-09 00:00:00',4,1,12,2007,'F','N','V PINHEIRO','JACAREI','SP','125253251215111531526624575124613233072',14756,'9998',45.06,1,3,NULL),(15,2000865,'1988-06-16 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124243241416473731136623275112610114017',8143,'273',55.11,4,3,NULL),(15,2000873,'1991-09-05 00:00:00',4,10,11,2008,'F','S','OFINAS','TUBARAO','SC','124242241217151431589921472115610133075',NULL,'806',43.73,1,3,NULL),(15,2000903,'1989-06-01 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241114271411436669575124610134095',21094,'298',34.66,1,2,1),(15,2000911,'1982-06-10 00:00:00',2,6,12,1999,'F','N','VILA OPERARIA','ITAJAI','SC','124242245216271721238824244123131826177',NULL,'388',0.00,1,3,NULL),(15,2000920,'1990-07-10 00:00:00',4,9,12,2007,'M','N','CENTRO','BOM RETIRO','SC','124241241237111451433319372125610127147',11395,'1065',49.85,1,3,NULL),(15,2000938,'1990-07-06 00:00:00',4,1,12,2007,'M','N','JARDIM BANDEIRANTES','VERA CRUZ DO OESTE','PR','116161161336271431438718345121610142177',NULL,'9998',24.64,4,1,2),(15,2000946,'1988-04-17 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124201201112133221337618381224241464042',11735,'9998',49.34,1,2,1),(15,2000954,'1982-03-27 00:00:00',2,1,12,1999,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216572221357412345124333227187',1956,'457',69.41,1,3,NULL),(15,2000962,'1985-11-19 00:00:00',4,1,12,2003,'F','N','CAMPINAS','SAO JOSE','SC','124243241311275411325614181324132027097',14977,'515',44.82,1,3,NULL),(15,2000970,'1986-05-22 00:00:00',4,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','124242241213133751466612415124333224147',8527,'738',54.47,1,3,NULL),(15,2000989,'1990-07-10 00:00:00',4,1,12,2007,'F','N','JUVEVE','CURITIBA','PR','116161161331111411469614575124610133177',11164,'9998',50.21,1,3,NULL),(15,2000997,'1990-12-04 00:00:00',2,4,12,2007,'M','N','CENTRO','MARIANO MORO','RS','120201201225111431446632575122610165077',21723,'9998',33.19,1,3,NULL),(15,2001004,'1989-02-23 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241117572431356519294124610144092',794,'271',74.75,1,3,NULL),(15,2001012,'1988-11-29 00:00:00',4,1,12,2006,'F','N','TATUAPE','SAO PAULO','SP','125252251216471431666632575115610124117',NULL,'9998',0.00,1,3,NULL),(15,2001020,'1990-02-26 00:00:00',2,4,12,2007,'F','N','SÃO CRISTOVÃO','CHAPECO','SC','124241241216151431523419575124610127012',18749,'1046',39.08,1,3,NULL),(15,2001039,'1986-09-18 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241112134431354319575124232836072',15289,'307',44.42,1,2,1),(15,2001047,'1963-07-19 00:00:00',2,3,11,1981,'M','N','MEIA PRAIA','ITAPEMA','SC','524242243542161431234444142122333226042',15495,'388',44.14,1,3,NULL),(15,2001055,'1986-10-26 00:00:00',4,1,11,2004,'M','N','PARQUE ALTO TAQUARAL','CAMPINAS','SP','125253251215572431356432441122610121097',4409,'9998',62.46,1,3,NULL),(15,2001063,'1988-09-30 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','116241241216172431238923372321243262112',6578,'1022',57.93,1,3,NULL),(15,2001071,'1977-03-05 00:00:00',4,1,12,1995,'F','N','CENTRO','SAO VICENTE','SP','125251255116271451344844445132340767167',4728,'9998',61.69,1,2,1),(15,2001080,'1990-01-24 00:00:00',2,1,12,2006,'F','N','PICADAS DO SUL','SAO JOSE','SC','124242241216372431436523475124610163032',6713,'270',57.71,1,3,NULL),(15,2001098,'1986-08-23 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241416232211359922275124610114125',17082,'270',41.75,1,3,NULL),(15,2001101,'1988-01-21 00:00:00',2,1,12,2005,'F','N','SANTANA','RIO DO SUL','SC','124243241215313421424714445335610165142',13737,'991',46.55,1,3,NULL),(15,2001110,'1990-10-30 00:00:00',2,4,12,2007,'F','N','CENTRO','ERECHIM','RS','120201201225111431113344341335610144047',15817,'9998',43.65,1,3,NULL),(15,2001144,'1990-07-31 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','116162161216112431469914594124610127147',2861,'9998',66.56,1,3,NULL),(15,2001160,'1989-04-02 00:00:00',4,8,12,2006,'M','N','ACLIMAÇÃO','SAO JOSE DO RIO PRETO','SP','125164251217371441468814575122610127067',1848,'9998',69.79,1,3,NULL),(15,2001179,'1985-01-14 00:00:00',4,1,12,2003,'M','N','GUATÁ','LAURO MULLER','SC','124241241126132441423317445223131966057',21342,'531',34.09,1,3,NULL),(15,2001187,'1985-06-17 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241315153431163314245222221727042',20122,'270',36.58,1,3,NULL),(15,2001209,'1989-02-26 00:00:00',4,3,12,2007,'F','N','CENTRO','CASCAVEL','PR','116162161146121411224723345122610121092',19409,'9998',38.00,1,3,NULL),(15,2001217,'1984-10-09 00:00:00',4,1,12,2002,'F','N','PANTANAL','FLORIANOPOLIS','SC','124072071216271441457641375124143221027',12709,'9998',47.97,1,3,NULL),(15,2001233,'1989-03-08 00:00:00',4,1,5,2006,'F','N','HUGO LANGE','CURITIBA','PR','116282288237161431347714275124143243072',18904,'9998',38.83,1,3,NULL),(15,2001241,'1989-08-16 00:00:00',4,1,5,2007,'F','N','NOVO MUNDO','CURITIBA','PR','116163281415271431546821575124610148127',3628,'9998',64.41,1,3,NULL),(15,2001250,'1990-10-04 00:00:00',2,1,12,2007,'F','N','PRAÇA','TIJUCAS','SC','124241241126131711436923292223610136052',NULL,'971',22.75,1,3,NULL),(15,2001268,'1966-01-19 00:00:00',4,1,3,1988,'F','N','PANTANAL','FLORIANOPOLIS','SC','524012017116132431326476285114142266197',15656,'9998',43.86,4,3,NULL),(15,2001276,'1972-07-19 00:00:00',2,1,7,1997,'F','N','PRADO','BIGUACU','SC','224241241126274421234349495234131068142',16195,'185',43.07,1,3,NULL),(15,2001284,'1988-02-11 00:00:00',2,7,12,2005,'M','N','CENTRO','CAPINZAL','SC','124243241415371431567833574115131468127',16974,'446',41.91,1,3,NULL),(15,2001306,'1989-08-23 00:00:00',2,1,12,2006,'M','N','BARRA DA TIJUCA','RIO DE JANEIRO','RJ','121212211216471231478813575122610167047',NULL,'9998',0.00,1,3,NULL),(15,2001314,'1988-11-11 00:00:00',2,1,6,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124244247417352421426833211134610167041',17536,'270',41.04,1,3,NULL),(15,2001330,'1984-10-31 00:00:00',4,1,12,2002,'M','N','BOIÇUCANGA','SAO SEBASTIAO','SP','125251251147131431224621382221610137047',18717,'9998',39.14,1,3,NULL),(15,2001349,'1984-08-27 00:00:00',2,1,12,2003,'F','N','ARMAÇÃO DO PÂNTANO S','FLORIANOPOLIS','SC','124244241316373451458923335132221827187',6179,'300',58.69,1,3,NULL),(15,2001357,'1986-11-26 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241217274431556619391114610124117',9862,'266',52.16,1,3,NULL),(15,2001381,'1988-01-20 00:00:00',2,1,12,2006,'F','N','SANTOS DUMONT','SAO JOSE','SC','124242241215132711636624572342610164047',21417,'724',33.93,1,3,NULL),(15,2001390,'1989-01-02 00:00:00',4,8,12,2006,'M','N','CENTRO','CAMBE','PR','116162168116471411286631471122610167042',NULL,'9998',0.00,1,3,NULL),(15,2001403,'1986-02-03 00:00:00',4,9,12,2003,'F','N','CORAL','LAGES','SC','124241241136574411269954575112233156155',4427,'192',62.42,1,2,1),(15,2001411,'1976-09-26 00:00:00',4,1,12,1993,'M','N','CENTRO','FLORIANOPOLIS','SC','624201207316151711153444445124440737043',NULL,'9999',0.00,1,3,NULL),(15,2001420,'1988-12-14 00:00:00',2,1,12,2006,'M','N','STEFFEN','BRUSQUE','SC','124243241335151751118743336334610132147',18074,'112',40.19,1,3,NULL),(15,2001438,'1988-11-01 00:00:00',4,1,11,2006,'F','N','VILA ADYANNA','SAO JOSE DOS CAMPOS','SP','125252251215371431466733575122610122147',7620,'9998',55.99,1,3,NULL),(15,2001446,'1989-05-15 00:00:00',2,1,12,2007,'M','N','JD OURO BRANCO','PARANAVAI','PR','116162161215111431388713172122610148093',10982,'9998',50.50,4,3,NULL),(15,2001470,'1985-04-01 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124253251344271421126644345334140242117',8483,'9998',54.53,1,3,NULL),(15,2001489,'1987-03-09 00:00:00',2,3,12,2005,'F','N','BELVEDERE II','FOZ DO IGUACU','PR','116161161216571431444722445122141526097',NULL,'9998',26.00,1,3,NULL),(15,2001497,'1981-12-17 00:00:00',4,5,12,2000,'M','N','CEARA','CRICIUMA','SC','224241244222131431626514445124610114142',NULL,'9997',25.08,2,3,NULL),(15,2001519,'1990-09-13 00:00:00',4,4,12,2007,'M','N','PRESIDENTE MEDICI','CHAPECO','SC','124244241216272431469914575122610127012',7421,'1046',56.37,1,3,NULL),(15,2001527,'1989-04-04 00:00:00',4,1,12,2006,'M','N','JARDIM SANTA CRUZ','AVARE','SP','125252251215412431458713174122610166053',1299,'9998',72.07,1,3,NULL),(15,2001535,'1988-04-20 00:00:00',4,1,12,2005,'M','N','CENTRO','TUBARAO','SC','124244241215573431548814474122610168187',646,'807',75.75,1,3,NULL),(15,2001560,'1989-09-13 00:00:00',4,2,12,2007,'M','N','CENTRO','PRESIDENTE GETULIO','SC','124241241115131431443614342121610162177',NULL,'644',0.00,1,2,1),(15,2001578,'1985-11-06 00:00:00',4,1,7,2004,'M','N','CAMPINAS','SAO JOSE','SC','124241241116144431456913315124610143092',18914,'307',38.82,1,2,1),(15,2001586,'1987-03-19 00:00:00',4,1,11,2004,'F','N','NOVA BRASÍLIA','JARAGUA DO SUL','SC','124242241215514431659611572114610164141',281,'491',78.98,1,3,NULL),(15,2001594,'1989-01-31 00:00:00',2,8,11,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215471431429511571322610136142',10778,'9997',50.77,1,3,NULL),(15,2001608,'1990-02-13 00:00:00',4,1,12,2006,'F','N','CENTRO','CAIBI','SC','124245241515472431436632242124610124127',8422,'126',54.65,1,3,NULL),(15,2001624,'1987-08-01 00:00:00',2,1,12,2004,'F','N','SANTANA','PORTO ALEGRE','RS','120201201116131431538719392124610162147',18112,'9998',40.13,1,2,1),(15,2001632,'1990-09-10 00:00:00',2,3,12,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','124243241216122431368313575122610137057',659,'1038',75.66,1,3,NULL),(15,2001640,'1977-10-19 00:00:00',2,1,12,2006,'M','N','VILA PORTUGUESA','LONDRINA','PR','116161217226132441213414344321610126182',20524,'9999',35.85,2,3,NULL),(15,2001659,'1988-03-09 00:00:00',4,8,7,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124242246217151411127944445124230764015',6212,'230',58.62,1,3,NULL),(15,2001675,'1990-03-03 00:00:00',4,1,12,2007,'F','N','CENTRO','SAO JOSE','SC','124242241215122431579732572112610162011',982,'266',73.63,1,3,NULL),(15,2001683,'1989-04-03 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241215472431128973475112610117147',8114,'820',55.16,1,3,NULL),(15,2001691,'1986-05-21 00:00:00',2,1,12,2004,'F','N','IPIRANGA','SAO JOSE','SC','124241241115132731543319392134610131142',22493,'734',28.88,1,3,NULL),(15,2001713,'1970-12-19 00:00:00',2,1,12,1991,'F','N','COSTA DE DENTRO','FLORIANOPOLIS','SC','524251253426131721225441243324610165097',15953,'9998',43.46,1,3,NULL),(15,2001721,'1987-05-23 00:00:00',4,1,12,2004,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215575331489613575124131267072',17245,'269',41.49,1,3,NULL),(15,2001730,'1988-06-23 00:00:00',2,9,11,2005,'M','N','CENTRO','SAO JOAQUIM','SC','124242241216372441566613374124121166042',8020,'1035',55.34,1,3,NULL),(15,2001756,'1988-09-14 00:00:00',2,1,12,2005,'F','N','SANTO ANTÔNIO','PORTO ALEGRE','RS','120203201116131421336639385124610124047',17340,'9998',41.32,1,3,NULL),(15,2001764,'1987-11-02 00:00:00',4,9,12,2006,'F','N','SÃO JOÃO','BENTO GONCALVES','RS','120201201136151431436732341132610165142',21130,'9998',34.59,1,2,1),(15,2001772,'1983-06-11 00:00:00',2,7,12,2001,'M','N','SANTO ANTÔNIO','FRAIBURGO','SC','124131131136151411554443235335610168097',1006,'9998',73.50,4,2,1),(15,2001780,'1986-04-14 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241248432373431346824395124610147052',21444,'269',33.86,1,3,NULL),(15,2001799,'1989-01-09 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241115471451556923592344610163092',10779,'192',50.77,1,3,NULL),(15,2001802,'1990-06-28 00:00:00',4,10,11,2007,'F','N','CENTRO','LAGUNA','SC','124242241215121431469923572114610132147',3477,'807',64.81,1,3,NULL),(15,2001810,'1971-08-19 00:00:00',4,1,12,1988,'M','N','COQUEIROS','FLORIANOPOLIS','SC','524242251217153411288641315132520766194',NULL,'9998',0.00,1,3,NULL),(15,2001829,'1987-08-05 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217473411568738595124232066197',7926,'1022',55.48,1,3,NULL),(15,2001837,'1988-07-11 00:00:00',2,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124242241112271431366612385114610124185',20445,'732',35.97,1,3,NULL),(15,2001845,'1990-03-09 00:00:00',4,10,11,2007,'F','N','RECIFE','TUBARAO','SC','124242241214131731327524442222610162091',NULL,'809',23.66,1,3,NULL),(15,2001861,'1990-01-26 00:00:00',2,10,12,2007,'F','N','MAGALHÃES','LAGUNA','SC','124244241217131431417727372121610132142',15322,'525',44.37,1,3,NULL),(15,2001888,'1989-03-27 00:00:00',4,1,12,2006,'F','N','FLORESTA','BELO HORIZONTE','MG','113132131212472641647823592114610663072',5865,'9998',59.33,2,3,NULL),(15,2001896,'1987-10-26 00:00:00',2,1,12,2004,'M','N','CENTRO','PORTO ALEGRE','RS','120201201126471441533823592114610136087',9022,'9998',53.61,4,2,1),(15,2001900,'1990-05-14 00:00:00',4,1,12,2007,'M','N','CENTRO','MERCEDES','PR','116161161147271431423935195121610134072',5297,'9998',60.53,1,2,1),(15,2001918,'1985-05-26 00:00:00',2,1,12,2002,'F','N','CAMPINAS','SAO JOSE','SC','124242241216474431426614445124230842052',12045,'737',48.92,1,3,NULL),(15,2001926,'1986-09-11 00:00:00',2,10,12,2004,'F','N','PROGRESSO','LAGUNA','SC','124243241416131441429833575121131526027',20838,'525',35.21,1,3,NULL),(15,2001934,'1989-04-24 00:00:00',4,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241215373431546627275124610167187',1112,'1022',72.97,1,3,NULL),(15,2001942,'1984-08-17 00:00:00',2,1,12,2002,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241412473441543412371122610122112',8230,'1036',54.96,1,3,NULL),(15,2001950,'1990-09-03 00:00:00',4,1,12,2007,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241415121431456829572124610166141',1960,'1022',69.38,1,3,NULL),(15,2001969,'1988-05-03 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241215472431445313345134610123017',12314,'976',48.56,1,3,NULL),(15,2001977,'1989-09-14 00:00:00',4,1,6,2007,'F','N','ENGENHO NOVO','BARUERI','SP','125252281416271431448923575124610127142',8327,'9998',54.82,1,3,NULL),(15,2001985,'1991-03-19 00:00:00',2,1,11,2007,'M','N','CAMINHO NOVO','PALHOCA','SC','124241241222131431543616242124610147142',21691,'262',33.28,1,3,NULL),(15,2002027,'1989-08-08 00:00:00',2,5,12,2006,'F','N','COLONINHA','ARARANGUA','SC','124242241215471431327931571122610164187',2553,'970',67.46,1,3,NULL),(15,2002035,'1990-01-20 00:00:00',4,3,7,2007,'M','N','CENTRO','ITAPEMA','SC','124241241337371411436411245124610114141',20452,'9999',35.96,1,3,NULL),(15,2002043,'1988-12-27 00:00:00',4,2,12,2006,'M','N','CENTRO','GASPAR','SC','124242241216471431469612572124610136047',3248,'909',65.40,1,3,NULL),(15,2002051,'1990-05-04 00:00:00',4,1,11,2007,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241247411131432428729285224610117142',19595,'271',37.62,1,3,NULL),(15,2002060,'1988-12-13 00:00:00',2,1,12,2006,'F','N','CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC','124243241217232431437414345224610126042',9968,'1022',51.98,1,3,NULL),(15,2002086,'1987-09-29 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124092091217573431369811575214610162122',1013,'9998',73.46,1,3,NULL),(15,2002094,'1990-05-21 00:00:00',4,1,11,2007,'M','N','JARDIM AMÉRICA','ITUPORANGA','SC','124242241215131211369934575111610162077',1060,'959',73.19,1,3,NULL),(15,2002108,'1990-06-21 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124243241147131431569629292125610166192',15171,'433',44.57,1,3,NULL),(15,2002116,'1986-02-14 00:00:00',4,1,12,2004,'M','N','CAMPINAS','SAO JOSE','SC','124242241215474431356644345123120937057',5423,'1022',60.22,1,3,NULL),(15,2002124,'1989-06-26 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124252251215472411354512274124610144041',3183,'9998',65.59,1,3,NULL),(15,2002132,'1980-07-21 00:00:00',2,1,9,1998,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241246117374731123443335124123267187',3562,'306',64.57,1,2,1),(15,2002140,'1990-12-31 00:00:00',4,1,11,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241415111731467833571124610164015',19762,'1022',37.30,1,3,NULL),(15,2002159,'1987-09-29 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124092091217573431379811572214230267187',2151,'9998',68.78,1,3,NULL),(15,2002167,'1990-11-13 00:00:00',2,4,12,2007,'F','N','JARDIM AMÉRICA','CHAPECO','SC','124241241116111731433319271124610128147',21249,'177',34.32,2,1,1),(15,2002175,'1985-12-12 00:00:00',4,1,11,2004,'F','N','CENTRO','PALHOCA','SC','124242241111574431539933291124231926092',1713,'989',70.34,1,3,NULL),(15,2002183,'1985-12-13 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215572431257923575122132522147',5431,'270',60.21,1,3,NULL),(15,2002191,'1984-02-08 00:00:00',4,1,12,2001,'F','N','MEDICINA','ITAJUBA','MG','113242241216574431468814575124241765092',9263,'270',53.17,1,3,NULL),(15,2002205,'1979-09-23 00:00:00',4,1,12,1999,'M','N','INGLESES DO RIO VERM','FLORIANOPOLIS','SC','124252251116153431126644345124221162047',14535,'9998',45.36,1,3,NULL),(15,2002213,'1989-10-29 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241112132421223329292334610136147',20177,'307',36.47,1,2,1),(15,2002230,'1990-09-20 00:00:00',2,4,11,2007,'F','N','BORTOLON','XANXERE','SC','124243241415131731546613591122610128077',NULL,'1046',22.77,1,3,NULL),(15,2002264,'1990-08-29 00:00:00',4,4,11,2007,'F','N','CENTRO','CONCORDIA','SC','124242241215121431469813575112610122146',6036,'1047',58.99,1,3,NULL),(15,2002280,'1983-11-09 00:00:00',2,1,12,2004,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241247235471421126543135234130727182',18738,'9999',39.09,2,3,NULL),(15,2002302,'1990-03-20 00:00:00',2,1,11,2007,'M','N','PACHECOS','PALHOCA','SC','124242241315111431456513474224610161091',7778,'1022',55.73,1,3,NULL),(15,2002310,'1987-12-10 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212153411576832585122230214147',987,'266',73.60,1,3,NULL),(15,2002329,'1990-02-19 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215122431487832575112610147122',1783,'226',70.01,1,3,NULL),(15,2002337,'1987-01-11 00:00:00',4,8,12,2005,'M','N','AMERICA','JOINVILLE','SC','124244241136472431339621575324231422012',3877,'492',63.80,4,3,NULL),(15,2002345,'1990-04-15 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241216132331239923382125610164077',22056,'259',32.08,1,3,NULL),(15,2002353,'1988-09-04 00:00:00',3,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215372431468611574124610162072',184,'270',80.13,4,3,NULL),(15,2002361,'1990-04-26 00:00:00',4,1,12,2007,'M','N','JARDIM SÃO BENEDITO','CAMBUI','MG','113133131216121412346634571125610166197',14290,'9998',45.74,1,3,NULL),(15,2002370,'1990-03-27 00:00:00',4,8,12,2007,'F','N','BOM RETIRO','JOINVILLE','SC','124244241215131431526679575224610136182',NULL,'1105',0.00,1,3,NULL),(15,2002388,'1989-05-05 00:00:00',4,1,12,2006,'F','N','VILAS DO ATLANTICO','LAURO DE FREITAS','BA','105052051214271431379831574124610142147',5087,'9998',60.93,4,3,NULL),(15,2002396,'1984-07-07 00:00:00',2,1,11,2001,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124112111217471431328814475114143222147',12657,'9998',48.06,1,3,NULL),(15,2002400,'1988-01-11 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241217375431459633573124231066042',6662,'269',57.79,1,3,NULL),(15,2002434,'1989-03-23 00:00:00',4,1,11,2006,'M','N','JARDIM ESPLANADA','SAO JOSE DOS CAMPOS','SP','125252251216472731668731575122610167042',4032,'9998',63.38,1,3,NULL),(15,2002442,'1960-03-10 00:00:00',2,1,12,1992,'M','N','JARDIM TAMOIO BALSAN','JUNDIAI','SP','125251257126172411322318281344140514047',12587,'9999',48.16,2,3,NULL),(15,2002450,'1990-07-22 00:00:00',2,7,12,2007,'F','N','VILA PEDRINI','JOACABA','SC','124242241215371431444614271112610127077',NULL,'962',34.19,1,3,NULL),(15,2002469,'1990-02-03 00:00:00',4,4,12,2007,'M','N','CENTRO','SAO JOSE DO CEDRO','SC','124243241316131431346912372122610134012',NULL,'740',23.41,1,3,NULL),(15,2002477,'1989-07-10 00:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242247211412531459913572124610112182',14155,'270',45.96,1,3,NULL),(15,2002485,'1990-06-17 00:00:00',4,4,12,2007,'M','N','IMPERIAL','CONCORDIA','SC','124241246237151431648833575122610137042',21563,'1001',33.60,1,3,NULL),(15,2002493,'1988-08-06 00:00:00',4,1,12,2006,'F','N','ABRAAO','FLORIANOPOLIS','SC','124092241211272751436823172124610136182',6616,'269',57.87,4,3,NULL),(15,2002507,'1989-10-30 00:00:00',4,8,12,2007,'M','N','CENTRO','UMUARAMA','PR','116162161217471741466915576122610237113',20839,'9998',35.21,1,3,NULL),(15,2002515,'1989-07-13 00:00:00',2,1,12,2006,'M','N','VILA APARECIDA','BOTUCATU','SP','125252251217472411366812325122610132042',10473,'9998',51.23,1,3,NULL),(15,2002531,'1974-02-12 00:00:00',4,1,12,1994,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124241241146474421453432212124321167052',12012,'307',48.97,1,2,1),(15,2002540,'1990-05-26 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116241161216121431455632571122610114057',7241,'9998',56.71,1,3,NULL),(15,2002558,'1989-05-10 00:00:00',4,1,12,2006,'F','N','SAO CRISTOVAO','SALVADOR','BA','105052051217471711326511382224610162172',14254,'9998',45.79,1,3,NULL),(15,2002566,'1990-09-25 00:00:00',4,7,11,2007,'F','N','VILA ALEMANHA','LUZERNA','SC','124242241115211431446619272124610122192',20082,'962',36.65,1,3,NULL),(15,2002574,'1990-07-07 00:00:00',4,7,12,2007,'F','N','CIDADE ALTA','SALTO VELOSO','SC','124241241126141431636319292125610148077',NULL,'684',23.22,1,3,NULL),(15,2002582,'1989-01-09 00:00:00',4,5,12,2006,'F','N','BORTOLOTTO','NOVA VENEZA','SC','124241241115472431335321392224610123057',5171,'576',60.77,1,2,1),(15,2002590,'1989-09-18 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124244241217372431549613392112131443182',1920,'951',69.53,1,3,NULL),(15,2002604,'1988-01-12 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241235373431544527371124610152015',17305,'1022',41.39,1,3,NULL),(15,2002612,'1990-12-19 00:00:00',4,1,11,2007,'F','N','CENTRO','CASCAVEL','PR','116162161215121431446714341112610162097',4360,'9998',62.56,1,3,NULL),(15,2002620,'1989-07-29 00:00:00',2,1,8,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241116371431547311575124610127072',16308,'739',42.89,1,3,NULL),(15,2002639,'1986-08-16 00:00:00',2,1,7,2007,'F','N','JARDIM SOCIAL','SAO JOSE','SC','124243247216132421435731345124610132072',14975,'9999',44.82,1,3,NULL),(15,2002647,'1989-02-24 00:00:00',2,1,12,2006,'F','N','REAL PARQUE','SAO JOSE','SC','124241241126111411546513345114610142157',NULL,'734',24.20,1,2,1),(15,2002655,'1979-10-26 00:00:00',4,1,12,1996,'M','N','JARDIM CALIFORNIA','FLORIANOPOLIS','SC','124242241216145421549933445134432161093',11400,'269',49.85,1,3,NULL),(15,2002663,'1990-08-03 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211571441478831571122610126031',618,'262',75.92,1,3,NULL),(15,2002671,'1989-09-28 00:00:00',4,8,12,2007,'F','N','CENTRO','RIO NEGRINHO','SC','124242241217471751449913575122610124142',18732,'666',39.10,1,3,NULL),(15,2002680,'1990-05-11 00:00:00',4,1,12,2007,'F','N','HIGIENÓPOLIS','SANTA CRUZ DO SUL','RS','120202201217371431469913431122610167017',21920,'9998',32.55,1,3,NULL),(15,2002698,'1988-07-11 00:00:00',4,1,12,2005,'M','N','EMBARÉ','SANTOS','SP','125252251217571431438872235112610164047',NULL,'9998',0.00,1,3,NULL),(15,2002701,'1989-10-30 00:00:00',2,5,11,2006,'F','N','CENTRO','FORQUILHINHA','SC','124243241415471431463312575114610132142',8164,'226',55.08,1,3,NULL),(15,2002710,'1987-09-04 00:00:00',4,1,12,2005,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124243241216473431336624445124610122147',15094,'1022',44.67,1,3,NULL),(15,2002728,'1976-09-09 00:00:00',4,8,12,1993,'M','N','MORUMBI','LINS','SP','125251251116572411533316475122610167052',13028,'9998',47.55,3,3,NULL),(15,2002736,'1988-11-19 00:00:00',2,1,12,2005,'F','N','BARREIROS','FLORIANOPOLIS','SC','124241241117333431326624285114610162197',5213,'257',60.68,1,2,1),(15,2002744,'1990-12-31 00:00:00',2,9,12,2007,'F','N','CENTRO','RIO DO SUL','SC','124242241217371431457312276122610167142',18190,'663',39.99,1,3,NULL),(15,2002752,'1980-02-05 00:00:00',4,1,12,1999,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243247236133441226663285124121662097',11251,'9999',50.08,1,3,NULL),(15,2002760,'1990-07-26 00:00:00',2,1,11,2007,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124242241215121541348921575124613262162',4618,'1022',61.96,1,3,NULL),(15,2002779,'1990-01-30 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124202241435111411488913572122610147042',15055,'988',44.73,1,3,NULL),(15,2002795,'1990-12-18 00:00:00',4,10,12,2007,'F','N','BAIXADA','PATO BRANCO','PR','116241161116371451228923375122610166147',22004,'9998',32.25,1,2,1),(15,2002809,'1990-03-06 00:00:00',2,5,11,2007,'F','N','PRÓSPERA','CRICIUMA','SC','124241241216112431436724375122610123187',9187,'226',53.29,1,3,NULL),(15,2002817,'1989-03-30 00:00:00',4,1,12,2006,'F','N','JARDIM SANTA FÉ','SAO PAULO','SP','125252251217471431458714572124610164077',13047,'9998',47.52,1,3,NULL),(15,2002825,'1990-08-06 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124212241215371731468733432114610122191',6521,'262',58.03,1,3,NULL),(15,2002833,'1986-06-20 00:00:00',4,9,12,2003,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241216575431537869435122610123147',11113,'499',50.28,1,3,NULL),(15,2002841,'1989-07-01 00:00:00',2,1,12,2006,'F','N','VALPARAISO','SANTO ANDRE','SP','125252251417471711236923271124610133092',20199,'9998',36.42,2,1,2),(15,2002850,'1985-01-24 00:00:00',2,1,12,2005,'M','N','SANTA CLARA','SUMARE','SP','125251257146141411426549191334610167053',10364,'9998',51.41,1,2,1),(15,2002868,'1989-10-30 00:00:00',2,4,11,2006,'M','N','CENTRO','MANGUEIRINHA','PR','116164161217472431448431575124610166183',715,'9998',75.26,1,3,NULL),(15,2002876,'1989-10-16 00:00:00',4,1,11,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124252241215373431348831471124131444092',4684,'262',61.80,1,3,NULL),(15,2002892,'1990-11-26 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241216112431467714575122610166172',2412,'738',67.87,1,3,NULL),(15,2002914,'1990-09-28 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216222431358929575122610137077',630,'262',75.83,1,3,NULL),(15,2002922,'1986-06-17 00:00:00',2,1,12,2003,'F','N','RIO MIGUEL','AGUAS MORNAS','SC','224241241123134441531115141224610166172',8851,'12',53.91,1,2,1),(15,2002930,'1990-08-17 00:00:00',4,6,12,2007,'M','N','VILA OPERÁRIA','ITAJAI','SC','124242241211121431586712395122610164122',17366,'391',41.29,1,3,NULL),(15,2002949,'1985-08-10 00:00:00',4,1,6,2003,'M','N','BARREIROS','SAO JOSE','SC','124281281116471441563319295124241956176',724,'9998',75.20,1,3,NULL),(15,2002965,'1988-03-01 00:00:00',2,1,12,2005,'F','N','BOQUEIRAO','CURITIBA','PR','116161161117371711536632345124140221042',21662,'9998',33.36,1,3,NULL),(15,2002973,'1990-03-07 00:00:00',4,3,11,2007,'M','N','CENTRO','ITAPEMA','SC','124242241215112431454632395122610162142',321,'1038',78.49,1,3,NULL),(15,2002981,'1989-12-01 00:00:00',4,1,12,2006,'M','N','CENTRO','PATO BRANCO','PR','116162161216471431378831385125610144097',2606,'9998',67.30,1,3,NULL),(15,2002990,'1989-08-02 00:00:00',2,1,12,2006,'F','N','FERNANDES','SAO JOAO BATISTA','SC','124251241146132431423316335124231068147',21923,'712',32.53,1,2,1),(15,2003007,'1991-05-22 00:00:00',2,1,12,2007,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241116131421525632271122610118042',19820,'9997',37.18,1,2,1),(15,2003015,'1988-12-10 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215473431276832375122610162187',7004,'270',57.14,1,3,NULL),(15,2003023,'1988-11-23 00:00:00',2,1,12,2006,'M','N','JD CRISTO REI','MARILIA','SP','125252251215412431358852245122610167071',10223,'9998',51.60,1,3,NULL),(15,2003040,'1986-11-11 00:00:00',4,8,12,2004,'F','N','IRIRIÚ','JOINVILLE','SC','124241241147271421455314245134610128017',17656,'470',40.86,1,2,1),(15,2003058,'1984-03-21 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','224241247326131411333344342124610128042',20893,'9999',35.10,1,3,NULL),(15,2003066,'1989-08-27 00:00:00',4,1,12,2006,'M','N','BALNEARIO','FLORIANOPOLIS','SC','124242241217473731446614571124610142087',1895,'266',69.62,1,3,NULL),(15,2003074,'1989-05-06 00:00:00',4,1,12,2006,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241127131731513315156344610113097',NULL,'673',22.76,1,2,1),(15,2003082,'1986-06-08 00:00:00',4,1,12,2003,'F','N','JARDIM EUROPA','BIGUACU','SC','124242241217575731467819572122232467147',828,'270',74.53,1,3,NULL),(15,2003090,'1986-08-20 00:00:00',4,1,12,2003,'F','N','ESTREITO','FLORIANOPOLIS','SC','124201201137371421234344345334610137092',19190,'9998',38.36,1,2,1),(15,2003104,'1989-02-27 00:00:00',4,1,12,2006,'M','N','JARDIM INDEPENDENCIA','RIBEIRAO PRETO','SP','125254251216471431459814575112610132032',6365,'9998',58.33,4,3,NULL),(15,2003112,'1991-03-13 00:00:00',2,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241215151431458923575122610167045',9351,'9997',53.05,1,3,NULL),(15,2003120,'1989-12-26 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215473451477319572114610163147',4400,'272',62.47,1,3,NULL),(15,2003139,'1990-08-19 00:00:00',4,2,12,2007,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111431468831575122610116102',NULL,'855',30.80,1,3,NULL),(15,2003147,'1988-01-06 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431256613575124613223147',13237,'269',47.25,1,3,NULL),(15,2003155,'1989-06-21 00:00:00',4,1,12,2006,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124241241125472431323324282124610164047',277,'524',79.04,1,2,1),(15,2003163,'1988-10-02 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216574451439933574124610124147',131,'270',80.95,1,3,NULL),(15,2003171,'1990-02-26 00:00:00',4,8,11,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124242241217121411579814235122610121192',5933,'1016',59.19,1,3,NULL),(15,2003180,'1989-01-12 00:00:00',4,8,12,2007,'F','N','ILHA DA FIGUEIRA','JARAGUA DO SUL','SC','124252241215371411478811375121610141072',11708,'1061',49.38,1,3,NULL),(15,2003198,'1990-10-12 00:00:00',4,7,11,2007,'M','N','CENTRO','HERVAL D OESTE','SC','124242241217271441345923574122610127052',1633,'454',70.66,1,3,NULL),(15,2003201,'1987-04-11 00:00:00',4,1,8,2005,'M','N','FLORESTA','SAO JOSE','SC','124243241117272431246823375122610164042',7985,'739',55.39,4,3,NULL),(15,2003244,'1990-03-26 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241316132411523339392234610166182',NULL,'288',10.49,4,3,NULL),(15,2003252,'1990-04-11 00:00:00',4,1,11,2006,'F','N','KOBRASOL','SAO JOSE','SC','124242241115273431236624375124222822017',7654,'723',55.94,1,3,NULL),(15,2003260,'1990-08-22 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','624243241215371431323317276125610134147',12968,'967',47.63,1,3,NULL),(15,2003279,'1988-12-09 00:00:00',2,1,12,2007,'F','N','IPIRANGA','SAO JOSE','SC','124241241117131431623634371124610123042',NULL,'734',19.01,4,3,NULL),(15,2003287,'1991-01-24 00:00:00',4,1,12,2008,'M','S','KOBRASOL','SAO JOSE','SC','124242241215111411366913594122610166192',NULL,'737',44.33,1,3,NULL),(15,2003295,'1989-06-20 00:00:00',2,1,11,2006,'F','N','CENTRO','ERECHIM','RS','120204201212472431434611572124610112147',3701,'9998',64.22,1,3,NULL),(15,2003309,'1989-08-04 00:00:00',4,1,12,2006,'M','N','PARQUE SÃO JORGE','FLORIANOPOLIS','SC','124242241215372431589932575114233224185',3237,'951',65.44,1,3,NULL),(15,2003317,'1989-10-19 00:00:00',2,1,12,2007,'F','N','LEME','RIO DE JANEIRO','RJ','121212211216121712479933571112610144042',NULL,'9998',0.00,1,3,NULL),(15,2003325,'1990-09-15 00:00:00',4,9,11,2007,'F','N','COPACABANA','LAGES','SC','124241241216112431348823595122610126052',96,'497',81.63,1,3,NULL),(15,2003341,'1990-12-25 00:00:00',4,6,12,2009,'M','S','CENTRO','BALNEARIO CAMBORIU','SC','124242241216151231455732595125610147042',NULL,'44',0.00,1,3,NULL),(15,2003350,'1989-02-18 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217232432346729472114610112055',4417,'262',62.45,1,3,NULL),(15,2003368,'1966-05-30 00:00:00',4,1,12,1982,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124251251117151411247842425122130265017',15278,'9998',44.44,1,3,NULL),(15,2003376,'1990-04-25 00:00:00',4,2,12,2007,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241117131411343632145124610164072',6739,'69',57.66,1,2,1),(15,2003384,'1990-12-20 00:00:00',2,10,12,2008,'F','S','PARAISO','JAGUARUNA','SC','124244241215111331333539276124610136092',NULL,'807',41.61,1,3,NULL),(15,2003392,'1988-02-12 00:00:00',2,1,7,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242247216473111459613575124610117047',20937,'9999',34.99,1,3,NULL),(15,2003406,'1990-04-20 00:00:00',4,6,12,2007,'M','N','CENTRO','NAVEGANTES','SC','124241241136251431433315575124610168147',NULL,'569',20.89,1,3,NULL),(15,2003414,'1989-08-31 00:00:00',4,1,12,2007,'F','N','ICARAÍ','NITEROI','RJ','121212211217111431448921575112610161192',9321,'9998',53.09,1,3,NULL),(15,2003422,'1989-07-27 00:00:00',4,10,12,2006,'M','N','MAGALHÃES','LAGUNA','SC','124241241217372751569831172115610168017',8188,'9997',55.02,1,3,NULL),(15,2003430,'1990-06-27 00:00:00',4,5,12,2007,'M','N','CENTRO','VARGEM GRANDE DO SUL','SP','125254251217111431368833575112610162182',7110,'9998',56.96,1,3,NULL),(15,2003449,'1989-05-31 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473211368811471145610167017',1918,'270',69.53,1,3,NULL),(15,2003457,'1990-10-31 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111431259813575122610126092',825,'1038',74.54,1,3,NULL),(15,2003465,'1987-05-05 00:00:00',2,1,12,2005,'F','N','PARQUE VERDE','CASCAVEL','PR','116161161136311741323447385122240663097',19870,'9998',37.08,3,3,NULL),(15,2003481,'1988-12-23 00:00:00',4,1,12,2006,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241127131731513315153344610123147',21858,'673',32.77,1,2,1),(15,2003490,'1989-05-04 00:00:00',4,8,12,2006,'F','N','GLÓRIA','JOINVILLE','SC','124242241215371431479954574112610141142',12766,'9997',47.90,1,3,NULL),(15,2003503,'1989-08-02 00:00:00',4,1,12,2007,'F','N','MOLLON','SANTA BARBARA D OESTE','SP','125252251217111431456623131112610162057',13684,'9998',46.64,1,3,NULL),(15,2003511,'1990-01-06 00:00:00',4,8,12,2007,'F','N','CZERNIEWICZ','JARAGUA DO SUL','SC','124242241215371431368619594122610126142',11064,'1061',50.36,1,3,NULL),(15,2003520,'1989-08-28 00:00:00',4,1,12,2005,'F','N','LIBERDADE','SAO PAULO','SP','125122121216471751458936271125610147127',4081,'9998',63.24,1,3,NULL),(15,2003538,'1982-02-02 00:00:00',4,1,12,1999,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241126335421128844445234121737057',11945,'620',49.05,1,2,1),(15,2003546,'1989-08-10 00:00:00',4,1,12,2006,'M','N','PARQUE GABRIELA','OURINHOS','SP','125254251217471431438613575112610122052',10992,'9998',50.49,1,3,NULL),(15,2003554,'1990-10-05 00:00:00',4,1,12,2007,'F','N','RIO GRANDE','PALHOCA','SC','124241248145131431646513342123610124147',19603,'591',37.61,1,2,1),(15,2003562,'1984-03-10 00:00:00',2,1,12,2001,'M','N','PETRÓPOLIS','PORTO ALEGRE','RS','120242241211471721338814442123610128117',6519,'269',58.04,1,3,NULL),(15,2003570,'1989-12-01 00:00:00',4,1,11,2006,'F','N','KOBRASOL','SAO JOSE','SC','124242241212372411337622592114610162142',NULL,'723',0.00,1,3,NULL),(15,2003589,'1989-12-11 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241216121731346629575122610142142',14277,'226',45.76,1,3,NULL),(15,2003597,'1990-04-10 00:00:00',4,1,11,2007,'F','N','MENINO DEUS','PORTO ALEGRE','RS','120202201316111431436513575112610164192',10804,'9998',50.73,1,3,NULL),(15,2003600,'1989-07-30 00:00:00',4,1,12,2006,'F','N','CENTRO','PIRACICABA','SP','125252251217471731359923575122610163157',9671,'9998',52.46,1,3,NULL),(15,2003619,'1990-06-22 00:00:00',4,1,12,2007,'M','N','CENTRO','PRESIDENTE GETULIO','SC','124241241116131431433634215121610127077',17430,'644',41.18,1,2,1),(15,2003627,'1989-10-21 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211472431468613372124610132071',8456,'262',54.59,1,3,NULL),(15,2003635,'1989-06-24 00:00:00',4,5,12,2006,'M','N','MONTE CASTELO','CAMPO GRANDE','MS','112123121216371731233923585124241566097',6700,'9998',57.74,1,3,NULL),(15,2003643,'1989-05-13 00:00:00',4,8,12,2006,'F','N','CENTRO','JARAGUA DO SUL','SC','124243241216213431578714592122130462197',3881,'424',63.79,1,3,NULL),(15,2003651,'1990-05-26 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215372441477712575122610124072',3264,'1051',65.36,1,3,NULL),(15,2003678,'1988-04-16 00:00:00',4,6,12,2005,'M','N','FAZENDA','ITAJAI','SC','124242241217131411668619372112131014052',9937,'389',52.03,1,3,NULL),(15,2003686,'1990-07-06 00:00:00',2,1,11,2007,'F','N','CENTRO','GETULIO VARGAS','RS','120201201217111331345923372122610163147',11507,'9998',49.70,1,3,NULL),(15,2003694,'1990-04-06 00:00:00',4,1,11,2007,'F','N','BRASILIA','SAO BENTO DO SUL','SC','124244241215371751577612345122610134012',NULL,'1073',18.67,1,3,NULL),(15,2003708,'1989-12-08 00:00:00',4,1,12,2007,'F','N','VILA SANTA ISABEL','FRANCA','SP','125252251211111431456823575122610167082',2128,'9998',68.89,1,3,NULL),(15,2003716,'1989-03-16 00:00:00',4,7,12,2006,'F','N','SANTO ANTONIO','HERVAL D OESTE','SC','124241241146371731434319275124610167147',NULL,'341',21.80,1,3,NULL),(15,2003724,'1988-05-03 00:00:00',4,1,12,2006,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241136251411633524482114610158197',NULL,'281',0.00,2,1,1),(15,2003732,'1989-10-08 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215271431467871375122610122182',1597,'262',70.81,1,3,NULL),(15,2003740,'1990-07-17 00:00:00',4,1,12,2007,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241241146151731434623395124610137047',10800,'295',50.74,1,2,1),(15,2003759,'1989-08-09 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215373431489939575124133227145',14991,'270',44.81,1,3,NULL),(15,2003767,'1989-07-05 00:00:00',2,1,6,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242247227371731437833385114610168015',NULL,'9999',32.91,1,3,NULL),(15,2003775,'1989-09-13 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241215472431559811592114610163122',4029,'270',63.38,1,3,NULL),(15,2003783,'1989-03-20 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124242241215473441468813572112610133182',747,'1022',75.06,1,3,NULL),(15,2003805,'1990-10-30 00:00:00',4,1,12,2007,'F','N','GUIOMAR','ANTONIO CARLOS','SC','124241241115131431524611572122610127077',16158,'21',43.13,1,2,1),(15,2003813,'1985-04-29 00:00:00',4,1,12,2002,'M','N','CANDELARIA','NATAL','RN','119192191211131411238921175124121442057',4767,'9998',61.60,3,3,NULL),(15,2003821,'1990-09-20 00:00:00',4,8,12,2007,'F','N','BOA VISTA','JOINVILLE','SC','124244241215111431466614175122610124142',1326,'456',71.98,1,3,NULL),(15,2003830,'1990-04-30 00:00:00',4,2,12,2007,'F','N','VILA NOVA','BLUMENAU','SC','124243241217121431559933575124610124141',NULL,'855',0.00,1,3,NULL),(15,2003848,'1988-10-21 00:00:00',2,9,12,2006,'F','N','FÁTIMA','OTACILIO COSTA','SC','124241241215471431443134345224610125147',18634,'515',39.26,4,3,NULL),(15,2003856,'1989-04-17 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241115472431335533575114610134147',6553,'271',57.97,1,2,1),(15,2003864,'1984-03-12 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124242246315575411438813472115231467182',1239,'306',72.31,1,3,NULL),(15,2003872,'1990-08-17 00:00:00',4,1,12,2007,'M','N','JUVEVÊ','CURITIBA','PR','116162161117371431338722175124610166012',62,'9998',82.59,1,3,NULL),(15,2003899,'1990-03-07 00:00:00',4,5,11,2007,'F','N','PINHEIRINHO','CRICIUMA','SC','124241241215371431456611375124610142192',5013,'920',61.05,1,3,NULL),(15,2003902,'1978-08-16 00:00:00',4,1,12,1996,'F','N','COSTEIRA','FLORIANOPOLIS','SC','224251251227151411226741312224333265017',8227,'9998',54.96,1,3,NULL),(15,2003929,'1989-04-24 00:00:00',4,8,12,2006,'F','N','MARIA LUIZA','CASCAVEL','PR','116162161215472431568632572122610121112',10549,'9998',51.10,1,3,NULL),(15,2003937,'1990-04-02 00:00:00',4,1,12,2007,'M','N','JARDIM CLAUDIA','LONDRINA','PR','116162161216111431476913275112610124052',1215,'9998',72.39,4,3,NULL),(15,2003961,'1989-11-19 00:00:00',4,1,11,2007,'F','N','VARGINHA','ITAJUBA','MG','113132131217121431558811572112610114147',15579,'9998',44.00,1,3,NULL),(15,2003970,'1988-03-05 00:00:00',4,1,12,2005,'F','N','CENTRO','SANTA MARIA','RS','120242241216154431569533575124242422187',807,'270',74.69,1,3,NULL),(15,2003996,'1988-09-01 00:00:00',2,9,12,2005,'F','N','FREI ROGÉRIO','LAGES','SC','124241241216372431423614571124131424092',16298,'519',42.91,1,3,NULL),(15,2004003,'1987-05-09 00:00:00',4,1,12,2005,'M','N','CENTRO','UBERABA','MG','113132246211472431567712575112610127047',10818,'188',50.72,1,3,NULL),(15,2004046,'1988-09-01 00:00:00',4,2,12,2006,'F','N','IMIGRANTES','TIMBO','SC','124241241215272431337823575122133233147',7260,'956',56.67,1,3,NULL),(15,2004054,'1989-05-27 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212474512348833372125610161077',6463,'266',58.14,3,3,NULL),(15,2004062,'1989-09-06 00:00:00',2,1,12,2006,'F','N','BOQUEIRÃO','CURITIBA','PR','116161161217371411438629286314610164117',NULL,'9998',0.00,1,3,NULL),(15,2004070,'1989-01-10 00:00:00',4,1,12,2006,'F','N','CENTRO','LONDRINA','PR','116253251216471411443832171124610145092',18274,'9998',39.83,1,3,NULL),(15,2004089,'1989-02-10 00:00:00',4,1,6,2006,'M','N','CENTRO','PELOTAS','RS','120202201117471431447633572122241437012',2653,'9998',67.16,1,3,NULL),(15,2004097,'1988-08-08 00:00:00',4,3,12,2005,'F','N','BIGORRILHO','CURITIBA','PR','116162161216371751488932472122242562076',NULL,'9998',0.00,1,3,NULL),(15,2004100,'1968-10-22 00:00:00',4,1,12,1985,'M','N','JURERE','FLORIANOPOLIS','SC','524212211216151731289943331132342866147',NULL,'9998',0.00,1,3,NULL),(15,2004119,'1989-08-08 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242248215371731466711575122610141191',10518,'262',51.16,1,3,NULL),(15,2004127,'1989-09-24 00:00:00',4,9,12,2006,'F','N','SAGRADO C DE JESUS','LAGES','SC','124243241216473411449614575122610128147',9298,'499',53.12,1,3,NULL),(15,2004135,'1988-07-19 00:00:00',2,1,11,2007,'M','N','CAMINHO DO PARQUE','VITORIA DA CONQUISTA','BA','105052051217111431479632472122610124183',7537,'9998',56.16,1,3,NULL),(15,2004143,'1989-10-26 00:00:00',2,1,8,2007,'M','N','SOMBRIO','SANTO AMARO DA IMPERATRIZ','SC','124243241111371431456314471124610127052',12185,'739',48.75,1,3,NULL),(15,2004151,'1990-04-30 00:00:00',4,1,11,2007,'M','N','SETOR BUENO','GOIANIA','GO','109092091217111431489923596122610165142',1525,'9998',71.09,1,3,NULL),(15,2004160,'1987-08-25 00:00:00',4,1,12,2004,'M','N','CENTRO','DOLCINOPOLIS','SP','125254251417571411548832572122610134092',2163,'9998',68.72,1,3,NULL),(15,2004178,'1989-02-18 00:00:00',2,1,12,2006,'F','N','JARDIM AMÉRICA','BAURU','SP','125252251216371431566924275122610124072',NULL,'9998',0.00,1,3,NULL),(15,2004186,'1990-01-04 00:00:00',4,1,11,2007,'M','N','SÃO JOÃO','CURITIBA','PR','116162161217471431429924245123610137117',NULL,'9998',0.00,1,3,NULL),(15,2004194,'1990-12-11 00:00:00',4,1,8,2008,'F','S','NOSSA SRA DO ROSÁRIO','SAO JOSE','SC','124241241116142411446632345124610141177',NULL,'739',49.27,4,3,NULL),(15,2004208,'1986-11-17 00:00:00',4,1,12,2005,'M','N','CAMPINAS','SAO JOSE','SC','125241241315573411324611345124610127053',5458,'737',60.15,1,3,NULL),(15,2004216,'1989-11-08 00:00:00',4,1,12,2007,'F','N','JD TARRAF I','SAO JOSE DO RIO PRETO','SP','125252251217111741454632575122610165016',10532,'9998',51.14,1,3,NULL),(15,2004224,'1989-09-04 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124202241332372411559919575114610147122',8953,'307',53.74,1,3,NULL),(15,2004232,'1990-03-20 00:00:00',2,1,12,2007,'M','N','CENTRO','PRESIDENTE GETULIO','SC','624241241415111431536532475121610124142',9233,'9997',53.22,1,3,NULL),(15,2004240,'1989-08-04 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215373431578812572122610127012',7531,'270',56.17,1,3,NULL),(15,2004259,'1989-06-13 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215372431385929595112610167052',14116,'270',46.01,1,3,NULL),(15,2004267,'1990-07-17 00:00:00',4,2,12,2007,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241216121431359813575124610128142',13741,'86',46.55,1,3,NULL),(15,2004283,'1990-07-27 00:00:00',4,4,11,2007,'F','N','CENTRO','PLANALTO ALEGRE','SC','124241241135131431323613341334610148077',17201,'620',41.56,1,2,1),(15,2004291,'1990-06-25 00:00:00',4,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215112431548511575122610144097',9149,'723',53.35,1,3,NULL),(15,2004305,'1988-12-24 00:00:00',4,1,6,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124244247247131431547713345122610122187',NULL,'9999',17.03,1,3,NULL),(15,2004313,'1985-11-27 00:00:00',2,1,12,2003,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241115575431336611484124610162057',2675,'307',67.11,4,2,1),(15,2004330,'1986-01-03 00:00:00',4,4,12,2003,'M','N','JARDIM TAROBÁ','FOZ DO IGUACU','PR','116162161216371431556734212122141424142',11757,'9998',49.32,2,3,NULL),(15,2004348,'1989-11-24 00:00:00',4,1,11,2007,'M','N','JARDIM ANDRADE','LONDRINA','PR','116112161217111431558814175122610162191',852,'9998',74.36,1,3,NULL),(15,2004356,'1989-03-17 00:00:00',4,3,12,2005,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215473431378619572112130434072',7780,'44',55.73,1,3,NULL),(15,2004364,'1988-05-01 00:00:00',4,1,12,2006,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241215472431468613572114610163182',16498,'1022',42.59,1,3,NULL),(15,2004372,'1984-12-20 00:00:00',2,1,12,2002,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241127135451236723575124223222047',7190,'293',56.82,4,2,1),(15,2004380,'1989-05-05 00:00:00',2,1,12,2007,'M','N','LAGO SUL','LAGO SUL','DF','107072071217111411379812475122610131082',12404,'9998',48.43,1,3,NULL),(15,2004399,'1988-08-10 00:00:00',2,5,12,2005,'M','N','CENTRO','CRICIUMA','SC','124241241117271431323313375112610162051',5464,'420',60.13,1,2,1),(15,2004402,'1970-03-21 00:00:00',2,5,12,1987,'F','N','CENTRO','BALNEARIO ARROIO DO SILVA','SC','424201201117131431337619485124342238183',13453,'9998',46.94,1,2,1),(15,2004410,'1989-10-22 00:00:00',4,8,12,2006,'M','N','CENTRO','BIRIGUI','SP','125252251212472431468611575112610134182',7707,'9998',55.85,4,3,NULL),(15,2004437,'1987-07-13 00:00:00',4,9,12,2004,'F','N','CENTRO','LAGES','SC','124242241215573731458811414112131067187',5964,'499',59.14,1,3,NULL),(15,2004445,'1983-12-27 00:00:00',2,1,12,2003,'M','N','CIDADE DAS FLORES','OSASCO','SP','125253251146574411433611575124610165017',6953,'9998',57.25,1,3,NULL),(15,2004453,'1990-03-29 00:00:00',4,2,12,2007,'F','N','FORTALEZA','BLUMENAU','SC','124243241115271431335574375124610132077',NULL,'69',26.87,1,3,NULL),(15,2004461,'1990-04-30 00:00:00',4,6,11,2007,'F','N','COLONINHA','GASPAR','SC','124241241215121731439732572114610131142',6414,'1026',58.22,1,3,NULL),(15,2004470,'1978-08-11 00:00:00',2,1,12,1995,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241247341131431223344241234610126092',NULL,'263',20.73,1,3,NULL),(15,2004488,'1990-11-21 00:00:00',4,10,12,2007,'M','N','CENTRO','GAROPABA','SC','124241241126131431428631575121610127057',17977,'322',40.35,1,3,NULL),(15,2004496,'1989-09-02 00:00:00',2,2,12,2006,'F','N','SÃO FRANCISCO XAVIER','BASTOS','SP','125251251126131731646619295325610166147',NULL,'9998',0.00,4,3,NULL),(15,2004500,'1988-09-05 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216153411368614375122221564185',4191,'266',62.92,1,3,NULL),(15,2004518,'1991-08-27 00:00:00',4,1,12,2008,'M','S','COQUEIROS','FLORIANOPOLIS','SC','124242241216151431478872571122610127142',NULL,'266',79.25,1,3,NULL),(15,2004534,'1990-02-22 00:00:00',4,1,8,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241115151451438634335124610162147',11808,'739',49.25,1,3,NULL),(15,2004542,'1990-02-20 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215122431469813591124610124095',6482,'270',58.11,1,3,NULL),(15,2004550,'1984-07-13 00:00:00',2,1,12,2001,'F','N','SAO LUIZ','SAO JOSE','SC','124244241116275451436632445124610122057',16470,'307',42.63,1,3,NULL),(15,2004577,'1990-02-17 00:00:00',2,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241215121441363924194112610146194',13575,'9997',46.78,1,3,NULL),(15,2004585,'1990-08-07 00:00:00',4,1,11,2007,'F','N','INDEPENDÊNCIA','CASCAVEL','PR','616162168217111731469931595112610131192',13354,'9998',47.11,1,3,NULL),(15,2004593,'1986-08-23 00:00:00',2,1,12,2003,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241137372421446533242124610123043',11311,'307',49.99,5,2,1),(15,2004607,'1989-08-14 00:00:00',4,1,12,2006,'F','N','HUMAITÁ','BENTO GONCALVES','RS','120203201116572431346923245132610121147',19844,'9998',37.13,1,3,NULL),(15,2004615,'1951-06-18 00:00:00',4,1,7,1970,'M','N','ARMACAO P SUL','FLORIANOPOLIS','SC','224201207213153411264544295124121862135',10413,'9999',51.33,1,3,NULL),(15,2004623,'1989-04-14 00:00:00',2,1,12,2006,'F','N','CENTRO','CARDOSO','SP','125254251215211431469931575122610163092',22354,'9998',30.68,1,3,NULL),(15,2004640,'1983-09-02 00:00:00',2,1,12,1999,'F','N','CAMPINAS','SAO JOSE','SC','124251251216373411114944345334141267057',20820,'9998',35.24,1,3,NULL),(15,2004658,'1989-12-28 00:00:00',4,1,11,2007,'F','N','SETOR OESTE','GOIANIA','GO','109092091216151211468831575112610113127',14795,'9998',45.01,1,3,NULL),(15,2004666,'1990-04-26 00:00:00',4,2,12,2007,'F','N','BATEL','CURITIBA','PR','116162161217121752378812191122610127117',2721,'9998',66.95,1,3,NULL),(15,2004674,'1989-10-20 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217122531336933572124122363187',3199,'270',65.55,1,3,NULL),(15,2004682,'1990-06-12 00:00:00',4,10,12,2007,'M','N','VILA VÍTÓRIA','LAGUNA','SC','124241241117131431536621315121610144197',20791,'521',35.31,1,3,NULL),(15,2004690,'1990-03-12 00:00:00',4,8,12,2007,'M','N','CAMPO BELO','SAO PAULO','SP','125252251216151431489814575122610167016',2762,'9998',66.85,1,3,NULL),(15,2004704,'1990-05-28 00:00:00',2,1,12,2007,'F','N','JARDIM ANDREIA','BITURUNA','PR','116161161217111431569913575124610124047',15236,'9998',44.49,4,3,NULL),(15,2004712,'1985-09-13 00:00:00',4,5,12,2002,'F','N','BELA VISTA','SAO LUDGERO','SC','124241241146132751126744345235231465182',19851,'748',37.11,1,2,1),(15,2004720,'1990-05-22 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215272431337729472114610147087',2341,'262',68.10,4,3,NULL),(15,2004739,'1989-03-02 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241126472431436611382224610125143',18261,'922',39.86,1,3,NULL),(15,2004747,'1976-12-11 00:00:00',4,1,12,1993,'M','N','AREIAS','SAO JOSE','SC','624241243416132721226644141234131442172',13732,'88',46.57,1,3,NULL),(15,2004771,'1988-10-01 00:00:00',4,1,12,2005,'F','N','MORRO CHIC','ITAJUBA','MG','113132131217571431268713571112142122092',3511,'9998',64.73,1,3,NULL),(15,2004780,'1990-04-25 00:00:00',2,1,11,2007,'M','N','CONSOLADORA','GETULIO VARGAS','RS','120202201217111331558823472122610164042',9824,'9998',52.22,1,3,NULL),(15,2004798,'1990-08-22 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217122431356613575112610134097',7506,'1022',56.21,1,3,NULL),(15,2004801,'1989-06-02 00:00:00',4,1,3,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215121451355821575122610165186',19624,'269',37.57,1,3,NULL),(15,2004836,'1990-03-18 00:00:00',4,1,12,2007,'M','N','SAO PEDRO','PORTO UNIAO','SC','124241241116271431457833331121610137042',9429,'635',52.90,1,2,1),(15,2004844,'1989-03-27 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217372431589812445122123224072',1954,'262',69.42,1,3,NULL),(15,2004860,'1990-10-22 00:00:00',4,7,12,2007,'M','N','CATARINA FONTANA','CONCORDIA','SC','124241241135151431335314242122610152147',18412,'194',39.63,3,3,NULL),(15,2004879,'1987-09-07 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243247335312431575831442113610147042',11363,'9999',49.89,1,3,NULL),(15,2004895,'1988-09-08 00:00:00',4,1,12,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241217573531468814475122610124147',2294,'270',68.25,1,3,NULL),(15,2004909,'1989-11-26 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217111431477813572124610127065',1204,'270',72.44,1,3,NULL),(15,2004917,'1990-02-22 00:00:00',4,1,12,2007,'F','N','SANTA PAULA','SAO CAETANO DO SUL','SP','125252251216111131478914572122610144092',10898,'9998',50.62,1,3,NULL),(15,2004925,'1990-01-20 00:00:00',4,2,12,2007,'M','N','JARDIM PORTUGAL','SAO JOSE DOS CAMPOS','SP','125253251216131131516627295124610167047',11609,'9998',49.54,1,3,NULL),(15,2004933,'1991-05-26 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','116162161217111411459811475122610166092',744,'9998',75.07,1,3,NULL),(15,2004941,'1986-11-27 00:00:00',4,1,11,2004,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124122241217152431238811114122141447062',1244,'269',72.30,3,3,NULL),(15,2004950,'1988-11-27 00:00:00',2,6,12,2005,'F','N','CENTRO','ITAJAI','SC','116161161116572431243821572121232423147',NULL,'9998',0.00,1,3,NULL),(15,2004984,'1986-01-18 00:00:00',2,1,12,2003,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241237373411348724595124230237082',13803,'1036',46.46,1,3,NULL),(15,2004992,'1988-08-17 00:00:00',4,8,12,2006,'M','N','ATIRADORES','JOINVILLE','SC','124242246212373211259912572122610167131',4617,'1105',61.97,1,3,NULL),(15,2005000,'1990-07-05 00:00:00',4,1,11,2007,'F','N','CENTRO','NOVA ANDRADINA','MS','112214121217111411247824445125610136072',3651,'9998',64.36,1,3,NULL),(15,2005018,'1976-01-17 00:00:00',4,1,12,1994,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241136134431337723415124131247187',12641,'257',48.08,1,2,1),(15,2005026,'1989-04-14 00:00:00',4,1,11,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217472541288811316114610164111',271,'270',79.07,1,3,NULL),(15,2005042,'1987-04-13 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241214472421624711174114610116092',17542,'988',41.03,1,3,NULL),(15,2005050,'1989-03-15 00:00:00',2,1,11,2006,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124243248215372431558614145134610132097',14160,'1022',45.95,3,3,NULL),(15,2005069,'1988-06-30 00:00:00',4,1,11,2004,'M','N','GONZAGA','SANTOS','SP','125222251216572431568731571124241467162',3749,'9998',64.08,1,3,NULL),(15,2005077,'1988-11-18 00:00:00',4,1,12,2006,'F','N','URBANOVA','SAO JOSE DOS CAMPOS','SP','125252251217472431547824572114610133042',1702,'9998',70.37,1,3,NULL),(15,2005085,'1990-02-25 00:00:00',4,4,12,2007,'F','N','CENTRO','SINOP','MT','111112111217221431466634575121610137182',8213,'9998',54.99,1,3,NULL),(15,2005093,'1988-02-21 00:00:00',4,1,12,2005,'F','N','CARIANOS','FLORIANOPOLIS','SC','124243241116573441636317394124610122147',121,'271',81.05,2,1,2),(15,2005107,'1984-04-09 00:00:00',2,1,12,2001,'M','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124241241121273252425431342214610164047',13501,'278',46.89,1,2,1),(15,2005123,'1988-01-19 00:00:00',4,1,11,2005,'F','N','ST ANTONIO DE LISBOA','FLORIANOPOLIS','SC','124122121216471731468613395122610124147',15695,'9998',43.82,4,3,NULL),(15,2005131,'1985-07-03 00:00:00',4,1,12,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124132131436133441455532285124232246097',NULL,'9998',0.00,1,3,NULL),(15,2005140,'1989-05-10 00:00:00',2,8,12,2006,'F','N','VILA SANTANA','VALINHOS','SP','125252256115271441458821575122610165091',7349,'9998',56.52,4,3,NULL),(15,2005158,'1989-05-07 00:00:00',4,1,8,2007,'F','N','KOBRASOL','SAO JOSE','SC','124241241116471431635511575124610132142',4825,'739',61.46,1,2,1),(15,2005166,'1989-01-29 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472411436612572112610167147',8406,'270',54.68,3,3,NULL),(15,2005174,'1988-08-14 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241215472451343969572124610121012',6155,'258',58.75,4,3,NULL),(15,2005182,'1990-03-10 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241226371431555314281122610164067',7092,'262',56.98,1,3,NULL),(15,2005190,'1977-09-19 00:00:00',2,1,6,2007,'M','N','SERRARIA','SAO JOSE','SC','224243247211131431233341311124610134057',22293,'9999',31.06,1,3,NULL),(15,2005204,'1989-06-29 00:00:00',4,1,12,2006,'F','N','ABRAAO','FLORIANOPOLIS','SC','124244241315572431448911575124232743142',18589,'1098',39.34,1,3,NULL),(15,2005212,'1988-10-20 00:00:00',4,1,12,2007,'F','N','CENTRO CÍVICO','CURITIBA','PR','116134161217471431238811595124610122047',17369,'9998',41.28,1,3,NULL),(15,2005220,'1989-06-15 00:00:00',4,1,12,2006,'M','N','BOM VIVER','BIGUACU','SC','124242241116371431246823575124610164172',125,'306',81.02,1,3,NULL),(15,2005239,'1990-03-09 00:00:00',4,7,12,2007,'F','N','CENTRO','OURO','SC','124241241127141431323311141325610126172',17960,'585',40.38,1,3,NULL),(15,2005247,'1989-09-02 00:00:00',4,1,12,2006,'M','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124243241117472441666412175114610166182',5419,'307',60.23,4,3,NULL),(15,2005263,'1982-12-04 00:00:00',4,1,12,2000,'F','N','CENTRO','SAO JOSE','SC','124241241125272431634314442123610166142',10953,'728',50.53,1,2,1),(15,2005271,'1990-04-05 00:00:00',2,4,12,2007,'F','N','CENTRO','MARAVILHA','SC','124241241135131411433619292221610146147',NULL,'552',0.00,1,3,NULL),(15,2005298,'1990-10-06 00:00:00',4,1,12,2007,'M','N','ARMAÇÃO','FLORIANOPOLIS','SC','124241241216271441344313575124610125142',5184,'1023',60.73,1,3,NULL),(15,2005301,'1990-04-03 00:00:00',4,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215112431347629275114610126192',5123,'270',60.87,4,3,NULL),(15,2005310,'1990-10-20 00:00:00',4,7,12,2007,'F','N','CIDADE JARDIM','CATANDUVAS','SC','124244241217111431336722574124610123142',10866,'454',50.66,1,3,NULL),(15,2005328,'1991-08-02 00:00:00',4,9,12,2007,'M','N','SAGRADO C DE JESUS','LAGES','SC','124243241217111431449614575122610127147',22391,'499',30.44,1,3,NULL),(15,2005344,'1989-01-05 00:00:00',4,1,12,2006,'M','N','JARDIM VERA CRUZ','SAO BERNARDO DO CAMPO','SP','125256251117362731346314592114610122094',13912,'9998',46.30,1,3,NULL),(15,2005352,'1990-05-02 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241216111411557913572124610134182',17448,'988',41.15,1,3,NULL),(15,2005379,'1988-10-07 00:00:00',2,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215472731436637572114610124187',12316,'807',48.55,1,3,NULL),(15,2005387,'1990-01-22 00:00:00',4,1,11,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241217112431479911572114610124072',1221,'270',72.37,1,3,NULL),(15,2005395,'1987-06-25 00:00:00',4,1,12,2004,'M','N','ESTÂNCIA VELHA','CANOAS','RS','120204201117571431356823191124610127047',NULL,'9998',0.00,4,3,NULL),(15,2005409,'1988-08-26 00:00:00',4,2,12,2006,'M','N','ASILO','BLUMENAU','SC','124242241211472431587712271112610137182',11975,'909',49.02,1,3,NULL),(15,2005417,'1988-07-27 00:00:00',2,1,12,2006,'F','N','ARMAÇAO','FLORIANOPOLIS','SC','124241241412372431458633392124610117055',7381,'270',56.45,2,3,NULL),(15,2005425,'1990-02-15 00:00:00',2,7,12,2007,'M','N','SÃO GOTARDO','SAO MIGUEL DOESTE','SC','124241241115161531323414576211610122067',19991,'755',36.85,1,2,1),(15,2005433,'1989-08-21 00:00:00',2,1,12,2006,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124241241117251432536622592114610168142',17176,'307',41.60,1,2,1),(15,2005450,'1989-07-01 00:00:00',4,1,12,2006,'M','N','WERNER PLAAS','AMERICANA','SP','125252251215472431468612572112610124022',2746,'9998',66.89,1,3,NULL),(15,2005468,'1989-05-04 00:00:00',4,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124242241215573731566813582124230264147',11554,'270',49.63,1,3,NULL),(15,2005476,'1990-04-21 00:00:00',4,10,12,2007,'F','N','CENTRO','ARMAZEM','SC','124241248126131731545614275122610128077',22487,'34',28.97,1,2,1),(15,2005492,'1987-10-29 00:00:00',4,1,12,2004,'F','N','CENTRO','LONDRINA','PR','116162161215571411368931575122610136192',NULL,'9998',0.00,1,3,NULL),(15,2005506,'1990-01-20 00:00:00',4,2,12,2007,'M','N','TRIBESS','BLUMENAU','SC','124241241117371431448314575124610127182',12960,'79',47.64,1,2,1),(15,2005514,'1990-08-30 00:00:00',4,4,12,2007,'F','N','CENTRO','CORONEL FREITAS','SC','124241241114131431444613572122610134147',NULL,'199',25.29,1,2,1),(15,2005522,'1990-11-09 00:00:00',4,4,12,2007,'M','N','CENTRO','CASCAVEL','PR','116163161217121411566933336125610134072',7250,'9998',56.69,1,3,NULL),(15,2005530,'1989-01-07 00:00:00',2,1,12,2005,'M','N','GUARÁ I','GUARA','DF','107073098216471741636833595125610165094',2106,'9998',68.95,4,3,NULL),(15,2005565,'1990-02-16 00:00:00',4,1,11,2007,'F','N','SÃO JOSÉ','SAO JOSE','SC','124242241215121431379933434122610153185',570,'270',76.30,1,3,NULL),(15,2005573,'1989-09-28 00:00:00',4,3,12,2006,'M','N','VILA ROBERTINA','SAO PAULO','SP','125252251217371431568814275114610167057',NULL,'9998',0.00,1,3,NULL),(15,2005581,'1990-09-26 00:00:00',4,2,12,2007,'M','N','CENTRO','GASPAR','SC','124242241216371431469612575124610137057',3013,'909',66.10,1,3,NULL),(15,2005590,'1988-08-26 00:00:00',4,1,12,2005,'M','N','BOQUEIRAO','SANTOS','SP','125253258414172731238873115121610164047',NULL,'9998',0.00,1,3,NULL),(15,2005603,'1988-06-10 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217472411269711384122130221196',4166,'262',62.99,1,3,NULL),(15,2005611,'1990-01-06 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241136151431438574472124610117057',16062,'274',43.28,2,1,1),(15,2005620,'1986-05-08 00:00:00',4,1,12,2004,'M','N','JARDIM AMERICA','GOIANIA','GO','109272271215474421589812325122140267043',14017,'9998',46.14,2,3,NULL),(15,2005638,'1989-06-06 00:00:00',2,8,12,2007,'M','N','CENTRO','RIO NEGRINHO','SC','124242241215311441424814574122610147072',NULL,'666',20.44,1,3,NULL),(15,2005646,'1983-11-27 00:00:00',4,1,11,2002,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124241247346375441233744342223220566093',NULL,'9999',0.00,4,3,NULL),(15,2005654,'1983-06-16 00:00:00',2,1,12,2000,'M','N','CENTRO','BIGUACU','SC','124244241235373431354611335132130834023',12102,'63',48.86,1,3,NULL),(15,2005689,'1990-12-14 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124243241137151531323979242124610137077',NULL,'288',22.52,1,3,NULL),(15,2005697,'1991-01-14 00:00:00',4,1,12,2007,'F','N','SANTA CRUZ','RONDONOPOLIS','MT','111111111416141431347724341122610122183',16013,'9998',43.36,1,3,NULL),(15,2005700,'1988-10-06 00:00:00',2,1,12,2005,'F','N','CENTRO','SAO TOME','PR','116161161316271421358519375113143237074',NULL,'9998',0.00,1,3,NULL),(15,2005719,'1990-02-16 00:00:00',2,1,11,2007,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215372431469813242114610164112',5690,'270',59.69,1,3,NULL),(15,2005727,'1989-10-14 00:00:00',2,7,11,2007,'M','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124244241217151411436632594222333238142',16076,'138',43.26,1,3,NULL),(15,2005743,'1989-04-20 00:00:00',4,1,8,2007,'M','N','INGLESES DO RIO VERM','FLORIANOPOLIS','SC','124241247336131721126644345124610132142',9718,'977',52.40,2,3,NULL),(15,2005751,'1990-05-13 00:00:00',4,5,11,2007,'M','N','CIDADE ALTA','ARARANGUA','SC','124242241235112411456632345112610164052',2994,'807',66.17,1,3,NULL),(15,2005760,'1988-04-04 00:00:00',4,1,12,2005,'F','N','STELLA MARIS','ANDRADINA','SP','125254251216471431544831575122142347092',16924,'9998',41.97,1,3,NULL),(15,2005786,'1988-06-23 00:00:00',4,9,11,2007,'M','N','COPACABANA','LAGES','SC','124243241215271431536552341322610114082',15858,'1065',43.59,4,3,NULL),(15,2005794,'1988-09-22 00:00:00',4,1,12,2006,'M','N','SANTA TEREZINHA','SAO PAULO','SP','125252251211472431458814571124610167097',3159,'9998',65.67,1,3,NULL),(15,2005808,'1989-12-07 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242247247131431343311295234610138042',17528,'737',41.05,1,3,NULL),(15,2005816,'1990-06-06 00:00:00',2,1,11,2007,'F','N','BREJARÚ II','PALHOCA','SC','124241241136131411223324295124610122072',NULL,'295',25.31,1,2,1),(15,2005824,'1990-07-07 00:00:00',4,2,12,2007,'M','N','AGUA VERDE','JARAGUA DO SUL','SC','124242241215111431667732575122610167042',5611,'422',59.84,1,3,NULL),(15,2005840,'1990-06-02 00:00:00',4,6,11,2007,'F','N','CENTRO','NAVEGANTES','SC','124241244217371451634414572224610136017',NULL,'937',0.00,1,3,NULL),(15,2005859,'1987-09-03 00:00:00',4,8,12,2006,'M','N','CENTRO','PONTA GROSSA','PR','116161168126471431346811295122610128192',14835,'9998',44.97,4,3,NULL),(15,2005867,'1990-02-27 00:00:00',4,1,6,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124072281215371431149813571113610137092',2593,'9998',67.34,3,3,NULL),(15,2005875,'1989-08-25 00:00:00',2,1,12,2007,'F','N','BALNEARIO','FLORIANOPOLIS','SC','124243241215371431448714575122610166072',11763,'270',49.31,1,3,NULL),(15,2005883,'1987-11-25 00:00:00',2,1,12,2005,'F','N','SÃO SEBASTIÃO','PALHOCA','SC','124244241137471721535514341334610142147',18128,'591',40.10,1,3,NULL),(15,2005891,'1988-07-15 00:00:00',2,1,12,2004,'F','N','JARDIM LEBRON','CAMPO GRANDE','MS','112121121216572431456515574224610164047',1035,'9998',73.33,1,3,NULL),(15,2005905,'1990-06-08 00:00:00',4,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242241215111411443639292124610133192',NULL,'1075',22.24,1,3,NULL),(15,2005913,'1988-10-22 00:00:00',4,1,12,2006,'M','N','PAULISTA','PIRACICABA','SP','125252251216471721568831575112610167037',NULL,'9998',0.00,1,3,NULL),(15,2005930,'1990-04-24 00:00:00',4,2,11,2007,'F','N','VILA NOVA','BLUMENAU','SC','124241241217121411436621342132610145072',14360,'1052',45.62,1,3,NULL),(15,2005956,'1987-07-30 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117574431563312144122131062092',1892,'307',69.63,1,2,1),(15,2005972,'1989-12-07 00:00:00',4,1,11,2006,'M','N','VISTA ALEGRE','VINHEDO','SP','125252251216372431448811571122610167042',3797,'9998',63.98,1,3,NULL),(15,2005980,'1990-03-18 00:00:00',4,1,12,2006,'M','N','PARAGUAI','JACINTO MACHADO','SC','124241241217272431658913575112610167047',2732,'32',66.93,1,3,NULL),(15,2005999,'1988-01-04 00:00:00',4,1,12,2006,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124281241215372732247522575112610164197',9697,'1011',52.42,3,3,NULL),(15,2006006,'1985-02-16 00:00:00',2,1,12,2003,'F','N','FLORESTA','SAO JOSE','SC','124201241316123441545439241234121358141',8453,'1036',54.60,1,3,NULL),(15,2006014,'1986-11-14 00:00:00',5,10,12,2004,'F','N','DEHON','TUBARAO','SC','124241241117132411527611184125231936197',8229,'1034',54.96,1,2,1),(15,2006022,'1988-05-10 00:00:00',4,1,12,2005,'M','N','PORTAL DE DOURADOS','DOURADOS','MS','112122121216572731568852413122610124017',5795,'9998',59.49,1,3,NULL),(15,2006030,'1988-04-09 00:00:00',4,2,12,2005,'F','N','CRISTO REDENTOR','PORTO ALEGRE','RS','120202201217572431468911472124133246077',3689,'9998',64.24,1,3,NULL),(15,2006049,'1987-02-13 00:00:00',4,8,11,2005,'M','N','JUVEVÊ','CURITIBA','PR','116162161216572431226823571214142967052',NULL,'9998',0.00,3,3,NULL),(15,2006057,'1991-02-20 00:00:00',4,2,12,2007,'F','N','BAIPENDI','JARAGUA DO SUL','SC','124242241216371431589812575122610136092',21346,'422',34.09,1,3,NULL),(15,2006065,'1989-11-28 00:00:00',4,1,12,2007,'F','N','CRUZEIRO BRASILIA','CRUZEIRO','DF','107072071215151741538833575122610161182',9182,'9998',53.30,1,3,NULL),(15,2006081,'1973-07-26 00:00:00',4,1,2,1994,'F','N','INGLESES','FLORIANOPOLIS','SC','224252251137161731437754272124610166117',10912,'9998',50.59,1,3,NULL),(15,2006103,'1986-05-14 00:00:00',2,1,7,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241136575751313662577145221468185',3888,'281',63.77,1,3,NULL),(15,2006111,'1986-08-12 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215474431488813575112610147041',4375,'262',62.53,1,3,NULL),(15,2006120,'1986-09-23 00:00:00',2,1,12,2004,'M','N','VILA NOVA BOTUCATU','BOTUCATU','SP','125252251217574441348731574122141427057',866,'9998',74.26,4,3,NULL),(15,2006138,'1990-04-09 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215372431568713572112610122192',5198,'262',60.71,1,3,NULL),(15,2006146,'1987-03-06 00:00:00',4,1,12,2004,'F','N','VILA MASCOTE','SAO PAULO','SP','125252251217131711467823215125610112082',NULL,'9998',29.61,1,3,NULL),(15,2006154,'1988-07-30 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217372431566823375112133248142',10781,'1022',50.77,1,3,NULL),(15,2006162,'1990-06-06 00:00:00',2,1,11,2007,'F','N','JURERE TRADICIONAL','FLORIANOPOLIS','SC','124241241317121331423712275124610137142',22226,'300',31.38,1,3,NULL),(15,2006170,'1990-04-19 00:00:00',4,2,11,2007,'M','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116162161215111431458832372122610137042',NULL,'9998',0.00,1,3,NULL),(15,2006189,'1991-03-22 00:00:00',4,1,11,2007,'M','N','CENTRO','DEODAPOLIS','MS','112124121217121431468622575125610124082',2558,'9998',67.44,4,3,NULL),(15,2006197,'1988-04-02 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124243241327131731456312381123610128147',20087,'734',36.64,1,3,NULL),(15,2006200,'1982-01-03 00:00:00',4,1,12,1999,'F','N','IPIRANGA','SAO JOSE','SC','224243246135273431256952335324521737017',9782,'306',52.30,1,3,NULL),(15,2006219,'1989-01-11 00:00:00',2,8,11,2006,'F','N','VILA MASCARO','SANTO ANTONIO DA PLATINA','PR','116162164216375731449912575122610165142',NULL,'9998',0.00,4,3,NULL),(15,2006227,'1990-02-14 00:00:00',2,8,12,2007,'F','N','ATIRADORES','JOINVILLE','SC','124252241215371531478814572122610133122',2560,'491',67.43,3,3,NULL),(15,2006235,'1987-07-19 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','624243251311472441417712382311131267111',6640,'9998',57.83,1,3,NULL),(15,2006243,'1990-03-03 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217121431449913495122610134042',1605,'270',70.80,1,3,NULL),(15,2006251,'1989-04-24 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124244241217372451545612575122610127045',18546,'266',39.41,1,3,NULL),(15,2006278,'1990-05-18 00:00:00',4,1,12,2007,'F','N','CENTRO','OSVALDO CRUZ','SP','119192251216111711478714575122610124092',14405,'9998',45.57,1,3,NULL),(15,2006286,'1985-07-27 00:00:00',2,1,12,2003,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124282281217472751358834471114142844142',14139,'9998',45.98,1,3,NULL),(15,2006294,'1963-06-09 00:00:00',4,1,12,1991,'F','N','CENTRO','FLORIANOPOLIS','SC','524201077237271441358871495114142731185',15023,'9999',44.77,1,3,NULL),(15,2006308,'1988-04-02 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216472431436611376124232722187',5632,'943',59.81,1,3,NULL),(15,2006324,'1985-06-01 00:00:00',4,1,12,2003,'M','N','KOBRASOL','SAO JOSE','SC','124241241126372411336629295124610124067',19225,'736',38.30,1,2,1),(15,2006332,'1986-05-28 00:00:00',2,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','224243241126274431224644245234610123077',8457,'729',54.59,1,3,NULL),(15,2006340,'1990-04-25 00:00:00',4,1,12,2007,'F','N','TABOÃO','RIO DO SUL','SC','124243241347131431343919195122610135112',19530,'659',37.76,1,3,NULL),(15,2006359,'1989-12-29 00:00:00',2,1,1,2008,'F','N','LOTEAMENTO BROERING','SANTO AMARO DA IMPERATRIZ','SC','124241241115131431525314372124610121147',9513,'739',52.75,1,2,1),(15,2006375,'1989-10-10 00:00:00',4,6,2,2006,'F','N','ANDORINHA','ITAPEMA','SC','124241241312272331468933592124130648152',5268,'983',60.58,1,3,NULL),(15,2006383,'1989-02-18 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124251251216372441238714575124610143187',8732,'9998',54.12,1,3,NULL),(15,2006405,'1982-08-05 00:00:00',4,1,12,2000,'M','N','GUARA','GUARA','DF','107072071215571431468623435122141464097',1050,'9998',73.23,4,3,NULL),(15,2006413,'1990-04-26 00:00:00',4,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215111411468812571114610126142',12818,'9997',47.83,1,3,NULL),(15,2006421,'1990-12-01 00:00:00',4,4,12,2007,'M','N','SANTA MARIA','CHAPECO','SC','124241241115271431453732145121610146182',5497,'176',60.06,1,2,1),(15,2006430,'1990-07-30 00:00:00',4,7,11,2007,'M','N','CIDADE JARDIM','CATANDUVAS','SC','124244247217371231458622275115610127042',10370,'454',51.39,1,3,NULL),(15,2006456,'1991-03-05 00:00:00',4,1,11,2007,'F','N','PARQUE SÃO JORGE','FLORIANOPOLIS','SC','124242241215112431479931572122610143193',699,'270',75.37,1,3,NULL),(15,2006464,'1989-01-12 00:00:00',2,2,12,2006,'M','N','ATERRADO','POUSO REDONDO','SC','124241241111472411323336472224610125142',12803,'639',47.85,1,2,1),(15,2006472,'1968-09-08 00:00:00',2,1,12,1986,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','224241241123273421463259292124122223142',9962,'307',51.99,1,2,1),(15,2006480,'1987-09-15 00:00:00',4,1,12,2004,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124253251247473431248933275122221762182',4173,'9998',62.97,1,3,NULL),(15,2006499,'1989-01-02 00:00:00',2,2,12,2006,'M','N','CENTRO CIVICO','CURITIBA','PR','116251258414471431466613575124610122182',18159,'9998',40.05,1,3,NULL),(15,2006502,'1987-10-30 00:00:00',2,1,12,2004,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241226274421434823345124610137062',10133,'262',51.74,1,3,NULL),(15,2006510,'1988-10-31 00:00:00',4,6,12,2006,'M','N','CENTRO','ITAJAI','SC','124242241217131431539513575121231464057',NULL,'392',0.00,1,3,NULL),(15,2006529,'1989-08-08 00:00:00',3,1,12,2006,'F','N','JD BARRAGEM III','AGUAS LINDAS DE GOIAS','GO','109071071217371431233623595114610144127',14236,'9998',45.81,1,3,NULL),(15,2006545,'1985-06-12 00:00:00',2,1,12,2003,'M','N','BOSQUE DOS IPÊS','SAO JOSE DOS CAMPOS','SP','125253251235471431448611492122610127057',NULL,'9998',36.51,1,3,NULL),(15,2006553,'1990-01-07 00:00:00',2,1,6,2007,'M','N','ARMAÇÃO','FLORIANOPOLIS','SC','124242241236131411425869195124610167117',13420,'9999',47.00,1,3,NULL),(15,2006570,'1987-04-26 00:00:00',4,1,12,2004,'F','N','CENTRO','CHAPECO','SC','124242241215373431549811392324130461187',6462,'983',58.14,1,3,NULL),(15,2006588,'1989-06-13 00:00:00',2,1,12,2007,'M','N','JARDIM GUAIRACÁ','MATELANDIA','PR','116163161415111411439739391122610137062',NULL,'9998',0.00,1,3,NULL),(15,2006600,'1990-06-29 00:00:00',4,6,11,2007,'F','N','SANTANA','SAO PAULO','SP','125252251216371431236629575124610164017',NULL,'9998',0.00,1,3,NULL),(15,2006618,'1988-10-13 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124222221216373411367623415124610163013',3591,'9998',64.49,2,3,NULL),(15,2006626,'1989-12-05 00:00:00',4,1,12,2007,'M','N','APARECIDA','JABOTICABAL','SP','125252251217111431479813575112610132174',3048,'9998',66.00,1,3,NULL),(15,2006634,'1990-06-15 00:00:00',2,3,12,2007,'M','N','RECANTO VERDE','SAO PAULO','SP','125252251316151431439632215124610117147',21026,'9998',34.81,1,3,NULL),(15,2006642,'1985-07-15 00:00:00',2,1,12,2003,'M','N','RATONES','FLORIANOPOLIS','SC','124051241122132431325648484344610136027',13171,'279',47.37,5,2,1),(15,2006650,'1990-07-09 00:00:00',2,1,11,2007,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124244241435211421336914575124610164017',9713,'299',52.40,4,3,NULL),(15,2006669,'1982-11-09 00:00:00',4,1,11,2000,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241115373431666639572114610164041',8320,'307',54.82,1,3,NULL),(15,2006677,'1991-05-28 00:00:00',2,1,11,2008,'F','S','CAPOEIRAS','FLORIANOPOLIS','SC','124244241215111431445222572124610168145',NULL,'270',43.10,1,3,NULL),(15,2006685,'1990-03-15 00:00:00',4,7,12,2007,'M','N','BOSQUE','CURITIBANOS','SC','124241241115271631644432581122610137052',19371,'239',38.06,1,3,NULL),(15,2006693,'1984-10-02 00:00:00',4,1,12,2001,'M','N','CENTRO','SANTA MARIA','RS','120201201116141411358813345124343262057',6282,'9998',58.48,1,2,1),(15,2006707,'1990-01-18 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241116131411446413575124610164042',9133,'271',53.40,1,2,1),(15,2006715,'1988-03-31 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241216272411233824345124610124142',19514,'266',37.79,4,1,2),(15,2006723,'1989-10-06 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217111411678811592122610167051',1758,'270',70.18,1,3,NULL),(15,2006731,'1987-11-08 00:00:00',4,10,12,2005,'F','N','PROGRESSO','LAGUNA','SC','124241241134372431446911475122131364017',14347,'521',45.65,1,2,1),(15,2006740,'1990-04-03 00:00:00',2,1,12,2007,'F','N','CENTRO','SAO BENTO DO SUL','SC','124142241217111431567812575122610123072',16446,'974',42.67,1,3,NULL),(15,2006758,'1988-07-28 00:00:00',4,1,12,2005,'F','N','RIO BONITO','IRATI','PR','124242241217272411426831171344133261097',19128,'633',38.47,1,3,NULL),(15,2006774,'1987-02-15 00:00:00',4,1,12,2006,'M','N','CENTRO','CAMPINA GRANDE DO SUL','PR','116164161417472431366612345122242562116',NULL,'9998',0.00,1,3,NULL),(15,2006782,'1990-06-24 00:00:00',4,3,12,2007,'F','N','ALTO PEREQUE','PORTO BELO','SC','124242241235371441349913275125610133092',2947,'1111',66.31,1,3,NULL),(15,2006790,'1985-12-25 00:00:00',5,1,12,2002,'F','N','TRINDADE','FLORIANOPOLIS','SC','124042241217133731436314342331222247187',9957,'388',52.00,4,3,NULL),(15,2006804,'1988-11-19 00:00:00',2,7,12,2005,'M','N','JARDIM','CONCORDIA','SC','124241241111471411347812291325610165017',9554,'192',52.68,4,2,1),(15,2006812,'1989-11-21 00:00:00',4,9,12,2006,'F','N','BRUSQUE','LAGES','SC','124201241116151721447614575115610114197',NULL,'498',27.60,1,2,1),(15,2006820,'1976-03-30 00:00:00',2,8,12,1993,'F','N','SAGUAÇU','JOINVILLE','SC','124241248126371441436619282121333231141',NULL,'476',0.00,1,2,1),(15,2006839,'1985-03-29 00:00:00',4,1,12,2002,'M','N','BARREIROS','SAO JOSE','SC','224243241127131421223644141214610167047',NULL,'729',27.35,1,3,NULL),(15,2006847,'1987-08-04 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241247326131431634319291334610125181',NULL,'9999',18.94,1,3,NULL),(15,2006880,'1989-05-11 00:00:00',4,8,11,2006,'F','N','GLORIA','JOINVILLE','SC','124242241215471441578711571122610167091',NULL,'457',0.00,1,3,NULL),(15,2006898,'1990-07-19 00:00:00',4,1,11,2007,'F','N','CENTRO','CACADOR','SC','124242241215111431434634244124610167182',5326,'270',60.46,4,3,NULL),(15,2006901,'1991-06-14 00:00:00',4,10,12,2008,'F','S','CENTRO','BRACO DO NORTE','SC','124242241215121431446624242122610136142',NULL,'807',60.16,1,3,NULL),(15,2006910,'1990-06-28 00:00:00',2,4,12,2007,'F','N','CENTRO','SANTA MARIA','RS','120204201316131431447824575124610116197',6721,'9998',57.70,1,3,NULL),(15,2006928,'1990-08-29 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431456813572214610121147',2417,'272',67.85,1,3,NULL),(15,2006936,'1990-09-12 00:00:00',4,8,11,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215271411469914475122610167052',1072,'457',73.14,1,3,NULL),(15,2006944,'1989-05-15 00:00:00',4,1,12,2007,'F','N','NOVA SUIÇA','BUENO BRANDAO','MG','113131131126131131422267572314610112147',13847,'9998',46.39,1,2,1),(15,2006952,'1989-01-14 00:00:00',4,2,12,2006,'M','N','CENTRO','POMERODE','SC','124242241214412431588811575315610168121',3597,'855',64.49,1,3,NULL),(15,2006960,'1988-01-28 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215373431346862475122131064042',3073,'262',65.90,1,3,NULL),(15,2006987,'1990-11-19 00:00:00',4,8,12,2007,'F','N','UBATUBA','SAO FRANCISCO DO SUL','SC','124242241216111431248821572114610122016',NULL,'459',0.00,1,3,NULL),(15,2006995,'1985-12-12 00:00:00',2,1,12,2002,'F','N','SÃO VICENTE DE PAULA','ERECHIM','RS','120201201126571431324311282224343266187',15151,'9998',44.59,1,3,NULL),(15,2007002,'1973-09-10 00:00:00',3,1,12,1990,'M','N','CASCADURA','RIO DE JANEIRO','RJ','121212211216151711258813397125342366042',790,'9998',74.78,1,3,NULL),(15,2007010,'1986-08-01 00:00:00',2,1,12,2004,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124254251416572441129743245324142068127',15957,'9998',43.45,4,3,NULL),(15,2007029,'1985-09-20 00:00:00',2,1,12,2003,'M','N','SERRINHA','FLORIANOPOLIS','SC','124241241135474431433529342124610124057',11916,'298',49.08,1,2,1),(15,2007037,'1985-07-03 00:00:00',2,1,12,2002,'M','N','PARQUE SANTO ANTONIO','GUARULHOS','SP','125251251147131431534643332334610124017',16104,'9998',43.22,1,2,1),(15,2007045,'1988-11-17 00:00:00',4,1,12,2006,'M','N','VILA SÃO PAULO','JUNDIAI','SP','125252251217371431478914395112610167047',NULL,'9998',44.89,1,3,NULL),(15,2007053,'1984-05-24 00:00:00',4,3,6,2001,'F','N','SETOR OESTE','GOIANIA','GO','109072078217572751359711574122610162097',NULL,'9998',0.00,4,3,NULL),(15,2007061,'1983-01-02 00:00:00',4,2,12,1999,'M','N','JARDIM ESPERANÇA','PILAR DO SUL','SP','125251251217111441568811495225241764087',4993,'9998',61.10,1,3,NULL),(15,2007088,'1989-12-31 00:00:00',2,8,10,2007,'F','N','FLORESTA','JOINVILLE','SC','124242241236371431576732375122610168076',NULL,'459',27.27,1,3,NULL),(15,2007096,'1989-02-27 00:00:00',4,1,12,2006,'F','N','CENTRO','OURINHOS','SP','125254251217471431359931575112610166096',6726,'9998',57.69,1,3,NULL),(15,2007118,'1988-11-29 00:00:00',4,5,12,2005,'M','N','CENTRO','MORRO DA FUMACA','SC','124243241415422431245312485114130414112',21836,'226',32.84,1,3,NULL),(15,2007126,'1988-02-18 00:00:00',4,1,12,2005,'M','N','ENCRUZILHADA','SANTOS','SP','125253251316511751526833371324610168112',NULL,'9998',26.42,1,3,NULL),(15,2007134,'1988-03-16 00:00:00',2,1,12,2005,'F','N','VILA MORANGUEIRA','MARINGA','PR','616163161216573731358823475112610123143',13026,'9998',47.56,1,3,NULL),(15,2007142,'1989-11-13 00:00:00',2,1,12,2007,'F','N','ARIRIU','PALHOCA','SC','124243247312111331323319392122610127097',NULL,'9999',20.08,1,3,NULL),(15,2007150,'1988-10-27 00:00:00',4,1,12,2006,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124243241116372431336933575114610167072',1951,'271',69.43,1,3,NULL),(15,2007177,'1988-10-04 00:00:00',2,1,11,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242241215111431534823472114610122017',8934,'270',53.78,1,3,NULL),(15,2007185,'1991-04-08 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241212111311459914572122610163072',NULL,'266',58.70,1,3,NULL),(15,2007193,'1980-06-15 00:00:00',4,1,12,1997,'M','N','VILA RIO BRANCO','CASTRO','PR','116161161117153421333314435114121424182',1987,'9998',69.31,1,3,NULL),(15,2007207,'1990-03-28 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241215111431466622372111610132185',20595,'44',35.70,1,3,NULL),(15,2007215,'1983-11-24 00:00:00',2,6,12,2000,'F','N','CENTRO','PORTO ALEGRE','RS','120204201216571431129844445124142845187',3982,'9998',63.50,1,3,NULL),(15,2007223,'1991-02-14 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124243241416111411439613575124610134117',21530,'1022',33.67,1,3,NULL),(15,2007231,'1988-10-20 00:00:00',4,1,11,2007,'F','N','CARMEM','PASSO FUNDO','RS','120203201417111431526921375122610125147',22140,'9998',31.76,1,3,NULL),(15,2007258,'1989-12-01 00:00:00',4,1,12,2006,'F','N','CENTRO','CHAPECO','SC','124242241215372431549831592324610167057',5506,'983',60.04,1,3,NULL),(15,2007266,'1982-12-12 00:00:00',4,1,12,2001,'F','N','IPIRANGA','SAO JOSE','SC','224242241215373431346554442122230221187',18031,'738',40.27,1,3,NULL),(15,2007274,'1974-12-25 00:00:00',2,1,12,1999,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124251257127573421438629242234610126022',NULL,'9998',25.70,4,3,NULL),(15,2007290,'1989-04-22 00:00:00',2,1,8,2007,'M','N','PASSA VINTE','PALHOCA','SC','124244241117272411335619575114610134087',5485,'739',60.08,1,3,NULL),(15,2007304,'1985-08-27 00:00:00',4,4,12,2001,'M','N','ESPLANADA','CHAPECO','SC','124241241123151411247923145133130732092',19854,'176',37.11,1,2,1),(15,2007312,'1978-10-04 00:00:00',4,6,12,1995,'F','N','PETRÓPOLIS','PORTO ALEGRE','RS','120203201217251731359913172124343241192',1965,'9998',69.37,1,3,NULL),(15,2007339,'1990-04-25 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241117371432435714375124610127047',21586,'733',33.53,1,3,NULL),(15,2007347,'1990-07-31 00:00:00',4,1,12,2007,'M','N','AREIAS','SAO JOSE','SC','124242241215131431323339275124610164047',8831,'976',53.96,1,3,NULL),(15,2007363,'1990-10-29 00:00:00',4,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124244241417131711227873572324610128097',11406,'63',49.83,1,3,NULL),(15,2007371,'1990-04-06 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111441469832574125610147142',4985,'270',61.12,1,3,NULL),(15,2007380,'1989-02-06 00:00:00',4,1,12,2006,'F','N','VILAS BOAS','CAMPO GRANDE','MS','112122121216472451448814572122610167147',8497,'9998',54.51,1,3,NULL),(15,2007398,'1987-10-20 00:00:00',2,1,12,2004,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124163161336371431353664375124142564142',NULL,'9998',NULL,1,3,NULL),(15,2007401,'1990-05-09 00:00:00',2,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124241241137151411223369346134610125142',13025,'257',47.56,1,2,1),(15,2007428,'1990-08-22 00:00:00',4,1,12,2007,'F','N','SETOR BUENO','GOIANIA','GO','109092091217111431379933576122610163182',13782,'9998',46.49,1,3,NULL),(15,2007436,'1990-03-30 00:00:00',4,1,1,2008,'F','N','COLÔNIA SANTANA','SAO JOSE','SC','124241241115131431423311312224610132147',7037,'739',57.08,1,2,1),(15,2007444,'1988-06-07 00:00:00',4,1,12,2005,'F','N','CENTRO','RIBEIRAO PRETO','SP','125252251215571441458831571112610124143',NULL,'9998',0.00,1,3,NULL),(15,2007452,'1990-10-20 00:00:00',4,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124244241217151431266832214122610124195',797,'1075',74.73,1,3,NULL),(15,2007460,'1986-06-07 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241217373431233424345134610131077',13935,'273',46.26,1,3,NULL),(15,2007479,'1988-10-17 00:00:00',2,2,12,2006,'F','N','ESCOLA AGRICOLA','BLUMENAU','SC','124241241115271741426612595324610132042',21057,'84',34.74,1,2,1),(15,2007495,'1985-10-08 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241146142431124644345224130826147',21020,'315',34.82,1,3,NULL),(15,2007517,'1974-06-26 00:00:00',2,1,12,1991,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241126575431123348285124120217047',4866,'665',61.38,1,2,1),(15,2007525,'1989-03-18 00:00:00',2,1,12,2006,'F','N','PANORÂMICO','MARAVILHA','SC','124241241115372431423624342124610123147',19459,'552',37.90,1,2,1),(15,2007533,'1990-05-28 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215111431547811585122610164185',4235,'1022',62.84,1,3,NULL),(15,2007550,'1989-01-25 00:00:00',2,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241248315111431636413375124610113147',15904,'1098',43.53,1,3,NULL),(15,2007568,'1990-11-04 00:00:00',4,9,11,2007,'F','N','UNIVERSITÁRIO','LAGES','SC','124243241215131431345933592322610145092',20392,'1065',36.07,1,3,NULL),(15,2007576,'1984-11-07 00:00:00',2,1,10,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124282281217232731328811445234143234147',18762,'9998',39.06,1,3,NULL),(15,2007584,'1990-01-12 00:00:00',4,8,11,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124242248217221411459719192122110121145',12602,'491',48.13,1,3,NULL),(15,2007592,'1987-09-01 00:00:00',4,1,12,2004,'F','N','CENTRO','BAURU','SP','125252251217571431478811375112143247092',14589,'9998',45.29,1,3,NULL),(15,2007606,'1989-10-06 00:00:00',4,3,12,2006,'M','N','JARDIM OSVALDO SELLA','CAMBE','PR','116252161215472431449814575112610127042',4220,'9998',62.86,1,3,NULL),(15,2007614,'1988-06-28 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215272431446624392134230223095',17766,'1022',40.72,1,3,NULL),(15,2007622,'1990-06-30 00:00:00',2,3,12,2007,'F','N','UVARANAS','PONTA GROSSA','PR','116162161236111421479913575122610164183',NULL,'9998',0.00,1,3,NULL),(15,2007630,'1986-09-22 00:00:00',4,1,2,2004,'M','N','ANDORINHA','ITAPEMA','SC','124243247217151431468939475112231267017',NULL,'983',0.00,1,3,NULL),(15,2007649,'1984-11-25 00:00:00',2,2,12,2003,'M','N','SANTA TEREZINHA','GASPAR','SC','124241241135372451458811472114610167037',7865,'906',55.58,1,2,1),(15,2007665,'1990-12-23 00:00:00',4,1,12,2007,'M','N','CAMINHO NOVO','PALHOCA','SC','124241241115111432423339492344610127047',13767,'592',46.51,4,2,1),(15,2007673,'1988-04-13 00:00:00',2,1,12,2006,'M','N','MAUA','JAGUARIUNA','SP','125252251235471441438712575122610132122',20954,'9998',34.95,1,3,NULL),(15,2007690,'1987-10-16 00:00:00',4,1,12,2004,'F','N','CASTELO','BATATAIS','SP','125253251216471441537532371321140663112',7545,'9998',56.13,1,3,NULL),(15,2007703,'1988-07-27 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241216573431468832425122132724075',8417,'270',54.66,1,3,NULL),(15,2007711,'1989-12-17 00:00:00',4,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242241215472431589813574124610163017',213,'270',79.78,1,3,NULL),(15,2007720,'1986-05-23 00:00:00',2,1,6,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241136371431536511345134130218077',22394,'521',30.43,1,2,1),(15,2007738,'1989-06-11 00:00:00',2,1,12,2006,'F','N','CENTRO','RIBEIRAO PRETO','SP','125252251215411711458831575112610124123',NULL,'9998',29.26,1,3,NULL),(15,2007754,'1978-12-30 00:00:00',4,1,5,2001,'M','N','IRINEU COMELLI','SAO JOSE','SC','124241246136133731446513475124222364147',NULL,'739',0.00,1,2,1),(15,2007762,'1988-03-03 00:00:00',4,9,12,2005,'F','N','CENTRO','LAGES','SC','124242241216472531459613472122130637017',12922,'499',47.69,1,3,NULL),(15,2007770,'1982-12-12 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241316574431668624271121610127117',1193,'269',72.50,4,3,NULL),(15,2007789,'1988-05-05 00:00:00',4,1,12,2004,'M','N','CENTRO','CONCORDIA','SC','124242241211455231469837571124121467177',415,'1047',77.53,1,3,NULL),(15,2007797,'1989-10-13 00:00:00',4,1,12,2007,'M','N','TIJUQUINHAS','BIGUACU','SC','124242241215112431366612425124610134177',3736,'270',64.11,1,3,NULL),(15,2007800,'1989-05-30 00:00:00',2,1,12,2007,'F','N','ABRAAO','FLORIANOPOLIS','SC','124241241117131431438823572224610125147',14196,'306',45.87,1,2,1),(15,2007827,'1990-03-30 00:00:00',2,1,12,2007,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124241241215372451538433572114610164142',8121,'269',55.15,4,3,NULL),(15,2007835,'1985-12-19 00:00:00',4,1,12,2004,'F','N','ITAGUAÇÚ','FLORIANOPOLIS','SC','124242241215572431458813572124610163145',5845,'1022',59.37,1,3,NULL),(15,2007843,'1988-05-18 00:00:00',2,1,12,2006,'F','N','SERRARIA','SAO JOSE','SC','124241241137371431623311375124610122072',15781,'257',43.70,1,2,1),(15,2007860,'1988-12-14 00:00:00',2,1,7,2007,'F','N','SERRARIA','SAO JOSE','SC','124242241116372431466614245122610146092',4752,'306',61.63,1,3,NULL),(15,2007878,'1987-05-15 00:00:00',4,1,12,2004,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215373431388832575122141026043',484,'270',76.93,1,3,NULL),(15,2007886,'1986-03-31 00:00:00',2,1,12,2003,'M','N','SERRARIA','SAO JOSE','SC','124241241117373421563931441132610137047',NULL,'65',23.78,1,2,1),(15,2007894,'1989-01-29 00:00:00',4,1,11,2006,'M','N','DOS ESTADOS','BALNEARIO CAMBORIU','SC','124242241215372431389939571122221437042',2998,'392',66.16,1,3,NULL),(15,2007908,'1990-01-06 00:00:00',2,1,12,2007,'F','N','ANA RECH','CAXIAS DO SUL','RS','120203201415131431447774232124610138147',17266,'9998',41.46,1,3,NULL),(15,2007916,'1990-01-11 00:00:00',4,1,12,2007,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124244241435111431666639575124610127053',18817,'269',38.96,2,3,NULL),(15,2007932,'1986-04-24 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANOPOLIS','SC','124212201216573441126644445224231046092',8088,'9998',55.21,1,3,NULL),(15,2007940,'1990-03-27 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241237131231426823342124610167167',7358,'1098',56.50,1,3,NULL),(15,2007959,'1990-11-17 00:00:00',4,8,12,2007,'F','N','CENTRO','CASCAVEL','PR','116162161216111231438611574122610164147',NULL,'9998',0.00,4,3,NULL),(15,2007967,'1990-02-22 00:00:00',4,1,12,2007,'F','N','JARDIM DOS ESTADOS','POCOS DE CALDAS','MG','113132131217111441479814271122610166187',11760,'9998',49.31,1,3,NULL),(15,2007983,'1990-02-03 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124243241212111431467712575114610163182',354,'270',77.99,1,3,NULL),(15,2007991,'1987-08-26 00:00:00',4,9,12,2005,'M','N','CENTRO','LAGES','SC','120242241212373751446832592115132417042',3061,'497',65.93,1,3,NULL),(15,2008009,'1989-02-11 00:00:00',4,10,12,2005,'F','N','VILA FLOR','CAPIVARI DE BAIXO','SC','124241241112141431436614345124610126147',20630,'1034',35.63,4,2,1),(15,2008017,'1990-07-31 00:00:00',4,1,12,2007,'M','N','MORADA DO SOL','CAMBARA','PR','116162251217111431456832225124610165092',14238,'9998',45.81,3,3,NULL),(15,2008025,'1990-07-14 00:00:00',4,10,12,2007,'F','N','ARROIO CORRENTE','JAGUARUNA','SC','124241241112131412323423332224610126142',20901,'421',35.08,1,2,1),(15,2008033,'1990-04-02 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECO','SC','124242241216471431459812575122610132182',3576,'185',64.52,1,3,NULL),(15,2008041,'1990-11-26 00:00:00',2,1,12,2007,'M','N','ZONA SETE','MARINGA','PR','116162161216111431468933435122610127072',17365,'9998',41.29,4,3,NULL),(15,2008050,'1989-07-11 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241217132431347712245132121737137',5729,'299',59.62,4,3,NULL),(15,2008068,'1988-09-16 00:00:00',4,1,12,2006,'F','N','MORADA DO SOL','AVARE','SP','125252251216132431227864472225610127042',18281,'9998',39.82,1,3,NULL),(15,2008076,'1987-03-31 00:00:00',2,1,12,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431446833215123221468187',5524,'9997',60.01,1,3,NULL),(15,2008084,'1990-01-08 00:00:00',2,8,12,2008,'F','S','CENTRO','SAO FRANCISCO DO SUL','SC','124243241215131731628813575224610167097',NULL,'867',39.19,1,3,NULL),(15,2008106,'1990-08-25 00:00:00',2,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215112431478711571122610128142',7401,'270',56.41,1,3,NULL),(15,2008114,'1989-02-06 00:00:00',4,1,12,2006,'F','N','JARDIM BELA VISTA','SAO JOSE DOS CAMPOS','SP','125252251217471431667932372122610135186',6782,'9998',57.59,1,3,NULL),(15,2008122,'1990-04-08 00:00:00',4,1,12,2007,'M','N','AREIAS','SAO JOSE','SC','124242241215121431446411111122610127117',20807,'1022',35.27,1,3,NULL),(15,2008130,'1990-01-21 00:00:00',4,3,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161417121431486632572122610126182',5067,'9998',60.96,1,3,NULL),(15,2008149,'1988-07-31 00:00:00',4,3,12,2006,'F','N','MONTE LIBANO','CAMPO GRANDE','MS','112122121216431131538831572212610114097',NULL,'9998',0.00,1,3,NULL),(15,2008157,'1990-04-17 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242248217112431467814394114610166145',10921,'1022',50.58,1,3,NULL),(15,2008165,'1990-12-24 00:00:00',4,4,12,2007,'F','N','JARDIM ITÁLIA','CHAPECO','SC','124241241216371431436632245232610164057',16074,'1046',43.26,1,3,NULL),(15,2008173,'1989-04-27 00:00:00',2,1,12,2007,'M','N','CENTRO','TUPA','SP','125073251116231531548613315122610117072',21959,'9998',32.41,4,1,2),(15,2008181,'1989-12-07 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241217273431446612382122610128142',6899,'497',57.34,1,3,NULL),(15,2008190,'1985-12-15 00:00:00',2,1,12,2003,'M','N','IPIRANGA','SAO JOSE','SC','124241241127134721226844245124610167057',22217,'730',31.42,1,2,1),(15,2008211,'1983-09-22 00:00:00',4,1,12,2001,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124251251117372431124644445134141462097',15694,'9998',43.82,4,2,1),(15,2008220,'1986-12-16 00:00:00',2,1,12,2004,'M','N','CENTRO','PALHOCA','SC','124242241116113711446623135123123268177',5090,'306',60.92,1,3,NULL),(15,2008238,'1990-09-25 00:00:00',4,1,12,2007,'F','N','BELA VISTA','IBIRAMA','SC','124242241215121431368832574112610135092',1593,'991',70.82,1,3,NULL),(15,2008246,'1989-09-26 00:00:00',4,3,12,2007,'M','N','TRINTA RÉIS','NOVA TRENTO','SC','124241241147141731343339245121610117052',NULL,'574',5.66,1,3,NULL),(15,2008254,'1989-05-05 00:00:00',2,1,11,2006,'F','N','CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC','124244241116271431337619572124610134077',16052,'465',43.29,1,3,NULL),(15,2008262,'1985-09-15 00:00:00',2,1,12,2003,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217374731646619445124333232097',10146,'273',51.72,1,3,NULL),(15,2008270,'1987-01-26 00:00:00',4,8,12,2004,'M','N','CENTRO','JAGUAPITA','PR','116161161117472431533711295123610167147',5966,'9998',59.14,1,2,1),(15,2008297,'1989-01-16 00:00:00',4,1,12,2006,'M','N','JD CHACARA INGLESA','SAO BERNARDO DO CAMPO','SP','125252251217471431448814575122610117117',9722,'9998',52.39,1,3,NULL),(15,2008300,'1986-10-05 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124112111216112422448823575124231462045',1214,'9998',72.40,1,3,NULL),(15,2008319,'1990-01-25 00:00:00',4,5,12,2007,'M','N','TIMBOPEBA','SAO JOAO DO SUL','SC','124241241125131411523316342224610114147',NULL,'717',0.00,1,2,1),(15,2008335,'1985-11-28 00:00:00',4,2,12,2003,'F','N','FORTALEZA','BLUMENAU','SC','625241241217112441556512212224221762197',2179,'1052',68.66,1,3,NULL),(15,2008386,'1989-04-23 00:00:00',2,1,12,2006,'F','N','CENTRO','PALHOCA','SC','124242241215473731453419575124610123047',NULL,'269',0.00,1,3,NULL),(15,2008394,'1988-01-17 00:00:00',2,1,11,2005,'F','N','VILA CRUZEIRO','SAO PAULO','SP','125252251211571451548822571122610164017',8374,'9998',54.73,1,3,NULL),(15,2008408,'1990-02-20 00:00:00',2,7,12,2007,'F','N','SÃO PEDRO','PORTO UNIAO','SC','124162168232111421566613575122610121143',19800,'9998',37.22,1,3,NULL),(15,2008424,'1988-01-12 00:00:00',2,4,12,2005,'F','N','COLATTO','XANXERE','SC','124241241115373421543614185122610126147',18144,'840',40.08,1,3,NULL),(15,2008432,'1991-04-01 00:00:00',4,4,12,2007,'F','N','PASSO DOS FORTES','CHAPECO','SC','124241241415151431438634572222610124147',11355,'1021',49.90,1,3,NULL),(15,2008440,'1990-11-11 00:00:00',2,1,12,2007,'F','N','RIO CAVEIRAS','BIGUACU','SC','124241241117131731433614231124610166092',21976,'65',32.33,1,2,1),(15,2008459,'1986-02-13 00:00:00',4,8,12,2003,'M','N','BIGORRILHO','CURITIBA','PR','116122121216131431238944245325141065047',17103,'9998',41.72,1,3,NULL),(15,2008467,'1989-04-02 00:00:00',4,1,11,2007,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215112431569913572124610117042',13412,'270',47.01,1,3,NULL),(15,2008475,'1989-04-27 00:00:00',4,1,6,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241117372431369923472124610134142',3446,'306',64.88,1,3,NULL),(15,2008505,'1990-11-08 00:00:00',4,2,10,2007,'F','N','VILA NOVA','BLUMENAU','SC','124242241215121431368821574112610127052',2099,'855',68.96,1,3,NULL),(15,2008521,'1990-02-16 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241312121431346623575122610134142',16587,'300',42.47,1,3,NULL),(15,2008530,'1988-01-16 00:00:00',4,1,12,2005,'F','N','SAIC','CHAPECO','SC','124242241316152411338823495334222232017',9721,'1046',52.39,1,3,NULL),(15,2008556,'1983-03-19 00:00:00',4,1,11,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124204241416131411358613481124232024047',13117,'9997',47.43,4,3,NULL),(15,2008564,'1990-02-25 00:00:00',4,1,11,2007,'M','N','SETOR OESTE','GOIANIA','GO','109092091217111431488812575112610163042',NULL,'9998',0.00,1,3,NULL),(15,2008572,'1990-02-21 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','120242201217121431368914575122610164192',3965,'9998',63.55,1,3,NULL),(15,2008599,'1990-06-25 00:00:00',4,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215111431326829572124610125097',12542,'737',48.23,1,3,NULL),(15,2008602,'1990-09-01 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111411451212445124610133042',NULL,'1078',26.30,1,3,NULL),(15,2008637,'1989-01-02 00:00:00',2,1,12,2007,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242248215123431467812245124610127077',NULL,'258',0.00,1,3,NULL),(15,2008645,'1990-07-17 00:00:00',2,1,12,2007,'F','N','VILA TUPI','PRAIA GRANDE','SP','125252251217111431454572345122610137113',17056,'9998',41.80,1,3,NULL),(15,2008661,'1988-12-28 00:00:00',4,1,12,2006,'F','N','JARDIM PAULISTANO','RIBEIRAO PRETO','SP','125252251215471431348931575122610143097',8875,'9998',53.87,1,3,NULL),(15,2008670,'1990-09-05 00:00:00',2,5,11,2007,'F','N','MICHEL','CRICIUMA','SC','124242241215112431568913592122610167147',8764,'226',54.07,1,3,NULL),(15,2008688,'1973-06-13 00:00:00',2,1,7,1997,'M','N','CENTRO','FLORIANOPOLIS','SC','224242248227152421346644145232230828047',NULL,'303',8.63,1,3,NULL),(15,2008700,'1962-09-27 00:00:00',4,1,11,1980,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','624241246116155711334449495122121764177',13312,'306',47.16,1,3,NULL),(15,2008718,'1988-02-18 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215573431566921574114610164197',10039,'270',51.88,1,3,NULL),(15,2008726,'1989-03-18 00:00:00',4,1,12,2006,'M','N','SERTÃO DO IMARUIM','SAO JOSE','SC','124241241116271441159613395124231424183',9664,'8',52.47,1,2,1),(15,2008734,'1989-12-18 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215122431449814245124610168197',4460,'270',62.36,1,3,NULL),(15,2008742,'1989-02-23 00:00:00',4,8,12,2006,'F','N','NOVA BRASILIA','JOINVILLE','SC','124243248216272431549719315122610168147',14080,'461',46.06,1,3,NULL),(15,2008777,'1990-09-24 00:00:00',4,1,12,2007,'M','N','SÃO SEBASTIÃO','MINEIROS','GO','109092091217211451466716595125610162012',13793,'9998',46.48,1,3,NULL),(15,2008785,'1990-06-26 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217111431369923475112610122033',9371,'1022',53.01,1,3,NULL),(15,2008793,'1989-12-22 00:00:00',2,2,12,2007,'F','N','JARDIM SÃO FRANCISCO','LINS','SP','125244251215121411367813575122610132142',13058,'9998',47.50,1,3,NULL),(15,2008815,'1989-06-17 00:00:00',4,6,11,2006,'F','N','ZONA SETE','MARINGA','PR','116162161216371131469911375122610123042',5565,'9998',59.94,1,3,NULL),(15,2008823,'1988-02-12 00:00:00',2,8,12,2005,'F','N','BOA VISTA','JOINVILLE','SC','124241241126131731616412241124131436052',NULL,'477',21.86,1,2,1),(15,2008831,'1989-01-07 00:00:00',4,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116252251217151431468812375124241437142',NULL,'9998',0.00,1,3,NULL),(15,2008840,'1990-05-10 00:00:00',4,1,11,2007,'F','N','CENTRO','UBERABA','MG','113132131217111431364934574112610164023',9167,'9998',53.32,1,3,NULL),(15,2008858,'1981-12-02 00:00:00',2,1,5,2001,'F','N','JARDIM AQUARIUS','PALHOCA','SC','124241244146373411436521332114132827147',9098,'307',53.46,1,2,1),(15,2008866,'1988-08-22 00:00:00',3,4,12,2005,'M','N','PASSO DOS FORTES','CHAPECO','SC','124241241135273411435664242124133222047',7039,'169',57.08,1,2,1),(15,2008882,'1989-05-06 00:00:00',4,3,11,2006,'M','N','TABOLEIRO','BALNEARIO CAMBORIU','SC','124242241216412731359821375122610167177',6433,'44',58.20,1,3,NULL),(15,2008890,'1990-04-05 00:00:00',4,10,12,2007,'M','N','MAR GROSSO','LAGUNA','SC','124241241145111711357911176122610124172',949,'524',73.77,3,2,1),(15,2008904,'1990-06-13 00:00:00',4,4,12,2007,'F','N','CENTRO LESTE','PRIMAVERA DO LESTE','MT','111111111116161431425533575122610164077',21128,'9998',34.59,1,2,1),(15,2008912,'1990-03-07 00:00:00',4,6,11,2007,'F','N','CENTRO','ITAJAI','SC','124242241217121431558633575122610112182',16568,'9997',42.49,1,3,NULL),(15,2008920,'1991-09-01 00:00:00',4,1,11,2007,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124242241215111432333912245122610164147',15086,'1014',44.69,1,3,NULL),(15,2008939,'1989-06-20 00:00:00',4,3,12,2006,'F','N','CENTRO','ITUIUTABA','MG','113132131216471451545836575114610133092',NULL,'9998',0.00,1,3,NULL),(15,2008947,'1954-04-20 00:00:00',2,1,11,1985,'M','N','TRINDADE','FLORIANOPOLIS','SC','224231247146133741431159285124130266065',14543,'9999',45.35,1,2,1),(15,2008955,'1990-05-08 00:00:00',4,3,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161215111311446714572314610144012',NULL,'9998',0.00,1,3,NULL),(15,2008963,'1988-12-28 00:00:00',2,8,11,2006,'F','N','AMERICA','JOINVILLE','SC','124242247245471431339421271324610136177',11331,'487',49.94,4,3,NULL),(15,2008971,'1988-07-16 00:00:00',4,1,12,2005,'F','N','CRUZEIRO','CAXIAS DO SUL','RS','120203201416472431446923375125142026182',4911,'9998',61.29,1,3,NULL),(15,2008980,'1989-10-27 00:00:00',4,1,12,2006,'F','N','SANTA ROSALIA','LIMEIRA','SP','125254251216471431366713575112610132197',5717,'9998',59.63,1,3,NULL),(15,2009005,'1988-07-29 00:00:00',2,1,12,2005,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124243241126472731633631395124130227142',13254,'257',47.23,1,3,NULL),(15,2009013,'1988-04-18 00:00:00',2,1,12,2005,'M','N','SERRINHA','FLORIANOPOLIS','SC','124244241215473431668329491124610128181',4458,'976',62.37,1,3,NULL),(15,2009030,'1988-12-03 00:00:00',2,10,11,2005,'F','N','MORRO GRANDE','SANGAO','SC','124243241235571521433332175122130264092',19405,'806',38.01,4,3,NULL),(15,2009048,'1987-06-18 00:00:00',2,1,12,2005,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241111134722443279441124610147145',21457,'281',33.83,1,3,NULL),(15,2009056,'1989-03-24 00:00:00',4,1,12,2006,'F','N','BOSQUE DA SAÚDE','SAO PAULO','SP','125252251217472431588672575122610128122',5631,'9998',59.81,1,3,NULL),(15,2009064,'1968-04-25 00:00:00',4,1,12,1985,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241246346135721445543335232522744097',2290,'511',68.27,1,3,NULL),(15,2009072,'1990-03-12 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241211272431458713481144610162147',2406,'266',67.89,1,3,NULL),(15,2009080,'1989-07-14 00:00:00',4,2,11,2007,'M','N','FORTALEZA','BLUMENAU','SC','124242241215111431357533436112610168142',11088,'909',50.32,1,3,NULL),(15,2009099,'1990-01-26 00:00:00',2,8,11,2007,'M','N','AMERICA','JOINVILLE','SC','124242241215371731579912575122610127097',3894,'457',63.76,1,3,NULL),(15,2009102,'1988-11-20 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124202201216472431436611372124610132142',4932,'9998',61.22,1,3,NULL),(15,2009129,'1984-01-20 00:00:00',4,1,12,2001,'F','N','BARREIROS','SAO JOSE','SC','124161161121233431433529282344610164077',13134,'9998',47.41,1,3,NULL),(15,2009137,'1990-03-26 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241212132431248824575124232527147',6598,'1022',57.90,1,3,NULL),(15,2009153,'1987-05-03 00:00:00',4,1,12,2004,'M','N','INGLESES','FLORIANOPOLIS','SC','124112111217221431226641215314143262072',12691,'9998',48.00,1,3,NULL),(15,2009200,'1989-07-22 00:00:00',4,1,12,2006,'F','N','JARDIM OLIDEL','ALUMINIO','SP','125252251116572431469914575124610165142',14287,'9998',45.75,1,3,NULL),(15,2009218,'1989-03-28 00:00:00',2,10,11,2005,'M','N','CENTRO','ARMAZEM','SC','124243241217163431458813571124231068042',5609,'806',59.85,1,3,NULL),(15,2009226,'1990-06-18 00:00:00',4,6,12,2007,'F','N','MALUCHE','BRUSQUE','SC','124242241215141431467722244322610164183',7173,'109',56.84,1,3,NULL),(15,2009242,'1990-04-03 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111431366412275122610127052',7866,'738',55.58,1,3,NULL),(15,2009269,'1988-06-17 00:00:00',2,1,12,2007,'M','N','BOMBAS','BOMBINHAS','SC','124163241415121431368721572122610137182',7828,'855',55.64,1,3,NULL),(15,2009277,'1987-02-09 00:00:00',4,1,12,2005,'F','N','BELA VISTA I','SAO JOSE','SC','124244241217151431436614572112131061147',NULL,'1076',22.58,1,3,NULL),(15,2009285,'1989-09-25 00:00:00',4,1,12,2006,'M','N','SERRINHA','FLORIANOPOLIS','SC','124242241215472431258711575114610134092',267,'633',79.10,1,3,NULL),(15,2009293,'1991-01-20 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241217121431449711574124610143012',2239,'270',68.45,1,3,NULL),(15,2009307,'1987-03-21 00:00:00',2,1,12,2004,'F','N','BOA VISTA','CURITIBA','PR','116161161136471421536931341124610124117',14909,'9998',44.90,1,2,1),(15,2009315,'1990-02-25 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431459969595125610167057',10035,'270',51.89,1,3,NULL),(15,2009323,'1990-03-07 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','120203201117131731538731282324610128077',15554,'9998',44.04,1,3,NULL),(15,2009331,'1982-06-07 00:00:00',1,1,12,2000,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241126371431233364185124141164197',4765,'616',61.60,1,2,1),(15,2009340,'1989-05-05 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431479934575122120626185',122,'270',81.05,1,3,NULL),(15,2009358,'1990-04-26 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241215472431448832422122610124177',1169,'270',72.67,1,3,NULL),(15,2009366,'1986-08-19 00:00:00',4,1,12,2004,'F','N','SETOR AEROPORTO','GOIANIA','GO','109092091215471731248821572114142564127',4526,'9998',62.18,1,3,NULL),(15,2009374,'1988-05-06 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241217474431234611372324130221182',7067,'270',57.02,1,3,NULL),(15,2009382,'1987-03-21 00:00:00',4,1,12,2004,'M','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124242241215152412448833485124232164053',10339,'270',51.44,1,3,NULL),(15,2009404,'1989-01-22 00:00:00',4,1,12,2003,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241212472431528731475124610117091',14069,'273',46.07,1,3,NULL),(15,2009412,'1989-08-27 00:00:00',4,3,12,2006,'F','N','CENTRO','SAO VICENTE','SP','125251254111471411238811282324610134142',4475,'9998',62.33,1,2,1),(15,2009420,'1990-06-23 00:00:00',2,1,12,2007,'F','N','CENTRO','VACARIA','RS','120203201216111421333731571122610137097',21496,'9998',33.73,1,3,NULL),(15,2009439,'1988-09-05 00:00:00',2,1,12,2005,'M','N','NOVA EUROPA','LIMEIRA','SP','125252258215372221446812125124613267052',12777,'9998',47.88,1,3,NULL),(15,2009447,'1986-07-10 00:00:00',4,1,12,2004,'F','N','VILA IPIRANGA','PORTO ALEGRE','RS','120201201111131731446619391124143222097',NULL,'9998',0.00,1,2,1),(15,2009463,'1990-02-22 00:00:00',4,4,10,2007,'F','N','BELA VISTA','CHAPECO','SC','124241241115371441446933591124610146177',18084,'174',40.17,1,2,1),(15,2009480,'1990-06-27 00:00:00',2,8,11,2007,'F','N','FLORESTA','JOINVILLE','SC','124243241436151411446316415124610166197',10294,'1105',51.49,1,3,NULL),(15,2009498,'1989-08-26 00:00:00',4,2,11,2007,'F','N','VILA NOVA','BLUMENAU','SC','124242241215121431459652571122610134013',6247,'855',58.56,1,3,NULL),(15,2009501,'1989-11-19 00:00:00',4,1,12,2006,'F','N','SERRARIA','SAO JOSE','SC','124241241137471431223324385124610164143',11537,'946',49.65,1,2,1),(15,2009528,'1990-04-30 00:00:00',4,1,11,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124242241215121411336823575124610162142',9843,'270',52.19,1,3,NULL),(15,2009536,'1990-09-01 00:00:00',4,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215111431556622575212610127143',NULL,'723',24.06,1,3,NULL),(15,2009544,'1989-01-22 00:00:00',2,3,12,2006,'M','N','JARDIM DAS HONTENCIA','FRAIBURGO','SC','124241241114161431536314241222610128181',21178,'314',34.48,3,2,1),(15,2009552,'1987-01-20 00:00:00',4,1,12,2004,'M','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124244241215275411558611411124230224057',10797,'272',50.75,1,3,NULL),(15,2009560,'1990-09-11 00:00:00',4,1,12,2007,'M','N','CENTRO','CHAPECO','SC','124241241214152411366823574122610166142',1534,'9997',71.06,4,3,NULL),(15,2009579,'1990-10-08 00:00:00',4,5,11,2007,'F','N','SANTA BÁRBARA','CRICIUMA','SC','124244241214111431456711575122610121073',15363,'226',44.31,1,3,NULL),(15,2009587,'1991-05-23 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431345923574124610147147',NULL,'270',61.82,1,3,NULL),(15,2009595,'1989-09-30 00:00:00',4,6,12,2006,'F','N','CENTRO','ITUPORANGA','SC','124244241416472411537814345132610165022',3456,'416',64.86,1,3,NULL),(15,2009609,'1990-04-30 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241215132431436823175124610134042',3323,'270',65.21,1,3,NULL),(15,2009617,'1989-08-03 00:00:00',2,1,12,2007,'F','N','JARDIM CARANDAI','BIGUACU','SC','124241241136572431383432275112610127096',19131,'65',38.47,1,3,NULL),(15,2009625,'1989-12-19 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124253241337121411434413342234610133077',20155,'9997',36.52,1,3,NULL),(15,2009633,'1990-09-30 00:00:00',4,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241435372431447733574122610136197',758,'1011',74.93,1,3,NULL),(15,2009641,'1989-04-08 00:00:00',4,1,12,2006,'F','N','JARDIM AMÉRICA','SAO PAULO','SP','125202201217471431437922575114610147012',1140,'9998',72.87,1,3,NULL),(15,2009650,'1989-12-06 00:00:00',2,1,12,2007,'F','N','INGLESES DO RIO VERM','FLORIANOPOLIS','SC','124123241115131431646824172124610161177',NULL,'289',23.76,4,3,NULL),(15,2009668,'1989-03-28 00:00:00',2,2,12,2006,'F','N','BUDAG','RIO DO SUL','SC','124241241146471331346923432122610128197',17162,'864',41.62,1,3,NULL),(15,2009684,'1990-05-18 00:00:00',4,1,12,2007,'M','N','JARDIM BOM PASTOR','SANTO ANDRE','SP','125252251226271411336519245124610164042',8012,'9998',55.35,4,3,NULL),(15,2009692,'1989-06-30 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215373731118979572122610167057',5459,'270',60.15,1,3,NULL),(15,2009706,'1990-08-31 00:00:00',2,1,12,2007,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124242241415131542448319572221610114042',17262,'1014',41.47,1,3,NULL),(15,2009714,'1989-09-24 00:00:00',4,8,11,2007,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241215372411579914575112610168142',2242,'491',68.44,1,3,NULL),(15,2009722,'1965-09-19 00:00:00',2,1,12,1983,'F','N','BOMBAS','BOMBINHAS','SC','624161164132161431363371312122142322183',11698,'9998',49.40,1,3,NULL),(15,2009730,'1990-02-14 00:00:00',4,1,11,2007,'M','N','GLÓRIA','JOINVILLE','SC','124242241214111231588811242121610137187',6685,'457',57.76,1,3,NULL),(15,2009749,'1990-01-23 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116242161212411751369931572324610161115',NULL,'9998',0.00,1,3,NULL),(15,2009757,'1990-10-06 00:00:00',2,10,12,2007,'M','N','MONTE CASTELO','TUBARAO','SC','124241241116131431323312572122610137147',4035,'804',63.37,4,2,1),(15,2009765,'1989-07-29 00:00:00',4,3,12,2007,'F','N','VILA MARIANA','SAO PAULO','SP','125252251216271411368814575122610166027',NULL,'9998',0.00,1,3,NULL),(15,2009773,'1987-08-02 00:00:00',4,1,12,2004,'M','N','CENTRO','JACIARA','MT','111112111216161412633832572115140266097',NULL,'9998',0.00,1,3,NULL),(15,2009781,'1987-05-28 00:00:00',2,1,11,2004,'M','N','DEMARCHI','SAO BERNARDO DO CAMPO','SP','125253251121271741228824571124610144052',20540,'9998',35.82,4,3,NULL),(15,2009790,'1990-06-19 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111451268933575122610131063',8470,'262',54.56,1,3,NULL),(15,2009811,'1990-06-02 00:00:00',4,9,11,2007,'F','N','APARECIDA','CURITIBANOS','SC','124243241216111441358612575122610168142',20639,'237',35.61,1,3,NULL),(15,2009820,'1984-10-26 00:00:00',4,1,12,2002,'M','N','CENTRO','IBIRAMA','SC','124111241215474431338819445124122344057',9679,'270',52.46,1,3,NULL),(15,2009838,'1989-11-01 00:00:00',4,1,11,2007,'M','N','ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP','125252251221111431579814571121610167184',1121,'9998',72.93,4,3,NULL),(15,2009846,'1985-07-30 00:00:00',4,1,12,2004,'M','N','CANUDOS','NOVO HAMBURGO','RS','120201201131131431425539481114610137117',NULL,'9998',NULL,1,2,1),(15,2009854,'1988-02-03 00:00:00',2,1,12,2005,'F','N','INGLESES DO RIO VERM','FLORIANOPOLIS','SC','124123241116373431646824575114130267147',16650,'289',42.38,4,3,NULL),(15,2009862,'1981-01-10 00:00:00',2,1,10,2003,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241246116132421533414174124610122147',20572,'306',35.75,1,2,1),(15,2009870,'1989-09-21 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241315111411428364241124610168182',5277,'1022',60.56,1,3,NULL),(15,2009889,'1990-02-09 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242248115141531466312195122610162143',NULL,'44',21.53,1,3,NULL),(15,2009897,'1989-03-31 00:00:00',4,1,1,2007,'M','N','ITACUROBI','FLORIANOPOLIS','SC','124251247227271431675529575112610164142',16296,'9999',42.91,1,3,NULL),(15,2009900,'1989-11-10 00:00:00',2,1,11,2006,'F','N','KOBRASOL','SAO JOSE','SC','124243241215372431455923591124610133147',NULL,'723',0.00,1,3,NULL),(15,2009919,'1986-04-07 00:00:00',4,1,12,2004,'M','N','CORONEL RENNO','JACUTINGA','MG','113131131115571411438813585221610164082',6804,'9998',57.54,1,2,1),(15,2009927,'1989-05-10 00:00:00',4,1,12,2006,'F','N','JARDIM SIMUS','SOROCABA','SP','125253251215471431566532271122610168042',9262,'9998',53.17,1,3,NULL),(15,2009935,'1990-09-17 00:00:00',4,1,12,2007,'F','N','CENTRO','CAMPO GRANDE','MS','112122121116471431469914575122610145144',5598,'9998',59.87,1,3,NULL),(15,2009943,'1989-06-21 00:00:00',4,1,12,2006,'M','N','AREIAO','PIRACICABA','SP','125251251336471431556512282122610117044',22084,'9998',32.00,1,3,NULL),(15,2009951,'1991-06-10 00:00:00',2,2,12,2007,'F','N','CENTRO','BRUSQUE','SC','124142241217371231557713572115610134147',17399,'107',41.23,5,3,NULL),(15,2009960,'1986-03-27 00:00:00',2,1,12,2003,'F','N','SANTANA','SANTO AMARO DA IMPERATRIZ','SC','124241241214374431466613242123610128141',22228,'774',31.38,1,3,NULL),(15,2009978,'1987-09-18 00:00:00',2,1,12,2005,'M','N','CENTRO','RIO DO SUL','SC','124243241215312431456912345123130267092',11741,'663',49.34,1,3,NULL),(15,2009994,'1989-07-14 00:00:00',2,1,12,2007,'F','N','CANTO DOS GANCHOS','GOVERNADOR CELSO RAMOS','SC','124241241117131431235923372224610128147',6935,'306',57.28,1,2,1),(15,2010003,'1990-09-14 00:00:00',4,9,11,2007,'M','N','CENTRO','SAO JOAQUIM','SC','124242241215111431436619572122610157053',12751,'1035',47.92,1,3,NULL),(15,2010011,'1985-08-26 00:00:00',4,3,12,2003,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241216371431375514275112131062012',9247,'1038',53.19,1,3,NULL),(15,2010038,'1988-05-28 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241214373431348619575124610162147',111,'270',81.38,1,3,NULL),(15,2010046,'1988-04-08 00:00:00',2,9,12,2005,'F','N','CONTA DINHEIRO','LAGES','SC','124241241122471431546655572214610165052',13004,'831',47.59,1,2,1),(15,2010054,'1988-10-16 01:00:00',4,1,12,2005,'F','N','CENTRO','LONDRINA','PR','116162161216371431238824472122133233097',1502,'9998',71.19,1,3,NULL),(15,2010062,'1989-10-30 00:00:00',4,1,8,2007,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124241241115471431436324341124610122092',3680,'306',64.28,1,2,1),(15,2010070,'1990-07-23 00:00:00',4,1,12,2007,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124242241212111411336432575114610112172',NULL,'1023',20.75,1,3,NULL),(15,2010089,'1988-12-13 00:00:00',2,1,12,2005,'F','N','JURERÊ','FLORIANOPOLIS','SC','124242241211573731457833575125130265051',729,'1022',75.17,1,3,NULL),(15,2010100,'1989-08-03 00:00:00',4,8,11,2006,'F','N','CENTRO','CURITIBA','PR','116222161215152451448831572324610128187',5993,'9998',59.09,1,3,NULL),(15,2010127,'1983-08-05 00:00:00',2,1,12,2001,'M','N','COLONINHA','FLORIANOPOLIS','SC','124241241115372431534514335124610137147',16452,'727',42.66,4,2,1),(15,2010135,'1990-02-15 00:00:00',4,3,12,2007,'F','N','VALE DO SOL','SAO JOSE DO RIO PRETO','SP','125252251217121431469933275112610167097',8378,'9998',54.72,4,3,NULL),(15,2010143,'1987-08-07 00:00:00',2,1,12,2004,'F','N','JARDIM PAULISTA','RIBEIRAO PRETO','SP','125252251215573431456533571122610122182',8992,'9998',53.65,3,3,NULL),(15,2010151,'1990-07-28 00:00:00',4,8,12,2007,'F','N','AMÉRICA','JOINVILLE','SC','124162241215121431477712575112610166012',5433,'491',60.21,1,3,NULL),(15,2010160,'1990-03-23 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241217111431356823592122610163187',5135,'9997',60.84,1,3,NULL),(15,2010186,'1988-04-06 00:00:00',2,1,12,2005,'M','N','VILA INDUSTRIAL','SAO JOSE DOS CAMPOS','SP','125252251236573431427411495112610127042',2029,'9998',69.17,1,3,NULL),(15,2010194,'1990-12-15 00:00:00',4,1,11,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241217122451488831574122610164072',475,'270',77.02,1,3,NULL),(15,2010208,'1987-06-20 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241248415371431437334375124130614097',NULL,'666',10.18,1,3,NULL),(15,2010232,'1985-10-07 00:00:00',2,9,11,2003,'M','N','JARDIM MINUANO','SAO JOAQUIM','SC','124242241216575441448319592122232624057',7822,'720',55.65,1,3,NULL),(15,2010240,'1985-02-15 00:00:00',4,1,7,2004,'M','N','ASA SUL','BRASILIA','DF','107073217437271431476923495122140467093',NULL,'9999',34.60,1,3,NULL),(15,2010259,'1989-09-23 00:00:00',4,1,12,2007,'F','N','JARDIM CAMPESTRE','ARARAS','SP','125252251217111751368811575112610142071',3742,'9998',64.09,1,3,NULL),(15,2010267,'1989-01-16 00:00:00',4,1,12,2006,'M','N','NOVA PIRACICABA','PIRACICABA','SP','125252251215472431549913215122610142162',1284,'9998',72.11,1,3,NULL),(15,2010275,'1990-09-13 00:00:00',4,10,11,2007,'M','N','CENTRO','GRAVATAL','SC','124241241235111431448632585114610167062',939,'807',73.85,1,3,NULL),(15,2010283,'1989-12-20 00:00:00',4,8,10,2007,'F','N','ATIRADORES','JOINVILLE','SC','124242241215272731379921574122610124187',851,'457',74.37,1,3,NULL),(15,2010291,'1988-10-04 00:00:00',4,1,12,2006,'F','N','JARDIM GUADALUPE','OSASCO','SP','125252251215571741448934375122610147072',1539,'9998',71.04,1,3,NULL),(15,2010305,'1989-01-26 00:00:00',2,6,11,2007,'M','N','VILA CLEMENTINO','SAO PAULO','SP','125254251217111441358834495125610167112',8535,'9998',54.46,1,3,NULL),(15,2010313,'1990-08-12 00:00:00',2,1,12,2007,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241126161431426634114121610133147',22464,'13',29.31,1,2,1),(15,2010330,'1991-05-03 00:00:00',4,1,11,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217151731428813435114610163092',7451,'1022',56.33,1,3,NULL),(15,2010356,'1989-11-18 00:00:00',4,1,12,2007,'M','N','JD SANTO ALBERTO','SANTO ANDRE','SP','125254251225111331668614273124610142047',16000,'9998',43.39,1,3,NULL),(15,2010364,'1990-09-14 00:00:00',4,1,11,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241117111431459722395112610137115',16434,'1022',42.69,1,3,NULL),(15,2010372,'1990-06-24 00:00:00',4,4,12,2007,'F','N','PRESIDENTE MEDICE','CHAPECO','SC','124244241217152431479934572122610132047',7240,'185',56.71,1,3,NULL),(15,2010399,'1989-09-19 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241217271431478813572112232166192',8104,'270',55.18,1,3,NULL),(15,2010410,'1979-08-02 00:00:00',2,1,12,2003,'F','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124241248146134451343319575124610124037',22371,'9997',30.55,2,3,NULL),(15,2010429,'1990-01-10 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217112441569933232122610136096',352,'262',78.01,1,3,NULL),(15,2010437,'1990-03-12 00:00:00',2,1,12,2007,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241215372431558733572122610127047',9794,'262',52.27,1,3,NULL),(15,2010445,'1990-11-16 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111451268811575112610167047',1055,'270',73.20,1,3,NULL),(15,2010453,'1989-09-26 00:00:00',4,1,11,2007,'F','N','JARDINS FLORENÇA','GOIANIA','GO','109092098215111431389931575112610164146',18293,'9998',39.81,4,3,NULL),(15,2010461,'1982-11-13 00:00:00',4,1,12,2000,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241216132411358823285122331062017',13062,'270',47.50,1,3,NULL),(15,2010470,'1989-08-13 00:00:00',2,3,12,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215472431469933594112610123012',587,'1038',76.15,1,3,NULL),(15,2010488,'1988-09-18 00:00:00',2,1,11,2007,'F','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','124244241215121431443512575124610166142',16796,'1022',42.17,1,3,NULL),(15,2010496,'1990-01-29 00:00:00',2,4,12,2007,'F','N','PRESIDENTE MÉDICI','CHAPECO','SC','124241241117271431368319392122610165197',9559,'182',52.66,1,2,1),(15,2010518,'1989-08-06 00:00:00',4,8,12,2007,'M','N','AMÉRICA','JOINVILLE','SC','124242241215572431457732275122610164062',3911,'491',63.70,1,3,NULL),(15,2010526,'1990-07-26 00:00:00',2,6,12,2007,'F','N','CENTRO','ITAJAI','SC','124242241215111431426614342223610138177',7942,'388',55.45,1,3,NULL),(15,2010534,'1990-02-25 00:00:00',2,4,12,2007,'F','N','SÃO FRANCISCO','SAO LOURENCO DO OESTE','SC','124242241136141411449313392122610136142',9630,'744',52.54,1,3,NULL),(15,2010550,'1990-05-29 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241215151431423311571124610128032',6276,'269',58.50,1,3,NULL),(15,2010569,'1990-08-25 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124243241215271411346613472124610144182',5107,'272',60.89,1,3,NULL),(15,2010577,'1990-05-14 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215121431246721572122610161013',917,'737',73.97,1,3,NULL),(15,2010585,'1989-03-31 00:00:00',2,8,12,2006,'M','N','CENTRO','REGISTRO','SP','125252251215271731538833372125610118197',17280,'9998',41.44,3,3,NULL),(15,2010593,'1990-09-17 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241215371431338911575112610162192',9857,'44',52.17,1,3,NULL),(15,2010607,'1966-02-02 00:00:00',2,1,12,1984,'M','N','ESTREITO','FLORIANOPOLIS','SC','224241245126134411444443332124610124067',18373,'356',39.69,1,2,1),(15,2010615,'1988-07-24 00:00:00',2,1,12,2007,'M','N','PRAINHA','FLORIANOPOLIS','SC','624241247137131411323413485124610126172',21418,'9999',33.93,4,3,NULL),(15,2010640,'1990-09-18 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124221241417111431539839395124610163017',15720,'269',43.78,1,3,NULL),(15,2010658,'1989-09-23 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241215112431458811575124610137141',5480,'269',60.09,1,3,NULL),(15,2010666,'1988-06-28 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEICAO','FLORIANOPOLIS','SC','124242241216472451268831296112610167092',5470,'270',60.12,1,3,NULL),(15,2010674,'1986-10-28 00:00:00',4,1,12,2004,'F','N','CENTRO','BOTUCATU','SP','125252251216573411559831575122240667096',2361,'9998',68.04,1,3,NULL),(15,2010682,'1989-11-02 00:00:00',2,4,12,2007,'M','N','CENTRO','VARGEAO','SC','124241241115152441443811575122610114172',NULL,'824',0.00,1,2,1),(15,2010690,'1988-12-30 00:00:00',4,1,12,2005,'F','N','PADRE CHAGAS','GUARAPUAVA','PR','124161161216574431366461575124610123097',1620,'486',70.72,1,3,NULL),(15,2010704,'1988-05-22 00:00:00',4,1,6,2006,'M','N','VILA MARIANA','SAO PAULO','SP','125252257237271432468832442124140267117',NULL,'9999',0.00,1,3,NULL),(15,2010712,'1988-04-02 00:00:00',4,1,7,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242247415373431469614342124610166192',11607,'9999',49.54,1,3,NULL),(15,2010720,'1986-03-14 00:00:00',2,1,12,2005,'M','N','SANTO ANTONIO','ARACAJU','SE','126262261216474431358829575122610122116',9689,'9998',52.43,4,3,NULL),(15,2010739,'1990-01-21 00:00:00',4,1,12,2007,'M','N','STA RITA DE CÁSSIA','SANTA BARBARA D OESTE','SP','125253251216111441646414575121610164174',3357,'9998',65.11,1,3,NULL),(15,2010747,'1984-06-03 00:00:00',4,1,12,2001,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124244241215575431547764475214122217057',268,'266',79.09,1,3,NULL),(15,2010755,'1990-03-24 00:00:00',4,1,12,2007,'F','N','SANTOS DUMOND','SAO JOSE','SC','124242241215112431366924574124610166142',6440,'262',58.19,1,3,NULL),(15,2010763,'1988-10-14 00:00:00',4,1,12,2006,'M','N','JARDIM PAULISTANO','SAO PAULO','SP','125252251215371731389811595112610167072',1334,'9998',71.96,1,3,NULL),(15,2010771,'1990-05-17 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111731636412392122610133147',NULL,'259',25.36,1,3,NULL),(15,2010780,'1990-06-05 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124072241215131411438611196114610164147',10885,'272',50.63,1,3,NULL),(15,2010798,'1990-06-01 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241217111431357912475112610133182',6696,'9997',57.75,1,3,NULL),(15,2010801,'1989-12-12 00:00:00',4,6,12,2007,'F','N','CENTRO','ITAJAI','SC','124242241215272431336811574122610118097',21962,'1057',32.39,1,3,NULL),(15,2010810,'1989-04-21 00:00:00',4,1,12,2006,'M','N','BOA VISTA','BOTUCATU','SP','125252251216571411438733575113610147082',2818,'9998',66.71,1,3,NULL),(15,2010828,'1989-03-05 00:00:00',2,4,12,2006,'M','N','VILA NOVA','FRANCISCO BELTRAO','PR','116163161315472431443312125121610164017',7332,'9998',56.55,4,3,NULL),(15,2010844,'1987-02-06 00:00:00',2,5,11,2004,'M','N','CENTRO','CRICIUMA','SC','124241241315574431458311175112610144147',896,'211',74.07,4,3,NULL),(15,2010852,'1991-06-19 00:00:00',4,4,12,2007,'F','N','CENTRO','CONCORDIA','SC','124241241115471431446913375122610138117',NULL,'192',0.00,1,2,1),(15,2010860,'1990-10-12 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215121431458612495122610136177',NULL,'266',57.41,1,3,NULL),(15,2010879,'1989-12-27 00:00:00',2,1,12,2007,'M','N','CENTRO','OURINHOS','SP','125251251417111431456514382111610167047',17940,'9998',40.42,1,3,NULL),(15,2010887,'1988-03-22 00:00:00',2,3,7,2006,'M','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116282281216472441448814495124610167112',NULL,'9998',0.00,1,3,NULL),(15,2010895,'1990-06-08 00:00:00',4,3,12,2007,'M','N','NOVO HORIZONTE','MARINGA','PR','116162161217371431488812472122610167062',235,'9998',79.52,1,3,NULL),(15,2010909,'1990-02-14 00:00:00',4,5,12,2007,'M','N','FUNCIONÁRIOS','BELO HORIZONTE','MG','113132131217151511377814575124610122092',548,'9998',76.43,1,3,NULL),(15,2010917,'1989-05-02 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241217372431348729572124610124142',197,'270',80.02,1,3,NULL),(15,2010925,'1988-01-10 00:00:00',2,1,12,2005,'F','N','SUMARE','RIO DO SUL','SC','124241241215573431247413472315610137077',12145,'654',48.80,2,3,NULL),(15,2010941,'1990-03-10 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241215311431458711571122610125072',4722,'1038',61.70,1,3,NULL),(15,2010950,'1989-02-22 00:00:00',4,1,12,2007,'M','N','CENTRO','DOURADOS','MS','112122128217371431535512575124610127096',NULL,'9998',20.88,1,3,NULL),(15,2010968,'1990-06-01 00:00:00',4,1,12,2007,'M','N','ESTADOS UNIDOS','UBERABA','MG','113133131215121431438823571111610164177',768,'9998',74.89,1,3,NULL),(15,2010976,'1990-03-26 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241215131431425514572324610123077',15730,'943',43.77,1,3,NULL),(15,2010984,'1989-02-26 00:00:00',2,1,12,2006,'F','N','VARGEM BOM JESUS','FLORIANOPOLIS','SC','124243247412472431448611371124610133187',7248,'9999',56.69,1,3,NULL),(15,2010992,'1990-05-19 00:00:00',4,1,11,2007,'F','N','LABIENÓPOLIS','GARCA','SP','125252251217122431468813335124610135012',17664,'9998',40.85,1,3,NULL),(15,2011018,'1988-02-25 00:00:00',4,1,12,2005,'M','N','PORTÃO','LAURO DE FREITAS','BA','105052051217571731479614575112610164044',61,'9998',82.61,4,3,NULL),(15,2011034,'1989-07-02 00:00:00',2,1,12,2006,'M','N','NOVA GUARA','GUARATINGUETA','SP','125251251416472421556823411221610124017',2648,'9998',67.17,1,3,NULL),(15,2011042,'1989-09-03 00:00:00',2,1,12,2006,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124203201212471411437634575124610164097',9282,'9998',53.14,1,3,NULL),(15,2011069,'1990-03-05 00:00:00',4,1,11,2007,'F','N','J N SRA AUXILIADORA','CAMPINAS','SP','125252251217151731379919372122610138184',18294,'9998',39.81,4,3,NULL),(15,2011077,'1988-12-28 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241217472232568813377114610168187',5846,'270',59.37,1,3,NULL),(15,2011085,'1986-06-11 00:00:00',4,1,7,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244247436132431238329585124221362197',10179,'9999',51.66,4,3,NULL),(15,2011107,'1989-05-13 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215472441477712272122610167015',6781,'269',57.59,1,3,NULL),(15,2011115,'1988-06-10 00:00:00',2,1,12,2005,'F','N','CIDADE BAIXA','PORTO ALEGRE','RS','120201201136471431436723475124610136117',5688,'9998',59.69,1,2,1),(15,2011123,'1989-02-10 00:00:00',2,1,12,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241317372432439722491122230237117',6644,'267',57.82,1,3,NULL),(15,2011140,'1976-10-05 00:00:00',4,1,12,1996,'M','N','FAZ SANTO ANTÔNIO','SAO JOSE','SC','124241241126575431343444241324610144142',6711,'201',57.71,1,2,1),(15,2011158,'1989-04-02 00:00:00',4,5,11,2006,'F','N','RIO MAINA','CRICIUMA','SC','124244241215472431467714572124610123142',1319,'210',72.01,1,3,NULL),(15,2011166,'1990-06-11 00:00:00',4,1,12,2007,'F','N','SANTA CRUZ','RIBEIRAO PRETO','SP','125252251216111731578713571114610167182',6461,'9998',58.15,1,3,NULL),(15,2011174,'1990-07-28 00:00:00',4,1,12,2007,'M','N','BOA VISTA','BOTUCATU','SP','125252251217111431439733595114610167182',8026,'9998',55.33,1,3,NULL),(15,2011182,'1989-10-12 00:00:00',2,1,12,2006,'F','N','PARQUE DA MATRIZ','CACHOEIRINHA','RS','120202201217471431427432595124610122097',NULL,'9998',0.00,1,3,NULL),(15,2011190,'1989-02-20 00:00:00',4,1,12,2006,'M','N','CAMPINAS','SAO JOSE','SC','124242241215371431466834374114610117111',18375,'270',39.69,1,3,NULL),(15,2011204,'1989-10-14 00:00:00',4,1,12,2007,'F','N','VILA SUZANA','SAO PAULO','SP','125252251217111431488832572122610137142',10608,'9998',51.01,1,3,NULL),(15,2011212,'1991-11-15 00:00:00',4,6,12,2008,'F','S','CENTRO','FOZ DO IGUACU','PR','116162164216151311468811295122610164072',NULL,'9998',31.23,1,3,NULL),(15,2011220,'1990-02-28 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124073071116371441359723575124610121127',10858,'9998',50.67,1,3,NULL),(15,2011239,'1990-03-21 00:00:00',4,8,12,2007,'M','N','ALTO DA TIJUCA','CANOINHAS','SC','124244241216121431355924375122610167044',8926,'154',53.79,1,3,NULL),(15,2011247,'1991-04-15 00:00:00',2,1,11,2007,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124244241216112411659611572121610127072',1839,'1051',69.81,1,3,NULL),(15,2011255,'1989-04-19 00:00:00',4,1,11,2006,'M','N','REAL PARQUE','SAO PAULO','SP','125252251217471431469933572112610167042',2991,'9998',66.18,4,3,NULL),(15,2011263,'1989-03-20 00:00:00',2,1,12,2006,'F','N','SANTA CATARINA','JUIZ DE FORA','MG','113132131216471431335834572215610162127',NULL,'9998',0.00,1,3,NULL),(15,2011271,'1980-01-18 00:00:00',4,1,12,1997,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242161216154441468812245122130264112',3530,'9998',64.69,1,3,NULL),(15,2011280,'1990-01-01 00:00:00',2,1,12,2007,'M','N','PONTE IMARUIM','PALHOCA','SC','124242241215111431565832142122610148017',7712,'1010',55.84,1,3,NULL),(15,2011298,'1981-06-19 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANOPOLIS','SC','124244247226154431346653445124220526197',17032,'1036',41.83,1,3,NULL),(15,2011301,'1969-08-18 00:00:00',4,1,12,1990,'F','N','VILA MATTEO BEI','SAO VICENTE','SP','125251251146474411314479281124610162092',22001,'9998',32.26,4,2,1),(15,2011310,'1988-11-30 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216372431248923575124610166172',384,'270',77.77,1,3,NULL),(15,2011328,'1988-08-11 00:00:00',4,1,12,2007,'F','N','FLORIANOPOLIS','FLORIANOPOLIS','SC','121212211216111441438812575112610132184',NULL,'9998',0.00,1,3,NULL),(15,2011352,'1990-12-29 00:00:00',4,4,12,2007,'M','N','PINHEIRINHO','PATO BRANCO','PR','116161161115471231457311575122610117042',16211,'9998',43.04,1,3,NULL),(15,2011360,'1990-03-16 00:00:00',2,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241215122431439513575114610131112',20819,'1022',35.24,1,3,NULL),(15,2011387,'1990-09-22 00:00:00',2,8,11,2007,'F','N','VILA NOVA','JOINVILLE','SC','124243241215371431468934575114610136142',17379,'486',41.26,1,3,NULL),(15,2011409,'1989-11-10 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215472431478834492114610168117',296,'270',78.77,1,3,NULL),(15,2011417,'1990-06-29 00:00:00',4,1,11,2006,'F','N','ICARAY','ARACATUBA','SP','125122121116471731468613575122610147177',17391,'9998',41.23,1,3,NULL),(15,2011425,'1990-01-27 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124246241126141731435469345124610164097',22033,'736',32.17,1,3,NULL),(15,2011433,'1988-12-17 00:00:00',2,1,12,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','124244241116472431437619471124610127042',4955,'271',61.18,1,3,NULL),(15,2011441,'1989-01-06 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212473441579813471122610162172',1293,'270',72.09,1,3,NULL),(15,2011450,'1990-12-10 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124242241217111441357923572114610163092',2545,'883',67.48,4,3,NULL),(15,2011468,'1990-01-24 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217122431278827572124610134141',280,'270',78.99,1,3,NULL),(15,2011476,'1989-02-21 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124243241212112431668313572125610165143',19291,'976',38.18,1,3,NULL),(15,2011492,'1988-08-08 00:00:00',2,1,6,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124244247217371431436724571324610123112',16668,'270',42.36,1,3,NULL),(15,2011506,'1991-04-03 00:00:00',4,2,11,2007,'M','N','MERCÊS','UBERABA','MG','113134131215121431278313575122610147047',NULL,'9998',0.00,1,3,NULL),(15,2011514,'1987-10-27 00:00:00',4,6,12,2005,'F','N','VILA SOFIA','SAO PAULO','SP','125252251216571331347732575122610162097',NULL,'9998',0.00,1,3,NULL),(15,2011522,'1990-05-21 00:00:00',2,1,12,2007,'F','N','PARQUE SÃO MATHEUS','PRESIDENTE PRUDENTE','SP','125251251415121421426634285124610126052',NULL,'9998',0.00,4,3,NULL),(15,2011549,'1972-01-26 00:00:00',4,1,12,1988,'F','N','CAMPECHE','FLORIANOPOLIS','SC','524241241116274421336619442324321536097',9674,'307',52.46,1,2,1),(15,2011557,'1988-11-12 00:00:00',2,5,12,2006,'F','N','JARDIM BELA VISTA','ITAPIRANGA','SC','124241241226471431435632275122610125122',4070,'1060',63.27,1,3,NULL),(15,2011565,'1989-07-19 00:00:00',4,1,12,2007,'F','N','BATEL','CURITIBA','PR','116162168215471432387712575124610164092',21673,'9998',33.33,1,3,NULL),(15,2011573,'1991-01-17 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215121431469911572112610137042',5329,'270',60.45,1,3,NULL),(15,2011581,'1991-03-04 00:00:00',4,4,11,2007,'M','N','CENTRO','PONTE SERRADA','SC','124244241217371431468924275124610117052',2703,'1081',67.01,1,3,NULL),(15,2011590,'1988-09-19 00:00:00',4,1,11,2006,'M','N','HIGIENÓPOLIS','SAO PAULO','SP','125252251217472431379911434122610127012',3156,'9998',65.68,1,3,NULL),(15,2011603,'1990-05-16 00:00:00',4,8,12,2007,'M','N','BUCAREIN','JOINVILLE','SC','124241241315111411247921571121610166117',7242,'491',56.71,1,3,NULL),(15,2011611,'1990-10-02 00:00:00',4,8,11,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431449914572122610167127',5141,'486',60.83,1,3,NULL),(15,2011620,'1987-10-14 00:00:00',4,1,12,2005,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241212574431348823572112130263077',14362,'270',45.62,1,3,NULL),(15,2011638,'1989-11-27 00:00:00',4,2,12,2006,'M','N','CENTRO','RIBEIRAO PRETO','SP','111112251216371431479931575122610127072',3975,'9998',63.53,1,3,NULL),(15,2011646,'1991-07-07 00:00:00',4,1,12,2007,'F','N','CAJURU','CURITIBA','PR','116244161216471211339634575124610137157',9871,'9998',52.15,1,3,NULL),(15,2011654,'1990-03-04 00:00:00',4,1,12,2007,'M','N','CRISTO REI','CURITIBA','PR','116162161217471431489933432114610128092',967,'9998',73.70,1,3,NULL),(15,2011662,'1990-03-07 00:00:00',4,3,11,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124164241215272441486867575114221764185',2427,'44',67.84,1,3,NULL),(15,2011670,'1990-04-22 00:00:00',2,7,12,2007,'F','N','REUNIDAS','CACADOR','SC','124242241215111431474812222122610161142',12300,'120',48.57,1,3,NULL),(15,2011689,'1988-12-05 00:00:00',4,8,11,2005,'F','N','MERCES','CURITIBA','PR','116162161216573411438416584344610162092',2252,'9998',68.41,1,3,NULL),(15,2011697,'1989-12-26 00:00:00',4,1,11,2007,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241215412441569713335124610122182',4521,'1098',62.20,1,3,NULL),(15,2011700,'1991-01-12 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241116111411445712375121610137142',3593,'737',64.49,1,3,NULL),(15,2011719,'1985-07-11 00:00:00',2,1,11,2004,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241241136232411633614445124610144142',22043,'257',32.12,4,2,1),(15,2011727,'1990-08-30 00:00:00',2,1,12,2007,'F','N','TRIANON','GUARAPUAVA','PR','116162161215271431339833572122610123012',8145,'9998',55.11,1,3,NULL),(15,2011735,'1988-12-02 00:00:00',5,1,12,2006,'M','N','VILA SANTISTA','ATIBAIA','SP','125252251216472431387632571112610124012',2007,'9998',69.26,1,3,NULL),(15,2011743,'1989-10-08 00:00:00',4,1,12,2006,'M','N','JD ROSEIRA','LIMEIRA','SP','125252251215471431489831572114610127057',5031,'9998',61.03,4,3,NULL),(15,2011751,'1984-11-10 00:00:00',4,1,12,2003,'M','N','STO ANTONIO DE LISBO','FLORIANOPOLIS','SC','124243241214575751346613245114610134117',12169,'272',48.77,1,3,NULL),(15,2011760,'1989-08-08 00:00:00',2,1,11,2007,'M','N','JARDIM ALVORADA','OURINHOS','SP','125252251217151411258923575112610137057',18045,'9998',40.23,1,3,NULL),(15,2011778,'1987-12-15 00:00:00',4,9,12,2005,'F','N','JARDIM AMÉRICA','CAXIAS DO SUL','RS','120202201215573431467614572124610132072',4510,'9998',62.22,1,3,NULL),(15,2011786,'1990-03-13 00:00:00',4,1,12,2007,'M','N','MORADA DO SOL','INDAIATUBA','SP','125253251216111431458313575124610164017',13712,'9998',46.60,4,3,NULL),(15,2011794,'1989-09-24 00:00:00',2,1,12,2006,'F','N','CENTRO','REDENTORA','RS','120201201117361431223323572314610134147',NULL,'9998',0.00,1,2,1),(15,2011808,'1991-09-12 00:00:00',2,1,11,2008,'F','S','CENTRO','SOMBRIO','SC','124242241217151411326611571122610125171',NULL,'904',46.25,1,3,NULL),(15,2011816,'1988-07-06 00:00:00',4,1,11,2005,'F','N','APARECIDA','SANTOS','SP','125242251215471411448814575122143232157',7251,'9998',56.69,1,3,NULL),(15,2011824,'1989-03-06 00:00:00',2,1,12,2006,'M','N','CENTRO','CRUZEIRO DO OESTE','PR','116161161417473431533511376124610168057',2839,'9998',66.64,1,3,NULL),(15,2011840,'1988-12-20 00:00:00',4,1,12,2006,'F','N','VILA SUÍÇA','INDAIATUBA','SP','125252251215471431467712475112610122147',3733,'9998',64.11,1,3,NULL),(15,2011883,'1989-10-08 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241115471411431621572124610123077',NULL,'307',20.74,1,2,1),(15,2011891,'1990-01-29 00:00:00',4,1,12,2007,'F','N','CIDADE BAIXA','PORTO ALEGRE','RS','120202201217271431237731395122610166097',NULL,'9998',0.00,1,3,NULL),(15,2011905,'1988-04-28 00:00:00',4,1,12,2005,'M','N','JARDIM UIRÁ','SAO JOSE DOS CAMPOS','SP','125251251216272411555312575112121932192',1850,'9998',69.77,1,3,NULL),(15,2011913,'1988-01-20 00:00:00',4,1,11,2005,'F','N','JARDIM MARAJOARA','SAO PAULO','SP','125252251215472441477712272122141962077',NULL,'9998',0.00,1,3,NULL),(15,2011921,'1990-10-16 00:00:00',2,1,11,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241215111431456414572124610162092',15792,'269',43.69,4,3,NULL),(15,2011930,'1989-11-13 00:00:00',2,5,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241217472431435362576124610164042',4076,'211',63.25,1,3,NULL),(15,2011948,'1989-03-04 00:00:00',4,1,12,2006,'F','N','BAIRRO ALTO','PIRACICABA','SP','125252251217471431468614571122610162147',154,'9998',80.62,1,3,NULL),(15,2011956,'1984-12-13 00:00:00',2,1,11,2002,'F','N','PEDRA BRANCA','PALHOCA','SC','124244241237371531479513571124133254097',NULL,'9999',0.00,1,3,NULL),(15,2011964,'1990-09-04 00:00:00',4,7,11,2007,'M','N','JARDIM DAS HORTÊNCIA','FRAIBURGO','SC','124242241215111431559814471112610137051',3662,'969',64.32,1,3,NULL),(15,2011972,'1991-11-07 00:00:00',2,1,12,2008,'M','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241116151411553114245124610138047',NULL,'307',38.65,1,3,NULL),(15,2011980,'1990-07-03 00:00:00',4,1,11,2007,'F','N','CENTRO','CURITIBA','PR','116122161216121431588811475124610127062',816,'9998',74.61,4,3,NULL),(15,2011999,'1989-02-02 00:00:00',4,2,12,2006,'M','N','DAS NAÇÕES','TIMBO','SC','124241241116472431346331575124610127147',291,'787',78.81,1,2,1),(15,2012014,'1990-01-19 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','624242241215111431358729572124610121192',4704,'1118',61.74,1,3,NULL),(15,2012022,'1988-05-20 00:00:00',4,1,12,2005,'F','N','GRAGERU','ARACAJU','SE','126262261217231431426613345112143263092',9160,'9998',53.33,4,3,NULL),(15,2012030,'1986-11-30 00:00:00',2,5,11,2003,'F','N','DIVINÉIA','ARARANGUA','SC','124241241116571431646634215124133252097',3694,'30',64.23,1,2,1),(15,2012049,'1989-02-23 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215121411466614572114610166141',8836,'270',53.95,1,3,NULL),(15,2012065,'1988-10-06 00:00:00',4,1,12,2006,'M','N','ALTO DE PINHEIROS','SAO PAULO','SP','125252251216371441259923471112610167042',11871,'9998',49.15,1,3,NULL),(15,2012073,'1976-04-28 00:00:00',4,8,12,1993,'M','N','JARDIM ITABOA','CAMPO LARGO','PR','616161163526471441233319275124142326157',4673,'9998',61.82,1,3,NULL),(15,2012081,'1990-01-14 00:00:00',4,4,12,2007,'M','N','ALVORADA','XAXIM','SC','124241241117152431433932145122610127053',21848,'846',32.80,1,2,1),(15,2012090,'1988-05-14 00:00:00',2,10,12,2005,'M','N','URUSSANGUINHA','ARARANGUA','SC','124241241116573431433363572121232667097',4485,'30',62.29,1,2,1),(15,2012111,'1983-12-16 00:00:00',4,1,12,2003,'M','N','BARRA DO ARIRIU','PALHOCA','SC','124241241136131722543364445113610147042',18696,'591',39.17,4,3,NULL),(15,2012120,'1990-12-07 00:00:00',4,8,11,2007,'M','N','CENTRO','CAMPO DO TENENTE','PR','116162161215111431466812275114610122042',NULL,'9998',0.00,1,3,NULL),(15,2012138,'1990-06-21 00:00:00',2,2,11,2007,'F','N','TRICOLIM','CANOINHAS','SC','124241241215112431336621574122610164097',6495,'154',58.09,1,3,NULL),(15,2012146,'1990-01-19 00:00:00',4,1,11,2007,'F','N','KOBRASSOL','SAO JOSE','SC','124242241214221431528732571122610118072',NULL,'1077',23.23,1,3,NULL),(15,2012154,'1989-07-14 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241316472431446811572114610143142',6330,'1022',58.40,1,3,NULL),(15,2012170,'1989-10-27 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124242241217112431469913575112610128052',3687,'497',64.26,1,3,NULL),(15,2012189,'1989-08-18 00:00:00',2,1,12,2007,'M','N','JARDIM PACAEMBÚ','VARGEM GRANDE DO SUL','SP','125254251217131431425319572124610122197',NULL,'9998',0.00,1,3,NULL),(15,2012197,'1973-10-11 00:00:00',2,1,12,1990,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241216155711456619412124420866192',8136,'272',55.12,1,3,NULL),(15,2012200,'1987-07-14 00:00:00',2,1,11,2005,'M','N','JD DAS INDUSTRIAS','SAO JOSE DOS CAMPOS','SP','125252251217573431478761341112610116051',NULL,'9998',26.64,1,3,NULL),(15,2012219,'1988-03-20 00:00:00',2,1,12,2005,'F','N','CAMPINAS','SAO JOSE','SC','124242241215473431548611572124132728072',7966,'1076',55.43,1,3,NULL),(15,2012227,'1987-09-12 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124202241315372421436727595114610164147',NULL,'1048',0.00,1,3,NULL),(15,2012235,'1986-11-12 00:00:00',4,1,12,2003,'M','N','DORES','SANTA MARIA','RS','124203201217272441386823495124221432097',NULL,'9998',0.00,1,3,NULL),(15,2012243,'1989-05-05 00:00:00',4,6,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241117131431333611315121610122097',20422,'53',36.01,4,3,NULL),(15,2012251,'1990-04-27 00:00:00',2,1,12,2007,'M','N','JARDIM CARANDAI','BIGUACU','SC','124241241116171431223624235121610127147',21529,'65',33.67,1,2,1),(15,2012260,'1987-07-08 00:00:00',4,1,12,2004,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217154441349823476124121463157',8370,'270',54.73,1,3,NULL),(15,2012286,'1988-02-08 00:00:00',4,8,12,2005,'F','N','SÃO RAFAEL','RIO NEGRINHO','SC','124243161216574431547832212122610167075',466,'541',77.07,1,3,NULL),(15,2012294,'1990-03-23 00:00:00',4,8,12,2007,'M','N','SÃO JUDAS TADEU','SOROCABA','SP','125252251215111432578712571112610167043',8625,'9998',54.30,1,3,NULL),(15,2012324,'1989-05-06 00:00:00',2,1,12,2006,'F','N','CENTRO','PALHOCA','SC','124241241116431731313429574124610114077',20362,'822',36.12,1,2,1),(15,2012332,'1990-03-28 00:00:00',4,8,11,2007,'F','N','AMERICA','JOINVILLE','SC','124242241215112531468824295125610114012',4428,'457',62.42,1,3,NULL),(15,2012340,'1990-09-25 00:00:00',2,5,11,2007,'M','N','CENTRO','FORQUILHINHA','SC','124242241217131431537614375124610148142',6105,'995',58.87,1,3,NULL),(15,2012359,'1989-05-13 00:00:00',4,4,12,2006,'F','N','CENTRO','CONCORDIA','SC','124162241215272441459814275124610154047',2274,'190',68.34,1,3,NULL),(15,2012375,'1989-06-29 00:00:00',2,1,12,2006,'F','N','FACULDADE','CASCAVEL','PR','116163161226472431456612575124610163092',NULL,'9998',0.00,1,3,NULL),(15,2012383,'1985-09-26 00:00:00',4,1,12,2002,'F','N','SÃO LEOPOLDO','CAXIAS DO SUL','RS','120202201217271431458812271122242832182',7502,'9998',56.23,1,3,NULL),(15,2012391,'1989-08-04 00:00:00',2,9,12,2006,'F','N','CENTRO','TAPEJARA','RS','120203201116141421238779341124242045182',15805,'9998',43.67,1,3,NULL),(15,2012405,'1988-02-04 00:00:00',4,1,12,2005,'M','N','NOTRE DAME','CAMPINAS','SP','125252251217572431378923572122610167047',13223,'9998',47.28,1,3,NULL),(15,2012413,'1990-11-11 00:00:00',4,8,11,2007,'M','N','CENTRO','JOINVILLE','SC','124244241415471731456622295122610167112',11478,'486',49.73,4,3,NULL),(15,2012421,'1988-11-26 00:00:00',4,1,11,2005,'F','N','HIGIENÓPOLIS','SAO PAULO','SP','125252251215572431357924571112610134147',1546,'9998',71.00,1,3,NULL),(15,2012430,'1989-12-14 00:00:00',2,8,11,2006,'F','N','CENTRO CIVICO','CURITIBA','PR','116163161316471411428833474324610164077',12356,'9998',48.49,1,3,NULL),(15,2012448,'1987-05-24 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217372431148921495124221467011',674,'269',75.60,1,3,NULL),(15,2012456,'1990-05-11 00:00:00',2,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124244241215111431558833572122610134192',17580,'1022',40.96,1,3,NULL),(15,2012464,'1987-09-30 00:00:00',4,1,12,2007,'F','N','CENTRO','BIGUACU','SC','124241241216111411336313575122610144097',NULL,'63',14.29,1,3,NULL),(15,2012472,'1989-12-27 00:00:00',4,7,11,2007,'F','N','FARROUPILHA','VIDEIRA','SC','124241241216272431468833575122610128197',6759,'969',57.63,1,3,NULL),(15,2012480,'1989-11-17 00:00:00',4,1,12,2006,'M','N','JARDIM DAS AMERICAS','LONDRINA','PR','116164161217472411479833575111610164052',833,'9998',74.49,1,3,NULL),(15,2012502,'1989-05-26 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215372431369833575112131464042',479,'270',76.98,1,3,NULL),(15,2012510,'1989-12-18 00:00:00',2,5,6,2007,'F','N','ELIZABETE','ICARA','SC','124244241215371451335632575125610128172',13115,'995',47.43,1,3,NULL),(15,2012529,'1989-11-01 00:00:00',4,3,12,2006,'M','N','BOMBAS','BOMBINHAS','SC','124243241311231431527521372224610167187',8979,'96',53.69,1,3,NULL),(15,2012537,'1990-11-29 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124244241217472431579933574124610165055',35,'270',83.63,1,3,NULL),(15,2012545,'1988-09-21 00:00:00',4,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241217472751469934575114610164056',2364,'262',68.03,1,3,NULL),(15,2012553,'1990-01-04 00:00:00',4,1,12,2007,'M','N','PORTAL DO SOL I','GOIANIA','GO','109092091215111231449931292122610164081',NULL,'9998',0.00,1,3,NULL),(15,2012561,'1986-10-07 00:00:00',2,1,12,2004,'F','N','PANTANAL','FLORIANOPOLIS','SC','224244241215575731236654385124130231185',16009,'272',43.37,1,3,NULL),(15,2012570,'1988-06-10 00:00:00',4,1,12,2005,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124241248115113211448813575121221467115',5022,'267',61.04,1,3,NULL),(15,2012588,'1989-12-31 00:00:00',2,5,12,2007,'F','N','CENTRO','SANTA CRUZ DO SUL','RS','120202208216131731333419291124610123112',22416,'9998',30.15,1,3,NULL),(15,2012596,'1990-02-15 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124134241415171431546832572122610164092',5209,'1022',60.69,1,3,NULL),(15,2012600,'1990-11-19 00:00:00',4,1,12,2008,'F','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124244241417111451486812274114610135053',NULL,'270',61.16,1,3,NULL),(15,2012618,'1987-11-03 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124144251312131431458613482324610117087',NULL,'9998',0.00,1,3,NULL),(15,2012626,'1990-05-29 00:00:00',4,3,12,2007,'F','N','JARDIM PANORAMICO','IVOTI','RS','120202251217121431338834245122610127147',15489,'9998',44.15,1,3,NULL),(15,2012634,'1985-10-21 00:00:00',4,1,12,2003,'F','N','CENTRO','BRAGANCA PAULISTA','SP','125256251116572431336939575124610126197',17887,'9998',40.51,1,3,NULL),(15,2012642,'1987-04-29 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124204201331372431537819372114610127057',14932,'9998',44.87,1,3,NULL),(15,2012650,'1990-05-26 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124202201215421411246313575125610147072',14612,'270',45.26,1,3,NULL),(15,2012669,'1976-04-02 00:00:00',2,1,12,1993,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','624244241416135421344452345122122226187',14874,'272',44.93,1,3,NULL),(15,2012677,'1989-03-28 00:00:00',4,2,12,2006,'M','N','JD BONFIGLIOLI','SAO PAULO','SP','125252251217471431239311575122610167017',3152,'9998',65.69,1,3,NULL),(15,2012685,'1987-11-11 00:00:00',2,1,12,2005,'F','N','IPIRANGA','SAO JOSE','SC','124241241147271711125444242124610165094',NULL,'730',31.75,1,3,NULL),(15,2012707,'1990-12-04 00:00:00',2,1,12,2007,'F','N','AURORA','CARLOS BARBOSA','RS','120201201117131431433614595124610161142',6430,'9998',58.20,1,2,1),(15,2012715,'1989-02-09 00:00:00',2,2,12,2006,'F','N','GARCIA','BLUMENAU','SC','124242241215472731467613585122610123013',691,'87',75.44,1,3,NULL),(15,2012723,'1989-03-27 00:00:00',2,1,12,2006,'F','N','CRUZEIRO','CAPAO BONITO','SP','125254251216471431546632572122610128042',6943,'9998',57.27,1,3,NULL),(15,2012731,'1990-04-25 00:00:00',2,1,11,2007,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124244241412111731433359292124610117115',21639,'269',33.41,1,3,NULL),(15,2012740,'1989-04-13 00:00:00',2,1,12,2006,'M','N','CENTRO','CURITIBA','PR','116242241417471431348823395115610137042',15065,'239',44.71,4,3,NULL),(15,2012758,'1990-11-27 00:00:00',4,7,12,2007,'F','N','MONTE BELO','JOACABA','SC','124242241216372431469933572122610167142',9414,'962',52.92,1,3,NULL),(15,2012766,'1988-09-27 00:00:00',4,1,12,2006,'F','N','ASILO','BLUMENAU','SC','124242241215372431446923571124610128092',9710,'71',52.41,1,3,NULL),(15,2012774,'1990-02-24 00:00:00',4,8,11,2006,'F','N','NOVO MUNDO','CURITIBA','PR','116222161214372331656612574124610162057',NULL,'9998',0.00,4,3,NULL),(15,2012782,'1989-08-31 00:00:00',2,8,11,2006,'M','N','GUANABARA','JOINVILLE','SC','124162161215372421336612345124610138017',16736,'9998',42.28,1,3,NULL),(15,2012790,'1988-03-14 00:00:00',2,1,12,2006,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124241248217272441634359347142610167191',14887,'299',44.92,1,3,NULL),(15,2012804,'1990-05-02 00:00:00',4,1,11,2007,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251215471431448814545121610164167',NULL,'9998',0.00,1,3,NULL),(15,2012812,'1988-12-29 00:00:00',4,1,12,2006,'F','N','JARDIM ESPERANÇA','CANOINHAS','SC','324241241216151731446934592121610168011',NULL,'154',0.00,4,3,NULL),(15,2012820,'1988-10-23 00:00:00',2,1,11,2006,'M','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124242241213474451467832394121610167112',5415,'226',60.24,1,3,NULL),(15,2012839,'1989-04-17 00:00:00',2,1,12,2006,'M','N','SAO BRAZ','CURITIBA','PR','116164161216111411568713472122610167026',NULL,'9998',0.00,1,3,NULL),(15,2012847,'1990-06-30 00:00:00',2,9,12,2007,'F','N','BOSQUE','CURITIBANOS','SC','124241241215121421537719572122610127142',20365,'881',36.11,1,3,NULL),(15,2012863,'1986-10-17 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117475451441313442124610167087',19214,'307',38.31,1,2,1),(15,2012871,'1989-11-30 00:00:00',4,1,12,2007,'M','N','ZONA NORTE','ILHA SOLTEIRA','SP','125112251235141231458831412121610137072',10701,'9998',50.87,1,3,NULL),(15,2012880,'1989-07-10 00:00:00',4,1,12,2006,'F','N','TUDE BASTOS','PRAIA GRANDE','SP','125253251216471431546614375124610146142',12979,'9998',47.62,4,3,NULL),(15,2012898,'1989-10-20 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241216152411239644145124133252065',15508,'272',44.13,1,3,NULL),(15,2012901,'1991-03-06 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241216142431689931242112610136172',6200,'499',58.64,1,3,NULL),(15,2012928,'1988-12-29 00:00:00',4,1,12,2006,'F','N','CENTRO','SAO JOSE DOS CAMPOS','SP','125252251215472431558814575122610133142',7206,'9998',56.78,1,3,NULL),(15,2012936,'1990-03-10 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124201241215111411368714495125610121097',5005,'270',61.07,1,3,NULL),(15,2012944,'1991-06-28 00:00:00',4,4,11,2008,'F','S','JARDIM DAS AMÉRICAS','PATO BRANCO','PR','116162161216271411558713571122610132182',NULL,'9998',61.27,1,3,NULL),(15,2012952,'1990-07-05 00:00:00',4,4,12,2007,'M','N','JARDIM PANORAMA','FOZ DO IGUACU','PR','116162161217151411335916175112610166182',14956,'9998',44.85,1,3,NULL),(15,2012960,'1986-12-14 00:00:00',2,1,12,2004,'F','N','FORQUILHINHAS','SAO JOSE','SC','624201201116131711225551295124140361181',21388,'9998',33.99,1,3,NULL),(15,2012979,'1990-09-15 00:00:00',2,5,11,2007,'F','N','CENTRO','NOVA VENEZA','SC','124241248237311431333414245124610164142',11200,'995',50.16,1,3,NULL),(15,2012987,'1990-03-01 00:00:00',4,10,11,2007,'M','N','CENTRO','TUBARAO','SC','124242241216111431468733372112610127182',1138,'807',72.88,1,3,NULL),(15,2012995,'1986-12-12 00:00:00',4,1,12,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241212272431569411471124133268171',15583,'737',44.00,4,3,NULL),(15,2013002,'1986-01-05 00:00:00',4,1,12,2003,'F','N','OLARIAS','PONTA GROSSA','PR','116162161216473431236923472314142011192',6828,'9998',57.49,1,3,NULL),(15,2013010,'1991-05-23 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215121731479811492122610127072',2635,'270',67.21,1,3,NULL),(15,2013029,'1990-11-20 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111411588833315124610128117',10530,'1118',51.14,1,3,NULL),(15,2013037,'1988-09-20 00:00:00',4,1,12,2007,'F','N','SÃO PEDRO','SAO JOSE DOS PINHAIS','PR','116163161416151431231824575122610164112',NULL,'9998',16.51,1,3,NULL),(15,2013045,'1986-06-24 00:00:00',4,1,11,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241122131411635511272124210115147',NULL,'736',21.97,1,2,1),(15,2013053,'1984-06-21 00:00:00',2,1,12,2001,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242243117131431457914342334230263187',NULL,'306',28.78,1,3,NULL),(15,2013061,'1991-03-13 00:00:00',2,5,11,2008,'F','S','ELIZA GAVA','NOVA VENEZA','SC','124243241215111432434632225112610164182',NULL,'213',36.32,1,3,NULL),(15,2013070,'1990-10-31 00:00:00',4,1,12,2007,'M','N','POMPÉIA','SAO PAULO','SP','125252251216151731578934575114610164077',3995,'9998',63.46,1,3,NULL),(15,2013088,'1990-06-14 00:00:00',2,5,11,2007,'F','N','SAMUEL SANDRINI','ORLEANS','SC','124241241215111431636432275122610132142',NULL,'581',24.22,1,3,NULL),(15,2013096,'1989-10-03 00:00:00',2,1,12,2006,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241114132441439713472224132537182',21844,'361',32.81,1,2,1),(15,2013100,'1989-09-04 00:00:00',4,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241112372311546713381124610127142',21194,'307',34.45,1,3,NULL),(15,2013118,'1990-05-29 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215112431469833572114610164071',606,'270',76.04,1,3,NULL),(15,2013126,'1988-04-09 00:00:00',4,6,12,2005,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215373731535811214125133222187',5895,'1085',59.26,1,3,NULL),(15,2013134,'1988-06-17 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124114241315472431526518284124610132092',14903,'840',44.90,1,3,NULL),(15,2013142,'1989-03-14 00:00:00',2,1,12,2006,'F','N','ARMAÇÃO DO PANTANO D','FLORIANOPOLIS','SC','124243241415271431456933595124610125197',14389,'273',45.58,1,3,NULL),(15,2013150,'1984-02-17 00:00:00',2,1,12,2002,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241115374431444433445113610117047',9902,'267',52.09,1,2,1),(15,2013169,'1990-04-26 00:00:00',4,4,11,2007,'M','N','JARDIM DAS AMÉRICAS','PATO BRANCO','PR','116162161215271421558813572112610164042',8096,'9998',55.20,1,3,NULL),(15,2013177,'1990-03-21 00:00:00',4,1,12,2006,'F','N','ZONA SETE','MARINGA','PR','116112111216471431458822422125610161092',10089,'9998',51.80,1,3,NULL),(15,2013193,'1990-01-23 00:00:00',4,1,12,2007,'M','N','ARAXA','LONDRINA','PR','116162161215471431538814575125610124092',21925,'9998',32.53,1,3,NULL),(15,2013215,'1990-03-14 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211371321479913432122610137112',6741,'262',57.66,4,1,2),(15,2013231,'1990-09-29 00:00:00',4,7,12,2007,'F','N','CENTRO','RIO DAS ANTAS','SC','624241241237171441556831376122610164197',3808,'120',63.96,1,3,NULL),(15,2013240,'1986-12-01 00:00:00',4,1,12,2004,'M','N','BARREIROS','SAO JOSE','SC','124241241113471431447412293324610124177',14073,'257',46.07,1,2,1),(15,2013258,'1990-08-10 00:00:00',2,3,12,2007,'F','N','CENTRO','ITAPEMA','SC','124204241215371431326921485124610134142',NULL,'403',15.74,3,3,NULL),(15,2013274,'1979-01-24 00:00:00',4,1,12,1996,'F','N','ABRAÃO','FLORIANOPOLIS','SC','224244241411575431255853332134321522182',1864,'272',69.73,1,3,NULL),(15,2013290,'1990-10-25 00:00:00',4,8,11,2007,'F','N','ACARAÍ','SAO FRANCISCO DO SUL','SC','124242241215271431548412572112610123182',NULL,'270',47.41,1,3,NULL),(15,2013304,'1991-02-24 00:00:00',4,1,12,2008,'F','S','N S DO ROSÁRIO','SAO JOSE','SC','124242241215121431423633572124610137052',NULL,'738',43.34,1,3,NULL),(15,2013312,'1990-05-10 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215112451368623592122610128112',13927,'1022',46.27,1,3,NULL),(15,2013320,'1988-03-25 00:00:00',4,1,12,2005,'F','N','KOBRASOL','SAO JOSE','SC','124242241215373431363712475124610121147',4219,'723',62.86,1,3,NULL),(15,2013339,'1988-04-08 00:00:00',4,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241212133432356513272114122214017',10243,'269',51.57,1,3,NULL),(15,2013363,'1990-07-26 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215111431458819572114610167062',1197,'270',72.49,1,3,NULL),(15,2013371,'1990-04-11 00:00:00',4,1,12,2007,'M','N','ASA SUL','BRASILIA','DF','107072071217271431468831472121610137132',403,'9998',77.63,1,3,NULL),(15,2013380,'1989-06-09 00:00:00',4,1,12,2006,'M','N','RUDGE RAMOS','SAO BERNARDO DO CAMPO','SP','125252251217471331469812325112610167046',11571,'9998',49.60,1,3,NULL),(15,2013398,'1990-02-27 00:00:00',4,1,11,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215112731378921572122610144052',3688,'270',64.26,1,3,NULL),(15,2013401,'1990-04-22 00:00:00',2,1,12,2007,'F','N','CAMINHO NOVO','PALHOCA','SC','124242241111151411225527372124610134197',19113,'591',38.50,1,3,NULL),(15,2013410,'1991-01-17 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241235111332544911572112610167072',NULL,'738',0.00,1,3,NULL),(15,2013428,'1984-08-25 00:00:00',2,1,12,2002,'F','N','SION','BELO HORIZONTE','MG','113134131437571441367822571122140262117',9226,'9998',53.22,1,3,NULL),(15,2013444,'1990-07-06 00:00:00',4,1,11,2007,'F','N','VILA ADYANA','SAO JOSE DOS CAMPOS','SP','125252251217111431378829595122610163072',7086,'9998',56.99,1,3,NULL),(15,2013452,'1988-08-22 00:00:00',2,1,12,2005,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241125572411545314271124130822092',5833,'923',59.40,1,2,1),(15,2013460,'1990-03-26 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','624244241215111431457823572114610166015',NULL,'1022',0.00,1,3,NULL),(15,2013479,'1990-12-17 00:00:00',2,5,11,2007,'M','N','SANTA BARBARA','CRICIUMA','SC','124242241215271431479614375122610124092',15545,'210',44.06,1,3,NULL),(15,2013487,'1989-05-15 00:00:00',2,8,12,2007,'M','N','BARRA DO RIO CERRO','JARAGUA DO SUL','SC','124161241114141432446761241121610127092',20359,'435',36.13,1,3,NULL),(15,2013495,'1990-05-18 00:00:00',4,1,1,2008,'M','N','IPIRANGA','SAO JOSE','SC','124242241215111431466332575124610164072',8544,'738',54.45,1,3,NULL),(15,2013517,'1991-04-22 00:00:00',4,4,11,2007,'M','N','CENTRO','FREDERICO WESTPHALEN','RS','120204201216151431469833574122610135143',NULL,'9998',0.00,1,3,NULL),(15,2013525,'1990-03-24 00:00:00',4,1,11,2007,'F','N','CENTRO','BRUSQUE','SC','124242241215111431266921574122610126092',3076,'270',65.90,1,3,NULL),(15,2013533,'1990-07-12 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124212241215111731379833572112610162182',6362,'262',58.33,1,3,NULL),(15,2013541,'1989-10-12 00:00:00',2,10,12,2006,'F','N','BARRA GRANDE','SALETE','SC','124241241416372751448713272125610163127',7980,'776',55.40,1,3,NULL),(15,2013568,'1986-05-11 00:00:00',2,8,12,2003,'F','N','CENTRO','PONTA GROSSA','PR','116163161216575431543611572122610148017',4276,'9998',62.74,1,3,NULL),(15,2013576,'1988-08-11 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124253131215471431567314275112610165142',3779,'9998',64.02,1,3,NULL),(15,2013584,'1990-09-04 00:00:00',4,8,12,2007,'M','N','BARRA DO RIO CERRO','JARAGUA DO SUL','SC','124244241216111431466934575112610127042',NULL,'422',21.00,1,3,NULL),(15,2013592,'1989-01-20 00:00:00',4,1,12,2006,'F','N','ZONA SETE','MARINGA','PR','116162161216372731468819592122610164144',17123,'9998',41.69,1,3,NULL),(15,2013614,'1990-03-23 00:00:00',2,7,11,2007,'F','N','INDUSTRIÁRIOS','CONCORDIA','SC','124244241415111431548913335122610121147',15360,'190',44.31,1,3,NULL),(15,2013622,'1988-10-12 00:00:00',2,1,11,2007,'M','N','JARDIM AGU','OSASCO','SP','125251251216271431645319575113610137047',16080,'9998',43.25,3,3,NULL),(15,2013630,'1990-02-21 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124241241115111711343621494114610164087',18874,'307',38.88,1,2,1),(15,2013649,'1989-12-13 00:00:00',4,1,12,2006,'F','N','CENTRO','GENERAL CARNEIRO','PR','116164161116162631358919572122610134117',17066,'9998',41.77,1,3,NULL),(15,2013657,'1990-08-11 00:00:00',4,1,11,2007,'M','N','JD HEDY','LONDRINA','PR','116162161216211431469813335122610117072',7854,'9998',55.60,3,3,NULL),(15,2013665,'1989-11-11 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241215372431466632575124610126172',3179,'269',65.60,1,3,NULL),(15,2013673,'1989-11-05 00:00:00',4,8,12,2006,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215372431548634572122610124077',6499,'491',58.08,1,3,NULL),(15,2013690,'1985-11-16 00:00:00',4,1,12,2003,'M','N','SETOR JAÓ','GOIANIA','GO','109092091217575751549923472122120764187',811,'9998',74.68,4,3,NULL),(15,2013703,'1988-03-29 00:00:00',4,10,12,2005,'F','N','MORUMBI','SAO PAULO','SP','125254251217572231432379575114610164147',5071,'9998',60.95,4,3,NULL),(15,2013711,'1989-03-30 00:00:00',4,3,12,2006,'M','N','VILA RICA','CAMBE','PR','116162161217471431459911574112610164017',NULL,'9998',0.00,1,3,NULL),(15,2013720,'1989-10-19 00:00:00',4,8,12,2006,'M','N','JARDIM FERRARI','ITAPEVA','SP','125252251216411431568833375114610137052',8341,'9998',54.79,1,3,NULL),(15,2013738,'1988-11-29 00:00:00',4,1,12,2007,'F','N','TATUAPE','SAO PAULO','SP','125252251217371431666632575112610124117',NULL,'9998',0.00,1,3,NULL),(15,2013746,'1989-12-02 00:00:00',4,8,11,2007,'F','N','CENTRO','CASCAVEL','PR','116162161216271431334619275122610144182',13959,'9998',46.21,1,3,NULL),(15,2013754,'1990-06-21 00:00:00',2,1,12,2007,'M','N','CENTRO','CANOINHAS','SC','124241241116131451533315291124610147142',8385,'307',54.71,1,2,1),(15,2013762,'1990-07-31 00:00:00',4,9,12,2007,'F','N','CENTRO','VACARIA','RS','120202201215141431457614245112610162147',16318,'9998',42.87,1,3,NULL),(15,2013770,'1990-05-23 00:00:00',2,10,12,2007,'F','N','PASSAGEM','TUBARAO','SC','124241241215271431426411472124610164197',11209,'797',50.14,1,3,NULL),(15,2013789,'1977-01-22 00:00:00',2,1,12,1997,'F','N','KOBRASOL','SAO JOSE','SC','124241245122371431456623245124132726077',22032,'307',32.17,4,2,1),(15,2013797,'1990-08-20 00:00:00',4,6,12,2007,'F','N','CENTRO','ITAJAI','SC','124242248216111411468914245111610144012',19718,'1057',37.38,1,3,NULL),(15,2013800,'1988-03-25 00:00:00',4,1,12,2005,'F','N','VISTA ALEGRE','VINHEDO','SP','125251256236471441538714381122610165142',3201,'9998',65.54,1,3,NULL),(15,2013819,'1989-05-24 00:00:00',4,1,12,2006,'F','N','CENTRO','PALHOCA','SC','124282251216372421338814574124130427147',11627,'9998',49.51,1,3,NULL),(15,2013827,'1990-05-06 00:00:00',4,1,12,2007,'M','N','SETOR BUENO','GOIANIA','GO','109092091215111231426932572122610167022',10109,'9998',51.77,1,3,NULL),(15,2013835,'1989-10-25 00:00:00',4,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241216151431367714585114610167057',5106,'737',60.89,1,3,NULL),(15,2013843,'1986-09-30 00:00:00',4,1,7,2005,'M','N','BARREIROS','SAO JOSE','SC','124242247236371431327624395124610128182',11938,'270',49.06,1,3,NULL),(15,2013851,'1990-01-03 00:00:00',2,10,12,2006,'F','N','CENTRO','VIAMAO','RS','120204201217471411439833431124610126142',8829,'9998',53.97,1,3,NULL),(15,2013886,'1989-12-10 00:00:00',4,8,12,2007,'M','N','BATEL','CURITIBA','PR','116162161217111431369934572124610167012',339,'9998',78.20,4,3,NULL),(15,2013894,'1983-01-14 00:00:00',4,8,11,2000,'F','N','CENTRO','GUARAMIRIM','SC','124162161436272431438313174114133216092',10209,'9998',51.61,1,3,NULL),(15,2013908,'1989-12-30 00:00:00',4,1,12,2007,'M','N','SAN REMO','VOTUPORANGA','SP','125252251211151431448869572122610164187',9304,'9998',53.12,1,3,NULL),(15,2013916,'1989-05-26 00:00:00',4,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161217371431368821572124242463142',1548,'9998',70.99,1,3,NULL),(15,2013924,'1988-05-05 00:00:00',4,1,12,2005,'F','N','VILA FORMOSA','SAO PAULO','SP','125253251117472431323411214324610166097',593,'9998',76.12,1,3,NULL),(15,2013932,'1980-11-30 00:00:00',2,1,12,1998,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','224161161127311211233353442135610166197',21196,'9998',34.45,3,2,1),(15,2013940,'1990-01-28 00:00:00',4,2,12,2007,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124242241215111431469931571122610124115',1630,'855',70.68,1,3,NULL),(15,2013959,'1990-09-03 00:00:00',4,8,11,2007,'M','N','ÁGUA VERDE','CURITIBA','PR','116164161216121431369911275124610137052',449,'9998',77.23,1,3,NULL),(15,2013967,'1990-05-26 00:00:00',4,1,12,2007,'F','N','SAUSALITO','MAIRIPORA','SP','125252251416151431458811285124610165192',6536,'9998',58.01,1,3,NULL),(15,2013975,'1988-07-16 00:00:00',2,8,12,2005,'M','N','IRIRIÚ','JOINVILLE','SC','124241241126271711534414585124610118042',11201,'470',50.16,1,2,1),(15,2013983,'1989-12-09 00:00:00',4,6,12,2006,'F','N','CENTRO','CASCAVEL','PR','116162161216471431469611475125610164173',7388,'9998',56.44,1,3,NULL),(15,2013991,'1990-07-25 00:00:00',2,4,11,2007,'F','N','CENTRO','ERECHIM','RS','120202201215221431437711595122610134077',NULL,'9998',34.68,1,3,NULL),(15,2014009,'1990-06-18 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215112431268832575114610167052',540,'266',76.49,1,3,NULL),(15,2014017,'1988-11-10 00:00:00',2,5,12,2005,'F','N','CENTRO','CRICIUMA','SC','124242241215573431438823572122610134197',595,'213',76.12,1,3,NULL),(15,2014025,'1987-09-16 00:00:00',2,3,12,2005,'M','N','CRUZEIRO','SAO BENTO DO SUL','SC','124241241216113431453614575112610167114',8094,'974',55.20,1,3,NULL),(15,2014033,'1986-05-14 00:00:00',4,1,6,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124124121417573411679937575114121464172',624,'9998',75.89,1,3,NULL),(15,2014041,'1988-04-13 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241415372431376923392122130737181',17677,'988',40.83,1,3,NULL),(15,2014050,'1990-04-30 00:00:00',2,8,11,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216371441357733571124610122077',9540,'932',52.70,1,3,NULL),(15,2014068,'1990-03-25 00:00:00',4,1,12,2007,'F','N','SANTO ANTÃO','BENTO GONCALVES','RS','120202201216111431439932425124610146142',19236,'9998',38.28,1,3,NULL),(15,2014076,'1989-02-16 00:00:00',4,1,12,2006,'M','N','COND PITANGUEIRAS','POCOS DE CALDAS','MG','113254131216471431338831575122610114192',9860,'9998',52.16,1,3,NULL),(15,2014106,'1988-06-09 00:00:00',4,1,12,2005,'F','N','VILA TATETUBA','SAO JOSE DOS CAMPOS','SP','125254251215471431449832595112140233197',5967,'9998',59.14,1,3,NULL),(15,2014114,'1991-04-25 00:00:00',4,1,11,2008,'F','S','CANTO DA LAGOA','FLORIANOPOLIS','SC','124242241217151431468812392124610163065',NULL,'262',51.48,1,3,NULL),(15,2014122,'1989-04-01 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124162161117272441348934575314141437017',2436,'9998',67.81,1,3,NULL),(15,2014130,'1984-01-22 00:00:00',2,1,12,2002,'F','N','IPIRANGA','SAO JOSE','SC','124244245325375411326813372124132712187',11896,'9997',49.11,1,3,NULL),(15,2014157,'1991-01-13 00:00:00',2,1,12,2007,'F','N','CENTRO','ITAIPULANDIA','PR','116161168215421731539832575124610163097',NULL,'9998',0.00,1,3,NULL),(15,2014173,'1991-01-06 00:00:00',4,8,11,2007,'F','N','FLORESTA','JOINVILLE','SC','124242241217121431428833575112610166142',10581,'459',51.05,1,3,NULL),(15,2014181,'1990-07-23 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241215471431488914572114610122145',1075,'270',73.11,1,3,NULL),(15,2014203,'1989-09-17 00:00:00',2,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124242241111372231365614572114610137112',2806,'306',66.73,1,3,NULL),(15,2014220,'1982-05-23 00:00:00',2,1,12,2000,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242248115373751458413432134333224142',7511,'306',56.21,1,3,NULL),(15,2014238,'1991-07-01 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217111331369813575125610164042',465,'270',77.07,1,3,NULL),(15,2014254,'1987-03-11 00:00:00',2,1,11,2005,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124164241216131121426663445112131048197',14106,'781',46.02,1,3,NULL),(15,2014270,'1990-02-27 00:00:00',2,5,10,2007,'F','N','PRIMEIRO DE MAIO','ICARA','SC','124244241215111431436933575122610162197',165,'226',80.43,1,3,NULL),(15,2014289,'1988-09-21 00:00:00',4,5,12,2006,'F','N','VILA NOVA','ICARA','SC','124241241116131431633331445122610162017',16483,'1005',42.61,1,2,1),(15,2014297,'1987-06-22 00:00:00',2,1,12,2005,'F','N','JARDIM DAS ACACIAS','CRAVINHOS','SP','125251251416573431546634575124610124117',12982,'9998',47.62,1,3,NULL),(15,2014319,'1983-12-27 00:00:00',2,1,12,2002,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242247426153411467813315124221643047',13977,'270',46.19,1,3,NULL),(15,2014327,'1984-07-13 00:00:00',4,1,12,2002,'M','N','CANTINA','ITAJUBA','MG','113132131116131411543311495121241718117',5204,'9998',60.70,4,3,NULL),(15,2014335,'1988-03-06 00:00:00',4,1,12,2005,'F','N','CENTRO','CURITIBA','PR','116162161215572431457732572124610164097',2318,'9998',68.19,1,3,NULL),(15,2014343,'1990-04-28 00:00:00',4,2,10,2007,'F','N','VILA NOVA','BLUMENAU','SC','124242241215112431579613574112610142172',95,'87',81.68,1,3,NULL),(15,2014351,'1983-01-04 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANOPOLIS','SC','124252251445453431248727445124333234057',14873,'1036',44.94,1,3,NULL),(15,2014360,'1990-07-21 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215371631448411575122610167112',12040,'270',48.93,1,3,NULL),(15,2014378,'1990-02-25 00:00:00',4,3,12,2007,'F','N','CENTRO','CANOINHAS','SC','124244241216122431579913575122610167073',7842,'154',55.61,1,3,NULL),(15,2014386,'1988-03-03 00:00:00',4,1,11,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241115573441469713575124510146192',6517,'271',58.04,1,3,NULL),(15,2014394,'1990-03-10 00:00:00',4,6,11,2007,'F','N','FIUZA LIMA','ITAJAI','SC','124242241215111431336631272122610133012',12208,'1057',48.71,1,3,NULL),(15,2014408,'1990-05-18 00:00:00',4,1,12,2007,'M','N','MEDIANEIRA','CAXIAS DO SUL','RS','120202201217151431453614242124610167182',13721,'9998',46.58,1,3,NULL),(15,2014424,'1989-09-28 00:00:00',2,1,12,2006,'M','N','SOBRADINHO','SOBRADINHO','DF','107072071215471441578912572112142532187',609,'9998',76.00,1,3,NULL),(15,2014432,'1990-08-06 00:00:00',4,8,12,2007,'M','N','JARDIM PANORAMA','VINHEDO','SP','125252251217111331359914275122610127123',7035,'9998',57.09,1,3,NULL),(15,2014440,'1990-04-30 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111531348814572122610127052',11019,'270',50.43,1,3,NULL),(15,2014459,'1990-06-27 00:00:00',4,1,11,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124243241115371431669911575122610164145',5936,'271',59.19,1,3,NULL),(15,2014467,'1990-02-12 00:00:00',4,1,11,2007,'F','N','CENTRO','CURITIBA','PR','116162161216111431468831575122610162187',NULL,'9998',0.00,1,3,NULL),(15,2014475,'1985-09-26 00:00:00',4,1,3,2003,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241117253431339823475124221444142',1663,'306',70.51,1,3,NULL),(15,2014491,'1983-05-01 00:00:00',2,3,11,2001,'M','N','JARDIM DAS PAINEIRAS','OURINHOS','SP','125251251117131321523519191221610127047',NULL,'9998',23.75,4,1,1),(15,2014505,'1987-05-07 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANOPOLIS','SC','124242241235373431556613372124610143027',NULL,'1022',25.41,4,3,NULL),(15,2014513,'1989-03-14 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241437273411543811371121610117097',5887,'270',59.28,1,3,NULL),(15,2014521,'1990-09-07 00:00:00',2,4,12,2007,'M','N','ZONA RURAL','SALTO DO LONTRA','PR','116161161116131431423436292121610133147',20020,'9998',36.78,4,3,NULL),(15,2014548,'1990-10-09 00:00:00',4,10,11,2007,'M','N','OFICINAS','TUBARAO','SC','124242241215121431369813371121610157042',4915,'807',61.27,1,3,NULL),(15,2014564,'1987-07-06 00:00:00',2,1,12,2004,'F','N','CENTRO','BIGUACU','SC','124241241416472431465314372124610127142',8650,'1040',54.26,1,3,NULL),(15,2014580,'1981-11-07 00:00:00',4,9,11,1998,'M','N','SAGRADO CORAÇÃO','LAGES','SC','124241248613575741548614491124232426047',2952,'497',66.29,1,3,NULL),(15,2014602,'1989-07-04 00:00:00',4,1,12,2006,'M','N','CENTRO','TAUBATE','SP','125252251216271431569814575112610162042',6975,'9998',57.21,1,3,NULL),(15,2014610,'1990-01-04 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217272451479933571122610123117',6082,'270',58.93,1,3,NULL),(15,2014629,'1989-05-16 00:00:00',2,8,12,2006,'F','N','GLÓRIA','JOINVILLE','SC','124241161215472431257713574112610126017',7696,'9998',55.87,1,3,NULL),(15,2014637,'1989-06-14 00:00:00',4,1,10,2006,'M','N','SAO JUDAS','SAO PAULO','SP','125252251215471431348823592124141448052',9767,'9998',52.32,1,3,NULL),(15,2014645,'1989-12-12 00:00:00',2,6,12,2006,'F','N','LOTEAMENTO BELVEDERE','APUCARANA','PR','116162161215271431527811242224143162047',NULL,'9998',0.00,4,3,NULL),(15,2014653,'1990-04-11 00:00:00',4,4,12,2007,'M','N','VILA A','FOZ DO IGUACU','PR','116162161217121431356613175124610124112',3206,'9998',65.53,1,3,NULL),(15,2014661,'1988-05-04 00:00:00',2,1,12,2005,'F','N','CASTELO BRANCO','RIBEIRAO PRETO','SP','125252251416371431538611275124141022111',3172,'9998',65.63,4,3,NULL),(15,2014670,'1990-09-10 00:00:00',2,5,11,2007,'F','N','CENTRO','ARARANGUA','SC','124241241215121431457614575221610134145',12211,'27',48.70,1,3,NULL),(15,2014688,'1990-04-04 00:00:00',2,1,11,2007,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124242241214141441444339294124610168172',9064,'989',53.55,1,3,NULL),(15,2014696,'1987-10-25 01:00:00',2,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOCA','SC','115241241126134411636339145124130216182',20328,'592',36.19,1,2,1),(15,2014700,'1988-06-22 00:00:00',4,1,12,2005,'M','N','LIBERDADE','SAO PAULO','SP','125252251216372431467611575114610132122',4260,'9998',62.78,4,3,NULL),(15,2014718,'1990-12-27 00:00:00',4,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215121431343622574124610166017',204,'737',79.90,4,3,NULL),(15,2014726,'1990-05-07 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124241241116131431436634572125610124147',19485,'169',37.85,1,2,1),(15,2014742,'1982-03-05 00:00:00',2,1,9,2002,'F','N','TRINDADE','FLORIANOPOLIS','SC','224201207336372431358853395124140624147',9628,'9998',52.54,1,3,NULL),(15,2014750,'1989-07-30 00:00:00',4,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241215472751676833572112610162197',4960,'270',61.17,1,3,NULL),(15,2014769,'1990-04-13 00:00:00',2,1,12,2007,'F','N','NOVA ESPERANÇA III','CUIABA','MT','111112111216111431566632575122610167142',18473,'9998',39.54,1,3,NULL),(15,2014785,'1989-10-06 00:00:00',4,4,11,2007,'F','N','CENTRO','ERECHIM','RS','120112201216371431468914574124610146142',1876,'9998',69.68,1,3,NULL),(15,2014793,'1990-05-30 00:00:00',4,1,11,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124242241215111431256951575124610142042',408,'270',77.60,1,3,NULL),(15,2014807,'1989-08-15 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212371431365811315122610167047',5777,'270',59.52,1,3,NULL),(15,2014823,'1990-03-29 00:00:00',4,1,12,2007,'F','N','EXPOSIÇÃO','CAXIAS DO SUL','RS','120202206217151431247729572122610166092',10330,'9998',51.44,1,3,NULL),(15,2014831,'1972-09-10 00:00:00',2,1,12,1992,'M','N','ARMAÇÃO P DO SUL','FLORIANOPOLIS','SC','124241241147151432188342225122610118092',22178,'291',31.59,1,3,NULL),(15,2014840,'1990-03-22 00:00:00',4,4,12,2007,'M','N','SÃO ROQUE','PATO BRANCO','PR','116164161115371331546614474122610136073',NULL,'9998',0.00,1,3,NULL),(15,2014866,'1990-12-12 00:00:00',4,1,11,2007,'M','N','SUDOESTE','CRUZEIRO','DF','107072071217111731389934575122610142092',880,'9998',74.17,1,3,NULL),(15,2014874,'1990-08-26 00:00:00',4,7,12,2007,'M','N','PERDIZES','SAO PAULO','SP','125254254217471431489914575124610167092',5493,'9998',60.07,1,3,NULL),(15,2014882,'1990-10-19 00:00:00',4,1,12,2007,'F','N','JARDIM MORUMBI','ARARAQUARA','SP','125252251217111431459931574112610163092',2397,'9998',67.94,1,3,NULL),(15,2014890,'1990-04-04 00:00:00',4,1,12,2006,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124242241217472431458913574114610164032',5321,'1010',60.47,1,3,NULL),(15,2014904,'1990-02-19 00:00:00',4,10,11,2007,'F','N','VILA MOEMA','TUBARAO','SC','124243241217151441336612372122610167052',18149,'809',40.07,1,3,NULL),(15,2014912,'1990-04-03 00:00:00',2,1,12,2007,'F','N','JARDIM SANTA TERESA','JUNDIAI','SP','125254251215161431558931311112610137092',18484,'9998',39.52,1,3,NULL),(15,2014920,'1990-03-30 00:00:00',4,1,12,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241217272411568811271122610157012',8703,'262',54.17,1,3,NULL),(15,2014939,'1988-08-19 00:00:00',5,6,11,2007,'M','N','CENTRO','ITAJAI','SC','124242241214272431258611475122610168125',NULL,'1058',0.00,1,3,NULL),(15,2014947,'1990-09-23 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241117131731546411572122610131147',9419,'257',52.91,1,2,1),(15,2014955,'1990-02-09 00:00:00',4,1,12,2007,'F','N','ALTO','PIRACICABA','SP','125251251116231431336729575123610125097',NULL,'9998',21.03,1,2,1),(15,2014963,'1990-02-12 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124241241215111411256627575114610166142',198,'270',80.01,1,3,NULL),(15,2014971,'1987-06-28 00:00:00',4,1,12,2005,'M','N','CENTRO','SANTA MARIA','RS','120201201317471431258815182122610127047',14006,'9998',46.15,1,3,NULL),(15,2015005,'1990-12-05 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215161731368812575124610162073',8810,'262',53.99,1,3,NULL),(15,2015021,'1990-02-26 00:00:00',4,1,12,2007,'F','N','JARDIM PROENÇA','CAMPINAS','SP','125252251217121411347711215124610123097',11744,'9998',49.33,1,3,NULL),(15,2015030,'1989-08-16 00:00:00',4,8,12,2006,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162161217571441469811573114610127062',5096,'9998',60.91,1,3,NULL),(15,2015048,'1990-07-04 00:00:00',4,1,11,2007,'F','N','CENTRO','TUPARENDI','RS','120202201215121431358832475122610122187',11391,'9998',49.86,1,3,NULL),(15,2015064,'1988-03-03 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241415373411468713375114610146145',13629,'269',46.71,1,3,NULL),(15,2015072,'1989-01-18 00:00:00',4,1,12,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215474431339813192124232724117',14153,'210',45.96,1,3,NULL),(15,2015080,'1982-01-27 00:00:00',4,1,11,1998,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241416152721227822275124321524027',3549,'633',64.62,1,3,NULL),(15,2015102,'1990-08-10 00:00:00',4,4,12,2007,'M','N','BANCARIOS','PATO BRANCO','PR','116163161116271431445834575122610137045',12303,'9998',48.57,1,3,NULL),(15,2015110,'1990-08-08 00:00:00',4,4,11,2007,'F','N','ALVORADA','XAXIM','SC','124241241216161431559913575124610121142',12264,'185',48.64,1,3,NULL),(15,2015129,'1990-10-24 00:00:00',4,2,12,2007,'F','N','CENTRO','BLUMENAU','SC','124242231215111451589912515122613233144',21670,'855',33.34,1,3,NULL),(15,2015137,'1989-11-20 00:00:00',2,8,12,2007,'M','N','PATRIMÔNIO VELHO','VOTUPORANGA','SP','125253251416131431536661215113610165057',14754,'9998',45.07,1,3,NULL),(15,2015161,'1990-09-14 00:00:00',4,1,12,2007,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215271411469913575124610133077',10477,'262',51.22,1,3,NULL),(15,2015196,'1969-06-17 00:00:00',2,1,12,1976,'F','N','CENTRO','FLORIANOPOLIS','SC','224104141216131131433554371124610126017',16177,'9998',43.10,1,3,NULL),(15,2015200,'1990-06-19 00:00:00',4,4,12,2007,'F','N','CENTRO','PALMA SOLA','SC','124161161315111431448633575112610164077',NULL,'9998',22.53,1,3,NULL),(15,2015226,'1956-04-09 00:00:00',1,4,12,1975,'F','N','CENTRO','CHAPECO','SC','224243243426152411553351395122330824142',17317,'553',41.36,1,3,NULL),(15,2015234,'1980-01-15 00:00:00',2,8,12,1997,'M','N','CENTRO','GARUVA','SC','124241243126134451432411212224610137157',13557,'474',46.81,4,2,1),(15,2015242,'1986-01-27 00:00:00',4,1,11,2003,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241231132411223429391121231926093',7812,'9997',55.67,1,3,NULL),(15,2015250,'1982-03-06 00:00:00',4,1,12,1999,'F','N','CAMPINAS','SAO JOSE','SC','124242241215575431359831474124221324091',589,'269',76.14,1,3,NULL),(15,2015269,'1989-02-21 00:00:00',4,1,12,2006,'M','N','CAMPUS DO CTA','SAO JOSE DOS CAMPOS','SP','125254251217371431569633472112140722087',3547,'9998',64.63,1,3,NULL),(15,2015277,'1989-10-09 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372441248924571122610123172',4760,'262',61.61,1,3,NULL),(15,2015285,'1988-09-26 00:00:00',4,1,12,2006,'M','N','BUENO','GOIANIA','GO','109092091217273441368811574112610164097',15667,'9998',43.85,1,3,NULL),(15,2015293,'1968-06-20 00:00:00',4,1,12,1995,'M','N','ITACORUBI','FLORIANOPOLIS','SC','224251247146271421224354485124230767067',10864,'9999',50.66,4,3,NULL),(15,2015307,'1990-05-08 00:00:00',2,1,12,2007,'F','N','CENTRO','CAXIAS DO SUL','RS','120204201217371431376719371122610124077',7598,'9998',56.03,1,3,NULL),(15,2015315,'1990-08-01 00:00:00',4,6,12,2007,'F','N','CENTRO','MARINGA','PR','124242161217121431378814574112610144095',NULL,'9998',0.00,4,3,NULL),(15,2015323,'1987-02-18 00:00:00',4,1,11,2005,'M','N','PEDRA BRANCA','PALHOCA','SC','124244241235472431478613575124610132117',7533,'1022',56.17,1,3,NULL),(15,2015331,'1986-07-21 00:00:00',4,1,11,2003,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244241215373711358933271121130461187',5781,'87',59.51,1,3,NULL),(15,2015340,'1990-05-28 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124163241415111431448612575122610136182',9369,'259',53.01,1,3,NULL),(15,2015358,'1987-04-15 00:00:00',4,1,12,2006,'M','N','CENTRO','ANTONIO CARLOS','SC','124242246215472731458612575122610127042',18560,'270',39.39,1,3,NULL),(15,2015366,'1990-09-13 00:00:00',4,4,12,2007,'F','N','RAINHA DA PAZ','ITAPIRANGA','SC','124241241116131441427514212122610126191',NULL,'412',27.88,1,2,1),(15,2015374,'1990-12-13 00:00:00',2,7,11,2007,'F','N','CENTRO','CURITIBA','PR','116161161216121731378823572114610146017',NULL,'9998',0.00,1,3,NULL),(15,2015382,'1990-05-04 00:00:00',4,1,12,2007,'M','N','JARDIM VIVENDAS','SAO JOSE DO RIO PRETO','SP','125252251216111431378814571122610167052',1475,'9998',71.33,1,3,NULL),(15,2015404,'1990-02-12 00:00:00',4,1,11,2007,'M','N','JARDIM SATÉLITE','SAO JOSE DOS CAMPOS','SP','125252251235111431689712472122610127187',12637,'9998',48.09,1,3,NULL),(15,2015420,'1990-06-06 00:00:00',4,1,11,2007,'M','N','BOSQUE DAS MANSÕES','SAO JOSE','SC','124242241216112431458833275124610124042',874,'1050',74.21,4,3,NULL),(15,2015439,'1990-04-10 00:00:00',4,1,11,2007,'M','N','JD ANALIA FRANCO','SAO PAULO','SP','125252251237371431478814375122610162097',10795,'9998',50.75,1,3,NULL),(15,2015447,'1990-08-03 00:00:00',2,1,11,2007,'M','N','CENTRO','PALHOCA','SC','124242241215111431468833572124610127082',938,'262',73.85,1,3,NULL),(15,2015463,'1989-09-10 00:00:00',4,5,11,2007,'M','N','MORRO ESTEVÃO','CRICIUMA','SC','124242241215311411458814515112610122077',1508,'226',71.16,1,3,NULL),(15,2015471,'1989-12-20 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124244241216472231353619575124610162047',3955,'943',63.59,1,3,NULL),(15,2015480,'1978-09-05 00:00:00',4,1,12,1997,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124173171331433741116649341324121664097',13642,'9998',46.69,4,3,NULL),(15,2015498,'1991-01-14 00:00:00',2,4,11,2007,'F','N','VILA NOVA','FRANCISCO BELTRAO','PR','116161161416271231453332275112610121147',14584,'9998',45.29,1,3,NULL),(15,2015501,'1989-07-25 00:00:00',2,3,12,2006,'M','N','COLONIAL','SAO BENTO DO SUL','SC','124241241216112751456914572122130717117',17798,'974',40.67,1,3,NULL),(15,2015510,'1990-02-21 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215571431447831571122610121092',6871,'270',57.40,1,3,NULL),(15,2015528,'1987-11-20 00:00:00',2,1,12,2004,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124243241314114431658629345124142467115',1994,'269',69.30,1,3,NULL),(15,2015536,'1987-05-09 00:00:00',4,1,12,2004,'M','N','VILA INDUSTRIAL','MOGI DAS CRUZES','SP','125252251216572431559811285115142967057',3278,'9998',65.31,1,3,NULL),(15,2015544,'1990-07-31 00:00:00',4,1,12,2007,'F','N','BATEL','CURITIBA','PR','116161161217411431278814442122610167147',6320,'9998',58.42,1,3,NULL),(15,2015560,'1990-12-30 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111432479613575122610162012',6665,'738',57.79,1,3,NULL),(15,2015587,'1990-07-17 00:00:00',4,1,12,2007,'M','N','VILA SUZANA','SAO PAULO','SP','125252251417371431379924395112610138012',9112,'9998',53.44,1,3,NULL),(15,2015595,'1988-05-23 00:00:00',4,1,12,2005,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','124242248216573431369913332114610122091',4386,'262',62.51,1,3,NULL),(15,2015609,'1987-06-29 00:00:00',4,9,12,2004,'M','N','CENTRO','CURITIBANOS','SC','124241241111474431543313472112131012187',16870,'239',42.05,1,2,1),(15,2015617,'1988-03-07 00:00:00',4,1,12,2005,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241315573431439934572124610167051',414,'269',77.55,1,3,NULL),(15,2015625,'1990-02-08 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241217121411679914585122610121097',11522,'226',49.68,1,3,NULL),(15,2015633,'1990-10-14 00:00:00',4,1,11,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124243241111111431559613572124610167072',18807,'271',38.97,1,3,NULL),(15,2015641,'1989-02-06 00:00:00',4,1,11,2006,'M','N','SUDOESTE','CRUZEIRO','DF','107072071217472432383823475112610134042',2975,'9998',66.23,2,3,NULL),(15,2015650,'1988-09-01 00:00:00',4,8,11,2006,'F','N','BARRA DO RIO CERRO','JARAGUA DO SUL','SC','124242248215472411568811574112610167142',2269,'1063',68.38,1,3,NULL),(15,2015668,'1990-02-19 00:00:00',2,1,12,2007,'F','N','VILA UBERABINHA','SAO PAULO','SP','125252251216371451378831592122610137142',NULL,'9998',0.00,1,3,NULL),(15,2015676,'1990-03-30 00:00:00',4,10,11,2007,'M','N','CENTRO','TUBARAO','SC','124242241215111351346614572114610164112',13435,'806',46.97,1,3,NULL),(15,2015692,'1981-10-31 00:00:00',4,1,12,1998,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','624241241147131421223344145124610122197',19399,'30',38.02,1,2,1),(15,2015706,'1990-12-14 00:00:00',4,1,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215273331368832574112610167062',628,'1038',75.83,1,3,NULL),(15,2015714,'1990-08-18 00:00:00',4,1,12,2007,'M','N','TAYANA PARK','CAMPO GRANDE','MS','112122121217112431378931575122610132017',2639,'9998',67.20,1,3,NULL),(15,2015722,'1989-08-10 00:00:00',3,1,12,2006,'M','N','JARDIM AMÉRICA','JUNDIAI','SP','125252251217472441458311575124610167042',8010,'9998',55.36,4,3,NULL),(15,2015730,'1990-10-24 00:00:00',4,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124244241217111431469913472124610122157',1679,'270',70.45,1,3,NULL),(15,2015749,'1990-02-28 00:00:00',2,1,11,2007,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124242241215111751458629572124610147043',10972,'1022',50.51,1,3,NULL),(15,2015757,'1988-09-01 00:00:00',2,1,12,2005,'M','N','BELA VISTA','PALHOCA','SC','124244241215373431436923375124231467042',2021,'882',69.20,4,3,NULL),(15,2015765,'1990-03-26 00:00:00',4,1,12,2007,'F','N','SÃO FRANCISCO','SANTO AMARO DA IMPERATRIZ','SC','124241241115141611423613292121610134077',18468,'772',39.54,1,3,NULL),(15,2015773,'1990-10-05 00:00:00',4,8,12,2008,'M','S','SAGUAÇU','JOINVILLE','SC','124244241215111431489914572112610127052',NULL,'457',49.24,1,3,NULL),(15,2015781,'1988-03-12 00:00:00',4,1,12,2005,'M','N','MOGILAR','MOGI DAS CRUZES','SP','125253251146572411357923275122610164037',3730,'9998',64.13,4,3,NULL),(15,2015790,'1988-01-05 00:00:00',2,1,12,2005,'F','N','CENTRO','ARROIO DO MEIO','RS','120204201416371411448833575124141367122',21284,'9998',34.24,1,3,NULL),(15,2015820,'1990-02-19 00:00:00',2,1,12,2007,'F','N','GRANDE COLORADO','SOBRADINHO','DF','107132071216111731469769574122610162112',4453,'9998',62.38,1,3,NULL),(15,2015838,'1989-04-04 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217472431467933576114610166145',157,'1022',80.55,1,3,NULL),(15,2015846,'1981-05-03 00:00:00',2,1,12,1999,'M','N','TRINDADE','FLORIANOPOLIS','SC','224203241115253121347843435124221458127',2993,'267',66.17,1,3,NULL),(15,2015870,'1988-04-12 00:00:00',2,1,12,2006,'M','N','SOLAR VILLE','GOIANIA','GO','109094091216412431434423575123610124117',13216,'9998',47.28,3,3,NULL),(15,2015889,'1990-04-24 00:00:00',4,1,12,2007,'M','N','JD OURO BRANCO','RIBEIRAO PRETO','SP','125251251217271431466614576122610164185',824,'9998',74.57,1,3,NULL),(15,2015897,'1990-11-24 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215371531468431572122610147157',2671,'226',67.12,1,3,NULL),(15,2015900,'1988-12-08 00:00:00',4,1,4,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241115132431533511575114122237147',13603,'739',46.74,1,2,1),(15,2015919,'1989-07-08 00:00:00',5,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241345471751359713391124610163077',12546,'307',48.23,1,3,NULL),(15,2015927,'1988-05-08 00:00:00',4,1,11,2005,'F','N','CENTRO','TUBARAO','SC','124242241215573431579914572124610134072',1560,'807',70.94,4,3,NULL),(15,2015935,'1989-12-21 00:00:00',2,10,12,2007,'M','N','SANTA AUGUSTA','BRACO DO NORTE','SC','124243241217161431534914325122610138197',NULL,'102',24.19,1,3,NULL),(15,2015943,'1991-01-03 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215121532686611575122610141146',8543,'266',54.45,1,3,NULL),(15,2015951,'1990-12-02 00:00:00',4,5,12,2007,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124241241215371731439933575124610164042',6900,'27',57.34,1,3,NULL),(15,2015960,'1991-10-08 00:00:00',4,5,11,2007,'M','N','FIGUEIRA','JACINTO MACHADO','SC','124242241215122431488611575124610137072',840,'970',74.42,2,3,NULL),(15,2015978,'1990-10-22 00:00:00',4,5,11,2007,'M','N','SÃO SIMÃO','CRICIUMA','SC','124242241215371431339919572122610122102',315,'226',78.54,1,3,NULL),(15,2015986,'1976-10-21 00:00:00',2,6,12,1993,'M','N','FAZENDA STO ANTONIO','SAO JOSE','SC','224241241121152721353343435124121128052',NULL,'750',0.00,1,3,NULL),(15,2015994,'1978-11-22 00:00:00',4,1,12,1996,'M','N','CAMPECHE','FLORIANOPOLIS','SC','224241241117155421226344445134121968043',12861,'307',47.78,1,3,NULL),(15,2016001,'1988-12-01 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472441459833575122610126032',2755,'1022',66.85,1,3,NULL),(15,2016010,'1989-08-16 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241215272431433311272114610127147',2548,'737',67.47,1,3,NULL),(15,2016028,'1989-06-22 00:00:00',4,1,11,2006,'F','N','CAMPOS ELISEOS','SAO PAULO','SP','125252251217472731477931571112610163192',610,'9998',75.99,4,3,NULL),(15,2016036,'1990-12-09 00:00:00',4,1,12,2008,'M','S','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241215111431359753575124610137042',NULL,'270',47.40,1,3,NULL),(15,2016052,'1990-06-27 00:00:00',2,5,11,2007,'M','N','CIDADE ALTA','ARARANGUA','SC','124242241215371431547921412122610127052',6972,'970',57.21,1,3,NULL),(15,2016060,'1988-11-09 00:00:00',2,9,12,2006,'M','N','CENTRO','CURITIBANOS','SC','124241241415373431458613272124610134067',18670,'237',39.21,1,3,NULL),(15,2016079,'1988-01-29 00:00:00',4,1,12,2005,'M','N','PATAMARES','SALVADOR','BA','105052051216572441679931571122610124047',2130,'9998',68.88,1,3,NULL),(15,2016087,'1989-02-16 00:00:00',4,3,12,2006,'M','N','AMIZADE','JARAGUA DO SUL','SC','124242241211372751568719495124610167047',12152,'441',48.79,1,3,NULL),(15,2016109,'1989-09-20 00:00:00',4,1,11,2006,'M','N','FLAMENGO','RIO DE JANEIRO','RJ','121212211216471451467919575115610134047',7174,'9998',56.84,1,3,NULL),(15,2016117,'1987-07-25 00:00:00',3,4,11,2005,'F','N','JARDIM ITALIA','CHAPECO','SC','124242241215573412478833575114610112197',1327,'168',71.98,1,3,NULL),(15,2016125,'1990-04-07 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241215111431357923572125610137025',4637,'1022',61.92,1,3,NULL),(15,2016133,'1990-06-06 00:00:00',4,4,11,2007,'F','N','MARIA GORETTI','CHAPECO','SC','124242241216371451456613475125610144142',14349,'185',45.65,1,3,NULL),(15,2016141,'1986-10-16 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216574231559833574122232647052',3601,'270',64.48,1,3,NULL),(15,2016150,'1990-04-14 00:00:00',2,1,11,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215421421336514572124610164087',NULL,'724',27.80,1,3,NULL),(15,2016176,'1989-02-04 00:00:00',4,1,7,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241247447271131333824385124610126147',NULL,'300',24.08,1,3,NULL),(15,2016192,'1989-01-07 00:00:00',4,6,12,2006,'M','N','PRAIA DOS AMORES','BALNEARIO CAMBORIU','SC','116242241215472441566312295124610164072',5332,'1026',60.45,4,3,NULL),(15,2016206,'1958-08-19 00:00:00',2,1,7,1978,'M','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','224212216136371421254649442122610167067',3442,'9998',64.89,1,3,NULL),(15,2016214,'1990-06-13 00:00:00',4,1,12,2007,'M','N','JARDIM TV MORENA','CAMPO GRANDE','MS','112122121216371441438833575122610168082',NULL,'9998',0.00,1,3,NULL),(15,2016222,'1989-05-25 00:00:00',2,1,11,2006,'M','N','VILA BETANIA','SAO JOSE DOS CAMPOS','SP','125253256217472431366632375124610167182',3845,'9998',63.88,1,3,NULL),(15,2016230,'1990-08-12 00:00:00',4,1,12,2007,'M','N','VILLAGE III','PORTO SEGURO','BA','105052051217161411378924592124610167042',15648,'9998',43.88,1,3,NULL),(15,2016249,'1990-06-08 00:00:00',2,9,11,2007,'F','N','PRADINHO','SAO JOAQUIM','SC','124244241215271431436939575125610126072',8894,'1035',53.84,4,3,NULL),(15,2016257,'1989-05-20 00:00:00',4,1,12,2006,'M','N','JARDIM PAULISTA','RIBEIRAO PRETO','SP','125252251217471731459927375114610167057',654,'9998',75.69,1,3,NULL),(15,2016265,'1989-09-23 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242081217371441366824476114610164171',11443,'1022',49.79,1,3,NULL),(15,2016281,'1989-07-18 00:00:00',4,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124241241215313431426313575114610127057',12298,'737',48.57,1,3,NULL),(15,2016290,'1988-05-07 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241216372451248929275124220744012',1517,'1036',71.12,1,3,NULL),(15,2016303,'1990-05-29 00:00:00',4,1,12,2007,'F','N','ARMAÇÃO P DO SUL','FLORIANOPOLIS','SC','124241241136371431434633575124610132147',21493,'307',33.74,1,2,1),(15,2016311,'1988-03-06 00:00:00',2,1,12,2006,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241241111372431326949491124610134047',21450,'281',33.84,2,1,1),(15,2016320,'1988-04-29 00:00:00',4,1,12,2005,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124202241215273431469812441122610121071',2209,'270',68.57,1,3,NULL),(15,2016338,'1988-03-07 00:00:00',4,1,12,2005,'F','N','ASA SUL','BRASILIA','DF','107074071217572451257829395124242262187',5818,'9998',59.44,1,3,NULL),(15,2016346,'1990-06-21 00:00:00',2,4,12,2007,'M','N','MARRIA GORETTI','CHAPECO','SC','124241241111131411423614141224610121047',12301,'179',48.57,1,2,1),(15,2016370,'1988-12-17 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124242241216512431368933575124610162185',44,'270',83.28,1,3,NULL),(15,2016389,'1990-01-13 00:00:00',5,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241213111411589933573114610113027',4175,'1022',62.97,1,3,NULL),(15,2016397,'1988-07-28 00:00:00',2,5,11,2006,'F','N','MORRO ESTEVAO','CRICIUMA','SC','124242241215412431429634575122610124042',14110,'226',46.02,1,3,NULL),(15,2016400,'1985-05-23 00:00:00',4,1,11,2006,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241247216132431226721115134610144047',17783,'977',40.70,1,3,NULL),(15,2016419,'1990-01-11 00:00:00',4,10,11,2007,'F','N','SANTO ANTÔNIO','TUBARAO','SC','124242241216121431366812475122610163142',1851,'807',69.77,1,3,NULL),(15,2016427,'1990-06-06 00:00:00',2,1,12,2007,'F','N','JARDIM SAO MIGUEL','BIGUACU','SC','124241241132271431557913385124610135032',20466,'65',35.94,1,3,NULL),(15,2016435,'1990-03-13 00:00:00',2,1,11,2007,'F','N','SANTINHO','FLORIANOPOLIS','SC','124242241216121431548833575124610142097',7127,'262',56.91,1,3,NULL),(15,2016443,'1990-06-30 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248215472431628823575125610163142',9613,'270',52.57,1,3,NULL),(15,2016460,'1990-11-01 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124241241117131131536411575125610123017',NULL,'169',20.38,1,2,1),(15,2016478,'1983-03-08 00:00:00',4,1,12,2000,'M','N','BARREIROS','SAO JOSE','SC','124241241216133131437729495122610162067',NULL,'272',21.84,1,3,NULL),(15,2016494,'1990-01-26 00:00:00',2,1,12,2007,'F','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124241241217141431335529345124610134112',20827,'269',35.23,1,3,NULL),(15,2016508,'1989-08-22 00:00:00',4,1,12,2007,'M','N','BARRA DA TIJUCA','RIO DE JANEIRO','RJ','121214211211111431649831211124610167117',NULL,'9998',0.00,1,3,NULL),(15,2016516,'1989-02-24 00:00:00',2,1,12,2006,'F','N','CRUZEIRO','CAXIAS DO SUL','RS','120201201117471731436439292124610168147',16814,'9998',42.14,1,2,1),(15,2016524,'1989-07-12 00:00:00',4,8,11,2007,'F','N','ATIRADORES','JOINVILLE','SC','107194071111371411359813571112610162092',5622,'9998',59.82,1,3,NULL),(15,2016532,'1989-09-26 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215471431545923575111610164072',7484,'44',56.26,1,3,NULL),(15,2016540,'1987-11-06 00:00:00',4,1,11,2005,'F','N','CARIANOS','FLORIANOPOLIS','SC','124242241127372431438817592114610138147',14174,'307',45.92,1,3,NULL),(15,2016559,'1989-11-24 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215471431389813575122610132192',1650,'270',70.60,1,3,NULL),(15,2016575,'1987-10-11 00:00:00',4,1,12,2004,'M','N','ZONA SETE','MARINGA','PR','116254251216572451458611574125140242047',1536,'9998',71.06,1,3,NULL),(15,2016583,'1991-01-01 00:00:00',4,1,10,2007,'M','N','PÂNTANO DO SUL','FLORIANOPOLIS','SC','124243241215111441435332595124610168185',459,'266',77.16,1,3,NULL),(15,2016591,'1989-09-27 00:00:00',4,1,12,2006,'M','N','PONTO NOVO','ARACAJU','SE','126262261216371441469633575122141432092',1449,'9998',71.46,1,3,NULL),(15,2016605,'1990-09-20 00:00:00',4,6,12,2007,'M','N','CASTELO','CAMPINAS','SP','125252251215111431467832245122610162197',NULL,'9998',0.00,1,3,NULL),(15,2016613,'1988-07-02 00:00:00',4,1,12,2006,'M','N','PITUBA','SALVADOR','BA','105052051417151411267632575112240764196',NULL,'9998',0.00,1,3,NULL),(15,2016621,'1989-07-06 00:00:00',4,1,12,2007,'F','N','BANDEIRANTES','CAPIVARI DE BAIXO','SC','124244241215111431446933591124610128197',NULL,'809',11.72,1,3,NULL),(15,2016630,'1989-11-28 00:00:00',4,3,12,2006,'F','N','BOM FIM','PORTO ALEGRE','RS','120202201216371431238823592124241034097',16287,'9998',42.91,1,3,NULL),(15,2016648,'1991-06-27 00:00:00',3,1,12,2008,'F','S','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241217151431469913432114610125015',NULL,'262',61.52,1,3,NULL),(15,2016656,'1989-04-20 00:00:00',4,2,11,2006,'M','N','PASSO MANSO','BLUMENAU','SC','124242241215271431229729575124230431182',1442,'855',71.48,1,3,NULL),(15,2016664,'1989-07-27 00:00:00',4,1,12,2006,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215372431367612575112610111135',2561,'270',67.43,1,3,NULL),(15,2016680,'1986-01-24 00:00:00',2,1,12,2004,'M','N','PONTE DE IMARUIM','PALHOCA','SC','124241241147132451345429392224231267042',NULL,'704',0.00,1,2,1),(15,2016699,'1989-08-11 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124252241215473531568821595124610168187',4141,'272',63.08,1,3,NULL),(15,2016702,'1984-01-11 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241212375711566719395124130217062',12534,'190',48.24,4,3,NULL),(15,2016710,'1986-08-18 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215574431447834585114122667041',91,'270',81.80,3,3,NULL),(15,2016729,'1987-09-30 00:00:00',4,1,12,2004,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124242241216575431467923572122232462077',557,'270',76.38,1,3,NULL),(15,2016745,'1991-05-15 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241117131431326614576124610138147',14107,'307',46.02,1,3,NULL),(15,2016753,'1990-06-30 00:00:00',2,1,12,2007,'M','N','CENTRO','ITAPORANGA','SP','125254251217121431346631572125610167052',11115,'9998',50.28,1,3,NULL),(15,2016761,'1989-05-22 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215372411459939475122131024047',1218,'270',72.39,1,3,NULL),(15,2016770,'1986-07-24 00:00:00',4,8,11,2004,'F','N','AMÉRICA','JOINVILLE','SC','124242241212571441256611472112132552092',NULL,'489',25.91,1,3,NULL),(15,2016788,'1989-09-20 00:00:00',4,1,12,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215111431469711472124610131075',19711,'269',37.39,1,3,NULL),(15,2016796,'1986-10-18 00:00:00',4,1,12,2003,'F','N','CAMPINAS','SAO JOSE','SC','124244241217575431589913571124130238052',65,'980',82.49,4,3,NULL),(15,2016800,'1989-02-17 00:00:00',2,1,12,2007,'F','N','PORTA CEU','SAO LOURENCO','MG','113132137336371431139918575112610162112',NULL,'9999',20.76,1,3,NULL),(15,2016818,'1990-09-06 00:00:00',2,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215131431255924575125613227111',13372,'210',47.09,1,3,NULL),(15,2016826,'1990-07-28 00:00:00',4,1,12,2007,'F','N','TATUAPÉ','SAO PAULO','SP','125252251217121711248823592114610166117',6163,'9998',58.73,5,3,NULL),(15,2016842,'1990-03-26 00:00:00',3,8,11,2007,'F','N','BUCAREIN','JOINVILLE','SC','124242241216111411649621271124610122177',12994,'932',47.60,1,3,NULL),(15,2016850,'1989-03-02 00:00:00',4,1,12,2006,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241117132431547713446114610167077',14924,'772',44.88,1,2,1),(15,2016869,'1985-11-01 00:00:00',4,1,12,2003,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215213711347924485124221756077',11695,'273',49.41,4,3,NULL),(15,2016877,'1990-04-06 00:00:00',4,1,12,2007,'M','N','JARDIM PAULISTANO','SAO CARLOS','SP','125252251217151441469933472112610164013',358,'9998',77.97,1,3,NULL),(15,2016885,'1988-03-31 00:00:00',4,1,12,2005,'M','N','ALVORADA','FRANCISCO BELTRAO','PR','116162161216572751376632575112610164017',NULL,'9998',0.00,1,3,NULL),(15,2016893,'1990-06-01 00:00:00',4,6,12,2007,'M','N','JARDIM BANDEIRANTES','ARAPONGAS','PR','116162161217151431436411372122610167061',1046,'9998',73.27,1,3,NULL),(15,2016907,'1989-09-17 00:00:00',2,1,12,2007,'M','N','CENTRO','GOIANIA','GO','109092091216371451438633275124610167097',12014,'9998',48.97,1,3,NULL),(15,2016915,'1989-09-22 00:00:00',2,1,12,2006,'M','N','INDEPENDENCIA','PORTO ALEGRE','RS','120202201216472431456612571124610122172',1930,'9998',69.49,1,3,NULL),(15,2016923,'1991-01-29 00:00:00',4,1,2,2008,'M','N','SÃO SEBASTIÃO','PALHOCA','SC','124243241115131431466813575124610144077',4420,'739',62.44,1,3,NULL),(15,2016931,'1990-08-24 00:00:00',4,4,12,2007,'M','N','CENTRO','MEDIANEIRA','PR','116242241215111431478914572125610134172',9223,'1038',53.24,1,3,NULL),(15,2016940,'1989-12-22 00:00:00',4,6,12,2007,'M','N','CENTRO','NAVEGANTES','SC','124242241215111411338923572122610167127',1165,'1057',72.68,1,3,NULL),(15,2016958,'1991-09-17 00:00:00',4,1,12,2008,'M','S','CAMPECHE','FLORIANOPOLIS','SC','124252241217151752479814575124610135145',NULL,'262',65.92,1,3,NULL),(15,2016966,'1981-02-10 00:00:00',2,1,12,2002,'M','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124251247127133431533319282334121268197',7815,'9999',55.67,1,2,1),(15,2016982,'1990-10-21 01:00:00',4,1,12,2007,'F','N','CENTRO','PELOTAS','RS','120202201216271431458831575122610126182',2895,'9998',66.46,1,3,NULL),(15,2017008,'1988-09-06 00:00:00',2,1,12,2006,'F','N','CENTRO','FRUTAL','MG','124134131216111131467613575114233224074',18341,'9998',39.72,4,3,NULL),(15,2017016,'1987-09-29 00:00:00',4,1,12,2005,'M','N','ALTAVILLE','POUSO ALEGRE','MG','113131131116241431538823345123610162192',20474,'9998',35.92,1,2,1),(15,2017032,'1989-09-13 00:00:00',2,5,7,2007,'F','N','PRESIDENTE VARGAS','ICARA','SC','124242246216271431566411571122610127142',8664,'995',54.24,1,3,NULL),(15,2017040,'1990-08-24 00:00:00',2,1,12,2007,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124244241215111431465367575114610134141',15941,'951',43.47,1,3,NULL),(15,2017059,'1988-12-29 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241315373451457612572124233227012',301,'1022',78.74,1,3,NULL),(15,2017067,'1987-08-23 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242246132372431438631372113230717182',8790,'306',54.03,1,3,NULL),(15,2017083,'1990-02-08 00:00:00',4,1,12,2007,'M','N','COND VL DO ARVOREDO','LONDRINA','PR','116162161216111431489814571112610167047',1130,'9998',72.89,1,3,NULL),(15,2017091,'1990-02-26 00:00:00',4,8,12,2007,'F','N','AGUA VERDE','CURITIBA','PR','116162161117121411579934575114610133152',7568,'9998',56.08,1,3,NULL),(15,2017105,'1981-07-23 00:00:00',2,1,12,1999,'M','N','BARREIROS','SAO JOSE','SC','124241241416133721437729485124610162037',12141,'272',48.80,1,3,NULL),(15,2017113,'1989-08-10 00:00:00',4,8,12,2007,'M','N','CAMPOLIM','SOROCABA','SP','125252251216111451489914471122610167091',104,'9998',81.51,1,3,NULL),(15,2017121,'1990-05-10 00:00:00',2,1,12,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124243241115372431449813595124610127047',15347,'298',44.33,1,3,NULL),(15,2017130,'1988-12-22 00:00:00',4,1,12,2006,'F','N','ASA SUL','BRASILIA','DF','107092091217471431468814471112610162013',1409,'9998',71.61,1,3,NULL),(15,2017148,'1991-05-20 00:00:00',2,4,12,2007,'M','N','MIRANTE','ITA','SC','124241241316131431326624572124610138197',15967,'384',43.44,1,3,NULL),(15,2017156,'1990-04-26 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124241241217471431359933576122610126091',3430,'185',64.92,1,3,NULL),(15,2017164,'1989-11-18 00:00:00',2,1,10,2007,'F','N','SERRARIA','BIGUACU','SC','124242241315111431337923575124610164072',16557,'269',42.50,1,3,NULL),(15,2017172,'1989-08-22 00:00:00',4,8,11,2006,'M','N','VILA TOLENTINO','CASCAVEL','PR','116162161235371431556817571121610166092',9920,'9998',52.06,4,3,NULL),(15,2017180,'1989-01-19 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241331111431446413395124610146187',6355,'1022',58.35,1,3,NULL),(15,2017199,'1990-04-11 00:00:00',4,1,12,2007,'F','N','JARDIM AMÉRICA','MAFRA','SC','124242241217121431468613574112610146012',413,'541',77.55,1,3,NULL),(15,2017202,'1986-04-03 00:00:00',2,3,12,2003,'M','N','INTERLAGOS','SAO PAULO','SP','125251251116373431211169292344610168097',NULL,'9998',52.76,4,1,1),(15,2017210,'1990-09-13 00:00:00',4,10,11,2007,'F','N','STO ANTÔNIO DE PÁDUA','TUBARAO','SC','124242241215131431357914572122610121147',3776,'806',64.02,1,3,NULL),(15,2017237,'1990-03-12 00:00:00',4,1,12,2007,'M','N','URBANOVA','SAO JOSE DOS CAMPOS','SP','125252251215111431669611471122610162082',NULL,'9998',0.00,1,3,NULL),(15,2017253,'1990-05-24 00:00:00',4,1,12,2007,'F','N','BROOKLIN','SAO PAULO','SP','125252251217271431377814112122610142142',11197,'9998',50.17,1,3,NULL),(15,2017261,'1991-03-31 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431488833571122610134142',13975,'262',46.19,1,3,NULL),(15,2017270,'1989-05-30 00:00:00',4,1,12,2006,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124242241215372431458834372124130223142',1832,'270',69.83,1,3,NULL),(15,2017296,'1990-03-14 00:00:00',4,6,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111431478923572122610123147',15876,'9997',43.56,1,3,NULL),(15,2017300,'1977-02-05 00:00:00',4,1,12,1994,'F','N','GUARDA DO EMBAÚ','PALHOCA','SC','224243241131132431456619215114130664182',8382,'169',54.72,1,3,NULL),(15,2017318,'1989-03-26 00:00:00',2,5,11,2006,'F','N','SÃO CRISTÓVÃO','CRICIUMA','SC','124242241216512411366612392122610123052',6549,'880',57.98,1,3,NULL),(15,2017326,'1987-04-28 00:00:00',2,1,12,2005,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241126472321443334195334610162047',10337,'288',51.44,4,3,NULL),(15,2017334,'1990-12-21 00:00:00',4,3,11,2007,'F','N','FAZENDA','ITAJAI','SC','124244241215121432259932572112610132142',8301,'1026',54.84,1,3,NULL),(15,2017342,'1990-08-04 00:00:00',4,2,11,2007,'M','N','RIO DO BRAÇO','SAO JOAO BATISTA','SC','124241241315121731446629575124610162122',NULL,'9997',0.00,1,3,NULL),(15,2017369,'1989-02-28 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431469923572121130227041',14054,'270',46.09,1,3,NULL),(15,2017377,'1987-07-10 00:00:00',2,5,12,2005,'F','N','SAO BASILIO','BRACO DO NORTE','SC','124241241415573431557314474122610166187',40,'950',83.36,1,3,NULL),(15,2017385,'1989-10-10 00:00:00',4,1,12,2006,'M','N','MENINO DEUS','PORTO ALEGRE','RS','120203201116471531577833495124610167047',NULL,'9998',0.00,1,3,NULL),(15,2017393,'1989-06-02 00:00:00',4,8,12,2006,'M','N','CENTRO','JARAGUA DO SUL','SC','124242241215471431467932424122610122092',393,'491',77.72,1,3,NULL),(15,2017415,'1990-11-17 00:00:00',2,4,12,2007,'F','N','CENTRO','MARAVILHA','SC','124241241135141431453931242125610124147',NULL,'552',23.67,1,3,NULL),(15,2017423,'1989-08-18 00:00:00',2,1,12,2006,'M','N','JARDIM DONA NICOTA','BOTUCATU','SP','125252251217471431468819575112610137042',6452,'9998',58.17,1,3,NULL),(15,2017431,'1988-09-09 00:00:00',4,1,12,2007,'F','N','ITAGUACU','FLORIANOPOLIS','SC','124242241217372431439814575124610124095',9323,'883',53.09,1,3,NULL),(15,2017440,'1982-09-29 00:00:00',4,1,12,1998,'F','N','JARDIM SOCIAL','TOLEDO','PR','116162164212471711568811471122342562077',NULL,'9998',0.00,1,3,NULL),(15,2017458,'1989-09-26 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241216111411566614575114611247047',16997,'1022',41.88,1,3,NULL),(15,2017466,'1990-02-12 00:00:00',4,8,12,2007,'M','N','MERCES','CURITIBA','PR','116162161211471231359933574125610137092',1764,'9998',70.15,1,3,NULL),(15,2017474,'1983-10-25 00:00:00',4,1,7,2002,'F','N','AREIAS','SAO JOSE','SC','124243241112275411334731335124610164147',NULL,'49',0.00,1,3,NULL),(15,2017482,'1976-09-13 00:00:00',2,1,12,2006,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','624241247611131411433244245124610164192',19471,'9999',37.87,1,3,NULL),(15,2017490,'1991-08-28 00:00:00',4,5,12,2008,'F','S','VILA SANTA CATARINA','SAO JOAO DO SUL','SC','124241241115131431443933571123610146052',NULL,'717',50.94,1,3,NULL),(15,2017512,'1988-03-24 00:00:00',4,1,12,2005,'M','N','JARDIM SATELITE','SAO JOSE DOS CAMPOS','SP','125252256237472441557713375122610127182',391,'9998',77.73,2,3,NULL),(15,2017539,'1991-02-24 00:00:00',4,1,11,2007,'F','N','JARDIM AMÉRICA','CAXIAS DO SUL','RS','120202206215271451466632574122610167122',NULL,'9998',0.00,1,3,NULL),(15,2017547,'1990-03-11 00:00:00',2,9,12,2007,'F','N','CORAL','LAGES','SC','124243241211371411535316171124610121057',NULL,'515',33.54,1,3,NULL),(15,2017555,'1959-03-30 00:00:00',2,1,11,1978,'F','N','CAMPECHE','FLORIANOPOLIS','SC','624252253226151421453154112112133223147',NULL,'9998',21.08,1,3,NULL),(15,2017563,'1989-09-15 00:00:00',4,6,12,2006,'F','N','CENTRO II','BRUSQUE','SC','124241241215272431358714572112130463172',4661,'981',61.84,1,3,NULL),(15,2017571,'1987-01-07 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241217555421468933396121231828017',3857,'300',63.84,1,3,NULL),(15,2017580,'1988-10-09 00:00:00',2,1,12,2006,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241127131431426614245123610127037',19127,'277',38.48,1,2,1),(15,2017598,'1986-02-10 00:00:00',4,1,12,2003,'F','N','JARDIM SOCIAL','TOLEDO','PR','116162164212571411588832571122142662097',NULL,'9998',0.00,3,3,NULL),(15,2017601,'1990-11-08 00:00:00',2,4,12,2007,'F','N','JARDIM','MARAVILHA','SC','124241241115141431356631242322610124147',NULL,'552',24.50,1,3,NULL),(15,2017610,'1990-08-20 00:00:00',4,5,12,2007,'F','N','COLONINHA','ARARANGUA','SC','124242241215271431458811375112610134147',7837,'32',55.62,1,3,NULL),(15,2017636,'1989-10-24 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217112231478923332124610167182',4655,'270',61.86,1,3,NULL),(15,2017652,'1987-05-21 00:00:00',2,1,12,2005,'F','N','PICADAS DO SUL','SAO JOSE','SC','124243241216154421653633345124131424077',18579,'1048',39.36,1,3,NULL),(15,2017660,'1990-02-12 00:00:00',4,8,12,2007,'F','N','VILA MILITAR','RIO NEGRO','PR','116243161215111751438633371112610168097',NULL,'9998',0.00,1,3,NULL),(15,2017679,'1990-06-07 00:00:00',2,4,12,2007,'M','N','JOÃO BATISTA TONIAL','XANXERE','SC','124242241216151431579934575122610135172',10932,'836',50.56,1,3,NULL),(15,2017687,'1991-04-30 00:00:00',2,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241217111712448833276125610136147',NULL,'1022',50.46,1,3,NULL),(15,2017695,'1988-03-20 00:00:00',4,1,12,2005,'M','N','ZONA SETE','MARINGA','PR','116164161215471432348831575112610134042',73,'9998',82.28,3,3,NULL),(15,2017709,'1990-01-27 00:00:00',4,1,10,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431558724146124610126071',4371,'1022',62.54,1,3,NULL),(15,2017717,'1988-03-29 00:00:00',4,2,11,2005,'M','N','BNH SEGUNDO PLANO','DOURADOS','MS','112124121215471431553823575122140427012',5452,'9998',60.16,1,3,NULL),(15,2017725,'1989-03-31 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124201241211372441339631142124610132057',7643,'299',55.95,1,3,NULL),(15,2017733,'1990-11-29 00:00:00',2,5,11,2007,'F','N','URUSSANGUINHA','ARARANGUA','SC','124242241217371451547933292122610163072',17463,'32',41.13,1,3,NULL),(15,2017741,'1989-11-22 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215271421388813595122610165122',10008,'44',51.92,5,3,NULL),(15,2017750,'1990-01-12 00:00:00',4,1,12,2007,'F','N','CIDADE JARDIM','JACAREI','SP','125252258237471431466823572112610124092',NULL,'9998',0.00,1,3,NULL),(15,2017768,'1990-04-14 00:00:00',4,5,10,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215311411428832325122630145157',15999,'226',43.39,1,3,NULL),(15,2017776,'1987-12-09 00:00:00',2,1,11,2005,'M','N','INGLESES','FLORIANOPOLIS','SC','124201241116112451637631285124610167147',5637,'306',59.81,4,2,1),(15,2017784,'1988-03-30 00:00:00',4,1,12,2005,'M','N','ZONA SETE','MARINGA','PR','116162166217151131337923372114610112012',4729,'9998',61.69,1,3,NULL),(15,2017792,'1990-06-22 00:00:00',4,1,12,2007,'M','N','NOVA BRASÍLIA','IMBITUBA','SC','124241241146141431434923145124610125067',NULL,'361',36.08,1,2,1),(15,2017814,'1988-06-28 00:00:00',4,1,12,2005,'F','N','CENTRO','RIBEIRAO PRETO','SP','125252251215571431589931575112610131152',13227,'9998',47.27,1,3,NULL),(15,2017822,'1990-06-01 00:00:00',4,8,12,2007,'M','N','SANTA CLARA','LINS','SP','125252251215111411369933575122610137042',4234,'9998',62.84,1,3,NULL),(15,2017830,'1989-09-22 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215472431456913375124610126043',3020,'270',66.08,1,3,NULL),(15,2017857,'1990-07-08 00:00:00',4,5,12,2007,'M','N','SANTA AUGUSTA','CRICIUMA','SC','124242241216121441438934375124610128092',11066,'995',50.36,1,3,NULL),(15,2017865,'1989-07-20 00:00:00',4,1,11,2007,'F','N','BETEL','PAULINIA','SP','125254251215111431544639395112610122073',8216,'9998',54.99,1,3,NULL),(15,2017873,'1990-11-13 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124244241215121431478512274124610164142',6859,'272',57.43,1,3,NULL),(15,2017881,'1989-12-07 00:00:00',4,4,12,2007,'F','N','PRIMAVERA','SAO JOSE DO CEDRO','SC','124241241135141451523319141122610127072',19577,'740',37.66,1,2,1),(15,2017890,'1989-04-17 00:00:00',4,1,12,2006,'M','N','ALTO DE PINHEIROS','SAO PAULO','SP','125252251217471431368912572114610167053',2345,'9998',68.10,1,3,NULL),(15,2017903,'1989-11-04 00:00:00',2,1,12,2007,'F','N','IPIRANGA','SAO JOSE','SC','124242241216111531334432275124610128112',15142,'1022',44.61,1,3,NULL),(15,2017911,'1990-02-25 00:00:00',2,1,11,2007,'M','N','BELA VISTA','IPATINGA','MG','113131131236371741358614575124610162172',3270,'9998',65.34,1,3,NULL),(15,2017938,'1973-07-21 00:00:00',2,1,6,1992,'M','N','FAZENDA','ITAJAI','SC','524242247226144451116679395145133267182',3906,'9999',63.71,1,3,NULL),(15,2017946,'1990-11-18 00:00:00',4,1,12,2007,'F','N','SETOR OESTE','GOIANIA','GO','109092091215111431688812472122610163072',8239,'9998',54.95,4,3,NULL),(15,2017954,'1990-03-12 00:00:00',2,8,11,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215111411536712572122610121122',18985,'486',38.69,1,3,NULL),(15,2017962,'1990-04-20 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124244241415371731347839194124610128012',19764,'723',37.30,1,3,NULL),(15,2017970,'1988-12-12 00:00:00',2,1,12,2005,'F','N','NOSSA SRA DO ROSARIO','SAO JOSE','SC','124243241127273431367524345124122328182',14710,'307',45.13,1,3,NULL),(15,2017997,'1989-01-06 00:00:00',4,1,12,2006,'F','N','LOURDES','CAXIAS DO SUL','RS','120202201216471431437711374124610123187',4570,'9998',62.08,1,3,NULL),(15,2018012,'1989-05-03 00:00:00',2,1,7,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241247217371431446319375124610134192',6599,'9999',57.90,1,3,NULL),(15,2018020,'1990-12-20 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111451547973575112610123197',NULL,'266',50.75,1,3,NULL),(15,2018047,'1988-11-17 00:00:00',4,1,11,2006,'M','N','MENINO DEUS','PORTO ALEGRE','RS','120202201217471451117724172124610167147',4128,'9998',63.13,1,3,NULL),(15,2018055,'1983-11-30 00:00:00',4,1,12,2001,'F','N','CENTRO','MARINGA','PR','116162161215572431468832571132340667092',NULL,'9998',0.00,1,3,NULL),(15,2018063,'1989-12-28 00:00:00',4,8,11,2007,'M','N','GLÓRIA','JOINVILLE','SC','124242241216111431469932375122610142047',5256,'457',60.60,1,3,NULL),(15,2018071,'1990-08-07 00:00:00',4,1,11,2007,'F','N','APARECIDA','SANTOS','SP','125252251217111731468811575122610137057',20912,'9998',35.06,1,3,NULL),(15,2018080,'1983-02-21 00:00:00',2,2,12,2000,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241216474431433319415123331667111',7705,'461',55.85,1,3,NULL),(15,2018098,'1990-12-28 00:00:00',4,1,12,2007,'M','N','JARDIM NOVO HORIZONT','MARINGA','PR','616162161216271731267831375122610124186',3791,'9998',63.99,1,3,NULL),(15,2018101,'1989-07-16 00:00:00',4,1,12,2006,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241136372451446633572114610127141',5562,'283',59.95,1,2,1),(15,2018110,'1990-04-26 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431276622575112610167052',8275,'262',54.89,1,3,NULL),(15,2018128,'1990-04-10 00:00:00',2,2,12,2007,'F','N','CENTRO','ARROIO TRINTA','SC','124243241217161441589813572122610147051',9214,'829',53.25,1,3,NULL),(15,2018136,'1987-12-06 00:00:00',2,1,12,2004,'M','N','JARDIM ITU SABARÁ','PORTO ALEGRE','RS','120202201211575431559911215122610137092',786,'9998',74.81,1,3,NULL),(15,2018144,'1981-10-30 00:00:00',4,1,12,1999,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217273431236619482124242452187',NULL,'262',0.00,4,3,NULL),(15,2018160,'1986-08-15 00:00:00',4,1,11,2003,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215373431388811475124230218142',15416,'1036',44.23,1,3,NULL),(15,2018179,'1990-02-12 00:00:00',4,1,11,2007,'M','N','TERRAS DE SÃO JOÃO','JACAREI','SP','125252251215121411467632575121610134012',3773,'9998',64.03,4,1,2),(15,2018187,'1990-05-04 00:00:00',4,8,12,2007,'M','N','BELA VISTA','RIO NEGRINHO','SC','124242241215471411645819585122610167172',2485,'666',67.66,1,3,NULL),(15,2018195,'1987-01-02 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201201111271431337714345124131363097',13779,'9998',46.49,1,2,1),(15,2018209,'1990-06-01 00:00:00',2,1,12,2007,'F','N','VILA SANTA CATARINA','SAO PAULO','SP','125252251217331731345624575114610163112',19427,'9998',37.97,1,3,NULL),(15,2018217,'1989-10-11 00:00:00',1,1,12,2007,'M','N','ENTRE RIOS','JORDAOZINHO','PR','116162162215151411433636572124610147047',10622,'9998',51.00,1,3,NULL),(15,2018225,'1987-10-14 00:00:00',2,3,11,2007,'F','N','CENTRO','CACADOR','SC','124242241436111431549711575122610112172',14374,'124',45.60,1,3,NULL),(15,2018233,'1986-07-24 00:00:00',4,8,12,2004,'M','N','CALIFORNIA','BELO HORIZONTE','MG','113132131216571451468614571114610166037',2156,'9998',68.74,1,3,NULL),(15,2018241,'1989-08-29 00:00:00',2,4,12,2006,'M','N','MITANTE','ITA','SC','124241241117371411323834243124610164072',6201,'384',58.64,4,3,NULL),(15,2018250,'1990-03-22 00:00:00',2,3,12,2007,'F','N','VILA NOVA','PORTO BELO','SC','124243241217331441337933245124610126077',NULL,'1111',22.84,1,3,NULL),(15,2018268,'1988-04-26 00:00:00',2,1,11,2005,'F','N','CALDAS DA IMPERATRIZ','SANTO AMARO DA IMPERATRIZ','SC','124241241115372731633331491344610118192',NULL,'772',21.63,1,3,NULL),(15,2018276,'1990-03-03 00:00:00',4,8,12,2007,'M','N','BOQUEIRAO','CURITIBA','PR','116162161117371221458814575122610117047',NULL,'9998',0.00,1,3,NULL),(15,2018284,'1972-06-24 00:00:00',4,1,12,1991,'M','N','CENTRO','FLORIANOPOLIS','SC','224243243316144751336443332124233234047',NULL,'635',0.00,1,3,NULL),(15,2018292,'1985-10-22 00:00:00',2,1,6,2004,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241317273731553312242122610138197',NULL,'9999',13.55,1,3,NULL),(15,2018306,'1989-02-25 00:00:00',2,4,12,2006,'F','N','CASTELO BRANCO','XANXERE','SC','124241241115471431326434372122131117142',8266,'840',54.90,1,2,1),(15,2018314,'1971-11-03 00:00:00',2,1,7,2002,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','624253207216271411233354195124130231182',NULL,'9998',0.00,1,3,NULL),(15,2018330,'1989-06-09 00:00:00',2,1,12,2005,'F','N','JARDIM JANAINA','BIGUACU','SC','124243241116273221346414345124610134057',9080,'257',53.50,1,3,NULL),(15,2018349,'1989-08-20 00:00:00',4,1,12,2007,'F','N','SANTA PAULA','SAO CAETANO DO SUL','SP','125252251217271431358614342122610147142',9825,'9998',52.22,1,3,NULL),(15,2018365,'1989-03-13 00:00:00',4,1,12,2006,'M','N','LAGO NORTE','LAGO NORTE','DF','107074071216471411488813295122610164052',NULL,'9998',0.00,1,3,NULL),(15,2018373,'1989-10-17 00:00:00',4,1,12,2006,'F','N','REBOUÇAS','CURITIBA','PR','116202201215471411458831571114610136072',17125,'9998',41.68,1,3,NULL),(15,2018381,'1989-12-21 00:00:00',4,10,11,2007,'F','N','CENTRO','TUBARAO','SC','124242241215272441367833375122610112142',1105,'807',73.00,1,3,NULL),(15,2018403,'1990-10-17 00:00:00',4,1,11,2007,'M','N','VILA A','FOZ DO IGUACU','PR','116162161217371431469911295122610162042',10951,'9998',50.54,1,3,NULL),(15,2018411,'1990-03-30 00:00:00',4,1,11,2007,'M','N','VILA A','FOZ DO IGUACU','PR','116162161217271431368813335121610167053',9941,'9998',52.02,1,3,NULL),(15,2018420,'1985-06-18 00:00:00',2,1,9,2004,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241115574431346624374124133237142',1830,'306',69.84,1,2,1),(15,2018438,'1990-02-07 00:00:00',4,1,12,2007,'M','N','CENTRO NORTE','SANTO ANGELO','RS','120202201217371431559931171122610147016',15777,'9998',43.71,4,3,NULL),(15,2018454,'1987-07-08 00:00:00',4,1,12,2005,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241147372431536213335124610134197',19625,'307',37.57,1,3,NULL),(15,2018462,'1989-01-13 00:00:00',4,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124241241235471451227724572114610132011',11206,'270',50.15,1,3,NULL),(15,2018470,'1988-06-27 00:00:00',2,1,12,2005,'M','N','TRINTA E UM DE MARÇO','SAO JOSE DOS CAMPOS','SP','125251256427132411326969385121141424052',NULL,'9998',0.00,1,3,NULL),(15,2018489,'1991-01-11 00:00:00',2,5,12,2006,'M','N','CENTRO','SOMBRIO','SC','124241241216472431466632575124610127172',4049,'970',63.34,3,3,NULL),(15,2018527,'1984-06-29 00:00:00',2,1,12,2002,'M','N','ASA NORTE','BRASILIA','DF','107071071216151441476343435122241065097',NULL,'9998',0.00,4,1,2),(15,2018535,'1989-04-23 00:00:00',2,1,12,2007,'M','N','PRIMAVERA II','PRIMAVERA DO LESTE','MT','111111118217111431526632375123610167012',NULL,'9998',23.67,1,3,NULL),(15,2018543,'1987-05-17 00:00:00',2,1,12,2004,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241145573431359613171124610166181',822,'283',74.58,1,2,1),(15,2018551,'1986-11-23 00:00:00',4,1,12,2003,'M','N','PANTANAL','FLORIANOPOLIS','SC','124161161336574431348833375124220737017',4291,'9998',62.73,1,3,NULL),(15,2018560,'1989-03-09 00:00:00',4,3,12,2006,'F','N','AFONSO PENA','SAO JOSE DOS PINHAIS','PR','116162161217371411256829385124142547122',NULL,'9998',0.00,4,3,NULL),(15,2018578,'1971-08-13 00:00:00',2,1,12,1988,'F','N','CAMPECHE','FLORIANOPOLIS','SC','224201201116152431233853385124140847047',4439,'9998',62.40,1,2,1),(15,2018608,'1989-06-10 00:00:00',2,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124241241132131431525614342124610138187',20124,'732',36.57,1,2,1),(15,2018616,'1990-10-30 00:00:00',2,1,11,2007,'M','N','PADRE AUGUSTO SANI','JAU','SP','125251251226111411533434312114610164042',13339,'9998',47.13,1,3,NULL),(15,2018624,'1981-07-03 00:00:00',1,1,3,1999,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241246116145431134649495121422268145',6886,'306',57.37,1,2,1),(15,2018640,'1973-09-05 00:00:00',4,1,12,1993,'F','N','VILA GILDA','SANTO ANDRE','SP','125251251216571431238319382122340462187',NULL,'9998',0.00,1,3,NULL),(15,2018659,'1985-02-25 00:00:00',2,8,12,2002,'M','N','JD MARILU','SAO PAULO','SP','125251251116132121423618582124610167177',12213,'9998',48.70,4,2,1),(15,2018667,'1972-05-22 00:00:00',4,1,12,1992,'M','N','PANTANAL','FLORIANOPOLIS','SC','524241241122272421134344442124331134097',11357,'9997',49.90,1,3,NULL),(15,2018675,'1985-11-04 00:00:00',4,1,12,2003,'F','N','CAMPOS ELISEOS','SAO PAULO','SP','125254131215571411367933574124610122107',2986,'9998',66.20,1,3,NULL),(15,2018683,'1989-09-05 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215151411336624572124610168017',19567,'1118',37.70,1,3,NULL),(15,2018691,'1985-06-21 00:00:00',4,1,12,2002,'F','N','FORQUILHAS','SAO JOSE','SC','124241247426272441233444245334610124097',13617,'9999',46.72,1,3,NULL),(15,2018705,'1989-06-28 00:00:00',4,1,12,2006,'F','N','SERRARIA','BIGUACU','SC','124242241126131431235623275224610114142',NULL,'730',19.74,1,3,NULL),(15,2018713,'1988-09-02 00:00:00',2,1,11,2006,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241116171431355624345122610124187',20072,'307',36.68,1,3,NULL),(15,2018721,'1990-08-09 00:00:00',4,1,12,2007,'F','N','VILA MARISTELA','PRESIDENTE PRUDENTE','SP','125252161217421441469814575124610152097',11876,'9998',49.14,1,3,NULL),(15,2018748,'1988-03-08 00:00:00',4,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241116273411347653295124610124012',5160,'306',60.79,1,3,NULL),(15,2018756,'1991-01-03 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241216111431359813575122610163182',NULL,'270',43.56,1,3,NULL),(15,2018764,'1988-12-24 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241216373431456634575124610134072',1678,'266',70.45,1,3,NULL),(15,2018772,'1990-07-21 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216111431578812572122610134123',3271,'262',65.33,1,3,NULL),(15,2018780,'1990-08-21 00:00:00',4,2,12,2007,'F','N','VILA FORMOSA','BLUMENAU','SC','124241241116131411523515472324610162147',20735,'69',35.43,1,2,1),(15,2018799,'1982-09-19 00:00:00',4,1,12,2001,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241346371431555413345124610132147',14806,'296',45.00,1,3,NULL),(15,2018802,'1989-06-01 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431369713575112610162082',3918,'270',63.68,1,3,NULL),(15,2018810,'1990-12-20 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124213241117131431326524291234610137057',NULL,'281',24.02,1,3,NULL),(15,2018829,'1984-03-05 00:00:00',4,8,12,2001,'F','N','COSTA E SILVA','JOINVILLE','SC','124244241446372431558714245124330666147',NULL,'459',0.00,1,3,NULL),(15,2018845,'1983-02-18 00:00:00',2,1,12,2000,'F','N','PRAIA DA ARMAÇÃO','FLORIANOPOLIS','SC','124244241215374411252822125122133222187',10962,'1022',50.52,1,3,NULL),(15,2018861,'1989-01-10 00:00:00',2,4,12,2006,'F','N','SANTA CRUZ','CONCORDIA','SC','124241241135471431334619291322610148057',13159,'192',47.38,4,2,1),(15,2018888,'1988-05-18 00:00:00',4,1,12,2005,'M','N','CENTRO','CHAPECO','SC','124242241416473411469613595121132734027',3053,'1046',65.98,1,3,NULL),(15,2018896,'1987-07-12 00:00:00',4,6,12,2004,'F','N','GRAVATA','NAVEGANTES','SC','124241241215574431456411315124610143097',1697,'1026',70.39,1,3,NULL),(15,2018900,'1987-04-10 00:00:00',2,4,11,2004,'F','N','INDEPENDÊNCIA','PORTO ALEGRE','RS','120204201216573431446914571124610126077',1268,'9998',72.17,1,3,NULL),(15,2018918,'1989-12-23 00:00:00',4,1,7,2007,'M','N','CENTRO','SAO JOSE','SC','124241241116271232556724282144610166012',1343,'306',71.91,1,2,1),(15,2018926,'1959-03-24 00:00:00',2,1,12,1977,'M','N','CENTRO','FLORIANOPOLIS','SC','124211218132151441166441415124233267185',11964,'9998',49.03,1,3,NULL),(15,2018934,'1989-10-04 00:00:00',4,1,12,2006,'M','N','CENTRO','TAGUAI','SP','125252251217371431468832575112610167042',10572,'9998',51.07,1,3,NULL),(15,2018969,'1988-10-25 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241115372411345513345124610134055',20787,'281',35.32,1,2,1),(15,2018977,'1987-08-24 00:00:00',4,1,12,2006,'F','N','RECANTO AZUL','BOTUCATU','SP','225254251216372411469713571122610164097',12829,'9998',47.82,1,3,NULL),(15,2018985,'1990-04-14 00:00:00',4,4,12,2007,'F','N','JARDIM AMÉRICA','CHAPECO','SC','124243241137371411436313392222610136091',NULL,'184',25.22,1,3,NULL),(15,2019000,'1990-03-25 00:00:00',4,3,11,2006,'F','N','DAS NAÇÕES','BALNEARIO CAMBORIU','SC','124244241216142431668834245133233265183',18109,'1086',40.14,1,3,NULL),(15,2019027,'1976-05-15 00:00:00',4,1,12,1993,'F','N','CAMPINAS','SAO JOSE','SC','124242241236143421123441415132332826093',8397,'752',54.69,1,3,NULL),(15,2019043,'1989-11-13 00:00:00',4,1,12,2007,'F','N','IRIRIÚ','JOINVILLE','SC','124241241136371111535634295124610141097',NULL,'470',24.16,1,3,NULL),(15,2019060,'1988-11-10 00:00:00',4,10,11,2006,'F','N','OFICINAS','TUBARAO','SC','124242241215372741546814472122130662097',1104,'806',73.00,1,3,NULL),(15,2019078,'1982-08-10 00:00:00',2,1,7,2001,'M','N','SAO NICOLAU','BIGUACU','SC','124241243116274421233342222232610162182',12027,'306',48.95,1,2,1),(15,2019086,'1985-06-01 00:00:00',2,1,12,2002,'F','N','CAMOBI','SANTA MARIA','RS','120244241216373441228741315124132868197',20008,'904',36.81,1,3,NULL),(15,2019094,'1985-02-04 00:00:00',4,1,12,2002,'F','N','SÃO BENEDITO','RIO CLARO','SP','125251251417471442223621112121142834087',8605,'9998',54.33,1,3,NULL),(15,2019116,'1990-09-11 00:00:00',4,4,12,2007,'F','N','INTERIOR','IPUACU','SC','124241241115161431333933572222610134147',NULL,'372',0.00,1,2,1),(15,2019124,'1987-11-21 00:00:00',2,1,6,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241247217372431337623372214610124147',18345,'270',39.72,1,3,NULL),(15,2019132,'1983-07-03 00:00:00',2,1,11,2002,'F','N','KOBRASOL','SAO JOSE','SC','124244247216155431216629571124233222072',NULL,'9999',23.37,1,3,NULL),(15,2019140,'1989-01-28 00:00:00',4,1,12,2006,'M','N','ESPRAIADO','NOVA TRENTO','SC','124241241116272421433334285124231018192',17667,'574',40.85,4,1,1),(15,2019167,'1976-10-13 00:00:00',1,1,11,1995,'M','N','FAZENDA','PALMEIRA','PR','116162161216471431378612575113140262156',NULL,'9998',0.00,1,3,NULL),(15,2019183,'1986-02-21 00:00:00',4,1,11,2003,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241211132431426813391224222224092',6483,'237',58.10,1,3,NULL),(15,2019191,'1985-03-24 00:00:00',4,1,12,2002,'F','N','PANTANAL','FLORIANOPOLIS','SC','624122121216131431339933472222142926172',NULL,'9998',0.00,1,3,NULL),(15,2019205,'1988-10-27 00:00:00',2,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241217372431558933575124610127052',14721,'299',45.11,1,3,NULL),(15,2019248,'1990-06-07 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242241216131411433611572122610138182',18941,'1075',38.76,1,3,NULL),(15,2019264,'1990-09-05 00:00:00',4,1,11,2007,'F','N','CENTRO','MARAU','RS','120202201216471411465834245122610123071',6802,'9998',57.54,1,3,NULL),(15,2019272,'1989-01-14 00:00:00',2,1,8,2007,'F','N','JARDIM JANAÍNA','BIGUACU','SC','124241241112271431558613345124610133147',12386,'739',48.44,1,2,1),(15,2019299,'1991-07-14 00:00:00',4,7,12,2007,'F','N','CENTRO','TANGARA','SC','124243241415161431424636572125610134172',4970,'446',61.16,1,3,NULL),(15,2019302,'1989-10-07 00:00:00',4,1,12,2007,'F','N','CIDADE NOVA','JUNDIAI','SP','125252251215111431559714575122610124182',11172,'9998',50.20,1,3,NULL),(15,2019329,'1987-02-07 00:00:00',2,1,7,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242247135371431156712492122132143112',NULL,'9999',0.00,1,3,NULL),(15,2019337,'1983-12-02 00:00:00',4,1,12,2001,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124244241437374741456614345122123061016',15400,'943',44.25,1,3,NULL),(15,2019345,'1982-01-31 00:00:00',2,1,7,2001,'M','N','CAMPINAS','SAO JOSE','SC','124242246116164421238642124124231047127',9289,'306',53.14,1,3,NULL),(15,2019353,'1988-11-24 00:00:00',2,1,12,2007,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241247427131422536613346124610128147',21344,'9999',34.09,1,3,NULL),(15,2019361,'1980-04-24 00:00:00',3,1,12,1997,'M','N','VILA PARIS','BELO HORIZONTE','MG','113134131216574431676639475122321567047',958,'9998',73.73,1,3,NULL),(15,2019370,'1988-06-16 00:00:00',2,1,12,2005,'F','N','SERRARIA','SAO JOSE','SC','124241241115372441645519482124610125187',15921,'257',43.51,1,2,1),(15,2019388,'1989-07-05 00:00:00',4,1,12,2006,'M','N','CENTRO','BIGUACU','SC','124242241216472431647712245124610166142',2316,'1040',68.19,1,3,NULL),(15,2019396,'1989-12-06 00:00:00',2,1,12,2007,'M','N','VILA NORTE','SANTA RITA DO PASSA QUATRO','SP','125252251217111431444612575112610164052',NULL,'9998',20.23,1,3,NULL),(15,2019400,'1988-05-05 00:00:00',4,1,12,2005,'M','N','JD SANTA RITA','MARINGA','PR','116162161216572431466632595122610147062',1667,'9998',70.50,1,3,NULL),(15,2019418,'1990-12-20 00:00:00',4,1,12,2007,'M','N','CENTRO','GAROPABA','SC','124241241146131411323719575121610168092',NULL,'322',32.87,1,2,1),(15,2019434,'1986-01-07 00:00:00',2,1,12,2003,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241216144421248833435122231024157',13526,'270',46.85,1,3,NULL),(15,2019442,'1988-08-04 00:00:00',2,1,12,2005,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242247317274431437933572124230226095',12711,'270',47.96,1,3,NULL),(15,2019450,'1988-03-12 00:00:00',2,2,12,2006,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124244241416472431456432594124610127032',1993,'855',69.30,1,3,NULL),(15,2019485,'1989-06-25 00:00:00',2,1,12,2006,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241117372431556823372124610137147',8475,'307',54.55,1,3,NULL),(15,2019493,'1989-12-03 00:00:00',4,1,12,2007,'M','N','CINELÂNDIA','SANTA RITA DO PASSA QUATRO','SP','125252251217111431546712574112610114192',4800,'9998',61.52,1,3,NULL),(15,2019507,'1988-11-12 00:00:00',2,1,12,2005,'F','N','FLOR DE NÁPOLIS','SAO JOSE','SC','124242241215373711478613345234610164182',14521,'944',45.37,1,3,NULL),(15,2019515,'1987-12-29 00:00:00',4,1,12,2004,'M','N','PORTAO','CURITIBA','PR','116162161217272751467714347125142168187',NULL,'9998',0.00,4,3,NULL),(15,2019523,'1988-10-15 00:00:00',2,1,12,2005,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124241244216373431356333311124610136147',17600,'269',40.93,1,3,NULL),(15,2019531,'1986-02-02 00:00:00',2,2,12,2003,'F','N','BAIRRO ALTO','CURITIBA','PR','116162161216551721328649335124610163077',5826,'9998',59.42,1,3,NULL),(15,2019540,'1989-05-15 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215321431358831411224610127141',16492,'299',42.60,1,3,NULL),(15,2019558,'1985-03-28 00:00:00',2,3,12,2002,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241216575431248329315124233236072',4649,'389',61.88,1,3,NULL),(15,2019574,'1990-02-03 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241315111731526614331125610123182',NULL,'1098',34.66,1,3,NULL),(15,2019582,'1977-05-01 00:00:00',2,1,2,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','224246241646133731333344145334222337042',NULL,'9999',0.00,1,3,NULL),(15,2019612,'1988-07-28 00:00:00',4,1,12,2005,'F','N','CENTRO','ERECHIM','RS','120202201216522431369934571124610136182',922,'9998',73.95,1,3,NULL),(15,2019620,'1990-12-28 00:00:00',4,2,12,2007,'F','N','CENTRO','RIBEIRAO PRETO','SP','125202251216121411446613471214610166142',11806,'9998',49.25,1,3,NULL),(15,2019639,'1988-05-16 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241216153451436631471314610164187',10775,'1048',50.78,4,3,NULL),(15,2019647,'1990-03-07 00:00:00',2,1,12,2007,'F','N','CENTRO','IMARUI','SC','124241241146161432523536575122610136177',NULL,'356',27.44,1,2,1),(15,2019655,'1981-09-03 00:00:00',4,1,12,1998,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241126132421136649145124330261045',20342,'180',36.15,1,3,NULL),(15,2019663,'1974-07-08 00:00:00',2,1,12,1992,'F','N','NOVO MINAS GERAIS','CAMPO GRANDE','MS','112121121126131421323314282324340243097',19884,'9998',37.04,4,2,1),(15,2019671,'1989-07-10 00:00:00',4,10,12,2006,'M','N','OFICINAS','TUBARAO','SC','124241241336111431465614245123231427077',19999,'1034',36.83,1,3,NULL),(15,2019680,'1990-04-20 00:00:00',2,1,11,2007,'F','N','PRESIDENTE KENNEDY','FORTALEZA','CE','106062061216111411338821575122610145141',1367,'9998',71.81,1,3,NULL),(15,2019728,'1963-08-01 00:00:00',2,1,12,1982,'F','N','TRINDADE','FLORIANOPOLIS','SC','524091243221373712246643332124121768097',11725,'836',49.36,1,3,NULL),(15,2019736,'1990-05-29 00:00:00',2,10,11,2007,'F','N','CENTRO','TUBARAO','SC','124242241215111431558731195112610126037',NULL,'797',0.00,1,3,NULL),(15,2019744,'1990-08-23 00:00:00',4,1,12,2007,'M','N','AREIAS','FLORIANOPOLIS','SC','124241241137131451456924275124610168172',3262,'307',65.36,1,2,1),(15,2019760,'1979-07-29 00:00:00',2,1,11,2001,'M','N','IPIRANGA','SAO JOSE','SC','224241247126152421346644344132230264042',16762,'9999',42.23,1,2,1),(15,2019779,'1989-08-10 00:00:00',4,1,12,2007,'F','N','PQ SÃO LUIZ','JUNDIAI','SP','125252251215111431566612575122610131073',NULL,'9998',0.00,3,3,NULL),(15,2019787,'1988-09-22 00:00:00',4,8,12,2005,'M','N','GUAIANASES','SAO PAULO','SP','125253251147271411422511376344610167042',12010,'9998',48.97,1,3,NULL),(15,2019795,'1988-06-08 00:00:00',4,8,12,2005,'M','N','VILA NOVA','JOINVILLE','SC','124241246216373411469813475122232927112',14502,'1105',45.40,4,3,NULL),(15,2019809,'1980-05-24 00:00:00',2,1,11,2000,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241247217131431333949391114610162094',21231,'272',34.38,1,3,NULL),(15,2019825,'1988-04-22 00:00:00',4,4,12,2005,'F','N','SAO CRISTOVAO','CHAPECO','SC','124241241111373411444314242124610127142',NULL,'169',22.50,1,3,NULL),(15,2019833,'1990-10-04 00:00:00',4,6,12,2007,'F','N','BOA VISTA','PINDAMONHANGABA','SP','125252251216111411439839395125610138182',NULL,'9998',0.00,1,3,NULL),(15,2019841,'1990-01-10 00:00:00',4,1,12,2007,'M','N','JARDIM RECREIO','SERTAOZINHO','SP','125251251216111431464833575112610144114',7909,'9998',55.51,4,3,NULL),(15,2019850,'1963-08-29 00:00:00',4,1,12,2007,'F','N','ABRAÃO','FLORIANOPOLIS','SC','224243247227141411444454422124610161097',NULL,'9999',23.83,1,3,NULL),(15,2019868,'1981-06-19 00:00:00',2,1,12,1999,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241241137133431444713185124610112147',15161,'281',44.58,1,2,1),(15,2019876,'1977-04-06 00:00:00',4,1,11,1999,'F','N','PARQUE SÃO JORGE','FLORIANOPOLIS','SC','124253257336112531249833371122232628095',NULL,'9998',22.45,4,3,NULL),(15,2019884,'1989-09-03 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241216432431438834574222610166072',10879,'270',50.64,1,3,NULL),(15,2019892,'1987-03-09 00:00:00',2,1,12,2004,'F','N','BUTANTÃ','SAO PAULO','SP','125251251137371411434714281121142862097',15917,'9998',43.52,1,2,1),(15,2019914,'1990-08-15 00:00:00',4,1,11,2007,'M','N','VILA OLINDA','CAMPO GRANDE','MS','112122128235111441479933395124610164082',7578,'9998',56.07,1,3,NULL),(15,2019922,'1989-09-03 00:00:00',2,8,12,2006,'M','N','PROGRESSO','BENTO GONCALVES','RS','120201201116471431533311575124610167057',15424,'9998',44.22,2,1,1),(15,2019930,'1989-06-15 00:00:00',3,1,9,2006,'M','N','ASA SUL','BRASILIA','DF','107042041216271411468813372122241964092',2024,'9998',69.17,1,3,NULL),(15,2019949,'1989-09-12 00:00:00',4,1,12,2006,'M','N','FLORESTA','SAO JOSE','SC','124242241214372431448714341134610137152',6869,'213',57.41,1,3,NULL),(15,2019973,'1989-11-16 00:00:00',2,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241217332431348923372124231017147',19643,'654',37.54,1,3,NULL),(15,2019981,'1987-08-26 00:00:00',4,1,3,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124254258217411711368824472122610117112',NULL,'9998',0.00,1,3,NULL),(15,2019990,'1989-10-10 00:00:00',4,1,8,2007,'M','N','IPIRANGA','SAO JOSE','SC','124241241115151441436334332224610167142',5092,'739',60.92,1,3,NULL),(15,2020017,'1989-01-19 00:00:00',2,7,12,2006,'M','N','CENTRO','JABORA','SC','124244242236471441446911315122610127057',15592,'836',43.98,1,3,NULL),(15,2020033,'1978-05-18 00:00:00',2,9,1,1997,'M','N','CENTRO','MACHADINHO','RS','124201202116131411436536445122610126092',NULL,'9998',29.46,1,3,NULL),(15,2020041,'1988-01-13 00:00:00',4,1,12,2007,'F','N','AREIAS','SAO JOSE','SC','124241247127131431536711145134610133117',NULL,'300',21.19,1,2,1),(15,2020050,'1989-06-23 00:00:00',2,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241135411451221374115124610167147',6152,'306',58.75,3,2,1),(15,2020068,'1981-08-31 00:00:00',4,1,12,1999,'M','N','TRIÂNGULO','CARLOS BARBOSA','RS','120204203246371411643414115124610132037',12834,'9998',47.81,1,3,NULL),(15,2020076,'1987-12-27 00:00:00',2,1,12,2006,'M','N','CENTRO','PALHOCA','SC','124242241217372532336829435114610117052',18182,'1011',40.01,1,3,NULL),(15,2020084,'1989-02-03 00:00:00',2,1,12,2005,'F','N','PORTO DA LAGOA','FLORIANOPOLIS','SC','124241241137131431436511375124610118097',20728,'307',35.44,1,2,1),(15,2020092,'1989-05-02 00:00:00',2,1,12,2006,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241216373721559913492124231428052',NULL,'654',0.00,1,3,NULL),(15,2020106,'1988-02-13 00:00:00',4,1,12,2005,'M','N','GONZAGA','SANTOS','SP','125254251217571431236829575115140762052',NULL,'9998',49.65,1,3,NULL),(15,2020130,'1990-01-26 00:00:00',4,1,12,2007,'M','N','TRÊS FIGUEIRAS','PORTO ALEGRE','RS','120202201216371431489912575122610137122',8298,'9998',54.85,1,3,NULL),(15,2020157,'1989-10-30 00:00:00',4,1,12,2007,'M','N','VILA EMA','SAO JOSE DOS CAMPOS','SP','125202251237471421568813135112610167052',8503,'9998',54.51,1,3,NULL),(15,2020173,'1974-09-22 00:00:00',4,1,12,1991,'M','N','CENTRO','FLORIANOPOLIS','SC','124214211216275431375443431131141066096',NULL,'9998',0.00,1,3,NULL),(15,2020181,'1987-06-08 00:00:00',2,1,12,2004,'M','N','VILA MARIANA','SAO PAULO','SP','125251251117572431438827372125610162197',4301,'9998',62.70,4,2,1),(15,2020190,'1976-01-12 00:00:00',2,1,12,1998,'M','N','JD PRESIDENTE','SAO PAULO','SP','125251257146131421424544345114610122187',NULL,'9998',0.00,1,2,1),(15,2020203,'1985-07-19 00:00:00',2,1,12,2004,'M','N','BARREIROS','SAO JOSE','SC','124243241211274411468612241132120817062',14946,'943',44.86,1,3,NULL),(15,2020211,'1986-09-05 00:00:00',4,1,12,2004,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241215574431667739575122610124147',3153,'270',65.69,1,3,NULL),(15,2020220,'1988-11-08 00:00:00',4,1,12,2006,'F','N','JDM DAS AMERICAS','CUIABA','MT','111112111216371431455632572122610125197',1665,'9998',70.51,1,3,NULL),(15,2020238,'1987-10-17 00:00:00',4,1,12,2004,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241217375431159912575124220764082',2463,'912',67.73,1,3,NULL),(15,2020254,'1990-02-05 00:00:00',4,1,12,2007,'M','N','JARDIM AEROPORTO','BAURU','SP','125252251216271441633779584121610164183',15661,'9998',43.86,1,3,NULL),(15,2020262,'1988-12-29 00:00:00',2,9,11,2005,'M','N','CORAL','LAGES','SC','124241241115574431446834472124610164147',6704,'505',57.73,1,2,1),(15,2020270,'1987-09-19 00:00:00',4,6,12,2004,'F','N','CENTRO','ITAJAI','SC','124162241212574431456714571114610162091',915,'1025',73.99,1,3,NULL),(15,2020297,'1988-04-03 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241216152131433924445124132133047',22035,'1036',32.17,1,3,NULL),(15,2020300,'1988-07-01 00:00:00',2,6,12,2005,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241116471431345611275124131323147',18132,'146',40.10,1,2,1),(15,2020319,'1988-12-15 00:00:00',4,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217473431469714571122610143092',2365,'270',68.03,1,3,NULL),(15,2020327,'1988-11-20 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431538813572124133218097',12375,'270',48.46,1,3,NULL),(15,2020335,'1988-07-03 00:00:00',4,7,12,2004,'M','N','PARQUE DE EXPOSIÇÕES','CONCORDIA','SC','124242241215473441546635495121133237097',10482,'1000',51.21,1,3,NULL),(15,2020343,'1989-07-30 00:00:00',4,1,12,2006,'F','N','VILA BOCAINA','MAUA','SP','125253251436371431437831575124610137142',19715,'9998',37.39,1,3,NULL),(15,2020351,'1989-08-15 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124252241215112411668812572122610123092',4001,'262',63.44,1,3,NULL),(15,2020378,'1988-05-24 00:00:00',4,1,12,2005,'F','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124242241215313431449813471122132523142',1455,'270',71.44,1,3,NULL),(15,2020386,'1989-11-12 00:00:00',4,1,12,2007,'M','N','JD MARIA LUIZA','JUNDIAI','SP','125252251215271431348811575112610127042',16077,'9998',43.26,1,3,NULL),(15,2020394,'1982-03-14 00:00:00',3,1,12,1999,'F','N','FUNDOS','BIGUACU','SC','124242241211274431248823475124221437022',1002,'738',73.53,1,3,NULL),(15,2020408,'1987-03-30 00:00:00',2,1,12,2004,'F','N','SERTAO','SANTO AMARO DA IMPERATRIZ','SC','124241241345474731536313342124610164141',2988,'941',66.19,1,3,NULL),(15,2020432,'1989-05-13 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241116132741646614341114610164182',12859,'739',47.78,1,3,NULL),(15,2020440,'1986-01-09 00:00:00',2,1,12,2003,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241216574431449613572324231427117',8167,'259',55.07,1,3,NULL),(15,2020459,'1990-06-25 00:00:00',4,1,12,2007,'F','N','PICADAS DO NORTE','SAO JOSE','SC','124241247336131411237713245134610166193',11628,'9999',49.51,1,3,NULL),(15,2020467,'1987-03-10 00:00:00',4,8,11,2005,'F','N','SAGUAÇU','JOINVILLE','SC','124241241216573411335632571124610164021',853,'1006',74.35,1,3,NULL),(15,2020475,'1988-05-04 00:00:00',4,1,12,2005,'F','N','VILA BETHANIA','SAO JOSE DOS CAMPOS','SP','125252251217371431538924575115610133117',10723,'9998',50.84,1,3,NULL),(15,2020491,'1989-07-02 00:00:00',2,1,11,2007,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124243247346372411447723475124610124057',9079,'9999',53.51,4,3,NULL),(15,2020505,'1965-09-28 00:00:00',2,1,12,1987,'M','N','BARREIROS','SAO JOSE','SC','424241241126152331463333131122610157047',21557,'281',33.61,1,3,NULL),(15,2020513,'1988-02-23 00:00:00',4,2,12,2005,'M','N','EUGENIO SCHNEIDER','RIO DO SUL','SC','124242241215573751376834346112610167147',1250,'270',72.26,1,3,NULL),(15,2020521,'1990-04-05 00:00:00',2,1,12,2007,'F','N','PAROLIN','CURITIBA','PR','116161161216121731323324295224610164112',NULL,'9998',33.78,2,3,NULL),(15,2020530,'1989-07-24 00:00:00',4,1,12,2006,'M','N','AREIAS','SAO JOSE','SC','124243241415272431338723595124130837067',4856,'1022',61.41,1,3,NULL),(15,2020548,'1987-09-26 00:00:00',2,1,12,2005,'F','N','CAMINHO NOVO','PALHOCA','SC','124241241112371431423923482124610124192',NULL,'592',0.00,1,2,1),(15,2020572,'1989-02-16 00:00:00',2,1,12,2006,'F','N','CENTRO','PONTA GROSSA','PR','116162161217572431356923575115610167052',NULL,'9998',0.00,1,3,NULL),(15,2020580,'1983-06-19 00:00:00',4,1,12,2000,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243247326132451226923385124133161187',21466,'9997',33.81,1,3,NULL),(15,2020599,'1987-02-17 00:00:00',4,1,5,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124241248112142421326649242344610117112',19316,'322',38.13,1,2,1),(15,2020637,'1988-12-27 00:00:00',4,1,12,2004,'F','N','FLORA','VACARIA','RS','120204201217574441469613171124610164041',3482,'9998',64.80,1,3,NULL),(15,2020645,'1988-04-07 00:00:00',4,1,11,2005,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241437152411667933382114610164117',15881,'9999',43.56,1,3,NULL),(15,2020653,'1989-12-21 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241215472411353823574125610122142',8945,'909',53.75,1,3,NULL),(15,2020661,'1990-02-07 00:00:00',2,1,12,2007,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241216111431536414341122610124187',16980,'1014',41.90,1,3,NULL),(15,2020688,'1990-06-12 00:00:00',2,1,12,2007,'F','N','SEMINÁRIO','TAIO','SC','124243241214111431568613575121610134097',10869,'776',50.66,1,3,NULL),(15,2020696,'1990-06-09 00:00:00',4,2,12,2007,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241216152431568834572122610134092',2745,'981',66.89,1,3,NULL),(15,2020700,'1983-08-31 00:00:00',2,1,12,2001,'M','N','SERRARIA','SAO JOSE','SC','224211214216471711246444445124141764175',NULL,'9998',0.00,2,1,2),(15,2020726,'1990-01-29 00:00:00',2,5,12,2006,'M','N','FIGUEIRA','JACINTO MACHADO','SC','124242241215473431457934575114610137147',3739,'813',64.10,1,3,NULL),(15,2020742,'1988-03-10 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216472431345921274124610132071',5068,'262',60.96,1,3,NULL),(15,2020750,'1984-07-27 00:00:00',2,1,12,2001,'F','N','AREIAS','SAO JOSE','SC','124242241216275431655611435124120524187',16526,'868',42.55,1,3,NULL),(15,2020777,'1988-10-05 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241335141421636611142334610118017',13785,'836',46.49,1,3,NULL),(15,2020785,'1990-09-03 00:00:00',2,1,8,2008,'F','S','CENTRO HISTÓRICO','SAO JOSE','SC','124242241116131421523621215124610125147',NULL,'739',37.73,4,3,NULL),(15,2020793,'1988-02-06 00:00:00',2,1,12,2005,'F','N','PARQUE VERDE','CASCAVEL','PR','116161161136371722333444345124610126172',20981,'9998',34.88,1,3,NULL),(15,2020807,'1990-11-03 00:00:00',2,1,12,2007,'M','N','VILA MORAES','CALDAS NOVAS','GO','109091091116173441323311271324610164092',17335,'9998',41.33,1,2,1),(15,2020823,'1990-07-02 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241217151431279923577114610138015',788,'883',74.79,1,3,NULL),(15,2020831,'1990-09-28 00:00:00',4,8,12,2007,'M','N','UBERABA','CURITIBA','PR','116161161217111231457823572322610162067',13388,'9998',47.06,1,3,NULL),(15,2020858,'1988-09-05 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215342411268813474112132862115',8218,'270',54.99,4,3,NULL),(15,2020866,'1988-09-16 00:00:00',2,6,12,2005,'F','N','MEDIANEIRA','SANTA MARIA','RS','120204201211271431535923311123241344097',NULL,'9998',0.00,4,3,NULL),(15,2020874,'1990-01-05 00:00:00',2,5,10,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241215111411534711242244610135077',15402,'226',44.25,1,3,NULL),(15,2020882,'1987-09-30 00:00:00',4,1,11,2007,'M','N','FUNCIONÁRIOS','BELO HORIZONTE','MG','113132131215111431588611475122610137087',14226,'9998',45.83,1,3,NULL),(15,2020890,'1984-03-04 00:00:00',4,1,12,2001,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241216272421269913215133221462182',4002,'300',63.43,3,3,NULL),(15,2020912,'1985-12-19 00:00:00',4,1,3,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244241115374431438723485124610161145',7213,'267',56.76,1,3,NULL),(15,2020920,'1989-06-27 00:00:00',4,8,12,2006,'F','N','FLORESTA','JOINVILLE','SC','124241246216271311444314344124610144147',11170,'494',50.20,1,3,NULL),(15,2020939,'1988-04-10 00:00:00',2,1,12,2007,'M','N','SANTO ANTÔNIO','FLORIANOPOLIS','SC','124241241136472431214841312324610137097',NULL,'307',40.03,1,3,NULL),(15,2020947,'1990-07-19 00:00:00',4,4,12,2007,'F','N','NATUREZA','ITA','SC','124241241116471431358614572122610123072',17011,'384',41.86,1,2,1),(15,2020955,'1989-04-02 00:00:00',4,8,11,2006,'F','N','SAGUAÇÚ','JOINVILLE','SC','224242241215322431588912572112132121122',4273,'486',62.75,4,3,NULL),(15,2020963,'1990-02-08 00:00:00',2,8,12,2007,'F','N','SAO RAFAEL','RIO NEGRINHO','SC','124241241126151711626311115324610116052',NULL,'669',23.98,4,2,1),(15,2020971,'1986-02-15 00:00:00',4,6,12,2003,'M','N','SÃO LUIZ','ITU','SP','116251251216472431238823575225243266097',12683,'9998',48.02,4,3,NULL),(15,2020980,'1984-10-03 00:00:00',2,1,12,2002,'F','N','ROÇADO','SAO JOSE','SC','124241241126271121455614345134610141197',15458,'732',44.18,1,2,1),(15,2020998,'1991-01-10 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431477813574122610123012',7466,'270',56.30,1,3,NULL),(15,2021005,'1987-10-01 00:00:00',4,1,11,2005,'F','N','LIBERDADE','SAO PAULO','SP','125252251215571431427823576124610162197',4080,'9998',63.24,1,3,NULL),(15,2021013,'1987-12-09 00:00:00',5,1,12,2005,'F','N','CENTRO','URUSSANGA','SC','124242241217573421459931572124610167077',338,'226',78.21,1,3,NULL),(15,2021021,'1989-10-30 00:00:00',4,9,12,2006,'M','N','CENTRO','CURITIBA','PR','116242241216472211456639575325610167147',1507,'499',71.16,1,3,NULL),(15,2021030,'1989-04-14 00:00:00',2,1,12,2007,'F','N','JARDIM MAUÁ','NOVO HAMBURGO','RS','120202203217151721366624242112610128122',NULL,'9998',0.00,1,3,NULL),(15,2021048,'1988-11-14 00:00:00',2,1,7,2007,'F','N','ARMAÇÃO DO SUL','FLORIANOPOLIS','SC','124243241216271411536933375124610156017',NULL,'9999',22.47,1,3,NULL),(15,2021056,'1989-08-09 00:00:00',2,4,12,2006,'M','N','VENEZA','XANXERE','SC','124241241137132431425611182224610147142',NULL,'307',0.00,4,2,1),(15,2021064,'1989-06-16 00:00:00',2,1,12,2007,'M','N','SANTA TEREZINHA','VACARIA','RS','120204201417141732653339395112610168047',22447,'9998',29.75,1,3,NULL),(15,2021072,'1988-04-20 00:00:00',4,4,12,2005,'M','N','CENTRO','PATO BRANCO','PR','116162161116271111436913215112143262014',9673,'9998',52.46,1,3,NULL),(15,2021080,'1989-03-05 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472441348924572114610163092',2894,'266',66.46,1,3,NULL),(15,2021099,'1987-02-16 00:00:00',2,1,12,2004,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124201241116273431538513445124610133117',19032,'257',38.62,4,2,1),(15,2021102,'1989-12-04 00:00:00',4,1,12,2006,'M','N','CENTRO','CONCORDIA','SC','124244241215474431455732274324610166127',421,'270',77.45,1,3,NULL),(15,2021110,'1989-07-07 00:00:00',2,4,12,2007,'F','N','CENTRO','ITA','SC','124244241115471721358534571124611026157',NULL,'384',22.36,1,3,NULL),(15,2021129,'1982-02-19 00:00:00',4,8,12,1999,'M','N','CENTRO','GUAPORE','RS','120201201126161421533311245125140747057',17927,'9998',40.45,1,2,1),(15,2021137,'1990-07-29 00:00:00',4,8,12,2007,'F','N','AVENTUREIRO','JOINVILLE','SC','124244241347141411445752241114610147037',21140,'483',34.57,1,3,NULL),(15,2021153,'1959-10-05 00:00:00',2,1,12,1977,'M','N','CENTRO','FLORIANOPOLIS','SC','224241241113143411464443332122320867052',10302,'306',51.48,1,2,1),(15,2021161,'1989-02-18 00:00:00',4,7,12,2007,'M','N','CENTRO','JOACABA','SC','124241241146141541433631345125610128057',22116,'449',31.84,1,2,1),(15,2021170,'1990-06-17 00:00:00',2,4,11,2007,'F','N','CENTRO','XANXERE','SC','124243241216111431454634375122610134147',12883,'1081',47.75,4,3,NULL),(15,2021188,'1990-06-14 00:00:00',4,1,11,2007,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242241212373431447931575122610132142',5697,'774',59.68,1,3,NULL),(15,2021196,'1988-10-07 00:00:00',2,4,12,2005,'F','N','PASSO DOS FORTES','CHAPECO','SC','124241241115571431226613342325610126147',10936,'182',50.55,4,2,1),(15,2021200,'1989-08-07 00:00:00',4,8,12,2006,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161216372431478819574114610117122',NULL,'9998',0.00,1,3,NULL),(15,2021218,'1990-01-03 00:00:00',4,1,12,2007,'M','N','CENTRO','ITARARE','SP','125254161217421411658834375122610167092',NULL,'9998',0.00,1,3,NULL),(15,2021234,'1990-05-25 00:00:00',4,2,11,2007,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124242241215272441488613575122610126182',3435,'107',64.91,1,3,NULL),(15,2021242,'1989-01-12 00:00:00',4,5,12,2006,'M','N','MICHEL','CRICIUMA','SC','124242241211271751435639195125610167014',2186,'226',68.65,1,3,NULL),(15,2021250,'1991-05-14 00:00:00',4,4,10,2007,'F','N','CENTRO','ERECHIM','RS','120203201215371431438914472122610142177',4396,'9998',62.48,1,3,NULL),(15,2021269,'1990-09-11 00:00:00',4,4,12,2007,'F','N','CENTRO','CASCAVEL','PR','116162161216111411458913472125610136122',3011,'9998',66.10,1,3,NULL),(15,2021285,'1988-07-29 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124243241336272421337414395124610167187',18153,'1022',40.07,1,3,NULL),(15,2021293,'1986-01-25 00:00:00',4,1,12,2003,'M','N','CENTRO','ITARARE','SP','125253241216411711338823491325610164042',18921,'9998',38.81,1,3,NULL),(15,2021307,'1984-10-10 00:00:00',4,1,12,2002,'M','N','JARDIM FLORIDIANA','RIO CLARO','SP','125251251215471431457414445122340262042',10132,'9998',51.74,1,3,NULL),(15,2021323,'1990-08-03 00:00:00',4,2,12,2007,'F','N','CENTRO','POMERODE','SC','124241241215172431356833571122610124142',13671,'624',46.65,1,3,NULL),(15,2021331,'1990-11-10 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215121431468612272124610164052',9416,'738',52.92,1,3,NULL),(15,2021340,'1987-12-22 00:00:00',4,1,12,2005,'F','N','PONTA DA PRAIA','SANTOS','SP','125253251217572731569614575122610122187',888,'9998',74.12,1,3,NULL),(15,2021358,'1986-04-04 00:00:00',2,1,11,2003,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124243241114375431539923572124610142147',5756,'271',59.55,1,3,NULL),(15,2021366,'1990-09-26 00:00:00',4,6,12,2007,'M','N','FAZENDA','ITAJAI','SC','124242248216151431368934575122610164072',4723,'1057',61.70,1,3,NULL),(15,2021374,'1977-07-14 00:00:00',2,1,12,1994,'M','N','MAR GROSSO','LAGUNA','SC','124242241216253711158643432234320827113',6391,'230',58.27,1,3,NULL),(15,2021382,'1990-02-19 00:00:00',2,4,11,2007,'F','N','CENTRO','CHAPECO','SC','124242241215371431368833472112610123012',11950,'168',49.04,1,3,NULL),(15,2021390,'1990-05-31 00:00:00',2,1,12,2007,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124243241115331331647711385124610133017',19423,'733',37.97,1,3,NULL),(15,2021404,'1989-08-27 00:00:00',2,6,12,2007,'M','N','CENTRO','NAVEGANTES','SC','124242241215111431478613135122610164072',5787,'1026',59.50,1,3,NULL),(15,2021420,'1990-08-19 00:00:00',2,10,12,2007,'M','N','OFICINAS','TUBARAO','SC','124241241137131431335624285121610137077',17794,'804',40.68,1,2,1),(15,2021447,'1987-11-04 00:00:00',4,6,12,2005,'F','N','CENTRO','IJUI','RS','124202201216111731369931195125242663197',NULL,'9998',17.83,1,3,NULL),(15,2021455,'1990-01-01 00:00:00',4,1,12,2007,'M','N','CENTRO','MARINGA','PR','116164168436371231478811575122610127041',13891,'9998',46.33,1,3,NULL),(15,2021463,'1990-07-29 00:00:00',2,1,12,2007,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANOPOLIS','SC','124242241215111431256823574222610138097',4999,'1050',61.08,1,3,NULL),(15,2021510,'1990-05-29 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241117371431543614375124610131147',18694,'49',39.17,1,2,1),(15,2021528,'1989-05-06 00:00:00',4,1,12,2006,'M','N','CENTRO','CASA BRANCA','SP','125252251215371431469911571114610137012',11796,'9998',49.27,1,3,NULL),(15,2021536,'1988-02-14 00:00:00',2,1,12,2007,'M','N','CENTRO','DIONISIO CERQUEIRA','SC','124241161137141411424913285122610127142',NULL,'9998',0.00,2,1,1),(15,2021544,'1987-06-27 00:00:00',4,1,3,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124084081115573431469614575124610162141',137,'9998',80.86,1,3,NULL),(15,2021552,'1977-06-26 00:00:00',4,1,1,2000,'M','N','LAGOA DA CONCEICAO','FLORIANOPOLIS','SC','624132137236141421356641212122141442147',13190,'9999',47.35,1,3,NULL),(15,2021560,'1989-04-22 00:00:00',2,9,12,2006,'F','N','JARDIM GLORIA','BENTO GONCALVES','RS','120202208216571731537619471122610123097',21370,'9998',34.05,1,3,NULL),(15,2021579,'1989-04-13 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241216472711446653234124610164171',8448,'737',54.60,1,3,NULL),(15,2021587,'1986-11-13 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241416572411358313272124610167027',19540,'307',37.74,4,3,NULL),(15,2021609,'1988-07-04 00:00:00',2,1,12,2006,'M','N','FUNCIONARIOS','BELO HORIZONTE','MG','113132131217472751678832572124610167097',946,'9998',73.81,4,3,NULL),(15,2021617,'1984-12-01 00:00:00',2,3,12,2001,'F','N','CENTRO','CAMBORIU','SC','124241241147371431423329232234610164157',4389,'130',62.50,4,1,1),(15,2021625,'1989-10-05 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241117472431458921371144610163182',2,'271',88.21,1,3,NULL),(15,2021641,'1991-01-24 00:00:00',4,8,12,2008,'M','S','BAEPENDI','JARAGUA DO SUL','SC','124241241215271431349824575125610127077',NULL,'441',55.37,1,3,NULL),(15,2021650,'1988-02-11 00:00:00',2,1,11,2005,'F','N','KOBRASOL','SAO JOSE','SC','124241241116373711434623384124610124147',20044,'307',36.73,1,3,NULL),(15,2021668,'1986-01-20 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124201201126133431223344242124130222097',13323,'9998',47.15,1,2,1),(15,2021706,'1989-08-21 00:00:00',4,1,12,2006,'M','N','CAMPINAS','SAO JOSE','SC','124241241117572522668919285124610164141',7609,'307',56.02,1,2,1),(15,2021714,'1980-01-28 00:00:00',2,1,7,1999,'F','N','INGLESES','FLORIANOPOLIS','SC','124201207116141531158639485214141032187',NULL,'9998',0.00,1,3,NULL),(15,2021722,'1979-06-09 00:00:00',1,1,12,2000,'F','N','NOSS SENH DO ROSARIO','SAO JOSE','SC','124241241127272721216679492324610128147',NULL,'777',24.81,1,3,NULL),(15,2021749,'1989-05-23 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241215372431459913435122610162195',3724,'226',64.14,1,3,NULL),(15,2021757,'1990-05-03 00:00:00',4,1,12,2007,'F','N','TAGUATINGA','TAGUATINGA','DF','107073071216211431479833592122610163097',13394,'9998',47.05,1,3,NULL),(15,2021765,'1989-04-29 00:00:00',2,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124241241312371431435719381124611364193',19673,'737',37.47,4,3,NULL),(15,2021773,'1986-02-18 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241137132411536313582114610132187',18572,'257',39.37,1,2,1),(15,2021781,'1987-10-16 00:00:00',2,1,12,2004,'F','N','PORTO DA LAGOA','FLORIANOPOLIS','SC','124241245114132411436411382124610122157',18347,'307',39.72,1,2,1),(15,2021790,'1990-09-17 00:00:00',2,1,11,2007,'M','N','COLONINHA','FLORIANOPOLIS','SC','124242241215371431357733571124610138032',9476,'258',52.82,1,3,NULL),(15,2021820,'1987-10-08 00:00:00',4,1,12,2005,'F','N','FAZENDA STO ANTÔNIO','SAO JOSE','SC','124241241127372411531111584314610131197',NULL,'728',25.64,1,2,1),(15,2021838,'1990-01-04 00:00:00',4,1,12,2006,'M','N','IMIGRANTES','CONCORDIA','SC','124242241216472421333612595124610164052',6459,'270',58.15,1,3,NULL),(15,2021846,'1987-06-05 00:00:00',4,1,12,2004,'F','N','VILA SUISSA','MOGI DAS CRUZES','SP','125252251216574431588931575125610124092',2227,'9998',68.49,4,3,NULL),(15,2021854,'1987-08-20 00:00:00',4,1,12,2004,'F','N','LUTHER KING','FRANCISCO BELTRAO','PR','116162161616472431556914385112143234012',9271,'9998',53.16,1,3,NULL),(15,2021870,'1988-09-05 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124164241215131431336629395124610122147',16500,'422',42.59,4,3,NULL),(15,2021889,'1986-11-10 00:00:00',2,1,10,2003,'M','N','JD DAS FELICIDADES','JANDAIA DO SUL','PR','116161161211132431324329141224142112097',NULL,'9998',0.00,4,3,NULL),(15,2021919,'1988-01-19 00:00:00',2,1,12,2005,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124243241115373431539923572114610123182',5153,'271',60.81,4,3,NULL),(15,2021927,'1988-08-05 00:00:00',4,8,12,2005,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241214373731368839572122610164092',11037,'494',50.40,1,3,NULL),(15,2021943,'1985-04-06 00:00:00',4,1,12,2002,'M','N','CAMPO GRANDE','SANTOS','SP','125252251216572431358823572112610147047',785,'9998',74.81,1,3,NULL),(15,2021951,'1990-09-02 00:00:00',4,1,12,2007,'F','N','VL NOVA SANTA CLARA','BAURU','SP','125252251217131731566612325112610122117',7676,'9998',55.90,1,3,NULL),(15,2021978,'1990-06-08 00:00:00',4,9,12,2007,'F','N','SÃO LUIZ','CURITIBANOS','SC','124241248215122431446616472122610124017',NULL,'881',27.11,1,3,NULL),(15,2021986,'1990-03-21 00:00:00',4,1,12,2006,'F','N','SERRINHA','FLORIANOPOLIS','SC','124242241215473431567833575124610122192',1614,'270',70.76,1,3,NULL),(15,2021994,'1987-09-20 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124242241215472431358813475114610137077',15284,'1022',44.42,1,3,NULL),(15,2022001,'1985-07-31 00:00:00',2,1,12,2003,'F','N','JARDIM ELDORADO','PALHOCA','SC','124241241112373431333313342114330263147',13487,'271',46.91,1,3,NULL),(15,2022010,'1990-02-05 00:00:00',2,8,12,2007,'F','N','VILA COPEL','RESERVA DO IGUACU','PR','116161161315471751535933571224610167142',5164,'9998',60.78,1,3,NULL),(15,2022028,'1991-02-21 00:00:00',2,5,12,2008,'M','S','CENTRO','CRICIUMA','SC','124242241217111411535618296124610127147',NULL,'226',39.61,1,3,NULL),(15,2022036,'1986-07-25 00:00:00',4,1,7,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124161241117131421544314285122131422047',19166,'9999',38.41,1,3,NULL),(15,2022044,'1990-05-12 00:00:00',2,8,12,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215371431468912575122610166072',NULL,'486',0.00,1,3,NULL),(15,2022052,'1990-08-15 00:00:00',4,1,12,2007,'F','N','CENTRO','FRANCA','SP','125252251215132431648811572122610122077',4209,'9998',62.89,1,3,NULL),(15,2022060,'1990-12-02 00:00:00',2,1,11,2007,'M','N','LARANJEIRAS','RIO DO SUL','SC','124242241215271431445933575125610164017',21443,'959',33.86,1,3,NULL),(15,2022079,'1989-05-08 00:00:00',4,1,12,2006,'F','N','BOA VISTA','PINDAMONHANGABA','SP','126252251217471711358923574225610165072',NULL,'9998',32.28,1,3,NULL),(15,2022109,'1988-03-16 00:00:00',4,8,12,2005,'F','N','JARDIM UNIVERSITÁRIO','MARINGA','PR','116122121216511431347835575125610168017',NULL,'9998',0.00,1,3,NULL),(15,2022117,'1991-09-24 00:00:00',4,1,11,2007,'M','N','CENTRO','SAO JOSE','SC','124242241216111231478613291114610115107',10528,'270',51.15,3,3,NULL),(15,2022125,'1984-04-01 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANOPOLIS','SC','124201201433133431334923485124222244065',13999,'9998',46.16,1,3,NULL),(15,2022133,'1989-08-01 00:00:00',2,1,11,2007,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241215131431344319572124610127047',14702,'1098',45.14,1,3,NULL),(15,2022141,'1988-12-17 00:00:00',4,1,12,2007,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124242241117131432323621275214610161142',NULL,'306',0.00,1,3,NULL),(15,2022168,'1985-03-02 00:00:00',4,1,11,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124201248136111411211374246111610117047',NULL,'282',21.82,1,3,NULL),(15,2022176,'1989-12-06 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215371431349622575112610122012',3303,'210',65.25,1,3,NULL),(15,2022184,'1990-07-23 00:00:00',2,4,12,2007,'M','N','SANTA MARIA','CHAPECO','SC','124241241117131411535626572324610128192',4691,'169',61.77,3,2,1),(15,2022192,'1989-10-25 00:00:00',4,1,12,2006,'M','N','CENTRO','CONCORDIA','SC','124244246417151241328833575122610164057',NULL,'192',23.49,1,3,NULL),(15,2022214,'1990-08-14 00:00:00',2,9,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124242241215111411449612432212610167142',4714,'881',61.72,1,3,NULL),(15,2022222,'1989-03-27 00:00:00',4,8,12,2006,'M','N','CENTRO','SAO BENTO DO SUL','SC','124242241217472431479612575124610168182',3318,'974',65.22,1,3,NULL),(15,2022230,'1989-10-20 00:00:00',4,1,12,2006,'M','N','VILLAGE','IMBITUBA','SC','124241241317471711236629345134610164117',5759,'1034',59.55,1,3,NULL),(15,2022249,'1990-02-19 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217112411568811575115610167072',6489,'270',58.09,1,3,NULL),(15,2022257,'1990-10-22 00:00:00',4,9,12,2008,'F','S','SAGRADO COR DE JESUS','LAGES','SC','124242241217112731368639494112610128195',NULL,'497',70.66,1,3,NULL),(15,2022265,'1990-12-17 00:00:00',4,1,12,2007,'M','N','VILA MARIANA','SAO PAULO','SP','125254251416111431333364275125610135057',NULL,'9998',0.00,3,3,NULL),(15,2022273,'1990-03-16 00:00:00',4,1,10,2007,'F','N','JD AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252258216111731248931575112610167122',22282,'9998',31.12,1,3,NULL),(15,2022281,'1990-10-06 00:00:00',4,7,12,2007,'M','N','SANTA TEREZA','JOACABA','SC','124243241116371451448813275122610164192',2990,'451',66.18,1,3,NULL),(15,2022290,'1989-12-13 00:00:00',4,1,12,2007,'F','N','MOINHOS DE VENTO','PORTO ALEGRE','RS','120242201216371431578931571112610136072',NULL,'9998',0.00,1,3,NULL),(15,2022303,'1989-05-23 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216154431468811395124233228187',14538,'1022',45.35,1,3,NULL),(15,2022311,'1989-07-26 00:00:00',4,1,12,2007,'M','N','LAGO SUL','LAGO SUL','DF','107072078137111451368821595111610127091',NULL,'9998',0.00,1,3,NULL),(15,2022320,'1989-05-30 00:00:00',4,1,12,2006,'F','N','ST ANTONIO DE LISBOA','FLORIANOPOLIS','SC','124242241215472431428721572114610124197',16593,'1048',42.46,1,3,NULL),(15,2022338,'1990-02-15 00:00:00',4,1,12,2006,'M','N','CENTRO','VIDAL RAMOS','SC','124241242111132431446823582112130663147',10320,'662',51.46,1,2,1),(15,2022346,'1990-03-21 00:00:00',4,2,11,2007,'M','N','VILA NOVA','BLUMENAU','SC','124242241217272431488713375122610164182',1912,'909',69.55,1,3,NULL),(15,2022354,'1990-03-20 00:00:00',4,8,12,2007,'M','N','PORTÃO','CURITIBA','PR','116162161216421431449823575124610117057',7540,'9998',56.15,1,3,NULL),(15,2022362,'1991-06-19 00:00:00',2,8,11,2007,'F','N','GUANABARA','JOINVILLE','SC','124242241215121731559934245112610126072',3815,'486',63.94,1,3,NULL),(15,2022370,'1987-10-18 00:00:00',4,1,12,2005,'F','N','JD LAS PALMAS','GUARUJA','SP','125252251217571731458814575112610134147',1734,'9998',70.27,1,3,NULL),(15,2022389,'1987-07-15 00:00:00',2,1,12,2004,'F','N','PICADAS DO SUL','SAO JOSE','SC','124242241216273431443631242124121433047',1231,'1036',72.32,1,3,NULL),(15,2022397,'1990-07-03 00:00:00',4,3,12,2007,'M','N','JARDIM TABAETÊ','MARINGA','PR','116162161216111431486931575122610134042',2536,'9998',67.51,3,3,NULL),(15,2022419,'1990-03-28 00:00:00',2,2,12,2007,'M','N','BOA VISTA','RIO DO SUL','SC','124244241435111432458614275122610137062',18808,'959',38.97,1,3,NULL),(15,2022427,'1988-05-30 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241212373411468833434134610131072',11952,'300',49.04,4,3,NULL),(15,2022443,'1984-10-18 00:00:00',4,1,3,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241136375151469613156122231062197',12836,'306',47.81,1,3,NULL),(15,2022451,'1989-10-17 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124112241336371231216628184324610117017',6902,'307',57.33,1,3,NULL),(15,2022460,'1985-09-08 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124252257235272431467811175124610127147',NULL,'9999',18.42,1,3,NULL),(15,2022478,'1989-03-16 00:00:00',5,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124252241215111431468811575124610127042',4487,'270',62.29,1,3,NULL),(15,2022486,'1989-12-14 00:00:00',4,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124243241315121731344413272114610138091',9026,'300',53.60,1,3,NULL),(15,2022494,'1988-02-22 00:00:00',2,1,12,2006,'F','N','CENTRO','PALHOCA','SC','624244241216273721346647572123610112157',11109,'989',50.28,2,3,NULL),(15,2022516,'1987-03-06 00:00:00',4,1,12,2004,'M','N','MONTE CASTELO','TUBARAO','SC','124241241214143411556833571225220227047',3260,'807',65.36,4,3,NULL),(15,2022524,'1989-05-15 00:00:00',2,1,11,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124243241215111431458613592114610168161',11008,'270',50.45,1,3,NULL),(15,2022532,'1983-03-29 00:00:00',4,1,11,2001,'F','N','JARDIM ALVORADA','VOTUPORANGA','SP','125251251116131441435421412124610128187',NULL,'9998',0.00,4,2,1),(15,2022540,'1990-05-22 00:00:00',4,1,12,2007,'M','N','JARDIM KARLA','FOZ DO IGUACU','PR','116162161217271431577632274112610162052',14784,'9998',45.03,1,3,NULL),(15,2022567,'1989-10-25 00:00:00',4,8,11,2006,'F','N','CENTRO','CASCAVEL','PR','116162161215471431365424371112610151157',NULL,'9998',0.00,1,3,NULL),(15,2022575,'1988-04-22 00:00:00',2,1,11,2004,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124202208116131411215674411115610114147',21104,'9998',34.65,1,3,NULL),(15,2022583,'1987-12-11 00:00:00',4,1,12,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241216313431656832495124230767057',15956,'9997',43.45,1,3,NULL),(15,2022591,'1990-02-16 00:00:00',4,4,11,2007,'M','N','CENTRO','FOZ DO IGUACU','PR','116162161215472431548912275122610167057',5638,'9998',59.80,1,3,NULL),(15,2022605,'1989-12-20 00:00:00',2,1,12,2007,'F','N','CENTRO','LOANDA','PR','116162161215111411336916574124610126147',13898,'9998',46.31,1,3,NULL),(15,2022613,'1989-09-06 00:00:00',4,2,11,2007,'M','N','VELHA','BLUMENAU','SC','124242241215111421489814475124610167122',9678,'909',52.46,1,3,NULL),(15,2022621,'1988-08-06 00:00:00',4,8,11,2006,'F','N','AMÉRICA','JOINVILLE','SC','124242241215472431335522372124610127182',2420,'457',67.85,4,3,NULL),(15,2022630,'1986-12-18 00:00:00',4,3,12,2004,'M','N','BACACHERI','CURITIBA','PR','116162161215374411439933591124240664082',NULL,'9998',0.00,1,3,NULL),(15,2022648,'1991-02-07 00:00:00',4,4,12,2007,'M','N','UNIVERSITARIO','CHAPECO','SC','124242241216111431458831574122610121012',6415,'168',58.22,1,3,NULL),(15,2022656,'1987-11-21 00:00:00',4,1,11,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431358811275122121427047',369,'226',77.90,1,3,NULL),(15,2022664,'1990-02-08 00:00:00',4,1,11,2007,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161217121431488811572122610134141',NULL,'9998',0.00,1,3,NULL),(15,2022672,'1987-08-30 00:00:00',2,1,12,2004,'F','N','VILA IPOJUCA','SAO PAULO','SP','125242241217373441358954411114240961187',NULL,'262',0.00,1,3,NULL),(15,2022680,'1980-05-08 00:00:00',4,1,12,1998,'M','N','ALTO DA RUA XV','CURITIBA','PR','116164161336131431648619282324141064197',2594,'9998',67.34,4,3,NULL),(15,2022699,'1989-04-17 00:00:00',4,1,12,2006,'F','N','ASA SUL','BRASILIA','DF','107072071217472431588833574122610141092',6790,'9998',57.57,1,3,NULL),(15,2022702,'1989-08-30 00:00:00',4,4,12,2007,'F','N','VENEZA','XANXERE','SC','124241241137131431236723282124610164177',21900,'840',32.61,1,3,NULL),(15,2022710,'1988-09-17 00:00:00',4,4,12,2005,'F','N','CENTRO','XANXERE','SC','124242241225573431349935572314610123147',67,'836',82.48,1,3,NULL),(15,2022729,'1990-02-09 00:00:00',4,1,11,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241216111751478832572122610127043',12783,'270',47.88,1,3,NULL),(15,2022737,'1991-05-18 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215371451369911374122610165177',2729,'226',66.94,1,3,NULL),(15,2022753,'1991-01-07 00:00:00',4,1,12,2008,'M','S','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124243241111131431539923572124610122097',NULL,'271',43.98,1,3,NULL),(15,2022770,'1981-04-23 00:00:00',2,1,12,1999,'M','N','BOQUEIRÃO','CURITIBA','PR','116163168331152411368813411124141264061',NULL,'9998',0.00,1,3,NULL),(15,2022788,'1990-06-06 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217371431378934574122610134112',736,'262',75.13,1,3,NULL),(15,2022796,'1989-12-05 00:00:00',4,1,12,2007,'F','N','CENTRO','MARAU','RS','120204201417131411366916575112610138182',NULL,'9998',0.00,1,3,NULL),(15,2022800,'1990-04-22 00:00:00',4,3,12,2007,'F','N','BIGORRILHO','CURITIBA','PR','116162161217471431588719572122610123182',NULL,'9998',0.00,1,3,NULL),(15,2022818,'1990-12-07 00:00:00',2,4,12,2007,'F','N','CENTRO','SEARA','SC','124244241215471431546669174122610161157',7633,'185',55.97,1,3,NULL),(15,2022826,'1990-03-21 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241212161431546611382122610133147',12258,'1078',48.64,1,3,NULL),(15,2022834,'1989-03-17 00:00:00',4,5,11,2006,'M','N','MICHEL','CRICIUMA','SC','124242241215472441448833575112610126091',3548,'210',64.63,1,3,NULL),(15,2022842,'1989-09-21 00:00:00',4,7,12,2007,'M','N','CENTRO','CAPINZAL','SC','124244248337141731326812395125610164143',22090,'1093',31.96,1,3,NULL),(15,2022850,'1990-08-12 00:00:00',4,8,12,2007,'F','N','V MEDON','AMERICANA','SP','125252251216321431469722575122610165146',NULL,'9998',0.00,1,3,NULL),(15,2022869,'1990-12-08 00:00:00',2,4,12,2007,'F','N','CENTRO','MARAU','RS','120202201116371431329824595114613248182',NULL,'9998',0.00,1,3,NULL),(15,2022877,'1986-08-19 00:00:00',2,1,5,2005,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241115574431466519272124610166167',1807,'307',69.91,1,2,1),(15,2022885,'1991-08-29 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124202241215121432558832572114610144182',1915,'1022',69.54,1,3,NULL),(15,2022893,'1989-12-04 00:00:00',4,1,12,2006,'F','N','PASSA VINTE','PALHOCA','SC','124241241315372431633664385124610128142',14350,'983',45.65,4,3,NULL),(15,2022907,'1986-04-22 00:00:00',2,1,12,2003,'F','N','ITACOLOMI','GRAVATAI','RS','120201201116131411235329445134610127022',19404,'9998',38.01,1,2,1),(15,2022915,'1990-03-24 00:00:00',4,1,11,2007,'M','N','PORTAL DA OLARIA','SAO SEBASTIAO','SP','125252251215121431468811574112610167112',3757,'9998',64.06,1,3,NULL),(15,2022923,'1990-06-21 00:00:00',4,1,12,2007,'M','N','JARDIM IMPERIAL','ATIBAIA','SP','125253251116471451448612274122610162017',NULL,'9998',0.00,1,3,NULL),(15,2022931,'1989-09-04 00:00:00',2,3,12,2006,'M','N','CENTRO','SANTA CECILIA','SC','124241241116132431446833435324610156042',4237,'686',62.83,1,2,1),(15,2022940,'1986-12-13 00:00:00',2,7,12,2004,'M','N','CENTRO','CAPINZAL','SC','124241241111141431343614442124610124042',NULL,'18',0.00,1,2,1),(15,2022958,'1990-11-02 00:00:00',2,3,12,2007,'F','N','CENTRO','PRUDENTOPOLIS','PR','116162161236121431256422345132610124072',NULL,'9998',0.00,1,3,NULL),(15,2022966,'1989-11-22 00:00:00',2,2,12,2007,'M','N','JARDIM GLÓRIA','AMERICANA','SP','125251251115141732355612242121610167057',16343,'9998',42.84,1,2,1),(15,2022974,'1985-12-10 00:00:00',4,1,4,2004,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241117155411368729414124610161181',16390,'739',42.77,1,3,NULL),(15,2022982,'1975-01-21 00:00:00',2,1,12,1993,'M','N','SERTÃO DO RIBEIRÃO','FLORIANOPOLIS','SC','224241241127372421456443132333610127097',9170,'291',53.32,1,2,1),(15,2022990,'1989-06-01 00:00:00',4,1,12,2007,'F','N','FORQUILHAS','SAO JOSE','SC','124241241115141411543311341334610127052',18235,'306',39.91,1,3,NULL),(15,2023008,'1990-03-07 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124214241135371431668813475124610168142',6390,'306',58.27,4,3,NULL),(15,2023016,'1987-04-30 00:00:00',4,1,12,2004,'M','N','ENCRUZILHADA','SANTOS','SP','125254251217571411267713213114143264047',2574,'9998',67.40,1,3,NULL),(15,2023024,'1989-11-11 00:00:00',2,4,11,2007,'M','N','CENTRO','SINOP','MT','111112111237111431466712145122610167042',15391,'9998',44.27,1,3,NULL),(15,2023032,'1988-03-26 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241215573431536331595124131427147',2735,'781',66.92,1,3,NULL),(15,2023040,'1988-10-11 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215132411429914275114223262113',3468,'723',64.83,1,3,NULL),(15,2023059,'1991-06-02 00:00:00',2,1,11,2008,'F','S','PICADAS DO SUL','SAO JOSE','SC','124241241217151731558612572112610128097',NULL,'9997',41.55,1,3,NULL),(15,2023067,'1990-11-09 00:00:00',1,4,12,2007,'M','N','JARDIM BELA VISTA','ITAPIRANGA','SC','124241241116161431436823572222610127057',NULL,'412',0.00,1,3,NULL),(15,2023075,'1990-07-17 00:00:00',4,4,11,2007,'F','N','LA SALLE','XANXERE','SC','124244241235111331479732392122610165172',6416,'836',58.22,1,3,NULL),(15,2023083,'1990-10-04 00:00:00',4,1,12,2007,'F','N','JARDIM IGUAÇU','MARINGA','PR','116162161215111731468814572122610133112',NULL,'9998',37.53,1,3,NULL),(15,2023105,'1989-09-19 00:00:00',4,5,12,2006,'M','N','JD MIRNA','TABOAO DA SERRA','SP','125251251217371411453432293114143264042',5861,'9998',59.34,1,3,NULL),(15,2023121,'1988-09-20 00:00:00',4,8,12,2005,'F','N','AMÉRICA','JOINVILLE','SC','124243241217372411639834276124130942117',5901,'459',59.25,4,3,NULL),(15,2023130,'1989-12-26 00:00:00',2,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215121231249833571214610134142',2500,'943',67.62,1,3,NULL),(15,2023148,'1990-12-01 00:00:00',4,1,11,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124202241215372731467811575122610133055',7476,'1051',56.28,1,3,NULL),(15,2023156,'1990-11-14 00:00:00',4,1,12,2007,'F','N','CENTRO','MARINGA','PR','116162161217371431459916376112610165197',1939,'9998',69.46,1,3,NULL),(15,2023164,'1989-03-06 00:00:00',4,1,11,2006,'F','N','GIOCONDO ORSI','CAMPO GRANDE','MS','112122121215272431237724572124241267097',9696,'9998',52.42,1,3,NULL),(15,2023172,'1990-05-17 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241236271331458839575122610168142',NULL,'44',0.00,1,3,NULL),(15,2023180,'1988-04-05 00:00:00',2,1,12,2006,'M','N','CENTRO','NOVA TRENTO','SC','124241241136371331534433385124610132187',NULL,'574',37.31,1,2,1),(15,2023199,'1989-12-20 00:00:00',4,1,12,2007,'M','N','ASA NORTE','BRASILIA','DF','107072071215111431464823575122610167092',10730,'9998',50.83,1,3,NULL),(15,2023202,'1988-08-17 00:00:00',2,1,7,2006,'F','N','BELA VISTA','ALVORADA','RS','120202205216131731345632311124240461052',17837,'9998',40.61,1,3,NULL),(15,2023210,'1990-04-23 00:00:00',4,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','125254251216111431449931345112610167097',15743,'9998',43.76,1,3,NULL),(15,2023229,'1988-11-15 00:00:00',4,8,12,2006,'F','N','NOVA BRASÍLIA','JARAGUA DO SUL','SC','124242241215372231578814574122131424197',6901,'491',57.34,1,3,NULL),(15,2023237,'1990-10-18 00:00:00',4,1,12,2007,'F','N','COSTA NERY','MINEIROS','GO','109092091217111431555914575112610164072',3405,'9998',64.99,1,3,NULL),(15,2023245,'1987-07-13 00:00:00',2,8,12,2004,'M','N','SAGUAÇU','JOINVILLE','SC','124201201136371221436612375122130826177',11042,'9998',50.39,1,3,NULL),(15,2023253,'1989-03-26 00:00:00',2,1,12,2006,'F','N','PASSA VINTE','PALHOCA','SC','124241241115372431636424575124132728142',19394,'591',38.03,4,2,1),(15,2023261,'1988-02-25 00:00:00',2,4,12,2005,'M','N','CENTRO','XANXERE','SC','124242241217574411456612376112610167017',2390,'836',67.95,1,3,NULL),(15,2023288,'1989-12-14 00:00:00',4,8,12,2007,'F','N','VILA NOVA','RIO NEGRINHO','SC','124243241116371411526512324122610156197',12312,'669',48.56,1,3,NULL),(15,2023296,'1989-04-20 00:00:00',4,1,12,2006,'F','N','MATA DA PRAIA','VITORIA','ES','108052051216471441156632574124610137097',NULL,'9998',0.00,4,3,NULL),(15,2023300,'1985-04-18 00:00:00',2,1,12,2003,'M','N','DE FÁTIMA','FLORIANOPOLIS','SC','124241241124371421434627382214610132027',13550,'257',46.82,1,2,1),(15,2023318,'1979-12-11 00:00:00',4,1,12,1998,'M','N','PANTANAL','FLORIANOPOLIS','SC','624251251147154751344444241122133228043',9525,'9998',52.73,2,2,1),(15,2023326,'1989-04-23 00:00:00',4,2,12,2006,'M','N','JD NOVO HORIZONTE','MARINGA','PR','116162161212471231478713572111610162067',9434,'9998',52.89,1,3,NULL),(15,2023342,'1990-06-01 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217372431476911592115610146017',9394,'262',52.95,1,3,NULL),(15,2023369,'1990-05-14 00:00:00',3,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124242241217272431459913375124610166057',4776,'1051',61.57,1,3,NULL),(15,2023377,'1991-04-06 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241216151431488812575124610134112',3039,'262',66.01,1,3,NULL),(15,2023385,'1989-09-14 00:00:00',2,1,12,2008,'M','S','COQUEIROS','FLORIANOPOLIS','SC','124242241215111731456924335134610128062',NULL,'1022',37.09,1,3,NULL),(15,2023393,'1990-07-25 00:00:00',2,8,11,2007,'M','N','CENTRO','ALTA FLORESTA','MT','111113111216121432456813575121610167187',NULL,'9998',0.00,1,3,NULL),(15,2023407,'1990-08-02 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215371431579812572122610134142',10891,'262',50.63,1,3,NULL),(15,2023415,'1983-10-27 00:00:00',2,1,12,2001,'F','N','MOINHOS DE VENTO','PORTO ALEGRE','RS','120202208216574711359733375124141264142',NULL,'9998',0.00,1,3,NULL),(15,2023431,'1985-02-26 00:00:00',4,1,12,2002,'M','N','LAGOA DA CAONCEIÇÃO','FLORIANOPOLIS','SC','124242241215273431454611485123233237185',NULL,'394',0.00,1,3,NULL),(15,2023440,'1987-11-11 00:00:00',4,1,11,2004,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','124241241117271431344823242134610133147',6981,'726',57.19,1,2,1),(15,2023458,'1989-09-17 00:00:00',2,1,12,2006,'M','N','PRAIA BRAVA','FLORIANOPOLIS','SC','124241241115432431533721282224610127012',1853,'288',69.75,4,3,NULL),(15,2023466,'1990-01-08 00:00:00',4,1,5,2007,'M','N','ITAIPU','NITEROI','RJ','121214281412211431548711575123610117082',13152,'9998',47.39,1,3,NULL),(15,2023482,'1989-11-14 00:00:00',2,8,12,2006,'F','N','SAGUAÇU','JOINVILLE','SC','124242241216372431338913572124610131142',2860,'1016',66.56,1,3,NULL),(15,2023490,'1989-02-21 00:00:00',2,4,12,2006,'M','N','EFAPI','CHAPECO','SC','124241241117132431231923582324231947082',21086,'697',34.70,1,2,1),(15,2023504,'1981-01-12 00:00:00',2,1,12,1997,'M','N','IND NORTE','SINOP','MT','111112201437311431567532245122341465172',944,'9998',73.81,1,3,NULL),(15,2023512,'1987-08-15 00:00:00',4,1,12,2004,'F','N','BARREIROS','SAO JOSE','SC','124244241215134411445629275124230526097',11973,'943',49.02,1,3,NULL),(15,2023520,'1989-02-11 00:00:00',4,1,12,2006,'F','N','BOSQUE DA SAUDE','SAO PAULO','SP','125252251215471421438814174125610122072',4401,'9998',62.47,4,3,NULL),(15,2023539,'1989-11-13 00:00:00',2,4,12,2006,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124242248217371331448632572115610127042',16310,'751',42.89,1,3,NULL),(15,2023555,'1989-11-19 00:00:00',2,1,11,2007,'F','N','SERRARIA','SAO JOSE','SC','124241241315111431523619271114610166097',12315,'269',48.56,1,3,NULL),(15,2023563,'1990-03-20 00:00:00',2,1,10,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124201201215131431326634572122610132142',20576,'9998',35.74,1,3,NULL),(15,2023571,'1990-05-31 00:00:00',4,1,12,2007,'F','N','VILA NOVA','TRES BARRAS','SC','124241241116131131323712575124610123147',NULL,'153',24.44,1,2,1),(15,2023598,'1983-12-20 00:00:00',4,1,11,2000,'M','N','VILA GOMES','CAMPO GRANDE','MS','112122121215372431468833575122540737092',4930,'9998',61.23,4,3,NULL),(15,2023601,'1990-09-24 00:00:00',4,1,12,2007,'M','N','COND ARUJAZINHO IV','ARUJA','SP','125252251215161441578811572122610167187',1370,'9998',71.80,1,3,NULL),(15,2023610,'1990-01-25 00:00:00',4,1,12,2007,'M','N','PORTO DOS PADRES','PARANAGUA','PR','116164161112151421435419572124610134147',22218,'9998',31.41,4,3,NULL),(15,2023628,'1986-09-26 00:00:00',2,1,12,2004,'F','N','BAIRRO DE FÁTIMA','FLORIANOPOLIS','SC','124244247415473431636679482124131027047',15401,'9999',44.25,4,3,NULL),(15,2023636,'1988-04-01 00:00:00',4,1,12,2005,'M','N','MIRANDÓPOLIS','SAO PAULO','SP','125252251216571431578812575122610137047',3049,'9998',66.00,1,3,NULL),(15,2023644,'1987-05-15 00:00:00',4,4,12,2004,'F','N','JARDIM ESMERALDA','FOZ DO IGUACU','PR','116161161116131431324621242334143224197',19802,'9998',37.21,4,2,1),(15,2023652,'1987-01-05 00:00:00',4,1,12,2004,'M','N','NOVA PIRACICABA','PIRACICABA','SP','125252251215571431357622571122610128047',NULL,'9998',0.00,1,3,NULL),(15,2023660,'1983-03-23 00:00:00',2,4,12,2000,'F','N','COLATTO','XANXERE','SC','624241241136141732233644442215130664067',15913,'840',43.52,4,2,1),(15,2023679,'1988-08-23 00:00:00',4,8,12,2006,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215272431456411575121610122187',2792,'457',66.77,1,3,NULL),(15,2023687,'1989-01-01 00:00:00',2,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124162241216121731467711375112610132187',21195,'44',34.45,1,3,NULL),(15,2023709,'1987-12-16 00:00:00',4,1,12,2005,'F','N','SANTO AMARO','SAO PAULO','SP','125254251217571231466821372124610164047',12633,'9998',48.09,1,3,NULL),(15,2023717,'1982-08-17 00:00:00',2,8,12,1999,'F','N','SAO PEDRO','RIO NEGRINHO','SC','124241241112134431423319392112610164187',8740,'670',54.11,1,2,1),(15,2023725,'1987-09-23 00:00:00',2,4,12,2005,'M','N','PROGRESSO','PALMITOS','SC','124241241116471431433629344332610146147',NULL,'601',3.64,1,3,NULL),(15,2023733,'1978-07-27 00:00:00',4,1,12,1999,'M','N','CENTRO','PALHOCA','SC','124164161216131411236649495124233267112',NULL,'9998',14.70,1,3,NULL),(15,2023768,'1987-12-28 00:00:00',2,1,12,2007,'F','N','VILA APARECIDA','BRAGANCA PAULISTA','SP','125251251416271751458914595123610126147',NULL,'9998',0.00,1,3,NULL),(15,2023792,'1965-06-01 00:00:00',2,1,7,2007,'M','N','MONTE CRISTO','FLORIANOPOLIS','SC','124241247121471412413244242324610127047',NULL,'9999',23.03,2,1,1),(15,2023806,'1990-08-07 00:00:00',4,1,12,2007,'M','N','J ALTO DAS ACÁCIAS','CRAVINHOS','SP','125252251216111431567812575122610164052',986,'9998',73.60,1,3,NULL),(15,2023814,'1985-07-01 00:00:00',2,1,11,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','224242241216142521629854311122232064093',NULL,'266',0.00,1,3,NULL),(15,2023849,'1989-03-07 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472411338723572115233223141',3220,'1022',65.47,1,3,NULL),(15,2023857,'1988-07-11 00:00:00',4,1,11,2005,'M','N','JARDIM CARAMURU','DOURADOS','MS','112122121215472431378732372121610114052',3038,'9998',66.02,1,3,NULL),(15,2023865,'1990-11-09 00:00:00',1,4,12,2007,'M','N','JARDIM BELA VISTA','ITAPIRANGA','SC','124241241116161431436823572222610127057',NULL,'412',0.00,1,3,NULL),(15,2023873,'1990-07-19 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215421431569714591224610121197',7345,'270',56.52,1,3,NULL),(15,2023890,'1987-11-21 00:00:00',4,1,12,2005,'M','N','CERQUEIRA CESAR','SAO PAULO','SP','125252251217572431568811415124610137167',1056,'9998',73.20,1,3,NULL),(15,2023903,'1987-03-06 00:00:00',2,1,12,2004,'F','N','STEFFEN','BRUSQUE','SC','124241241121132421423327381344131323147',15073,'112',44.71,1,2,1),(15,2023911,'1989-08-11 00:00:00',4,4,12,2006,'M','N','JARDIM ITÁLIA','CHAPECO','SC','124242241216472421458933575124610157097',800,'168',74.72,1,3,NULL),(15,2023938,'1989-04-12 00:00:00',4,1,11,2006,'F','N','JARDIM SOLJUMAR','SERTAOZINHO','SP','125252251217471432456614575122610164112',NULL,'9998',0.00,1,3,NULL),(15,2023946,'1991-01-03 00:00:00',4,8,12,2007,'F','N','CENTRO','LONDRINA','PR','116162161217171431238811571122610166187',NULL,'9998',0.00,1,3,NULL),(15,2023954,'1985-03-28 00:00:00',2,1,12,2003,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124241241126133421536313382114610126077',18552,'307',39.40,1,2,1),(15,2023962,'1990-03-06 00:00:00',2,1,11,2007,'M','N','SÃO CRISTÓVÃO','SALETE','SC','124244241217112431479511285124610167057',366,'270',77.92,4,3,NULL),(15,2023970,'1990-07-27 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242251216111431449939575122610124182',18355,'9998',39.71,4,3,NULL),(15,2023989,'1982-03-02 00:00:00',4,1,12,2001,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241115132421334411345334610124117',19811,'9997',37.19,4,3,NULL),(15,2023997,'1988-03-24 00:00:00',4,1,12,2005,'F','N','SAO LUIZ','BRUSQUE','SC','124242241215574431479634592122610134122',11879,'981',49.13,1,3,NULL),(15,2024012,'1989-10-31 00:00:00',2,1,12,2007,'F','N','GANCHOS DE FORA','GOVERNADOR CELSO RAMOS','SC','124241241127151432325328195124610161097',16262,'329',42.96,1,2,1),(15,2024039,'1989-12-28 00:00:00',4,1,11,2006,'M','N','JURERÊ','FLORIANOPOLIS','SC','124242241215272431137863476124132835187',10087,'270',51.80,1,3,NULL),(15,2024055,'1987-06-14 00:00:00',4,1,12,2006,'M','N','PASSO DA AREIA','PORTO ALEGRE','RS','120201201117471431547734275124610162112',NULL,'9998',26.00,1,2,1),(15,2024071,'1990-07-10 00:00:00',4,1,12,2007,'M','N','CENTRO','UNIAO DA VITORIA','PR','116242241215161431556512575111610162057',21289,'632',34.24,1,3,NULL),(15,2024080,'1989-12-23 00:00:00',2,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124241241216112431536863575122610161142',13218,'724',47.28,1,3,NULL),(15,2024101,'1987-08-07 00:00:00',4,1,12,2005,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241136271431556513382114610167182',20237,'595',36.35,1,3,NULL),(15,2024110,'1990-12-11 00:00:00',4,4,11,2007,'F','N','CENTRO','CHAPECO','SC','124243241336131431548814272124610137057',12662,'1046',48.05,1,3,NULL),(15,2024128,'1990-01-03 00:00:00',2,1,12,2007,'M','N','CENTRO','PIUI','MG','113131131216111431246923375211610167046',12459,'9998',48.35,1,3,NULL),(15,2024136,'1989-03-20 00:00:00',4,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241316142431469514445124233267052',6017,'737',59.05,1,3,NULL),(15,2024144,'1981-05-09 00:00:00',4,1,12,1998,'F','N','ENSEADA DO BRITO','PALHOCA','SC','124241246141374341337332245232610127157',NULL,'739',0.00,1,3,NULL),(15,2024152,'1989-10-02 00:00:00',2,1,12,2007,'M','N','COLONINHA','FLORIANOPOLIS','SC','124242241437131411558731391134610147072',11147,'307',50.24,1,3,NULL),(15,2024179,'1984-01-10 00:00:00',4,1,6,2002,'M','N','PARK WAY','NUCLEO BANDEIRANTE','DF','107071071117151411538933385123141262051',12881,'9998',47.75,3,3,NULL),(15,2024187,'1981-09-02 00:00:00',2,1,11,2001,'M','N','ACLIMAÇÃO','SAO PAULO','SP','125251256226471731424364375124610168037',19043,'9998',38.61,3,3,NULL),(15,2024195,'1990-04-21 00:00:00',4,8,12,2007,'M','N','BAEPENDI','JARAGUA DO SUL','SC','124241241137141431458714345124610162052',NULL,'433',42.79,1,2,1),(15,2024209,'1985-01-03 00:00:00',2,1,11,2002,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241117373731333344242234130265187',20551,'307',35.79,1,2,1),(15,2024217,'1985-07-30 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241117573421469914372124220227012',86,'306',81.99,1,3,NULL),(15,2024225,'1989-12-12 00:00:00',4,1,11,2007,'M','N','JD AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251215111431478812425121610167142',7541,'9998',56.15,1,3,NULL),(15,2024233,'1990-10-25 00:00:00',2,5,10,2007,'F','N','PRÓSPERA','CRICIUMA','SC','124243241215111411436631271224610127077',18078,'226',40.18,1,3,NULL),(15,2024241,'1991-09-12 00:00:00',4,2,12,2007,'F','N','RIBEIRÃO AREADO','IBIRAMA','SC','124241241116131431234623472122610166072',NULL,'348',24.20,1,2,1),(15,2024250,'1990-10-01 00:00:00',2,9,12,2007,'M','N','PLANALTO','VACARIA','RS','120204201215271431548616575122610128042',8523,'9998',54.47,1,3,NULL),(15,2024268,'1989-10-30 00:00:00',4,1,11,2007,'M','N','JARDIM VITÓRIA','MARILIA','SP','125252251235121432489913475112610112117',NULL,'9998',0.00,1,3,NULL),(15,2024276,'1990-03-26 00:00:00',4,1,12,2007,'M','N','GUAIUBA','GUARUJA','SP','125252251216271211168824572121610114101',13247,'9998',47.24,1,3,NULL),(15,2024284,'1991-11-17 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241217111731468813574124610121097',12358,'737',48.49,1,3,NULL),(15,2024292,'1990-06-10 00:00:00',2,1,12,2007,'M','N','BELA VISTA','SAO JOSE','SC','124241241115171431534661575124610127187',9003,'726',53.64,4,2,1),(15,2024306,'1990-09-20 00:00:00',4,1,12,2007,'M','N','CENTRO','MEDIANEIRA','PR','116161161136131411443623575124510136197',5189,'9998',60.73,1,2,1),(15,2024314,'1990-01-04 00:00:00',4,8,10,2007,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241215111431479712274122610167142',NULL,'457',0.00,1,3,NULL),(15,2024322,'1988-09-27 00:00:00',2,3,12,2005,'M','N','VILA FORMOSA','APUCARANA','PR','116162161216571431567833582112610127142',4634,'9998',61.94,1,3,NULL),(15,2024330,'1990-03-14 00:00:00',4,1,12,2007,'M','N','GREEN VALLEY','SAO JOSE DO RIO PRETO','SP','125252251217151431468934344122610164033',5907,'9998',59.24,1,3,NULL),(15,2024349,'1990-06-08 00:00:00',4,1,12,2007,'F','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124241241117131411337439391124610126147',20860,'307',35.18,4,1,1),(15,2024357,'1989-02-21 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','108242241215372431368822392124610131092',3308,'270',65.24,1,3,NULL),(15,2024365,'1989-09-30 00:00:00',4,8,12,2006,'F','N','COSTA E SILVA','JOINVILLE','SC','124242246216372731459814374112610143182',18988,'1105',38.69,1,3,NULL),(15,2024373,'1989-04-13 00:00:00',4,10,12,2006,'F','N','SANTA FELICIDADE','CURITIBA','PR','116251161315571441456514272124610134047',NULL,'9998',0.00,1,3,NULL),(15,2024381,'1989-07-17 00:00:00',4,5,12,2006,'F','N','CENTRO','TIMBE DO SUL','SC','124241241216574431466611575122610167142',1386,'813',71.71,1,3,NULL),(15,2024411,'1986-09-17 00:00:00',2,1,12,2004,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241241415574431328811315134230264077',6924,'738',57.30,1,3,NULL),(15,2024420,'1987-07-20 00:00:00',2,1,12,2005,'M','N','VIANELO','JUNDIAI','SP','125252253215572431466614142134610167112',10375,'9998',51.38,1,3,NULL),(15,2024438,'1986-01-03 00:00:00',4,1,12,2003,'F','N','ACLIMAÇÃO','SAO PAULO','SP','125162161216571531568711575124610167013',2738,'9998',66.92,3,3,NULL),(15,2024446,'1990-02-21 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241216471431368823575114610131057',1123,'273',72.92,1,3,NULL),(15,2024454,'1988-12-11 00:00:00',1,1,11,2006,'F','N','GRANJA VIANA','COTIA','SP','125252251217471431488814272112610164152',3858,'9998',63.84,1,3,NULL),(15,2024462,'1986-05-11 00:00:00',4,1,12,2004,'F','N','SANTA TEREZA','VIDEIRA','SC','124241241145471431445514245235610133097',8922,'831',53.80,1,2,1),(15,2024470,'1989-05-01 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215472711588619572112610164182',1600,'262',70.81,1,3,NULL),(15,2024500,'1989-12-30 00:00:00',4,1,12,2006,'F','N','JARDIM AUTONOMISTA','CAMPO GRANDE','MS','112122121216471431458833575122610123187',14240,'9998',45.81,1,3,NULL),(15,2024527,'1989-05-08 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241316272441268824271124133237182',8076,'267',55.22,1,3,NULL),(15,2024543,'1989-04-25 00:00:00',2,9,12,2006,'M','N','CENTRO','CORREIA PINTO','SC','124242241215472431467934572115610134142',9877,'202',52.13,1,3,NULL),(15,2024551,'1986-10-14 00:00:00',2,8,11,2004,'F','N','GUANABARA','JOINVILLE','SC','124241246215372431336621471124610127092',7887,'494',55.54,1,3,NULL),(15,2024560,'1990-08-05 00:00:00',4,1,10,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215111432459911574121610147143',4556,'1051',62.13,1,3,NULL),(15,2024578,'1978-01-01 00:00:00',2,8,12,1995,'F','N','SAO PEDRO','RIO NEGRINHO','SC','124241241112134431423319392112610164187',16086,'671',43.24,1,2,1),(15,2024586,'1988-12-18 00:00:00',4,1,12,2006,'M','N','BAIRRO ALTO','BOTUCATU','SP','125252251215471441449813571122610168032',658,'9998',75.67,4,3,NULL),(15,2024594,'1986-04-30 00:00:00',4,8,12,2003,'F','N','ATIRADORES','JOINVILLE','SC','124162161216571431576814592122132462187',NULL,'9998',0.00,1,3,NULL),(15,2024608,'1989-02-10 00:00:00',4,1,12,2006,'M','N','CENTRO','TAUBATE','SP','125252251215272411648811572112221427047',2172,'9998',68.68,1,3,NULL),(15,2024616,'1989-08-13 00:00:00',4,6,12,2006,'F','N','DOM BOSCO','ITAJAI','SC','124262261237111431556414472122610164097',3120,'9998',65.79,4,3,NULL),(15,2024624,'1988-07-08 00:00:00',4,1,12,2005,'M','N','CENTRO','POUSO ALEGRE','MG','113132131215571432446834575114610167017',3412,'9998',64.96,1,3,NULL),(15,2024632,'1990-05-01 00:00:00',4,1,11,2007,'F','N','ACLIMAÇÃO','CUIABA','MT','111112118235111431369923595122610124012',6084,'9998',58.92,1,3,NULL),(15,2024640,'1988-01-29 00:00:00',2,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241125141441333324342334612364177',15789,'282',43.70,1,2,1),(15,2024659,'1988-11-16 00:00:00',2,1,11,2005,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241115133421434614342124610123147',15338,'65',44.35,1,2,1),(15,2024667,'1991-02-16 00:00:00',4,4,10,2007,'F','N','IMPERIAL','CONCORDIA','SC','124241241415121431469914575112610166145',NULL,'1047',0.00,1,3,NULL),(15,2024683,'1987-09-28 00:00:00',2,1,12,2005,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241131233421546923495124610167097',21759,'278',33.09,1,2,1),(15,2024691,'1991-04-19 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241335421431374712575115610124172',18342,'44',39.72,1,3,NULL),(15,2024705,'1990-09-23 00:00:00',2,9,12,2007,'F','N','CURITIBANOS','CURITIBANOS','SC','124243241115131731336715592222610164142',20995,'320',34.86,4,3,NULL),(15,2024713,'1989-03-28 00:00:00',2,1,12,2006,'F','N','BOM VIVER','BIGUACU','SC','124241241115271431438621572324610168181',15562,'257',44.03,1,2,1),(15,2024730,'1990-01-09 00:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242244235121731238614342124610123012',13562,'1051',46.80,2,1,2),(15,2024748,'1990-05-15 00:00:00',4,1,12,2007,'M','N','JARDIM DAS PALMEIRAS','SANTO ANGELO','RS','120202201217371431468839575112610164047',3441,'9998',64.90,1,3,NULL),(15,2024764,'1988-05-12 00:00:00',4,1,12,2005,'M','N','JARDIM AVENIDA','SAO PAULO','SP','125252251217471411465732385114610127077',14497,'9998',45.42,4,3,NULL),(15,2024780,'1989-04-16 00:00:00',4,2,12,2006,'F','N','ESTAÇÃO','ASCURRA','SC','124241241117472421453519471124610167172',NULL,'38',0.00,1,2,1),(15,2024799,'1990-11-26 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215371431477712192122610137122',11978,'44',49.01,1,3,NULL),(15,2024802,'1988-05-15 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215472411337923215124610162187',6449,'269',58.17,1,3,NULL),(15,2024810,'1988-10-11 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124202241217133751458614582124610121145',5175,'9998',60.76,1,3,NULL),(15,2024829,'1989-10-20 00:00:00',4,2,12,2007,'M','N','CENTRO','BRUSQUE','SC','124243241315371411445512145122610167062',16748,'981',42.26,1,3,NULL),(15,2024837,'1990-05-26 00:00:00',2,4,12,2007,'M','N','CENTRO','GUARAPUAVA','PR','116161161111111431448814442122610157042',13660,'9998',46.67,1,2,1),(15,2024845,'1981-10-09 00:00:00',4,1,12,1999,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124202201216271711228748482323143234117',7130,'9998',56.91,1,3,NULL),(15,2024853,'1988-05-09 00:00:00',4,1,6,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124203247435372411336721345134610132043',7667,'270',55.91,4,3,NULL),(15,2024861,'1990-05-18 00:00:00',4,1,12,2007,'M','N','CENTRO','DOM AQUINO','MT','111112111217111411589911485122610137042',NULL,'9998',0.00,1,3,NULL),(15,2024870,'1988-11-15 00:00:00',4,5,12,2006,'F','N','NOVA VICENÇA','TIMBE DO SUL','SC','124241241116472431433316574222610164147',7247,'814',56.69,1,2,1),(15,2024888,'1985-04-23 00:00:00',4,1,12,2004,'F','N','CAMPINAS','SAO JOSE','SC','124243241117271441628823432124130623092',21503,'712',33.72,1,3,NULL),(15,2024896,'1990-05-21 00:00:00',4,4,12,2007,'F','N','DR ARI LUNARDI','XAXIM','SC','124244241215271331336822474122610128147',10504,'994',51.18,1,3,NULL),(15,2024900,'1989-03-06 00:00:00',2,1,12,2006,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124252251217371711458819591115613226096',14102,'9998',46.03,1,3,NULL),(15,2024926,'1989-08-19 00:00:00',4,1,12,2006,'M','N','LAPA','SAO PAULO','SP','125252251216271411368834375114610162117',4602,'9998',61.99,1,3,NULL),(15,2024942,'1989-10-16 00:00:00',4,1,3,2007,'M','N','FAZENDA DO MAX','SAO JOSE','SC','124242241117272411258813575114610126177',5849,'739',59.37,1,3,NULL),(15,2024977,'1990-05-07 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241116371431448711575124610136095',12970,'267',47.63,1,2,1),(15,2024985,'1986-06-15 00:00:00',4,1,6,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124212211416573441357823384124610114097',2240,'9998',68.45,1,3,NULL),(15,2025019,'1989-07-09 00:00:00',4,1,12,2006,'M','N','VILLAGGIO CAPRICCIO','LOUVEIRA','SP','125161251437472431456621385114610162127',7384,'9998',56.45,1,3,NULL),(15,2025027,'1985-12-25 00:00:00',2,1,12,2004,'F','N','POTECAS','SAO JOSE','SC','124241241117472431431319342334610114147',13021,'293',47.56,3,2,1),(15,2025035,'1986-07-28 00:00:00',4,1,7,2003,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124243247347144711436313335114610166097',22200,'9999',31.49,1,3,NULL),(15,2025043,'1988-08-19 00:00:00',2,8,12,2005,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215572731446632272225610164067',2262,'9998',68.39,1,3,NULL),(15,2025051,'1990-01-27 00:00:00',2,1,12,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124243241311131431426612211124610164172',NULL,'306',33.40,1,3,NULL),(15,2025060,'1987-11-10 00:00:00',2,5,11,2005,'F','N','CENTRO','PRAIA GRANDE','SC','124241241126133411436811571344610137147',19265,'641',38.23,1,2,1),(15,2025078,'1989-12-30 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241214112421347714574122610122197',14008,'497',46.14,1,3,NULL),(15,2025086,'1980-02-08 00:00:00',2,1,11,1998,'M','N','PANTANAL','FLORIANOPOLIS','SC','124282161216153431259714295124120238052',10416,'9998',51.33,1,3,NULL),(15,2025094,'1989-09-18 00:00:00',4,1,12,2007,'F','N','ITAGUAÇÚ','FLORIANOPOLIS','SC','124242241435111431338829374124610166042',15165,'1022',44.57,1,3,NULL),(15,2025108,'1987-12-03 00:00:00',4,1,2,2006,'F','N','ASA NORTE','BRASILIA','DF','107072071216271452348833572122242163043',NULL,'9999',0.00,1,3,NULL),(15,2025116,'1991-10-31 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124241241227111751436434572124610167057',NULL,'262',24.14,1,3,NULL),(15,2025124,'1989-09-22 00:00:00',4,3,11,2006,'M','N','CENTRO','CAMBE','PR','616162161215472421548811294112610127052',10015,'9998',51.91,1,3,NULL),(15,2025159,'1989-09-06 00:00:00',2,1,12,2006,'M','N','ARIRIU','PALHOCA','SC','124242241212473431456613572124233267041',2522,'1011',67.56,4,3,NULL),(15,2025167,'1990-07-19 00:00:00',4,1,11,2007,'F','N','CENTRO','CAPINZAL','SC','124244241217471431458832574112610162095',19,'270',84.49,1,3,NULL),(15,2025175,'1990-11-14 00:00:00',2,1,12,2007,'M','N','CENTRO','SANTO ANTONIO DA PLATINA','PR','116161161216111431439733575122610137052',NULL,'9998',0.00,1,3,NULL),(15,2025183,'1989-10-16 00:00:00',2,1,12,2006,'F','N','CENTRO','PORTO ALEGRE','RS','120202201417471431558611591322610166172',4452,'9998',62.38,1,3,NULL),(15,2025205,'1990-02-08 00:00:00',2,3,11,2007,'M','N','CENTRO','CAMBORIU','SC','124241241316151431125344345221610164043',18861,'130',38.91,1,3,NULL),(15,2025230,'1990-05-24 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241217121741229929572124610128172',829,'262',74.51,1,3,NULL),(15,2025248,'1989-04-25 00:00:00',4,2,12,2007,'M','N','SAO BENTO','BENTO GONCALVES','RS','120202201216221431479834575112610164042',20172,'9998',36.49,1,3,NULL),(15,2025256,'1989-07-11 00:00:00',4,1,12,2006,'M','N','CENTRO','ARARAS','SP','125252251216471411489814575112610164046',638,'9998',75.79,1,3,NULL),(15,2025264,'1990-05-02 00:00:00',4,4,12,2007,'M','N','SANTA MARIA','CHAPECO','SC','124241248217371331366633342122610137052',12228,'1046',48.68,1,3,NULL),(15,2025272,'1988-01-10 00:00:00',2,2,12,2005,'F','N','MARGEM ESQUERDA','GASPAR','SC','124241241116472431448713275123610124147',9807,'327',52.24,1,2,1),(15,2025280,'1990-03-31 00:00:00',2,1,11,2007,'F','N','CENTRO','PIEDADE','SP','125251251212171431453315572214610123097',7968,'9998',55.42,1,3,NULL),(15,2025299,'1989-12-29 00:00:00',2,1,11,2007,'M','N','IPIRANGA','SAO JOSE','SC','124241241215111331556613575122610127042',NULL,'976',23.24,5,3,NULL),(15,2025310,'1989-05-31 00:00:00',4,1,12,2006,'F','N','JARDIM FESTUGATO','FOZ DO IGUACU','PR','116162161217211731458813476122610131192',6661,'9998',57.79,1,3,NULL),(15,2025329,'1990-02-15 00:00:00',4,5,11,2007,'M','N','JARDIM MARISTELA','CRICIUMA','SC','124243241215111432446614342114610122097',6808,'226',57.52,1,3,NULL),(15,2025353,'1989-12-25 00:00:00',2,1,12,2007,'F','N','PASSA VINTE','PALHOCA','SC','124241241111131431623314341334610137052',19834,'592',37.15,4,3,NULL),(15,2025361,'1990-03-23 00:00:00',2,1,12,2007,'F','N','CENTRO','ANGULO','PR','116163161217111441546916574124610165012',8511,'9998',54.49,1,3,NULL),(15,2025370,'1990-07-19 00:00:00',4,1,12,2007,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124242241212122431473612573122610167071',9446,'1022',52.87,1,3,NULL),(15,2025396,'1988-02-16 00:00:00',3,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215475431268824592112131023182',582,'270',76.18,1,3,NULL),(15,2025400,'1988-07-14 00:00:00',3,2,12,2006,'M','N','HIGIENOPÓLIS','SANTA CRUZ DO SUL','RS','120202201216271431468819472124142162112',9168,'9998',53.32,1,3,NULL),(15,2025418,'1986-08-13 00:00:00',4,1,12,2006,'F','N','CIDADE BAIXA','PORTO ALEGRE','RS','120201201146471431425314385324610162197',NULL,'9998',0.00,1,2,1),(15,2025426,'1970-07-15 00:00:00',4,1,12,1988,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241243126155711325343335124320662097',9931,'29',52.04,1,3,NULL),(15,2025442,'1989-08-11 00:00:00',4,1,12,2007,'F','N','P LARANJEIRAS','CAIEIRAS','SP','125251251137371441446539575124610121092',7798,'9998',55.69,1,2,1),(15,2025450,'1991-08-27 00:00:00',4,1,12,2008,'F','S','JARDIM CRUZEIRO','SAO JOSE DOS PINHAIS','PR','116164241216111431557634274122610125051',NULL,'9998',63.96,4,3,NULL),(15,2025477,'1991-02-11 00:00:00',4,6,12,2008,'M','S','CENTRO','BALNEARIO CAMBORIU','SC','124242241217151431488912275122610137062',NULL,'44',35.13,1,3,NULL),(15,2025485,'1988-09-16 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124252251217472711576821575224140464092',748,'9998',75.04,1,3,NULL),(15,2025493,'1989-01-25 00:00:00',2,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124243241217273431333431145334232766092',14720,'9997',45.12,1,3,NULL),(15,2025515,'1988-05-04 00:00:00',4,1,12,2005,'F','N','JARDIM SANTANA','FRANCA','SP','125252258216571431548814575122610167187',10911,'9998',50.59,1,3,NULL),(15,2025531,'1990-07-16 00:00:00',4,5,10,2007,'M','N','CENTRO','ARARANGUA','SC','124242241217371431469832172122610167112',3657,'32',64.34,1,3,NULL),(15,2025540,'1989-12-11 00:00:00',4,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241116111411447832575122610166182',13102,'1048',47.44,1,3,NULL),(15,2025558,'1990-02-07 00:00:00',2,4,11,2007,'F','N','CENTRO','FRANCISCO BELTRAO','PR','116161164115321411329511175325612458147',17618,'9998',40.91,4,2,1),(15,2025566,'1985-10-28 00:00:00',2,1,7,2004,'M','N','RIO CAVEIRAS','BIGUACU','SC','124241247226272431445313485114133261197',11071,'63',50.35,1,3,NULL),(15,2025574,'1990-03-31 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124262261216111431469914575124610147042',8436,'9998',54.64,1,3,NULL),(15,2025582,'1988-10-19 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241215111441338921472121610127182',12609,'1022',48.13,1,3,NULL),(15,2025590,'1989-09-23 00:00:00',4,1,7,2007,'F','N','CENTRO','MEDIANEIRA','PR','116162281116371741558811572114610124142',NULL,'9998',0.00,1,3,NULL),(15,2025604,'1990-04-11 00:00:00',4,1,12,2007,'F','N','BELA VISTA','SAO JOSE','SC','124241241135131411537413331124613236147',NULL,'726',17.72,1,2,1),(15,2025612,'1989-11-12 00:00:00',4,1,12,2006,'M','N','SÃO JOSÉ','FRAIBURGO','SC','124244241215472431446924272124610164052',6026,'885',59.02,1,3,NULL),(15,2025620,'1988-09-20 00:00:00',4,8,12,2006,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242247236471431477914575112610146092',8850,'9999',53.91,1,3,NULL),(15,2025639,'1986-01-28 00:00:00',2,1,12,2003,'F','N','ITANHANGÁ PARK','CAMPO GRANDE','MS','112122121217131431334811472124243261192',13000,'9998',47.59,1,3,NULL),(15,2025647,'1989-04-13 00:00:00',4,1,12,2006,'M','N','CENTRO','BARRETOS','SP','125254251217372431548713475122610134182',NULL,'9998',0.00,1,3,NULL),(15,2025655,'1990-03-18 00:00:00',2,1,12,2007,'F','N','VRGEM DO BOM JESUS','FLORIANOPOLIS','SC','124241241115241431524524345324610125153',17850,'288',40.59,1,3,NULL),(15,2025663,'1991-06-23 00:00:00',2,1,11,2008,'F','S','BELA VISTA III','SAO JOSE','SC','124241241215111431458834584124610133052',NULL,'738',40.95,1,3,NULL),(15,2025671,'1989-10-26 00:00:00',2,1,12,2006,'M','N','ENSEADA DE BRITO','PALHOCA','SC','124244241215472431355833572114610134041',6543,'1011',57.99,1,3,NULL),(15,2025680,'1988-01-13 00:00:00',2,1,12,2006,'F','N','SÃO PEDRO','BELO HORIZONTE','MG','113134131217271421478812385112610127116',16179,'9998',43.10,1,3,NULL),(15,2025698,'1990-10-06 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215151531456714575122610167057',15511,'273',44.12,1,3,NULL),(15,2025701,'1989-10-25 00:00:00',4,1,12,2007,'M','N','CENTRO','SAO BENTO DO SUL','SC','124242241214121531468912225122610137042',NULL,'1073',0.00,1,3,NULL),(15,2025728,'1989-05-27 00:00:00',4,10,12,2006,'F','N','CENTRO','JAGUARUNA','SC','124241241117131431446639385224610126147',17212,'421',41.55,1,2,1),(15,2025736,'1988-12-26 00:00:00',2,1,11,2006,'M','N','CENTRO','VARZEA GRANDE','MT','111112111237371432448613572112610124052',14464,'9998',45.48,2,3,NULL),(15,2025744,'1989-10-20 00:00:00',4,8,12,2007,'M','N','IMBEL','ITAJUBA','MG','113132138216121431638713175121610164092',NULL,'9998',0.00,1,3,NULL),(15,2025752,'1981-04-03 00:00:00',2,1,12,1998,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241115474431435511245234122325147',10722,'307',50.84,1,2,1),(15,2025779,'1990-05-24 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215272431478813575112610167072',5097,'262',60.91,1,3,NULL),(15,2025787,'1990-02-13 00:00:00',4,3,12,2007,'M','N','CENTRO','CURITIBA','PR','116242161212211411439932572125610124022',750,'9998',75.01,1,3,NULL),(15,2025795,'1989-11-01 00:00:00',2,4,12,2006,'F','N','CENTRO','SEARA','SC','124241241126272431225911295134610122017',NULL,'763',12.23,1,2,1),(15,2025817,'1987-03-19 00:00:00',4,1,12,2004,'M','N','ASA SUL','BRASILIA','DF','107072091217571731469811494112141027042',1573,'9998',70.89,1,3,NULL),(15,2025825,'1991-05-20 00:00:00',4,1,12,2009,'M','S','STO ANTÔNIO LISBOA','FLORIANOPOLIS','SC','624242241217111731569933576112610127091',NULL,'262',48.54,1,3,NULL),(15,2025833,'1989-03-27 00:00:00',4,1,12,2006,'F','N','JARDIM VIVENDAS','SAO JOSE DO RIO PRETO','SP','125252251215471431449934574122610125147',NULL,'9998',0.00,1,3,NULL),(15,2025841,'1989-07-11 00:00:00',2,1,12,2007,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124242241117142431339611212124610127057',15098,'306',44.67,1,3,NULL),(15,2025876,'1990-11-29 00:00:00',4,1,11,2007,'F','N','TAMBAÚ','JOAO PESSOA','PB','115152151217111451358729575124610167042',12138,'9998',48.81,1,3,NULL),(15,2025892,'1989-03-28 00:00:00',4,1,11,2007,'F','N','ASA SUL','BRASILIA','DF','107072071217111431369839572122610112072',21785,'9998',33.01,1,3,NULL),(15,2025906,'1991-02-02 00:00:00',4,4,12,2007,'F','N','CENTRO','SAO LOURENCO DO OESTE','SC','124241161316111431356914575114610168037',14476,'9998',45.45,1,3,NULL),(15,2025914,'1990-10-18 00:00:00',4,1,12,2007,'F','N','CENTRO','CASCAVEL','PR','116161161217371431548511195122610161182',6855,'9998',57.44,1,3,NULL),(15,2025922,'1990-02-27 00:00:00',4,1,12,2007,'F','N','CENTRO','REGISTRO','SP','125254251216151411547814575125610136097',7289,'9998',56.62,1,3,NULL),(15,2025930,'1989-02-20 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124244248217372431356911572122610127041',3072,'1018',65.90,1,3,NULL),(15,2025949,'1990-07-22 00:00:00',4,1,2,2008,'F','N','TROPICAL','CASCAVEL','PR','116162161237372441356934575125610164182',3725,'9998',64.14,1,3,NULL),(15,2025957,'1988-12-07 00:00:00',2,1,11,2006,'F','N','JD DAS INDUSTRIAS','SAO JOSE DOS CAMPOS','SP','125252251217472431578313432112610162042',8826,'9998',53.97,4,3,NULL),(15,2025973,'1972-09-17 00:00:00',2,1,1,2001,'M','N','NSA SRA DO ROSARIO','SAO JOSE','SC','224131247425271731443344143122610146192',2826,'1036',66.68,1,3,NULL),(15,2025981,'1990-06-21 00:00:00',2,4,12,2007,'M','N','JAROSESKI','DESCANSO','SC','124242242115131431446933435124610124157',21175,'758',34.50,1,3,NULL),(15,2026007,'1990-05-15 00:00:00',4,1,12,2007,'M','N','CENTRO','ANTONIO CARLOS','SC','124241241415111411436923592124610122052',11539,'1022',49.65,1,3,NULL),(15,2026015,'1990-04-20 00:00:00',2,1,12,2007,'M','N','JARDIM JANAINA','BIGUACU','SC','124241241114131431533721272224610122097',18492,'257',39.51,1,3,NULL),(15,2026023,'1990-02-24 00:00:00',4,1,12,2007,'M','N','JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251217111431589934442112610127057',2279,'9998',68.31,1,3,NULL),(15,2026031,'1965-02-11 00:00:00',2,1,12,1984,'M','N','FORQUILHINHAS','SAO JOSE','SC','624241248122133411333343335132610157047',NULL,'257',25.05,1,2,1),(15,2026040,'1989-07-15 00:00:00',4,8,12,2006,'M','N','AGUA VERDE','CURITIBA','PR','116162161216412411488831575122610167042',5024,'9998',61.03,1,3,NULL),(15,2026058,'1989-05-10 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241117472431336631392114610137097',11724,'734',49.36,1,3,NULL),(15,2026066,'1986-04-08 00:00:00',4,1,12,2003,'F','N','ROÇADO','SAO JOSE','SC','124242241215575431579933571124610168141',85,'266',82.07,1,3,NULL),(15,2026074,'1989-10-05 00:00:00',2,1,12,2006,'F','N','JARDIM TREMENBÉ','SAO PAULO','SP','125253251317371431626623345334610166097',21008,'9998',34.83,4,3,NULL),(15,2026090,'1990-08-24 00:00:00',4,9,12,2007,'M','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124243241315111711446934295124610167042',NULL,'269',24.81,1,3,NULL),(15,2026104,'1990-12-19 00:00:00',4,9,12,2007,'M','N','VILA NOVA','LAGES','SC','124243241315211421366612575122610118142',15915,'499',43.52,1,3,NULL),(15,2026112,'1989-07-13 00:00:00',4,10,12,2006,'M','N','SANTA TEREZINHA','SOROCABA','SP','124252251214471431468824591122610135182',4808,'9998',61.50,1,3,NULL),(15,2026120,'1989-09-18 00:00:00',2,8,12,2006,'M','N','RIO HERN','SCHROEDER','SC','124241241146131411443331245121610147052',14356,'762',45.63,1,2,1),(15,2026139,'1990-04-20 00:00:00',4,2,12,2007,'F','N','NAÇÕES','TIMBO','SC','124241241217121431358914575122610162092',231,'9997',79.56,1,3,NULL),(15,2026147,'1990-05-10 00:00:00',2,9,11,2007,'F','N','VILA NOVA','LAGES','SC','124251241315121431426621281124610136177',17902,'9997',40.48,1,3,NULL),(15,2026155,'1988-07-07 00:00:00',5,1,11,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241216573431256975275124131267147',NULL,'1035',69.96,1,3,NULL),(15,2026163,'1985-09-13 00:00:00',4,1,12,2003,'M','N','CENTRO','POUSO ALEGRE','MG','113132131211471411556519571114140764187',2982,'9998',66.21,1,3,NULL),(15,2026171,'1988-01-28 00:00:00',4,1,11,2007,'F','N','CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC','124242248215471431456823335112610113112',NULL,'270',21.45,1,3,NULL),(15,2026180,'1984-07-13 00:00:00',2,1,12,2001,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124201201117271431223314445124610144042',NULL,'9998',0.00,1,2,1),(15,2026201,'1988-06-12 00:00:00',2,1,12,2005,'F','N','SÃO FRANCISCO','CAMPO GRANDE','MS','124124121415473431379913473324610128192',8287,'9998',54.87,4,3,NULL),(15,2026210,'1989-03-09 00:00:00',2,1,12,2006,'F','N','JARDIM UNIVERSITARIO','MARINGA','PR','125254161216471431538813572122610127142',NULL,'9998',36.21,1,3,NULL),(15,2026228,'1988-12-15 00:00:00',4,1,12,2006,'F','N','ACLIMAÇAO','SAO PAULO','SP','125112111217271431429934472124141062097',20210,'9998',36.39,1,3,NULL),(15,2026236,'1990-06-25 00:00:00',4,10,11,2007,'M','N','OFICINAS','TUBARAO','SC','124242241215111331467814345112610124183',2371,'807',68.01,1,3,NULL),(15,2026244,'1985-06-23 00:00:00',2,5,12,2002,'F','N','LOGRADOURO','NOVA PETROPOLIS','RS','120201201117472431326513442112142735147',NULL,'9998',0.00,4,2,1),(15,2026252,'1986-08-22 00:00:00',4,1,11,2003,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215574421588921392124121467072',57,'262',82.76,1,3,NULL),(15,2026260,'1990-06-23 00:00:00',4,1,12,2007,'F','N','PÃO DE AÇÚCAR','CAPIVARI','SP','125252251215111731338832575122610124142',NULL,'9998',0.00,1,3,NULL),(15,2026279,'1977-06-21 00:00:00',4,1,12,1994,'M','N','KOBRASOL','SAO JOSE','SC','224242248436573221266844444132331566092',9062,'498',53.55,1,3,NULL),(15,2026287,'1989-06-19 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241415111431437413575124610162047',4444,'1022',62.39,1,3,NULL),(15,2026295,'1990-09-04 00:00:00',2,1,11,2007,'F','N','GUIOMAR DE FORA','ANTONIO CARLOS','SC','124242241215111431335635572124610148142',5208,'270',60.69,1,3,NULL),(15,2026317,'1988-09-22 00:00:00',4,8,12,2006,'M','N','GLÓRIA','JOINVILLE','SC','124244241215472431431661475115130768181',1535,'486',71.06,3,3,NULL),(15,2026325,'1988-12-11 00:00:00',4,1,12,2006,'M','N','VILLA PAVAN','AMERICANA','SP','125252251115471411458813575125610127187',6540,'9998',58.00,1,3,NULL),(15,2026341,'1986-12-29 00:00:00',2,1,12,2004,'M','N','SUDOESTE','CRUZEIRO','DF','107072071217571431378733575122610164054',6364,'9999',58.33,4,3,NULL),(15,2026350,'1990-11-21 00:00:00',4,8,12,2007,'M','N','SAGUAÇU','JOINVILLE','SC','116162161215111431469713474214610162172',1971,'9998',69.36,1,3,NULL),(15,2026376,'1988-01-14 00:00:00',4,1,12,2005,'M','N','JARDIM SANTA CRUZ','RIBEIRAO PRETO','SP','125252251215571431568712575124610167052',7128,'9998',56.91,1,3,NULL),(15,2026384,'1989-03-28 00:00:00',4,1,12,2006,'M','N','ALTO','PIRACICABA','SP','125252258216271241248837323124210125092',NULL,'9998',NULL,1,3,NULL),(15,2026392,'1966-05-27 00:00:00',2,1,12,2001,'M','N','PONTA DE BAIXO','SAO JOSE','SC','624201207227131411533349191333610114192',10958,'9999',50.53,1,3,NULL),(15,2026406,'1989-11-24 00:00:00',4,1,11,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124161241215472431454932574114610123097',451,'270',77.21,1,3,NULL),(15,2026422,'1990-05-29 00:00:00',4,1,12,2007,'M','N','CENTRO','UMUARAMA','PR','116162161216121451346923572345610144032',1434,'9998',71.51,1,3,NULL),(15,2026457,'1990-10-30 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241215121431558832575122610127093',19066,'491',38.56,1,3,NULL),(15,2026465,'1953-06-05 00:00:00',1,1,7,1986,'M','N','MONTE CRISTO','FLORIANOPOLIS','SC','224243241636152412223349295124610158187',15012,'9997',44.78,1,3,NULL),(15,2026473,'1990-04-20 00:00:00',2,10,12,2007,'M','N','TERMAS','GRAVATAL','SC','124241161415111431437814396224610162143',11093,'9998',50.31,1,3,NULL),(15,2026490,'1985-10-16 00:00:00',2,1,12,2002,'M','N','VL ROSÁLIA','GUARULHOS','SP','125252251216572431549732575122610144092',4216,'9998',62.87,1,3,NULL),(15,2026503,'1987-04-09 00:00:00',2,1,12,2004,'F','N','ARMAÇÃO DO PANTANO D','FLORIANOPOLIS','SC','124241241416153431359622345224133252171',16571,'266',42.49,4,3,NULL),(15,2026520,'1989-11-01 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431547719574124610166097',5520,'1022',60.02,1,3,NULL),(15,2026546,'1988-02-03 00:00:00',2,1,12,2005,'F','N','POMPÉIA','SANTOS','SP','125251251216572431346823572124610166072',1943,'9998',69.45,1,3,NULL),(15,2026554,'1983-04-13 00:00:00',2,1,12,2001,'F','N','AEROPORTO','MARINGA','PR','116163161116571431223623442324142226142',9391,'9998',52.95,1,3,NULL),(15,2026562,'1990-01-31 00:00:00',4,1,12,2007,'M','N','CAMPOLIM','SOROCABA','SP','125252251215111431378834575112610134042',6383,'9998',58.29,1,3,NULL),(15,2026570,'1990-05-06 00:00:00',4,10,12,2007,'M','N','VILA PARAÍSO','JAGUARUNA','SC','124241241113131132536933572221610137047',NULL,'421',25.39,1,2,1),(15,2026597,'1987-05-30 00:00:00',2,1,12,2004,'M','N','JARDIM EUROPA','SOROCABA','SP','125251251337451431625629332112140217187',16943,'9998',41.94,1,3,NULL),(15,2026619,'1988-12-06 00:00:00',4,1,12,2006,'F','N','CHÁCARA PRIMAVERA','CAMPINAS','SP','125252251136471751348723372124610162057',7587,'9998',56.05,3,3,NULL),(15,2026627,'1988-12-09 00:00:00',4,1,12,2006,'F','N','SERRINHA','FLORIANOPOLIS','SC','124072071217472441487833472123610137132',4384,'9998',62.51,1,3,NULL),(15,2026635,'1989-12-13 00:00:00',4,8,11,2007,'F','N','IRIRIÚ','JOINVILLE','SC','124242241215121431546934575124610143072',14060,'486',46.08,1,3,NULL),(15,2026643,'1988-08-12 00:00:00',4,3,12,2005,'F','N','CEM CASAS','TELEMACO BORBA','PR','116173161416571431566519592122610132142',12626,'9998',48.10,2,3,NULL),(15,2026651,'1987-11-30 00:00:00',4,1,12,2007,'M','N','BARRA DA TIJUCA','RIO DE JANEIRO','RJ','121212211211111432449931571122610167112',10688,'9998',50.89,1,3,NULL),(15,2026686,'1984-05-25 00:00:00',4,1,12,2001,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124244241215573441256962275134221434182',1911,'226',69.56,1,3,NULL),(15,2026694,'1989-11-09 00:00:00',4,1,12,2006,'F','N','JARDIM NOVA EUROPA','CAMPINAS','SP','125253251335471131547824575114610164054',6826,'9998',57.49,1,3,NULL),(15,2026708,'1989-04-24 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211472431368831572122230244182',1255,'270',72.24,1,3,NULL),(15,2026716,'1990-10-28 00:00:00',4,1,12,2007,'M','N','CENTRO','SAO JOAO BATISTA','SC','124242241215111731466832375122610167043',16384,'981',42.78,1,3,NULL),(15,2026724,'1990-12-19 00:00:00',4,8,12,2007,'F','N','CIDADE NOVA','PORTO UNIAO','SC','124242161217111731479911571122610143122',3638,'9998',64.38,1,3,NULL),(15,2026740,'1989-10-17 00:00:00',4,1,11,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215471431488932475114610164122',9173,'270',53.32,1,3,NULL),(15,2026767,'1988-08-26 00:00:00',4,1,12,2006,'M','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124242241215373431389714575122610167042',1984,'270',69.31,1,3,NULL),(15,2026775,'1990-04-26 00:00:00',2,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124243241315111411434312575122610166042',19866,'737',37.08,1,3,NULL),(15,2026783,'1988-03-31 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241216372431476613575112610167072',2090,'272',69.00,1,3,NULL),(15,2026791,'1990-05-01 00:00:00',4,1,12,2007,'F','N','CENTRO','BOTUCATU','SP','125252251217111341468813372122610162072',5234,'9998',60.65,1,3,NULL),(15,2026805,'1990-02-08 00:00:00',2,1,12,2007,'F','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124243248415111431446731575124610167092',20390,'1022',36.07,1,3,NULL),(15,2026813,'1989-05-09 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215373421458869575122133223152',3602,'270',64.48,1,3,NULL),(15,2026821,'1989-10-03 00:00:00',4,5,11,2006,'F','N','CENTRO','CRICIUMA','SC','124262248215472431468919292125610133077',7651,'995',55.94,1,3,NULL),(15,2026830,'1990-05-21 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124131241315131431326624275224610168147',14775,'300',45.03,1,3,NULL),(15,2026848,'1990-08-27 00:00:00',4,5,10,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215212431468912572122610128192',5091,'213',60.92,1,3,NULL),(15,2026856,'1990-01-27 00:00:00',4,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124242241215111431358612595121610167181',13263,'1022',47.22,1,3,NULL),(15,2026864,'1984-09-30 00:00:00',4,1,12,2002,'F','N','RIO CAVEIRAS','BIGUACU','SC','124241241216275751638629382124130828181',16428,'63',42.71,4,3,NULL),(15,2026880,'1990-07-17 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241215271431558813574124610137065',8112,'1051',55.17,1,3,NULL),(15,2026899,'1988-07-01 00:00:00',4,1,12,2005,'F','N','ALPHACONDE II','BARUERI','SP','125252251212572311568831572112610167127',3682,'9998',64.28,1,3,NULL),(15,2026902,'1990-08-24 00:00:00',2,1,12,2007,'F','N','LOURDES','CAXIAS DO SUL','RS','120202201217471231346514572112610166147',1623,'9998',70.70,4,3,NULL),(15,2026910,'1989-03-16 00:00:00',4,1,11,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215151431558611115122610137045',20110,'1051',36.60,1,3,NULL),(15,2026929,'1990-06-02 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117131431546833332114610133147',19759,'307',37.31,2,1,1),(15,2026937,'1989-08-16 00:00:00',4,1,12,2006,'F','N','JD LEONIDIA','JACAREI','SP','125252251215371431489812574122141062072',9691,'9998',52.43,1,3,NULL),(15,2026945,'1988-03-04 00:00:00',2,8,12,2005,'F','N','BOA VISTA','JOINVILLE','SC','124241246216471431323321372344610126196',1716,'9997',70.31,1,3,NULL),(15,2026953,'1989-12-01 00:00:00',2,1,12,2006,'F','N','VILA TOLENTINO','CASCAVEL','PR','116162161217472431456613235112610133077',10121,'9998',51.76,1,3,NULL),(15,2026961,'1990-05-02 00:00:00',4,8,12,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241115271731439732285124610143142',14943,'861',44.86,1,3,NULL),(15,2026970,'1990-03-09 00:00:00',4,1,11,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215112431336812572112610144065',9005,'270',53.64,1,3,NULL),(15,2026996,'1988-08-08 00:00:00',4,2,12,2005,'M','N','CENTRO','GASPAR','SC','124241241116472431348814245124610167047',3219,'325',65.47,4,2,1),(15,2027003,'1989-02-24 00:00:00',4,1,12,2006,'M','N','CENTRO','OURINHOS','SP','125252251235271231378831575112610167082',9994,'9998',51.94,1,3,NULL),(15,2027011,'1989-10-29 00:00:00',2,6,12,2007,'M','N','SÃO JUDAS','ITAJAI','SC','124242241215271431433723572121610167047',20048,'388',36.73,1,3,NULL),(15,2027020,'1985-05-14 00:00:00',4,1,12,2003,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241216135431238844445113610137111',21505,'300',33.72,1,3,NULL),(15,2027038,'1990-12-15 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECO','SC','124241241216152431478612575122610167053',680,'185',75.56,1,3,NULL),(15,2027046,'1989-05-23 00:00:00',4,3,12,2006,'M','N','MEIA PRAIA','ITAPEMA','SC','124162241211112411129811495123231414102',NULL,'391',0.00,1,3,NULL),(15,2027062,'1989-04-07 00:00:00',2,1,12,2006,'M','N','SANTO ANTONIO','FLORIANOPOLIS','SC','124241241117471431334419291124610137142',20831,'542',35.23,4,3,NULL),(15,2027070,'1989-06-06 00:00:00',4,1,12,2006,'F','N','CENTRO','BOTUCATU','SP','125254251216472431488811172122610138097',8568,'9998',54.41,1,3,NULL),(15,2027089,'1989-08-20 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241248215472711468631595125610163191',453,'991',77.21,1,3,NULL),(15,2027097,'1991-03-09 00:00:00',4,1,11,2008,'M','S','PANTANAL','FLORIANOPOLIS','SC','124241241111111411468713575122610132125',NULL,'271',58.03,1,3,NULL),(15,2027100,'1966-10-24 00:00:00',4,1,12,1986,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','224243241437132431428619585112120462055',13808,'266',46.45,1,3,NULL),(15,2027119,'1989-04-27 00:00:00',4,1,11,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241215372431478932575124610121145',1953,'270',69.42,1,3,NULL),(15,2027127,'1988-06-11 00:00:00',4,8,11,2005,'F','N','CAXAMBU','JUNDIAI','SP','125252251215571441368811571122610166022',NULL,'9998',0.00,1,3,NULL),(15,2027135,'1988-03-26 00:00:00',2,1,12,2005,'F','N','FORQUILHINHAS','SAO JOSE','SC','124204201117331431666463245124610127077',14032,'9998',46.12,4,3,NULL),(15,2027143,'1991-05-27 00:00:00',4,1,12,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241236121431348934572124610126145',16840,'269',42.10,1,3,NULL),(15,2027151,'1986-01-04 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241116471421536513345124610117047',17161,'298',41.63,1,3,NULL),(15,2027160,'1991-03-20 00:00:00',4,2,11,2008,'F','S','CENTRO','BRUSQUE','SC','124242241215151232555532572122610125192',NULL,'107',50.37,1,3,NULL),(15,2027178,'1989-11-05 00:00:00',2,1,12,2007,'M','N','CENTRO','SORRISO','MT','111112111217151411568834345122610167052',12338,'9998',48.52,1,3,NULL),(15,2027186,'1990-02-08 00:00:00',2,8,12,2007,'F','N','JARAGUÁ ESQUERDO','JARAGUA DO SUL','SC','124242241217111731479819295122610123197',13965,'422',46.20,1,3,NULL),(15,2027194,'1985-11-07 00:00:00',4,8,11,2003,'F','N','PONTA DA PRAIA','SANTOS','SP','125252258217571431469614392124343233187',NULL,'9998',0.00,1,3,NULL),(15,2027208,'1990-06-26 00:00:00',4,2,11,2007,'M','N','VELHA','BLUMENAU','SC','124242241215271431468933435121610141132',5651,'70',59.77,1,3,NULL),(15,2027216,'1985-09-19 00:00:00',4,1,12,2002,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241117575431236721574124610161172',5275,'203',60.57,1,2,1),(15,2027224,'1989-05-08 00:00:00',2,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241216111731423613595122610122077',12532,'738',48.24,1,3,NULL),(15,2027232,'1990-02-17 00:00:00',4,1,12,2007,'M','N','PARQUE DOS PRINCIPES','OSASCO','SP','125252253216471431489931371122610167012',NULL,'9998',0.00,1,3,NULL),(15,2027240,'1989-03-11 00:00:00',4,1,12,2005,'F','N','CENTRO','TIJUCAS','SC','124242241215474431478831575122133224147',3502,'781',64.75,1,3,NULL),(15,2027259,'1990-10-30 00:00:00',2,1,12,2007,'F','N','CENTRO','SANTIAGO','RS','120203201417111432346724572122610124147',15449,'9998',44.19,1,3,NULL),(15,2027267,'1983-05-18 00:00:00',4,1,12,2000,'M','N','BARREIROS','SAO JOSE','SC','124242241213153411689912415132230264133',1872,'738',69.71,1,3,NULL),(15,2027275,'1989-09-17 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431469934574122610163092',1718,'270',70.31,1,3,NULL),(15,2027283,'1988-12-04 00:00:00',4,1,12,2006,'F','N','VILA SONIA','BOTUCATU','SP','125252251216471431568814375122610133197',NULL,'9998',0.00,1,3,NULL),(15,2027291,'1986-10-28 00:00:00',4,1,12,2004,'F','N','JD DAS INDUSTRIAS','SAO JOSE DOS CAMPOS','SP','125252251216574431367734572122610137147',1225,'9998',72.35,1,3,NULL),(15,2027305,'1990-04-21 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215122431456614375124610118112',7414,'270',56.38,1,3,NULL),(15,2027313,'1990-03-06 00:00:00',4,1,12,2007,'F','N','CENTRO','LONDRINA','PR','116162161215111431367839571122610164092',15901,'9998',43.54,1,3,NULL),(15,2027321,'1990-04-12 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241215112431346823432114610164147',2509,'270',67.59,1,3,NULL),(15,2027330,'1990-02-17 00:00:00',4,1,12,2007,'F','N','CENTRO','CAPIVARI','SP','125253251216271431457611372122610127042',10048,'9998',51.85,1,3,NULL),(15,2027348,'1987-04-29 00:00:00',2,1,1,2005,'F','N','JOSE MENDES','FLORIANOPOLIS','SC','124221221121141731428944341224610156027',NULL,'9998',26.65,1,2,1),(15,2027356,'1989-10-14 00:00:00',4,1,12,2006,'F','N','CENTRO','INDAIATUBA','SP','125252251217471731469711575114610163147',343,'9998',78.13,1,3,NULL),(15,2027364,'1989-08-31 00:00:00',4,6,12,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241217572431458717284121610166122',276,'9997',79.05,1,3,NULL),(15,2027372,'1989-05-24 00:00:00',2,3,12,2006,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116162161216471431668613395124610138147',13309,'9998',47.16,1,3,NULL),(15,2027380,'1978-05-15 00:00:00',2,8,12,1996,'M','N','VILA NOVA','LONDRINA','PR','116161161214571731666614471122343247057',NULL,'9998',0.00,3,3,NULL),(15,2027399,'1989-03-02 00:00:00',4,1,12,2006,'M','N','PARQUE VITORIA','SAO PAULO','SP','125254251215271712658431575124613262142',NULL,'9998',57.70,3,3,NULL),(15,2027402,'1988-03-10 00:00:00',2,4,12,2005,'M','N','CENTRO','CHAPECO','SC','124241247442572431433319372122610137067',6230,'9999',58.59,1,3,NULL),(15,2027410,'1990-05-14 00:00:00',4,1,12,2007,'M','N','CENTRO','CAPIVARI','SP','125252251216111531568831575122610167057',5557,'9998',59.96,1,3,NULL),(15,2027429,'1987-12-10 00:00:00',4,1,12,2005,'F','N','JD INDÚSTRIAS','SAO JOSE DOS CAMPOS','SP','125252251215571451368814575122610141147',1021,'9998',73.42,1,3,NULL),(15,2027437,'1988-07-04 00:00:00',4,1,11,2007,'M','N','SANTO ANTÔNIO','LOUVEIRA','SP','125252251217121431334616571112610162197',6952,'9998',57.25,1,3,NULL),(15,2027445,'1990-03-28 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124244241216111431436613572122610114057',13241,'737',47.25,1,3,NULL),(15,2027453,'1988-11-26 00:00:00',4,1,12,2006,'F','N','ASA SUL','BRASILIA','DF','107072071215371431388823375122610146093',10306,'9998',51.48,1,3,NULL),(15,2027461,'1986-08-12 00:00:00',4,1,12,2004,'M','N','VILA ADYANA','SAO JOSE DOS CAMPOS','SP','125252251215571731466634475124610124042',2214,'9998',68.55,1,3,NULL),(15,2027470,'1989-09-16 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431239624442124610167012',7121,'1022',56.93,1,3,NULL),(15,2027496,'1990-04-28 00:00:00',4,5,11,2007,'F','N','SANTA CLARA','FORQUILHINHA','SC','124242241215151731436812596124610121097',17368,'208',41.28,1,3,NULL),(15,2027500,'1990-08-15 00:00:00',4,1,12,2007,'M','N','VL SANTOS','CACAPAVA','SP','125252251215471411338619575122610127042',15441,'9998',44.20,1,3,NULL),(15,2027518,'1989-10-18 00:00:00',2,2,12,2006,'F','N','VELHA','BLUMENAU','SC','124241241215472421446823372124610133097',13173,'855',47.37,1,3,NULL),(15,2027526,'1991-01-31 00:00:00',4,1,12,2007,'F','N','BOA PARADA','SAO PEDRO DE ALCANTARA','SC','124241241215121441426623342124610133042',NULL,'1074',37.51,1,3,NULL),(15,2027534,'1990-04-10 00:00:00',4,1,12,2006,'M','N','JARDIM UNIVERSITARIO','CASCAVEL','PR','116162161217472751469939575112610168197',15617,'9998',43.92,1,3,NULL),(15,2027542,'1989-11-01 00:00:00',4,1,12,2007,'M','N','JARDIN GUANABARA','RIO DE JANEIRO','RJ','127212214433122321234533245223230123072',NULL,'9998',0.00,1,3,NULL),(15,2027550,'1984-10-20 00:00:00',4,5,12,2003,'M','N','CIDADE NOVA','PORTO UNIAO','SC','124242241216471441336811432335131237043',7034,'920',57.09,2,3,NULL),(15,2027569,'1990-05-29 00:00:00',4,1,12,2007,'M','N','JARDIM CRISTAL','APARECIDA DE GOIANIA','GO','109092091216111431588813477112610167042',3307,'9998',65.25,1,3,NULL),(15,2027577,'1989-10-14 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242248215111411357923575122610124142',14876,'270',44.93,1,3,NULL),(15,2027585,'1990-08-10 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124244241216112431367633575124610127151',13796,'1022',46.47,1,3,NULL),(15,2027593,'1989-03-17 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217111411457511575122610162192',9380,'270',52.97,1,3,NULL),(15,2027607,'1990-04-23 00:00:00',4,1,12,2007,'F','N','GUIOMAR DE FORA','ANTONIO CARLOS','SC','124241241216371431553412575124610126072',9959,'269',52.00,1,3,NULL),(15,2027615,'1990-02-15 00:00:00',2,1,12,2007,'F','N','GASPARETO','VACARIA','RS','120203204317111531326631415124611243077',NULL,'9998',22.09,1,3,NULL),(15,2027631,'1990-04-28 00:00:00',4,1,12,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124244241117271431438524295124610127142',NULL,'281',24.56,1,3,NULL),(15,2027640,'1988-06-09 00:00:00',4,3,12,2006,'M','N','JARDIM PARAÍSO','BOTUCATU','SP','125252251217471431468812372114610164077',5675,'9998',59.72,1,3,NULL),(15,2027658,'1990-06-21 00:00:00',2,9,12,2007,'M','N','VITORIA','VACARIA','RS','120204201216111431628679575122610167142',22023,'9998',32.20,4,3,NULL),(15,2027666,'1990-12-15 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124244241116112731456819275122610164052',10847,'271',50.68,1,3,NULL),(15,2027674,'1990-05-09 00:00:00',4,1,12,2006,'F','N','ÁGUAS CLARAS','TAGUATINGA','DF','107074071215471731367924572112610164117',8111,'9998',55.17,1,3,NULL),(15,2027682,'1990-10-26 00:00:00',4,1,12,2007,'M','N','GERMANA','CACAPAVA','SP','125252251216471411358613575122610127042',17959,'9998',40.39,1,3,NULL),(15,2027690,'1989-11-08 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241315121431365511275224610123097',14849,'9997',44.96,1,3,NULL),(15,2027704,'1984-11-08 00:00:00',4,1,11,2002,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241127153231331113575114122262157',11533,'278',49.66,1,2,1),(15,2027712,'1976-08-24 00:00:00',2,1,12,1994,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','224111201116351731255553285122240421142',18273,'9998',39.84,1,3,NULL),(15,2027720,'1989-10-17 00:00:00',2,1,12,2006,'F','N','BELA VISTA','SAO JOSE','SC','124241241117272451656414281144610138182',9557,'257',52.67,1,2,1),(15,2027739,'1990-07-06 00:00:00',4,6,11,2007,'M','N','SÃO JOÃO','ITAJAI','SC','124242241217151411469933215122610164142',2941,'392',66.32,1,3,NULL),(15,2027747,'1989-06-23 00:00:00',4,8,10,2007,'M','N','CENTRO','JARAGUA DO SUL','SC','124242241215111611588832375122610117112',NULL,'1063',23.26,1,3,NULL),(15,2027755,'1984-06-16 00:00:00',2,3,7,2007,'M','N','VILA REAL','BALNEARIO CAMBORIU','SC','124241247626141411333321142123610134187',NULL,'9999',0.00,1,3,NULL),(15,2027763,'1990-02-22 00:00:00',4,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124242241215221431489913495122610127042',4332,'457',62.65,1,3,NULL),(15,2027771,'1990-11-07 00:00:00',4,6,11,2007,'M','N','CORDEIROS','ITAJAI','SC','124242241217111411448614575124610167012',5008,'392',61.07,1,3,NULL),(15,2027780,'1990-03-28 00:00:00',4,4,12,2007,'F','N','CENTRO','JARDINOPOLIS','SC','124241241125161431323613472324610123057',NULL,'444',7.80,2,1,1),(15,2027798,'1989-11-22 00:00:00',4,3,12,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241115211432536831585121610167012',427,'403',77.39,1,3,NULL),(15,2027801,'1972-04-08 00:00:00',4,1,12,1991,'M','N','TRINDADE','FLORIANOPOLIS','SC','224163161336471441356644345123143262182',8906,'9998',53.83,1,3,NULL),(15,2027828,'1990-11-06 00:00:00',4,1,11,2007,'F','N','JARDIM ALVORADA','CUIABA','MT','111112111215111441468833572122610123092',19410,'9998',38.00,2,3,NULL),(15,2027836,'1990-02-26 00:00:00',4,2,11,2007,'M','N','CENTRO','POMERODE','SC','124242241215111431479811474124610124062',3099,'270',65.85,1,3,NULL),(15,2027844,'1987-11-24 00:00:00',4,5,11,2005,'F','N','COMERCIÁRIO','CRICIUMA','SC','124242241215574431358632245124131446072',5592,'226',59.89,1,3,NULL),(15,2027852,'1986-02-04 00:00:00',4,1,12,2003,'F','N','SAUDE','SAO PAULO','SP','125254251215573441278914572125610163117',738,'9998',75.12,3,3,NULL),(15,2027879,'1989-08-05 00:00:00',2,3,11,2007,'F','N','CHACARA CACHOEIRA','CAMPO GRANDE','MS','112122127417111431226912272122610124097',NULL,'9999',18.57,1,3,NULL),(15,2027887,'1990-12-22 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241316151431456714575124610168141',16677,'267',42.35,1,3,NULL),(15,2027895,'1989-12-12 00:00:00',2,1,11,2007,'F','N','SETOR SUL','GOIANIA','GO','109094091215111431346621572324610166177',4709,'9998',61.73,1,3,NULL),(15,2027909,'1990-08-18 00:00:00',2,1,10,2007,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124244241215121431458614575122610134097',12661,'1023',48.05,1,3,NULL),(15,2027917,'1991-07-14 00:00:00',4,8,12,2009,'F','S','FLORESTA','JOINVILLE','SC','124252248415111711438939591122610116092',NULL,'491',0.00,1,3,NULL),(15,2027925,'1991-03-07 00:00:00',4,8,12,2007,'M','N','SAGUAÇÚ','JOINVILLE','SC','124244246216151431457939575124610162057',NULL,'1105',0.00,1,3,NULL),(15,2027933,'1990-05-06 00:00:00',4,8,12,2007,'M','N','CENTRO','PEDRINHAS PAULISTA','SP','125253251215111431458933475124610147042',13477,'9998',46.92,1,3,NULL),(15,2027941,'1990-08-31 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241217112431456611495122610128053',6317,'738',58.43,1,3,NULL),(15,2027968,'1979-06-27 00:00:00',4,1,12,1996,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241212133721328823485124321442147',289,'266',78.87,4,3,NULL),(15,2027976,'1988-06-18 00:00:00',4,1,7,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124243247335152431536429292124610113142',20242,'307',36.34,1,3,NULL),(15,2027984,'1990-08-12 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241213471431479912172112610142131',4068,'262',63.27,1,3,NULL),(15,2027992,'1991-03-16 00:00:00',4,1,12,2008,'M','S','BARREIROS','SAO JOSE','SC','124242241217131431436614572122610134017',NULL,'976',64.11,1,3,NULL),(15,2028000,'1989-09-13 00:00:00',4,2,12,2007,'F','N','CENTRO','TIMBO','SC','124241241215121441346621595112610144197',1288,'9997',72.10,1,3,NULL),(15,2028018,'1990-09-12 00:00:00',4,1,12,2007,'F','N','ZONA TRÊS','CIANORTE','PR','116163161216111431348811595112610127082',NULL,'9998',0.00,4,3,NULL),(15,2028026,'1990-01-02 00:00:00',4,3,11,2007,'M','N','GRAGERU','ARACAJU','SE','126262261217111431389819575122610137122',1098,'9998',73.05,1,3,NULL),(15,2028034,'1990-03-20 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215122431469834574112610134145',13,'270',85.05,4,3,NULL),(15,2028042,'1990-09-04 00:00:00',4,5,11,2007,'M','N','SANTA ANA','FORQUILHINHA','SC','124244248215111531438439575124610127047',NULL,'880',23.93,1,3,NULL),(15,2028050,'1986-03-15 00:00:00',2,1,12,2003,'F','N','CAMPINAS','SAO JOSE','SC','124242241437275431446723385114122723187',12044,'1036',48.92,1,3,NULL),(15,2028069,'1991-03-28 00:00:00',2,1,12,2007,'M','N','UNIVERSITÁRIO','CURITIBANOS','SC','124241241117151431336414242122610167042',NULL,'239',23.21,4,3,NULL),(15,2028077,'1989-12-14 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216472411458831572125610127141',3450,'262',64.88,1,3,NULL),(15,2028093,'1991-02-16 00:00:00',4,1,12,2008,'M','S','ITAGUAÇÚ','FLORIANOPOLIS','SC','124132241215151731668711575124610167042',NULL,'1022',47.63,1,3,NULL),(15,2028107,'1989-06-05 00:00:00',4,4,12,2006,'F','N','BELA VISTA','CORONEL VIVIDA','PR','116164161216472431469832591124610113092',396,'9998',77.68,1,3,NULL),(15,2028123,'1990-01-13 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241215132411258819572114610162187',3719,'270',64.16,1,3,NULL),(15,2028131,'1989-10-02 00:00:00',4,3,11,2007,'M','N','CENTRO','ITAPEMA','SC','124243241211471431223379574324610162095',2359,'403',68.05,1,3,NULL),(15,2028140,'1990-10-23 00:00:00',4,1,12,2009,'M','S','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217111431567721295122610132097',NULL,'1022',56.92,1,3,NULL),(15,2028166,'1988-06-07 00:00:00',4,1,12,2005,'F','N','BOM VIVER','BIGUACU','SC','624242241317132411223641112323132246142',15434,'976',44.21,1,3,NULL),(15,2028174,'1989-02-09 00:00:00',2,1,11,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124243241317111421336614275124610142192',NULL,'300',23.54,1,3,NULL),(15,2028182,'1991-07-24 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241217121112478812291122610127145',NULL,'270',59.32,1,3,NULL),(15,2028212,'1990-03-21 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124072241216121431368723572124610137147',3889,'270',63.77,1,3,NULL),(15,2028220,'1990-01-04 00:00:00',2,1,12,2007,'F','N','FLORESTA','SAO JOSE','SC','124243248215131431457611345122610127047',17356,'1036',41.30,1,3,NULL),(15,2028239,'1990-03-01 00:00:00',4,8,12,2007,'F','N','CENTR','JARAGUA DO SUL','SC','124242241217111411578812575112610136092',12329,'422',48.53,1,3,NULL),(15,2028247,'1990-04-07 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241214111432437819295122610167097',NULL,'53',0.00,1,3,NULL),(15,2028255,'1990-02-23 00:00:00',4,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124243241335112431567612573124610134097',7076,'1022',57.01,4,3,NULL),(15,2028263,'1986-09-23 00:00:00',2,1,12,2004,'M','N','JARDIM AMERICA','CAXIAS DO SUL','RS','120201201146472111534334292314140232042',5414,'9998',60.24,1,2,1),(15,2028271,'1989-09-18 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248217472431469614572115610162017',15301,'270',44.40,1,3,NULL),(15,2028280,'1990-04-06 00:00:00',4,8,10,2007,'M','N','AMIZADE','JARAGUA DO SUL','SC','116242161435111431459931571144610167017',1227,'9998',72.34,1,3,NULL),(15,2028298,'1990-12-17 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431479831575122610132095',124,'270',81.04,1,3,NULL),(15,2028310,'1990-07-23 00:00:00',4,1,11,2007,'F','N','VILA MATILDE','SAO PAULO','SP','125252251237111431556412571122610122122',14048,'9998',46.10,4,3,NULL),(15,2028328,'1990-03-26 00:00:00',4,8,12,2007,'F','N','BOEHMERWALDT','JOINVILLE','SC','124111241146211431435511274224610121147',13050,'492',47.51,1,2,1),(15,2028336,'1976-01-19 00:00:00',4,1,12,1993,'F','N','BARREIROS','SAO JOSE','SC','124242241136155411368979495122421034163',4102,'307',63.18,1,3,NULL),(15,2028344,'1990-11-29 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241217112431468713575122610167012',7538,'738',56.15,1,3,NULL),(15,2028352,'1990-07-13 00:00:00',4,2,12,2007,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241217111411469913472125610167142',2188,'855',68.64,1,3,NULL),(15,2028360,'1988-12-26 00:00:00',4,1,12,2006,'F','N','PERDIZES','SAO PAULO','SP','125252251216471431478823571124610147072',5011,'9998',61.06,1,3,NULL),(15,2028379,'1987-06-29 00:00:00',4,1,12,2004,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','125242241215474431478834575122610162142',298,'270',78.77,1,3,NULL),(15,2028387,'1987-03-29 00:00:00',4,1,12,2004,'M','N','JARDIM PARAÍSO','BOTUCATU','SP','125253251221522431358923375122610164042',6215,'9998',58.62,1,3,NULL),(15,2028395,'1990-06-19 00:00:00',2,1,12,2007,'F','N','ARIRIÚ','PALHOCA','SC','124242241215111431578613575124610127092',14993,'1022',44.80,1,3,NULL),(15,2028409,'1987-11-12 00:00:00',2,5,12,2005,'M','N','GAVEA','JACINTO MACHADO','SC','124201241122142222323822191124610112142',5369,'420',60.34,1,2,1),(15,2028417,'1989-09-18 00:00:00',4,1,12,2006,'M','N','CENTRO','DOURADOS','MS','112123121216472441358871576314610122014',48,'9998',83.16,1,3,NULL),(15,2028433,'1990-02-16 00:00:00',4,1,12,2007,'M','N','ELOY CHAVES','JUNDIAI','SP','125252251211111441368812271124610112042',5484,'9998',60.09,1,3,NULL),(15,2028441,'1989-01-03 00:00:00',4,1,12,2006,'M','N','BARAO GERALDO','CAMPINAS','SP','125252251215472431369912471122610168122',3235,'9998',65.44,1,3,NULL),(15,2028450,'1989-04-25 00:00:00',4,1,11,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124246241615151711336839396124610167047',NULL,'1022',0.00,4,3,NULL),(15,2028468,'1983-04-08 00:00:00',2,1,12,2001,'F','N','ITACORUBI','FLORIANOPOLIS','SC','224244241216372441245959175122333222093',11325,'983',49.95,1,3,NULL),(15,2028476,'1988-09-22 00:00:00',4,1,12,2006,'M','N','CENTRO DA LAGOA','FLORIANOPOLIS','SC','124252256117472431459912374122610167052',2360,'9998',68.04,1,3,NULL),(15,2028484,'1990-03-18 00:00:00',4,1,12,2007,'F','N','CENTRO','OURINHOS','SP','125252251216111431348771471122610136092',426,'9998',77.41,3,3,NULL),(15,2028492,'1990-05-25 00:00:00',4,1,2,2008,'M','N','CENTRO','PALHOCA','SC','124242241116151431454612292114610164052',8179,'739',55.04,1,3,NULL),(15,2028506,'1989-12-15 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241115152441669813576124610167142',8539,'267',54.46,1,2,1),(15,2028514,'1990-04-16 00:00:00',2,5,11,2007,'M','N','URUSANGUINHA','ARARANGUA','SC','124243241317151431326923575121610164042',15581,'29',44.00,1,3,NULL),(15,2028522,'1989-01-01 00:00:00',4,1,12,2007,'M','N','ARMAÇAO DO PANTANO','FLORIANOPOLIS','SC','124243244315111431448633571124610117045',21640,'1023',33.41,1,3,NULL),(15,2028530,'1990-04-01 00:00:00',4,1,12,2007,'M','N','UNIVERSITÁRIO','CORUMBA','MS','112122121214111731229823574114610132147',2715,'9998',66.98,1,3,NULL),(15,2028557,'1990-07-06 00:00:00',2,10,11,2007,'F','N','CENTRO','BOM JARDIM DA SERRA','SC','124243241215311411466631595122610167142',13853,'807',46.38,1,3,NULL),(15,2028565,'1990-03-29 00:00:00',4,1,12,2007,'M','N','JARDIN IRAJA','RIBEIRAO PRETO','SP','125252251217111431467832575112610117042',16511,'9998',42.57,1,3,NULL),(15,2028573,'1990-03-21 00:00:00',4,1,11,2007,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124244241215131431336511575124610137147',12456,'737',48.35,1,3,NULL),(15,2028590,'1990-12-18 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124244241115371431544831192124610124147',13391,'267',47.05,1,3,NULL),(15,2028603,'1989-11-22 00:00:00',4,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215121431488839575122610166092',6315,'270',58.43,1,3,NULL),(15,2028620,'1990-02-08 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241117131311628614182124610134187',19015,'288',38.64,1,3,NULL),(15,2028638,'1989-02-28 00:00:00',4,8,6,2007,'M','N','SAGUAÇU','JOINVILLE','SC','124242281215371431489931474122610134087',31,'9998',83.90,1,3,NULL),(15,2028646,'1991-02-14 00:00:00',2,4,12,2007,'M','N','AREA RURAL','VARGEAO','SC','124241241115161431463356552224610117052',NULL,'824',26.68,1,2,1),(15,2028654,'1990-12-01 00:00:00',2,1,12,2007,'M','N','SANTA ROSA','PORTO UNIAO','SC','124241241116371431435531295124610127042',19370,'635',38.06,1,3,NULL),(15,2028662,'1988-11-18 00:00:00',2,8,11,2006,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215472411556711574122610122147',1384,'486',71.72,1,3,NULL),(15,2028670,'1990-06-28 00:00:00',4,1,12,2007,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124242241215111431578833475112610162012',11310,'270',49.99,1,3,NULL),(15,2028689,'1991-08-07 00:00:00',4,1,11,2008,'F','S','MEIA PRAIA','ITAPEMA','SC','124242241217111431456831585122610128017',NULL,'403',0.00,1,3,NULL),(15,2028700,'1986-06-14 00:00:00',2,1,12,2003,'F','N','CAMPECHE','FLORIANOPOLIS','SC','224202208212311431248741412322140322112',14927,'9998',44.88,1,3,NULL),(15,2028719,'1989-04-25 00:00:00',4,1,12,2006,'F','N','CENTRO','BIGUACU','SC','124242241216372411533317175124610136041',8391,'20',54.70,1,3,NULL),(15,2028727,'1989-02-18 00:00:00',4,4,12,2006,'F','N','CENTRO','PATO BRANCO','PR','116164161215471731377615572122610162142',NULL,'9998',0.00,1,3,NULL),(15,2028735,'1990-09-14 00:00:00',4,3,12,2007,'F','N','BARRA DA ITOPAVA','RIO DO SUL','SC','124242241215111431446613595125610127042',13383,'9997',47.08,1,3,NULL),(15,2028743,'1990-05-08 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215121431586953135122610147055',5996,'270',59.09,1,3,NULL),(15,2028751,'1988-04-01 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242131215573411549912575122610123092',13668,'9998',46.65,1,3,NULL),(15,2028760,'1988-03-03 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215473431339814574114610164182',1601,'1022',70.80,1,3,NULL),(15,2028786,'1991-01-17 00:00:00',2,4,12,2007,'F','N','CENTRO','FAXINAL DOS GUEDES','SC','124243241446271431434933375122610128197',11981,'255',49.01,1,3,NULL),(15,2028794,'1990-02-05 00:00:00',4,1,12,2007,'M','N','CENTRO','CAPAO BONITO','SP','125252251216151231468813275122610127152',3987,'9998',63.49,1,3,NULL),(15,2028808,'1989-09-29 00:00:00',2,8,12,2006,'F','N','FÁTIMA','JOINVILLE','SC','124161241415472431456612572224610162097',75,'461',82.24,1,3,NULL),(15,2028816,'1988-04-27 00:00:00',4,1,11,2005,'M','N','CENTRO','RIBEIRAO PRETO','SP','125134131215471431376634575122610168092',NULL,'9998',0.00,1,3,NULL),(15,2028824,'1988-08-14 00:00:00',4,1,12,2005,'F','N','VIVENDAS DO LAGO','SOROCABA','SP','125252251215571411276923575112610142182',6213,'9998',58.62,1,3,NULL),(15,2028832,'1989-05-25 00:00:00',2,1,12,2006,'M','N','CENTRO','ICARA','SC','124242241215473751446912575114610167117',1007,'226',73.50,1,3,NULL),(15,2028840,'1971-06-24 00:00:00',2,1,12,1990,'M','N','CENTRO','FLORIANOPOLIS','SC','224201206246152411366844345132130767115',NULL,'9998',0.00,1,3,NULL),(15,2028859,'1989-03-27 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215121731434612572112610163197',19684,'272',37.44,1,3,NULL),(15,2028867,'1989-12-08 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124092091215472431448832472114610134092',1195,'9998',72.50,1,3,NULL),(15,2028883,'1989-04-11 00:00:00',4,1,12,2006,'F','N','CENTRO','MEDIANEIRA','PR','116161161117472431549624272124610142097',NULL,'9998',0.00,1,3,NULL),(15,2028891,'1987-11-04 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANOPOLIS','SC','124202201217372431159811375122131437057',3375,'9998',65.07,1,3,NULL),(15,2028905,'1989-04-11 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124212241215222431488614472112610134092',10923,'9997',50.58,1,3,NULL),(15,2028921,'1990-01-18 00:00:00',4,1,10,2007,'F','N','BROTAS','SALVADOR','BA','105052051217111731488912575122610146142',NULL,'9998',0.00,4,3,NULL),(15,2028948,'1986-03-20 00:00:00',2,1,12,2004,'M','N','CECAP','BOTUCATU','SP','125252251217471431347823572122143214117',17268,'9998',41.46,1,3,NULL),(15,2028956,'1988-07-18 00:00:00',2,4,11,2008,'M','S','CENTRO','CORONEL FREITAS','SC','124244241416111411435614245124610122052',NULL,'168',27.11,4,3,NULL),(15,2028964,'1990-10-09 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242248616111331579613442125610117077',NULL,'262',38.75,1,3,NULL),(15,2028972,'1987-10-07 00:00:00',2,3,12,2005,'M','N','CENTRO','RIO DO SUL','SC','124244246436473431459924175122133237052',7976,'1013',55.41,1,3,NULL),(15,2029006,'1990-10-17 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241217112431438919575124610124012',10747,'738',50.81,1,3,NULL),(15,2029014,'1960-12-08 00:00:00',4,1,12,1980,'M','N','ARMAÇAO DO PANTANO','FLORIANOPOLIS','SC','224243244311575441443343331142321527047',9047,'457',53.57,1,3,NULL),(15,2029022,'1990-10-05 00:00:00',4,1,12,2008,'M','S','CENTRO','CASCAVEL','PR','116162161217111432479932175112610144042',NULL,'9998',38.54,1,3,NULL),(15,2029030,'1990-09-19 00:00:00',4,8,10,2007,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241215121431469712575112610163077',NULL,'491',33.47,1,3,NULL),(15,2029049,'1985-01-24 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124242247215372411388477575112131068182',NULL,'9999',0.00,1,3,NULL),(15,2029057,'1990-07-25 00:00:00',4,1,12,2007,'F','N','CAMINHO NOVO','PALHOCA','SC','124242241215132231346613572124610128077',13549,'262',46.82,1,3,NULL),(15,2029065,'1990-05-17 00:00:00',4,6,12,2007,'F','N','CIDADE NOVA','ITAJAI','SC','124142241215111431447713575122610122197',5522,'388',60.01,1,3,NULL),(15,2029073,'1990-04-29 00:00:00',4,7,12,2007,'M','N','CENTRO','JOACABA','SC','124242241214131431546911575112610117052',9549,'962',52.69,1,3,NULL),(15,2029081,'1988-07-13 00:00:00',4,8,12,2005,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161216571431438519574114610132017',1252,'9998',72.26,1,3,NULL),(15,2029090,'1989-01-23 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124243241116472421446633245114610163111',17820,'307',40.63,1,3,NULL),(15,2029103,'1991-02-07 00:00:00',4,1,11,2008,'M','S','BARREIROS','SAO JOSE','SC','124242241217151431566634572122610127012',NULL,'738',50.23,1,3,NULL),(15,2029111,'1974-06-27 00:00:00',4,1,12,1992,'M','N','CENTRO','PALMAS','TO','127201202136151451148649395122342062043',10142,'9998',51.73,1,3,NULL),(15,2029120,'1990-03-06 00:00:00',4,1,11,2007,'F','N','PARQUE IMPERADOR','CAMPINAS','SP','125252251215111431478833571122610127053',5508,'9998',60.04,1,3,NULL),(15,2029138,'1988-02-09 00:00:00',4,1,12,2005,'F','N','JARDIM SATELITE','SAO JOSE DOS CAMPOS','SP','125252251212572431467731572112610147057',1034,'9998',73.33,1,3,NULL),(15,2029154,'1986-10-20 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241117374431466922475114220767072',2487,'271',67.65,1,3,NULL),(15,2029170,'1989-12-12 00:00:00',2,1,12,2007,'F','N','COSTA DE DENTRO','FLORIANOPOLIS','SC','124241241315111431446624275124610122012',13896,'1022',46.32,1,3,NULL),(15,2029189,'1989-04-08 00:00:00',2,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241115111431358613572112610117112',8255,'737',54.92,1,3,NULL),(15,2029200,'1990-09-05 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111531379933432125610164175',601,'270',76.09,1,3,NULL),(15,2029219,'1991-02-15 00:00:00',4,8,12,2008,'M','S','AMERICA','JOINVILLE','SC','124242241215111531358832575121610127092',NULL,'457',49.74,1,3,NULL),(15,2029235,'1991-07-25 00:00:00',4,6,11,2008,'F','S','SÃO JOÃO','ITAJAI','SC','124242248217111431349923272122610137147',NULL,'388',40.50,1,3,NULL),(15,2029243,'1990-10-29 00:00:00',4,8,12,2007,'M','N','ÁGUA VERDE','CURITIBA','PR','116162168217111452558939572112610117115',NULL,'9998',0.00,1,3,NULL),(15,2029260,'1991-05-01 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241217111431466619595125610127082',NULL,'266',65.77,1,3,NULL),(15,2029278,'1990-11-01 00:00:00',2,1,11,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124244241215111431243924575114610133112',12281,'883',48.60,1,3,NULL),(15,2029286,'1987-09-09 00:00:00',4,8,12,2005,'F','N','PORTÃO','CURITIBA','PR','116162161215574431488823575122610132147',6045,'9998',58.98,1,3,NULL),(15,2029294,'1989-10-01 00:00:00',4,1,10,2007,'F','N','PARK ALPHAVILLE','PORTO VELHO','RO','122222221217111751388923372112610124142',3731,'9998',64.12,1,3,NULL),(15,2029308,'1991-02-07 00:00:00',4,1,11,2007,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124164241215121531558973476124610164017',703,'1022',75.36,1,3,NULL),(15,2029316,'1991-01-14 00:00:00',4,7,11,2007,'F','N','JARDIM','CONCORDIA','SC','124241241411311431566932571122610165142',NULL,'190',36.76,1,3,NULL),(15,2029324,'1990-01-28 00:00:00',4,8,12,2007,'M','N','PINHEIRINHO','ITAJUBA','MG','113132131216121431446814345125610164092',11615,'9998',49.53,1,3,NULL),(15,2029332,'1988-12-21 00:00:00',4,1,12,2006,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241217472431469914575124610142147',4324,'491',62.66,1,3,NULL),(15,2029340,'1989-01-21 00:00:00',4,8,11,2006,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215472431468814571112610125092',4249,'486',62.80,1,3,NULL),(15,2029359,'1990-01-23 00:00:00',4,8,11,2007,'F','N','FLORESTA','JOINVILLE','SC','124241241215271431665933575124610126141',21581,'932',33.55,1,3,NULL),(15,2029367,'1985-11-03 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124252251216152141438821485125220764046',9013,'9998',53.62,3,3,NULL),(15,2029375,'1989-12-16 00:00:00',4,2,10,2007,'M','N','VELHA','BLUMENAU','SC','124242241215111331259832371124610137122',NULL,'855',NULL,1,3,NULL),(15,2029383,'1990-05-17 00:00:00',4,1,11,2007,'F','N','CHAPADA','MANAUS','AM','104042041216371451679931575122610167122',NULL,'9998',0.00,1,3,NULL),(15,2029391,'1990-03-30 00:00:00',4,1,11,2007,'F','N','CENTRO','FARROUPILHA','RS','120202201216371431378814574122610166092',5488,'9998',60.08,1,3,NULL),(15,2029405,'1989-01-31 00:00:00',4,1,12,2006,'F','N','JARDIM DAS INDÚSTRIA','SAO JOSE DOS CAMPOS','SP','125252251215471731558833575122610164147',872,'9998',74.22,1,3,NULL),(15,2029413,'1988-03-03 00:00:00',2,4,12,2006,'M','N','JARDIN','MARAVILHA','SC','124241241126132411623634285141610132077',NULL,'552',18.49,1,2,1),(15,2029421,'1989-07-08 00:00:00',2,1,11,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124244241117131731368713575124610137147',22244,'288',31.30,1,3,NULL),(15,2029448,'1989-09-29 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215122431368713475124610127145',4037,'270',63.37,4,3,NULL),(15,2029456,'1990-03-01 00:00:00',4,2,12,2007,'F','N','CENTRO','MASSARANDUBA','SC','124244241215223431348832271124610126157',10114,'855',51.77,1,3,NULL),(15,2029464,'1989-12-05 00:00:00',4,8,10,2007,'F','N','FLORESTA','JOINVILLE','SC','124242241215111431538631575122610125097',18544,'932',39.42,1,3,NULL),(15,2029472,'1987-07-23 00:00:00',4,1,7,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241247447271421447629245124610144187',8860,'270',53.89,1,3,NULL),(15,2029480,'1991-10-30 00:00:00',4,3,11,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124242161215471451457931512122610127092',3998,'9998',63.45,1,3,NULL),(15,2029499,'1990-04-15 00:00:00',4,9,12,2007,'F','N','CENTRO','POUSO REDONDO','SC','124241241235111411667713135124610168042',NULL,'991',0.00,1,3,NULL),(15,2029502,'1989-11-14 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241235471711449931345124610156092',4678,'1098',61.81,4,3,NULL),(15,2029510,'1990-08-16 00:00:00',4,1,11,2007,'F','N','BALDAN','LONDRINA','PR','116162161215111431258612572112610164142',11977,'9998',49.01,1,3,NULL),(15,2029529,'1989-03-17 00:00:00',2,1,11,2007,'M','N','VILA OLIMPIA','SAO PAULO','SP','125252251317471431347711245124610167047',12871,'9998',47.76,1,3,NULL),(15,2029537,'1990-11-22 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241215131431357714173125610164197',1828,'499',69.86,1,3,NULL),(15,2029545,'1989-04-25 00:00:00',4,1,12,2006,'F','N','LIBERDADE','SAO PAULO','SP','125252251216471231468713572122610112197',604,'9998',76.06,3,3,NULL),(15,2029553,'1990-08-04 00:00:00',2,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215111431236412572122610137057',5253,'723',60.60,1,3,NULL),(15,2029561,'1990-01-10 00:00:00',4,1,12,2007,'F','N','CENTRO','PAULO LOPES','SC','124243241225371431547914575124610114142',9719,'262',52.40,1,3,NULL),(15,2029588,'1988-08-17 00:00:00',2,1,12,2005,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241215372431554313572114610162197',15058,'272',44.72,1,3,NULL),(15,2029596,'1990-11-01 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124122241215132411569933582124610166142',3561,'883',64.57,4,3,NULL),(15,2029600,'1991-04-26 00:00:00',4,1,11,2008,'F','S','CARIANOS','FLORIANOPOLIS','SC','124242241217111431466919272124610163117',NULL,'270',47.06,4,3,NULL),(15,2029618,'1990-10-16 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241112131432335551592124610114075',12463,'307',48.35,2,1,1),(15,2029626,'1990-10-21 01:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215472431469931575122610124061',2111,'270',68.92,1,3,NULL),(15,2029634,'1990-01-25 00:00:00',2,3,12,2006,'M','N','CENTRO','CAMBORIU','SC','124242248115372441336512574124610166092',1168,'129',72.67,1,3,NULL),(15,2029642,'1988-11-06 00:00:00',4,1,12,2005,'M','N','MORRO CHIC','ITAJUBA','MG','113132131217571441548831113121610166172',2566,'9998',67.42,1,3,NULL),(15,2029650,'1989-10-21 00:00:00',4,4,12,2007,'M','N','JARDIM ITÁLIA','CHAPECO','SC','124243241415371431448833235125610168042',20413,'1046',36.03,1,3,NULL),(15,2029669,'1989-04-25 00:00:00',4,1,12,2006,'F','N','CENTRO','BIGUACU','SC','124241241211372431533311591114610122057',5710,'20',59.65,1,3,NULL),(15,2029677,'1989-12-28 00:00:00',4,1,12,2006,'F','N','FLORESTA','PORTO ALEGRE','RS','120202201217571431468831575122610164072',NULL,'9998',0.00,1,3,NULL),(15,2029693,'1990-02-04 00:00:00',4,1,12,2007,'F','N','FLORADAS DE SÃO JOSÉ','SAO JOSE DOS CAMPOS','SP','125252251217121431468931575124610121072',9793,'9998',52.27,1,3,NULL),(15,2029723,'1990-08-02 00:00:00',4,1,11,2007,'M','N','JARDIM MANSUR','CAMPO GRANDE','MS','112122121215111431579933572122610124072',5373,'9998',60.33,1,3,NULL),(15,2029731,'1989-04-29 00:00:00',4,1,12,2006,'M','N','JD AUGUSTA','SAO JOSE DOS CAMPOS','SP','125134251217472441468614575122610127047',2045,'9998',69.11,4,3,NULL),(15,2029740,'1988-01-12 00:00:00',4,1,11,2006,'F','N','CARIANOS','FLORIANOPOLIS','SC','124242241215371751467619595124610128077',14094,'270',46.04,1,3,NULL),(15,2029758,'1990-05-18 00:00:00',2,5,11,2007,'M','N','FIGUEIRA','JACINTO MACHADO','SC','124241241215121431346616575124610167052',3212,'32',65.50,1,3,NULL),(15,2029766,'1989-03-06 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215272331379613575122610161047',2267,'270',68.38,1,3,NULL),(15,2029774,'1989-03-10 00:00:00',4,1,12,2006,'F','N','CABRAL','CURITIBA','PR','116162161215572751468611574122610164077',NULL,'9998',0.00,1,3,NULL),(15,2029804,'1990-02-15 00:00:00',4,2,12,2008,'M','S','SANTA RITA','BRUSQUE','SC','124242241215121431576819295122610137042',NULL,'107',0.00,1,3,NULL),(15,2029820,'1989-04-05 00:00:00',4,2,12,2006,'F','N','JARDIM MARINGÁ','SINOP','MT','111241241126131431513317281321610136172',NULL,'85',17.17,1,3,NULL),(15,2029839,'1989-05-28 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124244241215111131566833575112610112112',18530,'737',39.43,1,3,NULL),(15,2029863,'1988-10-02 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124203241415111431456613375124610164072',19229,'272',38.29,2,3,NULL),(15,2029871,'1989-06-21 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215372431339611594124610133187',18685,'1036',39.18,1,3,NULL),(15,2029880,'1990-06-29 00:00:00',4,9,11,2007,'F','N','SAGRADO CORAÇAO DE J','LAGES','SC','124242241217111751589833575112610164197',7214,'497',56.76,1,3,NULL),(15,2029898,'1989-05-15 00:00:00',4,1,12,2006,'F','N','OCTOGONAL','CRUZEIRO','DF','107072071216472411489931575122610162182',5390,'9998',60.30,1,3,NULL),(15,2029901,'1990-10-24 00:00:00',4,6,12,2007,'M','N','CENTRO','NAVEGANTES','SC','124242241215151421459633375121610162046',7169,'1026',56.85,1,3,NULL),(15,2029910,'1989-07-14 00:00:00',4,1,12,2006,'F','N','JARDIM MODELO','AMPARO','SP','125251251117371431323612275114610123047',19391,'9998',38.03,1,2,1),(15,2029928,'1990-10-06 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124244248215122431569513585122610127057',12374,'951',48.46,1,3,NULL),(15,2029936,'1982-09-25 00:00:00',4,1,11,1999,'M','N','TRINDADE','FLORIANOPOLIS','SC','124202241217373721688933485124321522042',2554,'461',67.46,1,3,NULL),(15,2029944,'1990-08-02 00:00:00',4,1,11,2007,'M','N','JARDIM MANSUR','CAMPO GRANDE','MS','112122121215111431579933572122610144072',5694,'9998',59.68,1,3,NULL),(15,2029952,'1989-10-26 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124011241137141231236629345124610137147',16566,'307',42.49,1,2,1),(15,2029960,'1989-02-13 00:00:00',4,1,7,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241117371431437739372124610142182',1167,'306',72.67,1,3,NULL),(15,2029979,'1990-07-28 00:00:00',2,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161216111411337832222314610127057',6885,'9998',57.37,1,3,NULL),(15,2029987,'1990-03-30 00:00:00',4,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241215111431453313572124610123057',11865,'270',49.15,1,3,NULL),(15,2029995,'1990-06-16 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215171231358813575124610132077',22238,'1022',31.33,1,3,NULL),(15,2030004,'1989-09-20 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215372421376823575114610116197',19109,'26',38.50,1,3,NULL),(15,2030012,'1990-04-17 00:00:00',4,1,12,2007,'F','N','MORUMBI','SAO PAULO','SP','125252251217371711438833571122610164092',6541,'9998',57.99,1,3,NULL),(15,2030039,'1987-02-26 00:00:00',2,1,12,2004,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241112473731545629572114610114147',18619,'283',39.29,4,3,NULL),(15,2030047,'1990-10-04 00:00:00',2,4,11,2007,'M','N','BELA VISTA','NOVA PRATA DO IGUACU','PR','116161161315111411423436275122610164052',18563,'9998',39.39,1,3,NULL),(15,2030055,'1989-08-11 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431459831572114610168042',7554,'270',56.11,1,3,NULL),(15,2030071,'1989-04-27 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124212201215472431479813575124610147127',3455,'9998',64.86,1,3,NULL),(15,2030080,'1989-06-12 00:00:00',4,1,12,2006,'M','N','GLEBA F PALHANO','LONDRINA','PR','116162161216472431479911575122610167062',7126,'9998',56.92,3,3,NULL),(15,2030098,'1990-03-03 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431468832586112610125182',6698,'883',57.74,1,3,NULL),(15,2030110,'1990-11-18 00:00:00',4,1,12,2007,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124241241115131431428821342124610132147',NULL,'307',24.44,1,2,1),(15,2030128,'1989-09-20 00:00:00',4,1,11,2007,'M','N','CAMBUI','CAMPINAS','SP','125252251217111431458832245122610127042',10240,'9998',51.57,1,3,NULL),(15,2030144,'1990-04-01 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215113431489933575122610124145',7,'270',86.24,1,3,NULL),(15,2030152,'1989-11-17 00:00:00',4,2,12,2007,'F','N','CAPITAIS','TIMBO','SC','124242241216111431357823435115610164172',18147,'9997',40.08,1,3,NULL),(15,2030160,'1990-02-14 00:00:00',4,7,11,2007,'M','N','NAÇÕES','FRAIBURGO','SC','124242241217162431478912572112610127012',9164,'885',53.33,1,3,NULL),(15,2030179,'1990-04-30 00:00:00',4,1,12,2007,'M','N','CACUPÉ','FLORIANOPOLIS','SC','124242241215271431589832571122610164042',3520,'262',64.72,1,3,NULL),(15,2030187,'1989-08-10 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124244241217151431485812575122610137122',18288,'270',39.81,1,3,NULL),(15,2030195,'1986-06-03 00:00:00',4,1,12,2006,'M','N','ALPHAVILLE','CAMPINAS','SP','125254251217421411488812591122610122082',21377,'9998',34.03,3,3,NULL),(15,2030209,'1990-10-15 00:00:00',4,8,11,2007,'F','N','NOVA OURINHOS','OURINHOS','SP','125252251215111431479814574122610143142',2954,'9998',66.29,1,3,NULL),(15,2030250,'1990-04-08 00:00:00',2,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124244241215111431533624372112610122145',17136,'737',41.66,1,3,NULL),(15,2030276,'1988-07-01 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124243246237573611556619591125131415097',17,'1105',84.85,4,3,NULL),(15,2030284,'1989-12-12 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111531489931575115610168181',969,'270',73.69,1,3,NULL),(15,2030292,'1988-06-09 00:00:00',4,1,12,2006,'M','N','OESTE','GOIANIA','GO','109092091215472431279811574122610167097',242,'9998',79.41,1,3,NULL),(15,2030306,'1991-07-08 00:00:00',4,1,11,2008,'M','S','TRINDADE','FLORIANOPOLIS','SC','124242241215111441518737595124610164182',NULL,'1022',55.81,1,3,NULL),(15,2030314,'1988-09-05 00:00:00',4,1,12,2006,'M','N','CENTRO','BEBEDOURO','SP','125252251217373431358831475112610164172',1800,'9998',69.93,1,3,NULL),(15,2030322,'1990-07-03 00:00:00',4,5,11,2007,'M','N','PIO CORRÊA','CRICIUMA','SC','124242241215122431489614574122610144062',442,'226',77.27,1,3,NULL),(15,2030330,'1989-10-04 00:00:00',4,1,12,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124252241215373431458823572124610121142',4023,'270',63.39,1,3,NULL),(15,2030349,'1989-10-31 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124133241215111431248812275112610134092',7793,'723',55.70,1,3,NULL),(15,2030357,'1990-08-13 00:00:00',4,8,11,2007,'F','N','GLÓRIA','JOINVILLE','SC','124242241215111441469933275125610135071',651,'1016',75.71,1,3,NULL),(15,2030365,'1988-05-25 00:00:00',2,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124243241317121431569913476124610132091',8866,'1022',53.88,1,3,NULL),(15,2030373,'1990-05-04 00:00:00',4,1,12,2007,'M','N','ZONA I A','UMUARAMA','PR','116162161217111431489914475122610127012',10991,'9998',50.49,1,3,NULL),(15,2030381,'1990-04-05 00:00:00',4,5,11,2007,'M','N','SANTA AUGUSTA','CRICIUMA','SC','124242241215131431333319575122610128142',3519,'995',64.72,1,3,NULL),(15,2030390,'1990-04-07 00:00:00',4,1,11,2007,'M','N','CENTRO','SOROCABA','SP','125253251216121431449618575122610144122',15273,'9998',44.44,1,3,NULL),(15,2030403,'1989-11-20 00:00:00',4,8,12,2007,'F','N','SANTA TEREZINHA','SAO BERNARDO DO CAMPO','SP','125252251217111431469811385122610127147',6672,'9998',57.78,1,3,NULL),(15,2030420,'1991-07-24 00:00:00',4,1,11,2008,'M','S','TRINDADE','FLORIANOPOLIS','SC','124242241215111431469911572124610137047',NULL,'270',42.28,1,3,NULL),(15,2030446,'1991-12-21 00:00:00',5,1,12,2008,'F','S','ESTREITO','FLORIANOPOLIS','SC','124244241215111732567711575122610116096',NULL,'1022',52.11,1,3,NULL),(15,2030454,'1990-03-23 00:00:00',4,1,11,2007,'F','N','BATEL','CURITIBA','PR','116162161217321431344634592124610162145',4471,'9998',62.33,1,3,NULL),(15,2030462,'1980-03-18 00:00:00',4,1,11,1997,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241431272431468832421132320263095',7397,'262',56.42,1,3,NULL),(15,2030470,'1990-12-17 00:00:00',4,8,11,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215111411369921575122610127097',2979,'491',66.22,1,3,NULL),(15,2030489,'1990-08-16 00:00:00',4,8,11,2007,'M','N','AMÉRICA','JOINVILLE','SC','124242244212111711438811592122610167062',4963,'491',61.17,1,3,NULL),(15,2030497,'1972-02-16 00:00:00',4,1,12,1989,'M','N','JARDIM DA PEDREIRA','SAO PAULO','SP','125254253426271431567364375124143232182',14618,'9998',45.25,3,3,NULL),(15,2030519,'1989-08-04 00:00:00',4,1,12,2006,'F','N','FLÂNDRIA','POMPEIA','SP','125251251217371431556923575114610134142',12611,'9998',48.13,1,3,NULL),(15,2030527,'1974-01-18 00:00:00',2,1,12,2002,'M','N','KOBRASOL','SAO JOSE','SC','524243247346133531325549292133131062092',NULL,'9997',30.68,4,3,NULL),(15,2030535,'1991-10-01 00:00:00',4,8,12,2008,'F','S','AMIZADE','JARAGUA DO SUL','SC','124242241215111731478831412112613228142',NULL,'491',40.39,1,3,NULL),(15,2030543,'1988-03-21 00:00:00',4,1,12,2005,'F','N','CENTRO','UMUARAMA','PR','116162161216573431466632572122610162057',796,'9998',74.74,1,3,NULL),(15,2030551,'1961-02-18 00:00:00',2,1,12,1980,'F','N','FLORESTA','SAO JOSE','SC','224161241333132441433351333134610164192',17326,'307',41.35,4,3,NULL),(15,2030560,'1988-05-18 00:00:00',4,1,12,2006,'F','N','BOM FIM','PORTO ALEGRE','RS','120202201217372431267923391124241426112',16021,'9998',43.35,1,3,NULL),(15,2030578,'1990-04-03 00:00:00',4,1,12,2006,'F','N','SUDOESTE','BRASILIA','DF','107072071217311431368823591122610133057',5247,'9998',60.62,1,3,NULL),(15,2030586,'1989-03-03 00:00:00',2,1,12,2006,'F','N','CENTRO','SOMBRIO','SC','124241241215472741654331194124610163182',5744,'770',59.57,1,3,NULL),(15,2030594,'1984-07-10 00:00:00',4,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','624051251122471411232244141114610125027',NULL,'9998',30.47,4,2,1),(15,2030608,'1990-03-07 00:00:00',2,5,12,2007,'M','N','CENTRO','BALNEARIO ARROIO DO SILVA','SC','124242241215371431258639375124610158077',6079,'970',58.93,1,3,NULL),(15,2030616,'1990-04-05 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124202201217471731338729574114610137097',6582,'9998',57.93,1,3,NULL),(15,2030624,'1990-01-04 00:00:00',4,1,12,2007,'F','N','JARDIM SANTO ANTÔNIO','CONCHAL','SP','125252251216111431578911575122610122142',NULL,'9998',0.00,1,3,NULL),(15,2030632,'1988-03-04 00:00:00',4,1,11,2005,'F','N','BOSQUE IMPERIAL','SAO JOSE DOS CAMPOS','SP','125252251215472751436611271122610164187',NULL,'9998',0.00,1,3,NULL),(15,2030640,'1990-07-29 00:00:00',4,2,12,2007,'F','N','CENTRO','GASPAR','SC','124242241215111431467712575132610122197',NULL,'855',0.00,1,3,NULL),(15,2030659,'1980-04-04 00:00:00',2,1,1,1999,'M','N','GUARÁ','GUARA','DF','107093091136573751638814295122610167097',707,'9998',75.34,4,1,2),(15,2030667,'1984-10-21 00:00:00',4,1,11,2004,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124241244211152441569614445124610113072',NULL,'737',20.92,1,3,NULL),(15,2030683,'1989-01-12 00:00:00',4,1,12,2006,'M','N','RIO GRANDE','PALHOCA','SC','124241241116371431433334145124610132197',16489,'591',42.60,1,2,1),(15,2030691,'1990-11-05 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215111411433631575114610126097',5271,'737',60.57,1,3,NULL),(15,2030705,'1989-10-15 01:00:00',4,1,11,2007,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124242241215211741578712272112610121182',10469,'270',51.23,1,3,NULL),(15,2030721,'1990-06-09 00:00:00',4,1,12,2007,'F','N','PINHEIROS','SAO PAULO','SP','125252251116271441448811575114610167182',1158,'9998',72.74,3,3,NULL),(15,2030730,'1990-09-26 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124071241317411431579819595122610161192',1745,'270',70.23,1,3,NULL),(15,2030748,'1989-10-28 00:00:00',4,1,12,2007,'M','N','MACEDO','GUARULHOS','SP','125252251215112431356831382122610127072',NULL,'9998',0.00,1,3,NULL),(15,2030756,'1989-12-12 00:00:00',4,8,12,2007,'M','N','SANTA FELICIDADE','CURITIBA','PR','116164161214121431348832572124610162077',2196,'9998',68.62,1,3,NULL),(15,2030764,'1990-09-01 00:00:00',4,3,11,2007,'F','N','JARDIM ITÁLIA','CUIABA','MT','111112111436111431469932572122610135092',3004,'9998',66.13,1,3,NULL),(15,2030772,'1990-10-12 00:00:00',4,8,12,2007,'F','N','JARDIM NOVA LONDRES','LONDRINA','PR','116162161216111431569923572114610147142',2303,'9998',68.23,4,3,NULL),(15,2030780,'1990-09-25 00:00:00',4,5,12,2007,'F','N','CENTRO','SAO MIGUEL DO IGUACU','PR','116164161117471431325611575122610124147',14677,'9998',45.18,1,3,NULL),(15,2030799,'1987-01-28 00:00:00',4,1,12,2003,'M','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124242241216153431588612495122220614142',3846,'262',63.88,1,3,NULL),(15,2030810,'1989-04-11 00:00:00',4,5,10,2006,'M','N','SANTA ISABEL','FORQUILHINHA','SC','124244241217413441458833571114231066052',210,'880',79.80,1,3,NULL),(15,2030829,'1988-07-25 00:00:00',4,8,12,2005,'M','N','BOM RETIRO','JOINVILLE','SC','124242246236372411469614485124610142122',1000,'494',73.53,1,3,NULL),(15,2030845,'1986-07-05 00:00:00',5,5,12,2003,'M','N','SÃO JOSÉ','CRICIUMA','SC','124241241136133441337614295122231457087',9899,'228',52.10,1,2,1),(15,2030853,'1989-11-09 00:00:00',4,8,11,2007,'F','N','GLORIA','JOINVILLE','SC','124242241215371431459813375122610157092',18032,'1063',40.26,1,3,NULL),(15,2030861,'1989-10-13 00:00:00',4,1,11,2007,'M','N','SETOR BUENO','GOIANIA','GO','109092091237111431489934474122610137052',1205,'9998',72.44,1,3,NULL),(15,2030870,'1982-12-03 00:00:00',2,1,12,2004,'M','N','VILA SÃO JOSÉ','SAO BERNARDO DO CAMPO','SP','125251257136572451535729175124610164117',7601,'9999',56.03,1,2,1),(15,2030888,'1990-10-21 01:00:00',2,4,12,2007,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124202241115371231234624575121610132047',22274,'757',31.18,1,3,NULL),(15,2030900,'1989-07-30 00:00:00',4,4,12,2005,'F','N','JUVEVÊ','CURITIBA','PR','116164161216571431538611571124610164013',NULL,'9998',0.00,1,3,NULL),(15,2030918,'1988-08-27 00:00:00',4,1,12,2005,'F','N','CIDADE ALTA','MEDIANEIRA','PR','116163161116451431446619474112610164194',8853,'9998',53.91,1,3,NULL),(15,2030926,'1991-02-03 00:00:00',4,3,11,2007,'F','N','CENTRO','ITAPEJARA D OESTE','PR','116163161215111431358612382112610132072',18455,'9998',39.56,1,3,NULL),(15,2030934,'1989-10-08 00:00:00',4,1,12,2006,'F','N','ZONA II','UMUARAMA','PR','116163161215371431466616172115610124142',NULL,'9998',0.00,1,3,NULL),(15,2030942,'1988-12-11 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','121244211416143431356831396111610134017',8917,'272',53.80,1,3,NULL),(15,2030950,'1989-04-22 00:00:00',4,1,12,2006,'F','N','CENTRO','CURITIBANOS','SC','124242241216472431456632375124610168142',248,'881',79.34,1,3,NULL),(15,2030969,'1989-03-03 00:00:00',2,1,11,2006,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241215372431556613575124610131182',14170,'1036',45.92,1,3,NULL),(15,2030977,'1990-10-19 00:00:00',4,5,11,2007,'M','N','JARDIM DAS AVENIDAS','ARARANGUA','SC','124241241315111731454314372125610137182',NULL,'32',27.82,1,3,NULL),(15,2030993,'1990-09-10 00:00:00',4,6,12,2007,'F','N','CENTRO','ITAJAI','SC','124202241215121431359712374122610123145',2869,'1026',66.54,1,3,NULL),(15,2031000,'1989-05-26 00:00:00',4,6,7,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124162241217153731469811495124230664182',12419,'1038',48.42,1,3,NULL),(15,2031027,'1988-06-23 00:00:00',2,1,12,2005,'M','N','ZONA SETE','MARINGA','PR','116163161215571441346921175122140265067',NULL,'258',0.00,1,3,NULL),(15,2031035,'1989-12-15 00:00:00',2,9,12,2007,'F','N','JARDIM AMÉRICA','ITUPORANGA','SC','124242241217111751438613571122610133142',13154,'991',47.39,1,3,NULL),(15,2031043,'1991-07-12 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217111411366923585112610164045',5862,'270',59.34,1,3,NULL),(15,2031078,'1990-03-14 00:00:00',2,1,12,2007,'F','N','GRANJEIRO','JATAI','GO','109202091216371421437815592122610118107',6486,'9998',58.10,1,3,NULL),(15,2031086,'1979-12-11 00:00:00',4,1,11,1997,'M','N','LARANJEIRAS','RIO DE JANEIRO','RJ','121214211216472721368919481122340464027',245,'9998',79.39,1,3,NULL),(15,2031108,'1990-01-17 00:00:00',5,1,11,2007,'M','N','RESIDENCIAL PARAÍSO','FRANCA','SP','125252251235111731479819495112610147016',3408,'9998',64.97,1,3,NULL),(15,2031116,'1990-03-03 00:00:00',4,8,12,2007,'M','N','ATIRADORES','JOINVILLE','SC','124242241216112431478913575122610164142',798,'1063',74.73,1,3,NULL),(15,2031124,'1988-09-04 00:00:00',3,1,3,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241115153441468933576123233268185',8326,'267',54.82,1,3,NULL),(15,2031132,'1988-01-16 00:00:00',3,8,11,2005,'M','N','ALTO DE SANTANA','SAO PAULO','SP','125242241217471531489711475125610135157',9468,'1006',52.83,1,3,NULL),(15,2031140,'1985-12-09 00:00:00',2,6,12,2003,'F','N','PEDRA DE AMOLAR','ILHOTA','SC','124241241216575431448933575222610162097',5328,'937',60.46,1,3,NULL),(15,2031159,'1987-07-31 00:00:00',4,1,12,2004,'M','N','KOBRASOL','SAO JOSE','SC','124241241116373331529621342214610168197',NULL,'307',30.65,1,3,NULL),(15,2031167,'1988-02-04 00:00:00',4,8,11,2005,'M','N','DEHON','TUBARAO','SC','124242241211553431588513571114231464052',1156,'806',72.76,1,3,NULL),(15,2031183,'1988-05-20 00:00:00',4,1,12,2005,'F','N','VILA TATETUBA','SAO JOSE DOS CAMPOS','SP','125252251217571431466614575122610133142',NULL,'9998',0.00,1,3,NULL),(15,2031191,'1980-02-16 00:00:00',2,1,9,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124241247126331721223644242114610168047',19020,'9997',38.63,2,1,1),(15,2031205,'1989-12-21 00:00:00',4,8,12,2006,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241215471421448823575112610113142',5281,'541',60.55,1,3,NULL),(15,2031213,'1986-11-12 00:00:00',4,1,12,2004,'M','N','BELA VISTA','SAO PAULO','SP','125112251215572411388831511125610162152',1382,'9998',71.74,3,3,NULL),(15,2031221,'1988-06-10 00:00:00',2,1,12,2005,'F','N','PETRÓPOLIS','PORTO ALEGRE','RS','120202201215271431378811474112241066142',NULL,'9998',0.00,1,3,NULL),(15,2031230,'1989-05-06 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124113241217472431258911594114610131182',7210,'1040',56.77,1,3,NULL),(15,2031248,'1989-03-31 00:00:00',2,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124244241115371431458833345114610127057',21668,'592',33.34,1,3,NULL),(15,2031256,'1990-09-04 00:00:00',4,4,12,2007,'F','N','MATINHO','XANXERE','SC','124054241115371441338574575125610122142',16887,'840',42.03,1,3,NULL),(15,2031264,'1990-04-17 00:00:00',4,2,12,2007,'F','N','JUVEVE','CURITIBA','PR','116162161217111731469933581122610124047',NULL,'9998',0.00,1,3,NULL),(15,2031272,'1990-12-21 00:00:00',4,1,12,2007,'F','N','IATE C DE AMERICANA','AMERICANA','SP','125252251217271531447814574122610123112',10184,'9998',51.65,1,3,NULL),(15,2031302,'1990-08-02 00:00:00',4,1,12,2007,'F','N','CRUZEIRO','CAXIAS DO SUL','RS','120203201216371431466935571124610166082',7315,'9998',56.58,1,3,NULL),(15,2031329,'1990-06-29 00:00:00',4,2,12,2007,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215271411588812595122610166062',6279,'909',58.49,1,3,NULL),(15,2031337,'1988-11-14 00:00:00',4,1,12,2006,'M','N','HIGIENÓPOLIS','SAO PAULO','SP','125102101217472731268822324115610164012',2207,'9998',68.58,4,3,NULL),(15,2031345,'1988-07-14 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117131231633514345124610127057',20750,'281',35.39,1,2,1),(15,2031353,'1989-07-25 00:00:00',4,8,12,2006,'F','N','SAGUAÇU','JOINVILLE','SC','124242241216372431448711375124610168147',3838,'494',63.90,1,3,NULL),(15,2031361,'1990-10-10 00:00:00',4,4,12,2007,'M','N','JARDIM ITALIA','CHAPECO','SC','124242241217471411478839595122610135092',2286,'185',68.27,1,3,NULL),(15,2031370,'1990-05-29 00:00:00',2,2,12,2007,'M','N','ÁGUA VERDE','BLUMENAU','SC','124242241217371551538811575124610127047',4907,'88',61.29,1,3,NULL),(15,2031388,'1982-03-01 00:00:00',4,8,12,2000,'M','N','CENTRO','PINHAIS','PR','116161168116471731549933182214610166097',NULL,'9998',0.00,1,2,1),(15,2031396,'1990-11-15 00:00:00',4,8,11,2007,'F','N','ATIRADORES','JOINVILLE','SC','124241241115371431568832475122610124012',NULL,'457',0.00,1,3,NULL),(15,2031400,'1989-02-01 00:00:00',2,1,12,2006,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241115472431445539372114610142012',6951,'307',57.25,1,2,1),(15,2031418,'1988-06-14 00:00:00',4,5,12,2005,'M','N','CENTRO','CRICIUMA','SC','124244241216372431537611485112130727017',2197,'229',68.61,1,3,NULL),(15,2031426,'1990-01-28 00:00:00',4,5,11,2007,'F','N','MICHEL','CRICIUMA','SC','124242241217111231358812575122610161142',2104,'226',68.95,1,3,NULL),(15,2031434,'1987-07-18 00:00:00',4,6,11,2004,'M','N','JARDIM PRIMAVERA','CAMPINAS','SP','125252251216571441258729375125610124042',10269,'9998',51.54,1,3,NULL),(15,2031442,'1990-12-17 00:00:00',4,2,12,2007,'M','N','CENTRO','SANTA TEREZINHA','SC','124241241136161411526613475122610134177',6031,'691',59.00,1,2,1),(15,2031450,'1989-01-11 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124241241116272431234914285124610638047',15596,'257',43.97,1,2,1),(15,2031469,'1980-05-05 00:00:00',2,1,7,2003,'F','N','BARREIROS','SAO JOSE','SC','624243247326353431328354485124610114142',NULL,'9999',29.17,1,3,NULL),(15,2031477,'1990-01-30 00:00:00',4,1,12,2007,'M','N','CENTRO','CASCAVEL','PR','116162161217121431266811344112610162042',11176,'9998',50.20,4,3,NULL),(15,2031485,'1990-06-11 00:00:00',4,5,12,2007,'F','N','SÃO LUIZ','CRICIUMA','SC','124162241215371731243311275124610166176',8329,'920',54.81,1,3,NULL),(15,2031493,'1989-04-06 00:00:00',2,1,12,2006,'M','N','CENTRO','SAO JOAO BATISTA','SC','124241241136372411444314575125131465147',18199,'712',39.97,1,2,1),(15,2031507,'1988-02-15 00:00:00',4,8,12,2005,'M','N','PIRABEIRABA','JOINVILLE','SC','125241246216471411428623385113610167012',9162,'1105',53.33,4,3,NULL),(15,2031515,'1990-05-07 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124244241215271751236824595124610114142',12267,'259',48.63,1,3,NULL),(15,2031531,'1991-04-29 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241217371731289813575112610127142',NULL,'262',41.39,1,3,NULL),(15,2031558,'1989-04-15 00:00:00',4,1,12,2006,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242241215371731566413274212610127057',12304,'970',48.57,1,3,NULL),(15,2031566,'1987-09-29 00:00:00',4,1,9,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242247117373431456963375124122367187',9714,'9999',52.40,1,3,NULL),(15,2031582,'1989-10-07 00:00:00',4,1,11,2007,'M','N','CENTRO','PALMAS','TO','127272271416151431488813575122610162182',NULL,'9998',0.00,1,3,NULL),(15,2031590,'1990-04-24 00:00:00',4,1,6,2008,'M','S','FORQUILHINHAS','SAO JOSE','SC','124242241115131411453639195124610164162',NULL,'739',40.78,1,3,NULL),(15,2031604,'1991-01-25 00:00:00',4,1,11,2007,'F','N','JARDIM RIVA','PRIMAVERA DO LESTE','MT','111112111217121731667711575112610121187',8680,'9998',54.20,1,3,NULL),(15,2031612,'1987-10-13 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215373411226628392114610164187',14122,'1036',46.00,1,3,NULL),(15,2031620,'1989-11-02 00:00:00',4,8,12,2007,'F','N','GUANABARA','JOINVILLE','SC','124242246215371431468854574124610137072',7650,'1105',55.94,1,3,NULL),(15,2031647,'1989-06-08 00:00:00',4,1,5,2007,'F','N','JARDIM RIVA','PRIMAVERA DO LESTE','MT','111124288416161431667711445123610142047',12699,'9998',47.98,4,3,NULL),(15,2031655,'1989-09-24 00:00:00',2,1,12,2006,'M','N','SAMBAQUI','FLORIANOPOLIS','SC','124241241316372441426633345134130767052',21416,'300',33.93,1,3,NULL),(15,2031663,'1991-07-12 00:00:00',4,1,10,2007,'M','N','CAMPINAS','SAO JOSE','SC','124243246217141721334822575113310131011',19414,'737',37.99,1,3,NULL),(15,2031671,'1989-05-17 00:00:00',4,3,12,2006,'F','N','CENTRO','CURITIBA','PR','116163161116312431446814392325610166092',NULL,'9998',0.00,1,3,NULL),(15,2031680,'1988-05-04 00:00:00',4,3,12,2005,'M','N','ZONA TRÊS','MARINGA','PR','116162161216573451446939574122610166082',5507,'9998',60.04,3,3,NULL),(15,2031701,'1990-04-17 00:00:00',4,1,12,2007,'F','N','BELA VISTA I','SAO JOSE','SC','124243241415121331336613285124610127117',19965,'269',36.90,2,3,NULL),(15,2031710,'1989-04-07 00:00:00',4,1,12,2006,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242241216152431669619575124233264191',7467,'884',56.30,1,3,NULL),(15,2031728,'1983-05-24 00:00:00',4,1,12,2000,'M','N','VILA FORMOSA','SAO PAULO','SP','125251251126471441446619292124610161112',8284,'9998',54.88,1,2,1),(15,2031736,'1988-07-05 00:00:00',4,4,12,2006,'M','N','CRUZEIRO','SAO LOURENCO DO OESTE','SC','124243161111372251458531235113610164047',10464,'9998',51.24,1,3,NULL),(15,2031752,'1990-02-01 00:00:00',2,9,12,2007,'F','N','COPACABANA','LAGES','SC','124203241116471411423621375124610125142',10454,'512',51.26,4,1,2),(15,2031760,'1988-11-04 00:00:00',2,8,12,2005,'F','N','BUCAREIN','JOINVILLE','SC','624161162116371411224453345124610128197',15469,'9998',44.16,4,2,1),(15,2031779,'1988-06-05 00:00:00',2,1,11,2006,'M','N','CENTRO','ERECHIM','RS','120201208246131431343611275123610137042',19203,'9998',38.34,1,3,NULL),(15,2031787,'1990-02-14 00:00:00',2,3,12,2007,'M','N','CENTRO','FRAIBURGO','SC','124241241144161431425311241332610128052',20332,'315',36.18,3,2,1),(15,2031809,'1988-05-25 00:00:00',4,1,12,2005,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124241241137573431446833445114610133097',14696,'307',45.15,1,2,1),(15,2031817,'1989-11-14 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241215372431249923571124231043192',5916,'1022',59.22,1,3,NULL),(15,2031833,'1990-09-02 00:00:00',4,1,12,2007,'F','N','JARDIM MONTE ALEGRE','TABOAO DA SERRA','SP','125251251316371431548823375124610164197',16030,'9998',43.33,1,3,NULL),(15,2031841,'1988-05-17 00:00:00',4,1,12,2007,'M','N','JARDIM PRIMAVERA','JACAREI','SP','125252251217111411247612185121610167182',14758,'9998',45.06,4,3,NULL),(15,2031850,'1980-02-18 00:00:00',4,1,12,1997,'M','N','ITAGUAÇÚ','FLORIANOPOLIS','SC','124241243146274431345613215122533232182',14314,'306',45.71,1,2,1),(15,2031868,'1983-03-18 00:00:00',4,6,12,2001,'M','N','ARMAÇÃO','PENHA','SC','124251241415472411456319485124140722172',4379,'389',62.52,1,3,NULL),(15,2031876,'1990-07-18 00:00:00',4,1,12,2007,'F','N','PQ CIDADE JARDIM II','JUNDIAI','SP','125254251111271431446614345122610131122',NULL,'9998',8.09,1,3,NULL),(15,2031884,'1989-10-08 00:00:00',4,4,12,2006,'M','N','CENTRO','SAO LOURENCO DO OESTE','SC','124244161417372431458611575114610164062',14067,'9998',46.08,1,3,NULL),(15,2031892,'1988-10-11 00:00:00',2,1,11,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241116573431334613574224610137147',9283,'257',53.14,1,2,1),(15,2031914,'1986-09-29 00:00:00',2,1,12,2004,'M','N','CAMPINAS','SAO JOSE','SC','124242241127574431536413445112610167047',12200,'736',48.72,1,3,NULL),(15,2031922,'1987-07-07 00:00:00',2,1,12,2004,'F','N','BARREIROS','SAO JOSE','SC','124244244211133431553623441124610127147',12901,'943',47.72,2,1,2),(15,2031930,'1987-09-29 00:00:00',2,1,11,2007,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124244247416272421357612442122610147094',NULL,'9999',21.30,1,3,NULL),(15,2031949,'1991-02-16 00:00:00',2,4,12,2007,'F','N','CENTRO','ENTRE RIOS DO SUL','RS','120201201142151431356819592124610163097',NULL,'9998',0.00,1,3,NULL),(15,2031957,'1991-02-03 00:00:00',2,1,12,2007,'F','N','COLONINHA','FLORIANOPOLIS','SC','124242247417131431446813593124610128147',14486,'9999',45.44,1,3,NULL),(15,2031973,'1986-10-02 00:00:00',2,9,12,2003,'M','N','CORAL','LAGES','SC','124241241132131441326615341334131136047',15532,'639',44.09,1,2,1),(15,2031981,'1990-06-29 00:00:00',2,8,12,2007,'M','N','ITAUM','JOINVILLE','SC','124243241325471411623414241124610146092',12191,'486',48.74,1,3,NULL),(15,2031990,'1987-04-20 00:00:00',4,8,12,2004,'M','N','CENTRO','LOANDA','PR','116162161215514431446616571124610128182',1870,'9998',69.72,1,3,NULL),(15,2032015,'1989-05-12 00:00:00',4,1,12,2006,'M','N','BELA VISTA','SAO JOSE DOS CAMPOS','SP','125254251217472731338823572112610122094',3580,'9998',64.51,1,3,NULL),(15,2032031,'1988-08-12 00:00:00',2,3,12,2005,'F','N','RIACHO FUNDO I','RIACHO FUNDO','DF','107072071216572431478513575114610124197',849,'9998',74.38,4,3,NULL),(15,2032040,'1987-04-05 00:00:00',2,1,12,2004,'M','N','CENTRO','SAO JOSE','SC','124241241116573431346613471224130267042',400,'591',77.68,1,3,NULL),(15,2032058,'1987-06-16 00:00:00',4,1,12,2004,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241332373751436821345134132233143',NULL,'574',48.12,1,3,NULL),(15,2032066,'1989-03-27 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431369923572112610163147',4938,'270',61.21,1,3,NULL),(15,2032074,'1988-04-26 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124114241316143731457713495124220518047',4390,'257',62.50,1,3,NULL),(15,2032082,'1983-07-05 00:00:00',2,1,12,2002,'F','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124092241111133411538613495124322364057',12762,'307',47.90,1,3,NULL),(15,2032104,'1987-10-22 00:00:00',2,5,12,2006,'F','N','MARIA CÉU','CRICIUMA','SC','124241245116131731326318491124610165142',18602,'209',39.32,1,3,NULL),(15,2032139,'1989-01-14 00:00:00',2,4,12,2006,'M','N','PARQUE DAS PALMEIRAS','CHAPECO','SC','124242241215372431356924246132131464067',6024,'983',59.03,1,3,NULL),(15,2032147,'1987-03-19 00:00:00',4,7,12,2004,'F','N','SAO CRISTOVAO','VIDEIRA','SC','124241241116152431646614345133130868097',NULL,'831',0.00,1,3,NULL),(15,2032155,'1988-10-21 00:00:00',5,1,12,2006,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124244241215372431468711292122610114182',8228,'272',54.96,1,3,NULL),(15,2032163,'1988-03-03 00:00:00',4,1,12,2007,'M','N','SAMBAQUI','FLORIANOPOLIS','SC','124242241215411431686612572122610117117',18907,'1048',38.83,1,3,NULL),(15,2032180,'1988-04-02 00:00:00',2,1,12,2005,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124241241316573431127444345123610127047',6801,'266',57.54,1,3,NULL),(15,2032198,'1988-08-17 00:00:00',4,1,12,2006,'M','N','CENTRO','POTIRENDABA','SP','125254251217371431448811572122610117097',NULL,'9998',0.00,1,3,NULL),(15,2032201,'1988-04-28 00:00:00',2,1,12,2005,'F','N','BELA VISTA I','SAO JOSE','SC','124244241431472731463823341124131037077',11792,'738',49.27,1,3,NULL),(15,2032210,'1988-07-27 00:00:00',2,9,12,2005,'F','N','BELA VISTA','CAXIAS DO SUL','RS','120201201217371431536619391122140232092',17497,'9998',41.09,1,3,NULL),(15,2032228,'1988-09-28 00:00:00',2,1,12,2006,'F','N','COLÔNIA SANTANA','SAO JOSE','SC','124244241116371431323629482124610133187',18992,'733',38.68,4,3,NULL),(15,2032236,'1989-09-30 00:00:00',2,9,11,2006,'F','N','EUGÊNIO SCHNEIDER','RIO DO SUL','SC','124242241215272411457833315122131044172',13424,'653',46.99,1,3,NULL),(15,2032244,'1985-12-11 00:00:00',2,1,7,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241247325131431331152245231610164147',NULL,'977',0.00,3,3,NULL),(15,2032252,'1986-08-25 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241216152431478816392122231034115',NULL,'1022',0.00,1,3,NULL),(15,2032260,'1991-01-18 00:00:00',4,7,12,2007,'M','N','IMIGRANTES','CONCORDIA','SC','124241241145131751436623242231610167052',NULL,'192',21.62,4,3,NULL),(15,2032279,'1988-10-20 00:00:00',4,1,12,2006,'M','N','CENTRO','FARTURA','SP','125252251216375432457611572124610117042',12321,'9998',48.55,1,3,NULL),(15,2032287,'1990-11-26 00:00:00',4,1,12,2007,'F','N','FLORESTA','SAO JOSE','SC','124241241115471431557932572124610124147',2607,'306',67.30,1,2,1),(15,2032295,'1990-01-01 00:00:00',2,8,12,2007,'F','N','IRIRIÚ','JOINVILLE','SC','124241241216131411456614575124610135192',9509,'489',52.76,1,3,NULL),(15,2032309,'1988-10-27 00:00:00',4,8,12,2006,'M','N','VILA NOVA','MAFRA','SC','116241161215271411376514574122610167182',1801,'9998',69.92,1,3,NULL),(15,2032317,'1985-08-20 00:00:00',2,1,12,2003,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241115113531438833575114231467042',NULL,'267',0.00,1,2,1),(15,2032325,'1990-07-05 00:00:00',2,6,12,2007,'F','N','ARMAÇÃO','PENHA','SC','124242248335131421424618141135610133147',NULL,'610',22.13,1,3,NULL),(15,2032333,'1987-12-29 00:00:00',4,1,12,2005,'F','N','VILA AVIAÇÃO','BAURU','SP','125252251216471431456814382122610122147',20759,'9998',35.38,1,3,NULL),(15,2032350,'1990-08-18 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241115131731528331111321610144097',NULL,'592',21.49,1,2,1),(15,2032368,'1990-10-26 00:00:00',4,7,12,2007,'M','N','SALETTE','FRAIBURGO','SC','124241241115161411443314242125610128172',21087,'314',34.69,1,2,1),(15,2032392,'1989-01-24 00:00:00',2,1,12,2005,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','123241241115274431426613342124610117097',20552,'278',35.79,1,3,NULL),(15,2032406,'1988-06-11 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217573431687611475122610137152',759,'226',74.93,1,3,NULL),(15,2032422,'1990-05-28 00:00:00',4,7,12,2007,'F','N','CENTRO','PINHEIRO PRETO','SC','124241241126161731543331245122610161147',18810,'618',38.97,1,2,1),(15,2032457,'1990-08-21 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124241241115131531436634342322610132147',NULL,'592',43.20,1,2,1),(15,2032465,'1989-09-04 00:00:00',4,1,9,2007,'M','N','JD ESPLANADA','PRESIDENTE PRUDENTE','SP','125252251217111731489812395122610167042',17046,'9998',41.82,3,3,NULL),(15,2032473,'1989-12-01 00:00:00',2,1,12,2006,'F','N','CENTRO','CHAPADAO DO SUL','MS','112123121214471431446612575124610163097',16893,'9998',42.02,1,3,NULL),(15,2032490,'1989-08-03 00:00:00',4,8,12,2007,'M','N','BARRA DO RIO CERRO','JARAGUA DO SUL','SC','124242241217271431489932571124610134192',15407,'491',44.25,1,3,NULL),(15,2032520,'1989-02-02 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241111272421556513492124610161041',8241,'281',54.94,1,2,1),(15,2032538,'1988-06-04 00:00:00',2,1,7,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241336273431454632381114610127012',18728,'977',39.11,1,3,NULL),(15,2032546,'1984-02-15 00:00:00',4,1,12,2001,'F','N','JD DAS LARANJEIRAS','SAO PAULO','SP','125251251126572431543744245122143262047',4654,'9998',61.86,1,2,1),(15,2032554,'1990-06-19 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431466812572122610127042',12437,'273',48.38,1,3,NULL),(15,2032562,'1989-01-24 00:00:00',2,9,12,2005,'F','N','BORGO','BENTO GONCALVES','RS','120201201115571431653719345122140862142',12772,'9998',47.89,1,2,1),(15,2032570,'1988-07-26 00:00:00',4,1,12,2005,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241216514321268611572124610111147',NULL,'270',0.00,1,3,NULL),(15,2032589,'1989-06-10 00:00:00',2,1,12,2006,'M','N','DEMARCHI','SAO BERNARDO DO CAMPO','SP','125252251211472431148829591124610127042',14182,'9998',45.90,1,3,NULL),(15,2032597,'1989-05-02 00:00:00',4,1,12,2006,'F','N','COLONIAL','SAO BENTO DO SUL','SC','124241241416372411673612575122610143142',18392,'974',39.66,1,3,NULL),(15,2032600,'1990-02-04 00:00:00',4,1,12,2007,'F','N','PIO X','CAXIAS DO SUL','RS','120202201216471431347839575122610133182',6146,'9998',58.76,1,3,NULL),(15,2032627,'1989-06-30 00:00:00',2,1,12,2006,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124243241213312411323352374114610134062',4653,'1014',61.86,1,3,NULL),(15,2032635,'1986-02-04 00:00:00',2,1,12,2002,'F','N','CABRAL','CURITIBA','PR','116162161417571751367929574122241562182',NULL,'9998',0.00,1,3,NULL),(15,2032643,'1988-07-30 00:00:00',4,5,12,2005,'M','N','CENTRO','FORQUILHINHA','SC','124241241127141431644331345122610124047',NULL,'309',21.09,1,2,1),(15,2032651,'1987-06-22 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241115273431556513442124610134187',21330,'281',34.12,1,2,1),(15,2032660,'1989-07-13 00:00:00',4,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241335472431346619374124610126117',18656,'1098',39.23,1,3,NULL),(15,2032678,'1987-07-01 00:00:00',4,8,12,2004,'F','N','ALPHAVILLE','SANTANA DE PARNAIBA','SP','125252251217573441548831571112610166077',NULL,'9998',0.00,1,3,NULL),(15,2032686,'1990-11-22 00:00:00',4,5,12,2007,'F','N','CENTRO','CRICIUMA','SC','124242241217272441348822394125610131147',3221,'211',65.47,1,3,NULL),(15,2032694,'1990-08-12 00:00:00',4,5,12,2007,'F','N','CRUZEIRO DO SUL','CRICIUMA','SC','124242241216312431459833475122610148012',12087,'211',48.88,1,3,NULL),(15,2032708,'1990-03-13 00:00:00',2,5,11,2007,'M','N','PRÓSPERA','CRICIUMA','SC','124242241215111731356919475114610117072',9579,'211',52.62,1,3,NULL),(15,2032724,'1987-02-03 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241112273411436819382114610164117',11650,'307',49.48,2,1,2),(15,2032732,'1991-05-29 00:00:00',4,5,12,2007,'F','N','PIO CORRÊA','CRICIUMA','SC','124242241215271431438714372122610124147',13980,'211',46.18,1,3,NULL),(15,2032740,'1990-05-18 00:00:00',4,5,12,2007,'M','N','COMERCIÁRIO','CRICIUMA','SC','124242241217111432458831572122610162052',11169,'211',50.21,1,3,NULL),(15,2032759,'1990-05-28 00:00:00',2,5,12,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215271431448832274122610138172',16733,'211',42.28,1,3,NULL),(15,2032767,'1988-08-08 00:00:00',2,1,2,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241117473431546823576114610167031',4348,'267',62.60,1,3,NULL),(15,2032775,'1982-05-21 00:00:00',2,1,12,1999,'M','N','PANTANAL','FLORIANOPOLIS','SC','124202241215153431569711482112221227042',NULL,'27',15.19,1,3,NULL),(15,2032783,'1989-04-03 00:00:00',2,10,11,2006,'M','N','HUMAITÁ','TUBARAO','SC','124243241215152431433632572322610162052',5467,'807',60.13,4,3,NULL),(15,2032791,'1990-03-23 00:00:00',4,5,12,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215112721459934472122610168197',21343,'211',34.09,1,3,NULL),(15,2032805,'1989-11-17 00:00:00',4,5,11,2007,'M','N','PIO CORREA','CRICIUMA','SC','124242241215151441459934574122610124174',NULL,'211',0.00,1,3,NULL),(15,2032813,'1990-05-30 00:00:00',2,5,11,2007,'M','N','CRUZEIRO DO SUL','CRICIUMA','SC','124242241215111411346624472122610167092',16903,'211',42.01,1,3,NULL),(15,2032821,'1988-05-03 00:00:00',4,8,12,2005,'M','N','CENTRO','JOINVILLE','SC','124242241212154431578833444132431467043',6466,'461',58.14,1,3,NULL),(15,2032830,'1990-09-08 00:00:00',4,3,11,2007,'M','N','MONTE ALEGRE','CAMBORIU','SC','124243242115371331227823595124610137052',5382,'129',60.31,1,3,NULL),(15,2032848,'1985-01-31 00:00:00',4,1,10,2003,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124243241337272411566873485113121662111',6167,'9999',58.72,1,3,NULL),(15,2032856,'1991-10-01 00:00:00',4,5,12,2008,'M','S','JARDIM MARISTELA','CRICIUMA','SC','124242241216151431469713575114610167022',NULL,'211',49.23,2,3,NULL),(15,2032864,'1986-06-11 00:00:00',2,1,12,2003,'M','N','CENTRO','SAO JOSE DOS PINHAIS','PR','116164161237571732353319295124242322182',NULL,'9998',0.00,1,3,NULL),(15,2032872,'1987-10-28 00:00:00',4,1,12,2006,'M','N','AREIAS','SAO JOSE','SC','124243241117372431644623485114610124042',17666,'307',40.85,4,1,2),(15,2032880,'1990-03-01 00:00:00',4,4,12,2007,'F','N','SANTA MARIA','CHAPECO','SC','124243247326141331535611291134610121112',NULL,'9999',24.14,1,3,NULL),(15,2032899,'1989-05-26 00:00:00',4,1,11,2007,'F','N','SION','BELO HORIZONTE','MG','113132131217131431328719382124610122057',6591,'9998',57.91,1,3,NULL),(15,2032902,'1989-07-02 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124244241115131731346833572224610126077',14197,'271',45.87,2,1,2),(15,2032910,'1989-04-07 00:00:00',4,1,12,2006,'M','N','ARIRIU','PALHOCA','SC','124242241215371432566512472112610127092',5081,'1011',60.94,1,3,NULL),(15,2032929,'1988-05-20 00:00:00',2,9,12,2005,'F','N','VALADA MOSQUITO','AGRONOMICA','SC','124241241147132431526335572224230325147',NULL,'7',14.63,1,2,1),(15,2032937,'1986-05-31 00:00:00',2,1,12,2004,'M','N','FLOR DE NÁPOLIS','SAO JOSE','SC','124242241215372711478613242234610167112',18178,'944',40.01,1,3,NULL),(15,2032945,'1991-04-05 00:00:00',4,5,12,2007,'F','N','CENTRO','NOVA VENEZA','SC','124242241215111431489813292122610127097',19655,'211',37.51,1,3,NULL),(15,2032953,'1990-03-14 00:00:00',2,8,11,2007,'F','N','JD DAS AMÉRICAS','CURITIBA','PR','116162161212111441578823572112610137072',12866,'9998',47.77,4,3,NULL),(15,2032961,'1967-03-04 00:00:00',2,1,12,1983,'F','N','TRINDADE','FLORIANOPOLIS','SC','224241241112275421345854442124320862192',6242,'169',58.57,1,2,1),(15,2032970,'1990-04-17 00:00:00',4,1,12,2007,'M','N','JARDIM MODELO','ITUVERAVA','SP','125252251216111731479939575111610167047',9487,'9998',52.80,1,3,NULL),(15,2032996,'1989-04-27 00:00:00',2,1,12,2006,'M','N','ROÇADO','SAO JOSE','SC','124243241334372331646513285124610147182',16376,'1022',42.79,4,3,NULL),(15,2033003,'1979-11-22 00:00:00',2,1,12,1998,'M','N','JD VARGINHA','SAO PAULO','SP','125251251127471441211329381324610162187',13195,'9998',47.33,1,2,1),(15,2033011,'1987-08-31 00:00:00',2,1,12,2005,'M','N','CENTRO','BIGUACU','SC','124241241126271251326613345124613214111',22034,'595',32.17,1,3,NULL),(15,2033020,'1990-03-20 00:00:00',2,5,12,2007,'F','N','CENTRO','MELEIRO','SC','124241241117111412423615575121230238187',NULL,'559',20.90,1,3,NULL),(15,2033038,'1990-09-09 00:00:00',4,5,11,2007,'F','N','PIO CORREA','CRICIUMA','SC','124242241217152431466923472112610163092',8821,'211',53.98,1,3,NULL),(15,2033054,'1984-01-14 00:00:00',2,1,11,2001,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124241241127144411356321332112610127117',11590,'307',49.57,1,2,1),(15,2033062,'1989-06-01 00:00:00',4,9,12,2006,'M','N','UNIVERSITARIO','LAGES','SC','124244241216472432468833575122610127017',79,'497',82.14,1,3,NULL),(15,2033070,'1990-02-21 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215122431469833576112610127117',19722,'1022',37.38,1,3,NULL),(15,2033089,'1990-04-08 00:00:00',2,5,11,2007,'F','N','COMERCIARIO','CRICIUMA','SC','124242241215151431475912272122610164142',13679,'211',46.64,1,3,NULL),(15,2033097,'1990-07-21 00:00:00',2,1,12,2007,'M','N','SERRARIA','SAO JOSE','SC','124244241211111711333619292124610114147',20182,'1036',36.46,1,3,NULL),(15,2033100,'1988-11-18 00:00:00',2,1,11,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241216272231457612345124610121077',3362,'1118',65.10,1,3,NULL),(15,2033119,'1981-09-17 00:00:00',2,1,12,2001,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124203207316152711547823196225243044012',19918,'9998',36.98,1,3,NULL),(15,2033127,'1990-08-04 00:00:00',4,8,12,2007,'F','N','CAMPO LENÇOL','RIO NEGRINHO','SC','124242161211111751536632591122610163127',850,'9998',74.38,1,3,NULL),(15,2033135,'1990-06-15 00:00:00',4,1,12,2007,'F','N','CENTRO','MARINGA','PR','116162161214211411369734575322610122147',5295,'9998',60.53,3,3,NULL),(15,2033143,'1990-07-05 00:00:00',4,1,12,2007,'F','N','PENHA','SAO PAULO','SP','125252251216121711477711492122613263072',NULL,'9998',0.00,1,3,NULL),(15,2033151,'1976-12-23 00:00:00',4,1,12,1995,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','224251256236151721258544345332342923187',12253,'9998',48.65,1,3,NULL),(15,2033160,'1990-10-22 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124244241215471431467632372124610134077',10160,'1022',51.70,1,3,NULL),(15,2033186,'1990-05-21 00:00:00',2,10,11,2006,'F','N','HUMAITÁ','TUBARAO','SC','124241241435373431356921371122610146147',7658,'807',55.93,1,3,NULL),(15,2033194,'1985-12-16 00:00:00',4,1,12,2003,'F','N','ACAMARI','VICOSA','MG','113132131115374411558833571124143225027',1276,'9998',72.14,4,3,NULL),(15,2033208,'1989-09-06 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215273411468914392112230234011',8176,'270',55.05,1,3,NULL),(15,2033216,'1985-08-12 00:00:00',4,1,12,2003,'F','N','JARDIM MIRIAM','SAO PAULO','SP','125251251146571731323321345234610168077',20709,'9998',35.49,2,1,1),(15,2033224,'1988-09-19 00:00:00',2,1,3,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241315472431567714575114610127041',8811,'267',53.99,1,3,NULL),(15,2033240,'1985-03-02 00:00:00',4,1,11,2003,'M','N','BELA VISTA','SAO JOSE','SC','124243241117472421634629243311610167187',16960,'726',41.92,1,3,NULL),(15,2033259,'1989-07-04 00:00:00',4,4,12,2006,'F','N','ZONA RURAL','GALVAO','SC','124241241116471411646416572222610127147',NULL,'321',0.00,1,2,1),(15,2033291,'1987-12-03 00:00:00',2,1,12,2006,'F','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124243241127471431338611245124610164041',12275,'288',48.61,4,3,NULL),(15,2033305,'1988-08-06 00:00:00',2,3,12,2005,'M','N','CENTRO','CAMBORIU','SC','124241241315111111563912235122130864071',18212,'1045',39.96,1,3,NULL),(15,2033313,'1986-06-03 00:00:00',4,9,12,2003,'M','N','CORAL','LAGES','SC','124244241216575431568514595122610137057',11920,'515',49.08,1,3,NULL),(15,2033348,'1990-01-31 00:00:00',4,1,11,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116242161215121431368824274124610134012',NULL,'9998',0.00,1,3,NULL),(15,2033372,'1989-05-15 00:00:00',2,7,12,2006,'F','N','BERGER','CACADOR','SC','124241248111472411436339195115610164172',19319,'123',38.12,4,1,1),(15,2033399,'1987-08-24 00:00:00',4,1,6,2007,'M','N','JARDIM LIBERDADE','MARINGA','PR','116251168226371431337831285124610161047',14906,'9999',44.90,1,3,NULL),(15,2033402,'1987-06-17 00:00:00',4,1,12,2004,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124252241217574441127923575124232564152',5616,'943',59.83,1,3,NULL),(15,2033429,'1988-12-09 00:00:00',4,1,12,2005,'F','N','BOSQUE','PRESIDENTE PRUDENTE','SP','125252251216471431468831575122610122052',4746,'9998',61.65,1,3,NULL),(15,2033437,'1989-05-28 00:00:00',4,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116161241215372431568714575122610162182',12183,'270',48.75,1,3,NULL),(15,2033445,'1985-10-07 00:00:00',2,1,11,2002,'F','N','SERRINHA','FLORIANOPOLIS','SC','124244241215143431128911495124130864112',16265,'32',42.96,1,3,NULL),(15,2033453,'1990-02-03 00:00:00',4,1,12,2007,'F','N','VISTA VERDE','SAO JOSE DOS CAMPOS','SP','125252251217111431536923572122610132047',5847,'9998',59.37,1,3,NULL),(15,2033461,'1989-07-29 00:00:00',2,1,12,2006,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241216372431578913575121610131112',1746,'262',70.22,1,3,NULL),(15,2033470,'1988-01-14 00:00:00',4,1,12,2005,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241117133431437814372124233236145',3765,'739',64.05,4,3,NULL),(15,2033488,'1990-08-16 00:00:00',2,3,12,2007,'F','N','CENTRO','CURITIBA','PR','116242161216471431176432595124610114044',NULL,'9998',0.00,1,3,NULL),(15,2033500,'1990-12-07 00:00:00',2,3,12,2007,'F','N','ANDORINHA','ITAPEMA','SC','124241241616271731233623575124610124172',18624,'407',39.28,4,3,NULL),(15,2033518,'1986-12-10 00:00:00',2,1,12,2004,'F','N','ALTO DE MAFRA','MAFRA','SC','124241161215471431458833422132143265127',12604,'9998',48.13,1,3,NULL),(15,2033526,'1989-07-07 00:00:00',4,3,12,2006,'F','N','SANTA ROSA','CAMPO LARGO','PR','116161161235472411446431292121610127147',1838,'9998',69.82,1,3,NULL),(15,2033534,'1990-02-12 00:00:00',4,1,12,2006,'F','N','ÁGUA VERDE','CURITIBA','PR','116164161415472411458931591122610117057',NULL,'9998',0.00,1,3,NULL),(15,2033542,'1980-03-12 00:00:00',2,1,12,1999,'M','N','PASSA VINTE','PALHOCA','SC','124241248126132421523614242114610167052',19754,'739',37.32,1,2,1),(15,2033550,'1988-03-03 00:00:00',4,1,12,2004,'M','N','PRAEIRO','CUIABA','MT','111113111116154411438831592214610112097',251,'9998',79.30,1,3,NULL),(15,2033585,'1984-02-27 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124162161217152431468812112124121432142',1345,'9998',71.90,1,3,NULL),(15,2033607,'1989-11-30 00:00:00',4,8,11,2006,'F','N','JARDIM BELA VISTA','CAMPO GRANDE','MS','112122121216121431456912575122610167052',7697,'9998',55.87,1,3,NULL),(15,2033615,'1990-06-18 00:00:00',4,1,12,2007,'M','N','SANTANA','SAO JOSE DOS CAMPOS','SP','125251251215111411416728572324610137017',10916,'9998',50.59,1,3,NULL),(15,2033623,'1987-10-15 00:00:00',2,1,12,2005,'F','N','JURERÊ','FLORIANOPOLIS','SC','124241241116273431323324245124610167077',18909,'307',38.82,1,2,1),(15,2033631,'1986-05-08 00:00:00',2,1,12,2002,'F','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124093091216372431227944245124131026017',17707,'9998',40.79,1,3,NULL),(15,2033640,'1989-10-15 01:00:00',4,9,11,2006,'M','N','GETHAL','LAGES','SC','124241241114471431443413571124610162177',7392,'505',56.43,1,2,1),(15,2033658,'1988-01-15 00:00:00',2,1,12,2005,'M','N','VILA MUQUI','TERESOPOLIS','RJ','121212211216573451457611575125140766032',4853,'9998',61.41,1,3,NULL),(15,2033666,'1988-11-03 00:00:00',4,1,12,2006,'M','N','PREVIDÊNCIA','SAO PAULO','SP','125252251216131411568824575122610117147',13147,'9998',47.40,1,3,NULL),(15,2033674,'1987-12-05 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241417133131436611247224232523097',13740,'269',46.55,4,3,NULL),(15,2033682,'1989-12-04 00:00:00',4,1,12,2006,'F','N','ORTIZES','VALINHOS','SP','125251251217271451557739392122610132143',18948,'9998',38.75,1,3,NULL),(15,2033704,'1987-08-26 00:00:00',2,1,12,2004,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124253251117271411223512372314143221122',NULL,'9998',0.00,1,3,NULL),(15,2033712,'1983-03-01 00:00:00',4,1,12,2000,'M','N','BARREIROS','SAO JOSE','SC','124241241144131411383379112124331047052',16161,'62',43.13,1,3,NULL),(15,2033720,'1990-04-12 00:00:00',4,4,12,2007,'M','N','SÃO CRISTOVÃO','FAXINAL DOS GUEDES','SC','124241241135131431526414272122610121142',7570,'255',56.08,1,3,NULL),(15,2033739,'1987-07-14 00:00:00',4,1,10,2005,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124203241116574731458831595124610122175',417,'307',77.49,4,3,NULL),(15,2033755,'1990-07-20 00:00:00',4,1,12,2007,'M','N','GRANJA VIANA','COTIA','SP','125252251217371431578732575122610137047',4579,'9998',62.05,1,3,NULL),(15,2033771,'1989-03-04 00:00:00',4,1,12,2006,'M','N','CENTRO','CUNHA','SP','125252251216472411236412575122610166037',NULL,'9998',0.00,1,3,NULL),(15,2033780,'1990-10-03 00:00:00',4,4,11,2007,'M','N','SANTA INÊS','TRES PASSOS','RS','120242201217371431479719595122610168062',6563,'9998',57.95,1,3,NULL),(15,2033798,'1986-10-10 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124243241126374411526724244334610144057',15005,'274',44.78,2,3,NULL),(15,2033801,'1989-02-02 00:00:00',4,1,12,2006,'M','N','JARDIM DO LAGO','LIMEIRA','SP','125251251115311432465531491324610137042',NULL,'9998',20.28,1,3,NULL),(15,2033828,'1989-08-15 00:00:00',4,1,12,2005,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242241112371431538621145124610125173',11162,'733',50.21,1,3,NULL),(15,2033844,'1990-09-17 00:00:00',4,2,12,2007,'F','N','CENTRO','POMERODE','SC','124242241215212731469814572112610134077',3027,'624',66.05,1,3,NULL),(15,2033852,'1988-10-25 00:00:00',2,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242241216373431366734485114610132142',15118,'737',44.65,1,3,NULL),(15,2033860,'1990-02-21 00:00:00',2,10,10,2007,'F','N','CENTRO','TUBARAO','SC','124242244215111231457824595125610133147',NULL,'807',0.00,1,3,NULL),(15,2033879,'1990-08-14 00:00:00',4,8,12,2007,'M','N','COLONIA HOLANDESA','ARAPOTI','PR','116162161216161411556716572122610142057',8731,'9998',54.13,1,3,NULL),(15,2033887,'1984-09-14 00:00:00',4,8,12,2002,'F','N','BARRA','JARAGUA DO SUL','SC','124241241126131431244424346124233253141',21750,'438',33.13,1,2,1),(15,2033895,'1990-01-12 00:00:00',4,6,11,2006,'F','N','CENTRO','NAVEGANTES','SC','124244241215471451436811375125610134097',17868,'1026',40.56,4,3,NULL),(15,2033909,'1990-10-11 00:00:00',4,10,10,2007,'M','N','BOM PASTOR','TUBARAO','SC','124241247324131431436652145124610164062',20654,'803',35.59,1,3,NULL),(15,2033925,'1990-04-11 00:00:00',4,1,12,2006,'M','N','ALPHAVILLE','SANTANA DE PARNAIBA','SP','125202201217371431479934572124610134043',6910,'9998',57.33,1,3,NULL),(15,2033941,'1990-01-04 00:00:00',2,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124241248115171331523332345125610117142',NULL,'726',15.52,4,3,NULL),(15,2033950,'1989-08-23 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124022021217471411269613474114610122042',32,'9998',83.78,4,3,NULL),(15,2033968,'1989-06-05 00:00:00',2,2,12,2006,'M','N','ZONA I','CIANORTE','PR','116163161415372431326934575112610124097',3478,'9998',64.81,1,3,NULL),(15,2033984,'1985-11-03 00:00:00',2,1,12,2002,'F','N','KOBRASOL','SAO JOSE','SC','124241241132134421125644245113610114147',13749,'356',46.54,1,2,1),(15,2033992,'1988-02-14 00:00:00',2,1,12,2004,'M','N','BARREIROS','SAO JOSE','SC','124242241217373411434424343234610124047',7359,'1036',56.50,1,3,NULL),(15,2034000,'1990-12-01 00:00:00',4,4,12,2007,'M','N','CENTRO','NOVA ITABERABA','SC','124241241126132431455712195122610162052',13086,'573',47.47,1,2,1),(15,2034018,'1990-07-12 00:00:00',4,9,11,2007,'M','N','CENTRO','LAGES','SC','124242241217371731466832572122610162187',9991,'499',51.95,1,3,NULL),(15,2034026,'1988-11-23 00:00:00',4,1,12,2005,'F','N','KOBRASOL','SAO JOSE','SC','124241241217133431338833382124610127057',19687,'1036',37.44,4,3,NULL),(15,2034042,'1989-08-29 00:00:00',4,1,11,2006,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215372431478832591122230244072',1134,'270',72.88,1,3,NULL),(15,2034050,'1990-03-03 00:00:00',4,8,12,2006,'F','N','COSTA E SILVA','JOINVILLE','SC','124241246215472431426618574124610137147',12776,'1105',47.88,1,3,NULL),(15,2034069,'1989-03-23 00:00:00',4,8,11,2006,'M','N','FLORESTA','JOINVILLE','SC','124241241117272431556614575114610167177',7266,'479',56.66,4,2,1),(15,2034077,'1988-07-28 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215372431469612472112610123197',12467,'266',48.34,1,3,NULL),(15,2034085,'1989-11-07 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124244241215111431446614595122610162142',NULL,'1022',0.00,1,3,NULL),(15,2034093,'1988-07-25 00:00:00',2,6,12,2005,'F','N','CENTRO','ITAPEMA','SC','124241241115472431337829394324610135182',5705,'406',59.66,1,2,1),(15,2034107,'1990-04-08 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241235111431524323345124610167141',4214,'1098',62.87,4,3,NULL),(15,2034123,'1986-02-26 00:00:00',2,1,11,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241115371431438653385114610127042',NULL,'298',33.15,2,1,1),(15,2034131,'1986-12-15 00:00:00',4,2,12,2004,'M','N','CENTRO','TIMBO','SC','124243241217372431238723575114131428057',333,'956',78.29,1,3,NULL),(15,2034140,'1990-07-21 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244247211372411349914571124610117072',15646,'270',43.88,1,3,NULL),(15,2034158,'1990-04-11 00:00:00',2,7,12,2006,'F','N','CENTRO','FRAIBURGO','SC','124241241211131711434419572225131568172',11240,'317',50.10,1,3,NULL),(15,2034166,'1990-11-04 00:00:00',4,4,12,2007,'M','N','CENTRO','PINHALZINHO','SC','124243241216371431466612275122610166172',12072,'1070',48.89,1,3,NULL),(15,2034182,'1990-06-25 00:00:00',4,6,11,2007,'M','N','FAZENDINHA','ITAJAI','SC','124242241215371431338611475114610164082',20308,'389',36.23,1,3,NULL),(15,2034190,'1990-04-12 00:00:00',4,8,12,2007,'M','N','GLORIA','JOINVILLE','SC','124242241215371431429931575122610167087',12706,'491',47.97,1,3,NULL),(15,2034204,'1988-04-11 00:00:00',4,1,12,2004,'M','N','CENTRO','ITAARA','RS','120202201215111431469813435124241417052',NULL,'9998',0.00,1,3,NULL),(15,2034212,'1989-02-19 00:00:00',4,1,12,2006,'M','N','CENTRO','RIBEIRAO PRETO','SP','125252251217471441468811115122610164082',2720,'9998',66.95,1,3,NULL),(15,2034239,'1991-10-27 00:00:00',4,1,12,2008,'F','S','PANTANAL','FLORIANOPOLIS','SC','124242241215111431688833575122610137075',NULL,'270',44.73,1,3,NULL),(15,2034247,'1991-08-29 00:00:00',4,10,12,2007,'F','N','VILA MOEMA','TUBARAO','SC','124242241216111431539814572122510163072',11307,'807',49.99,1,3,NULL),(15,2034255,'1990-06-16 00:00:00',4,4,12,2007,'F','N','CENTRO','ABELARDO LUZ','SC','124241241115131731426619385112610162187',NULL,'4',20.11,1,3,NULL),(15,2034263,'1990-02-13 00:00:00',4,2,12,2007,'F','N','DALBÉRGIA','IBIRAMA','SC','124241241115131431343714342124610131177',NULL,'348',0.00,1,2,1),(15,2034271,'1984-12-18 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241116135731347529445114120722147',3500,'306',64.76,1,3,NULL),(15,2034298,'1985-11-06 00:00:00',2,1,12,2003,'F','N','BOTAFOGO','RIO DE JANEIRO','RJ','121212211216373711248824475114140417117',17492,'9998',41.10,1,3,NULL),(15,2034328,'1989-05-20 00:00:00',2,10,12,2006,'F','N','SANTO ANTONIO','TUBARAO','SC','124244241117151431666931142222131324183',NULL,'1034',0.00,1,3,NULL),(15,2034336,'1989-11-16 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124244241417372431469913575122610124012',14590,'512',45.28,1,3,NULL),(15,2034344,'1990-09-17 00:00:00',2,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215111431446614575114610117142',16576,'1036',42.48,1,3,NULL),(15,2034352,'1987-09-10 00:00:00',2,2,12,2004,'M','N','ASILO','BLUMENAU','SC','124241241215574431569514575124610162057',376,'87',77.84,1,3,NULL),(15,2034360,'1990-04-18 00:00:00',4,1,10,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215471431459823572122610122192',227,'269',79.61,1,3,NULL),(15,2034379,'1988-02-04 00:00:00',2,5,12,2005,'M','N','BALNEÁRIO RINCÃO','ICARA','SC','124243241136132441326621385124133226041',10511,'353',51.17,1,3,NULL),(15,2034387,'1981-05-22 00:00:00',2,1,10,2002,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241246137273411464623394224130525083',10297,'306',51.49,1,2,1),(15,2034395,'1973-11-28 00:00:00',4,1,12,1990,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','224241241124475451263544445124130234197',15331,'828',44.36,1,3,NULL),(15,2034417,'1989-05-26 00:00:00',4,1,11,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','125252251217371431269927575122610123147',NULL,'9998',0.00,1,3,NULL),(15,2034425,'1990-11-01 00:00:00',4,1,12,2007,'F','N','DOM JOAQUIM','BRUSQUE','SC','124242241215111431469932575122610132012',9462,'109',52.84,1,3,NULL),(15,2034433,'1981-12-08 00:00:00',2,1,12,2001,'F','N','TAPERA','FLORIANOPOLIS','SC','224241245126335431236353335124610126057',19299,'307',38.16,4,3,NULL),(15,2034441,'1989-07-19 00:00:00',4,8,12,2006,'M','N','CENTRO','ASSIS','SP','125252251216472231569913575112610122092',6427,'9998',58.21,1,3,NULL),(15,2034450,'1990-03-26 00:00:00',2,10,11,2007,'F','N','VILA SANTO ANTONIO','IMBITUBA','SC','124241241116271431437514372122610147117',21829,'359',32.86,1,2,1),(15,2034468,'1989-09-28 00:00:00',4,1,12,2007,'M','N','ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP','125252251215111431479813575121610127112',NULL,'9998',NULL,1,3,NULL),(15,2034476,'1990-03-04 00:00:00',4,1,11,2007,'M','N','IPIRANGA','SAO JOSE','SC','124241241147131431623314282124610137042',17220,'734',41.54,1,2,1),(15,2034484,'1982-09-04 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241216474521338623234211321663116',3324,'797',65.21,1,3,NULL),(15,2034492,'1991-06-07 00:00:00',4,7,11,2008,'F','S','CENTRO','HERVAL D OESTE','SC','124242241217151431369933575122610136197',NULL,'446',61.34,1,3,NULL),(15,2034506,'1987-04-16 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124243241315373411435511341121610134142',12712,'9997',47.96,4,3,NULL),(15,2034514,'1989-10-31 00:00:00',4,1,11,2007,'M','N','GOIÂNIA','GOIANIA','GO','109092091216111431458911572122610127042',12900,'9998',47.72,4,3,NULL),(15,2034522,'1988-06-30 00:00:00',4,8,12,2006,'F','N','FLORESTA','JOINVILLE','SC','124241246216472431576614275122610122192',9174,'494',53.31,1,3,NULL),(15,2034530,'1989-03-07 00:00:00',2,3,11,2005,'F','N','MEIA PRAIA','ITAPEMA','SC','124244248317272751528619572114610167012',19665,'9997',37.49,1,3,NULL),(15,2034557,'1990-03-15 00:00:00',4,1,12,2007,'M','N','JARDIM FLORENÇA','LIMEIRA','SP','125252251217111731468812224122610168144',1885,'9998',69.66,1,3,NULL),(15,2034573,'1990-03-30 00:00:00',2,4,11,2006,'M','N','CENTRO','QUILOMBO','SC','124242201217132431446834345124243222092',9776,'9998',52.31,1,3,NULL),(15,2034590,'1988-12-20 00:00:00',4,8,12,2006,'F','N','AMÉRICA','JOINVILLE','SC','124242241215472431458731495122613261092',11882,'457',49.13,1,3,NULL),(15,2034638,'1984-11-04 00:00:00',4,1,12,2002,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241237143451438839495134220767046',1927,'269',69.50,1,3,NULL),(15,2034646,'1990-09-15 00:00:00',4,2,12,2007,'M','N','FIGUEIRA','GASPAR','SC','124242241215371431357832274114610167042',5115,'70',60.89,4,3,NULL),(15,2034662,'1990-09-23 00:00:00',4,8,12,2007,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161211111411489913472112610132092',6610,'9998',57.88,1,3,NULL),(15,2034670,'1989-09-12 00:00:00',4,2,12,2006,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241215473431557611574124610123187',712,'855',75.29,1,3,NULL),(15,2034689,'1990-01-18 00:00:00',4,8,11,2007,'M','N','VILA LENZI','JARAGUA DO SUL','SC','124243241216371731437732575122610167032',7459,'1061',56.31,1,3,NULL),(15,2034700,'1982-08-28 00:00:00',2,1,12,1999,'F','N','ROÇADO','SAO JOSE','SC','124241241122475411443319292124610127097',16036,'729',43.32,1,2,1),(15,2034719,'1988-01-28 00:00:00',4,1,12,2005,'F','N','SÃO GERALDO','PORTO ALEGRE','RS','120203201117571431257721394114610133197',2223,'9998',68.51,1,3,NULL),(15,2034727,'1987-08-28 00:00:00',4,8,12,2005,'F','N','BATEL','CURITIBA','PR','116242241415573431428824574122610162142',NULL,'457',0.00,1,3,NULL),(15,2034735,'1988-12-18 00:00:00',2,9,12,2005,'F','N','CENTRO','CURITIBA','PR','116244241216513431256933575125610128097',3146,'499',65.70,1,3,NULL),(15,2034743,'1989-02-20 00:00:00',4,1,12,2006,'M','N','CAMPINAS','SAO JOSE','SC','124242241217472411557934583114610166042',8555,'737',54.43,1,3,NULL),(15,2034751,'1989-07-09 00:00:00',2,8,11,2006,'M','N','BEM RETIRO','JOINVILLE','SC','124241241216212411536612392121610127041',13781,'974',46.49,1,3,NULL),(15,2034778,'1989-11-16 00:00:00',4,2,11,2007,'F','N','GARCIA','BLUMENAU','SC','116242161215111411568812275122610142073',15821,'9998',43.64,1,3,NULL),(15,2034786,'1982-10-01 00:00:00',4,1,12,2000,'M','N','JARDIM ELDORADO','PALHOCA','SC','124241131142133431423311282124610162063',13594,'9998',46.75,1,3,NULL),(15,2034794,'1989-11-22 00:00:00',2,1,12,2007,'F','N','JARDIM VISTA ALEGRE','MAFRA','SC','124241241112132431325811281325610168017',20518,'542',35.86,4,2,1),(15,2034824,'1982-02-23 00:00:00',4,8,11,1999,'M','N','CENTRO','GUARATUBA','PR','116162161216171411246541313122610117182',17906,'9998',40.48,1,3,NULL),(15,2034832,'1987-10-23 00:00:00',4,8,12,2005,'F','N','GUANABARA','JOINVILLE','SC','124244241315472731545833375124610134072',10061,'463',51.83,2,1,2),(15,2034840,'1990-07-27 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215111731356833372124610168142',6893,'1022',57.36,1,3,NULL),(15,2034859,'1991-02-11 00:00:00',4,2,12,2008,'F','S','ITOUPAVA NORTE','BLUMENAU','SC','124241241215111431557611572124610137097',NULL,'855',46.85,1,3,NULL),(15,2034867,'1989-09-07 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248215372431389613571124610144142',10001,'270',51.93,1,3,NULL),(15,2034875,'1989-03-29 00:00:00',4,8,12,2006,'M','N','VILA SÃO CARLOS','APUCARANA','PR','116162168216471431436312575124610127057',11323,'9998',49.96,1,3,NULL),(15,2034883,'1989-10-03 00:00:00',2,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241115472431467319275124610127077',10632,'307',50.97,1,2,1),(15,2034921,'1990-04-26 00:00:00',2,3,11,2007,'M','N','CENTRO','TERRA ROXA','PR','116162161215121431448811572122610167122',NULL,'9998',0.00,1,3,NULL),(15,2034930,'1990-11-30 00:00:00',4,8,11,2007,'M','N','BATEL','CURITIBA','PR','116162161215421431458831575124610166032',NULL,'9998',0.00,1,3,NULL),(15,2034948,'1989-02-07 00:00:00',4,1,12,2006,'M','N','VILA ADYANA','SAO JOSE DOS CAMPOS','SP','125282251217371131479813471112610164182',11606,'9998',49.55,3,3,NULL),(15,2034964,'1987-07-13 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241115153721566914345122231067157',7301,'267',56.60,1,2,1),(15,2034999,'1988-04-23 00:00:00',3,1,12,2005,'M','N','VILA IPIRANGA','PORTO ALEGRE','RS','120284201216572431385921572114610164016',23,'9998',84.33,4,3,NULL),(15,2035006,'1991-01-24 00:00:00',4,9,12,2007,'M','N','RONDINHA II','SANTA CECILIA','SC','124241241115111731626319592224610168057',12543,'686',48.23,1,2,1),(15,2035014,'1989-11-22 00:00:00',4,1,12,2007,'F','N','OCTOGONAL','CRUZEIRO','DF','107072071217121431379933574122610162142',7869,'9998',55.58,4,3,NULL),(15,2035022,'1987-09-15 00:00:00',2,1,12,2005,'F','N','COLONINHA','FLORIANOPOLIS','SC','124241241117473731546513596124610164147',2871,'257',66.54,1,2,1),(15,2035049,'1988-01-30 00:00:00',4,2,12,2004,'M','N','IMIGRANTES','TIMBO','SC','124241251211572411536823571341610166192',55,'9998',82.79,3,3,NULL),(15,2035057,'1985-03-06 00:00:00',4,1,12,2002,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124202241116375431436833395124231227187',2937,'307',66.33,1,3,NULL),(15,2035065,'1989-06-23 00:00:00',4,2,12,2006,'M','N','POMERANOS','TIMBO','SC','124212256225271411638811175131610162092',NULL,'9998',0.00,1,3,NULL),(15,2035073,'1990-03-08 00:00:00',4,1,12,2007,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124243241417111431456632572122610124092',2899,'1022',66.45,1,3,NULL),(15,2035081,'1988-07-20 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124093248311372431238952221234610142147',NULL,'1036',24.49,1,3,NULL),(15,2035090,'1989-03-06 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217112431459934495122233227117',12195,'270',48.74,1,3,NULL),(15,2035103,'1990-01-02 00:00:00',4,1,11,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124112251217371711136612372344610122191',6436,'9998',58.19,1,3,NULL),(15,2035120,'1988-06-16 00:00:00',4,3,12,2006,'M','N','SOLAR DOS LAGOS','SAO LOURENCO','MG','113132131216471431668713572122610167047',8762,'9998',54.07,1,3,NULL),(15,2035138,'1988-03-03 00:00:00',2,6,12,2005,'F','N','ROCHDALE','OSASCO','SP','125252251217571431428811511224610162097',13653,'9998',46.68,1,3,NULL),(15,2035146,'1983-12-30 00:00:00',4,3,12,2000,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241317151741466822445122333244172',4096,'52',63.21,1,3,NULL),(15,2035154,'1988-09-05 00:00:00',2,1,12,2005,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124242241216373431536814372124610127043',7168,'1022',56.85,4,3,NULL),(15,2035162,'1988-12-19 00:00:00',2,1,12,2006,'M','N','JURERE','FLORIANOPOLIS','SC','124252251215471431458811595112610117111',10246,'9998',51.57,1,3,NULL),(15,2035170,'1989-03-04 00:00:00',4,1,11,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215472431337627272124610165097',4572,'970',62.08,1,3,NULL),(15,2035197,'1990-03-25 00:00:00',4,1,11,2007,'M','N','PARQUE DA REPRESA','JUNDIAI','SP','125252251217111732378814442122610167117',NULL,'9998',0.00,1,3,NULL),(15,2035200,'1989-04-01 00:00:00',2,8,12,2006,'M','N','ATIRADORES','JOINVILLE','SC','124243246217372431447631375124610117052',8546,'494',54.45,1,3,NULL),(15,2035219,'1989-10-29 00:00:00',2,2,12,2006,'M','N','ASILO','BLUMENAU','SC','124241241115271431523512595124610137042',18113,'84',40.13,1,2,1),(15,2035227,'1989-04-28 00:00:00',2,4,12,2006,'M','N','CENTRO','PALMA SOLA','SC','124241241114131411643424241124233225051',19667,'599',37.49,1,2,1),(15,2035235,'1989-03-29 00:00:00',4,1,12,2006,'M','N','JD NOVA MANCHESTAR','SOROCABA','SP','125252251247132431433618572122610162142',6086,'9998',58.92,2,3,NULL),(15,2035251,'1989-12-08 00:00:00',2,1,12,2006,'M','N','VILA MARIANA','SAO PAULO','SP','125252251216471711348824375124610147091',13856,'9998',46.38,1,3,NULL),(15,2035260,'1990-05-19 00:00:00',2,10,11,2007,'M','N','MIRIM','IMBITUBA','SC','124241241415112431324634272114610117142',5939,'807',59.19,1,3,NULL),(15,2035278,'1982-12-12 00:00:00',4,1,12,2000,'M','N','CENTRO','JABOTICABAL','SP','125252251217471441548814475121243261093',11013,'9998',50.44,1,3,NULL),(15,2035286,'1988-12-17 00:00:00',4,1,12,2006,'M','N','BELA VISTA','SAO JOSE','SC','124242241217372231456513445114610124057',13797,'738',46.47,1,3,NULL),(15,2035294,'1990-10-11 00:00:00',4,4,12,2007,'M','N','RECANTO TROPICAL','CASCAVEL','PR','116162161215121331558814122125610164112',1230,'9998',72.33,1,3,NULL),(15,2035308,'1989-01-10 00:00:00',2,1,12,2006,'F','N','FATIMA','FLORIANOPOLIS','SC','124244241214372411445512572122610122072',15296,'258',44.40,1,3,NULL),(15,2035316,'1990-07-25 00:00:00',4,1,12,2007,'M','N','JARDIM IMPERIAL','MARINGA','PR','116162161217371431236864575122610167122',17475,'9998',41.12,3,3,NULL),(15,2035324,'1991-03-27 00:00:00',2,1,12,2007,'M','N','CENTRO','ITAIPULANDIA','PR','116161161217121432467732595123610137092',19792,'9998',37.25,4,3,NULL),(15,2035332,'1985-06-28 00:00:00',2,1,12,2003,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241115474431463623585114610163077',12442,'257',48.37,1,2,1),(15,2035340,'1990-01-19 00:00:00',4,4,12,2008,'M','S','CENTRO','CHAPECO','SC','124242241216151432476832276122610116062',NULL,'168',63.62,1,3,NULL),(15,2035359,'1987-03-14 00:00:00',2,1,12,2004,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241215374431369923575124230237145',317,'109',78.51,1,3,NULL),(15,2035367,'1982-11-09 00:00:00',2,1,12,1999,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124243241347134131466613235334322268147',9268,'774',53.16,1,3,NULL),(15,2035375,'1981-06-01 00:00:00',4,1,12,1998,'M','N','CENTRO','REDENTORA','RS','120201203126371431345513277224141464177',3640,'9998',64.38,1,2,1),(15,2035391,'1985-07-03 00:00:00',4,1,12,2002,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215375431417839274124231266112',2688,'270',67.06,4,3,NULL),(15,2035405,'1988-06-10 00:00:00',2,1,10,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241116131341434111145124610124013',21646,'769',33.39,1,3,NULL),(15,2035413,'1990-12-03 00:00:00',4,6,12,2007,'M','N','RIO DO PEIXE','LUIZ ALVES','SC','124241241125141221655332242222610127042',12205,'536',48.71,1,3,NULL),(15,2035421,'1989-06-29 00:00:00',4,1,6,2007,'F','N','ASA NORTE','BRASILIA','DF','107072077237111431478823475122240427142',NULL,'9998',0.00,1,3,NULL),(15,2035456,'1989-12-21 00:00:00',2,1,12,2006,'F','N','IPIRANGA','SAO JOSE','SC','124244241215472431328821576124610142033',5231,'266',60.65,1,3,NULL),(15,2035472,'1989-09-02 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124204244215111431368612425125610164021',NULL,'226',25.04,1,3,NULL),(15,2035480,'1985-08-30 00:00:00',2,6,12,2002,'F','N','BELA VISTA','OSASCO','SP','125241241116131451226512572344610162187',21904,'834',32.60,1,2,1),(15,2035499,'1990-04-02 00:00:00',4,8,12,2007,'M','N','CENTRO','CARAMBEI','PR','116162161217111531468814572122610121193',936,'9998',73.87,1,3,NULL),(15,2035502,'1989-01-18 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241111173751139623241325610167047',15288,'298',44.42,1,2,1),(15,2035510,'1980-10-24 00:00:00',4,1,11,2002,'M','N','CENTRO','PALHOCA','SC','124201206142151421135444345133230244142',15711,'9998',43.80,1,2,1),(15,2035529,'1989-02-18 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241215112411626613375124610138197',15843,'269',43.61,1,3,NULL),(15,2035537,'1989-03-03 00:00:00',4,8,12,2006,'F','N','CENTRO','CASCAVEL','PR','116162161215471431657717572125610167147',974,'9998',73.67,3,3,NULL),(15,2035545,'1990-05-16 00:00:00',4,2,12,2007,'M','N','CENTRO','TIMBO','SC','124242241215121431338313575112610124077',10767,'855',50.79,1,3,NULL),(15,2035553,'1988-04-02 00:00:00',2,8,12,2006,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241235472711469833572122610166087',NULL,'494',0.00,1,3,NULL),(15,2035561,'1990-07-28 00:00:00',4,1,12,2007,'F','N','RETIRO DAS FONTES','ATIBAIA','SP','125254251217111431248921575122610165187',6539,'9998',58.00,1,3,NULL),(15,2035570,'1989-12-05 00:00:00',4,5,12,2006,'M','N','CENTRO','ICARA','SC','124241243215371431264729345134610124062',6929,'995',57.29,1,3,NULL),(15,2035588,'1989-02-17 00:00:00',4,8,12,2006,'M','N','ATIRADORES','JOINVILLE','SC','124241241215472331268713574124610124182',1556,'491',70.98,1,3,NULL),(15,2035596,'1989-01-28 00:00:00',2,6,12,2007,'F','N','CENTRO','NAVEGANTES','SC','124241248115131721423364372321610133187',12476,'570',48.33,4,2,1),(15,2035600,'1985-07-22 00:00:00',4,1,12,2003,'F','N','GLORIA','CATANDUVA','SP','225252251235151431258923575112141062122',NULL,'9998',28.89,1,3,NULL),(15,2035618,'1987-10-01 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241115473431463623586114610143197',17135,'257',41.67,1,2,1),(15,2035626,'1990-07-26 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124242248215322431538822472115610127147',9775,'983',52.31,1,3,NULL),(15,2035650,'1990-01-16 00:00:00',2,4,12,2007,'F','N','GRANJA','PONTA PORA','MS','112123121216471741436434575122610164177',3215,'9998',65.49,1,3,NULL),(15,2035669,'1986-10-11 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241136132541423344345124610168185',19255,'644',38.25,1,3,NULL),(15,2035685,'1991-01-02 00:00:00',4,1,12,2007,'M','N','MENINO DEUS','PATO BRANCO','PR','116161161117151411248823575124610128177',13282,'9998',47.20,1,2,1),(15,2035693,'1990-11-05 00:00:00',4,5,12,2007,'F','N','CENTRO','ICARA','SC','124241241116151431434414275122610126011',17244,'1005',41.49,1,2,1),(15,2035707,'1988-09-19 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124072071217472431469814575124610164052',6394,'9998',58.26,1,3,NULL),(15,2035715,'1990-08-24 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124202241215111432568812245122610162142',5246,'422',60.62,1,3,NULL),(15,2035723,'1989-11-06 00:00:00',4,1,12,2006,'M','N','CENTRO','CHAPECO','SC','124244241417472411566834575122610134042',13118,'185',47.43,1,3,NULL),(15,2035740,'1983-02-02 00:00:00',2,1,11,2000,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124202201215574411226379475314130262057',8950,'9998',53.75,1,3,NULL),(15,2035766,'1990-08-10 00:00:00',2,9,12,2007,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124244241215271431536314572112610167017',11009,'499',50.45,1,3,NULL),(15,2035774,'1989-06-02 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215471431269932582122610136092',745,'1063',75.07,1,3,NULL),(15,2035782,'1990-06-11 00:00:00',2,3,12,2007,'F','N','JARDIM ELDORADO II','BAURU','SP','125253251316121441444531575124610167072',15762,'9998',43.73,1,3,NULL),(15,2035790,'1989-01-14 00:00:00',2,1,12,2006,'M','N','ZONA SETE','MARINGA','PR','116162161215371441449634574122610124042',7834,'9998',55.63,4,3,NULL),(15,2035812,'1973-11-21 00:00:00',2,1,12,1996,'M','N','CENTRO','IBIRUBA','RS','120201201327131451323419182224610165142',NULL,'9998',0.00,4,3,NULL),(15,2035820,'1988-09-01 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215574431448931575125610164082',1005,'262',73.51,1,3,NULL),(15,2035839,'1989-09-22 00:00:00',4,4,12,2007,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241215111231389913575112610127042',8513,'751',54.48,1,3,NULL),(15,2035847,'1989-09-08 00:00:00',4,1,12,2007,'M','N','ZONA UM','MARINGA','PR','116164161217371431546616572112610127062',16873,'9998',42.04,1,3,NULL),(15,2035855,'1987-11-09 00:00:00',2,5,12,2004,'M','N','CENTRO','SANTA ROSA DO SUL','SC','124241241125371731538413391321121726147',17208,'689',41.56,1,2,1),(15,2035863,'1990-06-29 00:00:00',2,1,12,2007,'M','N','BARIGUI','ARAUCARIA','PR','116162161217111231429713575224610117042',8736,'9998',54.12,1,3,NULL),(15,2035871,'1990-09-26 00:00:00',2,5,11,2007,'F','N','CIDADE ALTA','ARARANGUA','SC','124242241217121331468714574122610166152',7797,'32',55.69,1,3,NULL),(15,2035880,'1989-08-23 00:00:00',4,8,12,2006,'M','N','ZONA UM','UMUARAMA','PR','116162161216311431458719395124610128057',5472,'9998',60.11,3,3,NULL),(15,2035898,'1987-01-26 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431356423575112610162112',10533,'262',51.14,1,3,NULL),(15,2035936,'1989-02-10 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124243241115372431436633575114610167045',5882,'271',59.28,3,3,NULL),(15,2035944,'1981-05-17 00:00:00',2,1,12,1999,'F','N','CENTRO','SANTA MARIA','RS','120203201116134431426617592115141214182',6996,'9998',57.16,1,3,NULL),(15,2035952,'1976-02-28 00:00:00',4,1,12,1992,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','624241243146153431243444345132432365052',6265,'331',58.51,1,2,1),(15,2035960,'1989-05-02 00:00:00',2,1,12,2006,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124242241217373431558613575114610124197',2891,'272',66.47,1,3,NULL),(15,2035979,'1990-09-13 00:00:00',2,1,12,2007,'M','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','120202201216271431333411572122610126072',12099,'9998',48.86,4,3,NULL),(15,2035987,'1990-11-13 00:00:00',4,4,11,2007,'F','N','CENTRO','PALMAS','PR','116162161217161711234923271125610127172',1510,'9998',71.14,3,3,NULL),(15,2035995,'1988-12-16 00:00:00',4,1,12,2006,'M','N','VILA ASSUNÇÃO','BOTUCATU','SP','125252251215471431368812575112610137122',1878,'9998',69.68,1,3,NULL),(15,2036010,'1988-01-28 00:00:00',4,1,12,2005,'M','N','PLANO DIRETOR SUL','PALMAS','TO','127272278216311431248823335122610162142',NULL,'9998',0.00,1,3,NULL),(15,2036029,'1989-06-02 00:00:00',2,5,11,2007,'M','N','BAIRRO DA FIGUEIRA','URUSSANGA','SC','124243241215271431345314215112610124073',19741,'820',37.35,1,3,NULL),(15,2036037,'1990-10-08 00:00:00',2,8,12,2007,'F','N','GLÓRIA','JOINVILLE','SC','124242241217471431488814242122610127147',NULL,'1016',0.00,1,3,NULL),(15,2036061,'1988-11-19 00:00:00',2,5,12,2005,'M','N','BOM PRINCIPIO','GRAVATAI','RS','120203201216372431453312345134610127052',NULL,'9998',0.00,1,3,NULL),(15,2036088,'1984-09-05 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217154431556833482124120367092',12610,'272',48.13,1,3,NULL),(15,2036100,'1987-09-21 00:00:00',2,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241201132151421533369382344610128143',NULL,'9998',24.48,1,2,1),(15,2036126,'1988-07-12 00:00:00',2,4,12,2005,'F','N','CENTRO','PATO BRANCO','PR','116162161216573731246823575124610167142',11542,'9998',49.65,1,3,NULL),(15,2036142,'1982-07-25 00:00:00',2,1,12,1999,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124204208217472411436313445224610123047',12975,'9998',47.62,1,3,NULL),(15,2036150,'1988-11-28 00:00:00',2,1,12,2006,'M','N','AREIAS','SAO JOSE','SC','124201241117141431446613235122610124045',22123,'868',31.83,1,3,NULL),(15,2036169,'1988-10-17 00:00:00',4,5,12,2006,'F','N','COMERCIÁRIO','CRICIUMA','SC','124242241216272441326524275124231936142',6955,'210',57.24,1,3,NULL),(15,2036185,'1990-07-16 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241212111432358623572124610137047',17120,'724',41.69,1,3,NULL),(15,2036193,'1988-03-16 00:00:00',4,1,12,2005,'M','N','VILA MAIA','GUARUJA','SP','125253251115571431336821475121610164037',4160,'9998',63.03,4,3,NULL),(15,2036207,'1987-12-05 00:00:00',2,1,12,2004,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241127131731227329392324610134197',17252,'278',41.48,1,3,NULL),(15,2036215,'1987-03-22 00:00:00',2,1,12,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241316272741336933395124230265187',14685,'1036',45.17,1,3,NULL),(15,2036223,'1987-07-10 00:00:00',4,1,12,2004,'M','N','ANHANGABAÚ','JUNDIAI','SP','125252251216531111525414462111122737182',1144,'9998',72.84,1,3,NULL),(15,2036231,'1986-09-24 00:00:00',4,1,12,2003,'F','N','CENTRO','PALHOCA','SC','124242241215575431456632444124133264097',244,'1022',79.39,1,3,NULL),(15,2036240,'1988-04-14 00:00:00',2,1,12,2006,'F','N','DANIELA','FLORIANOPOLIS','SC','124131241315322411634813572122131025052',NULL,'1022',34.38,1,3,NULL),(15,2036258,'1990-01-09 00:00:00',4,1,12,2007,'M','N','CENTRO','ARARUNA','PR','117161161116271431338823575221610166172',NULL,'9998',0.00,1,2,1),(15,2036266,'1990-06-20 00:00:00',4,8,12,2007,'M','N','CRISTO REI','CURITIBA','PR','116162161215121431469813575122610167077',NULL,'9998',0.00,1,3,NULL),(15,2036274,'1990-07-04 00:00:00',4,8,12,2007,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241215121431436614571324610167147',1261,'486',72.20,1,3,NULL),(15,2036282,'1990-01-22 00:00:00',4,6,11,2007,'F','N','PRAIA BRAVA','ITAJAI','SC','124252241216111731329718375112610161117',11294,'9997',50.02,1,3,NULL),(15,2036304,'1988-09-10 00:00:00',2,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215211411348519575114133262167',15045,'226',44.74,1,3,NULL),(15,2036312,'1985-05-18 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124201241127472431335374385124610122192',16236,'298',43.00,1,3,NULL),(15,2036320,'1984-12-04 00:00:00',4,1,12,2002,'M','N','SÃO CRISTÓVÃO','VALINHOS','SP','125252251217111751439924345124341964047',NULL,'9998',0.00,1,3,NULL),(15,2036339,'1985-10-05 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216152431249947595122231067067',7294,'262',56.61,1,3,NULL),(15,2036347,'1990-07-17 00:00:00',4,7,12,2007,'F','N','CENTRO','HERVAL D OESTE','SC','124242241215111431346879575122610118077',18911,'446',38.82,1,3,NULL),(15,2036355,'1990-08-09 00:00:00',4,1,12,2007,'M','N','BIGORRILHO','CURITIBA','PR','116162161216111431588814575124610144182',NULL,'9998',44.56,1,3,NULL),(15,2036363,'1988-05-17 00:00:00',4,8,11,2005,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241127272431333317281324610162177',7422,'483',56.37,1,2,1),(15,2036371,'1987-09-10 00:00:00',4,1,12,2005,'M','N','PRAIA DA COSTA','VILA VELHA','ES','108082081217571431489814575112610167042',573,'9998',76.27,1,3,NULL),(15,2036380,'1989-04-03 00:00:00',2,1,12,2006,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241215132431447823581124230237055',21166,'272',34.51,1,3,NULL),(15,2036398,'1990-07-25 00:00:00',4,1,12,2007,'F','N','VILA MACHADINHO','PRESIDENTE PRUDENTE','SP','125252251217151231477832592122610163142',4442,'9998',62.40,1,3,NULL),(15,2036401,'1989-05-07 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241215142411468712415124610122082',7347,'1022',56.52,1,3,NULL),(15,2036410,'1990-08-21 00:00:00',4,8,11,2006,'M','N','IRIRIÚ','JOINVILLE','SC','124241246416371241468614345122610167042',5504,'494',60.05,1,3,NULL),(15,2036428,'1987-06-06 00:00:00',2,10,12,2004,'M','N','CENTRO','LAGUNA','SC','124241241115372231436311385124610147052',8044,'521',55.29,1,2,1),(15,2036436,'1987-01-10 00:00:00',4,1,12,2005,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124203241215573431448733282224610147032',6325,'1022',58.41,1,3,NULL),(15,2036444,'1990-06-26 00:00:00',4,1,12,2007,'M','N','PICADAS DO SUL','SAO JOSE','SC','124242241115151731346623585121610167143',20364,'1074',36.11,1,3,NULL),(15,2036452,'1990-01-31 00:00:00',4,1,12,2007,'M','N','JARDIM DAS PALMEIRAS','PALHOCA','SC','124241241315151441436613315134610124057',8250,'1075',54.93,1,3,NULL),(15,2036460,'1988-01-25 00:00:00',4,1,12,2006,'M','N','PARQUE SAO SEBASTIAO','RIBEIRAO PRETO','SP','125252251211471431568811572112610167092',8948,'9998',53.75,1,3,NULL),(15,2036479,'1986-07-12 00:00:00',2,1,12,2003,'F','N','NOSSA SRA DO ROSÁRIO','SAO JOSE','SC','124241241116133421126344245334610114147',12237,'49',48.67,2,1,1),(15,2036487,'1990-01-24 00:00:00',4,8,12,2007,'M','N','CENTRO','PAPANDUVA','SC','124241241116131431648931575121610164057',NULL,'603',0.00,1,3,NULL),(15,2036525,'1987-01-30 00:00:00',4,1,12,2004,'F','N','ILHA DO GOVERNADOR','RIO DE JANEIRO','RJ','121214211316271431686834576114140664092',330,'9998',78.45,4,3,NULL),(15,2036541,'1989-07-09 00:00:00',2,1,12,2006,'F','N','BALNEÁRIO DANIELA','FLORIANOPOLIS','SC','124243241215472431433532575122610138052',14167,'1048',45.93,4,3,NULL),(15,2036550,'1989-09-28 00:00:00',4,1,12,2006,'F','N','VILA DO BOSQUE','SAO PAULO','SP','125252251217371451345612575114143223182',18972,'9998',38.72,1,3,NULL),(15,2036568,'1986-10-28 00:00:00',4,8,5,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241216371431579614315124610164077',21720,'9999',33.21,4,1,2),(15,2036576,'1990-04-15 00:00:00',2,1,12,2007,'F','N','FLORESTA','SAO JOSE','SC','124241241215131731435418571124610123077',17596,'1036',40.94,1,3,NULL),(15,2036584,'1990-11-16 00:00:00',4,4,12,2007,'F','N','CENTRO','SANTA ROSA','RS','120202201216271431478811575122610136092',7372,'9998',56.47,1,3,NULL),(15,2036592,'1989-06-07 00:00:00',4,4,11,2007,'F','N','CENTRO','FRANCISCO BELTRAO','PR','116162161236371411457934572122610136172',NULL,'9998',0.67,1,3,NULL),(15,2036606,'1988-12-09 00:00:00',2,1,12,2006,'F','N','REAL PARQUE','SAO JOSE','SC','124241241316131431544611295114610166012',16532,'734',42.54,1,3,NULL),(15,2036614,'1989-03-21 00:00:00',2,1,11,2006,'M','N','CENTRO','ELDORADO','SP','125253251215472431446623572124610134097',1903,'9998',69.59,4,3,NULL),(15,2036622,'1990-12-15 00:00:00',4,1,12,2007,'F','N','CENTRO','IMBITUBA','SC','124241241116161451228623195332610122077',19415,'359',37.98,4,2,1),(15,2036630,'1990-05-27 00:00:00',2,1,12,2006,'F','N','FUNDOS','BIGUACU','SC','124241241112372431426318572324610144147',17209,'65',41.55,4,2,1),(15,2036649,'1980-04-30 00:00:00',4,1,12,1998,'F','N','NOSSA S DO ROSÁRIO','SAO JOSE','SC','224161163122271411325544142324342243097',4772,'9998',61.58,1,3,NULL),(15,2036665,'1989-03-01 00:00:00',4,1,12,2006,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124242241212412421236522275114610167017',15110,'269',44.66,1,3,NULL),(15,2036681,'1989-12-15 00:00:00',4,2,12,2007,'F','N','GARCIA','BLUMENAU','SC','124242241215121531469933575114610132182',5912,'855',59.23,1,3,NULL),(15,2036690,'1991-03-11 00:00:00',4,7,11,2007,'F','N','CRUZEIRO DO SUL','JOACABA','SC','124242241215111631466811595122610166192',21781,'446',33.02,1,3,NULL),(15,2036711,'1978-09-21 00:00:00',4,1,8,1996,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242246116144751465613245132330237042',13790,'306',46.48,1,3,NULL),(15,2036720,'1987-11-02 00:00:00',2,4,12,2005,'F','N','CENTRO','PALMA SOLA','SC','124241241127131731523318282124610147077',NULL,'598',22.22,1,2,1),(15,2036738,'1989-01-31 00:00:00',4,1,11,2006,'F','N','VISC DE ITAMARACA','VALINHOS','SP','125252253217411731578814572112613223147',3272,'9998',65.33,1,3,NULL),(15,2036746,'1989-04-22 00:00:00',2,1,7,2007,'F','N','KOBRAOL II','SAO JOSE','SC','124243247245131431435611345114610133147',21712,'9999',33.23,1,3,NULL),(15,2036754,'1989-04-03 00:00:00',2,1,12,2006,'M','N','JARDIM CALIFÓRNIA','RIBEIRAO PRETO','SP','125252251217371431589611375112610167112',17649,'9998',40.87,1,3,NULL),(15,2036762,'1990-06-01 00:00:00',2,1,12,2007,'F','N','BELA VISTA I','SAO JOSE','SC','124241241136141431449633342124610126147',20869,'257',35.16,1,2,1),(15,2036770,'1990-07-12 00:00:00',2,4,11,2007,'F','N','INTERIOR','MARIANO MORO','RS','120203201227111431346933242124610138142',16141,'9998',43.16,1,3,NULL),(15,2036789,'1979-12-11 00:00:00',4,1,12,1997,'M','N','CENTRO','CURITIBA','PR','116162161216511431426611342124140417012',7317,'9998',56.58,1,3,NULL),(15,2036797,'1990-04-21 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372231376613434112610167012',4848,'262',61.41,1,3,NULL),(15,2036800,'1990-06-28 00:00:00',4,8,11,2007,'M','N','AMERICA','JOINVILLE','SC','624242241215371221358933582111610127057',19904,'489',37.01,1,3,NULL),(15,2036819,'1984-02-12 00:00:00',4,1,11,2003,'M','N','VILA EMA','SAO JOSE DOS CAMPOS','SP','125252254247572431436621381121140662057',11126,'9998',50.26,1,3,NULL),(15,2036835,'1990-12-14 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124122241217111411268923572124610117057',163,'270',80.46,1,3,NULL),(15,2036843,'1984-01-31 00:00:00',4,1,12,2001,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124243241125371441441729293114143237045',18388,'285',39.67,1,3,NULL),(15,2036851,'1988-06-01 00:00:00',2,1,12,2007,'M','N','SAO FERNANDES','VALINHOS','SP','125252251236121431558823315122610147112',14981,'9998',44.82,1,3,NULL),(15,2036860,'1988-09-02 00:00:00',2,1,12,2007,'M','N','PARQUE DA REPRESA','JUNDIAI','SP','125203257335471431357732345122610167054',15541,'9999',44.07,1,3,NULL),(15,2036878,'1985-05-11 00:00:00',2,1,8,2003,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241241327371411236624382124130213112',21724,'300',33.19,1,3,NULL),(15,2036908,'1987-02-16 00:00:00',4,1,12,2004,'M','N','PARQUE GLORIA','CATANDUVA','SP','125252251216572751278867475122610167042',4433,'9998',62.41,1,3,NULL),(15,2036916,'1991-06-19 00:00:00',2,4,11,2007,'F','N','CENTRO','CHAPECO','SC','124243241212311411549614572112610168197',NULL,'1046',24.49,1,3,NULL),(15,2036932,'1986-03-05 00:00:00',4,1,12,2003,'M','N','SANTANA','PORTO ALEGRE','RS','120202201211271431664822571124141612066',9461,'9998',52.85,1,3,NULL),(15,2036940,'1990-02-07 00:00:00',2,10,11,2007,'M','N','CENTRO','BRACO DO NORTE','SC','124242241217271431457832245122610122122',6299,'950',58.45,1,3,NULL),(15,2036959,'1989-07-24 00:00:00',4,1,12,2006,'M','N','BAIRRO DE FATIMA','FLORIANOPOLIS','SC','124242241215372431456833575114610124185',7505,'1022',56.22,1,3,NULL),(15,2036967,'1988-08-02 00:00:00',4,1,12,2006,'F','N','VILA JACI','SAO JOSE DOS CAMPOS','SP','125252251215471431478714575112610134147',14062,'9998',46.08,1,3,NULL),(15,2036975,'1991-08-31 00:00:00',4,7,11,2008,'M','S','CENTRO','TREZE TILIAS','SC','124244241214141431446632216114620147142',NULL,'962',50.44,1,3,NULL),(15,2037009,'1990-04-22 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215111411443432245125610165193',9552,'213',52.68,1,3,NULL),(15,2037017,'1987-04-12 00:00:00',2,1,12,2004,'M','N','AUXILIADORA','PORTO ALEGRE','RS','120202201216571431359834575124610166097',983,'9998',73.63,1,3,NULL),(15,2037025,'1988-10-28 00:00:00',4,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116161161215572431243632571145610166177',NULL,'9998',0.00,1,3,NULL),(15,2037033,'1989-12-02 00:00:00',4,3,11,2007,'M','N','PERERQUE','PORTO BELO','SC','124244241216272751458613595122610168047',3395,'403',65.01,1,3,NULL),(15,2037050,'1986-07-17 00:00:00',4,1,12,2003,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241116574431343313242124120664072',483,'592',76.94,1,2,1),(15,2037068,'1988-02-06 00:00:00',4,1,11,2006,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124243247217131431336614245134610127047',NULL,'9999',0.00,1,3,NULL),(15,2037076,'1990-10-29 00:00:00',2,9,12,2007,'F','N','ESTREITO','ALFREDO WAGNER','SC','124241241127161111438831245122610126047',18472,'13',39.54,1,2,1),(15,2037084,'1985-10-09 00:00:00',2,1,12,2002,'F','N','CENTRO','IPAMERI','GO','109101101116271731324923272325140364187',NULL,'9998',0.00,2,1,1),(15,2037092,'1987-03-12 00:00:00',2,1,11,2007,'F','N','CACHOEIRA','FLORIANOPOLIS','SC','124241241126131431424411475124610134197',20825,'9999',35.24,1,2,1),(15,2037106,'1990-01-14 00:00:00',2,5,11,2007,'F','N','CENTRO','MORRO DA FUMACA','SC','124242241216111431453322342124610124047',17299,'226',41.40,1,3,NULL),(15,2037114,'1981-01-14 00:00:00',5,6,12,1997,'M','N','MEIA PRAIA','ITAPEMA','SC','224242241216142411378843335222331067042',8801,'782',54.01,1,3,NULL),(15,2037122,'1989-02-02 00:00:00',4,8,12,2006,'F','N','TUCANOS','LONDRINA','PR','116162161216471731438812575122610117087',NULL,'9998',0.00,1,3,NULL),(15,2037130,'1990-05-22 00:00:00',2,7,11,2007,'F','N','LINHA ENCRUZILHADA','LACERDOPOLIS','SC','124241241215111411334435472214610121052',NULL,'454',24.83,1,3,NULL),(15,2037149,'1990-11-16 00:00:00',1,7,12,2007,'M','N','FLORESTA','CONCORDIA','SC','124241241116471721424612394123610166177',NULL,'192',20.38,1,2,1),(15,2037157,'1983-10-08 00:00:00',2,1,12,2001,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124131131216231421216648485124143227187',10792,'9998',50.75,2,3,NULL),(15,2037165,'1988-08-22 00:00:00',4,1,12,2005,'M','N','JARDIM CALIFORNIA','RIBEIRAO PRETO','SP','125112251216571431468732572114610167173',4594,'9998',62.01,1,3,NULL),(15,2037190,'1988-04-12 00:00:00',2,1,12,2005,'M','N','CENTRO','ANTONIO CARLOS','SC','124241241146153732524355392124610152197',13155,'21',47.39,1,2,1),(15,2037203,'1990-07-23 00:00:00',4,1,12,2007,'F','N','BELA VISTA','ARROIO DO MEIO','RS','120201201216371231573611175122610127042',14596,'9998',45.28,1,3,NULL),(15,2037211,'1992-05-17 00:00:00',4,1,12,2009,'M','S','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241214111711335334575124610125142',NULL,'269',21.49,1,3,NULL),(15,2037238,'1989-04-07 00:00:00',4,1,12,2006,'F','N','PQ AVENIDA','LIMEIRA','SP','125252251216471431457832575122610164027',8392,'9998',54.70,1,3,NULL),(15,2037246,'1984-09-25 00:00:00',2,8,12,2001,'M','N','SAGUAÇU','JOINVILLE','SC','124162161116371431326629282345143224057',9773,'9998',52.31,1,3,NULL),(15,2037254,'1989-04-24 00:00:00',4,1,11,2006,'F','N','CHÁCARA PAVOEIRO','COTIA','SP','125252251214471431449814571122610163147',4742,'9998',61.65,1,3,NULL),(15,2037262,'1990-10-23 00:00:00',2,1,12,2007,'M','N','CENTRO','LONDRINA','PR','116162161217111431476611575112610162122',8389,'9998',54.71,1,3,NULL),(15,2037270,'1989-07-08 00:00:00',4,2,12,2006,'F','N','CENTRO','INDAIAL','SC','124242241215473431467924574124610162092',5082,'909',60.94,1,3,NULL),(15,2037289,'1990-05-14 00:00:00',4,7,11,2007,'F','N','CENTRO','CURITIBA','PR','116242161215471411449834244124610114075',NULL,'9998',0.00,1,3,NULL),(15,2037297,'1990-04-23 00:00:00',4,8,11,2007,'M','N','AMÉRICA','JOINVILLE','SC','124092241215131432338731415122610167017',NULL,'457',0.00,1,3,NULL),(15,2037300,'1988-05-02 00:00:00',2,1,11,2005,'M','N','GRANJA VIANA','CARAPICUIBA','SP','124252251217471231448811572112610167042',3479,'9998',64.81,1,3,NULL),(15,2037319,'1990-09-12 00:00:00',4,1,12,2007,'F','N','BOA VISTA','NOVO HAMBURGO','RS','120202201216141431467832245122610144012',NULL,'9998',0.00,1,3,NULL),(15,2037327,'1990-03-11 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','116162161216111431526514575122610122142',NULL,'9998',0.00,1,3,NULL),(15,2037335,'1990-10-31 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241217112431468833571122610123072',1439,'273',71.49,1,3,NULL),(15,2037343,'1992-01-26 00:00:00',4,4,12,2008,'M','S','CENTRO','VITORINO','PR','116161161215151432443711415124610112097',NULL,'9998',55.14,1,3,NULL),(15,2037360,'1989-10-09 00:00:00',4,1,11,2007,'M','N','PQ PRADO','CAMPINAS','SP','125252251216111321348822272124610117047',NULL,'9998',0.00,1,3,NULL),(15,2037378,'1986-12-07 00:00:00',2,1,12,2004,'M','N','ARMAÇAO','FLORIANOPOLIS','SC','124201202116373451453314315124610127053',15062,'9998',44.72,1,3,NULL),(15,2037386,'1988-05-06 00:00:00',4,8,12,2006,'M','N','VILA ADYANNA','SAO JOSE DOS CAMPOS','SP','125254253216471431568732445122610162052',13822,'9998',46.42,1,3,NULL),(15,2037394,'1990-07-22 00:00:00',2,5,11,2007,'M','N','CRUZEIRO DO SUL','CRICIUMA','SC','124244241115151431459834395122610167042',7217,'211',56.75,1,3,NULL),(15,2037408,'1988-03-12 00:00:00',4,1,11,2007,'F','N','JURERÊ','FLORIANOPOLIS','SC','624244243415111331348512575114610121145',NULL,'1048',19.15,1,3,NULL),(15,2037416,'1990-04-04 00:00:00',4,8,11,2007,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215371431348823294124610135176',2418,'457',67.85,1,3,NULL),(15,2037424,'1986-06-06 00:00:00',2,1,6,2004,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241112132441436339392324231427043',9342,'307',53.06,1,2,1),(15,2037432,'1990-04-09 00:00:00',4,1,12,2007,'F','N','ARAÇATUBA','IMBITUBA','SC','124241241147171731655939195224610168187',NULL,'361',18.09,1,2,1),(15,2037459,'1989-03-11 00:00:00',2,1,12,2007,'F','N','SOROCABA DE FORA','BIGUACU','SC','124241241117131711521215442334610134042',19104,'65',38.51,1,3,NULL),(15,2037467,'1990-05-01 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241115312431468833575124610137077',1472,'270',71.34,1,3,NULL),(15,2037475,'1986-04-27 00:00:00',4,1,10,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241117153411566833572124610133192',16888,'306',42.03,1,3,NULL),(15,2037491,'1990-11-20 00:00:00',2,8,11,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215111432579714375122610122112',16843,'486',42.09,1,3,NULL),(15,2037505,'1990-07-12 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241315471431358613571124610114077',17768,'1022',40.71,1,3,NULL),(15,2037530,'1989-12-06 00:00:00',4,10,12,2007,'M','N','MAGALHÃES','LAGUNA','SC','124241241117131411334679572125610162172',13814,'521',46.44,1,2,1),(15,2037548,'1982-02-01 00:00:00',2,1,12,1998,'M','N','CENTRO','FLORIANOPOLIS','SC','624202201111141711276643431122341042137',17817,'9998',40.64,1,3,NULL),(15,2037556,'1990-04-04 00:00:00',4,10,12,2007,'M','N','CENTRO','LAGUNA','SC','124241241117131411647611591125610162172',7010,'521',57.12,1,2,1),(15,2037564,'1989-12-10 00:00:00',4,1,12,2007,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124242241215112211469912575122610117053',9343,'270',53.05,1,3,NULL),(15,2037572,'1983-12-19 00:00:00',4,1,12,2001,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241217575731468821475121121464185',2058,'270',69.07,1,3,NULL),(15,2037580,'1981-04-03 00:00:00',4,1,12,2003,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124252257222153431124421191311610126097',NULL,'9998',29.96,1,3,NULL),(15,2037599,'1991-04-26 00:00:00',2,1,12,2007,'M','N','MAR DAS PEDRAS','BIGUACU','SC','124242241215111431433632292122610118052',14484,'723',45.44,1,3,NULL),(15,2037602,'1987-06-11 00:00:00',4,1,11,2004,'M','N','POMPEIA','SANTOS','SP','125252251214471431458819474121143267112',NULL,'9998',0.00,1,3,NULL),(15,2037629,'1989-09-26 00:00:00',4,1,12,2006,'F','N','CENTRO','GAROPABA','SC','124241241137472441536612572124610122177',6071,'322',58.94,1,2,1),(15,2037645,'1990-02-02 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124112241215111431368819575122610167123',7178,'272',56.83,1,3,NULL),(15,2037661,'1979-05-01 00:00:00',4,1,12,1998,'M','N','VILA JUNQUEIRA','SAO ROQUE','SP','125251251117141751239319431334143267057',9128,'9998',53.41,4,2,1),(15,2037670,'1988-10-11 00:00:00',2,1,12,2005,'F','N','CHACARA DAS PEDRAS','PORTO ALEGRE','RS','120204201117471731527823442124141567016',7958,'9998',55.44,1,3,NULL),(15,2037688,'1988-02-14 00:00:00',4,1,12,2005,'F','N','INTERLAGOS','SAO PAULO','SP','125252251217571431358619576124142667057',885,'9998',74.14,3,3,NULL),(15,2037696,'1989-04-03 00:00:00',4,6,12,2006,'F','N','VILA OPERÁRIA','ITAJAI','SC','124242241215413431468833274122610121122',NULL,'491',0.00,4,3,NULL),(15,2037700,'1990-09-22 00:00:00',2,1,12,2007,'F','N','CENTRO','COLORADO','PR','116162161215111431548839576114610163076',6888,'9998',57.37,3,3,NULL),(15,2037718,'1988-01-04 00:00:00',4,1,12,2005,'M','N','KOBRASOL','SAO JOSE','SC','124241241115373441557613345124610147082',9923,'307',52.05,1,2,1),(15,2037726,'1990-10-24 00:00:00',4,1,10,2007,'F','N','ITACUBI','FLORIANOPOLIS','SC','124244241217121431466814575124610116095',15353,'1023',44.32,1,3,NULL),(15,2037734,'1989-06-19 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124243241117372431538813332324610127142',12046,'307',48.92,1,3,NULL),(15,2037750,'1990-07-07 00:00:00',4,1,12,2007,'F','N','JARDIM DAS INDUSTRIA','SAO JOSE DOS CAMPOS','SP','125252251217111431479933434114610126192',4766,'9998',61.60,1,3,NULL),(15,2037777,'1989-07-07 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241416372431468313572124610146197',2946,'185',66.31,1,3,NULL),(15,2037785,'1961-03-10 00:00:00',2,1,12,1981,'M','N','CACH BOM JESUS','SAO PAULO','SP','224251251222471421621144242214610121027',17485,'9998',41.10,4,1,2),(15,2037793,'1989-12-25 00:00:00',2,1,12,2007,'M','N','CENTRO','ITAPORANGA','SP','125161251215111231533315455212610168022',6435,'9998',58.20,1,3,NULL),(15,2037815,'1987-12-16 00:00:00',4,1,12,2005,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241216473431368633445124230217045',11776,'269',49.29,1,3,NULL),(15,2037823,'1990-08-30 00:00:00',2,1,11,2007,'F','N','JARDIM RENATA','ARUJA','SP','125252251216271431469832575122610127042',14406,'9998',45.57,1,3,NULL),(15,2037831,'1985-09-12 00:00:00',2,1,12,2004,'F','N','BELA VISTA I','SAO JOSE','SC','124243247327131411237844145234610165027',17657,'9999',40.86,1,3,NULL),(15,2037840,'1988-01-18 00:00:00',4,1,12,2005,'F','N','BANDEIRANTES','CORNELIO PROCOPIO','PR','116162161116572431439923471122610166094',2533,'9998',67.52,1,3,NULL),(15,2037858,'1990-03-30 00:00:00',4,1,12,2007,'M','N','SUDOESTE','CRUZEIRO','DF','107072071217111431387923474114610164033',NULL,'9998',0.00,2,3,NULL),(15,2037866,'1990-08-18 00:00:00',4,8,11,2007,'F','N','JARDIM LA SALLE','TOLEDO','PR','116162161217121731459931574122610133047',8440,'9998',54.63,1,3,NULL),(15,2037874,'1990-09-02 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241335131431438613391124610164077',15313,'1022',44.38,1,3,NULL),(15,2037882,'1991-07-12 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111731489839572122610124145',NULL,'262',41.03,1,3,NULL),(15,2037890,'1978-05-21 00:00:00',4,1,11,2006,'M','N','NS DO ROSARIO FLORES','SAO JOSE','SC','224201241137133421348843431124222336017',10101,'9998',51.78,1,2,1),(15,2037904,'1988-06-28 00:00:00',2,1,12,2005,'M','N','SÃO DOMINGOS','SAO JOSE DOS PINHAIS','PR','116161166146131721335621295224610167061',15329,'9998',44.36,1,2,1),(15,2037912,'1987-08-10 00:00:00',4,1,8,2006,'M','N','BOTAFOGO','CAMPINAS','SP','125201201116572432553833275112610122047',13497,'9998',46.90,1,3,NULL),(15,2037920,'1989-08-31 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431479912472112610127141',864,'262',74.27,1,3,NULL),(15,2037939,'1987-06-17 00:00:00',4,1,12,2004,'F','N','LAPA','SAO PAULO','SP','125251251131571741529931475122240644097',NULL,'9998',0.00,1,3,NULL),(15,2037947,'1989-10-06 00:00:00',2,1,12,2007,'M','N','VENDAVAL','BIGUACU','SC','124241241416171431663639575121610122057',18396,'63',39.66,1,3,NULL),(15,2037955,'1989-05-24 00:00:00',4,8,12,2006,'M','N','JARDIM ESMERALDA','SAO PAULO','SP','125252251215471431466832575112610167046',NULL,'9998',0.00,3,3,NULL),(15,2037963,'1984-10-13 00:00:00',2,1,12,2003,'M','N','CAMPINAS','SAO JOSE','SC','124241241136373431223344342122610127047',14112,'293',46.01,1,2,1),(15,2037971,'1990-05-07 00:00:00',4,3,11,2007,'F','N','SOLAR DOS LAGOS','SAO LOURENCO','MG','113132131217111711658713595122610162095',10490,'9998',51.19,1,3,NULL),(15,2037980,'1990-04-05 00:00:00',4,1,12,2007,'F','N','MATA DA PRAIA','VITORIA','ES','108084081216121441245321175124610166177',262,'9998',79.15,4,3,NULL),(15,2037998,'1988-02-11 00:00:00',4,1,12,2005,'F','N','TAQUARAL','CAMPINAS','SP','125252251214572731468833585122610124192',6019,'9998',59.04,3,3,NULL),(15,2038013,'1989-07-18 00:00:00',4,1,12,2006,'F','N','RIBEIRÃO DA LHA','FLORIANOPOLIS','SC','124241241116472431536613375124610168057',11710,'307',49.38,4,2,1),(15,2038021,'1990-03-29 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241215121431436624242122610125194',16770,'1022',42.21,1,3,NULL),(15,2038030,'1990-03-31 00:00:00',4,8,12,2007,'F','N','FERNANDO SENS','ITUPORANGA','SC','124241241125131431446313445122610127057',21786,'415',33.01,1,2,1),(15,2038048,'1989-05-26 00:00:00',2,1,11,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124252251216152431417833575124221524142',5728,'9998',59.62,1,3,NULL),(15,2038056,'1986-02-25 00:00:00',4,8,12,2004,'F','N','PARQUE SANTA TEREZA','SANTA ISABEL','SP','125252251416571731418814571112140262177',2257,'9998',68.40,4,3,NULL),(15,2038064,'1990-08-11 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431436711272124610168142',8141,'1022',55.11,1,3,NULL),(15,2038072,'1990-09-24 00:00:00',4,4,12,2007,'F','N','CENTRO','PALMITOS','SC','124241241136131731323335245334610167187',NULL,'601',24.32,1,2,1),(15,2038099,'1989-07-27 00:00:00',2,1,12,2006,'M','N','CENTRO','NAVIRAI','MS','112121127116271431324629192311610132187',NULL,'9998',30.91,1,3,NULL),(15,2038102,'1990-08-07 00:00:00',4,8,11,2007,'F','N','IRIRIÚ','JOINVILLE','SC','124242241217371421454923571124610163072',7950,'462',55.44,1,3,NULL),(15,2038110,'1989-05-01 00:00:00',2,1,11,2007,'M','N','IPIRANGA','SAO JOSE','SC','124241248135131731524439293124610124142',NULL,'257',22.15,1,2,1),(15,2038129,'1990-08-17 00:00:00',4,1,11,2007,'M','N','ZONA TRES','UMUARAMA','PR','116162161217121731448913575112610164182',9774,'9998',52.31,1,3,NULL),(15,2038137,'1990-07-02 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124243241217111441536713571124610136145',7547,'1036',56.12,1,3,NULL),(15,2038145,'1990-05-06 00:00:00',4,1,12,2007,'M','N','MATA DA PRAIA','VITORIA','ES','108082081216121411353832175124610162047',1324,'9998',71.99,4,3,NULL),(15,2038153,'1990-05-25 00:00:00',4,6,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124202241235271431368812395122610161142',6740,'1038',57.66,1,3,NULL),(15,2038188,'1990-10-09 00:00:00',2,4,12,2007,'M','N','NOSSA SRA DAS DORES','SANTA MARIA','RS','120241201415111411356923575125610127052',NULL,'9998',0.00,1,3,NULL),(15,2038196,'1988-03-23 00:00:00',2,3,12,2005,'M','N','PARQUE DOS PINHEIROS','FLORES DA CUNHA','RS','120201201117571431323314245124610166042',5712,'9998',59.64,4,2,1),(15,2038200,'1990-08-04 00:00:00',2,1,11,2007,'M','N','FOR DE NPOLIS','SAO JOSE','SC','124242241216111431648824595124610117067',NULL,'1074',25.20,1,3,NULL),(15,2038218,'1990-11-14 00:00:00',4,5,12,2007,'F','N','JARDIM ELIZABETE','ICARA','SC','124241241215311431535839575124610164042',15332,'226',44.36,1,3,NULL),(15,2038226,'1966-12-01 00:00:00',2,1,12,1983,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','224241244123153411373443135122330862182',4064,'239',63.28,1,2,1),(15,2038234,'1989-04-02 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217472431557732272114610134077',494,'270',76.85,1,3,NULL),(15,2038242,'1989-08-16 00:00:00',2,1,11,2007,'M','N','ST OESTE','GOIANIA','GO','109092091214151731369821575112610114187',NULL,'9998',0.00,1,3,NULL),(15,2038250,'1986-06-16 00:00:00',4,1,12,2003,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241235133741457933395124222967147',16165,'9997',43.12,2,3,NULL),(15,2038269,'1989-09-16 00:00:00',4,1,12,2007,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241217111431638319175114610141012',14337,'1022',45.67,1,3,NULL),(15,2038277,'1989-01-21 00:00:00',2,1,12,2005,'M','N','JARDIM PLANALTO','GOIANIA','GO','109093091216572431445312572124610163147',NULL,'9998',0.00,1,3,NULL),(15,2038285,'1988-06-27 00:00:00',4,1,12,2005,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215472431469923572124131036142',190,'981',80.10,1,3,NULL),(15,2038307,'1990-01-03 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241215111431548811572122610164147',13709,'1051',46.60,1,3,NULL),(15,2038315,'1990-08-11 00:00:00',2,1,11,2007,'F','N','STO ANTONIO LISBOA','FLORIANOPOLIS','SC','124242241215112431478934476122610126151',11499,'270',49.71,1,3,NULL),(15,2038331,'1988-11-08 00:00:00',4,1,12,2006,'F','N','VILA MARIANA','SAO PAULO','SP','125252251215411441368831575122610144097',778,'9998',74.84,1,3,NULL),(15,2038340,'1988-07-25 00:00:00',2,1,12,2005,'F','N','ALTO RIBEIRÃO','FLORIANOPOLIS','SC','124241241112113731546519392123610118097',7572,'307',56.07,1,2,1),(15,2038358,'1989-12-19 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215371431479831572122610147062',2844,'884',66.62,1,3,NULL),(15,2038366,'1990-09-17 00:00:00',4,3,11,2008,'F','S','CENTRO','JARAGUA DO SUL','SC','124242161216121431578811575124610133077',NULL,'9998',54.62,1,3,NULL),(15,2038374,'1990-06-10 00:00:00',2,5,12,2007,'F','N','COMERCIÁRIO','CRICIUMA','SC','124242241215111531658814575125610123017',8324,'213',54.82,1,3,NULL),(15,2038404,'1986-05-23 00:00:00',2,1,11,2006,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','624241247147131711324344246345610133191',22455,'9999',29.51,2,3,NULL),(15,2038412,'1990-01-29 00:00:00',4,1,11,2006,'M','N','CANTO','FLORIANOPOLIS','SC','124242241215473531448831375114610146092',1041,'266',73.29,1,3,NULL),(15,2038420,'1989-04-25 00:00:00',4,8,12,2006,'M','N','CORREGO SECO','ITAMBARACA','PR','116162161216472431458812572112610127112',1580,'9998',70.87,1,3,NULL),(15,2038439,'1981-05-02 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431379611391122331227032',2782,'270',66.79,1,3,NULL),(15,2038447,'1990-11-20 00:00:00',2,8,12,2007,'F','N','ROCIO GRANDE','SAO FRANCISCO DO SUL','SC','124244241212111411436631211121610138187',15526,'992',44.10,1,3,NULL),(15,2038455,'1989-09-28 00:00:00',4,1,12,2007,'M','N','PARQUE LAGOINHA','SANTA RITA DO PASSA QUATRO','SP','125252251214471411658832575112610164044',10226,'9998',51.59,4,3,NULL),(15,2038463,'1987-06-17 00:00:00',2,8,12,2004,'M','N','NOVA BONSUCESSO','GUARULHOS','SP','125251251135571431554313342324610128047',8092,'9998',55.20,1,2,1),(15,2038471,'1990-10-18 00:00:00',4,1,12,2007,'M','N','VILA BECKER','SANTO AMARO DA IMPERATRIZ','SC','124244241215131431348823572121610167032',15134,'1014',44.63,1,3,NULL),(15,2038480,'1991-01-03 00:00:00',4,1,12,2007,'F','N','CENTRO','NOVA MUTUM','MT','111112111316161431436912282222610124097',19935,'9998',36.95,1,3,NULL),(15,2038498,'1990-04-22 00:00:00',2,1,11,2007,'F','N','CENTRO','BIGUACU','SC','124241241215111431554611372124610137052',15195,'1098',44.54,1,3,NULL),(15,2038501,'1989-07-12 00:00:00',2,1,11,2006,'F','N','AMARALINA','SALVADOR','BA','105052051217151431436611295124610164072',9810,'9998',52.24,4,3,NULL),(15,2038510,'1990-02-01 00:00:00',4,8,12,2007,'F','N','GLÓRIA','JOINVILLE','SC','124242241215121431467812225112610126192',5736,'491',59.59,1,3,NULL),(15,2038528,'1991-04-01 00:00:00',4,1,2,2008,'F','N','CENTRO','AGUAS MORNAS','SC','124242246215151711536834195124610138051',NULL,'1075',23.94,1,3,NULL),(15,2038536,'1990-01-31 00:00:00',2,1,12,2007,'F','N','CENTRO','IPORA','GO','109092091117211431436413185121610135097',22155,'9998',31.71,3,3,NULL),(15,2038544,'1990-03-13 00:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124252241217271711279814575124610161116',971,'270',73.68,1,3,NULL),(15,2038552,'1990-01-17 00:00:00',4,1,2,2008,'M','N','CENTRO','PALHOCA','SC','124241241115131331333313142224610126017',10162,'739',51.70,1,2,1),(15,2038560,'1991-02-10 00:00:00',4,10,11,2007,'M','N','CENTRO','TUBARAO','SC','124241241212111431448614595125610127052',4972,'807',61.15,1,3,NULL),(15,2038579,'1989-06-17 00:00:00',2,1,11,2007,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241216111431469813592124610123142',17329,'270',41.35,1,3,NULL),(15,2038587,'1990-06-23 00:00:00',4,1,11,2007,'F','N','CENTRO','BIGUACU','SC','124284241215111731328724375124610123045',6219,'1098',58.61,1,3,NULL),(15,2038595,'1990-11-06 00:00:00',4,1,12,2007,'M','N','SANTA FÉ','CAMPO GRANDE','MS','112122121217121431468832491222610127012',1339,'9998',71.93,1,3,NULL),(15,2038609,'1988-09-03 00:00:00',4,3,12,2005,'F','N','CENTRO','FLORES DA CUNHA','RS','120201201117571431335434372344610114142',8246,'9998',54.93,1,2,1),(15,2038617,'1976-03-02 00:00:00',2,1,11,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','624241247136131411435559381224610131077',NULL,'9999',27.90,1,2,1),(15,2038625,'1990-05-16 00:00:00',4,6,11,2007,'F','N','SAO JUDAS','ITAJAI','SC','124242241215121431338619573124610121147',9723,'1026',52.39,1,3,NULL),(15,2038633,'1990-03-02 00:00:00',4,9,11,2007,'F','N','BRUSQUE','LAGES','SC','124242248215112721388811575122610114141',18458,'497',39.56,1,3,NULL),(15,2038650,'1987-05-20 00:00:00',4,1,10,2006,'M','N','LAGOA DA CONCEICAO','FLORIANOPOLIS','SC','124242241211371431655823492124610167115',NULL,'9999',17.96,1,3,NULL),(15,2038668,'1991-04-02 00:00:00',4,1,12,2008,'F','S','CENTREVILLE','LIMEIRA','SP','125252251215111431457731575122610131182',NULL,'9998',37.84,1,3,NULL),(15,2038676,'1988-02-29 00:00:00',2,1,12,2007,'M','N','LEME','RIO DE JANEIRO','RJ','121212211216121431374867575114610167082',NULL,'9998',0.00,4,3,NULL),(15,2038684,'1990-12-11 00:00:00',4,2,12,2007,'F','N','ÁGUA VERDE','BLUMENAU','SC','124242241215112431479614575124610126142',1236,'71',72.31,1,3,NULL),(15,2038692,'1990-11-22 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215272731467934572122610141145',1952,'262',69.42,1,3,NULL),(15,2038714,'1979-12-31 00:00:00',2,1,12,1997,'M','N','IPIRANGA','SAO JOSE','SC','124243241124132431335343145331322326067',4591,'734',62.02,1,3,NULL),(15,2038722,'1990-09-03 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111411366633575124610161192',6796,'262',57.55,1,3,NULL),(15,2038730,'1987-05-21 00:00:00',2,1,12,2005,'F','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124071071211572431248924595122142567022',11398,'9998',49.85,4,3,NULL),(15,2038749,'1990-10-02 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124242241217131431447823572114610122077',5679,'269',59.71,1,3,NULL),(15,2038757,'1989-10-16 00:00:00',4,8,11,2007,'M','N','GLÓRIA','JOINVILLE','SC','124242241217271231469814272122610164142',4464,'457',62.35,1,3,NULL),(15,2038765,'1988-07-18 00:00:00',2,1,12,2006,'M','N','FLORESTA','SAO JOSE','SC','124242241212472441226824285124610123092',1618,'1022',70.73,1,3,NULL),(15,2038773,'1990-11-09 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111531379911412122610124072',NULL,'262',43.71,1,3,NULL),(15,2038781,'1989-09-19 00:00:00',4,1,12,2007,'F','N','SUDOESTE','CRUZEIRO','DF','107072071215151451468914572122510123122',8465,'9998',54.57,1,3,NULL),(15,2038790,'1989-08-24 00:00:00',2,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215371411686923572112610137112',15389,'270',44.28,4,3,NULL),(15,2038803,'1990-03-09 00:00:00',2,2,12,2007,'M','N','ÁGUA VERDE','BLUMENAU','SC','124241241217121431229919574224610168172',3243,'855',65.42,1,3,NULL),(15,2038811,'1992-01-06 00:00:00',4,1,12,2009,'F','S','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124162241217151431586812595121610127145',NULL,'270',40.72,1,3,NULL),(15,2038838,'1991-10-19 00:00:00',2,8,12,2007,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215151431488833595124610167012',15966,'461',43.44,1,3,NULL),(15,2038862,'1983-09-12 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241121164431423315251343610127047',7355,'702',56.51,1,3,NULL),(15,2038870,'1989-01-24 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241117131431336611375124610121057',19350,'734',38.09,1,2,1),(15,2038889,'1990-10-16 00:00:00',2,1,12,2007,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124243241213131431436823342122610124027',17449,'1014',41.15,1,3,NULL),(15,2038897,'1990-10-04 00:00:00',4,4,11,2007,'F','N','CENTRO','ERECHIM','RS','120202201216112431438923331112610162097',11163,'9998',50.21,1,3,NULL),(15,2038900,'1990-05-20 00:00:00',2,1,12,2007,'F','N','NOSSA SRA APARECIDA','NOVA MUTUM','MT','111111111116161431433632282122610142117',20472,'9998',35.93,1,3,NULL),(15,2038919,'1984-03-16 00:00:00',2,1,12,2001,'M','N','BARRA DO ARIRIÚ','PALHOCA','SC','124241241146144441447613342121610127042',10692,'591',50.89,1,3,NULL),(15,2038927,'1991-05-06 00:00:00',4,1,11,2007,'M','N','CENTRO','CANOAS','RS','120202201217471751338629591115610122092',NULL,'9998',0.00,1,3,NULL),(15,2038935,'1989-10-15 01:00:00',2,1,12,2006,'M','N','CONCEIÇÃO','ITAPETININGA','SP','125253251115472451335632572122610114092',6728,'9998',57.69,1,3,NULL),(15,2038951,'1987-11-28 00:00:00',2,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','124242241215473411457534572124131427042',2847,'738',66.61,1,3,NULL),(15,2038978,'1990-06-24 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215151411448614572122610117057',6043,'737',58.98,1,3,NULL),(15,2038986,'1990-09-26 00:00:00',2,1,11,2007,'F','N','AGUA VERDE','CURITIBA','PR','116242161215111431669732584124610136152',NULL,'9998',0.00,1,3,NULL),(15,2038994,'1989-01-18 00:00:00',4,1,12,2007,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241415151431447511475124610133182',18391,'307',39.66,1,3,NULL),(15,2039001,'1988-08-06 00:00:00',2,1,12,2005,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124203201316131511433831245122141224052',22363,'9998',30.59,1,3,NULL),(15,2039010,'1990-03-05 00:00:00',4,1,12,2007,'F','N','JARDIM BOM PASTOR','BOTUCATU','SP','125252251316111411346824395122610136057',7196,'9998',56.80,1,3,NULL),(15,2039036,'1989-05-20 00:00:00',4,1,12,2006,'M','N','VILA A','FOZ DO IGUACU','PR','116162161215411411238834385124610164117',4983,'9998',61.12,1,3,NULL),(15,2039044,'1989-01-21 00:00:00',2,4,12,2006,'M','N','CENTRO','SERRA ALTA','SC','124241241215471411349933572122610146052',6286,'185',58.48,1,3,NULL),(15,2039052,'1989-11-06 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212111221351823572112610127057',21510,'270',33.71,2,1,2),(15,2039060,'1991-01-18 00:00:00',4,6,12,2009,'F','S','CENTRO','BALNEARIO CAMBORIU','SC','124162241215111431238834574314610127077',NULL,'9997',61.17,1,3,NULL),(15,2039079,'1990-01-05 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215111431558819575124610165142',5261,'1022',60.59,1,3,NULL),(15,2039087,'1990-07-06 00:00:00',4,8,12,2007,'M','N','JARAGUA ESQUERDO','JARAGUA DO SUL','SC','124242241215111431459923576112610127142',9330,'442',53.08,1,3,NULL),(15,2039095,'1990-02-20 00:00:00',4,4,10,2007,'F','N','CENTRO','ERECHIM','RS','120202201216271431456634275122610162077',4208,'9998',62.89,1,3,NULL),(15,2039125,'1989-01-13 00:00:00',1,1,12,2005,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124244241215372411469933472124610127043',10271,'1011',51.53,1,3,NULL),(15,2039133,'1989-03-27 00:00:00',4,1,7,2007,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124241247216131431638669585124610127147',20433,'9999',35.98,1,3,NULL),(15,2039141,'1989-07-04 00:00:00',4,8,12,2006,'F','N','GUANABARA','JOINVILLE','SC','124242241215472431558833435122610124097',20631,'462',35.63,1,3,NULL),(15,2039150,'1990-09-19 00:00:00',4,8,12,2007,'F','N','UBATUBA','SAO FRANCISCO DO SUL','SC','124244241217111411657834276124610137077',20649,'992',35.60,1,3,NULL),(15,2039168,'1991-01-02 00:00:00',2,7,11,2007,'F','N','CENTRO','CONCORDIA','SC','124242241215121431469913474112613266147',14037,'1000',46.12,1,3,NULL),(15,2039176,'1985-11-26 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216575411467934575124610166121',1174,'983',72.63,1,3,NULL),(15,2039184,'1990-02-24 00:00:00',4,4,11,2007,'M','N','CENTRO','MONDAI','SC','120244201317111431376933432125610134052',3374,'9998',65.08,1,3,NULL),(15,2039192,'1988-09-11 00:00:00',4,1,12,2005,'F','N','ITAGUAÇÚ','FLORIANOPOLIS','SC','124242241217573431378839572114610163187',4734,'270',61.68,1,3,NULL),(15,2039206,'1990-11-30 00:00:00',4,1,2,2008,'M','N','CENTRO','PALHOCA','SC','124242241117131431546551175124610134052',11079,'739',50.34,1,3,NULL),(15,2039214,'1990-08-08 00:00:00',4,2,12,2007,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215121431459814345124610144142',14220,'1052',45.84,1,3,NULL),(15,2039230,'1990-03-25 00:00:00',4,1,12,2007,'M','N','SERRINHA','FLORIANOPOLIS','SC','124242248215111431179932575124610147112',7403,'9999',56.41,1,3,NULL),(15,2039249,'1988-12-04 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242248231112431359934575122233224167',19928,'270',36.96,1,3,NULL),(15,2039257,'1990-07-14 00:00:00',4,1,11,2007,'M','N','PARQUE VERDE','BELEM','PA','114252141216111411489934495114610167122',2141,'9998',68.84,1,3,NULL),(15,2039265,'1983-10-19 00:00:00',2,8,12,2001,'M','N','CENTRO','SETE BARRAS','SP','116251251216515431556435472124610115052',1125,'9998',72.90,3,3,NULL),(15,2039273,'1990-01-17 00:00:00',2,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215111431567513275124610122147',5197,'737',60.71,1,3,NULL),(15,2039281,'1989-12-27 00:00:00',2,1,12,2007,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124243241215111411586933395124610117042',19064,'1048',38.57,1,3,NULL),(15,2039290,'1988-01-20 00:00:00',2,1,12,2005,'M','N','VILA A','FOZ DO IGUACU','PR','116162251415372431546613434124141427057',8856,'9998',53.91,1,3,NULL),(15,2039303,'1990-06-24 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211272411466732492122610127042',4726,'262',61.70,1,3,NULL),(15,2039311,'1989-01-23 00:00:00',2,1,12,2006,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242241416372431336619572122610137156',6724,'944',57.69,1,3,NULL),(15,2039320,'1989-11-23 00:00:00',4,1,12,2007,'F','N','SUDOESTE','CRUZEIRO','DF','107072071216151431458833576112610166122',1817,'9998',69.89,1,3,NULL),(15,2039338,'1990-12-08 00:00:00',2,8,11,2007,'F','N','GLÓRIA','JOINVILLE','SC','124244241215371421678613574122610113127',NULL,'491',0.00,1,3,NULL),(15,2039346,'1990-09-08 00:00:00',2,4,12,2007,'M','N','CENTRO','SERRA ALTA','SC','124241241115161431333624345125610124147',20758,'765',35.38,1,2,1),(15,2039354,'1989-01-17 00:00:00',4,5,11,2006,'M','N','CENTRO','CRICIUMA','SC','124242241215472431238429392125610163147',702,'226',75.37,4,3,NULL),(15,2039370,'1989-11-23 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215151431479613575122610162015',3361,'738',65.10,1,3,NULL),(15,2039389,'1989-07-04 00:00:00',4,1,12,2007,'M','N','V NOVA CACHOEIRINHA','SAO PAULO','SP','125252251116151411376839275124610135142',1738,'9998',70.25,1,3,NULL),(15,2039397,'1989-02-25 00:00:00',4,1,11,2006,'M','N','MERCES','CURITIBA','PR','116162161216411431449931595114610167052',NULL,'9998',0.00,1,3,NULL),(15,2039400,'1988-08-25 00:00:00',2,1,12,2005,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124244241215373752443611295121610162122',6406,'262',58.25,4,3,NULL),(15,2039419,'1991-04-05 00:00:00',4,1,12,2007,'M','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124242241215141411333514345121610132042',13692,'1014',46.63,1,3,NULL),(15,2039427,'1990-04-16 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECO','SC','124242241211111431468919575112610168052',782,'983',74.83,1,3,NULL),(15,2039435,'1990-04-02 00:00:00',4,8,11,2007,'F','N','FLORESTA','JOINVILLE','SC','124242241215112431558633572122610163117',5424,'486',60.22,1,3,NULL),(15,2039443,'1991-02-03 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241217371431469914574122610136077',3735,'44',64.11,1,3,NULL),(15,2039460,'1989-06-04 00:00:00',2,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161215471411454819574125610168092',16560,'9998',42.50,1,3,NULL),(15,2039478,'1984-07-08 00:00:00',2,1,12,2003,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','120201201127372421323344242321610157037',17483,'9998',41.10,1,3,NULL),(15,2039508,'1983-10-24 00:00:00',2,1,12,2004,'F','N','FLORESTA','SAO JOSE','SC','124241241116132431226823445121610128097',22103,'9997',31.90,4,1,1),(15,2039524,'1988-12-03 00:00:00',4,1,12,2006,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124242241212372731359933472114610164147',14918,'737',44.89,1,3,NULL),(15,2039532,'1990-09-02 00:00:00',4,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241237111431338823232114610111077',13332,'737',47.14,1,3,NULL),(15,2039540,'1989-03-23 00:00:00',2,1,11,2006,'F','N','ESPLANADA II','SAO JOSE DOS CAMPOS','SP','125252251217411421448831475112610267092',18596,'9998',39.33,1,3,NULL),(15,2039559,'1987-09-19 00:00:00',4,1,12,2004,'F','N','VILA SÃO JOSÉ','SAO JOSE DO RIO PRETO','SP','125252251215571431326824371325610132177',6964,'9998',57.23,1,3,NULL),(15,2039567,'1990-09-25 00:00:00',4,4,12,2007,'F','N','LÍDER','CHAPECO','SC','124242241211372751348633295124610168142',8027,'983',55.32,1,3,NULL),(15,2039575,'1989-01-12 00:00:00',2,1,12,2007,'F','N','CENTRO','CARAMBEI','PR','116162161215121431566615362114610161142',NULL,'9998',0.00,1,3,NULL),(15,2039591,'1990-11-10 00:00:00',4,4,11,2007,'F','N','FÁTIMA','ERECHIM','RS','120202201215271431379911411122610167142',NULL,'9998',0.00,1,3,NULL),(15,2039605,'1990-03-02 00:00:00',4,5,11,2007,'F','N','SANTA BÁRBARA','CRICIUMA','SC','124242241215121431469911575122610124122',1594,'226',70.82,1,3,NULL),(15,2039613,'1989-08-27 00:00:00',4,3,12,2006,'M','N','ANNES','PASSO FUNDO','RS','120202201216472431448614575115610142147',7720,'9998',55.83,1,3,NULL),(15,2039621,'1988-07-17 00:00:00',4,1,12,2005,'M','N','JARDIM UMARIZAL','SAO PAULO','SP','125252252317571411468834571121610164052',NULL,'9998',39.01,1,3,NULL),(15,2039630,'1990-05-10 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215151431478812575122610167182',7302,'44',56.60,1,3,NULL),(15,2039648,'1990-05-24 00:00:00',4,1,11,2007,'F','N','CENTRO','FOZ DO IGUACU','PR','116162161217112751546612222125610122157',2385,'9998',67.96,1,3,NULL),(15,2039656,'1989-10-17 00:00:00',4,3,12,2006,'M','N','CENTRO','PASSO FUNDO','RS','120202201217471431448814572121610144092',11462,'9998',49.76,1,3,NULL),(15,2039664,'1989-11-13 00:00:00',4,6,12,2007,'F','N','CENTRO','ITAJAI','SC','124242241215271412448832372122610143052',14674,'1057',45.18,1,3,NULL),(15,2039672,'1990-07-19 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124241243315131431557913372124610133147',14923,'738',44.88,1,3,NULL),(15,2039699,'1989-05-26 00:00:00',4,1,12,2006,'M','N','VILA PARAISO','BOTUCATU','SP','125252258216471131579934595122610167047',10913,'9998',50.59,4,3,NULL),(15,2039702,'1990-04-18 00:00:00',4,2,11,2007,'F','N','FORTALEZA','BLUMENAU','SC','124242241215111431439824372124610142142',7632,'71',55.97,1,3,NULL),(15,2039729,'1990-06-27 00:00:00',4,2,12,2007,'F','N','BUENOS AIRES','MAFRA','SC','124162161216151431368813575122610147057',8491,'9998',54.53,1,3,NULL),(15,2039745,'1980-02-19 00:00:00',2,1,12,2000,'F','N','CENTRO','SAO LEOPOLDO','RS','120244207447131741236721392324141844097',19339,'9998',38.10,1,3,NULL),(15,2039753,'1988-01-11 00:00:00',4,1,12,2005,'F','N','ROÇADO','SAO JOSE','SC','124241241122132431546513192124610122077',NULL,'729',19.99,4,2,1),(15,2039761,'1990-01-15 00:00:00',4,7,12,2007,'F','N','BELLO','CACADOR','SC','124244241215111431456313232122610167072',5695,'120',59.68,1,3,NULL),(15,2039770,'1989-05-14 00:00:00',2,3,12,2006,'M','N','CENTRO','MARINGA','PR','116163167416472411234821275115143224015',NULL,'9999',0.00,1,3,NULL),(15,2039788,'1990-03-04 00:00:00',4,8,12,2007,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241215121431559814442122610167072',5238,'456',60.64,1,3,NULL),(15,2039796,'1990-08-24 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431359923472125610131017',8197,'270',55.01,1,3,NULL),(15,2039800,'1988-09-17 00:00:00',4,5,12,2007,'F','N','PAULO DE FRONTIN','CRICIUMA','SC','124241241125141131443419343323610146192',19343,'985',38.09,1,3,NULL),(15,2039818,'1988-07-20 00:00:00',4,8,11,2006,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215471231179611574112610135182',961,'9998',73.72,1,3,NULL),(15,2039826,'1990-08-09 00:00:00',4,5,12,2007,'M','N','SÃO BENTO BAIXO','NOVA VENEZA','SC','124244246215131411336724576124610168042',9244,'995',53.20,1,3,NULL),(15,2039834,'1988-07-27 00:00:00',4,1,12,2005,'M','N','VILA BASTOS','SANTO ANDRE','SP','125252251217572431459834572115610162057',735,'9998',75.13,1,3,NULL),(15,2039842,'1990-04-22 00:00:00',4,2,11,2007,'F','N','GARCIA','BLUMENAU','SC','124242241215111431369914475112610127187',2453,'855',67.77,1,3,NULL),(15,2039850,'1989-09-01 00:00:00',4,1,12,2007,'M','N','CENTRO','MARINGA','PR','116162161215111211358831595112610167041',NULL,'9998',0.00,1,3,NULL),(15,2039869,'1990-04-27 00:00:00',4,1,12,2007,'F','N','CENTRO','BIGUACU','SC','124052241215371431368913575124610122182',3143,'269',65.71,1,3,NULL),(15,2039877,'1987-11-29 00:00:00',4,1,12,2005,'M','N','URBANOVA','SAO JOSE DOS CAMPOS','SP','125252251217571711456913293241610164082',3046,'9998',66.00,1,3,NULL),(15,2039893,'1988-10-28 00:00:00',4,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124082081217472431149914347124221435142',45,'9998',83.23,1,3,NULL),(15,2039907,'1990-08-02 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215121431389937575122610164042',4440,'270',62.40,1,3,NULL),(15,2039923,'1990-03-19 00:00:00',4,8,11,2007,'M','N','BATEL','CURITIBA','PR','116162161217111411438934572121610164072',12555,'9998',48.21,1,3,NULL),(15,2039931,'1987-07-19 00:00:00',2,1,12,2004,'F','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','124241241215374441323311213334122936177',8034,'1048',55.31,1,3,NULL),(15,2039940,'1990-02-06 00:00:00',4,8,12,2007,'F','N','JABUTICABEIRAS','TAUBATE','SP','125253251216111431344411175112610124057',3148,'9998',65.69,1,3,NULL),(15,2039958,'1989-12-18 00:00:00',4,1,12,2007,'M','N','PORTÃO','CURITIBA','PR','116162161116371731478819575122610167012',66,'9998',82.49,3,3,NULL),(15,2039966,'1978-05-26 00:00:00',2,3,12,1997,'F','N','PARQUE VERDE CAMAÇAR','CAMACARI','BA','105171178126471451423379271124343227112',NULL,'9998',0.00,4,3,NULL),(15,2039974,'1985-11-21 00:00:00',2,1,12,2003,'M','N','RIO CAVEIRAS','BIGUACU','SC','124241241112371741556813233111130867047',14967,'271',44.83,1,2,1),(15,2039982,'1982-06-25 00:00:00',4,8,12,1999,'F','N','CENTRO','CURITIBA','PR','116243161216272431257821415122343223147',1485,'9998',71.26,1,3,NULL),(15,2040018,'1990-06-06 00:00:00',4,1,11,2007,'M','N','JARDIM SÃO DIMAS','SAO JOSE DOS CAMPOS','SP','125252251215111452488923575112610167115',7989,'9998',55.39,1,3,NULL),(15,2040026,'1988-11-23 00:00:00',4,1,12,2006,'F','N','JARDIM EUROPA','BIGUACU','SC','124242241215473731467813574124610141072',1975,'270',69.35,1,3,NULL),(15,2040050,'1989-01-12 00:00:00',2,1,12,2006,'M','N','BALNEARIO','FLORIANOPOLIS','SC','124242241215372431458914372122610117017',10122,'88',51.76,1,3,NULL),(15,2040069,'1987-08-09 00:00:00',2,1,12,2005,'M','N','PRAIA DE FORA','PALHOCA','SC','124241241127141431224344193334610127147',17601,'592',40.93,4,2,1),(15,2040077,'1988-07-19 00:00:00',2,5,12,2005,'M','N','CHÁCARA BARRETO','CANOAS','RS','120202191216471221568833331124140162051',4292,'9998',62.73,1,3,NULL),(15,2040085,'1990-03-14 00:00:00',2,1,11,2007,'F','N','FREI ROGERIO','LAGES','SC','124243241215211431525311375122610113142',20966,'1065',34.92,4,3,NULL),(15,2040093,'1990-01-05 00:00:00',4,1,12,2007,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','124242241217121731578712574124610134016',NULL,'270',0.00,1,3,NULL),(15,2040107,'1989-05-17 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216372431568813575122610121092',12549,'270',48.22,1,3,NULL),(15,2040115,'1987-03-23 00:00:00',2,8,12,2004,'F','N','JARDIM UNIVERSITÁRIO','MARINGA','PR','116111111126471421436623275125610167147',NULL,'9998',0.00,1,3,NULL),(15,2040123,'1992-02-10 00:00:00',4,3,12,2008,'M','S','CENTRO','BALNEARIO CAMBORIU','SC','124242241215151432358839472122610147082',NULL,'9997',61.45,1,3,NULL),(15,2040140,'1989-12-27 00:00:00',4,10,12,2007,'F','N','AEROPORTO','TUBARAO','SC','124241241115111231336921315124610138012',NULL,'798',24.71,1,3,NULL),(15,2040158,'1989-12-05 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215472511579831475114610136092',236,'270',79.52,1,3,NULL),(15,2040166,'1990-11-07 00:00:00',4,4,12,2006,'M','N','CENTRO','LAJEADO GRANDE','SC','124241241115131431323415152225610122142',NULL,'526',0.00,1,2,1),(15,2040174,'1990-09-12 00:00:00',4,1,12,2007,'M','N','ROÇADO','SAO JOSE','SC','124242247215141531443612342122610132057',8586,'1036',54.39,1,3,NULL),(15,2040182,'1990-10-05 00:00:00',4,1,12,2007,'M','N','MONTE LIBANO','CAMPO GRANDE','MS','112124121217121411369831275112610161172',6053,'9998',58.97,1,3,NULL),(15,2040190,'1989-03-06 00:00:00',1,8,12,2007,'F','N','AMÉRICA','JOINVILLE','SC','124243246217271411688812575124610163182',13158,'494',47.38,1,3,NULL),(15,2040204,'1990-03-13 00:00:00',4,1,12,2007,'M','N','CENTRO','MARINGA','PR','116162161217151711477914144122610167072',1175,'9998',72.62,1,3,NULL),(15,2040220,'1973-01-22 00:00:00',2,1,11,2004,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124201201126271421257551482112141021062',NULL,'9998',0.00,1,3,NULL),(15,2040239,'1990-07-24 00:00:00',4,7,11,2007,'F','N','CENTRO','CONCORDIA','SC','124242241215121431469931572122610138142',NULL,'190',30.77,1,3,NULL),(15,2040247,'1989-12-23 00:00:00',4,8,12,2007,'M','N','VILA ITI','PRESIDENTE PRUDENTE','SP','125253251217111431446823372122610134142',2348,'9998',68.08,1,3,NULL),(15,2040255,'1971-11-13 00:00:00',4,1,12,1988,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','224242241216154421338659495122120266187',6548,'270',57.98,1,3,NULL),(15,2040263,'1987-03-08 00:00:00',4,1,12,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124252251216271431267614575124141524147',5741,'9998',59.58,1,3,NULL),(15,2040271,'1986-10-17 00:00:00',4,1,11,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241212375431578811571114131064112',868,'807',74.24,1,3,NULL),(15,2040280,'1983-11-10 00:00:00',2,1,12,2002,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124253251247373431467831475124143222042',10599,'9998',51.02,1,3,NULL),(15,2040301,'1989-02-12 00:00:00',4,1,12,2006,'M','N','CAMPINAS','SAO JOSE','SC','124242241215272431437732585124130224117',15507,'266',44.13,1,3,NULL),(15,2040310,'1990-11-10 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241117131411338632575114610124142',11625,'307',49.51,1,3,NULL),(15,2040328,'1987-03-18 00:00:00',4,8,12,2004,'F','N','JD CHAPADÃO','CAMPINAS','SP','125253251116571721589613595124241542094',10431,'9998',51.30,1,3,NULL),(15,2040336,'1988-04-08 00:00:00',4,6,12,2006,'F','N','JARDIM SAIRA','SOROCABA','SP','125251241136472151536814477311610144097',19022,'609',38.63,1,2,1),(15,2040352,'1988-11-24 00:00:00',4,1,11,2006,'M','N','JARDIM ITAPUA','LIMEIRA','SP','125252251215471431558833575122610137032',NULL,'9998',0.00,1,3,NULL),(15,2040360,'1988-01-28 00:00:00',4,1,6,2007,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242281337271431329729374114610137187',5928,'9998',59.20,1,3,NULL),(15,2040387,'1990-03-20 00:00:00',4,10,8,2007,'M','N','CENTRO','ARMAZEM','SC','124244241215151731548914571125610162042',3768,'807',64.04,1,3,NULL),(15,2040395,'1989-11-06 00:00:00',2,1,11,2007,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124242241215111432536432245112610147022',20057,'266',36.72,1,3,NULL),(15,2040409,'1986-01-06 00:00:00',2,1,12,2003,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124112241217475431568822481344610127042',832,'300',74.49,4,3,NULL),(15,2040417,'1988-03-15 00:00:00',2,1,12,2005,'M','N','PARQUE DAS OFICINAS','ARAPONGAS','PR','116161161117475431446811345122610137052',8902,'9998',53.83,1,2,1),(15,2040425,'1990-09-15 00:00:00',4,8,11,2007,'M','N','AGUA VERDE','CURITIBA','PR','116164161215111431648832175124610167145',3819,'9998',63.93,1,3,NULL),(15,2040433,'1990-09-02 00:00:00',4,1,11,2007,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124242241215122411377633577112610144032',928,'270',73.92,1,3,NULL),(15,2040441,'1990-05-22 00:00:00',4,5,12,2007,'M','N','CENTRO','ITAPIRANGA','SC','120241201246271411678811394124610114022',NULL,'9998',0.00,1,3,NULL),(15,2040450,'1988-11-12 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431589911595122610132141',1106,'270',72.99,1,3,NULL),(15,2040468,'1989-09-27 00:00:00',2,10,12,2007,'F','N','SANTISTA','ORLEANS','SC','124244241417161731364312281122610134097',NULL,'580',0.00,1,3,NULL),(15,2040484,'1990-09-11 00:00:00',4,4,12,2007,'F','N','CENTRO','IPUMIRIM','SC','124241241115151531438733575122610134147',NULL,'374',23.20,1,2,1),(15,2040492,'1990-03-18 00:00:00',4,8,11,2007,'F','N','FLORESTA','JOINVILLE','SC','124242241217152451458833575124610127087',NULL,'461',28.49,1,3,NULL),(15,2040506,'1990-08-26 00:00:00',4,8,11,2007,'F','N','IRIRIÚ','JOINVILLE','SC','124244241215121441467613575112610126042',1316,'1016',72.01,1,3,NULL),(15,2040514,'1987-10-26 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217372431379713295122130267072',18120,'1022',40.12,4,3,NULL),(15,2040522,'1990-04-29 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124243241117121731456813215124610134077',21106,'307',34.64,1,3,NULL),(15,2040530,'1990-12-07 00:00:00',4,1,12,2007,'M','N','PÂNTANO DO SUL','FLORIANOPOLIS','SC','124243241316151411457713575124610137037',15662,'9999',43.86,1,3,NULL),(15,2040549,'1987-01-01 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANOPOLIS','SC','124243241411153431358823445124610113095',12638,'270',48.08,4,3,NULL),(15,2040557,'1984-01-10 00:00:00',4,4,6,2004,'F','N','BOA VISTA','RIO DO SUL','SC','124242242116472431446534471122233225092',NULL,'662',0.00,1,3,NULL),(15,2040565,'1989-06-24 00:00:00',4,1,12,2006,'F','N','BUTANTÃ','SAO PAULO','SP','125252251216471411256831474112610162057',NULL,'9998',0.00,4,3,NULL),(15,2040573,'1989-10-04 00:00:00',4,1,12,2007,'M','N','CENTRO','SOROCABA','SP','125252251215111431468814471112610127057',5914,'9998',59.22,1,3,NULL),(15,2040590,'1990-05-21 00:00:00',4,1,12,2007,'M','N','MOOCA','SAO PAULO','SP','125252251217471411369911575124610144042',NULL,'9998',0.00,1,3,NULL),(15,2040603,'1990-03-01 00:00:00',2,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244241215111531468314572124610167042',11295,'1022',50.02,1,3,NULL),(15,2040611,'1990-04-05 00:00:00',4,1,11,2006,'F','N','CENTRO','ERECHIM','RS','120201201217472431544631592122610162092',3110,'9998',65.83,1,3,NULL),(15,2040620,'1990-02-15 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431588611571112610164125',7932,'1022',55.46,1,3,NULL),(15,2040638,'1990-04-27 00:00:00',4,1,2,2008,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124241241117271431436514245124610136077',11070,'739',50.35,4,3,NULL),(15,2040646,'1989-12-10 00:00:00',2,1,12,2007,'F','N','JARDIM AMANDA','HORTOLANDIA','SP','125253251217111431536921575122610137013',NULL,'9998',0.00,3,3,NULL),(15,2040662,'1990-07-03 00:00:00',4,1,9,2007,'M','N','VILA ADYANNA','SAO JOSE DOS CAMPOS','SP','125252251217121431578814475122610127187',NULL,'9998',0.00,1,3,NULL),(15,2040670,'1991-01-17 00:00:00',5,1,11,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241215111431436912395124610127047',11841,'1022',49.19,1,3,NULL),(15,2040689,'1990-07-11 00:00:00',4,1,12,2007,'M','N','CAMPO GRANDE','SANTOS','SP','125254251217111431462232475124610122186',5291,'9998',60.54,3,3,NULL),(15,2040700,'1990-06-13 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215371431469933575122610123092',10626,'883',50.99,1,3,NULL),(15,2040727,'1988-09-10 00:00:00',4,1,11,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241215313441458714475114610134181',4694,'272',61.77,1,3,NULL),(15,2040735,'1989-08-08 00:00:00',2,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116252161216472411535835571115610164112',NULL,'9998',0.00,1,3,NULL),(15,2040743,'1979-07-19 00:00:00',4,6,12,1998,'F','N','FAZENDA','ITAJAI','SC','624254251316131441325454445135130663097',10457,'9998',51.25,4,1,2),(15,2040760,'1990-05-10 00:00:00',4,1,12,2007,'F','N','ITAIPU','MEDIANEIRA','PR','116163161117131411447912345122610135142',14320,'9998',45.70,1,3,NULL),(15,2040778,'1990-02-22 00:00:00',2,1,11,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242241212111711536619571124610142113',4212,'270',62.88,1,3,NULL),(15,2040786,'1990-04-23 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215111431547933572124610167045',15312,'269',44.38,1,3,NULL),(15,2040794,'1985-03-18 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124131131215371451334579575124610163092',17814,'9998',40.64,4,3,NULL),(15,2040808,'1979-12-17 00:00:00',4,1,12,1998,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124202201216113421248879475122420642092',1425,'9998',71.54,1,3,NULL),(15,2040816,'1989-11-22 00:00:00',4,8,12,2007,'M','N','SAGUAÇU','JOINVILLE','SC','124243241215111421443623575111610167057',17933,'1016',40.43,1,3,NULL),(15,2040824,'1989-03-17 00:00:00',2,8,12,2007,'M','N','FLORESTA','JOINVILLE','SC','124242246216372421528821445124610147057',15268,'494',44.45,1,3,NULL),(15,2040832,'1987-04-18 00:00:00',2,1,6,2007,'F','N','KOBRASOL','SAO JOSE','SC','124244247225151431442224576122610133182',NULL,'9999',0.00,4,3,NULL),(15,2040840,'1990-07-19 00:00:00',2,8,11,2007,'F','N','GLÓRIA','JOINVILLE','SC','124242241215121431468614595124610133142',6625,'1016',57.85,1,3,NULL),(15,2040867,'1990-04-24 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241337121411448614285124610166097',6577,'1098',57.93,1,3,NULL),(15,2040875,'1988-09-10 00:00:00',4,8,12,2006,'M','N','AMÉRICA','JOINVILLE','SC','124242241216372431468812575111610162112',7733,'491',55.81,1,3,NULL),(15,2040883,'1982-02-11 00:00:00',2,8,11,2002,'F','N','AGUA VERDE','CURITIBA','PR','116241167637471431523336292124610136147',21042,'9999',34.77,1,3,NULL),(15,2040891,'1990-09-05 00:00:00',2,4,11,2007,'M','N','CENTRO','CLEVELANDIA','PR','116162161217161731434632575112610164127',15333,'9998',44.36,1,3,NULL),(15,2040913,'1989-03-18 00:00:00',2,1,11,2007,'M','N','ROÇADO','SAO JOSE','SC','124242241217131431345722172122610138053',14288,'724',45.75,1,3,NULL),(15,2040921,'1987-05-15 00:00:00',4,1,12,2004,'M','N','MARAPÉ','SANTOS','SP','125252251117571411546619375113610126042',12353,'9998',48.50,1,3,NULL),(15,2040930,'1990-03-02 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241217121431456831576122610163057',1017,'737',73.44,1,3,NULL),(15,2040956,'1988-08-07 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241235472431338734572124610132142',2403,'270',67.90,3,3,NULL),(15,2040972,'1978-08-15 00:00:00',2,8,12,1995,'M','N','CENTRO','CURITIBA','PR','116161161125573441143344145124143265147',8798,'9998',54.01,1,2,1),(15,2040980,'1986-09-06 00:00:00',2,1,11,2004,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242241221133712546619595114610117042',18174,'266',40.02,1,3,NULL),(15,2040999,'1990-06-11 00:00:00',4,2,12,2007,'F','N','PONTO CHIC','IBIRAMA','SC','124241241116131431345724572122610121077',NULL,'348',0.00,1,2,1),(15,2041006,'1988-06-16 00:00:00',4,1,12,2005,'F','N','AHHÚ','CURITIBA','PR','116132161216571411478714575114610163187',NULL,'9998',0.00,1,3,NULL),(15,2041014,'1990-03-23 00:00:00',4,1,11,2007,'F','N','VILA ADYANNA','SAO JOSE DOS CAMPOS','SP','125254251217112411578614575122610165162',334,'9998',78.28,1,3,NULL),(15,2041022,'1991-07-29 00:00:00',4,2,12,2007,'F','N','CENTRO','BRUSQUE','SC','124242241215111431469819575112610134092',10110,'109',51.77,1,3,NULL),(15,2041030,'1990-02-08 00:00:00',2,1,12,2007,'M','N','CENTRO','NOVA TRENTO','SC','124242241215371431588711572124610117052',17652,'981',40.86,1,3,NULL),(15,2041049,'1987-07-04 00:00:00',4,8,12,2004,'F','N','PARQUE OSWALDO SELLA','CAMBE','PR','116162161216575431469931572112610144097',NULL,'9998',0.00,1,3,NULL),(15,2041057,'1990-07-19 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116242161215271451446631175221610167127',NULL,'9998',0.00,3,3,NULL),(15,2041065,'1989-09-07 00:00:00',2,1,12,2006,'F','N','JARDIM DO SALSO','PORTO ALEGRE','RS','120202201217571431338812341112610122057',10557,'9998',51.09,1,3,NULL),(15,2041073,'1988-09-23 00:00:00',4,1,12,2006,'M','N','LAGO SUL','LAGO SUL','DF','107072071237271231576823385122610162057',NULL,'9998',0.00,4,3,NULL),(15,2041081,'1989-10-27 00:00:00',4,3,11,2007,'F','N','CENTRO','CURITIBA','PR','116242161215422431237623571124610154192',NULL,'9998',0.00,1,3,NULL),(15,2041103,'1989-05-08 00:00:00',4,10,12,2006,'M','N','SÃO BASILIO','BRACO DO NORTE','SC','124241241116131431546419345132610111057',13523,'950',46.86,1,3,NULL),(15,2041111,'1989-03-17 00:00:00',4,1,12,2006,'M','N','BARÃO GERALDO','CAMPINAS','SP','125252251216411431359933455112610167112',7848,'9998',55.61,1,3,NULL),(15,2041120,'1990-03-20 00:00:00',4,1,12,2007,'F','N','VILA JONES','AMERICANA','SP','125252251217121431378922575122610138152',14643,'9998',45.21,1,3,NULL),(15,2041138,'1991-02-15 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431349934575124610168112',NULL,'1022',42.63,1,3,NULL),(15,2041146,'1988-05-29 00:00:00',2,10,12,2005,'M','N','CENTRO','LAGUNA','SC','124241241117132431647611332124610161092',16894,'521',42.02,1,2,1),(15,2041162,'1990-08-30 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241315111431255611572324610165142',NULL,'269',23.10,1,3,NULL),(15,2041170,'1990-04-05 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241215111421469921575112610124082',14525,'270',45.37,1,3,NULL),(15,2041189,'1990-04-04 00:00:00',4,1,12,2007,'M','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241145141431533612345122610133175',NULL,'941',23.72,1,2,1),(15,2041197,'1989-10-04 00:00:00',2,1,12,2006,'M','N','JARDIM LEOPOLDINA','PORTO ALEGRE','RS','120202201216472431568631175124610147042',4587,'9998',62.03,2,3,NULL),(15,2041219,'1988-09-19 00:00:00',4,1,12,2005,'F','N','BATEL','CURITIBA','PR','116162161215571431468911575122610122192',NULL,'9998',0.00,1,3,NULL),(15,2041227,'1989-03-24 00:00:00',4,8,12,2006,'F','N','SAGUAÇU','JOINVILLE','SC','124243241215472431479933575125610163182',299,'457',78.75,4,3,NULL),(15,2041235,'1989-01-17 00:00:00',4,8,12,2006,'M','N','SÃO BENTO BAIXO','NOVA VENEZA','SC','124244246215271441258644345124610168182',20369,'995',36.11,1,3,NULL),(15,2041243,'1991-04-04 00:00:00',2,1,12,2007,'F','N','CENTRO','SINOP','MT','111113111217111711553933575121610147097',15070,'9998',44.71,1,3,NULL),(15,2041260,'1989-05-28 00:00:00',4,2,12,2006,'M','N','ASILO','BLUMENAU','SC','124241241231212441528615112111612916171',1819,'87',69.88,4,1,2),(15,2041278,'1988-10-02 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431465823431122130524182',4405,'270',62.46,1,3,NULL),(15,2041286,'1990-01-22 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124244241435111451488952175124610128142',9102,'272',53.46,1,3,NULL),(15,2041294,'1988-11-02 00:00:00',2,1,11,2006,'M','N','MORADA DA COLINA','RESENDE','RJ','121212211217571731578611571114610167051',4588,'9998',62.03,1,3,NULL),(15,2041308,'1988-03-07 00:00:00',4,8,12,2005,'F','N','PARQUE CONTINENTAL','SAO PAULO','SP','125252251216571431548814575124610167142',2201,'9998',68.60,1,3,NULL),(15,2041324,'1988-11-18 00:00:00',4,1,2,2005,'M','N','MONTESE','FORTALEZA','CE','106061061116471411538611575124242264097',10145,'9998',51.72,1,3,NULL),(15,2041332,'1978-02-18 00:00:00',4,1,11,1996,'M','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124242241237433751558511272124333267117',8065,'270',55.25,1,3,NULL),(15,2041340,'1990-12-03 00:00:00',4,4,12,2007,'M','N','CENTRO','ABELARDO LUZ','SC','124241241136141431336714345125610128057',NULL,'4',0.00,1,3,NULL),(15,2041359,'1986-10-01 00:00:00',4,7,12,2003,'M','N','CENTRO','JABORA','SC','124243242216141421436914442122610147047',NULL,'836',0.00,1,3,NULL),(15,2041367,'1990-07-01 00:00:00',4,1,11,2007,'F','N','PIATAN','SALVADOR','BA','105052051217121531468932572124610147092',NULL,'9998',0.00,4,3,NULL),(15,2041375,'1989-09-04 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217372431469933572122610164012',934,'262',73.87,1,3,NULL),(15,2041383,'1989-08-23 00:00:00',4,1,11,2006,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251215471431467934475124610127052',4015,'9998',63.41,1,3,NULL),(15,2041391,'1990-04-08 00:00:00',4,8,12,2007,'M','N','CENTRO','SAO BENTO DO SUL','SC','124241241111141431338811394122610147147',3606,'697',64.47,1,3,NULL),(15,2041405,'1988-10-12 00:00:00',4,1,12,2006,'M','N','VILA MATHIAS','SANTOS','SP','125252251117471411569814575112143264187',3186,'9998',65.58,1,3,NULL),(15,2041413,'1987-11-21 00:00:00',2,1,12,2004,'M','N','VILA IZABEL','CURITIBA','PR','116164161116571451349834572114610127042',NULL,'9998',0.00,1,3,NULL),(15,2041421,'1990-11-20 00:00:00',4,1,12,2007,'M','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','123242241215472451468712295114610134097',10079,'270',51.82,1,3,NULL),(15,2041430,'1987-12-28 00:00:00',4,1,12,2005,'F','N','VILA MAZZEI','SANTO ANDRE','SP','125252251216571421466314575124610138097',1248,'9998',72.28,1,3,NULL),(15,2041448,'1988-12-30 00:00:00',4,1,7,2006,'F','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124286281615472431559913576124610137075',667,'9998',75.63,1,3,NULL),(15,2041456,'1990-05-04 00:00:00',4,8,11,2007,'M','N','CAIÇARAS','LONDRINA','PR','116162161215111431488812475122610164042',4274,'9998',62.75,1,3,NULL),(15,2041464,'1982-08-03 00:00:00',2,1,12,2000,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124243243226273421134352185124133213152',12071,'445',48.89,1,3,NULL),(15,2041472,'1990-03-04 00:00:00',4,1,4,2007,'M','N','CENTRO','SAO JOSE','SC','124242241115472431486812595124610166172',671,'739',75.61,1,3,NULL),(15,2041480,'1987-04-25 00:00:00',2,1,12,2003,'M','N','CENTRO','PORTO ALEGRE','RS','120203202117471431436614285124141036187',11041,'9998',50.39,1,3,NULL),(15,2041499,'1989-01-24 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215372431438429592122610167012',17608,'259',40.92,1,3,NULL),(15,2041502,'1990-05-07 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124243241117271431444634572124610116147',16157,'257',43.13,1,3,NULL),(15,2041510,'1989-06-05 00:00:00',2,3,12,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215232431325923385121610167157',15066,'44',44.71,1,3,NULL),(15,2041529,'1989-08-23 00:00:00',4,1,12,2006,'M','N','PINHEIROS','SAO PAULO','SP','125122121217571411589911571125610137012',11338,'9998',49.93,1,3,NULL),(15,2041537,'1990-01-10 00:00:00',4,1,12,2007,'M','N','MOINHO VELHO','SAO PAULO','SP','125252251117371431238823575124610167072',8880,'9998',53.86,1,3,NULL),(15,2041545,'1990-02-14 00:00:00',2,4,11,2007,'F','N','VILA A','FOZ DO IGUACU','PR','116162161216271411566614282122610124042',NULL,'9998',18.05,1,3,NULL),(15,2041553,'1988-09-09 00:00:00',4,1,12,2005,'M','N','ZONA SETE','MARINGA','PR','116162161212571431347717575125610168197',15766,'9998',43.73,1,3,NULL),(15,2041561,'1989-05-05 00:00:00',2,4,12,2007,'F','N','SUFIATTI','XANXERE','SC','124241248124131431522219241113610115147',NULL,'841',31.79,1,2,1),(15,2041588,'1990-09-19 00:00:00',4,4,12,2007,'M','N','NITERÓI','SEARA','SC','124241241336151431343419395112610127052',12943,'763',47.66,4,3,NULL),(15,2041600,'1982-11-01 00:00:00',2,1,12,2000,'M','N','KOBRASOL','SAO JOSE','SC','124242241216574431266924575114133237097',1669,'262',70.49,1,3,NULL),(15,2041618,'1985-10-18 00:00:00',4,1,12,2003,'M','N','KOBRASOL','SAO JOSE','SC','124243241215375431247711315144230244172',2827,'737',66.68,1,3,NULL),(15,2041626,'1990-02-19 00:00:00',4,4,12,2007,'M','N','LÍDER','CHAPECO','SC','124241241316151431569933575122610117047',NULL,'171',27.78,1,3,NULL),(15,2041642,'1988-09-02 00:00:00',4,5,12,2005,'M','N','RIO BRANCO','PORTO ALEGRE','RS','120202201216572431478735571114143236142',NULL,'9998',0.00,1,3,NULL),(15,2041669,'1960-09-16 00:00:00',2,1,12,1981,'M','N','CAMPECHE','FLORIANOPOLIS','SC','224241243226155411463141391112321926182',17926,'303',40.45,1,3,NULL),(15,2041677,'1989-07-01 00:00:00',4,1,12,2006,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241216473711578733575124230264197',3096,'1022',65.85,2,3,NULL),(15,2041685,'1986-01-27 00:00:00',2,1,7,2005,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241125472441443323344114610167187',8594,'281',54.36,1,2,1),(15,2041693,'1990-08-17 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215371431545319396122610147142',17417,'210',41.20,1,3,NULL),(15,2041707,'1989-07-07 00:00:00',2,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241136312421568621145122610127043',8617,'281',54.31,1,2,1),(15,2041715,'1989-05-23 00:00:00',4,9,12,2006,'F','N','CENTRO','BOM RETIRO','SC','124241241115471731536712231125610114185',19002,'95',38.67,1,3,NULL),(15,2041723,'1989-12-27 00:00:00',4,10,11,2006,'M','N','OFICINAS','TUBARAO','SC','124242241215474431476935375112610154192',1307,'807',72.05,1,3,NULL),(15,2041731,'1990-10-18 00:00:00',4,1,11,2007,'M','N','CENTRO','CURITIBA','PR','116162161215121421358734575124610164051',6877,'9998',57.39,4,3,NULL),(15,2041758,'1990-07-11 00:00:00',2,8,12,2007,'M','N','PAULAS','SAO FRANCISCO DO SUL','SC','124241241115161431546614442124610164137',17997,'710',40.32,1,2,1),(15,2041766,'1990-07-28 00:00:00',4,8,10,2007,'M','N','BATEL','CURITIBA','PR','116162161216411431347821571122610167042',10677,'9998',50.90,1,3,NULL),(15,2041782,'1985-06-11 00:00:00',2,9,6,2003,'M','N','CENTRO','LAGES','SC','124242247211473411456622325112130217042',NULL,'497',0.00,1,3,NULL),(15,2041790,'1991-05-28 00:00:00',2,1,11,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215151431469931575114610127042',14804,'1022',45.01,1,3,NULL),(15,2041812,'1987-04-11 00:00:00',2,1,11,2004,'F','N','CAMPINAS','SAO JOSE','SC','224244241215574431243351314124131024177',8348,'213',54.78,1,3,NULL),(15,2041820,'1990-03-28 00:00:00',4,1,11,2007,'F','N','MORADA DO OURO','CUIABA','MT','111112111217111431489831572122610164142',5834,'9998',59.39,1,3,NULL),(15,2041847,'1988-02-25 00:00:00',2,1,12,2005,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241317371431423661482114610147157',NULL,'307',22.54,1,3,NULL),(15,2041871,'1990-01-22 00:00:00',4,4,11,2007,'M','N','CENTRO','ERECHIM','RS','120202201217271431556712475112610127012',327,'9998',78.46,1,3,NULL),(15,2041880,'1988-12-03 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124251251136131432433324295114610133077',22436,'9998',29.91,1,2,1),(15,2041898,'1988-08-02 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215473431646623595114610167047',5269,'1022',60.58,1,3,NULL),(15,2041901,'1989-01-04 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124212241217371411238629392114610117047',21095,'269',34.66,1,3,NULL),(15,2041910,'1990-11-23 00:00:00',4,8,11,2007,'F','N','CENTRO','CURITIBA','PR','116112161216171731487516245124610164072',NULL,'9998',0.00,3,3,NULL),(15,2041928,'1989-06-26 00:00:00',4,1,12,2006,'M','N','JARDIM SÃO LUIZ','SUZANO','SP','125252251216472211358834581124610164183',10007,'9998',51.92,1,3,NULL),(15,2041936,'1982-01-11 00:00:00',4,1,12,1999,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241126272721451149192124320863057',2258,'307',68.40,1,2,1),(15,2041952,'1950-10-12 00:00:00',4,1,12,1972,'M','N','BARREIROS','SAO JOSE','SC','624241241127153412383443231122320434097',13193,'307',47.34,1,3,NULL),(15,2041979,'1990-07-15 00:00:00',4,8,12,2007,'F','N','ITAPOCU','ARAQUARI','SC','124241241346121731655336575124610128142',13619,'486',46.72,1,3,NULL),(15,2041987,'1986-06-09 00:00:00',4,1,12,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241248217373431366313445124230227045',NULL,'9999',21.75,1,3,NULL),(15,2042010,'1980-10-16 00:00:00',4,10,12,1998,'M','N','OFICINAS','TUBARAO','SC','124242241215471751663439492122331338047',12552,'806',48.21,1,3,NULL),(15,2042029,'1989-01-16 00:00:00',4,1,12,2006,'F','N','CENTRO','PALHOCA','SC','124051051117142411568613345324610166072',11421,'9998',49.81,1,2,1),(15,2042037,'1989-08-12 00:00:00',4,1,11,2006,'F','N','CENTRO','CRICIUMA','SC','124242241215372431339514372114610135187',NULL,'226',0.00,1,3,NULL),(15,2042053,'1984-10-17 00:00:00',4,1,12,2001,'M','N','NOSSA SENHORA DO ROS','SAO JOSE','SC','124242241217375731579933571124231067097',3600,'266',64.48,1,3,NULL),(15,2042070,'1985-09-05 00:00:00',2,1,12,2002,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241116135431336529341333610125097',9672,'307',52.46,1,2,1),(15,2042088,'1987-02-28 00:00:00',4,8,12,2004,'F','N','TABOÃO','CURITIBA','PR','116162161316572411658719472124610165077',NULL,'9998',0.00,4,3,NULL),(15,2042100,'1989-10-24 00:00:00',2,5,11,2006,'M','N','SANTA LUZIA','CRICIUMA','SC','124241246415372421536634345134610163092',9750,'995',52.34,1,3,NULL),(15,2042118,'1989-06-27 00:00:00',4,5,11,2006,'M','N','CENTRO','CRICIUMA','SC','124241246415372421645611315132610164042',2815,'995',66.71,1,3,NULL),(15,2042126,'1987-01-28 00:00:00',4,1,12,2004,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215274521479813345132131027067',3207,'270',65.52,1,3,NULL),(15,2042134,'1988-11-07 00:00:00',4,1,12,2006,'F','N','VILA MARCONDES','CARAPICUIBA','SP','125252251215471731455834572122610154072',20053,'9998',36.72,1,3,NULL),(15,2042142,'1980-10-18 00:00:00',4,1,12,1999,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124212211216111421568813442122341132092',9945,'9998',52.02,1,3,NULL),(15,2042150,'1990-06-06 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241215111532456413576124610137065',22059,'269',32.06,1,3,NULL),(15,2042169,'1989-01-18 00:00:00',4,5,12,2006,'M','N','CENTRO','URUSSANGA','SC','124242246216272431446832415124610137072',5633,'188',59.81,1,3,NULL),(15,2042193,'1988-07-26 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','624241241215213431647633495124231047097',15643,'260',43.88,1,3,NULL),(15,2042207,'1990-07-25 00:00:00',4,2,2,2008,'F','N','CENTRO','POMERODE','SC','124243241115131441436412232122610136017',19237,'621',38.28,1,3,NULL),(15,2042215,'1989-04-06 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241232272431578933574124130623017',5376,'1022',60.32,1,3,NULL),(15,2042223,'1990-09-19 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431256713572112610132062',5621,'270',59.82,1,3,NULL),(15,2042231,'1989-06-23 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124243241111372411437633391112610112072',19359,'271',38.08,1,3,NULL),(15,2042240,'1987-04-14 00:00:00',2,1,12,2005,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241316572441446613275124133247042',11575,'298',49.59,1,3,NULL),(15,2042258,'1989-04-10 00:00:00',4,1,11,2006,'F','N','COLONINHA','ARARANGUA','SC','124242241215372531569812572124121464192',420,'32',77.46,1,3,NULL),(15,2042266,'1991-08-17 00:00:00',2,1,12,2007,'F','N','BARRA DO ARIRIÚ','PALHOCA','SC','124241241115131431434723132124610142152',20857,'592',35.18,1,3,NULL),(15,2042274,'1972-01-29 00:00:00',2,1,8,1996,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','224241247327473421443654246224130222143',13658,'1003',46.67,1,3,NULL),(15,2042282,'1989-10-27 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124244241111121451446624242123610167147',18884,'1036',38.86,1,3,NULL),(15,2042290,'1988-11-14 00:00:00',4,8,11,2006,'F','N','CENTRO','CURITIBA','PR','116162161215471411563622571122610132141',2037,'9998',69.14,1,3,NULL),(15,2042304,'1988-02-20 00:00:00',4,1,12,2005,'M','N','CENTRO','IMBUIA','SC','124241241112131431526913315132131112072',NULL,'364',23.15,1,3,NULL),(15,2042312,'1988-07-20 00:00:00',4,10,12,2005,'F','N','DEHON','TUBARAO','SC','124241248127141431333349495222610134147',20302,'608',36.23,1,2,1),(15,2042355,'1987-10-31 00:00:00',2,1,12,2005,'M','N','KOBRASOL','SAO JOSE','SC','124242241212311451114639295125610158142',13091,'817',47.46,1,3,NULL),(15,2042363,'1990-06-26 00:00:00',4,4,11,2007,'F','N','CENTRO','FOZ DO IGUACU','PR','116163161237151431458933575114610161142',2694,'9998',67.04,1,3,NULL),(15,2042371,'1950-04-27 00:00:00',2,1,12,2001,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241142135411121149192224610144047',NULL,'290',32.42,5,3,NULL),(15,2042380,'1991-02-12 00:00:00',2,8,12,2007,'M','N','CENTRO','RIO NEGRINHO','SC','124243241415271431368923575122610127042',10619,'666',51.00,1,3,NULL),(15,2042401,'1990-07-14 00:00:00',2,1,12,2007,'M','N','MAR GROSSO','LAGUNA','SC','124242241215111431564832575124610136092',5715,'270',59.64,1,3,NULL),(15,2042410,'1989-03-12 00:00:00',2,1,11,2006,'F','N','XAXIM','CURITIBA','PR','116162161216571431438912222112610132072',NULL,'9998',26.12,1,3,NULL),(15,2042428,'1986-04-30 00:00:00',4,3,11,2003,'M','N','CENTRO','ITAPEMA','SC','124242241215373431658919242123130737052',10765,'403',50.79,1,3,NULL),(15,2042436,'1982-04-16 00:00:00',4,1,12,1999,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241416373421338919495124321122187',5985,'270',59.10,1,3,NULL),(15,2042444,'1989-03-30 00:00:00',4,1,12,2006,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124244241117271431536621575124610162092',3425,'306',64.93,1,3,NULL),(15,2042452,'1983-05-10 00:00:00',4,1,12,2002,'M','N','CENTRO','PASSO FUNDO','RS','120203201417131321333749195333610118037',19030,'9998',38.63,1,3,NULL),(15,2042479,'1985-07-16 00:00:00',4,1,12,2002,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241116154431467932421124223244012',8910,'306',53.81,1,2,1),(15,2042487,'1989-10-17 00:00:00',4,10,11,2006,'M','N','CENTRO','IMBITUBA','SC','124243241114132411537611372344610117017',1203,'359',72.46,1,3,NULL),(15,2042495,'1989-02-04 00:00:00',2,5,12,2006,'F','N','COMERCIARIO','CRICIUMA','SC','124241241137131731534639375114130221142',NULL,'209',17.83,1,3,NULL),(15,2042517,'1990-05-28 00:00:00',4,4,12,2007,'F','N','ANTONIO PAGLIA','PONTE SERRADA','SC','124241241116161431555412341122610168052',NULL,'629',0.00,4,3,NULL),(15,2042533,'1988-06-20 00:00:00',4,5,6,2006,'M','N','SANTA AUGUSTA','CRICIUMA','SC','124242246215371431556914492124610132092',3624,'995',64.41,1,3,NULL),(15,2042550,'1989-02-14 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241217272441634619185114610164186',13765,'883',46.52,1,3,NULL),(15,2042568,'1988-10-29 00:00:00',4,3,11,2005,'M','N','JARDIM PANORAMA','ARAPONGAS','PR','116162161215113411378831591311610161192',4288,'9998',62.73,3,3,NULL),(15,2042576,'1990-01-31 00:00:00',2,9,11,2007,'F','N','JARDIM MINUANO','SAO JOAQUIM','SC','124242168215471741347933575125610166097',7222,'9998',56.74,1,3,NULL),(15,2042584,'1989-04-12 00:00:00',4,1,12,2006,'M','N','ZONA SETE','MARINGA','PR','116162161217572441569933585124610118012',6916,'9998',57.31,1,3,NULL),(15,2042592,'1980-02-05 00:00:00',4,1,12,1997,'F','N','SERRARIA','SAO JOSE','SC','124241241136134411444623444334133236042',10748,'307',50.81,1,2,1),(15,2042606,'1987-03-21 00:00:00',2,1,12,2003,'F','N','CAMPO DUNA','GAROPABA','SC','124241241126372411434953291122232711047',NULL,'322',0.00,1,3,NULL),(15,2042614,'1989-01-06 00:00:00',4,1,12,2006,'M','N','ALPHAVILLE','SANTANA DE PARNAIBA','SP','125162251417572751589932222114610167017',12688,'9998',48.00,1,3,NULL),(15,2042630,'1985-07-31 00:00:00',5,1,12,2003,'F','N','ASA NORTE','BRASILIA','DF','124244241417574441578733575122133263092',9141,'1022',53.37,1,3,NULL),(15,2042657,'1981-07-12 00:00:00',4,1,12,1999,'M','N','SERRARIA','SAO JOSE','SC','124241248116135421655539445133610122187',11668,'306',49.46,1,2,1),(15,2042673,'1988-01-02 00:00:00',4,1,11,2005,'M','N','ESTREITO','SAO PAULO','SP','124244246317213711456612382212131412092',13962,'1036',46.21,1,3,NULL),(15,2042681,'1988-04-05 00:00:00',2,1,12,2005,'M','N','MORANGUEIRA','MARINGA','PR','116163161335571431446531575223610167057',8306,'9998',54.84,1,3,NULL),(15,2042690,'1984-09-18 00:00:00',2,1,11,2002,'F','N','JARDIM PARAISO','BOTUCATU','SP','125251251117572431436629572214610132024',5698,'9998',59.68,2,2,1),(15,2042703,'1985-03-20 00:00:00',4,1,7,2007,'M','N','JARDIM JANAINA','BIGUACU','SC','124241247317131431444613345123610156057',21364,'9999',34.06,1,3,NULL),(15,2042738,'1990-07-08 00:00:00',4,7,12,2007,'M','N','CENTRO','JOACABA','SC','124241241132141431443519142324610154047',18570,'449',39.38,1,2,1),(15,2042762,'1987-07-09 00:00:00',2,1,11,2005,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241126372431634313242134610122187',16890,'307',42.02,4,2,1),(15,2042797,'1989-12-04 00:00:00',2,1,12,2007,'M','N','RATONES','FLORIANOPOLIS','SC','124242247215151412566811376114610131092',NULL,'9999',30.18,4,3,NULL),(15,2042800,'1989-02-05 00:00:00',4,1,12,2006,'M','N','COHAB','SANANDUVA','RS','120201201116271441323579382124610122042',13007,'9998',47.59,1,2,1),(15,2042819,'1987-07-01 00:00:00',4,6,11,2004,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241211154431538831591335610167051',4964,'9997',61.17,3,3,NULL),(15,2042843,'1981-07-10 00:00:00',4,1,12,1998,'M','N','BARREIROS','SAO JOSE','SC','124242241216132421236329485112321127047',17581,'269',40.96,1,3,NULL),(15,2042851,'1988-12-20 00:00:00',4,1,12,2005,'F','N','FORQUILHINHAS','SAO JOSE','SC','124204201216472421338319592224610124011',12379,'9998',48.45,4,1,2),(15,2042860,'1988-04-08 00:00:00',4,1,12,2005,'F','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124242241215372431458829395124121444047',1010,'269',73.47,1,3,NULL),(15,2042878,'1989-08-07 00:00:00',4,2,12,2006,'F','N','GARCIA','BLUMENAU','SC','124242241217472431458919572122610143142',5237,'855',60.64,1,3,NULL),(15,2042894,'1987-04-20 00:00:00',2,2,12,2005,'M','N','JARDIM RASSLEM','DOURADOS','MS','112123121216571441445529574124610167017',1418,'9998',71.56,1,3,NULL),(15,2042908,'1989-01-18 00:00:00',2,8,12,2006,'F','N','SÃO LUÍS','JARAGUA DO SUL','SC','124241241216371411469933575124610163181',2126,'441',68.89,1,3,NULL),(15,2042916,'1988-11-27 00:00:00',4,2,11,1988,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241217472411579811571121610126161',2799,'87',66.74,1,3,NULL),(15,2042940,'1983-12-26 00:00:00',2,1,12,2001,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','124244241316275431238623441334131361073',15028,'1036',44.76,2,3,NULL),(15,2042959,'1989-10-24 00:00:00',2,1,1,2008,'F','N','CAPÃO DA CRUZ','SAPUCAIA DO SUL','RS','120201201117371231357734575124610124042',18637,'9998',39.26,1,2,1),(15,2042967,'1990-02-10 00:00:00',4,2,12,2007,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241117171731547614585111610164072',19181,'84',38.38,1,3,NULL),(15,2042975,'1990-04-10 00:00:00',4,3,12,2007,'F','N','FARROUPILHA','PORTO ALEGRE','RS','116162201216471451459831572224610124197',NULL,'9998',0.00,4,3,NULL),(15,2042983,'1986-08-23 00:00:00',2,1,12,2007,'M','N','SAO BENEDITO','GUARATINGUETA','SP','125251257135571631436719195123610167047',17848,'9999',40.60,1,2,1),(15,2042991,'1989-01-25 00:00:00',4,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161215472731458931572315610134012',6735,'9998',57.67,1,3,NULL),(15,2043009,'1978-09-27 00:00:00',4,1,12,1997,'M','N','CANTO','FLORIANOPOLIS','SC','624242241217134431127854385322330217057',9963,'270',51.99,1,3,NULL),(15,2043017,'1987-01-27 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241237471431448712574124610114041',12578,'1048',48.17,1,3,NULL),(15,2043025,'1985-12-20 00:00:00',4,1,12,2003,'M','N','CALEGARIS','PAULINIA','SP','125253251336371711558611115121140226052',18343,'9998',39.72,1,3,NULL),(15,2043033,'1989-08-02 00:00:00',4,8,12,2006,'M','N','CENTRO','FLORIDA PAULISTA','SP','125253251216471431448631575122610137057',NULL,'9998',0.00,1,3,NULL),(15,2043068,'1980-08-20 00:00:00',2,1,12,2000,'F','N','INGLESES','FLORIANOPOLIS','SC','224241241427131431424354342324142725147',21800,'977',32.96,4,3,NULL),(15,2043076,'1984-10-28 00:00:00',2,1,12,2002,'M','N','JARDIM ELDORADO','PALHOCA','SC','124241241126474431134444344114610122192',5241,'591',60.63,1,2,1),(15,2043092,'1988-12-27 00:00:00',2,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124241241215412751421122574114610166183',4394,'737',62.49,3,3,NULL),(15,2043106,'1988-05-12 00:00:00',2,1,12,2005,'F','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124242241216373331446524572124610162182',5226,'299',60.66,1,3,NULL),(15,2043114,'1989-06-28 00:00:00',2,1,11,2006,'M','N','VILA ADYANA','SAO JOSE DOS CAMPOS','SP','125252251215472131177923395111610167042',11842,'9998',49.19,1,3,NULL),(15,2043122,'1986-01-09 00:00:00',2,1,12,2004,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124242245225374551455512295124610127057',21776,'269',33.03,1,3,NULL),(15,2043130,'1985-07-10 00:00:00',4,2,12,2002,'F','N','VILA RAU','JARAGUA DO SUL','SC','124241241346272411333312345122130215097',11639,'432',49.49,1,3,NULL),(15,2043149,'1988-09-12 00:00:00',4,3,12,2005,'F','N','CENTRO','MARIALVA','PR','116163161216572411318869572312612462127',7098,'9998',56.97,4,3,NULL),(15,2043157,'1978-06-20 00:00:00',4,1,11,1995,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215375431126844345124121443186',1688,'213',70.42,1,3,NULL),(15,2043165,'1987-02-05 00:00:00',4,1,12,2004,'M','N','MOEMA','SAO PAULO','SP','125252251217151711338822196122242864172',NULL,'9998',0.00,1,3,NULL),(15,2043173,'1989-11-30 00:00:00',4,3,12,2006,'F','N','SUMARÉ','PARANAVAI','PR','116163161215472431558814474125610124047',10216,'9998',51.60,1,3,NULL),(15,2043181,'1990-07-27 00:00:00',2,8,11,2007,'F','N','PORTÃO','CURITIBA','PR','116162161217121231369612574112610137077',3109,'9998',65.83,1,3,NULL),(15,2043190,'1987-12-11 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANOPOLIS','SC','124243241215472431258919472344131232072',8629,'541',54.29,1,3,NULL),(15,2043203,'1986-05-26 00:00:00',4,1,4,2007,'F','N','TUPI','BELO HORIZONTE','MG','113131136117131431423319572224241424092',3656,'9998',64.34,4,2,1),(15,2043211,'1990-06-20 00:00:00',4,1,12,2007,'M','N','VILA BERNARDES','ARAPONGAS','PR','116161161117471211554432576122610117072',18875,'9998',38.88,1,2,1),(15,2043238,'1987-02-14 00:00:00',4,1,12,2004,'M','N','JARDIM MINEZOTA','SUMARE','SP','125251255116131421336624385124610167047',NULL,'9998',0.00,1,2,1),(15,2043246,'1985-10-09 00:00:00',4,1,12,2002,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124201201117272431236944342224232233097',13298,'9998',47.18,1,3,NULL),(15,2043254,'1987-06-28 00:00:00',2,1,6,2005,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241122131431224374282224610121187',17514,'307',41.06,5,2,1),(15,2043262,'1980-10-02 00:00:00',2,1,12,1997,'M','N','CIDADE UNIVERSITÁRIA','BAURU','SP','125251251216572431379511475122342627041',246,'9998',79.38,1,3,NULL),(15,2043270,'1982-03-25 00:00:00',4,1,12,2000,'M','N','SANTIAGO','CONCEICAO DA BARRA','ES','108083088417131411333821315221610142021',NULL,'9998',0.00,4,3,NULL),(15,2043289,'1987-03-02 00:00:00',4,1,12,2005,'M','N','CENTRO','BERNARDINO DE CAMPOS','SP','125252251435371412518813571114610166052',NULL,'9998',0.00,1,3,NULL),(15,2043297,'1982-11-09 00:00:00',4,1,12,2001,'M','N','ESTREITO','FLORIANOPOLIS','SC','124244246135155421336621195124220867017',6173,'306',58.70,1,3,NULL),(15,2043300,'1991-04-03 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124243241211371431644879572124610167097',19130,'1048',38.47,1,3,NULL),(15,2043327,'1989-10-08 00:00:00',4,8,12,2007,'F','N','BOA VISTA','JOINVILLE','SC','124244241215151431577614575122610166092',NULL,'494',0.00,1,3,NULL),(15,2043343,'1989-08-01 00:00:00',4,8,12,2006,'F','N','CENTRO','PEREIRA BARRETO','SP','125252251216471431475812585125610122182',10893,'9998',50.63,4,3,NULL),(15,2043351,'1980-07-08 00:00:00',5,3,12,1997,'F','N','PRAIA DOS AMORES','BALNEARIO CAMBORIU','SC','124253251117151421468314445124342226123',3979,'9998',63.51,1,3,NULL),(15,2043360,'1990-10-06 00:00:00',2,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215121532456923572114610124182',19269,'1036',38.23,1,3,NULL),(15,2043378,'1971-06-29 00:00:00',4,1,12,1988,'M','N','BARREIROS','SAO JOSE','SC','524242241327373421123649192334610124067',9805,'307',52.25,1,3,NULL),(15,2043394,'1988-11-03 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241117332431259513346224610136097',18573,'295',39.37,1,2,1),(15,2043408,'1984-12-21 00:00:00',4,1,12,2002,'F','N','ITAGUAÇÚ','FLORIANOPOLIS','SC','124242241415271741326629195124231363187',20284,'596',36.26,4,1,2),(15,2043416,'1984-04-28 00:00:00',2,1,7,2003,'F','N','PANTANAL','FLORIANOPOLIS','SC','124201207316472711216614285124610148177',14386,'9999',45.58,1,3,NULL),(15,2043424,'1987-08-28 00:00:00',4,1,12,2004,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215573431389921575112133223015',6709,'270',57.71,1,3,NULL),(15,2043432,'1985-03-26 00:00:00',4,9,12,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124241247147131431645429241331610122177',14216,'1000',45.85,1,3,NULL),(15,2043459,'1991-01-29 00:00:00',4,4,12,2007,'M','N','COUNTRY','CASCAVEL','PR','116162161247111531649839325125610168192',NULL,'9998',0.00,1,3,NULL),(15,2043475,'1986-02-03 00:00:00',4,1,12,2004,'F','N','ESTREITO','FLORIANOPOLIS','SC','124041247135371412246673395124610126182',7269,'9999',56.66,4,2,1),(15,2043483,'1990-02-14 00:00:00',4,5,11,2007,'F','N','CANTRO','ORLEANS','SC','124241241316111431324334472122610117142',NULL,'820',28.86,1,3,NULL),(15,2043491,'1990-05-13 00:00:00',2,4,12,2007,'M','N','PIONEIROS','ITA','SC','124241241117121431568954572121610148147',17922,'384',40.46,4,2,1),(15,2043505,'1989-10-04 00:00:00',2,7,12,2006,'F','N','CENTRO','MAXIMILIANO DE ALMEIDA','RS','120201201121371751533619391314610127147',17651,'9998',40.86,1,3,NULL),(15,2043513,'1989-09-29 00:00:00',2,1,11,2006,'F','N','KOBRASOL','SAO JOSE','SC','124243241417431411645622242135610112014',NULL,'1036',10.89,1,3,NULL),(15,2043521,'1989-08-24 00:00:00',4,3,12,2006,'F','N','ZONA TRES','MARINGA','PR','116162161216471451335569575122610163147',NULL,'9998',0.00,1,3,NULL),(15,2043530,'1989-10-15 01:00:00',4,4,12,2006,'F','N','COUNTRY','CASCAVEL','PR','116162161237111321689939327125241064177',NULL,'9998',0.00,1,3,NULL),(15,2043556,'1986-12-17 00:00:00',4,7,11,2004,'M','N','INTERIOR','ZORTEA','SC','124241242116131411533923482124230313172',NULL,'8',0.00,1,3,NULL),(15,2043564,'1989-08-13 00:00:00',2,4,12,2006,'F','N','PINHEIRINHO','PATO BRANCO','PR','116162161216371431346923475122610122052',12289,'9998',48.58,1,3,NULL),(15,2043572,'1987-05-19 00:00:00',2,1,11,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241212574731255963472224131467117',12405,'260',48.42,1,3,NULL),(15,2043580,'1990-02-06 00:00:00',4,1,11,2007,'F','N','SANTA TEREZA','VIDEIRA','SC','124242241215112231258731375122610161183',16403,'969',42.75,1,3,NULL),(15,2043599,'1990-06-11 00:00:00',4,10,12,2007,'M','N','CENTRO','BAGE','RS','120202201117151432338937575112610117055',19561,'9998',37.71,1,3,NULL),(15,2043602,'1987-06-20 00:00:00',4,9,12,2004,'M','N','SANTA CATARINA','LAGES','SC','124242241215574431338522575112610167017',2481,'497',67.66,1,3,NULL),(15,2043610,'1990-08-14 00:00:00',4,7,11,2007,'F','N','CENTRO','IPIRA','SC','124241241135131431523512575125610167147',NULL,'369',0.00,1,2,1),(15,2043629,'1989-10-30 00:00:00',4,8,12,2007,'M','N','GUANABARA','JOINVILLE','SC','124242247215311431458614472112610167017',21252,'9997',34.31,1,3,NULL),(15,2043645,'1985-08-18 00:00:00',5,1,12,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','224242241416273421238831345334121968181',2396,'943',67.94,1,3,NULL),(15,2043653,'1984-10-15 00:00:00',2,1,12,2002,'M','N','INGLESES','FLORIANOPOLIS','SC','124251251117471431123344345124610136062',17565,'9998',40.98,1,2,1),(15,2043661,'1991-02-19 00:00:00',4,1,12,2007,'F','N','CENTRO','CHAPADAO DO SUL','MS','112122121216161432458914575122610163072',NULL,'9998',0.00,1,3,NULL),(15,2043670,'1993-02-20 00:00:00',4,4,12,2009,'F','S','QUEDAS DO PALMITAL','CHAPECO','SC','124241241116151311448732595122610126012',NULL,'169',39.22,1,3,NULL),(15,2043688,'1988-05-12 00:00:00',2,6,12,2005,'F','N','JD PAULICEIA','CAMPINAS','SP','125252251216471731324833345132610162097',NULL,'9998',0.00,1,3,NULL),(15,2043696,'1990-05-31 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111411365412575122610168015',9312,'738',53.10,1,3,NULL),(15,2043718,'1990-04-23 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431356839572122610137047',20107,'270',36.61,1,3,NULL),(15,2043726,'1990-06-23 00:00:00',4,9,11,2007,'F','N','MARIA GORETTI','BENTO GONCALVES','RS','120202201216111411458711595122610147072',11029,'9998',50.41,1,3,NULL),(15,2043734,'1990-06-04 00:00:00',4,2,12,2007,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215152431368923435111610132112',9427,'909',52.90,1,3,NULL),(15,2043742,'1989-12-17 00:00:00',4,1,11,2007,'F','N','BELA VISTA','GOIANIA','GO','109092091217172431468812471112610162196',1444,'9998',71.48,1,3,NULL),(15,2043750,'1990-03-28 00:00:00',4,4,12,2007,'M','N','CENTRO','MONDAI','SC','124241241115271431468813411114610112052',15793,'564',43.69,1,2,1),(15,2043769,'1989-06-29 00:00:00',2,1,12,2006,'F','N','CENTRO','IMBITUBA','SC','124241241116131441439924245124230623147',20117,'1034',36.59,1,3,NULL),(15,2043777,'1990-07-18 00:00:00',2,5,11,2007,'F','N','CENTRO','ORLEANS','SC','124242241216271431527734285125610126147',12250,'581',48.65,1,3,NULL),(15,2043793,'1989-12-15 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124122241216152431548834577114610168017',191,'1118',80.10,1,3,NULL),(15,2043807,'1991-07-31 00:00:00',4,5,11,2008,'M','S','BARRO VERMELHO','ORLEANS','SC','124242241215111231449911575112610144122',NULL,'226',50.49,1,3,NULL),(15,2043815,'1985-06-03 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241216152431255563575124233222093',18922,'266',38.81,1,3,NULL),(15,2043823,'1990-02-28 00:00:00',4,7,12,2007,'F','N','CENTRO','SALTO VELOSO','SC','124243241335271731343621491125610124187',17634,'1113',40.89,1,3,NULL),(15,2043831,'1988-02-02 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215473531678831576122233225055',80,'270',82.13,1,3,NULL),(15,2043840,'1988-06-18 00:00:00',4,1,12,2005,'F','N','CENTRO','SANTA MARIA','RS','120202201216572531679911572115610125073',NULL,'9998',0.00,1,3,NULL),(15,2043866,'1990-12-10 00:00:00',4,1,12,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241116111431469913372124610123185',6595,'267',57.90,4,3,NULL),(15,2043874,'1982-06-02 00:00:00',2,8,12,1999,'M','N','VILA IPIRANGA','LONDRINA','PR','116161161317572731363939595122343214147',1347,'9998',71.89,1,3,NULL),(15,2043882,'1990-09-25 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215121411333512571122610132012',444,'737',77.27,4,3,NULL),(15,2043890,'1990-06-11 00:00:00',4,6,10,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124163241415371421343512274115610137182',18129,'44',40.10,1,3,NULL),(15,2043912,'1990-07-06 00:00:00',4,7,12,2007,'F','N','CENTRO','JOACABA','SC','124242241217131431336723595125610117047',15308,'962',44.39,1,3,NULL),(15,2043920,'1990-12-21 00:00:00',4,5,11,2007,'F','N','VERMELHO','ORLEANS','SC','124242241215111411437932575122610168142',11771,'581',49.30,1,3,NULL),(15,2043939,'1985-03-10 00:00:00',4,1,12,2003,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124243241214155441323649585124233238182',10050,'882',51.85,1,3,NULL),(15,2043947,'1990-10-27 00:00:00',4,9,12,2007,'F','N','SÃO FRANCISCO','BENTO GONCALVES','RS','120202201215371431248711591122610137072',14234,'9998',45.82,1,3,NULL),(15,2043963,'1989-07-29 00:00:00',4,1,12,2007,'M','N','ASA SUL','BRASILIA','DF','107072071217111431458812125121610167022',4879,'9998',61.36,1,3,NULL),(15,2043971,'1988-11-03 00:00:00',2,1,12,2005,'F','N','ARIRIÚ','PALHOCA','SC','124243241316373731345633575114221524187',6127,'592',58.81,1,3,NULL),(15,2043980,'1983-04-03 00:00:00',2,1,12,2004,'F','N','CARIANOS','FLORIANOPOLIS','SC','224171175146132451234359232224610128097',NULL,'9998',27.21,4,3,NULL),(15,2043998,'1989-05-17 00:00:00',4,6,12,2006,'M','N','FAZENDA','ITAJAI','SC','124202241215471431458611475112610127047',1372,'391',71.78,1,3,NULL),(15,2044005,'1969-09-09 00:00:00',2,1,12,1987,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241236155421178643431322120237112',NULL,'305',34.32,1,3,NULL),(15,2044021,'1989-05-13 00:00:00',4,9,12,2006,'M','N','VILA NOVA OSASCO','OSASCO','SP','125252251216471741469914575124610167042',NULL,'9998',0.00,1,3,NULL),(15,2044048,'1988-03-08 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124201241415574411434734271124610146147',2628,'270',67.22,1,3,NULL),(15,2044056,'1987-05-07 00:00:00',4,1,12,2004,'M','N','LIBERDADE','SAO PAULO','SP','125131131216471431557711575112140664182',3306,'9998',65.25,1,3,NULL),(15,2044072,'1989-07-05 00:00:00',2,1,12,2006,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124244241415372451437631571124610122092',21734,'1022',33.17,1,3,NULL),(15,2044099,'1988-10-24 00:00:00',4,4,12,2007,'F','N','CENTRO','XANXERE','SC','124242241237111431448931384122210131127',8567,'836',54.41,5,3,NULL),(15,2044102,'1988-08-02 00:00:00',4,1,8,2007,'M','N','SETOR BUENO','GOIANIA','GO','109132077217371712278831575125610163017',3116,'9999',65.80,1,3,NULL),(15,2044110,'1989-05-08 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431589913575124141026092',6095,'270',58.89,1,3,NULL),(15,2044137,'1990-04-23 00:00:00',4,1,12,2007,'F','N','MARCÍLIO DIAS','CANOINHAS','SC','124241241115131431423623432114610126147',20032,'150',36.75,1,3,NULL),(15,2044145,'1989-09-13 00:00:00',2,2,12,2006,'M','N','ZONA DOIS','CIANORTE','PR','116162163212371431234421293324610124113',4071,'9998',63.27,1,3,NULL),(15,2044153,'1990-08-28 00:00:00',4,4,11,2007,'F','N','CENTRO','ERECHIM','RS','120204201417131431423833372124610121197',1393,'9998',71.69,1,3,NULL),(15,2044170,'1990-11-29 00:00:00',4,4,12,2007,'M','N','CENTRO','ITAPIRANGA','SC','124241241116111131224329575224610166172',NULL,'412',0.00,1,2,1),(15,2044196,'1988-02-17 00:00:00',2,10,12,2005,'M','N','PROGRESSO','LAGUNA','SC','124241241117131331436614335124610147062',9735,'521',52.37,1,2,1),(15,2044200,'1988-03-24 00:00:00',2,1,11,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124243241212152441344413442124610133147',14516,'1003',45.38,1,3,NULL),(15,2044218,'1990-06-07 00:00:00',4,1,12,2007,'M','N','AUXILIADORA','PORTO ALEGRE','RS','120202201417121431457634395114610164052',NULL,'9998',0.00,1,3,NULL),(15,2044234,'1956-11-23 00:00:00',2,1,12,1977,'F','N','ITACORUBI','FLORIANOPOLIS','SC','524201243136131421224643232124330968097',20285,'518',36.26,1,3,NULL),(15,2044242,'1990-11-29 00:00:00',4,3,12,2007,'M','N','CENTRO','BOMBINHAS','SC','124243241216371431324419275114610164042',1127,'1119',72.89,4,3,NULL),(15,2044250,'1983-12-28 00:00:00',2,1,12,2001,'M','N','JD NOVO HORIZONTE','CARAPICUIBA','SP','125251251126372431544612144214610162047',13730,'9998',46.57,4,2,1),(15,2044269,'1988-04-25 00:00:00',4,5,12,2005,'M','N','CENTRO','CRICIUMA','SC','124242241216572431367719372122610167127',328,'9997',78.46,1,3,NULL),(15,2044277,'1988-08-16 00:00:00',2,1,12,2005,'M','N','JURERE','FLORIANOPOLIS','SC','124241248215273751543312492122610167047',11926,'272',49.07,1,3,NULL),(15,2044285,'1990-12-27 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECO','SC','124242241417471431469719275125610134012',903,'1046',74.04,1,3,NULL),(15,2044293,'1990-02-24 00:00:00',4,1,11,2006,'F','N','CENTRO','SANTA MARIA','RS','120202201213471431468831472124610138147',8427,'9998',54.65,1,3,NULL),(15,2044307,'1990-06-13 00:00:00',4,1,12,2007,'M','N','CIDADE NOVA','JACUPIRANGA','SP','125252251216271431458913375124610162017',13512,'9998',46.88,1,3,NULL),(15,2044323,'1990-06-01 00:00:00',2,1,11,2007,'F','N','PARQUE','FARROUPILHA','RS','120203201216131431446632571122610144197',NULL,'9998',24.07,1,3,NULL),(15,2044331,'1986-09-22 00:00:00',2,6,12,2003,'F','N','ZONA SETE','MARINGA','PR','116161161316572731617879292324610163097',8737,'9998',54.12,4,3,NULL),(15,2044340,'1989-04-28 00:00:00',2,1,12,2007,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','108241241117131431636524395124610163057',18265,'307',39.85,1,2,1),(15,2044358,'1990-02-04 00:00:00',4,1,10,2007,'M','N','JARDIM PANORAMA','SAO JOSE DO RIO PRETO','SP','125252251217121211689911574112610164172',3236,'9998',65.44,1,3,NULL),(15,2044366,'1990-06-04 00:00:00',4,7,11,2007,'M','N','CENTRO','VIDEIRA','SC','124244241216152432448832245124610132052',17249,'969',41.49,1,3,NULL),(15,2044382,'1988-11-01 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215111431538821495112610113017',17416,'299',41.20,1,3,NULL),(15,2044404,'1990-03-27 00:00:00',4,1,11,2007,'F','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241235121431579931495112610125092',16826,'855',42.12,1,3,NULL),(15,2044412,'1990-09-28 00:00:00',2,8,11,2007,'F','N','CENTRO','MONTE CASTELO','SC','124241241116161631347833575122610162147',NULL,'566',0.00,1,3,NULL),(15,2044420,'1987-12-01 00:00:00',2,2,12,2004,'F','N','JARDIM MARACANÃ','DOURADOS','MS','112124121216574141448724591124610133147',7703,'9998',55.86,1,3,NULL),(15,2044439,'1986-10-06 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117132431323511492124223067147',16253,'281',42.97,1,2,1),(15,2044447,'1956-10-05 00:00:00',4,1,12,1975,'M','N','JARDIM CARANDAÍ','FLORIANOPOLIS','SC','224201204127142431663343431124140262052',NULL,'9998',0.00,2,3,NULL),(15,2044463,'1987-11-05 00:00:00',2,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124241241117473411534511372124610121141',8311,'726',54.83,1,2,1),(15,2044480,'1990-09-03 00:00:00',2,1,12,2007,'F','N','BERNECK','MUNDO NOVO','MS','112121121116161411438719195111610167142',19518,'9998',37.79,1,2,1),(15,2044498,'1987-06-02 00:00:00',4,1,12,2005,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241117473711548911285114610164047',3830,'306',63.91,1,3,NULL),(15,2044528,'1986-02-06 00:00:00',2,1,12,2003,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124244243216132431527744245124130224077',NULL,'9997',41.60,1,3,NULL),(15,2044536,'1987-04-15 00:00:00',2,1,12,2004,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241247325272411453331145124610134097',16325,'9999',42.86,1,3,NULL),(15,2044544,'1987-07-15 00:00:00',4,1,12,2004,'M','N','JARDIM ANA EMILIA','TAUBATE','SP','125252253247471431466532282112140227057',12942,'9998',47.66,2,3,NULL),(15,2044552,'1992-04-22 00:00:00',4,7,12,2008,'F','S','CENTRO','IBIAM','SC','124241248124141721546912145121610118057',NULL,'343',42.88,1,3,NULL),(15,2044560,'1988-10-16 01:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215573331486821572125610164147',6946,'262',57.26,1,3,NULL),(15,2044579,'1990-08-02 00:00:00',4,4,12,2007,'F','N','CENTRO','XANXERE','SC','124243241215271431459933374122610123092',8346,'1081',54.78,4,3,NULL),(15,2044587,'1989-10-18 00:00:00',4,1,11,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215471441369923575121610124185',2600,'272',67.32,1,3,NULL),(15,2044595,'1991-04-17 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124243248117131431548719575124610134017',NULL,'733',25.48,1,3,NULL),(15,2044609,'1989-07-25 00:00:00',4,1,11,2007,'M','N','FLAMBOYAN','CUIABA','MT','111074111217111431368834572112610147132',5145,'9998',60.82,4,3,NULL),(15,2044625,'1984-01-01 00:00:00',2,1,12,2001,'M','N','PALHOCINHA','GAROPABA','SC','124241241126151411222341115124231412191',17747,'322',40.74,4,2,1),(15,2044633,'1987-04-24 00:00:00',4,1,12,2003,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215574431458937572124133264147',54,'269',82.82,1,3,NULL),(15,2044641,'1989-03-16 00:00:00',2,1,12,2006,'F','N','AREIAS DA PALHOCINHA','GAROPABA','SC','124201245135131411327671282114610135092',19790,'359',37.26,1,2,1),(15,2044650,'1988-11-23 00:00:00',2,1,12,2006,'M','N','ABRAAO','FLORIANOPOLIS','SC','124242241215372431457639575124610167123',4047,'270',63.35,1,3,NULL),(15,2044668,'1990-07-04 00:00:00',2,8,12,2007,'M','N','CENTRO','CORUPA','SC','124241241416161211448933275124610162057',20157,'203',36.52,1,3,NULL),(15,2044684,'1988-03-12 00:00:00',4,1,11,2005,'F','N','BATEL','CURITIBA','PR','116122121215474431346634571124610121092',13313,'9998',47.16,1,3,NULL),(15,2044706,'1980-03-31 00:00:00',2,1,12,1998,'M','N','TRINDADE','FLORIANOPOLIS','SC','124251251117154411546629574111610147047',14367,'9998',45.61,1,2,1),(15,2044714,'1990-07-27 00:00:00',4,10,11,2007,'M','N','AEROPORTO','TUBARAO','SC','124242241215141411468513572122610127052',2557,'806',67.44,1,3,NULL),(15,2044730,'1991-01-23 00:00:00',4,1,12,2007,'F','N','SANTA TEREZINHA','PATO BRANCO','PR','116162161217271231557833332122610122057',NULL,'9998',0.00,4,3,NULL),(15,2044749,'1991-10-04 00:00:00',4,1,12,2008,'F','S','TRINDADE','FLORIANOPOLIS','SC','124242241211111431369939587122610125012',NULL,'262',43.35,1,3,NULL),(15,2044757,'1990-08-04 00:00:00',4,8,11,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124244241216121531676713372122610124072',16412,'461',42.74,1,3,NULL),(15,2044765,'1990-08-14 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215112411338614571122610126182',17641,'1118',40.88,1,3,NULL),(15,2044781,'1988-02-15 00:00:00',4,1,12,2005,'F','N','CERQUEIRA CESAR','SAO PAULO','SP','125112251215572431345834574315610132147',NULL,'9998',0.00,1,3,NULL),(15,2044790,'1984-01-12 00:00:00',2,6,12,2000,'F','N','SÃO VICENTE','ITAJAI','SC','124241241116131431546321341121610124147',20521,'396',35.85,2,3,NULL),(15,2044803,'1990-05-10 00:00:00',2,1,12,2007,'F','N','CENTRO','PATO BRANCO','PR','116162161116371431446532372122610141182',10100,'9998',51.78,1,3,NULL),(15,2044811,'1987-10-07 00:00:00',4,1,12,2004,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215273431358822371121121167122',4685,'266',61.79,1,3,NULL),(15,2044820,'1990-02-22 00:00:00',4,8,12,2007,'F','N','ILHA DA FIGUEIRA','JARAGUA DO SUL','SC','124244241217121431469934574122610121012',8396,'491',54.69,1,3,NULL),(15,2044838,'1990-06-17 00:00:00',4,9,12,2007,'F','N','X DE NOVEMBRO','FRAIBURGO','SC','124241241115131431433516592222610138152',NULL,'314',18.12,1,3,NULL),(15,2044846,'1980-05-09 00:00:00',2,1,12,2000,'M','N','KOBRASOL','SAO JOSE','SC','124241246122135411423111131334122338097',17174,'513',41.61,2,1,1),(15,2044854,'1989-11-01 00:00:00',2,1,11,2007,'F','N','BROOKLIN','SAO PAULO','SP','125252258217371431466832572122610132147',14945,'9998',44.86,1,3,NULL),(15,2044862,'1990-05-28 00:00:00',4,8,12,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431347923575122610133072',NULL,'487',23.79,4,3,NULL),(15,2044870,'1990-02-10 00:00:00',2,10,7,2007,'F','N','CENTRO','TUBARAO','SC','124244247414371431456613392122610127147',22008,'9999',32.24,1,3,NULL),(15,2044889,'1989-05-10 00:00:00',2,8,12,2006,'M','N','RESIDENCIAL DO LAGO','LONDRINA','PR','116161161216471431454824572124610164052',4350,'9998',62.60,3,3,NULL),(15,2044897,'1990-02-18 00:00:00',4,6,12,2007,'F','N','LAGO SUL','LAGO SUL','DF','107072071217172431567913495122610161092',11405,'9998',49.84,1,3,NULL),(15,2044919,'1989-12-17 00:00:00',2,1,12,2007,'F','N','CENTRO','PARAPUA','SP','125251251116131411448611571124610122013',15135,'9998',44.63,1,2,1),(15,2044927,'1990-03-15 00:00:00',2,5,12,2007,'F','N','VILA NOVA','ICARA','SC','124241241145151431425315292224610125012',13265,'209',47.22,1,2,1),(15,2044943,'1987-12-01 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217573431566614375122610162187',14377,'9997',45.60,1,3,NULL),(15,2044951,'1983-07-08 00:00:00',4,1,12,2000,'M','N','JD ANTARTICA','RIBEIRAO PRETO','SP','125253251216151711367812595124342364196',4202,'9998',62.90,1,3,NULL),(15,2044978,'1982-02-11 00:00:00',4,1,11,1999,'F','N','CRISTO REI','CURITIBA','PR','116162161216572431389714172122343267187',2510,'9998',67.59,1,3,NULL),(15,2044986,'1984-04-16 00:00:00',2,1,12,2001,'F','N','RIO CAVEIRAS','BIGUACU','SC','124251251126153431238623485111610117047',NULL,'9998',34.30,1,2,1),(15,2044994,'1990-05-18 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215112441447919295112610164142',7735,'262',55.80,1,3,NULL),(15,2045001,'1987-01-29 00:00:00',4,1,12,2004,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124243246415373441623339273224610145042',6922,'995',57.31,1,3,NULL),(15,2045010,'1989-07-20 00:00:00',4,1,12,2006,'F','N','MORRO DO ESPELHO','SAO LEOPOLDO','RS','120202201216151431569831575112242832192',11825,'9998',49.22,1,3,NULL),(15,2045028,'1989-12-17 00:00:00',4,8,12,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241217271432579931471111610118052',2028,'457',69.17,1,3,NULL),(15,2045036,'1989-06-22 00:00:00',2,5,11,2006,'M','N','CENTRO','ERMO','SC','124242241215211431458913595124241027052',7286,'32',56.63,1,3,NULL),(15,2045044,'1990-04-27 00:00:00',4,1,12,2007,'M','N','ASA NORTE','BRASILIA','DF','107072071215151431489933576122610114102',NULL,'9998',0.00,1,3,NULL),(15,2045052,'1991-04-16 00:00:00',2,4,12,2007,'F','N','CENTRO','XAXIM','SC','124242241215371731333932285122610146012',20248,'994',36.33,1,3,NULL),(15,2045060,'1985-09-08 00:00:00',2,1,12,2003,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241212135431435611392124610126097',20004,'269',36.82,1,3,NULL),(15,2045079,'1991-02-04 00:00:00',4,3,12,2007,'F','N','CENTRO','ITAPEMA','SC','124244241215272431458933234124610168097',5347,'403',60.41,1,3,NULL),(15,2045087,'1987-01-20 00:00:00',4,1,12,2005,'F','N','CAMPINAS','SAO JOSE','SC','124253253327411431436614285124610122097',NULL,'9998',25.69,1,3,NULL),(15,2045095,'1981-12-25 00:00:00',2,1,12,2000,'M','N','COSTEIRA PIRAJUBAÉ','FLORIANOPOLIS','SC','124241241126145111343343335124122222047',16570,'294',42.49,1,3,NULL),(15,2045109,'1989-05-28 00:00:00',2,1,12,2006,'F','N','JARDIM CARVALHO','PONTA GROSSA','PR','116162161215471431546812574122610144182',7209,'9998',56.78,4,1,2),(15,2045117,'1990-05-11 00:00:00',4,1,12,2007,'F','N','JARDIM PAGANI','BAURU','SP','125252251216111431339631572122610131147',NULL,'9998',0.00,1,3,NULL),(15,2045125,'1988-09-20 00:00:00',4,1,12,2007,'M','N','CENTRO','UCHOA','SP','125256251215371431563312475114610144094',15251,'9998',44.48,1,3,NULL),(15,2045141,'1986-03-09 00:00:00',4,8,12,2003,'M','N','JARDIM CENTRAL','SAO BERNARDO DO CAMPO','SP','125251251136131731534218482124143232092',11308,'9998',49.99,2,1,1),(15,2045150,'1990-09-04 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124243241215121431556911375124610163182',14994,'1022',44.80,1,3,NULL),(15,2045168,'1989-11-03 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241316472431456813575122610167042',NULL,'300',24.64,1,3,NULL),(15,2045176,'1980-12-31 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215372421363514315124121267062',6428,'269',58.21,1,3,NULL),(15,2045192,'1990-01-11 00:00:00',2,1,11,2007,'F','N','URBANOVA','SAO JOSE DOS CAMPOS','SP','125254251215111431327631573141610113152',15819,'9998',43.64,1,3,NULL),(15,2045214,'1989-09-09 00:00:00',4,3,11,2007,'F','N','CENTRO','CANOINHAS','SC','124242161216121411448612325122610124127',NULL,'9998',0.00,1,3,NULL),(15,2045230,'1990-03-19 00:00:00',2,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124222221217131431118844341324231066077',14926,'9998',44.88,1,3,NULL),(15,2045249,'1990-04-21 00:00:00',4,1,12,2007,'F','N','CENTRO','SINOP','MT','111115111516271331334414575121610123077',NULL,'9998',22.23,1,3,NULL),(15,2045257,'1990-12-01 00:00:00',2,1,11,2007,'F','N','CACUPÉ','FLORIANOPOLIS','SC','124281241415112411424531576124610136121',1628,'262',70.68,1,3,NULL),(15,2045265,'1990-05-10 00:00:00',4,3,11,2007,'M','N','CENTRO','ITAPEMA','SC','124243241215121431233624172121610167182',3956,'403',63.59,1,3,NULL),(15,2045273,'1990-12-15 00:00:00',2,1,12,2007,'F','N','CENTRO','LEOBERTO LEAL','SC','124241241135161432444413242122610124152',20945,'533',34.98,1,2,1),(15,2045281,'1955-02-06 00:00:00',2,1,12,1974,'M','N','TRINDADE','FLORIANOPOLIS','SC','224242244216153441466649495122330266055',NULL,'805',33.19,1,3,NULL),(15,2045311,'1988-03-27 00:00:00',4,1,11,2005,'M','N','VILA GOMES','SAO PAULO','SP','125254251217471131348913472124610127047',8131,'9998',55.13,4,3,NULL),(15,2045320,'1989-01-20 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241115151431579914471122610132152',19062,'262',38.57,1,3,NULL),(15,2045354,'1989-07-03 00:00:00',4,1,12,2006,'F','N','CENTRO','SAO JOAO BATISTA','SC','124241241146241451553531345133610134147',NULL,'712',0.00,1,2,1),(15,2045362,'1990-10-26 00:00:00',2,4,12,2007,'M','N','VILA GUAIRA','GOIOERE','PR','116163161216111431547832575122610127017',7023,'9998',57.11,2,1,2),(15,2045389,'1989-02-16 00:00:00',4,1,12,2006,'F','N','CENTRO','TAUBATE','SP','125252253217471431446934572112610137092',19191,'9998',38.36,4,3,NULL),(15,2045397,'1989-11-15 00:00:00',4,1,11,2007,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124242241215111431326651375124610132097',14893,'1023',44.91,1,3,NULL),(15,2045400,'1986-05-09 00:00:00',4,1,12,2004,'F','N','LUZIA','ARACAJU','SE','126262261217574431578713574122120662147',710,'9998',75.29,4,3,NULL),(15,2045427,'1989-05-31 00:00:00',2,8,10,2006,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241214372411468631572122130432092',1900,'457',69.60,1,3,NULL),(15,2045435,'1988-12-10 00:00:00',2,1,12,2006,'F','N','CENTRO','MALACACHETA','MG','113132131116471431236833572124610167072',6770,'9998',57.62,1,3,NULL),(15,2045443,'1990-09-08 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241111221431226769292324610124197',15729,'307',43.77,2,1,2),(15,2045451,'1990-10-15 00:00:00',2,6,12,2007,'F','N','CORDEIROS','ITAJAI','SC','124241241116131431214311582124610131097',NULL,'401',17.28,4,3,NULL),(15,2045486,'1987-05-05 00:00:00',2,1,6,2005,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241117572431436823482214610163012',7164,'307',56.86,4,3,NULL),(15,2045494,'1988-03-10 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216373751338829492122133227092',9792,'1098',52.27,1,3,NULL),(15,2045524,'1990-06-13 00:00:00',2,1,12,2007,'M','N','BOA VISTA','CURITIBA','PR','116162161216151431478912215112610164032',13825,'9998',46.42,1,3,NULL),(15,2045532,'1990-02-01 00:00:00',2,9,12,2007,'M','N','PEREIRA ALVES','CORREIA PINTO','SC','124241241115371431636669331341610127147',13379,'201',47.08,2,2,1),(15,2045540,'1990-02-06 00:00:00',4,8,12,2007,'M','N','SCHRAMM','SAO BENTO DO SUL','SC','124241241215171431448811595122610161177',13643,'974',46.69,1,3,NULL),(15,2045559,'1990-01-16 00:00:00',4,1,11,2007,'F','N','ST ANTÔNIO DE LISBOA','FLORIANOPOLIS','SC','124244241215141731468812342122610147127',5430,'1048',60.21,1,3,NULL),(15,2045567,'1989-05-25 00:00:00',2,2,12,2006,'F','N','APARECIDA','SANTOS','SP','125251251116471431446613572121610168117',15403,'9998',44.25,1,2,1),(15,2045575,'1988-06-16 00:00:00',4,1,11,2006,'F','N','CENTRO','BIGUACU','SC','124244241215152431526923385114610127072',19112,'1040',38.50,1,3,NULL),(15,2045583,'1989-09-04 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242248216472431459853575315610127181',4692,'270',61.77,1,3,NULL),(15,2045591,'1988-01-12 00:00:00',2,1,12,2005,'F','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','124241241145152432628629485124130724197',21788,'288',33.00,1,2,1),(15,2045605,'1982-08-20 00:00:00',2,1,11,1999,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124161161136574421444631472123222923092',NULL,'9998',0.00,1,3,NULL),(15,2045613,'1989-08-09 00:00:00',4,1,12,2007,'F','N','MANDAQUI','SAO PAULO','SP','125252251216151431577832575122610132092',12795,'9998',47.86,1,3,NULL),(15,2045621,'1988-12-15 00:00:00',2,1,12,2006,'F','N','ARIRIU DA FORMIGA','PALHOCA','SC','124241241115371431356622441122610121147',18698,'592',39.17,1,3,NULL),(15,2045630,'1984-10-23 00:00:00',4,1,12,2002,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124244246117133431637819296224233238182',6464,'306',58.14,1,3,NULL),(15,2045648,'1990-10-20 00:00:00',4,1,12,2007,'M','N','BOA VISTA','MARILIA','SP','125252251216111431378912572112610134047',1577,'9998',70.88,1,3,NULL),(15,2045656,'1989-11-19 00:00:00',2,9,12,2006,'F','N','CENTRO','SAO MARCOS','RS','120203201217472431466612272122610137147',14940,'9998',44.87,1,3,NULL),(15,2045664,'1988-08-06 00:00:00',4,1,12,2005,'F','N','JARDIM SHANGAI','JUNDIAI','SP','125241241215271411368712372122143232182',NULL,'1052',0.00,1,3,NULL),(15,2045672,'1987-11-14 00:00:00',2,1,6,2006,'M','N','ASA NORTE','BRASILIA','DF','107071071117271711661923495114141047094',NULL,'9998',0.00,1,3,NULL),(15,2045680,'1988-08-25 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241115472431334627575112610137152',11633,'307',49.50,1,2,1),(15,2045729,'1990-04-16 00:00:00',4,4,12,2007,'F','N','COHAB','PONTA PORA','MS','112124128416361711544839175115610134071',NULL,'9998',0.00,1,3,NULL),(15,2045737,'1990-09-15 00:00:00',2,7,11,2007,'M','N','CENTRO','HERVAL D OESTE','SC','124242241215371431447822575122610137047',16990,'446',41.89,1,3,NULL),(15,2045761,'1990-08-03 00:00:00',2,1,12,2007,'F','N','CENTRO','PRUDENTOPOLIS','PR','116162161215121431556716495112610167072',17739,'9998',40.75,1,3,NULL),(15,2045770,'1989-03-28 00:00:00',2,6,12,2006,'M','N','JD CANUTO','GUAPIARA','SP','125251251127161612226823185214610134177',NULL,'9998',0.00,1,2,1),(15,2045788,'1989-04-17 00:00:00',4,3,12,2006,'F','N','JARDIM PAULISTA','SAO PAULO','SP','125132131216472431466934575112610147097',3291,'9998',65.28,4,3,NULL),(15,2045796,'1988-01-21 00:00:00',4,1,11,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217473451469813572125220622182',2662,'88',67.14,1,3,NULL),(15,2045818,'1974-08-18 00:00:00',4,1,12,1992,'M','N','CENTRO','FLORIANOPOLIS','SC','124241243124155421114349492324132716192',7140,'359',56.89,4,2,1),(15,2045826,'1990-05-16 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215211531579931575122610164192',19594,'269',37.62,1,3,NULL),(15,2045834,'1989-12-24 00:00:00',4,3,12,2007,'F','N','LARANJEIRAS','RIO DO SUL','SC','124242241217152231358934476122610163077',NULL,'654',25.34,1,3,NULL),(15,2045842,'1990-08-25 00:00:00',2,1,11,2007,'F','N','MANDAQUI','SAO PAULO','SP','125252251217111451558622575122610138077',NULL,'9998',0.00,1,3,NULL),(15,2045850,'1985-10-07 00:00:00',2,1,12,2002,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124203201116271731334823481124610136187',NULL,'9998',24.22,1,3,NULL),(15,2045869,'1990-05-11 00:00:00',4,10,11,2007,'F','N','CENTRO','TUBARAO','SC','124244241215371421424837571122610166037',11388,'806',49.86,1,3,NULL),(15,2045877,'1990-03-06 00:00:00',4,1,12,2007,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241211211431359913571124610137047',9450,'262',52.86,1,3,NULL),(15,2045893,'1990-05-16 00:00:00',4,1,11,2007,'F','N','PAES LEME','IMBITUBA','SC','124241241117131411525319576223610118182',16064,'359',43.27,1,2,1),(15,2045907,'1989-10-27 00:00:00',2,1,12,2007,'F','N','ARMAÇÃO','FLORIANOPOLIS','SC','124243241311111431359622292224610126142',19739,'307',37.35,1,3,NULL),(15,2045915,'1984-12-21 00:00:00',4,9,12,2002,'F','N','CONTA DINHEIRO CORAL','LAGES','SC','124241248126331431124426592215610131182',NULL,'320',0.00,3,2,1),(15,2045923,'1990-07-23 00:00:00',2,8,11,2007,'M','N','ILHA DA FIGUEIRA','JARAGUA DO SUL','SC','124243246216271731526632572121610124117',21420,'1061',33.93,1,3,NULL),(15,2045931,'1990-08-03 00:00:00',4,8,11,2007,'F','N','JARAGUÁ ESQUERDO','JARAGUA DO SUL','SC','124241241217371431566312175112610133182',5236,'1061',60.64,1,3,NULL),(15,2045940,'1988-11-10 00:00:00',2,6,12,2005,'M','N','MORRO DA CRUZ','PATO BRANCO','PR','116244161416572511545714272212610127012',3587,'9998',64.50,1,3,NULL),(15,2045958,'1988-12-28 00:00:00',4,9,12,2005,'F','N','CENTRO','SANTA MARIA','RS','120201121111473431333319371322610164142',12090,'9998',48.88,1,3,NULL),(15,2045974,'1986-10-13 00:00:00',4,1,7,2005,'F','N','CARIANOS','FLORIANOPOLIS','SC','124242241112153722387813372124230262091',7104,'306',56.96,1,3,NULL),(15,2045990,'1991-05-17 00:00:00',4,9,12,2008,'F','S','SAGRADO','LAGES','SC','124242241217111731489813575112610138143',NULL,'497',42.35,1,3,NULL),(15,2046008,'1988-11-03 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241116131431548313315124610117172',21021,'922',34.82,1,3,NULL),(15,2046016,'1985-02-01 00:00:00',2,1,12,2002,'F','N','BARREIROS','SAO JOSE','SC','124121121116474712326349481124610114017',NULL,'9998',29.58,4,2,1),(15,2046024,'1989-10-06 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','125252251217111431368814575112610137047',22135,'9998',31.78,1,3,NULL),(15,2046032,'1991-03-10 00:00:00',4,1,12,2007,'M','N','FAZENDA STO ANTOMIO','SAO JOSE','SC','124241241216151231563312275114610167043',21317,'1011',34.15,1,3,NULL),(15,2046059,'1990-02-05 00:00:00',2,1,11,2007,'F','N','ASA NORTE','BRASILIA','DF','107052078216371431349924571324610163047',18087,'9998',40.17,1,3,NULL),(15,2046067,'1989-04-02 00:00:00',4,1,12,2006,'M','N','CENTRO','GAROPABA','SC','124243241127271441657719281124610134117',10027,'322',51.90,4,3,NULL),(15,2046075,'1987-01-24 00:00:00',4,1,12,2004,'F','N','JARDIM IMPERIAL','CUIABA','MT','111113111116473431438923273224232637142',6976,'9998',57.21,1,3,NULL),(15,2046083,'1987-08-25 00:00:00',4,8,12,2005,'F','N','COSTA E SILVA','JOINVILLE','SC','124243241116472751469931572124610146147',865,'464',74.27,4,3,NULL),(15,2046091,'1988-12-31 00:00:00',2,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111411556352395114610166057',3902,'272',63.73,3,3,NULL),(15,2046105,'1985-09-20 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124241243116373431535413235122223222057',3837,'306',63.90,4,1,1),(15,2046113,'1988-11-26 00:00:00',4,1,12,2006,'F','N','GONZAGA','SANTOS','SP','125254251315311431337823575124610162117',17050,'9998',41.81,4,3,NULL),(15,2046130,'1987-05-26 00:00:00',4,1,11,2004,'F','N','CENTRO','SAO ROQUE','SP','125252251216573431468831571125610137092',2797,'9998',66.75,1,3,NULL),(15,2046156,'1990-03-04 00:00:00',4,7,11,2007,'F','N','SANTA TEREZINHA','CAPINZAL','SC','124241241216151431435831375122610136142',9038,'1093',53.59,1,3,NULL),(15,2046164,'1987-02-13 00:00:00',4,1,12,2004,'M','N','INGLESES','FLORIANOPOLIS','SC','124243241316132431548313315124610126042',22118,'977',31.84,1,3,NULL),(15,2046172,'1987-12-25 00:00:00',4,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','124243241215573431326669541324610122187',4065,'738',63.28,1,3,NULL),(15,2046210,'1987-05-07 00:00:00',4,2,11,2004,'M','N','PROGRESSO','BLUMENAU','SC','124242248215574421519621341115610167117',1820,'855',69.88,1,3,NULL),(15,2046229,'1974-12-30 00:00:00',4,1,12,1991,'M','N','BARREIROS','SAO JOSE','SC','124242241215373421488813435122321443041',16,'269',84.88,1,3,NULL),(15,2046237,'1986-10-04 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217474431468813271114610162092',318,'270',78.51,1,3,NULL),(15,2046245,'1990-12-30 00:00:00',4,1,12,2007,'F','N','CENTRO','VERA CRUZ DO OESTE','PR','116161161336111531466332575122610112052',NULL,'9998',0.00,1,3,NULL),(15,2046261,'1988-09-21 00:00:00',4,1,11,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243241316372431569613575122610122032',2551,'1098',67.46,1,3,NULL),(15,2046270,'1989-02-23 00:00:00',4,1,12,2006,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241215472431687719575112610162187',956,'270',73.74,1,3,NULL),(15,2046288,'1990-03-20 00:00:00',4,4,11,2007,'F','N','CENTRO','ITAPIRANGA','SC','124241241116131431224329245324610136152',18097,'412',40.15,1,2,1),(15,2046296,'1990-11-05 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241415121431439913571124610122077',5079,'737',60.94,1,3,NULL),(15,2046318,'1989-01-21 00:00:00',4,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124243241415472431128823574344610146182',4761,'1118',61.60,1,3,NULL),(15,2046326,'1991-01-29 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241315111731518931242224610113112',8559,'1022',54.42,1,3,NULL),(15,2046350,'1989-10-13 00:00:00',2,1,12,2007,'F','N','AREIAS','SAO JOSE','SC','124242241216111412338619272124610163192',19677,'1036',37.46,1,3,NULL),(15,2046369,'1990-06-11 00:00:00',4,1,12,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215121431377931575122610126092',NULL,'262',0.00,1,3,NULL),(15,2046377,'1990-04-17 00:00:00',4,3,12,2006,'F','N','CENTRO','LEBON REGIS','SC','124241241215372741449832575124610164097',2355,'118',68.05,1,3,NULL),(15,2046385,'1980-07-17 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANOPOLIS','SC','124113111417471531468832434122141026095',20061,'9998',36.71,1,3,NULL),(15,2046393,'1990-03-27 00:00:00',4,3,12,2007,'M','N','NAÇÕES','BALNEARIO CAMBORIU','SC','124242241215111731363332572112610166013',3709,'9997',64.20,1,3,NULL),(15,2046407,'1986-05-09 00:00:00',2,1,12,2004,'M','N','CENTRO','BARBACENA','MG','113132131217471441248829572245141834182',12343,'9998',48.51,1,3,NULL),(15,2046415,'1987-12-18 00:00:00',4,1,12,2005,'F','N','JARDIM PAULISTA','SAO PAULO','SP','125112251216573431658711574125610146192',4696,'9998',61.76,1,3,NULL),(15,2046423,'1989-05-29 00:00:00',2,9,12,2006,'F','N','SESI','VIDEIRA','SC','124241241216371431556614575124610124077',9293,'969',53.13,1,3,NULL),(15,2046431,'1993-05-28 00:00:00',4,1,11,2009,'M','S','TRINDADE','FLORIANOPOLIS','SC','124242241212111432369614572124610127122',NULL,'270',54.18,1,3,NULL),(15,2046440,'1990-05-08 00:00:00',4,1,11,2007,'M','N','JD PAULISTA','ATIBAIA','SP','125252258216111411567712375122610167142',NULL,'9998',23.85,1,3,NULL),(15,2046458,'1989-01-14 00:00:00',4,8,12,2006,'F','N','FLORESTA','JOINVILLE','SC','124242241217131441438811375124231764183',1893,'932',69.63,1,3,NULL),(15,2046474,'1990-10-22 00:00:00',4,1,11,2007,'M','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124242241315111431446613575122610147052',12905,'271',47.71,1,3,NULL),(15,2046482,'1988-10-29 00:00:00',4,8,12,2006,'M','N','PIRABEIRABA','JOINVILLE','SC','124242241215153751589931575125610168182',1456,'457',71.44,1,3,NULL),(15,2046504,'1989-08-29 00:00:00',4,2,11,2007,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215111431379614575112610127112',6239,'855',58.57,1,3,NULL),(15,2046520,'1989-02-09 00:00:00',4,8,12,2006,'F','N','BOA VISTA','JOINVILLE','SC','124242241216472231489932575112610146112',9273,'1063',53.16,1,3,NULL),(15,2046539,'1989-07-28 00:00:00',4,6,12,2006,'F','N','AFONSO PENA','SAO JOSE DOS PINHAIS','PR','116161161316471431568313592122232414142',NULL,'9998',0.00,1,3,NULL),(15,2046547,'1988-11-23 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211153431448519571122232464037',6554,'270',57.97,1,3,NULL),(15,2046555,'1989-08-11 00:00:00',4,1,12,2007,'F','N','CENTRO','CAMPINAS','SP','125252253217131411348823576122610152172',15682,'9998',43.83,1,3,NULL),(15,2046580,'1990-04-18 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111431468911574122232464172',171,'1038',80.31,1,3,NULL),(15,2046601,'1981-01-12 00:00:00',4,1,6,1998,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242247245472431166332375124610161022',8362,'486',54.74,1,3,NULL),(15,2046610,'1989-07-22 00:00:00',4,7,12,2007,'M','N','INTERIOR','VIDEIRA','SC','124241242111111441544336551324610116052',NULL,'8',13.03,3,2,1),(15,2046628,'1990-05-02 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241235151411348429595122610122017',13811,'738',46.44,1,3,NULL),(15,2046636,'1987-01-23 00:00:00',4,1,12,2005,'M','N','CAMPINAS','SAO JOSE','SC','124241241217274411446633575124610124013',17679,'1076',40.83,1,3,NULL),(15,2046644,'1990-06-07 00:00:00',4,2,11,2007,'F','N','ASILO','BLUMENAU','SC','124241241417211431458613595124610133142',NULL,'72',0.00,1,3,NULL),(15,2046652,'1990-12-10 00:00:00',4,2,12,2007,'F','N','PIO X','CAXIAS DO SUL','RS','120202201216371731447832591122610138092',11315,'9998',49.98,1,3,NULL),(15,2046660,'1987-10-03 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241112573411348813295124230263072',3149,'267',65.69,1,2,1),(15,2046679,'1990-06-18 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215121431433417575124610125017',8841,'738',53.94,1,3,NULL),(15,2046687,'1990-07-02 00:00:00',2,1,12,2007,'F','N','LOURDES','CAXIAS DO SUL','RS','120202201216371731435514271124610121117',20662,'9998',35.57,1,3,NULL),(15,2046709,'1982-09-09 00:00:00',4,8,12,2000,'M','N','AVENTUREIRO','JOINVILLE','SC','124242246237133431123444245334131167117',18253,'494',39.88,1,3,NULL),(15,2046717,'1989-04-28 00:00:00',4,1,12,2006,'M','N','SETOR AEROPORTO','GOIANIA','GO','109092091216371441457814575122610167092',3564,'9998',64.57,1,3,NULL),(15,2046725,'1989-07-07 00:00:00',4,1,7,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241115371431468613575122610125142',11954,'306',49.03,1,3,NULL),(15,2046750,'1991-10-06 00:00:00',4,10,11,2008,'F','S','CENTRO','GRAVATAL','SC','124242241217111431558912372124610121142',NULL,'807',45.23,1,3,NULL),(15,2046768,'1988-01-26 00:00:00',2,1,12,2005,'M','N','VILA ROSA','CANOAS','RS','120204201213171411657813581121241417112',NULL,'9998',0.00,1,3,NULL),(15,2046776,'1989-04-10 00:00:00',2,6,11,2006,'F','N','SÃO VICENTE','ITAJAI','SC','124241241215472431433317172224610166091',1744,'1026',70.23,1,3,NULL),(15,2046784,'1990-02-14 00:00:00',4,8,11,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215121731248813592112610124142',NULL,'9997',0.00,1,3,NULL),(15,2046806,'1988-01-10 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243248231121211679939595114610122185',1377,'269',71.76,1,3,NULL),(15,2046822,'1988-09-20 00:00:00',4,1,12,2006,'F','N','DAS PALMEIRAS','CAMPINAS','SP','125252257215471412338818376123610127097',7019,'9999',57.11,1,3,NULL),(15,2046830,'1990-09-07 00:00:00',4,1,12,2007,'F','N','LOURDES','CAXIAS DO SUL','RS','120202201315471712436632382125610145077',14194,'9998',45.88,1,3,NULL),(15,2046857,'1990-10-06 00:00:00',2,1,12,2007,'F','N','SERTÃO DO IMARUI','SAO JOSE','SC','124241241217371431456613472114610161017',8830,'1074',53.96,1,3,NULL),(15,2046865,'1988-12-27 00:00:00',4,8,12,2006,'M','N','BOA VIAGEM','RECIFE','PE','117242171217472431459711575122610167087',4028,'9998',63.39,1,3,NULL),(15,2046873,'1988-06-08 00:00:00',2,1,12,2005,'M','N','CENTRO','AGUA BOA','MT','111112111217371311366634572212141417182',16145,'9998',43.16,1,3,NULL),(15,2046890,'1988-11-29 00:00:00',4,8,12,2005,'F','N','CENTRO','PONTA GROSSA','PR','116162161216371431338933332122610152142',8446,'9998',54.61,1,3,NULL),(15,2046903,'1989-08-24 00:00:00',4,1,12,2007,'F','N','VILA CLAUDIA','LIMEIRA','SP','125252251215131432358824442122610122142',13942,'9998',46.24,1,3,NULL),(15,2046911,'1971-08-15 00:00:00',4,1,12,1989,'F','N','TRINDADE','FLORIANOPOLIS','SC','224252251216151441238859491124341066092',NULL,'9998',0.00,1,3,NULL),(15,2046920,'1990-08-06 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124244241215111411327512325122610146072',809,'737',74.68,1,3,NULL),(15,2046938,'1989-09-30 00:00:00',4,1,11,2007,'F','N','CRISTAL','PORTO ALEGRE','RS','120203201117471721338833372124610126092',3634,'9998',64.39,4,3,NULL),(15,2046946,'1990-01-05 00:00:00',4,1,12,2006,'F','N','CENTRO','GURUPI','TO','127272271215152411347631571212610124142',14284,'9998',45.75,4,3,NULL),(15,2046954,'1989-02-20 00:00:00',4,1,12,2006,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217372431579913572124610127077',2680,'270',67.09,1,3,NULL),(15,2046962,'1989-09-30 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241117111441546334342124610166143',7820,'306',55.65,1,2,1),(15,2046970,'1981-01-08 00:00:00',4,1,12,1999,'F','N','AREIAS','SAO JOSE','SC','124241244126134431333324241134130228097',21549,'307',33.64,2,1,1),(15,2046989,'1989-12-26 00:00:00',2,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','102254021217371431229821371124610134142',18627,'9998',39.28,1,3,NULL),(15,2046997,'1988-10-16 01:00:00',2,8,10,2005,'F','N','CENTRO','CANOINHAS','SC','124241241215572411259932571324610166077',7486,'154',56.25,1,3,NULL),(15,2047012,'1987-09-23 00:00:00',4,1,12,2004,'F','N','VILA MARIANA','SAO PAULO','SP','125132131217571431168611581325610166082',5416,'9998',60.24,3,3,NULL),(15,2047020,'1989-09-22 00:00:00',2,1,12,2006,'M','N','CENTRO','JATAI','GO','109093091246251431633332395124610114047',NULL,'9998',30.79,1,3,NULL),(15,2047039,'1991-01-09 00:00:00',4,1,12,2008,'F','S','CENTRO','ANITAPOLIS','SC','124241241115161731433329471121610121147',NULL,'19',43.90,1,3,NULL),(15,2047047,'1990-02-11 00:00:00',2,1,11,2007,'F','N','JARDIM PONTAL','ILHEUS','BA','105052051216111431366929575124610142183',4838,'9998',61.44,4,3,NULL),(15,2047063,'1975-06-16 00:00:00',2,1,12,1993,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','624243248337131431325648482124140812147',NULL,'447',25.86,1,3,NULL),(15,2047080,'1990-01-31 00:00:00',2,10,11,2007,'F','N','AEROPORTO','TUBARAO','SC','124242241215111431457614572122610122192',9586,'797',52.61,1,3,NULL),(15,2047098,'1990-09-18 00:00:00',4,1,12,2007,'M','N','CAPÃO DA IMBUIA','CURITIBA','PR','116162161217111231366619572122610127142',13639,'9998',46.70,1,3,NULL),(15,2047101,'1989-01-09 00:00:00',4,1,12,2006,'F','N','QUIRIRIM','TAUBATE','SP','125252251216471431446831575112610143147',6833,'9998',57.47,1,3,NULL),(15,2047110,'1981-01-12 00:00:00',2,8,12,1998,'F','N','CRISTO REI','CURITIBA','PR','116162161215571431688813385124343263092',NULL,'9998',0.00,1,3,NULL),(15,2047128,'1989-09-25 00:00:00',4,1,12,2007,'M','N','RIO BRANCO','PORTO ALEGRE','RS','120202201211271411368632571114610166111',7343,'9998',56.53,4,3,NULL),(15,2047136,'1988-03-19 00:00:00',4,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124162161237271431138713571121230227092',538,'9998',76.52,1,3,NULL),(15,2047144,'1988-04-11 00:00:00',4,10,12,2005,'M','N','CENTRO','SANTA ROSA DE LIMA','SC','124241241127372431556311142121131324192',2271,'688',68.36,1,2,1),(15,2047152,'1990-02-03 00:00:00',4,4,12,2007,'M','N','SANTA CASA','GOIOERE','PR','116162161237111231336612591125610147092',14042,'9998',46.11,3,3,NULL),(15,2047160,'1988-02-10 00:00:00',2,1,12,2004,'M','N','IPIRANGA','SAO JOSE','SC','124242241215472431658933572114130264092',3572,'1036',64.55,1,3,NULL),(15,2047179,'1990-03-15 00:00:00',2,1,12,2007,'F','N','REBOUÇAS','CURITIBA','PR','116162161215471231438614592125610168057',NULL,'9998',0.00,1,3,NULL),(15,2047187,'1990-08-10 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241235471731348933275122232464092',1451,'44',71.46,4,3,NULL),(15,2047195,'1990-07-07 00:00:00',4,8,12,2007,'M','N','CENTRO','CAMPO ALEGRE','SC','624242241213151431469834575111610168182',5111,'1114',60.89,1,3,NULL),(15,2047209,'1990-09-24 00:00:00',2,1,12,2007,'F','N','CENTRO','CARDOSO','SP','125254251216111431458933575121610141044',12520,'9998',48.26,1,3,NULL),(15,2047217,'1988-07-09 00:00:00',4,1,10,2005,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124241241317473431335512571114610127057',12753,'300',47.91,1,3,NULL),(15,2047225,'1990-03-04 00:00:00',4,1,11,2006,'F','N','CENTRO','TURVO','SC','124242241215472431558911571122610118097',9728,'32',52.38,1,3,NULL),(15,2047233,'1990-09-07 00:00:00',2,3,12,2007,'F','N','JARDIM AMÉRICA','CAXIAS DO SUL','RS','120202201216111431228923375124610124147',7899,'9998',55.52,1,3,NULL),(15,2047241,'1989-06-21 00:00:00',4,1,12,2006,'F','N','ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP','125252251215472421468814575122610123072',3406,'9998',64.97,1,3,NULL),(15,2047250,'1990-08-27 00:00:00',4,1,12,2007,'M','N','MARCO','BELEM','PA','114142141211111531376839575122610168042',3006,'9998',66.11,1,3,NULL),(15,2047268,'1990-01-23 00:00:00',4,8,12,2007,'M','N','FLORESTA','JOINVILLE','SC','124242241216131431438811375121610167077',3752,'932',64.07,1,3,NULL),(15,2047284,'1989-12-16 00:00:00',2,1,12,2007,'F','N','MADUREIRA','CAXIAS DO SUL','RS','120204201336471431238821291112610162097',NULL,'9998',0.00,1,3,NULL),(15,2047306,'1989-08-05 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215122451488712572112610163012',6513,'270',58.05,1,3,NULL),(15,2047314,'1987-01-24 00:00:00',2,1,6,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124243247331271431455729391124610167047',11664,'300',49.46,1,3,NULL),(15,2047322,'1989-09-17 00:00:00',4,1,11,2006,'M','N','CENTRO','TREMEMBE','SP','125252251235472421469831575112610127057',370,'9998',77.89,1,3,NULL),(15,2047330,'1990-02-21 00:00:00',4,8,11,2007,'F','N','CIDADE ADEMAR','SAO PAULO','SP','125252251217371431465612275122610143147',NULL,'9998',0.00,1,3,NULL),(15,2047357,'1990-09-17 00:00:00',4,8,11,2007,'F','N','BIGORRILHO','CURITIBA','PR','116162161217371431489914575112610147042',NULL,'9998',0.00,1,3,NULL),(15,2047390,'1990-12-15 00:00:00',4,1,12,2008,'F','S','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124242241217151431359911475122610163012',NULL,'883',57.20,1,3,NULL),(15,2047403,'1989-12-06 00:00:00',2,8,12,2006,'F','N','AGUA VERDE','JARAGUA DO SUL','SC','124241241215372411456933274124131431177',4412,'1061',62.45,1,3,NULL),(15,2047411,'1990-04-01 00:00:00',2,5,12,2007,'F','N','FLORESTA','CRICIUMA','SC','124242241215271431338911572112610142182',13009,'226',47.58,1,3,NULL),(15,2047420,'1987-12-29 00:00:00',4,1,11,2005,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124202241215573431339714372224610124112',2842,'1026',66.63,1,3,NULL),(15,2047438,'1990-05-22 00:00:00',4,1,11,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244241215472431288836286214610164082',1922,'270',69.52,1,3,NULL),(15,2047446,'1990-09-12 00:00:00',4,3,11,2007,'M','N','CENTRO','PORTO BELO','SC','116242161215471431437932475114610164112',9401,'9998',52.94,1,3,NULL),(15,2047462,'1981-06-07 00:00:00',4,1,12,1999,'M','N','LAGO NORTE','LAGO NORTE','DF','107074071216151731388733375122140217187',4662,'9998',61.84,4,3,NULL),(15,2047470,'1988-11-23 00:00:00',2,1,12,2006,'F','N','CENTRO','SANTA MARIA','RS','120203201217471431337733572115610124077',NULL,'9998',0.00,1,3,NULL),(15,2047489,'1986-02-08 00:00:00',2,1,12,2003,'F','N','CENTRO','BIGUACU','SC','124244241215575431456632571124222863077',1419,'272',71.55,1,3,NULL),(15,2047500,'1989-07-17 00:00:00',4,1,12,2006,'M','N','SERRARIA','SAO JOSE','SC','124242241215472431436653292114610137052',6340,'943',58.38,4,3,NULL),(15,2047519,'1989-10-27 00:00:00',2,1,9,2007,'F','N','BONFIM PAULISTA','RIBEIRAO PRETO','SP','125252251216111431668831411122610113092',14041,'9998',46.11,1,3,NULL),(15,2047527,'1990-01-26 00:00:00',4,8,11,2007,'F','N','CENTRO','CURITIBA','PR','116122161217111411349931575122610143182',NULL,'9998',0.00,1,3,NULL),(15,2047535,'1990-04-21 00:00:00',4,1,12,2007,'M','N','NOVO CENTRO','MARINGA','PR','116162161217111431468935455112610137042',4994,'9998',61.09,1,3,NULL),(15,2047543,'1990-03-22 00:00:00',4,3,11,2007,'F','N','MERCÊS','CURITIBA','PR','116162161215471431437612275112610166092',12629,'9998',48.10,1,3,NULL),(15,2047551,'1990-10-07 00:00:00',2,1,12,2007,'M','N','SÃO ROQUE','BENTO GONCALVES','RS','120204201216131321546672245124610134177',14556,'9998',45.33,1,3,NULL),(15,2047578,'1989-07-20 00:00:00',2,1,12,2006,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124241241117132431446619292124610126147',8244,'307',54.93,1,2,1),(15,2047586,'1990-02-19 00:00:00',4,6,11,2007,'F','N','FUNDO CANOAS','RIO DO SUL','SC','124242241216111431658314345122610124017',NULL,'654',23.78,1,3,NULL),(15,2047608,'1987-02-06 00:00:00',4,4,12,2004,'F','N','JD PORTO ALEGRE','TOLEDO','PR','116162161416572431548732571123610161142',781,'9998',74.83,1,3,NULL),(15,2047616,'1988-01-29 00:00:00',4,1,12,2005,'M','N','JURERE','FLORIANOPOLIS','SC','124241241331573441455614371124610162167',2425,'1022',67.84,1,3,NULL),(15,2047624,'1989-01-20 00:00:00',4,8,12,2006,'F','N','SAGUAÇU','JOINVILLE','SC','124243241215371431668812575112610122147',1207,'457',72.42,1,3,NULL),(15,2047632,'1989-09-04 00:00:00',4,1,12,2006,'M','N','GLÓRIA','JOINVILLE','SC','124242241235471431574833575124610162087',549,'491',76.42,1,3,NULL),(15,2047640,'1984-07-21 00:00:00',4,4,12,2001,'M','N','JD COOPAGRO','TOLEDO','PR','116162161216571431446821571113141364042',1438,'9998',71.49,3,3,NULL),(15,2047667,'1991-01-09 00:00:00',2,1,12,2007,'F','N','CENTRO','SANTA MARIA','RS','120201201416151431333835572125610127057',NULL,'9998',0.00,1,3,NULL),(15,2047675,'1990-02-21 00:00:00',4,4,10,2007,'F','N','CENTRO','ERECHIM','RS','120202201215271431457813494122610142197',6974,'9998',57.21,1,3,NULL),(15,2047683,'1989-01-20 00:00:00',4,8,12,2006,'F','N','ALTO TAQUARAL','CAMPINAS','SP','125254251215471431484711372112610162136',1860,'9998',69.75,1,3,NULL),(15,2047705,'1989-05-13 00:00:00',4,1,12,2006,'M','N','GONZAGA','SANTOS','SP','125253251215472531467631576124610127117',13295,'9998',47.18,1,3,NULL),(15,2047713,'1989-11-30 00:00:00',4,8,12,2006,'F','N','VILA NOVA','JARAGUA DO SUL','SC','124241241116132441536339285125233248142',NULL,'430',29.13,1,2,1),(15,2047721,'1988-11-18 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241216373431436813345234610167057',14577,'237',45.30,1,3,NULL),(15,2047730,'1988-09-15 00:00:00',4,1,12,2005,'M','N','CENTRO','MAJOR VIEIRA','SC','124241241216573431458916575114610167157',3586,'154',64.50,1,3,NULL),(15,2047764,'1992-05-17 00:00:00',2,5,11,2007,'M','N','MATO ALTO','ARARANGUA','SC','124243241215121431336314496124610124011',2047,'32',69.10,1,3,NULL),(15,2047772,'1986-10-06 00:00:00',4,1,12,2005,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124243241215473431246559475114610132182',10683,'269',50.90,1,3,NULL),(15,2047780,'1989-08-04 00:00:00',2,1,12,2006,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241115132411436627281223610161042',15610,'733',43.94,1,3,NULL),(15,2047799,'1987-12-10 00:00:00',2,4,12,2005,'F','N','LA SALLE','XANXERE','SC','124243241436131431461112275122133233182',NULL,'836',25.95,1,3,NULL),(15,2047810,'1990-07-27 00:00:00',4,8,12,2007,'M','N','OXFORD','SAO BENTO DO SUL','SC','124241241215121431529624575122610116092',NULL,'1114',0.00,1,3,NULL),(15,2047829,'1990-09-25 00:00:00',2,8,11,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242241217131431458923575124610135052',12170,'1105',48.77,1,3,NULL),(15,2047837,'1988-12-24 00:00:00',2,1,12,2007,'F','N','JARDIM DAS ACACIAS','SAO JOSE','SC','124242241215112431443613575123610162092',6968,'270',57.22,1,3,NULL),(15,2047845,'1989-04-13 00:00:00',4,1,12,2006,'M','N','CENTRO','PATOS DE MINAS','MG','113131131216111441433413445121142922077',9553,'9998',52.68,1,3,NULL),(15,2047853,'1990-11-13 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215371411346923375124610134145',2157,'1022',68.73,1,3,NULL),(15,2047870,'1988-05-04 00:00:00',4,1,12,2005,'F','N','FLOR DE NAPOLIS','SAO JOSE','SC','124241241115314431467413441114610147147',12664,'733',48.05,1,3,NULL),(15,2047888,'1988-10-19 00:00:00',4,1,12,2006,'M','N','LAGO SUL','LAGO SUL','DF','107072071214411431468823475122610167137',5066,'9998',60.97,4,3,NULL),(15,2047896,'1983-04-25 00:00:00',4,5,12,2001,'F','N','CIDADE BAIXA','PORTO ALEGRE','RS','120251251216572431434829445124610124072',17871,'9998',40.56,1,3,NULL),(15,2047900,'1990-05-04 00:00:00',2,6,12,2007,'F','N','BIGORRILHO','CURITIBA','PR','116162161215111431357924274124610136077',NULL,'9998',0.00,1,3,NULL),(15,2047934,'1977-03-19 00:00:00',4,1,12,1995,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124212246146132431238853345123321664043',NULL,'306',0.00,1,3,NULL),(15,2047942,'1988-05-05 00:00:00',4,1,12,2005,'F','N','CENTRO','BRUSQUE','SC','124242241217473431537611572124610167017',2375,'71',68.00,1,3,NULL),(15,2047950,'1987-08-15 00:00:00',2,1,12,2005,'F','N','ÁGUAS CLARAS','BRASILIA','DF','107074071235371431348413575122142467097',19952,'9998',36.92,1,3,NULL),(15,2047969,'1990-03-28 00:00:00',4,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124242241117271431539813475124610166147',11028,'733',50.41,1,3,NULL),(15,2047977,'1989-11-28 00:00:00',4,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124241241115111711579919295124610147067',5819,'457',59.44,1,3,NULL),(15,2047985,'1990-06-04 00:00:00',4,1,12,2007,'F','N','CENTRO','SINOP','MT','111113111216271731545512572121610144147',14888,'9998',44.92,1,3,NULL),(15,2047993,'1987-11-12 00:00:00',3,1,12,2004,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124243241215473431469733572124130461187',8289,'185',54.86,1,3,NULL),(15,2048000,'1990-07-20 00:00:00',4,9,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124241241117131431438624425122610117047',16896,'239',42.02,1,3,NULL),(15,2048027,'1990-03-13 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112531369631572112610114117',2342,'270',68.10,1,3,NULL),(15,2048035,'1989-01-16 00:00:00',4,1,12,2006,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124241241316212431569713475124221416091',NULL,'271',0.00,1,3,NULL),(15,2048043,'1990-11-05 00:00:00',4,3,11,2007,'F','N','SANTA RITA','BRUSQUE','SC','124242241215311431568414272122610133147',13213,'107',47.29,1,3,NULL),(15,2048051,'1990-10-28 00:00:00',2,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215111431455519572114610134071',2657,'1022',67.15,1,3,NULL),(15,2048060,'1990-12-11 00:00:00',4,10,11,2007,'F','N','CENTRO','IMBITUBA','SC','124241241215112431458812572124610131147',11380,'807',49.87,1,3,NULL),(15,2048078,'1989-06-14 00:00:00',4,1,12,2007,'M','N','ILHA DOS ARAÚJOS','GOVERNADOR VALADARES','MG','113132131216251431568833572112610167182',8480,'9998',54.55,1,3,NULL),(15,2048086,'1990-05-11 00:00:00',2,1,12,2007,'F','N','BELA VISTA','SAO JOSE','SC','124241241215111711368913572112610123115',18007,'1118',40.30,1,3,NULL),(15,2048094,'1990-04-15 00:00:00',4,1,12,2007,'F','N','SETOR BUENO','GOIANIA','GO','109092091236111431475812584122610162042',NULL,'9998',0.00,4,3,NULL),(15,2048116,'1987-02-19 00:00:00',4,8,12,2004,'F','N','SWIFT','CAMPINAS','SP','125251251117571411356624475124610162144',5800,'9998',59.47,1,2,1),(15,2048124,'1989-01-02 00:00:00',4,1,12,2006,'F','N','VILA MUSSOLINI','SAO BERNARDO DO CAMPO','SP','125163161216151431548734575124610132012',4207,'9998',62.89,1,3,NULL),(15,2048132,'1989-06-11 00:00:00',4,1,12,2006,'M','N','BOA ESPERANÇA','CUIABA','MT','111114111116271442558833575124141027083',4416,'9998',62.45,4,3,NULL),(15,2048140,'1990-04-03 00:00:00',4,1,11,2007,'F','N','PANAMBY','SAO PAULO','SP','125252251215151431389932571122610137122',6158,'9998',58.74,1,3,NULL),(15,2048167,'1990-08-06 00:00:00',2,4,12,2007,'M','N','CARAÍBA','SEARA','SC','124241241116151232546933575124610124057',13080,'384',47.47,1,2,1),(15,2048175,'1990-07-11 00:00:00',4,8,11,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241212131431446714575124610167017',9965,'461',51.99,1,3,NULL),(15,2048191,'1990-04-29 00:00:00',2,7,11,2007,'F','N','CENTRO','OURO','SC','124241241416111431436833245122610144192',16368,'1093',42.80,1,3,NULL),(15,2048205,'1989-10-05 00:00:00',4,1,11,2006,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241217473431445631572124131927062',362,'270',77.94,4,3,NULL),(15,2048213,'1988-01-07 00:00:00',4,1,12,2004,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124244241216373431468813445124230231193',113,'1011',81.25,1,3,NULL),(15,2048230,'1990-07-08 00:00:00',4,4,12,2007,'M','N','CENTRO','XANXERE','SC','124243241315231531348813232125610164057',NULL,'1046',0.00,4,3,NULL),(15,2048248,'1989-04-09 00:00:00',4,8,12,2006,'M','N','CENTRO','SAO BENTO DO SUL','SC','124242241216423431469814475112241428122',909,'486',74.01,1,3,NULL),(15,2048264,'1989-08-11 00:00:00',2,1,11,2006,'F','N','JARDIM ORIENTAL','SAO PAULO','SP','125252251211471411546832251115610132072',NULL,'9998',0.00,1,3,NULL),(15,2048280,'1990-09-16 00:00:00',4,1,10,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241215131431228829575124610128187',18897,'269',38.84,1,3,NULL),(15,2048299,'1961-07-08 00:00:00',4,1,12,1984,'F','N','CAMPECHE','FLORIANOPOLIS','SC','224251255226131431444352312134141011187',17917,'9998',40.46,1,3,NULL),(15,2048302,'1990-01-02 00:00:00',4,1,12,2007,'M','N','JD DAS INDUSTRIAS','SAO JOSE DOS CAMPOS','SP','125252251215111431379839572112510117047',544,'9998',76.46,1,3,NULL),(15,2048310,'1990-02-14 00:00:00',4,1,12,2007,'F','N','MADUREIRA','CAXIAS DO SUL','RS','120202201217371431465733572112610167072',6755,'9998',57.64,1,3,NULL),(15,2048329,'1988-12-26 00:00:00',2,1,12,2005,'F','N','VILA MARIA','PALMEIRA','PR','116162161216572431436639195123142667077',2798,'9998',66.75,1,3,NULL),(15,2048337,'1990-03-01 00:00:00',2,10,11,2007,'M','N','CENTRO','IMBITUBA','SC','124241241215112431447813575123610167117',3665,'807',64.31,1,3,NULL),(15,2048345,'1977-09-09 00:00:00',4,6,12,1994,'M','N','CENTRO','ITAJAI','SC','524242241216472411366642345132321067172',110,'389',81.41,1,3,NULL),(15,2048353,'1990-01-04 00:00:00',4,2,12,2007,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241215121431476914395122610167052',16270,'86',42.95,1,3,NULL),(15,2048361,'1988-03-23 00:00:00',4,1,12,2005,'F','N','JD BRASIL','AMPARO','SP','125252251216571431465619576122610137187',NULL,'9998',0.00,1,3,NULL),(15,2048388,'1991-01-08 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241217121411458614475114610143077',10999,'272',50.47,1,3,NULL),(15,2048396,'1990-04-28 00:00:00',2,5,11,2007,'M','N','NUNES','NONOAI','RS','120202201216161431334439572221610126141',12065,'9998',48.90,1,3,NULL),(15,2048400,'1990-04-21 00:00:00',4,1,12,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124242241215121441456732375124610127182',12270,'951',48.63,1,3,NULL),(15,2048426,'1989-02-28 00:00:00',2,3,12,2005,'F','N','SANTA TEREZINHA','SOROCABA','SP','125254251217572131464611375112610161192',NULL,'9998',0.00,1,3,NULL),(15,2048450,'1990-01-05 00:00:00',2,1,12,2006,'F','N','SOMBRIO','SANTO AMARO DA IMPERATRIZ','SC','124243248116372431425611385324610144067',7441,'592',56.35,1,3,NULL),(15,2048469,'1989-09-03 00:00:00',3,1,12,2006,'F','N','CENTRO TEC AEROESP','SAO JOSE DOS CAMPOS','SP','125252251217472411369913575122610161012',4498,'9998',62.25,1,3,NULL),(15,2048477,'1990-07-30 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241217111231468923572115610164057',627,'738',75.84,1,3,NULL),(15,2048493,'1990-03-26 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215122411468913572124610127041',669,'270',75.62,1,3,NULL),(15,2048507,'1989-09-14 00:00:00',5,5,7,2007,'F','N','FIGUEIRA','URUSSANGA','SC','124241248217161431343823395124610124147',21329,'995',34.13,1,3,NULL),(15,2048515,'1991-08-02 00:00:00',4,1,12,2007,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','124242241215111731467833575122610163142',3106,'270',65.84,1,3,NULL),(15,2048523,'1988-08-18 00:00:00',4,1,12,2006,'M','N','JARDIM SATÉLITE','SAO JOSE DOS CAMPOS','SP','125252251217471711368814491124610134122',2915,'9998',66.39,1,3,NULL),(15,2048531,'1990-02-22 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241117272431228723231324610135142',22392,'267',30.43,1,2,1),(15,2048540,'1990-06-25 00:00:00',4,7,12,2007,'F','N','BARRA SECA','CONCORDIA','SC','124241241111131431313336562314610134072',NULL,'9997',20.53,1,3,NULL),(15,2048558,'1989-04-23 00:00:00',2,1,11,2006,'F','N','ROÇADO','SAO JOSE','SC','124242241215573431588811472122610135017',5100,'270',60.90,1,3,NULL),(15,2048566,'1990-11-02 00:00:00',4,3,12,2007,'M','N','JARDIM YPÊ','FOZ DO IGUACU','PR','116162161216111431568814472122610164192',6560,'9998',57.96,1,3,NULL),(15,2048574,'1988-09-15 00:00:00',2,1,11,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124224221217372731539913592124610123147',19091,'9998',38.53,4,3,NULL),(15,2048582,'1990-11-15 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215111431559813571122610162043',3788,'226',64.00,1,3,NULL),(15,2048590,'1990-12-06 00:00:00',2,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241215111431469913574122610124112',8330,'855',54.81,1,3,NULL),(15,2048604,'1990-03-02 00:00:00',5,8,12,2007,'F','N','AGUA VERDE','CURITIBA','PR','116162161237271431489712572122610167097',2435,'9998',67.81,1,3,NULL),(15,2048612,'1991-10-03 00:00:00',4,9,12,2008,'F','S','SÃO PAULO','LAGES','SC','124244241212111431328912492122610166182',NULL,'497',41.62,1,3,NULL),(15,2048620,'1990-05-10 00:00:00',2,3,12,2007,'F','N','JARDIM NOVO OASIS','MARINGA','PR','116162161215111431438764576114610135142',12039,'9998',48.93,1,3,NULL),(15,2048639,'1990-10-30 00:00:00',4,2,12,2007,'F','N','SANTA TEREZINHA','GASPAR','SC','124243241117371431656722295124610133052',15552,'325',44.04,1,3,NULL),(15,2048647,'1990-09-24 00:00:00',4,6,11,2007,'M','N','SÃO JOÃO','ITAJAI','SC','124242241217271431446811114121610167062',749,'392',75.02,1,3,NULL),(15,2048663,'1983-01-06 00:00:00',4,1,11,1999,'M','N','NOVA DESCOBERTA','TIJUCAS','SC','124242241217132441346639431124231434182',8059,'270',55.26,1,3,NULL),(15,2048671,'1989-03-20 00:00:00',3,1,6,2007,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241117152432438711341124122266187',7528,'306',56.17,1,2,1),(15,2048680,'1990-02-10 00:00:00',4,7,12,2007,'F','N','ESCOLAR','SALTO VELOSO','SC','124241241137131431434412242121610121057',19744,'1113',37.34,1,2,1),(15,2048698,'1988-05-30 00:00:00',4,1,12,2005,'F','N','BAIRRO ALTO','CURITIBA','PR','116112161416572431437613572124610138187',12482,'9998',48.33,1,3,NULL),(15,2048701,'1989-08-28 00:00:00',4,1,12,2007,'M','N','ASA SUL','BRASILIA','DF','107072071217111431268933575112610122095',3460,'9998',64.85,1,3,NULL),(15,2048710,'1989-03-13 00:00:00',4,1,12,2006,'F','N','CASA GRANDE','DIADEMA','SP','125251251146471431436314485124610125072',8371,'9998',54.73,1,2,1),(15,2048728,'1990-03-12 00:00:00',2,1,12,2007,'F','N','ROÇADO','SAO JOSE','SC','124241241211371431634314271224610156072',NULL,'1036',25.78,1,3,NULL),(15,2048736,'1987-12-22 00:00:00',4,5,11,2005,'M','N','CRUZEIRO DO SUL','CRICIUMA','SC','124242241235273431358832112115121467042',950,'226',73.77,1,3,NULL),(15,2048752,'1990-01-17 00:00:00',4,8,12,2007,'F','N','NOVA BRASÍLIA','JOINVILLE','SC','124242241246371451356714576122610126147',14257,'459',45.79,1,3,NULL),(15,2048760,'1989-06-05 00:00:00',4,9,12,2007,'F','N','CORAL','LAGES','SC','124242241216472431337727575122610156012',15844,'499',43.61,1,3,NULL),(15,2048779,'1986-04-07 00:00:00',4,1,12,2003,'M','N','NUEVO','DIADEMA','SP','125251251146141431437833445122610168192',13461,'9998',46.93,1,2,1),(15,2048787,'1989-07-28 00:00:00',4,1,12,2006,'M','N','CAMPINAS','SAO JOSE','SC','124242241217372331436412245114610137092',20647,'1036',35.60,1,3,NULL),(15,2048825,'1990-09-12 00:00:00',2,1,12,2007,'F','N','CENTRO','PAPANDUVA','SC','124241241315111431436622574122610166072',1714,'541',70.33,1,3,NULL),(15,2048833,'1990-05-14 00:00:00',4,1,12,2007,'F','N','JD VITORIA','MARINGA','PR','116163161317111431246721214122610167142',NULL,'9998',0.00,1,3,NULL),(15,2048841,'1989-06-15 00:00:00',4,10,11,2006,'M','N','OFICINAS','TUBARAO','SC','124241241415152431336715245122231464157',3697,'807',64.23,1,3,NULL),(15,2048876,'1988-04-20 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201241111272731445723281124610164097',15719,'288',43.78,1,3,NULL),(15,2048884,'1988-09-24 00:00:00',4,2,12,2006,'M','N','PLANALTO DO SOL','SUMARE','SP','125253256137371421448713345124610167057',3036,'9998',66.02,4,3,NULL),(15,2048922,'1985-07-27 00:00:00',4,4,12,2003,'M','N','CENTRO','CONCORDIA','SC','124242241317152421538812445122130222177',16675,'193',42.36,1,3,NULL),(15,2048930,'1988-01-29 00:00:00',4,1,11,2005,'F','N','SERRARIA','SAO JOSE','SC','124241241312212431325311341214610111157',17615,'307',40.91,1,3,NULL),(15,2048949,'1990-08-10 00:00:00',4,7,12,2007,'F','N','ESTUDANTES','IPIRA','SC','124241241113131421323319173324610138052',21030,'619',34.80,1,3,NULL),(15,2048957,'1985-11-02 01:00:00',4,1,12,2003,'M','N','CENTRO','IMBITUBA','SC','124241241117372441557913394122131432095',170,'307',80.32,1,2,1),(15,2048973,'1990-08-10 00:00:00',2,5,10,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215111431446611572122610128192',3929,'213',63.65,1,3,NULL),(15,2048981,'1989-09-02 00:00:00',4,1,12,2007,'F','N','FLORESTA','SAO JOSE','SC','124243241115472431449923275114610146187',6193,'271',58.66,1,3,NULL),(15,2048990,'1989-03-11 00:00:00',4,1,12,2006,'M','N','JARDIM BONGIOVANI','PRESIDENTE PRUDENTE','SP','125252251217472431558811175121610164017',3871,'9998',63.81,1,3,NULL),(15,2049015,'1986-04-02 00:00:00',4,1,12,2003,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215372431258823572122122562195',498,'270',76.84,1,3,NULL),(15,2049031,'1986-02-11 00:00:00',4,4,12,2003,'F','N','SÃO VICENTE DE PAULO','ERECHIM','RS','120201201136471231226829275124241428182',14014,'9998',46.14,1,2,1),(15,2049040,'1990-09-07 00:00:00',4,1,12,2007,'M','N','CENTRO','SINOP','MT','111112111217271431566632571122610114192',NULL,'9998',27.54,4,3,NULL),(15,2049058,'1990-10-21 01:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124122241216111411568816365124610136142',NULL,'270',0.00,1,3,NULL),(15,2049066,'1985-07-13 00:00:00',2,1,12,2004,'F','N','BARREIROS','FLORIANOPOLIS','SC','124241241117374431326624442114610162197',14081,'257',46.06,1,2,1),(15,2049074,'1987-04-10 00:00:00',4,1,12,2004,'M','N','SANTA PAULA','SAO CAETANO DO SUL','SP','125254251215572411347813375112610134117',345,'9998',78.10,1,3,NULL),(15,2049082,'1981-06-07 00:00:00',2,6,12,1999,'F','N','NOVA BRASÍLIA','ITAJAI','SC','124241241412135711236243432334610117047',2521,'391',67.57,1,3,NULL),(15,2049090,'1990-08-15 00:00:00',4,10,12,2007,'M','N','CENTRO','GRAVATAL','SC','124241241215111431355923574114610128182',1337,'807',71.94,1,3,NULL),(15,2049104,'1987-09-19 00:00:00',4,1,12,2005,'M','N','ECOLOGIA','SEROPEDICA','RJ','121172211216572431459913576115610122147',167,'9998',80.34,1,3,NULL),(15,2049120,'1989-12-08 00:00:00',4,5,12,2006,'F','N','VILA FLORESTA','CRICIUMA','SC','124241241215132431448914591124232464097',5652,'226',59.77,1,3,NULL),(15,2049139,'1988-06-03 00:00:00',4,1,12,2005,'M','N','SUMARÉ','SAO PAULO','SP','125252251217571212668711572122610137042',2809,'9998',66.73,1,3,NULL),(15,2049147,'1990-03-31 00:00:00',2,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215121431549634582224610137072',3901,'270',63.73,1,3,NULL),(15,2049155,'1990-08-18 00:00:00',4,1,12,2007,'F','N','SOCORRO','MOGI DAS CRUZES','SP','125252251117131331644832244224610167057',20768,'9998',35.36,1,3,NULL),(15,2049163,'1989-01-19 00:00:00',4,1,12,2006,'F','N','FLORESTA','BELO HORIZONTE','MG','113132131217372431569911575122610142077',1398,'9998',71.66,1,3,NULL),(15,2049180,'1988-07-07 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215573451439933572114610127057',5754,'270',59.56,1,3,NULL),(15,2049198,'1990-07-05 00:00:00',4,1,12,2008,'M','S','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242241216111311458813575122610142052',NULL,'738',44.56,1,3,NULL),(15,2049201,'1986-01-08 00:00:00',4,1,12,2003,'M','N','VILA PROGRESSO','GUARULHOS','SP','125252251216471411428718585124610136182',2401,'9998',67.90,3,3,NULL),(15,2049210,'1989-01-18 00:00:00',4,2,12,2006,'F','N','AGUA VERDE','BLUMENAU','SC','124241241245472431533332395124610147077',NULL,'1052',19.53,1,3,NULL),(15,2049228,'1990-01-22 00:00:00',4,1,10,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124252241215151431438611275114610166087',5521,'262',60.02,1,3,NULL),(15,2049236,'1990-04-12 00:00:00',4,1,12,2007,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124243241417471431468832175114610164142',2253,'1098',68.41,1,3,NULL),(15,2049244,'1988-09-12 00:00:00',4,1,12,2005,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124241241415373431458613572124610143147',9145,'300',53.36,1,3,NULL),(15,2049252,'1990-03-19 00:00:00',4,4,11,2007,'F','N','SANTA MARIA','CHAPECO','SC','124242241217321431326623275122610167017',19138,'983',38.45,1,3,NULL),(15,2049260,'1977-08-05 00:00:00',4,8,12,1997,'M','N','CUMBICA','GUARULHOS','SP','125253257116131431148643335312140324047',13139,'1042',47.41,1,3,NULL),(15,2049287,'1990-02-15 00:00:00',4,8,12,2007,'M','N','CENTRO','SANTO ANTONIO DA PLATINA','PR','116162161116371411467834575122610122012',NULL,'9998',0.00,1,3,NULL),(15,2049309,'1989-11-08 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124244241112271231458913375122610122187',13019,'169',47.56,1,3,NULL),(15,2049317,'1987-03-30 00:00:00',4,1,12,2004,'F','N','PARQUE BUTURUSSU','SAO PAULO','SP','125254251216471441557612285324241762097',17270,'9998',41.46,1,3,NULL),(15,2049325,'1986-07-19 00:00:00',2,1,9,2004,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241117473431348611246114610126187',1550,'306',70.99,1,2,1),(15,2049333,'1989-10-27 00:00:00',2,1,12,2006,'F','N','SERRARIA','SAO JOSE','SC','124241241336132431446521475114610122017',10359,'307',51.41,1,3,NULL),(15,2049341,'1968-02-26 00:00:00',4,9,12,1985,'M','N','AZENHA','PORTO ALEGRE','RS','120204203416151711145923415123242862097',1278,'9998',72.13,1,3,NULL),(15,2049350,'1987-07-25 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124282286117271411338314495124610117052',11601,'9998',49.55,1,3,NULL),(15,2049368,'1990-09-09 00:00:00',2,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111431436811572112610117112',7184,'738',56.83,1,3,NULL),(15,2049376,'1968-05-26 00:00:00',2,1,12,1987,'M','N','MONTE CRISTO','FLORIANOPOLIS','SC','224241241121132411235544345134610137047',19734,'307',37.36,1,3,NULL),(15,2049384,'1985-01-08 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124201201117131431123836442324610137042',21405,'9998',33.95,1,2,1),(15,2049392,'1989-09-23 00:00:00',2,1,12,2006,'M','N','SANTA TERESA','PORTO ALEGRE','RS','120202201236471732316614575124610164112',5009,'9998',61.07,1,3,NULL),(15,2049406,'1989-11-28 00:00:00',4,4,12,2007,'F','N','CENTRO','PINHALZINHO','SC','124241241145271711584713431122610147142',20034,'761',36.75,1,2,1),(15,2049414,'1988-09-10 00:00:00',4,3,11,2006,'M','N','VILA NOVA','BLUMENAU','SC','124242241215471431467932122124610154112',4178,'855',62.96,1,3,NULL),(15,2049430,'1987-09-15 00:00:00',2,1,12,2004,'F','N','SANTA CRUZ','CONCORDIA','SC','124241241115472431437679295124140668097',3699,'636',64.22,1,3,NULL),(15,2049449,'1989-09-29 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215372431444611575124610142147',13291,'1076',47.18,1,3,NULL),(15,2049457,'1990-06-26 00:00:00',2,8,11,2007,'M','N','CENTRO','PONTA GROSSA','PR','116163161315111431588832275124610164172',NULL,'9998',50.50,4,3,NULL),(15,2049465,'1989-12-23 00:00:00',4,8,12,2006,'M','N','GLORIA','JOINVILLE','SC','124242246217372431566823375114131064042',10395,'1105',51.35,1,3,NULL),(15,2049473,'1990-01-06 00:00:00',4,1,12,2007,'M','N','NOVO MINAS GERAIS','CAMPO GRANDE','MS','112222121215211431226924574324610147147',3535,'9998',64.68,4,1,2),(15,2049481,'1989-06-24 00:00:00',2,5,11,2006,'M','N','JARDIM ITALIA','MELEIRO','SC','124242241215372431446913341112610164072',8921,'813',53.80,1,3,NULL),(15,2049503,'1971-11-17 00:00:00',2,1,12,1991,'M','N','BELA VISTA II','SAO JOSE','SC','224243241321453421453349191132610167047',NULL,'272',36.09,1,3,NULL),(15,2049511,'1989-12-28 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215371431358831575125610132072',13651,'1022',46.68,1,3,NULL),(15,2049520,'1990-03-04 00:00:00',4,10,11,2007,'F','N','VILA MOEMA','TUBARAO','SC','124244241215111431548811594112610155017',6942,'807',57.27,1,3,NULL),(15,2049538,'1990-07-15 00:00:00',2,8,12,2007,'M','N','GUANABARA','JOINVILLE','SC','124242241215111431468814575121610137042',2770,'459',66.82,1,3,NULL),(15,2049546,'1989-03-06 00:00:00',4,1,12,2007,'F','N','ARMAÇÃO','FLORIANOPOLIS','SC','124244241417112431468911396114610134182',8713,'1022',54.15,1,3,NULL),(15,2049554,'1990-01-29 00:00:00',2,10,11,2007,'F','N','MAR GROSSO','LAGUNA','SC','124241241116161751565313335122610133197',15408,'522',44.25,1,3,NULL),(15,2049562,'1989-12-04 00:00:00',4,9,12,2006,'F','N','JUVENTUDE','BENTO GONCALVES','RS','120202201217372431358819594112610136182',5186,'9998',60.73,1,3,NULL),(15,2049570,'1987-03-24 00:00:00',4,1,12,2004,'M','N','CENTRO','SAO BERNARDO DO CAMPO','SP','125251253316271221447634245114610143097',4317,'9998',62.67,1,3,NULL),(15,2049589,'1989-05-08 00:00:00',2,1,12,2006,'M','N','CENTRO','PARANAGUA','PR','116162161213473412348821473121610133181',9611,'9998',52.58,1,3,NULL),(15,2049597,'1987-03-19 00:00:00',4,5,6,2005,'M','N','MINA BRASIL','CRICIUMA','SC','124241246416131441435414345124231437042',13863,'995',46.37,1,3,NULL),(15,2049600,'1989-10-16 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215112411479933572122610136142',2739,'270',66.91,1,3,NULL),(15,2049619,'1990-01-17 00:00:00',4,1,11,2007,'M','N','SAO FRANCISCO','VALINHOS','SP','125252251215111431459921575122610127077',15960,'9998',43.45,1,3,NULL),(15,2049627,'1986-10-12 00:00:00',2,1,12,2003,'F','N','USINA SANTA ADÉLIA','JABOTICABAL','SP','125251251417571731547814592122610127097',NULL,'9998',0.00,1,3,NULL),(15,2049643,'1989-01-14 00:00:00',2,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124241241215121712446721315114610137052',12904,'737',47.71,1,3,NULL),(15,2049651,'1990-04-22 00:00:00',4,1,12,2007,'M','N','JARDIM VISTA ALEGRE','SAO PAULO','SP','125252251117111431555634572122610127042',17683,'9998',40.82,4,3,NULL),(15,2049660,'1990-08-19 00:00:00',4,1,11,2007,'F','N','JARDIM UMARIZAL','SAO PAULO','SP','125253251417271431546512585114610145187',16665,'9998',42.37,1,3,NULL),(15,2049678,'1988-11-12 00:00:00',2,1,12,2005,'F','N','PRIMEIRO DE MAIO','FARROUPILHA','RS','120201201116371431433334345124610147092',12912,'9998',47.70,1,2,1),(15,2049686,'1990-10-30 00:00:00',4,4,10,2007,'F','N','CENTRO','CONCORDIA','SC','124241241416111431443712275122610133147',8293,'1047',54.86,1,3,NULL),(15,2049694,'1990-07-29 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241212111741236624572122610131142',17815,'273',40.64,1,3,NULL),(15,2049708,'1987-07-16 00:00:00',2,1,12,2004,'F','N','PASSA VINTE','PALHOCA','SC','124241247417132431424313342331610118187',NULL,'9997',15.00,1,3,NULL),(15,2049716,'1984-06-21 00:00:00',2,1,12,2001,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','124241241122252421223344192334610114072',20387,'293',36.08,1,2,1),(15,2049724,'1987-10-18 00:00:00',4,6,12,2007,'M','N','CENTRO','NAVEGANTES','SC','124242241217111431546923575125610124012',NULL,'391',24.79,1,3,NULL),(15,2049732,'1989-02-16 00:00:00',4,1,12,2006,'F','N','VILA LUZITA','SANTO ANDRE','SP','125252251226571431543339295124610123182',16919,'9998',41.98,1,3,NULL),(15,2049740,'1987-05-08 00:00:00',2,8,12,2004,'M','N','JARDIM SOFIA','JOINVILLE','SC','124241241122574431466834575111231424142',2813,'278',66.72,1,2,1),(15,2049759,'1988-02-25 00:00:00',4,1,12,2006,'F','N','LISBOA FORQUILHAS','SAO JOSE','SC','124241241112271432436424384114610112197',19761,'591',37.30,1,2,1),(15,2049767,'1984-05-19 00:00:00',4,1,12,2001,'M','N','CENTRO','SANTA FE DO SUL','SP','125253251415471431467632482122342368052',21217,'9998',34.39,1,3,NULL),(15,2049775,'1990-06-29 00:00:00',2,5,12,2007,'M','N','MATO ALTO','ARARANGUA','SC','124243241215111431345934575122610168192',19707,'26',37.40,1,3,NULL),(15,2049783,'1983-01-12 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217172711559911225112130267127',16633,'266',42.41,1,3,NULL),(15,2049791,'1990-04-21 00:00:00',4,8,12,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124162241215121431369912575112610167042',138,'1063',80.84,1,3,NULL),(15,2049805,'1989-09-01 00:00:00',4,1,11,2007,'F','N','JARDIM ATLÂNICO','FLORIANOPOLIS','SC','124242241215121411328529575124610146072',4048,'270',63.34,1,3,NULL),(15,2049813,'1988-01-19 00:00:00',4,1,12,2005,'F','N','JARDIM TAROBÁ','FOZ DO IGUACU','PR','116164161116272411443731572112141032082',10726,'9998',50.84,1,3,NULL),(15,2049830,'1988-02-15 00:00:00',4,2,12,2005,'F','N','BOM RETIRO','BLUMENAU','SC','124242241215572431467739475112610128182',692,'909',75.43,1,3,NULL),(15,2049848,'1990-04-20 00:00:00',4,1,2,2009,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241217151711365821474124610161092',NULL,'262',52.71,1,3,NULL),(15,2049856,'1990-07-13 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124252251217111431334819575122610122077',11272,'9998',50.05,1,3,NULL),(15,2049864,'1988-07-15 00:00:00',4,8,12,2005,'M','N','ZONA INDUSTRIAL NORT','JOINVILLE','SC','124253256115371411367812375121230734117',NULL,'9998',35.33,1,3,NULL),(15,2049872,'1990-08-03 00:00:00',4,6,11,2007,'F','N','PRAIA DOS AMORES','BALNEARIO CAMBORIU','SC','124242248217121431538732572114610118015',21719,'1026',33.21,1,3,NULL),(15,2049880,'1985-11-11 00:00:00',4,1,12,2005,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','125243247315373411536813482114610124181',9075,'1022',53.52,1,3,NULL),(15,2049899,'1987-01-27 00:00:00',2,1,11,2004,'M','N','CENTRO','CAMPO NOVO DO PARECIS','MT','111113111216131731434431185115140234057',NULL,'9998',32.58,1,3,NULL),(15,2049910,'1984-11-29 00:00:00',4,1,12,2001,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124251251117272411126644344123610128017',NULL,'9998',29.81,1,2,1),(15,2049945,'1990-08-14 00:00:00',4,3,11,2007,'F','N','BIGORRILHO','CURITIBA','PR','116162161235421431269919395112610128182',21285,'9998',34.24,1,3,NULL),(15,2049953,'1987-11-23 00:00:00',4,1,12,2005,'F','N','PARAISO','SAO PAULO','SP','125252251217571411468414172124610117072',4534,'9998',62.17,1,3,NULL),(15,2049961,'1990-09-03 00:00:00',2,4,11,2007,'F','N','CENTRO','PALMITOS','SC','124242241215121431466512375125610134192',17309,'1046',41.38,1,3,NULL),(15,2049970,'1990-12-27 00:00:00',2,10,11,2007,'M','N','CENTRO','JAGUARUNA','SC','124244241216112411466711575122610167112',553,'807',76.40,1,3,NULL),(15,2049988,'1990-10-26 00:00:00',4,1,12,2007,'F','N','ZONA QUATRO','MARINGA','PR','116162161237371431479831575122610125012',NULL,'9998',0.00,1,3,NULL),(15,2049996,'1990-10-19 00:00:00',4,4,11,2007,'M','N','INDUSTRIAL','FRANCISCO BELTRAO','PR','116162167216371431468931574122610126052',11245,'9998',50.09,1,3,NULL),(15,2050005,'1989-06-09 00:00:00',2,1,12,2006,'F','N','JD PAULISTA','SAO PAULO','SP','125251251336472431438823571225610162177',12247,'9998',48.66,1,3,NULL),(15,2050021,'1990-02-08 00:00:00',4,1,11,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215151411369933571114610135036',1181,'262',72.55,1,3,NULL),(15,2050030,'1975-10-08 00:00:00',3,1,8,1998,'M','N','FABRÍCIO','UBERABA','MG','113131137146151421553371135121343244187',NULL,'9999',0.00,1,3,NULL),(15,2050048,'1986-03-12 00:00:00',4,1,12,2003,'M','N','JARDIM AYMARÁ','PRESIDENTE EPITACIO','SP','112251251416473431454313574124610164092',8538,'9998',54.46,4,3,NULL),(15,2050080,'1989-07-12 00:00:00',4,1,12,2006,'M','N','CENTRO','RIBEIRAO PRETO','SP','125252251217472431389813594122610164036',437,'9998',77.30,1,3,NULL),(15,2050099,'1988-09-27 00:00:00',2,1,12,2006,'M','N','JARDIM ITÁLIA','ITAPETININGA','SP','125251251215472431446811175124610164047',4706,'9998',61.74,1,3,NULL),(15,2050102,'1989-11-12 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215111231466833472114610167057',12645,'884',48.08,1,3,NULL),(15,2050110,'1990-07-09 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217111131358832474122610147187',5704,'262',59.66,1,3,NULL),(15,2050137,'1980-08-26 00:00:00',2,1,11,1999,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124203205317271721126749495112143261097',16097,'9998',43.23,1,3,NULL),(15,2050145,'1990-10-26 00:00:00',4,10,11,2007,'F','N','CENTRO','TUBARAO','SC','124242241217152431468831574112610122142',704,'807',75.34,1,3,NULL),(15,2050153,'1990-08-09 00:00:00',4,10,12,2007,'M','N','BAL ARROIO CORRENTE','JAGUARUNA','SC','124241241215161531326933575124610114057',20313,'1120',36.21,1,3,NULL),(15,2050161,'1989-12-08 00:00:00',1,9,11,2006,'M','N','SUMARÉ','RIO DO SUL','SC','124242241216152541458614575124230324097',NULL,'654',0.00,1,3,NULL),(15,2050170,'1989-09-08 00:00:00',4,1,11,2006,'M','N','JD DAS PAINEIRAS','BRAGANCA PAULISTA','SP','125252251215372431556832341122610127047',2496,'9998',67.64,1,3,NULL),(15,2050188,'1989-08-15 00:00:00',2,1,11,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241216372431668613312124133234117',6083,'266',58.93,1,3,NULL),(15,2050196,'1989-11-24 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241217271731489831572122610137017',3141,'262',65.72,1,3,NULL),(15,2050218,'1990-11-01 00:00:00',2,5,12,2007,'F','N','CENTRO','TURVO','SC','124241241215322431443432325124610134097',9088,'970',53.49,1,3,NULL),(15,2050226,'1989-05-04 00:00:00',2,1,11,2007,'M','N','VILA MADALENA','SAO PAULO','SP','125252257217371711468811385124610114052',19550,'9999',37.73,1,3,NULL),(15,2050234,'1989-02-21 00:00:00',4,4,12,2006,'M','N','CAPAO DA IMBUIA','CURITIBA','PR','116241241215471411426612572124610142147',14843,'185',44.96,1,3,NULL),(15,2050242,'1985-07-21 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217375431367819592114121431147',1773,'943',70.08,1,3,NULL),(15,2050269,'1989-08-21 00:00:00',4,2,11,2007,'M','N','HORTO FLORESTAL','SALVADOR','BA','105052051216111431479814492112610118042',2333,'9998',68.11,1,3,NULL),(15,2050277,'1989-10-03 00:00:00',2,1,12,2006,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124243247312271731324439382214610124192',NULL,'9999',21.89,1,3,NULL),(15,2050285,'1989-10-15 01:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241211111431478969134122610168012',13438,'226',46.96,1,3,NULL),(15,2050293,'1989-10-30 00:00:00',2,5,12,2007,'F','N','CENTRO','SOMBRIO','SC','124242241215111431558813331122610164142',14768,'770',45.04,1,3,NULL),(15,2050307,'1989-06-06 00:00:00',4,8,11,2006,'F','N','CENTRO','CURITIBA','PR','116162161216471731338611575122610122092',NULL,'9998',0.00,3,3,NULL),(15,2050315,'1990-10-08 00:00:00',4,10,10,2007,'F','N','CENTRO','TUBARAO','SC','124242241215122331528712375122610127072',12842,'807',47.80,1,3,NULL),(15,2050323,'1990-06-08 00:00:00',4,1,12,2007,'M','N','FORQUILHAS','SAO JOSE','SC','124241241117131432453627246124610144147',21601,'733',33.50,1,2,1),(15,2050331,'1989-08-11 00:00:00',2,1,12,2006,'F','N','INTERIOR','FLORES DA CUNHA','RS','120201201115572731643516591124610168152',13778,'9998',46.49,1,2,1),(15,2050358,'1987-04-14 00:00:00',2,1,12,2004,'F','N','SERRARIA','SAO JOSE','SC','124241241135372431533314441114610127147',13157,'257',47.38,1,3,NULL),(15,2050366,'1990-05-11 00:00:00',4,8,12,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215122431479913572112610164012',5903,'457',59.25,1,3,NULL),(15,2050390,'1989-10-09 00:00:00',4,8,12,2006,'F','N','SETOR H','ALTA FLORESTA','MT','111112111436471431448923582113610164092',4262,'9998',62.78,1,3,NULL),(15,2050404,'1990-06-19 00:00:00',4,4,11,2007,'M','N','CENTRO','BARRACAO','PR','116161161215121431335933571124610144142',NULL,'9998',0.00,1,3,NULL),(15,2050412,'1989-08-12 00:00:00',4,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241217373431589819472122133223147',1036,'270',73.31,1,3,NULL),(15,2050420,'1991-04-22 00:00:00',4,3,12,2007,'F','N','BOMBAS','BOMBINHAS','SC','124243241126131451324423182124610118147',19830,'1089',37.16,1,3,NULL),(15,2050439,'1990-01-26 00:00:00',4,1,12,2006,'M','N','CENTRO','IMBITUBA','SC','124162161237122431347734575124610112047',9885,'9998',52.12,1,3,NULL),(15,2050455,'1988-02-02 00:00:00',1,1,11,2006,'M','N','CHÁCARA DO OURO','MOGI GUACU','SP','125252251215471411278824572122610128174',141,'9998',80.79,1,3,NULL),(15,2050463,'1986-11-16 00:00:00',4,1,12,2004,'F','N','CARIANOS','FLORIANOPOLIS','SC','124243241215373431468333572124610127142',6603,'272',57.89,1,3,NULL),(15,2050480,'1987-08-11 00:00:00',4,1,12,2005,'F','N','GUAXUMA','MACEIO','AL','102022021216153411279934574122120963092',1966,'9998',69.37,1,3,NULL),(15,2050498,'1989-09-24 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124202201217372441445934575112610167147',11125,'9998',50.26,1,3,NULL),(15,2050501,'1987-09-23 00:00:00',4,10,12,2005,'M','N','PROGRESSO','LAGUNA','SC','124241241115472441233324575114610166097',7234,'521',56.73,1,2,1),(15,2050510,'1989-09-29 00:00:00',4,1,11,2007,'M','N','INDEPENDENCIA','PORTO ALEGRE','RS','120201201311111731534412241122610167042',20534,'9998',35.83,1,3,NULL),(15,2050528,'1989-09-12 00:00:00',2,1,12,2006,'F','N','OLARIAS','PONTA GROSSA','PR','116162161215471431567812575122610134127',7575,'9998',56.07,1,3,NULL),(15,2050536,'1988-03-25 00:00:00',2,10,12,2005,'F','N','CENTRO','LAGUNA','SC','124242241215571431449639575122610164182',NULL,'525',0.00,1,3,NULL),(15,2050544,'1989-04-28 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241315372431445734276114610114197',2409,'1022',67.88,3,3,NULL),(15,2050579,'1990-01-18 00:00:00',4,1,12,2007,'M','N','VILA EMA','SAO JOSE DOS CAMPOS','SP','125252251215371411383912124122610117042',NULL,'9998',19.79,4,3,NULL),(15,2050617,'1991-01-23 00:00:00',4,1,12,2007,'M','N','JARDIM BOURBON','FOZ DO IGUACU','PR','616164168217212431438812375122610168186',NULL,'9998',0.00,1,3,NULL),(15,2050633,'1989-11-26 00:00:00',4,1,12,2006,'F','N','CENTRO','MARINGA','PR','116163161216471431454916574112610114075',NULL,'9998',0.00,1,3,NULL),(15,2050641,'1989-08-25 00:00:00',4,1,12,2006,'F','N','AMERICANO','LAJEADO','RS','120202201117472411558912242122610131127',3265,'9998',65.35,1,3,NULL),(15,2050668,'1990-07-15 00:00:00',4,4,11,2007,'F','N','SÃO PEDRO','ESTACAO','RS','120203201215131441435923374124610124147',4456,'9998',62.37,1,3,NULL),(15,2050676,'1991-02-06 00:00:00',4,6,12,2007,'F','N','LIMOEIRO','BRUSQUE','SC','124244241112371441334432375122610128147',NULL,'116',0.00,1,3,NULL),(15,2050684,'1987-12-09 00:00:00',4,1,12,2005,'M','N','ACLIMAÇÃO','SAO PAULO','SP','125112111215471451148832425125140767084',NULL,'9998',41.86,1,3,NULL),(15,2050692,'1989-02-20 00:00:00',4,8,11,2006,'F','N','ATIRADORES','JOINVILLE','SC','124242241216472451468831572122610163182',1932,'461',69.48,1,3,NULL),(15,2050706,'1990-09-29 00:00:00',4,1,12,2007,'M','N','CENTRO','ITAPORA','MS','112124121416111731464916575121610147077',13084,'9998',47.47,4,3,NULL),(15,2050714,'1989-03-06 00:00:00',2,3,12,2006,'M','N','DAS NAÇÕES','BALNEARIO CAMBORIU','SC','124241241214271331356733372123131532147',NULL,'1017',21.56,3,3,NULL),(15,2050722,'1986-10-01 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241232372431589633595122610122152',12326,'270',48.54,1,3,NULL),(15,2050730,'1990-09-22 00:00:00',4,4,12,2007,'F','N','JARDIM ALVORADA','SAO CARLOS','SC','124241241125471431523335575124610161147',17670,'704',40.84,1,3,NULL),(15,2050765,'1990-01-04 00:00:00',4,6,12,2007,'M','N','SÃO JOÃO','ITAJAI','SC','124242241235111431325824295121610146187',8452,'392',54.60,1,3,NULL),(15,2050773,'1990-11-30 00:00:00',4,8,12,2007,'F','N','ZONA SETE','MARINGA','PR','116162161216271431458912374122610126093',NULL,'9998',0.00,1,3,NULL),(15,2050790,'1989-05-22 00:00:00',4,3,12,2006,'M','N','ZONA CINCO','MARINGA','PR','116164161237471431469814575122141445042',216,'9998',79.71,1,3,NULL),(15,2050803,'1990-01-20 00:00:00',4,1,11,2007,'F','N','CHACARA FABIANA','BIGUACU','SC','124244241217131721446779192124610114077',22304,'63',31.01,1,3,NULL),(15,2050820,'1989-02-01 00:00:00',4,1,12,2006,'F','N','CAPÃO RASO','CURITIBA','PR','116162161215472431459713184124610126017',NULL,'9998',0.00,1,3,NULL),(15,2050838,'1989-11-29 00:00:00',4,8,12,2006,'F','N','PORTAO','CURITIBA','PR','116162161216471731347821572112610143152',637,'9998',75.79,1,3,NULL),(15,2050846,'1991-03-13 00:00:00',2,1,12,2007,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241217151431336314275124610124143',9239,'944',53.20,1,3,NULL),(15,2050854,'1990-03-08 00:00:00',4,1,11,2007,'F','N','JARDIM MORRO VERDE','SAO PAULO','SP','125252251216231441558819575125610168057',6920,'9998',57.31,1,3,NULL),(15,2050862,'1987-09-08 00:00:00',2,1,11,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124241247225472751538319282325610157057',NULL,'9999',34.21,4,3,NULL),(15,2050870,'1989-03-19 00:00:00',2,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','116164161216571431337923395114610137077',3325,'9998',65.19,1,3,NULL),(15,2050889,'1985-12-28 00:00:00',2,1,12,2004,'F','N','ROÇADO','SAO JOSE','SC','124201205117132431335644342324610128197',18881,'9998',38.87,1,3,NULL),(15,2050897,'1985-12-02 00:00:00',2,1,11,2004,'M','N','ASA SUL','BRASILIA','DF','107072071217571431359823596114610167187',2772,'9998',66.81,4,3,NULL),(15,2050900,'1989-07-18 00:00:00',4,1,12,2006,'F','N','VALE SAN FERNANDO','LONDRINA','PR','116161161215371431448832572122610122147',1896,'9998',69.61,3,3,NULL),(15,2050919,'1989-11-25 00:00:00',4,1,12,2007,'M','N','PETRÓPOLIS','PORTO ALEGRE','RS','120214201217471411469813371122610116042',NULL,'9998',0.00,1,3,NULL),(15,2050927,'1988-07-13 00:00:00',2,1,12,2005,'F','N','VILA NOVA','IMBITUBA','SC','124241241436372431458932272114130234077',19619,'1034',37.58,1,3,NULL),(15,2050935,'1989-02-16 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241137271431456511314114610137097',19833,'257',37.15,1,2,1),(15,2050951,'1989-03-14 00:00:00',4,2,12,2007,'M','N','VALPARAISO','BLUMENAU','SC','124241241126131431456633282124610127142',NULL,'85',22.17,1,2,1),(15,2050960,'1990-11-17 00:00:00',4,10,12,2007,'M','N','CENTRO','RIO FORTUNA','SC','124241241115131431538933571121610126147',1662,'665',70.53,1,2,1),(15,2050986,'1989-09-29 00:00:00',4,8,12,2007,'F','N','CENTRO','CANOINHAS','SC','124241241116131431429923475125610136077',17568,'146',40.98,1,2,1),(15,2050994,'1988-12-19 00:00:00',2,4,12,2005,'F','N','NOSSA SENHORA APAREC','FRANCISCO BELTRAO','PR','116162161215571431254823571112610132177',6925,'9998',57.30,1,3,NULL),(15,2051001,'1989-01-13 00:00:00',2,1,9,2007,'M','N','BELA VISTA','PALHOCA','SC','124241247121132611313614341211610156067',22240,'9999',31.32,4,2,1),(15,2051010,'1990-08-22 00:00:00',2,1,12,2007,'F','N','PICADAS DO SUL','SAO JOSE','SC','124242241215151431456613572122610136147',18723,'944',39.12,1,3,NULL),(15,2051028,'1991-01-28 00:00:00',4,1,12,2007,'M','N','BRASÍLIA','PATO BRANCO','PR','116164161116371431339614575124610136172',6133,'9998',58.80,1,3,NULL),(15,2051036,'1990-06-26 00:00:00',4,4,12,2007,'F','N','CENTRO','SEARA','SC','124241241145141331463532391122610167042',20845,'764',35.20,1,2,1),(15,2051044,'1990-08-09 00:00:00',4,1,10,2007,'F','N','HORTO FLORESTAL','SALVADOR','BA','105052051217272431389914572122610133142',1331,'9998',71.97,1,3,NULL),(15,2051060,'1989-11-18 00:00:00',4,8,12,2006,'F','N','REGIÃO LAGO','CASCAVEL','PR','116162161215271431559834576114141364197',NULL,'9998',0.00,1,3,NULL),(15,2051079,'1989-12-13 00:00:00',1,2,12,2007,'M','N','CENTRO','POMERODE','SC','124242241216111431538814475112610167182',7308,'624',56.59,1,3,NULL),(15,2051087,'1990-02-24 00:00:00',2,1,12,2007,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124242241215372731463319275122610126072',6771,'988',57.61,1,3,NULL),(15,2051095,'1989-02-25 00:00:00',2,1,12,2006,'M','N','CENTRO','NAVIRAI','MS','112121121116411431348823281324610154012',15961,'9998',43.45,2,1,1),(15,2051109,'1989-11-16 00:00:00',4,8,12,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242241216372751368839275122610162077',12695,'457',47.99,1,3,NULL),(15,2051125,'1987-11-04 00:00:00',4,1,12,2005,'F','N','MORUMBI SUL','SAO PAULO','SP','125252251216572431488511572114610164082',8517,'9998',54.48,1,3,NULL),(15,2051141,'1990-02-26 00:00:00',4,8,12,2007,'F','N','NOVA BRASÍLIA','JARAGUA DO SUL','SC','124242241215471431359711572112610126092',4426,'491',62.43,1,3,NULL),(15,2051150,'1988-07-09 00:00:00',2,1,11,2006,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124241241125471431643311471224610116142',21866,'728',32.74,1,2,1),(15,2051168,'1969-07-01 00:00:00',4,1,12,1986,'M','N','N SEN DO ROSÁRIO','SAO JOSE','SC','224242246217151731366644341122330262042',11052,'494',50.38,1,3,NULL),(15,2051176,'1990-04-10 00:00:00',2,1,12,2007,'F','N','CENTRO','CORUPA','SC','116162161315121431547612285124610134142',11428,'9998',49.80,1,3,NULL),(15,2051184,'1990-05-09 00:00:00',2,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241315131742537633572324610167047',19159,'1022',38.42,1,3,NULL),(15,2051192,'1990-05-25 00:00:00',2,1,12,2007,'M','N','PASSA VINTE','PALHOCA','SC','124243241116131431436633575124610164017',11618,'592',49.52,1,3,NULL),(15,2051206,'1987-06-03 00:00:00',4,1,12,2005,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124244241215372431448732175122230268192',3795,'883',63.98,1,3,NULL),(15,2051222,'1990-08-15 00:00:00',4,4,12,2007,'F','N','CENTRO','GUARACIABA','SC','124243241316161431356933371124610166192',6353,'751',58.35,1,3,NULL),(15,2051230,'1986-07-28 00:00:00',2,1,12,2004,'F','N','GUARDA DO EMBAÚ','PALHOCA','SC','124241241147133432524511392114610122147',20697,'595',35.50,1,3,NULL),(15,2051249,'1989-07-24 00:00:00',4,8,11,2006,'M','N','PETRÓPOLIS','JOINVILLE','SC','124242241216371431426621575124231434052',463,'489',77.12,4,3,NULL),(15,2051257,'1989-05-21 00:00:00',2,1,12,2006,'F','N','MONTE CASTELO','SAO JOSE DOS CAMPOS','SP','125251251116371711423614571124610115142',16444,'9998',42.67,4,2,1),(15,2051265,'1989-10-14 00:00:00',4,1,12,2006,'M','N','CONTA DINHEIRO','LAGES','SC','124242241215131431436652575124231462091',8802,'499',54.01,1,3,NULL),(15,2051273,'1990-01-22 00:00:00',4,1,12,2007,'M','N','CENTRO','APARECIDA','SP','125252251216111431458922271112610137122',1234,'9998',72.31,1,3,NULL),(15,2051281,'1990-03-13 00:00:00',2,1,12,2007,'F','N','SANTA FÉ','CAXIAS DO SUL','RS','120201201117371431226614592124610128077',21383,'9998',34.01,1,2,1),(15,2051303,'1990-12-06 00:00:00',2,3,12,2007,'M','N','MORRETES','ITAPEMA','SC','124241241126121431427723181224610138197',22017,'405',32.22,1,2,1),(15,2051320,'1986-10-08 00:00:00',4,1,12,2004,'F','N','PETROPOLIS','PORTO ALEGRE','RS','120202201217371431468833391124610126186',1383,'9998',71.73,1,3,NULL),(15,2051338,'1990-12-06 00:00:00',4,1,12,2007,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241241215171431438714471124610121097',15127,'1023',44.63,1,3,NULL),(15,2051346,'1990-01-25 00:00:00',4,1,12,2007,'F','N','OESTE','GOIANIA','GO','109092091217112431288821574122610134072',1432,'9998',71.51,2,3,NULL),(15,2051354,'1989-03-31 00:00:00',4,8,12,2006,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215472431659934571124610164112',2147,'9998',68.81,1,3,NULL),(15,2051362,'1989-03-07 00:00:00',2,4,12,2006,'F','N','CENTRO','XANXERE','SC','124244241225471411436312572244610116187',1866,'836',69.73,1,3,NULL),(15,2051370,'1988-04-17 00:00:00',2,3,12,2005,'F','N','BOM JESUS I','RIO DAS PEDRAS','SP','125251251225471431336314175125231323072',20928,'9998',35.01,4,3,NULL),(15,2051389,'1981-06-08 00:00:00',2,1,7,2007,'F','N','N SEN DO ROSÁRIO','SAO JOSE','SC','224241247417371432361154172144610113013',NULL,'9999',35.11,1,3,NULL),(15,2051397,'1989-02-27 00:00:00',4,4,12,2006,'F','N','CENTRO','TENENTE PORTELA','RS','120204201216472451577931492125610168182',16290,'9998',42.91,1,3,NULL),(15,2051400,'1991-03-28 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124244241215151431324724572124610124147',NULL,'1075',21.91,1,3,NULL),(15,2051419,'1990-05-08 00:00:00',4,8,11,2007,'F','N','CENTRO','BALNEARIO BARRA DO SUL','SC','124241241215111532557612422122610137114',18452,'459',39.56,1,3,NULL),(15,2051435,'1988-08-05 00:00:00',4,1,12,2005,'M','N','CENTRO','GAROPABA','SC','124202201216113431137814585112230237057',9442,'9998',52.88,1,3,NULL),(15,2051451,'1990-01-29 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241215111431323314492124610163097',16705,'1118',42.32,1,3,NULL),(15,2051478,'1990-03-22 00:00:00',4,1,12,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124281241115471431333419392124610122147',14537,'275',45.36,1,2,1),(15,2051486,'1989-02-19 00:00:00',4,1,12,2006,'M','N','PICADAS DO SUL','SAO JOSE','SC','124242248416152431436314572112133254091',13498,'1036',46.90,1,3,NULL),(15,2051494,'1986-03-20 00:00:00',4,1,12,2004,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241247217131411336729285114610152042',NULL,'9999',25.24,2,1,2),(15,2051508,'1988-01-10 00:00:00',4,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116244161235472411168911574324610164127',1148,'9998',72.80,3,3,NULL),(15,2051524,'1990-03-30 00:00:00',4,4,12,2007,'M','N','VILA MATILDE','FOZ DO IGUACU','PR','116164168415111421289512222132610112042',22242,'9998',31.32,1,3,NULL),(15,2051532,'1990-05-10 00:00:00',2,3,12,2007,'M','N','BOMBAS','BOMBINHAS','SC','124241241215111431334432292124610117055',10196,'403',51.64,1,3,NULL),(15,2051540,'1986-03-10 00:00:00',4,1,12,2003,'M','N','CENTRO','CURITIBA','PR','116162161416472731478732475112141026175',NULL,'9998',0.00,1,3,NULL),(15,2051559,'1990-09-10 00:00:00',4,8,11,2007,'F','N','BIGORILHO','CURITIBA','PR','116162161215471431589932594112610143142',NULL,'9998',0.00,1,3,NULL),(15,2051567,'1986-10-11 00:00:00',4,4,12,2004,'M','N','CIDADE BAIXA','PORTO ALEGRE','RS','120241241216572731458811372325610162047',1653,'168',70.58,1,3,NULL),(15,2051583,'1987-12-08 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372432437331415344610167071',NULL,'1022',26.40,1,3,NULL),(15,2051591,'1988-10-28 00:00:00',4,1,12,2005,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241136373431434434575124610136182',15095,'773',44.67,1,2,1),(15,2051605,'1988-06-08 00:00:00',2,1,12,2005,'M','N','BOSQUE DOS EUCALIPTO','SAO JOSE DOS CAMPOS','SP','125254253426131721533619245123610137047',15343,'9998',44.34,1,3,NULL),(15,2051613,'1989-12-28 00:00:00',2,1,12,2007,'F','N','VILA NOVA','GOIANIA','GO','109093098316471431457823585114610161142',18303,'9998',39.79,1,3,NULL),(15,2051621,'1988-02-10 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124163161126273411436331275124121744012',3588,'9998',64.50,1,3,NULL),(15,2051630,'1988-02-15 00:00:00',4,1,12,2005,'M','N','SERRA','BELO HORIZONTE','MG','113132133217571431569913471122610167097',3118,'9998',65.80,1,3,NULL),(15,2051648,'1988-06-04 00:00:00',2,1,12,2006,'F','N','AREIAS','SAO JOSE','SC','124241248131471411323434341224610127072',21983,'257',32.32,1,2,1),(15,2051656,'1989-10-21 00:00:00',2,1,12,2006,'F','N','ZIMBROS','BOMBINHAS','SC','124241241113132431326621281224610136172',20855,'96',35.18,4,2,1),(15,2051664,'1988-07-15 00:00:00',4,1,12,2006,'F','N','FAZENDA DO MAX','SAO JOSE','SC','124241248124131411625428382324610163191',22259,'728',31.25,1,3,NULL),(15,2051680,'1990-02-01 00:00:00',4,1,12,2007,'M','N','GIULIANO','ADAMANTINA','SP','125251251236131441628823575122610122177',NULL,'9998',0.00,1,3,NULL),(15,2051729,'1988-09-28 00:00:00',4,1,12,2006,'F','N','INTERLAGOS','SAO PAULO','SP','125251251427131451437664282124610161182',20218,'9998',36.37,4,3,NULL),(15,2051737,'1990-08-24 00:00:00',2,5,11,2007,'F','N','CENTRO','COCAL DO SUL','SC','124242241215121431326624572122610123147',12167,'226',48.77,1,3,NULL),(15,2051753,'1991-03-16 00:00:00',4,4,10,2007,'F','N','CENTRO','CURITIBA','PR','116242161215471411469913574112610126197',NULL,'9998',0.00,1,3,NULL),(15,2051761,'1988-12-16 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANOPOLIS','SC','120163161316152431478833575124141414117',1329,'9998',71.97,4,1,2),(15,2051788,'1990-07-22 00:00:00',4,1,12,2007,'M','N','VARGINHA','SANTO AMARO DA IMPERATRIZ','SC','124241241115131432323315272224610142017',16858,'772',42.06,1,2,1),(15,2051796,'1988-02-19 00:00:00',4,1,12,2005,'F','N','LAGO NORTE','LAGO NORTE','DF','107072071214571431357712171122610142096',NULL,'9998',0.00,1,3,NULL),(15,2051800,'1988-03-20 00:00:00',4,1,12,2005,'F','N','CAROLINA','RIO VERDE','GO','109092091216571431448711572124610164097',NULL,'9998',0.00,1,3,NULL),(15,2051818,'1988-02-16 00:00:00',4,1,12,2005,'M','N','VALPARAISO','SANTO ANDRE','SP','125251251146571411446514185114610124047',NULL,'9998',0.00,4,2,1),(15,2051826,'1990-06-01 00:00:00',2,8,12,2007,'F','N','PQUE N SRA GRAÇAS','PONTA GROSSA','PR','116162165216221431446839295122610137072',12906,'9998',47.71,1,3,NULL),(15,2051834,'1991-01-06 00:00:00',4,8,11,2007,'F','N','CHICO DE PAULA','JARAGUA DO SUL','SC','124241241234131441546612282114610127142',12511,'442',48.27,1,3,NULL),(15,2051850,'1978-04-22 00:00:00',2,1,12,1998,'M','N','PÂNTANO DO SUL','FLORIANOPOLIS','SC','224241241137372121334444242234610164047',NULL,'812',3.87,1,3,NULL),(15,2051869,'1989-08-08 00:00:00',2,4,12,2006,'F','N','CENTRO','ERECHIM','RS','120202208215371431224823582115610128027',17126,'9998',41.68,1,3,NULL),(15,2051877,'1990-03-15 00:00:00',4,1,11,2007,'M','N','MICHEL','CRICIUMA','SC','124242241215122431459912572114610112042',5568,'270',59.94,1,3,NULL),(15,2051885,'1971-07-30 00:00:00',4,1,12,1991,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242248217572231289933425124330712187',1045,'260',73.27,1,3,NULL),(15,2051893,'1989-07-31 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241117151431537535572124610164017',5844,'306',59.37,1,2,1),(15,2051907,'1989-01-29 00:00:00',4,8,12,2006,'F','N','LAGO SUL','LAGO SUL','DF','107072071217372431479933572112141467092',319,'9998',78.50,4,3,NULL),(15,2051940,'1988-09-01 00:00:00',4,1,12,2005,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241117151411333514442314610166042',10163,'277',51.70,1,3,NULL),(15,2051958,'1987-05-29 00:00:00',4,1,12,2005,'M','N','BELVEDERE','BELO HORIZONTE','MG','113132131217571411489614572122610167042',NULL,'9998',14.60,1,3,NULL),(15,2051966,'1988-11-01 00:00:00',4,4,12,2006,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241217272411454853291122610164041',6756,'751',57.64,1,3,NULL),(15,2051974,'1990-01-30 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241217111411248929592125610162171',1672,'1057',70.49,1,3,NULL),(15,2051990,'1987-09-15 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124161161111152431646514245124610124142',13329,'9998',47.14,4,2,1),(15,2052008,'1990-07-25 00:00:00',2,1,11,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241415271431431311212114610137147',11186,'1022',50.18,1,3,NULL),(15,2052016,'1990-04-17 00:00:00',4,1,12,2007,'M','N','VILA MARIANA','GARCA','SP','125254251217121531246614572122610134057',3238,'9998',65.43,1,3,NULL),(15,2052032,'1989-05-23 00:00:00',4,1,12,2006,'M','N','VILA ESPERANÇA','SAO PAULO','SP','125252251211471431467514372114610162057',3855,'9998',63.84,1,3,NULL),(15,2052040,'1988-06-08 00:00:00',4,1,12,2005,'M','N','JARDIM HIGIANÓPLIS','PARANAVAI','PR','116163161117472421468933575112610164057',12921,'9998',47.69,4,1,2),(15,2052059,'1990-01-31 00:00:00',4,8,12,2007,'M','N','BOA VISTA','JOINVILLE','SC','124242241215121431489714575122610167052',59,'491',82.68,1,3,NULL),(15,2052067,'1989-09-27 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241137472431235923372114610167073',9564,'353',52.65,1,2,1),(15,2052075,'1990-03-13 00:00:00',4,1,11,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241226471411623337283324610122095',16065,'1098',43.27,1,3,NULL),(15,2052083,'1988-06-02 00:00:00',2,1,12,2007,'F','N','FLORESTA','SAO JOSE','SC','124243241212132431424429571124610166187',15286,'723',44.42,1,3,NULL),(15,2052091,'1987-12-15 00:00:00',4,1,12,2005,'M','N','JARDIM PAULISTA','PRESIDENTE PRUDENTE','SP','125254251417152411548631485112241724057',5625,'9998',59.82,1,3,NULL),(15,2052105,'1988-01-07 00:00:00',2,1,12,2006,'M','N','CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC','124241241115371431425411275124610167047',18865,'307',38.90,1,2,1),(15,2052113,'1989-12-02 00:00:00',4,1,12,2006,'F','N','RIO BRANCO','PORTO ALEGRE','RS','120204201217471451538839571124610167017',765,'9998',74.90,1,3,NULL),(15,2052121,'1989-07-24 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124242241211111411436313572124610117092',NULL,'1023',18.33,1,3,NULL),(15,2052130,'1988-07-04 00:00:00',4,1,12,2005,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241215573741489914442112610162152',3314,'270',65.23,1,3,NULL),(15,2052148,'1978-09-01 00:00:00',4,1,12,1998,'M','N','PÂNTANO DO SUL','FLORIANOPOLIS','SC','124241241121132421626423182324610117047',4578,'291',62.06,1,2,1),(15,2052156,'1990-01-07 00:00:00',4,8,12,2007,'M','N','CONDOMÍNIO MARAMBAIA','VINHEDO','SP','125252251215111431488814575122610134012',NULL,'9998',0.00,1,3,NULL),(15,2052164,'1990-12-02 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241217372731448614572114610167142',474,'738',77.02,1,3,NULL),(15,2052172,'1988-06-05 00:00:00',2,1,12,2005,'F','N','CARIANOS','FLORIANOPOLIS','SC','124211211117471431113629495224610124027',11838,'9998',49.19,1,2,1),(15,2052180,'1985-12-01 00:00:00',2,1,7,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124091241135272331533511342124610154147',10172,'257',51.68,1,2,1),(15,2052199,'1990-05-01 00:00:00',4,1,11,2006,'M','N','NORTE','PALMAS','TO','127274271216271731559934575112141434052',853,'9998',74.35,1,3,NULL),(15,2052202,'1988-02-20 00:00:00',2,1,11,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124244241215232431526511392324131328077',13932,'720',46.26,1,3,NULL),(15,2052210,'1985-05-22 00:00:00',4,1,12,2003,'M','N','CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC','124243241335212431348617146124610167052',16598,'1003',42.46,4,3,NULL),(15,2052229,'1987-11-10 00:00:00',3,1,12,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241216573411658614591122610146012',383,'270',77.79,1,3,NULL),(15,2052237,'1990-09-16 00:00:00',4,9,12,2007,'F','N','INTERIOR','SAO LOURENCO DO OESTE','SC','124241161115211411634416574224610166052',4541,'9998',62.16,1,3,NULL),(15,2052245,'1989-05-20 00:00:00',2,8,11,2007,'M','N','ACARAÍ','SAO FRANCISCO DO SUL','SC','124242241217111431488813592311610137181',11385,'457',49.87,1,3,NULL),(15,2052253,'1986-09-20 00:00:00',2,1,12,2003,'F','N','CACUPÉ','FLORIANOPOLIS','SC','124243241137475411569619474324610127187',1247,'307',72.28,1,3,NULL),(15,2052261,'1990-05-02 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215121431336611572124610163147',11834,'270',49.20,1,3,NULL),(15,2052270,'1989-12-08 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241132372431326714382114610117147',NULL,'330',37.57,1,2,1),(15,2052288,'1988-09-10 00:00:00',4,1,12,2005,'F','N','ASA NORTE','BRASILIA','DF','107071071217572731278813572112610121094',2663,'9998',67.14,3,3,NULL),(15,2052296,'1989-01-11 00:00:00',2,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124242241215474431568814172124610167047',4072,'738',63.26,1,3,NULL),(15,2052300,'1989-07-21 00:00:00',2,1,6,2007,'F','N','CIDADE BAIXA','PORTO ALEGRE','RS','120202201216371731537733575124610134072',22108,'9998',31.88,1,3,NULL),(15,2052326,'1987-11-29 00:00:00',4,1,12,2005,'M','N','JARDIM EUROPA','ASSIS','SP','125254251217411411568831571125610167042',4833,'9998',61.45,1,3,NULL),(15,2052334,'1990-10-30 00:00:00',4,5,12,2007,'M','N','SÃO JOSÉ','CANOAS','RS','120202201217111431338932272112610144182',NULL,'9998',0.00,1,3,NULL),(15,2052342,'1990-12-03 00:00:00',4,10,11,2007,'F','N','CENTRO','ORLEANS','SC','124242241215111431466833575122610144155',NULL,'581',0.00,1,3,NULL),(15,2052350,'1983-04-25 00:00:00',4,1,12,2000,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241217142431468833435124323262165',2259,'270',68.39,1,3,NULL),(15,2052369,'1989-07-22 00:00:00',2,1,12,2007,'M','N','CENTRO','ESTIVA','MG','113131131316131711211628571321610162182',12931,'9998',47.67,1,3,NULL),(15,2052385,'1990-05-10 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242241215113441338627575124610164172',1869,'266',69.72,1,3,NULL),(15,2052393,'1989-01-14 00:00:00',2,1,12,2006,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242241214372431536614171124610167047',12286,'1074',48.59,1,3,NULL),(15,2052407,'1983-07-19 00:00:00',2,1,12,2004,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241317373421333324245134130263113',NULL,'1003',7.58,1,3,NULL),(15,2052415,'1989-07-11 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241247327131131545733342114610165147',NULL,'9999',21.13,1,3,NULL),(15,2052423,'1989-12-26 00:00:00',4,9,12,2006,'F','N','CENTRO','LAGES','SC','124241241215372431337924572123610144192',7399,'515',56.41,1,3,NULL),(15,2052431,'1989-02-20 00:00:00',2,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116284241216472231558711574122610163072',580,'723',76.19,3,3,NULL),(15,2052440,'1988-04-22 00:00:00',5,8,12,2005,'M','N','CENTRO','ASSIS','SP','125251251315471431538711571321610166097',160,'9998',80.47,1,3,NULL),(15,2052458,'1990-04-29 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111431326374572114610137072',12986,'738',47.61,1,3,NULL),(15,2052466,'1991-02-20 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215112431578839593114610123093',867,'270',74.24,1,3,NULL),(15,2052474,'1989-06-06 00:00:00',4,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161115471731457924574124610134147',355,'9998',77.99,3,3,NULL),(15,2052482,'1990-10-31 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124251251137131431347823242121610131057',21881,'9998',32.69,1,2,1),(15,2052490,'1990-05-30 00:00:00',4,8,11,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242241215121431368921472122610162012',2322,'486',68.17,1,3,NULL),(15,2052504,'1988-10-18 00:00:00',4,8,12,2006,'M','N','GUANABARA','JOINVILLE','SC','124242246216271441348611575124610162182',8763,'1105',54.07,4,3,NULL),(15,2052512,'1989-08-18 00:00:00',2,1,12,2006,'M','N','DE FÁTIMA','FLORIANOPOLIS','SC','124242241112371411346714232121610137052',9881,'988',52.13,4,3,NULL),(15,2052520,'1990-01-07 00:00:00',4,8,12,2006,'M','N','ZONA SETE','MARINGA','PR','116161161117111431459933595221241427042',2413,'9998',67.87,1,3,NULL),(15,2052539,'1989-07-30 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124042241115472751559933575122610118185',9081,'267',53.50,1,3,NULL),(15,2052547,'1990-06-06 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215471431256823334124610163042',288,'270',78.90,1,3,NULL),(15,2052555,'1988-04-13 00:00:00',4,1,12,2005,'F','N','CERÂMICA','SAO CAETANO DO SUL','SP','125252251217571751419931591112610164057',NULL,'9998',0.00,1,3,NULL),(15,2052563,'1982-04-05 00:00:00',2,9,12,2000,'M','N','APARECIDA','ANTONIO PRADO','RS','120201202116221731433335345122610117042',NULL,'9998',0.00,1,3,NULL),(15,2052571,'1990-01-16 00:00:00',4,8,12,2007,'M','N','SAN CONRADO','CAMPINAS','SP','125252251216111441468834572122610147042',12496,'9998',48.30,1,3,NULL),(15,2052580,'1990-07-07 00:00:00',2,4,12,2007,'F','N','ZONA RURAL','VITORINO','PR','116161161116371731447923475125610133017',21181,'9998',34.48,1,3,NULL),(15,2052598,'1989-12-25 00:00:00',4,1,11,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241335471431336613345124610165015',13292,'1098',47.18,1,3,NULL),(15,2052601,'1989-09-27 00:00:00',4,1,11,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241217112431479914592124610164162',530,'270',76.56,1,3,NULL),(15,2052610,'1982-07-15 00:00:00',4,1,12,1999,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241116132731538629445125610134187',NULL,'257',34.14,1,3,NULL),(15,2052628,'1990-03-12 00:00:00',4,1,12,2007,'F','N','CINQUENTENÁRIO','CAXIAS DO SUL','RS','120201201116371411358814494124610162147',9850,'9998',52.18,4,2,1),(15,2052644,'1988-01-05 00:00:00',4,1,12,2005,'F','N','ZONA SETE','MARINGA','PR','116162161215571431566632574125610112017',8037,'9998',55.30,1,3,NULL),(15,2052652,'1990-05-18 00:00:00',4,1,11,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124244241237111431579832596122610167115',1358,'270',71.84,1,3,NULL),(15,2052660,'1990-03-05 00:00:00',4,2,12,2007,'F','N','FORTALEZA','BLUMENAU','SC','124242241215131411537532371124610162177',10344,'88',51.43,1,3,NULL),(15,2052679,'1990-05-30 00:00:00',4,8,11,2007,'F','N','AMERICA','JOINVILLE','SC','124242241212121431368921472122610162162',5913,'486',59.23,1,3,NULL),(15,2052687,'1989-12-23 00:00:00',4,8,11,2006,'F','N','CENTRO','CURITIBA','PR','116162161217471731358831572314610166092',NULL,'9998',0.00,3,3,NULL),(15,2052695,'1990-03-25 00:00:00',3,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215111431436813472124610124112',8242,'1022',54.94,1,3,NULL),(15,2052709,'1989-12-07 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431469931475122610167073',12441,'262',48.37,1,3,NULL),(15,2052717,'1989-03-11 00:00:00',4,1,12,2006,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241216372431458911575124221467142',605,'855',76.05,1,3,NULL),(15,2052725,'1989-03-22 00:00:00',4,1,12,2006,'F','N','JARDIM TOPÁZIO','SAO JOSE DOS CAMPOS','SP','125252251215471431468933515122610122182',6424,'9998',58.21,1,3,NULL),(15,2052733,'1989-01-27 00:00:00',4,3,11,2006,'M','N','CENTRO','ERECHIM','RS','124204201416271421246614575124610167047',NULL,'9998',0.00,4,3,NULL),(15,2052741,'1989-09-25 00:00:00',4,1,12,2007,'M','N','JARDIM MARACANÃ','UBERABA','MG','113132131217111431478813435124610147022',7836,'9998',55.63,1,3,NULL),(15,2052750,'1990-03-10 00:00:00',4,10,11,2007,'F','N','CENTRO','CAPIVARI DE BAIXO','SC','124242241215131431334923372122610142187',5780,'797',59.51,4,1,2),(15,2052768,'1991-12-13 00:00:00',4,1,12,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124242241215121431468913572124610164042',NULL,'270',0.00,1,3,NULL),(15,2052776,'1988-08-21 00:00:00',4,1,12,2005,'M','N','CANADÁ','PARANAVAI','PR','116161161315572411448631144123610131057',9020,'9998',53.61,1,3,NULL),(15,2052784,'1987-03-02 00:00:00',4,1,12,2004,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215373431479913572124221467112',1083,'270',73.09,1,3,NULL),(15,2052792,'1989-10-10 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111712358729495112610147066',21224,'1022',34.39,1,3,NULL),(15,2052806,'1967-07-09 00:00:00',4,1,12,1984,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124212211212132421129623312234340462187',8077,'9998',55.22,1,3,NULL),(15,2052814,'1990-10-26 00:00:00',4,4,11,2007,'F','N','CENTRO','PERITIBA','SC','124241241217111451333929335124610146077',2210,'1000',68.57,1,3,NULL),(15,2052830,'1989-12-23 00:00:00',4,1,11,2006,'M','N','FÁTIMA','ERECHIM','RS','120202201216372431348825572124610117042',731,'9998',75.17,1,3,NULL),(15,2052849,'1990-09-03 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124244241117371431336631275124610136172',9255,'9997',53.18,1,3,NULL),(15,2052857,'1990-04-30 00:00:00',4,1,12,2008,'F','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215111531368832575122610164075',NULL,'269',33.62,1,3,NULL),(15,2052865,'1990-06-16 00:00:00',4,8,12,2007,'F','N','BUCAREIN','JOINVILLE','SC','124242241216111431458814474124610167012',2063,'457',69.06,1,3,NULL),(15,2052873,'1991-06-10 00:00:00',4,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241115131411324524271324610143047',NULL,'592',32.44,1,2,1),(15,2052881,'1990-02-26 00:00:00',2,1,12,2007,'F','N','PRIMAVERA','SAO JOSE DO CEDRO','SC','124241241115261431228521572325610121047',18104,'740',40.15,1,2,1),(15,2052890,'1990-03-14 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215112411223367272325610117117',2846,'1022',66.61,1,3,NULL),(15,2052903,'1990-09-10 00:00:00',4,4,11,2007,'F','N','CENTRO','NOVA MUTUM','MT','111112111216111431578812575125610132012',20548,'9998',35.80,1,3,NULL),(15,2052920,'1989-12-23 00:00:00',2,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241216111731469611571122610167057',14914,'737',44.89,1,3,NULL),(15,2052938,'1990-06-03 00:00:00',4,8,12,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124242241216121431468713574122610143183',NULL,'931',0.00,1,3,NULL),(15,2052946,'1988-10-21 00:00:00',4,4,12,2005,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124241241116372211345313415123610137012',12261,'753',48.64,1,2,1),(15,2052954,'1986-01-21 00:00:00',4,1,11,2003,'F','N','CENTRO','PIRACICABA','SP','125252251215573731539812575122610123181',300,'9998',78.74,1,3,NULL),(15,2052962,'1989-09-18 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431268823572122610137041',229,'270',79.59,1,3,NULL),(15,2052970,'1986-09-05 00:00:00',2,8,11,2004,'F','N','CENTRO','CANOINHAS','SC','124243241216574451327743435225131335057',10261,'486',51.54,1,3,NULL),(15,2052989,'1986-11-17 00:00:00',2,1,11,2004,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241147372421543321142234131464147',10000,'772',51.93,1,2,1),(15,2052997,'1989-09-13 00:00:00',4,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215472431278921576124610134181',181,'270',80.16,1,3,NULL),(15,2053004,'1989-06-27 00:00:00',4,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124241241215372431343322392122610133142',12793,'1076',47.86,1,3,NULL),(15,2053012,'1990-05-13 00:00:00',2,1,12,2006,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241115271731423319392124610131197',20959,'732',34.93,1,2,1),(15,2053020,'1990-01-31 00:00:00',2,1,12,2007,'M','N','BEZENELLO','NOVA TRENTO','SC','124244241215111432476613475112610167043',2216,'981',68.53,1,3,NULL),(15,2053047,'1990-02-07 00:00:00',4,1,11,2007,'M','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124243241115111731346823575114610161172',11666,'271',49.46,1,3,NULL),(15,2053055,'1989-07-25 00:00:00',2,5,11,2006,'F','N','BOM FIM','PORTO ALEGRE','RS','120242241212472751466824592115610137056',11114,'226',50.28,1,3,NULL),(15,2053063,'1989-11-22 00:00:00',2,8,12,2006,'M','N','CENTRO','MAFRA','SC','124241241116371421436414341121610114142',17074,'542',41.77,1,2,1),(15,2053098,'1987-10-13 00:00:00',4,10,12,2005,'F','N','CENTRO','TUBARAO','SC','124242248215573421438714495122131327187',NULL,'806',25.25,1,3,NULL),(15,2053101,'1990-08-24 00:00:00',4,1,12,2007,'M','N','JARDIM ADRIANA','RIO VERDE','GO','109092091216111431369933572122610167087',4163,'9998',63.02,1,3,NULL),(15,2053110,'1989-03-09 00:00:00',2,5,12,2006,'F','N','CENTRO','CRICIUMA','SC','124244241215473431456612472122610124147',2520,'213',67.57,1,3,NULL),(15,2053128,'1990-11-19 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111711476413232125610142197',3223,'272',65.46,1,3,NULL),(15,2053136,'1988-03-20 00:00:00',4,8,12,2004,'F','N','AMERICA','JOINVILLE','SC','124244241215574451479612275122610122192',7910,'1016',55.50,1,3,NULL),(15,2053144,'1988-03-14 00:00:00',2,1,12,2005,'F','N','CENTRO','GUAICARA','SP','125253258216132431436813441124240661092',NULL,'9998',24.94,4,3,NULL),(15,2053152,'1988-04-25 00:00:00',2,3,12,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124244241314133751118643336344610162093',10267,'659',51.54,1,3,NULL),(15,2053160,'1988-11-13 00:00:00',2,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241212372431428823572125610123187',6332,'497',58.40,1,3,NULL),(15,2053179,'1990-09-30 00:00:00',4,1,12,2007,'F','N','BARRA DO ARIRIÚ','PALHOCA','SC','124242241215111431436623574114610164186',7829,'1011',55.63,1,3,NULL),(15,2053195,'1988-03-12 00:00:00',4,1,12,2005,'F','N','AGRÔNOMICA','FLORIANOPOLIS','SC','124203201214373431466732574124233222091',7159,'9998',56.86,1,3,NULL),(15,2053209,'1990-05-08 00:00:00',4,2,11,2007,'M','N','JARDIM ALIANÇA','GUARULHOS','SP','125252251237111432469712175112610162077',3003,'9998',66.13,1,3,NULL),(15,2053217,'1989-09-24 00:00:00',4,8,12,2006,'F','N','JARDIM CALEGARIS','PAULINIA','SP','125251251116472431548614575112610164187',21393,'9998',33.97,3,2,1),(15,2053233,'1987-10-03 00:00:00',4,5,11,2005,'F','N','COMERCIARIO','CRICIUMA','SC','124242241215573431469933571122610162147',456,'226',77.19,1,3,NULL),(15,2053241,'1990-03-20 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215111431358839572122610136092',10978,'269',50.50,4,3,NULL),(15,2053250,'1989-01-02 00:00:00',4,1,12,2006,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241136272231225514472124610168047',1481,'1097',71.28,1,2,1),(15,2053268,'1989-08-22 00:00:00',4,1,11,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124064241215111431558921442124610137147',9397,'262',52.95,1,3,NULL),(15,2053276,'1986-08-20 00:00:00',4,1,11,2005,'M','N','SANTA CATARINA','CAXIAS DO SUL','RS','120203208315411431446611572124241437087',19375,'9998',38.06,1,3,NULL),(15,2053284,'1990-10-18 00:00:00',4,10,11,2007,'M','N','CENTRO','BRACO DO NORTE','SC','124244241215112431448833594114610166057',200,'807',79.97,1,3,NULL),(15,2053292,'1990-06-04 00:00:00',4,8,12,2007,'M','N','NOVA ESPERANÇA','GUARAMIRIM','SC','124244241126132431454933375124610132052',18254,'427',39.88,1,3,NULL),(15,2053322,'1987-12-23 00:00:00',2,1,12,2004,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241116132432346713275124221764067',5925,'281',59.21,1,2,1),(15,2053330,'1974-10-20 00:00:00',4,1,12,1991,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241412374421457639495124122832092',1970,'262',69.36,1,3,NULL),(15,2053349,'1985-03-24 00:00:00',2,1,12,2003,'F','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124241248611132411554313241124610134187',NULL,'1003',19.60,1,3,NULL),(15,2053357,'1988-05-10 00:00:00',4,8,12,2005,'M','N','PASSO','MAFRA','SC','124241161216153431646313571113231467052',NULL,'9998',0.00,1,3,NULL),(15,2053365,'1990-05-16 00:00:00',2,6,12,2007,'F','N','SÃO ROQUE','BENTO GONCALVES','RS','120201201117141431325823391122610124172',18260,'9998',39.87,1,3,NULL),(15,2053373,'1988-12-26 00:00:00',4,5,11,2006,'M','N','JARDIM UNIÃO','CRICIUMA','SC','124244246215332751548734245124610148047',1649,'995',70.60,1,3,NULL),(15,2053381,'1990-08-08 00:00:00',4,7,12,2007,'F','N','CENTRO','FRAIBURGO','SC','124242241216161431539813575124610126097',3805,'885',63.96,1,3,NULL),(15,2053411,'1989-04-19 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212573441549933571124241026042',536,'270',76.54,2,3,NULL),(15,2053420,'1990-04-18 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215371231439834475122610127042',2376,'262',68.00,1,3,NULL),(15,2053438,'1990-08-28 00:00:00',2,4,12,2007,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124242248215131431437713592125610167017',15411,'752',44.24,1,3,NULL),(15,2053446,'1990-11-04 00:00:00',2,1,11,2007,'M','N','CAMINHO NOVO','PALHOCA','SC','124242241216112411446332142122610137052',9116,'1011',53.43,1,3,NULL),(15,2053454,'1987-06-24 00:00:00',4,1,11,2004,'F','N','AMÉRICA','JOINVILLE','SC','124244241215274431466614574124133233142',373,'1016',77.85,1,3,NULL),(15,2053462,'1989-04-11 00:00:00',4,1,12,2006,'F','N','BELA VISTA','PORTO ALEGRE','RS','120252251216471131479913575122610124097',5404,'9998',60.27,1,3,NULL),(15,2053470,'1990-02-08 00:00:00',4,8,12,2007,'F','N','NOVO MUNDO','CURITIBA','PR','116162161216111431446613571124610162097',NULL,'9998',0.00,1,3,NULL),(15,2053489,'1988-11-03 00:00:00',4,5,11,2005,'F','N','MINA UNIÃO','CRICIUMA','SC','124243241217473411438813372124610131012',3189,'995',65.57,1,3,NULL),(15,2053497,'1988-12-19 00:00:00',4,1,12,2005,'M','N','GONZAGA','SANTOS','SP','125252251217572751578914474114610168053',682,'9998',75.52,1,3,NULL),(15,2053500,'1990-02-18 00:00:00',4,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124202241216111431448614375112610147042',10239,'737',51.57,1,3,NULL),(15,2053519,'1991-05-20 00:00:00',4,7,12,2007,'M','N','SALTO','SALTO VELOSO','SC','124241241115141431446934145125610167057',11887,'539',49.13,1,2,1),(15,2053535,'1988-09-22 00:00:00',4,5,6,2006,'M','N','UNIVERSITÁRIO','CRICIUMA','SC','124242241217472431486812475114610167042',472,'880',77.05,1,3,NULL),(15,2053551,'1988-08-23 00:00:00',4,8,11,2005,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216473431359814442122610162072',15994,'491',43.40,4,3,NULL),(15,2053560,'1989-08-05 00:00:00',2,9,12,2006,'F','N','CENTRO','BENTO GONCALVES','RS','120203201115472211437819171125610167057',19779,'9998',37.28,4,3,NULL),(15,2053578,'1990-02-19 00:00:00',2,5,12,2007,'M','N','NOVA BRASILIA','SOMBRIO','SC','124241241145131431423311242323610142017',7665,'1033',55.92,1,2,1),(15,2053586,'1990-10-07 00:00:00',2,10,11,2007,'M','N','SÃO BASÍLIO','BRACO DO NORTE','SC','124241241215151431558913352114610164182',4223,'9997',62.86,1,3,NULL),(15,2053608,'1967-12-15 00:00:00',2,1,1,1988,'F','N','BOSQUE DAS MANSOES','SAO JOSE','SC','224191191111141421536659182122610116142',NULL,'9998',22.56,1,3,NULL),(15,2053616,'1987-07-17 00:00:00',2,4,12,2004,'F','N','SAIC','CHAPECO','SC','124241241415572431463933475122610164182',NULL,'185',0.00,1,3,NULL),(15,2053624,'1985-07-03 00:00:00',2,9,12,2002,'M','N','SÃO LUÍS','CURITIBANOS','SC','124241241115474431435563345122131132142',8276,'239',54.89,1,2,1),(15,2053632,'1988-04-15 00:00:00',2,1,12,2005,'M','N','CENTRO','MANOEL RIBAS','PR','116162161211515411478714571112610167052',NULL,'9998',0.00,1,3,NULL),(15,2053640,'1989-03-04 00:00:00',4,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124241241136272431446834341124610128182',19728,'307',37.37,1,2,1),(15,2053659,'1989-12-27 00:00:00',4,8,12,2007,'M','N','BROTAS','PIRAI DO SUL','PR','116162161217111411359811592115610166182',NULL,'9998',0.00,4,3,NULL),(15,2053667,'1989-02-14 00:00:00',4,1,12,2007,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124241241147131431533319295124610118182',13362,'307',47.10,1,2,1),(15,2053675,'1989-01-20 00:00:00',4,9,12,2006,'F','N','CENTRO','LAGES','SC','124242241216472431557933575122610144182',10754,'515',50.80,1,3,NULL),(15,2053683,'1987-07-24 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201248112373431321344342113610117042',NULL,'298',25.30,4,2,1),(15,2053691,'1988-04-22 00:00:00',4,1,12,2006,'M','N','JARDIM PROENÇA','CAMPINAS','SP','125253251217471431348824245112610137181',10178,'9998',51.66,4,3,NULL),(15,2053705,'1990-05-28 00:00:00',4,9,12,2007,'F','N','GUADALUPE','LAGES','SC','124242241315151431435611372125610144142',15534,'515',44.08,1,3,NULL),(15,2053721,'1990-04-09 00:00:00',4,8,11,2007,'F','N','JARDIM CHAPADAO','CAMPINAS','SP','125252251217111711249714371112610166147',4181,'9998',62.96,1,3,NULL),(15,2053748,'1990-03-29 00:00:00',4,7,12,2007,'M','N','LINHA UNIÃO','PINHEIRO PRETO','SC','124241242115371431436636575124610126092',18157,'831',40.05,1,3,NULL),(15,2053756,'1989-08-12 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241417472431335723572114610133147',2644,'541',67.19,1,3,NULL),(15,2053764,'1990-09-11 00:00:00',5,2,12,2007,'F','N','VILA DO SALTO','LUIZ ALVES','SC','124242241215131431457812125124610134052',6793,'71',57.56,1,3,NULL),(15,2053772,'1990-06-17 00:00:00',2,1,12,2007,'F','N','VELOSO','SANTO ANTONIO DA PATRULHA','RS','120201201417371431534731242124610132197',9846,'9998',52.19,1,3,NULL),(15,2053799,'1988-04-20 00:00:00',4,1,12,2005,'F','N','NOVA CAMPINAS','CAMPINAS','SP','125252251217571431358823571112610136042',8800,'9998',54.01,1,3,NULL),(15,2053810,'1990-02-23 00:00:00',4,7,12,2007,'F','N','VISTA ALEGRE','VIDEIRA','SC','124241241115371431334431575124610124092',20637,'831',35.62,1,2,1),(15,2053829,'1991-03-13 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242161215472431459913572124610132147',1598,'9998',70.81,1,3,NULL),(15,2053837,'1988-11-10 00:00:00',4,9,12,2005,'M','N','BRUSQUE','LAGES','SC','124242241216372431479914175122131424042',1012,'515',73.46,1,3,NULL),(15,2053845,'1988-08-10 00:00:00',4,1,11,2005,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215573431488833575112131023072',6729,'266',57.68,1,3,NULL),(15,2053861,'1990-12-11 00:00:00',2,1,11,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124243241116131431436531575124610122042',NULL,'727',16.13,1,3,NULL),(15,2053888,'1990-07-29 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241217471431448933572122610141147',6469,'499',58.13,1,3,NULL),(15,2053896,'1988-07-16 00:00:00',2,1,12,2005,'F','N','VILA ALTA','UCHOA','SP','125251251116412441324421595124610161092',10453,'9998',51.26,4,2,1),(15,2053900,'1989-05-29 00:00:00',4,6,12,2006,'M','N','JARDIM REDENÇÃO','SOROCABA','SP','125251256325471411438614145124610134052',18609,'9998',39.31,1,3,NULL),(15,2053918,'1989-05-17 00:00:00',4,3,12,2006,'M','N','CENTRO','ERECHIM','RS','120202201217372731458619575124610164042',4250,'9998',62.80,1,3,NULL),(15,2053926,'1990-06-07 00:00:00',2,4,12,2007,'M','N','CENTRO','PALMAS','PR','116161161315111431425614372225610134057',13784,'9998',46.49,1,3,NULL),(15,2053950,'1990-11-25 00:00:00',2,5,11,2007,'M','N','NOSSA SRA DA SALETE','CRICIUMA','SC','124241246216121441333614595124610144112',4140,'995',63.08,1,3,NULL),(15,2053977,'1990-12-08 00:00:00',4,9,11,2007,'M','N','CENTRO','LAGES','SC','124244241215112441238823572112610128197',5,'497',86.89,1,3,NULL),(15,2053993,'1990-07-26 00:00:00',4,1,12,2007,'M','N','INDEPENDÊNCIA','PORTO ALEGRE','RS','120202201217111431489712571122610127052',10139,'9998',51.73,1,3,NULL),(15,2054000,'1983-08-07 00:00:00',4,1,12,2001,'M','N','PANTANAL','FLORIANOPOLIS','SC','124244246116154431137943437115222367097',11869,'859',49.15,1,3,NULL),(15,2054019,'1990-12-05 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124244241215121231446816475111610122187',15380,'723',44.29,1,3,NULL),(15,2054027,'1990-03-01 00:00:00',4,4,12,2007,'F','N','JARDIM ITÁLIA','CHAPECO','SC','124241241125131431237819472324610127097',16283,'169',42.92,1,3,NULL),(15,2054035,'1982-01-05 00:00:00',2,1,12,1999,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215372411489614112122220747182',7669,'270',55.91,1,3,NULL),(15,2054043,'1989-05-28 00:00:00',4,6,12,2006,'M','N','CENTRO','ITAPETININGA','SP','125252251217471441241329572115610168073',8639,'9998',54.27,1,3,NULL),(15,2054078,'1991-11-14 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217111411549823574122610123162',9456,'262',52.85,1,3,NULL),(15,2054086,'1990-12-15 00:00:00',2,7,12,2007,'F','N','SANTO ANTONIO','HERVAL D OESTE','SC','124241241132131431426613432123610168092',NULL,'341',20.73,1,2,1),(15,2054094,'1990-05-13 00:00:00',2,5,11,2007,'M','N','COMERCIÁRIO','CRICIUMA','SC','124242241215221431469933475122610134147',9995,'226',51.94,1,3,NULL),(15,2054108,'1988-09-27 00:00:00',4,6,12,2005,'F','N','CORDEIROS','ITAJAI','SC','124242241217131421449911575112131446187',10314,'389',51.47,1,3,NULL),(15,2054116,'1989-03-21 00:00:00',4,4,12,2006,'F','N','KOLLER','ERECHIM','RS','120201201112372411538833574224610133077',NULL,'9998',35.46,1,2,1),(15,2054124,'1989-03-02 00:00:00',4,3,12,2006,'F','N','CABRAL','CURITIBA','PR','116162161215371431358924575122243263122',NULL,'9998',0.00,1,3,NULL),(15,2054132,'1991-04-27 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217151421559933371111610167082',NULL,'262',17.03,2,3,NULL),(15,2054140,'1987-03-22 00:00:00',4,1,12,2004,'F','N','JD MARIA CÂNDIDA','SAO JOSE DO RIO PRETO','SP','125252251215571411468812594112610162072',NULL,'9998',0.00,4,3,NULL),(15,2054175,'1985-12-27 00:00:00',4,1,12,2003,'F','N','BONFIM','CAMPINAS','SP','125251256116571431455413475124610132077',NULL,'9998',25.13,4,1,1),(15,2054183,'1987-11-07 00:00:00',2,5,12,2006,'F','N','NOSSA SRA DE LOURDES','SANTA MARIA','RS','120203207116371451524469395124610126077',19983,'9999',36.87,1,3,NULL),(15,2054191,'1989-12-18 00:00:00',2,7,12,2007,'F','N','CENTRO','JOACABA','SC','124242241215131411437616262125610132057',3643,'962',64.38,1,3,NULL),(15,2054213,'1988-07-29 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241417473431458914475114610164057',3436,'948',64.91,1,3,NULL),(15,2054221,'1990-03-16 00:00:00',4,1,12,2007,'F','N','CENTRO','SAO MIGUEL ARCANJO','SP','125252251217111431648731571124610136142',12006,'9998',48.97,1,3,NULL),(15,2054230,'1989-09-22 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216221431387611575122610125182',7442,'270',56.35,1,3,NULL),(15,2054256,'1990-04-20 00:00:00',4,1,2,2008,'M','N','NOSSA SRA DO ROSARIO','SAO JOSE','SC','124241241117131431556511175124610128177',11166,'739',50.21,1,2,1),(15,2054264,'1986-01-03 00:00:00',4,1,12,2004,'M','N','PARQUE REAL','DIADEMA','SP','125251251117131411444834281324241667016',12548,'9998',48.23,1,3,NULL),(15,2054272,'1990-10-17 00:00:00',2,8,12,2007,'F','N','JARDIM DIDINHA','JACAREI','SP','125254251317131431328821575124610168097',NULL,'9998',26.45,1,3,NULL),(15,2054280,'1986-11-29 00:00:00',4,1,12,2004,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124242241217574431356823571114233235077',1446,'988',71.47,1,3,NULL),(15,2054302,'1988-07-14 00:00:00',4,1,12,2005,'M','N','JD AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251215573731376614572122610132142',1085,'9998',73.08,1,3,NULL),(15,2054310,'1991-01-06 00:00:00',4,8,12,2007,'F','N','GLÓRIA','JOINVILLE','SC','124243241415111431647631572124610126147',2153,'1016',68.76,3,3,NULL),(15,2054337,'1989-09-17 00:00:00',2,8,11,2006,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215472411529727272122610127017',226,'457',79.62,1,3,NULL),(15,2054353,'1987-12-08 00:00:00',2,1,6,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241116372431349973372124610164187',3625,'739',64.41,1,2,1),(15,2054361,'1990-04-29 00:00:00',2,2,12,2007,'M','N','STEFFEN','BRUSQUE','SC','124241241136151231333714345121610126032',12509,'112',48.28,1,2,1),(15,2054370,'1987-03-24 00:00:00',2,1,12,2004,'F','N','MOINHOS','LAJEADO','RS','120202201216112531567712342124222364092',13126,'9998',47.42,1,3,NULL),(15,2054388,'1991-04-23 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242248212111731427719592124610114092',22120,'1022',31.83,1,3,NULL),(15,2054396,'1988-05-30 00:00:00',4,1,11,2005,'F','N','BOA VISTA','JOINVILLE','SC','124242241217473441358932372125610123022',3383,'457',65.05,1,3,NULL),(15,2054400,'1990-03-19 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215371431338617574122610167087',4836,'270',61.44,1,3,NULL),(15,2054418,'1990-02-20 00:00:00',4,4,12,2007,'F','N','CENTRO','PATO BRANCO','PR','116163161116571431558719474122610164177',7438,'9998',56.35,1,3,NULL),(15,2054426,'1989-03-23 00:00:00',2,1,11,2006,'M','N','VILA GUARANI','SAO PAULO','SP','125252251217571431337524575124610166077',5820,'9998',59.44,1,3,NULL),(15,2054442,'1991-03-27 00:00:00',4,8,10,2007,'F','N','IRIRIÚ','JOINVILLE','SC','124242241215271432446632576114610164092',1152,'486',72.78,1,3,NULL),(15,2054450,'1989-06-14 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124241241137132431443319342124610162142',13681,'730',46.64,1,2,1),(15,2054469,'1988-06-01 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241215572431457732575112610142147',8036,'262',55.30,1,3,NULL),(15,2054477,'1989-10-23 00:00:00',2,1,12,2007,'F','N','FLORESTA','GRAMADO','RS','120201201116471431223369292324610127052',8467,'9998',54.56,1,2,1),(15,2054485,'1990-08-02 00:00:00',4,8,12,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241217271411249831572124610161072',5455,'494',60.16,1,3,NULL),(15,2054507,'1985-08-30 00:00:00',2,1,11,2003,'F','N','CENTRO','PALHOCA','SC','124242241217142221459931412122333267142',14056,'270',46.09,1,3,NULL),(15,2054515,'1990-07-26 00:00:00',2,5,12,2007,'M','N','CENTRO','BALNEARIO GAIVOTA','SC','124243241215371751446639575112610117057',18891,'27',38.84,1,3,NULL),(15,2054523,'1990-02-22 00:00:00',4,1,12,2007,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241217472511577839575122610167147',1463,'262',71.39,1,3,NULL),(15,2054531,'1990-02-20 00:00:00',4,1,12,2007,'M','N','VALPARAISO','SANTO ANDRE','SP','125252254215111431548614585122610114042',NULL,'9997',0.00,1,3,NULL),(15,2054540,'1988-11-07 00:00:00',2,3,12,2005,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241131473431325334272221610138057',4528,'405',62.17,1,2,1),(15,2054558,'1989-09-21 00:00:00',4,1,12,2007,'F','N','ZONA SETE','MARINGA','PR','116162161215411431566632574125610117077',14732,'9998',45.10,1,3,NULL),(15,2054566,'1981-12-13 00:00:00',4,1,12,1999,'F','N','ITACORUBI','FLORIANOPOLIS','SC','224241241127141411233344242132230226197',14798,'963',45.01,1,3,NULL),(15,2054574,'1987-11-21 00:00:00',2,1,12,2005,'M','N','POR DO SOL','PALOTINA','PR','116161161127272431444415255112610128187',15283,'9998',44.42,1,2,1),(15,2054582,'1990-04-12 00:00:00',4,5,11,2007,'F','N','PIO CORREA','CRICIUMA','SC','124242241216112431489931575112610144186',2119,'226',68.91,1,3,NULL),(15,2054590,'1985-11-24 00:00:00',4,1,12,2003,'M','N','VILA INDEPENDÊNCIA','PIRACICABA','SP','124252251215572411469711591122610167092',326,'9998',78.47,1,3,NULL),(15,2054604,'1989-02-21 00:00:00',4,4,12,2006,'F','N','BROOKLIN','SAO PAULO','SP','125252251217471431457734572124610166077',2354,'9998',68.05,1,3,NULL),(15,2054612,'1990-08-14 00:00:00',4,6,12,2007,'M','N','CORDEIROS','ITAJAI','SC','124241241115151131423324395124610112011',NULL,'396',0.00,4,2,1),(15,2054620,'1989-10-29 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124162161216472411469814275114610164192',2289,'9998',68.27,1,3,NULL),(15,2054639,'1989-06-29 00:00:00',2,1,12,2006,'F','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124241241216472431148911572324610123072',8192,'956',55.02,1,3,NULL),(15,2054647,'1989-08-16 00:00:00',4,10,12,2006,'M','N','CENTRO','CAPIVARI DE BAIXO','SC','124241246116371431536611575124610167042',22513,'1034',28.39,1,3,NULL),(15,2054655,'1990-10-20 00:00:00',2,4,12,2007,'F','N','PASSO DOS FORTES','CHAPECO','SC','124243241111131431323639572124610128067',21569,'177',33.58,1,3,NULL),(15,2054663,'1989-04-03 00:00:00',2,1,12,2006,'F','N','CENTRO','SAO MARCOS','RS','120201201117372431333414171124610127097',18191,'9998',39.99,1,2,1),(15,2054671,'1990-06-08 00:00:00',4,4,12,2007,'M','N','CENTRO','ANCHIETA','SC','124241241114131731316625292121610147057',20254,'16',36.32,1,2,1),(15,2054680,'1988-01-04 00:00:00',2,1,12,2005,'M','N','JD AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251225571731487732575122610127042',7296,'9998',56.61,1,3,NULL),(15,2054698,'1988-02-11 00:00:00',2,1,11,2007,'M','N','SÍTIO CERCADO','CURITIBA','PR','116164161435471311644519241134610134187',NULL,'9998',22.76,1,3,NULL),(15,2054701,'1989-03-05 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431348821575122610134195',77,'270',82.17,1,3,NULL),(15,2054710,'1989-04-22 00:00:00',4,1,12,2006,'F','N','VERGUEIRO','PASSO FUNDO','RS','120202201217472731538823571122610164142',2386,'9998',67.96,1,3,NULL),(15,2054728,'1987-10-21 00:00:00',4,8,12,2005,'M','N','VILA BAEPENDI','JARAGUA DO SUL','SC','124244241435573431469514395122231417052',1348,'441',71.89,1,3,NULL),(15,2054736,'1988-09-05 00:00:00',4,1,12,2006,'M','N','VILA GIGLIO','ATIBAIA','SP','125254258217471451466619195122610167182',NULL,'9998',0.00,1,3,NULL),(15,2054744,'1989-01-07 00:00:00',4,9,11,2006,'F','N','CENTRO','LAGES','SC','124242241215472431349911475112610167127',10842,'499',50.69,1,3,NULL),(15,2054752,'1990-03-30 00:00:00',4,7,12,2007,'F','N','CENTRO','CANOINHAS','SC','124241241216112431438931574122610143182',552,'154',76.40,1,3,NULL),(15,2054760,'1984-01-08 00:00:00',4,1,12,2001,'F','N','ESTREITO','FLORIANOPOLIS','SC','124072071216273711446819445124230264147',11038,'9997',50.40,1,3,NULL),(15,2054779,'1988-09-26 00:00:00',4,1,12,2006,'M','N','VILA ASSUMPÇÃO','BOTUCATU','SP','125252251215471431566824575122610124187',6407,'9998',58.25,1,3,NULL),(15,2054809,'1988-01-25 00:00:00',4,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124244248435411431518613572114610157117',22467,'1022',29.27,1,3,NULL),(15,2054825,'1990-03-22 00:00:00',2,5,12,2007,'M','N','CENTRO','SOMBRIO','SC','124241241145141431454414445121610127017',21451,'1033',33.84,1,2,1),(15,2054833,'1988-05-27 00:00:00',4,1,12,2005,'F','N','GONZAGA','SANTOS','SP','125252251214571431679819595122610115047',1513,'9998',71.14,1,3,NULL),(15,2054841,'1985-05-08 00:00:00',4,1,12,2002,'M','N','BELA VISTA','PORTO ALEGRE','RS','120204201417271431377831571114140267142',NULL,'9998',0.00,1,3,NULL),(15,2054850,'1987-06-30 00:00:00',2,1,12,2004,'M','N','CENTRO','RANCHO QUEIMADO','SC','124241241122311431423312422123230724147',22512,'649',28.45,1,3,NULL),(15,2054868,'1990-03-31 00:00:00',2,1,11,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217111431489614571125610127182',7498,'270',56.23,1,3,NULL),(15,2054876,'1988-10-15 00:00:00',4,8,12,2006,'M','N','AMÉRICA','JOINVILLE','SC','124242241216373231379834572122610167042',3710,'1063',64.20,1,3,NULL),(15,2054884,'1988-03-26 00:00:00',4,1,12,2005,'M','N','VILA MORAES','SAO PAULO','SP','125042041217471431568614375124141447182',512,'9998',76.67,3,3,NULL),(15,2054892,'1988-11-10 00:00:00',2,1,12,2005,'M','N','CAMPINAS','SAO JOSE','SC','124243241115131431528831392121231428097',NULL,'169',0.00,1,3,NULL),(15,2054906,'1991-09-13 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241217111431456633572122610137142',17796,'738',40.67,1,3,NULL),(15,2054914,'1990-01-11 00:00:00',4,4,12,2007,'F','N','CENTRO','XANXERE','SC','124241241117131731323636572122610164147',NULL,'840',24.11,1,2,1),(15,2054922,'1990-02-20 00:00:00',4,1,12,2007,'F','N','BEZENELO','NOVA TRENTO','SC','124241241116141431544336231121610126141',20055,'574',36.72,1,2,1),(15,2054930,'1984-07-26 00:00:00',2,4,12,2004,'M','N','GUARANI','XAXIM','SC','124201201344271441435624332334610167062',9195,'9999',53.28,4,3,NULL),(15,2054957,'1990-07-12 00:00:00',4,5,12,2007,'M','N','PIO CORREA','CRICIUMA','SC','124242241215121441569811575125610122182',87,'226',81.93,1,3,NULL),(15,2054965,'1988-10-31 00:00:00',4,1,12,2006,'F','N','CENTRO','PANAMBI','RS','120202201215471431246823571124610142097',NULL,'9998',0.00,1,3,NULL),(15,2054973,'1990-05-01 00:00:00',2,1,12,2007,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124242241215221431338733572114610135075',14877,'1023',44.93,1,3,NULL),(15,2054981,'1989-06-23 00:00:00',2,1,12,2006,'M','N','JOAO PAULO','FLORIANOPOLIS','SC','124251251117472431436611495124610127142',8118,'9998',55.16,4,2,1),(15,2054990,'1990-10-15 00:00:00',4,2,11,2007,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241217371531557832572121610167122',5946,'70',59.17,1,3,NULL),(15,2055007,'1979-06-29 00:00:00',4,1,12,1996,'M','N','CENTRO','ITAJAI','SC','124244241436375431338419285124121422017',386,'392',77.75,1,3,NULL),(15,2055015,'1987-12-18 00:00:00',4,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124242241217474431456633345124233067147',14009,'738',46.14,1,3,NULL),(15,2055023,'1989-02-07 00:00:00',4,1,11,2006,'F','N','BOM RETIRO','JOINVILLE','SC','624242248217472431544834572114610145012',17920,'461',40.46,1,3,NULL),(15,2055031,'1990-11-22 00:00:00',4,1,11,2008,'F','S','BALNEÁRIO','FLORIANOPOLIS','SC','124242241215111411357733292122610164092',NULL,'270',43.33,1,3,NULL),(15,2055040,'1986-10-01 00:00:00',2,2,12,2007,'M','N','VELHA','BLUMENAU','SC','124241241141141431654311245124610132142',22077,'85',32.02,1,2,1),(15,2055058,'1989-12-05 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241216221421578811415121610132112',11740,'44',49.34,1,3,NULL),(15,2055066,'1988-03-27 00:00:00',4,1,12,2005,'M','N','VILA LEOPOLDINA','SAO PAULO','SP','125252251217551231489939591114610164017',1257,'9998',72.23,1,3,NULL),(15,2055074,'1990-09-16 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215151431368832572122610167041',NULL,'262',46.37,1,3,NULL),(15,2055082,'1990-09-14 00:00:00',4,1,12,2008,'M','S','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215111412458833595124610124095',NULL,'270',53.20,1,3,NULL),(15,2055090,'1974-07-19 00:00:00',2,1,8,2007,'M','N','FORQUILHAS','SAO JOSE','SC','224241247446111421633344242124610127063',21533,'9999',33.66,1,3,NULL),(15,2055104,'1990-03-09 00:00:00',2,4,12,2007,'F','N','CENTRO','ERECHIM','RS','120201201117131431565734575122610147147',NULL,'9998',0.00,1,3,NULL),(15,2055112,'1989-12-08 00:00:00',2,6,12,2007,'M','N','RESSACADA','ITAJAI','SC','124221248115371431338829592121610137057',13219,'395',47.28,1,3,NULL),(15,2055139,'1990-06-26 00:00:00',2,4,11,2007,'F','N','NAO EXISTE','CHARRUA','RS','120201201216111431336339195124610168147',18847,'9998',38.92,1,3,NULL),(15,2055147,'1988-11-03 00:00:00',2,1,12,2005,'M','N','CAMPINAS','SAO JOSE','SC','124244241415573411558833315121610165017',10333,'723',51.44,1,3,NULL),(15,2055155,'1990-02-16 00:00:00',4,4,12,2007,'M','N','JARDIN ITALIA','CHAPECO','SC','124241241114371411336613434125610126041',11461,'169',49.76,1,2,1),(15,2055163,'1989-10-15 01:00:00',2,1,12,2006,'F','N','GAMBOA','PAULO LOPES','SC','124241241127132431556613272124232724057',11774,'607',49.29,1,2,1),(15,2055171,'1989-04-17 00:00:00',2,1,12,2006,'M','N','ASA NORTE','BRASILIA','DF','107073071215471331568833575114610132097',3380,'9998',65.06,1,3,NULL),(15,2055180,'1989-07-28 00:00:00',4,1,12,2006,'F','N','LIBERDADE','SAO PAULO','SP','125022251217471421487914574122613262127',NULL,'9998',0.00,1,3,NULL),(15,2055198,'1990-01-23 00:00:00',2,8,12,2006,'M','N','SAGUACU','JOINVILLE','SC','124241241216471431489612375112610137047',7334,'491',56.54,1,3,NULL),(15,2055201,'1989-07-30 00:00:00',4,8,12,2006,'F','N','SCHRAMM','SAO BENTO DO SUL','SC','124243241116472431336734572112610162047',8185,'697',55.03,1,3,NULL),(15,2055210,'1987-03-25 00:00:00',2,1,12,2004,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124134071111474431568833442124231063042',2707,'9998',66.99,1,3,NULL),(15,2055228,'1990-03-25 00:00:00',4,2,11,2007,'F','N','VALPARAÍSO','BLUMENAU','SC','124243241215111431545731235122610134142',17888,'71',40.51,1,3,NULL),(15,2055236,'1989-03-01 00:00:00',4,1,12,2006,'M','N','ASA NORTE','BRASILIA','DF','107073071217371431569923572114610134047',11343,'9998',49.92,4,3,NULL),(15,2055252,'1989-10-19 00:00:00',4,1,12,2007,'F','N','CENTRO','RIO NEGRO','PR','116162161215371431468832592122610112142',NULL,'9998',0.00,1,3,NULL),(15,2055260,'1989-01-09 00:00:00',4,3,12,2006,'F','N','CENTRO','MARINGA','PR','116162161216471231458613575122610167047',NULL,'9998',0.00,3,3,NULL),(15,2055279,'1990-03-28 00:00:00',4,1,11,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241116161111478813571111610112011',9558,'271',52.67,1,3,NULL),(15,2055295,'1988-07-17 00:00:00',4,1,12,2005,'M','N','CENTREVILLE','LIMEIRA','SP','125252251211472431458632292144610167042',7151,'9998',56.88,1,3,NULL),(15,2055309,'1987-09-28 00:00:00',2,1,12,2005,'M','N','ALTO ARIRIU','PALHOCA','SC','124241241126152731433319575124610167057',13747,'592',46.54,1,3,NULL),(15,2055317,'1988-04-20 00:00:00',2,5,11,2005,'F','N','CENTRO','ARARANGUA','SC','124244241215474711455833475125610125077',13599,'32',46.75,1,3,NULL),(15,2055325,'1988-09-09 00:00:00',2,1,7,2007,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124244247412311221326828342124610124183',16370,'269',42.80,1,3,NULL),(15,2055333,'1987-12-13 00:00:00',4,1,6,2007,'F','N','FAZENDA RIO TAVARES','FLORIANOPOLIS','SC','124243241212271731436613372114610144087',22020,'270',32.21,1,3,NULL),(15,2055350,'1990-05-25 00:00:00',2,4,12,2007,'F','N','CENTRO','ENEAS MARQUES','PR','116161161415421431446933575124610123072',6747,'9998',57.65,1,3,NULL),(15,2055376,'1990-03-30 00:00:00',2,1,11,2007,'M','N','BELA VISTA II','SAO JOSE','SC','124241241115131411438611342124610114057',19250,'726',38.26,1,2,1),(15,2055422,'1990-06-24 00:00:00',4,5,12,2007,'F','N','CENTRO','MONTENEGRO','RS','120202201216471431467919575122610162197',1639,'9998',70.64,1,3,NULL),(15,2055430,'1988-08-25 00:00:00',4,1,12,2005,'M','N','JARDIM PRIMAVERIL','TRES LAGOAS','MS','112125121216471431459713575124610157042',15444,'9998',44.20,1,3,NULL),(15,2055449,'1989-06-07 00:00:00',4,1,12,2006,'M','N','CENTRO','BRUSQUE','SC','124242241214471751369832422115610112187',7674,'109',55.90,1,3,NULL),(15,2055457,'1990-09-11 00:00:00',4,4,12,2007,'F','N','INTERIOR','XAVANTINA','SC','124241241125111431433336552223610137047',21663,'844',33.36,1,2,1),(15,2055465,'1988-07-25 00:00:00',4,1,12,2005,'F','N','SANTANA','SAO PAULO','SP','125252251217572431238834595122610162147',3909,'9998',63.71,1,3,NULL),(15,2055473,'1990-11-24 00:00:00',4,7,11,2007,'F','N','LIBERDADE','CONCORDIA','SC','124241241416121431556812572112610121197',6485,'1000',58.10,1,3,NULL),(15,2055481,'1987-07-17 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241216134411536619485124230226187',16652,'300',42.38,1,3,NULL),(15,2055490,'1987-01-24 00:00:00',4,3,12,2004,'M','N','CENTRO','PORTO BELO','SC','124241241147272122126322142113610134017',2862,'630',66.56,1,2,1),(15,2055503,'1990-01-24 00:00:00',2,5,11,2007,'M','N','CENTRO','BALNEARIO ARROIO DO SILVA','SC','124242248215311751449933572124610167077',4189,'27',62.93,1,3,NULL),(15,2055511,'1990-09-26 00:00:00',2,1,12,2007,'M','N','CENTRO','HORIZONTINA','RS','120204203247111631339714575112610117144',15154,'9998',44.59,1,3,NULL),(15,2055520,'1987-03-24 00:00:00',4,1,12,2005,'M','N','COROA DO MEIO','ARACAJU','SE','126262261237471231446831575113141124182',6138,'9998',58.79,1,3,NULL),(15,2055538,'1983-11-25 00:00:00',2,1,12,2004,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241147131431623624442324610128147',NULL,'592',19.90,1,3,NULL),(15,2055546,'1990-09-03 00:00:00',4,7,12,2007,'M','N','CENTRO','LUZERNA','SC','124242241211371431446823295124610154042',6153,'962',58.75,1,3,NULL),(15,2055554,'1990-06-13 00:00:00',2,3,12,2007,'M','N','DAS NAÇÕES','BALNEARIO CAMBORIU','SC','124242248116111431325311272122610138172',7006,'129',57.13,1,3,NULL),(15,2055570,'1990-02-08 00:00:00',4,2,10,2007,'M','N','VELHA','BLUMENAU','SC','124244241215111231579614595122610122182',1692,'855',70.40,1,3,NULL),(15,2055589,'1984-05-07 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244247431272431226923241124130222097',14571,'1003',45.31,1,3,NULL),(15,2055597,'1985-01-29 00:00:00',4,1,2,2003,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124244241116471431379933475124341936097',1,'306',91.68,1,3,NULL),(15,2055600,'1991-10-12 00:00:00',4,10,11,2007,'M','N','MAR GROSSO','LAGUNA','SC','124242241215111431469931594114610167122',4286,'807',62.73,1,3,NULL),(15,2055619,'1990-05-07 00:00:00',2,8,11,2007,'F','N','SAGUACU','JOINVILLE','SC','124242241215221431446814572122610121017',1308,'486',72.05,1,3,NULL),(15,2055643,'1990-04-16 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241117111431456612575124610127012',1467,'267',71.38,1,2,1),(15,2055651,'1990-08-01 00:00:00',2,7,12,2007,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241215371431646932172122610126147',13212,'962',47.29,1,3,NULL),(15,2055660,'1987-07-20 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211273711549931575124610116127',1985,'270',69.31,1,3,NULL),(15,2055686,'1990-12-11 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241117111411379933575122610122192',NULL,'262',46.27,1,3,NULL),(15,2055694,'1988-11-13 00:00:00',1,1,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215121431559312575114610124072',NULL,'9998',0.00,1,3,NULL),(15,2055708,'1989-11-09 00:00:00',4,1,11,2007,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241215472431578811575122610127072',3005,'270',66.12,1,3,NULL),(15,2055716,'1990-12-06 00:00:00',4,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124244241215112451669614595124610165195',9105,'9997',53.45,1,3,NULL),(15,2055724,'1989-09-24 00:00:00',3,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124132241215111431353931576124610127182',13939,'269',46.24,1,3,NULL),(15,2055732,'1988-07-25 00:00:00',2,1,7,2006,'F','N','KOBRASOL','SAO JOSE','SC','124244247235371731348628442224610132147',NULL,'9999',24.66,1,3,NULL),(15,2055740,'1990-10-24 00:00:00',4,2,11,2007,'F','N','BOM FIM','PORTO ALEGRE','RS','120202201216131451336929395124610168182',15421,'9998',44.23,1,3,NULL),(15,2055767,'1989-06-05 00:00:00',2,5,12,2006,'F','N','SÃO LUIS','CRICIUMA','SC','124241241212472731334311371224610145077',10874,'920',50.65,1,3,NULL),(15,2055775,'1981-12-23 00:00:00',2,1,12,2000,'F','N','CENTRO','RESTINGA SECA','RS','120201201147374431433615382314610137142',6507,'9998',58.07,1,3,NULL),(15,2055783,'1984-01-22 00:00:00',2,1,12,2002,'F','N','RIO GRANDE','PALHOCA','SC','124241241146471421535514285124610126147',15043,'591',44.74,1,2,1),(15,2055791,'1990-05-13 00:00:00',2,4,12,2007,'F','N','NAZARÉ','CONCORDIA','SC','124241241117371431448933431112610124177',NULL,'193',0.00,1,3,NULL),(15,2055805,'1990-03-02 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242246217151431357734575124610164012',10433,'1013',51.30,1,3,NULL),(15,2055813,'1989-04-22 00:00:00',4,8,12,2006,'F','N','VILA MADALENA','SAO PAULO','SP','125242243217471431379912495124610161142',5299,'1105',60.53,1,3,NULL),(15,2055848,'1987-03-25 00:00:00',2,5,12,2004,'M','N','SÃO LUIS','CRICIUMA','SC','124241241116471331636534245124610162152',8769,'209',54.06,1,2,1),(15,2055856,'1987-05-25 00:00:00',2,3,12,2004,'M','N','SERTAOZINHO','ITAPEMA','SC','124242241214273441456833271125130667067',7212,'407',56.76,1,3,NULL),(15,2055864,'1990-06-21 00:00:00',2,8,11,2007,'M','N','PALMITAL','PARANAGUA','PR','116162161215121451459734575112610137067',8551,'9998',54.44,1,3,NULL),(15,2055872,'1989-03-07 00:00:00',4,8,11,2006,'M','N','JD PREVIDÊNCIA','SAO PAULO','SP','125252251216471711359911585124610147057',3085,'9998',65.88,4,3,NULL),(15,2055899,'1985-05-28 00:00:00',2,4,8,2004,'F','N','CENTRO','PALMA SOLA','SC','124241241126131431221129275124243256047',20773,'598',35.35,1,2,1),(15,2055902,'1989-11-13 00:00:00',4,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241122131431223316342334230214142',NULL,'95',0.00,1,2,1),(15,2055910,'1990-12-17 00:00:00',4,1,12,2007,'M','N','JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251217121431287823576112610163184',NULL,'9998',0.00,1,3,NULL),(15,2055929,'1990-07-07 00:00:00',4,1,12,2006,'F','N','AREIAS','SAO JOSE','SC','124244241215472431268824272124610163142',904,'270',74.04,1,3,NULL),(15,2055937,'1986-02-24 00:00:00',4,2,12,2003,'M','N','SÃO DIMAS','PIRACICABA','SP','125252251216573431468839495121240344112',3277,'9998',65.31,1,3,NULL),(15,2055953,'1989-06-22 00:00:00',4,8,12,2006,'M','N','FLORESTA','JOINVILLE','SC','124243241215472431467614575124610118072',NULL,'1016',0.00,1,3,NULL),(15,2055961,'1988-07-18 00:00:00',2,1,12,2005,'M','N','CENTRO','MARIPA','PR','116161161216572231368813575114141462147',1094,'9998',73.06,1,3,NULL),(15,2055970,'1990-06-02 00:00:00',4,1,12,2006,'F','N','SETOR BUENO','GOIANIA','GO','109272251235471751587921576125610113147',NULL,'9998',0.00,4,3,NULL),(15,2055996,'1990-07-03 00:00:00',4,1,11,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124243241415111411556923575122610114192',931,'270',73.89,1,3,NULL),(15,2056003,'1987-05-06 00:00:00',4,1,11,2004,'M','N','NOVA AMERICA','PIRACICABA','SP','125254251417472451479933517123610167113',2276,'9998',68.33,1,3,NULL),(15,2056011,'1990-01-05 00:00:00',2,8,12,2007,'F','N','CENTRO','SAO MATEUS DO SUL','PR','116164161217111451336633344222610163147',NULL,'9998',0.00,1,3,NULL),(15,2056046,'1990-04-05 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','SAO JOSE','SC','124241241117131421643314241124610112097',NULL,'733',24.25,1,2,1),(15,2056054,'1989-06-15 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124041241135131511627613571124610117075',20488,'283',35.90,1,2,1),(15,2056062,'1989-07-12 00:00:00',4,1,12,2006,'M','N','BAIRRO TRINDADE','FLORIANOPOLIS','SC','116161161117471231369939572245610132012',NULL,'9998',0.00,1,3,NULL),(15,2056070,'1990-12-20 00:00:00',4,1,12,2007,'F','N','SAO BRAZ','CURITIBA','PR','116162161215111411568912575122610122172',NULL,'9998',0.00,1,3,NULL),(15,2056089,'1988-12-20 00:00:00',4,1,12,2006,'F','N','BOM JESUS','PORTO ALEGRE','RS','120202201216471731427714575114610168147',19771,'9998',37.29,1,3,NULL),(15,2056097,'1989-02-05 00:00:00',2,1,12,2007,'F','N','CENTRO','SAO BENTO DO SUL','SC','124241241216131431426514575122610166147',12990,'1073',47.61,1,3,NULL),(15,2056100,'1984-10-25 00:00:00',2,1,12,2001,'M','N','ORIENTAL','ESTRELA','RS','120202201216371431448731332121610137117',4857,'9998',61.41,1,3,NULL),(15,2056119,'1990-04-01 00:00:00',4,8,12,2007,'M','N','SANTA LUZIA','BRAGANCA PAULISTA','SP','125252251217111411579614574124610114042',7721,'9998',55.83,1,3,NULL),(15,2056135,'1990-05-10 00:00:00',4,1,12,2007,'M','N','ARIRIÚ DA FORMIGA','PALHOCA','SC','124243241217112432333339574124610137157',443,'1011',77.27,1,3,NULL),(15,2056143,'1990-03-19 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241216112411459633572124610147185',7943,'262',55.45,2,1,2),(15,2056151,'1990-11-24 00:00:00',4,8,12,2007,'M','N','CENTRO','JAGUAPITA','PR','116162161215121431458831572122610134042',8581,'9998',54.40,1,3,NULL),(15,2056160,'1990-01-11 00:00:00',4,1,12,2007,'F','N','JARDIM SANTA CLARA','GUARULHOS','SP','125252251236111231478931571122610117074',5677,'9998',59.71,1,3,NULL),(15,2056178,'1988-10-29 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215472431666832575124610123017',491,'270',76.87,1,3,NULL),(15,2056186,'1982-12-17 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124201201126331431423934575124610113043',NULL,'9998',24.43,1,3,NULL),(15,2056194,'1990-02-07 00:00:00',2,4,12,2007,'F','N','CENTRO','XANXERE','SC','124241248124141431623329141333610135097',NULL,'841',22.03,1,2,1),(15,2056208,'1987-12-16 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215473411448811592112610134047',15513,'737',44.11,1,3,NULL),(15,2056216,'1987-09-21 00:00:00',2,3,12,2005,'F','N','PEREQUE','PORTO BELO','SC','124241241217112731434439432225610141097',NULL,'1001',23.38,1,3,NULL),(15,2056224,'1990-07-12 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217271531478912575112610114015',325,'270',78.47,1,3,NULL),(15,2056240,'1987-12-22 00:00:00',2,1,12,2005,'F','N','GRANDE COLORADO','SOBRADINHO','DF','107133131436571432686863575122610125107',NULL,'9998',0.00,4,3,NULL),(15,2056259,'1988-11-15 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215142441348933435122231064072',13277,'270',47.20,1,3,NULL),(15,2056267,'1991-04-23 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431568932572125610138182',17578,'262',40.97,1,3,NULL),(15,2056275,'1988-11-25 00:00:00',2,1,12,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241217373431445464494124610127167',3126,'67',65.77,1,3,NULL),(15,2056283,'1988-07-09 00:00:00',4,1,12,2006,'F','N','GRANDE COLORADO','SOBRADINHO','DF','107072071215371431458822592122142264147',5724,'9998',59.62,4,3,NULL),(15,2056291,'1990-04-25 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215271431226323472122610124017',2158,'738',68.73,1,3,NULL),(15,2056305,'1990-03-04 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217111431369823375114610127067',5025,'270',61.03,1,3,NULL),(15,2056313,'1989-04-29 00:00:00',4,8,11,2007,'M','N','AMERICA','JOINVILLE','SC','124243241215121432464522575122610122142',4882,'486',61.35,1,3,NULL),(15,2056321,'1990-05-12 00:00:00',4,2,6,2007,'M','N','LAGO NORTE','LAGO NORTE','DF','107072071217271711389839595122610166123',3305,'9998',65.25,1,3,NULL),(15,2056330,'1988-01-14 00:00:00',2,1,12,2005,'M','N','PICADAS DO NORTE','SAO JOSE','SC','124242241215274431534411283121610117117',16643,'1022',42.39,4,3,NULL),(15,2056348,'1990-11-24 00:00:00',4,9,12,2007,'M','N','FLORA','VACARIA','RS','120202201216271431448613245122610162047',19045,'9998',38.60,1,3,NULL),(15,2056356,'1989-07-08 00:00:00',4,1,11,2006,'F','N','FAZENDA','ITAJAI','SC','124243241217372431438814172124610147017',7054,'1026',57.05,1,3,NULL),(15,2056364,'1983-09-01 00:00:00',4,1,12,2000,'F','N','TRINDADE','FLORIANOPOLIS','SC','124123121217132431548815571124321436057',260,'9998',79.21,1,3,NULL),(15,2056372,'1991-02-01 00:00:00',4,1,12,2008,'M','S','VILA NOVA','LONDRINA','PR','116162161216111431469914571122610134052',NULL,'9998',67.47,3,3,NULL),(15,2056380,'1990-01-09 00:00:00',4,3,12,2007,'F','N','JARDIM MARINA','SAO PAULO','SP','125252251115471431656823575124610141147',7321,'9998',56.57,1,3,NULL),(15,2056399,'1990-01-25 00:00:00',4,8,11,2007,'F','N','BELA VISTA','RIO NEGRINHO','SC','124242241216111411469912572124612632192',NULL,'1114',0.00,1,3,NULL),(15,2056402,'1988-09-20 00:00:00',2,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241135311431443339495124610128122',NULL,'281',22.73,1,2,1),(15,2056410,'1986-07-06 00:00:00',2,1,11,2003,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124244243434374441257727292334610163012',8278,'303',54.89,1,3,NULL),(15,2056429,'1979-08-29 00:00:00',4,1,12,1999,'F','N','INGLESES','FLORIANOPOLIS','SC','624131131137271721236459382124610168187',NULL,'9998',25.58,1,2,1),(15,2056437,'1988-03-30 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215574431488831575112610162012',3801,'270',63.97,1,3,NULL),(15,2056445,'1986-03-09 00:00:00',4,1,12,2003,'M','N','CENTRO','CASCAVEL','PR','116162161217372451559934575122340662097',NULL,'9998',0.00,1,3,NULL),(15,2056453,'1988-08-18 00:00:00',4,1,12,2006,'F','N','SAPE II','CACAPAVA','SP','125252251236471411337923575124610123143',15677,'9998',43.84,4,3,NULL),(15,2056461,'1990-09-02 00:00:00',4,10,12,2007,'M','N','VILA MOEMA','TUBARAO','SC','124242241215271431469931472115610147047',14478,'806',45.45,1,3,NULL),(15,2056488,'1984-11-13 00:00:00',4,1,11,2002,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241212575751388833585124132468185',1206,'270',72.43,1,3,NULL),(15,2056496,'1990-10-20 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217111431378712576112610137122',19876,'270',37.06,1,3,NULL),(15,2056500,'1988-09-02 00:00:00',4,1,8,2007,'M','N','IPIRANGA','SAO JOSE','SC','124243241117271611326611375123610144047',NULL,'739',29.96,1,3,NULL),(15,2056518,'1990-04-04 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124242241215471431369613571122610146097',2591,'983',67.34,1,3,NULL),(15,2056526,'1986-04-01 00:00:00',4,1,12,2003,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124242241412154431548633382124230262057',12585,'269',48.16,1,3,NULL),(15,2056534,'1990-05-25 00:00:00',4,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124243248116271431356833571122610136142',15675,'271',43.84,1,3,NULL),(15,2056542,'1989-09-18 00:00:00',2,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431489923375112131441182',8102,'262',55.18,1,3,NULL),(15,2056550,'1990-07-11 00:00:00',4,1,10,2007,'F','N','EMBARE','SANTOS','SP','125252251416121431578932475122610134012',4277,'9998',62.74,1,3,NULL),(15,2056569,'1989-08-15 00:00:00',4,1,12,2006,'F','N','PARQUE HIGIENÓPOLIS','PRESIDENTE PRUDENTE','SP','125252251215472431458812596325610166187',2490,'9998',67.65,1,3,NULL),(15,2056577,'1990-05-25 00:00:00',2,4,11,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241216111431369619192122610148182',NULL,'752',0.00,1,3,NULL),(15,2056585,'1984-04-03 00:00:00',4,1,12,2003,'M','N','CENTRO','GUARAPUAVA','PR','116162161216152441526311315122140262112',NULL,'9998',39.92,1,3,NULL),(15,2056593,'1988-09-12 00:00:00',4,3,12,2006,'M','N','VILA EMA','SAO JOSE DOS CAMPOS','SP','125252251216471711558812195121610141082',3268,'9998',65.34,1,3,NULL),(15,2056607,'1988-08-08 00:00:00',2,1,12,2007,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124243248615371741538831376124610167017',10020,'271',51.91,1,3,NULL),(15,2056631,'1989-08-18 00:00:00',2,4,12,2006,'F','N','CENTRO','CONCORDIA','SC','124241241114471151424634572112610166147',NULL,'192',0.00,1,2,1),(15,2056640,'1990-04-28 00:00:00',4,6,11,2007,'F','N','FAZENDA','ITAJAI','SC','124242241215131431448712242125610126197',6016,'392',59.05,1,3,NULL),(15,2056658,'1989-05-28 00:00:00',2,4,12,2006,'F','N','CENTRO','CHAPECO','SC','124241241417112431467614575122231334142',15320,'1046',44.37,1,3,NULL),(15,2056666,'1990-06-04 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215112431468833475112610134051',4523,'262',62.20,1,3,NULL),(15,2056674,'1989-07-18 00:00:00',4,1,12,2006,'F','N','CENTRO','CORUMBA','MS','112122121216471431248711572124142226142',NULL,'9998',0.00,1,3,NULL),(15,2056682,'1972-11-25 00:00:00',4,1,7,1995,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124132137247371431114641311324141867117',5603,'9999',59.87,1,3,NULL),(15,2056690,'1990-04-09 00:00:00',4,1,12,2007,'M','N','FLOR DE NÁPOLIS','SAO JOSE','SC','124242241215111431343933472122610126197',9373,'1074',53.00,1,3,NULL),(15,2056704,'1987-05-21 00:00:00',2,5,12,2004,'M','N','CENTRO','TURVO','SC','124241241316374751445634572124610167047',5692,'813',59.68,1,3,NULL),(15,2056712,'1989-09-13 00:00:00',2,1,12,2005,'F','N','BARRA DA TIJUCA','RIO DE JANEIRO','RJ','121201211417271431469733575124610133147',7857,'9998',55.60,1,3,NULL),(15,2056720,'1987-03-12 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431669611572222132437087',374,'270',77.85,1,3,NULL),(15,2056739,'1990-06-10 00:00:00',2,10,12,2007,'M','N','MAGALHÃES','LAGUNA','SC','124241241116131431446633332124610132172',13921,'522',46.29,1,3,NULL),(15,2056747,'1989-05-16 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215372431568723572114610127062',9252,'1022',53.19,1,3,NULL),(15,2056763,'1990-02-24 00:00:00',4,7,11,2007,'M','N','BAIRRO SANTA TEREZA','JOACABA','SC','124242241215151441568613575122610114072',2929,'446',66.36,1,3,NULL),(15,2056771,'1990-03-14 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124122241217111431548815572124610168147',492,'1022',76.86,1,3,NULL),(15,2056780,'1990-01-27 00:00:00',4,1,12,2007,'M','N','BIGORRILHO','CURITIBA','PR','116162161217121431278931574124610162192',1604,'9998',70.80,1,3,NULL),(15,2056798,'1989-03-31 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217372431468833575112121044187',350,'270',78.06,1,3,NULL),(15,2056801,'1990-04-09 00:00:00',4,1,12,2007,'F','N','PRAIA DE BAIXO','BIGUACU','SC','124242241215122441346831416124610126171',2320,'269',68.18,1,3,NULL),(15,2056810,'1985-10-25 00:00:00',4,8,12,2003,'F','N','CENTRO','CURITIBA','PR','116161161414575411567364371124610162072',NULL,'9998',0.00,4,3,NULL),(15,2056836,'1989-09-25 00:00:00',4,1,12,2007,'M','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124242241217371432468812572112610167012',15744,'884',43.75,1,3,NULL),(15,2056844,'1986-10-20 00:00:00',4,3,12,2005,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124164161416473441478933584122132442172',NULL,'9998',60.58,3,3,NULL),(15,2056852,'1990-06-06 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEICAO','FLORIANOPOLIS','SC','124242241215272451486922574122610167062',1369,'262',71.80,1,3,NULL),(15,2056860,'1989-02-24 00:00:00',2,4,12,2006,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124244241216472431458614571115610144183',8738,'751',54.12,1,3,NULL),(15,2056879,'1988-01-27 00:00:00',2,1,11,2006,'F','N','SETOR SEIS','ARIQUEMES','RO','122221221137471751523619295123610125157',NULL,'9998',24.57,2,1,1),(15,2056887,'1987-10-17 00:00:00',4,8,12,2004,'F','N','FLORESTA','JOINVILLE','SC','120202201216572431468811375114610146117',3585,'9998',64.50,1,3,NULL),(15,2056895,'1990-07-09 00:00:00',2,1,12,2007,'F','N','JARDIM PAULISTA','BAURU','SP','125252251217111631567723575122610164092',20287,'9998',36.26,1,3,NULL),(15,2056909,'1991-11-05 00:00:00',2,4,12,2007,'M','N','VILA INDUSTRIAL','TOLEDO','PR','116281161315111431556836372121610127062',12069,'9998',48.90,1,3,NULL),(15,2056917,'1990-08-26 00:00:00',4,1,12,2007,'F','N','AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251217111431488834572112610134092',4325,'9998',62.66,1,3,NULL),(15,2056925,'1989-05-16 00:00:00',4,1,11,2006,'F','N','MOINHOS DE VENTO','PORTO ALEGRE','RS','120202201216571731228923575124610167187',7149,'9998',56.88,1,3,NULL),(15,2056933,'1987-07-11 00:00:00',4,9,12,2004,'F','N','CENTRO','VACARIA','RS','120203201217573431426631292214610163187',19428,'9998',37.96,1,3,NULL),(15,2056950,'1982-07-29 00:00:00',2,1,11,1999,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241112133411635323442314610164082',8349,'307',54.78,1,3,NULL),(15,2056968,'1989-04-16 00:00:00',4,1,12,2006,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241212372431358833435124610162072',2026,'270',69.17,1,3,NULL),(15,2056976,'1989-06-06 00:00:00',4,3,12,2006,'F','N','SÃO ROQUE','BENTO GONCALVES','RS','120201201117111411226548375114610127047',15910,'9998',43.53,4,2,1),(15,2056984,'1980-08-19 00:00:00',2,8,12,2000,'M','N','COMASA','JOINVILLE','SC','624241241145211251324344241324610162181',12624,'469',48.11,1,3,NULL),(15,2056992,'1985-12-26 00:00:00',4,1,12,2003,'M','N','SALGADO FILHO','CAXIAS DO SUL','RS','120202201336271421574312345124610167042',5896,'9998',59.26,1,3,NULL),(15,2057018,'1989-01-16 00:00:00',4,1,12,2006,'F','N','SAÚDE','SAO PAULO','SP','125122121217471431448836575125610127147',656,'9998',75.68,3,3,NULL),(15,2057026,'1989-03-07 00:00:00',4,4,12,2006,'F','N','VILA MONTEIRO','PIRACICABA','SP','125252251217571411668619342122610124014',15870,'9998',43.57,1,3,NULL),(15,2057034,'1988-07-12 00:00:00',4,1,12,2005,'M','N','CENTRO','LONDRINA','PR','116163161417573431358923574121610127092',4652,'9998',61.86,1,3,NULL),(15,2057042,'1989-12-14 00:00:00',4,1,12,2007,'M','N','VILA RÉ','SAO PAULO','SP','125252251217271431363822275124610145092',NULL,'9998',0.00,1,3,NULL),(15,2057050,'1990-11-28 00:00:00',2,1,12,2007,'M','N','CENTRO','LAGOA VERMELHA','RS','120201201126141431527831345125610134052',NULL,'9998',0.00,4,3,NULL),(15,2057069,'1990-11-11 00:00:00',4,8,11,2007,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241217371431489714572122610167142',5915,'457',59.22,1,3,NULL),(15,2057077,'1990-10-19 00:00:00',4,1,12,2007,'M','N','CHAMPAGNAT','LONDRINA','PR','116162161217111431438731595112610134122',12808,'9998',47.85,4,3,NULL),(15,2057085,'1989-10-09 00:00:00',2,1,12,2007,'F','N','VARGINHA','SANTO AMARO DA IMPERATRIZ','SC','124243241335131431424614232122610114147',19289,'1014',38.18,1,3,NULL),(15,2057093,'1990-11-06 00:00:00',4,8,11,2007,'F','N','BOA VISTA','JOINVILLE','SC','124242241416131531647812581122610164012',8887,'461',53.85,1,3,NULL),(15,2057107,'1987-02-17 00:00:00',2,1,12,2004,'F','N','JARDIM COLONIAL','CAMPINAS','SP','125252251215571431449831395122610131072',7512,'9998',56.21,1,3,NULL),(15,2057115,'1990-05-12 00:00:00',4,5,12,2007,'F','N','LOMBA','ORLEANS','SC','124241241117111431433933575122610123097',11949,'580',49.04,1,2,1),(15,2057123,'1990-01-05 00:00:00',4,1,12,2007,'M','N','CENTRO','JARAGUA DO SUL','SC','124242241215122431489932575124610164042',1131,'270',72.88,1,3,NULL),(15,2057131,'1960-04-24 00:00:00',2,1,12,1980,'M','N','JARDIM ITAGUAÇU','FLORIANOPOLIS','SC','224211211141135431265543334224232825092',NULL,'9998',35.25,2,1,1),(15,2057140,'1990-09-29 00:00:00',4,1,2,2008,'F','N','JARDIM PAULISTANO','AMERICANA','SP','125252251217111532456811592122610135043',NULL,'9998',35.96,1,3,NULL),(15,2057158,'1988-09-13 00:00:00',2,6,12,2005,'M','N','SÃO ROQUE','ITAJAI','SC','124241241115372431324439344131610127117',17928,'396',40.45,1,2,1),(15,2057166,'1967-12-14 00:00:00',4,1,12,1985,'M','N','PANTANAL','FLORIANOPOLIS','SC','124161161127131441118647385124342126097',7745,'9998',55.79,1,3,NULL),(15,2057174,'1988-12-09 00:00:00',2,1,12,2006,'F','N','CENTRO','BURITAMA','SP','125253251115471431446616572314610164097',15064,'9998',44.71,1,3,NULL),(15,2057182,'1990-01-22 00:00:00',4,1,12,2007,'M','N','CAMPESTRE','SANTO ANDRE','SP','125252251217111431478811575122610142052',7504,'9998',56.22,1,3,NULL),(15,2057190,'1990-05-30 00:00:00',2,5,11,2007,'F','N','MINA DO MATO','CRICIUMA','SC','124241246436411411576334574124610166067',14469,'995',45.47,1,3,NULL),(15,2057212,'1990-02-12 00:00:00',4,8,11,2007,'F','N','ATIRADORES','JOINVILLE','SC','124242161217472431489612584112610164117',NULL,'9998',0.00,1,3,NULL),(15,2057220,'1990-12-18 00:00:00',4,1,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161217471451578614575122610167112',18268,'9998',39.85,1,3,NULL),(15,2057239,'1982-04-27 00:00:00',4,1,12,2000,'M','N','CITY RIBEIRAO','RIBEIRAO PRETO','SP','125251251116131411447631381124140227042',NULL,'9998',0.00,4,3,NULL),(15,2057247,'1990-02-01 00:00:00',2,1,11,2006,'F','N','SERRARIA','SAO JOSE','SC','124243241137132111433637342324610124197',9232,'1116',53.22,4,3,NULL),(15,2057255,'1990-07-22 00:00:00',4,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124241241215111431427614571122610121147',2820,'737',66.70,1,3,NULL),(15,2057263,'1981-04-24 00:00:00',2,1,12,1999,'M','N','AZAMBUJA','BRUSQUE','SC','124243241326575431544419495124231336147',NULL,'294',0.00,4,3,NULL),(15,2057271,'1988-10-31 00:00:00',2,1,12,2006,'F','N','PICADAS DO NORTE','SAO JOSE','SC','124242241215472431469913573124610134077',5976,'269',59.12,1,3,NULL),(15,2057280,'1991-03-07 00:00:00',4,1,12,2008,'F','S','KOBRASOL','SAO JOSE','SC','124242241217111431366631572122610127072',NULL,'723',44.24,1,3,NULL),(15,2057298,'1990-05-01 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124243241115371431267923472112610137152',845,'271',74.40,1,3,NULL),(15,2057301,'1986-05-20 00:00:00',4,1,12,2003,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241216575751468933595124132442077',910,'262',74.01,1,3,NULL),(15,2057328,'1989-09-12 00:00:00',4,1,12,2007,'M','N','JARDIM PINHEIRO','SAO PAULO','SP','125253251217151441339933574114610164147',9000,'9998',53.65,1,3,NULL),(15,2057336,'1988-08-15 00:00:00',2,1,12,2005,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124252251217572451456623211125610142052',2661,'9998',67.14,1,3,NULL),(15,2057344,'1988-12-22 00:00:00',4,8,12,2005,'F','N','BATEL','CURITIBA','PR','116161161116572451326676562114610137072',NULL,'9998',0.00,1,2,1),(15,2057352,'1989-01-27 00:00:00',4,8,11,2006,'F','N','BRASILIA','SAO BENTO DO SUL','SC','124241241116472141653512291124610167042',8321,'697',54.82,1,2,1),(15,2057360,'1986-08-02 00:00:00',4,1,12,2004,'F','N','VILA NOVA OSASCO','OSASCO','SP','125252251216571731656824571124610168097',819,'9998',74.60,1,3,NULL),(15,2057379,'1990-06-29 00:00:00',2,8,12,2007,'F','N','IMIGRANTES','GUARAMIRIM','SC','124242241215111431346414272124610127142',14147,'422',45.97,1,3,NULL),(15,2057387,'1988-01-06 00:00:00',4,1,11,2005,'F','N','CARIANOS','FLORIANOPOLIS','SC','113241241215473431367613472344610166097',2740,'270',66.91,1,3,NULL),(15,2057395,'1990-01-26 00:00:00',4,9,12,2007,'M','N','CONTA DINHEIRO','LAGES','SC','124241241117151231433311186124610114042',12913,'505',47.70,1,2,1),(15,2057409,'1988-10-09 00:00:00',4,10,12,2005,'M','N','REVOREDO','TUBARAO','SC','124241241145371731323519594121133237187',NULL,'808',11.17,1,2,1),(15,2057417,'1990-05-31 00:00:00',4,2,12,2007,'F','N','ASILO','BLUMENAU','SC','124242241215111311626811272224610112017',8415,'72',54.67,1,3,NULL),(15,2057433,'1991-05-29 00:00:00',2,1,12,2007,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124243241215371431546432345124610137142',13772,'774',46.51,1,3,NULL),(15,2057441,'1987-11-25 00:00:00',4,1,11,2005,'F','N','CERQUERIA CEZAR','SAO PAULO','SP','125132131215571431368816571325142831152',1585,'9998',70.86,1,3,NULL),(15,2057450,'1989-10-24 00:00:00',4,1,1,2007,'M','N','CRUZEIRO NOVO','CRUZEIRO','DF','107073071217372411489934576122142228087',7850,'9998',55.60,4,3,NULL),(15,2057468,'1989-05-15 00:00:00',2,8,12,2007,'M','N','GLÓRIA','JOINVILLE','SC','124242161215472431649931574112610162015',NULL,'491',0.00,1,3,NULL),(15,2057476,'1990-10-30 00:00:00',2,1,12,2007,'M','N','CENTRO','CORONEL VIVIDA','PR','116161161136371431336619172124610167057',20764,'9998',35.37,1,3,NULL),(15,2057484,'1991-08-22 00:00:00',4,5,10,2008,'F','S','PIO CORREA','CRICIUMA','SC','124242241215111531448811472122610143182',NULL,'226',52.50,1,3,NULL),(15,2057492,'1989-04-20 00:00:00',4,7,11,2006,'F','N','CENTRO','CURITIBA','PR','116242161215472431336924575125610166182',8159,'9998',55.08,1,3,NULL),(15,2057506,'1991-04-12 00:00:00',4,1,11,2007,'F','N','RENASCENCA DOIS','SAO LUIS','MA','110102108216111711548839595112610166082',NULL,'9998',0.00,1,3,NULL),(15,2057514,'1990-09-06 00:00:00',4,1,12,2007,'M','N','SAN REMO','LONDRINA','PR','116252161217211421468814374112610124052',18151,'9998',40.07,1,3,NULL),(15,2057522,'1971-09-15 00:00:00',2,8,10,1993,'M','N','CENTRO','PONTA GROSSA','PR','616161167126271441536842225122610162097',11099,'9998',50.30,1,2,1),(15,2057530,'1989-02-18 00:00:00',2,1,11,2006,'M','N','BRABÂNCIA','AVARE','SP','125252251216472431468813372122610167042',4524,'9998',62.19,1,3,NULL),(15,2057549,'1988-09-02 00:00:00',2,9,11,2005,'F','N','MARTORANO','SAO JOAQUIM','SC','124242241214372431434411442122131323077',11815,'720',49.23,1,3,NULL),(15,2057557,'1990-07-06 00:00:00',2,4,12,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124243248215131431336619572125610168147',15725,'752',43.78,1,3,NULL),(15,2057565,'1990-10-23 00:00:00',4,10,11,2007,'F','N','CENTRO','TUBARAO','SC','124242241215111431346611575122610127017',12959,'806',47.64,1,3,NULL),(15,2057573,'1989-05-06 00:00:00',4,8,12,2006,'F','N','VILA GILDA','SANTO ANDRE','SP','125242251217471431459614574112610136097',NULL,'9998',0.00,1,3,NULL),(15,2057581,'1987-12-07 00:00:00',4,1,12,2005,'M','N','JD NOVO AMPARO','AMPARO','SP','125252251217512431566822572122141417096',NULL,'9998',0.00,1,3,NULL),(15,2057590,'1991-05-31 00:00:00',4,1,12,2008,'F','S','CAMINHO NOVO','PALHOCA','SC','124244241217111431458413576124610113072',NULL,'1011',47.79,1,3,NULL),(15,2057603,'1991-12-12 00:00:00',4,1,12,2008,'M','S','CENTRO','CACADOR','SC','124242241217151531476814595125610114177',NULL,'118',57.48,4,3,NULL),(15,2057611,'1985-06-02 00:00:00',4,5,12,2002,'M','N','COMERCIÁRIO','CRICIUMA','SC','124242241235574431467834575124121438017',4364,'991',62.56,1,3,NULL),(15,2057620,'1990-08-17 00:00:00',2,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241136151412586832215114610144122',7133,'262',56.90,1,3,NULL),(15,2057638,'1988-09-20 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215253531358723574314233262012',847,'270',74.39,1,3,NULL),(15,2057646,'1989-06-30 00:00:00',4,8,12,2007,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242246216371431258833595124610127182',18439,'1105',39.59,1,3,NULL),(15,2057654,'1988-12-02 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215373431488733432122131021042',3285,'262',65.29,1,3,NULL),(15,2057662,'1989-11-03 00:00:00',4,1,12,2006,'F','N','CENTRO','TIJUCAS','SC','124241241217472431559631572124610126187',9179,'781',53.30,1,3,NULL),(15,2057697,'1987-03-20 00:00:00',4,1,12,2005,'M','N','VILA INDUSTRIAL','ARACATUBA','SP','125254251217471431356833595122610114092',18758,'9998',39.06,1,3,NULL),(15,2057700,'1966-08-10 00:00:00',4,1,12,1983,'F','N','CENTRO','FLORIANOPOLIS','SC','424212241211142431566643436122321428145',NULL,'270',0.00,1,3,NULL),(15,2057719,'1990-02-01 00:00:00',4,1,12,2007,'F','N','JARDIM CAMPOS SALES','COSMOPOLIS','SP','125252251216111431459633575122610167077',NULL,'9998',23.20,1,3,NULL),(15,2057727,'1990-06-29 00:00:00',2,1,12,2007,'F','N','JARDIM PINHEIROS','SAO JOSE','SC','124242241215111431454913432124610134147',357,'270',77.97,1,3,NULL),(15,2057735,'1990-03-09 00:00:00',2,4,12,2007,'M','N','SÃO JOSÉ','MARAVILHA','SC','124243241116131431436933292125610132177',20226,'552',36.36,1,3,NULL),(15,2057743,'1989-11-24 00:00:00',2,1,12,2006,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124241241115411741641124241124610127042',19649,'592',37.52,1,3,NULL),(15,2057751,'1990-03-22 00:00:00',2,1,12,2007,'F','N','SANTA CATARINA','CACADOR','SC','124241241215111431349923575122610126142',NULL,'118',24.80,4,3,NULL),(15,2057760,'1988-10-11 00:00:00',2,6,12,2006,'F','N','PRAIA BRAVA','ITAJAI','SC','124241241215371732445614475112133266197',13854,'402',46.38,1,3,NULL),(15,2057778,'1988-06-22 00:00:00',4,8,12,2005,'F','N','CAMPINHA','MASSARANDUBA','SC','124241241331273741526718591124610137017',18143,'1058',40.08,1,3,NULL),(15,2057786,'1987-10-27 00:00:00',2,1,7,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241117272431343823572124610136187',8122,'306',55.15,1,2,1),(15,2057794,'1989-01-25 00:00:00',4,1,12,2006,'F','N','CACUPÉ','FLORIANOPOLIS','SC','124242241215372431488933572122610163072',2324,'270',68.17,1,3,NULL),(15,2057808,'1981-02-08 00:00:00',2,1,12,2000,'F','N','CAMINHO NOVO','PALHOCA','SC','224241241127271431223154191114610121182',17668,'591',40.85,1,3,NULL),(15,2057816,'1990-03-15 00:00:00',2,1,12,2007,'F','N','BALNEARIO','FLORIANOPOLIS','SC','124241241215111431566533572124610127077',17127,'1022',41.67,1,3,NULL),(15,2057832,'1975-04-02 00:00:00',2,1,12,1994,'F','N','JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP','525252251236471751339641414122342632152',9576,'9998',52.63,1,3,NULL),(15,2057840,'1989-10-22 00:00:00',4,1,12,2006,'M','N','JOSÉ MENINO','SANTOS','SP','125253251117371431425614575121610147147',17059,'9998',41.80,4,3,NULL),(15,2057859,'1990-07-02 00:00:00',4,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124242241217271231469714476112610167182',11095,'457',50.31,3,3,NULL),(15,2057867,'1990-06-20 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215371431468834572122610127045',8022,'262',55.34,3,3,NULL),(15,2057875,'1990-04-19 00:00:00',4,3,11,2007,'M','N','BARRA','BALNEARIO CAMBORIU','SC','124243241215321431466613575122610166092',1364,'44',71.81,1,3,NULL),(15,2057883,'1987-05-20 00:00:00',4,1,12,2004,'M','N','BOQUEIRAO','CURITIBA','PR','116162161216572431368412571122610127122',2840,'9998',66.64,3,3,NULL),(15,2057891,'1989-03-31 00:00:00',4,1,12,2006,'F','N','CENTRO','ITAJAI','SC','124242241215472431579912194124610134142',8775,'1026',54.05,1,3,NULL),(15,2057905,'1989-09-16 00:00:00',2,1,12,2006,'F','N','CENTRO','IMBITUBA','SC','124241241215473431468614372122610123095',2885,'270',66.48,1,3,NULL),(15,2057913,'1990-01-08 00:00:00',2,1,12,2007,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124243241215111111534313594124610136055',13410,'988',47.01,1,3,NULL),(15,2057921,'1988-11-20 00:00:00',4,1,12,2006,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241115272231445311175124231964147',9661,'281',52.47,1,3,NULL),(15,2057930,'1989-09-15 00:00:00',5,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215111431479934572124610123145',9875,'883',52.13,1,3,NULL),(15,2057948,'1988-03-12 00:00:00',4,8,12,2005,'M','N','BOA VISTA','JOINVILLE','SC','124242246217473431369612572122231427062',855,'494',74.32,1,3,NULL),(15,2057956,'1990-08-16 00:00:00',4,8,11,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','424242241215151531489912485125613217017',NULL,'457',0.00,2,1,2),(15,2057972,'1990-10-16 00:00:00',4,2,11,2007,'F','N','FUNDO CANOAS','RIO DO SUL','SC','124244241215151732325924586112610134047',21075,'654',34.72,1,3,NULL),(15,2057999,'1989-06-15 00:00:00',2,1,12,2006,'M','N','CENTRO','PRESIDENTE GETULIO','SC','124242241215372431448811575124610137042',1879,'991',69.67,1,3,NULL),(15,2058006,'1989-04-18 00:00:00',4,3,12,2006,'M','N','JARDIM PRIMAVERA','SANTA BARBARA D OESTE','SP','125252251217471431478914472115610167097',2041,'9998',69.13,1,3,NULL),(15,2058014,'1984-12-22 00:00:00',4,8,12,2001,'M','N','CENTRO','CASCAVEL','PR','116161161117471431433623492112143264047',3557,'9998',64.60,1,2,1),(15,2058022,'1989-12-19 00:00:00',4,1,12,2007,'M','N','FORQUILHAS','SAO JOSE','SC','124241241115371711536613432124610163012',12946,'307',47.65,2,3,NULL),(15,2058030,'1990-01-06 00:00:00',4,2,12,2007,'F','N','CENTRO','BRUSQUE','SC','124242241215272431689931474122610136182',NULL,'107',16.24,1,3,NULL),(15,2058049,'1963-04-29 00:00:00',4,1,12,1980,'F','N','CENTRO','FLORIANOPOLIS','SC','224214211216143721476844495122531126183',7937,'9998',55.46,1,3,NULL),(15,2058057,'1991-01-31 00:00:00',4,1,12,2007,'M','N','JARDIM AQUÁRIOS','PALHOCA','SC','124242246212131731436839175124610167057',14889,'1075',44.92,1,3,NULL),(15,2058065,'1990-05-12 00:00:00',2,4,12,2007,'F','N','JARDIM PRIMAVERA','PATO BRANCO','PR','116162161215121431456934571124610133147',NULL,'9998',0.00,1,3,NULL),(15,2058073,'1990-11-21 00:00:00',4,5,10,2007,'M','N','CRUZEIRO DO SUL','CRICIUMA','SC','124242241215112431459814575115610167047',1779,'213',70.05,1,3,NULL),(15,2058081,'1989-09-27 00:00:00',2,7,12,2006,'M','N','SAO JOSE','FRAIBURGO','SC','124243241337472431437833574124610114047',NULL,'885',0.00,1,3,NULL),(15,2058090,'1990-08-20 00:00:00',2,1,12,2007,'M','N','CIDADE INDUSTRIAL','CURITIBA','PR','116163161316471441348811571114610163106',NULL,'9998',0.00,1,3,NULL),(15,2058103,'1991-05-01 00:00:00',4,4,12,2007,'F','N','CENTRO','SAO CARLOS','SC','124241241127271431337839592322610168142',22153,'704',31.71,1,2,1),(15,2058111,'1989-04-28 00:00:00',4,1,12,2006,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215472432469614575114610168193',4265,'107',62.77,1,3,NULL),(15,2058120,'1991-08-06 00:00:00',4,1,12,2007,'M','N','JARDIM ESTRELA','MAUA','SP','125254251446471431466614475124610167072',NULL,'9998',0.00,1,3,NULL),(15,2058138,'1990-07-25 00:00:00',4,10,12,2007,'M','N','SANTO ANTONIO','TUBARAO','SC','124241241215111411458931572122610127127',3194,'807',65.56,1,3,NULL),(15,2058154,'1990-07-22 00:00:00',4,10,11,2007,'F','N','VILA MOEMA','TUBARAO','SC','124242241217111511479313575112610124042',4466,'806',62.35,1,3,NULL),(15,2058162,'1989-06-24 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215472451468934534124610114182',597,'270',76.12,1,3,NULL),(15,2058170,'1985-12-08 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124244241415214421238721412312122214012',8806,'267',54.00,1,3,NULL),(15,2058189,'1988-11-24 00:00:00',4,1,11,2006,'M','N','JOSE MENDES','FLORIANOPOLIS','SC','124242241211372431558833592214132041032',3835,'262',63.90,1,3,NULL),(15,2058200,'1989-11-03 00:00:00',4,1,1,2008,'F','N','PASSA VINTE','PALHOCA','SC','124241241111141411533351241124610163147',14503,'739',45.40,1,2,1),(15,2058227,'1989-08-25 00:00:00',4,1,12,2006,'F','N','RIO GRANDE','PALHOCA','SC','124242241115272431236623572124610164142',2963,'739',66.26,4,3,NULL),(15,2058235,'1986-05-17 00:00:00',2,1,12,2002,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241117373421466413345134610124147',3675,'307',64.29,1,2,1),(15,2058243,'1987-04-29 00:00:00',4,2,12,2005,'F','N','PINHEIROS','SAO PAULO','SP','125252251237571431489931575144610136077',NULL,'9998',0.00,1,3,NULL),(15,2058251,'1990-03-28 00:00:00',4,9,11,2006,'F','N','CENTRO','CURITIBANOS','SC','124241241215312431338622572115610124097',5177,'237',60.75,1,3,NULL),(15,2058260,'1989-11-09 00:00:00',4,1,12,2006,'M','N','ASILO','BLUMENAU','SC','124242241215473431466831572124610132142',341,'909',78.18,1,3,NULL),(15,2058286,'1990-04-04 00:00:00',4,2,11,2007,'F','N','BELA VISTA','GASPAR','SC','124242241235131411336414575122610123147',12021,'71',48.96,1,3,NULL),(15,2058294,'1980-12-21 00:00:00',2,1,12,1996,'F','N','JD VENEZA','FRANCA','SP','125253251116141431228841312224140762092',NULL,'9998',0.00,1,3,NULL),(15,2058316,'1990-04-15 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124241241415311231437614575124610113067',21797,'1036',32.96,1,3,NULL),(15,2058332,'1990-11-24 00:00:00',4,6,12,2007,'M','N','MORRINHOS','BOMBINHAS','SC','124241241115271431423411575124610152017',12158,'96',48.78,1,2,1),(15,2058359,'1990-01-18 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431469932572122610163092',9281,'270',53.14,1,3,NULL),(15,2058367,'1990-09-17 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215131431489933272122610168162',9597,'262',52.59,1,3,NULL),(15,2058375,'1988-04-06 00:00:00',2,1,11,2005,'F','N','JARDIM ROMA','PIRASSUNUNGA','SP','125253258216271431558831575124241363097',NULL,'9998',0.00,1,3,NULL),(15,2058383,'1989-09-24 00:00:00',2,1,11,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124242241215121431438832342124610163187',12283,'1022',48.60,1,3,NULL),(15,2058391,'1989-11-15 00:00:00',4,8,12,2007,'M','N','CENTRO','JARAGUA DO SUL','SC','116242161216571431458913472122610164147',NULL,'9998',0.00,1,3,NULL),(15,2058405,'1990-08-21 00:00:00',4,9,12,2007,'M','N','CANTA GALO','RIO DO SUL','SC','124243241215112431646633575124610128142',1450,'991',71.46,1,3,NULL),(15,2058413,'1989-09-02 00:00:00',4,1,12,2007,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241215111431579614574114610161051',13810,'270',46.44,1,3,NULL),(15,2058421,'1990-04-05 00:00:00',4,5,12,2007,'F','N','RUBEM BERTA','PORTO ALEGRE','RS','120203201117131431338623571324610166141',21188,'9998',34.46,1,3,NULL),(15,2058430,'1989-04-21 00:00:00',4,1,12,2006,'F','N','ASA NORTE','BRASILIA','DF','107072071217371441259923575124610122077',21306,'9998',34.18,4,3,NULL),(15,2058448,'1989-08-04 00:00:00',4,8,12,2006,'F','N','IMIGRANTES','GUARAMIRIM','SC','124243241217412431346634574124610127092',9203,'441',53.26,1,3,NULL),(15,2058464,'1986-08-19 00:00:00',2,1,12,2004,'M','N','ROÇADO','SAO JOSE','SC','124241241416373732555319245222133225092',7393,'260',56.43,1,3,NULL),(15,2058480,'1987-11-04 00:00:00',2,1,11,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124253241127131751216679192344610118027',NULL,'295',35.14,1,3,NULL),(15,2058499,'1989-12-29 00:00:00',4,8,12,2007,'F','N','CENTRO','JOINVILLE','SC','124242241216111431358829575125610123017',NULL,'461',0.00,1,3,NULL),(15,2058502,'1989-11-03 00:00:00',4,1,12,2006,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242161217472531269911575125610167052',5878,'9998',59.30,3,3,NULL),(15,2058510,'1989-01-13 00:00:00',2,1,12,2006,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124161161116271431431115274124610126057',12790,'9998',47.86,4,2,1),(15,2058529,'1988-09-18 00:00:00',4,1,12,2005,'F','N','VILA INDUSTRIAL','TOLEDO','PR','116163161317473431448822575124610115152',11002,'9998',50.47,1,3,NULL),(15,2058537,'1990-05-25 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161211311111148731411124610164126',1388,'9998',71.71,1,3,NULL),(15,2058545,'1989-05-27 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124241248131471731536613435124610128157',17551,'307',41.01,1,2,1),(15,2058561,'1991-04-04 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241211111231388611572122610137057',10127,'738',51.75,1,3,NULL),(15,2058570,'1991-01-07 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241215121431368824575124610124142',16367,'270',42.80,1,3,NULL),(15,2058588,'1988-12-02 00:00:00',4,6,12,2006,'F','N','CENTRO','BRUSQUE','SC','116242241216471441467832295124610164012',NULL,'9997',0.00,1,3,NULL),(15,2058596,'1988-04-07 00:00:00',2,4,12,2005,'F','N','CENTRO','PATO BRANCO','PR','116162161215572431458635574135610164057',430,'9998',77.36,1,3,NULL),(15,2058626,'1989-10-23 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112531348914572112610112042',2677,'270',67.10,1,3,NULL),(15,2058634,'1990-04-12 00:00:00',4,8,11,2007,'M','N','GLÓRIA','JOINVILLE','SC','124242241217112411479813475114610142092',10666,'457',50.92,4,3,NULL),(15,2058642,'1989-03-04 00:00:00',3,1,7,2007,'M','N','LAGOA','FLORIANOPOLIS','SC','124242241215371431568833571124610125052',314,'270',78.58,1,3,NULL),(15,2058650,'1988-10-31 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217473431459813572114610137142',5273,'262',60.57,1,3,NULL),(15,2058669,'1989-10-30 00:00:00',2,5,10,2007,'F','N','PIO CORRÊA','CRICIUMA','SC','124242241215121431446729294122610123047',11477,'213',49.73,1,3,NULL),(15,2058677,'1990-03-02 00:00:00',2,1,11,2007,'F','N','PAES LEME','IMBITUBA','SC','124241241115161442326619582225610168142',NULL,'359',22.59,1,2,1),(15,2058685,'1987-05-09 00:00:00',4,1,12,2004,'M','N','BOQUEIRAO','SANTOS','SP','125252251217571431668811575125610122157',4962,'9998',61.17,4,3,NULL),(15,2058693,'1989-07-15 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216473431538731572124610126142',2404,'185',67.90,1,3,NULL),(15,2058707,'1989-12-25 00:00:00',2,10,12,2006,'M','N','OFICINAS','TUBARAO','SC','124242246216372411478614445122610167092',NULL,'995',0.00,1,3,NULL),(15,2058715,'1990-07-04 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215111231478913572114610167042',8636,'226',54.28,1,3,NULL),(15,2058723,'1989-08-11 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217372431438833572125121467075',4346,'1098',62.61,1,3,NULL),(15,2058740,'1980-12-31 00:00:00',4,1,12,1999,'M','N','AREIAS','SAO JOSE','SC','124241246135474421558723345332610127042',22109,'739',31.87,2,1,1),(15,2058766,'1986-04-09 00:00:00',4,1,12,2003,'M','N','REC EUCALIPTOS','MAIRINQUE','SP','125251251215572432537611585124610165077',9856,'9998',52.17,1,3,NULL),(15,2058774,'1989-05-07 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241247335371431445513241124610122142',20757,'307',35.38,1,3,NULL),(15,2058782,'1990-07-17 00:00:00',4,8,12,2007,'M','N','AGUA VERDE','CURITIBA','PR','116162161345121412448923571115610162047',NULL,'9998',0.00,3,3,NULL),(15,2058790,'1989-05-21 00:00:00',4,9,12,2006,'M','N','CENTRO','RIO DO SUL','SC','124242241215472441459714335125610167182',4061,'497',63.31,1,3,NULL),(15,2058804,'1990-12-25 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217111731369831575112610165052',937,'270',73.86,1,3,NULL),(15,2058812,'1989-11-07 00:00:00',4,1,11,2007,'M','N','MANGABEIRAS','BELO HORIZONTE','MG','113132131217111411478832572124610144142',NULL,'9998',0.00,1,3,NULL),(15,2058820,'1989-02-04 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212372431488719572112610132182',8207,'270',54.99,1,3,NULL),(15,2058839,'1989-04-21 00:00:00',2,7,12,2006,'M','N','ZONA RURAL','ALTO BELA VISTA','SC','124241241127131441635315252124241426177',9605,'14',52.59,1,2,1),(15,2058847,'1989-03-13 00:00:00',4,1,11,2007,'F','N','PONTA AGUDA','BLUMENAU','SC','124162248215472431457712574144610162097',1241,'9998',72.30,1,3,NULL),(15,2058855,'1990-04-09 00:00:00',4,1,12,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124242241116151411446633592124610136092',10867,'271',50.66,1,3,NULL),(15,2058863,'1990-12-09 00:00:00',2,5,11,2007,'M','N','JARDIM AMÉRICA','MELEIRO','SC','124242241215152431359911372124610167072',5206,'813',60.70,1,3,NULL),(15,2058871,'1990-11-05 00:00:00',4,8,11,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215121431558614575122610164012',10131,'491',51.74,1,3,NULL),(15,2058880,'1989-06-30 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216372431578614575112610162147',3279,'262',65.30,3,3,NULL),(15,2058910,'1987-02-04 00:00:00',4,1,12,2004,'F','N','SÃO DOMINGOS','NITEROI','RJ','121212211216571441228928475124142863117',NULL,'9998',0.00,1,3,NULL),(15,2058928,'1989-12-22 00:00:00',2,1,11,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217111431458613175124610166146',NULL,'1098',0.00,1,3,NULL),(15,2058936,'1988-10-18 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124142141215472431278811475122610117042',1480,'9998',71.29,1,3,NULL),(15,2058944,'1990-02-17 00:00:00',2,5,10,2007,'F','N','RIO MAINA','CRICIUMA','SC','124242241215121431478634572112610121142',5381,'213',60.31,1,3,NULL),(15,2058952,'1980-07-30 00:00:00',2,1,5,1996,'F','N','CENTRO','FLORIANOPOLIS','SC','224281281116371421369952342122140268182',2940,'9998',66.32,1,3,NULL),(15,2058960,'1989-05-23 00:00:00',2,2,12,2006,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161215471431368924582112610127062',NULL,'9998',0.00,1,3,NULL),(15,2058987,'1986-09-27 00:00:00',2,1,12,2004,'M','N','CAMPO DA LANÇA','MAFRA','SC','124241241135271411337824485123133234017',9483,'544',52.80,1,2,1),(15,2058995,'1990-04-02 00:00:00',4,1,11,2007,'M','N','CIDADE ALTA','BENTO GONCALVES','RS','120202201216271431359931595125610164182',5489,'9998',60.08,1,3,NULL),(15,2059002,'1990-01-30 00:00:00',4,1,12,2007,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217111431458923372124610162047',2212,'270',68.56,1,3,NULL),(15,2059010,'1990-09-07 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215422431358921275122610162092',5576,'44',59.92,1,3,NULL),(15,2059029,'1991-10-31 00:00:00',4,4,12,2007,'M','N','CENTRO','CONCORDIA','SC','124242241217161731448834592122610137092',19275,'1000',38.22,1,3,NULL),(15,2059045,'1986-07-31 00:00:00',2,1,12,2003,'F','N','SERTÃO DO MARUIM','SAO JOSE','SC','124241241216473532424311185124610167157',6367,'1022',58.32,1,3,NULL),(15,2059053,'1989-02-01 00:00:00',2,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215123731489813592112231064075',16209,'270',43.04,1,3,NULL),(15,2059061,'1990-03-23 00:00:00',4,1,11,2007,'F','N','SANTA TEREZINHA','SAO PAULO','SP','125252251217151411468633575122610121077',2587,'9998',67.35,1,3,NULL),(15,2059070,'1989-08-28 00:00:00',4,8,12,2006,'M','N','VILA LENZI','JARAGUA DO SUL','SC','124242241215372441448814574122140644032',9912,'422',52.07,1,3,NULL),(15,2059088,'1985-08-28 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241116135431146543235124231036142',5726,'521',59.62,1,2,1),(15,2059096,'1989-01-22 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217373431489814575124130663092',1363,'491',71.81,1,3,NULL),(15,2059100,'1987-02-13 00:00:00',4,1,12,2004,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215473431379913375122133238117',8209,'499',54.99,1,3,NULL),(15,2059118,'1991-07-18 00:00:00',2,9,11,2007,'M','N','CENTRO','SAO JOAQUIM','SC','124242241214161431323634575112610147077',18664,'721',39.22,1,3,NULL),(15,2059126,'1991-11-20 00:00:00',4,1,12,2008,'M','S','CAMPECHE','FLORIANOPOLIS','SC','124242241215111431458933572122610122093',NULL,'1050',54.06,1,3,NULL),(15,2059134,'1986-07-01 00:00:00',4,1,4,2004,'F','N','CENTRO','SAO JOSE','SC','124242241111273721446312141122610124143',8038,'739',55.30,1,3,NULL),(15,2059142,'1990-05-04 00:00:00',4,8,11,2007,'F','N','ATIRADORES','JOINVILLE','SC','124242241215471431449911571125610124182',14819,'486',44.99,1,3,NULL),(15,2059150,'1990-05-13 00:00:00',4,1,11,2007,'F','N','BARRACÃO','BENTO GONCALVES','RS','120203201217111431449936295124610124072',9463,'9998',52.84,1,3,NULL),(15,2059169,'1988-05-21 00:00:00',4,1,12,2006,'M','N','FORQUILHINHAS','SAO JOSE','SC','124244241117152441336333575124233237042',9409,'306',52.93,1,3,NULL),(15,2059177,'1989-07-07 00:00:00',4,1,12,2006,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215473711589512275124230264182',2601,'491',67.32,1,3,NULL),(15,2059185,'1990-10-09 00:00:00',4,1,12,2007,'M','N','BOA ESPERANÇA','CUIABA','MT','111114111111171412638834571324610167142',13431,'9998',46.98,4,3,NULL),(15,2059193,'1990-09-19 00:00:00',4,1,12,2007,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124242241217212431469613172114610127057',6044,'724',58.98,1,3,NULL),(15,2059207,'1990-11-01 00:00:00',4,4,11,2007,'M','N','PASSO DOS FORTES','CHAPECO','SC','124244241211151431256723271124610164012',1029,'185',73.37,1,3,NULL),(15,2059215,'1988-02-24 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215273751437633345124610164177',11577,'1098',49.59,1,3,NULL),(15,2059223,'1983-04-04 00:00:00',4,1,11,2000,'F','N','PARQUE PINHEIROS','TABOAO DA SERRA','SP','125252251236471441456714371124143222147',13180,'9998',47.36,4,3,NULL),(15,2059231,'1990-11-28 00:00:00',4,8,12,2007,'F','N','BOQUEIRÃO','CURITIBA','PR','116162161215471431444411574122610136182',8437,'9998',54.64,1,3,NULL),(15,2059240,'1987-08-03 00:00:00',4,3,12,2005,'M','N','JD EULINA','CAMPINAS','SP','125252251216571431449931571122610162042',1274,'9998',72.14,1,3,NULL),(15,2059258,'1988-03-21 00:00:00',2,1,12,2005,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241137371731646419575124610138182',21328,'733',34.13,1,2,1),(15,2059266,'1989-11-04 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217112431487833575122610137062',68,'262',82.47,1,3,NULL),(15,2059274,'1989-02-16 00:00:00',4,1,11,2007,'M','N','CENTRO','APUCARANA','PR','116161168137171731357711344122610134055',NULL,'9998',22.97,4,3,NULL),(15,2059282,'1987-02-08 00:00:00',4,1,12,2004,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241217474451456613574124610162075',109,'884',81.42,1,3,NULL),(15,2059290,'1984-02-02 00:00:00',4,1,11,2001,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124131131211155431649811175123221464182',1504,'9998',71.18,1,3,NULL),(15,2059304,'1991-02-20 00:00:00',4,4,12,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124244241215111432474331575112610114044',NULL,'752',33.21,1,3,NULL),(15,2059312,'1990-05-08 00:00:00',2,6,12,2007,'F','N','CENTRO','PALMITINHO','RS','120201201217151431358833475124610144073',NULL,'9998',0.00,1,3,NULL),(15,2059320,'1990-02-24 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241215122431486614572122610132142',2275,'491',68.33,1,3,NULL),(15,2059339,'1989-02-13 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431469911572124610144152',517,'9997',76.64,1,3,NULL),(15,2059347,'1989-03-30 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215573431558832572124610133077',189,'270',80.11,1,3,NULL),(15,2059355,'1987-09-22 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241211312411458833575125130262186',5797,'270',59.48,1,3,NULL),(15,2059363,'1985-06-27 00:00:00',4,1,12,2002,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124202201217371421126844442114610168187',17855,'9998',40.58,1,3,NULL),(15,2059371,'1989-02-20 00:00:00',4,1,12,2006,'F','N','SETOR SUDOESTE','CRUZEIRO','DF','107072071214371431478813575122610162042',3032,'9998',66.03,1,3,NULL),(15,2059380,'1989-05-23 00:00:00',4,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242241215373431226928592324610144187',6389,'266',58.27,1,3,NULL),(15,2059398,'1989-11-25 00:00:00',2,1,12,2006,'F','N','JARDIM TROPICAL','DOURADOS','MS','112122121211471431467916572122610122017',NULL,'9998',0.00,1,3,NULL),(15,2059401,'1990-07-03 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','112122121217371431226324245121610167052',11866,'9998',49.15,4,3,NULL),(15,2059410,'1989-03-17 00:00:00',2,1,12,2006,'F','N','NORTE AGUAS CLARAS','TAGUATINGA','DF','107072071217472431366833575122610165022',7605,'9998',56.02,4,3,NULL),(15,2059428,'1990-02-26 00:00:00',4,8,12,2007,'F','N','TARUMÃ','CURITIBA','PR','116164161237471411345828372124610167077',NULL,'9998',0.00,4,3,NULL),(15,2059436,'1990-10-31 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215272431477831592122610144187',3820,'226',63.93,1,3,NULL),(15,2059444,'1991-05-31 00:00:00',4,1,11,2008,'F','S','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241215111431468923572124610147015',NULL,'262',46.99,1,3,NULL),(15,2059452,'1988-08-31 00:00:00',2,1,12,2006,'M','N','PONTE DE IMARUIM','PALHOCA','SC','124242241215372431456632595121610164092',4701,'1010',61.75,1,3,NULL),(15,2059460,'1989-07-25 00:00:00',4,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215111431455611375124610167122',7738,'1022',55.80,1,3,NULL),(15,2059487,'1990-08-15 00:00:00',4,1,11,2007,'M','N','JARDIM MARAJOARA','SAO PAULO','SP','125252258217371231467934575112610137117',16497,'9998',42.60,1,3,NULL),(15,2059495,'1990-11-30 00:00:00',4,1,12,2007,'M','N','CENTRO','MAFRA','SC','124243241216121531469931575121610117042',NULL,'541',0.00,1,3,NULL),(15,2059509,'1979-04-06 00:00:00',2,1,12,1996,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','224161162116141211232253435124333266097',NULL,'9998',0.00,1,2,1),(15,2059517,'1990-07-23 00:00:00',4,1,12,2007,'F','N','CENTRO','MARIALVA','PR','116162161216111431568834572122610146147',13049,'9998',47.52,1,3,NULL),(15,2059525,'1983-10-08 00:00:00',2,1,12,2001,'M','N','BARREIROS','SAO JOSE','SC','124113111415111441466833345124230214121',13849,'9998',46.39,1,3,NULL),(15,2059533,'1987-06-16 00:00:00',4,8,11,2004,'M','N','AMERICA','JOINVILLE','SC','124242241215372731468811492122143264032',20191,'486',36.44,1,3,NULL),(15,2059541,'1987-11-03 00:00:00',2,1,12,2004,'F','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124242241216374431464913572124231221077',3567,'988',64.56,1,3,NULL),(15,2059550,'1989-10-09 00:00:00',4,1,12,2006,'M','N','ARIRIÚ DA FORMIGA','PALHOCA','SC','124242241115371441348612374124610114012',486,'306',76.92,1,3,NULL),(15,2059568,'1989-10-03 00:00:00',4,1,11,2006,'F','N','VILA MARIANA','SAO PAULO','SP','116162161237471431638831285225610161127',14154,'9998',45.96,4,3,NULL),(15,2059576,'1989-02-04 00:00:00',4,1,12,2006,'F','N','ÁGUA VERDE','JARAGUA DO SUL','SC','124242241215472431579912571114610163012',2224,'422',68.51,1,3,NULL),(15,2059584,'1990-10-01 00:00:00',4,7,11,2007,'M','N','SANTA TEREZA','VIDEIRA','SC','124244241215472431459936575125610127122',6342,'829',58.37,1,3,NULL),(15,2059592,'1988-04-02 00:00:00',2,9,12,2005,'F','N','CENTRO','CORREIA PINTO','SC','124241241147131451546634395122231036057',21889,'201',32.65,3,2,1),(15,2059606,'1990-02-28 00:00:00',4,8,12,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241217271531569932571112610128052',312,'457',78.61,1,3,NULL),(15,2059614,'1988-11-06 00:00:00',4,8,12,2006,'F','N','AGUA BRANCA','SAO FRANCISCO DO SUL','SC','124242246215371441446319582122610134097',10881,'1105',50.64,1,3,NULL),(15,2059630,'1988-09-24 00:00:00',2,1,12,2005,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124243241215473431456623572124610167147',4380,'270',62.52,1,3,NULL),(15,2059649,'1990-01-01 00:00:00',2,10,12,2007,'M','N','OFICINAS','TUBARAO','SC','124242241215111431648427575124610127057',19360,'809',38.08,1,3,NULL),(15,2059657,'1990-08-27 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215371431268711315124510167042',481,'1118',76.97,1,3,NULL),(15,2059665,'1987-04-27 00:00:00',4,1,12,2004,'M','N','CENTRO','PRESIDENTE PRUDENTE','SP','125252251217472711559933572122141464123',1093,'9998',73.06,1,3,NULL),(15,2059673,'1990-07-24 00:00:00',4,8,12,2007,'F','N','MARCO','BELEM','PA','114142141216111431347924175324610132072',NULL,'9998',0.00,4,3,NULL),(15,2059681,'1988-09-13 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215573231489913576122610164187',4789,'457',61.55,1,3,NULL),(15,2059690,'1990-03-27 00:00:00',2,9,12,2006,'F','N','CENTRO','BENTO GONCALVES','RS','120203201115472311437819191225610167057',19766,'9998',37.30,1,3,NULL),(15,2059703,'1988-12-15 00:00:00',4,1,12,2006,'F','N','BARÃO GERALDO','CAMPINAS','SP','125252251215471441588831415112610164091',NULL,'9998',0.00,1,3,NULL),(15,2059720,'1990-06-09 00:00:00',4,4,12,2007,'M','N','CENTRO','CONCORDIA','SC','124241241216151431426923375124610134012',NULL,'1001',0.00,1,3,NULL),(15,2059738,'1990-06-25 00:00:00',4,4,12,2007,'F','N','CENTRO','FRANCISCO BELTRAO','PR','116162161215321431558931575122610166182',1841,'9998',69.80,1,3,NULL),(15,2059746,'1989-03-10 00:00:00',4,1,12,2006,'F','N','FLORESTA','SAO MIGUEL DO IGUACU','PR','116162161217472431659931574124610137071',146,'9998',80.74,1,3,NULL),(15,2059754,'1989-04-02 00:00:00',4,1,12,2006,'M','N','PARTENON','PORTO ALEGRE','RS','120204201117471231456413572124610137027',13588,'9998',46.76,1,3,NULL),(15,2059762,'1990-01-05 00:00:00',4,5,12,2007,'M','N','COMERCIÁRIO','CRICIUMA','SC','124242241215271431456933572112610127051',861,'210',74.30,1,3,NULL),(15,2059789,'1988-12-08 00:00:00',4,8,12,2006,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242247215472411488712375112610161182',1647,'9999',70.61,1,3,NULL),(15,2059797,'1987-08-25 00:00:00',2,1,12,2004,'M','N','FLORESTA','SAO JOSE','SC','124242241236372431458411445124130224183',11321,'738',49.97,1,3,NULL),(15,2059800,'1989-09-09 00:00:00',4,1,11,2006,'F','N','CENTRO','PASSO FUNDO','RS','120202201215471411438915352125610166182',NULL,'9998',0.00,4,3,NULL),(15,2059827,'1990-10-21 01:00:00',2,7,12,2007,'F','N','CENTRO','IOMERE','SC','124241241126161431436931142122610137142',21381,'368',34.02,1,3,NULL),(15,2059835,'1989-05-25 00:00:00',4,1,12,2006,'M','N','DAS NAÇÕES','TIMBO','SC','124242241215452431448824592124610124172',1901,'270',69.60,1,3,NULL),(15,2059843,'1990-10-30 00:00:00',4,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241115161731338623572214610168147',NULL,'295',23.97,1,2,1),(15,2059851,'1990-02-19 00:00:00',4,1,11,2007,'M','N','SORGATTO','CACADOR','SC','124242241212111431489714575112610117072',1909,'120',69.56,1,3,NULL),(15,2059878,'1981-07-17 00:00:00',4,1,12,1998,'F','N','CENTRO','FLORIANOPOLIS','SC','224242161416375431356654475124331816097',1947,'9998',69.45,1,3,NULL),(15,2059894,'1990-02-03 00:00:00',4,8,12,2007,'F','N','GLÓRIA','JOINVILLE','SC','124242241215111431428614242122610127092',10165,'1016',51.69,1,3,NULL),(15,2059916,'1989-09-02 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217472431589814572124610164052',22,'424',84.40,1,3,NULL),(15,2059924,'1987-12-27 00:00:00',2,1,12,2006,'M','N','FREGUESIA DO Ó','SAO PAULO','SP','125252251217421731448923395114610165117',NULL,'9998',0.00,1,3,NULL),(15,2059932,'1989-12-14 00:00:00',4,1,12,2007,'F','N','CENTRO','TIJUCAS','SC','124242241215111431556612325122610131077',21101,'948',34.65,1,3,NULL),(15,2059940,'1990-10-29 00:00:00',4,1,11,2007,'M','N','CENTRO','SAO JOSE','SC','124243241217112431549811575114610164112',3935,'270',63.63,1,3,NULL),(15,2059959,'1990-06-05 00:00:00',2,1,12,2007,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241117271431533511576124610138142',11085,'307',50.32,1,2,1),(15,2059967,'1990-05-28 00:00:00',2,1,12,2007,'M','N','CENTRO','LAGOA VERMELHA','RS','120201201216161431335473575125610127052',NULL,'9998',25.69,4,3,NULL),(15,2059975,'1989-04-13 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241132372431536624342124610137082',7057,'307',57.05,4,2,1),(15,2059983,'1990-04-28 00:00:00',4,1,11,2007,'F','N','JARDIM BOTÂNICO','SINOP','MT','111112111216271431479933575122610133142',9677,'9998',52.46,1,3,NULL),(15,2059991,'1989-09-24 00:00:00',4,1,12,2006,'F','N','COLONIA VINTE','TAQUARI','RS','120201201116131431326813472124610128092',NULL,'9998',24.33,1,3,NULL),(15,2060019,'1979-06-18 00:00:00',2,1,6,1999,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241246115145411333319385124133216057',12513,'306',48.27,1,2,1),(15,2060027,'1988-06-28 00:00:00',4,1,2,2007,'M','N','SÃO BERNARDO','BELO HORIZONTE','MG','113133136116151431333311315124241424147',719,'9998',75.22,4,1,2),(15,2060043,'1989-02-20 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241216372432229932392124230237182',1212,'491',72.41,1,3,NULL),(15,2060060,'1990-10-05 00:00:00',4,6,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215411431348832595112610166037',8073,'270',55.23,1,3,NULL),(15,2060078,'1989-01-23 00:00:00',4,5,12,2006,'M','N','CENTRO','CRICIUMA','SC','124242241215472331546312585115610132147',3504,'213',64.75,4,3,NULL),(15,2060086,'1989-04-20 00:00:00',2,1,12,2006,'F','N','CENTRO','CASCAVEL','PR','116162164215471441443632572122610164142',8677,'9998',54.21,1,3,NULL),(15,2060116,'1989-09-30 00:00:00',2,1,12,2006,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215472431446512345124610134143',10091,'988',51.79,1,3,NULL),(15,2060124,'1988-09-02 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473411548619571122610165052',2559,'270',67.44,4,3,NULL),(15,2060132,'1990-03-10 00:00:00',4,1,12,2007,'F','N','WERNER PLAAS','AMERICANA','SP','125251251216111431555514175122610137042',NULL,'9998',0.00,1,3,NULL),(15,2060140,'1989-10-03 00:00:00',4,2,12,2007,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241217152331369711575122610113052',5922,'909',59.21,1,3,NULL),(15,2060167,'1989-04-05 00:00:00',4,1,12,2006,'F','N','JARDIM BRASILIA','AMERICANA','SP','125252251217471231487832121112610124072',1845,'9998',69.80,4,3,NULL),(15,2060183,'1990-04-21 00:00:00',2,1,12,2007,'F','N','JARDIM COROADOS','ARAPONGAS','PR','116162161237121431456613274122610163147',2392,'9998',67.95,1,3,NULL),(15,2060191,'1989-11-15 00:00:00',4,5,12,2006,'F','N','SAO LUIZ','CRICIUMA','SC','124241241216272431467512585122610124077',8741,'920',54.11,2,1,2),(15,2060205,'1989-10-09 00:00:00',2,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215472431447812575122610123077',13626,'737',46.71,1,3,NULL),(15,2060213,'1988-12-01 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241115131441434464341124610148047',12614,'306',48.12,4,2,1),(15,2060221,'1989-11-06 00:00:00',4,8,12,2006,'F','N','CENTRO','ASTORGA','PR','116162161217471431433619176122610164097',3250,'9998',65.40,1,3,NULL),(15,2060230,'1989-11-01 00:00:00',2,1,11,2006,'F','N','KOBRASOL','SAO JOSE','SC','124202201212372411467619572124610162182',2619,'9998',67.26,1,3,NULL),(15,2060248,'1991-11-17 00:00:00',4,1,11,2008,'F','S','AGRONÔMICA','FLORIANOPOLIS','SC','124242248217111212466612572114610127072',NULL,'1022',44.64,1,3,NULL),(15,2060256,'1990-01-26 00:00:00',4,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161216121431468812572112610162142',NULL,'9998',0.00,1,3,NULL),(15,2060272,'1986-06-06 00:00:00',4,9,12,2003,'F','N','FREI ROGERIO','LAGES','SC','124242241215572431427814572122131364197',12053,'499',48.91,1,3,NULL),(15,2060280,'1990-03-18 00:00:00',4,1,12,2007,'M','N','JARDIM BETHANIA','SAO CARLOS','SP','125252251216121451479813575122610168182',20406,'9998',36.04,1,3,NULL),(15,2060299,'1989-05-30 00:00:00',2,1,12,2006,'F','N','CENTRO','SAO PEDRO DE ALCANTARA','SC','124241241116272751423623415124610133147',12779,'307',47.88,1,2,1),(15,2060302,'1990-11-23 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124244248215111331436619492124610117117',10563,'1022',51.08,1,3,NULL),(15,2060310,'1990-03-20 00:00:00',2,1,12,2007,'F','N','FUNDOS','BIGUACU','SC','124241241114131431426414145124610124147',NULL,'257',17.66,1,3,NULL),(15,2060329,'1990-08-22 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112731448932575122610163037',15650,'270',43.87,1,3,NULL),(15,2060337,'1984-07-29 00:00:00',2,8,12,2002,'M','N','GUANABARA','JOINVILLE','SC','124242241215472431566934292125131758112',3732,'459',64.12,4,3,NULL),(15,2060345,'1985-04-20 00:00:00',4,8,12,2002,'M','N','BUTANTÃ','SAO PAULO','SP','125092091216471411237649491114141432147',NULL,'9998',0.00,3,3,NULL),(15,2060361,'1990-04-07 00:00:00',4,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215112731459814595124610163197',5490,'270',60.07,1,3,NULL),(15,2060370,'1989-03-05 00:00:00',2,1,12,2006,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124243241115472431566833345124610132146',8300,'267',54.84,1,3,NULL),(15,2060388,'1990-06-19 00:00:00',4,4,11,2007,'F','N','CENTRO','BARRA DO BUGRES','MT','111112111217111431346824295122610135092',12336,'9998',48.52,1,3,NULL),(15,2060396,'1990-06-15 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215111431469933575122610168192',461,'737',77.15,1,3,NULL),(15,2060400,'1991-03-16 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431369619572122610112196',14105,'273',46.02,1,3,NULL),(15,2060426,'1988-06-12 00:00:00',4,9,12,2005,'M','N','SAGRADO C DE JESUS','LAGES','SC','124242241211473431549931571122610147057',1453,'497',71.45,1,3,NULL),(15,2060434,'1990-03-02 00:00:00',4,9,12,2007,'F','N','GUADALUPE','LAGES','SC','624243241216131731425533395122610124057',NULL,'515',21.50,1,3,NULL),(15,2060442,'1989-11-15 00:00:00',2,1,12,2006,'F','N','CANTA GALO','RIO DO SUL','SC','124242241215114411446411575124610122012',8177,'991',55.05,1,3,NULL),(15,2060477,'1990-05-30 00:00:00',2,1,12,2007,'M','N','HIGIENÓPOLIS','SANTA CRUZ DO SUL','RS','120202201216271431558614575122610135097',5555,'9998',59.96,1,3,NULL),(15,2060485,'1990-04-06 00:00:00',4,1,12,2007,'M','N','MORRO DA CRUZ','PATO BRANCO','PR','116162161216171731437934575122610117067',NULL,'9998',21.85,1,3,NULL),(15,2060493,'1961-06-22 00:00:00',2,1,12,1980,'M','N','CENTRO','FLORIANOPOLIS','SC','224244241221143411663341111132331066063',8297,'497',54.85,1,3,NULL),(15,2060507,'1990-08-18 00:00:00',4,4,12,2007,'F','N','CENTRO','SAO JOSE DO CEDRO','SC','124241241417161431449733575125610134177',21218,'740',34.39,1,3,NULL),(15,2060515,'1987-09-12 00:00:00',2,1,12,2005,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242241215133431426723371124610134147',17361,'944',41.30,1,3,NULL),(15,2060523,'1989-09-21 00:00:00',4,1,11,2007,'M','N','JARDIM GLÓRIA','AMERICANA','SP','125252251217371431443619175122610167042',NULL,'9998',0.00,1,3,NULL),(15,2060540,'1990-08-10 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215371411438832575122610166172',11847,'1038',49.18,1,3,NULL),(15,2060558,'1991-04-18 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431269923572112610136162',NULL,'270',38.99,1,3,NULL),(15,2060566,'1989-09-16 00:00:00',4,1,12,2006,'F','N','ALTO BIGUAÇU','BIGUACU','SC','124241241117231431543315252124232627077',20526,'21',35.84,1,2,1),(15,2060574,'1990-07-24 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANOPOLIS','SC','124242248215111431238923575122613244016',NULL,'270',30.12,1,3,NULL),(15,2060582,'1987-03-09 00:00:00',2,1,12,2004,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241315135431527714294234133235022',5559,'956',59.95,1,3,NULL),(15,2060590,'1987-08-27 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124252251217472431136831576114143256192',2220,'9998',68.52,1,3,NULL),(15,2060604,'1990-04-05 00:00:00',2,1,12,2007,'F','N','GONZAGA','SANTOS','SP','125252251116471431327714115124610166092',16374,'9998',42.79,1,3,NULL),(15,2060612,'1990-09-26 00:00:00',4,1,11,2007,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241215272331378833575124610165177',608,'270',76.01,1,3,NULL),(15,2060620,'1989-07-14 00:00:00',2,1,11,2006,'F','N','PASSA VINTE','PALHOCA','SC','124242241215272431535923372122610167052',7645,'1011',55.95,1,3,NULL),(15,2060639,'1989-10-31 00:00:00',2,1,11,2007,'F','N','PICADAS DO NORTE','SAO JOSE','SC','124244241217271431438713345124610121147',7142,'1074',56.89,1,3,NULL),(15,2060655,'1989-02-07 00:00:00',2,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215132431333923342113610127057',17133,'737',41.67,1,3,NULL),(15,2060663,'1989-02-03 00:00:00',4,1,12,2006,'F','N','JARDIM SOBRADINHO','ARARAS','SP','125252251217471441348735174122610137077',11,'9998',85.61,1,3,NULL),(15,2060680,'1989-02-22 00:00:00',4,1,12,2006,'F','N','BSQUE DOS EUCALIPTOS','SAO JOSE DOS CAMPOS','SP','125251251214371431578814375124610124047',4228,'9998',62.84,1,3,NULL),(15,2060698,'1989-07-25 00:00:00',4,1,10,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242241215151421448613572114610127042',2549,'262',67.47,1,3,NULL),(15,2060701,'1989-05-10 00:00:00',2,3,12,2006,'F','N','SANTA CANDIDA','CURITIBA','PR','116164161216472411658924291324610154147',NULL,'9998',0.00,1,3,NULL),(15,2060710,'1985-10-28 00:00:00',2,1,8,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242247235373431435829482124131326097',15459,'1003',44.17,1,3,NULL),(15,2060736,'1984-10-16 00:00:00',4,5,7,2005,'M','N','SAO SIMAO','CRICIUMA','SC','124246246615371441536317445124610168171',9725,'230',52.39,1,3,NULL),(15,2060744,'1989-03-09 00:00:00',2,9,12,2006,'F','N','JARDIM GLÓRIA','BENTO GONCALVES','RS','120201201215421431446412141122610137147',4195,'9998',62.92,1,3,NULL),(15,2060752,'1989-10-04 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','107072071217151431289869335114610167045',9381,'9998',52.97,1,3,NULL),(15,2060760,'1990-03-19 00:00:00',4,1,12,2007,'M','N','MONTE CASTELO','SAO LUIS','MA','110252251235211431468832575122610162042',NULL,'9998',0.00,1,3,NULL),(15,2060779,'1988-10-25 00:00:00',4,1,12,2005,'F','N','CENTRO','CARAGUATATUBA','SP','125252251216471131369823245122143247053',NULL,'9998',43.93,1,3,NULL),(15,2060787,'1986-12-28 00:00:00',4,1,12,2005,'F','N','BOM VIVER','BIGUACU','SC','124241241127473121455311445114610137144',20423,'66',36.01,4,3,NULL),(15,2060795,'1990-10-05 00:00:00',4,8,11,2007,'M','N','SAO PEDRO','SAO JOSE DO RIO PRETO','SP','125252251216111231358814575112610114052',2920,'9998',66.39,1,3,NULL),(15,2060809,'1990-12-08 00:00:00',4,7,11,2007,'F','N','FREI BRUNO','JOACABA','SC','124242241215131432438813315114610115076',NULL,'446',24.94,1,3,NULL),(15,2060817,'1990-11-22 00:00:00',2,8,12,2007,'F','N','ARISTOCRATA','SAO JOSE DOS PINHAIS','PR','116243161216471431343923474144610167057',16457,'9998',42.66,1,3,NULL),(15,2060825,'1989-08-15 00:00:00',2,1,12,2006,'F','N','ASA SUL','BRASILIA','DF','107073078411372741448413191124610167187',12410,'9998',48.42,1,3,NULL),(15,2060841,'1989-11-04 00:00:00',2,10,12,2006,'F','N','ILHOTINHA','CAPIVARI DE BAIXO','SC','124241241117431411526513581124610122077',16850,'158',42.08,1,2,1),(15,2060850,'1988-10-28 00:00:00',2,1,12,2007,'M','N','PARQUE SANTO ANTONIO','SUMARE','SP','125251251315371431642823571124610164147',14404,'9998',45.57,1,3,NULL),(15,2060876,'1989-04-03 00:00:00',4,1,12,2006,'M','N','JARDIM AMÉRICA','SANTA BARBARA D OESTE','SP','125254251215471231457812571112610164044',4150,'9998',63.06,1,3,NULL),(15,2060884,'1990-06-11 00:00:00',2,5,12,2007,'F','N','NOVA ITÁLIA','URUSSANGA','SC','124241248215472451343623392122610134192',4598,'820',62.00,1,3,NULL),(15,2060892,'1990-01-21 00:00:00',4,1,11,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124242241215112431679833595114610168195',1141,'270',72.86,1,3,NULL),(15,2060906,'1986-12-10 00:00:00',4,1,7,2005,'M','N','PLANALTO','CARLOS BARBOSA','RS','120241241117131451123344441124141432057',19461,'199',37.90,1,2,1),(15,2060914,'1990-11-06 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215271231358623572114610165147',10551,'1022',51.10,1,3,NULL),(15,2060922,'1989-02-24 00:00:00',4,8,12,2006,'F','N','CENTRO','GUARAMIRIM','SC','124242161216472431479811572122610163147',1061,'9998',73.18,1,3,NULL),(15,2060949,'1990-11-21 00:00:00',4,1,12,2007,'M','N','JARDIM EUROPA','BRAGANCA PAULISTA','SP','125252251215111431469914574122610124042',2291,'9998',68.27,1,3,NULL),(15,2060965,'1988-03-19 00:00:00',4,1,12,2005,'M','N','VL REGINA','GOIANIA','GO','109092091214571731566812241122610127037',1989,'9998',69.31,1,3,NULL),(15,2060973,'1987-04-04 00:00:00',4,8,12,2004,'M','N','JARDIM COLINA VERDE','GOIOERE','PR','116162161217573431589711575122610167052',3974,'9998',63.53,1,3,NULL),(15,2060981,'1990-07-27 00:00:00',4,2,12,2007,'F','N','GARCIA','BLUMENAU','SC','124242241217272751469934295122610143072',1990,'909',69.30,1,3,NULL),(15,2060990,'1989-02-22 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241117131411438614142124610133147',11544,'306',49.64,4,3,NULL),(15,2061015,'1989-11-23 00:00:00',4,8,12,2007,'F','N','GLÓRIA','JOINVILLE','SC','124244241215111731338733594122610127077',10520,'491',51.16,1,3,NULL),(15,2061023,'1990-02-04 00:00:00',4,1,12,2006,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124241241127371431334314346124610114147',19189,'728',38.36,1,2,1),(15,2061031,'1989-09-21 00:00:00',4,2,11,2007,'F','N','VILA NOVA','TROMBUDO CENTRAL','SC','124241245133131451356814393124610124092',22067,'659',32.04,1,2,1),(15,2061040,'1982-10-05 00:00:00',4,8,12,2001,'M','N','BOEHMERWALDT','JOINVILLE','SC','224241246116271431223344445123610122047',NULL,'485',0.00,1,2,1),(15,2061058,'1988-08-03 00:00:00',4,1,12,2005,'M','N','VILA IPIRANGA','MARINGA','PR','116162161215573431468613275121610124057',1198,'9998',72.49,1,3,NULL),(15,2061066,'1988-12-04 00:00:00',2,8,12,2006,'M','N','CENTRO','JOINVILLE','SC','124242246216273411349614495122231427042',6361,'494',58.33,1,3,NULL),(15,2061074,'1990-12-08 00:00:00',4,4,10,2007,'M','N','INDÚSTRIAL','SEARA','SC','124242241215111431364934572112610117043',NULL,'1047',22.50,1,3,NULL),(15,2061082,'1990-08-14 00:00:00',4,2,11,2007,'F','N','ASILO','BLUMENAU','SC','124242241215122431367819374122610147152',2429,'855',67.83,1,3,NULL),(15,2061112,'1990-08-04 00:00:00',2,9,12,2007,'F','N','BORGO','BENTO GONCALVES','RS','120204201115371442346414574124610134072',11293,'9998',50.02,1,3,NULL),(15,2061120,'1989-04-07 00:00:00',2,8,10,2007,'M','N','ATIRADORES','JOINVILLE','SC','124242241215111331469812375111610134033',18181,'491',40.01,1,3,NULL),(15,2061139,'1989-03-01 00:00:00',4,1,12,2006,'F','N','VILA BARRETO','MAIRINQUE','SP','125251251117471431346319385114610168147',NULL,'9998',23.90,1,3,NULL),(15,2061147,'1988-04-07 00:00:00',4,1,12,2005,'F','N','PARQUE INDUSTRIAL','SAO JOSE DOS CAMPOS','SP','125252253217571431567614372124610165092',8824,'9998',53.97,1,3,NULL),(15,2061155,'1989-09-28 00:00:00',4,8,11,2007,'F','N','ATIRADORES','JOINVILLE','SC','124254241216111431358614575124610166192',19853,'459',37.11,1,3,NULL),(15,2061163,'1989-09-20 00:00:00',4,1,12,2006,'F','N','SANTO ANTONIO','SAO ROQUE','SP','125251251216471231469714572112610168094',NULL,'9998',23.92,1,3,NULL),(15,2061180,'1989-07-14 00:00:00',4,1,12,2006,'F','N','SANTO ANTONIO','LONDRINA','PR','116162161217472431458832571124610162092',3880,'9998',63.79,1,3,NULL),(15,2061201,'1989-08-22 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241116151431338921572115610167187',6994,'267',57.17,1,2,1),(15,2061210,'1990-05-19 00:00:00',2,1,11,2007,'F','N','RESD SANTA HELENA','CACAPAVA','SP','125252251217121431469732575122610144072',19681,'9998',37.45,1,3,NULL),(15,2061228,'1985-12-12 00:00:00',4,1,12,2003,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241216554731448829395121231824057',6035,'270',59.00,1,3,NULL),(15,2061236,'1988-07-12 00:00:00',2,9,12,2005,'F','N','CENTENARIO','LAGES','SC','124241241136132431535511342115610125172',17250,'498',41.48,3,2,1),(15,2061244,'1990-05-14 00:00:00',4,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124241242117161431239913572321610167037',NULL,'143',18.78,1,2,1),(15,2061252,'1990-05-13 00:00:00',4,1,10,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241215111431537633574124610127092',4802,'270',61.51,1,3,NULL),(15,2061287,'1990-07-02 00:00:00',4,1,12,2007,'F','N','LAGO SUL','LAGO SUL','DF','107072071211111431469933392122610166142',NULL,'9998',0.00,1,3,NULL),(15,2061295,'1990-11-20 00:00:00',4,1,11,2007,'F','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124242241215111431489932575122610123042',3789,'270',63.99,1,3,NULL),(15,2061309,'1988-04-21 00:00:00',3,1,12,2005,'F','N','LIBERDADE','RESENDE','RJ','121212211216571451569814491122610165147',NULL,'9998',0.00,1,3,NULL),(15,2061317,'1990-03-14 00:00:00',4,2,10,2007,'F','N','SANTA RITA','BRUSQUE','SC','124243241215131431243823572114610164182',789,'981',74.78,1,3,NULL),(15,2061325,'1988-11-28 00:00:00',4,1,2,2007,'M','N','J MARIANA','CUIABA','MT','111112111216371441689912575122610167122',NULL,'9998',28.49,1,3,NULL),(15,2061341,'1989-08-27 00:00:00',4,4,12,2006,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241216152431369619595124231432157',NULL,'752',0.00,1,3,NULL),(15,2061350,'1986-05-28 00:00:00',4,1,12,2003,'F','N','JARDIM ESTORIL','BAURU','SP','125252251216573431358931572122610162147',139,'9998',80.81,1,3,NULL),(15,2061368,'1990-03-30 00:00:00',4,8,12,2007,'F','N','ITAUM','JOINVILLE','SC','124242241215151431456914572124610134142',NULL,'459',36.10,1,3,NULL),(15,2061376,'1989-10-01 00:00:00',4,1,12,2007,'M','N','IPIRANGA','SAO JOSE','SC','124243241117131431217728572124610167017',18209,'307',39.96,1,3,NULL),(15,2061384,'1988-11-30 00:00:00',4,6,12,2005,'F','N','CENTRO','CANOINHAS','SC','124241241416471431456819575125133228182',15803,'154',43.67,1,3,NULL),(15,2061392,'1990-07-14 00:00:00',2,1,12,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124212211217271731368733385124610167112',12016,'9998',48.97,1,3,NULL),(15,2061406,'1990-05-29 00:00:00',4,1,12,2007,'M','N','CENTRO','LEOBERTO LEAL','SC','124241241122161332427633572121610127047',21456,'533',33.83,1,2,1),(15,2061422,'1985-11-28 00:00:00',4,1,12,2003,'M','N','JARDIM BANDEIRANTES','SAO CARLOS','SP','125252251211472751579919391112142844187',1834,'9998',69.83,1,3,NULL),(15,2061430,'1989-11-03 00:00:00',2,1,11,2006,'F','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124243241111272431558613231124610167147',NULL,'288',32.22,1,3,NULL),(15,2061449,'1984-04-28 00:00:00',5,9,10,2003,'M','N','VILA NOVA','BENTO GONCALVES','RS','120201207126572411443319141324610164182',7846,'9999',55.61,1,3,NULL),(15,2061457,'1987-11-22 00:00:00',2,1,12,2004,'F','N','FORQUILHINHAS','SAO JOSE','SC','124243241216372411333319495114610137077',22089,'988',31.97,1,3,NULL),(15,2061465,'1989-11-11 00:00:00',4,1,4,2007,'M','N','SERRARIA','SAO JOSE','SC','124241241117151431348813341124610166197',10362,'739',51.41,1,2,1),(15,2061473,'1988-12-21 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217372431587934575122230233182',353,'262',78.01,1,3,NULL),(15,2061481,'1988-05-03 00:00:00',4,1,7,2006,'F','N','AREIAS','SAO JOSE','SC','124242241315273751546623392124610161057',5965,'303',59.14,4,3,NULL),(15,2061520,'1989-03-31 00:00:00',2,1,12,2006,'M','N','SÃO JOSÉ','FLORES DA CUNHA','RS','120201201116151431557811341122140447112',5099,'9998',60.91,1,2,1),(15,2061538,'1984-06-26 00:00:00',2,1,12,2002,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124244241315475111668713282114133262112',9822,'269',52.22,1,3,NULL),(15,2061554,'1990-07-06 00:00:00',4,1,12,2007,'F','N','PLANALTO','CAXIAS DO SUL','RS','120202206217141331236631291122610127077',10540,'9998',51.12,1,3,NULL),(15,2061562,'1988-11-25 00:00:00',2,1,12,2005,'M','N','JARDIM AMÉRICA','ASSIS CHATEAUBRIAND','PR','116161168317571731568923575322610167062',11560,'9998',49.62,4,3,NULL),(15,2061570,'1980-02-05 00:00:00',4,1,12,1996,'F','N','MONT SERRAT','PORTO ALEGRE','RS','120242241216372421233944445132343263092',5825,'270',59.42,1,3,NULL),(15,2061589,'1984-01-31 00:00:00',4,1,12,2001,'F','N','ITACURUBI','FLORIANOPOLIS','SC','224201201126371411226454145124142226157',6515,'9998',58.05,1,2,1),(15,2061597,'1990-03-14 00:00:00',4,3,12,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241215472231458913572115610164172',1199,'44',72.49,1,3,NULL),(15,2061600,'1986-05-17 00:00:00',4,1,12,2003,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241127273421456913345134610154057',12882,'274',47.75,1,2,1),(15,2061619,'1986-04-12 00:00:00',4,1,12,2003,'F','N','CITY RIBEIRÃO','RIBEIRAO PRETO','SP','125252251217572321557732572122610163152',14481,'9998',45.44,1,3,NULL),(15,2061627,'1988-10-16 01:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215154431438834472124610163142',2086,'270',69.01,1,3,NULL),(15,2061635,'1986-03-07 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241216374431248823445124122367067',9156,'262',53.34,1,3,NULL),(15,2061643,'1986-10-28 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241315572441369913472324610167075',5871,'951',59.31,1,3,NULL),(15,2061651,'1991-01-09 00:00:00',2,1,12,2008,'F','S','CENTRO','PALHOCA','SC','124243241215111431324167242322610114192',NULL,'989',45.57,1,3,NULL),(15,2061660,'1980-12-13 00:00:00',4,1,12,1999,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241132215312334639575114330124182',17104,'291',41.72,1,3,NULL),(15,2061678,'1985-09-20 00:00:00',2,3,12,2002,'F','N','BACACHERI','CURITIBA','PR','116162161231271431458819411124343264142',10056,'9998',51.84,1,3,NULL),(15,2061694,'1984-04-24 00:00:00',4,1,12,2002,'M','N','JABAQUARA','SAO PAULO','SP','125252256137472431668712332124321527047',1084,'9998',73.09,3,3,NULL),(15,2061708,'1988-10-30 00:00:00',5,1,12,2005,'F','N','VENDAVAL','BIGUACU','SC','124241241116142431433311345134610164182',20875,'65',35.13,1,3,NULL),(15,2061716,'1983-05-21 00:00:00',2,1,6,2000,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241247412574421244423445114610163142',13755,'9999',46.53,1,3,NULL),(15,2061724,'1986-11-06 00:00:00',2,1,11,2001,'M','N','UNIVERSITARIO','TIJUCAS','SC','124241241147131151436634245134130223087',NULL,'783',20.95,1,3,NULL),(15,2061732,'1989-06-14 00:00:00',2,1,12,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','624241241115372712366613375114610161017',9971,'267',51.98,1,2,1),(15,2061759,'1988-02-01 00:00:00',4,5,12,2005,'F','N','CAPÃO REDONDO','SAO PAULO','SP','125252251216271441536633584124610163017',7724,'9998',55.82,4,3,NULL),(15,2061767,'1985-09-12 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215473311466631245112132866041',17022,'9997',41.85,1,3,NULL),(15,2061791,'1983-02-01 00:00:00',4,10,12,2000,'M','N','PATRONATO','SANTA MARIA','RS','120201208116161431228844442122343212041',20013,'9998',36.79,1,3,NULL),(15,2061805,'1987-06-23 00:00:00',2,10,12,2004,'M','N','CENTRO','TUBARAO','SC','124242241217172411458713392112130367117',19049,'809',38.60,1,3,NULL),(15,2061813,'1989-01-13 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','113131131317131411426824575125610164197',2743,'9998',66.90,1,3,NULL),(15,2061821,'1990-01-19 00:00:00',2,8,12,2007,'F','N','VILA TESOURO','SAO JOSE DOS CAMPOS','SP','125251251215111331556414372224610144017',11832,'9998',49.21,1,3,NULL),(15,2061830,'1989-09-01 00:00:00',4,3,12,2006,'F','N','CENTRO','LARANJEIRAS DO SUL','PR','116162161216131431347812125112610166077',11984,'9998',49.01,4,3,NULL),(15,2061848,'1988-11-11 00:00:00',2,1,12,2005,'F','N','IPIRANGA','SAO JOSE','SC','124241241117373431438414372124610133157',12880,'307',47.75,1,3,NULL),(15,2061856,'1984-03-01 00:00:00',2,1,12,2001,'M','N','CENTRO','FLORIANOPOLIS','SC','624161168126374451636579195144131468185',NULL,'9998',0.00,1,2,1),(15,2061864,'1991-01-22 00:00:00',2,1,12,2008,'M','S','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242248612111731346519575122610132047',NULL,'262',40.11,1,3,NULL),(15,2061872,'1989-11-18 00:00:00',4,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124244247435371731378633572144610168112',NULL,'1022',18.74,1,3,NULL),(15,2061880,'1981-04-23 00:00:00',2,1,6,2003,'F','N','JARDIM CIDADE','SAO JOSE','SC','624241247127134751333279395334222266097',NULL,'9999',0.00,1,3,NULL),(15,2061899,'1990-02-16 00:00:00',4,4,12,2007,'F','N','INTERIOR','IRACEMINHA','SC','124241241116131431323436172324610124147',17988,'377',40.33,1,2,1),(15,2061902,'1987-03-04 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANOPOLIS','SC','124243241316152411235639575225221764171',954,'32',73.75,1,3,NULL),(15,2061910,'1988-11-30 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243242135574431468831371124610132082',1741,'662',70.24,1,3,NULL),(15,2061929,'1977-05-02 00:00:00',2,1,12,1996,'F','N','TRINDADE','FLORIANOPOLIS','SC','124211211117271431443119482124610124147',NULL,'9998',28.62,1,3,NULL),(15,2061937,'1977-06-01 00:00:00',4,1,12,1995,'M','N','INGLESES','FLORIANOPOLIS','SC','624201207316575441335741115124121136177',2018,'9999',69.20,1,3,NULL),(15,2061945,'1990-10-30 00:00:00',4,4,12,2007,'F','N','INTERIOR','IRACEMINHA','SC','124241241116131431523336172324610124057',22133,'377',31.79,1,2,1),(15,2061970,'1986-09-19 00:00:00',2,1,12,2004,'F','N','JACAREPAGUÁ RJ','RIO DE JANEIRO','RJ','121212218217271421337614482124343224147',15630,'9998',43.90,1,3,NULL),(15,2061996,'1990-07-18 00:00:00',4,1,12,2007,'F','N','CENTRO','ITUPORANGA','SC','124242241226131431436631495122610127147',11330,'414',49.94,1,3,NULL),(15,2062011,'1989-09-24 00:00:00',2,1,11,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124244241116272431348934572114610137055',NULL,'298',28.35,1,3,NULL),(15,2062020,'1989-05-12 00:00:00',4,3,11,2006,'M','N','PRAIA DOS AMORES','BALNEARIO CAMBORIU','SC','124241248115272441333511315134610164157',3629,'129',64.41,1,2,1),(15,2062046,'1988-01-21 00:00:00',4,1,12,2005,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215573431468812472112610122142',90,'262',81.85,1,3,NULL),(15,2062054,'1985-02-08 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241134171431124429385214130267147',21293,'76',34.23,1,2,1),(15,2062062,'1990-10-18 00:00:00',2,4,12,2006,'M','N','CENTRO','SALTINHO','SC','124243241114272431469934295122610164172',2971,'682',66.24,1,3,NULL),(15,2062070,'1983-11-23 00:00:00',2,1,5,2002,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','224241241145133431246654442234610127142',4903,'739',61.30,1,3,NULL),(15,2062089,'1987-05-25 00:00:00',4,1,12,2005,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124252241212472731437818472124231867043',NULL,'883',0.00,1,3,NULL),(15,2062097,'1968-09-11 00:00:00',2,1,12,1987,'F','N','CARIANOS','FLORIANOPOLIS','SC','224251241136275731433352385114221323097',NULL,'293',0.00,1,2,1),(15,2062100,'1989-06-15 00:00:00',2,1,12,2006,'F','N','SERTÃO DO IMARUIM','SAO JOSE','SC','124241241334271431336633242124610165147',NULL,'944',23.57,4,3,NULL),(15,2062119,'1983-02-18 00:00:00',2,1,12,1999,'F','N','KOBRASOL','SAO JOSE','SC','124241241111375731634819395124230264147',10088,'732',51.80,1,2,1),(15,2062127,'1990-03-15 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241126131751231521345334610132077',NULL,'295',24.29,1,3,NULL),(15,2062135,'1985-02-02 00:00:00',4,4,12,2002,'F','N','CENTRO NORTE','DOIS VIZINHOS','PR','116161161136372411226414195124241416077',NULL,'9998',0.00,1,2,1),(15,2062143,'1986-12-12 00:00:00',2,1,12,2005,'M','N','KOBRASOL','SAO JOSE','SC','124242248216253731228529495124231365097',22169,'1036',31.63,1,3,NULL),(15,2062151,'1986-05-12 00:00:00',4,1,12,2003,'M','N','SERRINHA','FLORIANOPOLIS','SC','124252256236474431169812595123221467112',2527,'9998',67.55,1,3,NULL),(15,2062160,'1989-03-20 00:00:00',2,1,11,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242247211141711247733335114610147043',22122,'270',31.83,1,3,NULL),(15,2062178,'1987-08-16 00:00:00',4,1,12,2005,'M','N','VILA ADYANNA','SAO JOSE DOS CAMPOS','SP','125252256217471731457833595122610167082',6837,'9998',57.47,1,3,NULL),(15,2062186,'1989-07-06 00:00:00',2,1,11,2006,'F','N','CENTRO','CURITIBA','PR','116162161215571411448731592314610162016',3507,'9998',64.74,1,3,NULL),(15,2062194,'1990-02-20 00:00:00',4,8,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161216111431479914575122610123182',NULL,'9998',0.00,1,3,NULL),(15,2062208,'1990-05-07 00:00:00',4,1,12,2007,'M','N','PICADAS DO SUL','SAO JOSE','SC','124241241115151131436313245124610121177',18283,'733',39.81,1,3,NULL),(15,2062216,'1987-01-17 00:00:00',2,1,12,2003,'F','N','KOBRASOL','SAO JOSE','SC','124241241111162731634819395124610164147',17876,'732',40.54,1,2,1),(15,2062232,'1989-06-09 00:00:00',4,8,12,2006,'M','N','JARDIM AMÉRICA','MARILIA','SP','125252258246471431437834575112610124092',11755,'9998',49.32,1,3,NULL),(15,2062240,'1990-04-16 00:00:00',4,3,12,2007,'F','N','VILA SANTA ISABEL','SAO PAULO','SP','125252251215111531457631325124610164157',4232,'9998',62.84,1,3,NULL),(15,2062259,'1983-11-25 00:00:00',2,5,11,2001,'F','N','URUSSANGUINHA','ARARANGUA','SC','124242241237373431335511275124131464092',12588,'26',48.15,2,3,NULL),(15,2062283,'1989-03-10 00:00:00',4,1,11,2006,'F','N','PONTE DO IMARUÍ','PALHOCA','SC','124244241237272421578931575124120864185',3240,'270',65.43,1,3,NULL),(15,2062305,'1988-03-24 00:00:00',2,1,12,2006,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124243241115372731636611312124610122082',19977,'306',36.88,1,3,NULL),(15,2062313,'1991-05-15 00:00:00',4,1,12,2008,'F','S','CENTRO','PORTO UNIAO','SC','124242241211111431538812571112610117092',NULL,'633',50.78,1,3,NULL),(15,2062321,'1981-02-10 00:00:00',4,1,12,1998,'M','N','PANTANAL','FLORIANOPOLIS','SC','124084081212132752188821187125221468185',3399,'9998',65.01,1,3,NULL),(15,2062330,'1990-11-28 00:00:00',4,1,11,2007,'F','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124242241211111731324823572124610113073',21543,'1022',33.65,1,3,NULL),(15,2062348,'1987-09-20 00:00:00',4,1,12,2006,'M','N','JD ROMA','PIRASSUNUNGA','SP','125252251316371731348839395115610144117',NULL,'9998',28.85,1,3,NULL),(15,2062356,'1986-06-14 00:00:00',4,10,12,2003,'F','N','DEON','TUBARAO','SC','124252251215472441278733575122232464145',4041,'9998',63.36,3,3,NULL),(15,2062372,'1987-11-18 00:00:00',2,1,11,2006,'F','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124244241416132131423531495224610125143',21746,'1022',33.14,1,3,NULL),(15,2062380,'1987-05-15 00:00:00',4,1,11,2004,'M','N','CAMINHO DAS ÁRVORES','SALVADOR','BA','105052051217572411478813372112610164097',NULL,'9998',0.00,1,3,NULL),(15,2062402,'1990-03-19 00:00:00',2,2,11,2007,'F','N','MUNDO NOVO','JACOBINA','BA','105054051216131431424614572223610126077',18193,'9998',39.99,4,3,NULL),(15,2062410,'1986-10-13 00:00:00',4,1,11,2003,'F','N','MORRODACRUZ','FLORIANOPOLIS','SC','124242241215372431246921111122221621092',10310,'262',51.48,1,3,NULL),(15,2062429,'1988-12-03 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215372431466913575114610126072',4840,'1022',61.44,1,3,NULL),(15,2062437,'1990-09-11 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215422431468832575125610136142',13593,'270',46.75,1,3,NULL),(15,2062445,'1987-12-19 00:00:00',2,8,12,2004,'F','N','ATUBA','CURITIBA','PR','116161161116151431426612385334610138117',20355,'9998',36.14,1,2,1),(15,2062461,'1989-09-12 00:00:00',4,1,12,2006,'F','N','JOAQUINA','FLORIANOPOLIS','SC','124241241115471631331211211224610166147',15057,'307',44.72,1,2,1),(15,2062470,'1989-06-21 00:00:00',4,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124242241215472731328624172124610148095',14412,'723',45.56,1,3,NULL),(15,2062496,'1989-11-09 00:00:00',2,1,12,2006,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201241112131432336634342124610128017',18372,'288',39.69,1,2,1),(15,2062500,'1973-10-15 00:00:00',2,1,12,1990,'F','N','TAPERA','FLORIANOPOLIS','SC','124202205216141421326649492224340622097',8501,'9998',54.51,1,3,NULL),(15,2062526,'1991-01-22 00:00:00',2,3,12,2007,'F','N','REBOUÇAS','CURITIBA','PR','116122161214112411446614574124640112147',NULL,'9998',0.00,1,3,NULL),(15,2062534,'1984-09-22 00:00:00',4,1,11,2002,'F','N','TRINDADE','FLORIANOPOLIS','SC','124202201214575431547622575124221562187',14622,'9998',45.24,1,3,NULL),(15,2062550,'1989-09-29 00:00:00',4,1,12,2007,'M','N','JARDIM ESTER','SAO PAULO','SP','125256251217111431557814395124610127057',21617,'9998',33.47,1,3,NULL),(15,2062577,'1989-04-06 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431479812485112610167182',11306,'270',50.00,3,3,NULL),(15,2062585,'1983-02-21 00:00:00',2,1,12,2007,'M','N','PANTANO DO SUL','FLORIANOPOLIS','SC','124244247447231711256829395123610168115',19059,'9997',38.58,1,3,NULL),(15,2062607,'1988-07-02 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241216272431469812592125121467072',1785,'87',70.01,1,3,NULL),(15,2062623,'1988-02-07 00:00:00',4,1,12,2005,'F','N','JARDIM ESTORIL','SAO JOSE DOS CAMPOS','SP','125254251217571431658614575122610163197',NULL,'9998',0.00,1,3,NULL),(15,2062631,'1989-06-12 00:00:00',2,5,11,2006,'M','N','COMERCIARIO','CRICIUMA','SC','124242241217373431359832375112610124062',2236,'226',68.46,1,3,NULL),(15,2062640,'1988-07-05 00:00:00',4,8,12,2006,'F','N','AMÉRICA','JOINVILLE','SC','124242241217372731548712596112130622187',11160,'461',50.22,1,3,NULL),(15,2062666,'1982-11-15 00:00:00',2,1,12,2001,'F','N','PONTE DO IMARUIM','PALHOCA','SC','624243241136133721433543132324120526147',9849,'592',52.18,1,3,NULL),(15,2062674,'1991-01-15 00:00:00',2,1,12,2007,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241127161731338923212121610127143',NULL,'13',24.67,1,2,1),(15,2062682,'1990-10-01 00:00:00',4,9,12,2007,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241336161411558751315122610147053',16437,'13',42.69,1,3,NULL),(15,2062690,'1988-03-01 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212153451469833492124221463182',1302,'270',72.06,1,3,NULL),(15,2062720,'1986-03-29 00:00:00',4,2,12,2003,'F','N','GUAIANASES','SAO PAULO','SP','125251251126371711624321282224610166097',19815,'9998',37.19,1,2,1),(15,2062747,'1986-06-06 00:00:00',4,6,12,2003,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215151411628734341124131966192',9560,'967',52.66,1,3,NULL),(15,2062755,'1990-06-15 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124244241415471231347923575114610167187',8254,'1022',54.92,1,3,NULL),(15,2062763,'1990-05-01 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215372431459613572124220727042',1133,'1022',72.88,1,3,NULL),(15,2062780,'1987-04-16 00:00:00',4,1,11,2004,'M','N','JARDIM LIMA','FRANCA','SP','125252251217372431268831315332141944042',8598,'9998',54.36,1,3,NULL),(15,2062810,'1987-07-22 00:00:00',4,1,12,2004,'M','N','CARMO','ARARAQUARA','SP','125252251215571731558812575122610137182',7480,'9998',56.27,1,3,NULL),(15,2062828,'1985-04-12 00:00:00',4,1,11,2002,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215373431348633395114610127055',7549,'272',56.12,1,3,NULL),(15,2062836,'1980-03-11 00:00:00',3,1,12,2000,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241247116134721428813145124322221185',17769,'9999',40.71,1,3,NULL),(15,2062844,'1990-06-23 00:00:00',4,5,12,2007,'F','N','BRASILIA','SAO LOURENCO DO OESTE','SC','124241241124131431335421241122610147147',NULL,'745',26.17,1,3,NULL),(15,2062852,'1989-09-28 00:00:00',4,3,11,2006,'M','N','CRISTO REI','CURITIBA','PR','116242241212472231289911472114610167052',NULL,'44',0.00,1,3,NULL),(15,2062887,'1989-12-23 00:00:00',4,1,12,2006,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241411312431336532241124610127051',NULL,'1022',21.84,1,3,NULL),(15,2062895,'1989-09-12 00:00:00',2,10,12,2006,'F','N','CENTRO','GLORINHA','RS','120161161117371451323615391224610164142',6357,'9998',58.34,1,3,NULL),(15,2062909,'1985-09-11 00:00:00',4,3,12,2002,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124162241215574431567819575125610142092',NULL,'44',0.00,1,3,NULL),(15,2062917,'1987-02-04 00:00:00',4,1,12,2004,'F','N','ROÇADO','SAO JOSE','SC','124241241217344741448913192134610127117',11006,'1076',50.46,1,3,NULL),(15,2062925,'1983-04-27 00:00:00',4,1,12,2000,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241215273721153374445122323264117',2065,'515',69.05,1,3,NULL),(15,2062933,'1989-02-15 00:00:00',2,1,12,2006,'F','N','CENTRO','LONDRINA','PR','116162161216472411448823572122610124142',13989,'9998',46.16,4,3,NULL),(15,2062941,'1990-02-17 00:00:00',4,1,12,2007,'M','N','ORFAS','PONTA GROSSA','PR','116162161215151431369939475121610167182',4050,'9998',63.34,1,3,NULL),(15,2062950,'1978-12-06 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124131131121332111333313242134610117041',15218,'9998',44.51,4,2,1),(15,2062968,'1987-03-31 00:00:00',4,1,12,2004,'M','N','SÃO PEDRO','GUABIRUBA','SC','124241241126131751345334342323610135147',22284,'112',31.11,1,2,1),(15,2062976,'1991-03-25 00:00:00',4,1,12,2008,'M','S','TRINDADE','FLORIANOPOLIS','SC','124242241217111431534411575124610162047',NULL,'270',47.65,1,3,NULL),(15,2062984,'1990-01-13 00:00:00',4,3,12,2007,'M','N','OSWALDO CRUZ','PALOTINA','PR','116162161217471431566614574324610166187',NULL,'9998',0.00,1,3,NULL),(15,2062992,'1983-07-17 00:00:00',2,1,7,2005,'M','N','SERRARIA','SAO JOSE','SC','124251248147431531443431312333610127041',NULL,'9997',22.10,1,2,1),(15,2063000,'1990-10-16 00:00:00',4,1,12,2007,'F','N','COSTA DA LAGOA','FLORIANOPOLIS','SC','124243241316111431446313435324610135143',20939,'269',34.98,1,3,NULL),(15,2063018,'1990-08-23 00:00:00',4,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241115131431366613382125610164192',11868,'405',49.15,1,3,NULL),(15,2063026,'1990-01-05 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215272431356614572112610166142',2914,'738',66.40,1,3,NULL),(15,2063034,'1990-11-25 00:00:00',4,2,11,2007,'M','N','VILA AGARI','APUCARANA','PR','116162161215111431538824575111610167182',15372,'9998',44.30,1,3,NULL),(15,2063042,'1987-05-24 00:00:00',2,1,12,2006,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124243247327272421424419395224610133147',NULL,'9999',18.66,1,3,NULL),(15,2063050,'1985-05-17 00:00:00',2,1,12,2002,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','624061061116135121226544142234142724187',NULL,'9998',24.96,1,3,NULL),(15,2063069,'1990-06-04 00:00:00',2,10,10,2007,'F','N','AEROPORTO','TUBARAO','SC','124242241217121431447632282122610162092',4078,'807',63.24,1,3,NULL),(15,2063077,'1990-12-25 00:00:00',2,3,12,2007,'F','N','JARDIM MAUÁ','NOVO HAMBURGO','RS','120203201216271711365923272122610127092',15573,'9998',44.01,1,3,NULL),(15,2063085,'1986-09-23 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124252241215373431488813571122221428182',1521,'262',71.11,1,3,NULL),(15,2063093,'1990-04-16 00:00:00',4,1,11,2007,'F','N','PETRÓPOLIS','LONDRINA','PR','116162161216111331458824574124610167097',7544,'9998',56.13,4,3,NULL),(15,2063107,'1989-11-14 00:00:00',2,1,12,2007,'M','N','SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC','124241241117371411679613572124610127032',1538,'267',71.04,1,2,1),(15,2063115,'1956-04-15 00:00:00',1,1,11,1976,'F','N','CENTRO','AGUAS MORNAS','SC','124241248126162411544449492122130866142',16948,'771',41.94,1,3,NULL),(15,2063131,'1988-06-27 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241214132431469834372124220724177',3524,'983',64.70,1,3,NULL),(15,2063158,'1989-01-27 00:00:00',2,8,12,2006,'M','N','VOLTA REDONDA','ARAQUARI','SC','124161242116371411436415395124610117042',NULL,'24',0.00,1,2,1),(15,2063166,'1989-08-19 00:00:00',2,1,12,2007,'M','N','BALNEARIO','FLORIANOPOLIS','SC','124242241215112511428633572124610117181',19954,'273',36.91,1,3,NULL),(15,2063174,'1988-01-06 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241112471431243323392124610167067',16622,'726',42.42,1,2,1),(15,2063182,'1990-11-14 00:00:00',2,1,12,2008,'F','S','CENTRO','PALHOCA','SC','124242241215121431436517175124610122142',NULL,'9997',33.40,1,3,NULL),(15,2063190,'1990-03-05 00:00:00',4,3,12,2007,'F','N','CENTRO','SANTA MARIA','RS','120202201217131441237949591324610125017',NULL,'9998',0.00,1,3,NULL),(15,2063204,'1989-10-25 00:00:00',4,4,12,2006,'M','N','ALVORADA','FRANCISCO BELTRAO','PR','116162161217472431459713375122610122013',16703,'9998',42.32,1,3,NULL),(15,2063212,'1989-08-27 00:00:00',4,1,11,2007,'M','N','JARDIM DALLAS','PALOTINA','PR','116162167437361431578834575122610167042',14159,'9999',45.95,1,3,NULL),(15,2063220,'1988-07-04 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241215473431436612571314610162147',2800,'389',66.74,1,3,NULL),(15,2063247,'1990-06-11 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241215111431436612571324610165117',4489,'270',62.28,1,3,NULL),(15,2063255,'1987-01-22 00:00:00',4,1,12,2003,'M','N','IPIRANGA','SAO JOSE','SC','124244241417152231586613575114221767142',3122,'738',65.79,1,3,NULL),(15,2063263,'1991-04-29 00:00:00',4,1,12,2007,'F','N','PONTE IMARUIM','PALHOCA','SC','124242241216111531349933575124610124077',8028,'1011',55.32,1,3,NULL),(15,2063271,'1986-09-29 00:00:00',2,1,12,2005,'F','N','FORQUILHAS','SAO JOSE','SC','124241248121372752623114241334610127182',NULL,'307',24.77,1,2,1),(15,2063280,'1990-08-19 00:00:00',2,1,11,2007,'M','N','CENTRO','SAO JOAQUIM','SC','124242244211221751189121186111510167072',7216,'1035',56.76,1,3,NULL),(15,2063298,'1973-06-21 00:00:00',2,1,11,1999,'M','N','CENTRO','FLORIANOPOLIS','SC','124111161121574411443149495122610135092',15330,'9999',44.36,4,2,1),(15,2063310,'1988-07-14 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241117142431359723241123610127082',8651,'9999',54.26,1,3,NULL),(15,2063328,'1991-09-27 00:00:00',4,1,12,2009,'F','S','JARDIM FLORESTA','SAO JOSE','SC','124242241212171431467914595122610134192',NULL,'266',40.49,1,3,NULL),(15,2063336,'1986-11-20 00:00:00',4,1,12,2004,'F','N','CENTRO','RIBEIRAO PRETO','SP','125252251215572431368832571122143112142',10679,'9998',50.90,1,3,NULL),(15,2063352,'1990-12-24 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215132411346819472124610134047',5394,'273',60.29,1,3,NULL),(15,2063360,'1988-06-23 00:00:00',2,4,7,2007,'F','N','YPIRANGA','ERECHIM','RS','120204207327251431546923575122610161177',NULL,'9998',13.96,1,3,NULL),(15,2063379,'1989-06-12 00:00:00',4,1,12,2006,'M','N','CACUPÉ','FLORIANOPOLIS','SC','124242241217121731488832572112610164045',3327,'951',65.19,1,3,NULL),(15,2063387,'1989-08-02 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124122121215473431368811475114610122032',3612,'9998',64.45,3,3,NULL),(15,2063395,'1990-11-15 00:00:00',2,4,12,2007,'M','N','JOÃO POTRICH','PONTE SERRADA','SC','124244241216371731423611292122610127052',21052,'1071',34.76,1,3,NULL),(15,2063417,'1987-06-22 00:00:00',2,1,12,2004,'F','N','CANGO','FRANCISCO BELTRAO','PR','116162161216471431456611374122142122142',NULL,'9998',0.00,1,3,NULL),(15,2063450,'1990-01-29 00:00:00',4,1,12,2006,'M','N','CENTRO','CONCORDIA','SC','124243241117472431434912572124610164042',8,'192',86.12,1,3,NULL),(15,2063468,'1990-12-21 00:00:00',4,4,12,2007,'F','N','LA SALLE','PATO BRANCO','PR','116162161215111411476831172324610125142',6287,'9998',58.48,1,3,NULL),(15,2063476,'1989-11-07 00:00:00',4,8,12,2006,'M','N','ÁGUA VERDE','CURITIBA','PR','116252251217411431579931475114610127042',4063,'9998',63.28,1,3,NULL),(15,2063484,'1990-10-03 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215131431438619575121610134127',12486,'259',48.32,1,3,NULL),(15,2063492,'1988-09-02 00:00:00',4,1,12,2005,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124242241215374211569732224124120636042',837,'262',74.45,1,3,NULL),(15,2063506,'1989-09-13 00:00:00',4,8,11,2007,'M','N','WERNER PLAAS','SANTA BARBARA D OESTE','SP','125252251216141731558614245121610167052',NULL,'9998',0.00,4,3,NULL),(15,2063514,'1990-08-27 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124242248234371431248639575122610127017',21902,'422',32.60,1,3,NULL),(15,2063522,'1991-07-09 00:00:00',4,1,12,2008,'F','S','BARREIROS','SAO JOSE','SC','124242241215111731426832575122610167077',NULL,'723',47.47,1,3,NULL),(15,2063530,'1990-01-06 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124162241236111321367912295122610137012',9636,'9997',52.52,1,3,NULL),(15,2063549,'1989-06-25 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124254241412472731456614572114610123147',6358,'273',58.34,1,3,NULL),(15,2063557,'1990-07-27 00:00:00',4,4,12,2007,'M','N','INTERIOR','ANCHIETA','SC','124241241114161431426316492224610127042',NULL,'16',23.81,1,2,1),(15,2063573,'1989-08-16 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241116371431466613575114610167047',NULL,'307',23.76,1,3,NULL),(15,2063581,'1982-08-14 00:00:00',4,1,12,1999,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124244241215275421458911482124321563072',1887,'752',69.65,1,3,NULL),(15,2063590,'1988-07-09 00:00:00',4,3,12,2005,'F','N','BATEL','CURITIBA','PR','116164161317471431468511472122610124187',NULL,'9998',0.00,1,3,NULL),(15,2063611,'1982-11-28 00:00:00',4,1,11,1999,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','224241241136132721228944342334131066197',NULL,'134',0.00,1,3,NULL),(15,2063620,'1991-09-13 00:00:00',4,1,12,2008,'F','S','COQUEIROS','FLORIANOPOLIS','SC','124242241217151532478929576114610122192',NULL,'262',52.86,1,3,NULL),(15,2063638,'1986-09-12 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216573331456823474124610147052',9447,'270',52.87,1,3,NULL),(15,2063654,'1987-03-21 00:00:00',2,1,12,2004,'M','N','CAMPINAS','SAO JOSE','SC','124242241216373531636611192123610122057',NULL,'1076',30.13,1,3,NULL),(15,2063662,'1987-05-26 00:00:00',2,5,12,2005,'M','N','CRUZEIRO DO SUL','CRICIUMA','SC','124243241216111711665312325122231442112',NULL,'213',25.03,1,3,NULL),(15,2063670,'1990-12-25 00:00:00',4,4,12,2007,'F','N','N SRA DE FATIMA','XANXERE','SC','124241241215111231426614572122610164147',13317,'836',47.15,1,3,NULL),(15,2063689,'1990-03-21 00:00:00',2,1,12,2007,'F','N','JARDIM BOTANICO','SINOP','MT','111112111216111231344439575121610162183',20806,'9998',35.27,1,3,NULL),(15,2063719,'1987-06-19 00:00:00',2,1,2,2005,'M','N','ARIRIU','PALHOCA','SC','124243247126372421347921285124610134047',21607,'9999',33.49,1,3,NULL),(15,2063727,'1989-07-12 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431258619572124131066042',2702,'266',67.02,1,3,NULL),(15,2063735,'1991-01-30 00:00:00',4,1,12,2007,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241115131731523631572324610137057',22187,'772',31.54,1,2,1),(15,2063743,'1991-01-15 00:00:00',4,3,12,2007,'F','N','JARDIM SOCIAL','CURITIBA','PR','116162161215121411346864572112610134113',NULL,'9998',0.00,1,3,NULL),(15,2063751,'1989-03-02 00:00:00',4,1,12,2006,'M','N','VALE VERDE','VALINHOS','SP','125252251217471431468519575112610164042',2015,'9998',69.22,4,3,NULL),(15,2063760,'1989-06-11 00:00:00',4,9,11,2006,'F','N','SAGRADO CORAÇAO DE J','LAGES','SC','124242241215271431358923275122610124077',8334,'499',54.80,1,3,NULL),(15,2063778,'1989-11-14 00:00:00',4,1,12,2007,'M','N','VILLA GIGLIO','ATIBAIA','SP','125253251237111411446632572122610127112',NULL,'9998',0.00,1,3,NULL),(15,2063786,'1990-09-23 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124244241215111411436911411122610163012',5857,'213',59.35,1,3,NULL),(15,2063794,'1959-11-15 00:00:00',2,1,12,2001,'M','N','AREIAS','SAO JOSE','SC','224241241122131421663243232144610165047',NULL,'734',33.56,4,3,NULL),(15,2063808,'1987-11-27 00:00:00',2,1,11,2004,'F','N','MOSSUNGUE','CURITIBA','PR','116162168217174451348619577124241543182',NULL,'9998',38.79,1,3,NULL),(15,2063816,'1990-06-05 00:00:00',4,1,11,2007,'M','N','PRAIA DOS INGLESES','FLORIANOPOLIS','SC','124241241117121432326621386324610135162',NULL,'307',25.35,1,3,NULL),(15,2063824,'1989-08-22 00:00:00',4,6,12,2006,'F','N','SÃO JOÃO','ITAJAI','SC','124242241215372431653632585124610142142',1118,'1026',72.94,1,3,NULL),(15,2063832,'1988-01-09 00:00:00',4,8,12,2005,'M','N','JARDIM AMÉRICA','TABOAO DA SERRA','SP','125251251217571431338818171244610167057',1694,'9998',70.40,3,3,NULL),(15,2063840,'1989-05-17 00:00:00',4,1,12,2006,'F','N','VILA ROSA','NOVO HAMBURGO','RS','120202201216371731478811575122610123127',13985,'9998',46.17,1,3,NULL),(15,2063859,'1990-04-25 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215272431469934575125610147073',2695,'262',67.04,1,3,NULL),(15,2063883,'1989-12-20 00:00:00',4,5,12,2006,'M','N','BOM FIM','PORTO ALEGRE','RS','120204201216471431448934575114610164047',5181,'9998',60.74,1,3,NULL),(15,2063891,'1990-04-09 00:00:00',4,1,11,2007,'F','N','JARDIM DAS AMÉRICAS','CUIABA','MT','111112111237111231338731592224610115097',16968,'9998',41.92,1,3,NULL),(15,2063905,'1989-08-08 00:00:00',2,1,12,2007,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241117471411446633574124610168057',10175,'307',51.67,1,2,1),(15,2063913,'1990-05-28 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241216371431336923432122610133077',15006,'724',44.78,1,3,NULL),(15,2063930,'1990-03-23 00:00:00',1,1,12,2008,'F','S','SANTANA','RIO DO SUL','SC','124242241211111431566411491122610163017',NULL,'654',47.79,1,3,NULL),(15,2063948,'1989-09-14 00:00:00',2,1,6,2007,'M','N','PÂNTANO DO SUL','FLORIANOPOLIS','SC','124241247315371431323619242324610128147',19747,'9999',37.34,1,3,NULL),(15,2063956,'1990-06-04 00:00:00',4,1,12,2007,'M','N','CHAMPAGNAT','CURITIBA','PR','116162161212111231384522222122610163142',NULL,'9998',0.00,1,3,NULL),(15,2063964,'1988-11-30 00:00:00',4,4,11,2005,'F','N','CENTRO','RIBEIRAO PRETO','SP','125201201216573431568813577124610122147',423,'9998',77.43,1,3,NULL),(15,2063972,'1989-12-17 00:00:00',4,1,12,2006,'M','N','FORQUILHAS','SAO JOSE','SC','124241241315372412436634577114231868176',2764,'737',66.84,4,3,NULL),(15,2063999,'1988-09-26 00:00:00',4,1,12,2005,'M','N','KOBRASOL','SAO JOSE','SC','124241241215374411457932376125610162085',8090,'1076',55.21,1,3,NULL),(15,2064006,'1988-07-13 00:00:00',4,1,12,2005,'F','N','JD TEREZA MARIA','ITAPECERICA DA SERRA','SP','125252251116571411437823271124141365072',2878,'9998',66.52,1,3,NULL),(15,2064014,'1990-03-25 00:00:00',4,1,12,2007,'F','N','VILA DOS LAVRADORES','BOTUCATU','SP','125252251216111431348931574114610122124',NULL,'9998',0.00,1,3,NULL),(15,2064022,'1990-01-05 00:00:00',4,8,12,2007,'M','N','CENTRO','SAO BENTO DO SUL','SC','124242241211111732488814575122610162117',10662,'1114',50.93,1,3,NULL),(15,2064030,'1984-07-07 00:00:00',4,1,12,2002,'M','N','LAGO SUL','LAGO SUL','DF','107072071217371431489831575122243227092',NULL,'9998',31.26,1,3,NULL),(15,2064049,'1988-04-15 00:00:00',4,9,11,2005,'F','N','CORAL','LAGES','SC','124242241216132431326611342232131524147',NULL,'497',0.00,1,3,NULL),(15,2064057,'1990-03-09 00:00:00',2,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124241241215112431437313472124610167057',9135,'737',53.40,1,3,NULL),(15,2064065,'1988-02-20 00:00:00',4,8,12,2005,'M','N','ALTO DA RUA XV','CURITIBA','PR','116162161216572431489811572112610132052',NULL,'9998',0.00,1,3,NULL),(15,2064073,'1989-04-15 00:00:00',2,1,12,2006,'M','N','SANTA TEREZA','VIDEIRA','SC','124244241215152421558612195324610147051',5194,'969',60.72,1,3,NULL),(15,2064081,'1981-04-29 00:00:00',4,1,12,1998,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431336679495124130265181',18545,'266',39.42,1,3,NULL),(15,2064090,'1990-10-30 00:00:00',4,7,12,2007,'M','N','CENTRO','MACHADINHO','RS','120201201116131431333633572321610121097',18414,'9998',39.62,1,2,1),(15,2064103,'1990-06-04 00:00:00',4,7,12,2007,'M','N','CENTRO','JOACABA','SC','124242161216121451488713575114610137187',NULL,'9998',0.00,1,3,NULL),(15,2064111,'1980-02-26 00:00:00',4,1,12,1997,'M','N','COQUEIROS','FLORIANOPOLIS','SC','624202201216471421236859485124340238167',7723,'9998',55.83,1,3,NULL),(15,2064120,'1989-01-09 00:00:00',4,1,12,2006,'M','N','RESIDENCIAL PRIMO','BOITUVA','SP','125253251115311731558831575121610144122',9915,'9998',52.07,1,3,NULL),(15,2064146,'1990-06-09 00:00:00',4,5,12,2007,'M','N','PIO X','CAXIAS DO SUL','RS','120203201214471411336712595124610116012',9588,'9998',52.61,1,3,NULL),(15,2064154,'1982-05-22 00:00:00',4,1,7,2004,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241247115371431464419435124610124043',4415,'9999',62.45,1,3,NULL),(15,2064162,'1989-05-18 00:00:00',4,9,11,2006,'M','N','CASCATINHA','CURITIBA','PR','116162161213453222334724373123422614172',9224,'9998',53.23,1,3,NULL),(15,2064170,'1989-01-06 00:00:00',2,1,12,2007,'F','N','CENTRO','NAO ME TOQUE','RS','120204208116111421534616575122610125142',NULL,'9998',0.00,1,3,NULL),(15,2064189,'1987-07-21 00:00:00',4,1,12,2006,'M','N','ÁGUAS CLARAS','TAGUATINGA','DF','107164168415371711268824575115610164122',NULL,'9998',33.71,1,3,NULL),(15,2064197,'1990-06-24 00:00:00',2,10,11,2007,'F','N','CENTRO','ORLEANS','SC','124242241214121431438832372222610122116',NULL,'820',25.18,1,3,NULL),(15,2064200,'1988-03-16 00:00:00',2,1,12,2006,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241127472431526734242324610136112',17534,'307',41.04,1,3,NULL),(15,2064219,'1958-01-14 00:00:00',4,1,11,2005,'M','N','ABRAAO','FLORIANOPOLIS','SC','224241247117133421561143232122610142047',NULL,'9999',2.08,1,2,1),(15,2064227,'1990-12-10 00:00:00',2,1,12,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242248217111431467613272124610127117',NULL,'270',23.63,1,3,NULL),(15,2064251,'1979-01-21 00:00:00',4,1,12,1996,'M','N','IPIRANGA','SAO JOSE','SC','224241245126474441236543135124222342097',21010,'307',34.83,1,2,1),(15,2064260,'1989-04-12 00:00:00',4,1,11,2006,'F','N','PETROPOLIS','LONDRINA','PR','116162161217472431578916571112610137182',9390,'9998',52.96,1,3,NULL),(15,2064278,'1989-09-26 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124092091236152741128824571124220464045',2009,'9998',69.25,4,3,NULL),(15,2064286,'1984-04-06 00:00:00',2,1,12,2005,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241247222372411533114281124610126047',NULL,'9999',22.87,1,3,NULL),(15,2064294,'1988-03-09 00:00:00',4,1,12,2006,'M','N','VILA MARIANA','SAO PAULO','SP','125252251217471511478813431121610134017',15612,'9998',43.94,1,3,NULL),(15,2064308,'1990-04-21 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215121431238831575122610138183',2142,'9997',68.83,1,3,NULL),(15,2064316,'1990-04-16 00:00:00',4,1,12,2007,'F','N','CENTRO','ERECHIM','RS','120201201216271441433434572112610137143',19972,'9998',36.88,1,3,NULL),(15,2064324,'1990-07-02 00:00:00',4,2,11,2007,'M','N','VELHA','BLUMENAU','SC','124241241116111451665933575124610168092',19767,'79',37.30,1,3,NULL),(15,2064332,'1990-12-02 00:00:00',2,4,11,2007,'M','N','IPANEMA','MONDAI','SC','124244241216111511456832575124610117052',20001,'752',36.83,1,3,NULL),(15,2064340,'1990-05-11 00:00:00',4,5,11,2007,'F','N','OPERARIA NOVA','CRICIUMA','SC','124242241215312431556612572112610163094',16496,'226',42.60,1,3,NULL),(15,2064359,'1990-05-22 00:00:00',4,8,12,2007,'M','N','BOSQUE DA SAÚDE','SAO PAULO','SP','125252251217111432479811275124610167042',NULL,'9998',0.00,1,3,NULL),(15,2064367,'1990-01-12 00:00:00',2,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215271431455932245122610131147',4621,'9997',61.96,1,3,NULL),(15,2064375,'1990-01-31 00:00:00',2,5,12,2007,'F','N','CENTRO','TURVO','SC','124241241115131411425634342122610145092',15877,'814',43.56,1,2,1),(15,2064383,'1987-08-31 00:00:00',2,10,12,2006,'M','N','SANTA AUGUSTA','CRICIUMA','SC','124243242137131711527624382323610118172',NULL,'690',19.72,2,1,2),(15,2064391,'1990-11-24 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241217371411579831575115610147042',2575,'262',67.39,1,3,NULL),(15,2064405,'1984-01-05 00:00:00',2,1,12,2001,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241127475731446531245124131422147',12924,'277',47.68,1,2,1),(15,2064413,'1989-10-10 00:00:00',4,1,12,2006,'M','N','JD ESPLANADA','SAO JOSE DOS CAMPOS','SP','125252251216471432288722275112610167042',2079,'9998',69.03,1,3,NULL),(15,2064421,'1989-04-09 00:00:00',4,1,11,2006,'M','N','ROÇADO','SAO JOSE','SC','124243241213372521348614385114610117047',7691,'1076',55.87,1,3,NULL),(15,2064448,'1989-10-21 00:00:00',4,1,11,2007,'M','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124072241215111431687611575124610127093',8675,'270',54.22,1,3,NULL),(15,2064456,'1990-03-23 00:00:00',4,1,12,2007,'M','N','PEDRA BRANCA','PALHOCA','SC','124242241212111431479913572122610127092',18195,'1077',39.98,1,3,NULL),(15,2064464,'1985-11-14 00:00:00',4,1,12,2003,'M','N','ASA NORTE','BRASILIA','DF','107072071215571431588831475122241727047',2611,'9998',67.29,4,3,NULL),(15,2064472,'1990-04-20 00:00:00',4,8,12,2007,'M','N','JARDIM SAO JORGE','PARANAVAI','PR','116164161211122311437723375222610164171',4793,'9998',61.54,1,3,NULL),(15,2064480,'1990-01-23 00:00:00',4,8,12,2007,'F','N','BOA VISTA','CURITIBA','PR','116162161217471431578314575122610167047',NULL,'9998',0.00,1,3,NULL),(15,2064499,'1987-07-17 00:00:00',4,1,11,2005,'F','N','PQ IMPERIAL','SAO PAULO','SP','125252251116471411556632285114610162187',NULL,'9998',0.00,1,3,NULL),(15,2064502,'1987-07-15 00:00:00',2,1,7,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124243247217152751258869386314610125187',NULL,'9999',41.06,1,3,NULL),(15,2064510,'1990-06-22 00:00:00',4,6,10,2007,'F','N','RIO PEQUENO','CAMBORIU','SC','124242241216371451658511315134610138057',12874,'44',47.75,1,3,NULL),(15,2064529,'1989-11-07 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215111431438814472124610123197',3891,'883',63.76,1,3,NULL),(15,2064537,'1989-03-17 00:00:00',5,6,12,2006,'F','N','CENTRO','ARROIO TRINTA','SC','124241241115471431353319572122610124141',13415,'853',47.00,1,2,1),(15,2064545,'1989-02-24 00:00:00',4,1,12,2006,'M','N','TORRES DE SAO JOSE','JUNDIAI','SP','125252251217371421448614211122610124052',9309,'9998',53.11,1,3,NULL),(15,2064553,'1990-09-21 00:00:00',4,8,11,2007,'M','N','BUCAREIN','JOINVILLE','SC','124242241216121431148922575121610112093',21309,'459',34.17,1,3,NULL),(15,2064561,'1989-06-25 00:00:00',2,1,12,2006,'M','N','CENTRO','ALTO BELA VISTA','SC','124241241125472431536412575124610125072',9318,'14',53.09,1,2,1),(15,2064570,'1990-03-21 00:00:00',4,1,11,2007,'F','N','PICADAS DOS SUL','SAO JOSE','SC','124242241215151731456613572112610124147',20017,'1074',36.78,1,3,NULL),(15,2064588,'1989-12-20 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241117162431439913474124610126122',8712,'965',54.15,1,2,1),(15,2064596,'1987-12-08 00:00:00',4,1,12,2004,'F','N','CENTRO','GRAO PARA','SC','124241241121373731424654292124610167097',7539,'330',56.15,1,2,1),(15,2064600,'1990-04-04 00:00:00',4,1,12,2007,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241212122431479831572122610143022',4436,'270',62.41,1,3,NULL),(15,2064618,'1988-08-17 00:00:00',4,2,12,2002,'M','N','FORTALEZA','BLUMENAU','SC','124241241116141411436634345123610164052',12953,'82',47.65,1,2,1),(15,2064634,'1990-04-01 00:00:00',4,1,12,2007,'F','N','MIRANTE DAS ESTRELAS','VINHEDO','SP','125252251217121431268812575124610122182',15582,'9998',44.00,1,3,NULL),(15,2064650,'1986-02-28 00:00:00',4,1,12,2003,'F','N','JARDIM AMERICA','SAO LEOPOLDO','RS','120201208415271441236622395125240263146',20868,'9998',35.16,4,3,NULL),(15,2064677,'1991-03-12 00:00:00',4,1,12,2007,'M','N','FLORESTA','PORTO ALEGRE','RS','120202201217151411547912575122610114147',6150,'9998',58.76,1,3,NULL),(15,2064685,'1989-08-05 00:00:00',4,1,11,2007,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124244241215121431488517392114610127065',17052,'270',41.81,1,3,NULL),(15,2064693,'1990-03-25 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215271431139923475112610127072',839,'270',74.44,1,3,NULL),(15,2064715,'1987-08-02 00:00:00',4,1,12,2005,'F','N','FUNCIONARIOS','BELO HORIZONTE','MG','113133131216371431345923575124610163092',15202,'9998',44.53,1,3,NULL),(15,2064740,'1989-10-14 00:00:00',2,1,12,2007,'F','N','SACO GRANDE II','FLORIANOPOLIS','SC','124242241215111411357923575124610132182',18413,'1022',39.63,1,3,NULL),(15,2064782,'1986-12-18 00:00:00',2,1,12,2003,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124282281217151411658813375324142467041',17146,'9998',41.65,4,3,NULL),(15,2064790,'1988-05-27 00:00:00',2,1,12,2005,'F','N','SANTA PAULA','PONTA GROSSA','PR','116161161136272441636831272124610122017',17070,'9998',41.77,2,3,NULL),(15,2064804,'1989-10-02 00:00:00',4,1,12,2007,'F','N','COND CHAMONIX I','ITATIBA','SP','125252251217111231479831415122610166182',8316,'9998',54.83,1,3,NULL),(15,2064820,'1989-11-10 00:00:00',4,2,12,2007,'M','N','VILA NOVA','BLUMENAU','SC','124242241216111441649313475124610127042',3434,'925',64.91,4,3,NULL),(15,2064839,'1990-05-10 00:00:00',4,1,12,2007,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241235112452566839472124610123186',3566,'270',64.56,1,3,NULL),(15,2064847,'1990-10-29 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124241241216112431336332572122610111147',8232,'737',54.96,1,3,NULL),(15,2064871,'1990-07-12 00:00:00',4,3,12,2007,'M','N','SANTA FELICIDADE','CURITIBA','PR','116243161216111431343639492121613237142',10577,'9998',51.06,1,3,NULL),(15,2064880,'1990-09-08 00:00:00',2,1,12,2006,'F','N','CENTRO','LAGES','SC','124242241215312431349914575124130441142',7426,'499',56.36,1,3,NULL),(15,2064898,'1988-12-22 00:00:00',2,1,12,2005,'F','N','AMBROSIO','GAROPABA','SC','124241241121141431435923341231610165097',NULL,'322',22.53,1,2,1),(15,2064901,'1977-01-23 00:00:00',4,1,11,1994,'F','N','SANTA FELICIDADE','CURITIBA','PR','116132131216371431668614445122442624093',8222,'9998',54.98,1,3,NULL),(15,2064928,'1990-06-25 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124244248215111731445623571124610127073',20767,'270',35.36,1,3,NULL),(15,2064936,'1990-02-16 00:00:00',2,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124243241337121431466614345122610137092',11653,'300',49.48,1,3,NULL),(15,2064944,'1989-05-11 00:00:00',4,1,11,2007,'M','N','BARREIROS','FLORIANOPOLIS','SC','124242241215121432244427275114610127012',NULL,'270',0.00,1,3,NULL),(15,2064952,'1992-01-16 00:00:00',4,3,12,2007,'F','N','NOSSA SRA APARECIDA','SANTA CECILIA','SC','124241244115112621446631572122610144182',13609,'9997',46.74,1,3,NULL),(15,2064960,'1989-03-19 00:00:00',4,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242241217472411478913575114610164193',14181,'737',45.90,4,3,NULL),(15,2064979,'1990-02-01 00:00:00',2,4,11,2007,'F','N','CENTRO','ERECHIM','RS','120202201216121411487612572122610147072',8923,'9998',53.79,1,3,NULL),(15,2064987,'1985-08-11 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241315135731338334375124122226147',5653,'1022',59.77,1,3,NULL),(15,2064995,'1990-07-12 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216112711536869575112610167055',2093,'270',68.99,1,3,NULL),(15,2065002,'1989-08-30 00:00:00',4,8,12,2006,'F','N','CENTRO','ITAPEVA','SP','125251251216472431446632572324610132042',13904,'9998',46.31,1,3,NULL),(15,2065010,'1989-01-22 00:00:00',4,8,12,2006,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215372431459934575122610122017',559,'491',76.35,1,3,NULL),(15,2065045,'1990-07-16 00:00:00',2,1,11,2007,'M','N','ROYAL PARK','OURINHOS','SP','125252251215111431385832572122610167064',16109,'9998',43.21,1,3,NULL),(15,2065053,'1990-07-21 00:00:00',4,1,12,2007,'F','N','JURERÊ','FLORIANOPOLIS','SC','124241241116151431424419275124610144195',16358,'307',42.81,1,2,1),(15,2065088,'1988-12-08 00:00:00',4,1,12,2006,'F','N','BELA VISTA I','SAO JOSE','SC','124244241216132431437513575122232536182',17331,'269',41.33,1,3,NULL),(15,2065096,'1990-04-22 00:00:00',4,9,11,2007,'F','N','CENTRO','CURITIBANOS','SC','124242241215121431359633335122610125077',9706,'881',52.41,1,3,NULL),(15,2065100,'1990-09-21 00:00:00',4,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215271431437614572122610124072',3932,'737',63.64,4,3,NULL),(15,2065118,'1989-05-09 00:00:00',2,1,12,2006,'F','N','SANTA MARIA','ANTONIO CARLOS','SC','124241241116372731433536575124610122152',18217,'21',39.95,1,2,1),(15,2065126,'1990-05-19 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124241241215121431424633572122610164147',12019,'737',48.96,1,3,NULL),(15,2065134,'1989-03-22 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215131731323614592112610163087',14864,'738',44.94,1,3,NULL),(15,2065142,'1989-01-21 00:00:00',4,4,12,2006,'F','N','CENTRO','PINHALZINHO','SC','124244241212373431568611495112242633147',11925,'185',49.07,1,3,NULL),(15,2065150,'1990-05-05 00:00:00',4,3,12,2007,'M','N','CENTRO','ITUPORANGA','SC','124241241221111421366412345122610137042',NULL,'414',0.00,1,3,NULL),(15,2065169,'1989-06-21 00:00:00',4,1,12,2006,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241216272431534412175112610131182',17303,'299',41.39,1,3,NULL),(15,2065177,'1989-12-16 00:00:00',4,1,12,2007,'F','N','JARDIM SAN MARINO','SAO JOSE DOS CAMPOS','SP','125252251215111731389634575122610136182',NULL,'9998',0.00,1,3,NULL),(15,2065185,'1984-06-21 00:00:00',2,3,12,2002,'M','N','BARRA','BALNEARIO CAMBORIU','SC','424241241121133411323344244344610127057',15188,'50',44.54,4,1,1),(15,2065193,'1989-12-05 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124244241215111431366432342122610133147',5884,'737',59.28,1,3,NULL),(15,2065207,'1990-03-16 00:00:00',4,3,12,2007,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215371441358912275122610168012',9866,'1042',52.16,1,3,NULL),(15,2065215,'1987-05-29 00:00:00',4,1,11,2004,'M','N','CENTRO','CRICIUMA','SC','124243241411471411226624392222610157062',20900,'920',35.09,1,3,NULL),(15,2065223,'1991-03-30 00:00:00',4,8,12,2008,'F','S','ANITA GARIBALDI','JOINVILLE','SC','124242241217111731488732572122610128197',NULL,'491',42.48,1,3,NULL),(15,2065258,'1989-01-23 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124242241215371431469812572124610131092',16237,'262',43.00,1,3,NULL),(15,2065266,'1990-07-31 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241215471531459931372314610144042',3772,'270',64.03,1,3,NULL),(15,2065274,'1986-09-24 00:00:00',2,9,12,2005,'F','N','CENTRO','BOM JARDIM DA SERRA','SC','124241244125171711525519392324133211187',NULL,'856',0.00,1,2,1),(15,2065282,'1990-01-19 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111431458614372124610137057',13343,'738',47.12,1,3,NULL),(15,2065290,'1989-10-12 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217372431589913575125131067016',1792,'270',69.97,1,3,NULL),(15,2065304,'1990-10-11 00:00:00',2,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116122121217111431658831572115610167017',NULL,'9998',0.00,4,3,NULL),(15,2065312,'1981-01-03 00:00:00',2,1,12,2002,'M','N','FORQUILHINHAS','SAO JOSE','SC','124243241426133721534423382124122337067',11046,'944',50.39,1,3,NULL),(15,2065320,'1991-06-25 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431236721575125610128092',NULL,'269',31.88,4,3,NULL),(15,2065339,'1990-04-02 00:00:00',4,1,12,2007,'M','N','ZONA SETE','MARINGA','PR','116162161216111411369923275121610168052',2040,'9998',69.13,1,3,NULL),(15,2065347,'1990-06-18 00:00:00',2,4,11,2007,'M','N','SUFIATTI','XANXERE','SC','124241241217211711447633391132610162147',16136,'1081',43.17,1,3,NULL),(15,2065355,'1987-06-17 00:00:00',2,1,12,2004,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242241216272451446614245134122367127',15761,'944',43.73,1,3,NULL),(15,2065363,'1978-12-09 00:00:00',2,1,12,1997,'F','N','ITACORUBI','FLORIANOPOLIS','SC','624243241127275421254652482122333267077',18017,'307',40.28,1,3,NULL),(15,2065371,'1980-06-28 00:00:00',2,1,11,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124161247422241731621144241124130726147',NULL,'489',21.66,1,3,NULL),(15,2065380,'1990-07-14 00:00:00',4,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215221431458613272122610127142',5105,'270',60.89,1,3,NULL),(15,2065398,'1990-03-10 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241217111451337824472224610147057',18543,'269',39.42,1,3,NULL),(15,2065401,'1988-10-17 00:00:00',4,1,12,2006,'M','N','ASA SUL','BRASILIA','DF','107072071215371431267924471122610127092',4155,'9998',63.05,1,3,NULL),(15,2065410,'1989-04-28 00:00:00',4,1,12,2006,'F','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124241241116271431556611385124610136017',NULL,'307',25.59,1,3,NULL),(15,2065428,'1991-03-14 00:00:00',4,4,10,2007,'F','N','CATARINA FONTANA','CONCORDIA','SC','124241241217111431436832175114610166097',NULL,'1047',0.00,1,3,NULL),(15,2065444,'1987-01-14 00:00:00',2,1,11,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243247337372431437623382124610128117',15602,'9999',43.96,2,1,2),(15,2065452,'1990-05-08 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215111231369813372122610132047',5969,'737',59.13,1,3,NULL),(15,2065479,'1984-07-16 00:00:00',4,1,12,2002,'F','N','VILA ITAPURA','CAMPINAS','SP','125251254116571431466839172122610164047',136,'9998',80.87,1,2,1),(15,2065487,'1990-10-16 00:00:00',4,8,12,2007,'F','N','SANTA CATARINA','JOINVILLE','SC','124243241335111431446339285124610134142',16278,'486',42.93,1,3,NULL),(15,2065495,'1989-06-16 00:00:00',4,1,12,2006,'M','N','IATE C AMERICANA','AMERICANA','SP','125252251215471431457832172242610167022',675,'9998',75.59,1,3,NULL),(15,2065509,'1991-09-15 00:00:00',4,8,11,2008,'F','S','SANTO ANTÔNIO','JOINVILLE','SC','124242244217151431229934592124610167112',NULL,'461',42.49,1,3,NULL),(15,2065517,'1989-10-19 00:00:00',4,1,12,2007,'M','N','VILA CONCEIÇÃO','SAO JOAO DA BOA VISTA','SP','125252251216111431489834345112610124052',14108,'9998',46.02,1,3,NULL),(15,2065533,'1988-11-21 00:00:00',4,1,12,2006,'M','N','TABOAO','SAO ROQUE','SP','125252251215471751488831575125610132122',1309,'9998',72.04,1,3,NULL),(15,2065568,'1989-06-12 00:00:00',4,1,1,2006,'M','N','VILA JONES','AMERICANA','SP','125252251217371431447732345122610127047',19780,'9998',37.28,1,3,NULL),(15,2065576,'1990-07-13 00:00:00',4,1,12,2007,'F','N','CENTRO','MARINGA','PR','116162161216121411368632375122610166192',4513,'9998',62.22,1,3,NULL),(15,2065584,'1990-06-05 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215121431468813474122610134185',639,'270',75.78,1,3,NULL),(15,2065592,'1989-12-28 00:00:00',4,1,12,2007,'M','N','CENTRO','MARINGA','PR','116162161216471531466836575122610157127',7406,'9998',56.40,1,3,NULL),(15,2065606,'1989-09-02 00:00:00',4,1,11,2006,'F','N','JARDIM PAULISTA','SAO PAULO','SP','125252251217371411478824575122610167014',NULL,'9998',0.00,1,3,NULL),(15,2065657,'1989-02-25 00:00:00',2,1,12,2006,'F','N','AGRONÔIMICA','FLORIANOPOLIS','SC','124241241116372411233623272124610161097',15393,'298',44.26,1,2,1),(15,2065665,'1988-04-13 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124244241217271442349923296224610146167',2713,'299',66.98,1,3,NULL),(15,2065673,'1988-10-29 00:00:00',4,1,12,2006,'M','N','PERDIZES','SAO PAULO','SP','125282281217271712578712595111610167117',NULL,'9998',0.00,1,3,NULL),(15,2065681,'1987-02-06 00:00:00',2,1,12,2004,'F','N','JARDIM CAXAMBU','JUNDIAI','SP','125256251137573441346824384124610123077',6504,'9998',58.07,1,3,NULL),(15,2065711,'1983-09-26 00:00:00',2,4,12,2003,'M','N','CENTRO','SAO JOSE DO CEDRO','SC','124241247126332732436833341122130254047',NULL,'9997',25.55,1,3,NULL),(15,2065720,'1988-09-22 00:00:00',2,8,12,2005,'F','N','CENTRO','JOINVILLE','SC','124241241136372711546414295122610155147',21831,'697',32.85,1,3,NULL),(15,2065746,'1988-04-23 00:00:00',4,1,11,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241217151431489713572122610143142',16911,'270',41.99,1,3,NULL),(15,2065754,'1990-05-21 00:00:00',2,1,10,2007,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241317131721232229347124610134142',15983,'300',43.41,1,3,NULL),(15,2065762,'1989-10-19 00:00:00',4,1,12,2006,'F','N','JARDIM ANGELICA','CRICIUMA','SC','124242241215472451269939592112610117067',2719,'226',66.95,1,3,NULL),(15,2065789,'1991-08-04 00:00:00',4,8,12,2007,'M','N','IRIRIÚ','JOINVILLE','SC','124244241215112431369613572124610117052',1395,'1016',71.66,4,3,NULL),(15,2065797,'1986-12-01 00:00:00',2,1,12,2004,'F','N','SAINT ETIENI','CAXIAS DO SUL','RS','120202201317131431538822275321242647117',19157,'9998',38.42,1,3,NULL),(15,2065800,'1988-08-23 00:00:00',4,1,12,2006,'M','N','CENTRO','VIDAL RAMOS','SC','124241241116151431537611285111610127157',NULL,'9997',23.94,1,2,1),(15,2065819,'1986-06-06 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124241281215272711268933315122333267112',3825,'9998',63.92,1,3,NULL),(15,2065827,'1986-10-01 00:00:00',4,1,12,2007,'F','N','SANTA CRUZ','RIBEIRAO PRETO','SP','125252257417571431566611572112610113082',NULL,'9998',21.90,1,3,NULL),(15,2065835,'1989-04-15 00:00:00',2,1,11,2006,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241116371431555817575125610127047',15486,'752',44.15,1,3,NULL),(15,2065843,'1988-10-19 00:00:00',4,1,12,2005,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241332133432444329492114610124017',19769,'262',37.29,1,3,NULL),(15,2065851,'1988-05-13 00:00:00',4,8,12,2005,'M','N','JARDIM CARMEL','COTIA','SP','125251251216571431466714575114610146097',NULL,'9998',0.00,1,3,NULL),(15,2065860,'1989-10-21 00:00:00',4,1,5,2007,'M','N','SANTA ROSA','CAPAO BONITO','SP','125252281417371431568913574112610127042',3047,'9998',66.00,1,3,NULL),(15,2065878,'1989-12-12 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215111431468834395122610124141',10047,'737',51.85,1,3,NULL),(15,2065886,'1989-09-11 00:00:00',4,1,12,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244241112371431446612572125610124047',14682,'267',45.17,1,3,NULL),(15,2065894,'1990-04-10 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244241437121421226624276224610124142',21365,'1022',34.06,1,3,NULL),(15,2065924,'1990-09-29 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124242241215111431358913285115610164177',6472,'9997',58.13,1,3,NULL),(15,2065932,'1989-10-14 00:00:00',4,1,12,2006,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241115472441433519316114610134077',16545,'733',42.52,1,2,1),(15,2065940,'1989-07-12 00:00:00',4,3,12,2006,'M','N','PETRÓPOLIS','PORTO ALEGRE','RS','120242241216472431269813572124610147042',1621,'9997',70.71,1,3,NULL),(15,2065959,'1965-01-15 00:00:00',2,1,12,1983,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','524201201116141411133343435334140222083',13335,'9998',47.14,1,2,1),(15,2065967,'1987-09-18 00:00:00',2,4,12,2004,'F','N','JARDIM ITALIA','CHAPECO','SC','124241241146471731448833535124130333172',NULL,'169',0.00,1,2,1),(15,2065975,'1989-11-05 00:00:00',4,9,11,2006,'F','N','SANTA CATARINA','CAXIAS DO SUL','RS','120202201217571742678831574142610166182',679,'9998',75.56,1,3,NULL),(15,2065983,'1992-02-17 00:00:00',4,1,12,2008,'F','S','PINGUIRITO','GAROPABA','SC','124241241136131411345611575121610141147',NULL,'322',41.30,1,3,NULL),(15,2065991,'1990-02-22 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431448913375112610126112',3798,'270',63.97,1,3,NULL),(15,2066009,'1989-01-19 00:00:00',4,1,6,2007,'M','N','IPANEMA','PORTO ALEGRE','RS','120202207217471731328839475124610137052',15172,'9998',44.57,1,3,NULL),(15,2066017,'1987-05-01 00:00:00',4,8,6,2005,'M','N','PARQUE MARIANE','SAO BENTO DO SUL','SC','124241241136151441436773312334131666147',NULL,'697',0.00,1,3,NULL),(15,2066025,'1990-05-31 00:00:00',4,7,11,2007,'M','N','CENTRO','CAPINZAL','SC','124244241215111131346632115122610162197',12140,'1093',48.81,1,3,NULL),(15,2066041,'1983-06-25 00:00:00',4,1,12,2000,'F','N','CAMINHO NOVO','PALHOCA','SC','124243241226133431543314342124610124187',NULL,'262',22.63,1,3,NULL),(15,2066050,'1985-01-21 00:00:00',2,1,6,2003,'F','N','CENTRO','CURITIBA','PR','116201207446471751233319572314241024187',NULL,'9998',0.00,3,3,NULL),(15,2066068,'1988-08-08 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124212211217273731437632372124231218111',13024,'9998',47.56,1,3,NULL),(15,2066076,'1989-08-27 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111231379813575121610138142',9578,'1038',52.63,1,3,NULL),(15,2066084,'1988-12-08 00:00:00',2,1,12,2005,'M','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124241241117473411536413575114610114192',1400,'288',71.65,4,2,1),(15,2066092,'1989-11-05 00:00:00',2,1,12,2006,'F','N','VILA ESPERANÇA','IMBITUBA','SC','124244241215472431459611574124610126142',2816,'807',66.71,1,3,NULL),(15,2066106,'1990-01-24 00:00:00',4,1,11,2007,'F','N','CENTRO','SAO JOSE','SC','124242241211111231458833572114610122113',4965,'270',61.16,1,3,NULL),(15,2066114,'1986-10-27 00:00:00',2,1,12,2004,'F','N','NOVA PETRÓPOLIS','SAO BERNARDO DO CAMPO','SP','125254251215571431666923576212610162072',3257,'9998',65.38,1,3,NULL),(15,2066122,'1984-07-19 00:00:00',4,1,12,2001,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124202201216573411476813441334141066047',3437,'9998',64.91,1,3,NULL),(15,2066130,'1990-08-20 00:00:00',4,1,11,2007,'M','N','CENTRO','NAVIRAI','MS','112122121217111451479931591125610167192',11681,'9998',49.43,1,3,NULL),(15,2066157,'1990-09-03 00:00:00',4,9,12,2007,'F','N','SÃO FRANCISCO','CURITIBANOS','SC','124242241216161431446613575122610164047',20134,'237',36.56,1,3,NULL),(15,2066165,'1988-07-02 00:00:00',4,1,6,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217272431448714575124610134057',8080,'269',55.21,1,3,NULL),(15,2066173,'1989-05-29 00:00:00',2,1,12,2006,'M','N','CENTRO','SAO MARTINHO','RS','120201201216471431436632575114610167057',10811,'9998',50.73,1,3,NULL),(15,2066190,'1990-03-06 00:00:00',4,9,12,2007,'M','N','DOS MUNICIPIOS','CACADOR','SC','124243241217271431343616172322610134077',17555,'119',41.01,1,3,NULL),(15,2066203,'1990-01-03 00:00:00',4,1,12,2007,'M','N','REAL PARQUE','SAO PAULO','SP','125252251217151431668812342122610147102',9362,'9998',53.03,1,3,NULL),(15,2066211,'1990-07-29 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241215111431446612593344610168171',NULL,'270',0.00,1,3,NULL),(15,2066238,'1990-01-29 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241215111431449732594125610133143',NULL,'270',0.00,1,3,NULL),(15,2066246,'1990-12-11 00:00:00',4,6,12,2007,'F','N','CENTRO','ITAJAI','SC','116242161216122411489931472122610135182',8147,'9998',55.10,1,3,NULL),(15,2066254,'1988-06-14 00:00:00',4,1,12,2005,'F','N','BOQUEIRÃO','SANTOS','SP','125252251216572431568712575124610165177',NULL,'9998',0.00,1,3,NULL),(15,2066289,'1977-08-20 00:00:00',2,1,12,1997,'M','N','CENTRO','FLORIANOPOLIS','SC','224242241212374751269644241122520362181',NULL,'270',0.00,1,3,NULL),(15,2066297,'1989-05-30 00:00:00',4,7,12,2007,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241215372431469834574112610133147',20686,'446',35.52,1,3,NULL),(15,2066300,'1987-06-15 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241111271431433429445124610124017',15857,'306',43.59,1,2,1),(15,2066319,'1989-05-19 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241216472431369933575122610127147',3475,'270',64.82,1,3,NULL),(15,2066327,'1980-06-20 00:00:00',4,1,12,1997,'M','N','BAIRRO ALTO','CURITIBA','PR','116161251216153411688823445134342046065',5306,'9998',60.52,1,3,NULL),(15,2066335,'1987-10-24 00:00:00',4,1,12,2006,'M','N','CENTRO','CAPAO BONITO','SP','125252251215411731549731491124610114042',NULL,'9998',0.00,1,3,NULL),(15,2066343,'1989-04-17 00:00:00',4,10,12,2007,'M','N','VILA MOEMA','TUBARAO','SC','124241242114161431454923575124610134147',14686,'690',45.17,1,3,NULL),(15,2066351,'1988-06-14 00:00:00',4,1,12,2005,'F','N','BOQUEIRÃO','SANTOS','SP','125252251216572421568712575124610125197',NULL,'9998',0.00,1,3,NULL),(15,2066360,'1989-02-02 00:00:00',2,1,11,2006,'F','N','AGONOMICA','FLORIANOPOLIS','SC','124242241216474441354424572124610165073',6022,'270',59.03,1,3,NULL),(15,2066378,'1974-01-30 00:00:00',4,1,6,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124251247236352431112344245324610144121',NULL,'9999',27.46,1,3,NULL),(15,2066386,'1988-09-20 00:00:00',4,1,12,2006,'M','N','CENTRO','JACAREI','SP','125252251215412431668812572112610162172',2590,'9998',67.35,1,3,NULL),(15,2066394,'1989-01-30 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215271441459933314124610126187',NULL,'44',0.00,1,3,NULL),(15,2066408,'1977-09-01 00:00:00',2,1,12,1994,'M','N','ARIRIU','PALHOCA','SC','224243241136135431324644142134121127047',NULL,'307',0.00,1,3,NULL),(15,2066424,'1990-07-25 00:00:00',4,1,12,2007,'M','N','IATE CLUBE AMERICANA','AMERICANA','SP','125252251217111531558812146121610167027',5742,'9998',59.58,1,3,NULL),(15,2066440,'1987-08-22 00:00:00',4,8,12,2005,'F','N','ALTO DA GLÓRIA','CURITIBA','PR','116201168216371411357824575124143232092',NULL,'9998',14.46,1,3,NULL),(15,2066467,'1985-03-14 00:00:00',1,2,11,2004,'M','N','VELHA','BLUMENAU','SC','124243241326131721635933381122333267092',22082,'73',32.01,1,3,NULL),(15,2066475,'1989-07-01 00:00:00',4,1,12,2006,'M','N','JD SANTA MENA','GUARULHOS','SP','125252251212471411569732272122610164052',2856,'9998',66.58,1,3,NULL),(15,2066483,'1947-08-14 00:00:00',2,1,12,1980,'F','N','ESTREITO','FLORIANOPOLIS','SC','524254254226151412353279195114610166192',8848,'9998',53.92,1,3,NULL),(15,2066491,'1987-11-05 00:00:00',4,8,12,2004,'M','N','IRIRIÚ','JOINVILLE','SC','124241241137572431548811375124133267147',2936,'470',66.34,1,2,1),(15,2066505,'1989-10-26 00:00:00',4,1,12,2007,'M','N','CACHOEIRA','FLORIANOPOLIS','SC','124241241117151412548613477114610138042',18536,'307',39.42,1,2,1),(15,2066513,'1988-04-13 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242248216313431238549491124231217111',6631,'272',57.84,1,3,NULL),(15,2066521,'1989-09-26 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212112711368634572112610167061',19004,'270',38.67,1,3,NULL),(15,2066530,'1989-08-18 00:00:00',4,5,11,2006,'M','N','MINA BRASIL','CRICIUMA','SC','124242241215371431366823441332133267047',13887,'211',46.33,1,3,NULL),(15,2066548,'1989-05-30 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431368811575124610126032',2255,'270',68.40,1,3,NULL),(15,2066556,'1989-05-22 00:00:00',2,1,12,2006,'F','N','CENTRO','CAPAO BONITO','SP','125254251216472431448714575125610116142',NULL,'9998',30.01,1,3,NULL),(15,2066564,'1989-11-20 00:00:00',4,1,11,2007,'M','N','MERCES','CURITIBA','PR','216164161435371231589919571112610164073',NULL,'9998',0.00,1,3,NULL),(15,2066572,'1981-06-04 00:00:00',2,1,12,2000,'M','N','SANTANA','RIO DO SUL','SC','124243241116135411426714445324130267097',12916,'659',47.70,1,3,NULL),(15,2066580,'1988-12-03 00:00:00',4,1,12,2006,'M','N','JARDIM ITÁLIA','CUIABA','MT','111112118236471411566923575122610164012',NULL,'9998',0.00,1,3,NULL),(15,2066602,'1982-04-14 00:00:00',4,1,12,2006,'F','N','SÃO SEBASTIÃO','PALHOCA','SC','224241247226131431323454445334610124147',NULL,'596',18.07,1,3,NULL),(15,2066629,'1988-10-10 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431238923574124610145142',1763,'752',70.15,1,3,NULL),(15,2066637,'1986-04-29 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217272421437833475114610166052',20651,'270',35.59,1,3,NULL),(15,2066645,'1989-05-29 00:00:00',2,5,11,2006,'F','N','CENTRO','BALNEARIO ARROIO DO SILVA','SC','124241241125272411333311192324610167117',15897,'29',43.54,1,3,NULL),(15,2066653,'1989-07-15 00:00:00',4,1,12,2006,'F','N','VILA MARIETA','SAO PAULO','SP','125252251437371731436711585124610132017',19111,'9998',38.50,1,3,NULL),(15,2066661,'1988-09-29 00:00:00',4,3,12,2005,'M','N','UNIÃO','PALOTINA','PR','116162161215573411356631292115610167067',NULL,'9998',0.00,1,3,NULL),(15,2066670,'1991-02-19 00:00:00',4,1,11,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124112241215111431179931475124610122085',10192,'270',51.64,4,3,NULL),(15,2066688,'1984-05-30 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217575731389632391122230267057',2270,'262',68.38,1,3,NULL),(15,2066700,'1990-01-03 00:00:00',4,8,12,2007,'F','N','JARDIM LA SALLE','TOLEDO','PR','116161161116371431546515275122610148182',10849,'9998',50.68,1,3,NULL),(15,2066718,'1990-02-03 00:00:00',2,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215111431446417571124610168057',1146,'270',72.82,2,3,NULL),(15,2066726,'1991-01-14 00:00:00',4,6,11,2007,'M','N','BOMBAS','BOMBINHAS','SC','124243241215121431454332172122610162012',9621,'270',52.56,1,3,NULL),(15,2066734,'1988-02-17 00:00:00',4,1,12,2005,'F','N','JAÇANÃ','SAO PAULO','SP','125252251217571431479913571112610112057',3525,'9998',64.70,1,3,NULL),(15,2066750,'1989-01-16 00:00:00',4,1,12,2006,'M','N','MATA DA PRAIA','VITORIA','ES','108082081217471412358833574112610146197',1805,'9998',69.92,1,3,NULL),(15,2066769,'1978-10-28 00:00:00',2,1,12,1999,'M','N','BARREIROS','SAO JOSE','SC','124243241317272431426641285114122267042',12111,'284',48.85,4,3,NULL),(15,2066777,'1988-08-15 00:00:00',4,8,12,2006,'F','N','VILA NOVA','JARAGUA DO SUL','SC','124252241211111431488612575112610164142',15882,'424',43.55,1,3,NULL),(15,2066785,'1988-10-21 00:00:00',4,1,12,2006,'M','N','ITAIM BIBI','SAO PAULO','SP','125252258215471431579811571121610167042',3346,'9998',65.14,1,3,NULL),(15,2066793,'1970-04-28 00:00:00',2,1,7,1989,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241426275421263343135225330264022',11822,'307',49.22,1,3,NULL),(15,2066807,'1989-01-16 00:00:00',4,1,12,2007,'M','N','VILA CLEMENTINO','SAO PAULO','SP','125252251217111431378614572125610137112',NULL,'9998',22.19,1,3,NULL),(15,2066815,'1990-01-24 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241215111231653619575124610166192',882,'269',74.15,1,3,NULL),(15,2066831,'1990-08-03 00:00:00',4,1,11,2007,'F','N','CENTRO','CHAPECO','SC','124242246215111431475611111122610132042',2103,'983',68.95,1,3,NULL),(15,2066840,'1988-09-06 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215271431368821575112231027127',16544,'266',42.53,1,3,NULL),(15,2066858,'1989-05-11 00:00:00',4,1,12,2006,'F','N','FAZENDA STO ANTÔNIO','SAO JOSE','SC','124241241312372411436627595114610164172',15414,'737',44.23,1,3,NULL),(15,2066866,'1988-05-20 00:00:00',2,1,11,2005,'M','N','BOM JESUS','PORTO ALEGRE','RS','120203201217571431543812125114610162026',14241,'9998',45.81,1,3,NULL),(15,2066874,'1990-01-13 00:00:00',2,1,12,2007,'F','N','VENDAVAL','BIGUACU','SC','124241241116151551545314341121610167142',20886,'65',35.12,1,3,NULL),(15,2066882,'1989-08-10 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241217473411259923341124610148112',9531,'1022',52.71,1,3,NULL),(15,2066890,'1990-03-03 00:00:00',4,1,11,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241215112411381141127311110164047',2539,'270',67.50,1,3,NULL),(15,2066904,'1990-04-25 00:00:00',4,4,12,2007,'F','N','JOÃO BATISTA TONIAL','XANXERE','SC','124244241215131431236929435122610134157',7223,'1081',56.74,1,3,NULL),(15,2066912,'1990-06-06 00:00:00',2,3,12,2007,'F','N','JARDIM IGUAÇÚ','ARAUCARIA','PR','116163161217211431433334594125610166052',NULL,'9998',0.00,4,3,NULL),(15,2066939,'1987-07-21 00:00:00',4,1,12,2004,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124163161115572731438614374124610166017',4606,'9998',61.98,1,3,NULL),(15,2066947,'1987-11-27 00:00:00',4,1,12,2005,'F','N','CENTRO','CERQUILHO','SP','125252251215572431478831375112620134127',10945,'9998',50.54,1,3,NULL),(15,2066955,'1991-01-14 00:00:00',2,4,11,2007,'M','N','VILA NOVA','FRANCISCO BELTRAO','PR','116164161117471431448623572122610117042',15860,'9998',43.59,4,1,2),(15,2066963,'1991-01-28 00:00:00',2,5,12,2007,'F','N','VILA SÃO JOSÉ','ARARANGUA','SC','124242241215371332426612375122610122143',15231,'27',44.49,1,3,NULL),(15,2066971,'1989-05-26 00:00:00',4,1,12,2006,'M','N','CENTRO','ARARAS','SP','125252251215471431469711572212610114117',NULL,'9998',44.74,1,3,NULL),(15,2066980,'1990-03-10 00:00:00',4,4,12,2007,'M','N','CNETRO','JARDINOPOLIS','SC','124241241115131431448833571223610167077',15775,'758',43.71,1,2,1),(15,2066998,'1989-10-18 00:00:00',4,8,12,2006,'M','N','JARDIM SOFIA','JOINVILLE','SC','124242246217372431469914575114610127112',19290,'1105',38.18,1,3,NULL),(15,2067005,'1990-03-28 00:00:00',4,1,12,2007,'M','N','CENTRO','CASCAVEL','PR','116162168215111531463612575122610127043',17398,'9998',41.23,1,3,NULL),(15,2067013,'1989-08-31 00:00:00',2,7,11,2006,'F','N','CAMOBI','SANTA MARIA','RS','120203201217472431457614592114610167092',12296,'9998',48.58,1,3,NULL),(15,2067021,'1991-08-17 00:00:00',4,1,12,2008,'F','S','ESTREITO','FLORIANOPOLIS','SC','124242241214111431466919372124610121077',NULL,'270',45.22,1,3,NULL),(15,2067056,'1989-06-16 00:00:00',4,1,11,2007,'M','N','JARDIM CHAPADÃO','CAMPINAS','SP','125254251216111331456612425111610134072',NULL,'9998',20.87,4,3,NULL),(15,2067064,'1990-04-13 00:00:00',2,2,12,2007,'F','N','BATEAS','BRUSQUE','SC','124242241216111431437812575124610168112',NULL,'88',0.00,1,3,NULL),(15,2067072,'1986-10-07 00:00:00',4,1,12,2004,'F','N','JARDIM IRAJA','RIBEIRAO PRETO','SP','125252251215571431489912572112610142097',NULL,'9998',0.00,1,3,NULL),(15,2067080,'1989-11-03 00:00:00',2,1,12,2007,'F','N','CENTRO','SANTA HELENA','PR','120162208216271731448831595134610148057',6278,'9998',58.50,1,3,NULL),(15,2067099,'1990-03-04 00:00:00',4,1,11,2007,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241115131431656513375124610134117',11189,'307',50.18,1,2,1),(15,2067102,'1987-03-26 00:00:00',4,1,12,2004,'F','N','SERRINHA','FLORIANOPOLIS','SC','124242241217275431658833575112121965022',588,'270',76.15,1,3,NULL),(15,2067110,'1988-07-05 00:00:00',4,1,12,2006,'F','N','PAULISTA','PIRACICABA','SP','125252251217471331568811312122610162077',5926,'9998',59.20,1,3,NULL),(15,2067137,'1989-02-06 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124242241215152411489813591125231067067',380,'270',77.81,1,3,NULL),(15,2067145,'1990-08-29 00:00:00',2,4,11,2007,'F','N','CENTRO','PASSO FUNDO','RS','120244201215473431568611372122610144152',3923,'9998',63.67,1,3,NULL),(15,2067153,'1990-07-01 00:00:00',4,8,12,2007,'M','N','FLORESTA','JOINVILLE','SC','124241246216131431345612575124610112177',11712,'1105',49.38,1,3,NULL),(15,2067161,'1991-12-17 00:00:00',4,1,9,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124243248336111431336633372325610134092',NULL,'270',35.59,1,3,NULL),(15,2067170,'1991-09-15 00:00:00',4,6,12,2008,'F','S','SÃO JUDAS','ITAJAI','SC','124242241217111431669931595122610146192',NULL,'1025',46.83,1,3,NULL),(15,2067196,'1989-03-02 00:00:00',4,8,11,2006,'F','N','GUANABARA','JOINVILLE','SC','124242241217372431469833575112131024182',2226,'457',68.50,1,3,NULL),(15,2067200,'1989-05-31 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241215472131544413575124610168072',6008,'266',59.06,4,3,NULL),(15,2067218,'1990-07-04 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241235111431226829275124610126077',12011,'272',48.97,1,3,NULL),(15,2067226,'1990-06-06 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215121431376634142124610132181',7094,'270',56.98,1,3,NULL),(15,2067234,'1989-12-11 00:00:00',4,1,12,2008,'F','S','COQUEIROS','FLORIANOPOLIS','SC','124241241215131431331339175124610134092',NULL,'273',21.58,1,3,NULL),(15,2067242,'1990-01-13 00:00:00',4,1,11,2007,'M','N','JARDIM ALVORADA','MARILIA','SP','125252251214111431658813575122610167062',NULL,'9998',0.00,4,1,2),(15,2067250,'1989-09-30 00:00:00',4,1,12,2007,'M','N','PITUBA','SALVADOR','BA','125052251215121441357733571122610162012',4941,'9998',61.20,4,3,NULL),(15,2067269,'1989-01-03 00:00:00',4,1,11,2006,'M','N','VILA EMA','SAO JOSE DOS CAMPOS','SP','125252251217471431379614575112610128057',17599,'9998',40.94,1,3,NULL),(15,2067277,'1990-01-15 00:00:00',4,10,12,2007,'M','N','VILA ESPERANÇA','IMBITUBA','SC','124241241112271431344419572344610117117',NULL,'358',37.68,1,3,NULL),(15,2067307,'1990-01-28 00:00:00',4,1,12,2007,'M','N','CONSIL','CUIABA','MT','111112111237111431348922575124610162027',NULL,'9998',0.00,1,3,NULL),(15,2067315,'1991-01-15 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241217151431458813575114610117055',10878,'270',50.65,1,3,NULL),(15,2067323,'1989-02-12 00:00:00',4,1,12,2007,'M','N','CACUPÉ','FLORIANOPOLIS','SC','124242241215111432567732575122610114012',9655,'883',52.48,1,3,NULL),(15,2067331,'1988-11-15 00:00:00',4,1,12,2005,'M','N','PINHEIROS','SAO PAULO','SP','125162161217573431458811574124610164051',600,'9998',76.09,3,3,NULL),(15,2067340,'1988-02-20 00:00:00',4,1,12,2006,'F','N','ANAPOLIS CITY','ANAPOLIS','GO','109092091215373411357913174324140667142',615,'9998',75.93,1,3,NULL),(15,2067358,'1990-03-29 00:00:00',2,1,12,2007,'M','N','CENTRO','ITAIOPOLIS','SC','124241162135171431538613572322610124052',NULL,'9998',0.00,1,3,NULL),(15,2067366,'1988-10-09 00:00:00',4,1,12,2006,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215473431488811575122610124092',14,'270',85.04,1,3,NULL),(15,2067374,'1990-11-01 00:00:00',4,1,12,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124133241317131431458613571124610136097',17729,'300',40.76,1,3,NULL),(15,2067382,'1990-03-23 00:00:00',4,1,12,2007,'F','N','ELOY CHAVES','JUNDIAI','SP','125252251216271431446611575124610123017',8710,'9998',54.16,1,3,NULL),(15,2067390,'1988-10-20 00:00:00',4,1,12,2006,'M','N','JARDIM ESTORIL','BAURU','SP','125252251212111331234431533232212517047',NULL,'9998',0.00,1,3,NULL),(15,2067404,'1988-06-13 00:00:00',2,8,12,2007,'M','N','VILA NOVA','RIO NEGRINHO','SC','124241241147131431324343332334610128197',NULL,'669',15.99,1,2,1),(15,2067412,'1991-03-06 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241217121431568613575124610121087',14731,'1118',45.10,1,3,NULL),(15,2067420,'1990-02-24 00:00:00',4,2,12,2007,'F','N','CENTRO','INDAIAL','SC','124241241217111431448611575124610124117',20114,'9997',36.59,1,3,NULL),(15,2067439,'1988-11-11 00:00:00',4,3,12,2005,'M','N','CENTRO','CONCORDIA','SC','124242241215473431458734572114231067047',2726,'1000',66.94,1,3,NULL),(15,2067447,'1987-05-02 00:00:00',2,1,11,2005,'F','N','FLORESTA','PORTO ALEGRE','RS','120204201216571411369923141124610167097',10268,'9997',51.54,1,3,NULL),(15,2067455,'1989-03-05 00:00:00',2,8,12,2006,'M','N','NEREU RAMOS','JARAGUA DO SUL','SC','124241241126271731446514245114610125147',19076,'429',38.55,1,2,1),(15,2067463,'1990-05-07 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124243241416131431436411575114610167057',18434,'1118',39.60,1,3,NULL),(15,2067471,'1990-06-29 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124241241116371431446611275122610125142',13714,'169',46.59,1,2,1),(15,2067480,'1985-03-16 00:00:00',2,1,12,2002,'M','N','INGLESES','FLORIANOPOLIS','SC','224243201111131431225343331334610147147',14242,'257',45.81,2,3,NULL),(15,2067498,'1990-01-25 00:00:00',4,3,12,2007,'M','N','CENTRO','ASSIS','SP','125252251215111131358939575112610117042',19137,'9998',38.46,1,3,NULL),(15,2067501,'1990-05-05 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241215121531436719596224610147142',1323,'1050',72.00,1,3,NULL),(15,2067510,'1989-02-19 00:00:00',4,1,12,2006,'M','N','VILA MARIANA','SAO PAULO','SP','125252251217471431559811575122610167042',1701,'9998',70.38,3,3,NULL),(15,2067528,'1990-08-17 00:00:00',4,8,11,2007,'F','N','ATIRADORES','JOINVILLE','SC','124242241215112431549818375122610168097',10138,'457',51.73,3,3,NULL),(15,2067536,'1989-09-15 00:00:00',2,1,12,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124244241117371431489913571122610137012',3654,'271',64.35,1,3,NULL),(15,2067544,'1988-11-01 00:00:00',2,1,11,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215412431478911592114230227052',2138,'270',68.85,1,3,NULL),(15,2067560,'1988-05-05 00:00:00',2,7,12,2005,'M','N','NOSSA SRA DE LOURDES','SANTA MARIA','RS','120282201217471431456823592114141467032',12770,'9998',47.90,4,1,2),(15,2067579,'1991-02-28 00:00:00',4,1,12,2007,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241217131431249813272124610126142',12263,'269',48.64,1,3,NULL),(15,2067587,'1989-09-01 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241116132431458719576114610124017',12536,'267',48.24,1,2,1),(15,2067595,'1990-06-23 00:00:00',4,1,11,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241212211531469912422114610118042',5144,'270',60.82,1,3,NULL),(15,2067609,'1990-03-09 00:00:00',4,1,12,2007,'M','N','VILA CRISTAL','BRODOWSKI','SP','125254251211111411458911271124610167182',7011,'9998',57.12,1,3,NULL),(15,2067633,'1990-06-26 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215121731478813496122610127074',13119,'1050',47.43,1,3,NULL),(15,2067641,'1991-07-04 00:00:00',4,1,12,2008,'F','S','ESTREITO','FLORIANOPOLIS','SC','124242241215151411356829595122610168182',NULL,'1011',0.00,1,3,NULL),(15,2067650,'1990-10-29 00:00:00',4,10,11,2007,'M','N','VILLAGE','IMBITUBA','SC','124241241116131431341119295124610127072',19196,'808',38.35,1,3,NULL),(15,2067668,'1990-01-17 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241216111731534431595114610167067',9570,'1118',52.64,1,3,NULL),(15,2067684,'1985-12-20 00:00:00',2,1,12,1985,'M','N','SANTINHO','FLORIANOPOLIS','SC','124241241123163711523325572214230364115',9821,'307',52.23,1,2,1),(15,2067692,'1973-03-06 00:00:00',2,1,2,1993,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124201207146271741133344345124541467182',20244,'9999',36.34,1,3,NULL),(15,2067706,'1988-01-05 00:00:00',4,1,12,2005,'F','N','BOQUEIRÃO','SANTOS','SP','125251251416371431536667445124610142077',11491,'9998',49.72,4,3,NULL),(15,2067730,'1989-07-29 00:00:00',2,1,12,2007,'M','N','ASA NORTE','BRASILIA','DF','107072071217111431478834575124610121187',NULL,'9998',0.00,1,3,NULL),(15,2067749,'1990-04-10 00:00:00',4,1,12,2007,'F','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124242241216111431568811575122610145142',11390,'270',49.86,1,3,NULL),(15,2067757,'1986-05-27 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241248117472421223514441124610161197',NULL,'293',0.00,4,3,NULL),(15,2067765,'1988-10-21 00:00:00',2,1,12,2006,'F','N','JARDIM IRENE','SANTO ANDRE','SP','125251251116371411435511415124610144144',NULL,'9998',29.72,1,2,1),(15,2067773,'1990-08-10 00:00:00',4,8,11,2007,'F','N','VILA INDUSTRIAL','TOLEDO','PR','116162161237211421545312475124610167142',21236,'9998',34.36,1,3,NULL),(15,2067790,'1988-05-12 00:00:00',4,1,6,2006,'M','N','VILA NOVA CONCEIÇÃO','SAO PAULO','SP','125252257416372431548832575122143267047',3864,'9999',63.82,1,3,NULL),(15,2067811,'1989-12-04 00:00:00',4,3,12,2007,'F','N','SOMENZARI','MARILIA','SP','125252251216111431546513572125610137097',7024,'9998',57.11,3,3,NULL),(15,2067820,'1989-12-02 00:00:00',4,1,12,2007,'M','N','FLOR DE NÁPOLIS','SAO JOSE','SC','124241241215111411356613272122610117055',21958,'1075',32.41,1,3,NULL),(15,2067838,'1990-02-23 00:00:00',4,1,11,2007,'F','N','BOSQUE DA SAUDE','CUIABA','MT','111112111216151431478832575112610162026',6050,'9998',58.97,4,3,NULL),(15,2067846,'1984-01-21 00:00:00',2,8,12,2004,'M','N','CENTRO','BUENO BRANDAO','MG','113131131126131432224424342314610114057',14962,'9998',44.84,1,3,NULL),(15,2067854,'1989-06-09 00:00:00',4,1,11,2006,'F','N','FLORESTA','SAO JOSE','SC','124242241211272411468933571122132061016',4182,'737',62.95,1,3,NULL),(15,2067870,'1990-03-24 00:00:00',4,1,9,2007,'F','N','JARDIM PIRITUBA','SAO PAULO','SP','125252251216131331636311572124610125072',17353,'9998',41.30,1,3,NULL),(15,2067889,'1989-05-27 00:00:00',4,1,6,2007,'M','N','CAMPINAS','SAO JOSE','SC','124244241335371431339613585122610167052',10764,'9999',50.79,1,3,NULL),(15,2067897,'1989-02-10 00:00:00',4,1,12,2006,'M','N','CENTRO','BIGUACU','SC','124243241315372431336623472124610167047',9066,'269',53.54,1,3,NULL),(15,2067900,'1988-05-21 00:00:00',4,1,11,2005,'F','N','CENTRO','PIRACICABA','SP','125251251215571431336764575124610127142',12538,'9998',48.24,1,3,NULL),(15,2067919,'1989-07-25 00:00:00',2,6,12,2006,'F','N','SÃO VICENTE','ITAJAI','SC','124241241215411731434414495123131324182',18116,'389',40.12,1,3,NULL),(15,2067927,'1990-06-09 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431457412572124610167112',1049,'1022',73.24,1,3,NULL),(15,2067935,'1988-11-25 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215372431338619392124610162092',9646,'270',52.50,1,3,NULL),(15,2067943,'1991-04-22 00:00:00',2,1,12,2008,'F','S','PANTANAL','FLORIANOPOLIS','SC','124241241116151412538511115124610167145',NULL,'267',17.76,1,3,NULL),(15,2067951,'1988-06-11 00:00:00',4,1,12,2005,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124251241116573421129913375114610164102',11191,'307',50.18,1,2,1),(15,2067960,'1990-07-25 00:00:00',4,2,11,2007,'F','N','FORTALEZA','BLUMENAU','SC','124241241117131211527411474124610146027',14987,'79',44.81,1,2,1),(15,2067978,'1990-06-05 00:00:00',2,1,11,2007,'M','N','JARDIM UNIVERSITÁRIO','CUIABA','MT','111112111217111411469913335114610124182',815,'9998',74.62,2,3,NULL),(15,2067986,'1989-02-05 00:00:00',4,1,12,2006,'M','N','VILA SÃO JOSÉ','TAUBATE','SP','125252251217271431334311275114610167057',16484,'9998',42.61,1,3,NULL),(15,2067994,'1989-09-08 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124202241235371411458614344122610145097',16218,'269',43.03,1,3,NULL),(15,2068001,'1990-01-07 00:00:00',4,1,11,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241117272231336812595124613227047',4461,'271',62.36,1,3,NULL),(15,2068010,'1991-05-06 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241415111331448832275124610134192',22474,'1022',29.17,1,3,NULL),(15,2068028,'1987-06-09 00:00:00',4,1,11,2004,'F','N','JARDIM RECREIO','RIBEIRAO PRETO','SP','125252251217574411378834445112140431022',2213,'9998',68.55,4,3,NULL),(15,2068036,'1990-02-26 00:00:00',2,2,12,2007,'M','N','BOM JESUS','RIO NEGRO','PR','116162161217111511446933275112610144052',3785,'9998',64.00,1,3,NULL),(15,2068044,'1989-03-24 00:00:00',2,1,12,2005,'F','N','ARIRIU','PALHOCA','SC','124242241217373431456614342122232727142',15221,'781',44.50,1,3,NULL),(15,2068060,'1983-08-15 00:00:00',4,1,11,2001,'M','N','PINHEIROS','SAO PAULO','SP','125252257217271712268921485115142164047',12759,'9999',47.91,1,3,NULL),(15,2068079,'1991-02-16 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','116164161237112431158824372341610128172',261,'9998',79.16,1,3,NULL),(15,2068087,'1990-03-14 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111412636679575115610114162',4839,'270',61.44,1,3,NULL),(15,2068095,'1990-06-17 00:00:00',4,7,11,2007,'F','N','CENTRO','CAPINZAL','SC','124244241215111431557911491122610164052',16689,'446',42.34,1,3,NULL),(15,2068109,'1989-02-05 00:00:00',2,1,12,2006,'F','N','TRISTEZA','PORTO ALEGRE','RS','120202201217471311468933432111610167117',13140,'9998',47.41,1,3,NULL),(15,2068117,'1988-11-18 00:00:00',2,1,11,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215573431456711385124610163142',8481,'1022',54.54,1,3,NULL),(15,2068125,'1985-09-14 00:00:00',4,1,12,2003,'M','N','MARAMBAIA','VINHEDO','SP','125252251215571731376833571122141432197',9440,'9998',52.88,1,3,NULL),(15,2068133,'1991-01-23 00:00:00',4,6,12,2008,'F','S','SÃO LUIZ','BRUSQUE','SC','124242241215111731438612572122610133182',NULL,'109',45.31,1,3,NULL),(15,2068141,'1989-05-31 00:00:00',2,4,12,2006,'F','N','CENTRO','CHAPECO','SC','124241241415132431538823285122610116171',17348,'1046',41.31,1,3,NULL),(15,2068150,'1989-10-16 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216171751338829595122610127042',10118,'270',51.76,1,3,NULL),(15,2068168,'1989-11-13 00:00:00',2,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241217111432656439372124610137047',8600,'737',54.34,1,3,NULL),(15,2068184,'1990-04-18 00:00:00',2,8,11,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124244241215271731479719475122610167077',9410,'486',52.93,1,3,NULL),(15,2068192,'1991-11-25 00:00:00',4,3,12,2008,'M','S','PANALTO PAULISTA','SAO PAULO','SP','125252253216151411459833595124610137112',NULL,'9998',42.34,1,3,NULL),(15,2068206,'1988-12-12 00:00:00',4,8,12,2006,'F','N','AMÉRICA','JOINVILLE','SC','124242246216472431479914575122610124182',7583,'1105',56.06,1,3,NULL),(15,2068214,'1990-01-26 00:00:00',4,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217271411479813574124610126125',3985,'262',63.49,1,3,NULL),(15,2068222,'1989-12-20 00:00:00',2,1,11,2007,'F','N','IPIRANGA','SAO JOSE','SC','124244247211131431226629371324610147077',NULL,'976',22.34,1,3,NULL),(15,2068249,'1989-11-28 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215371531678613575122610127182',1059,'272',73.19,1,3,NULL),(15,2068257,'1990-02-20 00:00:00',4,8,11,2007,'F','N','CAPÃO RASO','CURITIBA','PR','116162161237471411548531181324610144017',5838,'9998',59.38,1,3,NULL),(15,2068265,'1990-07-13 00:00:00',2,9,12,2007,'F','N','CENTRO','CAMPO BELO DO SUL','SC','124243241215131431453615572122610163077',NULL,'499',34.14,1,3,NULL),(15,2068273,'1991-02-09 00:00:00',4,8,12,2007,'F','N','RIBEIRÃO CAVALO','JARAGUA DO SUL','SC','124241241116131431436716575124610118012',17719,'425',40.77,1,2,1),(15,2068281,'1990-05-17 00:00:00',4,8,12,2007,'M','N','GUANABARA','JOINVILLE','SC','124241241215371431437619575114610167052',17957,'489',40.39,1,3,NULL),(15,2068290,'1989-01-24 00:00:00',4,1,12,2006,'M','N','SANAT CRUZ','RIBEIRAO PRETO','SP','125252251215411411576812372122640138197',4664,'9998',61.84,1,3,NULL),(15,2068303,'1987-10-27 00:00:00',2,1,12,2005,'M','N','BOISSUCANGA','SAO SEBASTIAO','SP','125253251314372431425679382341610167112',11654,'9998',49.48,1,3,NULL),(15,2068338,'1975-12-08 00:00:00',4,1,2,2003,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244247244131412126621313334610112092',NULL,'9999',4.12,1,3,NULL),(15,2068346,'1981-01-09 00:00:00',2,1,12,1999,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','224241247416273421255543232123130867065',17736,'9999',40.75,1,3,NULL),(15,2068354,'1990-07-03 00:00:00',4,6,12,2007,'M','N','CENTRO','ITAJAI','SC','124242241217152411539834575122232464057',422,'392',77.43,1,3,NULL),(15,2068362,'1991-07-10 00:00:00',4,4,12,2008,'M','S','PRIMO TACCA','XANXERE','SC','124242241235111431479912195122610125062',NULL,'836',44.75,4,3,NULL),(15,2068370,'1991-01-30 00:00:00',4,1,12,2007,'M','N','CAIÇARA','CAMPO GRANDE','MS','112124121215271431548913475122610164042',5665,'9998',59.75,1,3,NULL),(15,2068389,'1989-10-24 00:00:00',2,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124241241215372441336824575124610124117',8784,'1022',54.04,1,3,NULL),(15,2068397,'1990-05-02 00:00:00',4,1,12,2007,'F','N','CENTRO','LEOBERTO LEAL','SC','124241241124131441523435592224610123057',20984,'533',34.88,1,2,1),(15,2068400,'1991-12-15 00:00:00',2,1,11,2008,'M','S','KOBRASSOL','SAO JOSE','SC','124243241215111731566713485124610127052',NULL,'269',34.38,1,3,NULL),(15,2068419,'1990-07-31 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217372431369823572112610146012',1014,'262',73.45,1,3,NULL),(15,2068435,'1988-12-23 00:00:00',4,1,12,2006,'M','N','PAULISTA','PIRACICABA','SP','125254251435411711468819297345610167092',14562,'9998',45.32,1,3,NULL),(15,2068451,'1990-12-22 00:00:00',4,5,11,2007,'M','N','VILA SÃO JOSÉ','ARARANGUA','SC','124204241215132441446732576124610134077',5127,'32',60.86,1,3,NULL),(15,2068460,'1986-02-19 00:00:00',4,3,11,2003,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161214572731558829394124610123077',1809,'9998',69.91,1,3,NULL),(15,2068478,'1991-02-09 00:00:00',4,1,12,2008,'M','S','CACUPÉ','FLORIANOPOLIS','SC','124242241217111531568811575112610164072',NULL,'270',47.21,1,3,NULL),(15,2068494,'1983-10-11 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241147133411553162212334130212047',13687,'66',46.64,1,2,1),(15,2068508,'1990-05-18 00:00:00',4,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241216371431478813595124610117062',697,'270',75.38,1,3,NULL),(15,2068516,'1989-02-22 00:00:00',4,1,11,2006,'F','N','CAMPOLIM','SOROCABA','SP','125252251216471411468814574122610117147',404,'9998',77.63,1,3,NULL),(15,2068532,'1988-08-30 00:00:00',3,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215472441569833572112610141112',7327,'266',56.56,1,3,NULL),(15,2068540,'1989-12-01 00:00:00',4,3,11,2006,'M','N','PARQUE OSVALDO SELLA','CAMBE','PR','116162161215471431368833574122610147052',52,'9998',83.02,1,3,NULL),(15,2068559,'1985-03-31 00:00:00',4,1,12,2002,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124241241131141411243343331224231934181',NULL,'30',0.00,1,2,1),(15,2068567,'1990-07-20 00:00:00',2,1,11,2007,'F','N','CARANDA BOSQUE','CAMPO GRANDE','MS','112122121417111531563313235122610168142',NULL,'9998',18.42,1,3,NULL),(15,2068575,'1990-03-10 00:00:00',4,1,12,2007,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217111441458512572122610137077',5769,'1051',59.53,1,3,NULL),(15,2068591,'1991-04-16 00:00:00',4,8,12,2008,'F','S','CENTRO','SAO BENTO DO SUL','SC','124242241215111431239934575122610134152',NULL,'1114',41.91,1,3,NULL),(15,2068605,'1990-03-07 00:00:00',4,9,11,2007,'F','N','POÇO RICO','OTACILIO COSTA','SC','124244241315111531438612276124610163057',19419,'9997',37.97,1,3,NULL),(15,2068613,'1982-11-20 00:00:00',2,1,7,2007,'M','N','PRAIA BRAVA','FLORIANOPOLIS','SC','124241241122131431224344142323610162067',NULL,'9999',0.00,1,2,1),(15,2068630,'1990-12-26 00:00:00',2,8,11,2007,'M','N','CENTRO','PRUDENTOPOLIS','PR','116162161215111431576912495122610167052',1541,'9998',71.03,1,3,NULL),(15,2068648,'1990-08-16 00:00:00',4,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215111431338614375114610167072',12754,'270',47.91,3,3,NULL),(15,2068656,'1989-11-20 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215122432469819595125610162187',6484,'266',58.10,1,3,NULL),(15,2068664,'1989-10-30 00:00:00',4,8,11,2007,'F','N','BATEL','CURITIBA','PR','116162161217461431366654274114640163117',5732,'9998',59.61,1,3,NULL),(15,2068672,'1990-05-31 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215421531478512372122610162152',15681,'270',43.84,1,3,NULL),(15,2068680,'1990-05-20 00:00:00',4,4,12,2007,'F','N','PRESIDENTE MÉDICI','CHAPECO','SC','124242161216471411449912584225610164092',1495,'9998',71.21,1,3,NULL),(15,2068699,'1989-07-26 00:00:00',4,8,12,2006,'M','N','BOM RETIRO','SAO PAULO','SP','125252251211472431558811595115610122052',5612,'9998',59.84,1,3,NULL),(15,2068710,'1987-11-06 00:00:00',4,1,11,2005,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217574751479931575114610124072',496,'270',76.85,1,3,NULL),(15,2068729,'1988-04-11 00:00:00',4,1,12,2005,'F','N','JD DAS PALMEIRAS','CAMPINAS','SP','125252251216571431478831575122610164182',2868,'9998',66.55,1,3,NULL),(15,2068737,'1989-07-22 00:00:00',4,1,12,2006,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241241115472431467613472124610163187',10990,'307',50.49,4,2,1),(15,2068745,'1987-10-05 00:00:00',2,1,11,2005,'M','N','JORDANOPOLIS','SAO PAULO','SP','125251251111572441536614591224610117182',7788,'9998',55.71,1,2,1),(15,2068761,'1988-03-14 00:00:00',2,1,11,2002,'M','N','ROÇADO','SAO JOSE','SC','124241241116142421345534135123120567117',18919,'293',38.81,1,2,1),(15,2068770,'1987-04-08 00:00:00',2,1,12,2004,'F','N','IPIRANGA','SAO JOSE','SC','124242241215573731226624485112610163047',11800,'1022',49.26,1,3,NULL),(15,2068788,'1990-08-08 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124242241216471431549919472122610124192',8505,'185',54.50,1,3,NULL),(15,2068796,'1990-07-09 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212111431437812372122610133017',16159,'266',43.13,1,3,NULL),(15,2068800,'1991-06-01 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124244241215111531388611575124610125077',NULL,'1022',51.11,1,3,NULL),(15,2068818,'1990-08-14 00:00:00',2,4,12,2007,'F','N','CENTRO','SAO LOURENCO DO OESTE','SC','124242161111131431458831315124610122032',9215,'9998',53.25,4,3,NULL),(15,2068826,'1990-12-12 00:00:00',4,8,11,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215121711463619312124610147072',NULL,'1016',0.00,1,3,NULL),(15,2068834,'1991-07-06 00:00:00',4,4,12,2008,'F','S','CENTRO','CHAPECO','SC','124244241211471421546832572122610166142',NULL,'185',52.14,1,3,NULL),(15,2068842,'1989-11-07 00:00:00',4,8,11,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124242241217111332468614572112610167142',5340,'491',60.43,1,3,NULL),(15,2068850,'1989-03-22 00:00:00',2,9,12,2006,'M','N','RIO BONITO','MAJOR VIEIRA','SC','124241242116151431324315455321610126062',NULL,'143',24.73,4,3,NULL),(15,2068869,'1990-02-14 00:00:00',4,8,11,2007,'F','N','CENTRO','CASCAVEL','PR','116162161216111431556924575122610132142',14463,'9998',45.48,1,3,NULL),(15,2068877,'1991-02-17 00:00:00',4,1,11,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124243241415111431469612575124610164192',7983,'1022',55.40,1,3,NULL),(15,2068893,'1990-03-20 00:00:00',4,8,11,2007,'M','N','ITAUM','JOINVILLE','SC','124242241215111431265719215124610166042',NULL,'457',0.00,1,3,NULL),(15,2068907,'1989-08-08 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124122241237371441359917572114610164127',3461,'1098',64.85,1,3,NULL),(15,2068915,'1989-12-05 00:00:00',2,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215132511578837573121230267047',5575,'1118',59.92,1,3,NULL),(15,2068923,'1990-08-01 00:00:00',2,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241213121421446429595114610167047',NULL,'262',NULL,1,3,NULL),(15,2068931,'1990-11-12 00:00:00',4,2,11,2007,'M','N','VORSTADT','BLUMENAU','SC','124242241215111431378814475112610127062',9085,'909',53.49,1,3,NULL),(15,2068940,'1989-03-12 00:00:00',4,4,12,2005,'F','N','INTERIOR','QUILOMBO','SC','124241241113163431636315552222610136077',18156,'648',40.06,1,2,1),(15,2068966,'1989-12-19 00:00:00',4,1,12,2007,'M','N','COND JARDINS DO SUL','BAURU','SP','125252251216151431467919572112610166052',12642,'9998',48.08,1,3,NULL),(15,2068982,'1989-10-26 00:00:00',2,1,11,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124243241316151431446934575124610127142',NULL,'288',25.45,1,3,NULL),(15,2068990,'1989-02-02 00:00:00',4,8,11,2006,'F','N','BIGORRILHO','CURITIBA','PR','116162161215471431489914572112610163011',NULL,'9998',0.00,1,3,NULL),(15,2069016,'1990-01-17 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217121411476611572122610164125',4190,'270',62.93,1,3,NULL),(15,2069024,'1989-11-13 00:00:00',4,1,11,2007,'F','N','CONDOMÍNIO MARAMBAIA','VINHEDO','SP','125254251215111431469713475122610162143',6480,'9998',58.12,1,3,NULL),(15,2069040,'1990-06-22 00:00:00',4,1,12,2007,'M','N','CENTRO SÃO JOSÉ','SAO JOSE','SC','124242241215111431435639575124610121187',NULL,'1076',19.75,1,3,NULL),(15,2069059,'1988-07-29 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215572441379911575114610127047',907,'270',74.02,1,3,NULL),(15,2069067,'1991-01-28 00:00:00',4,3,11,2007,'F','N','DAS NAÇÕES','BALNEARIO CAMBORIU','SC','124242241215121431366832574122610145072',6956,'9997',57.24,1,3,NULL),(15,2069075,'1955-11-18 00:00:00',4,1,12,1974,'F','N','CENTRO','FLORIANOPOLIS','SC','224172171217131411436659491122340466187',11748,'9998',49.32,1,3,NULL),(15,2069083,'1989-04-02 00:00:00',4,1,10,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215473431468837572124610125092',1882,'807',69.66,1,3,NULL),(15,2069105,'1986-10-07 00:00:00',4,8,11,2004,'M','N','DISTRITO INDUSTRIAL','JOINVILLE','SC','124252251213132511428834273124230766114',NULL,'9998',0.00,1,3,NULL),(15,2069113,'1987-10-11 00:00:00',2,5,11,2004,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244241415473431559821475124133265197',NULL,'226',0.00,1,3,NULL),(15,2069121,'1988-04-18 00:00:00',4,1,12,2006,'F','N','CENTRO','PASSO FUNDO','RS','120204208245371431536814471324141966122',NULL,'9998',0.00,1,3,NULL),(15,2069130,'1990-01-10 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217112431359913575122610113122',8787,'270',54.03,1,3,NULL),(15,2069148,'1988-10-18 00:00:00',4,1,11,2005,'M','N','BOQUEIRÃO','SANTOS','SP','125252251217471431548614475121140737117',1304,'9998',72.06,1,3,NULL),(15,2069156,'1987-10-19 00:00:00',4,8,11,2007,'M','N','JARDIM FLAMBOYANT','CAMPINAS','SP','125252251416372431458933495122610162117',7682,'9998',55.89,1,3,NULL),(15,2069164,'1989-02-08 00:00:00',2,1,12,2005,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124202201216371431589914575122143164042',4145,'9998',63.06,1,3,NULL),(15,2069172,'1989-10-25 00:00:00',2,4,10,2006,'M','N','CENTRO','CURITIBA','PR','116242161215472431269833371121610167012',763,'9998',74.90,1,3,NULL),(15,2069180,'1985-10-01 00:00:00',2,1,12,2005,'F','N','CENTRO','PASSO FUNDO','RS','120201201126271431436823341215610163147',NULL,'9998',25.17,4,1,1),(15,2069199,'1989-01-16 00:00:00',4,1,12,2007,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124244241415411431446613435114610168117',NULL,'1022',28.97,1,3,NULL),(15,2069202,'1988-08-08 00:00:00',4,8,12,2005,'F','N','CENTRO','LAGOA VERMELHA','RS','120201201116571431445911575124610167147',18179,'9998',40.01,1,2,1),(15,2069210,'1990-08-15 00:00:00',4,8,12,2007,'M','N','ATIRADORES','JOINVILLE','SC','124242241215112431488813575122610162042',1616,'491',70.75,1,3,NULL),(15,2069229,'1990-06-04 00:00:00',4,10,12,2007,'F','N','VILA MOEMA','TUBARAO','SC','124242241215221431559932572122610135172',2295,'807',68.25,1,3,NULL),(15,2069245,'1990-10-22 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243241212131431355529572124610154097',12439,'259',48.37,1,3,NULL),(15,2069253,'1990-04-14 00:00:00',4,1,12,2007,'F','N','JD ESTER','SAO PAULO','SP','125252251217471431466934575124610137072',13399,'9998',47.03,1,3,NULL),(15,2069261,'1989-10-26 00:00:00',2,1,12,2006,'F','N','SETOR F','QUERENCIA','MT','111111111125411731556411575224610125142',21124,'9998',34.60,1,3,NULL),(15,2069270,'1990-05-22 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241217111531667152572112610127057',NULL,'262',51.57,3,3,NULL),(15,2069288,'1989-04-24 00:00:00',2,8,12,2007,'M','N','ESTADOS','FAZENDA RIO GRANDE','PR','116162162111171411226611571124610115052',14656,'9998',45.21,4,3,NULL),(15,2069296,'1965-05-23 00:00:00',2,1,12,1985,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','224134135136132411427441311124143236143',19445,'9998',37.93,1,3,NULL),(15,2069300,'1989-08-26 00:00:00',2,1,11,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124202241215472331568613575124610167041',684,'270',75.52,1,3,NULL),(15,2069318,'1990-04-09 00:00:00',4,1,11,2007,'M','N','BACACHERI','CURITIBA','PR','116162161215371431278932575124610162067',9354,'9998',53.04,1,3,NULL),(15,2069326,'1989-05-19 00:00:00',4,1,11,2006,'F','N','CENTRO','CURITIBA','PR','116242161215572431343319175124610134187',NULL,'9998',0.00,1,3,NULL),(15,2069334,'1989-06-01 00:00:00',4,8,6,2007,'F','N','BOA VISTA','JOINVILLE','SC','124244248412371431546933471114610127052',12804,'494',47.85,1,3,NULL),(15,2069342,'1990-03-01 00:00:00',4,1,11,2007,'F','N','JD ALVORADA','SAO JOSE DOS CAMPOS','SP','125252251217111431368923415122610163183',3103,'9998',65.84,1,3,NULL),(15,2069350,'1991-01-28 00:00:00',4,2,11,2007,'M','N','VILLA NOVA','BLUMENAU','SC','124112248215111751226812195124610164097',16147,'855',43.16,1,3,NULL),(15,2069369,'1988-06-05 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431568834575122610137142',11192,'262',50.17,1,3,NULL),(15,2069377,'1989-02-28 00:00:00',4,1,12,2006,'F','N','PARQUE DAS GREVILEAS','MARINGA','PR','116162164215471231448719494222610138097',16569,'9998',42.49,3,3,NULL),(15,2069385,'1990-01-10 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124202241215121431486612575112610123077',7400,'270',56.41,1,3,NULL),(15,2069415,'1991-04-16 00:00:00',2,1,1,2008,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124242241235111432357718582124610137047',18232,'1022',39.92,1,3,NULL),(15,2069431,'1989-06-11 00:00:00',2,1,12,2006,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124241241215473431469914212124610163147',2488,'1011',67.65,1,3,NULL),(15,2069458,'1988-11-07 00:00:00',2,8,12,2006,'M','N','CENTRO','GETULIO VARGAS','RS','120203202117371411564424575122610168177',9040,'9998',53.58,1,3,NULL),(15,2069466,'1989-12-08 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241337122431269923576124610126112',4084,'270',63.23,1,3,NULL),(15,2069482,'1979-04-03 00:00:00',4,1,12,1995,'M','N','FORQUILHINHAS','SAO JOSE','SC','224242241216152221268643432132321464127',NULL,'272',0.00,1,3,NULL),(15,2069490,'1989-07-23 00:00:00',2,1,12,2006,'M','N','VILA MOEMA','TUBARAO','SC','124242241215472431456632294122610167117',1964,'797',69.37,1,3,NULL),(15,2069512,'1988-03-14 00:00:00',2,1,12,2005,'F','N','TAGUATINGA NORTE','TAGUATINGA','DF','107073071117571431336624572324610168185',15203,'9998',44.53,4,1,2),(15,2069520,'1988-12-16 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241216372411559933595124132734045',12287,'270',48.59,1,3,NULL),(15,2069539,'1990-04-05 00:00:00',2,1,12,2007,'M','N','COLONIA SANTANA','SAO JOSE','SC','124242241215151431445923475124610117042',20644,'1074',35.61,1,3,NULL),(15,2069547,'1983-07-09 00:00:00',2,1,12,2000,'F','N','VICTOR ISLER','PASSO FUNDO','RS','120201201126131431431424345233610167027',21718,'9998',33.22,2,1,1),(15,2069563,'1984-04-21 00:00:00',4,1,1,2003,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124204201316472431366721475124610124117',10266,'9998',51.54,1,3,NULL),(15,2069571,'1989-06-21 00:00:00',4,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124242241215472431466813575124610124042',1066,'1022',73.16,1,3,NULL),(15,2069598,'1986-09-12 00:00:00',4,1,12,2003,'F','N','JARDIM TABOÃO','SAO PAULO','SP','125252251617573431468814574124243232097',3319,'9998',65.22,1,3,NULL),(15,2069601,'1989-01-21 00:00:00',4,8,11,2006,'F','N','FLORESTA','JOINVILLE','SC','124242248215371431325824382124610133142',12121,'486',48.83,1,3,NULL),(15,2069610,'1988-02-07 00:00:00',2,8,12,2005,'M','N','AGUA VERDE','CURITIBA','PR','116164161316471452336614385114610164121',NULL,'9998',27.76,4,3,NULL),(15,2069628,'1990-05-06 00:00:00',4,1,11,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124243241117371431377623575122610117052',4597,'271',62.00,1,3,NULL),(15,2069636,'1990-12-31 00:00:00',4,8,12,2007,'F','N','CIRU NARDI','CASCAVEL','PR','116161161215111431254927271122610124147',6372,'9998',58.31,4,3,NULL),(15,2069644,'1990-04-10 00:00:00',4,2,12,2007,'M','N','TESTO CENTRAL','POMERODE','SC','124241241116161431436619292124610148011',NULL,'621',0.00,1,2,1),(15,2069652,'1990-07-23 00:00:00',1,1,12,2007,'M','N','JARDIM EUROPA','ASSIS','SP','125252251217111431579814575121610127012',6245,'9998',58.57,1,3,NULL),(15,2069660,'1990-04-11 00:00:00',4,1,12,2007,'M','N','JARDIM BOA ESPERANÇA','CAMPINAS','SP','125252251215111451479714575122610167111',4697,'9998',61.75,1,3,NULL),(15,2069679,'1988-08-11 00:00:00',4,1,12,2006,'F','N','JURERÊ','FLORIANOPOLIS','SC','124242241215372431459813495122610123092',8666,'266',54.22,1,3,NULL),(15,2069687,'1987-03-13 00:00:00',2,8,12,2004,'F','N','REBOUÇAS','CURITIBA','PR','116164161215571431547613371124143254042',9666,'9998',52.47,1,3,NULL),(15,2069695,'1991-04-22 00:00:00',4,8,11,2008,'M','S','SCHRAMM','SAO BENTO DO SUL','SC','124242241215111431437614575122610124052',NULL,'1114',41.19,1,3,NULL),(15,2069709,'1989-04-03 00:00:00',2,1,12,2006,'F','N','CENTRO','GURUPI','TO','109272271216372731459913571122610125107',NULL,'9998',0.00,4,3,NULL),(15,2069717,'1988-07-02 00:00:00',4,1,12,2006,'F','N','JARDIM PALMARES','RIBEIRAO PRETO','SP','125252251215471431337839575124610137072',9839,'9998',52.20,1,3,NULL),(15,2069725,'1990-07-03 00:00:00',4,4,12,2007,'F','N','CENTRO','CLEVELANDIA','PR','116162161215122431459914575125610122047',NULL,'9998',0.00,1,3,NULL),(15,2069733,'1989-06-19 00:00:00',2,1,12,2006,'F','N','FREGUESIA DO Ó','SAO PAULO','SP','125252251216471431458813571124610145142',10841,'9998',50.69,1,3,NULL),(15,2069741,'1983-03-30 00:00:00',2,1,12,2000,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','224241241117135421246654345224233224047',11456,'307',49.76,4,2,1),(15,2069750,'1989-02-27 00:00:00',1,8,11,2006,'F','N','CIDADE DUTRA','SAO PAULO','SP','125252251217471431468814575122610164196',NULL,'9998',0.00,1,3,NULL),(15,2069768,'1990-04-27 00:00:00',2,1,12,2007,'F','N','CENTRO','TIJUCAS','SC','124244246215111411336614572221610128067',16341,'1119',42.84,1,3,NULL),(15,2069776,'1990-07-26 00:00:00',4,1,12,2007,'F','N','CENTRO','ITAPORANGA','SP','125253251216111431538716575125610132147',9417,'9998',52.91,1,3,NULL),(15,2069784,'1989-01-02 00:00:00',2,1,12,2006,'M','N','ZONA SEIS','MARINGA','PR','116161161216371732426515572115610132147',8749,'9998',54.11,1,3,NULL),(15,2069792,'1990-04-14 00:00:00',4,1,12,2007,'M','N','PARQUE SÃO JORGE','FLORIANOPOLIS','SC','124242241215271431568813575122610112112',5200,'883',60.71,1,3,NULL),(15,2069806,'1989-09-21 00:00:00',4,1,11,2006,'F','N','JABAQUARA','SAO PAULO','SP','125252251214571431289811574115610167183',5030,'9998',61.03,1,3,NULL),(15,2069814,'1989-04-05 00:00:00',2,1,12,2006,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241115152231646933575124610117042',5401,'307',60.28,1,2,1),(15,2069830,'1986-02-03 00:00:00',2,1,12,2003,'M','N','CAMPINAS','SAO JOSE','SC','124242241217375431376919575114131447042',3642,'266',64.38,1,3,NULL),(15,2069849,'1989-10-12 00:00:00',4,1,11,2006,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215422431559914484122610167042',5997,'497',59.09,1,3,NULL),(15,2069857,'1989-01-17 00:00:00',4,1,11,2006,'M','N','IMIRIM','SAO PAULO','SP','125252251216471411478934385124610167097',4507,'9998',62.23,1,3,NULL),(15,2069865,'1988-03-02 00:00:00',2,3,12,2005,'F','N','BATEL','CURITIBA','PR','116162164317112751488812575122610153092',14591,'9998',45.28,1,3,NULL),(15,2069873,'1990-12-27 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124244241215111311568839576111610167127',5703,'272',59.67,4,3,NULL),(15,2069881,'1989-10-18 00:00:00',4,5,12,2006,'F','N','COMERCIÁRIO','CRICIUMA','SC','120242241215273431379931572124242664122',NULL,'226',0.00,1,3,NULL),(15,2069890,'1988-12-31 00:00:00',4,1,12,2006,'M','N','JD COLINAS','SAO JOSE DOS CAMPOS','SP','125252256216471431468614575122610128112',NULL,'9998',0.00,1,3,NULL),(15,2069903,'1988-08-20 00:00:00',2,8,12,2005,'M','N','CIDADE NAUTICA','SAO VICENTE','SP','125251251146371431344834575124241366117',8949,'9998',53.75,1,2,1),(15,2069911,'1989-12-30 00:00:00',2,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241121261432423311115124610122117',17700,'290',40.80,1,2,1),(15,2069920,'1991-12-03 00:00:00',4,5,12,2008,'F','S','CENTRO','CRICIUMA','SC','124242241215111432389714575122610124192',NULL,'226',63.04,1,3,NULL),(15,2069938,'1990-03-23 00:00:00',4,1,12,2007,'M','N','CENTRO','CAXIAS DO SUL','RS','120202201217471451468823572122610162142',1361,'9998',71.82,1,3,NULL),(15,2069946,'1990-12-27 00:00:00',2,1,12,2007,'F','N','VILA JANSEN','FARROUPILHA','RS','120203201117271751436636576124610134047',11670,'9998',49.45,1,3,NULL),(15,2069962,'1989-07-30 00:00:00',2,1,12,2006,'F','N','FORQUILHINHAS','SAO JOSE','SC','124244241216372431443323172124610125067',7876,'266',55.56,2,1,2),(15,2069989,'1986-03-18 00:00:00',2,1,7,2004,'M','N','GANCHOS DO MEIO','GOVERNADOR CELSO RAMOS','SC','124241243126141421555719242114610134162',13920,'329',46.29,1,2,1),(15,2069997,'1989-12-25 00:00:00',4,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124242241215411431469913155121610164062',518,'1063',76.64,1,3,NULL),(15,2070006,'1990-03-20 00:00:00',4,3,12,2007,'M','N','BOM JESUS','CAMPO GRANDE','MS','112122121217371431542824395122610162187',7131,'9998',56.91,1,3,NULL),(15,2070014,'1990-04-07 00:00:00',4,1,12,2007,'M','N','FERRAZ','GAROPABA','SC','124241241215111431558814575114610137117',4164,'270',63.01,1,3,NULL),(15,2070022,'1987-02-23 00:00:00',2,1,12,2004,'F','N','PENHA','PAULO LOPES','SC','124241241117133421353412435124610124112',16937,'361',41.95,1,2,1),(15,2070030,'1990-03-06 00:00:00',4,7,11,2007,'M','N','CENTRO','VIDEIRA','SC','124241241415121531578634585124610167057',17505,'969',41.08,1,3,NULL),(15,2070049,'1989-04-01 00:00:00',2,1,11,2006,'F','N','CERQUEIRA CESAR','SAO PAULO','SP','125254251217272431428616572125610161142',6627,'9998',57.85,1,3,NULL),(15,2070057,'1989-03-28 00:00:00',4,1,12,2006,'M','N','VILA MOEMA','TUBARAO','SC','124242241215372431458832574122610167092',1720,'797',70.30,1,3,NULL),(15,2070073,'1990-08-25 00:00:00',4,7,11,2007,'F','N','CENTRO','CANOINHAS','SC','124244241215111431466632295122610167147',14214,'154',45.85,1,3,NULL),(15,2070081,'1985-11-25 00:00:00',4,1,12,2005,'M','N','ARMACAO','FLORIANOPOLIS','SC','124071071217372411338853475124610162172',11466,'9998',49.75,2,3,NULL),(15,2070090,'1990-08-08 00:00:00',2,1,12,2007,'M','N','SERRA DO MICO','SAO MIGUEL DO IGUACU','PR','116162161217471731425415455124610138057',22360,'9998',30.64,1,3,NULL),(15,2070103,'1990-06-06 00:00:00',2,1,11,2007,'F','N','BELA VISTA I','SAO JOSE','SC','124241241111171731426624575124610124197',22399,'257',30.39,1,2,1),(15,2070111,'1990-05-17 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215121731248833575124610167042',1322,'270',72.00,1,3,NULL),(15,2070120,'1989-09-18 00:00:00',2,1,11,2006,'F','N','VILA WILLY','ERECHIM','RS','120202201215472431335416575124610127072',5577,'9998',59.92,1,3,NULL),(15,2070138,'1988-10-14 00:00:00',2,7,12,2005,'M','N','CENTRO','AGUA DOCE','SC','124241241127151431446612242212613263087',NULL,'9',18.82,1,3,NULL),(15,2070146,'1988-04-15 00:00:00',2,1,12,2005,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242241215472431358869295124131023157',4628,'270',61.94,1,3,NULL),(15,2070154,'1990-08-02 00:00:00',4,1,11,2007,'M','N','BOSQUE DAS MANSÕES','SAO JOSE','SC','124242241215151431449633575122610164141',9261,'738',53.17,1,3,NULL),(15,2070162,'1989-01-26 00:00:00',4,8,12,2006,'F','N','JAGUARE','SAO PAULO','SP','125252251215472431268824571112510144147',1139,'9998',72.87,1,3,NULL),(15,2070170,'1989-09-16 00:00:00',4,1,12,2007,'M','N','REAL PARQUE','SAO PAULO','SP','125252251215151432488634572112610167046',8915,'9998',53.81,1,3,NULL),(15,2070189,'1990-12-16 00:00:00',4,1,12,2007,'F','N','APARECIDA','SANTOS','SP','125254251416371431556639572122610124077',16712,'9998',42.31,1,3,NULL),(15,2070197,'1989-01-26 00:00:00',4,1,12,2006,'M','N','VILA FELIZ','APUCARANA','PR','116162161235472431568819572112610117062',203,'9998',79.93,1,3,NULL),(15,2070200,'1989-10-26 00:00:00',4,8,12,2007,'M','N','ATIRADORES','JOINVILLE','SC','124242241216411431479612595122610162052',NULL,'491',0.00,1,3,NULL),(15,2070219,'1989-10-17 00:00:00',4,8,12,2006,'M','N','REBOUÇAS','CURITIBA','PR','116242241215471451248819575122610167012',NULL,'491',0.00,1,3,NULL),(15,2070227,'1989-12-04 00:00:00',4,1,12,2007,'M','N','TAGUATINGA DF','TAGUATINGA','DF','107072071217151451576812575122610167095',1829,'9998',69.85,1,3,NULL),(15,2070235,'1990-02-10 00:00:00',4,5,11,2007,'M','N','MINA BRASIL','CRICIUMA','SC','124242241211112731379934492132610167072',1576,'213',70.88,3,3,NULL),(15,2070243,'1989-11-13 00:00:00',2,7,12,2007,'M','N','BERGUER','CACADOR','SC','124242241235111421455932575112610161147',7424,'120',56.37,1,3,NULL),(15,2070251,'1989-08-01 00:00:00',4,1,11,2006,'F','N','VILA QUITAUNA','OSASCO','SP','125252251215471411148811571124610167092',6331,'9998',58.40,1,3,NULL),(15,2070260,'1987-10-12 00:00:00',4,1,12,2005,'M','N','CENTRO','BOTUCATU','SP','125252251217511431468814572122610167057',8716,'9998',54.15,1,3,NULL),(15,2070278,'1989-10-07 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241217111431676822571124610141112',7188,'270',56.82,1,3,NULL),(15,2070286,'1987-11-03 00:00:00',4,1,12,2005,'M','N','JARDIM MAUÁ','NOVO HAMBURGO','RS','120204061417571411467731245112610156042',2783,'9998',66.79,1,3,NULL),(15,2070316,'1990-02-17 00:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215121431436911571124610125147',15275,'270',44.44,1,3,NULL),(15,2070332,'1990-04-24 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215121431469933571122610125092',7335,'270',56.54,1,3,NULL),(15,2070359,'1990-07-25 00:00:00',4,6,12,2007,'F','N','PRAIA DOS AMORES','ITAJAI','SC','124242241215112431448611574122610164092',2346,'9997',68.09,1,3,NULL),(15,2070367,'1985-12-10 00:00:00',4,8,12,2003,'M','N','UVARANAS','PONTA GROSSA','PR','116241241132131331436412571224241722147',3465,'669',64.84,1,2,1),(15,2070375,'1989-02-10 00:00:00',2,1,12,2006,'F','N','IPIRANGA','SAO JOSE','SC','124244241315372431328723372124610134092',2922,'269',66.38,1,3,NULL),(15,2070383,'1988-10-20 00:00:00',4,1,12,2005,'F','N','VILA WILLY','ERECHIM','RS','120202201235371431446634372114610123147',8359,'9998',54.75,1,3,NULL),(15,2070391,'1979-10-05 00:00:00',4,1,12,1995,'M','N','TRINDADE','FLORIANOPOLIS','SC','524244241115373421479851235122333264172',645,'271',75.75,1,3,NULL),(15,2070405,'1984-02-10 00:00:00',4,1,12,2001,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124243241137433411246623485124221764187',4132,'739',63.11,1,3,NULL),(15,2070413,'1991-03-08 00:00:00',2,1,12,2007,'M','N','AREIAS','SAO JOSE','SC','124242241215111432433711595122610167072',9659,'737',52.47,1,3,NULL),(15,2070430,'1988-02-06 00:00:00',2,1,12,2005,'M','N','CENTRO','ITANHAEM','SP','125252251211471411325521575122610114117',NULL,'9998',0.00,2,1,2),(15,2070448,'1987-08-16 00:00:00',4,1,12,2004,'F','N','QUARENTA E OITO BAIX','LINDOLFO COLLOR','RS','120241241137233441359811375124133226174',6806,'298',57.53,1,3,NULL),(15,2070456,'1985-08-18 00:00:00',4,1,8,2007,'F','N','INDEPENDENCIA','PORTO ALEGRE','RS','120202207217271431458731391124610124182',20102,'9998',36.62,1,3,NULL),(15,2070464,'1988-05-14 00:00:00',2,10,12,2005,'M','N','TERMAS DE GRAVATAL','GRAVATAL','SC','124241241215572731356622246114610117067',7050,'807',57.06,1,3,NULL),(15,2070472,'1988-12-25 00:00:00',2,1,12,2005,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124214251216372421358813332124610122027',13101,'9998',47.44,1,3,NULL),(15,2070480,'1990-03-16 00:00:00',4,1,12,2007,'M','N','CHACARA SANTA MARIA','VOTORANTIM','SP','125252251217111431468839571122610168012',7044,'9998',57.08,1,3,NULL),(15,2070499,'1990-09-16 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431579933372122610137072',3224,'262',65.46,1,3,NULL),(15,2070502,'1990-10-10 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241311151441646933571124610163092',8512,'1098',54.49,1,3,NULL),(15,2070529,'1988-03-05 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201201117374411666814295124610164195',6791,'9998',57.57,1,2,1),(15,2070537,'1989-01-28 00:00:00',4,6,12,2006,'F','N','IPIRANGA','SAO PAULO','SP','125252251217471431367823572124610164077',234,'9998',79.53,1,3,NULL),(15,2070545,'1987-06-02 00:00:00',4,1,11,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215574431353335574125610145017',264,'226',79.14,1,3,NULL),(15,2070553,'1988-11-14 00:00:00',2,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111431445712575124610127057',11300,'738',50.01,1,3,NULL),(15,2070561,'1990-04-01 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124243241217131431554611375122610131012',14118,'944',46.01,1,3,NULL),(15,2070588,'1989-04-08 00:00:00',2,1,12,2006,'F','N','CENTRO','XANXERE','SC','124242248216372431245923575124610123147',20613,'1046',35.66,1,3,NULL),(15,2070596,'1990-07-18 00:00:00',4,1,12,2007,'M','N','CENTRO','PASSO FUNDO','RS','120202201217251441238634215122610167042',5708,'9998',59.66,1,3,NULL),(15,2070600,'1987-06-08 00:00:00',3,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124244247217372632528511572111610167097',17610,'270',40.92,1,3,NULL),(15,2070626,'1990-08-23 00:00:00',2,8,12,2007,'F','N','NOVA BRASILIA','JOINVILLE','SC','124241241211111711336514446124610165147',11803,'1016',49.25,3,3,NULL),(15,2070634,'1989-04-06 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215472231238633572114610164112',NULL,'262',41.97,4,3,NULL),(15,2070642,'1988-10-20 00:00:00',4,1,12,2005,'F','N','VILA WILLY','ERECHIM','RS','120202201235371431446634272114610123147',4554,'9998',62.13,1,3,NULL),(15,2070650,'1987-08-09 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124252251215371431548712395124140437082',13661,'9998',46.67,1,3,NULL),(15,2070669,'1989-03-07 00:00:00',2,1,12,2006,'M','N','CENTRO','ARARAQUARA','SP','125251251214371431438833575112610162087',14025,'9998',46.13,1,3,NULL),(15,2070677,'1989-01-12 00:00:00',4,1,12,2007,'F','N','MORUMBI','SAO PAULO','SP','125252251217371431238734472222610132112',18867,'9998',38.90,1,3,NULL),(15,2070685,'1989-12-05 00:00:00',4,1,12,2006,'M','N','AEROPORTO','TUBARAO','SC','124242241215372431458831575112610127112',3746,'797',64.08,1,3,NULL),(15,2070693,'1990-06-06 00:00:00',4,1,12,2007,'M','N','PARQUE TAQUARAL','CAMPINAS','SP','125252251217371431479933575122610144012',5316,'9998',60.49,1,3,NULL),(15,2070707,'1990-01-24 00:00:00',4,1,12,2007,'M','N','CENTRO','RIBEIRAO PRETO','SP','125134251211111431468912191125610167122',1163,'9998',72.71,1,3,NULL),(15,2070715,'1990-07-29 00:00:00',4,1,10,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124242241215112432366833575112610164097',20095,'269',36.63,1,3,NULL),(15,2070723,'1988-03-10 00:00:00',4,1,12,2005,'M','N','VILA GOMES CARDIM','SAO PAULO','SP','125252251217571431478711575115610134047',NULL,'9998',NULL,3,3,NULL),(15,2070731,'1987-11-15 00:00:00',2,1,11,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431458812571124230225173',5010,'270',61.06,1,3,NULL),(15,2070740,'1990-08-19 00:00:00',2,5,12,2007,'F','N','LINHA MARAGNO','TURVO','SC','124241241115131431423315191224610136147',11641,'814',49.49,1,2,1),(15,2070774,'1990-05-24 00:00:00',4,8,12,2007,'F','N','BARRA DO RIO CERRO','JARAGUA DO SUL','SC','124243241215151411435522475124610123012',8281,'424',54.88,1,3,NULL),(15,2070782,'1985-06-21 00:00:00',2,8,12,2003,'F','N','CENTRO','ITAPORA','MS','112121121126141431633313181321141756177',12840,'9998',47.81,4,1,1),(15,2070790,'1990-12-05 00:00:00',4,2,12,2008,'F','S','SÃO LUÍS','BRUSQUE','SC','124242241215111431367912272112610132182',NULL,'107',66.90,1,3,NULL),(15,2070804,'1984-03-29 00:00:00',2,1,11,2002,'M','N','ANCHIETA','BELO HORIZONTE','MG','113132131217572411478821574114143212182',NULL,'9998',0.00,1,3,NULL),(15,2070812,'1990-06-22 00:00:00',4,8,12,2007,'M','N','JARDIM CALIFÓRNIA','IRATI','PR','116162161217371431479931572114610134182',666,'9998',75.64,4,3,NULL),(15,2070820,'1989-12-16 00:00:00',4,8,12,2007,'F','N','AGUA VERDE','CURITIBA','PR','116052161217421411588814574124610137092',NULL,'9998',0.00,1,3,NULL),(15,2070839,'1988-08-01 00:00:00',2,1,3,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241117473431356919576122610162147',1924,'267',69.51,1,2,1),(15,2070847,'1989-11-16 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124123247236211431358811575122610164181',22185,'977',31.55,1,3,NULL),(15,2070855,'1989-09-07 00:00:00',2,4,12,2006,'F','N','CENTRO','CHAPECO','SC','124162241215272411346923576124131834012',7021,'1022',57.11,1,3,NULL),(15,2070863,'1989-09-07 00:00:00',4,8,11,2007,'F','N','AMERICA','JOINVILLE','SC','124242241215371431489933575112610162072',13413,'491',47.00,1,3,NULL),(15,2070871,'1990-01-13 00:00:00',4,1,11,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241216111431458931574112610166192',161,'270',80.47,1,3,NULL),(15,2070880,'1990-02-12 00:00:00',4,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241211122431468723571124610166152',1208,'270',72.42,1,3,NULL),(15,2070898,'1983-11-14 00:00:00',4,1,12,2002,'F','N','JD NOVO CHAPADÃO','CAMPINAS','SP','125253251217131451666634575122140266092',15016,'9998',44.77,1,3,NULL),(15,2070901,'1988-08-04 00:00:00',4,8,12,2006,'M','N','FLORESTA','JOINVILLE','SC','124242241216573431366634592111610167072',3922,'457',63.67,1,3,NULL),(15,2070910,'1986-02-17 00:00:00',4,1,12,2003,'F','N','LAGO SUL','LAGO SUL','DF','107072071216573731368613475122610162187',10513,'9998',51.17,1,3,NULL),(15,2070928,'1989-10-01 00:00:00',4,4,12,2006,'M','N','CENTRO','MARAU','RS','120203201216471421448932575124610167042',8174,'9998',55.06,1,3,NULL),(15,2070936,'1988-03-23 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216373441554919595124131424112',20133,'499',36.56,1,3,NULL),(15,2070944,'1990-05-07 00:00:00',4,1,12,2007,'M','N','CENTRO','BIGUACU','SC','124242241216112431566514575124610168082',1375,'270',71.77,1,3,NULL),(15,2070952,'1989-01-08 00:00:00',4,4,12,2005,'F','N','SANTANA','PORTO ALEGRE','RS','120201201117571431234823571124610167147',15595,'9998',43.97,1,2,1),(15,2070960,'1987-12-27 00:00:00',4,1,11,2005,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241216373431679613275112121424017',1743,'272',70.23,1,3,NULL),(15,2070979,'1985-05-13 00:00:00',4,1,11,2003,'M','N','HORTO FLORESTAL','SAO PAULO','SP','125254258117341351337779395124610167112',16016,'9998',43.36,1,3,NULL),(15,2070987,'1989-01-20 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124043041137231231278631475114610135092',NULL,'9998',0.00,1,3,NULL),(15,2070995,'1987-05-01 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124252061216372411268822245122131365091',20429,'9998',35.99,1,3,NULL),(15,2071002,'1990-01-12 00:00:00',4,1,9,2007,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124093041116111441556613572222610161192',NULL,'9998',25.44,1,3,NULL),(15,2071010,'1990-03-14 00:00:00',4,1,12,2007,'M','N','ASA NORTE','BRASILIA','DF','107072071217111431678813575122610137117',14515,'9998',45.39,1,3,NULL),(15,2071029,'1990-11-02 00:00:00',4,1,12,2007,'F','N','CENTRO','BIGUACU','SC','124242241235112431356819475124610167072',2312,'1118',68.20,1,3,NULL),(15,2071037,'1991-08-12 00:00:00',4,1,12,2008,'F','S','CARVOEIRA','FLORIANOPOLIS','SC','124242241215111431458639494122610123012',NULL,'266',49.81,1,3,NULL),(15,2071045,'1991-08-16 00:00:00',4,4,11,2007,'M','N','CENTRO','XAXIM','SC','124242241215271431458931575122610164057',6455,'185',58.16,1,3,NULL),(15,2071053,'1986-03-15 00:00:00',4,1,12,2004,'F','N','CACH DO BOM JESUS','FLORIANOPOLIS','SC','124132241215474431458819575124610136077',13480,'1036',46.91,1,3,NULL),(15,2071061,'1990-11-18 00:00:00',4,1,11,2007,'M','N','CENTRO','CASCAVEL','PR','116162161217111431468833575115610167011',21922,'9998',32.54,1,3,NULL),(15,2071088,'1989-10-02 00:00:00',4,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215111431328634345124610124067',9490,'270',52.79,1,3,NULL),(15,2071096,'1984-07-16 00:00:00',4,1,12,2001,'M','N','ASA SUL','BRASILIA','DF','107071071116271731468813495122243268187',13667,'9998',46.66,1,2,1),(15,2071100,'1990-11-23 00:00:00',4,1,11,2008,'M','S','SETOR BELA VISTA','GOIANIA','GO','109092091213151411448811571111610164112',NULL,'9998',65.98,2,3,NULL),(15,2071118,'1990-04-28 00:00:00',4,1,12,2007,'M','N','CENTRO','LEOBERTO LEAL','SC','124241241125161431346933275122610164057',22268,'533',31.21,1,2,1),(15,2071134,'1990-07-25 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241417131431636611312114610113147',NULL,'732',22.19,1,3,NULL),(15,2071142,'1987-11-13 00:00:00',4,1,11,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215242412458934345124230767052',13582,'262',46.77,1,3,NULL),(15,2071150,'1989-09-27 00:00:00',4,7,12,2006,'F','N','VISTA ALEGRE','CONCORDIA','SC','124241241147131431433329341325610161142',19073,'194',38.56,1,3,NULL),(15,2071169,'1989-09-04 00:00:00',4,1,11,2007,'F','N','BOA ESPERANÇA','CUIABA','MT','111112111235111711459812575122610153092',7920,'9998',55.49,1,3,NULL),(15,2071177,'1989-08-28 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431338829371124610122071',1420,'270',71.55,1,3,NULL),(15,2071185,'1989-12-03 00:00:00',4,1,12,2007,'M','N','SÃO JOÃO','PORTO ALEGRE','RS','120202201217471411689811471121241744172',NULL,'9998',0.00,1,3,NULL),(15,2071193,'1988-01-29 00:00:00',4,1,12,2006,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124201207336371431438711575112610167095',NULL,'9998',12.71,1,3,NULL),(15,2071207,'1989-12-28 00:00:00',4,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242248216111451428711312122610127142',5977,'9997',59.12,1,3,NULL),(15,2071223,'1989-03-31 00:00:00',4,7,12,2007,'M','N','CENTRO','IOMERE','SC','124241241127151731443614175122610167057',21291,'368',34.23,1,3,NULL),(15,2071231,'1988-07-23 00:00:00',2,1,12,2005,'F','N','CENTRO','PALHOCA','SC','124244241215143531459843273124232727092',20971,'989',34.91,1,3,NULL),(15,2071240,'1988-10-31 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241112171431424624335324610117042',16805,'281',42.15,2,1,1),(15,2071266,'1989-03-14 00:00:00',2,8,12,2006,'M','N','AVENTUREIRO','JOINVILLE','SC','124242244225471751536412195122610117045',4988,'1016',61.11,1,3,NULL),(15,2071274,'1989-05-30 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124242241416372411446613575114610144147',17323,'592',41.35,1,3,NULL),(15,2071282,'1985-01-29 00:00:00',2,1,12,2004,'M','N','CENTRO','LAVRAS','MG','113132131216141441579769315122240627182',NULL,'9998',0.00,4,1,2),(15,2071290,'1990-03-23 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431438613475114610131197',5702,'270',59.67,1,3,NULL),(15,2071304,'1985-09-07 00:00:00',2,1,12,2003,'M','N','FAZENDA SANTO ANTONI','SAO JOSE','SC','124241241115153421568712495122333268145',7688,'739',55.88,1,3,NULL),(15,2071312,'1988-10-16 01:00:00',4,1,12,2006,'F','N','PONTO NOVO','ARACAJU','SE','126262261216471431456824572122610124142',127,'9998',81.02,1,3,NULL),(15,2071320,'1982-01-05 00:00:00',4,1,12,2000,'M','N','PRAIA TREZE DE JULHO','ARACAJU','SE','126262261217472431569914575122341463172',1917,'9998',69.54,1,3,NULL),(15,2071355,'1988-12-10 00:00:00',2,1,12,2006,'F','N','BOTAFOGO','BENTO GONCALVES','RS','120201201116271431348669135124240667112',20384,'9998',36.09,1,2,1),(15,2071363,'1987-03-25 00:00:00',4,1,12,2007,'M','N','CORREGO GRANDE','GOIANIA','GO','124092247237141331568613385124610164187',20533,'9999',35.83,1,3,NULL),(15,2071371,'1987-01-29 00:00:00',2,7,12,2004,'M','N','VISTA ALEGRE','CONCORDIA','SC','124241241147131431434644241325610168142',12479,'192',48.33,1,3,NULL),(15,2071398,'1991-04-30 00:00:00',2,3,11,2007,'M','N','VILA REAL','BALNEARIO CAMBORIU','SC','124241241115271411643519282122610164047',2457,'51',67.76,1,3,NULL),(15,2071401,'1990-10-17 00:00:00',4,8,12,2007,'F','N','VILA NOVA','JOINVILLE','SC','124241241227311712459813575124610117117',22188,'1105',31.53,1,3,NULL),(15,2071410,'1990-09-11 00:00:00',4,1,12,2007,'M','N','BOTAFOGO','BENTO GONCALVES','RS','120201201116151431348669175124610138192',17332,'9998',41.33,1,2,1),(15,2071428,'1987-01-01 00:00:00',2,1,12,2004,'M','N','BAIRRO IPIRANGA','SAO JOSE','SC','124242241217274751247813335123240247057',5270,'1022',60.58,1,3,NULL),(15,2071452,'1991-03-02 00:00:00',4,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124242241212271431489912595121610167182',15245,'1105',44.48,1,3,NULL),(15,2071460,'1989-03-17 00:00:00',2,1,12,2006,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241135371711226424575124610134147',14215,'307',45.85,1,2,1),(15,2071479,'1989-12-22 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241117272431356634575114610162141',6293,'192',58.46,1,2,1),(15,2071509,'1989-07-11 00:00:00',2,1,12,2006,'F','N','VILLAGE','IMBITUBA','SC','124241241116271431436914572114610111117',NULL,'361',23.46,1,2,1),(15,2071517,'1986-12-05 00:00:00',4,3,12,2004,'M','N','SERRA DO ITAPETY','MOGI DAS CRUZES','SP','125252251217571431487912275122610122127',3759,'9998',64.06,1,3,NULL),(15,2071525,'1990-01-30 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241217472431534629595124232725031',7813,'943',55.67,4,3,NULL),(15,2071533,'1987-05-24 00:00:00',4,1,12,2004,'F','N','SERRINHA','FLORIANOPOLIS','SC','124242241217574431688914574124131024182',399,'270',77.68,1,3,NULL),(15,2071576,'1986-07-06 00:00:00',2,1,12,2003,'F','N','ELITE','RESENDE','RJ','121212211216371711436833385124340624187',8834,'9998',53.96,4,3,NULL),(15,2071584,'1990-11-16 00:00:00',4,1,12,2007,'M','N','CENTRO','CORONEL VIVIDA','PR','116161161117131431336612182121610128182',16567,'9998',42.49,1,2,1),(15,2071614,'1989-06-21 00:00:00',4,2,12,2006,'F','N','CAPÃO RASO','CURITIBA','PR','125253251311471431449831292124610164092',11181,'9998',50.19,4,3,NULL),(15,2071622,'1988-08-21 00:00:00',2,1,11,2006,'M','N','REBOUÇAS','CURITIBA','PR','122223221412471431321129592324610144042',18764,'9998',39.05,4,1,2),(15,2071673,'1962-01-02 00:00:00',2,9,12,1982,'M','N','RIO BRANCO','CAXIAS DO SUL','RS','120203203426155451123473232124141756187',NULL,'9998',14.73,1,3,NULL),(15,2071681,'1990-06-25 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241112131431327623392224610137055',NULL,'281',25.18,1,3,NULL),(15,2071690,'1988-08-30 00:00:00',4,3,12,2005,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215574431437833575112141432062',3499,'44',64.76,1,3,NULL),(15,2071703,'1990-08-09 00:00:00',2,1,12,2007,'M','N','BARRA DO ARIRIU','PALHOCA','SC','124241241142131431543933571114610137047',NULL,'591',20.25,1,3,NULL),(15,2071711,'1977-09-10 00:00:00',5,1,12,1997,'F','N','KOBRASOL','SAO JOSE','SC','124111241121135721122343131344610168181',19444,'307',37.93,1,2,1),(15,2071720,'1990-12-10 00:00:00',4,5,12,2007,'F','N','CENTRO','SAO LOURENCO DO OESTE','SC','124241241147131131436644241333610147147',NULL,'745',25.63,1,3,NULL),(15,2071738,'1990-05-30 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241216111431478819571124610164182',5345,'270',60.42,1,3,NULL),(15,2071746,'1987-04-08 00:00:00',2,1,12,2004,'M','N','RIO BRANCO','CAXIAS DO SUL','RS','120202201146271431346621345123241432047',15701,'9998',43.81,1,3,NULL),(15,2071762,'1989-11-20 00:00:00',4,1,11,2007,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124242241215472731566629385124610164066',7431,'1098',56.36,1,3,NULL),(15,2071770,'1989-08-24 00:00:00',4,1,12,2006,'M','N','BELA VISTA','CHAPECO','SC','124244241115271531449814571114143244021',3691,'169',64.24,1,3,NULL),(15,2071789,'1982-04-23 00:00:00',4,1,12,1999,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124242241216134421426611285124231047057',NULL,'266',0.00,1,3,NULL),(15,2071797,'1990-01-14 00:00:00',2,1,12,2006,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241215272731435634384224610116142',8575,'774',54.41,1,3,NULL),(15,2071800,'1988-10-30 00:00:00',2,9,11,2006,'M','N','SAGRADO CORAÇÃO','LAGES','SC','124242241215471431328824244122610162017',6420,'497',58.22,1,3,NULL),(15,2071827,'1990-03-13 00:00:00',4,1,12,2007,'M','N','CENTRO','SAO MIGUEL DO IGUACU','PR','116162161217371431443615355122610114012',8520,'9998',54.47,1,3,NULL),(15,2071835,'1986-04-28 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241211372411268814442114132567142',18076,'299',40.19,1,3,NULL),(15,2071843,'1990-08-06 00:00:00',4,1,12,2007,'F','N','FORQUILHAS','SAO JOSE','SC','124244241117231431436833332124333233172',6831,'288',57.48,1,3,NULL),(15,2071851,'1990-02-02 00:00:00',2,1,12,2007,'F','N','IPIRANGA','SAO JOSE','SC','124241241115141431336419395124610147147',21701,'306',33.27,1,2,1),(15,2071860,'1985-02-12 00:00:00',2,1,12,2002,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241126273421331823245124610163045',12816,'329',47.84,1,2,1),(15,2071878,'1978-06-12 00:00:00',4,1,12,1995,'F','N','CENTRO','FLORIANOPOLIS','SC','524242241212272711466514412124321428072',6003,'262',59.07,1,3,NULL),(15,2071886,'1991-01-21 00:00:00',2,4,12,2007,'F','N','CENTRO','DIONISIO CERQUEIRA','SC','124243241116371712447612575122610133072',NULL,'245',21.24,1,3,NULL),(15,2071908,'1975-04-11 00:00:00',4,1,12,1991,'M','N','CENTRO','FLORIANOPOLIS','SC','424242241216132441236644345125333218043',NULL,'453',0.00,1,3,NULL),(15,2071916,'1982-09-27 00:00:00',2,1,12,1999,'F','N','MAGALHAES','LAGUNA','SC','124242248441132431234327445232132064142',NULL,'522',0.00,1,3,NULL),(15,2071932,'1984-04-18 00:00:00',2,1,12,2001,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241116112441355319295122222366135',7786,'281',55.73,1,2,1),(15,2071940,'1990-08-06 00:00:00',2,8,12,2007,'F','N','TAQUARAL','MONTE CASTELO','SC','124241241115161431426616371324610126072',NULL,'566',0.00,1,2,1),(15,2071959,'1985-09-05 00:00:00',4,1,12,2003,'F','N','PASSA VINTE','PALHOCA','SC','124241241127142411533314342124610124142',19078,'591',38.55,1,2,1),(15,2071975,'1990-06-11 00:00:00',4,1,12,2007,'M','N','PORTO DA LAGOA','FLORIANOPOLIS','SC','124244241216111231415534572122610124117',NULL,'259',26.45,1,3,NULL),(15,2071983,'1989-06-16 00:00:00',2,1,12,2006,'M','N','CENTRO','TERRA ROXA','PR','116161161316131411424614275111610167042',12278,'9998',48.61,2,1,2),(15,2071991,'1989-09-03 00:00:00',4,1,12,2006,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124241241111132431333919291124231842147',947,'592',73.80,1,2,1),(15,2072009,'1990-06-26 00:00:00',2,1,12,2007,'F','N','CENTRO','ANTONIO PRADO','RS','120201201136141431436512295225610163072',NULL,'9998',22.63,1,2,1),(15,2072017,'1978-04-19 00:00:00',5,1,11,1997,'F','N','CENTRO','FLORIANOPOLIS','SC','124242161216152711247679415122122767047',20059,'9998',36.71,1,3,NULL),(15,2072025,'1990-05-22 00:00:00',4,1,12,2007,'M','N','BIGORRILHO','CURITIBA','PR','116163161217121411367622575122610117052',12180,'9998',48.76,1,3,NULL),(15,2072033,'1990-02-26 00:00:00',2,4,12,2007,'M','N','ALVORADA','BARRACAO','PR','116241241116371431443921215124610135172',10699,'245',50.87,4,2,1),(15,2072041,'1989-01-18 00:00:00',4,1,12,2006,'M','N','CANOAS','RIO DO SUL','SC','124242246214372431468713474122133228182',6159,'1013',58.74,1,3,NULL),(15,2072068,'1990-06-03 00:00:00',2,8,11,2007,'F','N','PAULAS','SAO FRANCISCO DO SUL','SC','124241241135161731546314242124610163157',NULL,'710',0.00,1,2,1),(15,2072076,'1976-04-24 00:00:00',4,1,12,1996,'M','N','SÃO GERALDO','VOLTA REDONDA','RJ','121212211316151431338411212315142616177',NULL,'9998',0.00,4,3,NULL),(15,2072084,'1973-05-16 00:00:00',4,1,12,1991,'M','N','JARDIM ANALIA FRANCO','SAO PAULO','SP','125251251116371431658411475124140725092',8686,'9998',54.20,1,2,1),(15,2072092,'1985-07-20 00:00:00',2,1,12,2003,'M','N','BARÃO GERALDO','CAMPINAS','SP','125203201116432731123444445334141437057',15412,'9998',44.24,1,3,NULL),(15,2072106,'1990-03-21 00:00:00',4,3,12,2007,'M','N','JARDIM EMÍLIA','JACAREI','SP','125251251215111431318618182224610117042',4473,'9998',62.33,1,3,NULL),(15,2072114,'1989-07-31 00:00:00',4,5,12,2006,'M','N','FLORESTA','CRICIUMA','SC','124244246215272421333611145124610132052',8340,'995',54.79,1,3,NULL),(15,2072122,'1989-03-20 00:00:00',2,1,12,2006,'F','N','JD CAMPOS ELISEOS','CAMPINAS','SP','125251251416472431448614575124610133142',18096,'9998',40.15,1,3,NULL),(15,2072130,'1991-02-11 00:00:00',4,7,12,2007,'F','N','SEM NOME','IBIACA','RS','120201201136161431533635272324610127077',11068,'9998',50.36,4,2,1),(15,2072149,'1984-03-08 00:00:00',2,8,12,2003,'M','N','BOM RETIRO','JOINVILLE','SC','124244246216271431366419445122231437182',12535,'494',48.24,1,3,NULL),(15,2072157,'1991-02-21 00:00:00',4,8,12,2007,'F','N','SANTO ANTONIO','JOINVILLE','SC','124243241215131431334624575124610127072',9917,'489',52.06,1,3,NULL),(15,2072165,'1990-10-17 00:00:00',4,1,2,2008,'M','N','KOBRASOL','SAO JOSE','SC','124241241115131431433624242324610167127',6949,'739',57.25,1,2,1),(15,2072173,'1988-12-09 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242246214273431269923386124610162145',5760,'272',59.54,1,3,NULL),(15,2072181,'1987-10-27 00:00:00',4,1,12,2006,'F','N','CAMPINAS','FLORIANOPOLIS','SC','124241247125131711523314241323610125187',NULL,'736',0.00,1,3,NULL),(15,2072190,'1988-07-08 00:00:00',4,1,11,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124203201117373431244531292325610121097',6590,'9998',57.91,1,3,NULL),(15,2072203,'1988-11-19 00:00:00',2,1,12,2005,'M','N','CENTRO','PALHOCA','SC','124162161217273441638832322334610127187',4230,'9998',62.84,1,3,NULL),(15,2072211,'1960-08-24 00:00:00',2,1,11,1979,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','224202203213151411257844441132140818122',18673,'9998',39.21,1,3,NULL),(15,2072220,'1988-04-01 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241137372711526413345134610114142',NULL,'283',18.26,4,2,1),(15,2072238,'1989-08-01 00:00:00',4,1,12,2006,'M','N','JARDIM PALERMO','SAO BERNARDO DO CAMPO','SP','125252251211521431538712571122610122042',2641,'9998',67.20,1,3,NULL),(15,2072246,'1991-11-01 00:00:00',2,4,12,2007,'F','N','CENTRO','ERECHIM','RS','120201201215111441436615572124610148192',9171,'9998',53.32,1,3,NULL),(15,2072262,'1988-04-19 00:00:00',2,1,2,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241116133431443431382124610123091',17853,'267',40.59,1,2,1),(15,2072270,'1988-10-29 00:00:00',4,4,12,2005,'F','N','CENTRO','XAXIM','SC','124241241216572431446634345122610124141',3418,'168',64.95,1,3,NULL),(15,2072289,'1988-02-25 00:00:00',4,1,12,2005,'M','N','JARDIM GLORIA','AMERICANA','SP','125252251211571211387811371122610167182',6302,'9998',58.45,1,3,NULL),(15,2072297,'1985-12-14 00:00:00',2,1,12,2002,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','624241241137273412233311285223610136077',14724,'123',45.11,1,2,1),(15,2072300,'1987-06-21 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANOPOLIS','SC','124252243216473421446734381124230222017',NULL,'9997',23.32,2,3,NULL),(15,2072319,'1990-05-23 00:00:00',2,8,12,2007,'F','N','CENTRO','ALTONIA','PR','116161161115111431546923576324610127147',NULL,'9998',0.00,1,3,NULL),(15,2072327,'1989-02-20 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124242241215471431225754245114610124012',13271,'259',47.21,1,3,NULL),(15,2072343,'1991-06-10 00:00:00',4,5,11,2007,'M','N','CRUZEIRO DO SUL','CRICIUMA','SC','124242241215111131465631385122610114147',8694,'211',54.19,1,3,NULL),(15,2072351,'1983-09-22 00:00:00',2,1,7,2004,'M','N','FZD SANTO ANTONIO','SAO JOSE','SC','124241241126474431444429341123610165197',21938,'728',32.49,1,2,1),(15,2072360,'1992-02-07 00:00:00',4,5,10,2007,'M','N','COMERCIARIO','CRICIUMA','SC','124244241415111722457811292115610116112',16057,'211',43.29,1,3,NULL),(15,2072386,'1991-08-11 00:00:00',4,1,11,2008,'M','S','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241216111731468713595112610137042',NULL,'738',47.35,1,3,NULL),(15,2072408,'1987-09-17 00:00:00',3,1,11,2005,'F','N','AMERICA','JOINVILLE','SC','124244241415273431119924595124221425092',NULL,'486',0.00,4,3,NULL),(15,2072416,'1991-03-18 00:00:00',4,5,11,2007,'F','N','SÃO CRISTÓVÃO','CRICIUMA','SC','124243241217111231456714172125610127097',7832,'211',55.63,1,3,NULL),(15,2072424,'1991-09-06 00:00:00',4,5,11,2007,'F','N','CENTRO','MORRO DA FUMACA','SC','124242241217111131477913474122610142142',15211,'211',44.52,1,3,NULL),(15,2072432,'1985-02-12 00:00:00',2,1,12,2002,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242241216374431433634242124122727142',NULL,'270',0.00,1,3,NULL),(15,2072440,'1990-04-09 00:00:00',2,9,11,2007,'F','N','CENTRO','SAO JOAQUIM','SC','124241241417131431424336594222610148047',NULL,'720',17.51,1,3,NULL),(15,2072459,'1987-11-06 00:00:00',4,6,12,2005,'M','N','DOM BOSCO','ITAJAI','SC','124262261237151441567514575122240664182',3702,'9998',64.22,1,3,NULL),(15,2072467,'1991-09-23 00:00:00',4,5,11,2007,'F','N','PIO CORRÊA','CRICIUMA','SC','124242241215151431455933574122610125182',16206,'211',43.05,1,3,NULL),(15,2072475,'1985-09-16 00:00:00',3,1,12,2002,'M','N','PANTANAL','FLORIANOPOLIS','SC','124254251417473431635614144323222256117',13805,'9998',46.46,5,3,NULL),(15,2072483,'1990-08-22 00:00:00',4,8,10,2007,'M','N','COMASA','JOINVILLE','SC','124242241215121431446812192112610124057',2036,'486',69.14,1,3,NULL),(15,2072491,'1989-08-15 00:00:00',2,1,12,2006,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124243241215473431436931572114132767097',4304,'270',62.69,1,3,NULL),(15,2072521,'1990-02-13 00:00:00',4,5,11,2007,'M','N','PIO CORREA','CRICIUMA','SC','124242241213112751558812595114610167095',11133,'211',50.25,4,3,NULL),(15,2072530,'1989-10-03 00:00:00',4,7,12,2006,'M','N','JARDIM AMÉRICA','FRAIBURGO','SC','124241241127371431356624245124610126042',NULL,'9997',0.00,1,2,1),(15,2072548,'1984-11-02 00:00:00',2,1,8,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241147272431665514445124610134097',NULL,'282',26.59,1,2,1),(15,2072572,'1990-07-07 00:00:00',2,8,12,2007,'M','N','SANTA CÂNDIDA','CURITIBA','PR','116163161116371431436829575124610132147',14913,'9998',44.89,4,3,NULL),(15,2072602,'1988-11-08 00:00:00',4,8,12,2005,'F','N','JARDIM','CONCORDIA','SC','124242241215512511448811414112131547127',NULL,'491',0.00,1,3,NULL),(15,2072610,'1990-05-24 00:00:00',2,10,12,2007,'F','N','VARGEM DO CEDRO','SAO MARTINHO','SC','124241241147151431424623272222610137147',NULL,'750',26.71,1,2,1),(15,2072629,'1991-09-07 00:00:00',4,5,11,2007,'M','N','COMERCIÁRIO','CRICIUMA','SC','124242241115111142357733572112610124117',9637,'211',52.52,1,3,NULL),(15,2072637,'1990-06-20 00:00:00',4,8,12,2007,'F','N','CENTRO','ARACATUBA','SP','125252251215111431458811575122610127092',6753,'9998',57.64,1,3,NULL),(15,2072661,'1990-02-21 00:00:00',4,5,11,2007,'F','N','CENTRO','COCAL DO SUL','SC','124242241216162431558854575124610164142',3449,'211',64.88,1,3,NULL),(15,2072688,'1990-05-24 00:00:00',4,5,11,2007,'M','N','PRÓSPERA','CRICIUMA','SC','124242241215151431455932172122610124052',14642,'211',45.22,1,3,NULL),(15,2072696,'1987-05-18 00:00:00',2,5,12,2004,'M','N','GETULIO VARGAS','TORRES','RS','120201208211113421445723571124610168047',2501,'9998',67.62,1,3,NULL),(15,2072700,'1989-09-16 00:00:00',4,5,11,2007,'F','N','CENTRO','NOVA VENEZA','SC','124242241216151451468912575112610124143',20978,'211',34.89,1,3,NULL),(15,2072718,'1989-09-14 00:00:00',4,3,12,2006,'F','N','VILA VOTURUA','SAO VICENTE','SP','125252251217461431556724575121610137042',NULL,'9998',24.06,1,3,NULL),(15,2072726,'1991-04-26 00:00:00',4,5,11,2007,'M','N','IMIGRANTES','CRICIUMA','SC','124242241217151442553639575122610138052',3372,'211',65.08,1,3,NULL),(15,2072734,'1990-03-31 00:00:00',4,5,11,2007,'M','N','CENTRO','COCAL DO SUL','SC','124242241215111531559812225124610114171',6650,'211',57.81,1,3,NULL),(15,2072742,'1990-12-13 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215111431457932572122610138172',2845,'211',66.61,1,3,NULL),(15,2072750,'1984-07-26 00:00:00',2,1,9,2001,'M','N','CENTRO','FLORIANOPOLIS','SC','124241248117135331568619345124610117052',16208,'306',43.05,1,2,1),(15,2072777,'1990-10-18 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241415151431346922575122610124142',14580,'211',45.30,1,3,NULL),(15,2072785,'1981-08-11 00:00:00',2,1,12,1998,'F','N','TRINDADE','FLORIANOPOLIS','SC','124124121116133721336344445124610164187',18584,'9998',39.35,1,3,NULL),(15,2072793,'1988-05-22 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124201241226131721125844245334610147047',NULL,'9999',25.73,1,3,NULL),(15,2072807,'1991-02-15 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241216111731279834595122610167044',13474,'211',46.92,1,3,NULL),(15,2072815,'1988-11-14 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241245472431425719591315610162097',13286,'1098',47.19,1,3,NULL),(15,2072831,'1989-08-01 00:00:00',2,1,12,2007,'F','N','PROOST DE SOUSA','CAMPINAS','SP','125252251217111431486622471112610122092',NULL,'9998',0.00,1,3,NULL),(15,2072840,'1990-08-17 00:00:00',4,5,12,2007,'F','N','COLONINHA','ARARANGUA','SC','124241241127131411536615274114610136057',NULL,'30',0.00,1,3,NULL),(15,2072858,'1990-03-30 00:00:00',4,5,11,2007,'M','N','MINA BRASIL','CRICIUMA','SC','124242241215151731468832471122610167072',4376,'211',62.53,1,3,NULL),(15,2072866,'1988-12-16 00:00:00',2,1,12,2005,'M','N','USINA','ANTONIO CARLOS','SC','124241241115371422435313445132131437047',21273,'21',34.27,1,3,NULL),(15,2072874,'1988-12-13 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241115312421448631345124610164043',22463,'271',29.32,1,3,NULL),(15,2072882,'1988-09-05 00:00:00',4,6,12,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215471431577812275124610167117',20410,'44',36.04,1,3,NULL),(15,2072904,'1985-02-12 00:00:00',2,3,12,2001,'M','N','CENTRO','BOMBINHAS','SC','124241241115472431187732274122610137052',10664,'395',50.92,1,3,NULL),(15,2072912,'1988-08-04 00:00:00',4,1,12,2006,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124241241215371331448412385114610117052',21998,'1036',32.26,1,3,NULL),(15,2072939,'1987-11-05 00:00:00',2,1,12,2005,'M','N','SERRINHA','FLORIANOPOLIS','SC','124241241134473411321341315124230211025',9972,'298',51.98,4,2,1),(15,2072947,'1988-06-21 00:00:00',2,8,12,2005,'F','N','CENTRO','RIO AZUL','PR','116161161212573421656632572134610123012',NULL,'9998',0.00,1,3,NULL),(15,2072955,'1989-04-09 00:00:00',2,1,11,2006,'F','N','BARREIROS','SAO JOSE','SC','124241241116132331446823345134230233147',22448,'257',29.71,2,1,1),(15,2072963,'1967-05-25 00:00:00',4,1,12,1984,'F','N','RIO CAVEIRAS','BIGUACU','SC','124241248146133721643329115124122236147',NULL,'306',20.62,1,2,1),(15,2072980,'1984-08-11 00:00:00',4,1,12,2001,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241147131132475823345124133218195',17896,'257',40.50,1,2,1),(15,2072998,'1990-03-29 00:00:00',4,8,11,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116242161215121431358714445122610134097',7706,'9998',55.85,1,3,NULL),(15,2073005,'1988-02-22 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241317272731559811316122122764022',4894,'9999',61.33,1,3,NULL),(15,2073021,'1990-04-14 00:00:00',2,8,12,2007,'F','N','CIDADE INDUSTRIAL','CURITIBA','PR','116161161117471411666313575124610167097',16944,'9998',41.94,1,2,1),(15,2073030,'1984-10-05 00:00:00',2,1,12,2002,'F','N','PALHOCA','PALHOCA','SC','124251251117472431348811382324233265142',21446,'9998',33.85,1,3,NULL),(15,2073048,'1990-03-26 00:00:00',4,1,11,2007,'F','N','CENTRO','PATO BRANCO','PR','116162161117471431546632575124610164012',10640,'9998',50.96,1,3,NULL),(15,2073056,'1990-08-24 00:00:00',2,8,12,2007,'F','N','INTERIOR','ITAIOPOLIS','SC','124241241115111311423435172224610117142',NULL,'387',0.00,4,2,1),(15,2073064,'1985-06-25 00:00:00',4,1,12,2002,'M','N','CIDADE CORAÇÃO','BEBEDOURO','SP','125252251217571431466839175122141767187',2204,'9998',68.59,1,3,NULL),(15,2073072,'1989-06-29 00:00:00',2,9,12,2006,'M','N','SANTO ANTÔNIO','LAGES','SC','124241241116152421325619292121231237097',13417,'498',47.00,1,2,1),(15,2073080,'1963-10-07 00:00:00',4,1,12,1982,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','125252258227131422126842222333610144112',NULL,'9997',26.82,1,3,NULL),(15,2073099,'1987-09-21 00:00:00',4,7,12,2005,'F','N','CENTRO','JOACABA','SC','124242241215471431546614475122610124142',15063,'446',44.71,1,3,NULL),(15,2073102,'1987-07-16 00:00:00',4,1,12,2005,'M','N','BACACHERI','CURITIBA','PR','116163168337141731434622245124610164092',NULL,'9999',33.76,4,3,NULL),(15,2073110,'1984-09-18 00:00:00',2,1,12,2002,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','224241248146272731425549345334610128037',10684,'276',50.90,4,2,1),(15,2073129,'1978-06-16 00:00:00',2,2,12,1995,'F','N','ZONA SETE','MARINGA','PR','116161161416151431368923435135533166097',6684,'9998',57.76,4,3,NULL),(15,2073137,'1988-10-27 00:00:00',4,1,12,2006,'F','N','BOA VISTA','BLUMENAU','SC','124242241215372431458814575124610117072',8765,'909',54.07,1,3,NULL),(15,2073145,'1986-11-03 00:00:00',2,1,12,2004,'M','N','PRESIDENTE MEDICI','ITU','SP','125252251216571431468823575112610137052',NULL,'9998',0.00,1,3,NULL),(15,2073153,'1986-11-27 00:00:00',4,1,10,2005,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124244241216373411558931495124232766192',14569,'300',45.31,4,3,NULL),(15,2073161,'1990-07-03 00:00:00',4,1,11,2007,'F','N','PACHECO','PALHOCA','SC','124241241115131431436633591124610124042',20862,'592',35.17,1,2,1),(15,2073188,'1989-06-28 00:00:00',4,8,11,2006,'M','N','CRISTO REI','CURITIBA','PR','116162161437371411489934296121610144112',18457,'9998',39.56,1,3,NULL),(15,2073218,'1987-12-28 00:00:00',5,1,11,2006,'F','N','SAO FRANCISCO','VALINHOS','SP','125252251216271431459921575122610125112',21488,'9998',33.75,1,3,NULL),(15,2073226,'1985-11-14 00:00:00',4,1,12,2003,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','624201201137131231467871295122610127117',13858,'9998',46.38,4,2,1),(15,2073242,'1987-09-10 00:00:00',2,1,11,2004,'F','N','KOBRASOL','SAO JOSE','SC','124242241115273431559913572114610161012',13902,'723',46.31,4,3,NULL),(15,2073250,'1952-05-02 00:00:00',2,1,12,2005,'F','N','JOSE MENDES','FLORIANOPOLIS','SC','124221247127131421321174482344610124097',NULL,'9999',18.46,4,2,1),(15,2073269,'1989-04-05 00:00:00',4,1,12,2006,'F','N','N S DE LURDES','CAMPOS NOVOS','SC','124242241212472431456916492122610134147',3508,'962',64.74,1,3,NULL),(15,2073277,'1989-02-09 00:00:00',4,1,12,2006,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241115111431357614375124233268017',3713,'271',64.19,1,2,1),(15,2073285,'1983-02-15 00:00:00',2,1,11,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241435372431467813414124222334122',7759,'226',55.77,1,3,NULL),(15,2073293,'1991-04-16 00:00:00',2,1,12,2007,'F','N','VILA CRISTINA','VACARIA','RS','120202201216271131437311572122610144147',16635,'9998',42.41,4,3,NULL),(15,2073307,'1991-02-19 00:00:00',4,1,12,2007,'F','N','CENTRO','MARAU','RS','120202201211272431433721271124610162072',3980,'9998',63.51,1,3,NULL),(15,2073315,'1982-03-20 00:00:00',2,1,12,1998,'F','N','SÃO JOÃO','PORTO ALEGRE','RS','120201201117471411115341213214610162091',9580,'9998',52.62,1,2,1),(15,2073331,'1989-05-02 00:00:00',2,8,12,2006,'M','N','BIGORRILHO','CURITIBA','PR','116142141235471431458816591324610147072',5428,'9998',60.22,4,3,NULL),(15,2073340,'1985-08-13 00:00:00',2,1,12,2002,'F','N','JARDIM PRESIDENTE','LONDRINA','PR','116283288416111411668832495125140421142',NULL,'9998',0.00,5,3,NULL),(15,2073366,'1988-03-22 00:00:00',4,1,12,2005,'F','N','CENTRO','GUAIRA','PR','124164161315572421463911472324610127097',15440,'9998',44.20,1,3,NULL),(15,2073412,'1990-07-21 00:00:00',4,1,12,2007,'F','N','VILA POPULAR','PASSO FUNDO','RS','120202201216271421369833575124610166093',NULL,'9998',0.00,1,3,NULL),(15,2073439,'1984-06-30 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124243241137133731546833245121610164117',11835,'9997',49.20,4,3,NULL),(15,2073447,'1989-12-21 00:00:00',4,5,12,2007,'F','N','JARDIM ELISABETE','ICARA','SC','124241241315111431544633572124610132012',13718,'226',46.58,1,3,NULL),(15,2073463,'1990-04-05 00:00:00',4,5,11,2006,'M','N','JD DAS PALMEIRAS','COCAL DO SUL','SC','124241246212111431453614342124610142142',4645,'188',61.90,1,3,NULL),(15,2073471,'1988-08-11 00:00:00',2,1,6,2007,'F','N','ITAPUÃ','VILA VELHA','ES','108072078216371431349913292134610137077',16781,'9998',42.20,2,3,NULL),(15,2073480,'1990-11-19 00:00:00',4,4,12,2007,'M','N','CENTRO','PALOTINA','PR','114164161215371431466936575121610164057',NULL,'9998',0.00,1,3,NULL),(15,2073498,'1989-03-06 00:00:00',4,1,11,2007,'M','N','FLORESTA','SAO JOSE','SC','124242241215111711376633592112610127077',22074,'1035',32.02,1,3,NULL),(15,2073501,'1990-09-18 00:00:00',2,1,11,2007,'F','N','CENTRO','CAMPO VERDE','MT','111162111216421451455632592122610121145',NULL,'9998',0.00,1,3,NULL),(15,2073510,'1990-03-05 00:00:00',2,4,12,2007,'F','N','SÃO VICENTE','PATO BRANCO','PR','116161161117411431246634385112610124017',19589,'9998',37.63,1,2,1),(15,2073536,'1982-04-06 00:00:00',2,1,11,2000,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124241241115274421467833412122522967057',14955,'267',44.85,1,3,NULL),(15,2073544,'1974-11-18 00:00:00',4,1,1,1993,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241122134421436643432124121162077',9970,'360',51.98,1,3,NULL),(15,2073552,'1990-01-04 00:00:00',4,1,7,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241247317272411339921575124610134147',6891,'9999',57.36,1,3,NULL),(15,2073579,'1989-05-09 00:00:00',2,1,12,2006,'M','N','BONSUCESSO','GRAVATAI','RS','120204201236142441536912281124610166093',3377,'9998',65.07,1,3,NULL),(15,2073595,'1988-07-20 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124062241216212431536619445114132728075',NULL,'988',0.00,4,3,NULL),(15,2073609,'1974-03-05 00:00:00',4,1,11,1991,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124251251116575411434348175124121723187',9848,'9998',52.18,4,1,1),(15,2073617,'1990-11-12 00:00:00',2,1,12,2007,'F','N','STO ANTONIO DE LISBO','FLORIANOPOLIS','SC','124243241215131431466923575124610166197',15206,'1048',44.52,1,3,NULL),(15,2073625,'1970-10-09 00:00:00',4,1,12,1990,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216153131253329285122121314142',22248,'272',31.29,1,3,NULL),(15,2073633,'1988-01-28 00:00:00',2,1,12,2005,'F','N','CALEMBA','SANTO AMARO DA IMPERATRIZ','SC','124241241117133431636621341114610167072',12822,'772',47.83,1,2,1),(15,2073641,'1990-01-25 00:00:00',2,1,12,2007,'F','N','CENTRO','FOZ DO IGUACU','PR','116162161217321451556732572122610138197',NULL,'9998',31.76,1,3,NULL),(15,2073668,'1968-07-24 00:00:00',2,1,12,1989,'F','N','ARMAÇÃO PANTANO SUL','FLORIANOPOLIS','SC','124201203421131711533248182114140924187',17454,'9998',41.14,1,3,NULL),(15,2073676,'1985-02-24 00:00:00',2,1,12,2002,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241312231611636621115124141064097',14375,'299',45.60,1,3,NULL),(15,2073684,'1990-01-20 00:00:00',4,1,12,2007,'M','N','CENTRO','LINDOIA DO SUL','SC','124241241125161431533312121332610138177',17636,'534',40.89,1,3,NULL),(15,2073692,'1989-10-07 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241116131131526829395114610162173',NULL,'257',21.10,1,2,1),(15,2073706,'1962-11-26 00:00:00',2,1,12,1985,'M','N','CENTRO','FLORIANOPOLIS','SC','124241248347155721181644145124431063192',20263,'519',36.31,1,3,NULL),(15,2073714,'1989-01-19 00:00:00',2,1,12,2006,'F','N','ROÇADO','SAO JOSE','SC','124244241122311321226644242334610168197',17826,'736',40.62,1,3,NULL),(15,2073722,'1990-02-20 00:00:00',4,1,12,2007,'M','N','CENTRO','PARANAVAI','PR','116161161217111431436933575125610136017',3760,'9998',64.06,4,3,NULL),(15,2073730,'1989-04-18 00:00:00',4,1,12,2007,'M','N','FUNCIONARIOS','BELO HORIZONTE','MG','113132138217371532489614575124610162052',NULL,'9998',0.00,1,3,NULL),(15,2073749,'1990-06-03 00:00:00',4,6,12,2007,'F','N','DOM BOSCO','ITAJAI','SC','124241241114471431435712575122610118147',17084,'395',41.75,1,2,1),(15,2073765,'1990-11-12 00:00:00',4,2,11,2007,'M','N','GARCIA','BLUMENAU','SC','124242241215211431435933572122610167057',8534,'71',54.46,1,3,NULL),(15,2073773,'1987-11-13 00:00:00',2,8,7,2005,'M','N','IBIRAPUERA','PARANAVAI','PR','116162167417271411267932345112610168062',18645,'9999',39.25,1,3,NULL),(15,2073781,'1990-11-28 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241215112432448711575222610133092',10052,'9997',51.84,1,3,NULL),(15,2073790,'1990-11-25 00:00:00',2,1,11,2007,'F','N','CAPÃO','GAROPABA','SC','124243241315172432334632572124610164117',11146,'1022',50.24,1,3,NULL),(15,2073811,'1988-10-25 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241216472431348837575114610126017',5129,'270',60.85,1,3,NULL),(15,2073846,'1990-05-23 00:00:00',4,1,12,2007,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241117131431426621271124610126117',NULL,'361',23.10,1,2,1),(15,2073854,'1991-03-26 00:00:00',4,1,12,2008,'F','S','CENTRO','RIO NEGRINHO','SC','124244241216151711258931576122610141142',NULL,'541',43.72,1,3,NULL),(15,2073862,'1987-08-28 00:00:00',4,1,12,2005,'F','N','MIRANDÓPOLIS','SAO PAULO','SP','125252161215571431578832481124610164147',306,'9998',78.66,1,3,NULL),(15,2073889,'1989-07-31 00:00:00',4,1,12,2007,'M','N','FÁBRICA','LEOPOLDINA','MG','113134131416111441356923575222610132052',2131,'9998',68.88,1,3,NULL),(15,2073897,'1987-10-03 00:00:00',4,8,11,2005,'F','N','CENTRO','SAO BENTO DO SUL','SC','124241248215371451258722395115613228182',NULL,'486',0.00,1,3,NULL),(15,2073900,'1978-12-19 00:00:00',4,1,12,1996,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124252251216131731228854385114343267047',4322,'9998',62.66,1,3,NULL),(15,2073919,'1989-09-15 00:00:00',2,1,12,2006,'F','N','ARIRIÚ','PALHOCA','SC','124242241216272431425414372114610127017',19537,'774',37.75,1,3,NULL),(15,2073927,'1989-01-16 00:00:00',4,1,12,2006,'F','N','CÓORREGO GRANDE','FLORIANOPOLIS','SC','124241247315271431436621315124610114055',NULL,'9997',25.03,1,3,NULL),(15,2073935,'1986-04-17 00:00:00',2,1,12,2003,'F','N','SERTAO DO MARUIM','SAO JOSE','SC','124241241122271431623514345234610123181',15422,'733',44.22,4,2,1),(15,2073943,'1990-04-19 00:00:00',2,9,11,2007,'M','N','SAO CRISTÓVAO','LAGES','SC','124241241126131431436611212221610124057',17144,'498',41.65,4,2,1),(15,2073951,'1990-07-26 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124241241131171431335412321324610167117',16899,'733',42.01,1,2,1),(15,2073960,'1989-04-24 00:00:00',2,1,12,2006,'M','N','JARDIM INTERLAGOS','RIBEIRAO PRETO','SP','125252251217471421248823472114610127127',NULL,'9998',0.00,1,3,NULL),(15,2073978,'1989-04-11 00:00:00',2,1,12,2006,'M','N','CENTRO','ERECHIM','RS','120202201235272431228612475122610117142',14879,'9998',44.93,1,3,NULL),(15,2073986,'1986-04-11 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201201111134431433619492314221727117',10153,'9998',51.71,1,3,NULL),(15,2073994,'1990-08-20 00:00:00',4,8,12,2007,'M','N','FÁTIMA','JOINVILLE','SC','124241241216151431647931212112610168197',6346,'459',58.36,2,1,2),(15,2074001,'1987-12-01 00:00:00',4,1,12,2004,'F','N','AFONSO PENA','SAO JOSE DOS PINHAIS','PR','116162161211272431636314141132142726197',NULL,'9998',0.00,1,3,NULL),(15,2074028,'1990-09-15 00:00:00',2,9,11,2007,'F','N','COPACABANA','LAGES','SC','124241241226112431358833592112610122052',15570,'497',44.02,1,3,NULL),(15,2074036,'1989-10-11 00:00:00',2,1,12,2007,'F','N','VELEIROS','SAO PAULO','SP','125253251212471431547824292224610121112',12508,'9998',48.28,1,3,NULL),(15,2074044,'1985-07-05 00:00:00',2,1,7,2004,'F','N','BARREIROS','SAO JOSE','SC','124241248136373411654374244114330226182',21163,'595',34.52,1,2,1),(15,2074052,'1990-07-02 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241415122431465814595124610122097',8724,'270',54.13,1,3,NULL),(15,2074060,'1988-04-12 00:00:00',2,8,12,2005,'M','N','GLÓRIA','JOINVILLE','SC','124241241146371411223614182223133213022',7494,'470',56.24,3,2,1),(15,2074079,'1990-03-12 00:00:00',4,5,11,2007,'F','N','COMERCIÁRIO','CRICIUMA','SC','124242241215211711459924174122610125096',11065,'226',50.36,1,3,NULL),(15,2074087,'1988-01-12 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124251251136232441546411142334610122013',7877,'9998',55.56,1,2,1),(15,2074095,'1988-05-29 00:00:00',2,1,12,2005,'M','N','COLONINHA','FLORIANOPOLIS','SC','124241241111273431546313442112610127042',14354,'257',45.64,1,2,1),(15,2074109,'1988-09-19 00:00:00',2,6,11,2006,'F','N','MARAMBAIA','VINHEDO','SP','125254251215471431558514485122610162077',16863,'9998',42.06,1,3,NULL),(15,2074117,'1990-08-10 00:00:00',4,8,5,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242281415111431479913576112610162042',NULL,'457',0.00,1,3,NULL),(15,2074125,'1990-09-01 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431469931575114610167047',15443,'1022',44.20,1,3,NULL),(15,2074141,'1990-11-17 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241217372431459966575122610137072',8799,'497',54.01,1,3,NULL),(15,2074150,'1984-02-22 00:00:00',2,5,12,2001,'F','N','SANTA CRUZ II','GRAVATAI','RS','120201201316271431116644345334140767027',10219,'9998',51.60,1,3,NULL),(15,2074168,'1988-05-02 00:00:00',2,1,12,2005,'F','N','KOBRASOL','SAO JOSE','SC','124242241215574731458633592124130223097',17733,'270',40.75,1,3,NULL),(15,2074176,'1990-02-20 00:00:00',4,10,11,2007,'M','N','CENTRO','BRACO DO NORTE','SC','124241241415113531426632325121610164142',15685,'807',43.83,1,3,NULL),(15,2074184,'1988-07-14 00:00:00',4,1,11,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241115473431368813342112131022072',1787,'266',70.00,1,3,NULL),(15,2074192,'1982-10-31 00:00:00',2,3,12,1999,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124164161211251431567914442112130365142',17122,'9998',41.69,1,3,NULL),(15,2074206,'1989-12-19 00:00:00',4,1,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241235221431466611212122610122112',16144,'44',43.16,1,3,NULL),(15,2074222,'1989-01-25 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124112111217472411248813574324610162187',6025,'270',59.02,4,3,NULL),(15,2074257,'1990-04-26 00:00:00',4,1,12,2007,'M','N','AGUA VERDE','CURITIBA','PR','116242161215471431469912575122610127122',462,'9998',77.14,1,3,NULL),(15,2074265,'1990-06-09 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215121731468813572112610133187',2584,'270',67.36,1,3,NULL),(15,2074273,'1990-04-27 00:00:00',4,1,10,2007,'M','N','BOSQUE','SAO JOSE','SC','124244241415121431438432575114610124012',7945,'1050',55.45,1,3,NULL),(15,2074281,'1990-02-02 00:00:00',4,3,11,2007,'F','N','CENTRO','CURITIBA','PR','116241161216122421477612574122610133095',11450,'9998',49.77,1,3,NULL),(15,2074290,'1982-03-07 00:00:00',2,10,12,2000,'M','N','REVOREDO','TUBARAO','SC','224241241124231421233444242234131336047',13259,'522',47.22,1,2,1),(15,2074303,'1990-04-06 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECO','SC','124241241117271711469933575125610122047',14141,'169',45.98,1,2,1),(15,2074311,'1990-07-02 00:00:00',2,1,10,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241315271721654732245114610167172',3051,'269',65.98,1,3,NULL),(15,2074338,'1987-12-21 00:00:00',4,8,12,2005,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241215572411357612575112610132192',5491,'1105',60.07,1,3,NULL),(15,2074346,'1990-12-23 00:00:00',2,1,12,2007,'F','N','FREITAS','PAULO LOPES','SC','124241241142131431443923472224610114142',20458,'607',35.95,1,2,1),(15,2074354,'1988-02-13 00:00:00',2,1,12,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241217155421558732345122230227042',10796,'272',50.75,1,3,NULL),(15,2074362,'1988-01-12 00:00:00',2,7,12,2005,'M','N','CENTRO','LACERDOPOLIS','SC','124241241216474721435534575124241423055',2012,'454',69.24,1,3,NULL),(15,2074370,'1991-05-18 00:00:00',4,6,12,2007,'F','N','DAS NAÇÕES','BALNEARIO CAMBORIU','SC','124242241215471431448931572112610135157',4225,'44',62.85,1,3,NULL),(15,2074389,'1989-09-21 00:00:00',4,1,12,2007,'M','N','CENTRO','POTIRENDABA','SP','125254251217111421448811572121610117097',NULL,'9998',0.00,1,3,NULL),(15,2074400,'1982-11-18 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241216132711567513222122332167113',12760,'266',47.91,1,3,NULL),(15,2074419,'1985-11-13 00:00:00',2,1,7,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124241247215274411234324445334610166042',11884,'9999',49.13,1,3,NULL),(15,2074427,'1987-04-02 00:00:00',4,1,12,2004,'F','N','JD SANTA CRUZ','RIBEIRAO PRETO','SP','125252251215571431368814591122610142147',1015,'9998',73.45,1,3,NULL),(15,2074435,'1990-12-26 00:00:00',4,2,12,2007,'F','N','TAMANDUA','ASCURRA','SC','124241241215131431557833292122610132177',13433,'37',46.97,1,3,NULL),(15,2074443,'1989-03-28 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241215472431427734441132610121077',8025,'988',55.33,1,3,NULL),(15,2074451,'1987-10-14 00:00:00',4,1,12,2005,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241247317272441435723375214610164147',7743,'306',55.80,1,3,NULL),(15,2074460,'1990-09-06 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215272431257923272122610145147',6580,'262',57.93,1,3,NULL),(15,2074478,'1988-12-09 00:00:00',4,1,12,2006,'M','N','VILA ASSUMPÇÃO','BOTUCATU','SP','125252251217471431346833375112610167056',7464,'9998',56.30,1,3,NULL),(15,2074486,'1988-09-23 00:00:00',2,1,12,2005,'M','N','SAUDADE','BIGUACU','SC','124241241132143411433314211324231227022',6368,'65',58.32,1,2,1),(15,2074494,'1984-01-28 00:00:00',4,1,12,2002,'F','N','JD OLGA VERONE','LIMEIRA','SP','125251251127331431326644445334610114186',NULL,'9998',0.00,1,3,NULL),(15,2074516,'1990-04-05 00:00:00',2,1,12,2006,'M','N','CENTRO','BIGUACU','SC','124244241215473431666632371112610127062',10455,'269',51.26,1,3,NULL),(15,2074524,'1991-08-31 00:00:00',4,5,12,2007,'F','N','CENTRO','CRICIUMA','SC','124241241212371331449612375122610164142',NULL,'920',23.58,1,3,NULL),(15,2074532,'1989-09-02 00:00:00',2,9,12,2006,'M','N','BOQUEIRÃO','CURITIBA','PR','116161161436572441333339571124241437187',NULL,'9998',0.00,1,3,NULL),(15,2074559,'1988-01-06 00:00:00',2,1,11,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216573751558839576124231267143',8914,'266',53.81,1,3,NULL),(15,2074567,'1987-09-04 00:00:00',2,1,12,1995,'M','N','CENTRO','FLORIANOPOLIS','SC','124241248122132312126624344324613262072',18852,'9997',38.92,1,2,1),(15,2074575,'1989-07-25 00:00:00',4,4,12,2006,'M','N','CENTRO','CONCORDIA','SC','116242241217472231268924344321610164012',NULL,'1047',0.00,1,3,NULL),(15,2074583,'1990-04-03 00:00:00',4,2,12,2007,'M','N','EUGENIO SCHNEIDER','RIO DO SUL','SC','124242241215111431475923574122610127031',9453,'991',52.86,1,3,NULL),(15,2074591,'1990-06-30 00:00:00',4,1,12,2007,'F','N','CENTRO','ANTONIO CARLOS','SC','124241241215111731566913392124610137073',18782,'1118',39.01,1,3,NULL),(15,2074605,'1990-05-31 00:00:00',4,5,10,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215111441258627572124610146192',2125,'213',68.89,1,3,NULL),(15,2074613,'1990-02-09 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124253241211121431336634372124610125147',10865,'1022',50.66,1,3,NULL),(15,2074648,'1990-08-19 00:00:00',4,4,12,2007,'F','N','JARDIM AMERICA','CHAPECO','SC','124244241215111411446714194121610166072',11438,'185',49.79,1,3,NULL),(15,2074656,'1990-02-14 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431568613472114610161072',19586,'270',37.64,1,3,NULL),(15,2074664,'1991-07-26 00:00:00',2,1,12,2008,'F','S','GUARDA DO CUBATÃO','PALHOCA','SC','124242241217131431457633575122610168072',NULL,'989',47.46,1,3,NULL),(15,2074680,'1990-03-12 00:00:00',2,8,12,2007,'M','N','PARQUE INDUSTRIAL','UBIRATA','PR','116161161115371431434611175122610134097',5190,'9998',60.72,2,2,1),(15,2074699,'1972-01-05 00:00:00',2,1,12,1990,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124251256421143431336741312223143224097',NULL,'9998',25.99,2,1,2),(15,2074702,'1989-02-15 00:00:00',2,1,12,2006,'F','N','INDUSTRIAL','HORIZONTINA','RS','120201201236371431226424375124610167052',15782,'9998',43.70,1,3,NULL),(15,2074710,'1991-01-04 00:00:00',4,8,12,2007,'M','N','TRÊS RIOS DO SUL','JARAGUA DO SUL','SC','124242241214122331666821275122610137122',457,'442',77.18,1,3,NULL),(15,2074729,'1990-05-16 00:00:00',2,2,12,2007,'M','N','SANTA TEREZINHA','GASPAR','SC','124243241216271511443654595124610167067',10354,'955',51.42,1,3,NULL),(15,2074737,'1990-03-20 00:00:00',4,1,12,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241135131411343519575124610117041',11855,'307',49.17,4,2,1),(15,2074745,'1987-11-10 00:00:00',4,1,12,2006,'M','N','JARDIM BOTÂNICO','SINOP','MT','111164111416371431476512242122610127042',9790,'9998',52.28,1,3,NULL),(15,2074761,'1990-03-27 00:00:00',4,1,12,2007,'F','N','NOVA BRASILIA','SOMBRIO','SC','124241241146141431223621241331610144147',22380,'1033',30.50,1,2,1),(15,2074770,'1990-08-13 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217372431456613572112610132192',4205,'266',62.89,1,3,NULL),(15,2074800,'1990-03-07 00:00:00',2,9,11,2007,'M','N','CENTRO','SAO JOAQUIM','SC','124241241215111431426416392222610138097',20786,'720',35.32,1,3,NULL),(15,2074818,'1991-09-09 00:00:00',4,4,12,2007,'M','N','CENTRO','MARAVILHA','SC','120241201437371411554412225325610144147',5855,'9998',59.35,1,3,NULL),(15,2074826,'1988-05-18 00:00:00',2,1,6,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241312131421439813432224610124057',NULL,'257',21.68,2,3,NULL),(15,2074834,'1990-05-20 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215112231358832272222610124012',1249,'9997',72.26,1,3,NULL),(15,2074842,'1989-01-26 00:00:00',4,1,12,2007,'M','N','VILA FARIA','SAO CARLOS','SP','125252251215371431438812575124610114012',13075,'9998',47.48,1,3,NULL),(15,2074850,'1989-07-20 00:00:00',2,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124241241112372221423344442324610124187',17595,'123',40.94,1,3,NULL),(15,2074869,'1989-12-01 00:00:00',4,1,12,2007,'F','N','AGUAS CLARAS','TAGUATINGA','DF','107092071216111411388924575124610164142',NULL,'9998',0.00,4,3,NULL),(15,2074877,'1987-12-14 00:00:00',4,1,12,2006,'F','N','LOT MADRI','PALHOCA','SC','124241241126131431633339272124233243147',NULL,'13',0.00,1,3,NULL),(15,2074885,'1990-07-18 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241212112431426619572224610166057',10484,'1118',51.21,1,3,NULL),(15,2074907,'1985-03-15 00:00:00',2,1,12,2002,'F','N','BELA VISTA III','SAO JOSE','SC','124243241217372721633344342334610138057',20446,'1076',35.97,1,3,NULL),(15,2074915,'1988-02-19 00:00:00',4,1,12,2005,'F','N','CIDADE JARDIM','LIMEIRA','SP','125251251215571431339823571122610127042',16877,'9998',42.04,1,3,NULL),(15,2074923,'1986-06-18 00:00:00',2,1,12,2004,'M','N','CENTRO','HORIZONTINA','RS','120201206246371431323319275124610167052',4527,'9998',62.18,1,3,NULL),(15,2074931,'1988-02-26 00:00:00',2,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','124243241135372431336614372124610124067',5979,'257',59.12,1,3,NULL),(15,2074940,'1978-07-01 00:00:00',4,1,12,1995,'F','N','PANTANAL','FLORIANOPOLIS','SC','124244241216144221346673335124520664177',7109,'269',56.96,1,3,NULL),(15,2074958,'1986-02-01 00:00:00',2,1,12,2004,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241147231411434429345214610164171',12402,'289',48.43,1,2,1),(15,2074966,'1989-12-14 00:00:00',4,8,12,2007,'F','N','SAGUAÇÚ','JOINVILLE','SC','124243241215111431548833572124610121147',18021,'931',40.28,4,3,NULL),(15,2074982,'1989-01-12 00:00:00',1,1,11,2007,'M','N','SANTA GENEBRA','CAMPINAS','SP','125252256247271431568514272122610137052',17839,'9998',40.61,1,3,NULL),(15,2075008,'1990-08-10 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241235121441536635275115610124195',4809,'1098',61.50,1,3,NULL),(15,2075016,'1990-03-01 00:00:00',2,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124243241215112431339629572124610167052',10855,'723',50.67,1,3,NULL),(15,2075024,'1990-09-27 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431453831575122610167047',14692,'270',45.16,1,3,NULL),(15,2075032,'1989-08-01 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241311271531538513391134230263097',16156,'9997',43.13,1,3,NULL),(15,2075040,'1988-10-28 00:00:00',2,1,12,2005,'M','N','CENTRO','BIGUACU','SC','124244241215574431666632246122230267182',4917,'269',61.27,1,3,NULL),(15,2075059,'1986-05-17 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124252251216272421257724485112143237041',10390,'9998',51.36,4,3,NULL),(15,2075067,'1987-11-16 00:00:00',1,1,12,2004,'F','N','ZONA SETE','MARINGA','PR','116124121217473411573436274325610124147',16707,'9998',42.32,1,3,NULL),(15,2075075,'1988-04-20 00:00:00',2,1,12,2005,'M','N','CENTRO','RIBEIRAO PRETO','SP','125112251216571231488822571322610167047',1037,'9998',73.31,1,3,NULL),(15,2075091,'1989-06-16 00:00:00',2,1,12,2006,'M','N','CENTRO','RIBEIRAO PRETO','SP','125252251217471711488822571312610167052',7826,'9998',55.64,1,3,NULL),(15,2075105,'1988-07-28 00:00:00',4,1,12,2006,'F','N','VILA YARA','OSASCO','SP','125244241217411431636662582312610126143',12277,'489',48.61,1,3,NULL),(15,2075113,'1990-05-19 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241212111431427313572124610114117',NULL,'1118',25.21,1,3,NULL),(15,2075130,'1989-06-16 00:00:00',4,1,11,2006,'M','N','CENTRO','AMPARO','SP','125052051216471311556619575122610127112',2205,'9998',68.58,1,3,NULL),(15,2075148,'1990-02-06 00:00:00',4,8,12,2007,'M','N','ATIRADORES','JOINVILLE','SC','124242241215112431469713575112610137052',661,'1063',75.66,1,3,NULL),(15,2075156,'1988-09-01 00:00:00',4,1,12,2006,'M','N','RIBEIRANEA','RIBEIRAO PRETO','SP','125252251215471431468811576122610164042',4131,'9998',63.11,1,3,NULL),(15,2075164,'1990-01-01 00:00:00',4,3,12,2007,'M','N','CEDRO','CAMBORIU','SC','124244241215141231435611295124610163072',NULL,'1091',22.24,1,3,NULL),(15,2075172,'1988-09-21 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215574431569814272124610147052',2247,'407',68.43,1,3,NULL),(15,2075202,'1989-03-09 00:00:00',4,1,10,2007,'F','N','ALPHAVILLE','CAMPINAS','SP','125252251217121431478839472112610147183',11040,'9998',50.39,1,3,NULL),(15,2075210,'1990-08-29 00:00:00',4,10,11,2007,'M','N','CENTRO','JAGUARUNA','SC','124241241215111411446831192124610141082',7591,'807',56.05,1,3,NULL),(15,2075229,'1988-04-26 00:00:00',4,1,12,2005,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241214372412536714344124610137052',NULL,'9997',32.21,1,3,NULL),(15,2075237,'1990-02-12 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241248115471731535519291123610117017',18432,'287',39.60,2,3,NULL),(15,2075245,'1989-11-03 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124241241112371432324324275114610123187',22068,'733',32.04,1,2,1),(15,2075253,'1990-04-06 00:00:00',4,8,12,2007,'F','N','CENTRO','CAMPO ALEGRE','SC','124244241416151431437671575122610131013',18427,'974',39.61,1,3,NULL),(15,2075261,'1989-08-04 00:00:00',2,1,11,2006,'M','N','FAZENDA STO ANTÔNIO','SAO JOSE','SC','124241241435472411446629395114610166142',13901,'9997',46.31,1,3,NULL),(15,2075270,'1987-09-28 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124163161215472431569931572344141033092',5525,'9998',60.00,1,3,NULL),(15,2075288,'1989-01-24 00:00:00',2,3,12,2006,'M','N','CASTELO BRANCO','ITAPEMA','SC','124242241215472421557732594122610164092',1696,'836',70.39,1,3,NULL),(15,2075296,'1990-12-03 00:00:00',4,10,12,2007,'F','N','CENTRO','IMBITUBA','SC','124243241117271431537631315222610134177',623,'359',75.90,3,3,NULL),(15,2075300,'1990-02-12 00:00:00',2,1,12,2007,'F','N','JD DOMINGOS ORSI','ANGATUBA','SP','125251251217111431426612576125610142017',9286,'9998',53.14,1,3,NULL),(15,2075326,'1990-10-29 00:00:00',4,1,12,2007,'F','N','RIO DO CEDRO','AGUAS MORNAS','SC','124241241115131731524315152224610137147',NULL,'978',23.77,1,2,1),(15,2075334,'1990-05-07 00:00:00',4,1,12,2007,'F','N','CAMPO BELO','SAO PAULO','SP','125252251217111711388823575122610167052',21281,'9998',34.25,1,3,NULL),(15,2075342,'1990-10-10 00:00:00',4,6,12,2007,'F','N','STEFFEN','BRUSQUE','SC','124244241115131751346623572122610124147',14522,'112',45.37,1,3,NULL),(15,2075350,'1989-05-09 00:00:00',4,1,12,2006,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215373431268713275124610124182',3234,'262',65.44,1,3,NULL),(15,2075369,'1990-05-03 00:00:00',4,8,12,2007,'M','N','VILA TUPI','BERTIOGA','SP','125251251216121431354312575111610147162',NULL,'9998',24.98,4,3,NULL),(15,2075385,'1986-05-09 00:00:00',2,1,12,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','124244246215374431458833445124131417161',13111,'266',47.44,1,3,NULL),(15,2075393,'1987-06-25 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241216272431468813575122121467062',342,'270',78.16,1,3,NULL),(15,2075407,'1988-04-22 00:00:00',2,9,12,2005,'F','N','CORAL','LAGES','SC','116241241212573431365312572324610127097',4669,'499',61.83,1,3,NULL),(15,2075415,'1990-08-01 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241125271431228611575225610165013',15981,'307',43.41,1,3,NULL),(15,2075423,'1990-05-14 00:00:00',4,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215121431489933572122610162192',2301,'270',68.24,1,3,NULL),(15,2075431,'1990-02-18 00:00:00',2,4,9,2007,'F','N','JARDIM DO LAGO','CHAPECO','SC','124241247135471431443621392124610138172',17869,'1046',40.56,1,3,NULL),(15,2075440,'1990-03-11 00:00:00',2,5,12,2007,'F','N','LOMBA','ORLEANS','SC','124241241111111431433611345133610122147',18928,'580',38.80,1,3,NULL),(15,2075458,'1988-01-19 00:00:00',2,1,11,2005,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124243248324473442426613145124333268192',16758,'1022',42.24,3,3,NULL),(15,2075474,'1987-04-15 00:00:00',4,1,12,2004,'F','N','VILA SÔNIA','SOROCABA','SP','125251251316573431338834575124610144017',NULL,'9998',0.00,1,3,NULL),(15,2075490,'1989-04-01 00:00:00',4,8,12,2006,'F','N','ALPHAVILLE','BARUERI','SP','125252251217571431578811572122610167016',3565,'9998',64.57,1,3,NULL),(15,2075504,'1989-08-08 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124161241115271731125729175124610127057',NULL,'307',15.93,1,2,1),(15,2075512,'1989-03-03 00:00:00',2,1,12,2006,'F','N','JARDIM AMERICA','GOIANIA','GO','109092091215472431358629592322610162182',NULL,'9998',0.00,1,3,NULL),(15,2075520,'1990-09-03 00:00:00',2,1,12,2007,'F','N','STO ANTÔNIO D LISBOA','FLORIANOPOLIS','SC','124244241413111431365833585124610112147',19145,'1048',38.44,1,3,NULL),(15,2075547,'1958-05-22 00:00:00',4,1,12,1977,'M','N','ESTREITO','FLORIANOPOLIS','SC','224201203227142731366641215122133266183',16259,'9998',42.97,1,3,NULL),(15,2075555,'1990-01-10 00:00:00',4,1,12,2007,'F','N','PEDRO LUDOVICO','GOIANIA','GO','109092091215111431456619594122610122182',20006,'9998',36.81,1,3,NULL),(15,2075563,'1984-01-09 00:00:00',2,1,12,2001,'F','N','PORTO DA LAGOA','FLORIANOPOLIS','SC','124241241436575712538611494124610133032',6523,'285',58.03,1,3,NULL),(15,2075571,'1987-10-03 00:00:00',4,8,8,2005,'M','N','SAGUAÇU','JOINVILLE','SC','124242241415242441438611481131133228182',8672,'494',54.22,1,3,NULL),(15,2075598,'1991-06-14 00:00:00',4,8,12,2007,'F','N','CENTRO','ASTORGA','PR','116162161215111431636631572112610161097',12514,'9998',48.27,1,3,NULL),(15,2075601,'1990-02-16 00:00:00',4,1,11,2007,'F','N','REUNIDAS','CACADOR','SC','124241161217111452548712194125610124182',992,'9998',73.58,1,3,NULL),(15,2075610,'1985-05-14 00:00:00',2,1,12,2001,'F','N','AREIAS','SAO JOSE','SC','124241241316175411338923395124530223147',16845,'1036',42.09,1,3,NULL),(15,2075644,'1990-03-05 00:00:00',4,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124241241115131331326623285124610137017',12811,'9997',47.84,1,3,NULL),(15,2075652,'1990-01-14 00:00:00',4,1,12,2007,'M','N','RES GRANVILLE','GOIANIA','GO','109092091215111431568811572122610122042',6821,'9998',57.50,4,3,NULL),(15,2075660,'1989-03-20 00:00:00',4,1,12,2006,'M','N','SAO FRANCISCO','CAMPO GRANDE','MS','112122121216471431479814595122241467052',7488,'9998',56.25,1,3,NULL),(15,2075679,'1989-02-04 00:00:00',4,9,12,2006,'M','N','JD CHAPADÃO','CAMPINAS','SP','125251251116152231558619472122610162052',8274,'9998',54.89,1,2,1),(15,2075687,'1989-02-11 00:00:00',4,5,6,2007,'M','N','BRASILIA','CRICIUMA','SC','124244241216111431536519482114610164062',7120,'995',56.93,1,3,NULL),(15,2075709,'1990-11-20 00:00:00',4,3,12,2007,'M','N','CENTRO','PONTA GROSSA','PR','116162161215271431489911572122610122122',5921,'9998',59.22,1,3,NULL),(15,2075717,'1989-03-01 00:00:00',2,1,11,2006,'F','N','AMÉRICA','JOINVILLE','SC','124241241116371431565222345332610114097',19280,'475',38.20,1,3,NULL),(15,2075725,'1990-07-31 00:00:00',4,1,12,2007,'F','N','ASA NORTE','BRASILIA','DF','107072071237371431489933572122610133141',2699,'9998',67.04,1,3,NULL),(15,2075733,'1988-05-04 00:00:00',4,8,12,2005,'M','N','IRIRIÚ','JOINVILLE','SC','124242241235272441489913484122231467182',3276,'931',65.32,1,3,NULL),(15,2075741,'1990-06-19 00:00:00',4,2,12,2007,'M','N','VILA NOVA','BLUMENAU','SC','124242241217111431477711194125610137062',9777,'855',52.31,1,3,NULL),(15,2075750,'1990-01-10 00:00:00',4,1,12,2007,'M','N','JD OURO VERDE','OURINHOS','SP','125251251215171431349611115121610114106',1297,'9998',72.08,1,3,NULL),(15,2075768,'1986-05-22 00:00:00',4,1,12,2003,'F','N','SETOR SUL','GOIANIA','GO','109092091217572431336623572322142628182',NULL,'9998',0.00,1,3,NULL),(15,2075776,'1989-10-03 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211472411476814573115610118091',1020,'226',73.43,1,3,NULL),(15,2075792,'1989-04-06 00:00:00',4,1,12,2006,'M','N','CENTRO','RIBEIRAO PRETO','SP','125112111217471431467712475142610162042',14872,'9998',44.94,1,3,NULL),(15,2075806,'1990-05-31 00:00:00',2,1,12,2007,'F','N','AREIAS','PAULO LOPES','SC','124241241145161131423314335121610124147',21040,'607',34.78,1,3,NULL),(15,2075814,'1990-08-05 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124244241116371731469813575112610142122',3796,'271',63.98,1,3,NULL),(15,2075822,'1989-11-26 00:00:00',4,1,11,2007,'F','N','UNIVERSITARIO','GOIANIA','GO','109092091212111431558619572122610122182',17376,'9998',41.27,1,3,NULL),(15,2075830,'1990-05-12 00:00:00',2,8,11,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215122431344924595122610138077',9998,'486',51.94,1,3,NULL),(15,2075849,'1981-06-06 00:00:00',4,1,12,1981,'M','N','ÁGUA VERDE','CURITIBA','PR','116252251216471431489712281122141465142',NULL,'9998',0.00,1,3,NULL),(15,2075857,'1989-03-23 00:00:00',4,2,12,2006,'M','N','VILA MARIANA','SAO PAULO','SP','125252251216471431568832375124610127112',11250,'9998',50.09,1,3,NULL),(15,2075865,'1987-08-03 00:00:00',4,1,12,2005,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','125244241616472731456811475114610168187',7123,'20',56.92,1,3,NULL),(15,2075873,'1990-08-31 00:00:00',2,1,12,2007,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124243241335121431536339572124610116147',3451,'1098',64.88,1,3,NULL),(15,2075903,'1990-03-30 00:00:00',4,1,11,2007,'M','N','SETOR OESTE','GOIANIA','GO','109092091216111731568819572122610128182',1033,'9998',73.35,1,3,NULL),(15,2075911,'1990-06-24 00:00:00',4,8,12,2007,'F','N','VILA LALAU','JARAGUA DO SUL','SC','124241248215131431454834572121610133187',NULL,'422',19.05,1,3,NULL),(15,2075920,'1989-09-10 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215112411368832422122610167114',6156,'270',58.75,1,3,NULL),(15,2075938,'1991-05-12 00:00:00',4,2,12,2007,'F','N','SALTO DO NORTE','BLUMENAU','SC','124241241216111431539834395124610167157',17593,'855',40.95,1,3,NULL),(15,2075946,'1990-02-13 00:00:00',2,1,12,2007,'M','N','BOSQUE DA FELICIDADE','SAO JOSE DO RIO PRETO','SP','125251251215111431458833575122610137127',11459,'9998',49.76,4,3,NULL),(15,2075962,'1984-03-24 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124241244124272721444613242334610134197',17435,'277',41.17,4,1,1),(15,2075989,'1990-03-05 00:00:00',4,8,12,2007,'M','N','AMERICA','JOINVILLE','SC','124242241215271231358923585124610114182',22502,'1016',28.70,1,3,NULL),(15,2075997,'1990-10-26 00:00:00',4,1,11,2007,'F','N','JD MORUMBI II','SOROCABA','SP','125252251215111431349814372112610113113',NULL,'9998',0.00,1,3,NULL),(15,2076004,'1987-02-23 00:00:00',4,1,12,2004,'F','N','COLONINHA','FLORIANOPOLIS','SC','124242241116573411633418395114610168071',8907,'307',53.82,4,3,NULL),(15,2076012,'1986-11-27 00:00:00',2,1,12,2004,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242242115573431469911571324610134112',6243,'24',58.57,1,3,NULL),(15,2076020,'1989-02-21 00:00:00',2,1,12,2006,'F','N','BAIRRO DE FATIMA','FLORIANOPOLIS','SC','124241241115371431328663376224610123182',13604,'307',46.74,2,1,1),(15,2076039,'1990-11-19 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111731479833575112610127077',NULL,'262',38.76,1,3,NULL),(15,2076063,'1990-11-05 00:00:00',2,7,12,2007,'M','N','COTREL','MAXIMILIANO DE ALMEIDA','RS','120201208146471731334439291124610128147',17290,'9998',41.41,1,3,NULL),(15,2076080,'1990-11-08 00:00:00',4,1,11,2007,'M','N','ALTO','PIRACICABA','SP','125252251217111731558812571112610167042',17616,'9998',40.91,1,3,NULL),(15,2076098,'1989-01-01 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124252258216472411267632372114610143142',10939,'9998',50.55,1,3,NULL),(15,2076101,'1985-07-12 00:00:00',2,1,12,2003,'F','N','SÃO JOSE DOS PINHAIS','SAO JOSE DOS PINHAIS','PR','116161161116131431443933335122241966017',18695,'9998',39.17,1,3,NULL),(15,2076110,'1990-06-13 00:00:00',4,1,12,2007,'F','N','IPIRANGA','SAO PAULO','SP','125252251215111731378812575114610167147',NULL,'9998',0.00,4,3,NULL),(15,2076144,'1989-12-01 00:00:00',4,8,12,2006,'F','N','ZONA DOIS','MARINGA','PR','116162161216371411357832571122610162152',15024,'9998',44.77,1,3,NULL),(15,2076152,'1989-12-08 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECO','SC','124242241215471431269911244122610164047',3621,'9997',64.42,1,3,NULL),(15,2076160,'1989-03-28 00:00:00',4,8,12,2006,'M','N','CENTRO','SAO BENTO DO SUL','SC','124241241214472431466454342112610168182',19306,'974',38.15,1,3,NULL),(15,2076179,'1989-07-12 00:00:00',2,1,6,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242247416311221538839291122233214122',16355,'9999',42.82,1,3,NULL),(15,2076187,'1988-10-28 00:00:00',4,6,12,2006,'M','N','CENTRO','ITAJAI','SC','124242241235371531567934475122133227042',13554,'1058',46.81,1,3,NULL),(15,2076195,'1986-04-18 00:00:00',4,1,12,2003,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241116372411129941316124610164187',NULL,'307',21.35,1,2,1),(15,2076209,'1987-06-02 00:00:00',4,1,11,2004,'F','N','CENTRO','CURITIBA','PR','116282288216151751676519572124141426043',15911,'9998',43.52,4,1,2),(15,2076217,'1981-04-03 00:00:00',4,1,12,2000,'F','N','ESTREITO','FLORIANOPOLIS','SC','124062061215574131119648485124141424127',9413,'9998',52.92,1,3,NULL),(15,2076241,'1979-02-11 00:00:00',4,1,12,1999,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124134131211271711228644441122133212182',16032,'9998',43.33,1,3,NULL),(15,2076250,'1988-03-15 00:00:00',4,8,11,2005,'M','N','BARRA DO RIO CERRO','JARAGUA DO SUL','SC','124241241316372441353314345111610164057',NULL,'1062',41.27,1,3,NULL),(15,2076268,'1987-01-10 00:00:00',2,1,12,2006,'F','N','BOM VIVER','BIGUACU','SC','124243247327132411333433271224222727097',NULL,'9999',32.54,1,3,NULL),(15,2076276,'1987-06-27 00:00:00',2,1,12,2004,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124243241317474431327721345224230225187',19450,'1022',37.92,1,3,NULL),(15,2076284,'1989-07-01 00:00:00',4,1,12,2006,'M','N','JARDIM DERMINIO','FRANCA','SP','125251251215471331368831175112610122017',1871,'9998',69.71,1,3,NULL),(15,2076292,'1991-08-30 00:00:00',2,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241217111431447831376122610167042',NULL,'262',43.12,1,3,NULL),(15,2076306,'1989-03-10 00:00:00',2,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','624242241315373431456923592124610137062',4238,'267',62.83,1,3,NULL),(15,2076314,'1984-06-21 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124241247116375711369933576222141018191',3348,'9999',65.13,1,3,NULL),(15,2076322,'1987-08-30 00:00:00',4,1,12,2004,'M','N','FLOR DE NÁPOLIS','SAO JOSE','SC','124241241316374431346813345124121762087',6088,'300',58.91,1,3,NULL),(15,2076330,'1978-10-13 00:00:00',4,1,12,1999,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124131131111142711228844341122142262182',12989,'9998',47.61,1,3,NULL),(15,2076349,'1991-02-17 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111431456712225125613236192',20298,'9997',36.24,1,3,NULL),(15,2076357,'1990-01-22 00:00:00',4,4,11,2007,'F','N','CENTRO','ABELARDO LUZ','SC','124243241215371431466816594124610163152',20246,'1046',36.33,1,3,NULL),(15,2076365,'1990-09-06 00:00:00',4,9,12,2007,'F','N','CENTRO','POUSO REDONDO','SC','124243241215271441449732345124610162142',6751,'653',57.64,1,3,NULL),(15,2076373,'1988-08-05 00:00:00',2,6,12,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215372751437814372124610167077',5686,'1022',59.69,1,3,NULL),(15,2076381,'1987-10-22 00:00:00',2,1,12,2004,'M','N','AZAMBUJA','BRUSQUE','SC','124244241416555211366713581132121423174',340,'912',78.19,1,3,NULL),(15,2076390,'1989-10-24 00:00:00',2,8,12,2007,'F','N','GUANABARA','JOINVILLE','SC','124242246211151451458612395124610127077',14912,'494',44.89,4,3,NULL),(15,2076403,'1989-04-10 00:00:00',4,1,12,2006,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241117133411358924595124610138147',10318,'267',51.47,1,2,1),(15,2076411,'1989-06-05 00:00:00',4,1,12,2006,'M','N','CENTRO','CAMPO GRANDE','MS','112122121216471431467815572122610122185',NULL,'9998',43.10,1,3,NULL),(15,2076420,'1983-07-08 00:00:00',2,1,12,2001,'F','N','JARDIM KENNEDY','RIO CLARO','SP','125252251216472431458319295122610143112',10182,'9998',51.66,1,3,NULL),(15,2076446,'1984-10-14 00:00:00',2,1,12,2003,'F','N','VILA SÃO JOÃO','FLORIANOPOLIS','SC','124241241111272441423723245124610136183',16961,'293',41.92,1,2,1),(15,2076489,'1988-08-11 00:00:00',4,1,12,2005,'M','N','CENTRO','LONDRINA','PR','116252251216571411458834572124610141097',NULL,'9998',0.00,1,3,NULL),(15,2076497,'1989-06-08 00:00:00',4,1,12,2006,'M','N','SÃO JOSÉ','ARARAQUARA','SP','125252251215472431348921574122610111092',5014,'9998',61.05,1,3,NULL),(15,2076500,'1990-01-19 00:00:00',4,8,12,2007,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241215111411568512275124610121142',7577,'1016',56.07,1,3,NULL),(15,2076519,'1990-09-16 00:00:00',4,2,12,2007,'M','N','ASILO','BLUMENAU','SC','124244241215151431427632372124610137052',2458,'71',67.76,4,3,NULL),(15,2076535,'1988-07-13 00:00:00',4,1,12,2005,'M','N','JARDIM FLORDIANA','RIO CLARO','SP','125252251216572431666824575112610127042',NULL,'9998',10.27,1,3,NULL),(15,2076543,'1991-10-24 00:00:00',2,1,12,2008,'F','S','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124244241217121431357931572124610134097',NULL,'1098',66.02,4,3,NULL),(15,2076560,'1989-11-04 00:00:00',4,8,10,2007,'F','N','AMÉRICA','JOINVILLE','SC','124052241215111741337734572124610146157',716,'486',75.26,1,3,NULL),(15,2076578,'1990-12-16 00:00:00',2,2,12,2007,'M','N','CENTRO','BLUMENAU','SC','124244241217151431357712295222610164012',14532,'1018',45.36,1,3,NULL),(15,2076586,'1990-08-18 00:00:00',2,1,11,2007,'F','N','VILA NOVA','IMBITUBA','SC','124241241115112431459613292124610163147',2499,'807',67.62,1,3,NULL),(15,2076594,'1988-10-17 00:00:00',4,1,12,2006,'M','N','CENTRO','POUSO ALEGRE','MG','113132131217471411469921572122610147027',14319,'9998',45.70,1,3,NULL),(15,2076608,'1988-09-19 00:00:00',4,1,12,2005,'M','N','JARDIM FORTALEZA','PAULINIA','SP','125251256115471731478811415124610117044',6506,'9998',58.07,1,2,1),(15,2076616,'1989-02-13 00:00:00',4,1,12,2007,'M','N','ALTOS DE SANTANA','SAO JOSE DOS CAMPOS','SP','125251251215471431435513385121610127094',6168,'9998',58.72,1,3,NULL),(15,2076624,'1989-01-15 00:00:00',4,1,11,2007,'M','N','PROGRESSO','POUSO REDONDO','SC','124241241125161431344911245221610167057',15728,'639',43.77,1,2,1),(15,2076632,'1990-02-25 00:00:00',2,1,12,2007,'M','N','CENTRO','VACARIA','RS','120202201216141431347631242134610137057',NULL,'9998',21.82,1,3,NULL),(15,2076640,'1989-04-10 00:00:00',4,1,12,2006,'M','N','JARDIM NIERO','LOUVEIRA','SP','125254256215471431358614295124610134014',15038,'9998',44.75,3,3,NULL),(15,2076659,'1988-12-29 00:00:00',2,8,11,2005,'F','N','CRUZEIRO','SAO BENTO DO SUL','SC','124241241111571431437633571124610164197',13045,'697',47.52,1,2,1),(15,2076667,'1980-07-08 00:00:00',2,1,1,2000,'M','N','GUARÁ II','GUARA','DF','107071075116131131533614342114610164167',NULL,'9998',0.00,1,2,1),(15,2076683,'1991-07-04 00:00:00',4,1,11,2008,'F','S','CARVOEIRA','FLORIANOPOLIS','SC','124242241215111431335511372122610133047',NULL,'266',49.23,1,3,NULL),(15,2076691,'1990-05-11 00:00:00',2,1,12,2007,'F','N','ZONA RURAL','ANAPOLIS','GO','109094091217251741656611575122610115092',NULL,'9998',0.00,4,3,NULL),(15,2076705,'1984-08-02 00:00:00',4,1,12,2001,'M','N','CONSOLAÇÃO','URUBICI','SC','124241241116162431424319392313610118047',NULL,'818',28.39,1,2,1),(15,2076713,'1986-12-15 00:00:00',4,4,12,2004,'F','N','CENTRO','CHAPECO','SC','124241241116574451547619592125610142187',2380,'169',67.99,1,2,1),(15,2076721,'1990-02-11 00:00:00',4,1,12,2008,'M','S','NOVA BRASILIA','IMBITUBA','SC','124241241145151411323329282114610117047',NULL,'359',31.68,1,3,NULL),(15,2076748,'1989-05-02 00:00:00',4,5,12,2006,'M','N','CENTRO','ORLEANS','SC','124241241216212441111839274324230332097',7890,'581',55.53,1,3,NULL),(15,2076756,'1984-12-27 00:00:00',4,4,12,2001,'M','N','MORUMBÍ','CAMPO GRANDE','MS','112124121216571431349813575222242622047',411,'9998',77.58,4,3,NULL),(15,2076764,'1992-02-25 00:00:00',2,1,11,2008,'F','S','VILA NOVA','IMBITUBA','SC','124241241215111431459613292124610163147',NULL,'807',46.28,1,3,NULL),(15,2076780,'1990-06-18 00:00:00',4,1,11,2007,'M','N','INDEPENDENCIA','POUSO REDONDO','SC','124241241115161731548613572341610147177',15665,'639',43.86,1,2,1),(15,2076799,'1989-11-01 00:00:00',2,4,12,2006,'M','N','CENTRO','SEARA','SC','124241242116372431534416572231610117047',19823,'196',37.17,1,2,1),(15,2076802,'1981-03-24 00:00:00',4,1,12,1999,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124256253637374431224844245324222245097',NULL,'9998',0.00,1,3,NULL),(15,2076810,'1991-01-18 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241215111711363332571314610132075',13441,'1022',46.95,4,3,NULL),(15,2076829,'1989-08-07 00:00:00',4,1,12,2007,'M','N','MINAS BRASIL','BELO HORIZONTE','MG','113132131436111441578912575122610142092',617,'9998',75.92,4,3,NULL),(15,2076837,'1985-10-18 00:00:00',2,1,11,2003,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124243241127372431423724285124610124187',11299,'288',50.01,1,3,NULL),(15,2076845,'1990-06-29 00:00:00',4,1,11,2007,'F','N','BOSQUE','SAO JOSE DOS CAMPOS','SP','125252251215121431578814575122610126142',NULL,'9998',0.00,1,3,NULL),(15,2076853,'1989-12-18 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124162161217472431459811472224610132142',5776,'9998',59.52,1,3,NULL),(15,2076861,'1991-09-26 00:00:00',4,1,12,2008,'M','S','AGRONÔMICA','FLORIANOPOLIS','SC','124244241215151611358829474114610164052',NULL,'1022',60.58,1,3,NULL),(15,2076870,'1990-09-17 00:00:00',4,2,12,2007,'F','N','VELHA','BLUMENAU','SC','124241241217121431563614572124610164017',NULL,'90',23.62,1,3,NULL),(15,2076896,'1985-08-14 00:00:00',2,1,12,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241247122331431331444141333610122027',21763,'288',33.06,1,2,1),(15,2076900,'1984-07-02 00:00:00',4,1,12,2001,'M','N','PARTENON','PORTO ALEGRE','RS','120203201317372431246667575124140737047',NULL,'9998',0.00,1,3,NULL),(15,2076918,'1989-07-01 00:00:00',4,8,11,2006,'M','N','CENTRO','CURITIBA','PR','116122161215572311648811581345610163167',2109,'9998',68.92,1,3,NULL),(15,2076926,'1989-04-21 00:00:00',2,1,12,2006,'F','N','CENTRO','CRICIUMA','SC','124242241215372751569711575125131417047',7596,'226',56.04,1,3,NULL),(15,2076934,'1989-03-21 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241215472431343611576114610162097',12897,'63',47.72,1,3,NULL),(15,2076950,'1989-06-15 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242248215111431675829576122610168162',NULL,'262',23.93,1,3,NULL),(15,2076969,'1968-10-08 00:00:00',4,1,12,1986,'M','N','COQUEIROS','FLORIANOPOLIS','SC','224241246111153721243349492132321447067',12653,'306',48.07,1,3,NULL),(15,2076977,'1990-07-19 00:00:00',2,4,12,2007,'M','N','MERCEDEZ','MANGUEIRINHA','PR','116161161116131331326724142225610138197',NULL,'9998',0.00,1,3,NULL),(15,2076985,'1985-12-29 00:00:00',2,1,4,2005,'F','N','FLORESTA','SAO JOSE','SC','124241241117272431435414242114610162182',18537,'739',39.42,1,2,1),(15,2077000,'1988-07-02 00:00:00',4,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241216274431288632471123231263091',NULL,'270',0.00,1,3,NULL),(15,2077019,'1990-04-01 00:00:00',4,1,12,2007,'M','N','JD DAS TULIPAS','HOLAMBRA','SP','125252251217111731448833577112610162197',13662,'9998',46.67,1,3,NULL),(15,2077027,'1990-10-25 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111431424823472124610117057',NULL,'738',25.14,1,3,NULL),(15,2077051,'1989-01-08 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241116472431435612372114610133187',13869,'307',46.35,1,3,NULL),(15,2077060,'1989-07-18 00:00:00',4,1,11,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241216471711336624294124610164182',7205,'723',56.78,1,3,NULL),(15,2077086,'1987-10-24 00:00:00',4,1,12,2005,'F','N','FLORESTA','JOINVILLE','SC','124242241215573431569732572124610166141',814,'491',74.64,1,3,NULL),(15,2077140,'1988-01-20 00:00:00',2,8,12,2005,'F','N','SITIO CERCADO','CURITIBA','PR','116161161126471711223629195314610164172',19061,'9998',38.57,1,3,NULL),(15,2077159,'1990-07-10 00:00:00',4,3,12,2007,'F','N','VILA SÃO JOSÉ','APUCARANA','PR','116162161216111431669933574122610167012',8264,'9998',54.91,1,3,NULL),(15,2077167,'1990-11-04 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215113751458819595124610127042',10845,'1022',50.69,1,3,NULL),(15,2077205,'1989-01-29 00:00:00',4,1,12,2006,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241126272711636311242244610166187',15114,'9997',44.65,1,2,1),(15,2077213,'1987-10-01 00:00:00',4,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243241215573431538614475124610164147',1114,'270',72.96,1,3,NULL),(15,2077221,'1988-05-26 00:00:00',4,7,12,2005,'F','N','CENTRO','JOACABA','SC','124241241121573431423619181225610114142',9632,'584',52.52,1,2,1),(15,2077248,'1990-07-12 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241117131451235319595124610163182',18756,'281',39.06,1,2,1),(15,2077256,'1984-07-07 00:00:00',4,2,10,2003,'M','N','AGUA VERDE','BLUMENAU','SC','124201201122131431336634341334610124017',NULL,'9998',32.69,1,3,NULL),(15,2077272,'1989-06-27 00:00:00',2,1,12,2007,'M','N','GUARDA DO CUBATÃO','PALHOCA','SC','124241241142141431534624342324610162042',17088,'592',41.74,4,2,1),(15,2077280,'1987-10-29 00:00:00',2,8,12,2004,'F','N','BELA VISTA','RIO NEGRINHO','SC','124241241116311731435436345232610168017',20194,'669',36.44,1,2,1),(15,2077299,'1973-05-31 00:00:00',2,1,12,1992,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','224241161142272731243353381124231066197',NULL,'744',18.58,1,2,1),(15,2077302,'1988-02-03 00:00:00',4,1,12,2006,'F','N','SANTOS DUMONT','TRES LAGOAS','MS','125252251215571431458811274322610133092',2010,'9998',69.25,1,3,NULL),(15,2077310,'1989-01-09 00:00:00',2,1,12,2008,'M','S','BARREIROS','SAO JOSE','SC','124244241435131421443833215125610117057',NULL,'724',22.24,4,3,NULL),(15,2077329,'1983-08-27 00:00:00',2,1,12,2001,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241121372431523329241313610167047',10398,'289',51.35,4,2,1),(15,2077337,'1987-12-23 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241137271411436419242114610146122',17594,'298',40.94,4,1,1),(15,2077345,'1990-04-20 00:00:00',2,4,12,2007,'F','N','CENTRO','PATO BRANCO','PR','116242161116371431536617575114610123032',5463,'9998',60.13,1,3,NULL),(15,2077353,'1989-11-20 00:00:00',4,1,11,2007,'M','N','PITUBA','SALVADOR','BA','105052051216322221354411295121310124052',NULL,'9998',0.00,4,3,NULL),(15,2077370,'1987-11-19 00:00:00',2,1,12,2006,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124243241116372431666633475122610132147',21499,'267',33.73,1,3,NULL),(15,2077396,'1990-07-14 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241217272431259614572125610134112',1238,'270',72.31,1,3,NULL),(15,2077418,'1988-11-23 00:00:00',4,6,12,2006,'F','N','CENTRO','ITAJAI','SC','124241241216112431436632575325232062142',18554,'969',39.40,1,3,NULL),(15,2077426,'1990-05-21 00:00:00',4,1,12,2007,'M','N','VILA ADYANA','SAO JOSE DOS CAMPOS','SP','125252251215111431468913575125610147092',3180,'9998',65.60,1,3,NULL),(15,2077434,'1982-07-07 00:00:00',4,1,12,1999,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241316155451248813382124120236043',10276,'269',51.52,1,3,NULL),(15,2077442,'1990-07-19 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241315111421436633591114613223187',10512,'269',51.17,1,3,NULL),(15,2077450,'1990-08-20 00:00:00',2,1,12,2007,'M','N','PASSA VINTE','PALHOCA','SC','124243241117331431449813171121610127057',NULL,'592',28.41,1,3,NULL),(15,2077485,'1988-12-26 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215473751568813575112610163095',7612,'273',56.01,1,3,NULL),(15,2077493,'1988-03-11 00:00:00',4,1,12,2007,'F','N','RATONES','FLORIANOPOLIS','SC','124241241625111711646629295324610124187',18747,'1098',39.08,1,3,NULL),(15,2077515,'1988-04-24 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241117371411436523596214610134017',NULL,'281',24.76,1,2,1),(15,2077531,'1987-01-27 00:00:00',4,3,12,2004,'F','N','CENTRO','CURITIBA','PR','116162161217272741347823446132142026092',NULL,'9998',0.00,1,3,NULL),(15,2077540,'1990-08-17 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124244241416111431453412595124610127047',17394,'737',41.23,1,3,NULL),(15,2077558,'1985-04-02 00:00:00',2,1,12,2004,'M','N','JD ROMA','PIRASSUNUNGA','SP','125253251346573741553311295121610162182',8186,'9998',55.03,1,3,NULL),(15,2077574,'1989-11-16 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242244635111431479923275122610127142',12515,'1022',48.27,1,3,NULL),(15,2077582,'1987-05-05 00:00:00',4,8,12,2004,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124241241216473751456711395114610164197',NULL,'459',48.02,1,3,NULL),(15,2077590,'1987-09-20 00:00:00',2,3,12,2004,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241212371132567914592112133224117',17819,'1039',40.63,1,3,NULL),(15,2077604,'1990-09-30 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215112431513314572124610124012',17462,'738',41.13,1,3,NULL),(15,2077612,'1989-06-27 00:00:00',2,1,12,2007,'M','N','GUARDA DO CUBATÃO','PALHOCA','SC','124241241132141431534624242324610164042',21692,'592',33.28,4,2,1),(15,2077620,'1987-05-03 00:00:00',4,3,12,2004,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241211572431489719472122130632192',844,'855',74.40,1,3,NULL),(15,2077663,'1990-07-28 00:00:00',2,9,12,2006,'F','N','COPACABANA','LAGES','SC','124241241115471431413319452324610147141',15520,'517',44.10,3,2,1),(15,2077680,'1989-01-31 00:00:00',4,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116162161216471431467612571125610162097',NULL,'9998',0.00,1,3,NULL),(15,2077701,'1987-08-09 00:00:00',4,1,12,2004,'F','N','NOVA RIBEIRANIA','RIBEIRAO PRETO','SP','125254251217571451458814571112610163182',NULL,'9998',0.00,1,3,NULL),(15,2077710,'1990-06-21 00:00:00',4,6,12,2007,'F','N','LIMEIRA BAIXA','BRUSQUE','SC','124241241115131331434314245124610123147',NULL,'116',25.27,1,2,1),(15,2077728,'1991-09-24 00:00:00',4,4,12,2008,'F','S','CENTRO','CONCORDIA','SC','124242241215111431359814575125610137077',NULL,'1000',55.31,1,3,NULL),(15,2077744,'1990-08-23 00:00:00',4,1,12,2007,'F','N','CENTRO','TAUBATE','SP','125252251215371411469824572112610125014',15952,'9998',43.46,1,3,NULL),(15,2077752,'1987-04-02 00:00:00',4,1,10,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241117373431556833372124610137187',9836,'306',52.20,1,2,1),(15,2077760,'1991-02-10 00:00:00',2,1,11,2007,'F','N','BARRA DO ARIRIÚ','PALHOCA','SC','124241241215112431465512572114610115192',17297,'270',41.41,4,3,NULL),(15,2077779,'1991-05-14 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241215121431458833574122610136142',2904,'44',66.44,1,3,NULL),(15,2077787,'1990-07-28 00:00:00',4,8,12,2007,'F','N','CAJURU','CURITIBA','PR','116162168215171431359832595124610123147',7726,'9998',55.82,1,3,NULL),(15,2077795,'1990-08-01 00:00:00',4,8,12,2007,'F','N','CENTRO','GUAIRA','PR','116162161216111432353923435112610138142',NULL,'9998',0.00,1,3,NULL),(15,2077809,'1987-04-23 00:00:00',4,1,12,2004,'M','N','LIMÃO','SAO PAULO','SP','125251251216571441248613575124610147142',2805,'9998',66.73,1,3,NULL),(15,2077817,'1990-09-03 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124243241215121431458913132122610127012',12262,'422',48.64,1,3,NULL),(15,2077825,'1990-11-06 00:00:00',4,1,12,2007,'M','N','CENTRO','MONTENEGRO','RS','120202201217471431389814572112610147121',NULL,'9998',0.00,1,3,NULL),(15,2077833,'1988-07-22 00:00:00',4,1,12,2005,'F','N','BUTANTÃ','SAO PAULO','SP','125252251217471622449821575124610167077',9059,'9998',53.56,1,3,NULL),(15,2077841,'1990-02-13 00:00:00',2,6,12,2007,'M','N','SÃO VICENTE','ITAJAI','SC','124241241215111431124624272211610167182',6202,'392',58.64,1,3,NULL),(15,2077868,'1990-10-15 00:00:00',2,8,12,2007,'M','N','CERAMARTE','RIO NEGRINHO','SC','124243241215271521244622572322610137067',14028,'666',46.13,1,3,NULL),(15,2077876,'1990-05-19 00:00:00',4,1,12,2007,'M','N','APARECIDA II','SALTINHO','SP','125251251215111451546614292112610167182',6652,'9998',57.81,1,3,NULL),(15,2077884,'1990-08-25 00:00:00',4,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116122161217121431556616574122610144142',NULL,'9998',0.00,1,3,NULL),(15,2077892,'1990-03-15 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215111731368923472124610123142',6298,'270',58.45,1,3,NULL),(15,2077906,'1988-12-02 00:00:00',5,10,12,2006,'F','N','OFICINAS','TUBARAO','SC','124242241215472451356619592122610146092',16649,'807',42.38,1,3,NULL),(15,2077914,'1990-10-18 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215371431588822575122610137182',10995,'262',50.48,1,3,NULL),(15,2077922,'1988-09-23 00:00:00',2,5,11,2005,'F','N','SÃO JOSÉ','SAO JOAQUIM','SC','120241241216573731424311415315610166157',5938,'720',59.19,1,3,NULL),(15,2077930,'1991-07-01 00:00:00',4,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124242241215111132437833575112610138142',12171,'1011',48.77,1,3,NULL),(15,2077949,'1989-06-10 00:00:00',4,1,12,2007,'M','N','FORTALEZA','BLUMENAU','SC','124242241216472431459932395125610122092',2734,'87',66.93,1,3,NULL),(15,2077957,'1990-05-22 00:00:00',4,8,12,2007,'M','N','JARDIN CALIFORNIA','IRATI','PR','116161161215421731445932575122610122182',NULL,'9998',0.00,1,3,NULL),(15,2077965,'1989-03-01 00:00:00',2,1,12,2007,'M','N','VARGEM PEQUENA','FLORIANOPOLIS','SC','124241241315111432442823575124610127187',NULL,'269',30.18,1,3,NULL),(15,2077973,'1989-09-12 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124241241416121431446313435124610127112',6437,'1022',58.19,1,3,NULL),(15,2077981,'1992-06-09 00:00:00',4,1,12,2008,'M','S','AGRONÔMICA','FLORIANOPOLIS','SC','124242241217111431366724572124610138192',NULL,'270',65.15,1,3,NULL),(15,2077990,'1989-11-07 00:00:00',4,1,12,2007,'F','N','MOEMA','SAO PAULO','SP','125252251217111431388922594112610123183',NULL,'9998',0.00,1,3,NULL),(15,2078007,'1983-10-16 00:00:00',2,1,12,2001,'F','N','BOM VIVER','BIGUACU','SC','124241241142134431536419441334610166157',10691,'66',50.89,1,2,1),(15,2078015,'1989-07-18 00:00:00',2,1,11,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124242241212131431423319272124610117057',20224,'988',36.36,3,3,NULL),(15,2078031,'1989-06-29 00:00:00',4,1,12,2006,'F','N','POMPEIA','SAO PAULO','SP','125252251216471431426832574124610122142',4818,'9998',61.49,1,3,NULL),(15,2078040,'1990-02-02 00:00:00',4,4,12,2007,'M','N','SCHALON','ABELARDO LUZ','SC','124241241116131431433339275122610167042',NULL,'4',25.32,1,3,NULL),(15,2078058,'1967-08-15 00:00:00',4,1,11,1991,'F','N','CENTRO','FLORIANOPOLIS','SC','224163161411131751429651491234343064187',NULL,'9998',15.86,1,3,NULL),(15,2078066,'1990-04-30 00:00:00',2,5,11,2007,'M','N','CENTRO','ICARA','SC','124242241215271441458618285124610124147',4748,'226',61.64,1,3,NULL),(15,2078082,'1991-01-29 00:00:00',4,8,12,2007,'F','N','MARIA LUIZA','CASCAVEL','PR','116164161416111431458911575124610121112',17058,'9998',41.80,1,3,NULL),(15,2078090,'1989-12-23 00:00:00',4,2,11,2007,'M','N','VELHA','BLUMENAU','SC','124242246216271451449814572121610167142',2544,'71',67.49,1,3,NULL),(15,2078104,'1988-04-12 00:00:00',4,6,12,2005,'F','N','NORTE','PICARRAS','SC','124253251317373431347868382111610164142',9780,'9998',52.30,1,3,NULL),(15,2078112,'1987-11-07 00:00:00',4,8,12,2005,'F','N','JAGUARE','SAO PAULO','SP','125252251215571431366732571124610122197',5342,'9998',60.43,1,3,NULL),(15,2078139,'1990-07-04 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217122731436614572122610163097',5436,'270',60.20,1,3,NULL),(15,2078147,'1990-01-26 00:00:00',4,1,12,2007,'M','N','PQ MINAS GERAIS','OURINHOS','SP','125251251215111431357834475122610134112',1980,'9998',69.33,1,3,NULL),(15,2078155,'1989-10-20 00:00:00',4,1,12,2007,'F','N','VILA ARENS','JUNDIAI','SP','125252251215111421354829572112610168142',1768,'9998',70.12,1,3,NULL),(15,2078171,'1989-01-21 00:00:00',4,8,12,2006,'F','N','JARDIM ERNESTINA','SAO PAULO','SP','125251251144471731458711272114610123077',NULL,'9998',23.67,3,2,1),(15,2078180,'1990-02-28 00:00:00',4,1,12,2007,'F','N','VILA ANDRADE','SAO PAULO','SP','125252251216271431458611575122610162182',19267,'9998',38.23,1,3,NULL),(15,2078198,'1986-09-01 00:00:00',4,5,11,2004,'F','N','SÃO CRISTÓVÃO','CRICIUMA','SC','124242241215574731336839592112610161097',7843,'226',55.61,1,3,NULL),(15,2078201,'1989-01-15 00:00:00',2,1,12,2006,'F','N','SANTO AMARO','CAMPO GRANDE','MS','112122121217471431646613592124610133147',17479,'9998',41.11,1,3,NULL),(15,2078210,'1990-02-18 00:00:00',2,1,12,2007,'M','N','BAIRRO DA SAUDADE','PONTA PORA','MS','112122121217311731364613435122610131144',17998,'9998',40.32,1,3,NULL),(15,2078228,'1990-01-28 00:00:00',4,9,12,2007,'F','N','NOSSA SENH APARECIDA','FRANCISCO BELTRAO','PR','116162168317171431448813572122610166012',NULL,'9998',0.00,1,3,NULL),(15,2078244,'1991-07-03 00:00:00',4,1,11,2008,'M','S','TRINDADE','FLORIANOPOLIS','SC','124242241215111132589811441112610124117',NULL,'226',59.16,1,3,NULL),(15,2078252,'1989-05-06 00:00:00',2,1,12,2007,'F','N','FLORESTA','SAO JOSE','SC','124241241117151431333521311124610136192',14950,'306',44.85,1,3,NULL),(15,2078260,'1991-01-08 00:00:00',4,2,11,2007,'F','N','NOSSA SENHORA APAREC','FRANCISCO BELTRAO','PR','116162161217111431448813576112610161142',4632,'9998',61.94,1,3,NULL),(15,2078279,'1991-01-08 00:00:00',2,4,12,2007,'F','N','CENTRO','PLANALTO','RS','120201201116131431436933572321610124147',22107,'9998',31.88,1,2,1),(15,2078287,'1988-12-05 00:00:00',4,8,12,2006,'M','N','CENTRO','ITAIOPOLIS','SC','124241241226472411533311285324610168142',3102,'1024',65.84,1,3,NULL),(15,2078295,'1989-11-05 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124244241415421431438813341214610134097',5667,'1098',59.73,1,3,NULL),(15,2078317,'1990-11-07 00:00:00',4,8,12,2007,'M','N','CHACARA URBANA','JUNDIAI','SP','125252251217111431369911575112610127042',2200,'9998',68.60,1,3,NULL),(15,2078325,'1988-08-16 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241215573431446514392124610167067',13702,'270',46.61,2,1,2),(15,2078333,'1989-02-13 00:00:00',4,1,12,2007,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241135151431446414395124610135197',19333,'288',38.11,1,2,1),(15,2078341,'1989-04-01 00:00:00',2,2,12,2006,'M','N','VILA NOVA','BLUMENAU','SC','124241241216472431437639575122610124182',7102,'88',56.97,1,3,NULL),(15,2078350,'1976-10-31 00:00:00',2,8,12,1994,'F','N','CENTRO','SARANDI','RS','120202205216111731423319295132143264092',NULL,'9998',0.00,1,3,NULL),(15,2078368,'1989-07-18 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124203201335572431247724381314610128147',11092,'9998',50.31,1,3,NULL),(15,2078376,'1990-04-13 00:00:00',2,1,11,2007,'F','N','JARDIM FLORESTA','SAO JOSE','SC','124242241115112431454832571122610121091',12659,'270',48.06,1,3,NULL),(15,2078392,'1991-03-23 00:00:00',4,1,11,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124244241217121431563831572114610164145',15481,'262',44.15,1,3,NULL),(15,2078406,'1990-07-17 00:00:00',4,2,12,2007,'F','N','TESTO SALTO','BLUMENAU','SC','124241241117151431437734274124610127012',21395,'83',33.97,1,3,NULL),(15,2078414,'1989-05-30 00:00:00',4,1,12,2006,'F','N','PARQUE REAL','RONDONOPOLIS','MT','111112111217471441459933574125610115072',2167,'9998',68.71,1,3,NULL),(15,2078422,'1990-07-18 00:00:00',4,1,12,2007,'F','N','ZONA SETE','MARINGA','PR','116162161214121431336611592124610114197',NULL,'9998',0.00,1,3,NULL),(15,2078430,'1990-08-30 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241215111431446933381124610164047',18806,'53',38.98,1,3,NULL),(15,2078449,'1989-04-08 00:00:00',4,1,12,2007,'M','N','REBOUÇAS','CURITIBA','PR','116162161217131411356612575122610112041',7080,'9998',57.00,1,3,NULL),(15,2078457,'1986-07-17 00:00:00',2,1,12,2002,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243241316131331635823245334140226147',NULL,'601',7.23,1,3,NULL),(15,2078465,'1990-09-04 00:00:00',4,8,12,2007,'M','N','TROPICAL','CASCAVEL','PR','116162161216421441479732575122610122032',135,'9998',80.90,1,3,NULL),(15,2078481,'1989-07-20 00:00:00',4,8,12,2006,'M','N','CENTRO','CURITIBANOS','SC','124243241437132441538933574125610122147',5088,'237',60.93,1,3,NULL),(15,2078490,'1990-11-27 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431486923575122610162142',1771,'270',70.09,1,3,NULL),(15,2078503,'1988-11-19 00:00:00',4,8,12,2005,'F','N','RECANTO TROPICAL','CASCAVEL','PR','116162161216572451468712571122610164052',NULL,'9998',0.00,3,3,NULL),(15,2078511,'1988-10-20 00:00:00',2,1,11,2006,'M','N','SANTA MENA','GUARULHOS','SP','125252251217411221357612381124610117033',10442,'9998',51.29,4,3,NULL),(15,2078520,'1989-08-19 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431488813575125610142072',3300,'541',65.26,1,3,NULL),(15,2078538,'1990-08-27 00:00:00',4,8,11,2007,'M','N','CENTRO','ARAQUARI','SC','124242241215121431369833575122610167182',37,'491',83.55,1,3,NULL),(15,2078546,'1988-12-29 00:00:00',4,1,12,2006,'M','N','CENTRO','CAMBUI','MG','113132131215472731428631375125610144182',2748,'9998',66.89,4,3,NULL),(15,2078562,'1987-08-31 00:00:00',2,1,12,2005,'F','N','VARGEM GRANDE','AGUAS MORNAS','SC','124244248212434411528413132124610156097',NULL,'1014',21.27,1,3,NULL),(15,2078570,'1989-03-05 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241217472431269912574124610122142',12903,'441',47.71,1,3,NULL),(15,2078589,'1990-04-17 00:00:00',4,2,12,2007,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241212131231447619295124610132142',17087,'88',41.74,1,3,NULL),(15,2078597,'1989-03-18 00:00:00',4,1,11,2006,'F','N','SETOR BUENO','GOIANIA','GO','109092091216371731447711572322610164047',4733,'9998',61.68,1,3,NULL),(15,2078600,'1990-08-18 00:00:00',1,8,12,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111411469813436122610168097',NULL,'457',0.00,1,3,NULL),(15,2078619,'1990-04-03 00:00:00',4,5,11,2007,'M','N','CENTRO','ORLEANS','SC','124242241215112431379833575124610124172',10,'226',85.62,1,3,NULL),(15,2078627,'1990-03-26 00:00:00',4,1,11,2007,'M','N','COHABINAL','NATAL','RN','119192191217111751489919475112610132045',2281,'9998',68.30,1,3,NULL),(15,2078635,'1989-10-05 00:00:00',4,1,12,2007,'M','N','VILA MARIA','SAO JOSE DOS CAMPOS','SP','125251251217111431627514472324610164047',NULL,'9998',0.00,4,3,NULL),(15,2078651,'1991-02-08 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111751479911415122610138072',NULL,'262',58.65,1,3,NULL),(15,2078660,'1989-08-13 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241216372431369923575124610162092',4328,'389',62.66,1,3,NULL),(15,2078678,'1990-08-06 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241217111431466632275112610132122',5007,'9997',61.07,1,3,NULL),(15,2078686,'1990-09-05 00:00:00',4,6,11,2007,'F','N','VILA OPERÁRIA','ITAJAI','SC','124242241215132411449912294122610135112',11277,'392',50.04,3,3,NULL),(15,2078694,'1988-02-23 00:00:00',2,10,12,2004,'F','N','PORTINHO','LAGUNA','SC','124241241111372431626613371222130427142',NULL,'521',0.00,1,2,1),(15,2078708,'1990-10-12 00:00:00',4,8,12,2007,'F','N','AGUA VERDE','CURITIBA','PR','116164161416471431646612575122610134192',NULL,'9998',0.00,1,3,NULL),(15,2078716,'1989-06-19 00:00:00',4,4,11,2006,'M','N','ESPERANÇA','ERECHIM','RS','120202201215372431538924345125610112057',NULL,'9998',0.00,1,3,NULL),(15,2078724,'1990-02-23 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241216211431463619592122610167082',15406,'44',44.25,1,3,NULL),(15,2078732,'1990-12-28 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431539931372121610118175',2760,'270',66.85,1,3,NULL),(15,2078740,'1989-12-08 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431344921472125610121077',NULL,'1022',36.37,1,3,NULL),(15,2078759,'1989-08-06 00:00:00',4,2,11,2007,'F','N','NAÇÕES','INDAIAL','SC','124242241216271431477832594124610125182',4264,'909',62.77,1,3,NULL),(15,2078775,'1990-03-15 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431233624575112610122142',10097,'266',51.78,1,3,NULL),(15,2078791,'1981-02-27 00:00:00',4,8,12,1999,'F','N','PIRABEIRABA','JOINVILLE','SC','224241245126473411266454285122330636182',344,'492',78.11,1,2,1),(15,2078805,'1989-10-12 00:00:00',4,6,12,2007,'F','N','VILA ADYANA','SAO JOSE DOS CAMPOS','SP','125252251217171431578832576122610133192',12591,'9998',48.15,1,3,NULL),(15,2078813,'1987-09-18 00:00:00',4,1,12,2005,'M','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124242241217573431466831472112610134142',3176,'262',65.62,1,3,NULL),(15,2078821,'1989-12-11 00:00:00',4,1,11,2007,'M','N','SETOR BUENO','GOIANIA','GO','109092091217111431479913571122610162097',1325,'9998',71.99,1,3,NULL),(15,2078848,'1988-06-09 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215573431463721342122610163187',5040,'807',61.01,1,3,NULL),(15,2078856,'1990-04-22 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215121731389831572112610144182',1412,'270',71.59,1,3,NULL),(15,2078864,'1989-09-17 00:00:00',2,1,11,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124244248217473431548611572114610124052',2917,'32',66.39,1,3,NULL),(15,2078872,'1988-05-05 00:00:00',2,1,12,2005,'F','N','ROÇADO','SAO JOSE','SC','124242248215573331589911595124133224142',1488,'262',71.25,1,3,NULL),(15,2078902,'1989-09-02 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124242248215221331553412372124610131117',22138,'270',31.77,1,3,NULL),(15,2078910,'1990-11-01 00:00:00',4,1,10,2007,'F','N','JD DAS AMERICAS','CUIABA','MT','111112111216111231466833235112610132112',19575,'9998',37.67,1,3,NULL),(15,2078929,'1989-08-01 00:00:00',4,1,12,2006,'F','N','CENTRO','TAUBATE','SP','125252251214471411446614575122610131147',NULL,'9998',0.00,1,3,NULL),(15,2078937,'1988-09-15 00:00:00',4,1,12,2005,'M','N','ASA NORTE','BRASILIA','DF','107172071416471431459813472124610131097',2612,'9998',67.29,1,3,NULL),(15,2078945,'1990-09-24 00:00:00',2,5,11,2007,'F','N','SANTO ANTÔNIO','NOVA VENEZA','SC','124244241215131431426411272122610123147',11167,'995',50.21,1,3,NULL),(15,2078953,'1990-01-21 00:00:00',4,1,12,2007,'M','N','ARMAÇÃO','FLORIANOPOLIS','SC','124242241215171431468839575122610138112',19826,'270',37.17,1,3,NULL),(15,2078961,'1989-07-16 00:00:00',4,1,12,2006,'F','N','SANTO AMARO','SAO PAULO','SP','125252251216472431246824573124610123092',401,'9998',77.65,1,3,NULL),(15,2078970,'1990-08-18 00:00:00',4,3,11,2007,'F','N','BATEL','CURITIBA','PR','116162161216111432189811395315610164147',15903,'9998',43.53,1,3,NULL),(15,2078988,'1991-04-25 00:00:00',4,1,12,2008,'M','S','TRINDADE','FLORIANOPOLIS','SC','124246241217111531269912572124610168045',NULL,'270',48.65,1,3,NULL),(15,2078996,'1990-04-01 00:00:00',4,1,12,2007,'M','N','JARDIM MARABÁ','ITAPETININGA','SP','125254251217121411465815575122610114092',7153,'9998',56.88,3,3,NULL),(15,2079003,'1987-06-20 00:00:00',4,8,12,2004,'M','N','ROCIO PEQUENO','SAO FRANCISCO DO SUL','SC','124243241216371411437631572124233264117',NULL,'867',8.46,1,3,NULL),(15,2079020,'1989-11-18 00:00:00',4,1,12,2007,'F','N','CENTRO','SOROCABA','SP','125252258215111531468612572112610164057',NULL,'9998',21.20,1,3,NULL),(15,2079038,'1988-02-25 00:00:00',2,1,12,2006,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242248435412431367819574124610114065',13230,'298',47.26,1,3,NULL),(15,2079054,'1990-08-19 00:00:00',2,1,11,2007,'F','N','JARDIM OURO BRANCO','PARANAVAI','PR','116163161215111721533812292122610112147',NULL,'9998',18.68,4,3,NULL),(15,2079062,'1989-12-21 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111431478822342122610121017',21258,'270',34.29,1,3,NULL),(15,2079070,'1990-02-05 00:00:00',4,8,11,2008,'F','S','CENTRO','GUARAMIRIM','SC','124242241216151411478314575124610112192',NULL,'441',36.68,1,3,NULL),(15,2079089,'1987-06-09 00:00:00',4,8,11,2004,'F','N','BOQUEIRÃO','CURITIBA','PR','116161161236473731468614315124143267147',1107,'9998',72.99,1,3,NULL),(15,2079097,'1990-12-02 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431359812576114610137045',16493,'270',42.60,1,3,NULL),(15,2079119,'1985-11-27 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124243247637132411334429245134610168197',16181,'9999',43.09,1,3,NULL),(15,2079127,'1991-03-22 00:00:00',4,10,11,2008,'F','S','OFICINAS','TUBARAO','SC','124242241215111431559912571112610126012',NULL,'807',32.41,1,3,NULL),(15,2079135,'1981-05-23 00:00:00',2,1,12,1999,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124161161137373421228641312324610127043',21061,'9998',34.74,1,2,1),(15,2079143,'1993-03-28 00:00:00',4,4,12,2007,'F','N','BROOKLIN','SAO PAULO','SP','125252251215151431457734372112610167053',19199,'9998',38.35,1,3,NULL),(15,2079151,'1991-01-03 00:00:00',4,1,12,2007,'F','N','CENTRO','SAO JOAO BATISTA','SC','124244241215111531377632574122610163122',22320,'948',30.90,1,3,NULL),(15,2079160,'1990-07-25 00:00:00',2,9,11,2007,'F','N','CENTRO','URUPEMA','SC','124241241415111431448911575112610114142',13205,'499',47.31,1,3,NULL),(15,2079178,'1990-01-20 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111441259923335122610144112',9114,'270',53.43,1,3,NULL),(15,2079186,'1990-03-27 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241215122431468834273122610164187',1931,'270',69.48,1,3,NULL),(15,2079194,'1985-07-21 00:00:00',2,1,3,2003,'F','N','SERTAO DO MARUIM','SAO JOSE','SC','124241241126373731431214392333230817087',10501,'739',51.18,1,2,1),(15,2079208,'1990-09-30 00:00:00',4,1,12,2007,'F','N','JARDIM UNIVERSITÁRIO','MARINGA','PR','116162161215111731458631575114610144144',NULL,'9998',0.00,1,3,NULL),(15,2079216,'1968-04-22 00:00:00',2,6,12,1986,'M','N','CID UN PEDRA BRANCA','PALHOCA','SC','224242241211112431226542321322120227187',12480,'262',48.33,1,3,NULL),(15,2079232,'1989-10-02 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217273431578833395134610168122',7881,'270',55.55,1,3,NULL),(15,2079240,'1990-07-11 00:00:00',4,1,11,2007,'F','N','BELA VISTA','SAO JOSE','SC','124242241436371431356913175124610166077',17086,'729',41.74,1,3,NULL),(15,2079259,'1990-02-21 00:00:00',4,1,11,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124242241215371431258929575124610127042',11212,'884',50.14,1,3,NULL),(15,2079267,'1990-09-20 00:00:00',4,1,12,2007,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215121431469814445112610137047',NULL,'9998',0.00,1,3,NULL),(15,2079275,'1990-11-25 00:00:00',4,1,12,2007,'F','N','SÃO JOÃO','JACAREI','SP','125252251417121431368963435122610145197',NULL,'9998',0.00,4,3,NULL),(15,2079283,'1989-11-24 00:00:00',4,8,12,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215111231465633575112610162147',4603,'457',61.98,1,3,NULL),(15,2079291,'1989-04-04 00:00:00',4,1,12,2006,'M','N','SUDOESTE','CRUZEIRO','DF','107072071216372441488833575122241467052',2335,'9998',68.11,1,3,NULL),(15,2079305,'1991-04-27 00:00:00',4,7,12,2007,'F','N','CENTRO','VIDEIRA','SC','124162168215121431458832572112610152182',14355,'9998',45.63,1,3,NULL),(15,2079321,'1988-01-07 00:00:00',4,1,12,2005,'F','N','FLORESTA','BELO HORIZONTE','MG','113132131216571731458834571112610124147',4059,'9998',63.31,1,3,NULL),(15,2079330,'1990-07-23 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','125252251217111431458832275122610137042',13361,'9998',47.10,1,3,NULL),(15,2079348,'1990-07-20 00:00:00',4,6,12,2007,'M','N','PRAIA DOS AMORES','BALNEARIO CAMBORIU','SC','124242241214372411288823571124610127122',3052,'1026',65.98,1,3,NULL),(15,2079356,'1974-03-26 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124204248437131431425669481224610125147',16271,'9997',42.95,1,3,NULL),(15,2079364,'1990-08-07 00:00:00',4,1,12,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242241215111451466412245122610147052',18733,'1074',39.10,1,3,NULL),(15,2079372,'1990-03-17 00:00:00',2,1,12,2007,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241217111431468833572124610137117',10349,'262',51.43,1,3,NULL),(15,2079380,'1991-02-10 00:00:00',2,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124243241315132421439612575122610121097',7756,'407',55.77,1,3,NULL),(15,2079402,'1990-02-17 00:00:00',4,1,11,2007,'F','N','JARDIM REGINA','SAO PAULO','SP','125252251217111411448831596114610163022',NULL,'9998',0.00,1,3,NULL),(15,2079429,'1987-10-09 00:00:00',4,8,11,2006,'M','N','AMÉRICA','JOINVILLE','SC','124242241215372431469914571121610125011',9042,'486',53.58,1,3,NULL),(15,2079437,'1986-10-28 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124252251215574431249911595125610136187',9562,'9998',52.66,1,3,NULL),(15,2079453,'1990-04-18 00:00:00',2,8,11,2007,'M','N','ATIRADORES','JOINVILLE','SC','124242241215111441346822572112610166035',1457,'491',71.42,1,3,NULL),(15,2079461,'1990-05-31 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215122731478816576125610127111',5287,'270',60.55,1,3,NULL),(15,2079470,'1990-06-04 00:00:00',4,1,11,2007,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241215111411356613571124610124073',16908,'737',41.99,1,3,NULL),(15,2079488,'1990-09-07 00:00:00',4,4,11,2007,'M','N','CENTRO','CHAPECO','SC','124243241216151441356416575122610128012',1755,'168',70.19,1,3,NULL),(15,2079496,'1989-01-16 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124246241116372411456623595124231267047',5828,'271',59.42,1,3,NULL),(15,2079500,'1989-01-14 00:00:00',4,1,12,2006,'M','N','CENTRO','PENAPOLIS','SP','125252251216472431568811575122610162052',902,'9998',74.05,1,3,NULL),(15,2079518,'1989-06-06 00:00:00',4,1,12,2006,'M','N','CASAGRANDE','MOGI GUACU','SP','125252251236471431459831571321610162172',4727,'9998',61.70,4,3,NULL),(15,2079526,'1990-06-29 00:00:00',4,1,12,2007,'F','N','JARDIM CARANDAI','BIGUACU','SC','124241241115131431436911272124610168192',13503,'306',46.89,1,2,1),(15,2079534,'1978-10-03 00:00:00',4,1,7,1996,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','224242247245372431467652372112132862092',NULL,'270',33.16,1,3,NULL),(15,2079542,'1989-02-09 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431356923474124610132142',3242,'266',65.43,1,3,NULL),(15,2079550,'1990-06-03 00:00:00',2,1,11,2007,'F','N','COSTEIRADOPIRAJUBAE','FLORIANOPOLIS','SC','124243241315111431368632592122610123142',17844,'1023',40.60,1,3,NULL),(15,2079569,'1990-03-17 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241115131421434431345124610167067',NULL,'278',13.87,1,2,1),(15,2079577,'1989-11-21 00:00:00',2,1,11,2007,'M','N','JD ESPLANADA II','SAO JOSE DOS CAMPOS','SP','125254251217111431449939572121610167187',5814,'9998',59.45,1,3,NULL),(15,2079585,'1981-03-06 00:00:00',2,1,12,2001,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','224241244324132421234554245134610126187',18651,'725',39.24,1,3,NULL),(15,2079607,'1984-03-20 00:00:00',4,1,12,2002,'M','N','PARQUE SANDRA MARIA','TAUBATE','SP','125253257337572451346914185121610167187',6978,'9998',57.21,1,3,NULL),(15,2079615,'1990-08-10 00:00:00',2,1,12,2007,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124242241216141431478613572122610133093',10235,'724',51.58,1,3,NULL),(15,2079623,'1990-04-20 00:00:00',4,1,10,2007,'M','N','CENTRO','RONDON','PR','116164161415271431467614572124610167042',18228,'9998',39.92,1,3,NULL),(15,2079631,'1990-04-04 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431279921575122610122143',11142,'262',50.24,1,3,NULL),(15,2079640,'1990-08-22 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431468813572124610127017',531,'270',76.55,1,3,NULL),(15,2079666,'1991-03-21 00:00:00',2,1,12,2008,'F','S','SERRARIA','SAO JOSE','SC','124241241212151431346631572124610142071',NULL,'976',48.31,1,3,NULL),(15,2079690,'1991-03-20 00:00:00',4,1,12,2008,'M','S','COQUEIROS','FLORIANOPOLIS','SC','624242241217111431468811575122610137062',NULL,'270',48.39,1,3,NULL),(15,2079704,'1989-12-29 00:00:00',4,4,12,2006,'M','N','CENTRO','CHAPECO','SC','124242248216472221286631295122610168121',11278,'983',50.04,1,3,NULL),(15,2079712,'1990-06-08 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124242241215111431338811575122610134017',6695,'497',57.75,1,3,NULL),(15,2079747,'1990-03-10 00:00:00',2,1,12,2007,'F','N','VILLAR VILLE','OURINHOS','SP','125253251215111431344831571122610112082',21754,'9998',33.11,1,3,NULL),(15,2079755,'1989-06-24 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215151431489814572112610123015',21573,'262',33.57,1,3,NULL),(15,2079763,'1989-07-13 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215122431568832575112610165195',7874,'738',55.56,1,3,NULL),(15,2079771,'1989-04-20 00:00:00',2,8,12,2007,'M','N','ZONA UM A','UMUARAMA','PR','116162161217371431469811574122610137052',19752,'9998',37.33,1,3,NULL),(15,2079810,'1989-01-15 00:00:00',4,6,11,2006,'F','N','JUVEVÊ','CURITIBA','PR','116162161217571431359933575124610132092',1543,'9998',71.02,1,3,NULL),(15,2079828,'1989-05-19 00:00:00',4,1,11,2006,'F','N','CENTRO','RIBEIRAO PRETO','SP','125252251212411431438879572122610165192',7567,'9998',56.08,1,3,NULL),(15,2079844,'1988-05-24 00:00:00',4,1,12,2005,'M','N','JARDIM INDÚSTRIAS','SAO JOSE DOS CAMPOS','SP','125252251215571231467921471122610115117',2302,'9998',68.24,1,3,NULL),(15,2079860,'1991-08-19 00:00:00',4,1,12,2008,'M','S','ITAGUAÇU','FLORIANOPOLIS','SC','124242241217121431478934575124610135185',NULL,'270',60.08,1,3,NULL),(15,2079887,'1986-07-10 00:00:00',1,1,12,2004,'M','N','TUCURUVI SAO PAULO','SAO PAULO','SP','125252253217111231448837495124142164047',NULL,'9998',32.56,3,3,NULL),(15,2079895,'1984-02-02 00:00:00',2,1,12,2002,'F','N','SANTO ANDRÉ','GUAPORE','RS','120201208127131431533319142114142044147',21519,'9998',33.69,1,2,1),(15,2079909,'1989-02-25 00:00:00',4,1,11,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124243241217272411336411575124230262143',2669,'486',67.12,1,3,NULL),(15,2079925,'1990-02-14 00:00:00',3,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431489912575122610126182',3316,'270',65.22,1,3,NULL),(15,2079933,'1990-05-26 00:00:00',2,1,11,2007,'F','N','CENTRO','CACADOR','SC','124242241236111431479914572122610121142',13663,'120',46.66,1,3,NULL),(15,2079941,'1989-09-09 00:00:00',4,1,12,2006,'M','N','SERRARIA','SAO JOSE','SC','124241241117272412333321242124610112047',4161,'1116',63.03,1,2,1),(15,2079950,'1986-01-30 00:00:00',2,1,12,2003,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241215575751449919492124230263181',3097,'270',65.85,1,3,NULL),(15,2079968,'1990-03-14 00:00:00',2,1,12,2007,'F','N','AREIAS','PAULO LOPES','SC','124243241215121431566632272114610122052',14387,'1011',45.58,1,3,NULL),(15,2079976,'1988-07-07 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124244241117371431435819345121610117047',10505,'307',51.18,1,3,NULL),(15,2079984,'1988-11-20 00:00:00',2,5,12,2006,'M','N','IMIGRANTE','CRICIUMA','SC','124242241215472431536619296124610164057',3762,'211',64.05,1,3,NULL),(15,2079992,'1991-03-11 00:00:00',4,8,12,2008,'M','S','COSTA E SILVA','JOINVILLE','SC','124242241215151511569919575112610117047',NULL,'486',42.44,1,3,NULL),(15,2080001,'1985-03-13 00:00:00',2,1,12,2002,'M','N','VILA SÃO JOSÉ','SAO BERNARDO DO CAMPO','SP','125221221146571711343336285124141367057',2660,'9998',67.15,1,2,1),(15,2080036,'1991-02-02 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124243241117151431435624475122610124142',15546,'281',44.06,1,3,NULL),(15,2080052,'1990-02-04 00:00:00',4,2,12,2007,'M','N','VELHA','BLUMENAU','SC','124242241216111431479614195124610164072',NULL,'909',20.23,1,3,NULL),(15,2080060,'1990-08-21 00:00:00',4,2,12,2007,'F','N','VILA NOVA','BLUMENAU','SC','124244241215111531456824575122610144142',18131,'88',40.10,1,3,NULL),(15,2080079,'1990-01-11 00:00:00',4,2,11,2007,'F','N','DAS NAÇOES','INDAIAL','SC','124241241215271431467614475124610124077',12791,'88',47.86,1,3,NULL),(15,2080087,'1991-02-21 00:00:00',4,1,12,2008,'F','S','TRINDADE','FLORIANOPOLIS','SC','124252241216111431356823575124610164172',NULL,'270',47.04,1,3,NULL),(15,2080095,'1990-08-15 00:00:00',2,5,12,2007,'F','N','SÃO CRISTÓVÃO','TURVO','SC','124244241415131431423611345121610165147',8380,'813',54.72,1,3,NULL),(15,2080109,'1982-07-06 00:00:00',4,1,12,1999,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241215374431459933475125322122182',1753,'26',70.20,1,3,NULL),(15,2080117,'1990-02-09 00:00:00',4,8,12,2007,'F','N','BUTANTÃ','SAO PAULO','SP','125252251216111711558611571122610124012',8595,'9998',54.36,4,3,NULL),(15,2080141,'1990-04-24 00:00:00',4,8,12,2007,'M','N','CENTRO','JARAGUA DO SUL','SC','124242241217271731468814575112610167042',12672,'441',48.03,1,3,NULL),(15,2080150,'1990-09-26 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241225111331468812572122610123192',NULL,'270',42.86,1,3,NULL),(15,2080168,'1988-07-18 00:00:00',2,5,10,2005,'F','N','RIO MAINA','CRICIUMA','SC','124242241214573431558519571114610127012',4310,'880',62.67,1,3,NULL),(15,2080176,'1989-09-27 00:00:00',4,1,11,2007,'M','N','BUENO','GOIANIA','GO','109092091217111431356832575122610167122',332,'9998',78.35,1,3,NULL),(15,2080184,'1989-12-28 00:00:00',4,1,11,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124243241317141421336833335124610141192',9357,'1098',53.03,1,3,NULL),(15,2080192,'1991-06-01 00:00:00',4,1,12,2008,'M','S','AGRÔNOMICA','FLORIANOPOLIS','SC','124242241217111441488913272114610124052',NULL,'270',51.57,1,3,NULL),(15,2080206,'1990-10-19 00:00:00',4,4,12,2007,'F','N','CENTRO','SEARA','SC','124241241215211431237616575124610123147',NULL,'1047',12.25,1,3,NULL),(15,2080214,'1991-11-07 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241217111431469613575121610114052',19696,'738',37.43,1,3,NULL),(15,2080222,'1990-01-25 00:00:00',4,1,12,2007,'M','N','JARDIM COLISEU','LONDRINA','PR','116164161216111431468614375112610127052',7114,'9998',56.95,1,3,NULL),(15,2080230,'1989-09-16 00:00:00',1,1,11,2007,'F','N','BUTANTÃ','SAO PAULO','SP','125252251217121731658834571112610168187',16106,'9998',43.21,1,3,NULL),(15,2080249,'1990-03-18 00:00:00',4,4,12,2007,'M','N','CENTRO','NOVO HORIZONTE','SC','124243241125163711455715572225610142032',20509,'597',35.86,1,3,NULL),(15,2080257,'1990-06-05 00:00:00',2,7,11,2007,'M','N','CENTRO','CAMPOS NOVOS','SC','124242241215112431238711595124610167072',14090,'270',46.05,1,3,NULL),(15,2080265,'1988-11-26 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215473751558739572324610167047',7068,'1026',57.02,1,3,NULL),(15,2080273,'1989-10-28 00:00:00',4,1,11,2007,'M','N','JOAO PAULO','FLORIANOPOLIS','SC','124242241215471431488933591122610167137',10993,'262',50.49,1,3,NULL),(15,2080290,'1990-09-14 00:00:00',4,1,12,2007,'F','N','SÃO FRANCISCO','CAMPO GRANDE','MS','212122128217371431667933594122610127077',11327,'9998',49.95,1,3,NULL),(15,2080303,'1989-03-22 00:00:00',4,1,12,2007,'M','N','CENTRO','LIMEIRA','SP','125252251216471751566639574122610162146',NULL,'9998',0.00,1,3,NULL),(15,2080311,'1981-07-10 00:00:00',4,1,12,1998,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241217273731128849342124121818114',NULL,'270',0.00,1,3,NULL),(15,2080320,'1988-06-06 00:00:00',2,4,12,2005,'M','N','ITAÍBA','CONCORDIA','SC','124241241117131431325634345125610125037',NULL,'193',0.00,1,2,1),(15,2080338,'1985-12-25 00:00:00',4,8,12,2003,'M','N','INDUSTRIAL','TOLEDO','PR','116164161316373731463934575122140624042',7382,'9998',56.45,1,3,NULL),(15,2080346,'1988-06-14 00:00:00',4,1,12,2005,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241217372111366413172112610124197',19103,'266',38.51,4,3,NULL),(15,2080354,'1987-10-01 00:00:00',4,1,11,2007,'M','N','VILA ANDRADE','SAO PAULO','SP','125252251216151431568832595122610168053',NULL,'9998',0.00,1,3,NULL),(15,2080362,'1990-08-14 00:00:00',2,1,12,2007,'M','N','JARDIM NOVA EUROPA','LIMEIRA','SP','125252251215131431454534572122610127042',NULL,'9998',0.00,1,3,NULL),(15,2080370,'1991-04-30 00:00:00',4,1,12,2007,'M','N','BOM VIVER','BIGUACU','SC','124241241116131431423923172122610165182',16527,'65',42.54,5,3,NULL),(15,2080389,'1989-01-16 00:00:00',4,3,11,2006,'M','N','CARRO','CAMBORIU','SC','124242241212412211346419572124610162153',8871,'270',53.88,1,3,NULL),(15,2080397,'1990-09-18 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217112631468821575124610137017',1624,'270',70.70,1,3,NULL),(15,2080419,'1987-04-13 00:00:00',2,2,12,2004,'M','N','CENTRO','BLUMENAU','SC','124241241211572221639921295124610167177',8997,'909',53.65,1,3,NULL),(15,2080427,'1990-01-17 00:00:00',4,2,10,2007,'M','N','BOA VISTA','BLUMENAU','SC','124242241217111431588811575124610167182',21112,'909',34.63,1,3,NULL),(15,2080435,'1980-06-16 00:00:00',4,1,12,1997,'M','N','SANTANA','SAO PAULO','SP','125251251137153741445511195124610167057',NULL,'9998',0.00,1,2,1),(15,2080443,'1990-03-01 00:00:00',4,2,11,2007,'F','N','TESTO REGA','POMERODE','SC','124241241215271431449812375124610127047',12784,'88',47.88,1,3,NULL),(15,2080451,'1990-06-11 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111731348611575124610167142',13978,'1118',46.19,1,3,NULL),(15,2080460,'1991-10-05 00:00:00',4,1,12,2008,'F','S','CENTRO','GAROPABA','SC','124244241217111431343611572112610137143',NULL,'270',48.37,1,3,NULL),(15,2080478,'1989-06-15 00:00:00',4,1,11,2006,'F','N','CITY RIBEIRÃO','RIBEIRAO PRETO','SP','125252251217472731448824575112610163142',NULL,'9998',43.46,4,3,NULL),(15,2080486,'1986-10-09 00:00:00',2,1,12,2004,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124121121126131411636744345114610161077',NULL,'9998',0.00,4,3,NULL),(15,2080494,'1982-10-14 00:00:00',2,1,12,1999,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241241126275711133343235123122921057',11951,'307',49.04,1,2,1),(15,2080508,'1988-04-09 00:00:00',4,1,12,2005,'M','N','JARDIM ÁGUA BOA','DOURADOS','MS','112123121215272431353316574114140344142',2754,'9998',66.86,3,3,NULL),(15,2080516,'1989-12-21 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124244241116112431568711575124610144097',12216,'120',48.70,1,3,NULL),(15,2080524,'1989-09-02 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242161117372431539711576124610168182',3255,'9998',65.38,1,3,NULL),(15,2080540,'1991-06-08 00:00:00',4,5,12,2008,'M','S','COMERCIÁRIO','CRICIUMA','SC','124242241217271431379814276122610145062',NULL,'226',64.62,1,3,NULL),(15,2080559,'1989-03-08 00:00:00',4,1,11,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215372431366619292124610124172',8779,'1022',54.04,1,3,NULL),(15,2080567,'1983-08-12 00:00:00',2,1,7,2003,'M','N','VILA CARLI','GUARAPUAVA','PR','116161167146131331333629242223610147082',14920,'9999',44.89,4,2,1),(15,2080583,'1990-02-16 00:00:00',4,2,11,2007,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241217111441459931244111610162182',2969,'909',66.25,1,3,NULL),(15,2080591,'1990-10-21 01:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124163241317111431446811575125610167147',9431,'44',52.90,1,3,NULL),(15,2080605,'1988-10-28 00:00:00',5,1,11,2006,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124244241215371431264622572114610128185',2888,'270',66.48,1,3,NULL),(15,2080613,'1989-04-19 00:00:00',4,8,11,2006,'M','N','MIGUEL SUTIL','CUIABA','MT','111112111217471632479639575122610132056',7683,'9998',55.89,1,3,NULL),(15,2080621,'1987-08-25 00:00:00',2,1,12,2005,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215574431356631575114133245182',611,'1022',75.97,1,3,NULL),(15,2080630,'1988-10-06 00:00:00',4,1,11,2006,'M','N','POÇÃO','CUIABA','MT','111112111217471731269933575114610166092',16642,'9998',42.39,1,3,NULL),(15,2080648,'1991-04-15 00:00:00',4,1,12,2008,'F','S','CENTRO','CURITIBANOS','SC','124242241216171431469931472122610161142',NULL,'881',61.01,1,3,NULL),(15,2080656,'1990-05-09 00:00:00',4,1,11,2007,'M','N','BACACHERI','CURITIBA','PR','116162161215111431568832572121610147092',NULL,'9998',0.00,1,3,NULL),(15,2080664,'1989-09-03 00:00:00',2,1,12,2006,'F','N','AREIAS','SAO JOSE','SC','124243241112472431333314275114610114052',9831,'734',52.21,1,3,NULL),(15,2080672,'1981-06-21 00:00:00',4,1,12,1999,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241241116273411536619314124333263047',6762,'9997',57.63,1,2,1),(15,2080680,'1990-04-24 00:00:00',4,1,12,2007,'F','N','CENTRO','SAO JOAO BATISTA','SC','224241241116271731543611132122610135147',11054,'712',50.38,1,3,NULL),(15,2080699,'1987-05-28 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216575731339631572245133263097',746,'213',75.07,1,3,NULL),(15,2080702,'1990-06-15 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217371711489812575112610134121',13169,'262',47.38,1,3,NULL),(15,2080710,'1990-05-24 00:00:00',2,7,11,2007,'M','N','CENTRO','CASCAVEL','PR','116162161215111431446612595122610167032',8692,'9998',54.19,1,3,NULL),(15,2080729,'1988-05-04 00:00:00',2,1,12,2006,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241111142521445513441134610117147',NULL,'298',23.22,1,2,1),(15,2080737,'1990-10-08 00:00:00',4,1,12,2007,'F','N','BIGORRILHO','CURITIBA','PR','116164161217121431478834572112610134112',NULL,'9998',0.00,1,3,NULL),(15,2080745,'1990-01-15 00:00:00',4,1,11,2007,'M','N','BOSQUE DOS EUCALIPTO','SAO JOSE DOS CAMPOS','SP','125252251217111431389934575112610112092',10336,'9998',51.44,1,3,NULL),(15,2080753,'1990-01-19 00:00:00',2,1,12,2007,'F','N','CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC','124241241117131431333331211124610124017',16466,'288',42.63,1,3,NULL),(15,2080761,'1991-03-22 00:00:00',4,1,12,2007,'M','N','CENTRO','LAGOA VERMELHA','RS','120201201216171431446616452122610127044',19292,'9998',38.18,1,3,NULL),(15,2080770,'1990-03-14 00:00:00',4,3,12,2007,'F','N','MOSSUNGUÊ','CURITIBA','PR','116251161217271531368813575112610117117',5949,'9998',59.17,1,3,NULL),(15,2080788,'1990-01-12 00:00:00',4,1,12,2007,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242247215371412459932495124610134162',NULL,'270',32.17,1,3,NULL),(15,2080796,'1989-09-14 00:00:00',4,4,12,2006,'F','N','SÃO CRISTOVÃO','CHAPECO','SC','124241241126272731434429572124130427147',15909,'169',43.53,1,2,1),(15,2080800,'1989-02-21 00:00:00',4,1,12,2006,'M','N','ASA SUL','BRASILIA','DF','107074071216471431577812475122610134092',NULL,'9998',0.00,4,3,NULL),(15,2080818,'1990-03-23 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124244241141141431427732325124610117045',22206,'736',31.47,1,3,NULL),(15,2080826,'1990-01-24 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431479933572112610127012',9872,'270',52.14,1,3,NULL),(15,2080834,'1962-04-22 00:00:00',4,1,12,1979,'M','N','TRINDADE','FLORIANOPOLIS','SC','224241243421154111463443131122520867094',7038,'99',57.08,1,3,NULL),(15,2080842,'1987-10-01 00:00:00',2,2,11,2006,'F','N','CAMPO VELHO','CUIABA','MT','111283111215471431434611571124610141147',8682,'9998',54.20,3,3,NULL),(15,2080850,'1990-07-16 00:00:00',4,1,11,2007,'M','N','SANTA CRUZ','RIBEIRAO PRETO','SP','125252251215111431478811575114610142102',4283,'9998',62.73,4,3,NULL),(15,2080869,'1989-03-28 00:00:00',4,4,11,2006,'M','N','CRISTO REI','PATO BRANCO','PR','116162161215371331476614292124610167042',16672,'9998',42.36,1,3,NULL),(15,2080877,'1990-04-27 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215112411668833331121610127041',1505,'270',71.17,1,3,NULL),(15,2080885,'1989-03-01 00:00:00',4,1,11,2006,'F','N','CENTRO','CRUZEIRO DO OESTE','PR','116162161217472431538839574124610162077',NULL,'9998',0.00,1,3,NULL),(15,2080893,'1990-06-03 00:00:00',4,1,12,2007,'M','N','SAO PEDRO','PORTO UNIAO','SC','124241241116371221437614345121610124052',NULL,'635',0.00,1,2,1),(15,2080907,'1989-05-28 00:00:00',4,1,12,2006,'M','N','AREIAS','SAO JOSE','SC','124243241117271431355613476124610114092',4807,'257',61.50,1,3,NULL),(15,2080915,'1986-03-26 00:00:00',4,1,12,2002,'M','N','CENTRO','PATO BRANCO','PR','116202201217143431337927345134243222012',6530,'9998',58.02,1,3,NULL),(15,2080923,'1991-11-11 00:00:00',2,2,12,2008,'M','S','CENTRO','BRUSQUE','SC','124241246217131431538319274122610132147',NULL,'1090',45.70,4,3,NULL),(15,2080940,'1989-03-13 00:00:00',2,1,11,2007,'M','N','CANASVIERAS','FLORIANOPOLIS','SC','124242241215111731445632345114610127052',21336,'1048',34.11,1,3,NULL),(15,2080958,'1989-06-27 00:00:00',2,1,12,2006,'F','N','ROÇADO','SAO JOSE','SC','124241241415132431423411292124233267187',12222,'1022',48.69,2,1,2),(15,2080966,'1990-01-08 00:00:00',4,1,12,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124272241217372431378414592112130512142',3552,'1022',64.61,1,3,NULL),(15,2080974,'1990-09-03 00:00:00',4,1,11,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242247214111431546817371124610122092',8015,'270',55.35,1,3,NULL),(15,2080982,'1990-06-01 00:00:00',4,1,12,2007,'M','N','VILA CÉLIA','ITAPETININGA','SP','125252251215111331468833575112610167052',11517,'9998',49.69,1,3,NULL),(15,2080990,'1989-12-20 00:00:00',4,1,12,1989,'M','N','VALE DO SOL','VOTUPORANGA','SP','125252251215111431538814191121610117044',12043,'9998',48.92,1,3,NULL),(15,2081008,'1989-01-02 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217472431389921576122610147097',2288,'270',68.27,1,3,NULL),(15,2081016,'1991-09-14 00:00:00',4,2,11,2008,'F','S','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241217111431489934572124610127142',NULL,'71',31.70,1,3,NULL),(15,2081024,'1988-11-18 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241216134451367313595114220363142',3907,'226',63.71,1,3,NULL),(15,2081040,'1989-09-14 00:00:00',2,5,12,2006,'F','N','JARDIM DAS AVENIDAS','ARARANGUA','SC','124241241117371431426615146235610168187',20225,'29',36.36,4,2,1),(15,2081059,'1990-11-18 00:00:00',4,7,11,2007,'F','N','SANTA TEREZA','VIDEIRA','SC','124241241216121231543352275124610124147',21412,'969',33.94,1,3,NULL),(15,2081067,'1990-12-30 00:00:00',2,1,12,2007,'M','N','CENTRO','IMARUI','SC','124241241125141431513311182321610124147',18910,'356',38.82,2,1,1),(15,2081075,'1988-03-01 00:00:00',4,1,12,2005,'M','N','VILA ADYANA','SAO JOSE DOS CAMPOS','SP','125252251216572431469811575122610127017',NULL,'9998',0.00,1,3,NULL),(15,2081083,'1989-12-11 00:00:00',4,4,12,2007,'F','N','CENTRO','PATO BRANCO','PR','116162161116131431326629395324610126077',12780,'9998',47.88,1,3,NULL),(15,2081091,'1991-07-11 00:00:00',2,1,12,2007,'F','N','CACHOEIRA DO BOM J','FLORIANOPOLIS','SC','124241241115141741323521592124610168187',5832,'1048',59.40,1,3,NULL),(15,2081105,'1988-03-03 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242246217372441226411575124610122127',5885,'1105',59.28,1,3,NULL),(15,2081113,'1988-05-11 00:00:00',4,1,12,2005,'F','N','JARDIM MEDITERRANEO','LIMEIRA','SP','125254258117441731566739391122610141147',19872,'9998',37.07,1,3,NULL),(15,2081130,'1986-12-20 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241117272431437614242124131223077',NULL,'257',16.24,1,2,1),(15,2081148,'1990-03-20 00:00:00',4,1,11,2007,'M','N','BELA VISTA','SAO JOSE','SC','124244241117271411469813472124610166072',4100,'271',63.18,1,3,NULL),(15,2081156,'1991-03-05 00:00:00',4,4,12,2007,'M','N','PLANALTO','PATO BRANCO','PR','116161161135471431646619585124610162147',6701,'9998',57.74,1,2,1),(15,2081164,'1990-09-17 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241216111531446612375122610111097',16381,'1036',42.78,1,3,NULL),(15,2081172,'1988-12-03 00:00:00',4,2,12,2005,'F','N','ASILO','BLUMENAU','SC','124243241315273431333329345114610132197',4522,'403',62.20,1,3,NULL),(15,2081180,'1987-12-21 00:00:00',4,3,12,2004,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124161161116131411127644441324610152197',8100,'9998',55.19,1,2,1),(15,2081199,'1980-06-24 00:00:00',4,1,12,1997,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','224204201114131411229641315124233262176',14398,'9998',45.58,1,3,NULL),(15,2081202,'1988-09-01 00:00:00',2,1,12,2005,'M','N','CENTRO','CAMPO GRANDE','MS','112124121215571431377822575112610164072',3603,'9998',64.48,4,3,NULL),(15,2081210,'1982-10-12 00:00:00',4,1,12,2000,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','224201203436151731233551385124142241187',12833,'9998',47.81,1,3,NULL),(15,2081237,'1988-03-01 00:00:00',4,1,11,2005,'M','N','JARDIM ÁGUA BOA','DOURADOS','MS','112122121217575432444832571112610164182',2962,'9998',66.27,3,3,NULL),(15,2081245,'1990-10-22 00:00:00',2,4,12,2007,'F','N','PASSO DOS FORTES','CHAPECO','SC','124241242215151431435611572124610122057',21131,'185',34.59,4,3,NULL),(15,2081253,'1987-09-02 00:00:00',4,1,12,2005,'M','N','GLÓRIA','JOINVILLE','SC','124241241217372431558414445124610132187',NULL,'494',36.36,1,3,NULL),(15,2081261,'1987-12-09 00:00:00',2,6,12,2005,'F','N','ROGOWSKI','SANTO ANGELO','RS','120201201142271311523324281124610126092',20368,'9998',36.11,2,1,1),(15,2081270,'1990-10-01 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215111431466631576122610161072',3954,'723',63.59,4,3,NULL),(15,2081288,'1990-02-10 00:00:00',2,4,12,2007,'M','N','B PES','ARATIBA','RS','120201201117371432346933175125610137142',21182,'9998',34.48,1,2,1),(15,2081296,'1990-01-18 00:00:00',4,4,12,2006,'F','N','AREÃO','ITABIRA','MG','113131131117271431533334242224610127147',17049,'9998',41.81,1,2,1),(15,2081300,'1989-02-24 00:00:00',2,8,12,2006,'F','N','CENTRO','SAO BENTO DO SUL','SC','124241241415471431544629591125610122147',17154,'9997',41.64,1,3,NULL),(15,2081326,'1974-04-24 00:00:00',2,1,12,1991,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124244241444132421143343332123610167127',NULL,'391',0.00,1,3,NULL),(15,2081334,'1990-01-25 00:00:00',2,1,12,2007,'M','N','CENTRO','PEDERNEIRAS','SP','125251251416111731566632575125610124042',6688,'9998',57.76,1,3,NULL),(15,2081342,'1951-01-08 00:00:00',2,1,12,2002,'F','N','AREIAS DO CAMPECHE','FLORIANOPOLIS','SC','524251257127273411123374492124610166187',20690,'9998',35.52,1,2,1),(15,2081350,'1987-02-05 00:00:00',4,1,12,2004,'F','N','SÃO FRANCISCO','CAMPO GRANDE','MS','112122167211131411357723114112143212171',NULL,'9999',0.00,3,3,NULL),(15,2081369,'1986-10-16 00:00:00',4,1,12,2004,'M','N','JARDIM PAULISTA','CUIABA','MT','111112111216572411568813575124610162097',701,'9998',75.37,1,3,NULL),(15,2081377,'1987-11-29 00:00:00',4,1,12,2004,'F','N','CENTRO','TAPEJARA','RS','120204201416571431527511275122610166177',1336,'9998',71.95,1,3,NULL),(15,2081385,'1989-08-18 00:00:00',2,8,10,2007,'M','N','ANITA GABIBALDI','JOINVILLE','SC','124244241215111431479914395122610134042',20288,'486',36.25,4,3,NULL),(15,2081393,'1988-10-27 00:00:00',2,1,12,2006,'M','N','JARDIM AMÉRICA','CAXIAS DO SUL','RS','120201201146131431424629382124141447052',18970,'9998',38.72,2,2,1),(15,2081415,'1968-03-29 00:00:00',2,1,12,1989,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124241241124132421343343332223610167127',NULL,'398',0.00,1,3,NULL),(15,2081423,'1988-02-13 00:00:00',3,1,12,2005,'M','N','CENTRO','JUNDIAI','SP','125251251116271411358814585122140662097',NULL,'9999',13.36,1,3,NULL),(15,2081431,'1990-05-29 00:00:00',4,1,11,2007,'F','N','CENTRO','PRIMAVERA DO LESTE','MT','111112111236161431456836394122610138142',19658,'9998',37.50,1,3,NULL),(15,2081440,'1988-01-27 00:00:00',2,1,6,2006,'M','N','TAPERA','FLORIANOPOLIS','SC','124202247214572252248931572114610137095',NULL,'9999',NULL,1,3,NULL),(15,2081458,'1989-03-03 00:00:00',4,2,12,2006,'M','N','ASILO','BLUMENAU','SC','124241241215372411364534595114610161187',17444,'855',41.15,1,3,NULL),(15,2081466,'1989-10-05 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241217112431569913275114610124046',4533,'270',62.17,1,3,NULL),(15,2081474,'1989-10-02 00:00:00',2,1,12,2007,'M','N','VARGEM PEQUENA','FLORIANOPOLIS','SC','124241241115131221525719272124610137141',20626,'288',35.63,1,3,NULL),(15,2081490,'1990-04-15 00:00:00',4,1,12,2007,'M','N','GUARDA DO CUBATÃO','PALHOCA','SC','124241241131131431625621342344610135017',21867,'307',32.73,2,1,1),(15,2081504,'1990-04-25 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124241241222271431427629272124610128061',12850,'262',47.79,1,3,NULL),(15,2081512,'1989-09-12 00:00:00',4,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241215271431435669385124610168187',21032,'1076',34.80,1,3,NULL),(15,2081520,'1987-07-24 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241117273431521329285124610124117',3957,'307',63.58,4,3,NULL),(15,2081539,'1988-11-10 00:00:00',4,8,12,2005,'F','N','BOM RETIRO','JOINVILLE','SC','124222228217271732333519394114231428144',16019,'9998',43.35,1,3,NULL),(15,2081547,'1986-09-14 00:00:00',2,1,12,2005,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241126472431553511345123610127042',14564,'291',45.32,1,2,1),(15,2081555,'1987-06-01 00:00:00',2,1,12,2004,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241116134431433313395124231934012',10308,'307',51.48,1,2,1),(15,2081563,'1989-10-17 00:00:00',2,4,12,2006,'M','N','CRISTO REI','FRANCISCO BELTRAO','PR','116162161116472431333611571125610167057',1469,'9998',71.36,1,3,NULL),(15,2081571,'1977-06-02 00:00:00',4,8,12,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241117131721221344192113610164057',NULL,'9997',0.00,1,3,NULL),(15,2081580,'1988-07-21 00:00:00',4,1,12,2006,'M','N','CENTRO','LONDRINA','PR','116164161311371431458619375122140227041',19447,'9998',37.93,1,3,NULL),(15,2081598,'1990-04-07 00:00:00',4,1,12,2007,'F','N','CHÁCARA CACHOEIRA II','CAMPO GRANDE','MS','112122121215111311456732475122610146092',NULL,'9998',0.00,1,3,NULL),(15,2081610,'1987-12-28 00:00:00',4,8,12,2005,'M','N','BIGORRILHO','CURITIBA','PR','116254161216571431568832475122610117122',16662,'9998',42.37,3,3,NULL),(15,2081644,'1991-11-19 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241217151431479913575122610124057',NULL,'262',34.56,1,3,NULL),(15,2081660,'1987-12-01 00:00:00',2,1,12,2006,'F','N','SÃO CRISTÓVÃO','PASSO FUNDO','RS','120201201316471432456723572214610165012',16416,'9998',42.73,1,3,NULL),(15,2081679,'1983-08-21 00:00:00',2,8,12,2000,'M','N','JD MATARAZZO','JAGUARIAIVA','PR','116161161116574431423449192311610168047',NULL,'9998',24.19,2,3,NULL),(15,2081709,'1989-09-16 00:00:00',4,1,12,2007,'F','N','CENTRO','POMERODE','SC','124242241217373431469619175124610126077',322,'855',78.49,1,3,NULL),(15,2081717,'1989-06-10 00:00:00',4,1,12,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241211472431489719575122230227053',4339,'270',62.63,1,3,NULL),(15,2081725,'1961-09-03 00:00:00',2,1,12,1980,'M','N','VENDAVAL','BIGUACU','SC','224241241126134721654449395134531036187',15996,'65',43.40,1,2,1),(15,2081733,'1989-08-16 00:00:00',4,1,12,2007,'F','N','SERRINHA','FLORIANOPOLIS','SC','124241241141131451558673572224610155097',NULL,'307',17.95,1,2,1),(15,2081768,'1990-10-29 00:00:00',2,10,12,2007,'F','N','MONT SERRAT','PORTO ALEGRE','RS','120202201216271531369619575124610138072',NULL,'9998',0.00,1,3,NULL),(15,2081776,'1985-08-04 00:00:00',4,1,12,2002,'F','N','BARREIROS','SAO JOSE','SC','124243241416275411546669275124132466197',185,'9997',80.12,1,3,NULL),(15,2081784,'1989-05-31 00:00:00',2,4,12,2007,'F','N','BRASILIA','SAO LOURENCO DO OESTE','SC','124241241126131431523814282324610124142',15133,'744',44.63,1,3,NULL),(15,2081792,'1980-08-04 00:00:00',2,1,12,1997,'F','N','CAMPINAS','SAO JOSE','SC','124242241215575721356939415124333226097',402,'269',77.65,1,3,NULL),(15,2081806,'1989-02-17 00:00:00',4,1,12,2006,'F','N','CENTRO','CRICIUMA','SC','124242241215573431538829572345610122197',320,'213',78.50,1,3,NULL),(15,2081814,'1990-06-26 00:00:00',4,4,12,2007,'M','N','SANTA LUCIA','PALMITOS','SC','124241241115131431434534143214610167047',NULL,'601',0.00,1,2,1),(15,2081822,'1989-03-22 00:00:00',4,10,11,2006,'F','N','VILA MOEMA','TUBARAO','SC','124242241215272431479931574122132534077',5877,'806',59.30,1,3,NULL),(15,2081849,'1988-08-03 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124242241217372411333332322114610115092',5823,'1048',59.43,1,3,NULL),(15,2081873,'1989-03-29 00:00:00',4,8,12,2006,'M','N','CENTRO','AREADO','MG','113134131215471211538811475112610167041',4718,'9998',61.71,1,3,NULL),(15,2081881,'1987-01-28 00:00:00',2,1,12,2005,'M','N','BAIRRO ALTO','BOTUCATU','SP','125252251216571411468923595115610164057',18489,'9998',39.51,1,3,NULL),(15,2081890,'1985-03-09 00:00:00',4,1,12,2002,'F','N','PANTANAL','FLORIANOPOLIS','SC','124161161336271441129613215124442262037',10853,'9998',50.68,1,3,NULL),(15,2081903,'1989-12-14 00:00:00',2,1,12,2006,'F','N','BOM VIVER','BIGUACU','SC','124241241225372431226321486324610132147',15559,'262',44.03,1,3,NULL),(15,2081911,'1991-05-02 00:00:00',4,1,12,2007,'M','N','ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC','124241241117171441215629575114610167012',10709,'281',50.86,1,2,1),(15,2081938,'1990-09-18 00:00:00',4,1,12,2007,'F','N','GONZAGA','SANTOS','SP','125252251215111731468822421122610163112',21707,'9998',33.24,1,3,NULL),(15,2081946,'1988-06-02 00:00:00',2,1,12,2007,'F','N','SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC','124242247116131431546723375124610137081',21000,'9999',34.85,1,3,NULL),(15,2081954,'1985-12-19 00:00:00',2,2,12,2003,'F','N','PALMARES','BELO HORIZONTE','MG','113132131216472431558634574124610123147',5151,'9998',60.81,4,3,NULL),(15,2081962,'1989-04-21 00:00:00',4,2,12,2006,'F','N','ESTADOS','TIMBO','SC','124241241127131411346331395121231065142',NULL,'870',22.35,1,2,1),(15,2081970,'1968-11-24 00:00:00',4,1,12,1991,'M','N','PANTANO DO SUL','FLORIANOPOLIS','SC','224204206426131421238341215122222246027',9194,'9998',53.29,3,3,NULL);
INSERT INTO candidato VALUES (15,2081989,'1985-07-02 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241235275751468814412122232167044',9869,'262',52.15,1,3,NULL),(15,2081997,'1977-08-12 00:00:00',2,1,12,1995,'M','N','SERRARIA','SAO JOSE','SC','224201201142131411223344142312610122181',9067,'9998',53.54,1,2,1),(15,2082004,'1983-10-05 00:00:00',4,9,11,2001,'M','N','PIONEIRO','CAXIAS DO SUL','RS','120243241416272441324414345124130744172',2913,'515',66.40,1,3,NULL),(15,2082012,'1988-04-14 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241116472421558934345125610122072',14330,'307',45.68,1,2,1),(15,2082020,'1989-02-27 00:00:00',4,1,12,2006,'M','N','ESTORIL','BAURU','SP','125252251216371431348811575122141247017',NULL,'9998',22.98,1,3,NULL),(15,2082047,'1989-07-08 00:00:00',4,8,12,2006,'F','N','CENTRO','RIO NEGRO','PR','116241161216232411428611571225610137177',460,'9998',77.15,1,3,NULL),(15,2082055,'1988-06-16 00:00:00',2,1,12,2004,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241136131411234441315324131066177',17064,'69',41.78,4,2,1),(15,2082080,'1979-12-02 00:00:00',2,1,12,2004,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','224241247141134421333441214122610127147',8017,'9999',55.35,1,2,1),(15,2082098,'1989-07-03 00:00:00',4,4,12,2005,'M','N','SÃO CRISTÓVÃO','QUILOMBO','SC','124242241116131421336514495125230262187',16661,'648',42.37,1,3,NULL),(15,2082110,'1988-02-21 00:00:00',5,1,12,2005,'M','N','REUNIDAS','CACADOR','SC','124241161236271431624624572322241625172',14138,'9998',45.98,4,3,NULL),(15,2082144,'1990-05-15 00:00:00',4,1,12,2007,'M','N','SIRIÚ','GAROPABA','SC','124241241122161531624631115124610144047',13401,'322',47.03,1,2,1),(15,2082152,'1988-10-20 00:00:00',2,7,12,2006,'F','N','CENTRO','AGUA DOCE','SC','124241241127161532233363582312133232196',17665,'9',40.85,1,3,NULL),(15,2082160,'1990-05-02 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241115371411228829385124610138075',NULL,'307',30.19,1,3,NULL),(15,2082195,'1989-11-21 00:00:00',4,2,12,2006,'F','N','CENTRO','UNIAO DA VITORIA','PR','116242241217471751447633371345610124182',NULL,'632',0.00,1,3,NULL),(15,2082209,'1988-02-22 00:00:00',2,1,12,2005,'M','N','CENTRO','CAMBE','PR','116162161217373441358816575114610114112',NULL,'9998',0.00,1,3,NULL),(15,2082217,'1989-01-18 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215372731335823485124610128097',14831,'1022',44.97,1,3,NULL),(15,2082233,'1990-03-27 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431369923572122610125012',2042,'270',69.13,1,3,NULL),(15,2082250,'1980-12-11 00:00:00',4,1,12,1998,'M','N','JARDIM MAGNOLIA','CAMPINAS','SP','125252251216151731667734392122440664182',5843,'9998',59.38,1,3,NULL),(15,2082268,'1986-10-17 00:00:00',4,1,12,2003,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','125251251117571431336616572125613227097',NULL,'9998',36.60,1,2,1),(15,2082276,'1989-10-13 00:00:00',4,2,11,2006,'F','N','DAS NAÇOES','INDAIAL','SC','124242161216472731459831572124610137147',7118,'9998',56.93,1,3,NULL),(15,2082292,'1987-02-16 00:00:00',4,3,12,2005,'M','N','VILA ARAPONGUINHA','ARAPONGAS','PR','116161242116371431526314245131610117147',21120,'129',34.61,4,3,NULL),(15,2082306,'1990-10-04 00:00:00',2,4,12,2007,'F','N','CENTRO','ERECHIM','RS','120201201215111411367614575112610136042',10231,'9998',51.58,1,3,NULL),(15,2082314,'1990-07-30 00:00:00',4,1,12,2007,'F','N','PEDREGULHO','GUARATINGUETA','SP','125252251217111211336722115125610164072',19940,'9998',36.94,3,3,NULL),(15,2082330,'1990-01-02 00:00:00',2,5,12,2007,'F','N','VILA RICA','CRICIUMA','SC','124241241112131711436414141124610112077',19464,'209',37.89,1,2,1),(15,2082349,'1985-04-01 00:00:00',4,1,12,2003,'F','N','CENTRO','BIGUACU','SC','124203241217135711559712475124130844197',20442,'63',35.97,1,3,NULL),(15,2082357,'1988-07-30 00:00:00',4,1,12,2006,'F','N','VILA ZUCHETTI','NOVA ARACA','RS','120201205116131411323629285124610124097',NULL,'9998',0.00,1,2,1),(15,2082365,'1985-07-23 00:00:00',2,1,12,2003,'M','N','PASSA VINTE','PALHOCA','SC','124242241216375531356612345121610132092',14246,'589',45.80,1,3,NULL),(15,2082373,'1991-04-02 00:00:00',2,5,12,2007,'M','N','PRAIA DA META','BALNEARIO ARROIO DO SILVA','SC','124122241115371321635519341122610157056',19527,'29',37.77,1,3,NULL),(15,2082381,'1988-08-24 00:00:00',4,1,12,2005,'M','N','KOBRASOL','SAO JOSE','SC','124241241216133532428631215121610167047',18512,'1076',39.45,4,3,NULL),(15,2082390,'1990-07-27 00:00:00',2,1,11,2007,'M','N','CENTRO','MATELANDIA','PR','116161161337471721636811575114610164052',NULL,'9998',0.00,1,3,NULL),(15,2082403,'1982-04-30 00:00:00',4,1,12,1999,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241116132431223441312134610126147',18402,'512',39.64,1,2,1),(15,2082411,'1991-05-28 00:00:00',4,2,12,2007,'F','N','INDEPENDENCIA','POUSO REDONDO','SC','124172241345161441458831174325610168092',11216,'639',50.13,1,3,NULL),(15,2082420,'1986-10-29 00:00:00',2,1,12,2006,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124244247437151431356629235334610127042',NULL,'270',0.00,1,3,NULL),(15,2082454,'1986-07-04 00:00:00',2,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','124241241136135421335619395124130824147',12572,'257',48.18,1,2,1),(15,2082462,'1988-09-26 00:00:00',2,1,12,2005,'M','N','CAMPINAS','SAO JOSE','SC','124244241216132441356624495124231832097',7046,'270',57.07,1,3,NULL),(15,2082489,'1988-08-20 00:00:00',4,1,12,2005,'M','N','CENTRO','MATELANDIA','PR','116161161117571721636811575114610164042',NULL,'9998',0.00,1,3,NULL),(15,2082497,'1988-11-11 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241115273411446653395123610127053',16018,'307',43.35,1,2,1),(15,2082500,'1989-01-18 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124203241347141432337813345124610117087',NULL,'257',20.02,1,3,NULL),(15,2082519,'1987-09-14 00:00:00',2,1,11,2006,'M','N','SAO SEBASTIAO','PALHOCA','SC','124241241147372431456314245124610167112',18359,'733',39.70,1,3,NULL),(15,2082527,'1989-10-21 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124161241127131431325524242324610122142',22494,'922',28.86,1,2,1),(15,2082535,'1982-02-26 00:00:00',2,1,12,1999,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241241131332431423514274344610116142',6182,'297',58.69,1,2,1),(15,2082551,'1986-11-14 00:00:00',4,1,11,2005,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241116152231268714315124230264097',9002,'306',53.64,1,3,NULL),(15,2082560,'1990-05-22 00:00:00',4,1,12,2007,'M','N','V CAMINHO DO MAR','SAO BERNARDO DO CAMPO','SP','125252251216111431479834575112610127017',14753,'9998',45.07,4,3,NULL),(15,2082586,'1990-10-03 00:00:00',2,1,11,2007,'M','N','CENTRO','MATELANDIA','PR','116164161237471721648933575114610164092',NULL,'9998',0.00,1,3,NULL),(15,2082594,'1974-05-29 00:00:00',4,1,12,1995,'M','N','TRINDADE','FLORIANOPOLIS','SC','124202241327133732558612241134133244047',13043,'270',47.53,1,3,NULL),(15,2082608,'1990-02-15 00:00:00',4,8,11,2007,'F','N','PORTÃO','PINHAIS','PR','116162161235471411438631584124610164047',NULL,'9998',0.00,1,3,NULL),(15,2082616,'1984-05-21 00:00:00',2,3,12,2001,'F','N','MEIA PRAIA','ITAPEMA','SC','624201208116151411146343335122241916042',NULL,'9998',25.91,1,2,1),(15,2082624,'1989-11-01 00:00:00',2,1,12,2006,'F','N','PINHEIRINHO','CURITIBA','PR','116242241215524431327732172114610117187',NULL,'270',0.00,1,3,NULL),(15,2082632,'1989-04-09 00:00:00',4,1,12,2006,'F','N','COLONIA SANTANA','SAO JOSE','SC','124241241125371431423334142344610153057',12617,'731',48.12,1,2,1),(15,2082640,'1979-02-28 00:00:00',2,1,12,1996,'M','N','PONTE DE IMARUIM','PALHOCA','SC','224244241216135431225854445234610164047',18277,'590',39.82,1,3,NULL),(15,2082659,'1987-11-13 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124131131216273431429813145124610133082',9608,'9998',52.58,1,3,NULL),(15,2082667,'1987-07-05 00:00:00',4,1,12,2004,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215271531436611212124131022092',12930,'981',47.67,1,3,NULL),(15,2082675,'1970-11-21 00:00:00',5,1,12,1987,'M','N','BARREIROS','SAO JOSE','SC','224201207211122211328842121122242511183',13233,'9998',47.26,1,3,NULL),(15,2082683,'1989-10-12 00:00:00',4,4,12,2006,'M','N','BAIXADA PIONEIRA','PINHALZINHO','SC','120241241116371431553933475112131064052',2244,'616',68.44,1,2,1),(15,2082705,'1986-07-01 00:00:00',4,1,12,2000,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241111372431224524345113610117187',16654,'276',42.38,1,3,NULL),(15,2082713,'1982-09-30 00:00:00',2,1,7,2001,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','224241247347375422223343135134130227042',9274,'735',53.16,1,3,NULL),(15,2082721,'1987-12-30 00:00:00',4,1,5,2006,'M','N','ARMAÇÃO','FLORIANOPOLIS','SC','124244247417273411378813575113130217112',NULL,'266',23.73,1,3,NULL),(15,2082748,'1991-11-12 00:00:00',2,1,12,2008,'F','S','SAMBAQUI','FLORIANOPOLIS','SC','124242241215111431563872571122612347045',NULL,'1048',34.20,1,3,NULL),(15,2082756,'1988-08-29 00:00:00',2,1,12,2005,'F','N','JARDIM DAS PAINEIRAS','CAMPINAS','SP','125252251216571211349613475122610125197',15255,'9998',44.47,1,3,NULL),(15,2082764,'1988-05-23 00:00:00',2,1,12,2005,'M','N','CAMPINAS','SAO JOSE','SC','124242241414272431236624392114610135077',17867,'1022',40.56,4,3,NULL),(15,2082799,'1990-06-21 00:00:00',4,6,12,2007,'F','N','CENTRO','PICARRAS','SC','124242241215111431455732424124610145095',15435,'1057',44.21,1,3,NULL),(15,2082810,'1987-09-01 00:00:00',2,1,12,2004,'F','N','BELA VISTA I','SAO JOSE','SC','124242241237373411336624372124121417142',842,'266',74.42,1,3,NULL),(15,2082829,'1989-03-14 00:00:00',4,4,12,2006,'F','N','SALETE','SAO MIGUEL DOESTE','SC','124242241217472431356613574125610124147',2995,'752',66.17,1,3,NULL),(15,2082837,'1987-05-02 00:00:00',2,6,12,2004,'F','N','CENTRO','ILHOTA','SC','116244161216573431426821581314130662147',13983,'9998',46.17,1,3,NULL),(15,2082845,'1989-07-03 00:00:00',4,1,12,2007,'M','N','SÃO SEBASTIÃO','PALHOCA','SC','124242241215373431369813575114610122122',2004,'1011',69.27,1,3,NULL),(15,2082853,'1990-11-17 00:00:00',2,1,11,2007,'M','N','FAZ SANTO ANTONIO','SAO JOSE','SC','124242241237111431468814142121610164182',20135,'1077',36.56,1,3,NULL),(15,2082861,'1981-07-01 00:00:00',2,1,12,2001,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241247327271712113213242334610164112',22351,'292',30.68,1,3,NULL),(15,2082870,'1989-10-18 00:00:00',2,1,11,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124243241217112411546319195124610164012',5567,'270',59.94,1,3,NULL),(15,2082888,'1988-11-17 00:00:00',4,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241247317371411236313435224610131087',20137,'9999',36.55,1,3,NULL),(15,2082918,'1989-06-20 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124052051317371712337723575324610124115',3065,'9998',65.92,4,1,2),(15,2082926,'1988-08-04 00:00:00',2,1,6,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241247115471431545519375124610133147',19782,'9999',37.28,1,2,1),(15,2082934,'1981-02-28 00:00:00',2,1,12,1998,'F','N','SANTINHO','FLORIANOPOLIS','SC','224241241112471431234454382114610124147',1818,'307',69.89,1,2,1),(15,2082942,'1986-10-14 00:00:00',4,1,7,2005,'F','N','VILA NOVA','IMBITUBA','SC','124241241136271751438829345124610134077',18703,'359',39.16,1,3,NULL),(15,2082950,'1989-07-19 00:00:00',4,1,12,2006,'M','N','RIO CAVEIRAS','BIGUACU','SC','124241241216111411436613471124133226042',17669,'63',40.84,1,3,NULL),(15,2082969,'1988-11-11 00:00:00',4,9,12,2005,'F','N','MORRO DO POSTO','LAGES','SC','124241241314573751446823592122610161072',7150,'499',56.88,1,3,NULL),(15,2082977,'1989-03-12 00:00:00',4,2,12,2006,'M','N','PORTAL DO CEDRO','IPERO','SP','125251256117151411628619395131243247042',NULL,'536',19.07,1,3,NULL),(15,2082985,'1989-12-26 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241215372431575631272114610124142',4716,'737',61.71,1,3,NULL),(15,2082993,'1989-06-07 00:00:00',2,1,11,2006,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124162241215571431467613572124610124147',2897,'270',66.46,1,3,NULL),(15,2083000,'1987-05-25 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244241412573411459833575114133265197',10384,'1022',51.36,1,3,NULL),(15,2083019,'1982-04-24 00:00:00',2,1,11,1999,'F','N','BARREIROS','SAO JOSE','SC','124243241114133421635829392334610157182',NULL,'307',12.74,1,3,NULL),(15,2083027,'1991-03-27 00:00:00',2,1,12,2008,'F','S','CARVOEIRA','FLORIANOPOLIS','SC','124241248215121431337639572224610138027',NULL,'1098',50.44,4,3,NULL),(15,2083035,'1985-01-18 00:00:00',2,1,4,2004,'M','N','JARDIM UNIVERSITÁRIO','MARINGA','PR','116212217436471731348761585124141464177',NULL,'9999',0.00,1,3,NULL),(15,2083043,'1969-05-06 00:00:00',2,1,7,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124161247217151431423344241123610163017',NULL,'9999',16.00,1,3,NULL),(15,2083051,'1988-04-20 00:00:00',4,3,12,2005,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241217572431467732575115610164092',NULL,'53',24.45,1,3,NULL),(15,2083060,'1990-01-09 00:00:00',2,6,12,2006,'F','N','VARZEA','ITAPEMA','SC','124241241116371731226833345233610124117',NULL,'406',24.93,1,2,1),(15,2083078,'1989-09-05 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241315111431436314282124610123181',9748,'1022',52.34,1,3,NULL),(15,2083086,'1972-12-08 00:00:00',2,1,12,1993,'M','N','CENTRO','FLORIANOPOLIS','SC','124131072116472421236544345122141147063',16222,'9998',43.02,4,2,1),(15,2083116,'1988-06-05 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241216373421468912442114231067045',3555,'266',64.61,1,3,NULL),(15,2083132,'1989-12-10 00:00:00',4,1,11,2007,'M','N','VILA MOEMA','TUBARAO','SC','124242241217371431468833575112610124172',435,'807',77.32,1,3,NULL),(15,2083140,'1989-11-01 00:00:00',4,1,12,2007,'M','N','VILA MARIANA','SAO PAULO','SP','125252251217111431468811575112610164047',5201,'9998',60.70,1,3,NULL),(15,2083159,'1990-05-15 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124243241215131431226828575125610161197',14186,'211',45.89,1,3,NULL),(15,2083167,'1987-09-05 00:00:00',2,1,12,2005,'F','N','SAO DIMAS','SAO JOSE DOS CAMPOS','SP','125252251216571431447839595124610162182',2964,'9998',66.26,1,3,NULL),(15,2083175,'1989-01-15 00:00:00',4,1,12,2006,'M','N','JARDIM ALVORADA','MARINGA','PR','116254161117471432455832382222610137182',18533,'9998',39.43,1,3,NULL),(15,2083183,'1991-01-19 00:00:00',2,8,12,2007,'F','N','UBATUBA','SAO FRANCISCO DO SUL','SC','124244241217161431326619272124610167091',19295,'992',38.17,1,3,NULL),(15,2083191,'1986-10-27 00:00:00',2,1,12,2005,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124243241217273411457931295124230237112',11067,'951',50.36,1,3,NULL),(15,2083205,'1990-03-07 00:00:00',4,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124243241314111512533329375212610117147',NULL,'1075',21.87,1,3,NULL),(15,2083213,'1990-04-10 00:00:00',2,1,12,2007,'M','N','ROÇADO','SAO JOSE','SC','124241241116151731556954575114610167052',7948,'729',55.45,1,2,1),(15,2083221,'1989-05-02 00:00:00',2,1,12,2006,'M','N','REAL PARQUE','SAO JOSE','SC','124241241111132732435613342314610127042',20734,'734',35.44,1,2,1),(15,2083230,'1990-02-17 00:00:00',4,1,11,2007,'M','N','ZONA SETE','MARINGA','PR','116162161217111441469911575112610167122',11547,'9998',49.64,1,3,NULL),(15,2083248,'1989-02-10 00:00:00',4,1,12,2006,'M','N','VILA PROGRESSO','DOURADOS','MS','112124121217271431439811415122610127042',19232,'9998',38.29,3,3,NULL),(15,2083256,'1990-02-25 00:00:00',4,1,12,2007,'F','N','CHÁCARA PALESTINA','PENAPOLIS','SP','125124251216111432479916575122610123073',NULL,'9998',0.00,1,3,NULL),(15,2083264,'1989-09-13 00:00:00',2,1,12,2006,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124241241215472431356633572124610143097',17289,'168',41.42,1,3,NULL),(15,2083272,'1989-08-25 00:00:00',2,1,12,2006,'F','N','BOMBAS','BOMBINHAS','SC','124241241121131411614311292324610117047',NULL,'1089',0.00,1,2,1),(15,2083280,'1990-06-11 00:00:00',2,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124243241235111431524629575124610164187',13675,'266',46.65,1,3,NULL),(15,2083310,'1989-03-16 00:00:00',4,1,12,2006,'M','N','SETOR MARISTA','GOIANIA','GO','109091091315471431448733574124610165052',2314,'9998',68.20,4,3,NULL),(15,2083345,'1990-05-30 00:00:00',2,6,12,2007,'F','N','CENTRO','BRUSQUE','SC','124242241215311231239932575112610123142',18636,'981',39.26,1,3,NULL),(15,2083361,'1989-01-10 00:00:00',4,9,11,2006,'F','N','SAGRADO','LAGES','SC','124242241215572431448613571225610146147',1999,'499',69.29,1,3,NULL),(15,2083370,'1988-09-15 00:00:00',4,1,12,2006,'F','N','PENHA','SAO PAULO','SP','125252251316471711458814572125610114042',NULL,'9998',19.37,1,3,NULL),(15,2083388,'1989-09-03 00:00:00',2,1,12,2006,'M','N','GUARDA DO EMBAU','PALHOCA','SC','124243241147372431663652142124230214172',16801,'592',42.16,1,3,NULL),(15,2083396,'1989-07-25 00:00:00',4,8,12,2006,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241235412411446834575122610126147',7033,'932',57.09,1,3,NULL),(15,2083418,'1989-09-21 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241216151431348831415122610167142',13162,'499',47.38,1,3,NULL),(15,2083434,'1986-09-22 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241112372431111544341334610124142',16579,'772',42.48,1,2,1),(15,2083442,'1985-04-22 00:00:00',4,1,12,2002,'F','N','SERRARIA','SAO JOSE','SC','124242241416273431343619385124421336177',6130,'943',58.80,1,3,NULL),(15,2083450,'1976-09-05 00:00:00',4,1,1,1995,'F','N','PRAIA DO SANTINHO','FLORIANOPOLIS','SC','124202207416152431163616482122321467112',NULL,'9998',0.00,1,3,NULL),(15,2083469,'1986-11-19 00:00:00',4,1,12,2004,'M','N','JARDIM CHAPADÃO','CAMPINAS','SP','125252251217251711689931471112143247117',791,'9998',74.77,1,3,NULL),(15,2083477,'1989-01-02 00:00:00',4,1,11,2006,'F','N','APARECIDA','SANTOS','SP','125254251216471431326624575124610123102',18797,'9998',38.99,1,3,NULL),(15,2083493,'1979-12-22 00:00:00',2,1,12,1997,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124243241122271411446619312122610167117',18898,'294',38.84,1,3,NULL),(15,2083507,'1990-08-15 00:00:00',2,1,12,2007,'M','N','CENTRO','RANCHO ALEGRE D OESTE','PR','116163161216111421435331572122610137057',21928,'9998',32.52,1,3,NULL),(15,2083515,'1989-05-26 00:00:00',4,1,12,2006,'M','N','CIDADE JARDIM','PIRACICABA','SP','125251251117471431338764577212610134057',NULL,'9998',0.00,1,2,1),(15,2083523,'1990-04-30 00:00:00',2,1,12,2007,'M','N','DA SAUDADE','PONTA PORA','MS','112124121216311431238823475121610142142',2712,'9998',66.99,1,3,NULL),(15,2083558,'1986-02-23 00:00:00',2,4,12,2003,'M','N','RIO BRANCO','PORTO ALEGRE','RS','120161161216273441439933475124140434057',10275,'9998',51.53,1,3,NULL),(15,2083566,'1988-08-13 00:00:00',4,1,12,2005,'M','N','VILA PRUDENTE','SAO PAULO','SP','125286251645572431467731271114141466072',1303,'9998',72.06,3,3,NULL),(15,2083574,'1990-12-26 00:00:00',2,1,11,2007,'F','N','BUTIATUVINHA','CURITIBA','PR','116162161211111431485811572122610131012',NULL,'9998',0.00,1,3,NULL),(15,2083590,'1989-03-11 00:00:00',2,1,12,2006,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241117142421336613231334610127053',19115,'697',38.50,1,2,1),(15,2083604,'1987-07-21 00:00:00',4,1,12,2005,'M','N','CENTRO','BATATAIS','SP','125254251216571721558811571125610166096',NULL,'9998',0.00,4,3,NULL),(15,2083612,'1987-07-30 00:00:00',4,3,12,2004,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124202241215472451548611471125610166047',5788,'270',59.50,1,3,NULL),(15,2083620,'1988-04-08 00:00:00',4,1,12,2005,'M','N','CIDADE JARDIM','SAO CARLOS','SP','125252251215571431467813475122610167013',4253,'9998',62.79,1,3,NULL),(15,2083639,'1990-11-11 00:00:00',2,4,12,2007,'F','N','CENTRO','MARAVILHA','SC','124241241315231431443933245122610124147',NULL,'1037',20.20,4,1,2),(15,2083647,'1989-04-27 00:00:00',4,1,11,2006,'F','N','CENTRO','CURITIBA','PR','116134131236371411444615375115610161027',NULL,'9998',0.00,1,3,NULL),(15,2083663,'1989-10-17 00:00:00',2,5,11,2006,'M','N','COMERCIÁRIO','CRICIUMA','SC','124242241216472431568612575122610167042',1974,'210',69.35,1,3,NULL),(15,2083671,'1989-06-07 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242281415372431488633572112610124042',2170,'9998',68.69,1,3,NULL),(15,2083698,'1989-06-23 00:00:00',4,9,12,2006,'F','N','COPA CABANA','LAGES','SC','124242241216472431566634572115610142092',2035,'1065',69.15,1,3,NULL),(15,2083728,'1988-09-01 00:00:00',2,1,12,2006,'M','N','CENTRO','BIGUACU','SC','124241241117142232433313382115610127042',16342,'65',42.84,1,2,1),(15,2083736,'1988-09-17 00:00:00',4,3,12,2005,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124202241215151451548611472125230462087',NULL,'270',0.00,1,3,NULL),(15,2083744,'1990-08-12 00:00:00',4,1,12,2007,'M','N','CAMPOLIM','SOROCABA','SP','125252251216111431467812575122610167042',6520,'9998',58.04,1,3,NULL),(15,2083760,'1990-04-16 00:00:00',4,1,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241215111431238614592125610138092',NULL,'967',22.57,1,3,NULL),(15,2083779,'1990-04-10 00:00:00',2,3,11,2007,'F','N','JARDIM OURO BRANCO','PARANAVAI','PR','116164161216421431578812575122610163142',3653,'9998',64.35,1,3,NULL),(15,2083787,'1990-04-10 00:00:00',4,1,12,2007,'M','N','VILA SÃO VICENTE','VOTUPORANGA','SP','125254251117161431569811575122610134012',NULL,'9998',0.00,1,3,NULL),(15,2083795,'1988-09-21 00:00:00',4,8,12,2005,'F','N','PENHA','SAO PAULO','SP','125252251216571431369814175112610124072',10324,'9998',51.46,1,3,NULL),(15,2083809,'1989-02-22 00:00:00',2,7,12,2007,'F','N','CENTRO','MAXIMILIANO DE ALMEIDA','RS','120201201137371431443923582342610128042',NULL,'9998',33.37,4,3,NULL),(15,2083817,'1990-01-25 00:00:00',4,1,12,2006,'F','N','ZONA SETE','MARINGA','PR','116162161216472531468832592322610164092',3083,'9998',65.88,3,3,NULL),(15,2083825,'1990-08-08 00:00:00',2,1,7,2008,'F','S','AREIAS','SAO JOSE','SC','124242248114131731643331345234610122052',NULL,'306',40.88,1,3,NULL),(15,2083833,'1990-01-05 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124243241317371431147623375122610127052',20961,'271',34.93,1,3,NULL),(15,2083841,'1989-10-12 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215372431568813572114610168192',9708,'270',52.41,1,3,NULL),(15,2083850,'1990-04-16 00:00:00',2,4,12,2007,'M','N','INTERIOR','CHAPECO','SC','124241241117271421443316152224610127052',6140,'175',58.78,1,2,1),(15,2083884,'1986-01-23 00:00:00',4,10,12,2003,'F','N','CAETE','GRAVATAL','SC','124241241123131421623313242335130267057',NULL,'331',18.67,4,2,1),(15,2083892,'1992-04-15 00:00:00',4,4,12,2008,'M','S','PRESIDENTE MÉDICI','CHAPECO','SC','124242241412111732469813471122610124017',NULL,'168',63.86,1,3,NULL),(15,2083906,'1990-06-08 00:00:00',4,1,12,2007,'M','N','CENTRO','IMARUI','SC','124241241136161431325629332122610167057',21136,'356',34.58,1,2,1),(15,2083914,'1986-07-02 00:00:00',4,1,6,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241117132521549629442114610161097',18088,'306',40.17,1,2,1),(15,2083922,'1987-12-12 00:00:00',4,1,12,2005,'F','N','JARDIM ITAQUERE','SAO PEDRO','SP','125253251216571431559611372112610124147',9355,'9998',53.04,1,3,NULL),(15,2083930,'1986-02-19 00:00:00',2,8,12,2006,'M','N','TABLADA NUEVA','JOINVILLE','SC','128281281136471431432324375121610117047',NULL,'9998',15.01,1,3,NULL),(15,2083949,'1990-07-14 00:00:00',4,1,12,2007,'M','N','JARDIN BELA VISTA','PALOTINA','PR','116164161217371431446933575121610144142',11541,'9998',49.65,1,3,NULL),(15,2083957,'1987-07-18 00:00:00',2,1,12,2004,'F','N','BELA VISTA','SAO PAULO','SP','125252251216574431548831575124610127097',1897,'9998',69.61,1,3,NULL),(15,2083965,'1990-11-14 00:00:00',4,1,12,2007,'F','N','CENTRO','LONDRINA','PR','116162161216271431368934571115610134114',NULL,'9998',0.00,1,3,NULL),(15,2083981,'1974-12-31 00:00:00',4,1,12,1991,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','224242241216154441468643432122321427012',7365,'262',56.49,1,3,NULL),(15,2083990,'1981-02-12 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANOPOLIS','SC','124163161216271431258943435124341414042',4958,'9998',61.18,1,3,NULL),(15,2084007,'1989-03-10 00:00:00',4,5,11,2006,'M','N','CENTRO','CRICIUMA','SC','124242241215472431486832595112610162062',1790,'226',69.99,1,3,NULL),(15,2084015,'1987-09-29 00:00:00',2,1,12,2004,'M','N','FAZENDA DO MAX','SAO JOSE','SC','124243241117152711536639442123610117165',21228,'281',34.38,1,3,NULL),(15,2084031,'1989-09-09 00:00:00',4,1,12,2007,'M','N','CENTRO','FOZ DO IGUACU','PR','116162161215171431376432572112610164047',NULL,'9998',0.00,1,3,NULL),(15,2084040,'1983-10-27 00:00:00',2,1,5,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241316274432249441211311610161012',15101,'1003',44.67,2,3,NULL),(15,2084058,'1989-03-28 00:00:00',4,1,12,2006,'F','N','SÃO FRANCISCO','CAMPO GRANDE','MS','112122121211312431459934571112610165172',256,'9998',79.24,1,3,NULL),(15,2084074,'1990-01-24 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215271431268931575122610145073',15801,'262',43.67,1,3,NULL),(15,2084082,'1989-02-26 00:00:00',4,5,12,2006,'M','N','COMERCIARIO','CRICIUMA','SC','124244246215271232333814245124610124037',10476,'995',51.22,1,3,NULL),(15,2084104,'1990-12-28 00:00:00',4,1,12,2007,'M','N','SETOR OESTE','GOIANIA','GO','109092091216111431378916471114610127092',2339,'9998',68.10,1,3,NULL),(15,2084112,'1990-09-08 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241215111732454613272344610133077',13502,'272',46.89,1,3,NULL),(15,2084120,'1987-07-07 00:00:00',4,1,12,2004,'M','N','PQ DA LAPA','SAO PAULO','SP','125252251216571431339914115124141444187',NULL,'9998',0.00,1,3,NULL),(15,2084147,'1988-06-19 00:00:00',2,1,7,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241247417371431456839595124610127057',18837,'9997',38.93,1,3,NULL),(15,2084163,'1989-03-22 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','125252251217471431358813374124610164093',1281,'9998',72.12,1,3,NULL),(15,2084180,'1990-04-21 00:00:00',4,10,11,2007,'F','N','CRUZEIRO','TUBARAO','SC','124244241215271431456514595222610124052',4623,'807',61.95,1,3,NULL),(15,2084198,'1990-03-02 00:00:00',4,8,11,2007,'F','N','AMERICA','JOINVILLE','SC','124242241215121431458813472122610164112',6493,'486',58.09,1,3,NULL),(15,2084201,'1989-02-16 00:00:00',2,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241137131431422611285122610167147',NULL,'592',20.40,1,2,1),(15,2084210,'1990-04-30 00:00:00',2,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161216111431567632575122610142095',20795,'9998',35.30,1,3,NULL),(15,2084228,'1988-02-28 00:00:00',2,8,12,2005,'M','N','FLORESTA','JOINVILLE','SC','124241241114141431426611342114610162057',14776,'465',45.03,1,2,1),(15,2084236,'1990-01-07 00:00:00',4,1,12,2007,'F','N','FLOR DE NÁPOLES','SAO JOSE','SC','124242241217371432533414282124610134062',20584,'1074',35.71,1,3,NULL),(15,2084279,'1983-02-01 00:00:00',4,1,12,2001,'F','N','ROÇADO','SAO JOSE','SC','224243248316133421444654341334610164182',22042,'9997',32.13,1,3,NULL),(15,2084295,'1988-10-23 00:00:00',4,1,12,2005,'M','N','CENTRO','PALHOCA','SC','124242241217122431578813247122121444122',2165,'270',68.71,1,3,NULL),(15,2084309,'1988-10-05 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241415272411427779291124610164117',8976,'1022',53.70,1,3,NULL),(15,2084317,'1985-11-04 00:00:00',4,1,12,2003,'M','N','SÃO CISTÓVÃO','LAGES','SC','124241241417272431427621285124131328057',18622,'515',39.29,1,3,NULL),(15,2084325,'1988-01-02 00:00:00',4,2,12,2005,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241215572441488811481122610142012',5018,'855',61.05,1,3,NULL),(15,2084333,'1989-04-29 00:00:00',2,1,12,2006,'F','N','PRAINHA','FLORIANOPOLIS','SC','124241241111132431426624571214610133097',19737,'307',37.35,2,3,NULL),(15,2084341,'1988-07-21 00:00:00',2,7,12,2005,'F','N','CONCEIÇÃO','ZORTEA','SC','124241241121374431533319342344610122177',2001,'849',69.28,1,3,NULL),(15,2084350,'1990-04-28 00:00:00',4,8,11,2007,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215121431358821472122610163152',10989,'486',50.49,1,3,NULL),(15,2084376,'1989-08-28 00:00:00',4,1,12,2007,'M','N','JARDIM HELENA','SAO PAULO','SP','125251251144471641346614333324610124147',NULL,'9998',NULL,1,2,1),(15,2084384,'1989-01-20 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241215372431438811395122231226042',2307,'1022',68.22,1,3,NULL),(15,2084392,'1991-04-17 00:00:00',2,7,12,2007,'F','N','CENTRO','GALVAO','SC','124241241115161411228829391324610133147',NULL,'321',20.30,1,2,1),(15,2084414,'1990-09-14 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241226121411169813575114610125195',5195,'272',60.71,1,3,NULL),(15,2084422,'1991-08-03 00:00:00',2,1,12,2008,'F','S','CARIANOS','FLORIANOPOLIS','SC','124241241415111431558633591124610123017',NULL,'1098',46.03,1,3,NULL),(15,2084449,'1989-09-10 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241317272431456514242134610136147',13456,'1022',46.93,1,3,NULL),(15,2084457,'1988-07-20 00:00:00',4,8,11,2007,'F','N','UBATUBA','SAO FRANCISCO DO SUL','SC','124241241144131431336623286323610128052',20573,'710',35.74,1,2,1),(15,2084465,'1989-04-29 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241135472231326324395234610164047',18822,'592',38.95,1,2,1),(15,2084481,'1979-10-02 00:00:00',4,1,12,1997,'M','N','CAPECHE','FLORIANOPOLIS','SC','124202201216141712178843435122343167093',7091,'9998',56.98,1,3,NULL),(15,2084511,'1989-04-11 00:00:00',4,1,12,2006,'F','N','IPANEMA','RIO DE JANEIRO','RJ','121252211216571441378812475124610167092',4548,'9998',62.15,1,3,NULL),(15,2084520,'1991-01-02 00:00:00',2,4,12,2007,'F','N','CENTRO','PLANALTO','RS','120201201117131431338823575122610111092',13273,'9998',47.21,1,2,1),(15,2084538,'1987-09-07 00:00:00',5,1,12,2005,'M','N','CANPINAS','SAO JOSE','SC','124254247245371541124312125124610146164',17453,'1036',41.14,1,3,NULL),(15,2084546,'1990-04-16 00:00:00',4,1,11,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124213241215111431336879572224610124013',7853,'270',55.60,1,3,NULL),(15,2084554,'1989-09-03 00:00:00',4,1,11,2006,'F','N','BARREIROS','SAO JOSE','SC','124241248316472431433519195122610168047',NULL,'1118',22.21,1,3,NULL),(15,2084589,'1990-09-10 00:00:00',2,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241115131431432614341224610128147',19626,'293',37.56,1,2,1),(15,2084597,'1989-01-06 00:00:00',2,8,10,2006,'F','N','ÁGUA VERDE','CURITIBA','PR','116163161314471411438833245124610123142',7638,'9998',55.96,1,3,NULL),(15,2084600,'1990-03-09 00:00:00',4,1,12,2007,'M','N','PICADAS DO SUL','SAO JOSE','SC','124242241215151431436831342122610112182',20070,'1074',36.69,1,3,NULL),(15,2084619,'1959-07-22 00:00:00',3,1,12,1976,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','524252254217141441636641414132342628187',NULL,'9998',0.00,1,3,NULL),(15,2084627,'1989-07-27 00:00:00',2,1,12,2007,'M','N','MORUMBI','SAO PAULO','SP','125252251215151731388732425122610167112',17508,'9998',41.08,1,3,NULL),(15,2084635,'1990-10-10 00:00:00',4,4,11,2007,'F','N','CENTRO','CURITIBA','PR','116242161217471431343911374125610126072',4344,'9998',62.61,1,3,NULL),(15,2084643,'1988-02-11 00:00:00',4,6,12,2005,'F','N','JARDIM NVO HORIZONTE','MARINGA','PR','116241111445572731344479191124140267072',20165,'9998',36.50,1,3,NULL),(15,2084651,'1989-03-30 00:00:00',4,1,12,2007,'F','N','PARQUE ESPERANÇA','POCOS DE CALDAS','MG','113131131137111731423634342314610124072',NULL,'9998',0.00,1,3,NULL),(15,2084660,'1988-05-23 00:00:00',4,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124201201132131431216555285314610137147',NULL,'9998',21.57,1,3,NULL),(15,2084678,'1980-05-07 00:00:00',4,1,12,1997,'F','N','JARDIM ELDORADO','PALHOCA','SC','124241241211155431235329571214130226052',NULL,'590',0.00,1,3,NULL),(15,2084686,'1985-10-21 00:00:00',4,1,12,2003,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241117272431356419395123610167047',19596,'281',37.62,1,2,1),(15,2084694,'1990-02-16 00:00:00',4,7,12,2007,'F','N','CENTRO','CATANDUVAS','SC','120242201217471731433832427122610167142',8912,'9998',53.81,1,3,NULL),(15,2084708,'1990-01-30 00:00:00',4,9,12,2007,'M','N','CORAL','LAGES','SC','124241241117372431544216572325610164057',12649,'505',48.07,1,2,1),(15,2084716,'1989-06-03 00:00:00',4,1,12,2006,'F','N','CENTRO','CAPITAO LEONIDAS MARQUES','PR','116161161316372331459913375124610164072',16176,'9998',43.11,1,3,NULL),(15,2084732,'1989-03-17 00:00:00',4,1,12,2006,'M','N','EMBARÉ','SANTOS','SP','125252251215472131469933574112610132042',250,'9998',79.31,1,3,NULL),(15,2084740,'1990-08-22 00:00:00',4,4,12,2007,'F','N','PRESIDENTE MÉDICE','CHAPECO','SC','124243241411111731439933571224610163142',22073,'983',32.02,1,3,NULL),(15,2084767,'1990-03-13 00:00:00',2,5,11,2007,'M','N','SÃO CRISTÓVÃO','TURVO','SC','124241241117131431333319472121610167142',19547,'814',37.73,1,2,1),(15,2084775,'1988-03-02 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215573431469933574122610125091',467,'270',77.07,1,3,NULL),(15,2084783,'1990-01-06 00:00:00',2,7,12,2007,'F','N','CENTRO','GALVAO','SC','124241241115161411423633392322610137147',19713,'321',37.39,1,2,1),(15,2084791,'1990-02-22 00:00:00',4,1,12,2007,'F','N','BOM PASTOR','JUIZ DE FORA','MG','113132131216111431437832472124610127142',10529,'9998',51.15,1,3,NULL),(15,2084813,'1990-09-22 00:00:00',2,1,12,2007,'F','N','BREJARU I','PALHOCA','SC','124241241116151411343533235124610134142',20113,'733',36.59,1,3,NULL),(15,2084821,'1988-07-16 00:00:00',4,1,7,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241247416371731338613375112610142091',13067,'9999',47.49,1,3,NULL),(15,2084830,'1990-09-21 00:00:00',4,4,11,2007,'F','N','PERPÉTUO SOCORRO','SAO LOURENCO DO OESTE','SC','124242161215111431353332572122610168142',19500,'9998',37.83,1,3,NULL),(15,2084848,'1988-08-02 00:00:00',2,1,12,2005,'M','N','FLORESTA','SAO JOSE','SC','124241241116373431543339282124610144187',14810,'726',45.00,1,2,1),(15,2084872,'1982-03-08 00:00:00',5,1,12,1999,'F','N','TRINDADE','FLORIANOPOLIS','SC','124161161116475711459939285124610122182',16116,'9998',43.20,1,2,1),(15,2084899,'1990-05-28 00:00:00',4,6,12,2007,'F','N','JARDIM IGUAÇU','PARANAVAI','PR','116161161217121441425734572322610125172',NULL,'9998',0.00,1,3,NULL),(15,2084902,'1991-02-01 00:00:00',2,1,12,2007,'M','N','PICADAS DO SUL','SAO JOSE','SC','124242241415371231337824572124610147042',8411,'1074',54.68,1,3,NULL),(15,2084910,'1990-12-20 00:00:00',2,1,11,2007,'F','N','COLONINHA','FLORIANOPOLIS','SC','124242248215111431466512575124610123182',15243,'1098',44.48,1,3,NULL),(15,2084929,'1990-08-25 00:00:00',2,6,11,2007,'F','N','NOSSA SR DAS GRAÇAS','NAVEGANTES','SC','124241241215111231446612144121610133042',8419,'1026',54.66,1,3,NULL),(15,2084937,'1990-04-27 00:00:00',4,8,12,2007,'M','N','BOA VISTA','SANTA BARBARA D OESTE','SP','125251251216371431346814575112610127121',8952,'9998',53.74,3,3,NULL),(15,2084945,'1991-11-03 00:00:00',4,10,12,2009,'M','S','VILA NOVA','IMBITUBA','SC','124241241216111751478713574125610128127',NULL,'807',0.00,1,3,NULL),(15,2084953,'1989-09-09 00:00:00',2,1,12,2006,'F','N','SÃO JOSÉ','SAO LEOPOLDO','RS','120204201216371421457612245124140467147',19970,'9998',36.89,1,3,NULL),(15,2084961,'1988-12-01 00:00:00',4,8,12,2005,'M','N','CENTRO','CURITIBA','PR','116162161215271411277732574124241067042',NULL,'9998',0.00,1,3,NULL),(15,2084970,'1989-08-19 00:00:00',4,2,12,2007,'M','N','CENTRO','BRUSQUE','SC','124242248217373411258912575122610162012',6349,'1042',58.36,1,3,NULL),(15,2084988,'1988-07-02 00:00:00',2,1,12,2007,'F','N','BAIRRO IPIRANGA','SAO JOSE','SC','124244247317271431458327382124610137075',NULL,'9999',20.34,1,3,NULL),(15,2084996,'1988-03-07 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215412441549713475124610162173',12282,'300',48.60,1,3,NULL),(15,2085003,'1988-06-25 00:00:00',4,1,12,2005,'F','N','SETOR BUENO','GOIANIA','GO','109092091215572431469613572122610132147',NULL,'9998',0.00,4,3,NULL),(15,2085011,'1987-09-22 00:00:00',4,1,12,2005,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241212373431438713271132610132112',10910,'266',50.60,1,3,NULL),(15,2085020,'1990-02-09 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241215112331446623572114610167082',5875,'266',59.30,4,3,NULL),(15,2085038,'1988-12-06 00:00:00',4,1,12,2005,'M','N','CENTRO','PALMEIRA D OESTE','SP','125251251216572731456614571122610166192',3787,'9998',64.00,1,3,NULL),(15,2085062,'1989-10-28 00:00:00',2,1,12,2006,'M','N','JARDIN ATLANTICO','FLORIANOPOLIS','SC','124242241215372411466621372124610127185',11685,'1022',49.42,1,3,NULL),(15,2085070,'1981-08-20 00:00:00',4,1,12,1998,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241116275431445627445132120862057',6807,'257',57.53,4,3,NULL),(15,2085100,'1984-06-23 00:00:00',2,1,12,2001,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124201201317151731547733342334543264197',NULL,'9998',0.00,1,3,NULL),(15,2085119,'1990-07-08 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241215111211358522175214610164111',3347,'1022',65.13,4,3,NULL),(15,2085127,'1990-11-04 00:00:00',4,1,12,2007,'M','N','CENTRO','GURUPI','TO','127273271417131441647715572112610141157',10017,'9998',51.91,1,3,NULL),(15,2085135,'1989-12-01 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241225111431326524341325610121177',9868,'262',52.15,1,3,NULL),(15,2085143,'1989-12-28 00:00:00',2,3,12,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215472331458732572125610163092',NULL,'1038',0.00,1,3,NULL),(15,2085151,'1990-08-03 00:00:00',4,7,11,2007,'M','N','CENTRO','JOACABA','SC','124244168417421431359811572122610137187',7077,'9998',57.01,1,3,NULL),(15,2085160,'1990-04-21 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124243241215121451568814575114610124017',NULL,'272',0.00,1,3,NULL),(15,2085178,'1984-07-22 00:00:00',2,1,12,2001,'M','N','FLORESTA','SAO JOSE','SC','124242241215274431666813234114610124057',5739,'943',59.58,2,3,NULL),(15,2085186,'1989-06-06 00:00:00',2,9,12,2006,'M','N','UNIVERSITARIO','LAGES','SC','124241241145132451129379391225232864052',15578,'277',44.01,1,3,NULL),(15,2085208,'1987-12-30 00:00:00',4,1,12,2005,'F','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','124241241146131421234324441311610123097',17438,'307',41.16,1,2,1),(15,2085216,'1989-10-31 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241115472431446933575124610167117',NULL,'288',28.20,1,2,1),(15,2085224,'1986-08-04 00:00:00',4,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124243247245372711466732245122610134185',NULL,'9997',0.00,1,3,NULL),(15,2085232,'1988-12-27 00:00:00',4,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241114273441426669385124610163042',12710,'307',47.97,4,3,NULL),(15,2085275,'1986-01-09 00:00:00',4,1,4,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124284241417273431558812245122133228075',1407,'9998',71.62,1,3,NULL),(15,2085283,'1988-10-20 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','624242248217471731489519575121610122067',11914,'270',49.08,1,3,NULL),(15,2085291,'1983-02-11 00:00:00',4,1,12,2002,'M','N','KOBRASOL','SAO JOSE','SC','124242247235374431549611412124133261187',8817,'1036',53.98,1,3,NULL),(15,2085305,'1988-06-29 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241212212751438613431124610168182',14848,'1022',44.96,1,3,NULL),(15,2085321,'1990-02-09 00:00:00',2,4,12,2007,'F','N','CENTRO','MARAVILHA','SC','124241248115131431424429291321610128147',20980,'552',34.89,1,3,NULL),(15,2085348,'1989-10-07 00:00:00',4,9,12,2007,'M','N','JARDIM DOS PAMPAS','VACARIA','RS','120201201315271311434412242125610168182',NULL,'9998',23.98,1,3,NULL),(15,2085356,'1989-03-14 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242168215472411438815575124610164182',6309,'9998',58.44,1,3,NULL),(15,2085364,'1985-10-23 00:00:00',4,1,12,2004,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124161247616472221436311494124610118147',NULL,'1003',20.91,1,3,NULL),(15,2085372,'1990-07-10 00:00:00',4,1,12,2007,'F','N','UNIVERSITARIO','TIJUCAS','SC','124241241347271431523524395122610127142',NULL,'9997',20.51,1,3,NULL),(15,2085380,'1986-09-06 00:00:00',4,10,12,2004,'M','N','HUMAITA','TUBARAO','SC','124241241137131221323319282314610166197',16024,'798',43.35,4,2,1),(15,2085399,'1990-12-13 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431468614475122610122092',7999,'270',55.37,1,3,NULL),(15,2085402,'1990-04-07 00:00:00',2,1,12,2007,'F','N','BELA VISTA','PALHOCA','SC','124241241215131421435611572121610114072',22247,'989',31.30,1,3,NULL),(15,2085410,'1990-10-13 00:00:00',4,1,12,2007,'F','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124241241115131431323315172324610167072',11749,'288',49.32,1,2,1),(15,2085429,'1987-02-17 00:00:00',4,1,12,2004,'M','N','CENTRO','GAROPABA','SC','124241244325271221647714246124610124117',14011,'322',46.14,1,3,NULL),(15,2085453,'1989-08-21 00:00:00',2,1,11,2007,'F','N','CERRO DO PARAÍSO','MARAU','RS','120201201215211431438624271122610134032',13800,'9998',46.47,1,3,NULL),(15,2085470,'1989-10-04 00:00:00',2,4,12,2007,'M','N','CENTRO','CLEVELANDIA','PR','116161161315111431436636572124610154177',14016,'9998',46.14,1,3,NULL),(15,2085488,'1987-10-06 00:00:00',4,1,12,2005,'M','N','JARDIM ALVORADA','MOCOCA','SP','125252251215571731466814292111610167112',8792,'9998',54.02,1,3,NULL),(15,2085496,'1988-05-11 00:00:00',4,1,12,2005,'F','N','VILA HEBE','SAO PAULO','SP','125252251212571731556831572122610127147',4074,'9998',63.26,1,3,NULL),(15,2085500,'1989-01-31 00:00:00',4,1,12,2006,'M','N','JARDIM ELITE','PIRACICABA','SP','125252251215471451459819585112610165146',2774,'9998',66.81,1,3,NULL),(15,2085526,'1988-11-27 00:00:00',4,3,12,2006,'M','N','CENTRO','CAPAO BONITO','SP','125252251215471431568831575121610164057',2736,'9998',66.92,1,3,NULL),(15,2085550,'1988-12-28 00:00:00',2,1,11,2006,'F','N','KOBRASOL','SAO JOSE','SC','124244248417372711518633574224610166077',10856,'270',50.67,1,3,NULL),(15,2085577,'1987-11-23 00:00:00',2,1,12,2004,'F','N','REBOUÇAS','CURITIBA','PR','116251251115571431643316295124141563047',7556,'9998',56.10,1,2,1),(15,2085585,'1989-12-02 00:00:00',4,1,12,2007,'M','N','CENTRO','BENTO GONCALVES','RS','120122201231111431456831341112610137062',19470,'9998',37.88,1,3,NULL),(15,2085593,'1989-08-21 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','624202201216471411556632575124610133147',4986,'9998',61.12,3,3,NULL),(15,2085607,'1990-09-10 00:00:00',4,1,12,2007,'M','N','CENTRO','CAPAO DA CANOA','RS','120204201317131431535531372225610167032',12593,'9998',48.15,1,3,NULL),(15,2085631,'1979-01-14 00:00:00',2,1,12,1996,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124243241317272411238649192114610157142',13463,'697',46.93,1,3,NULL),(15,2085640,'1989-08-19 00:00:00',4,8,12,2007,'M','N','CENTRO','SAO BENTO DO SUL','SC','124243241217111431469912575122610164182',22405,'1073',30.35,1,3,NULL),(15,2085658,'1989-02-24 00:00:00',4,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124244241215273431259914392314610146072',2337,'991',68.10,1,3,NULL),(15,2085666,'1990-11-06 00:00:00',4,1,11,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124244241215111431456514572122610141055',12977,'1051',47.62,1,3,NULL),(15,2085674,'1989-01-28 00:00:00',2,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124201201117111431436534442215610131142',18205,'9998',39.96,1,2,1),(15,2085682,'1973-01-28 00:00:00',2,1,5,2007,'M','N','SERRARIA','SAO JOSE','SC','124241247132211421333344242343610113184',7546,'9997',56.12,1,2,1),(15,2085690,'1990-01-27 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241314374431438811572124233227055',1821,'267',69.88,1,3,NULL),(15,2085704,'1990-04-19 00:00:00',4,9,11,2007,'M','N','CENTRO','LAGES','SC','124242241215111431469914472112610147012',1223,'9997',72.36,1,3,NULL),(15,2085712,'1989-09-15 00:00:00',3,1,6,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242281417372431368812572124610133077',4703,'9998',61.74,1,3,NULL),(15,2085720,'1989-09-02 00:00:00',2,1,11,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241217111431468419575124610127053',14224,'1077',45.83,1,3,NULL),(15,2085739,'1991-03-13 00:00:00',2,4,12,2007,'F','N','CENTRO','DIONISIO CERQUEIRA','SC','124243248116371131429923175112610127052',20752,'245',35.39,4,3,NULL),(15,2085747,'1990-02-09 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241115371431326612345124610135097',17822,'287',40.63,1,2,1),(15,2085755,'1990-05-23 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241115112411466933575114610127042',2616,'1022',67.27,1,3,NULL),(15,2085763,'1990-10-03 00:00:00',4,7,12,2007,'M','N','JARDIM GISELLE','TOLEDO','PR','116162161217111441357933575122610122052',187,'9998',80.11,1,3,NULL),(15,2085771,'1988-09-14 00:00:00',4,3,12,2006,'M','N','CENTRO','CAMPINAS','SP','125131131237471431356631575124610122092',2051,'9998',69.09,1,3,NULL),(15,2085780,'1990-07-14 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241237111431559914575324610167071',6884,'1098',57.37,1,3,NULL),(15,2085798,'1991-06-15 00:00:00',2,1,11,2008,'F','S','PROL PALMITAL','MARILIA','SP','125254251217111411445611472122610124147',NULL,'9998',48.34,1,3,NULL),(15,2085810,'1977-09-12 00:00:00',2,1,10,2006,'M','N','FORQUILHAS','SAO JOSE','SC','224121247125371421422244142344610167047',21849,'9999',32.79,4,2,1),(15,2085828,'1988-05-27 00:00:00',2,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116121161114471411528929592124610164057',5945,'9998',59.18,2,1,1),(15,2085844,'1987-12-07 00:00:00',4,1,12,2004,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161211371431468933575115141024012',6206,'9998',58.63,1,3,NULL),(15,2085852,'1989-05-16 00:00:00',4,1,12,2006,'F','N','N SENHORA DO ROSÁRIO','SAO JOSE','SC','124242241316372431556414582124610142072',4204,'1036',62.89,4,3,NULL),(15,2085879,'1988-11-01 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215472431569811574124610167147',455,'270',77.19,1,3,NULL),(15,2085887,'1990-03-03 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124243241215113431567632342242610127017',NULL,'1011',0.00,1,3,NULL),(15,2085895,'1988-10-28 00:00:00',4,1,12,2005,'F','N','CERQUEIRA CESAR','SAO PAULO','SP','125252251217571411658834571112610131092',NULL,'9998',0.00,1,3,NULL),(15,2085917,'1979-04-10 00:00:00',4,1,6,1999,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241246116255441445813442122222336187',14453,'306',45.49,1,2,1),(15,2085925,'1990-12-12 00:00:00',2,9,12,2007,'M','N','SÃO FRANCISCO','GARIBALDI','RS','120201201111271411116442221125610167057',11460,'9998',49.76,1,3,NULL),(15,2085933,'1989-04-11 00:00:00',4,1,11,2006,'F','N','POMPEIA','SAO PAULO','SP','125042041216271431459814574324141438147',5142,'9998',60.83,1,3,NULL),(15,2085941,'1989-09-24 00:00:00',2,10,12,2006,'F','N','VARGEM DO CEDRO','SAO MARTINHO','SC','124241241127161421644836571222610156047',13276,'750',47.20,1,2,1),(15,2085950,'1988-01-05 00:00:00',2,3,11,2006,'F','N','CENTRO','SORRISO','MT','111112111216214411426611575112142425187',22495,'9998',28.85,4,3,NULL),(15,2085976,'1989-01-21 00:00:00',4,2,11,2006,'M','N','JARDIM PEDREIRAS','FRANCA','SP','125254251215371711448811575122610164097',8785,'9998',54.04,1,3,NULL),(15,2085984,'1989-11-17 00:00:00',2,9,12,2006,'F','N','FUNDO CANOAS','RIO DO SUL','SC','124241241215473431445431572114610122197',1967,'991',69.37,1,3,NULL),(15,2085992,'1985-12-28 00:00:00',4,8,12,2002,'M','N','JABOTICABEIRAS','TAUBATE','SP','125254254436572431467714374122610127043',890,'9998',74.11,3,3,NULL),(15,2086018,'1989-11-21 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241217151431443611572124610127047',19344,'1118',38.09,1,3,NULL),(15,2086026,'1988-03-19 00:00:00',5,1,12,2006,'M','N','BELA VISTA','BOM RETIRO','SC','124241245127131731325623242122610127187',NULL,'95',19.23,1,3,NULL),(15,2086034,'1989-03-22 00:00:00',4,1,12,2006,'F','N','ST BUENO','GOIANIA','GO','109092098217472321559812574125610167157',11526,'9998',49.67,1,3,NULL),(15,2086042,'1982-02-16 00:00:00',2,8,12,2000,'M','N','VILA LALAU','JARAGUA DO SUL','SC','124241241136155431344321115132133264057',8351,'433',54.77,1,2,1),(15,2086050,'1989-01-31 00:00:00',4,8,12,2006,'F','N','GLÓRIA','JOINVILLE','SC','124242241215371431467832345122610127075',7474,'1063',56.28,1,3,NULL),(15,2086069,'1987-11-21 00:00:00',4,1,11,2005,'F','N','SANTO ANTÔNIO DE LIS','FLORIANOPOLIS','SC','124244241215573431358911572114610122182',4146,'270',63.06,1,3,NULL),(15,2086077,'1990-01-12 00:00:00',4,3,12,2007,'F','N','VILA SUISSA','MOGI DAS CRUZES','SP','125251251116111411546614142124610164117',NULL,'9998',0.00,4,1,1),(15,2086123,'1990-08-11 00:00:00',4,5,11,2007,'F','N','JUSSARA','MORRO DA FUMACA','SC','124243241215121441445732374121610164146',1099,'226',73.03,3,3,NULL),(15,2086131,'1991-06-16 00:00:00',2,5,12,2008,'F','S','JARDIM DAS AVENIDAS','ARARANGUA','SC','124241241215111411567733574122610133017',NULL,'970',51.18,1,3,NULL),(15,2086140,'1987-12-11 00:00:00',4,4,12,2004,'M','N','CENTRO','CURITIBA','PR','116242241216272711448613474124131045162',14737,'168',45.09,1,3,NULL),(15,2086158,'1989-08-29 00:00:00',2,1,12,2007,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124243241215112431566632575114610166092',12576,'270',48.17,1,3,NULL),(15,2086166,'1989-04-06 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124244241415131441525711575324610146177',11285,'307',50.03,1,3,NULL),(15,2086182,'1989-07-16 00:00:00',4,1,12,2007,'M','N','PITUBA','SALVADOR','BA','105052051236111331359911575122610167057',9347,'9998',53.05,1,3,NULL),(15,2086190,'1989-03-28 00:00:00',4,1,11,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215571431577933575122610126093',5998,'270',59.09,1,3,NULL),(15,2086204,'1990-12-20 00:00:00',2,7,12,2007,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','124242241215111431456513432122610117052',16772,'446',42.21,1,3,NULL),(15,2086212,'1987-05-19 00:00:00',4,1,11,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124244241117374411238812445132610164091',9198,'267',53.28,1,3,NULL),(15,2086220,'1990-07-19 00:00:00',2,1,12,2007,'F','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124242241215471431489912595122610142143',7473,'258',56.28,1,3,NULL),(15,2086239,'1989-11-28 00:00:00',4,1,7,2007,'F','N','ASA NORTE','BRASILIA','DF','107073071116371431468833572112610134192',698,'9998',75.38,1,3,NULL),(15,2086247,'1990-04-23 00:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241215111431456633572124610165057',8214,'270',54.99,4,3,NULL),(15,2086255,'1989-03-04 00:00:00',2,8,11,2006,'F','N','CENTRO','SETE BARRAS','SP','125254251215471131448921295114610133144',14298,'9998',45.73,4,3,NULL),(15,2086280,'1988-11-17 00:00:00',4,1,12,2006,'M','N','CENTRO','RIBEIRAO PRETO','SP','125112251215471431588612574315610164092',5228,'9998',60.66,1,3,NULL),(15,2086298,'1990-09-13 00:00:00',4,4,12,2004,'F','N','JARDIM ITALIA','CHAPECO','SC','124242241235121732447812294122610126172',8075,'983',55.22,1,3,NULL),(15,2086301,'1988-06-12 00:00:00',4,1,12,2005,'M','N','ACLIMAÇÃO','SAO PAULO','SP','125252251216572431259933591115610166072',NULL,'9998',0.00,1,3,NULL),(15,2086310,'1988-05-24 00:00:00',2,1,12,2005,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124251251147471431447614375124610127145',7973,'9998',55.41,1,2,1),(15,2086328,'1988-08-30 00:00:00',2,1,12,2005,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124241248217272311447812385124231017057',NULL,'1076',20.48,1,3,NULL),(15,2086336,'1989-08-16 00:00:00',2,4,12,2006,'M','N','BORGES DE MEDEIROS','MARAU','RS','120201201216271431441323395324610167147',14199,'9998',45.87,1,3,NULL),(15,2086344,'1991-02-19 00:00:00',4,1,1,2008,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241117271431427421391324610162072',3008,'739',66.11,1,2,1),(15,2086352,'1989-11-06 00:00:00',2,1,12,2007,'F','N','FLORDENÁPOLIS','SAO JOSE','SC','124243241215111421665513272125610123072',NULL,'944',30.94,3,3,NULL),(15,2086360,'1988-02-18 00:00:00',2,1,12,2006,'M','N','IPIRANGA','SAO JOSE','SC','124242247217132711338653245233610167077',19167,'270',38.41,1,3,NULL),(15,2086379,'1988-07-01 00:00:00',2,9,12,2005,'F','N','CORAL','LAGES','SC','124241241114272431438833372224132636147',17557,'505',41.00,1,2,1),(15,2086387,'1988-10-31 00:00:00',4,1,12,2006,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215272431488733375124122663097',2892,'270',66.47,1,3,NULL),(15,2086395,'1989-07-05 00:00:00',4,1,12,2006,'M','N','CONSOLAÇÃO','SAO PAULO','SP','125254251217371431239813575115610161182',NULL,'9998',0.00,1,3,NULL),(15,2086417,'1988-12-06 00:00:00',4,8,12,2006,'M','N','GLÓRIA','JOINVILLE','SC','124242241215373431379933572122233267042',7462,'491',56.31,1,3,NULL),(15,2086425,'1990-06-16 00:00:00',2,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124242241215371531468611575122610126052',20357,'724',36.13,1,3,NULL),(15,2086433,'1990-07-12 00:00:00',4,4,11,2007,'M','N','CENTRO','VILHENA','RO','122222111217271731469913572324610148092',10920,'9998',50.59,1,3,NULL),(15,2086441,'1990-06-18 00:00:00',4,8,12,2007,'M','N','JARDIM BRASÍLIA','PAICANDU','PR','116162161217111431468714495112610127052',4898,'9998',61.32,1,3,NULL),(15,2086450,'1986-05-13 00:00:00',4,1,12,2003,'M','N','SANTA TERESA','SAO PEDRO DE ALCANTARA','SC','124241241115372421434833242133610164047',11935,'869',49.06,1,2,1),(15,2086468,'1989-06-07 00:00:00',2,9,12,2006,'M','N','SÃO LUIZ','CURITIBANOS','SC','124241241117272411528635352122610167012',11226,'239',50.12,1,2,1),(15,2086476,'1990-04-09 00:00:00',4,4,12,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241216161451469932575122610148072',12061,'752',48.90,1,3,NULL),(15,2086484,'1988-05-23 00:00:00',2,1,12,2007,'M','N','ZONA CINCO','MARINGA','PR','116163161211171211325524582314610114051',17295,'9998',41.41,2,1,2),(15,2086492,'1990-06-05 00:00:00',4,1,12,2007,'M','N','MONTE LIBANO','CAMPO GRANDE','MS','112122121215271531569813572122610167044',1566,'9998',70.92,1,3,NULL),(15,2086506,'1990-04-07 00:00:00',4,1,12,2007,'F','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124242241217271431446732574122610141012',9204,'988',53.26,1,3,NULL),(15,2086514,'1990-11-11 00:00:00',2,4,12,2007,'M','N','EFAPI','CHAPECO','SC','124244241217251431447634245124610127052',6687,'185',57.76,1,3,NULL),(15,2086522,'1990-09-12 00:00:00',4,4,12,2007,'F','N','PASSO DOS FORTES','CHAPECO','SC','124242241211471431436632225122610162092',13039,'185',47.53,1,3,NULL),(15,2086530,'1981-07-27 00:00:00',2,1,12,1988,'F','N','RIO CAVEIRAS','BIGUACU','SC','124241248126373431423324342114131353187',16787,'1088',42.19,1,2,1),(15,2086549,'1966-12-27 00:00:00',2,1,12,1994,'F','N','FORQUILHINHAS','SAO JOSE','SC','224244241412174411545733132132120265097',14814,'260',45.00,1,3,NULL),(15,2086557,'1990-06-02 00:00:00',4,2,10,2007,'M','N','ASILO','BLUMENAU','SC','124242241215111431449614374124610127081',4058,'87',63.31,1,3,NULL),(15,2086573,'1989-09-16 00:00:00',4,1,12,2006,'F','N','CAMAQUA','PORTO ALEGRE','RS','120202201216471731546639395124610166042',10022,'9998',51.91,1,3,NULL),(15,2086581,'1986-05-01 00:00:00',4,1,11,2003,'M','N','PARQUE SÃO JORGE','FLORIANOPOLIS','SC','124242241216575431489933275122221467047',718,'270',75.24,1,3,NULL),(15,2086603,'1990-12-27 00:00:00',4,7,12,2007,'F','N','CENTRO','CACADOR','SC','124242241216121431545412575122610123012',10886,'120',50.63,1,3,NULL),(15,2086611,'1990-03-12 00:00:00',2,1,12,2007,'F','N','MONTE CLARO','SAO JOAQUIM','SC','124242161216111431548831574112610137071',3831,'9998',63.91,1,3,NULL),(15,2086620,'1988-08-01 00:00:00',2,1,12,2005,'M','N','CENTRO','ANASTACIO','MS','112123121217571421456919272324610117057',4860,'9998',61.40,1,3,NULL),(15,2086638,'1990-08-06 00:00:00',2,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215121411566613472112610116091',1441,'737',71.49,1,3,NULL),(15,2086646,'1979-09-05 00:00:00',3,1,11,1999,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124204201236532111339914345134141015177',NULL,'9999',0.00,1,3,NULL),(15,2086654,'1986-12-18 00:00:00',4,2,12,2005,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241147272431438534285223610125062',NULL,'83',23.50,1,2,1),(15,2086662,'1990-01-04 00:00:00',2,10,12,2006,'M','N','CENTRO','LAGUNA','SC','124243241116131431436634585121131427077',17187,'521',41.59,1,3,NULL),(15,2086689,'1990-05-02 00:00:00',4,1,11,2007,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217111711469813431124610123095',10028,'270',51.89,1,3,NULL),(15,2086697,'1989-02-03 00:00:00',4,1,12,2006,'M','N','CENTRO','CAPAO BONITO','SP','125252251217471211336814572122610114181',20502,'9998',35.87,3,3,NULL),(15,2086700,'1989-01-02 00:00:00',4,1,12,2006,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215373431489614575122133264142',3311,'909',65.23,4,3,NULL),(15,2086719,'1984-10-27 00:00:00',4,2,11,2003,'M','N','ITOPAVA NORTE','BLUMENAU','SC','124241241111232441436614285314610167052',NULL,'659',38.29,1,2,1),(15,2086727,'1987-03-12 00:00:00',2,1,12,2004,'M','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124241241116132711338533345114610162147',NULL,'307',0.00,1,2,1),(15,2086735,'1989-11-13 00:00:00',2,9,12,2006,'F','N','CONTA DINHEIRO','LAGES','SC','124242241212131431326814295122610112187',7166,'1065',56.85,1,3,NULL),(15,2086743,'1989-11-18 00:00:00',4,10,11,2007,'M','N','MAR GROSSO','LAGUNA','SC','124241241215112511436632522122610136197',4638,'807',61.92,1,3,NULL),(15,2086751,'1989-12-30 00:00:00',2,8,12,2006,'M','N','PINHEIRINHO','CURITIBA','PR','116161161111471231446614184114610162097',NULL,'9998',0.00,1,3,NULL),(15,2086760,'1989-12-19 00:00:00',4,1,12,2007,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241215111411457814572122610165092',21339,'988',34.10,1,3,NULL),(15,2086778,'1990-06-29 00:00:00',4,8,12,2007,'M','N','JARDIM DOS PRÍNCIPES','UMUARAMA','PR','116162161214121431458633132122610128012',5584,'9998',59.91,3,3,NULL),(15,2086786,'1989-04-25 00:00:00',4,8,12,2006,'M','N','CABRAL','CURITIBA','PR','116242161216472751579912572124610137112',10366,'9998',51.40,1,3,NULL),(15,2086808,'1985-09-28 00:00:00',4,1,12,2002,'M','N','JARDIM SÃO LUCAS','VARGEM GRANDE PAULISTA','SP','125251251114571741333544446234610167047',11279,'9998',50.04,1,2,1),(15,2086816,'1989-01-24 00:00:00',4,8,12,2007,'M','N','JARIVATUBA','JOINVILLE','SC','124243241215111431354614575122610126047',NULL,'489',7.27,1,3,NULL),(15,2086832,'1989-07-04 00:00:00',2,1,12,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124204201117571431337634491124610136082',4626,'9998',61.95,1,3,NULL),(15,2086840,'1990-07-24 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241215111451256824575122610164175',7863,'1022',55.58,1,3,NULL),(15,2086859,'1991-01-06 00:00:00',2,10,12,2008,'F','S','CENTRO','TUBARAO','SC','124244244211171411526811571112610132012',NULL,'797',42.85,1,3,NULL),(15,2086867,'1992-08-31 00:00:00',4,3,12,2007,'F','N','CENTRO','CAMBORIU','SC','124242241216111731244513275122610164197',20264,'9997',36.31,1,3,NULL),(15,2086875,'1988-11-12 00:00:00',4,1,9,2007,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124243247142271421228819282124610118147',21525,'9999',33.67,1,3,NULL),(15,2086883,'1990-02-01 00:00:00',4,1,12,2006,'F','N','PARATI','MARILIA','SP','125082251216471431337812275112610112142',NULL,'9998',0.00,1,3,NULL),(15,2086905,'1988-11-09 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124244241417573431431923385124233242017',6311,'270',58.44,1,3,NULL),(15,2086913,'1990-02-11 00:00:00',4,1,2,2009,'M','S','BALNEARIO','FLORIANOPOLIS','SC','124241241115151411527724344124610112012',NULL,'267',39.47,1,3,NULL),(15,2086921,'1989-09-05 00:00:00',2,8,11,2007,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124241241215421431228623475121610137012',NULL,'486',0.00,1,3,NULL),(15,2086948,'1988-03-15 00:00:00',4,1,12,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124244241215372711337924492124130622142',NULL,'272',29.04,1,3,NULL),(15,2086956,'1988-08-26 00:00:00',2,1,4,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241247317131411424713281124610155147',19698,'9997',37.43,1,3,NULL),(15,2086964,'1989-07-15 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241217472431456634575124610146092',11852,'300',49.17,4,1,2),(15,2086972,'1984-12-29 00:00:00',4,1,12,2004,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124243247316133711354629395122230212197',NULL,'9999',18.88,1,3,NULL),(15,2086980,'1990-10-02 00:00:00',4,8,12,2007,'F','N','BIGORRILHO','CURITIBA','PR','116162161215121731448933491124610166092',4499,'9998',62.24,1,3,NULL),(15,2086999,'1989-03-21 00:00:00',2,1,11,2007,'M','N','COLONINHA','FLORIANOPOLIS','SC','124244248415113411458839495124610113081',15971,'1022',43.43,1,3,NULL),(15,2087006,'1989-06-02 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124244247446151431357629375111610144057',NULL,'1017',21.82,1,3,NULL),(15,2087022,'1987-12-27 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241217373431447831445122130767047',8493,'1022',54.52,1,3,NULL),(15,2087057,'1990-04-12 00:00:00',4,1,12,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124252241215152431357637592124610141072',11906,'262',49.09,1,3,NULL),(15,2087065,'1988-08-30 00:00:00',4,1,12,2005,'F','N','HARMONIA','CANOAS','RS','120202201216111451536819592124240461117',4470,'9998',62.34,1,3,NULL),(15,2087073,'1990-07-16 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241236112431668913572122610138097',799,'262',74.72,1,3,NULL),(15,2087081,'1990-03-29 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215372411468811192122610166055',2369,'262',68.02,1,3,NULL),(15,2087111,'1988-10-17 00:00:00',2,4,12,2005,'F','N','CENTRO','CHAPECO','SC','124201201115572431533315575124610134057',NULL,'9998',0.00,1,2,1),(15,2087120,'1990-10-13 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242241215272431469931575112610162072',686,'270',75.49,1,3,NULL),(15,2087138,'1989-01-14 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215372411347733285124131027047',13993,'1022',46.16,1,3,NULL),(15,2087146,'1990-07-18 00:00:00',2,1,11,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241237471331333923471124610132117',22258,'1098',31.25,1,3,NULL),(15,2087162,'1989-09-09 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215472431257617575114610114145',4666,'270',61.84,1,3,NULL),(15,2087170,'1983-10-12 00:00:00',4,1,11,2001,'F','N','BALENARIO DOESTREITO','FLORIANOPOLIS','SC','124242241217153421428734342114333231171',13473,'270',46.92,1,3,NULL),(15,2087189,'1988-08-25 00:00:00',2,1,8,2006,'F','N','BREJARU','PALHOCA','SC','124241241117131441633623442214610158022',17490,'591',41.10,4,3,NULL),(15,2087197,'1988-08-22 00:00:00',4,1,12,2006,'F','N','JARDIM PAIQUERE','VALINHOS','SP','125252251217471712468812277122610125172',1447,'9998',71.46,1,3,NULL),(15,2087200,'1989-07-18 00:00:00',2,1,12,2006,'M','N','MARAMBAIA','VINHEDO','SP','125252251235471421578814475122610112142',293,'9998',78.79,1,3,NULL),(15,2087219,'1990-08-15 00:00:00',4,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241216121431435634572124610132182',817,'723',74.61,1,3,NULL),(15,2087227,'1990-05-08 00:00:00',2,5,11,2007,'M','N','CENTRO','TURVO','SC','124242241214152431435512395121610167052',10158,'813',51.71,1,3,NULL),(15,2087235,'1989-11-22 00:00:00',4,1,12,2006,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124252251217471431338614572124610132147',3419,'9998',64.95,1,3,NULL),(15,2087243,'1989-05-15 00:00:00',4,2,11,2007,'M','N','VELHA','BLUMENAU','SC','124241241217111432469412572111610162192',NULL,'88',20.95,1,3,NULL),(15,2087260,'1988-10-21 00:00:00',4,1,12,2005,'M','N','CENTRO','CURITIBA','PR','116163161215571751426832574345610134052',NULL,'9998',0.00,3,3,NULL),(15,2087278,'1988-11-22 00:00:00',4,1,12,2006,'M','N','CHÁCARA AREAL','INDAIATUBA','SP','125252251215411411478811575124610164052',8040,'9998',55.30,1,3,NULL),(15,2087286,'1990-01-16 00:00:00',4,3,12,2007,'M','N','ANDORINHA','ITAPEMA','SC','124242241215112431466933592122610124042',7088,'1026',56.99,1,3,NULL),(15,2087294,'1991-04-01 00:00:00',4,1,12,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242241417371431448733282124610137047',2902,'1074',66.45,1,3,NULL),(15,2087308,'1990-09-25 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215121411358814572112610134097',NULL,'1118',0.00,1,3,NULL),(15,2087316,'1990-04-10 00:00:00',4,8,12,2007,'M','N','CENTRO','CORUPA','SC','124242241217112411465612472124610164052',5012,'442',61.06,1,3,NULL),(15,2087340,'1989-08-23 00:00:00',2,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242241215372431458833572122610132072',6699,'270',57.74,1,3,NULL),(15,2087359,'1989-05-30 00:00:00',4,1,12,2006,'F','N','CENTRO','SANTA MARIA','RS','120203201317472431227924571124610151052',4967,'9998',61.16,1,3,NULL),(15,2087367,'1990-06-25 00:00:00',2,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124202248217111421347619495125613237142',6373,'9997',58.31,1,3,NULL),(15,2087375,'1989-04-14 00:00:00',4,4,12,2006,'F','N','CENTRO','MARMELEIRO','PR','116161161116471411441911115212610116192',NULL,'9998',0.00,1,3,NULL),(15,2087383,'1988-09-22 00:00:00',4,1,12,2006,'F','N','VILA IPÊ','CAMPINAS','SP','125251251115471431433319575124610132147',9078,'9998',53.51,1,2,1),(15,2087391,'1990-08-30 00:00:00',2,10,10,2007,'M','N','OFICINAS','TUBARAO','SC','124243241212111432543614472122610124012',NULL,'9997',0.00,1,3,NULL),(15,2087405,'1990-08-23 00:00:00',4,4,12,2007,'F','N','PRESIDENTE KENNEDY','FRANCISCO BELTRAO','PR','116162161216271431466712244122610142142',10382,'9998',51.37,1,3,NULL),(15,2087413,'1988-03-24 00:00:00',4,1,12,2005,'M','N','ABERTA DOS MORROS','PORTO ALEGRE','RS','120202201217271441338722415134240262092',NULL,'9998',0.00,1,3,NULL),(15,2087421,'1990-09-16 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215121431456811111122610167095',9808,'1022',52.24,1,3,NULL),(15,2087430,'1990-11-18 00:00:00',4,1,12,2007,'M','N','CENTRO','ANAPOLIS','GO','109094091216111441546611375122610166052',4901,'9998',61.30,4,3,NULL),(15,2087448,'1989-10-17 00:00:00',4,8,11,2007,'M','N','ATIRADORES','JOINVILLE','SC','124212241215111731368714472112610124192',3349,'491',65.13,1,3,NULL),(15,2087464,'1989-11-28 00:00:00',4,1,12,2006,'F','N','PINGUIRITO','GAROPABA','SC','124241241147141731326514245132610123147',NULL,'322',21.95,1,3,NULL),(15,2087472,'1990-01-31 00:00:00',4,1,12,2007,'M','N','NS ROSARIO','SAO JOSE','SC','124242241317141431457812142124610164012',9929,'1078',52.04,1,3,NULL),(15,2087499,'1986-11-15 00:00:00',2,4,12,2004,'F','N','CENTRO','CONCORDIA','SC','124241241136371731636819294112610134187',20650,'194',35.60,1,3,NULL),(15,2087502,'1989-07-06 00:00:00',4,8,12,2006,'M','N','VILA NOVA','JARAGUA DO SUL','SC','124242248212472431545514275124610164052',3129,'494',65.77,1,3,NULL),(15,2087510,'1968-08-22 00:00:00',2,1,12,1985,'F','N','TAPERA BASE AÉREA','FLORIANOPOLIS','SC','224241242133134411457759472112132831182',NULL,'307',23.01,1,2,1),(15,2087529,'1988-09-07 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124244241212372431626579442114610124142',NULL,'738',22.47,1,3,NULL),(15,2087537,'1990-07-27 00:00:00',2,8,12,2007,'F','N','CRISTO REI','CURITIBA','PR','116242161215111411345622592124610131147',8946,'9998',53.75,3,3,NULL),(15,2087545,'1989-08-06 00:00:00',4,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124241241116151431347534472112610144017',21156,'257',34.53,1,2,1),(15,2087553,'1989-02-03 00:00:00',4,1,12,2006,'F','N','BOSQUE DAS MANSOES','SAO JOSE','SC','124242241216372411478912575122122537121',1784,'270',70.01,1,3,NULL),(15,2087570,'1990-07-22 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241115131731326523372124610123185',20809,'298',35.26,1,2,1),(15,2087588,'1988-06-02 00:00:00',3,1,12,2006,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215472721588812125132610138183',4481,'1022',62.31,1,3,NULL),(15,2087600,'1986-10-25 01:00:00',2,1,12,2003,'M','N','SETOR DOS AFONSOS','APARECIDA DE GOIANIA','GO','109094091214571431537612574122610167047',NULL,'9998',0.00,4,3,NULL),(15,2087618,'1990-02-17 00:00:00',4,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215121431258934372114610167122',8181,'270',55.03,1,3,NULL),(15,2087634,'1983-10-10 00:00:00',4,1,12,2000,'M','N','PANTANAL','FLORIANOPOLIS','SC','124243241147131441127613245124130724147',9430,'609',52.90,1,3,NULL),(15,2087642,'1988-06-22 00:00:00',2,1,6,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241247247372311336621312124610137122',NULL,'270',18.73,1,3,NULL),(15,2087669,'1989-12-22 00:00:00',4,1,12,2007,'M','N','JARDIM SÃO MIGUEL','BIGUACU','SC','124241241115111431446814575124610114092',13429,'21',46.99,1,3,NULL),(15,2087677,'1989-07-25 00:00:00',2,1,12,2006,'M','N','JARDIM SULMATE','DOURADOS','MS','112124121236472431536614575121610167092',5942,'9998',59.19,1,3,NULL),(15,2087685,'1990-11-26 00:00:00',4,1,12,2007,'M','N','JARDIM VILA ROMANA','UMUARAMA','PR','116161161215111331566615142112610161082',NULL,'9998',0.00,1,3,NULL),(15,2087693,'1991-01-09 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124244241216111431353331175124610162182',13464,'943',46.93,1,3,NULL),(15,2087707,'1991-10-27 00:00:00',4,1,12,2008,'F','S','BARREIROS','SAO JOSE','SC','124242241215151431689831572122610165112',NULL,'266',44.91,1,3,NULL),(15,2087715,'1989-01-25 00:00:00',4,1,11,2006,'F','N','EMBARÉ','SANTOS','SP','125252251216471431566817374115610133183',942,'9998',73.83,1,3,NULL),(15,2087723,'1988-07-08 00:00:00',2,1,12,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124172241216573711157824495324233222093',468,'1022',77.07,2,3,NULL),(15,2087731,'1988-12-18 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217472431468933576114231267147',4462,'1022',62.36,1,3,NULL),(15,2087740,'1990-09-14 00:00:00',4,8,11,2007,'M','N','CLAUDETE','CASCAVEL','PR','116162161217111431249934575122610162052',999,'9998',73.54,1,3,NULL),(15,2087758,'1990-01-05 00:00:00',4,1,12,2007,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124244241215271431446832572124610147071',7851,'271',55.60,1,3,NULL),(15,2087766,'1991-05-02 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241212151731389811575122610167122',NULL,'270',43.38,1,3,NULL),(15,2087774,'1989-03-30 00:00:00',2,5,6,2007,'F','N','SANTO ANTÔNIO','CRICIUMA','SC','124241248217131411445321346124610131172',14070,'995',46.07,2,3,NULL),(15,2087782,'1988-11-18 00:00:00',4,1,6,2007,'M','N','ARMAÇÃO DO PÂNTANO D','FLORIANOPOLIS','SC','120122201116461752458811494345241467187',7408,'9998',56.40,1,3,NULL),(15,2087790,'1991-05-24 00:00:00',2,8,12,2008,'F','S','FLORESA','JOINVILLE','SC','124241241415111511467911495112610162156',NULL,'491',33.09,1,3,NULL),(15,2087804,'1988-08-25 00:00:00',2,1,12,2006,'F','N','FLORESTA','SAO JOSE','SC','124242244216372431433411375124610122112',15898,'1022',43.54,1,3,NULL),(15,2087812,'1990-07-14 00:00:00',4,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124242241215121431549913572124610123182',2434,'723',67.81,1,3,NULL),(15,2087820,'1990-06-09 00:00:00',4,1,12,2007,'M','N','CENTRO','CERQUILHO','SP','125252251217271431338831475114610167012',12153,'9998',48.79,1,3,NULL),(15,2087839,'1990-08-18 00:00:00',2,7,11,2007,'F','N','CENTRO','CONCORDIA','SC','124242241215112411566632571122610147142',12431,'1000',48.39,1,3,NULL),(15,2087847,'1987-11-03 00:00:00',4,1,12,2006,'M','N','JARDIM BELA VISTA','SANTO ANDRE','SP','125252251211471451468831575122610142182',10658,'9998',50.94,1,3,NULL),(15,2087855,'1990-07-04 00:00:00',2,1,12,2007,'M','N','JARDIM AMERICA','ANAPOLIS','GO','109092091215121431558712572322610122142',4517,'9998',62.21,1,3,NULL),(15,2087871,'1985-01-23 00:00:00',1,8,11,2003,'M','N','SAO BRAZ','CURITIBA','PR','116162281311574731369814574112610137127',1794,'9998',69.97,1,3,NULL),(15,2087880,'1990-06-04 00:00:00',2,9,11,2007,'F','N','CENTRO','SAO JOAQUIM','SC','124243241216131431436413475122610128077',NULL,'1035',22.04,1,3,NULL),(15,2087898,'1989-09-22 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124243241315572411338537175114610114071',9104,'288',53.45,1,3,NULL),(15,2087901,'1990-04-16 00:00:00',4,5,10,2007,'M','N','COMERCIÁRIO','CRICIUMA','SC','124242241217111431359614572112610112127',14833,'226',44.97,1,3,NULL),(15,2087910,'1988-03-15 00:00:00',4,8,12,2005,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242246215571431366614596122610166146',4266,'1105',62.77,1,3,NULL),(15,2087928,'1987-10-17 00:00:00',2,10,12,2006,'M','N','CENTRO','CAPIVARI DE BAIXO','SC','124244241111151421327734245124133256017',21753,'1034',33.12,2,3,NULL),(15,2087936,'1990-05-21 00:00:00',4,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124203241315271431337611585124610164011',15947,'267',43.46,1,3,NULL),(15,2087944,'1990-08-23 00:00:00',4,7,12,2007,'M','N','CENTRO','IRANI','SC','124241242131111441343933571222610116047',10073,'196',51.82,1,2,1),(15,2087960,'1990-06-23 00:00:00',4,1,11,2007,'F','N','CENTRO','BOITUVA','SP','125252251215131431458821575124610123132',NULL,'9998',0.00,1,3,NULL),(15,2087979,'1989-12-27 00:00:00',2,1,6,2007,'M','N','KOBRASOL','SAO JOSE','SC','124244247215311431323714382124610167047',19962,'9999',36.91,1,3,NULL),(15,2087995,'1989-11-11 00:00:00',4,8,12,2006,'F','N','CENTRO','PORTO UNIAO','SC','124241241216271411454616575124240431092',1119,'633',72.94,1,3,NULL),(15,2088002,'1989-02-17 00:00:00',2,9,12,2006,'M','N','CENTRO','LAGES','SC','124242241216312231456315372112610167047',3294,'457',65.28,1,3,NULL),(15,2088010,'1987-01-02 00:00:00',2,1,12,2004,'M','N','CENTRO','TAPEJARA','PR','116161161416574411468833582112610167042',7817,'9998',55.66,1,3,NULL),(15,2088037,'1990-11-16 00:00:00',4,1,11,2007,'F','N','DAS NAÇÕES','INDAIAL','SC','124241241217271431325623575124610126187',NULL,'986',20.63,1,3,NULL),(15,2088045,'1989-10-17 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124162241215412431458712374125610143012',5285,'270',60.55,1,3,NULL),(15,2088053,'1982-09-28 00:00:00',2,1,12,1999,'M','N','ALTO PEREQUE','PORTO BELO','SC','124241241121135431336744141322130844177',NULL,'630',24.24,4,3,NULL),(15,2088061,'1989-12-03 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244241311121431435833375124610162097',11777,'1022',49.29,1,3,NULL),(15,2088070,'1991-02-15 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241216111431444652495122610123147',17481,'723',41.11,4,3,NULL),(15,2088096,'1989-04-03 00:00:00',4,8,11,2006,'F','N','AMÉRICA','JOINVILLE','SC','124242241215573431459813575124610128197',NULL,'457',0.00,1,3,NULL),(15,2088100,'1989-09-12 00:00:00',4,1,12,2006,'M','N','CENTRO','ITAJUBA','MG','113132131217472431469832575125610167042',7770,'9998',55.75,1,3,NULL),(15,2088118,'1988-03-25 00:00:00',4,1,12,2005,'F','N','JARDIM SÃO LOURENÇO','CAMPO GRANDE','MS','112122121215571451358611414124610165057',5156,'9998',60.80,1,3,NULL),(15,2088134,'1989-06-03 00:00:00',4,1,7,2007,'F','N','ROÇADO','SAO JOSE','SC','124203241115373431568619575114610167051',3674,'306',64.29,1,3,NULL),(15,2088142,'1987-09-13 00:00:00',4,1,12,2005,'F','N','CALAFATE','BELO HORIZONTE','MG','113252251216372451369913575122140923147',NULL,'9998',0.00,1,3,NULL),(15,2088150,'1990-09-14 00:00:00',4,3,12,2007,'M','N','CENTRO','PONTA GROSSA','PR','116162161216111431437614472115610167047',17864,'9998',40.57,1,3,NULL),(15,2088169,'1990-03-10 00:00:00',2,10,11,2007,'M','N','CENTRO','TUBARAO','SC','124242241215111431428832575125610137112',5356,'807',60.38,1,3,NULL),(15,2088177,'1989-10-10 00:00:00',2,1,12,2006,'M','N','FORQUILHAS','SAO JOSE','SC','124241241117132731533339112124610127147',20922,'727',35.03,1,3,NULL),(15,2088185,'1990-05-01 00:00:00',4,1,11,2007,'F','N','BELA VISTA','PALHOCA','SC','124241241117131341433334245124610128143',21338,'592',34.10,1,3,NULL),(15,2088193,'1987-10-18 00:00:00',4,1,12,2005,'M','N','CENTRO','ITATIBA','SP','125252251215571431469813471122610162187',389,'9998',77.74,1,3,NULL),(15,2088207,'1987-11-20 00:00:00',4,1,12,2005,'M','N','IMIGRANTE','CAMPO BOM','RS','120203201217571411585311575112610137042',2162,'9998',68.72,1,3,NULL),(15,2088215,'1989-04-14 00:00:00',4,8,12,2006,'F','N','ATIRADORES','JOINVILLE','SC','124242247215471431487712575122143265112',NULL,'491',0.00,1,3,NULL),(15,2088223,'1990-04-11 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431258833575121610123183',10245,'270',51.57,3,3,NULL),(15,2088231,'1990-05-26 00:00:00',2,7,12,2007,'F','N','VILA ALEMANHA','LUZERNA','SC','124241241116122411523316242324610135147',NULL,'539',0.00,1,2,1),(15,2088258,'1987-03-05 00:00:00',2,3,12,2005,'F','N','CRISTO REI','CURITIBA','PR','116162161216471431388833491124140265096',NULL,'9998',0.00,1,3,NULL),(15,2088274,'1987-04-03 00:00:00',4,1,12,2004,'M','N','JARDIM DOS ESTADOS','POCOS DE CALDAS','MG','113132131217571431359931575122610137047',NULL,'9998',0.00,1,3,NULL),(15,2088282,'1988-05-04 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241316142411526822222124610143027',18526,'1022',39.44,1,3,NULL),(15,2088290,'1989-04-08 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217472431437861595124231067185',7261,'272',56.67,1,3,NULL),(15,2088312,'1990-02-21 00:00:00',4,8,12,2007,'M','N','JARDIM MARTINELLI','CAMPINAS','SP','125252251217111432489913475114610162037',NULL,'9998',0.00,1,3,NULL),(15,2088320,'1990-02-21 00:00:00',4,4,12,2007,'M','N','CENTRO','IRATI','SC','124241241125161521423436572344610127057',NULL,'380',23.10,1,2,1),(15,2088339,'1975-11-18 00:00:00',2,1,12,1997,'F','N','KOBRASOL','SAO JOSE','SC','224241245127131431333151215324610166191',18366,'293',39.70,1,3,NULL),(15,2088347,'1990-05-09 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241415121351468834395111610164187',5564,'269',59.94,4,3,NULL),(15,2088355,'1989-07-23 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124132241215111411464632572122610122083',612,'262',75.94,1,3,NULL),(15,2088363,'1989-12-28 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANOPOLIS','SC','124243247415372411323379572314610122042',18024,'9999',40.27,1,3,NULL),(15,2088371,'1990-02-18 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215272411339924394122610137017',13491,'738',46.90,3,3,NULL),(15,2088380,'1988-05-28 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241248115371311435513211124610122147',NULL,'281',33.68,1,2,1),(15,2088398,'1989-08-29 00:00:00',4,8,11,2006,'M','N','JARAGUÁ ESQUERDO','JARAGUA DO SUL','SC','124241246215472431234532575124231422052',3781,'1061',64.01,1,3,NULL),(15,2088410,'1988-11-24 00:00:00',4,1,12,2005,'M','N','PICADAS DO SUL','SAO JOSE','SC','124243241115372431447613282114130767142',8514,'733',54.48,1,3,NULL),(15,2088428,'1989-07-15 00:00:00',2,4,12,2007,'M','N','CENTRO','SAUDADES','SC','124241241117471431447923395124610127182',NULL,'761',18.53,3,3,NULL),(15,2088436,'1990-08-11 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241212121431363924572114610162092',4305,'270',62.69,1,3,NULL),(15,2088444,'1991-01-07 00:00:00',4,10,11,2008,'F','S','TERMAS DO GRAVATAL','GRAVATAL','SC','124244241217111431459932472124610123012',NULL,'807',45.48,1,3,NULL),(15,2088452,'1990-05-31 00:00:00',2,1,12,2007,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124242241215111431436512575124610167047',8981,'1011',53.69,1,3,NULL),(15,2088460,'1978-02-28 00:00:00',4,1,12,1998,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','224242241111272431438751381122610123142',17828,'276',40.62,1,3,NULL),(15,2088479,'1990-01-03 00:00:00',4,2,12,2007,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124242241216121431458911574122610133182',15780,'87',43.70,1,3,NULL),(15,2088509,'1988-11-09 00:00:00',2,7,12,2005,'M','N','INTERIOR','PRESIDENTE CASTELO BRANCO','SC','124241248146573741433336571324610142147',6188,'642',58.67,1,2,1),(15,2088525,'1990-03-16 00:00:00',4,1,11,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124212241215271431588812495112610162012',7794,'270',55.70,1,3,NULL),(15,2088533,'1990-04-10 00:00:00',4,1,12,2007,'M','N','JARDIM SANTA CECÍLIA','LIMEIRA','SP','125252251216131431448639572123610127042',NULL,'9998',0.00,1,3,NULL),(15,2088541,'1989-03-08 00:00:00',4,1,12,2007,'F','N','NIRVANA','ATIBAIA','SP','125252251217471431468834571122610123017',11647,'9998',49.49,1,3,NULL),(15,2088550,'1989-04-03 00:00:00',4,1,6,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241115152711469914576124610162022',1352,'306',71.87,1,3,NULL),(15,2088568,'1990-10-23 00:00:00',4,4,12,2007,'M','N','SANTA LÚCIA','PALMITOS','SC','124241241115161331425316565122610127067',17184,'1030',41.60,1,2,1),(15,2088576,'1990-03-05 00:00:00',4,1,12,2007,'F','N','RIO GRANDE','PALHOCA','SC','124242241215111431537833474124610122182',429,'737',77.38,1,3,NULL),(15,2088584,'1987-09-08 00:00:00',4,1,12,2005,'F','N','FAZENDA ARICANDUVA','SAO PAULO','SP','125256251214571411447614572124610146187',NULL,'9998',0.00,1,3,NULL),(15,2088592,'1988-11-28 00:00:00',4,1,11,2006,'M','N','CENTRO','RIBEIRAO PRETO','SP','125131251215411441386626462114610167043',6075,'9998',58.94,4,3,NULL),(15,2088606,'1990-06-22 00:00:00',2,4,11,2007,'F','N','BORTOLON','XANXERE','SC','124241241215131431336614275122610138057',10788,'1081',50.75,1,3,NULL),(15,2088614,'1989-09-27 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431438619572124230267062',3177,'1022',65.61,1,3,NULL),(15,2088649,'1990-09-15 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215272431138863575112610123072',1962,'270',69.37,1,3,NULL),(15,2088657,'1990-09-30 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241235271331368813472124610124142',18184,'273',40.00,1,3,NULL),(15,2088665,'1989-06-28 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215112411456611312122610117042',11168,'270',50.21,1,3,NULL),(15,2088681,'1989-01-31 00:00:00',2,1,12,2005,'F','N','BELA VISTA II','SAO JOSE','SC','123243241217473431436823574214610154182',3464,'1036',64.84,1,3,NULL),(15,2088703,'1969-04-04 00:00:00',2,1,12,1986,'F','N','ESTREITO','FLORIANOPOLIS','SC','224241243126272411454354181124130223097',11474,'512',49.74,1,2,1),(15,2088711,'1990-11-19 00:00:00',2,3,12,2007,'M','N','CENTRO','CAMBORIU','SC','124243248115111431236929395124610147051',7472,'129',56.28,1,3,NULL),(15,2088720,'1987-09-18 00:00:00',4,9,12,2006,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124242241215371431348834575122133224147',19950,'499',36.92,1,3,NULL),(15,2088746,'1990-05-01 00:00:00',4,1,11,2007,'M','N','BOA VISTA','SAO VICENTE','SP','125252251217271711456834275114610134042',NULL,'9998',26.47,2,3,NULL),(15,2088754,'1982-12-24 00:00:00',4,1,12,2000,'M','N','VILA BELA','BAURU','SP','125251251216574431579733575112610167187',2812,'9998',66.72,1,3,NULL),(15,2088762,'1978-04-22 00:00:00',4,1,12,1994,'F','N','VL UNIVERSITÁRIA','BAURU','SP','125251251316575431268719475122343267097',11247,'9998',50.09,1,3,NULL),(15,2088770,'1990-07-03 00:00:00',2,1,11,2007,'F','N','CANOAS','RIO DO SUL','SC','624242248215211431236611574125610138147',NULL,'9997',31.77,1,3,NULL),(15,2088789,'1990-11-02 00:00:00',4,6,12,2007,'M','N','FAZENDA','ITAJAI','SC','124252241211111431369834575111610167182',18950,'389',38.75,1,3,NULL),(15,2088797,'1990-09-06 00:00:00',2,4,12,2007,'F','N','SÃO CRISTOVÃO','SAO JOSE DO CEDRO','SC','124241241115111431433933375124610163057',11468,'740',49.75,4,2,1),(15,2088800,'1989-12-07 00:00:00',4,3,12,2006,'F','N','CENTRO','ITAPEMA','SC','124243241215373431447619581221610142097',14728,'9997',45.10,1,3,NULL),(15,2088819,'1981-07-14 00:00:00',2,1,12,2001,'F','N','COLONIA DONA LUIZA','PONTA GROSSA','PR','116243248226141441426664445134142226071',18700,'9999',39.17,1,3,NULL),(15,2088827,'1990-05-31 00:00:00',4,3,12,2007,'M','N','JD NOVO HORIZONTE','MARINGA','PR','116163161215121431437619585124610167072',NULL,'9998',0.00,1,3,NULL),(15,2088835,'1989-10-30 00:00:00',2,3,12,2007,'M','N','JARDIM ELDORADO','CAMBE','PR','116162161217111411448819175112610117042',14427,'9998',45.54,1,3,NULL),(15,2088843,'1990-11-30 00:00:00',4,3,12,2007,'M','N','CENTRO','JARAGUA DO SUL','SC','124242241215131431369614382112610112052',4608,'422',61.98,4,3,NULL),(15,2088851,'1990-03-08 00:00:00',4,1,11,2006,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124252241215472431358614572124610126141',2445,'262',67.79,1,3,NULL),(15,2088860,'1990-10-07 00:00:00',2,5,11,2007,'M','N','RIO MAINA','CRICIUMA','SC','124244246415122411415931271124610166042',12409,'995',48.42,3,3,NULL),(15,2088886,'1990-01-24 00:00:00',4,1,11,2006,'F','N','CENTRO','RIBEIRAO PRETO','SP','125112251215471441489833275122610167092',NULL,'9998',0.00,1,3,NULL),(15,2088908,'1987-02-17 00:00:00',4,8,12,2004,'M','N','CENTRO','JOINVILLE','SC','124241246217371411488823475124231464085',9238,'494',53.20,4,3,NULL),(15,2088916,'1987-05-12 00:00:00',4,1,12,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','124244241215374451459714275124610124092',295,'270',78.77,1,3,NULL),(15,2088924,'1990-08-23 00:00:00',4,4,12,2007,'F','N','CENTRO','SAO LOURENCO DO OESTE','SC','124242161216151431446613472122610124142',19760,'9998',37.31,1,3,NULL),(15,2088932,'1989-06-30 00:00:00',2,1,12,2006,'M','N','IPIRANGA','SAO JOSE','SC','124244241211473431446611214124610137062',4082,'262',63.23,1,3,NULL),(15,2088940,'1991-03-01 00:00:00',4,4,11,2007,'M','N','CENTRO','ITAPEJARA D OESTE','PR','116161161215111431469932295122610134052',16232,'9998',43.01,1,3,NULL),(15,2088959,'1982-12-31 00:00:00',4,1,12,2000,'F','N','JARDIM DAS AMÉRICAS','CUIABA','MT','111112111216574441447531575124140437047',356,'9998',77.98,4,3,NULL),(15,2088967,'1967-02-03 00:00:00',4,1,12,1984,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241244122475421232143135123121562097',3458,'9997',64.86,1,3,NULL),(15,2088975,'1989-01-23 00:00:00',4,1,7,2007,'M','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124242257221371731377832575122610137122',2658,'9999',67.15,1,3,NULL),(15,2088991,'1989-12-05 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241211373431466619296124233244177',1108,'1022',72.99,1,3,NULL),(15,2089009,'1990-06-16 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242248216131731638834382125610134117',15652,'269',43.87,1,3,NULL),(15,2089017,'1990-05-01 00:00:00',4,1,12,2007,'F','N','SÃO VICENTE','PENAPOLIS','SP','125252251215111431468813571122610135147',NULL,'9998',0.00,1,3,NULL),(15,2089025,'1989-09-23 00:00:00',4,3,12,2006,'F','N','IMPERIAL','CONCORDIA','SC','124242241216272431669933571224610134092',2659,'190',67.15,1,3,NULL),(15,2089033,'1990-02-03 00:00:00',4,1,12,2007,'F','N','JARDIM COSTA VERDE','VARZEA GRANDE','MT','611113111217271751321479575224610164077',18134,'9998',40.10,1,3,NULL),(15,2089041,'1990-03-20 00:00:00',4,1,12,2007,'M','N','COCÓ','FORTALEZA','CE','106242061215121431468934495122610164184',NULL,'9998',0.00,4,3,NULL),(15,2089050,'1989-01-30 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241216111422457813575122610117112',17545,'883',41.03,1,3,NULL),(15,2089068,'1990-05-06 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECO','SC','124252241215151431569813375122610167047',12729,'168',47.94,1,3,NULL),(15,2089076,'1988-12-13 00:00:00',2,1,12,2006,'F','N','PARQUE ELY','GRAVATAI','RS','120202201237571431568813572124610127052',NULL,'9998',0.00,1,3,NULL),(15,2089084,'1990-05-14 00:00:00',4,8,11,2007,'F','N','GLÓRIA','JOINVILLE','SC','124242241215121431579612574112610134146',NULL,'491',0.00,1,3,NULL),(15,2089092,'1989-01-14 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241117142312423633444234610166047',13073,'306',47.48,1,2,1),(15,2089106,'1989-09-04 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124243241415411431458733371124610142117',20245,'1048',36.34,1,3,NULL),(15,2089114,'1989-03-01 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211211431448613575112610113112',10698,'1050',50.88,1,3,NULL),(15,2089149,'1990-07-08 00:00:00',2,1,12,2007,'F','N','SÃO SEBASTIÃO','PALHOCA','SC','124243241212132431443331582324610126047',926,'989',73.93,1,3,NULL),(15,2089157,'1986-10-07 00:00:00',4,10,12,2004,'F','N','CENTRO','BRACO DO NORTE','SC','124242241216312431436912344124231026092',5858,'807',59.34,1,3,NULL),(15,2089165,'1988-01-05 00:00:00',2,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124242241216133431646613495122610162017',16369,'943',42.80,1,3,NULL),(15,2089181,'1990-09-15 00:00:00',4,2,12,2007,'F','N','FORTALEZA','BLUMENAU','SC','124241241115131431336314332124610133057',11063,'83',50.36,1,2,1),(15,2089190,'1990-05-18 00:00:00',2,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124244241411111731436631392124610138142',NULL,'257',22.28,1,3,NULL),(15,2089203,'1984-06-01 00:00:00',4,1,12,2002,'M','N','SAMBAQUI','FLORIANOPOLIS','SC','124243241211154751488779275122231467183',NULL,'1036',0.00,1,3,NULL),(15,2089211,'1991-03-25 00:00:00',4,6,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241216371431435923112321610168187',14911,'44',44.89,1,3,NULL),(15,2089220,'1980-11-30 00:00:00',2,1,12,1999,'M','N','VILA ALEXANDRIA','SAO PAULO','SP','125251251137572431336644382112610162057',7371,'9998',56.48,1,2,1),(15,2089238,'1990-08-26 00:00:00',4,1,11,2007,'M','N','BAIRRO IPIRANGA','SAO JOSE','SC','124241241115131231433833575124610117142',20611,'734',35.67,1,2,1),(15,2089254,'1990-04-04 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124244241215111711313334585114610123072',NULL,'9997',16.42,1,3,NULL),(15,2089270,'1988-11-13 00:00:00',4,1,12,2005,'F','N','JOSE MENDES','FLORIANOPOLIS','SC','124241241112373431121769572124610124197',15492,'286',44.14,1,2,1),(15,2089289,'1990-06-06 00:00:00',2,4,12,2007,'F','N','CENTRO','CLEVELANDIA','PR','116162161316111431333923575124610127072',11699,'9998',49.39,1,3,NULL),(15,2089297,'1987-12-05 00:00:00',4,1,12,2005,'M','N','ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP','125252251217571431478912471112610164096',387,'9998',77.75,1,3,NULL),(15,2089319,'1990-09-06 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124203241135271431437611245124610122117',18918,'289',38.81,1,3,NULL),(15,2089327,'1989-09-10 00:00:00',4,1,12,2006,'F','N','JABOTICABEIRA','TAUBATE','SP','125251251127371431325731282122610163097',12385,'9998',48.45,3,2,1),(15,2089335,'1990-06-30 00:00:00',4,1,11,2007,'M','N','BATEL','CURITIBA','PR','116212161215111431489714574112610164042',2926,'9998',66.37,1,3,NULL),(15,2089343,'1990-01-02 00:00:00',2,9,12,2007,'F','N','PIO X','CAXIAS DO SUL','RS','120204251417471431436612282124241565077',10627,'9998',50.99,1,3,NULL),(15,2089360,'1990-01-30 00:00:00',4,6,11,2007,'M','N','VILA OPERÁRIA','ITAJAI','SC','124242241212371321468933472122610127147',9150,'391',53.35,1,3,NULL),(15,2089378,'1990-08-10 00:00:00',2,1,12,2007,'F','N','OLARIAS','PONTA GROSSA','PR','116162164211131731428811585124610144147',NULL,'9998',0.00,1,3,NULL),(15,2089386,'1991-11-30 00:00:00',4,1,12,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241117131431255935175124610166095',11998,'267',48.98,1,2,1),(15,2089394,'1987-03-10 00:00:00',4,1,12,2004,'M','N','JARDIM INDEPENDENCIA','SAO PAULO','SP','125254251216571431258924575124610167127',12873,'9998',47.76,1,3,NULL),(15,2089408,'1989-02-26 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241211121421445531241114610144143',19244,'269',38.27,1,3,NULL),(15,2089416,'1989-10-17 00:00:00',4,1,12,2007,'M','N','JUNÇÃO','RIO GRANDE','RS','120201201416371751344679575114610142127',NULL,'9998',NULL,1,3,NULL),(15,2089424,'1988-08-31 00:00:00',2,1,11,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124254251435371431479813245222610124112',15107,'9998',44.66,1,3,NULL),(15,2089432,'1987-12-04 00:00:00',2,1,12,2004,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241116471411354413345124610127047',15884,'281',43.55,1,3,NULL),(15,2089459,'1990-04-26 00:00:00',4,1,11,2007,'F','N','PINHEIRINHO','ITAJUBA','MG','113131131215111431558834472112610143147',9300,'9998',53.12,1,3,NULL),(15,2089475,'1990-05-31 00:00:00',2,10,11,2007,'M','N','OFICINAS','TUBARAO','SC','124243241117161441538339571122610137062',16095,'804',43.23,1,3,NULL),(15,2089483,'1990-08-16 00:00:00',2,1,12,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215121431656833574124610148042',12839,'269',47.81,1,3,NULL),(15,2089491,'1990-10-29 00:00:00',4,5,11,2007,'M','N','ESPÍRITO SANTO','PORTO ALEGRE','RS','120202201217271432559933571124610162082',2159,'9998',68.73,1,3,NULL),(15,2089505,'1978-05-14 00:00:00',4,1,11,1996,'M','N','PANTANAL','FLORIANOPOLIS','SC','124134131126141411128949195321341262013',17461,'9998',41.14,1,3,NULL),(15,2089513,'1989-06-28 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241248115472311434314341114610127097',16616,'257',42.43,1,2,1),(15,2089530,'1988-08-24 00:00:00',4,1,12,2006,'F','N','CENTRO','MOGI MIRIM','SP','125252251317471431436624242124610166152',NULL,'9998',0.00,1,3,NULL),(15,2089548,'1990-04-16 00:00:00',2,5,10,2007,'F','N','COMERIARIO','CRICIUMA','SC','124243241115121431658334215122610133182',16520,'213',42.55,2,1,2),(15,2089556,'1989-08-31 00:00:00',4,8,12,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124241241137132441446613275125231734032',NULL,'412',0.00,1,2,1),(15,2089572,'1990-04-24 00:00:00',4,1,12,2007,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241215112431489933432112610162182',162,'1022',80.46,1,3,NULL),(15,2089580,'1968-02-09 00:00:00',4,1,12,1986,'M','N','CENTRO','LAURENTINO','SC','224253251336141411338479292122131012012',NULL,'9998',0.00,4,3,NULL),(15,2089599,'1990-07-19 00:00:00',4,1,12,2007,'M','N','DOM BOSCO','CORUMBA','MS','112124121216371431463812574122610164112',8113,'9998',55.17,1,3,NULL),(15,2089602,'1988-04-19 00:00:00',4,1,12,2005,'M','N','BOQUEIRÃO','SANTOS','SP','125252251215571431348711585122610117112',3403,'9998',65.00,1,3,NULL),(15,2089637,'1990-01-28 00:00:00',4,8,12,2007,'M','N','JARDIM CAMBUÍ','PRESIDENTE PRUDENTE','SP','125252251217111431458823475122610124112',5596,'9998',59.88,1,3,NULL),(15,2089645,'1985-04-20 00:00:00',2,1,12,2002,'M','N','FLORDENÁPOLIS','SAO JOSE','SC','124241241137372731665513242124610127052',14096,'727',46.04,4,2,1),(15,2089653,'1990-06-22 00:00:00',4,6,12,2007,'F','N','CORDEIROS','ITAJAI','SC','124241241127141431368613235124610131143',NULL,'396',0.00,1,2,1),(15,2089688,'1988-11-08 00:00:00',4,8,12,2005,'M','N','JARDIM AMÉRICA','SAO JOSE DOS CAMPOS','SP','125254251435471441537711275124610136172',13306,'9998',47.16,1,3,NULL),(15,2089696,'1988-02-07 00:00:00',2,1,12,2006,'M','N','OLARIAS','PONTA GROSSA','PR','116162168221311321426632345123611434094',NULL,'899',0.00,1,3,NULL),(15,2089700,'1989-12-05 00:00:00',4,9,12,2006,'M','N','SAGRADO C DE JESUS','LAGES','SC','124241241117371441434624572125610123147',13095,'498',47.45,4,2,1),(15,2089718,'1990-04-25 00:00:00',4,3,12,2007,'F','N','AQUÁRIOS','VINHEDO','SP','125252251215271731568814575124610124197',NULL,'9998',0.00,4,1,2),(15,2089726,'1986-12-15 00:00:00',4,1,6,2004,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241117471441326521345123133261017',5158,'306',60.80,4,3,NULL),(15,2089734,'1990-05-15 00:00:00',4,1,12,2007,'F','N','SERRINHA','FLORIANOPOLIS','SC','124242241215112431568713472124610126097',6681,'1022',57.77,1,3,NULL),(15,2089742,'1975-08-12 00:00:00',4,1,12,1997,'M','N','FLORESTA','SAO JOSE','SC','224201248442231421336644342334610124197',NULL,'486',0.00,1,3,NULL),(15,2089750,'1990-03-26 00:00:00',2,1,11,2007,'F','N','CENTRO','SAO JOSE','SC','124244241317111412455923575124610124047',NULL,'300',0.00,1,3,NULL),(15,2089769,'1990-06-10 00:00:00',4,1,11,2007,'F','N','CARANDÁ BOSQUE','CAMPO GRANDE','MS','112122121217111741466834575122610168142',7990,'9998',55.39,3,3,NULL),(15,2089777,'1986-01-30 00:00:00',2,1,11,2003,'M','N','PRADO','BIGUACU','SC','124241241112131431523314442121610127157',17952,'65',40.40,1,3,NULL),(15,2089815,'1990-03-30 00:00:00',4,2,12,2007,'F','N','INDUSTRIAL','CERRO LARGO','RS','120201201216151431433336575124610111142',6680,'9998',57.77,1,3,NULL),(15,2089823,'1989-12-28 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241117371431468811575124610127052',2802,'267',66.73,1,2,1),(15,2089831,'1986-11-18 00:00:00',4,1,11,2004,'F','N','CENTRO','RIBEIRAO PRETO','SP','111112111217572411469832575125610147092',NULL,'9998',0.00,1,3,NULL),(15,2089840,'1989-02-12 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124243241217472421359813275124610124012',NULL,'977',25.91,1,3,NULL),(15,2089858,'1988-09-26 00:00:00',2,1,7,2006,'F','N','ARIRIU DA FORMIGA','PALHOCA','SC','124241247326131431636636151124610146047',12135,'596',48.81,1,3,NULL),(15,2089866,'1988-12-17 00:00:00',2,1,12,2005,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124242241215373431457634285124610127062',3356,'752',65.12,1,3,NULL),(15,2089874,'1990-01-26 00:00:00',2,1,12,2006,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124204241115131431323619372114610123197',10321,'288',51.46,1,3,NULL),(15,2089882,'1990-08-25 00:00:00',4,4,11,2007,'M','N','SANTA TEREZINHA','PATO BRANCO','PR','116161161215111431324624572125610162172',8622,'9998',54.30,1,3,NULL),(15,2089890,'1988-12-15 00:00:00',4,1,12,2007,'M','N','JARDIM SALETE','TABOAO DA SERRA','SP','125252253226131731339869385124610134012',16694,'9998',42.33,1,3,NULL),(15,2089904,'1988-08-06 00:00:00',4,1,12,2005,'M','N','JARDIM BETHÂNIA','SAO CARLOS','SP','125254251215571432368811575113141424177',14549,'9998',45.34,1,3,NULL),(15,2089912,'1988-04-18 00:00:00',4,1,12,2005,'M','N','BOM JESUS','PORTO ALEGRE','RS','120202201216371431367829471122140227042',11555,'9998',49.63,1,3,NULL),(15,2089920,'1988-11-05 00:00:00',4,2,12,2007,'M','N','INDUSTRIAL','CERRO LARGO','RS','120201201136151431533331395324610144012',16088,'9998',43.24,4,2,1),(15,2089939,'1985-12-16 00:00:00',2,3,12,2004,'M','N','BACACHERI','CURITIBA','PR','116162161336563431668813471123610126197',3295,'9998',65.28,1,3,NULL),(15,2089947,'1988-12-02 00:00:00',2,1,7,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124244241437271431429721575114610124077',NULL,'9999',0.00,1,3,NULL),(15,2089955,'1989-07-20 00:00:00',4,1,12,2006,'F','N','PARQUE SÃO LOURENÇO','INDAIATUBA','SP','125252251217131431459613371124610125094',11873,'9998',49.14,2,3,NULL),(15,2089963,'1991-02-15 00:00:00',4,9,12,2007,'F','N','BOTAFOGO','BENTO GONCALVES','RS','120202201231471431539511572124610128077',4438,'9998',62.40,1,3,NULL),(15,2090007,'1988-07-12 00:00:00',2,1,12,2005,'F','N','CARIANOS','FLORIANOPOLIS','SC','124243241435574431537371572224610162145',5043,'988',61.00,1,3,NULL),(15,2090015,'1982-02-28 00:00:00',4,1,6,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241117132441238644245121121766053',5389,'9998',60.30,1,3,NULL),(15,2090023,'1987-10-25 01:00:00',2,1,12,2004,'F','N','ARIRIÚ DA FORMIGA','PALHOCA','SC','124244241112274331425314572124610164143',16839,'592',42.10,1,3,NULL),(15,2090031,'1988-02-12 00:00:00',2,5,12,2006,'M','N','CENTRO','ARARANGUA','SC','124241241215371441437833185122131037112',19110,'32',38.50,1,3,NULL),(15,2090040,'1979-09-12 00:00:00',4,1,12,1997,'F','N','CENTRO','FLORIANOPOLIS','SC','224241241215374431257651571122132862177',8235,'725',54.95,1,3,NULL),(15,2090066,'1980-04-27 00:00:00',4,1,11,2001,'M','N','JARDIM SANTA MÔNICA','FLORIANOPOLIS','SC','124244247431135731228821481124221161182',15980,'270',43.41,1,3,NULL),(15,2090082,'1977-01-23 00:00:00',4,1,12,1995,'M','N','CUBATÃO','ITAPIRA','SP','125251251121112441223319141321610117042',8624,'9998',54.30,1,2,1),(15,2090090,'1989-10-11 00:00:00',4,1,6,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124244241115271731538731575124610164017',3658,'306',64.34,4,3,NULL),(15,2090112,'1989-11-23 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241214121431468814292115610168111',5906,'1098',59.24,4,3,NULL),(15,2090139,'1989-09-15 00:00:00',4,1,12,2006,'M','N','CENTRO','BORDA DA MATA','MG','113134132216472411336611275314610167052',NULL,'9998',0.00,1,3,NULL),(15,2090147,'1985-11-18 00:00:00',4,5,12,2003,'M','N','LARANJINHA','CRICIUMA','SC','124242241215575431525618391124132642017',3924,'213',63.67,1,3,NULL),(15,2090155,'1988-01-13 00:00:00',2,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241211111731226629592124610123141',22208,'1036',31.47,2,3,NULL),(15,2090163,'1990-03-23 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124042241215121431489713574122610127042',3410,'270',64.97,1,3,NULL),(15,2090171,'1990-11-09 00:00:00',2,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241217111431266823575124610123072',9840,'723',52.19,1,3,NULL),(15,2090180,'1990-11-17 00:00:00',2,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124241241211111651243329592124610162051',18208,'1036',39.96,1,3,NULL),(15,2090198,'1981-10-21 00:00:00',2,7,12,2001,'F','N','CENTRO','JOACABA','SC','124161161146271441223344341334141045147',15034,'9998',44.75,1,2,1),(15,2090236,'1973-06-16 00:00:00',4,3,11,1990,'M','N','IATE CLUBE','BALNEARIO CAMBORIU','SC','224242241216274721458643435232320766127',1742,'391',70.24,1,3,NULL),(15,2090244,'1982-08-26 00:00:00',4,1,12,2002,'M','N','BARRA DO SAMBAQUI','FLORIANOPOLIS','SC','124241241337272421235644342224130222152',11781,'9999',49.28,1,3,NULL),(15,2090260,'1987-11-09 00:00:00',4,4,12,2005,'F','N','CENTRO','HUMAITA','RS','120201201316431131423635575124143168177',1132,'9998',72.88,1,3,NULL),(15,2090279,'1987-11-22 00:00:00',4,1,12,2004,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241242116151421446643335122610137053',14369,'24',45.61,1,3,NULL),(15,2090309,'1990-03-05 00:00:00',4,4,12,2007,'M','N','CENTRO','SAO BERNARDINO','SC','124241241125161431545532344122610117052',20292,'701',36.25,1,2,1),(15,2090317,'1989-02-26 00:00:00',4,1,12,2006,'F','N','JARDIM PARAISO','MONTE ALTO','SP','125252251216371441448833571124610164157',NULL,'9998',0.00,1,3,NULL),(15,2090333,'1990-10-30 00:00:00',4,4,12,2007,'M','N','INTERIOR','IRACEMINHA','SC','124241241116131441433436195224610128047',16350,'377',42.83,1,2,1),(15,2090350,'1975-08-22 00:00:00',4,1,12,1992,'M','N','COLONINHA','BLUMENAU','SC','124242241411271431149627441244131452182',2524,'79',67.56,1,3,NULL),(15,2090368,'1990-07-26 00:00:00',4,1,12,2007,'M','N','RURAL','CRISTAIS PAULISTA','SP','125251251217121451468933572122610124035',NULL,'9998',0.00,1,3,NULL),(15,2090376,'1989-02-09 00:00:00',4,1,11,2005,'F','N','AREIAS DE CIMA','GOVERNADOR CELSO RAMOS','SC','124241241116373231423314375124610163052',11236,'64',50.10,1,2,1),(15,2090384,'1988-09-29 00:00:00',2,1,7,2005,'F','N','CARIANOS','FLORIANOPOLIS','SC','124173241112271731346613572124133232077',22158,'306',31.70,2,3,NULL),(15,2090406,'1978-12-24 00:00:00',4,1,11,1995,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241217145711249642325122131464047',17738,'266',40.75,1,3,NULL),(15,2090414,'1988-09-03 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124241241111161751624419591124610164141',22417,'733',30.15,1,2,1),(15,2090422,'1990-02-22 00:00:00',4,1,11,2007,'M','N','HUMAITÁ','TUBARAO','SC','124241241146131721438639245121610162127',14136,'798',45.99,1,3,NULL),(15,2090430,'1990-02-03 00:00:00',2,1,12,2007,'M','N','PASSA VINTE','PALHOCA','SC','624241241116111431534613232124610137092',NULL,'592',32.83,1,2,1),(15,2090449,'1988-07-22 00:00:00',1,2,12,2006,'F','N','CENTRO','PANAMBI','RS','120282201216471431448935572122610127142',7569,'9998',56.08,1,3,NULL),(15,2090457,'1986-05-05 00:00:00',4,8,11,2003,'F','N','GLEBA PALHANO','LONDRINA','PR','116162161216573431468913172122610117147',4012,'9998',63.42,1,3,NULL),(15,2090465,'1990-02-23 00:00:00',2,1,12,2007,'M','N','JARDIM DAS FLORES','JOSE BONIFACIO','SP','125092251216111731548951572113610122194',14841,'9998',44.96,1,3,NULL),(15,2090490,'1990-09-08 00:00:00',2,7,12,2007,'M','N','SÍTIO','PIRATUBA','SC','124241241136131411446835473124610127047',NULL,'619',25.19,1,2,1),(15,2090503,'1990-07-19 00:00:00',5,4,12,2007,'M','N','INTERIOR','IRACEMINHA','SC','124241241114161531533916165123610127047',NULL,'377',25.43,1,2,1),(15,2090511,'1988-02-11 00:00:00',4,3,11,2005,'M','N','CAVALHADA','PORTO ALEGRE','RS','125203201417572431666812585114610162052',9010,'9998',53.62,4,3,NULL),(15,2090520,'1988-10-25 00:00:00',4,10,11,2006,'M','N','CENTRO','TURVO','SC','124242241215373431334427482111610132147',1661,'813',70.54,1,3,NULL),(15,2090538,'1961-08-27 00:00:00',2,1,12,2003,'F','N','BAIRRO DE FÁTIMA','FLORIANOPOLIS','SC','224241247124131711538443435134610164027',NULL,'284',12.09,4,3,NULL),(15,2090554,'1983-03-13 00:00:00',4,1,11,2000,'M','N','VILA GUSTAVO','SAO PAULO','SP','125252171216471431336649472124141037057',8862,'9998',53.89,3,3,NULL),(15,2090562,'1988-09-19 00:00:00',2,7,12,2005,'F','N','SÍTIO','PIRATUBA','SC','124241241132131411323735342223610155057',19407,'619',38.01,1,2,1),(15,2090589,'1989-11-13 00:00:00',2,8,12,2006,'F','N','AMERICA','JOINVILLE','SC','124241241116471431534923572124610161187',7507,'603',56.21,1,2,1),(15,2090597,'1979-03-20 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241121474741113448281224613252047',19845,'257',37.12,4,2,1),(15,2090619,'1984-08-20 00:00:00',4,1,12,2003,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','224051055116371511223654441124610136147',14388,'9998',45.58,4,2,1),(15,2090627,'1986-04-23 00:00:00',2,1,12,2004,'M','N','SERRARIA','SAO JOSE','SC','124243241141272441638324332124610154141',12119,'307',48.84,1,3,NULL),(15,2090635,'1978-11-05 00:00:00',2,1,11,1999,'F','N','CAMPECHE','FLORIANOPOLIS','SC','224251255137135431435453175112610162021',11971,'9998',49.02,1,2,1),(15,2090643,'1989-10-10 00:00:00',4,2,12,2006,'M','N','VILA NOVA','BLUMENAU','SC','124242241216472431389912575122610142182',11716,'909',49.37,1,3,NULL),(15,2090651,'1986-03-05 00:00:00',4,1,12,2003,'M','N','DONA ALEXANDRINA','LAGOA DA PRATA','MG','113131131216371411468813245132143242127',NULL,'9998',0.00,3,3,NULL),(15,2090660,'1986-11-20 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241136132421426913342124232764147',21524,'362',33.68,4,1,1),(15,2090678,'1979-06-08 00:00:00',4,1,12,2000,'M','N','ITACORUBI','FLORIANOPOLIS','SC','624241241416132411119841217124120968181',12125,'185',48.83,1,3,NULL),(15,2090686,'1989-07-10 00:00:00',2,1,12,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124246241517372431346523332134610137047',3976,'1098',63.53,4,3,NULL),(15,2090694,'1979-07-14 00:00:00',2,1,12,2007,'F','N','SAO MIGUEL','BIGUACU','SC','124241247127131421525343132224610163047',NULL,'9997',2.54,5,3,NULL),(15,2090724,'1988-06-14 00:00:00',4,1,12,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124051051216272741588834575122241417095',11394,'9998',49.86,1,3,NULL),(15,2090732,'1985-03-18 00:00:00',4,1,12,2003,'F','N','PLANALTO PAULISTA','SAO PAULO','SP','125252251217141741458824445124241727076',7730,'9998',55.82,1,3,NULL),(15,2090740,'1989-09-26 00:00:00',2,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124241241212111431626613242124610116042',20693,'1036',35.51,1,3,NULL),(15,2090759,'1988-04-26 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211573431559919571124610168182',3966,'422',63.55,1,3,NULL),(15,2090775,'1990-12-09 00:00:00',4,7,12,2007,'F','N','REBOUÇAS','CURITIBA','PR','116162161215111431487924574124610111072',NULL,'9998',0.00,1,3,NULL),(15,2090783,'1985-05-09 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241127132421223374241235610124187',NULL,'922',32.34,1,2,1),(15,2090805,'1989-05-11 00:00:00',2,1,8,2007,'M','N','JARDIM ELDORADO','PALHOCA','SC','124241241115151431433619395114610124177',14047,'739',46.10,1,2,1),(15,2090813,'1986-06-05 00:00:00',4,1,12,2003,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124052051216111431588834575122241312145',17081,'9998',41.75,1,3,NULL),(15,2090864,'1990-04-27 00:00:00',4,10,12,2007,'M','N','PINHEIRO','TUBARAO','SC','124241241136271431333611275124610137147',7517,'1034',56.20,1,2,1),(15,2090872,'1987-03-15 00:00:00',4,9,12,2004,'F','N','CENTRO','LAGES','SC','124244241216574431458931572122133126097',2793,'515',66.76,1,3,NULL),(15,2090880,'1989-05-12 00:00:00',4,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242241215472431358633574114610163187',8258,'737',54.92,1,3,NULL),(15,2090902,'1971-08-02 00:00:00',2,1,12,2000,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241147132412534429412122610124187',22515,'293',28.26,2,1,2),(15,2090910,'1989-07-28 00:00:00',4,1,12,2007,'F','N','ARASOL','ARAXA','MG','113132251217111751458831571122610163142',2277,'9998',68.33,1,3,NULL),(15,2090929,'1986-08-02 00:00:00',2,2,12,2003,'F','N','CENTRO','VITOR MEIRELES','SC','124251241124275431533419181114610132147',1192,'834',72.50,1,2,1),(15,2090937,'1990-12-15 00:00:00',2,8,12,2007,'M','N','AGUA VERDE','CURITIBA','PR','116162161215471431378614575122610117067',NULL,'9998',0.00,1,3,NULL),(15,2090945,'1986-05-28 00:00:00',2,1,12,2003,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124242241216132431458629415124122344192',11946,'266',49.05,1,3,NULL),(15,2090953,'1989-08-07 00:00:00',4,1,12,2006,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124243241115372431467719375114610164142',13426,'733',46.99,1,3,NULL),(15,2090961,'1985-02-19 00:00:00',3,1,7,2004,'M','N','BALNEARIO','FLORIANOPOLIS','SC','124211247121143411549413481124610116093',NULL,'9999',10.87,2,1,1),(15,2090988,'1989-08-03 00:00:00',4,8,12,2006,'M','N','PAPICU','FORTALEZA','CE','106062061216371431367712375122610127112',2621,'9998',67.26,1,3,NULL),(15,2090996,'1987-02-27 00:00:00',4,1,12,2004,'F','N','PRAIA JOÃO ROSA','BIGUACU','SC','124241241147272411234344241224610126147',NULL,'65',29.85,1,2,1),(15,2091003,'1990-02-01 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215121431338711572124610128187',9123,'269',53.42,1,3,NULL),(15,2091011,'1988-05-21 00:00:00',4,1,12,2005,'M','N','CENTRO','SAO CARLOS','SP','125252251216571431468813575122610127147',5930,'9998',59.20,1,3,NULL),(15,2091020,'1989-11-11 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431356831315112610164181',7975,'266',55.41,1,3,NULL),(15,2091038,'1990-01-27 00:00:00',2,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124241241115411431458419575122610114147',10678,'307',50.90,1,2,1),(15,2091054,'1986-09-21 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241327152431339613345124230244087',NULL,'1036',25.89,2,1,2),(15,2091062,'1988-07-01 00:00:00',4,2,12,2005,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241136371411633311285324610126142',NULL,'83',0.00,1,2,1),(15,2091097,'1988-12-06 00:00:00',4,1,12,2006,'F','N','ALTO','OURO FINO','MG','113131131216371111324923575122610125157',NULL,'9998',38.91,1,3,NULL),(15,2091100,'1981-06-25 00:00:00',4,1,12,1998,'M','N','CENTRO','SAO JOSE','SC','124242248211113112588833425122320217047',14555,'262',45.33,1,3,NULL),(15,2091119,'1991-03-30 00:00:00',4,4,12,2007,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124244241417131431469913572125610124177',8144,'751',55.11,1,3,NULL),(15,2091127,'1988-10-01 00:00:00',4,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241215574431548923574314610166147',100,'486',81.59,1,3,NULL),(15,2091135,'1989-11-28 00:00:00',4,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241215473431479913585112610165077',98,'262',81.60,1,3,NULL),(15,2091143,'1990-07-27 00:00:00',1,8,12,2007,'M','N','PAPICU','FORTALEZA','CE','106062061216111421479932575112610112101',NULL,'9998',0.00,1,3,NULL),(15,2091151,'1989-06-01 00:00:00',4,1,12,2006,'F','N','MALOTA','JUNDIAI','SP','125252251214471731437814571124610137027',6185,'9998',58.68,1,3,NULL),(15,2091160,'1990-08-07 00:00:00',4,1,11,2007,'F','N','AREIAS','SAO JOSE','SC','124241241111131431324314571224610123182',NULL,'307',28.15,4,2,1),(15,2091178,'1981-02-05 00:00:00',2,1,12,2001,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243247226274411459821341124610127047',14743,'9999',45.08,1,3,NULL),(15,2091186,'1973-07-25 00:00:00',4,1,11,1991,'M','N','CAMPECHE','FLORIANOPOLIS','SC','224241243146465421433144445132610167047',8414,'359',54.67,1,2,1),(15,2091194,'1989-01-09 00:00:00',4,1,11,2006,'F','N','PIO CORREA','CRICIUMA','SC','124242241217472431468811574124610162092',21,'226',84.40,1,3,NULL),(15,2091208,'1989-10-17 00:00:00',4,3,12,2006,'M','N','TABULEIRO','CAMBORIU','SC','124242241215272431568919375211121727062',2423,'44',67.85,1,3,NULL),(15,2091216,'1989-08-19 00:00:00',4,1,12,2006,'M','N','BOA VISTA','RIO DO SUL','SC','124244241315232411539913492115221426142',2469,'991',67.71,1,3,NULL),(15,2091224,'1988-09-17 00:00:00',4,1,12,2006,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215472411369929575122610117042',1408,'262',71.62,1,3,NULL),(15,2091232,'1982-01-01 00:00:00',2,1,12,2001,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241137271731438629392314610167032',14605,'307',45.27,1,2,1),(15,2091259,'1990-06-04 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215121431557513572124610124057',9823,'1022',52.22,1,3,NULL),(15,2091267,'1986-06-15 00:00:00',4,1,12,2003,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241248216575431435614475124231066047',13235,'270',47.25,1,3,NULL),(15,2091275,'1989-12-09 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241415111431466913571224610116187',15438,'1022',44.20,1,3,NULL),(15,2091283,'1990-10-10 00:00:00',2,1,12,2007,'F','N','FLOR DE NAPOLIS','SAO JOSE','SC','124241241435111431543321272324610131097',8852,'1022',53.91,1,3,NULL),(15,2091305,'1990-12-28 00:00:00',4,1,12,2007,'F','N','SERRARIA','BIGUACU','SC','124243241217121411447613212124610121187',16954,'1022',41.92,4,3,NULL),(15,2091330,'1984-04-19 00:00:00',2,1,12,2001,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241136133431122344345334610167042',17168,'359',41.62,1,2,1),(15,2091356,'1987-11-13 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241115275431323511211244610166181',14540,'335',45.35,4,2,1),(15,2091372,'1990-07-16 00:00:00',4,4,11,2007,'F','N','JARDIM ITALIA','CHAPECO','SC','124242161235112431456814474125610164147',NULL,'9998',0.00,1,3,NULL),(15,2091380,'1988-12-22 00:00:00',4,4,12,2005,'F','N','CENTRO','CHAPECO','SC','124242241215571431437631574125610136147',NULL,'168',0.00,1,3,NULL),(15,2091399,'1990-01-31 00:00:00',4,2,12,2007,'M','N','CENTRO','DONA EMMA','SC','124241241121141521447632141122610157052',20702,'247',35.50,1,2,1),(15,2091410,'1991-05-17 00:00:00',4,2,12,2008,'F','S','CENTRO','BLUMENAU','SC','124242241215151431478813575125610164017',NULL,'87',57.63,1,3,NULL),(15,2091437,'1989-09-30 00:00:00',2,1,11,2006,'F','N','FLORESTA','JOINVILLE','SC','124202241215572431568813572225610133142',5670,'1063',59.73,1,3,NULL),(15,2091453,'1990-09-26 00:00:00',4,1,11,2007,'F','N','MORRETES','ITAPEMA','SC','124242241215112751376732575112610162052',4271,'270',62.75,1,3,NULL),(15,2091470,'1988-12-04 00:00:00',4,1,11,2006,'M','N','BURU','SALTO','SP','125254281417271411558823575112610162181',14670,'9998',45.19,1,3,NULL),(15,2091488,'1990-04-28 00:00:00',2,1,12,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124243241111131711546611335121610165147',6379,'267',58.30,1,3,NULL),(15,2091500,'1990-06-27 00:00:00',4,2,12,2007,'F','N','CENTRO','BLUMENAU','SC','124242241217271411369913574122610147122',5713,'909',59.64,1,3,NULL),(15,2091518,'1989-12-27 00:00:00',4,9,12,2007,'M','N','CAPISTRANO','BOM RETIRO','SC','124241241126161431544613575122610167052',12558,'95',48.20,1,2,1),(15,2091526,'1989-10-21 00:00:00',2,9,12,2006,'F','N','CENTRO','CURITIBANOS','SC','124241241116471431438816395112610132072',20190,'239',36.44,1,2,1),(15,2091534,'1988-05-19 00:00:00',2,1,12,2005,'M','N','BALNEARIO ESTREITO','FLORIANOPOLIS','SC','107242241215572441459613572324241464182',1071,'737',73.14,4,3,NULL),(15,2091542,'1989-09-01 00:00:00',4,1,12,2007,'M','N','CHACARA SAO MARCELO','MOGI MIRIM','SP','125252251416471232647932285121610167092',3034,'9998',66.03,1,3,NULL),(15,2091550,'1987-11-24 00:00:00',2,1,12,2006,'F','N','PARTENON','PORTO ALEGRE','RS','120201201117471411427763241124610137181',NULL,'9998',21.65,1,3,NULL),(15,2091577,'1989-06-16 00:00:00',2,4,11,2006,'F','N','ÂNGELO CRETÃ','MANGUEIRINHA','PR','116162161216371431247923575122610147017',6730,'9998',57.68,1,3,NULL),(15,2091585,'1990-11-24 00:00:00',4,1,12,2008,'M','S','AGRONOMICA','FLORIANOPOLIS','SC','124242241216111731468834575122610117012',NULL,'262',53.32,1,3,NULL),(15,2091593,'1982-02-05 00:00:00',4,1,12,1998,'F','N','JARDIM ELDORADO','PALHOCA','SC','124241243111375431466314245124320562192',15828,'293',43.63,1,3,NULL),(15,2091607,'1990-02-06 00:00:00',4,5,12,2007,'F','N','N SENHORA DA SALETE','CRICIUMA','SC','124241241215111431356413241124610126142',17373,'226',41.27,1,3,NULL),(15,2091615,'1990-10-05 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241315121431338923571124610127117',10979,'1098',50.50,4,3,NULL),(15,2091623,'1988-05-15 00:00:00',4,1,12,2005,'M','N','CENTRO','PALHOCA','SC','124242241235573431446418275124610124042',16691,'989',42.34,1,3,NULL),(15,2091631,'1990-02-24 00:00:00',2,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124162241215212231586712185124610128077',7428,'1038',56.36,1,3,NULL),(15,2091640,'1990-02-02 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241217111431466673275124610117052',20378,'259',36.10,1,3,NULL),(15,2091658,'1990-07-18 00:00:00',4,2,12,2007,'F','N','CENTRO','DONA EMMA','SC','124241241124161721436633245122610137057',NULL,'247',0.00,1,2,1),(15,2091674,'1987-09-09 00:00:00',2,1,7,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241116472431537723185124610136097',4900,'306',61.31,1,2,1),(15,2091690,'1986-05-23 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241127371711424327291234610138147',NULL,'307',25.03,1,2,1),(15,2091712,'1989-12-10 00:00:00',4,8,11,2007,'M','N','FLORESTA','JOINVILLE','SC','124242241215111431458731272122610134092',NULL,'932',0.00,1,3,NULL),(15,2091720,'1977-02-18 00:00:00',5,1,11,1996,'M','N','BARRA DO ARIRIU','PALHOCA','SC','124241248126475151232444345124131065092',16429,'591',42.71,4,3,NULL),(15,2091739,'1991-01-09 00:00:00',4,8,11,2008,'M','S','SAGUAÇÚ','JOINVILLE','SC','124242251215111421479931575122610167182',NULL,'491',38.82,1,3,NULL),(15,2091747,'1986-06-04 00:00:00',2,2,12,2003,'M','N','FIGUEIRA','GASPAR','SC','124242241215372431468619431214130238077',4601,'909',61.99,1,3,NULL),(15,2091755,'1989-01-21 00:00:00',4,1,11,2006,'M','N','JARDIM PAULISTA','ASSIS','SP','125252251217472431568714475125610167053',16829,'9999',42.12,4,3,NULL),(15,2091763,'1990-05-11 00:00:00',4,8,12,2007,'F','N','JARDIM ESPERANÇA','CANOINHAS','SC','124241241116161731435512575122610168197',NULL,'153',17.26,1,2,1),(15,2091771,'1990-04-20 00:00:00',4,1,11,2007,'F','N','LAGOA NOVA','NATAL','RN','119192191216371431279923372122610136192',60,'9998',82.66,1,3,NULL),(15,2091780,'1989-10-11 00:00:00',4,3,12,2006,'F','N','AGUA VERDE','CURITIBA','PR','116162161216371431478713572112143128077',18632,'9998',39.27,1,3,NULL),(15,2091798,'1989-07-07 00:00:00',4,1,11,2006,'F','N','AHÚU','CURITIBA','PR','116161161311371411336612274221610165027',11750,'9998',49.32,1,3,NULL),(15,2091810,'1983-09-26 00:00:00',4,1,5,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241326133441336624185122610126187',11682,'270',49.43,1,3,NULL),(15,2091828,'1983-09-29 00:00:00',2,1,12,2001,'F','N','GUARDA DO CUBATÃO','PALHOCA','SC','124241248126272431423344445124610144142',15560,'262',44.03,4,3,NULL),(15,2091836,'1989-08-31 00:00:00',4,1,12,2007,'F','N','CENTRO','BAURU','SP','125252251416471431449812575112610122092',15348,'9998',44.33,1,3,NULL),(15,2091844,'1990-09-21 00:00:00',2,1,12,2007,'M','N','LINHA DOS CHAVES','ANGELINA','SC','124241241114131231333431272224610117047',15627,'17',43.90,1,3,NULL),(15,2091852,'1990-06-25 00:00:00',2,8,12,2007,'F','N','BELA VISTA','RIO NEGRINHO','SC','124251241215131431436634475124610127187',18682,'666',39.19,1,3,NULL),(15,2091860,'1988-06-24 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215573431458914272124131437052',3893,'499',63.76,1,3,NULL),(15,2091879,'1984-01-03 00:00:00',4,4,12,2000,'F','N','CENTRO','CHAPECO','SC','124242241216473431479613285114333267012',10396,'185',51.35,1,3,NULL),(15,2091895,'1989-02-10 00:00:00',4,1,12,2006,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217472431466923372124231964142',7717,'270',55.83,1,3,NULL),(15,2091925,'1988-01-18 00:00:00',2,1,12,2005,'M','N','SÃO JOSÉ','FARROUPILHA','RS','120201201426471611441624372124140624012',NULL,'9998',NULL,1,3,NULL),(15,2091933,'1987-07-29 00:00:00',2,1,12,2005,'F','N','MORRO DA CRUZ','FLORIANOPOLIS','SC','124242241215575431588923571122610132091',5122,'270',60.88,1,3,NULL),(15,2091941,'1990-03-19 00:00:00',4,9,12,2007,'M','N','CENTRO','RIO DO SUL','SC','124242241215111551479912172125610164052',10815,'991',50.72,1,3,NULL),(15,2091968,'1990-03-02 00:00:00',2,1,12,2007,'M','N','ROÇADO','SAO JOSE','SC','124242241217131432443622275114610137117',19308,'724',38.15,4,3,NULL),(15,2091976,'1989-04-27 00:00:00',4,1,12,2006,'F','N','SÃO DIMAS','PIRACICABA','SP','125252251215471431558839475122610164142',NULL,'9998',0.00,1,3,NULL),(15,2091984,'1968-10-08 00:00:00',4,1,12,1986,'M','N','ESTREITO','FLORIANOPOLIS','SC','224242241217153452359672421232330212073',NULL,'262',0.00,1,3,NULL),(15,2091992,'1988-12-27 00:00:00',4,8,6,2007,'M','N','ACARAI','SAO FRANCISCO DO SUL','SC','124243241417162541458534415112610162092',14310,'1105',45.72,1,3,NULL),(15,2092000,'1987-05-21 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242281417573431358832572114610168147',2089,'262',69.00,1,3,NULL),(15,2092018,'1988-08-03 00:00:00',2,3,11,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','124241242215311421358923385111610167073',NULL,'403',19.87,1,3,NULL),(15,2092026,'1990-01-01 00:00:00',4,1,11,2007,'M','N','ROÇADO','SAO JOSE','SC','124243241215112431456612585122610164067',4294,'723',62.71,1,3,NULL),(15,2092034,'1990-06-01 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241215372531356914582124610114112',12848,'1022',47.79,1,3,NULL),(15,2092050,'1990-09-10 00:00:00',4,5,11,2007,'F','N','OPERÁRIA NOVA','CRICIUMA','SC','124242241215112411268933575122610161142',1664,'226',70.51,1,3,NULL),(15,2092069,'1988-02-19 00:00:00',2,1,12,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241241112373431326534244134610137187',17255,'281',41.47,4,2,1),(15,2092077,'1989-02-16 00:00:00',4,5,12,2006,'F','N','VILA IPIRANGA','PORTO ALEGRE','RS','120242241216472431557839371124610124097',960,'970',73.73,1,3,NULL),(15,2092085,'1989-07-02 00:00:00',2,7,12,2007,'F','N','CENTRO','VIDEIRA','SC','124241241215131451433624592225610126147',15522,'829',44.10,1,3,NULL),(15,2092115,'1991-03-11 00:00:00',2,3,12,2008,'F','S','CENTRO','RIO NEGRINHO','SC','124242241216111431348411345122610127142',NULL,'666',39.55,1,3,NULL),(15,2092123,'1990-01-18 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241214371431466612574122610167142',13899,'454',46.31,1,3,NULL),(15,2092131,'1990-03-22 00:00:00',4,1,12,2007,'F','N','CENTRO','RIO DO SUL','SC','124244241215111751439933375122610164181',14221,'959',45.84,1,3,NULL),(15,2092140,'1990-12-28 00:00:00',4,9,11,2007,'F','N','PENHA','LAGES','SC','124244241215111431333319372124610134042',5379,'497',60.31,1,3,NULL),(15,2092166,'1988-11-25 00:00:00',4,4,5,2007,'M','N','CENTRO','CHAPECO','SC','124242281216371442479613375114610168122',439,'9998',77.29,1,3,NULL),(15,2092174,'1988-09-13 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241116371111466614315114610161081',16738,'293',42.27,1,2,1),(15,2092182,'1958-09-29 00:00:00',4,1,7,1984,'M','N','CENTRO','VITORIA','ES','108081087126331711153343431224341014037',11274,'9999',50.05,2,2,1),(15,2092190,'1990-12-13 00:00:00',2,4,12,2007,'M','N','INTERIOR','MARAVILHA','SC','124241241114151731423636292214610164062',20417,'551',36.02,1,2,1),(15,2092204,'1989-12-06 00:00:00',2,1,12,2007,'F','N','CENTRO','SAO JOAO BATISTA','SC','124241241116271431446733342122610162097',16220,'712',43.02,1,3,NULL),(15,2092212,'1990-01-05 00:00:00',4,2,12,2007,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215111731448729575122610152087',1305,'87',72.05,1,3,NULL),(15,2092220,'1986-08-31 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241116373431426519292324610118072',NULL,'9997',26.98,1,3,NULL),(15,2092239,'1990-07-05 00:00:00',4,1,12,2007,'M','N','ARMAÇÃO','FLORIANOPOLIS','SC','124241243125151432426634242121233227052',22388,'291',30.46,1,3,NULL),(15,2092247,'1987-01-13 00:00:00',2,1,12,2004,'F','N','GUARUJÁ','PORTO ALEGRE','RS','120202201216572411346673332124610126012',NULL,'9998',0.00,4,3,NULL),(15,2092255,'1990-07-10 00:00:00',4,8,12,2007,'M','N','XAXIM','CURITIBA','PR','116162161217471431438624141114610117057',13770,'9998',46.51,4,3,NULL),(15,2092271,'1988-10-11 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215574431458822575122610113182',1267,'266',72.17,1,3,NULL),(15,2092280,'1989-08-04 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241215472441238724375115610163075',1902,'270',69.59,1,3,NULL),(15,2092298,'1990-02-24 00:00:00',4,1,12,2007,'M','N','CENTRO','PARANAVAI','PR','116161161417111411424823575121610162017',10606,'9998',51.01,1,3,NULL),(15,2092301,'1990-06-11 00:00:00',2,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124242241215372411336623245122610124092',20271,'1036',36.28,1,3,NULL),(15,2092310,'1991-07-12 00:00:00',2,1,12,2008,'F','S','BARREIROS','SAO JOSE','SC','124242248215111431556612392122610131197',NULL,'738',29.69,1,3,NULL),(15,2092328,'1989-03-13 00:00:00',4,2,12,2006,'M','N','CENTRO','ATALANTA','SC','124241241114372431334633572124610138197',5758,'39',59.55,1,2,1),(15,2092336,'1990-09-28 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241115131431415418571224610127147',9847,'288',52.19,1,2,1),(15,2092344,'1990-11-12 00:00:00',4,3,12,2007,'F','N','CENTRO','MAFRA','SC','124242241215111231458832574122610134097',7285,'541',56.63,1,3,NULL),(15,2092352,'1990-03-17 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241235111431448821372124610117055',10404,'270',51.34,1,3,NULL),(15,2092360,'1989-01-17 00:00:00',4,1,12,2006,'M','N','ITAICI','INDAIATUBA','SP','125252251216451411389812595122610124153',3930,'9998',63.65,1,3,NULL),(15,2092379,'1988-12-20 00:00:00',2,10,12,2005,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124243241111132431539714345234610121147',17275,'359',41.45,1,3,NULL),(15,2092387,'1989-09-16 00:00:00',4,1,12,2007,'M','N','CENTRO','PONTA PORA','MS','112122121216371731445615175115610124037',NULL,'9998',0.00,1,3,NULL),(15,2092395,'1989-02-10 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215373431347613571114610134147',NULL,'1022',22.43,1,3,NULL),(15,2092409,'1988-03-09 00:00:00',2,1,12,2005,'M','N','IPIRANGA','SAO JOSE','SC','124242241126152431233319115124610167147',17349,'307',41.31,1,3,NULL),(15,2092417,'1990-04-25 00:00:00',4,3,12,2007,'M','N','MORRETES','ITAPEMA','SC','124243241116271431116649395124610122172',16724,'405',42.29,1,3,NULL),(15,2092425,'1990-06-06 00:00:00',2,1,2,2008,'F','N','ROÇADO','SAO JOSE','SC','124244241115141521468832245324610161052',18604,'306',39.31,1,3,NULL),(15,2092441,'1989-11-07 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431289813572124610124095',NULL,'1022',40.05,1,3,NULL),(15,2092450,'1989-06-01 00:00:00',2,1,12,2006,'F','N','FAZENDA SANTO ANTONI','SAO JOSE','SC','124243241332251351344311285114131322077',NULL,'728',0.00,1,3,NULL),(15,2092468,'1987-03-17 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','120204247447443431326462382124610124115',15392,'9999',44.27,4,1,2),(15,2092476,'1990-09-19 00:00:00',4,8,11,2007,'F','N','AMERICA','JOINVILLE','SC','124242241217371431469951575122610161182',2448,'457',67.78,1,3,NULL),(15,2092484,'1989-12-01 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431458822575122610117182',5057,'266',60.98,1,3,NULL),(15,2092492,'1990-05-31 00:00:00',4,4,12,2007,'F','N','CENTRO','IPUACU','SC','124241241145131431526614282324610136147',NULL,'372',23.81,1,2,1),(15,2092506,'1991-03-14 00:00:00',2,8,12,2007,'F','N','VILA ROSA','NOVO HAMBURGO','RS','120203201217131431326828572125610144147',11634,'9998',49.50,1,3,NULL),(15,2092514,'1989-12-23 00:00:00',4,8,12,2007,'M','N','GLÓRIA','JOINVILLE','SC','124243241137371431546512145334610137042',16872,'475',42.04,1,3,NULL),(15,2092549,'1989-09-09 00:00:00',1,1,12,2007,'F','N','FAZENDA','ITAJAI','SC','124244241215111411225863575124610128187',11194,'9997',50.17,1,3,NULL),(15,2092557,'1990-11-27 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241236371431567812122122610143012',10234,'422',51.58,4,3,NULL),(15,2092565,'1989-04-04 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241215131411333634375124610124017',14303,'525',45.73,1,3,NULL),(15,2092581,'1989-03-24 00:00:00',4,1,12,2006,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241241315372731459929596112610163117',NULL,'272',0.00,1,3,NULL),(15,2092590,'1988-09-28 00:00:00',4,1,11,2005,'F','N','ZONA','MARINGA','PR','116162161216571431488814572122142465117',10193,'9998',51.64,3,3,NULL),(15,2092603,'1983-08-11 00:00:00',4,1,12,2002,'M','N','CAJURÚ','CURITIBA','PR','116281286137131731446411592224241768012',NULL,'9998',0.00,2,1,1),(15,2092611,'1989-11-20 00:00:00',4,8,12,2006,'M','N','GLÓRIA','JOINVILLE','SC','124242241225471431446632595121610137052',12093,'459',48.87,1,3,NULL),(15,2092638,'1987-08-24 00:00:00',4,1,12,2004,'F','N','CENTRO','RIBEIRAO PRETO','SP','125124121215571751469933572122610164172',4279,'9998',62.74,1,3,NULL),(15,2092654,'1990-05-07 00:00:00',4,4,12,2007,'M','N','CENTRO','SANTA MARIA','RS','120202201216111731239823375115610144042',2215,'9998',68.54,1,3,NULL),(15,2092662,'1989-05-11 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241315372431336823342114610131147',11702,'1098',49.39,2,1,2),(15,2092670,'1990-11-12 00:00:00',4,1,11,2008,'F','S','ESTREITO','FLORIANOPOLIS','SC','124242248215111431436532575122610127182',NULL,'1022',23.29,1,3,NULL),(15,2092689,'1990-08-23 00:00:00',4,3,11,2008,'M','S','VILA MARIANA','SAO PAULO','SP','125252251217121441478812572125610164122',NULL,'9998',40.50,1,3,NULL),(15,2092697,'1986-04-05 00:00:00',2,10,12,2004,'F','N','MAR GROSSO','LAGUNA','SC','124241241445572232333624382124133224097',12299,'524',48.57,1,3,NULL),(15,2092719,'1988-05-10 00:00:00',4,1,11,2005,'M','N','BELA VISTA','OSASCO','SP','125251251211571531366853573121610137117',5972,'9998',59.13,1,3,NULL),(15,2092727,'1990-12-21 00:00:00',4,5,12,2007,'F','N','MINA BRASIL','CRICIUMA','SC','124242241215371431467732572112610167052',11994,'226',48.99,1,3,NULL),(15,2092735,'1973-11-01 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANOPOLIS','SC','124241247111271511413679192344610155187',NULL,'9999',17.27,1,2,1),(15,2092743,'1989-09-01 00:00:00',4,10,11,2006,'M','N','CENTRO','TUBARAO','SC','124242241215472431466814475121610131091',126,'806',81.02,1,3,NULL),(15,2092751,'1990-03-16 00:00:00',4,1,11,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124242241215112431646928245114610167077',15886,'270',43.55,1,3,NULL),(15,2092760,'1980-03-29 00:00:00',2,1,12,1999,'M','N','PRADO','BELO HORIZONTE','MG','113134131416571451368813575322143232097',NULL,'9998',0.00,1,3,NULL),(15,2092778,'1986-07-22 00:00:00',2,1,12,2003,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124244241317575731458613595124233264057',151,'1036',80.65,1,3,NULL),(15,2092786,'1990-06-01 00:00:00',4,8,12,2007,'F','N','SAO VICENTE','PENAPOLIS','SP','125252258215112251448819597122613214042',NULL,'100',0.00,1,3,NULL),(15,2092794,'1989-08-10 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124244248215474711346633592114610114077',20729,'738',35.44,1,3,NULL),(15,2092808,'1988-04-26 00:00:00',4,1,12,2005,'M','N','VILA COSTA DO SOL','SAO CARLOS','SP','125252251217571431468934575122610167047',3389,'9998',65.03,1,3,NULL),(15,2092816,'1988-12-30 00:00:00',2,4,12,2006,'M','N','CENTRO','SEARA','SC','124241242535131431326634582324230337182',22252,'836',31.28,1,3,NULL),(15,2092824,'1990-06-13 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215112441479911422125610124042',4811,'270',61.50,1,3,NULL),(15,2092832,'1990-09-24 00:00:00',4,8,12,2007,'F','N','EUROVILLE','BRAGANCA PAULISTA','SP','125252251117111711479913475122610144193',NULL,'9998',0.00,1,3,NULL),(15,2092840,'1990-01-15 00:00:00',2,1,12,2007,'M','N','ARMACAO PANTANO SUL','FLORIANOPOLIS','SC','124244241215111431355627275112610167112',9086,'1022',53.49,1,3,NULL),(15,2092859,'1989-06-30 00:00:00',2,1,12,2007,'F','N','BELA VISTA','SAO JOSE','SC','124243241642131731445369345334610116117',NULL,'726',27.57,1,3,NULL),(15,2092867,'1986-08-27 00:00:00',4,1,12,2003,'F','N','CAMINHO NOVO','PALHOCA','SC','124241241116134431353619491224233227027',13918,'591',46.29,1,2,1),(15,2092875,'1990-08-18 00:00:00',4,1,11,2007,'M','N','CENTRO','GUARACIABA','SC','124242241215121511448831285124610167043',15835,'270',43.62,1,3,NULL),(15,2092883,'1988-05-28 00:00:00',4,1,11,2006,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241115372741477519472124610112057',5126,'306',60.86,1,3,NULL),(15,2092905,'1981-09-12 00:00:00',2,1,6,2002,'F','N','AREAL','PELOTAS','RS','120201206146152411649511385124140434027',6857,'9998',57.44,1,2,1),(15,2092913,'1990-11-08 00:00:00',2,8,12,2007,'M','N','CENTRO','MUNDO NOVO','MS','112122161216151431456612375112610167053',NULL,'9998',22.64,1,3,NULL),(15,2092921,'1990-10-22 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241137372431433434345124610167077',18161,'307',40.04,1,2,1),(15,2092948,'1989-03-03 00:00:00',4,1,11,2007,'F','N','ILHOTAS','TERESINA','PI','118182181217111411589911174112610167122',1674,'9998',70.48,4,3,NULL),(15,2092964,'1989-05-22 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241216121731357612375112610132187',NULL,'1036',30.51,1,3,NULL),(15,2092972,'1989-09-28 00:00:00',4,1,12,2006,'F','N','JD SÃO BENTO','CAMPINAS','SP','125251253217371431235524285124610122147',18198,'9998',39.97,1,3,NULL),(15,2092980,'1990-06-20 00:00:00',4,2,12,2007,'F','N','ARMAÇÃO','PENHA','SC','124242241435371432334631584222610126092',17247,'609',41.49,1,3,NULL),(15,2092999,'1991-02-19 00:00:00',2,1,12,2007,'F','N','CAMPO DUNA','GAROPABA','SC','124241241136131431433311572222610123097',16450,'322',42.66,1,2,1),(15,2093006,'1988-08-17 00:00:00',4,1,12,2005,'F','N','CENTRO','BALSAMO','SP','125252251215573731478831571122610166182',3905,'9998',63.72,1,3,NULL),(15,2093014,'1991-02-14 00:00:00',4,1,1,2008,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215111431489611574122610125112',14264,'109',45.77,1,3,NULL),(15,2093022,'1986-08-15 00:00:00',2,1,12,2004,'F','N','BELA VISTA II','SAO JOSE','SC','124241241137272711223419395124610146197',10857,'733',50.67,1,2,1),(15,2093030,'1976-10-19 00:00:00',2,1,12,1994,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241147132411441243331124130212097',21294,'840',34.22,1,2,1),(15,2093049,'1988-09-03 00:00:00',4,1,12,2006,'F','N','JURERE','FLORIANOPOLIS','SC','124242241211273431489931512112121461093',3633,'262',64.39,1,3,NULL),(15,2093065,'1988-05-10 00:00:00',4,1,12,2005,'M','N','MAILASQUE','SAO ROQUE','SP','125251251315574431434412572124610131072',8843,'9998',53.94,1,3,NULL),(15,2093090,'1991-09-09 00:00:00',4,4,12,2008,'F','S','SANTA MARIA','CHAPECO','SC','124242241215151431368612572122610168147',NULL,'185',57.88,1,3,NULL),(15,2093103,'1990-04-21 00:00:00',4,1,12,2007,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124244241217371742568611345125610167042',15543,'1075',44.06,1,3,NULL),(15,2093111,'1984-10-21 00:00:00',2,1,11,2005,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241247147373411124444445334610123117',17735,'9997',40.75,1,3,NULL),(15,2093120,'1990-12-13 00:00:00',4,1,11,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215372431478833375114610167112',6671,'270',57.78,1,3,NULL),(15,2093138,'1988-04-26 00:00:00',4,2,11,2005,'M','N','CENTRO','CASSIA','MG','113132131216311431568814371322610162092',1840,'9998',69.80,1,3,NULL),(15,2093146,'1988-03-15 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124283241215573741468831312124131464097',120,'1048',81.10,1,3,NULL),(15,2093154,'1986-10-06 00:00:00',2,1,12,2004,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241436573731587619445122133248187',7470,'1022',56.29,4,3,NULL),(15,2093162,'1990-09-06 00:00:00',4,9,12,2007,'F','N','CENTRO','POUSO REDONDO','SC','124243241415371431459732245124610122192',8454,'653',54.59,1,3,NULL),(15,2093200,'1989-08-29 00:00:00',4,1,12,2006,'M','N','ESPLANADA DOIS','SAO JOSE DOS CAMPOS','SP','125252251215472431448831574112610164052',1186,'9998',72.54,1,3,NULL),(15,2093243,'1990-01-28 00:00:00',4,10,11,2007,'M','N','CENTRO','GRAVATAL','SC','124242241217151411487632245112610134172',8263,'950',54.91,1,3,NULL),(15,2093251,'1989-09-16 00:00:00',2,1,11,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241237142431369832584122610144145',19775,'262',37.29,1,3,NULL),(15,2093260,'1990-01-25 00:00:00',2,4,12,2007,'F','N','PRESIDENTE MÉDICI','CHAPECO','SC','124243241215131731368712592122610133097',9600,'1046',52.59,1,3,NULL),(15,2093278,'1988-12-31 00:00:00',2,1,6,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241415372431348779592114610168147',17426,'592',41.19,1,3,NULL),(15,2093286,'1989-06-30 00:00:00',2,9,12,2006,'M','N','BEATRIZ','LAGES','SC','124112241211372411259913572224231412072',5558,'270',59.96,1,3,NULL),(15,2093294,'1986-04-03 00:00:00',4,1,7,2006,'M','N','DAMHA I','PRESIDENTE PRUDENTE','SP','116251257117271711453619394324143267067',21498,'9999',33.73,1,2,1),(15,2093308,'1988-08-15 00:00:00',2,1,11,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124162161117472431346613472124610136092',4881,'9998',61.35,1,3,NULL),(15,2093324,'1989-12-05 00:00:00',4,3,7,2007,'M','N','ZONA CINCO','MARINGA','PR','116164167447371411448715585112610144042',NULL,'9999',0.00,1,3,NULL),(15,2093332,'1987-12-06 00:00:00',4,1,12,2004,'M','N','JARDIM CALIFÓRNIA','CUIABA','MT','111112111216573431676912572122610162052',1159,'9998',72.74,1,3,NULL),(15,2093340,'1989-02-20 00:00:00',4,1,12,2007,'M','N','CACUPÉ','FLORIANOPOLIS','SC','124243241217371431448612575112610161117',12613,'829',48.12,1,3,NULL),(15,2093359,'1967-09-06 00:00:00',2,1,6,2000,'M','N','CAMPECHE','FLORIANOPOLIS','SC','224241241326141432433343231334610146143',11435,'307',49.79,1,3,NULL),(15,2093367,'1990-11-25 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215121431566611295112610126187',5454,'270',60.16,1,3,NULL),(15,2093375,'1987-12-12 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124252251216571231347632375123241122052',6945,'9998',57.26,1,3,NULL),(15,2093391,'1990-10-11 00:00:00',4,2,11,2007,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124242247215271451669921575124610144092',7064,'88',57.03,1,3,NULL),(15,2093405,'1990-06-07 00:00:00',4,1,11,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215111411348921571121610167182',12110,'1022',48.85,1,3,NULL),(15,2093413,'1990-03-17 00:00:00',4,1,12,2007,'M','N','CENTRO','FRUTAL','MG','113132131216111431458931575121610137047',18690,'9998',39.18,1,3,NULL),(15,2093421,'1989-11-18 00:00:00',4,1,11,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124243241117151731476619592124610127057',6624,'271',57.85,1,3,NULL),(15,2093430,'1989-10-26 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124203241415372431558813572114242633197',5889,'226',59.27,1,3,NULL),(15,2093448,'1989-08-06 00:00:00',2,1,12,2006,'F','N','CENTRO','NOVA PRATA','RS','120201201117471431443611572124240424147',19114,'9998',38.50,1,2,1),(15,2093456,'1989-06-16 00:00:00',4,1,12,2006,'M','N','CAMPOS ELIZEOS','CAMPINAS','SP','125252251216471411467812371124610164182',7103,'9998',56.97,1,3,NULL),(15,2093472,'1990-08-07 00:00:00',2,3,12,2007,'F','N','JARDIM FERRARI III','ITAPEVA','SP','125252251216111431558833572122610142092',18435,'9998',39.59,1,3,NULL),(15,2093480,'1990-03-12 00:00:00',2,1,12,2007,'F','N','VILA ESPERANÇA','MARINGA','PR','116162161216111431348923575124610144092',11739,'9998',49.34,1,3,NULL),(15,2093499,'1990-05-23 00:00:00',4,1,11,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215111411466411572114610121051',10410,'270',51.33,1,3,NULL),(15,2093502,'1990-02-01 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124244241215111431426734272124610128147',16925,'259',41.97,1,3,NULL),(15,2093510,'1989-05-10 00:00:00',2,10,12,2006,'F','N','CENTRO','CAPIVARI DE BAIXO','SC','124241241115131411541319495224233245147',21645,'1034',33.39,1,2,1),(15,2093529,'1987-11-03 00:00:00',4,1,12,2005,'F','N','RIBEIRAO DO LIPA','CUIABA','MT','111112111217571431578931574112610133192',NULL,'9998',0.00,1,3,NULL),(15,2093537,'1990-08-16 00:00:00',4,9,12,2007,'M','N','LOURDES','VIDEIRA','SC','124241241127151431556655572212610162142',16227,'831',43.01,1,2,1),(15,2093545,'1985-08-10 00:00:00',2,1,12,2004,'M','N','PORTO DA LAGOA','FLORIANOPOLIS','SC','124243241127574231539611245114610168177',16393,'285',42.77,1,3,NULL),(15,2093553,'1990-08-12 00:00:00',4,1,12,2007,'F','N','CENTRO','PARIQUERA ACU','SP','125252251217121431558616465121610125097',13082,'9998',47.47,1,3,NULL),(15,2093561,'1991-01-30 00:00:00',2,4,12,2008,'F','S','CENTRO','XANXERE','SC','124242241215151451588831375122610163091',NULL,'836',40.11,1,3,NULL),(15,2093570,'1987-08-13 00:00:00',4,1,12,2004,'M','N','CENTRO','RIBEIRAO PRETO','SP','125122121216572221556766572121610162052',5044,'9998',61.00,4,3,NULL),(15,2093588,'1990-09-17 00:00:00',2,5,11,2007,'F','N','RIO MAINA','CRICIUMA','SC','124242241215142731479812292114610124187',9045,'226',53.57,1,3,NULL),(15,2093596,'1989-03-08 00:00:00',2,8,11,2006,'F','N','CENTRO','JUNDIAI','SP','125254251216471411476832525122610166087',NULL,'9998',0.00,1,3,NULL),(15,2093600,'1991-02-03 00:00:00',4,8,12,2007,'F','N','AMERICA','JOINVILLE','SC','124242241215121451478813575112610162147',18955,'491',38.74,1,3,NULL),(15,2093618,'1988-09-28 00:00:00',4,1,12,2005,'M','N','JD VERÔNICA','MARINGA','PR','116162161215571711467711472112610164067',NULL,'9998',0.00,3,3,NULL),(15,2093626,'1990-11-29 00:00:00',2,1,12,2007,'F','N','PICADAS DO SUL','SAO JOSE','SC','124244241417111431447511572324610137052',17614,'1074',40.91,1,3,NULL),(15,2093634,'1989-08-11 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241117371431535334295134610116147',15548,'307',44.06,1,2,1),(15,2093642,'1989-10-17 00:00:00',4,5,11,2007,'M','N','CENTRO','ARARANGUA','SC','124242241215272431467614472122610168112',4920,'32',61.25,1,3,NULL),(15,2093650,'1988-04-22 00:00:00',2,1,12,2005,'M','N','CENTRO','TIJUCAS','SC','124241241115132711136729472345610164047',15163,'783',44.58,1,3,NULL),(15,2093669,'1981-01-18 00:00:00',2,1,12,1999,'M','N','KOBRASOL','SAO JOSE','SC','124241241132245421223339441114232737057',NULL,'732',35.40,2,1,1),(15,2093677,'1992-02-14 00:00:00',4,5,11,2008,'F','S','JARDIM DAS AVENIDAS','ARARANGUA','SC','124241244235111431223624371225610128052',NULL,'27',23.40,1,3,NULL),(15,2093685,'1990-10-19 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241215121431439834372124610127057',4875,'270',61.37,1,3,NULL),(15,2093693,'1989-09-22 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241217472431456712175114610116177',7825,'855',55.64,1,3,NULL),(15,2093707,'1989-02-14 00:00:00',4,1,12,2005,'F','N','CENTRO','CURITIBA','PR','116162161216471431579811571115610168122',NULL,'9998',0.00,1,3,NULL),(15,2093715,'1989-06-22 00:00:00',4,8,12,2006,'F','N','JARDIM PACAEMBU','JUNDIAI','SP','125252251215411411553811574113610112087',14344,'9998',45.66,1,3,NULL),(15,2093723,'1984-09-16 00:00:00',2,1,7,2003,'F','N','TAPÉRA','FLORIANOPOLIS','SC','124241247326373431446314245124610166182',20389,'307',36.08,1,3,NULL),(15,2093731,'1988-09-23 00:00:00',2,1,12,2005,'F','N','TRISTEZA','PORTO ALEGRE','RS','120202201217371431245821373321610123027',8068,'9998',55.24,1,3,NULL),(15,2093740,'1990-08-30 00:00:00',2,10,11,2007,'F','N','CENTRO','ARMAZEM','SC','124241241215111431346613175124610128142',8009,'807',55.36,1,3,NULL),(15,2093758,'1987-10-24 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124072071215272451538623475122221437052',4561,'9998',62.12,1,3,NULL),(15,2093766,'1990-05-31 00:00:00',4,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241216111411346614572124610143072',10290,'1038',51.50,1,3,NULL),(15,2093782,'1988-08-03 00:00:00',4,1,12,2006,'F','N','SAN CONRADO','CAMPINAS','SP','125252251214472411479814571112142332092',1726,'9998',70.29,1,3,NULL),(15,2093790,'1988-04-02 00:00:00',4,1,6,2006,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124244247312131431566713242134130221045',16678,'270',42.35,1,3,NULL),(15,2093804,'1989-11-08 00:00:00',4,1,12,2007,'F','N','JOAQUIM FRANCISCO DE','JARAGUA DO SUL','SC','124242241215371431534831314122610121192',14318,'422',45.70,1,3,NULL),(15,2093812,'1991-04-01 00:00:00',4,2,11,2007,'F','N','VELHA','BLUMENAU','SC','124241241215111441436714575124610162177',76,'855',82.23,1,3,NULL),(15,2093820,'1989-07-18 00:00:00',4,1,11,2006,'F','N','PARK WAY','NUCLEO BANDEIRANTE','DF','107072071215471431589933575122610143182',3315,'9998',65.23,4,3,NULL),(15,2093839,'1986-10-26 00:00:00',5,4,12,2005,'F','N','CENTRO','PATO BRANCO','PR','116161161136171431426435311334613257052',NULL,'9998',20.45,1,3,NULL),(15,2093855,'1983-07-16 00:00:00',4,1,12,2001,'M','N','NOVO ITACOLOMY','MOGI GUACU','SP','125251251126573411433731132234610137047',NULL,'9998',0.00,1,2,1),(15,2093863,'1988-02-12 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215473431578833595122131068097',5255,'270',60.60,1,3,NULL),(15,2093898,'1991-07-27 00:00:00',4,1,11,2008,'F','S','ESTREITO','FLORIANOPOLIS','SC','124242241215111431477712272122610123142',NULL,'262',31.89,1,3,NULL),(15,2093910,'1990-02-24 00:00:00',2,3,11,2007,'F','N','MUNICÍPIOS','BALNEARIO CAMBORIU','SC','124241241415272431432331272112610164077',NULL,'44',0.00,1,3,NULL),(15,2093928,'1986-08-16 00:00:00',2,5,12,2003,'M','N','MICHEL','CRICIUMA','SC','124243246411314431467634381114231427042',4410,'995',62.46,1,3,NULL),(15,2093952,'1987-08-13 00:00:00',4,1,12,2005,'F','N','PARQUE SÃO JORGE','FLORIANOPOLIS','SC','124242241215374431568713442124610121142',7559,'883',56.10,1,3,NULL),(15,2093960,'1990-03-02 00:00:00',4,1,12,2007,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124243241115372411469823575122610161087',4025,'271',63.39,1,3,NULL),(15,2093979,'1991-05-22 00:00:00',4,8,11,2007,'M','N','ATIRADORES','JOINVILLE','SC','124141241217161411246512275121610167057',11921,'459',49.07,4,3,NULL),(15,2093995,'1987-11-10 00:00:00',2,8,12,2004,'F','N','AGUA VERDE','CURITIBA','PR','120164161415112431426814475115613212041',9712,'9998',52.40,4,3,NULL),(15,2094029,'1990-03-02 00:00:00',4,1,12,2007,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','124243241116372411469823575122610148197',533,'271',76.54,1,3,NULL),(15,2094037,'1990-03-23 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111411466634275112610136117',3978,'9997',63.52,1,3,NULL),(15,2094061,'1989-12-26 00:00:00',2,4,11,2007,'F','N','LUTHER KING','FRANCISCO BELTRAO','PR','116161161115131411423315282325610126173',5894,'9998',59.26,1,2,1),(15,2094070,'1989-04-11 00:00:00',4,9,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215312431458829595125233227142',7043,'497',57.08,1,3,NULL),(15,2094096,'1987-01-14 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217574411439933591114610135151',2075,'270',69.04,1,3,NULL),(15,2094126,'1989-07-20 00:00:00',2,1,12,2006,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241117132432543823572124610136097',12584,'307',48.16,1,2,1),(15,2094134,'1986-12-12 00:00:00',4,8,12,2004,'F','N','ALTO DA GLÓRIA','LOANDA','PR','116162161216522431458913572122610167077',13376,'9998',47.08,1,3,NULL),(15,2094142,'1989-06-29 00:00:00',4,1,12,2006,'M','N','CENTRO','CAMPO MOURAO','PR','116162161217271431488832575112141467122',641,'9998',75.77,1,3,NULL),(15,2094150,'1977-03-15 00:00:00',4,1,12,2000,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241127131731336331292344610136145',16501,'286',42.59,1,3,NULL),(15,2094169,'1989-11-27 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215211431455931115122610123152',NULL,'226',25.24,4,3,NULL),(15,2094177,'1988-08-29 00:00:00',2,1,12,2005,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241241135373711448634181224610147181',7326,'307',56.56,1,2,1),(15,2094185,'1990-05-04 00:00:00',4,2,12,2007,'M','N','BOSQUE DOS EUCALIPTO','SAO JOSE DOS CAMPOS','SP','125252251216371431559614375124610162192',8663,'9998',54.24,1,3,NULL),(15,2094193,'1982-10-29 00:00:00',2,2,12,2001,'M','N','CENTRO','PINHALZINHO','SC','124241241111111411536812291314610117047',12561,'616',48.20,1,2,1),(15,2094215,'1986-08-07 00:00:00',2,1,12,2004,'M','N','CENTRO','SANTO ANGELO','RS','120202201216151441228846572124240324187',NULL,'9998',0.00,1,3,NULL),(15,2094223,'1985-09-22 00:00:00',4,6,7,2002,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124244248312131431447729472124132068182',20035,'49',36.75,1,3,NULL),(15,2094231,'1987-02-15 00:00:00',4,1,11,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241216473431648862495123221424192',6618,'807',57.87,1,3,NULL),(15,2094240,'1989-01-30 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241215212721248923491114610127147',7290,'272',56.62,1,3,NULL),(15,2094258,'1987-12-02 00:00:00',4,2,5,2006,'M','N','VELHA','BLUMENAU','SC','124241247425471431333319315124610162057',20671,'9999',35.55,1,3,NULL),(15,2094266,'1990-07-16 00:00:00',4,1,11,2007,'F','N','CENTRO','CAXIAS DO SUL','RS','120206201116371731438821591124610138142',13201,'9998',47.32,1,3,NULL),(15,2094274,'1990-04-16 00:00:00',4,1,11,2007,'M','N','JULIA KUBTSCHEK','CORONEL FABRICIANO','MG','113134131216121451466312275125610128192',12878,'9998',47.75,1,3,NULL),(15,2094282,'1990-06-09 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124244247335331211326921393324610131187',21770,'270',33.04,1,3,NULL),(15,2094290,'1988-04-17 00:00:00',2,1,12,2006,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241126151631668511272124610127111',NULL,'274',22.05,4,3,NULL),(15,2094304,'1991-05-07 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241235111731367723575124610163017',12255,'1022',48.64,1,3,NULL),(15,2094312,'1990-08-11 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431449933572122610128052',10545,'259',51.11,1,3,NULL),(15,2094339,'1989-06-27 00:00:00',2,1,12,2006,'F','N','BRACATINGA','TROMBUDO CENTRAL','SC','124242241215372331336432242123610164142',5432,'654',60.21,1,3,NULL),(15,2094347,'1987-10-01 00:00:00',2,1,11,2004,'M','N','INGLESES','FLORIANOPOLIS','SC','124204201417271411356931386314610137117',13930,'9998',46.26,1,3,NULL),(15,2094363,'1989-04-24 00:00:00',4,2,12,2006,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124243241117132441536613182121230615097',6581,'83',57.93,1,3,NULL),(15,2094371,'1986-12-27 00:00:00',4,1,12,2005,'F','N','JD PETROPOLIS','SAO PAULO','SP','125252251217371431368731172112610163142',6205,'9998',58.63,1,3,NULL),(15,2094380,'1988-06-20 00:00:00',4,5,11,2005,'F','N','CENTRO','CRICIUMA','SC','124242241215474431475812575122130432072',7896,'226',55.52,1,3,NULL),(15,2094398,'1990-09-10 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241215113431526419292124610168145',20585,'1048',35.71,1,3,NULL),(15,2094401,'1980-08-23 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANOPOLIS','SC','124242248212513411239964485122133128187',NULL,'269',22.86,1,3,NULL),(15,2094410,'1987-02-02 00:00:00',2,8,12,2004,'F','N','CENTRO','ENEAS MARQUES','PR','116162161216573732376619294125610162182',NULL,'9998',0.00,1,3,NULL),(15,2094428,'1989-03-04 00:00:00',4,1,12,2006,'F','N','ESPLANADA II','SAO JOSE DOS CAMPOS','SP','125251251145471711523311245121610124097',NULL,'9998',0.00,1,2,1),(15,2094452,'1990-02-13 00:00:00',2,1,12,2007,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241215111431446619172124610147152',10672,'1118',50.91,1,3,NULL),(15,2094460,'1988-12-29 00:00:00',4,1,11,2006,'M','N','DAMHA I','SAO JOSE DO RIO PRETO','SP','125252258215471431647712325122610148187',13956,'9998',46.22,4,3,NULL),(15,2094479,'1988-04-14 00:00:00',4,8,12,2005,'F','N','VILA ALZIRA','SANTO ANDRE','SP','125252253217571431554512573122610122072',11430,'9998',49.80,1,3,NULL),(15,2094487,'1988-10-25 00:00:00',4,3,11,2006,'M','N','CIDADE JARDIM','CAMPINAS','SP','125131131211471431449833571124610167052',4868,'9998',61.38,1,3,NULL),(15,2094495,'1985-10-02 00:00:00',4,1,12,2003,'F','N','CENTRO','ARARAS','SP','125253251117571431433824475125140262097',14018,'9998',46.14,1,3,NULL),(15,2094509,'1989-09-01 00:00:00',4,6,12,2006,'F','N','CENTRO','NAVEGANTES','SC','124241248111211732435619372121610127097',NULL,'834',0.00,3,3,NULL),(15,2094517,'1990-02-08 00:00:00',4,1,12,2007,'M','N','ZONA CINCO','MARINGA','PR','116252161217111211689911475122610117117',17949,'9998',40.41,4,3,NULL),(15,2094525,'1989-03-09 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431569611592114610168092',4275,'270',62.75,1,3,NULL),(15,2094533,'1988-12-28 00:00:00',2,1,12,2006,'F','N','JARDIM DAS INDUSTRIA','SAO JOSE DOS CAMPOS','SP','125251251215411431554614372224610434117',NULL,'9998',26.27,1,3,NULL),(15,2094541,'1990-04-30 00:00:00',4,1,12,2007,'F','N','CENTRO','SAO MIGUEL ARCANJO','SP','125251251217171431448632571122610124142',6402,'9998',58.25,1,3,NULL),(15,2094550,'1984-12-06 00:00:00',2,1,11,2001,'F','N','BELA VISTA','SAO JOSE','SC','224161161136141431223354182313610121047',17085,'9998',41.75,1,2,1),(15,2094568,'1990-06-19 00:00:00',2,1,12,2007,'F','N','JARDIM ELDORADO','PALHOCA','SC','124241241116131711537819395124610147057',NULL,'733',27.66,1,2,1),(15,2094576,'1990-07-20 00:00:00',4,1,12,2007,'F','N','ACLIMAÇÃO','SAO PAULO','SP','125252251217111431339927372125610165092',11612,'9998',49.53,1,3,NULL),(15,2094584,'1990-07-04 00:00:00',3,1,11,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241417151431469913194114610112025',255,'951',79.24,1,3,NULL),(15,2094592,'1989-11-27 00:00:00',4,1,12,2007,'M','N','CENTRO','RIBEIRAO PRETO','SP','125254251215121411579733575111610167092',6858,'9998',57.44,1,3,NULL),(15,2094622,'1989-05-13 00:00:00',4,1,12,2006,'F','N','GIOCONDO ORSI','CAMPO GRANDE','MS','112122121214471431458711594122610163097',5178,'9998',60.75,1,3,NULL),(15,2094649,'1985-08-10 00:00:00',2,1,12,2003,'M','N','CENTRO','MORRO REUTER','RS','120201201126272221333334242342610127047',15060,'9998',44.72,1,3,NULL),(15,2094665,'1989-05-03 00:00:00',4,1,12,2006,'F','N','VILA OPERARIA','ITAJAI','SC','124242241215472431458814292225610124012',5513,'1057',60.03,1,3,NULL),(15,2094673,'1990-01-14 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241417272411646611192124610128091',7652,'1118',55.94,1,3,NULL),(15,2094681,'1989-02-28 00:00:00',4,1,12,2006,'F','N','JARDIM EMBAIXADOR','MOGI MIRIM','SP','125252251215372431668811575122610137092',10225,'9998',51.59,1,3,NULL),(15,2094703,'1990-05-19 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215121431387921591122610162092',4770,'270',61.59,1,3,NULL),(15,2094711,'1991-12-30 00:00:00',4,2,11,2008,'F','S','ASILO','BLUMENAU','SC','124242241217151731478933472122610147142',NULL,'909',59.66,1,3,NULL),(15,2094738,'1989-03-02 00:00:00',4,1,12,2006,'M','N','JD PROENÇA','CAMPINAS','SP','125252251215471431438811375124610164097',6830,'9998',57.49,1,3,NULL),(15,2094746,'1989-04-04 00:00:00',2,10,11,2006,'F','N','VILA MOEMA','TUBARAO','SC','124242241215124431438831592122232638122',7940,'807',55.45,1,3,NULL),(15,2094754,'1990-08-06 00:00:00',2,5,11,2007,'M','N','CENTRO','TURVO','SC','124242241215111431439613575121610127142',15042,'813',44.74,1,3,NULL),(15,2094762,'1986-11-22 00:00:00',4,4,12,2004,'F','N','CENTRO','ABELARDO LUZ','SC','124244241216372431239823575124610127147',NULL,'872',0.00,1,3,NULL),(15,2094770,'1990-03-01 00:00:00',2,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241415121431574313575122610127057',16025,'738',43.35,1,3,NULL),(15,2094789,'1989-09-28 00:00:00',4,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116163161314471411559731114325610123012',NULL,'9998',0.00,1,3,NULL),(15,2094797,'1991-04-04 00:00:00',2,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116163161417471431668831571322610166142',NULL,'9998',0.00,1,3,NULL),(15,2094800,'1990-01-12 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116164161215111431468611574122610166182',16994,'9998',41.88,1,3,NULL),(15,2094819,'1989-08-12 00:00:00',4,1,10,2007,'M','N','BOSQUE DAS MASÕES','SAO JOSE','SC','124243241215271431456623574114610137042',4319,'270',62.67,1,3,NULL),(15,2094835,'1990-07-14 00:00:00',2,5,10,2007,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124243248215111431556939575122610138052',6246,'226',58.56,1,3,NULL),(15,2094843,'1990-11-11 00:00:00',4,1,12,2007,'F','N','SÃO JOSÉ','SAO JOSE','SC','124242241216121411333519295124610145057',14660,'269',45.20,1,3,NULL),(15,2094851,'1984-02-07 00:00:00',2,1,12,2001,'M','N','FLOR DE NAPOLIS','SAO JOSE','SC','124241241527132431129844341224610117047',17419,'111',41.20,2,1,2),(15,2094860,'1990-02-25 00:00:00',4,1,12,2007,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANOPOLIS','SC','124241241137271432428624575224610168147',NULL,'307',26.19,1,2,1),(15,2094878,'1991-08-06 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431278833575112610123142',6620,'1022',57.86,2,3,NULL),(15,2094886,'1988-09-21 00:00:00',4,1,12,2007,'F','N','CENTRO','BIGUACU','SC','124242241215472431534622575214610127011',4040,'270',63.36,1,3,NULL),(15,2094894,'1990-02-18 00:00:00',4,5,12,2007,'M','N','CON CON','SOMBRIO','SC','124243241216131431536611315121610147147',10544,'770',51.11,1,3,NULL),(15,2094908,'1990-09-02 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215121431578839575112610134142',9874,'270',52.13,1,3,NULL),(15,2094932,'1990-09-29 00:00:00',4,1,12,2007,'M','N','CACUPÉ','FLORIANOPOLIS','SC','124242241216371411338812222124610167096',11705,'988',49.39,1,3,NULL),(15,2094940,'1990-01-13 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241215321431343639575125610124012',4682,'44',61.80,1,3,NULL),(15,2094959,'1989-07-04 00:00:00',2,1,12,2006,'M','N','SÃO BASÍLIO MAGNO','UNIAO DA VITORIA','PR','116244248417471731569913432114610117062',13857,'632',46.38,1,3,NULL),(15,2094967,'1984-06-30 00:00:00',2,6,3,2001,'M','N','FLORESTA','PORTO ALEGRE','RS','120202207317472431557832295124241417067',4174,'9999',62.97,4,3,NULL),(15,2094975,'1987-09-13 00:00:00',4,1,12,2005,'M','N','DONA WANDA','SAO JOSE','SC','124243241215111431345823344114610168187',19894,'1040',37.02,1,3,NULL),(15,2094983,'1991-06-06 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111731489913495125610136182',NULL,'270',57.84,1,3,NULL),(15,2094991,'1986-09-17 00:00:00',2,1,12,2004,'M','N','VILA PARAÍSO','LIMEIRA','SP','125254251416573751469914595123610122012',8578,'9998',54.41,1,3,NULL),(15,2095009,'1989-10-01 00:00:00',4,3,12,2007,'F','N','CENTRO','NOVA MUTUM','MT','111111111146141731225544242321610122113',NULL,'9998',16.72,1,2,1),(15,2095017,'1989-11-08 00:00:00',4,1,12,2007,'F','N','CENTRO','GASPAR','SC','124244241215372411435532575122610123112',17482,'1052',41.10,1,3,NULL),(15,2095033,'1990-02-19 00:00:00',4,1,12,2007,'M','N','JD UMUARAMA','CAMPO GRANDE','MS','112121121116131431436814592124610167012',17128,'9998',41.67,1,2,1),(15,2095041,'1990-07-15 00:00:00',4,4,12,2007,'F','N','INTERIOR','IRACEMINHA','SC','124241241116131431523436172124610134057',NULL,'377',17.87,1,2,1),(15,2095050,'1989-05-10 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124201241215472411447833572124610124187',4252,'262',62.79,1,3,NULL),(15,2095076,'1989-01-21 00:00:00',4,1,12,2006,'M','N','PARQUE SÃO MIGUEL','SAO JOSE DO RIO PRETO','SP','125254251215471431358817572112610137042',8021,'9998',55.34,1,3,NULL),(15,2095084,'1990-10-12 00:00:00',2,1,12,2007,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124202241217111751333712225224610132097',8727,'988',54.13,1,3,NULL),(15,2095114,'1990-05-31 00:00:00',2,9,12,2007,'M','N','FUNDO CANOAS','RIO DO SUL','SC','124241241215111431454611575122610132182',9999,'991',51.94,1,3,NULL),(15,2095122,'1989-08-31 00:00:00',4,1,11,2006,'F','N','VILA VICENTINA','GUARULHOS','SP','125253258217471431553833572124610162183',NULL,'9998',0.00,1,3,NULL),(15,2095130,'1990-07-07 00:00:00',4,8,11,2007,'M','N','CENTRO','JOINVILLE','SC','124242241215421431339811575124610137052',10386,'1016',51.36,4,3,NULL),(15,2095149,'1988-12-15 00:00:00',4,1,12,2006,'F','N','JD STO ANTONIO','OSASCO','SP','125252251217571731448812394114610133117',2767,'9998',66.82,1,3,NULL),(15,2095157,'1990-11-07 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241215121411358613574124610143047',9137,'1022',53.38,2,1,2),(15,2095165,'1985-12-19 00:00:00',4,8,12,2003,'M','N','JARDIM DO PRADO','ARACATUBA','SP','625251256226572431535714372123610112052',3775,'9998',64.02,3,3,NULL),(15,2095173,'1990-01-16 00:00:00',4,1,12,2007,'F','N','VILLAGE','PENAPOLIS','SP','125252251215171431386814572122610162093',5860,'9998',59.34,1,3,NULL),(15,2095181,'1989-09-07 00:00:00',4,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242248215111631668611392124610114057',17460,'1075',41.14,1,3,NULL),(15,2095190,'1987-06-26 00:00:00',2,1,6,2005,'F','N','BALNEARIO','FLORIANOPOLIS','SC','124242247237373431538933375124132066092',20603,'9999',35.68,3,3,NULL),(15,2095203,'1990-12-07 00:00:00',4,1,12,2007,'M','N','CENTRO','CAMPO GRANDE','MS','112122121214371441389831574122610124053',286,'9998',78.92,1,3,NULL),(15,2095211,'1988-01-13 00:00:00',4,1,12,2005,'M','N','JOSE MENINO','SANTOS','SP','125251251217373431326629572124610167087',2556,'9998',67.44,1,3,NULL),(15,2095238,'1990-09-03 00:00:00',4,1,12,2007,'M','N','ANDORINHA','ITAPEMA','SC','124243248115111431336512575122610124182',17235,'129',41.51,1,3,NULL),(15,2095246,'1990-01-24 00:00:00',4,9,11,2007,'M','N','UNIVERSITARIO','LAGES','SC','124242241237272431358614575112610162012',17293,'499',41.41,1,3,NULL),(15,2095262,'1990-09-14 00:00:00',2,4,12,2007,'M','N','CENTRO','ERECHIM','RS','120202201216271232467414575122610117042',NULL,'9998',0.00,1,3,NULL),(15,2095270,'1990-01-07 00:00:00',4,9,12,2007,'F','N','BOM JESUS','CACADOR','SC','124241241115131411534923315124610125197',17851,'122',40.59,1,2,1),(15,2095289,'1990-07-28 00:00:00',2,4,11,2007,'M','N','CENTRO','ERECHIM','RS','120203201347271331223326572224610124047',16749,'9998',42.25,1,3,NULL),(15,2095297,'1989-12-14 00:00:00',2,1,12,2007,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241115131431643313582124610164141',NULL,'288',19.79,2,1,1),(15,2095300,'1989-04-27 00:00:00',2,10,12,2006,'F','N','CENTRO','RIO FORTUNA','SC','124241241125472431538611474114610127182',8647,'665',54.26,1,2,1),(15,2095319,'1990-07-03 00:00:00',2,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241212111531477853575114610164042',7311,'270',56.58,1,3,NULL),(15,2095327,'1987-12-03 00:00:00',2,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124192247216373431367833595112610122132',2910,'270',66.42,1,3,NULL),(15,2095335,'1990-08-24 00:00:00',4,1,12,2007,'M','N','SANTA TEREZINHA','SAO BERNARDO DO CAMPO','SP','125252251217111431458834575112610127182',5074,'9998',60.95,3,3,NULL),(15,2095343,'1981-06-03 00:00:00',4,1,12,2000,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124243246127155731358813445124240744037',21774,'307',33.04,4,1,2),(15,2095351,'1987-05-12 00:00:00',4,1,12,2005,'F','N','SETOR UNIVERSITÁRIO','GOIANIA','GO','109092091215571731458831572122610123077',1844,'9998',69.80,4,3,NULL),(15,2095360,'1989-10-29 00:00:00',4,1,12,2007,'M','N','SUMARÉ','SAO PAULO','SP','125252251217121411568611591121610164132',6992,'9998',57.17,1,3,NULL),(15,2095378,'1990-10-15 00:00:00',4,1,11,2007,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124242241215271411476817275112610112062',3756,'270',64.06,1,3,NULL),(15,2095386,'1989-12-15 00:00:00',4,8,12,2007,'F','N','BUCAREIN','JOINVILLE','SC','124242241315131211436514172124610132077',20720,'478',35.45,1,3,NULL),(15,2095394,'1990-10-13 00:00:00',4,1,12,2007,'M','N','NOVA PETROPOLIS','SAO BERNARDO DO CAMPO','SP','125252251216171431468814245122610134116',13242,'9998',47.25,1,3,NULL),(15,2095408,'1985-09-06 00:00:00',4,1,7,2004,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124244248117474432348824282114610124015',NULL,'303',38.89,4,3,NULL),(15,2095416,'1984-12-02 00:00:00',4,1,12,2003,'M','N','SANTO ANTONIO','OSASCO','SP','125251251126373411335823281314610164072',21355,'9998',34.08,1,2,1),(15,2095424,'1987-06-29 00:00:00',4,1,12,2004,'M','N','RESIDENCIAL LAGO SUL','BAURU','SP','125252251217271411347811474122143137102',NULL,'9998',19.78,1,3,NULL),(15,2095432,'1988-09-19 00:00:00',4,1,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241217112411368811391122610126092',9729,'270',52.38,1,3,NULL),(15,2095440,'1990-02-12 00:00:00',4,1,12,2007,'M','N','BERGER','CACADOR','SC','124241241117141431423324245124610168187',NULL,'123',24.07,4,2,1),(15,2095483,'1989-02-17 00:00:00',2,1,12,2006,'F','N','MERCES','CURITIBA','PR','116254161215271431678811575124610122182',8977,'9998',53.69,1,3,NULL),(15,2095491,'1988-07-13 00:00:00',4,1,12,2006,'M','N','FORQUILHAS','SAO JOSE','SC','124241241117372411433339341324610136197',10435,'733',51.29,1,2,1),(15,2095505,'1988-12-27 00:00:00',4,1,12,2006,'M','N','PRQ RES AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251217472431478712575111510157052',3371,'9998',65.08,1,3,NULL),(15,2095513,'1989-02-26 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241243417471421538613295112133264055',20198,'338',36.43,1,3,NULL),(15,2095530,'1990-04-26 00:00:00',2,8,11,2007,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241415111431644231245124610166192',6588,'486',57.92,1,3,NULL),(15,2095548,'1990-09-05 00:00:00',2,4,12,2007,'M','N','ANDREATTA','SAO MIGUEL DOESTE','SC','124241241116131431313339372321610168197',13217,'755',47.28,4,2,1),(15,2095556,'1990-04-06 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124244241215111431668714575112610131077',4300,'1022',62.70,1,3,NULL),(15,2095564,'1989-11-20 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217133431437811572124231022187',9378,'269',52.98,1,3,NULL),(15,2095572,'1989-03-04 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215472441588812275112610167117',5980,'270',59.12,1,3,NULL),(15,2095580,'1988-12-08 00:00:00',2,1,12,2007,'M','N','PONTE IMARUIM','PALHOCA','SC','124241247332141431454313242123610127047',21268,'9999',34.28,1,3,NULL),(15,2095599,'1990-07-10 00:00:00',4,1,12,2007,'M','N','FLORESTA','PORTO ALEGRE','RS','120204201217371131246814375124610122142',NULL,'9998',0.00,1,3,NULL),(15,2095602,'1986-03-15 00:00:00',2,1,12,2003,'F','N','ABRAAO','FLORIANOPOLIS','SC','124242241217112221468633391124220823107',12453,'1022',48.36,1,3,NULL),(15,2095610,'1989-08-18 00:00:00',2,10,12,2006,'M','N','PASSO DAREIA','PORTO ALEGRE','RS','120201201116271431436612575124610167117',15958,'9998',43.45,1,2,1),(15,2095629,'1990-01-08 00:00:00',4,1,12,2007,'F','N','CRISTAL','PORTO ALEGRE','RS','120204201417121331355932375114610164192',NULL,'9998',0.00,1,3,NULL),(15,2095637,'1990-04-22 00:00:00',4,7,12,2007,'F','N','CENTRO','SAO JOSE DO OURO','RS','120201201116131431436923575122610134147',14454,'9998',45.49,1,2,1),(15,2095645,'1983-06-09 00:00:00',2,1,12,2001,'F','N','CENTRO','FRANCISCO BELTRAO','PR','116161168116131721346623291122241317057',NULL,'9998',0.00,1,2,1),(15,2095653,'1990-02-27 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241217111531459813472122610167046',4293,'226',62.71,1,3,NULL),(15,2095661,'1990-11-14 00:00:00',2,8,12,2007,'F','N','CENTRO','PAPANDUVA','SC','124241241116131432336821175112610164047',15703,'603',43.81,1,2,1),(15,2095670,'1986-06-30 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241216574431569713575122242464057',660,'270',75.66,1,3,NULL),(15,2095696,'1990-10-31 00:00:00',4,1,12,2007,'M','N','ABRAAO','FLORIANOPOLIS','SC','124242241215111231468633575124610117047',3070,'1022',65.91,1,3,NULL),(15,2095718,'1991-02-24 00:00:00',4,1,11,2008,'M','S','CAPOEIRAS','FLORIANOPOLIS','SC','124241241117111411439831315112610124117',NULL,'271',41.10,1,3,NULL),(15,2095726,'1991-02-15 00:00:00',2,1,11,2007,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124242241217122411458613572124610136115',6535,'270',58.01,1,3,NULL),(15,2095734,'1988-07-30 00:00:00',4,3,12,2005,'M','N','TABOLEIRO','CAMBORIU','SC','124242241217142431548911145124133264192',NULL,'44',0.00,1,3,NULL),(15,2095742,'1989-06-24 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217472411446667575115610164017',6360,'266',58.34,1,3,NULL),(15,2095750,'1989-09-29 00:00:00',4,9,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124214241415131431358823571112610164017',NULL,'237',0.00,1,3,NULL),(15,2095769,'1990-03-13 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215372431468814572122610121012',6470,'262',58.13,1,3,NULL),(15,2095777,'1988-12-22 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241121231432545334241112610162197',17028,'922',41.84,1,2,1),(15,2095785,'1990-01-19 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242248217112431336313432124610137167',13374,'1022',47.08,1,3,NULL),(15,2095793,'1991-01-23 00:00:00',2,4,12,2007,'M','N','INTERIOR','NOVA ITABERABA','SC','124241241126131432423436452344610128057',NULL,'573',24.02,1,3,NULL),(15,2095807,'1989-04-27 00:00:00',4,8,12,2007,'F','N','ANAPÓLIS CITY','ANAPOLIS','GO','109092091416371431438812574122610134147',9106,'9998',53.45,4,3,NULL),(15,2095823,'1990-09-28 00:00:00',4,4,11,2007,'M','N','CENTRO','ERECHIM','RS','120162201215271431568814575112610121187',6960,'9998',57.24,1,3,NULL),(15,2095831,'1990-10-15 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124244241115131431226729575124610122092',15394,'267',44.26,1,3,NULL),(15,2095858,'1989-08-09 00:00:00',4,3,12,2006,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161216372431569814575122610167142',10602,'9998',51.02,1,3,NULL),(15,2095866,'1985-03-29 00:00:00',4,3,11,2002,'F','N','DAS NAÇÕES','BALNEARIO CAMBORIU','SC','124241241117372731523339244225610124087',13209,'49',47.30,4,1,1),(15,2095874,'1990-10-21 01:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215272431266313172122610123182',4679,'262',61.81,1,3,NULL),(15,2095882,'1989-01-30 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241216373431448833575114222034042',218,'270',79.69,1,3,NULL),(15,2095890,'1990-12-21 00:00:00',4,8,12,2007,'M','N','CENTRO','VERA CRUZ','SP','125251251416111441466812572122610167013',8325,'9998',54.82,1,3,NULL),(15,2095904,'1990-10-31 00:00:00',2,4,12,2007,'F','N','CENTRO','NOVA ERECHIM','SC','124243241415371231458911412114610126182',19116,'185',38.49,1,3,NULL),(15,2095912,'1990-08-31 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215171431346922572112610168082',20338,'9997',36.16,1,3,NULL),(15,2095920,'1979-09-08 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241141134321133149191333610137032',7040,'9999',57.08,1,2,1),(15,2095939,'1988-03-28 00:00:00',4,1,11,2005,'F','N','BARRA FUNDA','SAO PAULO','SP','125252251217571431238711571224610167117',1081,'9998',73.10,1,3,NULL),(15,2095947,'1979-10-10 00:00:00',4,1,12,1996,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242241312273421227841412313321566047',1476,'269',71.33,1,3,NULL),(15,2095955,'1990-11-01 00:00:00',4,4,12,2007,'M','N','CENTRO','SEBERI','RS','120201201116151431428836461122610127042',NULL,'9998',0.00,1,3,NULL),(15,2095963,'1990-01-14 00:00:00',4,8,12,2007,'M','N','VISTA ALEGRE DAS MER','CURITIBA','PR','116162161216111431448919575114610124122',10230,'9998',51.59,1,3,NULL),(15,2095971,'1987-10-16 00:00:00',4,1,11,2005,'F','N','CPA I','CUIABA','MT','111112111217511411548913575122610162147',1977,'9998',69.34,4,3,NULL),(15,2095980,'1988-12-17 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241216273731566833595122610167187',3678,'262',64.28,1,3,NULL),(15,2095998,'1989-05-13 00:00:00',2,1,12,2006,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241215372431558811575124610123182',3334,'270',65.17,1,3,NULL),(15,2096005,'1988-03-04 00:00:00',4,3,12,2005,'F','N','SÃO MIGUEL PTA','SAO PAULO','SP','125252251215571431469933575124610162197',NULL,'9998',0.00,1,3,NULL),(15,2096013,'1991-05-17 00:00:00',4,10,2,2008,'F','N','MAR GROSSO','LAGUNA','SC','124242241217151541438831575124610126197',4984,'807',61.12,1,3,NULL),(15,2096021,'1990-02-13 00:00:00',2,4,12,2007,'M','N','CENTRO','TAPEJARA','RS','120203201416271731347814272122610167142',NULL,'9998',0.00,1,3,NULL),(15,2096030,'1988-09-09 00:00:00',4,1,11,2005,'F','N','MORADA DA SERRA II','CUIABA','MT','111112111216573431569911575122610121077',2057,'9998',69.08,4,3,NULL),(15,2096048,'1988-08-13 00:00:00',4,8,11,2006,'M','N','VILA DAMASIO','SAO BERNARDO DO CAMPO','SP','125252251215471341569812121114141464012',14340,'9998',45.67,4,3,NULL),(15,2096056,'1990-02-12 00:00:00',4,1,12,2007,'M','N','PONTE SÃO JOÃO','JUNDIAI','SP','125252251215111531336839572112610167047',8428,'9998',54.65,1,3,NULL),(15,2096064,'1986-12-15 00:00:00',2,1,12,2004,'F','N','JARDIM EUCALIPTUS','PALHOCA','SC','124241241116154431443337341114610125097',18206,'592',39.96,1,2,1),(15,2096072,'1990-03-01 00:00:00',4,1,11,2007,'M','N','BUENO','GOIANIA','GO','109092091215111411468933572122610137042',7649,'9998',55.95,1,3,NULL),(15,2096080,'1979-09-27 00:00:00',4,1,12,1996,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241316575441368511341122321546097',5365,'44',60.35,1,3,NULL),(15,2096099,'1989-01-12 00:00:00',4,1,11,2007,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241415271412367522575114610164072',16035,'307',43.32,1,3,NULL),(15,2096102,'1983-04-17 00:00:00',2,1,12,2000,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124241241112145721557514395134610123047',NULL,'293',17.67,1,2,1),(15,2096110,'1990-02-23 00:00:00',4,1,12,2006,'F','N','NORTE','TAGUATINGA','DF','107072071215471431568832592122610164147',1473,'9998',71.34,4,3,NULL),(15,2096129,'1989-07-20 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241212472441458714472224610143147',36,'499',83.57,4,3,NULL),(15,2096137,'1989-11-01 00:00:00',2,1,11,2007,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241215111431559713575112610163121',16494,'270',42.60,1,3,NULL),(15,2096153,'1989-01-16 00:00:00',4,3,12,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215472411346613391122610127067',3301,'270',65.25,1,3,NULL),(15,2096170,'1989-02-15 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217313431446611395124610117042',18816,'1022',38.96,1,3,NULL),(15,2096188,'1987-07-09 00:00:00',2,8,12,2005,'M','N','JARDIM DAS AMERICAS','CURITIBA','PR','116162161217271431568831571122141467057',757,'9998',74.94,1,3,NULL),(15,2096200,'1989-06-13 00:00:00',2,1,12,2006,'F','N','AREIAS','SAO JOSE','SC','124241241115371431533631272224610124052',15668,'21',43.85,1,2,1),(15,2096218,'1987-10-16 00:00:00',4,1,12,2005,'F','N','ASA SUL','BRASILIA','DF','107072071217571431489712572122610121122',2573,'9998',67.40,1,3,NULL),(15,2096226,'1989-05-16 00:00:00',4,1,12,2006,'M','N','CENTRO','SANTA BARBARA D OESTE','SP','125251253127111331358612215133610124092',10353,'9998',51.42,1,2,1),(15,2096242,'1988-07-28 00:00:00',4,1,12,2007,'M','N','GIOCONDO ORSI','CAMPO GRANDE','MS','112122121217471731459931575122610161092',2169,'9998',68.70,1,3,NULL),(15,2096269,'1986-06-29 00:00:00',2,1,12,2004,'M','N','VILA ESTER','SAO PAULO','SP','125252251217572311469713481121610166047',4629,'9998',61.94,4,3,NULL),(15,2096277,'1990-08-19 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241217151431238634575112610124187',8286,'273',54.87,1,3,NULL),(15,2096293,'1989-10-22 00:00:00',4,1,12,2006,'F','N','MAR GROSSO','LAGUNA','SC','124251241135372431546611585122610138117',14789,'524',45.02,1,3,NULL),(15,2096307,'1988-04-10 00:00:00',2,1,12,2005,'M','N','JARDIM CIDADE DE FPO','SAO JOSE','SC','124241241132172431336833292122610124047',22330,'734',30.83,1,2,1),(15,2096315,'1991-05-22 00:00:00',4,1,12,2008,'M','S','BARREIROS','SAO JOSE','SC','124242241215111431478812375122610124015',NULL,'738',50.30,1,3,NULL),(15,2096331,'1988-08-11 00:00:00',4,1,12,2007,'M','N','JARDIM BOTÂNICO','LAGO SUL','DF','107072071217151441368914445112610164045',9587,'9998',52.61,1,3,NULL),(15,2096340,'1985-05-10 00:00:00',1,1,12,2002,'F','N','VILA PRUDENTE','SAO PAULO','SP','125252251216514411468914415124610127121',8579,'9998',54.40,1,3,NULL),(15,2096358,'1989-10-05 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241115271431458619585124610166197',NULL,'757',31.59,1,2,1),(15,2096374,'1988-05-28 00:00:00',2,4,11,2005,'M','N','CENTRO','PALMAS','PR','116162161216111431534611145122241024042',20184,'9998',36.45,1,3,NULL),(15,2096382,'1989-02-19 00:00:00',4,1,12,2007,'M','N','ROÇADO','SAO JOSE','SC','124244241135141432243321241124610127057',19263,'729',38.24,1,3,NULL),(15,2096404,'1988-09-09 00:00:00',4,1,12,2005,'F','N','TINGUI','CURITIBA','PR','116252251216572451549914275114610167057',3744,'9998',64.09,1,3,NULL),(15,2096412,'1990-01-29 00:00:00',2,1,11,2007,'M','N','CENTRO','TOLEDO','PR','116162168217151521363812572111610127062',16292,'9998',42.91,1,3,NULL),(15,2096420,'1990-07-15 00:00:00',4,1,12,2007,'F','N','ANA RECH','CAXIAS DO SUL','RS','120202201216371431468911375124610142012',12720,'9998',47.95,1,3,NULL),(15,2096439,'1989-10-13 00:00:00',2,1,11,2007,'F','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125252251116471711447811495122610165147',NULL,'9998',0.00,1,3,NULL),(15,2096455,'1985-09-06 00:00:00',4,1,12,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241112373411326313345113610122145',15311,'307',44.38,1,3,NULL),(15,2096471,'1991-07-24 00:00:00',4,1,12,2008,'M','S','ITAGUAÇU','FLORIANOPOLIS','SC','124242241217111431359934572124610135057',NULL,'266',36.36,1,3,NULL),(15,2096480,'1989-10-23 00:00:00',2,1,12,2006,'F','N','NOVA VILA','IVOTI','RS','120204205216271431459814395124610122097',NULL,'9998',0.00,1,3,NULL),(15,2096498,'1988-07-11 00:00:00',2,1,12,2005,'M','N','KOBRASOL','SAO JOSE','SC','124243241117132731317711491224133227142',11018,'733',50.44,1,3,NULL),(15,2096501,'1989-03-05 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217472421128722345124610132017',7977,'653',55.41,1,3,NULL),(15,2096528,'1990-09-12 00:00:00',4,3,12,2007,'M','N','CENTRO','CAMPO MOURAO','PR','116162164216111431558712472122610137057',18960,'9998',38.74,3,3,NULL),(15,2096544,'1989-09-30 00:00:00',4,1,11,2007,'M','N','JARDIM BOTANICO','LAGO SUL','DF','107071078117271311348823371124610162111',10697,'9999',50.88,1,3,NULL),(15,2096552,'1990-12-07 00:00:00',4,2,12,2007,'M','N','CENTRO','BRUSQUE','SC','124242241215272431588812575112610147042',1058,'107',73.20,1,3,NULL),(15,2096560,'1990-08-14 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241415111412567633572124610164062',17800,'1022',40.66,1,3,NULL),(15,2096579,'1990-01-23 00:00:00',4,1,12,2007,'M','N','VILA OLIMPIA','SAO PAULO','SP','125252251217371432478714575112610147012',NULL,'9998',0.00,1,3,NULL),(15,2096587,'1987-10-27 00:00:00',4,1,12,2004,'F','N','PQ DAS UNIVERSIDADES','CAMPINAS','SP','125252251215571431334828385122610167147',NULL,'9998',0.00,1,3,NULL),(15,2096595,'1989-02-22 00:00:00',4,1,11,2006,'M','N','ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP','125252251215471431468812155112610164182',NULL,'9998',0.00,1,3,NULL),(15,2096617,'1990-11-04 00:00:00',2,1,12,2007,'F','N','ALTO ARIRIU','PALHOCA','SC','124241241115131411553819572124610111143',19976,'592',36.88,1,2,1),(15,2096625,'1989-01-28 00:00:00',4,8,12,2006,'F','N','CENTRO','CASCAVEL','PR','116162161215472411459931571122610124092',3010,'9998',66.10,3,3,NULL),(15,2096633,'1987-07-01 00:00:00',4,1,12,2005,'M','N','CACUPE','FLORIANOPOLIS','SC','124242241216472431374923575122132865042',NULL,'1048',20.04,1,3,NULL),(15,2096641,'1990-03-24 00:00:00',2,5,10,2007,'M','N','PRÓSPERA','CRICIUMA','SC','124242241215272431456912575124610143057',4908,'213',61.29,1,3,NULL),(15,2096650,'1991-02-07 00:00:00',4,1,12,2008,'M','S','PÂNTANO DO SUL','FLORIANOPOLIS','SC','124242241215111431446312172114610132142',NULL,'266',64.13,1,3,NULL),(15,2096668,'1990-04-04 00:00:00',2,1,12,2007,'F','N','ROÇADO','SAO JOSE','SC','124242241215111432436934574122610123097',10419,'737',51.32,1,3,NULL),(15,2096684,'1989-03-06 00:00:00',4,1,12,2006,'F','N','SANTA MARTA','SAO CARLOS','SP','125252251217471431479833572112610163187',9411,'9998',52.93,1,3,NULL),(15,2096706,'1990-07-08 00:00:00',4,3,11,2007,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124242241217151431565714271122610137062',2478,'71',67.67,1,3,NULL),(15,2096714,'1989-03-26 00:00:00',4,8,12,2006,'M','N','BALNEARIO PRINCESA D','ITAPOA','SC','124241241412471432558611272114610168116',13099,'1016',47.45,1,3,NULL),(15,2096722,'1989-07-03 00:00:00',4,1,11,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241215121441489929575124610164182',511,'270',76.69,1,3,NULL),(15,2096730,'1989-08-08 00:00:00',4,1,12,2007,'M','N','SUDOESTE','CRUZEIRO','DF','107072071217371431488932572122610117012',1362,'9998',71.82,1,3,NULL),(15,2096749,'1990-05-02 00:00:00',4,1,11,2007,'M','N','JARDINS VIENA','APARECIDA DE GOIANIA','GO','109092091217122431488812475122610167042',4338,'9998',62.63,1,3,NULL),(15,2096757,'1990-06-13 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241212111231478714595122610147042',NULL,'515',0.00,1,3,NULL),(15,2096773,'1989-12-06 00:00:00',4,3,12,2007,'M','N','CENTRO','LONDRINA','PR','116162161216111431469911575122610167122',13381,'9998',47.08,1,3,NULL),(15,2096781,'1988-08-16 00:00:00',4,1,12,2005,'M','N','ZONA SETE','MARINGA','PR','116162161216571231468819474112610127037',NULL,'9998',0.00,3,3,NULL),(15,2096790,'1990-01-13 00:00:00',4,1,10,2007,'F','N','CAMPINAS','SAO JOSE','SC','124243247316161431337679575122610166142',NULL,'359',23.83,4,3,NULL),(15,2096811,'1978-01-14 00:00:00',2,1,12,1998,'F','N','JARDIM DAS PALMEIRAS','SAO JOSE','SC','124244241212135411259313572112232663187',10717,'266',50.85,2,1,2),(15,2096820,'1991-05-12 00:00:00',2,8,12,2008,'F','S','AMERICA','JOINVILLE','SC','124242241217111731238821392112610137077',NULL,'9997',38.84,1,3,NULL),(15,2096838,'1987-12-10 00:00:00',2,1,12,2005,'F','N','JOSE MENDES','FLORIANOPOLIS','SC','124242241215573441458612372114610134147',7138,'1098',56.89,1,3,NULL),(15,2096854,'1990-05-09 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431238811315122610144042',11290,'262',50.03,1,3,NULL),(15,2096862,'1988-06-06 00:00:00',4,1,12,2005,'F','N','JARDIM OSVALDO CRUZ','SAO JOSE DOS CAMPOS','SP','121214211217571431579813584325610162072',NULL,'9998',0.00,1,3,NULL),(15,2096870,'1989-02-19 00:00:00',2,1,12,2006,'M','N','BAIRRO IPIRANGA','SAO JOSE','SC','124243241215131431325324382124610124177',12540,'976',48.24,1,3,NULL),(15,2096889,'1989-12-27 00:00:00',4,1,11,2007,'F','N','CHACARA INGLESA','SAO PAULO','SP','125252251217111411557933575125610145152',11521,'9998',49.68,1,3,NULL),(15,2096900,'1990-06-07 00:00:00',4,8,11,2007,'F','N','ATIRADORES','JOINVILLE','SC','124112241214131411458811585121610133142',10996,'457',50.48,1,3,NULL),(15,2096927,'1976-12-22 00:00:00',2,1,12,1997,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124123078216132431138741215124141464097',18938,'9999',38.78,4,3,NULL),(15,2096935,'1988-08-23 00:00:00',4,1,12,2006,'F','N','VILA SANTA CRUZ','ITATIBA','SP','125252251215471411568934475122610126032',2309,'9998',68.21,1,3,NULL),(15,2096943,'1990-04-01 00:00:00',4,1,12,2007,'F','N','OTAVIO PECORA','CAMPO GRANDE','MS','112123121116471731468931574112610135092',5227,'9998',60.66,4,3,NULL),(15,2096951,'1989-07-06 00:00:00',4,3,12,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124202201217471421267633575114610117042',3140,'9998',65.72,1,3,NULL),(15,2096960,'1990-01-17 00:00:00',4,8,11,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241217271231488911572112610167112',6380,'457',58.30,1,3,NULL),(15,2096978,'1989-09-16 00:00:00',4,1,11,2007,'F','N','SANTO ANTÔNIO','CAMPO GRANDE','MS','112121121117111331468933375122610167072',15092,'9998',44.68,1,2,1),(15,2096986,'1990-11-30 00:00:00',2,1,12,2007,'M','N','CARIOCA','SAO JOSE DOS PINHAIS','PR','116162161215471411469833575122610134192',NULL,'9998',0.00,1,3,NULL),(15,2096994,'1990-09-07 00:00:00',4,1,12,2007,'M','N','JD PEREIRA DO AMPARO','JACAREI','SP','125252251215111731248833592122610127042',2229,'9998',68.48,1,3,NULL),(15,2097001,'1990-11-10 00:00:00',4,1,12,2007,'M','N','ARIRIÚ','PALHOCA','SC','124241241117151531556313575124610127047',16475,'772',42.62,1,3,NULL),(15,2097010,'1990-01-25 00:00:00',4,1,11,2007,'M','N','CAIÇARA','CAMPO GRANDE','MS','112122121117151431668634575112610167147',1825,'9998',69.87,1,3,NULL),(15,2097028,'1987-12-06 00:00:00',4,5,11,2005,'F','N','CENTRO','CRICIUMA','SC','124242241211372431468912395125231367012',18825,'210',38.95,2,1,2),(15,2097044,'1988-12-26 00:00:00',4,1,12,2006,'F','N','CENTRO','COLORADO','PR','116252251215471431438819271122610163187',4045,'9998',63.35,1,3,NULL),(15,2097052,'1988-01-15 00:00:00',2,2,11,2005,'F','N','SANTA CATARINA','CACADOR','SC','124241241417153411543614345122610144097',16910,'118',41.99,1,3,NULL),(15,2097079,'1990-05-16 00:00:00',2,1,11,2007,'M','N','FLORESTA','SAO JOSE','SC','124242241215371431458833372124610128013',2955,'259',66.29,1,3,NULL),(15,2097095,'1990-03-24 00:00:00',4,8,12,2007,'F','N','VILA DAMASIO','SAO BERNARDO DO CAMPO','SP','125254251411111731588811171124610164012',17027,'9998',41.84,3,3,NULL),(15,2097109,'1989-07-11 00:00:00',4,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161216371521289711575122610164127',NULL,'9998',0.00,1,3,NULL),(15,2097117,'1990-02-10 00:00:00',2,1,11,2007,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124242241215371731436654575122610118097',9526,'1011',52.73,1,3,NULL),(15,2097125,'1990-01-16 00:00:00',4,4,10,2007,'M','N','KOLLER','ERECHIM','RS','120202201215371431549812572112610121047',9686,'9998',52.44,1,3,NULL),(15,2097133,'1952-06-09 00:00:00',4,1,12,1969,'F','N','CENTRO','FLORIANOPOLIS','SC','524251251136151411356449491122142265092',16558,'9998',42.50,1,3,NULL),(15,2097141,'1989-10-12 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217421431478612595122610122032',2646,'270',67.17,1,3,NULL),(15,2097150,'1988-08-02 00:00:00',2,1,12,2005,'M','N','HIGIENÓPOLIS','PORTO ALEGRE','RS','120202201236571531469834575114610124123',6731,'9998',57.68,1,3,NULL),(15,2097184,'1990-07-12 00:00:00',4,5,10,2007,'M','N','PRESIDENTE VARGAS','ICARA','SC','124241241215112431234411275124610132177',NULL,'226',0.00,3,3,NULL),(15,2097192,'1986-08-20 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124201241147274431423325341124131445147',17704,'641',40.79,1,2,1),(15,2097206,'1988-10-03 00:00:00',2,1,12,2006,'M','N','ALTO ALEGRIA','GUAIBA','RS','120201201146371411446414341124610147147',19509,'9998',37.81,1,2,1),(15,2097214,'1989-09-29 00:00:00',2,9,12,2006,'F','N','CORAL','LAGES','SC','124241241111371431426634572122610127147',14266,'505',45.77,1,2,1),(15,2097222,'1989-11-15 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241116373431459834571124230217055',10772,'271',50.78,1,3,NULL),(15,2097230,'1987-06-17 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','120202201116373411548631412124610142027',6657,'9998',57.80,1,3,NULL),(15,2097273,'1989-07-29 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241137371431259914575124610148183',4123,'943',63.14,1,3,NULL),(15,2097290,'1990-05-09 00:00:00',5,4,12,2007,'F','N','CENTRO','CORONEL VIVIDA','PR','116161161117111431423624142125610122147',19150,'9998',38.44,1,2,1),(15,2097311,'1989-10-19 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241137472431646833372124610167047',10313,'307',51.47,1,2,1),(15,2097320,'1989-07-31 00:00:00',2,1,12,2006,'F','N','ZONA I','UMUARAMA','PR','116162161215271431448831572122610122052',13964,'9998',46.21,3,3,NULL),(15,2097338,'1989-07-21 00:00:00',4,1,12,2006,'M','N','MOINHOS DE VENTO','PORTO ALEGRE','RS','120202201216471451568931595125610166032',7211,'9998',56.77,1,3,NULL),(15,2097346,'1989-11-03 00:00:00',4,1,12,2006,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242241215151411468813475124233262181',5468,'1022',60.13,1,3,NULL),(15,2097370,'1989-10-16 00:00:00',2,1,12,2006,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241215472411534311491124133217067',12813,'944',47.84,1,3,NULL),(15,2097397,'1990-12-10 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241225111431446424245124610147057',9979,'262',51.96,1,3,NULL),(15,2097400,'1989-08-22 00:00:00',4,1,12,2007,'M','N','COPACABANA','RIO DE JANEIRO','RJ','121212211217161431369833475124610142043',12580,'9998',48.17,1,3,NULL),(15,2097419,'1986-01-25 00:00:00',4,3,12,2003,'F','N','JARDIM PRESIDENTE','LONDRINA','PR','116162161316573431536617575112610142092',2531,'9998',67.53,1,3,NULL),(15,2097427,'1992-08-27 00:00:00',4,2,12,2009,'F','S','VILA NOVA','BLUMENAU','SC','124242241217111431479812571122610136182',NULL,'909',53.68,1,3,NULL),(15,2097435,'1984-03-15 00:00:00',4,1,12,2002,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124122121216151431418832585124342066192',13402,'9998',47.03,4,3,NULL),(15,2097443,'1988-06-04 00:00:00',2,1,11,2005,'M','N','CENTRO','PAULO LOPES','SC','124241241235373431468833435124610127017',NULL,'266',0.00,1,3,NULL),(15,2097451,'1989-11-29 00:00:00',4,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124244201117471431447731575214610124042',6649,'9998',57.81,1,3,NULL),(15,2097460,'1989-08-19 00:00:00',4,1,12,2006,'F','N','MELHADO','ARARAQUARA','SP','125252251217471431368811575112610125146',NULL,'9998',48.11,1,3,NULL),(15,2097478,'1986-06-30 00:00:00',2,1,12,2004,'M','N','BONFIN','CAMPINAS','SP','125252251217571711488812575122610167077',NULL,'9998',0.00,1,3,NULL),(15,2097486,'1990-02-17 00:00:00',4,3,12,2007,'M','N','JARDINS','ARACAJU','SE','126262261216111431389932575124610167052',998,'9998',73.54,4,3,NULL),(15,2097508,'1989-01-04 00:00:00',4,1,12,2006,'F','N','VIA CAMINHO DO MAR','SAO BERNARDO DO CAMPO','SP','125252251211471431338714572124610122097',16229,'9998',43.01,4,3,NULL),(15,2097524,'1982-09-16 00:00:00',4,1,11,1999,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','624241241116151111336519445234610118187',NULL,'307',20.09,1,2,1),(15,2097532,'1986-03-09 00:00:00',2,1,12,2003,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241321372431533411142234610126097',18679,'730',39.19,3,3,NULL),(15,2097540,'1980-06-24 00:00:00',2,1,12,1997,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124243241217133411128549395324222922145',4463,'833',62.36,1,3,NULL),(15,2097559,'1982-07-20 00:00:00',2,1,10,1999,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','624243201147131431233644145122141962067',6249,'9998',58.56,1,3,NULL),(15,2097567,'1987-08-27 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242251215372511557734475114230217057',17473,'262',41.12,1,3,NULL),(15,2097575,'1989-06-10 00:00:00',2,5,12,2006,'F','N','CENTRO','URUSSANGA','SC','124241241117131531226623387124610137077',NULL,'821',33.33,1,2,1),(15,2097583,'1989-09-01 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124234241335371431467713475124610136177',3043,'307',66.00,1,3,NULL),(15,2097591,'1981-07-07 00:00:00',2,1,12,2001,'M','N','BOM VIVER','BIGUACU','SC','124241241126131421321643135113610117057',19035,'734',38.62,4,1,1),(15,2097613,'1988-09-25 00:00:00',4,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116162161212471431579934572124610132142',206,'9998',79.86,1,3,NULL),(15,2097621,'1989-01-20 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124243241115133431526614472124610123112',8134,'307',55.12,1,3,NULL),(15,2097648,'1990-01-26 00:00:00',2,9,12,2007,'F','N','INTERIOR','ITAIOPOLIS','SC','124241241115131411323315152344610167147',21929,'387',32.52,1,2,1),(15,2097672,'1975-06-09 00:00:00',2,1,12,1995,'M','N','INGLESES','FLORIANOPOLIS','SC','224062066136151421236444341334140824042',14335,'9998',45.68,4,3,NULL),(15,2097680,'1990-01-01 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124244241215111411358829492114610124093',18099,'272',40.15,1,3,NULL),(15,2097699,'1990-12-03 00:00:00',2,2,12,2007,'F','N','VILA TREMÔNIA','CERRO LARGO','RS','120201201216131431533316572224610118047',13148,'9998',47.40,1,3,NULL),(15,2097702,'1987-08-10 00:00:00',4,8,12,2005,'M','N','FLORESTA','JOINVILLE','SC','124245241215573431558832575124610127097',7608,'491',56.02,1,3,NULL),(15,2097737,'1990-11-18 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431436611345124610143027',12196,'1098',48.73,1,3,NULL),(15,2097753,'1989-03-17 00:00:00',2,1,12,2007,'F','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124242241212111411434433595124610128117',13561,'299',46.80,1,3,NULL),(15,2097761,'1989-10-08 00:00:00',2,7,12,2006,'F','N','CENTRO','JOACABA','SC','124241241112132451334615572324610118077',7862,'369',55.59,1,2,1),(15,2097770,'1983-04-23 00:00:00',2,1,12,2000,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241127133731435514441334610124017',14359,'727',45.62,1,2,1),(15,2097788,'1982-08-15 00:00:00',2,1,12,2000,'F','N','NOVA BELEM','PAULO LOPES','SC','224241241327131411336944245231610124187',21628,'607',33.43,1,3,NULL),(15,2097796,'1985-10-07 00:00:00',4,1,12,2003,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241241114371421227644341324610127057',20239,'500',36.34,2,1,1),(15,2097800,'1987-05-11 00:00:00',2,1,12,2004,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','624201201147131431233444245112640161142',22421,'9998',30.09,1,3,NULL),(15,2097826,'1986-09-08 00:00:00',4,1,12,2004,'F','N','FAROLANDIA','ARACAJU','SE','126262261216411411456839575124610165142',18351,'9998',39.71,4,3,NULL),(15,2097842,'1989-04-03 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241216472722347513572114610168187',5676,'258',59.71,1,3,NULL),(15,2097850,'1990-04-10 00:00:00',4,4,12,2007,'F','N','INTERIOR','SAO DOMINGOS','SC','124241241116131411323315592322610118147',NULL,'707',22.64,1,2,1),(15,2097869,'1985-10-28 00:00:00',4,4,12,2002,'M','N','RIO BRANCO','PORTO ALEGRE','RS','120241241416574431538819591114610167067',5072,'185',60.95,1,3,NULL),(15,2097877,'1979-05-01 00:00:00',4,1,12,2001,'M','N','CAMPECHE','FLORIANOPOLIS','SC','224202201217112451249642325133141462117',7938,'9998',55.46,1,3,NULL),(15,2097893,'1990-07-02 00:00:00',4,1,12,2007,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241125131431226624572122610158073',NULL,'941',16.73,1,3,NULL),(15,2097907,'1990-04-28 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241114272431456614572114610146141',5816,'739',59.44,1,3,NULL),(15,2097915,'1986-08-08 00:00:00',2,1,7,2004,'M','N','ARMAÇÃO','FLORIANOPOLIS','SC','124241241136272451433334342314131267147',13182,'396',47.35,1,3,NULL),(15,2097931,'1988-02-21 00:00:00',4,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241216153431358911375124230225032',5487,'262',60.08,1,3,NULL),(15,2097940,'1981-10-24 00:00:00',4,8,12,2000,'F','N','BARREIRINHA','CURITIBA','PR','116164161214571751358613413124340622177',NULL,'9998',0.00,1,3,NULL),(15,2097958,'1990-04-12 00:00:00',4,8,12,2007,'M','N','CENTRO','TELEMACO BORBA','PR','116162161215421441378812195114610128182',NULL,'9998',0.00,1,3,NULL),(15,2097966,'1990-03-26 00:00:00',2,1,12,2006,'M','N','CENTRO','TRES FORQUILHAS','RS','120201201115371431423631571124610117042',NULL,'9998',0.00,1,2,1),(15,2097974,'1989-03-28 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','224242241215472431337852394214610147187',3364,'266',65.10,1,3,NULL),(15,2097982,'1990-01-17 00:00:00',2,2,12,2007,'F','N','FORTALEZA','BLUMENAU','SC','124241241122131431446639345124610158142',NULL,'69',22.58,1,2,1),(15,2097990,'1986-03-25 00:00:00',2,1,12,2004,'M','N','PANTANAL','FLORIANOPOLIS','SC','124252251217452411138834485324231962043',9676,'9998',52.46,4,3,NULL),(15,2098008,'1986-07-29 00:00:00',2,1,12,2004,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242241212372442523618442124610124052',15219,'944',44.51,1,3,NULL),(15,2098016,'1986-02-01 00:00:00',4,1,11,2003,'M','N','BELA VISTA','PALHOCA','SC','124242241211575431327639571124610166047',19511,'989',37.81,1,3,NULL),(15,2098024,'1988-01-31 00:00:00',4,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','124244241437473431563632345122230227047',11530,'738',49.67,1,3,NULL),(15,2098067,'1984-04-17 00:00:00',2,1,12,2004,'F','N','BELA VISTA I','SAO JOSE','SC','124241248346151732565519485124233228091',18745,'270',39.09,2,1,2),(15,2098075,'1990-05-28 00:00:00',4,1,12,2007,'M','N','JARDIM HIKARI','BASTOS','SP','125254251217111431458811582122610167057',18534,'9998',39.43,1,3,NULL),(15,2098083,'1990-06-20 00:00:00',4,1,12,2007,'M','N','PASSA VINTE','PALHOCA','SC','124241241126131431433616392224610167047',8944,'307',53.76,1,2,1),(15,2098091,'1990-06-28 00:00:00',4,1,12,2007,'M','N','VENDAVAL','BIGUACU','SC','124241241112131411346614572344610116041',21882,'65',32.69,1,3,NULL),(15,2098105,'1990-01-30 00:00:00',2,1,12,2007,'F','N','AREIAS','SAO JOSE','SC','124241241225111431423627245124610123047',16226,'262',43.01,1,3,NULL),(15,2098113,'1988-07-24 00:00:00',4,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124244241435573411478612396124230865077',5700,'738',59.67,1,3,NULL),(15,2098121,'1989-08-28 00:00:00',4,6,11,2006,'M','N','DOM BOSCO','ITAJAI','SC','124242161215372421529812375124610167042',4021,'9998',63.40,1,3,NULL),(15,2098130,'1985-09-23 00:00:00',2,1,12,2003,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241125471441454313482114610166047',15177,'278',44.56,1,3,NULL),(15,2098148,'1986-05-12 00:00:00',4,1,12,2004,'M','N','SÃO FRANCISCO','SANTO AMARO DA IMPERATRIZ','SC','124241241317273431558923395124610134117',7367,'772',56.48,1,3,NULL),(15,2098156,'1986-06-07 00:00:00',4,1,12,2003,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244241215373431446812245134220962017',9778,'403',52.30,1,3,NULL),(15,2098164,'1990-01-22 00:00:00',2,4,11,2007,'M','N','PRESIDENTE MEDICI','CHAPECO','SC','124242241127131411439912245121610162197',8814,'1069',53.99,1,3,NULL),(15,2098172,'1988-03-04 00:00:00',4,1,6,2007,'F','N','BOA VISTA','RIO DO SUL','SC','124244242116371751559913432122610133142',14198,'662',45.87,1,3,NULL),(15,2098199,'1988-09-30 00:00:00',4,8,11,2005,'F','N','BNH TERCEIRO PLANO','DOURADOS','MS','112122121216572431558833575112610123147',1070,'9998',73.15,1,3,NULL),(15,2098202,'1989-02-02 00:00:00',4,1,12,2006,'F','N','INDIANOPOLIS','SAO PAULO','SP','125253251414471411348834571124610137144',11714,'9998',49.37,1,3,NULL),(15,2098210,'1990-06-21 00:00:00',4,9,12,2007,'F','N','COPACABANA','LAGES','SC','124243241415111431238823572324610124197',7695,'515',55.87,1,3,NULL),(15,2098229,'1990-01-17 00:00:00',2,1,11,2006,'F','N','ANA PAULA','MARECHAL CANDIDO RONDON','PR','116163161216371731566823475122610161072',NULL,'9998',0.00,1,3,NULL),(15,2098237,'1974-12-04 00:00:00',4,1,11,1992,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','524123121216151721373319135124142922112',4952,'9998',61.19,1,3,NULL),(15,2098245,'1990-09-29 00:00:00',2,4,12,2007,'M','N','JARDIM AMÉRICA','CHAPECO','SC','124241241135141421436819291331610154052',15599,'170',43.97,4,2,1),(15,2098253,'1988-12-29 00:00:00',4,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241217372421678622222112610137017',4828,'270',61.46,1,3,NULL),(15,2098270,'1985-05-16 00:00:00',4,1,12,2002,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124241241117272431128744345324610165142',15816,'49',43.65,1,3,NULL),(15,2098288,'1990-10-14 00:00:00',2,8,11,2007,'F','N','CAPÃO RASO','CURITIBA','PR','116162161217471431448631481324610137097',NULL,'9998',21.23,1,3,NULL),(15,2098296,'1990-05-08 00:00:00',2,1,12,2006,'F','N','CENTRO','HERVAL D OESTE','SC','124242241215472731568923395324610168177',12367,'962',48.47,1,3,NULL),(15,2098318,'1986-06-29 00:00:00',4,3,12,2003,'F','N','ZONA SETE','MARINGA','PR','116162161216572431449631474122610162147',2831,'9998',66.66,1,3,NULL),(15,2098326,'1985-12-17 00:00:00',2,8,12,2004,'F','N','JARDIM COOLAPA','SAO SEBASTIAO DO PARAISO','MG','113131131317473431368816294122610132182',NULL,'9998',0.00,1,3,NULL),(15,2098334,'1988-06-07 00:00:00',2,1,12,2005,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241217272411438648281114131067047',13409,'1048',47.01,1,3,NULL),(15,2098342,'1989-06-10 00:00:00',4,1,12,2006,'M','N','PARQUE SANTANA','MOGI DAS CRUZES','SP','125252251217472431289934274122610157112',7923,'9998',55.49,1,3,NULL),(15,2098350,'1987-02-25 00:00:00',4,1,12,2004,'M','N','FLORESTA','SAO JOSE','SC','124243241225273532228621445124221767047',15824,'943',43.64,1,3,NULL),(15,2098377,'1989-09-15 00:00:00',2,1,12,2007,'M','N','JARDIM BIGUAÇU','BIGUACU','SC','124241241116131411643314345124610138042',11799,'65',49.26,1,2,1),(15,2098385,'1972-01-02 00:00:00',4,1,3,2001,'F','N','CARIANOS','FLORIANOPOLIS','SC','324161167122571411423341211121141057017',NULL,'9999',22.65,4,2,1),(15,2098393,'1988-02-03 00:00:00',4,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217371442469914596144610164097',1040,'270',73.29,1,3,NULL),(15,2098415,'1989-04-26 00:00:00',4,1,12,2005,'M','N','LAGOA NOVA','NATAL','RN','119192191216471431258711472112610137117',3289,'9998',65.29,1,3,NULL),(15,2098431,'1990-12-16 00:00:00',4,7,11,2007,'F','N','CENTRO','CONCORDIA','SC','124241241416111431437833274122610146197',6870,'190',57.40,1,3,NULL),(15,2098440,'1985-12-13 00:00:00',4,1,6,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124243247426332441127744345334610154155',21489,'977',33.75,3,3,NULL),(15,2098458,'1989-09-08 00:00:00',4,5,10,2007,'F','N','RIO MAINA','CRICIUMA','SC','124243241215111431436617372124610134072',7405,'226',56.40,1,3,NULL),(15,2098466,'1989-05-27 00:00:00',4,1,12,2006,'F','N','PRAIA DO FLAMENGO','SALVADOR','BA','105052051214471411348839594124610124047',6937,'9998',57.28,2,3,NULL),(15,2098474,'1990-11-23 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241115131131446532572124610126117',NULL,'298',25.69,1,3,NULL),(15,2098482,'1981-09-04 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANOPOLIS','SC','124212211217131431138812435124141432057',5077,'9998',60.95,1,3,NULL),(15,2098490,'1990-03-22 00:00:00',2,1,12,2007,'F','N','BOM VIVER','BIGUACU','SC','124241241111131411645313372224610136147',12128,'65',48.82,1,2,1),(15,2098504,'1981-09-07 00:00:00',4,1,12,1998,'M','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124124121217473431658633482124141427047',9428,'9998',52.90,4,3,NULL),(15,2098539,'1988-09-06 00:00:00',4,1,12,2005,'F','N','JARDIM SANTANA','VACARIA','RS','120201201116131441446614375122131422047',15303,'9998',44.39,1,2,1),(15,2098547,'1984-07-02 00:00:00',4,1,12,2001,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242241216143431476633445124331221147',8312,'271',54.83,1,3,NULL),(15,2098555,'1988-09-01 00:00:00',4,5,12,2005,'F','N','CENTRO','URUSSANGA','SC','124242248112372411447619272222132423147',7775,'820',55.74,1,3,NULL),(15,2098563,'1989-12-17 00:00:00',4,8,12,2007,'F','N','BUCAREIN','JOINVILLE','SC','124242241235141411332322345124610164172',15190,'486',44.54,1,3,NULL),(15,2098571,'1990-04-28 00:00:00',2,1,12,2007,'F','N','AREIS','SAO JOSE','SC','124242241211371441343431352124610147054',8557,'868',54.43,1,3,NULL),(15,2098580,'1990-02-01 00:00:00',2,4,12,2007,'F','N','CENTRO','MARAVILHA','SC','124243241115131431448632472122610117143',21650,'552',33.38,1,3,NULL),(15,2098598,'1990-08-29 00:00:00',4,5,11,2007,'M','N','BUSSOLO','ORLEANS','SC','124243241217211511348933475114610117052',6191,'820',58.66,1,3,NULL),(15,2098601,'1990-08-27 00:00:00',4,4,12,2007,'F','N','LIDER','CORONEL VIVIDA','PR','116161161117271721333611571125610124187',17241,'9998',41.50,1,2,1),(15,2098610,'1981-11-18 00:00:00',4,1,12,1998,'M','N','CENTRO','PORTO ALEGRE','RS','120202201217142411559813293234241024012',11569,'9998',49.61,1,3,NULL),(15,2098628,'1990-03-07 00:00:00',2,1,11,2007,'M','N','ESTACAO','URUSSANGA','SC','124241241215111421469933415132610124057',5607,'820',59.86,1,3,NULL),(15,2098636,'1989-10-05 00:00:00',2,1,11,2006,'M','N','JARDIM BELA VISTA','CAMPINAS','SP','125251251115471431437614295124610127052',8783,'9998',54.04,1,2,1),(15,2098652,'1991-06-30 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241216121441359811575112610123092',NULL,'1022',28.51,1,3,NULL),(15,2098660,'1969-03-24 00:00:00',2,9,12,1994,'M','N','CENTRO','LAGES','SC','224241247337131432444349196124231052097',NULL,'9999',33.82,1,3,NULL),(15,2098679,'1988-10-13 00:00:00',4,1,12,2005,'F','N','JD CONSORCIO','SAO PAULO','SP','125253253227571441323864275121240631112',14079,'9998',46.07,1,3,NULL),(15,2098687,'1987-08-13 00:00:00',4,8,12,2005,'M','N','PARAISO VERDE','CAMPO ALEGRE','SC','124243241217161451328833445122233234012',17243,'974',41.50,1,3,NULL),(15,2098695,'1983-11-26 00:00:00',2,1,7,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','624241247447371431418648392125610122142',16079,'737',43.25,1,3,NULL),(15,2098709,'1989-09-22 00:00:00',4,4,12,2006,'M','N','NOSSA SRA APARECIDA','FRANCISCO BELTRAO','PR','116163161116472431469911395122610124122',10128,'9998',51.75,1,3,NULL),(15,2098717,'1990-05-26 00:00:00',2,9,12,2007,'F','N','FUNDO CANOAS','RIO DO SUL','SC','124242248217271431336611475122610121077',NULL,'663',26.64,1,3,NULL),(15,2098725,'1989-08-05 00:00:00',4,1,12,2006,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215412431358633575124232122147',1776,'272',70.06,1,3,NULL),(15,2098733,'1987-07-31 00:00:00',4,1,12,2006,'M','N','PRAINHA','FLORIANOPOLIS','SC','124241241142271441424314245124610118047',NULL,'286',9.35,1,2,1),(15,2098741,'1990-01-30 00:00:00',4,1,2,2008,'M','N','SÃO SEBASTIÃO','PALHOCA','SC','124241241116131431646924345124610167057',10731,'739',50.83,4,2,1),(15,2098768,'1990-04-03 00:00:00',4,1,12,2007,'M','N','CENTRO','PELOTAS','RS','120202201217151431467831575125610168182',11131,'9998',50.26,1,3,NULL),(15,2098814,'1991-01-24 00:00:00',4,4,12,2007,'M','N','PRESIDENTE KENNEDY','FRANCISCO BELTRAO','PR','116162161217371411268923574122610162122',17639,'9998',40.88,1,3,NULL),(15,2098830,'1979-10-14 00:00:00',4,1,12,1997,'M','N','CITY AMERICA','SAO PAULO','SP','125252251216571441358172335232342864147',NULL,'9998',0.00,1,3,NULL),(15,2098849,'1989-11-18 00:00:00',2,2,12,2006,'M','N','ASILO','BLUMENAU','SC','124242241215472431459712571121231447142',6823,'202',57.50,4,3,NULL),(15,2098865,'1990-10-04 00:00:00',2,4,12,2007,'M','N','SANTA LUZIA','ABELARDO LUZ','SC','124241242235171431434923575112610117057',NULL,'836',0.00,1,3,NULL),(15,2098873,'1985-09-26 00:00:00',2,1,12,2002,'F','N','FLORESTA','SAO JOSE','SC','124243241111474431455429391124121663147',7844,'307',55.61,1,3,NULL),(15,2098890,'1990-03-20 00:00:00',4,1,12,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215121731488833595122610117122',10850,'266',50.68,1,3,NULL),(15,2098903,'1990-12-01 00:00:00',4,3,12,2007,'F','N','JARDIM AMERICA','ITUPORANGA','SC','124242241215472431557832321122610164141',11339,'9997',49.93,1,3,NULL),(15,2098911,'1990-06-13 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111731327711572122610168112',18615,'9997',39.30,1,3,NULL),(15,2098920,'1990-01-29 00:00:00',4,1,11,2007,'F','N','BARRA DO ARIRIÚ','PALHOCA','SC','124241241215111411326513471124610162143',8846,'737',53.93,1,3,NULL),(15,2098946,'1989-11-12 00:00:00',4,6,12,2006,'F','N','CENTRO','SAO DOMINGOS','SC','124241241235271231535516275125130662187',11094,'836',50.31,1,3,NULL),(15,2098954,'1990-07-21 00:00:00',4,1,12,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124243241415472431369314574324610162192',2116,'270',68.91,4,3,NULL),(15,2098962,'1990-07-02 00:00:00',4,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241225112431558814295124610164047',9379,'1022',52.98,1,3,NULL),(15,2098970,'1990-07-24 00:00:00',4,4,10,2007,'F','N','CENTRO','ERECHIM','RS','120202201217471331439719474112610125147',6863,'9998',57.43,1,3,NULL),(15,2098997,'1990-06-21 00:00:00',4,5,11,2007,'M','N','MICHEL','CRICIUMA','SC','124242241217121711559733292121610168072',3939,'210',63.62,1,3,NULL),(15,2099012,'1988-12-18 00:00:00',4,1,11,2005,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241117131431333313342112610164097',13890,'727',46.33,1,2,1),(15,2099020,'1990-08-14 00:00:00',2,1,12,2007,'M','N','INDEPENDENCIA','PORTO ALEGRE','RS','120202201216111431488823485122610168182',6811,'9998',57.52,1,3,NULL),(15,2099039,'1990-11-13 00:00:00',4,9,11,2007,'M','N','PENHA','LAGES','SC','124242241215371441439714352121610162017',13299,'499',47.18,1,3,NULL),(15,2099047,'1990-11-30 00:00:00',4,4,12,2007,'F','N','COOPER','QUILOMBO','SC','124241241115131431424435272324610127057',14938,'648',44.87,1,2,1),(15,2099055,'1991-11-04 00:00:00',4,2,11,2008,'M','S','SALTO DO NORTE','BLUMENAU','SC','124242241212151411378934575122610164181',NULL,'71',62.25,1,3,NULL),(15,2099063,'1990-03-12 00:00:00',4,7,11,2007,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','124242241215371731358813571112610167142',5377,'454',60.32,1,3,NULL),(15,2099071,'1990-03-27 00:00:00',4,2,11,2007,'F','N','CENTRO','POMERODE','SC','124243241215112731436614591122610136192',7429,'624',56.36,1,3,NULL),(15,2099080,'1988-12-12 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217472431458812372114610161192',6973,'1057',57.21,1,3,NULL),(15,2099101,'1990-12-02 00:00:00',2,4,12,2007,'M','N','INTERIOR','QUILOMBO','SC','124241241135161531526634573324610134057',NULL,'648',26.68,1,2,1),(15,2099110,'1990-05-08 00:00:00',2,8,12,2007,'F','N','RIO BRANCO','MAFRA','SC','124241241112141421624326573224610112147',NULL,'542',0.00,1,3,NULL),(15,2099128,'1983-11-25 00:00:00',4,1,12,2001,'M','N','CAPAO REDONDO','SAO PAULO','SP','125252253246571411333824485122140226097',9424,'9998',52.91,1,3,NULL),(15,2099136,'1990-04-09 00:00:00',4,7,11,2007,'M','N','CENTRO','ERVAL VELHO','SC','124242241215151431333923594124610124012',2459,'446',67.75,1,3,NULL),(15,2099144,'1990-03-24 00:00:00',4,1,11,2007,'M','N','PITUBA','SALVADOR','BA','105052051217211731556611175122610167042',7016,'9998',57.12,4,3,NULL),(15,2099152,'1983-06-15 00:00:00',4,8,12,2001,'F','N','PORTÃO','CURITIBA','PR','116162161217571231248633375114142566187',5655,'9998',59.77,1,3,NULL),(15,2099160,'1989-12-29 00:00:00',2,7,12,2006,'F','N','CENTRO','SANTA MARIA','RS','120201201127471431423334574344610123077',NULL,'9998',0.00,1,2,1),(15,2099179,'1989-06-13 00:00:00',2,5,12,2007,'F','N','CENTRO','GRAVATAI','RS','120204201415372431336611272222610121147',9265,'9998',53.17,1,3,NULL),(15,2099187,'1978-10-08 00:00:00',4,1,12,1999,'M','N','COHAB','CARAPICUIBA','SP','125251251127571311534419281214610164043',8819,'9998',53.98,4,2,1),(15,2099195,'1973-04-01 00:00:00',2,1,11,1993,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124171173132374741124441412124322725147',NULL,'9998',6.06,1,3,NULL),(15,2099209,'1990-08-31 00:00:00',2,1,12,2007,'F','N','BARRA DO ARIRIÚ','PALHOCA','SC','124241241115131431336614342124610127097',15445,'592',44.19,1,2,1),(15,2099217,'1990-02-15 00:00:00',4,8,12,2007,'M','N','BATEIAS DE BAIXO','CAMPO ALEGRE','SC','124241241117141411534512241334610144047',10756,'132',50.79,1,2,1),(15,2099225,'1989-09-19 00:00:00',4,1,11,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242248215412431479812575114610164041',3130,'270',65.76,1,3,NULL),(15,2099233,'1984-01-13 00:00:00',4,1,10,2005,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124201207146231711327349292334610128147',NULL,'9998',20.09,1,2,1),(15,2099250,'1990-04-29 00:00:00',4,1,12,2007,'M','N','LAGO SUL','LAGO SUL','DF','107072071217271431679931285112610132042',11156,'9998',50.23,1,3,NULL),(15,2099268,'1989-02-13 00:00:00',4,6,12,2006,'M','N','CENTRO','CURITIBA','PR','116113111217371432658616575124610167053',7790,'9998',55.71,1,3,NULL),(15,2099276,'1990-09-19 00:00:00',4,4,12,2007,'M','N','INTERIOR','QUILOMBO','SC','124241241115161521423435572324610117057',19153,'648',38.43,1,2,1),(15,2099284,'1990-04-14 00:00:00',4,6,12,2007,'M','N','CABEÇUDAS','ITAJAI','SC','124245241215111451448931444124610124052',4172,'1026',62.98,1,3,NULL),(15,2099306,'1991-05-15 00:00:00',4,1,12,2008,'F','S','INGLESES','FLORIANOPOLIS','SC','124242241215111431488933574112610123192',NULL,'270',17.66,1,3,NULL),(15,2099314,'1990-06-10 00:00:00',2,4,12,2007,'M','N','PROGRESSO','SAO LOURENCO DO OESTE','SC','124241241135151431416334243222610162174',13839,'744',46.40,1,3,NULL),(15,2099322,'1990-10-10 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215112731254923272124610142172',579,'737',76.19,1,3,NULL),(15,2099330,'1989-07-22 00:00:00',4,8,12,2006,'M','N','VILA HOLANDESA','ARAPOTI','PR','116162161215471431469919572122610113092',NULL,'9998',0.00,1,3,NULL),(15,2099349,'1984-06-24 00:00:00',2,1,12,2002,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241211222421226944342334133227013',9087,'974',53.49,1,3,NULL),(15,2099357,'1990-05-28 00:00:00',4,1,11,2007,'F','N','PARQUE IMPERIAL','SAO PAULO','SP','125062251217471431367823575122610124092',4540,'9998',62.16,1,3,NULL),(15,2099365,'1989-01-29 00:00:00',2,1,11,2006,'F','N','SAVEIRO','BIGUACU','SC','124241241117132431536334572314610134182',NULL,'257',28.01,1,3,NULL),(15,2099373,'1985-12-21 00:00:00',2,1,12,2004,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242247247374431466619442113610143112',12727,'300',47.95,1,3,NULL),(15,2099381,'1986-08-24 00:00:00',4,8,12,2004,'F','N','VILA NOVA','MAFRA','SC','124241241215471431553832572122143261147',4343,'541',62.62,1,3,NULL),(15,2099390,'1962-10-12 00:00:00',4,1,12,1982,'M','N','ABRAÃO','FLORIANOPOLIS','SC','224241241121112111332211311111121717141',17279,'307',41.44,1,3,NULL),(15,2099403,'1989-02-27 00:00:00',2,1,12,2007,'F','N','COQUEROS','FLORIANOPOLIS','SC','124242241215111411469913572122610133077',NULL,'1022',23.44,1,3,NULL),(15,2099411,'1987-09-14 00:00:00',4,3,12,2004,'M','N','CENTRO','CAMBORIU','SC','124241241126271441444612245122130625112',12335,'49',48.52,4,3,NULL),(15,2099446,'1991-05-03 00:00:00',4,1,1,2008,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124243241115131431546614374124610124147',10150,'739',51.71,1,3,NULL),(15,2099454,'1988-03-22 00:00:00',2,8,12,2005,'F','N','VILA ISABEL','CURITIBA','PR','116241161416571431357814385124610133097',6979,'9998',57.21,1,3,NULL),(15,2099462,'1985-10-17 00:00:00',2,1,11,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241315331731536619272124133267182',15616,'541',43.92,1,3,NULL),(15,2099470,'1989-10-18 00:00:00',4,7,12,2006,'M','N','CENTRO','JOACABA','SC','124242161216471741489811575124610163022',NULL,'9998',0.00,1,3,NULL),(15,2099497,'1990-01-04 00:00:00',2,1,11,2006,'M','N','SANTA CATARINA','ERECHIM','RS','120202201217472231436634572124510127092',2078,'9998',69.03,1,3,NULL),(15,2099500,'1989-09-14 00:00:00',4,1,12,2006,'M','N','JARDIM PETROPOLIS','IBITINGA','SP','125253251216472441446614395121610127042',1492,'9998',71.24,4,3,NULL),(15,2099519,'1990-03-19 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241416131432569614442124610163102',563,'262',76.33,1,3,NULL),(15,2099535,'1988-10-16 01:00:00',2,1,11,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124243241215471731646619391114610146172',9314,'270',53.10,1,3,NULL),(15,2099543,'1991-01-04 00:00:00',2,1,12,2007,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124243241215151431538823375122610167142',6677,'1014',57.77,1,3,NULL),(15,2099551,'1989-08-12 00:00:00',4,1,12,2006,'F','N','CENTRO','XAVANTINA','SC','124241241144411741523319582314610127052',13909,'844',46.30,1,2,1),(15,2099578,'1990-10-24 00:00:00',4,3,12,2007,'F','N','VILA RODRIGUES','PASSO FUNDO','RS','120202201216111431458832571114610122012',5526,'9998',60.00,1,3,NULL),(15,2099608,'1990-08-03 00:00:00',3,1,12,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124244247437171411648832441124610165077',12898,'9999',47.72,1,3,NULL),(15,2099640,'1988-02-04 00:00:00',2,1,12,2005,'F','N','ROCADO','SAO JOSE','SC','124242241217273431336824445114610125147',13261,'988',47.22,1,3,NULL),(15,2099659,'1990-12-25 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241217111731358813572112610124145',NULL,'262',47.80,1,3,NULL),(15,2099667,'1991-08-31 00:00:00',4,1,12,2008,'F','S','CANASVIEIRAS','FLORIANOPOLIS','SC','124244241215111731426411415124610136142',NULL,'266',33.77,1,3,NULL),(15,2099675,'1989-03-16 00:00:00',4,1,12,2006,'M','N','VILA TEIXEIRA','FRANCA','SP','125252251215472441468831315122610127017',3767,'9998',64.05,1,3,NULL),(15,2099683,'1990-07-01 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215371441579934572122610117082',6348,'262',58.36,1,3,NULL),(15,2099691,'1989-11-16 00:00:00',4,1,11,2006,'F','N','KOBRASOL','SAO JOSE','SC','124254251215372431324314392314610138192',7675,'9998',55.90,2,1,2),(15,2099705,'1990-05-11 00:00:00',2,1,12,2007,'M','N','CENTRO','SANTA MARIA','RS','120203201217111431454923595115610117012',15974,'9998',43.43,1,3,NULL),(15,2099713,'1984-03-20 00:00:00',2,1,12,2003,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241112131311426624572114610124097',20276,'307',36.28,2,2,1),(15,2099721,'1990-03-19 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242248215111431239929292122610167097',15997,'1022',43.40,1,3,NULL),(15,2099730,'1990-07-09 00:00:00',4,1,12,2007,'M','N','VILA VIVIANE','SANTA RITA DO PASSA QUATRO','SP','125252251215111231333921575122610167097',15302,'9998',44.40,1,3,NULL),(15,2099748,'1990-07-09 00:00:00',4,1,12,2007,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124242241215111431466612172112610124071',5289,'270',60.54,4,3,NULL),(15,2099756,'1990-04-06 00:00:00',4,7,12,2007,'F','N','CENTRO','SALTO VELOSO','SC','124241241115161431356423375122610131182',7279,'1113',56.64,1,2,1),(15,2099764,'1988-05-11 00:00:00',2,5,12,2005,'F','N','SÃO BENTO','BENTO GONCALVES','RS','120204201136371431443514285114141432072',18677,'9998',39.20,1,3,NULL),(15,2099772,'1988-10-09 00:00:00',4,1,11,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124252241215573451579814292315610134041',7264,'270',56.67,1,3,NULL),(15,2099780,'1990-01-01 00:00:00',2,8,11,2007,'F','N','GUANABARA','JOINVILLE','SC','124242241215111411366612575112610167142',21277,'1016',34.27,1,3,NULL),(15,2099799,'1989-07-24 00:00:00',4,1,12,2006,'M','N','CAMPO BELO','SAO PAULO','SP','125252251217471431489811575122610124126',NULL,'9998',0.00,1,3,NULL),(15,2099802,'1986-05-14 00:00:00',4,1,12,2003,'F','N','SÃO GERLALDO','PORTO ALEGRE','RS','120251251436271421233614341324142724047',19978,'9998',36.88,1,3,NULL),(15,2099810,'1990-01-24 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215111431428839392122610123147',4950,'226',61.19,1,3,NULL),(15,2099829,'1982-04-15 00:00:00',4,1,12,1999,'F','N','ARROIO GRANDE','SANTA CRUZ DO SUL','RS','120202201117372431457729592122240447187',NULL,'9998',0.00,1,3,NULL),(15,2099837,'1989-12-19 00:00:00',2,9,12,2007,'M','N','BORGES','ANITA GARIBALDI','SC','124241241115111411523435571344610162057',15324,'580',44.37,1,2,1),(15,2099845,'1964-07-19 00:00:00',2,1,12,1994,'F','N','INGLESES','FLORIANOPOLIS','SC','224251253127143731223454242334610134027',21521,'9998',33.68,1,2,1),(15,2099853,'1989-05-13 00:00:00',4,8,12,2007,'M','N','BACACHERI','CURITIBA','PR','116161161115131441536734571224610126042',14609,'9998',45.26,1,2,1),(15,2099861,'1991-01-23 00:00:00',2,5,11,2008,'F','S','VILA BEATRIZ','MARACAJA','SC','124241241215111431447511414124610124182',NULL,'27',44.82,1,3,NULL),(15,2099870,'1986-08-31 00:00:00',4,1,11,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124252241215574431579814292315610124097',3668,'446',64.31,1,3,NULL),(15,2099888,'1990-08-01 00:00:00',2,2,11,2007,'M','N','SÃO BRAZ','CURITIBA','PR','116162161215471431635814144124610167012',NULL,'9998',0.00,1,3,NULL),(15,2099896,'1987-07-21 00:00:00',2,3,12,2004,'F','N','CENTRO','BOSSOROCA','RS','120202201237321431426923582124243133027',22264,'9998',31.23,1,3,NULL),(15,2099918,'1989-08-15 00:00:00',2,1,11,2006,'M','N','JARDIM CIDADE','SAO JOSE','SC','124244241211312421448623385122610117112',7891,'738',55.53,1,3,NULL),(15,2099934,'1990-09-12 00:00:00',4,1,11,2007,'M','N','URBANOVA','SAO JOSE DOS CAMPOS','SP','125252251235111731478834394112610162047',2673,'9998',67.12,3,3,NULL),(15,2099942,'1989-12-18 00:00:00',4,1,11,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124122241217372431466712575114610162092',4385,'1038',62.51,1,3,NULL),(15,2099950,'1989-10-23 00:00:00',4,1,11,2007,'F','N','VILA BETÂNIA','SAO JOSE DOS CAMPOS','SP','125252251215111431469814571122610127142',5278,'9998',60.56,1,3,NULL),(15,2099977,'1986-06-08 00:00:00',4,4,11,2003,'M','N','INTERIOR','FRANCISCO BELTRAO','PR','116241241126132431533616392234610134067',15405,'351',44.25,1,2,1),(15,2099993,'1985-12-18 00:00:00',2,1,7,2005,'M','N','PRAIA DE FORA','PALHOCA','SC','124243241127272411642633341124130763171',18275,'594',39.83,1,3,NULL),(15,2100002,'1986-05-14 00:00:00',4,1,11,2003,'M','N','JARDIM PAULISTA','SAO PAULO','SP','125254251217573431569911471122610127092',3764,'9998',64.05,1,3,NULL),(15,2100010,'1986-05-13 00:00:00',4,2,12,2004,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241215571731348839582112131362197',17549,'855',41.02,1,3,NULL),(15,2100029,'1986-12-19 00:00:00',4,1,12,2003,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242161236475431456831575112610122017',172,'9998',80.30,1,3,NULL),(15,2100037,'1990-11-19 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124244241215112411469933475124610163185',8379,'272',54.72,1,3,NULL),(15,2100053,'1990-01-20 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215111431557852572122610121012',6800,'9997',57.54,1,3,NULL),(15,2100061,'1990-09-18 00:00:00',4,3,12,2007,'F','N','DAS NACOES','BALNEARIO CAMBORIU','SC','124241241117131411334923572324610158147',NULL,'49',21.56,1,3,NULL),(15,2100070,'1990-07-06 00:00:00',4,7,12,2007,'F','N','CENTRO','SAO JOSE DO OURO','RS','120201201116131421436933572124610128147',15026,'9998',44.76,1,2,1),(15,2100088,'1988-08-10 00:00:00',2,8,12,2005,'F','N','RAIA','PARANAGUA','PR','116162161216372431546323572124143234147',NULL,'9998',0.00,4,3,NULL),(15,2100096,'1990-12-29 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241315111431236624575114610146142',16067,'1022',43.27,4,3,NULL),(15,2100100,'1989-07-17 00:00:00',2,1,11,2006,'F','N','CENTRO','SANTA TEREZINHA DE ITAIPU','PR','116164161317111711357619595112240616192',12938,'9998',47.66,4,3,NULL),(15,2100126,'1989-07-27 00:00:00',4,3,12,2006,'M','N','CENTRO','ANAPOLIS','GO','109092091216471411248829575112610161042',13685,'9998',46.64,4,3,NULL),(15,2100134,'1990-02-23 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241215172411638611145114610138092',6386,'1022',58.28,3,3,NULL),(15,2100142,'1989-06-22 00:00:00',4,1,12,2006,'F','N','JD CIDADE FPOLIS','SAO JOSE','SC','124243241215272431356819242114610124077',9967,'943',51.98,1,3,NULL),(15,2100150,'1990-02-17 00:00:00',4,6,12,2007,'F','N','FAZENDA','ITAJAI','SC','124242241215151431433739385125610126177',5477,'389',60.10,4,3,NULL),(15,2100169,'1989-07-09 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241316372441226824472124610168017',1440,'267',71.49,1,3,NULL),(15,2100177,'1990-01-20 00:00:00',2,9,12,2006,'M','N','CENTRO','VACARIA','RS','120202201215572421578811542112610167141',NULL,'9998',NULL,1,3,NULL),(15,2100185,'1986-10-24 00:00:00',2,1,12,2004,'M','N','BELA VISTA I','SAO JOSE','SC','124241241136371421446229482213610137067',20333,'726',36.17,1,2,1),(15,2100193,'1991-07-22 00:00:00',4,1,12,2007,'M','N','ELDORADO','CUIABA','MT','111112111236151451469931575112610167057',2967,'9998',66.25,1,3,NULL),(15,2100231,'1989-08-03 00:00:00',3,1,11,2007,'M','N','MARIA IZABEL','MARILIA','SP','125252251217121431389931411112610164046',3695,'9998',64.23,1,3,NULL),(15,2100240,'1990-05-01 00:00:00',4,8,1,2008,'M','N','CENTRO','CANOINHAS','SC','124242241217112431448714472122610127072',2759,'154',66.85,1,3,NULL),(15,2100274,'1990-04-27 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215151431488812485121610127132',6792,'883',57.56,1,3,NULL),(15,2100304,'1990-03-11 00:00:00',4,1,12,2007,'F','N','CENTRO','SOROCABA','SP','125252258217111431669924575114610144022',12460,'9998',48.35,1,3,NULL),(15,2100312,'1989-11-21 00:00:00',2,1,12,2007,'M','N','JARDIN SÃO PAULO','SAO JOAO BATISTA','SC','124241241125131731223329242341610134187',18213,'712',39.95,1,2,1),(15,2100320,'1990-11-09 00:00:00',4,8,12,2007,'F','N','GUABIROTUBA','CURITIBA','PR','116162161215111431479934572122610162142',NULL,'9998',0.00,1,3,NULL),(15,2100339,'1990-05-22 00:00:00',4,1,12,2007,'M','N','JARDIM GOIÁS','GOIANIA','GO','109092091217111431558812572122610117047',3645,'9998',64.38,1,3,NULL),(15,2100347,'1991-05-06 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124243241312111431237634575124610167147',5988,'272',59.10,1,3,NULL),(15,2100355,'1990-02-13 00:00:00',2,2,12,2007,'M','N','NOSSA SRA DAS DORES','GUAXUPE','MG','113131131117471431338514575124610162197',9573,'9998',52.64,1,2,1),(15,2100363,'1991-04-11 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111421469814472112610144117',NULL,'262',34.46,1,3,NULL),(15,2100380,'1990-09-08 00:00:00',4,4,12,2007,'M','N','CENTRO','TUNAPOLIS','SC','124241241315131731458713575121610127052',10181,'812',51.66,1,3,NULL),(15,2100398,'1988-11-28 00:00:00',2,1,12,2006,'M','N','CRIMEIA LESTE','GOIANIA','GO','109094091432411431638614572121610124042',8225,'9998',54.97,1,3,NULL),(15,2100401,'1987-06-15 00:00:00',4,1,10,2005,'M','N','CANTO DOS GANCHOS','GOVERNADOR CELSO RAMOS','SC','124241241116373431433814242134221417047',NULL,'306',0.00,1,2,1),(15,2100428,'1988-07-07 00:00:00',4,6,12,2005,'F','N','SÃO VICENTE','ITAJAI','SC','124241241416574431446616575124610166177',1983,'391',69.31,1,3,NULL),(15,2100436,'1990-09-11 00:00:00',2,8,12,2007,'F','N','JARDIM IGUAÇU','MARINGA','PR','116162161216111731448814572112210163187',NULL,'9998',0.00,1,3,NULL),(15,2100452,'1982-01-23 00:00:00',2,1,12,1999,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124242241215275431467612345122222367182',7390,'266',56.43,1,3,NULL),(15,2100460,'1990-06-29 00:00:00',4,2,12,2007,'M','N','DAS NAÇÕES','INDAIAL','SC','124242241215111741343531272222610118057',NULL,'925',NULL,1,3,NULL),(15,2100479,'1980-02-16 00:00:00',4,1,12,1997,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242243126154411133344245134322164095',9398,'658',52.95,1,3,NULL),(15,2100487,'1991-02-15 00:00:00',4,6,12,2008,'F','S','PRAIA BRAVA','ITAJAI','SC','124242241216111431479914574122610113062',NULL,'1038',46.46,1,3,NULL),(15,2100495,'1990-06-26 00:00:00',4,1,11,2007,'F','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124212241215151431589934576124610163092',2886,'262',66.48,4,3,NULL),(15,2100509,'1986-08-04 00:00:00',4,4,12,2003,'M','N','JARDIM PANORAMA','FOZ DO IGUACU','PR','116162161217131441358839585124342244172',9827,'9998',52.22,1,3,NULL),(15,2100517,'1990-11-05 00:00:00',4,8,12,2008,'F','S','UBATUBA','SAO FRANCISCO DO SUL','SC','124242241234111431455732332124610166192',NULL,'867',0.00,1,3,NULL),(15,2100525,'1989-11-20 00:00:00',4,1,2,2008,'M','N','ALTO ARIRIÚ','PALHOCA','SC','124242241117271431556812571224610147017',4430,'739',62.42,4,3,NULL),(15,2100533,'1990-04-16 00:00:00',4,1,12,2007,'F','N','CENTRO','SANTO ANGELO','RS','120204201216271441438831372124610133027',NULL,'9998',0.00,1,3,NULL),(15,2100541,'1990-10-12 00:00:00',4,7,11,2007,'F','N','CENTRO','JABORA','SC','124242248215111221479811594122610137142',14821,'1038',44.99,1,3,NULL),(15,2100550,'1986-03-20 00:00:00',2,1,12,2004,'F','N','CARIANOS','FLORIANOPOLIS','SC','624241247322133441251354272224222317062',16205,'9999',43.05,1,3,NULL),(15,2100568,'1973-05-02 00:00:00',4,1,9,2000,'F','N','CENTRO','FLORIANOPOLIS','SC','124241248112474411224144442221610167182',NULL,'9999',26.27,1,3,NULL),(15,2100584,'1990-01-03 00:00:00',4,8,12,2007,'F','N','ÁGUA VERDE','JARAGUA DO SUL','SC','124243241216121431458814575122610124172',5891,'442',59.27,1,3,NULL),(15,2100592,'1989-12-23 00:00:00',2,1,12,2007,'F','N','GUARDA DO CUBATAO','PALHOCA','SC','124241241112111321434413575124610114142',18092,'592',40.16,3,2,1),(15,2100614,'1987-04-30 00:00:00',4,1,12,2004,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117473411356833171124610128044',14225,'307',45.83,1,2,1),(15,2100622,'1987-10-15 00:00:00',4,1,12,2005,'F','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124242241215573431589711575122610167042',2908,'262',66.42,1,3,NULL),(15,2100630,'1986-10-21 00:00:00',4,5,11,2004,'M','N','CENTRO','CRICIUMA','SC','124242241217153751556772424125231122122',5842,'226',59.38,1,3,NULL),(15,2100649,'1979-05-04 00:00:00',4,1,11,1998,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124162161217132431656823315121233227087',15126,'9998',44.64,1,3,NULL),(15,2100657,'1987-04-14 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241127373421433413132124610147067',9275,'307',53.16,1,2,1),(15,2100665,'1982-03-26 00:00:00',4,2,12,1998,'F','N','PONTA AGUDA','BLUMENAU','SC','116242241217373751578831315132331062042',7508,'855',56.21,1,3,NULL),(15,2100673,'1989-10-04 00:00:00',2,1,12,2007,'F','N','PASSA VINTE','PALHOCA','SC','124242241235372731426634345124610133187',19198,'1011',38.35,1,3,NULL),(15,2100681,'1989-06-16 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','116162241216132431578613375122241063092',8681,'270',54.20,1,3,NULL),(15,2100690,'1987-11-03 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244241416574541478613574114120835142',4574,'260',62.07,1,3,NULL),(15,2100720,'1989-10-25 00:00:00',2,8,12,2006,'M','N','CENTRO','MAFRA','SC','124241161212372411639913573341610167142',9157,'9998',53.34,1,3,NULL),(15,2100738,'1990-05-07 00:00:00',2,1,11,2007,'F','N','SÃO JOSÉ','SAO JOSE','SC','124241241137271451426923371124610132187',21440,'728',33.87,1,2,1),(15,2100746,'1984-02-16 00:00:00',4,1,12,2001,'F','N','CENTRO','CARAGUATATUBA','SP','125252251216151451559711585115342164127',NULL,'9998',0.00,1,3,NULL),(15,2100762,'1990-04-15 00:00:00',4,1,7,2007,'F','N','PÂNTANO DO SUL','FLORIANOPOLIS','SC','124242247215371331369712425122610164181',20504,'270',35.87,1,3,NULL),(15,2100770,'1990-08-11 00:00:00',4,8,10,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215111431556611595112610132052',4724,'486',61.70,1,3,NULL),(15,2100789,'1987-01-16 00:00:00',2,2,12,2004,'F','N','UVARANAS','PONTA GROSSA','PR','116251251116371411426632275124610144017',18824,'9998',38.95,1,3,NULL),(15,2100800,'1985-08-04 00:00:00',2,1,12,2002,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241116373731245679345234610144197',8536,'710',54.46,1,2,1),(15,2100819,'1990-05-29 00:00:00',4,1,12,2007,'F','N','RIO BRANCO','PORTO ALEGRE','RS','120203201217121411338613575124610137022',5109,'9998',60.89,1,3,NULL),(15,2100827,'1990-05-27 00:00:00',4,1,12,2007,'F','N','OURO FINO','SOROCABA','SP','125253251216111421457831575122610131142',22098,'9998',31.93,1,3,NULL),(15,2100843,'1991-07-13 00:00:00',4,8,11,2008,'M','S','AMERICA','JOINVILLE','SC','124242241215111431459811575122610167082',NULL,'491',56.51,1,3,NULL),(15,2100860,'1988-07-04 00:00:00',4,7,12,2005,'M','N','IMIGRANTES','CONCORDIA','SC','124244241116372431457614475122133264012',4318,'192',62.67,1,3,NULL),(15,2100878,'1989-04-16 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212373231358819592114610163112',12305,'266',48.57,1,3,NULL),(15,2100886,'1992-01-30 00:00:00',4,4,12,2008,'F','S','CENTRO','CHAPECO','SC','124242241215111531348812372122610141182',NULL,'168',43.74,1,3,NULL),(15,2100894,'1990-09-09 00:00:00',2,4,12,2007,'F','N','CENTRO','PLANALTO','RS','120201201116131431434913235122610143077',20910,'9998',35.06,1,2,1),(15,2100916,'1990-09-01 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241215472431469811415122610122092',5185,'270',60.73,1,3,NULL),(15,2100924,'1989-06-19 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124202201217372431468613575114610132052',5582,'9998',59.91,1,3,NULL),(15,2100932,'1990-10-12 00:00:00',4,1,12,2007,'F','N','JARDIM UNIVERSITARIO','CUIABA','MT','111112111232121431448832575112610167052',4557,'9998',62.13,1,3,NULL),(15,2100940,'1991-02-09 00:00:00',2,4,12,2007,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241216111431646612222122610143142',2462,'751',67.73,1,3,NULL),(15,2100959,'1988-05-18 00:00:00',2,8,12,2006,'M','N','CENTRO','RIO NEGRO','PR','116241161213372411234822573341610166102',7440,'9998',56.35,1,3,NULL),(15,2100967,'1983-10-28 00:00:00',4,1,11,2001,'M','N','NOVA VINHEDO','VINHEDO','SP','125253258337151731436519275112610118187',NULL,'9998',0.00,1,3,NULL),(15,2100975,'1988-07-21 00:00:00',2,1,11,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244247412472411365923482114610117042',19552,'9999',37.72,1,3,NULL),(15,2100991,'1989-01-17 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241212372231438819442114610167143',19557,'266',37.71,1,3,NULL),(15,2101009,'1987-04-29 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124243247235472431368723575124610164182',7777,'9999',55.73,1,3,NULL),(15,2101025,'1991-01-04 00:00:00',2,1,12,2008,'F','S','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215111431264923576124610121182',NULL,'270',34.51,1,3,NULL),(15,2101041,'1990-11-15 00:00:00',2,8,11,2007,'M','N','AMÉRICA','JOINVILLE','SC','124242241212111431576612245122610164017',17782,'491',40.70,1,3,NULL),(15,2101068,'1989-03-18 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431458833572122133268141',1110,'270',72.98,1,3,NULL),(15,2101076,'1990-04-07 00:00:00',2,1,11,2007,'M','N','PASSA VINTE','PALHOCA','SC','124241241112131411436612252124610114175',17695,'591',40.81,3,2,1),(15,2101092,'1990-03-06 00:00:00',4,1,12,2007,'F','N','BOM RETIRO','CURITIBA','PR','116162161216111431436313571124610137147',6259,'9998',58.52,1,3,NULL),(15,2101106,'1989-09-22 00:00:00',2,1,12,2007,'M','N','FORQUILHAS','SAO JOSE','SC','124243241317131431525614345124610167042',17632,'733',40.89,4,3,NULL),(15,2101114,'1989-08-11 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124242241216152431346934575124230227047',6385,'738',58.29,1,3,NULL),(15,2101122,'1990-04-23 00:00:00',4,9,12,2007,'F','N','INDEPENDÊNCIA','POUSO REDONDO','SC','124243241125151431436534345122610166092',NULL,'639',20.54,1,3,NULL),(15,2101130,'1989-03-12 00:00:00',4,2,12,2006,'F','N','CENTRO','RIO NEGRO','PR','116242241215471411538721575325610123142',5738,'541',59.58,1,3,NULL),(15,2101149,'1985-02-03 00:00:00',2,3,8,2004,'F','N','VILA REAL','BALNEARIO CAMBORIU','SC','124203201232131221623779572214141227147',NULL,'9998',0.00,1,3,NULL),(15,2101157,'1989-10-26 00:00:00',4,8,12,2006,'M','N','PQ LIMEIRA ÁREA UM','TELEMACO BORBA','PR','116161161112471431336723572124610132072',13427,'9998',46.99,1,2,1),(15,2101165,'1990-08-25 00:00:00',4,4,11,2007,'M','N','CENTRO','SINOP','MT','111112111216111411348411594111610167042',1328,'9998',71.98,1,3,NULL),(15,2101173,'1986-03-18 00:00:00',2,1,7,2004,'M','N','BOM VIVER','BIGUACU','SC','124243247247273411421529192323610167097',9037,'9999',53.59,1,3,NULL),(15,2101181,'1990-10-19 00:00:00',2,8,12,2007,'M','N','CENTRO','CORUPA','SC','124242241217121431438923574112610167057',9307,'442',53.11,1,3,NULL),(15,2101203,'1988-08-04 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241215574241343924485124230224143',5656,'9997',59.77,4,3,NULL),(15,2101211,'1990-06-04 00:00:00',4,8,11,2007,'F','N','VISTA ALEGRE','CURITIBA','PR','116162161216121431238627575122610137143',NULL,'9998',0.00,1,3,NULL),(15,2101220,'1979-02-18 00:00:00',4,1,12,1996,'F','N','PANTANAL','FLORIANOPOLIS','SC','224242241217473421258653471124322846192',663,'70',75.66,1,3,NULL),(15,2101238,'1989-11-03 00:00:00',4,1,12,2007,'M','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124241241315121411336824492124610124173',813,'1098',74.66,1,3,NULL),(15,2101246,'1989-06-13 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215111431246824572322610123147',NULL,'951',0.00,1,3,NULL),(15,2101254,'1990-01-26 00:00:00',4,4,12,2007,'F','N','CRISTO REI','CHAPECO','SC','124241241141271331536614241124610122057',20240,'916',36.34,1,2,1),(15,2101262,'1990-07-07 00:00:00',4,10,11,2007,'F','N','OFICINAS','TUBARAO','SC','124242241217111431469934344122610126142',722,'806',75.21,1,3,NULL),(15,2101270,'1990-06-18 00:00:00',4,1,12,2007,'F','N','CENTRO','LONDRINA','PR','116162161137111431468812571112610136142',7489,'9998',56.25,1,3,NULL),(15,2101289,'1990-03-13 00:00:00',2,1,11,2007,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124242241215111411433319575111610148077',9506,'1011',52.77,1,3,NULL),(15,2101300,'1989-01-04 00:00:00',4,3,12,2006,'F','N','CENTRO','CURITIBA','PR','116242241216471411448611572125610164122',NULL,'154',0.00,1,3,NULL),(15,2101319,'1987-01-01 00:00:00',4,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124244247223471711126631333124132836123',NULL,'9997',17.18,1,3,NULL),(15,2101327,'1990-08-28 00:00:00',4,1,12,2007,'M','N','JUNDIAÍ','ANAPOLIS','GO','109091091211111441367813481215610167172',3897,'9998',63.75,1,3,NULL),(15,2101335,'1990-02-27 00:00:00',4,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215372411149923575124610126042',493,'262',76.86,1,3,NULL),(15,2101343,'1989-10-06 00:00:00',4,3,12,2007,'F','N','PEREQUE','PORTO BELO','SC','124254241215111431536619374134610148092',8776,'855',54.05,1,3,NULL),(15,2101351,'1990-07-03 00:00:00',4,2,10,2007,'F','N','RIBEIRAO CLARA','POMERODE','SC','124242241215111431346822495124610127072',13199,'855',47.33,1,3,NULL),(15,2101360,'1990-03-08 00:00:00',4,8,12,2007,'M','N','JARDIM ISMÊNIA','SAO JOSE DOS CAMPOS','SP','125251251215131431426663375124610135092',1613,'9998',70.76,4,3,NULL),(15,2101378,'1989-08-24 00:00:00',4,1,12,2007,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241217121451568613572124610143145',1346,'262',71.89,1,3,NULL),(15,2101394,'1989-03-14 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','624243241415272731668344442124133268147',9910,'1036',52.07,1,3,NULL),(15,2101408,'1989-07-19 00:00:00',4,8,12,2006,'M','N','IRIRIU','JOINVILLE','SC','124241241117271411456619245224610122161',12689,'469',48.00,1,2,1),(15,2101424,'1990-12-06 00:00:00',4,7,12,2007,'M','N','CENTRO','JOACABA','SC','124242241215371431579814442112610167182',4495,'962',62.26,1,3,NULL),(15,2101432,'1989-12-06 00:00:00',2,10,11,2007,'F','N','VILA NOVA','IMBITUBA','SC','124241247416271431438824575122610168147',21999,'9999',32.26,1,3,NULL),(15,2101440,'1990-09-01 00:00:00',4,8,11,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116244161215111411288613574112610136012',NULL,'541',0.00,1,3,NULL),(15,2101459,'1989-12-11 00:00:00',2,1,12,2006,'F','N','PARQUE DE EXPOSIÇOES','CONCORDIA','SC','124242241211371431436616575122610147052',10793,'1000',50.75,1,3,NULL),(15,2101467,'1988-10-20 00:00:00',2,1,11,2007,'M','N','AGRÔNOMICA','FLORIANOPOLIS','SC','124241241415121441336634475121610124067',18740,'272',39.09,1,3,NULL),(15,2101475,'1990-05-04 00:00:00',4,8,12,2007,'M','N','JARDIM MORUMBI','SAO JOSE DOS CAMPOS','SP','125251251215111441333631572124610137152',1578,'9998',70.88,1,3,NULL),(15,2101483,'1990-11-28 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','111112111217111431438834575122610137042',4314,'9998',62.67,1,3,NULL),(15,2101491,'1986-06-28 00:00:00',2,1,6,2007,'M','N','ENSEADA DE BRITO','PALHOCA','SC','124243247327131431433611315112610127141',20745,'9999',35.41,1,3,NULL),(15,2101505,'1990-01-15 00:00:00',2,7,11,2007,'F','N','MATRIZ','VIDEIRA','SC','124241241236111431359614395125610231092',NULL,'969',21.62,1,3,NULL),(15,2101513,'1985-10-11 00:00:00',2,1,12,2003,'M','N','CENTRO','PALHOCA','SC','124242241215575431556832576124610167097',528,'589',76.57,1,3,NULL),(15,2101521,'1990-11-27 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','111112111216171431436834595122610162092',6085,'9998',58.92,1,3,NULL),(15,2101530,'1985-08-23 00:00:00',2,1,12,2002,'M','N','SAO SEBASTIAO','PIRES DO RIO','GO','109092091215571431466824574112610122187',8965,'9998',53.72,1,3,NULL),(15,2101548,'1989-02-11 00:00:00',4,8,12,2006,'F','N','CENTRO','SAO BENTO DO SUL','SC','124242241216472431568714571114610126147',10241,'974',51.57,1,3,NULL),(15,2101556,'1989-08-07 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124164241215472451559814575114610168147',2705,'262',67.01,1,3,NULL),(15,2101564,'1990-06-07 00:00:00',2,5,11,2007,'F','N','SÃO CRISTÓVÃO','TURVO','SC','124241241112131431656919492121610127142',NULL,'814',32.50,1,2,1),(15,2101572,'1991-04-01 00:00:00',2,10,11,2008,'M','S','MARGROSSO','LAGUNA','SC','124242241215111711566632575124610117062',NULL,'807',0.00,1,3,NULL),(15,2101580,'1980-02-27 00:00:00',2,1,12,1998,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124141141136131141221433475125342212145',17234,'9998',41.52,4,3,NULL),(15,2101599,'1989-08-22 00:00:00',4,3,12,2007,'M','N','SÃO JOÃO','ITAJAI','SC','124243248115151451226923575124610168192',13950,'129',46.23,1,3,NULL),(15,2101602,'1990-05-22 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215111411268814371124610126147',10462,'270',51.24,1,3,NULL),(15,2101610,'1990-02-15 00:00:00',4,4,12,2006,'F','N','CENTRO','PASSOS MAIA','SC','124241241113372431636916575122610133147',21966,'606',32.37,4,2,1),(15,2101629,'1990-04-14 00:00:00',4,4,11,2007,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124243241217131731446632245121610122092',10406,'752',51.34,1,3,NULL),(15,2101637,'1990-01-26 00:00:00',2,2,11,2007,'F','N','VICTOR KONDER','BLUMENAU','SC','124241241117131431435531572124610134077',NULL,'79',26.28,1,2,1),(15,2101645,'1989-10-27 00:00:00',4,1,11,2007,'M','N','VILA POMPEIA','VINHEDO','SP','125253251216111431315628281114610128147',12888,'9998',47.74,1,3,NULL),(15,2101653,'1989-02-24 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215113431469713595122231067042',12203,'262',48.72,1,3,NULL),(15,2101670,'1988-06-25 00:00:00',2,1,12,2005,'F','N','PORTO DA LAGOA','FLORIANOPOLIS','SC','124241241114133431227944342334610156097',9529,'710',52.73,1,3,NULL),(15,2101688,'1987-08-07 00:00:00',4,3,12,2005,'F','N','VILA NORMA','SAO PAULO','SP','225252251214571311467613571124613216097',NULL,'9998',0.00,1,3,NULL),(15,2101696,'1990-02-03 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241317272431437613575124610127142',2678,'1022',67.10,1,3,NULL),(15,2101700,'1991-11-12 00:00:00',4,1,11,2008,'F','S','ITAGUAÇU','FLORIANOPOLIS','SC','124242241212111432458611192222610127077',NULL,'259',40.47,1,3,NULL),(15,2101718,'1988-08-22 00:00:00',2,4,12,2005,'F','N','CENTRO','OURO VERDE','SC','124241241216473431455315175124610124142',4607,'836',61.98,1,3,NULL),(15,2101726,'1988-07-11 00:00:00',2,1,11,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241216143421356932441114610162017',16438,'273',42.68,1,3,NULL),(15,2101734,'1990-02-09 00:00:00',4,1,10,2007,'M','N','FAZENDA','ITAJAI','SC','124242241217371431268833335122610148142',7062,'392',57.04,1,3,NULL),(15,2101750,'1990-01-30 00:00:00',4,8,12,2007,'F','N','SAGUAÇÚ','JOINVILLE','SC','124162241215171741368924571114610124015',6352,'486',58.36,1,3,NULL),(15,2101769,'1990-11-23 00:00:00',2,7,11,2007,'F','N','CENTRO','TANGARA','SC','124243241215151432549914575122610123143',9627,'969',52.54,1,3,NULL),(15,2101777,'1990-01-03 00:00:00',2,1,12,2007,'F','N','CENTRO','PONTA GROSSA','PR','116161161215111731586612395122610148182',15764,'9998',43.73,1,3,NULL),(15,2101793,'1987-12-27 00:00:00',4,1,12,2005,'F','N','MARTINS','UBERLANDIA','MG','113144141237571751663734575124610131097',9108,'9998',53.45,1,3,NULL),(15,2101807,'1990-09-05 00:00:00',2,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241415111431236623474122610167052',6107,'723',58.87,4,3,NULL),(15,2101815,'1989-03-13 00:00:00',2,1,12,2006,'F','N','JD DAS INDUSTRIAS','SAO JOSE DOS CAMPOS','SP','125253251235411431535634575122610167087',6718,'9998',57.70,4,3,NULL),(15,2101823,'1990-07-24 00:00:00',2,3,12,2007,'F','N','MORUMBI','SAO PAULO','SP','125252251217151421367821575124610166012',NULL,'9998',0.00,1,3,NULL),(15,2101831,'1990-05-28 00:00:00',2,5,12,2007,'F','N','CENTRO','TURVO','SC','124242241211131431537613575122610136057',19738,'813',37.35,1,3,NULL),(15,2101840,'1990-01-26 00:00:00',4,1,12,2007,'M','N','JARDIM ELITE','PIRACICABA','SP','125252251217111751458719372342610164097',15088,'9998',44.69,1,3,NULL),(15,2101858,'1990-10-11 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124244241215111431569513272122610131095',2195,'951',68.62,1,3,NULL),(15,2101866,'1989-10-09 00:00:00',4,1,12,2006,'M','N','JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251215472231479714572122610164114',2974,'9998',66.23,1,3,NULL),(15,2101882,'1985-07-30 00:00:00',2,1,12,2002,'M','N','AREIAS','PAULO LOPES','SC','124241248336271431455839475124610124012',9213,'739',53.25,1,3,NULL),(15,2101890,'1990-06-16 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111431346823575112610163072',11384,'738',49.87,1,3,NULL),(15,2101912,'1990-02-04 00:00:00',2,8,11,2007,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241217112431469934572122610132052',894,'457',74.09,1,3,NULL),(15,2101939,'1989-05-22 00:00:00',4,9,12,2006,'M','N','CENTRO','LAGES','SC','124244161217472431469814492115610128042',9960,'9998',52.00,1,3,NULL),(15,2101947,'1991-01-17 00:00:00',4,1,12,2008,'F','S','BARREIROS','SAO JOSE','SC','124242241215111431456813574124610117142',NULL,'270',60.70,1,3,NULL),(15,2101955,'1989-05-28 00:00:00',4,1,12,2006,'M','N','SAO DIMAS','SAO JOSE DOS CAMPOS','SP','125252251217471441358874375111610127052',10984,'9998',50.50,4,3,NULL),(15,2101971,'1991-02-28 00:00:00',4,1,12,2007,'F','N','CENTRO','CAMPO GRANDE','MS','112122121217271431368732572122610167012',2192,'9998',68.64,1,3,NULL),(15,2101980,'1991-02-09 00:00:00',4,1,12,2007,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241241215111431337823276124610121057',4658,'1098',61.85,1,3,NULL),(15,2101998,'1990-06-26 00:00:00',4,3,12,2007,'F','N','DAS NAÇÕES','BALNEARIO CAMBORIU','SC','124241243114131431413311575124610136142',15010,'129',44.78,1,2,1),(15,2102013,'1990-07-06 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111431486612575114610166097',13079,'270',47.47,1,3,NULL),(15,2102021,'1989-10-29 00:00:00',4,8,12,2007,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215111432578619295112610167047',10053,'491',51.84,1,3,NULL),(15,2102030,'1989-12-27 00:00:00',4,1,12,2007,'M','N','PARQUE NOVE DE JULHO','SAO ROQUE','SP','125252251116471431446417575125610127054',NULL,'9998',0.00,1,3,NULL),(15,2102056,'1990-03-26 00:00:00',2,10,11,2007,'F','N','VILA MOEMA','TUBARAO','SC','124242241215111431338314442112610123142',18993,'9997',38.68,4,3,NULL),(15,2102064,'1989-09-13 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215271731468613572112610132012',5608,'262',59.86,1,3,NULL),(15,2102072,'1988-05-24 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211413431239913442124610137042',6126,'270',58.81,1,3,NULL),(15,2102080,'1987-11-30 00:00:00',4,8,11,2005,'F','N','BELA VISTA','SAO PAULO','SP','125252251216572411557832571124610125182',898,'9998',74.07,1,3,NULL),(15,2102099,'1983-06-14 00:00:00',2,1,12,1999,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124201201141372421151644241324140266183',5242,'9998',60.63,1,2,1),(15,2102110,'1989-03-05 00:00:00',1,1,11,2007,'M','N','CENTRO','CASCAVEL','PR','116162161217111431459921582122610124052',1910,'9998',69.56,4,3,NULL),(15,2102129,'1989-09-11 00:00:00',2,1,12,2006,'F','N','LUCIANA II','MARECHAL CANDIDO RONDON','PR','116161161116372431344923241131610125052',20813,'9998',35.25,1,2,1),(15,2102137,'1989-03-04 00:00:00',4,3,11,2006,'F','N','VILA LAVINIA','MOGI DAS CRUZES','SP','125252251215371151447921391122142847012',14498,'9998',45.41,1,3,NULL),(15,2102145,'1990-01-11 00:00:00',4,7,10,2007,'M','N','CENTRO','VIDEIRA','SC','124244241215111431448812245122610167091',13967,'969',46.20,1,3,NULL),(15,2102153,'1989-03-19 00:00:00',2,1,12,2006,'M','N','PORTO DA LAGOA','FLORIANOPOLIS','SC','124241241127371431535639381114610167017',21153,'282',34.55,1,2,1),(15,2102161,'1990-09-19 00:00:00',4,8,10,2007,'M','N','ELDORADO','ARAPONGAS','PR','116162161237111411344731575122610144172',24,'9998',84.26,1,3,NULL),(15,2102170,'1990-11-17 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124241241215131431345833174124610124077',12678,'989',48.02,1,3,NULL),(15,2102188,'1989-05-03 00:00:00',4,1,4,2007,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124242241115272431435314474114122227037',5406,'739',60.26,1,3,NULL),(15,2102196,'1989-04-20 00:00:00',2,8,12,2006,'F','N','CENTRO','CURITIBA','PR','122222221215371632446623576122610168177',3941,'9998',63.62,4,3,NULL),(15,2102200,'1990-07-26 00:00:00',4,1,11,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124244241215121431566631575114610167182',132,'270',80.94,1,3,NULL),(15,2102226,'1991-03-08 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124244246417111411369933374124610133147',NULL,'270',44.63,1,3,NULL),(15,2102234,'1985-03-29 00:00:00',5,5,12,2003,'M','N','PEDREIRAS','ICARA','SC','124241241126131731412311186224610164192',8116,'1005',55.16,1,2,1),(15,2102250,'1989-02-20 00:00:00',2,1,12,2006,'F','N','SANTOS DUMONT','SAO JOSE','SC','124202201215131321223544242123610121097',NULL,'9998',0.00,1,3,NULL),(15,2102277,'1990-05-31 00:00:00',4,1,12,2007,'F','N','SANTO INÁCIO','CURITIBA','PR','116162161235111431568612572124610144182',10759,'9998',50.79,1,3,NULL),(15,2102285,'1990-04-19 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124243241127131411336923172224610164147',6917,'307',57.31,1,3,NULL),(15,2102293,'1990-08-25 00:00:00',2,1,9,2007,'F','N','CAMPINAS','SAO JOSE','SC','124241241216111431535923475125610124147',20060,'9997',36.71,1,3,NULL),(15,2102307,'1990-06-07 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241315121431459953572112610147142',14985,'272',44.81,1,3,NULL),(15,2102315,'1991-03-25 00:00:00',4,1,12,2008,'F','S','MORRO DA BINA','BIGUACU','SC','124242241217111451324722375222610148112',NULL,'266',47.48,1,3,NULL),(15,2102323,'1990-11-27 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124201241415111431536823435124610137092',18638,'951',39.25,1,3,NULL),(15,2102331,'1991-03-11 00:00:00',4,10,11,2007,'M','N','CENTRO','TUBARAO','SC','124242241215272441367714575121610162042',2511,'797',67.59,1,3,NULL),(15,2102340,'1988-07-31 00:00:00',2,1,12,2005,'M','N','BOA VISTA','CURITIBA','PR','116164161416571431459935575111610166162',NULL,'9998',0.00,1,3,NULL),(15,2102358,'1988-11-09 00:00:00',4,1,12,2006,'M','N','ITAPUÃ','SALVADOR','BA','105052051217471431478813575124610164112',8721,'9998',54.14,4,3,NULL),(15,2102366,'1989-09-07 00:00:00',4,1,12,2007,'M','N','VILA SANTO ANTONIO','SAO ROQUE','SP','125254251346141431445419575125610167114',NULL,'9998',0.00,1,3,NULL),(15,2102374,'1959-02-22 00:00:00',2,1,11,1979,'M','N','TRINDADE','FLORIANOPOLIS','SC','224242247222135421533359492124122327047',11756,'260',49.32,1,3,NULL),(15,2102390,'1990-05-17 00:00:00',4,1,11,2007,'M','N','S ANTÔNIO DE LISBOA','FLORIANOPOLIS','SC','124242241215471431538834572124610122122',432,'270',77.35,1,3,NULL),(15,2102404,'1991-10-15 00:00:00',2,1,12,2008,'M','S','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215111411336633571124610134192',NULL,'1036',48.01,1,3,NULL),(15,2102420,'1990-01-30 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124073241214131421568834572122610167077',6763,'262',57.63,5,3,NULL),(15,2102447,'1990-10-05 00:00:00',4,1,11,2007,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124242241215122731659867575114610142157',16351,'1022',42.82,1,3,NULL),(15,2102455,'1990-07-03 00:00:00',4,1,11,2007,'M','N','AREIAS','SAO JOSE','SC','124244241417122441565612272124610138171',101,'270',81.57,4,3,NULL),(15,2102498,'1990-08-11 00:00:00',4,6,12,2007,'M','N','VILA OPERARIA','ITAJAI','SC','124244241211121431337752571124610116052',21201,'392',34.43,1,3,NULL),(15,2102501,'1989-03-22 00:00:00',4,4,12,2006,'M','N','SÃO JORGE','SAO MIGUEL DOESTE','SC','124242241217471411566613174125610164052',NULL,'752',0.00,1,3,NULL),(15,2102536,'1989-08-06 00:00:00',4,2,12,2006,'M','N','NAÇÕES','TIMBO','SC','124244241416152411336624345122133226192',4441,'956',62.40,1,3,NULL),(15,2102544,'1990-04-11 00:00:00',2,4,12,2007,'F','N','PADRE ANTÔNIO','MARAVILHA','SC','124241241117131431436624142121610126147',11202,'552',50.16,1,2,1),(15,2102552,'1989-09-28 00:00:00',4,1,12,2007,'M','N','LA SALLE','XANXERE','SC','124242241215472432578812495114610147062',9895,'836',52.11,1,3,NULL),(15,2102560,'1989-12-04 00:00:00',2,10,11,2007,'F','N','CENTRO','TUBARAO','SC','124241244215111542444419295112610123142',19051,'807',38.60,1,3,NULL),(15,2102579,'1991-03-12 00:00:00',4,1,12,2008,'M','S','PONTA DE BAIXO','SAO JOSE','SC','124242241215131731469812472124610167017',NULL,'1022',46.25,1,3,NULL),(15,2102595,'1985-09-18 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124251241215371431246629442112133267057',20295,'270',36.24,1,3,NULL),(15,2102609,'1990-09-15 00:00:00',4,8,12,2007,'F','N','GUAÍRA','CURITIBA','PR','116162161215111411438811574122610165057',3942,'9998',63.62,3,3,NULL),(15,2102617,'1988-07-19 00:00:00',2,1,12,2007,'M','N','SAMBAQUI','FLORIANOPOLIS','SC','124242241314111431466834576124610127017',NULL,'267',16.49,1,3,NULL),(15,2102625,'1988-07-15 00:00:00',4,1,7,2005,'F','N','COUNTRY','CASCAVEL','PR','116162281215572431369932574222610123187',NULL,'9998',0.00,1,3,NULL),(15,2102633,'1990-03-10 00:00:00',4,1,12,2007,'F','N','JARDIM NOVA IBIUNA','IBIUNA','SP','125254251217131431556829572125610154097',18605,'9998',39.31,1,3,NULL),(15,2102650,'1986-03-10 00:00:00',4,1,12,2003,'F','N','JARDIM ELITE','PIRACICABA','SP','125252251216471451658832485122143262187',NULL,'9998',33.03,1,3,NULL),(15,2102668,'1991-01-08 00:00:00',4,1,2,2008,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431468832572125610167182',13324,'270',47.15,1,3,NULL),(15,2102676,'1987-01-17 00:00:00',2,1,12,2004,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241247337123431447369272124230251197',NULL,'9999',21.14,1,3,NULL),(15,2102684,'1988-03-30 00:00:00',2,1,12,2005,'F','N','CENTRO','SAO BONIFACIO','SC','124241241127372311433611342124222323147',12598,'702',48.14,1,3,NULL),(15,2102692,'1988-01-03 00:00:00',4,3,12,2005,'M','N','VILA HABITACIONAL','BARRA BONITA','SP','125254251217572411589814575125610164096',7722,'9998',55.83,1,3,NULL),(15,2102706,'1989-10-05 00:00:00',2,3,12,2006,'F','N','CENTRO','CONCORDIA','SC','124243161214372431469913575124130421092',6856,'9998',57.44,1,3,NULL),(15,2102714,'1990-09-01 00:00:00',4,1,11,2007,'M','N','PLANVILLE','RONDONOPOLIS','MT','111112111217161431548814384122610164187',4227,'9998',62.85,1,3,NULL),(15,2102722,'1950-02-21 00:00:00',2,1,12,2002,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','224241247346131411224457172114610116194',NULL,'596',0.00,1,3,NULL),(15,2102730,'1983-07-17 00:00:00',4,1,12,2000,'F','N','BARRA DO ARIRIU','PALHOCA','SC','224241241131142432233344441133610117147',16717,'591',42.30,1,2,1),(15,2102749,'1990-04-27 00:00:00',4,8,12,2007,'F','N','JD GUAPORÉ','MARINGA','PR','116162161216371431389911572122610132182',NULL,'9998',0.00,1,3,NULL),(15,2102757,'1987-07-04 00:00:00',4,8,11,2007,'F','N','CENTRO','JOINVILLE','SC','124242241217151431389831575122610127072',17994,'461',40.32,1,3,NULL),(15,2102765,'1986-05-01 00:00:00',2,1,12,2003,'F','N','SERTAO DO MARUIM','SAO JOSE','SC','124241241116212431446329445124610164191',22012,'293',32.23,2,2,1),(15,2102773,'1985-01-11 00:00:00',2,10,12,2004,'M','N','PASSAGEM','TUBARAO','SC','124241248117131532333319195112610127112',NULL,'801',0.00,1,3,NULL),(15,2102811,'1989-07-10 00:00:00',4,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124242241217272231329814575124122264017',5187,'737',60.73,1,3,NULL),(15,2102820,'1989-04-01 00:00:00',4,1,11,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241237472431489811496124131038182',771,'270',74.88,1,3,NULL),(15,2102838,'1987-07-25 00:00:00',2,1,9,2004,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124041041112571421456619575122610164155',10070,'9998',51.83,1,3,NULL),(15,2102846,'1990-08-14 00:00:00',2,1,12,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124164241416151431459933375124610163072',3498,'1051',64.76,1,3,NULL),(15,2102854,'1989-12-08 00:00:00',2,1,12,2007,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124242241215111431338623575114610116092',16480,'1022',42.61,1,3,NULL),(15,2102862,'1989-11-07 00:00:00',4,1,12,2006,'M','N','SERRINHA','FLORIANOPOLIS','SC','124162161216372431458611575114610164057',16210,'9998',43.04,1,3,NULL),(15,2102870,'1989-06-18 00:00:00',4,1,12,2006,'M','N','OCTOGONAL','CRUZEIRO','DF','107072071217471231488831572112610127053',5310,'9998',60.51,1,3,NULL),(15,2102889,'1990-05-19 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124202241215111331447711414122610124147',11732,'9997',49.34,1,3,NULL),(15,2102897,'1988-04-16 00:00:00',2,1,12,2006,'M','N','MONTE CRISTO','FLORIANOPOLIS','SC','124242248211112431346633272114610117042',17425,'1022',41.19,1,3,NULL),(15,2102900,'1990-06-03 00:00:00',2,1,11,2007,'F','N','CENTRO','BIGUACU','SC','124242241215471731468819575124610168017',12131,'270',48.82,1,3,NULL),(15,2102919,'1990-03-23 00:00:00',4,1,12,2007,'M','N','DOS CASAS','SAO BERNARDO DO CAMPO','SP','125252251216111431448419492124610144017',11121,'9998',50.27,1,3,NULL),(15,2102927,'1990-02-17 00:00:00',4,2,12,2007,'F','N','VORSTADT','BLUMENAU','SC','124242241215111431469631575124610118092',8494,'71',54.52,1,3,NULL),(15,2102935,'1990-05-02 00:00:00',2,6,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241215111421218821315122610167147',22499,'44',28.80,1,3,NULL),(15,2102943,'1988-08-12 00:00:00',4,8,12,2005,'M','N','SÃO LUIS','JARAGUA DO SUL','SC','124241241122132431436331242124230834122',17770,'891',40.71,1,2,1),(15,2102960,'1990-06-04 00:00:00',2,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215112431468814575122610124051',9956,'9997',52.00,4,3,NULL),(15,2102986,'1989-04-28 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','125253251316471411446614575124610123092',11858,'9998',49.17,1,3,NULL),(15,2102994,'1987-07-01 00:00:00',2,3,12,2005,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241315413431464412225122610117042',7823,'44',55.65,1,3,NULL),(15,2103010,'1990-01-23 00:00:00',4,5,11,2007,'F','N','PRIMEIRA LINHA','CRICIUMA','SC','124242241215111441436331271124610166192',5400,'226',60.28,3,3,NULL),(15,2103028,'1990-04-19 00:00:00',4,6,11,2007,'M','N','CENTRO','CURITIBANOS','SC','124241241415131431346613475124232617147',NULL,'239',39.93,1,3,NULL),(15,2103052,'1990-09-17 00:00:00',4,1,12,2007,'M','N','CIDADE JARDIM','ANAPOLIS','GO','109092091216111111388811272122610115092',2164,'9998',68.72,1,3,NULL),(15,2103060,'1991-01-16 00:00:00',4,1,12,2007,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124244241115371431478933575124610164182',305,'271',78.69,1,3,NULL),(15,2103087,'1988-04-28 00:00:00',2,1,6,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','224241247437132441325349491124610166177',NULL,'9999',0.00,2,1,2),(15,2103095,'1990-07-26 00:00:00',4,1,12,2007,'M','N','CENTRO','LONDRINA','PR','116162161215111431456711575122610134052',11229,'9998',50.12,1,3,NULL),(15,2103125,'1986-08-20 00:00:00',4,4,12,2003,'M','N','CENTRO','CASCAVEL','PR','116112111211472411433336271114240637092',6421,'9998',58.21,1,3,NULL),(15,2103133,'1988-10-13 00:00:00',4,4,12,2005,'F','N','CENTRO','PANAMBI','RS','120202201217571431353514142114610124187',6867,'9998',57.42,1,3,NULL),(15,2103141,'1989-12-16 00:00:00',4,1,12,2007,'M','N','PARQUE PETROPOLIS','MAIRIPORA','SP','125252251215111431568811471125610167122',NULL,'9998',0.00,1,3,NULL),(15,2103150,'1988-02-26 00:00:00',4,1,11,2004,'F','N','CAMPO GRANDE','SANTOS','SP','125252251117572431548814575122610123187',4397,'9998',62.48,1,3,NULL),(15,2103184,'1952-06-30 00:00:00',2,1,12,1986,'M','N','ESTREITO','FLORIANOPOLIS','SC','524241247222135411133341312132133267047',20716,'260',35.48,2,3,NULL),(15,2103192,'1990-09-12 00:00:00',4,6,12,2007,'M','N','CORDEIROS','ITAJAI','SC','124252241414161441519933372125610128172',6501,'591',58.08,1,3,NULL),(15,2103206,'1990-05-30 00:00:00',4,1,11,2007,'M','N','PITUBA','SALVADOR','BA','105132051217111531466614375112610167042',733,'9998',75.14,1,3,NULL),(15,2103214,'1990-07-22 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124212241215271431389813572122610163077',4069,'262',63.27,1,3,NULL),(15,2103222,'1990-11-02 00:00:00',4,1,12,2007,'F','N','ONDINA','SALVADOR','BA','105243051217121411569933575124610165092',20566,'9998',35.75,1,3,NULL),(15,2103249,'1990-06-11 00:00:00',2,4,12,2007,'F','N','ENGENHO BRAUM','CHAPECO','SC','124243241215131431656412272124610163142',NULL,'168',0.00,1,3,NULL),(15,2103257,'1990-10-15 00:00:00',4,1,12,2007,'M','N','CENTRO','LONDRINA','PR','116162161216111431469934571112610161187',8472,'9998',54.56,1,3,NULL),(15,2103265,'1989-09-01 00:00:00',2,1,8,2007,'M','N','PASSA VINTE','PALHOCA','SC','124242241115371431346614572114610127047',5215,'739',60.68,1,3,NULL),(15,2103273,'1990-02-05 00:00:00',2,8,12,2007,'F','N','CENTRO','CANOINHAS','SC','124241241215111411356622595122610124072',10997,'154',50.47,1,3,NULL),(15,2103281,'1986-09-01 00:00:00',2,1,12,2004,'F','N','JOSE MENDES','FLORIANOPOLIS','SC','124241241115573431566513345114610126142',13133,'286',47.41,1,2,1),(15,2103290,'1988-06-05 00:00:00',2,1,12,2005,'M','N','CENTRO','ITAPETININGA','SP','125252251217471441333511575111610132094',21143,'9998',34.55,1,3,NULL),(15,2103303,'1990-01-24 00:00:00',2,4,11,2007,'F','N','SEMINÁRIO','CHAPECO','SC','124242248217411451454632596122610138142',10675,'1021',50.90,1,3,NULL),(15,2103311,'1989-01-25 00:00:00',4,1,12,2007,'M','N','NOVA SUIÇA','GOIANIA','GO','109092096215131441648616385324610117087',14444,'9998',45.51,4,3,NULL),(15,2103338,'1990-08-16 00:00:00',4,1,12,2007,'M','N','GABIROBA','ITUPORANGA','SC','124241241114161431469913595122610134057',14512,'416',45.39,1,2,1),(15,2103346,'1989-10-24 00:00:00',2,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124281201217472431356822495124610167181',968,'9998',73.70,1,3,NULL),(15,2103354,'1988-01-18 00:00:00',4,1,11,2005,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242061416151441558921445124141046052',2329,'9998',68.14,1,3,NULL),(15,2103370,'1989-06-27 00:00:00',2,1,12,2006,'F','N','ARIRIÚ','PALHOCA','SC','124241241215472431567619595124610134152',4156,'1036',63.05,1,3,NULL),(15,2103389,'1992-02-18 00:00:00',4,1,12,2008,'M','S','CAMPINAS','SAO JOSE','SC','124241241117151431468833572112610137042',NULL,'739',24.45,1,3,NULL),(15,2103400,'1990-06-15 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215121431346619292124610163097',7709,'1022',55.85,4,3,NULL),(15,2103419,'1991-09-07 00:00:00',4,7,12,2007,'M','N','LEONARDO ILHA','PASSO FUNDO','RS','120244201417151411659914295132610164172',8857,'9998',53.91,1,3,NULL),(15,2103427,'1991-03-01 00:00:00',4,1,11,2007,'F','N','PINHEIRINHO','FRANCISCO BELTRAO','PR','116161161215111231567639572124610164147',NULL,'9998',0.00,1,3,NULL),(15,2103435,'1989-02-27 00:00:00',4,8,12,2006,'M','N','AVENTUREIRO','JOINVILLE','SC','124242241214572411569614435112610166197',1806,'462',69.91,1,3,NULL),(15,2103443,'1989-01-31 00:00:00',4,1,4,2007,'F','N','CAMPINAS','SAO JOSE','SC','124243241116373431468933571124233234097',1459,'739',71.41,1,3,NULL),(15,2103451,'1980-12-31 00:00:00',2,8,12,1998,'M','N','MARACANAZINHO','ANAPOLIS','GO','109091091126571741434633235123141462187',906,'9998',74.02,2,2,1),(15,2103460,'1975-06-25 00:00:00',2,1,12,1996,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241137375751321149191124331266182',5951,'267',59.16,1,2,1),(15,2103478,'1990-08-01 00:00:00',4,8,12,2007,'M','N','BUCAREIN','JOINVILLE','SC','124242241216121631435912585112610124077',22015,'1016',32.22,1,3,NULL),(15,2103486,'1988-11-08 00:00:00',4,6,12,2007,'M','N','SAO VICENTE','ITAJAI','SC','124201242115272421627511144121610137013',9515,'690',52.75,1,2,1),(15,2103494,'1989-10-16 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211472431446612391122610127172',21203,'1022',34.42,1,3,NULL),(15,2103508,'1988-01-06 00:00:00',4,1,2,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124262241117372432668713372124130724045',16090,'267',43.24,4,3,NULL),(15,2103516,'1986-04-14 00:00:00',2,5,11,2003,'M','N','CENTRO','ICARA','SC','124242241216575431558614345114121437062',2005,'213',69.27,1,3,NULL),(15,2103524,'1990-08-08 00:00:00',2,1,11,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124243241315111431337732244124610117143',11583,'9997',49.58,1,3,NULL),(15,2103532,'1987-12-18 00:00:00',4,9,12,2005,'F','N','SÃO LUÍS','CURITIBANOS','SC','124241242115371711526931355125610333077',12923,'239',47.69,1,2,1),(15,2103540,'1989-10-18 00:00:00',2,10,12,2006,'F','N','CENTRO','TUBARAO','SC','124242241215372422436818392115610164192',10981,'9997',50.50,1,3,NULL),(15,2103559,'1989-08-11 00:00:00',4,2,12,2007,'M','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124242241217114431489511472122610167017',10284,'154',51.51,1,3,NULL),(15,2103575,'1989-12-28 00:00:00',2,1,11,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241415272431226544346124133264157',19187,'807',38.37,1,3,NULL),(15,2103583,'1990-03-04 00:00:00',4,1,12,2007,'M','N','CENTRO','CACADOR','SC','124242241317161251358632575115610136172',13027,'123',47.56,1,3,NULL),(15,2103591,'1989-02-05 00:00:00',2,1,12,2006,'F','N','REAL PARQUE','SAO JOSE','SC','124243241215131431468867576112131035037',4323,'259',62.66,1,3,NULL),(15,2103605,'1990-04-12 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215141731569813332124610131115',8155,'271',55.09,1,3,NULL),(15,2103613,'1989-04-20 00:00:00',2,8,12,2006,'M','N','ALTO DE MAFRA','MAFRA','SC','124241161116271431436514472124610138182',9493,'9998',52.79,1,2,1),(15,2103621,'1991-05-09 00:00:00',2,4,12,2007,'F','N','HENRIQUE PANTE','SAO MARCOS','RS','120201201217371431368813491124610137147',10031,'9998',51.89,1,3,NULL),(15,2103630,'1990-02-07 00:00:00',4,1,11,2007,'F','N','MIGUEL SUTIL','CUIABA','MT','111112111217111431478934575112610162097',11258,'9998',50.08,1,3,NULL),(15,2103648,'1988-03-07 00:00:00',4,4,12,2006,'F','N','CENTRO','SAO GABRIEL DO OESTE','MS','112121121117161451424529572311610167073',NULL,'9998',22.72,1,3,NULL),(15,2103672,'1975-09-11 00:00:00',4,1,12,1994,'M','N','TAPERA','FLORIANOPOLIS','SC','224241241115135421546643432122610164047',13023,'307',47.56,4,2,1),(15,2103699,'1991-01-15 00:00:00',4,3,12,2007,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161311131441429918175121610164177',8827,'9998',53.97,1,3,NULL),(15,2103702,'1988-05-06 00:00:00',4,3,12,2005,'F','N','NOVA PIRACICABA','PIRACICABA','SP','125251251216163411648612595121240265092',NULL,'9998',0.00,4,3,NULL),(15,2103710,'1990-06-20 00:00:00',4,1,11,2007,'F','N','ALTO ARIRIU','PALHOCA','SC','124241241215131431546432292334610126145',NULL,'1075',20.12,1,3,NULL),(15,2103737,'1990-07-10 00:00:00',2,4,12,2007,'F','N','CENTRO','CORONEL FREITAS','SC','124241241114161431336634572122610138147',17975,'199',40.35,1,2,1),(15,2103745,'1985-05-30 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANOPOLIS','SC','124161161116212421223336395334343262172',6065,'9998',58.95,1,2,1),(15,2103753,'1990-03-21 00:00:00',4,1,12,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124162241217271711469932574124610163147',9538,'270',52.70,1,3,NULL),(15,2103761,'1990-10-29 00:00:00',4,1,12,2007,'F','N','CENTRO','TIJUCAS','SC','124241241115271731533714572222610122057',NULL,'783',28.64,1,2,1),(15,2103770,'1990-08-11 00:00:00',4,2,12,2007,'M','N','TESTO ALTO','POMERODE','SC','124241241217112751366939595114610164052',9938,'624',52.03,1,3,NULL),(15,2103788,'1990-09-15 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215472531388811475112610164042',329,'270',78.46,1,3,NULL),(15,2103796,'1988-01-02 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124244248615272311334421242123610167042',14308,'738',45.72,1,3,NULL),(15,2103800,'1990-03-07 00:00:00',4,8,11,2007,'F','N','JARDIM LA SALLE','TOLEDO','PR','116162161215111431489613574122610121041',NULL,'9998',0.00,1,3,NULL),(15,2103818,'1989-02-12 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431426923575122610167047',9903,'880',52.08,1,3,NULL),(15,2103826,'1990-08-19 00:00:00',4,6,11,2007,'M','N','FAZENDA','ITAJAI','SC','124242241215111431457732345111610122011',3492,'1026',64.78,1,3,NULL),(15,2103842,'1989-04-02 00:00:00',2,6,12,2006,'F','N','FANNY','CURITIBA','PR','116161161217471721436611571324610164197',NULL,'241',0.00,1,3,NULL),(15,2103850,'1989-10-16 00:00:00',4,1,12,2007,'F','N','BAIRRO ALTO','AQUIDAUANA','MS','112122121216111731348811575122610168192',3919,'9998',63.68,1,3,NULL),(15,2103869,'1989-04-18 00:00:00',4,1,12,2006,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242241237152411648612592224231417155',9818,'1098',52.23,1,3,NULL),(15,2103877,'1986-12-10 00:00:00',2,1,11,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215574411648717582124140667031',1487,'884',71.25,1,3,NULL),(15,2103885,'1990-07-25 00:00:00',4,1,12,2007,'F','N','GIOCONDO ORSI','CAMPO GRANDE','MS','112123121316213421368832592122610114071',3729,'9998',64.13,1,3,NULL),(15,2103893,'1987-06-28 00:00:00',1,1,12,2004,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215132421438619381124132524117',8627,'71',54.29,1,3,NULL),(15,2103907,'1990-07-09 00:00:00',2,7,12,2007,'F','N','FLORESTA','VIDEIRA','SC','124241241215131431433634281122610134017',10167,'829',51.69,1,3,NULL),(15,2103915,'1990-10-11 00:00:00',4,7,12,2007,'M','N','NAVEGANTES','OURO','SC','124241241146151431436314175225610144147',14480,'585',45.44,4,2,1),(15,2103923,'1989-02-23 00:00:00',2,1,12,2007,'F','N','ROSA PIRES','CAMPO GRANDE','MS','112122121216111731348811575122610168192',4538,'9998',62.16,1,3,NULL),(15,2103931,'1983-08-16 00:00:00',2,8,12,2002,'M','N','VARGEM GRANDE','PINHAIS','PR','116131131116151431423479215324143217017',NULL,'9998',0.00,1,2,1),(15,2103958,'1974-01-21 00:00:00',2,1,8,2002,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','224241241111273431323354241124130224187',12978,'9999',47.62,1,2,1),(15,2103966,'1985-07-24 00:00:00',4,1,12,2002,'F','N','PIRATININGA','CAMPO GRANDE','MS','112122121216573731348811575122610168192',14857,'9998',44.95,1,3,NULL),(15,2103974,'1988-07-03 00:00:00',4,1,12,2005,'M','N','CARANDA','CAMPO GRANDE','MS','112122121314211431468832575122610114043',NULL,'9998',0.00,1,3,NULL),(15,2103982,'1989-09-11 00:00:00',2,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124241241215121432449613575115610167054',7465,'737',56.30,4,3,NULL),(15,2104008,'1990-04-23 00:00:00',4,1,12,2007,'M','N','CARANDA','CAMPO GRANDE','MS','112122121216111731348811575122610168192',7027,'9998',57.11,1,3,NULL),(15,2104016,'1990-12-21 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215131411335811575124610133071',17172,'738',41.61,1,3,NULL),(15,2104040,'1990-07-27 00:00:00',4,1,12,2007,'F','N','DAMHA I','PRESIDENTE PRUDENTE','SP','125252251217151411388932445122140447052',17054,'9998',41.81,1,3,NULL),(15,2104059,'1990-04-27 00:00:00',4,7,11,2007,'M','N','TOBIAS','JOACABA','SC','124242241215152431359632145122610127052',8016,'446',55.35,1,3,NULL),(15,2104067,'1988-09-03 00:00:00',4,1,11,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217372411569934172114132034072',3353,'486',65.12,1,3,NULL),(15,2104075,'1989-12-12 00:00:00',2,1,12,2007,'F','N','VILA NASCENTE','CAMPO GRANDE','MS','112122121216111731348811575112610168192',19519,'9998',37.79,1,3,NULL),(15,2104091,'1990-07-01 00:00:00',4,1,12,2007,'F','N','JARDIM SAO LOURENÇO','CAMPO GRANDE','MS','112123121314212231458832595122610115142',10703,'9998',50.87,1,3,NULL),(15,2104105,'1980-12-30 00:00:00',2,1,12,1998,'M','N','TRINDADE','FLORIANOPOLIS','SC','124163166116112421323448195224343262182',6161,'9998',58.74,1,3,NULL),(15,2104113,'1989-11-13 00:00:00',2,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124244241215122431533829595124610163057',15846,'270',43.61,1,3,NULL),(15,2104121,'1990-08-02 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124243241315141411454514245124610125052',21897,'1118',32.61,1,3,NULL),(15,2104130,'1990-08-24 00:00:00',2,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215121731468633372114610137062',7515,'270',56.20,1,3,NULL),(15,2104148,'1990-03-11 00:00:00',4,8,12,2007,'M','N','ITAPEMA DO NORTE','ITAPOA','SC','124241241125151431336611112225610132127',21320,'413',34.15,1,2,1),(15,2104156,'1990-06-12 00:00:00',4,7,12,2007,'F','N','CENTRO','CAMPOS NOVOS','SC','124244241216272431458833574112610164017',6263,'962',58.51,1,3,NULL),(15,2104164,'1990-10-18 00:00:00',2,3,12,2007,'M','N','CENTRO','TIBAGI','PR','116164161217471431588915345122610127052',17239,'9998',41.50,1,3,NULL),(15,2104172,'1988-08-08 00:00:00',2,1,12,2005,'F','N','PEDREGULHO','GUARATINGUETA','SP','125252254217571751558813575125610133092',15472,'9998',44.16,1,3,NULL),(15,2104180,'1986-02-24 00:00:00',2,5,11,2003,'F','N','CENTRO','PRAIA GRANDE','SC','124241241437571431546631271124142967142',3671,'32',64.30,1,3,NULL),(15,2104199,'1989-01-12 00:00:00',4,1,12,2005,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242241236153431468611275124221464092',1928,'270',69.50,1,3,NULL),(15,2104202,'1990-02-03 00:00:00',1,8,11,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242241215372431469832571112610161092',7193,'457',56.81,1,3,NULL),(15,2104210,'1987-06-15 00:00:00',2,1,12,2004,'M','N','ITAQUERA','SAO PAULO','SP','125252251215572411434623415125610142057',4660,'9998',61.85,4,3,NULL),(15,2104229,'1989-06-25 00:00:00',4,7,11,2006,'M','N','CENTRO','JOACABA','SC','116242161216572251479811575112610167017',2811,'446',66.72,4,3,NULL),(15,2104237,'1982-06-23 00:00:00',2,1,12,2001,'M','N','PALHOÇA','PALHOCA','SC','124241241122514431643644441244610117067',15170,'591',44.57,1,3,NULL),(15,2104253,'1989-06-17 00:00:00',2,1,12,2006,'F','N','FORQUILHAS','SAO JOSE','SC','124241241115232431323314145334610145147',19680,'733',37.45,1,2,1),(15,2104261,'1986-02-02 00:00:00',2,2,12,2003,'F','N','VILA ISABEL','OSASCO','SP','125251251117571441436514345335610135097',NULL,'9998',0.00,1,2,1),(15,2104270,'1976-02-18 00:00:00',2,1,12,1994,'M','N','AREIAS','SAO JOSE','SC','224241241126471421234644245333610147042',17338,'734',41.33,1,2,1),(15,2104288,'1989-12-17 00:00:00',4,1,12,2007,'M','N','MOSTEIRO DE ITAICI','INDAIATUBA','SP','125252251217121531578814471112610164081',578,'9998',76.20,3,3,NULL),(15,2104296,'1988-11-27 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241248317141431526639395124610137072',NULL,'9997',28.03,1,3,NULL),(15,2104300,'1990-03-08 00:00:00',4,6,12,2007,'M','N','FAZENDA','ITAJAI','SC','124242241215122431334821575122610162047',5646,'392',59.78,1,3,NULL),(15,2104318,'1990-04-10 00:00:00',4,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215122411446412574122610122077',8898,'723',53.84,1,3,NULL),(15,2104326,'1990-12-26 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241217371431467732575122610161042',11087,'1077',50.32,1,3,NULL),(15,2104334,'1989-12-13 00:00:00',2,7,11,2006,'F','N','CENTRO','MARCELINO RAMOS','RS','120201241217472251446613572344610162147',7673,'446',55.90,4,3,NULL),(15,2104350,'1991-04-06 00:00:00',4,1,12,2008,'F','S','CANASVIEIRAS','FLORIANOPOLIS','SC','124244241215111441337521375124610133077',NULL,'266',54.33,1,3,NULL),(15,2104369,'1989-04-28 00:00:00',4,1,12,2006,'M','N','CIDADE NOVA','INDAIATUBA','SP','125251251217471431548614475112610167092',1057,'9998',73.20,3,3,NULL),(15,2104377,'1989-09-01 00:00:00',4,4,11,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241236171451433632272325610167057',NULL,'752',0.00,1,3,NULL),(15,2104385,'1987-03-05 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241116371431324439274124610131177',20025,'192',36.77,1,2,1),(15,2104393,'1984-07-20 00:00:00',2,1,12,2005,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124091091122271711321344441345610128195',NULL,'9998',26.73,3,3,NULL),(15,2104407,'1990-06-21 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431338611572122610167047',10724,'270',50.84,1,3,NULL),(15,2104415,'1989-10-26 00:00:00',2,1,12,2006,'M','N','VILA RAU','JARAGUA DO SUL','SC','124241241226132431469933372224231467092',NULL,'1060',0.00,1,3,NULL),(15,2104431,'1990-04-22 00:00:00',4,1,12,2007,'F','N','JD SÃO NICOLAU','BIGUACU','SC','124242241215161431436822571312610136092',18718,'9997',39.14,1,3,NULL),(15,2104440,'1990-03-19 00:00:00',4,1,1,2008,'F','N','CENTRO','PALHOCA','SC','124241241115131411533611472224610166177',2876,'739',66.52,1,2,1),(15,2104458,'1984-06-20 00:00:00',4,1,12,2003,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161216471411489921595122143167042',NULL,'9998',0.00,1,3,NULL),(15,2104466,'1990-03-12 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215121731668832575122610123073',12603,'44',48.13,1,3,NULL),(15,2104474,'1990-03-07 00:00:00',4,8,12,2007,'F','N','PARQUE CONTINENTAL','OSASCO','SP','125252251215321431328864574125610137047',20741,'9998',35.42,1,3,NULL),(15,2104482,'1988-08-22 00:00:00',2,1,12,2006,'M','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124241241137131711344639395122610164147',NULL,'733',23.02,1,3,NULL),(15,2104504,'1991-03-25 00:00:00',4,7,12,2007,'M','N','FRAGOSOS','CONCORDIA','SC','124241246116151431326519495124610134017',5983,'196',59.10,1,2,1),(15,2104512,'1989-01-08 00:00:00',4,1,12,2006,'M','N','CENTRO','CAMPINAS','SP','125254251117371431357731576114610134042',10315,'9998',51.47,1,3,NULL),(15,2104520,'1990-05-10 00:00:00',2,5,12,2007,'F','N','SÃO PELEGRINO','TURVO','SC','124241241116131431543414345122610127142',NULL,'814',20.27,1,2,1),(15,2104547,'1991-01-07 00:00:00',4,8,11,2007,'M','N','PIONEIROS CATARINENS','CASCAVEL','PR','116162168217111431468834594114610162042',NULL,'9998',0.00,1,3,NULL),(15,2104555,'1989-03-06 00:00:00',2,1,12,2007,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124244241212111431436313375114610154185',NULL,'269',21.29,1,3,NULL),(15,2104563,'1989-07-19 00:00:00',4,5,12,2006,'F','N','SÃO CRISTÓVÃO','TURVO','SC','124241241117472431446919274121610167057',5354,'814',60.38,1,2,1),(15,2104571,'1990-08-11 00:00:00',4,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124241241215371431456613574124610113017',1847,'1011',69.79,1,3,NULL),(15,2104580,'1988-01-12 00:00:00',2,1,12,2005,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241122132731334321142124610167067',21748,'307',33.14,4,3,NULL),(15,2104598,'1988-09-04 00:00:00',2,1,11,2005,'M','N','VILA A','FOZ DO IGUACU','PR','116164161217471441469714575122243227052',NULL,'9998',32.86,1,3,NULL),(15,2104601,'1989-04-23 00:00:00',2,1,7,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241247312132411459933582344610111195',16708,'9997',42.32,1,3,NULL),(15,2104628,'1987-03-31 00:00:00',2,1,12,2004,'F','N','CENTRO','SAPIRANGA','RS','120202201217574431127822572224610147127',2596,'9998',67.33,1,3,NULL),(15,2104636,'1981-03-20 00:00:00',4,1,4,2001,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241246115374431568513242122321717047',4395,'306',62.49,1,2,1),(15,2104644,'1986-09-17 00:00:00',4,1,12,2003,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124243241317575431669713575114610127065',634,'270',75.80,1,3,NULL),(15,2104652,'1991-02-28 00:00:00',4,1,12,2008,'F','S','ALDEOTA','FORTALEZA','CE','106064061116121731469813572122610124142',NULL,'9998',57.58,1,3,NULL),(15,2104660,'1990-10-04 00:00:00',2,4,11,2007,'F','N','CENTRO','SANTA ROSA','RS','120204201216131431355621572122610131012',NULL,'9998',0.00,1,3,NULL),(15,2104679,'1988-06-21 00:00:00',2,1,11,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241117141421544414245124610167042',20195,'288',36.44,1,2,1),(15,2104687,'1990-06-12 00:00:00',4,1,11,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215122431488811575122610124192',1213,'270',72.40,1,3,NULL),(15,2104695,'1990-06-27 00:00:00',4,2,12,2007,'F','N','CENTRO','POMERODE','SC','124242241217112411487911472112610124192',6236,'624',58.57,1,3,NULL),(15,2104709,'1988-06-18 00:00:00',2,1,12,2005,'M','N','SÃO JOÃO','PORTO ALEGRE','RS','120201201116372751556923375114610167112',NULL,'9998',0.00,1,2,1),(15,2104717,'1987-07-08 00:00:00',2,1,12,2005,'F','N','JARDIM TANZI','SAO ROQUE','SP','125252251237573431438836571124610122147',7635,'9998',55.97,1,3,NULL),(15,2104725,'1990-12-27 00:00:00',4,1,12,2007,'M','N','SANTA FÉ','CAMPO GRANDE','MS','112122121217311731488836422112610164042',18071,'9998',40.19,1,3,NULL),(15,2104733,'1990-05-16 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472411258911475124610111072',5174,'770',60.76,1,3,NULL),(15,2104741,'1990-12-06 00:00:00',2,4,11,2007,'F','N','CENTRO','CHAPECO','SC','124244241215371731424311115124610164187',NULL,'1021',20.98,1,3,NULL),(15,2104750,'1987-07-02 00:00:00',4,1,7,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241247415371411434629345124610166147',NULL,'9999',19.53,1,3,NULL),(15,2104768,'1989-06-14 00:00:00',2,2,12,2006,'F','N','JUNDIAPEBA','MOGI DAS CRUZES','SP','125252251411471631438833271124610146042',3693,'9998',64.23,4,3,NULL),(15,2104776,'1990-11-01 00:00:00',4,1,12,2008,'F','S','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215111432448811572124610123182',NULL,'270',60.63,1,3,NULL),(15,2104784,'1987-12-01 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124112211215472431549811473124120846042',4398,'9998',62.48,1,3,NULL),(15,2104806,'1990-09-05 00:00:00',4,1,11,2007,'M','N','CENTRO','ITAJUBA','MG','113132131217111411488812425111610162182',3280,'9998',65.30,1,3,NULL),(15,2104814,'1988-04-28 00:00:00',2,1,12,2005,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241241141211411428424191214610136017',10655,'294',50.94,1,2,1),(15,2104822,'1985-05-09 00:00:00',4,1,12,2002,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124203201216131431458614245124243222187',11182,'9998',50.19,2,3,NULL),(15,2104830,'1989-12-24 00:00:00',4,8,12,2007,'M','N','SÃO MARCOS','JOINVILLE','SC','124242241217151232469513572124610134182',19396,'1105',38.03,1,3,NULL),(15,2104849,'1990-10-13 00:00:00',2,10,12,2007,'M','N','CAMPO DA AVIAÇÃO','IMBITUBA','SC','124241241116271431424114575124610122057',16140,'359',43.16,1,2,1),(15,2104865,'1986-12-04 00:00:00',4,1,12,2004,'M','N','PROGRESSO','RIO DO SUL','SC','124241241215373531557613372122120422052',NULL,'991',14.52,1,3,NULL),(15,2104873,'1988-06-09 00:00:00',4,1,12,2005,'F','N','ALTO','PIRACICABA','SP','125251251227572141434833275122610167147',5599,'9998',59.87,1,3,NULL),(15,2104881,'1991-01-09 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241126161431434933412125610117057',NULL,'613',18.72,4,2,1),(15,2104890,'1990-12-17 00:00:00',4,4,12,2007,'M','N','JARDIM PANORAMA','TOLEDO','PR','116161161212111431447616564224610137062',17159,'9998',41.63,1,3,NULL),(15,2104920,'1989-07-27 00:00:00',2,1,12,2006,'M','N','CENTRO','ALTO BELA VISTA','SC','124241241127472531343312325124610137057',19756,'14',37.32,1,2,1),(15,2104938,'1991-11-05 00:00:00',4,1,12,2008,'M','S','ARIRIU','PALHOCA','SC','124242241215111431566612472114610117097',NULL,'1011',7.01,1,3,NULL),(15,2104946,'1986-10-24 00:00:00',2,1,6,2006,'F','N','SANTANA','PORTO ALEGRE','RS','120201207317571731226924472224610122147',11899,'9999',49.11,1,3,NULL),(15,2104954,'1988-08-23 00:00:00',4,8,12,2006,'F','N','VILA BUNTANÃ','SAO PAULO','SP','125252251216411431458611591124610137052',20871,'9998',35.15,3,3,NULL),(15,2104962,'1988-04-15 00:00:00',2,8,12,2005,'F','N','NOVA RÚSSIA','PONTA GROSSA','PR','116161161214472721535631571122142626142',NULL,'9998',0.00,1,3,NULL),(15,2104970,'1990-03-11 00:00:00',4,5,12,2007,'M','N','MORRO DA GLÓRIA','URUSSANGA','SC','124242241215171731436914592122610128192',7929,'820',55.47,1,3,NULL),(15,2104989,'1990-09-13 00:00:00',4,4,12,2007,'M','N','CENTRO','PALOTINA','PR','116163161217121741469934572122610167042',4612,'9998',61.97,1,3,NULL),(15,2105004,'1990-07-15 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124243241417131431456913342122610123072',7564,'724',56.09,1,3,NULL),(15,2105012,'1990-12-13 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431468633596122610123142',1873,'270',69.70,4,3,NULL),(15,2105039,'1990-02-22 00:00:00',4,2,12,2007,'F','N','TRIBESS','BLUMENAU','SC','124241241215271431579614572124610123147',7074,'88',57.01,1,3,NULL),(15,2105047,'1989-05-09 00:00:00',4,1,12,2006,'F','N','RIO CAVEIRAS','BIGUACU','SC','124243248411272431343331371224133267017',21430,'9997',33.89,1,3,NULL),(15,2105055,'1989-04-27 00:00:00',4,8,12,2006,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241217572431578811415122610148142',2477,'1063',67.67,1,3,NULL),(15,2105063,'1988-01-18 00:00:00',4,8,12,2005,'F','N','VILA NOVA','JOINVILLE','SC','124243241415573431458411572125610142142',2137,'491',68.85,1,3,NULL),(15,2105071,'1990-05-25 00:00:00',2,1,12,2007,'F','N','CENTRO','CANELINHA','SC','124241241127271131433311173121610124057',20783,'142',35.33,1,2,1),(15,2105080,'1988-09-03 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211572431569514591324610163182',10411,'807',51.33,1,3,NULL),(15,2105098,'1985-05-23 00:00:00',2,1,12,2002,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241126133731433629241125610127067',19599,'307',37.62,2,2,1),(15,2105101,'1990-01-02 00:00:00',4,1,11,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215472411558834572114610133072',526,'270',76.58,1,3,NULL),(15,2105110,'1986-10-30 00:00:00',2,3,12,2004,'F','N','ALTO SAO BENTO','ITAPEMA','SC','124241241337133431424319282224610162147',16124,'407',43.19,1,3,NULL),(15,2105128,'1989-11-13 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431248823572125610112092',56,'270',82.77,1,3,NULL),(15,2105136,'1988-08-12 00:00:00',4,1,12,2006,'F','N','VILA GALVAO','CARAPICUIBA','SP','125252251216341431456812371122610125141',NULL,'9998',0.00,2,3,NULL),(15,2105144,'1985-07-04 00:00:00',2,1,12,2003,'F','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124241241126131421633343432334610134097',14441,'307',45.51,1,3,NULL),(15,2105152,'1990-07-21 00:00:00',4,1,11,2007,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124244241217121431468632574114610124093',6880,'270',57.38,1,3,NULL),(15,2105160,'1990-01-01 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241217121411339834341114610128147',10964,'724',50.52,1,3,NULL),(15,2105179,'1984-02-11 00:00:00',2,1,12,2001,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124243241121371431223651381124610143197',NULL,'282',23.97,4,3,NULL),(15,2105187,'1990-12-17 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242248215111431456822571114610123092',9598,'270',52.59,1,3,NULL),(15,2105195,'1988-08-14 00:00:00',4,1,12,2005,'M','N','BOQUEIRÃO','PRAIA GRANDE','SP','125252251216571431348414575122610127097',3526,'9998',64.69,1,3,NULL),(15,2105209,'1990-12-20 00:00:00',4,10,11,2007,'F','N','PAES LEME','IMBITUBA','SC','124244241215272431349933574122610124193',458,'806',77.16,1,3,NULL),(15,2105217,'1982-07-09 00:00:00',2,1,12,1999,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241248427151332113314141124131434147',18103,'319',40.15,1,3,NULL),(15,2105225,'1990-10-25 00:00:00',4,1,12,2007,'M','N','GUIOMAR DE FORA','ANTONIO CARLOS','SC','124241241114151431533435572221610166047',13531,'21',46.84,1,2,1),(15,2105233,'1989-01-06 00:00:00',4,1,12,2006,'F','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124242241215472431568613575122610162147',1374,'270',71.78,1,3,NULL),(15,2105241,'1989-02-11 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215272431366413175124610164042',10105,'270',51.77,1,3,NULL),(15,2105268,'1990-07-10 00:00:00',4,1,12,2007,'F','N','CENTRO','ITUPORANGA','SC','124243241225131431326923575122610166092',19287,'414',38.19,1,3,NULL),(15,2105276,'1990-06-29 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215272432647961494122610168057',9616,'1022',52.56,1,3,NULL),(15,2105284,'1988-12-08 00:00:00',4,1,12,2006,'M','N','PROGRESSO','MONTENEGRO','RS','120202201236271411558831591124610127042',13845,'9998',46.39,1,3,NULL),(15,2105292,'1989-03-19 00:00:00',2,8,12,2006,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241215472431568314575114610144072',1048,'462',73.24,1,3,NULL),(15,2105306,'1989-04-24 00:00:00',4,1,12,2006,'F','N','CENTRO','CRICIUMA','SC','125242241215473431459814574122610167072',1483,'210',71.28,1,3,NULL),(15,2105322,'1986-08-06 00:00:00',2,1,6,2005,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241125131711546411445114610162031',NULL,'922',33.01,1,3,NULL),(15,2105330,'1990-12-17 00:00:00',4,1,11,2007,'F','N','CABRAL','CURITIBA','PR','116162161215121532387823572122610162076',NULL,'9998',0.00,1,3,NULL),(15,2105357,'1991-04-05 00:00:00',4,1,11,2008,'F','S','NSA SRA APARECIDA','FRANCISCO BELTRAO','PR','116164161217121431356611574122610132192',NULL,'9998',54.85,1,3,NULL),(15,2105365,'1990-02-06 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241215111431468913572114610163197',11997,'270',48.98,1,3,NULL),(15,2105373,'1987-09-18 00:00:00',4,1,12,2005,'F','N','VILA HELENA','SAO PAULO','SP','125252253117571431356614275114610121197',5540,'9998',59.98,1,3,NULL),(15,2105381,'1990-06-11 00:00:00',4,3,12,2007,'F','N','CENTRO','PASSO FUNDO','RS','120203201217371431659912575324610167012',3060,'9998',65.93,1,3,NULL),(15,2105411,'1990-08-03 00:00:00',4,1,12,2007,'M','N','PRAIA DO ROSA','IMBITUBA','SC','124242241234111431458832575122610134132',9930,'362',52.04,1,3,NULL),(15,2105420,'1988-12-25 00:00:00',4,1,12,2006,'M','N','UVARANAS','PONTA GROSSA','PR','116162161216152411338814575122241414112',1294,'9998',72.09,1,3,NULL),(15,2105438,'1991-05-16 00:00:00',4,5,11,2008,'M','S','SANTA BÁRBARA','CRICIUMA','SC','124244241215111431356514575124610128197',NULL,'226',56.15,1,3,NULL),(15,2105446,'1981-12-03 00:00:00',2,1,12,2007,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124244247635271721434451285124610118181',NULL,'1022',29.12,1,3,NULL),(15,2105470,'1987-06-17 00:00:00',4,3,12,2004,'M','N','SANTANA','SAO JOSE DOS CAMPOS','SP','125251256235471431467631372124610132087',NULL,'9998',0.00,1,3,NULL),(15,2105489,'1988-02-01 00:00:00',2,4,12,2004,'M','N','JARDIM AMERICA','CHAPECO','SC','124241241116271431333355445124131844042',NULL,'648',0.00,1,3,NULL),(15,2105497,'1982-07-02 00:00:00',4,1,12,1999,'M','N','PARQUE VERDE','CASCAVEL','PR','116161161126152411666614295124142966197',NULL,'9998',0.00,1,2,1),(15,2105500,'1990-02-03 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215371731458813572122610127142',3001,'270',66.14,1,3,NULL),(15,2105527,'1989-06-28 00:00:00',4,8,11,2007,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215371431468931575125610127057',16280,'486',42.93,1,3,NULL),(15,2105535,'1989-02-27 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431489913585122610127121',346,'262',78.09,1,3,NULL),(15,2105560,'1986-03-02 00:00:00',2,1,12,2003,'M','N','JUSCELINO KUBITSCHEK','SANTA MARIA','RS','120201201117471431223514491314610167187',5104,'9998',60.90,1,2,1),(15,2105578,'1989-03-10 00:00:00',2,1,12,2006,'F','N','IMIGRANTE','BENTO GONCALVES','RS','120202201217372431323921571122610147092',6250,'9998',58.55,1,3,NULL),(15,2105586,'1990-02-14 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216112411589823592111610158042',575,'270',76.24,1,3,NULL),(15,2105608,'1990-12-01 00:00:00',4,10,12,2007,'F','N','MAR GROSSO','LAGUNA','SC','124203241117271231438913235122610168147',NULL,'521',25.85,1,3,NULL),(15,2105616,'1988-02-03 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTCIO','FLORIANOPOLIS','SC','124243241215372431568914585122610162181',18023,'1118',40.27,1,3,NULL),(15,2105624,'1986-12-02 00:00:00',4,3,12,2003,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241216575431438932472124610163017',8951,'962',53.75,1,3,NULL),(15,2105640,'1989-10-22 00:00:00',2,9,12,2006,'F','N','CENTRO','CURITIBANOS','SC','124241241316372431468933575122610124017',8432,'237',54.64,1,3,NULL),(15,2105659,'1989-03-27 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215272411434414341334610126187',12317,'258',48.55,1,3,NULL),(15,2105667,'1990-10-21 01:00:00',2,1,12,2007,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241135271431236729575124610138097',8796,'307',54.01,1,3,NULL),(15,2105675,'1990-05-04 00:00:00',4,6,12,2007,'F','N','SÃO PEDRO','NAVEGANTES','SC','124242241215151731436712572123610147127',5486,'1057',60.08,1,3,NULL),(15,2105683,'1989-05-04 00:00:00',2,8,12,2006,'M','N','CRUZEIRO','SAO BENTO DO SUL','SC','124241241215472431349933572122610124092',3679,'974',64.28,1,3,NULL),(15,2105691,'1988-04-22 00:00:00',2,8,12,2005,'F','N','CENTRO','MATELANDIA','PR','116161161117572431636631571124610123177',2515,'9998',67.58,1,2,1),(15,2105705,'1986-11-10 00:00:00',2,1,12,2003,'M','N','KOBRASOL','SAO JOSE','SC','124243241146131311224444241124610146097',20633,'840',35.63,1,3,NULL),(15,2105713,'1990-02-10 00:00:00',4,9,12,2007,'M','N','CARAVÁGIO','LAGES','SC','124241241315111431455433375124610137057',4476,'9997',62.32,1,3,NULL),(15,2105721,'1990-11-14 00:00:00',2,6,11,2007,'F','N','CENTRO','ERECHIM','RS','120202201215111431558619571125610168012',7626,'9998',55.98,1,3,NULL),(15,2105730,'1991-05-05 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215112331489933572125610128142',NULL,'262',39.94,1,3,NULL),(15,2105748,'1989-04-14 00:00:00',2,4,12,2006,'F','N','CENTRO','XAVANTINA','SC','124241241121131731423319241334610126147',NULL,'844',21.15,1,2,1),(15,2105756,'1989-07-31 00:00:00',2,1,12,2006,'M','N','CENTRO','CANANEIA','SP','125254251416471431344623595114610164087',5371,'9998',60.34,1,3,NULL),(15,2105764,'1971-08-09 00:00:00',2,1,12,1993,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241122135721443343335124121113052',8352,'280',54.77,1,2,1),(15,2105772,'1989-03-01 00:00:00',4,6,12,2006,'M','N','CRUZEIRO','PASSO FUNDO','RS','120202201217472731688839585122610167047',5349,'9998',60.41,1,3,NULL),(15,2105780,'1987-11-25 00:00:00',4,1,11,2005,'F','N','JARDIM AEROPORTO','SAO PAULO','SP','125252251217471422438831494124610143027',NULL,'9998',0.00,1,3,NULL),(15,2105799,'1990-08-11 00:00:00',2,1,12,2007,'F','N','BELA VISTA I','SAO JOSE','SC','124241241112131431324421342124610127167',17749,'257',40.73,1,2,1),(15,2105802,'1989-02-24 00:00:00',4,1,10,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241215472431239921575114610162182',2696,'956',67.04,1,3,NULL),(15,2105810,'1988-03-26 00:00:00',2,5,12,2005,'M','N','OTAVIO DALAZEN','ORLEANS','SC','124241241117573431633512175124610124147',8643,'580',54.27,4,2,1),(15,2105829,'1985-04-25 00:00:00',2,1,4,2004,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241117474431465933315124610127117',1413,'306',71.59,1,2,1),(15,2105837,'1990-05-25 00:00:00',2,4,12,2007,'F','N','BELA VISTA','CLEVELANDIA','PR','116162161215131731438661575124610126072',9254,'9998',53.19,1,3,NULL),(15,2105845,'1987-06-04 00:00:00',2,8,12,2004,'F','N','NOVO HORIZONTE','MARINGA','PR','116161161416572751648613572125610162187',4093,'9998',63.22,3,3,NULL),(15,2105853,'1989-11-21 00:00:00',4,1,12,2007,'F','N','ESPIGÃO','MARECHAL CANDIDO RONDON','PR','116162161217371431369934471122610146142',2645,'9998',67.18,1,3,NULL),(15,2105861,'1990-05-29 00:00:00',4,8,11,2007,'F','N','IRIRIU','JOINVILLE','SC','124241243217371431457923577124610143017',NULL,'1105',29.67,1,3,NULL),(15,2105888,'1990-05-05 00:00:00',4,3,11,2007,'F','N','ÓRFÃS','PONTA GROSSA','PR','116162161215121431488813271114610164073',NULL,'9998',0.00,1,3,NULL),(15,2105896,'1989-08-30 00:00:00',4,6,12,2006,'F','N','PONTA DA PRAIA','SANTOS','SP','125242251217471431478832575115610164147',510,'9998',76.71,3,3,NULL),(15,2105900,'1988-04-07 00:00:00',4,2,12,2005,'M','N','NOVA ARUJA','ARUJA','SP','125253251127471751539644245114610147182',7928,'9998',55.48,1,3,NULL),(15,2105918,'1991-01-08 00:00:00',2,4,12,2008,'F','S','BELA VISTA','CUNHA PORA','SC','124241241114111531368631375122610124017',NULL,'234',35.06,1,3,NULL),(15,2105926,'1989-08-12 00:00:00',2,9,12,2006,'F','N','FREI ROGÉRIO','LAGES','SC','124241241212372431546633574124610126097',9512,'515',52.75,1,3,NULL),(15,2105934,'1988-02-23 00:00:00',4,1,12,2005,'F','N','JARDIM EUROPA II','ASSIS','SP','125254251216513431367832574115610144087',1153,'9998',72.78,3,3,NULL),(15,2105942,'1975-06-18 00:00:00',4,1,12,1995,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241213152431466614343122321864147',10838,'272',50.70,1,3,NULL),(15,2105950,'1990-04-29 00:00:00',4,6,12,2007,'M','N','SÃO JOÃO','ITAJAI','SC','124244241216371431359814445124610117042',13529,'391',46.85,1,3,NULL),(15,2105969,'1982-11-21 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215275431656834442124120737042',565,'721',76.32,1,3,NULL),(15,2105977,'1990-02-24 00:00:00',4,4,12,2007,'F','N','VILA NOVA','FRANCISCO BELTRAO','PR','116164161217371431469613575122610124142',20749,'9998',35.39,1,3,NULL),(15,2105985,'1990-08-14 00:00:00',2,4,12,2007,'F','N','CENTRO','ABELARDO LUZ','SC','124244241215111431446636374122610164041',10204,'836',51.62,1,3,NULL),(15,2105993,'1988-09-08 00:00:00',2,1,12,2005,'M','N','CIDADE BAIXA','PORTO ALEGRE','RS','120202201117571431446823472314610164072',1464,'9998',71.39,1,3,NULL),(15,2106000,'1988-05-21 00:00:00',2,1,12,2005,'F','N','RAINHA','RIO DO SUL','SC','124243241215372431231119572214132818147',8610,'991',54.32,1,3,NULL),(15,2106019,'1989-04-21 00:00:00',2,1,2,2007,'F','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124201241115372431335534576124610134097',7590,'267',56.05,1,2,1),(15,2106027,'1988-10-18 00:00:00',4,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116161161117471431523611212324610133187',NULL,'9998',0.00,1,2,1),(15,2106043,'1987-09-28 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241125131531423379582124610138017',NULL,'922',23.35,1,2,1),(15,2106051,'1989-06-03 00:00:00',2,1,12,2006,'F','N','RATONES','FLORIANOPOLIS','SC','124241244226142431443319445124610123155',19701,'262',37.42,1,3,NULL),(15,2106060,'1990-03-12 00:00:00',4,1,11,2007,'F','N','CENTRO','PORTO UNIAO','SC','124242241216131431557732572121610137147',16935,'632',41.96,1,3,NULL),(15,2106078,'1986-10-18 00:00:00',2,1,11,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215274731458414442124130812142',14633,'720',45.23,1,3,NULL),(15,2106094,'1990-10-12 00:00:00',4,1,12,2007,'M','N','JARDIM ELDORADO','PALHOCA','SC','124241248227111231427614471324610125141',17432,'262',41.17,1,3,NULL),(15,2106108,'1991-04-27 00:00:00',4,8,11,2008,'M','S','CENTRO','SAO BENTO DO SUL','SC','624242241237111711459831472122610134052',NULL,'1114',43.51,1,3,NULL),(15,2106116,'1989-09-24 00:00:00',2,8,12,2007,'M','N','CENTRO','PRUDENTOPOLIS','PR','116164162117371411456632572122610164062',NULL,'9998',34.47,1,3,NULL),(15,2106124,'1991-03-08 00:00:00',2,1,12,2007,'F','N','GREVILEA III','MARINGA','PR','116162161216111431266663472124610124057',NULL,'9998',36.76,4,3,NULL),(15,2106132,'1989-09-05 00:00:00',4,1,10,2006,'M','N','CENTRO','MARINGA','PR','116161161111411411456831575112610168143',4243,'9998',62.82,1,3,NULL),(15,2106159,'1989-12-27 00:00:00',2,1,11,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124244241215112731446419594124610128147',6375,'270',58.31,3,3,NULL),(15,2106167,'1988-09-01 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124162161217112431169813175122221424062',1717,'9998',70.31,1,3,NULL),(15,2106183,'1990-06-17 00:00:00',2,1,12,2007,'F','N','IPIRANGA','SAO JOSE','SC','124241241115131731424334242124610127147',NULL,'734',19.82,1,2,1),(15,2106191,'1990-02-15 00:00:00',4,8,12,2007,'F','N','JARDIM SOUTO','SAO JOSE DOS CAMPOS','SP','125251251217111411326624571124610137052',13284,'9998',47.19,1,3,NULL),(15,2106205,'1990-04-01 00:00:00',2,9,12,2007,'F','N','CENTRO','CURITIBANOS','SC','124241241115131731326624345324610122142',19018,'239',38.64,1,3,NULL),(15,2106213,'1988-06-29 00:00:00',4,1,11,2005,'M','N','CENTRO','CRICIUMA','SC','124242241215373431448834575124132437042',174,'226',80.24,1,3,NULL),(15,2106221,'1981-09-27 00:00:00',2,1,11,2007,'F','N','BARRA DO ARIRIU','PALHOCA','SC','124241247226133431324644445224610164147',20873,'9999',35.15,1,3,NULL),(15,2106230,'1988-11-30 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241215412431457611574314610117042',2634,'88',67.21,1,3,NULL),(15,2106256,'1987-10-09 00:00:00',2,1,12,2005,'M','N','CONCEIÇÃO','GUAPORE','RS','120201201111371431336611241111610147047',10870,'9998',50.65,1,3,NULL),(15,2106264,'1990-05-11 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215212431488813572122610121155',2918,'262',66.39,1,3,NULL),(15,2106272,'1990-01-15 00:00:00',4,1,12,2007,'M','N','BATISTA CAMPOS','BELEM','PA','114142141217111531566669592324610168182',NULL,'9998',0.00,1,3,NULL),(15,2106280,'1990-01-19 00:00:00',2,1,12,2006,'F','N','CENTRO','SAO GABRIEL DO OESTE','MS','112124121415411431436933294221610137097',18491,'9998',39.51,1,3,NULL),(15,2106299,'1990-07-13 00:00:00',4,1,12,2007,'F','N','JOÃO PESSOA','JARAGUA DO SUL','SC','124241241111141311435634242324610147147',NULL,'425',20.83,1,3,NULL),(15,2106302,'1989-04-18 00:00:00',4,1,12,2006,'M','N','PRAIA DA COSTA','VILA VELHA','ES','108082081216471431359722574124610164092',1740,'9998',70.25,1,3,NULL),(15,2106329,'1990-09-21 00:00:00',4,4,12,2007,'M','N','CENTRO','FAXINAL DOS GUEDES','SC','124241241116131411244923141125610124092',NULL,'255',7.37,1,2,1),(15,2106337,'1986-05-14 00:00:00',2,1,12,2003,'M','N','KOBRASOL','SAO JOSE','SC','124162161216575431343313572122610124172',2989,'9998',66.19,1,3,NULL),(15,2106345,'1989-09-23 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241315371431436434571224610117042',13386,'1036',47.06,4,3,NULL),(15,2106361,'1974-01-08 00:00:00',4,2,5,2007,'M','N','VORSTADT','BLUMENAU','SC','624243247347131431423349242344610134047',20179,'9999',36.47,2,1,2),(15,2106388,'1989-09-01 00:00:00',2,10,11,2007,'F','N','OFICINAS','TUBARAO','SC','124244241215321431464314195222610122142',12737,'807',47.93,1,3,NULL),(15,2106396,'1988-01-14 00:00:00',4,10,2,2008,'M','N','JACAREPAGUÁ','RIO DE JANEIRO','RJ','121212217437471431468933575124610162183',10955,'9999',50.53,1,3,NULL),(15,2106400,'1990-09-01 00:00:00',4,1,12,2007,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241216111431435319575122610124095',21990,'1014',32.28,1,3,NULL),(15,2106418,'1990-11-05 00:00:00',4,1,12,2007,'F','N','SÃO FRANCISCO','CAMPO GRANDE','MS','112122121236121431243821574122610162142',8508,'9998',54.50,1,3,NULL),(15,2106426,'1990-07-12 00:00:00',4,8,10,2007,'F','N','CENTRO','GUARAMIRIM','SC','124242161214113711559811571114610142092',NULL,'9998',0.00,1,3,NULL),(15,2106434,'1988-07-16 00:00:00',4,1,12,2006,'F','N','DONA CLARA','BELO HORIZONTE','MG','113132131216371431489934575122143237112',5840,'9998',59.38,1,3,NULL),(15,2106442,'1990-09-06 00:00:00',4,2,12,2007,'M','N','VILA NOVA','BLUMENAU','SC','124242241217151431488711574122610166146',827,'71',74.53,1,3,NULL),(15,2106450,'1986-11-18 00:00:00',4,1,12,2003,'F','N','JARDIM PANORAMA','FOZ DO IGUACU','PR','116162161215574751466931572125610168182',820,'9998',74.60,1,3,NULL),(15,2106469,'1991-02-08 00:00:00',4,1,12,2007,'F','N','FAZENDA SANTOANTONIO','SAO JOSE','SC','124241241215472421467632594124610166172',4978,'269',61.14,1,3,NULL),(15,2106485,'1989-04-24 00:00:00',4,5,12,2006,'M','N','CENTRO','CANELA','RS','120204201211271451243639591124610164187',2849,'9998',66.61,1,3,NULL),(15,2106493,'1986-11-15 00:00:00',4,1,12,2007,'M','N','CACHOEIRA B JESUS','FLORIANOPOLIS','SC','124241247444131232433311342323610144047',22193,'977',31.51,1,3,NULL),(15,2106507,'1990-06-02 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215111431479814444122610117112',7752,'226',55.78,1,3,NULL),(15,2106515,'1978-07-01 00:00:00',4,1,12,1997,'M','N','CENTRO','FLORIANOPOLIS','SC','120201208617131431115648485114610144177',12137,'9998',48.81,1,3,NULL),(15,2106531,'1987-10-20 00:00:00',2,10,12,2007,'M','N','MACACU','GAROPABA','SC','124241241135161131633114342323610127043',21125,'322',34.60,1,2,1),(15,2106540,'1989-08-12 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124243248115471512534513472123610134147',20507,'65',35.86,1,3,NULL),(15,2106558,'1981-11-22 00:00:00',2,1,12,2001,'F','N','FLOR DE NAPOLIS','SAO JOSE','SC','124241241116374421423319395124610136147',NULL,'727',20.70,1,3,NULL),(15,2106566,'1987-06-25 00:00:00',4,3,12,2004,'F','N','CENTRO','BELA VISTA DO PARAISO','PR','116162161215572431546812475122610167147',1752,'9998',70.21,1,3,NULL),(15,2106574,'1989-11-14 00:00:00',4,2,12,2006,'F','N','ESCOLA AGRICOLA','BLUMENAU','SC','124244241216271431346831575122610133097',20909,'90',35.07,1,3,NULL),(15,2106582,'1990-07-10 00:00:00',4,1,11,2007,'F','N','CARVOERIA','FLORIANOPOLIS','SC','124242241216112431525716275124510132142',8911,'270',53.81,1,3,NULL),(15,2106590,'1984-03-27 00:00:00',4,1,12,2001,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','120202201217571751589632492122613264157',9004,'9998',53.64,2,3,NULL),(15,2106604,'1987-02-15 00:00:00',4,3,12,2004,'F','N','CENTRO','CURITIBA','PR','116242241215573431439511574124610132017',1314,'541',72.01,1,3,NULL),(15,2106612,'1990-08-05 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124244241217122431436519272124610141182',14232,'1022',45.82,1,3,NULL),(15,2106620,'1990-10-15 00:00:00',2,1,12,2007,'F','N','BOM VIVER','BIGUACU','SC','124241248126131731443334245324610117142',22272,'66',31.20,1,3,NULL),(15,2106639,'1989-02-04 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124241241116271431334533272124610133097',17048,'307',41.81,1,2,1),(15,2106647,'1990-11-11 00:00:00',2,9,12,2007,'F','N','PQ SETE DE SETEMBRO','DIADEMA','SP','125252251216271431558714172112610126092',6135,'9998',58.79,1,3,NULL),(15,2106655,'1988-09-21 00:00:00',4,1,12,2006,'M','N','MINA BRASIL','CRICIUMA','SC','124242241215312421359911111132130267047',11292,'270',50.03,1,3,NULL),(15,2106663,'1987-01-09 00:00:00',4,1,12,2004,'F','N','GONZAGA','SANTOS','SP','125094251215371411468715482124343242032',2679,'9998',67.09,1,3,NULL),(15,2106671,'1990-05-21 00:00:00',4,3,12,2007,'F','N','CENTRO','CANOINHAS','SC','124241241217111731533619174122610167077',7145,'154',56.89,4,3,NULL),(15,2106698,'1989-01-16 00:00:00',4,1,12,2006,'M','N','CAMPOS ELÍSEOS','RIBEIRAO PRETO','SP','125252251215371731378832575122610167057',19087,'9998',38.54,1,3,NULL),(15,2106701,'1986-03-08 00:00:00',2,1,12,2003,'M','N','BARRA FUNDA','GUARUJA','SP','125252251211472211478834575124141422042',15148,'9998',44.60,1,3,NULL),(15,2106710,'1988-12-17 00:00:00',2,1,12,2007,'F','N','ARMAÇÃO','FLORIANOPOLIS','SC','124241241127131431523419275314610117117',20073,'291',36.68,1,2,1),(15,2106728,'1987-01-28 00:00:00',2,1,11,2004,'M','N','CENTRO','MAFRA','SC','124241241116133331346644442112610134042',10888,'542',50.63,1,2,1),(15,2106736,'1990-06-08 00:00:00',4,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124243241315111751569933574124610128147',3151,'270',65.69,1,3,NULL),(15,2106744,'1990-04-07 00:00:00',4,8,12,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124244241215111411427924344122610166147',2228,'491',68.49,1,3,NULL),(15,2106760,'1987-12-24 00:00:00',4,10,12,2004,'F','N','CENTRO','TUBARAO','SC','124241241117152431468729295125231064072',21119,'1034',34.61,1,2,1),(15,2106787,'1988-08-28 00:00:00',4,1,12,2007,'M','N','RIO GRANDE','PALHOCA','SC','124241241115151431223421372324610117052',22336,'739',30.78,4,2,1),(15,2106795,'1988-06-29 00:00:00',4,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124204241215573431578831272114610164196',1484,'403',71.27,1,3,NULL),(15,2106833,'1987-03-26 00:00:00',2,4,12,2004,'M','N','PRESIDENTE MÉDICI','CHAPECO','SC','124241241111472711434314195123610137042',5244,'182',60.63,1,2,1),(15,2106841,'1989-10-03 00:00:00',2,1,12,2007,'F','N','PONTE DE IMARUIM','PALHOCA','SC','124241241117131131539613585124610112182',21465,'592',33.81,1,2,1),(15,2106850,'1990-09-05 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116242161215471431346934572122610112092',NULL,'9998',0.00,1,3,NULL),(15,2106876,'1990-12-08 00:00:00',4,5,11,2007,'F','N','JARDIM ELIZABETE','ICARA','SC','124241241415111431438414571124610164077',13745,'226',46.54,1,3,NULL),(15,2106884,'1978-07-25 00:00:00',4,1,11,2003,'M','N','CAMPECHE','FLORIANOPOLIS','SC','224072077212131321211847374324231444123',9350,'9999',53.05,1,3,NULL),(15,2106892,'1989-01-06 00:00:00',2,1,12,2005,'F','N','KOBRASOL','SAO JOSE','SC','120201201211571311437811571124610167057',3614,'9998',64.45,1,3,NULL),(15,2106906,'1990-12-13 00:00:00',2,3,11,2007,'M','N','CENTRO','ITAPEMA','SC','124242248215111731423611172324610137047',9829,'53',52.22,1,3,NULL),(15,2106914,'1985-07-19 00:00:00',4,6,12,2005,'F','N','MONTE ALEGRE','CAMBORIU','SC','124161241142131441536264495224610144187',19093,'49',38.53,4,2,1),(15,2106949,'1990-04-26 00:00:00',4,1,11,2007,'F','N','CENTRO','MARACAI','SP','125254168414111731459921495125610164042',2578,'9998',67.38,1,3,NULL),(15,2106957,'1989-12-18 00:00:00',4,8,12,2006,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161215471731369934574122610164117',NULL,'9998',0.00,1,3,NULL),(15,2106965,'1990-03-05 00:00:00',4,8,12,2007,'F','N','ILHA DA FIGUEIRA','JARAGUA DO SUL','SC','124243241217121731489914492122610122142',11766,'491',49.30,1,3,NULL),(15,2106981,'1989-12-09 00:00:00',4,1,12,2006,'M','N','ASA SUL','BRASILIA','DF','107092091317472431478616572112610167052',17140,'9998',41.66,1,3,NULL),(15,2106990,'1989-11-02 00:00:00',2,8,11,2007,'F','N','AVENTUREIRO','JOINVILLE','SC','124241243216271731456614572124610131182',NULL,'1105',0.00,1,3,NULL),(15,2107007,'1990-02-14 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215372431238823572124610147017',471,'262',77.06,1,3,NULL),(15,2107015,'1990-07-30 00:00:00',4,7,7,2007,'F','N','RIO DAS PEDRAS','VIDEIRA','SC','124243241216112431433933475124232628047',22136,'829',31.78,1,3,NULL),(15,2107040,'1990-02-25 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241115151431345423372124610132075',19454,'267',37.92,1,2,1),(15,2107058,'1988-07-28 00:00:00',4,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124244248212372731336634374124610164077',NULL,'1022',24.16,1,3,NULL),(15,2107066,'1980-08-06 00:00:00',4,1,12,1998,'F','N','ITACORUBI','FLORIANOPOLIS','SC','224241241136372431346453375122132721197',19277,'521',38.21,1,2,1),(15,2107082,'1989-09-17 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241415131731338624395121610138117',19057,'944',38.58,1,3,NULL),(15,2107090,'1990-06-16 00:00:00',4,4,12,2007,'M','N','PARQUE PRESIDENTE I','FOZ DO IGUACU','PR','116163161415371531358912575124610165172',10681,'9998',50.90,1,3,NULL),(15,2107104,'1988-03-14 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241235574431466419574112610164187',1009,'991',73.48,1,3,NULL),(15,2107112,'1990-10-11 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241215271431476671572112610167012',14429,'499',45.53,1,3,NULL),(15,2107120,'1989-08-16 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241127472431524835392124610124142',9185,'546',53.29,1,2,1),(15,2107139,'1988-11-28 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241122111711342433572124610152047',NULL,'282',22.92,1,2,1),(15,2107163,'1990-02-20 00:00:00',2,1,12,2007,'M','N','VILA CRUZEIRO','AMAMBAI','MS','112121121216171231358611575125610127014',5103,'9998',60.90,1,3,NULL),(15,2107171,'1989-06-09 00:00:00',4,8,12,2006,'F','N','VILA NOVA','JOINVILLE','SC','124241241137131431537613372124610134017',15451,'473',44.19,1,2,1),(15,2107180,'1988-03-02 00:00:00',2,1,12,2006,'F','N','REAL PARQUE','SAO JOSE','SC','124241241114151431333444344134610167037',21319,'257',34.15,4,2,1),(15,2107201,'1989-08-29 00:00:00',4,3,12,2006,'F','N','CENTRO','TRAMANDAI','RS','120202201337471431367923375124610167092',NULL,'9998',10.63,1,3,NULL),(15,2107210,'1989-10-18 00:00:00',4,8,12,2006,'F','N','ALTO DA XV','CURITIBA','PR','116161161215571451469713572122610142142',397,'9998',77.68,1,3,NULL),(15,2107228,'1988-08-01 00:00:00',4,1,11,2005,'M','N','JARDIM SÃO MIGUEL','BIGUACU','SC','124241248126131411223548385324130244057',NULL,'911',15.35,1,2,1),(15,2107236,'1988-05-05 00:00:00',4,8,12,2005,'M','N','AMIZADE','JARAGUA DO SUL','SC','124241241236132741557823141123610164017',15339,'1062',44.35,1,3,NULL),(15,2107244,'1989-11-25 00:00:00',4,1,7,2007,'M','N','AREAL','PELOTAS','RS','120201201117371431434637572114610164056',3563,'9998',64.57,1,3,NULL),(15,2107252,'1981-08-18 00:00:00',2,1,8,2003,'M','N','PONTE DO IMARUIN','PALHOCA','SC','120201206145151121135543235114341766044',4667,'9998',61.84,1,2,1),(15,2107260,'1980-09-03 00:00:00',2,1,10,2002,'M','N','SAMBAQUI','FLORIANOPOLIS','SC','224243247126131411223851212122131426092',16108,'818',43.21,1,3,NULL),(15,2107279,'1981-11-20 00:00:00',2,1,7,2006,'F','N','SAO SEBASTIAO','PALHOCA','SC','124241241127371421333339241124610132092',NULL,'591',21.14,1,3,NULL),(15,2107287,'1990-12-15 00:00:00',2,1,12,2007,'M','N','POÇO FUNDO','SANTO AMARO DA IMPERATRIZ','SC','124241241216131411558923575124610114042',5180,'774',60.74,1,3,NULL),(15,2107295,'1990-08-07 00:00:00',2,1,12,2007,'F','N','BALNEARIO ESTREITO','FLORIANOPOLIS','SC','124242241215372431537612285122610134072',7933,'258',55.46,1,3,NULL),(15,2107325,'1990-01-11 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215221752333312582122610127015',NULL,'299',18.77,1,3,NULL),(15,2107333,'1984-07-29 00:00:00',4,8,12,2000,'F','N','AFONSO PENA','SAO JOSE DOS PINHAIS','PR','116162161215471751367933411122342567072',19456,'9998',37.91,1,3,NULL),(15,2107341,'1987-01-17 00:00:00',4,10,11,2004,'M','N','CENTRO','TUBARAO','SC','124242241215153411388923575124120668182',1368,'807',71.80,1,3,NULL),(15,2107350,'1990-09-02 00:00:00',4,2,11,2007,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124244241415411531366921571114610168115',18377,'855',39.68,1,3,NULL),(15,2107368,'1989-11-16 00:00:00',2,4,12,2006,'M','N','CENTRO','FAXINAL DOS GUEDES','SC','124241241117371431544823484124141566197',10296,'255',51.49,1,2,1),(15,2107384,'1989-10-20 00:00:00',4,1,11,2007,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124282241217111431569813572114610127062',284,'270',78.93,1,3,NULL),(15,2107392,'1990-05-17 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116242161217471511168811592322610166012',4739,'9998',61.67,1,3,NULL),(15,2107406,'1990-09-20 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431436631212124610138182',266,'270',79.13,1,3,NULL),(15,2107414,'1962-11-26 00:00:00',3,1,12,1981,'M','N','CENTRO','FLORIANOPOLIS','SC','224241248116154421444342312122520834147',11235,'306',50.11,1,2,1),(15,2107422,'1990-05-26 00:00:00',4,1,12,2007,'F','N','BELA VISTA III','SAO JOSE','SC','124243241226112411558633572224610126192',6967,'262',57.22,1,3,NULL),(15,2107430,'1991-04-01 00:00:00',4,8,11,2008,'F','S','PEDRA BRANCA','PALHOCA','SC','124241241215111751434512292125610118142',NULL,'1011',32.57,1,3,NULL),(15,2107449,'1980-04-25 00:00:00',2,1,12,1999,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','224201207317171431323354482343610164113',NULL,'9998',24.97,1,3,NULL),(15,2107473,'1989-05-17 00:00:00',4,1,12,2006,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124242241217372431369613435124230714097',16015,'270',43.36,1,3,NULL),(15,2107481,'1987-05-30 00:00:00',4,8,12,2004,'M','N','IRIRIU','JOINVILLE','SC','124241241215371431364412272122231427052',14245,'489',45.80,4,3,NULL),(15,2107490,'1990-05-07 00:00:00',2,4,12,2007,'F','N','CATARINA FONTANA','CONCORDIA','SC','124241248415111731439614242114610134142',NULL,'1047',14.88,1,3,NULL),(15,2107503,'1988-10-17 00:00:00',4,4,11,2005,'M','N','BELA VISTA','PANAMBI','RS','120202201216571431337311371222610128182',9761,'9998',52.33,1,3,NULL),(15,2107511,'1991-09-27 00:00:00',4,5,11,2008,'M','S','CENTRO','CRICIUMA','SC','124242241215111432463839392122610127147',NULL,'226',30.40,1,3,NULL),(15,2107520,'1991-07-25 00:00:00',4,6,11,2008,'F','S','CENTRO','NAVEGANTES','SC','124242241215121411368833574121610146182',NULL,'1026',64.21,5,3,NULL),(15,2107538,'1990-04-10 00:00:00',4,7,12,2007,'F','N','CENTRO','LACERDOPOLIS','SC','124244241215171431569933575124610144197',5319,'446',60.47,1,3,NULL),(15,2107546,'1989-05-26 00:00:00',4,1,11,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244241215372431426919576114131248147',1685,'723',70.44,1,3,NULL),(15,2107554,'1989-05-28 00:00:00',4,2,12,2006,'M','N','JARDIM SORIRAMA','CAMPINAS','SP','125252251211471431578814591122610122147',NULL,'9998',0.00,1,3,NULL),(15,2107562,'1990-01-27 00:00:00',4,1,11,2007,'M','N','PARQUE TAQUARAL','CAMPINAS','SP','125252251215111731469614571122610127057',5613,'9998',59.84,4,3,NULL),(15,2107570,'1990-07-09 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241315121441666619275124610164052',10249,'269',51.56,1,3,NULL),(15,2107597,'1990-09-04 00:00:00',4,1,11,2008,'F','S','PANTANAL','FLORIANOPOLIS','SC','124242241217111751458839594122610168062',NULL,'270',50.61,1,3,NULL),(15,2107600,'1990-08-07 00:00:00',2,6,11,2007,'M','N','PRAIA DOS AMORES','BALNEARIO CAMBORIU','SC','124242241215271451468834394144610167142',1979,'389',69.33,1,3,NULL),(15,2107619,'1989-04-01 00:00:00',4,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116162161215472331168811475124610167067',NULL,'9998',0.00,1,3,NULL),(15,2107627,'1987-09-22 00:00:00',4,8,12,2005,'M','N','BOA VISTA','JOINVILLE','SC','124242241216372431456414575124133242042',6841,'489',57.46,1,3,NULL),(15,2107643,'1976-02-25 00:00:00',4,1,12,1993,'M','N','CENTRO','FLORIANOPOLIS','SC','224072071112151431289943432132441064042',3550,'9998',64.62,1,3,NULL),(15,2107678,'1985-12-04 00:00:00',2,6,12,2003,'M','N','CENTRO','PENHA','SC','624241241116132421127944345221231037087',NULL,'146',22.92,1,2,1),(15,2107686,'1990-04-28 00:00:00',2,1,12,2006,'M','N','VILA NOVA','TROMBUDO CENTRAL','SC','124241241117272431449833575124610134147',11259,'796',50.07,1,2,1),(15,2107694,'1988-02-10 00:00:00',2,4,11,2005,'M','N','PRESIDENTE MEDICI','CHAPECO','SC','124241247444572431463634142123610127052',19929,'9999',36.96,4,3,NULL),(15,2107716,'1990-06-06 00:00:00',4,10,12,2007,'F','N','PORTINHO','LAGUNA','SC','124241241215111431446413575124610134097',21015,'525',34.82,1,3,NULL),(15,2107724,'1988-08-21 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANOPOLIS','SC','124243241215573441469913174124610124097',112,'270',81.32,1,3,NULL),(15,2107759,'1990-07-23 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111441358633572112610168126',9188,'262',53.29,1,3,NULL),(15,2107767,'1981-09-17 00:00:00',2,1,12,1998,'F','N','CAMPINAS','SAO JOSE','SC','224242241216135431333643432112521361197',8290,'666',54.86,1,3,NULL),(15,2107775,'1990-09-28 00:00:00',2,1,12,2007,'M','N','PICADAS DO NORTE','SAO JOSE','SC','124242241217111431223724571123610167042',19169,'944',38.41,1,3,NULL),(15,2107805,'1989-12-19 00:00:00',4,7,11,2007,'F','N','SANTA TEREZA','JOACABA','SC','124243241216371441369511575122610118192',11733,'446',49.34,1,3,NULL),(15,2107813,'1990-01-25 00:00:00',4,8,12,2007,'F','N','JARDIM ALVORADA','SAO JOSE DOS CAMPOS','SP','125251251216111431446611572114610142157',5644,'9998',59.79,1,3,NULL),(15,2107821,'1986-09-29 00:00:00',2,1,12,2004,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241147273431433511382224610164092',19293,'592',38.18,1,2,1),(15,2107830,'1987-06-04 00:00:00',2,1,12,2004,'F','N','ARIRIU','PALHOCA','SC','224241241122161431223651242214610126197',9358,'593',53.03,1,3,NULL),(15,2107848,'1989-06-30 00:00:00',4,6,12,2006,'M','N','CABRAL','CURITIBA','PR','116162161217471231536619572114610127047',5958,'9998',59.15,1,3,NULL),(15,2107856,'1990-07-22 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241147131411546413492324610154057',17300,'1097',41.40,1,2,1),(15,2107864,'1990-02-11 00:00:00',4,3,12,2007,'M','N','GUARANI','BRUSQUE','SC','124242241215151431369414574122610127112',2623,'109',67.24,1,3,NULL),(15,2107872,'1985-12-18 00:00:00',3,1,12,2002,'F','N','JARDIM DAS TRADIÇÕES','PELOTAS','RS','120201201116371421228524291124342222182',16823,'9998',42.13,4,3,NULL),(15,2107880,'1990-01-16 00:00:00',4,1,12,2006,'M','N','MORRO DA BINA','BIGUACU','SC','124244241412311431336933572114610137097',21326,'63',34.13,1,3,NULL),(15,2107899,'1987-08-09 00:00:00',4,1,12,2005,'F','N','AMERICANO','LAJEADO','RS','120202201317472431558912372122610142012',5300,'9998',60.53,1,3,NULL),(15,2107910,'1989-01-06 00:00:00',5,1,12,2006,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215473431248833574122610124092',1237,'486',72.31,1,3,NULL),(15,2107929,'1989-02-08 00:00:00',2,1,12,2005,'F','N','COHAB RESTINGA','ALEGRETE','RS','120201208116571731536713474325610123077',19079,'9998',38.55,4,2,1),(15,2107937,'1990-03-13 00:00:00',4,5,11,2007,'M','N','VILA SÃO JOSÉ','ARARANGUA','SC','124242241217111431468911476114610161112',6277,'32',58.50,1,3,NULL),(15,2107945,'1990-05-28 00:00:00',2,4,12,2007,'F','N','INTERIOR','CONCORDIA','SC','124241246116131431322315593124610168077',21341,'196',34.09,1,2,1),(15,2107961,'1990-11-18 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215122431468832572114610122197',1826,'270',69.86,1,3,NULL),(15,2107988,'1936-03-20 00:00:00',5,1,12,1960,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','224252253211161411142247141122340854012',18320,'9998',39.76,1,3,NULL),(15,2107996,'1990-02-12 00:00:00',2,1,12,2007,'F','N','SÃO FRANCISCO','SANTO AMARO DA IMPERATRIZ','SC','124241241116111431556613475124610122147',22355,'306',30.67,1,2,1),(15,2108003,'1985-12-14 00:00:00',4,1,6,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241227371751456672174314610167111',16965,'9999',41.92,1,3,NULL),(15,2108020,'1991-01-27 00:00:00',4,1,12,2008,'M','S','AREIAS','SAO JOSE','SC','124242241216111331343312151124610117042',NULL,'1078',20.51,1,3,NULL),(15,2108038,'1989-12-12 00:00:00',4,8,12,2007,'M','N','FLORESTA','JOINVILLE','SC','124242241217271411358811416124610167072',13596,'494',46.75,1,3,NULL),(15,2108046,'1990-01-22 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215271421489611572115610137117',5850,'270',59.37,1,3,NULL),(15,2108054,'1987-09-15 00:00:00',2,1,12,2005,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124241241117133431333321344234610164187',8169,'592',55.06,1,2,1),(15,2108062,'1989-09-19 00:00:00',2,1,10,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215111441659933572122610127111',3931,'270',63.65,1,3,NULL),(15,2108089,'1989-05-17 00:00:00',4,1,12,2006,'F','N','JOSÉ MENINO','SANTOS','SP','125252251216472431448832275124610166092',2419,'9998',67.85,1,3,NULL),(15,2108097,'1980-05-20 00:00:00',4,1,12,1999,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241142135512266469382114610122147',17016,'594',41.85,1,3,NULL),(15,2108100,'1987-11-05 00:00:00',2,1,12,2005,'F','N','UNIÃO','SULINA','PR','116161161137131731323413282325610166187',5102,'9998',60.90,1,2,1),(15,2108119,'1989-08-28 00:00:00',4,1,12,2006,'M','N','VILA HENRRIQUE','SALTO','SP','125252251215471432457734475122610117094',NULL,'9998',0.00,1,3,NULL),(15,2108127,'1975-12-16 00:00:00',4,1,12,1992,'F','N','PETRÓPOLIS','PORTO ALEGRE','RS','520242241216155421359913315124242847187',NULL,'262',0.00,1,3,NULL),(15,2108135,'1990-11-22 00:00:00',2,4,12,2007,'F','N','CENTRO','GUARUJA DO SUL','SC','124241241436141431426314345122610138057',8401,'740',54.69,1,3,NULL),(15,2108143,'1990-04-22 00:00:00',4,10,12,2007,'M','N','CENTRO','CAPIVARI DE BAIXO','SC','124241241112271431337714232124610164097',18863,'1034',38.90,2,1,1),(15,2108151,'1990-10-13 00:00:00',2,1,11,2007,'F','N','SERRARIA','BIGUACU','SC','124241248111131411633314341124610136052',22124,'257',31.82,1,2,1),(15,2108160,'1990-07-25 00:00:00',4,7,12,2007,'M','N','CENTRO','MAXIMILIANO DE ALMEIDA','RS','124201241215371431466914475125610124072',5515,'962',60.03,1,3,NULL),(15,2108178,'1990-02-24 00:00:00',4,1,11,2007,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124242241215112321467634375122610125052',14297,'270',45.73,1,3,NULL),(15,2108186,'1989-10-17 00:00:00',4,1,12,2006,'M','N','OESTE','GOIANIA','GO','109092091215471431246816575124610142192',1100,'9998',73.03,4,3,NULL),(15,2108194,'1989-06-30 00:00:00',4,3,12,2007,'M','N','SUISSA','ARACAJU','SE','126262261217111431468823375122610132092',7411,'9998',56.39,1,3,NULL),(15,2108208,'1988-05-09 00:00:00',2,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241212153431436613575124233264197',13722,'1011',46.58,1,3,NULL),(15,2108224,'1987-01-12 00:00:00',2,1,12,2004,'M','N','HORTO SANTO ANTONIO','JUNDIAI','SP','125252253215572431536311211124610166057',2285,'9998',68.28,1,3,NULL),(15,2108232,'1989-12-18 00:00:00',2,1,12,2006,'F','N','KOBRASOL','FLORIANOPOLIS','SC','124241241115471731536314571324610114047',16998,'359',41.88,1,2,1),(15,2108240,'1979-07-07 00:00:00',2,1,7,2005,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242247227132431246463492344610123147',NULL,'9999',20.44,4,1,2),(15,2108259,'1991-09-03 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241217151431467914575122610127012',10519,'213',51.16,1,3,NULL),(15,2108275,'1990-09-01 00:00:00',4,1,10,2007,'F','N','BARREIROS','SAO JOSE','SC','124244241215111431339613571124610147112',8332,'738',54.80,1,3,NULL),(15,2108291,'1990-03-11 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241215372451456832572122610162077',1934,'497',69.47,1,3,NULL),(15,2108305,'1987-05-18 00:00:00',2,1,12,2005,'F','N','JARDIM JANAINA','BIGUACU','SC','124241241137372311424324344114610124097',NULL,'66',31.03,4,2,1),(15,2108313,'1989-05-14 00:00:00',4,1,12,2007,'M','N','PASSA VINTE','PALHOCA','SC','624243241117131232228911342324610127147',12860,'306',47.78,4,3,NULL),(15,2108321,'1988-10-21 00:00:00',4,8,12,2006,'M','N','COSTA E SILVA','JOINVILLE','SC','124241246216371441237632343121610124092',15259,'1006',44.47,1,3,NULL),(15,2108330,'1990-05-20 00:00:00',4,9,11,2007,'F','N','MARTORANO','SAO JOAQUIM','SC','124242241215271431334336572122610143077',19243,'1035',38.27,4,3,NULL),(15,2108348,'1990-02-23 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241217111331467753572114610137042',8890,'262',53.85,1,3,NULL),(15,2108356,'1989-11-14 00:00:00',2,1,12,2006,'F','N','BARRA DE IBIRAQUERA','IMBITUBA','SC','124241241117372431423621171124610121097',12201,'359',48.72,1,2,1),(15,2108364,'1989-03-13 00:00:00',2,5,11,2006,'F','N','CENTRO','CRICIUMA','SC','124242241217472431467914575122610127092',11198,'213',50.17,1,3,NULL),(15,2108372,'1989-02-25 00:00:00',2,2,12,2006,'F','N','QUINTINO','TIMBO','SC','124241241124371432444311345122610124073',14761,'870',45.05,1,2,1),(15,2108380,'1989-02-06 00:00:00',2,1,11,2007,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124242241321231421333314176324610124112',20859,'290',35.18,4,3,NULL),(15,2108399,'1990-07-19 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241112142431468933572114610123072',20828,'492',35.23,1,3,NULL),(15,2108402,'1986-08-05 00:00:00',4,8,12,2003,'M','N','BOM RETIRO','JOINVILLE','SC','124241241216273411467931575124231427052',1496,'102',71.21,1,3,NULL),(15,2108410,'1963-10-04 00:00:00',2,1,11,1985,'M','N','ESTREITO','FLORIANOPOLIS','SC','224181217227271411253343332113610134053',20180,'9998',36.47,4,3,NULL),(15,2108429,'1991-02-18 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','116242241211131431459813594124610168047',5353,'9998',60.39,1,3,NULL),(15,2108437,'1988-10-22 00:00:00',4,1,12,2007,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124243241337141411656611245124610122087',NULL,'9999',23.96,1,3,NULL),(15,2108445,'1987-12-17 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243248335372711426532596314610166057',12483,'267',48.32,1,3,NULL),(15,2108453,'1988-10-15 00:00:00',4,1,11,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215372431369613575124610122112',11784,'270',49.28,1,3,NULL),(15,2108461,'1990-04-12 00:00:00',4,2,12,2006,'M','N','GÁVEA','RODEIO','SC','124244241215271431328811175124232624162',8251,'37',54.93,1,3,NULL),(15,2108470,'1988-06-30 00:00:00',4,2,12,2005,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124242161216573451556639571124232456092',2848,'9998',66.61,1,3,NULL),(15,2108488,'1990-02-25 00:00:00',4,2,12,2007,'M','N','UVARANAS','PONTA GROSSA','PR','116163161116371531433414395125610127016',15949,'9998',43.46,1,3,NULL),(15,2108496,'1990-05-25 00:00:00',4,3,12,2007,'M','N','JARDIM PAULISTA','OURINHOS','SP','125252251216111231479614575112610147057',2791,'9998',66.77,1,3,NULL),(15,2108500,'1989-05-22 00:00:00',4,8,12,2006,'M','N','VILA BRASIL','APUCARANA','PR','116162161217371732436619572124610117052',4224,'9998',62.86,3,3,NULL),(15,2108518,'1990-09-30 00:00:00',4,1,11,2007,'F','N','PICADAS DO NORTE','SAO JOSE','SC','124241241115371431366839571124610126142',12115,'307',48.84,1,2,1),(15,2108534,'1990-01-19 00:00:00',4,8,11,2007,'M','N','AMIZADE','JARAGUA DO SUL','SC','124244241246111431457823395121610117052',NULL,'442',7.84,1,3,NULL),(15,2108550,'1989-09-26 00:00:00',4,8,12,2006,'F','N','CENTRO','JOINVILLE','SC','125252251217471411347824575124610137097',3836,'9998',63.90,1,3,NULL),(15,2108569,'1989-01-20 00:00:00',4,8,12,2006,'M','N','CENTRO','JOINVILLE','SC','125244251215472411357622525122610164011',2003,'9998',69.27,1,3,NULL),(15,2108577,'1989-10-17 00:00:00',2,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116164161216471431465833575115610112197',NULL,'9998',0.00,1,3,NULL),(15,2108585,'1990-08-13 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241115471731537619575124610164015',10263,'298',51.54,1,2,1),(15,2108593,'1988-02-16 00:00:00',2,1,12,2005,'F','N','PARQUE FLORIDO','GRAVATAI','RS','120202201217572731536939292124610163017',11671,'9998',49.45,1,3,NULL),(15,2108607,'1988-09-01 00:00:00',4,5,12,2006,'M','N','TURIMAR','BALNEARIO GAIVOTA','SC','124241241117131431656313372112610123142',NULL,'1033',20.87,1,3,NULL),(15,2108615,'1989-11-03 00:00:00',2,1,12,2007,'M','N','CENTRO','NOVA TRENTO','SC','124243241311113231555619194121610168187',8249,'109',54.93,1,3,NULL),(15,2108623,'1987-11-12 00:00:00',4,8,12,2005,'F','N','CARLOS PRATES','BELO HORIZONTE','MG','113134131117471451453933572112610168147',7025,'9998',57.11,2,3,NULL),(15,2108631,'1988-02-19 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215373431466611341124610136182',5751,'1022',59.56,4,3,NULL),(15,2108640,'1991-02-15 00:00:00',4,4,11,2008,'F','S','CENTRO','XANXERE','SC','124242241215111732479911574125610136042',NULL,'9997',65.46,1,3,NULL),(15,2108666,'1986-10-01 00:00:00',4,1,12,2004,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215375431343867572124610164091',211,'270',79.80,1,3,NULL),(15,2108674,'1990-02-08 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215372441559711415124610167181',11956,'1058',49.03,1,3,NULL),(15,2108690,'1989-02-08 00:00:00',2,1,11,2006,'F','N','PASSA VINTE','PALHOCA','SC','124244241215372431363327572124610167147',12595,'1011',48.14,1,3,NULL),(15,2108704,'1990-11-22 00:00:00',2,1,10,2007,'M','N','BARREIROS','SAO JOSE','SC','124241241215121431436611212124610164147',12032,'266',48.94,1,3,NULL),(15,2108712,'1989-10-30 00:00:00',4,1,11,2006,'F','N','CAMPO DA AGUA VERDE','CANOINHAS','SC','116242161217112531466632575124242434147',2405,'9998',67.90,4,3,NULL),(15,2108720,'1986-10-03 00:00:00',5,1,11,2004,'F','N','FLORESTA','JOINVILLE','SC','124242241215575411559831572124610143112',6829,'1105',57.49,1,3,NULL),(15,2108755,'1989-10-02 00:00:00',4,1,12,2006,'F','N','RIO TAVATES','FLORIANOPOLIS','SC','124242241335372431446823345114610166141',16139,'307',43.16,1,3,NULL),(15,2108763,'1981-01-18 00:00:00',4,1,12,1999,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124242241217374431447821285122331864163',10429,'272',51.30,1,3,NULL),(15,2108798,'1988-08-07 00:00:00',4,6,7,2007,'M','N','N S DAS GRAÇAS','ITAJAI','SC','124131131317131431639931575325233267117',18176,'9998',40.02,1,3,NULL),(15,2108801,'1989-12-05 00:00:00',4,1,12,2007,'M','N','CAPELA','MOGI GUACU','SP','125252258111131431346821582121610118177',11658,'9998',49.48,4,3,NULL),(15,2108810,'1988-05-17 00:00:00',4,4,12,2005,'F','N','MEDIANEIRA','PANAMBI','RS','120202201216571431438814574324610137012',NULL,'9998',0.00,1,3,NULL),(15,2108828,'1988-06-06 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242247235111431569327575114610134182',NULL,'9999',18.83,2,1,2),(15,2108836,'1988-02-10 00:00:00',2,5,12,2005,'M','N','COLONINHA','ARARANGUA','SC','124241241137273711435714115121610146172',11062,'29',50.36,1,2,1),(15,2108844,'1989-04-19 00:00:00',4,1,12,2006,'F','N','RESSACADA','ITAJAI','SC','124242241217472431548713574124610134077',1670,'1026',70.49,1,3,NULL),(15,2108852,'1990-06-03 00:00:00',2,10,11,2007,'F','N','CENTRO','PEDRAS GRANDES','SC','124241241215121431446632475124610168142',15199,'807',44.54,1,3,NULL),(15,2108860,'1988-07-04 00:00:00',4,8,12,2005,'M','N','VALE DO SOL','CASCAVEL','PR','116161161335571431557833382112610162142',12143,'9998',48.80,1,3,NULL),(15,2108879,'1989-07-24 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241212112731549913575124230267045',11996,'270',48.99,1,3,NULL),(15,2108887,'1989-05-25 00:00:00',3,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241115472411238624345124610124012',3447,'267',64.88,1,2,1),(15,2108895,'1987-03-03 00:00:00',4,1,12,2004,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241316473431589912495112233234147',4949,'270',61.19,1,3,NULL),(15,2108909,'1991-09-02 00:00:00',4,8,12,2008,'M','S','AMÉRICA','JOINVILLE','SC','124242241217111741368924571122610136097',NULL,'486',66.41,1,3,NULL),(15,2108917,'1988-08-06 00:00:00',4,1,11,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215372511368711575122231067042',3818,'270',63.93,1,3,NULL),(15,2108925,'1977-04-24 00:00:00',2,3,12,1994,'F','N','PEREQUE','PORTO BELO','SC','124241245216132421323344345114131323147',NULL,'781',0.00,1,3,NULL),(15,2108933,'1957-11-23 00:00:00',2,1,12,2004,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','624241241126134411533341112124610136037',NULL,'736',23.27,2,1,1),(15,2108941,'1988-12-30 00:00:00',4,1,12,2006,'M','N','VARZEA','RECIFE','PE','117052051216471131227924575124610145097',NULL,'9998',0.00,1,3,NULL),(15,2108968,'1989-02-18 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241216151411166849495124133236147',14517,'210',45.38,1,3,NULL),(15,2108992,'1987-09-29 00:00:00',2,1,11,2004,'M','N','CAMPINAS','SAO JOSE','SC','124244241216373721545624345134222964047',10485,'266',51.21,1,3,NULL),(15,2109018,'1984-12-12 00:00:00',2,1,12,2005,'M','N','JARDIM PARAISO','ALMIRANTE TAMANDARE','PR','116161167127471731533424445114610117044',NULL,'9999',22.07,1,3,NULL),(15,2109034,'1991-07-17 00:00:00',4,2,11,2008,'M','S','FORTALEZA','BLUMENAU','SC','124242244216111411468814425122610112147',NULL,'71',56.55,1,3,NULL),(15,2109042,'1990-05-02 00:00:00',4,8,11,2007,'M','N','ATIRADORES','JOINVILLE','SC','124243241435131431528812575124610164177',4295,'465',62.71,1,3,NULL),(15,2109050,'1988-09-30 00:00:00',4,8,11,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124164241216163411458834575122231417092',5745,'270',59.57,1,3,NULL),(15,2109069,'1988-05-04 00:00:00',2,1,12,2006,'M','N','SERTAO','SANTO AMARO DA IMPERATRIZ','SC','124241241115373431436623371124610124142',7420,'306',56.37,1,2,1),(15,2109077,'1990-05-03 00:00:00',4,1,11,2007,'M','N','RECIFE','TUBARAO','SC','124242241216151411489934575112610166082',1526,'797',71.08,1,3,NULL),(15,2109085,'1988-06-16 00:00:00',2,1,12,2005,'F','N','AREIAS DO CAMPECHE','FLORIANOPOLIS','SC','124241241116274431436813274124610136077',15608,'307',43.94,1,2,1),(15,2109093,'1989-07-28 00:00:00',4,1,12,2007,'F','N','JURERÊ','FLORIANOPOLIS','SC','124242241415121431479921572122610126182',1471,'270',71.35,1,3,NULL),(15,2109107,'1988-07-15 00:00:00',2,1,12,2005,'F','N','STO ANTONIO D LISBOA','FLORIANOPOLIS','SC','124242241414153721538934384144233266077',4940,'270',61.21,1,3,NULL),(15,2109115,'1990-10-27 00:00:00',4,1,12,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124202201417111411458812571124610137165',8463,'9998',54.58,1,3,NULL),(15,2109123,'1988-09-17 00:00:00',2,1,12,2007,'F','N','PINHEIRA','PALHOCA','SC','124241241125371431433311112124613238147',20696,'595',35.50,1,2,1),(15,2109131,'1989-04-08 00:00:00',4,1,12,2006,'F','N','GRAMADO','CASCAVEL','PR','116162161216472431337414245122610122074',NULL,'9998',0.00,4,3,NULL),(15,2109140,'1990-09-22 00:00:00',4,5,12,2007,'M','N','SÃO BENTO BAIXO','NOVA VENEZA','SC','124244248215161431543736572124610147112',17411,'995',41.21,1,3,NULL),(15,2109158,'1987-07-20 00:00:00',4,1,12,2005,'M','N','JD STA HELENA','MOGI MIRIM','SP','125252251215472431346721482124142562097',818,'9998',74.61,1,3,NULL),(15,2109166,'1985-09-22 00:00:00',2,1,12,2003,'M','N','CARIANOS','FLORIANOPOLIS','SC','224241248127132431223353282114610137187',17914,'283',40.47,4,1,1),(15,2109174,'1989-10-23 00:00:00',4,1,12,2006,'F','N','CENTRO','CRICIUMA','SC','124242241215372431558812572114610161137',1003,'226',73.52,1,3,NULL),(15,2109182,'1990-07-08 00:00:00',2,1,12,2007,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124241241117371431546633374124610126197',5155,'307',60.80,1,2,1),(15,2109190,'1988-08-01 00:00:00',4,8,11,2005,'F','N','BUCAREIN','JOINVILLE','SC','124242241215573731648811574115610132092',225,'457',79.63,1,3,NULL),(15,2109204,'1989-05-08 00:00:00',2,1,12,2006,'M','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124243241415372411421113271124610114147',9478,'1014',52.81,1,3,NULL),(15,2109212,'1984-09-28 00:00:00',2,1,12,2005,'M','N','MONÇÃO','TAUBATE','SP','125052257437471431358833571121140267047',NULL,'9998',41.83,1,3,NULL),(15,2109220,'1990-04-18 00:00:00',4,10,12,2007,'M','N','PESCARIA BRAVA','LAGUNA','SC','124241241216161531536632571124610167047',17407,'1120',41.22,1,3,NULL),(15,2109247,'1990-09-05 00:00:00',4,6,12,2007,'M','N','FAZENDA','ITAJAI','SC','124164241215112431369932575112610167012',2794,'1026',66.76,1,3,NULL),(15,2109255,'1989-06-18 00:00:00',4,1,12,2006,'F','N','JARDIM KELLY','LIMEIRA','SP','125251251116471631326421372124610144177',10564,'9998',51.07,1,2,1),(15,2109263,'1987-03-18 00:00:00',4,1,12,2005,'M','N','JD ANA EMÍLIA','TAUBATE','SP','125252256211271411558723475121610127052',4203,'9998',62.90,2,3,NULL),(15,2109271,'1990-06-25 00:00:00',4,1,11,2007,'M','N','AGENOR DE CARVALHO','PORTO VELHO','RO','122222221217111451359834594122610134052',1583,'9998',70.86,1,3,NULL),(15,2109280,'1970-06-29 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124243247222131431422379292114610116197',NULL,'9999',22.19,1,3,NULL),(15,2109298,'1989-08-01 00:00:00',4,3,12,2006,'F','N','CENTRO','GIRUA','RS','120202201217471431347732325124610128092',8986,'9998',53.68,1,3,NULL),(15,2109301,'1990-07-15 00:00:00',4,1,12,2007,'M','N','SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC','124244241415131431458914575122610134011',7553,'1048',56.11,1,3,NULL),(15,2109310,'1985-05-24 00:00:00',2,1,12,2003,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','624201201126271411325754285124140633097',12081,'9998',48.88,1,2,1),(15,2109328,'1988-10-28 00:00:00',4,1,12,2006,'F','N','JAÇANÃ','SAO PAULO','SP','125251251117371431458814575114610124122',5501,'9998',60.05,1,2,1),(15,2109336,'1989-04-15 00:00:00',2,1,11,2006,'F','N','JARDIM MACEDO','RIBEIRAO PRETO','SP','125252251215272431568831375122640123182',2874,'9998',66.52,1,3,NULL),(15,2109344,'1987-02-03 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217271751387933575124233263182',NULL,'1036',0.00,1,3,NULL),(15,2109352,'1990-02-01 00:00:00',4,6,12,2007,'F','N','PARQUE DOS PRÍNCIPES','JACAREI','SP','125251251216111731416524575324610122012',3393,'9998',65.01,1,3,NULL),(15,2109360,'1986-10-05 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANOPOLIS','SC','116162168216473431466619575121241966142',7122,'9998',56.93,1,3,NULL),(15,2109379,'1990-03-20 00:00:00',4,9,12,2007,'M','N','BELA VISTA','CONCORDIA','SC','124241241135141731335534345122610135145',NULL,'190',20.17,1,2,1),(15,2109387,'1987-10-22 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124233241414272451467713572114610121142',6933,'307',57.28,1,3,NULL),(15,2109395,'1990-04-20 00:00:00',4,1,12,2007,'F','N','CENTRO','BRUSQUE','SC','124242241217272431246822574122610167142',1279,'109',72.12,1,3,NULL),(15,2109425,'1988-09-25 00:00:00',4,1,12,2006,'F','N','JD ALVARO BRITO','OLIMPIA','SP','125253251216471411438831571324610164174',16734,'9998',42.28,1,3,NULL),(15,2109433,'1990-03-12 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124241241215121432446934385124610136177',20354,'1078',36.14,1,3,NULL),(15,2109441,'1990-06-06 00:00:00',2,1,12,2007,'F','N','BELA VISTA I','SAO JOSE','SC','124243241417271731343923396124610133147',6114,'1118',58.85,1,3,NULL),(15,2109450,'1990-04-01 00:00:00',4,1,12,2007,'M','N','BREJARÚ','PALHOCA','SC','124242241215371431463713591124611426182',11238,'258',50.10,1,3,NULL),(15,2109468,'1989-10-05 00:00:00',4,8,12,2007,'F','N','JARDIM PAULISTA','TAUBATE','SP','125251251215131411333329492124610122142',3692,'9998',64.23,1,3,NULL),(15,2109476,'1987-02-06 00:00:00',4,1,12,2003,'F','N','BOM VIVER','BIGUACU','SC','124241241315372431436722315224133233187',2233,'1022',68.47,1,3,NULL),(15,2109484,'1989-10-30 00:00:00',4,9,12,2007,'F','N','CORAL','LAGES','SC','124244241215131741456931572122610128197',22066,'499',32.05,1,3,NULL),(15,2109492,'1990-02-08 00:00:00',2,1,12,2007,'M','N','BALNEARIO ESTREITO','FLORIANOPOLIS','SC','124242241215111431466612575124610117047',15345,'1022',44.33,1,3,NULL),(15,2109506,'1989-03-10 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241115473431366713574122610122182',7448,'270',56.34,1,3,NULL),(15,2109514,'1987-05-08 00:00:00',4,1,12,2004,'M','N','AREIAS','SAO JOSE','SC','124243241417274431236669345334610162163',10555,'976',51.09,1,3,NULL),(15,2109530,'1986-08-31 00:00:00',4,1,12,2004,'M','N','PRAÇA','TIJUCAS','SC','124241241126112311421344445123130264187',17069,'783',41.77,1,2,1),(15,2109549,'1985-06-30 00:00:00',4,3,12,2002,'F','N','CENTRO','BELA VISTA DO PARAISO','PR','116164161217371421536812485124241247147',10383,'9998',51.37,1,3,NULL),(15,2109565,'1989-06-08 00:00:00',2,1,11,2006,'M','N','CENTRO','CANOINHAS','SC','124241247316272431536812572122131027057',2218,'154',68.53,1,3,NULL),(15,2109573,'1990-03-07 00:00:00',4,1,12,2007,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241217271451358629595124610148047',15463,'988',44.17,1,3,NULL),(15,2109581,'1989-06-12 00:00:00',4,1,12,2006,'M','N','ASA SUL','BRASILIA','DF','107203071216371431326823475122610147097',NULL,'9998',0.00,1,3,NULL),(15,2109611,'1985-05-21 00:00:00',4,1,12,2002,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241227132411456613271124131468115',20808,'414',35.26,1,3,NULL),(15,2109620,'1990-04-14 00:00:00',4,1,11,2007,'M','N','CENTRO','BRUSQUE','SC','124242241215112451369931574115610126172',43,'270',83.31,1,3,NULL),(15,2109638,'1990-09-27 00:00:00',4,7,11,2007,'F','N','CENTRO','CONCORDIA','SC','124241241214111431369933572122610164142',NULL,'1000',30.14,1,3,NULL),(15,2109654,'1990-08-13 00:00:00',4,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215472431478711575122610122142',2107,'270',68.95,1,3,NULL),(15,2109662,'1990-04-15 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241115112431469934471122610122072',784,'270',74.82,1,3,NULL),(15,2109670,'1990-10-23 00:00:00',2,4,2,2008,'F','N','CENTRO','FRANCISCO BELTRAO','PR','116163161216221441437916575122610127144',3963,'9998',63.56,1,3,NULL),(15,2109689,'1989-04-01 00:00:00',4,1,12,2006,'F','N','CENTRO','CRICIUMA','SC','124242241215272711468831571112132467182',337,'226',78.22,1,3,NULL),(15,2109697,'1984-06-18 00:00:00',4,1,12,2001,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124244241416575751358934572114610164147',153,'806',80.62,1,3,NULL),(15,2109700,'1990-06-04 00:00:00',2,7,12,2007,'M','N','CENTRO','MONTE CARLO','SC','124241241116161431339933235122610116141',NULL,'936',0.00,1,2,1),(15,2109743,'1990-06-16 00:00:00',2,1,12,2007,'F','N','CENTRO','PAPANDUVA','SC','124244241415121431437732474122610121147',NULL,'541',32.38,1,3,NULL),(15,2109760,'1991-01-10 00:00:00',4,1,12,2007,'M','N','AGUAS CLARAS','TAGUATINGA','DF','107272071215111441263923574125610164182',6674,'9998',57.77,4,3,NULL),(15,2109778,'1990-07-11 00:00:00',4,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241215121711548612525124610164187',8043,'270',55.29,1,3,NULL),(15,2109786,'1989-11-28 00:00:00',4,2,11,2007,'M','N','ASILO','BLUMENAU','SC','124242241216151431469933575122610114092',835,'71',74.46,1,3,NULL),(15,2109794,'1990-09-04 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215122441256939592124610145052',1096,'270',73.05,1,3,NULL),(15,2109808,'1990-03-16 00:00:00',2,9,12,2007,'F','N','CENTRO','LONTRAS','SC','124241241217371431449933276124610166057',11349,'663',49.91,1,3,NULL),(15,2109824,'1988-12-21 00:00:00',2,1,11,2006,'M','N','PQ INDUSTRIAL','SAO JOSE DOS CAMPOS','SP','125254251416371421548814275124610117112',16881,'9998',42.04,4,3,NULL),(15,2109832,'1989-12-06 00:00:00',2,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431438833575124610164052',NULL,'272',0.00,4,3,NULL),(15,2109840,'1990-05-26 00:00:00',4,1,12,2007,'F','N','COLONIAL','SAO BENTO DO SUL','SC','124242161216121441558812494124610161182',590,'9998',76.13,1,3,NULL),(15,2109859,'1989-07-10 00:00:00',4,8,12,2006,'M','N','VILA DO SALTO','LUIZ ALVES','SC','124241241215372431368813492124231427062',7656,'855',55.94,1,3,NULL),(15,2109867,'1989-02-02 00:00:00',4,1,12,2006,'M','N','CAMPO BELO','SAO PAULO','SP','125252251216471431453732423124610167047',1655,'9998',70.58,1,3,NULL),(15,2109875,'1988-11-17 00:00:00',4,1,12,2006,'F','N','JARDIM DO LAGO','PIRASSUNUNGA','SP','125252251217472431546833572122610127147',13689,'9998',46.63,1,3,NULL),(15,2109883,'1987-05-04 00:00:00',4,1,12,2004,'M','N','PORTAL DE ITU','ITU','SP','125254251217571441568716575121242964022',NULL,'9998',0.00,1,3,NULL),(15,2109891,'1989-01-31 00:00:00',4,7,11,2006,'M','N','VILA ALEMANHA','LUZERNA','SC','124242241417371731469513445124610124012',12325,'539',48.54,1,3,NULL),(15,2109905,'1988-12-30 00:00:00',2,1,12,2006,'M','N','FAZENDA STO ANTÔNIO','SAO JOSE','SC','124241241117372711433331375124610168142',10734,'733',50.82,1,2,1),(15,2109913,'1989-05-08 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241416143431655934242124230223052',15426,'525',44.22,1,3,NULL),(15,2109930,'1987-03-02 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216372431469931473122221467012',297,'262',78.77,1,3,NULL),(15,2109948,'1990-11-30 00:00:00',2,1,12,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241116131431334512575124610128097',14059,'307',46.08,1,2,1),(15,2109956,'1988-07-14 00:00:00',4,1,12,2005,'F','N','APARECIDA','SANTOS','SP','125254251215572331448834371122610161111',1857,'9998',69.75,1,3,NULL),(15,2109964,'1990-10-20 00:00:00',2,1,11,2007,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241212151431346624595124610167052',17873,'262',40.55,1,3,NULL),(15,2109972,'1989-09-14 00:00:00',2,1,10,2006,'F','N','DEHON','TUBARAO','SC','124242241217132431558812395124230236072',9016,'807',53.61,1,3,NULL),(15,2109980,'1988-04-17 00:00:00',4,1,12,2005,'M','N','JARDIM EUROPA','BIGUACU','SC','124243241216473431457613575124610164145',147,'1022',80.74,1,3,NULL),(15,2109999,'1985-05-16 00:00:00',4,3,12,2003,'M','N','ACLIMAÇÃO','SAO PAULO','SP','125252251216575751479933571125612463097',NULL,'9998',0.00,1,3,NULL),(15,2110008,'1988-01-23 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215574431468711574124610163017',123,'491',81.05,1,3,NULL),(15,2110016,'1986-07-10 00:00:00',4,1,12,2003,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124244241212144421468831572122232467117',3112,'270',65.83,1,3,NULL),(15,2110024,'1989-10-12 00:00:00',4,1,11,2006,'F','N','CENTRO','REGISTRO','SP','125252251217471451347823572115610163097',19013,'9998',38.64,1,3,NULL),(15,2110032,'1987-07-23 00:00:00',4,1,12,2005,'M','N','CENTRO','TAUBATE','SP','125251251215571431533214275115610142194',6207,'9998',58.62,1,3,NULL),(15,2110040,'1991-04-07 00:00:00',2,1,11,2007,'M','N','PRAIA DE FORA','PALHOCA','SC','124241241135131431436653345124610167147',19351,'592',38.09,1,3,NULL),(15,2110059,'1988-12-16 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372411458812472124132467147',1861,'213',69.74,1,3,NULL),(15,2110075,'1988-11-04 00:00:00',4,1,6,2006,'F','N','INDEPENDÊNCIA','PORTO ALEGRE','RS','120202201212472431257813472115610162182',14468,'9998',45.47,1,3,NULL),(15,2110083,'1989-01-07 00:00:00',4,1,12,2006,'F','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124242247215472431478814275122610124087',10974,'270',50.51,3,3,NULL),(15,2110091,'1988-02-13 00:00:00',4,1,1,2006,'F','N','ASA NORTE','BRASILIA','DF','107072077216572431578813571122610167127',6258,'9999',58.52,3,3,NULL),(15,2110105,'1990-02-18 00:00:00',4,1,12,2007,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241215271441569933575122610124181',372,'883',77.86,1,3,NULL),(15,2110113,'1989-07-03 00:00:00',4,1,10,2007,'M','N','CENTRO','TAUBATE','SP','125252257415471531479834575112610162052',NULL,'9999',0.00,1,3,NULL),(15,2110121,'1988-07-09 00:00:00',2,10,7,2006,'M','N','VILA NOVA','IMBITUBA','SC','124242247416371431346712595122231017042',17101,'9999',41.73,1,3,NULL),(15,2110130,'1987-07-14 00:00:00',4,1,12,2004,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124242241231132431533823381124130232197',18194,'266',39.98,1,3,NULL),(15,2110148,'1982-08-08 00:00:00',4,1,11,2000,'M','N','JARDIM LAS PALMAS','GUARUJA','SP','125124121416471431459932371122343267112',7056,'9998',57.05,3,3,NULL),(15,2110156,'1989-03-30 00:00:00',4,1,12,2006,'F','N','VERGUEIRO','PASSO FUNDO','RS','120202201216472411489931575124610166152',3714,'9998',64.18,1,3,NULL),(15,2110172,'1988-02-09 00:00:00',2,1,12,2005,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124243201215572431458633572124610161017',4781,'9998',61.56,1,3,NULL),(15,2110180,'1990-12-21 00:00:00',4,1,12,2007,'F','N','SÃO MIGUEL','BIGUACU','SC','124242241215111731338613574124610122182',11505,'1118',49.70,1,3,NULL),(15,2110199,'1990-08-05 00:00:00',2,1,12,2007,'M','N','CENTRO','PALHOCA','SC','124242241215371411436923474125610165072',2630,'1011',67.22,1,3,NULL),(15,2110202,'1979-03-28 00:00:00',4,6,12,1998,'M','N','JARDIM MARIA LUIZA','CASCAVEL','PR','116241241125271431543414232123610127112',5899,'395',59.26,1,2,1),(15,2110210,'1990-10-28 00:00:00',4,1,11,2007,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241215471431466633575122610116092',678,'266',75.56,1,3,NULL),(15,2110229,'1990-09-26 00:00:00',2,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124241248115111431338321245224610131147',12707,'129',47.97,4,2,1),(15,2110237,'1990-01-28 00:00:00',4,1,12,2007,'M','N','ARIRIÚ','PALHOCA','SC','124244241135131431435311182121610114057',16580,'593',42.48,1,3,NULL),(15,2110245,'1990-06-13 00:00:00',2,9,12,2007,'M','N','BOA VISTA','POUSO REDONDO','SC','124241246217371431458923575122610147052',1797,'1013',69.94,1,3,NULL),(15,2110253,'1986-06-12 00:00:00',4,1,12,2003,'M','N','BARREIROS','SAO JOSE','SC','124241241127373411335624245133610122173',15120,'736',44.64,1,2,1),(15,2110261,'1990-02-03 00:00:00',4,1,11,2007,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241217122431438814595114610164182',9832,'270',52.21,1,3,NULL),(15,2110270,'1989-12-09 00:00:00',2,1,12,2007,'F','N','BALNEARIO ESTREITO','FLORIANOPOLIS','SC','124252241215111431438619191122610116077',13618,'988',46.72,1,3,NULL),(15,2110288,'1987-08-03 00:00:00',4,1,11,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124202201215574731534612442334610161077',16683,'9998',42.35,1,3,NULL),(15,2110296,'1984-09-19 00:00:00',2,1,11,2003,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124243241117475431546923386124121767187',6132,'306',58.80,1,3,NULL),(15,2110300,'1989-12-24 00:00:00',4,1,12,2007,'F','N','PARQUE CAFÉ','MONTE MOR','SP','125254251217111431444719575222610144076',NULL,'9998',0.00,4,3,NULL),(15,2110318,'1990-08-03 00:00:00',4,9,12,2007,'M','N','BIGORRILHO','CURITIBA','PR','116244161117272431568912122124610117052',1043,'9997',73.28,1,3,NULL),(15,2110326,'1989-11-20 00:00:00',4,1,12,2006,'F','N','CENTRO','BAURU','SP','125252251215471421458833571122610143097',7020,'9998',57.11,1,3,NULL),(15,2110334,'1989-12-15 00:00:00',4,1,12,2006,'M','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124244241216212431256923475124231465085',6584,'266',57.93,1,3,NULL),(15,2110342,'1989-03-14 00:00:00',4,1,12,2006,'M','N','JARDIM COIMASA','DOURADOS','MS','125122121215471431467716265114610167092',2278,'9998',68.31,1,3,NULL),(15,2110350,'1988-08-18 00:00:00',4,1,10,2006,'M','N','FERTIZA','ARAXA','MG','125131251215421431459918575112610162092',3471,'9998',64.83,3,3,NULL),(15,2110369,'1986-03-19 00:00:00',2,1,12,2005,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241217233411426624572124232725187',18368,'1003',39.69,1,3,NULL),(15,2110377,'1990-08-03 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241212111431468613575124610117112',3650,'270',64.36,4,3,NULL),(15,2110385,'1989-08-23 00:00:00',4,6,10,2006,'F','N','AUXILIADORA','PORTO ALEGRE','RS','120202241215472431548834592315610138027',13014,'226',47.57,1,3,NULL),(15,2110393,'1989-09-14 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241215472431535612571124610132072',2031,'270',69.16,1,3,NULL),(15,2110407,'1988-05-10 00:00:00',4,1,12,2005,'M','N','CENTRO','BRUSQUE','SC','124242241216153431467919572115221434062',5367,'109',60.35,1,3,NULL),(15,2110423,'1990-07-16 00:00:00',2,1,12,2007,'M','N','JOÁIA','TIJUCAS','SC','124244241115271711334631271122610164057',9976,'783',51.97,1,3,NULL),(15,2110431,'1990-03-12 00:00:00',4,1,11,2006,'F','N','CENTRO','ICARA','SC','124242241215472431448811312124610163047',1128,'226',72.89,1,3,NULL),(15,2110458,'1990-02-07 00:00:00',4,3,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124244241217112431448712374325610164112',585,'1038',76.17,1,3,NULL),(15,2110466,'1989-07-06 00:00:00',4,8,12,2006,'F','N','CENTRO','ITAIOPOLIS','SC','124241241216471441466911571124610166142',NULL,'541',0.00,1,3,NULL),(15,2110474,'1983-03-25 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANOPOLIS','SC','124252251217371731168813415124140744015',164,'9998',80.45,1,3,NULL),(15,2110482,'1990-02-19 00:00:00',2,5,12,2007,'F','N','PRAIA DA CAL','TORRES','RS','120251201217411751678514575122610166147',NULL,'9998',27.18,1,3,NULL),(15,2110490,'1988-01-05 00:00:00',2,1,12,2006,'F','N','FUNDOS','BIGUACU','SC','124242241215472431364612575114610168072',6395,'270',58.26,4,3,NULL),(15,2110504,'1989-07-13 00:00:00',2,1,12,2006,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124243241317132431456833392124610165012',15241,'288',44.48,1,3,NULL),(15,2110520,'1987-11-07 00:00:00',4,1,12,2005,'F','N','JARDIM PAULISTA','SAO JOSE DO RIO PRETO','SP','125252251216575431456823574122610124147',1750,'9998',70.21,1,3,NULL),(15,2110539,'1990-01-20 00:00:00',4,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241217111431459933572122610124072',17180,'270',41.60,2,1,2),(15,2110547,'1991-12-11 00:00:00',4,1,12,2008,'F','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215111731469633574124610167117',NULL,'270',50.55,1,3,NULL),(15,2110555,'1990-06-05 00:00:00',2,1,11,2007,'F','N','MOEMA','SAO PAULO','SP','125252251211151431448823572322610161117',NULL,'9998',0.00,1,3,NULL),(15,2110563,'1987-03-02 00:00:00',2,8,12,2004,'M','N','JARDIM ESPERANÇA','CANOINHAS','SC','124241241117131431358924572124231447142',20977,'153',34.89,1,2,1),(15,2110571,'1988-06-21 00:00:00',4,8,12,2005,'F','N','CENTRO','CASCAVEL','PR','116124121216512751534629582324610166177',19412,'9998',37.99,1,3,NULL),(15,2110580,'1989-03-09 00:00:00',4,1,12,2006,'M','N','DUQUE DE CAXIAS','CUIABA','MT','111112251237471231468834575122610162052',488,'9998',76.91,1,3,NULL),(15,2110598,'1989-07-19 00:00:00',4,6,12,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215472431338834575122610148147',5730,'1038',59.62,1,3,NULL),(15,2110601,'1989-11-21 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431468833575122610146092',1390,'270',71.71,1,3,NULL),(15,2110610,'1989-02-04 00:00:00',4,1,12,2006,'M','N','JD SANTA FRANCISCA','GUARULHOS','SP','125252251215471431388811574122610167127',130,'9998',80.96,3,3,NULL),(15,2110628,'1990-03-08 00:00:00',2,1,2,2008,'F','N','BARREIROS','SAO JOSE','SC','124243241112111431443319575124610132077',17852,'739',40.59,1,3,NULL),(15,2110636,'1989-02-25 00:00:00',4,8,11,2006,'F','N','CENTRO','PALMAS','PR','116162161211471441347515471124610146192',1315,'9998',72.01,1,3,NULL),(15,2110644,'1990-08-07 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241248312411411437612572114610167042',13693,'300',46.63,1,3,NULL),(15,2110660,'1980-03-18 00:00:00',2,1,7,2006,'F','N','BARREIROS','SAO JOSE','SC','224241247117331731327354191344610126141',NULL,'9999',24.05,1,2,1),(15,2110679,'1990-06-30 00:00:00',4,1,11,2007,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124242241215112431488613575112610164012',3200,'270',65.55,1,3,NULL),(15,2110687,'1987-03-20 00:00:00',2,1,12,2004,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241447272431336524245124610137052',13995,'272',46.16,1,3,NULL),(15,2110695,'1990-01-02 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242241215111231389912575114610137142',6663,'270',57.79,1,3,NULL),(15,2110709,'1990-08-21 00:00:00',2,10,11,2007,'M','N','VILA MOEMA','TUBARAO','SC','124242241215121431568614572122610134092',14329,'807',45.68,1,3,NULL),(15,2110717,'1990-06-29 00:00:00',4,8,12,2007,'M','N','CENTRO','GUARAMIRIM','SC','124242241211111431459414592122610127092',14134,'441',45.99,1,3,NULL),(15,2110725,'1991-08-05 00:00:00',4,1,12,2008,'M','S','TRINDADE','FLORIANOPOLIS','SC','124242241215111431569811275124610168042',NULL,'109',47.73,1,3,NULL),(15,2110733,'1990-07-30 00:00:00',2,10,11,2007,'F','N','OFICINAS','TUBARAO','SC','124242241217121431357714575125610167097',12844,'807',47.80,1,3,NULL),(15,2110741,'1990-08-04 00:00:00',2,5,11,2007,'F','N','PINHEIRINHO','CRICIUMA','SC','124242241215111711438814145124610164185',5839,'226',59.38,1,3,NULL),(15,2110750,'1982-04-15 00:00:00',2,1,12,1999,'F','N','SAO CRISTOVAO','GUARAPUAVA','PR','116161161117271421346723435122341334012',NULL,'9998',0.00,1,2,1),(15,2110768,'1989-06-11 00:00:00',2,8,12,2006,'M','N','LINHA BOA ESPERANÇA','FREDERICO WESTPHALEN','RS','120201201117372451434835575124610147042',3331,'9998',65.17,1,2,1),(15,2110776,'1983-11-19 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215243421238744245334131032017',10628,'266',50.99,1,3,NULL),(15,2110784,'1981-09-30 00:00:00',2,1,6,2007,'F','N','AREIAS','SAO JOSE','SC','124241247132372431455313242124610114147',9756,'9997',52.33,1,3,NULL),(15,2110806,'1991-03-03 00:00:00',4,1,11,2007,'M','N','CENTRO','ARARANGUA','SC','124242241215121431568812572112610167092',7418,'32',56.37,1,3,NULL),(15,2110814,'1990-12-06 00:00:00',4,5,12,2007,'M','N','CENTRO','TORRES','RS','120203201417271731339811575121610138187',4337,'9998',62.63,1,3,NULL),(15,2110822,'1991-10-20 01:00:00',4,1,12,2008,'F','S','NOSSA SRA DO ROSÁRIO','SAO JOSE','SC','124241241215131431336413572122610133142',NULL,'738',35.56,1,3,NULL),(15,2110830,'1990-02-12 00:00:00',2,4,12,2007,'F','N','ESPLANADA','CHAPECO','SC','624241241121131411421114272224610126142',16089,'169',43.24,1,3,NULL),(15,2110849,'1990-07-06 00:00:00',4,1,12,2007,'F','N','JOAIA','TIJUCAS','SC','124241241115241731436434241124610124142',21044,'783',34.77,1,3,NULL),(15,2110857,'1990-04-26 00:00:00',2,2,12,2007,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124244241215111431433529572124610128142',12112,'88',48.85,1,3,NULL),(15,2110865,'1989-09-18 00:00:00',4,4,12,2006,'F','N','CENTRO','DESCANSO','SC','124242241346132731448933246132610127057',15623,'242',43.91,1,3,NULL),(15,2110873,'1990-01-21 00:00:00',4,1,11,2007,'M','N','JARDIM CAMBURI','VITORIA','ES','108082081217111331478814591112613262092',8966,'9998',53.72,1,3,NULL),(15,2110881,'1990-01-29 00:00:00',4,1,7,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242247237141711459933392112610127042',12539,'270',48.24,1,3,NULL),(15,2110890,'1989-03-22 00:00:00',4,5,11,2006,'F','N','TERCEIRA LINHA','ICARA','SC','124242241215473431464936572112610167142',2700,'226',67.03,1,3,NULL),(15,2110903,'1989-03-22 00:00:00',4,1,12,2006,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124243241332121431458513312124230227042',22324,'9999',30.89,1,3,NULL),(15,2110911,'1988-05-24 00:00:00',4,1,11,2005,'M','N','PQ SÂO VICENTE','SAO VICENTE','SP','125251251116131431436614385121610134087',NULL,'9998',24.19,2,1,1),(15,2110920,'1991-08-19 00:00:00',4,5,11,2008,'M','S','CENTRO','CRICIUMA','SC','124242241215111451346814472125610147012',NULL,'213',68.39,1,3,NULL),(15,2110938,'1990-09-20 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241215372431548611575124610127112',7053,'1048',57.05,1,3,NULL),(15,2110946,'1988-10-09 00:00:00',4,1,12,2006,'F','N','CENTRO','CRICIUMA','SC','124242241215472431568821474124610133092',551,'270',76.41,1,3,NULL),(15,2110954,'1986-04-26 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216272351236519594124233166187',8743,'270',54.11,1,3,NULL),(15,2110970,'1990-01-10 00:00:00',2,4,11,2007,'F','N','CENTRO','ABELARDO LUZ','SC','124244241231371431468412575122610162142',11075,'836',50.34,1,3,NULL),(15,2110989,'1991-08-29 00:00:00',4,1,11,2007,'M','N','BARRA DO ARIRIÚ','PALHOCA','SC','124242241215121431434432575124610168092',2626,'1011',67.22,1,3,NULL),(15,2110997,'1990-07-08 00:00:00',4,3,11,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215372431479814572122610167012',6882,'403',57.38,1,3,NULL),(15,2111004,'1983-11-16 00:00:00',4,6,7,2001,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','224242167416152441246651375112132434147',4537,'9998',62.16,1,3,NULL),(15,2111020,'1991-07-03 00:00:00',4,1,12,2008,'F','S','PRAIA COMPRIDA','SAO JOSE','SC','124242248215111751355333595122610132192',NULL,'1011',40.26,1,3,NULL),(15,2111039,'1988-09-15 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124212241112472431536629395124610133146',13359,'307',47.10,1,3,NULL),(15,2111047,'1989-06-02 00:00:00',4,5,7,2007,'M','N','COMERCIÁRIO','CRICIUMA','SC','124241246216131411536623245134610168187',11346,'995',49.92,1,3,NULL),(15,2111055,'1987-05-12 00:00:00',2,1,6,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241117153431236923175125610161052',9853,'306',52.18,1,2,1),(15,2111063,'1989-04-14 00:00:00',2,1,11,2006,'F','N','POPULAR','CUIABA','MT','111112111217471731689931574122610142142',105,'9998',81.49,1,3,NULL),(15,2111071,'1971-03-31 00:00:00',2,1,12,1989,'F','N','ITACORUBI','FLORIANOPOLIS','SC','224241241127135411346353235124131854097',13100,'298',47.45,1,2,1),(15,2111080,'1990-04-19 00:00:00',2,4,12,2007,'F','N','COLATTO','CHAPECO','SC','124241241137111431411327392124610163147',NULL,'184',24.29,1,3,NULL),(15,2111098,'1990-12-15 00:00:00',4,6,11,2007,'F','N','CENTRO','ITAJAI','SC','124242241215271431459934575122610124092',5138,'1026',60.83,1,3,NULL),(15,2111101,'1989-02-25 00:00:00',4,3,11,2006,'F','N','CENTRO','CATUIPE','RS','120202201216472431468931594125610146142',1715,'9998',70.31,1,3,NULL),(15,2111110,'1990-02-06 00:00:00',4,1,12,2007,'F','N','JARDIM MORADA DO SOL','INDAIATUBA','SP','125251251137141411463339395122610141147',NULL,'9998',22.72,1,2,1),(15,2111128,'1988-03-20 00:00:00',2,1,12,2005,'M','N','SANTA ISABEL','ANAPOLIS','GO','109093091216573731557619572114610114183',4987,'9998',61.11,1,3,NULL),(15,2111136,'1989-01-27 00:00:00',4,1,11,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241211574451589711571122610167057',3023,'270',66.06,1,3,NULL),(15,2111144,'1989-05-10 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215372431436613391124610133082',10575,'1022',51.06,1,3,NULL),(15,2111152,'1990-10-05 00:00:00',2,1,11,2007,'M','N','PICADAS DO SUL','SAO JOSE','SC','124242241215371431446613285124610132043',8735,'1048',54.12,1,3,NULL),(15,2111160,'1990-05-22 00:00:00',4,10,12,2007,'M','N','CENTRO','RIO FORTUNA','SC','124241241111132411434311585124610146142',10777,'665',50.77,1,2,1),(15,2111179,'1987-04-24 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117134431323324341144120532197',8156,'281',55.09,1,2,1),(15,2111187,'1988-09-11 00:00:00',4,1,11,2005,'F','N','RIO NEGRO','SAO VICENTE','SP','125251251146131421533614285324610126027',15926,'9998',43.50,4,2,1),(15,2111195,'1989-12-01 00:00:00',4,8,12,2006,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241215472411487814275122610166072',9974,'491',51.97,1,3,NULL),(15,2111209,'1990-09-02 00:00:00',4,1,2,2009,'M','S','ITACORUBI','FLORIANOPOLIS','SC','124242241235151751548613475124610168061',NULL,'270',48.49,1,3,NULL),(15,2111217,'1988-08-04 00:00:00',4,1,12,2005,'F','N','MACUCO','SANTOS','SP','125252251117471432434679475114610121147',NULL,'9998',30.77,4,3,NULL),(15,2111225,'1991-09-10 00:00:00',4,1,12,2006,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431659814571122610134175',20163,'262',36.50,1,3,NULL),(15,2111241,'1989-11-09 00:00:00',4,5,12,2006,'M','N','DOIS IRMAOS','JACINTO MACHADO','SC','124241242116111431423515152313610117022',NULL,'690',0.00,1,3,NULL),(15,2111268,'1981-05-29 00:00:00',2,1,12,2000,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241126133411125349195124231334147',21751,'564',33.13,1,2,1),(15,2111276,'1987-05-17 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124072071217372431648839592124141333072',19913,'9998',36.98,4,1,2),(15,2111292,'1990-06-27 00:00:00',2,7,12,2007,'M','N','AMARANTE','VIDEIRA','SC','124241246217111431535935575122610168177',10355,'1080',51.42,1,3,NULL),(15,2111306,'1982-12-03 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','224191247143131411328354241334610147147',NULL,'9999',20.37,1,2,1),(15,2111314,'1989-11-03 00:00:00',4,1,12,2007,'F','N','SÃO JOSÉ','ARACAJU','SE','126262261217111431569934572122610133112',7055,'9998',57.05,1,3,NULL),(15,2111322,'1990-01-16 00:00:00',4,1,12,2006,'F','N','CENTRO','CARAZINHO','RS','120202201215472431366432574122610167153',2095,'9998',68.99,1,3,NULL),(15,2111330,'1989-12-18 00:00:00',4,1,11,2006,'F','N','PRESIDENTE KENNEDY','FRANCISCO BELTRAO','PR','116162161215472431445814571314610163197',3592,'9998',64.49,1,3,NULL),(15,2111349,'1989-09-27 00:00:00',2,1,12,2006,'F','N','IPIRANGA','SAO JOSE','SC','124241241127472431333933332124610164187',2191,'533',68.64,1,2,1),(15,2111357,'1989-08-17 00:00:00',2,1,12,2006,'M','N','SANTA ISABEL','ANAPOLIS','GO','109093091116272231557619592124243212183',4813,'9998',61.50,1,3,NULL),(15,2111365,'1991-02-07 00:00:00',4,9,12,2007,'F','N','GERTRUDES','VACARIA','RS','120201201215271431446931572122610138097',20168,'9998',36.50,1,3,NULL),(15,2111373,'1990-06-21 00:00:00',2,1,12,2007,'M','N','CENTRO','PALHOCA','SC','124244241216151432448933575111610117043',21860,'989',32.76,1,3,NULL),(15,2111381,'1989-10-12 00:00:00',4,8,12,2007,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111431368819575122610167042',1982,'1063',69.32,1,3,NULL),(15,2111390,'1991-03-14 00:00:00',4,5,12,2008,'F','S','CENTRO','CRICIUMA','SC','124244241215121431257923575125610142052',NULL,'213',47.75,1,3,NULL),(15,2111403,'1989-09-04 00:00:00',4,8,11,2006,'F','N','BATEL','CURITIBA','PR','116162161215471431459931574112610163192',977,'9998',73.65,1,3,NULL),(15,2111411,'1989-02-22 00:00:00',4,1,12,2006,'F','N','CENTRO','MEDIANEIRA','PR','116162161115472431548834572124610141142',17500,'9998',41.09,1,3,NULL),(15,2111420,'1990-10-12 00:00:00',4,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124241241122131731633314581224610136197',NULL,'66',18.73,3,2,1),(15,2111438,'1989-02-25 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431469419475114610168077',10710,'955',50.86,1,3,NULL),(15,2111446,'1990-04-28 00:00:00',2,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111431563911572122610168185',15503,'1118',44.13,1,3,NULL),(15,2111454,'1989-06-06 00:00:00',4,2,12,2006,'M','N','CENTRO','MARECHAL CANDIDO RONDON','PR','116161161115271411436911342124610166093',NULL,'9998',0.00,1,2,1),(15,2111462,'1988-01-04 00:00:00',4,1,11,2005,'M','N','BARBOSA LIMA','RESENDE','RJ','121212211216572431346723572224610126047',1761,'9998',70.17,1,3,NULL),(15,2111470,'1986-07-31 00:00:00',4,1,12,2003,'F','N','SANTANA','ARARAQUARA','SP','125251251117371241447414571345610162147',17388,'9998',41.24,1,2,1),(15,2111489,'1990-04-02 00:00:00',2,5,11,2007,'F','N','PARAGUAI','JACINTO MACHADO','SC','124241241315111731456639292124610166147',20495,'32',35.89,1,3,NULL),(15,2111497,'1990-09-13 00:00:00',2,1,12,2007,'F','N','PASSA VINTE','PALHOCA','SC','124244248415111421434634592324610123147',21948,'592',32.47,1,3,NULL),(15,2111500,'1991-11-15 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241217111751469933574125610163185',NULL,'270',56.67,1,3,NULL),(15,2111527,'1988-02-22 00:00:00',2,1,12,2005,'F','N','BELA VISTA','PALHOCA','SC','124241241127131431436614292233610123077',18727,'592',39.12,4,3,NULL),(15,2111535,'1989-11-04 00:00:00',4,5,12,2007,'M','N','CENTRO','PASSO DE TORRES','SC','124241242111151411436933572124610128057',19476,'690',37.87,1,2,1),(15,2111543,'1982-11-07 00:00:00',4,6,12,2000,'M','N','CENTRO','NAVEGANTES','SC','124242241215575451447923342125133228017',3104,'392',65.84,1,3,NULL),(15,2111551,'1990-12-03 00:00:00',1,1,12,2008,'M','S','RIO VERMELHO','FLORIANOPOLIS','SC','124244241217111431346831575124610122187',NULL,'884',46.21,1,3,NULL),(15,2111560,'1981-12-31 00:00:00',4,1,12,1999,'F','N','CAMPINAS','SAO JOSE','SC','124131131114151711243643232124340266097',5143,'9998',60.82,1,3,NULL),(15,2111578,'1986-10-30 00:00:00',4,1,12,2003,'M','N','ARIRIÚ','PALHOCA','SC','124241241114372421456679345134610127047',10343,'591',51.43,1,2,1),(15,2111586,'1988-09-02 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124244241335372411347931295124610124172',9322,'288',53.09,1,3,NULL),(15,2111594,'1988-01-21 00:00:00',2,8,12,2005,'F','N','REBOUÇAS','CURITIBA','PR','116162161211572431436832571124141436142',NULL,'9998',0.00,1,3,NULL),(15,2111608,'1989-08-18 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241316372431256312572124131467042',1182,'948',72.55,1,3,NULL),(15,2111616,'1990-10-14 00:00:00',2,1,11,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124243241237471431628813475114610148045',15640,'1098',43.89,1,3,NULL),(15,2111624,'1988-10-12 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431368813572112610125146',10412,'270',51.33,1,3,NULL),(15,2111632,'1990-08-03 00:00:00',2,6,11,2007,'F','N','SÃO JOÃO','ITAJAI','SC','124242241211111431456532245111610124097',21656,'388',33.37,1,3,NULL),(15,2111640,'1988-10-11 00:00:00',4,1,12,2006,'M','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124242241211473431469813392124610167112',2563,'262',67.42,1,3,NULL),(15,2111659,'1981-07-24 00:00:00',2,1,12,2001,'M','N','CENTRO','SAO JOSE','SC','124244243122133431346632242122221842057',6860,'739',57.43,1,3,NULL),(15,2111667,'1989-08-27 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241115271531533631291124610123017',11930,'733',49.06,1,3,NULL),(15,2111675,'1989-02-18 00:00:00',4,1,12,2006,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242241216373411555712385114231942051',1038,'270',73.31,1,3,NULL),(15,2111683,'1989-03-13 00:00:00',4,9,12,2006,'M','N','CENTRO','CACHOEIRINHA','RS','120202201217471431335816292324610164012',5473,'9998',60.11,1,3,NULL),(15,2111691,'1989-03-03 00:00:00',4,1,7,2007,'M','N','PICADAS DO SUL','SAO JOSE','SC','124241241117131431443319175121610126147',6058,'306',58.95,1,2,1),(15,2111705,'1990-04-17 00:00:00',3,1,12,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241217273731468923572122610167175',4367,'951',62.55,1,3,NULL),(15,2111713,'1989-02-07 00:00:00',2,1,12,2006,'F','N','NSA SRA DO ROSÁRIO','SAO JOSE','SC','124242241345272431536923244124610163077',15998,'1036',43.39,1,3,NULL),(15,2111730,'1987-08-15 00:00:00',2,1,12,2003,'F','N','JARDIM ELDORADO','PALHOCA','SC','124243241412372431115444242224610131142',10757,'592',50.79,1,3,NULL),(15,2111748,'1991-08-16 00:00:00',2,1,12,2007,'F','N','SERTAO DO IMARUIM','SAO JOSE','SC','124242241212111751424413295125610133077',NULL,'944',21.87,1,3,NULL),(15,2111756,'1990-01-06 00:00:00',4,1,12,2007,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241113151752436713434124610162127',16800,'307',42.16,1,2,1),(15,2111780,'1990-08-31 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431368912372124610113121',4620,'1022',61.96,1,3,NULL),(15,2111799,'1989-02-21 00:00:00',2,8,12,2006,'F','N','BATEL','CURITIBA','PR','116162161212411221359923133344610114112',NULL,'9998',0.00,1,3,NULL),(15,2111810,'1987-11-22 00:00:00',2,1,12,2004,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241215475431468614572122610137077',2372,'270',68.01,1,3,NULL),(15,2111829,'1988-09-14 00:00:00',4,1,11,2005,'M','N','SÃO VICENTE','ITAJAI','SC','124243248315573421469833272114610162177',10264,'388',51.54,1,3,NULL),(15,2111837,'1990-03-23 00:00:00',2,4,12,2007,'M','N','PASSO DOS FORTES','CHAPECO','SC','124241241134271731638623291224610126052',15081,'182',44.69,4,2,1),(15,2111845,'1989-04-01 00:00:00',2,8,11,2006,'M','N','FATIMA','ERECHIM','RS','120202201236472432447821415114610167041',11255,'9998',50.08,1,3,NULL),(15,2111853,'1989-01-30 00:00:00',4,9,12,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241216142431129622571124230445192',7607,'270',56.02,1,3,NULL),(15,2111861,'1990-03-11 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241217112431468933575114610164182',74,'1022',82.24,1,3,NULL),(15,2111870,'1987-08-19 00:00:00',4,1,11,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241345371411323364382224610147057',NULL,'9999',0.00,1,3,NULL),(15,2111888,'1988-12-21 00:00:00',4,1,12,2006,'M','N','RESSACADA','ITAJAI','SC','124242241215473231466631575114610137042',1684,'270',70.44,1,3,NULL),(15,2111900,'1990-02-20 00:00:00',4,10,12,2007,'M','N','CENTRO','RIO FORTUNA','SC','124242241435151731347711342312610124051',NULL,'665',4.15,1,3,NULL),(15,2111918,'1990-04-02 00:00:00',4,1,11,2007,'M','N','JARDIM CIDADE','SAO JOSE','SC','124242241215112121345719573112610167072',12627,'738',48.10,1,3,NULL),(15,2111926,'1989-05-08 00:00:00',5,3,12,2006,'F','N','VL ROMANA','SAO PAULO','SP','125252251216472431358714571124610122147',1557,'9998',70.97,1,3,NULL),(15,2111934,'1986-07-15 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241235272431463312175112130224187',7916,'266',55.50,1,3,NULL),(15,2111942,'1990-01-30 00:00:00',4,3,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124242241215111731268629592122610164053',20833,'881',35.22,1,3,NULL),(15,2111950,'1990-06-11 00:00:00',4,6,12,2007,'F','N','POÇO FUNDO','BRUSQUE','SC','124241241125131731536619573122610134157',19044,'1019',38.60,1,2,1),(15,2111969,'1990-02-14 00:00:00',4,8,11,2007,'F','N','CENTRO','RIO DO SUL','SC','124242241215151431339914572122610162055',4378,'654',62.52,1,3,NULL),(15,2111977,'1991-07-06 00:00:00',4,4,11,2008,'F','S','CENTRO','AMPERE','PR','116164161416171431549933575125610124197',NULL,'9998',43.70,1,3,NULL),(15,2111985,'1989-11-13 00:00:00',4,1,8,2007,'M','N','PICADAS DO SUL','SAO JOSE','SC','124241241117131231436614375121610126097',19437,'739',37.94,1,2,1),(15,2111993,'1986-02-04 00:00:00',2,1,12,2006,'M','N','MONTE CRISTO','FLORIANOPOLIS','SC','124241248117461721523339391124610114072',NULL,'293',20.01,4,2,1),(15,2112000,'1989-04-27 00:00:00',4,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241314131431536414285124610164017',NULL,'300',31.39,1,3,NULL),(15,2112019,'1990-08-31 00:00:00',4,1,12,2007,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124242241215371431488823572124610164192',8506,'262',54.50,1,3,NULL),(15,2112027,'1988-09-16 00:00:00',2,1,12,2007,'F','N','CENTRO','CORUPA','SC','124243241215161431688913385122610167142',NULL,'424',0.00,1,3,NULL),(15,2112035,'1990-03-15 00:00:00',2,1,12,2007,'F','N','AREIAS','SAO JOSE','SC','124243241117131131333923342224610126147',13844,'257',46.39,1,3,NULL),(15,2112051,'1967-02-04 00:00:00',2,1,12,1986,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','224241244431142411438343331124333245097',14830,'266',44.98,1,3,NULL),(15,2112060,'1988-11-02 00:00:00',2,2,12,2005,'M','N','ESTADOS','TIMBO','SC','124241241126271411645432291124610166072',NULL,'870',29.04,1,2,1),(15,2112078,'1990-02-21 00:00:00',4,8,12,1990,'M','N','CENTRO','APUCARANA','PR','116074161415371431459813575122610114092',706,'9998',75.34,1,3,NULL),(15,2112086,'1989-12-15 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216111431359813472125610117042',16402,'270',42.75,1,3,NULL),(15,2112094,'1989-04-03 00:00:00',2,4,12,2006,'F','N','LA SALLE','PATO BRANCO','PR','116162161214271431426631345122610127017',6768,'9998',57.62,2,3,NULL),(15,2112108,'1986-11-18 00:00:00',4,1,11,2004,'F','N','CENTRO','RIO DO SUL','SC','124172171215572431268724574122131423142',58,'9998',82.68,1,3,NULL),(15,2112116,'1980-12-11 00:00:00',2,1,12,1998,'F','N','CACUPÉ','FLORIANOPOLIS','SC','124201201126274451235379495234140666187',1610,'9998',70.77,1,2,1),(15,2112124,'1989-09-03 00:00:00',2,1,12,2006,'F','N','JD DAS CASTANHEIRAS','FLORIANOPOLIS','SC','124241241215372431545361375124610124052',18630,'269',39.27,3,3,NULL),(15,2112132,'1989-03-30 00:00:00',4,1,12,2006,'M','N','SANTO ANTÔNIO DE LIS','FLORIANOPOLIS','SC','124241241117473431368813472122610124012',725,'267',75.20,1,2,1),(15,2112140,'1989-05-12 00:00:00',2,5,12,2006,'F','N','CENTRO','URUSSANGA','SC','124241241215371431543422575124610164182',13564,'820',46.80,1,3,NULL),(15,2112159,'1990-07-05 00:00:00',2,1,12,2007,'F','N','IPIRANGA','SAO JOSE','SC','124242241116131431437814572122610124017',NULL,'734',20.18,1,3,NULL),(15,2112167,'1991-10-01 00:00:00',4,2,12,2008,'M','S','CENTRO','TIMBO','SC','124241241212111711458832572121610134087',NULL,'9997',24.68,1,3,NULL),(15,2112175,'1989-10-29 00:00:00',2,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124241241111371431446531571214610167097',15022,'734',44.77,1,2,1),(15,2112183,'1988-12-11 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124242241215372431577613484114132841182',4026,'738',63.39,1,3,NULL),(15,2112191,'1989-12-06 00:00:00',4,2,12,2006,'F','N','VELHA','BLUMENAU','SC','124242241217272431457939572124610122147',6099,'71',58.87,1,3,NULL),(15,2112205,'1986-02-07 00:00:00',4,8,12,2003,'F','N','CENTRO','CURITIBA','PR','116132131215571431248816574125142465187',NULL,'9998',0.00,3,3,NULL),(15,2112213,'1990-03-15 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241445141431526111246124610136187',8175,'262',55.05,1,3,NULL),(15,2112221,'1991-08-22 00:00:00',4,1,12,2008,'M','S','BELA VISTA','PALHOCA','SC','124243241217111731545611412124610122077',NULL,'1011',46.01,1,3,NULL),(15,2112230,'1989-11-17 00:00:00',4,8,12,2007,'M','N','FLORESTA','JOINVILLE','SC','124242241215222431366817271122610118077',2408,'486',67.89,1,3,NULL),(15,2112248,'1989-12-02 00:00:00',4,8,12,2007,'M','N','CENTRO','MAFRA','SC','124241241214111431567713574122610166012',4,'541',87.33,1,3,NULL),(15,2112264,'1985-07-04 00:00:00',2,1,12,2002,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124241241216375131625844395124232624192',10546,'52',51.11,1,3,NULL),(15,2112272,'1988-06-23 00:00:00',2,1,12,2005,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241126133431456413342124222342142',9914,'296',52.07,1,2,1),(15,2112302,'1989-11-13 00:00:00',2,1,12,2007,'M','N','DE LORENZI','BOITUVA','SP','125252251217111431648614145122610134047',NULL,'9998',0.00,4,3,NULL),(15,2112310,'1989-07-06 00:00:00',4,1,12,2007,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242248215111431447711572114610124142',15737,'1118',43.76,4,3,NULL),(15,2112329,'1989-04-14 00:00:00',2,4,12,2006,'F','N','COOPERATIVA','SALTO DO LONTRA','PR','116161161216411431426814572124610114077',7274,'9998',56.65,1,3,NULL),(15,2112337,'1990-03-23 00:00:00',2,5,12,2007,'F','N','CENTRO','MORRO DA FUMACA','SC','124244241215111411667632575122610117142',1874,'226',69.69,1,3,NULL),(15,2112345,'1989-09-06 00:00:00',4,1,12,2006,'F','N','CENTRO','CORUPA','SC','124241241215372441688913585124610166142',4448,'424',62.39,1,3,NULL),(15,2112353,'1990-06-27 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215111431359834575124610127072',730,'270',75.17,1,3,NULL),(15,2112361,'1990-08-24 00:00:00',4,1,12,2007,'M','N','PINGUIRITO','GAROPABA','SC','124241241136151411315514475124610164012',NULL,'306',13.61,1,3,NULL),(15,2112388,'1990-02-24 00:00:00',2,10,11,2007,'F','N','OFICINAS','TUBARAO','SC','124243241215111431537839575122610164147',16726,'807',42.28,1,3,NULL),(15,2112396,'1989-11-26 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241116371731468623575112610168177',2513,'271',67.59,1,2,1),(15,2112400,'1988-10-25 00:00:00',2,1,12,2006,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124241241115272421528718385124610134042',14759,'591',45.06,1,2,1),(15,2112418,'1989-12-06 00:00:00',4,1,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241217111431449623382121610134012',18456,'967',39.56,1,3,NULL),(15,2112426,'1990-09-04 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215122431479712425122610122172',7911,'270',55.50,1,3,NULL),(15,2112434,'1989-03-20 00:00:00',4,1,12,2006,'M','N','ACLIMACAO','SAO PAULO','SP','125252251215471711348829575125610145082',1287,'9998',72.11,1,3,NULL),(15,2112442,'1988-11-26 00:00:00',4,2,11,2006,'F','N','CENTRO','CURITIBA','PR','124242241215472431358932575124610138182',520,'87',76.63,1,3,NULL),(15,2112450,'1984-03-28 00:00:00',2,1,12,2002,'F','N','COMERCIARIO','CRICIUMA','SC','124244246215575431353539172114133245147',1097,'995',73.05,1,3,NULL),(15,2112469,'1982-04-02 00:00:00',2,1,12,1997,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241127132721646319485114610144147',21174,'283',34.50,2,1,1),(15,2112477,'1990-05-30 00:00:00',2,1,11,2007,'F','N','SÃO FRANCISCO','CAMPO GRANDE','MS','112122121217371411338924572112610132195',16508,'9998',42.57,1,3,NULL),(15,2112485,'1989-06-29 00:00:00',2,3,12,2006,'F','N','JARDIM HIGIENOPOLIS','LONDRINA','PR','116162161116151441348923475122243222187',NULL,'9998',0.00,1,3,NULL),(15,2112493,'1990-02-17 00:00:00',2,4,11,2007,'F','N','SÃO CRISTOVÃO','CAMPOS DO JORDAO','SP','125251251216111431343334295122610167047',15977,'9998',43.42,1,3,NULL),(15,2112507,'1990-08-03 00:00:00',2,8,12,2007,'F','N','BOEHMERWALD','JOINVILLE','SC','124242241215111411538829392124610136077',21967,'456',32.36,1,3,NULL),(15,2112515,'1990-12-21 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124162241216112751459334572114610121182',5086,'270',60.93,1,3,NULL),(15,2112523,'1990-11-21 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217111431426939575112610128147',5073,'273',60.95,1,3,NULL),(15,2112540,'1990-11-13 00:00:00',4,1,12,2007,'M','N','IPIRANGA','SAO JOSE','SC','124243247225131731323319575114610164177',18033,'9999',40.26,1,3,NULL),(15,2112558,'1990-10-11 00:00:00',2,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117131431436913572124610137052',14200,'281',45.87,1,2,1),(15,2112566,'1989-12-21 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201241147131431421324382324610124142',21266,'922',34.28,1,2,1),(15,2112574,'1990-05-06 00:00:00',4,7,11,2007,'M','N','CENTRO','HERVAL D OESTE','SC','124242241215131431438914572125610168052',9878,'446',52.13,1,3,NULL),(15,2112582,'1990-03-19 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124242241215371431469614334224610165112',7483,'883',56.26,1,3,NULL),(15,2112590,'1989-04-18 00:00:00',4,1,12,2006,'F','N','CANTA GALO','RIO DO SUL','SC','124244241117372431348923572122610134182',8585,'659',54.39,1,3,NULL),(15,2112604,'1988-11-03 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241215372431426731572124610125072',8671,'270',54.22,1,3,NULL),(15,2112612,'1990-02-19 00:00:00',4,1,12,2006,'F','N','CENTRO','CARAZINHO','RS','120202201217472431357619571122610148147',7629,'9998',55.98,1,3,NULL),(15,2112620,'1987-02-05 00:00:00',2,1,12,2004,'F','N','JOSE MENDES','FLORIANOPOLIS','SC','124241241117271431636613341124610137187',16302,'286',42.90,1,2,1),(15,2112647,'1989-03-19 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124252251215472431469831572114610131082',970,'9998',73.69,1,3,NULL),(15,2112655,'1989-07-15 00:00:00',4,1,12,2006,'F','N','SALTO','SALTO VELOSO','SC','124241241137472431458813574114610127142',8593,'684',54.36,1,2,1),(15,2112663,'1990-07-09 00:00:00',4,1,12,2007,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124242241317371751467622572224610127142',7588,'9997',56.05,1,3,NULL),(15,2112671,'1990-04-13 00:00:00',4,3,12,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215273431554631572124230427142',8989,'1047',53.67,1,3,NULL),(15,2112680,'1988-08-08 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217473431469932474125610167042',1145,'270',72.83,1,3,NULL),(15,2112698,'1987-02-21 00:00:00',2,1,12,2005,'M','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124243241112234431221624332334230222097',NULL,'278',6.40,4,3,NULL),(15,2112701,'1966-12-03 00:00:00',2,1,12,2000,'F','N','IPIRANGA','SAO JOSE','SC','124241247326132451323349392114610164032',18953,'9999',38.74,1,3,NULL),(15,2112710,'1989-06-13 00:00:00',2,1,11,2006,'F','N','VILA NOVA','IMBITUBA','SC','124241241215473431446612572122610126097',4504,'807',62.24,1,3,NULL),(15,2112728,'1987-05-17 00:00:00',3,1,12,2005,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124244241217474431559953572224230463117',10014,'270',51.91,1,3,NULL),(15,2112736,'1990-09-04 00:00:00',4,7,12,2007,'M','N','SÃO LUIZ','CAPINZAL','SC','124241241217131531447614275124610164077',8338,'1093',54.79,1,3,NULL),(15,2112744,'1989-09-08 00:00:00',4,8,12,2006,'M','N','CENTRO','ASSIS CHATEAUBRIAND','PR','116163161215471441569612174314610167062',2127,'9998',68.89,1,3,NULL),(15,2112752,'1989-07-06 00:00:00',2,1,12,2006,'M','N','SANTO ANDRÉ','ANAPOLIS','GO','109092091316471451436611595122610168097',NULL,'9998',0.00,1,3,NULL),(15,2112760,'1979-06-03 00:00:00',2,1,12,1996,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201203116154231233344445134121712097',NULL,'9998',39.41,1,2,1),(15,2112779,'1989-07-18 00:00:00',4,1,12,2006,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215472431458633575124610167047',12029,'270',48.95,1,3,NULL),(15,2112787,'1984-08-14 00:00:00',2,1,6,2004,'M','N','CARÁ CARÁ','PONTA GROSSA','PR','116161167446331711563312445112610137187',10096,'9998',51.79,1,3,NULL),(15,2112795,'1989-01-06 00:00:00',4,1,12,2006,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','124242241215272431569934575124130425092',6820,'226',57.50,1,3,NULL),(15,2112809,'1989-01-13 00:00:00',2,1,12,2007,'F','N','RIO CAVEIRAS','BIGUACU','SC','124241241211111131213439575121610127075',NULL,'63',19.64,1,3,NULL),(15,2112817,'1990-08-21 00:00:00',2,3,11,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','124244241415131431446612311124610162072',1732,'855',70.27,1,3,NULL),(15,2112825,'1983-06-21 00:00:00',4,8,12,1999,'F','N','CENTRO','CURITIBA','PR','116161161211371441439911481124341536017',989,'9998',73.60,1,3,NULL),(15,2112833,'1990-04-04 00:00:00',4,2,12,2007,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241217272411579812375112610167182',3803,'981',63.97,1,3,NULL),(15,2112841,'1985-09-23 00:00:00',2,1,12,2002,'F','N','KOBRASOL','SAO JOSE','SC','124201201115574431531823472124133213057',2656,'9998',67.15,1,2,1),(15,2112850,'1987-01-31 00:00:00',4,1,12,2004,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241216574431579933575122132114075',49,'270',83.15,1,3,NULL),(15,2112868,'1990-07-10 00:00:00',4,3,11,2007,'F','N','SEMINARIO','CURITIBA','PR','116162161216111411288812574112611064094',NULL,'9998',0.00,1,3,NULL),(15,2112876,'1990-03-10 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241312111431233729342124610138052',11690,'1050',49.41,1,3,NULL),(15,2112906,'1970-03-27 00:00:00',2,1,12,1989,'F','N','BARREIROS','SAO JOSE','SC','224241248127134431344459435124320514157',21479,'342',33.78,2,3,NULL),(15,2112914,'1989-06-07 00:00:00',2,1,12,2006,'F','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124241241137132131426634572114130222197',21514,'288',33.70,1,3,NULL),(15,2112922,'1979-05-22 00:00:00',4,5,12,1997,'M','N','SANTA BÁRBARA','CRICIUMA','SC','124244246437131421454331342132330212057',11337,'230',49.93,1,3,NULL),(15,2112949,'1990-08-16 00:00:00',3,1,11,2007,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242281415371441469939575124610136181',5666,'1022',59.73,1,3,NULL),(15,2112957,'1989-08-16 00:00:00',4,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124242241215372431348934572124610163152',3021,'270',66.08,1,3,NULL),(15,2112965,'1988-04-15 00:00:00',2,9,12,2005,'M','N','JARDIM PANORÂMICO','LAGES','SC','124242241211412431569834371112610136052',793,'497',74.76,1,3,NULL),(15,2112973,'1986-04-26 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242161216473431358811572122121512142',884,'9998',74.14,1,3,NULL),(15,2112981,'1990-12-18 00:00:00',2,4,11,2007,'F','N','PRESIDENTE MÉDICE','CHAPECO','SC','124242241216131441328612285122610124097',NULL,'1021',12.29,1,3,NULL),(15,2112990,'1990-03-21 00:00:00',4,5,12,2007,'F','N','BORTOLATTO','MORRO DA FUMACA','SC','124241241114131731543923572121610118097',NULL,'567',23.65,1,2,1),(15,2113007,'1987-11-18 00:00:00',4,8,12,2004,'F','N','CENTRO','CURITIBA','PR','116114161217573751346839571125610168187',NULL,'9998',0.00,1,3,NULL),(15,2113015,'1989-09-29 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241116272431535613432114610124052',NULL,'281',39.91,1,2,1),(15,2113023,'1987-10-14 00:00:00',2,10,12,2004,'M','N','MEIA PRAIA','ITAPEMA','SC','124164241214133451426631192224230368177',NULL,'403',35.20,1,3,NULL),(15,2113031,'1987-03-16 00:00:00',2,1,12,2004,'F','N','CAMPO DUNA','GAROPABA','SC','124241241126573431434312594124231567097',11568,'322',49.61,1,2,1),(15,2113040,'1986-05-05 00:00:00',2,1,6,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124201201127131431421324242124610127042',22280,'9998',31.13,1,2,1),(15,2113058,'1989-12-13 00:00:00',2,3,12,2007,'F','N','BOM JESUS','CAMPO LARGO','PR','116162161217471731336823575124610117047',11033,'9998',50.41,1,3,NULL),(15,2113066,'1990-05-14 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241136471411323321572114610168045',18737,'281',39.09,4,2,1),(15,2113082,'1990-05-21 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241115131421436313432124610137112',13185,'307',47.35,1,2,1),(15,2113090,'1989-05-06 00:00:00',2,9,12,2007,'F','N','JARDIM PANORAMICO','LAGES','SC','124242241211111432569934372112610124142',11962,'497',49.03,1,3,NULL),(15,2113112,'1990-07-21 00:00:00',4,1,11,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241214111431468912574122610138142',688,'270',75.48,1,3,NULL),(15,2113120,'1990-12-05 00:00:00',4,8,12,2007,'F','N','CENTRO','ITAPOA','SC','124244241415111431368732575112610112017',3546,'486',64.63,1,3,NULL),(15,2113139,'1982-01-14 00:00:00',4,1,12,2000,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241112135431246569482324610126177',13657,'307',46.67,1,2,1),(15,2113147,'1984-08-07 00:00:00',4,1,9,2003,'M','N','BELA VISTA','SAO JOSE','SC','124241241137131441436614372224230854051',NULL,'739',24.43,3,3,NULL),(15,2113155,'1990-08-05 00:00:00',2,4,12,2007,'F','N','CENTRO','CORONEL FREITAS','SC','124241241145131431313349192325610126177',21384,'199',34.01,1,2,1),(15,2113163,'1990-08-31 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215151411448831476125610146197',1067,'262',73.16,1,3,NULL),(15,2113171,'1989-07-14 00:00:00',4,1,12,2006,'F','N','JARDIM FRANÇA','SAO PAULO','SP','125254258437471531668814385125610164097',12830,'9998',47.82,1,3,NULL),(15,2113180,'1988-08-18 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217472431468934572122610164111',1265,'270',72.19,1,3,NULL),(15,2113198,'1990-10-19 00:00:00',2,4,11,2007,'M','N','ORLEANS','CURITIBA','PR','116244161217471431368614575124610134047',15377,'9998',44.30,1,3,NULL),(15,2113201,'1988-08-23 00:00:00',4,1,12,2006,'M','N','SANTA ANGELINA','ARARAQUARA','SP','125252251217471431369713472122610112052',515,'9998',76.66,4,3,NULL),(15,2113210,'1990-03-06 00:00:00',4,4,12,2006,'F','N','CENTRO','MARAVILHA','SC','124244241416472731457632574125610138187',14364,'1037',45.61,1,3,NULL),(15,2113228,'1989-11-05 00:00:00',2,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215121431468514574114610124117',NULL,'1022',23.55,1,3,NULL),(15,2113236,'1991-03-09 00:00:00',2,1,12,2008,'M','S','CENTRO','NOVA TRENTO','SC','124243241417111331526617592124610137147',NULL,'1022',22.67,4,3,NULL),(15,2113244,'1988-07-05 00:00:00',4,1,12,2005,'M','N','JARDIM DAS NAÇÕES','TAUBATE','SP','125252258217511751468831571115610164042',1748,'9998',70.22,1,3,NULL),(15,2113252,'1990-08-01 00:00:00',4,4,11,2007,'M','N','CENTRO','CORONEL FREITAS','SC','124244241215161731436332575113610164062',13125,'168',47.42,1,3,NULL),(15,2113260,'1988-11-30 00:00:00',4,8,12,2006,'F','N','BATEL','CURITIBA','PR','116242241215411431469914472112610111147',930,'422',73.90,1,3,NULL),(15,2113279,'1990-07-19 00:00:00',2,4,12,2007,'F','N','PASSO DOS FORTES','CHAPECO','SC','124244241412111431239313231234610136077',NULL,'1046',0.00,4,3,NULL),(15,2113287,'1988-05-26 00:00:00',4,1,12,2006,'F','N','NOSSA SRA DAS DORES','SANTA MARIA','RS','120202201217572431488933575122610162195',9329,'9998',53.08,1,3,NULL),(15,2113295,'1990-11-28 00:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241217121451289814572122610164122',3515,'270',64.73,1,3,NULL),(15,2113309,'1990-02-04 00:00:00',4,1,12,2007,'F','N','ARIRIU','PALHOCA','SC','124242241116371441435732375114610164047',16072,'307',43.26,1,3,NULL),(15,2113317,'1979-10-20 00:00:00',4,1,12,1997,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241241117152451443419431124322768187',20153,'307',36.53,4,3,NULL),(15,2113333,'1990-07-15 00:00:00',4,1,12,2007,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161215121431468931212112610147092',10201,'9998',51.63,1,3,NULL),(15,2113350,'1981-07-28 00:00:00',4,1,12,1998,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241111115312445413431122121764047',9256,'271',53.18,1,2,1),(15,2113368,'1989-11-12 00:00:00',4,1,12,2007,'M','N','ALTO DA XV','CURITIBA','PR','116162161217111431469933575122610138197',NULL,'9998',0.00,1,3,NULL),(15,2113376,'1989-10-26 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215112431456634572122610126182',4544,'270',62.15,1,3,NULL),(15,2113384,'1987-01-30 00:00:00',4,2,12,2004,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241215573431338832571124610166097',209,'71',79.80,1,3,NULL),(15,2113392,'1989-02-12 00:00:00',4,1,12,2006,'M','N','CENTRO','BOTUCATU','SP','125252251217471431558812475112610161052',10078,'9998',51.82,1,3,NULL),(15,2113406,'1989-06-30 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431468832592125610167142',215,'270',79.73,1,3,NULL),(15,2113414,'1990-06-22 00:00:00',4,8,12,2007,'F','N','VILA FANNY','CURITIBA','PR','116162161211111431458832571124610164053',4951,'9998',61.19,1,3,NULL),(15,2113422,'1990-11-12 00:00:00',2,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124241241317111431434614292122610126097',20056,'1036',36.72,1,3,NULL),(15,2113430,'1988-11-13 00:00:00',4,7,12,2005,'M','N','PETROPOLIS','PORTO ALEGRE','RS','120201201217571431446712392124610127052',9884,'9998',52.12,1,3,NULL),(15,2113457,'1988-06-16 00:00:00',2,1,12,2007,'M','N','FURADINHO','PALHOCA','SC','124241247327371431421311345124610136092',15470,'300',44.16,1,3,NULL),(15,2113465,'1989-12-24 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241115371731446614382114610163147',2834,'306',66.65,2,2,1),(15,2113473,'1991-05-20 00:00:00',4,1,12,2008,'M','S','COQUEIROS','FLORIANOPOLIS','SC','124242241215111431245539575124610137097',NULL,'1022',43.91,1,3,NULL),(15,2113481,'1991-04-17 00:00:00',4,1,12,2008,'M','S','BOM ABRIGO','FLORIANOPOLIS','SC','124242241212111511467923285124610163012',NULL,'270',41.56,1,3,NULL),(15,2113490,'1989-03-06 00:00:00',4,1,12,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124202241215473431357811575124610122152',11413,'269',49.82,1,3,NULL),(15,2113503,'1990-02-10 00:00:00',4,1,12,2007,'M','N','ALTO DA BOA VISTA','RIBEIRAO PRETO','SP','125252251217111431368829575112610167043',9235,'9998',53.21,1,3,NULL),(15,2113511,'1987-11-26 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241216572431546912475115610137012',10674,'836',50.91,1,3,NULL),(15,2113538,'1987-11-25 00:00:00',4,1,11,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124243241316161431656411585112610117047',22458,'300',29.37,3,3,NULL),(15,2113554,'1990-10-17 00:00:00',4,1,11,2007,'M','N','AMAMBAI','CAMPO GRANDE','MS','112124121325271431468831575122610167072',1253,'9998',72.25,1,3,NULL),(15,2113562,'1990-10-30 00:00:00',4,1,11,2007,'M','N','TIMBÉ','TIJUCAS','SC','124242246215111431445916375124610127062',9642,'1119',52.51,1,3,NULL),(15,2113570,'1990-05-11 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212112431448834275115610167053',1559,'270',70.95,1,3,NULL),(15,2113589,'1987-01-08 00:00:00',2,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241213313421368833332122233267111',NULL,'260',29.95,1,3,NULL),(15,2113597,'1990-05-17 00:00:00',4,7,11,2007,'F','N','CENTRO','CONCORDIA','SC','124242248235121431346622572125610144147',15129,'1000',44.63,1,3,NULL),(15,2113600,'1979-09-04 00:00:00',4,1,12,1997,'M','N','CENTRO','FLORIANOPOLIS','SC','225082088212271721256643432134342322067',3920,'9998',63.68,1,3,NULL),(15,2113619,'1988-07-19 00:00:00',4,1,12,2006,'M','N','ITAGUAÇÚ','FLORIANOPOLIS','SC','124242241117573411348811571324231464062',534,'306',76.54,1,3,NULL),(15,2113627,'1989-08-09 00:00:00',4,1,12,2006,'F','N','AREIAS','SAO JOSE','SC','124244241215372431444414172124610164097',20763,'976',35.37,1,3,NULL),(15,2113635,'1989-01-16 00:00:00',2,5,12,2005,'F','N','CENTRO','PEJUCARA','RS','120201201116471431443915175114143267097',11677,'9998',49.43,1,2,1),(15,2113643,'1990-08-24 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215112431458933575124610137057',1360,'270',71.82,1,3,NULL),(15,2113660,'1990-04-08 00:00:00',4,1,11,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124242241215111411468613575112610115082',14085,'270',46.05,1,3,NULL),(15,2113678,'1990-06-25 00:00:00',4,2,11,2007,'F','N','VORSTARDT','BLUMENAU','SC','124242241217112431377832575122610132182',2701,'855',67.03,1,3,NULL),(15,2113686,'1990-10-30 00:00:00',4,3,12,2007,'F','N','PORTUGUESA','LONDRINA','PR','116161161117271431239829572125610164012',15164,'9998',44.58,1,2,1),(15,2113694,'1988-01-11 00:00:00',2,4,12,2005,'F','N','GUARUJÁ','CASCAVEL','PR','116162161215572431333334342122610163187',63,'9998',82.57,1,3,NULL),(15,2113708,'1990-12-31 00:00:00',4,1,12,2007,'F','N','JARDIM ITÚ SABARÁ','PORTO ALEGRE','RS','120202201216371431378811575122610164116',4525,'9998',62.18,1,3,NULL),(15,2113716,'1989-02-19 00:00:00',4,5,12,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215111431578514575122610127062',17304,'226',41.39,1,3,NULL),(15,2113732,'1990-01-21 00:00:00',2,7,12,2007,'M','N','VILA ALEMANHA','LUZERNA','SC','124244241137141431435923345125610147012',NULL,'539',0.00,1,3,NULL),(15,2113740,'1986-01-27 00:00:00',4,5,11,2003,'F','N','RIO SALTO','URUSSANGA','SC','124242241211514411335739595122610128197',11961,'226',49.03,1,3,NULL),(15,2113759,'1991-02-01 00:00:00',4,1,12,2008,'F','S','PONTE IMARUIM','PALHOCA','SC','124242241215151431334634375222610122072',NULL,'1010',52.32,1,3,NULL),(15,2113767,'1990-02-19 00:00:00',4,5,12,2006,'F','N','CAMAQUÃ','PORTO ALEGRE','RS','120202201216471431246829572114610168147',2054,'9998',69.08,1,3,NULL),(15,2113775,'1986-09-30 00:00:00',4,1,3,2006,'M','N','ARIRIÚ','PALHOCA','SC','124241246112133421646413245124610122117',3473,'739',64.82,1,2,1),(15,2113783,'1986-01-23 00:00:00',4,1,10,2005,'M','N','VILA MOEMA','TUBARAO','SC','124243248437373451436619495124130262042',22289,'807',31.09,1,3,NULL),(15,2113791,'1989-05-06 00:00:00',4,1,11,2006,'M','N','CENTRO','RIBEIRAO PRETO','SP','125132131217471411559612571124610117042',316,'9998',78.53,1,3,NULL),(15,2113805,'1989-08-23 00:00:00',2,1,12,2006,'F','N','CHÁCARA CACHOEIRA','CAMPO GRANDE','MS','112122121216471431388713575122610162092',4087,'9998',63.22,4,3,NULL),(15,2113813,'1991-01-14 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215112431468933475114610127147',4201,'270',62.90,1,3,NULL),(15,2113821,'1980-07-04 00:00:00',2,1,12,1998,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124254253234241241129941415124230246132',8395,'9998',54.70,1,3,NULL),(15,2113830,'1985-03-14 00:00:00',4,1,10,2003,'M','N','FAZ SANTO ANTONIO','SAO JOSE','SC','124241241116273431333311115124610162193',12764,'739',47.90,1,2,1),(15,2113848,'1990-06-09 00:00:00',4,4,12,2007,'F','N','SAIC','CHAPECO','SC','124241241215251431469812272122610128192',8344,'1046',54.78,1,3,NULL),(15,2113856,'1990-05-08 00:00:00',4,1,12,2007,'M','N','ROSA MARIA','IBIA','MG','113134251217121532468832425114610167012',13773,'9998',46.51,1,3,NULL),(15,2113864,'1986-07-02 00:00:00',2,3,12,2003,'F','N','SÃO CIRO','CAXIAS DO SUL','RS','120202201216572431568539276115142445092',1262,'9998',72.20,1,3,NULL),(15,2113872,'1989-12-26 00:00:00',4,1,12,2007,'F','N','FLORESTA','SAO JOSE','SC','124241241116141752333332245334610165072',NULL,'307',23.60,1,2,1),(15,2113880,'1990-05-29 00:00:00',2,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215111731567614575122610167047',9025,'737',53.60,1,3,NULL),(15,2113902,'1990-03-01 00:00:00',2,1,12,2007,'M','N','CENTRO','IBIA','MG','113132251216121431553415455114610137042',21968,'9998',32.36,1,3,NULL),(15,2113910,'1990-03-02 00:00:00',2,1,12,2007,'F','N','JARDIM BRASIL','JUNDIAI','SP','109252091216111431466612572122610117042',3743,'9998',64.09,4,3,NULL),(15,2113929,'1988-09-15 00:00:00',4,1,12,2006,'M','N','CENTRO','GAROPABA','SC','124201201117372431438832471224610137117',6257,'9998',58.52,1,2,1),(15,2113937,'1989-07-05 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124203201315471431237516272324610121147',15191,'9998',44.54,1,3,NULL),(15,2113945,'1989-06-16 00:00:00',4,1,12,2007,'M','N','FUNDOS','BIGUACU','SC','124241241127371431333634171124610167187',NULL,'9999',20.46,1,3,NULL),(15,2113953,'1987-01-14 00:00:00',2,1,11,2003,'F','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','120202201215374421226724445114610168012',8592,'9998',54.36,1,3,NULL),(15,2113961,'1990-10-23 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242241211372431346611571124610122072',11237,'1048',50.10,1,3,NULL),(15,2113988,'1990-08-22 00:00:00',4,5,12,2007,'M','N','CENTRO','CRICIUMA','SC','124241241115111431578514575122610124062',18986,'226',38.69,1,3,NULL),(15,2113996,'1990-12-24 00:00:00',2,1,12,2007,'F','N','MADRI','PALHOCA','SC','124243241115371111543611114224610125052',21918,'592',32.55,1,3,NULL),(15,2114003,'1989-10-21 00:00:00',2,8,12,2007,'M','N','CERAMERTE','RIO NEGRINHO','SC','124242241215371431469514575121610137052',16913,'666',41.99,1,3,NULL),(15,2114011,'1991-04-23 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124201241115471441468613276124610144096',4514,'307',62.22,1,2,1),(15,2114020,'1990-03-24 00:00:00',4,1,11,2007,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124242241215122431479713576124610124092',555,'270',76.38,1,3,NULL),(15,2114038,'1992-02-26 00:00:00',4,8,11,2008,'M','S','AMÉRICA','JOINVILLE','SC','124242241212131731346614272121610168017',NULL,'461',46.13,1,3,NULL),(15,2114046,'1991-08-11 00:00:00',4,2,12,2008,'F','S','BELCHIOR BAIXO','GASPAR','SC','124242241215171221448614272122610137142',NULL,'71',48.05,1,3,NULL),(15,2114054,'1983-08-22 00:00:00',2,1,12,2000,'F','N','CENTRO','GAROPABA','SC','124201201117372431438832471224610133147',9622,'9998',52.55,1,2,1),(15,2114062,'1989-10-17 00:00:00',2,10,12,2007,'F','N','HUMAITÁ','TUBARAO','SC','124242241114371431435829495115610137112',19909,'798',36.99,1,3,NULL),(15,2114070,'1989-03-10 00:00:00',4,1,12,2005,'F','N','KOBRASOL','SAO JOSE','SC','124241241215473431248827575124221434181',2865,'1036',66.55,1,3,NULL),(15,2114097,'1989-06-23 00:00:00',2,1,12,2006,'F','N','BELA VISTA','SAO JOSE','SC','124241241215472431424432341124231917151',8322,'1118',54.82,1,3,NULL),(15,2114119,'1991-02-07 00:00:00',4,4,12,2007,'F','N','SÃO JOSÉ','PINHALZINHO','SC','124111241116161431424832375122610133147',15666,'616',43.85,1,2,1),(15,2114127,'1989-11-21 00:00:00',4,1,12,2007,'F','N','BUENO','GOIANIA','GO','109094091217111431367823572125610142077',12362,'9998',48.48,1,3,NULL),(15,2114143,'1989-10-27 00:00:00',2,7,12,2007,'M','N','PARQUE JARDIM OURO','OURO','SC','124241241215271441469933335122610164057',18735,'1093',39.10,1,3,NULL),(15,2114151,'1991-05-20 00:00:00',4,1,11,2008,'M','S','TRINDADE','FLORIANOPOLIS','SC','124241241111111431615276582341610117046',NULL,'271',48.94,1,3,NULL),(15,2114160,'1989-02-15 00:00:00',4,1,12,2005,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241215575411468813335124610164072',424,'270',77.42,1,3,NULL),(15,2114178,'1990-07-17 00:00:00',4,5,12,2007,'F','N','BRASILIA','CRICIUMA','SC','124244241215312431488712572122610114142',3457,'226',64.86,1,3,NULL),(15,2114186,'1989-06-15 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241215372451437812195124610166033',4744,'272',61.65,1,3,NULL),(15,2114194,'1990-02-15 00:00:00',2,1,12,2007,'F','N','JARDIM FLÓRIDA','JACAREI','SP','125133251416131411338613475121610123114',16441,'9998',42.68,4,3,NULL),(15,2114208,'1990-03-23 00:00:00',2,5,12,2007,'F','N','IMBIRAPUERA','MORRO DA FUMACA','SC','124244241217111431667412575112610164092',6303,'226',58.44,1,3,NULL),(15,2114216,'1990-11-19 00:00:00',4,1,12,2007,'F','N','JD ANA CRISTINA','FOZ DO IGUACU','PR','116162161212171121466831215112610164196',6199,'9998',58.64,1,3,NULL),(15,2114224,'1988-12-27 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124244241415372431256924481124610125097',8768,'270',54.06,1,3,NULL),(15,2114232,'1990-07-28 00:00:00',4,10,11,2007,'M','N','CENTRO','LAGUNA','SC','124242241215371751489911572112610164016',2225,'807',68.51,1,3,NULL),(15,2114240,'1989-09-05 00:00:00',1,8,12,2007,'F','N','VILA OPERÁRIA','ITAJAI','SC','124242281215371441469413575124610123142',6746,'9998',57.65,1,3,NULL),(15,2114259,'1988-10-16 01:00:00',4,1,12,2005,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124242241217574431579933572124231966042',4884,'259',61.35,1,3,NULL),(15,2114267,'1990-08-11 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124242241215112451468813572112610168192',876,'1022',74.19,1,3,NULL),(15,2114275,'1990-10-01 00:00:00',4,5,11,2007,'F','N','SÃO CRISTOVÃO','CRICIUMA','SC','124242241215371431469714375122610132047',7981,'226',55.40,1,3,NULL),(15,2114291,'1987-10-09 00:00:00',4,1,12,2006,'M','N','SANTANA','SAO JOSE','SC','124243241337272441456631375124610167042',9176,'1074',53.31,1,3,NULL),(15,2114305,'1990-02-20 00:00:00',4,1,12,2007,'M','N','TAMBORE','BARUERI','SP','125252251216471411459611575112610127043',3898,'9998',63.75,1,3,NULL),(15,2114313,'1990-12-11 00:00:00',2,1,12,2007,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124243241215111731446923575124610164077',5919,'1022',59.22,1,3,NULL),(15,2114321,'1989-02-25 00:00:00',4,1,12,2005,'F','N','MORADA DO VALE','GRAVATAI','RS','120202201217571431436634371124610133147',6786,'9998',57.58,2,3,NULL),(15,2114330,'1989-03-27 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215473431449611472124610124012',13990,'1022',46.16,1,3,NULL),(15,2114348,'1990-06-16 00:00:00',2,7,11,2007,'F','N','MONTE BELO','JOACABA','SC','124242241215111431348713572122610128121',5290,'454',60.54,1,3,NULL),(15,2114356,'1990-01-08 00:00:00',4,1,11,2007,'M','N','PINDORAMA','IJUI','RS','120202201217371411479914275112610167047',8509,'9998',54.49,1,3,NULL),(15,2114364,'1969-08-30 00:00:00',2,1,12,1986,'F','N','BARRA DO ARIRIÚ','PALHOCA','SC','224241248141275431553359372124120668142',7901,'591',55.51,1,2,1),(15,2114372,'1973-11-11 00:00:00',4,1,12,1992,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241146373711368413235134121662197',15386,'307',44.28,1,3,NULL),(15,2114380,'1990-02-07 00:00:00',4,8,12,2007,'F','N','AMIZADE','JARAGUA DO SUL','SC','116242161217122431466614572325610122182',1929,'9998',69.49,1,3,NULL),(15,2114402,'1989-09-16 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241214373431468633575124131227062',711,'1022',75.29,1,3,NULL),(15,2114410,'1990-08-01 00:00:00',4,1,12,2007,'F','N','ARIRIU','PALHOCA','SC','124241241111131432563639575112610113147',NULL,'772',18.21,1,3,NULL),(15,2114437,'1956-10-01 00:00:00',4,1,12,1975,'M','N','FORQUILHINHAS','SAO JOSE','SC','224241248123135751441273432132320868187',13889,'307',46.33,1,3,NULL),(15,2114445,'1988-08-19 00:00:00',4,1,12,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241247127131731633317286324610164197',NULL,'9999',22.62,1,2,1),(15,2114453,'1989-08-07 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215111431469633574124610124092',6923,'270',57.30,1,3,NULL),(15,2114461,'1989-11-02 00:00:00',4,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124243241115371431467613576124610163187',2032,'271',69.15,1,3,NULL),(15,2114488,'1988-11-05 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124244241212472441348613372124610163092',1074,'1022',73.12,1,3,NULL),(15,2114496,'1990-04-25 00:00:00',2,5,12,2007,'F','N','CENTRO','SOMBRIO','SC','124241242116161431326814382325610124177',12519,'690',48.26,1,2,1),(15,2114500,'1989-06-17 00:00:00',4,4,12,2006,'M','N','JUVEVE','CURITIBA','PR','116162161217471431448619574114610134012',NULL,'9998',0.00,1,3,NULL),(15,2114518,'1991-09-13 00:00:00',4,4,11,2007,'F','N','VILA CÉLIA','CAMPO GRANDE','MS','112244121217251431469714575122610124142',7348,'9998',56.52,1,3,NULL),(15,2114526,'1987-08-28 00:00:00',2,1,12,2005,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215474431466833572124131422142',2250,'266',68.42,1,3,NULL),(15,2114534,'1989-03-03 00:00:00',4,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124241241112372731356519282314610114177',13337,'122',47.13,1,2,1),(15,2114542,'1989-08-19 00:00:00',2,1,12,2006,'F','N','PICADAS DO SUL','SAO JOSE','SC','124241241112211411546611242124610163142',11912,'733',49.08,1,2,1),(15,2114550,'1988-02-13 00:00:00',4,1,12,2005,'F','N','CAMPESTRE','SANTO ANDRE','SP','125252251217571431449814175122610163012',1296,'9998',72.09,1,3,NULL),(15,2114569,'1989-10-15 01:00:00',4,8,12,2007,'F','N','ANITA GAIBALDI','JOINVILLE','SC','124242241215112431659714571122610124127',15738,'1063',43.76,1,3,NULL),(15,2114577,'1987-03-20 00:00:00',2,4,12,2004,'F','N','JARDIM ITALIA','CHAPECO','SC','124241241147373431325521272224610121187',10437,'169',51.29,1,2,1),(15,2114585,'1988-05-30 00:00:00',4,1,12,2005,'M','N','SERRARIA','SAO JOSE','SC','124243241417133431536711115124610162043',7307,'882',56.59,1,3,NULL),(15,2114607,'1988-02-23 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','116252251216151711117813575311243267115',13974,'9998',46.20,1,3,NULL),(15,2114615,'1990-08-10 00:00:00',4,3,12,2007,'M','N','PRAIA DO SONHO','ITANHAEM','SP','125252251216271431356611575122610142122',NULL,'9998',0.00,1,3,NULL),(15,2114623,'1990-03-22 00:00:00',4,6,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241215111752446833371121610147042',NULL,'967',13.51,1,3,NULL),(15,2114631,'1989-11-29 00:00:00',2,8,12,2007,'F','N','JD AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251217111431259618576221610114117',14851,'9998',44.96,1,3,NULL),(15,2114640,'1987-09-09 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241115472431557729245125610166142',2996,'306',66.16,1,2,1),(15,2114658,'1990-02-23 00:00:00',4,1,10,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215112431489912422122610137135',119,'270',81.12,1,3,NULL),(15,2114666,'1990-07-03 00:00:00',5,8,11,2007,'F','N','GUANABARA','JOINVILLE','SC','124242241215121431458614472112610134147',16246,'932',42.99,1,3,NULL),(15,2114682,'1988-08-31 00:00:00',4,1,12,2006,'M','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124243241115132431346823585124610116172',5080,'271',60.94,1,3,NULL),(15,2114704,'1990-11-08 00:00:00',4,1,12,2007,'M','N','SÃO LEOPOLDO','CAXIAS DO SUL','RS','120051201437141431444719245322610124017',14741,'9998',45.08,1,3,NULL),(15,2114712,'1985-06-26 00:00:00',4,3,12,2003,'F','N','CENTRO','AVARE','SP','125252251217571431258823575112610145097',NULL,'9998',0.00,1,3,NULL),(15,2114720,'1989-12-23 00:00:00',4,3,11,2007,'F','N','JARDIM PANORÂMICO','IVOTI','RS','120202201216371431458711495124610168182',NULL,'9998',0.00,1,3,NULL),(15,2114739,'1986-09-12 00:00:00',2,1,12,2004,'M','N','BOSQUE EUCALIPTOS','SAO JOSE DOS CAMPOS','SP','125251256227141431523631445123610127057',NULL,'9998',27.13,1,3,NULL),(15,2114747,'1987-11-13 00:00:00',4,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215473431229711571112131464097',10801,'270',50.74,1,3,NULL),(15,2114755,'1990-02-03 00:00:00',4,2,12,2007,'M','N','FORTALEZA','BLUMENAU','SC','124241241317111431449513175124610134142',NULL,'71',37.83,1,3,NULL),(15,2114763,'1990-07-14 00:00:00',2,1,7,2007,'F','N','ASA NORTE','BRASILIA','DF','107071071116371431376833572112610134052',11500,'9998',49.71,1,3,NULL),(15,2114771,'1989-06-06 00:00:00',2,1,12,2006,'F','N','ASA NORTE','BRASILIA','DF','107122121217471431479513335122610162142',8443,'9998',54.62,1,3,NULL),(15,2114780,'1991-05-05 00:00:00',2,10,11,2007,'M','N','PASSAGEM','TUBARAO','SC','124243241215111411348923472121610137172',10706,'809',50.87,1,3,NULL),(15,2114801,'1990-06-20 00:00:00',4,3,12,2007,'M','N','UNIVERSITARIO','TIJUCAS','SC','124241241215111431436814342124610115142',19566,'781',37.70,1,3,NULL),(15,2114810,'1989-09-04 00:00:00',2,5,11,2007,'M','N','PRÓSPERA','CRICIUMA','SC','124242241215271431468931372124610137042',3839,'213',63.90,1,3,NULL),(15,2114828,'1990-01-05 00:00:00',4,1,12,2007,'F','N','JARDIM GUANABARA','RIO DE JANEIRO','RJ','121212211236111431338779595122610162122',15523,'9998',44.10,4,3,NULL),(15,2114836,'1982-11-28 00:00:00',4,1,12,2001,'M','N','CENTRO','SANTA MARIA','RS','120204207417571431436712171122140724057',6327,'9998',58.41,1,3,NULL),(15,2114844,'1990-07-08 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215271431436811295122610127182',8369,'1077',54.73,1,3,NULL),(15,2114860,'1988-03-26 00:00:00',4,7,12,2004,'M','N','SÃO JOSÉ','FRAIBURGO','SC','124243241246161431537613145125133227047',NULL,'317',37.65,1,3,NULL),(15,2114879,'1989-04-02 00:00:00',4,1,12,2006,'F','N','RIO BRANCO','PORTO ALEGRE','RS','120203201117471431389913575122610137097',NULL,'9998',0.00,1,3,NULL),(15,2114887,'1991-07-24 00:00:00',4,2,11,2008,'F','S','SÃO LUIZ','BRUSQUE','SC','124242241215111431348612275125610125092',NULL,'107',46.12,1,3,NULL),(15,2114895,'1987-05-29 00:00:00',4,1,11,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124242161215472731489912592125131122043',7741,'9998',55.80,1,3,NULL),(15,2114909,'1989-12-20 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241215121441446413572114610164181',179,'1022',80.21,1,3,NULL),(15,2114917,'1988-10-19 00:00:00',4,1,12,2005,'M','N','CASSINO','RIO GRANDE','RS','120204241317473431326614395124133266042',361,'1022',77.96,1,3,NULL),(15,2114925,'1989-04-25 00:00:00',2,1,12,2006,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241124132432426379492224610131141',19374,'307',38.06,4,3,NULL),(15,2114933,'1990-08-09 00:00:00',4,4,11,2007,'M','N','CENTRO','ERECHIM','RS','120202201215371431425639596122610147047',6527,'9998',58.02,1,3,NULL),(15,2114941,'1990-04-28 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','116162161216111431469934574122610124122',8719,'9998',54.14,1,3,NULL),(15,2114950,'1990-10-21 01:00:00',4,1,5,2008,'M','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124243241117151431545821296124610134055',NULL,'306',50.41,1,3,NULL),(15,2114968,'1988-05-13 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215575431488811575112610127142',177,'270',80.21,3,3,NULL),(15,2114976,'1989-12-24 00:00:00',4,8,12,2007,'F','N','JARDIM JOSÉ MODENEZ','IRACEMAPOLIS','SP','125254251216111431469914572122610127092',12620,'9998',48.11,1,3,NULL),(15,2114984,'1991-10-07 00:00:00',4,1,11,2008,'F','S','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124242241217111432389914575114610132142',NULL,'270',42.65,1,3,NULL),(15,2114992,'1989-05-24 00:00:00',4,5,12,2006,'F','N','PIO CORREA','CRICIUMA','SC','124243251116411431428713575114610164077',10686,'9998',50.89,1,3,NULL),(15,2115000,'1990-05-02 00:00:00',4,8,11,2007,'M','N','GUANABARA','JOINVILLE','SC','124242241215121431469932572122610162092',11159,'1016',50.22,1,3,NULL),(15,2115018,'1990-04-22 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241235111431548634294124610112127',10783,'1022',50.76,1,3,NULL),(15,2115026,'1989-10-13 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215111431489713572122610168192',11905,'270',49.10,1,3,NULL),(15,2115034,'1991-12-04 00:00:00',4,5,11,2008,'F','S','CENTRO','NOVA VENEZA','SC','124242241215151232448732212122610137142',NULL,'213',31.33,1,3,NULL),(15,2115042,'1989-04-17 00:00:00',2,1,12,2006,'F','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','124241241117372431464414345124610122072',15735,'307',43.76,1,2,1),(15,2115050,'1986-08-06 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241117131431221348382114610123152',NULL,'755',20.47,1,2,1),(15,2115069,'1987-01-01 00:00:00',4,8,12,2004,'F','N','VILA BANCÁRIA','CAMPO LARGO','PR','116163161215572431447632494125610125072',NULL,'9998',0.00,1,3,NULL),(15,2115077,'1986-08-29 00:00:00',4,1,12,2004,'M','N','JD DOS ESTADOS','POCOS DE CALDAS','MG','113131131216573431578719475122610167042',1904,'9998',69.59,1,3,NULL),(15,2115085,'1990-07-03 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124252241215122441268831415124610162142',128,'270',81.00,1,3,NULL),(15,2115093,'1990-07-05 00:00:00',4,3,11,2007,'M','N','BELA ALIANÇA','SAO PAULO','SP','125252251215111511478834575122610147042',3999,'9998',63.45,1,3,NULL),(15,2115107,'1989-03-27 00:00:00',2,9,12,2006,'F','N','CENTRO','SAO MARCOS','RS','120201201116371731534914242124610163112',NULL,'9998',0.00,1,2,1),(15,2115131,'1990-11-12 00:00:00',4,8,11,2007,'M','N','BATEL','CURITIBA','PR','116162161217111431479914575122610167062',NULL,'9998',0.00,1,3,NULL),(15,2115140,'1990-09-19 00:00:00',2,1,12,2007,'F','N','CANUDOS','NOVO HAMBURGO','RS','120202201217271431434412272122610132147',19523,'9998',37.78,1,3,NULL),(15,2115158,'1990-08-01 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217122431567724376112610165012',72,'270',82.28,1,3,NULL),(15,2115166,'1989-09-27 00:00:00',4,8,11,2007,'F','N','GLÓRIA','JOINVILLE','SC','124242241215271431368931571112610122191',754,'457',74.95,1,3,NULL),(15,2115174,'1990-06-01 00:00:00',4,8,12,2007,'F','N','JARDIM BELA DARIA','PRESIDENTE PRUDENTE','SP','125252251215111731223829495112610128194',20261,'9998',36.31,3,3,NULL),(15,2115190,'1989-04-20 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241117472441466933575124230247051',5387,'271',60.30,1,2,1),(15,2115204,'1989-04-22 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215472431468811574114610163111',4006,'270',63.43,1,3,NULL),(15,2115212,'1964-02-25 00:00:00',2,1,11,2003,'F','N','JARDIM GUAPORE','MARINGA','PR','216161161135371411373352472122610166182',NULL,'9999',0.00,1,3,NULL),(15,2115220,'1990-12-26 00:00:00',4,1,11,2008,'M','S','ROÇADO','SAO JOSE','SC','124242241215111431378723475122610137042',NULL,'262',0.00,1,3,NULL),(15,2115239,'1989-01-14 00:00:00',4,1,11,2006,'F','N','VILA NOVA','CUBATAO','SP','125251251217472531348627572114610164097',7580,'9998',56.06,1,3,NULL),(15,2115247,'1989-12-20 00:00:00',2,5,12,2007,'F','N','CENTRO','SIDEROPOLIS','SC','124244241414131431654414575122610124177',8004,'767',55.37,1,3,NULL),(15,2115263,'1989-12-20 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241215121431446413572114610132181',1124,'1022',72.92,1,3,NULL),(15,2115271,'1987-04-25 00:00:00',4,1,12,2004,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124243241347272411337612341124610126113',17671,'270',40.84,1,3,NULL),(15,2115280,'1989-06-11 00:00:00',2,1,12,2006,'F','N','CENTRO','CAMPO ERE','SC','124241161111372431539933341324610166172',8416,'9998',54.67,1,2,1),(15,2115298,'1988-12-05 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241236372431446317375124610167057',9658,'269',52.47,1,3,NULL),(15,2115301,'1990-12-06 00:00:00',2,8,11,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241415121431335611575124610128142',17730,'486',40.76,1,3,NULL),(15,2115310,'1990-08-08 00:00:00',4,6,12,2007,'M','N','EMBARÉ','SANTOS','SP','125252251215311431568835592224610127042',12967,'9998',47.64,1,3,NULL),(15,2115336,'1991-11-08 00:00:00',2,2,12,2008,'M','S','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242248216111431326612272124610137042',NULL,'909',45.17,1,3,NULL),(15,2115344,'1991-06-17 00:00:00',2,1,12,2008,'M','S','AGRONOMICA','FLORIANOPOLIS','SC','124242241215111432489713575121610117185',NULL,'262',43.45,1,3,NULL),(15,2115352,'1989-05-20 00:00:00',4,1,12,2006,'M','N','TABOÃO','SAO ROQUE','SP','125252251215472431477814575122610162047',1335,'9998',71.96,1,3,NULL),(15,2115360,'1989-04-14 00:00:00',2,1,12,2006,'F','N','ABRÃAO','FLORIANOPOLIS','SC','124242241215372431426621295124610133097',21862,'724',32.75,1,3,NULL),(15,2115387,'1989-01-05 00:00:00',2,1,12,2006,'F','N','RIO GRANDE','PALHOCA','SC','124241241116132411436714342124610123187',14853,'591',44.95,1,3,NULL),(15,2115417,'1990-04-26 00:00:00',4,1,12,2007,'M','N','CRISTO REI','CURITIBA','PR','116162161217113531258814572124610167041',10198,'9998',51.63,3,3,NULL),(15,2115425,'1990-09-25 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116162168215111731239936574145610167012',1569,'9998',70.90,1,3,NULL),(15,2115433,'1983-11-22 00:00:00',4,1,6,2003,'M','N','CAMPINAS','SAO JOSE','SC','124244241212151431337614392112130222057',9770,'515',52.31,1,3,NULL),(15,2115441,'1989-10-24 00:00:00',2,1,12,2006,'F','N','CENTRO','RIO DO SUL','SC','124242241211131431456614292122231336092',NULL,'663',0.00,1,3,NULL),(15,2115450,'1990-03-02 00:00:00',4,4,11,2007,'F','N','MARIA GORETTI','CHAPECO','SC','124242241215272431338812324112610116142',10833,'185',50.70,1,3,NULL),(15,2115468,'1989-12-22 00:00:00',4,2,12,2007,'M','N','VORSTADT','BLUMENAU','SC','124244241217111431566624385121610137117',10136,'87',51.74,1,3,NULL),(15,2115476,'1984-09-26 00:00:00',4,1,12,2001,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','120202201217472421439811381124142518122',2903,'9998',66.44,1,3,NULL),(15,2115484,'1991-05-01 00:00:00',4,6,12,2007,'M','N','SANTANA','RIO DO SUL','SC','124242241215271431453934575122610137052',16700,'959',42.33,1,3,NULL),(15,2115492,'1989-05-30 00:00:00',4,8,12,2006,'M','N','IRIRIU','JOINVILLE','SC','124242241217372431367712575124231467147',3536,'462',64.67,1,3,NULL),(15,2115506,'1986-11-18 00:00:00',4,4,12,2004,'M','N','JARDIM ITALIA','CHAPECO','SC','124242241216174751448813595112231017062',7230,'964',56.74,1,3,NULL),(15,2115522,'1987-12-03 00:00:00',4,1,12,2005,'F','N','XAVIER','ASSIS','SP','125252251216572421568912574122610122187',NULL,'9998',0.00,1,3,NULL),(15,2115530,'1985-06-13 00:00:00',2,8,11,2003,'F','N','IPEROBA','SAO FRANCISCO DO SUL','SC','124241241137131431336632345124610136197',NULL,'710',25.35,1,2,1),(15,2115549,'1989-11-09 00:00:00',2,1,12,2007,'M','N','CENTRO','SAO JOSE','SC','124243241112272431556711575114610132082',4468,'306',62.34,1,3,NULL),(15,2115557,'1991-05-05 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241217111751328929572114610164186',NULL,'1022',28.93,3,3,NULL),(15,2115565,'1989-06-18 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241215131431469833574122610163015',NULL,'9997',18.53,1,3,NULL),(15,2115573,'1990-10-14 00:00:00',2,4,11,2007,'M','N','CENTRO','VIDEIRA','SC','124243241216121431459414595122610137057',22106,'969',31.89,1,3,NULL),(15,2115581,'1989-08-25 00:00:00',4,3,12,2006,'M','N','ÁGUA VERDE','CURITIBA','PR','116242241216472431458613475122610124022',5140,'422',60.83,1,3,NULL),(15,2115590,'1990-05-22 00:00:00',4,8,12,2007,'M','N','VILA CARRÃO','SAO PAULO','SP','125252251216111431439921472114610167147',14565,'9998',45.32,3,3,NULL),(15,2115603,'1983-05-23 00:00:00',4,4,12,2000,'F','N','PIO X','CAXIAS DO SUL','RS','120201201112131431115649392324143226097',9519,'9998',52.74,1,2,1),(15,2115620,'1990-03-21 00:00:00',2,2,12,2007,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241215131431457619592122610125197',13469,'87',46.92,1,3,NULL),(15,2115646,'1990-04-16 00:00:00',4,1,12,2007,'M','N','CANOAS','RIO DO SUL','SC','124243241436371431433434345121610167057',17013,'663',41.86,1,3,NULL),(15,2115654,'1988-05-17 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241312153431443311282124131328072',9690,'1022',52.43,1,3,NULL),(15,2115662,'1986-01-29 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241112342431136644241134133262177',20479,'736',35.92,1,2,1),(15,2115670,'1987-12-03 00:00:00',2,1,12,2004,'F','N','IGUAÇU','FAZENDA RIO GRANDE','PR','116161161137471431633939243214610136147',15498,'9998',44.14,1,2,1),(15,2115689,'1980-12-10 00:00:00',2,8,12,1998,'F','N','JARDIM INTERNORTE','MARINGA','PR','116162161216571731446629371122342862097',11105,'9998',50.29,1,3,NULL),(15,2115697,'1988-05-20 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANOPOLIS','SC','624243241417275441227812276114610164042',3381,'262',65.06,1,3,NULL),(15,2115719,'1989-11-28 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215121431378821472112610164112',1691,'270',70.41,1,3,NULL),(15,2115727,'1988-11-23 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124246241217152711357712472114121964177',3970,'266',63.55,1,3,NULL),(15,2115735,'1989-11-08 00:00:00',4,1,12,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241214371421448833432124142822182',17784,'9998',40.70,1,3,NULL),(15,2115751,'1989-01-21 00:00:00',2,9,12,2006,'M','N','CENTRO','CURITIBANOS','SC','124241241111152431337619572125610126012',9617,'239',52.56,1,2,1),(15,2115760,'1990-06-13 00:00:00',2,1,11,2007,'F','N','REAL PARQUE','SAO JOSE','SC','224242244237271431556619192124610143057',11723,'976',49.36,1,3,NULL),(15,2115778,'1991-04-07 00:00:00',4,9,12,2008,'M','S','CENTRO','LAGES','SC','124242241215111231338716261112610167012',NULL,'497',49.19,1,3,NULL),(15,2115786,'1989-08-06 00:00:00',4,10,12,2006,'F','N','CENTRO','TUBARAO','SC','124242241216112431458931275125232466077',1721,'807',70.30,1,3,NULL),(15,2115794,'1990-08-07 00:00:00',4,6,12,2007,'M','N','BARRA DO RIO','ITAJAI','SC','124242241215112431349833575114610164012',6347,'1026',58.36,1,3,NULL),(15,2115808,'1991-12-26 00:00:00',4,1,12,2008,'F','S','CENTRO','PALHOCA','SC','124242241215111431569833574124610168187',NULL,'270',50.82,1,3,NULL),(15,2115816,'1990-07-27 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111741457613275124610126162',8364,'270',54.74,1,3,NULL),(15,2115824,'1989-11-01 00:00:00',4,1,12,2006,'F','N','SANTA TEREZA','SAO PEDRO DE ALCANTARA','SC','124241241215472431346834574124610113147',5594,'270',59.88,1,3,NULL),(15,2115832,'1989-10-13 00:00:00',4,2,12,2007,'F','N','GARCIA','BLUMENAU','SC','124242241215122411277923574112610146182',2882,'855',66.49,1,3,NULL),(15,2115840,'1988-07-14 00:00:00',4,1,12,2005,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241112573431114448382324610166187',5821,'715',59.43,1,3,NULL),(15,2115859,'1988-12-12 00:00:00',4,2,12,2006,'M','N','SALTO','BLUMENAU','SC','124241241215472431347812175123610168142',3373,'855',65.08,1,3,NULL),(15,2115867,'1989-01-28 00:00:00',4,9,12,2006,'F','N','SANTA MARIA','LAGES','SC','124241241116372431534614141112610124147',10942,'505',50.55,4,2,1),(15,2115875,'1990-06-01 00:00:00',2,1,12,2007,'F','N','CENTRO','SAO BONIFACIO','SC','124241241125111431433836295124610114142',21857,'295',32.77,1,2,1),(15,2115883,'1986-04-18 00:00:00',4,1,4,2005,'M','N','INGLESES','FLORIANOPOLIS','SC','124244241115472431357614445124610164012',5301,'306',60.52,1,3,NULL),(15,2115891,'1981-05-29 00:00:00',4,1,10,2007,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','124243247627132431238341115222610142157',NULL,'9999',19.68,1,3,NULL),(15,2115905,'1986-05-17 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANOPOLIS','SC','116161161117131441534336577224241964142',NULL,'9998',0.00,1,2,1),(15,2115913,'1990-03-02 00:00:00',2,3,12,2007,'F','N','CENTRO','BOMBINHAS','SC','124241241136141431323623342124610138037',15173,'96',44.57,1,2,1),(15,2115921,'1990-04-30 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241217111431568713572124610164057',6224,'723',58.60,1,3,NULL),(15,2115930,'1991-03-02 00:00:00',4,1,12,2007,'M','N','SÃO FRANCISCO ASSIS','DOIS VIZINHOS','PR','116163161237121231269923474122610127057',13137,'9998',47.41,1,3,NULL),(15,2115948,'1986-11-24 00:00:00',2,1,12,2004,'M','N','FAZENDA DA ARMAÇÃO','GOVERNADOR CELSO RAMOS','SC','124241241125373332543611474224610164052',6574,'329',57.94,1,2,1),(15,2115956,'1990-05-17 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241216111751469611595122610168137',NULL,'1038',16.77,1,3,NULL),(15,2115964,'1989-07-13 00:00:00',2,5,12,2006,'F','N','MICHEL','CRICIUMA','SC','124244241215472431447634575124610117152',11941,'226',49.05,1,3,NULL),(15,2115980,'1991-12-11 00:00:00',4,3,12,2008,'M','S','CENTRO','BALNEARIO CAMBORIU','SC','124242248215111532369929575122610118052',NULL,'1038',41.64,1,3,NULL),(15,2115999,'1985-02-08 00:00:00',4,8,12,2002,'M','N','BARREIRINHA','CURITIBA','PR','116164161216572411488813475122140266026',NULL,'9998',0.00,1,3,NULL),(15,2116006,'1989-10-13 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215373431558619495124230267077',629,'270',75.83,1,3,NULL),(15,2116014,'1985-12-06 00:00:00',4,1,12,2003,'F','N','NOSSA S DO ROSARIO','SAO JOSE','SC','224241241117271431251354275122610118047',16775,'726',42.21,1,3,NULL),(15,2116022,'1988-08-01 00:00:00',2,1,12,2006,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124241241115132411234829242121610164082',11254,'733',50.08,1,2,1),(15,2116030,'1989-09-06 00:00:00',2,2,11,2006,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241135572431334434242122610146187',7344,'69',56.52,1,2,1),(15,2116049,'1987-05-14 00:00:00',2,1,12,2005,'M','N','CENTRO','PORTO ALEGRE','RS','120201201217371441536632571114610144152',10472,'9998',51.23,1,3,NULL),(15,2116057,'1990-06-29 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431459933572112610165011',9251,'270',53.19,1,3,NULL),(15,2116073,'1990-02-14 00:00:00',4,4,12,2007,'M','N','JARDIM ITÁLIA','CHAPECO','SC','124242241217271421549612575122610164182',9514,'185',52.75,1,3,NULL),(15,2116081,'1990-07-29 00:00:00',2,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215111431558923575124610166147',16045,'723',43.30,1,3,NULL),(15,2116090,'1988-07-15 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215572231468833575114610167017',482,'269',76.94,1,3,NULL),(15,2116103,'1990-02-21 00:00:00',2,1,11,2007,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241215111431348823575124610167042',7660,'270',55.93,1,3,NULL),(15,2116111,'1988-08-18 00:00:00',4,1,12,2006,'M','N','JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251235471431469913575122610127052',3114,'9998',65.82,1,3,NULL),(15,2116138,'1990-11-21 00:00:00',2,4,12,2007,'M','N','CENTRO','HONORIO SERPA','PR','116161161217211411585535595125610167042',11859,'9998',49.17,1,3,NULL),(15,2116146,'1981-05-03 00:00:00',2,8,12,2000,'M','N','BUCAREIN','JOINVILLE','SC','124161161126141441525443235131332062047',NULL,'9998',35.22,1,2,1),(15,2116154,'1990-11-26 00:00:00',4,1,12,2007,'F','N','CENTRO','ANTONIO CARLOS','SC','124241241215271411426619575124610127042',14796,'269',45.01,1,3,NULL),(15,2116170,'1990-11-09 00:00:00',4,8,12,2007,'F','N','JARDIM LOURDES','CAMPO MOURAO','PR','116162161116271451559936575122610132182',NULL,'9998',0.00,1,3,NULL),(15,2116189,'1989-09-25 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241215472411348613235124610124142',4127,'738',63.13,1,3,NULL),(15,2116197,'1990-08-09 00:00:00',4,6,12,2007,'M','N','MALUCHE','BRUSQUE','SC','124244241317111431437819572122610167047',5897,'912',59.26,1,3,NULL),(15,2116200,'1988-12-06 00:00:00',4,1,12,2005,'F','N','BRAS','SAO PAULO','SP','125203241317573411248734243325610134012',1031,'307',73.36,1,3,NULL),(15,2116219,'1990-05-02 00:00:00',4,4,12,2007,'F','N','CENTRO','PATO BRANCO','PR','124241161116151441444636575124610127057',13910,'9998',46.30,1,3,NULL),(15,2116227,'1988-01-20 00:00:00',4,1,12,2005,'F','N','SAÚDE','SAO PAULO','SP','125112111211473411178832571125140632012',5293,'9998',60.54,1,3,NULL),(15,2116235,'1990-12-08 00:00:00',2,1,12,2007,'F','N','CAMPO DUNA','GAROPABA','SC','124241241147152431454312246124610167097',11636,'322',49.50,1,2,1),(15,2116243,'1990-11-07 00:00:00',4,6,11,2007,'F','N','ÓRFÃS','PONTA GROSSA','PR','116162161216471431488931571325610126177',NULL,'9998',0.00,1,3,NULL),(15,2116251,'1990-04-03 00:00:00',4,1,11,2007,'F','N','JARDIM UNIVERSITÁRIO','CASCAVEL','PR','116163161315111731326411315122610146192',12568,'9998',48.19,1,3,NULL),(15,2116260,'1990-08-23 00:00:00',2,7,12,2007,'M','N','ANZOLIN','JOACABA','SC','124241241215371431434711294124610134182',7835,'962',55.63,1,3,NULL),(15,2116286,'1988-03-15 00:00:00',4,9,11,2006,'M','N','APARECIDA','CURITIBANOS','SC','124241241225371331548833375122132337057',NULL,'237',0.00,4,3,NULL),(15,2116294,'1987-02-19 00:00:00',4,10,12,2003,'M','N','VILA MOEMA','TUBARAO','SC','124241241211573711428619571124133266177',3579,'806',64.51,1,3,NULL),(15,2116316,'1989-04-17 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','624242241215472431334831572114610143097',1154,'262',72.76,1,3,NULL),(15,2116324,'1987-07-16 00:00:00',2,1,12,2006,'M','N','PICADAS DO SUL','SAO JOSE','SC','124242247317371431536513485114610167107',15001,'9999',44.79,1,3,NULL),(15,2116340,'1989-03-26 00:00:00',2,1,12,2005,'F','N','TATUAPE','SAO PAULO','SP','125252251212572431263831572115610167187',NULL,'9998',0.00,1,3,NULL),(15,2116359,'1987-06-22 00:00:00',4,1,12,2004,'F','N','VILA BERNARDES','ARAPONGAS','PR','116161161117371431458911572112141662147',16723,'9998',42.29,1,2,1),(15,2116375,'1990-07-11 00:00:00',4,6,11,2007,'M','N','CENTRO','ITAJAI','SC','124242241216111421456712345121610117012',20403,'1057',36.05,1,3,NULL),(15,2116383,'1989-04-02 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241214373431388813444124610126182',1611,'266',70.77,1,3,NULL),(15,2116391,'1990-12-02 00:00:00',4,8,11,2007,'M','N','ALTO ALEGRE','CASCAVEL','PR','116162161216111431467814375112610167142',4355,'9998',62.58,1,3,NULL),(15,2116405,'1990-10-12 00:00:00',4,1,12,2007,'M','N','CENTRO','CAXIAS DO SUL','RS','120202201217111431468912291122610167182',12295,'9998',48.58,1,3,NULL),(15,2116421,'1989-01-11 00:00:00',2,1,12,2006,'F','N','FAZENDA RIO TAVARES','FLORIANOPOLIS','SC','124243241215372411353719572124610142187',9480,'270',52.81,4,3,NULL),(15,2116430,'1988-01-06 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211472431479933371124610168057',9031,'270',53.59,1,3,NULL),(15,2116464,'1992-06-05 00:00:00',4,9,12,2008,'F','S','CENTRO','LAGES','SC','124242241215171231478913574122610122042',NULL,'497',55.96,1,3,NULL),(15,2116472,'1988-10-17 00:00:00',4,10,11,2006,'M','N','CENTRO','TUBARAO','SC','124242241215372431369814572122232834113',8556,'807',54.43,1,3,NULL),(15,2116480,'1986-03-25 00:00:00',2,1,7,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242246216373431245623472125122337057',4592,'995',62.01,1,3,NULL),(15,2116499,'1988-03-11 00:00:00',4,1,12,2005,'F','N','VILA NOVA','IMBITUBA','SC','124243241417371411358511572112133221142',NULL,'362',0.00,1,3,NULL),(15,2116502,'1989-06-01 00:00:00',4,5,11,2006,'F','N','CENTRO','CRICIUMA','SC','124242241215472431468931592122610136077',15868,'211',43.57,1,3,NULL),(15,2116510,'1986-11-09 00:00:00',2,1,6,2005,'F','N','COSTA DE DENTRO','FLORIANOPOLIS','SC','124241241116372731346823371124610125187',10385,'306',51.36,1,2,1),(15,2116529,'1978-07-14 00:00:00',4,1,8,2003,'M','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124201207327131431426444345123610167017',NULL,'9999',0.00,4,3,NULL),(15,2116537,'1990-01-03 00:00:00',4,9,12,2006,'M','N','CARAVAGIO','LAGES','SC','124242241215472431366712575115610167142',1086,'499',73.07,4,3,NULL),(15,2116553,'1987-01-28 00:00:00',4,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','124241241444132421443923345124610162182',21155,'300',34.54,4,3,NULL),(15,2116561,'1986-11-18 00:00:00',2,2,12,2004,'M','N','BELA VISTA','GASPAR','SC','124241241117474431446514372124610132187',3647,'69',64.36,1,2,1),(15,2116588,'1989-11-26 00:00:00',4,1,11,2007,'F','N','CENTRO','SANTA RITA DO SAPUCAI','MG','113131138217141431348732422125610164092',12693,'9998',47.99,1,3,NULL),(15,2116596,'1988-08-14 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212573511349611572122132667127',1179,'266',72.58,1,3,NULL),(15,2116600,'1984-02-21 00:00:00',4,8,12,2001,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161214571431387933471122343264043',450,'9998',77.22,1,3,NULL),(15,2116618,'1984-08-05 00:00:00',2,1,12,2002,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241112131431634119392324610141047',NULL,'293',22.51,1,3,NULL),(15,2116642,'1990-09-01 00:00:00',4,1,11,2007,'M','N','BALNEARIO','FLORIANOPOLIS','SC','124242241215111432468813575114610127067',9752,'270',52.34,1,3,NULL),(15,2116650,'1988-05-08 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124242241216373431357613495124610137072',5149,'738',60.81,1,3,NULL),(15,2116669,'1991-05-15 00:00:00',4,3,12,2008,'M','S','JARDIM MALUCHE','BRUSQUE','SC','124242241215111441358912575122610168142',NULL,'1042',45.64,1,3,NULL),(15,2116685,'1986-05-12 00:00:00',4,8,12,2004,'M','N','BOA SAÚDE','NOVO HAMBURGO','RS','120201208117132711227364241324610127047',10358,'9998',51.41,1,2,1),(15,2116693,'1989-08-01 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','120202208217473411278923415114610167122',11877,'9998',49.14,1,3,NULL),(15,2116707,'1989-07-14 00:00:00',4,1,12,2006,'F','N','PIO CORREA','CRICIUMA','SC','124242241237473731688811572112610132115',1561,'226',70.94,1,3,NULL),(15,2116723,'1990-11-15 00:00:00',4,1,12,2007,'F','N','CENTRO','PONTA GROSSA','PR','116162161215121431468813434122610148187',2444,'9998',67.79,1,3,NULL),(15,2116731,'1990-02-09 00:00:00',4,1,12,2007,'M','N','SERRARIA','SAO JOSE','SC','124244244211111431346633592224610163052',21245,'976',34.32,2,1,2),(15,2116740,'1987-09-09 00:00:00',2,7,7,2005,'M','N','SÃO FRANCISCO','LUZERNA','SC','124241241147271431343314345124610122012',12059,'539',48.91,1,2,1),(15,2116758,'1989-08-28 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242246215161421246623172112610144187',NULL,'976',NULL,1,3,NULL),(15,2116766,'1989-05-21 00:00:00',2,1,12,2006,'M','N','SANTA MARIA','ANTONIO CARLOS','SC','124241241112131431623314442223610127147',19506,'21',37.82,1,2,1),(15,2116782,'1986-06-06 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241211134441558713575124230613197',17367,'1022',41.29,1,3,NULL),(15,2116790,'1989-01-19 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241112211411623339295324610134052',NULL,'732',18.57,1,2,1),(15,2116804,'1988-01-29 00:00:00',4,8,12,2005,'F','N','AVENTUREIRO','JOINVILLE','SC','124241246216271731334623445134130823147',15281,'9997',44.43,1,3,NULL),(15,2116812,'1987-05-13 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241116133431559913475125233224167',11150,'307',50.24,1,2,1),(15,2116820,'1989-10-23 00:00:00',4,1,12,2007,'M','N','ALPHAVILLE','SANTANA DE PARNAIBA','SP','125252251216111432387814572124610117042',5952,'9998',59.16,1,3,NULL),(15,2116839,'1989-12-08 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECO','SC','124244241215111411458833575122610122197',11621,'185',49.52,1,3,NULL),(15,2116847,'1990-11-12 00:00:00',4,4,12,2007,'M','N','CENTRO','PORTO UNIAO','SC','124242161216421431466912572122610166187',4511,'632',62.22,1,3,NULL),(15,2116855,'1983-06-17 00:00:00',4,1,11,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124252251237152431466631242124130436187',11234,'9998',50.11,1,3,NULL),(15,2116863,'1990-12-09 00:00:00',4,1,11,2007,'F','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124202201217111431446811575125610138183',9426,'9998',52.90,1,3,NULL),(15,2116871,'1984-05-30 00:00:00',4,1,11,2001,'M','N','ESTREITO','FLORIANOPOLIS','SC','124071071117172731234444446324610166182',4353,'9998',62.59,1,2,1),(15,2116898,'1991-01-15 00:00:00',4,1,12,2007,'M','N','CENTRO','SAO JOSE DO RIO PRETO','SP','125252251215171411478831571122610116182',5794,'9998',59.49,1,3,NULL),(15,2116901,'1986-05-12 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124254241337574411358612482122132124093',5469,'988',60.12,1,3,NULL),(15,2116910,'1989-08-14 00:00:00',4,1,12,2008,'M','S','PRAIA DANIELA','FLORIANOPOLIS','SC','124242241215111431369833575114610148047',NULL,'270',21.47,2,3,NULL),(15,2116936,'1989-10-23 00:00:00',4,1,12,2007,'F','N','VILA IMPERADOR','FRANCA','SP','125254251217171531448631175122610111092',12495,'9998',48.30,1,3,NULL),(15,2116960,'1990-03-04 00:00:00',2,1,12,2007,'F','N','ROÇADO','SAO JOSE','SC','124241241137271221526324342124610161147',NULL,'729',27.46,1,3,NULL),(15,2116979,'1989-08-27 00:00:00',4,1,12,2007,'F','N','PARAÍSO','SAO PAULO','SP','125252251217121431249832331125610122097',3755,'9998',64.06,1,3,NULL),(15,2116987,'1988-11-18 00:00:00',4,6,12,2005,'F','N','SÃO JOÃO','ITAJAI','SC','124244241215573431455612372122610132147',4422,'1058',62.44,1,3,NULL),(15,2116995,'1988-02-05 00:00:00',2,1,12,2005,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241132373431446631215124610137042',10124,'307',51.75,1,2,1),(15,2117002,'1985-10-17 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241112575711336513482125230623072',12319,'307',48.55,1,2,1),(15,2117037,'1987-11-02 00:00:00',4,2,12,2005,'M','N','NAÇÕES','INDAIAL','SC','124244241117371731365412445124133224092',21049,'986',34.77,1,3,NULL),(15,2117053,'1987-04-11 00:00:00',4,1,12,2003,'M','N','LAGOS DE GRAMADO','GRAMADO','RS','120203203216131511447612345133140767012',14727,'9998',45.11,1,3,NULL),(15,2117061,'1987-06-12 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217573442388931575122610144092',2461,'270',67.75,1,3,NULL),(15,2117070,'1987-04-13 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241126144421333613245124223027042',8844,'533',53.94,1,3,NULL),(15,2117088,'1989-12-03 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431356914575114610163077',21239,'1022',34.34,1,3,NULL),(15,2117096,'1990-02-11 00:00:00',2,1,12,2006,'M','N','ARIRIÚ','PALHOCA','SC','124243241117372431446614341124610167097',14657,'772',45.20,1,3,NULL),(15,2117100,'1990-06-05 00:00:00',2,2,12,2007,'M','N','TAPAJÓS','INDAIAL','SC','124241241117131431559931342122610167142',NULL,'365',0.00,1,3,NULL),(15,2117134,'1990-09-19 00:00:00',4,7,12,2007,'M','N','CENTRO','ERVAL VELHO','SC','124241241117371431446634572222610134057',18114,'253',40.13,3,3,NULL),(15,2117169,'1987-10-08 00:00:00',2,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124243247422271241335623592124610112181',8439,'9999',54.63,1,3,NULL),(15,2117185,'1989-03-20 00:00:00',4,8,12,2006,'M','N','SANTA CATARINA','JOINVILLE','SC','124241241215573411354414274114610167042',2592,'486',67.34,1,3,NULL),(15,2117193,'1981-07-29 00:00:00',2,1,9,2000,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124092077617271441358841411132141962092',11581,'9999',49.58,4,3,NULL),(15,2117207,'1987-04-25 00:00:00',2,1,12,2005,'F','N','SERRARIA','SAO JOSE','SC','124243241317132731324724442124610124047',NULL,'257',20.83,1,3,NULL),(15,2117223,'1989-09-11 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124243241315211431548413592125610123071',NULL,'299',35.10,1,3,NULL),(15,2117240,'1988-06-29 00:00:00',4,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242241215472411256924572124610144197',10980,'270',50.50,1,3,NULL),(15,2117266,'1989-08-04 00:00:00',4,7,12,2006,'M','N','PORTAL DAS VIDEIRAS','VIDEIRA','SC','124241241211372431369914475112610167052',8184,'969',55.03,4,3,NULL),(15,2117274,'1989-02-03 00:00:00',4,3,12,2006,'F','N','BATEL','CURITIBA','PR','116162161216472451338839575122610166147',1589,'9998',70.83,1,3,NULL),(15,2117282,'1988-04-27 00:00:00',2,1,12,2005,'M','N','JARDIM DAS PALMEIRAS','SAO JOSE','SC','124242241215573411563332245124610166042',1574,'737',70.89,1,3,NULL),(15,2117290,'1987-12-14 00:00:00',2,1,12,2006,'M','N','CENTRO','SAO JOAQUIM','SC','124241241216471431536816274124610167057',20756,'720',35.39,1,3,NULL),(15,2117304,'1989-04-22 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124162245332141512538311372115610114192',NULL,'307',0.00,1,3,NULL),(15,2117312,'1990-01-24 00:00:00',2,9,11,2006,'F','N','BALNEARIO','PIRATUBA','SC','124243241416372411559853275344610121142',14803,'190',45.01,4,3,NULL),(15,2117320,'1985-12-26 00:00:00',4,1,12,2003,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215154431626723445124222268187',16938,'9997',41.95,1,3,NULL),(15,2117339,'1985-09-18 00:00:00',2,1,12,2003,'M','N','CENTRO','PELOTAS','RS','120201201126271611523319295124241662167',NULL,'9998',0.00,1,3,NULL),(15,2117347,'1991-08-09 00:00:00',4,1,12,2008,'F','S','ITACORUBI','FLORIANOPOLIS','SC','124242241217121431468814575122610124147',NULL,'270',37.29,1,3,NULL),(15,2117355,'1988-09-26 00:00:00',4,1,12,2006,'M','N','JD AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251217472431669632572122610127112',8962,'9998',53.72,1,3,NULL),(15,2117363,'1981-04-03 00:00:00',2,1,12,1999,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124201205116131431133844445122341565097',NULL,'9998',0.00,3,2,1),(15,2117371,'1985-09-23 00:00:00',2,3,12,2002,'M','N','ARIRIBÁ','BALNEARIO CAMBORIU','SC','124243247237371431446624244133610148052',9276,'48',53.16,1,3,NULL),(15,2117398,'1989-04-16 00:00:00',4,1,12,2007,'M','N','VILA A','FOZ DO IGUACU','PR','116162168237371711366929235122610147112',NULL,'9998',0.00,1,3,NULL),(15,2117401,'1989-09-23 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116112161217471431456616275122610168182',8261,'9998',54.91,1,3,NULL),(15,2117428,'1989-05-30 00:00:00',2,1,12,2007,'M','N','FORQUILHAS','SAO JOSE','SC','124241241115131431546619372124610162042',NULL,'733',30.47,1,2,1),(15,2117436,'1987-02-26 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241115272431458629392114610143182',6784,'307',57.58,1,2,1),(15,2117452,'1982-09-10 00:00:00',4,1,12,1999,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116161161137274321336432345122122933112',NULL,'9998',17.07,1,2,1),(15,2117460,'1988-09-17 00:00:00',4,8,12,2006,'F','N','AMÉRICA','JOINVILLE','SC','124042041211471411389811571121610126052',4646,'9998',61.89,4,3,NULL),(15,2117479,'1986-09-14 00:00:00',4,1,12,2004,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','125252251217571431538611575122610163147',6404,'9998',58.25,1,3,NULL),(15,2117495,'1990-03-18 00:00:00',4,4,12,2007,'F','N','INTERIOR','IPUMIRIM','SC','124241241114131421643336571224610137077',NULL,'374',0.00,1,2,1),(15,2117509,'1986-12-01 00:00:00',2,1,12,2003,'F','N','CENTRO','TUBARAO','SC','116241241315575411548829375325610124021',4449,'806',62.39,1,3,NULL),(15,2117517,'1989-11-20 00:00:00',4,1,12,2007,'M','N','CENTRO','MARECHAL CANDIDO RONDON','PR','116161161316271441666514241122610167187',NULL,'9998',0.00,1,3,NULL),(15,2117525,'1988-09-08 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124243251215572431348747275122610143143',6866,'9998',57.42,1,3,NULL),(15,2117533,'1980-08-25 00:00:00',4,4,12,2000,'M','N','PRESIDENTE MÉDICI','CHAPECO','SC','124241241141152751248841125122330262041',20002,'182',36.83,1,2,1),(15,2117541,'1983-01-28 00:00:00',2,1,12,2001,'F','N','PANTANAL','FLORIANOPOLIS','SC','224242241216132441636616295335222923077',NULL,'720',0.00,1,3,NULL),(15,2117550,'1990-07-21 00:00:00',4,3,12,2007,'F','N','BATEL','CURITIBA','PR','116242161215472431558613474122610126092',3397,'9998',65.01,1,3,NULL),(15,2117568,'1987-12-05 00:00:00',4,1,12,2005,'F','N','JORDANOPOLIS','SAO BERNARDO DO CAMPO','SP','125251251117471411325819272124610122142',9681,'9998',52.45,1,2,1),(15,2117576,'1977-07-02 00:00:00',4,1,12,1995,'F','N','BARREIROS','SAO JOSE','SC','224241248126132421449751382122610165147',20473,'580',35.92,1,2,1),(15,2117592,'1987-09-13 00:00:00',2,1,12,2005,'F','N','VILA MOEMA','TUBARAO','SC','124242241212573411429912574124610136022',6393,'807',58.27,1,3,NULL),(15,2117606,'1984-08-05 00:00:00',2,3,7,2005,'M','N','ZONA UM','MARINGA','PR','116161167136571411443634195131142436187',NULL,'9998',0.00,4,2,1),(15,2117614,'1986-11-15 00:00:00',2,1,12,2004,'F','N','FORQUILHAS','SAO JOSE','SC','124241241121133431326923381124222922147',18787,'727',39.01,1,2,1),(15,2117622,'1983-10-11 00:00:00',2,1,12,2001,'F','N','BREJARU','PALHOCA','SC','124243241112133121435911382212132824077',NULL,'658',0.00,1,3,NULL),(15,2117630,'1987-11-30 00:00:00',2,1,11,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212272431428713492122230237113',14051,'1003',46.10,1,3,NULL),(15,2117649,'1976-02-20 00:00:00',4,1,12,1997,'F','N','FORQUILHINHAS','SAO JOSE','SC','524241241146272411335534341124613234147',17827,'728',40.62,1,2,1),(15,2117665,'1992-05-18 00:00:00',4,1,11,2008,'M','S','CENTRO','GAROPABA','SC','124241241311161411447933572124610137062',NULL,'266',55.02,1,3,NULL),(15,2117673,'1990-01-10 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124241241115371431636833282124610166017',16696,'169',42.33,1,2,1),(15,2117681,'1990-11-09 00:00:00',4,8,12,2007,'M','N','CENTRO','CANOINHAS','SC','124242241215111731226632571125610166172',14368,'154',45.61,1,3,NULL),(15,2117690,'1984-09-03 00:00:00',4,1,12,2002,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241137131731446613285122133022147',22209,'234',31.46,1,2,1),(15,2117703,'1981-09-16 00:00:00',2,8,11,1998,'F','N','AGUA VERDE','CURITIBA','PR','116244241115572411248829472124341542187',2129,'542',68.89,1,3,NULL),(15,2117711,'1985-08-20 00:00:00',2,8,12,2002,'F','N','SÍTIO CERCADO','CURITIBA','PR','116161161116131431633923576324141367087',NULL,'9998',0.00,4,2,1),(15,2117720,'1988-10-07 00:00:00',2,1,12,2006,'F','N','CENTRO','PATO BRANCO','PR','116164161311371431326536575222610114147',NULL,'9998',0.00,1,3,NULL),(15,2117738,'1987-02-28 00:00:00',4,1,12,2004,'M','N','SERRARIA','SAO JOSE','SC','124241241126271431423324245334610127057',21208,'257',34.41,1,2,1),(15,2117746,'1988-03-31 00:00:00',2,3,12,2005,'F','N','CENTRO','UNIAO DA VITORIA','PR','116243241414411431448634574224142666142',1051,'633',73.22,1,3,NULL),(15,2117754,'1988-08-25 00:00:00',4,3,11,2005,'M','N','SAO JUDAS','ITAJAI','SC','124242241215372431238517572124130767017',4290,'806',62.73,1,3,NULL),(15,2117770,'1985-12-17 00:00:00',2,1,12,2003,'M','N','RIBEIRAÕ DA ILHA','FLORIANOPOLIS','SC','124241241126474441533319391124610168057',13390,'278',47.06,1,2,1),(15,2117789,'1988-06-26 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241117133431626519582344610138057',5533,'707',59.99,1,2,1),(15,2117797,'1990-01-13 00:00:00',4,1,12,2007,'M','N','CENTRO','JACAREI','SP','125252251215111431558813575124610124057',2752,'9998',66.88,4,3,NULL),(15,2117800,'1972-11-27 00:00:00',4,1,3,2006,'F','N','TAPERA','FLORIANOPOLIS','SC','224241243112151421543352222122610166067',17007,'306',41.87,1,3,NULL),(15,2117819,'1985-07-16 00:00:00',4,8,12,2002,'F','N','BATEL','CURITIBA','PR','116244161215371431568821475122241031127',NULL,'9998',0.00,1,3,NULL),(15,2117827,'1987-08-11 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124262261217471431286729572114610163187',14933,'9998',44.87,1,3,NULL),(15,2117835,'1988-11-18 00:00:00',4,4,11,2005,'F','N','CENTRO','RIQUEZA','SC','124201201416152431626921575224231034187',11837,'9998',49.19,1,3,NULL),(15,2117843,'1985-10-19 00:00:00',4,1,12,2004,'F','N','SERRARIA','SAO JOSE','SC','124244241217574431333552222124610166092',8079,'270',55.21,1,3,NULL),(15,2117851,'1987-10-07 00:00:00',2,1,12,2005,'M','N','SERRARIA','SAO JOSE','SC','124241241125271431424419392124610147077',16884,'426',42.04,1,2,1),(15,2117860,'1984-05-05 00:00:00',2,1,3,2005,'M','N','FUNDOS','BIGUACU','SC','124243247541133431533329245124222337042',10493,'9999',51.19,5,3,NULL),(15,2117878,'1988-06-10 00:00:00',2,5,12,2005,'M','N','GETÚLIO VARGAS','TORRES','RS','120204201217471431336921312114610127052',2017,'9998',69.21,1,3,NULL),(15,2117886,'1988-09-18 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124241247217371231258547275114610167117',8640,'270',54.27,1,3,NULL),(15,2117894,'1989-04-19 00:00:00',2,1,12,2007,'F','N','COLONINHA','FLORIANOPOLIS','SC','124241241113131531426633575322610168192',NULL,'257',20.57,1,3,NULL),(15,2117924,'1983-06-10 00:00:00',4,6,12,1999,'M','N','VILA OPERÁRIA','ITAJAI','SC','124244241415471431425579191344133228187',1491,'389',71.24,1,3,NULL),(15,2117932,'1990-06-28 00:00:00',4,5,12,2007,'M','N','CENTRO','ITATI','RS','120201201116371431436916312124610164052',16795,'9998',42.18,1,2,1),(15,2117959,'1989-02-01 00:00:00',4,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124251251112471731433319572114610124092',NULL,'9998',21.86,1,2,1),(15,2117967,'1989-03-18 00:00:00',4,10,12,2006,'F','N','CENTRO','BRACO DO NORTE','SC','124244241212312431449811572114610116142',5864,'807',59.33,1,3,NULL),(15,2117975,'1990-06-18 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242247215111731578832595124610142077',5317,'270',60.48,1,3,NULL),(15,2117983,'1989-09-25 00:00:00',4,1,11,2006,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124042041216472431189933572324610164011',3137,'9998',65.73,1,3,NULL),(15,2118017,'1987-12-28 00:00:00',4,1,11,2005,'M','N','SERRARIA','SAO JOSE','SC','124244241215272421439721314214221457187',2821,'943',66.70,1,3,NULL),(15,2118025,'1990-03-19 00:00:00',4,8,12,2007,'M','N','CENTRO','IBAITI','PR','116162161216121431468811575122610162122',NULL,'9998',0.00,1,3,NULL),(15,2118033,'1988-06-19 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241215132441226647445124221938087',8529,'266',54.47,1,3,NULL),(15,2118041,'1985-09-30 00:00:00',1,1,6,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124281128316272431256612525122230267042',NULL,'9998',0.00,1,3,NULL),(15,2118050,'1986-05-16 00:00:00',4,1,12,2003,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124164161217372441258634492122120468195',1373,'9998',71.78,1,3,NULL),(15,2118068,'1990-01-23 00:00:00',2,1,12,2007,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241117131431426319572125610124147',21964,'733',32.38,1,3,NULL),(15,2118076,'1984-01-22 00:00:00',4,8,11,2001,'M','N','CENTRO','JOINVILLE','SC','124241241211274441289713415124333238097',3584,'154',64.50,1,3,NULL),(15,2118084,'1989-11-03 00:00:00',4,4,12,2007,'F','N','BELA VISTA','AGUAS FRIAS','SC','124241241346161431536624245125610134147',19349,'11',38.09,1,3,NULL),(15,2118092,'1991-01-21 00:00:00',2,1,12,2007,'F','N','SANTO ANTÔNIO','MONTENEGRO','RS','120201201217151711447714172122610131017',9333,'9998',53.07,1,3,NULL),(15,2118106,'1988-12-26 00:00:00',2,1,12,2005,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124243248346272431454431245334610122147',NULL,'733',8.41,1,3,NULL),(15,2118114,'1989-09-02 00:00:00',4,6,12,2006,'F','N','SAO JOAO','ITAJAI','SC','124241241116151431436412295124610136157',17191,'834',41.58,1,3,NULL),(15,2118122,'1990-06-26 00:00:00',4,9,12,2007,'M','N','VILA ASSEITUNO','SOROCABA','SP','125251251126131432426619473124610147047',12680,'9998',48.02,1,2,1),(15,2118157,'1985-01-01 00:00:00',2,1,7,2006,'F','N','FUNDOS','BIGUACU','SC','124241247342131431533311282111610137062',20904,'9999',35.07,1,3,NULL),(15,2118165,'1990-09-15 00:00:00',4,3,12,2007,'F','N','CENTRO','BRUSQUE','SC','124242241217271431448914475112610138182',3028,'981',66.05,1,3,NULL),(15,2118173,'1989-02-21 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431369931572124131036142',3409,'270',64.97,1,3,NULL),(15,2118181,'1990-06-24 00:00:00',2,4,11,2007,'F','N','PRESIDENTE KENNEDY','FRANCISCO BELTRAO','PR','116162161317111731347729275122610123017',9528,'9998',52.73,1,3,NULL),(15,2118190,'1990-06-29 00:00:00',4,1,12,2007,'F','N','FUNDOS','BIGUACU','SC','124241241215111331334374395122610127072',19085,'63',38.54,1,3,NULL),(15,2118203,'1990-07-23 00:00:00',2,10,12,2007,'F','N','CENTRO','TUBARAO','SC','124242241211122331437314572122610113192',4272,'807',62.75,1,3,NULL),(15,2118211,'1988-08-13 00:00:00',4,1,12,2005,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124214211215372431468549591124610128096',9469,'9998',52.82,1,3,NULL),(15,2118220,'1986-08-22 00:00:00',2,1,7,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124243247617142421658513441124610127055',19201,'9999',38.35,1,3,NULL),(15,2118238,'1990-02-12 00:00:00',4,1,12,2007,'F','N','SÃO MANOEL','SAO JOSE DO RIO PRETO','SP','125252251211111411578833571122610136181',18465,'9998',39.54,1,3,NULL),(15,2118246,'1991-05-02 00:00:00',4,3,12,2007,'F','N','CENTRO','ITAPEMA','SC','124242241217371551356933374124610126194',7496,'407',56.23,1,3,NULL),(15,2118254,'1989-07-20 00:00:00',2,1,12,2006,'F','N','COLONINHA','FLORIANOPOLIS','SC','124242241217472451226824345134610123077',7452,'1022',56.32,1,3,NULL),(15,2118262,'1990-07-31 00:00:00',4,4,12,2007,'F','N','CENTRO','GUARACIABA','SC','124243241115371431436619292132610127147',NULL,'334',0.00,1,3,NULL),(15,2118270,'1988-09-20 00:00:00',4,2,12,2005,'F','N','CENTRO','TIMBO','SC','124241241215373441459932476324231424017',7395,'9997',56.42,1,3,NULL),(15,2118300,'1989-10-18 00:00:00',4,5,12,2005,'F','N','NOVA ROMA','MORRO GRANDE','SC','124241241317474441456933574124610126172',2422,'980',67.85,1,3,NULL),(15,2118319,'1988-11-26 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215472431238724574124610133147',6799,'1022',57.54,1,3,NULL),(15,2118327,'1988-04-21 00:00:00',4,1,12,2005,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124241241115271411348312342224610164187',21006,'733',34.84,1,2,1),(15,2118335,'1990-03-12 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124241241116131411436611272114610167087',16063,'592',43.28,1,3,NULL),(15,2118351,'1989-03-27 00:00:00',4,1,12,2006,'M','N','ASA SUL','BRASILIA','DF','107072071215371431369933575122610162182',4656,'9998',61.86,1,3,NULL),(15,2118360,'1988-09-26 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248211142431468634445122230864147',20045,'262',36.73,1,3,NULL),(15,2118378,'1991-03-23 00:00:00',4,3,12,2007,'F','N','VERGUEIRO','PASSO FUNDO','RS','120202201217471431348834575122610166192',1224,'9998',72.36,1,3,NULL),(15,2118386,'1990-01-19 00:00:00',4,4,12,2007,'M','N','SANTA MARIA','CHAPECO','SC','124241241215371431366913572122610147012',NULL,'1046',26.44,1,3,NULL),(15,2118408,'1990-01-31 00:00:00',4,4,11,2007,'F','N','NOSSA SRA DE LURDES','DOIS VIZINHOS','PR','116161161336471451523319575122610122142',4520,'9998',62.20,1,3,NULL),(15,2118416,'1989-09-06 00:00:00',4,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241215472431444923572224610127142',3035,'497',66.02,1,3,NULL),(15,2118440,'1987-09-20 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124244247435373431548514345124610124042',12400,'9999',48.43,1,3,NULL),(15,2118459,'1986-12-31 00:00:00',4,1,12,2004,'M','N','KOBRASOL','SAO JOSE','SC','124241241112372731233623445124610164057',10791,'726',50.75,1,2,1),(15,2118467,'1989-06-20 00:00:00',4,8,12,2006,'M','N','ATIRADORES','JOINVILLE','SC','124242246215472441568812574121610144042',1791,'494',69.98,1,3,NULL),(15,2118475,'1989-10-31 00:00:00',4,8,11,2007,'M','N','ITAUM','JOINVILLE','SC','124241246216151431456859385122610117053',NULL,'1006',0.00,4,3,NULL),(15,2118483,'1976-10-15 00:00:00',2,1,12,1995,'M','N','SAMBAQUI','FLORIANOPOLIS','SC','124241241122154411533343232334121137047',8742,'279',54.11,1,2,1),(15,2118491,'1989-10-02 00:00:00',4,1,12,2006,'F','N','CENTRO','SARAPUI','SP','125253251217411411338811395112610114092',9451,'9998',52.86,1,3,NULL),(15,2118505,'1988-06-26 00:00:00',4,1,12,2006,'M','N','SAMBAQUI','FLORIANOPOLIS','SC','124242241217132431264829572124230226057',569,'270',76.30,4,3,NULL),(15,2118521,'1988-01-26 00:00:00',2,1,12,2004,'F','N','PARQUE DA MATRIZ','CACHOEIRINHA','RS','120201201131471451456413341124610127182',19987,'9998',36.86,1,3,NULL),(15,2118530,'1990-07-09 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111411369931375122610117122',22344,'270',30.76,1,3,NULL),(15,2118548,'1988-01-06 00:00:00',2,5,12,2005,'F','N','CIDADE INDUSTRIAL','CURITIBA','PR','116161161127141731635619242334610164047',22270,'9998',31.21,1,3,NULL),(15,2118556,'1986-01-02 00:00:00',2,1,7,2007,'F','N','SANTO ANTÔNIO','TAQUARI','RS','120203205117371431435939572123610138077',19709,'9998',37.40,1,3,NULL),(15,2118572,'1985-11-08 00:00:00',4,1,12,2003,'M','N','COLINA DA BARRA','BARRA BONITA','SP','125251251116372211447614275124220962042',13733,'9998',46.56,1,2,1),(15,2118580,'1988-10-14 00:00:00',4,3,12,2005,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215474441355921571124231565172',3715,'9997',64.18,1,3,NULL),(15,2118599,'1985-03-23 00:00:00',4,1,12,2002,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124162161216253431566819475122221462052',4414,'9998',62.45,1,3,NULL),(15,2118610,'1990-03-07 00:00:00',4,1,12,2006,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124241241217472431438634572124610137012',7634,'943',55.97,1,3,NULL),(15,2118629,'1987-03-25 00:00:00',4,1,12,2005,'M','N','PÂNTANO DO SUL','FLORIANOPOLIS','SC','124243241215273441253429445214610164082',3545,'300',64.64,1,3,NULL),(15,2118637,'1985-07-15 00:00:00',2,8,11,2002,'F','N','CAMPO COMPRIDO','CURITIBA','PR','616163161215571431235874572324610166043',NULL,'9998',0.00,1,3,NULL),(15,2118645,'1989-10-12 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124203208117471731336629472112610123157',19748,'9998',37.33,1,3,NULL),(15,2118670,'1990-05-20 00:00:00',4,2,12,2007,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241217121512488812174125610122032',689,'87',75.48,1,3,NULL),(15,2118696,'1990-09-22 00:00:00',4,8,11,2007,'F','N','CENTRO','CURITIBA','PR','116162161215111431449811572145610165197',12074,'9998',48.89,1,3,NULL),(15,2118700,'1986-11-14 00:00:00',2,1,12,2004,'M','N','CENTRO','MAFRA','SC','124241241212522711558811411124141462012',1445,'541',71.48,1,3,NULL),(15,2118718,'1988-08-30 00:00:00',4,1,7,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124241247315372441556833373124610167047',5496,'9999',60.06,3,3,NULL),(15,2118734,'1988-10-17 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124243241137372431358921575124610162092',7747,'298',55.79,4,3,NULL),(15,2118750,'1990-08-08 00:00:00',4,1,12,2007,'M','N','ELIZABETH','IJUI','RS','120202201117151431227823475124610132093',16087,'9998',43.24,1,3,NULL),(15,2118769,'1982-07-02 00:00:00',4,1,8,2000,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242246116575411277817432122121662043',NULL,'306',0.00,1,3,NULL),(15,2118777,'1989-03-08 00:00:00',4,1,12,2006,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124202201216271431525611375122610163142',17251,'9998',41.48,1,3,NULL),(15,2118785,'1989-09-04 00:00:00',4,8,12,2006,'M','N','CENTRO','CASCAVEL','PR','116241241116271451546619392122610145147',NULL,'153',0.00,1,2,1),(15,2118807,'1989-05-30 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217372431489913594112131067062',779,'262',74.84,1,3,NULL),(15,2118815,'1989-12-21 00:00:00',4,1,12,2007,'M','N','SANTA CECÍLIA','ASSIS','SP','125252251215271331447832392122610127012',16372,'9998',42.79,1,3,NULL),(15,2118823,'1988-08-17 00:00:00',4,8,12,2005,'M','N','CIDADE ADEMAR','SAO PAULO','SP','125251251116571431326521481324610161042',12826,'9998',47.83,1,2,1),(15,2118840,'1989-02-13 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241115372431569813335325231323072',19916,'307',36.98,1,3,NULL),(15,2118858,'1990-04-30 00:00:00',2,7,12,2007,'F','N','NAÇÕES','FRAIBURGO','SC','124243241417111411336824246244610164147',13239,'885',47.25,1,3,NULL),(15,2118866,'1988-11-19 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124243241215472431447613572214610124112',4549,'270',62.14,1,3,NULL),(15,2118874,'1988-09-10 00:00:00',4,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124242241211112431489933342122231037112',17099,'270',41.73,1,3,NULL),(15,2118882,'1989-08-11 00:00:00',4,1,12,2006,'F','N','SANTO ANTÔNIO','FLORIANOPOLIS','SC','124241241215372431326819385124610125142',6778,'486',57.60,1,3,NULL),(15,2118890,'1977-08-18 00:00:00',4,1,11,1994,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217135231116548282332321147162',NULL,'211',0.00,1,3,NULL),(15,2118904,'1989-10-15 01:00:00',2,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124241201137131431636654272124610167047',NULL,'1005',0.00,1,2,1),(15,2118920,'1990-10-08 00:00:00',1,4,12,2007,'F','N','INTERIOR','CUNHA PORA','SC','124241241115131411533823572324610127057',18394,'234',39.66,1,2,1),(15,2118939,'1989-12-16 00:00:00',4,6,12,2007,'M','N','CORDEIROS','ITAJAI','SC','124244241215121431359619275124610124142',875,'1026',74.20,1,3,NULL),(15,2118947,'1990-10-08 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','116242161217111531468814445112610114172',22040,'9998',32.13,1,3,NULL),(15,2118955,'1988-11-29 00:00:00',4,1,12,2007,'M','N','VILA PAVAN','AMERICANA','SP','125251257226471411656639392121610125197',NULL,'9999',29.91,1,3,NULL),(15,2118963,'1989-03-17 00:00:00',4,1,12,2006,'M','N','VILA MAZZEI','SAO PAULO','SP','125253251117471731448813575125610167111',7936,'9998',55.46,1,3,NULL),(15,2118971,'1986-02-17 00:00:00',4,1,6,2004,'F','N','CENTRO','LAGES','SC','124241247647151731536923341235610121197',21455,'498',33.83,1,3,NULL),(15,2118980,'1989-01-14 00:00:00',2,5,7,2007,'F','N','SANTA LUZIA','CRICIUMA','SC','124241246216271431553611345134610122072',15235,'995',44.49,1,3,NULL),(15,2118998,'1989-04-20 00:00:00',2,5,12,2007,'M','N','SÃO VICTOR','TREVISO','SC','124241241115161421621335182324610118047',NULL,'792',23.34,2,2,1),(15,2119005,'1977-01-18 00:00:00',4,1,12,2005,'F','N','CAMINHO NOVO','PALHOCA','SC','124241243142133422633344341334610117147',NULL,'591',0.00,1,2,1),(15,2119013,'1988-03-31 00:00:00',4,1,12,2005,'F','N','VL SÃO FRANCISCO','SAO PAULO','SP','125252251215471431478824575124610133157',NULL,'9998',0.00,1,3,NULL),(15,2119021,'1991-11-25 00:00:00',4,8,12,2007,'M','N','CENTRO','GARUVA','SC','124244241217111751568632572124610166017',6861,'461',57.43,1,3,NULL),(15,2119030,'1988-05-26 00:00:00',4,5,12,2005,'F','N','CENTRO','MANDAGUARI','PR','116164161216371411558713172112610134072',NULL,'9998',0.00,1,3,NULL),(15,2119048,'1990-05-31 00:00:00',4,2,11,2007,'M','N','CENTRO','BLUMENAU','SC','124242241217111431469719575122610164017',1827,'87',69.86,1,3,NULL),(15,2119056,'1987-12-03 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124202201217472431639912382114140461092',4786,'9998',61.55,1,3,NULL),(15,2119072,'1989-08-15 00:00:00',4,1,11,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124243241113372431426814592121610132027',9502,'267',52.77,1,3,NULL),(15,2119080,'1987-06-12 00:00:00',4,1,12,2004,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161217573431458714575124610168192',NULL,'9998',0.00,1,3,NULL),(15,2119099,'1987-03-18 00:00:00',2,8,12,2005,'M','N','FLORESTA','JOINVILLE','SC','124242241216572751448823495124610128047',6333,'932',58.40,1,3,NULL),(15,2119102,'1971-11-05 00:00:00',2,1,10,1996,'M','N','ESTREITO','FLORIANOPOLIS','SC','624241247121374421243344441122121967042',10309,'9999',51.48,1,2,1),(15,2119110,'1989-08-24 00:00:00',2,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124241241215131431336714575122610167047',15791,'1076',43.70,1,3,NULL),(15,2119129,'1988-10-20 00:00:00',4,8,12,2005,'F','N','SAO FRANSISCO','CAMPO GRANDE','MS','112122121215572431367821575114610164042',5541,'9998',59.98,1,3,NULL),(15,2119137,'1992-06-02 00:00:00',4,3,12,2009,'F','S','BUDAG','RIO DO SUL','SC','124242241214111431357811572125610135072',NULL,'991',32.19,1,3,NULL),(15,2119153,'1985-10-10 00:00:00',2,1,6,2005,'F','N','BOM FIM','PORTO ALEGRE','RS','120201208137472421338723372114610165092',13132,'9998',47.41,1,2,1),(15,2119161,'1990-07-03 00:00:00',2,9,11,2007,'M','N','MONTE CARLO','SAO JOAQUIM','SC','124242241215131431343823471212610158197',7814,'720',55.67,1,3,NULL),(15,2119188,'1988-07-04 00:00:00',2,1,11,2006,'F','N','KOBRASOL','SAO JOSE','SC','124244241215273441256823581124610168112',4429,'262',62.42,1,3,NULL),(15,2119200,'1988-07-01 00:00:00',4,1,12,2005,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124246241117151451443359575114610136147',20347,'257',36.15,1,3,NULL),(15,2119218,'1980-03-23 00:00:00',4,1,10,2007,'M','N','JARDIM JANAÍNA','BIGUACU','SC','124241241227131431533433482313610137182',NULL,'9999',21.60,1,3,NULL),(15,2119226,'1991-05-23 00:00:00',2,4,12,2007,'F','N','CENTRO','PALMITOS','SC','124244241235131411334614345122610126147',NULL,'600',30.75,1,3,NULL),(15,2119234,'1989-04-18 00:00:00',4,1,11,2006,'F','N','KOBRASOL','SAO JOSE','SC','124242241215471731527879575114610161097',8129,'226',55.13,1,3,NULL),(15,2119250,'1990-02-02 00:00:00',2,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215111411567933574121610134152',2727,'723',66.94,1,3,NULL),(15,2119269,'1989-09-12 00:00:00',2,1,12,2007,'F','N','CENTRO','FOZ DO IGUACU','PR','116162161216371131645829295114610144014',21963,'9998',32.39,3,3,NULL),(15,2119277,'1990-06-25 00:00:00',4,8,11,2007,'M','N','CENTRO','SAO BENTO DO SUL','SC','124242241217111431466632572112610124117',18133,'1114',40.10,1,3,NULL),(15,2119285,'1990-03-20 00:00:00',4,8,12,2007,'F','N','PORTAL DOS FAVEIROS','PENAPOLIS','SP','125252251215121412458811372121610152142',NULL,'9998',15.80,1,3,NULL),(15,2119293,'1989-08-02 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124212241215111431278921412122610127072',9299,'262',53.12,1,3,NULL),(15,2119307,'1990-06-20 00:00:00',4,1,12,2007,'M','N','ALVINOPOLIS','ATIBAIA','SP','125254251217161431354812575121610167152',10334,'9998',51.44,1,3,NULL),(15,2119315,'1987-10-02 00:00:00',4,9,12,2005,'F','N','CORAL','LAGES','SC','124244241415573431549811485122131525027',12493,'981',48.30,1,3,NULL),(15,2119323,'1989-10-05 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111431426611572122610117142',1919,'738',69.53,1,3,NULL),(15,2119331,'1986-05-19 00:00:00',3,1,12,2003,'F','N','FLORIANÓPOLIS','FLORIANOPOLIS','SC','124242241215375431448733412124130662052',1972,'270',69.36,1,3,NULL),(15,2119340,'1987-04-20 00:00:00',5,1,11,2005,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124243241147131451337622485124610165127',NULL,'727',0.00,1,3,NULL),(15,2119358,'1991-01-06 00:00:00',2,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215111731436631595122610123057',7148,'723',56.88,1,3,NULL),(15,2119374,'1990-08-25 00:00:00',2,8,11,2007,'F','N','PARQUE GUARANI','JOINVILLE','SC','124241241217121431444619174224610133142',4365,'1016',62.55,4,3,NULL),(15,2119390,'1990-09-18 00:00:00',4,1,11,2007,'F','N','CENTRO','CURITIBA','PR','116164161215471411428939595115610126182',NULL,'9998',0.00,1,3,NULL),(15,2119404,'1981-11-13 00:00:00',2,1,12,2000,'F','N','PINGUIRITO','GAROPABA','SC','224241247126275451233354495124230526042',8754,'9999',54.09,1,2,1),(15,2119412,'1990-05-04 00:00:00',4,1,12,2007,'F','N','CENTRO','RIBEIRAO PRETO','SP','125122251216111431449931575122610167092',9656,'9998',52.48,1,3,NULL),(15,2119420,'1990-08-16 00:00:00',2,2,12,2007,'F','N','ÁGUA VERDE','BLUMENAU','SC','124241241113111431469913575122610164147',6851,'88',57.45,1,3,NULL),(15,2119455,'1990-12-26 00:00:00',4,1,12,2008,'M','S','SANTA MÔNIA','FLORIANOPOLIS','SC','124242248315171431368633572122610126172',NULL,'271',0.00,1,3,NULL),(15,2119471,'1990-04-11 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124262241216111431475632325122610134132',11436,'1022',49.79,1,3,NULL),(15,2119480,'1991-07-28 00:00:00',4,1,12,2008,'M','S','AREIAS','SAO JOSE','SC','124241241225111431423311412124610117177',NULL,'262',38.73,1,3,NULL),(15,2119498,'1987-04-28 00:00:00',4,2,11,2004,'M','N','GARCIA','BLUMENAU','SC','124262261236373411456634485115610132197',12545,'9998',48.23,1,3,NULL),(15,2119501,'1989-11-16 00:00:00',4,1,11,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242248215121431359923571124610152012',12447,'272',48.36,1,3,NULL),(15,2119510,'1990-02-22 00:00:00',2,1,11,2007,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241215121431338811475114610127047',6712,'738',57.71,1,3,NULL),(15,2119544,'1990-08-02 00:00:00',2,1,11,2007,'F','N','VILA VERENA','SANTA CRUZ DO SUL','RS','120202201217371431468924572122610167187',16674,'9998',42.36,1,3,NULL),(15,2119552,'1990-12-29 00:00:00',2,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242248215272431346864572122610165077',13408,'270',47.01,1,3,NULL),(15,2119560,'1987-03-13 00:00:00',4,1,12,2004,'M','N','CENTRO','TANABI','SP','125252251211571421578814571122610146182',901,'9998',74.06,1,3,NULL),(15,2119579,'1989-12-12 00:00:00',4,4,12,2006,'M','N','SAO JORGE','XANXERE','SC','124242241215472431449911575122610167143',10738,'983',50.82,1,3,NULL),(15,2119587,'1990-11-26 00:00:00',4,1,12,2008,'M','S','BARREIROS','SAO JOSE','SC','124242241217111721459619575124610122167',NULL,'738',53.89,1,3,NULL),(15,2119595,'1990-11-19 00:00:00',4,8,12,2007,'F','N','CERAMARTE','RIO NEGRINHO','SC','124241241316131421634923571224610154142',NULL,'666',0.00,1,3,NULL),(15,2119609,'1955-08-09 00:00:00',2,1,12,1974,'F','N','CENTRO','FLORIANOPOLIS','SC','124203201117151511278841491122342421142',8720,'9998',54.14,1,3,NULL),(15,2119625,'1989-03-12 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241125371451628513375124610124147',20835,'283',35.21,1,3,NULL),(15,2119641,'1991-03-04 00:00:00',2,7,12,2007,'F','N','CENTRO','SAPEZAL','MT','111113111217161411548711572122610167147',NULL,'9998',0.00,1,3,NULL),(15,2119676,'1989-05-31 00:00:00',4,1,12,2007,'M','N','JARDIM AUTONOMISTA','CAMPO GRANDE','MS','112122121216111731488919495114610164042',16785,'9998',42.19,1,3,NULL),(15,2119692,'1989-05-26 00:00:00',4,4,12,2006,'M','N','TIAGO','CHAPECO','SC','124241241112132431436824582224610126057',6234,'184',58.58,4,2,1),(15,2119706,'1989-08-06 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217272411458912472124233261185',4381,'883',62.51,3,3,NULL),(15,2119730,'1990-10-11 00:00:00',4,1,11,2007,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124242241215121431447831375122610133112',14099,'270',46.03,1,3,NULL),(15,2119749,'1989-08-08 00:00:00',4,1,12,2006,'M','N','PARAISO','SAO PAULO','SP','125252251217471431488612575122610167047',4151,'9998',63.06,4,3,NULL),(15,2119757,'1988-09-27 00:00:00',2,1,12,2005,'M','N','PÃO DE AÇUCAR','CAPIVARI','SP','208085261112234221324124443213332123132',7532,'9998',56.17,3,3,NULL),(15,2119765,'1987-11-08 00:00:00',4,1,12,2004,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124241241117472411366639375114610134063',8442,'307',54.62,1,2,1),(15,2119773,'1989-11-02 00:00:00',4,1,11,2007,'M','N','CENTRO','TUBARAO','SC','124242241217111451558812572122610127117',957,'270',73.73,1,3,NULL),(15,2119781,'1990-01-14 00:00:00',4,3,12,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241216272431438921385314610163117',10922,'44',50.58,1,3,NULL),(15,2119790,'1989-12-27 00:00:00',2,1,12,2006,'F','N','BARRA DO ARIRIÚ','PALHOCA','SC','124241241115472331536633491124610121092',10562,'592',51.08,1,2,1),(15,2119803,'1988-07-03 00:00:00',4,1,12,2006,'M','N','CAMPINAS','SAO JOSE','SC','124242241215372231346629575124610163057',3069,'737',65.91,1,3,NULL),(15,2119811,'1990-10-02 00:00:00',4,1,11,2007,'F','N','GLEBA PALHANO','LONDRINA','PR','116162161217111431386834584112610124122',NULL,'9998',0.00,1,3,NULL),(15,2119820,'1989-11-07 00:00:00',2,8,11,2006,'F','N','CENTRO','SAO JORGE D OESTE','PR','116161164215412531425833572122610163092',NULL,'9998',0.00,1,3,NULL),(15,2119838,'1990-04-11 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124262241216111431475632325122610144132',7375,'1022',56.46,1,3,NULL),(15,2119846,'1989-03-06 00:00:00',2,1,12,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244241415372431458633575124610127047',5313,'270',60.50,1,3,NULL),(15,2119854,'1990-11-30 00:00:00',4,1,12,2007,'F','N','VISTA ALEGRE','MAFRA','SC','124241241116151431443349212122610123147',20619,'542',35.64,1,2,1),(15,2119862,'1990-03-27 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215121431348823575122610126177',3173,'270',65.62,1,3,NULL),(15,2119889,'1988-06-25 00:00:00',2,5,12,2005,'M','N','DONA EUNICE','CACHOEIRINHA','RS','120202201217571331226932571122610127052',6187,'9998',58.67,1,3,NULL),(15,2119897,'1982-10-13 00:00:00',4,4,12,2000,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124241241126131431233331242324230222052',22359,'56',30.65,2,1,1),(15,2119900,'1988-09-02 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124162241215472431469611572212610137183',9474,'226',52.82,1,3,NULL),(15,2119919,'1990-02-07 00:00:00',2,1,11,2007,'M','N','CANTA GALO','RIO DO SUL','SC','124244241215371411366632375122610167052',NULL,'991',24.89,3,3,NULL),(15,2119927,'1973-06-13 00:00:00',4,1,12,2002,'M','N','MARAJOARA','SANTO ANDRE','SP','125251251127232411221141192111610117112',13188,'9998',47.35,1,3,NULL),(15,2119935,'1988-02-22 00:00:00',2,1,12,2005,'M','N','LARANJEIRAS','RIO DO SUL','SC','124241241145373431466613345123610128052',20942,'659',34.98,1,3,NULL),(15,2119951,'1989-02-02 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124222241215121731248832426125610125197',8688,'270',54.19,1,3,NULL),(15,2119960,'1988-01-15 00:00:00',2,1,12,2006,'M','N','BAIRRO ALTO','CURITIBA','PR','116161161117271441456634342124610167097',NULL,'9998',0.00,1,2,1),(15,2119986,'1991-03-30 00:00:00',4,1,11,2007,'F','N','FAZENDA STO ANTÔNIO','SAO JOSE','SC','124241241215112431443614244124610167057',3470,'723',64.83,1,3,NULL),(15,2119994,'1989-07-20 00:00:00',4,8,12,2006,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215472431369813472112610162017',1023,'457',73.40,1,3,NULL),(15,2120003,'1989-05-22 00:00:00',4,1,12,2006,'M','N','BOQUEIRÃO','SANTOS','SP','125251251217472431567314275123610164112',5755,'9998',59.56,1,3,NULL),(15,2120011,'1989-07-05 00:00:00',4,1,12,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215472431279813575124610121092',3783,'1022',64.01,1,3,NULL),(15,2120020,'1988-12-18 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215412411566652572122610164181',1808,'226',69.91,1,3,NULL),(15,2120038,'1990-02-24 00:00:00',4,1,12,2007,'M','N','TABOÃO','SAO ROQUE','SP','125252251215111431558811572112610123162',18422,'9998',39.61,1,3,NULL),(15,2120046,'1988-03-23 00:00:00',4,1,11,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','124244241235151441648833445134610134187',4312,'403',62.67,1,3,NULL),(15,2120062,'1989-11-29 00:00:00',2,9,11,2007,'M','N','BELA VISTA','FRAIBURGO','SC','124244241216272411548611194121610163072',NULL,'317',0.00,1,3,NULL),(15,2120070,'1991-01-08 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECO','SC','120201201117131431313435572324610146197',7314,'9998',56.58,1,2,1),(15,2120089,'1983-07-15 00:00:00',2,1,12,2000,'F','N','AHHÚ','CURITIBA','PR','116163161216471431468833415122341263077',8424,'9998',54.65,1,3,NULL),(15,2120097,'1988-07-18 00:00:00',4,6,12,2005,'F','N','CENTRO','CASCAVEL','PR','116162161217511431459923275122610164147',7042,'9998',57.08,1,3,NULL),(15,2120100,'1987-06-22 00:00:00',2,1,12,2005,'M','N','PICADAS DO NORTE','SAO JOSE','SC','124242248417111731486639392122230267043',NULL,'944',22.54,1,3,NULL),(15,2120119,'1991-11-08 00:00:00',4,4,12,2008,'F','S','CENTRO','ITAPIRANGA','SC','124241241145111431456632242122610135192',NULL,'412',23.80,1,3,NULL),(15,2120127,'1989-02-25 00:00:00',4,1,12,2006,'M','N','JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251217472431489814572112610127042',2217,'9998',68.53,1,3,NULL),(15,2120143,'1989-05-01 00:00:00',4,1,11,2006,'F','N','PRESIDENTE ALTINO','OSASCO','SP','125252251215271431349811572122141422072',15178,'9998',44.56,1,3,NULL),(15,2120151,'1989-10-11 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241217472431455639575124610127151',2491,'270',67.64,3,3,NULL),(15,2120178,'1990-06-28 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215122431286912295122610164042',2431,'226',67.83,1,3,NULL),(15,2120186,'1990-05-24 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','113134131117151431438314342211610167142',10328,'9998',51.45,1,3,NULL),(15,2120208,'1991-01-15 00:00:00',4,1,12,2008,'F','S','CANTO DA LAGOA','FLORIANOPOLIS','SC','124243241215111451458823474124610168032',NULL,'262',53.61,1,3,NULL),(15,2120216,'1989-04-08 00:00:00',2,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124241248215372431346834345124610167092',15704,'723',43.81,1,3,NULL),(15,2120224,'1990-02-20 00:00:00',4,1,12,2007,'M','N','ESPLANADA II','SAO JOSE DOS CAMPOS','SP','125252251215111431447832572122610134053',NULL,'9998',0.00,1,3,NULL),(15,2120232,'1979-05-24 00:00:00',4,1,12,1996,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241141574431556612242122331567142',13320,'641',47.15,1,2,1),(15,2120240,'1990-02-09 00:00:00',4,1,11,2007,'M','N','CENTRO','SANTA ROSA DE VITERBO','SP','125252251217371431477912574122610167052',3514,'9998',64.73,1,3,NULL),(15,2120259,'1989-12-21 00:00:00',4,1,11,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241235112431456623245134610137117',10221,'1022',51.60,1,3,NULL),(15,2120267,'1987-06-24 00:00:00',2,1,12,2004,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124241241116273431548623445124610168182',NULL,'307',25.17,1,2,1),(15,2120275,'1962-02-13 00:00:00',4,1,11,1983,'M','N','CAMPECHE','FLORIANOPOLIS','SC','624241246146134421334343245124121422097',13314,'239',47.16,1,2,1),(15,2120283,'1990-10-26 00:00:00',4,8,12,2007,'F','N','ALTO DE MAFRA','MAFRA','SC','124243161215111431568811475122610122187',8388,'9998',54.71,1,3,NULL),(15,2120305,'1983-10-23 00:00:00',4,1,12,2001,'M','N','KOBRASOL','SAO JOSE','SC','124241241311135231116643333334120212097',2221,'525',68.52,1,3,NULL),(15,2120313,'1989-09-06 00:00:00',2,8,12,2006,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241215412431538712575112610124147',5585,'491',59.91,1,3,NULL),(15,2120321,'1990-06-20 00:00:00',2,5,12,2007,'M','N','CENTRO','BALNEARIO ARROIO DO SILVA','SC','124243241215121431466612272224610135147',13936,'970',46.25,1,3,NULL),(15,2120330,'1990-05-04 00:00:00',4,1,12,2007,'F','N','GUABIROTUBA','CURITIBA','PR','116252161215121431477934571112610163117',8469,'9998',54.56,1,3,NULL),(15,2120348,'1990-02-03 00:00:00',4,1,12,2007,'M','N','PQ SÃO DOMINGOS','SAO PAULO','SP','125252251217111411448832575124610137112',14989,'9998',44.81,1,3,NULL),(15,2120356,'1989-09-09 00:00:00',2,1,12,2007,'F','N','INTERIOR','JACUTINGA','RS','120201201115111431323314572225610128181',21870,'9998',32.73,1,2,1),(15,2120364,'1990-05-17 00:00:00',4,1,10,2007,'F','N','CENTRO','ERECHIM','RS','120202201236371431526612475124610161047',11553,'9998',49.63,1,3,NULL),(15,2120372,'1990-04-14 00:00:00',4,1,12,2007,'M','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124242241315141431327624145131610162042',19498,'941',37.83,3,3,NULL),(15,2120380,'1990-08-29 00:00:00',4,3,11,2007,'F','N','BAIRRO SÃO PELEGRINO','GETULIO VARGAS','RS','120203201215111441455812572322610128077',NULL,'9998',0.00,4,3,NULL),(15,2120399,'1988-11-14 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124072241215111511486712574124610132042',6842,'270',57.46,1,3,NULL),(15,2120402,'1989-11-23 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241216151431337824575122610132187',6538,'273',58.00,1,3,NULL),(15,2120410,'1990-04-23 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215371751567637372114610137055',3366,'1022',65.10,1,3,NULL),(15,2120429,'1990-06-20 00:00:00',2,1,12,2007,'F','N','PÂNTANO DO SUL','FLORIANOPOLIS','SC','124242241215111441536934572124610631057',4883,'1022',61.35,1,3,NULL),(15,2120437,'1991-06-25 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215272431456613575122610134077',11377,'273',49.88,4,3,NULL),(15,2120445,'1989-08-11 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242242117372431446812572114610164185',16875,'129',42.04,1,3,NULL),(15,2120453,'1988-11-27 00:00:00',2,1,12,2005,'F','N','BOM RETIRO','MONTE CASTELO','SC','124241241116161431524316165222130227052',NULL,'566',26.52,1,3,NULL),(15,2120461,'1990-08-22 00:00:00',4,5,11,2007,'M','N','MICHEL','CRICIUMA','SC','124242241215111431438834341232610167072',9759,'210',52.33,1,3,NULL),(15,2120470,'1988-11-05 00:00:00',2,1,11,2006,'F','N','BOA VISTA','RIO DO SUL','SC','124244241415372431563823342133610123092',NULL,'663',0.00,1,3,NULL),(15,2120496,'1989-01-10 00:00:00',4,1,12,2006,'M','N','ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP','125252251217471231389914495112610127182',NULL,'9998',0.00,1,3,NULL),(15,2120518,'1982-05-11 00:00:00',2,1,12,1999,'M','N','JARDIM EUCALYPTOS','PALHOCA','SC','124241241127133411335329435131610134057',13070,'592',47.49,1,2,1),(15,2120526,'1977-04-02 00:00:00',4,1,12,1993,'M','N','PRAIA BRAVA','FLORIANOPOLIS','SC','124242241215273421158643435232521464172',3571,'272',64.55,1,3,NULL),(15,2120534,'1988-09-16 00:00:00',2,1,12,2007,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124243241335271721443213135214611814142',16789,'9999',42.19,2,1,2),(15,2120550,'1989-12-01 00:00:00',4,1,11,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215111431486612172122610137045',11368,'270',49.89,1,3,NULL),(15,2120569,'1989-11-07 00:00:00',2,3,12,2006,'M','N','CENTRO','APUCARANA','PR','116162161215412431478931573122610134082',6408,'9998',58.24,1,3,NULL),(15,2120577,'1976-10-03 00:00:00',2,1,6,1996,'M','N','CENTRO','PAULO LOPES','SC','124241246116275711363524145134321167047',NULL,'306',0.00,1,3,NULL),(15,2120585,'1990-06-03 00:00:00',2,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215112431457614274122610164097',1162,'723',72.71,1,3,NULL),(15,2120593,'1990-03-04 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216111411468933435112610164141',13837,'262',46.40,1,3,NULL),(15,2120607,'1982-11-06 00:00:00',2,1,12,2000,'F','N','VL JAPI','JUNDIAI','SP','525251251336371431123414445124610134142',19493,'9998',37.84,1,3,NULL),(15,2120615,'1988-06-24 00:00:00',4,8,12,2005,'F','N','JARDIM BRASIL','BAURU','SP','125252251236572451488832394122610112147',NULL,'9998',0.00,1,3,NULL),(15,2120623,'1989-07-15 00:00:00',4,1,12,2006,'F','N','JARDIM BONFIGLIOLLI','JUNDIAI','SP','125252251215471432357712375122610135012',19449,'9998',37.93,4,3,NULL),(15,2120631,'1990-02-20 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124202201217371411556932571122610162012',5089,'9998',60.92,1,3,NULL),(15,2120640,'1990-10-09 00:00:00',2,10,11,2007,'F','N','CENTRO','ARMAZEM','SC','124241241215272431446831295124610167142',3521,'809',64.71,1,3,NULL),(15,2120658,'1988-07-31 00:00:00',4,1,11,2005,'F','N','JARDIM FLORESTA','ATIBAIA','SP','125252251217373411359921215113610134112',2588,'9998',67.35,1,3,NULL),(15,2120666,'1980-04-05 00:00:00',4,1,12,1997,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','224251251136131721536649392334140767057',7520,'9998',56.19,1,2,1),(15,2120674,'1990-03-20 00:00:00',2,1,12,2007,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241241336131431436634235124610127055',NULL,'295',NULL,4,3,NULL),(15,2120682,'1982-04-08 00:00:00',2,1,6,2001,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124251251142133441321148382314610143147',16874,'9998',42.04,4,2,1),(15,2120690,'1987-09-06 00:00:00',4,1,12,2005,'M','N','SÃO DOMINGOS','MOCOCA','SP','125252251217571431556831582112610167092',5578,'9998',59.92,1,3,NULL),(15,2120704,'1990-11-23 00:00:00',2,1,12,2007,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124162243215161421228631285114610117017',22319,'262',30.91,3,3,NULL),(15,2120712,'1990-09-21 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215111731468711372124610123047',NULL,'1022',42.84,1,3,NULL),(15,2120720,'1989-09-14 00:00:00',2,9,12,2006,'F','N','CENTRO','LAGES','SC','124243241211371411226829241221133267057',14915,'515',44.89,1,3,NULL),(15,2120739,'1988-11-15 00:00:00',2,1,12,2006,'F','N','FORQUILHINHAS','SAO JOSE','SC','124243241313122431324433342124610127051',21996,'944',32.26,1,3,NULL),(15,2120747,'1984-11-14 00:00:00',2,1,12,2002,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241125371431123348282334610127113',7313,'288',56.58,1,2,1),(15,2120755,'1989-10-02 00:00:00',2,10,12,2006,'M','N','VILA NOVA','IMBITUBA','SC','124241241117131711333319392225610127057',21301,'359',34.19,1,3,NULL),(15,2120763,'1988-06-07 00:00:00',4,3,12,2007,'M','N','CENTRO','ERECHIM','RS','120202201214471431258812371124610167047',NULL,'9998',0.00,1,3,NULL),(15,2120771,'1988-03-25 00:00:00',4,1,11,2005,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217573431467912572124610125182',2313,'211',68.20,1,3,NULL),(15,2120780,'1984-11-12 00:00:00',4,2,12,2002,'M','N','CENTRO','RIO DO OESTE','SC','124241241136573431336833372124610164057',16277,'82',42.93,1,2,1),(15,2120798,'1990-11-20 00:00:00',4,1,11,2007,'M','N','CENTRO','SAO JOSE','SC','124242241213111431658834575114610167061',9544,'737',52.69,4,3,NULL),(15,2120801,'1989-10-11 00:00:00',4,1,12,2007,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124241241215122411367933472122610128097',3534,'270',64.68,1,3,NULL),(15,2120810,'1990-04-11 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124252241215111431445711272124610124197',17541,'989',41.03,1,3,NULL),(15,2120828,'1989-02-24 00:00:00',4,1,12,2006,'M','N','PROGRESSO','MONTENEGRO','RS','120202201216471431368811575125610167042',13545,'9998',46.83,1,3,NULL),(15,2120836,'1988-11-29 00:00:00',2,5,12,2006,'M','N','CENTRO','CRICIUMA','SC','124242241215272431469812392124610167111',11475,'226',49.74,1,3,NULL),(15,2120844,'1990-11-28 00:00:00',4,1,12,2007,'M','N','CAPIM MACIO','NATAL','RN','119192191216111431468931572122610137112',14219,'9998',45.85,1,3,NULL),(15,2120860,'1989-09-15 00:00:00',4,1,11,2007,'F','N','PRAIA DO SANTINHO','FLORIANOPOLIS','SC','124242241215111711229821415122610164134',19070,'270',38.56,1,3,NULL),(15,2120879,'1989-11-01 00:00:00',2,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215111331456819595124613235097',NULL,'724',23.78,1,3,NULL),(15,2120895,'1990-08-23 00:00:00',4,1,12,2007,'F','N','CENTRO','ANTONIO PRADO','RS','120201201117131321225623475125610164147',NULL,'9998',22.25,1,2,1),(15,2120909,'1989-01-23 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241216273431345319572124120727147',1533,'1022',71.06,1,3,NULL),(15,2120917,'1988-02-28 00:00:00',4,9,11,2006,'F','N','FREI ROGÉRIO','LAGES','SC','124242241211472731438922591125610132142',20016,'497',36.78,1,3,NULL),(15,2120925,'1991-04-20 00:00:00',4,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241212111422549933572124610123143',8328,'270',54.82,1,3,NULL),(15,2120933,'1991-02-25 00:00:00',2,9,12,2007,'M','N','INTERIOR','TIO HUGO','RS','120201201126131431426414575124610127057',17611,'9998',40.92,1,3,NULL),(15,2120941,'1990-08-15 00:00:00',2,8,12,2007,'M','N','CENTRO','QUILOMBO','SC','124241241127371431459814572124610127047',NULL,'708',0.00,1,3,NULL),(15,2120950,'1989-05-04 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241215472431434632224124610116042',4865,'20',61.38,1,3,NULL),(15,2120968,'1990-11-23 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215111531548714572112610123057',10066,'269',51.83,1,3,NULL),(15,2120984,'1990-03-13 00:00:00',2,5,11,2007,'F','N','BAIRRO DA ESTAÇÃO','URUSSANGA','SC','124241241415211731346473575124610118072',18170,'820',40.02,1,3,NULL),(15,2120992,'1988-07-06 00:00:00',4,1,12,2005,'M','N','UMARIZAL','BELEM','PA','124141141216111731228623575114142326031',13234,'9998',47.26,1,3,NULL),(15,2121000,'1986-08-18 00:00:00',2,1,12,2003,'F','N','REAL PARQUE','SAO JOSE','SC','124243241216133431355923495234222323181',9334,'270',53.07,1,3,NULL),(15,2121018,'1990-04-13 00:00:00',4,6,12,2007,'M','N','FAZENDA','ITAJAI','SC','124252241217151431567714475111610167042',12435,'1057',48.38,1,3,NULL),(15,2121026,'1990-10-11 00:00:00',4,1,10,2007,'M','N','CENTRO','CAMPINA DA LAGOA','PR','116161161317471411375616292114610164012',4783,'9998',61.56,1,3,NULL),(15,2121034,'1990-04-22 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215271431459933571114610127181',2624,'883',67.23,1,3,NULL),(15,2121050,'1988-09-08 00:00:00',4,6,12,2005,'M','N','VILA OPERÁRIA','ITAJAI','SC','124242241216132431356839385124610164012',8353,'389',54.77,4,3,NULL),(15,2121069,'1990-03-18 00:00:00',2,9,11,2007,'F','N','CENTRO','LAGES','SC','124244241215111431359711372122610134142',NULL,'9997',23.64,1,3,NULL),(15,2121077,'1989-01-21 00:00:00',4,1,11,2006,'F','N','VILA NOGUEIRA','CAMPINAS','SP','125252251217321431375732574122610163186',3541,'9998',64.64,3,3,NULL),(15,2121085,'1980-02-20 00:00:00',4,1,12,1999,'F','N','ALTO DA XV','CURITIBA','PR','116253251147331721238521345124141025157',19901,'9998',37.01,1,3,NULL),(15,2121093,'1990-06-23 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124244241215111431556632225114610162043',8163,'270',55.08,1,3,NULL),(15,2121107,'1990-09-11 00:00:00',2,1,11,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241212111331544411571122610124072',21933,'723',32.50,1,3,NULL),(15,2121115,'1988-06-11 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241217474451567819275124231024187',5456,'499',60.15,1,3,NULL),(15,2121123,'1990-12-08 00:00:00',4,1,2,2009,'M','S','BOSQUE DAS MANSÕES','SAO JOSE','SC','124242241215111431488832345112610122142',NULL,'270',37.22,1,3,NULL),(15,2121131,'1990-10-12 00:00:00',4,6,11,2007,'F','N','CASTELO BRANCO','ITAPEMA','SC','124163241315271431436612276211610144147',18324,'403',39.75,1,3,NULL),(15,2121158,'1989-08-05 00:00:00',2,1,12,2007,'M','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241116131141433519392324610117171',21957,'359',32.41,1,2,1),(15,2121166,'1990-11-30 00:00:00',2,7,12,2006,'F','N','INTERIOR','AGUA DOCE','SC','124241241127271732624536572222610137057',15670,'9',43.85,1,3,NULL),(15,2121174,'1986-01-30 00:00:00',2,1,12,2004,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124243241237273431338963242223610124142',16150,'266',43.14,1,3,NULL),(15,2121190,'1991-04-11 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215111522438832572122610167047',NULL,'262',36.30,1,3,NULL),(15,2121204,'1987-06-06 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124241248416472421357923145334130224117',13589,'300',46.76,1,3,NULL),(15,2121239,'1990-10-10 00:00:00',4,3,10,2007,'F','N','CENTRO','LONDRINA','PR','116162161216411431479911412122610164182',7732,'9998',55.81,1,3,NULL),(15,2121247,'1984-09-21 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124111091116152431157843435125231067052',NULL,'9998',NULL,4,2,1),(15,2121255,'1989-10-05 00:00:00',2,1,11,2007,'F','N','CENTRO','SAO JOSE DO RIO PRETO','SP','125254251215311431548934572215610124147',15032,'9998',44.76,1,3,NULL),(15,2121271,'1988-04-30 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241111371731546738345124610117047',NULL,'307',19.03,2,2,1),(15,2121280,'1990-04-14 00:00:00',4,2,11,2007,'M','N','SÃO PEDRO','BRUSQUE','SC','124243241215272431356533575122610162172',2875,'981',66.52,1,3,NULL),(15,2121298,'1989-07-11 00:00:00',4,10,11,1989,'F','N','CENTRO','TUBARAO','SC','124242248335471351435419295124610152097',21577,'809',33.57,1,3,NULL),(15,2121301,'1990-01-09 00:00:00',4,1,12,2007,'M','N','JARDIM TEIXEIRA','ORLANDIA','SP','125252251216111431576431572112610167043',16892,'9998',42.02,4,3,NULL),(15,2121310,'1990-04-11 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124242241215111431445711272124610164197',17633,'989',40.89,1,3,NULL),(15,2121328,'1988-10-04 00:00:00',2,1,3,2006,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124241241117373411447713394124610161052',12380,'267',48.45,1,2,1),(15,2121336,'1990-05-24 00:00:00',2,4,11,2007,'F','N','SANTO ANTONIO','MANGUEIRINHA','PR','116163161315111731426636181324610163147',12465,'9998',48.34,1,3,NULL),(15,2121344,'1985-11-28 00:00:00',2,1,11,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241117575431458931575124230245197',919,'271',73.97,1,3,NULL),(15,2121360,'1991-01-03 00:00:00',4,4,11,2007,'M','N','NOSSA SRA APARECIDA','FRANCISCO BELTRAO','PR','116162161215111432448933572122610124142',9567,'9998',52.65,1,3,NULL),(15,2121379,'1989-03-06 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241115472731556613334222610122077',2016,'21',69.21,1,3,NULL),(15,2121387,'1991-04-09 00:00:00',4,1,12,2007,'F','N','CENTRO','VACARIA','RS','120202201211471431446933571125610118042',21603,'9998',33.50,1,3,NULL),(15,2121395,'1989-10-29 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215111731437714475124610127012',8855,'259',53.91,3,3,NULL),(15,2121409,'1990-09-18 00:00:00',4,1,12,2007,'F','N','CENTRO','PORTO UNIAO','SC','124241241216471431237921575125610124092',13407,'633',47.02,1,3,NULL),(15,2121425,'1990-08-12 00:00:00',2,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215121431636611272125610123092',3188,'723',65.57,1,3,NULL),(15,2121433,'1989-03-28 00:00:00',4,1,12,2006,'F','N','CENTRO','CRICIUMA','SC','124242241215372431446812574124133227143',4953,'226',61.18,1,3,NULL),(15,2121441,'1982-03-07 00:00:00',2,1,12,2000,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241112155751424424241224610127027',11652,'298',49.48,2,1,1),(15,2121450,'1989-10-11 00:00:00',4,8,11,2006,'M','N','NEVA','CASCAVEL','PR','116162161215471431467732575112610167012',1025,'9998',73.39,1,3,NULL),(15,2121468,'1987-11-06 00:00:00',2,1,11,2004,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124243241327142431435612241122610117042',22160,'63',31.69,4,3,NULL),(15,2121476,'1990-03-31 00:00:00',4,1,12,2006,'F','N','CENTRO','NOVA VENEZA','SC','124242241215472431468832572122610144192',1290,'213',72.10,1,3,NULL),(15,2121484,'1984-06-15 00:00:00',4,1,11,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241336371431445511195124133214043',19868,'177',37.08,4,3,NULL),(15,2121492,'1989-09-01 00:00:00',2,7,12,2006,'M','N','BERGER','CACADOR','SC','124241241116371431558614375122610123062',3193,'122',65.56,1,2,1),(15,2121506,'1983-03-05 00:00:00',4,1,12,2001,'M','N','BRAS CUBAS','MOGI DAS CRUZES','SP','125251251127131431436374245124243226187',16336,'9998',42.84,4,2,1),(15,2121514,'1989-11-28 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215471411459824345114610164187',17147,'1022',41.65,1,3,NULL),(15,2121522,'1990-12-02 00:00:00',4,1,11,2008,'F','S','VILA CLAUDIA GLORIA','PRESIDENTE PRUDENTE','SP','125252251216111212457614245122610122197',NULL,'9998',0.00,1,3,NULL),(15,2121530,'1989-09-01 00:00:00',4,1,12,2007,'M','N','ASA NORTE','BRASILIA','DF','107072078237151431378713335122610128182',NULL,'9998',21.25,4,3,NULL),(15,2121549,'1990-04-20 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242248215111431479814322122610137072',12086,'270',48.88,1,3,NULL),(15,2121557,'1990-03-23 00:00:00',2,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215121431468832325122610127132',5098,'226',60.91,1,3,NULL),(15,2121565,'1989-07-24 00:00:00',4,1,12,2007,'M','N','VILA ITAPURA','CAMPINAS','SP','125252251217121431448712275112610167012',4805,'9998',61.51,1,3,NULL),(15,2121573,'1990-03-18 00:00:00',2,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124244241215121431424611171125610126042',5642,'723',59.79,1,3,NULL),(15,2121590,'1990-09-03 00:00:00',2,1,11,2007,'M','N','ROÇADO','SAO JOSE','SC','124241241135131721633334242324610122072',18189,'729',40.00,1,2,1),(15,2121603,'1989-12-09 00:00:00',4,1,11,2007,'F','N','PÂNTANO DO SUL','FLORIANOPOLIS','SC','124242241215121431466923376124610121187',16260,'270',42.96,1,3,NULL),(15,2121611,'1988-01-14 00:00:00',4,2,12,2005,'F','N','TESTO SALTO','BLUMENAU','SC','124162161211473431466632572322632434012',2439,'9998',67.80,1,3,NULL),(15,2121620,'1990-07-08 00:00:00',2,4,12,2007,'M','N','JARDIM CURITIBA','GOIOERE','PR','116162161215111531445832575122610124062',11619,'9998',49.52,1,3,NULL),(15,2121638,'1990-01-11 00:00:00',4,1,12,2007,'F','N','CENTRO HISTÓRICO','SAO JOSE','SC','124242241217131712339933591124610168187',5950,'262',59.16,2,3,NULL),(15,2121646,'1989-01-06 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431448814574115610126017',10729,'262',50.83,4,3,NULL),(15,2121654,'1989-01-22 00:00:00',5,1,12,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241235271412426634376122610123183',13105,'883',47.44,1,3,NULL),(15,2121662,'1990-06-15 00:00:00',4,1,12,2007,'F','N','LAGO SUL','LAGO SUL','DF','107072071217211231369923395122610144095',15663,'9998',43.86,1,3,NULL),(15,2121670,'1988-06-22 00:00:00',2,4,12,2005,'F','N','CENTRO','MARAVILHA','SC','124241241316472431556739191225610136177',10737,'552',50.82,1,3,NULL),(15,2121689,'1989-09-21 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241117131431458831572124610167183',21404,'271',33.96,1,3,NULL),(15,2121697,'1987-12-11 00:00:00',2,1,5,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211371421468822111122610127042',11112,'306',50.28,1,3,NULL),(15,2121700,'1990-02-22 00:00:00',4,7,12,2006,'M','N','CENTRO','JOACABA','SC','124162161216472431468833572122610124122',NULL,'9998',0.00,1,3,NULL),(15,2121719,'1983-06-23 00:00:00',5,1,12,2001,'F','N','PANTANAL','FLORIANOPOLIS','SC','124252251217371431158811375124233221162',12517,'9998',48.27,1,3,NULL),(15,2121727,'1989-11-21 00:00:00',4,1,12,2006,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124242241217152431465732572124222534012',4413,'752',62.45,1,3,NULL),(15,2121751,'1990-06-30 00:00:00',4,1,11,2007,'F','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124242241215112431336923572124610167142',7458,'270',56.31,1,3,NULL),(15,2121760,'1983-01-03 00:00:00',4,1,12,2000,'F','N','BARREIROS','SAO JOSE','SC','124241241126141421343329245124130827152',NULL,'777',24.33,1,3,NULL),(15,2121778,'1983-02-11 00:00:00',4,5,10,2000,'M','N','MINA UNIAO','CRICIUMA','SC','124242241216272441676732445122321466187',632,'213',75.82,1,3,NULL),(15,2121786,'1989-05-06 00:00:00',4,1,11,2006,'M','N','JARDIM DAS ACACIAS','SAO JOSE','SC','124242241215372431328928575124610124182',4052,'1098',63.33,1,3,NULL),(15,2121794,'1990-09-24 00:00:00',4,8,11,2007,'M','N','CENTRO','JARAGUA DO SUL','SC','124242241215111431258823575114610168112',5990,'491',59.10,1,3,NULL),(15,2121808,'1990-05-05 00:00:00',4,1,11,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241215471431286829575122610122192',1391,'270',71.71,1,3,NULL),(15,2121824,'1988-06-22 00:00:00',4,1,12,2005,'F','N','APARECIDA','SANTOS','SP','125252251216472431469713444114142062097',11486,'9998',49.73,1,3,NULL),(15,2121840,'1990-05-07 00:00:00',4,10,11,2007,'M','N','OFICINAS','TUBARAO','SC','124242241215271411364411272122610157112',16732,'807',42.28,1,3,NULL),(15,2121859,'1990-03-15 00:00:00',2,5,11,2007,'M','N','MICHEL','CRICIUMA','SC','124244241415131521438633572112610124057',21953,'209',32.45,1,3,NULL),(15,2121867,'1990-10-09 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215112431468614475124610144042',11077,'270',50.34,1,3,NULL),(15,2121875,'1988-08-27 00:00:00',4,5,12,2006,'M','N','CENTRO','ICARA','SC','124244241215471431346832575124610122147',2110,'226',68.92,1,3,NULL),(15,2121883,'1990-06-08 00:00:00',4,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241215122431448923472124610135012',NULL,'1022',35.96,1,3,NULL),(15,2121891,'1976-12-27 00:00:00',2,1,12,1995,'M','N','INGLESES','FLORIANOPOLIS','SC','124201201116331421243543435134140222182',NULL,'9998',0.00,1,2,1),(15,2121905,'1990-03-14 00:00:00',2,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215121431469913576124610158067',4469,'270',62.34,1,3,NULL),(15,2121921,'1990-02-16 00:00:00',4,1,12,2007,'F','N','JARDIM PRIMAVERA','BRAGANCA PAULISTA','SP','125252251217111431548612375121610127072',NULL,'9998',0.00,1,3,NULL),(15,2121930,'1976-02-19 00:00:00',2,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241122132111113349192324610133187',22142,'298',31.75,2,1,1),(15,2121948,'1990-06-05 00:00:00',2,1,12,2007,'F','N','KOBRASOL II','SAO JOSE','SC','124241248215111731438419292122610133092',20143,'724',36.55,1,3,NULL),(15,2121956,'1989-07-22 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111732356633332112610168192',18838,'270',38.93,1,3,NULL),(15,2121964,'1986-02-25 00:00:00',4,1,12,2003,'F','N','SANTINHO','FLORIANOPOLIS','SC','124112251216572221336616342324610124147',13631,'9998',46.71,1,3,NULL),(15,2121980,'1989-12-19 00:00:00',4,10,11,2007,'F','N','CENTRO','BRACO DO NORTE','SC','124244241215111431435732315132610135142',10380,'806',51.37,1,3,NULL),(15,2121999,'1990-04-05 00:00:00',2,5,12,2006,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124244241215472431468923372122610122117',3568,'210',64.56,1,3,NULL),(15,2122006,'1991-04-19 00:00:00',2,1,12,2007,'M','N','CENTRO','VACARIA','RS','120201201215271411239911575122610117057',17357,'9998',41.30,1,3,NULL),(15,2122014,'1989-09-19 00:00:00',4,4,12,2006,'F','N','CENTRO','SANTA MARIA','RS','120241241316371451468613372125610162142',9147,'1046',53.35,1,3,NULL),(15,2122022,'1990-05-12 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241217111431428619474124610144147',812,'270',74.66,1,3,NULL),(15,2122030,'1990-01-03 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124203241346131411326614345124610148042',19887,'733',37.03,1,3,NULL),(15,2122049,'1990-06-20 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248215111431335624392122610128147',6190,'270',58.66,1,3,NULL),(15,2122057,'1986-10-01 00:00:00',4,1,12,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241317153411487613375122610117042',NULL,'257',0.00,1,3,NULL),(15,2122065,'1988-03-24 00:00:00',4,8,11,2005,'F','N','UBERABA','CURITIBA','PR','116162161215271431558831571114141464052',5680,'9998',59.71,3,3,NULL),(15,2122073,'1978-05-23 00:00:00',2,1,7,1997,'M','N','BARRA DO ARIRIÚ','PALHOCA','SC','224244248117254421259343432132122337045',6659,'306',57.80,1,3,NULL),(15,2122081,'1987-07-02 00:00:00',4,1,11,2005,'M','N','DANIELA','FLORIANOPOLIS','SC','124242241215372431688813572122131037182',13916,'262',46.29,4,3,NULL),(15,2122090,'1983-09-08 00:00:00',2,5,12,2000,'F','N','CENTRO','TURVO','SC','224241248111134411623973345234230868017',12597,'815',48.14,1,3,NULL),(15,2122103,'1968-09-01 00:00:00',4,1,7,1993,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','224251257227131431626619342144610146147',NULL,'9998',22.96,1,3,NULL),(15,2122111,'1989-05-29 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243241115372431236923572114610128117',2493,'271',67.64,1,3,NULL),(15,2122120,'1990-09-12 00:00:00',4,1,12,2007,'F','N','LAGOA DO POTREIRO','PASSO FUNDO','RS','120202201217371431454635575122610126122',NULL,'9998',0.00,1,3,NULL),(15,2122138,'1987-03-30 00:00:00',4,1,11,2006,'F','N','COLONINHA','FLORIANOPOLIS','SC','124242241215472441526623381124610122102',NULL,'882',34.04,4,3,NULL),(15,2122154,'1990-06-27 00:00:00',4,5,11,2007,'F','N','CENTRO','ORLEANS','SC','124242241235111431556612292114610132182',826,'226',74.53,1,3,NULL),(15,2122162,'1990-04-24 00:00:00',4,1,12,2007,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161217471451458931571124610166046',3472,'9998',64.83,1,3,NULL),(15,2122170,'1981-05-20 00:00:00',4,1,11,1998,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241126154431244424232124321964187',7256,'307',56.68,1,2,1),(15,2122189,'1990-06-20 00:00:00',2,1,11,2007,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124244241211131431638613272115610124097',NULL,'259',21.38,1,3,NULL),(15,2122197,'1986-08-05 00:00:00',4,1,12,2003,'M','N','JD CIDADE FPOLIS','SAO JOSE','SC','124204201215475731458812395112610136097',192,'9998',80.08,1,3,NULL),(15,2122200,'1989-09-13 00:00:00',2,4,11,2006,'F','N','CENTRO','CHAPECO','SC','124241241127131441238723332225610166147',18788,'169',39.00,4,2,1),(15,2122219,'1989-01-26 00:00:00',2,4,11,2006,'F','N','PARQUE SÃO PAULO','CASCAVEL','PR','116163161315471451624623241334610161152',17311,'9998',41.38,1,3,NULL),(15,2122227,'1991-04-08 00:00:00',4,1,11,2008,'F','S','CAMPECHE','FLORIANOPOLIS','SC','124242241217111411538832322122613217077',NULL,'262',15.10,1,3,NULL),(15,2122235,'1990-11-27 00:00:00',4,1,11,2007,'F','N','PITUBA','SALVADOR','BA','105052058216271431456612572122610124093',NULL,'9998',0.00,1,3,NULL),(15,2122243,'1989-04-16 00:00:00',4,1,12,2006,'M','N','SAPÉ','CACAPAVA','SP','125252251415471431346917391124610132042',2006,'9998',69.27,4,3,NULL),(15,2122251,'1988-01-09 00:00:00',2,1,11,2005,'M','N','KOBRASOL','SAO JOSE','SC','124242248215375311248823431334610163067',NULL,'270',23.03,1,3,NULL),(15,2122260,'1987-06-20 00:00:00',2,1,12,2004,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124251251117271421326634342344610122097',17240,'9998',41.50,4,2,1),(15,2122286,'1989-06-15 00:00:00',4,1,12,2006,'F','N','CENTRO','ITAPETININGA','SP','125252251216271411548833575122610163142',4698,'9998',61.75,1,3,NULL),(15,2122294,'1990-02-14 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241216271431466619332112610128182',4768,'738',61.59,3,3,NULL),(15,2122308,'1991-03-03 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243241315121431348729592124610167147',16559,'1022',42.50,1,3,NULL),(15,2122316,'1988-05-10 00:00:00',4,1,12,2005,'F','N','JD CIDADE FPOLIS','SAO JOSE','SC','124204241216272751458812345122130431097',11218,'1022',50.13,1,3,NULL),(15,2122324,'1989-03-02 00:00:00',4,8,12,2006,'M','N','FATIMA','JOINVILLE','SC','124241246215371431536624342221610134057',14922,'1006',44.88,4,3,NULL),(15,2122332,'1988-08-13 00:00:00',4,1,11,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241215572431438814574115233235187',6785,'581',57.58,1,3,NULL),(15,2122340,'1989-12-02 00:00:00',4,1,12,2007,'M','N','JARDIM MOTORAMA','SAO JOSE DOS CAMPOS','SP','125251251215111451636533575124610167047',NULL,'9998',0.00,4,3,NULL),(15,2122359,'1986-08-14 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244241215574431448833472124610163147',3091,'9997',65.86,1,3,NULL),(15,2122375,'1983-09-29 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241415121411223319572214610128147',18444,'269',39.59,1,3,NULL),(15,2122383,'1990-08-14 00:00:00',4,1,11,2007,'M','N','JARDIM ELDORADO','PALHOCA','SC','124244241215371431458732295123610148052',4034,'1011',63.38,1,3,NULL),(15,2122391,'1992-01-05 00:00:00',2,1,12,2008,'M','S','CENTRO','IMBITUBA','SC','124204241415111511447813475125610134147',NULL,'362',52.82,1,3,NULL),(15,2122405,'1989-07-05 00:00:00',2,8,11,2006,'M','N','TROPICAL','CASCAVEL','PR','116162161211472431447712575122610167117',9499,'9998',52.78,1,3,NULL),(15,2122413,'1988-07-29 00:00:00',4,1,1,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124202241317371431243829485114610134082',13511,'1022',46.88,1,3,NULL),(15,2122421,'1991-07-15 00:00:00',4,1,12,2008,'F','S','CAMPINAS','SAO JOSE','SC','124242241215111431547632242121610162097',NULL,'737',41.48,1,3,NULL),(15,2122430,'1983-11-25 00:00:00',2,1,11,2002,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124243247331335231326513392334130262097',14528,'9999',45.37,4,3,NULL),(15,2122448,'1989-01-31 00:00:00',4,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116241241215471431338514592325610113197',NULL,'829',0.00,1,3,NULL),(15,2122456,'1989-08-23 00:00:00',4,1,12,2006,'M','N','CENTRO','PRESIDENTE PRUDENTE','SP','125252251216371731388812575112610167062',16752,'9998',42.25,1,3,NULL),(15,2122464,'1989-12-01 00:00:00',4,1,12,2007,'M','N','LAGEADO','COTIA','SP','125252251211131421538951315121610167117',18591,'9998',39.34,1,3,NULL),(15,2122472,'1990-05-31 00:00:00',4,1,12,2007,'F','N','JARDIM DO LAGO','PIRASSUNUNGA','SP','125252251217111431466833575122610144052',16111,'9998',43.21,1,3,NULL),(15,2122480,'1989-01-08 00:00:00',4,3,12,2006,'F','N','JARDIM PRESIDENTE','LONDRINA','PR','116162168415471731567619275122610114097',15067,'9998',44.71,1,3,NULL),(15,2122499,'1990-02-01 00:00:00',4,1,12,2007,'F','N','RETIRO DAS PEDRAS','BRUMADINHO','MG','113132131216111431469932374122610122042',20046,'9998',36.73,4,3,NULL),(15,2122502,'1990-04-17 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215151531428822571112610161085',9581,'262',52.62,1,3,NULL),(15,2122510,'1990-02-17 00:00:00',4,1,11,2007,'M','N','PINHEIROS','SAO PAULO','SP','125252251217121451358828314124610144017',2666,'9998',67.14,1,3,NULL),(15,2122529,'1990-06-10 00:00:00',4,4,12,2007,'F','N','MORADA DO SOL','MARAVILHA','SC','624244241217372442368613577115610122092',3666,'1037',64.31,1,3,NULL),(15,2122537,'1990-08-27 00:00:00',2,4,11,2007,'F','N','CENTRO','SAO LOURENCO DO OESTE','SC','124243161415121431536712285122610162057',12920,'9998',47.69,1,3,NULL),(15,2122545,'1990-06-08 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215121431458811412122610111032',13465,'883',46.93,1,3,NULL),(15,2122553,'1989-08-14 00:00:00',2,5,11,2006,'F','N','PIO CORREIA','CRICIUMA','SC','124243241412131531545923572114610131097',22221,'210',31.41,4,3,NULL),(15,2122561,'1990-10-27 00:00:00',4,1,12,2006,'M','N','CRISTO REDENTOR','PORTO ALEGRE','RS','105202051217471431467812575122610167047',1466,'9998',71.39,1,3,NULL),(15,2122570,'1988-04-23 00:00:00',2,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','124241241116131721423514245124230818051',NULL,'257',0.00,1,2,1),(15,2122588,'1990-06-23 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242248215112431333333575124610167057',9377,'1074',52.99,1,3,NULL),(15,2122600,'1990-09-26 00:00:00',4,1,12,2007,'M','N','CANTO','FLORIANOPOLIS','SC','124242241215111431468813475122610124147',4736,'273',61.67,1,3,NULL),(15,2122618,'1990-01-02 00:00:00',2,10,12,2007,'M','N','CONGONHAS','TUBARAO','SC','124243241115151431358333375122610138182',21211,'1034',34.41,1,3,NULL),(15,2122626,'1991-10-14 00:00:00',4,1,12,2007,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124242241215121431456824572124610123092',5573,'1022',59.92,1,3,NULL),(15,2122642,'1990-04-19 00:00:00',4,1,12,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241117142431543613395324610161195',12406,'281',48.42,1,2,1),(15,2122650,'1984-06-06 00:00:00',2,1,12,2001,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241216373431469923395114133237125',8355,'883',54.77,1,3,NULL),(15,2122669,'1989-09-14 00:00:00',4,8,11,2006,'F','N','COUNTRY','CASCAVEL','PR','116162161215471451488812571112610136182',4432,'9998',62.41,1,3,NULL),(15,2122677,'1989-11-04 00:00:00',4,4,12,2006,'F','N','CENTRO','ARVOREDO','SC','124241241126151741433311145235610136091',NULL,'36',6.48,1,2,1),(15,2122685,'1990-09-15 00:00:00',2,1,11,2007,'F','N','CACHOEIRA','SALETE','SC','124241241337272431536531572222610132187',22334,'88',30.79,1,3,NULL),(15,2122715,'1987-06-25 00:00:00',4,1,12,2004,'M','N','JARDIM ARAPUÃ','LINS','SP','124252251216472441568831575124141464171',1778,'9998',70.05,1,3,NULL),(15,2122723,'1990-08-10 00:00:00',2,1,12,2007,'F','N','FLORESTA','SAO JOSE','SC','124242241215111712246614572322610113147',3782,'1036',64.01,4,3,NULL),(15,2122731,'1986-07-08 00:00:00',3,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241117133411457729575124120234092',9986,'307',51.95,1,3,NULL),(15,2122740,'1989-03-21 00:00:00',4,1,12,2006,'F','N','JARDIM AMÉRICA','SOROCABA','SP','125253251215371411438823571125610144197',6569,'9998',57.95,1,3,NULL),(15,2122766,'1989-04-04 00:00:00',4,1,12,2006,'M','N','JARDIM JEQUITIBA','MARILIA','SP','125252251216471431668839575123610122052',16756,'9998',42.24,1,3,NULL),(15,2122774,'1989-01-30 00:00:00',4,1,12,2006,'F','N','VILA PARAISO','CAMPINAS','SP','125252251215472431467814445122610162017',2283,'9998',68.30,1,3,NULL),(15,2122790,'1990-08-27 00:00:00',2,5,11,2007,'M','N','COMERCIÁRIO','CRICIUMA','SC','124242241215111431326624592122610167117',6585,'226',57.93,1,3,NULL),(15,2122804,'1990-04-22 00:00:00',2,1,12,2007,'F','N','RATONES','FLORIANOPOLIS','SC','124241241335111751636629472214610123187',15182,'1098',44.55,1,3,NULL),(15,2122820,'1988-08-17 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124214241216472441459711575124610122182',4423,'262',62.44,1,3,NULL),(15,2122839,'1986-08-16 00:00:00',4,1,10,2003,'M','N','BARREIROS','SAO JOSE','SC','124241241137134731537821245124121217147',10222,'306',51.60,1,2,1),(15,2122847,'1990-07-08 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','624244248215131411666579576112610143185',14838,'1022',44.96,1,3,NULL),(15,2122855,'1989-04-15 00:00:00',2,1,12,2006,'F','N','SÃO JOSÉ','SAO JOSE','SC','124242241216372231436632595112132814152',12805,'1022',47.85,1,3,NULL),(15,2122863,'1988-02-16 00:00:00',4,1,11,2005,'M','N','JD CASARÃO','SUMARE','SP','125251251126312321333614375124610165093',13150,'9998',47.39,1,2,1),(15,2122871,'1988-02-11 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124122121212371441225641412334610124057',19026,'9998',38.63,1,3,NULL),(15,2122898,'1989-11-20 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111731436632571324610141117',11594,'1050',49.56,1,3,NULL),(15,2122910,'1988-07-14 00:00:00',4,1,12,2005,'M','N','SANTOS DUMONT','SAO JOSE','SC','124242241215573431468923572124610114052',365,'262',77.93,1,3,NULL),(15,2122928,'1990-01-06 00:00:00',3,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215121751667923575122610127047',4622,'270',61.96,1,3,NULL),(15,2122936,'1988-04-08 00:00:00',4,1,12,2005,'M','N','VILA ZELINA','SAO PAULO','SP','125252251216571411549614575124610167091',3365,'9998',65.10,1,3,NULL),(15,2122952,'1989-07-05 00:00:00',4,1,12,2007,'M','N','BOM RETIRO','VALINHOS','SP','125251253217131441448614271124610127042',10635,'9998',50.97,1,3,NULL),(15,2122960,'1990-03-21 00:00:00',2,4,12,2007,'F','N','JARDIM PARAGUAÇU','SAO MIGUEL DO IGUACU','PR','116163161117371231433631575124610125147',NULL,'9998',0.00,1,3,NULL),(15,2122979,'1990-08-02 00:00:00',4,1,12,2007,'F','N','CHACARA CACHOEIRA','CAMPO GRANDE','MS','112122121215112431568816575122610133187',NULL,'9998',0.00,1,3,NULL),(15,2122987,'1988-01-20 00:00:00',2,1,12,2005,'F','N','CENTRO','JACAREI','SP','125252251215511431357921345122142822092',11692,'9998',49.41,4,3,NULL),(15,2122995,'1990-03-22 00:00:00',2,7,12,2007,'F','N','CENTRO','CAMPOS NOVOS','SC','124242161217121431446615572124610164057',10220,'962',51.60,1,3,NULL),(15,2123002,'1991-12-03 00:00:00',4,3,12,2008,'F','S','CENTRO','JARAGUA DO SUL','SC','124242241215111431459814245112610133182',NULL,'491',50.31,1,3,NULL),(15,2123010,'1987-10-07 00:00:00',4,1,12,2004,'F','N','JARDIM GUANABARA','CUIABA','MT','111114111217572431556833595124610161012',8046,'9998',55.28,4,1,2),(15,2123029,'1990-02-26 00:00:00',5,1,11,2007,'F','N','FIGUEIRA','URUSSANGA','SC','124241241215112431449613374324610162187',5757,'270',59.55,1,3,NULL),(15,2123037,'1990-03-19 00:00:00',4,7,11,2007,'F','N','JARDIM BOTANICO','CURITIBA','PR','116162161217111421546739396124610167072',NULL,'9998',0.00,1,3,NULL),(15,2123045,'1988-11-17 00:00:00',4,5,12,2006,'M','N','CENTRO','CRICIUMA','SC','124242241217473431378913572112610117142',3302,'213',65.25,1,3,NULL),(15,2123053,'1988-11-07 00:00:00',4,1,12,2006,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215372731556614395122110128042',12384,'270',48.45,1,3,NULL),(15,2123061,'1987-07-27 00:00:00',4,8,12,2004,'F','N','CENTRO','ALFENAS','MG','113133131215571231638611571225610125097',NULL,'9998',0.00,1,3,NULL),(15,2123070,'1990-04-27 00:00:00',2,7,11,2007,'F','N','CENTRO','VIDEIRA','SC','124241241215371431453522244222610136072',12503,'829',48.28,4,3,NULL),(15,2123088,'1990-05-16 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431456613575124610124172',4532,'1022',62.17,4,3,NULL),(15,2123100,'1983-09-28 00:00:00',2,1,12,2001,'M','N','TAPERA','FLORIANOPOLIS','SC','224243247447273421251343235123130224047',10325,'185',51.46,2,3,NULL),(15,2123118,'1989-10-20 00:00:00',4,8,11,2007,'F','N','JARDIM SUMARÉ','RIBEIRAO PRETO','SP','125254251215121731457811572112610122182',5763,'9998',59.54,1,3,NULL),(15,2123126,'1990-02-01 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215122431288713372122610121191',5325,'1022',60.46,4,3,NULL),(15,2123134,'1987-02-03 00:00:00',4,1,11,2004,'F','N','V JOAQUIM INÁCIO','CAMPINAS','SP','125252251216112411348611211124610144027',11297,'9998',50.01,4,3,NULL),(15,2123142,'1947-08-19 00:00:00',2,1,12,1970,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124163165316152411132249492114341861182',12462,'9998',48.35,1,3,NULL),(15,2123169,'1990-10-13 00:00:00',4,3,11,2007,'F','N','CENTRO','PORTO BELO','SC','124241241215111431537614292314610164097',8308,'403',54.84,1,3,NULL),(15,2123177,'1990-08-05 00:00:00',2,1,12,2007,'M','N','POTECAS','SAO JOSE','SC','124241241115131431326521572314610147051',22427,'727',30.03,1,2,1),(15,2123185,'1991-02-10 00:00:00',2,5,11,2007,'F','N','COMERCIARIO','CRICIUMA','SC','124244241215131431439913575125610127017',16907,'210',42.00,4,1,2),(15,2123193,'1989-07-23 00:00:00',4,1,12,2007,'M','N','VILA ANTONIO VENDAS','CAMPO GRANDE','MS','112122121217121711488832375112610166074',13743,'9998',46.55,1,3,NULL),(15,2123215,'1989-12-09 00:00:00',2,1,11,2007,'F','N','DANIELA','FLORIANOPOLIS','SC','124242241215111431458513395122610128077',13336,'1050',47.13,1,3,NULL),(15,2123231,'1990-04-21 00:00:00',4,8,11,2007,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241215371431376512575122610133142',7806,'491',55.69,1,3,NULL),(15,2123258,'1984-06-06 00:00:00',2,1,12,2001,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241216373431469924395114133137045',8350,'883',54.78,1,3,NULL),(15,2123274,'1990-12-03 00:00:00',4,5,12,2007,'M','N','CENTRO','ARARANGUA','SC','124242241235271431548931575122610167042',614,'970',75.93,1,3,NULL),(15,2123282,'1988-04-22 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124211211117471432328849281321610123022',3829,'9998',63.91,1,2,1),(15,2123290,'1983-02-01 00:00:00',4,1,12,2003,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124242241227272421353829211122130262067',NULL,'9997',NULL,1,3,NULL),(15,2123304,'1989-10-31 00:00:00',4,1,12,2006,'F','N','SANTOS DUMONT','SAO JOSE','SC','124242241212372431468923572124610147142',NULL,'262',23.13,1,3,NULL),(15,2123312,'1988-10-07 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242245212372411557513472112610166197',10539,'300',51.12,1,3,NULL),(15,2123320,'1990-07-01 00:00:00',4,2,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161215111411478833574114610165097',4192,'9998',62.92,1,3,NULL),(15,2123339,'1989-07-19 00:00:00',2,1,12,2006,'F','N','ARIRIU','PALHOCA','SC','124241241115372431667934572214610127052',16373,'592',42.79,1,3,NULL),(15,2123347,'1988-04-04 00:00:00',4,1,12,2006,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124242241215472431356834572124610127071',8318,'270',54.82,1,3,NULL),(15,2123363,'1985-05-31 00:00:00',4,1,12,2001,'M','N','CENTRO','PALHOCA','SC','124244241236375431569933215124233264017',8870,'1036',53.88,1,3,NULL),(15,2123371,'1989-09-02 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215121431456612592114610123072',69,'270',82.39,1,3,NULL),(15,2123380,'1990-09-19 00:00:00',2,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241212111431336731312122610166042',4512,'723',62.22,1,3,NULL),(15,2123398,'1991-11-30 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124243241217111431469933335124610122095',14552,'1022',45.33,1,3,NULL),(15,2123401,'1988-11-22 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241111152431424331571124610137097',14715,'298',45.13,1,2,1),(15,2123410,'1990-02-16 00:00:00',4,1,12,2007,'F','N','JD AVIAÇÃO','BAURU','SP','125252258217111741339912172112610163146',NULL,'9998',0.00,1,3,NULL),(15,2123428,'1989-08-15 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241215373431446611575112610127092',4345,'270',62.61,1,3,NULL),(15,2123436,'1991-07-11 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124244241215111431357939572112610137057',NULL,'1022',51.16,1,3,NULL),(15,2123444,'1990-02-21 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124242241217471331448839292112610127122',15052,'185',44.73,1,3,NULL),(15,2123452,'1988-11-05 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124243241315431431336821572124610164142',21609,'307',33.49,1,3,NULL),(15,2123479,'1989-05-03 00:00:00',4,6,12,2006,'M','N','RESSACADA','ITAJAI','SC','124242241215142411436611395112610167062',4519,'388',62.21,1,3,NULL),(15,2123487,'1989-10-14 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124203241416271431225321215325610134147',10063,'298',51.83,1,3,NULL),(15,2123495,'1987-04-21 00:00:00',4,1,12,2004,'F','N','CENTRO','BRAGANCA PAULISTA','SP','125252251216575431568711575123610167147',10986,'9998',50.50,1,3,NULL),(15,2123509,'1990-01-16 00:00:00',4,4,10,2007,'M','N','CENTRO','IPUMIRIM','SC','124241241215111431336632572124610167052',NULL,'1047',24.72,1,3,NULL),(15,2123517,'1989-05-20 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215373431488833275125231023112',2725,'270',66.94,1,3,NULL),(15,2123525,'1990-06-06 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241115131431445314375124610136172',12864,'288',47.77,2,1,1),(15,2123533,'1990-08-14 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241215132441458813332324610134142',8571,'1051',54.41,1,3,NULL),(15,2123541,'1989-05-09 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243241215474431438823572324610164147',4306,'273',62.69,1,3,NULL),(15,2123550,'1990-06-25 00:00:00',2,4,12,2007,'F','N','ARI BORTOLI','SAO DOMINGOS','SC','124241241217131431446716575124610166097',10170,'836',51.68,1,3,NULL),(15,2123568,'1990-09-13 00:00:00',2,2,12,2007,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124201241111131411433613392121610162177',11412,'79',49.83,1,3,NULL),(15,2123576,'1989-11-08 00:00:00',4,1,11,2007,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241215111431447814345124610128112',22310,'270',30.98,1,3,NULL),(15,2123592,'1988-02-04 00:00:00',4,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124244241216473751438934575124232731014',2823,'266',66.69,1,3,NULL),(15,2123606,'1990-10-14 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241415111431456613575122610137052',13870,'738',46.35,1,3,NULL),(15,2123614,'1987-08-22 00:00:00',4,1,12,2005,'M','N','JARDIM ESPLANADA','SAO JOSE DOS CAMPOS','SP','125252251217471431448831375111143261087',3078,'9998',65.89,1,3,NULL),(15,2123622,'1990-03-22 00:00:00',4,1,11,2007,'F','N','PITUBA','SALVADOR','BA','105052051217111431468819492122610127142',NULL,'9998',0.00,3,3,NULL),(15,2123630,'1990-10-10 00:00:00',4,1,11,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241235111431356614575114610133145',21987,'1023',32.30,1,3,NULL),(15,2123649,'1983-02-27 00:00:00',4,1,12,2000,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241317274721368733442124321564097',14610,'270',45.26,1,3,NULL),(15,2123657,'1992-05-29 00:00:00',4,1,12,2008,'F','S','CENTRO','PALHOCA','SC','124242241217151411437933246124610123077',NULL,'1075',51.50,1,3,NULL),(15,2123665,'1972-04-15 00:00:00',4,1,12,1989,'M','N','ITACORUBI','FLORIANOPOLIS','SC','224202201116152751378343435132541062172',3824,'9998',63.92,1,3,NULL),(15,2123681,'1990-11-29 00:00:00',4,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215111431268914576115610164115',6038,'723',58.99,1,3,NULL),(15,2123690,'1991-03-03 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241315121731348729595124610167141',14748,'1022',45.07,1,3,NULL),(15,2123703,'1983-04-07 00:00:00',4,1,12,2000,'M','N','BARREIROS','SAO JOSE','SC','124241243127372411126344242133610144187',9949,'293',52.01,1,2,1),(15,2123711,'1979-07-30 00:00:00',2,1,12,1997,'F','N','SANTINHO','FLORIANOPOLIS','SC','324201201141131431125347282324141023027',NULL,'9998',43.17,1,3,NULL),(15,2123720,'1988-09-06 00:00:00',2,1,12,2005,'M','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241416132411448923592321131227047',11924,'973',49.07,1,3,NULL),(15,2123738,'1987-03-11 00:00:00',4,1,12,2005,'M','N','SÃO LUIZ','ITU','SP','125252251237471451458832571125241864043',NULL,'9998',0.00,1,3,NULL),(15,2123746,'1990-09-21 00:00:00',2,1,12,2007,'M','N','CENTRO','BIGUACU','SC','124242241215111531559912315124610167142',10033,'262',51.89,1,3,NULL),(15,2123754,'1990-03-08 00:00:00',2,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242248415111551328539595124610148192',21438,'1022',33.87,1,3,NULL),(15,2123762,'1991-02-04 00:00:00',2,1,12,2008,'F','S','ITACORUBI','FLORIANOPOLIS','SC','124242241215111732578911572122610125142',NULL,'270',44.86,1,3,NULL),(15,2123770,'1990-10-30 00:00:00',4,9,11,2007,'M','N','UNIVERSITÁRIO','LAGES','SC','124242241215111431468611575122610124042',347,'497',78.08,1,3,NULL),(15,2123789,'1990-10-15 00:00:00',4,2,12,2008,'F','S','CENTRO','BRUSQUE','SC','124242241215111431359614475122610123142',NULL,'107',66.30,1,3,NULL),(15,2123797,'1989-08-28 00:00:00',2,1,12,2006,'F','N','TAPERA','FLORIANOPOLIS','SC','124144248215472431458613572124610163142',16257,'1022',42.97,4,3,NULL),(15,2123800,'1990-05-13 00:00:00',2,1,12,2007,'F','N','VINTE CINCO JULHO','SAO BENTO DO SUL','SC','124241241116141431524939395122610122012',22498,'697',28.80,1,2,1),(15,2123819,'1990-03-26 00:00:00',4,1,12,2007,'M','N','BELA VISTA','CORONEL VIVIDA','PR','116162161211141431458933331122610164012',NULL,'9998',0.00,1,3,NULL),(15,2123827,'1986-08-06 00:00:00',4,1,12,2003,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124242241217373431558813431122131427161',4168,'962',62.99,1,3,NULL),(15,2123835,'1990-02-25 00:00:00',2,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215471431468611572122610121142',3174,'270',65.62,1,3,NULL),(15,2123843,'1989-06-30 00:00:00',2,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215111431565724595114610144152',2576,'266',67.39,1,3,NULL),(15,2123851,'1985-02-19 00:00:00',4,1,12,2002,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124201201117331441233644446221231047187',18290,'9998',39.81,4,2,1),(15,2123860,'1970-11-07 00:00:00',2,1,12,1988,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','524242241237472721143643131332121444147',NULL,'305',12.11,1,3,NULL),(15,2123886,'1986-12-25 00:00:00',2,1,12,2003,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241211414421536652441122230217117',12586,'269',48.16,1,3,NULL),(15,2123894,'1982-01-04 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241244132144731142235341222122367047',12142,'552',48.80,1,3,NULL),(15,2123908,'1990-11-22 00:00:00',2,1,12,2007,'F','N','CENTRO','MARCELINO RAMOS','RS','120201205216151441333373571124610145077',13189,'9998',47.35,1,3,NULL),(15,2123916,'1990-11-20 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215121441548912575124610133127',348,'270',78.07,1,3,NULL),(15,2123924,'1990-01-05 00:00:00',4,1,11,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241415111411536923392124610124142',15606,'269',43.94,2,3,NULL),(15,2123932,'1990-03-17 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242248215471431638613575114610168112',5334,'1022',60.44,1,3,NULL),(15,2123940,'1989-02-10 00:00:00',4,1,11,2006,'F','N','RESIDENCIAL PARAÍSO','FRANCA','SP','125252251216371731469911371124610122097',NULL,'9998',0.00,1,3,NULL),(15,2123975,'1990-09-03 00:00:00',4,1,12,2007,'F','N','RIO BRANCO','PORTO ALEGRE','RS','120202201216131431338834595124610163057',NULL,'9998',0.00,1,3,NULL),(15,2123983,'1991-10-14 00:00:00',4,1,12,2008,'F','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124243241216151412589933574124610134145',NULL,'270',63.04,1,3,NULL),(15,2123991,'1989-05-04 00:00:00',4,1,12,2006,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124074241215472431489833572122610167042',1211,'270',72.41,1,3,NULL),(15,2124009,'1990-09-11 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215121451438833575115610168087',8377,'1118',54.72,1,3,NULL),(15,2124017,'1959-12-07 00:00:00',4,1,12,1978,'M','N','ESTREITO','FLORIANOPOLIS','SC','624051058116575751264671171125141462187',445,'9998',77.26,1,2,1),(15,2124025,'1989-10-20 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217473411469813371112610166072',349,'270',78.07,1,3,NULL),(15,2124033,'1990-12-08 00:00:00',4,3,12,2007,'M','N','CENTRO','PARANAVAI','PR','116164168117111342567716572122610147062',12178,'9998',48.76,1,3,NULL),(15,2124050,'1991-04-29 00:00:00',2,5,12,2007,'F','N','CENTRO','MELEIRO','SC','124244241215111431439833572124610127072',7992,'813',55.38,1,3,NULL),(15,2124084,'1991-08-04 00:00:00',4,1,12,2008,'M','S','COQUEIROS','FLORIANOPOLIS','SC','124242241217111332466832472112610167046',NULL,'270',52.38,1,3,NULL),(15,2124092,'1987-05-28 00:00:00',2,7,12,2005,'M','N','FATIMA','ERECHIM','RS','120202201217151431548411571124610127092',NULL,'9998',0.00,1,3,NULL),(15,2124106,'1990-05-06 00:00:00',2,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124241241215111431446634592112610137057',8212,'737',54.99,1,3,NULL),(15,2124114,'1988-11-10 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241215132731326829245124610127147',16563,'1036',42.50,1,3,NULL),(15,2124122,'1990-03-24 00:00:00',4,1,12,2007,'M','N','ASA SUL','BRASILIA','DF','107072071215111431389933232122610137052',4861,'9998',61.40,1,3,NULL),(15,2124130,'1990-08-31 00:00:00',4,2,11,2007,'F','N','CENTRO','RIO DO OESTE','SC','124244241215111531668819572124610168182',19027,'653',38.63,1,3,NULL),(15,2124149,'1991-11-13 00:00:00',4,1,12,2008,'F','S','PONTE DO IMARUIM','PALHOCA','SC','124242241215111531426632575122610134042',NULL,'989',47.83,3,3,NULL),(15,2124157,'1991-02-18 00:00:00',4,6,12,2008,'M','S','FAZENDA','ITAJAI','SC','124242241215151331456612575112610164097',NULL,'394',40.17,1,3,NULL),(15,2124173,'1990-01-16 00:00:00',2,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244248415111751328823392234610114072',7581,'1022',56.06,1,3,NULL),(15,2124181,'1990-01-26 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431358512442122610164147',12579,'1022',48.17,1,3,NULL),(15,2124190,'1989-09-30 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241247127131231223923145114610127047',NULL,'9999',23.72,1,3,NULL),(15,2124203,'1990-10-12 00:00:00',2,1,11,2007,'M','N','CENTRO','LAGOA VERMELHA','RS','120203201215161312458912574122610167042',NULL,'9998',0.00,1,3,NULL),(15,2124211,'1989-03-21 00:00:00',2,1,12,2006,'F','N','CENTRO','TROMBUDO CENTRAL','SC','124241242116111431436612315124610124142',19390,'662',38.04,1,3,NULL),(15,2124220,'1989-12-20 00:00:00',4,1,11,2006,'M','N','JARDIM RUSSI','TAUBATE','SP','125252251217371431628314341315610164077',NULL,'884',0.00,1,3,NULL),(15,2124238,'1990-12-12 00:00:00',4,4,12,2008,'F','S','CENTRO','CHAPECO','SC','124242161215151531368831415122610164097',NULL,'185',52.77,1,3,NULL),(15,2124246,'1989-10-24 00:00:00',4,1,12,2007,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241216131231336814342124610137112',19660,'269',37.50,1,3,NULL),(15,2124254,'1990-03-14 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241116151432436429575124610133182',21684,'281',33.30,1,3,NULL),(15,2124262,'1989-12-07 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215121431368612572122610122142',8039,'270',55.30,1,3,NULL),(15,2124289,'1989-07-26 00:00:00',4,8,12,2006,'F','N','VILA DO POLONES','CAMPO GRANDE','MS','112122281417161431378632491122141422121',16034,'9998',43.32,1,3,NULL),(15,2124297,'1983-12-05 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241117272421227544245134610167087',20170,'307',36.49,1,3,NULL),(15,2124300,'1989-12-26 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215422431358729571124610167122',2034,'1022',69.15,1,3,NULL),(15,2124319,'1991-03-07 00:00:00',4,1,11,2008,'F','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215111411458812574121610132095',NULL,'270',58.60,1,3,NULL),(15,2124327,'1990-03-06 00:00:00',4,1,11,2007,'F','N','ÍNDIA','CANELINHA','SC','124242241215152431468913574124610123052',3986,'948',63.49,1,3,NULL),(15,2124335,'1988-09-22 00:00:00',2,1,11,2007,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124244241415111312546313575124610124152',NULL,'281',14.34,1,3,NULL),(15,2124343,'1990-08-06 00:00:00',4,6,5,2007,'M','N','CENTRO','ITAJAI','SC','124242241215111411479814275122610147012',NULL,'1057',0.00,1,3,NULL),(15,2124351,'1990-12-12 00:00:00',4,5,12,2007,'F','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124241241116131731333339575122610138197',20843,'1033',35.20,1,3,NULL),(15,2124360,'1988-05-08 00:00:00',2,1,12,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241241115133211336433282124610168187',17858,'267',40.57,1,3,NULL),(15,2124386,'1990-05-21 00:00:00',4,8,10,2007,'M','N','CENTRO','JARAGUA DO SUL','SC','124242241216471431569933575124610127053',6594,'491',57.91,1,3,NULL),(15,2124408,'1990-04-29 00:00:00',4,1,11,2007,'F','N','PORTO DA LAGOA','FLORIANOPOLIS','SC','124242241215111431489933572112610137052',3044,'951',66.00,1,3,NULL),(15,2124416,'1990-06-24 00:00:00',2,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215112431446622575124610122187',14999,'272',44.79,4,3,NULL),(15,2124432,'1990-07-08 00:00:00',4,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244241215111431358923575124610124142',1646,'270',70.61,4,3,NULL),(15,2124459,'1990-10-29 00:00:00',2,1,12,2007,'M','N','SERRARIA','SAO JOSE','SC','124243241217151431348924295124610167041',16607,'63',42.45,4,3,NULL),(15,2124467,'1990-03-12 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124243241215473421157939571124610114077',1883,'970',69.66,1,3,NULL),(15,2124475,'1989-04-30 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124242241215272431448814575124610167052',979,'738',73.65,1,3,NULL),(15,2124483,'1988-01-29 00:00:00',4,8,12,2005,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161216571431468811475114610162047',NULL,'9998',0.00,1,3,NULL),(15,2124491,'1988-12-07 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241145472431333923372124610124177',13763,'564',46.52,1,3,NULL),(15,2124505,'1991-01-01 00:00:00',2,1,12,2007,'F','N','CENTRO','LONDRINA','PR','116162161216111431479813575112610166122',NULL,'9998',0.00,1,3,NULL),(15,2124521,'1990-08-16 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124242241217111431337864274124610163141',12974,'1022',47.63,1,3,NULL),(15,2124530,'1991-05-17 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241112111431348827212122610133192',NULL,'270',0.00,1,3,NULL),(15,2124548,'1989-06-05 00:00:00',4,1,12,2006,'F','N','PALHOÇA','PALHOCA','SC','124242241215312431566633595124230837047',6061,'1011',58.95,1,3,NULL),(15,2124556,'1989-03-04 00:00:00',4,1,12,2006,'M','N','CENTRO','CAXIAS DO SUL','RS','120204201217471411446931245135143224047',10071,'9998',51.83,1,3,NULL),(15,2124564,'1988-09-16 00:00:00',4,1,12,2005,'F','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241311372431334531371124220923052',8755,'270',54.08,1,3,NULL),(15,2124580,'1988-09-19 00:00:00',4,8,12,2005,'F','N','BOM RETIRO','JOINVILLE','SC','124244241216473441568912382124231467145',2495,'499',67.64,1,3,NULL),(15,2124599,'1990-02-26 00:00:00',4,1,11,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215111431488813372122610137122',7637,'270',55.96,4,3,NULL),(15,2124602,'1988-11-05 00:00:00',4,1,11,2006,'M','N','JARDIM NOVO AMPARO','AMPARO','SP','125252251217471431367812575122610137042',8165,'9998',55.08,1,3,NULL),(15,2124610,'1986-05-12 00:00:00',4,1,12,2003,'F','N','PARQUE DAS NAÇOES','AMERICANA','SP','125251251116473411358319495112141425037',11689,'9998',49.41,1,2,1),(15,2124629,'1986-08-13 00:00:00',2,1,11,2004,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215574431438934572124610167112',694,'270',75.40,1,3,NULL),(15,2124637,'1989-06-30 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431567613572122610126095',14449,'300',45.50,1,3,NULL),(15,2124645,'1990-10-19 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215122431363634122122610164151',11880,'262',49.13,1,3,NULL),(15,2124653,'1990-01-15 00:00:00',4,1,11,2007,'M','N','VIVENDAS DO ARVOREDO','LONDRINA','PR','116162161237111411459933576125610162117',6545,'9998',57.99,1,3,NULL),(15,2124661,'1991-04-28 00:00:00',4,1,12,2009,'F','S','PÂNTANO DO SUL','FLORIANOPOLIS','SC','124242241215151432378733575112610128012',NULL,'1050',61.48,1,3,NULL),(15,2124670,'1990-06-14 00:00:00',2,1,11,2007,'F','N','CAMINHO NOVO','PALHOCA','SC','124241241116131431523611345125610127147',18994,'591',38.68,1,2,1),(15,2124688,'1990-07-12 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124243241315111731626531272124610145072',13449,'1118',46.94,1,3,NULL),(15,2124696,'1989-06-02 00:00:00',4,6,12,2006,'M','N','SANTO ANTONIO','BELO HORIZONTE','MG','113131131114472431236724472315610137017',6780,'9998',57.59,4,2,1),(15,2124700,'1990-08-09 00:00:00',2,1,11,2007,'M','N','CENTRO','LAURENTINO','SC','124244241215111431468914575114610144012',1852,'991',69.76,1,3,NULL),(15,2124718,'1991-01-07 00:00:00',4,1,12,2008,'F','S','BELA VISTA','SAO JOSE','SC','124242248215111711478813432122610133142',NULL,'266',36.69,4,3,NULL),(15,2124726,'1990-11-11 00:00:00',4,1,11,2007,'F','N','CACUPÉ','FLORIANOPOLIS','SC','124242241215121431468811575122610164092',4245,'270',62.81,1,3,NULL),(15,2124734,'1990-07-13 00:00:00',4,7,12,2007,'M','N','CENTRO','CONCORDIA','SC','124241248116151432659813575124610147012',NULL,'196',22.63,1,2,1),(15,2124742,'1989-05-29 00:00:00',2,1,11,2006,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124242241215372732467613335124131027097',9485,'270',52.80,1,3,NULL),(15,2124750,'1990-08-19 00:00:00',4,10,11,2007,'M','N','REVOREDO','TUBARAO','SC','124242241215271431245823572122610138192',13969,'809',46.20,1,3,NULL),(15,2124769,'1990-10-30 00:00:00',4,1,12,2007,'F','N','GLÓRIA','TRES PASSOS','RS','120201201216111441428851595124610128142',14953,'882',44.85,1,3,NULL),(15,2124777,'1989-05-31 00:00:00',2,1,12,2007,'F','N','MADUREIRA','CAXIAS DO SUL','RS','120201208217472431537814441122610132052',13507,'9998',46.89,1,3,NULL),(15,2124785,'1989-11-18 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431579912372112610137111',7432,'270',56.35,1,3,NULL),(15,2124793,'1988-06-29 00:00:00',4,8,11,2005,'F','N','JD FLAMBOYANT','CAMPINAS','SP','125252251217572431668811571122610167147',294,'9998',78.78,1,3,NULL),(15,2124807,'1988-11-25 00:00:00',4,4,12,2005,'F','N','AGUA VERDE','CURITIBA','PR','116122121215575431488813272144610122057',3228,'9998',65.45,1,3,NULL),(15,2124815,'1990-06-19 00:00:00',4,8,12,2007,'M','N','VILA NOVA','JARAGUA DO SUL','SC','124242256217142531478812375124610114122',16859,'1105',42.06,1,3,NULL),(15,2124823,'1988-11-09 00:00:00',2,1,12,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124204207227131411436611345121140615115',20824,'9998',35.24,1,3,NULL),(15,2124831,'1989-09-22 00:00:00',2,1,11,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124244241215472431368613595124610166092',13443,'270',46.95,1,3,NULL),(15,2124858,'1990-03-20 00:00:00',4,1,12,2007,'M','N','CENTRO','MARINGA','PR','116162161217111431588832575121610167182',10612,'9998',51.01,1,3,NULL),(15,2124874,'1988-12-01 00:00:00',2,1,11,2005,'M','N','ORIETA','VIAMAO','RS','120202201216471431436532441112141422042',1196,'9998',72.49,1,3,NULL),(15,2124890,'1990-02-23 00:00:00',4,3,12,2007,'M','N','CENTRO','APUCARANA','PR','116162161216111231448816571122610164097',10373,'9998',51.39,3,3,NULL),(15,2124904,'1988-12-14 00:00:00',2,1,12,2006,'F','N','TIJUQUINHAS','BIGUACU','SC','124242241217272152343624386114610117017',6073,'1040',58.94,1,3,NULL),(15,2124912,'1989-07-19 00:00:00',2,1,12,2007,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124242241215111431548513574112610128182',13556,'1011',46.81,1,3,NULL),(15,2124920,'1987-12-25 00:00:00',2,1,7,2006,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241247137132421466614336122610167057',4382,'9997',62.51,1,2,1),(15,2124939,'1990-01-30 00:00:00',4,1,11,2007,'F','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124242241212121431369811475112610164042',6454,'270',58.16,1,3,NULL),(15,2124947,'1991-09-17 00:00:00',4,8,12,2008,'M','S','CENTRO','JARAGUA DO SUL','SC','124242241217111431343839572121610125117',NULL,'442',45.79,1,3,NULL),(15,2124955,'1989-10-26 00:00:00',4,1,12,2007,'M','N','SANTANA','SAO PAULO','SP','125252258432111521339932575122610164042',708,'9998',75.30,4,3,NULL),(15,2124963,'1990-04-12 00:00:00',2,1,12,2007,'F','N','ASA SUL','BRASILIA','DF','107072071215111431366929392122610113092',NULL,'9998',0.00,1,3,NULL),(15,2124971,'1976-10-09 00:00:00',2,2,7,1999,'M','N','CENTRO','CURITIBA','PR','216243241326573431233354185124610163042',3254,'9997',65.39,1,3,NULL),(15,2124980,'1989-10-21 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124164161215112441568831575125221466172',143,'9998',80.76,3,3,NULL),(15,2124998,'1991-01-07 00:00:00',4,1,12,2008,'F','S','BELA VISTA','SAO JOSE','SC','124242248235111411478813432122610133142',NULL,'266',44.69,4,3,NULL),(15,2125005,'1990-02-26 00:00:00',4,3,11,2007,'F','N','JABAQUARA','SAO PAULO','SP','125252251211371431466814442115610138073',5580,'9998',59.92,3,3,NULL),(15,2125013,'1990-05-25 00:00:00',4,1,12,2007,'M','N','VILA MARIANA','SAO PAULO','SP','125242251217111431485512271125610162142',13370,'9998',47.09,1,3,NULL),(15,2125030,'1989-02-15 00:00:00',4,5,12,2006,'F','N','CENTRO','URUSSANGA','SC','124242241215472531358833575122610136157',2415,'820',67.86,1,3,NULL),(15,2125048,'1989-01-25 00:00:00',2,1,12,2005,'F','N','CARIOCA','SAO JOSE DOS PINHAIS','PR','116241241412131711327639274124610154142',8601,'317',54.34,1,3,NULL),(15,2125056,'1989-08-29 00:00:00',4,1,11,2006,'F','N','CENTRO','SAO JOSE','SC','124244241215273431467611576114130264093',5385,'270',60.30,1,3,NULL),(15,2125064,'1990-02-09 00:00:00',2,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215112431444919595112610137057',5672,'270',59.72,1,3,NULL),(15,2125072,'1990-08-05 00:00:00',4,1,11,2007,'M','N','FAZENDA STO ANTÔNIO','SAO JOSE','SC','124242241215111431457814572124610127042',7407,'270',56.40,1,3,NULL),(15,2125080,'1990-09-07 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215112431436923575114610124052',9891,'981',52.11,1,3,NULL),(15,2125099,'1989-06-19 00:00:00',2,1,12,2006,'M','N','PINHEIROS','SAO PAULO','SP','125251251215472431558832571124610134042',12448,'9998',48.36,1,3,NULL),(15,2125102,'1990-01-29 00:00:00',4,7,11,2007,'F','N','CENTRO','JOACABA','SC','124243241115131431533321576124610123092',NULL,'449',25.03,1,3,NULL),(15,2125110,'1988-07-19 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244241215373451456613375124132064187',7259,'266',56.67,1,3,NULL),(15,2125129,'1990-06-25 00:00:00',2,1,11,2007,'F','N','PICADAS DO SUL','SAO JOSE','SC','124241241215111431446432572122610137147',12823,'723',47.83,1,3,NULL),(15,2125137,'1990-03-16 00:00:00',2,4,12,2007,'M','N','CENTRO','MARAVILHA','SC','124241241415151731455832212335610128052',19178,'552',38.38,1,3,NULL),(15,2125145,'1990-03-04 00:00:00',4,1,11,2007,'M','N','CENTRO DE SÃO JOSÉ','SAO JOSE','SC','124242241211111431536612441122610164042',4577,'723',62.06,4,3,NULL),(15,2125153,'1990-03-14 00:00:00',4,1,12,2007,'M','N','SÃO PELEGRINO','CAXIAS DO SUL','RS','120202203217111431349934592124610167012',8172,'9998',55.06,1,3,NULL),(15,2125170,'1990-08-28 00:00:00',4,1,11,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215111431338612572122610132093',13807,'262',46.45,1,3,NULL),(15,2125196,'1987-11-19 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215374431578811472125610144182',10016,'270',51.91,1,3,NULL),(15,2125200,'1990-02-08 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124241241116111731544613575124610127143',5380,'737',60.31,1,3,NULL),(15,2125226,'1988-04-10 00:00:00',4,1,12,2005,'F','N','ARMAÇAO','FLORIANOPOLIS','SC','124241241137133731338824342124610148187',17197,'307',41.57,1,2,1),(15,2125234,'1990-07-31 00:00:00',4,8,12,2007,'F','N','CENTRO','URAI','PR','116164161117161431248527575122610124142',11608,'9998',49.54,3,3,NULL),(15,2125250,'1990-04-03 00:00:00',4,1,12,2007,'M','N','RIO BRANCO','PORTO ALEGRE','RS','120162201215271442389614575124610167113',NULL,'9998',0.00,1,3,NULL),(15,2125269,'1988-06-09 00:00:00',4,8,12,2006,'M','N','PINHEIROS','SAO PAULO','SP','125252251216471431449819572124610167042',11929,'9998',49.07,1,3,NULL),(15,2125277,'1988-04-05 00:00:00',4,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116162161415571431469923575124610166072',1178,'9998',72.60,1,3,NULL),(15,2125285,'1988-08-02 00:00:00',2,8,12,2005,'F','N','BATEL','CURITIBA','PR','116162161216572411669914575112610163157',NULL,'9998',0.00,1,3,NULL),(15,2125293,'1989-08-30 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215271431459834571122610137042',6999,'262',57.15,1,3,NULL),(15,2125307,'1985-09-18 00:00:00',2,1,12,2003,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','624251251127271431253374315122610127187',20334,'9998',36.17,1,2,1),(15,2125315,'1991-03-24 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215372751459831575112610134192',9,'270',85.99,1,3,NULL),(15,2125323,'1990-05-28 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124242241212111431458811475122610162072',9634,'1011',52.52,1,3,NULL),(15,2125331,'1990-09-22 00:00:00',2,1,11,2007,'F','N','PASSA VINTE','PALHOCA','SC','124244241115131432436334242344610114141',NULL,'592',25.97,1,3,NULL),(15,2125340,'1990-08-22 00:00:00',2,1,11,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124244241115271431436613495124610142092',10342,'271',51.43,1,3,NULL),(15,2125358,'1988-07-14 00:00:00',4,1,12,2005,'F','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124242241215372431468813472114140634127',4518,'951',62.21,1,3,NULL),(15,2125366,'1990-11-26 00:00:00',4,4,12,2007,'F','N','INTERIOR','IPUACU','SC','124241241125161431423436572342610122057',13738,'372',46.55,1,2,1),(15,2125382,'1990-11-04 00:00:00',2,1,12,2007,'M','N','JARDIM ROSANA','GUARULHOS','SP','125252251217111231578814441115610137087',4912,'9998',61.28,4,3,NULL),(15,2125390,'1985-09-03 00:00:00',4,1,12,2003,'F','N','VILA PAULISTA','RIO CLARO','SP','125251251116571741236363272121610146144',NULL,'9998',19.44,1,2,1),(15,2125404,'1988-07-23 00:00:00',4,1,12,2005,'F','N','N S DO ROSÁRIO','SAO JOSE','SC','124242241217272432368729446132610133017',4457,'270',62.37,1,3,NULL),(15,2125412,'1988-06-30 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241115371411538923342124610164042',3751,'306',64.07,1,3,NULL),(15,2125420,'1990-10-17 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431458734574122610123182',13960,'270',46.21,1,3,NULL),(15,2125439,'1990-03-15 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241215372431465923591114610124042',4282,'525',62.73,1,3,NULL),(15,2125447,'1990-01-17 00:00:00',2,1,11,2007,'F','N','JARDIM SÃO MIGUEL','BIGUACU','SC','124242241212131431362433572122610132197',15566,'63',44.02,1,3,NULL),(15,2125455,'1990-06-10 00:00:00',4,1,11,2007,'F','N','CETRO','FLORIANOPOLIS','SC','124242241215111411467632572122610138187',19890,'262',37.02,1,3,NULL),(15,2125463,'1988-11-22 00:00:00',4,6,12,2006,'M','N','CENTRO','ITAJAI','SC','124242241215372431467933575112131437052',2925,'270',66.37,1,3,NULL),(15,2125480,'1991-06-29 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241216171751426623572124610144097',20940,'738',34.98,1,3,NULL),(15,2125501,'1990-08-21 00:00:00',4,1,12,2007,'M','N','DUQUE DE CAXIAS','CUIABA','MT','111112111216121711385512275122610127062',22232,'9998',31.36,1,3,NULL),(15,2125510,'1991-03-03 00:00:00',4,1,12,2008,'F','S','PANTANAL','FLORIANOPOLIS','SC','124244241215151411547932575121610166152',NULL,'270',48.88,1,3,NULL),(15,2125528,'1988-06-22 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211572411388811571122130217121',71,'270',82.33,1,3,NULL),(15,2125536,'1991-11-22 00:00:00',4,8,12,2008,'M','S','ROCIO GRANDE','SAO FRANCISCO DO SUL','SC','124242241215111431489834472112610127112',NULL,'491',52.26,1,3,NULL),(15,2125544,'1987-07-07 00:00:00',4,1,12,2004,'M','N','CENTRO','SANTO ANDRE','SP','125252251217573431469714275125610167187',145,'9998',80.74,1,3,NULL),(15,2125552,'1990-05-14 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241216131731554859576123610138182',20549,'1017',35.80,1,3,NULL),(15,2125560,'1988-06-24 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216574431346823335122610137017',1126,'262',72.89,1,3,NULL),(15,2125579,'1988-06-21 00:00:00',4,1,12,2005,'F','N','JARDIM LEONOR','CAMPINAS','SP','125252251215571211588834575112610167042',11056,'9998',50.38,1,3,NULL),(15,2125587,'1989-09-12 00:00:00',4,2,12,2007,'M','N','VILA NOVA','BLUMENAU','SC','124242241215112431369914572122610122147',7386,'909',56.44,1,3,NULL),(15,2125595,'1989-05-13 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','624242241217372431558613592124610137017',4954,'272',61.18,1,3,NULL),(15,2125609,'1989-02-03 00:00:00',2,1,12,2007,'F','N','TIRADENTES','CAMPO GRANDE','MS','112124128216371431466831495122141467142',NULL,'9998',0.00,4,3,NULL),(15,2125617,'1992-02-11 00:00:00',4,1,12,2009,'M','S','ESTREITO','FLORIANOPOLIS','SC','124242241217111412558833435114610127047',NULL,'1022',55.88,1,3,NULL),(15,2125625,'1985-11-12 00:00:00',2,1,12,2003,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241312375431533314342114610164142',8519,'269',54.48,1,3,NULL),(15,2125641,'1990-02-25 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','125252251217111431578512475122610167092',NULL,'9998',0.00,1,3,NULL),(15,2125650,'1989-07-14 00:00:00',4,1,12,2006,'M','N','JD SÃO PAULO','AMERICANA','SP','125252251217472431469931575122610164052',1052,'9998',73.22,1,3,NULL),(15,2125668,'1988-04-05 00:00:00',1,1,12,2006,'F','N','ITACRUBI','FLORIANOPOLIS','SC','124163161215371711538919495122610164142',14647,'9998',45.21,1,3,NULL),(15,2125676,'1989-03-30 00:00:00',2,1,12,2006,'M','N','ZONA SETE','MARINGA','PR','116161161116211411337719595114610116192',18203,'9998',39.97,1,3,NULL),(15,2125692,'1990-02-01 00:00:00',2,1,11,2007,'F','N','PRAINHA','FLORIANOPOLIS','SC','124242241215221431546923342122610133147',16815,'270',42.14,1,3,NULL),(15,2125714,'1988-10-01 00:00:00',4,1,12,2006,'M','N','SANTOS DUMONT','SAO JOSE','SC','124241241117131431423319582112610117097',14351,'732',45.65,1,2,1),(15,2125722,'1990-05-04 00:00:00',2,1,12,2007,'F','N','JARDIM CARANDAÍ','BIGUACU','SC','124241241117131731423524472321610137057',21485,'65',33.76,1,2,1),(15,2125730,'1990-04-08 00:00:00',2,1,11,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124244241216131431349613335124610134042',7949,'269',55.45,1,3,NULL),(15,2125749,'1990-12-26 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124252241215111411468812391122610137092',NULL,'262',49.82,1,3,NULL),(15,2125757,'1970-11-30 00:00:00',4,1,12,1994,'F','N','CENTRO','FLORIANOPOLIS','SC','224241245122273431453353172125610116145',17705,'281',40.79,1,2,1),(15,2125765,'1990-04-17 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217121431448933572112610143187',3297,'270',65.27,1,3,NULL),(15,2125773,'1987-12-02 00:00:00',4,1,12,2007,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241124131421633411344114610164147',NULL,'296',22.87,1,2,1),(15,2125781,'1990-04-16 00:00:00',4,1,11,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241215471231468833372124610164012',1001,'270',73.53,2,3,NULL),(15,2125790,'1989-01-19 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431589813575122610152142',539,'226',76.50,1,3,NULL),(15,2125803,'1986-01-09 00:00:00',2,1,12,2003,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241112234721535534445124610162123',19650,'307',37.52,1,2,1),(15,2125811,'1990-06-05 00:00:00',4,9,11,2007,'F','N','SAGRADO CARAÇÃO DE J','LAGES','SC','124242241215221431348912574322610127057',12394,'270',48.44,1,3,NULL),(15,2125820,'1990-10-06 00:00:00',4,1,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241217121731359913292122610127042',1707,'1038',70.36,1,3,NULL),(15,2125838,'1991-02-28 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241217111531579912392122610127182',NULL,'270',39.83,1,3,NULL),(15,2125846,'1990-02-08 00:00:00',2,1,11,2007,'M','N','JARDIM ATLÂNTICO','SAO JOSE','SC','124242241215121411479634575122610127043',13029,'738',47.55,1,3,NULL),(15,2125854,'1990-06-08 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215371731433311275124610128195',7808,'868',55.68,1,3,NULL),(15,2125870,'1990-05-04 00:00:00',4,5,11,2007,'F','N','CENTRO','FORQUILHINHA','SC','124242241215111431348522575124610143092',395,'226',77.69,1,3,NULL),(15,2125889,'1990-04-27 00:00:00',2,1,12,2007,'F','N','JARDIM AMÉRICA','VACARIA','RS','120201201216371431246623592122610124142',NULL,'9998',26.45,1,3,NULL),(15,2125897,'1990-03-30 00:00:00',4,2,12,2007,'M','N','PARQUE DO COLÉGIO','SUZANO','SP','125251251114331131436823575124610114017',11688,'9998',49.42,3,2,1),(15,2125900,'1989-03-21 00:00:00',2,1,12,2006,'M','N','PALM DE SÃO JOSÉ','SAO JOSE DOS CAMPOS','SP','125254256216472431468621175124610124052',522,'9998',76.61,1,3,NULL),(15,2125919,'1990-06-06 00:00:00',4,1,12,2007,'M','N','IDEAL','NOVO HAMBURGO','RS','120203201217271431558824575121610128093',5879,'9998',59.30,1,3,NULL),(15,2125927,'1990-11-29 00:00:00',4,1,12,2007,'M','N','SÃO FRANCISCO','BENTO GONCALVES','RS','120202201217271731238923575114610124053',14740,'9998',45.08,1,3,NULL),(15,2125935,'1991-10-11 00:00:00',4,1,12,2008,'F','S','BARREIROS','SAO JOSE','SC','124242241212111412469613572122610167051',NULL,'738',42.51,1,3,NULL),(15,2125951,'1990-05-23 00:00:00',4,4,12,2007,'M','N','CENTRO','XANXERE','SC','124243241217121431359913575122610124175',292,'836',78.79,1,3,NULL),(15,2125960,'1990-04-10 00:00:00',4,1,11,2007,'F','N','AREIAS','TIJUCAS','SC','124244241214161431448832575124610167042',15454,'262',44.18,1,3,NULL),(15,2125978,'1988-11-29 00:00:00',4,4,12,2007,'M','N','PRESIDENTE MÉDICE','CHAPECO','SC','124241241215111421363663471124610137092',21334,'9997',34.11,1,3,NULL),(15,2125986,'1990-02-21 00:00:00',2,1,11,2007,'F','N','RIO CAVEIRAS','BIGUACU','SC','124241241215161431333334346111610167072',19468,'63',37.88,1,3,NULL),(15,2125994,'1990-04-19 00:00:00',4,2,12,2007,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215111731456714575122610122042',12845,'909',47.80,1,3,NULL),(15,2126010,'1989-12-24 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215271531488913495112610164015',220,'262',79.67,1,3,NULL),(15,2126036,'1990-07-09 00:00:00',4,9,11,2007,'F','N','COPACABANA','LAGES','SC','124242241216112431568913332122610161072',17025,'497',41.84,1,3,NULL),(15,2126052,'1986-06-18 00:00:00',4,1,12,2003,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124121121316141451128759445124232032112',15779,'9998',43.70,3,3,NULL),(15,2126060,'1982-08-13 00:00:00',4,1,12,2002,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124252257446271731536768295122141368092',16481,'9998',42.61,1,3,NULL),(15,2126079,'1990-08-11 00:00:00',4,1,12,2007,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241215111431469813572124610114042',6178,'270',58.69,1,3,NULL),(15,2126087,'1972-01-17 00:00:00',2,1,12,2007,'F','N','JARDIM ELDORADO','PALHOCA','SC','224243248345111731533354292112610164147',20730,'1010',35.44,1,3,NULL),(15,2126095,'1989-09-12 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241217271732458811472124610142072',9798,'269',52.26,1,3,NULL),(15,2126109,'1990-03-24 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124242241215111751458613575114610164112',20543,'300',35.82,1,3,NULL),(15,2126117,'1986-09-30 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241412414411446614212324131417112',12449,'270',48.36,1,3,NULL),(15,2126133,'1987-12-05 00:00:00',4,1,12,2005,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215573711468633575114610146087',808,'269',74.69,3,3,NULL),(15,2126141,'1989-04-18 00:00:00',2,2,12,2006,'F','N','VILA ISABEL','CURITIBA','PR','116161161347472431533916594224610124172',929,'9998',73.91,1,3,NULL),(15,2126168,'1991-10-10 00:00:00',4,9,11,2008,'F','S','NOVA PETROPOLIS','LAGES','SC','124242241215111431456612272122610144147',NULL,'499',54.00,1,3,NULL),(15,2126176,'1979-04-16 00:00:00',4,1,12,1996,'M','N','VILA INDIANA','SAO PAULO','SP','125252251216572451268861285124242864187',NULL,'9998',0.00,1,3,NULL),(15,2126184,'1989-02-15 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241115473431379933572122610167125',1341,'267',71.92,1,2,1),(15,2126206,'1988-10-21 00:00:00',4,1,12,2006,'M','N','CENTRO','PORTO ALEGRE','RS','120202201216371431448833575124610132017',5351,'9998',60.41,1,3,NULL),(15,2126214,'1989-07-12 00:00:00',2,5,12,2006,'F','N','MINA BRASIL','CRICIUMA','SC','124121128115471531343719572124610128147',NULL,'9998',34.00,1,2,1),(15,2126222,'1990-10-22 00:00:00',4,2,11,2007,'F','N','GARCIA','BLUMENAU','SC','124242241215111431359814575122610131072',3062,'87',65.93,1,3,NULL),(15,2126249,'1990-06-23 00:00:00',4,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124241241127271412463611275124610122097',17083,'736',41.75,1,2,1),(15,2126257,'1990-04-28 00:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215112431467633192124610167142',2069,'270',69.04,1,3,NULL),(15,2126265,'1990-08-28 00:00:00',4,2,12,2007,'F','N','CENTRO','RIO DO SUL','SC','124242241215371751479934572122610164072',4627,'9997',61.95,1,3,NULL),(15,2126273,'1990-10-29 00:00:00',4,3,12,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241217371321446923372121610167097',20703,'403',35.50,1,3,NULL),(15,2126281,'1989-07-03 00:00:00',2,10,12,2006,'M','N','FABIO SILVA','TUBARAO','SC','124241241117472431459934242121610132117',12118,'1034',48.84,1,2,1),(15,2126290,'1979-02-08 00:00:00',4,1,12,1996,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241216375431456821445134122362092',8778,'269',54.05,3,3,NULL),(15,2126303,'1989-04-18 00:00:00',4,1,12,2006,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241217272531559914575124133264072',558,'991',76.37,1,3,NULL),(15,2126311,'1977-02-19 00:00:00',2,1,12,1994,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241243117334731233644141124230247147',NULL,'136',0.00,1,2,1),(15,2126346,'1987-01-03 00:00:00',4,1,12,2005,'M','N','PINUEIROS','SAO PAULO','SP','125252251216371441269823595124610164072',NULL,'9998',37.15,1,3,NULL),(15,2126362,'1967-04-26 00:00:00',4,1,12,1984,'M','N','TRINDADE','FLORIANOPOLIS','SC','524242241215152411378643432132521066045',6313,'262',58.44,1,3,NULL),(15,2126370,'1990-04-20 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215272431489933572112610147052',5591,'262',59.89,1,3,NULL),(15,2126389,'1990-11-13 00:00:00',4,4,12,2007,'M','N','CENTRO','CONCORDIA','SC','124241241136141431333923295134610127047',12854,'192',47.78,1,2,1),(15,2126397,'1989-12-30 00:00:00',2,2,12,2007,'F','N','CANTAGALO','RIO DO SUL','SC','124243241215131431659813574124610127012',NULL,'654',0.00,1,3,NULL),(15,2126400,'1983-05-04 00:00:00',2,1,12,2001,'M','N','BALNEARIO','FLORIANOPOLIS','SC','124201201147472421235644145124610167097',15430,'9998',44.22,1,2,1),(15,2126419,'1989-09-24 00:00:00',4,7,12,2007,'M','N','MATRIZ','VIDEIRA','SC','124243246215111431369714575122610127027',16042,'1080',43.31,1,3,NULL),(15,2126427,'1990-05-05 00:00:00',4,9,12,2007,'F','N','SANTA RITA','LAGES','SC','124242241215371221456912575122610121057',NULL,'515',25.63,1,3,NULL),(15,2126435,'1990-09-18 00:00:00',4,3,12,2007,'M','N','CENTRO','BRUSQUE','SC','124242241215271231389934174122610124142',1173,'109',72.64,1,3,NULL),(15,2126443,'1990-04-09 00:00:00',4,1,11,2007,'M','N','PARQUE CIDADE JARDIM','UMUARAMA','PR','116162161215121411548612224112610167022',5272,'9998',60.57,1,3,NULL),(15,2126451,'1989-03-09 00:00:00',4,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242241215372421236611244124610162176',17321,'970',41.35,1,3,NULL),(15,2126460,'1989-11-10 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215473431358824575124610167052',2388,'855',67.96,1,3,NULL),(15,2126478,'1962-06-17 00:00:00',2,1,12,1981,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','624201206341374751244444241134120366057',2833,'9998',66.65,1,3,NULL),(15,2126494,'1985-10-23 00:00:00',4,1,12,2002,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215372431468813472112332027027',NULL,'270',30.46,1,3,NULL),(15,2126508,'1984-09-11 00:00:00',4,8,12,2001,'F','N','AGUA VERDE','CURITIBA','PR','116162161216371121559832414122343264091',NULL,'9998',0.00,1,3,NULL),(15,2126516,'1978-08-28 00:00:00',2,1,12,1997,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241243126334431438623285124122236147',9249,'295',53.19,4,2,1),(15,2126532,'1991-04-08 00:00:00',2,8,11,2007,'F','N','NOVA BRASÍLIA','JOINVILLE','SC','124242241217371431334311584122610168182',6444,'461',58.18,1,3,NULL),(15,2126540,'1989-01-28 00:00:00',4,5,12,2007,'M','N','CENTRO','CRICIUMA','SC','124094241215371431444624344124610142182',4891,'210',61.33,1,3,NULL),(15,2126559,'1989-12-18 00:00:00',2,8,12,2006,'M','N','CENTRO','CACADOR','SC','124242241215371431459713581112130211052',20052,'119',36.72,1,3,NULL),(15,2126567,'1990-02-10 00:00:00',4,8,10,2007,'M','N','ATIRADORES','JOINVILLE','SC','124242241215111431488933235122610144142',2083,'491',69.01,4,3,NULL),(15,2126575,'1990-03-17 00:00:00',4,10,11,2007,'M','N','SÃO MARTINHO','TUBARAO','SC','124241246217141441446911575124610134112',11445,'1120',49.79,1,3,NULL),(15,2126583,'1988-11-15 00:00:00',4,1,12,2006,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124204201337152411227911212122231834115',15264,'9998',44.46,4,1,2),(15,2126591,'1987-04-29 00:00:00',2,1,12,2005,'M','N','AREIAS','SAO JOSE','SC','124241241125271431345723332124610112051',19165,'730',38.41,2,1,1),(15,2126605,'1991-01-16 00:00:00',4,5,12,2007,'M','N','ESTAÇÃO','URUSSANGA','SC','124241241135141431436831215121610114072',12899,'822',47.72,1,3,NULL),(15,2126621,'1990-09-26 00:00:00',4,4,12,2007,'F','N','MADUREIRA','CAXIAS DO SUL','RS','120202201215471431267924572112610132142',6068,'9998',58.94,1,3,NULL),(15,2126656,'1984-02-03 00:00:00',2,1,12,2001,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241142275421326624382114123026142',6295,'552',58.46,1,2,1),(15,2126699,'1987-01-28 00:00:00',4,1,12,2004,'M','N','PQ SETE DE SETEMBRO','DIADEMA','SP','125251251137131431536614445124241424052',NULL,'9998',0.00,4,2,1),(15,2126702,'1989-08-05 00:00:00',4,1,8,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124102101217371431189914444124610112185',NULL,'9998',0.00,1,3,NULL),(15,2126710,'1987-12-27 00:00:00',4,1,12,2005,'M','N','CAMPINAS','SAO JOSE','SC','124243241336473431538613382124610162166',5315,'733',60.49,1,3,NULL),(15,2126729,'1988-04-25 00:00:00',4,1,11,2005,'M','N','MACIAMBU','PALHOCA','SC','124244241126132431445933285123610124052',21744,'594',33.15,1,3,NULL),(15,2126737,'1991-05-30 00:00:00',4,1,11,2008,'M','S','COQUEIROS','FLORIANOPOLIS','SC','124242241217111411459832592122610134172',NULL,'270',52.21,1,3,NULL),(15,2126753,'1987-03-02 00:00:00',2,1,1,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124243247335371431327323285114610122147',NULL,'9999',28.87,1,3,NULL),(15,2126761,'1989-06-08 00:00:00',4,10,12,2006,'M','N','VILA MOEMA','TUBARAO','SC','124242241215472441669833575112610124112',4791,'807',61.54,1,3,NULL),(15,2126788,'1990-08-29 00:00:00',4,8,11,2007,'M','N','JD ALTO DA BOA VISTA','PRESIDENTE PRUDENTE','SP','125252251216171411568813575124610122171',11440,'9998',49.79,1,3,NULL),(15,2126796,'1990-09-06 00:00:00',4,8,12,2007,'F','N','FLORESTA','JOINVILLE','SC','124244241215411431515814376121610137103',17640,'491',40.88,1,3,NULL),(15,2126800,'1989-12-01 00:00:00',4,2,12,2007,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241215171431476924575112610132087',17722,'855',40.77,1,3,NULL),(15,2126818,'1990-12-16 00:00:00',4,4,12,2007,'F','N','CENTRO','ANCHIETA','SC','124241241115131631423923332224610128142',16680,'16',42.35,1,2,1),(15,2126826,'1989-06-01 00:00:00',2,4,12,2006,'M','N','ITAIPU','SALTINHO','SC','124241248136162431446913472222231467067',5440,'682',60.20,1,3,NULL),(15,2126834,'1989-09-08 00:00:00',4,1,12,2006,'F','N','SANTO ANTÃO','BENTO GONCALVES','RS','120201201117471431455312242232610133042',12426,'9998',48.40,1,2,1),(15,2126850,'1987-10-20 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211473431568614571115610128092',5481,'270',60.09,1,3,NULL),(15,2126869,'1982-04-06 00:00:00',2,1,12,1999,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241127272131133349195334610164097',6835,'142',57.47,1,2,1),(15,2126877,'1990-12-28 00:00:00',2,7,12,2007,'F','N','INTERIOR','LUZERNA','SC','124241241115232431533415376224610115147',13846,'539',46.39,1,2,1),(15,2126885,'1962-10-15 00:00:00',2,1,12,1987,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','224246247612132121552253292124610126197',19958,'9997',36.91,1,3,NULL),(15,2126893,'1988-02-05 00:00:00',2,6,12,2005,'M','N','CENTRAL PARQUE','SOROCABA','SP','125251251115571421636612576144610137056',NULL,'9998',38.43,1,2,1),(15,2126907,'1990-01-18 00:00:00',4,4,12,2007,'M','N','CENTRO','PORTO ALEGRE','RS','120203201215111431245634575122610147062',19055,'9998',38.58,1,3,NULL),(15,2126915,'1990-07-28 00:00:00',4,4,12,2007,'M','N','BELA VISTA','PINHALZINHO','SC','124241241147131431413523574124610168147',20173,'616',36.49,1,2,1),(15,2126923,'1991-02-14 00:00:00',4,4,12,2007,'M','N','SETOR B QUERÊNCIA','QUERENCIA','MT','111111112117161431328729572124610148177',13565,'9998',46.80,1,2,1),(15,2126931,'1989-01-24 00:00:00',4,1,12,2006,'F','N','NOSSA SEN APARECIDA','FRANCISCO BELTRAO','PR','116162161317471731468812591122610162092',848,'9998',74.38,1,3,NULL),(15,2126940,'1981-05-22 00:00:00',4,1,12,1998,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217373431236811441122621524047',3296,'210',65.27,1,3,NULL),(15,2126958,'1986-07-17 00:00:00',2,1,12,2005,'F','N','KOBRASOL','SAO JOSE','SC','124201201147131751121344242331140623147',NULL,'9998',21.32,1,3,NULL),(15,2126966,'1989-04-04 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211472411469913576122610162177',14132,'1022',45.99,1,3,NULL),(15,2126974,'1989-05-14 00:00:00',4,1,12,2006,'M','N','CENTRO','TIJUCAS','SC','124241241317573441489913385114610167091',1313,'781',72.02,2,3,NULL),(15,2126982,'1990-06-08 00:00:00',2,2,12,2007,'F','N','CENTRO','PRESIDENTE NEREU','SC','124241248137161731433415232221613232147',21036,'645',34.79,1,2,1),(15,2126990,'1984-06-17 00:00:00',4,1,12,2001,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124163161316471711158643435132341432093',2263,'9998',68.39,1,3,NULL),(15,2127008,'1990-07-23 00:00:00',4,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241412171222633823572124610117073',17558,'592',41.00,1,3,NULL),(15,2127016,'1988-09-16 00:00:00',4,1,12,2005,'M','N','CIDADE JARDIM','PIRASSUNUNGA','SP','125252251237471231468812422112140267123',8614,'9998',54.32,1,3,NULL),(15,2127024,'1989-01-18 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124162241215372431548812574112610123072',603,'270',76.07,1,3,NULL),(15,2127032,'1989-07-13 00:00:00',4,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124243241117371531226629372214133263147',13955,'734',46.22,1,3,NULL),(15,2127040,'1988-12-21 00:00:00',3,1,12,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241115372411269933571124231962147',2528,'267',67.54,1,2,1),(15,2127059,'1990-02-25 00:00:00',4,2,12,2007,'F','N','VELHA','BLUMENAU','SC','124242241415121431379912594122610124142',18403,'855',39.64,1,3,NULL),(15,2127067,'1990-10-10 00:00:00',4,8,11,2007,'M','N','CENTRO','CURITIBA','PR','116162161217471431558834575111610124182',3489,'9998',64.78,1,3,NULL),(15,2127075,'1983-12-09 00:00:00',2,8,12,2004,'M','N','FLORESTA','JOINVILLE','SC','124243248126371751657613415124131424172',14551,'492',45.33,1,3,NULL),(15,2127083,'1988-08-22 00:00:00',2,1,12,2006,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124244241115472431438634475124610122012',7672,'307',55.90,1,3,NULL),(15,2127091,'1989-06-16 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124243243311151431526932571112610123187',NULL,'592',11.93,1,3,NULL),(15,2127113,'1989-09-27 00:00:00',2,3,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161215471231479811572122610163142',2059,'9998',69.07,1,3,NULL),(15,2127121,'1989-03-03 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124213241115372431436634244334610164017',5391,'733',60.29,4,3,NULL),(15,2127130,'1990-04-29 00:00:00',2,1,12,2007,'F','N','AREIAS','SAO JOSE','SC','124242241215131411528339192224610166147',13330,'976',47.14,1,3,NULL),(15,2127148,'1988-01-15 00:00:00',2,1,11,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241414575431145612573324610126147',176,'499',80.23,1,3,NULL),(15,2127164,'1988-06-08 00:00:00',2,1,9,2007,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124242248415141231368622342132610162125',17899,'9999',40.49,1,3,NULL),(15,2127172,'1985-02-07 00:00:00',2,1,12,2002,'M','N','CENTRO','BRUSQUE','SC','124243241416375231548611285134121737182',4136,'912',63.10,1,3,NULL),(15,2127180,'1989-06-20 00:00:00',4,1,12,2006,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124242241215472432458834574122610167117',1461,'9997',71.40,1,3,NULL),(15,2127202,'1989-10-04 00:00:00',4,1,12,2006,'M','N','EXPOSIÇAO','CAXIAS DO SUL','RS','120204201215471431269914325124241447067',8135,'9998',55.12,1,3,NULL),(15,2127210,'1988-09-28 00:00:00',4,1,6,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124242241115371231568419342214610122052',13308,'306',47.16,1,3,NULL),(15,2127237,'1989-02-18 00:00:00',4,1,12,2006,'F','N','CARIANOS','FLORIANOPOLIS','SC','124206201616372431456613375114610162092',4753,'9998',61.62,4,3,NULL),(15,2127245,'1987-11-27 00:00:00',4,1,12,2005,'M','N','CENTRO','SAO JOSE DOS CAMPOS','SP','125132251215571441558812574345610165057',NULL,'9998',0.00,1,3,NULL),(15,2127253,'1988-03-14 00:00:00',4,9,12,2006,'M','N','CHAMPAGNE','GARIBALDI','RS','120201201116471341658832215122143222142',8248,'9998',54.93,1,2,1),(15,2127270,'1987-11-12 00:00:00',4,1,12,2004,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241115372721436653382124610113097',16582,'281',42.47,2,2,1),(15,2127288,'1988-05-20 00:00:00',4,1,12,2006,'F','N','AREIAS','SAO JOSE','SC','124243241116372431434611585124610126147',9455,'257',52.85,1,3,NULL),(15,2127300,'1989-02-23 00:00:00',4,1,11,2006,'M','N','CENTRO','RIBEIRAO PRETO','SP','125092251217371711468816592112610138092',16172,'9998',43.12,1,3,NULL),(15,2127326,'1960-04-09 00:00:00',2,1,12,1997,'F','N','INGLESES','FLORIANOPOLIS','SC','224212211217151441568953495125142561143',13232,'9998',47.26,1,3,NULL),(15,2127342,'1976-09-28 00:00:00',4,1,12,1993,'F','N','VILA LEÃO','SOROCABA','SP','125252251217142431468831445132341064182',NULL,'9998',0.00,1,3,NULL),(15,2127350,'1987-01-25 00:00:00',2,1,12,2004,'F','N','CARIANOS','FLORIANOPOLIS','SC','124243241116134331547713372114610164147',19048,'307',38.60,1,3,NULL),(15,2127369,'1990-08-28 00:00:00',4,1,12,2007,'M','N','CENTRO','TRES FORQUILHAS','RS','120201201112131431433431572121610124142',NULL,'9998',0.00,1,2,1),(15,2127377,'1989-09-05 00:00:00',4,8,12,2006,'M','N','JATIUCA','MACEIO','AL','102022021216471431489713175124610124017',NULL,'9998',0.00,1,3,NULL),(15,2127385,'1985-08-03 00:00:00',4,1,11,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124133131216172451578811575124123262027',2867,'9998',66.55,1,3,NULL),(15,2127393,'1990-04-09 00:00:00',2,1,12,2007,'M','N','JARDIM EUROPA','BRAGANCA PAULISTA','SP','125252251235111431468832375233610164093',19517,'9998',37.79,1,3,NULL),(15,2127407,'1985-07-12 00:00:00',2,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124241247111271731634819391124610164041',18927,'9999',38.80,1,2,1),(15,2127415,'1989-11-01 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217371431469619572124610127117',4980,'270',61.13,1,3,NULL),(15,2127431,'1987-10-03 00:00:00',2,1,12,2005,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241247436372431333623381124610167027',10345,'300',51.43,4,3,NULL),(15,2127458,'1988-02-19 00:00:00',2,1,12,2005,'M','N','VISTA VERDE','SAO JOSE DOS CAMPOS','SP','125252251215571711647831575124610148097',8759,'9998',54.08,4,3,NULL),(15,2127466,'1989-09-03 00:00:00',4,1,12,2006,'F','N','PASSA VINTE','PALHOCA','SC','124241241227132431321314142331610128147',17510,'262',41.07,1,3,NULL),(15,2127474,'1989-08-05 00:00:00',4,1,12,2006,'M','N','AREIAS','SAO JOSE','SC','124242241215132431423314145121610124042',10840,'976',50.69,1,3,NULL),(15,2127490,'1990-06-22 00:00:00',2,4,12,2007,'M','N','CENTRO','CAIBI','SC','124241241134161711423323592321610166057',20590,'127',35.70,1,2,1),(15,2127504,'1988-08-27 00:00:00',4,9,12,2005,'M','N','SAGRADO','LAGES','SC','124242244212571731465939495122610124092',NULL,'515',23.15,1,3,NULL),(15,2127512,'1978-11-12 00:00:00',4,1,12,1996,'F','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','524242241416132411359823434123122842097',NULL,'272',0.00,1,3,NULL),(15,2127520,'1977-10-24 00:00:00',4,1,12,1995,'M','N','CARIANOS','FLORIANOPOLIS','SC','124243241124153431463639332122322226037',11669,'307',49.45,1,3,NULL),(15,2127539,'1987-05-27 00:00:00',4,1,12,2004,'M','N','STELLA MARIS','SALVADOR','BA','105052051217571751166839596124610164117',2692,'9998',67.05,4,3,NULL),(15,2127547,'1988-03-18 00:00:00',4,1,12,2005,'M','N','PRAIA DA PINHEIRA','PALHOCA','SC','124202201211573751359821575122610167042',15197,'9998',44.54,1,3,NULL),(15,2127555,'1988-09-05 00:00:00',4,1,8,2007,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241115131431446663585124610124187',8139,'739',55.12,1,2,1),(15,2127563,'1987-11-16 00:00:00',2,1,12,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124242241316272431456629495124610118092',15654,'271',43.86,1,3,NULL),(15,2127571,'1951-12-01 01:00:00',4,1,12,1983,'F','N','PANTANAL','FLORIANOPOLIS','SC','524241247147144121252443332134610166197',14150,'9999',45.97,1,2,1),(15,2127580,'1990-08-27 00:00:00',4,1,2,2008,'M','N','KOBRASOL','SAO JOSE','SC','124241241115131451328629185124610117112',17973,'739',40.35,1,2,1),(15,2127598,'1989-03-15 00:00:00',4,8,12,2006,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241215472431248828595124610134092',5830,'486',59.41,1,3,NULL),(15,2127601,'1990-07-26 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241112131431535923582214610162072',19669,'257',37.48,4,3,NULL),(15,2127610,'1981-02-26 00:00:00',2,1,9,2006,'M','N','BARREIROS','SAO JOSE','SC','224241241134272431126344341124610141057',10332,'9999',51.44,3,2,1),(15,2127636,'1986-11-26 00:00:00',2,1,12,2004,'F','N','MANAÍRA','JOAO PESSOA','PB','115152151216571431457829572122610144142',NULL,'9998',0.00,1,3,NULL),(15,2127644,'1988-11-22 00:00:00',4,2,12,2006,'F','N','CAPITAIS','TIMBO','SC','124242241215472431426532472121610114182',4780,'855',61.56,1,3,NULL),(15,2127660,'1990-04-14 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241117131231349913475124610137117',16054,'307',43.29,1,2,1),(15,2127679,'1981-10-18 00:00:00',2,7,11,1998,'F','N','CENTRO','HERVAL D OESTE','SC','124241241126131731114544145223610134147',NULL,'342',29.84,1,2,1),(15,2127687,'1990-04-06 00:00:00',4,6,12,2007,'F','N','CENTRO','PORTO BELO','SC','124241241146131431523519385121610128147',20099,'630',36.62,1,2,1),(15,2127695,'1990-08-30 00:00:00',4,1,11,2007,'M','N','JURERÊ','FLORIANOPOLIS','SC','124242241415221431468811571124610128012',830,'270',74.50,1,3,NULL),(15,2127709,'1988-11-30 00:00:00',4,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241116342511126529445124610118142',NULL,'592',22.68,1,3,NULL),(15,2127717,'1989-10-12 00:00:00',4,6,12,2007,'F','N','MORADA DO SOL','TERESINA','PI','118184181216111411468823574122610122142',1608,'9998',70.78,4,3,NULL),(15,2127725,'1981-07-28 00:00:00',2,1,12,1998,'M','N','BARREIROS','SAO JOSE','SC','124242241431272751473839332122320867042',8259,'272',54.92,1,3,NULL),(15,2127733,'1988-11-10 00:00:00',4,1,12,2005,'F','N','JARDIM NOEMIA','FRANCA','SP','125253251212471431467814372212143224147',6623,'9998',57.85,1,3,NULL),(15,2127750,'1991-08-11 00:00:00',4,1,2,2008,'M','N','BAIRRO IPIRANGA','SAO JOSE','SC','124244241117371431669714172112610144057',1868,'739',69.73,1,3,NULL),(15,2127768,'1990-07-10 00:00:00',4,4,12,2007,'F','N','CENTRO','PALMITOS','SC','124241241141161731338614275122610136172',18140,'601',40.08,1,3,NULL),(15,2127776,'1990-12-27 00:00:00',2,1,12,2007,'F','N','PRAIA DE FORA','PALHOCA','SC','124241241116131431446513575124610164147',15806,'592',43.66,1,2,1),(15,2127784,'1986-08-04 00:00:00',2,1,11,2004,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124244241417154431469713492122230827067',5498,'270',60.06,1,3,NULL),(15,2127792,'1990-01-30 00:00:00',4,4,12,2007,'F','N','INTERIOR','SANTIAGO DO SUL','SC','124241241125161431454935342224610126157',NULL,'866',0.00,1,2,1),(15,2127806,'1987-04-21 00:00:00',2,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','124242242215271411426732315332610114011',21432,'1118',33.89,1,3,NULL),(15,2127814,'1983-10-26 00:00:00',4,1,12,2000,'M','N','VILA ANGLO','SAO PAULO','SP','125253251415571431548763345134143224187',3494,'9998',64.78,1,3,NULL),(15,2127822,'1989-07-19 00:00:00',4,10,11,2006,'M','N','CENTRO','TUBARAO','SC','124241241215472431335619575122610142092',783,'807',74.82,1,3,NULL),(15,2127830,'1988-02-10 00:00:00',2,10,12,2007,'F','N','ALTO CAIÇARAS','PATOS DE MINAS','MG','113212137217111751328714575122610136072',NULL,'9998',0.00,1,3,NULL),(15,2127849,'1989-01-03 00:00:00',4,1,11,2007,'M','N','JARDIM PLANALTO','CARAPICUIBA','SP','125253251117571411654623496124610127187',9589,'9998',52.61,4,1,2),(15,2127857,'1990-02-01 00:00:00',2,4,12,2006,'F','N','TRES PONTES','PATO BRANCO','PR','116161161216371431533533575222610128182',22230,'9998',31.37,4,3,NULL),(15,2127865,'1982-07-07 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241142333431633311342124610122147',19105,'257',38.51,1,2,1),(15,2127873,'1991-05-22 00:00:00',4,1,12,2007,'F','N','SANTA JULIA','ITUPEVA','SP','125252251217111511518712225124610125142',16788,'9998',42.19,1,3,NULL),(15,2127890,'1989-04-29 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241117372431564624185121610144092',1088,'306',73.07,1,3,NULL),(15,2127903,'1989-02-23 00:00:00',4,1,12,2007,'F','N','FLOR DE NÁPOLIS','SAO JOSE','SC','124241247315131431425634285224610123147',NULL,'9999',0.00,2,1,2),(15,2127911,'1984-09-03 00:00:00',4,1,12,2004,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124242247216372421268714475111230247097',15209,'270',44.52,1,3,NULL),(15,2127920,'1989-06-21 00:00:00',4,2,11,2006,'M','N','VELHA','BLUMENAU','SC','116242241217471431589914572114610137097',1251,'88',72.26,1,3,NULL),(15,2127946,'1976-11-25 00:00:00',2,1,11,1997,'M','N','CAMPECHE','FLORIANOPOLIS','SC','224243247426152431246643232232131037062',19272,'257',38.22,1,3,NULL),(15,2127954,'1988-07-31 00:00:00',4,1,12,2006,'F','N','SANTO ANTONIO','ARAXA','MG','125132131115471231447711572112610127051',9344,'9998',53.05,1,3,NULL),(15,2127962,'1989-05-29 00:00:00',2,1,12,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241247335111751326319375114610167145',22446,'9999',29.78,1,3,NULL),(15,2127970,'1988-08-14 00:00:00',2,1,12,2006,'F','N','CENTRO','BIGUACU','SC','124241241115473441546631571124610123017',2889,'306',66.47,1,2,1),(15,2128004,'1990-01-05 00:00:00',4,1,12,2007,'F','N','CORRÉGO GRANDE','FLORIANOPOLIS','SC','124241241117131411437933275124610125147',19675,'306',37.46,1,3,NULL),(15,2128012,'1990-07-07 00:00:00',2,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124251241115111412443611295122610114147',16462,'726',42.64,4,2,1),(15,2128020,'1988-11-24 00:00:00',2,4,12,2005,'F','N','PRESIDENTE KENNEDY','FRANCISCO BELTRAO','PR','116161161114271431546933341122610131142',16188,'9998',43.08,1,2,1),(15,2128039,'1990-06-21 00:00:00',4,1,12,2007,'M','N','SÃO ROQUE','BENTO GONCALVES','RS','120202201415371411357714575124610164082',11514,'9998',49.69,1,3,NULL),(15,2128055,'1990-03-13 00:00:00',4,2,12,2007,'F','N','CENTRO','RODEIO','SC','124244241217161231469933575122610118097',20755,'940',35.39,1,3,NULL),(15,2128063,'1988-11-24 00:00:00',2,9,12,2005,'F','N','SÃO FRANCISCO','BENTO GONCALVES','RS','120201201117571441428614585114610116117',16360,'9998',42.81,1,2,1),(15,2128071,'1981-04-04 00:00:00',4,1,12,1999,'F','N','CENTRO','CASTRO','PR','116165163546572431477714235234610126147',NULL,'9998',0.00,1,3,NULL),(15,2128080,'1977-11-24 00:00:00',4,1,11,1995,'F','N','TAPERA','FLORIANOPOLIS','SC','124242241214475221268813432334122232092',8119,'262',55.16,4,3,NULL),(15,2128101,'1987-03-19 00:00:00',2,1,12,2004,'F','N','ALTO DA XV','CURITIBA','PR','116162168611571751428719591344142568182',NULL,'9998',0.00,1,3,NULL),(15,2128110,'1988-10-01 00:00:00',4,1,12,2006,'M','N','VILA EUCLIDES','SAO BERNARDO DO CAMPO','SP','125252251211571431348811571122610128042',NULL,'9998',0.00,1,3,NULL),(15,2128128,'1990-08-15 00:00:00',4,4,12,2007,'M','N','CENTRO','XAXIM','SC','124241241115151731433614275125610137017',NULL,'847',19.16,1,3,NULL),(15,2128136,'1977-02-24 00:00:00',2,1,12,1996,'M','N','VENDAVAL','BIGUACU','SC','124243247444234222333633342334610114047',18937,'63',38.78,1,3,NULL),(15,2128144,'1988-10-30 00:00:00',4,1,12,2005,'M','N','CENTRO','CASCAVEL','PR','116162161217122411469811184124120866183',7880,'9998',55.55,1,3,NULL),(15,2128152,'1986-03-31 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241112133411226623291124610123033',17712,'307',40.79,1,2,1),(15,2128160,'1987-04-07 00:00:00',2,1,12,2004,'F','N','RIO CARVAO BAIXO','URUSSANGA','SC','124242241215573431535936571314610164147',5101,'226',60.90,1,3,NULL),(15,2128179,'1983-10-06 00:00:00',4,1,12,2001,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','624242241217475441466549495122222327087',16304,'266',42.90,1,3,NULL),(15,2128187,'1987-08-20 00:00:00',4,6,12,2003,'F','N','CENTRO','ITAPEMA','SC','124244241216374431336729375122233224097',6619,'407',57.87,1,3,NULL),(15,2128195,'1987-10-27 00:00:00',4,4,12,2004,'M','N','SÃO FRANCISCO','CORONEL FREITAS','SC','124241241146131441336413285122130836191',NULL,'199',0.00,1,2,1),(15,2128209,'1990-12-28 00:00:00',2,8,12,2007,'F','N','VILA IVETE','MAFRA','SC','124241161117371431448611575122610166052',15851,'9998',43.61,1,3,NULL),(15,2128217,'1990-02-13 00:00:00',2,1,12,2006,'M','N','CENTRO','BOA VISTA DO BURICA','RS','120203201116131432328723295124243264047',NULL,'9998',0.00,1,3,NULL),(15,2128225,'1988-05-17 00:00:00',2,10,11,2005,'M','N','CENTRO','CURITIBANOS','SC','124241241216143411454416592122230342062',12644,'881',48.08,1,3,NULL),(15,2128233,'1987-11-20 00:00:00',2,1,12,2004,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124241241215374431546513375124610168072',11773,'943',49.30,1,3,NULL),(15,2128241,'1989-11-20 00:00:00',2,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241216111431326519495111610114147',NULL,'738',28.29,1,3,NULL),(15,2128250,'1989-05-12 00:00:00',2,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124241241215372431244619382124610146142',18070,'1036',40.19,1,3,NULL),(15,2128268,'1982-03-03 00:00:00',2,1,12,2000,'M','N','SERRARIA','SAO JOSE','SC','124244241126134721536723335134610127047',16017,'257',43.36,2,3,NULL),(15,2128284,'1986-04-15 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124203201147131431124344345134142544147',22173,'9998',31.60,1,3,NULL),(15,2128306,'1988-04-22 00:00:00',4,9,12,2005,'M','N','CENTRO','CURITIBANOS','SC','124241241111372431338331295124610114067',7233,'239',56.73,4,2,1),(15,2128314,'1989-11-14 00:00:00',4,1,12,2006,'F','N','PASCOTINI','SANTO ANGELO','RS','120202201217471411445631572324610124147',NULL,'9998',0.00,1,3,NULL),(15,2128322,'1987-03-11 00:00:00',2,1,12,2004,'F','N','SÃO FRANCISCO','SAO PAULO','SP','125254251436571731578934572112610143097',NULL,'9998',0.00,1,3,NULL),(15,2128330,'1988-11-24 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124252251217371431468614475224610127113',21715,'9998',33.23,1,3,NULL),(15,2128349,'1988-03-20 00:00:00',2,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124244248216312421434432342122133227097',18905,'943',38.83,1,3,NULL),(15,2128357,'1980-05-29 00:00:00',4,1,11,1997,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242241212154731254519415112322664123',3416,'797',64.96,1,3,NULL),(15,2128381,'1990-01-14 00:00:00',4,6,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111531446819275121610137042',19526,'44',37.77,4,3,NULL),(15,2128390,'1984-05-21 00:00:00',4,1,11,2001,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242243117573431533424435124120721187',3266,'306',65.34,1,3,NULL),(15,2128403,'1982-12-14 00:00:00',3,1,12,2000,'M','N','TRINDADE','FLORIANOPOLIS','SC','124253251116473441538433391121230232142',5016,'9998',61.05,1,3,NULL),(15,2128420,'1986-02-20 00:00:00',4,3,12,2006,'M','N','CENTRO','VERANOPOLIS','RS','120131131136131431426639245124610116027',NULL,'9998',16.30,4,2,1),(15,2128454,'1988-06-04 00:00:00',4,1,12,2005,'M','N','EMBARÉ','SANTOS','SP','125252251215571231477814575112610161042',2723,'9998',66.95,1,3,NULL),(15,2128462,'1990-06-07 00:00:00',2,7,11,2007,'M','N','CENTRO','VIDEIRA','SC','124242248215271411458833572244610147052',NULL,'969',23.50,1,3,NULL),(15,2128470,'1989-03-23 00:00:00',4,8,10,2007,'M','N','SAGUACU','JOINVILLE','SC','124241241217471431389612575122610127182',NULL,'491',0.00,1,3,NULL),(15,2128489,'1989-09-28 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124202201211572431228933571324610125147',8055,'9998',55.27,1,3,NULL),(15,2128500,'1987-07-19 00:00:00',4,1,11,2005,'F','N','PÂNTANO DO SUL','FLORIANOPOLIS','SC','124243247217131751223644242324610154147',NULL,'1003',6.88,1,3,NULL),(15,2128519,'1990-03-19 00:00:00',2,3,7,2007,'M','N','CENTRO','PELOTAS','RS','120243201116131432324627575124610167052',NULL,'9998',0.00,4,3,NULL),(15,2128527,'1990-04-19 00:00:00',4,6,12,2007,'F','N','CENTRO','BRUSQUE','SC','124242241215111711379831572122610123182',18440,'981',39.59,1,3,NULL),(15,2128535,'1990-01-21 00:00:00',2,3,12,2007,'F','N','SOCIAL','MARINGA','PR','116162168215421751539912595112210118117',NULL,'9998',0.00,1,3,NULL),(15,2128543,'1982-03-14 00:00:00',2,1,12,1999,'M','N','CAMPINAS','SAO JOSE','SC','124241241136174431224344345224131066097',11280,'359',50.04,1,2,1),(15,2128551,'1981-05-04 00:00:00',4,1,12,2007,'M','N','FORQUILHAS','SAO JOSE','SC','124243247337131421325644145334610132042',16916,'9999',41.98,2,1,2),(15,2128560,'1989-08-04 00:00:00',4,5,12,2007,'F','N','GETÚLIO VARGAS','TORRES','RS','120201201136141431526813432121610161097',20743,'9998',35.41,1,2,1),(15,2128578,'1989-06-29 00:00:00',1,1,12,2007,'F','N','JARDIM IOLANDA','TABOAO DA SERRA','SP','625252251217131712666612372124610168182',20575,'9998',35.74,1,3,NULL),(15,2128586,'1990-05-13 00:00:00',2,7,12,2007,'M','N','PARQUE JARDIM OURO','OURO','SC','124242241215111431563912215122610147057',16900,'446',42.01,1,3,NULL),(15,2128594,'1988-06-29 00:00:00',2,6,12,2005,'M','N','CENTRO','PICARRAS','SC','124243241215572431468823571122131427112',3993,'1026',63.47,1,3,NULL),(15,2128608,'1990-04-30 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241117151431423331582224610114052',NULL,'288',19.51,1,3,NULL),(15,2128616,'1990-03-14 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241315211431339923575124610126137',9530,'1118',52.72,1,3,NULL),(15,2128624,'1987-12-11 00:00:00',4,1,12,2005,'M','N','JARDIM SÃO JOSE','BRAGANCA PAULISTA','SP','125133251215575411259911595122610124047',NULL,'9998',0.00,1,3,NULL),(15,2128632,'1986-05-07 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124202241217272431349811415224132528092',7032,'266',57.09,1,3,NULL),(15,2128640,'1990-02-10 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241215131431438914575125610122097',12686,'738',48.01,1,3,NULL),(15,2128659,'1988-11-11 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215372441336636575114610164083',NULL,'272',0.00,1,3,NULL),(15,2128667,'1990-04-18 00:00:00',4,8,12,2007,'F','N','AMERICA','JOINVILLE','SC','124242241215371431366612574122610134072',10074,'486',51.82,1,3,NULL),(15,2128675,'1983-09-09 00:00:00',4,1,12,2001,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241217155431589811295122221067132',5405,'270',60.27,1,3,NULL),(15,2128691,'1990-11-20 00:00:00',4,1,12,2007,'F','N','CENTRO','PONTA GROSSA','PR','116162161215421431459812572124610123187',NULL,'9998',0.00,1,3,NULL),(15,2128705,'1990-09-03 00:00:00',4,7,12,2007,'M','N','CENTRO','SAO JOSE DO OURO','RS','120201241317111431469633572122610167122',5641,'446',59.80,1,3,NULL),(15,2128713,'1988-09-10 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124242241216271431369923572124610132093',11127,'883',50.26,1,3,NULL),(15,2128721,'1989-06-29 00:00:00',2,1,12,2006,'M','N','FLOR DE NAPOLIS','SAO JOSE','SC','124241241117471431423329382124610117047',17006,'727',41.87,4,2,1),(15,2128764,'1989-12-04 00:00:00',2,1,1,2008,'F','N','CENTRO','DIONISIO CERQUEIRA','SC','124161241136131431533411275121610127077',NULL,'245',0.00,1,3,NULL),(15,2128780,'1991-11-03 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241217151431359833586111610167167',NULL,'270',38.18,1,3,NULL),(15,2128799,'1990-08-28 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORES DA CUNHA','RS','120202201417271431336729575122610137052',21160,'9998',34.52,1,3,NULL),(15,2128802,'1973-05-02 00:00:00',4,1,12,1992,'F','N','SERRARIA','SAO JOSE','SC','124241203141132421124248282324140723147',NULL,'9998',0.00,1,2,1),(15,2128829,'1989-03-16 00:00:00',4,8,12,2006,'F','N','CENTRO','JESUITAS','PR','116162161416471431368833574122610166197',NULL,'9998',0.00,1,3,NULL),(15,2128837,'1990-06-21 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217111711438821314125610144102',6318,'262',58.43,1,3,NULL),(15,2128845,'1990-03-19 00:00:00',2,5,11,2007,'F','N','CENTRO','ICARA','SC','124241241212121431438631314124610117182',10164,'226',51.69,1,3,NULL),(15,2128853,'1989-11-20 00:00:00',2,8,12,2006,'F','N','CAPÃO RASO','CURITIBA','PR','116162161216471411348811575124610164147',1183,'9998',72.55,1,3,NULL),(15,2128861,'1988-11-09 00:00:00',2,1,12,2006,'F','N','CENTRO','PALMITINHO','RS','124201205134131411456633572124231323142',NULL,'9998',0.00,1,2,1),(15,2128870,'1990-03-26 00:00:00',4,8,12,2007,'F','N','MARIA LUIZA','CASCAVEL','PR','116162161216121431438711275122610126072',10588,'9998',51.04,1,3,NULL),(15,2128896,'1990-11-27 00:00:00',2,1,12,2007,'M','N','FAZENDA DA ARMAÇÃO','GOVERNADOR CELSO RAMOS','SC','124243241116131431436733575124610137117',NULL,'65',22.79,1,3,NULL),(15,2128900,'1988-12-06 00:00:00',2,1,12,2006,'M','N','VILA SÃO LUIS','LIMEIRA','SP','125252251217461411358812572113610164017',17741,'9998',40.74,1,3,NULL),(15,2128918,'1990-10-27 00:00:00',4,6,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215321431537571476121610137117',20181,'44',36.46,1,3,NULL),(15,2128926,'1990-03-30 00:00:00',2,1,12,2007,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241115131431426614592122610167077',12619,'941',48.11,1,3,NULL),(15,2128934,'1985-10-26 00:00:00',2,1,11,2003,'F','N','ARMAÇAO','FLORIANOPOLIS','SC','124241243211313421443311283114610113032',17142,'303',41.65,1,3,NULL),(15,2128950,'1988-11-17 00:00:00',2,1,11,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242241217132412437829572214610134017',14020,'737',46.13,1,3,NULL),(15,2128985,'1990-02-27 00:00:00',2,9,12,2007,'M','N','CENTRO','PRESIDENTE GETULIO','SC','124242241215111431358813575122610164072',14854,'991',44.95,1,3,NULL),(15,2128993,'1978-10-31 00:00:00',2,1,11,1998,'M','N','TAPERA','FLORIANOPOLIS','SC','224201201147371431443344145334140217057',9269,'9998',53.16,5,2,1),(15,2129027,'1989-01-09 00:00:00',1,1,6,2007,'M','N','JARDIM UNIVERSITARIO','SAO JOSE DO RIO PRETO','SP','125252281415271431569833371111610112053',6160,'9998',58.74,1,3,NULL),(15,2129043,'1988-09-12 00:00:00',4,2,12,2005,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241216574751449919495125231023182',3040,'422',66.01,1,3,NULL),(15,2129051,'1989-04-11 00:00:00',2,1,12,2006,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241122271431426313341224610127097',NULL,'307',15.25,1,2,1),(15,2129086,'1989-09-18 00:00:00',2,9,12,2007,'F','N','CENTRO','LAGES','SC','124241241215111431326514276122610114147',NULL,'515',21.36,1,3,NULL),(15,2129094,'1990-07-14 00:00:00',2,7,12,2007,'M','N','CENTRO','JABORA','SC','124243241415111211553536215122610127057',19515,'446',37.79,1,3,NULL),(15,2129108,'1988-11-03 00:00:00',4,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124162161213371431356621395124141227027',12382,'9998',48.45,1,3,NULL),(15,2129116,'1986-02-02 00:00:00',2,1,12,2003,'F','N','JARDIM JANAÍNA','BIGUACU','SC','124241241126575431455311395124231064147',19508,'307',37.82,1,2,1),(15,2129124,'1990-09-03 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215122431347834576112610136192',283,'270',78.97,1,3,NULL),(15,2129132,'1988-09-06 00:00:00',2,2,12,2005,'F','N','CENTRO','UNIAO DA VITORIA','PR','116242161215572751569931591125610167097',11100,'9998',50.30,1,3,NULL),(15,2129140,'1990-04-21 00:00:00',2,1,12,2007,'M','N','NOVA VILA','GOIANIA','GO','109092091232111431338811572222610167187',8173,'9998',55.06,1,3,NULL),(15,2129159,'1989-03-06 00:00:00',4,1,12,2006,'F','N','JARDIM AQUÁRIUS','SAO JOSE DOS CAMPOS','SP','125252251215472431558831595112610133152',740,'9998',75.10,1,3,NULL),(15,2129167,'1990-12-19 00:00:00',2,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124241243115131431226823271124610136017',2951,'129',66.29,4,2,1),(15,2129175,'1989-12-10 00:00:00',4,1,11,2006,'F','N','CIDADE ALTA','MEDIANEIRA','PR','116162161417472411447615155125610166052',NULL,'9998',0.00,1,3,NULL),(15,2129183,'1991-07-20 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241212112431239923572222610127072',4569,'9997',62.08,1,3,NULL),(15,2129191,'1988-01-29 00:00:00',2,5,12,2005,'M','N','CENTRO','CRICIUMA','SC','124242241215272431558612272122131464067',14165,'226',45.94,1,3,NULL),(15,2129213,'1990-10-14 00:00:00',2,1,12,2007,'F','N','RIO BRANCO','CAXIAS DO SUL','RS','120204206217151431335824572122610138142',NULL,'9998',0.00,1,3,NULL),(15,2129221,'1988-12-04 00:00:00',2,1,12,2006,'M','N','GUARDA DO CUBATÃO','PALHOCA','SC','124241241137471431558813246123610167187',16620,'592',42.43,1,3,NULL),(15,2129230,'1988-10-21 00:00:00',4,1,12,2006,'F','N','OCTOGONAL','CRUZEIRO','DF','107072071217471432478831595122610167047',5250,'9998',60.62,1,3,NULL),(15,2129248,'1990-10-11 00:00:00',4,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241216111431548611575124610121097',16200,'724',43.06,1,3,NULL),(15,2129256,'1991-07-16 00:00:00',4,1,11,2009,'M','S','ITAGUAÇÚ','FLORIANOPOLIS','SC','124242241217111711448614375124610168041',NULL,'270',43.32,1,3,NULL),(15,2129264,'1985-05-24 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248211314421248823572124233212072',1899,'270',69.61,1,3,NULL),(15,2129272,'1990-08-31 00:00:00',4,1,11,2007,'F','N','VENDAVAL','BIGUACU','SC','124241241315131431534711572123610124077',13328,'63',47.14,1,3,NULL),(15,2129280,'1989-11-13 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242241216311431426431215122610122182',17257,'944',41.47,1,3,NULL),(15,2129299,'1990-10-08 00:00:00',4,1,12,2007,'M','N','ABRAAO','FLORIANOPOLIS','SC','124242241215111431456824572124610127185',18593,'1022',39.33,1,3,NULL),(15,2129302,'1990-08-03 00:00:00',3,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241415111411369913372124610125092',2676,'270',67.10,1,3,NULL),(15,2129310,'1989-04-25 00:00:00',2,1,12,2006,'M','N','PLANALTO','CAXIAS DO SUL','RS','120202201216471711479833395122240717042',15770,'9998',43.72,1,3,NULL),(15,2129329,'1990-11-05 00:00:00',4,5,11,2007,'F','N','RIO BELO','ORLEANS','SC','124242241216121431468734575112610148142',3064,'226',65.92,1,3,NULL),(15,2129337,'1987-08-10 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241126132411213649396334610125187',20036,'282',36.75,2,1,1),(15,2129345,'1991-06-26 00:00:00',4,2,11,2008,'M','S','ASILO','BLUMENAU','SC','124242241215141411548832345122610122147',NULL,'71',49.79,1,3,NULL),(15,2129353,'1990-09-24 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241411131431337619372124610122031',10503,'288',51.18,2,1,2),(15,2129361,'1991-05-18 00:00:00',4,1,11,2009,'M','S','CAMPECHE','FLORIANOPOLIS','SC','124242241217111431348834595112610167112',NULL,'270',49.62,4,3,NULL),(15,2129370,'1991-03-26 00:00:00',2,1,11,2007,'M','N','SANTINHO','FLORIANOPOLIS','SC','124243241315121431356621575124610127022',8709,'1022',54.16,1,3,NULL),(15,2129388,'1990-07-09 00:00:00',4,1,12,2007,'M','N','MORRO DA CRUZ','FLORIANOPOLIS','SC','124242241217371431478831572112610168042',5851,'262',59.36,1,3,NULL),(15,2129396,'1990-04-12 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215371431348824245112610123187',8825,'44',53.97,1,3,NULL),(15,2129400,'1990-07-23 00:00:00',2,7,11,2007,'M','N','CENTRO','JABORA','SC','124243241216111531456634275124610167047',NULL,'446',10.26,1,3,NULL),(15,2129434,'1989-09-29 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241317132721329633382214610127037',16464,'300',42.64,1,3,NULL),(15,2129442,'1990-07-29 00:00:00',4,1,11,2007,'M','N','CENTRO','SAO JOSE','SC','124242241215271431558613582112610167042',1843,'724',69.80,1,3,NULL),(15,2129469,'1990-05-22 00:00:00',4,4,11,2007,'F','N','CENTRO','CAMPO ERE','SC','124162161216121431333612575124610124142',NULL,'9998',0.00,1,3,NULL),(15,2129477,'1989-10-24 00:00:00',2,1,12,2006,'F','N','JARDIM SATÉLITE','SAO JOSE DOS CAMPOS','SP','125082251215571431359913575124610114094',3413,'9998',64.96,1,3,NULL),(15,2129485,'1989-05-24 00:00:00',2,1,12,2006,'M','N','FLOR DE NÁPOLIS','SAO JOSE','SC','124243248215142431433629492124610137052',NULL,'944',0.00,1,3,NULL),(15,2129493,'1989-04-23 00:00:00',4,8,12,2006,'M','N','ATIRADORES','JOINVILLE','SC','124242246212311431487834581112131462043',NULL,'1105',0.00,1,3,NULL),(15,2129507,'1990-09-06 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241215111431236924574324610142052',3252,'270',65.39,1,3,NULL),(15,2129515,'1990-03-07 00:00:00',2,1,12,2007,'M','N','FLOR DE NAPOLIS','SAO JOSE','SC','124242241216371431443933475124610162182',6642,'1074',57.83,1,3,NULL),(15,2129523,'1987-03-30 00:00:00',4,1,12,2004,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241241114132411438814382214610125097',18801,'307',38.98,1,2,1),(15,2129531,'1981-09-16 00:00:00',2,1,11,1999,'M','N','FLORESTA','SAO JOSE','SC','124241241415135431436611342234610126057',14269,'1003',45.77,1,3,NULL),(15,2129540,'1985-11-01 00:00:00',4,1,12,2004,'M','N','INGLESES','FLORIANOPOLIS','SC','124283241217151432348834115122233222157',8708,'299',54.16,1,3,NULL),(15,2129558,'1988-02-04 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217272431488832477112131068143',12268,'262',48.63,1,3,NULL),(15,2129566,'1990-10-18 00:00:00',2,7,11,2007,'M','N','CENTRO','HERVAL D OESTE','SC','124243241215111431466612275122610137057',10420,'446',51.32,1,3,NULL),(15,2129574,'1987-10-09 00:00:00',2,1,12,2004,'F','N','VILA ESTER','SAO PAULO','SP','125252251217572432559811572114610132057',2571,'9998',67.41,1,3,NULL),(15,2129582,'1990-01-21 00:00:00',4,3,11,2007,'M','N','ANDORINHA','ITAPEMA','SC','124252241215111441443332385121610132045',10721,'403',50.85,1,3,NULL),(15,2129604,'1989-01-09 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211121731348823572124610124192',12423,'270',48.41,1,3,NULL),(15,2129612,'1990-08-16 00:00:00',4,2,12,2007,'F','N','CENTRO','GASPAR','SC','124242241214111411465812125122610148192',NULL,'909',0.00,1,3,NULL),(15,2129620,'1989-01-07 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241125141131426614271124610164027',NULL,'142',20.79,1,3,NULL),(15,2129639,'1990-02-24 00:00:00',2,1,11,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124051241125131431642621375124610116042',NULL,'282',19.49,2,1,1),(15,2129647,'1990-05-02 00:00:00',4,10,12,2007,'M','N','MONTE CASTELO','TUBARAO','SC','124241241117131431523511295121610147077',NULL,'804',22.50,4,2,1),(15,2129663,'1990-01-12 00:00:00',2,1,12,2007,'F','N','SÃO FRANCISCO','SANTO AMARO DA IMPERATRIZ','SC','124241241215151431334411415112610122197',NULL,'1014',22.97,1,3,NULL),(15,2129671,'1980-12-20 00:00:00',2,1,11,2000,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241221133421115344142334122237112',21560,'263',33.60,4,3,NULL),(15,2129680,'1991-05-13 00:00:00',2,1,11,2008,'M','S','PRAIA COMPRIDA','SAO JOSE','SC','124244241215111412336614572112610127042',NULL,'262',40.77,1,3,NULL),(15,2129698,'1989-12-01 00:00:00',4,2,12,2007,'M','N','ASILO','BLUMENAU','SC','124242241215111411548832345122610124052',19502,'71',37.83,1,3,NULL),(15,2129701,'1987-03-15 00:00:00',4,1,12,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241346132411445844245124230764027',11151,'307',50.23,1,3,NULL),(15,2129710,'1988-05-09 00:00:00',2,7,12,2005,'F','N','CORONEL ANTONINO','CAMPO GRANDE','MS','112242241216572431469914271124610128197',15387,'454',44.28,1,3,NULL),(15,2129728,'1990-11-26 00:00:00',4,1,12,2007,'M','N','JARDIM TROPICAL','MATELANDIA','PR','116163161116151431225624342124610138192',4261,'9998',62.78,1,3,NULL),(15,2129736,'1990-08-28 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241215422431448811415125610164112',1802,'270',69.92,1,3,NULL),(15,2129744,'1990-09-05 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161215421431286332575115610137142',18479,'9998',39.52,1,3,NULL),(15,2129752,'1988-01-12 00:00:00',4,4,12,2006,'M','N','CENTRO','SAO DOMINGOS','SC','124241161111372431436612211124610126052',NULL,'707',24.74,1,3,NULL),(15,2129760,'1989-05-12 00:00:00',4,1,12,2006,'M','N','SÃO VICENTE','FRANCA','SP','125252251216471631448832215124610164172',3128,'9998',65.77,1,3,NULL),(15,2129779,'1983-07-26 00:00:00',2,1,12,1998,'F','N','KOBRASSOL II','SAO JOSE','SC','124241241222274421236853342224223024197',NULL,'262',23.79,1,3,NULL),(15,2129795,'1989-11-06 00:00:00',4,6,12,2007,'F','N','CONJ ÁGUA BRANCA','CONTAGEM','MG','113132136116371741338821375124610167182',3157,'9998',65.68,1,3,NULL),(15,2129809,'1988-06-24 00:00:00',2,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124242241214473411431367372124231265053',15152,'1022',44.59,1,3,NULL),(15,2129817,'1977-04-20 00:00:00',2,1,12,1994,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241117134511353922185122331521017',5574,'239',59.92,1,3,NULL),(15,2129825,'1989-08-23 00:00:00',4,1,11,2007,'F','N','CENTRO','BIGUACU','SC','124242241215473431478833574122610126092',4657,'270',61.85,1,3,NULL),(15,2129833,'1990-10-02 00:00:00',2,7,12,2007,'M','N','BOM JESUS','CACADOR','SC','124242241215111111366833592122610167052',NULL,'118',21.87,1,3,NULL),(15,2129850,'1976-10-29 00:00:00',4,1,6,1994,'M','N','CENTRO','FLORIANOPOLIS','SC','124242246133145221148643433232520224167',3113,'303',65.82,1,3,NULL),(15,2129868,'1990-02-28 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211111211528832111121610118192',18490,'270',39.51,1,3,NULL),(15,2129876,'1990-04-05 00:00:00',4,3,11,2007,'M','N','CENTRO','ERECHIM','RS','120202201217271431353612192112610134047',10712,'9998',50.86,1,3,NULL),(15,2129884,'1988-07-04 00:00:00',2,9,11,2006,'M','N','BRUSQUE','LAGES','SC','124246247312471221323311282112610167045',17337,'9999',41.33,4,3,NULL),(15,2129914,'1989-04-26 00:00:00',4,1,11,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241112131431438414375114610137187',19869,'288',37.08,1,3,NULL),(15,2129922,'1978-04-04 00:00:00',2,1,12,1997,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124243241217135721547319395133131424117',10965,'269',50.52,1,3,NULL),(15,2129930,'1990-06-09 00:00:00',4,7,12,2007,'M','N','CENTRO','FRAIBURGO','SC','124243241132111441644634345122610134142',14959,'314',44.84,1,3,NULL),(15,2129957,'1986-05-27 00:00:00',2,3,12,2003,'F','N','JARDIN ROLLO','ARARAS','SP','125251251315574741436634171125610145182',16338,'9998',42.84,1,3,NULL),(15,2129965,'1987-09-09 00:00:00',2,1,12,2005,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215273431546611412114610164045',11333,'269',49.94,1,3,NULL),(15,2129973,'1989-05-28 00:00:00',4,2,12,2006,'F','N','JARDIM COLINA VERDE','GOIOERE','PR','116162161215471431438814575124610134017',12084,'9998',48.88,1,3,NULL),(15,2129981,'1990-10-30 00:00:00',4,1,12,2007,'F','N','COLINA VERDE','IVOTI','RS','120204201416151431388821272212610166172',NULL,'9998',0.00,1,3,NULL),(15,2129990,'1989-07-01 00:00:00',2,5,12,2007,'F','N','CENTRO','TERRA DE AREIA','RS','120201201116271431233624345124610162147',NULL,'9998',0.00,1,2,1),(15,2130009,'1989-01-14 00:00:00',2,7,12,2006,'F','N','FARROUPILHA','VIDEIRA','SC','124244241436371431247923345322610138092',11494,'829',49.72,1,3,NULL),(15,2130017,'1989-10-02 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241115131431439819572124610127017',15298,'733',44.40,1,3,NULL),(15,2130025,'1990-04-14 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212111541558816572334610164077',6020,'270',59.04,1,3,NULL),(15,2130033,'1989-03-21 00:00:00',4,1,12,2006,'F','N','JARDIM VON ZUBEN','CAMPINAS','SP','125251251446471411368614245122610144092',11490,'9998',49.72,1,3,NULL),(15,2130041,'1978-06-16 00:00:00',2,1,12,2000,'M','N','CENTRO','FLORIANOPOLIS','SC','224243241225274711434479245134610167047',16995,'1003',41.88,1,3,NULL),(15,2130050,'1989-01-07 00:00:00',2,1,6,2007,'F','N','JARDIM PETRÓPOLIS','SAO PAULO','SP','125252257236471431488839592122610168187',20126,'9998',36.57,1,3,NULL),(15,2130068,'1990-07-24 00:00:00',4,5,11,2007,'F','N','CENTRO','ARARANGUA','SC','124242241215111431456622572112610162187',6171,'32',58.70,1,3,NULL),(15,2130084,'1989-11-14 00:00:00',2,8,12,2006,'M','N','ENSEADA','SAO FRANCISCO DO SUL','SC','124242241217471431337722475111610167112',NULL,'867',34.49,1,3,NULL),(15,2130092,'1991-05-23 00:00:00',2,1,11,2007,'F','N','IPIRANGA','SAO JOSE','SC','124244241117131531424429295334610123077',21644,'734',33.39,1,3,NULL),(15,2130106,'1990-07-06 00:00:00',4,1,12,2007,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','124242241215141431488832245124610122193',12148,'262',48.79,1,3,NULL),(15,2130114,'1986-10-14 00:00:00',2,1,12,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','624241248211154711678613395123222264177',16551,'1022',42.51,1,3,NULL),(15,2130122,'1987-06-03 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241237474411246332272212610167157',5230,'266',60.65,1,3,NULL),(15,2130130,'1989-01-07 00:00:00',2,9,12,2006,'F','N','BERGER','CACADOR','SC','124241241215272421435714174224610164157',12273,'119',48.62,1,3,NULL),(15,2130149,'1989-08-03 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124252251215472431488832575112610164092',635,'9998',75.79,4,3,NULL),(15,2130157,'1970-07-23 00:00:00',2,1,12,2004,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241147133411332643231114610116182',10496,'307',51.18,1,3,NULL),(15,2130173,'1986-08-15 00:00:00',2,1,12,2004,'F','N','CENTRO','IMBUIA','SC','124241241127371431461111342124610164187',16941,'416',41.94,1,3,NULL),(15,2130203,'1990-12-30 00:00:00',4,1,10,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241212132441223923572122610145097',2494,'738',67.64,4,3,NULL),(15,2130211,'1989-07-02 00:00:00',4,1,12,2007,'M','N','MOEMA','SAO PAULO','SP','125132251216211711548835595124610117052',13570,'9998',46.79,1,3,NULL),(15,2130220,'1990-04-21 00:00:00',2,1,12,2007,'F','N','JARDIM EUROPA','BIGUACU','SC','124241241215121431335619572124610127147',12700,'1022',47.98,1,3,NULL),(15,2130238,'1988-02-01 00:00:00',2,1,12,2005,'F','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124241241115372731323319371224610164182',NULL,'281',40.92,1,2,1),(15,2130246,'1989-02-23 00:00:00',4,2,12,2006,'F','N','CENTRO','ITUPORANGA','SC','124241241215372431434933342233610126057',16276,'654',42.93,1,3,NULL),(15,2130254,'1990-04-12 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','125252251217111751348732572121610162043',11211,'9998',50.14,1,3,NULL),(15,2130262,'1989-02-05 00:00:00',4,1,12,2006,'F','N','CENTRO','ALTO PARANA','PR','116164161215472431356939575122610154142',11322,'9998',49.96,1,3,NULL),(15,2130270,'1989-05-29 00:00:00',2,1,12,2006,'F','N','ZONA SETE','MARINGA','PR','116161161215472431235916575112610166142',NULL,'9998',0.00,4,3,NULL),(15,2130289,'1985-02-11 00:00:00',4,1,12,2002,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241117373441558634275124610147097',16335,'307',42.84,1,3,NULL),(15,2130297,'1986-09-15 00:00:00',4,9,12,2003,'M','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124242241212374421489933475122231065142',7303,'497',56.60,1,3,NULL),(15,2130300,'1989-06-09 00:00:00',2,1,12,2007,'M','N','SANTA MARIA','JATAI','GO','109092091237151432428631572111610117057',22506,'9998',28.57,1,3,NULL),(15,2130319,'1989-10-07 00:00:00',4,8,12,2006,'M','N','FLORESTA','JOINVILLE','SC','124242241215371431469914574121610136142',7997,'932',55.38,1,3,NULL),(15,2130327,'1975-08-24 00:00:00',2,1,12,1995,'M','N','CENTRO','GAROPABA','SC','124281286337154431125841315134121746097',7342,'9998',56.53,1,3,NULL),(15,2130335,'1987-10-07 00:00:00',4,1,6,2006,'M','N','JARDIM UMUARAMA','SAO PAULO','SP','125252257236371431389819492124610167017',19151,'9998',38.44,1,3,NULL),(15,2130343,'1984-12-10 00:00:00',2,1,12,1984,'M','N','TRINDADE','FLORIANOPOLIS','SC','124254251215572441635632245325610166097',6292,'9998',58.46,4,3,NULL),(15,2130351,'1988-06-26 00:00:00',4,8,12,2005,'F','N','CABRAL','CURITIBA','PR','116162161216574751487619571124610164037',8771,'9998',54.06,1,3,NULL),(15,2130386,'1990-08-14 00:00:00',2,3,11,2007,'M','N','CENTRO','ERECHIM','RS','120202201217371431557812392115610132197',4663,'9998',61.84,1,3,NULL),(15,2130416,'1986-07-21 00:00:00',4,1,12,2003,'F','N','CENTRO','PORTO ALEGRE','RS','120201201216571431436611572224610166187',273,'9998',79.05,1,3,NULL),(15,2130424,'1989-01-08 00:00:00',2,9,12,2006,'F','N','CENTRO','SAO JOAQUIM','SC','124242241215472431423914571312610167012',NULL,'1035',22.45,1,3,NULL),(15,2130432,'1989-05-15 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241115472411456824572124610122097',5465,'257',60.13,1,2,1),(15,2130440,'1989-09-20 00:00:00',2,1,12,2007,'M','N','CENTRO','FARTURA','SP','125251251116131431526639572321610124037',NULL,'9998',27.71,1,2,1),(15,2130459,'1989-07-22 00:00:00',4,8,11,2007,'F','N','SÃO BRAZ','CURITIBA','PR','116162168215121431479811491122610133092',8877,'9998',53.87,1,3,NULL),(15,2130467,'1990-10-05 00:00:00',4,1,11,2007,'F','N','JARDIM AMÉRICA','RIO DO SUL','SC','116242161217111441468811175114610128072',13481,'9998',46.91,1,3,NULL),(15,2130475,'1989-11-21 00:00:00',4,1,12,2006,'F','N','N S DO ROSÁRIO','SAO JOSE','SC','124243241117152731336923575124133014042',17258,'733',41.47,4,3,NULL),(15,2130483,'1990-12-20 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216171231236412275212610164196',53,'270',82.88,1,3,NULL),(15,2130513,'1986-04-08 00:00:00',2,1,12,2002,'F','N','URUBICI','URUBICI','SC','124241241131133431423823341324131366197',NULL,'818',0.00,2,3,NULL),(15,2130521,'1985-09-14 00:00:00',4,1,6,2004,'M','N','SANTO AMARO','SAO PAULO','SP','125284251216141411456641414124142142057',6760,'9998',57.63,1,3,NULL),(15,2130530,'1987-09-15 00:00:00',4,8,12,2005,'M','N','VILA MARIANA','BAURU','SP','125252251214311411438819411312143264117',13325,'9998',47.15,1,3,NULL),(15,2130548,'1990-05-04 00:00:00',4,3,10,2007,'F','N','SANTA RITA','BRUSQUE','SC','124242241215111411486619576112610167012',2328,'981',68.14,1,3,NULL),(15,2130556,'1990-10-28 00:00:00',4,1,11,2008,'F','S','TRINDADE','FLORIANOPOLIS','SC','124242241117131431229821395124610151142',NULL,'271',43.50,1,3,NULL),(15,2130564,'1986-10-14 00:00:00',4,1,8,2003,'M','N','CENTRO','CAMPO GRANDE','MS','112124121217571431238616571215141064127',134,'9998',80.91,1,3,NULL),(15,2130572,'1990-03-20 00:00:00',2,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215111431373312275114610112075',NULL,'737',0.00,1,3,NULL),(15,2130580,'1991-07-05 00:00:00',4,1,12,2008,'F','S','KOBRASOL','SAO JOSE','SC','124242248215111441234824472122610163111',NULL,'723',43.39,1,3,NULL),(15,2130602,'1985-06-01 00:00:00',4,2,12,2002,'F','N','ASILO','BLUMENAU','SC','124241241215373451436634441132610132147',2956,'86',66.29,1,3,NULL),(15,2130610,'1988-03-25 00:00:00',2,1,11,2005,'M','N','VILA GOMES','CAMPO GRANDE','MS','112122121215471451246836264124141432142',14282,'9998',45.76,1,3,NULL),(15,2130629,'1989-09-12 00:00:00',4,1,11,2007,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124244241217111731468811375124610164187',19661,'259',37.49,1,3,NULL),(15,2130637,'1987-01-29 00:00:00',4,1,6,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124282281216142431536612372125242462045',NULL,'9998',0.00,1,3,NULL),(15,2130645,'1985-05-26 00:00:00',4,1,12,2004,'F','N','VILAGE','GAROPABA','SC','124203211317272751437511275324141567047',NULL,'9998',0.00,5,3,NULL),(15,2130653,'1983-12-23 00:00:00',4,1,12,2000,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242244117274431336769485113222367142',8687,'306',54.20,1,3,NULL),(15,2130661,'1990-01-23 00:00:00',4,8,12,2007,'M','N','AMERICA','JOINVILLE','SC','124241241215121431436813275122610146015',6221,'1016',58.60,1,3,NULL),(15,2130670,'1959-09-18 00:00:00',4,1,11,1978,'M','N','BARREIROS','SAO JOSE','SC','524201203422131411256644345122231462147',12166,'9998',48.77,1,3,NULL),(15,2130688,'1991-05-06 00:00:00',2,1,2,2008,'F','N','FORQUILHINHAS','SAO JOSE','SC','124243241116471411657832575124610133147',6181,'739',58.69,4,1,2),(15,2130696,'1986-05-05 00:00:00',4,1,12,2003,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124244241217273431336623371124610146067',3828,'259',63.91,1,3,NULL),(15,2130726,'1990-02-22 00:00:00',4,7,12,2007,'M','N','SAO SEBASTIAO','CAMPOS NOVOS','SC','124241251116131431535611194335610138057',NULL,'140',0.00,1,2,1),(15,2130742,'1990-12-03 00:00:00',4,1,12,2008,'M','S','TRINDADE','FLORIANOPOLIS','SC','124242241215111431579834472122610168042',NULL,'737',48.08,1,3,NULL),(15,2130750,'1982-10-18 00:00:00',2,1,12,2001,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124071213416232411446513315124141966177',14321,'9998',45.70,4,3,NULL),(15,2130769,'1971-06-12 00:00:00',2,1,12,1987,'F','N','CENTRO','FLORIANOPOLIS','SC','624114116136152421276851232132141441182',8051,'9998',55.28,1,3,NULL),(15,2130777,'1990-01-22 00:00:00',4,1,11,2007,'M','N','CENTRO','PALHOCA','SC','124242241235371431467833574111610122047',2795,'1011',66.75,4,3,NULL),(15,2130785,'1985-10-10 00:00:00',4,1,12,2002,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124244241315575431348823575124610114012',1402,'943',71.64,1,3,NULL),(15,2130793,'1990-07-06 00:00:00',2,5,11,2007,'M','N','CENTRO','JACINTO MACHADO','SC','124241241412125211622374345222332324163',3309,'226',65.24,4,3,NULL),(15,2130815,'1987-10-01 00:00:00',4,1,12,2005,'M','N','VISTA VERDE','SAO JOSE DOS CAMPOS','SP','125251251214571711468814471124610144027',2817,'9998',66.71,1,3,NULL),(15,2130823,'1990-01-31 00:00:00',4,2,12,2007,'M','N','SANTA RITA','BRUSQUE','SC','124242241215272431443611372112610122052',1537,'107',71.06,1,3,NULL),(15,2130831,'1990-01-12 00:00:00',2,1,11,2007,'M','N','CANTA GALO','RIO DO SUL','SC','124242241215112421356634575122610167072',14179,'991',45.90,4,3,NULL),(15,2130840,'1989-06-26 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241147272731546513245134610127142',7447,'307',56.34,1,2,1),(15,2130858,'1990-01-19 00:00:00',4,3,12,2007,'M','N','NAÇÕES','BALNEARIO CAMBORIU','SC','124241248116131431323369575124610134042',14713,'129',45.13,1,2,1),(15,2130866,'1990-05-18 00:00:00',2,8,12,2007,'M','N','CENTRO','JARAGUA DO SUL','SC','124254241215131431457611312222610132082',8930,'441',53.78,1,3,NULL),(15,2130874,'1988-12-19 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241211372431458314241334610167112',16817,'259',42.14,1,3,NULL),(15,2130882,'1989-10-10 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241217111431258433475124610136077',8510,'737',54.49,1,3,NULL),(15,2130890,'1990-08-28 00:00:00',4,5,11,2007,'F','N','CENTRO','ORLEANS','SC','124242241215121431355733375122610166092',5581,'226',59.91,1,3,NULL),(15,2130912,'1976-05-03 00:00:00',2,1,9,1993,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124201208126375421343353295332130863187',9662,'9998',52.47,1,2,1),(15,2130920,'1990-11-11 00:00:00',4,10,11,2007,'F','N','OFICINAS','TUBARAO','SC','124242241215111731526411575125610124052',8356,'806',54.76,1,3,NULL),(15,2130939,'1990-03-19 00:00:00',2,4,12,2007,'F','N','CENTRO','GUARACIABA','SC','124201241117131431323331212122610132057',19430,'334',37.96,1,2,1),(15,2130963,'1991-02-15 00:00:00',4,4,12,2008,'F','S','JARDIM CENTRAL','FOZ DO IGUACU','PR','116162161217151431459814475122610162192',NULL,'9998',65.99,1,3,NULL),(15,2130971,'1987-01-08 00:00:00',2,1,12,2004,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241213373431448612292124610167047',1065,'1022',73.17,1,3,NULL),(15,2131005,'1989-06-28 00:00:00',4,1,11,2007,'F','N','BUENO','GOIANIA','GO','109092098217111511567519595112610164192',5298,'9998',60.53,1,3,NULL),(15,2131013,'1990-07-24 00:00:00',4,1,12,2007,'M','N','CENTRO','MARINGA','PR','116162161216271411379933175111610144097',1863,'9998',69.74,1,3,NULL),(15,2131021,'1989-08-13 00:00:00',4,1,12,2006,'F','N','VILA SÃO JORGE','BARUERI','SP','125252251217471531489833575122610135192',16628,'9998',42.42,1,3,NULL),(15,2131030,'1989-03-20 00:00:00',4,1,12,2006,'M','N','SÃO JOSÉ','PASSO FUNDO','RS','120201201116131431628326195224240732057',NULL,'9998',23.32,1,3,NULL),(15,2131056,'1989-05-03 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241125472311534631181124610124077',13360,'922',47.10,1,2,1),(15,2131072,'1989-12-23 00:00:00',4,8,12,2007,'M','N','ALTO DO BOA VISTA','PRESIDENTE PRUDENTE','SP','125252251215111431558912285123610147127',NULL,'9998',0.00,1,3,NULL),(15,2131080,'1988-10-31 00:00:00',4,1,11,2006,'M','N','ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP','125252251215471741478914442112610164057',1342,'9998',71.92,1,3,NULL),(15,2131099,'1990-12-21 00:00:00',2,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241216111431559511575111610167047',13972,'738',46.20,1,3,NULL),(15,2131102,'1990-06-22 00:00:00',2,1,10,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241215111431436633572122610124142',21429,'738',33.90,2,3,NULL),(15,2131110,'1987-08-16 00:00:00',4,1,12,2005,'M','N','LAGO SUL','LAGO SUL','DF','107072071216471441479813575122610152047',NULL,'9998',0.00,4,3,NULL),(15,2131129,'1988-12-15 00:00:00',4,1,12,2006,'M','N','GRAÇA','SALVADOR','BA','105052051217471531469832582122610164141',5593,'9998',59.89,1,3,NULL),(15,2131145,'1988-01-31 00:00:00',4,1,12,2005,'F','N','VILA MARIA','SAO JOSE DOS CAMPOS','SP','125251251215371431558812382111610121027',NULL,'9998',26.32,1,3,NULL),(15,2131161,'1990-12-21 00:00:00',2,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215131731345534272121610137052',6750,'738',57.64,1,3,NULL),(15,2131170,'1989-03-01 00:00:00',4,1,12,2006,'M','N','MODULO DOIS','JUINA','MT','111111111117141421325523382221610148153',20879,'9998',35.13,1,3,NULL),(15,2131188,'1989-10-10 00:00:00',4,1,12,2006,'F','N','RIO BRANCO','PORTO ALEGRE','RS','120202201214472751388613575114610166196',12927,'9998',47.68,2,3,NULL),(15,2131200,'1988-06-20 00:00:00',2,1,12,2005,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','119202201217372431436612575114610162182',19617,'9998',37.58,1,3,NULL),(15,2131226,'1990-05-18 00:00:00',2,1,11,2007,'F','N','SAO CONRADO','RIO DE JANEIRO','RJ','121212211212271411379812375124610152027',NULL,'9998',0.00,1,3,NULL),(15,2131234,'1984-08-17 00:00:00',4,1,12,2001,'F','N','ESTREITO','FLORIANOPOLIS','SC','124252251216132441247644245334133263012',16098,'9998',43.23,1,3,NULL),(15,2131242,'1984-08-17 00:00:00',4,1,12,2001,'F','N','ESTREITO','FLORIANOPOLIS','SC','121254251216132421247744445334142924017',13724,'9998',46.58,1,3,NULL),(15,2131250,'1989-07-10 00:00:00',4,1,12,2007,'M','N','JARDIM GUANABARA','RIO DE JANEIRO','RJ','121212211216111431378833572112610124112',NULL,'9998',0.00,1,3,NULL),(15,2131269,'1983-05-11 00:00:00',2,1,12,2001,'F','N','CENTRO','ANTONIO CARLOS','SC','124241241111132711324415291124231066142',18748,'21',39.08,1,2,1),(15,2131277,'1990-06-30 00:00:00',2,1,10,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215271431448833592122610131052',5054,'737',60.98,1,3,NULL),(15,2131285,'1989-05-23 00:00:00',4,3,12,2006,'F','N','SENHORA DAS DORES','SANTA MARIA','RS','120201201116271431243829572114610133097',21893,'9998',32.63,2,1,1),(15,2131293,'1990-03-21 00:00:00',4,5,12,2007,'F','N','CENTRO','ARARANGUA','SC','124242241215371431434714575122610121052',8835,'970',53.95,1,3,NULL),(15,2131307,'1989-01-31 00:00:00',4,8,11,2006,'M','N','SAGUAÇU','JOINVILLE','SC','124243241215472411455521372121610134057',2854,'486',66.59,1,3,NULL),(15,2131315,'1988-08-02 00:00:00',4,1,11,2006,'M','N','SANTANA','SAO PAULO','SP','125073251316312421468813575122610117047',6244,'9998',58.57,1,3,NULL),(15,2131323,'1990-02-03 00:00:00',4,1,11,2007,'M','N','VILA CASTELAR','LIMEIRA','SP','125254251217131432448834312122610114012',11256,'9998',50.08,1,3,NULL),(15,2131331,'1990-03-07 00:00:00',2,1,10,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215271431436621592122610143012',13022,'737',47.56,1,3,NULL),(15,2131358,'1988-11-01 00:00:00',4,1,12,2006,'M','N','SANTA LUZIA','POUSO ALEGRE','MG','113134131216371431568833572111610137077',18259,'9998',39.87,1,3,NULL),(15,2131366,'1989-08-09 00:00:00',4,1,11,2006,'M','N','JARDIM SÃO PAULO','SAO PAULO','SP','125252251437371431238813472114610167052',15634,'9998',43.90,1,3,NULL),(15,2131374,'1989-06-30 00:00:00',2,5,12,2006,'M','N','CENTRO','ICARA','SC','624243241315273421557514245314610165042',12204,'226',48.71,1,3,NULL),(15,2131382,'1976-04-05 00:00:00',2,1,3,2005,'M','N','SERRINHA','FLORIANOPOLIS','SC','224253241422133431424474142345610166047',NULL,'1003',40.09,2,3,NULL),(15,2131404,'1988-02-26 00:00:00',4,1,12,2005,'F','N','BOM FIM','PORTO ALEGRE','RS','120201201412471731538311572124610146182',11508,'9998',49.70,1,3,NULL),(15,2131420,'1990-04-08 00:00:00',4,1,12,2007,'F','N','MARE MANSA','PRESIDENTE PRUDENTE','SP','125254251417151432225634572124610162142',NULL,'9998',23.20,1,3,NULL),(15,2131439,'1990-02-26 00:00:00',4,6,12,2007,'F','N','VILA DOMINGUES','VOTORANTIM','SP','125252251314471431457614575122610166177',NULL,'9998',26.02,1,3,NULL),(15,2131447,'1988-08-22 00:00:00',4,1,12,2006,'M','N','PARQUE NOVA CAMPINAS','CAMPINAS','SP','125252251217471431168811375111610132146',584,'9998',76.18,1,3,NULL),(15,2131455,'1988-02-05 00:00:00',4,1,12,2005,'F','N','CENTRO','BOTUCATU','SP','125254251217571431448923472122610122077',4117,'9998',63.16,1,3,NULL),(15,2131463,'1983-01-16 00:00:00',4,1,12,1999,'F','N','KOBRASOL','SAO JOSE','SC','124242241215373421448923382114133244097',8781,'737',54.04,1,3,NULL),(15,2131471,'1963-04-25 00:00:00',2,1,12,1981,'M','N','FLORESTA','PORTO ALEGRE','RS','120201201126152411244449191214441626187',NULL,'9998',38.49,1,2,1),(15,2131480,'1990-07-04 00:00:00',4,1,12,2007,'F','N','JARDIM MAUÁ DOIS','JAGUARIUNA','SP','125252251216111431379924572112610164077',8018,'9998',55.35,1,3,NULL),(15,2131498,'1971-06-03 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','624242247147131431444443235124610148187',NULL,'542',0.00,1,3,NULL),(15,2131501,'1990-07-07 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241216122431148933572124610134182',15769,'1038',43.72,1,3,NULL),(15,2131510,'1988-03-13 00:00:00',4,1,12,2005,'M','N','GLÓRIA','JOINVILLE','SC','124242241215572411567933575124610162081',6,'1063',86.26,1,3,NULL),(15,2131528,'1989-10-19 00:00:00',4,8,12,2006,'M','N','JARDIM FERRARI','ITAPEVA','SP','125252251216151431568833572122141534042',440,'9998',77.29,1,3,NULL),(15,2131536,'1990-08-05 00:00:00',4,3,12,2007,'F','N','CENTRO NORTE','SANTO ANGELO','RS','120204201216471731367313435114610113057',21502,'9998',33.72,1,3,NULL),(15,2131544,'1989-12-08 00:00:00',4,4,12,2006,'F','N','CENTRO','XAVANTINA','SC','124241241121131431423319192324610128057',21661,'844',33.36,1,2,1),(15,2131552,'1987-08-28 00:00:00',4,1,12,2005,'M','N','EMBARE','SANTOS','SP','125252251215573431478714575122610124022',2716,'9998',66.98,1,3,NULL),(15,2131560,'1990-05-10 00:00:00',4,1,12,2007,'F','N','SÃO MIGUEL','BIGUACU','SC','124241241212131432544414572124610132147',19264,'1118',38.23,1,3,NULL),(15,2131579,'1990-02-01 00:00:00',4,1,11,2007,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124244241215111431546833234122610163147',290,'723',78.82,1,3,NULL),(15,2131587,'1960-10-21 00:00:00',2,1,12,1979,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241245127574231633312336124321164187',14439,'9997',45.51,1,3,NULL),(15,2131595,'1989-05-23 00:00:00',4,5,12,2006,'M','N','PRIMEIRA LINHA','CRICIUMA','SC','124242241215472211389931575122120967062',5410,'226',60.26,1,3,NULL),(15,2131609,'1990-05-10 00:00:00',2,1,1,2008,'M','N','SERTÃO DO MARUIM','SAO JOSE','SC','124241241117131231347821345124610112145',9904,'739',52.08,1,2,1),(15,2131617,'1987-11-26 00:00:00',4,1,12,2005,'M','N','SANTA QUITERIA','CURITIBA','PR','116164167411212111676613481122610114051',NULL,'9999',0.00,1,3,NULL),(15,2131633,'1988-10-04 00:00:00',2,1,7,2007,'M','N','GUARDA DO CUBATÃO','PALHOCA','SC','124242241112371231456614272124610167047',11044,'306',50.39,1,3,NULL),(15,2131650,'1990-12-07 00:00:00',4,8,11,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241215411411556914444124610137142',16660,'491',42.37,4,3,NULL),(15,2131668,'1990-12-12 00:00:00',4,1,12,2007,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124243241215111411336814275124610123092',15963,'1022',43.44,1,3,NULL),(15,2131676,'1983-06-19 00:00:00',4,1,10,2002,'M','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124241246124272431533314341324610132093',16263,'306',42.96,1,2,1),(15,2131684,'1970-09-14 00:00:00',2,1,12,1987,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','224281281112153431228844241334121463057',7792,'9998',55.70,1,3,NULL),(15,2131706,'1989-08-30 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215472431568931572112610167147',6432,'441',58.20,1,3,NULL),(15,2131714,'1990-10-21 01:00:00',2,1,12,2007,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241241215111431459613275124610126157',15439,'1022',44.20,1,3,NULL),(15,2131730,'1990-04-17 00:00:00',4,1,11,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124242241215121431458832575114610164042',2101,'270',68.95,1,3,NULL),(15,2131749,'1986-04-02 00:00:00',4,1,12,2003,'F','N','INGLESES','FLORIANOPOLIS','SC','124242241215574431666969472122131326077',4906,'266',61.30,1,3,NULL),(15,2131757,'1990-02-04 00:00:00',4,1,12,2007,'M','N','CENTRO','ITAJAI','SC','124242241231152431569931591325613264042',2426,'270',67.84,1,3,NULL),(15,2131765,'1990-03-30 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241215372111568754572112610161092',16553,'266',42.51,1,3,NULL),(15,2131773,'1989-09-20 00:00:00',4,1,12,2006,'M','N','CENTRO','ERECHIM','RS','120202201217372411456932575124121467047',1968,'9998',69.37,1,3,NULL),(15,2131781,'1989-08-23 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215121731369924475124610166092',10522,'1022',51.15,1,3,NULL),(15,2131790,'1990-03-22 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124241241215111431546611272124610164147',NULL,'989',20.63,1,3,NULL),(15,2131803,'1988-12-31 00:00:00',4,8,12,2006,'M','N','ÁGUA VERDE','CURITIBA','PR','116212161215311431566619571124141467047',1986,'9998',69.31,1,3,NULL),(15,2131811,'1990-06-13 00:00:00',2,9,12,2007,'F','N','CENTRO','CURITIBANOS','SC','124242241215161431548929575112610167037',NULL,'237',16.16,1,3,NULL),(15,2131838,'1989-08-02 00:00:00',4,3,12,2006,'M','N','JD SÃO FRANCISCO','MARILIA','SP','125251251215475411557633575124610144047',10085,'9998',51.81,4,3,NULL),(15,2131846,'1990-01-18 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431478814472112610167092',2742,'270',66.90,1,3,NULL),(15,2131889,'1988-01-21 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241416133431446913442214610161015',15457,'1022',44.18,1,3,NULL),(15,2131897,'1989-12-05 00:00:00',4,1,12,2006,'F','N','BOM VIVER','BIGUACU','SC','124241241117472641353623582224610114097',9065,'257',53.54,1,2,1),(15,2131900,'1990-05-26 00:00:00',4,1,11,2007,'F','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124242241215121431367519575122610127042',2395,'270',67.94,1,3,NULL),(15,2131919,'1991-05-24 00:00:00',2,5,11,2007,'F','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124241241215271431547933275124610125072',11510,'32',49.69,1,3,NULL),(15,2131927,'1989-09-01 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124163161217572421433816575124610167127',959,'9998',73.73,1,3,NULL),(15,2131935,'1989-08-11 00:00:00',2,5,12,2006,'F','N','CENTRO','SANTA MARIA','RS','120204201217572431467614571112610144017',8722,'9998',54.14,1,3,NULL),(15,2131943,'1990-12-14 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124241246217151431456512572122610127122',9876,'1061',52.13,1,3,NULL),(15,2131951,'1988-07-15 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241412573411556833132124610161092',9934,'266',52.03,1,3,NULL),(15,2131960,'1990-06-21 00:00:00',4,1,12,2007,'M','N','JARDIM YPÊ','LENCOIS PAULISTA','SP','125253252235111411247924472111610164042',21804,'9998',32.95,1,3,NULL),(15,2131978,'1991-03-22 00:00:00',4,8,12,2007,'M','N','UMBARA','CURITIBA','PR','116163161215121411355612394122610128042',NULL,'9998',0.00,1,3,NULL),(15,2131986,'1989-08-06 00:00:00',4,1,12,2007,'F','N','VILA CAMINHO DO MAR','SAO BERNARDO DO CAMPO','SP','125252251215471431438814575124610124037',4298,'9998',62.71,1,3,NULL),(15,2131994,'1990-05-07 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241217421431356834572122610111142',18894,'270',38.84,1,3,NULL),(15,2132001,'1990-03-17 00:00:00',4,7,12,2007,'M','N','VILA ALEMANHA','LUZERNA','SC','124241241144141432536511242223610167052',NULL,'539',23.13,1,2,1),(15,2132010,'1990-03-19 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111431357831575124610165077',14711,'1022',45.13,1,3,NULL),(15,2132028,'1985-10-01 00:00:00',4,1,12,2002,'M','N','FLORESTA','SAO JOSE','SC','124242241216134431324831445124141762183',1353,'738',71.87,1,3,NULL),(15,2132036,'1991-05-25 00:00:00',2,1,12,2008,'F','S','CARIANOS','FLORIANOPOLIS','SC','124241241117111411334321572124610117145',NULL,'283',30.88,1,3,NULL),(15,2132044,'1989-08-03 00:00:00',2,1,12,2007,'M','N','ANTONIO ZANAGA','AMERICANA','SP','125251251217111431438719571112610117042',22450,'9998',29.58,4,3,NULL),(15,2132052,'1989-06-17 00:00:00',4,3,2,2008,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111431438814245122610121077',19009,'1038',38.65,1,3,NULL),(15,2132060,'1988-04-25 00:00:00',4,1,11,2006,'M','N','JARDIM SAO MIGUEL','BIGUACU','SC','124284098216131431428719492224141032092',NULL,'9998',0.00,4,3,NULL),(15,2132079,'1990-03-17 00:00:00',2,1,12,2007,'M','N','SANTO ANTÔNIO','FLORIANOPOLIS','SC','124242241217152451357734275124610162145',4004,'1048',63.43,1,3,NULL),(15,2132087,'1966-09-15 00:00:00',2,8,12,1984,'F','N','ÁGUA VERDE','CURITIBA','PR','216211211117131431563359472114142262043',12354,'9998',48.49,1,2,1),(15,2132095,'1989-05-29 00:00:00',2,1,12,2006,'F','N','CAMPO DO SETE','SERRA NEGRA','SP','125252251217471431436833475124610161094',21738,'9998',33.16,1,3,NULL),(15,2132109,'1990-11-16 00:00:00',4,10,12,2007,'F','N','STO ANTONIO DE PÁDUA','TUBARAO','SC','124241241116131431435614575112610142141',16059,'1034',43.28,1,2,1),(15,2132125,'1987-09-16 00:00:00',4,1,12,2005,'F','N','JARDIM JOAO LEVY','LIMEIRA','SP','125252251217471731469614374122143238097',NULL,'9998',0.00,1,3,NULL),(15,2132133,'1991-08-29 00:00:00',4,6,12,2007,'F','N','FAZENDA','ITAJAI','SC','124244241215151431457819274122610137092',6552,'1057',57.97,1,3,NULL),(15,2132141,'1990-08-13 00:00:00',4,8,12,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124082241215121431388614572122610166142',7340,'491',56.54,1,3,NULL),(15,2132150,'1983-04-24 00:00:00',2,1,11,2000,'F','N','ITACORUBI','FLORIANOPOLIS','SC','224241241116373431243453482224610127147',11141,'271',50.24,1,3,NULL),(15,2132168,'1989-07-15 00:00:00',4,2,11,2007,'F','N','VELHA','BLUMENAU','SC','124242241215111431466812342124610142122',10507,'71',51.17,1,3,NULL),(15,2132176,'1990-08-29 00:00:00',4,8,12,2007,'F','N','CENTRO','TOLEDO','PR','116163161215121432238923575121610164012',8554,'9998',54.43,1,3,NULL),(15,2132184,'1988-09-20 00:00:00',4,1,12,2005,'F','N','MALHEIROS','CRUZ ALTA','RS','120201201117371431438823575124610122093',3015,'9998',66.09,1,2,1),(15,2132192,'1990-01-12 00:00:00',2,1,12,2006,'F','N','JALISCO','TROMBUDO CENTRAL','SC','124241242117131431536614342342610124147',NULL,'662',23.99,1,3,NULL),(15,2132206,'1990-06-23 00:00:00',4,3,12,2007,'M','N','DAS NAÇÕES','BALNEARIO CAMBORIU','SC','124242241215111631466722575112610167042',NULL,'9997',18.92,1,3,NULL),(15,2132214,'1987-10-19 00:00:00',4,1,7,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242281435472431138923572124610122172',2632,'9998',67.22,1,3,NULL),(15,2132222,'1989-11-12 00:00:00',4,8,12,2007,'F','N','TRICOLIN','CANOINHAS','SC','124244241215111231438723575112610138097',NULL,'154',0.00,1,3,NULL),(15,2132230,'1990-07-27 00:00:00',4,3,11,2007,'M','N','PIONEIROS','BALNEARIO CAMBORIU','SC','124242241215111731558732295122610122147',17685,'1038',40.81,1,3,NULL),(15,2132249,'1989-04-28 00:00:00',4,1,11,2007,'M','N','CENTRO','TUBARAO','SC','124242247217271431449931385121610127161',19012,'9997',38.64,1,3,NULL),(15,2132257,'1990-09-17 00:00:00',2,9,12,2007,'F','N','CIDADE ALTA','TROMBUDO CENTRAL','SC','124242248215111751448612575122610163152',NULL,'991',0.00,1,3,NULL),(15,2132265,'1990-05-04 00:00:00',4,1,12,2007,'M','N','LUTHER KING','FRANCISCO BELTRAO','PR','116161161114131731459933575111610167013',NULL,'9998',0.00,4,3,NULL),(15,2132273,'1991-01-08 00:00:00',2,7,12,2007,'F','N','CENTRO','SAO JOSE DO OURO','RS','120201201116131431436633585125610128147',NULL,'9998',25.61,1,2,1),(15,2132281,'1991-11-01 00:00:00',2,2,12,2008,'F','S','CANTA GALO','RIO DO SUL','SC','124241241415111431456923575121610168077',NULL,'991',41.37,1,3,NULL),(15,2132290,'1989-12-28 00:00:00',4,2,12,2007,'F','N','VILA NOVA','BLUMENAU','SC','124242241215271231389912575112610165186',8224,'909',54.97,1,3,NULL),(15,2132303,'1989-12-19 00:00:00',4,1,11,2007,'F','N','AGRÔNOMICA','FLORIANOPOLIS','SC','124242241215111431338711274124610138117',1676,'270',70.47,1,3,NULL),(15,2132311,'1988-08-13 00:00:00',4,2,12,2005,'F','N','CAPITAIS','TIMBO','SC','124241241211473431453639572122231564197',18453,'956',39.56,1,3,NULL),(15,2132320,'1984-12-08 00:00:00',2,1,12,2002,'M','N','RONDÔNIA','NOVO HAMBURGO','RS','120206206611111421436512392122241467057',NULL,'9998',9.67,1,3,NULL),(15,2132338,'1990-10-20 00:00:00',4,8,11,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242241115111431468833574111610137097',6670,'1063',57.78,1,3,NULL),(15,2132346,'1989-03-30 00:00:00',2,9,12,2006,'M','N','PEDRAS BRANCAS','SAO MARCOS','RS','120203201217471431435319572124610122187',5117,'9998',60.89,1,3,NULL),(15,2132354,'1989-09-30 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124243241215471732346629575114610165152',NULL,'269',0.00,1,3,NULL),(15,2132362,'1987-08-06 00:00:00',4,10,12,2004,'M','N','CENTRO','TUBARAO','SC','124242241215372431337811475122131062047',8632,'9999',54.28,1,3,NULL),(15,2132370,'1989-05-05 00:00:00',4,1,12,2006,'F','N','JARDIM MORUMBI I','SOROCABA','SP','125252251215371431448814595112610167127',6928,'9998',57.29,1,3,NULL),(15,2132389,'1990-03-28 00:00:00',4,1,11,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124252241215112431578712572114610168182',9591,'270',52.60,1,3,NULL),(15,2132397,'1988-12-08 00:00:00',4,1,11,2007,'M','N','RATONES','FLORIANOPOLIS','SC','124244241417131451468833575114610134187',4849,'269',61.41,1,3,NULL),(15,2132400,'1987-08-07 00:00:00',4,3,12,2004,'M','N','ZONA QUATRO','MARINGA','PR','116162161214571431587934591115610167017',3875,'9998',63.81,1,3,NULL),(15,2132419,'1990-08-30 00:00:00',4,1,11,2007,'F','N','AREIAS','SAO JOSE','SC','124242241215272431469953574122610127052',836,'737',74.45,1,3,NULL),(15,2132427,'1990-05-10 00:00:00',2,7,11,2007,'M','N','SALETE','FRAIBURGO','SC','124242241215161211336632575122610117047',19564,'969',37.70,1,3,NULL),(15,2132435,'1990-10-04 00:00:00',2,7,12,2007,'M','N','SÃO JOSÉ','FRAIBURGO','SC','124244241435112431553314375122613227142',3648,'885',64.36,4,3,NULL),(15,2132443,'1989-04-03 00:00:00',4,1,7,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241117152751467613392112610128182',15830,'306',43.63,1,3,NULL),(15,2132451,'1989-03-21 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','624242241215472421489813572114610164063',2338,'270',68.10,1,3,NULL),(15,2132460,'1990-02-23 00:00:00',4,7,12,2007,'F','N','CENTRO','CAPINZAL','SC','124242241217161431456432274122610132017',5627,'446',59.81,1,3,NULL),(15,2132478,'1986-04-17 00:00:00',2,1,12,2004,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241117131421126748142224130228187',NULL,'288',0.00,1,2,1),(15,2132494,'1990-09-16 00:00:00',4,7,12,2007,'M','N','BERGER','CACADOR','SC','124241241115121221468933575122610142075',13168,'120',47.38,1,3,NULL),(15,2132508,'1990-07-12 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215111441358823575124610138182',335,'737',78.27,1,3,NULL),(15,2132516,'1990-08-07 00:00:00',2,7,11,2007,'F','N','CENTRO','VIDEIRA','SC','124241241216121431536612472124610166097',NULL,'969',19.97,1,3,NULL),(15,2132524,'1988-04-12 00:00:00',4,3,12,2005,'M','N','ZONA QUATRO','MARINGA','PR','116162161216571451567836495122610167042',NULL,'9998',0.00,1,3,NULL),(15,2132532,'1990-12-31 00:00:00',4,1,11,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124242241215371421468924372222610136187',3840,'262',63.90,1,3,NULL),(15,2132540,'1990-11-09 00:00:00',2,3,12,2007,'F','N','MORADA DO SOL','CACADOR','SC','124242241216111431459932574122610134147',7758,'118',55.77,1,3,NULL),(15,2132559,'1990-10-24 00:00:00',4,1,11,2007,'F','N','CENTRO','QUEDAS DO IGUACU','PR','116161161117131431448611415115610121057',12440,'9998',48.37,1,2,1),(15,2132567,'1990-02-08 00:00:00',4,1,2,2008,'M','N','FORQUILHINHAS','SAO JOSE','SC','124243241116111232445514275124610137042',9250,'739',53.19,1,3,NULL),(15,2132575,'1990-04-22 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215131311366722571125610127042',NULL,'1085',24.23,1,3,NULL),(15,2132583,'1990-05-18 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215111231489912595122610117045',13880,'883',46.34,1,3,NULL),(15,2132591,'1989-05-05 00:00:00',2,1,12,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241217472411347613582124610167062',12894,'269',47.72,1,3,NULL),(15,2132605,'1990-04-30 00:00:00',4,9,12,2007,'F','N','CENTRO','PONTE ALTA','SC','124241241115161431433733442222610114147',NULL,'625',0.00,1,3,NULL),(15,2132613,'1993-03-05 00:00:00',4,2,12,2009,'F','S','VELHA','BLUMENAU','SC','124242241215111531358713595124610168187',NULL,'87',46.54,1,3,NULL),(15,2132621,'1990-07-05 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211371311578811574115610151192',9246,'884',53.19,1,3,NULL),(15,2132630,'1990-04-11 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241216171751566933575124610166141',11901,'270',49.10,1,3,NULL),(15,2132656,'1989-04-23 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124252251216472431469813275124610168142',2428,'270',67.83,1,3,NULL),(15,2132664,'1985-09-01 00:00:00',2,1,12,2002,'M','N','PANTANAL','FLORIANOPOLIS','SC','124201201136574431438932595124133224147',1938,'9998',69.46,1,2,1),(15,2132672,'1990-05-26 00:00:00',2,1,12,2007,'F','N','CAMINHO NOVO','PALHOCA','SC','124241241115161431533311382123610124147',20628,'591',35.63,1,2,1),(15,2132680,'1990-09-29 00:00:00',4,9,12,2007,'F','N','SANTO ANTÔNIO','FRAIBURGO','SC','124242241215161441436611574112610144172',1587,'317',70.85,1,3,NULL),(15,2132699,'1989-09-18 00:00:00',4,1,12,2006,'M','N','PIRACICAMIRIM','PIRACICABA','SP','125252251216472431479614574122610162022',8082,'9998',55.21,1,3,NULL),(15,2132702,'1985-11-27 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217135431329933492124232721097',7878,'260',55.56,1,3,NULL),(15,2132710,'1988-09-15 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242241215111711458419345112610162182',18139,'944',40.09,1,3,NULL),(15,2132729,'1989-11-18 00:00:00',4,1,12,2007,'M','N','ALTO DA BOA VISTA','SOROCABA','SP','125252251216111411488614575112610167042',NULL,'9998',29.51,3,3,NULL),(15,2132737,'1983-08-09 00:00:00',2,1,11,2000,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241212332431359614582124133243147',7993,'489',55.38,1,3,NULL),(15,2132745,'1987-08-07 00:00:00',4,3,12,2004,'M','N','ZONA QUATRO','MARINGA','PR','116162161211571431587934591125610167017',6914,'9998',57.32,1,3,NULL),(15,2132753,'1989-07-02 00:00:00',4,1,12,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241215112431433619575124610134147',10202,'1022',51.62,1,3,NULL),(15,2132761,'1990-08-04 00:00:00',2,1,11,2007,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124243241215111431446834575124610113147',NULL,'266',25.79,4,3,NULL),(15,2132770,'1987-01-24 00:00:00',4,1,12,2004,'F','N','JARDIM EUROPA','SOROCABA','SP','125254251215571441558613575122610167092',5375,'9998',60.33,1,3,NULL),(15,2132788,'1989-07-10 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215121431578834574124610163182',10273,'270',51.53,1,3,NULL),(15,2132796,'1989-05-09 00:00:00',2,1,12,2006,'F','N','CENTRO','SERRA NEGRA','SP','125254251216371421636511575124610166072',19878,'9998',37.06,1,3,NULL),(15,2132800,'1984-05-07 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201201117575431666834381114132424147',2505,'9998',67.61,1,2,1),(15,2132818,'1990-10-10 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215122431468811572122610127122',3607,'270',64.47,1,3,NULL),(15,2132826,'1991-06-19 00:00:00',4,1,12,2008,'F','S','CAMPECHE','FLORIANOPOLIS','SC','124242248215111451469933574124610166091',NULL,'270',52.49,1,3,NULL),(15,2132834,'1988-06-19 00:00:00',2,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124244241415152431358821572124233261143',4333,'299',62.65,1,3,NULL),(15,2132842,'1989-12-27 00:00:00',4,1,12,2007,'F','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124242241212161431478833575112610162042',11655,'884',49.48,1,3,NULL),(15,2132850,'1988-02-17 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215373431358712372122610117042',3354,'262',65.12,1,3,NULL),(15,2132869,'1990-10-18 00:00:00',4,4,12,2007,'M','N','CENTRO','SAO MIGUEL DA BOA VISTA','SC','124241248126111411426639572121610117041',NULL,'1015',16.02,1,3,NULL),(15,2132885,'1989-09-20 00:00:00',2,4,12,2006,'F','N','CENTRO','NOVA PRATA DO IGUACU','PR','116161161116471531436612472112610138057',8777,'9998',54.05,1,3,NULL),(15,2132893,'1990-05-27 00:00:00',4,1,12,2007,'M','N','RES PQ DA FLORESTA','SUMARE','SP','125254251217111411579614574122610124042',3996,'9998',63.46,1,3,NULL),(15,2132907,'1990-08-30 00:00:00',4,3,12,2007,'M','N','SÃO VICENTE','PARANAVAI','PR','116162161216111431586613575112610137052',16720,'9998',42.30,1,3,NULL),(15,2132915,'1989-10-08 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241145372431421369281224610127057',21956,'818',32.41,4,2,1),(15,2132931,'1988-09-08 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANOPOLIS','SC','124252251217573431457839574114610164012',2796,'9998',66.75,1,3,NULL),(15,2132940,'1990-03-15 00:00:00',2,1,11,2007,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241417121431366639575114610167015',21222,'270',34.39,1,3,NULL),(15,2132958,'1989-03-15 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217372731458812595124131063092',7799,'270',55.69,1,3,NULL),(15,2132966,'1989-02-05 00:00:00',4,5,11,2006,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124241241215472431546613375124610117147',15,'226',84.99,1,3,NULL),(15,2132974,'1988-11-17 00:00:00',4,1,12,2006,'F','N','SERRINHA','FLORIANOPOLIS','SC','124242241215373431348923472124131066152',3914,'226',63.69,1,3,NULL),(15,2132990,'1986-08-04 00:00:00',4,1,12,2004,'F','N','PARQUE SÃO JORGE','FLORIANOPOLIS','SC','124242241215474451489911472112610136092',877,'270',74.19,1,3,NULL),(15,2133008,'1990-03-21 00:00:00',4,1,12,2007,'M','N','CENTRO','FLOREAL','SP','125252251215121431468831575122610127042',6089,'9998',58.91,1,3,NULL),(15,2133016,'1991-06-14 00:00:00',4,2,12,2008,'F','S','SÃO LUIZ','BRUSQUE','SC','124242241217151711389911575122610145182',NULL,'107',44.90,1,3,NULL),(15,2133024,'1990-09-19 00:00:00',2,1,11,2007,'M','N','CENTRO','CASCAVEL','PR','116162161216111411478833595122610127092',11469,'9998',49.75,4,3,NULL),(15,2133032,'1988-03-08 00:00:00',2,1,12,2005,'M','N','ZONA DOIS','UMUARAMA','PR','116164161417571431588813272115610127062',2507,'9998',67.60,1,3,NULL),(15,2133040,'1990-07-21 00:00:00',2,5,11,2007,'F','N','VILA SÃO JOSÉ','ARARANGUA','SC','124244241235121431568911575122610134072',9399,'970',52.95,1,3,NULL),(15,2133059,'1991-08-12 00:00:00',4,4,12,2007,'F','N','CENTRO','XANXERE','SC','124242241237111732359811575122610124147',2585,'836',67.36,1,3,NULL),(15,2133075,'1990-08-06 00:00:00',4,3,12,2007,'F','N','BARRA SUL','BALNEARIO CAMBORIU','SC','124242241215111431358612571122610166192',NULL,'967',0.00,1,3,NULL),(15,2133091,'1987-09-30 00:00:00',2,1,12,2004,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241247417574431227721476124610123112',15473,'9999',44.16,1,3,NULL),(15,2133105,'1989-08-02 00:00:00',4,1,2,2008,'M','N','ENSEADA DO BRITO','PALHOCA','SC','124241241116131431423414292334610117147',15902,'739',43.54,4,3,NULL),(15,2133113,'1989-05-05 00:00:00',4,1,12,2006,'F','N','COMERCIARIO','CRICIUMA','SC','124242241215472431479712375122610132192',1509,'226',71.16,1,3,NULL),(15,2133121,'1990-02-19 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124243241416121411534313575114610147117',14304,'1022',45.72,1,3,NULL),(15,2133130,'1987-04-14 00:00:00',2,1,12,2004,'F','N','VARGEM GRANDE','AGUAS MORNAS','SC','124241241112161432434633441214610141142',NULL,'978',24.20,1,3,NULL),(15,2133148,'1988-01-22 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215573431448834492114610137052',13988,'9997',46.17,1,3,NULL),(15,2133156,'1989-10-20 00:00:00',2,4,12,2007,'F','N','ZONA RURAL','NOVA PRATA DO IGUACU','PR','116161164117271431423336585114610126177',NULL,'9998',20.15,1,3,NULL),(15,2133164,'1988-05-09 00:00:00',4,1,12,2006,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124244241117273431448614445114610116047',17071,'257',41.77,1,3,NULL),(15,2133172,'1989-03-08 00:00:00',4,1,12,2006,'M','N','MORUMBI SUL','SAO PAULO','SP','125252251217471441568811371122610167057',2744,'9998',66.90,1,3,NULL),(15,2133180,'1991-05-17 00:00:00',4,1,12,2007,'F','N','BALNEARIO','FLORIANOPOLIS','SC','124242241212111431346934572122610127077',20476,'259',35.92,1,3,NULL),(15,2133199,'1990-05-17 00:00:00',2,1,12,2007,'M','N','JUNDIAÍ','ANAPOLIS','GO','109092091215111431368832575122610167052',2234,'9998',68.47,4,3,NULL),(15,2133202,'1987-01-24 00:00:00',2,9,12,2004,'F','N','SANTA MARIA','LAGES','SC','124242241416573431369813572112130664192',7543,'498',56.14,1,3,NULL),(15,2133210,'1991-04-08 00:00:00',4,1,12,2008,'M','S','INGLESES','FLORIANOPOLIS','SC','124241241217111431566839575124610128092',NULL,'270',41.77,1,3,NULL),(15,2133229,'1989-10-05 00:00:00',2,3,12,2006,'F','N','CENTRO','PROMISSAO','SP','125252251215474411478831571122610122182',8958,'9998',53.73,1,3,NULL),(15,2133237,'1989-11-15 00:00:00',4,4,12,2007,'M','N','MARIA GORETTI','CHAPECO','SC','124242241215471451479931591122610136052',1349,'185',71.89,1,3,NULL),(15,2133245,'1991-10-03 00:00:00',4,2,12,2007,'M','N','SANTA TEREZINHA','GASPAR','SC','124241241347131331523611471121610136187',9845,'325',52.19,1,3,NULL),(15,2133253,'1991-10-03 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124244241215111741339914575124610128111',NULL,'1022',39.01,4,3,NULL),(15,2133261,'1990-10-18 00:00:00',4,1,11,2007,'F','N','BOSQUE DA SAÚDE','CUIABA','MT','111112111216111431476816575112610132012',21337,'9998',34.11,1,3,NULL),(15,2133270,'1991-03-05 00:00:00',2,5,12,2007,'F','N','CENTRO','ARARANGUA','SC','124243241215111431457613432112610128077',NULL,'32',27.61,1,3,NULL),(15,2133288,'1988-03-28 00:00:00',4,1,12,2005,'F','N','BUTANTÃ','SAO PAULO','SP','125252251217121431538831571124241864183',9091,'9998',53.49,1,3,NULL),(15,2133296,'1984-12-22 00:00:00',2,1,12,2002,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124241241117133431566513346122233267057',NULL,'271',34.68,1,3,NULL),(15,2133300,'1990-09-07 00:00:00',4,8,12,2007,'F','N','SANTA INES I','SAO JOSE DOS CAMPOS','SP','125251251215131431446614575124610122057',4630,'9998',61.94,1,3,NULL),(15,2133318,'1990-09-27 00:00:00',2,1,10,2007,'F','N','ESTREITO BALNEÁRIO','FLORIANOPOLIS','SC','124242241215121431236924572112610123072',18077,'266',40.18,1,3,NULL),(15,2133326,'1991-01-20 00:00:00',4,1,11,2007,'F','N','PRADO','BIGUACU','SC','124242241211131421533511315122610168057',NULL,'63',24.57,1,3,NULL),(15,2133334,'1981-10-16 00:00:00',2,4,4,2001,'M','N','SAO CRISTOVAO','CHAPECO','SC','124071071117141421426673385324233262052',17002,'9998',41.88,4,2,1),(15,2133342,'1989-03-26 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243128217472731533939595124610128072',7291,'1081',56.62,4,3,NULL),(15,2133350,'1990-11-04 00:00:00',4,4,12,2007,'M','N','MARIA GORETTI','CHAPECO','SC','124241241215371731457933575122610117127',NULL,'1046',22.71,1,3,NULL),(15,2133369,'1984-03-26 00:00:00',2,1,11,2002,'M','N','CAMINHO NOVO','PALHOCA','SC','124244241217132711326674242223130862092',20826,'519',35.24,1,3,NULL),(15,2133377,'1989-09-29 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215111731578821392114610165192',12290,'1022',48.58,1,3,NULL),(15,2133385,'1986-09-19 00:00:00',4,1,12,2004,'F','N','SAO MATEUS','SAO PAULO','SP','125251251117371711433319475124610124092',16317,'9998',42.87,1,2,1),(15,2133407,'1948-03-05 00:00:00',4,1,12,1972,'M','N','CAM SAN CONRADO','CAMPINAS','SP','225101201126271421444349191122342712142',NULL,'9998',0.00,1,3,NULL),(15,2133415,'1990-04-11 00:00:00',4,1,11,2007,'M','N','AGRONÔMINCA','FLORIANOPOLIS','SC','124242241215121431458832592122610127112',17606,'270',40.93,1,3,NULL),(15,2133423,'1990-06-29 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111431455823572112610134122',21807,'738',32.94,1,3,NULL),(15,2133431,'1989-04-17 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241212473431567622592124610145147',5023,'491',61.03,1,3,NULL),(15,2133440,'1990-10-28 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124241248415111732338613572112610127052',NULL,'1022',46.62,1,3,NULL),(15,2133458,'1988-06-19 00:00:00',2,1,12,2005,'M','N','JARDIM PIRATININGA','RIBEIRAO PRETO','SP','125251251215573431468811572114610167097',3761,'9998',64.06,1,3,NULL),(15,2133466,'1989-03-26 00:00:00',2,1,12,2006,'F','N','IPIRANGA','SAO JOSE','SC','124242241216472431467732575114233224097',3951,'270',63.60,1,3,NULL),(15,2133474,'1988-06-19 00:00:00',4,1,12,2005,'F','N','CENTRO','PARANAVAI','PR','116162161217474411648811115124610164197',801,'9998',74.71,1,3,NULL),(15,2133482,'1987-07-30 00:00:00',2,1,12,2006,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215573431558732572114610127111',3358,'270',65.11,1,3,NULL),(15,2133490,'1990-01-26 00:00:00',4,2,12,2007,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241214131411648713316124610132012',21598,'1018',33.52,1,3,NULL),(15,2133504,'1988-01-18 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217272431228823475124231467053',4893,'266',61.33,1,3,NULL),(15,2133512,'1990-08-14 00:00:00',2,1,11,2007,'F','N','PRAINHA','FLORIANOPOLIS','SC','124242241215171731586414595122610121142',18811,'266',38.97,1,3,NULL),(15,2133520,'1987-11-27 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241417152431446823571124230264187',9569,'1022',52.64,1,3,NULL),(15,2133539,'1989-03-06 00:00:00',2,1,12,2006,'M','N','CHACARA AVIACAO','VOTUPORANGA','SP','125252251211475411458831575122610118192',10448,'9998',51.27,1,3,NULL),(15,2133547,'1981-07-23 00:00:00',2,1,12,1998,'F','N','CANTO','FLORIANOPOLIS','SC','224164161116271421353651272122610166147',12484,'9998',48.32,1,3,NULL),(15,2133555,'1989-12-01 00:00:00',4,1,12,2007,'F','N','CENTRO','BAURU','SP','125254251217141411528624346122610123142',NULL,'9998',22.95,1,3,NULL),(15,2133563,'1963-09-08 00:00:00',2,1,12,1982,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124212218136151431186843235122541062185',NULL,'9998',0.00,1,3,NULL),(15,2133571,'1988-07-30 00:00:00',4,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124243241217573431568831472114610134145',1963,'270',69.37,1,3,NULL),(15,2133580,'1987-10-01 00:00:00',4,1,12,2004,'M','N','JD DAS FLORES','OSASCO','SP','125254251116574431473312345122610167017',1961,'9998',69.38,1,3,NULL),(15,2133601,'1988-11-23 00:00:00',2,8,12,2006,'F','N','CENTRO','CHOPINZINHO','PR','116164161117471451547539572125610144177',11386,'9998',49.87,1,3,NULL),(15,2133610,'1989-06-30 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241217473431579933572124610167097',241,'185',79.43,1,3,NULL),(15,2133628,'1989-09-15 00:00:00',2,1,12,2006,'M','N','PRAIA JOÃO ROSA','BIGUACU','SC','124241241117312431334529342134610124052',19850,'65',37.12,1,2,1),(15,2133652,'1990-09-25 00:00:00',4,5,11,2007,'F','N','JARDIM DAS AVENIDAS','ARARANGUA','SC','124241241215371431454612572122610134052',7361,'27',56.50,1,3,NULL),(15,2133660,'1988-03-15 00:00:00',2,1,12,2005,'F','N','CENTRO','VOTUPORANGA','SP','125252251215575411468831512122610111197',NULL,'9998',0.00,1,3,NULL),(15,2133679,'1985-02-23 00:00:00',4,1,12,2003,'M','N','INDEPENDENCIA','PORTO ALEGRE','RS','120202201217271431377923475124141368182',9643,'9998',52.51,1,3,NULL),(15,2133709,'1989-02-20 00:00:00',4,3,12,2006,'M','N','WILLIAMS','GARCA','SP','125252251217471731568613275114610147086',8604,'9998',54.34,3,3,NULL),(15,2133717,'1990-09-28 00:00:00',4,8,11,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241216111731589831595112610164052',4492,'457',62.27,1,3,NULL),(15,2133725,'1990-09-06 00:00:00',4,4,11,2007,'F','N','CENTRO','CHAPECO','SC','124242241215111431448832571122610167097',9326,'983',53.08,1,3,NULL),(15,2133733,'1990-01-01 00:00:00',4,1,12,2007,'M','N','ZONA IV','UMUARAMA','PR','116162161217111431468733574122610137087',7913,'9998',55.50,1,3,NULL),(15,2133768,'1989-09-04 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215112431366814575122610126162',2446,'270',67.79,1,3,NULL),(15,2133784,'1987-01-08 00:00:00',4,1,12,2004,'F','N','DAMHA','SAO JOSE DO RIO PRETO','SP','125252251211575441448832572122610111021',NULL,'9998',0.00,1,3,NULL),(15,2133792,'1989-10-06 00:00:00',4,1,12,2007,'M','N','SÃO DIMAS','PIRACICABA','SP','125252251217111432488912572112610167014',4677,'9998',61.82,1,3,NULL),(15,2133806,'1988-03-31 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124122121215573431546811575124610163147',6001,'9998',59.08,4,3,NULL),(15,2133822,'1988-11-01 00:00:00',2,1,12,2005,'F','N','CENTRO','PRAIA GRANDE','SC','124241241145573451548631595124610167142',2268,'641',68.38,1,2,1),(15,2133830,'1989-07-03 00:00:00',4,5,7,2007,'F','N','COLONINHA','ARARANGUA','SC','124242246216141411468631445122610121012',9096,'995',53.47,1,3,NULL),(15,2133857,'1988-08-01 00:00:00',4,1,12,2005,'M','N','SANTA MARTA','BENTO GONCALVES','RS','120202201217373431654634441125610167152',2779,'9998',66.80,4,3,NULL),(15,2133865,'1990-10-29 00:00:00',4,2,12,2007,'M','N','VILA FORMOSA','BLUMENAU','SC','124243241217121751468934574115610162092',7197,'87',56.80,1,3,NULL),(15,2133873,'1989-06-01 00:00:00',2,1,12,2006,'M','N','RIO FARIAS','ANTONIO CARLOS','SC','124241241135132431433615272224610127052',6683,'21',57.76,1,2,1),(15,2133881,'1990-10-02 00:00:00',2,1,12,2007,'F','N','SÃO BENTO','BENTO GONCALVES','RS','120203201215141751456632341122610147042',8193,'9998',55.02,1,3,NULL),(15,2133890,'1990-02-13 00:00:00',2,9,12,2007,'M','N','CENTRO','SAO JOAQUIM','SC','124242241316131431539913235122610127142',NULL,'903',23.90,1,3,NULL),(15,2133903,'1990-05-14 00:00:00',4,1,12,2007,'F','N','CENTRO','CASTRO','PR','116161161217111751658836574122610128197',NULL,'9998',0.00,3,3,NULL),(15,2133911,'1990-08-17 00:00:00',4,1,2,2008,'F','N','JARDIM ELDORADO','PALHOCA','SC','124241241111151431333913572112610164143',7298,'739',56.60,4,2,1),(15,2133920,'1972-07-11 00:00:00',4,1,7,1993,'M','N','CAMPINAS','SAO JOSE','SC','124241247342134431233354215124233241172',NULL,'270',0.00,1,3,NULL),(15,2133938,'1990-05-26 00:00:00',4,1,12,2007,'M','N','CENTRO','ALFREDO WAGNER','SC','124241241415111431387712475124610137057',10745,'270',50.81,1,3,NULL),(15,2133946,'1987-12-22 00:00:00',4,1,12,2006,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241127131431226624382324610167067',19023,'288',38.63,1,2,1),(15,2133962,'1990-07-10 00:00:00',2,1,9,2007,'M','N','RIO MORTO','INDAIAL','SC','124241241217151731553712575121610167093',11897,'986',49.11,1,3,NULL),(15,2133970,'1986-12-23 00:00:00',4,5,12,2003,'M','N','CENTRO','PRAIA GRANDE','SC','125244241215572431458934575125133217052',5645,'970',59.79,1,3,NULL),(15,2133989,'1991-02-12 00:00:00',4,1,12,2007,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124242241215272431446623376125610144057',3967,'1014',63.55,1,3,NULL),(15,2133997,'1991-04-09 00:00:00',4,1,11,2008,'F','S','FAZENDA STO ANTÔNIO','SAO JOSE','SC','124241241217111431543319572124610137012',NULL,'1022',34.84,1,3,NULL),(15,2134004,'1989-11-25 00:00:00',4,1,11,2007,'F','N','SETOR PEDRO LUDOVICO','GOIANIA','GO','109092091215111451568831572112610122096',NULL,'9998',0.00,4,3,NULL),(15,2134012,'1990-09-07 00:00:00',2,7,12,2007,'F','N','CENTRO','VIDEIRA','SC','124113241215111431568711575124610121142',14248,'969',45.80,1,3,NULL),(15,2134039,'1992-02-03 00:00:00',4,1,12,2008,'M','S','TRINDADE','FLORIANOPOLIS','SC','124242241217111511379923575121610133182',NULL,'270',39.56,1,3,NULL),(15,2134047,'1990-04-16 00:00:00',4,1,12,2007,'F','N','CIDADE ALTA','BENTO GONCALVES','RS','120202201217271431247869471112610146073',NULL,'9998',0.00,1,3,NULL),(15,2134055,'1988-12-22 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241116472431468811372122610144147',12202,'271',48.72,1,3,NULL),(15,2134071,'1991-09-09 00:00:00',4,1,12,2007,'F','N','CENTRO','SAO JOSE','SC','124242241215111751446663332124610118072',18233,'270',39.92,1,3,NULL),(15,2134080,'1991-07-05 00:00:00',4,1,12,2008,'F','S','ARIRIÚ','PALHOCA','SC','124242246211171231428934595124610163077',NULL,'1075',39.43,1,3,NULL),(15,2134098,'1988-12-30 00:00:00',4,1,12,2005,'M','N','VILA SÃO JOÃO','CACAPAVA','SP','125252251217571231248634575114610167047',9784,'9998',52.30,3,3,NULL),(15,2134101,'1989-02-20 00:00:00',2,2,12,2006,'M','N','CENTRO','PRESIDENTE GETULIO','SC','124241241142131731336533292121610137057',21473,'644',33.79,1,2,1),(15,2134110,'1988-06-01 00:00:00',2,1,12,2005,'M','N','REAL PARQUE','SAO JOSE','SC','124241241126143451536763441124610137051',16171,'736',43.12,1,2,1),(15,2134128,'1987-12-26 00:00:00',4,1,11,2005,'F','N','JARDIM RECREIO','RIBEIRAO PRETO','SP','125252251215571451468821572112610163182',NULL,'9998',0.00,1,3,NULL),(15,2134136,'1991-10-12 00:00:00',4,1,11,2008,'M','S','CANTO','FLORIANOPOLIS','SC','124242241237161741356627575114610144182',NULL,'270',27.56,1,3,NULL),(15,2134144,'1989-02-07 00:00:00',4,3,12,2006,'M','N','ZONA QUATRO','MARINGA','PR','116162161335471421238823212124610122082',11252,'9998',50.08,1,3,NULL),(15,2134152,'1990-08-29 00:00:00',4,8,11,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241217371431458821495124610167011',5041,'1006',61.01,1,3,NULL),(15,2134160,'1989-01-20 00:00:00',4,1,12,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215212741447834182124133238177',709,'1022',75.29,1,3,NULL),(15,2134179,'1985-04-08 00:00:00',2,2,12,2002,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241112135411436619292344610114011',1229,'89',72.33,4,2,1),(15,2134187,'1990-03-21 00:00:00',4,1,12,2007,'M','N','CENTRO','ANTONIO PRADO','RS','120203201117151431237623342121610132057',18559,'9998',39.39,1,3,NULL),(15,2134209,'1988-12-13 00:00:00',4,8,12,2006,'M','N','JARDIM CANADA','RIBEIRAO PRETO','SP','125252251216471432448812395124610147042',12376,'9998',48.46,1,3,NULL),(15,2134217,'1990-03-06 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215371431444511572114610122187',11551,'269',49.63,1,3,NULL),(15,2134225,'1989-09-03 00:00:00',2,4,12,2006,'F','N','BOCA DA PICADA','SEBERI','RS','120201201115131731423311385114610163027',16767,'9998',42.22,1,3,NULL),(15,2134233,'1988-11-09 00:00:00',4,1,12,2006,'M','N','JARDIM PARATI','MARILIA','SP','125252251215372431468812375112610137062',NULL,'9998',0.00,1,3,NULL),(15,2134241,'1986-04-04 00:00:00',4,1,12,2003,'M','N','BELA VISTA','SAO JOSE','SC','124242241211373431446313385122610162057',10531,'738',51.14,2,1,2),(15,2134250,'1989-05-07 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241315321431459832575114610168197',9367,'270',53.02,1,3,NULL),(15,2134268,'1989-02-23 00:00:00',4,3,4,2007,'M','N','JARDIM TUCANOS','LONDRINA','PR','116162164215471531489811585112610267076',13794,'9998',46.48,1,3,NULL),(15,2134276,'1989-04-23 00:00:00',2,1,12,2006,'M','N','CENTRO','ALTO BELA VISTA','SC','124241241125472431533512274124610127047',10707,'14',50.86,1,2,1),(15,2134284,'1984-03-16 00:00:00',4,1,12,2001,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124252251116371421658821482124333267097',18689,'9998',39.18,4,3,NULL),(15,2134292,'1990-10-06 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124202241215112431367812574122610143182',2568,'270',67.41,4,3,NULL),(15,2134306,'1989-05-22 00:00:00',4,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124244241217172431238834395321131425185',19025,'272',38.63,1,3,NULL),(15,2134314,'1986-03-11 00:00:00',2,1,8,2004,'M','N','PARQUE DO ARVOREDO','PORTO ALEGRE','RS','120204207417572431657711371124610137117',7523,'9998',56.18,1,3,NULL),(15,2134322,'1990-06-29 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241214371431337319575112610164047',4700,'44',61.75,1,3,NULL),(15,2134349,'1986-12-26 00:00:00',2,1,12,2004,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241125573431551112592124610133027',7888,'290',55.53,1,2,1),(15,2134357,'1989-10-17 00:00:00',4,8,11,2007,'M','N','AMÉRICA','JOINVILLE','SC','124242241235111441578931575122610164177',9543,'486',52.70,1,3,NULL),(15,2134381,'1988-11-30 00:00:00',2,1,12,2006,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','113131131117131731425619392124610164187',NULL,'9998',20.52,1,2,1),(15,2134390,'1991-08-22 00:00:00',4,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124242241215111431453632575122610167075',8879,'1011',53.86,1,3,NULL),(15,2134403,'1962-09-07 00:00:00',2,1,7,2008,'F','S','FLORIANOPOLIS','FLORIANOPOLIS','SC','124241247315131411223359185125610115197',NULL,'9997',20.01,1,3,NULL),(15,2134438,'1990-08-30 00:00:00',4,1,12,2007,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116162161215111431258933575124610147046',13103,'9998',47.44,1,3,NULL),(15,2134446,'1989-04-03 00:00:00',2,7,12,2006,'F','N','SANTA TERESA','JOACABA','SC','124241241117231711636769346124610161187',19686,'449',37.44,1,2,1),(15,2134454,'1990-03-29 00:00:00',4,1,12,2007,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124241241117151431436513575124610124187',NULL,'257',13.18,1,3,NULL),(15,2134462,'1985-07-31 00:00:00',4,1,12,2002,'M','N','BNH TERCEIRO PLANO','DOURADOS','MS','112122121216475431667971571122141447052',2181,'9998',68.66,1,3,NULL),(15,2134470,'1989-03-01 00:00:00',4,8,12,2006,'M','N','CENTRO','VIDEIRA','SC','124242246216112751458831574121241461172',NULL,'486',0.00,1,3,NULL),(15,2134500,'1989-03-12 00:00:00',2,1,12,2006,'M','N','AZENHA','PORTO ALEGRE','RS','120203201216471531449913571224610137047',4516,'9998',62.21,1,3,NULL),(15,2134519,'1987-12-26 00:00:00',4,2,12,2005,'M','N','SETE DE SETEMBRO','GASPAR','SC','124242241215413431438611595124610167082',5955,'855',59.15,1,3,NULL),(15,2134527,'1982-04-20 00:00:00',4,1,12,2000,'M','N','PANTANAL','FLORIANOPOLIS','SC','124243246417145421459814442124221437062',7156,'499',56.87,1,3,NULL),(15,2134535,'1990-04-02 00:00:00',4,1,11,2007,'F','N','PACOVAL','MACAPA','AP','103033031217121431248513595122610165016',NULL,'9998',18.31,1,3,NULL),(15,2134543,'1990-09-15 00:00:00',2,1,11,2007,'M','N','CENTRO','CHAPECO','SC','124242241216121431469812574124610124172',3582,'270',64.50,1,3,NULL),(15,2134551,'1990-10-19 00:00:00',2,6,11,2007,'F','N','FAZENDA','ITAJAI','SC','124242241215121431359934592122610164142',4349,'1026',62.60,1,3,NULL),(15,2134560,'1989-05-10 00:00:00',2,6,12,2006,'F','N','VILA SÃO ROQUE','LIMEIRA','SP','125254251115471441636612325124610124142',NULL,'9998',0.00,1,3,NULL),(15,2134578,'1985-08-18 00:00:00',4,1,12,2003,'M','N','PANTANAL','FLORIANOPOLIS','SC','124251251116152231433632215124121922175',13310,'9998',47.16,1,3,NULL),(15,2134586,'1990-03-29 00:00:00',4,2,10,2007,'M','N','SANTA TEREZINHA','GASPAR','SC','124242241235121232555412441122610168053',NULL,'855',0.00,1,3,NULL),(15,2134608,'1990-08-15 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241217371431378714572125610142012',17862,'499',40.57,1,3,NULL),(15,2134624,'1991-11-06 00:00:00',4,1,12,2008,'F','S','ITAGUAÇU','FLORIANOPOLIS','SC','124242241217111321468832572122610124142',NULL,'270',56.68,1,3,NULL),(15,2134632,'1991-11-25 00:00:00',2,1,12,2008,'F','S','COQUEIROS','FLORIANOPOLIS','SC','124243241117131431448911595122610124142',NULL,'257',33.78,4,3,NULL),(15,2134640,'1984-11-08 00:00:00',1,2,12,2003,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241137133411634414445114132916061',9070,'75',53.54,1,2,1),(15,2134659,'1989-12-08 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215373531589931572122610134092',224,'270',79.64,1,3,NULL),(15,2134675,'1990-06-23 00:00:00',4,1,12,2007,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124242241215122431468614572114610127112',20883,'1022',35.12,1,3,NULL),(15,2134691,'1989-11-14 00:00:00',4,3,11,2006,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241215372431545611372124130264092',17570,'403',40.98,1,3,NULL),(15,2134705,'1988-06-14 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124244241415412431459814572114610127062',14072,'499',46.07,1,3,NULL),(15,2134713,'1990-07-02 00:00:00',2,5,12,2007,'F','N','STAN','TORRES','RS','120202201215111431358923472122610123147',14339,'9998',45.67,1,3,NULL),(15,2134721,'1989-09-01 00:00:00',4,1,11,2006,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241215472431435514575124610124192',4062,'262',63.31,1,3,NULL),(15,2134730,'1986-03-19 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANOPOLIS','SC','124071091147372231123348385314610112193',9178,'9998',53.30,2,1,1),(15,2134748,'1990-09-14 00:00:00',2,8,12,2007,'F','N','VILA SÃO FRANCISCO','REGISTRO','SP','125254251215131432356821572122610127147',13524,'9998',46.85,1,3,NULL),(15,2134772,'1990-01-03 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124243241135131231233528582124610138192',17370,'288',41.28,1,3,NULL),(15,2134780,'1990-11-13 00:00:00',2,4,12,2007,'M','N','NAÇÕES','CONCORDIA','SC','124241246217121431356923475122610144087',NULL,'1001',0.00,1,3,NULL),(15,2134799,'1986-08-21 00:00:00',4,1,7,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241115371431336619496324610168147',NULL,'306',17.71,1,3,NULL),(15,2134802,'1989-03-15 00:00:00',4,1,12,2006,'M','N','PONTA NEGRA','MANAUS','AM','107162041216271711479933585112241447046',2254,'9998',68.40,1,3,NULL),(15,2134810,'1991-03-27 00:00:00',4,1,11,2008,'M','S','PONTE DO IMARUIM','PALHOCA','SC','124242241217111431348823572114610124177',NULL,'270',54.02,1,3,NULL),(15,2134829,'1989-11-21 00:00:00',4,8,12,2006,'M','N','CACHOEIRA','ALMIRANTE TAMANDARE','PR','116161161215371431465632275124141732092',5078,'9998',60.94,1,3,NULL),(15,2134837,'1989-11-08 00:00:00',4,5,11,2006,'F','N','COMERCIARIO','CRICIUMA','SC','124244241215131431248813575124230421197',NULL,'226',0.00,1,3,NULL),(15,2134845,'1989-02-10 00:00:00',2,1,12,2006,'M','N','SUMARE','RIO DO SUL','SC','124242241215371411334634575112133264122',NULL,'959',24.78,1,3,NULL),(15,2134853,'1988-12-08 00:00:00',4,1,12,2006,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124242241215372431236529382114610167145',11215,'300',50.14,1,3,NULL),(15,2134861,'1988-04-16 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241222372121636313382114610117147',16126,'262',43.19,2,3,NULL),(15,2134870,'1989-12-11 00:00:00',2,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215422531569811572124610127042',3031,'270',66.03,1,3,NULL),(15,2134888,'1988-09-30 00:00:00',2,1,12,2006,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124242241212312412568613572122610117042',22080,'989',32.01,1,3,NULL),(15,2134900,'1988-03-17 00:00:00',4,1,12,2005,'F','N','LAGO NORTE','LAGO NORTE','DF','107073071217573411488932571122610142072',NULL,'9998',0.00,4,1,2),(15,2134918,'1990-10-09 00:00:00',2,1,12,2007,'M','N','PASSA VINTE','PALHOCA','SC','124241241111171431535623575124610127047',19429,'592',37.96,1,3,NULL),(15,2134926,'1988-09-27 00:00:00',4,8,12,2005,'M','N','VILA SÃO FRANCISCO','REGISTRO','SP','125253251217471431346821575122610118027',5719,'9998',59.63,1,3,NULL),(15,2134934,'1988-06-24 00:00:00',4,8,11,2006,'F','N','SÃO JOÃO BATISTA','BELO HORIZONTE','MG','113132138216371431346613295124610166182',16715,'9998',42.31,1,3,NULL),(15,2134942,'1986-12-06 00:00:00',4,1,8,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241115111431566833345124610131091',21619,'267',33.46,2,1,1),(15,2134950,'1989-01-08 00:00:00',4,1,12,2005,'M','N','SÃO FRANCISCO','CAMPO GRANDE','MS','112124121417473411337823295111613214117',4484,'9998',62.29,4,3,NULL),(15,2134969,'1991-06-19 00:00:00',2,6,12,2007,'F','N','PRAIA BRAVA','ITAJAI','SC','124242241215271432537714582124610127147',20560,'44',35.77,1,3,NULL),(15,2134977,'1973-09-10 00:00:00',2,1,12,1993,'F','N','INGLESES','FLORIANOPOLIS','SC','624201207222131431328841412124140828197',NULL,'9999',22.31,1,3,NULL),(15,2134985,'1990-05-15 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431276712245122610167075',11644,'270',49.49,1,3,NULL),(15,2134993,'1983-10-20 00:00:00',2,1,12,2003,'F','N','PORTO DA LAGOA','FLORIANOPOLIS','SC','124241241125375431421319495114610163097',18292,'285',39.81,1,2,1),(15,2135000,'1988-02-15 00:00:00',4,2,12,2005,'M','N','CANTA GALO','RIO DO SUL','SC','124241241136131311434614235115232044047',NULL,'659',0.00,1,3,NULL),(15,2135027,'1983-01-30 00:00:00',4,1,12,2001,'M','N','BARRA DO ARIRIÚ','PALHOCA','SC','124241247446143231425619482124222228067',NULL,'9999',23.27,1,3,NULL),(15,2135035,'1988-12-24 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241411111311626414495124610127087',19336,'723',38.10,2,1,2),(15,2135078,'1988-03-10 00:00:00',4,1,12,2005,'M','N','SÃO MIGUEL PAULISTA','SAO PAULO','SP','125251251416171432438821571114610122184',15437,'9998',44.21,4,3,NULL),(15,2135086,'1988-06-04 00:00:00',4,1,12,2006,'M','N','BELA VISTA II','SAO JOSE','SC','124241248117152411547613495132130264057',5085,'9997',60.94,4,2,1),(15,2135094,'1989-08-10 00:00:00',4,6,12,2006,'F','N','DOM JOAQUIM','BRUSQUE','SC','124241241136131411336512345134610134147',17117,'114',41.69,1,2,1),(15,2135116,'1990-03-22 00:00:00',4,1,12,2007,'F','N','BELA VISTA II','SAO JOSE','SC','124241241117151511547679276122610166197',4007,'306',63.43,1,3,NULL),(15,2135124,'1988-09-30 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124164244127134431435319192124231517147',NULL,'257',24.88,3,3,NULL),(15,2135132,'1987-09-18 00:00:00',2,1,12,2004,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124243241332273431226622445124610134092',14777,'272',45.03,1,3,NULL),(15,2135140,'1990-05-13 00:00:00',4,8,12,2007,'F','N','CENTRO','SOROCABA','SP','125252251215111421488831575112610162092',12681,'9998',48.02,1,3,NULL),(15,2135159,'1989-02-27 00:00:00',4,1,12,2006,'M','N','CENTRO','JOSE BONIFACIO','SP','125254251215471431344613575124610166092',13013,'9998',47.57,1,3,NULL),(15,2135167,'1991-06-19 00:00:00',2,4,12,2007,'M','N','SAIC','CHAPECO','SC','124241241147151531586632475122610127052',NULL,'857',13.76,1,3,NULL),(15,2135175,'1990-01-30 00:00:00',4,1,12,2006,'F','N','BAIRRO DAS NAÇÕES','BALNEARIO CAMBORIU','SC','124243241115371431433923374325610167187',17324,'49',41.35,4,3,NULL),(15,2135183,'1989-08-01 00:00:00',4,2,12,2006,'M','N','CENTRO','TIMBO','SC','124241246215271531254472342111610167052',NULL,'956',0.00,1,3,NULL),(15,2135205,'1988-03-02 00:00:00',2,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','624241241335133411224679372344610138192',NULL,'9997',37.77,1,3,NULL),(15,2135213,'1989-09-28 00:00:00',4,1,11,2007,'F','N','CABRAL','CURITIBA','PR','116164161415111431589833572114610123092',NULL,'9998',0.00,1,3,NULL),(15,2135221,'1988-09-06 00:00:00',2,1,12,2005,'F','N','SERRARIA','SAO JOSE','SC','124241241132241431436634342124610133147',21442,'257',33.86,1,2,1),(15,2135230,'1988-10-18 00:00:00',2,1,12,2005,'F','N','VILA NOVA','IMBITUBA','SC','124241241115132431223329232124610134182',10418,'359',51.32,1,2,1),(15,2135256,'1987-04-19 00:00:00',4,10,12,2004,'F','N','CENTRO','TUBARAO','SC','124242241212372431456514572115232422147',2814,'807',66.71,1,3,NULL),(15,2135264,'1988-04-07 00:00:00',2,1,12,2005,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241117373441447629372114610132037',10143,'281',51.72,1,2,1),(15,2135272,'1989-01-20 00:00:00',2,2,12,2006,'F','N','ATERRADO','POUSO REDONDO','SC','124241241115371431445923592224610121017',3490,'639',64.78,1,2,1),(15,2135280,'1989-08-30 00:00:00',4,1,11,2006,'F','N','CENTRO','NOVA RESENDE','MG','113131131125311421537832572322610168197',17436,'9998',41.17,1,2,1),(15,2135302,'1990-04-05 00:00:00',2,1,12,2007,'M','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124241241117471731325314245124610112145',10161,'307',51.70,1,2,1),(15,2135310,'1988-10-30 00:00:00',4,1,12,2006,'M','N','RIBEIRANIA','RIBEIRAO PRETO','SP','125252251215472411579833572122610137052',1394,'9998',71.67,1,3,NULL),(15,2135329,'1982-01-08 00:00:00',2,1,12,1998,'F','N','CAMPINAS','SAO JOSE','SC','624243241216274421238851112112610123142',12390,'735',48.44,1,3,NULL),(15,2135337,'1984-02-19 00:00:00',4,1,12,2000,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124202201216152742238354485124140436197',8983,'9998',53.69,1,3,NULL),(15,2135353,'1978-07-07 00:00:00',2,1,12,1997,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','224201208126131431238554281124232065197',NULL,'9998',0.00,1,2,1),(15,2135361,'1989-08-08 00:00:00',4,1,12,2006,'F','N','CENTRO','CARAZINHO','RS','120202201216572431427632292112610164047',7725,'9998',55.82,1,3,NULL),(15,2135388,'1986-11-19 00:00:00',2,2,12,2004,'M','N','PROGRESSO','BLUMENAU','SC','124241241125574441466414571124610141097',2282,'80',68.30,1,2,1),(15,2135418,'1984-03-01 00:00:00',4,1,8,2002,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242248111274731377713395124122938187',8206,'306',55.00,1,3,NULL),(15,2135426,'1960-12-08 00:00:00',4,1,12,1978,'F','N','CENTRO','FLORIANOPOLIS','SC','124242246416154431238741412125520626192',NULL,'262',0.00,1,3,NULL),(15,2135434,'1988-04-23 00:00:00',4,1,12,2006,'F','N','BELA VISTA','SAO JOSE','SC','124244241216472431556513372124610125077',5673,'1036',59.72,1,3,NULL),(15,2135442,'1990-11-27 00:00:00',2,4,12,2007,'F','N','PADRE ANTONIO','MARAVILHA','SC','124241241114131431423936572224610136057',NULL,'552',26.50,1,3,NULL),(15,2135450,'1989-03-09 00:00:00',2,1,12,2006,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124242241212472431448711575124610112077',4114,'270',63.16,1,3,NULL),(15,2135469,'1988-03-15 00:00:00',2,8,12,2005,'F','N','SAN REMO','LONDRINA','PR','116162161116471731538961575212243268187',17675,'9998',40.83,1,3,NULL),(15,2135477,'1988-11-09 00:00:00',4,1,12,2006,'M','N','VILA INDUSTRIAL','SAO JOSE DOS CAMPOS','SP','125252251235471431448831575124610145173',2073,'9998',69.04,1,3,NULL),(15,2135485,'1989-01-07 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124244241217132411548612441124610124057',20303,'1036',36.23,2,3,NULL),(15,2135493,'1988-08-03 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124161161341572751336631595125610166187',4124,'9998',63.14,4,1,2),(15,2135507,'1985-11-20 00:00:00',4,1,12,2004,'F','N','ITAGUAÇÚ','FLORIANOPOLIS','SC','124244241416373411639911395124123066017',12432,'307',48.39,1,3,NULL),(15,2135523,'1987-05-19 00:00:00',4,1,8,2007,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242247445271431466619585124610132182',14988,'306',44.81,1,3,NULL),(15,2135531,'1989-06-04 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215373431568832311114610126112',14267,'270',45.77,1,3,NULL),(15,2135540,'1990-08-27 00:00:00',2,4,11,2007,'F','N','PRESIDENTE MÉDICI','CHAPECO','SC','124243241215111431539832272124610136187',20079,'1021',36.67,4,3,NULL),(15,2135558,'1989-08-29 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241412372431439913375114610167047',9726,'751',52.39,1,3,NULL),(15,2135566,'1986-04-19 00:00:00',4,1,12,2004,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241234445751338833495124233247047',16213,'262',43.04,4,3,NULL),(15,2135574,'1985-03-29 00:00:00',4,1,12,2002,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124251251217473431128831575112221464017',4650,'9998',61.88,1,3,NULL),(15,2135590,'1989-08-23 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217123411438921345124230223112',6977,'270',57.21,1,3,NULL),(15,2135604,'1988-11-16 00:00:00',2,1,11,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124244241115373441348521385124610164143',15785,'1046',43.70,1,3,NULL),(15,2135620,'1989-10-05 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431235724475122610137052',NULL,'273',27.77,1,3,NULL),(15,2135639,'1990-06-18 00:00:00',4,1,12,2007,'F','N','SÃO JOÃO','CATALAO','GO','109092091236111511468832575222610167017',NULL,'9998',0.00,1,3,NULL),(15,2135647,'1990-06-26 00:00:00',2,1,12,2007,'M','N','CENTRO','SARANDI','RS','120201201136141431434513442214610134012',NULL,'9998',26.00,1,3,NULL),(15,2135655,'1990-03-17 00:00:00',4,4,12,2007,'F','N','JARDIM BELA VISTA','ITAPIRANGA','SC','124241241225111431536513431122610128187',12499,'1060',48.29,1,3,NULL),(15,2135663,'1991-07-03 00:00:00',4,1,12,2008,'F','S','CENTRO','TIJUCAS','SC','124242241211111431339933144121610126092',NULL,'948',46.67,1,3,NULL),(15,2135671,'1990-08-05 00:00:00',2,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241217271411426516394322610124077',8515,'720',54.48,1,3,NULL),(15,2135698,'1984-10-27 00:00:00',4,1,7,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124242247227273711336623245132133227117',12320,'1003',48.55,1,3,NULL),(15,2135701,'1989-03-06 00:00:00',2,4,12,2006,'F','N','VILA NOVA','FRANCISCO BELTRAO','PR','116161161115471431333319372222610127057',19601,'9998',37.61,1,2,1),(15,2135728,'1990-07-08 00:00:00',2,4,12,2007,'M','N','DISTRITO SÃO ROQUE','SAO LOURENCO DO OESTE','SC','124241241142131411446335512344610126057',1143,'579',72.84,1,2,1),(15,2135736,'1986-01-07 00:00:00',2,1,12,2003,'F','N','LAGOA DA CONCEICAO','FLORIANOPOLIS','SC','124241241125133441536829342224610164117',19202,'307',38.34,1,2,1),(15,2135744,'1966-09-27 00:00:00',2,1,12,1983,'F','N','JURERÊ','FLORIANOPOLIS','SC','124282201211143741348619411124340726181',NULL,'9998',0.00,1,3,NULL),(15,2135752,'1982-10-20 00:00:00',4,1,12,1999,'F','N','VILA SÃO PEDRO','SAO PAULO','SP','125253251137471431455521345114610123187',20657,'9998',35.58,1,3,NULL),(15,2135760,'1990-02-22 00:00:00',2,8,11,2007,'F','N','BOEHMERWALDT','JOINVILLE','SC','124163241347271431333923342224610124147',19880,'482',37.05,4,3,NULL),(15,2135779,'1985-11-14 00:00:00',2,1,12,2003,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','121241241136133721437729395135610164092',21251,'729',34.31,1,2,1),(15,2135787,'1990-07-23 00:00:00',2,5,11,2007,'F','N','CENTRO','SAO JOAO DO SUL','SC','124242241215111451379933575122610161042',9407,'32',52.93,1,3,NULL),(15,2135795,'1990-02-02 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241417131531269613592324610167122',16123,'1051',43.19,1,3,NULL),(15,2135809,'1989-04-18 00:00:00',4,1,11,2007,'F','N','BACACHERI','CURITIBA','PR','116162161237111751358832575112610133113',NULL,'9998',0.00,1,3,NULL),(15,2135817,'1989-09-20 00:00:00',2,5,12,2006,'F','N','BARRO VERMELHO','ORLEANS','SC','124242241215272431356439345222610134147',4897,'820',61.32,1,3,NULL),(15,2135825,'1980-11-14 00:00:00',2,1,12,1999,'M','N','SANTA TEREZA','SAO PEDRO DE ALCANTARA','SC','624241243136274421554523432124222332182',9763,'739',52.32,2,1,1),(15,2135833,'1987-04-17 00:00:00',2,1,7,2005,'F','N','SERRARIA','SAO JOSE','SC','124242247236132411266113431224132166151',NULL,'882',15.70,3,3,NULL),(15,2135841,'1989-03-03 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241115372212526614592112610134075',NULL,'257',23.25,1,3,NULL),(15,2135850,'1982-03-16 00:00:00',4,1,12,2000,'F','N','KOBRASOL','SAO JOSE','SC','124201205211131421128644441324542122143',NULL,'9998',26.37,1,3,NULL),(15,2135868,'1970-05-14 00:00:00',4,1,7,2001,'M','N','ALTO RIBEIRÃO','FLORIANOPOLIS','SC','224214247227131432436343432224610132187',10042,'9999',51.86,1,3,NULL),(15,2135876,'1988-09-30 00:00:00',4,5,11,2005,'M','N','JARDIM DAS PALMEIRAS','COCAL DO SUL','SC','124241246216151441654414345124230227112',12254,'188',48.65,1,3,NULL),(15,2135892,'1988-04-02 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215573451448633572122610123147',285,'266',78.93,1,3,NULL),(15,2135914,'1989-09-01 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124202201216472431443619571114610167147',9744,'9998',52.35,1,3,NULL),(15,2135930,'1988-04-29 00:00:00',2,1,12,2005,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANOPOLIS','SC','124241241131373441636613494344610161177',16083,'281',43.25,1,2,1),(15,2135957,'1992-02-11 00:00:00',4,5,11,2009,'M','S','CENTRO','CRICIUMA','SC','124242241215111711249931595122610114082',NULL,'211',46.96,1,3,NULL),(15,2135965,'1991-05-02 00:00:00',4,1,12,2008,'F','S','PICADAS DO SUL','SAO JOSE','SC','124242241217111431336919572124610112047',NULL,'1074',46.27,1,3,NULL),(15,2135973,'1990-11-05 00:00:00',2,7,12,2007,'F','N','VILA RICA','HERVAL D OESTE','SC','124241241345111412628514342332610127147',NULL,'341',23.01,1,3,NULL),(15,2135981,'1971-08-14 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','224201247426271421433351411112610113197',NULL,'9999',0.00,1,3,NULL),(15,2135990,'1990-01-10 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241225131431433311475114610127142',19504,'262',37.82,3,3,NULL),(15,2136007,'1990-05-26 00:00:00',4,1,12,2007,'M','N','BELA VISTA II','SAO JOSE','SC','124241241225132731334139342124610167067',20335,'262',36.17,1,3,NULL),(15,2136015,'1988-01-20 00:00:00',4,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116162161215371451459933572122610167092',6307,'9998',58.44,1,3,NULL),(15,2136031,'1989-02-06 00:00:00',2,10,12,2006,'F','N','MORROTES','TUBARAO','SC','124242241212131431436814572322231326157',11891,'317',49.12,1,3,NULL),(15,2136040,'1986-04-09 00:00:00',4,1,12,2004,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241135173431367823282124231027117',6514,'234',58.05,1,2,1),(15,2136058,'1991-07-11 00:00:00',4,5,11,2008,'F','S','COMERCIARIO','CRICIUMA','SC','124244241417151751356911591125610128142',NULL,'211',31.62,1,3,NULL),(15,2136074,'1989-09-04 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217472431254833582114610162057',9169,'272',53.32,1,3,NULL),(15,2136082,'1990-05-04 00:00:00',2,4,12,2007,'F','N','CENTRO','ERECHIM','RS','120201201225111431556613232125610134147',17513,'9998',41.07,1,3,NULL),(15,2136104,'1990-03-14 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201241117151431336622472124610137012',13940,'288',46.24,1,3,NULL),(15,2136112,'1988-07-21 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241117341431435514392122610138147',NULL,'922',0.00,1,3,NULL),(15,2136120,'1988-09-02 00:00:00',4,10,12,2006,'M','N','PROTASIO ALVES','PORTO ALEGRE','RS','120202201216371431465533575124141064092',12909,'9998',47.70,1,3,NULL),(15,2136139,'1990-12-08 00:00:00',4,1,12,2007,'M','N','TRISTEZA','PORTO ALEGRE','RS','120202201216371432467831311122610167047',NULL,'9998',0.00,1,3,NULL),(15,2136155,'1987-08-06 00:00:00',2,4,12,2004,'F','N','BELA VISTA','CHAPECO','SC','124242241212574431366933575122233266097',NULL,'983',0.00,1,3,NULL),(15,2136163,'1990-04-09 00:00:00',4,1,12,2006,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','120203201215471431567732572124610134122',1024,'9998',73.39,1,3,NULL),(15,2136171,'1990-03-08 00:00:00',5,1,12,2007,'F','N','JD JUNCO','VINHEDO','SP','125252251216111431477619575114610168147',NULL,'9998',7.37,1,3,NULL),(15,2136180,'1985-05-03 00:00:00',4,1,6,2006,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241117472431546333435124610132187',18617,'281',39.30,1,2,1),(15,2136198,'1986-03-19 00:00:00',2,1,12,2003,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241216574431233829392122133232013',NULL,'962',0.00,2,3,NULL),(15,2136201,'1989-03-04 00:00:00',4,1,12,2006,'F','N','PARQUE BRASIL','PAULINIA','SP','125252251216471411457832294124610145017',NULL,'9998',0.00,1,3,NULL),(15,2136228,'1990-10-12 00:00:00',2,3,11,2007,'F','N','CENTRO','CURITIBA','PR','116162168215471431129932575124613244142',NULL,'9998',0.00,1,3,NULL),(15,2136236,'1988-11-12 00:00:00',4,1,12,2006,'F','N','BARCELONA','SAO CAETANO DO SUL','SP','125252251216471441359814475125610163042',NULL,'9998',0.00,1,3,NULL),(15,2136260,'1989-09-06 00:00:00',2,8,12,2007,'F','N','FÁTIMA','JOINVILLE','SC','124241241117271711436314376222610121197',NULL,'492',0.00,3,2,1),(15,2136279,'1989-11-05 00:00:00',2,1,12,2007,'M','N','SERRARIA','SAO JOSE','SC','124241241115131431423314342334610127147',NULL,'1116',23.75,4,3,NULL),(15,2136287,'1984-08-23 00:00:00',2,1,12,2002,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124161161121132431222244242334610123057',19659,'9998',37.50,1,2,1),(15,2136295,'1989-04-10 00:00:00',4,1,12,2006,'F','N','JARDIM BELA VISTA','SANTO ANDRE','SP','125254251216571431568711412112610136197',10668,'9998',50.92,1,3,NULL),(15,2136309,'1989-02-02 00:00:00',4,8,12,2006,'M','N','JARDIM DOS ESTADOS','CAMPO GRANDE','MS','112122121216471431487914274115610137122',NULL,'9998',0.00,1,3,NULL),(15,2136317,'1989-01-23 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241136152431436313575124610164077',NULL,'307',26.48,1,3,NULL),(15,2136325,'1988-06-27 00:00:00',4,1,12,2005,'M','N','VILA NOVA','INDAIATUBA','SP','125252251215471412445832395122610168194',3187,'9998',65.58,1,3,NULL),(15,2136333,'1987-12-18 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215573431478811572122610137141',232,'262',79.55,1,3,NULL),(15,2136341,'1989-06-19 00:00:00',2,7,11,2007,'M','N','CENTRO','JOACABA','SC','124244241236271431456711575112610137017',19805,'446',37.21,1,3,NULL),(15,2136350,'1971-10-12 00:00:00',2,1,7,1993,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124241017122135121111144142324132823091',NULL,'190',27.42,1,3,NULL),(15,2136368,'1991-03-19 00:00:00',4,1,12,2007,'F','N','ANTÔNIO CARLOS','ANTONIO CARLOS','SC','124241241117131431423624582124610116077',22201,'21',31.48,1,3,NULL),(15,2136376,'1983-05-25 00:00:00',4,1,12,2000,'M','N','MENINO DEUS','PORTO ALEGRE','RS','120202201217471451379911471124241664172',NULL,'9998',0.00,1,3,NULL),(15,2136384,'1988-02-24 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215573431389933571122610144112',6962,'262',57.23,1,3,NULL),(15,2136422,'1988-05-05 00:00:00',4,1,12,2005,'M','N','TRINDADADE','FLORIANOPOLIS','SC','124201201147573431436659375124610167047',3934,'9998',63.64,1,2,1),(15,2136430,'1988-05-08 00:00:00',2,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241212472411659924382122610122017',12632,'737',48.09,1,3,NULL),(15,2136449,'1990-06-02 00:00:00',2,7,11,2007,'M','N','COLINA VERDE','VIDEIRA','SC','124244241215151531468932575125610147122',13986,'969',46.17,4,1,2),(15,2136457,'1987-07-07 00:00:00',4,1,12,2004,'F','N','JARDIM SANTO ANTONIO','CAMPO LIMPO PAULISTA','SP','125251251146471411433314281124610162142',NULL,'9998',22.14,1,2,1),(15,2136465,'1986-10-29 00:00:00',4,8,11,2004,'F','N','BOM RETIRO','JOINVILLE','SC','124242241216153441118849495121221147072',2135,'861',68.87,1,3,NULL),(15,2136481,'1989-01-30 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124161161117371441558613575124610127095',9527,'9998',52.73,1,3,NULL),(15,2136490,'1990-04-15 00:00:00',2,5,11,2007,'F','N','SANTA CATARINA','CRICIUMA','SC','124242241215211431468932595122610123172',NULL,'210',23.83,1,3,NULL),(15,2136503,'1988-09-22 00:00:00',2,1,12,2005,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241211363411353511331224610117011',11503,'266',49.71,1,3,NULL),(15,2136511,'1990-04-09 00:00:00',4,1,12,2006,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','120203201215471431567732572124610134122',3056,'9998',65.96,1,3,NULL),(15,2136520,'1986-03-25 00:00:00',2,1,12,2003,'F','N','CENTRO','SAO LEOPOLDO','RS','120202201216571441458822221122143226141',6622,'9998',57.86,1,3,NULL),(15,2136538,'1990-09-24 00:00:00',2,2,12,2007,'F','N','FORTALEZA','BLUMENAU','SC','124241241137131431536614344234610167027',NULL,'69',34.37,1,2,1),(15,2136546,'1990-11-01 00:00:00',4,5,11,2007,'M','N','PIO CORREA','CRICIUMA','SC','124242241217221311489713475112610168192',6296,'226',58.46,1,3,NULL),(15,2136554,'1989-09-11 00:00:00',4,1,12,2006,'M','N','BELA VISTA','SAO JOSE','SC','124241241117371432323319275124610124187',14815,'726',44.99,1,2,1),(15,2136562,'1989-08-08 00:00:00',4,1,12,2006,'M','N','FLAMBOYANT','CAMPO GRANDE','MS','112122121217472431469833575122610114057',2043,'9998',69.13,3,3,NULL),(15,2136570,'1984-03-11 00:00:00',4,1,12,2001,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241216153421656919395224222344177',18493,'422',39.50,1,3,NULL),(15,2136597,'1982-11-30 00:00:00',4,1,12,1999,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241126273421636311175114610121147',18003,'592',40.31,1,2,1),(15,2136600,'1986-10-31 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241216275431258824445124130267072',6510,'272',58.06,1,3,NULL),(15,2136619,'1989-09-29 00:00:00',2,1,12,2006,'M','N','PASSA VINTE','PALHOCA','SC','124241241137132421456634345124610125062',12739,'592',47.93,1,3,NULL),(15,2136627,'1981-06-28 00:00:00',2,1,12,1998,'M','N','ESTREITO','FLORIANOPOLIS','SC','124163168212571751269919592112341567051',NULL,'9998',0.00,1,3,NULL),(15,2136635,'1980-04-28 00:00:00',4,1,12,1997,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215374421589613431122520362182',3754,'269',64.07,1,3,NULL),(15,2136643,'1990-11-08 00:00:00',4,5,12,2007,'F','N','SÃO JOSÉ','SOMBRIO','SC','124242241215372711426411391122610168077',19318,'770',38.12,1,3,NULL),(15,2136651,'1986-11-20 00:00:00',2,5,7,2005,'M','N','VILA FLORESTA','CRICIUMA','SC','124241246216231431524314442344610137057',20494,'230',35.89,1,3,NULL),(15,2136660,'1989-03-20 00:00:00',2,1,12,2006,'F','N','BOA VISTA','CURITIBA','PR','116161161117131431623511345334610166017',NULL,'9998',0.00,1,2,1),(15,2136678,'1989-05-11 00:00:00',4,1,12,2007,'M','N','SÃO BENTO','BELO HORIZONTE','MG','113132131217111721579912571122610114056',NULL,'9998',0.00,1,3,NULL),(15,2136694,'1981-03-05 00:00:00',4,1,12,1999,'F','N','KOBRASOL','SAO JOSE','SC','224241243142132411235552332114122346147',NULL,'808',31.47,1,3,NULL),(15,2136708,'1990-01-01 00:00:00',4,8,11,2007,'F','N','ATIRADORES','JOINVILLE','SC','124242241215111431358831475122610133187',4366,'459',62.55,1,3,NULL),(15,2136716,'1988-11-03 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','107072071217411431467924471112610163145',173,'9998',80.26,1,3,NULL),(15,2136732,'1989-11-30 00:00:00',4,8,12,2007,'M','N','PETRÓPOLIS','JOINVILLE','SC','124243241115271431436621575124610127017',8468,'466',54.56,1,3,NULL),(15,2136740,'1990-02-19 00:00:00',4,1,10,2007,'M','N','CRISTO REI','CURITIBA','PR','116162161216111411369932575124610167047',NULL,'9998',0.00,1,3,NULL),(15,2136759,'1990-04-07 00:00:00',2,1,11,2007,'M','N','CENTRO','URUSSANGA','SC','124242241215111431558911575122610167112',3030,'820',66.05,1,3,NULL),(15,2136767,'1988-03-29 00:00:00',4,5,6,2006,'M','N','MORRO DO CIPÓ','SOMBRIO','SC','124241241147371711413315151133610164057',21578,'946',33.56,1,3,NULL),(15,2136783,'1989-07-11 00:00:00',4,9,12,2006,'M','N','COPACABANA','LAGES','SC','124242241215272431448733571112610122092',NULL,'515',0.00,1,3,NULL),(15,2136791,'1990-11-16 00:00:00',4,10,11,2007,'M','N','SANTO ANTÔNIO PÁDUA','TUBARAO','SC','124244246216111731437914375122610147052',10751,'807',50.80,1,3,NULL),(15,2136805,'1990-06-02 00:00:00',2,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215111431544839292112610121144',6647,'737',57.81,1,3,NULL),(15,2136813,'1989-03-14 00:00:00',4,1,1,2007,'F','N','CENTRO','MARINGA','PR','116162161237471431368923572122610122097',7009,'9998',57.13,1,3,NULL),(15,2136821,'1988-04-01 00:00:00',2,2,8,2006,'M','N','JARDIM AMERICA','CAXIAS DO SUL','RS','120204207417141431438714445122140268092',NULL,'9999',0.00,1,3,NULL),(15,2136830,'1990-08-20 00:00:00',2,10,11,2007,'F','N','VILA NOVA','IMBITUBA','SC','124241241215122431589912572112610141142',6656,'807',57.80,1,3,NULL),(15,2136848,'1988-11-30 00:00:00',2,9,12,2005,'F','N','CENTRO','LAGES','SC','124202201216472411346914595122132866182',17499,'9998',41.09,3,3,NULL),(15,2136856,'1989-09-01 00:00:00',4,5,12,2006,'F','N','CENTRO','CRICIUMA','SC','124242241215152431446619392122610112097',18428,'226',39.60,1,3,NULL),(15,2136864,'1990-03-25 00:00:00',4,1,12,2007,'F','N','ITAGUACU','FLORIANOPOLIS','SC','124243241117141431358631242124610136147',21522,'292',33.68,1,3,NULL),(15,2136872,'1989-04-23 00:00:00',4,2,12,2006,'M','N','VILA NOVA','BLUMENAU','SC','124242241215473731468832175124610162042',1973,'909',69.36,1,3,NULL),(15,2136880,'1988-09-03 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431468612575125131022192',4057,'226',63.31,1,3,NULL),(15,2136899,'1989-01-14 00:00:00',2,1,8,2007,'F','N','JD JANAINA','BIGUACU','SC','124241241115271431558613375124610127112',21912,'739',32.57,1,2,1),(15,2136902,'1989-08-11 00:00:00',4,1,12,2006,'F','N','ST ANTONIO DE LISBOA','FLORIANOPOLIS','SC','124243241217372431326819575124610125072',6679,'486',57.77,1,3,NULL),(15,2136910,'1985-11-17 00:00:00',4,1,12,2004,'M','N','CARIANOS','FLORIANOPOLIS','SC','124244241436142431565512225122130242025',NULL,'270',40.08,1,3,NULL),(15,2136929,'1987-02-24 00:00:00',2,1,12,2005,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241146373411553313245124610124147',NULL,'271',38.12,1,2,1),(15,2136945,'1989-12-02 00:00:00',2,1,11,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124242241216111431436511385224610122192',19129,'1048',38.47,4,3,NULL),(15,2136953,'1989-09-12 00:00:00',4,2,12,2006,'M','N','VELHA','BLUMENAU','SC','124243241215372431578734575114230464082',4721,'855',61.70,1,3,NULL),(15,2136961,'1990-09-17 00:00:00',4,5,11,2007,'F','N','ANGELO GUOLLO','COCAL DO SUL','SC','124241241115131431433319592124610133147',16710,'189',42.31,1,2,1),(15,2136970,'1985-02-23 00:00:00',4,1,12,2001,'F','N','STA MÔNICA','FLORIANOPOLIS','SC','124242241115153221559814445122321267075',12048,'271',48.92,1,3,NULL),(15,2136988,'1990-07-10 00:00:00',4,8,12,2007,'F','N','JARDIM SÃO LUIS','RIBEIRAO PRETO','SP','125252251216411431336823575124610112077',4113,'9998',63.16,3,3,NULL),(15,2136996,'1989-01-25 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215472721357711245124610127052',2315,'258',68.19,4,3,NULL),(15,2137003,'1990-03-12 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241216271731564812575112610167015',6101,'883',58.87,1,3,NULL),(15,2137020,'1984-05-14 00:00:00',2,1,12,2002,'F','N','VENDAVAL','BIGUACU','SC','124241241127274441352823374124130234077',16375,'65',42.79,1,2,1),(15,2137046,'1981-02-24 00:00:00',2,1,12,1999,'M','N','SERRINHA','FLORIANOPOLIS','SC','124243241317112411347834385121120827117',NULL,'298',0.00,1,3,NULL),(15,2137054,'1989-03-20 00:00:00',2,2,12,2006,'F','N','VICTOR KONDER','BLUMENAU','SC','124241241215372431559813475124233224052',19317,'969',38.12,1,3,NULL),(15,2137097,'1991-05-26 00:00:00',4,5,12,2008,'M','S','VILA SÃO JOSÉ','ARARANGUA','SC','124242241215111431349631595112610134142',NULL,'970',52.14,1,3,NULL),(15,2137100,'1989-07-07 00:00:00',2,4,12,2006,'M','N','CENTRO','CRUZEIRO DO IGUACU','PR','116161161336571411344432425112610114047',2455,'9998',67.77,4,3,NULL),(15,2137119,'1989-01-27 00:00:00',4,1,12,2005,'M','N','CAROLINA','SANTA MARIA','RS','120242241216152431549931571124241767043',5046,'1000',61.00,1,3,NULL),(15,2137127,'1986-11-17 00:00:00',4,1,12,2004,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241127131421336524242224610122017',21792,'922',32.97,1,3,NULL),(15,2137135,'1990-04-27 00:00:00',2,4,12,2007,'F','N','INTERIOR','MARCELINO RAMOS','RS','120201201225111431443923572224610164182',18041,'9998',40.24,1,3,NULL),(15,2137143,'1986-08-09 00:00:00',2,1,12,2004,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124241241126153711434321145124221763171',6157,'12',58.75,1,3,NULL),(15,2137151,'1987-09-15 00:00:00',4,1,7,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124201247435271441636644241134610154091',10176,'9999',51.67,1,3,NULL),(15,2137160,'1990-07-30 00:00:00',2,3,11,2008,'F','S','CENTRO','BALNEARIO CAMBORIU','SC','124244241415111411239832472122610124072',NULL,'9997',26.64,1,3,NULL),(15,2137178,'1992-06-29 00:00:00',2,9,12,2008,'M','S','ESQUINA','URUBICI','SC','124241241417131751534939572221610147142',NULL,'817',34.17,1,3,NULL),(15,2137194,'1989-01-26 00:00:00',4,6,11,2007,'M','N','SÃO VICENTE','ITAJAI','SC','124242241215111211426314575112610132172',22488,'388',28.97,1,3,NULL),(15,2137208,'1989-08-22 00:00:00',2,8,12,2006,'F','N','AMERICA','JOINVILLE','SC','124243241215471431538629245124610133187',9828,'486',52.22,2,3,NULL),(15,2137216,'1981-01-30 00:00:00',4,1,12,1999,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241117133431454633482124333222187',16630,'307',42.42,1,2,1),(15,2137224,'1990-02-06 00:00:00',2,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124243241215111431339633375124610168017',2855,'737',66.58,1,3,NULL),(15,2137232,'1983-08-31 00:00:00',4,1,12,2001,'M','N','CACHOEIRA B JESUS','FLORIANOPOLIS','SC','124203241346274711446644245123610137042',9985,'9999',51.96,4,3,NULL),(15,2137240,'1987-06-16 00:00:00',4,1,12,2004,'M','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124243241117371431423341211234610165047',19075,'293',38.55,1,3,NULL),(15,2137259,'1989-09-20 00:00:00',2,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241121131431339614295123610114045',22461,'283',29.35,1,2,1),(15,2137267,'1990-04-06 00:00:00',4,1,11,2007,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215111411467834525112610124072',8304,'270',54.84,1,3,NULL),(15,2137275,'1990-08-08 00:00:00',2,2,12,2007,'F','N','LARANJEIRAS','RIO DO SUL','SC','124242241215111731449713575122610121067',12126,'959',48.82,1,3,NULL),(15,2137283,'1989-01-02 00:00:00',4,4,12,2006,'M','N','AGOSTINI','SAO MIGUEL DOESTE','SC','124241241147131431446613245133610167047',21152,'757',34.55,1,3,NULL),(15,2137291,'1989-10-20 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431488933572122610125147',4153,'262',63.05,1,3,NULL),(15,2137313,'1989-10-06 00:00:00',4,1,11,2007,'M','N','LAGOA DA CONCEICAO','FLORIANOPOLIS','SC','124242241215472431669912575112610134131',2789,'270',66.78,1,3,NULL),(15,2137321,'1990-05-16 00:00:00',2,7,12,2007,'M','N','INTERIOR','AGUA DOCE','SC','124241241125131431433336572321610146147',6192,'9',58.66,1,2,1),(15,2137330,'1990-08-09 00:00:00',4,3,12,2007,'F','N','JARDRIM PETROPOLIS','LONDRINA','PR','116162161217111411568813435112610132182',NULL,'9998',0.00,1,3,NULL),(15,2137348,'1989-09-16 00:00:00',4,4,12,2006,'M','N','JD DELMIRA','PRUDENTOPOLIS','PR','116164161215472451257723574324610167025',NULL,'9998',0.00,4,3,NULL),(15,2137356,'1988-03-15 00:00:00',4,1,12,2005,'F','N','OCTOGONAL','CRUZEIRO','DF','107072071214571431468834574122610111126',3424,'9998',64.93,1,3,NULL),(15,2137364,'1987-12-21 00:00:00',2,1,12,2005,'F','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124243241115474411446933435124610168197',10873,'298',50.65,1,3,NULL),(15,2137372,'1989-12-08 00:00:00',4,6,12,2007,'M','N','CENTRO','ITAJAI','SC','124242241216141431559934244122610124142',21708,'389',33.24,1,3,NULL),(15,2137380,'1980-01-30 00:00:00',2,1,12,1998,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241126133751443335392124122361147',12239,'818',48.67,1,3,NULL),(15,2137399,'1990-03-26 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124244241215272531446612575124610167147',15813,'1022',43.65,1,3,NULL),(15,2137429,'1990-07-20 00:00:00',4,8,12,2007,'M','N','CURITIBA','CURITIBA','PR','116162161211111752348612271144610127041',3142,'9998',65.72,1,3,NULL),(15,2137437,'1989-10-16 00:00:00',4,9,12,2006,'F','N','CENTRO','LAGES','SC','124241241315271441456613575112610134147',15450,'515',44.19,1,3,NULL),(15,2137445,'1986-12-10 00:00:00',4,1,7,2006,'F','N','CINQUENTENÁRIO','CAXIAS DO SUL','RS','120202207417471431537434395124140232127',14529,'9999',45.37,1,3,NULL),(15,2137453,'1989-05-29 00:00:00',4,8,11,2006,'F','N','FLORESTA','JOINVILLE','SC','124242241215471451548613475114610165116',NULL,'486',0.00,1,3,NULL),(15,2137461,'1989-01-12 00:00:00',2,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241125271431432311195134610122157',NULL,'290',0.00,1,2,1),(15,2137470,'1988-06-16 00:00:00',4,1,12,2004,'M','N','INGLESES','FLORIANOPOLIS','SC','124244241212211231437923472124130717042',16204,'751',43.05,1,3,NULL),(15,2137488,'1988-12-27 00:00:00',4,1,12,2006,'F','N','ENSEADA','SAO FRANCISCO DO SUL','SC','124251251116271431537869575124610128077',NULL,'9998',22.94,1,2,1),(15,2137500,'1989-05-31 00:00:00',4,1,12,2006,'M','N','CENTRO','ROLANDIA','PR','116162168216471221488714572112610167122',NULL,'9998',0.00,1,3,NULL),(15,2137542,'1990-07-18 00:00:00',4,1,12,2007,'F','N','VILA ZÉLIA','LORENA','SP','125252251215111431669931416112610167072',NULL,'9998',0.00,1,3,NULL),(15,2137550,'1989-10-16 00:00:00',2,1,12,2007,'F','N','CENTRO DE PALHOÇA','PALHOCA','SC','124242248215131431646679472124610154077',10487,'1011',51.20,1,3,NULL),(15,2137569,'1987-01-02 00:00:00',2,1,12,2004,'F','N','ALTO DA LAPA','SAO PAULO','SP','125252251215573431569713575114610125143',6240,'9998',58.57,2,3,NULL),(15,2137607,'1988-04-29 00:00:00',2,4,12,2005,'F','N','JARDIM DAS AMÉRICAS','PATO BRANCO','PR','116162168215571431518811595112610166092',NULL,'9998',0.00,1,3,NULL),(15,2137615,'1990-06-20 00:00:00',4,10,11,2007,'M','N','DEHON','TUBARAO','SC','124242241217271431485312475111610164062',2483,'806',67.66,1,3,NULL),(15,2137631,'1989-01-11 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124202241215472411389713472122610162092',12342,'272',48.51,1,3,NULL),(15,2137640,'1981-03-22 00:00:00',2,1,6,2002,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','224241246131135711431144341334610117047',NULL,'306',32.53,1,3,NULL),(15,2137658,'1979-07-18 00:00:00',4,1,7,1998,'M','N','PITUBA','SALVADOR','BA','105281281116371451188831475122341437042',NULL,'9998',0.00,1,3,NULL),(15,2137666,'1978-12-29 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241247146132121639517282114610127067',NULL,'9999',23.51,1,2,1),(15,2137682,'1989-06-02 00:00:00',2,1,12,2006,'M','N','JARDIM OLENKA','CAMPO NOVO DO PARECIS','MT','111202111136161722333619345122610164043',20545,'9998',35.81,4,3,NULL),(15,2137690,'1990-08-07 00:00:00',4,4,11,2007,'F','N','MORUMBI','PATO BRANCO','PR','116161161415111431433611192122610163017',17622,'9998',40.91,4,3,NULL),(15,2137704,'1990-09-26 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241417111431448932574124610123092',8158,'270',55.08,1,3,NULL),(15,2137712,'1990-03-16 00:00:00',2,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215111431578713572124610127182',21516,'270',33.69,1,3,NULL),(15,2137720,'1990-04-25 00:00:00',2,5,10,2007,'F','N','VILA NOVA','ICARA','SC','124244241412111711528812571124610112072',3363,'226',65.10,1,3,NULL),(15,2137739,'1988-12-26 00:00:00',4,9,12,2006,'M','N','CENTRO','LAGES','SC','124244241215472431469914572112610128142',11382,'499',49.87,4,3,NULL),(15,2137747,'1989-11-30 00:00:00',4,3,12,2007,'M','N','VILA GALVÃO','JUNDIAI','SP','125251251116471441466833175122610164051',8011,'9998',55.36,1,3,NULL),(15,2137755,'1989-06-25 00:00:00',4,1,12,2007,'F','N','OURO VERDE','TRES PONTAS','MG','113133131216161431456619575112610167142',NULL,'9998',0.00,1,3,NULL),(15,2137763,'1974-09-22 00:00:00',4,1,9,2007,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241247116131431338814482224610134073',15294,'9999',44.41,1,3,NULL),(15,2137771,'1990-05-31 00:00:00',4,8,11,2007,'F','N','CURITIBA','CURITIBA','PR','116163161315121711558832574142610162091',4792,'9998',61.54,1,3,NULL),(15,2137780,'1967-07-05 00:00:00',4,1,11,1985,'F','N','TRINDADE','FLORIANOPOLIS','SC','624202206116143431358849492134521964142',7630,'9998',55.98,1,3,NULL),(15,2137798,'1990-08-21 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242241215131431535711285124610141052',8299,'262',54.84,1,3,NULL),(15,2137801,'1990-03-29 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124242241212131432558733575125610125017',15619,'515',43.92,1,3,NULL),(15,2137810,'1990-08-17 00:00:00',4,6,12,2007,'M','N','CENTRO','PENHA','SC','124244241217111452479933577114610166181',3453,'392',64.87,1,3,NULL),(15,2137836,'1989-02-21 00:00:00',5,6,12,2006,'F','N','CENTRO','NOVA TRENTO','SC','124241241126272431536411185124610168147',22152,'574',31.71,1,2,1),(15,2137844,'1990-04-13 00:00:00',4,1,12,2007,'F','N','VILA JONES','AMERICANA','SP','125252251217111431338931575122610162192',5731,'9998',59.61,1,3,NULL),(15,2137852,'1989-07-05 00:00:00',2,1,11,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242241215472431358813575124610167182',8245,'723',54.93,1,3,NULL),(15,2137860,'1990-04-29 00:00:00',2,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124243241215111411359611572122610123142',22352,'269',30.68,1,3,NULL),(15,2137879,'1977-01-06 00:00:00',4,1,12,1994,'M','N','POTECAS','SAO JOSE','SC','124241246146274441243344245124610167172',7351,'808',56.51,1,2,1),(15,2137895,'1990-05-30 00:00:00',2,1,2,2008,'F','N','CAMPINAS','SAO JOSE','SC','124243241317371431436714574124610167097',1410,'739',71.60,1,3,NULL),(15,2137909,'1990-01-26 00:00:00',2,1,12,2007,'M','N','TRAÇADO','URUBICI','SC','124243241315271431326618592321610127182',14541,'818',45.35,1,3,NULL),(15,2137917,'1990-04-07 00:00:00',4,3,12,2007,'M','N','STA TEREZINHA','CANDIDO MOTA','SP','125254251217271431448913435112610134014',NULL,'9998',24.93,1,3,NULL),(15,2137925,'1990-06-08 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201241117271431555612325124610127052',10987,'288',50.50,4,2,1),(15,2137941,'1988-04-19 00:00:00',4,1,12,2005,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215573431479813575124610164012',978,'1063',73.65,1,3,NULL),(15,2137950,'1987-05-30 00:00:00',4,1,12,2004,'M','N','JD SÃO CARLOS','SAO PAULO','SP','125252251217471431435431174114610142182',3217,'9998',65.48,1,3,NULL),(15,2137968,'1991-06-26 00:00:00',4,1,12,2008,'F','S','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215111711449813575124610117097',NULL,'273',21.33,1,3,NULL),(15,2137976,'1990-09-13 00:00:00',4,8,10,2007,'M','N','CENTRO','JOINVILLE','SC','124242248215471431468812442121610167112',14033,'486',46.12,1,3,NULL),(15,2137984,'1990-05-22 00:00:00',4,6,11,2007,'M','N','CASA BRANCA','ITAPEMA','SC','124242241217111731459712372124610142042',3544,'1038',64.64,1,3,NULL),(15,2137992,'1988-03-16 00:00:00',4,1,12,2005,'M','N','CENTRO','CHAPADAO DO SUL','MS','112124251215371411366812575122140262042',NULL,'9998',0.00,1,3,NULL),(15,2138000,'1987-03-21 00:00:00',2,1,12,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215473711446621495124230267045',12858,'273',47.78,1,3,NULL),(15,2138018,'1990-04-05 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248215111431469814595114610148143',8548,'270',54.44,1,3,NULL),(15,2138026,'1989-07-23 00:00:00',4,8,11,2006,'M','N','SAGUAÇU','JOINVILLE','SC','124242241217472531478911571312610127091',4890,'1016',61.33,1,3,NULL),(15,2138034,'1989-09-14 00:00:00',2,5,11,2006,'F','N','CENTRO','ARARANGUA','SC','124241241315372431536915592222133224182',16584,'32',42.47,1,3,NULL),(15,2138050,'1989-06-06 00:00:00',4,9,5,2007,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242281437371431456611572122610136122',3543,'9998',64.64,1,3,NULL),(15,2138085,'1990-01-18 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241317111741468933495112610168182',18466,'9997',39.54,1,3,NULL),(15,2138107,'1988-07-14 00:00:00',2,1,12,2005,'F','N','KOBRASOL','SAO JOSE','SC','124242241215573431326822575124610163072',10402,'270',51.34,1,3,NULL),(15,2138115,'1988-10-31 00:00:00',4,1,12,2005,'M','N','JARDIM CALIFORNIA','RIBEIRAO PRETO','SP','125252251211572431458831571324610166092',NULL,'9998',0.00,1,3,NULL),(15,2138123,'1987-12-26 00:00:00',2,1,11,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215272431226619495224130264182',19417,'781',37.98,1,3,NULL),(15,2138131,'1984-12-08 00:00:00',2,1,12,2007,'F','N','ROÇADO','SAO JOSE','SC','224241241125131421338654442124610122092',20019,'733',36.78,1,2,1),(15,2138140,'1990-11-04 00:00:00',4,1,11,2008,'F','S','ITACORUBI','FLORIANOPOLIS','SC','124244241416111431549413435122610131095',NULL,'1022',24.25,1,3,NULL),(15,2138158,'1990-07-25 00:00:00',4,8,11,2007,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241215111411479951575114610122012',18831,'457',38.94,3,3,NULL),(15,2138174,'1986-05-20 00:00:00',4,1,11,2003,'F','N','BELA VISTA','SAO PAULO','SP','125132131215571411578831475122610163077',1219,'9998',72.38,1,3,NULL),(15,2138182,'1983-10-16 00:00:00',2,1,12,2002,'F','N','FORQUILHAS','SAO JOSE','SC','124241241335473431634521111334132061117',14407,'300',45.56,1,3,NULL),(15,2138190,'1991-01-17 00:00:00',4,4,12,2007,'M','N','CENTRO','CURITIBA','PR','116242161215471451459914472325610127042',6137,'9998',58.79,1,3,NULL),(15,2138212,'1987-04-16 00:00:00',4,6,12,2006,'F','N','RESSACADA','ITAJAI','SC','124242248215352711437722572224610146092',13017,'1026',47.57,1,3,NULL),(15,2138247,'1990-04-11 00:00:00',4,7,12,2007,'F','N','CENTRO','MACHADINHO','RS','120201201115371431434832572122610113097',11970,'9998',49.02,1,2,1),(15,2138255,'1987-08-29 00:00:00',4,1,12,2005,'M','N','TAGUATINGA NORTE','TAGUATINGA','DF','107074071211571452469833571112242865097',11982,'9998',49.01,1,3,NULL),(15,2138263,'1986-06-28 00:00:00',2,1,5,2005,'M','N','KOBRASOL','SAO JOSE','SC','124201207346271731356513245334610138043',16279,'9998',42.93,1,3,NULL),(15,2138271,'1989-10-31 00:00:00',4,5,11,2007,'F','N','ANA MARIA','CRICIUMA','SC','124242241215111411555511592112610144016',8995,'226',53.65,1,3,NULL),(15,2138280,'1991-10-18 00:00:00',4,5,12,2007,'M','N','FIGUEIRA','URUSSANGA','SC','624242244217151531478834475122610164067',9987,'211',51.95,1,3,NULL),(15,2138298,'1989-09-20 00:00:00',4,1,12,2006,'F','N','GUILHERMINA','PRAIA GRANDE','SP','125252251214471431588813575112610125097',9209,'9998',53.25,2,1,2),(15,2138310,'1989-07-12 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243241115472531448719575114610164187',9779,'271',52.30,1,3,NULL),(15,2138336,'1990-09-22 00:00:00',2,1,11,2007,'F','N','JARDIM FLORESTA','SAO JOSE','SC','124243248215112432458833572124610142012',14808,'270',45.00,1,3,NULL),(15,2138352,'1990-06-05 00:00:00',2,1,12,2007,'F','N','JARDIM SAO PAULO','SAO JOAO BATISTA','SC','124241241116271431345619282122610127147',17040,'712',41.82,1,2,1),(15,2138379,'1990-07-18 00:00:00',4,6,12,2007,'F','N','FAZENDA','ITAJAI','SC','124242248215111431568613472122610123142',7611,'1057',56.01,1,3,NULL),(15,2138395,'1986-11-21 00:00:00',2,1,12,2007,'F','N','TRIDANDE','FLORIANOPOLIS','SC','124163247417141431118612342314610164187',NULL,'9999',16.51,1,3,NULL),(15,2138409,'1990-10-22 00:00:00',4,1,12,2008,'M','S','SANTO ANTONIO','FLORIANOPOLIS','SC','124242241215111431368829575124610124187',NULL,'270',56.87,1,3,NULL),(15,2138417,'1990-02-27 00:00:00',4,6,11,2007,'M','N','SÃO LUIZ','BRUSQUE','SC','124241241435371741428611495122610118072',11812,'981',49.24,1,3,NULL),(15,2138425,'1990-08-24 00:00:00',2,1,12,2007,'M','N','XV DE NOVEMBRO','TIJUCAS','SC','124244241215272432426614585125610117057',10895,'781',50.62,1,3,NULL),(15,2138441,'1989-02-27 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241217372731358814272115610122042',12399,'44',48.43,1,3,NULL),(15,2138450,'1990-04-03 00:00:00',4,3,11,2007,'F','N','PIONEIROS','BALNEARIO CAMBORIU','SC','124242241215111431268923395122610125012',8488,'1038',54.53,1,3,NULL),(15,2138468,'1990-06-29 00:00:00',4,9,12,2007,'F','N','VILA MILITAR','URUBICI','SC','124243241115161431538613341121610137147',14619,'818',45.25,4,1,2),(15,2138476,'1987-01-16 00:00:00',4,1,11,2004,'M','N','POMPÉIA','SAO PAULO','SP','125252288417572451318928177114610137112',1275,'9998',72.14,1,3,NULL),(15,2138484,'1990-02-10 00:00:00',2,1,12,2007,'F','N','ARAMAÇÃO DO PÂNT SUL','FLORIANOPOLIS','SC','124201241122271731444614575122610122181',13499,'9997',46.89,1,3,NULL),(15,2138506,'1989-01-18 00:00:00',2,1,12,2005,'F','N','KOBRASOL','SAO JOSE','SC','124202201215472431467613471124231267077',5114,'9998',60.89,1,3,NULL),(15,2138514,'1990-05-07 00:00:00',4,8,11,2007,'M','N','JARDIM RECREIO','SERTAOZINHO','SP','125252251217111431568831212124610135182',3631,'9998',64.40,1,3,NULL),(15,2138530,'1990-05-29 00:00:00',4,4,11,2007,'F','N','INTERIOR','UNIAO DO OESTE','SC','124241241146131431313535151224610136057',21654,'816',33.38,1,2,1),(15,2138549,'1990-02-19 00:00:00',2,1,11,2007,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241117272431435823375124610123147',15217,'307',44.51,3,2,1),(15,2138573,'1990-09-11 00:00:00',4,2,10,2007,'F','N','GARCIA','BLUMENAU','SC','124241241215121441636612375124610166142',7509,'855',56.21,1,3,NULL),(15,2138581,'1990-04-02 00:00:00',4,1,11,2007,'M','N','VILA A','FOZ DO IGUACU','PR','116162168215271752477723575122610137057',21813,'9998',32.90,1,3,NULL),(15,2138590,'1990-06-03 00:00:00',4,4,12,2007,'F','N','PRIMAVERA','XAXIM','SC','124241241114131411456914282321610136077',8701,'846',54.17,1,2,1),(15,2138611,'1990-01-02 00:00:00',4,4,12,2007,'M','N','CENTRO','RIQUEZA','SC','124241241115371431436934171124610166052',12347,'674',48.50,1,2,1),(15,2138620,'1990-08-26 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124243241115131451536633395124610168081',7845,'271',55.61,1,3,NULL),(15,2138646,'1987-02-23 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANOPOLIS','SC','124201201315574751368814575124610134127',221,'9998',79.67,1,3,NULL),(15,2138654,'1990-04-11 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124242241217131431349613312124610134147',15410,'989',44.24,1,3,NULL),(15,2138670,'1991-11-18 00:00:00',2,10,11,2007,'F','N','CENTRO','ARMAZEM','SC','124244248215112531438813575124610116172',11737,'807',49.34,1,3,NULL),(15,2138689,'1989-07-05 00:00:00',2,7,12,2006,'M','N','VISTA ALEGRE','CONCORDIA','SC','124241241132372431425611142125131424051',18720,'192',39.13,4,2,1),(15,2138697,'1953-12-18 00:00:00',4,1,12,1974,'M','N','BARRA DO ARIRIU','PALHOCA','SC','224242243422155411473443432122320268053',14930,'771',44.88,1,3,NULL),(15,2138700,'1989-01-20 00:00:00',4,1,12,2006,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251415372431456911575121610127182',7423,'9998',56.37,1,3,NULL),(15,2138719,'1990-02-28 00:00:00',2,1,2,2008,'M','N','SERRARIA','SAO JOSE','SC','124241241317371431543324294124610122147',4975,'739',61.15,1,3,NULL),(15,2138727,'1990-08-02 00:00:00',2,4,12,2007,'M','N','INTERIOR','UNIAO DO OESTE','SC','124241241145171431415635152324610117147',19253,'816',38.26,1,2,1),(15,2138735,'1990-08-09 00:00:00',2,1,12,2007,'F','N','CAMINHO NOVO','PALHOCA','SC','124241241117131331425314272321610127147',21482,'591',33.76,1,2,1),(15,2138743,'1985-11-16 00:00:00',2,1,12,2006,'F','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124241247135141731425313242334610154147',NULL,'307',19.46,2,1,1),(15,2138751,'1971-11-18 00:00:00',4,8,12,1988,'M','N','CENTRO','CASCAVEL','PR','116132131217571421159849492112342447122',5346,'9998',60.42,1,3,NULL),(15,2138760,'1989-11-11 00:00:00',4,8,12,2006,'M','N','IPEROBA','SAO FRANCISCO DO SUL','SC','124243242116472451337616265225610164142',NULL,'24',0.00,1,3,NULL),(15,2138786,'1990-09-17 00:00:00',4,8,12,2007,'F','N','BARRA DO RIO CERRO','JARAGUA DO SUL','SC','124241241115271731554319572122610128197',16741,'435',42.27,1,3,NULL),(15,2138794,'1990-01-29 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431237823373124610122147',4377,'270',62.52,1,3,NULL),(15,2138824,'1991-08-19 00:00:00',4,4,12,2007,'F','N','BARRA DO GOLFO','MAREMA','SC','124241241123161431546315252325610137057',18065,'554',40.20,1,3,NULL),(15,2138832,'1987-03-06 00:00:00',4,1,8,2005,'M','N','CENTRO','ABAETE','MG','107132281417571431555812275124610142057',1047,'9998',73.25,1,3,NULL),(15,2138840,'1960-04-14 00:00:00',2,1,7,1985,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','624201207346271421232243231124610138147',15797,'9999',43.68,1,3,NULL),(15,2138859,'1989-04-17 00:00:00',2,9,12,2006,'M','N','CENTRO','BRUSQUE','SC','124244241435272431647712571122231017042',6982,'541',57.19,1,3,NULL),(15,2138875,'1988-05-27 00:00:00',4,1,12,2005,'F','N','BOA VISTA','RIO DO SUL','SC','124242241215573411436814575124610123092',8408,'991',54.68,1,3,NULL),(15,2138883,'1979-02-20 00:00:00',2,1,12,1997,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','624241243122175711335453142334610134147',18321,'284',39.76,1,2,1),(15,2138891,'1988-11-11 00:00:00',4,5,12,2006,'M','N','OPERÁRIA NOVA','CRICIUMA','SC','124242246215272441558814475124610125062',1612,'995',70.77,1,3,NULL),(15,2138905,'1992-02-28 00:00:00',4,4,11,2008,'F','S','PARQUE DAS PALMEIRAS','CHAPECO','SC','124242241215111431478611592124610163097',NULL,'185',58.61,1,3,NULL),(15,2138948,'1990-07-06 00:00:00',4,8,12,2007,'F','N','CENTRO','GARUVA','SC','124241241344141431346612342332610141147',21259,'923',34.29,1,3,NULL),(15,2138956,'1989-08-16 00:00:00',4,3,12,2006,'M','N','CIDADE NOVA','PORTO UNIAO','SC','124242241211152411348819111122610162172',NULL,'633',43.05,1,3,NULL),(15,2138964,'1990-08-20 00:00:00',4,1,12,2007,'M','N','CAMPOS DO IGUAÇU','FOZ DO IGUACU','PR','116162161115151431317721475124610114097',4688,'9998',61.78,1,3,NULL),(15,2138972,'1987-01-21 00:00:00',4,1,11,2004,'M','N','CENTRO','TUBARAO','SC','124242241211413411466614575324610114051',5793,'807',59.49,1,3,NULL),(15,2138980,'1989-02-20 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241217273711468939475112130562182',9122,'738',53.42,1,3,NULL),(15,2138999,'1989-03-14 00:00:00',4,6,11,2006,'M','N','CENTRO','ITAJAI','SC','124242241211372431466614375124233264122',10283,'1026',51.51,1,3,NULL),(15,2139006,'1985-10-26 00:00:00',4,1,12,2002,'F','N','ESTREITO','FLORIANOPOLIS','SC','124212211215572431468819375124133224117',3466,'9998',64.83,3,3,NULL),(15,2139014,'1990-05-07 00:00:00',2,5,11,2007,'F','N','CENTRO','URUSSANGA','SC','124242241215111431438612572112610126192',15075,'820',44.70,1,3,NULL),(15,2139022,'1990-10-27 00:00:00',2,1,12,2007,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241115371431234623575124610131097',17471,'288',41.12,1,2,1),(15,2139030,'1988-09-02 00:00:00',2,1,7,2007,'M','N','BARREIROS','SAO JOSE','SC','124241247316211432523321382324610123142',NULL,'9999',23.63,3,3,NULL),(15,2139049,'1989-01-23 00:00:00',2,1,12,2006,'F','N','GAMA DF','GAMA','DF','107072071216271431426714375124610116077',16110,'9998',43.21,1,3,NULL),(15,2139057,'1987-07-18 00:00:00',2,4,12,2004,'F','N','ASA NORTE','BRASILIA','DF','107241241136574411445314395134610164097',17075,'175',41.77,1,2,1),(15,2139065,'1989-02-12 00:00:00',2,5,12,2006,'M','N','CENTRO','TIMBE DO SUL','SC','124241241317472431258923575122610127182',13906,'785',46.31,1,3,NULL),(15,2139073,'1985-08-29 00:00:00',4,1,7,2005,'F','N','SAIC','CHAPECO','SC','124241247636131231325319581114610141147',NULL,'186',18.71,1,3,NULL),(15,2139090,'1985-06-11 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216474431489713575122221417062',4091,'262',63.22,1,3,NULL),(15,2139103,'1990-05-27 00:00:00',4,1,12,2007,'F','N','CACUPÉ','FLORIANOPOLIS','SC','124242241215111431466929372112610136182',12107,'270',48.85,1,3,NULL),(15,2139111,'1984-12-11 00:00:00',2,1,12,2002,'M','N','JOSE MENDES','FLORIANOPOLIS','SC','124241241141153411123344242324131464052',15350,'286',44.33,1,2,1),(15,2139138,'1986-07-16 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANOPOLIS','SC','124241247437121132323379345121610138024',NULL,'9999',23.03,1,3,NULL),(15,2139146,'1991-02-15 00:00:00',4,9,12,2008,'F','S','FREI ROGÉRIO','LAGES','SC','124241241215111531236619392122610134071',NULL,'499',40.25,1,3,NULL),(15,2139154,'1990-03-06 00:00:00',4,1,12,2007,'M','N','PIO X','CAXIAS DO SUL','RS','120201201135131431336512245224610131097',11730,'9998',49.35,1,2,1),(15,2139162,'1991-11-06 00:00:00',2,4,12,2007,'F','N','CENTRO','PONTE SERRADA','SC','124242241116161431436612575122610136157',14212,'1071',45.85,1,3,NULL),(15,2139170,'1990-04-08 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124201241115131431523611242324610126197',20917,'732',35.05,1,2,1),(15,2139189,'1991-08-06 00:00:00',4,8,12,2008,'F','S','CENTRO','JARAGUA DO SUL','SC','124242241215111431478911414122610123012',NULL,'491',49.33,1,3,NULL),(15,2139200,'1989-02-03 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215332411339819575124610162127',15635,'259',43.90,1,3,NULL),(15,2139227,'1989-01-16 00:00:00',2,1,12,2006,'F','N','CENTRO','ARACARIGUAMA','SP','125251251217231411436611582224610124147',21047,'9998',34.77,2,1,2),(15,2139243,'1983-12-19 00:00:00',4,1,7,2003,'F','N','SÃO LOURENÇO','CURITIBA','PR','116164161327131531638727145224610125187',21157,'9998',34.53,1,3,NULL),(15,2139251,'1988-04-14 00:00:00',2,1,12,2007,'M','N','CENTRO','PALHOCA','SC','124242248215111331368413572122610112097',21939,'989',32.49,1,3,NULL),(15,2139278,'1990-07-12 00:00:00',2,4,12,2007,'M','N','ANCHIETA','PATO BRANCO','PR','116161161117271431427524396124610168017',6991,'9998',57.17,1,2,1),(15,2139286,'1987-04-24 00:00:00',4,1,11,2006,'M','N','PARQUE SÃO JORGE','FLORIANOPOLIS','SC','124241241123371231324414343124610147042',22180,'307',31.57,1,2,1),(15,2139294,'1990-02-09 00:00:00',4,1,12,2007,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124242241215111411456612572112610163077',13563,'1011',46.80,1,3,NULL),(15,2139308,'1988-11-16 00:00:00',4,1,12,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241246215111741468933495122610168182',NULL,'1119',24.69,1,3,NULL),(15,2139316,'1989-10-03 00:00:00',2,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124241241215272431527614485114610137077',17478,'882',41.11,1,3,NULL),(15,2139332,'1978-01-11 00:00:00',2,1,12,1996,'M','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124241241116152731143343431233322226093',10782,'710',50.76,1,3,NULL),(15,2139340,'1989-01-29 00:00:00',4,1,12,2006,'M','N','CAMOBI','SANTA MARIA','RS','120202201216371431559619572124610166187',NULL,'9998',NULL,1,3,NULL),(15,2139359,'1991-04-09 00:00:00',2,3,11,2007,'F','N','NAÇÕES','BALNEARIO CAMBORIU','SC','124242241411112431576612291122610144172',13348,'9997',47.11,1,3,NULL),(15,2139367,'1991-01-27 00:00:00',2,1,11,2007,'M','N','IPIRANGA','SAO JOSE','SC','124242241215121732336611392124610167147',13269,'976',47.21,1,3,NULL),(15,2139375,'1990-07-09 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124241241115131431432324242331610122087',22145,'732',31.74,4,2,1),(15,2139383,'1989-08-15 00:00:00',4,3,12,2006,'M','N','JARDIM AMÉRICA','RIO DO SUL','SC','124244241215472431569913575121610157057',965,'499',73.70,1,3,NULL),(15,2139391,'1989-12-09 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212112431449713375121610166012',16347,'266',42.83,4,3,NULL),(15,2139405,'1989-09-05 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212111221359922513211312832172',14019,'883',46.14,1,3,NULL),(15,2139413,'1988-12-15 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431259914575112610127012',5499,'1022',60.06,1,3,NULL),(15,2139430,'1987-10-26 00:00:00',2,5,11,2005,'M','N','CENTRO','CRICIUMA','SC','124242248217472751338514594225121766172',93,'226',81.73,1,3,NULL),(15,2139448,'1989-05-12 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217473431388914572125233234042',2604,'1022',67.30,1,3,NULL),(15,2139456,'1955-08-17 00:00:00',4,1,12,1973,'F','N','CENTRO','FLORIANOPOLIS','SC','524243241136575741123441415134521361092',NULL,'307',0.00,1,3,NULL),(15,2139464,'1985-09-12 00:00:00',2,1,12,2003,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241248126272421456519342234610124047',10372,'286',51.39,1,2,1),(15,2139472,'1989-10-10 00:00:00',2,3,12,2007,'M','N','TERESÓPOLIS','PORTO ALEGRE','RS','120202201216121431367614335124610167055',5318,'9998',60.48,4,3,NULL),(15,2139480,'1985-07-11 00:00:00',5,1,12,2002,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241212373421479814441122231067043',8070,'262',55.24,1,3,NULL),(15,2139499,'1988-10-13 00:00:00',2,1,12,2005,'M','N','SÃO SEBASTIÃO','PALHOCA','SC','124241241136372431343323342113610124147',5514,'592',60.03,1,2,1),(15,2139502,'1990-04-05 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241211111231347824571124610122072',19917,'266',36.98,1,3,NULL),(15,2139510,'1989-12-04 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431466631572122610111192',10742,'272',50.81,1,3,NULL),(15,2139529,'1990-07-31 00:00:00',4,1,12,2007,'F','N','MATRIZ','VIDEIRA','SC','124243241136141431427614211222610123147',NULL,'831',21.91,1,3,NULL),(15,2139537,'1988-05-27 00:00:00',2,1,12,2005,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124243241147271431436624471124131227047',5056,'123',60.98,1,3,NULL),(15,2139553,'1990-02-15 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','SAO JOSE','SC','124241241115141431435514345124610167147',NULL,'733',28.29,2,2,1),(15,2139561,'1990-04-27 00:00:00',2,9,11,2007,'F','N','CENTRO','TAIO','SC','124242241235112441436832474124610133142',7239,'991',56.71,1,3,NULL),(15,2139570,'1980-10-23 00:00:00',4,1,11,1999,'M','N','CENTRO','FLORIANOPOLIS','SC','124243247426132431433414283224133264043',15500,'9999',44.13,2,3,NULL),(15,2139596,'1990-04-25 00:00:00',2,1,12,2007,'M','N','CENTRO','SAO JOSE','SC','124242241215111431435739572124610122052',10940,'737',50.55,1,3,NULL),(15,2139600,'1988-06-10 00:00:00',4,3,12,2005,'M','N','CENTRO','FRANCISCO BELTRAO','PR','116162161217472431468821475125141736052',1944,'9998',69.45,1,3,NULL),(15,2139618,'1991-06-08 00:00:00',4,1,12,2007,'F','N','CAMINHO NOVO','PALHOCA','SC','124241248225131731434419571324610164147',NULL,'262',24.33,1,3,NULL),(15,2139626,'1990-04-25 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215121731457712572122610165092',18117,'226',40.12,1,3,NULL),(15,2139634,'1990-08-06 00:00:00',2,7,12,2007,'F','N','SÃO FRANCISCO','LUZERNA','SC','124241241115241432536429491321610147017',15551,'539',44.05,4,2,1),(15,2139642,'1990-08-24 00:00:00',1,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124164241415111431355619592124610166177',NULL,'1022',39.70,1,3,NULL),(15,2139650,'1989-12-02 00:00:00',2,1,12,2006,'F','N','BAIRRO IPIRANGA','SAO JOSE','SC','124241241117132432533632342232610132092',12492,'257',48.30,1,2,1),(15,2139669,'1990-04-02 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124241241412131431228923275114610127087',17947,'1036',40.41,1,3,NULL),(15,2139685,'1975-11-04 00:00:00',4,1,12,2001,'F','N','JARDIM CARANDAÍ','BIGUACU','SC','524241241122131421426674272122131021147',NULL,'800',0.00,1,2,1),(15,2139693,'1990-02-12 00:00:00',2,1,12,2007,'M','N','POTECAS','SAO JOSE','SC','124242241211121431434414275125610137045',NULL,'1036',33.52,3,3,NULL),(15,2139707,'1989-08-14 00:00:00',2,5,12,2007,'M','N','VILA BEATRIZ','MARACAJA','SC','124241241137271431246522275122610116142',12971,'550',47.63,4,2,1),(15,2139715,'1991-03-16 00:00:00',4,1,11,2008,'M','S','CARIANOS','FLORIANOPOLIS','SC','124241241215111431334631292324610167077',NULL,'270',38.77,1,3,NULL),(15,2139723,'1990-03-28 00:00:00',4,8,12,2007,'F','N','PARQUE CEDRAL','PRESIDENTE PRUDENTE','SP','125252251217112431368832574122610131142',886,'9998',74.13,1,3,NULL),(15,2139731,'1989-01-08 00:00:00',4,6,11,2006,'F','N','CENTRO','ITAJAI','SC','124242241215271431449833392122133236182',9653,'1058',52.48,1,3,NULL),(15,2139740,'1989-09-27 00:00:00',4,2,12,2007,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241217371431489912575122610164112',5948,'855',59.17,1,3,NULL),(15,2139758,'1990-04-18 00:00:00',4,9,12,2007,'M','N','SAGRADO C DE JESUS','LAGES','SC','124244241217122411479934575112610147062',6556,'9997',57.96,1,3,NULL),(15,2139766,'1966-04-20 00:00:00',2,1,12,1984,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','224162161237272431554453382122143246147',15371,'9998',44.30,1,3,NULL),(15,2139774,'1990-01-07 00:00:00',4,1,12,2007,'M','N','ASA NORTE','BRASILIA','DF','107072071217151431478833575112610162122',2620,'9998',67.26,4,3,NULL),(15,2139782,'1991-07-14 00:00:00',4,1,12,2008,'M','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215111431369821572124610124112',NULL,'883',58.71,1,3,NULL),(15,2139790,'1987-07-18 00:00:00',4,5,12,2004,'F','N','OPERARIA NOVA','CRICIUMA','SC','124244241235512431348414572122133244092',14422,'230',45.55,1,3,NULL),(15,2139804,'1990-11-22 00:00:00',4,1,12,2007,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241217121731456613572214610162077',4934,'1022',61.22,1,3,NULL),(15,2139812,'1988-10-14 00:00:00',4,1,12,2005,'F','N','JARDIM TV MORENA','CAMPO GRANDE','MS','112125121217272411579933574123140262015',4573,'9998',62.08,4,3,NULL),(15,2139820,'1988-10-06 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215572731357823571125133232077',2070,'1022',69.04,1,3,NULL),(15,2139839,'1985-07-25 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124211211112371331326641345314610115182',16673,'9998',42.36,2,1,1),(15,2139847,'1987-11-30 00:00:00',2,1,9,2006,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241247122131421341421245114610114142',NULL,'9999',27.10,3,2,1),(15,2139863,'1989-09-16 00:00:00',4,8,12,2006,'F','N','SAGUAÇU','JOINVILLE','SC','124242241245471431566612322122610167142',4055,'457',63.32,1,3,NULL),(15,2139871,'1988-04-14 00:00:00',4,3,11,2005,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241216113441447732582115130264147',3082,'836',65.88,1,3,NULL),(15,2139880,'1989-12-27 00:00:00',2,1,12,2006,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242241215472431478813372124610127143',11057,'258',50.38,1,3,NULL),(15,2139898,'1987-02-17 00:00:00',4,1,12,2004,'F','N','AMÉRICA','JOINVILLE','SC','124242241215574431578919575124610163182',620,'270',75.91,1,3,NULL),(15,2139901,'1988-05-29 00:00:00',4,5,12,2005,'F','N','MINA BRASIL','CRICIUMA','SC','124242241215573431458811572122610154047',7018,'226',57.11,1,3,NULL),(15,2139928,'1990-05-26 00:00:00',4,10,12,2007,'M','N','PORTO DA VILA','IMBITUBA','SC','124241241112271431423914142124610127062',NULL,'359',20.86,1,3,NULL),(15,2139936,'1983-05-16 00:00:00',4,7,12,2000,'F','N','LAGEADO DOS PINTOS','CONCORDIA','SC','124241241112133451523315582324610168017',7529,'192',56.17,1,2,1),(15,2139944,'1990-05-23 00:00:00',4,6,12,2006,'F','N','CENTRO','ITAJAI','SC','124242161217373431468811572122132422042',88,'9998',81.93,1,3,NULL),(15,2139952,'1981-05-25 00:00:00',4,1,12,1999,'M','N','BARREIROS','SAO JOSE','SC','124202247616372431136641315132131424051',NULL,'9998',27.36,1,3,NULL),(15,2139960,'1988-12-22 00:00:00',2,1,12,2006,'F','N','VILA IGARA','CANOAS','RS','120022021216471431268847574122610124142',17637,'9998',40.89,4,3,NULL),(15,2139979,'1989-10-27 00:00:00',4,1,12,2006,'F','N','JD SATÉLITE','SAO JOSE DOS CAMPOS','SP','125253258415271731368933345124610133042',14567,'9998',45.31,1,3,NULL),(15,2139987,'1990-04-30 00:00:00',4,1,7,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215151431535634373114610138042',17004,'9999',41.87,1,3,NULL),(15,2139995,'1990-05-24 00:00:00',2,1,11,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124244241235111431436513375124610164142',3071,'266',65.91,1,3,NULL),(15,2140004,'1989-03-18 00:00:00',4,8,12,2006,'M','N','BIGORRILHO','CURITIBA','PR','116162161215571431159931575124610162097',7610,'9998',56.02,1,3,NULL),(15,2140012,'1989-03-20 00:00:00',2,1,12,2005,'M','N','SANTA RITA','PETROLANDIA','SC','124241241126163231556823585113610167052',5671,'613',59.72,1,2,1),(15,2140020,'1990-12-22 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241117131431448633572124610143072',12521,'739',48.26,1,3,NULL),(15,2140047,'1990-03-04 00:00:00',4,1,12,2007,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241127131441626113311224610136092',NULL,'307',19.19,4,1,1),(15,2140055,'1986-12-07 00:00:00',4,8,12,2004,'F','N','AMÉRICA','JOINVILLE','SC','124243243216372451236669345124131724057',12257,'494',48.64,1,3,NULL),(15,2140063,'1974-03-09 00:00:00',2,1,12,1995,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','524251251332133441224444345234610144027',13327,'9998',47.14,1,3,NULL),(15,2140071,'1988-08-05 00:00:00',2,7,12,2005,'F','N','LAGEADO DOS PINTOS','CONCORDIA','SC','124241241112132411523315582324610167057',18835,'192',38.94,1,2,1),(15,2140080,'1989-05-25 00:00:00',2,1,3,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241112112431448613342124610167142',10872,'267',50.65,1,2,1),(15,2140098,'1989-01-07 00:00:00',3,9,12,2006,'M','N','CENTRO','LAGES','SC','124241241316272441433316245225610165027',9623,'1065',52.55,3,3,NULL),(15,2140101,'1982-10-01 00:00:00',2,1,12,1999,'F','N','PASSA VINTE','PALHOCA','SC','124244241212474441436614392124430226182',8667,'737',54.22,1,3,NULL),(15,2140128,'1989-11-13 00:00:00',2,8,12,2006,'F','N','UVARANAS','PONTA GROSSA','PR','116162161216471431436913575122142666122',693,'9998',75.40,1,3,NULL),(15,2140136,'1990-07-17 00:00:00',4,1,12,2007,'F','N','JARDINS FLORENÇA','GOIANIA','GO','109092091216111431378923575122610142042',8935,'9998',53.78,1,3,NULL),(15,2140144,'1991-08-05 00:00:00',2,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215111431466913232122610134047',12470,'9997',48.34,1,3,NULL),(15,2140152,'1985-05-14 00:00:00',4,3,12,2003,'M','N','SAO JOAO DO PARAISO','MASCOTE','BA','105051051136162441233823392124610122057',9975,'9998',51.97,4,2,1),(15,2140160,'1989-11-29 00:00:00',4,6,12,2006,'F','N','VILA SANTA TEREZINHA','PASSO FUNDO','RS','120202201217471431447639572122610147187',1166,'9998',72.67,1,3,NULL),(15,2140179,'1990-07-13 00:00:00',4,2,12,2007,'F','N','VELHA','BLUMENAU','SC','124244241437141431347712245122610132017',17177,'73',41.60,1,3,NULL),(15,2140187,'1989-06-30 00:00:00',2,4,11,2006,'F','N','CENTRO','FRANCISCO BELTRAO','PR','116162161216472751538634444222610123187',2081,'9998',69.02,1,3,NULL),(15,2140195,'1990-01-14 00:00:00',4,8,11,2007,'F','N','SAGUAÇÚ','JOINVILLE','SC','124242241212371531439914272224610113077',17042,'1016',41.82,1,3,NULL),(15,2140209,'1989-03-15 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241135342231533314345124610167042',10509,'288',51.17,4,3,NULL),(15,2140217,'1989-02-28 00:00:00',4,1,12,2006,'F','N','ACLIMAÇÃO','SAO PAULO','SP','125092091216471451268924571114610124095',5403,'9998',60.28,1,3,NULL),(15,2140225,'1989-09-05 00:00:00',4,9,12,2007,'M','N','UNIVERSITÁRIO','LAGES','SC','124244241116171431655811175222610147147',10768,'935',50.78,1,3,NULL),(15,2140233,'1989-04-26 00:00:00',4,1,12,2006,'M','N','CENTRO','ERECHIM','RS','120202201217271411448831145114610126042',2960,'9998',66.27,1,3,NULL),(15,2140250,'1990-11-05 00:00:00',4,1,8,2008,'F','S','PASSA VINTE','PALHOCA','SC','124243241115111431325619571124610126197',NULL,'739',43.46,1,3,NULL),(15,2140268,'1989-11-27 00:00:00',4,1,12,2007,'M','N','PQ RECANTO PARRILHO','JUNDIAI','SP','125252251215111431348611575112610117047',NULL,'9998',0.00,1,3,NULL),(15,2140276,'1990-10-16 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215472231549613475114610114172',3196,'270',65.55,1,3,NULL),(15,2140284,'1989-10-26 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372511269913571114133232142',12505,'1022',48.28,1,3,NULL),(15,2140292,'1990-07-21 00:00:00',4,4,12,2007,'M','N','CENTRO','PALOTINA','PR','116162161216111221356631575121610165172',NULL,'9998',0.00,1,3,NULL),(15,2140306,'1990-06-04 00:00:00',2,1,11,2007,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124242241215111431479614275124610127047',21102,'262',34.65,1,3,NULL),(15,2140314,'1990-08-11 00:00:00',4,8,12,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215111731448834492122610126147',NULL,'457',0.00,1,3,NULL),(15,2140330,'1990-07-31 00:00:00',2,1,12,2007,'F','N','JARDIM AEROPORTO','PONTA PORA','MS','112121121117371751239829572225610118192',16170,'9998',43.12,1,3,NULL),(15,2140349,'1989-12-30 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431456914392112610124072',16084,'1022',43.24,1,3,NULL),(15,2140357,'1989-03-01 00:00:00',2,1,12,2006,'F','N','FLORESTA','SAO JOSE','SC','124244241117272431326611442334610138192',5359,'307',60.36,1,3,NULL),(15,2140365,'1990-04-09 00:00:00',2,8,10,2007,'F','N','GUANABARA','JOINVILLE','SC','124242241215111431466632572114610137147',13460,'486',46.93,1,3,NULL),(15,2140373,'1990-09-24 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215121731146634392345613238182',13183,'9997',47.35,1,3,NULL),(15,2140390,'1989-09-10 00:00:00',4,1,12,2007,'F','N','SUDOESTE','CRUZEIRO','DF','607074071215111431469931572122610145072',5994,'9998',59.09,1,3,NULL),(15,2140403,'1990-02-16 00:00:00',4,10,12,2007,'M','N','MAR GROSSO','LAGUNA','SC','124241241215131431436933232122610167017',10638,'525',50.96,1,3,NULL),(15,2140411,'1990-03-18 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124241241215121631233364575115610138197',9863,'1076',52.16,1,3,NULL),(15,2140420,'1990-01-04 00:00:00',2,1,12,2007,'M','N','OLIVEIRA BARROS','MIRACATU','SP','125251251116371231434316335124610127042',NULL,'9998',33.69,1,2,1),(15,2140446,'1990-10-30 00:00:00',4,1,12,2007,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124241241336121411326714285124610161117',18098,'300',40.15,1,3,NULL),(15,2140454,'1985-06-07 00:00:00',4,1,12,2003,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241116374431346524341124610127142',10189,'295',51.65,4,2,1),(15,2140462,'1990-09-14 00:00:00',4,1,12,2007,'F','N','CENTRO','IBIRAMA','SC','124241241117161411336823435122610117077',22101,'348',31.93,1,2,1),(15,2140470,'1991-05-21 00:00:00',2,4,12,2008,'F','S','NAZARÉ','CONCORDIA','SC','124242241215151431436811575122610131147',NULL,'1000',50.71,1,3,NULL),(15,2140489,'1990-05-09 00:00:00',2,1,11,2007,'M','N','CENTRO','MATELANDIA','PR','116163161217141421556612242322610128012',NULL,'9998',0.00,1,3,NULL),(15,2140497,'1990-02-14 00:00:00',4,7,12,2007,'M','N','MONTE BELO','JOACABA','SC','124242241215151432466313275112610137054',12675,'962',48.02,1,3,NULL),(15,2140500,'1989-05-29 00:00:00',4,1,12,2006,'M','N','CAMPINAS','SAO JOSE','SC','124241241115472431559933572124231822121',1344,'267',71.90,1,2,1),(15,2140519,'1990-06-23 00:00:00',4,1,11,2007,'M','N','CENTRO','SAO JOAQUIM','SC','124242241216111431344612275122610137072',19469,'1035',37.88,1,3,NULL),(15,2140527,'1988-05-26 00:00:00',4,1,11,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215573721488812572112610164136',1609,'270',70.77,1,3,NULL),(15,2140535,'1990-07-17 00:00:00',2,1,11,2007,'F','N','BELA VISTA','SAO JOSE','SC','124241241211221431638613334124610125145',10647,'9997',50.95,1,3,NULL),(15,2140543,'1990-10-29 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215121431213369592315610123197',5804,'270',59.46,1,3,NULL),(15,2140551,'1990-07-03 00:00:00',2,1,12,2007,'M','N','CENTRAL','GOIANIA','GO','109093091215111431458833574124610136187',12389,'9998',48.44,2,3,NULL),(15,2140560,'1990-10-13 00:00:00',4,5,11,2007,'F','N','RIO MAINA','CRICIUMA','SC','124244241215271411556834575112610164092',3233,'213',65.44,1,3,NULL),(15,2140578,'1990-03-24 00:00:00',4,1,11,2007,'F','N','SANTINHO','FLORIANOPOLIS','SC','124242241215111412486832573114610166187',1436,'270',71.50,1,3,NULL),(15,2140586,'1991-02-18 00:00:00',4,2,11,2008,'F','S','ITOUPAVA CENTRAL','BLUMENAU','SC','124243241215111411333633472124610124092',NULL,'71',6.82,1,3,NULL),(15,2140594,'1991-06-13 00:00:00',4,1,11,2008,'F','S','ROÇADO','SAO JOSE','SC','124241241217131431533311575122610146187',NULL,'1076',48.59,1,3,NULL),(15,2140616,'1990-07-03 00:00:00',4,1,11,2007,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241217111511468933574122610131167',4821,'87',61.48,1,3,NULL),(15,2140624,'1990-07-29 00:00:00',2,1,11,2007,'F','N','CENTRO','BIGUACU','SC','124242241215112431568732572114610124142',7045,'270',57.07,1,3,NULL),(15,2140632,'1989-08-04 00:00:00',2,5,12,2006,'F','N','SÃO CAETANO','CAXIAS DO SUL','RS','120202201216471431433311272112610168147',17170,'9998',41.61,1,3,NULL),(15,2140640,'1987-06-03 00:00:00',4,1,12,2004,'M','N','VILA NOVA','IMBITUBA','SC','124241247313153431356414175124233268085',10553,'359',51.10,1,3,NULL),(15,2140659,'1983-06-23 00:00:00',4,8,12,2000,'F','N','CENTRO','CORNELIO PROCOPIO','PR','116163161116271431415524487312610163197',NULL,'9998',0.00,1,3,NULL),(15,2140667,'1988-05-26 00:00:00',4,1,7,2006,'F','N','IPIRANGA','SAO JOSE','SC','124201247446271331227524572214610134197',9359,'9999',53.03,1,3,NULL),(15,2140675,'1989-05-05 00:00:00',2,4,12,2006,'M','N','ZONA DOIS','CIANORTE','PR','116164161316471431338433575122610112187',21977,'9998',32.33,1,3,NULL),(15,2140683,'1982-09-08 00:00:00',2,8,12,2005,'M','N','CENTRO','RIO NEGRINHO','SC','124241241121131431431249392334130212057',18305,'669',39.79,2,1,1),(15,2140691,'1988-04-27 00:00:00',4,1,12,2005,'F','N','JD SÃO PAULO','SAO PAULO','SP','125252251217571731478833584115610162152',NULL,'9998',0.00,3,3,NULL),(15,2140705,'1990-05-12 00:00:00',2,9,11,2007,'F','N','CORAL','LAGES','SC','124242241215271431338613572112610134057',14666,'499',45.19,1,3,NULL),(15,2140713,'1987-09-29 00:00:00',4,8,12,2005,'F','N','CENTRO','JOINVILLE','SC','124134241215573431448813574114610125092',1286,'457',72.11,1,3,NULL),(15,2140721,'1989-09-13 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241235112231656613372222610137077',19799,'738',37.22,1,3,NULL),(15,2140730,'1990-08-04 00:00:00',2,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124243241215121431348823575124610162017',8621,'1076',54.30,1,3,NULL),(15,2140748,'1988-11-05 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215473431558913472124610121131',5283,'1022',60.55,1,3,NULL),(15,2140756,'1989-12-12 00:00:00',4,7,12,2007,'M','N','CENTRO','LUZERNA','SC','124242241215271431436634291224610138052',5084,'962',60.94,1,3,NULL),(15,2140764,'1989-08-01 00:00:00',4,1,12,2007,'M','N','JARDIM MARCHISSOLO','SUMARE','SP','125252251217111231266414245112610167047',13484,'9998',46.91,1,3,NULL),(15,2140772,'1989-09-17 00:00:00',4,1,12,2006,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242201216271431528914342124610137052',14376,'9998',45.60,1,3,NULL),(15,2140780,'1990-03-14 00:00:00',4,1,12,2007,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241215271431436612475122610361077',NULL,'1014',17.33,1,3,NULL),(15,2140802,'1989-07-19 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242248215111411337811275124610122112',19608,'1022',37.60,1,3,NULL),(15,2140810,'1990-04-06 00:00:00',2,1,12,2007,'F','N','STO ANT DE LISBOA','FLORIANOPOLIS','SC','124242241217141431535519242122610128072',17224,'1048',41.53,1,3,NULL),(15,2140829,'1992-01-22 00:00:00',4,1,11,2007,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241217111431469613572122610127092',11393,'270',49.86,1,3,NULL),(15,2140837,'1989-12-01 00:00:00',4,1,12,2006,'F','N','MENINO DEUS','PATO BRANCO','PR','116161161117471431434614575122610164097',13506,'9998',46.89,1,2,1),(15,2140853,'1991-04-30 00:00:00',4,1,12,2007,'M','N','CENTRO','ARARANGUA','SC','124242241215111221355823275112610134172',4550,'32',62.14,1,3,NULL),(15,2140861,'1989-06-06 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124212241216472431488619572122610144092',25,'262',84.22,1,3,NULL),(15,2140870,'1991-06-19 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241235111411568812572112610168122',19052,'1022',38.59,1,3,NULL),(15,2140888,'1988-03-06 00:00:00',4,1,12,2005,'F','N','CIDADEUNIVERSITARIA','CAMPINAS','SP','125252251215572411249931575124610113182',13569,'9998',46.79,1,3,NULL),(15,2140896,'1989-10-19 00:00:00',4,1,12,2007,'M','N','ALTO DA BOA VISTA','AVARE','SP','125252251216121431567712574112610144197',5203,'9998',60.70,1,3,NULL),(15,2140900,'1990-04-29 00:00:00',4,1,12,2007,'F','N','BRABÂNCIA','AVARE','SP','125252251217111411435923475122610162057',5806,'9998',59.46,1,3,NULL),(15,2140918,'1990-03-19 00:00:00',4,2,12,2007,'M','N','PINHEIRO','PRESIDENTE GETULIO','SC','124241241116271431343431575121610167042',NULL,'644',18.55,1,2,1),(15,2140934,'1989-07-25 00:00:00',4,1,12,2007,'M','N','JARDIM EUROPA','ASSIS','SP','125252251217151431568831274112610127042',19442,'9998',37.93,1,3,NULL),(15,2140942,'1990-10-17 00:00:00',4,5,11,2007,'M','N','URUSSANGUINHA','ARARANGUA','SC','124242241215131431339923575122610162091',2484,'32',67.66,1,3,NULL),(15,2140950,'1987-06-20 00:00:00',2,8,12,2003,'M','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116162161216571431579811575124141064017',NULL,'9998',0.00,1,3,NULL),(15,2140969,'1989-10-10 00:00:00',2,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241417372441368812145124232837065',19205,'359',38.34,1,3,NULL),(15,2140977,'1991-02-03 00:00:00',2,5,11,2007,'M','N','ITAPEVA','TORRES','RS','120202201216111731246512572122610167067',NULL,'9998',0.00,1,3,NULL),(15,2140985,'1967-05-21 00:00:00',3,1,12,1985,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','224241241117153711443354382124520866185',9670,'307',52.46,1,3,NULL),(15,2140993,'1989-11-10 00:00:00',4,7,12,2007,'F','N','VILA ALEMANHA','LUZERNA','SC','124241241215271431448613175124610134097',1969,'446',69.36,1,3,NULL),(15,2141019,'1991-06-21 00:00:00',4,5,12,2008,'F','S','CRUZEIRO DO SUL','CRICIUMA','SC','124242241217111431578811475122610164072',NULL,'213',40.62,1,3,NULL),(15,2141027,'1990-11-18 00:00:00',2,1,12,2007,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124243241215112431446912575124610124117',17761,'1022',40.72,1,3,NULL),(15,2141035,'1989-03-11 00:00:00',2,1,12,2006,'F','N','JD ESPLANADA','SAO JOSE DOS CAMPOS','SP','125252251216471751539934572125610164047',3717,'9998',64.17,1,3,NULL),(15,2141043,'1990-12-06 00:00:00',2,1,11,2007,'F','N','KOBRASOL','URUBICI','SC','124242241212111421368812572124610125172',22491,'270',28.89,1,3,NULL),(15,2141051,'1989-09-17 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216111431448832575122610131017',17724,'1022',40.76,1,3,NULL),(15,2141060,'1990-08-08 00:00:00',2,5,12,2007,'M','N','JARDIM ITALIA','MELEIRO','SC','124244241215321431458939572114610127072',12024,'27',48.95,1,3,NULL),(15,2141078,'1987-05-17 00:00:00',4,1,12,2004,'M','N','FLORESTA','SAO JOSE','SC','124244241432133431443633341134130224047',19559,'723',37.71,1,3,NULL),(15,2141086,'1984-12-22 00:00:00',2,1,12,2003,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241244127132431537661582121610168192',NULL,'307',48.88,1,3,NULL),(15,2141108,'1990-02-10 00:00:00',4,1,12,2007,'M','N','CENTRO','MARINGA','PR','116162161216151431467914575122610167042',13914,'9998',46.30,1,3,NULL),(15,2141124,'1989-01-22 00:00:00',4,1,12,2007,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241214472731568713575124610161142',7144,'1022',56.89,1,3,NULL),(15,2141132,'1991-03-10 00:00:00',4,1,12,2008,'M','S','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241217111732458633495122610138055',NULL,'1022',44.68,3,3,NULL),(15,2141140,'1990-05-15 00:00:00',4,2,12,2007,'F','N','CENTRO','IBIRAMA','SC','124241241125141431123344343325610164141',17774,'348',40.71,1,3,NULL),(15,2141159,'1991-06-21 00:00:00',4,1,12,2008,'F','S','ESTREITO','FLORIANOPOLIS','SC','124242241112111412538633572122610117072',NULL,'270',51.65,1,3,NULL),(15,2141167,'1990-06-04 00:00:00',2,5,12,2007,'M','N','CENTRO','JACINTO MACHADO','SC','124241241315271411343316274224610127052',3208,'970',65.51,1,3,NULL),(15,2141175,'1989-08-19 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241137132431344313375124610163077',9237,'281',53.20,1,2,1),(15,2141183,'1988-02-03 00:00:00',4,1,12,2005,'M','N','JARDIM PAULISTA','ATIBAIA','SP','125252251217511431547611271122610128012',14077,'9998',46.07,3,3,NULL),(15,2141191,'1990-03-26 00:00:00',4,2,12,2007,'M','N','FORTALEZA','BLUMENAU','SC','124242241215111531558714594124610117117',NULL,'855',0.00,1,3,NULL),(15,2141205,'1990-05-19 00:00:00',4,1,11,2007,'M','N','CAMAÇARI','CATU DE ABRANTES','BA','105052051417111431569614172122610122142',7856,'9998',55.60,4,3,NULL),(15,2141213,'1990-04-17 00:00:00',4,10,11,2007,'M','N','VILA MOEMA','TUBARAO','SC','124242241215111431468612575112610134142',13953,'226',46.22,1,3,NULL),(15,2141221,'1990-05-28 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241217271732169912575114610167117',11429,'884',49.80,1,3,NULL),(15,2141230,'1989-01-27 00:00:00',4,9,12,2006,'F','N','SÃO FRANCISCO','BENTO GONCALVES','RS','120201201112471411353632574122610161142',19835,'9998',37.15,1,2,1),(15,2141248,'1990-02-22 00:00:00',4,3,11,2007,'M','N','CIDADE JARDIM','CAMPO GRANDE','MS','112122121217111431456614574124610167182',3720,'9998',64.16,1,3,NULL),(15,2141256,'1989-05-09 00:00:00',2,1,6,2007,'F','N','SANTA CATARINA','BIGUACU','SC','124161241114131431633312292124610162147',15928,'21',43.50,1,2,1),(15,2141264,'1989-12-19 00:00:00',4,1,11,2007,'F','N','PRAIA DA COSTA','VILA VELHA','ES','108082081216121431274732574122610134192',3590,'9998',64.49,1,3,NULL),(15,2141272,'1990-07-21 00:00:00',4,4,12,2007,'F','N','CENTRO','CACADOR','SC','124241248215471431427334271112610146147',17625,'120',40.90,4,3,NULL),(15,2141280,'1991-05-19 00:00:00',4,1,11,2008,'M','S','RIO PONTE ALTA','BOM RETIRO','SC','124244241217111431458836215122610134052',NULL,'817',50.16,1,3,NULL),(15,2141299,'1988-07-29 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124244241217573411258713582314610164182',739,'925',75.10,1,3,NULL),(15,2141302,'1989-12-19 00:00:00',2,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241117151511343339195124610164072',17942,'298',40.41,1,2,1),(15,2141310,'1990-07-15 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124243241317371411349933575124610162052',893,'271',74.10,1,3,NULL),(15,2141337,'1986-09-22 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241417132741426944242124132022017',14557,'855',45.33,1,3,NULL),(15,2141353,'1989-02-25 00:00:00',2,1,11,2006,'M','N','SERRARIAS','SAO JOSE','SC','124241241115371431546314575124610117047',12073,'734',48.89,1,2,1),(15,2141361,'1990-02-09 00:00:00',4,8,11,2007,'F','N','ESCOLINHA','JOINVILLE','SC','124241241116371731326313571124610122147',10491,'492',51.19,4,2,1),(15,2141370,'1986-03-05 00:00:00',2,8,12,2003,'F','N','CENTRO','CURITIBA','PR','116162161215571431558833572324610166142',NULL,'9998',0.00,1,3,NULL),(15,2141388,'1983-10-16 00:00:00',4,8,12,2001,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124241241335575451357614575122231467092',9327,'88',53.08,1,3,NULL),(15,2141396,'1987-12-16 00:00:00',2,8,12,2006,'M','N','SAGUAÇU','JOINVILLE','SC','124252251225371411546659395123610124112',20597,'9998',35.69,1,3,NULL),(15,2141400,'1988-08-31 00:00:00',4,1,12,2005,'F','N','JARDIM PAULISTA','ATIBAIA','SP','125254251415511431326531571222610122142',7487,'9998',56.25,1,3,NULL),(15,2141418,'1990-01-15 00:00:00',2,1,12,2007,'M','N','SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC','124241241215111731575612371122610167042',NULL,'1048',24.21,1,3,NULL),(15,2141426,'1990-03-22 00:00:00',2,1,12,2006,'F','N','RIO GRANDE','PALHOCA','SC','124222011217131431456641213122142612097',16853,'9998',42.07,1,3,NULL),(15,2141434,'1981-12-13 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANOPOLIS','SC','124094091216152441158843435122321064042',3204,'9998',65.53,4,3,NULL),(15,2141442,'1989-11-21 00:00:00',2,1,12,2007,'F','N','RIO CAVEIRAS','BIGUACU','SC','124242241116141511453934245113610112192',20147,'65',36.54,1,3,NULL),(15,2141450,'1990-03-02 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241215111431357621215115610133072',11999,'270',48.98,1,3,NULL),(15,2141469,'1988-09-15 00:00:00',4,1,12,2006,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215472431489931574114610147042',103,'262',81.51,4,3,NULL),(15,2141485,'1989-10-29 00:00:00',2,5,11,2007,'F','N','ZONA NOVA','TORRES','RS','120202201216111731546624575122610162077',NULL,'9998',0.00,1,3,NULL),(15,2141493,'1989-08-23 00:00:00',4,1,12,2007,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124243241215111441548833471224610128042',3181,'1022',65.60,1,3,NULL),(15,2141515,'1988-10-07 00:00:00',4,1,12,2007,'M','N','CENTRO','SAO MIGUEL DO IGUACU','PR','616124161217211521558615572122610152142',NULL,'9998',16.25,1,3,NULL),(15,2141523,'1989-08-08 00:00:00',4,1,11,2007,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124202241215473431579714572124610163052',3964,'270',63.56,1,3,NULL),(15,2141540,'1988-03-03 00:00:00',4,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116162161237571431588811592112610142157',3474,'9998',64.82,1,3,NULL),(15,2141558,'1989-08-30 00:00:00',4,1,12,2006,'F','N','VILA ROSA','ITAPETININGA','SP','125252251215471731447839592122610127127',NULL,'9998',23.88,1,3,NULL),(15,2141566,'1990-11-27 00:00:00',4,1,12,2007,'F','N','SETOR BUENO','GOIANIA','GO','109132091217111431479811572112610163077',NULL,'9998',0.00,1,3,NULL),(15,2141574,'1984-09-19 00:00:00',4,1,12,2004,'M','N','GRANJA VIANNA','COTIA','SP','125251251137571441538823485124610164047',13672,'9998',46.65,2,1,1),(15,2141590,'1989-07-20 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124244241415472431469911242124610162147',12042,'1022',48.93,1,3,NULL),(15,2141604,'1990-12-04 00:00:00',4,1,12,2007,'F','N','CENTRO','NOVA TRENTO','SC','124243241217121411558833576114610142142',8285,'981',54.88,1,3,NULL),(15,2141620,'1990-05-19 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215112731546612422114610127071',20774,'1022',35.35,1,3,NULL),(15,2141639,'1990-05-04 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241215121431363823575122610138147',18138,'1022',40.09,1,3,NULL),(15,2141647,'1990-10-30 00:00:00',4,4,12,2007,'F','N','PRESIDENTE MÉDICE','CHAPECO','SC','124161241115131721338611191124610113175',9803,'179',52.25,1,2,1),(15,2141655,'1990-09-09 00:00:00',2,1,11,2007,'F','N','PANAZOLLO','CAXIAS DO SUL','RS','120202201215471431437611244122610133092',9152,'9998',53.35,3,3,NULL),(15,2141663,'1990-08-03 00:00:00',4,7,10,2007,'M','N','PORTAL DAS VIDEIRAS','VIDEIRA','SC','124242241411151411569814571122610147122',5438,'969',60.20,1,3,NULL),(15,2141671,'1989-11-11 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212111131336611175112610114114',22328,'1050',30.86,1,3,NULL),(15,2141698,'1990-03-13 00:00:00',4,8,12,2007,'F','N','CENTRO','CAMPO LARGO','PR','116162161215111431468919571112610164097',NULL,'9998',0.00,1,3,NULL),(15,2141701,'1991-01-05 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211111221567823575112610168186',19934,'1022',36.95,1,3,NULL),(15,2141710,'1991-02-05 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111731388934376112610124182',19435,'262',37.95,1,3,NULL),(15,2141728,'1991-08-12 00:00:00',2,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241216131231226933575324610116147',NULL,'654',46.29,1,3,NULL),(15,2141736,'1991-03-16 00:00:00',2,1,12,2007,'F','N','FLORIANÓPOLIS','FLORIANOPOLIS','SC','124241241217111411324613375114610124097',NULL,'1022',10.80,1,3,NULL),(15,2141744,'1989-09-01 00:00:00',4,8,12,2006,'F','N','BIGORRILHO','CURITIBA','PR','116162161215472431469932574122610163142',695,'9998',75.40,1,3,NULL),(15,2141752,'1988-09-08 00:00:00',2,1,12,2005,'F','N','JARDIM EUROPA','ITAPEVA','SP','125253251117131711226829482324610144142',16687,'9998',42.35,1,3,NULL),(15,2141760,'1990-12-02 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215121431458923572124610162187',4575,'270',62.06,1,3,NULL),(15,2141779,'1990-09-06 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124243241315111531237923432124610143197',12600,'269',48.14,1,3,NULL),(15,2141787,'1992-02-26 00:00:00',4,1,12,2009,'F','S','JARDIM DOS ESTADOS','CAMPO GRANDE','MS','112122121216111431458812575122610122112',NULL,'9998',60.92,1,3,NULL),(15,2141795,'1990-02-08 00:00:00',4,1,11,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215421431589613592114610164012',1379,'270',71.76,1,3,NULL),(15,2141809,'1991-10-17 00:00:00',4,1,10,2008,'M','S','CAMPINAS','SAO JOSE','SC','124242241217111431567832425122610134112',NULL,'262',54.57,1,3,NULL),(15,2141817,'1990-07-31 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124244241215112431358923482114610167117',4162,'1022',63.03,1,3,NULL),(15,2141825,'1990-05-22 00:00:00',2,2,12,2007,'F','N','GARCIA','BLUMENAU','SC','124243241416131431638923575124610147077',12054,'67',48.91,1,3,NULL),(15,2141833,'1987-10-13 00:00:00',4,1,12,2005,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124192261236572431478933575124220664106',3445,'9998',64.89,1,3,NULL),(15,2141841,'1989-12-15 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215112441349933375125610134142',4357,'226',62.57,1,3,NULL),(15,2141868,'1959-10-18 00:00:00',4,1,12,1976,'M','N','ESTREITO','FLORIANOPOLIS','SC','624251251127471711153343232122342462053',NULL,'9998',0.00,1,3,NULL),(15,2141876,'1989-04-13 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242248216111431449733132122610124053',NULL,'270',33.44,1,3,NULL),(15,2141884,'1981-06-23 00:00:00',2,5,12,1998,'M','N','MEDIANEIRA','PORTO ALEGRE','RS','120203201311473431453924471124240667111',7377,'9998',56.46,1,3,NULL),(15,2141906,'1990-01-24 00:00:00',2,1,12,2007,'M','N','JARDIM HELENA','TABOAO DA SERRA','SP','125252251216111731336631395224610167091',NULL,'9998',0.00,4,3,NULL),(15,2141914,'1989-12-21 00:00:00',2,5,11,2007,'F','N','COMERCIÁRIO','CRICIUMA','SC','124242241215131431446933345122610131077',14712,'210',45.13,1,3,NULL),(15,2141922,'1990-08-06 00:00:00',4,8,12,2007,'F','N','CENTRO','BALNEARIO BARRA DO SUL','SC','124241241121161431227722572121610147147',21761,'41',33.08,1,2,1),(15,2141930,'1990-09-07 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124204201215332731236614574124610114147',502,'9998',76.80,1,3,NULL),(15,2141957,'1991-12-23 00:00:00',4,1,12,2008,'F','S','BARREIROS','SAO JOSE','SC','124242241215111431446823572124610127077',NULL,'270',56.12,1,3,NULL),(15,2141965,'1990-09-24 00:00:00',2,6,12,2007,'M','N','SÃO JOÃO','ITAJAI','SC','124241248115131431338611295124610128177',NULL,'129',31.89,1,2,1),(15,2141973,'1989-03-13 00:00:00',2,3,11,2007,'F','N','BARRA SUL','BALNEARIO CAMBORIU','SC','124162241415111431358614572114610137142',19843,'270',37.13,1,3,NULL),(15,2141981,'1988-05-15 00:00:00',2,4,12,2005,'M','N','BORTOLON','XANXERE','SC','124241016137131431434354242134610137042',NULL,'840',21.33,1,2,1),(15,2141990,'1989-08-10 00:00:00',4,1,12,2006,'F','N','MONTE CASTELO','CAMPO GRANDE','MS','112121121217471431346923574112610123112',7704,'9998',55.85,1,3,NULL),(15,2142007,'1990-04-20 00:00:00',2,1,11,2007,'M','N','ASA SUL','BRASILIA','DF','107072071217151412458924376124610161113',NULL,'9998',0.00,1,3,NULL),(15,2142015,'1990-02-23 00:00:00',4,1,11,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124243241415111431467614375124610123182',NULL,'269',37.13,1,3,NULL),(15,2142023,'1990-07-12 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215151431576912475114610127112',2907,'737',66.42,1,3,NULL),(15,2142031,'1990-04-14 00:00:00',2,1,11,2007,'M','N','CENTRO','ARAGUARI','MG','113132131217111412468813394121610167012',12058,'9998',48.91,1,3,NULL),(15,2142040,'1978-03-31 00:00:00',4,1,12,1996,'F','N','BARREIROS','SAO JOSE','SC','124201201146231421138843335324610161027',19956,'9998',36.91,4,2,1),(15,2142058,'1991-09-11 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431359734572125610146012',NULL,'266',35.32,1,3,NULL),(15,2142066,'1989-11-17 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124241241115151431436513445124610141077',NULL,'257',16.52,1,2,1),(15,2142074,'1991-02-09 00:00:00',4,3,12,2007,'F','N','CENTRO','PASSO FUNDO','RS','120202201217111431336732571114610127042',15487,'9998',44.15,1,3,NULL),(15,2142082,'1990-09-01 00:00:00',4,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215111431359923572124610137092',1150,'270',72.78,1,3,NULL),(15,2142090,'1989-01-25 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124202241215372531547912575114610117132',3480,'951',64.81,1,3,NULL),(15,2142104,'1983-03-17 00:00:00',2,1,12,2005,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241122133431643311242124610142052',21001,'296',34.85,2,1,1),(15,2142112,'1990-03-31 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472411389931575122230244052',644,'270',75.76,1,3,NULL),(15,2142120,'1990-10-04 00:00:00',4,1,12,2007,'F','N','GLÓRIA','VACARIA','RS','120202201217371431348914474122610131057',9306,'9998',53.11,1,3,NULL),(15,2142139,'1990-02-08 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211472431565631575121220744182',2769,'262',66.82,1,3,NULL),(15,2142147,'1987-04-05 00:00:00',4,1,12,2004,'F','N','PARQUE DA MOOCA','SAO PAULO','SP','125252251215571431478812575112610165097',2570,'9998',67.41,4,3,NULL),(15,2142155,'1990-04-21 00:00:00',2,1,11,2007,'F','N','JURERE','FLORIANOPOLIS','SC','124242241215111431578313435114610117017',NULL,'270',0.00,1,3,NULL),(15,2142163,'1988-07-29 00:00:00',4,1,12,2005,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242248217472431565716572124121144097',2670,'32',67.12,1,3,NULL),(15,2142171,'1990-04-24 00:00:00',4,4,12,2007,'M','N','SÃO CRISTOVÃO','CHAPECO','SC','124241241127271731649569342124610134042',NULL,'180',23.00,1,3,NULL),(15,2142180,'1990-06-09 00:00:00',4,1,12,2007,'F','N','COLONIA SANTANA','SAO JOSE','SC','124242241115161431434633575124610122052',20905,'306',35.07,1,3,NULL),(15,2142198,'1990-08-03 00:00:00',4,1,11,2007,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241217121431458934572124610124147',1756,'266',70.19,4,3,NULL),(15,2142201,'1988-06-28 00:00:00',4,8,11,2005,'M','N','FLORESTA','JOINVILLE','SC','124164241335372431455542322332610167053',10151,'486',51.71,4,3,NULL),(15,2142210,'1989-04-13 00:00:00',4,1,12,2005,'F','N','PRAIA JOÃO ROSA','BIGUACU','SC','124242241214373431436722592124221424082',NULL,'270',0.00,1,3,NULL),(15,2142228,'1990-07-06 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241317131731531314176124610122142',6764,'1050',57.63,1,3,NULL),(15,2142236,'1990-04-02 00:00:00',4,8,12,2007,'M','N','JD BOA VISTA','PRESIDENTE PRUDENTE','SP','125252251217151432568834574112610132053',6040,'9998',58.99,3,3,NULL),(15,2142244,'1980-07-26 00:00:00',4,1,12,2000,'M','N','SJ RIO VERMELHO','FLORIANOPOLIS','SC','124204207337151431128844445234143222112',19543,'9999',37.74,1,3,NULL),(15,2142252,'1990-05-26 00:00:00',4,2,11,2007,'M','N','VILA NOVA','BLUMENAU','SC','124242241217122431358631575112610164012',2603,'909',67.32,1,3,NULL),(15,2142279,'1981-12-08 00:00:00',4,1,12,2000,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241127274221453723245114610134147',15176,'274',44.56,1,2,1),(15,2142287,'1980-12-07 00:00:00',2,10,12,1998,'M','N','SERTÃO DOS CORRÊAS','TUBARAO','SC','124241241134131521423519142224333262067',16641,'804',42.40,1,2,1),(15,2142295,'1989-08-15 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472411458814446125610134092',15293,'266',44.41,1,3,NULL),(15,2142309,'1991-07-25 00:00:00',4,7,12,2008,'F','S','SÃO SEBASTIÃO','CAMPOS NOVOS','SC','124242241216161431538933435112610134147',NULL,'138',43.11,1,3,NULL),(15,2142317,'1991-01-08 00:00:00',4,3,12,2008,'M','S','CENTRO','BALNEARIO CAMBORIU','SC','124162241213111731488814141121610127127',NULL,'44',52.03,1,3,NULL),(15,2142325,'1982-01-07 00:00:00',2,1,1,2001,'F','N','CENTRO','SANTA CRUZ DO SUL','RS','120201205111132411533315385224322732183',NULL,'9998',27.15,1,2,1),(15,2142333,'1990-08-17 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241211111431489933575124610111057',22194,'1036',31.51,1,3,NULL),(15,2142341,'1990-09-01 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248217111451579833575122610168017',9771,'270',52.31,1,3,NULL),(15,2142350,'1992-04-15 00:00:00',4,7,12,2008,'F','S','CENTRO','CAMPOS NOVOS','SC','124242241217111431326613275125610124147',NULL,'138',21.62,1,3,NULL),(15,2142368,'1975-02-07 00:00:00',2,1,12,1992,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','624241241216155721443643335123121167047',NULL,'266',NULL,1,3,NULL),(15,2142384,'1989-12-19 00:00:00',4,1,12,2006,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241137132431427624582344610162187',3041,'307',66.01,1,2,1),(15,2142392,'1990-04-20 00:00:00',4,2,12,2007,'M','N','VELHA','BLUMENAU','SC','124244241217131431336611395122610164142',7192,'86',56.81,1,3,NULL),(15,2142406,'1990-03-05 00:00:00',4,3,12,2007,'F','N','CENTRO','TOLEDO','PR','116161161315121131546312575122610126097',NULL,'9998',0.00,1,3,NULL),(15,2142414,'1992-02-10 00:00:00',3,4,11,2008,'M','S','SANTA MARIA','CHAPECO','SC','124212241217151431379933575122610122127',NULL,'185',46.65,1,3,NULL),(15,2142422,'1990-12-13 00:00:00',4,1,12,1990,'M','N','GUIOMAR','FLORIANOPOLIS','SC','124241241115111731646634475122610127047',20796,'21',35.30,1,2,1),(15,2142430,'1990-01-23 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111431456613571122610127112',18060,'738',40.21,1,3,NULL),(15,2142449,'1989-11-20 00:00:00',4,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217111431479932471114610134122',2092,'270',68.99,1,3,NULL),(15,2142457,'1990-10-22 00:00:00',4,2,12,2007,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215121431477932574115610118047',NULL,'87',16.47,1,3,NULL),(15,2142465,'1988-05-04 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217472431349829572322133237112',2173,'300',68.67,1,3,NULL),(15,2142473,'1989-01-27 00:00:00',4,1,11,2006,'M','N','CENTRO','TAUBATE','SP','125252251217472431358814385121610127042',4841,'9998',61.44,1,3,NULL),(15,2142490,'1991-07-14 00:00:00',4,9,11,2008,'F','S','CONTA DINHEIRO','LAGES','SC','124244241215111431559814475122610158097',NULL,'497',61.20,1,3,NULL),(15,2142503,'1990-01-18 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241248117111432444313475124610117055',NULL,'281',14.64,1,3,NULL),(15,2142511,'1983-12-05 00:00:00',4,1,12,2001,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215575411678737472112133162077',219,'266',79.68,4,3,NULL),(15,2142520,'1990-04-30 00:00:00',2,1,12,2007,'F','N','TATUAPÉ','SAO PAULO','SP','125253251416271531669614272125610135157',NULL,'9998',0.00,1,3,NULL),(15,2142538,'1989-09-28 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248215121431358619572122610122142',2465,'270',67.72,1,3,NULL),(15,2142546,'1990-01-26 00:00:00',1,2,12,2007,'F','N','RIBEIRÃO CLARO','POMERODE','SC','124242241216131431535614275122610146072',10552,'624',51.10,1,3,NULL),(15,2142554,'1991-02-05 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124242241212472431369939292122610134097',9392,'185',52.95,1,3,NULL),(15,2142562,'1990-02-07 00:00:00',2,2,12,2007,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241215121431657724574115610166197',7791,'87',55.70,1,3,NULL),(15,2142570,'1991-04-03 00:00:00',2,1,11,2007,'M','N','CENTRO','TIJUCAS','SC','124242241217111431447812295114610164192',5259,'266',60.59,1,3,NULL),(15,2142589,'1989-12-26 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215121441468833572114610166172',1810,'270',69.91,1,3,NULL),(15,2142597,'1989-03-03 00:00:00',2,1,12,2006,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124244241216372431546634571114133234022',10394,'1098',51.35,1,3,NULL),(15,2142600,'1990-10-03 00:00:00',4,2,12,2007,'F','N','VELHA','BLUMENAU','SC','124241241217111431448613472122610137097',5893,'88',59.26,1,3,NULL),(15,2142619,'1988-09-03 00:00:00',2,8,12,2007,'M','N','PROFIPO','JOINVILLE','SC','124241241216141431536414345111610144112',5661,'9999',59.75,1,3,NULL),(15,2142627,'1989-04-04 00:00:00',4,1,12,2006,'M','N','JURERE','FLORIANOPOLIS','SC','124241241117472351344431112114610134067',16951,'307',41.93,1,2,1),(15,2142635,'1989-09-27 00:00:00',4,1,11,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217112431458814442124610137142',2859,'270',66.57,1,3,NULL),(15,2142643,'1989-02-12 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215472431338729492124610164097',12103,'951',48.86,1,3,NULL),(15,2142651,'1989-06-05 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241237472431578831572112610124092',3045,'270',66.00,1,3,NULL),(15,2142660,'1990-05-20 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241117131432465564572122610125147',NULL,'257',22.79,4,2,1),(15,2142678,'1990-03-24 00:00:00',4,2,12,2007,'M','N','VELHA','BLUMENAU','SC','124242241215111531338823475124610127057',5957,'87',59.15,1,3,NULL),(15,2142686,'1990-10-26 00:00:00',4,6,11,2007,'M','N','FAZENDA','ITAJAI','SC','124244241217111431446612272112610162052',5536,'389',59.99,1,3,NULL),(15,2142694,'1988-06-05 00:00:00',4,1,12,2005,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124244241212313311469823575124610143091',17269,'723',41.46,1,3,NULL),(15,2142708,'1990-02-08 00:00:00',2,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111431438314575124610167047',12494,'738',48.30,2,3,NULL),(15,2142716,'1989-02-06 00:00:00',4,8,6,2006,'F','N','GLÓRIA','JOINVILLE','SC','124242281215211431479911575122610166182',NULL,'9998',0.00,1,3,NULL),(15,2142724,'1989-07-02 00:00:00',4,1,12,2006,'M','N','JD BRASILIA','SAO PAULO','SP','125252251216472431468834571124610117146',503,'9998',76.80,1,3,NULL),(15,2142732,'1989-05-15 00:00:00',4,1,12,2006,'M','N','EXPOSIÇÃO','CAXIAS DO SUL','RS','120202201216371411549833471122610127112',NULL,'9998',0.00,1,3,NULL),(15,2142767,'1989-05-06 00:00:00',4,1,12,2006,'M','N','JD CASTELINHO','SAO JOSE DO RIO PRETO','SP','125252251211475431468831572122610152051',8820,'9998',53.98,1,3,NULL),(15,2142775,'1990-02-23 00:00:00',4,2,12,2007,'F','N','CPOS DE STO ANTONIO','ITU','SP','125252251217111431478814442112610167093',1462,'9998',71.39,1,3,NULL),(15,2142783,'1987-02-22 00:00:00',4,1,12,2004,'F','N','BOQUEIRÃO','PRAIA GRANDE','SP','125254251216573431338614482124610162147',1053,'9998',73.22,3,3,NULL),(15,2142791,'1991-04-20 00:00:00',4,1,12,2008,'M','S','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124246241115151431558613575124610127187',NULL,'271',49.12,1,3,NULL),(15,2142813,'1988-09-06 00:00:00',4,5,11,2006,'F','N','CENTRO','CRICIUMA','SC','124242241215371431358834575122610137055',12612,'211',48.12,1,3,NULL),(15,2142848,'1989-12-02 00:00:00',4,8,12,2007,'M','N','VILA DALVA','SAO PAULO','SP','125252251217111451548834375124610167077',6797,'9998',57.55,3,3,NULL),(15,2142856,'1981-05-05 00:00:00',2,1,12,2000,'F','N','SERRARIA','SAO JOSE','SC','124241248126375411624314282114610165047',16891,'257',42.02,1,3,NULL),(15,2142864,'1988-12-30 00:00:00',2,1,12,1988,'F','N','MEDIANEIRA','CAXIAS DO SUL','RS','120202201216472411347923471122610126142',NULL,'9998',0.00,1,3,NULL),(15,2142872,'1990-08-03 00:00:00',2,1,12,2007,'F','N','FAZENDA SANTO ANTONI','SAO JOSE','SC','124241241115131431433519572124610127057',20125,'733',36.57,1,2,1),(15,2142880,'1990-06-12 00:00:00',2,1,11,2007,'F','N','BELA VISTA II','SAO JOSE','SC','124242241215112431536613472124610125052',11239,'738',50.10,1,3,NULL),(15,2142899,'1989-07-25 00:00:00',4,1,12,2008,'M','S','RIO TAVARES','FLORIANOPOLIS','SC','124243241417131431527529385124610127142',NULL,'9997',24.79,1,3,NULL),(15,2142902,'1985-03-09 00:00:00',4,1,12,2004,'M','N','COIMBRA','GOIANIA','GO','109092091217471431379811572112142667097',NULL,'9998',0.00,1,3,NULL),(15,2142910,'1990-10-07 00:00:00',4,8,12,2007,'F','N','GUANABARA','JOINVILLE','SC','124241241117372532328413575114610112197',NULL,'467',7.79,1,2,1),(15,2142929,'1989-11-13 00:00:00',2,1,12,2007,'F','N','VILA LISBOA','SAO PAULO','SP','125252251116371451359823575122610167073',8288,'9998',54.87,4,3,NULL),(15,2142937,'1990-09-30 00:00:00',4,6,12,2007,'M','N','SÃO JOÃO','ITAJAI','SC','124242241215121231457823375121610127052',1403,'270',71.64,1,3,NULL),(15,2142945,'1990-09-03 00:00:00',4,1,12,2007,'M','N','ALTOS DA BELA VISTA','INDAIATUBA','SP','125252251217121431469939575122610117122',3378,'9998',65.06,3,3,NULL),(15,2142953,'1991-10-25 00:00:00',4,2,12,2008,'F','S','SETE DE SETEMBRO','GASPAR','SC','124242241215111431466932575122610133142',NULL,'955',53.34,1,3,NULL),(15,2142961,'1989-10-06 00:00:00',4,8,12,2006,'F','N','ALTO DE MAFRA','MAFRA','SC','124242241215472431478813392122610137011',668,'541',75.63,1,3,NULL),(15,2142970,'1990-12-27 00:00:00',2,1,12,2007,'M','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124244241215141431436614242121610148052',21386,'1014',34.00,1,3,NULL),(15,2142996,'1987-06-05 00:00:00',4,1,12,2004,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215575431469613372114610162097',3075,'270',65.90,1,3,NULL),(15,2143003,'1990-01-14 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215122431357829572122610122147',1558,'270',70.97,1,3,NULL),(15,2143011,'1987-06-02 00:00:00',4,1,12,2004,'M','N','JARDIM AEROPORTO','SAO PAULO','SP','125252251217571431468814491122610167047',2020,'9998',69.20,1,3,NULL),(15,2143020,'1991-02-10 00:00:00',4,8,12,2007,'M','N','CENTRO','NOVA AURORA','PR','116162161316112431448923331122610132092',NULL,'9998',0.00,1,3,NULL),(15,2143038,'1990-05-06 00:00:00',4,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241217111431458913572124610137142',5276,'1022',60.56,1,3,NULL),(15,2143046,'1990-03-15 00:00:00',2,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215111432678813572122610137145',19818,'951',37.18,1,3,NULL),(15,2143054,'1988-10-26 00:00:00',4,1,11,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124244241215471751457913582124610134117',5606,'1022',59.86,1,3,NULL),(15,2143062,'1990-12-22 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242241215111431643623575122610124032',18842,'944',38.93,1,3,NULL),(15,2143070,'1989-11-14 00:00:00',4,7,12,2006,'M','N','SORGATTO','CACADOR','SC','124242241237131751328634446231230244087',NULL,'119',23.48,1,3,NULL),(15,2143089,'1988-11-08 00:00:00',4,8,12,2005,'M','N','SÃO CRISTOVÃO','UMUARAMA','PR','116162161215572441356519575112610144047',5305,'9998',60.52,1,3,NULL),(15,2143097,'1988-08-07 00:00:00',4,1,12,2005,'F','N','SANTA INÊS II','SAO JOSE DOS CAMPOS','SP','125252253217471431246634572112610112187',5992,'9998',59.09,1,3,NULL),(15,2143119,'1990-07-09 00:00:00',2,3,12,2007,'F','N','CENTRO','ITAPEVA','SP','125251251216111431457614275125610133022',19914,'9998',36.98,3,3,NULL),(15,2143135,'1990-02-13 00:00:00',4,2,12,2007,'M','N','DAS NAÇÕES','INDAIAL','SC','124242241215121441579711375124610166052',7376,'909',56.46,1,3,NULL),(15,2143143,'1990-02-20 00:00:00',4,1,11,2007,'M','N','CENTRO','CARAZINHO','RS','120202201217111431478833572122610144052',5264,'9998',60.59,1,3,NULL),(15,2143151,'1990-10-27 00:00:00',4,1,12,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241117151431439923595122610127052',17958,'192',40.39,1,3,NULL),(15,2143160,'1990-01-03 00:00:00',2,8,12,2007,'M','N','ATIRADORES','JOINVILLE','SC','124242241215271431549922585121610137057',21072,'486',34.72,1,3,NULL),(15,2143178,'1989-01-07 00:00:00',4,1,12,2006,'F','N','VILAS BOAS','CAMPO GRANDE','MS','112122121216472411568813574112140434147',997,'9998',73.56,1,3,NULL),(15,2143186,'1988-07-19 00:00:00',4,1,12,2005,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215573431578814575122610133117',NULL,'270',32.05,1,3,NULL),(15,2143194,'1988-08-30 00:00:00',2,6,12,2005,'F','N','JARDIM CAMBURI','VITORIA','ES','108084081217571431476621272122141062142',NULL,'9998',0.00,4,3,NULL),(15,2143216,'1991-09-19 00:00:00',4,1,12,2008,'F','S','CENTRO','PALHOCA','SC','124242241215111731447814572122610132142',NULL,'1022',48.32,1,3,NULL),(15,2143224,'1990-07-30 00:00:00',2,5,11,2007,'F','N','CIDADE ALTA','TURVO','SC','124221248415121431433312572122610128092',NULL,'32',0.00,1,3,NULL),(15,2143232,'1987-02-08 00:00:00',4,1,12,2005,'F','N','ÁGUAS CLARAS','TAGUATINGA','DF','107074071415571412468713595125610168096',18601,'9998',39.32,4,3,NULL),(15,2143240,'1990-05-21 00:00:00',4,1,12,2007,'M','N','SÃO JOSÉ','SAO JOSE','SC','124242241215111431658714445124610137042',22358,'1118',30.66,1,3,NULL),(15,2143259,'1989-07-19 00:00:00',2,3,11,2006,'M','N','VILA ISABEL','CURITIBA','PR','116164161215571741559811574124610166042',988,'9998',73.60,1,3,NULL),(15,2143267,'1989-12-10 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431358813574122610137047',1658,'270',70.56,1,3,NULL),(15,2143275,'1989-08-08 00:00:00',4,8,12,2005,'F','N','FLORESTA','JOINVILLE','SC','124162161216271511458812495114610167052',3467,'486',64.83,1,3,NULL),(15,2143283,'1988-10-02 00:00:00',4,1,12,2005,'M','N','FAZENDINHA','CARAPICUIBA','SP','125252251215571431578914575124610127043',3330,'9998',65.18,1,3,NULL),(15,2143291,'1987-04-14 00:00:00',4,8,12,2005,'M','N','GLORIA','JOINVILLE','SC','124252241211573441449814572124610134122',4331,'457',62.65,1,3,NULL),(15,2143330,'1990-12-14 00:00:00',4,9,12,2007,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241117131431437313592125610162072',NULL,'13',25.24,1,2,1),(15,2143356,'1990-12-27 00:00:00',4,7,12,2007,'M','N','CENTRO','FRAIBURGO','SC','124242241215131731337723472215610168012',7364,'885',56.49,1,3,NULL),(15,2143372,'1990-03-27 00:00:00',4,7,11,2007,'M','N','SANTA TEREZA','JOACABA','SC','124242241215371731556933595125610162073',19011,'446',38.65,1,3,NULL),(15,2143380,'1989-12-21 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217111431469932592124610168092',13315,'270',47.15,1,3,NULL),(15,2143402,'1991-02-05 00:00:00',4,6,12,2007,'F','N','CORDEIROS','ITAJAI','SC','124242241216111431433311385124610135142',12219,'394',48.69,1,3,NULL),(15,2143410,'1990-03-12 00:00:00',4,1,11,2007,'F','N','BAL ESTREITO','FLORIANOPOLIS','SC','124242241215121431368921572112610123187',13350,'1022',47.11,1,3,NULL),(15,2143429,'1989-05-22 00:00:00',2,1,12,2007,'M','N','SÃO CRISTÓVÃO','PASSO FUNDO','RS','120202201217471511367812595122610137112',21279,'9998',34.25,1,3,NULL),(15,2143437,'1990-03-08 00:00:00',4,1,12,2007,'F','N','PRAIA JOAO ROSA','BIGUACU','SC','124243241317131531635519245121610138092',13127,'1040',47.42,1,3,NULL),(15,2143445,'1988-10-24 00:00:00',2,1,12,2005,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241114133431556823282114610167042',9053,'307',53.56,1,2,1),(15,2143453,'1990-02-04 00:00:00',2,1,11,2007,'F','N','CENTRO','SAO JOAQUIM','SC','124243241215111421437936464132613263052',22389,'720',30.44,1,3,NULL),(15,2143461,'1990-05-02 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215371751428813472124610164187',4543,'737',62.15,1,3,NULL),(15,2143488,'1990-06-13 00:00:00',2,5,11,2007,'M','N','BELA VISTA','LAURO MULLER','SC','124241241217111731333629572114610128052',NULL,'530',0.00,1,3,NULL),(15,2143496,'1989-12-18 00:00:00',4,1,11,2007,'M','N','CENTRO','PALHOCA','SC','124242241235122431588913474114610124085',9746,'270',52.35,1,3,NULL),(15,2143500,'1987-01-24 00:00:00',4,1,12,2004,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215242411349921375124233223091',15409,'1022',44.24,1,3,NULL),(15,2143518,'1982-07-23 00:00:00',4,1,12,1998,'M','N','BELA VISTA','SAO JOSE','SC','124241241117574421366613346132122344142',7058,'307',57.05,1,2,1),(15,2143526,'1990-07-11 00:00:00',1,8,11,2007,'M','N','AMÉRICA','JOINVILLE','SC','124252241215151711438824226121610137021',3981,'457',63.51,1,3,NULL),(15,2143534,'1989-03-31 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241115132731558579575124233268042',9220,'267',53.24,1,3,NULL),(15,2143542,'1988-02-27 00:00:00',4,1,11,2007,'M','N','PASSA VINTE','PALHOCA','SC','124242247136141451447634345123610124152',10288,'9997',51.50,1,3,NULL),(15,2143550,'1990-12-03 00:00:00',4,5,11,2007,'F','N','COMERCIARIO','CRICIUMA','SC','124242241215121431527819495122610117097',NULL,'226',31.15,1,3,NULL),(15,2143569,'1990-03-17 00:00:00',4,8,12,2007,'M','N','CENTRO','CASCAVEL','PR','116162161216111731555512575112610127142',10776,'9998',50.78,1,3,NULL),(15,2143577,'1989-01-10 00:00:00',2,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124242241212372431536621572124610167147',3984,'737',63.49,1,3,NULL),(15,2143585,'1989-12-23 00:00:00',4,1,11,2007,'M','N','VILA MADALENA','SAO PAULO','SP','125252251217211751487634575122610167122',1645,'9998',70.62,3,3,NULL),(15,2143593,'1988-09-30 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215372432246823575122610166192',1687,'270',70.43,1,3,NULL),(15,2143607,'1991-05-19 00:00:00',4,1,12,2008,'M','S','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241212111431348512575124610122077',NULL,'270',52.05,1,3,NULL),(15,2143615,'1989-01-04 00:00:00',4,1,12,2006,'M','N','CENTRO','SAO VICENTE','SP','125252251217471411258623575124610124092',NULL,'9998',0.00,1,3,NULL),(15,2143623,'1988-08-11 00:00:00',2,1,12,2005,'F','N','STO ANTONIO DE LISBO','FLORIANOPOLIS','SC','124241241122122441423321342324610145077',11501,'279',49.71,1,2,1),(15,2143631,'1974-12-11 00:00:00',4,1,12,1993,'M','N','TRINDADE','FLORIANOPOLIS','SC','124133251116155431558837485122610128142',6849,'9998',57.45,1,3,NULL),(15,2143640,'1991-02-24 00:00:00',2,4,12,2007,'F','N','CENTRO','MISSAL','PR','116163161115211431428933575124610127142',11738,'9998',49.34,1,3,NULL),(15,2143658,'1990-01-25 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241217111531556613575122610147072',12504,'273',48.28,1,3,NULL),(15,2143666,'1989-01-25 00:00:00',4,5,6,2007,'M','N','CENTRO','CRICIUMA','SC','124241246115131431436611415134610131097',13525,'995',46.85,4,3,NULL),(15,2143674,'1989-03-03 00:00:00',2,1,12,2006,'F','N','FUNDO CANOAS','RIO DO SUL','SC','124241241122471431433823571224610128017',20043,'900',36.73,1,2,1),(15,2143682,'1989-08-13 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241416112411566823575124610143147',19060,'262',38.57,1,3,NULL),(15,2143690,'1990-04-20 00:00:00',4,8,12,2007,'F','N','GUANABARA','JOINVILLE','SC','124242241215111431479614573122610124142',NULL,'491',0.00,1,3,NULL),(15,2143704,'1990-01-14 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117131731536623581324613227117',21500,'733',33.73,1,3,NULL),(15,2143712,'1990-10-26 00:00:00',2,4,12,2007,'M','N','CENTRO','IPORA DO OESTE','SC','124243241427161731449614292122610167072',15756,'370',43.73,1,3,NULL),(15,2143720,'1990-03-06 00:00:00',4,1,12,2007,'M','N','CHORA MENINO','SAO PAULO','SP','125254251217371431488834575122610162042',NULL,'9998',0.00,1,3,NULL),(15,2143739,'1984-09-17 00:00:00',2,8,12,2002,'M','N','ALTO DO MANDAQUI','SAO PAULO','SP','125222251216572411448411571124610128042',1129,'9998',72.89,1,3,NULL),(15,2143763,'1985-01-24 00:00:00',4,1,12,2002,'F','N','VILA MARIA','SAO PAULO','SP','125251251117131431338829395124143246057',13083,'9998',47.47,1,2,1),(15,2143771,'1990-07-09 00:00:00',4,1,11,2007,'M','N','VILAS BOAS','CAMPO GRANDE','MS','112122121215151431558813572124610167042',9556,'9998',52.68,1,3,NULL),(15,2143780,'1983-09-20 00:00:00',2,1,12,2000,'F','N','VILA FLÔR','CAPIVARI DE BAIXO','SC','124241241316132431533511395134221966027',12348,'907',48.50,2,1,2),(15,2143801,'1988-02-25 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215372431366834472124120732012',6496,'270',58.08,1,3,NULL),(15,2143810,'1989-10-25 00:00:00',4,1,12,2007,'M','N','BELA VISTA I','SAO JOSE','SC','124242241215111432476633577112610168197',NULL,'1118',42.28,1,3,NULL),(15,2143828,'1989-12-12 00:00:00',2,4,12,2006,'F','N','CENTRO','CORONEL FREITAS','SC','124241241117131431416614292124610122017',18880,'199',38.87,1,3,NULL),(15,2143836,'1988-10-05 00:00:00',4,1,11,2006,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215222731465532245112610117062',14744,'272',45.08,1,3,NULL),(15,2143844,'1987-07-13 00:00:00',4,1,12,2004,'M','N','ALPES SUIÇOS','INDAIATUBA','SP','125253251217471411436614114121610127082',11780,'9998',49.29,2,1,2),(15,2143852,'1989-06-07 00:00:00',2,1,12,2006,'F','N','SERRARIAS','SAO JOSE','SC','124241241115132431433611241224610116077',21888,'257',32.66,1,3,NULL),(15,2143860,'1989-01-18 00:00:00',2,5,12,2006,'F','N','SANTA CATARINA','CRICIUMA','SC','124244241236112231547834372114610132141',17547,'227',41.02,1,3,NULL),(15,2143879,'1990-07-19 00:00:00',2,8,12,2007,'M','N','CENTRO','ITAIOPOLIS','SC','124241241116411411458833575122610114014',NULL,'387',0.00,1,2,1),(15,2143887,'1990-07-05 00:00:00',2,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217111431458633572124610122122',6398,'270',58.25,1,3,NULL),(15,2143895,'1990-07-17 00:00:00',4,1,12,2007,'F','N','PRAIA DE FORA','PALHOCA','SC','124241241335111731326613342124610124197',13246,'269',47.24,1,3,NULL),(15,2143917,'1990-04-02 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124203201215472431549831571114610161095',6732,'9998',57.67,3,3,NULL),(15,2143933,'1991-09-28 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431466831575112610124022',NULL,'1022',44.45,1,3,NULL),(15,2143941,'1986-05-13 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124242242212274431358829495112610141187',10059,'270',51.84,1,3,NULL),(15,2143950,'1990-09-04 00:00:00',4,8,12,2007,'F','N','BATEL','CURITIBA','PR','116242161215471411487714572124610162192',NULL,'9998',0.00,1,3,NULL),(15,2143968,'1990-01-23 00:00:00',2,4,12,2007,'M','N','CENTRO','ERECHIM','RS','120204201415371231546611115122610127042',22019,'9998',32.21,1,3,NULL),(15,2143976,'1985-03-27 00:00:00',4,1,12,2003,'F','N','CAMPO LIMPO','SAO PAULO','SP','125252251116574431537631571322141441037',NULL,'9998',0.00,1,3,NULL),(15,2143984,'1989-10-01 00:00:00',2,1,12,2007,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241121161431426319141333610137113',NULL,'274',9.26,1,3,NULL),(15,2143992,'1990-03-29 00:00:00',4,1,12,2007,'M','N','SANTOS DUMONT','SAO JOSE','SC','124241241117131431643333575124610167017',11989,'307',49.00,1,2,1),(15,2144000,'1984-07-20 00:00:00',4,9,12,2001,'M','N','IMIGRANTE','BENTO GONCALVES','RS','120201201135131411333923185124140234017',9099,'9998',53.46,1,2,1),(15,2144026,'1981-11-17 00:00:00',2,1,12,2001,'M','N','CENTRO','PORTO ALEGRE','RS','120203211136573431655873391234143232097',10157,'9998',51.71,1,3,NULL),(15,2144034,'1985-03-24 00:00:00',4,1,12,2004,'M','N','IPIRANGA','SAO JOSE','SC','124244241117372431446812342112610127067',16366,'306',42.80,1,3,NULL),(15,2144042,'1988-10-01 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241216372431437612242114610164191',14306,'1022',45.72,1,3,NULL),(15,2144050,'1985-12-24 00:00:00',4,1,12,2003,'F','N','ESTREITO','FLORIANOPOLIS','SC','224244241116143441348654445124610122093',NULL,'359',0.00,1,3,NULL),(15,2144069,'1989-01-30 00:00:00',4,1,12,2006,'F','N','CENTRO','PORTO ALEGRE','RS','120201201316371731428814571344610168117',17533,'9998',41.04,1,3,NULL),(15,2144093,'1989-11-05 00:00:00',4,1,12,2007,'F','N','VILA ADYANA','SAO JOSE DOS CAMPOS','SP','125252251235471411478714475112610162076',NULL,'9998',0.00,4,3,NULL),(15,2144107,'1965-05-07 00:00:00',4,3,12,1982,'M','N','PIONEIROS','BALNEARIO CAMBORIU','SC','224241243226142421464442324132330832067',NULL,'346',0.00,1,3,NULL),(15,2144123,'1988-01-26 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241112131432424311345124610164051',NULL,'288',22.74,1,3,NULL),(15,2144140,'1987-10-12 00:00:00',1,1,12,2004,'F','N','ALTO DA BOA VISTA','SAO PAULO','SP','125252251215571451388832591124240644092',NULL,'9998',0.00,1,3,NULL),(15,2144158,'1988-05-21 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217573532566674372115610163184',15131,'1098',44.63,1,3,NULL),(15,2144166,'1989-01-01 00:00:00',4,8,12,2006,'F','N','BOA VISTA','JOINVILLE','SC','124243246217471431457724446124610126127',17171,'494',41.61,1,3,NULL),(15,2144174,'1989-05-17 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241216152431446823395124233267117',10144,'1022',51.72,1,3,NULL),(15,2144190,'1989-06-03 00:00:00',4,2,12,2006,'M','N','CENTRO','POMERODE','SC','124242241215372411356833445132610127092',1429,'855',71.52,1,3,NULL),(15,2144204,'1990-06-06 00:00:00',2,1,12,2007,'F','N','PICADAS DO SUL','SAO JOSE','SC','124241241217171431656614572122610162097',21768,'1074',33.05,1,3,NULL),(15,2144212,'1990-06-05 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241212111451226823292124610122073',19346,'1036',38.09,1,3,NULL),(15,2144220,'1990-08-28 00:00:00',4,1,12,2007,'F','N','OTÁVIO ROCHA','FLORES DA CUNHA','RS','120201201115371431469313572124610147057',17515,'9998',41.06,1,2,1),(15,2144239,'1983-04-27 00:00:00',4,4,12,2000,'F','N','CENTRO','AGUAS DE CHAPECO','SC','124241241415575711416832595124131061146',NULL,'1045',0.00,1,3,NULL),(15,2144247,'1989-11-20 00:00:00',4,1,12,2007,'M','N','SAO FRANCISCO','CAMPO GRANDE','MS','112122121216111721338811575112610168192',18279,'9998',39.82,1,3,NULL),(15,2144255,'1988-06-20 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124244248215373411444411341114610164152',7755,'943',55.78,1,3,NULL),(15,2144263,'1988-01-16 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211373431238823472114610164142',2931,'262',66.35,1,3,NULL),(15,2144280,'1979-01-27 00:00:00',2,1,12,1999,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124161161146131431223341215314610134147',NULL,'291',0.86,1,3,NULL),(15,2144298,'1990-04-03 00:00:00',4,1,12,2007,'M','N','VILA CARLOTA','CAMPO GRANDE','MS','112122121216111731346811575122610168192',NULL,'9998',39.95,1,3,NULL),(15,2144301,'1988-11-18 00:00:00',4,1,12,2005,'M','N','BOA VIAGEM','NITEROI','RJ','121252256237472741179614385225241464092',2972,'9998',66.24,1,3,NULL),(15,2144310,'1987-07-31 00:00:00',2,1,12,2005,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124201242136273721238721245124610114187',8638,'296',54.27,1,3,NULL),(15,2144336,'1990-02-17 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241111131431323823342122610117057',NULL,'137',23.48,1,2,1),(15,2144344,'1987-04-26 00:00:00',4,1,12,2004,'M','N','CENTRO','GARIBALDI','RS','120201201117471731335521372122141467047',1228,'9998',72.34,1,2,1),(15,2144352,'1986-09-05 00:00:00',2,1,12,2004,'M','N','PICADAS DO SUL','SAO JOSE','SC','124242241216372431466613435132610137042',8310,'944',54.83,1,3,NULL),(15,2144360,'1990-09-10 00:00:00',2,8,11,2007,'F','N','AGUA VERDE','CURITIBA','PR','116161161315111431449924595124610162177',NULL,'9998',0.00,1,3,NULL),(15,2144387,'1983-12-17 00:00:00',2,1,12,2000,'M','N','SERRARIA','SAO JOSE','SC','124241241115373531546614242334610164047',14392,'257',45.58,1,2,1),(15,2144395,'1990-06-05 00:00:00',2,1,12,2007,'M','N','SAMBAQUI','FLORIANOPOLIS','SC','124242241212371431368821575124610128043',12749,'269',47.92,1,3,NULL),(15,2144409,'1988-10-19 00:00:00',4,6,12,2006,'F','N','CENTRO','ITAJAI','SC','124242241212373431549834292122232638187',8342,'392',54.78,1,3,NULL),(15,2144417,'1987-09-30 00:00:00',5,1,12,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124244241215574431456823575114610121182',3394,'270',65.01,1,3,NULL),(15,2144425,'1989-04-17 00:00:00',4,1,12,2006,'F','N','INATEL','SANTA RITA DO SAPUCAI','MG','113132131217471431449931572112610133072',4777,'9998',61.57,1,3,NULL),(15,2144433,'1984-07-23 00:00:00',4,1,12,2001,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241216272431239937385124221427045',2944,'260',66.32,1,3,NULL),(15,2144441,'1990-06-21 00:00:00',4,1,12,2007,'F','N','SANTA FE','CAMPO GRANDE','MS','112122121216111731348811575122610168192',1477,'9998',71.30,1,3,NULL),(15,2144450,'1986-03-07 00:00:00',2,1,10,2004,'F','N','CENTRO','SAO JOSE','SC','124241241111134411126644342324610164147',10341,'306',51.44,1,2,1),(15,2144468,'1989-01-30 00:00:00',4,1,12,2006,'F','N','CENTRO','FRANCA','SP','125252251215471411379931575125610164017',10973,'9998',50.51,1,3,NULL),(15,2144476,'1971-11-21 00:00:00',4,1,12,1987,'F','N','ITACORUBI','FLORIANOPOLIS','SC','524243243226144731222344145122231426187',18469,'303',39.54,1,3,NULL),(15,2144492,'1981-02-25 00:00:00',4,1,12,1998,'M','N','JD MUNHOZ','GUARULHOS','SP','124252253247573431146611312122141717042',NULL,'9998',0.00,1,3,NULL),(15,2144506,'1989-06-04 00:00:00',2,1,12,2006,'F','N','CENTRO','CAMPO GRANDE','MS','112122121216321731348811575122610168193',NULL,'9998',0.00,1,3,NULL),(15,2144514,'1989-08-22 00:00:00',2,5,12,2006,'F','N','COMERCIARIO','CRICIUMA','SC','124244241217371431429914342132610124142',11312,'210',49.99,1,3,NULL),(15,2144522,'1985-12-20 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241315574431433318295124610167147',15932,'281',43.49,1,3,NULL),(15,2144549,'1990-02-15 00:00:00',4,4,12,2007,'F','N','CENTRO','CAMPINAS DO SUL','RS','120203201217111431546712575112610137052',13301,'9998',47.17,1,3,NULL),(15,2144557,'1985-03-27 00:00:00',4,3,12,2002,'M','N','RIO PEQUENO','CAMBORIU','SC','124242241215132431459514382124130435077',5282,'48',60.55,1,3,NULL),(15,2144565,'1990-03-07 00:00:00',2,1,12,2007,'F','N','CHACARA CACHOEIRA','CAMPO GRANDE','MS','112122121217571451456916575112610165092',6847,'9998',57.45,1,3,NULL),(15,2144573,'1988-05-09 00:00:00',4,1,12,2005,'F','N','JARDIM DA FONTE','JUNDIAI','SP','125252251211571411578714592122610161073',12718,'9998',47.96,1,3,NULL),(15,2144581,'1990-03-16 00:00:00',4,1,12,2007,'M','N','GIOCONDO ORSI','CAMPO GRANDE','MS','112122121216111731348817515122610168192',NULL,'9998',0.00,1,3,NULL),(15,2144590,'1990-01-27 00:00:00',4,1,12,2007,'F','N','CENTRO','MARAU','RS','120201201117141431523319292125610138147',21468,'9998',33.80,1,2,1),(15,2144603,'1990-05-27 00:00:00',4,1,12,2007,'M','N','VILAS BOAS','CAMPO GRANDE','MS','112122121216111731348811515122610168192',NULL,'9998',16.23,1,3,NULL),(15,2144611,'1990-09-23 00:00:00',4,4,12,2007,'M','N','SÃO CRISTTOVÃO','CHAPECO','SC','124241241126131731628577395122610127052',14031,'180',46.12,1,3,NULL),(15,2144638,'1990-12-10 00:00:00',4,5,11,2007,'M','N','MARELI','ICARA','SC','124243241215271431455631174124610161062',12529,'995',48.25,1,3,NULL),(15,2144646,'1983-01-07 00:00:00',2,10,12,2000,'F','N','CENTRO','TUBARAO','SC','124244241215473421335519472125331566097',11392,'809',49.86,1,3,NULL),(15,2144654,'1989-07-31 00:00:00',4,1,12,2006,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124242241215312411548833292224610168092',13003,'269',47.59,1,3,NULL),(15,2144662,'1987-06-12 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241225471411426624376124610164146',3433,'262',64.91,1,3,NULL),(15,2144670,'1986-03-04 00:00:00',2,1,12,2005,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124241241326132431235653345124230225192',17163,'300',41.62,3,3,NULL),(15,2144689,'1987-10-06 00:00:00',2,9,12,2005,'M','N','MARCILIANO FERNANDES','SANTA CECILIA','SC','124241241211512441258914575124610122172',10062,'454',51.83,1,3,NULL),(15,2144697,'1985-05-02 00:00:00',4,1,12,2001,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124212211217271421465643244114610167042',3286,'9998',65.29,4,3,NULL),(15,2144700,'1986-07-08 00:00:00',2,1,12,2003,'M','N','JARDIM JANAINA','BIGUACU','SC','124241241116132411456411445121610127043',17897,'65',40.50,1,2,1),(15,2144719,'1990-05-14 00:00:00',4,1,12,2007,'M','N','SANTA FE','CAMPO GRANDE','MS','112122121216111732348811575122610168192',NULL,'9998',0.00,1,3,NULL),(15,2144743,'1987-06-01 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243241114443111456613232124610114092',NULL,'257',20.90,1,3,NULL),(15,2144760,'1991-12-13 00:00:00',4,8,11,2008,'M','S','GLÓRIA','JOINVILLE','SC','125242251217111731489911574114610164122',NULL,'9998',62.57,1,3,NULL),(15,2144778,'1987-10-22 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215373431489912324122120841182',881,'270',74.15,1,3,NULL),(15,2144808,'1986-11-20 00:00:00',2,5,7,2005,'M','N','VILA FLORESTA','CRICIUMA','SC','124241246216231431524314445334610137172',14251,'230',45.80,1,3,NULL),(15,2144816,'1990-05-02 00:00:00',2,4,11,2007,'F','N','MARIA GORETTI','CHAPECO','SC','124242248212111411336632391122610164142',20836,'1021',35.21,1,3,NULL),(15,2144832,'1989-08-11 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241216372231223379395124610164077',7855,'270',55.60,1,3,NULL),(15,2144840,'1986-03-12 00:00:00',4,8,12,2004,'M','N','BOA VISTA','JOINVILLE','SC','124243241146231441567614445134141447047',18381,'477',39.68,2,3,NULL),(15,2144859,'1990-02-03 00:00:00',2,1,12,2007,'F','N','RATONES','FLORIANOPOLIS','SC','124241241131131411334334575124610112142',19949,'307',36.92,1,2,1),(15,2144867,'1990-01-18 00:00:00',4,4,12,2007,'F','N','SANTA LUZIA','ABELARDO LUZ','SC','124241241146131421226529245124610156057',NULL,'4',0.00,1,3,NULL),(15,2144875,'1989-06-19 00:00:00',4,1,12,2006,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241225272431623334242224610124147',21200,'262',34.43,1,3,NULL),(15,2144883,'1990-01-29 00:00:00',2,5,11,2007,'M','N','COMERCIÁRIO','CRICIUMA','SC','124072245215121411469714575122610142052',9364,'226',53.02,4,3,NULL),(15,2144891,'1990-01-04 00:00:00',2,8,12,2007,'F','N','BOM JESUS','RIO NEGRO','PR','116161161116271431468833575122610136185',13680,'9998',46.64,1,3,NULL),(15,2144913,'1990-03-08 00:00:00',4,1,12,2007,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124244241215131431436614575121610128053',11223,'1014',50.12,1,3,NULL),(15,2144921,'1986-03-30 00:00:00',4,10,7,2004,'M','N','VILA NOVA','IMBITUBA','SC','124241241117142441458613342123630127112',18750,'359',39.08,2,2,1),(15,2144948,'1984-05-24 00:00:00',2,10,12,2006,'F','N','CAPÂO','GAROPABA','SC','124241248146131751113341415321610167097',NULL,'9997',21.12,1,3,NULL),(15,2144956,'1985-04-09 00:00:00',2,1,12,2002,'M','N','CENTRO','SAO BONIFACIO','SC','124241241216132431427614442224431066052',10785,'117',50.76,1,3,NULL),(15,2144964,'1989-04-25 00:00:00',2,1,12,2006,'F','N','JARDIM ELDORADO','PALHOCA','SC','124241241111132411556613572114610135017',NULL,'733',22.03,1,2,1),(15,2144972,'1988-07-19 00:00:00',2,5,11,2005,'M','N','COMERCIARIO','CRICIUMA','SC','124242241215573431456813572122610167182',304,'226',78.70,1,3,NULL),(15,2144980,'1990-03-02 00:00:00',2,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215121431467631575112610164072',6030,'737',59.00,1,3,NULL),(15,2144999,'1987-12-20 00:00:00',4,1,11,2004,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124252251217573431536612572124610163077',2450,'9998',67.78,1,3,NULL),(15,2145006,'1988-02-08 00:00:00',2,1,12,2004,'M','N','GARIBALDINO','GRAVATAI','RS','120201201116371221248832341122241434047',20934,'9998',34.99,1,2,1),(15,2145014,'1989-11-09 00:00:00',2,1,12,2006,'F','N','REAL PARQUE','SAO JOSE','SC','124242241215372431346313572224610142147',5600,'269',59.87,1,3,NULL),(15,2145022,'1989-10-03 00:00:00',4,1,12,2006,'F','N','VILA OPERÁRIA','MARINGA','PR','116241241215472431559811474122610137097',5534,'969',59.99,1,3,NULL),(15,2145030,'1979-05-22 00:00:00',4,1,11,1997,'M','N','CENTRO','PORTO ALEGRE','RS','120163161216372411457814595124120746176',650,'9998',75.72,1,3,NULL),(15,2145057,'1990-12-13 00:00:00',2,7,12,2007,'M','N','BELLO','CACADOR','SC','124242241215111431459931575112610117047',7542,'120',56.14,1,3,NULL),(15,2145065,'1989-06-20 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241124141431333339572122610112197',NULL,'283',30.32,1,3,NULL),(15,2145073,'1990-03-22 00:00:00',4,6,12,2006,'F','N','CENTRO','BARRA VELHA','SC','124242241215372431476922575124610164142',15201,'1026',44.53,1,3,NULL),(15,2145103,'1978-05-08 00:00:00',4,1,12,1998,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124242241132153431124319295125221963142',NULL,'307',33.95,1,3,NULL),(15,2145111,'1991-09-12 00:00:00',4,1,12,2007,'F','N','LOURDES','CAXIAS DO SUL','RS','120202201215471431478934572122610133127',NULL,'9998',0.00,1,3,NULL),(15,2145120,'1989-11-25 00:00:00',4,2,12,2006,'M','N','CENTRO','RIBEIRAO PRETO','SP','125112251217472431468832595115610137052',4737,'9998',61.67,1,3,NULL),(15,2145138,'1989-05-27 00:00:00',4,1,12,2006,'M','N','COHAB','PRESIDENTE PRUDENTE','SP','125252251215472431558614572112141412052',2251,'9998',68.42,3,3,NULL),(15,2145146,'1991-08-26 00:00:00',4,1,12,2008,'F','S','JOÃO PAULO','FLORIANOPOLIS','SC','124244241215121431337613571124610164092',NULL,'1098',52.90,1,3,NULL),(15,2145154,'1990-02-15 00:00:00',4,2,12,2007,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215372431567812322122610164012',2334,'981',68.11,1,3,NULL),(15,2145162,'1989-08-16 00:00:00',4,1,12,2006,'F','N','BOA VISTA','CURITIBA','PR','116161161117131431333519342334610133047',22179,'9998',31.59,1,2,1),(15,2145189,'1978-03-17 00:00:00',2,1,12,1994,'F','N','JD ATLANTICO','FLORIANOPOLIS','SC','124241243146374431233344145134610143142',12893,'65',47.72,1,2,1),(15,2145197,'1986-09-21 00:00:00',2,8,12,2003,'F','N','VILA NOVA','MAFRA','SC','124241241146272421533334141334610126147',10839,'545',50.69,1,3,NULL),(15,2145200,'1988-04-08 00:00:00',4,1,12,2005,'F','N','CRISTAL','PORTO ALEGRE','RS','120131131115571431456514575122610167077',18503,'9998',39.47,1,3,NULL),(15,2145227,'1990-05-17 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241215111431356613474122610128052',10502,'1011',51.18,1,3,NULL),(15,2145235,'1986-11-25 00:00:00',2,1,12,2004,'M','N','PASSA VINTE','PALHOCA','SC','124241241116374431533312321122120762117',3652,'592',64.35,1,2,1),(15,2145243,'1988-09-21 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124241241112432421527519342224610115142',15995,'257',43.40,2,1,1),(15,2145251,'1989-06-29 00:00:00',2,2,12,2007,'F','N','CENTRO','POMERODE','SC','124242241215272431358832572122610124052',6369,'624',58.31,1,3,NULL),(15,2145260,'1985-10-18 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','624243241126135451238844145333610164012',17786,'298',40.69,1,3,NULL),(15,2145278,'1990-06-14 00:00:00',4,8,12,2007,'F','N','FLORESTA','JOINVILLE','SC','124242241215111431368932571122610136052',1311,'486',72.02,1,3,NULL),(15,2145294,'1984-09-25 00:00:00',2,1,12,2002,'M','N','PRAIA DE BELAS','PORTO ALEGRE','RS','120241241146575431216471275314242422047',398,'283',77.68,1,2,1),(15,2145308,'1984-12-10 00:00:00',4,1,12,2002,'M','N','BELA VISTA','SAO JOSE','SC','124241241127131411123349491334610137042',NULL,'583',19.37,1,2,1),(15,2145316,'1990-03-20 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217111431489911572122610127182',42,'262',83.32,1,3,NULL),(15,2145332,'1990-03-06 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472441446613572125610163047',11208,'300',50.14,1,3,NULL),(15,2145340,'1986-11-05 00:00:00',2,7,12,2003,'F','N','CAMPINA DA ALEGRIA','VARGEM BONITA','SC','124241241126131711443314445122230245057',20717,'826',35.47,1,3,NULL),(15,2145359,'1988-03-29 00:00:00',4,5,12,2005,'M','N','COMERCIÁRIO','CRICIUMA','SC','124242241217273351245433345122610164112',14239,'226',45.81,1,3,NULL),(15,2145367,'1991-08-09 00:00:00',4,1,12,2008,'F','S','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217111431536732572112610123142',NULL,'9997',49.60,1,3,NULL),(15,2145375,'1991-07-17 00:00:00',4,7,12,2007,'F','N','REGINA','CATANDUVAS','SC','124241241115131431449913575125610127047',17364,'161',41.29,1,2,1),(15,2145383,'1987-08-30 00:00:00',4,1,8,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241235271431677933575112610147182',NULL,'9997',39.09,1,3,NULL),(15,2145405,'1990-01-12 00:00:00',2,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116244168215111711336623571324610127042',20778,'9998',35.35,1,3,NULL),(15,2145413,'1978-08-16 00:00:00',2,1,11,1997,'F','N','REAL PARQUE','SAO JOSE','SC','224241241124131721223354242234610116197',18877,'734',38.88,2,1,1),(15,2145421,'1991-08-07 00:00:00',4,5,11,2008,'M','S','MARIA CÉU','CRICIUMA','SC','124241241215111431424419574124610132097',NULL,'213',59.30,1,3,NULL),(15,2145430,'1989-12-24 00:00:00',4,1,11,2007,'M','N','PICADAS DO SUL','SAO JOSE','SC','124242241215111431336622244123610164117',12630,'723',48.09,4,3,NULL),(15,2145448,'1988-04-07 00:00:00',2,1,6,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','624242247215371532378614595124610123012',NULL,'270',22.42,1,3,NULL),(15,2145456,'1988-10-24 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241217472411458732571212610133147',11220,'270',50.12,1,3,NULL),(15,2145464,'1982-09-13 00:00:00',2,8,11,2000,'F','N','CENTRO','CURITIBA','PR','116163167315571411266919471124132425182',5370,'9999',60.34,1,3,NULL),(15,2145480,'1988-12-15 00:00:00',2,1,12,2006,'M','N','BRASILIA','NUCLEO BANDEIRANTE','DF','107073071316471711359613595124610168052',NULL,'9998',31.46,4,3,NULL),(15,2145499,'1990-02-20 00:00:00',2,8,12,2007,'M','N','CENTRO','CANOINHAS','SC','124241241212212311249913373112610116072',NULL,'154',0.00,1,3,NULL),(15,2145502,'1989-06-05 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241247317111531445364576314610122017',18890,'9997',38.84,1,3,NULL),(15,2145510,'1987-12-03 00:00:00',4,1,12,2005,'F','N','BALNEARIO','FLORIANOPOLIS','SC','124242248215473431468732572124610148092',9933,'270',52.03,4,3,NULL),(15,2145529,'1990-10-20 00:00:00',4,1,12,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241135141421512329191324610165082',NULL,'295',21.39,2,1,1),(15,2145537,'1977-07-27 00:00:00',4,1,12,1996,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124203207347132441258843235124333268177',NULL,'9999',0.00,1,3,NULL),(15,2145545,'1989-06-15 00:00:00',2,1,6,2007,'M','N','CENTRO','SEARA','SC','124243247437271751648939282124610167047',21722,'9999',33.21,4,1,2),(15,2145553,'1990-12-12 00:00:00',4,1,12,2007,'F','N','JARDIM CRISTAL','CASCAVEL','PR','116162161217111431243612572112610167077',NULL,'9998',0.00,1,3,NULL),(15,2145561,'1990-11-09 00:00:00',4,8,11,2007,'M','N','VILA A','FOZ DO IGUACU','PR','116162161216371431556913572112610137013',7412,'9998',56.39,1,3,NULL),(15,2145570,'1988-10-27 00:00:00',4,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124244241112473411536511582124610161091',10625,'281',50.99,1,3,NULL),(15,2145588,'1990-07-01 00:00:00',4,4,12,2007,'F','N','COMUNIDADE','PALMITOS','SC','124241241116151431624636572222610166197',NULL,'601',20.67,1,2,1),(15,2145596,'1990-01-04 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241216112411468814395122610167112',3817,'723',63.93,1,3,NULL),(15,2145600,'1988-04-09 00:00:00',4,1,12,2006,'M','N','DALBÉRGIA','IBIRAMA','SC','124243241211112221338611575122231267052',NULL,'901',21.25,1,3,NULL),(15,2145618,'1989-01-31 00:00:00',2,8,12,2006,'F','N','COLONIAL','SAO BENTO DO SUL','SC','124244241215472431274412572114610124047',3617,'1114',64.43,1,3,NULL),(15,2145626,'1989-01-14 00:00:00',2,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124243241315121431536632342122610127057',NULL,'1076',26.24,1,3,NULL),(15,2145634,'1990-12-14 00:00:00',2,4,12,2007,'M','N','PALMITAL','CHAPECO','SC','124243241215141331432312142132610132042',18221,'1021',39.94,1,3,NULL),(15,2145642,'1988-06-19 00:00:00',4,1,12,2005,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124161161137131421123541392331610157057',20171,'9998',36.49,1,2,1),(15,2145650,'1987-06-17 00:00:00',4,8,12,2004,'M','N','PORTÃO','CURITIBA','PR','116162164216571421438833596344610116172',NULL,'9998',0.00,1,3,NULL),(15,2145677,'1990-12-05 00:00:00',4,8,12,2007,'F','N','CAMINHO PINHAL','DONA EMMA','SC','124244241126161431468823572124610132146',16512,'644',42.56,1,3,NULL),(15,2145685,'1989-03-08 00:00:00',4,3,12,2007,'F','N','OFICINAS','PONTA GROSSA','PR','104064242343232342222254241232412822182',NULL,'9998',0.00,1,3,NULL),(15,2145693,'1986-03-03 00:00:00',4,1,12,2003,'F','N','VILA ISABEL EBER','JUNDIAI','SP','125252251217471411368873475112141233142',12559,'9998',48.20,1,3,NULL),(15,2145707,'1990-09-05 00:00:00',4,2,12,2007,'F','N','BIGORRILHO','CURITIBA','PR','116161161215111731546531575124610124112',10338,'9998',51.44,1,3,NULL),(15,2145715,'1990-12-22 00:00:00',4,5,12,2007,'M','N','CENTRO','GUARACIABA','SC','124242241217112431464612445124610147052',11860,'751',49.16,1,3,NULL),(15,2145723,'1989-02-13 00:00:00',2,1,12,2005,'M','N','SANTA ROSA','GUARUJA','SP','125254251216573731368814395121610127012',NULL,'9998',0.00,1,3,NULL),(15,2145731,'1988-06-06 00:00:00',2,8,12,2005,'F','N','BOM RETIRO','JOINVILLE','SC','124254251216371751426814575122610168191',16458,'9998',42.65,1,3,NULL),(15,2145740,'1990-04-28 00:00:00',2,4,11,2007,'F','N','CENTRO','ESTACAO','RS','120201201246141412336832571124610128077',14004,'9998',46.15,1,3,NULL),(15,2145758,'1991-04-26 00:00:00',4,4,12,2007,'F','N','CENTRO','PALMITOS','SC','124243241116151731426311572342610167057',20196,'601',36.43,1,3,NULL),(15,2145782,'1989-05-24 00:00:00',2,1,11,2006,'F','N','CENTRO','ERECHIM','RS','120202201216472431458817572122610122097',7963,'9998',55.43,1,3,NULL),(15,2145790,'1977-09-21 00:00:00',4,1,12,1996,'F','N','CENTRO','FLORIANOPOLIS','SC','124164245115373221658812385124130264097',14514,'307',45.39,4,1,2),(15,2145812,'1989-12-07 00:00:00',2,5,10,2007,'F','N','CENTRO','CRICIUMA','SC','124244241215111731553339295122610138052',18803,'226',38.98,1,3,NULL),(15,2145820,'1990-09-28 00:00:00',4,8,12,2007,'F','N','BATEL','CURITIBA','PR','116162161215111431338815572122610167057',NULL,'9998',0.00,1,3,NULL),(15,2145839,'1989-11-27 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124244241215111431446623335124610128012',12788,'272',47.87,1,3,NULL),(15,2145847,'1989-01-30 00:00:00',4,1,12,2006,'F','N','COMERCIÁRIO','CRICIUMA','SC','124242241215472431269823575124610145142',27,'226',84.10,1,3,NULL),(15,2145855,'1990-01-12 00:00:00',2,4,12,2007,'F','N','CENTRO','CAIBI','SC','124241241112131431423316572224610146057',12714,'127',47.96,1,2,1),(15,2145863,'1990-07-22 00:00:00',2,7,12,2007,'M','N','BELO','CACADOR','SC','124242241215111431446933572122610122057',1675,'120',70.48,1,3,NULL),(15,2145871,'1990-09-17 00:00:00',4,10,11,2007,'M','N','CENTRO','TUBARAO','SC','124242241215112531578814572112610117087',4858,'807',61.40,1,3,NULL),(15,2145880,'1989-06-02 00:00:00',2,1,12,2006,'F','N','ELDORADO I','PIRACICABA','SP','125254251117371451535631311324610143092',20289,'9998',36.25,4,3,NULL),(15,2145898,'1990-01-07 00:00:00',2,1,12,2007,'F','N','CENTRO','JAGUARI','RS','120201201116471431426624572115610111194',20435,'9998',35.98,1,3,NULL),(15,2145901,'1990-04-03 00:00:00',4,10,11,2007,'F','N','BARRANCEIRA','LAGUNA','SC','124244241215131431337629592224610168147',11600,'525',49.55,1,3,NULL),(15,2145910,'1985-08-20 00:00:00',2,5,12,2003,'F','N','VILA MANAUS','CRICIUMA','SC','124241241122472421523329272124610165197',13177,'921',47.36,4,2,1),(15,2145928,'1990-12-02 00:00:00',4,1,11,2007,'M','N','CENTRO','CACADOR','SC','124242241217271441579834342122610162052',107,'120',81.46,1,3,NULL),(15,2145936,'1990-08-31 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241415111431448833595124610137187',15833,'1022',43.62,1,3,NULL),(15,2145944,'1990-05-22 00:00:00',4,1,11,2007,'F','N','CENTRO','BRAGANEY','PR','116161168217471421559939475112610124092',20748,'9998',35.40,1,3,NULL),(15,2145952,'1990-09-11 00:00:00',4,4,12,2007,'M','N','INTERIOR','IRACEMINHA','SC','124241241117131431324436242321610117057',15186,'377',44.55,1,2,1),(15,2145979,'1989-03-05 00:00:00',4,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124241241415472431346613572124610167042',2353,'723',68.06,1,3,NULL),(15,2145987,'1989-03-15 00:00:00',4,1,12,2006,'F','N','JD MARIA CANDIDO','SAO JOSE DO RIO PRETO','SP','125251251215472431458831571122610166142',2905,'9998',66.43,1,3,NULL),(15,2145995,'1989-07-16 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241115372511448633575114610134047',4101,'267',63.18,1,2,1),(15,2146002,'1991-04-11 00:00:00',2,1,12,2007,'M','N','ZONA RURAL','PONTAO','RS','120201201415371221456923431322610121052',12481,'9998',48.33,1,3,NULL),(15,2146029,'1989-02-06 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431469733575122610124092',1643,'270',70.63,1,3,NULL),(15,2146037,'1990-05-25 00:00:00',4,4,12,2007,'F','N','INTERIOR','UNIAO DO OESTE','SC','124241241135161531527316572224610165077',19216,'816',38.31,1,2,1),(15,2146053,'1989-06-22 00:00:00',2,5,12,2007,'M','N','CENTRO','CRICIUMA','SC','124244241215271432536631445122130467052',NULL,'210',0.00,1,3,NULL),(15,2146061,'1968-01-01 00:00:00',4,1,12,1984,'F','N','CAMPINAS','SAO JOSE','SC','224241242121133151421842422132610116147',NULL,'649',21.13,1,2,1),(15,2146096,'1989-12-07 00:00:00',2,1,12,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241125471421454313342114610164197',18529,'278',39.43,1,2,1),(15,2146100,'1991-04-20 00:00:00',4,4,12,2007,'F','N','JARDIM ITÁLIA','CHAPECO','SC','124241241116131731446334472122610163142',16293,'169',42.91,1,2,1),(15,2146118,'1990-12-14 00:00:00',4,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215371431256821575114610167052',4902,'723',61.30,1,3,NULL),(15,2146126,'1988-08-22 00:00:00',4,1,12,2005,'M','N','SAO GERALDO','ARARAQUARA','SP','125253251215572431548834575111610164057',307,'9998',78.66,1,3,NULL),(15,2146134,'1988-06-21 00:00:00',4,1,12,2005,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215273431258612422114121461185',1389,'270',71.71,1,3,NULL),(15,2146142,'1985-11-04 00:00:00',2,7,12,2003,'F','N','CENTRO','JOACABA','SC','124241241117131531426314442235610144017',NULL,'449',16.96,1,2,1),(15,2146150,'1990-04-03 00:00:00',4,10,11,2007,'F','N','BARRANCEIRA','LAGUNA','SC','124244241215131531337629596224610168077',12551,'525',48.22,1,3,NULL),(15,2146169,'1989-04-25 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241327371431358924475124610168072',19645,'298',37.54,1,3,NULL),(15,2146177,'1990-03-14 00:00:00',2,1,11,2007,'F','N','REBOUÇAS','CURITIBA','PR','116243161217471751458832594124610163197',NULL,'9998',0.00,1,3,NULL),(15,2146185,'1990-11-15 00:00:00',2,2,12,2007,'F','N','SÃO LUIZ','BRUSQUE','SC','124243241215121411438933572122610133097',16857,'981',42.07,1,3,NULL),(15,2146193,'1989-10-06 00:00:00',2,2,12,2006,'M','N','GARCIA','BLUMENAU','SC','124243241216142431447621345114610144057',20676,'88',35.54,1,3,NULL),(15,2146207,'1989-07-02 00:00:00',4,1,12,2006,'F','N','CENTRO','PALHOCA','SC','124242241217372231457633575124231965177',2374,'1011',68.00,1,3,NULL),(15,2146215,'1989-06-21 00:00:00',4,8,11,2006,'F','N','AMERICA','JOINVILLE','SC','124242241215473431556823475124610165147',NULL,'486',0.00,1,3,NULL),(15,2146223,'1990-11-07 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124201241215111431586823495122610126091',13757,'1022',46.53,1,3,NULL),(15,2146231,'1989-02-14 00:00:00',2,1,12,2006,'M','N','CENTRO','SERRA NEGRA','SP','125253251215271431423322271324610164197',NULL,'9998',0.00,1,3,NULL),(15,2146240,'1990-07-19 00:00:00',2,1,12,2007,'F','N','PEREQUÊ','PORTO BELO','SC','124242241216111731538817595122610128072',14791,'407',45.02,1,3,NULL),(15,2146258,'1980-11-02 00:00:00',2,1,12,2000,'M','N','PRADO','BIGUACU','SC','224241246117371431233644245122610124147',17592,'306',40.95,4,2,1),(15,2146266,'1981-12-16 00:00:00',4,8,12,2001,'M','N','NOVA BRASÍLIA','JOINVILLE','SC','124161241127371431124541215123610117042',18614,'481',39.30,4,2,1),(15,2146274,'1989-02-20 00:00:00',4,1,11,2006,'M','N','NOVO MUNDO','CURITIBA','PR','116162161215471431469824574122610167042',985,'9998',73.62,3,3,NULL),(15,2146282,'1990-07-11 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215122411258823475122610124041',13885,'1022',46.33,1,3,NULL),(15,2146290,'1960-01-03 00:00:00',2,4,12,1993,'F','N','CENTRO','AGUAS DE CHAPECO','SC','224103105224161222522143432325342736015',NULL,'9998',23.43,2,3,NULL),(15,2146304,'1990-01-26 00:00:00',4,1,11,2007,'M','N','JARDIM SÃO PAULO','AMERICANA','SP','125241251417131441447731115122610167187',14391,'9998',45.58,1,3,NULL),(15,2146312,'1984-06-14 00:00:00',2,8,12,2001,'M','N','SAGUAÇÚ','JOINVILLE','SC','124252251417371711557614275221231467097',17496,'9998',41.09,1,3,NULL),(15,2146320,'1989-07-14 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241115472431448633572124610162142',11051,'307',50.38,1,3,NULL),(15,2146339,'1990-04-01 00:00:00',4,4,12,2007,'F','N','PRESIDENTE MÉDICI','CHAPECO','SC','124241241335131411537931576114610162181',NULL,'983',23.86,4,3,NULL),(15,2146347,'1986-09-25 00:00:00',4,1,11,2005,'F','N','PETRÓPOLIS','PORTO ALEGRE','RS','120241241117474131437724245124131063097',15757,'306',43.73,3,2,1),(15,2146355,'1989-02-15 00:00:00',4,8,12,2006,'F','N','GUANABARA','JOINVILLE','SC','124242241216372431349914471124230232172',9814,'491',52.24,1,3,NULL),(15,2146363,'1990-03-25 00:00:00',4,4,10,2007,'F','N','CENTRO','HUMAITA','RS','120203201416371431336923575124610131097',NULL,'9998',0.00,1,3,NULL),(15,2146371,'1991-07-16 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242241215131431646411345124610122082',19736,'944',37.35,1,3,NULL),(15,2146380,'1989-09-23 00:00:00',4,2,12,2007,'F','N','PONTA AGUDA','BLUMENAU','SC','116242161115471711169832225124610123077',5108,'909',60.89,3,3,NULL),(15,2146398,'1988-03-31 00:00:00',4,1,11,2005,'F','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124251251117471421438721345134131417117',19322,'9998',38.12,1,3,NULL),(15,2146401,'1991-01-22 00:00:00',4,1,12,2007,'F','N','CALEMBA','SANTO AMARO DA IMPERATRIZ','SC','124243241215112331484312575112610163092',15618,'270',43.92,1,3,NULL),(15,2146428,'1990-01-21 00:00:00',4,8,11,2007,'F','N','ATIRADORES','JOINVILLE','SC','124242241215121431576719572112610126192',13010,'491',47.57,1,3,NULL),(15,2146436,'1987-09-03 00:00:00',4,1,12,2005,'M','N','FÁTIMA','POUSO ALEGRE','MG','113132131216371731352632175112610128187',NULL,'9998',45.66,1,3,NULL),(15,2146444,'1989-06-05 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241211472431553312571124610137157',3627,'262',64.41,1,3,NULL),(15,2146452,'1987-01-01 00:00:00',4,1,12,2004,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','125252251217571711369931575122610161071',1350,'9998',71.88,1,3,NULL),(15,2146460,'1985-07-05 00:00:00',4,1,12,2003,'M','N','DANIELA','FLORIANOPOLIS','SC','124242241215142431588813495122231032041',NULL,'262',0.00,1,3,NULL),(15,2146479,'1986-08-07 00:00:00',2,4,12,2004,'F','N','PROGRESSO','SAO LOURENCO DO OESTE','SC','124241248126131531323329145334133222097',NULL,'744',0.00,4,2,1),(15,2146487,'1989-12-05 00:00:00',2,9,11,2006,'F','N','SAGRADO C DE JESUS','LAGES','SC','124241241117471441436911575122610122057',15763,'498',43.73,1,2,1),(15,2146495,'1990-08-23 00:00:00',2,1,12,2007,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124244241115371431448311572124610122082',3811,'271',63.95,4,3,NULL),(15,2146517,'1989-09-04 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124244241217111131456612392114610131185',15874,'272',43.56,3,3,NULL),(15,2146525,'1990-06-02 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111231478833575112610167047',10083,'1022',51.81,1,3,NULL),(15,2146568,'1987-01-16 00:00:00',4,1,12,2004,'M','N','LAGO SUL','LAGO SUL','DF','107072071217471431477633575122241227187',6241,'9998',58.57,1,3,NULL),(15,2146584,'1990-08-11 00:00:00',4,8,12,2007,'F','N','MONTE CLARO','ARACATUBA','SP','125252258215171422448819575122610168182',2950,'9998',66.29,1,3,NULL),(15,2146592,'1989-01-12 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212272731366671572112610168187',14291,'300',45.74,1,3,NULL),(15,2146606,'1987-08-19 00:00:00',4,1,11,2005,'M','N','JURERÊ','FLORIANOPOLIS','SC','124241241117272431423339215124610112187',12907,'306',47.71,1,2,1),(15,2146614,'1983-12-14 00:00:00',2,6,12,2001,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124201204116251451456541415124610167047',14428,'9998',45.54,1,3,NULL),(15,2146622,'1990-11-13 00:00:00',4,4,12,2007,'F','N','CENTRO','PLANALTO','RS','120201201115131731446614572122610128144',20090,'9998',36.64,1,2,1),(15,2146630,'1990-05-22 00:00:00',2,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215111731446832375122610167093',12705,'737',47.97,1,3,NULL),(15,2146649,'1990-03-13 00:00:00',4,1,11,2007,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241215112431358413472124610124072',5615,'723',59.84,2,3,NULL),(15,2146665,'1988-11-16 00:00:00',2,4,12,2006,'M','N','JARDIM','SAO JOSE DO CEDRO','SC','124241241216371751559319171112610166042',15183,'752',44.55,1,3,NULL),(15,2146681,'1989-02-15 00:00:00',2,1,12,2006,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241315473431535431371124610137157',12533,'270',48.24,1,3,NULL),(15,2146690,'1985-11-05 00:00:00',2,4,12,2003,'M','N','CENTRO','RIQUEZA','SC','124241201216111441526611572122240624187',NULL,'9998',10.48,1,3,NULL),(15,2146711,'1990-04-17 00:00:00',2,1,12,2007,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241217131431346422575122610127077',21660,'273',33.36,1,3,NULL),(15,2146720,'1990-10-06 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241215112431446812572114610143197',4500,'270',62.24,1,3,NULL),(15,2146738,'1980-05-20 00:00:00',2,10,12,2001,'F','N','SÃO BASILIO','BRACO DO NORTE','SC','524243241126132441326447185122130636177',11965,'100',49.03,4,3,NULL),(15,2146746,'1990-09-06 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215121731346924375125610163197',7369,'270',56.48,1,3,NULL),(15,2146762,'1989-03-19 00:00:00',2,4,12,2006,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124241241216111411668913186324130613137',16742,'752',42.27,1,3,NULL),(15,2146770,'1986-05-29 00:00:00',2,1,12,2003,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241112374421545632345122610161051',5601,'307',59.87,1,3,NULL),(15,2146789,'1987-09-15 00:00:00',2,1,12,2004,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241136273731533513345124233264187',19776,'281',37.29,1,2,1),(15,2146797,'1989-10-14 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111411468916272122610114052',16006,'270',43.38,1,3,NULL),(15,2146800,'1990-12-04 00:00:00',4,1,11,2007,'F','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124201241315121431369611372224610166182',2072,'270',69.04,1,3,NULL),(15,2146819,'1990-05-16 00:00:00',4,8,12,2007,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215271231547612245122610167117',18420,'1105',39.62,1,3,NULL),(15,2146835,'1989-07-12 00:00:00',4,1,12,2006,'F','N','BELA VISTA I','SAO JOSE','SC','124241241116272431323424242124610164142',20259,'726',36.32,1,2,1),(15,2146843,'1987-12-26 00:00:00',4,3,11,2005,'M','N','BATEL','CURITIBA','PR','116242171215573431489812574112610164012',NULL,'9998',0.00,1,3,NULL),(15,2146851,'1990-04-24 00:00:00',4,8,12,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241216111431379614375124610127052',670,'1016',75.61,1,3,NULL),(15,2146860,'1986-05-03 00:00:00',4,1,12,2003,'M','N','SANTA INÊS','BELO HORIZONTE','MG','113254251217473751369913575125120368112',3915,'9998',63.69,4,3,NULL),(15,2146878,'1990-04-12 00:00:00',4,1,10,2007,'M','N','BARREIROS','SAO JOSE','SC','124244241215121431453631575112610124012',14799,'738',45.01,1,3,NULL),(15,2146886,'1990-09-18 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124243241317371731438823572122610163072',19439,'1061',37.93,1,3,NULL),(15,2146894,'1979-02-10 00:00:00',2,1,12,1999,'M','N','BELA VISTA I','SAO JOSE','SC','124241217122131431343329132142343262081',13355,'9999',47.11,2,3,NULL),(15,2146908,'1991-06-03 00:00:00',2,1,11,2007,'F','N','IPIRANGA','SAO JOSE','SC','124241241117161431326627372222610125047',13270,'734',47.21,1,2,1),(15,2146916,'1990-07-26 00:00:00',4,1,12,2007,'M','N','JARDIM SÃO PAULO I','FOZ DO IGUACU','PR','116161161147271431656814345124610137142',10155,'9998',51.71,4,2,1),(15,2146932,'1990-02-12 00:00:00',4,3,11,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241215221731446834335122610127092',12608,'403',48.13,1,3,NULL),(15,2146940,'1989-12-15 00:00:00',2,4,12,2006,'F','N','NAÇÕES','CONCORDIA','SC','124201201116131431423335572124231464142',NULL,'9998',0.00,1,2,1),(15,2146959,'1984-03-15 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241144575751436636335124231027147',16969,'127',41.92,1,2,1),(15,2146967,'1989-06-14 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242281417372431489933575114610167112',78,'951',82.17,1,3,NULL),(15,2146975,'1990-03-08 00:00:00',2,1,12,2007,'M','N','STO ANTONIO DE LISBO','FLORIANOPOLIS','SC','124241241215111431434734295124610117047',21247,'1048',34.32,4,3,NULL),(15,2146991,'1987-09-16 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241236173431438813342134231027187',17346,'1022',41.32,1,3,NULL),(15,2147009,'1988-02-12 00:00:00',4,1,12,2005,'M','N','CENTRO','MARINGA','PR','116162161215571551477832171122610162092',NULL,'9998',0.00,3,3,NULL),(15,2147025,'1985-12-13 00:00:00',4,1,12,2006,'M','N','TAPERA','FLORIANOPOLIS','SC','124242241117152421333413485114610164145',14699,'306',45.15,1,3,NULL),(15,2147033,'1989-09-30 00:00:00',4,1,12,2007,'F','N','SHANGRILA','ITAPETININGA','SP','125254251217171451578714575122610164142',NULL,'9998',25.97,1,3,NULL),(15,2147041,'1988-11-04 00:00:00',2,1,12,2007,'M','N','CENTRO','ITAPORANGA','SP','125254251215171431448833491342610117052',22435,'9998',29.95,1,3,NULL),(15,2147050,'1990-07-23 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111751646611592124610127143',9966,'272',51.98,1,3,NULL),(15,2147068,'1988-11-12 00:00:00',2,7,12,2006,'F','N','CENTRO','MONTE CARLO','SC','124241241216572431566923475124610124092',3620,'885',64.42,1,3,NULL),(15,2147076,'1989-09-10 00:00:00',4,1,12,2006,'F','N','FAZENDA RIO TAVARES','FLORIANOPOLIS','SC','124241241117271431553632576114610111147',18400,'307',39.64,1,2,1),(15,2147084,'1989-05-08 00:00:00',4,8,12,2006,'F','N','FLORESTA','JOINVILLE','SC','124242241215371432566612122114610121142',NULL,'1105',18.07,1,3,NULL),(15,2147092,'1991-12-09 00:00:00',2,4,12,2008,'M','S','CENTRO','CHOPINZINHO','PR','116161161217151411467912574122610126192',NULL,'9998',64.26,1,3,NULL),(15,2147106,'1985-12-04 00:00:00',2,1,12,2004,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241247122571212538619492314610114011',18522,'9999',39.44,1,3,NULL),(15,2147122,'1989-11-12 00:00:00',4,8,11,2006,'F','N','JARDIM CALIFÓRNIA','JACAREI','SP','125252251215471451546831576114610164197',1657,'9998',70.56,1,3,NULL),(15,2147130,'1990-01-25 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244248215472731234974572124610136182',7744,'270',55.79,1,3,NULL),(15,2147149,'1989-05-14 00:00:00',5,1,6,2006,'M','N','AGUA FRIA','SAO PAULO','SP','125252251236471731558819175124610137057',9155,'9998',53.35,1,3,NULL),(15,2147165,'1985-08-26 00:00:00',4,1,12,2004,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124251241126471441235429395114610164173',21250,'274',34.32,1,3,NULL),(15,2147173,'1986-10-02 00:00:00',2,1,12,2005,'F','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','124241241111153711438611372124610112147',NULL,'307',0.00,1,2,1),(15,2147181,'1991-01-30 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215131431363923495124610121097',13644,'208',46.69,4,1,2),(15,2147190,'1989-05-12 00:00:00',2,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124241241215271431536634572124610114077',20935,'868',34.99,1,3,NULL),(15,2147211,'1989-11-05 00:00:00',4,1,12,2007,'F','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124242241215121231469812472122610133122',NULL,'270',33.04,1,3,NULL),(15,2147220,'1990-01-05 00:00:00',2,1,11,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215111231279713575112610167047',3869,'270',63.82,1,3,NULL),(15,2147246,'1990-01-19 00:00:00',2,1,12,2007,'F','N','CENTRO','GAROPABA','SC','124284248146271751529737295121610135022',14786,'9999',45.02,4,3,NULL),(15,2147254,'1990-02-25 00:00:00',4,8,10,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216271431479811575122610132116',11032,'491',50.41,1,3,NULL),(15,2147270,'1989-02-28 00:00:00',2,1,12,2007,'M','N','JARDIM MATILDE','OURINHOS','SP','125252251217412421334812575112143224042',16039,'267',43.31,1,3,NULL),(15,2147289,'1969-07-25 00:00:00',2,1,12,2000,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241247123141531423341113344610164097',18849,'9999',38.92,1,2,1),(15,2147297,'1988-07-18 00:00:00',4,10,12,2006,'M','N','CENTRO','TUBARAO','SC','124242241215473431489914575124610127122',1101,'807',73.02,1,3,NULL),(15,2147319,'1990-03-02 00:00:00',2,4,12,2006,'F','N','NAÇÕES','CONCORDIA','SC','124201201116171411313435575124233264072',NULL,'9998',0.00,1,2,1),(15,2147335,'1990-02-12 00:00:00',4,1,12,2007,'F','N','PICADAS DO SUL','SAO JOSE','SC','124242241215111431536624575122610134092',21970,'1074',32.35,1,3,NULL),(15,2147343,'1987-02-02 00:00:00',2,1,12,2004,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124243241314134411316522344141132242162',13670,'267',46.65,1,3,NULL),(15,2147360,'1988-09-18 00:00:00',4,9,12,2006,'M','N','CENTRO','LAGES','SC','124244241215271411333712495222133245097',14978,'497',44.82,1,3,NULL),(15,2147378,'1990-12-27 00:00:00',2,7,12,2007,'F','N','FLORESTA','VIDEIRA','SC','124241241116131431436823585124610163147',16354,'831',42.82,1,2,1),(15,2147394,'1989-02-02 00:00:00',4,1,12,2006,'F','N','PETRÓPOLIS','PIRACICABA','SP','125254251217371431649614471224610126092',16812,'9998',42.14,1,3,NULL),(15,2147408,'1979-11-05 00:00:00',4,1,11,1999,'M','N','CENTRO','FLORIANOPOLIS','SC','124253257445575431457511495124232424177',948,'9999',73.79,1,3,NULL),(15,2147416,'1991-04-12 00:00:00',4,4,12,2007,'F','N','SANTO INÁCIO','SANTA CRUZ DO SUL','RS','120201201116131551469614575122610163077',16432,'9998',42.70,1,2,1),(15,2147424,'1990-09-28 00:00:00',4,1,12,2007,'M','N','PICADAS DO SUL','SAO JOSE','SC','124242241215151731354653575114610168052',6308,'1074',58.44,1,3,NULL),(15,2147432,'1989-07-23 00:00:00',4,3,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161115571311246931571122610166112',5451,'9998',60.16,1,3,NULL),(15,2147440,'1988-11-15 00:00:00',4,2,11,2005,'F','N','BAIRRO BAÚ','CUIABA','MT','111112111215572431458611572112610127091',6012,'9998',59.06,3,3,NULL),(15,2147459,'1989-12-10 00:00:00',4,1,11,2007,'M','N','SÃO JOÃO','CURITIBA','PR','116162161217471731568831575112610167017',NULL,'9998',0.00,1,3,NULL),(15,2147467,'1990-05-01 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241217122431548631216114610137152',310,'270',78.62,1,3,NULL),(15,2147475,'1991-10-20 01:00:00',4,6,12,2008,'M','S','CENTRO','BALNEARIO CAMBORIU','SC','124162241217151331268812222111610137182',NULL,'44',54.71,1,3,NULL),(15,2147483,'1988-11-08 00:00:00',4,1,12,2006,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','124242241217472431379914575112610166181',1073,'270',73.12,1,3,NULL),(15,2147491,'1986-02-16 00:00:00',2,4,12,2003,'M','N','MARIA TEREZINHA','PINHALZINHO','SC','124241241126371451633412444122130232192',20699,'616',35.50,1,2,1),(15,2147505,'1990-12-14 00:00:00',4,2,12,2007,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241215111431469933577121610136046',626,'71',75.88,1,3,NULL),(15,2147513,'1990-08-30 00:00:00',2,3,12,2007,'M','N','ZONA UM','CIANORTE','PR','116162161215121431456712324221610124062',11632,'9998',49.51,1,3,NULL),(15,2147521,'1988-12-14 00:00:00',2,4,12,2006,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124241241337132431245623482315142427087',9925,'169',52.05,1,3,NULL),(15,2147530,'1985-12-21 00:00:00',4,1,9,2007,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','624242241247371551369613275112610167047',21919,'9999',32.55,1,3,NULL),(15,2147548,'1989-08-03 00:00:00',4,1,12,2006,'F','N','JARDIM TURMALINAS','SANTA BARBARA D OESTE','SP','125252251215471411458814574122610143077',19704,'9998',37.41,1,3,NULL),(15,2147556,'1989-12-02 00:00:00',4,2,12,2006,'F','N','CENTRO','BLUMENAU','SC','124242241215271411444931574125131033142',547,'87',76.44,1,3,NULL),(15,2147572,'1990-06-14 00:00:00',4,1,12,2007,'F','N','JARDIM AMÉRICA','GOIANIA','GO','109092091215111731546712575122610145142',2297,'9998',68.24,4,3,NULL),(15,2147599,'1990-11-06 00:00:00',4,7,11,2007,'M','N','BOA VISTA','JOACABA','SC','124242241214371231358831395122610137052',7078,'962',57.00,1,3,NULL),(15,2147602,'1989-06-22 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241435121431368929385124610168197',10466,'1022',51.24,1,3,NULL),(15,2147610,'1990-06-16 00:00:00',4,1,12,2007,'M','N','PANAZZOLO','CAXIAS DO SUL','RS','120202201215371431379734575122610127042',11620,'9998',49.52,1,3,NULL),(15,2147629,'1990-04-20 00:00:00',2,5,11,2007,'F','N','PRESIDENTE VARGAS','ICARA','SC','124244241215131421346911345122610164092',10671,'210',50.91,1,3,NULL),(15,2147653,'1984-09-06 00:00:00',2,1,11,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124244241217132411338933215123131027187',NULL,'9999',33.08,1,3,NULL),(15,2147661,'1989-11-08 00:00:00',2,9,12,2007,'F','N','COPACABANA','LAGES','SC','124244241215471431363411574122610127082',8909,'515',53.81,1,3,NULL),(15,2147670,'1989-09-06 00:00:00',2,1,11,2007,'F','N','JURERÊ','FLORIANOPOLIS','SC','124242241217111431648769382124610123092',13114,'1048',47.43,1,3,NULL),(15,2147696,'1990-03-15 00:00:00',4,4,12,2006,'F','N','CENTRO','PALMITOS','SC','124242241216262431347713375124133213097',19685,'600',37.44,1,3,NULL),(15,2147700,'1990-03-02 00:00:00',4,8,12,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241132371431336933272114610166077',NULL,'464',25.49,1,3,NULL),(15,2147718,'1986-10-13 00:00:00',2,1,12,2005,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241212273431343623572114610137083',4188,'1022',62.93,1,3,NULL),(15,2147726,'1989-11-15 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124244241215121431446811575122610167117',19871,'1118',37.07,1,3,NULL),(15,2147734,'1986-11-10 00:00:00',4,1,12,2004,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124252251115473731348629295122610164017',13923,'9998',46.28,1,3,NULL),(15,2147742,'1985-07-13 00:00:00',4,1,12,2003,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124243241216575431229831315124231424117',9100,'9997',53.46,1,3,NULL),(15,2147769,'1990-04-21 00:00:00',4,8,11,2007,'F','N','BACACHERI','CURITIBA','PR','116162161215111731348939572114610128097',NULL,'9998',0.00,1,3,NULL),(15,2147777,'1986-05-22 00:00:00',4,1,12,2004,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241116374431456613445114133227057',8637,'267',54.27,1,2,1),(15,2147785,'1990-05-24 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241415111431256723575124610114097',NULL,'1022',27.81,2,1,2),(15,2147793,'1991-12-02 00:00:00',1,4,12,2007,'M','N','INTERIOR','ARABUTA','SC','124241241115131211336436152324610111047',16686,'979',42.35,1,3,NULL),(15,2147807,'1980-11-20 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217273712559811412122121534053',8047,'262',55.28,1,3,NULL),(15,2147815,'1988-03-27 00:00:00',4,1,12,2005,'M','N','VILA NOVA','IMBITUBA','SC','124241241117151712323519575311610168017',NULL,'359',33.99,1,3,NULL),(15,2147823,'1987-10-13 00:00:00',2,8,12,2005,'M','N','ESPINHEIROS','JOINVILLE','SC','124241241132153731546313312224130667187',15349,'592',44.33,1,2,1),(15,2147831,'1986-05-22 00:00:00',4,1,12,2003,'M','N','BOM VIVER','BIGUACU','SC','113133131217572231548811571124610112147',336,'9998',78.23,1,3,NULL),(15,2147840,'1990-08-15 00:00:00',2,7,12,2007,'M','N','CENTRO','CAMPOS NOVOS','SC','124243241116471431425833595125610164147',14258,'139',45.79,1,3,NULL),(15,2147858,'1986-11-09 00:00:00',4,1,12,2004,'M','N','CIDADE UNIVERSITARIA','CAMPINAS','SP','125254251217571711379713475124141226092',6098,'9998',58.87,1,3,NULL),(15,2147874,'1985-12-20 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241245126372421436434331124610161187',16314,'281',42.87,1,2,1),(15,2147890,'1989-12-06 00:00:00',4,1,12,2006,'M','N','AGUA VERDE','CURITIBA','PR','116164161216572411458419395124243262192',11662,'9998',49.47,1,3,NULL),(15,2147904,'1990-01-09 00:00:00',4,9,12,2007,'F','N','S C DE JESUS','LAGES','SC','124242241212131411436611381222610134182',20880,'515',35.13,1,3,NULL),(15,2147920,'1988-02-04 00:00:00',4,1,12,2005,'F','N','OPERÁRIO','NOVO HAMBURGO','RS','120202201217571731338629391222610128187',12991,'9998',47.60,1,3,NULL),(15,2147939,'1990-09-13 00:00:00',4,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215111431458613572124610161187',4876,'723',61.36,1,3,NULL),(15,2147947,'1989-10-29 00:00:00',4,4,12,2006,'M','N','NAZARÉ','CONCORDIA','SC','124241241115132411234823575124233264197',2608,'194',67.30,1,2,1),(15,2147955,'1988-04-02 00:00:00',4,1,12,2005,'M','N','GUARANI','NOVO HAMBURGO','RS','120203201216271411446633394132140227047',NULL,'9998',33.69,1,3,NULL),(15,2147963,'1987-11-05 00:00:00',4,1,12,2004,'F','N','CHÁCARA DAS PEDRAS','PORTO ALEGRE','RS','120204201217271431579814575124241944142',4918,'9998',61.26,1,3,NULL),(15,2147971,'1990-02-23 00:00:00',4,1,12,2007,'F','N','BOTAFOGO','RIO DE JANEIRO','RJ','124212241215111411479934572325610115183',6297,'270',58.46,1,3,NULL),(15,2147980,'1989-12-27 00:00:00',4,8,12,2007,'F','N','CENTRAL PARK','PRESIDENTE PRUDENTE','SP','125252251216111431468936575112610134097',NULL,'9998',0.00,1,3,NULL),(15,2147998,'1990-02-05 00:00:00',4,1,12,2007,'M','N','SANTA CATARINA','ILHA SOLTEIRA','SP','125251251216111431456613375112610167084',11883,'9998',49.13,4,3,NULL),(15,2148005,'1992-01-15 00:00:00',4,9,12,2007,'F','N','UNIVERSITARIO','LAGES','SC','124242241216111431468813575122610123147',5413,'497',60.25,1,3,NULL),(15,2148013,'1990-04-04 00:00:00',4,8,12,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242246216271431337632244112610137072',7101,'1006',56.97,1,3,NULL),(15,2148021,'1990-07-27 00:00:00',2,1,11,2007,'F','N','RIO CAVEIRAS','BIGUACU','SC','124242241217122731466413572114610168096',11785,'270',49.28,1,3,NULL),(15,2148030,'1972-04-14 00:00:00',2,1,12,1989,'F','N','INGLESES','FLORIANOPOLIS','SC','224161163116133431334433435124322724147',13476,'9998',46.92,3,2,1),(15,2148056,'1979-06-25 00:00:00',2,1,12,1997,'F','N','KOBRASOL','SAO JOSE','SC','624241243127151431223335334334131016195',12831,'677',47.82,1,3,NULL),(15,2148064,'1987-02-12 00:00:00',2,1,12,2004,'F','N','ILHA DA FIGUEIRA','JARAGUA DO SUL','SC','124241244126132431644624271121610148057',NULL,'436',20.61,1,3,NULL),(15,2148072,'1989-09-11 00:00:00',4,2,12,2006,'F','N','GARCIA','BLUMENAU','SC','124242241215372431338823232224133227147',5314,'855',60.49,1,3,NULL),(15,2148080,'1989-12-10 00:00:00',4,6,11,2007,'M','N','FAZENDA','ITAJAI','SC','124242241215271411336829372125610167092',7821,'1026',55.65,1,3,NULL),(15,2148099,'1989-03-21 00:00:00',4,2,12,2006,'M','N','CENTRO','POMERODE','SC','124241241212272451234823475114131268082',10076,'624',51.82,1,3,NULL),(15,2148102,'1990-02-28 00:00:00',4,1,12,2007,'M','N','NOVA PETRÓPOLIS','SAO BERNARDO DO CAMPO','SP','125252251217151741568812476112610124182',6518,'9998',58.04,1,3,NULL),(15,2148110,'1990-11-12 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241235111431248611345122610124072',15121,'738',44.64,1,3,NULL),(15,2148129,'1983-08-07 00:00:00',2,1,12,2002,'F','N','BARREIROS','SAO JOSE','SC','124241241112575411333314442324610141147',21991,'295',32.28,2,3,NULL),(15,2148137,'1989-12-20 00:00:00',4,3,12,2006,'F','N','JARDIM ITATIAIA','LONDRINA','PR','116162161216472431347732571122610134127',4446,'9998',62.39,1,3,NULL),(15,2148145,'1990-03-18 00:00:00',4,6,12,2007,'M','N','PRAIA DOS AMORES','ITAJAI','SC','124242241215321431458731575111610137117',NULL,'44',34.87,1,3,NULL),(15,2148153,'1990-09-29 00:00:00',4,1,11,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124244241212111431558834572114610122012',13300,'270',47.17,1,3,NULL),(15,2148161,'1991-05-20 00:00:00',4,1,12,2008,'F','S','COQUEIROS','FLORIANOPOLIS','SC','124242241215111431578631575122610127142',NULL,'262',20.98,1,3,NULL),(15,2148170,'1987-07-31 00:00:00',2,1,11,2004,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241127131421324321315124233232142',21474,'288',33.79,1,2,1),(15,2148188,'1982-11-16 00:00:00',4,9,12,1999,'F','N','SANTA HELENA','LAGES','SC','124241241111131431643413181121233144052',5212,'512',60.68,1,2,1),(15,2148196,'1983-01-20 00:00:00',4,8,12,2000,'M','N','AMERICA','JOINVILLE','SC','124241241127271722643319241112610118197',19475,'464',37.87,1,2,1),(15,2148200,'1990-09-12 00:00:00',4,1,11,2007,'F','N','CENTRO','NOVA TRENTO','SC','124244241215121411466619575112610122192',11298,'981',50.01,1,3,NULL),(15,2148218,'1990-11-21 00:00:00',2,1,12,2007,'F','N','JARDIM JANAÍNA','BIGUACU','SC','124241241116131431436413582124610133183',NULL,'257',26.20,1,3,NULL),(15,2148226,'1983-06-23 00:00:00',2,1,12,2003,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241437255421376632381112610147043',11123,'300',50.27,1,3,NULL),(15,2148234,'1985-02-07 00:00:00',2,1,12,2002,'F','N','JARDIM CARANDAI','BIGUACU','SC','124201241115372531667613482124610133147',11637,'65',49.50,4,1,1),(15,2148242,'1990-05-05 00:00:00',2,4,12,2007,'M','N','CENTRO','FREDERICO WESTPHALEN','RS','120202201217111432443939572122610127047',18201,'9998',39.97,1,3,NULL),(15,2148250,'1990-06-13 00:00:00',4,4,12,2007,'F','N','SANTA MARIA','CHAPECO','SC','124241241115131431236823572224610127147',20223,'174',36.36,1,3,NULL),(15,2148269,'1990-03-31 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241216111431478613475112610126072',10090,'738',51.79,1,3,NULL),(15,2148277,'1987-08-05 00:00:00',4,1,11,2005,'F','N','ALTOS DO MORUMBI','VINHEDO','SP','125252251216571411456612575122610132087',NULL,'9998',0.00,1,3,NULL),(15,2148285,'1990-09-10 00:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241115131711226467242124610168192',19692,'298',37.43,1,2,1),(15,2148293,'1990-09-18 00:00:00',4,1,10,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215111431336624345114610124072',418,'1022',77.48,1,3,NULL),(15,2148307,'1988-03-25 00:00:00',4,8,12,2005,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215573431323339191124610134077',3439,'491',64.90,1,3,NULL),(15,2148315,'1989-09-28 00:00:00',4,1,12,2006,'F','N','ALTO DA GLORIA','CURITIBA','PR','116162161217471431459811475124610112192',7751,'9998',55.78,3,3,NULL),(15,2148323,'1983-03-30 00:00:00',2,1,12,2000,'F','N','BELA VISTA','PORTO ALEGRE','RS','120201201117472431233373282124610122047',14965,'9998',44.83,1,2,1),(15,2148331,'1991-08-24 00:00:00',4,1,11,2008,'M','S','JARDIM AMERICA','RIO DO SUL','SC','124242241215111222459952575112610114122',NULL,'991',47.42,1,3,NULL),(15,2148340,'1990-04-09 00:00:00',4,2,11,2007,'M','N','CENTRO','LAURENTINO','SC','124241241217151431357933372124610137052',10930,'653',50.56,1,3,NULL),(15,2148358,'1989-11-08 00:00:00',4,10,11,2007,'F','N','CENTRO','TUBARAO','SC','124242241215152731458832576112610122147',8219,'806',54.98,1,3,NULL),(15,2148366,'1990-08-01 00:00:00',2,9,11,2007,'F','N','CENTRO','CAMPO BELO DO SUL','SC','124241241215111431424824572124610167147',NULL,'497',0.00,1,3,NULL),(15,2148374,'1989-12-02 00:00:00',4,1,12,2006,'F','N','LIBERDADE','SAO PAULO','SP','111112111216471231568933475112610164057',NULL,'9998',0.00,3,3,NULL),(15,2148382,'1990-09-15 00:00:00',4,1,12,2008,'F','S','CARVOEIRA','FLORIANOPOLIS','SC','124242241215111411469833574122610126172',NULL,'262',54.47,1,3,NULL),(15,2148390,'1989-02-19 00:00:00',2,4,11,2005,'M','N','CENTRO','ERECHIM','RS','112201201216272431646329192125121425147',3253,'9998',65.39,1,3,NULL),(15,2148404,'1979-04-19 00:00:00',1,8,12,1999,'M','N','ILHA DA FIGUEIRA','JARAGUA DO SUL','SC','124161241126131431236449192113610168187',NULL,'257',32.49,1,3,NULL),(15,2148412,'1990-12-25 00:00:00',4,6,12,2007,'F','N','PRAIA ALEGRE','PENHA','SC','124242241217151431448812222122610131097',19606,'394',37.60,1,3,NULL),(15,2148420,'1986-11-25 00:00:00',4,1,11,2004,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124243241217132431458913282124140431142',NULL,'272',0.00,3,3,NULL),(15,2148439,'1986-10-09 00:00:00',2,5,12,2004,'F','N','CENTRO','CRICIUMA','SC','124241241115573431633611572122610161197',4671,'228',61.82,4,2,1),(15,2148447,'1989-11-23 00:00:00',2,1,2,2008,'F','N','AREIAS','SAO JOSE','SC','124241241117271431426611242124610161092',6164,'739',58.73,1,2,1),(15,2148455,'1990-08-20 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124244241111472751449923372124610162177',2124,'267',68.90,1,3,NULL),(15,2148463,'1992-06-21 00:00:00',4,1,11,2008,'F','S','TRINDADE','FLORIANOPOLIS','SC','124242241215111431675519192122610164022',NULL,'262',44.55,1,3,NULL),(15,2148471,'1990-03-13 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241116131731223529292325610123141',NULL,'49',22.16,1,3,NULL),(15,2148528,'1990-09-19 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242248215111431469933582125610168117',NULL,'723',18.62,1,3,NULL),(15,2148536,'1990-03-10 00:00:00',3,1,12,2006,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124244241215372431248821375122610135117',1571,'262',70.89,1,3,NULL),(15,2148544,'1990-01-30 00:00:00',2,4,12,2007,'M','N','MARCONDES','PRUDENTOPOLIS','PR','116161162116151411424316592324610164187',22263,'9998',31.23,1,3,NULL),(15,2148552,'1990-11-06 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217111431358831572114610126142',1242,'270',72.30,4,3,NULL),(15,2148560,'1989-11-01 00:00:00',4,1,11,2007,'M','N','GRAÇA','SALVADOR','BA','105052051217111731176931595112610164042',5462,'9998',60.14,1,3,NULL),(15,2148587,'1982-07-29 00:00:00',2,1,12,2003,'F','N','KOBRASOL','SAO JOSE','SC','124241241116164751423314582124610144147',NULL,'359',23.28,2,1,1),(15,2148595,'1989-10-07 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241117473411466923372114610127187',8628,'271',54.29,2,1,1),(15,2148609,'1989-03-29 00:00:00',4,1,12,2006,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241243116111421436313346133610127062',NULL,'733',22.46,1,3,NULL),(15,2148617,'1987-08-31 00:00:00',4,1,12,2005,'F','N','SERRINHA','FLORIANOPOLIS','SC','124242241216273431338522312124221522147',3599,'855',64.48,1,3,NULL),(15,2148625,'1990-03-23 00:00:00',2,5,12,2007,'F','N','LINHA CONTESSI','TURVO','SC','124241241113131511433315342321610117147',19507,'814',37.82,1,2,1),(15,2148633,'1981-07-01 00:00:00',4,1,12,1999,'M','N','VILA MONUMENTO','SAO PAULO','SP','125071071416271751136843435134241736182',NULL,'9998',0.00,1,3,NULL),(15,2148641,'1992-05-25 00:00:00',4,1,12,2008,'M','S','PASSA VINTE','PALHOCA','SC','124242241215111531478933575112610122182',NULL,'1011',54.42,1,3,NULL),(15,2148650,'1990-12-13 00:00:00',4,1,11,2007,'M','N','VILA A','FOZ DO IGUACU','PR','116162161217151731466933575122613217043',NULL,'9998',0.00,1,3,NULL),(15,2148668,'1989-01-30 00:00:00',2,1,11,2006,'M','N','BELA VISTA','ERECHIM','RS','124202201216372431456823475324610128042',2709,'9998',66.99,1,3,NULL),(15,2148676,'1991-02-06 00:00:00',4,8,12,2008,'M','S','NOVA BRASÍLIA','JARAGUA DO SUL','SC','124242241217111511479931242121610127092',NULL,'442',50.78,3,3,NULL),(15,2148684,'1989-01-18 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241111271431458914272124610121092',13736,'267',46.55,1,2,1),(15,2148706,'1989-06-14 00:00:00',2,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124242241215472431438633572124610167052',18390,'738',39.66,1,3,NULL),(15,2148714,'1990-09-16 00:00:00',4,1,12,2008,'F','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241212171531489813574122610164192',NULL,'270',65.92,1,3,NULL),(15,2148722,'1990-08-01 00:00:00',2,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124241241311131731521161572324610136177',4924,'1022',61.24,2,1,2),(15,2148730,'1989-01-04 00:00:00',4,1,7,2007,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124252257437371751236929572124610124047',20614,'9999',35.66,1,3,NULL),(15,2148749,'1988-03-11 00:00:00',2,2,12,2005,'F','N','PINHEIROS','SAO PAULO','SP','125254251217572711357824571112610113072',4270,'9998',62.75,1,3,NULL),(15,2148757,'1991-01-25 00:00:00',4,1,11,2007,'F','N','PARQUE SAO JORGE','FLORIANOPOLIS','SC','124242248215111432456839572114610137145',19857,'270',37.10,1,3,NULL),(15,2148773,'1990-09-11 00:00:00',4,1,11,2007,'M','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124244241116112511357833535124610164015',1596,'1022',70.82,1,3,NULL),(15,2148781,'1990-03-31 00:00:00',4,1,12,2007,'M','N','CENTRO','CAMPO GRANDE','MS','112122121217471431339823435122610146042',14462,'9998',45.48,4,3,NULL),(15,2148790,'1983-12-14 00:00:00',2,1,12,2001,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124241241117374421123344242334131314051',17646,'267',40.88,1,2,1),(15,2148803,'1990-02-27 00:00:00',4,8,11,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216271431458814575112610134012',4196,'486',62.91,1,3,NULL),(15,2148811,'1989-07-30 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215372431389812325122610146122',3313,'270',65.23,1,3,NULL),(15,2148820,'1988-10-27 00:00:00',4,9,12,2005,'M','N','S CORAÇÃO DE JESUS','LAGES','SC','124241241116152431554739575112133266192',6789,'935',57.57,1,2,1),(15,2148838,'1989-07-07 00:00:00',5,1,6,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124242281415371731469932472122610163182',7310,'9998',56.58,1,3,NULL),(15,2148846,'1990-05-26 00:00:00',2,7,11,2007,'F','N','CENTRO','CAPINZAL','SC','124241241215311431483332425124610137072',NULL,'446',0.00,1,3,NULL),(15,2148854,'1990-01-12 00:00:00',2,4,12,2007,'F','N','SAO FRANCISCO','CAMPO GRANDE','MS','112122121216121431447826465114610131142',20976,'9998',34.90,1,3,NULL),(15,2148862,'1987-09-27 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124242241415112511566832425132131414187',5640,'299',59.80,1,3,NULL),(15,2148870,'1989-10-13 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111421457613572122610128075',16133,'270',43.17,1,3,NULL),(15,2148889,'1990-02-09 00:00:00',4,6,12,2007,'M','N','ARMAÇÃO','PENHA','SC','124241246216111431446914575124610137042',NULL,'9997',0.00,1,3,NULL),(15,2148897,'1988-09-19 00:00:00',2,1,11,2005,'F','N','CENTRO','FRANCISCO BELTRAO','PR','116162161215573431438714575112610123182',10914,'9998',50.59,1,3,NULL),(15,2148919,'1990-08-01 00:00:00',2,1,11,2007,'M','N','PRAÇA','TIJUCAS','SC','124244241415111431461613371221610167057',7346,'1119',56.52,1,3,NULL),(15,2148927,'1988-03-02 00:00:00',4,1,11,2005,'F','N','OCTOGONAL','CRUZEIRO','DF','107072071237571431488923591112610132111',2482,'9998',67.66,1,3,NULL),(15,2148935,'1988-06-10 00:00:00',1,1,10,2007,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124242247417371711678822492124610168045',1959,'9999',69.39,1,3,NULL),(15,2148943,'1990-01-06 00:00:00',4,2,11,2007,'F','N','RIBEORÃO FRESCO','BLUMENAU','SC','124242241215211431678432571122610167072',16647,'909',42.38,1,3,NULL),(15,2148951,'1990-07-31 00:00:00',2,5,12,2007,'M','N','IGRA','TORRES','RS','120202201216111531228631575122610167052',19366,'9998',38.06,1,3,NULL),(15,2148960,'1989-08-01 00:00:00',2,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124242241215372711336639341124610167141',5132,'723',60.85,1,3,NULL),(15,2148986,'1988-11-15 00:00:00',2,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244241215121431458831572124610137142',17277,'266',41.45,1,3,NULL),(15,2148994,'1991-12-07 00:00:00',4,9,11,2008,'F','S','CENTRO','LAGES','SC','124243241215111431356714575122610124142',NULL,'497',25.75,1,3,NULL),(15,2149001,'1988-11-11 00:00:00',4,1,11,2006,'M','N','JARDIM ITAMARATI','RIBEIRAO PRETO','SP','125252251217421431466614592122610132057',2577,'9998',67.38,1,3,NULL),(15,2149010,'1989-08-21 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217473511226823571114131036017',NULL,'270',40.54,2,3,NULL),(15,2149028,'1989-07-12 00:00:00',2,1,12,2007,'F','N','STO ANTONIO DE LISBO','FLORIANOPOLIS','SC','124242241215151431378713572122610163122',NULL,'9997',24.41,1,3,NULL),(15,2149036,'1973-08-12 00:00:00',4,1,12,1991,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242161137373441448819342124120967011',12820,'9998',47.83,1,3,NULL),(15,2149044,'1989-12-29 00:00:00',2,3,11,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124112241217473411348831591311610165047',924,'44',73.94,1,3,NULL),(15,2149052,'1989-05-25 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212473411239913594124610153092',6275,'270',58.50,1,3,NULL),(15,2149060,'1990-05-09 00:00:00',2,1,11,2007,'F','N','JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251216111431458923475122610128072',9574,'9998',52.63,1,3,NULL),(15,2149079,'1989-12-22 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111131356633282122610127077',12570,'1022',48.18,1,3,NULL),(15,2149087,'1989-12-08 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215121731437939572122610117022',12475,'1011',48.33,1,3,NULL),(15,2149095,'1990-06-27 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124241241135371431546612575124610126182',18053,'733',40.22,1,2,1),(15,2149109,'1986-06-24 00:00:00',4,1,11,2003,'M','N','JARDIM SANTA MARIA','GUARUJA','SP','125251251216572752468933575114121426042',631,'9998',75.82,1,3,NULL),(15,2149117,'1990-11-27 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241215121431466614445124610126047',7385,'266',56.44,4,3,NULL),(15,2149125,'1989-02-28 00:00:00',2,5,12,2006,'F','N','CENTRO','TURVO','SC','124243241212272411528953575224610113097',21880,'814',32.69,1,3,NULL),(15,2149133,'1989-01-11 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241215472431427779385124610127052',16029,'1022',43.34,4,3,NULL),(15,2149141,'1991-02-14 00:00:00',4,1,12,2008,'F','S','PANTANAL','FLORIANOPOLIS','SC','124242241217111431348933575122610121012',NULL,'266',58.55,1,3,NULL),(15,2149150,'1990-07-14 00:00:00',2,1,12,2007,'F','N','RIO CAVEIRAS','BIGUACU','SC','124241241112131531334433332121610153147',21565,'65',33.59,1,2,1),(15,2149168,'1979-01-17 00:00:00',2,1,12,2000,'F','N','ITACORUBI','FLORIANOPOLIS','SC','224243241337132421236674242132610128197',NULL,'9999',0.00,1,3,NULL),(15,2149192,'1989-02-13 00:00:00',4,7,12,2005,'M','N','CENTRO','MACHADINHO','RS','120201202116271441458833385112610113142',7684,'9998',55.89,1,3,NULL),(15,2149206,'1988-09-07 00:00:00',4,1,12,2005,'M','N','CENTRO','CANOAS','RS','120202201217471411438839392114610162092',12066,'9998',48.90,1,3,NULL),(15,2149214,'1990-07-05 00:00:00',2,5,12,2007,'M','N','CENTRO','MARACAJA','SC','124241241215271231346837575124610127042',8859,'27',53.89,2,1,2),(15,2149222,'1990-06-05 00:00:00',4,1,12,2007,'F','N','JARDIM IBIRATIBA','SAO PAULO','SP','125253251316131331534823245124610124142',NULL,'12',0.00,1,3,NULL),(15,2149230,'1985-06-24 00:00:00',4,1,12,2003,'F','N','IPIRANGA','SAO JOSE','SC','124242241315154421453834345124230666182',18705,'943',39.16,1,3,NULL),(15,2149249,'1990-11-26 00:00:00',4,8,12,2007,'F','N','IRIRIÚ','JOINVILLE','SC','124242241215371421573732375112610137147',22245,'462',31.30,1,3,NULL),(15,2149257,'1976-08-12 00:00:00',2,1,8,2006,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','507073078337271431134344342314610167147',21041,'9999',34.77,2,3,NULL),(15,2149265,'1991-06-25 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215121431459833575122610142075',16915,'270',41.99,1,3,NULL),(15,2149273,'1991-02-13 00:00:00',4,1,12,2008,'F','S','CAMPECHE','FLORIANOPOLIS','SC','124242241217111411568924345114610165047',NULL,'270',44.19,1,3,NULL),(15,2149281,'1990-09-17 00:00:00',4,2,12,2007,'M','N','CENTRO','POMERODE','SC','124242241217112431446839272125610122147',1798,'624',69.94,1,3,NULL),(15,2149290,'1983-12-29 00:00:00',4,1,12,2001,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124242241217375411568633375124220461047',10195,'270',51.64,1,3,NULL),(15,2149303,'1991-06-19 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241217111231469833394114610126182',4197,'723',62.91,1,3,NULL),(15,2149311,'1991-08-09 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','624242241211111731339923492115610137062',NULL,'270',47.05,1,3,NULL),(15,2149320,'1991-08-02 00:00:00',4,9,12,2007,'F','N','SAGRADO CORAÇÃO JESU','LAGES','SC','124242241212111431469931442122610162143',19798,'497',37.22,1,3,NULL),(15,2149346,'1989-11-19 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217371731459814472112610167042',8558,'262',54.43,1,3,NULL),(15,2149362,'1984-08-28 00:00:00',4,1,12,2002,'M','N','CAMPINAS','SAO JOSE','SC','124241241137231421234329342132610128187',14382,'732',45.59,1,2,1),(15,2149370,'1989-01-09 00:00:00',2,8,12,2006,'F','N','CENTRO','MAFRA','SC','124241241112141451443325442324510124097',NULL,'542',24.77,1,2,1),(15,2149389,'1982-11-04 00:00:00',2,1,9,2006,'M','N','CEDRO','CANELA','RS','620201207136131732523331245124610167057',NULL,'9999',9.63,1,2,1),(15,2149397,'1992-01-18 00:00:00',4,8,12,2008,'M','S','CENTRO','CORUPA','SC','124241241415111731469613572124610147047',NULL,'442',10.24,1,3,NULL),(15,2149400,'1990-05-29 00:00:00',4,1,11,2007,'M','N','CANTO','FLORIANOPOLIS','SC','124242241215111432248613146114610164197',8200,'1022',55.01,1,3,NULL),(15,2149419,'1988-11-12 00:00:00',4,1,12,2006,'M','N','CENTRO','ITARARE','SP','116164168417171431523823595125610111117',NULL,'9998',0.00,1,3,NULL),(15,2149427,'1989-08-09 00:00:00',4,5,12,2006,'F','N','NOVA BRASILIA','SOMBRIO','SC','124241241135141431543933341133610167092',NULL,'1033',0.00,3,2,1),(15,2149435,'1988-09-07 00:00:00',4,1,12,2007,'M','N','FLORESTA','SAO JOSE','SC','124244241215121451568833475112610134047',7830,'1036',55.63,1,3,NULL),(15,2149451,'1991-10-12 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211111411359933331125610128132',7988,'270',55.39,1,3,NULL),(15,2149460,'1989-05-14 00:00:00',4,2,10,2006,'F','N','VICTOR KONDER','BLUMENAU','SC','124243241115572411346732225124610162182',7800,'88',55.69,1,3,NULL),(15,2149478,'1990-07-15 00:00:00',2,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241247335111431435539371124610137143',19465,'300',37.89,1,3,NULL),(15,2149486,'1990-09-01 00:00:00',4,8,12,2007,'F','N','BOA VISTA','CANOINHAS','SC','124244241216161431369934575122610165177',19175,'154',38.39,1,3,NULL),(15,2149494,'1990-12-22 00:00:00',2,1,11,2007,'F','N','LAGOA DA CONCEICÃO','FLORIANOPOLIS','SC','124241241115171431543314212224610143147',20823,'288',35.24,1,3,NULL),(15,2149508,'1985-12-29 00:00:00',2,3,11,2003,'M','N','CENTRO','BOMBINHAS','SC','124253241216132411435612412122610127117',18900,'948',38.84,1,3,NULL),(15,2149516,'1990-07-24 00:00:00',4,1,11,2007,'M','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124242241215111431489913575114610124052',14395,'270',45.58,1,3,NULL),(15,2149524,'1990-07-03 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111731666614572115610138187',8760,'1118',54.08,1,3,NULL),(15,2149532,'1988-05-04 00:00:00',4,1,12,2005,'M','N','URBANOVA','SAO JOSE DOS CAMPOS','SP','125252251217572711448814375121610144087',6426,'9998',58.21,1,3,NULL),(15,2149559,'1978-05-15 00:00:00',2,1,11,1998,'F','N','BALNEARIO','FLORIANOPOLIS','SC','624241241247131431326649295122231023147',16918,'186',41.98,1,3,NULL),(15,2149567,'1988-04-25 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241211111211588832571111231212171',2273,'270',68.34,1,3,NULL),(15,2149575,'1982-08-12 00:00:00',4,1,12,2000,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241217142432468812411122322636092',9711,'262',52.41,1,3,NULL),(15,2149583,'1989-10-26 00:00:00',4,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215111731269831572124610168042',11826,'737',49.22,1,3,NULL),(15,2149591,'1990-03-01 00:00:00',4,9,12,2006,'F','N','COPACABANA','LAGES','SC','124242241212332411468914582112610162171',8711,'499',54.16,1,3,NULL),(15,2149605,'1990-03-21 00:00:00',4,8,12,2007,'M','N','ÁGUA VERDE','CURITIBA','PR','116252161215111411535619575122610128042',18257,'9998',39.88,1,3,NULL),(15,2149613,'1989-12-23 00:00:00',2,8,12,2007,'M','N','LIBERDADE','SAO PAULO','SP','125252251217111232458819592125610167097',NULL,'9998',0.00,3,3,NULL),(15,2149621,'1990-07-10 00:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215471431368932576122610134112',19144,'270',38.44,1,3,NULL),(15,2149648,'1990-08-07 00:00:00',2,5,11,2007,'M','N','OPERARIA NOVA','CRICIUMA','SC','124241241215121431453634374112610142182',10251,'210',51.56,1,3,NULL),(15,2149656,'1992-04-19 00:00:00',4,1,11,2008,'F','S','ESTREITO','FLORIANOPOLIS','SC','124242241215111431474339392122610122012',NULL,'1118',40.71,4,3,NULL),(15,2149664,'1990-03-17 00:00:00',2,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241217111431488713572122610165196',NULL,'1022',40.03,1,3,NULL),(15,2149680,'1990-04-20 00:00:00',2,5,12,2007,'M','N','CENTRO','NOVA VENEZA','SC','124242241217161432546922392124610127111',15918,'995',43.52,1,3,NULL),(15,2149699,'1985-04-05 00:00:00',2,1,12,2003,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241125373431633321145114610126147',18416,'290',39.62,4,2,1),(15,2149702,'1990-08-31 00:00:00',2,1,12,2007,'F','N','CASTELO BRANCO','ITAPEMA','SC','124244241216111431448913275122610127072',9012,'407',53.62,1,3,NULL),(15,2149710,'1988-04-11 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241315573431455532272124610123142',10875,'307',50.65,1,3,NULL),(15,2149729,'1989-12-24 00:00:00',2,1,12,2007,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124244241215111431435614572224610127044',NULL,'300',31.48,1,3,NULL),(15,2149737,'1991-05-18 00:00:00',4,1,12,2008,'F','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241214111731459633574124610124075',NULL,'270',7.97,1,3,NULL),(15,2149745,'1987-10-29 00:00:00',2,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241313232411568837595121610167165',16256,'1118',42.97,4,3,NULL),(15,2149753,'1989-04-25 00:00:00',2,1,12,2006,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215372451459833592114610167092',9285,'270',53.14,1,3,NULL),(15,2149761,'1990-03-04 00:00:00',4,1,11,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215131431579911415124610127112',9889,'270',52.11,1,3,NULL),(15,2149770,'1991-02-16 00:00:00',4,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124243241215111421446612575122610138187',10423,'723',51.32,1,3,NULL),(15,2149788,'1989-12-23 00:00:00',2,8,12,2007,'M','N','CENTRO','JARAGUA DO SUL','SC','124244241215111431427614575122610167052',NULL,'422',28.30,4,3,NULL),(15,2149800,'1989-08-29 00:00:00',2,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124244247215472431366613575112610162042',8078,'270',55.22,1,3,NULL),(15,2149818,'1989-11-15 00:00:00',2,1,11,2007,'F','N','CENTRO','PALHOCA','SC','124241241117131431645631572122610164057',14616,'591',45.25,1,2,1),(15,2149826,'1970-12-20 00:00:00',5,1,12,1996,'M','N','ITACORUBI','FLORIANOPOLIS','SC','624241245126152331454353232124332762057',18447,'307',39.58,1,2,1),(15,2149834,'1991-12-12 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212141431488619572122610127125',NULL,'262',38.17,1,3,NULL),(15,2149842,'1989-06-30 00:00:00',2,1,12,2006,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124242241215472431568612475124610127072',13466,'262',46.93,1,3,NULL),(15,2149850,'1989-07-03 00:00:00',4,1,11,2006,'M','N','JD BONFIGLIOLI','SAO PAULO','SP','125252251215311431476823575122610167047',5761,'9998',59.54,1,3,NULL),(15,2149877,'1989-08-10 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241415112431446612375124610132147',1831,'1022',69.83,1,3,NULL),(15,2149885,'1985-07-01 00:00:00',4,1,8,2006,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241248627141711466533435114610133195',NULL,'9999',25.82,1,3,NULL),(15,2149893,'1990-09-10 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124204241215211431438834595124610164117',15798,'262',43.68,1,3,NULL),(15,2149907,'1989-05-30 00:00:00',2,1,12,2007,'M','N','CACUPÉ','FLORIANOPOLIS','SC','124242241215121731546612322124610117042',NULL,'1048',21.38,1,3,NULL),(15,2149915,'1978-12-11 00:00:00',4,1,7,2001,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124243247126132731128842225122130717042',NULL,'830',25.16,1,3,NULL),(15,2149923,'1990-09-12 00:00:00',4,1,11,2007,'F','N','CENTRO','COLORADO','PR','116162168215121731458814575125610168182',13215,'9998',47.29,1,3,NULL),(15,2149931,'1990-04-23 00:00:00',4,1,11,2007,'F','N','COOPHALIS','RONDONOPOLIS','MT','111112111216111431257726576124610144052',2714,'9998',66.98,4,3,NULL),(15,2149940,'1990-01-12 00:00:00',2,1,12,2006,'F','N','JARDIM TROPICAL','CUIABA','MT','111112111215472431468614475122610121142',1200,'9998',72.48,1,3,NULL),(15,2149958,'1989-07-05 00:00:00',4,1,12,2006,'M','N','NOVA PIRACICABA','PIRACICABA','SP','125252251215471431459811571115610166047',546,'9998',76.45,3,3,NULL),(15,2149966,'1991-09-23 00:00:00',4,1,11,2008,'F','S','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124242241431111431633667475124610133012',NULL,'1118',42.95,4,3,NULL),(15,2149974,'1989-08-03 00:00:00',4,3,12,2006,'F','N','JARDIM ANTARCTICA','RIBEIRAO PRETO','SP','125252251215472411568833575122610111142',11043,'9998',50.39,1,3,NULL),(15,2149982,'1991-01-17 00:00:00',4,7,12,2008,'F','S','CENTRO','CACADOR','SC','124242241216111431378832575112610122042',NULL,'118',51.87,1,3,NULL),(15,2149990,'1991-02-03 00:00:00',4,1,12,2007,'M','N','PARQUE CONTIENTAL','GUARULHOS','SP','125254251417271431438637275124610116042',17079,'9998',41.75,4,3,NULL),(15,2150000,'1988-06-29 00:00:00',2,1,12,2005,'F','N','CENTRO','SANTA MARIA','RS','120201201114131431433416172344610166142',10187,'9998',51.65,1,2,1),(15,2150018,'1975-12-19 00:00:00',2,1,7,1996,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','224162247232272431328821585114610161097',NULL,'9999',0.00,1,3,NULL),(15,2150026,'1990-05-31 00:00:00',4,1,12,2007,'M','N','ORIENTAL','ESTRELA','RS','120202201216271431447619575124610117057',NULL,'9998',0.00,1,3,NULL),(15,2150034,'1990-04-17 00:00:00',4,2,11,2007,'M','N','CENTRO','APUCARANA','PR','116162161215111452587932592122610164082',379,'9998',77.83,1,3,NULL),(15,2150042,'1990-04-12 00:00:00',2,1,12,2007,'F','N','CENTRO','MARAU','RS','120203201115131431536613142125610127147',NULL,'9998',0.00,1,3,NULL),(15,2150050,'1990-11-05 00:00:00',4,3,12,2007,'M','N','JARDIM PRAIA MAR','ITAPEMA','SC','124241241111151331437933571124610167047',12941,'406',47.66,1,2,1),(15,2150069,'1989-08-21 00:00:00',2,3,11,2007,'F','N','ASA SUL','BRASILIA','DF','107072071217111451489813572112610164182',11753,'9998',49.32,1,3,NULL),(15,2150085,'1986-11-05 00:00:00',4,1,12,2004,'M','N','SANTA CECÍLIA','PORTO ALEGRE','RS','120202201211271731437823571314143247117',15838,'9998',43.62,1,3,NULL),(15,2150093,'1989-03-21 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431478819492122130424182',5556,'266',59.96,1,3,NULL),(15,2150107,'1990-03-09 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124242241216421731558611375124610161142',11389,'1022',49.86,1,3,NULL),(15,2150123,'1990-01-03 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124082241216111431268924575124610127112',15295,'269',44.41,1,3,NULL),(15,2150131,'1990-04-12 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217472431469812572124610166012',3895,'270',63.76,1,3,NULL),(15,2150140,'1989-11-29 00:00:00',4,1,12,2007,'M','N','FREITAS','SAO JOSE DOS CAMPOS','SP','125252251217111431469831572122610117042',11559,'9998',49.62,1,3,NULL),(15,2150158,'1990-03-05 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215151431348613572122610134072',14045,'273',46.10,1,3,NULL),(15,2150166,'1989-06-22 00:00:00',2,1,12,2007,'M','N','SAO JOSE CENTRO','SAO JOSE','SC','124242241215321431265532325122610134077',22327,'1036',30.86,1,3,NULL),(15,2150182,'1989-08-06 00:00:00',4,8,12,2006,'F','N','MOSSUNGUE','CURITIBA','PR','116162161212471411468832571122610166012',NULL,'9998',0.00,1,3,NULL),(15,2150190,'1989-02-05 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241248115271731426813342213610128147',20852,'307',35.18,1,2,1),(15,2150212,'1990-08-11 00:00:00',2,1,11,2007,'M','N','ESTREIRO','FLORIANOPOLIS','SC','124242241215151731345532585112610162011',NULL,'259',23.20,1,3,NULL),(15,2150239,'1990-10-15 00:00:00',4,10,11,2007,'M','N','CENTRO','LAGUNA','SC','124241248217111431446614572124610137047',12628,'1120',48.10,1,3,NULL),(15,2150255,'1990-07-04 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431476923474125610111072',8955,'270',53.74,1,3,NULL),(15,2150271,'1991-01-11 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241217111431518632575111610167082',10026,'776',51.90,1,3,NULL),(15,2150280,'1990-06-28 00:00:00',4,6,11,2007,'M','N','CENTRO','NAVEGANTES','SC','124241241117371731433414395121610122032',12172,'570',48.77,1,2,1),(15,2150298,'1989-11-13 00:00:00',2,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124242241217372431348414475114131437042',1381,'943',71.74,1,3,NULL),(15,2150301,'1990-07-30 00:00:00',4,7,11,2007,'M','N','SANTA TEREZA','JOACABA','SC','124242241215111412467712574122610127016',NULL,'446',0.00,1,3,NULL),(15,2150328,'1990-09-01 00:00:00',4,1,12,2007,'F','N','VILA OLINDA','PIEDADE','SP','125252251215121432627636575122610127087',10177,'9998',51.67,3,3,NULL),(15,2150336,'1991-01-25 00:00:00',4,1,12,2009,'F','S','SERRARIA','SAO JOSE','SC','124242241215121431266733575122610167012',NULL,'270',67.12,1,3,NULL),(15,2150344,'1990-05-25 00:00:00',2,1,11,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124243241315141421633311242121610137041',20499,'1049',35.88,1,3,NULL),(15,2150352,'1990-12-16 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124241241215221421246623144124610162042',NULL,'226',24.38,1,3,NULL),(15,2150360,'1990-10-09 00:00:00',2,1,12,2007,'M','N','CENTRO','SANTANA DO LIVRAMENTO','RS','120202208215471441576833571122610132122',4995,'9998',61.09,1,3,NULL),(15,2150379,'1990-04-17 00:00:00',2,1,12,2007,'M','N','FLORESTA','SAO JOSE','SC','124242241215321431348724575122610128187',NULL,'1036',0.00,1,3,NULL),(15,2150409,'1990-10-08 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215111431448722495124610168191',10218,'266',51.60,1,3,NULL),(15,2150425,'1989-04-05 00:00:00',4,1,11,2006,'F','N','ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP','125252251417371431589832575112143247056',2039,'9998',69.13,1,3,NULL),(15,2150433,'1982-11-08 00:00:00',2,1,12,2000,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241112575411436623472121430227111',11291,'270',50.03,1,3,NULL),(15,2150441,'1987-04-09 00:00:00',2,7,11,2004,'M','N','JARDIM DAS COLINAS','SAO JOSE DOS CAMPOS','SP','124252251217572431139829392225232428187',3649,'9998',64.36,1,3,NULL),(15,2150450,'1990-06-10 00:00:00',4,2,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161211121431428812571125610166191',13873,'9998',46.35,1,3,NULL),(15,2150468,'1991-01-26 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124205241515112431429933474124610117072',1524,'270',71.09,1,3,NULL),(15,2150476,'1989-09-03 00:00:00',4,9,12,2006,'M','N','IMPERIAL','VACARIA','RS','120202201216471451226931575125610146127',14807,'9998',45.00,1,3,NULL),(15,2150484,'1990-10-29 00:00:00',4,3,12,2007,'M','N','CENTRO','RIO VERDE','GO','109242091236111732369814575125610127122',NULL,'9998',0.00,1,3,NULL),(15,2150492,'1990-12-22 00:00:00',4,3,12,2007,'M','N','PRAÇA','TIJUCAS','SC','124242241215111431589911475122610167042',20906,'948',35.07,1,3,NULL),(15,2150506,'1990-09-25 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241215111431479933572114610137053',2824,'1022',66.69,1,3,NULL),(15,2150514,'1989-08-24 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124243241215171451456933595124610164187',5447,'270',60.17,1,3,NULL),(15,2150522,'1989-04-15 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124243241215372431248513575114610164017',17939,'1036',40.42,1,3,NULL),(15,2150530,'1990-01-03 00:00:00',4,1,12,2007,'F','N','JD BONFIGLIOLI','JUNDIAI','SP','125252251215111431269924575122610122187',10601,'9998',51.02,1,3,NULL),(15,2150549,'1988-12-31 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124244241115141751346923345124610143072',NULL,'271',7.74,1,3,NULL),(15,2150565,'1989-12-05 00:00:00',4,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116164161216152531668933595122243264097',NULL,'9998',0.00,1,3,NULL),(15,2150573,'1986-10-02 00:00:00',4,1,12,2003,'M','N','BARREIROS','SAO JOSE','SC','124241241124141421243344242124610142187',17885,'831',40.52,1,2,1),(15,2150581,'1989-09-12 00:00:00',4,1,11,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215111431433612372124610127077',NULL,'272',27.62,1,3,NULL),(15,2150590,'1990-02-22 00:00:00',4,6,12,2007,'M','N','CENTRO','NAVEGANTES','SC','124242241215271431368812575121610138132',NULL,'389',0.00,1,3,NULL),(15,2150611,'1989-05-22 00:00:00',2,1,12,2006,'M','N','MACUCO','SANTOS','SP','125254253237131531327823386121140764112',NULL,'9998',0.00,2,1,2),(15,2150620,'1990-05-30 00:00:00',2,1,11,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215121431438921345124610127092',4904,'270',61.30,1,3,NULL),(15,2150638,'1990-02-21 00:00:00',4,1,12,2007,'M','N','JD COLINAS','SAO JOSE DOS CAMPOS','SP','125252251217111731578814575121610137023',5243,'9998',60.63,1,3,NULL),(15,2150646,'1990-09-10 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215112431568939392112610144042',20610,'738',35.67,1,3,NULL),(15,2150654,'1988-05-29 00:00:00',4,1,3,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241117573431458923576114132728197',3533,'267',64.68,1,2,1),(15,2150662,'1989-10-18 00:00:00',2,4,11,2006,'F','N','ANTONIO PAGLIA','PONTE SERRADA','SC','124241241416111411546715545112610166197',NULL,'1081',0.00,1,3,NULL),(15,2150670,'1983-07-26 00:00:00',2,1,12,2000,'M','N','CENTRO','CURITIBA','PR','116244241436152731678933295122610167057',NULL,'257',0.00,1,3,NULL),(15,2150689,'1990-03-08 00:00:00',4,8,12,2007,'M','N','SCHRAMM','SAO BENTO DO SUL','SC','124243241217111431456614575112610147187',NULL,'974',0.00,1,3,NULL),(15,2150697,'1991-08-21 00:00:00',4,10,11,2008,'F','S','CENTRO','TUBARAO','SC','124242241217171751428814445112610123012',NULL,'807',28.27,4,3,NULL),(15,2150700,'1990-01-28 00:00:00',4,1,9,2007,'F','N','ARIRIÚ','PALHOCA','SC','124241241115131431323533572124610124197',16196,'307',43.07,1,2,1),(15,2150719,'1990-03-26 00:00:00',2,9,12,2007,'F','N','FUNDO CANOAS','RIO DO SUL','SC','124244241215112431433511572122610163077',1891,'991',69.64,1,3,NULL),(15,2150727,'1990-11-18 00:00:00',4,6,12,2007,'M','N','AGUA VERDE','CURITIBA','PR','116162161217111431278832575112610127062',NULL,'9998',0.00,1,3,NULL),(15,2150735,'1990-11-22 00:00:00',4,1,12,2008,'M','S','CACUPÉ','FLORIANOPOLIS','SC','124242241217111531378813572124610167042',NULL,'270',46.61,1,3,NULL),(15,2150743,'1992-05-20 00:00:00',2,6,12,2008,'F','S','BOMBAS','BOMBINHAS','SC','124243248112161431548713472122610164142',NULL,'1089',31.80,1,3,NULL),(15,2150751,'1989-08-17 00:00:00',4,1,11,2006,'M','N','FORQUILHINHAS','SAO JOSE','SC','124243241217372451669712495114610138017',18548,'944',39.41,1,3,NULL),(15,2150760,'1990-04-04 00:00:00',4,1,12,2007,'F','N','BELA VISTA I','SAO JOSE','SC','124241241117371411559711476124610134012',5343,'306',60.42,1,2,1),(15,2150778,'1990-03-19 00:00:00',4,1,12,2007,'M','N','ASA NORTE','BRASILIA','DF','107072071217151431559923575112610117027',4447,'9998',62.39,1,3,NULL),(15,2150794,'1985-01-07 00:00:00',4,7,7,2002,'F','N','CENTRO','JOACABA','SC','124244247222134431458613482124133263077',NULL,'9999',41.91,1,3,NULL),(15,2150808,'1989-12-20 00:00:00',4,2,12,2007,'M','N','VILA NOVA','BLUMENAU','SC','124242241214271411366722575121610167182',3962,'909',63.56,1,3,NULL),(15,2150824,'1989-12-21 00:00:00',4,7,12,2007,'F','N','CENTRO','CACADOR','SC','124242241215121431346914575122610167143',NULL,'120',0.00,1,3,NULL),(15,2150832,'1989-04-20 00:00:00',4,8,11,2006,'M','N','BIGORRILHO','CURITIBA','PR','116162161216571441488824572112610167112',NULL,'9998',0.00,1,3,NULL),(15,2150840,'1982-09-19 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANOPOLIS','SC','124162241217573731278834572124321267015',1090,'541',73.07,1,3,NULL),(15,2150867,'1988-05-08 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215573431347823575122610123157',508,'270',76.78,1,3,NULL),(15,2150875,'1989-03-17 00:00:00',4,3,12,2006,'F','N','CENTRO','BENTO GONCALVES','RS','120203201115131421328821244125610132192',9880,'9998',52.13,1,3,NULL),(15,2150883,'1989-06-17 00:00:00',4,3,12,2007,'F','N','CENTRO','RIO DO SUL','SC','124242241215271411456812575122610166072',10305,'959',51.48,1,3,NULL),(15,2150891,'1990-11-05 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124244241215371451469731595122610146112',13504,'226',46.89,1,3,NULL),(15,2150905,'1989-12-19 00:00:00',4,10,12,2007,'M','N','SÃO MARTINHO','TUBARAO','SC','124241241215111431458319391124610124182',15802,'797',43.67,1,3,NULL),(15,2150921,'1989-05-05 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242248217472751468831572122610137042',3167,'270',65.65,1,3,NULL),(15,2150948,'1986-08-30 00:00:00',2,8,12,2004,'F','N','CENTRO','GUARATUBA','PR','116161161137451431243823591124132663112',NULL,'9998',2.80,1,3,NULL),(15,2150956,'1988-06-03 00:00:00',2,1,12,2005,'F','N','SERTAO DO MARUI','SAO JOSE','SC','124241241127271451646314192124610134187',22472,'733',29.20,1,2,1),(15,2150964,'1961-02-20 00:00:00',4,1,12,1980,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','624211218226131411433353472114610144047',16386,'9998',42.78,4,3,NULL),(15,2150972,'1988-03-25 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241116374431458633572124233233147',NULL,'267',0.00,1,2,1),(15,2150980,'1985-11-17 00:00:00',4,8,12,2005,'M','N','JARDIM IRÍRIU','JOINVILLE','SC','124241246215371711433319412124231444097',19859,'1105',37.10,1,3,NULL),(15,2150999,'1989-12-26 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217371431559831376112610137182',11458,'262',49.76,1,3,NULL),(15,2151006,'1990-09-11 00:00:00',2,1,12,2007,'M','N','CALHEIROS','GOVERNADOR CELSO RAMOS','SC','124241241117131431446913574114610167057',8652,'307',54.25,1,2,1),(15,2151014,'1990-06-04 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244241215171431445612422124613243115',16127,'1022',43.18,1,3,NULL),(15,2151022,'1990-08-01 00:00:00',4,8,12,2007,'M','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241117131431533411175124610137052',12911,'484',47.70,1,2,1),(15,2151030,'1984-03-27 00:00:00',4,1,12,2000,'M','N','VELHA','BLUMENAU','SC','124243241316473431477613275124221464047',1565,'267',70.92,1,3,NULL),(15,2151057,'1988-03-18 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241116152211225329395124230867042',NULL,'257',31.98,1,2,1),(15,2151065,'1989-06-25 00:00:00',2,6,12,2006,'F','N','CORDEIROS','ITAJAI','SC','124242241215473431246829574124610166097',1016,'1057',73.45,1,3,NULL),(15,2151073,'1989-01-28 00:00:00',4,1,12,2006,'F','N','BONFIM','CAMPINAS','SP','125253253217471431468614285122610165144',17590,'9998',40.95,1,3,NULL),(15,2151090,'1990-01-02 00:00:00',4,9,12,2006,'M','N','CENTRO','LAGES','SC','124244241211372431456913575112131467012',576,'515',76.23,2,3,NULL),(15,2151103,'1990-07-29 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241115271411239824575125610127042',11361,'262',49.89,1,3,NULL),(15,2151111,'1986-04-25 00:00:00',4,1,12,2003,'F','N','CAMPINAS','SAO JOSE','SC','124242241216155731668639595124231063077',2617,'737',67.27,1,3,NULL),(15,2151120,'1987-06-28 00:00:00',4,1,12,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241146131611226613375124610134097',20964,'307',34.92,1,2,1),(15,2151138,'1988-11-09 00:00:00',2,1,12,2006,'M','N','BOM RETIRO','CURITIBA','PR','116161161117471431433363341133610122017',15686,'9998',43.83,1,3,NULL),(15,2151146,'1989-05-01 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248215472751358813335122610127187',13636,'270',46.71,1,3,NULL),(15,2151154,'1989-05-15 00:00:00',4,1,12,2007,'F','N','SANTO ANTÃO','BENTO GONCALVES','RS','120203201415371441436614281124241464092',14121,'9998',46.00,1,3,NULL),(15,2151162,'1983-11-21 00:00:00',4,1,12,2001,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241127142421524414142121610114047',19863,'239',37.09,4,3,NULL),(15,2151170,'1991-08-06 00:00:00',4,1,12,2008,'F','S','CAMPECHE','FLORIANOPOLIS','SC','124243241117131431333923575124610164042',NULL,'307',54.00,1,3,NULL),(15,2151189,'1989-09-05 00:00:00',2,1,12,2006,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241127371451536614141331610147147',18034,'288',40.26,1,2,1),(15,2151200,'1987-10-31 00:00:00',2,1,12,2004,'M','N','INGLESES DO RIO VERM','FLORIANOPOLIS','SC','124201201117131121113644345124610137117',NULL,'9998',25.27,1,3,NULL),(15,2151219,'1989-03-20 00:00:00',2,1,12,2006,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124243241112132121436614345114610164067',17575,'298',40.97,1,3,NULL),(15,2151227,'1972-12-18 00:00:00',2,1,12,1989,'M','N','SUMAREZINHO','SAO PAULO','SP','225253257326141411363344245122240566097',NULL,'9999',0.00,2,1,2),(15,2151235,'1988-05-03 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212473231488813572122230224062',1549,'262',70.99,1,3,NULL),(15,2151243,'1985-10-05 00:00:00',2,1,11,2003,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244241417374431326624492124610128142',15124,'1022',44.64,1,3,NULL),(15,2151251,'1988-03-25 00:00:00',4,1,12,2005,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215373431578713372122230267012',382,'270',77.79,1,3,NULL),(15,2151260,'1978-08-17 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANOPOLIS','SC','124241247217213741223621441124610166037',16449,'9997',42.66,1,3,NULL),(15,2151278,'1987-07-10 00:00:00',4,1,12,2004,'F','N','BARREIROS','SAO JOSE','SC','124242241216163431456831575112230222112',9835,'738',52.21,1,3,NULL),(15,2151294,'1989-01-09 00:00:00',4,1,12,2007,'M','N','ODILA','IBIRUBA','RS','120201201146151431336634215125610124192',21226,'9998',34.38,1,3,NULL),(15,2151308,'1990-10-29 00:00:00',4,4,11,2007,'F','N','CENTRO','SANTO AUGUSTO','RS','120202201217371431536936572122610122192',6070,'9998',58.94,4,3,NULL),(15,2151324,'1986-05-25 00:00:00',2,1,12,2004,'F','N','BARREIROS','SAO JOSE','SC','124244241215134431436623475124232723071',19479,'1022',37.86,1,3,NULL),(15,2151332,'1988-07-25 00:00:00',2,10,12,2005,'M','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241126151731436939295124610124185',17527,'1034',41.05,1,2,1),(15,2151340,'1987-10-08 00:00:00',2,1,12,2005,'M','N','SÃO SEBASTIÃO','PALHOCA','SC','124241241145151431443319315124610162062',NULL,'592',28.22,4,2,1),(15,2151359,'1983-10-14 00:00:00',4,1,12,2001,'M','N','VILA GUARANI','SAO PAULO','SP','125251251127271441259614241235140742172',11265,'9998',50.06,1,2,1),(15,2151375,'1990-08-28 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111431644624475124620126147',3516,'1118',64.73,1,3,NULL),(15,2151383,'1990-03-22 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111511556632595122610117142',20029,'273',36.76,1,3,NULL),(15,2151391,'1969-01-31 00:00:00',2,1,7,1990,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','224241248141132711443344142123121768047',8905,'306',53.83,1,3,NULL),(15,2151405,'1987-09-25 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117371451423623384324610124147',9017,'359',53.61,1,3,NULL),(15,2151413,'1991-03-01 00:00:00',2,4,12,2007,'M','N','INTERIOR','UNIAO DO OESTE','SC','124241241135141531523635152224610167057',18437,'816',39.59,1,2,1),(15,2151421,'1990-10-04 00:00:00',2,1,12,2007,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124244241415111421415623345124610122147',8994,'1010',53.65,1,3,NULL),(15,2151430,'1987-05-15 00:00:00',2,1,11,2007,'M','N','BELA VISTA','PALHOCA','SC','124241241136131531533314245334610127147',19524,'591',37.78,1,3,NULL),(15,2151448,'1988-11-15 00:00:00',4,2,12,2005,'M','N','JARDIM MONTE CARLO','MARINGA','PR','116162161216572431347611575122610164012',6326,'9998',58.41,1,3,NULL),(15,2151456,'1990-08-06 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124244241415111431418623332124610126147',15089,'1010',44.68,1,3,NULL),(15,2151464,'1990-11-08 00:00:00',4,2,12,2007,'F','N','CENTRO','PRESIDENTE GETULIO','SC','124241241135161431337624235321610164052',NULL,'644',0.00,1,2,1),(15,2151472,'1990-09-23 00:00:00',2,4,12,2007,'F','N','INTERIOR','UNIAO DO OESTE','SC','124241241135131431423535152224610167057',20395,'816',36.06,1,2,1),(15,2151480,'1990-04-11 00:00:00',5,8,12,2007,'F','N','JAAGUÁ ESQUERDO','JARAGUA DO SUL','SC','124241241125131431425637341121610167157',21242,'438',34.33,1,3,NULL),(15,2151499,'1989-03-11 00:00:00',5,5,11,2006,'F','N','PINHEIRINHO','CRICIUMA','SC','124243241415372431436619395124610138077',11138,'995',50.24,1,3,NULL),(15,2151510,'1989-05-07 00:00:00',2,1,12,2006,'F','N','RIO BLOEMER','SAO BONIFACIO','SC','124241241127132431424315572221230814147',18145,'702',40.08,1,2,1),(15,2151529,'1990-04-29 00:00:00',1,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124163241434111731569911335132610127045',NULL,'287',27.44,1,3,NULL),(15,2151537,'1990-07-23 00:00:00',4,7,11,2007,'M','N','CENTRO','JOACABA','SC','124242241215151431558611575122610124053',14323,'446',45.70,1,3,NULL),(15,2151545,'1990-07-19 00:00:00',4,1,2,2008,'M','N','CENTRO DE SAO JOSE','SAO JOSE','SC','124242241115161431446631575122610117043',19923,'739',36.96,1,3,NULL),(15,2151553,'1987-02-10 00:00:00',2,1,12,2004,'F','N','VILA SÃO JOÃO','FLORIANOPOLIS','SC','124241241121371431431331385124610124147',11782,'322',49.28,1,2,1),(15,2151596,'1987-02-25 00:00:00',2,1,12,2004,'F','N','MOMBUCA','GUATAPARA','SP','125251251116471731535535572112610167187',7154,'9998',56.87,3,2,1),(15,2151600,'1973-05-23 00:00:00',2,1,12,1990,'M','N','CARIANOS','FLORIANOPOLIS','SC','224202241216143731446643435122120827047',8699,'272',54.18,1,3,NULL),(15,2151618,'1988-10-20 00:00:00',4,1,12,2006,'M','N','SÃO JOÃO DO RIO VERM','FLORIANOPOLIS','SC','124242241217272431546923475124231034052',5805,'1022',59.46,1,3,NULL),(15,2151626,'1990-04-26 00:00:00',4,1,12,2007,'F','N','CENTRO','SAO JOAO BATISTA','SC','124241241117131432323334242123610136197',19584,'712',37.65,1,2,1),(15,2151634,'1973-10-05 00:00:00',2,1,7,2007,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','224241247122371431243353342324610117042',19585,'736',37.64,1,2,1),(15,2151642,'1990-05-23 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241122131432428638242334610134072',NULL,'257',22.52,1,2,1),(15,2151669,'1989-12-28 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242243215111531444822592124610167142',9030,'273',53.59,1,3,NULL),(15,2151677,'1991-05-22 00:00:00',4,7,12,2008,'F','S','CENTRO','CAPINZAL','SC','124242241216131431436819592324610144147',NULL,'9998',0.00,1,3,NULL),(15,2151685,'1982-09-26 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241115375731468813472114133224042',3630,'307',64.40,1,3,NULL),(15,2151693,'1989-10-30 00:00:00',4,1,12,2006,'F','N','RIO GRANDE','PALHOCA','SC','124241241116152431433334372124231026017',8495,'307',54.51,1,2,1),(15,2151715,'1989-07-14 00:00:00',4,6,12,2006,'F','N','ANDORINHA','ITAPEMA','SC','124242241215472431368711575114610161197',6232,'1038',58.58,4,3,NULL),(15,2151723,'1986-02-24 00:00:00',4,1,11,2003,'M','N','VILA MARIA','SAO JOSE DOS CAMPOS','SP','125252256211573431469814571112610167042',NULL,'9998',0.00,1,3,NULL),(15,2151731,'1991-04-21 00:00:00',2,1,12,2008,'F','S','BARREIROS','SAO JOSE','SC','124242241216111431478613475112610114142',NULL,'738',34.09,1,3,NULL),(15,2151766,'1958-07-23 00:00:00',4,1,12,1976,'F','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','224212214246152731483179234124520866192',NULL,'9998',0.00,1,3,NULL),(15,2151774,'1991-06-24 00:00:00',4,1,12,2008,'F','S','CENTRO','SAO JOSE','SC','124242241212112431448612572124610112192',NULL,'270',33.74,1,3,NULL),(15,2151782,'1985-08-20 00:00:00',2,1,12,2004,'M','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124241241623373431453319331324121837047',2066,'9999',69.05,1,3,NULL),(15,2151790,'1989-06-12 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241216372431456623572124610127057',4530,'751',62.17,1,3,NULL),(15,2151804,'1968-04-17 00:00:00',4,1,11,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242244217313431333344445124610136037',NULL,'9999',22.46,1,3,NULL),(15,2151812,'1987-10-04 00:00:00',2,1,12,2005,'M','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124241241127272121431321385133610124142',18460,'288',39.55,4,3,NULL),(15,2151820,'1989-02-17 00:00:00',2,1,12,2007,'M','N','JARDIM PRIMAVERA','FOZ DO IGUACU','PR','116161161126131441212322386321610168053',17954,'9998',40.40,4,2,1),(15,2151839,'1990-05-26 00:00:00',4,1,12,2007,'M','N','SERTÃO DO MARUIM','SAO JOSE','SC','124241241121141221534339345124610138147',13358,'9997',47.11,1,2,1),(15,2151847,'1984-03-26 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216153751367919572122121427182',6524,'269',58.03,1,3,NULL),(15,2151855,'1989-11-08 00:00:00',2,9,12,2006,'M','N','CENTRO','CAMPO BELO DO SUL','SC','124241012215472431446753341234610167057',12708,'497',47.97,1,3,NULL),(15,2151863,'1984-12-01 00:00:00',2,1,12,1984,'F','N','AIMORÉ','ARROIO DO MEIO','RS','120203201146571441343611231223140634097',7456,'9998',56.32,1,3,NULL),(15,2151871,'1989-07-18 00:00:00',4,1,12,2007,'M','N','VILA CAMPOS SALES','CAMPINAS','SP','125251257126571441558511375112610132047',NULL,'9999',0.00,4,2,1),(15,2151880,'1972-03-15 00:00:00',2,4,12,1993,'M','N','CENTRO','SAUDADES','SC','124241243121131752113348181341610168186',15916,'761',43.52,1,2,1),(15,2151898,'1990-04-28 00:00:00',2,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124242241215111431458832572122610128072',15174,'486',44.57,1,3,NULL),(15,2151910,'1988-04-24 00:00:00',2,1,12,2005,'F','N','MONTE CASTELO','CAMPO GRANDE','MS','112122121216471431456832575122610164142',12162,'9998',48.77,1,3,NULL),(15,2151928,'1979-12-20 00:00:00',2,4,12,1999,'F','N','CENTRO','CHAPECO','SC','124241241116131421126343435122531436027',11709,'169',49.38,2,1,1),(15,2151936,'1988-07-26 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241242115572731446613315124610124052',3554,'662',64.61,1,3,NULL),(15,2151944,'1988-03-07 00:00:00',2,1,12,2005,'M','N','PETROPOLIS','PORTO ALEGRE','RS','120202201217572431468812425124610127117',9595,'9998',52.60,1,3,NULL),(15,2151952,'1988-05-23 00:00:00',4,1,12,2005,'M','N','CAMPO LIMPO','SAO PAULO','SP','125252251216571711449934575124610127057',10210,'9998',51.61,3,3,NULL),(15,2151960,'1988-01-24 00:00:00',4,1,12,2005,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217152411548833435124233262141',368,'269',77.90,1,3,NULL),(15,2151979,'1986-02-18 00:00:00',4,1,12,2003,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124254251216374431558619445114610162197',10829,'9998',50.71,1,3,NULL),(15,2151987,'1990-10-13 00:00:00',4,3,12,2007,'M','N','CENTRO','FRAIBURGO','SC','124242241316132731439911575125610168017',9303,'317',53.12,1,3,NULL),(15,2151995,'1990-09-20 00:00:00',2,1,12,2007,'M','N','CAPELA VELHA','ARAUCARIA','PR','116161161236111531625923272224610127147',18872,'9998',38.88,2,1,2),(15,2152002,'1986-08-13 00:00:00',2,1,12,2004,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241115473531448363572124230267042',3090,'307',65.87,1,2,1),(15,2152010,'1988-07-31 00:00:00',2,9,12,2007,'M','N','SANTA TEREZINHA','ITARARE','SP','125251251136471431525319575221610137057',NULL,'9998',0.00,4,3,NULL),(15,2152029,'1990-02-15 00:00:00',2,1,12,2007,'F','N','MONTE CASTELO','CAMPO GRANDE','MS','112122121216121431456832575122610123142',13558,'9998',46.81,1,3,NULL),(15,2152037,'1990-05-29 00:00:00',2,1,12,2007,'F','N','BOM VIVER','BIGUACU','SC','124242241215111431558413575124610134147',20643,'1036',35.61,1,3,NULL),(15,2152045,'1990-02-15 00:00:00',2,9,12,2007,'M','N','VILA KURTZ','CACADOR','SC','124241241116131431536614575122610127043',20203,'124',36.41,1,3,NULL),(15,2152053,'1986-06-25 00:00:00',4,1,12,2003,'F','N','CENTRO','ABELARDO LUZ','SC','124241241215573411348832572122131367147',18050,'836',40.22,1,3,NULL),(15,2152061,'1988-10-29 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215373421448311342124330234197',13176,'1022',47.36,3,3,NULL),(15,2152070,'1977-04-22 00:00:00',4,1,12,2003,'F','N','ITACORUBI','FLORIANOPOLIS','SC','624074078115272431253343235124320844012',2350,'9998',68.08,4,1,2),(15,2152088,'1988-09-10 00:00:00',4,1,12,2006,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242241216322431429613385124111427042',3098,'270',65.85,1,3,NULL),(15,2152096,'1988-11-30 00:00:00',2,1,12,2006,'M','N','AREIAS DO CAMPECHE','FLORIANOPOLIS','SC','124244241116373421436713481124610115147',10360,'271',51.41,1,3,NULL),(15,2152100,'1990-09-03 00:00:00',4,5,11,2007,'M','N','BARRO VERMELHO','ORLEANS','SC','124241241315221421364412575122610138142',11519,'820',49.68,1,3,NULL),(15,2152118,'1987-12-02 00:00:00',4,8,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215474431479811575122232468095',8426,'262',54.65,1,3,NULL),(15,2152126,'1990-06-22 00:00:00',4,1,12,2007,'F','N','CENTRO','PAULO LOPES','SC','124241241415111431446312575124610134052',10432,'1011',51.30,1,3,NULL),(15,2152134,'1987-07-01 00:00:00',2,1,11,2004,'M','N','BALNEARIO','FLORIANOPOLIS','SC','124241241315414421457613432124610127053',8707,'943',54.16,1,3,NULL),(15,2152150,'1980-10-02 00:00:00',2,1,12,1998,'M','N','RINEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241131141311636343235124610117113',13258,'278',47.23,1,3,NULL),(15,2152169,'1990-03-11 00:00:00',4,4,11,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241215111431368831575122610122193',6091,'752',58.90,1,3,NULL),(15,2152177,'1989-03-21 00:00:00',4,1,12,2006,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124242241215372431468813572114610124197',16972,'259',41.91,1,3,NULL),(15,2152185,'1989-03-04 00:00:00',2,1,12,2006,'F','N','FLORESTA','PORTO ALEGRE','RS','120202201217471411358631575315610124042',7662,'9998',55.93,1,3,NULL),(15,2152193,'1987-07-09 00:00:00',4,1,12,2005,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242248212172431546612341124610112042',NULL,'724',29.51,1,3,NULL),(15,2152207,'1990-10-22 00:00:00',2,1,11,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124241241315111431326823575114610132047',4798,'1022',61.52,1,3,NULL),(15,2152215,'1991-07-05 00:00:00',4,1,11,2008,'M','S','CANTO DA LAGOA','FLORIANOPOLIS','SC','124242241217111431459933432114610117042',NULL,'951',66.73,1,3,NULL),(15,2152231,'1988-06-02 00:00:00',4,5,12,2005,'F','N','CENTRO','ORLEANS','SC','124241241414373431443416574124610124092',5260,'820',60.59,1,3,NULL),(15,2152240,'1990-07-13 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241417371531436461275124610167047',14593,'288',45.28,1,3,NULL),(15,2152258,'1990-11-20 00:00:00',2,4,11,2007,'F','N','CENTRO','DESCANSO','SC','124241241217111431448614384122610121147',12047,'241',48.92,1,3,NULL),(15,2152282,'1986-06-19 00:00:00',2,1,7,2005,'M','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124252257315373731439861345324140627112',16841,'9999',42.10,1,3,NULL),(15,2152290,'1990-12-17 00:00:00',2,8,12,2007,'F','N','CENTRO','SAO MATEUS DO SUL','PR','116162161216271421437731274314610124092',19542,'9998',37.74,1,3,NULL),(15,2152304,'1989-08-23 00:00:00',4,4,12,2006,'F','N','VILA A','FOZ DO IGUACU','PR','116162161216572431438614242122610124142',20027,'9998',36.76,1,3,NULL),(15,2152312,'1989-04-14 00:00:00',2,4,12,2006,'F','N','CENTRO','VARGEAO','SC','124241241136471451343411375112610141142',19154,'824',38.42,1,3,NULL),(15,2152320,'1989-07-04 00:00:00',2,9,11,2006,'F','N','CENTRO','SAO JOAQUIM','SC','124242241214372431426624342332610133057',12266,'720',48.64,1,3,NULL),(15,2152339,'1989-10-15 01:00:00',4,1,6,2007,'M','N','LAGOA DA CONCEICAO','FLORIANOPOLIS','SC','124244281417271431556732571124610127017',12618,'9998',48.12,1,3,NULL),(15,2152347,'1989-11-08 00:00:00',2,3,12,2006,'F','N','CENTRO','SAO DOMINGOS','SC','124241241215471441467612572122610162117',3135,'836',65.73,1,3,NULL),(15,2152355,'1981-07-31 00:00:00',4,1,12,1999,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201208147171711346219492314141163185',20316,'9998',36.21,1,2,1),(15,2152380,'1972-09-26 00:00:00',2,1,12,1990,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241243141275431343343331334321537057',10212,'387',51.60,1,2,1),(15,2152398,'1987-11-16 00:00:00',2,1,12,2006,'F','N','CACHOIERA BOM JESUS','FLORIANOPOLIS','SC','124241241115371712423739344124130213151',NULL,'288',24.04,1,2,1),(15,2152410,'1985-07-14 00:00:00',2,1,12,2002,'F','N','CENTRO','TERRA DE AREIA','RS','120201201146371421333427232222610125147',18686,'9998',39.18,1,2,1),(15,2152436,'1978-03-16 00:00:00',2,1,11,1995,'F','N','ABRAAO','FLORIANOPOLIS','SC','224241241127134441333344245133610122147',15383,'804',44.29,1,2,1),(15,2152444,'1989-12-12 00:00:00',2,1,12,2007,'M','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124241241116131431434414395124610127057',18851,'306',38.92,1,2,1),(15,2152452,'1988-08-22 00:00:00',4,3,12,2005,'F','N','MORRETES','ITAPEMA','SC','124241241115131431317314372324610126197',NULL,'130',24.27,1,2,1),(15,2152479,'1988-05-13 00:00:00',4,1,3,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124203207316161431436623385124610124041',22413,'9999',30.22,1,3,NULL),(15,2152487,'1990-10-26 00:00:00',2,1,12,2007,'M','N','UNIVERSITARIO','TIJUCAS','SC','124241241115271431535234571314610166042',17271,'783',41.46,1,3,NULL),(15,2152495,'1981-06-02 00:00:00',4,1,12,1998,'M','N','INGLESES DO RIO VERM','FLORIANOPOLIS','SC','224204206132151751358841315132530824047',15664,'9998',43.86,1,3,NULL),(15,2152509,'1983-10-30 00:00:00',4,1,12,2001,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241116273451363419585114333266197',1064,'271',73.17,1,3,NULL),(15,2152525,'1989-07-31 00:00:00',2,1,11,2006,'M','N','VILA PORTUGUESA','TANGARA DA SERRA','MT','111111111346212231433415352123610164052',20801,'9998',35.29,3,3,NULL),(15,2152541,'1989-04-08 00:00:00',4,1,11,2006,'M','N','VILA BEATRIZ','MOGI GUACU','SP','125252251215471431237622571123610138067',4851,'9998',61.41,1,3,NULL),(15,2152550,'1989-06-26 00:00:00',2,10,12,2006,'M','N','VILLAGE','IMBITUBA','SC','124241241317472431466514572124610115027',2928,'1034',66.36,1,3,NULL),(15,2152568,'1989-06-06 00:00:00',4,1,11,2006,'M','N','JARDIM BARONESA','OSASCO','SP','125251251137271431523331595114610168142',21756,'9998',33.10,2,2,1),(15,2152576,'1990-08-17 00:00:00',4,1,3,2005,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241215111421556833475122610112147',12383,'976',48.45,1,3,NULL),(15,2152584,'1988-11-06 00:00:00',4,1,12,2005,'F','N','REUNIDAS','CACADOR','SC','124242241215573431479933592114610127042',10405,'270',51.34,1,3,NULL),(15,2152592,'1985-07-01 00:00:00',2,6,12,2002,'F','N','JARDIM PETROPOLIS','LONDRINA','PR','116161161136571431533879145324610164147',NULL,'9998',0.00,1,2,1),(15,2152606,'1989-04-28 00:00:00',2,4,12,2006,'F','N','ALVORADA','CHAPECO','SC','124101101216571431645611575124610138077',20775,'9998',35.35,1,3,NULL),(15,2152614,'1990-05-04 00:00:00',4,1,10,2007,'M','N','NOVO AMPARO','AMPARO','SP','125252251211111431559931211112610117182',9700,'9998',52.42,1,3,NULL),(15,2152622,'1988-04-30 00:00:00',4,1,6,2006,'M','N','JARDIM SIMUS','SOROCABA','SP','125252281415271451588814474122610167117',6533,'9998',58.02,1,3,NULL),(15,2152630,'1990-06-27 00:00:00',4,1,12,2007,'F','N','LOMBA GRANDE','NOVO HAMBURGO','RS','120201201416271431456912571224610145052',NULL,'9998',0.00,1,3,NULL),(15,2152649,'1984-06-29 00:00:00',4,6,12,2003,'M','N','SÃO VICENTE','ITAJAI','SC','124241241142131431526511342231610135187',NULL,'393',23.33,1,2,1),(15,2152665,'1990-11-08 00:00:00',2,5,12,2007,'M','N','JARDIM ELIZABETE','ICARA','SC','123241241112131411334931575125610168041',21946,'1005',32.47,1,2,1),(15,2152690,'1988-06-07 00:00:00',4,1,12,2005,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241217574431239821172324131025177',NULL,'270',0.00,1,3,NULL),(15,2152703,'1987-12-29 00:00:00',4,1,12,2005,'M','N','CENTRO','JARDINOPOLIS','SP','125252251215572411469812471112610127042',265,'9998',79.13,1,3,NULL),(15,2152711,'1988-07-13 00:00:00',2,1,11,2005,'F','N','LINDOIA','PORTO ALEGRE','RS','120202201217571231468833572114140822052',10481,'9998',51.21,1,3,NULL),(15,2152720,'1989-11-14 00:00:00',2,1,12,2006,'M','N','FLORESTA','SAO JOSE','SC','224241241215422431337624215124610132067',12757,'1022',47.91,1,3,NULL),(15,2152738,'1988-11-08 00:00:00',4,1,11,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431567732575112610134152',1520,'270',71.11,1,3,NULL),(15,2152746,'1986-07-28 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215374431468831375124121437062',2325,'752',68.16,1,3,NULL),(15,2152754,'1989-07-01 00:00:00',2,5,12,2007,'F','N','JARDIM DAS PALMEIRAS','COCAL DO SUL','SC','124241241217371431463612575124610124077',NULL,'920',24.90,1,3,NULL),(15,2152770,'1988-11-06 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217372231248613372244610138197',7713,'262',55.84,1,3,NULL),(15,2152789,'1986-09-19 00:00:00',4,1,12,2004,'M','N','CARMELO','SAO JOAO BATISTA','SC','124241241127131432447714242343610137047',NULL,'712',23.98,1,2,1),(15,2152797,'1990-04-12 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241435112411423616272325610166042',4169,'270',62.99,1,3,NULL),(15,2152800,'1986-05-16 00:00:00',2,6,12,2003,'M','N','CENTRO','ITAPEMA','SC','124241241416575431568833575124232667047',15239,'403',44.49,4,3,NULL),(15,2152819,'1979-07-26 00:00:00',2,1,12,1997,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241142375411345543232333120537047',5020,'281',61.04,1,2,1),(15,2152835,'1990-08-18 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241217111431555724575122610131012',19528,'1022',37.77,1,3,NULL),(15,2152843,'1988-02-12 00:00:00',2,5,12,2005,'F','N','PINHEIRINHO','CRICIUMA','SC','124242248116412751428834475224610136177',14278,'995',45.76,1,3,NULL),(15,2152851,'1989-09-12 00:00:00',4,10,12,2007,'F','N','CENTRO','TUBARAO','SC','124242241215132431468913577122610164012',9207,'1120',53.26,1,3,NULL),(15,2152860,'1990-07-25 00:00:00',4,1,12,2007,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241115131431643368392124610127047',19953,'307',36.91,4,2,1),(15,2152878,'1990-08-12 00:00:00',2,1,12,2007,'F','N','INTERIOR','BELMONTE','SC','124241241135161431643336572224610136147',18302,'60',39.79,1,2,1),(15,2152886,'1990-10-06 00:00:00',4,4,12,2007,'M','N','JARDIM DA COLINA','DOIS VIZINHOS','PR','116161161335471431643623272112610136077',NULL,'9998',0.00,1,3,NULL),(15,2152894,'1988-05-14 00:00:00',2,4,12,2005,'M','N','FACULDADE','CASCAVEL','PR','116242241236471431256933572325610167057',2120,'338',68.90,1,3,NULL),(15,2152908,'1987-08-27 00:00:00',2,1,12,2005,'F','N','SANTOS DUMMOND','SAO JOSE','SC','124241241116372411633335372224610121142',NULL,'498',23.85,2,1,1),(15,2152916,'1989-11-01 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241415242411238923332334120963091',5595,'1022',59.88,1,3,NULL),(15,2152924,'1989-08-01 00:00:00',4,8,11,2006,'F','N','PIRABEIRABA','JOINVILLE','SC','124241241115132411533314572124610148147',19710,'474',37.39,1,2,1),(15,2152940,'1983-03-25 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241217375431256633442325610161067',12980,'515',47.62,1,3,NULL),(15,2152959,'1988-05-21 00:00:00',4,1,7,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124243248317272411346533445134610126177',10903,'307',50.61,1,3,NULL),(15,2152967,'1988-07-01 00:00:00',2,1,12,2005,'F','N','CENTRO','BIGUACU','SC','124241241117133431347733371324231414147',17424,'65',41.19,1,2,1),(15,2152975,'1989-09-02 00:00:00',1,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215271431458914575114610138145',8613,'403',54.32,1,3,NULL),(15,2152983,'1990-08-15 00:00:00',2,1,11,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241315471431458733575124610133147',9911,'1098',52.07,1,3,NULL),(15,2152991,'1990-06-21 00:00:00',4,1,12,2007,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241117131431538824342124610126017',13490,'307',46.90,1,3,NULL),(15,2153009,'1989-08-29 00:00:00',4,1,12,2006,'F','N','JARDIM SÃO LUIZ','RIBEIRAO PRETO','SP','125252251217411431548712371122610164121',4112,'9998',63.16,1,3,NULL),(15,2153017,'1991-03-19 00:00:00',4,1,12,2007,'M','N','CENTRO','PALOTINA','PR','116164166436111431578732575121610127042',5654,'9998',59.77,1,3,NULL),(15,2153025,'1990-08-15 00:00:00',4,4,11,2007,'M','N','CENTRO','ERECHIM','RS','120202201235271732468832575122610122147',NULL,'9998',0.00,1,3,NULL),(15,2153033,'1989-03-20 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124241241217121431236521275124610164082',13015,'1076',47.57,1,3,NULL),(15,2153041,'1989-10-28 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241315372431527321212214610134197',4467,'270',62.35,1,3,NULL),(15,2153050,'1989-08-13 00:00:00',2,3,12,2006,'F','N','JARDIM IATE CLUBE','BALNEARIO CAMBORIU','SC','124241241217272431214621114221610122072',4176,'53',62.96,1,3,NULL),(15,2153068,'1987-08-16 00:00:00',2,4,12,2005,'M','N','CENTRO','CUNHA PORA','SC','124241201116513411466619295122610167052',4285,'9998',62.73,1,2,1),(15,2153076,'1986-12-22 00:00:00',4,1,12,2004,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241216574431688811575112610134142',6094,'266',58.89,1,3,NULL),(15,2153084,'1983-04-27 00:00:00',2,1,12,2000,'F','N','FARROUPILHA','PORTO ALEGRE','RS','120201201116571431433833275124243244187',3512,'9998',64.73,1,2,1),(15,2153092,'1987-01-30 00:00:00',2,1,12,2003,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241214253431368931475124233212143',8673,'909',54.22,1,3,NULL),(15,2153106,'1989-10-24 00:00:00',2,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124244241216111441322823592224610111191',18039,'300',40.25,1,3,NULL),(15,2153114,'1991-11-14 00:00:00',4,10,12,2008,'M','S','UNIÃO','BRACO DO NORTE','SC','124242241217111431578831492124610136172',NULL,'807',56.65,1,3,NULL),(15,2153122,'1990-04-21 00:00:00',2,1,11,2007,'F','N','JARDIM RIVA','PRIMAVERA DO LESTE','MT','111114111216161411443916265121610121147',NULL,'9998',0.00,1,3,NULL),(15,2153130,'1991-04-24 00:00:00',4,4,12,2007,'M','N','PANORAMICO','MARAVILHA','SC','124244241215131431449814592112610127187',19951,'185',36.92,1,3,NULL),(15,2153149,'1989-12-18 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215372431566619575124233264087',275,'1022',79.05,1,3,NULL),(15,2153157,'1987-02-02 00:00:00',2,1,12,2004,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','424241241126373431443611275123230226112',14907,'288',44.90,1,3,NULL),(15,2153173,'1989-10-06 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215112431468611575124610122197',3352,'262',65.13,1,3,NULL),(15,2153181,'1978-04-20 00:00:00',4,1,12,1995,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241216154431466814325132121464083',NULL,'272',0.00,1,3,NULL),(15,2153190,'1988-01-15 00:00:00',4,9,12,2005,'M','N','BELA VISTA','SAO JOAQUIM','SC','124244247622271421666612385121130827057',NULL,'9999',0.00,1,3,NULL),(15,2153203,'1989-05-24 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124112111216112431436732575124132062022',10621,'9998',51.00,1,3,NULL),(15,2153211,'1989-08-04 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215271411548611384124610124182',5566,'967',59.94,1,3,NULL),(15,2153220,'1989-11-24 00:00:00',2,8,10,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242241212321431448618272122610127077',10137,'486',51.73,1,3,NULL),(15,2153238,'1989-09-11 00:00:00',4,8,12,2007,'F','N','FATIMA','JOINVILLE','SC','124241241111311731448511342324610127152',22409,'492',30.28,1,3,NULL),(15,2153246,'1991-04-15 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124241241217121431456634172122610165052',12192,'1076',48.74,1,3,NULL),(15,2153254,'1987-03-10 00:00:00',4,1,12,2005,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124242241215373431459613495124610147065',10716,'269',50.85,1,3,NULL),(15,2153262,'1990-05-26 00:00:00',2,1,12,2007,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241137131411436633435224610162011',14307,'733',45.72,1,2,1),(15,2153270,'1981-07-24 00:00:00',2,1,12,1998,'M','N','PRAIA DOS INGLESES','FLORIANOPOLIS','SC','224241248127131421235544242124131111067',21906,'170',32.59,4,3,NULL),(15,2153297,'1990-03-07 00:00:00',4,1,11,2007,'F','N','CENTRO','PALMAS','TO','127272271217111431235821572122610162177',4919,'9998',61.25,1,3,NULL),(15,2153300,'1987-07-26 00:00:00',4,1,12,2004,'M','N','MAGALHÃES','LAGUNA','SC','124242248126211211316823385121133226097',14782,'524',45.03,1,3,NULL),(15,2153319,'1988-12-15 00:00:00',2,1,12,2006,'F','N','PRAINHA','FLORIANOPOLIS','SC','124251251115471431326614375124610138097',14191,'9998',45.88,1,2,1),(15,2153327,'1990-06-22 00:00:00',4,1,12,2007,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124202241215111731239921192112610142052',20771,'951',35.35,1,3,NULL),(15,2153335,'1990-06-19 00:00:00',4,1,11,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215122431489831475132610162052',8892,'270',53.84,1,3,NULL),(15,2153343,'1990-02-25 00:00:00',4,8,12,2007,'F','N','JARDIM PANAMBI','PARAGUACU PAULISTA','SP','125252251211131431248829582121610164147',16522,'9998',42.55,1,3,NULL),(15,2153351,'1989-12-28 00:00:00',4,8,12,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242241215121431677632575122610125182',7678,'486',55.89,1,3,NULL),(15,2153360,'1981-03-19 00:00:00',2,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','124241247131143431446679495114610124092',NULL,'9999',35.06,1,3,NULL),(15,2153378,'1990-03-01 00:00:00',4,8,11,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241145131431416524342124610144077',NULL,'464',25.55,2,2,1),(15,2153386,'1990-03-24 00:00:00',2,1,12,2007,'F','N','SETOR CARAJÁ','ARAGUAINA','TO','127274271417151711446723575122610164192',NULL,'9998',0.00,1,3,NULL),(15,2153408,'1989-10-01 00:00:00',4,1,12,2007,'F','N','CENTRO','GUARATINGUETA','SP','125252251215111431267819592122610123182',2052,'9998',69.09,1,3,NULL),(15,2153416,'1982-02-18 00:00:00',2,1,12,1999,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241121135421236643432324610164047',13197,'274',47.33,1,2,1),(15,2153424,'1990-05-12 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241145141431545513335124610137147',17229,'307',41.52,1,2,1),(15,2153432,'1990-05-29 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124242241211111431555632574122610163187',17378,'983',41.26,1,3,NULL),(15,2153440,'1988-09-22 00:00:00',4,1,12,2005,'M','N','SANTA MARIA','SANTOS','SP','125252251216472441338821575124610162092',4795,'9998',61.53,1,3,NULL),(15,2153459,'1984-04-21 00:00:00',4,1,12,2001,'F','N','FORQUILHAS','SAO JOSE','SC','624241241116272411324654412123610144147',12892,'293',47.73,4,2,1),(15,2153467,'1990-06-19 00:00:00',4,1,11,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215122431489831475122610162052',5691,'270',59.69,1,3,NULL),(15,2153475,'1984-07-05 00:00:00',2,1,12,2003,'F','N','JD ATLANTICO','FLORIANOPOLIS','SC','124241241142153731235373375124610166072',14812,'257',45.00,1,2,1),(15,2153483,'1990-07-03 00:00:00',2,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124241241315111411326611291224610127047',2532,'1076',67.53,2,3,NULL),(15,2153491,'1988-03-26 00:00:00',4,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217373431579933472112231227042',981,'262',73.64,1,3,NULL),(15,2153513,'1952-08-14 00:00:00',4,1,12,1978,'M','N','COQUEIROS','FLORIANOPOLIS','SC','224254087347151751434441215122140268057',15102,'9999',44.67,1,3,NULL),(15,2153521,'1990-04-19 00:00:00',4,7,12,2007,'M','N','TOBIAS','JOACABA','SC','124242241216371431448912575122610132057',11817,'962',49.23,1,3,NULL),(15,2153530,'1984-05-28 00:00:00',4,2,11,2001,'F','N','VISTA VERDE','SAO JOSE DOS CAMPOS','SP','125251251117471431424419375124610168187',12876,'9998',47.75,1,2,1),(15,2153548,'1989-12-15 00:00:00',2,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241216121431466631575122610167053',4474,'737',62.33,1,3,NULL),(15,2153556,'1989-10-04 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216472731258923572114610134097',20490,'1022',35.89,1,3,NULL),(15,2153564,'1983-04-09 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201208217231431227644442334610164197',15048,'9998',44.74,1,3,NULL),(15,2153572,'1986-05-10 00:00:00',2,1,12,2003,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124251251127133411114444445334610124143',5323,'9998',60.46,1,2,1),(15,2153580,'1990-07-25 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242248215111411459713575111610167012',14180,'262',45.90,1,3,NULL),(15,2153599,'1988-05-15 00:00:00',4,1,12,2005,'F','N','CENTRO','RIBEIRAO PRETO','SP','125121121116571431448813572224610142097',NULL,'9998',11.71,1,3,NULL),(15,2153602,'1989-08-04 00:00:00',4,1,12,2007,'M','N','AVAI','GUARAMIRIM','SC','124243241125472231466614572111610167142',11752,'336',49.32,4,3,NULL),(15,2153610,'1987-11-18 00:00:00',4,1,12,2005,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215573431449814575112610147122',9684,'9997',52.45,1,3,NULL),(15,2153629,'1988-08-30 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242243117273731559833375124133222097',3014,'690',66.10,1,3,NULL),(15,2153637,'1988-11-01 00:00:00',2,1,11,2006,'M','N','ROYAL PARK','RIBEIRAO PRETO','SP','125252251215471431467812221112610167072',9879,'9998',52.13,3,3,NULL),(15,2153645,'1989-04-20 00:00:00',4,10,12,2006,'F','N','CENTRO','RIO FORTUNA','SC','124241241137131431323316195122610165147',NULL,'665',22.61,1,3,NULL),(15,2153653,'1985-12-26 00:00:00',2,5,12,2003,'F','N','ESTREITO','MELEIRO','SC','124243241316575731643312295124610117142',1489,'970',71.25,1,3,NULL),(15,2153661,'1987-06-24 00:00:00',4,1,12,2006,'F','N','VILA PIRES','SANTO ANDRE','SP','125252258227121731337823311324610137042',20086,'9998',36.65,1,3,NULL),(15,2153670,'1976-10-28 00:00:00',2,1,12,1994,'F','N','CENTRO','FLORIANOPOLIS','SC','224241241411142421433352335224331031092',19077,'907',38.55,1,3,NULL),(15,2153688,'1989-07-22 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124252251215472411338639572114610115127',4213,'270',62.87,1,3,NULL),(15,2153696,'1988-05-28 00:00:00',2,1,12,2006,'M','N','RIO CAVEIRAS','BIGUACU','SC','124241241116372411533419575123610167055',11373,'65',49.89,1,2,1),(15,2153700,'1990-05-21 00:00:00',4,10,12,2007,'M','N','CENTRO','BRACO DO NORTE','SC','124244241215151431456313275114610127142',NULL,'950',0.00,1,3,NULL),(15,2153726,'1990-05-18 00:00:00',4,6,12,2007,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124244241216151431556612441112610167052',5970,'109',59.13,1,3,NULL),(15,2153734,'1991-09-03 00:00:00',4,1,12,2008,'F','S','TRINDADE','FLORIANOPOLIS','SC','124242241212111432438912572122610143055',NULL,'883',59.41,3,3,NULL),(15,2153742,'1991-07-22 00:00:00',4,1,12,2008,'M','S','CAMPECHE','FLORIANOPOLIS','SC','124242241217111532669914572124610127042',NULL,'270',55.87,1,3,NULL),(15,2153750,'1989-07-08 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241205216271411438714445124610126142',16425,'9998',42.72,1,3,NULL),(15,2153769,'1990-01-24 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161215131421448932572324610138015',7953,'9998',55.44,1,3,NULL),(15,2153777,'1989-11-29 00:00:00',4,8,12,2007,'F','N','CENTRO','JOINVILLE','SC','124242241217371531338923572112610167177',7220,'489',56.74,1,3,NULL),(15,2153793,'1989-10-28 00:00:00',4,3,10,2007,'M','N','ZONA SETE','MARINGA','PR','116162247417151421275923575122610137112',NULL,'9999',21.49,1,3,NULL),(15,2153807,'1945-04-06 00:00:00',5,1,12,1963,'F','N','LAGOA','FLORIANOPOLIS','SC','224251256217152711463359495122322266187',2475,'9998',67.69,1,3,NULL),(15,2153815,'1990-07-29 00:00:00',2,4,12,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241212111731338629572122610127077',11663,'752',49.47,1,3,NULL),(15,2153831,'1987-12-05 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241215574431369811475124610138017',11793,'855',49.27,1,3,NULL),(15,2153840,'1989-01-09 00:00:00',4,1,12,2006,'M','N','CENTRO','CANELA','RS','120202201317111731428611272114240464047',NULL,'9998',22.18,1,3,NULL),(15,2153858,'1989-09-02 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215473431566814345124610163117',15040,'273',44.74,1,3,NULL),(15,2153866,'1979-12-28 00:00:00',2,1,8,2005,'F','N','IPIRANGA','SAO JOSE','SC','224231247217132451223351242334610114147',21333,'734',34.11,1,3,NULL),(15,2153874,'1990-04-28 00:00:00',4,8,11,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431439934572124610137147',7236,'1016',56.72,1,3,NULL),(15,2153882,'1989-04-13 00:00:00',4,9,11,2006,'M','N','CENTRO','LAGES','SC','124242241215372431459911295115610164052',8315,'499',54.83,1,3,NULL),(15,2153890,'1990-03-29 00:00:00',4,8,12,2007,'F','N','JARDIM AVIAÇÃO','PRESIDENTE PRUDENTE','SP','125252251215111431448831572112610124092',6706,'9998',57.72,3,3,NULL),(15,2153904,'1983-09-26 00:00:00',2,1,12,2001,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241248121143731436639492124610167047',11947,'306',49.05,4,2,1),(15,2153912,'1989-03-04 00:00:00',4,1,12,2005,'F','N','NOVO HORIZONTE II','MARINGA','PR','116162161216471431589913495112610132192',10257,'9998',51.55,1,3,NULL),(15,2153920,'1990-10-30 00:00:00',4,8,11,2007,'M','N','CENTRO','CURITIBA','PR','116162161216121411538632175125610167072',2237,'9998',68.46,1,3,NULL),(15,2153939,'1990-05-13 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','116244161235121411367822571124610163187',NULL,'9998',0.00,1,3,NULL),(15,2153947,'1988-07-04 00:00:00',4,1,12,2005,'M','N','VILA NUNES','LORENA','SP','125254251215571431348739592112610122032',3440,'9998',64.90,1,3,NULL),(15,2153955,'1988-09-28 00:00:00',2,7,12,2005,'M','N','INTERIOR','CAMPINAS DO SUL','RS','120201201115371431423316575122140248187',19986,'9998',36.86,1,2,1),(15,2153963,'1990-04-11 00:00:00',4,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215112431439839595112610168147',6220,'737',58.60,1,3,NULL),(15,2153971,'1990-07-22 00:00:00',4,8,10,2007,'M','N','CENTRO','JOINVILLE','SC','124242241215271431348823575122610127042',714,'486',75.27,1,3,NULL),(15,2153980,'1990-02-16 00:00:00',4,4,12,2006,'M','N','SÃO JOSÉ','MARAVILHA','SC','124241241216472711538832582115610166061',NULL,'1037',0.00,1,3,NULL),(15,2154013,'1989-06-17 00:00:00',4,1,12,2006,'F','N','SANTA FÉ','PORTO ALEGRE','RS','120202201115471711336812195124610132077',NULL,'9998',0.00,1,3,NULL),(15,2154021,'1990-03-15 00:00:00',4,1,12,2007,'F','N','CENTRO','UMUARAMA','PR','116162161215111431475812222112610121052',NULL,'9998',0.00,1,3,NULL),(15,2154030,'1989-08-26 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431468633572214610137042',16755,'269',42.24,1,3,NULL),(15,2154048,'1986-08-16 00:00:00',1,1,12,2004,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124241241117152441333343435114610134052',16589,'564',42.47,1,3,NULL),(15,2154056,'1989-05-20 00:00:00',2,1,12,2006,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241415372411241423345124610136142',9131,'1036',53.40,1,3,NULL),(15,2154072,'1990-07-16 00:00:00',2,1,12,2007,'M','N','ITAGUAÇÚ','FLORIANOPOLIS','SC','124242243215571411675832125122610167043',1772,'270',70.09,1,3,NULL),(15,2154080,'1989-12-20 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241216222411553732572124231966193',8105,'820',55.18,1,3,NULL),(15,2154099,'1990-09-12 00:00:00',4,2,11,2007,'F','N','BATEIAS','GASPAR','SC','124244241215121431456312325124610148052',5429,'855',60.21,1,3,NULL),(15,2154102,'1984-12-29 00:00:00',4,1,8,2003,'F','N','INGLESES','FLORIANOPOLIS','SC','124242247212241431488714442124232743147',NULL,'9999',0.00,1,3,NULL),(15,2154110,'1989-01-19 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241116372231526624372124610163147',8903,'307',53.83,4,2,1),(15,2154129,'1989-10-27 00:00:00',4,1,11,2007,'M','N','JARDIM SÔNIA','SAO PAULO','SP','125252251217272441634921416124610166057',9257,'9998',53.18,4,3,NULL),(15,2154145,'1983-10-03 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241117154112427833445124231027067',15309,'267',44.39,1,3,NULL),(15,2154153,'1989-12-27 00:00:00',4,3,12,2006,'F','N','CENTRO','PORTO ALEGRE','RS','120242241215152431458811572125610167122',2231,'9997',68.47,1,3,NULL),(15,2154161,'1990-05-01 00:00:00',4,7,12,2007,'F','N','NOVA PETRÓPOLIS','JOACABA','SC','124241241115131431536916572224610126077',15943,'451',43.47,1,2,1),(15,2154170,'1988-06-25 00:00:00',4,1,12,2005,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241217472431349613575124233262197',NULL,'269',0.00,1,3,NULL),(15,2154188,'1989-11-16 00:00:00',4,1,12,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124242241215111431438834495122610122142',4280,'270',62.74,1,3,NULL),(15,2154196,'1984-06-25 00:00:00',4,1,12,2002,'F','N','ROCIO','UNIAO DA VITORIA','PR','116161241117131721434418482321241264186',18498,'635',39.48,1,2,1),(15,2154200,'1988-08-08 00:00:00',4,6,12,2005,'M','N','PRAIA BRAVA','ITAJAI','SC','124252251216471431548833492124143234042',NULL,'9998',8.58,1,3,NULL),(15,2154218,'1988-02-16 00:00:00',4,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241316573431566733472114610164075',7519,'270',56.19,1,3,NULL),(15,2154234,'1985-11-05 00:00:00',2,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','124242241215575731659833571122233235092',964,'270',73.70,1,3,NULL),(15,2154250,'1992-04-20 00:00:00',4,3,12,2008,'F','S','CENTRO','BALNEARIO CAMBORIU','SC','124242241212111431459832242112610162152',NULL,'9997',42.94,1,3,NULL),(15,2154269,'1989-10-18 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217472431388613575114610167182',6403,'185',58.25,1,3,NULL),(15,2154277,'1990-09-12 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215371731448739572112610138015',14030,'299',46.12,1,3,NULL),(15,2154285,'1990-12-20 00:00:00',4,2,12,2007,'F','N','NOVA BRASILIA','BRUSQUE','SC','124242241215271431536919194122610125012',9799,'981',52.26,1,3,NULL),(15,2154293,'1964-10-04 00:00:00',4,1,7,2007,'M','N','CAMPINAS','SAO JOSE','SC','124241247132131421553313485124610124147',11893,'9999',49.12,1,2,1),(15,2154307,'1989-02-03 00:00:00',4,1,12,2006,'M','N','JD MARIA BORBA','SAO PAULO','SP','125252251214373311345622581124610167082',NULL,'9998',0.00,3,3,NULL),(15,2154315,'1990-11-14 00:00:00',2,1,12,2007,'M','N','CAMPINHO','ITAPORANGA','SP','125254251215111431548831241122610166087',NULL,'9998',0.00,1,3,NULL),(15,2154323,'1987-09-22 00:00:00',4,1,11,2005,'F','N','MORADA DO OURO','CUIABA','MT','111112111217572431489831574122142464142',447,'9998',77.23,1,3,NULL),(15,2154331,'1988-05-01 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217574432478853495122230231195',13762,'262',46.53,4,3,NULL),(15,2154340,'1989-10-03 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241215371351356722571124610132187',16572,'632',42.49,1,3,NULL),(15,2154358,'1990-08-31 00:00:00',4,1,12,2007,'F','N','PETROPOLIS','VACARIA','RS','120201201316151311443612392122610138182',NULL,'9998',24.18,1,3,NULL),(15,2154366,'1989-02-20 00:00:00',2,1,11,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241216331431323323275225610167077',18008,'1035',40.30,1,3,NULL),(15,2154374,'1989-04-17 00:00:00',4,1,12,2006,'F','N','JARDIM SÃO PAULO','INDAIATUBA','SP','125252251216371441468814274124610164142',1654,'9998',70.58,1,3,NULL),(15,2154382,'1988-11-18 00:00:00',4,8,11,2007,'M','N','BOA VISTA','JOINVILLE','SC','124244247236131421366814574121610144097',14547,'9999',45.34,1,3,NULL),(15,2154390,'1986-02-25 00:00:00',4,1,12,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124243247417572431267933374124133231092',12501,'9999',48.29,1,3,NULL),(15,2154404,'1986-11-21 00:00:00',4,6,12,2004,'F','N','SÃO JOÃO','ITAJAI','SC','124242241215323431339923475122132468177',4956,'391',61.18,1,3,NULL),(15,2154412,'1990-04-20 00:00:00',2,1,11,2007,'F','N','AGRONÔNICA','FLORIANOPOLIS','SC','124242241217511511558621592112610163092',15584,'270',43.99,1,3,NULL),(15,2154420,'1989-01-21 00:00:00',4,1,12,2006,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241116271431338823575124610164182',8398,'733',54.69,1,3,NULL),(15,2154439,'1984-08-28 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANOPOLIS','SC','124251251117241112136812445134343264055',10909,'9998',50.60,1,3,NULL),(15,2154447,'1985-07-03 00:00:00',4,1,12,2004,'F','N','ITATIAIA','BELO HORIZONTE','MG','113134131214131411377933485124142133192',NULL,'9998',12.58,2,3,NULL),(15,2154455,'1990-01-25 00:00:00',4,9,12,2007,'M','N','CENTRO','RIO DO SUL','SC','124242241217111411369933574125610137172',787,'991',74.80,1,3,NULL),(15,2154463,'1990-01-20 00:00:00',2,1,12,2007,'F','N','BARRA DO ARIRIU','PALHOCA','SC','124241241117131731326624442224610144142',21532,'592',33.66,1,2,1),(15,2154471,'1990-11-03 00:00:00',4,1,12,2007,'F','N','CENTRO','SANTA MARIA','RS','120172201216111731359813595122610146147',NULL,'9998',0.00,1,3,NULL),(15,2154498,'1988-12-20 00:00:00',4,3,12,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215472431577831571122610164143',NULL,'44',0.00,1,3,NULL),(15,2154501,'1989-04-25 00:00:00',4,1,12,2007,'F','N','CENTRO','ARARAS','SP','125252251211111431369722574122610121032',13321,'9998',47.15,1,3,NULL),(15,2154510,'1989-02-14 00:00:00',2,1,12,2006,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241216372731455654382124610124077',16596,'273',42.46,1,3,NULL),(15,2154528,'1990-07-23 00:00:00',2,4,11,2007,'F','N','SÃO MIGUEL','FRANCISCO BELTRAO','PR','116164161415371431555834571122610124011',NULL,'9998',21.73,1,3,NULL),(15,2154536,'1990-11-21 00:00:00',2,1,12,2007,'F','N','CENTRO','MAQUINE','RS','120201201117131431626331146324610163147',10746,'9998',50.81,1,2,1),(15,2154544,'1989-09-24 00:00:00',4,8,12,2006,'F','N','SANTA MARIA','ARACATUBA','SP','125252251215171431558831575122610167097',13142,'9998',47.40,1,3,NULL),(15,2154552,'1988-06-06 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241216111411558413575112610131052',14506,'1050',45.40,1,3,NULL),(15,2154560,'1990-04-12 00:00:00',4,1,12,2007,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241335111432336519472114610137017',19010,'462',38.65,1,3,NULL),(15,2154579,'1990-05-10 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217131431358932414112610133187',6413,'270',58.22,1,3,NULL),(15,2154587,'1990-01-19 00:00:00',4,1,12,2007,'F','N','SAUDE','SAO PAULO','SP','125251251117371432638719291325610168147',17230,'9998',41.52,3,3,NULL),(15,2154595,'1986-07-24 00:00:00',4,4,11,2007,'M','N','ANDREATA','SAO MIGUEL DOESTE','SC','124241241145151411533334282345610166017',16803,'9997',42.16,4,3,NULL),(15,2154609,'1988-04-29 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211473431368663571225610168182',7941,'1022',55.45,4,3,NULL),(15,2154625,'1986-05-13 00:00:00',2,1,12,2005,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124241247226372231548313195112131922037',18722,'229',39.12,1,3,NULL),(15,2154633,'1989-08-25 00:00:00',4,8,12,2006,'F','N','SANTO INÁCIO','CURITIBA','PR','116162161217471431439614574124610167096',NULL,'9998',0.00,1,3,NULL),(15,2154676,'1990-01-23 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241215111431326628195124610134032',9183,'1022',53.30,1,3,NULL),(15,2154684,'1989-04-06 00:00:00',4,1,11,2006,'M','N','MOOCA','SAO PAULO','SP','125252251217471431368711115124610167027',665,'9998',75.64,1,3,NULL),(15,2154706,'1989-07-01 00:00:00',4,1,12,2006,'M','N','PRAIA DO SONHO','PALHOCA','SC','124242241214372431447832572114610137045',15847,'266',43.61,1,3,NULL),(15,2154714,'1986-03-10 00:00:00',4,1,12,2003,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241216574431268923445122233264092',16193,'266',43.08,1,3,NULL),(15,2154722,'1988-06-24 00:00:00',4,1,12,2006,'M','N','SÃO JOAQUIM','ARACATUBA','SP','125252251217471431468814572112610137057',13253,'9998',47.23,1,3,NULL),(15,2154730,'1989-05-24 00:00:00',2,1,12,2006,'F','N','N SRA FÁTIMA','ITAJUBA','MG','113133131217321441434734142324610127141',6748,'9998',57.65,1,3,NULL),(15,2154749,'1988-02-10 00:00:00',2,1,11,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124202201211573411569732571324610166152',1617,'9998',70.73,1,3,NULL),(15,2154757,'1987-12-02 00:00:00',4,1,12,2004,'M','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124201241417574431256621475124133227187',869,'270',74.24,1,3,NULL),(15,2154765,'1989-07-22 00:00:00',4,4,12,2006,'M','N','CENTRO','CHAPECO','SC','124242161211471211489931571112610167042',NULL,'9998',0.00,1,3,NULL),(15,2154773,'1990-07-12 00:00:00',2,1,12,2007,'F','N','VILA NOVA','ARAPONGAS','PR','116162161216111431448614575122610144147',NULL,'9998',0.00,1,3,NULL),(15,2154781,'1989-04-06 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244241212472431569813572114610127057',8354,'269',54.77,1,3,NULL),(15,2154790,'1989-04-09 00:00:00',2,1,11,2006,'F','N','NAVEGANTES','RIO DO SUL','SC','124244241215373431237513576124610164147',2053,'991',69.08,1,3,NULL),(15,2154803,'1989-08-18 00:00:00',4,8,12,2006,'M','N','HIGIENÓPOLIS','ARACATUBA','SP','125252251215471431558876575122610167142',10298,'9998',51.49,1,3,NULL),(15,2154811,'1990-10-12 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241127131441223971145324610164082',NULL,'727',0.00,1,3,NULL),(15,2154838,'1990-04-07 00:00:00',3,4,12,2007,'F','N','LÍDER','CHAPECO','SC','124243241415372511438914575124610136197',2389,'185',67.95,1,3,NULL),(15,2154854,'1988-07-31 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241125141331523331341124610126142',NULL,'592',17.98,1,2,1),(15,2154862,'1990-02-12 00:00:00',2,2,11,2008,'F','S','CENTRO','BLUMENAU','SC','124242248216151451479712326115610128141',NULL,'70',37.27,1,3,NULL),(15,2154870,'1990-02-15 00:00:00',4,2,12,2007,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242248215111431567812372122610134147',16556,'981',42.51,1,3,NULL),(15,2154889,'1991-06-18 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242248215111731536613572124610127042',18969,'738',38.72,1,3,NULL),(15,2154897,'1979-01-28 00:00:00',2,1,12,1998,'F','N','CENTRO','FLORIANOPOLIS','SC','524121127626133441123923293324610127092',19588,'9999',37.64,5,3,NULL),(15,2154900,'1990-03-09 00:00:00',4,6,11,2007,'F','N','ARMAÇÃO','PENHA','SC','124243241315471331466313115124610127052',NULL,'1058',16.45,1,3,NULL),(15,2154919,'1989-08-20 00:00:00',4,8,12,2006,'F','N','JAGUARIBE','OSASCO','SP','125252251217471431558614172122610163052',NULL,'9998',0.00,1,3,NULL),(15,2154927,'1989-05-25 00:00:00',4,1,12,2006,'F','N','ALTO SAO PEDRO','TAUBATE','SP','125252251215472431438813595122610128182',16295,'9998',42.91,1,3,NULL),(15,2154935,'1986-09-07 00:00:00',4,1,12,2003,'F','N','COND JARDIM ALBAMAR','GUARUJA','SP','125252251217571411448812571122610162197',NULL,'9998',0.00,4,3,NULL),(15,2154943,'1990-11-13 00:00:00',4,4,12,2007,'F','N','CENTRO','XAXIM','SC','124241241217272431448812472124610162047',2077,'185',69.03,1,3,NULL),(15,2154951,'1990-11-05 00:00:00',4,5,10,2008,'M','S','VILA FLORESTA I','CRICIUMA','SC','124242241215151731458314271122610134112',NULL,'213',45.13,1,3,NULL),(15,2154960,'1988-02-17 00:00:00',4,1,12,2005,'F','N','JD BRASILIA','PARANAIBA','MS','112122121215573431468831571125610166182',NULL,'9998',0.00,1,3,NULL),(15,2154986,'1983-09-15 00:00:00',4,1,12,2001,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241217153711238649492223222062013',2048,'882',69.09,1,3,NULL),(15,2154994,'1990-02-04 00:00:00',4,1,12,2007,'F','N','NAÇÕES','TIMBO','SC','124242241216271411463632572222610127142',10904,'37',50.61,1,3,NULL),(15,2155028,'1981-06-14 00:00:00',2,1,12,1998,'M','N','SANTANA','PORTO ALEGRE','RS','120201203116371711133544241134342032187',10750,'9998',50.81,1,2,1),(15,2155044,'1989-08-07 00:00:00',2,1,6,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242281417271431369812575124610138132',12466,'9998',48.34,1,3,NULL),(15,2155052,'1988-07-23 00:00:00',4,1,12,2006,'F','N','JD CARLOS LOURENÇO','CAMPINAS','SP','125254254217472441365823371112610162187',8441,'9998',54.62,1,3,NULL),(15,2155060,'1989-10-14 00:00:00',4,10,11,2006,'F','N','MORROTES','TUBARAO','SC','124242241212471321359713572112610114172',NULL,'806',0.00,1,3,NULL),(15,2155087,'1983-08-27 00:00:00',2,1,11,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243247312474432448633572124610168142',8812,'9999',53.99,1,3,NULL),(15,2155095,'1978-03-27 00:00:00',4,1,12,1997,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','624241243127143431433141111122131468047',18809,'773',38.97,1,2,1),(15,2155109,'1985-12-29 00:00:00',4,1,6,2005,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124212247226372441138814475324133227083',7482,'9999',56.26,4,3,NULL),(15,2155117,'1990-08-03 00:00:00',4,2,11,2007,'M','N','CENTRO','BRUSQUE','SC','124242241215371431466732574114610167042',935,'981',73.87,1,3,NULL),(15,2155125,'1989-02-13 00:00:00',2,1,12,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241137372431558923445114610127057',16142,'283',43.16,1,2,1),(15,2155141,'1985-09-12 00:00:00',4,1,12,2003,'F','N','VILA PAULICEIA','SAO BERNARDO DO CAMPO','SP','125252251215511431358831595124241016097',1854,'9998',69.75,1,3,NULL),(15,2155168,'1990-10-24 00:00:00',4,10,11,2007,'F','N','CABEÇUDAS','LAGUNA','SC','124243241215131431439521312344610148027',NULL,'525',0.00,1,3,NULL),(15,2155176,'1991-03-03 00:00:00',4,8,12,2007,'M','N','ALTO ALEGRE','CASCAVEL','PR','116161168117311531635519275114610164187',20468,'9998',35.93,1,3,NULL),(15,2155184,'1987-04-25 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124253251227472431256534272124610122142',15784,'9998',43.70,3,3,NULL),(15,2155206,'1985-02-12 00:00:00',4,1,12,2002,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241325375431568613371124222322142',16514,'95',42.56,1,3,NULL),(15,2155214,'1989-03-18 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431278827591125230264072',180,'270',80.20,1,3,NULL),(15,2155222,'1988-09-22 00:00:00',2,8,12,2005,'F','N','CENTRO','PAICANDU','PR','116162161215571431247923571124610162187',NULL,'9998',0.00,1,3,NULL),(15,2155230,'1984-11-19 00:00:00',2,1,12,2001,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','624251258127272331223624282314610128111',17339,'9998',41.32,1,2,1),(15,2155249,'1977-10-05 00:00:00',4,1,11,2006,'M','N','FLOR DE NÁPOLIS','SAO JOSE','SC','124241247127131131454444345134610164182',18019,'736',40.28,1,3,NULL),(15,2155265,'1990-04-20 00:00:00',4,1,12,2007,'F','N','PARK IMPERADOR','MATAO','SP','125252251211111731458812595112610162192',NULL,'9998',0.00,1,3,NULL),(15,2155273,'1989-01-06 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124252241215473431337721275124610163075',1415,'270',71.57,1,3,NULL),(15,2155281,'1990-08-03 00:00:00',2,2,11,2008,'M','S','CENTRO','BRUSQUE','SC','124242241215111431579634575112610117052',NULL,'107',54.06,1,3,NULL),(15,2155290,'1989-08-29 00:00:00',2,1,12,2006,'M','N','VILA IOLANDA','GUAIBA','RS','120203201116131431228723485124610127147',4297,'9998',62.71,1,3,NULL),(15,2155303,'1991-06-11 00:00:00',4,3,12,2008,'F','S','CENTRO','BALNEARIO CAMBORIU','SC','124242241216111431358821372222610126092',NULL,'1057',45.83,1,3,NULL),(15,2155320,'1990-07-04 00:00:00',2,1,12,2007,'F','N','VERA CRUZ','PASSO FUNDO','RS','120202201216371431438611585112610121197',18461,'9998',39.55,4,3,NULL),(15,2155338,'1990-06-19 00:00:00',2,1,11,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241315121431354833474114610167092',15207,'270',44.52,1,3,NULL),(15,2155346,'1986-10-30 00:00:00',4,1,12,2005,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124243247227131431556712242122610127042',NULL,'270',25.12,4,1,2),(15,2155354,'1990-01-13 00:00:00',4,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124244241115111411238823575124610167112',4352,'1022',62.59,1,3,NULL),(15,2155362,'1988-03-01 00:00:00',4,2,12,2005,'M','N','CRISTO REI','CURITIBA','PR','116163161214572731567811571124610164057',NULL,'9998',0.00,1,3,NULL),(15,2155370,'1989-12-12 00:00:00',2,1,12,2006,'F','N','CIDADE ALTA','ALEGRETE','RS','120201201116471411436719375124610122147',15950,'9998',43.46,1,2,1),(15,2155397,'1991-03-06 00:00:00',4,3,12,2008,'M','S','CENTRO','NOVA TRENTO','SC','124242241217161431466812595114610168052',NULL,'109',60.35,1,3,NULL),(15,2155400,'1990-03-06 00:00:00',4,1,12,2007,'F','N','CACUPÉ','FLORIANOPOLIS','SC','124242241215111451368734395122610148102',3778,'883',64.02,1,3,NULL),(15,2155419,'1990-11-16 00:00:00',2,1,11,2007,'M','N','BELA VISTA','ERECHIM','RS','120202208216271431456823495122610127052',12381,'9998',48.45,1,3,NULL),(15,2155427,'1990-03-28 00:00:00',4,1,12,2007,'F','N','JD ROBERTO BENEDETI','RIBEIRAO PRETO','SP','125252251216121411236824571114610134057',2193,'9998',68.63,1,3,NULL),(15,2155435,'1986-05-29 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215474441349833495122231467045',6532,'262',58.02,1,3,NULL),(15,2155443,'1985-01-15 00:00:00',2,1,12,2002,'M','N','LIVIERO','SAO PAULO','SP','125251251146472441436511275124610117092',11828,'9998',49.22,1,2,1),(15,2155451,'1988-04-19 00:00:00',4,1,3,2006,'M','N','CENTRO','PALHOCA','SC','124241241117132411244623495124610164017',14708,'739',45.14,1,3,NULL),(15,2155460,'1989-09-15 00:00:00',4,6,12,2007,'M','N','CENTRO','PICARRAS','SC','224241241115111431537421312325610166012',21215,'389',34.40,1,2,1),(15,2155486,'1989-08-02 00:00:00',4,1,12,2007,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124242241215111431459814442114610121181',8988,'883',53.67,4,3,NULL),(15,2155508,'1990-08-11 00:00:00',4,8,11,2007,'F','N','ACARAÍ','SAO FRANCISCO DO SUL','SC','124244241215112431447732572124610135142',NULL,'486',13.54,1,3,NULL),(15,2155516,'1988-09-10 00:00:00',2,1,12,2005,'F','N','KOBRASOL','SAO JOSE','SC','124241241215573431338433471124233223171',4098,'270',63.19,1,3,NULL),(15,2155532,'1987-11-29 00:00:00',2,10,12,2004,'M','N','CENTRO','SAO JOAQUIM','SC','124244252216372431448836492125230327087',21512,'9998',33.71,3,3,NULL),(15,2155540,'1990-07-27 00:00:00',4,8,12,2007,'M','N','CENTRO','PRUDENTOPOLIS','PR','116162168214121731567932575112610137012',11870,'9998',49.15,1,3,NULL),(15,2155559,'1971-03-28 00:00:00',2,1,7,1990,'M','N','COQUEIROS','FLORIANOPOLIS','SC','624242247237152451378711415132331037183',NULL,'305',0.00,1,3,NULL),(15,2155567,'1992-01-08 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241217111432269927575112610164167',NULL,'270',55.11,1,3,NULL),(15,2155575,'1989-06-14 00:00:00',4,4,12,2006,'M','N','PRESIDENTE MÉDICE','CHAPECO','SC','124242241216131431533631311333610127087',5350,'185',60.41,1,3,NULL),(15,2155583,'1990-07-14 00:00:00',2,10,11,2007,'F','N','OFICINAS','TUBARAO','SC','124241241215112551423311575115610164047',8345,'807',54.78,1,3,NULL),(15,2155605,'1988-04-30 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241117472411579833471124610136147',1155,'267',72.76,1,3,NULL),(15,2155613,'1991-10-10 00:00:00',4,1,12,2007,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124242241116151431346319575124610128142',12855,'739',47.78,1,3,NULL),(15,2155630,'1987-02-11 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124161241435132451346624345124610146021',15558,'1022',44.04,4,3,NULL),(15,2155648,'1990-05-08 00:00:00',4,1,12,2007,'F','N','CENTRO','CAMPO GRANDE','MS','112122121217411432569913572115610143072',12340,'9998',48.51,1,3,NULL),(15,2155656,'1990-07-25 00:00:00',2,9,11,2007,'F','N','BELA VISTA','SAO JOAQUIM','SC','124241241315131431323314574122610122147',20878,'1035',35.13,2,3,NULL),(15,2155664,'1989-09-14 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431468813575114610124011',6052,'262',58.97,1,3,NULL),(15,2155672,'1988-01-19 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241112232511234723412234610166127',11693,'79',49.41,1,2,1),(15,2155699,'1989-12-08 00:00:00',2,10,11,2007,'F','N','REVOREDO','TUBARAO','SC','124244241217111431457414241122610164042',14440,'809',45.51,1,3,NULL),(15,2155702,'1987-02-04 00:00:00',2,7,7,2007,'M','N','VILA ALEMANHA','LUZERNA','SC','124242241437131442347619385114610162057',11488,'9999',49.73,1,3,NULL),(15,2155710,'1986-04-14 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241113272751556613375124233268192',15341,'257',44.34,1,2,1),(15,2155729,'1989-07-05 00:00:00',4,1,12,2006,'M','N','VILA HÍPICA','FRANCA','SP','125252251215471411469911575122610167127',1782,'9998',70.02,1,3,NULL),(15,2155737,'1988-11-19 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241248115151451357924476124610163152',5137,'267',60.83,1,2,1),(15,2155745,'1988-01-29 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','224243248217272431216654482314610112077',NULL,'494',0.00,1,3,NULL),(15,2155753,'1988-03-17 00:00:00',2,1,12,2005,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','124241241112274431436614342124610124142',19411,'298',37.99,1,2,1),(15,2155761,'1990-09-13 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241245122431656319576122610124147',11516,'738',49.69,1,3,NULL),(15,2155770,'1989-03-14 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241216272751573939575115610164097',802,'1022',74.71,1,3,NULL),(15,2155800,'1991-07-15 00:00:00',4,4,12,2008,'M','S','CENTRO','CONCORDIA','SC','124241241115471431335632575122610165172',NULL,'192',44.99,1,3,NULL),(15,2155818,'1988-10-10 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215573431468914575122610128032',5910,'262',59.24,1,3,NULL),(15,2155826,'1990-01-31 00:00:00',4,2,12,2007,'F','N','FIDÉLIS','BLUMENAU','SC','124243241215111431356532345124610136142',4402,'71',62.46,1,3,NULL),(15,2155834,'1988-09-21 00:00:00',4,1,12,2006,'F','N','VILA INDUSTRIAL','SAO MANUEL','SP','125252251215573431549814445115610124053',4218,'9998',62.87,1,3,NULL),(15,2155850,'1991-05-17 00:00:00',4,1,11,2007,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124244241217122431448823476122610112171',6122,'270',58.83,1,3,NULL),(15,2155869,'1990-12-14 00:00:00',4,1,12,2007,'M','N','SÃO CRISTOVÃO','SALETE','SC','124241242137131751426634595324610168187',19705,'662',37.41,1,3,NULL),(15,2155877,'1990-02-03 00:00:00',4,1,11,2006,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251217471431526721473111610162044',6733,'9998',57.67,1,3,NULL),(15,2155885,'1987-11-14 00:00:00',4,1,12,2005,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241215473431569933472114120664055',81,'270',82.11,3,3,NULL),(15,2155893,'1990-06-27 00:00:00',2,1,11,2007,'F','N','REAL PARCK','SAO JOSE','SC','124244241115111731325519392124610133152',NULL,'257',3.88,1,3,NULL),(15,2155907,'1985-03-21 00:00:00',4,1,6,2002,'M','N','BARREIROS','SAO JOSE','SC','124242247346274421443619245112130237187',8918,'943',53.80,1,3,NULL),(15,2155915,'1991-07-14 00:00:00',2,1,11,2007,'F','N','CENTRO','PALMAS','TO','127272271236141431458821575122610145092',16113,'9998',43.21,4,3,NULL),(15,2155923,'1991-11-16 00:00:00',4,5,10,2008,'F','S','JARDIM SILVANA','ICARA','SC','124242241215152431483612475112610135072',NULL,'213',40.05,1,3,NULL),(15,2155931,'1990-09-08 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241115111711437619591341610168097',6667,'270',57.79,1,3,NULL),(15,2155940,'1990-05-04 00:00:00',2,1,12,2007,'M','N','CENTRO','ERECHIM','RS','120201201117131431326611315224610137052',20680,'9998',35.53,1,2,1),(15,2155958,'1984-10-02 00:00:00',2,4,6,2003,'M','N','INTERIOR','SAUDADES','SC','124241241132161221433436292223610124047',20076,'761',36.68,1,2,1),(15,2155966,'1990-05-04 00:00:00',4,1,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241216111431338811271224610123092',8133,'270',55.13,1,3,NULL),(15,2155974,'1985-03-14 00:00:00',4,1,12,2004,'M','N','ROÇADO','SAO JOSE','SC','124241247241132441534434342324120854142',12837,'944',47.81,1,3,NULL),(15,2155990,'1990-09-04 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215471431466731576114610132057',3123,'270',65.79,1,3,NULL),(15,2156008,'1989-04-07 00:00:00',4,1,11,2006,'F','N','LOURO','ANTONIO CARLOS','SC','124241248216372431634635572324610167072',7322,'20',56.57,1,3,NULL),(15,2156016,'1989-01-31 00:00:00',2,1,12,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241127131431643313342114610117057',21802,'307',32.95,1,2,1),(15,2156024,'1975-03-27 00:00:00',2,1,12,1994,'F','N','BARREIROS','SAO JOSE','SC','224206205616132431343654245124333268187',NULL,'9998',0.00,1,3,NULL),(15,2156032,'1990-08-08 00:00:00',4,10,11,2007,'F','N','CENTRO','GRAO PARA','SC','124243241215121431555833292114610136187',11506,'807',49.70,1,3,NULL),(15,2156040,'1990-09-19 00:00:00',4,2,11,2007,'F','N','VORSTADT','BLUMENAU','SC','124242241215271431359931574122610164197',831,'855',74.50,1,3,NULL),(15,2156059,'1990-04-07 00:00:00',2,1,12,2007,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124241241215111431536631572114610127042',NULL,'1022',40.70,2,3,NULL),(15,2156067,'1989-05-29 00:00:00',3,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241125372731338679572224610141097',12035,'524',48.94,1,2,1),(15,2156075,'1985-05-16 00:00:00',2,1,12,2004,'M','N','ARIRIU FORMIGA','PALHOCA','SC','124244241212373711539313235122120862047',3402,'589',65.00,1,3,NULL),(15,2156083,'1979-08-08 00:00:00',4,1,12,1996,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124202201216242721568679495124322066187',4909,'9998',61.29,1,3,NULL),(15,2156105,'1980-07-28 00:00:00',4,1,12,1997,'F','N','CAMPESTRE ORFEU','SAO LEOPOLDO','RS','120202201216471431558834114125343261097',5348,'9998',60.41,1,3,NULL),(15,2156113,'1978-12-04 00:00:00',4,1,6,2000,'M','N','BRAGA','SAO JOSE DOS PINHAIS','PR','216162161126241711225542115123141067087',6144,'9998',58.77,4,1,2),(15,2156121,'1990-01-29 00:00:00',2,4,12,2007,'F','N','CIVEMARA','MARAVILHA','SC','124242241115131431223369392344610117057',NULL,'552',0.00,1,3,NULL),(15,2156130,'1989-02-27 00:00:00',4,1,12,2006,'M','N','ALTO DA BOA VISTA','RIBEIRAO PRETO','SP','125252251217372131468814142112610162042',14447,'9998',45.50,1,3,NULL),(15,2156148,'1991-08-31 00:00:00',4,1,12,2008,'F','S','PICADAS DO SUL','SAO JOSE','SC','124242241212111431469711574122610166192',NULL,'1074',45.40,1,3,NULL),(15,2156156,'1989-04-19 00:00:00',2,7,7,2006,'F','N','CENTRO','VIDEIRA','SC','124241247231131741426624282324231566147',NULL,'9999',0.00,1,3,NULL),(15,2156172,'1985-11-23 00:00:00',3,1,12,2002,'F','N','PANTANAL','FLORIANOPOLIS','SC','124201201121474431425339291124222226052',8758,'9998',54.08,1,2,1),(15,2156180,'1987-08-10 00:00:00',4,6,7,2005,'F','N','XAXIM','CURITIBA','PR','116283281116371431437721274114610134142',7228,'9998',56.74,1,3,NULL),(15,2156199,'1990-08-20 00:00:00',4,5,11,2007,'F','N','PIO CORREA','CRICIUMA','SC','124242241215271431458611572122610135147',4042,'226',63.35,1,3,NULL),(15,2156202,'1986-09-11 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241227273431333631245125130213147',9049,'262',53.57,1,3,NULL),(15,2156237,'1982-10-27 00:00:00',4,1,4,2003,'M','N','JOSE MENDES','FLORIANOPOLIS','SC','124241246114144431236544445124222332052',12013,'306',48.97,4,2,1),(15,2156245,'1988-03-22 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242248217111431349933595114610164127',NULL,'266',17.84,1,3,NULL),(15,2156261,'1979-08-20 00:00:00',4,1,3,1999,'M','N','AREIAS','SAO JOSE','SC','224241246127275421353644342133610126013',6940,'739',57.27,1,2,1),(15,2156270,'1990-06-02 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241217111451426679572214610137057',11454,'1118',49.77,1,3,NULL),(15,2156288,'1990-11-18 00:00:00',2,4,12,2007,'F','N','CENTRO','ALPESTRE','RS','120201201316111431463612575122610147053',11017,'9998',50.44,1,3,NULL),(15,2156296,'1990-01-12 00:00:00',4,7,11,2007,'F','N','CENTRO','HERVAL D OESTE','SC','124242241215111431435512571122610163146',7503,'454',56.22,1,3,NULL),(15,2156300,'1990-07-20 00:00:00',4,4,11,2007,'M','N','SÃO JOSÉ','MARAVILHA','SC','124241241215271431466912142122610168042',8630,'185',54.29,1,3,NULL),(15,2156318,'1987-05-30 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241125374411536634245124222234117',9685,'307',52.44,1,2,1),(15,2156326,'1990-11-15 00:00:00',2,2,12,2007,'F','N','VICTOR KONDER','BLUMENAU','SC','124241241217111411558912574124610152147',11872,'88',49.14,1,3,NULL),(15,2156334,'1981-04-20 00:00:00',2,1,4,2003,'F','N','ARIRIU','PALHOCA','SC','224241246147371411225444245124610132097',11821,'306',49.22,1,3,NULL),(15,2156342,'1989-05-24 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243241315472451569933576114610124147',8023,'267',55.33,1,3,NULL),(15,2156350,'1965-01-28 00:00:00',4,1,12,2006,'M','N','CENTRO','SAO JOSE','SC','124242247436151441344544445122610126123',14928,'9999',44.88,1,3,NULL),(15,2156369,'1990-10-24 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215151431469813572122610133142',700,'262',75.37,1,3,NULL),(15,2156377,'1985-04-18 00:00:00',4,1,12,2002,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124252251117472441357821345124222335082',12957,'9998',47.64,1,3,NULL),(15,2156385,'1988-03-21 00:00:00',4,1,12,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241216374431248812471124233226187',1815,'1022',69.90,1,3,NULL),(15,2156393,'1989-03-27 00:00:00',2,1,11,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241215413431369729595122610167122',1499,'807',71.20,1,3,NULL),(15,2156407,'1989-12-26 00:00:00',4,1,11,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241217111711489933576114610163097',6491,'883',58.09,1,3,NULL),(15,2156423,'1989-08-10 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124201201117471732436851574124610123145',16488,'9998',42.60,1,2,1),(15,2156431,'1990-08-28 00:00:00',4,9,11,2007,'F','N','VILA NOVA','LAGES','SC','124242241215112431447812375112610167012',7518,'499',56.20,1,3,NULL),(15,2156440,'1987-04-25 00:00:00',4,1,12,2004,'F','N','NAZARÉ','SALVADOR','BA','105054051215571411556633572124610163147',NULL,'9998',0.00,1,3,NULL),(15,2156458,'1990-11-03 00:00:00',4,1,12,2008,'M','S','PANTANAL','FLORIANOPOLIS','SC','124243241117111431448831572124610168185',NULL,'271',51.70,1,3,NULL),(15,2156466,'1990-04-22 00:00:00',4,8,11,2007,'F','N','CRISTO REI','CURITIBA','PR','116162161215112431449933175122610141147',NULL,'9998',0.00,1,3,NULL),(15,2156474,'1990-02-06 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217122731289932372112610162142',11219,'270',50.13,1,3,NULL),(15,2156482,'1990-02-06 00:00:00',4,1,6,2007,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124244247247111411548621342224610162033',22295,'9999',31.06,1,3,NULL),(15,2156490,'1991-04-24 00:00:00',2,10,12,2007,'F','N','PARAÍSO','JAGUARUNA','SC','124241246415111431437732595122610167147',19164,'1120',38.41,1,3,NULL),(15,2156504,'1989-11-21 00:00:00',4,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215121432549833575122610127041',1729,'270',70.28,1,3,NULL),(15,2156512,'1990-09-18 00:00:00',4,7,11,2007,'M','N','COLINA VERDE','VIDEIRA','SC','124242241215111431469914171122610127042',10824,'969',50.71,1,3,NULL),(15,2156520,'1989-11-10 00:00:00',2,1,11,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124243244215111431434613275122610127041',21223,'1048',34.39,1,3,NULL),(15,2156539,'1989-04-17 00:00:00',2,4,12,2006,'M','N','CENTRO','SANTO ANTONIO DO SUDOESTE','PR','116161241316232431439813572314610162147',NULL,'168',46.55,1,3,NULL),(15,2156547,'1984-02-06 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241212215421374431172132222662112',5569,'272',59.94,1,3,NULL),(15,2156555,'1990-02-20 00:00:00',4,1,2,2008,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241117131431547614372324610137147',17183,'739',41.60,1,3,NULL),(15,2156563,'1979-09-27 00:00:00',2,1,12,1997,'M','N','ARMAÇAO','FLORIANOPOLIS','SC','124241248127131431223343442114610162043',19003,'291',38.67,1,3,NULL),(15,2156571,'1988-12-09 00:00:00',4,1,11,2006,'M','N','SENHOR DOS PASSOS','CUIABA','MT','111112111212472431478834575122610127042',1291,'9998',72.10,1,3,NULL),(15,2156580,'1988-03-20 00:00:00',2,1,12,2005,'F','N','CENTRO','SAO BONIFACIO','SC','124241241346374431555839232124610123072',6989,'738',57.18,1,3,NULL),(15,2156598,'1988-12-09 00:00:00',2,8,12,2006,'M','N','SANTA CATARINA','JOINVILLE','SC','124242246215472431369911575122610137112',8260,'494',54.92,1,3,NULL),(15,2156601,'1989-07-05 00:00:00',4,1,12,2007,'M','N','VILA OLIMPIA','SAO PAULO','SP','125252251416121431388914275122610134097',7653,'9998',55.94,1,3,NULL),(15,2156628,'1987-10-11 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215373431387713472112610131093',7460,'300',56.31,1,3,NULL),(15,2156636,'1990-01-07 00:00:00',4,1,11,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','624242241215112431459933272124610164062',20,'270',84.42,1,3,NULL),(15,2156660,'1987-02-20 00:00:00',4,1,12,2004,'F','N','ARMAÇAO','FLORIANOPOLIS','SC','124241245126131431223379491124242764142',20451,'294',35.96,1,3,NULL),(15,2156679,'1990-02-21 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473421567712292124610143182',2097,'497',68.97,1,3,NULL),(15,2156687,'1989-02-21 00:00:00',2,3,6,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241122131431113344345321610122177',19215,'405',38.31,1,2,1),(15,2156695,'1990-01-05 00:00:00',2,1,2,2008,'M','N','AREIAS','SAO JOSE','SC','124242241112151431536633342124610137057',14870,'739',44.94,1,3,NULL),(15,2156709,'1990-05-20 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215112411458633595125610123141',92,'270',81.76,1,3,NULL),(15,2156717,'1991-05-06 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215121432459714496125610124142',NULL,'262',54.00,1,3,NULL),(15,2156725,'1991-06-20 00:00:00',2,3,12,2007,'M','N','CENTRO','SAO JOAO DO ITAPERIU','SC','124244242116151731538436575124610167113',18135,'129',40.10,1,3,NULL),(15,2156733,'1990-10-31 00:00:00',2,1,12,2007,'F','N','BAUNEÁRIO','FLORIANOPOLIS','SC','124244241212122411446614572124610132072',13861,'1118',46.37,1,3,NULL),(15,2156741,'1990-05-26 00:00:00',2,9,11,2007,'F','N','CENTRO','LAGOA VERMELHA','RS','120204201217161451369911445122610128047',19260,'9998',38.24,1,3,NULL),(15,2156750,'1989-12-22 00:00:00',2,1,12,2007,'F','N','RIO GRANDE','PALHOCA','SC','124242241211111731346513575122610134092',8368,'1011',54.73,1,3,NULL),(15,2156768,'1989-08-07 00:00:00',4,1,11,2006,'M','N','JARDIM SÃO BENTO','UBERABA','MG','113132131216471441356414175112610164182',485,'9998',76.93,4,3,NULL),(15,2156776,'1989-10-27 00:00:00',4,1,12,2007,'M','N','PENHA','SAO PAULO','SP','125251251117471451426373575124610165092',5610,'9998',59.85,1,2,1),(15,2156784,'1988-02-10 00:00:00',2,8,12,2004,'M','N','CENTRO','UNIAO DA VITORIA','PR','116244241315574331346713574314610167097',755,'633',74.94,1,3,NULL),(15,2156792,'1991-02-07 00:00:00',4,9,12,2007,'F','N','CENTRO','VACARIA','RS','120204201215371731436614245122610126097',18566,'9998',39.38,1,3,NULL),(15,2156814,'1989-03-08 00:00:00',5,5,10,2007,'F','N','SÃO BENTO BAIXO','NOVA VENEZA','SC','124241241115111422323335155124610157142',NULL,'226',24.14,1,2,1),(15,2156822,'1990-09-12 00:00:00',2,9,12,2007,'F','N','GASPARETTO','VACARIA','RS','120203201215371451536669275225610127047',20733,'9998',35.44,1,3,NULL),(15,2156830,'1990-05-07 00:00:00',4,5,11,2007,'M','N','COMERCIÁRIO','CRICIUMA','SC','124242241217111431245624575112610124057',10252,'213',51.56,1,3,NULL),(15,2156857,'1988-05-23 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124122121215573411447615574114610161142',2440,'9998',67.80,4,3,NULL),(15,2156865,'1990-02-16 00:00:00',2,5,11,2007,'F','N','STAN','TORRES','RS','120202201215121431353832145122610138112',19582,'9998',37.65,1,3,NULL),(15,2156881,'1986-09-19 00:00:00',2,1,12,2005,'F','N','PERDIZES','SAO PAULO','SP','125262071217573431589839575122610162092',5900,'9998',59.26,1,3,NULL),(15,2156890,'1989-12-29 00:00:00',4,10,12,2007,'M','N','CAÇADOR','CAPIVARI DE BAIXO','SC','124241241115151431436623574124610168012',16053,'1034',43.29,1,2,1),(15,2156911,'1985-09-11 00:00:00',4,1,12,2002,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124161161117373731533931575114122236192',6343,'9998',58.37,1,2,1),(15,2156938,'1988-03-22 00:00:00',4,1,12,2005,'F','N','CORDEIROS','ITAJAI','SC','124242241215371431489831574124132442095',543,'392',76.46,1,3,NULL),(15,2156946,'1989-09-04 00:00:00',4,1,11,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215472431458812122122610137047',2652,'270',67.16,1,3,NULL),(15,2156954,'1985-08-07 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241147131731323344142324610167054',NULL,'732',6.54,1,3,NULL),(15,2156962,'1988-03-02 00:00:00',4,8,12,2005,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241217131421457833341124132054057',17841,'424',40.61,1,3,NULL),(15,2156970,'1988-08-24 00:00:00',4,1,7,2007,'F','N','JURERÊ','FLORIANOPOLIS','SC','124241241115131741337711395124610124027',13645,'306',46.69,1,2,1),(15,2156989,'1987-11-15 00:00:00',4,8,12,2005,'M','N','ITAUM','JOINVILLE','SC','124242241216372751439839491124133265097',8561,'494',54.42,1,3,NULL),(15,2157004,'1985-07-10 00:00:00',4,2,12,2002,'M','N','VELHA','BLUMENAU','SC','124241241225371331447632371122230234062',1762,'90',70.16,1,3,NULL),(15,2157020,'1988-08-05 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215373431366613572122610133147',7699,'299',55.86,1,3,NULL),(15,2157039,'1989-10-25 00:00:00',2,1,10,2007,'M','N','BARREIROS','SAO JOSE','SC','124243247235251421236623341125610115092',NULL,'9999',33.69,1,3,NULL),(15,2157047,'1990-07-22 00:00:00',4,6,12,2007,'F','N','PRAIA DE ARMAÇÃO','PENHA','SC','124241241125131431553914385122610164147',NULL,'610',28.86,1,3,NULL),(15,2157055,'1982-02-15 00:00:00',2,1,12,2000,'F','N','ALTO ARIRIÚ','PALHOCA','SC','124241241122472421121349192124610117057',15625,'593',43.91,1,2,1),(15,2157063,'1986-06-17 00:00:00',2,1,12,2003,'F','N','SERRINHA','FLORIANOPOLIS','SC','124241248142242421523574382314610118047',NULL,'298',19.78,2,3,NULL),(15,2157071,'1989-02-10 00:00:00',2,8,12,2006,'M','N','CENTRO','CASCAVEL','PR','116161161316371431636939575114610164052',18676,'9998',39.20,1,3,NULL),(15,2157080,'1990-03-27 00:00:00',4,1,12,2007,'M','N','LURDES','CAXIAS DO SUL','RS','120202201217471431489913572112610137043',2441,'9998',67.79,1,3,NULL),(15,2157098,'1989-02-28 00:00:00',2,3,12,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215472431436611275122610131097',12919,'9997',47.69,1,3,NULL),(15,2157101,'1991-01-02 00:00:00',4,7,11,2007,'M','N','MORADA DO SOL','VIDEIRA','SC','124243241115141531689814345122610168181',NULL,'829',13.84,1,3,NULL),(15,2157128,'1988-12-22 00:00:00',4,1,12,2006,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215472231228424475114610167047',3718,'262',64.17,1,3,NULL),(15,2157136,'1989-01-28 00:00:00',2,1,12,2007,'F','N','COSTEIRA DO PARAJUBA','FLORIANOPOLIS','SC','124241241126132731533923385314610122147',NULL,'416',26.74,2,1,1),(15,2157144,'1983-10-25 00:00:00',4,1,9,2006,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241135372431534631385124613232145',NULL,'289',8.75,1,3,NULL),(15,2157152,'1988-05-10 00:00:00',2,3,12,2006,'F','N','JARDIM YARA','POUSO ALEGRE','MG','113131131416271431568519571122610122184',NULL,'9998',32.46,1,3,NULL),(15,2157160,'1990-03-20 00:00:00',4,4,12,2006,'M','N','CENTRO','QUILOMBO','SC','124243241227132411436611575124231564147',17746,'647',40.74,1,3,NULL),(15,2157187,'1990-06-06 00:00:00',2,8,12,2007,'M','N','CENTRO','WENCESLAU BRAZ','PR','116164161217171731449811492124611467042',19331,'9998',38.11,1,3,NULL),(15,2157209,'1990-10-19 00:00:00',4,6,12,2007,'F','N','SÃO JUDAS','ITAJAI','SC','124243241415151431556731477112610164037',6654,'389',57.80,1,3,NULL),(15,2157217,'1990-02-03 00:00:00',4,7,12,2007,'F','N','INTERIOR','CAPINZAL','SC','124241248115131431426623382224610127177',NULL,'156',25.80,1,2,1),(15,2157225,'1990-11-13 00:00:00',4,1,12,2007,'M','N','CENTRO','ANTONIO CARLOS','SC','124243241317151412558612245124610164052',4546,'306',62.15,1,3,NULL),(15,2157233,'1990-08-05 00:00:00',4,8,11,2007,'M','N','CENTRO','TOLEDO','PR','116163161217111431459931574122610162092',3608,'9998',64.46,1,3,NULL),(15,2157250,'1990-02-05 00:00:00',4,10,11,2007,'F','N','BELA VISTA','SAO LUDGERO','SC','125252241215121431458812575112610124052',13036,'807',47.53,1,3,NULL),(15,2157284,'1983-11-24 00:00:00',4,1,12,2002,'F','N','FLORESTA','SAO JOSE','SC','124253258116133431118844242224133234097',15589,'9998',43.98,1,3,NULL),(15,2157306,'1990-08-29 00:00:00',4,1,11,2007,'F','N','PÂNTANO DO SUL','FLORIANOPOLIS','SC','124242241215121411258824575124610136192',10197,'270',51.63,1,3,NULL),(15,2157314,'1988-11-23 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124202201115471431246464445114133211147',9809,'9998',52.24,1,3,NULL),(15,2157322,'1990-08-08 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241137171421334433245122610144147',NULL,'592',24.19,1,3,NULL),(15,2157330,'1990-04-24 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241115371431444452375124610164091',15768,'307',43.72,1,2,1),(15,2157357,'1990-03-21 00:00:00',4,9,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124242161211112541468816575124610167042',NULL,'9998',0.00,3,3,NULL),(15,2157373,'1990-05-18 00:00:00',4,1,12,2007,'F','N','ITANHANGÁ','CAMPO GRANDE','MS','112122121216111731338811515122610168192',1781,'9998',70.03,1,3,NULL),(15,2157381,'1982-05-04 00:00:00',2,5,12,1999,'F','N','CENTRO','MORRO DA FUMACA','SC','124241244146151711445316445122610145187',NULL,'567',22.15,1,3,NULL),(15,2157390,'1985-03-10 00:00:00',2,1,12,2004,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241247337371731443131492114130237043',NULL,'9999',41.26,4,3,NULL),(15,2157403,'1989-11-11 00:00:00',2,9,12,2007,'F','N','CENTRO','CURITIBANOS','SC','124242241215121431438611191122610146017',16905,'881',42.00,1,3,NULL),(15,2157411,'1990-04-19 00:00:00',4,3,12,2007,'F','N','JARDIM CARVALHO II','PONTA GROSSA','PR','116162161215471431589911571112610167182',7765,'9998',55.76,1,3,NULL),(15,2157420,'1988-08-26 00:00:00',4,10,11,2005,'F','N','AIURE','GRAO PARA','SC','124241241115573431433931344124133234075',6004,'330',59.07,1,3,NULL),(15,2157438,'1990-04-14 00:00:00',4,8,12,2007,'M','N','GUANABARA','JOINVILLE','SC','124242246217172731359913334122610117012',17281,'1105',41.44,1,3,NULL),(15,2157446,'1989-02-18 00:00:00',4,8,12,2006,'M','N','CENTRO','PITANGA','PR','116162161214371331489832372322141467012',21555,'9998',33.62,1,3,NULL),(15,2157454,'1989-07-18 00:00:00',4,1,12,2006,'M','N','CARANDA BOSQUE','CAMPO GRANDE','MS','112122121216471731348811515122610168193',1867,'9998',69.73,1,3,NULL),(15,2157462,'1990-06-16 00:00:00',4,1,11,2007,'M','N','CENTRO','PALHOCA','SC','124243241227111411433331212114610142177',13250,'262',47.23,1,3,NULL),(15,2157489,'1986-06-10 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241215574431656763575124121563071',454,'270',77.20,4,3,NULL),(15,2157497,'1990-08-25 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111432448819572111610142077',NULL,'262',51.97,4,3,NULL),(15,2157500,'1989-09-18 00:00:00',2,10,11,2007,'M','N','VILA MOEMA','TUBARAO','SC','124242241212151411459814575122610137083',8435,'797',54.64,1,3,NULL),(15,2157519,'1989-07-12 00:00:00',4,1,12,2006,'M','N','JARDIM TROPICAL','CAMPO GRANDE','MS','112122121216471731348811515122610128193',41,'9998',83.36,1,3,NULL),(15,2157535,'1984-03-07 00:00:00',4,1,12,2001,'M','N','FLORESTA','PORTO ALEGRE','RS','120203206146273421638831285124241444017',NULL,'9998',0.00,1,3,NULL),(15,2157551,'1990-10-19 00:00:00',4,1,11,2007,'M','N','BELA VISTA','SAO JOSE','SC','124242241117141421325823211231610134042',21055,'734',34.75,1,3,NULL),(15,2157586,'1990-06-19 00:00:00',4,1,6,2008,'F','S','ASA NORTE','BRASILIA','DF','107072071217471711378933573124610132187',NULL,'9998',45.52,1,3,NULL),(15,2157594,'1988-01-29 00:00:00',2,1,12,2005,'F','N','JARDIM AQUARIOS','PALHOCA','SC','124241241117132431623431382223231337147',17576,'592',40.97,1,2,1),(15,2157608,'1980-09-23 00:00:00',2,1,6,2003,'M','N','CENTRO','SAO JOSE','SC','124201207226273431225544145233143264112',19172,'9998',38.40,1,3,NULL),(15,2157616,'1989-12-04 00:00:00',4,1,12,2007,'M','N','CENTRO','GUARAPUAVA','PR','116163161317321451435914575112610138182',NULL,'9998',20.44,1,3,NULL),(15,2157624,'1989-08-16 00:00:00',4,5,11,2006,'F','N','UNIVERSITÁRIO','CRICIUMA','SC','124244246216271431536923475124610126097',10808,'995',50.73,1,3,NULL),(15,2157632,'1991-03-22 00:00:00',4,7,11,2007,'M','N','CENTRO','CONCORDIA','SC','124242241215371431468832575115610147042',16757,'1000',42.24,1,3,NULL),(15,2157640,'1990-08-07 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215111751369934496124610134117',4639,'262',61.92,1,3,NULL),(15,2157659,'1990-11-29 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215121431477833275124610134031',3211,'1098',65.50,1,3,NULL),(15,2157667,'1990-03-12 00:00:00',4,1,12,2007,'F','N','CENTRO','CAMPINAS','SP','125252251217111441377921572122610164052',18815,'9998',38.96,1,3,NULL),(15,2157675,'1991-12-19 00:00:00',4,4,12,2008,'F','S','JARDIM LANCASTER I','FOZ DO IGUACU','PR','116162161215111431436614575124610162147',NULL,'9998',47.30,1,3,NULL),(15,2157683,'1990-10-22 00:00:00',4,1,12,2007,'M','N','CENTRO','MONCOES','SP','125253251415114431468811575122610137042',5032,'9998',61.03,1,3,NULL),(15,2157713,'1988-05-02 00:00:00',4,2,12,2005,'F','N','CENTRO','SANTA MARIA','RS','120202201215471711424419571225610146092',7253,'9998',56.69,1,3,NULL),(15,2157721,'1990-02-22 00:00:00',4,7,12,2007,'F','N','MARTELLI','VIDEIRA','SC','124241241215121221478611292122610124142',8752,'829',54.09,1,3,NULL),(15,2157730,'1953-12-19 00:00:00',2,1,12,1975,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242245216151411336653235122340926095',13783,'394',46.49,1,3,NULL),(15,2157756,'1987-09-01 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241212111732477733575112610117042',NULL,'943',28.97,1,3,NULL),(15,2157764,'1989-05-18 00:00:00',2,1,11,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124202251216141231439414415114610147047',NULL,'9998',0.00,1,3,NULL),(15,2157772,'1989-10-30 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215272431338811472124610167147',3823,'270',63.92,4,3,NULL),(15,2157780,'1991-10-17 00:00:00',4,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215111431459814575114610133182',6961,'270',57.24,1,3,NULL),(15,2157799,'1991-03-15 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241212111431389933572112610135092',3632,'270',64.40,1,3,NULL),(15,2157802,'1991-01-27 00:00:00',2,8,11,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241215111431479613292124610135107',6039,'1016',58.99,1,3,NULL),(15,2157810,'1990-12-28 00:00:00',4,4,12,2007,'F','N','CENTRO','IPUMIRIM','SC','124241241116131231549933375124610137077',NULL,'374',0.00,1,2,1),(15,2157829,'1989-02-04 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124241241116471411346823575122610141022',16699,'257',42.33,1,2,1),(15,2157837,'1990-06-30 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215112431349912372124610137042',4566,'262',62.11,1,3,NULL),(15,2157845,'1990-07-26 00:00:00',4,8,12,2007,'F','N','FLORESTA','JOINVILLE','SC','124242241216141431456812345124610122052',11480,'1105',49.73,1,3,NULL),(15,2157853,'1988-05-01 00:00:00',2,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241215142431458411495132233264145',6529,'270',58.02,1,3,NULL),(15,2157861,'1988-07-20 00:00:00',2,1,12,2005,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241116272431336611141124610138097',15786,'307',43.70,1,2,1),(15,2157870,'1991-10-07 00:00:00',4,10,12,2009,'M','S','CENTRO','BRACO DO NORTE','SC','124244241215111431456632225121610127052',NULL,'807',35.74,1,3,NULL),(15,2157888,'1989-03-23 00:00:00',4,1,12,2006,'M','N','CENTRO','SANTA CRUZ DO SUL','RS','120204201216471411469933271125610166047',4945,'9998',61.20,1,3,NULL),(15,2157896,'1989-10-12 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431348823575114222232097',6312,'269',58.44,1,3,NULL),(15,2157918,'1989-11-13 00:00:00',2,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241117272431436623372114610124147',14492,'592',45.42,1,3,NULL),(15,2157926,'1985-12-24 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241317472411359833571114610131195',15099,'281',44.67,1,3,NULL),(15,2157934,'1989-03-31 00:00:00',2,1,11,2007,'F','N','GRANDE COLORADO','SOBRADINHO','DF','107072078217111742569519491122610163141',NULL,'9998',0.00,1,3,NULL),(15,2157942,'1990-06-17 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124072241215111431566614575124610112145',19005,'1051',38.66,3,3,NULL),(15,2157950,'1990-04-08 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124241241416111311446614575114610143145',16364,'1022',42.80,3,3,NULL),(15,2157969,'1990-01-26 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215111431368811471124610126197',390,'270',77.73,1,3,NULL),(15,2157977,'1988-06-19 00:00:00',4,1,12,2005,'M','N','CENTRO','PARANAIBA','MS','112124121215572431468832571122610166042',NULL,'9998',0.00,1,3,NULL),(15,2157993,'1989-07-10 00:00:00',4,8,12,2007,'M','N','VILA NOVA','RIO NEGRINHO','SC','124241241135111431435311445122610114031',22253,'669',31.28,1,3,NULL),(15,2158000,'1989-08-05 00:00:00',4,1,12,2006,'F','N','CENTRO','SAO JOAQUIM DA BARRA','SP','125252251215472431468811572112610162113',6028,'9998',59.01,1,3,NULL),(15,2158035,'1990-11-02 00:00:00',4,1,11,2007,'F','N','CENTRO','BOM JARDIM DA SERRA','SC','124242241215161431468813475122610148012',21059,'1035',34.74,1,3,NULL),(15,2158043,'1989-07-26 00:00:00',4,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161211312321434612274322610116092',4895,'9998',61.33,1,3,NULL),(15,2158051,'1990-03-16 00:00:00',4,1,11,2007,'F','N','ASA NORTE','BRASILIA','DF','107072071217111431579814572122610133143',5251,'9998',60.61,1,3,NULL),(15,2158060,'1989-02-25 00:00:00',4,9,12,2006,'F','N','COPACABANA','LAGES','SC','124242241215472441423532241222610162047',11473,'497',49.74,3,3,NULL),(15,2158078,'1990-09-06 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241217121431469653574122610123127',6262,'270',58.51,1,3,NULL),(15,2158086,'1989-12-26 00:00:00',4,5,11,2007,'M','N','SÃO CRISTÓVÃO','CRICIUMA','SC','124242241215112441479311575125610128092',309,'226',78.63,1,3,NULL),(15,2158094,'1988-04-19 00:00:00',2,1,12,2005,'M','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124161161116371441443334145124141916182',21129,'9998',34.59,4,2,1),(15,2158108,'1990-10-08 00:00:00',4,1,12,2007,'F','N','FETT','RANCHO QUEIMADO','SC','124241241123131431411521572321610133147',16132,'649',43.18,1,2,1),(15,2158116,'1990-02-06 00:00:00',2,1,12,2007,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','124243241215171431456819571124610167112',16217,'1022',43.03,1,3,NULL),(15,2158124,'1991-07-10 00:00:00',4,8,12,2008,'F','S','MATO PRETO','SAO BENTO DO SUL','SC','624243241215111331346414272124610124182',NULL,'974',42.65,1,3,NULL),(15,2158132,'1988-11-02 00:00:00',2,1,2,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241117373431456832325124133237052',5538,'739',59.98,1,3,NULL),(15,2158140,'1990-07-07 00:00:00',4,1,12,2007,'F','N','AMBRÓSIO','GAROPABA','SC','124241241127131431523514382124610164057',22104,'322',31.90,1,2,1),(15,2158167,'1990-01-12 00:00:00',4,1,12,2007,'M','N','CENTRO','CAMPO GRANDE','MS','112122121216171751348811575122610268192',15506,'9998',44.13,1,3,NULL),(15,2158191,'1988-09-06 00:00:00',2,1,9,2007,'F','N','CENTRO','PALHOCA','SC','124241241116371431654434345124610137052',13240,'739',47.25,1,2,1),(15,2158205,'1990-01-20 00:00:00',2,1,11,2007,'M','N','JD PAGANI','BAURU','SP','125254251216111431333621275122610167042',14871,'9998',44.94,1,3,NULL),(15,2158213,'1990-08-07 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124244248215111412536314576112610124097',17870,'226',40.56,1,3,NULL),(15,2158221,'1984-09-19 00:00:00',4,1,6,2002,'F','N','CAMPINAS','SAO JOSE','SC','124201205217373431123379392114133224047',15521,'9998',44.10,1,3,NULL),(15,2158230,'1984-01-09 00:00:00',2,1,11,2001,'F','N','TUCURUVI','SAO PAULO','SP','125252251216571431546863275114610122117',NULL,'9998',0.00,1,3,NULL),(15,2158248,'1989-03-22 00:00:00',4,1,12,2005,'M','N','JARDIM AUTONOMISTA','CAMPO GRANDE','MS','112122121216571731348831515122610168192',1856,'9998',69.75,1,3,NULL),(15,2158256,'1987-07-13 00:00:00',4,1,12,2004,'M','N','JARDIM SANTA CRUZ','SAO PAULO','SP','125251251111572431427818571124610165097',683,'9998',75.52,1,2,1),(15,2158264,'1990-06-03 00:00:00',2,4,12,2007,'F','N','CENTRO','CORONEL FREITAS','SC','124242241215131451246624585124610146147',14300,'185',45.73,1,3,NULL),(15,2158272,'1989-05-04 00:00:00',2,1,12,2006,'F','N','ÁGUA VERDE','JARAGUA DO SUL','SC','124241248235112431436634595124231066172',11645,'442',49.49,1,3,NULL),(15,2158280,'1988-08-26 00:00:00',2,8,12,2005,'F','N','NOVA BRASILIA','JOINVILLE','SC','124241246216241441446614445122610146052',NULL,'1105',19.87,1,3,NULL),(15,2158299,'1990-07-22 00:00:00',4,1,12,2007,'F','N','VILA INDEPENDÊNCIA','LIMEIRA','SP','125252251217131431548831575112610123182',6775,'9998',57.61,1,3,NULL),(15,2158302,'1990-09-27 00:00:00',2,1,12,2007,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124242241217111431568934441122610166092',12080,'724',48.88,1,3,NULL),(15,2158310,'1990-01-09 00:00:00',2,1,11,2006,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116282281216471751437932572124610163017',17090,'9998',41.74,1,3,NULL),(15,2158329,'1990-05-18 00:00:00',4,8,11,2007,'M','N','PIRABEIRABA','JOINVILLE','SC','124242241215271431479812325124610127182',5791,'457',59.49,1,3,NULL),(15,2158337,'1990-10-25 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124243241116141431433634245122610168142',17857,'288',40.58,4,3,NULL),(15,2158345,'1989-03-22 00:00:00',2,1,12,2006,'M','N','CENTRO','CAMPO GRANDE','MS','112122121216471731348831515122610168192',2118,'9998',68.91,1,3,NULL),(15,2158353,'1988-12-03 00:00:00',2,8,12,2006,'M','N','CENTRO','CAPINZAL','SC','124244241216472431336612572124610127142',5421,'155',60.23,1,3,NULL),(15,2158361,'1989-01-25 00:00:00',4,4,12,2006,'M','N','CENTRO','CASCAVEL','PR','116163161217311431566923396115141964072',2166,'9998',68.71,1,3,NULL),(15,2158370,'1990-10-24 00:00:00',4,7,12,2007,'M','N','CENTRO','JOACABA','SC','116242161216471731466931575112610126182',3551,'9998',64.62,1,3,NULL),(15,2158396,'1989-09-03 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241217122731425621472124610163057',8337,'1022',54.79,1,3,NULL),(15,2158400,'1989-02-23 00:00:00',4,1,12,2007,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242248231171431456651315123610137053',NULL,'269',26.73,1,3,NULL),(15,2158418,'1985-10-15 00:00:00',2,1,12,2002,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241211374431548619293111121434191',1430,'270',71.52,1,3,NULL),(15,2158426,'1990-08-16 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242248211112411638832271212610113017',10510,'1022',51.17,3,3,NULL),(15,2158434,'1990-08-15 00:00:00',4,6,12,2007,'F','N','CENTRO','ITAJAI','SC','124242241215112431565714572122610167142',8641,'1026',54.27,1,3,NULL),(15,2158442,'1991-07-10 00:00:00',4,1,12,2008,'F','S','CENTRO','TIJUCAS','SC','124242241215131431447934574122610146142',NULL,'948',34.62,1,3,NULL),(15,2158450,'1986-09-07 00:00:00',2,1,12,2005,'F','N','EXPOSIÇÃO','CAXIAS DO SUL','RS','124202208314151432559923572224232831111',17491,'9999',41.10,1,3,NULL),(15,2158477,'1989-12-30 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111432456613372112610123012',11523,'738',49.68,1,3,NULL),(15,2158485,'1991-01-03 00:00:00',2,4,12,2007,'F','N','BONINI I','CRUZ ALTA','RS','120201201117131431447823372112610148192',NULL,'9998',0.00,1,3,NULL),(15,2158507,'1990-03-26 00:00:00',2,4,12,2007,'F','N','NSA SENHORA DAS GRAC','AMPERE','PR','116161161116131411623339243232610157072',NULL,'9998',18.84,1,2,1),(15,2158515,'1990-09-24 00:00:00',4,1,11,2007,'F','N','PASSA VINTE','PALHOCA','SC','124241241217112411456511274124610165151',8477,'1011',54.55,1,3,NULL),(15,2158523,'1989-03-10 00:00:00',4,1,12,2006,'F','N','JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP','125251251215372431459714572224610134092',9610,'9998',52.58,1,3,NULL),(15,2158531,'1984-06-14 00:00:00',4,1,11,2002,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241227274431327879142124122362187',10595,'262',51.03,1,3,NULL),(15,2158540,'1989-02-03 00:00:00',4,8,12,2006,'M','N','CENTRO','UNIAO DA VITORIA','PR','116242161217572711568832272142610168162',NULL,'9998',0.00,1,3,NULL),(15,2158558,'1986-07-19 00:00:00',2,4,12,2007,'M','N','CIDADE NOVA','PORTO UNIAO','SC','124161241334141411336611245122610131187',16038,'635',43.32,1,3,NULL),(15,2158566,'1990-04-05 00:00:00',4,1,12,2007,'M','N','TARRAF II','SAO JOSE DO RIO PRETO','SP','125252251215111231456714244122610134047',10812,'9998',50.72,1,3,NULL),(15,2158574,'1990-07-15 00:00:00',2,7,12,2007,'M','N','SÃO SEBASTIÃO','PONTE SERRADA','SC','124241241126141431423311345121610117052',19089,'629',38.53,1,3,NULL),(15,2158582,'1990-09-17 00:00:00',2,5,11,2007,'F','N','SAMUEL SANDRINI','ORLEANS','SC','124241241215131431334411275322610167117',15192,'581',44.54,1,3,NULL),(15,2158590,'1990-04-16 00:00:00',3,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215371431489911572122610126112',1092,'270',73.06,1,3,NULL),(15,2158604,'1990-03-21 00:00:00',4,1,11,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215121431336912575114610167055',12825,'270',47.83,1,3,NULL),(15,2158612,'1975-11-13 00:00:00',2,5,11,1995,'M','N','CENTRO','CRICIUMA','SC','224241241116134751221144245122331964192',NULL,'767',0.00,1,3,NULL),(15,2158620,'1990-02-08 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241117271431559613471122610137112',10560,'307',51.08,2,1,1),(15,2158639,'1990-04-07 00:00:00',4,8,11,2007,'F','N','ASA SUL','BRASILIA','DF','107072071216111731358922575122610121072',10069,'9998',51.83,4,3,NULL),(15,2158655,'1990-05-25 00:00:00',4,2,12,2007,'F','N','DOS ESTADOS','INDAIAL','SC','124243241215111331454834575122610126147',8599,'925',54.35,1,3,NULL),(15,2158663,'1990-07-05 00:00:00',4,1,12,2007,'M','N','JARDIM ALTÂNTICO','FLORIANOPOLIS','SC','124242241215111432458633576114610127055',9172,'1022',53.32,1,3,NULL),(15,2158680,'1988-08-30 00:00:00',2,5,11,2005,'F','N','BAIXADA','NOVA VENEZA','SC','124241241415573431556732272122610137147',252,'226',79.27,1,3,NULL),(15,2158698,'1990-02-12 00:00:00',2,1,12,2007,'F','N','APARECIDA','SANTOS','SP','125251251217371731456613235122610143117',NULL,'9998',0.00,1,3,NULL),(15,2158701,'1986-01-21 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','224281283117371431226454482124610161095',12147,'9998',48.79,1,2,1),(15,2158710,'1989-05-24 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','125252251217472431578634594115610134117',6214,'9998',58.62,1,3,NULL),(15,2158728,'1978-12-06 00:00:00',2,1,12,1995,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124201201116372421124644245134610164147',9290,'9998',53.13,1,2,1),(15,2158736,'1990-02-09 00:00:00',4,8,12,2007,'F','N','NORDESTE','FORMOSA','GO','109092091215111421574716572122610168147',NULL,'9998',0.00,1,3,NULL),(15,2158744,'1991-04-24 00:00:00',2,9,12,2007,'F','N','CENTRO','LAGES','SC','124244241215131431333521575125610114192',5240,'497',60.64,1,3,NULL),(15,2158752,'1987-05-31 00:00:00',4,1,11,2004,'M','N','JARDIM NOVO MUNDO II','POCOS DE CALDAS','MG','125131131217572431569831575324610167047',NULL,'9998',0.00,1,3,NULL),(15,2158760,'1983-02-23 00:00:00',4,1,12,1999,'M','N','INGLESES','FLORIANOPOLIS','SC','124243241216134421251929485122320267047',8904,'272',53.83,1,3,NULL),(15,2158779,'1990-12-10 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241215112231336613572114610128017',13646,'1022',46.69,1,3,NULL),(15,2158787,'1990-12-12 00:00:00',4,2,11,2007,'F','N','VILA FORMOSA','BLUMENAU','SC','124242241215271431468924574112610123182',1411,'87',71.59,1,3,NULL),(15,2158795,'1990-10-30 00:00:00',2,1,12,2007,'F','N','VENDAVAL','BIGUACU','SC','124241241215111431334412575114610127093',17648,'1022',40.87,1,3,NULL),(15,2158809,'1990-04-25 00:00:00',4,1,11,2007,'M','N','BOM VIVER','BIGUACU','SC','124243241115271721356811572124610127183',3127,'271',65.77,1,3,NULL),(15,2158817,'1990-04-09 00:00:00',1,2,12,2007,'F','N','CENTRO','POMERODE','SC','124242241217111711468614575122610124122',11457,'624',49.76,1,3,NULL),(15,2158825,'1989-08-12 00:00:00',4,7,12,2006,'F','N','CENTRO','HERVAL D OESTE','SC','124242241215372431338627395125610136142',3317,'454',65.22,1,3,NULL),(15,2158833,'1989-07-09 00:00:00',2,1,12,2007,'F','N','PRADO','BIGUACU','SC','124241241116131531525513436124610113142',21415,'65',33.93,1,2,1),(15,2158841,'1989-10-19 00:00:00',4,1,12,2007,'F','N','PASSA VINTE','PALHOCA','SC','124242241112131431323314572224610134187',NULL,'307',18.34,1,3,NULL),(15,2158876,'1986-12-07 00:00:00',4,1,12,2004,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215275712349932595112231067125',NULL,'262',0.00,1,3,NULL),(15,2158884,'1990-04-19 00:00:00',4,2,12,2007,'F','N','BAIRRO','BLUMENAU','SC','124244241217111431434631176124610166072',3943,'71',63.61,1,3,NULL),(15,2158892,'1990-08-03 00:00:00',2,1,12,2007,'F','N','STA CRUZ DA FIGUEIRA','AGUAS MORNAS','SC','124241241115131411643313595124610123017',22496,'978',28.83,1,2,1),(15,2158906,'1990-04-08 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244241216111431625723242224610167147',13278,'1022',47.20,1,3,NULL),(15,2158922,'1990-02-20 00:00:00',4,1,11,2007,'F','N','CENTRO','AMERICANA','SP','125252251215111441588614572112610126147',8343,'9998',54.78,1,3,NULL),(15,2158930,'1990-04-11 00:00:00',2,1,11,2007,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124243248215111431336613392121610117057',11158,'1011',50.22,1,3,NULL),(15,2158949,'1986-11-25 00:00:00',4,3,12,2006,'F','N','GUILHERMINA','PRAIA GRANDE','SP','125253258114471431256719475114610134197',NULL,'9998',7.30,2,3,NULL),(15,2158957,'1989-06-06 00:00:00',4,1,12,2006,'M','N','MANDAQUI','SAO PAULO','SP','125252251217471431468814572112610137054',4899,'9998',61.32,1,3,NULL),(15,2158973,'1991-09-04 00:00:00',4,1,12,2008,'F','S','FORQUILHAS','SAO JOSE','SC','124241245116151431433614572124610164177',NULL,'733',32.69,1,3,NULL),(15,2158981,'1990-01-14 00:00:00',4,1,11,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124243241215271441446923575124610168112',12193,'1023',48.74,1,3,NULL),(15,2158990,'1989-08-23 00:00:00',4,1,11,2007,'M','N','SANTOS DUMONT','SAO JOSE','SC','124241241127131431425324342334610167047',22053,'295',32.09,2,2,1),(15,2159007,'1988-02-22 00:00:00',2,9,12,2005,'F','N','CENTRO','LAGES','SC','124243241215573411459711585124610161147',5810,'499',59.45,1,3,NULL),(15,2159015,'1988-03-04 00:00:00',2,1,12,2005,'M','N','UNIVERSITARIO','TIJUCAS','SC','124242241212112211458832342122121417142',NULL,'270',0.00,1,3,NULL),(15,2159023,'1989-04-11 00:00:00',4,10,12,2006,'M','N','JARDIN DAS AVENIDAS','ARARANGUA','SC','124242241217372431456854272122610124197',4790,'32',61.55,1,3,NULL),(15,2159031,'1988-09-08 00:00:00',4,1,11,2005,'F','N','SANTA CRUZ','RIBEIRAO PRETO','SP','126252251215571431457912572122610122142',NULL,'9998',0.00,1,3,NULL),(15,2159040,'1990-05-07 00:00:00',4,1,12,2007,'M','N','CENTRO','GAROPABA','SC','124241241146141431336623145121610128057',20687,'322',35.52,1,2,1),(15,2159058,'1991-10-06 00:00:00',4,3,12,2008,'F','S','SANTO INÁCIO','FREDERICO WESTPHALEN','RS','120201201217161431489933575122610148017',NULL,'9998',49.13,1,3,NULL),(15,2159066,'1990-10-22 00:00:00',4,5,10,2007,'F','N','CENTRO','COCAL DO SUL','SC','124242241215111431449732592124610133092',19609,'213',37.59,1,3,NULL),(15,2159074,'1990-04-01 00:00:00',4,8,12,2007,'F','N','JARDIM IRIRIU','JOINVILLE','SC','124241241215131451426127575124610125122',11268,'459',50.05,1,3,NULL),(15,2159082,'1986-09-22 00:00:00',4,1,12,2004,'M','N','JARDIM INDEPENDENCIA','RIBEIRAO PRETO','SP','125251251217573431568832575124240267047',9259,'9998',53.18,3,3,NULL),(15,2159090,'1990-01-03 00:00:00',2,7,12,2007,'F','N','DAS NAÇÕES','CONCORDIA','SC','124241241116471411434614575122610162172',15542,'194',44.07,3,2,1),(15,2159104,'1990-02-18 00:00:00',4,2,12,2007,'F','N','GARCIA','BLUMENAU','SC','124243241215111431438632175122610123142',7182,'71',56.83,1,3,NULL),(15,2159112,'1985-11-30 00:00:00',4,1,12,2003,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124242241216153431468633495124223263185',7005,'262',57.14,1,3,NULL),(15,2159120,'1988-09-13 00:00:00',4,8,12,2006,'M','N','FLORESTA','JOINVILLE','SC','124052241216471731569923575122610122147',7079,'932',57.00,4,3,NULL),(15,2159139,'1985-12-20 00:00:00',4,1,12,2003,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215575441438714274124132166197',1380,'882',71.76,1,3,NULL),(15,2159147,'1984-01-27 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124161207326571422121643132214610122097',NULL,'9998',33.04,1,3,NULL),(15,2159155,'1990-07-16 00:00:00',4,8,12,2007,'M','N','JARDIM PRIMAVERA','PATO BRANCO','PR','116162161216371431257934475122610164012',16977,'9998',41.91,1,3,NULL),(15,2159163,'1983-04-13 00:00:00',2,1,11,2003,'M','N','BARREIROS','SAO JOSE','SC','624241247122111431235544141324142925013',NULL,'635',23.15,1,3,NULL),(15,2159171,'1986-10-05 00:00:00',2,6,12,2003,'F','N','CAJURU','CURITIBA','PR','116163161317571751238719571124143234187',NULL,'9998',0.00,1,3,NULL),(15,2159180,'1989-04-21 00:00:00',2,1,9,2007,'F','N','BELA VISTA II','SAO JOSE','SC','124242247212151721646512572312610138182',NULL,'9999',0.00,2,3,NULL),(15,2159198,'1991-02-20 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241215111412469813572122610134096',7161,'497',56.86,1,3,NULL),(15,2159210,'1988-03-27 00:00:00',2,4,12,2005,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','124203201227571111354715292124610124147',8267,'9998',54.90,1,3,NULL),(15,2159228,'1985-05-07 00:00:00',2,5,7,2003,'M','N','CENTRO','TREVISO','SC','124241248216132721633479582124231467187',8429,'995',54.64,4,3,NULL),(15,2159236,'1978-02-20 00:00:00',4,1,12,1995,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','224202201217142711278843435122320737067',3105,'9998',65.84,1,3,NULL),(15,2159244,'1989-08-23 00:00:00',4,1,8,2007,'M','N','BARREIROS','SAO JOSE','SC','124242247215371531536514471121610167057',16618,'9999',42.43,1,3,NULL),(15,2159260,'1989-03-08 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215372431448714574124610162197',4147,'882',63.06,1,3,NULL),(15,2159287,'1987-10-07 00:00:00',2,8,12,2004,'F','N','JARDIM GLOBAL','UMUARAMA','PR','116161161216572411335631571124610162077',NULL,'9998',0.00,1,3,NULL),(15,2159295,'1990-08-01 00:00:00',2,1,12,2007,'F','N','COLINA VERDE','AVARE','SP','125252251217111411358813474122610164057',NULL,'9998',0.00,1,3,NULL),(15,2159309,'1987-05-21 00:00:00',2,1,12,2004,'M','N','MACACU','GAROPABA','SC','124241241122141432221329292213610167047',NULL,'322',30.95,1,2,1),(15,2159317,'1990-10-13 00:00:00',4,1,12,2006,'M','N','MARIA ISABEL','MARILIA','SP','125252251216121411588614445112610167062',19899,'9998',37.01,4,3,NULL),(15,2159325,'1990-05-23 00:00:00',4,8,12,2007,'F','N','CENTRO','CORUPA','SC','124244248217121711539811592124610133012',17979,'422',40.34,1,3,NULL),(15,2159333,'1990-08-09 00:00:00',4,8,12,2007,'F','N','JARDIM IRIRIU','JOINVILLE','SC','124241241215131451424364572324610124142',7204,'459',56.78,4,3,NULL),(15,2159341,'1988-11-17 00:00:00',4,1,8,2007,'M','N','CENTRO','SAO JOSE','SC','124242244215372411438413571114610124097',20064,'269',36.70,4,3,NULL),(15,2159350,'1990-02-02 00:00:00',2,1,11,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242241215372431658924282112610134172',6267,'737',58.51,1,3,NULL),(15,2159368,'1989-01-28 00:00:00',4,5,12,2006,'F','N','DIVINÉIA','ARARANGUA','SC','124162161216472431436931594124610166191',NULL,'9998',0.00,1,3,NULL),(15,2159414,'1987-07-26 00:00:00',4,4,12,2003,'F','N','SÃO CRISTOVÃO','CHAPECO','SC','124241241215574451436913242325610168187',5399,'185',60.29,1,3,NULL),(15,2159422,'1990-05-25 00:00:00',4,1,12,2007,'M','N','PALHOÇA','PALHOCA','SC','124242241217151311647712574124610164075',9375,'1011',53.00,1,3,NULL),(15,2159430,'1990-09-08 00:00:00',4,1,12,2007,'F','N','VILA BELMIRO','SANTOS','SP','125254251117471531458814572124610133047',20486,'9998',35.90,1,3,NULL),(15,2159449,'1989-05-30 00:00:00',4,8,11,2006,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241215472431457411572124610122092',9641,'457',52.51,1,3,NULL),(15,2159457,'1985-07-04 00:00:00',2,1,12,2003,'F','N','CAMPECHE','FLORIANOPOLIS','SC','224243244311332431659613482124610134145',20352,'307',36.14,1,3,NULL),(15,2159465,'1990-03-17 00:00:00',2,10,12,2007,'F','N','MORRO GRANDE','SANGAO','SC','124241241126131431535915572223610134147',15020,'685',44.77,1,2,1),(15,2159481,'1989-03-10 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124094091117372111448838575125610168097',NULL,'9998',0.00,1,3,NULL),(15,2159490,'1990-09-16 00:00:00',4,3,12,2007,'M','N','CENTRO','NOVA TRENTO','SC','124241242115131431328623174124610164057',14505,'129',45.40,1,2,1),(15,2159503,'1989-07-03 00:00:00',2,5,12,2006,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124241241135371411534314345124610168147',5876,'577',59.30,1,2,1),(15,2159511,'1990-01-14 00:00:00',4,1,12,2007,'M','N','FORQUILHAS','SAO JOSE','SC','124243241116131431336414572214610134147',22239,'733',31.32,1,3,NULL),(15,2159520,'1988-07-10 00:00:00',2,4,12,2005,'M','N','TONIAL','XANXERE','SC','124241248116131431336414442114610168047',NULL,'840',0.00,1,2,1),(15,2159538,'1990-03-13 00:00:00',2,8,12,2007,'F','N','PROGRESSO','SAO BENTO DO SUL','SC','124241241116371731545612212332610124052',20727,'697',35.44,1,3,NULL),(15,2159546,'1990-05-12 00:00:00',4,7,12,2007,'F','N','CENTRO','MAXIMILIANO DE ALMEIDA','RS','120201201225121431536334571124610124142',10424,'9998',51.31,1,3,NULL),(15,2159554,'1988-07-05 00:00:00',2,1,12,2006,'M','N','AQUI SE VIVE','INDAIATUBA','SP','125252256115152431438811475122610167042',1054,'9998',73.21,1,3,NULL),(15,2159562,'1990-05-26 00:00:00',4,8,12,2007,'F','N','VILA NHOCUNÉ','SAO PAULO','SP','125252251216111531536839591125610163147',13855,'9998',46.38,1,3,NULL),(15,2159570,'1989-11-14 00:00:00',2,1,12,2007,'F','N','ARIRIÚ','PALHOCA','SC','124244241112131431323324572324610127147',21191,'772',34.45,1,3,NULL),(15,2159589,'1991-12-03 00:00:00',4,2,12,2008,'F','S','COLONIAL','SAO BENTO DO SUL','SC','124242241215111431369912275122610144012',NULL,'1114',57.65,1,3,NULL),(15,2159600,'1987-04-17 00:00:00',2,1,12,2004,'F','N','JD LONDRILAR','LONDRINA','PR','116162161314571431366834574124610162196',3786,'9998',64.00,1,3,NULL),(15,2159619,'1990-06-26 00:00:00',4,2,11,2007,'M','N','FORTALEZA','BLUMENAU','SC','124243241215141231359833575124610134017',17974,'1018',40.35,1,3,NULL),(15,2159627,'1991-02-19 00:00:00',4,4,12,2007,'M','N','ALVORADA','FRANCISCO BELTRAO','PR','116162161217111431353312475112610138172',11356,'9998',49.90,1,3,NULL),(15,2159635,'1989-03-02 00:00:00',4,1,12,2005,'M','N','VILA BELMIRO','SANTOS','SP','125252251217573731468814575124610127157',9851,'9998',52.18,1,3,NULL),(15,2159643,'1989-09-28 00:00:00',4,5,11,2007,'F','N','COMECIÁRIO','CRICIUMA','SC','124242241217111411438814576122610137072',446,'226',77.25,1,3,NULL),(15,2159660,'1990-07-18 00:00:00',4,8,12,2007,'M','N','BUCAREIN','JOINVILLE','SC','124242241216111431429813576112610137142',1921,'459',69.52,1,3,NULL),(15,2159678,'1988-06-22 00:00:00',4,8,12,2005,'F','N','AGUA VERDE','CURITIBA','PR','116242161215413431258813572124610122142',28,'9998',83.95,1,3,NULL),(15,2159686,'1984-10-04 00:00:00',4,1,5,2002,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241246116131431323419295122133226142',11853,'306',49.17,1,2,1),(15,2159694,'1990-07-23 00:00:00',4,4,12,2007,'F','N','PALMITAL','CHAPECO','SC','124241241115371431428324572222610121147',17810,'169',40.65,1,2,1),(15,2159708,'1990-10-17 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124244241216131431426631575214610167112',15249,'944',44.48,1,3,NULL),(15,2159716,'1990-01-08 00:00:00',4,1,12,2007,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215371431478811575112610136077',1378,'262',71.76,1,3,NULL),(15,2159732,'1990-09-21 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241212122431189932572214610124052',6272,'270',58.50,1,3,NULL),(15,2159740,'1990-01-17 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215111431568811372124610132111',9352,'269',53.04,1,3,NULL),(15,2159759,'1990-05-11 00:00:00',4,8,12,2007,'F','N','JARDIM NORDESTE','SAO PAULO','SP','125252251216111431536833131125610167147',16778,'9998',42.21,4,3,NULL),(15,2159767,'1991-07-30 00:00:00',4,10,12,2008,'F','S','LADO DA UNIÃO','BRACO DO NORTE','SC','124241241217131431243923285124610133147',NULL,'270',44.70,1,3,NULL),(15,2159775,'1982-10-21 00:00:00',2,1,12,1999,'M','N','CAMPINAS','SAO JOSE','SC','224242241316123431346353342132320227113',NULL,'724',0.00,1,3,NULL),(15,2159791,'1989-09-09 00:00:00',2,4,12,2007,'M','N','JARDIM ITÁLIA','CHAPECO','SC','124241241115371431448711342122610132147',13624,'169',46.72,1,2,1),(15,2159805,'1988-09-20 00:00:00',2,1,11,2006,'M','N','PANTANO DO SUL','FLORIANOPOLIS','SC','124244241212152431458613572124133227042',17584,'1036',40.96,1,3,NULL),(15,2159813,'1990-08-31 00:00:00',4,5,11,2007,'F','N','CENTRO','MORRO DA FUMACA','SC','124242241215131431535532272124610121147',20071,'880',36.68,1,3,NULL),(15,2159821,'1989-03-01 00:00:00',2,1,12,2006,'F','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124241241117272431544429392244610124051',21960,'281',32.40,1,2,1),(15,2159830,'1989-08-14 00:00:00',3,6,11,2007,'F','N','CORDEIROS','ITAJAI','SC','124251241137471431556614572124610138057',NULL,'401',21.10,1,2,1),(15,2159848,'1990-12-27 00:00:00',4,1,11,2007,'M','N','CENTRO','ALTONIA','PR','116162161216111331458613575121610137041',4104,'9998',63.18,1,3,NULL),(15,2159856,'1988-09-07 00:00:00',2,4,12,2005,'F','N','CENTRO','SANTA MARIA','RS','120241241316471431553914572214610123012',NULL,'994',31.45,1,3,NULL),(15,2159864,'1990-07-06 00:00:00',4,1,12,2007,'F','N','PASSA VINTE','PALHOCA','SC','124161241145111431433511381222610134147',NULL,'591',22.68,1,3,NULL),(15,2159872,'1989-10-26 00:00:00',4,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116162161215471431169923274224610124032',NULL,'9998',0.00,1,3,NULL),(15,2159880,'1991-11-15 00:00:00',4,3,12,2009,'F','S','CENTRO','BALNEARIO CAMBORIU','SC','124242241215121531538823572125610132177',NULL,'44',51.97,1,3,NULL),(15,2159899,'1987-09-11 00:00:00',4,4,12,2004,'F','N','ZONA SETE','MARINGA','PR','116164168215572431457614472115610134142',NULL,'9998',0.00,3,3,NULL),(15,2159902,'1982-12-16 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241216155431168811572324221437042',6042,'855',58.99,1,3,NULL),(15,2159937,'1980-03-18 00:00:00',4,1,12,1997,'M','N','MONTE CASTELO','CAXIAS DO SUL','RS','120202201216311421333812111224141432057',11931,'9998',49.06,1,3,NULL),(15,2159945,'1981-04-16 00:00:00',2,1,12,1998,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241237445731336412395122331227047',2149,'262',68.79,1,3,NULL),(15,2159953,'1990-12-19 00:00:00',4,8,10,2007,'M','N','CENTRO','JOINVILLE','SC','124242241215111231679654575122610167037',6147,'486',58.76,1,3,NULL),(15,2159961,'1987-09-26 00:00:00',2,1,12,2005,'M','N','CAMPO DUNA','GAROPABA','SC','124241241121131431424615291214610127047',20655,'322',35.58,1,3,NULL),(15,2159970,'1989-03-04 00:00:00',4,5,12,2006,'M','N','COLONINHA','ARARANGUA','SC','124241241136472441438613275121610162032',1506,'29',71.17,1,2,1),(15,2159988,'1977-10-18 00:00:00',4,1,12,1994,'M','N','ITACORUBI','FLORIANOPOLIS','SC','224242241215112731266843414122322464193',3488,'541',64.79,1,3,NULL),(15,2159996,'1989-10-29 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241145131731533379291234610168077',NULL,'257',25.71,1,3,NULL),(15,2160005,'1989-08-26 00:00:00',2,1,12,2006,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124242241215272431434619595114610112182',7201,'270',56.79,1,3,NULL),(15,2160013,'1987-05-02 00:00:00',4,1,12,2005,'F','N','IGUAÇU','IPATINGA','MG','113134137636151411263624575124140247142',16760,'9999',42.24,1,3,NULL),(15,2160021,'1982-09-02 00:00:00',2,1,9,2005,'F','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124241247326272431213348381314610164197',NULL,'9999',26.15,2,1,2),(15,2160030,'1989-11-07 00:00:00',4,4,12,2007,'M','N','BELA VISTA','CHAPECO','SC','124241241126131431558614344124610167047',10093,'180',51.79,1,2,1),(15,2160048,'1987-08-17 00:00:00',4,8,12,2004,'M','N','FUNDAÇÃO','SAO CAETANO DO SUL','SP','125251251117131431428319491325610112032',5929,'9998',59.20,1,2,1),(15,2160056,'1990-07-31 00:00:00',4,1,11,2008,'F','S','CACUPÉ','FLORIANOPOLIS','SC','124242241217111431478923375122610162182',NULL,'270',38.68,1,3,NULL),(15,2160064,'1990-01-10 00:00:00',4,3,11,2007,'M','N','BARRA DO RIO MOLHA','JARAGUA DO SUL','SC','124242241215111441238611215124610124092',4631,'491',61.94,1,3,NULL),(15,2160072,'1988-01-27 00:00:00',2,1,12,2007,'M','N','PASSA VINTE','PALHOCA','SC','124241247227111431643319193211610162142',NULL,'9999',0.00,1,3,NULL),(15,2160080,'1990-02-10 00:00:00',2,10,12,2007,'F','N','MAR GROSSO','LAGUNA','SC','124241241217131321523326292124610127147',19824,'525',37.17,1,3,NULL),(15,2160099,'1982-03-04 00:00:00',4,1,12,2000,'M','N','JARDIM CAMBURI','VITORIA','ES','108084081316271431427744145334140267087',NULL,'9998',0.00,4,3,NULL),(15,2160102,'1989-05-15 00:00:00',4,3,11,2006,'F','N','CAPAO RASO','CURITIBA','PR','116162161214472741331427575124610116097',258,'9998',79.22,1,3,NULL),(15,2160110,'1989-12-29 00:00:00',4,6,12,2007,'M','N','VILA OPERARIA','ITAJAI','SC','124244241435111721239729592112610114187',21121,'270',34.61,1,3,NULL),(15,2160129,'1990-04-18 00:00:00',4,5,12,2007,'F','N','CENTRO','JACINTO MACHADO','SC','124241241415471751446923595122610167092',20266,'970',36.30,1,3,NULL),(15,2160137,'1990-04-24 00:00:00',4,8,12,2007,'M','N','AMÉRICA','JOINVILLE','SC','124242241215112431469714575122610127092',2298,'1063',68.24,1,3,NULL),(15,2160145,'1988-09-20 00:00:00',4,1,12,2005,'M','N','JARDIM APOLO','SAO JOSE DOS CAMPOS','SP','125252251217571411479913571122610112147',995,'9998',73.57,1,3,NULL),(15,2160161,'1989-06-07 00:00:00',4,1,12,2006,'F','N','JARDIM CALIFORNIA','BRAGANCA PAULISTA','SP','125252251215411431547914572122610163187',9422,'9998',52.91,1,3,NULL),(15,2160188,'1989-07-24 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241215472431368833571124610124142',5233,'270',60.65,1,3,NULL),(15,2160196,'1991-01-21 00:00:00',4,10,11,2007,'F','N','HUMAITÁ','TUBARAO','SC','124241241235111431468813572122610157057',16897,'809',42.01,1,3,NULL),(15,2160200,'1988-03-03 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124161161126471731334439295322610127012',19534,'9998',37.75,1,2,1),(15,2160218,'1990-01-13 00:00:00',2,5,11,2007,'F','N','IGRA','TORRES','RS','120201201415121441363332575122610146057',1728,'9998',70.28,1,3,NULL),(15,2160226,'1989-09-29 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112711533821591124610162182',7389,'1022',56.43,1,3,NULL),(15,2160242,'1991-07-26 00:00:00',4,7,11,2008,'F','S','CENTRO','JOACABA','SC','624242241215131732546911215125610143077',NULL,'446',38.17,1,3,NULL),(15,2160250,'1990-11-14 00:00:00',2,4,11,2007,'F','N','CENTRO','GUARACIABA','SC','124244241215131431447413471222610162152',7207,'752',56.78,1,3,NULL),(15,2160277,'1989-10-27 00:00:00',2,5,11,2007,'M','N','SANTA BÁRBARA','CRICIUMA','SC','124242241217112732548712592121610167062',1531,'226',71.07,1,3,NULL),(15,2160285,'1988-06-12 00:00:00',2,1,11,2006,'F','N','JARDIM ROMA','PIRASSUNUNGA','SP','113131131116131731323316595224241364147',NULL,'9998',0.00,1,3,NULL),(15,2160293,'1990-07-03 00:00:00',2,10,12,2006,'M','N','CRISTO REDENTOR','PORTO ALEGRE','RS','120201201116131431223613391324610164042',16776,'9998',42.21,1,2,1),(15,2160307,'1991-02-06 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241222131431336411245124610133052',19270,'262',38.22,1,3,NULL),(15,2160315,'1990-06-25 00:00:00',4,1,12,2007,'M','N','CENTRO','SANTA ROSA','RS','120201201117151431469934575122610162042',9532,'9998',52.71,1,2,1),(15,2160323,'1989-07-21 00:00:00',4,10,11,2006,'F','N','AZAMBUJA','PEDRAS GRANDES','SC','124241248212472431646515472124610127147',9675,'806',52.46,1,3,NULL),(15,2160331,'1990-08-10 00:00:00',4,2,12,2007,'F','N','SANTANA','RIO DO SUL','SC','124242241215112431478713572122610164092',6222,'991',58.60,1,3,NULL),(15,2160340,'1991-12-20 00:00:00',4,1,12,2009,'M','S','CAMPECHE','FLORIANOPOLIS','SC','124242241215111411468633472124610166092',NULL,'270',51.44,1,3,NULL),(15,2160358,'1988-10-27 00:00:00',4,3,12,2005,'F','N','JARDIM ESPERANÇA','CANOINHAS','SC','124162161116572431467819575122610133097',4435,'9998',62.41,1,3,NULL),(15,2160366,'1988-09-15 00:00:00',3,1,11,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124132131215143431433331495121221466022',5279,'9998',60.56,1,3,NULL),(15,2160374,'1989-10-25 00:00:00',4,10,12,2007,'M','N','CENTRO','TREZE DE MAIO','SC','124241241114271411468633575122610132012',16945,'793',41.94,1,3,NULL),(15,2160382,'1989-07-22 00:00:00',2,1,12,2006,'F','N','CENTRO','CAMPO MOURAO','PR','116161161116142411636639391115610163142',NULL,'9998',23.95,1,2,1),(15,2160390,'1984-09-23 00:00:00',2,1,7,2004,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124252247417271431526612415122233267097',21554,'9999',33.62,1,3,NULL),(15,2160404,'1989-10-06 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215112431439914472125610127127',6497,'213',58.08,1,3,NULL),(15,2160412,'1982-03-26 00:00:00',4,1,12,1999,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','224241241126275431258754347123122267097',8797,'307',54.01,1,2,1),(15,2160420,'1990-05-21 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241212112411423923594124610165147',7594,'1022',56.04,1,3,NULL),(15,2160439,'1990-02-12 00:00:00',2,9,12,2007,'F','N','VILA MARIANA','TAIO','SC','124241241216131531446812575124610128057',11574,'776',49.60,1,3,NULL),(15,2160447,'1986-04-07 00:00:00',4,1,8,2004,'M','N','GRANJA VIANA','COTIA','SP','125252281417574431488834575112610167047',1858,'9998',69.75,1,3,NULL),(15,2160455,'1989-09-22 00:00:00',2,5,11,2006,'F','N','RAICHASKI','ICARA','SC','124244241215372431334739575124610124192',6274,'995',58.50,1,3,NULL),(15,2160463,'1986-09-11 00:00:00',4,4,12,2005,'F','N','PRESIDENTE MEDICI','CHAPECO','SC','124241241117111431566414575122130622122',20640,'169',35.61,1,2,1),(15,2160471,'1990-08-15 00:00:00',4,4,12,2007,'F','N','CIVEMARA','MARAVILHA','SC','124241241116131431534612175321610126077',15019,'551',44.77,1,2,1),(15,2160480,'1991-03-19 00:00:00',4,5,12,2007,'F','N','URUSSANGUINHA','ARARANGUA','SC','124242241216131431326419575122610164172',12670,'26',48.03,1,3,NULL),(15,2160498,'1984-05-17 00:00:00',4,6,12,2001,'F','N','FIGUEIRA','GASPAR','SC','124242241212575431355619292224610162147',3400,'328',65.00,1,3,NULL),(15,2160501,'1989-03-24 00:00:00',2,9,11,2006,'F','N','PORTÃO','CURITIBA','PR','116162161235571431368613372124610136072',6686,'9998',57.76,1,3,NULL),(15,2160510,'1988-08-27 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117471431321421452314610163047',NULL,'281',22.58,1,3,NULL),(15,2160528,'1990-08-30 00:00:00',4,1,12,2007,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124241241125131431633335345124610124117',18834,'282',38.94,1,2,1),(15,2160544,'1990-03-09 00:00:00',4,8,12,2007,'M','N','JARAGUÁ ESQUERDO','JARAGUA DO SUL','SC','124241241216121431524614572221610127042',16131,'1061',43.18,1,3,NULL),(15,2160560,'1990-09-04 00:00:00',2,1,12,2007,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124243241235121431336614572124610134162',4242,'1022',62.82,4,3,NULL),(15,2160579,'1990-05-31 00:00:00',4,1,12,2007,'M','N','CENTRO','SANTO ANGELO','RS','120202201216151231246612375122610167057',15986,'9998',43.41,1,3,NULL),(15,2160587,'1981-11-03 00:00:00',2,1,12,1998,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242248237153751238879395135123268185',NULL,'206',0.00,1,3,NULL),(15,2160595,'1988-03-10 00:00:00',4,1,12,2006,'M','N','CENTRO','RIO BRILHANTE','MS','112122241217472431469831475112610137092',15987,'270',43.41,1,3,NULL),(15,2160609,'1987-06-15 00:00:00',4,1,12,2004,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124251251217374411547614315124610164042',696,'9998',75.39,1,3,NULL),(15,2160617,'1990-02-15 00:00:00',4,3,12,2007,'M','N','FERRARÓPOLIS','GARCA','SP','125254251217111711378613571122610167057',652,'9998',75.71,4,3,NULL),(15,2160625,'1990-04-15 00:00:00',4,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124241241215111431236623572125610147185',1109,'737',72.99,1,3,NULL),(15,2160633,'1989-09-21 00:00:00',2,1,11,2007,'F','N','CPATRES SETORQUATRO','CUIABA','MT','111112111217121431356624472122610123142',NULL,'9998',0.00,4,3,NULL),(15,2160641,'1987-07-03 00:00:00',4,5,6,2005,'M','N','CARAVAGGIO','NOVA VENEZA','SC','124241246217151741338644345124231467067',7840,'995',55.62,1,3,NULL),(15,2160650,'1990-11-05 00:00:00',2,3,11,2007,'F','N','VILA NOVA','PORTO BELO','SC','124241241415171431459713575125610134197',2306,'403',68.23,1,3,NULL),(15,2160668,'1990-06-24 00:00:00',4,1,11,2007,'F','N','VILA EUROPA','RESERVA DO IGUACU','PR','116161161217271431479934375112610164097',NULL,'9998',0.00,1,3,NULL),(15,2160676,'1989-02-15 00:00:00',4,1,6,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124243241117113431458833371124221466092',963,'306',73.70,3,3,NULL),(15,2160684,'1988-12-21 00:00:00',2,1,12,2006,'F','N','PROGRESSO','TUNAPOLIS','SC','124241241146131431435614341114610127077',14130,'812',45.99,1,2,1),(15,2160692,'1984-08-17 00:00:00',2,1,12,2001,'F','N','FUNDO CANOAS','RIO DO SUL','SC','124243241316374431436631575115610162147',537,'663',76.53,1,3,NULL),(15,2160706,'1989-04-27 00:00:00',4,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241146372431424334284314610163147',16408,'818',42.74,4,2,1),(15,2160714,'1990-06-29 00:00:00',4,1,11,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215122431588712575122610167145',2872,'270',66.54,1,3,NULL),(15,2160722,'1990-07-06 00:00:00',4,3,12,2007,'M','N','FERRARÓPOLIS','GARCA','SP','125251251217111731334311572125610167057',1666,'9998',70.50,4,3,NULL),(15,2160749,'1990-01-25 00:00:00',4,10,12,2007,'F','N','CONDE DEU','ORLEANS','SC','124241241136371431448611272222610124147',13187,'580',47.35,1,2,1),(15,2160757,'1979-09-06 00:00:00',2,1,7,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','224241247127271721433344442334610143045',NULL,'9999',22.62,1,2,1),(15,2160765,'1990-03-22 00:00:00',4,1,11,2007,'F','N','JARDIM GUANABARA','CUIABA','MT','111114111416111431558812274125610133177',4508,'9998',62.23,1,3,NULL),(15,2160773,'1989-04-25 00:00:00',4,8,12,2006,'M','N','CENTRO','JARAGUA DO SUL','SC','124242241215272432455632272112231467142',2489,'441',67.65,1,3,NULL),(15,2160781,'1991-10-29 00:00:00',4,6,12,2008,'F','S','JARDIM MALUCHE','BRUSQUE','SC','124242241215111431338813572122610132187',NULL,'109',60.89,1,3,NULL),(15,2160790,'1988-09-10 00:00:00',2,6,12,2006,'M','N','SÃO VICENTE','ITAJAI','SC','124241241217573431333369576214610165147',6336,'1058',58.39,1,3,NULL),(15,2160803,'1990-03-15 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242241215111731456513192124610121052',3844,'270',63.88,1,3,NULL),(15,2160820,'1989-09-19 00:00:00',4,1,12,2007,'M','N','SETOR JAÓ','GOIANIA','GO','109092091216111432439513575121610128092',2784,'9998',66.79,1,3,NULL),(15,2160838,'1990-05-25 00:00:00',2,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215111431346633575125610124142',4794,'723',61.53,1,3,NULL),(15,2160854,'1990-05-07 00:00:00',4,4,12,2007,'F','N','INDUSTRIAL','SEARA','SC','124243241216111711448914475124610164182',NULL,'1047',0.00,1,3,NULL),(15,2160870,'1991-02-17 00:00:00',4,1,12,2008,'M','S','AGRONOMICA','FLORIANOPOLIS','SC','124244241215121431569913575124610127062',NULL,'1022',30.22,1,3,NULL),(15,2160919,'1989-02-27 00:00:00',4,1,12,2006,'M','N','CENTRO','ANDRADAS','MG','113132131215371411342832572125610164047',3928,'9998',63.66,1,3,NULL),(15,2160927,'1989-01-28 00:00:00',4,1,12,2006,'M','N','SANTA ROSALIA','SOROCABA','SP','125252251215471431486812575112610124147',NULL,'9998',0.00,1,3,NULL),(15,2160935,'1990-03-21 00:00:00',2,5,12,2007,'M','N','CENTRO','ARARANGUA','SC','124242241215371431376712575122610137042',8130,'970',55.13,1,3,NULL),(15,2160943,'1989-03-05 00:00:00',2,1,12,2006,'F','N','PARQUE MARIA ALICE','SAO PAULO','SP','125252251217471411448833575122610146184',5898,'9998',59.26,4,3,NULL),(15,2160960,'1990-10-22 00:00:00',4,7,11,2007,'M','N','CENTRO','CAMPOS NOVOS','SC','124244241216271431458939574122610127052',4383,'138',62.51,1,3,NULL),(15,2160986,'1990-10-01 00:00:00',4,8,12,2007,'F','N','CLEMENTINA','MAFRA','SC','124241161215131431439614372122610127017',NULL,'9998',0.00,1,3,NULL),(15,2160994,'1972-12-03 00:00:00',4,1,12,1994,'F','N','BOM JESUS','CACADOR','SC','124241248127132431554344342115132822147',22275,'121',31.18,1,3,NULL),(15,2161001,'1991-06-20 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215111431468831575122610166072',2248,'737',68.43,1,3,NULL),(15,2161010,'1990-04-20 00:00:00',4,2,12,2007,'F','N','JARDIM AMÉRICA','RIO DO SUL','SC','124242241215372731478839572122610164042',7433,'9997',56.35,1,3,NULL),(15,2161028,'1990-07-29 00:00:00',2,1,11,2007,'F','N','CENTRO','SAO JOAQUIM','SC','124242241215271431565816575122610137017',21905,'1035',32.59,3,3,NULL),(15,2161036,'1989-12-25 00:00:00',4,4,11,2007,'M','N','CENTRO','ERECHIM','RS','120202201215271431356923574112610116012',11804,'9998',49.25,1,3,NULL),(15,2161044,'1977-01-17 00:00:00',2,1,12,1994,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','624241241122313421423443432324610128177',7444,'281',56.34,4,2,1),(15,2161052,'1987-10-29 00:00:00',4,8,12,2005,'F','N','GLÓRIA','JOINVILLE','SC','124241241215573431568834572124610132091',806,'494',74.69,1,3,NULL),(15,2161079,'1988-03-31 00:00:00',4,3,12,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241315372431546632245135610127117',6443,'49',58.18,1,3,NULL),(15,2161087,'1982-01-29 00:00:00',2,1,12,1999,'F','N','CARIANOS','FLORIANOPOLIS','SC','124201203116271421137644341324133233117',NULL,'9998',23.15,1,3,NULL),(15,2161095,'1986-03-19 00:00:00',2,1,12,2003,'M','N','ZONA SETE','MARINGA','PR','116251251317474422438649482124610164187',15649,'9998',43.88,4,3,NULL),(15,2161109,'1990-02-26 00:00:00',4,4,11,2007,'F','N','CENTRO','VILHENA','RO','122222221217131731533411572221610122052',7557,'9998',56.10,1,3,NULL),(15,2161117,'1990-03-29 00:00:00',4,1,12,2007,'F','N','JARDIM BRASÍLIA','AMERICANA','SP','125251251215111231448839572122610147042',NULL,'9998',0.00,1,3,NULL),(15,2161133,'1989-06-12 00:00:00',2,1,11,2006,'M','N','CENTRO','SANTA MARIA','RS','120112111217371431568831492225610168182',7453,'9998',56.32,1,3,NULL),(15,2161141,'1982-07-06 00:00:00',2,3,12,1999,'F','N','SÃO GOTARDO','SAO MIGUEL DOESTE','SC','124243241311131421543311311334333267142',8149,'755',55.10,1,3,NULL),(15,2161168,'1990-11-29 00:00:00',4,4,12,2008,'F','S','CENTRO','PINHALZINHO','SC','124242241217271511338834373122610144147',NULL,'1070',13.59,4,3,NULL),(15,2161176,'1982-04-05 00:00:00',4,1,12,2000,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124203201117472421164643231322131017042',1765,'9998',70.14,1,3,NULL),(15,2161184,'1989-03-12 00:00:00',4,1,11,2006,'F','N','PALHOÇA','PALHOCA','SC','124242241215472431359933575112610122142',1116,'1011',72.95,1,3,NULL),(15,2161192,'1988-01-13 00:00:00',4,1,12,2005,'F','N','CENTRO','CASCAVEL','PR','124242241215573431569419574112610144147',6198,'457',58.64,1,3,NULL),(15,2161206,'1987-09-19 00:00:00',2,2,12,2005,'F','N','VILA NOVA','BLUMENAU','SC','124201205211371431433631444314610168147',13094,'9998',47.45,1,3,NULL),(15,2161214,'1989-10-24 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124243241347131731227621376214610167147',NULL,'95',24.19,1,3,NULL),(15,2161222,'1989-09-02 00:00:00',4,1,10,2007,'M','N','PIRITUBA','SAO PAULO','SP','125252251217161431468832575114610167052',8954,'9998',53.74,1,3,NULL),(15,2161230,'1986-12-09 00:00:00',4,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124251241115131441428614485124610166057',18978,'732',38.71,1,2,1),(15,2161257,'1990-02-10 00:00:00',4,8,12,2007,'M','N','CENTRO','JARAGUA DO SUL','SC','124162161211172731285316345133210121122',1957,'9998',69.40,1,3,NULL),(15,2161265,'1987-02-06 00:00:00',4,1,12,2004,'F','N','ZONA SETE','MARINGA','PR','116254251316471431166839474114610126097',4935,'9998',61.21,3,3,NULL),(15,2161273,'1988-11-24 00:00:00',4,8,12,2006,'M','N','CENTENÁRIO','JARAGUA DO SUL','SC','124242246215372431138644445134610164092',5543,'995',59.98,1,3,NULL),(15,2161281,'1989-03-22 00:00:00',4,1,11,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','110102101217271431468713475124610122082',12605,'9998',48.13,1,3,NULL),(15,2161290,'1988-09-22 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241216373431468513575124131033072',15864,'269',43.58,1,3,NULL),(15,2161303,'1990-05-05 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241416112431258924292124610144022',3339,'270',65.15,1,3,NULL),(15,2161320,'1990-11-12 00:00:00',4,4,12,2007,'F','N','PINHEIROS','PATO BRANCO','PR','116164161217151731558414572122610121041',3622,'9998',64.41,1,3,NULL),(15,2161338,'1985-12-01 00:00:00',4,1,12,2002,'F','N','INGLESES','FLORIANOPOLIS','SC','124074071217142431437727475125230458117',12717,'9998',47.96,4,3,NULL),(15,2161346,'1989-07-15 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117372331436414572124610165194',15116,'726',44.65,1,2,1),(15,2161354,'1985-04-09 00:00:00',2,1,7,2004,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241125474431453311382124610127062',11281,'922',50.04,1,3,NULL),(15,2161362,'1990-04-25 00:00:00',4,1,12,2007,'M','N','PARQUE DOS PÁSSAROS','SAO BERNARDO DO CAMPO','SP','125252251211371431368833572122610164052',5551,'9998',59.97,1,3,NULL),(15,2161389,'1980-09-02 00:00:00',4,1,12,1997,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215472421379833412122322627042',159,'262',80.50,1,3,NULL),(15,2161397,'1989-10-28 00:00:00',2,3,12,2007,'F','N','CENTRO','BOMBINHAS','SC','124241248216451431576811232122613262072',19422,'403',37.97,1,3,NULL),(15,2161400,'1991-03-19 00:00:00',4,1,12,2008,'F','S','PARQUE SÃO JORGE','FLORIANOPOLIS','SC','124242241217111711578923576124610156091',NULL,'883',51.66,1,3,NULL),(15,2161419,'1984-01-01 00:00:00',4,1,12,2001,'M','N','KOBRASOL II','SAO JOSE','SC','124241241116152721466619492124321462043',6836,'271',57.47,3,3,NULL),(15,2161435,'1988-10-23 00:00:00',2,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116242247216471431489914575122610167012',NULL,'9999',0.00,1,3,NULL),(15,2161443,'1992-01-03 00:00:00',4,1,11,2008,'F','S','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241214111411466953575122610114097',NULL,'270',41.76,1,3,NULL),(15,2161451,'1990-07-16 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124243241417111731226923572114610112145',18558,'1048',39.39,1,3,NULL),(15,2161460,'1990-11-23 00:00:00',4,8,11,2007,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162161216111431469931574112610164127',282,'9998',78.98,1,3,NULL),(15,2161478,'1988-11-09 00:00:00',4,1,12,2006,'F','N','PARQUE DAS ACACIAS','ASSIS','SP','125253251217121731356823574112610167047',3734,'9998',64.11,1,3,NULL),(15,2161486,'1991-10-29 00:00:00',4,1,11,2007,'M','N','PALHOÇA','PALHOCA','SC','124242248216111722556634575124610117042',22177,'1011',31.59,1,3,NULL),(15,2161494,'1988-02-14 00:00:00',4,1,12,2005,'F','N','SETOR AEROPOTO','GOIANIA','GO','209092098232571751548832571122610162196',1077,'9998',73.11,4,3,NULL),(15,2161508,'1990-06-12 00:00:00',4,9,12,2007,'M','N','FRANCIOSE','VACARIA','RS','120201201117151431558614332121610137047',9604,'9998',52.59,1,2,1),(15,2161516,'1989-05-17 00:00:00',2,1,12,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124201201125271431124644242114610135147',14649,'9998',45.21,1,2,1),(15,2161532,'1990-12-21 00:00:00',4,4,10,2007,'M','N','ESPERANÇA','ERECHIM','RS','120202201215271731224524575122610127047',NULL,'9998',0.00,1,3,NULL),(15,2161540,'1987-09-18 00:00:00',4,1,12,2004,'F','N','SERRARIA','SAO JOSE','SC','124241241325312431216429282124610164077',NULL,'257',22.18,4,3,NULL),(15,2161559,'1987-12-31 00:00:00',2,5,12,2005,'F','N','CENTRO','CRICIUMA','SC','124242241215573751459911572115610164097',3973,'211',63.53,1,3,NULL),(15,2161567,'1987-12-30 00:00:00',4,1,12,2005,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','125251251137371411436814472245610166092',8291,'9998',54.86,1,2,1),(15,2161575,'1988-06-11 00:00:00',2,1,11,2005,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241127372721646513345114610137045',8191,'288',55.02,1,3,NULL),(15,2161583,'1989-10-24 00:00:00',2,1,12,2006,'F','N','CENTRO','BIGUACU','SC','124242241215372431466833575122610122097',14667,'1022',45.19,1,3,NULL),(15,2161591,'1990-09-22 00:00:00',4,1,7,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242281415271431338933475114610133141',4067,'270',63.28,1,3,NULL),(15,2161605,'1985-06-30 00:00:00',4,1,5,2003,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241116375411546814445134610167097',8895,'306',53.84,1,3,NULL),(15,2161613,'1989-06-14 00:00:00',2,1,12,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241126131451633314241334610126147',NULL,'69',0.00,1,2,1),(15,2161648,'1989-06-03 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241111272431466927571214610167013',6009,'271',59.06,1,3,NULL),(15,2161656,'1986-07-04 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217153411469932575111221467042',5527,'541',60.00,1,3,NULL),(15,2161664,'1990-11-30 00:00:00',4,4,12,2007,'M','N','ELDORADO','CHAPECO','SC','124243241112131431426739395124610132177',5050,'916',60.99,1,3,NULL),(15,2161672,'1989-05-26 00:00:00',4,1,8,2007,'F','N','KOBRASOL II','SAO JOSE','SC','124243241116151441327621345124610164141',13346,'739',47.12,1,3,NULL),(15,2161680,'1980-08-04 00:00:00',4,1,12,1998,'M','N','CAMPINAS','SAO JOSE','SC','124241241126133732536639445332610167097',18379,'736',39.68,1,3,NULL),(15,2161699,'1988-04-02 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241215372731388613475124610142151',6264,'270',58.51,1,3,NULL),(15,2161702,'1990-02-02 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241417131731233924341124610167057',18244,'259',39.90,1,3,NULL),(15,2161729,'1991-03-29 00:00:00',4,1,11,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124242241215111431479812574122610127052',NULL,'259',51.02,1,3,NULL),(15,2161737,'1989-05-12 00:00:00',4,1,12,2006,'M','N','CENTRO','AGUA DOCE','SC','124246242422221321233622373122222631162',7132,'270',56.90,2,3,NULL),(15,2161745,'1988-07-30 00:00:00',4,1,12,2005,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241116132432446673445124610162144',16495,'307',42.60,1,2,1),(15,2161753,'1989-02-26 00:00:00',2,1,12,2006,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241117131411547933341124610125157',21729,'357',33.18,1,3,NULL),(15,2161761,'1989-12-05 00:00:00',2,1,12,2007,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124243241117111451633439391115610137051',NULL,'733',21.19,1,3,NULL),(15,2161770,'1989-01-16 00:00:00',2,4,12,2006,'F','N','PRESIDENTE VARGAS','ERECHIM','RS','120201201116371721436319241124610128147',14523,'9998',45.37,1,2,1),(15,2161796,'1989-01-10 00:00:00',4,1,12,2006,'M','N','JARDIM PANCERA','TOLEDO','PR','116161161216371751436839572114610114077',NULL,'9998',0.00,4,3,NULL),(15,2161800,'1989-03-25 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217373431258721576112232468045',8473,'270',54.56,1,3,NULL),(15,2161818,'1989-05-06 00:00:00',4,3,12,2006,'F','N','JUVEVÊ','CURITIBA','PR','116202201216371431148819295124140233112',NULL,'9998',0.00,1,3,NULL),(15,2161826,'1979-05-13 00:00:00',4,1,8,1998,'F','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124242246116154431448813482124523228182',2025,'306',69.17,1,3,NULL),(15,2161842,'1985-08-20 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241214374731568911575114121464045',1629,'959',70.68,1,3,NULL),(15,2161877,'1990-02-20 00:00:00',4,3,11,2007,'F','N','CEDRO','CAMBORIU','SC','124243248115161431346723315122610138072',NULL,'129',0.00,1,3,NULL),(15,2161885,'1990-09-05 00:00:00',4,5,12,2007,'F','N','BOA VISTA','NOVO HAMBURGO','RS','120203201216471431469613575122610136197',4358,'9998',62.57,1,3,NULL),(15,2161907,'1991-01-10 00:00:00',4,1,12,2008,'F','S','CAMPECHE','FLORIANOPOLIS','SC','124242241212121431347819192124610113182',NULL,'299',44.07,1,3,NULL),(15,2161915,'1988-02-27 00:00:00',4,8,12,2005,'F','N','JD NOVO HORIZONTE','MARINGA','PR','116162161211571731558813574122610167092',NULL,'9998',0.00,1,3,NULL),(15,2161923,'1981-09-08 00:00:00',2,1,12,1998,'M','N','CENTRO','CURITIBA','PR','116204208216474741458933571115610167082',NULL,'9998',0.00,1,3,NULL),(15,2161931,'1984-09-15 00:00:00',4,8,12,2006,'M','N','ALTO CAFEZAL','MARILIA','SP','125252251217411431546619595122610162077',1823,'9998',69.88,3,3,NULL),(15,2161958,'1983-09-03 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124201201111231411223344241334141616057',20817,'9998',35.25,1,3,NULL),(15,2161966,'1990-08-14 00:00:00',4,1,12,2007,'F','N','FLORESTA','SAO JOSE','SC','124242244215111731448633572122610127015',15007,'270',44.78,1,3,NULL),(15,2161974,'1991-08-07 00:00:00',4,5,12,2008,'F','S','CENTRO','SOMBRIO','SC','124244241215111431469313572124610138097',NULL,'970',29.24,1,3,NULL),(15,2161982,'1989-05-17 00:00:00',2,8,12,2005,'F','N','SCHRAMM','SAO BENTO DO SUL','SC','124241241316272421438634274124610164157',7293,'699',56.62,1,3,NULL),(15,2161990,'1989-08-12 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431478814572122610168192',7982,'262',55.40,1,3,NULL),(15,2162008,'1975-10-18 00:00:00',4,1,12,1993,'M','N','CAMPECHE','FLORIANOPOLIS','SC','624254163246575211226354412124121466182',3637,'9998',64.39,1,3,NULL),(15,2162016,'1964-07-26 00:00:00',2,3,6,1986,'M','N','PRAIA BRAVA','ITAJAI','SC','224241248126143441238844245124130928093',18079,'805',40.18,1,2,1),(15,2162024,'1990-06-04 00:00:00',4,5,11,2007,'F','N','RIO MAINA','CRICIUMA','SC','124244241236271431567632375124610128142',14892,'226',44.91,1,3,NULL),(15,2162032,'1991-11-22 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215411531226829592325610127122',NULL,'270',43.14,1,3,NULL),(15,2162059,'1989-03-23 00:00:00',2,1,12,2005,'M','N','COLÔNIA SANTANA','SAO JOSE','SC','124242241217574431364339432124133266187',4445,'270',62.39,4,3,NULL),(15,2162067,'1988-11-14 00:00:00',2,1,12,2006,'F','N','SETOR LESTE GAMA','TAGUATINGA','DF','107074074416471731568813571224610126072',15749,'9998',43.74,3,3,NULL),(15,2162075,'1986-09-21 00:00:00',4,8,12,2005,'M','N','VILA NOVA','JOINVILLE','SC','124241246215273421238414445124610132092',1824,'1105',69.87,1,3,NULL),(15,2162083,'1987-11-18 00:00:00',4,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124242241117372432335723376314122224052',6898,'306',57.35,1,3,NULL),(15,2162091,'1989-09-29 00:00:00',4,1,12,2006,'F','N','CENTRO','SANTA TEREZINHA DE ITAIPU','PR','116164162217421231517314342141610223082',15175,'9998',44.56,1,3,NULL),(15,2162113,'1990-03-19 00:00:00',4,2,11,2007,'M','N','GARCIA','BLUMENAU','SC','123244241317131412327923195124610164142',4989,'71',61.11,1,3,NULL),(15,2162121,'1991-04-10 00:00:00',4,2,12,2008,'F','S','CENTRO','BLUMENAU','SC','124242241215111411439933575122610126147',NULL,'71',52.76,1,3,NULL),(15,2162130,'1987-10-01 00:00:00',4,1,11,2005,'F','N','CENTRO','AVARE','SP','125252251217572441438511575122610122142',2176,'9998',68.66,4,3,NULL),(15,2162148,'1989-08-20 00:00:00',4,8,12,2006,'F','N','JARDIM BELA VISTA','JACAREI','SP','125252251215471731467711472124610167147',7659,'9998',55.93,1,3,NULL),(15,2162164,'1989-11-04 00:00:00',4,4,11,2007,'M','N','CENTRO','NONOAI','RS','120202241215371631433426591124610124042',10641,'185',50.96,1,3,NULL),(15,2162172,'1989-10-12 00:00:00',4,1,9,2007,'M','N','PRAIA DO FLAMENGO','SALVADOR','BA','105052051216111441356616385124610161092',NULL,'9998',0.00,1,3,NULL),(15,2162180,'1991-02-11 00:00:00',2,9,12,2007,'M','N','GLÓRIA','VACARIA','RS','120201201215471431453936575122610147097',6777,'9998',57.61,1,3,NULL),(15,2162199,'1990-03-16 00:00:00',4,2,12,2007,'F','N','PADRE MARTINHO STEIN','TIMBO','SC','124243241215121431454934345121610127141',2410,'9997',67.87,1,3,NULL),(15,2162202,'1989-05-26 00:00:00',4,8,12,2006,'M','N','JARDIM BANDEIRANTES','ARACATUBA','SP','125252251216371431538614375111610137047',17014,'110',41.86,4,3,NULL),(15,2162210,'1989-02-21 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124142141216131741359733572314141424182',5905,'9998',59.25,1,3,NULL),(15,2162229,'1989-09-04 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241127372431326613285334610137012',16957,'500',41.92,1,2,1),(15,2162237,'1989-12-15 00:00:00',2,3,12,2006,'F','N','MALUCHE','BRUSQUE','SC','124244241213473411469933594124610167097',1712,'109',70.34,1,3,NULL),(15,2162253,'1990-08-13 00:00:00',4,1,12,2007,'M','N','IPIRANGA','SAO JOSE','SC','124241241116371411336319575124610164067',NULL,'734',25.02,1,2,1),(15,2162270,'1986-04-29 00:00:00',4,1,12,2002,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241145273421434319372124220824047',4454,'322',62.38,1,2,1),(15,2162288,'1990-11-06 00:00:00',2,4,12,2007,'F','N','CENTRO','ARATIBA','RS','120201201115371431423731232225610128077',17523,'9998',41.05,1,2,1),(15,2162296,'1989-04-06 00:00:00',4,10,11,2006,'M','N','VILA NOVA','IMBITUBA','SC','124241241116272431468313235122610118112',NULL,'1034',16.23,1,3,NULL),(15,2162300,'1988-07-11 00:00:00',2,1,12,2005,'F','N','PALHOÇA','PALHOCA','SC','124242241212573741438513571114610164141',3227,'597',65.45,1,3,NULL),(15,2162318,'1990-01-09 00:00:00',4,1,12,2007,'F','N','ÁGUA FUNDA','SAO PAULO','SP','125252251217471431256914574124610145142',15229,'9998',44.49,1,3,NULL),(15,2162326,'1986-04-23 00:00:00',2,1,12,2003,'F','N','BARRA DO ARIRIÚ','PALHOCA','SC','124241241115574431434331235133610124147',13059,'592',47.50,1,2,1),(15,2162334,'1989-04-10 00:00:00',4,1,12,2006,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241215374441547613475124610164147',7283,'1022',56.63,1,3,NULL),(15,2162342,'1991-05-04 00:00:00',4,1,12,2007,'M','N','BALNEARIO ESTREITO','FLORIANOPOLIS','SC','124242241214271731548834575124610117011',11648,'988',49.49,1,3,NULL),(15,2162369,'1990-06-26 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241217121431548824572124610134147',13673,'269',46.65,1,3,NULL),(15,2162385,'1986-09-29 00:00:00',2,1,9,2005,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124241241117373431336429345121610127147',10690,'306',50.89,4,2,1),(15,2162393,'1990-03-28 00:00:00',2,1,12,2007,'F','N','ARIRIU','PALHOCA','SC','124241241117131731323334472114610163142',17143,'592',41.65,1,3,NULL),(15,2162407,'1989-11-21 00:00:00',2,1,12,2007,'F','N','TRISTEZA','PORTO ALEGRE','RS','120242201217271431474672375122610168072',8532,'9998',54.46,1,3,NULL),(15,2162415,'1989-12-22 00:00:00',4,8,11,2007,'M','N','VILAS DO ATLANTICO','LAURO DE FREITAS','BA','105052051216111511488812575122610162052',NULL,'9998',0.00,1,3,NULL),(15,2162423,'1990-02-03 00:00:00',4,2,11,2007,'F','N','SETE DE SESTEMBRO','GASPAR','SC','124242241215121431335734372124610122192',3523,'855',64.70,1,3,NULL),(15,2162431,'1989-12-20 00:00:00',2,7,12,2006,'F','N','SANTA TEREZA','VIDEIRA','SC','124241241237371331354923572112610164147',NULL,'969',0.00,1,3,NULL),(15,2162440,'1988-02-13 00:00:00',4,1,12,2004,'M','N','CENTRO','PARANAVAI','PR','116162241216372431478931575124121437042',144,'270',80.76,1,3,NULL),(15,2162458,'1990-05-16 00:00:00',2,10,11,2007,'F','N','ALTO ARROIO','IMBITUBA','SC','124243241414111541548436274125610167112',18864,'807',38.90,1,3,NULL),(15,2162466,'1991-05-21 00:00:00',4,2,11,2008,'F','S','PONTA AGUDA','BLUMENAU','SC','124242241217111431468812174122610142147',NULL,'71',41.58,1,3,NULL),(15,2162474,'1989-01-09 00:00:00',4,8,11,2006,'F','N','SÃO FRANCISCO','CURITIBA','PR','116162161215572731348931571124610122077',2122,'9998',68.90,1,3,NULL),(15,2162482,'1990-05-26 00:00:00',2,7,12,2007,'M','N','CENTRO','JABORA','SC','124241242236141431333669575122610117052',12635,'836',48.09,1,3,NULL),(15,2162490,'1989-06-22 00:00:00',4,1,5,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242281416372431538817475124231467091',3042,'9997',66.01,1,3,NULL),(15,2162504,'1987-05-01 00:00:00',2,1,12,2004,'F','N','JARDIM GALLI','SAO PAULO','SP','125251251117571421537519585124610167077',1351,'9998',71.87,1,2,1),(15,2162512,'1990-11-07 00:00:00',4,1,11,2007,'F','N','ALTO PEREQUE','PORTO BELO','SC','124241241117131431323629292334610121037',13583,'630',46.77,4,2,1),(15,2162520,'1987-02-08 00:00:00',4,1,12,2004,'M','N','PARAISO','SAO PAULO','SP','125252251215571421478821574124610167087',2470,'9998',67.71,1,3,NULL),(15,2162539,'1988-07-21 00:00:00',2,1,12,2006,'F','N','DE FÁTIMA','FLORIANOPOLIS','SC','124241241112272431536639271124610127077',15447,'257',44.19,1,2,1),(15,2162547,'1989-12-26 00:00:00',4,1,12,2006,'F','N','GUIOMAR DE FORA','ANTONIO CARLOS','SC','124241241216372431543412382124232746052',9897,'20',52.10,1,3,NULL),(15,2162555,'1990-11-05 00:00:00',2,9,12,2007,'F','N','CENTRO','RIO DO SUL','SC','124242241215111431459612272122610166192',11055,'991',50.38,1,3,NULL),(15,2162563,'1989-05-28 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124243241415472431568733572124610121152',10060,'1022',51.83,1,3,NULL),(15,2162571,'1990-01-05 00:00:00',4,1,12,2006,'M','N','MARIA GORETTI','CHAPECO','SC','124242241215572421369911572124610127092',1570,'185',70.89,1,3,NULL),(15,2162580,'1989-12-22 00:00:00',4,8,11,2007,'M','N','VILAS DO ATLÂNTICO','LAURO DE FREITAS','BA','605052051217111511488812145112610164147',NULL,'9998',0.00,1,3,NULL),(15,2162601,'1989-03-01 00:00:00',4,1,12,2006,'M','N','GRANDE COLORADO','SOBRADINHO','DF','107242071217371751657819385124242846187',12768,'9998',47.90,1,3,NULL),(15,2162610,'1990-01-23 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215111411469632575114610144045',5803,'1022',59.46,1,3,NULL),(15,2162636,'1989-05-27 00:00:00',2,1,12,2006,'F','N','CACUPÉ','FLORIANOPOLIS','SC','124241241117132431616536572324610127147',11241,'715',50.10,1,2,1),(15,2162644,'1988-05-19 00:00:00',4,5,11,2005,'F','N','SÃO LUIZ','CRICIUMA','SC','124242241217573431466934394122610137147',568,'210',76.31,1,3,NULL),(15,2162652,'1988-01-01 00:00:00',4,1,12,2005,'F','N','VILA MARIANA','SAO PAULO','SP','125254251217272331469834442122610133092',18150,'9998',40.07,1,3,NULL),(15,2162660,'1991-08-07 00:00:00',2,1,12,2008,'F','S','CENTRO','NOVA TRENTO','SC','124241241217111431446923572124610123197',NULL,'981',56.44,1,3,NULL),(15,2162679,'1984-10-22 00:00:00',2,1,12,2002,'F','N','FAZENDA STO ANTÔNIO','SAO JOSE','SC','124241241116132751523419182114222313072',NULL,'592',0.00,1,3,NULL),(15,2162687,'1990-11-12 00:00:00',2,1,12,2007,'M','N','COLÔNIA SANTANA','SAO JOSE','SC','124242241215372431346633572124610164141',4873,'1074',61.37,1,3,NULL),(15,2162717,'1990-07-16 00:00:00',4,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241216112111328923595122610118187',254,'270',79.25,1,3,NULL),(15,2162725,'1986-05-25 00:00:00',2,1,12,2003,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124074071216152411556614585124220514112',13897,'9998',46.32,1,3,NULL),(15,2162733,'1989-07-25 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215111431239713575124610127115',8659,'1022',54.25,1,3,NULL),(15,2162741,'1990-10-01 00:00:00',2,1,12,2007,'M','N','CENTRO','CAPINZAL','SC','124242241215111411468932245122610166092',14997,'446',44.80,1,3,NULL),(15,2162750,'1990-09-26 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111411467813575122610162076',13493,'270',46.90,1,3,NULL),(15,2162768,'1990-02-16 00:00:00',2,10,12,2006,'F','N','MORRO ESTEVÃO','CRICIUMA','SC','124241244212372431446639272124232624147',9964,'229',51.99,1,3,NULL),(15,2162776,'1989-06-10 00:00:00',2,1,11,2006,'F','N','JARDIM JANAINA','BIGUACU','SC','124241241116271411536713275124610127097',17493,'307',41.09,1,2,1),(15,2162784,'1990-10-05 00:00:00',4,1,11,2008,'M','S','TRINDADE','FLORIANOPOLIS','SC','124242241217111431468613472122610126175',NULL,'270',52.60,1,3,NULL),(15,2162792,'1989-08-21 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241215472451268532572125610161192',324,'270',78.47,1,3,NULL),(15,2162806,'1964-04-09 00:00:00',2,1,12,1982,'F','N','BARREIROS','SAO JOSE','SC','224134131426132711246459482122610116092',20116,'9998',36.59,1,3,NULL),(15,2162814,'1989-12-23 00:00:00',4,1,12,2006,'F','N','CENTRO','SANTA MARIA','RS','120203201217321331436616465125610122017',15553,'9998',44.04,1,3,NULL),(15,2162822,'1989-09-13 00:00:00',4,1,12,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241217111711369933492122610132123',15636,'752',43.89,1,3,NULL),(15,2162830,'1957-12-31 00:00:00',4,1,10,2006,'M','N','FORQUILINSHAS','SAO JOSE','SC','401251247117131411433331112122610157177',NULL,'9999',22.80,1,3,NULL),(15,2162857,'1989-03-24 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431547614272122610126147',2317,'1035',68.19,1,3,NULL),(15,2162865,'1990-05-14 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241217111431333311575115610127147',1644,'720',70.62,1,3,NULL),(15,2162873,'1988-12-16 00:00:00',4,1,12,2008,'M','S','CENTRO','UNAI','MG','107132071215111431568816575121610167013',NULL,'9998',61.30,4,3,NULL),(15,2162881,'1989-05-16 00:00:00',2,4,12,2006,'F','N','CENTRO','CHAPECO','SC','124241241315372451356911572122133263097',12607,'983',48.13,1,3,NULL),(15,2162890,'1990-04-26 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241215121732358823475114610164182',6387,'1022',58.28,1,3,NULL),(15,2162920,'1975-01-31 00:00:00',2,1,12,1992,'M','N','SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC','124212213217141411633419441124343262087',16319,'9998',42.87,1,3,NULL),(15,2162938,'1981-12-09 00:00:00',2,1,12,1999,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','224201208116271731237454445132610124187',12206,'9998',48.71,1,3,NULL),(15,2162946,'1981-11-19 00:00:00',2,1,12,1999,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241126375431633311445124610137062',17537,'307',41.04,1,2,1);
INSERT INTO candidato VALUES (15,2162962,'1989-07-07 00:00:00',2,4,12,2006,'M','N','AGOSTINE','SAO MIGUEL DOESTE','SC','124242241216312431336923571324610148057',3605,'751',64.47,1,3,NULL),(15,2162989,'1989-05-31 00:00:00',4,1,12,2006,'F','N','VILA GIGLIO','ATIBAIA','SP','125252251215471431338623571112610167186',5224,'9998',60.67,1,3,NULL),(15,2162997,'1983-06-05 00:00:00',4,1,12,2000,'F','N','GONZAGA','SANTOS','SP','125253251216571431468833371122342843197',5027,'9998',61.03,1,3,NULL),(15,2163004,'1990-02-15 00:00:00',4,2,12,2007,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215371431567812376122610133162',14944,'981',44.86,1,3,NULL),(15,2163012,'1989-07-21 00:00:00',2,3,12,2006,'M','N','BOMBAS','BOMBINHAS','SC','124202248215372431247826571124610167042',2810,'403',66.72,1,3,NULL),(15,2163020,'1990-07-15 00:00:00',4,4,12,2007,'M','N','CENTRO','PIRASSUNUNGA','SP','125252251217111431468931575112610164144',1516,'9998',71.13,1,3,NULL),(15,2163039,'1990-03-16 00:00:00',4,10,11,2007,'M','N','DEHON','TUBARAO','SC','124242241215121431569913492122610124052',1176,'807',72.61,1,3,NULL),(15,2163047,'1988-11-05 00:00:00',2,1,12,2006,'F','N','ASA SUL','BRASILIA','DF','107072071216472431478833572122610132112',3683,'9998',64.27,1,3,NULL),(15,2163055,'1985-09-21 00:00:00',2,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241122132431535611142324610137132',NULL,'282',17.85,1,3,NULL),(15,2163063,'1989-10-11 00:00:00',4,4,12,2005,'F','N','CENTRO','PALMITOS','SC','224241201216573441456939574124143232157',8770,'9998',54.06,1,3,NULL),(15,2163071,'1986-11-30 00:00:00',4,1,12,2003,'F','N','VILA MARUMBY','MARINGA','PR','116161161117132431447824341121241632022',7199,'9998',56.79,1,2,1),(15,2163080,'1982-07-10 00:00:00',2,1,12,2000,'M','N','PASSA VINTE','PALHOCA','SC','224241243317534721643544445124610168197',17531,'270',41.04,1,3,NULL),(15,2163098,'1990-09-10 00:00:00',2,10,12,2007,'M','N','CENTRO','TUBARAO','SC','124242241217271431347634575125610167067',18313,'809',39.78,1,3,NULL),(15,2163101,'1990-04-15 00:00:00',2,5,11,2007,'M','N','CENTRO','SIDEROPOLIS','SC','124242248215111531588913432114610168042',14459,'226',45.48,1,3,NULL),(15,2163110,'1989-09-05 00:00:00',4,3,12,2007,'F','N','CENTRO','BAGE','RS','120204201417141421447812314122610154057',16138,'9998',43.17,1,3,NULL),(15,2163128,'1987-02-19 00:00:00',2,3,12,2004,'M','N','JARDIM YARA','POUSO ALEGRE','MG','113131131116151431335723442312610127047',21422,'9998',33.91,1,2,1),(15,2163136,'1989-03-28 00:00:00',4,3,11,2006,'M','N','ALPHAVILLE','SANTANA DE PARNAIBA','SP','125252251217471431577634575122610164117',NULL,'9998',0.00,1,3,NULL),(15,2163152,'1990-07-25 00:00:00',2,3,10,2007,'F','N','BOMOBAS','BOMBINHAS','SC','124241241126161431636923245122610126072',NULL,'1089',25.23,1,2,1),(15,2163160,'1991-01-23 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215111531458854575124610117072',20522,'270',35.85,1,3,NULL),(15,2163179,'1989-02-09 00:00:00',2,1,11,2007,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241116271511455514485124610112142',NULL,'288',13.67,1,3,NULL),(15,2163187,'1989-01-13 00:00:00',2,1,12,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124072071216471431556614342124610117042',17734,'9998',40.75,4,3,NULL),(15,2163195,'1989-12-28 00:00:00',2,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241315472731437614282124610122147',10633,'1037',50.97,1,3,NULL),(15,2163209,'1987-09-21 00:00:00',2,1,12,2006,'F','N','ABRAAO','FLORIANOPOLIS','SC','124242241215472431459933592124610137091',19309,'1022',38.14,4,1,2),(15,2163217,'1990-06-30 00:00:00',4,4,12,2007,'M','N','CENTRO','PALMITOS','SC','124241241117161431346814495222610168182',20164,'601',36.50,1,2,1),(15,2163225,'1988-12-12 00:00:00',2,1,11,2005,'F','N','SANTA RITA','BRUSQUE','SC','124242241217373431546933472124610166147',2261,'109',68.39,1,3,NULL),(15,2163233,'1991-01-23 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124142241214151431569953572122610137057',8932,'262',53.78,1,3,NULL),(15,2163241,'1988-10-11 00:00:00',2,5,6,2006,'M','N','SÃO CRISTÓVÃO','CRICIUMA','SC','124241246215272431425529275122610162187',4206,'230',62.89,1,3,NULL),(15,2163250,'1990-01-11 00:00:00',2,10,11,2007,'F','N','OFICINAS','TUBARAO','SC','124243241117131311434513242122610127117',17654,'1034',40.86,1,3,NULL),(15,2163268,'1990-04-25 00:00:00',4,8,12,2007,'M','N','CRUZEIRO','RIO NEGRINHO','SC','124244241215371431256631272112610165052',11886,'666',49.13,1,3,NULL),(15,2163276,'1990-03-20 00:00:00',4,9,12,2007,'F','N','CORAL','LAGES','SC','124242241215371431554432591122610137092',17026,'499',41.84,1,3,NULL),(15,2163284,'1989-10-27 00:00:00',2,5,10,2007,'M','N','SANTA BARBARA','CRICIUMA','SC','124242248415151712568712595121613264066',6824,'226',57.50,1,3,NULL),(15,2163306,'1987-05-18 00:00:00',4,3,12,2004,'F','N','BARRA SUL','BALNEARIO CAMBORIU','SC','124242241215372431479831381122131064122',NULL,'44',0.00,1,3,NULL),(15,2163314,'1990-06-10 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124244241415111431469913576124610128182',2319,'1022',68.18,1,3,NULL),(15,2163322,'1990-03-16 00:00:00',4,1,11,2007,'F','N','CENTRO','SAO ROQUE','SP','125252251217111431553611585112610137047',7267,'9998',56.66,1,3,NULL),(15,2163365,'1985-08-14 00:00:00',2,1,12,2004,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241137133441328524395114142262197',17682,'289',40.82,1,3,NULL),(15,2163373,'1991-06-18 00:00:00',4,2,12,2008,'F','S','ÁGUAS CLARAS','BRUSQUE','SC','124244241215111431355632572122610122142',NULL,'109',55.62,1,3,NULL),(15,2163381,'1988-03-05 00:00:00',4,1,12,2005,'F','N','KOBRASOL','SAO JOSE','SC','124243241215373411366613575114610144192',6819,'270',57.50,1,3,NULL),(15,2163390,'1985-05-23 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124252251215575431487831471124132443142',NULL,'9998',0.00,1,3,NULL),(15,2163403,'1989-03-31 00:00:00',4,1,11,2006,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215373431489931574124610144122',883,'270',74.15,4,3,NULL),(15,2163411,'1983-06-06 00:00:00',4,1,12,2000,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241124374431433319341124122221097',8108,'307',55.17,1,2,1),(15,2163420,'1988-11-30 00:00:00',2,1,11,2006,'M','N','JARDIM CIDADE','SAO JOSE','SC','124242241215271421236431492112610147047',11728,'270',49.35,1,3,NULL),(15,2163438,'1988-12-27 00:00:00',2,4,12,2006,'F','N','EFAPI','CHAPECO','SC','124241241117132141528313395124610134057',8201,'184',55.01,1,2,1),(15,2163454,'1990-06-01 00:00:00',4,3,12,2007,'F','N','CENTRO','SALETE','SC','124241241146131431235623345122610133187',20660,'680',35.57,1,2,1),(15,2163470,'1991-06-14 00:00:00',4,4,12,2007,'F','N','CENTRO','CONCORDIA','SC','124242241215131431359924575124610133077',3704,'1047',64.22,1,3,NULL),(15,2163489,'1984-02-20 00:00:00',4,1,12,2002,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124244241211473431388613472114122264047',6034,'269',59.00,1,3,NULL),(15,2163500,'1990-10-29 00:00:00',2,4,12,2007,'M','N','VALE DO SOL','CLEVELANDIA','PR','116162161217161431569831475112610134062',17716,'9998',40.78,1,3,NULL),(15,2163519,'1990-12-25 00:00:00',4,2,11,2007,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241215111431358832571112610164122',9565,'855',52.65,1,3,NULL),(15,2163535,'1990-01-12 00:00:00',4,1,12,2006,'M','N','CHACARA CACHOEIRA','CAMPO GRANDE','MS','112122121216271731338831575122610168192',3497,'9998',64.77,1,3,NULL),(15,2163543,'1988-01-29 00:00:00',2,1,12,2005,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242248216163511536511345122210214112',14536,'738',45.36,1,3,NULL),(15,2163551,'1979-01-12 00:00:00',4,1,12,1996,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241416155721233627332123323262177',7902,'266',55.51,1,3,NULL),(15,2163560,'1990-08-22 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241237161431548911575122610117042',13929,'654',46.27,1,3,NULL),(15,2163578,'1990-11-10 00:00:00',4,1,12,2007,'M','N','DESVIO RIZZO','CAXIAS DO SUL','RS','120202201215471411456711582124610134142',1191,'9998',72.51,1,3,NULL),(15,2163586,'1991-03-09 00:00:00',4,4,12,2007,'M','N','LINHA SÃO PEDRO','CHAPECO','SC','124241241116131431433923572124610113067',17080,'175',41.75,1,2,1),(15,2163594,'1984-12-29 00:00:00',4,1,12,2001,'F','N','CENTRO','CURITIBA','PR','116162161215571431467613592325610164187',4284,'9998',62.73,3,3,NULL),(15,2163608,'1989-09-04 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124243241117421451668633271124610147057',8729,'307',54.13,4,1,2),(15,2163616,'1991-07-12 00:00:00',4,1,12,2008,'F','S','BARREIROS','SAO JOSE','SC','124243241215111411558839574122610116182',NULL,'1118',34.04,1,3,NULL),(15,2163624,'1990-04-14 00:00:00',2,1,12,2007,'M','N','SÃO BENTO','CAMPO GRANDE','MS','112122121216111731348831515142610168193',11287,'9998',50.03,1,3,NULL),(15,2163632,'1989-05-19 00:00:00',4,1,12,2006,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241211172711466832395132233265047',16562,'266',42.50,1,3,NULL),(15,2163667,'1989-02-07 00:00:00',2,1,12,2007,'F','N','PALHOÇA','PALHOCA','SC','124241241116131531334431576114610124117',20201,'591',36.41,1,2,1),(15,2163675,'1988-10-24 00:00:00',2,10,12,2005,'M','N','MATO ALTO','TUBARAO','SC','124241248132471431223331244123610124032',13551,'521',46.82,1,2,1),(15,2163683,'1992-05-05 00:00:00',4,7,11,2008,'F','S','CENTRO','JABORA','SC','124241241215111731456839275124610127057',NULL,'446',43.87,1,3,NULL),(15,2163691,'1989-04-14 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANOPOLIS','SC','124242241215473411358933595124610114147',6431,'270',58.20,1,3,NULL),(15,2163705,'1988-08-03 00:00:00',4,1,12,2005,'F','N','CENTRO','CAMPO GRANDE','MS','112122121216571731448831515122610168193',889,'9998',74.12,1,3,NULL),(15,2163713,'1990-10-28 00:00:00',4,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215111731436663473124610136192',3539,'270',64.65,1,3,NULL),(15,2163730,'1986-12-19 00:00:00',2,3,12,2004,'F','N','AHUU','CURITIBA','PR','116162161216574431546519575122610121147',NULL,'9998',0.00,1,3,NULL),(15,2163748,'1990-10-26 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111421466823275122610162095',6908,'272',57.33,1,3,NULL),(15,2163756,'1991-06-22 00:00:00',2,1,11,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124242241216171332316813215124610127042',NULL,'259',41.15,1,3,NULL),(15,2163764,'1958-02-20 00:00:00',5,1,12,1977,'F','N','BELA VISTA','SAO JOSE','SC','324251251414134411124349192124121662187',5120,'9998',60.88,1,3,NULL),(15,2163772,'1990-07-31 00:00:00',4,1,12,2007,'F','N','CENTRO','SAPEZAL','MT','111112111111161731434416575121610118032',NULL,'9998',0.00,1,3,NULL),(15,2163780,'1989-08-15 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241217122431657612372114610134057',4782,'1022',61.56,1,3,NULL),(15,2163799,'1968-07-19 00:00:00',4,1,11,1985,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212153431256649491345520667047',4763,'260',61.60,1,3,NULL),(15,2163810,'1989-05-22 00:00:00',4,1,12,2006,'M','N','ALTO IPIRANGA','MOGI DAS CRUZES','SP','125252251217271711368813172115610162056',4779,'9998',61.57,1,3,NULL),(15,2163829,'1990-05-18 00:00:00',4,7,12,2007,'F','N','FLORESTA','VIDEIRA','SC','124241241114131431555824342224610164147',NULL,'831',0.00,1,2,1),(15,2163837,'1990-11-21 00:00:00',2,4,12,2007,'M','N','MARIA GORETTI','CHAPECO','SC','124242241237111111427931381122610117042',11030,'168',50.41,1,3,NULL),(15,2163845,'1990-07-24 00:00:00',2,1,12,2007,'F','N','CENTRO','CAMPO GRANDE','MS','112122121216171731448831515122610168192',4593,'9998',62.01,1,3,NULL),(15,2163853,'1988-06-14 00:00:00',4,1,12,2005,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','125252251217572441568511495125610161047',12,'9998',85.18,1,3,NULL),(15,2163861,'1989-04-29 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248215472431448933572125610168147',12625,'1046',48.10,1,3,NULL),(15,2163888,'1988-04-11 00:00:00',2,4,12,2006,'F','N','SÃO GOTARDO','SAO MIGUEL DOESTE','SC','124243241316131451456733385112610144187',21865,'757',32.74,1,3,NULL),(15,2163896,'1991-01-04 00:00:00',4,4,11,2007,'F','N','CENTRO','CURITIBA','PR','116242161215471411676631412124610136113',NULL,'9998',0.00,1,3,NULL),(15,2163900,'1989-09-20 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241415221231325623242324610124077',20609,'1036',35.67,1,3,NULL),(15,2163918,'1990-03-09 00:00:00',4,1,12,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241216131431446814472124610167057',3017,'266',66.09,1,3,NULL),(15,2163926,'1990-12-27 00:00:00',4,9,11,2007,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124242241215121731468613595122610138012',9980,'9997',51.96,1,3,NULL),(15,2163942,'1988-06-04 00:00:00',2,1,12,2005,'M','N','CENTRO','BIGUACU','SC','124242241216373411359533325124610164047',10467,'1022',51.24,1,3,NULL),(15,2163950,'1989-05-26 00:00:00',4,1,11,2006,'M','N','CENTRO','BIGUACU','SC','124242241212372431458514345124610127017',6128,'63',58.80,1,3,NULL),(15,2163969,'1990-09-26 00:00:00',4,1,12,2007,'M','N','CENTRO','CAMPO GRANDE','MS','112122121216171731338831515122610168192',5471,'9998',60.11,1,3,NULL),(15,2163977,'1990-03-19 00:00:00',4,8,12,2007,'M','N','AGUA VERDE','CURITIBA','PR','116162161215111431436832575124610167126',4259,'9998',62.78,1,3,NULL),(15,2163985,'1988-12-22 00:00:00',4,1,12,2006,'F','N','BOM JESUS','BARRETOS','SP','125251251216371431426611271124610122097',9034,'9998',53.59,4,3,NULL),(15,2163993,'1989-03-16 00:00:00',2,1,12,2006,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124241241131331731323324181324610164142',NULL,'757',17.74,1,2,1),(15,2164000,'1990-08-30 00:00:00',2,9,12,2007,'F','N','BEATRIZ','LAGES','SC','124244241212131431423419372325610137097',NULL,'515',25.96,1,3,NULL),(15,2164019,'1989-12-16 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242248217271411458913492124610127017',3527,'262',64.69,1,3,NULL),(15,2164027,'1989-05-10 00:00:00',4,1,12,2006,'M','N','PAROLIN','CURITIBA','PR','116162161215112431388913475124221467042',752,'9998',74.98,1,3,NULL),(15,2164035,'1990-07-01 00:00:00',2,4,12,2007,'F','N','CENTRO','MARIOPOLIS','PR','116241161117111731434634575122610134147',11701,'9998',49.39,1,3,NULL),(15,2164043,'1989-10-22 00:00:00',4,1,12,2006,'F','N','CENTRO','CAIBI','SC','124242241216472431548831575122610127042',8262,'126',54.91,1,3,NULL),(15,2164051,'1989-11-12 00:00:00',4,1,12,2006,'F','N','JARDIM MANSUR','CAMPO GRANDE','MS','112122121216371731338831515122610168192',6602,'9998',57.89,1,3,NULL),(15,2164060,'1989-03-25 00:00:00',4,1,12,2006,'F','N','VILA MIRIM','PRAIA GRANDE','SP','125252251215471431436612242324610136172',1528,'9998',71.08,1,3,NULL),(15,2164094,'1989-05-22 00:00:00',2,1,11,2006,'M','N','CENTRO','CONCORDIA','SC','125242241215472431459714571114610132187',10744,'190',50.81,3,3,NULL),(15,2164108,'1990-08-31 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241217121431437413471222610126142',19195,'738',38.35,4,1,2),(15,2164116,'1990-01-14 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241225131431532119282214610135047',NULL,'262',24.94,1,3,NULL),(15,2164124,'1987-11-25 00:00:00',4,1,12,2005,'M','N','FLOR DE NÁPOLIS','SAO JOSE','SC','124241241117271421434611145113610166042',18308,'733',39.78,1,2,1),(15,2164132,'1983-03-28 00:00:00',2,1,12,2000,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124202207241131421218879282342241468111',18965,'9998',38.73,1,3,NULL),(15,2164140,'1988-04-03 00:00:00',4,8,12,2005,'M','N','PARQUE CIDADE JARDIM','UMUARAMA','PR','116162161215513431569934572122610124062',2923,'9998',66.38,1,3,NULL),(15,2164159,'1987-08-02 00:00:00',2,1,12,2004,'F','N','CHACARA CACHOEIRA','CAMPO GRANDE','MS','112122121216571731338831515122610168192',14707,'9998',45.14,1,3,NULL),(15,2164167,'1989-10-12 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431378823475122610114185',9054,'270',53.56,1,3,NULL),(15,2164175,'1990-09-02 00:00:00',2,4,11,2007,'F','N','CENTRO','CURITIBA','PR','116242161212471311578731412124610135073',7907,'9998',55.51,1,3,NULL),(15,2164205,'1990-03-15 00:00:00',2,3,12,2007,'F','N','AREIAS','TIJUCAS','SC','124241241215111731426521392124610126187',13392,'781',47.05,1,3,NULL),(15,2164213,'1987-10-31 00:00:00',2,1,12,2005,'F','N','CARIANOS','FLORIANOPOLIS','SC','124131131116371431228714372324610124147',21798,'9998',32.96,4,2,1),(15,2164221,'1991-02-11 00:00:00',4,8,12,2008,'F','S','VILA BAEPENDI','JARAGUA DO SUL','SC','124244241215111411469614275124610114122',NULL,'491',38.55,1,3,NULL),(15,2164230,'1989-04-03 00:00:00',4,8,12,2006,'M','N','JARDIM DAS AMERICAS','PATO BRANCO','PR','116162161117472431466973572112610167043',2323,'9998',68.17,1,3,NULL),(15,2164248,'1990-01-17 00:00:00',2,1,12,2007,'F','N','AREIAS','SAO JOSE','SC','124241241217131432524434576114610134017',17923,'868',40.45,1,3,NULL),(15,2164264,'1988-04-26 00:00:00',2,1,12,2005,'F','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124241241142272431533414481124610167097',NULL,'307',0.00,1,2,1),(15,2164272,'1956-11-26 00:00:00',4,1,12,1973,'M','N','CENTRO','FLORIANOPOLIS','SC','224213071431571421578642421122341427142',NULL,'9998',0.00,1,3,NULL),(15,2164280,'1987-12-03 00:00:00',4,1,12,2004,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124203201137372131545614585114142264147',12291,'9998',48.58,2,1,2),(15,2164299,'1987-06-03 00:00:00',4,1,12,2004,'M','N','JARDIM LEBLON','REGISTRO','SP','125254251417572431558811571122610167187',760,'9998',74.93,1,3,NULL),(15,2164302,'1990-04-23 00:00:00',4,10,11,2007,'M','N','RECIFE','TUBARAO','SC','124242241217111451678814572122610168183',4490,'797',62.28,1,3,NULL),(15,2164310,'1979-03-24 00:00:00',2,8,12,1998,'F','N','PORTÃO','CURITIBA','PR','116161164116471711133543235122141362097',3345,'9998',65.14,1,2,1),(15,2164337,'1987-11-21 00:00:00',2,1,12,2005,'F','N','CENTRO','BRUSQUE','SC','124242241115574431348814595124610162071',394,'9998',77.70,1,3,NULL),(15,2164345,'1990-01-23 00:00:00',4,10,12,2007,'F','N','RIO BONITO','BRACO DO NORTE','SC','124241248112111731436814572214610166147',18862,'100',38.90,1,3,NULL),(15,2164353,'1989-05-20 00:00:00',4,1,12,2006,'F','N','MOGILAR','MOGI DAS CRUZES','SP','125252251217471751535839575112610148127',18081,'9998',40.18,3,3,NULL),(15,2164361,'1990-05-20 00:00:00',4,1,12,2007,'F','N','JARDIM BIGUAÇU','BIGUACU','SC','124241248215271751337712375124610118072',NULL,'9997',21.40,1,3,NULL),(15,2164370,'1990-05-30 00:00:00',4,4,11,2007,'F','N','CENTRO','PALOTINA','PR','116162161216111431344632494112610164191',1563,'9998',70.94,1,3,NULL),(15,2164400,'1988-05-05 00:00:00',2,5,12,2005,'M','N','AZENHA','PORTO ALEGRE','RS','120202201117571731338723573124610167047',4651,'9998',61.87,1,3,NULL),(15,2164426,'1989-04-02 00:00:00',2,4,12,2007,'M','N','JARDIM GRAMADO','CASCAVEL','PR','116164161414111331578819391122613227041',13382,'9998',47.08,1,3,NULL),(15,2164434,'1990-06-28 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215122431478832572122610132092',3108,'270',65.84,1,3,NULL),(15,2164442,'1986-03-30 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124251257127132731656619345134610113183',NULL,'9999',23.12,1,2,1),(15,2164450,'1990-01-12 00:00:00',2,10,12,2007,'F','N','FIGUEIRA GRANDE','IMARUI','SC','124241241115151111523311572221610115042',21642,'9997',33.40,1,3,NULL),(15,2164469,'1988-10-16 01:00:00',2,5,12,2005,'F','N','CENTRO','COCAL DO SUL','SC','124241241215372431454829572124132624142',5660,'226',59.75,1,3,NULL),(15,2164477,'1990-05-21 00:00:00',4,1,12,2007,'M','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124112241215151431478614572122610127043',15108,'259',44.66,1,3,NULL),(15,2164485,'1982-05-22 00:00:00',4,8,12,2001,'M','N','MACAÚBA','TERESINA','PI','118114111416574431437611474324140424037',1723,'9998',70.30,4,3,NULL),(15,2164515,'1991-01-23 00:00:00',4,4,11,2007,'M','N','LA SALLE','XANXERE','SC','124241241237151541446632182222610136017',594,'836',76.12,4,3,NULL),(15,2164523,'1985-10-31 00:00:00',2,1,7,2003,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241117131421336313446114610127057',NULL,'146',0.00,4,2,1),(15,2164531,'1988-04-22 00:00:00',2,1,12,2005,'M','N','CARIANOS','FLORIANOPOLIS','SC','124243241217373431448619572124610124097',10329,'1022',51.45,1,3,NULL),(15,2164540,'1985-09-06 00:00:00',4,1,12,2007,'F','N','VILA PROGRESSO','JUNDIAI','SP','125254257336231431548571385113610127144',NULL,'9999',0.00,1,3,NULL),(15,2164566,'1990-10-29 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241437132721327621416125610164071',10693,'9997',50.88,1,3,NULL),(15,2164574,'1990-03-09 00:00:00',4,1,12,2007,'F','N','ALTO DAS PALMEIRAS','ITU','SP','125252251217151741479934575122610163077',13771,'9998',46.51,1,3,NULL),(15,2164582,'1987-10-13 00:00:00',2,1,12,2005,'F','N','IPIRANGA','SAO JOSE','SC','124241241142374421335324242324610114077',16431,'734',42.70,1,2,1),(15,2164590,'1975-11-24 00:00:00',4,1,2,2008,'M','N','PRAÇA','TIJUCAS','SC','124246247615131751123219121335610125187',NULL,'9999',9.46,1,3,NULL),(15,2164604,'1990-11-02 00:00:00',4,8,12,2007,'M','N','ROCIO GRANDE','SAO FRANCISCO DO SUL','SC','124242241212112431556612575122610127052',392,'486',77.72,1,3,NULL),(15,2164612,'1990-05-07 00:00:00',4,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215111231488832572122610113142',NULL,'9997',0.00,1,3,NULL),(15,2164620,'1991-12-11 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242248215111431359619492122610126011',14734,'738',45.10,3,3,NULL),(15,2164639,'1989-12-08 00:00:00',2,9,12,2006,'F','N','GASPARETTO','VACARIA','RS','120203201211472431537923171124610117143',NULL,'9998',0.00,4,3,NULL),(15,2164647,'1989-05-08 00:00:00',4,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116252251216572431558831575112610132182',NULL,'9998',0.00,1,3,NULL),(15,2164655,'1991-01-20 00:00:00',4,9,12,2007,'M','N','UNIVERSITÁRIO','LAGES','SC','124244241116131411446634575123610137142',7534,'935',56.16,1,3,NULL),(15,2164663,'1990-08-15 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124244241215111431459924575114610132151',13700,'1022',46.61,1,3,NULL),(15,2164671,'1990-07-13 00:00:00',4,1,12,2007,'F','N','FREITAS','PAULO LOPES','SC','124241241225131431323339595124610143197',9039,'262',53.58,1,3,NULL),(15,2164680,'1988-12-28 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124244241237111432436819475114610127187',10254,'1036',51.56,1,3,NULL),(15,2164698,'1987-04-02 00:00:00',2,1,12,2004,'M','N','RIO GRANDE','PALHOCA','SC','124241241116374221556633442223230817042',11745,'591',49.33,1,3,NULL),(15,2164701,'1988-11-30 00:00:00',4,1,12,2006,'F','N','HIGIENÓPOLIS','SAO PAULO','SP','125253251216311441558911571124610112143',11797,'9998',49.27,1,3,NULL),(15,2164710,'1981-02-17 00:00:00',2,1,12,1998,'F','N','PRADO','BIGUACU','SC','224241241146153731222354245122610124147',14003,'65',46.15,1,2,1),(15,2164728,'1990-06-05 00:00:00',2,1,11,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215111431438813335124610137127',14820,'262',44.99,1,3,NULL),(15,2164736,'1990-05-12 00:00:00',4,1,11,2007,'M','N','JARDIM AMERICA TRÊS','BRAGANCA PAULISTA','SP','125132251216111431573812575122610124057',4928,'9998',61.24,1,3,NULL),(15,2164744,'1990-02-11 00:00:00',2,1,12,2007,'F','N','FLOR DE NAPOLIS','SAO JOSE','SC','124241241115371731524414272324610114142',16040,'733',43.31,1,2,1),(15,2164752,'1990-06-01 00:00:00',4,8,12,2007,'M','N','CENTRO','PAULICEIA','SP','125251251316111731348933575122610162087',16912,'9998',41.99,1,3,NULL),(15,2164760,'1989-11-16 00:00:00',2,5,11,2007,'F','N','SANTO ANTONIO','CRICIUMA','SC','124244241215131441427634574114610124072',6410,'210',58.23,4,3,NULL),(15,2164779,'1984-05-14 00:00:00',2,1,11,2001,'M','N','CENTRO','SAO JOSE','SC','124202201215575431546417475124233267067',7107,'9998',56.96,1,3,NULL),(15,2164787,'1990-06-27 00:00:00',4,8,12,2007,'F','N','BOM JESUS','RIO NEGRO','PR','116163161215111731538613174124612862017',NULL,'9998',0.00,1,3,NULL),(15,2164809,'1991-02-21 00:00:00',2,4,12,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124243241216111431246629575125610168017',NULL,'751',0.00,4,3,NULL),(15,2164817,'1990-10-26 00:00:00',2,1,12,2007,'M','N','AMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC','124201241117371431634613285124610137187',19082,'281',38.54,1,2,1),(15,2164825,'1989-10-03 00:00:00',2,1,12,2006,'F','N','JARDIM LOS ANGELES','NOVA ESPERANCA','PR','116163161215472431549931572114610166117',897,'9998',74.07,1,3,NULL),(15,2164833,'1986-02-20 00:00:00',4,1,12,2003,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241217374431469911172124221424012',1530,'262',71.07,1,3,NULL),(15,2164841,'1981-03-02 00:00:00',2,1,12,1998,'F','N','PICADAS DO SUL','SAO JOSE','SC','124201205117131431224445242124610124147',NULL,'9998',23.53,1,3,NULL),(15,2164850,'1988-08-29 00:00:00',2,5,12,2005,'M','N','SANTA LUZIA','CRICIUMA','SC','124241241147472421636311295134610168062',11736,'228',49.34,1,2,1),(15,2164868,'1988-09-19 00:00:00',2,1,11,2006,'M','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124241241115132431446833485124610164057',19133,'288',38.47,1,2,1),(15,2164876,'1978-03-09 00:00:00',2,1,12,1995,'F','N','JOSE MENDES','FLORIANOPOLIS','SC','224241243242374411353353132112610133147',15859,'303',43.59,1,3,NULL),(15,2164884,'1990-02-22 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242121215372431569934572124132022092',8929,'1000',53.78,1,3,NULL),(15,2164892,'1988-05-19 00:00:00',2,1,12,2006,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124242241215472431456413472114610134092',5383,'1022',60.31,1,3,NULL),(15,2164906,'1987-06-16 00:00:00',4,3,12,2004,'M','N','VILA GUARANI','SAO PAULO','SP','125252256433571431656724183225141462057',1500,'9998',71.20,4,3,NULL),(15,2164914,'1989-09-13 00:00:00',4,1,12,2007,'M','N','ANCHIETA','BELO HORIZONTE','MG','113132131217111451478631575112610114044',NULL,'9998',0.00,1,3,NULL),(15,2164922,'1986-10-05 00:00:00',2,1,11,2004,'M','N','ZONA QUATRO','MARINGA','PR','116162161215574731558713292125610134127',1171,'9998',72.64,1,3,NULL),(15,2164930,'1989-05-16 00:00:00',4,6,12,2006,'F','N','CENTRO','ITAPEMA','SC','124253241217272441437831374124610163192',3101,'53',65.84,1,3,NULL),(15,2164949,'1989-03-21 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241216111751264823575124610123142',19000,'1051',38.67,1,3,NULL),(15,2164957,'1990-08-08 00:00:00',2,4,12,2007,'F','N','CENTRO','XANXERE','SC','124242241212111711643821332342610164192',12310,'836',48.56,1,3,NULL),(15,2164965,'1989-07-10 00:00:00',2,10,12,2006,'F','N','RIACHINHO','JAGUARUNA','SC','124241241115131431525631272344610128147',21169,'1034',34.51,1,3,NULL),(15,2164973,'1990-07-17 00:00:00',2,4,12,2007,'F','N','ALVORADA','FRANCISCO BELTRAO','PR','116162161311131431538611271125610123172',NULL,'9998',22.92,1,3,NULL),(15,2164981,'1988-10-02 00:00:00',4,1,12,2006,'F','N','JARDIM MARIA AUGUSTA','BRAGANCA PAULISTA','SP','125252251215471431434514271112610142077',3338,'9998',65.16,1,3,NULL),(15,2164990,'1987-12-14 00:00:00',4,3,12,2005,'F','N','IPIRANGA','SAO PAULO','SP','125252251216471432456824375125241467147',1722,'9998',70.30,3,3,NULL),(15,2165007,'1989-09-22 00:00:00',4,3,12,2007,'M','N','ANDORINHA','ITAPEMA','SC','124242241147271431448514144124610112077',4568,'405',62.09,1,3,NULL),(15,2165023,'1991-07-20 00:00:00',4,1,12,2008,'M','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241112111431466932572122610147132',NULL,'883',52.08,1,3,NULL),(15,2165031,'1989-04-19 00:00:00',4,6,12,2006,'M','N','ZONA DOIS','CIANORTE','PR','116151161211441311173932571322610114093',3495,'9998',64.77,1,3,NULL),(15,2165040,'1987-01-04 00:00:00',4,5,7,2005,'M','N','CENTRO','URUSSANGA','SC','124243246217473411536639475115610162172',1354,'995',71.86,1,3,NULL),(15,2165058,'1990-04-29 00:00:00',2,10,12,2006,'F','N','CENTRO','CAPIVARI DE BAIXO','SC','124241241435141751567933341122610164117',NULL,'1034',22.99,1,3,NULL),(15,2165066,'1990-04-12 00:00:00',4,8,12,2007,'M','N','JARDIM ANA CRISTINA','FOZ DO IGUACU','PR','116162161216121431469711572122610122052',NULL,'9998',0.00,1,3,NULL),(15,2165074,'1990-04-29 00:00:00',2,10,12,2006,'F','N','CENTRO','CAPIVARI DE BAIXO','SC','124241241435141451568933242122610164187',NULL,'1034',22.58,1,3,NULL),(15,2165082,'1967-08-29 00:00:00',2,1,12,1985,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','624201206146142431223344342134610126147',14578,'9998',45.30,1,3,NULL),(15,2165090,'1990-03-03 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241145371442436431375124610135047',16730,'307',42.28,2,1,1),(15,2165104,'1987-06-03 00:00:00',2,3,12,2005,'F','N','NAÇOES','BALNEARIO CAMBORIU','SC','124111111146132731523325282313610137042',NULL,'9998',21.22,4,2,1),(15,2165112,'1989-12-27 00:00:00',4,1,12,2007,'M','N','VILA SUZANA','SAO PAULO','SP','125252251217471431548611293122610127113',3859,'9998',63.83,1,3,NULL),(15,2165120,'1990-02-20 00:00:00',4,5,12,2006,'F','N','FIGUEIRA','JACINTO MACHADO','SC','124241241137151431325823341334610167157',NULL,'420',23.13,1,2,1),(15,2165155,'1984-12-16 00:00:00',2,1,12,2002,'F','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124241241142274131534414382124610162147',8525,'307',54.47,1,2,1),(15,2165163,'1989-10-28 00:00:00',2,4,11,2006,'F','N','RIO BRANCO','PORTO ALEGRE','RS','120202201216271431466732575124241564143',NULL,'9998',0.00,1,3,NULL),(15,2165171,'1990-09-20 00:00:00',2,1,11,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124244241215111431436839395124610145127',10597,'262',51.03,1,3,NULL),(15,2165180,'1990-04-27 00:00:00',4,1,12,2007,'F','N','SANTA ROSA','CUIABA','MT','111112111237111531579931594122610134142',7434,'9998',56.35,3,3,NULL),(15,2165198,'1989-09-14 00:00:00',2,1,11,2007,'F','N','VILA IVETE','MAFRA','SC','124241241116131431436314242122610133147',13243,'542',47.24,1,2,1),(15,2165201,'1987-11-17 00:00:00',2,1,11,2005,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124241241126311131238613273114610132094',17856,'290',40.58,1,3,NULL),(15,2165236,'1989-09-20 00:00:00',4,1,9,2006,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215153211338914285315221427012',NULL,'87',0.00,1,3,NULL),(15,2165244,'1990-02-10 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241115151531268923595125610124047',15714,'267',43.79,1,2,1),(15,2165252,'1980-07-31 00:00:00',2,1,12,2000,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124244247412373421557953412134610112182',18763,'1003',39.05,1,3,NULL),(15,2165260,'1988-11-07 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217473431478719175122610127052',571,'262',76.30,1,3,NULL),(15,2165279,'1987-08-18 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241335574751435339222314610137117',6617,'285',57.87,1,3,NULL),(15,2165287,'1989-02-21 00:00:00',2,1,12,2007,'F','N','BAIRRO DE FATIMA','FLORIANOPOLIS','SC','124072241317121431528311591224613237077',16807,'307',42.15,2,3,NULL),(15,2165295,'1989-11-22 00:00:00',2,4,11,2006,'F','N','CENTRO','PORTO ALEGRE','RS','120202201216371431537924572224610164097',10566,'9998',51.07,1,3,NULL),(15,2165309,'1987-06-22 00:00:00',4,1,12,2004,'M','N','CIDADE JARDIM','SAO CARLOS','SP','125254251217471431124622482215610137072',NULL,'9998',0.00,1,3,NULL),(15,2165317,'1989-05-02 00:00:00',2,1,11,2006,'F','N','CENTRO','ANTONIO CARLOS','SC','124241241415372431336313272124610127077',2308,'20',68.22,1,3,NULL),(15,2165325,'1991-09-21 00:00:00',4,2,9,2008,'F','S','VILA NOVA','BLUMENAU','SC','124242241215111211338914585122610134182',NULL,'87',55.08,1,3,NULL),(15,2165333,'1989-09-12 00:00:00',4,1,12,2006,'F','N','BIGORRILHO','CURITIBA','PR','116162168215471411568613575114610164127',NULL,'9998',0.00,1,3,NULL),(15,2165341,'1990-08-31 00:00:00',2,1,12,2007,'M','N','CENTRO','ANTONIO CARLOS','SC','124241241115111431668613575124610134044',14371,'306',45.60,1,2,1),(15,2165368,'1990-01-01 00:00:00',4,8,12,2007,'F','N','MORRO DO MEIO','JOINVILLE','SC','124241241215131441333321271324610128147',4944,'459',61.20,1,3,NULL),(15,2165376,'1990-01-02 00:00:00',4,5,6,2008,'M','S','COMERCIÁRIO','CRICIUMA','SC','124241246217111431425923575124610117052',NULL,'995',33.33,1,3,NULL),(15,2165384,'1989-12-05 00:00:00',4,8,12,2007,'F','N','CENTRO','RIO NEGRINHO','SC','124242241216111411467612294112610168145',4335,'1114',62.64,1,3,NULL),(15,2165406,'1980-05-03 00:00:00',4,2,12,1999,'M','N','CENTRO','CURITIBA','PR','116241241146371411114363175124610114107',18485,'85',39.51,1,2,1),(15,2165414,'1986-11-08 00:00:00',4,1,12,2003,'M','N','ALPHAVILLE','BARUERI','SP','125252251216573411558811572112242467182',3322,'9998',65.22,1,3,NULL),(15,2165422,'1987-12-03 00:00:00',4,1,12,2005,'M','N','COSTA AZUL','SALVADOR','BA','105052051216471211388823572122141067047',NULL,'9998',0.00,4,3,NULL),(15,2165430,'1990-06-16 00:00:00',4,1,12,2007,'M','N','JURERE','FLORIANOPOLIS','SC','124242241215151411488832595112610167183',9486,'262',52.80,1,3,NULL),(15,2165449,'1985-11-24 00:00:00',2,3,11,2002,'F','N','CENTRO','CURITIBA','PR','116242161215573431344622572114141534147',1113,'9998',72.97,1,3,NULL),(15,2165457,'1983-04-28 00:00:00',4,1,12,2001,'F','N','COQUEIROS','FLORIANOPOLIS','SC','224201203236213131246653375112610128187',17166,'9998',41.62,1,3,NULL),(15,2165465,'1990-10-22 00:00:00',4,8,12,2007,'M','N','CENTRO','DRACENA','SP','125251251117151731339612575112610167053',19074,'9998',38.56,1,2,1),(15,2165473,'1989-06-07 00:00:00',2,1,12,2007,'M','N','PRAÇA','TIJUCAS','SC','124241246215111731446631572122610167051',18152,'1119',40.07,1,3,NULL),(15,2165481,'1988-09-30 00:00:00',2,5,12,2005,'M','N','JARDIM DAS AVENIDAS','ARARANGUA','SC','124242241217152431448911375124121144047',14594,'970',45.28,1,3,NULL),(15,2165490,'1990-03-27 00:00:00',4,10,11,2007,'F','N','VILA MOEMA','TUBARAO','SC','124242241215121511448612495122610127142',8891,'809',53.84,1,3,NULL),(15,2165511,'1988-03-29 00:00:00',2,4,12,2005,'M','N','VISTA ALEGRE','CONCORDIA','SC','124241241117131441323419245125610162042',NULL,'192',27.03,1,2,1),(15,2165520,'1990-06-07 00:00:00',4,8,12,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124243241215271431668812575112610127187',1727,'457',70.29,1,3,NULL),(15,2165538,'1990-01-24 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215151712343712125122610134017',15637,'1085',43.89,1,3,NULL),(15,2165546,'1988-03-03 00:00:00',4,1,12,2005,'M','N','JARDIM PICA PAU','SAO MIGUEL ARCANJO','SP','125251251217511431436833575112610134057',4665,'9998',61.84,3,3,NULL),(15,2165570,'1989-12-24 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215151431658832572112610167012',9561,'499',52.66,1,3,NULL),(15,2165589,'1989-09-21 00:00:00',2,3,12,2006,'M','N','BESENELLO','NOVA TRENTO','SC','124243241215472431447617146121610167052',3763,'109',64.05,1,3,NULL),(15,2165597,'1988-05-31 00:00:00',4,8,12,2005,'M','N','CENTRO','JARAGUA DO SUL','SC','124242241215473411346611595122610132172',8959,'491',53.73,1,3,NULL),(15,2165619,'1990-04-14 00:00:00',4,1,12,2007,'F','N','PARQUE HIGIENOPOLIS','PRESIDENTE PRUDENTE','SP','125252251216111431558931574122610163047',17925,'9998',40.45,1,3,NULL),(15,2165627,'1990-01-27 00:00:00',4,7,12,2007,'M','N','CENTRO','ERECHIM','RS','120201201116131431526639271124610127187',19155,'9998',38.42,1,2,1),(15,2165643,'1990-08-02 00:00:00',2,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215121431469934442122610167117',5217,'270',60.67,1,3,NULL),(15,2165651,'1986-06-03 00:00:00',4,1,12,2004,'F','N','KOBRASOL','SAO JOSE','SC','124242241216274431226312571114223063157',12050,'270',48.91,1,3,NULL),(15,2165660,'1985-11-20 00:00:00',2,1,12,2002,'F','N','BOA VISTA','CURITIBA','PR','116161161116141431454823432124243225146',14373,'9998',45.60,1,3,NULL),(15,2165678,'1989-07-08 00:00:00',2,1,12,2007,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','624241241137371731259823392124610138087',10525,'267',51.15,4,2,1),(15,2165694,'1989-05-19 00:00:00',4,5,11,2006,'M','N','COMERCIARIO','CRICIUMA','SC','124242241415372431349929592112610164187',8433,'226',54.64,1,3,NULL),(15,2165708,'1991-06-13 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212111431568812572124610134122',8936,'1022',53.78,1,3,NULL),(15,2165716,'1983-06-06 00:00:00',2,1,12,2000,'F','N','BARREIROS','SAO JOSE','SC','124241241127153411243344142134610112147',11381,'292',49.87,1,3,NULL),(15,2165724,'1990-04-25 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241215111431488623572114610163192',10897,'1022',50.62,1,3,NULL),(15,2165732,'1990-02-13 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241217111431559831572122610132052',14461,'9997',45.48,1,3,NULL),(15,2165740,'1989-08-03 00:00:00',4,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124212241415271431636613242234610123057',11957,'734',49.03,4,3,NULL),(15,2165759,'1990-09-02 00:00:00',4,8,11,2007,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161216121731474812575112610164042',9138,'9998',53.38,1,3,NULL),(15,2165767,'1990-04-17 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124242241217371232368839595124610127182',2976,'884',66.23,1,3,NULL),(15,2165775,'1990-08-03 00:00:00',4,1,12,2007,'F','N','SANTA CECÍLA','ASSIS','SP','125253251215171431538831475122610167097',5552,'9998',59.97,1,3,NULL),(15,2165783,'1990-05-03 00:00:00',4,1,2,2008,'M','N','ARIRIÚ','PALHOCA','SC','124242241115131431446833284214610164057',7362,'739',56.49,1,3,NULL),(15,2165791,'1990-07-28 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241217112751556933375124610134097',8697,'270',54.18,1,3,NULL),(15,2165805,'1990-08-25 00:00:00',4,8,12,2007,'F','N','TARUMA','CURITIBA','PR','116162161217471431439931495122610163016',NULL,'9998',0.00,1,3,NULL),(15,2165813,'1989-07-27 00:00:00',4,1,12,2006,'M','N','VILA SÃO CARLOS','APUCARANA','PR','116162161217372712438834344112140234053',9635,'9998',52.52,1,3,NULL),(15,2165821,'1990-12-30 00:00:00',4,1,12,2007,'F','N','IPIRANGA','SAO JOSE','SC','124244241115121441367713571124610144012',10450,'307',51.27,1,3,NULL),(15,2165830,'1980-10-28 00:00:00',2,1,6,2000,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241246117274131433617482114610112045',13340,'306',47.13,1,2,1),(15,2165856,'1988-05-17 00:00:00',4,1,12,2007,'F','N','JARDIM SONTAG','SALTO','SP','125252257217371411368862575122143261182',20300,'9999',36.24,1,3,NULL),(15,2165864,'1990-02-03 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241217112731479813572124610167182',662,'270',75.66,1,3,NULL),(15,2165872,'1990-09-27 00:00:00',2,4,12,2007,'M','N','BELA VISTA','ERECHIM','RS','120201201127131231116644247324610137047',11083,'9998',50.33,1,2,1),(15,2165880,'1990-05-29 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241217271411347819192324610164042',16783,'259',42.19,1,3,NULL),(15,2165899,'1972-11-30 00:00:00',4,1,11,2000,'M','N','FORQUILHINHAS','SAO JOSE','SC','224242241214133731423441345124520328187',19117,'266',38.49,1,3,NULL),(15,2165902,'1985-04-30 00:00:00',2,1,11,2004,'M','N','INGLESES','FLORIANOPOLIS','SC','124253251335271431445531215124141432177',19693,'9998',37.43,1,3,NULL),(15,2165910,'1990-10-19 00:00:00',2,10,12,2007,'F','N','OFICINAS','TUBARAO','SC','124241248136131731656614342121610148142',NULL,'1034',25.05,1,3,NULL),(15,2165929,'1987-03-26 00:00:00',4,4,12,2004,'F','N','LIBERDADE','SAO PAULO','SP','125244241216571451569811572325132862097',8931,'168',53.78,3,3,NULL),(15,2165937,'1990-11-19 00:00:00',4,9,11,2007,'M','N','CENTRO','LAGES','SC','124244241215121431336923275122610148097',6419,'1065',58.22,1,3,NULL),(15,2165945,'1981-03-21 00:00:00',2,1,12,1999,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241126372431235544245124130222147',20863,'842',35.17,1,3,NULL),(15,2165953,'1989-03-17 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241216473431679929475124610164197',4690,'270',61.77,1,3,NULL),(15,2165961,'1988-12-16 00:00:00',2,5,12,2006,'F','N','CENTENÁRIO','TORRES','RS','120202201216252431458813581112610161117',7478,'9998',56.27,1,3,NULL),(15,2165970,'1990-03-02 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEICAO','FLORIANOPOLIS','SC','124242241217271731389939377122610122142',6283,'262',58.48,1,3,NULL),(15,2165988,'1963-07-25 00:00:00',4,1,12,1981,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124171173146152431123343435234521721057',7886,'9998',55.54,1,3,NULL),(15,2166003,'1991-03-13 00:00:00',4,1,12,2007,'M','N','ASA SUL','BRASILIA','DF','107072071231131431364933571121610127147',8767,'9998',54.07,1,3,NULL),(15,2166020,'1990-05-16 00:00:00',2,7,11,2007,'F','N','CENTRO','CAMPOS NOVOS','SC','124244241215371431343432292122610167072',NULL,'138',0.00,4,3,NULL),(15,2166038,'1990-11-24 00:00:00',4,5,11,2007,'F','N','SANTO ANTONIO','CRICIUMA','SC','124242241215111531663312174122610164092',2674,'213',67.11,3,3,NULL),(15,2166046,'1988-09-25 00:00:00',4,1,12,2005,'M','N','MORUMBI','SAO PAULO','SP','125252251216572431689812375125610142122',2751,'9998',66.88,1,3,NULL),(15,2166062,'1990-09-07 00:00:00',2,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215121731456633571122610166141',8487,'723',54.53,1,3,NULL),(15,2166070,'1991-01-07 00:00:00',4,4,12,2007,'F','N','JARDIM','MARAVILHA','SC','124241241117271431216624571125610166177',18022,'552',40.27,1,2,1),(15,2166097,'1986-10-27 00:00:00',4,5,12,2003,'M','N','ZONA SETE','MARINGA','PR','126183243316313212267122233222323234161',723,'9998',75.21,3,3,NULL),(15,2166100,'1987-07-22 00:00:00',4,1,12,2004,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215372431668832472124610144142',2265,'909',68.38,1,3,NULL),(15,2166127,'1989-07-28 00:00:00',2,8,12,2006,'F','N','CENTRO','CANOINHAS','SC','124241241116151731354432272124610134097',18185,'146',40.00,1,2,1),(15,2166135,'1990-04-14 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112451473834572122610141145',477,'262',76.99,1,3,NULL),(15,2166143,'1990-11-24 00:00:00',4,5,12,2007,'F','N','SANTO ANTONIO','CRICIUMA','SC','124242241215111731663312174122610164092',4877,'213',61.36,3,3,NULL),(15,2166151,'1992-03-15 00:00:00',4,7,12,2007,'F','N','CENTRO','OURO','SC','124242241217111731439513494124610166197',12890,'446',47.74,1,3,NULL),(15,2166160,'1986-11-10 00:00:00',4,1,12,2004,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241216473411367813575122233265093',NULL,'883',24.69,1,3,NULL),(15,2166178,'1988-02-11 00:00:00',4,1,12,2005,'M','N','BAIRRO IPIRANGA','SAO JOSE','SC','124242241217373751233824595114610167057',3503,'300',64.75,4,3,NULL),(15,2166194,'1990-02-28 00:00:00',2,3,12,2007,'M','N','PARQUE SÃO DIOGO','SAO BERNARDO DO CAMPO','SP','125252251217111431289812575122610162122',18015,'9998',40.29,1,3,NULL),(15,2166208,'1990-08-16 00:00:00',4,3,12,2007,'M','N','BIGORRILHO','CURITIBA','PR','116162161216471531359931412114610134017',NULL,'9998',0.00,1,3,NULL),(15,2166216,'1986-02-17 00:00:00',4,1,12,2003,'F','N','PARQUE SÃO DIOGO','SAO BERNARDO DO CAMPO','SP','125252251216572431569813571122610133077',6291,'9998',58.47,3,3,NULL),(15,2166224,'1991-12-11 00:00:00',2,9,11,2008,'F','S','CANOAS','RIO DO SUL','SC','124242241215121431258933572122610167077',NULL,'991',56.38,1,3,NULL),(15,2166232,'1989-08-14 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217573431537921345124131022037',1545,'948',71.00,1,3,NULL),(15,2166240,'1987-04-14 00:00:00',4,1,12,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241234373441338733482124120724182',4565,'273',62.11,1,3,NULL),(15,2166259,'1989-12-08 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217111731437939592122610127021',16901,'1011',42.01,1,3,NULL),(15,2166267,'1989-01-09 00:00:00',2,10,12,2006,'F','N','CENTRO','BRACO DO NORTE','SC','124244241216272431446611315124232436142',5561,'807',59.95,1,3,NULL),(15,2166275,'1990-09-10 00:00:00',2,8,12,2007,'F','N','CENTRO','JOINVILLE','SC','124244241216131431447734375125610132017',6139,'457',58.78,1,3,NULL),(15,2166283,'1989-05-18 00:00:00',4,1,12,2007,'M','N','PASSA VINTE','PALHOCA','SC','124244241437272431468833345124610164095',15085,'307',44.69,4,3,NULL),(15,2166291,'1989-05-16 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241248112131231547613495124610114142',21436,'307',33.88,1,2,1),(15,2166305,'1991-04-08 00:00:00',2,1,11,2007,'F','N','RBEIRÃO GRANDE','PAULO LOPES','SC','124241241225112411546913572224610126147',7772,'262',55.75,1,3,NULL),(15,2166313,'1988-02-20 00:00:00',2,1,12,2005,'F','N','CAMPINAS','SAO JOSE','SC','124242241212533711543312342124610128077',14558,'723',45.33,1,3,NULL),(15,2166330,'1990-08-24 00:00:00',4,1,12,2007,'F','N','CAMINHO NOVO','PALHOCA','SC','124241241115131421556413435124610134145',20708,'295',35.49,2,2,1),(15,2166356,'1990-08-19 00:00:00',4,1,12,2007,'M','N','PASSA VINTE','PALHOCA','SC','124242241417111431346734172121610114097',4990,'1075',61.11,1,3,NULL),(15,2166364,'1990-08-22 00:00:00',4,1,11,2007,'F','N','PONTAL','ILHEUS','BA','105052051216111431569969572122610157092',13347,'9998',47.12,4,3,NULL),(15,2166372,'1988-09-01 00:00:00',4,1,12,2006,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215112731436631397324231428197',4437,'109',62.41,1,3,NULL),(15,2166402,'1990-05-15 00:00:00',4,1,12,2007,'M','N','CENTRO','SANTA BARBARA D OESTE','SP','125252251214111431238639477124610124012',13731,'9998',46.57,1,3,NULL),(15,2166410,'1988-11-01 00:00:00',4,8,12,2006,'M','N','JARDIM LAGOA','PONTA GROSSA','PR','116162161217571431683912572123610138052',10169,'9998',51.69,3,3,NULL),(15,2166429,'1988-08-17 00:00:00',2,1,12,2005,'M','N','CENTRO','NOVA TRENTO','SC','124242241216473431467811575124231437062',9539,'981',52.70,1,3,NULL),(15,2166437,'1989-12-07 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241215371731559613572114610127042',20265,'1036',36.30,1,3,NULL),(15,2166453,'1988-07-04 00:00:00',4,1,6,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124242241415372431464614375122610137115',11282,'283',50.04,1,3,NULL),(15,2166461,'1989-05-08 00:00:00',2,5,6,2007,'F','N','CENTRO','MELEIRO','SC','124243243215371421546923332124610121181',21509,'995',33.71,1,3,NULL),(15,2166470,'1990-11-21 00:00:00',4,1,12,2008,'M','S','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215111431448936392114610167077',NULL,'270',41.62,1,3,NULL),(15,2166488,'1990-02-12 00:00:00',2,1,12,2007,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124243241114371431458759385124610126097',14274,'306',45.76,1,3,NULL),(15,2166496,'1989-04-15 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','116164161217272441335612375124610166092',12190,'9998',48.75,1,3,NULL),(15,2166500,'1989-03-28 00:00:00',4,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124242241215273731257621574114610164112',1926,'270',69.50,1,3,NULL),(15,2166518,'1984-12-18 00:00:00',2,1,12,2004,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124201241145273451325621482224610164037',20805,'298',35.27,1,2,1),(15,2166526,'1986-10-23 00:00:00',4,8,12,2004,'F','N','JARDIM RINA','SANTO ANDRE','SP','125253254236471411433311282124610134027',22514,'9998',28.27,1,3,NULL),(15,2166534,'1990-04-25 00:00:00',4,8,11,2007,'M','N','ÁGUA VERDE','CURITIBA','PR','116244161217471411489913574124610162017',NULL,'9998',0.00,1,3,NULL),(15,2166542,'1989-10-30 00:00:00',3,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431369633475122231267071',3686,'270',64.26,1,3,NULL),(15,2166550,'1989-12-16 00:00:00',2,2,12,2006,'M','N','CENTRO','LAURENTINO','SC','124241246415272431433615344134610162117',4075,'1013',63.25,1,3,NULL),(15,2166569,'1986-08-11 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217574431568611415123230262092',2686,'270',67.07,1,3,NULL),(15,2166585,'1989-09-29 00:00:00',4,8,12,2006,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162161211111111111111121111610111171',NULL,'9998',0.00,1,3,NULL),(15,2166593,'1985-10-23 00:00:00',4,1,12,2004,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124244241211152411367823396124221451177',7277,'855',56.65,1,3,NULL),(15,2166607,'1990-02-14 00:00:00',2,9,12,2007,'F','N','CENTRO','SAO JOAQUIM','SC','124242241215112731326636192125610168097',16503,'9997',42.58,1,3,NULL),(15,2166615,'1989-09-28 00:00:00',4,1,12,2006,'F','N','CENTRO','JALES','SP','125251251416471431643831572122610122142',13903,'9998',46.31,1,3,NULL),(15,2166623,'1990-02-17 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217111731388833575122610167182',9590,'262',52.60,1,3,NULL),(15,2166631,'1990-12-28 00:00:00',4,5,12,2008,'M','S','CENTRO','MORRO DA FUMACA','SC','124242241217111331538833575125610164185',NULL,'213',27.96,1,3,NULL),(15,2166640,'1952-01-09 00:00:00',2,1,12,1993,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124246247447232711431359392134610163197',21542,'9999',33.65,1,3,NULL),(15,2166674,'1990-10-09 00:00:00',4,1,12,2007,'M','N','ALTO DA BOA VISTA','ROLANDIA','PR','116162161215111431568812575112610167053',NULL,'9998',0.00,1,3,NULL),(15,2166682,'1989-09-20 00:00:00',1,2,12,2006,'M','N','TESTO SALTO','BLUMENAU','SC','124241241215141411549634345124230438062',15442,'624',44.20,1,3,NULL),(15,2166690,'1982-03-07 00:00:00',2,1,4,2002,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124243247312132421253327282114131267047',NULL,'9999',24.90,1,3,NULL),(15,2166704,'1988-04-13 00:00:00',4,1,12,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124201201127131721123644341334610144147',21883,'9998',32.68,1,2,1),(15,2166712,'1990-08-13 00:00:00',2,1,12,2007,'M','N','BALNEARIO ESTREITO','FLORIANOPOLIS','SC','124202241215371231443532575124610167112',5003,'988',61.08,1,3,NULL),(15,2166720,'1989-07-05 00:00:00',2,1,12,2006,'F','N','VILA INDUSTRIAL','ALUMINIO','SP','125252251215471441448914591124610167122',NULL,'9998',0.00,1,3,NULL),(15,2166739,'1989-02-08 00:00:00',4,1,12,2006,'M','N','ABRAAO','FLORIANOPOLIS','SC','124242241215373431328614575124610137112',14235,'1022',45.82,1,3,NULL),(15,2166747,'1990-07-03 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124244241215131431533923571124610144142',20306,'1075',36.23,1,3,NULL),(15,2166755,'1989-05-26 00:00:00',2,1,6,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241312131331438923572124610121193',NULL,'257',9.13,1,3,NULL),(15,2166763,'1988-08-18 00:00:00',4,1,10,2006,'M','N','ASA SUL','BRASILIA','DF','107072071215371731578839591114610147046',NULL,'9998',0.00,1,3,NULL),(15,2166771,'1982-12-25 00:00:00',2,1,12,1999,'M','N','CENTRO','PIRACICABA','SP','125251251124572431433344241224610124177',13289,'9998',47.19,1,2,1),(15,2166780,'1990-07-18 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215472431468614575112610137042',5146,'270',60.81,1,3,NULL),(15,2166798,'1989-01-30 00:00:00',4,1,12,2007,'M','N','PICADAS DO SUL','SAO JOSE','SC','124242248112131432325714576224610127117',NULL,'739',24.08,1,3,NULL),(15,2166801,'1977-11-09 00:00:00',2,1,12,1998,'M','N','CENTRO','PALHOCA','SC','124201201142271421323449295324131227047',NULL,'9998',10.52,1,2,1),(15,2166810,'1990-03-04 00:00:00',4,1,12,2007,'M','N','JARDIM EUROPA','BRAGANCA PAULISTA','SP','125252251237111431489934575121610162022',10810,'9998',50.73,1,3,NULL),(15,2166828,'1991-01-12 00:00:00',4,1,11,2008,'M','S','CAMPINAS','SAO JOSE','SC','124242241217111131436614575122610164147',NULL,'738',44.60,1,3,NULL),(15,2166836,'1990-07-17 00:00:00',2,1,12,2007,'M','N','RIO CAVEIRAS','BIGUACU','SC','124243241217111231456633575111610167112',21815,'63',32.90,1,3,NULL),(15,2166844,'1990-06-15 00:00:00',2,8,12,2007,'M','N','VILA FERROVIARIA','MAFRA','SC','124241241215111431323619275112610127042',3904,'541',63.72,1,3,NULL),(15,2166852,'1990-11-18 00:00:00',2,1,12,2007,'F','N','ARIRIÚ','PALHOCA','SC','124241241116131731423318575124610144147',18048,'592',40.23,1,3,NULL),(15,2166860,'1989-02-12 00:00:00',2,8,12,2006,'F','N','CENTRO','CASCAVEL','PR','116161161114131731426831292222610166097',NULL,'9998',0.00,1,2,1),(15,2166879,'1989-03-20 00:00:00',4,8,12,2006,'F','N','SANTO ANTONIO','JOINVILLE','SC','124241241217472431647714572111631461147',7338,'461',56.54,1,3,NULL),(15,2166887,'1988-09-20 00:00:00',4,1,6,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124283288415572731558719576114610163077',727,'9998',75.19,3,3,NULL),(15,2166895,'1986-09-04 00:00:00',4,2,11,2004,'F','N','VELHA','BLUMENAU','SC','124241241236132431543614192124610142097',17325,'1052',41.35,1,3,NULL),(15,2166909,'1991-06-10 00:00:00',2,4,12,2007,'F','N','CENTRO','TENENTE PORTELA','RS','120201201337161431659614571225610136027',13521,'9998',46.86,1,3,NULL),(15,2166917,'1990-06-12 00:00:00',4,8,12,2007,'M','N','AMÉRICA','JOINVILLE','SC','124242161215171411438811415124610127042',3379,'9998',65.06,1,3,NULL),(15,2166933,'1990-10-14 00:00:00',2,1,12,2007,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124242241215151431446611575124610127047',7001,'273',57.15,1,3,NULL),(15,2166968,'1990-11-12 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215111732435821572114610127052',14896,'273',44.91,5,3,NULL),(15,2166976,'1989-05-05 00:00:00',4,1,11,2006,'M','N','SANTA ROSA','CUIABA','MT','111112111235472331576712175112610164042',1881,'9998',69.67,1,3,NULL),(15,2166984,'1992-06-24 00:00:00',4,5,10,2008,'F','S','CENTRO','FORQUILHINHA','SC','124242241216111431448912592114610134142',NULL,'880',23.15,1,3,NULL),(15,2166992,'1989-11-27 00:00:00',2,5,11,2007,'F','N','CENTRO','ORLEANS','SC','124244241415111431349931572112610123147',19520,'581',37.78,1,3,NULL),(15,2167000,'1989-10-28 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215371431458831482124610121077',1256,'262',72.24,1,3,NULL),(15,2167018,'1985-08-30 00:00:00',2,1,7,2004,'M','N','BARREIROS','SAO JOSE','SC','124241241125371221226644342134610122047',NULL,'745',0.00,1,2,1),(15,2167026,'1990-04-26 00:00:00',2,1,11,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124242241215111431477824572122610127042',5863,'270',59.33,1,3,NULL),(15,2167034,'1990-08-17 00:00:00',4,1,12,2007,'F','N','INTERIOR','CASCA','RS','120201201216321431433819575124610127052',19587,'9998',37.64,1,3,NULL),(15,2167042,'1988-09-19 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431358923275122610118185',14408,'270',45.56,3,3,NULL),(15,2167050,'1991-01-23 00:00:00',4,1,12,2007,'F','N','PARQUE DOS VINHEDOS','CAXIAS DO SUL','RS','120203201117371331444823574124610166072',8693,'9998',54.19,4,3,NULL),(15,2167077,'1989-07-24 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215473721448813582122610167042',10289,'270',51.50,1,3,NULL),(15,2167085,'1989-09-22 00:00:00',4,8,11,2006,'M','N','BIGORRILHO','CURITIBA','PR','116164161215471751466612591114610168116',10207,'9998',51.62,1,3,NULL),(15,2167093,'1989-08-03 00:00:00',4,10,11,2006,'M','N','VILA NOVA','IMBITUBA','SC','124242241215471431469811572124610137052',NULL,'807',38.09,1,3,NULL),(15,2167107,'1990-11-15 00:00:00',4,1,11,2007,'M','N','SANTA ROSA','CUIABA','MT','111112111217111431568762575122610167127',NULL,'9998',0.00,1,3,NULL),(15,2167115,'1988-09-01 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215373431564732575125610142097',1680,'270',70.45,1,3,NULL),(15,2167123,'1987-08-25 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124243241215373431448611445124610124012',14878,'272',44.93,1,3,NULL),(15,2167131,'1989-12-23 00:00:00',4,1,11,2006,'M','N','JURERE','FLORIANOPOLIS','SC','124202241215472411568911394124610127112',2949,'266',66.29,1,3,NULL),(15,2167140,'1990-04-30 00:00:00',4,1,12,2007,'F','N','SETOR BUENO','GOIANIA','GO','109092091216121411468831574122610164197',NULL,'9998',0.00,1,3,NULL),(15,2167158,'1984-06-04 00:00:00',2,1,12,2002,'F','N','AREIAS','SAO JOSE','SC','124241241136131431536644341124610132013',18264,'726',39.85,4,2,1),(15,2167166,'1990-02-06 00:00:00',4,2,12,2007,'M','N','CENTRO','DOUTOR PEDRINHO','SC','124241241215112431348812575124610124047',NULL,'9997',0.00,1,3,NULL),(15,2167174,'1989-04-09 00:00:00',2,8,12,2006,'F','N','CENTRO','NOVA FATIMA','PR','116161161117151411516611341325240666093',13998,'9998',46.16,1,3,NULL),(15,2167182,'1989-08-09 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431479931475122610164052',1494,'262',71.22,1,3,NULL),(15,2167190,'1986-09-09 00:00:00',2,1,1,2005,'M','N','INGLESES','FLORIANOPOLIS','SC','124241247415313431433612295114610117055',NULL,'1003',21.06,3,3,NULL),(15,2167204,'1989-11-03 00:00:00',4,8,11,2006,'M','N','CENTRO CIVICO','CURITIBA','PR','116244241217471751468931592124610168017',NULL,'633',0.00,1,3,NULL),(15,2167220,'1990-09-06 00:00:00',4,1,11,2007,'F','N','DOS ESTADOS','GUARAPUAVA','PR','116162161216271411348811375112610122197',15751,'9998',43.74,1,3,NULL),(15,2167239,'1986-08-27 00:00:00',4,1,12,2003,'F','N','LAUZANE PAULISTA','SAO PAULO','SP','125251253215572431336614574124610135197',911,'9998',74.01,3,3,NULL),(15,2167247,'1990-04-09 00:00:00',4,1,12,2007,'F','N','JARDIM SANTA MARIA','JACAREI','SP','125254251417111231547611175124610166172',5358,'9998',60.37,1,3,NULL),(15,2167255,'1984-09-19 00:00:00',2,1,7,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241125374711224374241334610128057',17466,'275',41.13,1,2,1),(15,2167263,'1989-12-13 00:00:00',2,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215471421368822572112610116077',11726,'270',49.36,1,3,NULL),(15,2167271,'1989-09-18 00:00:00',4,1,9,2007,'F','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124242247615372431668619571124610151092',NULL,'9999',0.00,1,3,NULL),(15,2167280,'1989-01-18 00:00:00',2,4,12,2006,'M','N','INTERIOR','XAVANTINA','SC','124241241124372431333336352222610114057',NULL,'844',0.00,1,2,1),(15,2167298,'1990-06-12 00:00:00',2,5,11,2007,'F','N','UNIVERSITÁRIO','CRICIUMA','SC','124242246215331431428327371124610121057',13786,'995',46.48,1,3,NULL),(15,2167310,'1990-03-21 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124243241235111421433512215124610114087',18979,'737',38.70,1,3,NULL),(15,2167328,'1990-07-11 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242248215422531378933571114610128015',12164,'1022',48.77,1,3,NULL),(15,2167336,'1990-04-11 00:00:00',2,3,11,2007,'F','N','CENTRO','PONTA PORA','MS','112122121212471411568711572125610167072',NULL,'9998',0.00,1,3,NULL),(15,2167344,'1989-11-19 00:00:00',4,1,12,2006,'F','N','TAGUATINGA NORTE','TAGUATINGA','DF','107072071215371751479813496122610133147',821,'9998',74.60,4,3,NULL),(15,2167352,'1990-06-13 00:00:00',4,5,10,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215272731489931571122610163137',448,'213',77.23,1,3,NULL),(15,2167360,'1989-11-04 00:00:00',2,1,12,2007,'M','N','SÃO CRISTOVÃO','LAJEADO','RS','120202201217131452347824146131610162187',16621,'9998',42.43,1,3,NULL),(15,2167379,'1987-09-22 00:00:00',2,1,12,2004,'F','N','PRADO','BIGUACU','SC','124241241126372431326439341234610123147',22342,'21',30.77,1,2,1),(15,2167387,'1987-12-21 00:00:00',4,8,12,2006,'M','N','FLORESTA','JOINVILLE','SC','124244247416141431126622395122233232092',19480,'9999',37.86,1,3,NULL),(15,2167395,'1990-08-03 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124241241415111431426611575124610127142',3175,'737',65.62,1,3,NULL),(15,2167409,'1985-09-23 00:00:00',4,5,7,2004,'M','N','CENTRO','URUSSANGA','SC','124243246211474431436619571111610168117',195,'995',80.03,1,3,NULL),(15,2167417,'1989-06-11 00:00:00',2,1,12,2007,'M','N','PRAIA DE FORA','PALHOCA','SC','124243241212111432425612582124610164147',20094,'989',36.63,1,3,NULL),(15,2167425,'1988-10-30 00:00:00',4,1,12,2005,'F','N','EDEN','SOROCABA','SP','125251251126271411537819292124610122182',20932,'9998',35.00,1,2,1),(15,2167433,'1989-03-18 00:00:00',4,1,5,2007,'M','N','SALGADO FILHO','CAXIAS DO SUL','RS','120202201416271751468732471112610164042',5659,'9998',59.75,1,3,NULL),(15,2167441,'1990-02-01 00:00:00',4,5,11,2007,'M','N','CENTRO','ARARANGUA','SC','124242241215372441339914585124610167142',2292,'32',68.26,1,3,NULL),(15,2167450,'1990-03-15 00:00:00',2,4,12,2007,'F','N','SAO VICENTE','PATO BRANCO','PR','116161168126131721111374195234610138057',NULL,'9998',20.52,1,3,NULL),(15,2167468,'1990-07-25 00:00:00',2,5,11,2007,'M','N','CENTRO','JACINTO MACHADO','SC','124242241216121431446912575114610167052',1359,'970',71.84,1,3,NULL),(15,2167484,'1990-01-19 00:00:00',1,3,11,2007,'M','N','CENTRO','ITUPORANGA','SC','124241241126161331423631595125610168147',NULL,'416',20.77,1,3,NULL),(15,2167492,'1990-08-20 00:00:00',3,6,11,2007,'F','N','AZAMBUJA','BRUSQUE','SC','124241241131131411226624241124610161172',18249,'111',39.89,1,3,NULL),(15,2167506,'1992-04-30 00:00:00',4,1,12,2009,'F','S','CENTRO','JARAGUA DO SUL','SC','124242248217111431558813595122610127147',NULL,'424',46.40,1,3,NULL),(15,2167514,'1989-04-06 00:00:00',2,1,12,2006,'M','N','CENTRO','ITAIOPOLIS','SC','124241241147161431344639572312610167057',NULL,'387',18.66,1,3,NULL),(15,2167522,'1990-04-09 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241215472431567834575122610147042',7238,'262',56.72,1,3,NULL),(15,2167530,'1987-09-28 00:00:00',4,1,12,2004,'M','N','CENTRO','IMBE','RS','120203201117571431436614571124610167112',3100,'9998',65.85,4,3,NULL),(15,2167549,'1986-05-19 00:00:00',2,1,12,2003,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241115272431355612275124240237142',6809,'193',57.52,1,2,1),(15,2167557,'1991-03-01 00:00:00',4,9,11,2007,'M','N','CENTRO','RIO DO SUL','SC','124242241216111431336813575122610134142',14370,'991',45.60,1,3,NULL),(15,2167565,'1989-05-10 00:00:00',4,1,12,2006,'F','N','MARECHAL RONDON','CANOAS','RS','120202201217471731557934591112610123092',NULL,'9998',0.00,1,3,NULL),(15,2167573,'1989-08-14 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215111451436923475112610128072',NULL,'880',17.26,1,3,NULL),(15,2167581,'1989-09-03 00:00:00',4,1,12,2006,'F','N','SÃO JOSE','SAO JOSE','SC','124214241215472431454313374122610138187',10409,'1118',51.33,4,3,NULL),(15,2167590,'1990-04-23 00:00:00',2,8,12,2007,'F','N','ILHA DA FIGUEIRA','JARAGUA DO SUL','SC','124242241215131431469914245122610133142',14012,'422',46.14,1,3,NULL),(15,2167611,'1990-04-28 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124203201617111731436629595124610114093',20154,'9998',36.53,1,3,NULL),(15,2167620,'1990-12-28 00:00:00',2,4,11,2007,'M','N','CENTRO','ERECHIM','RS','120202201215271431468911572112610167052',9328,'9998',53.08,1,3,NULL),(15,2167646,'1990-10-11 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215111431336933575124610121192',16704,'270',42.32,1,3,NULL),(15,2167654,'1990-01-09 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241116271232466313475114610441197',NULL,'307',24.31,3,2,1),(15,2167662,'1989-08-17 00:00:00',2,1,12,2006,'M','N','CENTRO','ANTONIO CARLOS','SC','124241241215473441466633575114131424052',613,'270',75.94,1,3,NULL),(15,2167670,'1989-11-03 00:00:00',4,8,12,2006,'M','N','CENTRO CÍVICO','CURITIBA','PR','116244161215571731678831574124610164092',84,'9998',82.07,1,3,NULL),(15,2167689,'1990-06-29 00:00:00',2,1,10,2007,'F','N','CAMPINAS','SAO JOSE','SC','124241248315111431446834342124610137142',NULL,'269',25.19,1,3,NULL),(15,2167697,'1986-10-12 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124212248215471751479711575122130228182',6268,'270',58.51,1,3,NULL),(15,2167719,'1983-04-28 00:00:00',2,5,12,2001,'F','N','CENTRO','ORLEANS','SC','124253257327131531343314392112612654147',NULL,'9999',19.58,2,3,NULL),(15,2167727,'1988-11-14 00:00:00',4,9,12,2005,'F','N','CRISTO REI','CURITIBA','PR','116113161216473431458911575124610163097',2884,'9998',66.49,1,3,NULL),(15,2167743,'1990-06-13 00:00:00',4,3,12,2007,'F','N','PIO X','CAXIAS DO SUL','RS','120202206217111431455921575122610131012',NULL,'9998',19.74,1,3,NULL),(15,2167751,'1989-11-27 00:00:00',2,1,12,2007,'F','N','BARRA DO ARIRIÚ','PALHOCA','SC','124241241116121411446633572124610134141',21669,'592',33.34,1,2,1),(15,2167760,'1986-10-12 00:00:00',2,1,12,2005,'F','N','PONTE DE IMARUIM','PALHOCA','SC','124241241127372431444613442124610113142',16164,'592',43.12,1,2,1),(15,2167778,'1989-09-25 00:00:00',2,1,12,2006,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241212273431658811292114610122127',9206,'1022',53.26,3,3,NULL),(15,2167786,'1988-12-15 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241415372411349933585124233265111',9838,'951',52.20,1,3,NULL),(15,2167794,'1962-10-03 00:00:00',2,1,12,1979,'M','N','CENTRO','ALFREDO WAGNER','SC','224241246122162431442244345132610167051',18648,'158',39.24,1,2,1),(15,2167808,'1990-08-20 00:00:00',4,3,12,2007,'M','N','CENTRO','PONTA GROSSA','PR','116162161216371231556832575122610167114',5544,'9998',59.98,1,3,NULL),(15,2167816,'1990-07-26 00:00:00',4,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241215131431335413576112610168197',6890,'1011',57.36,1,3,NULL),(15,2167840,'1989-08-02 00:00:00',4,8,12,2006,'F','N','PORTAO','CURITIBA','PR','116162161215471531468811572124610113092',11742,'9998',49.33,1,3,NULL),(15,2167859,'1989-10-21 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215112131488833572124610114125',11263,'262',50.07,1,3,NULL),(15,2167867,'1991-05-12 00:00:00',4,1,12,2008,'F','S','ESTREITO','FLORIANOPOLIS','SC','124244241215111751468833595122610112122',NULL,'270',40.69,1,3,NULL),(15,2167883,'1990-09-26 00:00:00',4,2,12,2007,'F','N','IMIGRANTES','TIMBO','SC','124241241216112431447833575112610121142',3160,'9997',65.67,1,3,NULL),(15,2167891,'1988-12-04 00:00:00',4,5,12,2006,'F','N','CENTRO','URUSSANGA','SC','124242241215322431467619575122610167142',5372,'820',60.33,1,3,NULL),(15,2167913,'1990-05-08 00:00:00',4,1,11,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241216111431577933332124610127152',10725,'270',50.84,1,3,NULL),(15,2167921,'1987-04-29 00:00:00',2,8,12,2004,'F','N','CENTRO','CORBELIA','PR','116161161417572431453922575122610164142',2893,'9998',66.47,1,3,NULL),(15,2167930,'1982-12-24 00:00:00',4,9,12,1999,'F','N','POÇO RICO','OTACILIO COSTA','SC','124241241116574451454419495122331342142',16640,'583',42.40,1,2,1),(15,2167948,'1990-02-17 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215321731436639372122610134077',17909,'44',40.47,1,3,NULL),(15,2167956,'1991-08-24 00:00:00',4,1,12,2008,'F','S','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124242241217111431459933482112610123181',NULL,'270',0.00,1,3,NULL),(15,2167964,'1989-03-02 00:00:00',4,8,6,2007,'M','N','SAGUAÇU','JOINVILLE','SC','124242241212471731348634575124610162192',NULL,'9997',20.60,1,3,NULL),(15,2167972,'1987-06-05 00:00:00',2,1,1,2005,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124243241116273431348813374124121733187',8313,'306',54.83,1,3,NULL),(15,2167980,'1986-07-08 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241135131712339433281124610162147',16392,'298',42.77,1,2,1),(15,2167999,'1990-06-05 00:00:00',4,8,12,2008,'F','S','IRIRIU','JOINVILLE','SC','124243243217141431457733391122610165057',NULL,'494',36.25,1,3,NULL),(15,2168006,'1990-07-25 00:00:00',2,8,12,2007,'F','N','CENTRO','GUARAMIRIM','SC','124242241215111431435619392122610134047',15017,'442',44.77,1,3,NULL),(15,2168014,'1989-04-22 00:00:00',2,8,12,2006,'F','N','BOM JESUS','RIO NEGRO','PR','116241241216471431438923572124610132187',10656,'541',50.94,1,3,NULL),(15,2168022,'1988-05-12 00:00:00',4,5,12,2005,'F','N','CENTRO','CRICIUMA','SC','124242241215573431658614575122610167097',4624,'226',61.95,1,3,NULL),(15,2168030,'1989-11-19 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215112431448511315122610145147',3487,'9997',64.79,4,3,NULL),(15,2168049,'1990-11-09 00:00:00',4,3,12,2007,'F','N','BIGORRILHO','CURITIBA','PR','116162161215471431459713572122610167097',5798,'9998',59.48,1,3,NULL),(15,2168057,'1990-04-05 00:00:00',4,4,12,2007,'F','N','CENTRO','SAUDADES','SC','124244241216371431459911575124610163187',NULL,'1070',0.00,1,3,NULL),(15,2168065,'1991-11-13 00:00:00',2,9,11,2007,'M','N','PINHEIROS','OTACILIO COSTA','SC','124241241315111331359913215114610134057',20983,'499',34.88,1,3,NULL),(15,2168081,'1989-12-19 00:00:00',4,1,12,2007,'F','N','ESTANCIA VELHA','CANOAS','RS','120203201137131751525819171124610161127',NULL,'9998',0.00,1,3,NULL),(15,2168090,'1989-11-22 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241217372431536714572124610163147',1833,'951',69.83,1,3,NULL),(15,2168103,'1989-08-20 00:00:00',2,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124242241216472431439611595124610114042',19652,'737',37.52,1,3,NULL),(15,2168120,'1989-08-03 00:00:00',4,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116164161212474431429632572125610164147',NULL,'9998',0.00,1,3,NULL),(15,2168138,'1985-04-05 00:00:00',2,1,12,2002,'M','N','CENTRO','ANTONIO CARLOS','SC','124241241415575431466633325114330226057',1079,'20',73.10,1,3,NULL),(15,2168146,'1990-06-28 00:00:00',2,1,11,2007,'M','N','VILLA BECKER','SANTO AMARO DA IMPERATRIZ','SC','124243241217112712458314577114610167047',16471,'270',42.63,3,3,NULL),(15,2168154,'1989-11-30 00:00:00',4,6,12,2007,'M','N','FAZENDA','ITAJAI','SC','124244241217111431378332572111610134042',6803,'394',57.54,1,3,NULL),(15,2168162,'1975-01-18 00:00:00',2,1,12,1997,'F','N','TRINDADE','FLORIANOPOLIS','SC','224171171127572411466553182112142726187',13676,'9998',46.65,1,2,1),(15,2168170,'1988-10-16 01:00:00',4,1,12,2005,'F','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','124242241215473431478832572124610124092',586,'266',76.16,1,3,NULL),(15,2168189,'1984-03-23 00:00:00',4,1,12,2001,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241213575731446811485124222864187',598,'269',76.10,1,3,NULL),(15,2168197,'1989-05-01 00:00:00',2,4,12,2006,'M','N','CENTRO','SEARA','SC','124241242231142431523632342121231132092',5304,'836',60.52,4,3,NULL),(15,2168200,'1988-12-20 00:00:00',2,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241112371751223424192314610121182',14779,'592',45.03,1,2,1),(15,2168219,'1989-08-21 00:00:00',2,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124242241215372431346514345114610124077',10868,'1098',50.66,1,3,NULL),(15,2168227,'1975-12-09 00:00:00',2,1,12,1992,'F','N','CENTRO','FLORIANOPOLIS','SC','624241245116574431232453475124610137187',1710,'789',70.35,1,2,1),(15,2168235,'1989-05-25 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215472431478833572124610163062',5119,'883',60.88,1,3,NULL),(15,2168243,'1986-07-19 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241212373421356823231113610162042',17459,'1022',41.14,1,3,NULL),(15,2168251,'1987-12-14 00:00:00',2,3,12,2006,'M','N','BOM JESUS','CAMPO LARGO','PR','116162161215471431458838212124610127117',15758,'9998',43.73,1,3,NULL),(15,2168278,'1989-03-10 00:00:00',2,10,12,2006,'F','N','JOSÉ NAZÁRIO','ARMAZEM','SC','124241241127271131334314245121610164192',13543,'34',46.83,1,2,1),(15,2168286,'1989-12-10 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124241241127131431436621342124610125147',18020,'736',40.28,1,2,1),(15,2168294,'1988-07-05 00:00:00',4,1,12,2005,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','125251251117372441447711571121610167112',5989,'9998',59.10,1,2,1),(15,2168308,'1989-11-21 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215472431466912572124610124062',6969,'270',57.22,1,3,NULL),(15,2168316,'1990-07-02 00:00:00',3,1,11,2007,'F','N','VILA NOVA','IMBITUBA','SC','124244241215112431589912272124610115182',6396,'270',58.26,1,3,NULL),(15,2168332,'1989-02-21 00:00:00',2,1,12,2006,'F','N','PASSA VINTE','PALHOCA','SC','124241241346372431644614345124610145142',11305,'591',50.00,1,3,NULL),(15,2168340,'1990-01-08 00:00:00',4,9,11,2007,'M','N','CENTRO','LAGES','SC','124242241215371431468611575122610162052',5827,'499',59.42,1,3,NULL),(15,2168367,'1990-03-16 00:00:00',4,1,11,2007,'M','N','JARDIM COLINAS','SAO JOSE DOS CAMPOS','SP','125252251215111441469813581122610134182',NULL,'9998',0.00,1,3,NULL),(15,2168375,'1991-05-24 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241215111512469913172124610164095',13710,'262',46.60,1,3,NULL),(15,2168383,'1991-03-21 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241216111431458933575125610127142',NULL,'270',55.92,1,3,NULL),(15,2168391,'1990-04-28 00:00:00',4,9,12,2007,'M','N','BOQUEIRÃO','PASSO FUNDO','RS','120202201217121441579914472124610166182',3556,'9998',64.61,1,3,NULL),(15,2168405,'1989-08-23 00:00:00',2,1,12,2006,'M','N','JD CID FLORIANÓPOLIS','SAO JOSE','SC','124241241117372431449933572112610167047',4089,'734',63.22,1,2,1),(15,2168413,'1981-05-21 00:00:00',4,1,12,1998,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124201201117171432428844442224132866197',15867,'9998',43.58,1,3,NULL),(15,2168421,'1989-08-09 00:00:00',2,1,12,2006,'F','N','SÃO JOSÉ','SAO JOSE','SC','124241241117271231623319582114610121097',19123,'733',38.48,1,2,1),(15,2168430,'1989-10-16 00:00:00',4,8,12,2007,'M','N','BUCAREIN','JOINVILLE','SC','124244241216171111456633575112610127112',13106,'491',47.44,1,3,NULL),(15,2168448,'1990-04-03 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215121431586923572122610162152',2610,'270',67.30,1,3,NULL),(15,2168456,'1984-10-09 00:00:00',2,4,8,2004,'F','N','NOVO HORIZONTE','XANXERE','SC','124241241117131431548614345124231524147',NULL,'840',22.29,1,2,1),(15,2168464,'1990-02-10 00:00:00',4,1,12,2007,'M','N','PENHA','SAO PAULO','SP','105052051216111441478814575122610167147',1332,'9998',71.97,3,3,NULL),(15,2168472,'1990-07-03 00:00:00',4,4,10,2007,'F','N','CATARINA FONTANA','CONCORDIA','SC','124244241214111421346612575124610127157',NULL,'1047',17.90,1,3,NULL),(15,2168480,'1988-11-27 00:00:00',4,1,12,2006,'F','N','CENTRO','MOGI GUACU','SP','125252251215472431338624575122610137077',1789,'9998',69.99,1,3,NULL),(15,2168499,'1988-12-27 00:00:00',4,1,12,2006,'F','N','FLORESTA','JOINVILLE','SC','124242161215372411359612575325610152042',2366,'9998',68.03,1,3,NULL),(15,2168502,'1990-03-18 00:00:00',2,1,11,2007,'F','N','JURERÊ','FLORIANOPOLIS','SC','124242241217121431458714572124610166142',1501,'270',71.19,1,3,NULL),(15,2168510,'1988-10-18 00:00:00',4,1,12,2007,'F','N','VILA EMA','SAO JOSE DOS CAMPOS','SP','125252251216131421368924575121610147112',21755,'9998',33.11,1,3,NULL),(15,2168529,'1990-05-03 00:00:00',4,1,12,2007,'F','N','ILHA DA FIGUEIRA','JARAGUA DO SUL','SC','124242241217131431568913472122610132092',3462,'422',64.85,1,3,NULL),(15,2168537,'1983-11-12 00:00:00',4,1,12,2001,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241141153441637531315124610132032',10446,'9997',51.28,1,2,1),(15,2168545,'1989-02-21 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241212372231479919572122231223072',10998,'266',50.47,1,3,NULL),(15,2168553,'1990-04-10 00:00:00',4,1,12,2007,'F','N','CAMPO DE FORA','LAGUNA','SC','124241241136161431534633571124610128077',NULL,'521',19.90,1,3,NULL),(15,2168561,'1989-03-06 00:00:00',4,8,11,2006,'F','N','CENTRO','JOINVILLE','SC','124242241215473431587912572122610141012',NULL,'457',0.00,1,3,NULL),(15,2168588,'1989-03-08 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241217152431459914592122231043072',7446,'262',56.34,1,3,NULL),(15,2168596,'1984-02-13 00:00:00',4,8,6,2007,'M','N','SANTA CATARINA','ILHA SOLTEIRA','SP','125161258636151411436614191121610117053',18338,'9998',39.73,4,3,NULL),(15,2168600,'1988-03-26 00:00:00',4,8,12,2005,'M','N','CENTRO','CURITIBA','PR','116254251416571431446817595114143264047',6965,'9998',57.22,1,3,NULL),(15,2168626,'1990-02-11 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215112731479614472122610147075',212,'270',79.78,1,3,NULL),(15,2168634,'1991-02-06 00:00:00',4,2,11,2008,'F','S','DAS NAÇÕES','TIMBO','SC','124242241215111431468934445122610137152',NULL,'909',34.67,1,3,NULL),(15,2168642,'1983-06-19 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124243247337472732126144242344610132147',22094,'9999',31.95,1,3,NULL),(15,2168650,'1989-01-21 00:00:00',2,1,12,2006,'M','N','CENTRO','BELA VISTA DO PARAISO','PR','116162161237472731458933572122610167042',7471,'9998',56.29,1,3,NULL),(15,2168669,'1990-10-17 00:00:00',4,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124244241417372211468933572122610122182',1259,'884',72.21,1,3,NULL),(15,2168677,'1990-06-01 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241112131231435419572124610164147',NULL,'64',24.91,1,3,NULL),(15,2168685,'1990-06-24 00:00:00',4,2,12,2007,'F','N','CENTRO','POMERODE','SC','124242241216272411538811575125610124072',13131,'624',47.41,1,3,NULL),(15,2168693,'1988-11-22 00:00:00',2,5,11,2005,'F','N','SAMUEL SANDRINI','ORLEANS','SC','124241241111113421433631372122610167142',5265,'581',60.58,1,2,1),(15,2168707,'1989-07-20 00:00:00',4,1,12,2006,'M','N','CENTRO','CURITIBA','PR','116244241215471431544632175125610127062',NULL,'317',0.00,1,3,NULL),(15,2168715,'1990-07-13 00:00:00',2,1,12,2008,'M','S','PONTE IMARUIM','PALHOCA','SC','124241241135131431333434575112610112142',NULL,'592',31.41,3,3,NULL),(15,2168723,'1990-07-18 00:00:00',2,4,11,2007,'F','N','CENTRO','DESCANSO','SC','124242247216111222443933592115610128147',NULL,'241',20.34,1,3,NULL),(15,2168740,'1988-11-10 00:00:00',2,8,12,2006,'F','N','CENTRO','JOINVILLE','SC','124241241215471711459829495115610165147',17137,'487',41.66,1,3,NULL),(15,2168758,'1989-12-02 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215472431368714575124610167077',1292,'273',72.10,1,3,NULL),(15,2168766,'1988-03-21 00:00:00',2,1,12,2005,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124241241147371531446433382114610124197',20465,'728',35.94,1,3,NULL),(15,2168774,'1991-01-17 00:00:00',4,4,12,2007,'M','N','CENTRO','XAXIM','SC','124241241237121231556632525114610117013',16627,'994',42.42,1,3,NULL),(15,2168782,'1989-02-25 00:00:00',2,1,12,2006,'F','N','ATUBA','CURITIBA','PR','116161161115471731334419572124610164047',NULL,'9998',27.66,4,2,1),(15,2168790,'1990-05-20 00:00:00',4,2,12,2007,'M','N','CENTRO','BRUSQUE','SC','124242241215272431328924214122610134142',1149,'107',72.79,1,3,NULL),(15,2168804,'1989-08-10 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241115132431346623475124610117047',4226,'267',62.85,1,2,1),(15,2168812,'1987-11-11 00:00:00',2,5,12,2005,'F','N','COLONINHA','ARARANGUA','SC','124242241225411731379611591122610131142',14561,'32',45.32,1,3,NULL),(15,2168820,'1989-02-03 00:00:00',2,2,12,2006,'M','N','VICTOR KONDER','BLUMENAU','SC','124244241215472431459713475124610167057',378,'654',77.84,1,3,NULL),(15,2168839,'1990-02-22 00:00:00',4,1,12,2007,'F','N','INTERIOR','CASCA','RS','120201201117371431446823571124610144077',11342,'9998',49.92,1,2,1),(15,2168847,'1989-01-19 00:00:00',4,4,12,2006,'F','N','CENTRO','CARAZINHO','RS','120203201216371231579714575124610112097',13468,'9998',46.93,1,3,NULL),(15,2168855,'1988-12-30 00:00:00',2,1,11,2005,'F','N','FLORESTA','VIDEIRA','SC','124241241315574431435933572324610164087',11572,'969',49.60,1,3,NULL),(15,2168871,'1989-06-17 00:00:00',2,5,12,2006,'F','N','CENTRO','TURVO','SC','124241241117472431546931574122610121142',7419,'814',56.37,1,2,1),(15,2168880,'1990-07-30 00:00:00',2,1,12,2007,'F','N','CENTRO','PORTO BELO','SC','124241241216151731435923332124610125072',NULL,'407',21.83,1,3,NULL),(15,2168898,'1990-01-08 00:00:00',2,1,11,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','124242241215111331456611572122610121143',6211,'270',58.62,1,3,NULL),(15,2168901,'1990-08-24 00:00:00',2,6,12,2007,'F','N','SÃO JUDAS','ITAJAI','SC','124243241217121411457719392122610162097',4731,'389',61.69,1,3,NULL),(15,2168910,'1991-02-18 00:00:00',2,1,12,2008,'F','S','RIO TAVARES','FLORIANOPOLIS','SC','124243241215271751447833572114610168187',NULL,'299',49.19,1,3,NULL),(15,2168928,'1989-03-31 00:00:00',2,4,11,2007,'F','N','CENTRO','CHAPECO','SC','124162241216371432467614475125610164057',NULL,'185',24.68,4,3,NULL),(15,2168944,'1987-09-13 00:00:00',2,1,12,2004,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241116134411234474381124610166142',12665,'257',48.04,1,2,1),(15,2168952,'1981-04-17 00:00:00',4,1,12,2000,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124251241132135451655531442114610162185',7991,'9997',55.39,1,2,1),(15,2168960,'1988-08-08 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241112153731546431472114610124145',18263,'267',39.86,1,2,1),(15,2168979,'1989-03-30 00:00:00',2,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241126472421123344342124610162197',7939,'785',55.45,1,2,1),(15,2168987,'1989-09-13 00:00:00',4,8,12,2006,'F','N','AMÉRICA','JOINVILLE','SC','124242241215372431345419575122610167017',3876,'931',63.80,1,3,NULL),(15,2168995,'1990-05-01 00:00:00',4,8,12,2007,'F','N','JARDIM GISELA','TOLEDO','PR','116162161215121431456814271122610134143',2140,'9998',68.84,1,3,NULL),(15,2169002,'1991-05-30 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241212111431476614572114610132142',18995,'737',38.67,1,3,NULL),(15,2169010,'1990-06-28 00:00:00',4,8,11,2007,'F','N','GUANABARA','JOINVILLE','SC','124242241217111531457914572122610134182',1992,'461',69.30,1,3,NULL),(15,2169029,'1989-09-14 00:00:00',4,3,12,2006,'F','N','CENTRO','PASSO FUNDO','RS','120201241216471431468913582122610123182',6450,'109',58.17,1,3,NULL),(15,2169045,'1990-01-19 00:00:00',2,8,12,2006,'F','N','CENTRO','SAO FRANCISCO DO SUL','SC','124241241226272431556614341122610163117',NULL,'867',23.47,1,3,NULL),(15,2169053,'1991-01-12 00:00:00',4,7,12,2008,'M','S','CENTRO','CAMPOS NOVOS','SC','124242241215111731466532575114610167142',NULL,'962',50.12,1,3,NULL),(15,2169061,'1990-04-30 00:00:00',2,4,11,2007,'F','N','CENTRO','CHAPECO','SC','124242241216371731368811572122610142057',NULL,'168',0.00,1,3,NULL),(15,2169070,'1988-10-15 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124244241215161421441813572124610147165',11003,'269',50.47,1,3,NULL),(15,2169088,'1990-09-25 00:00:00',2,4,12,2007,'M','N','INTERIOR NOVO XINGU','CONSTANTINA','RS','120201201136161731323336162325610164147',14668,'9998',45.19,1,3,NULL),(15,2169096,'1988-08-31 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124201201215372431568914572124143224017',22126,'9998',31.82,1,3,NULL),(15,2169118,'1985-03-21 00:00:00',4,1,12,2003,'M','N','BARREIROS','SAO JOSE','SC','124241241127133411436823135134610132077',NULL,'257',36.67,4,2,1),(15,2169126,'1991-08-31 00:00:00',4,1,12,2008,'F','S','DANIELA','FLORIANOPOLIS','SC','124284241215111231466911574114610167145',NULL,'262',50.20,1,3,NULL),(15,2169134,'1989-01-29 00:00:00',2,9,11,2007,'M','N','POPULAR','SAO JOAQUIM','SC','124242241215111431466933575122610164093',NULL,'1035',19.47,1,3,NULL),(15,2169142,'1988-09-03 00:00:00',2,1,12,2006,'F','N','CENTRO','PALHOCA','SC','124244241312372431543631572114610164091',2178,'1022',68.66,1,3,NULL),(15,2169150,'1990-02-14 00:00:00',4,1,12,2007,'F','N','MADUREIRA','CAXIAS DO SUL','RS','120162201212471431479814472222610162122',11022,'56',50.43,1,3,NULL),(15,2169169,'1989-09-01 00:00:00',4,8,12,2006,'F','N','PIRABEIRABA','JOINVILLE','SC','124244241235472431459914442124610162077',15106,'459',44.66,1,3,NULL),(15,2169177,'1988-02-27 00:00:00',4,1,12,2005,'F','N','VILA ESTEVES','LIMEIRA','SP','125252251216571431536634595122610122143',3088,'9998',65.87,3,3,NULL),(15,2169185,'1990-03-13 00:00:00',2,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215112431358524575114610127047',20885,'1022',35.12,1,3,NULL),(15,2169207,'1990-08-01 00:00:00',4,1,12,2007,'F','N','PINHEIROS','SAO PAULO','SP','125252251215211231549931575114610112042',NULL,'9998',0.00,1,3,NULL),(15,2169215,'1990-09-18 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215112431466933572122610144197',1673,'273',70.48,1,3,NULL),(15,2169223,'1987-09-18 00:00:00',4,1,12,2004,'M','N','AGUAS CLARAS','TAGUATINGA','DF','107071071217571431358611572122610124047',490,'9998',76.90,1,3,NULL),(15,2169231,'1989-10-06 00:00:00',4,10,12,2006,'F','N','CENTRO','RIO FORTUNA','SC','124243241217272431568924345124610164182',9633,'950',52.52,1,3,NULL),(15,2169240,'1990-06-20 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124243241215111431668614575122610132012',17225,'738',41.53,1,3,NULL),(15,2169258,'1990-06-12 00:00:00',4,1,11,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215122431468933575114610167055',769,'270',74.88,1,3,NULL),(15,2169266,'1988-04-12 00:00:00',2,1,12,2007,'M','N','FAZENDA STO ANTÔNIO','SAO JOSE','SC','124162241215111432467733272114610167052',NULL,'737',8.88,1,3,NULL),(15,2169282,'1990-08-13 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431568912272122610113163',8083,'270',55.21,1,3,NULL),(15,2169290,'1990-10-30 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241215471431568914572124610127147',9441,'270',52.88,1,3,NULL),(15,2169304,'1986-03-24 00:00:00',4,1,12,2003,'M','N','CENTRO','SAO CARLOS','SP','125252251216512431478933575112610167042',2583,'9998',67.37,1,3,NULL),(15,2169312,'1990-06-06 00:00:00',2,1,12,2007,'F','N','CENTRO','SAO BONIFACIO','SC','124243241345121431336933432124610137145',13787,'774',46.48,1,3,NULL),(15,2169320,'1986-01-04 00:00:00',2,1,9,2004,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241112152431323614345133610148147',19578,'739',37.66,1,3,NULL),(15,2169339,'1990-07-27 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241115131412346613575124610127057',NULL,'307',19.37,1,2,1),(15,2169347,'1990-04-23 00:00:00',2,1,10,2007,'M','N','PITUBA','SALVADOR','BA','105052051217111431468712572114610164112',3522,'9998',64.70,4,3,NULL),(15,2169355,'1990-04-28 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217112431478834375112610167126',5605,'270',59.87,4,3,NULL),(15,2169363,'1989-09-25 00:00:00',4,1,12,2006,'M','N','ASA SUL','BRASILIA','DF','107072071215471711479814482112610164142',5662,'9998',59.75,4,3,NULL),(15,2169371,'1989-05-09 00:00:00',2,7,12,2007,'F','N','CENTRO','CAPINZAL','SC','124244241211371411479932422122230212071',NULL,'446',0.00,1,3,NULL),(15,2169380,'1991-01-28 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECO','SC','124242241215471431388712572122610167122',13088,'983',47.47,1,3,NULL),(15,2169398,'1991-04-05 00:00:00',4,1,11,2007,'M','N','DUQUE DE CAXIAS','CUIABA','MT','111112111235111431468615475122610134042',NULL,'9998',43.73,1,3,NULL),(15,2169401,'1989-03-31 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241216121431339823575114610164076',6840,'1098',57.46,1,3,NULL),(15,2169410,'1989-04-21 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241417112141554933575124233227052',6673,'1022',57.78,1,3,NULL),(15,2169428,'1990-03-29 00:00:00',2,1,11,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215272431537823576124230228197',3057,'270',65.96,1,3,NULL),(15,2169436,'1990-12-06 00:00:00',4,7,11,2007,'M','N','CENTRO','JOACABA','SC','124242241215371431579811415112610167147',5307,'962',60.51,1,3,NULL),(15,2169444,'1989-01-26 00:00:00',4,2,12,2006,'M','N','ESTUÁRIO','SANTOS','SP','125252251217471431279931575121610167042',721,'9998',75.22,1,3,NULL),(15,2169452,'1988-09-20 00:00:00',4,8,12,2005,'F','N','JARDIM BANDEIRANTES','SOROCABA','SP','125254251215572431344921571125610131197',4797,'9998',61.53,1,3,NULL),(15,2169460,'1989-12-18 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111431446829572121610134057',NULL,'738',27.75,1,3,NULL),(15,2169487,'1989-04-24 00:00:00',4,1,12,2006,'F','N','JD SUIÇA','ATIBAIA','SP','125252251215371751448831472114140467121',NULL,'9998',0.00,1,3,NULL),(15,2169495,'1990-07-25 00:00:00',2,1,12,2007,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124242241215112431468634342124610141147',12318,'270',48.55,1,3,NULL),(15,2169509,'1991-01-04 00:00:00',2,1,12,2007,'F','N','BELA VISTA','SAO JOSE','SC','124243241135371431434614571124610127072',6339,'734',58.38,1,3,NULL),(15,2169525,'1989-08-16 00:00:00',4,1,6,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242281415371431479914575124610127013',16337,'9998',42.84,1,3,NULL),(15,2169533,'1988-04-04 00:00:00',2,8,12,2006,'M','N','PIRABEIRABA','JOINVILLE','SC','124241241217111431564311445124230237067',17077,'461',41.76,1,3,NULL),(15,2169541,'1989-04-12 00:00:00',1,3,12,2007,'F','N','ENTRE RIOS','SOCORRO','PR','116162161215111431543815374124610122123',NULL,'9998',0.00,1,3,NULL),(15,2169576,'1984-04-26 00:00:00',4,1,12,2001,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124243241117152421454633485114331866091',12160,'307',48.78,1,3,NULL),(15,2169584,'1984-06-07 00:00:00',4,1,12,2001,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124112241216575431669913475124231267042',4850,'269',61.41,1,3,NULL),(15,2169592,'1991-01-10 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124242241216111431369314272122610162032',8795,'9997',54.01,1,3,NULL),(15,2169606,'1991-03-23 00:00:00',4,7,12,2007,'F','N','LIBERDADE','CONCORDIA','SC','124241241115231431227629575225610133147',20714,'192',35.48,4,1,1),(15,2169622,'1989-11-25 00:00:00',4,1,12,2006,'M','N','SUPER QUADRA','SAO PAULO','SP','125252251216371431428812294114610137047',8236,'9998',54.95,1,3,NULL),(15,2169630,'1990-02-04 00:00:00',4,1,12,2007,'M','N','CHÁCARA PRIMAVERA','CAMPINAS','SP','125252251214111431428732572121610167097',21566,'9998',33.59,1,3,NULL),(15,2169649,'1989-12-23 00:00:00',2,1,12,1989,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241215111411554311115114610132111',19248,'1022',38.26,1,3,NULL),(15,2169657,'1989-01-20 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124202241415472451449711412124610137055',4334,'292',62.65,1,3,NULL),(15,2169665,'1990-10-25 00:00:00',2,1,11,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124243241215111431559711575124610121012',13683,'1022',46.64,1,3,NULL),(15,2169673,'1989-01-29 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242248233152731427714445122610167153',NULL,'1022',0.00,1,3,NULL),(15,2169690,'1981-02-06 00:00:00',4,1,12,1998,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','224241241116273411263553412124322322092',6134,'139',58.79,1,3,NULL),(15,2169703,'1988-06-04 00:00:00',2,1,9,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241116272431428811115124610117047',14434,'306',45.53,1,3,NULL),(15,2169711,'1981-12-15 00:00:00',4,1,12,1999,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124241241136132431223129282112610137052',NULL,'592',24.16,1,2,1),(15,2169738,'1989-11-30 00:00:00',4,1,11,2007,'M','N','CENTRO','PELOTAS','RS','120203201217111431469714475122610147053',NULL,'9998',0.00,1,3,NULL),(15,2169754,'1982-11-25 00:00:00',2,1,12,2000,'F','N','JD CAXAMBU','PIRACICABA','SP','125251251136572411533319345334610127142',NULL,'9998',18.43,1,2,1),(15,2169762,'1990-03-09 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241115131531326329572224610137143',NULL,'257',22.42,1,2,1),(15,2169770,'1990-11-10 00:00:00',2,4,12,2007,'M','N','DIVINO','PALMAS','PR','116161161316111431459933245122610167142',NULL,'9998',27.40,1,3,NULL),(15,2169789,'1989-10-20 00:00:00',2,7,12,2007,'M','N','CRUZEIRO DO SUL','JOACABA','SC','124201241116151432456614382122610138017',18016,'451',40.28,4,3,NULL),(15,2169797,'1988-12-12 00:00:00',4,4,12,2005,'F','N','HIGIENÓPOLIS','PORTO ALEGRE','RS','120202201216471411456921475124610137117',NULL,'9998',0.00,1,3,NULL),(15,2169800,'1990-06-26 00:00:00',4,1,7,2007,'M','N','NOVA LIMA','CAMPO GRANDE','MS','112123121117471231458936574112610167077',240,'9998',79.45,1,3,NULL),(15,2169819,'1983-03-29 00:00:00',4,1,12,2000,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','224242241216273411269843432134321462092',385,'87',77.76,1,3,NULL),(15,2169827,'1990-05-02 00:00:00',4,5,12,2007,'F','N','RIO MAINA','CRICIUMA','SC','124242246217121431437933574124610135077',11276,'995',50.04,1,3,NULL),(15,2169843,'1989-06-09 00:00:00',2,9,11,2007,'M','N','CENTRO','SAO JOAQUIM','SC','124242241215151431438611575122610147142',16231,'1035',43.01,1,3,NULL),(15,2169851,'1990-07-07 00:00:00',4,1,12,2007,'M','N','MORADA DO OURO','CUIABA','MT','111112111217111411456839592122610132092',NULL,'9998',0.00,3,3,NULL),(15,2169860,'1989-02-12 00:00:00',2,1,12,2006,'F','N','ARMAÇÃO DO PANTANO','FLORIANOPOLIS','SC','124241241125131431436631342224610128147',NULL,'291',30.87,1,2,1),(15,2169878,'1990-03-23 00:00:00',2,4,12,2007,'F','N','CENTRO','CONCORDIA','SC','124241241117131432418833574122610165197',7616,'192',56.00,1,2,1),(15,2169894,'1990-10-01 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215271431466939575122610137112',5222,'269',60.67,1,3,NULL),(15,2169908,'1982-03-24 00:00:00',2,1,12,2000,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241212275431433334142124610123142',14726,'270',45.11,1,3,NULL),(15,2169916,'1987-04-26 00:00:00',2,1,12,2004,'M','N','BOM JESUS','CURITIBANOS','SC','124241241142574431568533332124610124097',14050,'239',46.10,1,2,1),(15,2169924,'1989-04-01 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124252251215372231438814575124610167045',4787,'9998',61.55,1,3,NULL),(15,2169932,'1989-09-28 00:00:00',2,10,11,2007,'F','N','CENTRO','BOM JARDIM DA SERRA','SC','124244241215111431527633375125610127147',16321,'807',42.86,1,3,NULL),(15,2169959,'1988-11-26 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241216273411556313395124610144147',10876,'1022',50.65,4,3,NULL),(15,2169975,'1989-11-09 00:00:00',2,1,12,2006,'M','N','FLORESTA','SAO JOSE','SC','124242241215372411468811345112610167047',8420,'723',54.66,1,3,NULL),(15,2169991,'1983-08-11 00:00:00',2,1,12,2001,'M','N','FORQUILHAS','SAO JOSE','SC','124241241126272431425343135124610132012',3553,'591',64.61,4,2,1),(15,2170000,'1987-10-31 00:00:00',4,1,12,2005,'M','N','JARDIM TAROBÁ','CAMBE','PR','116162161216571431467912571122610144182',NULL,'9998',0.00,1,3,NULL),(15,2170019,'1991-11-25 00:00:00',4,1,11,2008,'M','S','ESTREITO','SAO JOSE','SC','124242241215111431433612575112610134092',NULL,'737',61.40,1,3,NULL),(15,2170027,'1990-07-22 00:00:00',4,1,12,2007,'M','N','CANCELLI','CASCAVEL','PR','116162161217111731359933575112610167187',NULL,'9998',0.00,1,3,NULL),(15,2170035,'1987-07-23 00:00:00',2,1,6,2005,'M','N','CENTRO','PALHOCA','SC','124241241136153421546817491144610167047',15991,'303',43.40,1,3,NULL),(15,2170043,'1990-05-07 00:00:00',2,4,12,2007,'F','N','BAIXADA INDUSTRIAL','PATO BRANCO','PR','116162168216421751348719572125610168182',NULL,'9998',0.00,1,3,NULL),(15,2170051,'1987-11-21 00:00:00',4,1,6,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243247327271522446813231124610123187',NULL,'9999',29.96,4,3,NULL),(15,2170060,'1988-01-12 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241216153431457933575124233251077',10968,'262',50.51,1,3,NULL),(15,2170078,'1987-05-26 00:00:00',2,1,12,2004,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124242241217154431468634572123222762187',NULL,'951',0.00,1,3,NULL),(15,2170094,'1989-04-12 00:00:00',2,1,12,2006,'F','N','ASA SUL','BRASILIA','DF','107072071217471431578832571122610134077',2443,'9998',67.79,5,3,NULL),(15,2170108,'1990-02-21 00:00:00',4,1,12,2007,'M','N','BENTO FERRERA','VITORIA','ES','108082081214111731589911571112610164097',NULL,'9998',0.00,1,3,NULL),(15,2170116,'1985-11-01 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241216575441448614474124133246097',381,'737',77.80,4,3,NULL),(15,2170124,'1989-08-10 00:00:00',4,1,7,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243241116371451457833372124610161193',3312,'306',65.23,1,3,NULL),(15,2170132,'1987-07-04 00:00:00',4,1,12,2006,'F','N','CACUPÉ','FLORIANOPOLIS','SC','124242241212372431448612572122610134142',10352,'269',51.42,1,3,NULL),(15,2170140,'1990-03-13 00:00:00',4,2,12,2007,'F','N','SALTO','BLUMENAU','SC','124242241217112431468914574122610127147',1397,'71',71.66,1,3,NULL),(15,2170159,'1988-09-06 00:00:00',4,8,12,2006,'M','N','VIEIRA','JARAGUA DO SUL','SC','124242246217372411447823574124610127017',2697,'1061',67.04,1,3,NULL),(15,2170167,'1988-10-09 00:00:00',4,1,10,2006,'M','N','ASA SUL','BRASILIA','DF','107072077614572411679814385112610164177',3531,'9998',64.69,1,3,NULL),(15,2170175,'1985-06-23 00:00:00',2,1,12,2003,'F','N','FORQUILHAS','SAO JOSE','SC','124241241142271431425363142134610144147',15429,'727',44.22,1,2,1),(15,2170183,'1989-12-21 00:00:00',2,3,12,2006,'F','N','SHANGRILAB','LONDRINA','PR','116164161116571431226923475112610128147',13518,'9998',46.87,1,3,NULL),(15,2170191,'1990-05-30 00:00:00',4,7,12,2007,'M','N','CENTRO','ERECHIM','RS','120201201116131431336624572125610127147',21092,'9998',34.67,1,3,NULL),(15,2170205,'1989-08-11 00:00:00',4,1,12,2006,'F','N','CENTRO','PALHOCA','SC','124242241215473431569813574124610122097',1076,'270',73.11,1,3,NULL),(15,2170221,'1989-11-24 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215472431349833574112610123092',1627,'270',70.69,4,1,2),(15,2170230,'1989-08-28 00:00:00',4,1,12,2006,'M','N','CACUPÉ','FLORIANOPOLIS','SC','124242241215472431479812475112610164052',108,'270',81.42,1,3,NULL),(15,2170256,'1989-11-20 00:00:00',3,4,12,2006,'M','N','SANTA CATARINA','ERECHIM','RS','120201201116372231446639272112610137047',6261,'9998',58.52,1,2,1),(15,2170264,'1989-10-15 01:00:00',4,1,12,2006,'M','N','CAMINHO NOVO','PALHOCA','SC','124241241131131611436334371124610137043',21942,'295',32.48,1,3,NULL),(15,2170272,'1988-07-27 00:00:00',4,1,12,2005,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124244241215372231438613572112120417147',1277,'270',72.13,1,3,NULL),(15,2170280,'1989-05-05 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241117372431449833596121233244052',9119,'267',53.43,1,2,1),(15,2170299,'1988-03-09 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124191191216151411388913575114232833091',NULL,'958',24.82,1,3,NULL),(15,2170302,'1990-01-31 00:00:00',2,5,12,2007,'M','N','CENTRO','CRICIUMA','SC','124242246215121431236624572124610148182',6478,'995',58.12,1,3,NULL),(15,2170329,'1990-11-19 00:00:00',2,10,12,2007,'M','N','HUMAITA','TUBARAO','SC','124243241217271231446639575125610167057',18776,'809',39.02,1,3,NULL),(15,2170337,'1985-12-23 00:00:00',2,5,12,2003,'M','N','PARTENON','PORTO ALEGRE','RS','120202208217371431336367391124641467112',11885,'9998',49.13,1,3,NULL),(15,2170353,'1989-03-14 00:00:00',4,1,7,2007,'F','N','SÃO CAETANO','ARROIO DO MEIO','RS','120203207347141411356613285122610164072',NULL,'9998',0.00,1,3,NULL),(15,2170370,'1989-04-03 00:00:00',2,1,12,2006,'M','N','PADRE BENTO','ITU','SP','125253251215471431556931575122610127122',12765,'9998',47.90,1,3,NULL),(15,2170388,'1985-03-13 00:00:00',2,9,12,2002,'M','N','SÃO LUIZ','CURITIBANOS','SC','124241241116575431433321295124610166182',5191,'239',60.72,1,2,1),(15,2170396,'1988-06-08 00:00:00',4,8,12,2005,'F','N','SAO LOURENCO','CURITIBA','PR','116162161215131731337824382124142022142',NULL,'459',0.00,1,3,NULL),(15,2170400,'1989-02-12 00:00:00',2,1,12,2006,'M','N','CENTRO','LUZERNA','SC','124242248215372751448831395224610137042',13674,'962',46.65,3,3,NULL),(15,2170434,'1987-04-08 00:00:00',4,1,12,2004,'M','N','CENTRO','CACHOEIRA DO SUL','RS','120202201237472431348919385124610132057',690,'9998',75.46,1,3,NULL),(15,2170442,'1990-02-27 00:00:00',4,2,12,2007,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241137271431233624375124610126093',6281,'75',58.48,1,2,1),(15,2170450,'1984-08-02 00:00:00',2,1,12,2002,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124163167347374431256819396124610167182',1320,'9998',72.01,1,3,NULL),(15,2170469,'1986-02-18 00:00:00',2,2,12,2002,'F','N','PROGRESSO','BLUMENAU','SC','124242241215574431437611575122133222017',5418,'67',60.23,1,3,NULL),(15,2170485,'1990-06-09 00:00:00',4,3,11,2007,'M','N','CENTRO','CAMBORIU','SC','124241241115141731434411592321610167032',NULL,'130',23.35,1,3,NULL),(15,2170493,'1988-06-16 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORES DA CUNHA','RS','120201201116371431346823572111610124057',19549,'9998',37.73,1,2,1),(15,2170507,'1978-05-15 00:00:00',4,1,1,1999,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242247122311411228561291123133241187',15565,'9999',44.02,1,3,NULL),(15,2170515,'1987-10-09 00:00:00',2,1,12,2005,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241117273441579613384124610145123',3740,'267',64.10,1,2,1),(15,2170523,'1991-06-12 00:00:00',4,1,12,2008,'F','S','NOSSA SRA DO ROSÁRIO','SAO JOSE','SC','124242241217121431577614572122610134197',NULL,'943',36.66,1,3,NULL),(15,2170531,'1971-02-03 00:00:00',2,1,12,1990,'F','N','COSTEIRA','FLORIANOPOLIS','SC','224241248122134431346653284224610111187',15992,'281',43.40,1,2,1),(15,2170540,'1988-09-22 00:00:00',4,2,12,2006,'M','N','GARCIA','BLUMENAU','SC','124244241435272431444911371141610137042',2708,'71',66.99,4,3,NULL),(15,2170558,'1988-06-04 00:00:00',4,1,12,2007,'M','N','AGRÔNOMICA','FLORIANOPOLIS','SC','124241241122151431546431212124610132182',NULL,'307',17.51,1,2,1),(15,2170566,'1986-11-26 00:00:00',4,1,12,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241217373431236823445233610167147',7082,'980',57.00,1,3,NULL),(15,2170590,'1989-05-18 00:00:00',4,8,12,2006,'F','N','GLÓRIA','JOINVILLE','SC','124242241215372431468631425132230224122',12106,'491',48.85,4,3,NULL),(15,2170604,'1986-12-11 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANOPOLIS','SC','124243241315574431479812445124610164185',NULL,'271',3.08,1,3,NULL),(15,2170612,'1991-05-22 00:00:00',2,1,12,2007,'F','N','SERTÃO DO IMARUÍ','SAO JOSE','SC','124242241215131431427634242124610127147',16234,'1074',43.00,1,3,NULL),(15,2170639,'1971-07-03 00:00:00',4,1,12,1990,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241126374421133343135124122962097',5448,'100',60.17,1,2,1),(15,2170655,'1990-12-31 00:00:00',2,4,12,2007,'F','N','CENTRO','FAXINAL DOS GUEDES','SC','124241241334371421427631575122610114142',15568,'255',44.02,1,3,NULL),(15,2170663,'1989-02-17 00:00:00',4,1,11,2007,'F','N','JARDIM AMERICA','GOIANIA','GO','109093091217141741559731211124610114027',21593,'9998',33.53,4,3,NULL),(15,2170671,'1986-04-18 00:00:00',2,4,12,2003,'F','N','INDUSTRIAL','PATO BRANCO','PR','116161161116131431436632445124243231092',NULL,'9998',0.00,1,2,1),(15,2170680,'1984-08-11 00:00:00',2,1,12,2001,'F','N','KOBRASOL','SAO JOSE','SC','124241241215373411446612342122122724147',20322,'1036',36.20,1,3,NULL),(15,2170698,'1988-12-06 00:00:00',4,6,12,1988,'F','N','CENTRO','CORNELIO PROCOPIO','PR','116162161116271441459831575122610163183',2498,'9998',67.63,3,3,NULL),(15,2170701,'1987-02-12 00:00:00',4,1,12,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241214372441468614311124131464012',2582,'1042',67.37,1,3,NULL),(15,2170710,'1988-03-23 00:00:00',2,3,12,2005,'F','N','UBERABA','CURITIBA','PR','116163161215572431556637572124610137187',6537,'9998',58.00,3,3,NULL),(15,2170728,'1988-08-17 00:00:00',4,1,12,2005,'M','N','PACAEMBU','JUNDIAI','SP','125253251227571331458714282122610127182',9073,'9998',53.53,1,3,NULL),(15,2170744,'1979-05-25 00:00:00',4,1,12,1996,'M','N','ESTREITO','FLORIANOPOLIS','SC','224253256226151721247844245134142312047',14142,'9998',45.98,1,3,NULL),(15,2170752,'1988-03-01 00:00:00',4,1,11,2006,'F','N','CENTRO','IJUI','RS','120202201217472431459831575122610122042',16602,'9998',42.46,1,3,NULL),(15,2170760,'1989-08-25 00:00:00',2,5,7,2007,'F','N','DAS DAMAS','URUSSANGA','SC','124241246217131411423619192124610135177',10356,'995',51.41,1,3,NULL),(15,2170779,'1988-08-14 00:00:00',4,8,12,2005,'F','N','CENTRO','SAO BENTO DO SUL','SC','124241241215472431364412572112610124012',NULL,'699',0.00,1,3,NULL),(15,2170787,'1982-11-08 00:00:00',2,1,12,1999,'F','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124202201116372721133343335124242333193',NULL,'9998',0.00,1,3,NULL),(15,2170795,'1984-01-02 00:00:00',3,1,8,2004,'F','N','PRADO','BIGUACU','SC','124241241121232431633334211221610124157',14203,'65',45.86,1,2,1),(15,2170809,'1990-08-14 00:00:00',2,6,12,2007,'M','N','LIMEIRA BAIXA','BRUSQUE','SC','124241241415271751437931572122610168042',18013,'912',40.29,1,3,NULL),(15,2170817,'1988-11-26 00:00:00',4,4,11,2005,'F','N','CENTRO','MARAVILHA','SC','124244241416573431365922574125610136192',188,'975',80.11,1,3,NULL),(15,2170833,'1990-02-22 00:00:00',4,1,12,2006,'M','N','SETOR SUL','GOIANESIA','GO','109092091215471431578512572125610127042',1739,'9998',70.25,4,3,NULL),(15,2170841,'1987-11-22 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124244241415272411657514415112610165192',NULL,'1022',20.08,1,3,NULL),(15,2170868,'1989-03-17 00:00:00',5,2,11,2006,'F','N','RODEIO DOZE','RODEIO','SC','124244241215372431436812374124610146142',1437,'956',71.49,1,3,NULL),(15,2170884,'1989-07-07 00:00:00',2,8,6,2007,'M','N','GUATÁ','LAURO MULLER','SC','124244246216271431448833495114610128052',NULL,'230',0.00,1,3,NULL),(15,2170892,'1987-05-07 00:00:00',4,1,11,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','124202201216472431583634275125240337041',8773,'9998',54.05,1,3,NULL),(15,2170914,'1987-04-17 00:00:00',2,3,12,2004,'M','N','VILA REAL','BALNEARIO CAMBORIU','SC','124241241317373431225367242131131565157',9709,'1017',52.41,4,3,NULL),(15,2170922,'1987-06-17 00:00:00',2,1,11,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124243247227132431321141142334610133037',21322,'9999',34.14,1,3,NULL),(15,2170930,'1989-06-18 00:00:00',4,1,11,2006,'M','N','CENTRO','SAO JOSE DOS CAMPOS','SP','125252251216512431468831575322610167042',1862,'9998',69.74,4,3,NULL),(15,2170949,'1989-07-19 00:00:00',4,1,12,2006,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215571431369613571124141063112',3685,'9998',64.27,1,3,NULL),(15,2170957,'1988-05-20 00:00:00',2,1,12,2005,'M','N','VILA PETROPOLIS','ATIBAIA','SP','125252251217472431447614485122610127142',3800,'9998',63.97,1,3,NULL),(15,2170965,'1991-02-07 00:00:00',4,3,12,2007,'M','N','BARRA SUL','BALNEARIO CAMBORIU','SC','124242241216111512369912221122610167112',8238,'1038',54.95,1,3,NULL),(15,2170973,'1988-11-01 00:00:00',4,1,12,2007,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251215371232578812575112610123182',15790,'9998',43.70,1,3,NULL),(15,2170981,'1981-06-18 00:00:00',2,1,12,1999,'F','N','CAMPECHE','FLORIANOPOLIS','SC','624241241112271731326353472114610127147',21038,'669',34.78,1,2,1),(15,2170990,'1990-11-23 00:00:00',4,3,11,2007,'M','N','VILA PROHMANN','SAO MATEUS DO SUL','PR','116162161215121431356822575124610156042',15480,'9998',44.15,1,3,NULL),(15,2171007,'1988-11-23 00:00:00',4,1,12,2006,'F','N','PINHEIROS','SAO PAULO','SP','125252251215471231489833575114610162197',8597,'9998',54.36,1,3,NULL),(15,2171015,'1990-02-16 00:00:00',2,1,12,2006,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241317472731456624575124610132187',3214,'269',65.50,1,3,NULL),(15,2171023,'1988-04-14 00:00:00',2,5,12,2005,'F','N','MONTE VERDE','MORRO DA FUMACA','SC','124243241216373431348319575124610128092',4060,'210',63.31,1,3,NULL),(15,2171031,'1989-08-16 00:00:00',4,1,3,2007,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124243241315372431559714572114610162162',15208,'267',44.52,4,3,NULL),(15,2171040,'1980-06-06 00:00:00',2,1,1,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124243247212142411526321142323230227113',NULL,'9999',24.26,1,3,NULL),(15,2171058,'1989-03-28 00:00:00',2,1,12,2006,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215472431468614572112610143077',11836,'1022',49.19,1,3,NULL),(15,2171066,'1989-06-13 00:00:00',2,1,12,2007,'M','N','CENTRO','BIGUACU','SC','124241241315161431355823575124610164047',NULL,'65',22.58,4,3,NULL),(15,2171074,'1979-12-08 00:00:00',4,1,12,1997,'M','N','PANTANAL','FLORIANOPOLIS','SC','224161166136272721348843435124322866182',50,'9998',83.12,1,2,1),(15,2171082,'1989-08-20 00:00:00',2,3,12,2006,'F','N','STEFFEN','BRUSQUE','SC','124241241416272451333311375122610124082',8485,'107',54.53,1,3,NULL),(15,2171090,'1990-03-27 00:00:00',2,1,11,2007,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241215121431643839272314610127057',4926,'1022',61.24,1,3,NULL),(15,2171104,'1987-10-15 00:00:00',4,8,12,2005,'M','N','IRIRIÚ','JOINVILLE','SC','124242246211231711259611312112610117061',9819,'494',52.23,3,3,NULL),(15,2171120,'1989-11-14 00:00:00',4,1,12,2007,'M','N','PRAINHA','FLORIANOPOLIS','SC','124241241117141431546634342122610147043',NULL,'307',24.60,1,2,1),(15,2171139,'1988-06-22 00:00:00',4,8,12,2005,'M','N','GLORIA','JOINVILLE','SC','124244246216273431556711431112610167057',NULL,'1105',0.00,1,3,NULL),(15,2171147,'1987-03-22 00:00:00',4,4,12,2004,'M','N','PIONEIRO','PINHALZINHO','SC','124241241117371431436432445232133244017',19700,'616',37.42,1,2,1),(15,2171155,'1989-06-23 00:00:00',5,5,12,2007,'F','N','CENTRO','URUSSANGA','SC','124242246211371431568811445122610121142',13297,'995',47.18,1,3,NULL),(15,2171171,'1990-08-20 00:00:00',2,1,12,2007,'M','N','CENTRO','ERECHIM','RS','120201201215111431437839575122610132182',21649,'9998',33.38,1,3,NULL),(15,2171180,'1990-04-24 00:00:00',4,7,12,2007,'F','N','ZONA RURAL','PINHEIRO PRETO','SC','124241241126141411446912245122610134147',NULL,'618',24.45,1,3,NULL),(15,2171201,'1990-12-13 00:00:00',4,1,2,2008,'M','N','PASSA VINTE','PALHOCA','SC','124242241115111741336623435123610127142',15591,'739',43.98,1,3,NULL),(15,2171228,'1990-08-28 00:00:00',4,4,12,2007,'F','N','LA SALLE','PATO BRANCO','PR','116163161414271431539914571125610116172',6319,'9998',58.42,1,3,NULL),(15,2171244,'1990-04-15 00:00:00',2,9,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124241241115111431433119112322610117081',NULL,'239',23.04,1,3,NULL),(15,2171252,'1979-11-21 00:00:00',2,1,12,1999,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241135573431463273275124610123091',11597,'49',49.56,1,2,1),(15,2171279,'1979-09-07 00:00:00',4,1,12,1998,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241244142371411646319443114610167097',12616,'307',48.12,1,2,1),(15,2171287,'1984-06-21 00:00:00',4,1,12,2001,'F','N','AÇORES','FLORIANOPOLIS','SC','124252241212154431366619391124221165097',7838,'272',55.62,1,3,NULL),(15,2171309,'1989-06-21 00:00:00',4,5,6,2007,'M','N','RIO FIORITA','SIDEROPOLIS','SC','124241241215371531433923471114610134192',12750,'995',47.92,1,3,NULL),(15,2171317,'1989-04-16 00:00:00',4,1,12,2006,'M','N','CENTRO','SAO JOSE DO RIO PRETO','SP','125252251215471731468832571122610166041',1677,'9998',70.46,1,3,NULL),(15,2171325,'1981-08-29 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANOPOLIS','SC','124252251217111441288811575122231464047',6284,'9998',58.48,1,3,NULL),(15,2171333,'1988-02-17 00:00:00',4,5,12,2004,'F','N','CENTRO','CANOAS','RS','120202201216571431338823375122610134077',3407,'9998',64.97,1,3,NULL),(15,2171341,'1986-11-04 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241315274431334431342333610113147',18227,'300',39.93,1,3,NULL),(15,2171350,'1990-01-24 00:00:00',4,2,12,2007,'M','N','CENTRO','POMERODE','SC','124244241215121431343439475121610164052',556,'624',76.38,1,3,NULL),(15,2171368,'1988-08-14 00:00:00',4,1,11,2005,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241241132133331543523345114132062147',NULL,'307',22.65,1,3,NULL),(15,2171376,'1983-06-24 00:00:00',2,1,11,2002,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241116272441236644445132131421185',NULL,'400',33.38,1,3,NULL),(15,2171384,'1979-01-04 00:00:00',2,1,11,1998,'M','N','N SRA DO ROSÁRIO','SAO JOSE','SC','224243243336134441336642225134130237187',18329,'295',39.74,1,3,NULL),(15,2171392,'1990-02-15 00:00:00',2,4,12,2007,'M','N','CENTRO','ERECHIM','RS','120202201215111431656612575122610137122',NULL,'9998',0.00,1,3,NULL),(15,2171406,'1987-06-15 00:00:00',4,2,12,2005,'F','N','FORTALEZA','BLUMENAU','SC','124241241116472431333519341124132061172',9360,'83',53.03,1,2,1),(15,2171414,'1977-08-23 00:00:00',2,1,8,2002,'F','N','RIO VESMELHO','FLORIANOPOLIS','SC','424161247226274411123442221124610114162',15068,'9999',44.71,1,3,NULL),(15,2171422,'1989-11-21 00:00:00',4,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','116242241216373431577974575122610133142',2523,'270',67.56,1,3,NULL),(15,2171430,'1978-12-09 00:00:00',4,1,12,1997,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241247322143421466443332332122327113',13440,'9999',46.96,1,3,NULL),(15,2171449,'1988-02-11 00:00:00',4,1,12,2005,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124163162316161431542831215122610112055',NULL,'9998',21.05,1,3,NULL),(15,2171457,'1984-10-04 00:00:00',4,1,12,2003,'M','N','CELESTE','CAMPO BOM','RS','120203206217471411549714471124141467117',3960,'9998',63.57,1,3,NULL),(15,2171465,'1990-11-28 00:00:00',2,4,12,2007,'F','N','MARIA GORETTI','CHAPECO','SC','124244241117271531578821572122610162122',8602,'170',54.34,1,3,NULL),(15,2171473,'1987-09-01 00:00:00',4,8,12,2005,'F','N','SÃO MARCOS','JOINVILLE','SC','124241247416472712435512175122610167012',17441,'1105',41.16,1,3,NULL),(15,2171481,'1990-07-12 00:00:00',4,1,12,2007,'M','N','CARANDA BOSQUE','CAMPO GRANDE','MS','112122121216111731338831515122610168192',1486,'9998',71.26,1,3,NULL),(15,2171511,'1989-11-03 00:00:00',2,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116254161215471431546823594315610167147',NULL,'9998',0.00,1,3,NULL),(15,2171538,'1977-09-20 00:00:00',4,1,12,1994,'F','N','ESTREITO','FLORIANOPOLIS','SC','124212241216135441317717385324221726097',10823,'272',50.71,2,3,NULL),(15,2171546,'1983-11-23 00:00:00',2,1,11,2004,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241216373421258823415124231436092',4278,'266',62.74,1,3,NULL),(15,2171554,'1990-04-28 00:00:00',4,1,2,2008,'F','N','FAZENDA STO ANTÔNIO','SAO JOSE','SC','124242241117151531466813572122610135197',11371,'739',49.89,1,3,NULL),(15,2171562,'1989-03-04 00:00:00',4,1,12,2006,'M','N','CENTRO','PALHOCA','SC','124242241215372431578833474114131464082',3337,'737',65.16,1,3,NULL),(15,2171570,'1975-11-23 00:00:00',2,1,12,1996,'F','N','TRINDADE','FLORIANOPOLIS','SC','224286288621252441353253171344610147043',13848,'9998',46.39,5,3,NULL),(15,2171589,'1977-06-14 00:00:00',2,1,11,1997,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','224201208136131421336343245124610162123',NULL,'9998',23.16,1,3,NULL),(15,2171600,'1977-03-31 00:00:00',4,1,8,1996,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241412132421367969341124131966187',8883,'1003',53.86,4,3,NULL),(15,2171619,'1985-05-15 00:00:00',4,1,3,2003,'M','N','INGLESES','FLORIANOPOLIS','SC','124242243117135741343923335124230767112',13054,'306',47.51,1,3,NULL),(15,2171635,'1987-10-07 00:00:00',4,1,12,2004,'M','N','VILA ADYANNA','SAO JOSE DOS CAMPOS','SP','125122251217572431378823476111610122142',2326,'9998',68.16,1,3,NULL),(15,2171643,'1988-07-18 00:00:00',2,1,12,2005,'M','N','CENTRO NORTE','SANTO ANGELO','RS','120202203216571431348831595122610132057',4758,'9998',61.61,1,3,NULL),(15,2171651,'1990-02-26 00:00:00',2,1,12,2007,'M','N','JARDIM CARANDAÍ','BIGUACU','SC','124242241215151321374332345121610137112',NULL,'63',24.47,1,3,NULL),(15,2171660,'1989-04-13 00:00:00',2,1,12,2006,'F','N','NSA SRA DE LOURDES','CAXIAS DO SUL','RS','120203201217271431456314571121610154092',8208,'9998',54.99,5,3,NULL),(15,2171678,'1990-12-19 00:00:00',4,8,12,2007,'F','N','FLORESTA','JOINVILLE','SC','124241241226151411568321145134610132147',16081,'932',43.25,3,3,NULL),(15,2171686,'1990-07-20 00:00:00',2,1,12,2007,'F','N','PRAIA DE FORA','PALHOCA','SC','124241241112131531425519392124610137147',22460,'591',29.36,1,2,1),(15,2171694,'1987-12-10 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215472441268811575111610167182',7710,'1022',55.85,1,3,NULL),(15,2171708,'1982-11-09 00:00:00',4,1,12,1999,'F','N','CENTRO CIDADE BAIXA','PORTO ALEGRE','RS','120094091416131411338821385124141965027',13817,'9998',46.43,4,3,NULL),(15,2171716,'1991-01-24 00:00:00',4,8,12,2007,'M','N','BELA VISTA','RIO NEGRINHO','SC','124244241215111431349611575112610164142',19814,'666',37.19,1,3,NULL),(15,2171724,'1990-07-20 00:00:00',2,1,12,2007,'M','N','VILA PAZ','SAO LUIZ GONZAGA','RS','120182202117131431422615152324610164097',NULL,'9998',35.13,1,3,NULL),(15,2171732,'1988-12-22 00:00:00',4,1,10,2007,'M','N','ROÇADO','SAO JOSE','SC','124054057416271431558812215122610122122',16519,'9998',42.56,4,3,NULL),(15,2171740,'1982-07-25 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124201207121273411226852371223330263147',16240,'9998',43.00,3,3,NULL),(15,2171759,'1989-12-05 00:00:00',2,1,11,2007,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124241241225371731544319292124610167057',14493,'262',45.42,1,3,NULL),(15,2171767,'1989-07-17 00:00:00',2,1,12,2006,'F','N','CENTRO','LONDRINA','PR','116162161216411431577637122112610124092',NULL,'9998',0.00,3,3,NULL),(15,2171783,'1981-07-09 00:00:00',1,1,12,1998,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241246116135421532219292124322261177',5684,'513',59.70,1,2,1),(15,2171791,'1988-10-22 00:00:00',4,1,12,2006,'F','N','PARQUE RES LISBOA','SAO JOSE','SC','124242241215472431456613572124610164142',14884,'944',44.92,1,3,NULL),(15,2171821,'1964-07-26 00:00:00',2,1,11,1980,'M','N','ESTREITO','FLORIANOPOLIS','SC','224241241131154711464341411122321466042',15894,'307',43.55,1,2,1),(15,2171830,'1988-07-22 00:00:00',4,1,12,2007,'M','N','CENTRO','CAMPO GRANDE','MS','112122121216111731438831575122610168192',3670,'9998',64.31,1,3,NULL),(15,2171848,'1990-10-12 00:00:00',2,1,12,2007,'F','N','JURERE','FLORIANOPOLIS','SC','124202241215471231458731575124610164042',20320,'1022',36.20,1,3,NULL),(15,2171856,'1990-04-07 00:00:00',2,1,12,2007,'F','N','JD ELCALIPTO','PALHOCA','SC','124201241117131511625734573222610145147',16617,'591',42.43,1,2,1),(15,2171864,'1991-07-21 00:00:00',4,1,12,2008,'F','S','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241445151411323321572124610166052',NULL,'262',21.17,4,3,NULL),(15,2171872,'1980-05-03 00:00:00',4,1,12,1997,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201201116131431323366482314610132152',NULL,'9998',22.87,1,3,NULL),(15,2171880,'1992-08-04 00:00:00',4,1,12,2009,'M','S','CENTRO','CHAPADAO DO LAGEADO','SC','124241241117161431566613575122610168057',NULL,'165',8.80,1,3,NULL),(15,2171899,'1983-11-16 00:00:00',1,2,12,2000,'F','N','INGLESES','FLORIANOPOLIS','SC','124242241235271221559314482122331564117',NULL,'624',0.00,1,3,NULL),(15,2171910,'1988-06-13 00:00:00',4,1,12,2005,'F','N','CENTRO','ITUPORANGA','SC','124241241227153431526611375112610127142',NULL,'414',25.53,1,3,NULL),(15,2171929,'1986-05-12 00:00:00',2,1,12,2003,'M','N','TAGUATINGA NORTE','TAGUATINGA','DF','107074071215511621569933585122610134047',726,'9998',75.20,4,3,NULL),(15,2171945,'1988-08-16 00:00:00',2,1,5,2006,'F','N','SERTÃO','SANTO AMARO DA IMPERATRIZ','SC','124241241136273411536313595124230215072',3707,'739',64.21,1,2,1),(15,2171953,'1980-09-16 00:00:00',2,1,12,1997,'F','N','KOBRASOL','SAO JOSE','SC','124242241214375431446621411224333254057',2027,'1076',69.17,1,3,NULL),(15,2171970,'1990-07-21 00:00:00',4,3,12,2007,'M','N','CENTRO','ITAIOPOLIS','SC','124241242237161432458613352124610124182',NULL,'836',0.00,1,3,NULL),(15,2171996,'1989-09-21 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211472411587611571112610165091',3197,'270',65.55,1,3,NULL),(15,2172003,'1989-02-21 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241115112431446613532114610162187',16391,'267',42.77,1,2,1),(15,2172011,'1976-08-01 00:00:00',2,1,12,1993,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','524241243125375421653417442244610113187',21840,'9997',32.82,1,3,NULL),(15,2172020,'1974-05-31 00:00:00',4,9,12,1995,'M','N','SANTA HELENA','LAGES','SC','624244241432211431538812472123133248122',17114,'518',41.70,1,3,NULL),(15,2172038,'1988-04-21 00:00:00',4,9,12,2007,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241117131431524415252324610144057',NULL,'13',20.31,1,2,1),(15,2172054,'1988-09-19 00:00:00',4,9,12,2005,'F','N','CENTRO','LAGES','SC','124244244417213751334414312122131062142',14228,'497',45.83,1,3,NULL),(15,2172062,'1991-06-29 00:00:00',2,1,12,2007,'M','N','VILA PAZ','SAO LUIZ GONZAGA','RS','120201202117271431574316152224610134077',10590,'9998',51.04,1,2,1),(15,2172097,'1990-01-08 00:00:00',2,4,12,2006,'F','N','SAO CRISTOVAO','CHAPECO','SC','124242241215472411439911571124610134147',15544,'185',44.06,1,3,NULL),(15,2172100,'1981-08-05 00:00:00',4,1,12,1999,'M','N','SERRINHA','FLORIANOPOLIS','SC','124241247335474431244349295124321524142',82,'9997',82.10,4,3,NULL),(15,2172119,'1986-11-30 00:00:00',2,1,12,2004,'F','N','CENTRO','SAO JOSE','SC','120202201211151441446814391335241025182',4720,'9998',61.71,1,3,NULL),(15,2172127,'1987-10-06 00:00:00',4,1,6,2004,'F','N','LAR DO TRABALHADOR','CAMPO GRANDE','MS','112122121217571741368629235122141367142',9109,'9998',53.45,1,3,NULL),(15,2172135,'1988-11-03 00:00:00',2,1,12,2005,'F','N','SERRARIA','SAO JOSE','SC','124243241117273431516614344334610136192',NULL,'257',23.41,1,3,NULL),(15,2172143,'1990-01-31 00:00:00',2,6,12,2007,'F','N','ARIRIBÁ','BALNEARIO CAMBORIU','SC','124243241216111731448632575122610163092',19353,'388',38.08,1,3,NULL),(15,2172151,'1991-03-07 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215111431358711572124610164147',10408,'272',51.33,1,3,NULL),(15,2172160,'1990-07-29 00:00:00',4,1,12,2007,'F','N','BELA VISTA','SAO JOAQUIM DA BARRA','SP','125252251217111731389931574112610132043',8553,'9998',54.43,1,3,NULL),(15,2172178,'1989-12-16 00:00:00',4,1,12,2007,'M','N','RUI BARBOSA','MONTENEGRO','RS','120202201216371431389814245122610167052',15271,'9998',44.45,1,3,NULL),(15,2172194,'1987-07-30 00:00:00',2,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241215373731464311475122610168142',9766,'1011',52.32,1,3,NULL),(15,2172208,'1989-07-11 00:00:00',4,1,12,2006,'M','N','AREIAS','SAO JOSE','SC','124241241117272712119821595114132064197',4693,'307',61.77,1,2,1),(15,2172216,'1991-01-05 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','116163161117371431445636264122610168197',NULL,'9998',0.00,1,3,NULL),(15,2172224,'1985-02-19 00:00:00',4,1,12,2002,'M','N','ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP','125252256216571431568714571121610163097',438,'9998',77.30,4,3,NULL),(15,2172232,'1983-04-08 00:00:00',4,1,12,2007,'M','N','AREIAS','SAO JOSE','SC','124241241347371411633339382123610164042',6958,'730',57.24,1,3,NULL),(15,2172240,'1989-01-13 00:00:00',2,1,12,2006,'F','N','FUNDOS','BIGUACU','SC','124241241115272411433631482224610147147',7106,'65',56.96,1,2,1),(15,2172259,'1990-06-01 00:00:00',4,1,11,2007,'F','N','SANTANA','RIO DO SUL','SC','124243241215111431447754574122610128177',4976,'991',61.14,1,3,NULL),(15,2172267,'1986-09-22 00:00:00',4,2,8,2005,'M','N','VILA NOVA','BLUMENAU','SC','124241241117271411437711475124610142097',NULL,'69',NULL,1,2,1),(15,2172291,'1990-03-10 00:00:00',2,1,12,2007,'M','N','PASSA VINTE','PALHOCA','SC','124241241115131231432111295124610124147',18687,'592',39.18,1,2,1),(15,2172305,'1988-07-05 00:00:00',2,5,11,2005,'M','N','SANGA DAS PEDRAS','MELEIRO','SC','124241241215373431333316251124610164117',11035,'32',50.40,3,3,NULL),(15,2172313,'1988-03-31 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124241248112152431436619485124610127117',NULL,'280',21.19,1,3,NULL),(15,2172321,'1986-03-09 00:00:00',4,1,12,2005,'M','N','AREIAS','SAO JOSE','SC','124244248435271751123644242125610127112',14698,'9999',45.15,1,3,NULL),(15,2172330,'1984-02-26 00:00:00',2,1,12,2001,'M','N','CENTRO','SAO JOSE','SC','120133131211571431367719571125241027042',5094,'9998',60.92,1,3,NULL),(15,2172356,'1986-01-25 00:00:00',4,6,12,2003,'M','N','DOM BOSCO','ITAJAI','SC','124242241215574431448831475122133164047',NULL,'394',0.00,1,3,NULL),(15,2172364,'1989-04-09 00:00:00',4,1,11,2006,'M','N','ROÇADO','SAO JOSE','SC','124242248215272431566812572112610124012',8882,'737',53.86,1,3,NULL),(15,2172372,'1979-08-17 00:00:00',2,5,12,1997,'F','N','LINHA CONTESSI','TURVO','SC','524241241113132421433315342324130614147',NULL,'814',30.48,1,2,1),(15,2172380,'1988-03-26 00:00:00',2,1,12,2005,'M','N','SÃO JORGE','TAMBAU','SP','125251251217371431477821572124610167012',11145,'9998',50.24,1,3,NULL),(15,2172402,'1989-07-26 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','624242241215153441438731145124233234192',5442,'1022',60.19,1,3,NULL),(15,2172429,'1991-02-11 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215112431458812275112610165047',7304,'1038',56.60,4,3,NULL),(15,2172437,'1988-10-20 00:00:00',2,1,7,2006,'F','N','PASSO DAREIA','PORTO ALEGRE','RS','120204207415471431478923215122610162187',9533,'9998',52.71,1,3,NULL),(15,2172445,'1987-10-06 00:00:00',2,1,12,2006,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241116272411568813443134610117143',11036,'307',50.40,4,2,1),(15,2172453,'1988-08-23 00:00:00',2,1,12,2005,'M','N','NOSSA SRA DO ROSARIO','SAO JOSE','SC','124241241117573431427321241344610167117',17613,'726',40.92,1,2,1),(15,2172461,'1988-08-18 00:00:00',2,1,12,2005,'F','N','VILA ROSA','NOVO HAMBURGO','RS','120201201126371431633415145122140824092',14265,'9998',45.77,1,2,1),(15,2172470,'1988-01-30 00:00:00',2,4,12,2005,'F','N','SÃO JORGE','SAO MIGUEL DOESTE','SC','124241241116232421436629445125133235097',10393,'754',51.36,1,2,1),(15,2172488,'1990-09-25 00:00:00',4,4,12,2007,'M','N','JARDIM ITALIA','CHAPECO','SC','124244241215472431438632575122610161147',10500,'185',51.18,1,3,NULL),(15,2172496,'1991-03-02 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215121451456732592114610168187',11449,'1022',49.77,1,3,NULL),(15,2172500,'1982-12-19 00:00:00',4,1,2,2000,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241116145421126824345124233224117',NULL,'359',0.00,1,3,NULL),(15,2172518,'1989-10-30 00:00:00',2,3,12,2007,'F','N','TENIS CLUBE','ASSIS','SP','125254251137131431238622395122610137097',NULL,'9998',23.84,1,3,NULL),(15,2172526,'1990-08-24 00:00:00',2,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241416131121326829395125610164151',19875,'1085',37.06,1,3,NULL),(15,2172534,'1990-03-24 00:00:00',2,1,11,2007,'F','N','CENTRO','ERECHIM','RS','120202201216371431366832575122610117142',3809,'9998',63.95,1,3,NULL),(15,2172550,'1989-05-13 00:00:00',2,1,12,2007,'M','N','JR IMPERIAL II','MARINGA','PR','116163161235111731363522575112610137092',NULL,'9998',0.00,1,3,NULL),(15,2172577,'1984-03-19 00:00:00',4,1,12,2002,'M','N','SANTO A DE LISBOA','FLORIANOPOLIS','SC','624241241137131421433744245234610127047',20747,'257',35.40,1,2,1),(15,2172585,'1990-06-20 00:00:00',2,1,12,2007,'F','N','FAZENDA SNT ANTONIO','SAO JOSE','SC','124241241125131431539319242224610126147',NULL,'9997',25.16,4,3,NULL),(15,2172607,'1987-08-19 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215154431468833575112122066172',1642,'266',70.63,1,3,NULL),(15,2172623,'1986-06-16 00:00:00',4,1,12,2003,'F','N','PRAIA DO SANTINHO','FLORIANOPOLIS','SC','124241241216574431438634292224121437147',4506,'699',62.23,1,3,NULL),(15,2172631,'1989-02-26 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211472431446812572112610142153',523,'270',76.61,1,3,NULL),(15,2172640,'1989-02-09 00:00:00',4,8,11,2006,'M','N','CENTRO','MARAVILHA','SC','124241241316471431453612575114610122057',9227,'1037',53.22,1,3,NULL),(15,2172658,'1985-02-04 00:00:00',4,1,12,2002,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241217573431568813485124132161017',9180,'262',53.30,1,3,NULL),(15,2172666,'1989-11-02 00:00:00',2,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124202201215472431256869592124610127142',6736,'9998',57.67,4,3,NULL),(15,2172674,'1990-02-14 00:00:00',4,9,12,2007,'F','N','LARANJEIRAS','RIO DO SUL','SC','124242241235111431536711375122610168142',NULL,'991',24.72,1,3,NULL),(15,2172682,'1989-02-04 00:00:00',4,1,11,2006,'M','N','BARREIROS','SAO JOSE','SC','124242241215372531476633372114610167047',9084,'943',53.49,1,3,NULL),(15,2172690,'1985-09-30 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241112133421433335292323221414067',4625,'814',61.95,1,2,1),(15,2172704,'1989-01-16 00:00:00',2,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124242241215372431466823315124610167051',4215,'738',62.87,1,3,NULL),(15,2172720,'1981-09-23 00:00:00',2,1,9,2001,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241247225374431566619335234131034017',15464,'9999',44.17,1,3,NULL),(15,2172739,'1990-05-25 00:00:00',4,4,12,2007,'M','N','VENEZA','XANXERE','SC','124242241215271411448619595122610164042',11213,'836',50.14,1,3,NULL),(15,2172747,'1990-08-08 00:00:00',4,1,11,2007,'M','N','CENTRO','CURITIBA','PR','116162161211411431489533491122610117056',11923,'9998',49.07,1,3,NULL),(15,2172755,'1988-03-28 00:00:00',4,1,12,2005,'F','N','JD VITORIA','LONDRINA','PR','116254251216573431586732575114610162092',8466,'9998',54.56,1,3,NULL),(15,2172763,'1989-01-20 00:00:00',2,1,11,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241415472431444413395114610122031',10971,'270',50.51,4,3,NULL),(15,2172771,'1986-03-05 00:00:00',4,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','124241241435373421455619345134222237147',8151,'1036',55.10,1,3,NULL),(15,2172780,'1955-05-26 00:00:00',2,1,12,1975,'F','N','ESTREITO','FLORIANOPOLIS','SC','224243248311173411534451471124332765093',10831,'307',50.70,1,3,NULL),(15,2172798,'1990-08-20 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215121431447811592114610138097',NULL,'1022',32.03,1,3,NULL),(15,2172801,'1989-08-26 00:00:00',4,4,11,2006,'M','N','MORADA DO SOL','MARAVILHA','SC','124162241316471431268913172124610127045',NULL,'552',0.00,1,3,NULL),(15,2172810,'1988-03-01 00:00:00',2,4,11,2006,'M','N','INTERIOR','PINHALZINHO','SC','124241241144141411426634141133610134012',20023,'616',36.77,4,3,NULL),(15,2172828,'1984-01-12 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217144711589613436122230264054',NULL,'266',39.06,1,3,NULL),(15,2172836,'1990-01-10 00:00:00',2,9,12,2007,'M','N','SAGRADO CORAÇÃP DE J','LAGES','SC','124244241217111431476412575112610167182',NULL,'1065',20.03,1,3,NULL),(15,2172844,'1989-08-22 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241415272421337723375124610127047',13612,'270',46.73,1,3,NULL),(15,2172860,'1990-01-11 00:00:00',4,1,12,2007,'M','N','SAO FRANCISCO','MONTE ALTO','SP','125254251217111121338833435122610167082',18681,'9998',39.19,1,3,NULL),(15,2172879,'1989-05-18 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431465823575114610127185',2056,'1022',69.08,4,3,NULL),(15,2172887,'1986-08-16 00:00:00',4,1,12,2004,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124244241415574431487619572122133234042',3821,'270',63.93,1,3,NULL),(15,2172895,'1990-05-01 00:00:00',4,8,12,2007,'F','N','SANTO ANTONIO','JOINVILLE','SC','124241241212371431346629575124610137092',NULL,'1006',38.87,1,3,NULL),(15,2172909,'1990-09-05 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124243241211111431458619571124610162077',18148,'738',40.07,1,3,NULL),(15,2172925,'1986-10-09 00:00:00',4,6,12,2003,'M','N','CENTRO','SAO CARLOS','SP','125162161217272431588811575112141444033',834,'9998',74.47,3,3,NULL),(15,2172933,'1990-04-06 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241135131432536413432124610137047',19418,'288',37.98,1,3,NULL),(15,2172941,'1989-11-23 00:00:00',4,1,12,2007,'F','N','ROÇADO','SAO JOSE','SC','124242241215111411446923572114610167077',18879,'270',38.87,1,3,NULL),(15,2172950,'1990-08-21 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116161168217121411568931574124610112142',2580,'9998',67.38,1,3,NULL),(15,2172968,'1986-09-11 00:00:00',4,1,7,2004,'M','N','INGLESES','FLORIANOPOLIS','SC','124243247414253431457314575114122367182',7329,'1003',56.56,1,3,NULL),(15,2172984,'1987-04-19 00:00:00',2,1,12,2004,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241116272731457614245124221764052',4539,'307',62.16,1,2,1),(15,2172992,'1991-02-06 00:00:00',2,1,12,2008,'F','S','TRINTA RÉIS','NOVA TRENTO','SC','124241241216111431466312175124610138142',NULL,'981',31.06,1,3,NULL),(15,2173000,'1986-01-13 00:00:00',4,1,12,2003,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124244241216574441448811272124222047147',99,'262',81.60,1,3,NULL),(15,2173018,'1990-01-24 00:00:00',4,1,12,2007,'M','N','JARDIM NOVA ORLANDIA','ORLANDIA','SP','125252251215111431448834482122610137047',NULL,'9998',NULL,1,3,NULL),(15,2173026,'1987-07-16 00:00:00',4,1,12,2006,'M','N','JARDIM PIRATININGA','OSASCO','SP','125251251127441431647712341122610127117',20858,'9998',35.18,1,2,1),(15,2173034,'1983-01-23 00:00:00',2,1,11,2002,'F','N','VARGEM PEQUENA','FLORIANOPOLIS','SC','124241241344275431237621115134131066012',8717,'307',54.14,1,3,NULL),(15,2173042,'1988-06-07 00:00:00',2,1,12,2005,'F','N','VARGINHA','SANTO AMARO DA IMPERATRIZ','SC','124241241125272421523653342324610154142',7402,'772',56.41,1,3,NULL),(15,2173077,'1988-04-27 00:00:00',4,1,12,2005,'M','N','KOBRASOL','SAO JOSE','SC','124243241311573431456911211124610117114',4135,'307',63.10,4,3,NULL),(15,2173085,'1990-10-06 00:00:00',4,6,11,2007,'M','N','FAZENDA','ITAJAI','SC','124242241235111431469814575112610122017',9308,'389',53.11,1,3,NULL),(15,2173093,'1991-05-21 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241215111511346929495122610111092',19258,'270',38.24,1,3,NULL),(15,2173107,'1988-09-23 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241216472731478831574123610146122',196,'270',80.02,1,3,NULL),(15,2173115,'1988-07-08 00:00:00',2,1,11,2005,'F','N','CENTRO','PALHOCA','SC','124241241132273431323319442314610126147',16396,'591',42.76,1,2,1),(15,2173123,'1989-10-12 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124202241215151431145614575224610127042',4933,'1050',61.22,1,3,NULL),(15,2173131,'1990-08-09 00:00:00',2,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215111431336632572112610165057',15462,'737',44.17,4,3,NULL),(15,2173140,'1987-05-27 00:00:00',4,1,6,2005,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241311142731535732345122233222112',9192,'307',53.29,1,3,NULL),(15,2173158,'1990-10-05 00:00:00',4,4,12,2007,'F','N','SÃO JOSÉ','ESTACAO','RS','120201201116371431459933575124610134153',15112,'9998',44.65,1,2,1),(15,2173166,'1989-08-16 00:00:00',4,1,12,2006,'F','N','ASA NORTE','BRASILIA','DF','107072071216472431489814572112610124182',1914,'9998',69.54,1,3,NULL),(15,2173174,'1990-01-26 00:00:00',4,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217112431568814575114610134112',15147,'724',44.60,1,3,NULL),(15,2173182,'1989-10-24 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215211431468814372122610124042',8001,'262',55.37,1,3,NULL),(15,2173212,'1989-07-09 00:00:00',2,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124242241215372431345923315124233237111',11007,'737',50.46,1,3,NULL),(15,2173220,'1990-01-14 00:00:00',2,4,12,2007,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241216111431359933595122610167017',NULL,'752',0.00,1,3,NULL),(15,2173239,'1990-04-16 00:00:00',2,1,11,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124243241215111421536513572122610167057',6060,'1022',58.95,1,3,NULL),(15,2173247,'1988-05-14 00:00:00',4,1,11,2005,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242241215143711468813495122231468167',10848,'269',50.68,1,3,NULL),(15,2173255,'1991-02-23 00:00:00',2,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431677933575122610126013',NULL,'270',41.48,1,3,NULL),(15,2173263,'1989-12-11 00:00:00',4,1,6,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242281417371721578833572122610144112',360,'9998',77.96,1,3,NULL),(15,2173271,'1990-04-17 00:00:00',4,4,12,2007,'F','N','PRIMAVERA','MARINGA','PR','124241241115371431533612575122610163147',21103,'192',34.65,1,3,NULL),(15,2173280,'1986-06-17 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORES DA CUNHA','RS','120241201116272131333319242124610162157',NULL,'9998',0.00,1,2,1),(15,2173298,'1987-08-18 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241411371431458823441113610127111',NULL,'9997',30.42,1,3,NULL),(15,2173301,'1985-01-25 00:00:00',2,1,12,2003,'F','N','JARDIM PINHEIROS','SAO JOSE','SC','124241241137151441446613595124243254142',18665,'295',39.22,1,3,NULL),(15,2173328,'1991-07-16 00:00:00',4,4,12,2007,'F','N','CENTRO','XAXIM','SC','124244241315271431538813575122610112092',20616,'994',35.66,1,3,NULL),(15,2173336,'1987-07-23 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241135373432236623242124610133147',NULL,'307',22.85,2,3,NULL),(15,2173344,'1990-05-08 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215151431448931572112610134192',15282,'211',44.42,1,3,NULL),(15,2173352,'1985-12-30 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242248215372431467614272112131337017',19957,'1118',36.91,1,3,NULL),(15,2173360,'1990-05-21 00:00:00',4,1,11,2007,'M','N','ROÇADO','SAO JOSE','SC','124242241215111231567612471112610122185',3698,'738',64.23,1,3,NULL),(15,2173379,'1990-01-29 00:00:00',4,1,12,2006,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124242241217442431379913215112230237187',6632,'270',57.84,1,3,NULL),(15,2173387,'1989-07-19 00:00:00',2,1,8,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241111371431356913575124610157144',6966,'739',57.22,1,3,NULL),(15,2173395,'1989-01-13 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241115371431359933395124610165012',8091,'306',55.20,4,3,NULL),(15,2173409,'1990-02-07 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215122731488814472122610122122',1584,'270',70.86,1,3,NULL),(15,2173417,'1986-08-31 00:00:00',2,8,12,2003,'F','N','CABRAL','CURITIBA','PR','116162161215572431458714572112610162147',NULL,'9998',0.00,3,3,NULL),(15,2173425,'1990-06-20 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124241241147371731435614575114610167047',NULL,'733',19.53,1,2,1),(15,2173433,'1991-10-28 00:00:00',4,1,11,2008,'M','S','CARVOEIRA','FLORIANOPOLIS','SC','124162241215111431478813575124610122182',NULL,'270',58.41,1,3,NULL),(15,2173441,'1990-09-08 00:00:00',4,5,11,2007,'M','N','SANTA CATARINA','CRICIUMA','SC','124242241215111431568733492122610164082',10348,'210',51.43,1,3,NULL),(15,2173450,'1990-12-28 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116122161215121711389811474124610167052',NULL,'9998',0.00,1,3,NULL),(15,2173468,'1989-05-22 00:00:00',4,4,12,2006,'F','N','RECANTO DO SOL','HORIZONTINA','RS','120202201216471431545632175122610128187',NULL,'9998',0.00,1,3,NULL),(15,2173476,'1990-03-14 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215471431449939194125610138017',217,'262',79.70,1,3,NULL),(15,2173484,'1950-02-05 00:00:00',1,1,1,1978,'M','N','INGLESES','FLORIANOPOLIS','SC','224201207123131131455447375114140868184',13220,'9999',47.28,1,2,1),(15,2173492,'1987-09-15 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217373431358513575115231267091',2655,'269',67.15,1,3,NULL),(15,2173506,'1989-05-14 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473411588923575125610122047',10126,'270',51.75,1,3,NULL),(15,2173514,'1989-11-21 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241416473432569937585125610137115',990,'270',73.59,1,3,NULL),(15,2173522,'1981-09-12 00:00:00',2,1,12,1999,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241116375131336711591124610124097',18242,'307',39.90,1,3,NULL),(15,2173530,'1990-10-18 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241217121411459914575115610141111',8335,'226',54.80,1,3,NULL),(15,2173549,'1989-02-07 00:00:00',4,1,12,2005,'M','N','CENTRO','CASCA','RS','120201201116111231566511375114610162044',18118,'9998',40.12,1,2,1),(15,2173557,'1988-07-30 00:00:00',4,1,12,2007,'F','N','BOM RETIRO','BLUMENAU','SC','124242247637151731358839385114610131147',NULL,'9999',20.78,1,3,NULL),(15,2173565,'1971-10-26 00:00:00',2,1,12,1992,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241146134431224341415134121136182',19676,'298',37.46,1,2,1),(15,2173573,'1990-11-24 00:00:00',2,10,12,2007,'M','N','RIO CACHOEIRINHAS','BRACO DO NORTE','SC','124241241215271431433636272112610168192',14669,'950',45.19,1,3,NULL),(15,2173581,'1988-08-28 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241317573431556414574124610124042',2363,'829',68.04,1,3,NULL),(15,2173590,'1987-10-10 00:00:00',4,1,12,2004,'F','N','SÃO SEBASTIÃO','PALHOCA','SC','124241241142152421624352371112610168147',NULL,'592',0.00,1,2,1),(15,2173603,'1986-02-04 00:00:00',2,1,12,2003,'F','N','LINDOIA','CURITIBA','PR','116161161115473411326621381121243267147',7299,'9998',56.60,1,2,1),(15,2173611,'1980-09-05 00:00:00',2,1,12,1995,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124251251127131411128411285324610124117',NULL,'9998',18.91,1,3,NULL),(15,2173620,'1990-01-10 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242248216111431426429572124610138052',8518,'1118',54.48,1,3,NULL),(15,2173638,'1991-07-17 00:00:00',4,1,11,2008,'M','S','COQUEIROS','FLORIANOPOLIS','SC','124242241217151451458832592124610127097',NULL,'271',43.09,1,3,NULL),(15,2173646,'1989-02-16 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124162161211372432528514591124143264193',NULL,'9998',13.55,1,3,NULL),(15,2173654,'1987-12-18 00:00:00',4,8,11,2005,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215373431576513572124610124097',3226,'486',65.45,4,3,NULL),(15,2173662,'1990-02-24 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124244241212371431239813572225610134142',3290,'1010',65.28,1,3,NULL),(15,2173670,'1990-10-05 00:00:00',4,5,11,2007,'M','N','LOTE SEIS','CRICIUMA','SC','124242241215271411369939595112610122046',169,'210',80.32,1,3,NULL),(15,2173689,'1991-09-08 00:00:00',2,5,12,2008,'M','S','GÁVEA','JACINTO MACHADO','SC','124242241217121431459914575121610134053',NULL,'970',48.71,1,3,NULL),(15,2173697,'1990-08-07 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241215121411456614572114610127077',9052,'1022',53.56,1,3,NULL),(15,2173700,'1989-05-26 00:00:00',4,5,12,2006,'M','N','CENTRO','CRICIUMA','SC','124242241212142531258833575121230827065',14837,'226',44.97,1,3,NULL),(15,2173719,'1990-05-09 00:00:00',2,1,11,2007,'F','N','PICADAS DO SUL','SAO JOSE','SC','124242241216111431456633275122610123052',20876,'1048',35.13,2,3,NULL),(15,2173727,'1988-02-15 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241225573431233416296324610127147',3866,'683',63.82,1,3,NULL),(15,2173735,'1989-05-13 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124243241215152421536513575122610164057',7922,'1036',55.49,1,3,NULL),(15,2173743,'1981-09-22 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241312135731343333442314610164067',11104,'272',50.29,2,3,NULL),(15,2173751,'1974-03-03 00:00:00',4,1,12,1990,'F','N','CENTRO','FLORIANOPOLIS','SC','624241243116374731363643335132330266037',4896,'307',61.32,1,2,1),(15,2173760,'1989-04-08 00:00:00',2,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241435372442436534241324610147141',20477,'1022',35.92,1,3,NULL),(15,2173786,'1989-11-08 00:00:00',4,8,12,2007,'F','N','JARDIM IRIRIÚ','JOINVILLE','SC','124243241412131411223429595114610165196',19386,'489',38.04,4,3,NULL),(15,2173794,'1990-04-19 00:00:00',2,1,11,2007,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241127161431445832245122233223097',22348,'13',30.72,1,2,1),(15,2173808,'1988-06-23 00:00:00',4,7,12,2005,'F','N','ESTAÇÃO LUZERNA','HERVAL D OESTE','SC','124241241316472411456514375122132136147',9501,'445',52.77,1,3,NULL),(15,2173816,'1981-08-24 00:00:00',4,1,12,1998,'M','N','CAMPINAS','SAO JOSE','SC','124241241117474421658919395124121468152',4199,'276',62.90,1,2,1),(15,2173824,'1991-06-11 00:00:00',2,1,11,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215111411448911572124610167091',18100,'1022',40.15,1,3,NULL),(15,2173832,'1989-06-23 00:00:00',1,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124242241215472441358824574124610166043',2689,'723',67.06,1,3,NULL),(15,2173840,'1990-05-02 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241217111431479413335112610147032',3774,'270',64.03,1,3,NULL),(15,2173859,'1989-06-17 00:00:00',4,5,11,2007,'M','N','AURORA','ICARA','SC','124241241317111731334317275122610112171',NULL,'1053',0.00,4,3,NULL),(15,2173867,'1985-10-10 00:00:00',2,1,12,2003,'M','N','ESTREITO','FLORIANOPOLIS','SC','124244241411372431467739495124610127142',19036,'273',38.62,1,3,NULL),(15,2173891,'1990-04-02 00:00:00',4,1,12,2007,'M','N','SETOR NORTE','PALOTINA','PR','116162161215112431237721475124610164017',NULL,'9998',0.00,1,3,NULL),(15,2173905,'1991-01-21 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241217111231634419572124610162071',8035,'1036',55.31,1,3,NULL),(15,2173913,'1980-11-01 00:00:00',2,1,12,1998,'M','N','JARDIM TARRAF LL','SAO JOSE DO RIO PRETO','SP','125253251335272411358613285112241862092',NULL,'9998',0.00,1,3,NULL),(15,2173921,'1989-12-18 00:00:00',4,1,11,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241215151421467732392124610127062',15122,'1050',44.64,4,3,NULL),(15,2173930,'1989-05-09 00:00:00',1,2,12,2007,'M','N','CENTRO','BENEDITO NOVO','SC','124241241235111431558611575124610164017',5733,'9997',59.61,1,3,NULL),(15,2173948,'1990-08-04 00:00:00',2,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124244241336111441438811294124610121147',15888,'300',43.55,1,3,NULL),(15,2173956,'1989-05-18 00:00:00',4,8,11,2006,'M','N','SAGUAÇU','JOINVILLE','SC','124242241217472431358921494121610127052',5302,'486',60.52,1,3,NULL),(15,2173964,'1989-09-01 00:00:00',4,5,10,2007,'M','N','JARDIM ANGELICA','CRICIUMA','SC','124244121137131731535973472124610132097',12679,'216',48.02,1,3,NULL),(15,2173980,'1988-02-11 00:00:00',4,1,12,2005,'M','N','KOBRASOL','SAO JOSE','SC','124242241217133431336923492124222227117',14397,'724',45.58,4,3,NULL),(15,2173999,'1984-08-02 00:00:00',2,1,12,2005,'M','N','SAMBAQUI','FLORIANOPOLIS','SC','124286288337371431329634572114141517047',NULL,'9998',0.00,1,3,NULL),(15,2174006,'1988-03-14 00:00:00',4,4,12,2004,'F','N','CENTRO','PATO BRANCO','PR','116112161316371431539813575124243236142',16614,'9998',42.44,4,3,NULL),(15,2174014,'1986-09-29 00:00:00',4,1,12,2003,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124243241115372431248728415124122912147',4152,'307',63.05,4,3,NULL),(15,2174022,'1989-09-12 00:00:00',2,1,12,2006,'M','N','ANA RECH','CAXIAS DO SUL','RS','120201201117471521336636152124610167057',NULL,'9998',0.00,1,2,1),(15,2174030,'1991-02-05 00:00:00',4,1,12,2007,'M','N','PINHEIROS','PATO BRANCO','PR','116162161117271431567714572125610164052',4982,'9998',61.13,1,3,NULL),(15,2174049,'1990-04-25 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','125242241216112431456851575112610164145',17884,'272',40.52,1,3,NULL),(15,2174057,'1987-02-02 00:00:00',3,1,7,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241247127142741336674495124610116192',19751,'588',37.33,1,3,NULL),(15,2174065,'1987-10-08 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215574431467763375124122866182',97,'270',81.60,4,3,NULL),(15,2174073,'1990-08-16 00:00:00',4,5,11,2007,'F','N','CENTRO','ARARANGUA','SC','124242241215112751466631574112610168122',6788,'32',57.57,1,3,NULL),(15,2174081,'1990-01-13 00:00:00',3,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431569614475122610127072',8982,'270',53.69,1,3,NULL),(15,2174090,'1990-03-08 00:00:00',4,3,12,2007,'F','N','PRAÇA ANCHIETA','UMUARAMA','PR','116161161235471341567723342125610166147',NULL,'9998',30.56,1,3,NULL),(15,2174103,'1987-09-26 00:00:00',2,1,11,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124092091131351411239819311314610125072',16096,'9998',43.23,3,3,NULL),(15,2174111,'1986-04-16 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241216374451457614375124131064112',NULL,'872',43.24,1,3,NULL),(15,2174120,'1989-01-23 00:00:00',2,1,11,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215272431349923455122231017057',7530,'1022',56.17,1,3,NULL),(15,2174138,'1985-10-15 00:00:00',4,1,12,2002,'F','N','CAMPINAS','SAO JOSE','SC','124242241215374431357811471122121028192',388,'737',77.74,1,3,NULL),(15,2174146,'1989-05-18 00:00:00',4,8,11,2007,'M','N','CENTRO','JOINVILLE','SC','124242241335121431589611296124610167047',NULL,'486',17.47,1,3,NULL),(15,2174154,'1990-07-13 00:00:00',4,6,12,2007,'M','N','PEREQUE','PORTO BELO','SC','124244241215121451426821295121610167032',12951,'1111',47.65,1,3,NULL),(15,2174162,'1990-07-24 00:00:00',4,4,11,2007,'F','N','MARIA GORETTI','CHAPECO','SC','124242241214111432459933572122610137147',17051,'168',41.81,1,3,NULL),(15,2174170,'1990-07-25 00:00:00',2,9,11,2007,'F','N','CENTRO','SAO JOAQUIM','SC','124242241215131411548611212322610126017',10278,'1035',51.52,1,3,NULL),(15,2174189,'1988-11-21 00:00:00',4,1,7,2007,'M','N','JARDIM PINHEIROS','SAO JOSE','SC','124241241137161421237624435124610134171',17762,'739',40.72,1,3,NULL),(15,2174197,'1988-12-28 00:00:00',4,1,11,2006,'M','N','CAMPINAS','SAO JOSE','SC','124241241215372431359619395124610168017',6072,'737',58.94,1,3,NULL),(15,2174200,'1981-08-11 00:00:00',4,1,11,1999,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241226471122227742422122130217042',NULL,'1003',22.04,1,3,NULL),(15,2174219,'1990-05-25 00:00:00',4,2,12,2007,'M','N','NAÇÕES','TIMBO','SC','124242241212111421457712572112610124052',10417,'9997',51.33,1,3,NULL),(15,2174227,'1990-08-17 00:00:00',2,8,12,2007,'F','N','VILA TOLENTINO','CASCAVEL','PR','116162151215121731459934572122610133147',17198,'9998',41.57,4,3,NULL),(15,2174235,'1991-03-22 00:00:00',2,1,12,2007,'F','N','JOAIA','TIJUCAS','SC','124243248215111431436614471124610147067',NULL,'1119',18.73,1,3,NULL),(15,2174251,'1987-06-13 00:00:00',4,1,12,2005,'M','N','KOBRASOL','SAO JOSE','SC','124242241217133411337839492124222264147',6738,'724',57.67,1,3,NULL),(15,2174260,'1990-12-12 00:00:00',4,8,11,2008,'F','S','BOM RETIRO','JOINVILLE','SC','124242241215111411489912475112210143072',NULL,'491',44.63,1,3,NULL),(15,2174278,'1990-05-24 00:00:00',2,1,12,2007,'M','N','SERRARIA','SAO JOSE','SC','124242241216271431458814575122610132097',15253,'868',44.47,1,3,NULL),(15,2174286,'1990-01-04 00:00:00',2,1,2,2008,'F','N','ARIRIU','PALHOCA','SC','124241241315371431436313375124610123072',10573,'739',51.06,1,3,NULL),(15,2174294,'1988-05-18 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124071248126151431448923275124610114021',21551,'283',33.63,1,3,NULL),(15,2174316,'1989-12-10 00:00:00',4,1,11,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215112431478833572114610166092',1209,'270',72.42,4,3,NULL),(15,2174324,'1990-09-27 00:00:00',2,1,12,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241215112431236624575114610127112',7804,'1022',55.69,1,3,NULL),(15,2174332,'1984-04-19 00:00:00',4,1,12,2001,'M','N','CENTRO','BIGUACU','SC','124241241536272431464627235122322345142',2934,'20',66.34,1,3,NULL),(15,2174359,'1990-07-16 00:00:00',2,1,12,2007,'M','N','ALDO ARIOLI','ERECHIM','RS','120201201117131431425619371224610124057',17881,'9998',40.54,3,2,1),(15,2174367,'1990-02-13 00:00:00',4,3,11,2007,'F','N','CENTRO','LONDRINA','PR','116162161216111611468816575124610166192',3841,'9998',63.89,1,3,NULL),(15,2174375,'1989-02-21 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241217372431338613444114610167047',13951,'260',46.23,1,3,NULL),(15,2174383,'1988-02-18 00:00:00',4,1,6,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241247227132431533823282314610141097',NULL,'9999',0.00,1,3,NULL),(15,2174391,'1989-08-02 00:00:00',4,1,12,2007,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241432131231443933385124610117041',20503,'296',35.87,1,3,NULL),(15,2174405,'1989-06-19 00:00:00',4,2,12,2006,'M','N','ASILO','BLUMENAU','SC','124244241215371731336611572114130864117',8387,'88',54.71,1,3,NULL),(15,2174421,'1990-04-06 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241215111532466614575122610128142',NULL,'9997',23.94,1,3,NULL),(15,2174430,'1989-07-01 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241111372431568812572124131026072',583,'262',76.18,1,3,NULL),(15,2174456,'1988-10-08 00:00:00',4,8,12,2005,'F','N','JUVEVE','CURITIBA','PR','116113111116141321433519445124141042172',NULL,'9998',0.00,1,3,NULL),(15,2174464,'1991-04-22 00:00:00',2,6,12,2007,'M','N','TABULEIRO','ITAPEMA','SC','124241241125111731316619572224610164047',NULL,'406',24.17,4,2,1),(15,2174472,'1987-11-22 00:00:00',2,5,12,2004,'F','N','URUSSANGUINHA','ARARANGUA','SC','124241248115273411325321431224610133182',19281,'29',38.20,1,2,1),(15,2174480,'1990-08-31 00:00:00',2,2,12,2007,'F','N','BAIRRO DAS CAPITAIS','TIMBO','SC','124241241346111431433923572224610123147',6151,'9997',58.75,1,3,NULL),(15,2174499,'1990-03-08 00:00:00',4,2,12,2007,'F','N','CENTRO','RIO NEGRO','PR','116162161216172431338913591125610167147',NULL,'9998',0.00,1,3,NULL),(15,2174502,'1988-10-10 00:00:00',4,1,11,2006,'M','N','CAMPINAS','SAO JOSE','SC','124242241216472431258733575124231267062',6102,'737',58.87,1,3,NULL),(15,2174510,'1990-10-08 00:00:00',4,2,12,2007,'F','N','CARAVAGIO','RIO DOS CEDROS','SC','124241241316111431323316572224610124147',9669,'9997',52.46,1,3,NULL),(15,2174529,'1989-10-21 00:00:00',2,4,12,2006,'M','N','ALTO ARARA','GUARUJA DO SUL','SC','124241241336171711211125352344232724157',18417,'338',39.62,1,3,NULL),(15,2174537,'1984-10-22 00:00:00',2,1,12,2002,'M','N','BARREIROS','SAO JOSE','SC','124241241435374431455619272114610127057',9800,'1036',52.26,4,3,NULL),(15,2174545,'1988-08-20 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215373431368713595125610167042',529,'262',76.57,1,3,NULL),(15,2174553,'1981-10-07 00:00:00',2,1,12,1998,'M','N','CENTRO','QUARAI','RS','220201201116151331223444345333140256057',6254,'9998',58.53,1,2,1),(15,2174561,'1990-06-18 00:00:00',2,1,11,2007,'F','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124242241217221431467813575124610133187',11651,'270',49.48,1,3,NULL),(15,2174570,'1989-06-17 00:00:00',2,1,11,2007,'M','N','DANIELA','FLORIANOPOLIS','SC','124242241215472431688813572112610137182',5263,'270',60.59,1,3,NULL),(15,2174588,'1991-06-25 00:00:00',2,4,11,2008,'F','S','LIBRA III','FOZ DO IGUACU','PR','116162161214111531558632472124610162147',NULL,'9998',47.30,1,3,NULL),(15,2174596,'1991-06-21 00:00:00',2,1,12,2008,'F','S','TRINTA RÉIS','NOVA TRENTO','SC','124241241215111431336434395124610126142',NULL,'981',39.06,1,3,NULL),(15,2174618,'1988-09-23 00:00:00',4,1,12,2006,'M','N','JARDIM SAO LUIS','SAO PAULO','SP','125251251117471711226624581324610164112',NULL,'9998',0.00,1,2,1),(15,2174626,'1988-07-01 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215574431368823576114610126182',657,'270',75.68,1,3,NULL),(15,2174642,'1989-04-20 00:00:00',4,1,6,2007,'M','N','VILA SANTA TERESINHA','PENAPOLIS','SP','125252281415271432456732345122610137057',6783,'9999',57.58,1,3,NULL),(15,2174650,'1987-03-13 00:00:00',4,8,12,2004,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116163161316572431569834172114610164097',NULL,'9998',0.00,1,3,NULL),(15,2174677,'1989-01-09 00:00:00',4,1,11,2007,'M','N','PARQUE AMAZONAS','GOIANIA','GO','109092091211111521454431111125610115182',NULL,'9998',0.00,4,3,NULL),(15,2174685,'1989-12-04 00:00:00',4,4,12,2006,'M','N','FLORESTA','SANTO AUGUSTO','RS','120203201216372431458613575125610127142',2516,'9998',67.58,1,3,NULL),(15,2174693,'1990-09-04 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215121731237729572114610128182',NULL,'270',47.87,1,3,NULL),(15,2174707,'1990-10-19 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215121731358911575122610121185',NULL,'270',46.14,1,3,NULL),(15,2174715,'1990-01-29 00:00:00',2,1,12,2006,'M','N','ENSEADA DE BRITO','PALHOCA','SC','124244248215472431456614571124121227042',8215,'1011',54.99,1,3,NULL),(15,2174723,'1990-12-29 00:00:00',2,4,11,2007,'F','N','CENTRO','DESCANSO','SC','124241241215151731435612342122610122142',14460,'241',45.48,1,3,NULL),(15,2174731,'1988-03-25 00:00:00',2,9,12,2005,'F','N','SALTO GRANDE','ITUPORANGA','SC','124241241126374431534414372344610127147',14036,'415',46.12,1,3,NULL),(15,2174740,'1987-01-26 00:00:00',4,3,12,2004,'M','N','VILA NOVA BOTUCATU','BOTUCATU','SP','125252251217571431479813572115610165187',6546,'9998',57.99,1,3,NULL),(15,2174758,'1990-08-21 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215471431486832372122610124127',NULL,'270',24.37,1,3,NULL),(15,2174766,'1990-04-25 00:00:00',4,3,12,2007,'F','N','CENTRO','CAMPO LARGO','PR','116162161237111531459619375122610125157',NULL,'9998',0.00,1,3,NULL),(15,2174774,'1989-06-17 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217131431526621415124610134127',22151,'988',31.71,1,3,NULL),(15,2174782,'1991-03-25 00:00:00',4,1,11,2008,'F','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215111441469911575124610127117',NULL,'270',47.76,1,3,NULL),(15,2174804,'1989-03-28 00:00:00',4,5,12,2006,'M','N','CENTRO','PRAIA GRANDE','SC','124251248136131411435619175121610124012',NULL,'641',0.00,1,2,1),(15,2174820,'1989-05-25 00:00:00',2,1,12,2006,'M','N','SAMBAQUI','FLORIANOPOLIS','SC','124242241235372531456613575114610134147',13971,'1048',46.20,1,3,NULL),(15,2174839,'1990-06-23 00:00:00',4,4,12,2007,'F','N','NITEROI','SEARA','SC','124241241116151411333933571122610164177',22367,'763',30.56,1,2,1),(15,2174847,'1969-08-08 00:00:00',2,1,9,1990,'F','N','CACUPÉ','FLORIANOPOLIS','SC','624241243422271431383373192122130261182',18230,'232',39.92,1,3,NULL),(15,2174855,'1990-01-02 00:00:00',2,1,12,2007,'F','N','ESTEITO','FLORIANOPOLIS','SC','124243241315151732348634372114610134147',17450,'1036',41.15,4,3,NULL),(15,2174863,'1988-11-01 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215371531426824575114610164197',19979,'1118',36.87,1,3,NULL),(15,2174871,'1990-03-26 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111431344824172112610133077',17254,'1118',41.47,4,1,2),(15,2174880,'1987-03-05 00:00:00',4,1,12,2004,'M','N','CAMPINAS','SAO JOSE','SC','124244241215473431468813572112610116112',1427,'270',71.54,1,3,NULL),(15,2174898,'1988-07-27 00:00:00',2,8,12,2005,'M','N','SERRA ALTA','SAO BENTO DO SUL','SC','124241241114271411433416246212131437047',8502,'697',54.51,1,2,1),(15,2174901,'1986-06-28 00:00:00',4,8,12,2003,'F','N','ILHA DA FIGUEIRA','GUARAMIRIM','SC','124241241126371421446414342124610122147',NULL,'436',0.00,1,2,1),(15,2174910,'1989-11-12 00:00:00',4,1,11,2006,'M','N','ROYAL PARK','LONDRINA','PR','116162281217471431479933495122610124042',NULL,'9998',NULL,1,3,NULL),(15,2174928,'1986-10-11 00:00:00',4,1,11,2003,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241241142253431436633292123610136047',11205,'286',50.15,1,2,1),(15,2174936,'1987-07-27 00:00:00',2,1,11,2003,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124251251116233411637734345324610147022',19622,'9998',37.57,4,1,1),(15,2174952,'1990-05-12 00:00:00',4,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241115271431358634571124610124052',16690,'267',42.34,1,2,1),(15,2174960,'1989-11-09 00:00:00',4,2,12,2006,'M','N','CENTRO','MASSARANDUBA','SC','124241241111132431438833285112610128032',17898,'555',40.50,3,3,NULL),(15,2174979,'1987-10-31 00:00:00',2,1,10,2007,'M','N','BARRA DO ARIRIU','PALHOCA','SC','124241247122131431533923385343610127047',NULL,'9999',25.01,1,3,NULL),(15,2174987,'1990-05-20 00:00:00',2,1,12,2007,'F','N','FAZ STO ANTÔNIO','SAO JOSE','SC','124241241112141731536424335134610133077',22291,'592',31.07,1,2,1),(15,2174995,'1988-11-14 00:00:00',4,1,12,2006,'M','N','ESTEITO','FLORIANOPOLIS','SC','124242241212372441356733571114132866187',2932,'270',66.35,1,3,NULL),(15,2175010,'1989-05-15 00:00:00',2,1,11,2006,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242248217272711378613492122130217117',18511,'270',39.46,1,3,NULL),(15,2175029,'1989-11-15 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215113431479813575122610137012',5055,'270',60.98,1,3,NULL),(15,2175037,'1990-12-14 00:00:00',4,8,12,2007,'M','N','CENTRO','CASCAVEL','PR','116162161215111211488912194122610142092',NULL,'9998',0.00,1,3,NULL),(15,2175045,'1989-03-13 00:00:00',4,1,11,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124162161217472431468714441112610134122',9572,'9998',52.64,1,3,NULL),(15,2175053,'1990-02-27 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215131431536312272124610138075',21132,'271',34.58,1,3,NULL),(15,2175061,'1985-03-19 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241216113431456619431222130627112',NULL,'32',0.00,1,3,NULL),(15,2175088,'1987-04-08 00:00:00',4,1,10,2006,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241247337143731457667345121610132186',11061,'9999',50.37,1,3,NULL),(15,2175096,'1990-01-11 00:00:00',4,2,11,2007,'F','N','CENTRO','POUSO REDONDO','SC','124241241127131431224515215121610123187',22414,'639',30.22,4,2,1),(15,2175100,'1989-10-16 00:00:00',2,1,12,2007,'F','N','BIGUAÇU','BIGUACU','SC','124213241415131731455613572322610133192',15716,'65',43.79,1,3,NULL),(15,2175118,'1984-01-12 00:00:00',4,3,12,2002,'F','N','CENTRO','SANTA MARIA','RS','120202201216471431359613411112242236092',NULL,'9998',0.00,1,3,NULL),(15,2175126,'1990-05-15 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242248215211431336413472122610137052',NULL,'272',20.96,1,3,NULL),(15,2175134,'1989-06-07 00:00:00',2,5,11,2006,'M','N','CENTRO','TORRES','RS','120201201217472231534612572121610157047',5587,'9998',59.90,1,3,NULL),(15,2175150,'1990-02-20 00:00:00',4,1,11,2007,'M','N','BALNEARIO ESTREITO','FLORIANOPOLIS','SC','124242241215131531329812572124610143142',19497,'258',37.83,1,3,NULL),(15,2175169,'1989-02-22 00:00:00',2,1,2,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242247215373431469771342114610147092',16400,'9999',42.75,1,3,NULL),(15,2175177,'1990-05-28 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241215112731458723575124610167185',8205,'1022',55.00,1,3,NULL),(15,2175185,'1987-12-11 00:00:00',4,1,11,2006,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116162161415411431458632571124610136112',18171,'9998',40.02,1,3,NULL),(15,2175193,'1990-11-18 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241415121431446612572122610122185',13266,'1022',47.21,1,3,NULL),(15,2175215,'1987-06-19 00:00:00',2,1,12,2004,'F','N','PRADO','BIGUACU','SC','124241241116272431423311385124610131147',18236,'65',39.91,1,3,NULL),(15,2175223,'1985-05-12 00:00:00',2,1,10,2003,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241111375431633443135113610127042',5937,'306',59.19,1,2,1),(15,2175231,'1988-11-10 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241415111431327631575314610137057',16865,'724',42.05,1,3,NULL),(15,2175240,'1989-12-16 00:00:00',5,7,12,2007,'F','N','CENTRO','TREZE TILIAS','SC','124241241142131431536613342224610123147',NULL,'795',0.00,4,2,1),(15,2175258,'1987-04-17 00:00:00',4,1,12,2005,'F','N','TREZE DE JULHO','ARACAJU','SE','126262261216111411448833575124610122092',12139,'9998',48.81,4,3,NULL),(15,2175266,'1990-05-29 00:00:00',4,4,12,2007,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162161216111731368619472112610167062',129,'9998',80.96,1,3,NULL),(15,2175282,'1988-10-14 00:00:00',4,1,12,2005,'F','N','CENTRO','PORTO ALEGRE','RS','120204201216571131446911575114610132187',1357,'9998',71.84,1,3,NULL),(15,2175290,'1989-11-09 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217122541347712376121610161117',11596,'1022',49.56,1,3,NULL),(15,2175304,'1989-11-22 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215312451236631371124610127042',3958,'391',63.58,2,3,NULL),(15,2175312,'1990-04-06 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241415371711468813495124610128157',11907,'9997',49.09,1,3,NULL),(15,2175320,'1989-07-20 00:00:00',2,1,11,2007,'M','N','JOÂO PAULO','FLORIANOPOLIS','SC','124242241215111751468813495122610164117',8050,'883',55.28,1,3,NULL),(15,2175339,'1990-05-09 00:00:00',4,1,12,2007,'M','N','JURERÊ','FLORIANOPOLIS','SC','624242241217472531489931415112610114047',3421,'270',64.94,1,3,NULL),(15,2175355,'1988-06-01 00:00:00',2,1,12,2005,'M','N','CENTRO','BELA VISTA DO PARAISO','PR','116161161217573431468823575112610164047',NULL,'9998',0.00,1,3,NULL),(15,2175363,'1990-05-23 00:00:00',4,1,12,2007,'F','N','MONTE ALEGRE','RIBEIRAO PRETO','SP','125251251216111431356812274112610162097',9952,'9998',52.01,1,3,NULL),(15,2175371,'1991-01-19 00:00:00',4,1,12,2008,'F','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242248215111731378932272124610125142',NULL,'1098',34.67,1,3,NULL),(15,2175380,'1991-04-05 00:00:00',4,1,11,2008,'F','S','CENTRO','BIGUACU','SC','124242241117111431366824572122610134182',NULL,'270',22.66,1,3,NULL),(15,2175398,'1989-03-13 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241115131431636622111322610165147',8718,'306',54.14,1,2,1),(15,2175401,'1990-03-20 00:00:00',4,10,12,2007,'M','N','VILA NOVA','IMBITUBA','SC','124241241116171431336311575114310137117',17834,'1034',40.62,1,3,NULL),(15,2175410,'1981-09-11 00:00:00',4,1,6,2005,'M','N','PRADO','BIGUACU','SC','124243247344142111435874445114610134187',NULL,'737',32.95,1,3,NULL),(15,2175428,'1988-03-20 00:00:00',4,8,12,2005,'M','N','BOM RETIRO','JOINVILLE','SC','124242241212572431559814575124131427097',625,'499',75.89,1,3,NULL),(15,2175436,'1989-04-23 00:00:00',4,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215472412558831381124610164117',15504,'1022',44.13,1,3,NULL),(15,2175452,'1990-05-31 00:00:00',2,1,12,2000,'F','N','CENTRO','SAO BONIFACIO','SC','124241248125321411446715291321610153012',NULL,'9997',29.34,1,3,NULL),(15,2175460,'1990-12-04 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241415111431559913432114611267055',13581,'269',46.77,1,3,NULL),(15,2175479,'1987-02-24 00:00:00',2,1,12,2003,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124243241122373431441729391124222338142',10715,'285',50.85,1,3,NULL),(15,2175487,'1983-01-25 00:00:00',4,8,11,2000,'M','N','CAPAO RASO','CURITIBA','PR','116162161122572441456611594124610147081',1523,'9997',71.10,3,3,NULL),(15,2175495,'1991-09-06 00:00:00',2,1,2,2008,'M','N','PICADAS DO NORTE','SAO JOSE','SC','124244241215161411436614572124610128192',NULL,'1074',35.15,1,3,NULL),(15,2175509,'1974-03-16 00:00:00',2,1,12,1990,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241336374421356623485124320663147',8283,'735',54.88,1,3,NULL),(15,2175517,'1990-04-16 00:00:00',4,1,12,2007,'M','N','JARDIM ALVORADA','BAURU','SP','125252251215471431378834575112610164012',12654,'436',48.07,1,3,NULL),(15,2175525,'1990-06-25 00:00:00',4,10,11,2007,'M','N','SAGRADA FAMILIA','IMBITUBA','SC','124241241116131431323323575124610138042',NULL,'359',18.53,1,3,NULL),(15,2175533,'1990-10-22 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','125242241415271431567611195124610153142',12510,'1118',48.27,1,3,NULL),(15,2175550,'1987-06-26 00:00:00',2,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124111241127271431633338382124610131187',17996,'736',40.32,1,2,1),(15,2175568,'1990-08-15 00:00:00',4,7,12,2007,'F','N','SANTA GEMA','VIDEIRA','SC','124241241117151411238624572124610122012',17777,'831',40.70,1,2,1),(15,2175576,'1987-11-22 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241217132431557633285112610164092',11411,'1022',49.83,4,3,NULL),(15,2175584,'1989-03-02 00:00:00',2,1,12,2006,'M','N','JARDIM SÃO NICOLAU','BIGUACU','SC','124242241212212231338831412114610127062',19266,'270',38.23,1,3,NULL),(15,2175592,'1988-12-02 00:00:00',4,1,12,2006,'M','N','AEROPORTO','LONDRINA','PR','116162161217472431267923475122610127092',NULL,'9998',0.00,1,3,NULL),(15,2175606,'1989-09-12 00:00:00',4,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124243246217151331367632325112610162112',20149,'1105',36.54,1,3,NULL),(15,2175622,'1990-05-11 00:00:00',4,8,12,2007,'F','N','BRASÍLIA','PATO BRANCO','PR','116162161215471431568831575124610133097',NULL,'9998',0.00,1,3,NULL),(15,2175649,'1990-07-22 00:00:00',4,4,12,2007,'M','N','CENTRO','ITAPIRANGA','SC','124241241115161731438614475125610168077',NULL,'412',21.51,1,3,NULL),(15,2175665,'1990-12-05 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124201241215112412558832526125610167057',2687,'270',67.07,1,3,NULL),(15,2175673,'1987-12-02 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215374431368814444122131065127',8484,'266',54.53,1,3,NULL),(15,2175690,'1989-02-25 00:00:00',2,1,8,2007,'F','N','KOBRASOL','SAO JOSE','SC','124241241115271431336623375124610135197',9702,'739',52.42,1,2,1),(15,2175703,'1989-06-09 00:00:00',4,1,11,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241216111511455632375122610161042',21145,'1022',34.55,1,3,NULL),(15,2175711,'1990-05-23 00:00:00',2,5,11,2007,'M','N','CENTRO','ARARANGUA','SC','124242241215111431436812591122610167112',17781,'27',40.70,1,3,NULL),(15,2175720,'1990-05-15 00:00:00',4,3,12,2007,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161211111431588812471122610127122',NULL,'9998',0.00,1,3,NULL),(15,2175738,'1979-02-20 00:00:00',4,1,12,1992,'F','N','COSTA DE DENTRO','FLORIANOPOLIS','SC','124241241336135751355513435224222346182',17520,'272',41.06,1,3,NULL),(15,2175746,'1991-01-28 00:00:00',2,4,12,2007,'F','N','SERRINHA','PALMAS','PR','116201161116131431523819512222610121077',NULL,'9998',0.00,1,3,NULL),(15,2175754,'1987-09-13 00:00:00',4,1,12,2004,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','112122121217475431359811575112121432195',4974,'9998',61.15,3,3,NULL),(15,2175762,'1987-12-19 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124254251236271431458614372314140232192',10365,'9998',51.40,1,3,NULL),(15,2175770,'1989-03-22 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242243215372221469614472122610117167',1069,'262',73.15,1,3,NULL),(15,2175789,'1991-02-02 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241215121531378913475122610164047',18474,'270',39.54,1,3,NULL),(15,2175797,'1990-05-07 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215371431376613575112610162127',823,'270',74.58,1,3,NULL),(15,2175800,'1988-12-02 00:00:00',2,1,12,2007,'F','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124241241115131551453313435134610113142',20546,'307',35.81,1,2,1),(15,2175819,'1990-07-31 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241235111712366839575115610164046',NULL,'1098',45.44,1,3,NULL),(15,2175827,'1989-03-06 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241215111431457923492124610133187',16320,'1022',42.86,4,3,NULL),(15,2175835,'1988-10-24 00:00:00',4,1,12,2006,'M','N','ILHA DA FIGUEIRA','JARAGUA DO SUL','SC','124244241215574431246633272115610167187',566,'491',76.31,1,3,NULL),(15,2175843,'1991-01-23 00:00:00',4,1,12,2007,'M','N','CENTRO','UMUARAMA','PR','116162161216111411359912575122610147122',NULL,'9998',0.00,1,3,NULL),(15,2175860,'1990-01-30 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124244241215111411486612222124610114047',17484,'1022',41.10,1,3,NULL),(15,2175878,'1990-09-29 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241215112741558611575124610164115',8168,'1022',55.07,1,3,NULL),(15,2175894,'1990-04-11 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241127111231535621295124610124082',21936,'281',32.50,1,3,NULL),(15,2175908,'1985-04-23 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124254254437151431247829385324333267043',14324,'9998',45.69,1,3,NULL),(15,2175916,'1989-08-01 00:00:00',2,6,12,2007,'F','N','CARVALHO','ITAJAI','SC','124242241215111731356823282123610127187',21680,'389',33.31,1,3,NULL),(15,2175924,'1990-07-09 00:00:00',4,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217121411368633475124610137045',3938,'270',63.62,1,3,NULL),(15,2175932,'1987-11-09 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244244415273431549913472124610127097',18354,'499',39.71,4,3,NULL),(15,2175940,'1991-06-19 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215111431658711575125610117017',8458,'272',54.59,1,3,NULL),(15,2175959,'1985-11-24 00:00:00',4,1,12,2003,'F','N','KOBRASOL','SAO JOSE','SC','124243241216373431436613472124121168112',10624,'1076',50.99,1,3,NULL),(15,2175967,'1989-11-22 00:00:00',4,1,12,2007,'M','N','CENTRO','SANTA RITA DO SAPUCAI','MG','113134131117151441558834372121610164047',10229,'9998',51.59,1,3,NULL),(15,2175975,'1986-05-12 00:00:00',4,8,12,2003,'F','N','FLORESTA','JOINVILLE','SC','124111111116271732423319192114610164193',NULL,'9998',14.45,4,2,1),(15,2175983,'1990-11-11 00:00:00',2,4,11,2007,'F','N','ANTONIO RECH','DESCANSO','SC','124243241315111431433332275122610134142',21548,'241',33.64,1,3,NULL),(15,2175991,'1990-02-20 00:00:00',4,8,12,2007,'M','N','SAGUAÇU','JOINVILLE','SC','124242241217111431489919595112610144192',5338,'1063',60.43,1,3,NULL),(15,2176009,'1990-06-20 00:00:00',2,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111731459633332114610123077',11021,'1022',50.43,1,3,NULL),(15,2176017,'1988-08-20 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241215273411549831575124121434042',114,'226',81.25,1,3,NULL),(15,2176025,'1988-09-30 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217372731348934575114120762012',3848,'270',63.87,1,3,NULL),(15,2176033,'1991-02-22 00:00:00',2,2,12,2007,'F','N','JARDIM AMERICA','CAXIAS DO SUL','RS','120204208117371731429819572122610167077',NULL,'9998',0.00,1,3,NULL),(15,2176041,'1989-01-19 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124252241217411731436819281124610144142',NULL,'300',20.84,1,3,NULL),(15,2176050,'1982-11-18 00:00:00',2,1,12,2000,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124251251116473411333311297321121764147',NULL,'9998',0.00,4,3,NULL),(15,2176068,'1989-10-27 00:00:00',4,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124242241215372431239624274124610132147',3310,'723',65.24,1,3,NULL),(15,2176076,'1990-10-29 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241116271431446611485124610131147',17955,'307',40.39,1,2,1),(15,2176084,'1990-08-21 00:00:00',2,1,11,2007,'M','N','GUADALUPE','MARAU','RS','120204201216151432673636172332610167042',10542,'9998',51.11,1,3,NULL),(15,2176092,'1990-01-17 00:00:00',2,1,12,2007,'F','N','JARDIM ATLÃNTICO','FLORIANOPOLIS','SC','124241241315121712446419575124610118147',20538,'1022',35.82,1,3,NULL),(15,2176106,'1990-11-16 00:00:00',4,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241216121331368832592122610118041',3084,'737',65.88,1,3,NULL),(15,2176114,'1990-02-11 00:00:00',2,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124241241117131531456833572324610124027',NULL,'733',21.43,1,2,1),(15,2176122,'1990-09-28 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124243241315111631635611576124610137057',18083,'1076',40.17,1,3,NULL),(15,2176149,'1986-07-19 00:00:00',2,1,10,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241247111132431626613441122610141112',NULL,'9999',0.00,1,2,1),(15,2176173,'1987-02-24 00:00:00',2,1,7,2005,'F','N','MORRETES II','PALHOCA','SC','124241241137373431535874482324132846177',20992,'592',34.86,1,2,1),(15,2176181,'1989-06-09 00:00:00',2,1,12,2006,'F','N','CENTRO','ANTONIO CARLOS','SC','124241241112472431543623292124610167077',9695,'21',52.42,1,2,1),(15,2176203,'1987-12-29 00:00:00',2,1,12,2005,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241116373431434411382124610121172',12251,'298',48.65,2,2,1),(15,2176211,'1988-04-12 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117374431456614572224610126057',12408,'384',48.42,1,2,1),(15,2176220,'1990-09-26 00:00:00',4,1,12,2007,'F','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124242241217151441468413575124610134182',3635,'271',64.39,1,3,NULL),(15,2176238,'1989-02-06 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431319612425112610127047',NULL,'262',0.00,1,3,NULL),(15,2176246,'1988-07-31 00:00:00',4,8,12,2005,'F','N','JARDIM FLORESTA','CASCAVEL','PR','116161161316571411468413595123610165142',5528,'9998',60.00,1,3,NULL),(15,2176254,'1990-09-27 00:00:00',4,10,11,2007,'M','N','HUMAITÁ','TUBARAO','SC','124242241215151431458931572212610124082',2567,'806',67.41,1,3,NULL),(15,2176262,'1988-03-24 00:00:00',4,4,12,2007,'M','N','CENTRO','ITAPIRANGA','SC','124241241115131531224314475325610137147',22021,'412',32.20,1,3,NULL),(15,2176270,'1990-04-06 00:00:00',4,6,12,2007,'F','N','SÃO ROQUE','ITAJAI','SC','124241248115161731434419495114610162147',NULL,'396',22.76,1,3,NULL),(15,2176297,'1989-05-13 00:00:00',4,3,12,2006,'F','N','CENTRO CÍVICO','CURITIBA','PR','116162161215571431239931575124610166142',NULL,'9998',0.00,1,3,NULL),(15,2176300,'1988-12-02 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241315372431648614246234610146042',3066,'1022',65.92,1,3,NULL),(15,2176319,'1987-05-12 00:00:00',2,7,12,2004,'M','N','INTERIOR','MAXIMILIANO DE ALMEIDA','RS','120201201127471531436316172212610127097',11053,'9998',50.38,1,2,1),(15,2176327,'1989-05-26 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215472431576833572112610131071',7914,'262',55.50,1,3,NULL),(15,2176335,'1986-04-13 00:00:00',4,1,12,2003,'F','N','CENTRO','SANTA MARIA','RS','120204201217471421358814472112141434112',8125,'9998',55.14,1,3,NULL),(15,2176343,'1987-08-28 00:00:00',4,1,12,2005,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241111412221533833585124610146142',16199,'234',43.06,1,3,NULL),(15,2176351,'1989-11-18 00:00:00',2,1,12,2007,'M','N','JARDIM MORUMBI','PINDAMONHANGABA','SP','125251251116151411446634385124610127047',10291,'9998',51.50,1,3,NULL),(15,2176360,'1991-03-31 00:00:00',2,1,12,2007,'F','N','CENTRO','PAULO LOPES','SC','124241241215111431456611572122610137092',17910,'1011',40.47,1,3,NULL),(15,2176378,'1990-02-07 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472411556933375122610123097',6550,'770',57.98,1,3,NULL),(15,2176394,'1989-01-10 00:00:00',2,1,12,2006,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241145472431554612295124610137161',11271,'307',50.05,1,2,1),(15,2176416,'1990-09-23 00:00:00',4,8,12,2007,'M','N','CENTRO','SAO FRANCISCO DO SUL','SC','124242241215371241468732272222620162052',4399,'867',62.48,1,3,NULL),(15,2176424,'1990-10-06 00:00:00',2,9,12,2007,'M','N','GLÓRIA','VACARIA','RS','120242208417171431346619592112610114041',13229,'9998',47.26,1,3,NULL),(15,2176432,'1985-12-05 00:00:00',4,1,12,2002,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241216153411558611481114232134182',6660,'272',57.80,1,3,NULL),(15,2176440,'1991-01-07 00:00:00',4,3,11,2007,'F','N','PARAISO','CACADOR','SC','124242241215111231456611372112610118072',11969,'118',49.02,1,3,NULL),(15,2176459,'1990-06-17 00:00:00',4,9,12,2007,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124243241215111431469813575122610147012',4258,'499',62.78,1,3,NULL),(15,2176467,'1990-05-17 00:00:00',2,1,11,2007,'F','N','ARMAÇÃO','FLORIANOPOLIS','SC','124242241415111431438624576214610121197',17573,'300',40.97,1,3,NULL),(15,2176475,'1990-01-11 00:00:00',2,3,12,2007,'F','N','JARDIM CARVALHO','PONTA GROSSA','PR','116162161215471431478832575122610122092',8794,'9998',54.02,1,3,NULL),(15,2176483,'1989-05-13 00:00:00',2,1,12,2006,'F','N','CENTRO','SANTO ANGELO','RS','120201201147131731333435382224241063197',NULL,'9998',0.00,1,2,1),(15,2176491,'1980-11-19 00:00:00',2,1,10,2002,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','624051057117571421227359342114610165111',NULL,'9999',34.16,1,2,1),(15,2176505,'1988-12-16 00:00:00',4,3,12,2006,'M','N','BATEL','CURITIBA','PR','116242161215471421436639571312610162092',6963,'9998',57.23,1,3,NULL),(15,2176513,'1990-01-03 00:00:00',4,1,12,2006,'F','N','CENTRO','SAO LUDGERO','SC','124242248215472431577632572124610166193',3577,'807',64.52,1,3,NULL),(15,2176521,'1985-01-20 00:00:00',2,1,6,2003,'M','N','CENTRO','PALHOCA','SC','124241241122133731123344342334610167177',10702,'275',50.87,4,2,1),(15,2176530,'1989-06-30 00:00:00',3,1,12,2007,'F','N','VILA SÃO PEDRO','MALLET','PR','116132161317131431469613572322610126197',16646,'9998',42.38,1,3,NULL),(15,2176548,'1982-11-07 00:00:00',2,1,11,2000,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241116255431436628315122610147042',18411,'307',39.63,1,3,NULL),(15,2176556,'1990-03-14 00:00:00',4,1,6,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124242241117151431447823472124610127015',NULL,'306',54.75,1,3,NULL),(15,2176564,'1986-02-26 00:00:00',4,8,12,2004,'M','N','CENTRO','SAO BENTO DO SUL','SC','124243241236143431568811445132230237147',9061,'699',53.55,1,3,NULL),(15,2176580,'1989-06-27 00:00:00',4,1,12,2006,'F','N','CENTRO','PALHOCA','SC','124243241316131731343623575124610122177',20319,'591',36.20,1,3,NULL),(15,2176599,'1991-02-13 00:00:00',2,1,12,2008,'F','S','MENINO DEUS','SALTO DO JACUI','RS','120201201336161531436913572222610133192',NULL,'9998',31.88,1,3,NULL),(15,2176602,'1986-05-28 00:00:00',2,1,12,2006,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124131241125572431115529394124610127047',12109,'294',48.85,1,2,1),(15,2176610,'1989-08-25 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216111431328931492114610124147',9626,'1022',52.54,1,3,NULL),(15,2176629,'1989-01-28 00:00:00',4,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241235121431358812595122610118073',10976,'737',50.51,1,3,NULL),(15,2176637,'1989-02-10 00:00:00',4,1,12,2007,'F','N','VILA QUITAÚNA','OSASCO','SP','125252258247141431248829342134610161197',NULL,'9998',22.01,1,3,NULL),(15,2176661,'1990-03-17 00:00:00',4,1,11,2007,'M','N','JARDIM DAS COLINAS','SAO JOSE DOS CAMPOS','SP','125252251415111431368913475125610147043',NULL,'9998',0.00,1,3,NULL),(15,2176670,'1986-07-09 00:00:00',4,1,12,2003,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215472431337633475114610167057',11047,'262',50.39,1,3,NULL),(15,2176688,'1988-04-16 00:00:00',2,1,12,2005,'F','N','BELA VISTA','SAO JOSE','SC','124244241215373611516519394324610162143',8964,'882',53.72,1,3,NULL),(15,2176696,'1990-02-28 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECO','SC','124242241215371531358612372125610167057',8748,'185',54.11,1,3,NULL),(15,2176700,'1989-10-10 00:00:00',5,7,12,2006,'M','N','CENTRO','JOACABA','SC','124241241122131431533336191124231437052',8253,'707',54.93,1,2,1),(15,2176718,'1990-05-31 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241115131231425324282224610114197',18643,'288',39.25,1,3,NULL),(15,2176734,'1989-01-16 00:00:00',2,5,10,2007,'M','N','CENTRO','CRICIUMA','SC','124242241217111431258512325122610114042',NULL,'226',26.90,1,3,NULL),(15,2176742,'1988-07-08 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241248147272411223421185125610124197',21745,'9997',33.14,1,2,1),(15,2176750,'1989-02-21 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241216473441538733575114610123097',NULL,'272',0.00,1,3,NULL),(15,2176769,'1982-12-06 00:00:00',2,1,6,2001,'M','N','MENINO DEUS','PORTO ALEGRE','RS','120201207426271711359823295114141867047',NULL,'260',0.00,1,3,NULL),(15,2176777,'1986-01-31 00:00:00',4,1,12,2003,'M','N','PROENCA','CAMPINAS','SP','125253258215571411538833341112610132093',3925,'9998',63.67,4,3,NULL),(15,2176785,'1990-03-21 00:00:00',4,1,12,2007,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241216111421579614575124610112145',17447,'262',41.15,1,3,NULL),(15,2176793,'1989-10-21 00:00:00',2,10,12,2006,'F','N','CENTRO','ARMAZEM','SC','124243241215372731433731345124610122147',7360,'806',56.50,1,3,NULL),(15,2176807,'1990-03-21 00:00:00',2,4,12,2007,'F','N','ALVORADA','MARMELEIRO','PR','116163161116471431346414572122610124072',11332,'9998',49.94,1,3,NULL),(15,2176815,'1989-07-25 00:00:00',5,5,12,2005,'F','N','SANTA CATARINA','CRICIUMA','SC','124242241215473631444923345124610164057',10439,'213',51.29,1,3,NULL),(15,2176831,'1988-11-06 00:00:00',4,3,12,2005,'F','N','LARANJEIRAS','RIO DO SUL','SC','124242161215573431439812425124610167092',9882,'9998',52.13,1,3,NULL),(15,2176840,'1989-12-14 00:00:00',2,4,12,2007,'F','N','ZONA RURAL','ARATIBA','RS','120201201113371431535915582224610128057',18040,'9998',40.24,1,2,1),(15,2176858,'1989-04-19 00:00:00',2,1,12,2007,'F','N','BELA VISTA','SAO JOSE','SC','124243241215372431346527315134610132187',17423,'1036',41.19,1,3,NULL),(15,2176866,'1988-07-19 00:00:00',4,5,12,2005,'F','N','PIO CORREA','CRICIUMA','SC','124242241216573431568812225335231067117',4369,'226',62.55,1,3,NULL),(15,2176874,'1988-12-19 00:00:00',4,1,12,2006,'M','N','FAZENDA STO ANTONIO','SAO JOSE','SC','624242241411472411228623592124610168192',3304,'1011',65.25,1,3,NULL),(15,2176882,'1989-03-18 00:00:00',4,1,12,2006,'F','N','VILA PINHEIRO','PIRASSUNUNGA','SP','125252251217472431569833575122610124047',18635,'9998',39.26,1,3,NULL),(15,2176890,'1991-01-09 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECO','SC','124244241412271741336517174125610166057',4108,'185',63.17,1,3,NULL),(15,2176904,'1990-01-14 00:00:00',2,4,12,2007,'M','N','JARDIM MONDAY II','ITAIPULANDIA','PR','116161161316271431559413241125610134057',17451,'9998',41.15,1,3,NULL),(15,2176912,'1989-05-22 00:00:00',2,1,12,2006,'F','N','JARDIM ZANELLATO','SAO JOSE','SC','124241241126131431531319395124610153147',NULL,'66',19.41,1,2,1),(15,2176920,'1989-12-08 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215112411438831312112610164097',9278,'262',53.16,1,3,NULL),(15,2176939,'1989-03-31 00:00:00',4,3,12,2006,'M','N','VILA ESPERANÇA','IMBITUBA','SC','124241248415372431459931482322610134147',4659,'9997',61.85,1,3,NULL),(15,2176947,'1972-01-09 00:00:00',4,1,11,1990,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','224133138236131741533859195322231064097',18211,'9998',39.96,1,3,NULL),(15,2176955,'1990-02-16 00:00:00',2,1,12,2006,'M','N','HIGIENÓPOLIS','PORTO ALEGRE','RS','120202201217571431446879291114610147112',12773,'9998',47.89,1,3,NULL),(15,2176963,'1983-04-06 00:00:00',2,1,12,2001,'M','N','NOSSA SRA DO ROSARIO','SAO JOSE','SC','224242241212134451248644445112133237047',NULL,'882',24.71,1,3,NULL),(15,2176971,'1990-11-13 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241217111751336529392114610124071',11118,'1118',50.27,1,3,NULL),(15,2176980,'1989-02-27 00:00:00',2,1,12,2006,'M','N','IPIRANGA','SAO JOSE','SC','124242248212472431545511492124610128091',16272,'1118',42.95,1,3,NULL),(15,2176998,'1990-08-27 00:00:00',4,4,12,2007,'M','N','CENTRO','XANXERE','SC','124243241217111441548931272122610164197',214,'836',79.75,1,3,NULL),(15,2177005,'1990-02-17 00:00:00',2,1,12,2007,'M','N','VILA ROSA','PRESIDENTE PRUDENTE','SP','125252251414371431569911575122610127047',NULL,'9998',0.00,1,3,NULL),(15,2177013,'1989-07-03 00:00:00',4,1,12,2006,'F','N','VILA DO HOSPITAL','BOITUVA','SP','125253251216472441458811571124610126187',331,'9998',78.44,1,3,NULL),(15,2177021,'1976-09-06 00:00:00',4,1,12,1993,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241237274431366669495115322832112',5159,'270',60.79,1,3,NULL),(15,2177030,'1988-10-31 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217174431368833572122231037117',17382,'1022',41.25,1,3,NULL),(15,2177056,'1990-02-28 00:00:00',2,8,12,2007,'F','N','AVAÍ','GUARAMIRIM','SC','124242241217131431444322572114610125052',12525,'424',48.26,1,3,NULL),(15,2177064,'1975-04-17 00:00:00',2,9,11,1988,'M','N','S C DE JESUS','LAGES','SC','124241241417372721534319381125130227167',15109,'514',44.66,4,3,NULL),(15,2177072,'1990-01-20 00:00:00',2,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241216271432443717475124610137047',4373,'299',62.53,1,3,NULL),(15,2177080,'1990-11-16 00:00:00',4,2,12,2007,'M','N','ALTO PARAÍSO','PANAMBI','RS','120203201216371431439913572122610137012',7655,'9998',55.94,1,3,NULL),(15,2177099,'1986-05-30 00:00:00',2,1,11,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241114133421445644345234130237077',11659,'271',49.48,1,2,1),(15,2177110,'1988-01-02 00:00:00',4,1,7,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242247336132721356813375124610113071',20681,'9999',35.53,1,3,NULL),(15,2177129,'1990-08-29 00:00:00',4,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241232111211455512421225610167062',17835,'884',40.61,1,3,NULL),(15,2177137,'1989-08-29 00:00:00',2,1,6,2007,'F','N','JARDIM ESMERALDA','CAXIAS DO SUL','RS','120202208217371731344314191124610154057',NULL,'9998',0.00,4,3,NULL),(15,2177145,'1988-12-27 00:00:00',2,1,12,2006,'F','N','CANTO','FLORIANOPOLIS','SC','124242241217472411459913572124610124017',4872,'992',61.37,1,3,NULL),(15,2177153,'1990-12-20 00:00:00',2,4,12,2007,'F','N','CENTRO','ARATIBA','RS','120201201115371431547912572122610128047',15362,'9998',44.31,1,2,1),(15,2177170,'1986-03-06 00:00:00',2,1,12,2003,'M','N','ABRHÃO','FLORIANOPOLIS','SC','124161161317131411121316242124130222147',NULL,'9998',0.00,1,3,NULL),(15,2177196,'1981-08-02 00:00:00',2,1,6,2007,'F','N','GANCHOS DO MEIO','GOVERNADOR CELSO RAMOS','SC','124241247126141532623333395334610111191',NULL,'9999',0.00,1,3,NULL),(15,2177200,'1990-12-13 00:00:00',4,2,12,2007,'M','N','PROGRESSO','BLUMENAU','SC','124242241215121411477831472122610142187',4229,'87',62.84,1,3,NULL),(15,2177218,'1990-10-01 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242248215111411348612575122610146192',4551,'9997',62.14,1,3,NULL),(15,2177226,'1989-11-22 00:00:00',4,1,12,2006,'M','N','GUANABARA','CAMPINAS','SP','125252251217471431456631575114610142122',NULL,'9998',NULL,3,3,NULL),(15,2177234,'1989-01-23 00:00:00',4,8,12,2007,'F','N','FLORESTA','JOINVILLE','SC','124243241226141411558621245124610146192',NULL,'459',0.00,1,3,NULL),(15,2177250,'1987-07-27 00:00:00',4,4,12,2004,'F','N','CENTRO','UMUARAMA','PR','116162161215572431433611571122610164147',4157,'9998',63.05,1,3,NULL),(15,2177269,'1990-05-16 00:00:00',4,6,12,2007,'M','N','VILA OPERÁRIA','ITAJAI','SC','124242241215272431458711475122610134172',2381,'392',67.98,1,3,NULL),(15,2177277,'1990-12-02 00:00:00',4,1,12,2007,'F','N','BARRA DE IBIRAQUERA','IMBITUBA','SC','124241241112131331213319172314610122197',NULL,'358',21.21,1,3,NULL),(15,2177285,'1988-03-23 00:00:00',2,7,12,2005,'M','N','CENTRO','IRANI','SC','124241241116151441356923375115610136192',5360,'379',60.36,1,2,1),(15,2177293,'1988-09-11 00:00:00',4,1,8,2007,'M','N','RIO GRANDE','PALHOCA','SC','124241241116131411435513492211610167046',NULL,'739',47.80,1,3,NULL),(15,2177307,'1990-04-20 00:00:00',4,10,12,2007,'F','N','SERTÃO DOS CORREAS','ARMAZEM','SC','124241241135161131536436572123610128072',NULL,'34',23.71,1,3,NULL),(15,2177323,'1989-11-22 00:00:00',2,1,11,2006,'F','N','CRUZEIRO','SANTA ROSA','RS','120201201217472411433311275124610127142',5767,'9998',59.53,1,3,NULL),(15,2177331,'1989-11-04 00:00:00',2,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215111431557911572122610132182',NULL,'211',0.00,1,3,NULL),(15,2177340,'1990-05-21 00:00:00',4,1,12,2007,'M','N','JARDIM DAS NAÇÕES','TAUBATE','SP','125252251216371431579914585122610167042',5602,'9998',59.87,1,3,NULL),(15,2177358,'1986-02-17 00:00:00',4,1,12,2003,'M','N','PANTANAL','FLORIANOPOLIS','SC','124164161216273421169913495124221427122',4000,'9998',63.44,1,3,NULL),(15,2177366,'1988-10-26 00:00:00',4,5,12,2006,'M','N','CENTRO','CRICIUMA','SC','124202201216472431468814585124610137047',5398,'9998',60.29,1,3,NULL),(15,2177382,'1989-02-12 00:00:00',2,1,12,2006,'F','N','JARDIM SÃO LOURENÇO','CAMPO GRANDE','MS','112122121216372431588716215122610131142',3847,'9998',63.87,1,3,NULL),(15,2177390,'1990-10-31 00:00:00',4,4,12,2007,'M','N','CENTRO','PALMITOS','SC','124243241115111431568733475122610125192',14040,'601',46.11,1,3,NULL),(15,2177404,'1990-11-19 00:00:00',4,4,12,2007,'F','N','CENTRO','PRINCESA','SC','124241241115161731649633152324610127057',NULL,'646',24.33,1,2,1),(15,2177412,'1988-08-05 00:00:00',2,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','624252241127271411638873215124610165185',14312,'307',45.71,1,3,NULL),(15,2177420,'1988-11-17 00:00:00',4,1,12,2006,'F','N','VILA EMA','SAO JOSE DOS CAMPOS','SP','125134251217471431556514575122610166086',NULL,'9998',0.00,1,3,NULL),(15,2177439,'1984-01-24 00:00:00',2,1,12,2001,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124241247146132441123679195124121737147',NULL,'9999',0.00,1,2,1),(15,2177455,'1988-09-29 00:00:00',4,8,11,2005,'M','N','LIBERDADE','SAO PAULO','SP','125252251215571441469811572122610167057',223,'9998',79.66,1,3,NULL),(15,2177463,'1991-01-21 00:00:00',2,4,11,2007,'F','N','CENTRO','GUARUJA DO SUL','SC','124242241217131431445923595124610167072',19501,'752',37.83,1,3,NULL),(15,2177480,'1988-11-28 00:00:00',4,1,12,2006,'M','N','CENTRO','SANTA MARIA','RS','120203201217371431458914195124610167042',3937,'9998',63.63,1,3,NULL),(15,2177498,'1989-04-22 00:00:00',4,1,12,2007,'F','N','SERTÃO DO MARUIM','SAO JOSE','SC','124241241146151431322531346124610118197',17550,'731',41.01,1,3,NULL),(15,2177501,'1991-01-16 00:00:00',2,3,12,2007,'F','N','ANDORINHA','ITAPEMA','SC','124241241116131431524331571121610124057',NULL,'405',27.14,4,2,1),(15,2177510,'1990-10-26 00:00:00',4,10,9,2007,'F','N','MAGALHAES','LAGUNA','SC','124244241215131431448813282114610166177',13053,'806',47.51,1,3,NULL),(15,2177528,'1990-04-18 00:00:00',4,3,12,2007,'F','N','COLONIAL','SAO BENTO DO SUL','SC','124241241117131411438933395112610132072',19921,'697',36.97,1,2,1),(15,2177536,'1989-01-29 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215473431248923572122610127147',7270,'262',56.66,1,3,NULL),(15,2177552,'1984-10-16 00:00:00',2,8,12,2002,'M','N','JD RÚBIO','SAO PAULO','SP','125251251117371411536331245124240762143',NULL,'9998',0.00,1,2,1),(15,2177560,'1989-03-16 00:00:00',4,1,12,2006,'F','N','JD PANCERA','TOLEDO','PR','116162161215472411447912585122610118167',5991,'9998',59.10,3,3,NULL),(15,2177579,'1989-10-28 00:00:00',2,1,12,2006,'F','N','PASSA VINTE','PALHOCA','SC','124244241116372431456934345124610137117',19466,'733',37.88,1,3,NULL),(15,2177587,'1989-10-27 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215271431378932571122610138095',NULL,'262',31.83,1,3,NULL),(15,2177595,'1990-12-12 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124042241215272431439931575124610164127',6382,'299',58.29,4,3,NULL),(15,2177609,'1990-10-25 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242248215161431366612572122610136091',15100,'273',44.67,4,3,NULL),(15,2177617,'1991-03-02 00:00:00',4,1,12,2007,'M','N','TTUAPÉ','SAO PAULO','SP','125252251217111731639811475125610164051',12224,'9998',48.69,1,3,NULL),(15,2177625,'1989-06-23 00:00:00',2,1,11,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241216372431445433572122610136072',8845,'738',53.93,1,3,NULL),(15,2177633,'1989-09-20 00:00:00',2,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124244241212111441336811572212610147057',NULL,'1118',37.31,1,3,NULL),(15,2177641,'1990-06-02 00:00:00',2,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215111431458711511114640117047',13322,'1022',47.15,1,3,NULL),(15,2177650,'1991-02-07 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111431354812595112610168192',3770,'9997',64.04,1,3,NULL),(15,2177668,'1990-12-28 00:00:00',4,10,11,2007,'F','N','MAR GROSSO','LAGUNA','SC','124242241116111411479913435124610126182',5258,'807',60.59,1,3,NULL),(15,2177676,'1990-12-14 00:00:00',4,4,11,2007,'M','N','AGOSTINE','SAO MIGUEL DOESTE','SC','124244241235151431469923575125610147057',5125,'752',60.87,1,3,NULL),(15,2177684,'1991-05-24 00:00:00',4,1,12,2008,'F','S','CENTRO','SOMBRIO','SC','124242241214161451446823275225610123097',NULL,'904',45.07,1,3,NULL),(15,2177706,'1990-08-07 00:00:00',2,4,12,2007,'F','N','CENTRO','FAXINAL DOS GUEDES','SC','116244161215111431446935575112610164142',10119,'9998',51.76,1,3,NULL),(15,2177714,'1988-07-17 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124252251216471531449811272324610161097',3946,'9998',63.61,1,3,NULL),(15,2177722,'1987-08-17 00:00:00',4,1,12,2004,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241215375421138913575114610135072',3989,'270',63.49,2,3,NULL),(15,2177749,'1988-07-27 00:00:00',4,8,12,2006,'F','N','AMERICA','JOINVILLE','SC','124242247216471451458834575115610143187',19638,'9999',37.55,4,3,NULL),(15,2177757,'1991-08-09 00:00:00',4,6,12,2008,'M','S','SÃO JUDAS','ITAJAI','SC','124242241215151431476933575122610164042',NULL,'392',48.95,1,3,NULL),(15,2177765,'1990-11-20 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241215371421459833573112610117077',11772,'1011',49.30,1,3,NULL),(15,2177773,'1982-03-04 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216273431448833315122133234112',12554,'262',48.21,1,3,NULL),(15,2177790,'1990-04-30 00:00:00',2,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124244241415111431467934571124610137115',15951,'270',43.46,1,3,NULL),(15,2177803,'1991-02-09 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242248215111431453312575124610128057',18821,'273',38.95,1,3,NULL),(15,2177811,'1983-10-15 00:00:00',4,1,12,2000,'M','N','SÃO CRISTÓVÃO','UNIAO DA VITORIA','PR','116161161117144411253943435122342934012',12667,'9998',48.04,4,2,1),(15,2177820,'1982-05-16 00:00:00',4,1,12,1999,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124244241216155441128823397124222343185',3945,'901',63.61,1,3,NULL),(15,2177838,'1990-07-03 00:00:00',2,1,12,2007,'F','N','PICADAS DO SUL','SAO JOSE','SC','124241241115131431525733172124610114072',NULL,'733',17.15,1,2,1),(15,2177846,'1989-11-10 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124244241217372432456611315124121731187',1988,'9997',69.31,1,3,NULL),(15,2177854,'1989-03-06 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431468712575122610162012',4392,'270',62.49,1,3,NULL),(15,2177900,'1988-01-16 00:00:00',2,1,12,2005,'F','N','SERTAO DO MARUIM','SAO JOSE','SC','124241241216132431543311345124610123147',20510,'266',35.86,1,3,NULL),(15,2177919,'1990-01-04 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241212131431569813592122610132147',5709,'273',59.66,4,3,NULL),(15,2177927,'1988-01-13 00:00:00',4,1,12,2006,'F','N','CENTRO','PATO BRANCO','PR','116241241117471731358819425125142865187',NULL,'707',22.38,2,3,NULL),(15,2177935,'1989-08-13 00:00:00',4,9,11,2006,'F','N','CENTRO','SAO JOAQUIM','SC','124242241215472431255823572112610165092',17631,'1035',40.89,1,3,NULL),(15,2177943,'1988-11-29 00:00:00',2,1,12,2006,'F','N','VILA ALVORADA','IMBITUBA','SC','124241241115471451537319575124610132142',9551,'359',52.68,1,2,1),(15,2177951,'1978-09-07 00:00:00',2,1,7,1998,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','224241241126131421346653495132610137187',12249,'263',48.65,1,2,1),(15,2177960,'1988-01-01 00:00:00',2,1,12,2005,'F','N','JABAQUARA','SAO PAULO','SP','125252253217571731439731272125610122057',9374,'9998',53.00,3,3,NULL),(15,2177986,'1990-07-30 00:00:00',4,1,12,2007,'F','N','USINA','ANTONIO CARLOS','SC','124241248116151431633311292122610133077',12956,'21',47.64,1,2,1),(15,2178001,'1991-06-29 00:00:00',2,5,12,2008,'F','S','BARRANCA','ARARANGUA','SC','124242241215111231456612575122610162072',NULL,'32',48.80,1,3,NULL),(15,2178010,'1990-11-19 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215121431458811492122610123142',NULL,'270',53.90,1,3,NULL),(15,2178028,'1985-07-10 00:00:00',2,8,12,2003,'F','N','ÁGUA VERDE','CURITIBA','PR','116161161135472421633319372124610162147',6092,'9998',58.89,1,2,1),(15,2178036,'1990-12-07 00:00:00',4,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242248215121731688819574122610164097',1271,'270',72.16,1,3,NULL),(15,2178044,'1985-06-01 00:00:00',2,1,12,2002,'F','N','CENTRO','PALHOCA','SC','124241241122374431435616382223130833147',6705,'702',57.73,1,2,1),(15,2178052,'1990-12-25 00:00:00',2,8,12,2007,'M','N','CENTRO','RIO NEGRO','PR','116241241215111431345923375124610127042',2033,'541',69.15,1,3,NULL),(15,2178060,'1990-08-07 00:00:00',4,1,12,2007,'F','N','ARIRIU DA FORMIGA','PALHOCA','SC','124242241215112431534413332122610134193',9789,'270',52.28,1,3,NULL),(15,2178079,'1982-03-16 00:00:00',2,1,12,2000,'F','N','PONTE DE IMARUIM','PALHOCA','SC','124241241126273731328329442334610166037',15590,'592',43.98,1,2,1),(15,2178087,'1990-10-07 00:00:00',2,1,12,2007,'F','N','CENTRO','SAO JOSE','SC','124241241417111431479833575122610124122',9842,'1022',52.19,1,3,NULL),(15,2178095,'1990-07-19 00:00:00',4,1,12,2007,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124242241217111721436913595124610168187',NULL,'9997',20.91,1,3,NULL),(15,2178109,'1989-12-07 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241217151451458933571124610163017',12996,'270',47.60,1,3,NULL),(15,2178117,'1990-07-06 00:00:00',4,1,12,2007,'F','N','CENTRO','ANTONIO CARLOS','SC','124241241116161431433434392121610123077',21263,'21',34.29,1,2,1),(15,2178125,'1989-06-04 00:00:00',2,5,11,2007,'M','N','PIO CORREA','CRICIUMA','SC','124241248215111431576411474122610164092',10559,'213',51.08,1,3,NULL),(15,2178133,'1990-02-22 00:00:00',4,2,11,2007,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241214271431377632575122610148093',8394,'909',54.70,1,3,NULL),(15,2178141,'1988-10-23 00:00:00',2,1,12,2007,'M','N','BELA VISTA I','SAO JOSE','SC','124243241137131431436614392124610157047',19992,'307',36.85,1,3,NULL),(15,2178150,'1990-04-25 00:00:00',4,10,11,2007,'M','N','MONTE CASTELO','TUBARAO','SC','124244241215111431467712375112610128043',11676,'806',49.44,1,3,NULL),(15,2178168,'1990-05-24 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241215121431356647275112610134112',19054,'1022',38.58,1,3,NULL),(15,2178176,'1970-01-25 00:00:00',2,6,12,2002,'F','N','SÃO VICENTE','ITAJAI','SC','124211211127132411533374443344610166187',NULL,'9998',34.19,1,2,1),(15,2178192,'1987-05-10 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241235573412459932295124610132097',NULL,'991',10.05,1,3,NULL),(15,2178206,'1991-04-09 00:00:00',4,4,12,2008,'M','S','SANTA MARIA','CHAPECO','SC','124242241417111431469932572112610134017',NULL,'168',51.47,4,3,NULL),(15,2178214,'1990-07-31 00:00:00',4,7,2,2005,'M','N','CENTRO','CONCORDIA','SC','124241241111371731436613575124610164147',20694,'192',35.51,1,3,NULL),(15,2178222,'1989-01-10 00:00:00',4,3,12,2007,'F','N','CHÁCARA SANTO ANTONI','SAO PAULO','SP','125252251215111431477732575122610157092',NULL,'9998',0.00,1,3,NULL),(15,2178230,'1988-01-11 00:00:00',4,3,12,2006,'F','N','VILA NOVA','SALTO','SP','125252251216371431359919585122141462012',11691,'9998',49.41,1,3,NULL),(15,2178257,'1991-06-15 00:00:00',2,1,12,2007,'M','N','VILASBOAS','CAMPO GRANDE','MS','112123121117111431479833572122610166036',2102,'9998',68.95,1,3,NULL),(15,2178265,'1990-06-18 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124244241216111731534632572114610162117',6597,'1118',57.90,1,3,NULL),(15,2178273,'1988-11-23 00:00:00',4,1,12,2006,'M','N','SAÚDE','SAO PAULO','SP','125252251117472421556611445114610147057',15374,'9998',44.30,1,3,NULL),(15,2178281,'1989-10-15 01:00:00',4,8,12,2007,'F','N','VILA NOVA','JOINVILLE','SC','124244241215121411439833332114610136142',12809,'1016',47.84,1,3,NULL),(15,2178290,'1990-02-10 00:00:00',2,9,11,2007,'M','N','CENTRO','SAO JOAQUIM','SC','124242248215211431586923595125610114077',10304,'9997',51.48,1,3,NULL),(15,2178303,'1991-04-17 00:00:00',4,7,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124243241215111441467716272214610138092',NULL,'270',40.47,1,3,NULL),(15,2178320,'1983-04-10 00:00:00',2,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124244248117111411458933477114610114041',NULL,'269',22.57,1,3,NULL),(15,2178338,'1988-03-16 00:00:00',4,1,12,2005,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','125242241211473431579813172124243263186',3432,'269',64.92,1,3,NULL),(15,2178346,'1990-06-08 00:00:00',4,8,12,2007,'F','N','MALOTA','JUNDIAI','SP','125252251215111421458819575112610162092',4493,'9998',62.27,1,3,NULL),(15,2178354,'1986-06-08 00:00:00',2,1,12,2003,'M','N','CAMPINAS','SAO JOSE','SC','124241241141131411323644241234131026077',19106,'257',38.51,1,2,1),(15,2178362,'1990-09-07 00:00:00',4,4,12,2007,'F','N','SANTA ISABEL','IPUACU','SC','124241241125131431544415572344610133017',22003,'372',32.25,1,2,1),(15,2178370,'1987-10-25 01:00:00',4,1,8,2006,'F','N','ARMAÇÃO PANTANO SUL','FLORIANOPOLIS','SC','124241241125272411416821281324610126112',13828,'9997',46.41,1,2,1),(15,2178389,'1986-06-18 00:00:00',2,1,12,2003,'M','N','SANTANA','PORTO ALEGRE','RS','120251252116571431524333175324610164187',15689,'9998',43.83,4,3,NULL),(15,2178397,'1986-02-23 00:00:00',2,1,12,2003,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241147131452433371385324610124172',9267,'322',53.16,1,3,NULL),(15,2178400,'1990-09-05 00:00:00',2,1,12,2007,'F','N','VILA KURTZ','CACADOR','SC','124242241215131431456511575122510164142',19139,'118',38.45,1,3,NULL),(15,2178419,'1989-07-31 00:00:00',2,4,12,2006,'M','N','CENTRO','ERECHIM','RS','120202201216471731337923575122610167047',12929,'9998',47.67,1,3,NULL),(15,2178427,'1990-01-06 00:00:00',4,2,12,2007,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215272411456814345122610162052',2538,'909',67.50,4,3,NULL),(15,2178435,'1990-03-01 00:00:00',4,8,11,2007,'F','N','JARDIN PARAISO','JOINVILLE','SC','124243241325122432313321382124612413097',NULL,'1016',21.71,1,3,NULL),(15,2178443,'1980-05-04 00:00:00',2,1,12,2000,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124171171124145431345511442134610134092',NULL,'9998',27.16,1,2,1),(15,2178451,'1988-11-13 00:00:00',4,8,12,2005,'F','N','ZONA SETE','MARINGA','PR','116162161216571131459839575112610164097',3832,'9998',63.91,1,3,NULL),(15,2178460,'1987-08-26 00:00:00',2,8,12,2004,'F','N','SANTO ANTONIO','CAJURU','SP','125252251215574411448831572324610134182',1240,'9998',72.30,1,3,NULL),(15,2178478,'1990-08-17 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215411431575712575122610128091',4251,'270',62.80,1,3,NULL),(15,2178486,'1972-04-14 00:00:00',4,1,12,1989,'F','N','JURERÊ','FLORIANOPOLIS','SC','224242241216151751248449492122333241092',7435,'70',56.35,1,3,NULL),(15,2178494,'1987-07-30 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241215214421126811416124230224175',NULL,'956',0.00,1,3,NULL),(15,2178508,'1989-04-30 00:00:00',2,2,12,2006,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241137131411546614341214610128142',NULL,'75',0.00,1,2,1),(15,2178516,'1971-11-13 00:00:00',2,6,11,1994,'M','N','TAGUATINGA NORTE','TAGUATINGA','DF','124071071116111211155849495112340817171',NULL,'9998',0.00,4,3,NULL),(15,2178524,'1990-08-03 00:00:00',2,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215121431468839575124610127042',3852,'270',63.87,1,3,NULL),(15,2178532,'1988-02-19 00:00:00',4,1,11,2005,'F','N','RESIDENCIAL ELDORADO','TREMEMBE','SP','125253251217471431658632475122143233092',12023,'9998',48.95,3,3,NULL),(15,2178540,'1991-12-11 00:00:00',5,8,12,2008,'F','S','VILA NOVA','JOINVILLE','SC','124244241215111411344633232124610132092',NULL,'489',48.31,1,3,NULL),(15,2178559,'1990-08-12 00:00:00',2,8,12,2007,'F','N','VILA JOANA','JUNDIAI','SP','125252251215111421356629574114610162072',12819,'9998',47.83,1,3,NULL),(15,2178575,'1976-09-29 00:00:00',2,1,12,1994,'F','N','JARDIM ELDORADO','PALHOCA','SC','124241248126274411444333345134120836187',12149,'591',48.79,1,3,NULL),(15,2178583,'1989-01-07 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124243241116372431544511344124610121042',16835,'295',42.11,1,3,NULL),(15,2178591,'1974-08-08 00:00:00',4,1,12,1991,'M','N','CENTRO','CANELINHA','SC','224241241217272751356644442235121462047',NULL,'262',0.00,1,3,NULL),(15,2178605,'1991-09-11 00:00:00',4,3,12,2008,'F','S','CENTRO','BALNEARIO CAMBORIU','SC','124202241215111431534679571124610167046',NULL,'270',4.82,1,3,NULL),(15,2178613,'1990-10-20 00:00:00',4,2,11,2007,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241217131431368932575124610131056',5935,'71',59.19,1,3,NULL),(15,2178621,'1990-12-04 00:00:00',2,1,12,2007,'F','N','BELA VISTA I','SAO JOSE','SC','124212241216121511433613575124610143147',17464,'1036',41.13,3,3,NULL),(15,2178630,'1987-03-06 00:00:00',4,8,11,2004,'M','N','ATIRADORES','JOINVILLE','SC','124242241211112412488833431115221514092',12522,'486',48.26,1,3,NULL),(15,2178664,'1988-07-13 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124164161217372411156514482324610136072',4715,'9998',61.71,1,3,NULL),(15,2178672,'1984-12-19 00:00:00',2,8,12,2002,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162168212513711524412533111610112161',NULL,'9998',0.00,1,3,NULL),(15,2178680,'1990-01-12 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECO','SC','124242241215371431357622292122610127187',NULL,'168',0.00,1,3,NULL),(15,2178699,'1989-01-23 00:00:00',4,5,11,2006,'F','N','CENTRO','CRICIUMA','SC','124242241215472131436611575124610135117',18518,'210',39.44,1,3,NULL),(15,2178702,'1989-07-20 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215273231356823375124231267015',5192,'260',60.72,1,3,NULL),(15,2178710,'1990-12-07 00:00:00',4,1,12,2007,'M','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116252161217111431378834575122610167042',NULL,'9998',0.00,4,3,NULL),(15,2178729,'1989-06-15 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241217472411558612274122231866147',480,'270',76.98,1,3,NULL),(15,2178737,'1990-10-26 00:00:00',2,6,12,2007,'F','N','GUABIRUBA SUL','GUABIRUBA','SC','124241241235131331536519575124610123092',19777,'109',37.28,1,3,NULL),(15,2178745,'1990-11-22 00:00:00',2,4,12,2007,'M','N','PIONEIROS','ITA','SC','124241241115131441438924572122610127052',13893,'384',46.32,4,2,1),(15,2178753,'1988-12-21 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241216352431353432575114222364012',6692,'770',57.75,1,3,NULL),(15,2178761,'1991-05-24 00:00:00',4,1,11,2008,'M','S','TAPERA','FLORIANOPOLIS','SC','124243241115111431548923575124610134097',NULL,'271',60.71,2,3,NULL),(15,2178770,'1988-07-16 00:00:00',4,1,12,2005,'F','N','PARQUE BANDEIRANTES','RIBEIRAO PRETO','SP','125253251335511431446829375124610122092',16417,'9998',42.73,1,3,NULL),(15,2178788,'1989-03-02 00:00:00',4,8,12,2006,'M','N','CENTRO','TUBARAO','SC','124242241215373432486632475124231438042',4785,'806',61.56,1,3,NULL),(15,2178800,'1989-07-14 00:00:00',4,1,11,2007,'M','N','SANTO ANTÔNIO DE LIS','FLORIANOPOLIS','SC','124242241215111441628933572112610167042',6023,'266',59.03,1,3,NULL),(15,2178818,'1991-02-13 00:00:00',2,1,12,2008,'F','S','CENTRO','PORTO UNIAO','SC','124244241411131431446913581122610125097',NULL,'635',49.08,1,3,NULL),(15,2178826,'1989-09-12 00:00:00',4,8,12,2007,'M','N','NOBA BRASILIA','JOINVILLE','SC','124242241215111331548712572122610167052',NULL,'1063',25.57,3,3,NULL),(15,2178834,'1990-02-08 00:00:00',4,1,12,2006,'M','N','JARDIM SULMAT','DOURADOS','MS','112122121215472431458913575112610132057',2896,'9998',66.46,4,3,NULL),(15,2178850,'1988-07-26 00:00:00',4,1,12,2005,'F','N','VILA BARUEL','SAO PAULO','SP','125251251116471431336761572324610122187',14834,'9998',44.97,4,2,1),(15,2178869,'1990-05-21 00:00:00',2,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241215112431556732572324610134147',9988,'1038',51.95,1,3,NULL),(15,2178877,'1989-12-29 00:00:00',2,1,12,2007,'M','N','FLORESTA','SAO JOSE','SC','124242241212121331346623575124610117042',NULL,'1036',24.45,1,3,NULL),(15,2178885,'1987-08-28 00:00:00',2,1,12,2004,'M','N','CENTRO','SANTA MARIA','RS','120204201217571731336833175122610167057',116,'9998',81.23,1,3,NULL),(15,2178893,'1990-04-07 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241215271431469931575124610134042',8451,'262',54.60,1,3,NULL),(15,2178907,'1991-09-09 00:00:00',4,1,11,2008,'F','S','SAMBAQUI','FLORIANOPOLIS','SC','124241241215171431338634575122610138147',NULL,'270',24.76,1,3,NULL),(15,2178915,'1990-10-05 00:00:00',4,8,11,2007,'F','N','FLORESTA','JOINVILLE','SC','124242241212111431237724572124610125072',4269,'486',62.76,1,3,NULL),(15,2178923,'1989-08-20 00:00:00',4,9,12,2007,'M','N','PERTOPOLIS','LAGES','SC','124243241211111441448619241332610111162',NULL,'1065',9.35,1,3,NULL),(15,2178931,'1989-11-06 00:00:00',4,1,12,2006,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241211472431156923571122610163072',3532,'855',64.68,1,3,NULL),(15,2178940,'1990-06-02 00:00:00',4,1,12,2007,'M','N','CACUPE','FLORIANOPOLIS','SC','124242241215121431349831575114610164012',5355,'270',60.38,1,3,NULL),(15,2178958,'1989-03-28 00:00:00',4,1,12,2006,'M','N','CENTRO','ARAPONGAS','PR','117162161235472431459913572124610114092',3386,'9998',65.03,1,3,NULL),(15,2178966,'1989-05-11 00:00:00',2,1,12,2006,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242241225372431658349595114610163182',19408,'270',38.00,1,3,NULL),(15,2179008,'1989-02-28 00:00:00',4,8,6,2007,'M','N','SAGUAÇU','JOINVILLE','SC','124242241217311431438812342122130227072',NULL,'487',32.22,1,3,NULL),(15,2179016,'1989-12-31 00:00:00',2,1,12,2007,'M','N','CENTRO','GAROPABA','SC','124241241145131431433319292121610127097',NULL,'322',22.22,2,1,1),(15,2179024,'1989-05-15 00:00:00',2,1,11,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124243241215151531639712572124610168046',21058,'269',34.74,1,3,NULL),(15,2179040,'1991-07-22 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215111712459923476124610136175',NULL,'1022',58.38,1,3,NULL),(15,2179059,'1989-08-28 00:00:00',4,8,12,2006,'F','N','CENTRO','JARAGUA DO SUL','SC','124241241215472421366923574124610164147',13411,'441',47.01,1,3,NULL),(15,2179067,'1991-08-15 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431353332571125610132122',NULL,'270',56.77,1,3,NULL),(15,2179075,'1987-11-11 00:00:00',2,1,11,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241416273411457712575114610117052',14632,'100',45.23,1,3,NULL),(15,2179083,'1988-06-22 00:00:00',2,1,12,2005,'F','N','CENTRO','LAGES','SC','124242241215574441346712572324610162017',3368,'499',65.10,4,3,NULL),(15,2179091,'1990-10-23 00:00:00',2,4,11,2007,'F','N','MATINHO','XANXERE','SC','124241241216121432324614572122610122097',4170,'1081',62.98,1,3,NULL),(15,2179105,'1982-12-16 00:00:00',4,1,12,2001,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117341431536621315114610167112',20484,'281',35.91,2,1,1),(15,2179113,'1989-06-20 00:00:00',2,5,12,2006,'M','N','SÃO LUIZ','CRICIUMA','SC','124244241217472431456913395124131432012',560,'210',76.35,1,3,NULL),(15,2179121,'1990-01-17 00:00:00',4,1,11,2007,'M','N','JARDIM UMUARAMA','SAO PAULO','SP','125252251215151431556612375124610161097',6129,'9998',58.80,3,3,NULL),(15,2179130,'1989-10-08 00:00:00',4,8,11,2007,'F','N','ATIRADORES','JOINVILLE','SC','124243241317111431641624275125610167057',NULL,'1016',17.88,3,3,NULL),(15,2179148,'1984-09-15 00:00:00',2,1,12,2001,'M','N','JARDIM PLANALTO','GOIANIA','GO','109074071417341431646932321322240337046',21567,'9998',33.59,2,3,NULL),(15,2179156,'1990-08-29 00:00:00',4,10,11,2007,'M','N','VILA MOEMA','TUBARAO','SC','124242241215111441689839475122610127052',3292,'807',65.28,1,3,NULL),(15,2179164,'1988-10-25 00:00:00',4,1,7,2007,'M','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124241247217151731458613472114610167047',20777,'9999',35.35,1,3,NULL),(15,2179172,'1989-12-05 00:00:00',2,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111431458734375121610147072',11204,'738',50.15,1,3,NULL),(15,2179180,'1990-12-04 00:00:00',2,4,11,2007,'F','N','MATINHO','XANXERE','SC','124241241415131411546314185121610127012',8837,'1081',53.95,4,3,NULL),(15,2179199,'1983-11-19 00:00:00',2,1,6,2006,'M','N','DONA WANDA','SAO JOSE','SC','124241248127471732413334242214610138193',18975,'9997',38.71,1,3,NULL),(15,2179202,'1985-05-01 00:00:00',4,1,12,2003,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124241241116374421346613575122130217047',NULL,'307',25.62,1,2,1),(15,2179210,'1989-09-17 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431357729575124610124147',2115,'226',68.92,1,3,NULL),(15,2179229,'1990-04-21 00:00:00',2,2,12,2007,'F','N','VILA NOVA','BLUMENAU','SC','124241241217271431469519372122610126097',14270,'72',45.77,1,3,NULL),(15,2179237,'1988-05-14 00:00:00',4,1,12,2007,'F','N','MORRO DOS BUSS','SAO BONIFACIO','SC','124241241125161231324411372324610127072',NULL,'702',24.36,1,3,NULL),(15,2179245,'1990-04-24 00:00:00',2,1,11,2007,'F','N','CENTRO','CANELINHA','SC','124244241215111431443611172121610124147',NULL,'948',0.00,1,3,NULL),(15,2179253,'1985-05-13 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243247327133431326729342124610124187',19592,'9999',37.63,1,3,NULL),(15,2179261,'1987-06-05 00:00:00',4,1,12,2005,'M','N','BOMFIM','PORTO ALEGRE','RS','120203201311571211636829591115610166172',NULL,'9998',34.07,1,3,NULL),(15,2179270,'1990-02-07 00:00:00',4,7,11,2006,'M','N','J DAS HORTÊNCIAS','JOACABA','SC','124242241217372431468932592114610122042',6189,'454',58.66,1,3,NULL),(15,2179288,'1986-10-04 00:00:00',4,1,12,2004,'F','N','ASA NORTE','BRASILIA','DF','107072071237574751569639574112610142027',3806,'9998',63.96,1,3,NULL),(15,2179296,'1989-02-20 00:00:00',4,4,12,2006,'M','N','COLATO','XANXERE','SC','124244241215371431358613572115610167052',17540,'836',41.04,1,3,NULL),(15,2179300,'1983-04-17 00:00:00',4,1,12,2000,'M','N','VILA POMPEIA','SAO PAULO','SP','125252251216571731488912271122141237013',NULL,'9998',0.00,1,3,NULL),(15,2179318,'1988-01-05 00:00:00',4,1,6,2006,'M','N','CENTRO','PALHOCA','SC','124243247216131431343623445122610127047',21327,'589',34.13,1,3,NULL),(15,2179326,'1989-05-09 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242248215372431338639482224610128122',5437,'262',60.20,1,3,NULL),(15,2179334,'1988-10-19 00:00:00',2,1,12,2006,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124242241215472431466813592124610121172',7415,'1022',56.38,1,3,NULL),(15,2179342,'1990-08-01 00:00:00',4,10,12,2007,'F','N','CENTRO','BRACO DO NORTE','SC','124242241215151431444812125124610168197',17130,'806',41.67,1,3,NULL),(15,2179350,'1989-05-06 00:00:00',4,8,12,2006,'F','N','BATEL','CURITIBA','PR','116162161211471451488832572122610164182',NULL,'9998',0.00,1,3,NULL),(15,2179369,'1990-04-23 00:00:00',2,1,12,2007,'F','N','CENTRO','ANTONIO CARLOS','SC','124241241112272131534612272124610137047',2819,'21',66.70,1,2,1),(15,2179377,'1991-02-07 00:00:00',2,1,12,2007,'M','N','FLORESTA','SAO JOSE','SC','124244241417131431338933245121610137047',16055,'1036',43.29,1,3,NULL),(15,2179393,'1988-07-02 00:00:00',2,1,12,2006,'M','N','COSTA DA LAGOA','FLORIANOPOLIS','SC','124241241312132431533341212125610117047',10159,'270',51.71,1,3,NULL),(15,2179407,'1981-03-30 00:00:00',2,1,12,1998,'F','N','CENTRO','FLORIANOPOLIS','SC','224242241447574411246653492125133244017',4681,'63',61.80,1,3,NULL),(15,2179415,'1989-10-16 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431388823575115610124062',3972,'270',63.54,1,3,NULL),(15,2179423,'1990-01-04 00:00:00',4,6,12,2007,'M','N','CENTRO','MAFRA','SC','124164161417131431357812575122610138092',20252,'9998',36.33,1,3,NULL),(15,2179431,'1989-01-21 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241217373431237831575114610161077',5172,'988',60.77,1,3,NULL),(15,2179440,'1986-10-06 00:00:00',2,9,12,2004,'F','N','CENTRO','GUARACI','SP','125251251214471431336821371322142032192',9063,'9998',53.55,1,3,NULL),(15,2179458,'1990-08-06 00:00:00',4,1,12,2007,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241216111431558812576122610123182',7083,'1051',56.99,1,3,NULL),(15,2179466,'1988-12-31 00:00:00',4,3,12,2006,'M','N','JD SAO PAULO','AMERICANA','SP','125254131215471411178711481324610122117',NULL,'9998',0.00,1,3,NULL),(15,2179474,'1991-01-05 00:00:00',4,1,12,2007,'M','N','VILA TOLENTINO','CASCAVEL','PR','116161161215111431356514442112610164052',9785,'9998',52.30,1,3,NULL),(15,2179482,'1983-05-25 00:00:00',4,1,12,2000,'M','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124243241114153441678612325124222964182',4948,'307',61.20,1,3,NULL),(15,2179490,'1989-05-20 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215572451478813474124610115145',780,'270',74.84,1,3,NULL),(15,2179504,'1989-08-26 00:00:00',2,1,12,2006,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124202201217472431358811575124610167097',15878,'9998',43.56,1,3,NULL),(15,2179512,'1988-07-22 00:00:00',2,8,12,2006,'M','N','BIGORRILHO','CURITIBA','PR','116162161215571432288734575124610167057',7081,'9998',57.00,1,3,NULL),(15,2179520,'1988-05-14 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124241241114131732655341114322610162147',22203,'507',31.47,1,3,NULL),(15,2179539,'1989-10-05 00:00:00',2,9,12,2006,'M','N','INTERIOR','CORREIA PINTO','SC','124241241112471731411316572324610168047',7481,'201',56.26,1,2,1),(15,2179547,'1990-07-19 00:00:00',2,1,11,2007,'F','N','ARIRIÚ','PALHOCA','SC','124242241216111431626628575324610121072',19136,'989',38.46,1,3,NULL),(15,2179555,'1976-05-28 00:00:00',2,1,12,2001,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124181188124133431223444441334610137142',NULL,'9998',28.91,4,2,1),(15,2179563,'1990-11-05 00:00:00',4,1,12,2007,'F','N','CENTRO','TAPEJARA','PR','116164161214111431448614172124610122197',8425,'9998',54.65,1,3,NULL),(15,2179571,'1989-08-28 00:00:00',4,1,12,2006,'F','N','BELA VISTA','FRAIBURGO','SC','116242161215473431489632574114610167047',9125,'9998',53.42,1,3,NULL),(15,2179598,'1983-09-03 00:00:00',4,3,12,2000,'M','N','JD SÃO SILVESTRE','MARINGA','PR','116161161146371421446414242122441867182',14866,'9998',44.94,1,2,1),(15,2179601,'1980-02-04 00:00:00',2,1,2,1999,'F','N','ITACORUBI','FLORIANOPOLIS','SC','224241248116272431263353335124610111181',4126,'306',63.13,1,2,1),(15,2179610,'1988-02-23 00:00:00',4,1,12,2004,'M','N','VILA PARAISO','CACADOR','SC','124242241215374431469832345122130228062',15143,'270',44.61,1,3,NULL),(15,2179628,'1988-09-18 00:00:00',2,1,12,2006,'M','N','PQ DAS LARANJEIRAS','GOIANIA','GO','109094091417472431589933571122610127182',9272,'9998',53.16,1,3,NULL),(15,2179636,'1983-10-31 00:00:00',2,1,12,2001,'M','N','COSTA DA LAGOA','FLORIANOPOLIS','SC','124241241121374431521311382324610127047',5978,'307',59.12,4,3,NULL),(15,2179644,'1990-10-04 00:00:00',4,8,11,2007,'M','N','SAGUAÇÚ','JOINVILLE','SC','124242241217111431369912572122610137052',26,'486',84.14,1,3,NULL),(15,2179652,'1990-12-05 00:00:00',4,1,12,2007,'F','N','BOQUEIRÃO','SANTOS','SP','125252251215111431367834575122610124047',4552,'9998',62.14,1,3,NULL),(15,2179660,'1989-01-26 00:00:00',2,1,11,2006,'M','N','CIDADE BAIXA','PORTO ALEGRE','RS','120202201211372441443933391334610137012',7599,'9998',56.03,1,3,NULL),(15,2179679,'1989-07-13 00:00:00',4,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215372531366813575124610167182',13994,'1022',46.16,1,3,NULL),(15,2179687,'1991-06-12 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124162241217151431478931571122610121192',7398,'262',56.42,1,3,NULL),(15,2179695,'1985-09-06 00:00:00',2,1,12,2002,'F','N','ASA NORTE','BRASILIA','DF','107203201116572451549733574124242826187',5931,'9998',59.20,1,3,NULL),(15,2179709,'1989-12-01 00:00:00',4,1,11,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241215112731468933572112610167041',1044,'270',73.27,1,3,NULL),(15,2179717,'1991-06-22 00:00:00',4,1,12,2008,'F','S','IPIRANGA','SAO JOSE','SC','124242241212371731466923575122610162045',NULL,'1118',49.58,1,3,NULL),(15,2179725,'1987-05-10 00:00:00',4,8,12,2004,'M','N','VISTA ALEGRE','CURITIBA','PR','116162161216572451489911471122610167127',NULL,'9998',0.00,1,3,NULL),(15,2179733,'1991-01-03 00:00:00',4,1,12,2008,'F','S','ALTO BIGUAÇU','BIGUACU','SC','124242248215151731526916174124610161147',NULL,'270',67.01,1,3,NULL),(15,2179741,'1990-07-14 00:00:00',4,1,12,2008,'M','S','COQUEIROS','FLORIANOPOLIS','SC','124242241212111431436824592124610137067',NULL,'270',17.84,1,3,NULL),(15,2179750,'1990-07-01 00:00:00',4,1,10,2007,'M','N','AGUA VERDE','CURITIBA','PR','116162161217121731568631575112610167047',NULL,'9998',0.00,1,3,NULL),(15,2179768,'1989-02-16 00:00:00',4,1,5,2007,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','124242247217151731558812572112610121142',NULL,'9999',0.00,1,3,NULL),(15,2179776,'1974-01-14 00:00:00',2,1,12,2006,'F','N','CAMINHO NOVO','PALHOCA','SC','124241245122131411224443495124610126142',NULL,'9997',23.10,1,3,NULL),(15,2179792,'1986-01-15 00:00:00',2,6,12,2004,'F','N','SANTO ANTONIO','CAMPO GRANDE','MS','112121128411371431428823472224142864142',NULL,'9998',45.45,1,3,NULL),(15,2179806,'1989-03-05 00:00:00',4,1,12,2006,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124242241336272732533611575124610128077',10769,'1074',50.78,4,3,NULL),(15,2179814,'1989-07-12 00:00:00',2,4,12,2006,'F','N','SANTA RITA','SAO MIGUEL DOESTE','SC','124241241116152431324419572114610123057',17359,'757',41.30,1,2,1),(15,2179822,'1989-12-22 00:00:00',2,1,12,2007,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215112631458823575114610126017',20282,'1022',36.26,1,3,NULL),(15,2179830,'1990-11-26 00:00:00',4,1,12,2007,'M','N','PEDRA BRANCA','PALHOCA','SC','124242241215371451469933575122610167041',5112,'1011',60.89,1,3,NULL),(15,2179849,'1989-02-20 00:00:00',4,1,7,2007,'M','N','IPIRANGA','SAO JOSE','SC','124241241117271431326628572124610124017',1295,'306',72.09,1,2,1),(15,2179857,'1987-12-25 00:00:00',5,1,11,2005,'F','N','FLOR DE NAPOLIS','SAO JOSE','SC','124241244117131431563623446124611323147',NULL,'727',19.05,1,3,NULL),(15,2179865,'1990-12-17 00:00:00',2,10,12,2007,'F','N','CENTRO','JAGUARUNA','SC','124241241117131731437313572122610114142',NULL,'804',0.00,3,3,NULL),(15,2179873,'1990-11-09 00:00:00',2,10,12,2007,'F','N','CORRIDAS','ORLEANS','SC','124241241215111431537912572124610133147',19867,'581',37.08,1,3,NULL),(15,2179881,'1989-08-14 00:00:00',4,1,12,2006,'F','N','CENTRO','IBIUNA','SP','125252251215471411538833575124610166077',5324,'9998',60.46,1,3,NULL),(15,2179890,'1991-05-11 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215121431458714572122610127092',115,'270',81.23,1,3,NULL),(15,2179903,'1990-10-25 00:00:00',4,2,12,2007,'M','N','VELHA','BLUMENAU','SC','124241241216121531448714575124610157017',NULL,'1018',21.67,1,3,NULL),(15,2179911,'1987-11-30 00:00:00',4,8,12,2004,'M','N','CENTRO','CAMPO MOURAO','PR','116163161417573411448734585124142315052',5475,'9998',60.11,1,3,NULL),(15,2179920,'1987-04-29 00:00:00',4,1,12,2007,'M','N','TATUAPÉ','SAO PAULO','SP','125251257147141431428711315115610164047',21944,'9998',32.47,1,2,1),(15,2179938,'1991-09-27 00:00:00',4,10,11,2007,'F','N','CENTRO','TUBARAO','SC','124242241215121431458732575122610164122',NULL,'807',20.79,1,3,NULL),(15,2179946,'1992-05-06 00:00:00',2,1,12,2009,'M','S','CENTRO','ANTONIO CARLOS','SC','124241241215111731448614572114610167042',NULL,'270',36.46,1,3,NULL),(15,2179954,'1990-02-18 00:00:00',4,8,12,2007,'F','N','VILA LALAU','JARAGUA DO SUL','SC','124241241215131431458614245122610121187',14976,'441',44.82,1,3,NULL),(15,2179962,'1990-01-03 00:00:00',2,1,12,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244241217471431578831572114610137132',11106,'270',50.29,1,3,NULL),(15,2179970,'1990-05-18 00:00:00',2,4,12,2007,'M','N','CENTRO','PONTE SERRADA','SC','124244241215271431368832475112610124032',10959,'1071',50.52,1,3,NULL),(15,2179989,'1978-09-02 00:00:00',2,3,12,2003,'M','N','CHACARA SANTO ANTONI','SAO PAULO','SP','125251251127131411422244252124610117047',NULL,'9998',0.00,4,2,1),(15,2179997,'1988-06-06 00:00:00',4,1,12,2005,'F','N','ASA SUL','BRASILIA','DF','107132071215572431236663574122610133092',4635,'9998',61.94,2,3,NULL),(15,2180006,'1988-04-08 00:00:00',2,1,9,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','124142241211132431438613432114610127187',NULL,'1022',27.25,4,3,NULL),(15,2180014,'1990-07-15 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124163161117111431439914572121610117012',10228,'9998',51.59,1,3,NULL),(15,2180022,'1986-01-14 00:00:00',2,1,12,2007,'M','N','RUBEM BERTA','PORTO ALEGRE','RS','120201201121371211625611473114610164047',NULL,'9998',0.00,2,3,NULL),(15,2180030,'1990-01-16 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241248215112431436651575112610167047',20098,'1022',36.62,1,3,NULL),(15,2180049,'1986-07-22 00:00:00',2,8,12,2003,'F','N','CENTRO','ANAURILANDIA','MS','116121121115571411446613571222610166147',4843,'9998',61.43,1,2,1),(15,2180057,'1991-03-23 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241212111731568812595124610164092',NULL,'270',52.30,1,3,NULL),(15,2180065,'1990-10-04 00:00:00',4,4,12,2007,'M','N','PERPÉTUO SOCORRO','SAO LOURENCO DO OESTE','SC','124243161117111231448513474114610164017',NULL,'9998',0.00,4,3,NULL),(15,2180073,'1989-03-07 00:00:00',2,1,12,2006,'M','N','LAGAO DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242248215472432567912492122610127092',9372,'262',53.00,1,3,NULL),(15,2180081,'1990-02-13 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241217111711468933494124610164185',19147,'1048',38.44,1,3,NULL),(15,2180090,'1984-07-16 00:00:00',4,1,12,2001,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124111111136372431313379492114610144197',8896,'9998',53.84,2,2,1),(15,2180103,'1991-02-13 00:00:00',4,1,12,2007,'F','N','CENTRO','TIJUCAS','SC','124242241214171431437711585122610163042',20496,'948',35.88,1,3,NULL),(15,2180111,'1990-08-09 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124241241212131431459914572124610128182',NULL,'185',28.32,1,3,NULL),(15,2180120,'1990-10-30 00:00:00',4,1,11,2008,'M','S','KOBRASSOL','SAO JOSE','SC','124243241215111431636511372122610166187',NULL,'723',46.85,1,3,NULL),(15,2180138,'1989-10-27 00:00:00',4,5,12,2006,'F','N','COMERCIÁRIO','CRICIUMA','SC','124242241211472431458811591122610142132',1940,'210',69.46,1,3,NULL),(15,2180154,'1990-12-31 00:00:00',4,1,11,2007,'M','N','ARIRIÚ','PALHOCA','SC','124241241335111431554811176114610167142',1103,'269',73.00,1,3,NULL),(15,2180162,'1990-12-18 00:00:00',4,1,12,2007,'M','N','UNIVERSITARIO','TIJUCAS','SC','124245241336131431335634575221610164042',18818,'783',38.96,1,3,NULL),(15,2180170,'1991-01-06 00:00:00',2,1,12,2007,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241112131431638933582222610136017',NULL,'146',25.33,1,2,1),(15,2180189,'1990-02-09 00:00:00',2,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124204241215111431566613572122610144142',10884,'951',50.64,1,3,NULL),(15,2180200,'1990-01-06 00:00:00',4,1,11,2007,'M','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124242241215111431659631472112610162142',2857,'270',66.57,1,3,NULL),(15,2180219,'1990-06-21 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241235372431448714342122610167052',3917,'266',63.68,1,3,NULL),(15,2180227,'1987-09-21 00:00:00',4,1,11,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431558813572125610166187',1404,'262',71.63,1,3,NULL),(15,2180243,'1990-03-22 00:00:00',2,1,11,2007,'M','N','COLÔNIA SANTANA','SAO JOSE','SC','124242241215111431343533591124610137057',11130,'1074',50.26,1,3,NULL),(15,2180251,'1990-09-04 00:00:00',4,1,12,2007,'M','N','FAZENDA DO SACRAMENT','AGUAS MORNAS','SC','124241241125161431524335252322610138185',20278,'12',36.27,1,2,1),(15,2180260,'1987-05-20 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215574411588813372122131457052',2586,'262',67.36,1,3,NULL),(15,2180278,'1990-11-11 00:00:00',2,7,11,2007,'F','N','NAZARÉ','CONCORDIA','SC','124093241215171411353512575122610141052',18794,'1000',38.99,1,3,NULL),(15,2180286,'1990-04-26 00:00:00',4,3,11,2007,'M','N','CENTRO','CAMBE','PR','116162161217171431488912595122610137182',4755,'9998',61.62,1,3,NULL),(15,2180294,'1985-03-23 00:00:00',2,5,12,2002,'F','N','JARDIM ANGÉLICA','CRICIUMA','SC','124241244116375431434619185224130641147',11566,'228',49.61,1,2,1),(15,2180308,'1990-03-10 00:00:00',4,1,12,2007,'M','N','CENTRO','CIANORTE','PR','116162161215151431569913485111610167052',6256,'9998',58.53,1,3,NULL),(15,2180316,'1990-02-19 00:00:00',2,1,11,2007,'F','N','GRANJA VIANA','COTIA','SP','125252251217111431468812571122610161117',20541,'9998',35.82,1,3,NULL),(15,2180324,'1989-06-27 00:00:00',4,1,11,2006,'F','N','JD PIRACUAMA','SAO PAULO','SP','125254251216132411348823382124610161147',NULL,'9998',28.82,1,3,NULL),(15,2180340,'1988-12-16 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241317272711646877191324610162017',3210,'1098',65.50,1,3,NULL),(15,2180359,'1992-01-28 00:00:00',2,4,12,2007,'F','N','CENTRO','PONTE SERRADA','SC','124241241416161451437923595122610138147',14518,'1071',45.38,4,3,NULL),(15,2180367,'1987-03-10 00:00:00',2,1,12,2005,'M','N','TATUAPÉ','SAO PAULO','SP','125251251127141411435619295122140247117',NULL,'9998',16.86,1,3,NULL),(15,2180375,'1990-12-17 00:00:00',4,10,11,2007,'M','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124241241215111431448939572122610167042',NULL,'806',49.79,1,3,NULL),(15,2180383,'1989-05-14 00:00:00',4,1,12,2006,'M','N','CENTRO','CARAZINHO','RS','120202201217471731566616494122610167112',3382,'9998',65.06,1,3,NULL),(15,2180391,'1990-04-19 00:00:00',4,1,11,2007,'F','N','PARQUE ALTO TAQUARAL','CAMPINAS','SP','125252258212111711458811572124610117077',8450,'9998',54.60,1,3,NULL),(15,2180405,'1989-12-11 00:00:00',2,1,12,2007,'M','N','SCHARLAU','SAO LEOPOLDO','RS','120202201217371431267711575124610127052',14353,'9998',45.64,1,3,NULL),(15,2180421,'1985-03-29 00:00:00',4,1,12,2003,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124252251217141421336611445122233234095',19840,'7',37.14,1,3,NULL),(15,2180430,'1991-08-01 00:00:00',4,1,11,2009,'F','S','CAPOEIRAS','FLORIANOPOLIS','SC','124242248215111441427724191124610123142',NULL,'266',34.59,1,3,NULL),(15,2180448,'1990-10-16 00:00:00',2,1,12,2007,'M','N','JD SÃO PAULO','JACAREI','SP','125251251146141421546413572124610122197',12634,'9998',48.09,1,2,1),(15,2180464,'1989-01-31 00:00:00',2,1,12,2006,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241215372431336739572124610125052',9760,'1022',52.33,1,3,NULL),(15,2180472,'1989-09-04 00:00:00',4,1,11,2006,'M','N','JARDIM','CONCORDIA','SC','124244241215312441253427575124610162012',5444,'1000',60.19,1,3,NULL),(15,2180480,'1990-12-05 00:00:00',4,8,12,2007,'F','N','AGUA VERDE','CURITIBA','PR','116162161215111431489933574112610137187',NULL,'9998',0.00,1,3,NULL),(15,2180499,'1989-11-18 00:00:00',4,5,11,2007,'F','N','MICHEL','CRICIUMA','SC','124242241215121711436619576124610122173',10463,'210',51.24,1,3,NULL),(15,2180502,'1986-08-26 00:00:00',4,1,12,2003,'M','N','CENTRO','VERA CRUZ','RS','120202201217571411466813572145610144092',8562,'9998',54.42,1,3,NULL),(15,2180510,'1988-12-29 00:00:00',2,1,12,2007,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215473722546122582214610163057',8670,'262',54.22,1,3,NULL),(15,2180529,'1990-01-16 00:00:00',2,1,12,2007,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241241435111431334614286124610127145',22262,'1023',31.24,1,3,NULL),(15,2180545,'1991-06-01 00:00:00',4,8,12,2008,'F','S','AMÉRICA','JOINVILLE','SC','124242241217111431529614472122610127072',NULL,'491',24.38,1,3,NULL),(15,2180553,'1982-05-20 00:00:00',4,1,12,1999,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124251251217573411228934441224130223172',7232,'9998',56.73,1,3,NULL),(15,2180588,'1990-03-09 00:00:00',2,1,12,2007,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241127141531638619392124610134057',21518,'307',33.69,2,1,1),(15,2180596,'1977-04-29 00:00:00',2,1,12,1995,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','224212213227154411256653414122241641182',13207,'9998',47.31,1,3,NULL),(15,2180600,'1984-12-05 00:00:00',4,1,12,2002,'M','N','ESTREITO','FLORIANOPOLIS','SC','124244241215273431323623235122610164053',6531,'266',58.02,1,3,NULL),(15,2180618,'1989-04-24 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215473431488933575112610165097',230,'270',79.56,1,3,NULL),(15,2180642,'1990-03-04 00:00:00',4,1,12,2007,'M','N','SÃO SEBASTIÃO','CAMPO MOURAO','PR','116162161216111431479614475112610132017',10944,'9998',50.55,1,3,NULL),(15,2180650,'1990-08-02 00:00:00',4,6,12,2008,'M','S','JARDIM MALUCHE','BRUSQUE','SC','124242248212111431448812392122610127047',NULL,'109',36.30,1,3,NULL),(15,2180669,'1991-03-24 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217112431579933432124610124075',1493,'270',71.22,1,3,NULL),(15,2180677,'1989-10-03 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215372431439714575114610127017',16746,'1022',42.26,1,3,NULL),(15,2180685,'1956-07-22 00:00:00',2,1,12,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','224243247227141512343351112112610131197',NULL,'9999',22.70,1,3,NULL),(15,2180693,'1989-12-12 00:00:00',4,8,12,2007,'F','N','UBATUBA','SAO FRANCISCO DO SUL','SC','124241241415111431536611142124610168142',21589,'992',33.53,1,3,NULL),(15,2180707,'1986-02-10 00:00:00',4,8,12,2003,'F','N','MANGAL','SOROCABA','SP','125251251316574751658629575115610164187',351,'9998',78.05,1,3,NULL),(15,2180715,'1985-10-03 00:00:00',4,1,12,2003,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124251251117372731426614472314610167042',1877,'9998',69.68,1,3,NULL),(15,2180723,'1990-11-24 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211131431347823571124610117052',3758,'270',64.06,4,3,NULL),(15,2180731,'1987-09-04 00:00:00',2,1,12,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124242241117373711345333491124610166187',15914,'307',43.52,1,3,NULL),(15,2180740,'1990-01-13 00:00:00',2,4,12,2007,'F','N','CENTRO','NOVA ERECHIM','SC','124241241315141451366823295124610123147',13608,'185',46.74,1,3,NULL),(15,2180758,'1987-09-28 00:00:00',4,3,6,2004,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124123121116574451358633375122610123072',194,'9998',80.03,1,3,NULL),(15,2180766,'1989-07-17 00:00:00',4,10,12,2006,'M','N','CENTRO','TUBARAO','SC','124242241216273451565839575124221467052',3019,'809',66.09,1,3,NULL),(15,2180774,'1977-11-09 00:00:00',4,1,12,1997,'M','N','BARREIROS','SAO JOSE','SC','124241248126131441533623442112130822062',20204,'295',36.41,1,3,NULL),(15,2180782,'1990-09-28 00:00:00',4,1,12,2007,'F','N','JADIM ESTRELA','FOZ DO IGUACU','PR','116162161216111431459931282122610112142',2391,'9998',67.95,1,3,NULL),(15,2180790,'1991-12-30 00:00:00',2,1,12,2008,'F','S','TRINDADE','FLORIANOPOLIS','SC','124242241212111431368933372122610167097',NULL,'270',48.47,1,3,NULL),(15,2180804,'1989-11-17 00:00:00',4,6,12,2007,'M','N','CENTRO','ITAJAI','SC','124242241215111431568833575121610167045',15317,'392',44.38,1,3,NULL),(15,2180812,'1989-09-06 00:00:00',4,3,11,2007,'F','N','CENTRO','ITAPEMA','SC','124204241215211431329933472124610161157',12814,'403',47.84,1,3,NULL),(15,2180820,'1988-05-14 00:00:00',4,1,12,2005,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124251241211513431236611575124610147091',4764,'262',61.60,1,3,NULL),(15,2180839,'1990-08-14 00:00:00',2,4,12,2007,'M','N','CENTRO','PATO BRANCO','PR','116162161117371431447714572124610167047',16819,'9998',42.14,1,3,NULL),(15,2180847,'1989-08-20 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124243241315472231468923571124610127117',5361,'1022',60.36,1,3,NULL),(15,2180855,'1991-10-11 00:00:00',4,1,11,2008,'F','S','FAZENDA STO ANTONIO','SAO JOSE','SC','124242241215111431456614575122610134095',NULL,'1011',40.43,3,3,NULL),(15,2180863,'1990-11-27 00:00:00',4,5,11,2007,'F','N','BORTOLUZZI','NOVA VENEZA','SC','124241241215111431636932125124610164147',NULL,'880',25.34,1,3,NULL),(15,2180871,'1990-10-05 00:00:00',4,4,12,2007,'M','N','SANTA HELENA','RONDA ALTA','RS','120201201117141331535712212121610137047',NULL,'9998',25.34,4,2,1),(15,2180880,'1990-02-18 00:00:00',2,8,12,2007,'F','N','NAÇÕES','FRAIBURGO','SC','124241241415111431434631572125610121147',7763,'885',55.76,1,3,NULL),(15,2180901,'1991-03-12 00:00:00',2,1,6,2008,'F','S','FORQUILHINHAS','SAO JOSE','SC','124242248217131431539613272125610128142',NULL,'1074',50.81,1,3,NULL),(15,2180928,'1990-09-04 00:00:00',2,1,11,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124243241212111711556619275124610168187',18813,'1048',38.96,1,3,NULL),(15,2180936,'1989-10-04 00:00:00',4,1,12,2007,'M','N','JARDIM AMÉRICA','BAURU','SP','125252251211111431468834575111610167052',4450,'9998',62.39,1,3,NULL),(15,2180944,'1987-02-21 00:00:00',2,1,7,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241422133731526644245134610167077',22395,'489',30.42,1,3,NULL),(15,2180952,'1980-10-07 00:00:00',2,1,7,2002,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124243241131271422236949492343610118187',22165,'9999',31.66,1,3,NULL),(15,2180960,'1990-07-23 00:00:00',2,8,12,2007,'M','N','GUANABARA','JOINVILLE','SC','124244241216111731345414575114610162192',NULL,'456',29.55,1,3,NULL),(15,2180979,'1991-07-04 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241217111431478923472122610123097',NULL,'270',41.63,1,3,NULL),(15,2180987,'1989-02-07 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124241241111161412623311211342610114042',13882,'287',46.34,1,3,NULL),(15,2180995,'1990-01-20 00:00:00',4,3,12,2007,'M','N','AGUA VERDE','CURITIBA','PR','116162161215421432469831575124610134122',NULL,'9998',0.00,3,3,NULL),(15,2181002,'1990-07-07 00:00:00',5,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241217111431431829375122610144147',17033,'9997',41.83,1,3,NULL),(15,2181010,'1989-02-06 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241125373431338613442224610128147',11144,'356',50.24,1,2,1),(15,2181037,'1991-03-20 00:00:00',2,1,12,2008,'F','S','ESTREITO','ALFREDO WAGNER','SC','124241241217111731458911575124610113147',NULL,'270',26.43,1,3,NULL),(15,2181053,'1991-02-28 00:00:00',4,7,12,2007,'F','N','CENTRO OESTE','CATANDUVAS','SC','124241241117371431448911592124610127142',14088,'161',46.05,1,3,NULL),(15,2181061,'1989-08-01 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124162161217252451489819575114610162093',NULL,'9998',0.00,1,3,NULL),(15,2181070,'1989-02-19 00:00:00',4,1,7,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241217371431579934575122610137052',5746,'273',59.57,1,3,NULL),(15,2181088,'1990-05-16 00:00:00',4,4,12,2007,'M','N','ROSA LINDA','CORDILHEIRA ALTA','SC','124241241115131431426634382234610116057',19666,'197',37.49,3,2,1),(15,2181096,'1985-10-20 00:00:00',4,1,12,2003,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241216152441589911572122231066041',1091,'270',73.06,1,3,NULL),(15,2181100,'1990-05-17 00:00:00',4,9,12,2007,'F','N','SÃO PELEGRINO','CAXIAS DO SUL','RS','120202201215471431489914575122610134052',11811,'9998',49.24,1,3,NULL),(15,2181118,'1987-01-12 00:00:00',4,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124241241136371431456313432124610115157',NULL,'257',25.86,1,2,1),(15,2181126,'1983-07-20 00:00:00',2,1,12,2000,'F','N','PETRÓPOLIS','PASSO FUNDO','RS','120201201116153731448819275122232424097',8572,'9998',54.41,1,2,1),(15,2181134,'1989-05-02 00:00:00',2,1,12,2006,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242241216273431436622242124610126187',13915,'1036',46.29,1,3,NULL),(15,2181142,'1990-01-18 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241145431712523514276224610145147',16885,'285',42.03,1,3,NULL),(15,2181150,'1989-04-05 00:00:00',2,1,12,2006,'F','N','JARDIM QUISSISANA','POCOS DE CALDAS','MG','113132131216471431549714175122610162097',16535,'9998',42.54,1,3,NULL),(15,2181169,'1989-09-08 00:00:00',4,1,11,2006,'M','N','FAZENDA STO ÂNTONIO','SAO JOSE','SC','124242241215372431448732275122231062082',10667,'723',50.92,1,3,NULL),(15,2181177,'1986-11-03 00:00:00',2,4,12,2003,'M','N','SAMBUGARO','PATO BRANCO','PR','116161161116574431434819575124241427047',150,'9998',80.66,1,2,1),(15,2181185,'1990-09-24 00:00:00',2,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241217111432467712572122610117112',NULL,'724',22.62,1,3,NULL),(15,2181193,'1991-04-16 00:00:00',4,10,11,2007,'F','N','SÃO MARTINHO','TUBARAO','SC','124241248215132451446634575122610136192',16122,'806',43.19,1,3,NULL),(15,2181207,'1974-12-24 00:00:00',2,1,12,1996,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241245126135421223174181214133267112',NULL,'307',0.00,2,1,1),(15,2181215,'1991-03-18 00:00:00',2,6,12,2008,'M','S','SANTA RITA','BRUSQUE','SC','124244241212151431556933575112610137047',NULL,'981',56.88,1,3,NULL),(15,2181223,'1986-11-18 00:00:00',4,1,6,2007,'M','N','BALNEARIO','FLORIANOPOLIS','SC','124242247237271431667613475112610138187',18793,'9999',38.99,4,3,NULL),(15,2181231,'1991-08-01 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217151431369823572122610162117',14302,'9997',45.73,1,3,NULL),(15,2181258,'1989-04-04 00:00:00',4,1,12,2006,'M','N','ACLIMAÇÃO','SAO PAULO','SP','125252251217371431468834571125610167112',NULL,'9998',0.00,1,3,NULL),(15,2181266,'1990-06-02 00:00:00',4,1,11,2007,'M','N','CENTRO','ERECHIM','RS','120203201217271411348616576122610116052',2152,'9998',68.77,1,3,NULL),(15,2181274,'1990-08-15 00:00:00',4,1,12,2007,'F','N','SANTA TEREZINHA','VACARIA','RS','120202201216111331526611595122610161057',NULL,'9998',24.56,1,3,NULL),(15,2181282,'1986-09-17 00:00:00',4,5,12,2003,'F','N','CENTRO','OSORIO','RS','120201201117571431433964346324610121147',2968,'9998',66.25,1,2,1),(15,2181290,'1990-01-26 00:00:00',2,10,12,2007,'F','N','MORROTES','TUBARAO','SC','124241241217111431339733472114610162147',4754,'797',61.62,1,3,NULL),(15,2181304,'1991-04-04 00:00:00',4,1,11,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124241241215111231357814572122610167057',NULL,'270',54.62,1,3,NULL),(15,2181312,'1991-06-18 00:00:00',4,1,12,2008,'F','S','AREIAS','SAO JOSE','SC','124242241215111431643219595122610148147',NULL,'1118',34.27,1,3,NULL),(15,2181320,'1991-06-23 00:00:00',4,8,12,2008,'M','S','ILHA DA FIGUEIRA','JARAGUA DO SUL','SC','124242241215111431539912262121610134182',NULL,'491',54.49,1,3,NULL),(15,2181339,'1989-01-17 00:00:00',2,5,7,2007,'F','N','COMERCIÁRIO','CRICIUMA','SC','124241241216371331558514571122610147147',11587,'995',49.57,1,3,NULL),(15,2181355,'1990-04-22 00:00:00',4,1,12,2007,'M','N','ALPHAVILE FLAMBOYANT','GOIANIA','GO','109092091217111431489813571122610164042',NULL,'9998',0.00,1,3,NULL),(15,2181363,'1988-09-17 00:00:00',4,1,6,2007,'M','N','CAMPINAS','SAO JOSE','SC','124244247427141431338632345122610167072',NULL,'9999',24.26,1,3,NULL),(15,2181371,'1990-12-18 00:00:00',2,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215111451539923572122610123057',14158,'737',45.95,4,3,NULL),(15,2181380,'1987-01-19 00:00:00',5,1,12,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241124134411521412183341222927042',5545,'169',59.98,1,2,1),(15,2181398,'1983-07-25 00:00:00',2,1,12,2000,'F','N','CAMPINAS','SAO JOSE','SC','124244241216574421353331475124333222181',2622,'270',67.25,1,3,NULL),(15,2181401,'1991-07-10 00:00:00',4,1,12,2008,'M','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241217111431657912575124610117117',NULL,'262',40.97,1,3,NULL),(15,2181410,'1990-10-01 00:00:00',4,6,12,2007,'F','N','PASSO','MAFRA','SC','124164161217111431468831575112610117012',14613,'9998',45.26,1,3,NULL),(15,2181428,'1991-01-23 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215272431448814572112610128142',9629,'262',52.54,1,3,NULL),(15,2181436,'1979-06-26 00:00:00',4,1,12,1996,'M','N','CENTRO','FLORIANOPOLIS','SC','124201201117133411237743435123220234047',NULL,'9998',0.00,1,2,1),(15,2181444,'1990-12-05 00:00:00',4,1,12,2008,'F','S','RIO TAVARES','FLORIANOPOLIS','SC','124242241217151711459923575122610127095',NULL,'883',58.69,1,3,NULL),(15,2181452,'1987-10-21 00:00:00',2,1,12,2004,'M','N','EXPOSIÇÃO','CAXIAS DO SUL','RS','120201201137371411216844341313610168197',NULL,'9998',0.00,1,2,1),(15,2181460,'1991-03-18 00:00:00',2,1,11,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124161161117161431448634575122610137172',15908,'9998',43.53,1,3,NULL),(15,2181479,'1989-06-21 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215472431468811572124610123092',2781,'1022',66.79,1,3,NULL),(15,2181487,'1988-05-11 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124162241216473741588813445114133264187',20864,'262',35.17,1,3,NULL),(15,2181495,'1990-09-25 00:00:00',4,2,12,2007,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241215121431648839574122610163072',NULL,'87',0.00,1,3,NULL),(15,2181509,'1991-12-12 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241217111432469819572115610127095',NULL,'262',64.34,1,3,NULL),(15,2181517,'1988-12-28 00:00:00',4,8,12,2006,'M','N','AMÉRIA','JOINVILLE','SC','124242241217172731469919575124231467042',6813,'491',57.52,1,3,NULL),(15,2181525,'1988-01-29 00:00:00',4,9,12,2005,'M','N','BOM RETIRO','JOINVILLE','SC','124241241116472211548832215224231434052',4683,'498',61.80,1,2,1),(15,2181533,'1967-08-26 00:00:00',2,1,12,1985,'M','N','SAMBAQUI','FLORIANOPOLIS','SC','224243246112155441266743331122333222187',NULL,'306',0.00,1,3,NULL),(15,2181541,'1988-03-02 00:00:00',2,1,12,2005,'F','N','JARDIM RAIO DO SOL','ALVARES MACHADO','SP','125251251116131411636612145324240526097',9606,'9998',52.58,4,3,NULL),(15,2181550,'1990-04-24 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242248217371431539813271125610128142',11848,'1074',49.18,1,3,NULL),(15,2181576,'1987-09-27 00:00:00',4,4,6,2007,'M','N','CENTRO','CONCORDIA','SC','124242247224141531446934575112610127073',NULL,'9999',10.18,4,3,NULL),(15,2181584,'1984-04-14 00:00:00',2,1,12,2002,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124243241317133431536621395114610147187',18393,'1003',39.66,1,3,NULL),(15,2181592,'1987-11-21 00:00:00',2,1,9,2007,'M','N','BARREIROS','SAO JOSE','SC','124241241312132431225364384324610164185',4535,'9999',62.16,1,3,NULL),(15,2181606,'1990-09-21 00:00:00',4,1,11,2007,'M','N','ARMAÇÃO','FLORIANOPOLIS','SC','124242241215151441548714575124610127016',11180,'262',50.19,1,3,NULL),(15,2181614,'1990-09-04 00:00:00',2,1,11,2007,'F','N','CENTRO','FRANCISCO BELTRAO','PR','116161161415321431366823475122610166142',15778,'9998',43.71,1,3,NULL),(15,2181622,'1989-04-18 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124244248435111431456413572124610165192',21183,'943',34.47,1,3,NULL),(15,2181630,'1990-04-27 00:00:00',4,4,11,2007,'F','N','CENTRO','GAURAMA','RS','120201201215111431558813571124610128147',16398,'9998',42.75,1,3,NULL),(15,2181649,'1990-02-19 00:00:00',4,1,12,2007,'M','N','VILA OLÍMPIA','SAO PAULO','SP','125252251215111431479814275114610127042',1503,'9998',71.18,1,3,NULL),(15,2181657,'1991-10-09 00:00:00',4,1,11,2008,'F','S','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217112731377814582124610117112',NULL,'270',35.23,1,3,NULL),(15,2181665,'1989-05-10 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217472411368711475124610162095',3182,'270',65.59,1,3,NULL),(15,2181673,'1990-08-07 00:00:00',4,1,12,2007,'F','N','AREIAS','SAO JOSE','SC','124241241212111441434934572114610163047',10452,'1022',51.26,1,3,NULL),(15,2181681,'1990-04-23 00:00:00',2,4,12,2007,'F','N','CENTRO','FORMOSA DO SUL','SC','124241161216151431346613574122610146147',12292,'9998',48.58,1,3,NULL),(15,2181690,'1990-06-09 00:00:00',4,1,12,2007,'F','N','VILA LIBERDADE','JUNDIAI','SP','125252251216111431467811575122610123146',7719,'9998',55.83,1,3,NULL),(15,2181703,'1990-12-10 00:00:00',2,1,11,2008,'F','S','CARIANOS','FLORIANOPOLIS','SC','124242241215171431445634442122610117057',NULL,'262',53.18,1,3,NULL),(15,2181720,'1991-07-07 00:00:00',4,3,11,2008,'M','S','MEIA PRAIA','ITAPEMA','SC','124244241214121431448923475122610162192',NULL,'403',47.40,1,3,NULL),(15,2181738,'1990-02-03 00:00:00',2,1,12,2007,'F','N','RATONES','FLORIANOPOLIS','SC','124242241215151411338831246124610127147',9663,'1048',52.47,1,3,NULL),(15,2181746,'1989-02-26 00:00:00',4,1,11,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242248215473431578712575122610123142',3117,'270',65.80,1,3,NULL),(15,2181754,'1991-01-28 00:00:00',2,1,12,2007,'F','N','BEL MAR','PALHOCA','SC','124242241215121231536933572122610114013',16365,'1011',42.80,1,3,NULL),(15,2181762,'1991-04-07 00:00:00',4,8,11,2008,'F','S','ANITA GARIBALDI','JOINVILLE','SC','124242241215111731464812122112610162187',NULL,'491',42.14,1,3,NULL),(15,2181770,'1989-08-13 00:00:00',4,1,12,2006,'M','N','SANTANA','SAO PAULO','SP','125252251216471731236624272125610167047',7158,'9998',56.86,1,3,NULL),(15,2181789,'1990-05-03 00:00:00',2,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124253241217371431226628575121610164017',17237,'861',41.51,1,3,NULL),(15,2181800,'1991-04-01 00:00:00',4,5,12,2007,'F','N','COMERCIÁRIO','CRICIUMA','SC','124242241211111431458811571122610126132',15265,'226',44.45,1,3,NULL),(15,2181819,'1990-04-21 00:00:00',2,5,12,2007,'F','N','VILA SÃO JOSÉ','ARARANGUA','SC','124243241215121431436953572124610122142',11511,'970',49.69,1,3,NULL),(15,2181827,'1990-09-01 00:00:00',2,5,11,2007,'M','N','FIGUEIRA','JACINTO MACHADO','SC','124241241435131431456933345121610167042',NULL,'420',0.00,1,3,NULL),(15,2181835,'1989-06-07 00:00:00',4,1,12,2006,'F','N','IPIRANGA','SAO JOSE','SC','124243248237373441436521572124610144187',11754,'1022',49.32,1,3,NULL),(15,2181843,'1991-03-31 00:00:00',4,1,11,2007,'M','N','PONTA DA PRAIA','SANTOS','SP','125202251217371431359814572111610167045',3342,'9998',65.15,1,3,NULL),(15,2181851,'1988-08-03 00:00:00',2,1,12,2005,'F','N','CURITIBA','CURITIBA','PR','116161161237511411436315274124610143072',10646,'9998',50.95,1,3,NULL),(15,2181878,'1990-03-30 00:00:00',2,1,12,2008,'M','S','PICADAS DO SUL','SAO JOSE','SC','124241241215151251533639586124610127047',NULL,'1048',43.78,1,3,NULL),(15,2181886,'1988-11-18 00:00:00',4,1,12,2005,'F','N','BELA VISTA','SAO JOSE','SC','124242241217573431387319172124232464142',7960,'270',55.44,1,3,NULL),(15,2181894,'1989-06-28 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241137131431433313342124610143047',20497,'307',35.88,1,2,1),(15,2181908,'1981-03-21 00:00:00',4,1,12,1998,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241217153741429813491124321066187',NULL,'262',0.00,1,3,NULL),(15,2181916,'1990-01-05 00:00:00',4,6,12,2007,'F','N','CORDEIROS','ITAJAI','SC','124241243115111431525814345324610136142',NULL,'129',22.65,4,3,NULL),(15,2181924,'1988-03-28 00:00:00',4,1,12,2005,'F','N','CAMPO GRANDE','SANTOS','SP','125253251216371431533312136121610157117',19338,'9998',38.10,1,3,NULL),(15,2181932,'1990-03-12 00:00:00',2,1,11,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241217111731248814572124610168112',2598,'266',67.33,1,3,NULL),(15,2181940,'1987-07-08 00:00:00',4,1,7,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124243241115473751426819475114610168192',16786,'521',42.19,3,3,NULL),(15,2181959,'1990-04-23 00:00:00',4,1,12,2007,'M','N','VILA CRUZEIRO','ITATIBA','SP','125254251217111431237729296115610164197',17452,'9998',41.15,1,3,NULL),(15,2181967,'1990-10-05 00:00:00',4,1,12,2007,'M','N','RIO BRANCO','PORTO ALEGRE','RS','120112201217111731466916574124610168097',2801,'9998',66.74,4,3,NULL),(15,2181975,'1990-11-11 00:00:00',4,8,12,2008,'F','S','VILA RAU','JARAGUA DO SUL','SC','124242246211171432458712372124610166143',NULL,'1105',48.09,1,3,NULL),(15,2181983,'1990-01-29 00:00:00',4,1,12,2007,'M','N','JARDIM VITÓRIA','ITABUNA','BA','105052051216111431469713575112610167042',2900,'9998',66.45,1,3,NULL),(15,2181991,'1991-05-03 00:00:00',4,1,12,2008,'M','S','ABRAÃO','FLORIANOPOLIS','SC','124242241236111421258829575112610167052',NULL,'270',47.57,1,3,NULL),(15,2182009,'1988-10-25 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241117471432568814575122610127052',15919,'306',43.51,4,3,NULL),(15,2182017,'1989-10-24 00:00:00',2,1,12,2006,'M','N','CHACARA DAS PEDRAS','PORTO ALEGRE','RS','120202201217471531547816372114610128112',18223,'9998',39.94,1,3,NULL),(15,2182025,'1990-05-04 00:00:00',4,8,11,2007,'M','N','VILA ISABEL','CURITIBA','PR','116162161217371431478813592122610124016',8060,'9998',55.26,1,3,NULL),(15,2182033,'1985-12-24 00:00:00',2,4,12,2003,'M','N','INTERIOR','NONOAI','RS','120201201112131712423336572324230847047',NULL,'9998',11.59,2,3,NULL),(15,2182041,'1990-10-20 00:00:00',4,8,12,2007,'M','N','AGUA VERDE','CURITIBA','PR','116252161216471532447832295114610167052',NULL,'9998',0.00,1,3,NULL),(15,2182050,'1991-05-14 00:00:00',4,1,12,2008,'M','S','KOBRASOL','SAO JOSE','SC','124243241315111421228534595125610164012',NULL,'737',46.63,1,3,NULL),(15,2182068,'1989-07-01 00:00:00',4,1,11,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124244241215472751376821574124610124142',5987,'270',59.10,1,3,NULL),(15,2182076,'1990-08-11 00:00:00',4,8,11,2007,'F','N','CENTRO','CASCAVEL','PR','116162161215111431456512572112610164142',NULL,'9998',0.00,1,3,NULL),(15,2182084,'1988-10-16 01:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372731458632445122610123117',6335,'270',58.39,1,3,NULL),(15,2182092,'1989-11-04 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217111431458823575124610167042',5909,'262',59.24,1,3,NULL),(15,2182106,'1990-05-29 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241217111431366832572112610134171',13057,'499',47.50,1,3,NULL),(15,2182114,'1987-06-23 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215574431469914372115610165147',30,'270',83.92,1,3,NULL),(15,2182122,'1988-06-04 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211573431489813572122610122185',4134,'262',63.10,1,3,NULL),(15,2182130,'1990-04-17 00:00:00',4,1,11,2007,'F','N','PARAÍSO','SAO PAULO','SP','125252251217111411458833474122610166017',5669,'9998',59.73,1,3,NULL),(15,2182149,'1988-09-29 00:00:00',4,8,12,2005,'F','N','GLÓRIA','JOINVILLE','SC','624241241111131411126451385123133225097',NULL,'467',24.08,1,2,1),(15,2182157,'1987-04-19 00:00:00',2,1,12,2004,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124203201517472411126822244124243227077',11743,'9998',49.33,1,3,NULL),(15,2182165,'1990-12-15 00:00:00',4,2,12,2007,'F','N','RIO MORTO','INDAIAL','SC','124241241215111731448713295122610136092',NULL,'986',11.76,1,3,NULL),(15,2182173,'1990-03-19 00:00:00',4,6,12,2007,'M','N','CENTRO','ITAJAI','SC','124244241215111431478713475122610168145',5392,'9997',60.29,1,3,NULL),(15,2182181,'1990-06-12 00:00:00',4,6,12,2007,'M','N','CENTRO','MONTE SANTO DE MINAS','MG','113251131117131431523329182321610138147',NULL,'9998',0.00,1,2,1),(15,2182190,'1990-12-22 00:00:00',4,9,12,2007,'F','N','GLÓRIA','VACARIA','RS','120202201215371431427312576122610137047',NULL,'9998',25.77,1,3,NULL),(15,2182203,'1989-12-16 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215122431488831492112610137047',11161,'270',50.22,1,3,NULL),(15,2182211,'1957-03-21 00:00:00',2,1,12,1975,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','524251251127133431432249295122121632171',6041,'9998',58.99,1,2,1),(15,2182238,'1989-07-04 00:00:00',4,1,12,2007,'M','N','LAGO NORTE','LAGO NORTE','DF','107072071217151431677832575122610127132',NULL,'9998',0.00,1,3,NULL),(15,2182246,'1990-04-21 00:00:00',2,9,12,2007,'F','N','PETRÓPOLIS','VACARIA','RS','120204201217271421448813576122610164077',19819,'9998',37.18,1,3,NULL),(15,2182254,'1990-04-18 00:00:00',4,10,11,2007,'F','N','DEHON','TUBARAO','SC','124242241217271431349933572122610125077',6388,'806',58.28,1,3,NULL),(15,2182262,'1989-11-11 00:00:00',4,1,12,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215111531356733585114610164012',6592,'270',57.91,1,3,NULL),(15,2182270,'1989-10-17 00:00:00',2,10,12,2007,'F','N','CENTRO','LAGUNA','SC','124242248211111431368823591112610128182',18378,'525',39.68,4,1,2),(15,2182289,'1988-10-11 00:00:00',4,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217573731468913572124610162185',2378,'270',68.00,1,3,NULL),(15,2182297,'1990-04-15 00:00:00',2,1,11,2007,'F','N','NOSSA SRA DO ROSÁRIO','SAO JOSE','SC','124241241215112431544411572122610137187',6719,'723',57.70,1,3,NULL),(15,2182300,'1990-11-14 00:00:00',4,6,11,2007,'M','N','CENTRO','ITAJAI','SC','124242241211151432239831415125610127057',12671,'394',48.03,1,3,NULL),(15,2182319,'1985-02-11 00:00:00',2,8,11,2003,'M','N','CENTRO','CHAPADAO DO LAGEADO','SC','124241241126131431326619392114131468057',NULL,'165',0.00,1,2,1),(15,2182327,'1990-09-29 00:00:00',4,1,11,2007,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124242241215112231458811573124610166197',2402,'270',67.90,1,3,NULL),(15,2182343,'1985-05-10 00:00:00',2,1,11,2002,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217372411438611382114610167027',13198,'270',47.33,4,3,NULL),(15,2182351,'1990-04-18 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241117131431434311115122610164141',21830,'592',32.86,1,2,1),(15,2182378,'1990-01-11 00:00:00',4,2,11,2007,'F','N','SALTO DO NORTE','BLUMENAU','SC','124242241217111531559711585122610162147',14336,'87',45.67,1,3,NULL),(15,2182386,'1990-04-29 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431479834575112610132097',10258,'262',51.55,1,3,NULL),(15,2182394,'1990-02-25 00:00:00',2,3,12,2007,'F','N','BERGER','CACADOR','SC','124244241216111431558613572122610147057',21424,'118',33.91,1,3,NULL),(15,2182408,'1991-03-10 00:00:00',4,1,11,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215111431628614342122610124017',10335,'270',51.44,1,3,NULL),(15,2182416,'1990-02-10 00:00:00',4,1,12,2007,'M','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','624242241217271411468833575112610126182',3168,'883',65.64,1,3,NULL),(15,2182424,'1988-12-15 00:00:00',4,5,11,2006,'M','N','SANTA BÁRBARA','CRICIUMA','SC','124242241215472431448913572122610114017',5550,'880',59.97,1,3,NULL),(15,2182432,'1990-05-23 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241215371511454823292122610162172',3644,'1011',64.38,1,3,NULL),(15,2182440,'1989-07-30 00:00:00',4,1,12,2006,'F','N','ROÇADO','SAO JOSE','SC','124241241135271411445319381122610121062',NULL,'729',23.77,1,3,NULL),(15,2182459,'1989-03-28 00:00:00',4,1,12,2006,'F','N','FAZENDA STO ANTÔNIO','SAO JOSE','SC','124244241212472431433924572324610127097',6371,'737',58.31,1,3,NULL),(15,2182467,'1990-02-22 00:00:00',4,4,12,2007,'M','N','CENTRO','CURITIBA','PR','116162168217121231188912575112610167092',10092,'9998',51.79,1,3,NULL),(15,2182483,'1989-11-21 00:00:00',4,5,11,2007,'M','N','FIGUEIRA','URUSSANGA','SC','124242241215111432566939395112610138072',6509,'820',58.06,1,3,NULL),(15,2182491,'1990-04-01 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431468913575122610126142',673,'270',75.61,1,3,NULL),(15,2182505,'1989-03-07 00:00:00',4,1,11,2006,'F','N','SERRARIA','SAO JOSE','SC','124241241227132431633314441124610138187',18224,'262',39.93,4,3,NULL),(15,2182513,'1983-05-17 00:00:00',2,1,12,2000,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215472421232221475124121412197',7265,'210',56.67,1,3,NULL),(15,2182521,'1987-02-04 00:00:00',2,1,11,2004,'F','N','BARREIROS','SAO JOSE','SC','124242241237373431547632242112132024182',7181,'1036',56.83,1,3,NULL),(15,2182530,'1988-09-09 00:00:00',2,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124241241215473431556413572124610127092',1478,'1022',71.29,1,3,NULL),(15,2182548,'1988-04-03 00:00:00',2,1,12,2005,'F','N','CENTRO','ERECHIM','RS','120202201216574451533612572224610134042',4910,'9998',61.29,1,3,NULL),(15,2182556,'1989-12-29 00:00:00',4,1,12,2007,'F','N','SETOR BUENO','GOIANIA','GO','109092091217111431589922572122610167092',NULL,'9998',0.00,4,3,NULL),(15,2182564,'1991-04-26 00:00:00',4,10,11,2007,'F','N','CENTRO','TUBARAO','SC','124242241217111431359623575122610121192',NULL,'807',0.00,1,3,NULL),(15,2182572,'1988-04-20 00:00:00',2,6,11,2005,'F','N','BARRA DO RIO','ITAJAI','SC','124242241216573431448931594125610142087',4586,'391',62.03,1,3,NULL),(15,2182580,'1990-10-04 00:00:00',4,8,12,2007,'F','N','CENTRO','CORUPA','SC','124243241216111211457934575122610118147',13120,'441',47.43,1,3,NULL),(15,2182599,'1984-11-11 00:00:00',2,8,12,2003,'M','N','ITAUM COSTA','JOINVILLE','SC','124241241136231412434613381124610124017',17158,'492',41.63,1,2,1),(15,2182602,'1990-03-06 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215112411458933575112610164047',9682,'270',52.45,1,3,NULL),(15,2182610,'1989-10-31 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215371431346653572124610127032',10576,'269',51.06,1,3,NULL),(15,2182629,'1987-09-07 00:00:00',4,6,12,2004,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241215575431468814572112610144043',2948,'394',66.30,1,3,NULL),(15,2182637,'1991-02-07 00:00:00',4,1,12,2008,'M','S','JARDIM PARATI','MARILIA','SP','125252251215111731479914572122610127042',NULL,'9998',40.14,1,3,NULL),(15,2182645,'1987-09-25 00:00:00',4,1,12,2005,'M','N','JARDIM PILAR','SANTO ANDRE','SP','125252251215472732148824573112610162057',140,'9998',80.79,1,3,NULL),(15,2182653,'1989-01-25 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215513431489911575122610117097',932,'270',73.89,1,3,NULL),(15,2182661,'1988-10-22 00:00:00',2,1,12,2005,'F','N','CAMPO DUNA','GAROPABA','SC','124241241147371431424429472314610114147',17312,'322',41.38,2,1,1),(15,2182670,'1988-03-22 00:00:00',2,1,12,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124204241417272421446614342114121867017',6832,'738',57.48,1,3,NULL),(15,2182688,'1991-03-09 00:00:00',4,8,12,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124242241217111231469811572122610127142',22347,'491',30.75,1,3,NULL),(15,2182696,'1987-09-01 00:00:00',2,1,6,2006,'M','N','JURERE','FLORIANOPOLIS','SC','124242241215472411369633575112610167137',21833,'270',32.84,1,3,NULL),(15,2182700,'1989-04-21 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124202201316372431678313275122610141142',NULL,'9998',29.57,1,3,NULL),(15,2182718,'1990-04-22 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217112751668939392122610157077',6341,'270',58.38,1,3,NULL),(15,2182726,'1989-08-17 00:00:00',2,8,11,2007,'F','N','JARDIM PANCERA','TOLEDO','PR','116161161317471451347419275121610134187',13482,'9998',46.91,1,3,NULL),(15,2182734,'1990-04-22 00:00:00',4,8,12,2007,'F','N','CENTRO','CORUPA','SC','124241248335421431336627395124610137147',21769,'442',33.05,4,3,NULL),(15,2182742,'1990-03-27 00:00:00',4,1,12,2007,'F','N','ASA NORTE','BRASILIA','DF','107072071217111431548734575112610153021',10565,'9998',51.07,1,3,NULL),(15,2182750,'1991-03-03 00:00:00',2,1,12,2008,'F','S','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241216171431423411572124610137092',NULL,'299',51.74,1,3,NULL),(15,2182769,'1990-05-23 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215112231558713375112610164117',8885,'738',53.85,1,3,NULL),(15,2182777,'1990-01-03 00:00:00',4,1,11,2006,'F','N','VILA GÉA','SAO PAULO','SP','125252251217571441448611271122610124097',5397,'9998',60.29,1,3,NULL),(15,2182785,'1990-06-02 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241217111431546711211114610166192',9494,'269',52.78,1,3,NULL),(15,2182793,'1990-04-19 00:00:00',4,1,11,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124242241215421431467832576114610144141',1527,'270',71.08,1,3,NULL),(15,2182807,'1990-02-13 00:00:00',4,8,11,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241215411431369613372122610122142',13163,'491',47.38,1,3,NULL),(15,2182815,'1990-07-04 00:00:00',4,1,12,2007,'M','N','JD MARINGA','SAO JOSE DOS CAMPOS','SP','125252251215111431488834572111610167122',10340,'9998',51.44,1,3,NULL),(15,2182823,'1991-01-26 00:00:00',4,4,12,2007,'M','N','LA SALLE','PATO BRANCO','PR','116162161215131431347813371124610167067',7152,'9998',56.88,1,3,NULL),(15,2182831,'1982-04-30 00:00:00',2,1,12,2001,'M','N','INGLESES','ALAGOINHAS','BA','124203241126132431335619485114130224057',NULL,'295',18.67,1,3,NULL),(15,2182840,'1989-04-16 00:00:00',4,8,12,2006,'M','N','JD VIRGINA BIANCA','SAO PAULO','SP','125252251215371431459813571122242062112',4675,'9998',61.82,1,3,NULL),(15,2182858,'1989-11-14 00:00:00',4,5,12,2007,'M','N','CENTRO','CRICIUMA','SC','124242241217111231468811571122610166051',6027,'211',59.02,1,3,NULL),(15,2182866,'1989-09-29 00:00:00',2,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242241215472411458613575124610165027',6638,'723',57.83,1,3,NULL),(15,2182874,'1990-04-20 00:00:00',4,5,11,2007,'F','N','SAO LUIZ','CRICIUMA','SC','124242241215121431226524572114610123017',18932,'210',38.79,1,3,NULL),(15,2182882,'1990-05-24 00:00:00',1,2,12,2007,'M','N','JARDIM AMÉRICA','RIO DO SUL','SC','124242241215131711457931195121610167127',NULL,'959',25.87,1,3,NULL),(15,2182890,'1990-05-26 00:00:00',2,4,12,2007,'M','N','INTERIOR','MARAVILHA','SC','124241241115131431535923345124610128057',NULL,'551',0.00,1,2,1),(15,2182904,'1988-12-21 00:00:00',2,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116162161316571731446639575112610167142',16697,'9998',42.33,1,3,NULL),(15,2182912,'1991-04-25 00:00:00',4,1,11,2007,'F','N','JARDIM ITÁLIA','CUIABA','MT','111112111217111131289933575122610112172',15047,'9998',44.74,1,3,NULL),(15,2182920,'1989-06-09 00:00:00',4,2,12,2007,'M','N','AZAMBUJA','BRUSQUE','SC','124244241215271411466832575122610166172',3655,'107',64.35,1,3,NULL),(15,2182939,'1989-06-12 00:00:00',4,6,12,2006,'M','N','EMBARÉ','SANTOS','SP','125252251215411431548834572122610167047',1769,'9998',70.12,1,3,NULL),(15,2182947,'1990-08-05 00:00:00',4,8,11,2007,'F','N','CENTRO','PATO BRANCO','PR','116164161416111431548732575124610137072',NULL,'9998',0.00,1,3,NULL),(15,2182955,'1988-07-02 00:00:00',4,1,12,2005,'M','N','SÃO JOSÉ','PASSO FUNDO','RS','120201206115371431534413175124610137052',13405,'9998',47.02,1,2,1),(15,2182963,'1990-06-30 00:00:00',2,1,12,2007,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANOPOLIS','SC','124241241115151431456413575124610117147',NULL,'281',15.41,1,2,1),(15,2182971,'1989-05-15 00:00:00',4,1,12,2006,'M','N','SANTA CECÍLIA','PORTO ALEGRE','RS','120202201217371412448839575124610168047',NULL,'9998',0.00,1,3,NULL),(15,2182998,'1989-12-18 00:00:00',2,4,8,2007,'F','N','CENTRO','CHAPECO','SC','124241242112131431323336342324610122147',18674,'135',39.20,1,2,1),(15,2183005,'1991-01-29 00:00:00',4,7,11,2007,'F','N','IMPERIAL','CONCORDIA','SC','124242241216122411343829575112610144017',6203,'1000',58.63,1,3,NULL),(15,2183013,'1989-03-04 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241111111651126723175124610164091',NULL,'257',26.91,1,3,NULL),(15,2183021,'1988-10-29 00:00:00',2,8,12,2006,'M','N','PORTÃO','CURITIBA','PR','116163161334471711548819592124610166047',14458,'9998',45.49,2,1,2),(15,2183030,'1974-06-04 00:00:00',4,1,12,1991,'M','N','ITACORUBI','FLORIANOPOLIS','SC','224241241146134421353343135122322367177',3862,'641',63.83,1,2,1),(15,2183048,'1990-08-18 00:00:00',2,1,12,2007,'M','N','SANTA MONICA','SERTANOPOLIS','PR','116162161217151731463839495121610124092',14101,'9998',46.03,1,3,NULL),(15,2183056,'1989-11-21 00:00:00',4,3,12,2007,'F','N','VILA PRIMAVERA','SAO PAULO','SP','125251251116471431446823572124610126173',5963,'9998',59.14,4,2,1),(15,2183072,'1989-04-01 00:00:00',4,1,7,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124244241417271431358613275124610168092',17715,'9998',40.78,1,3,NULL),(15,2183080,'1990-11-18 00:00:00',4,1,11,2007,'M','N','FLOR DE NÁPOLIS','SAO JOSE','SC','624244243217111731335534575124233212015',21534,'1074',33.66,1,3,NULL),(15,2183099,'1989-02-04 00:00:00',4,1,12,2006,'M','N','BROOKLIN','SAO PAULO','SP','125252251211471131368821571124610167047',NULL,'9998',0.00,1,3,NULL),(15,2183102,'1990-12-23 00:00:00',4,1,11,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242241415131711534514575124610124052',11260,'1074',50.07,1,3,NULL),(15,2183110,'1989-04-20 00:00:00',2,1,12,2007,'M','N','SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC','124242247217131431546651575114610167057',NULL,'9999',29.61,1,3,NULL),(15,2183129,'1990-01-03 00:00:00',2,1,12,2006,'M','N','ANA RECH','CAXIAS DO SUL','RS','120202201436371411238621125124610164017',18774,'9998',39.03,4,3,NULL),(15,2183137,'1989-04-12 00:00:00',4,1,12,2005,'F','N','LIDER','CHAPECO','SC','124243241115472431436933595124610166141',4756,'169',61.62,1,3,NULL),(15,2183145,'1988-03-25 00:00:00',3,1,12,2005,'M','N','PICADAS DO SUL','SAO JOSE','SC','124241241116143411326327312124610114092',20718,'307',35.46,1,3,NULL),(15,2183153,'1990-10-10 00:00:00',4,10,11,2007,'M','N','CENTRO','BRACO DO NORTE','SC','124241241215112431246631274124610162097',3320,'807',65.22,1,3,NULL),(15,2183161,'1988-01-06 00:00:00',2,1,11,2005,'M','N','CAMPINAS','SAO JOSE','SC','124242241217272421454734215324233267077',10492,'737',51.19,4,3,NULL),(15,2183170,'1990-04-10 00:00:00',2,1,11,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124243241415121411567732592122610137015',18073,'272',40.19,4,3,NULL),(15,2183188,'1989-12-08 00:00:00',2,5,11,2007,'M','N','JARDIM SILVANA','ICARA','SC','124242241211111411459834571124610146177',1421,'226',71.54,1,3,NULL),(15,2183196,'1990-08-24 00:00:00',4,1,12,2007,'F','N','RUDGE RAMOS','SAO BERNARDO DO CAMPO','SP','125252251216371431444439395122610127142',12038,'9998',48.94,1,3,NULL),(15,2183226,'1990-05-30 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243161215151431567563576111610164025',10213,'9998',51.60,1,3,NULL),(15,2183234,'1989-11-22 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124241241126171411544411115125610168067',15036,'592',44.75,1,3,NULL),(15,2183242,'1990-07-30 00:00:00',2,4,12,2007,'M','N','INDUSTRIAL','DESCANSO','SC','124241241435131431226321242121610118147',12669,'241',48.04,1,3,NULL),(15,2183250,'1991-01-07 00:00:00',4,1,11,2008,'M','S','SANTINHO','FLORIANOPOLIS','SC','124242241215111441436823495124610128112',NULL,'270',51.08,3,3,NULL),(15,2183277,'1989-05-16 00:00:00',4,1,11,2006,'F','N','CENTRO','PASSO FUNDO','RS','120202201211471431568716574122610167142',NULL,'9998',0.00,1,3,NULL),(15,2183285,'1984-08-24 00:00:00',2,1,12,2004,'F','N','S ANTONIO D LISBOA','FLORIANOPOLIS','SC','124241241132131132522319191344610166147',NULL,'505',17.74,2,2,1),(15,2183293,'1988-03-24 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215373431567833472122231227187',6460,'270',58.15,1,3,NULL),(15,2183315,'1988-01-02 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','224241241145151722655554592122610268197',22459,'281',29.37,1,2,1),(15,2183323,'1990-12-22 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431488831572122610163183',NULL,'262',30.27,1,3,NULL),(15,2183331,'1990-01-10 00:00:00',2,7,12,2007,'F','N','CONTESTADO','JOACABA','SC','124241241115231711526211112225610124142',NULL,'341',9.39,1,2,1),(15,2183340,'1988-01-15 00:00:00',4,1,12,2005,'M','N','STO ANT DE LISBOA','FLORIANOPOLIS','SC','124242241217573731438513242114610134072',13812,'1048',46.44,1,3,NULL),(15,2183358,'1990-03-14 00:00:00',4,1,12,2007,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241214151431348924575114610134097',7602,'262',56.03,1,3,NULL),(15,2183366,'1990-01-24 00:00:00',2,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124244241212112431469833434122610162182',7276,'723',56.65,1,3,NULL),(15,2183374,'1986-12-28 00:00:00',4,8,12,2004,'F','N','CAMILOPOLIS','SANTO ANDRE','SP','125251254236571451446614572124610164147',20081,'9998',36.65,1,3,NULL),(15,2183382,'1990-06-05 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215122431367933472125610124183',14143,'1022',45.97,1,3,NULL),(15,2183390,'1989-10-06 00:00:00',4,1,12,2007,'M','N','CENTRO','PORTO ALEGRE','RS','120204201417411421258839571114610168117',NULL,'9998',0.00,1,3,NULL),(15,2183404,'1990-01-10 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124242248235152331466824595124610166042',10727,'262',50.83,1,3,NULL),(15,2183412,'1971-07-09 00:00:00',2,1,12,1989,'M','N','PANTANAL','FLORIANOPOLIS','SC','124251251217313431136644442134321422092',4017,'9998',63.41,1,3,NULL),(15,2183420,'1990-06-06 00:00:00',4,1,12,2007,'M','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124242241217112452476711275114610152122',7593,'270',56.04,4,3,NULL),(15,2183439,'1989-06-15 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431539813574122610117097',4743,'272',61.65,1,3,NULL),(15,2183447,'1988-03-29 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216473411369823595122610111143',8331,'270',54.81,1,3,NULL),(15,2183455,'1971-12-11 00:00:00',2,6,12,1995,'F','N','RESSACADA','ITAJAI','SC','224253253226152411353354381122140823147',10285,'9998',51.50,1,3,NULL),(15,2183463,'1988-12-15 00:00:00',4,5,12,2006,'M','N','CENTRO','CRICIUMA','SC','124242241211372731446639291122610166032',2232,'213',68.47,1,3,NULL),(15,2183471,'1989-04-30 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124243241147272411553829572124610148117',15700,'290',43.81,1,3,NULL),(15,2183480,'1991-10-17 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111531469811472122610133012',NULL,'270',54.22,1,3,NULL),(15,2183498,'1990-01-23 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241337111312368832392112610127017',8832,'270',53.96,1,3,NULL),(15,2183501,'1985-01-08 00:00:00',4,1,6,2004,'F','N','ALVORADA','VIDEIRA','SC','124241241136132211533833235124110637051',NULL,'831',18.42,1,3,NULL),(15,2183510,'1990-07-05 00:00:00',4,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215141412266623572122610137042',21576,'724',33.57,1,3,NULL),(15,2183528,'1991-07-27 00:00:00',4,8,11,2008,'F','S','CENTRO','SAO FRANCISCO DO SUL','SC','124242241215151731458819595124610144097',NULL,'486',37.99,1,3,NULL),(15,2183536,'1990-03-21 00:00:00',4,1,12,2007,'F','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124244241215112431459313572124610126012',5859,'270',59.34,1,3,NULL),(15,2183544,'1988-08-10 00:00:00',4,1,12,2006,'M','N','CIDADE UNIVERSITARIA','CAMPINAS','SP','125254251416111431358614571124610127147',5133,'9998',60.85,1,3,NULL),(15,2183552,'1988-06-08 00:00:00',4,1,12,2006,'M','N','JUVEVE','CURITIBA','PR','116242241217153431489931591124242424111',1416,'270',71.57,1,3,NULL),(15,2183579,'1990-02-12 00:00:00',4,1,12,2007,'M','N','CENTRO','PONTA GROSSA','PR','116162161217121432568911475112610167062',375,'9998',77.85,1,3,NULL),(15,2183587,'1977-09-23 00:00:00',4,1,12,1994,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215575441468532475124322532122',419,'272',77.48,4,3,NULL),(15,2183609,'1981-11-03 00:00:00',2,1,11,2001,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','624241247326135731523348185122610122187',12914,'9999',47.70,4,3,NULL),(15,2183617,'1989-09-28 00:00:00',4,1,11,2007,'M','N','JARDIM PAULISTA','BAURU','SP','125252251237111431468912371131610164052',4354,'9998',62.59,1,3,NULL),(15,2183625,'1982-04-19 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANOPOLIS','SC','124161161116471441233315275124233268097',4478,'9998',62.32,1,2,1),(15,2183633,'1989-06-11 00:00:00',4,1,8,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124121121117472431266613574114610142072',2506,'9998',67.60,1,2,1),(15,2183641,'1986-06-30 00:00:00',4,1,12,2003,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124243241431374441338834211124610164172',8619,'1022',54.30,1,3,NULL),(15,2183650,'1989-05-06 00:00:00',4,4,10,2006,'M','N','JOSÉ BONIFÁCIO','ERECHIM','RS','120202201216571431438819395122610112141',2829,'9998',66.67,1,3,NULL),(15,2183668,'1990-01-24 00:00:00',2,9,12,2007,'F','N','COPACABANA','LAGES','SC','124242241216111431368933575112610152182',7218,'499',56.75,1,3,NULL),(15,2183676,'1990-07-12 00:00:00',4,6,12,2007,'F','N','RIO BRANCO','BRUSQUE','SC','124241241216131431638631575124610126187',14608,'106',45.26,1,3,NULL),(15,2183684,'1988-12-20 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241231573411489933371125131066192',2853,'270',66.59,1,3,NULL),(15,2183706,'1988-07-04 00:00:00',2,1,12,2007,'M','N','ZONA DOIS','MARINGA','PR','116162161236111431538811575122610114062',NULL,'9998',0.00,1,3,NULL),(15,2183714,'1990-01-13 00:00:00',2,5,12,2007,'F','N','COLONINHA','ARARANGUA','SC','124242241215111431433611115124610126087',8969,'32',53.71,1,3,NULL),(15,2183722,'1983-03-18 00:00:00',4,1,12,2001,'M','N','BARRA VELHA','ILHABELA','SP','124254251417473411567712221123610166117',2977,'9998',66.22,1,3,NULL),(15,2183730,'1980-11-02 00:00:00',2,1,11,2006,'M','N','BARREIROS','SAO JOSE','SC','124241247345351711445579141113610166062',18767,'9999',39.05,1,3,NULL),(15,2183749,'1988-08-31 00:00:00',4,3,12,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','125244241215472431678813575125610167046',2550,'9998',67.47,3,3,NULL),(15,2183757,'1988-12-21 00:00:00',4,1,12,2006,'F','N','JARDIM TAPAJÓS','ATIBAIA','SP','125252251217471231568831475122610147057',3089,'9998',65.87,1,3,NULL),(15,2183765,'1989-10-09 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124122248215472751247416596114610168182',7160,'270',56.86,4,3,NULL),(15,2183773,'1984-06-18 00:00:00',4,1,3,2003,'M','N','BELA VISTA','SAO JOSE','SC','124242243111374731357513442134610124052',6235,'306',58.58,1,3,NULL),(15,2183781,'1990-08-21 00:00:00',4,4,11,2007,'M','N','CENTRO','ERECHIM','RS','120202201216271411459933594122610127182',NULL,'9998',0.00,1,3,NULL),(15,2183790,'1990-01-26 00:00:00',4,1,12,2007,'M','N','CHACARA DAS PEDRAS','PORTO ALEGRE','RS','120202201216471731567811315122610167116',NULL,'9998',0.00,1,3,NULL),(15,2183803,'1959-08-21 00:00:00',2,1,7,2007,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241247115271421431453472144610166042',NULL,'9997',23.32,1,3,NULL),(15,2183811,'1989-04-23 00:00:00',4,1,3,1989,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241115132532458823575114610164042',6434,'267',58.20,2,1,2),(15,2183820,'1989-12-03 00:00:00',4,5,6,2007,'M','N','SANGÃO','CRICIUMA','SC','124243241416131411543814345134610128062',NULL,'995',0.00,1,3,NULL),(15,2183838,'1990-05-10 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241235152431467914575122610167047',5752,'1077',59.56,1,3,NULL),(15,2183854,'1961-11-11 00:00:00',2,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','224241247121161431524441111132610162187',22374,'284',30.54,1,3,NULL),(15,2183862,'1990-03-19 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241217112431469613592112610164143',8690,'1022',54.19,1,3,NULL),(15,2183870,'1989-10-30 00:00:00',2,3,12,2006,'F','N','CENTRO','MARAVILHA','SC','124244241412251431449913284125610126187',12468,'1037',48.34,1,3,NULL),(15,2183889,'1988-08-29 00:00:00',4,1,12,2005,'M','N','CENTRO','ERECHIM','RS','120202201216472431146612245124233264027',NULL,'9998',0.00,1,3,NULL),(15,2183897,'1989-05-28 00:00:00',2,1,12,2006,'F','N','CENTRO','MAJOR GERCINO','SC','124241241415472431358933575114610137097',15754,'1022',43.73,1,3,NULL),(15,2183900,'1989-05-14 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217373431678824386115610145197',1703,'1022',70.37,1,3,NULL),(15,2183927,'1990-03-27 00:00:00',2,2,12,2007,'F','N','CENTRO','IBIRAMA','SC','124242241215121431249913275122610163072',16011,'991',43.36,1,3,NULL),(15,2183935,'1989-12-11 00:00:00',5,1,10,2007,'M','N','JOAO PAULO','FLORIANOPOLIS','SC','124202281415271731358934571124610167066',1283,'1022',72.12,1,3,NULL),(15,2183943,'1990-03-04 00:00:00',4,1,12,2007,'F','N','CENTRO','GRAVATAL','SC','124241241126131431435313585124610164142',NULL,'331',23.72,1,2,1),(15,2183951,'1987-12-18 00:00:00',4,1,11,2006,'M','N','VILA GOMES','SAO PAULO','SP','125252251215471431258824375114610167147',3195,'9998',65.56,4,3,NULL),(15,2183960,'1990-12-08 00:00:00',4,8,12,2007,'F','N','GONZAGA','SANTOS','SP','125252251216111411379414575122610143092',9989,'9998',51.95,1,3,NULL),(15,2183978,'1990-01-25 00:00:00',2,1,12,2006,'F','N','BOA PARADA','SAO PEDRO DE ALCANTARA','SC','124241241124132431428823342124230234147',20997,'869',34.86,1,2,1),(15,2183986,'1989-06-06 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242244215472731488831415124610164127',6429,'270',58.21,1,3,NULL),(15,2183994,'1988-09-28 00:00:00',4,6,11,2007,'M','N','CENTRO','ITAJAI','SC','124244241411371431437812275121131517187',10574,'9997',51.06,1,3,NULL),(15,2184001,'1986-07-27 00:00:00',4,1,12,2003,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241127352431334311445124610124147',7490,'307',56.25,1,3,NULL),(15,2184010,'1989-08-03 00:00:00',4,1,12,2006,'M','N','CETRO','JARAGUA DO SUL','SC','124242161215411431488811572112610112042',NULL,'9998',0.00,1,3,NULL),(15,2184028,'1990-09-29 00:00:00',2,5,11,2007,'M','N','COMERCIARIO','CRICIUMA','SC','124242241215111431446823292112610138197',13316,'226',47.15,1,3,NULL),(15,2184036,'1989-03-29 00:00:00',2,7,12,2006,'M','N','SANTA GEMA','VIDEIRA','SC','124241241111472431537421341122610122057',16956,'831',41.92,4,2,1),(15,2184044,'1989-08-07 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','624201201112471111678913395124233267044',17879,'9998',40.54,1,2,1),(15,2184052,'1987-12-17 00:00:00',4,1,12,2006,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241436372431569813575114140227052',377,'9998',77.84,1,3,NULL),(15,2184060,'1979-09-10 00:00:00',2,1,12,1999,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124251241346271411126649345334610164047',13452,'840',46.94,1,3,NULL),(15,2184079,'1985-05-16 00:00:00',4,1,12,2002,'M','N','ITAGUACU','FLORIANOPOLIS','SC','124253241416124441567833395124230264022',1812,'292',69.90,1,3,NULL),(15,2184087,'1990-05-21 00:00:00',2,4,12,2007,'M','N','CENTRO','CHAPECO','SC','124243241212271411437839575122610167047',14894,'185',44.91,4,3,NULL),(15,2184095,'1990-02-18 00:00:00',4,10,12,2007,'F','N','MAR GROSSO','LAGUNA','SC','124242241225141431447934244121610127097',17755,'524',40.73,1,3,NULL),(15,2184109,'1988-02-02 00:00:00',2,1,12,2005,'M','N','TAPERA','FLORIANOPOLIS','SC','124243241136413431446733342114610117041',10753,'307',50.80,4,3,NULL),(15,2184117,'1990-04-25 00:00:00',4,9,10,2007,'M','N','CENTRO','LAGES','SC','124244241215112451579613475111610117187',5221,'9997',60.67,4,3,NULL),(15,2184125,'1989-05-14 00:00:00',2,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124243241215372431558813445124610123073',15658,'737',43.86,1,3,NULL),(15,2184133,'1990-05-07 00:00:00',2,10,11,2007,'F','N','VILA NOVA','IMBITUBA','SC','124241241217113431546313475122610122182',14723,'807',45.11,1,3,NULL),(15,2184141,'1988-12-03 00:00:00',4,1,12,2006,'M','N','BRABÂNCIA','AVARE','SP','125252251216471431447833575123610167112',5167,'9998',60.78,1,3,NULL),(15,2184150,'1988-01-15 00:00:00',4,1,12,2005,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215374751336633432124610168041',13578,'1022',46.77,1,3,NULL),(15,2184176,'1986-11-30 00:00:00',2,1,12,2003,'F','N','CAMPO DUNA','GAROPABA','SC','124241241127471431433311242224610164142',16623,'322',42.42,1,3,NULL),(15,2184184,'1989-05-14 00:00:00',4,1,5,2007,'M','N','LA MORITA','SAO JOSE','SC','124282281217111531488811475124610164042',10361,'9998',51.41,1,3,NULL),(15,2184192,'1989-03-04 00:00:00',4,1,12,2006,'F','N','VILA ROSA','CAMPO GRANDE','MS','112122121215412411468731574122610162141',7125,'9998',56.92,3,3,NULL),(15,2184206,'1990-01-08 00:00:00',4,9,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124241241317131441366611571112610136012',12704,'237',47.98,1,3,NULL),(15,2184214,'1990-01-22 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242248215111431435623392124610127042',18202,'1022',39.97,1,3,NULL),(15,2184222,'1988-08-05 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211372431348413442124610142142',NULL,'738',22.31,1,3,NULL),(15,2184230,'1990-05-11 00:00:00',4,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124243241215271531664312492115610162192',NULL,'9997',0.00,1,3,NULL),(15,2184249,'1990-01-18 00:00:00',4,1,11,2007,'M','N','PRAIA COMPRIADA','SAO JOSE','SC','124243241215121431455614141122610127092',NULL,'1048',41.54,1,3,NULL),(15,2184257,'1990-06-15 00:00:00',2,1,12,2007,'F','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124241241116131751433731572124610127117',19616,'307',37.58,4,3,NULL),(15,2184265,'1989-03-07 00:00:00',4,3,12,2006,'F','N','REBOUÇAS','CURITIBA','PR','116162161216371411666616575124610128052',NULL,'9998',0.00,1,3,NULL),(15,2184273,'1990-06-01 00:00:00',2,1,12,2007,'F','N','CAMPO DUNA','GAROPABA','SC','124241241115371432433619272222610134142',NULL,'9997',23.17,1,3,NULL),(15,2184281,'1989-10-02 00:00:00',4,1,12,2007,'M','N','CENTRO','FREDERICO WESTPHALEN','RS','120201201117111231524732372125610164142',NULL,'9998',33.96,1,3,NULL),(15,2184290,'1981-09-18 00:00:00',2,1,12,1999,'F','N','CENTRO','CURITIBA','PR','116241241126572431335679485124610126012',6294,'764',58.46,1,2,1),(15,2184303,'1989-06-18 00:00:00',4,1,11,2007,'M','N','CACUPÉ','FLORIANOPOLIS','SC','124242241211472431688853592112610127043',14818,'270',44.99,1,3,NULL),(15,2184311,'1967-10-27 00:00:00',4,5,12,1984,'M','N','CENTENÁRIO','MONTENEGRO','RS','120201201116161431457319465124241054167',NULL,'9998',0.00,1,2,1),(15,2184320,'1985-11-15 00:00:00',2,1,3,2004,'M','N','FORQUILHINHAS','SAO JOSE','SC','124244241114135411128844445334610134057',7586,'739',56.06,1,3,NULL),(15,2184338,'1980-09-26 00:00:00',4,1,10,1999,'M','N','CENTRO','CASTRO','PR','116161161147371411435613295121610134087',NULL,'9998',10.52,4,2,1),(15,2184346,'1990-07-16 00:00:00',2,1,12,2006,'F','N','FORQUILHAS','SAO JOSE','SC','124241241312272131426418245124610122077',NULL,'9997',23.61,1,3,NULL),(15,2184362,'1990-01-02 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124243241435131431348527575124610141097',NULL,'9999',17.45,1,3,NULL),(15,2184370,'1989-01-07 00:00:00',2,1,12,2006,'M','N','BOA VISTA','ITUPORANGA','SC','124241241116131431459931382125133222172',14295,'416',45.74,1,2,1),(15,2184389,'1990-05-30 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241115371411469919592124610145092',4619,'267',61.96,1,2,1),(15,2184397,'1989-04-26 00:00:00',2,1,12,2006,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215472732448831572124610164127',NULL,'120',0.00,1,3,NULL),(15,2184400,'1989-01-19 00:00:00',2,1,12,2006,'F','N','ABRAAO','FLORIANOPOLIS','SC','124242241215473431466614572114610127047',19379,'1022',38.05,1,3,NULL),(15,2184419,'1989-04-01 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215373411346824245122610164183',4038,'1022',63.36,1,3,NULL),(15,2184427,'1982-01-10 00:00:00',4,1,12,1999,'M','N','JARDIM PARAÍSO','SAO CARLOS','SP','125251251416571431336313495125342364057',405,'9998',77.63,1,3,NULL),(15,2184435,'1990-06-22 00:00:00',2,1,11,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241437151211453539572122610167012',18652,'278',39.23,3,3,NULL),(15,2184451,'1986-01-29 00:00:00',2,1,12,2004,'M','N','CANTO DOS GANCHOS','GOVERNADOR CELSO RAMOS','SC','124241241145131431434614442224610164092',14230,'329',45.83,1,2,1),(15,2184460,'1989-04-28 00:00:00',2,1,12,2007,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124241241117132431557611342124610127147',10954,'733',50.53,1,2,1),(15,2184478,'1988-01-16 00:00:00',4,1,3,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242247112371431434811575122610134047',NULL,'307',20.46,1,3,NULL),(15,2184494,'1981-11-18 00:00:00',4,1,12,1999,'M','N','BATEL','CURITIBA','PR','116162161217371431358835592114343268097',14231,'9998',45.82,4,3,NULL),(15,2184508,'1985-09-26 00:00:00',2,1,10,2005,'M','N','PETRÓPOLIS','MANAUS','AM','104041047216411431378812495122610164092',NULL,'9998',24.35,4,3,NULL),(15,2184516,'1962-03-17 00:00:00',2,1,12,1979,'M','N','CARIANOS','FLORIANOPOLIS','SC','624201208116373751363349395121121034067',NULL,'9998',0.00,1,3,NULL),(15,2184524,'1975-08-17 00:00:00',2,1,12,1995,'M','N','SACO LIMÕES','FLORIANOPOLIS','SC','624241161124231421436644445134610147067',NULL,'9998',28.48,1,3,NULL),(15,2184532,'1988-03-20 00:00:00',4,1,12,2005,'M','N','CANTO DOS GANCHOS','GOVERNADOR CELSO RAMOS','SC','124241241116371431223629445324610124057',11889,'64',49.12,1,2,1),(15,2184540,'1989-12-30 00:00:00',2,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215122221446614335114610117117',8644,'1098',54.27,1,3,NULL),(15,2184567,'1990-04-03 00:00:00',4,7,12,2007,'F','N','CENTRO','JOACABA','SC','124242241215131431455623584122610121017',NULL,'446',24.90,1,3,NULL),(15,2184575,'1986-11-21 00:00:00',4,3,7,2005,'F','N','BELA VISTA','IPATINGA','MG','113132131116371431547919142124610165013',NULL,'9998',0.00,3,3,NULL),(15,2184583,'1989-03-13 00:00:00',2,1,12,2006,'F','N','INTERIOR','IPUACU','SC','124241241116161411433435435234610136053',21230,'372',34.38,1,3,NULL),(15,2184591,'1988-10-17 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241116373411544833342124610118182',9134,'307',53.40,1,2,1),(15,2184613,'1988-12-12 00:00:00',2,1,12,2005,'F','N','PRAIA DE FORA','PALHOCA','SC','124241241131131711333339345134230824147',NULL,'888',20.18,1,3,NULL),(15,2184621,'1989-05-01 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217111431358933575112610124197',21626,'9997',33.44,1,3,NULL),(15,2184630,'1990-04-12 00:00:00',4,1,11,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241235122751468619595114610163187',6641,'1022',57.83,1,3,NULL),(15,2184648,'1991-04-02 00:00:00',2,4,12,2007,'F','N','INTERIOR','UNIAO DO OESTE','SC','124241241135131431523335152324610161057',19860,'816',37.10,1,2,1),(15,2184656,'1986-07-21 00:00:00',2,1,12,2004,'F','N','RONDONIA','NOVO HAMBURGO','RS','120203206117211421537932141224143222097',10474,'9998',51.22,1,3,NULL),(15,2184664,'1988-07-01 00:00:00',2,2,12,2005,'F','N','SAO JOSE','PASSO FUNDO','RS','120201201116461421213421571324610167157',NULL,'9998',0.00,1,2,1),(15,2184672,'1989-04-13 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241116372411334623395124610147112',16397,'307',42.76,1,2,1),(15,2184680,'1985-11-03 00:00:00',2,1,12,2003,'F','N','CAMPINAS','SAO JOSE','SC','124242241216574431259613435122120824013',7195,'270',56.81,1,3,NULL),(15,2184699,'1989-01-15 00:00:00',4,8,12,2006,'F','N','FLORESTA','JOINVILLE','SC','124241241114271421421167441224610126197',17511,'472',41.07,1,2,1),(15,2184702,'1989-03-06 00:00:00',2,9,12,2006,'F','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124241241215472411353314271122610164147',17516,'1065',41.06,4,3,NULL),(15,2184710,'1988-08-09 00:00:00',2,1,12,2006,'M','N','JARDIM SELMA','MOGI GUACU','SP','125251251136131731424319282324610162143',NULL,'9998',0.00,1,2,1),(15,2184729,'1984-06-05 00:00:00',4,1,12,2001,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124202201217142421458749391124221768091',3335,'9998',65.16,1,3,NULL),(15,2184737,'1990-07-21 00:00:00',4,4,12,2007,'F','N','CENTRO','ERECHIM','RS','120201201215111431456831575112610137092',14960,'9998',44.84,1,3,NULL),(15,2184745,'1987-03-12 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244247336371431467633572114610125115',14771,'270',45.04,1,3,NULL),(15,2184753,'1989-10-16 00:00:00',2,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241116371431455724575124610122147',NULL,'757',18.32,1,2,1),(15,2184761,'1988-01-09 00:00:00',2,1,12,2005,'F','N','CAMPINAS','SAO JOSE','SC','124242241216372731548714474124121427077',3131,'737',65.74,1,3,NULL),(15,2184770,'1978-05-03 00:00:00',4,1,12,1994,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242245111135411558613245132330227147',15657,'307',43.86,1,3,NULL),(15,2184788,'1988-05-26 00:00:00',2,1,12,2006,'M','N','PLANO PILOTO','BRASILIA','DF','107074071215471431468912575122610122042',9599,'9998',52.59,1,3,NULL),(15,2184796,'1990-02-01 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124244247324111321339612145114610117112',NULL,'9999',0.00,5,3,NULL),(15,2184800,'1986-07-08 00:00:00',4,1,11,2004,'F','N','SÃO DOMINGOS SÁVIO','ARACAJU','SE','126262261217571731436633573122143263017',2512,'9998',67.59,3,3,NULL),(15,2184826,'1984-11-27 00:00:00',2,1,12,2002,'M','N','JARDIMSELMA','MOGI GUACU','SP','125251251121131631424319282324610162143',NULL,'9998',0.00,1,2,1),(15,2184834,'1990-06-29 00:00:00',4,8,12,2007,'M','N','GLORIA','JOINVILLE','SC','124241241215472431628621315134610124142',2351,'1105',68.07,1,3,NULL),(15,2184850,'1987-12-07 00:00:00',4,5,12,2004,'F','N','SÃO CRISTOVÃO','TURVO','SC','124242241417572751566831595124133265077',887,'813',74.13,1,3,NULL),(15,2184869,'1988-09-17 00:00:00',2,1,12,2005,'F','N','CENTRO DE BIGUAÇÚ','BIGUACU','SC','124241241316153731444933272224230633047',10877,'1022',50.65,1,3,NULL),(15,2184877,'1991-04-20 00:00:00',2,10,11,2007,'F','N','AEROPORTO','TUBARAO','SC','124244051216111411336714575124610144142',19083,'9998',38.54,1,3,NULL),(15,2184885,'1989-11-30 00:00:00',2,1,11,2007,'F','N','SERRARIA','SAO JOSE','SC','124243241236111431438659595124610123093',NULL,'1098',21.98,1,3,NULL),(15,2184907,'1985-12-11 00:00:00',2,4,12,2004,'F','N','CENTRO','ERECHIM','RS','120201201126131631534311485324610125047',NULL,'9998',24.04,3,2,1),(15,2184915,'1987-02-19 00:00:00',4,1,12,2004,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241216472431264511595122221724172',4302,'407',62.70,1,3,NULL),(15,2184923,'1990-08-01 00:00:00',4,1,12,2007,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124241241115151731326513575122610164147',21716,'783',33.22,1,2,1),(15,2184931,'1990-02-22 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241116131731436519391124610165092',13074,'307',47.48,1,2,1),(15,2184940,'1988-08-13 00:00:00',2,5,12,2005,'F','N','SÃO LUIS','CRICIUMA','SC','124242241215573431456812574114610165192',4961,'210',61.17,1,3,NULL),(15,2184958,'1990-05-21 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124243241217111431345839375124610124157',14519,'1118',45.37,1,3,NULL),(15,2184966,'1988-05-22 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215121521578612575122610167122',22370,'884',30.55,1,3,NULL),(15,2184982,'1989-02-28 00:00:00',2,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241116372431534419445122610168147',15021,'592',44.77,1,3,NULL),(15,2184990,'1970-06-17 00:00:00',2,1,12,1985,'F','N','COQUEIROS','FLORIANOPOLIS','SC','224204201412132721327442225132330224092',NULL,'9998',9.94,1,3,NULL),(15,2185008,'1990-10-25 00:00:00',4,1,11,2007,'F','N','GRAÇA','SALVADOR','BA','105052051216111411389611475122610166112',13756,'9998',46.53,1,3,NULL),(15,2185016,'1989-02-01 00:00:00',2,5,6,2007,'M','N','FLORESTA','CRICIUMA','SC','124243246237271431425574442135610164052',11979,'995',49.01,1,3,NULL),(15,2185024,'1990-11-30 00:00:00',4,2,12,2007,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','116242161235471431388811572315610137102',NULL,'9998',56.73,1,3,NULL),(15,2185032,'1985-12-16 00:00:00',2,1,12,2003,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241136152421124443335133123062182',9873,'808',52.13,1,2,1),(15,2185040,'1990-04-03 00:00:00',4,9,12,2008,'F','S','CENTRO','IJUI','RS','120201201116111431323636575324610132052',NULL,'9998',40.50,1,3,NULL),(15,2185059,'1990-02-26 00:00:00',2,8,12,2007,'M','N','SÃO CRISTÓVÃO','PAPANDUVA','SC','124241241137371431636622195124610117072',14998,'603',44.80,1,3,NULL),(15,2185067,'1988-12-16 00:00:00',4,1,12,2006,'F','N','ÁGUAS CLARAS','TAGUATINGA','DF','107072071216475411469931575122610166142',NULL,'9998',24.33,1,3,NULL),(15,2185083,'1982-03-02 00:00:00',4,3,12,2002,'M','N','CENTRO','ITAPOLIS','SP','125251251126131451321329115124242922094',NULL,'9998',0.00,3,2,1),(15,2185091,'1989-02-20 00:00:00',2,1,12,2006,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','124242241215372431536633375124610127142',8655,'272',54.25,1,3,NULL),(15,2185105,'1988-05-07 00:00:00',4,1,12,2002,'F','N','REAL PARQUE','SAO JOSE','SC','124251251116472731546363284114610124187',NULL,'9998',22.85,2,2,1),(15,2185113,'1987-02-21 00:00:00',2,1,12,2004,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124161161113131431116644345124142225171',10629,'9998',50.99,1,2,1),(15,2185121,'1984-06-06 00:00:00',2,3,12,2001,'M','N','CENTRO','ITAPOLIS','SP','125251251116411211237731415114142366177',NULL,'9998',21.35,3,2,1),(15,2185130,'1988-08-25 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124204198215471441216649496214610135141',20273,'9998',36.28,1,3,NULL),(15,2185156,'1990-05-18 00:00:00',4,3,11,2007,'M','N','CENTRO','CURITIBA','PR','116241161215471431179934575312610168067',9196,'9998',53.28,1,3,NULL),(15,2185172,'1990-04-18 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124071241115131441325524591324610136197',16771,'288',42.21,2,3,NULL),(15,2185180,'1989-02-23 00:00:00',2,10,12,2005,'F','N','SÃO MARTINHO','TUBARAO','SC','124241241111373431529913281124131548147',5770,'802',59.52,1,2,1),(15,2185199,'1989-04-13 00:00:00',2,1,1,2007,'M','N','PATENON','PORTO ALEGRE','RS','120203201416471341317732572124610167057',NULL,'9998',22.24,1,3,NULL),(15,2185210,'1987-05-28 00:00:00',4,1,12,2004,'M','N','SANTA ANGELINA','ARARAQUARA','SP','125253251216571432548834572122241417097',11656,'9998',49.48,1,3,NULL),(15,2185229,'1988-07-30 00:00:00',2,1,12,2006,'F','N','REAL PARQUE','SAO JOSE','SC','124241241132371411623331311334610127067',19720,'734',37.38,1,3,NULL),(15,2185237,'1990-07-10 00:00:00',4,7,12,2007,'M','N','BAIRRO BOA VISTA','JOACABA','SC','124241241215151441329813575125610124072',2184,'446',68.65,1,3,NULL),(15,2185245,'1990-03-08 00:00:00',4,1,12,2006,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215373431467834575112610167042',11966,'1022',49.03,1,3,NULL),(15,2185253,'1987-05-16 00:00:00',2,1,11,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241146211731124644142123610138117',19678,'29',37.46,1,3,NULL),(15,2185261,'1967-06-29 00:00:00',4,1,12,1985,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124202205127131231437851275112610132097',20345,'9998',36.15,1,3,NULL),(15,2185270,'1990-10-08 00:00:00',4,2,12,2007,'M','N','RIO MORTO','INDAIAL','SC','124241241116131431655814572122610134052',13492,'365',46.90,1,2,1),(15,2185288,'1987-07-08 00:00:00',2,8,11,2004,'F','N','AGUA VERDE','CURITIBA','PR','116162161215572431136614572125610134017',2761,'9998',66.85,1,3,NULL),(15,2185296,'1990-10-16 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116162151216471431478934575122610166122',NULL,'9998',0.00,1,3,NULL),(15,2185300,'1988-11-28 00:00:00',4,1,11,2006,'F','N','CAMPINAS','SAO JOSE','SC','124241241127473441426823341134610164187',12132,'732',48.81,1,2,1),(15,2185318,'1991-03-21 00:00:00',4,4,12,2008,'M','S','PRESIDENTE MEDICE','CHAPECO','SC','124242241212111411467831575122610147047',NULL,'1046',23.22,1,3,NULL),(15,2185326,'1985-01-09 00:00:00',4,1,6,2003,'F','N','BARREIROS','SAO JOSE','SC','124201241137131421644331445114610124087',NULL,'234',21.09,1,2,1),(15,2185334,'1989-11-13 00:00:00',4,3,12,2006,'F','N','CENTRO','CURITIBA','PR','116242241215472431344632572124610127077',NULL,'969',0.00,1,3,NULL),(15,2185342,'1989-01-16 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','624242241215372411447633215124610167067',5619,'1022',59.83,1,3,NULL),(15,2185350,'1985-07-25 00:00:00',2,1,7,2002,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124243247646371441363923582114130327052',5883,'9999',59.28,1,3,NULL),(15,2185369,'1990-10-12 00:00:00',4,7,11,2007,'M','N','VILA RICA','HERVAL D OESTE','SC','124242241215111731458933135112610162182',17987,'446',40.33,1,3,NULL),(15,2185377,'1990-01-05 00:00:00',4,1,12,2006,'F','N','CENTRO','JARAGUA DO SUL','SC','124244241216153431548833575125221513147',9583,'424',52.62,1,3,NULL),(15,2185385,'1990-09-28 00:00:00',2,4,12,2007,'F','N','ESPIRITO SANTO','ERECHIM','RS','120203201215111431436639575122610135042',13225,'9998',47.27,1,3,NULL),(15,2185393,'1988-05-26 00:00:00',2,1,12,2005,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215373431438729572114610163187',6196,'262',58.65,2,3,NULL),(15,2185407,'1975-12-26 00:00:00',2,1,12,1995,'F','N','CAMPO DUNA','GAROPABA','SC','624201201132131431522259282344610145097',15352,'9998',44.33,2,1,1),(15,2185415,'1990-09-08 00:00:00',4,7,11,2007,'F','N','NOSSA SRA DE LOURDES','JOACABA','SC','124242241237211431479813495112610144192',NULL,'446',24.24,1,3,NULL),(15,2185423,'1988-09-22 00:00:00',4,1,12,2006,'M','N','BOSQUE DOS EUCALIPTO','SAO JOSE DOS CAMPOS','SP','125281251415472431469713275112610127032',1452,'9998',71.46,4,3,NULL),(15,2185431,'1990-01-05 00:00:00',2,10,11,2007,'F','N','PAES LEME','IMBITUBA','SC','124241241215372431379914571121610136142',9516,'807',52.74,1,3,NULL),(15,2185440,'1987-06-12 00:00:00',5,1,12,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124242241212574431589813572114610162092',10928,'269',50.57,1,3,NULL),(15,2185458,'1988-05-06 00:00:00',4,8,12,2005,'M','N','PASSO','MAFRA','SC','124241168214471431447739275112610137057',NULL,'9998',0.00,4,3,NULL),(15,2185466,'1984-08-13 00:00:00',4,1,12,2001,'F','N','JURERE','FLORIANOPOLIS','SC','124202201216152431179933575232343263092',7273,'9998',56.66,1,3,NULL),(15,2185482,'1991-01-26 00:00:00',2,1,12,2007,'F','N','SERRINHA','FLORIANOPOLIS','SC','124241241117151711534434242224610167087',NULL,'298',20.59,1,3,NULL),(15,2185490,'1991-04-21 00:00:00',4,3,12,2008,'M','S','CENTRO','TRES PASSOS','RS','116202168216111451478711592212610147057',NULL,'9998',40.98,1,3,NULL),(15,2185504,'1989-11-06 00:00:00',4,1,12,2006,'M','N','CAMMPINAS','SAO JOSE','SC','124242241212273421486612121122610162192',NULL,'270',0.00,1,3,NULL),(15,2185512,'1990-01-26 00:00:00',4,1,12,2006,'M','N','JD PLANALTO','SALTO','SP','125252251217131711477832575122143262092',17072,'9998',41.77,1,3,NULL),(15,2185520,'1986-10-31 00:00:00',4,1,5,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','128281281117161431477934482124610134092',NULL,'9998',17.17,1,3,NULL),(15,2185539,'1988-09-22 00:00:00',4,1,6,2007,'F','N','LÍDICE','UBERLANDIA','MG','113132131215271731488832395122610126073',NULL,'9998',0.00,1,3,NULL),(15,2185547,'1985-08-21 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANOPOLIS','SC','124243241335373451436433345134130232092',21606,'281',33.49,1,3,NULL),(15,2185555,'1985-09-17 00:00:00',4,1,12,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241127333441534612345124610144187',17273,'736',41.46,1,2,1),(15,2185563,'1985-10-22 00:00:00',4,1,12,2003,'M','N','JOAO PAULO','FLORIANOPOLIS','SC','124242241217372421453611115124233224062',2921,'260',66.38,1,3,NULL),(15,2185571,'1991-02-14 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215151431387923575114610164177',3209,'270',65.51,1,3,NULL),(15,2185580,'1962-11-09 00:00:00',2,1,12,1993,'F','N','CAMPECHE','FLORIANOPOLIS','SC','224241245127474451533353382224610165077',NULL,'804',27.64,1,2,1),(15,2185601,'1988-10-09 00:00:00',4,1,12,2006,'M','N','URBANOVA','SAO JOSE DOS CAMPOS','SP','125254251217472431468833575111610132097',NULL,'9998',0.00,1,3,NULL),(15,2185610,'1990-07-11 00:00:00',2,1,12,2007,'F','N','VILA VITÓRIA','LOANDA','PR','116161161317271731333611112221610167187',22157,'9998',31.71,1,3,NULL),(15,2185628,'1985-11-21 00:00:00',2,1,11,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241115372431635514245124610126147',11986,'257',49.00,1,2,1),(15,2185636,'1989-12-28 00:00:00',2,1,12,2007,'M','N','BARRA DO ARIRIÚ','PALHOCA','SC','124241241117121411453433432124610137091',12781,'307',47.88,1,2,1),(15,2185644,'1983-12-12 00:00:00',4,1,12,2000,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','224241241116131431433351381124332031147',NULL,'29',0.00,1,2,1),(15,2185652,'1988-07-09 00:00:00',2,8,12,2005,'F','N','MORRO DO MEIO','JOINVILLE','SC','124241241146272431646314242134610123147',NULL,'479',23.08,1,2,1),(15,2185660,'1991-01-11 00:00:00',4,9,12,2007,'M','N','SANTA HELENA','LAGES','SC','124242241217371431465933272122610122142',7394,'515',56.42,1,3,NULL),(15,2185679,'1987-09-18 00:00:00',2,1,12,2005,'F','N','CAMPINAS','SAO JOSE','SC','124241241142131412523344342314610123057',NULL,'679',19.97,1,3,NULL),(15,2185687,'1991-03-07 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124241241216111431346934572124610131097',16155,'1011',43.13,1,3,NULL),(15,2185695,'1986-07-23 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241411275431448813211122130223187',16832,'270',42.11,1,3,NULL),(15,2185709,'1987-11-06 00:00:00',4,1,12,2005,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124252241215573431328829575124610127097',9208,'262',53.25,1,3,NULL),(15,2185725,'1990-01-31 00:00:00',2,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116161161114471451166432571114610124046',3513,'9998',64.73,1,3,NULL),(15,2185733,'1989-06-21 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241115141431324624242124610137112',NULL,'298',12.60,1,3,NULL),(15,2185741,'1990-05-03 00:00:00',2,7,12,2006,'F','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124241241116152411434334175122230614147',18418,'140',39.62,1,2,1),(15,2185750,'1985-04-28 00:00:00',2,1,12,2004,'M','N','BARREIROS','SAO JOSE','SC','124241241122372431421321381124610167142',19613,'732',37.59,4,1,1),(15,2185768,'1989-07-19 00:00:00',4,4,12,2006,'F','N','INDUSTRIAL','FRANCISCO BELTRAO','PR','116161161116271431333531242125610147072',19069,'9998',38.56,1,3,NULL),(15,2185776,'1990-10-05 00:00:00',4,1,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241115231411435634245121610127147',NULL,'49',0.00,4,3,NULL),(15,2185814,'1990-06-11 00:00:00',2,1,12,2007,'F','N','NOSSA SRA DO ROSARIO','SAO JOSE','SC','124242241217111431458513571122610126147',3618,'723',64.43,1,3,NULL),(15,2185822,'1989-10-06 00:00:00',2,1,12,2006,'M','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124242241115372431444613472114610137047',11434,'271',49.80,1,3,NULL),(15,2185830,'1988-05-17 00:00:00',2,1,11,2005,'F','N','BAIRRO IPIRANGA','SAO JOSE','SC','124242241235374711337734341124610136142',16549,'1022',42.52,1,3,NULL),(15,2185849,'1990-05-08 00:00:00',2,5,11,2007,'F','N','PIO CORRÊA','CRICIUMA','SC','124242241217112431476711572122610125142',5170,'226',60.77,1,3,NULL),(15,2185857,'1988-11-28 00:00:00',2,1,12,2006,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124242241334271431688619292122610127072',NULL,'269',26.03,1,3,NULL),(15,2185865,'1990-04-10 00:00:00',2,1,11,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241117131431437621572124610147047',17035,'288',41.83,1,2,1),(15,2185873,'1987-08-14 00:00:00',2,3,11,2005,'M','N','JARDIM AMERICA','RIO DO SUL','SC','124241241415573431333412585112610162152',5923,'991',59.21,1,3,NULL),(15,2185881,'1990-04-01 00:00:00',2,3,12,2007,'F','N','BOMBAS','BOMBINHAS','SC','124241241115161421338924295122610137117',8252,'96',54.93,1,2,1),(15,2185903,'1987-04-26 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241212472411523319215124610123092',12716,'270',47.96,1,3,NULL),(15,2185911,'1990-12-28 00:00:00',4,8,11,2007,'M','N','ATIRADORES','JOINVILLE','SC','124201241114471732248513575325610167017',14681,'465',45.17,1,2,1),(15,2185938,'1990-01-05 00:00:00',4,1,12,2007,'M','N','CENTRO','IPUMIRIM','SC','124241242117131431346631572124610166057',7425,'196',56.36,4,2,1),(15,2185946,'1991-12-16 00:00:00',4,1,12,2008,'M','S','CARVOEIRA','FLORIANOPOLIS','SC','124241241117131512456633371125610118055',NULL,'298',37.50,1,3,NULL),(15,2185954,'1986-07-08 00:00:00',2,1,12,2003,'M','N','JARDIM BIGUAÇU','BIGUACU','SC','124244241215575431655619481122231267097',11485,'63',49.73,1,3,NULL),(15,2185962,'1988-12-04 00:00:00',2,4,11,2006,'F','N','CENTRO','SANTA MARIA','RS','120111118416271431435735595325610117077',21232,'9998',34.37,1,3,NULL),(15,2185970,'1990-07-10 00:00:00',2,1,12,2007,'M','N','FLOR DE NÁPOLIS','SAO JOSE','SC','124241241117131531238623395124610157047',NULL,'733',9.31,1,3,NULL),(15,2185989,'1989-01-21 00:00:00',4,1,10,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124112118216471452457612372122610161053',NULL,'9998',0.00,1,3,NULL),(15,2185997,'1989-09-29 00:00:00',4,2,11,2006,'F','N','VORSTADT','BLUMENAU','SC','124241241215321431643514375124610145142',19303,'86',38.15,1,3,NULL),(15,2186004,'1990-10-26 00:00:00',4,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241112131431454534245122610134022',21324,'592',34.14,1,3,NULL),(15,2186012,'1987-05-12 00:00:00',2,1,12,2004,'M','N','CENTRO','AMAPORA','PR','116164161211572751536832174125610166047',2766,'9998',66.82,1,3,NULL),(15,2186020,'1990-06-01 00:00:00',2,1,12,2007,'F','N','AMBRÓSIO','GAROPABA','SC','124241241117131412523414272324610166097',11098,'9997',50.30,1,2,1),(15,2186039,'1971-07-28 00:00:00',2,1,12,1995,'F','N','BARREIROS','SAO JOSE','SC','124241241217132431453364582124131237047',NULL,'9999',20.96,1,3,NULL),(15,2186047,'1991-03-07 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116161161215111431488734575122610168012',5634,'9998',59.81,1,3,NULL),(15,2186055,'1990-07-12 00:00:00',4,7,12,2007,'M','N','TOBIAS','JOACABA','SC','124242241215271431259611594122610127147',1958,'446',69.40,1,3,NULL),(15,2186063,'1990-06-13 00:00:00',4,4,12,2007,'F','N','CENTRO','CONCORDIA','SC','124241241115471431546714572122610133147',NULL,'192',0.00,1,2,1),(15,2186071,'1988-07-29 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','224241241126211521343344445135610118057',NULL,'364',0.00,1,2,1),(15,2186098,'1979-01-04 00:00:00',2,1,12,1996,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124244241217143431268843436232121867043',NULL,'270',0.00,1,3,NULL),(15,2186101,'1990-02-13 00:00:00',4,4,12,2007,'M','N','GUANABARA','FRANCISCO BELTRAO','PR','116161161411111531446833571112610127057',2555,'9998',67.45,4,3,NULL),(15,2186110,'1975-08-15 00:00:00',2,1,7,1994,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','224204204114373421359943435122142424047',5867,'9998',59.33,4,3,NULL),(15,2186128,'1989-04-10 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241215472431469931412114231864042',2352,'270',68.07,1,3,NULL),(15,2186136,'1987-09-20 00:00:00',2,5,11,2005,'F','N','PIO CORRÊA','CRICIUMA','SC','124242241215573431476711572122610124142',4411,'226',62.45,1,3,NULL),(15,2186144,'1988-03-22 00:00:00',2,1,12,2005,'F','N','CAMPINAS','SAO JOSE','SC','124241241115372731336321245124610126147',11831,'307',49.21,1,2,1),(15,2186152,'1976-09-26 00:00:00',4,1,12,1997,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','224161243126373421353343232332320847122',9107,'284',53.45,1,2,1),(15,2186160,'1982-09-11 00:00:00',2,1,6,2001,'M','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124241241132134411423841212314610117062',NULL,'9999',37.11,3,2,1),(15,2186187,'1990-12-01 00:00:00',4,4,12,2007,'F','N','PRESIDENTE MEDICI','CHAPECO','SC','124241241117371711448614246122610122017',9948,'169',52.01,4,2,1),(15,2186195,'1990-02-08 00:00:00',4,1,12,2007,'F','N','CENTRO','IRINEOPOLIS','SC','124241241116161431423325252314610113142',15611,'381',43.94,1,3,NULL),(15,2186209,'1989-04-14 00:00:00',2,1,12,2006,'F','N','COMERCIARIO','CRICIUMA','SC','124242241215472431334524572124131963077',4887,'213',61.34,1,3,NULL),(15,2186217,'1990-12-16 00:00:00',4,4,12,2007,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124241241115131431338933475122610124142',13766,'757',46.52,1,3,NULL),(15,2186225,'1989-09-23 00:00:00',4,1,8,2007,'M','N','CENTRO','PALHOCA','SC','124244241117131731547923342124610118197',12424,'739',48.40,1,3,NULL),(15,2186233,'1976-09-12 00:00:00',4,1,12,1993,'M','N','SAO JOAO','TUBARAO','SC','124241248316275421545432485124221936092',7536,'806',56.16,1,3,NULL),(15,2186241,'1979-11-17 00:00:00',2,1,7,1999,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124246248627171431446613345114610118043',19050,'9999',38.60,1,3,NULL),(15,2186250,'1988-10-24 00:00:00',4,1,12,2005,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124241241217154441345824215224231464112',3882,'270',63.79,1,3,NULL),(15,2186268,'1989-03-06 00:00:00',2,1,11,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124244241215111431458313375114610117042',NULL,'1022',22.27,1,3,NULL),(15,2186276,'1979-02-20 00:00:00',2,1,6,1999,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242247227474441337833472122610167115',11862,'9999',49.16,1,3,NULL),(15,2186284,'1972-01-25 00:00:00',2,6,10,1998,'M','N','DAS NAÇÕES','BALNEARIO CAMBORIU','SC','224244241436171421428941315123133215197',15696,'391',43.82,1,3,NULL),(15,2186306,'1990-04-23 00:00:00',2,3,12,2006,'F','N','IPANEMA','PORTO ALEGRE','RS','120201201136371731436813374124610137147',NULL,'9998',24.29,1,3,NULL),(15,2186314,'1990-07-01 00:00:00',4,7,12,2006,'F','N','CENTRO','VIDEIRA','SC','124243241212131431227923572224231524097',NULL,'743',0.00,1,3,NULL),(15,2186322,'1990-09-26 00:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215111431269924572122610133142',3087,'270',65.87,1,3,NULL),(15,2186330,'1988-03-31 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241127573731336613572314610161147',14470,'95',45.46,1,2,1),(15,2186349,'1988-09-19 00:00:00',2,1,12,2006,'F','N','ASA SUL','BRASILIA','DF','107072071217371441367823431224610123022',15494,'9998',44.14,4,3,NULL),(15,2186365,'1985-04-15 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124201201145232431127979296344122266182',3426,'9998',64.93,1,2,1),(15,2186373,'1984-02-14 00:00:00',4,8,12,2001,'F','N','CONTORNO','PONTA GROSSA','PR','116161161316151421546313485124341364197',NULL,'9998',0.00,1,3,NULL),(15,2186390,'1988-04-07 00:00:00',2,1,12,2005,'F','N','ANHANGABAU','JUNDIAI','SP','125252251215571431568912571122610143192',1417,'9998',71.56,1,3,NULL),(15,2186403,'1983-08-03 00:00:00',2,1,12,2001,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242247235374711465833232112610167062',13726,'9999',46.58,1,3,NULL),(15,2186411,'1989-05-15 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124243241117272431137629191314121734082',11165,'635',50.21,1,3,NULL),(15,2186420,'1989-07-05 00:00:00',2,1,12,2006,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242241212472411465614582124231217117',7619,'737',55.99,1,3,NULL),(15,2186438,'1988-01-19 00:00:00',2,6,12,2005,'F','N','FLORESTA','PORTO ALEGRE','RS','120242241216572431363329575114610146147',2518,'389',67.58,1,3,NULL),(15,2186446,'1990-09-24 00:00:00',4,8,12,2007,'M','N','SAGUAÇU','JOINVILLE','SC','124244241415371231489511522112610127012',15516,'461',44.11,1,3,NULL),(15,2186454,'1989-05-04 00:00:00',4,2,12,2006,'F','N','CENTRO','TIMBO','SC','124241242115131431538714581121610128157',16300,'662',42.90,1,2,1),(15,2186462,'1988-11-25 00:00:00',4,2,12,2006,'M','N','GARCIA','BLUMENAU','SC','124244241215372431467923575111610124012',4977,'855',61.14,1,3,NULL),(15,2186470,'1988-02-20 00:00:00',4,1,12,2005,'F','N','JD PORTO ALEGRE','TOLEDO','PR','116161161116271431455832242331610127067',NULL,'9998',0.00,4,2,1),(15,2186489,'1989-06-26 00:00:00',4,1,12,2007,'M','N','AEROPORTO','JUNDIAI','SP','125252251215111711579933575122610124082',14606,'9998',45.27,1,3,NULL),(15,2186497,'1987-04-07 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242248216412711458914594124620827112',NULL,'1022',23.40,1,3,NULL),(15,2186500,'1990-06-10 00:00:00',2,5,12,2007,'F','N','SOARES','ARARANGUA','SC','124241241121131431523316471224610127057',21625,'250',33.44,1,2,1),(15,2186519,'1990-11-12 00:00:00',4,1,12,2007,'F','N','CENTRO','MONTENEGRO','RS','120204201417131431326635375324610131187',21887,'9998',32.66,1,3,NULL),(15,2186527,'1960-03-21 00:00:00',4,1,12,1977,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124251251116162431133644342332140226187',21978,'9998',32.33,1,2,1),(15,2186535,'1989-12-26 00:00:00',4,8,12,1989,'M','N','CENTRO','CAMPESTRE','MG','113131131116131731423511175122610164047',12643,'9998',48.08,1,2,1),(15,2186543,'1987-02-21 00:00:00',4,1,12,2005,'M','N','CENTRO','SANTO ANTONIO DE POSSE','SP','125201201215472441263612575112610162052',6558,'9998',57.96,1,3,NULL),(15,2186551,'1987-12-20 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124243247225141431646463311224610114072',21690,'300',33.29,2,3,NULL),(15,2186560,'1991-05-25 00:00:00',4,10,12,2007,'F','N','TRAVESSÃO','GRAVATAL','SC','124241241147141431434632222122610124057',15083,'332',44.69,1,2,1),(15,2186578,'1989-04-06 00:00:00',2,1,12,2005,'F','N','PRAINHA','FLORIANOPOLIS','SC','124243241117573431568733572122610137095',5699,'307',59.67,1,3,NULL),(15,2186586,'1990-04-07 00:00:00',4,1,12,2006,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241245272431633374342224610124052',NULL,'262',24.97,1,3,NULL),(15,2186594,'1989-11-25 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241217211431436934595124610134142',17344,'1022',41.32,1,3,NULL),(15,2186608,'1982-11-30 00:00:00',4,4,12,1999,'M','N','PRESIDENTE MÉDICI','CHAPECO','SC','124242241215372431358413485122331527047',3218,'168',65.48,1,3,NULL),(15,2186616,'1984-05-15 00:00:00',2,1,12,2001,'M','N','RESIDENCIAL PARAISO','FRANCA','SP','125252251211472431368811571124343222012',434,'9998',77.33,1,3,NULL),(15,2186624,'1991-03-03 00:00:00',4,4,12,2007,'M','N','ACS DOURADO','ARATIBA','RS','120201201115111431435923432224610137052',21018,'9998',34.82,1,3,NULL),(15,2186640,'1990-04-10 00:00:00',4,7,12,2007,'M','N','SAO FRANCISCO','LUZERNA','SC','124241248115211211436514595121610124117',NULL,'539',19.85,1,2,1),(15,2186675,'1989-07-28 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241147472431227633383214610132092',14658,'295',45.20,1,2,1),(15,2186691,'1990-06-01 00:00:00',4,1,12,2007,'F','N','SANTO ÂNGELO','CACHOEIRINHA','RS','120202201216111531347724475324610124147',NULL,'9998',24.29,4,3,NULL),(15,2186705,'1981-09-18 00:00:00',2,1,12,2000,'F','N','BELA VISTA','SAO JOSE','SC','124241243114135431433344442334610126187',14575,'293',45.30,1,2,1),(15,2186713,'1989-07-22 00:00:00',2,1,12,2006,'F','N','FORQUILHAS','SAO JOSE','SC','124241241117271431435421245224610123012',12009,'733',48.97,1,2,1),(15,2186721,'1989-09-18 00:00:00',2,2,12,2006,'M','N','CENTRO','ITUPORANGA','SC','124241241111151431534414575124610162097',16882,'416',42.04,1,2,1),(15,2186730,'1990-02-23 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241212171431421679572124610163072',15240,'1036',44.48,1,3,NULL),(15,2186748,'1989-02-25 00:00:00',4,10,11,2006,'M','N','CENTRO','TUBARAO','SC','124242241235372431356921576122221767033',4668,'806',61.83,1,3,NULL),(15,2186756,'1987-10-26 00:00:00',4,7,7,2004,'F','N','MONTE BELO','JOACABA','SC','124242241211272431439711342123130464117',NULL,'9999',14.36,1,3,NULL),(15,2186764,'1989-12-31 00:00:00',4,4,12,2006,'M','N','SÃO MIGUEL','CONCORDIA','SC','124243241115572431456719175125610167052',NULL,'192',31.34,1,3,NULL),(15,2186772,'1991-01-30 00:00:00',2,1,11,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124244241215121431376839574324610131142',9707,'270',52.41,1,3,NULL),(15,2186780,'1983-04-23 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217152411477713342132321427182',5060,'211',60.98,1,3,NULL),(15,2186799,'1990-02-24 00:00:00',4,1,12,2007,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241215112231469813575122610167052',10900,'262',50.62,1,3,NULL),(15,2186802,'1987-03-18 00:00:00',2,1,12,2003,'F','N','FLORESTA','SAO JOSE','SC','124241241116372431123549242124132727117',12562,'89',48.20,1,3,NULL),(15,2186829,'1988-07-27 00:00:00',3,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242247435514411334921275122610143097',3575,'9999',64.54,1,3,NULL),(15,2186837,'1986-02-08 00:00:00',4,1,12,2004,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242247217133441248613481324133222091',9153,'9999',53.35,1,3,NULL),(15,2186853,'1990-08-23 00:00:00',2,1,11,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215121431468921572122610167042',17709,'266',40.79,1,3,NULL),(15,2186861,'1989-12-06 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124162161212572431458711274122610163142',945,'9998',73.81,1,3,NULL),(15,2186870,'1988-08-27 00:00:00',4,1,12,2006,'F','N','SERRARIA','SAO JOSE','SC','124241241115372431366823575114610143097',7066,'306',57.03,1,2,1),(15,2186888,'1989-11-19 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124201241137131431226324572124610163143',21541,'288',33.65,4,3,NULL),(15,2186896,'1990-08-25 00:00:00',2,1,12,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124201201117171751428939395122610122097',17941,'9998',40.41,1,2,1),(15,2186900,'1988-01-27 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124052131216471431538832395324610127111',6306,'9998',58.44,4,3,NULL),(15,2186926,'1985-08-30 00:00:00',4,1,12,2002,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215575431545631271122610134017',10140,'269',51.73,1,3,NULL),(15,2186934,'1990-03-08 00:00:00',2,10,11,2007,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124243241317131431337833575124610144097',9698,'359',52.42,1,3,NULL),(15,2186950,'1990-10-13 00:00:00',2,1,12,2007,'M','N','LICORSUL','BENTO GONCALVES','RS','120201201217221411438632375324610168172',14901,'9998',44.91,1,3,NULL),(15,2186969,'1988-12-20 00:00:00',4,1,12,2006,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217372731469812575112610127045',524,'270',76.61,1,3,NULL),(15,2186985,'1983-12-07 00:00:00',2,1,12,2001,'M','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124201246122271421234614245124610161062',14217,'257',45.85,1,3,NULL),(15,2186993,'1988-12-14 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124162161212573431456711275122121463142',497,'9998',76.85,1,3,NULL),(15,2187000,'1989-03-25 00:00:00',4,8,12,2006,'M','N','GURILANDIA','TAUBATE','SP','125251251125411431526511271224610136187',NULL,'9998',0.00,1,3,NULL),(15,2187019,'1990-02-12 00:00:00',4,2,11,2007,'M','N','CENTRO','BRUSQUE','SC','124242241215272411566632275112610162047',1908,'107',69.57,1,3,NULL),(15,2187027,'1988-11-16 00:00:00',4,8,12,2006,'M','N','AMÉRICA','JOINVILLE','SC','124242241216373432456819375112133262124',4194,'457',62.92,1,3,NULL),(15,2187051,'1990-02-06 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGOA VERMELHA','RS','120164201215111431339831375122610131077',NULL,'9998',0.00,1,3,NULL),(15,2187060,'1979-05-26 00:00:00',2,1,11,1998,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124161168126131112423344346124340733037',11993,'9998',48.99,1,3,NULL),(15,2187078,'1989-09-13 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242244216412431468919495122610124112',18792,'226',38.99,1,3,NULL),(15,2187086,'1988-08-03 00:00:00',4,1,12,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124112111216373431566614574124233226182',1301,'9998',72.06,1,3,NULL),(15,2187094,'1986-09-13 00:00:00',2,1,12,2004,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241236574432459613442124610136147',7661,'272',55.93,1,3,NULL),(15,2187116,'1985-05-08 00:00:00',2,8,12,2003,'M','N','CAMPO LIMPO','SAO PAULO','SP','125251251116571441325329592324610147057',7579,'9998',56.07,1,2,1),(15,2187124,'1989-12-09 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241215372411324415275124610165191',3696,'389',64.23,1,3,NULL),(15,2187132,'1985-04-09 00:00:00',4,1,11,2003,'M','N','ASSIS BRASIL','IJUI','RS','120202201217271431556631285122140324183',11222,'9998',50.12,1,3,NULL),(15,2187140,'1989-05-21 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241215112451338834291324221764192',16644,'44',42.39,1,3,NULL),(15,2187159,'1989-12-01 00:00:00',2,3,12,2007,'M','N','PINHEIRINHO','PATO BRANCO','PR','116161161417111431445514275123610167067',18063,'9998',40.21,1,3,NULL),(15,2187167,'1990-07-10 00:00:00',2,5,12,2007,'F','N','VILA SÃO JOSÉ','ARARANGUA','SC','124242241215111431556932572122610134142',19230,'9997',38.29,1,3,NULL),(15,2187175,'1977-08-01 00:00:00',4,1,7,1998,'F','N','CENTRO','FLORIANOPOLIS','SC','124161247442231441122144445234131122042',19560,'489',37.71,1,3,NULL),(15,2187183,'1989-04-17 00:00:00',2,10,12,2006,'F','N','CIDADE ALTA','SANTO ANTONIO DA PATRULHA','RS','119201201117471431436733575122610137057',18085,'9998',40.17,1,2,1),(15,2187205,'1989-08-27 00:00:00',2,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124242241215372431335621372122610167117',11073,'270',50.35,1,3,NULL),(15,2187213,'1973-07-30 00:00:00',4,1,6,1992,'M','N','FORQUILHINHAS','SAO JOSE','SC','224241246127372411233243232324122267047',NULL,'306',0.00,1,2,1),(15,2187221,'1986-10-31 00:00:00',4,8,6,2004,'F','N','SAGUAÇÚ','JOINVILLE','SC','124241248442131421123344242134610145142',NULL,'9999',0.00,5,3,NULL),(15,2187230,'1990-07-10 00:00:00',2,4,11,2007,'F','N','CENTRO','CHAPECO','SC','124244248416371731322539595124610167142',20911,'185',35.06,4,3,NULL),(15,2187248,'1984-09-29 00:00:00',2,1,12,2002,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241334371431223315442124610125017',18564,'424',39.38,1,3,NULL),(15,2187256,'1990-04-10 00:00:00',4,7,12,2007,'M','N','SÃO FRANCISCO','LUZERNA','SC','124241248115221211436514595122610114187',NULL,'539',20.53,1,2,1),(15,2187264,'1989-03-14 00:00:00',4,1,11,2006,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124242241211471431368812571123610116112',NULL,'807',0.00,1,3,NULL),(15,2187272,'1986-04-24 00:00:00',2,1,10,2004,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241117371731434321342333610127047',7514,'9997',56.21,1,2,1),(15,2187280,'1990-07-21 00:00:00',4,1,11,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241215111441443624282122610118142',16306,'1010',42.89,1,3,NULL),(15,2187299,'1973-10-17 00:00:00',4,1,11,1990,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215372431236641212121131267187',7670,'262',55.91,1,3,NULL),(15,2187302,'1989-11-23 00:00:00',4,10,11,2007,'M','N','MAGALHÃES','LAGUNA','SC','124246241215111431447713442122610137042',18495,'525',39.49,1,3,NULL),(15,2187310,'1990-04-21 00:00:00',4,9,11,2007,'M','N','S CORAÇÃO DE JESUS','LAGES','SC','124241241215251431458752575112610134012',7297,'497',56.61,1,3,NULL),(15,2187329,'1990-05-30 00:00:00',4,7,11,2007,'F','N','CENTRO','CONCORDIA','SC','124242241215111432568712572112610124072',16003,'1000',43.38,1,3,NULL),(15,2187337,'1989-09-01 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241145121431666377372324610137047',NULL,'307',22.97,1,2,1),(15,2187345,'1985-10-31 00:00:00',2,1,12,2003,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241241147374421423314342334610121147',9939,'294',52.02,1,2,1),(15,2187353,'1978-01-26 00:00:00',4,1,11,1998,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124204201247141431238679415334610166177',11340,'9998',49.93,1,3,NULL),(15,2187361,'1987-12-22 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241117373551336724372124610127147',8146,'306',55.10,4,3,NULL),(15,2187370,'1988-02-29 00:00:00',4,1,7,2006,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124242247417133431568634595124230468092',14111,'9999',46.02,1,3,NULL),(15,2187388,'1989-01-15 00:00:00',2,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124242241215372431368933572124610124021',6227,'270',58.60,1,3,NULL),(15,2187396,'1989-12-04 00:00:00',4,8,12,2007,'M','N','AMIZADE','JARAGUA DO SUL','SC','124132241417371432578714346111610127073',12391,'424',48.44,1,3,NULL),(15,2187400,'1990-11-26 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215272431467834575112610161197',6608,'738',57.88,1,3,NULL),(15,2187426,'1989-03-07 00:00:00',2,5,6,2007,'F','N','CENTRO','ICARA','SC','124242248216371231443319495124610137077',NULL,'995',0.00,1,3,NULL),(15,2187434,'1990-06-30 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241111371732467714595124610164045',7015,'267',57.12,1,3,NULL),(15,2187442,'1990-05-17 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161237171411548712372122610116187',NULL,'9998',0.00,1,3,NULL),(15,2187450,'1989-03-19 00:00:00',4,9,12,2006,'F','N','CORAL','LAGES','SC','124242241215271431663612172114610138142',NULL,'499',39.00,1,3,NULL),(15,2187469,'1988-07-30 00:00:00',4,1,4,2006,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124242241115573431468814326132130227142',7071,'739',57.02,3,3,NULL),(15,2187477,'1988-01-04 00:00:00',4,1,12,2005,'F','N','BUTANTÃ','SAO PAULO','SP','125252251117472421467814341134610164077',NULL,'9998',0.00,1,3,NULL),(15,2187485,'1989-08-11 00:00:00',2,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124244241215372431468813572114131023157',6165,'270',58.73,1,3,NULL),(15,2187493,'1990-05-04 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215221431466823572112610137147',11275,'226',50.04,1,3,NULL),(15,2187523,'1988-11-25 00:00:00',4,1,11,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124244241412153411446631372124230264187',10949,'1022',50.54,3,3,NULL),(15,2187531,'1989-09-09 00:00:00',4,7,11,2006,'F','N','PARQUE ITÁLIA','CAMPINAS','SP','125243241215472431346924275124610162147',7028,'885',57.10,1,3,NULL),(15,2187540,'1991-06-28 00:00:00',4,1,1,2008,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241217111531389923575122610137077',8211,'270',54.99,1,3,NULL),(15,2187558,'1990-02-24 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241112131531446633272322610114147',NULL,'298',21.17,1,2,1),(15,2187566,'1989-12-28 00:00:00',4,7,12,2006,'F','N','CENTRO','PINHEIRO PRETO','SC','124241241127161431423931385124233224117',NULL,'618',29.79,4,2,1),(15,2187574,'1991-04-03 00:00:00',4,1,12,2008,'F','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215111432459913572112610123092',NULL,'270',54.72,1,3,NULL),(15,2187582,'1984-06-12 00:00:00',4,1,12,2002,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244241137135411356614345115122214171',16825,'307',42.13,1,3,NULL),(15,2187604,'1990-02-22 00:00:00',2,1,12,2007,'M','N','ZONA SUL','ILHA SOLTEIRA','SP','125252251216111231348823475112610167054',17467,'9998',41.13,1,3,NULL),(15,2187612,'1978-05-30 00:00:00',2,2,12,1998,'F','N','ASILO','BLUMENAU','SC','224242247226271411429652281124231331087',21296,'67',34.21,1,3,NULL),(15,2187620,'1986-04-26 00:00:00',2,1,12,2004,'F','N','BELA VISTA III','SAO JOSE','SC','124241248145272721436613295124610134144',22426,'726',30.03,1,2,1),(15,2187639,'1990-05-04 00:00:00',2,1,11,2007,'F','N','CENTRO','CASCAVEL','PR','116162161217121441378911415122610131053',10049,'9998',51.85,1,3,NULL),(15,2187647,'1989-12-28 00:00:00',2,5,12,2006,'F','N','RIO MAINA','CRICIUMA','SC','124242241215112431439813572224221727042',9495,'226',52.78,1,3,NULL),(15,2187655,'1987-01-15 00:00:00',4,8,12,2004,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124252241415471431338824442135610122092',2733,'459',66.93,1,3,NULL),(15,2187663,'1979-12-04 00:00:00',4,1,12,1997,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241212131431238844445334232814117',18483,'487',39.52,1,3,NULL),(15,2187671,'1990-03-01 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215151431468632572122610167042',12095,'262',48.87,1,3,NULL),(15,2187680,'1990-04-20 00:00:00',4,8,12,2007,'F','N','CIDADE NOVA','SANTA BARBARA D OESTE','SP','125251251116471441226629376124610132197',11960,'9998',49.03,4,2,1),(15,2187698,'1990-12-21 00:00:00',2,4,12,2007,'F','N','PRESCIDENTE MEDICE','CHAPECO','SC','124244241216371731326933575122610123146',20500,'185',35.88,3,3,NULL),(15,2187701,'1990-04-15 00:00:00',2,1,12,2007,'M','N','SERTAO DO MARUIM','SAO JOSE','SC','124241248117141731533319395124610127142',22465,'732',29.29,1,2,1),(15,2187710,'1990-01-16 00:00:00',2,2,12,2007,'M','N','IMIGRANTES','TIMBO','SC','124241241215121431456662315121610124117',17658,'9997',40.86,1,3,NULL),(15,2187728,'1990-01-17 00:00:00',4,1,12,2007,'F','N','ITAGUAÇÚ','FLORIANOPOLIS','SC','124242241215111431488811571124610134092',1532,'270',71.06,1,3,NULL),(15,2187736,'1990-12-16 00:00:00',2,8,12,2007,'M','N','CENTRO','ARAQUARI','SC','124241241136131731435436575324610128012',17838,'25',40.61,1,2,1),(15,2187744,'1988-12-31 00:00:00',4,8,12,2007,'F','N','GLÓRIA','JOINVILLE','SC','124252241217372431468739195114610138082',10214,'1105',51.60,1,3,NULL),(15,2187752,'1990-11-03 00:00:00',2,1,12,2007,'F','N','NSA SRA DO ROSÁRIO','SAO JOSE','SC','124244241222111411425513185112610115051',22111,'724',31.87,1,3,NULL),(15,2187760,'1990-06-15 00:00:00',2,1,12,2007,'F','N','FUNDOS','BIGUACU','SC','124243241215131431334314375124610128187',14149,'988',45.97,1,3,NULL),(15,2187779,'1987-01-21 00:00:00',4,3,12,2004,'M','N','SUMARE','RIO DO SUL','SC','124241241127371431213329282325610164012',14133,'659',45.99,1,2,1),(15,2187787,'1981-04-14 00:00:00',4,1,12,2000,'F','N','CHAPADAO','CAMPINAS','SP','225254251432271421348851392344542868127',NULL,'9998',0.00,1,3,NULL),(15,2187795,'1986-11-11 00:00:00',4,1,7,2006,'M','N','CAMPINAS','SAO JOSE','SC','124243247222271431336623375124610138197',19204,'1076',38.34,1,3,NULL),(15,2187809,'1989-09-24 00:00:00',4,1,12,2008,'F','S','COQUEIROS','FLORIANOPOLIS','SC','124242241215111451356824594224610128077',NULL,'1036',20.10,1,3,NULL),(15,2187817,'1989-11-01 00:00:00',2,1,12,2006,'M','N','CENTRO','CASCAVEL','PR','116164161435411431446823332111610167067',17970,'9998',40.36,4,3,NULL),(15,2187825,'1990-09-12 00:00:00',4,1,12,2007,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241241215111411437823475124610128014',18595,'1076',39.33,1,3,NULL),(15,2187833,'1990-09-03 00:00:00',4,2,12,2007,'F','N','SOUZA CRUZ','BRUSQUE','SC','124242241215372431668812575122610116092',1512,'109',71.14,1,3,NULL),(15,2187850,'1990-07-06 00:00:00',4,9,11,2007,'F','N','SÍTIO CERCADO','CURITIBA','PR','116242161216122731469613575112610137147',2883,'9998',66.49,1,3,NULL),(15,2187868,'1990-09-20 00:00:00',2,5,11,2007,'M','N','COMERCIÁRIO','CRICIUMA','SC','124242241215131431549911572122610127067',6441,'211',58.19,1,3,NULL),(15,2187876,'1990-03-14 00:00:00',4,4,11,2007,'F','N','CENTRO','CONCORDIA','SC','124242241216111431546612322122610168182',NULL,'1000',23.62,1,3,NULL),(15,2187884,'1990-09-27 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217111431468911575112610124092',1355,'270',71.85,1,3,NULL),(15,2187892,'1990-07-02 00:00:00',4,1,11,2007,'M','N','JARDIM','CONCORDIA','SC','124242241215121431488833435114610134061',1235,'270',72.31,1,3,NULL),(15,2187906,'1987-04-14 00:00:00',2,8,12,2004,'M','N','PAUAS','SAO FRANCISCO DO SUL','SC','124242241214473431558611592114610164182',10185,'992',51.65,1,3,NULL),(15,2187914,'1990-04-19 00:00:00',4,1,12,2007,'M','N','CENTRO','AMERICANA','SP','125254251216121731578711571121610164047',5973,'9998',59.13,1,3,NULL),(15,2187922,'1991-01-17 00:00:00',4,1,12,2007,'M','N','CAROLINA','SANTA MARIA','RS','124241201117122451549931471124613237142',9154,'9998',53.35,1,3,NULL),(15,2187930,'1991-02-09 00:00:00',4,1,11,2008,'F','S','JOAO PAULO','FLORIANOPOLIS','SC','124242241215111442369934572125610123142',NULL,'266',67.79,1,3,NULL),(15,2187949,'1990-10-23 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241115131731546613572124610162077',NULL,'21',24.84,1,2,1),(15,2187957,'1990-01-02 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111411368814372124610124073',9219,'1022',53.24,1,3,NULL),(15,2187965,'1990-06-03 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431458622575214610114092',10605,'270',51.01,1,3,NULL),(15,2187981,'1982-11-30 00:00:00',4,1,2,2003,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','125251257617271751145519391314610164057',18631,'9999',39.27,1,3,NULL),(15,2188007,'1990-03-06 00:00:00',4,3,12,2007,'F','N','JARDIM PAULISTA','ASSIS','SP','125251251116151731556639384122610121097',19457,'9998',37.91,1,2,1),(15,2188015,'1988-01-16 00:00:00',4,1,12,2004,'F','N','CENTRO','SANTANA DO LIVRAMENTO','RS','120202201216271431638823375125140236192',NULL,'9998',0.00,1,3,NULL),(15,2188023,'1990-09-20 00:00:00',4,1,12,2008,'F','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241217111431449813332122610123055',NULL,'883',51.98,1,3,NULL),(15,2188031,'1990-01-30 00:00:00',4,1,12,2007,'M','N','PRAIA JOÃO ROSA','BIGUACU','SC','124242241215372431456813574124610124182',4997,'1040',61.09,1,3,NULL),(15,2188040,'1983-05-21 00:00:00',2,3,12,1999,'F','N','CENTRO','UMUARAMA','PR','116161161416571431556724242124141322152',22315,'9998',30.94,1,3,NULL),(15,2188058,'1971-02-08 00:00:00',2,1,12,1988,'F','N','CENTRO','FLORIANOPOLIS','SC','224201203136243421274653335124431062092',4913,'9998',61.28,1,2,1),(15,2188066,'1989-09-26 00:00:00',2,1,8,2007,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124243241115271441536623475114610135145',7701,'739',55.86,1,3,NULL),(15,2188074,'1990-01-01 00:00:00',2,4,12,2006,'F','N','JARDIM CLÍMAX','DOURADOS','MS','112243241216112431337733575124242464177',3263,'185',65.36,1,3,NULL),(15,2188082,'1989-07-06 00:00:00',4,1,12,2006,'M','N','CAMPINAS','SAO JOSE','SC','124241241122131721223624242124610114047',20528,'736',35.84,1,2,1),(15,2188090,'1990-07-03 00:00:00',2,6,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215231431248724272121610167042',10908,'44',50.60,1,3,NULL),(15,2188104,'1989-09-23 00:00:00',4,1,12,2007,'M','N','CENTRO','VILA NOVA DO SUL','RS','120203201116161432455832572125610167047',17976,'9998',40.35,1,3,NULL),(15,2188112,'1989-09-29 00:00:00',4,1,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124052241215151431366711475121610124027',19421,'44',37.97,4,3,NULL),(15,2188120,'1991-02-20 00:00:00',2,4,11,2007,'F','N','SAO JORGE','SAO MIGUEL DOESTE','SC','124242241316111431335622575122610122192',15755,'752',43.73,1,3,NULL),(15,2188139,'1990-04-10 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241217151732379813575112610144194',NULL,'270',0.00,1,3,NULL),(15,2188147,'1988-05-20 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124123121216573411336823571224610127057',1751,'9998',70.21,2,3,NULL),(15,2188155,'1990-06-01 00:00:00',4,1,12,2007,'M','N','CENTRO','CAXIAS DO SUL','RS','124241201126271441543511275124610135012',1435,'9998',71.50,1,2,1),(15,2188163,'1990-07-03 00:00:00',4,1,11,2007,'M','N','JARDIM BIGUAÇU','BIGUACU','SC','124243241325111431332411172121610128012',NULL,'63',22.95,4,3,NULL),(15,2188171,'1990-02-26 00:00:00',2,1,12,2007,'M','N','CENTRO','PALHOCA','SC','124243241216151432447833472221610117117',NULL,'989',15.45,1,3,NULL),(15,2188180,'1986-01-31 00:00:00',2,1,12,2002,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124203203342473751435929382324140243187',21135,'9998',34.58,1,3,NULL),(15,2188198,'1990-04-05 00:00:00',4,3,11,2007,'F','N','CENTRO','CURITIBA','PR','116241161215111431186512572114610137112',NULL,'9998',0.00,1,3,NULL),(15,2188201,'1987-08-02 00:00:00',4,1,12,2004,'M','N','NOIVA DA COLINA','PIRACICABA','SP','125251251115572411536614444324610117092',18623,'9998',39.29,4,2,1),(15,2188228,'1989-09-01 00:00:00',4,1,11,2007,'M','N','CANTRO','FLORIANOPOLIS','SC','124242241213111421548833343134610167062',14437,'270',45.52,1,3,NULL),(15,2188236,'1990-03-09 00:00:00',4,10,11,2007,'M','N','OFICINAS','TUBARAO','SC','124242248215131231458832572121610127067',13864,'807',46.37,1,3,NULL),(15,2188244,'1989-04-13 00:00:00',2,1,12,2007,'M','N','AREIAS','SAO JOSE','SC','124241241117371421656534342123610137062',15765,'257',43.73,1,2,1),(15,2188252,'1988-02-10 00:00:00',4,1,6,2007,'M','N','JARDIM DAS PALMEIRAS','SUMARE','SP','125251257447371441466612345112610167113',NULL,'9999',0.00,1,3,NULL),(15,2188260,'1991-03-02 00:00:00',4,1,11,2008,'F','S','IPIRANGA','SAO JOSE','SC','124242241217111411436634572124610114147',NULL,'1118',44.18,1,3,NULL),(15,2188279,'1991-07-11 00:00:00',4,1,12,2008,'F','S','GUIOMAR','ANTONIO CARLOS','SC','124241248114111451526335571221610167072',NULL,'21',42.65,1,3,NULL),(15,2188287,'1984-01-06 00:00:00',4,1,12,2001,'F','N','POMPEIA','SANTOS','SP','125252251216572431456819292124610164197',10773,'9998',50.78,1,3,NULL),(15,2188295,'1986-09-10 00:00:00',2,1,12,2004,'M','N','PANTANAL','FLORIANOPOLIS','SC','124243246346273331557633145125610137117',11117,'1022',50.27,1,3,NULL),(15,2188309,'1988-09-30 00:00:00',2,5,11,2007,'F','N','IGRA','TORRES','RS','120201201416111451458773572122610138183',10180,'9998',51.66,4,3,NULL),(15,2188317,'1989-03-13 00:00:00',4,1,12,2006,'M','N','NOSSA SRA ROSARIO','SAO JOSE','SC','124242241215412411446612435114610137072',16215,'1036',43.03,1,3,NULL),(15,2188325,'1990-08-25 00:00:00',4,7,12,2007,'M','N','CENTRO','IPUMIRIM','SC','124243245217111411429931475124610137012',13123,'190',47.43,1,3,NULL),(15,2188333,'1990-11-28 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215271431379933575112610162182',2835,'1022',66.65,1,3,NULL),(15,2188341,'1989-11-05 00:00:00',2,1,12,2006,'F','N','SÃO GOTARDO','FLORES DA CUNHA','RS','120201201117131431423314272324610131147',22375,'9998',30.53,1,3,NULL),(15,2188350,'1986-02-10 00:00:00',4,1,12,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242247336271431548843335122610122187',17807,'9999',40.66,3,3,NULL),(15,2188368,'1990-11-12 00:00:00',2,5,11,2007,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124241241215111431468933392122610127142',1180,'226',72.57,1,3,NULL),(15,2188376,'1990-09-24 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215112411573612375121610137092',5548,'270',59.97,1,3,NULL),(15,2188384,'1989-11-06 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215151431347812572122610136082',13377,'1050',47.08,1,3,NULL),(15,2188406,'1987-12-21 00:00:00',2,8,11,2007,'M','N','ILHA DA FIGUEIRA','JARAGUA DO SUL','SC','124241247137131411536574242331610127187',22159,'9999',31.70,1,2,1),(15,2188414,'1990-12-01 00:00:00',3,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215372431579911412112610122142',720,'262',75.22,1,3,NULL),(15,2188422,'1986-07-22 00:00:00',2,1,6,2005,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124252257216573431179924382324610161151',6812,'9999',57.52,4,3,NULL),(15,2188430,'1989-10-25 00:00:00',2,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242248215121431344829391124610122062',19072,'1022',38.56,1,3,NULL),(15,2188449,'1961-09-28 00:00:00',2,1,12,1999,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','524241247116274711244443335124610121137',NULL,'9999',26.03,1,2,1),(15,2188457,'1988-09-02 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124201201147371731533316291114610148147',21053,'9998',34.75,1,3,NULL),(15,2188465,'1987-09-09 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215372431459932475112131462051',NULL,'461',0.00,1,3,NULL),(15,2188473,'1990-02-17 00:00:00',2,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124241241212121421469614272122610123042',20093,'723',36.63,1,3,NULL),(15,2188481,'1990-04-30 00:00:00',4,1,12,2006,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241211152232479921571114610164177',7380,'270',56.45,1,3,NULL),(15,2188490,'1989-07-05 00:00:00',2,1,12,2006,'M','N','GUARDA DO CUBATÃO','PALHOCA','SC','124242241316322431456613572124610118172',2143,'1011',68.83,1,3,NULL),(15,2188503,'1989-07-24 00:00:00',4,1,10,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241247147131411227832385124610114112',10099,'9999',51.78,1,3,NULL),(15,2188511,'1990-10-15 00:00:00',4,1,9,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161217131431348931394124610167057',13001,'9998',47.59,1,3,NULL),(15,2188520,'1991-03-09 00:00:00',2,7,12,2007,'F','N','CENTRO','LUZERNA','SC','124241241116131531225524595125610113142',NULL,'539',19.72,1,2,1),(15,2188538,'1990-05-05 00:00:00',2,1,12,2007,'M','N','CAMINHO NOVO','PALHOCA','SC','124241241215111411535633332114610167057',19842,'1022',37.13,1,3,NULL),(15,2188546,'1990-01-24 00:00:00',4,1,11,2007,'F','N','PIATÃ','SALVADOR','BA','105052051216111431479813475122610166102',6997,'9998',57.16,1,3,NULL),(15,2188562,'1989-12-15 00:00:00',4,1,12,2007,'M','N','CENTRO','ITAPORANGA','SP','125253251117131731238833575122610137141',NULL,'9998',34.10,1,3,NULL),(15,2188570,'1990-11-23 00:00:00',2,2,12,2007,'F','N','SOUZA CRUZ','BRUSQUE','SC','124242241235271431465532575122610132092',6093,'107',58.89,1,3,NULL),(15,2188597,'1989-12-22 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241215372431524621382324610122037',4257,'738',62.79,2,1,2),(15,2188600,'1990-04-26 00:00:00',4,1,11,2007,'M','N','JARDIM LIMA','FRANCA','SP','125253251215171431366823575122610134042',15510,'9998',44.12,1,3,NULL),(15,2188619,'1990-09-12 00:00:00',2,4,12,2007,'M','N','LINHA DAS PALMEIRAS','XAVANTINA','SC','124241241417131431435619375122610127057',NULL,'840',16.08,1,3,NULL),(15,2188627,'1989-10-05 00:00:00',2,1,12,2007,'F','N','BOA VISTA','NOVO HAMBURGO','RS','120202201416131431467814371122610121097',NULL,'9998',0.00,1,3,NULL),(15,2188635,'1984-05-24 00:00:00',4,1,12,2001,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215373421378619475124221467052',2911,'262',66.41,1,3,NULL),(15,2188643,'1989-11-10 00:00:00',2,4,11,2007,'M','N','SANTA MARIA','CHAPECO','SC','124242241215471331378934442242610147092',11264,'185',50.07,1,3,NULL),(15,2188651,'1989-11-15 00:00:00',2,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124244241215121431467933372122610166182',13008,'1076',47.58,1,3,NULL),(15,2188660,'1991-01-21 00:00:00',4,1,11,2008,'F','S','TRINDADE','FLORIANOPOLIS','SC','124241241217111431468933572124610151055',NULL,'262',54.10,1,3,NULL),(15,2188678,'1990-03-01 00:00:00',4,3,11,2007,'F','N','PIONEIROS','BALNEARIO CAMBORIU','SC','124243241215371431568411572122610162012',NULL,'44',28.98,1,3,NULL),(15,2188686,'1983-12-20 00:00:00',2,1,12,2001,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212373431558614482114333227052',6607,'269',57.88,1,3,NULL),(15,2188694,'1990-06-25 00:00:00',2,6,12,2007,'M','N','CORDEIROS','ITAJAI','SC','124241241332131431426631242331610132197',20138,'388',36.55,1,3,NULL),(15,2188708,'1986-04-26 00:00:00',4,3,12,2003,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241216332721246729572322231467067',NULL,'44',0.00,4,3,NULL),(15,2188716,'1989-09-15 00:00:00',4,1,12,2006,'F','N','JD LUMEN CHRISTI','CAMPINAS','SP','125251251116151411338814275114610137142',NULL,'9998',0.00,4,3,NULL),(15,2188724,'1989-11-22 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124203201215472431327723571224610136141',4184,'9998',62.95,1,3,NULL),(15,2188732,'1990-04-17 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215151431238924575114610164052',642,'270',75.77,4,3,NULL),(15,2188740,'1990-09-23 00:00:00',4,1,12,2007,'F','N','CENTRO','BIGUACU','SC','124242241215121431444723575124610121097',10497,'1022',51.18,1,3,NULL),(15,2188759,'1990-07-22 00:00:00',2,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124241248117271332454314272121610137047',22146,'51',31.74,1,2,1),(15,2188767,'1986-04-02 00:00:00',2,1,12,1984,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124201161117371451656363495124610128095',NULL,'9998',20.68,1,3,NULL),(15,2188775,'1989-08-29 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215143411668819595124231434143',10326,'270',51.45,1,3,NULL),(15,2188783,'1989-04-19 00:00:00',4,8,12,2006,'M','N','REBOUÇAS','CURITIBA','PR','116162161215212731468829575115610127042',9218,'9998',53.25,1,3,NULL),(15,2188791,'1987-12-03 00:00:00',4,1,12,2005,'M','N','VILA OLIMPIA','SAO PAULO','SP','125252251217572431588814575112610127112',3790,'9998',63.99,3,3,NULL),(15,2188805,'1991-10-29 00:00:00',2,7,12,2007,'M','N','VILA ALEMANHA','LUZERNA','SC','124241241117131531336623575121610117077',13275,'539',47.21,1,2,1),(15,2188821,'1990-05-02 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241115141111335411572222610124145',NULL,'732',15.76,1,2,1),(15,2188830,'1982-01-01 00:00:00',4,1,6,2002,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124241243136574431546511245124121164167',1184,'739',72.55,1,2,1),(15,2188848,'1990-04-23 00:00:00',2,1,11,2006,'F','N','JARDIM BIGUAÇU','BIGUACU','SC','124242241215372431438613345122610164112',20815,'1022',35.25,1,3,NULL),(15,2188856,'1990-01-14 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241415221431539714342124610127147',1553,'300',70.98,1,3,NULL),(15,2188864,'1990-11-14 00:00:00',4,7,12,2007,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241215271431488812472124610138147',12767,'962',47.90,1,3,NULL),(15,2188872,'1986-03-23 00:00:00',2,1,12,2003,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124241241216135731655724215123130237047',13035,'269',47.54,4,3,NULL),(15,2188880,'1976-11-27 00:00:00',4,1,12,1993,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241116134421557319494134322226097',3745,'271',64.08,1,2,1),(15,2188899,'1989-02-19 00:00:00',2,1,11,2006,'M','N','BELA VISTA','ERECHIM','RS','120202201216372331579314585124221417052',4831,'9998',61.46,1,3,NULL),(15,2188902,'1990-01-04 00:00:00',4,1,11,2007,'F','N','CENTRO','MAIRINQUE','SP','125252251216131431544831572212610142147',14917,'9998',44.89,1,3,NULL),(15,2188910,'1990-01-06 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211111431367817571115610112042',11513,'266',49.69,1,3,NULL),(15,2188929,'1982-12-15 00:00:00',2,1,12,2001,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242248212373411546619345132610164097',NULL,'269',15.96,1,3,NULL),(15,2188937,'1990-04-17 00:00:00',4,10,11,2007,'F','N','AEROPORTO','TUBARAO','SC','124242241215272431558833576122610126092',5199,'797',60.71,1,3,NULL),(15,2188945,'1981-04-29 00:00:00',2,1,12,2001,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241127575431245343432113610122187',2943,'296',66.32,4,2,1),(15,2188953,'1990-09-11 00:00:00',4,1,12,2007,'M','N','CENTRO','CARAZINHO','RS','120202201217271712468933571124610132053',7689,'9998',55.88,1,3,NULL),(15,2188961,'1988-08-06 00:00:00',4,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124244241211371411437418571224610156017',19963,'1022',36.90,1,3,NULL),(15,2188970,'1989-12-21 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124243241115131421426633332224610127057',13598,'592',46.75,1,3,NULL),(15,2188988,'1987-05-15 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241117131421233344245334133224177',NULL,'79',0.00,1,3,NULL),(15,2188996,'1990-07-05 00:00:00',4,3,11,2007,'F','N','CENTRO','CAMBORIU','SC','124242248212111221356619192122610135072',NULL,'394',22.45,1,3,NULL),(15,2189003,'1989-06-24 00:00:00',4,1,12,2006,'F','N','RODOVIARIA PARQUE','CUIABA','MT','111112111236471431548912575122610122077',NULL,'9998',0.00,1,3,NULL),(15,2189038,'1990-01-07 00:00:00',2,1,12,2007,'F','N','INDUSTRIAL NORTE','RIO NEGRINHO','SC','124241241115131431434923371324610114012',20915,'669',35.05,1,3,NULL),(15,2189046,'1978-01-26 00:00:00',4,1,12,1997,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124253247327131431238619315134610118117',14671,'9997',45.19,1,3,NULL),(15,2189054,'1990-02-25 00:00:00',2,1,12,2007,'M','N','CENTRO','NOVA TRENTO','SC','124244241417151241256611295122610167052',2154,'981',68.76,1,3,NULL),(15,2189062,'1989-09-25 00:00:00',4,6,12,2007,'M','N','CACHOEIRA DOURADA','GOIANIA','GO','109092091235111431334321572224610162042',4138,'9998',63.09,4,3,NULL),(15,2189070,'1990-08-02 00:00:00',2,8,11,2007,'F','N','ATIRADORES','JOINVILLE','SC','124241241212271431438613572125610123147',15334,'461',44.35,1,3,NULL),(15,2189089,'1984-05-30 00:00:00',4,4,12,2001,'M','N','MARIA GORETTI','CHAPECO','SC','124241241136471431146743435223231067082',NULL,'169',12.57,1,2,1),(15,2189100,'1990-05-23 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124243241215271731558413575114610168142',5723,'738',59.62,4,3,NULL),(15,2189119,'1990-08-21 00:00:00',4,9,11,2007,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241415112731458732225122610168192',NULL,'497',37.50,1,3,NULL),(15,2189127,'1989-01-31 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124241241115131411349613575122610124187',17702,'267',40.80,1,2,1),(15,2189135,'1989-06-22 00:00:00',2,5,12,2006,'M','N','BOTAFOGO','BENTO GONCALVES','RS','120201201136471431545311174112610137112',3016,'9998',66.09,1,2,1),(15,2189143,'1988-12-14 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241115373521546614272124610117082',14000,'257',46.15,1,2,1),(15,2189151,'1985-03-16 00:00:00',2,1,12,2004,'F','N','GUARDA DO EMBAU','PALHOCA','SC','124241248142131411411119472114610143147',21664,'595',33.36,4,3,NULL),(15,2189160,'1990-02-05 00:00:00',4,4,12,2007,'F','N','CENTRO','MARAVILHA','SC','124241241112131411333624292125610164052',NULL,'552',14.56,1,2,1),(15,2189178,'1991-10-15 00:00:00',2,1,11,2008,'F','S','CENTRO','SAO JOSE','SC','124242241115111451469613595122610127172',NULL,'270',31.30,1,3,NULL),(15,2189186,'1987-09-04 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242247116472411267613215124610162012',2331,'9999',68.12,4,3,NULL),(15,2189194,'1979-05-07 00:00:00',4,1,11,1997,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244241315274431646639492124320214147',3595,'269',64.49,1,3,NULL),(15,2189208,'1990-04-22 00:00:00',4,1,11,2007,'M','N','BOSQUE DOS EUCALIPTO','SAO JOSE DOS CAMPOS','SP','125252251215111431458834575122610167052',10045,'9998',51.86,1,3,NULL),(15,2189216,'1990-03-28 00:00:00',4,1,12,2007,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124244241215111431568833572114610164092',1258,'1022',72.22,1,3,NULL),(15,2189224,'1990-02-07 00:00:00',4,2,11,2007,'M','N','VILA NOVA','BLUMENAU','SC','124242241215112431458712591122610168012',4351,'909',62.59,1,3,NULL),(15,2189232,'1984-11-11 00:00:00',2,1,12,2003,'F','N','FAZENDA STO ANTÔNIO','SAO JOSE','SC','124244241215574421479834575124610167117',11678,'1036',49.43,1,3,NULL),(15,2189240,'1990-09-19 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124244241215122431256912575122610162072',7501,'270',56.23,1,3,NULL),(15,2189267,'1991-06-15 00:00:00',4,1,12,2007,'M','N','CENTRO','VILA NOVA DO SUL','RS','120203201117261411455832372122610137052',20719,'9998',35.46,1,3,NULL),(15,2189275,'1989-11-24 00:00:00',4,3,12,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241215121431328924245122610167072',16406,'1111',42.75,1,3,NULL),(15,2189283,'1989-12-07 00:00:00',2,1,12,2007,'F','N','REAL PARQUE','SAO JOSE','SC','124243241235141531436612322334610124142',NULL,'868',22.68,1,3,NULL),(15,2189291,'1987-06-27 00:00:00',4,1,12,2004,'F','N','BELA VISTA','SAO PAULO','SP','125252251211571211338813171341610152117',NULL,'9998',0.00,1,3,NULL),(15,2189305,'1988-03-28 00:00:00',2,1,12,2005,'F','N','KOBRASOL','SAO JOSE','SC','124242241217573431436614475124230822142',7918,'738',55.49,1,3,NULL),(15,2189313,'1978-03-17 00:00:00',2,1,7,1997,'M','N','AREIAS','SAO JOSE','SC','124241248126471411143314235223140724063',17556,'359',41.00,1,2,1),(15,2189321,'1990-06-22 00:00:00',2,9,11,2007,'F','N','JARDIM BANDEIRA','SAO JOAQUIM','SC','124241241215111431533619474222610128147',NULL,'720',31.71,1,3,NULL),(15,2189330,'1980-07-29 00:00:00',2,1,12,1998,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124111111216111411238814153124640313171',NULL,'9998',27.87,1,3,NULL),(15,2189348,'1989-01-17 00:00:00',4,1,12,2006,'F','N','CENTRO','LONDRINA','PR','116162161216472451578811591122610162143',1774,'9998',70.08,1,3,NULL),(15,2189364,'1988-12-20 00:00:00',4,6,12,2006,'M','N','VILA REAL','BALNEARIO CAMBORIU','SC','124243241215472431243719572122610134092',3081,'1038',65.89,1,3,NULL),(15,2189402,'1990-01-27 00:00:00',2,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111532428812275124610167182',21069,'738',34.73,1,3,NULL),(15,2189410,'1990-03-09 00:00:00',4,1,12,2007,'M','N','MANGUEIRÃO','BELEM','PA','114142141217111431458714472122610134042',6057,'9998',58.95,4,3,NULL),(15,2189437,'1989-03-16 00:00:00',4,8,12,2006,'M','N','CZERNIEWCZ','JARAGUA DO SUL','SC','124242241215372531488832575112130227057',6260,'491',58.52,1,3,NULL),(15,2189445,'1988-07-01 00:00:00',2,1,12,2005,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241111144111333369441214610127144',16026,'307',43.34,3,3,NULL),(15,2189453,'1987-08-12 00:00:00',2,1,12,2004,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242241215143751555839492124231267077',11626,'272',49.51,1,3,NULL),(15,2189461,'1989-09-26 00:00:00',4,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241212111731336439492124610138117',NULL,'1051',24.86,1,3,NULL),(15,2189470,'1990-09-19 00:00:00',4,6,12,2007,'M','N','CENTRO','ITAJAI','SC','124242241215211431347821575122610162012',NULL,'391',0.00,1,3,NULL),(15,2189496,'1989-04-17 00:00:00',4,5,11,2006,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124242241212272411557732574122610134172',4810,'770',61.50,1,3,NULL),(15,2189500,'1990-08-24 00:00:00',2,1,12,2007,'F','N','JARDIM ELDORADO','PALHOCA','SC','124242241217112431454451572114610124142',7323,'1011',56.57,1,3,NULL),(15,2189518,'1990-01-20 00:00:00',4,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124241241125141431633329243124610164017',17265,'66',41.46,1,2,1),(15,2189526,'1989-11-13 00:00:00',2,9,12,2007,'M','N','SUMARÉ','RIO DO SUL','SC','124241241215111411236633572245610147072',4796,'991',61.53,1,3,NULL),(15,2189542,'1990-09-26 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241215112431477614272124610167142',8867,'1022',53.88,1,3,NULL),(15,2189569,'1990-10-04 00:00:00',2,4,12,2007,'M','N','CENTRO','ROMELANDIA','SC','124241241117271432436619275122610127047',22007,'679',32.24,1,3,NULL),(15,2189577,'1982-05-10 00:00:00',2,1,12,1999,'M','N','IPIRANGA','SAO JOSE','SC','124201203116242421123349392223610132143',12215,'9998',48.70,1,2,1),(15,2189585,'1989-11-21 00:00:00',2,2,12,2006,'F','N','BOM RETIRO','BLUMENAU','SC','124242241216372731346612572122610134122',11562,'1086',49.61,1,3,NULL),(15,2189607,'1986-10-26 00:00:00',2,1,12,2004,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241217273431638827182224121427052',2843,'272',66.63,1,3,NULL),(15,2189615,'1990-07-21 00:00:00',4,1,11,2007,'M','N','PARQUE SAO JORGE','FLORIANOPOLIS','SC','124242241216112431386832425112610132015',10648,'270',50.95,4,3,NULL),(15,2189623,'1964-07-12 00:00:00',2,1,12,1982,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','224241248216133431453353472124610121147',19637,'303',37.55,1,3,NULL),(15,2189631,'1989-07-09 00:00:00',4,1,12,2007,'F','N','BOA ESPERANÇA','CUIABA','MT','111114111417271431358934574112610145095',10899,'9998',50.62,1,3,NULL),(15,2189640,'1989-01-03 00:00:00',2,1,6,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124243247317373421439622582124610168057',11441,'263',49.79,1,3,NULL),(15,2189658,'1988-09-22 00:00:00',4,8,12,2005,'F','N','VILA TEIXEIRA','CAMPO MOURAO','PR','116162161116131441426665385122241367052',19781,'9998',37.28,3,3,NULL),(15,2189666,'1981-06-04 00:00:00',4,1,12,1999,'F','N','CENTRO','CAMPINAS','SP','125253253117271411155844442132340766093',13703,'9998',46.61,4,3,NULL),(15,2189674,'1983-08-31 00:00:00',4,1,12,2001,'M','N','SÃO LUIZ','CURITIBANOS','SC','124241241116133431345413392124222327047',11010,'239',50.45,4,1,1),(15,2189682,'1989-04-04 00:00:00',4,1,12,2006,'M','N','VILA TONANI','DOURADOS','MS','112122251215472451479911561122610167182',NULL,'9998',0.00,1,3,NULL),(15,2189690,'1991-03-01 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215111731454433575124610112177',14120,'270',46.01,1,3,NULL),(15,2189704,'1991-07-17 00:00:00',4,1,12,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124242241217111431469612475114610167182',NULL,'266',50.99,1,3,NULL),(15,2189712,'1988-11-08 00:00:00',4,1,12,2005,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241215473411568614375124231932127',10696,'269',50.88,1,3,NULL),(15,2189720,'1989-05-26 00:00:00',2,3,11,2006,'F','N','ESPERANÇA','ERECHIM','RS','124204201216472431348614574324610127182',4316,'9998',62.67,1,3,NULL),(15,2189739,'1969-11-03 00:00:00',3,1,12,1986,'F','N','CENTRO','FLORIANOPOLIS','SC','224241241116153441464452311132331066182',10044,'307',51.86,1,3,NULL),(15,2189747,'1983-08-19 00:00:00',2,1,12,2001,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124212211215571431118921314122342662132',5643,'9998',59.79,1,3,NULL),(15,2189755,'1989-11-06 00:00:00',4,8,12,2006,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241217471431366613575122610117012',3827,'456',63.91,2,3,NULL),(15,2189763,'1991-03-31 00:00:00',4,4,12,2007,'F','N','SÃO CRISTOVÃO','CHAPECO','SC','124241241135131431346923575124610163147',NULL,'170',27.96,1,2,1),(15,2189771,'1990-01-23 00:00:00',2,9,12,2007,'M','N','CENTRO','LAGES','SC','124242241215111411369911574125610127082',15090,'9997',44.68,1,3,NULL),(15,2189780,'1987-08-18 00:00:00',2,1,11,2005,'F','N','HIGIENÓPOLIS','SAO PAULO','SP','125132251211571731456713571124610167072',8271,'9998',54.90,1,3,NULL),(15,2189798,'1989-07-12 00:00:00',2,6,12,2006,'M','N','ALTO DA GLÓRIA','CURITIBA','PR','116162161215471232348812575112610167057',NULL,'9998',0.00,4,3,NULL),(15,2189801,'1989-10-04 00:00:00',4,1,12,2007,'M','N','CENTRO','ARARAQUARA','SP','125252251116151431347914272122610137042',NULL,'9998',23.58,1,3,NULL),(15,2189810,'1989-03-29 00:00:00',4,1,12,2006,'M','N','CENTRO','TAUBATE','SP','125252251215412431338614572123610122182',14189,'9998',45.89,1,3,NULL),(15,2189828,'1989-10-18 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215121431578832242112610137042',NULL,'738',NULL,1,3,NULL),(15,2189836,'1988-11-27 00:00:00',4,1,9,2006,'F','N','NOSSA SRA DO ROSÁRIO','SAO JOSE','SC','124241241112131421527734241124232712147',17660,'739',40.86,1,2,1),(15,2189844,'1989-10-31 00:00:00',2,1,11,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124232241215132411238722245112610162057',8150,'44',55.10,1,3,NULL),(15,2189852,'1989-10-07 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241316371411636612275322610166087',NULL,'9997',24.03,2,3,NULL),(15,2189860,'1990-06-15 00:00:00',2,1,12,2007,'F','N','FLORIANOPOLIS','FLORIANOPOLIS','SC','124241248415111431666622575114610164042',20531,'1022',35.83,1,3,NULL),(15,2189887,'1989-01-31 00:00:00',4,1,6,2007,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124243241116272412467511412124610112097',20050,'9999',36.73,1,3,NULL),(15,2189909,'1990-11-07 00:00:00',2,1,12,2007,'F','N','RIO CAVEIRAS','BIGUACU','SC','124243241236371431538834225122610127052',9787,'63',52.29,1,3,NULL),(15,2189917,'1990-08-27 00:00:00',4,5,11,2007,'F','N','SANTA BARBARA','CRICIUMA','SC','124243241215111411448933275124610123147',NULL,'995',26.85,1,3,NULL),(15,2189925,'1990-04-26 00:00:00',2,1,12,2007,'M','N','PRAIA JOÃO ROSA','BIGUACU','SC','124242241216151411456831315121610127112',8381,'63',54.72,1,3,NULL),(15,2189933,'1990-01-23 00:00:00',4,1,12,2007,'F','N','DAS NAÇÕES','FRAIBURGO','SC','124243241416271431456714275122610122147',10616,'885',51.00,1,3,NULL),(15,2189950,'1989-11-22 00:00:00',4,1,12,2007,'M','N','CENTRO','MAFRA','SC','124241161215471711468933375112610165062',NULL,'9998',0.00,1,3,NULL),(15,2189976,'1991-01-10 00:00:00',4,2,12,2007,'M','N','IMIGRANTE','GUABIRUBA','SC','124241241345122441524614372121610127157',4832,'981',61.45,1,3,NULL),(15,2189984,'1989-12-18 00:00:00',4,4,12,2006,'F','N','CENTRO','SANTA MARIA','RS','120241241114131432435721172345610131147',10752,'740',50.80,1,2,1),(15,2189992,'1990-03-28 00:00:00',2,4,12,2007,'M','N','AGOSTINI','SAO MIGUEL DOESTE','SC','124242241225111431369313475122610137052',11410,'751',49.83,1,3,NULL),(15,2190001,'1990-11-19 00:00:00',4,8,12,2007,'M','N','ZONA SETE','MARINGA','PR','116162161216271732449833592112610137052',4130,'9998',63.12,1,3,NULL),(15,2190010,'1990-06-30 00:00:00',4,1,11,2007,'F','N','JARDIM BELA VISTA','GOIANIA','GO','109092091215111431656831581122610112073',10983,'9998',50.50,4,3,NULL),(15,2190028,'1990-06-20 00:00:00',4,1,12,2007,'M','N','VILA ADYANNA','SAO JOSE DOS CAMPOS','SP','125252251217111431578833575121610124057',7636,'9998',55.97,1,3,NULL),(15,2190036,'1989-02-12 00:00:00',4,6,12,2006,'M','N','SANTA PAULA','SAO CAETANO DO SUL','SP','125252251217471431469834475112610167047',NULL,'9998',0.00,1,3,NULL),(15,2190044,'1989-09-06 00:00:00',4,1,12,2007,'M','N','CONDOMINIO MOENDA','ITATIBA','SP','125252251215111431536531272224610134017',3229,'9998',65.45,1,3,NULL),(15,2190052,'1990-08-01 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241215111431458812575112610124012',21910,'9997',32.57,1,3,NULL),(15,2190079,'1985-08-17 00:00:00',2,1,12,2003,'M','N','CARIANOS','FLORIANOPOLIS','SC','224203201317151411136643432112610114044',8730,'9998',54.13,1,3,NULL),(15,2190087,'1982-07-29 00:00:00',2,1,7,2005,'F','N','FAZENDA SANTO ANTÔNI','SAO JOSE','SC','124243247327571131643611241134610123187',17495,'9999',41.09,4,3,NULL),(15,2190095,'1991-01-18 00:00:00',4,1,11,2007,'F','N','ALTO DA BRONZE','ESTRELA','RS','120201201117471721546612575124610137077',21931,'9998',32.51,1,3,NULL),(15,2190109,'1990-03-05 00:00:00',2,4,12,2007,'F','N','CENTRO','NOVA ERECHIM','SC','124244241411152431556812322122610162172',15841,'185',43.61,1,3,NULL),(15,2190117,'1990-07-15 00:00:00',4,1,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241217111731228712572121610128032',8524,'270',54.47,1,3,NULL),(15,2190125,'1989-06-16 00:00:00',4,6,11,2006,'M','N','CENTRO','ITAJAI','SC','124242241211112411336619475122133224142',14546,'388',45.34,1,3,NULL),(15,2190133,'1986-04-25 00:00:00',4,1,12,2004,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242243217143411458831412134230222043',20987,'270',34.87,1,3,NULL),(15,2190141,'1973-12-08 00:00:00',4,1,12,1991,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124251251146151731168444345122341622047',2076,'9998',69.03,1,3,NULL),(15,2190168,'1989-07-07 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431359811575122610122032',6090,'262',58.91,1,3,NULL),(15,2190176,'1986-05-03 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217274431466923375122230267112',2698,'266',67.04,1,3,NULL),(15,2190184,'1990-04-01 00:00:00',4,8,12,2007,'M','N','SANTA CRUZ','FRANCA','SP','125251251215111421226811575122610124097',NULL,'9998',0.00,1,3,NULL),(15,2190192,'1990-06-27 00:00:00',4,4,12,2007,'F','N','PERPÉTUO SOCORRO','SAO LOURENCO DO OESTE','SC','124242161415111431546314241334610166197',17093,'9998',41.74,1,3,NULL),(15,2190206,'1990-07-13 00:00:00',2,10,12,2007,'F','N','SAMUEL SANDRINI','ORLEANS','SC','124241241117131141534318376222610162142',22321,'580',30.90,1,2,1),(15,2190222,'1990-10-06 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241214111431449414442124610123055',20106,'1051',36.61,1,3,NULL),(15,2190230,'1990-08-25 00:00:00',4,1,12,2008,'M','S','CENTRO','SAO JOSE','SC','124244241415271432389933395124610134167',NULL,'270',49.38,1,3,NULL),(15,2190249,'1990-05-15 00:00:00',4,9,12,2007,'F','N','COPACABANA','LAGES','SC','124243241215121731524712475122610134092',NULL,'9997',23.12,1,3,NULL),(15,2190257,'1991-04-19 00:00:00',4,7,12,2008,'M','S','SÃO FRANCISCO','LUZERNA','SC','124241241117131431535511472225610143057',NULL,'539',NULL,1,3,NULL),(15,2190265,'1989-12-27 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242248215111531658611424122610168097',NULL,'226',27.99,1,3,NULL),(15,2190273,'1990-10-29 00:00:00',4,1,10,2007,'M','N','VILA APRAZIVEL','JACAREI','SP','125252251215111431468831574121610127052',7491,'9998',56.25,1,3,NULL),(15,2190281,'1990-06-04 00:00:00',4,1,11,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242241117131411466923572122610147032',15395,'727',44.26,2,1,2),(15,2190303,'1986-06-17 00:00:00',4,8,12,2004,'M','N','IRIRIÚ','JOINVILLE','SC','124241246217131431438314345114610127047',14490,'1105',45.43,1,3,NULL),(15,2190311,'1989-07-10 00:00:00',2,8,12,2006,'F','N','FÁTIMA','JOINVILLE','SC','124241241132371511446419572114610116041',19294,'492',38.17,1,3,NULL),(15,2190320,'1990-11-20 00:00:00',2,1,11,2007,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124242241415121431646412425124610135152',20492,'1022',35.89,1,3,NULL),(15,2190338,'1983-08-28 00:00:00',2,1,12,2000,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124241241116131431536632195124233163187',17585,'257',40.96,1,3,NULL),(15,2190354,'1988-01-29 00:00:00',4,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241216573431689911495112610116091',8273,'266',54.89,1,3,NULL),(15,2190362,'1991-03-04 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124244241215111731536613571122610117057',14352,'1118',45.64,1,3,NULL),(15,2190370,'1989-11-22 00:00:00',2,9,12,2006,'F','N','CENTRO','URUPEMA','SC','124241248126132751424623392342610134147',22379,'819',30.52,1,2,1),(15,2190389,'1987-03-05 00:00:00',4,1,12,2004,'M','N','JD ROSA CRUZ','MOGI GUACU','SP','125251251137131541533633385123610117082',NULL,'9998',0.00,1,2,1),(15,2190397,'1989-06-07 00:00:00',4,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124241241114131431233624345124231217142',NULL,'732',25.29,1,2,1),(15,2190400,'1990-04-04 00:00:00',4,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215121431468613575112610167052',1591,'737',70.83,1,3,NULL),(15,2190419,'1987-09-02 00:00:00',4,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','124242241235411431336614291113610127112',NULL,'943',27.90,1,3,NULL),(15,2190427,'1989-01-20 00:00:00',4,3,12,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124122121214472331458814474115610124092',2358,'9998',68.05,1,3,NULL),(15,2190435,'1989-07-11 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215372411346519272114610161017',13933,'1022',46.26,1,3,NULL),(15,2190443,'1982-04-01 00:00:00',4,8,12,1999,'F','N','JARDIM CARVALHO','PONTA GROSSA','PR','116162161216572421337629575122341222092',7226,'9998',56.74,1,3,NULL),(15,2190451,'1986-09-19 00:00:00',4,1,12,2004,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124281281136273431226721481324142464147',3094,'9998',65.86,1,2,1),(15,2190460,'1990-09-27 00:00:00',2,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241212111331436813334122610123187',NULL,'270',46.67,1,3,NULL),(15,2190478,'1990-07-09 00:00:00',4,1,10,2007,'M','N','CENTRO','PALOTINA','PR','116164161215121431367832575111610127052',9745,'9998',52.35,1,3,NULL),(15,2190486,'1989-09-20 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124243241117372731369819375124231934071',363,'271',77.93,1,3,NULL),(15,2190494,'1989-03-31 00:00:00',4,1,12,2006,'M','N','MARY DOTA','BAURU','SP','125251256116372431336724345234610136097',13184,'9998',47.35,1,3,NULL),(15,2190508,'1984-12-23 00:00:00',2,1,12,2003,'M','N','CENTRO','ERECHIM','RS','120201201215151441147842422122141467047',12846,'9998',47.80,1,3,NULL),(15,2190516,'1989-08-03 00:00:00',4,4,12,2007,'F','N','INTERIOR','MONDAI','SC','124241241115161731423316173324610124147',18878,'564',38.87,1,3,NULL),(15,2190524,'1985-06-11 00:00:00',4,1,12,2002,'M','N','ITAQUERA','SAO PAULO','SP','125251251116572421333317445124243237092',8789,'9998',54.03,1,3,NULL),(15,2190532,'1990-04-24 00:00:00',4,1,12,2007,'M','N','PORTO GRANDE','SAO SEBASTIAO','SP','125252251217111431558832572222610167137',11025,'9998',50.42,1,3,NULL),(15,2190540,'1987-09-04 00:00:00',2,1,12,2006,'M','N','GUARA I','GUARA','DF','107074078416471441459533375122610137086',NULL,'9998',29.76,1,3,NULL),(15,2190559,'1990-12-30 00:00:00',4,3,12,2007,'M','N','NAÇÕES','BALNEARIO CAMBORIU','SC','124242241215152551369811271122610158172',2790,'1086',66.78,1,3,NULL),(15,2190567,'1989-02-23 00:00:00',2,5,11,2006,'F','N','NASPOLINI','CRICIUMA','SC','124244241215471221556912475122610122147',NULL,'226',21.21,1,3,NULL),(15,2190575,'1990-03-18 00:00:00',2,1,12,2007,'F','N','CAMINHO NOVO','PALHOCA','SC','124241241117131411436434592124610132017',12490,'733',48.31,4,2,1),(15,2190583,'1990-11-24 00:00:00',4,9,12,2007,'M','N','TABOÃO','RIO DO SUL','SC','124242248415111431334612375122610167052',18080,'991',40.18,1,3,NULL),(15,2190591,'1989-08-06 00:00:00',2,9,12,2007,'F','N','BOSQUE','CURITIBANOS','SC','124241247225131411646523192325610164082',NULL,'237',0.00,4,3,NULL),(15,2190605,'1990-01-26 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241216471711568513575124610163115',19041,'270',38.61,4,3,NULL),(15,2190613,'1987-12-04 00:00:00',2,1,12,2004,'M','N','CENTRO','GUARATINGUETA','SP','125252256117471722238823482122610114047',NULL,'9998',0.00,1,3,NULL),(15,2190621,'1988-12-03 00:00:00',4,8,12,2006,'M','N','ALTO DE MAFRA','MAFRA','SC','124241241215472431433314572122610124182',5664,'541',59.75,1,3,NULL),(15,2190630,'1983-09-22 00:00:00',2,1,12,2002,'M','N','PANTANAL','FLORIANOPOLIS','SC','124243241216131411323315571324331654047',18295,'117',39.81,1,3,NULL),(15,2190648,'1991-01-07 00:00:00',4,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241235121112428932375122613262142',15935,'737',43.48,1,3,NULL),(15,2190656,'1988-08-02 00:00:00',4,1,12,2006,'F','N','VILA DOS MEDICOS','BOTUCATU','SP','125252251215471751548813571125610135122',525,'9998',76.61,1,3,NULL),(15,2190664,'1989-12-27 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242161215111431368824572325610167042',NULL,'9998',0.00,1,3,NULL),(15,2190672,'1987-12-18 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241116272421436634385124610126147',22216,'307',31.42,1,2,1),(15,2190680,'1988-11-18 00:00:00',4,3,12,2005,'F','N','SANTA TEREZINHA','GARIBALDI','RS','120203201311371211233823335112243242047',17912,'9998',40.47,1,3,NULL),(15,2190699,'1987-04-28 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124244247435471432357819372122610162112',18588,'9999',39.34,1,3,NULL),(15,2190702,'1967-05-12 00:00:00',2,1,12,1985,'M','N','CAMPINAS','SAO JOSE','SC','224201203227132411258641212124333267047',7339,'9998',56.54,1,3,NULL),(15,2190710,'1985-02-22 00:00:00',2,1,12,2002,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241122271751224329342324610128147',18012,'287',40.29,1,2,1),(15,2190729,'1988-11-26 00:00:00',4,1,11,2006,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124243247315271411444632395122610135142',NULL,'9999',19.07,1,3,NULL),(15,2190737,'1990-05-19 00:00:00',4,10,10,2007,'F','N','OFICINAS','TUBARAO','SC','124143241315421431466514345125610121142',14601,'807',45.27,4,3,NULL),(15,2190745,'1990-08-02 00:00:00',2,5,11,2007,'M','N','CENTRO','TORRES','RS','120201201211131431545313371121610127112',8726,'9998',54.13,4,3,NULL),(15,2190753,'1989-07-25 00:00:00',4,1,12,2006,'F','N','VILA SÃO GERALDO','TAUBATE','SP','125252251216471431468823575125610134047',16550,'9998',42.51,3,3,NULL),(15,2190761,'1990-02-02 00:00:00',2,1,12,2007,'F','N','CENTRO','GAROPABA','SC','124243241346311411566512172114610136142',16536,'270',42.54,1,3,NULL),(15,2190770,'1991-07-21 00:00:00',4,1,12,2008,'M','S','BOM ABRIGO','FLORIANOPOLIS','SC','124242241213111711249812575124610147052',NULL,'738',28.27,1,3,NULL),(15,2190788,'1989-05-12 00:00:00',2,8,12,2006,'F','N','AVAI','GUARAMIRIM','SC','124251241126372431646933275115610138182',6944,'336',57.26,1,2,1),(15,2190800,'1990-06-29 00:00:00',4,1,10,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124242241215123451459831572122610143187',878,'226',74.18,1,3,NULL),(15,2190818,'1990-01-03 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124022241215151411468932575112610122056',10468,'883',51.23,1,3,NULL),(15,2190826,'1987-05-06 00:00:00',2,4,12,2004,'F','N','BORTOLON','XANXERE','SC','124241241116131431525411272122232824046',NULL,'840',7.89,4,3,NULL),(15,2190850,'1982-10-16 00:00:00',2,1,12,2000,'M','N','ESTREITO','FLORIANOPOLIS','SC','124133131217271421148943432332610127187',7333,'9998',56.55,1,3,NULL),(15,2190869,'1988-08-26 00:00:00',2,1,11,2005,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124242241211573431556611571124610127142',6141,'1036',58.78,1,3,NULL),(15,2190877,'1989-05-08 00:00:00',2,2,12,2006,'F','N','CENTRO','TAIO','SC','124241241117271431336421384124610122142',8626,'777',54.29,1,2,1),(15,2190885,'1990-08-13 00:00:00',2,1,11,2007,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241127151431525534575124610136112',20119,'291',36.58,1,2,1),(15,2190893,'1991-02-17 00:00:00',4,4,10,2007,'F','N','CENTRO','IPUMIRIM','SC','124243241217211431568832575122610164071',18836,'9997',38.94,1,3,NULL),(15,2190907,'1987-06-19 00:00:00',4,6,12,2005,'M','N','CENTRO','CURITIBA','PR','116163167237471441456814575124142826127',1340,'9999',71.92,1,3,NULL),(15,2190915,'1990-04-09 00:00:00',2,1,11,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215372431448831572122610135172',5248,'262',60.62,1,3,NULL),(15,2190923,'1990-08-06 00:00:00',4,2,12,2007,'F','N','NOVA BRASÍLIA','JARAGUA DO SUL','SC','124243241217111731559933371125610145142',15794,'1061',43.69,1,3,NULL),(15,2190931,'1989-01-14 00:00:00',4,9,11,2006,'F','N','CENTRO','LAGES','SC','124242241212472431358512592122610123142',10123,'499',51.75,1,3,NULL),(15,2190940,'1989-11-24 00:00:00',4,1,12,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241115372441466632575114610147015',NULL,'271',32.59,1,3,NULL),(15,2190958,'1991-01-25 00:00:00',4,1,12,2007,'F','N','ARIRIÚ','PALHOCA','SC','124241241116141432433319295124610116192',NULL,'592',25.94,1,2,1),(15,2190974,'1989-05-10 00:00:00',4,1,12,2006,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124161161216472411434821175124610136097',NULL,'9998',0.00,1,3,NULL),(15,2190990,'1989-11-20 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241117372431468833576142610127042',155,'267',80.61,1,2,1),(15,2191008,'1990-10-23 00:00:00',2,8,12,2007,'F','N','CENTRO','SAO PEDRO DO IGUACU','PR','116161161115111451445839295124610164187',NULL,'9998',0.00,1,3,NULL),(15,2191016,'1990-05-30 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241417471431257823575124610122197',6913,'270',57.32,1,3,NULL),(15,2191024,'1987-01-06 00:00:00',4,1,12,2003,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124164211316573431336823574224143264146',NULL,'9998',0.00,1,3,NULL),(15,2191032,'1988-01-18 00:00:00',2,3,12,2005,'F','N','AREIAS','CAMBORIU','SC','124241241147271421323314176324610128157',18523,'130',39.44,4,2,1),(15,2191040,'1990-04-12 00:00:00',2,5,12,2007,'M','N','CENTRO','MORRO DA FUMACA','SC','124242241415171231326931575125610147057',19664,'1107',37.49,1,3,NULL),(15,2191067,'1990-06-26 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124241241215111732236639595125610123117',NULL,'1076',21.14,1,3,NULL),(15,2191075,'1989-07-26 00:00:00',4,5,12,2007,'M','N','CENTRO','URUSSANGA','SC','124241241217111411453339592222610144182',13479,'820',46.91,1,3,NULL),(15,2191083,'1972-02-25 00:00:00',4,1,10,1992,'M','N','CARIANOS','FLORIANOPOLIS','SC','224214227627135451356649392122122367097',13744,'9999',46.55,4,3,NULL),(15,2191105,'1987-09-19 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241235472731236767315112610164177',6174,'1036',58.70,1,3,NULL),(15,2191113,'1987-04-25 00:00:00',2,1,12,2004,'M','N','BARREIROS','SAO JOSE','SC','124242241215232721348714445132130247037',NULL,'493',21.03,1,3,NULL),(15,2191121,'1990-10-26 00:00:00',4,3,12,2007,'M','N','CEDRO','CAMBORIU','SC','124241244116271731446511214124610144097',NULL,'130',26.38,1,3,NULL),(15,2191148,'1990-09-06 00:00:00',4,1,11,2007,'M','N','SERRINHA','FLORIANOPOLIS','SC','124112241217111431536812595124610127052',10389,'270',51.36,1,3,NULL),(15,2191156,'1988-04-11 00:00:00',2,4,12,2006,'F','N','SÃO GOTARDO','SAO MIGUEL DOESTE','SC','124243241116131411456733475112610154147',NULL,'757',26.11,1,3,NULL),(15,2191164,'1989-08-16 00:00:00',4,1,12,2006,'M','N','ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP','125252251215312411469814571122140237042',1232,'9998',72.32,1,3,NULL),(15,2191172,'1988-01-08 00:00:00',2,5,12,2005,'F','N','CENTRO','TAPEJARA','RS','120201201216571431458732325124610166142',NULL,'9998',0.00,1,3,NULL),(15,2191180,'1988-10-11 00:00:00',4,1,12,2005,'F','N','BELA VISTA I','SAO JOSE','SC','124241241116271431336734345124610122187',18204,'293',39.96,1,2,1),(15,2191199,'1990-03-15 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241217122531568911572124610113147',11731,'270',49.35,1,3,NULL),(15,2191202,'1990-07-21 00:00:00',4,1,11,2007,'M','N','ST BELA VISTA','GOIANIA','GO','109094091217111431463211395122610167017',21471,'9998',33.80,1,3,NULL),(15,2191210,'1990-07-03 00:00:00',4,1,11,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215111431457714575122610114182',1396,'270',71.66,1,3,NULL),(15,2191229,'1989-10-18 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431477923585122610111187',9786,'270',52.30,1,3,NULL),(15,2191237,'1989-06-26 00:00:00',4,1,12,2006,'F','N','VILA SOLENE','CAMPO LARGO','PR','116163161215471432439632575124610112147',NULL,'9998',0.00,4,1,2),(15,2191245,'1989-03-22 00:00:00',4,1,12,2006,'M','N','EUGENIO SNHEIDER','RIO DO SUL','SC','124242246215472431636923444125610124142',13396,'1013',47.04,1,3,NULL),(15,2191253,'1989-11-01 00:00:00',4,9,10,2008,'F','S','CENTRO','LAGES','SC','124242241215141431326421325121610128187',NULL,'499',21.07,1,3,NULL),(15,2191261,'1988-03-18 00:00:00',2,1,6,2006,'F','N','N S DO ROSÁRIO','SAO JOSE','SC','124241241112133431326624282224610167147',7146,'306',56.88,1,2,1),(15,2191270,'1988-08-30 00:00:00',4,1,12,2006,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241115372431346623576113133247116',9961,'267',51.99,1,2,1),(15,2191288,'1990-09-06 00:00:00',2,1,12,2007,'F','N','LARANJEIRAS','RIO DO SUL','SC','124244241215111431555534574122610164142',4424,'991',62.43,1,3,NULL),(15,2191296,'1988-07-22 00:00:00',4,1,12,2005,'M','N','QUINCAS PRESTES','DOM PEDRITO','RS','120204201216371421476722415112141067047',NULL,'9998',5.86,1,3,NULL),(15,2191300,'1991-06-25 00:00:00',2,2,12,2007,'F','N','CENTRO','VIDAL RAMOS','SC','124241241115131411423923572224610116142',18091,'828',40.16,1,2,1),(15,2191318,'1988-09-23 00:00:00',2,1,11,2006,'M','N','ARMAÇÃO','FLORIANOPOLIS','SC','124252251215412221479834292124610167112',13514,'9998',46.88,1,3,NULL),(15,2191326,'1988-01-11 00:00:00',2,1,12,2005,'F','N','CENTRO','RIO DO SUL','SC','124242241215474431326618595124610164097',9747,'991',52.35,1,3,NULL),(15,2191334,'1984-04-19 00:00:00',4,1,12,2001,'M','N','BARREIROS','SAO JOSE','SC','124201201117242721343829431223230227017',11289,'9998',50.03,1,2,1),(15,2191342,'1988-06-12 00:00:00',2,1,12,2007,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241245132132431423314492124610124142',NULL,'773',17.80,1,2,1),(15,2191350,'1989-12-23 00:00:00',2,1,11,2007,'F','N','CENTRO','BIGUACU','SC','124242241215111431555612592114610125072',13451,'270',46.94,4,3,NULL),(15,2191369,'1989-02-11 00:00:00',4,1,12,2006,'M','N','JD AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251215472431468812575112610162043',1859,'9998',69.75,1,3,NULL),(15,2191377,'1990-10-09 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217111451578834472122610164015',21483,'1048',33.76,1,3,NULL),(15,2191385,'1989-11-13 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216271531488731575122610122182',3726,'270',64.14,1,3,NULL),(15,2191393,'1989-03-08 00:00:00',4,1,12,2006,'M','N','CENTRO','BURITAMA','SP','125254251215471731468814571125610166042',10805,'9998',50.73,1,3,NULL),(15,2191407,'1990-01-06 00:00:00',2,3,12,2007,'M','N','CENTRO','CORNELIO PROCOPIO','PR','116162161217111431456833575125610137057',14280,'9998',45.76,1,3,NULL),(15,2191415,'1989-03-13 00:00:00',2,3,12,2006,'F','N','CENTRO','ASTORGA','PR','116162161217371441435811574114610112182',20988,'9998',34.87,1,3,NULL),(15,2191423,'1991-02-11 00:00:00',4,1,12,2008,'F','S','ESTREITO','FLORIANOPOLIS','SC','124242241212111431258623572124610136192',NULL,'262',54.28,1,3,NULL),(15,2191431,'1990-12-29 00:00:00',4,1,12,2007,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124242241215111431248923575112610133142',3351,'262',65.13,1,3,NULL),(15,2191458,'1986-09-16 00:00:00',2,1,12,2004,'M','N','BALNEARIO ESTREITO','FLORIANOPOLIS','SC','124244241437274431568834482112132037044',11674,'32',49.44,1,3,NULL),(15,2191466,'1989-07-29 00:00:00',2,4,11,2006,'M','N','CENTRO','PORTO ALEGRE','RS','120152161215271411478712272124610164172',4801,'9998',61.52,1,3,NULL),(15,2191474,'1988-04-29 00:00:00',2,1,12,2006,'F','N','CAMINHO NOVO','PALHOCA','SC','224241241127242711625519341221610121147',NULL,'307',20.35,1,2,1),(15,2191482,'1990-09-26 00:00:00',4,4,11,2007,'M','N','DOS ESPORTES','XANXERE','SC','124242241415471431434923275122610134057',19817,'1046',37.18,1,3,NULL),(15,2191490,'1988-10-20 00:00:00',4,1,12,2005,'M','N','VILA INGLESA','SAO PAULO','SP','125113111111571432446635292324610124047',16565,'9998',42.50,4,3,NULL),(15,2191504,'1990-07-30 00:00:00',4,6,12,2007,'M','N','SÃO JUDAS','ITAJAI','SC','124244241217152531358813576111610147017',4121,'1026',63.15,1,3,NULL),(15,2191512,'1990-02-20 00:00:00',4,8,12,2007,'M','N','BOTIATUVINHA','CURITIBA','PR','116162161217121431468813596122610167017',7606,'9998',56.02,1,3,NULL),(15,2191520,'1989-12-14 00:00:00',4,1,12,2007,'M','N','ÁGUA SANTA','RIO DO SUL','SC','124241241217472751589713594124610127122',17062,'991',41.78,1,3,NULL),(15,2191539,'1990-05-06 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241111131431547113391334610137057',21299,'276',34.20,1,2,1),(15,2191547,'1988-02-11 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124254241417144431446313392124131247142',20078,'270',36.67,1,3,NULL),(15,2191555,'1987-04-16 00:00:00',4,1,12,2004,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241132133431435519282124233218147',18505,'281',39.46,1,2,1),(15,2191563,'1989-08-05 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242248235131411635512322114610133072',NULL,'269',23.73,1,3,NULL),(15,2191580,'1987-06-28 00:00:00',2,6,12,2005,'M','N','CENTRO','LAGOA VERMELHA','RS','120203201336371431336622385111610137047',17791,'9998',40.69,1,3,NULL),(15,2191598,'1981-08-20 00:00:00',2,1,12,1999,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201201121271721116344491324610143047',21437,'9998',33.88,1,2,1),(15,2191601,'1989-08-29 00:00:00',2,5,11,2007,'F','N','CENTENÁRIO','TORRES','RS','120201201435131721437519572322610137057',15965,'9998',43.44,1,3,NULL),(15,2191610,'1989-11-06 00:00:00',4,8,12,2006,'F','N','VILA MACHADINHO','PRESIDENTE PRUDENTE','SP','125252251215411431338834575322610114142',16160,'9998',43.13,1,3,NULL),(15,2191628,'1990-01-09 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241215111431445623585124610163147',15836,'738',43.62,1,3,NULL),(15,2191644,'1989-10-17 00:00:00',2,8,12,2007,'F','N','FLORESTA','JOINVILLE','SC','124241241115131751536664372224610158077',NULL,'466',23.68,1,3,NULL),(15,2191652,'1991-06-17 00:00:00',4,1,12,2008,'M','S','PONTE DO IMARUIM','PALHOCA','SC','124242241215111431548814172212610164122',NULL,'1050',58.05,1,3,NULL),(15,2191660,'1986-01-02 00:00:00',2,1,1,2006,'M','N','NSA SRA DAS GRAÇAS','CANOAS','RS','120202207327452731545514175122610167057',NULL,'9998',0.00,1,3,NULL),(15,2191679,'1987-08-16 00:00:00',4,8,12,2004,'F','N','ALTO DA XV','CURITIBA','PR','116162161215572751558832572114610167127',NULL,'9998',0.00,3,3,NULL),(15,2191687,'1989-08-03 00:00:00',4,2,12,2006,'F','N','CENTRO','RIBEIRAO PRETO','SP','125222221217471431648812272325610167077',10896,'9998',50.62,1,3,NULL),(15,2191695,'1990-11-26 00:00:00',4,1,11,2007,'M','N','VARGINHA','SANTO AMARO DA IMPERATRIZ','SC','124241241217121432688317475124610128092',3274,'1011',65.32,1,3,NULL),(15,2191725,'1955-07-10 00:00:00',2,1,12,1974,'F','N','TRINDADE','FLORIANOPOLIS','SC','624281281116132431228543282344320326097',18719,'9998',39.14,4,2,1),(15,2191733,'1991-01-28 00:00:00',4,4,12,2007,'F','N','INTERIOR','MAREMA','SC','124241241125161431526335572324610128057',19451,'554',37.92,1,2,1),(15,2191750,'1986-12-16 00:00:00',2,1,11,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241127471721433712375224132865157',17221,'577',41.54,1,2,1),(15,2191768,'1989-04-22 00:00:00',2,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116161161115471431563316266114610117182',10274,'9998',51.53,1,2,1),(15,2191776,'1982-03-09 00:00:00',2,1,12,2000,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124243246136373721347731115132610167063',9436,'303',52.89,1,3,NULL),(15,2191784,'1988-10-17 00:00:00',4,8,12,2007,'M','N','CENTRO','PENAPOLIS','SP','125252251116111431466616575122610164107',NULL,'9998',0.00,1,3,NULL),(15,2191792,'1988-05-02 00:00:00',4,1,12,2005,'M','N','IATE CLUBE AMERICANA','AMERICANA','SP','125252251215471431568812245124241064052',1767,'9998',70.13,1,3,NULL),(15,2191806,'1982-09-02 00:00:00',2,1,12,2000,'M','N','CIDADE JARDIM','VARGEM GRANDE PAULISTA','SP','125251251127131441435629282224610145097',13997,'9998',46.16,1,2,1),(15,2191814,'1982-04-07 00:00:00',2,1,7,2001,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241247126143421235543232324222226187',6064,'9999',58.95,1,2,1),(15,2191822,'1990-07-23 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242247211371431315533571124610147112',21841,'272',32.82,1,3,NULL),(15,2191849,'1990-05-23 00:00:00',4,1,11,2007,'F','N','SÃO SEBASTIÃO','PALHOCA','SC','124242248215111441433311185124610125077',13373,'1011',47.09,1,3,NULL),(15,2191857,'1989-03-18 00:00:00',2,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431358879292144610127111',8066,'1022',55.24,1,3,NULL),(15,2191865,'1989-12-14 00:00:00',2,1,12,2006,'F','N','CAMINHO NOVO','PALHOCA','SC','124243241215372131346913372322610113092',14982,'1011',44.81,1,3,NULL),(15,2191873,'1990-05-29 00:00:00',2,1,1,2008,'F','N','CENTRO','AGUAS MORNAS','SC','124241241115151431546313395124610133147',12995,'739',47.60,1,2,1),(15,2191881,'1990-10-25 00:00:00',4,3,12,2007,'F','N','PAOLINI','QUITANDINHA','PR','116161241315131531448923575124610122042',NULL,'541',0.00,1,3,NULL),(15,2191890,'1990-11-03 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217372431476933575124610127062',11005,'262',50.46,1,3,NULL),(15,2191903,'1978-01-21 00:00:00',4,1,12,1999,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124243248417243421443119345223230262024',14487,'9997',45.44,1,3,NULL),(15,2191911,'1991-03-08 00:00:00',2,8,12,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215121431458712574122610121012',734,'486',75.14,1,3,NULL),(15,2191920,'1988-09-19 00:00:00',2,1,12,2006,'M','N','IPIRANGA','SAO JOSE','SC','124241248122151431343331345121610122042',15247,'734',44.48,1,3,NULL),(15,2191938,'1984-06-10 00:00:00',2,4,12,2001,'M','N','ZONA DOIS','MARINGA','PR','124162161216555521558831572324232467047',1298,'9998',72.08,1,3,NULL),(15,2191946,'1986-05-16 00:00:00',3,2,12,2003,'F','N','GRAVATA','NAVEGANTES','SC','124244241217151421546432315121132266051',8733,'937',54.12,1,3,NULL),(15,2191954,'1987-09-29 00:00:00',4,1,12,2004,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124121121117141741126744245124141427052',NULL,'9998',16.08,1,3,NULL),(15,2191962,'1990-07-15 00:00:00',4,2,11,2007,'F','N','VELHA','BLUMENAU','SC','124242241217111451438611576122610144191',13742,'855',46.55,1,3,NULL),(15,2191989,'1990-05-13 00:00:00',2,4,12,2007,'F','N','INTERIOR','PALMAS','PR','116201161117131431326666572324610127042',21158,'9998',34.53,1,3,NULL),(15,2191997,'1990-02-06 00:00:00',4,7,11,2007,'F','N','CENTRO','JOACABA','SC','124242241215111431226829591125610138142',13238,'454',47.25,1,3,NULL),(15,2192004,'1986-06-12 00:00:00',2,1,12,2003,'F','N','ITACORUBI','FLORIANOPOLIS','SC','624241241117131711228653182214610124187',19679,'787',37.46,1,2,1),(15,2192012,'1988-12-24 00:00:00',4,7,12,2005,'F','N','CENTRO','JOACABA','SC','124244241215571431346814275122610145097',6805,'454',57.53,4,3,NULL),(15,2192020,'1989-12-04 00:00:00',4,4,11,2007,'M','N','CENTRO','XANXERE','SC','124243241416221431446612275122610164092',21434,'1046',33.89,1,3,NULL),(15,2192039,'1989-12-08 00:00:00',4,2,11,2007,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241215272431359911275125610167012',1923,'909',69.52,1,3,NULL),(15,2192055,'1991-11-08 00:00:00',4,1,12,2007,'F','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124242241216111111269613575121610114153',17231,'270',41.52,1,3,NULL),(15,2192063,'1991-03-06 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241216121431368632325122610164052',21005,'1036',34.85,1,3,NULL),(15,2192071,'1986-02-06 00:00:00',2,1,12,2002,'M','N','CENTRO','GAROPABA','SC','124243241122133431447811315132610117112',12687,'322',48.01,1,3,NULL),(15,2192080,'1990-01-03 00:00:00',2,10,11,2007,'F','N','NOSSA SRA DE FÁTIMA','BRACO DO NORTE','SC','124243241215121431349633575112610123092',5546,'807',59.97,1,3,NULL),(15,2192098,'1991-04-09 00:00:00',4,1,12,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124242241215111431358319575114610127182',NULL,'270',34.63,1,3,NULL),(15,2192101,'1990-02-14 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241115221432537412172114610111077',5628,'1098',59.81,1,3,NULL),(15,2192110,'1989-04-10 00:00:00',2,3,12,2006,'F','N','RIO BRANCO','PORTO ALEGRE','RS','120202201217471431236423572124610163047',NULL,'9998',0.00,2,1,2),(15,2192128,'1986-08-22 00:00:00',4,2,12,2004,'M','N','ENCANO','INDAIAL','SC','124241241216213431543319495114610145052',15446,'88',44.19,3,3,NULL),(15,2192136,'1988-01-26 00:00:00',2,1,12,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241117372431568811382124610137187',4905,'306',61.30,1,2,1),(15,2192144,'1990-01-06 00:00:00',2,1,12,2007,'M','N','CACHOEIRA','FLORIANOPOLIS','SC','124241241117131532433334282224610118112',14563,'307',45.32,1,2,1),(15,2192152,'1990-08-23 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215111431459831572112610167142',NULL,'262',22.08,1,3,NULL),(15,2192160,'1989-11-12 00:00:00',4,1,11,2007,'M','N','CENTRO','PALHOCA','SC','124242241215111431457823215124610122052',1602,'1011',70.80,1,3,NULL),(15,2192179,'1989-04-19 00:00:00',2,1,12,2005,'M','N','ZONA NOVA','CAPAO DA CANOA','RS','120204201217373431443632595124610167182',1544,'9998',71.01,1,3,NULL),(15,2192187,'1990-03-13 00:00:00',2,1,11,2007,'F','N','VILA A','FOZ DO IGUACU','PR','116164161215371411436613575122610124147',NULL,'9998',0.00,1,3,NULL),(15,2192195,'1988-09-02 00:00:00',2,10,11,2006,'M','N','CENTRO','TUBARAO','SC','124242241215474411469933575122610124067',5571,'807',59.93,1,3,NULL),(15,2192209,'1990-04-06 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241235372411569833582124610117047',5136,'269',60.84,1,3,NULL),(15,2192217,'1984-02-25 00:00:00',2,1,12,2001,'M','N','CACHOEIRA D BOM JESU','FLORIANOPOLIS','SC','124214218227471431233319434124610168047',3948,'9998',63.60,1,3,NULL),(15,2192225,'1990-04-11 00:00:00',4,1,11,2007,'M','N','FABRÍCIO','UBERABA','MG','113134131215271431565612475122610127042',12294,'9998',48.58,1,3,NULL),(15,2192233,'1988-11-12 00:00:00',4,1,12,2007,'M','N','BOA VISTA','UBERABA','MG','113131138215131431426651575123610127087',11078,'9998',50.34,1,3,NULL),(15,2192241,'1988-12-28 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217111231658619575122610167045',17173,'270',41.61,1,3,NULL),(15,2192250,'1986-10-01 00:00:00',2,1,12,2003,'M','N','PASSO DA AREIA','PORTO ALEGRE','RS','120202201416371431546611395123140462092',3244,'9998',65.42,1,3,NULL),(15,2192268,'1990-08-11 00:00:00',4,1,11,2007,'F','N','VILA VELHA','PALMEIRA DAS MISSOES','RS','120203201417151231336933575122610134017',NULL,'9998',22.53,1,3,NULL),(15,2192276,'1990-01-08 00:00:00',2,5,11,2007,'F','N','DAS DAMAS','URUSSANGA','SC','124242241216111431435824442122610122077',5824,'820',59.42,1,3,NULL),(15,2192292,'1990-02-04 00:00:00',4,5,12,2007,'M','N','SÃO CRISTOVÃO','TURVO','SC','124243242117111431546832322122610167065',14560,'690',45.32,1,3,NULL),(15,2192306,'1991-05-30 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217111431268823375122610134072',9365,'270',53.02,1,3,NULL),(15,2192322,'1989-11-16 00:00:00',4,6,12,2007,'M','N','ITAIPAVA','ITAJAI','SC','124241241325131431333314341124610164047',16251,'388',42.98,1,3,NULL),(15,2192330,'1989-11-18 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241412131411648613471122610115071',20230,'269',36.36,1,3,NULL),(15,2192349,'1988-06-14 00:00:00',4,1,12,2005,'F','N','ZONA CINCO','MARINGA','PR','116162161215471431457812572122141322122',5874,'9998',59.31,1,3,NULL),(15,2192357,'1988-03-19 00:00:00',4,1,11,2005,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241236572431459614575124233227077',7617,'120',56.00,1,3,NULL),(15,2192365,'1988-03-10 00:00:00',2,1,12,2005,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124243241215273711349611341124610167097',NULL,'1036',11.30,1,3,NULL),(15,2192373,'1990-04-18 00:00:00',4,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124241241137131441423524475121610128157',NULL,'592',39.95,1,2,1),(15,2192390,'1990-02-01 00:00:00',4,1,11,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241415111451438633574124610128112',18869,'270',38.89,1,3,NULL),(15,2192403,'1987-03-18 00:00:00',2,4,11,2004,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','116241248215373431567712482123610117182',20221,'752',36.37,1,3,NULL),(15,2192411,'1990-07-24 00:00:00',2,5,11,2007,'M','N','COLONINHA','ARARANGUA','SC','124242241215111431547731572224610167042',10887,'32',50.63,1,3,NULL),(15,2192420,'1985-07-09 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124211211317132111213514342114140217011',22210,'9998',31.46,1,3,NULL),(15,2192438,'1990-12-28 00:00:00',4,1,12,2008,'F','S','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215111731459811392115610167052',NULL,'262',37.14,1,3,NULL),(15,2192446,'1988-05-06 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241216373711326923572114610133077',19533,'1022',37.76,2,1,2),(15,2192454,'1988-05-25 00:00:00',4,1,11,2006,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','115202241417372431337851271324610144022',11529,'9999',49.67,2,1,2),(15,2192462,'1988-11-16 00:00:00',4,8,12,2007,'M','N','IRIRIU','JOINVILLE','SC','124242248215371751237623292221610167032',6411,'494',58.23,1,3,NULL),(15,2192470,'1990-06-22 00:00:00',4,4,11,2007,'F','N','CENTRO','FRANCISCO BELTRAO','PR','116164161416221431448614575122610132012',21605,'9998',33.50,1,3,NULL),(15,2192489,'1989-10-26 00:00:00',2,1,11,2007,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241415111431346624345124610167147',20346,'1022',36.15,1,3,NULL),(15,2192497,'1987-09-23 00:00:00',4,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124244241112472411538411575124610133017',NULL,'281',22.12,1,3,NULL),(15,2192500,'1990-06-16 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215211231465312592114610117052',21492,'269',33.74,1,3,NULL),(15,2192519,'1988-02-10 00:00:00',2,1,12,2005,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124242241412373431567319215124231227052',9266,'271',53.16,1,3,NULL),(15,2192527,'1990-06-30 00:00:00',4,2,12,2007,'M','N','VELHA','BLUMENAU','SC','124242241215151431576512574112610142123',9240,'909',53.20,1,3,NULL),(15,2192535,'1986-09-17 00:00:00',4,1,12,2003,'F','N','CENTRO','SAO BERNARDO DO CAMPO','SP','125254251215574451228729471122120266197',269,'9998',79.08,1,3,NULL),(15,2192543,'1989-02-02 00:00:00',2,5,12,2006,'M','N','NOVA DIVINÉIA','ARARANGUA','SC','124242241215372431333831575212231467052',8361,'32',54.75,4,3,NULL),(15,2192551,'1989-09-08 00:00:00',4,1,12,2007,'M','N','OLÍMPICO','SAO CAETANO DO SUL','SP','125251251116111432535514575121610168057',6422,'9998',58.21,1,2,1),(15,2192560,'1987-08-20 00:00:00',4,1,6,2006,'M','N','BELEM','SAO PAULO','SP','125252257215471411568932311122610166017',12327,'9999',48.54,1,3,NULL),(15,2192578,'1989-08-26 00:00:00',4,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124242241215472441548634585124610124017',1310,'737',72.02,1,3,NULL),(15,2192586,'1986-03-30 00:00:00',4,1,11,2003,'M','N','CENTRO','PORECATU','PR','116162161217272441236723472111141464097',7796,'9998',55.70,1,3,NULL),(15,2192594,'1990-12-11 00:00:00',4,1,11,2007,'M','N','ABRAAO','FLORIANOPOLIS','SC','124242241215111431455632122122610137182',9376,'262',52.99,1,3,NULL),(15,2192608,'1990-03-06 00:00:00',3,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241116151411227628575124610138187',10327,'306',51.45,1,3,NULL),(15,2192616,'1989-02-19 00:00:00',4,1,12,2006,'M','N','JARDIM ELDORADO','PALHOCA','SC','124242248215473731546839395123610127095',17228,'270',41.53,1,3,NULL),(15,2192624,'1985-02-04 00:00:00',4,1,11,2002,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241125245431436613144124610137114',NULL,'733',24.75,1,2,1),(15,2192640,'1989-08-26 00:00:00',4,1,12,2006,'M','N','INDEPENDÊNCIA','PORTO ALEGRE','RS','120202201216472441468823575114610137147',5772,'9998',59.52,1,3,NULL),(15,2192659,'1989-09-26 00:00:00',4,4,12,2006,'F','N','CENTRO','QUILOMBO','SC','124243241225272431533833574124610133157',8615,'647',54.31,1,3,NULL),(15,2192667,'1989-05-08 00:00:00',4,2,12,2006,'M','N','BOA VISTA','ATALANTA','SC','124241242117161431323315352323610126052',NULL,'662',0.00,1,2,1),(15,2192675,'1990-04-23 00:00:00',4,1,11,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124243241212111421583422345114610124062',7972,'270',55.41,1,3,NULL),(15,2192683,'1990-10-19 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124244241215111731669934572124610127052',5808,'272',59.45,1,3,NULL),(15,2192691,'1989-02-21 00:00:00',4,1,7,2007,'M','N','KOBRASOL','SAO JOSE','SC','124092091237361431366639572112610114187',NULL,'9998',21.70,1,3,NULL),(15,2192705,'1989-11-23 00:00:00',2,9,12,2006,'F','N','FRANCISCO DONCATTO','SAO MARCOS','RS','120201201216371431446414475124610164147',11350,'9998',49.91,1,3,NULL),(15,2192713,'1988-06-26 00:00:00',4,2,12,2005,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241115573331458614574114610154027',2447,'69',67.79,1,2,1),(15,2192721,'1989-12-09 00:00:00',2,1,12,2006,'F','N','JARDIM CIDADE','SAO JOSE','SC','124242241215372431536414381124610155073',19891,'1118',37.02,1,3,NULL),(15,2192730,'1987-12-01 00:00:00',2,1,12,2007,'M','N','CENTRO','PATO BRANCO','PR','116164167126371411547712375322610161152',NULL,'9998',0.00,1,3,NULL),(15,2192748,'1988-01-15 00:00:00',4,2,11,2005,'M','N','BUDAG','RIO DO SUL','SC','124243241336271731553312372122610167052',17692,'659',40.81,1,3,NULL),(15,2192756,'1990-07-16 00:00:00',2,2,11,2007,'F','N','VELHA','BLUMENAU','SC','124243241415111431446621472124610134147',13421,'71',47.00,1,3,NULL),(15,2192764,'1990-07-22 00:00:00',4,1,12,2007,'F','N','RIO BROECKER','SAO BONIFACIO','SC','124241241125161431624335572344610127147',NULL,'702',22.40,1,2,1),(15,2192772,'1990-12-23 00:00:00',2,1,12,2007,'M','N','SERRARIA','SAO JOSE','SC','124243241317151731548612575111610167057',20666,'1116',35.56,1,3,NULL),(15,2192780,'1990-03-29 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431458734275124610134012',12918,'272',47.69,1,3,NULL),(15,2192799,'1981-06-11 00:00:00',2,1,12,1998,'F','N','PANTANAL','FLORIANOPOLIS','SC','124251241116573721123644245134221864183',14705,'9998',45.14,1,3,NULL),(15,2192802,'1989-11-29 00:00:00',4,1,12,2006,'F','N','JD ACLIMAÇÃO','MARINGA','PR','116161161216371431468713573122610146052',4852,'9998',61.41,1,3,NULL),(15,2192810,'1990-02-14 00:00:00',2,1,12,2007,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124244241212111431567319572124610122182',17044,'1036',41.82,1,3,NULL),(15,2192829,'1990-03-05 00:00:00',2,1,12,2007,'M','N','CENTRO','PRUDENTOPOLIS','PR','116162161211161411526612271133610117183',NULL,'9998',0.00,1,3,NULL),(15,2192837,'1991-01-24 00:00:00',2,3,12,2007,'M','N','PEREQUE','PORTO BELO','SC','124241241435151231446833572121610127057',17285,'1111',41.43,1,3,NULL),(15,2192845,'1989-08-04 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124244241216472732458531341122610141117',14244,'1022',45.80,4,3,NULL),(15,2192853,'1990-06-03 00:00:00',4,8,7,2007,'F','N','GLÓRIA','JOINVILLE','SC','124282281215371431357832575115610167187',8372,'491',54.73,1,3,NULL),(15,2192861,'1990-02-07 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124204241215111431447811315124610137042',11687,'9997',49.42,1,3,NULL),(15,2192870,'1988-09-22 00:00:00',2,1,2,2007,'M','N','CENTRO','BRACO DO NORTE','SC','124242241215473412468911575114610164057',11059,'270',50.37,1,3,NULL),(15,2192888,'1990-11-16 00:00:00',2,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124244241215121431238662572124610122142',NULL,'1022',32.73,1,3,NULL),(15,2192896,'1990-06-10 00:00:00',2,1,12,2007,'F','N','TRINTA RÉIS','NOVA TRENTO','SC','124243241215121431363322575122610127042',17659,'270',40.86,1,3,NULL),(15,2192918,'1990-09-21 00:00:00',4,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241248112131431523339195122610136147',NULL,'727',21.18,1,3,NULL),(15,2192926,'1989-06-05 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124241241116371451455611595124610168072',NULL,'779',33.17,1,2,1),(15,2192934,'1990-09-26 00:00:00',4,5,11,2007,'M','N','CENTRO','PRAIA GRANDE','SC','124241248137161431323315192322610167047',20732,'641',35.44,1,2,1),(15,2192950,'1990-08-22 00:00:00',2,1,12,2007,'M','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124241241112131751325367292334610137095',22147,'286',31.74,1,2,1),(15,2192969,'1990-08-11 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215111431428833575121613267057',8153,'272',55.10,1,3,NULL),(15,2192977,'1989-09-28 00:00:00',2,2,12,2006,'F','N','RIBEIRÃO FRESCO','BLUMENAU','SC','124241241117273431426721341114610165092',8808,'405',53.99,1,2,1),(15,2192985,'1989-02-10 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241125272731533429345134610122187',6892,'922',57.36,1,2,1),(15,2192993,'1990-06-01 00:00:00',4,1,12,2007,'M','N','VILA KURTZ','CACADOR','SC','124241241117271431347613575112610164017',15261,'124',44.46,1,3,NULL),(15,2193000,'1989-05-05 00:00:00',4,1,12,2006,'M','N','VILA ANITA','LIMEIRA','SP','125252256117471431568811371112610132057',NULL,'9998',50.87,1,3,NULL),(15,2193019,'1988-11-09 00:00:00',4,8,12,2006,'F','N','JARDIM DAS PALMEIRAS','SUMARE','SP','125251251117271432438613572122610163097',NULL,'9998',16.36,1,2,1),(15,2193027,'1990-06-24 00:00:00',4,8,12,2007,'F','N','GLÓRIA','JOINVILLE','SC','124242241215112731438519242334610132052',1855,'1016',69.75,1,3,NULL),(15,2193035,'1990-05-22 00:00:00',2,1,11,2007,'F','N','AREIAS','SAO JOSE','SC','124242241215121431246527575114610167072',7012,'270',57.12,1,3,NULL),(15,2193043,'1991-03-01 00:00:00',2,5,11,2007,'M','N','VILA SÃO JOSÉ','ARARANGUA','SC','124242241215111411469832375122610162117',13567,'32',46.79,1,3,NULL),(15,2193051,'1989-12-11 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241211472441579839571124610164042',6694,'266',57.75,1,3,NULL),(15,2193060,'1990-01-07 00:00:00',4,1,12,2007,'M','N','OLÍMPICO','SAO CAETANO DO SUL','SP','125251251117131431446614574225610164047',21627,'9998',33.44,1,2,1),(15,2193078,'1988-09-08 00:00:00',4,1,12,2005,'M','N','CAMPO LIMPO','SAO PAULO','SP','125252251217571431476823131112143264117',8117,'9998',55.16,1,3,NULL),(15,2193086,'1990-04-09 00:00:00',4,6,11,2007,'M','N','CENTRO','ITAJAI','SC','124242241215111231438823316112610164072',1201,'1026',72.48,1,3,NULL),(15,2193094,'1990-10-05 00:00:00',2,1,12,2007,'F','N','VILA RICA','CAMPO GRANDE','MS','112122121216121731227621245125610137092',9969,'9998',51.98,1,3,NULL),(15,2193108,'1987-01-11 00:00:00',4,1,12,2005,'F','N','CAMPO DUNA','GAROPABA','SC','224241241122151431221153182322133023117',NULL,'322',0.00,1,2,1),(15,2193116,'1990-06-14 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215111431558613576122610112097',3690,'737',64.24,1,3,NULL),(15,2193124,'1988-04-06 00:00:00',2,1,12,2005,'M','N','SÃO BRAZ','CURITIBA','PR','116161161121571431434417111323610118047',9694,'9998',52.43,1,2,1),(15,2193132,'1984-09-13 00:00:00',2,1,12,2006,'M','N','JARDIM CIDADE','SAO JOSE','SC','124241241126371431523321245133610124077',18225,'1117',39.93,1,3,NULL),(15,2193140,'1990-01-18 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241217111231428613582112610167017',21590,'724',33.53,1,3,NULL),(15,2193159,'1986-09-18 00:00:00',2,1,12,2004,'F','N','JARDIM EUROPA','CUIABA','MT','111113111317111431533532272124241026142',NULL,'9998',22.94,1,3,NULL),(15,2193167,'1989-11-09 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124241241215272231455614343114610167162',6542,'738',57.99,1,3,NULL),(15,2193175,'1990-01-03 00:00:00',4,1,12,2006,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124203201216471731488711572122610167042',17962,'9998',40.38,1,3,NULL),(15,2193183,'1990-12-13 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124243241317111431326614472124610127047',20467,'1076',35.93,1,3,NULL),(15,2193191,'1990-09-25 00:00:00',4,4,12,2007,'M','N','JARDIM PRIMAVERA','SINOP','MT','111114111216111431536634275121610167092',NULL,'9998',33.55,1,3,NULL),(15,2193205,'1980-02-23 00:00:00',4,1,11,1997,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241415135431543443235132120267041',10421,'267',51.32,1,3,NULL),(15,2193213,'1989-03-10 00:00:00',2,8,12,2006,'M','N','JARDIM UNIVERSITÁRIO','MARINGA','PR','116162161215471431338719595112610137051',17134,'9998',41.67,1,3,NULL),(15,2193230,'1986-11-27 00:00:00',4,2,12,2004,'M','N','VISTA VERDE','SAO JOSE DOS CAMPOS','SP','125251251137571431368413371324610114174',12867,'9998',47.77,1,2,1),(15,2193248,'1989-09-13 00:00:00',2,1,12,2006,'F','N','JARDIM SÃO PEDRO','SANTO ANTONIO DA PLATINA','PR','116161161316111431321615575125610162142',17489,'9998',41.10,1,3,NULL),(15,2193264,'1988-03-21 00:00:00',2,3,11,2006,'F','N','VILA MARIANA','SAO PAULO','SP','125243241247471711546364391125610167142',11629,'457',49.51,1,3,NULL),(15,2193272,'1991-06-10 00:00:00',2,8,12,2008,'F','S','ATIRADORES','JOINVILLE','SC','124242241215111451359713375112610162072',NULL,'491',50.33,1,3,NULL),(15,2193280,'1989-07-27 00:00:00',4,1,6,2007,'M','N','CAMBUI','CAMPINAS','SP','125252281416371431479814575122610147097',5026,'9998',61.03,1,3,NULL),(15,2193310,'1991-10-28 00:00:00',4,1,12,2008,'F','S','CARIANOS','FLORIANOPOLIS','SC','124242241217111431468833572114610137112',NULL,'270',46.83,1,3,NULL),(15,2193329,'1989-03-21 00:00:00',2,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124244241435132431638812326324610168057',14652,'272',45.21,1,3,NULL),(15,2193337,'1988-02-22 00:00:00',2,1,12,2005,'F','N','FAZENDA DA ARMAÇÃO','GOVERNADOR CELSO RAMOS','SC','124241241315153431466611592124232768142',10082,'1022',51.81,1,3,NULL),(15,2193345,'1990-03-23 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241215111711436834572124610167077',20698,'1022',35.50,1,3,NULL),(15,2193353,'1989-07-31 00:00:00',2,1,12,2006,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215472431469613571124610163182',16982,'270',41.90,1,3,NULL),(15,2193361,'1983-08-01 00:00:00',2,1,12,2000,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242241215313331464723492124221467045',5517,'944',60.03,1,3,NULL),(15,2193370,'1988-11-23 00:00:00',4,4,12,2006,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241216372431456933371125610134147',7463,'752',56.30,1,3,NULL),(15,2193396,'1990-08-03 00:00:00',4,4,12,2007,'F','N','ALVORADA','XAXIM','SC','124241241142131411423323232345610166147',20077,'846',36.67,1,3,NULL),(15,2193400,'1989-03-24 00:00:00',2,5,11,2007,'M','N','CIDADE ALTA','ARARANGUA','SC','124244241435111431364312371122610164047',18278,'32',39.82,1,3,NULL),(15,2193426,'1991-11-29 00:00:00',4,10,12,2009,'F','S','RIO BONITO','BRACO DO NORTE','SC','124242241215111411566431272112610132192',NULL,'807',20.58,1,3,NULL),(15,2193434,'1989-09-01 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215272411648811572121221733072',1111,'270',72.98,1,3,NULL),(15,2193442,'1990-12-24 00:00:00',4,6,11,2007,'F','N','CENTRO','PORTO BELO','SC','124242241216121411448713472112610167112',2245,'403',68.44,1,3,NULL),(15,2193450,'1990-02-06 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215121231336813575124610127047',1082,'270',73.09,1,3,NULL),(15,2193469,'1990-10-07 00:00:00',4,1,11,2007,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242248215112311458822312124610125117',6873,'270',57.40,1,3,NULL),(15,2193477,'1986-09-06 00:00:00',4,6,12,2003,'F','N','CENTRO','GUARARAPES','SP','125251251215574411446613574325610166177',1188,'9998',72.53,1,3,NULL),(15,2193485,'1990-09-07 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241116151731433639575124610127062',20913,'307',35.06,3,3,NULL),(15,2193515,'1987-06-29 00:00:00',4,1,12,2004,'M','N','CRUZEIRO DO SUL','CRICIUMA','SC','124242241216374431258521475112610134042',7962,'229',55.43,1,3,NULL),(15,2193523,'1967-06-19 00:00:00',2,1,10,1984,'M','N','PANTANAL','FLORIANOPOLIS','SC','524201206126151221145343335333340212175',5262,'9998',60.59,1,2,1),(15,2193531,'1990-03-23 00:00:00',4,1,11,2007,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241215122431337612475124610133097',19376,'9997',38.05,1,3,NULL),(15,2193540,'1987-03-18 00:00:00',2,1,3,2006,'M','N','JARDIM ELDORADO','PALHOCA','SC','124241241112132411423619342114610124052',16331,'739',42.85,4,2,1),(15,2193558,'1990-09-30 00:00:00',4,1,12,2007,'M','N','CENTRO','GAROPABA','SC','124241241117111431628533272124610137052',5563,'306',59.94,1,2,1),(15,2193566,'1991-03-11 00:00:00',4,4,12,2007,'F','N','FRAGOSOS','CONCORDIA','SC','124241241115471431459713575122610167147',NULL,'192',0.00,1,2,1),(15,2193574,'1988-06-16 00:00:00',4,8,11,2005,'F','N','JD DAS INDUSTRIAS','SAO JOSE DOS CAMPOS','SP','125254251215571431565823574122610124147',857,'9998',74.32,1,3,NULL),(15,2193582,'1989-07-15 00:00:00',2,1,12,2006,'F','N','VIVI XAVIER','LONDRINA','PR','116161161116471731433634572224610114042',NULL,'9998',0.00,1,2,1),(15,2193604,'1990-01-13 00:00:00',2,1,12,2007,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241115151431539513572124610166112',13816,'307',46.43,4,2,1),(15,2193612,'1987-12-14 00:00:00',4,1,10,2005,'M','N','CENTRO','PARAOPEBA','MG','113132131216471231433933571225141432057',NULL,'9998',0.00,4,3,NULL),(15,2193620,'1990-11-24 00:00:00',4,1,12,2007,'M','N','REAL PARQUE','SAO JOSE','SC','124241241115111531536314576124610167177',17589,'734',40.95,1,2,1),(15,2193639,'1988-12-11 00:00:00',4,1,12,2006,'M','N','VILLA PAVAN','AMERICANA','SP','125252251217471431468813132111610164012',9069,'9998',53.54,1,3,NULL),(15,2193647,'1989-04-20 00:00:00',2,1,12,2006,'M','N','VILA ITALIA','SAO JOSE DO RIO PRETO','SP','125252251211471411478811571122610121042',11351,'9998',49.91,1,3,NULL),(15,2193655,'1986-04-17 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','SAO JOSE','SC','124243247335131231638464395234610114147',21526,'9999',33.67,4,1,2),(15,2193663,'1988-06-23 00:00:00',2,1,12,2005,'F','N','CENTRO','PONTA GROSSA','PR','116161161111471751537832574125610166077',8093,'9998',55.20,1,2,1),(15,2193671,'1990-08-27 00:00:00',2,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241214111432449814245122610121196',13071,'723',47.48,1,3,NULL),(15,2193680,'1987-08-13 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241332272711158711575244610162047',8455,'307',54.59,1,3,NULL),(15,2193698,'1990-01-31 00:00:00',2,1,11,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215111731436633575124610123187',20982,'272',34.88,1,3,NULL),(15,2193701,'1991-01-29 00:00:00',2,4,12,2007,'F','N','CENTRO','SAO LOURENCO DO OESTE','SC','124244248415111751436413575122610133057',NULL,'9997',8.96,1,3,NULL),(15,2193736,'1986-01-11 00:00:00',4,1,12,2003,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124072241215573431448819475122230267042',11787,'270',49.28,1,3,NULL),(15,2193744,'1984-06-06 00:00:00',4,1,12,2001,'M','N','JARDIM AQUARIOS','PALHOCA','SC','124241241117141431335463342224133234017',12233,'139',48.68,1,2,1),(15,2193752,'1985-02-25 00:00:00',2,1,12,2002,'M','N','XV DE NOVEMBRO','TIJUCAS','SC','124241241117155751444319241221121767092',6154,'783',58.75,1,2,1),(15,2193760,'1991-03-07 00:00:00',3,8,12,2008,'F','S','SAGUAÇÚ','JOINVILLE','SC','124242241215111431559933575122610132145',NULL,'457',53.28,1,3,NULL),(15,2193779,'1987-09-29 00:00:00',4,3,12,2004,'F','N','BACACHERI','CURITIBA','PR','116161161116474451447939595124610162047',6773,'9998',57.61,1,2,1),(15,2193795,'1989-07-18 00:00:00',4,1,11,2006,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124243241417472431668814571124610168197',3750,'270',64.07,1,3,NULL),(15,2193809,'1985-04-01 00:00:00',2,8,6,2004,'M','N','PARQUE INDUSTRIAL','SAO JOSE DOS CAMPOS','SP','125251258227271211315629292114610164017',NULL,'9998',8.10,1,3,NULL),(15,2193817,'1989-12-03 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215111321349833575124610138042',18902,'9997',38.83,1,3,NULL),(15,2193825,'1981-06-29 00:00:00',2,1,6,2005,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','224241247217572421244444242342610167187',17620,'9997',40.91,1,3,NULL),(15,2193833,'1990-01-21 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241312132411448911591124610118122',117,'270',81.20,1,3,NULL),(15,2193841,'1990-07-11 00:00:00',2,1,12,2007,'M','N','RIO CAVEIRAS','BIGUACU','SC','124243241117151431458833432124610147047',17107,'65',41.72,1,3,NULL),(15,2193850,'1979-08-18 00:00:00',4,3,12,1997,'M','N','SAO LUIS','BRUSQUE','SC','124241241126131751123244145334130268187',NULL,'45',25.43,4,3,NULL),(15,2193868,'1990-06-22 00:00:00',4,1,12,2007,'F','N','LINHA EDITH','SAO MARCOS','RS','120201201117471431433739572224610163097',NULL,'9998',0.00,4,2,1),(15,2193884,'1990-09-10 00:00:00',2,1,12,2007,'M','N','SÃO SEBASTIÃO','PALHOCA','SC','124241241115111531436319492124610134097',17169,'592',41.61,1,2,1),(15,2193892,'1988-12-20 00:00:00',4,1,10,2006,'M','N','PARQUE SÃO JORGE','FLORIANOPOLIS','SC','124242241215472431558612271122230214141',3132,'262',65.74,1,3,NULL),(15,2193914,'1989-01-30 00:00:00',2,1,12,2006,'F','N','BAIRRO DE FÁTIMA','FLORIANOPOLIS','SC','124241241217152431347714372124610167077',15972,'270',43.43,1,3,NULL),(15,2193922,'1990-09-14 00:00:00',4,4,12,2007,'F','N','CENTRO','GUARACIABA','SC','124241241417131431443612175124610131142',NULL,'751',0.00,3,3,NULL),(15,2193930,'1990-08-15 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124244241215111731459921595124610118141',NULL,'1022',37.94,1,3,NULL),(15,2193949,'1988-11-02 00:00:00',2,1,12,2007,'M','N','AGUA VERDE','CURITIBA','PR','116162161215111731468631285125610167062',NULL,'9998',0.00,1,3,NULL),(15,2193957,'1990-06-22 00:00:00',4,1,12,2007,'F','N','FORQUILHAS','SAO JOSE','SC','124241241412131431623311572324610167057',20063,'733',36.70,1,3,NULL),(15,2193973,'1990-08-18 00:00:00',4,1,12,2007,'F','N','DIVINO','PALMAS','PR','116161161117151432357714445122610147057',NULL,'9998',18.08,1,2,1),(15,2193981,'1990-07-22 00:00:00',4,1,11,2007,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241241115271431643429574124610113141',19621,'307',37.57,4,2,1),(15,2193990,'1990-12-18 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241215111432556839572124610133077',14128,'1022',45.99,1,3,NULL),(15,2194007,'1990-06-23 00:00:00',4,1,2,2008,'M','N','AREIAS','SAO JOSE','SC','124242241115131411436829245134610127052',11564,'739',49.61,4,3,NULL),(15,2194015,'1989-04-08 00:00:00',4,10,12,2006,'M','N','OFICINAS','TUBARAO','SC','124244241215272431447933575122131467042',862,'807',74.28,1,3,NULL),(15,2194023,'1990-03-16 00:00:00',1,2,12,2007,'F','N','TESTO REGA','POMERODE','SC','124243241215121431436434172124610131192',12413,'624',48.42,1,3,NULL),(15,2194031,'1988-05-04 00:00:00',4,8,12,2005,'M','N','IRIRIÚ','JOINVILLE','SC','124242241217142441469913574122231434092',5188,'931',60.73,1,3,NULL),(15,2194040,'1990-02-15 00:00:00',4,10,11,2007,'M','N','MORROTES','TUBARAO','SC','124242241215111411439913232112610118057',NULL,'806',24.69,1,3,NULL),(15,2194058,'1991-06-06 00:00:00',4,8,12,2008,'F','S','ATIRADORES','JOINVILLE','SC','124244241215111451376923576122610168187',NULL,'491',31.15,1,3,NULL),(15,2194066,'1990-09-26 00:00:00',4,1,12,2007,'F','N','CENTRO','VACARIA','RS','120202201216371431259833575122610126042',NULL,'9998',0.00,1,3,NULL),(15,2194074,'1990-12-19 00:00:00',2,1,12,2007,'M','N','CENTRO','TIJUCAS','SC','124243246415111431433823575125610167047',19858,'1119',37.10,1,3,NULL),(15,2194082,'1990-03-19 00:00:00',2,4,12,2007,'M','N','CENTRO','CHAPECO','SC','124243241215121431235921342124610114187',21360,'983',34.07,4,3,NULL),(15,2194090,'1978-02-18 00:00:00',4,1,12,1998,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','224071077137152721263343235122141067187',2407,'9999',67.89,1,3,NULL),(15,2194104,'1989-07-26 00:00:00',2,1,12,2006,'M','N','CENTRO','CASTRO','PR','116164161415571711478616542112610162186',14168,'9998',45.93,1,3,NULL),(15,2194112,'1990-01-14 00:00:00',2,9,12,2007,'M','N','CARAVAGIO','LAGES','SC','124241241215111431448811595112610167042',12734,'499',47.94,1,3,NULL),(15,2194120,'1989-07-17 00:00:00',4,8,12,2006,'M','N','ZONA I','UMUARAMA','PR','116162161215471731366816572122610166142',574,'9998',76.25,1,3,NULL),(15,2194139,'1989-01-04 00:00:00',4,8,12,2005,'F','N','ASA NORTE','BRASILIA','DF','107092071217571431578932572112610163076',3074,'9998',65.90,1,3,NULL),(15,2194147,'1991-02-19 00:00:00',4,8,12,2008,'F','S','GLÓRIA','JOINVILLE','SC','124242241215111431336612572112610124092',NULL,'491',37.46,1,3,NULL),(15,2194155,'1989-10-18 00:00:00',4,1,12,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241145141511454319345134610114147',21825,'307',32.87,1,2,1),(15,2194163,'1990-06-05 00:00:00',4,3,12,2007,'M','N','CENTRO','CIANORTE','PR','216162161231411411336612275121610127042',12157,'9998',48.78,1,3,NULL),(15,2194171,'1990-07-14 00:00:00',2,1,12,2007,'M','N','CENTRO','TAIO','SC','124242241217151431438832225111610162082',8924,'776',53.79,1,3,NULL),(15,2194180,'1991-11-20 00:00:00',2,1,11,2007,'F','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124242241215111731363639575124610126197',14223,'1022',45.83,1,3,NULL),(15,2194198,'1990-04-19 00:00:00',4,1,12,2007,'M','N','CENTRO','PALHOCA','SC','124241241117131431346623372124610127047',22009,'592',32.24,1,2,1),(15,2194201,'1987-12-23 00:00:00',2,1,8,2007,'M','N','SÃO FRANCISCO DE ASS','SANTO AMARO DA IMPERATRIZ','SC','124241247126271431543624344124610137142',20420,'9999',36.01,1,3,NULL),(15,2194210,'1991-09-05 00:00:00',2,1,12,2008,'M','S','CAMPINAS','SAO JOSE','SC','124242241215111431548714572114610112095',NULL,'270',45.33,1,3,NULL),(15,2194228,'1991-08-05 00:00:00',2,1,11,2008,'F','S','TRINDADE','FLORIANOPOLIS','SC','124242241215111431489933572124610168071',NULL,'1050',50.44,1,3,NULL),(15,2194236,'1990-01-26 00:00:00',4,1,11,2007,'F','N','VILA SUEVIA','ITU','SP','125252251217111431569814572124610134077',17778,'9998',40.70,1,3,NULL),(15,2194244,'1989-11-25 00:00:00',4,4,11,2006,'F','N','CENTRO','FRANCISCO BELTRAO','PR','116161161216471431458933572112610121097',NULL,'9998',0.00,1,3,NULL),(15,2194252,'1989-01-13 00:00:00',2,5,11,2007,'M','N','CEARA','CRICIUMA','SC','124244241215121331443934475112610127047',18924,'226',38.81,1,3,NULL),(15,2194260,'1989-11-21 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124132241215111431358819272122610123185',11082,'262',50.33,1,3,NULL),(15,2194279,'1989-09-02 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241215412431478911572124610123187',4939,'262',61.21,1,3,NULL),(15,2194287,'1988-03-22 00:00:00',2,1,12,2005,'M','N','ASTÚRIAS','GUARUJA','SP','125252251215471431468611585112143244092',NULL,'9998',0.00,1,3,NULL),(15,2194295,'1980-11-01 00:00:00',4,8,12,1998,'M','N','SAGUAÇU','JOINVILLE','SC','124244241417152711567739435132331066132',7773,'487',55.75,1,3,NULL),(15,2194317,'1985-09-13 00:00:00',4,1,12,2002,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241435573431328824385124131324097',6934,'119',57.28,1,3,NULL),(15,2194325,'1990-08-29 00:00:00',4,1,12,2007,'M','N','ZONA SETE','MARINGA','PR','116162168215111431324669592121610167042',NULL,'9998',27.71,1,3,NULL),(15,2194333,'1989-12-25 00:00:00',4,1,12,2007,'M','N','PARQUE CIDADE NOVA','MOGI GUACU','SP','125252251217111431478814375112610164124',9165,'9998',53.33,4,3,NULL),(15,2194341,'1990-10-26 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124243241115271431466511572124610153072',12182,'267',48.75,1,3,NULL),(15,2194350,'1989-09-28 00:00:00',4,1,12,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241217111431369913574121610127012',106,'951',81.48,1,3,NULL),(15,2194368,'1990-08-24 00:00:00',4,6,11,2007,'F','N','CENTRO','BARRA VELHA','SC','124241241215111431568832345122610162097',20713,'389',35.48,1,3,NULL),(15,2194376,'1990-04-02 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111431554412421125610137047',16102,'1118',43.22,1,3,NULL),(15,2194384,'1988-12-22 00:00:00',4,1,12,2006,'M','N','BATEL','CURITIBA','PR','116164161216472411567814574124610122047',NULL,'9998',0.00,1,3,NULL),(15,2194392,'1971-01-22 00:00:00',4,1,12,1987,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248211132411368619415122331024117',NULL,'266',0.00,1,3,NULL),(15,2194406,'1990-08-20 00:00:00',4,1,12,2007,'F','N','CENTRO','ANTONIO CARLOS','SC','124241248115151431433414292322610133147',10708,'21',50.86,1,2,1),(15,2194414,'1987-04-22 00:00:00',4,8,12,2005,'M','N','BACACHERI','CURITIBA','PR','116164167216151441556912595121140664114',NULL,'9998',0.00,1,3,NULL),(15,2194422,'1986-04-29 00:00:00',2,1,8,2005,'M','N','CARIANOS','FLORIANOPOLIS','SC','124243247315143321456613575124610121117',17068,'9999',41.77,1,3,NULL),(15,2194430,'1990-01-30 00:00:00',4,7,11,2007,'M','N','CENTRO','CONCORDIA','SC','124242241215112431469912575122610167075',6066,'1000',58.95,1,3,NULL),(15,2194449,'1990-07-05 00:00:00',4,1,12,2007,'F','N','AREIAS','TIJUCAS','SC','124241241125131431436511215121610112147',NULL,'783',14.42,4,2,1),(15,2194457,'1988-09-13 00:00:00',4,1,7,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124243248237131411439911371124231027067',NULL,'809',0.00,1,3,NULL),(15,2194465,'1990-06-15 00:00:00',4,2,12,2007,'F','N','CENTRO','POMERODE','SC','124242241215111431357417575122610123182',7961,'624',55.43,1,3,NULL),(15,2194473,'1988-10-22 00:00:00',4,1,12,2007,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217272411475923475122610132052',6887,'883',57.37,1,3,NULL),(15,2194481,'1991-08-28 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242248217111751378622572112610114122',NULL,'262',33.08,1,3,NULL),(15,2194490,'1990-12-24 00:00:00',4,6,11,2007,'F','N','CENTRO','PORTO BELO','SC','124242241216121431448713472112610124012',NULL,'403',36.35,1,3,NULL),(15,2194503,'1989-01-08 00:00:00',4,5,11,2006,'F','N','PRAIA DA CAL','TORRES','RS','120201201336112211345633395324231567147',NULL,'9998',0.00,1,3,NULL),(15,2194511,'1990-05-12 00:00:00',4,2,12,2007,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241217271431466719575124610138117',4239,'87',62.83,1,3,NULL),(15,2194520,'1989-03-03 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248212373431564819592115131034157',10154,'270',51.71,1,3,NULL),(15,2194538,'1991-07-10 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','624242241235111421489811492122610142142',11418,'497',49.82,1,3,NULL),(15,2194546,'1987-11-10 00:00:00',2,1,12,2004,'M','N','CENTRO','PALHOCA','SC','124243241136144421567614495134230767067',NULL,'591',42.93,1,3,NULL),(15,2194554,'1990-05-12 00:00:00',4,1,11,2007,'M','N','CARMELO','SAO JOAO BATISTA','SC','124241241115151431324616572324610168147',18243,'712',39.90,1,3,NULL),(15,2194589,'1967-11-21 00:00:00',4,1,12,1985,'F','N','CAMPECHE','FLORIANOPOLIS','SC','224241248112135451643553372122321364097',12407,'521',48.42,1,2,1),(15,2194597,'1990-08-07 00:00:00',4,8,12,2007,'M','N','CENTRO','PAPANDUVA','SC','124241241117161421333651245122610167142',20792,'603',35.31,1,2,1),(15,2194600,'1991-01-11 00:00:00',2,7,11,2007,'M','N','CENTRO','CONCORDIA','SC','124242241215111411358811572122610117041',14184,'1000',45.90,1,3,NULL),(15,2194619,'1985-03-05 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANOPOLIS','SC','124251251315573431313319196124221563092',9984,'9998',51.96,1,3,NULL),(15,2194627,'1989-12-28 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215471431288823372125610121127',5502,'270',60.05,1,3,NULL),(15,2194635,'1987-03-09 00:00:00',2,1,12,2004,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241122374231435614375124221467047',1705,'307',70.37,1,2,1),(15,2194643,'1989-06-02 00:00:00',4,1,12,2006,'F','N','VILA CLEMENTINO','SAO PAULO','SP','125252251216471431647833492115140247111',8402,'9998',54.69,1,3,NULL),(15,2194651,'1991-01-10 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241211111411449613282124610127015',19654,'272',37.51,1,3,NULL),(15,2194660,'1990-04-25 00:00:00',4,1,11,2007,'M','N','SANTO AMARO','SAO PAULO','SP','125252251217471411488811471122610134052',741,'9998',75.10,1,3,NULL),(15,2194678,'1988-12-11 00:00:00',4,1,12,2005,'F','N','VILA PARAÍBA','GUARATINGUETA','SP','125252251215471421459931571122610161032',15540,'9998',44.07,1,3,NULL),(15,2194686,'1989-06-16 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431358714595112610133142',17190,'270',41.58,3,3,NULL),(15,2194694,'1990-06-23 00:00:00',1,2,12,2007,'F','N','CENTRO','POMERODE','SC','124241241216111431358714575121610141093',10593,'624',51.03,1,3,NULL),(15,2194708,'1990-03-19 00:00:00',2,10,12,2007,'M','N','HUMAÍTA DE CIMA','TUBARAO','SC','124241241217151432436612275122610117052',17673,'1120',40.83,1,3,NULL),(15,2194724,'1990-11-24 00:00:00',4,5,11,2008,'F','S','MICHEL','CRICIUMA','SC','124242241215111431569913575122610162142',NULL,'213',41.45,1,3,NULL),(15,2194732,'1989-11-11 00:00:00',4,1,12,2006,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124242241212373431229822471125131025112',12599,'270',48.14,1,3,NULL),(15,2194740,'1989-06-24 00:00:00',4,1,12,2006,'M','N','PASSA VINTE','PALHOCA','SC','124241241316152431334529495224222064047',501,'1011',76.81,1,3,NULL),(15,2194759,'1990-04-16 00:00:00',4,4,12,2007,'F','N','CENTRO','PALMA SOLA','SC','124241241125141431536839142122610252077',21459,'598',33.82,1,2,1),(15,2194767,'1989-06-16 00:00:00',4,1,12,2006,'M','N','CENTRO','CAMPINAS','SP','125256251215471731256623585124610162017',6006,'9998',59.07,4,3,NULL),(15,2194775,'1990-12-09 00:00:00',2,5,12,2007,'F','N','MINA DO MATO','CRICIUMA','SC','124242248215161431447614575124610168117',11983,'995',49.01,1,3,NULL),(15,2194783,'1987-02-22 00:00:00',2,1,12,2007,'F','N','CENTRO','LAVRAS','MG','113132131236151431266923575114610135042',NULL,'9998',0.00,4,3,NULL),(15,2194791,'1990-06-23 00:00:00',4,1,11,2007,'M','N','JARDIM APOLO','SAO JOSE DOS CAMPOS','SP','125252251217111411358812575112610122182',6412,'9998',58.23,1,3,NULL),(15,2194805,'1990-04-24 00:00:00',2,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215121731468714572122610132117',6512,'737',58.05,1,3,NULL),(15,2194813,'1990-07-21 00:00:00',4,8,12,2007,'M','N','BAIRRO AHÚ','CURITIBA','PR','116161161117471431656614574124610132017',NULL,'9998',0.00,1,2,1),(15,2194821,'1990-10-15 00:00:00',4,1,11,2007,'F','N','CENTRO HISTÓRICO','SAO JOSE','SC','124242241215111411459933292124610122057',11472,'270',49.75,1,3,NULL),(15,2194830,'1990-04-25 00:00:00',4,1,11,2007,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217372431469611492114610137042',4567,'262',62.10,1,3,NULL),(15,2194848,'1989-05-30 00:00:00',4,8,12,2006,'F','N','VISTA ALEGRE','CURITIBA','PR','116162161216472431468814472114610164147',NULL,'9998',0.00,1,3,NULL),(15,2194856,'1989-01-21 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEICAO','FLORIANOPOLIS','SC','124242241215372431568611574124610136142',359,'262',77.96,1,3,NULL),(15,2194864,'1990-10-10 00:00:00',2,1,12,2007,'M','N','VILA NOVA','IMBITUBA','SC','124241241416111411334923575124610167147',NULL,'362',0.00,1,3,NULL),(15,2194880,'1987-10-25 01:00:00',2,1,5,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124243247415471211458613445124610127042',21070,'9999',34.72,1,3,NULL),(15,2194902,'1988-05-14 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241415371411555712472124132367072',10378,'27',51.38,1,3,NULL),(15,2194910,'1987-10-16 00:00:00',4,1,12,2004,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241217373431568923572122123234142',6014,'262',59.05,1,3,NULL),(15,2194929,'1990-12-06 00:00:00',2,4,12,2007,'F','N','CENTRO','VITORINO','PR','116161161216111732459953575114610167187',NULL,'9998',0.00,1,3,NULL),(15,2194937,'1989-07-15 00:00:00',4,8,12,2006,'M','N','CENTRO','GARUVA','SC','124244241217272431558612574114231468087',4222,'461',62.86,1,3,NULL),(15,2194945,'1989-05-19 00:00:00',4,1,12,2006,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241217132731435831295124610164147',13590,'1014',46.76,1,3,NULL),(15,2194953,'1987-01-08 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124201201215272431337724445124130234147',18061,'9998',40.21,1,3,NULL),(15,2194961,'1990-06-29 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215471431468812572122610123073',1333,'262',71.96,1,3,NULL),(15,2194970,'1988-09-21 00:00:00',4,5,12,2005,'F','N','CENTRO','URUSSANGA','SC','124242241215573431447814172224610167052',10072,'226',51.82,1,3,NULL),(15,2194988,'1985-02-04 00:00:00',2,1,12,2003,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124201201117131411427644242334143225017',22057,'9998',32.06,1,3,NULL),(15,2194996,'1984-09-17 00:00:00',2,4,12,2003,'M','N','CENTRO','XAXIM','SC','124244241417152431657931591122133146047',NULL,'846',0.00,1,3,NULL),(15,2195003,'1985-06-09 00:00:00',4,4,12,2002,'F','N','BOA VISTA','ERECHIM','RS','120201201226371421344314335123342226142',19730,'9998',37.36,1,3,NULL),(15,2195011,'1988-07-30 00:00:00',4,1,12,2005,'F','N','CAMPINAS','SAO JOSE','SC','120202201216571731438621392124610161187',6208,'9998',58.62,1,3,NULL),(15,2195020,'1990-07-27 00:00:00',4,10,11,2007,'F','N','AEROPORTO','TUBARAO','SC','124241241135141431344327342113610128142',15167,'798',44.57,1,2,1),(15,2195038,'1990-10-04 00:00:00',4,4,12,2007,'M','N','CENTRO','PATO BRANCO','PR','116162168215311431548832424122610167062',14883,'9998',44.93,1,3,NULL),(15,2195054,'1990-07-20 00:00:00',4,2,12,2007,'M','N','TESTO SALTO','BLUMENAU','SC','124244241217161431548824575124610162147',8658,'909',54.25,1,3,NULL),(15,2195062,'1990-06-26 00:00:00',4,2,12,2007,'M','N','BOM RETIRO','BLUMENAU','SC','124243241217111711234821585114610164042',8220,'88',54.98,1,3,NULL),(15,2195070,'1990-12-18 00:00:00',1,4,12,2007,'M','N','CENTRO','CONSTANTINA','RS','120201201136171731434332572222610134144',14742,'9998',45.08,1,3,NULL),(15,2195089,'1990-10-27 00:00:00',4,6,12,2007,'M','N','FAZENDA','ITAJAI','SC','124242241215111431458832575122610118042',8596,'389',54.36,1,3,NULL),(15,2195097,'1990-08-30 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241217111431468613475122610112182',15837,'1051',43.62,1,3,NULL),(15,2195100,'1990-10-04 00:00:00',4,1,12,2007,'F','N','PARQUE RES LISBOA','SAO JOSE','SC','124242241215111431446613572124610123073',12565,'944',48.19,1,3,NULL),(15,2195119,'1990-09-15 00:00:00',2,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124112241215111431238613575124610135072',16750,'1076',42.25,1,3,NULL),(15,2195127,'1990-12-14 00:00:00',4,8,11,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215111431458613572122610132147',NULL,'486',27.52,1,3,NULL),(15,2195135,'1988-12-04 00:00:00',4,8,11,2006,'M','N','PILARZINHO','CURITIBA','PR','116162161237471441358832577114610136187',39,'9998',83.43,1,3,NULL),(15,2195143,'1990-09-16 00:00:00',2,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124241241215111311226624191124610112055',9704,'1022',52.42,1,3,NULL),(15,2195151,'1988-07-06 00:00:00',2,1,12,2006,'F','N','NOSSA SRA DO ROSARIO','SAO JOSE','SC','124244241333372431536912241134610132153',20923,'1022',35.03,1,3,NULL),(15,2195160,'1990-09-24 00:00:00',4,1,12,2007,'F','N','ROÇADO','SAO JOSE','SC','124242241217111431469612272122610166122',7711,'270',55.84,1,3,NULL),(15,2195178,'1987-03-30 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241415574431456632575123610116182',5685,'185',59.70,1,3,NULL),(15,2195186,'1989-11-17 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241112111231535824572124610124152',17644,'738',40.88,1,3,NULL),(15,2195194,'1990-05-17 00:00:00',4,1,12,2007,'F','N','JABAQUARA','SAO PAULO','SP','125252251217371431587712475112610167072',10643,'9998',50.96,3,3,NULL),(15,2195216,'1989-07-24 00:00:00',4,1,11,2006,'F','N','CORRÉGO GRANDE','FLORIANOPOLIS','SC','124242241211472431559813372122610121027',11261,'951',50.07,1,3,NULL),(15,2195224,'1989-09-19 00:00:00',4,1,11,2008,'M','S','TRINDADE','FLORIANOPOLIS','SC','124242241412111431355931392124610132071',NULL,'270',27.64,1,3,NULL),(15,2195232,'1976-10-20 00:00:00',2,1,12,1997,'F','N','CANTO DOS ARAÇAS','FLORIANOPOLIS','SC','124241248127134411543329342113610162183',15638,'282',43.89,1,3,NULL),(15,2195240,'1989-04-29 00:00:00',2,1,12,2006,'F','N','PASSA VINTE','PALHOCA','SC','124244241215272431345719572124610144072',12932,'1011',47.67,4,3,NULL),(15,2195259,'1987-07-01 00:00:00',2,1,12,2004,'F','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124203201115573431437839575124233226091',916,'9998',73.98,1,3,NULL),(15,2195267,'1989-06-07 00:00:00',2,10,12,2006,'M','N','VILA JARDIM','PORTO ALEGRE','RS','120202201211471431548814471112610127047',13748,'9998',46.54,1,3,NULL),(15,2195275,'1990-08-14 00:00:00',4,8,12,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124241246216151431468613572122610137047',14187,'1006',45.89,1,3,NULL),(15,2195283,'1989-10-18 00:00:00',4,9,12,2006,'F','N','CENTRO','LAGES','SC','124242241215472431458911575122610127122',1011,'499',73.46,1,3,NULL),(15,2195291,'1987-05-09 00:00:00',4,1,12,2005,'M','N','VILA ANDRADE','SAO PAULO','SP','125252251237572211369834225132610167092',6690,'9998',57.75,1,3,NULL),(15,2195305,'1987-07-09 00:00:00',2,1,12,2004,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','124241241133374751559613294124610167097',13838,'298',46.40,1,3,NULL),(15,2195313,'1990-07-20 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241117131411666613571124610123157',18360,'307',39.70,1,2,1),(15,2195321,'1987-02-02 00:00:00',4,1,12,2004,'M','N','CENTRO','CAXIAS DO SUL','RS','120241201417131431436521245124610127067',14595,'9998',45.28,1,3,NULL),(15,2195330,'1990-04-23 00:00:00',4,8,11,2007,'M','N','CASCATINHA','CURITIBA','PR','116162161217111441369823576114610167117',1996,'9998',69.30,1,3,NULL),(15,2195348,'1990-07-12 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431368613572124610127057',15014,'272',44.77,1,3,NULL),(15,2195364,'1990-01-18 00:00:00',4,4,12,2007,'F','N','QUIRI','RONDA ALTA','RS','120011201117131731225623572325610128182',21676,'9998',33.32,1,2,1),(15,2195372,'1990-06-29 00:00:00',4,1,11,2007,'M','N','JARDIN UNIVESITÁRIO','SAO JOSE DO RIO PRETO','SP','125252251217111431488811595112610142172',1474,'9998',71.33,1,3,NULL),(15,2195380,'1989-10-15 01:00:00',4,1,12,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241315111431226611375124610123092',NULL,'269',22.95,3,3,NULL),(15,2195399,'1990-08-24 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124244241215111431578814242222610122121',2987,'723',66.19,1,3,NULL),(15,2195402,'1990-02-25 00:00:00',4,2,11,2007,'M','N','CENTRO','BLUMENAU','SC','124243241216151431568834595125610122067',20234,'71',36.36,1,3,NULL),(15,2195410,'1985-04-16 00:00:00',2,10,12,2004,'F','N','VILA ESPERANÇA','GRAO PARA','SC','124241241126271631643369245114130612142',20648,'330',35.60,1,2,1),(15,2195429,'1989-12-11 00:00:00',2,1,12,2006,'M','N','MORADA DO SOL','IJUI','RS','120201206117471431423335572224610112052',6210,'9998',58.62,1,2,1),(15,2195437,'1989-10-16 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215111431666932215122610724122',NULL,'1118',22.99,1,3,NULL),(15,2195445,'1990-05-30 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215112431359924572124610127112',5553,'270',59.96,1,3,NULL),(15,2195453,'1990-05-30 00:00:00',2,1,11,2007,'F','N','JD EUROPA','CUIABA','MT','111111111335141731543432391334610138037',21853,'9998',32.78,1,3,NULL),(15,2195461,'1988-04-13 00:00:00',4,1,12,2005,'M','N','JARDIM EMILIA','SOROCABA','SP','125252251214511111469933475112610164177',2919,'9998',66.39,1,3,NULL),(15,2195470,'1990-06-08 00:00:00',2,4,12,2007,'M','N','CENTRO','SAO LOURENCO DO OESTE','SC','124244241125131731434619241224610126177',21672,'744',33.33,3,3,NULL),(15,2195496,'1991-10-22 00:00:00',4,2,11,2008,'F','S','ITOUPAVA SECA','BLUMENAU','SC','124242248227171451444317576124610165113',NULL,'855',41.72,1,3,NULL),(15,2195518,'1990-07-23 00:00:00',2,1,12,2007,'M','N','ALTO DE MAFRA','MAFRA','SC','124163241214111532467636571125610167042',NULL,'541',0.00,4,3,NULL),(15,2195534,'1989-04-20 00:00:00',4,4,12,2007,'M','N','CENTRO','PALMA SOLA','SC','124163241327161531467712115122610152057',NULL,'598',0.00,1,3,NULL),(15,2195542,'1990-04-02 00:00:00',4,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241212112431457814575122610164047',1202,'723',72.46,1,3,NULL),(15,2195550,'1991-11-14 00:00:00',4,1,12,2008,'F','S','PACHECOS','PALHOCA','SC','124243241415111431456632572124610121142',NULL,'1011',45.15,1,3,NULL),(15,2195569,'1990-10-01 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215131431328824372112610137077',7809,'120',55.68,1,3,NULL),(15,2195577,'1990-05-16 00:00:00',4,7,11,2007,'M','N','CENTRO','CURITIBA','PR','116162161215171431168812575124610167012',NULL,'9998',0.00,1,3,NULL),(15,2195585,'1988-02-12 00:00:00',4,8,11,2005,'F','N','VILA ISABEL','CURITIBA','PR','116161161416572431423465592244610114147',1519,'9998',71.12,1,3,NULL),(15,2195593,'1991-09-04 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241215111431468613474122610115117',11348,'1011',49.91,1,3,NULL),(15,2195615,'1989-05-22 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215472431336613242124610127017',6381,'273',58.29,2,3,NULL),(15,2195623,'1990-04-19 00:00:00',2,1,12,2007,'M','N','CENTRO','MATELANDIA','PR','116162161217111711546636263115610164182',NULL,'9998',0.00,1,3,NULL),(15,2195631,'1989-11-27 00:00:00',2,1,11,2007,'F','N','VILA ADYANNA','SAO JOSE DOS CAMPOS','SP','125252251215111431569914575122610124044',984,'9998',73.62,1,3,NULL),(15,2195640,'1989-05-24 00:00:00',4,5,10,2006,'F','N','CRUZEIRO DO SUL','CRICIUMA','SC','124242241215473431348731474124610164097',6142,'213',58.78,1,3,NULL),(15,2195658,'1991-10-11 00:00:00',2,1,12,2008,'F','S','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241216111112446834572124610117057',NULL,'273',50.41,1,3,NULL),(15,2195666,'1988-04-30 00:00:00',4,8,12,2005,'F','N','BATEL','CURITIBA','PR','116162161215571731358934574112610136097',NULL,'9998',0.00,1,3,NULL),(15,2195674,'1990-04-16 00:00:00',2,1,12,2006,'M','N','PORTÃO','LAURO DE FREITAS','BA','105052051236372731469619295324610167117',3423,'9998',64.93,1,3,NULL),(15,2195682,'1990-09-30 00:00:00',4,1,11,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124244241115161411325533572124610157057',18855,'271',38.91,1,3,NULL),(15,2195690,'1989-08-21 00:00:00',2,5,11,2006,'M','N','COMERCIARIO','CRICIUMA','SC','124242241215373431235531115124610137047',11004,'210',50.47,4,3,NULL),(15,2195704,'1989-10-28 00:00:00',2,8,12,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242248215111451468914575115610134076',NULL,'459',23.71,1,3,NULL),(15,2195712,'1989-09-10 00:00:00',4,8,10,2007,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111431468814575122610137052',12395,'491',48.44,1,3,NULL),(15,2195739,'1989-10-07 00:00:00',4,2,12,2007,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124244241212111431568614575124610127071',15673,'87',43.85,1,3,NULL),(15,2195747,'1990-01-06 00:00:00',4,5,11,2007,'M','N','FIGUEIRA','URUSSANGA','SC','124244246216111431556629295114610128112',12230,'230',48.68,1,3,NULL),(15,2195755,'1992-01-10 00:00:00',4,1,12,2008,'F','S','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124242241215111531443611575122610113072',NULL,'1014',34.89,1,3,NULL),(15,2195763,'1990-03-16 00:00:00',2,1,11,2007,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124241241215111431423679295124610137142',12226,'266',48.68,1,3,NULL),(15,2195771,'1990-02-02 00:00:00',4,6,11,2007,'F','N','CABRAL','CURITIBA','PR','116244161216121511268934574124610134092',7356,'9998',56.51,1,3,NULL),(15,2195798,'1990-12-29 00:00:00',2,9,12,2007,'M','N','POPULAR','LAGES','SC','124241241115131431436634245124640127052',14898,'498',44.91,1,2,1),(15,2195801,'1987-11-07 00:00:00',2,1,12,2004,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124242241214153431466911412122610127057',10494,'260',51.19,1,3,NULL),(15,2195810,'1991-09-20 00:00:00',4,1,12,2007,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241216112131487911572124610167142',8127,'270',55.14,1,3,NULL),(15,2195828,'1989-12-28 00:00:00',4,1,12,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124243241115372431456817575124610127017',6926,'271',57.29,1,3,NULL),(15,2195844,'1989-05-17 00:00:00',4,1,12,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124242241215372411379812575112130232092',8942,'1036',53.77,4,3,NULL),(15,2195852,'1989-04-08 00:00:00',4,3,12,2006,'M','N','SÃO MANOEL','LEME','SP','125251251116413431546614575112610167042',9288,'9998',53.14,4,3,NULL),(15,2195860,'1990-03-09 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241115111431578813595122610114142',20235,'267',36.35,1,2,1),(15,2195879,'1989-07-19 00:00:00',4,8,12,2006,'M','N','PQ SAO QUIRINO','CAMPINAS','SP','125242241215472221388912572112610164187',8756,'491',54.08,4,3,NULL),(15,2195887,'1990-03-20 00:00:00',4,8,11,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241212131421456814572221610147057',19310,'932',38.14,1,3,NULL),(15,2195895,'1990-03-01 00:00:00',4,4,12,2007,'F','N','CENTRO','UNIAO DO OESTE','SC','124241241145161431543616572122610126177',NULL,'816',25.04,1,2,1),(15,2195909,'1990-07-18 00:00:00',4,8,11,2007,'F','N','BUCAREIN','JOINVILLE','SC','124242241215271531569912295124610138182',17226,'459',41.53,1,3,NULL),(15,2195925,'1985-11-22 00:00:00',4,3,12,2003,'M','N','JABAQUARA','SAO PAULO','SP','125252251216571731466814475115141433051',4562,'9998',62.12,3,3,NULL),(15,2195933,'1991-01-15 00:00:00',4,4,12,2007,'F','N','IPIRANGA','FREDERICO WESTPHALEN','RS','120203201117111411447632122122612021187',21783,'9998',33.02,3,3,NULL),(15,2195950,'1989-09-21 00:00:00',2,1,12,2007,'M','N','CENTRO','TORRES','RS','120202201415121231469911571114610167057',11401,'272',49.84,1,3,NULL),(15,2195968,'1988-07-01 00:00:00',4,1,11,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241215373451578932425124123264057',3448,'446',64.88,1,3,NULL),(15,2195976,'1990-01-14 00:00:00',2,4,12,2007,'F','N','CENTRO','PALMA SOLA','SC','124241241125162431425632285122610154077',NULL,'598',22.51,1,2,1),(15,2195984,'1990-04-22 00:00:00',4,8,12,2007,'M','N','AMIZADE','JARAGUA DO SUL','SC','124242241215111431469834475122610162182',14283,'441',45.76,1,3,NULL),(15,2196000,'1988-09-26 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215573451468933572114610164147',591,'270',76.12,1,3,NULL),(15,2196018,'1990-07-01 00:00:00',2,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124244241215121741567631272122610163047',8633,'1076',54.28,1,3,NULL),(15,2196026,'1988-04-16 00:00:00',2,1,12,2005,'F','N','JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP','125254253215471451468836476122610133182',17306,'9998',41.39,1,3,NULL),(15,2196042,'1989-08-05 00:00:00',4,2,7,2007,'M','N','PERDIZES','SAO PAULO','SP','125252281436271411467632395124610164187',3037,'9998',66.02,1,3,NULL),(15,2196050,'1989-08-08 00:00:00',4,8,12,2007,'M','N','AMIZADE','JARAGUA DO SUL','SC','124242241215111411378714575122610167122',838,'491',74.45,1,3,NULL),(15,2196069,'1989-06-22 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244241217372431544839294122610123042',4311,'270',62.67,1,3,NULL),(15,2196085,'1990-08-15 00:00:00',4,10,11,2007,'F','N','CENTRO','BRACO DO NORTE','SC','124242241215111731458613475122610131097',21924,'806',32.53,1,3,NULL),(15,2196093,'1990-10-18 00:00:00',4,1,11,2007,'M','N','PICADAS DO SUL','SAO JOSE','SC','124242241215111431146823395122610134057',16669,'1074',42.36,1,3,NULL),(15,2196123,'1990-09-28 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241215111411433623274112610134052',14414,'1050',45.56,1,3,NULL),(15,2196131,'1990-12-13 00:00:00',4,1,12,2007,'M','N','ZONA QUATRO','MARINGA','PR','116162161215111411287819575112610167076',3059,'9998',65.94,1,3,NULL),(15,2196140,'1988-05-30 00:00:00',4,1,11,2005,'M','N','BUTANTÃ','SAO PAULO','SP','125252251217571521489911571122610167057',NULL,'9998',0.00,1,3,NULL),(15,2196158,'1989-01-17 00:00:00',2,1,12,2007,'F','N','CIDADE ALTA','BENTO GONCALVES','RS','120204201245111421323611245124610148072',NULL,'9998',21.71,1,3,NULL),(15,2196166,'1982-08-03 00:00:00',4,4,12,2000,'F','N','CENTRO','PINHALZINHO','SC','124241241416271431268611495122331563182',NULL,'169',0.00,1,3,NULL),(15,2196174,'1989-08-03 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212472431358628572112610133147',2060,'270',69.07,1,3,NULL),(15,2196182,'1989-06-16 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241112472731455714592122610127047',15096,'257',44.67,1,3,NULL),(15,2196190,'1989-05-12 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241215274431557912572114610134147',11171,'1022',50.20,1,3,NULL),(15,2196204,'1990-10-06 00:00:00',4,1,12,2007,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241146161431436415575122610114147',NULL,'13',0.00,1,2,1),(15,2196212,'1989-12-21 00:00:00',4,9,12,2006,'F','N','CENTRO','CAMPO BELO DO SUL','SC','124241241115471411536611575124610127147',21077,'134',34.71,1,3,NULL),(15,2196220,'1990-12-13 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241217471411469932472122610127112',19340,'1038',38.10,1,3,NULL),(15,2196239,'1990-07-20 00:00:00',4,8,12,2007,'M','N','CENTRO','TOLEDO','PR','116161161116151431346817175314610117074',9222,'9998',53.24,4,3,NULL),(15,2196247,'1988-11-27 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANOPOLIS','SC','124242241215372431436614371124610133147',18799,'270',38.98,1,3,NULL),(15,2196255,'1990-06-30 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111432457653572124610167057',22204,'1118',31.47,1,3,NULL),(15,2196263,'1988-08-16 00:00:00',4,3,12,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241337271431457614495115610137042',18741,'49',39.09,1,3,NULL),(15,2196271,'1990-09-19 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111431436619572122610127072',20159,'9997',36.51,1,3,NULL),(15,2196280,'1992-04-25 00:00:00',2,4,12,2008,'M','S','CENTRO','PONTE SERRADA','SC','124241241215171451469911575124610124112',NULL,'836',0.00,1,3,NULL),(15,2196298,'1990-04-15 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241315411411438613592125610148182',3469,'1098',64.83,1,3,NULL),(15,2196301,'1990-11-12 00:00:00',2,9,12,2007,'F','N','BRUSQUE','LAGES','SC','124244241215131411236923432324610114197',NULL,'1065',17.21,4,3,NULL),(15,2196310,'1990-04-16 00:00:00',4,1,12,2007,'F','N','IBIRAQUERA','IMBITUBA','SC','124242241417151411448832213121610127113',20444,'361',35.97,1,3,NULL),(15,2196336,'1991-10-04 00:00:00',2,1,12,2008,'M','S','BARREIROS','SAO JOSE','SC','124242241215111411559931575122610112182',NULL,'738',50.55,1,3,NULL),(15,2196344,'1991-01-03 00:00:00',4,1,12,2007,'M','N','CENTRO','CASCAVEL','PR','116161161216121431323619575124610127057',14683,'9998',45.17,1,3,NULL),(15,2196360,'1983-09-05 00:00:00',2,1,12,2000,'M','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','112122121116574431588633572312610167046',4097,'9998',63.20,1,3,NULL),(15,2196379,'1976-05-19 00:00:00',2,1,12,1993,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','224241243125472731253343131124330827057',9535,'565',52.71,1,2,1),(15,2196387,'1990-10-09 00:00:00',4,1,11,2007,'M','N','JUVEVÊ','CURITIBA','PR','116162161211111211469813585122610167042',NULL,'9998',0.00,1,3,NULL),(15,2196395,'1989-03-17 00:00:00',4,1,12,2006,'F','N','ZONA QUATRO','MARINGA','PR','116162161215472511287819576325610164142',NULL,'9998',0.00,1,3,NULL),(15,2196417,'1989-12-22 00:00:00',4,2,12,2007,'M','N','ASILO','BLUMENAU','SC','124242241215271411369824574122610137052',2909,'87',66.42,1,3,NULL),(15,2196425,'1990-06-30 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241215111731568513475124610162091',8683,'1022',54.20,1,3,NULL),(15,2196433,'1985-11-09 00:00:00',4,1,12,2003,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215273431357824572122333227112',4757,'270',61.61,1,3,NULL),(15,2196441,'1990-05-25 00:00:00',4,1,12,2007,'M','N','CAMPO GRANDE','SANTOS','SP','125252251215111351378814325111610167053',12647,'9998',48.07,1,3,NULL),(15,2196450,'1989-07-05 00:00:00',2,1,12,2007,'F','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124242241215111431556632432122610128147',17525,'266',41.05,1,3,NULL),(15,2196468,'1990-03-15 00:00:00',2,4,12,2006,'F','N','CINQUENTENÁRIO','CONCORDIA','SC','124241241115471731423319392122610163142',NULL,'192',0.00,1,2,1),(15,2196484,'1989-01-10 00:00:00',2,8,12,2007,'F','N','PINHEIROS','SAO PAULO','SP','125252251116131731248514291125610147142',NULL,'9998',0.00,1,3,NULL),(15,2196492,'1989-12-28 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215111431367714274122610127047',8478,'723',54.55,1,3,NULL),(15,2196506,'1990-10-01 00:00:00',4,5,11,2007,'F','N','SANTA BARBARA','CRICIUMA','SC','124242241215271731436731576125610128017',3558,'210',64.59,1,3,NULL),(15,2196514,'1990-08-30 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124244241415111231459611312122610112012',17760,'688',40.72,1,3,NULL),(15,2196522,'1980-11-25 00:00:00',2,1,12,1998,'F','N','JURERE TRADICIONAL','FLORIANOPOLIS','SC','424251251117371721335454182224610138192',20955,'9998',34.94,1,2,1),(15,2196530,'1990-02-12 00:00:00',2,4,12,2007,'M','N','CENTRO','CUNHA PORA','SC','124241241117161451324612225124610164197',NULL,'234',0.00,1,2,1),(15,2196549,'1990-09-12 00:00:00',4,5,11,2007,'F','N','RIO MAINA','CRICIUMA','SC','124244241215221431464939572124610135092',NULL,'995',24.34,1,3,NULL),(15,2196557,'1990-02-19 00:00:00',4,1,12,2007,'M','N','JARDIM IDALINA','IBITINGA','SP','125253251115471311546734575124610156014',NULL,'9998',0.00,1,3,NULL),(15,2196565,'1990-05-10 00:00:00',4,6,12,2007,'F','N','CENTRO','PICARRAS','SC','124242241215121411567812575122610131057',13365,'392',47.10,1,3,NULL),(15,2196573,'1989-08-25 00:00:00',4,1,11,2007,'F','N','JARDIM CRUZEIRO','SAO PAULO','SP','125254251115571731328414575124610136077',NULL,'9998',0.00,4,3,NULL),(15,2196581,'1990-02-24 00:00:00',4,4,12,2007,'M','N','BAIXADA PIONEIRA','PINHALZINHO','SC','124241241117131431458833575122610134012',10836,'616',50.70,1,2,1),(15,2196590,'1988-08-27 00:00:00',2,4,12,2006,'M','N','CENTRO','SANTA MARIA','RS','120204201415572431249923576115610167042',12785,'9998',47.88,1,3,NULL),(15,2196603,'1988-06-24 00:00:00',4,1,12,2005,'M','N','LIXEIRA','CUIABA','MT','111112091235573411578831575114610113172',792,'9998',74.77,1,3,NULL),(15,2196611,'1984-03-18 00:00:00',1,2,12,2001,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241127141431343412142124132664057',15128,'89',44.63,1,3,NULL),(15,2196620,'1977-03-23 00:00:00',2,1,12,1994,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','224241241315474411253343232124320816162',5623,'307',59.82,1,3,NULL),(15,2196638,'1986-04-21 00:00:00',2,1,12,2003,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241132155431233344342314610167047',10279,'279',51.51,1,2,1),(15,2196646,'1991-06-06 00:00:00',4,1,12,2008,'M','S','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431486812572122610168182',NULL,'270',43.60,1,3,NULL),(15,2196654,'1987-12-29 00:00:00',4,1,12,2005,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241216573752458832395114610117112',2830,'951',66.67,1,3,NULL),(15,2196662,'1990-07-04 00:00:00',2,5,10,2007,'F','N','CENTRO','CRICIUMA','SC','124243241215271731336639576125610133142',2454,'213',67.77,1,3,NULL),(15,2196670,'1989-12-09 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242241216151431537612375122610127093',18751,'944',39.08,1,3,NULL),(15,2196689,'1986-06-05 00:00:00',2,10,12,2003,'F','N','CENTRO','BRACO DO NORTE','SC','124241241117131431433639195224230328067',NULL,'100',35.28,1,2,1),(15,2196697,'1988-09-14 00:00:00',1,1,7,2007,'M','N','JARDIM SAIRA','SOROCABA','SP','125252251215271432457814571122610167054',2098,'9998',68.97,1,3,NULL),(15,2196700,'1989-12-19 00:00:00',4,1,11,2007,'F','N','GRUTA','ITUPORANGA','SC','124244241235111431539931272324610127087',4712,'991',61.72,1,3,NULL),(15,2196719,'1990-10-06 00:00:00',4,5,11,2007,'M','N','NASPOLINI','CRICIUMA','SC','124242241215131431433319575124610167017',13836,'995',46.40,1,3,NULL),(15,2196727,'1990-06-08 00:00:00',4,2,11,2007,'M','N','PRESIDENTE KENNEDY','FRANCISCO BELTRAO','PR','616162161217151431655834572112610167042',18996,'9998',38.67,1,3,NULL),(15,2196751,'1989-07-24 00:00:00',4,1,12,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242248212473711539913396124610164021',18449,'951',39.57,1,3,NULL),(15,2196760,'1968-06-22 00:00:00',4,8,4,1994,'M','N','ITAUM','JOINVILLE','SC','124243247415271731333319382324610166037',NULL,'489',0.00,1,3,NULL),(15,2196786,'1989-05-13 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242243217472731448811595125610123092',15865,'1022',43.58,1,3,NULL),(15,2196794,'1989-06-19 00:00:00',4,1,12,2006,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241315372531435732572124610127182',16991,'884',41.88,1,3,NULL),(15,2196808,'1987-07-22 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215272411458511275122231066192',12176,'266',48.76,1,3,NULL),(15,2196816,'1988-10-12 00:00:00',2,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124243241312412411336724342114610128011',1226,'270',72.35,1,3,NULL),(15,2196824,'1990-09-18 00:00:00',4,7,12,2007,'M','N','CENTRO','IPUMIRIM','SC','124242248227111721436731212124610137017',NULL,'190',27.07,1,3,NULL),(15,2196832,'1990-06-07 00:00:00',2,3,11,2007,'F','N','SEMINARIO','CURITIBA','PR','116162161415421432435832211114610133077',NULL,'9998',0.00,1,3,NULL),(15,2196840,'1990-12-07 00:00:00',2,1,12,2007,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242241215111431567714575114610122077',14396,'259',45.58,1,3,NULL),(15,2196859,'1990-07-31 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217271431569913574122610132172',732,'262',75.15,1,3,NULL),(15,2196867,'1989-05-22 00:00:00',2,1,11,2006,'F','N','V M DELANI','FRANCISCO BELTRAO','PR','116162161216471431468813475122610114147',NULL,'9998',0.00,1,3,NULL),(15,2196883,'1989-04-20 00:00:00',4,1,11,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241215372431258921575124610123187',7245,'1022',56.70,1,3,NULL),(15,2196891,'1989-06-01 00:00:00',2,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124241241212472431458711574124610123142',13981,'723',46.18,1,3,NULL),(15,2196905,'1987-10-09 00:00:00',2,5,11,2006,'M','N','COMERCIARIO','CRICIUMA','SC','124242241212152431569814242124231267141',NULL,'880',13.66,4,3,NULL),(15,2196913,'1990-12-26 00:00:00',2,1,11,2007,'F','N','PALHOÇA','PALHOCA','SC','124241241115161431443331242124610147047',NULL,'592',21.06,1,2,1),(15,2196921,'1990-06-08 00:00:00',2,7,12,2007,'M','N','SÃO VICENTE','HERVAL D OESTE','SC','124242241215131431436414375122610134053',15398,'454',44.26,1,3,NULL),(15,2196930,'1989-06-27 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241212272441569932572122221467111',NULL,'270',0.00,1,3,NULL),(15,2196948,'1991-11-25 00:00:00',4,1,12,2008,'M','S','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215111131469813575122610127122',NULL,'273',36.96,1,3,NULL),(15,2196956,'1988-07-21 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241217573711469913575122610118015',1078,'269',73.10,1,3,NULL),(15,2196964,'1990-08-29 00:00:00',4,7,12,2007,'F','N','SANTA CATARINA','CAXIAS DO SUL','RS','120202201117271411326632592124610124097',7093,'9998',56.98,1,3,NULL),(15,2196980,'1991-08-29 00:00:00',2,7,11,2008,'F','S','NAÇÕES','FRAIBURGO','SC','124242248217111721447631292122610134017',NULL,'885',39.34,1,3,NULL),(15,2196999,'1990-09-06 00:00:00',4,2,12,2007,'F','N','TESTO SALTO','BLUMENAU','SC','124244241215121731437711215122610127112',NULL,'855',25.90,1,3,NULL),(15,2197006,'1990-09-24 00:00:00',4,9,12,2007,'M','N','JARDIM AMÉRICA','VACARIA','RS','120202201215151741348833571125610144052',NULL,'9998',0.00,1,3,NULL),(15,2197014,'1990-04-18 00:00:00',4,1,12,2007,'F','N','AYMORÉ','ARAPONGAS','PR','116162161215111431438832572122610135092',5207,'9999',60.70,1,3,NULL),(15,2197022,'1989-10-13 00:00:00',2,5,12,2007,'F','N','PRÓSPERA','CRICIUMA','SC','124242246217131431437614395124610127077',16491,'995',42.60,1,3,NULL),(15,2197030,'1988-08-31 00:00:00',4,1,12,2006,'F','N','ESTORIL','MARILIA','SP','125251251216471431558934592122610122092',21004,'9998',34.85,1,3,NULL),(15,2197049,'1991-05-01 00:00:00',4,1,11,2008,'F','S','FAZ STO ANTÔNIO','SAO JOSE','SC','124241248112161411458619582124610163097',NULL,'307',39.17,4,3,NULL),(15,2197057,'1989-11-30 00:00:00',4,1,11,2007,'M','N','JURERÊ','FLORIANOPOLIS','SC','124242241215112431677839575124610124043',201,'270',79.95,1,3,NULL),(15,2197065,'1990-12-23 00:00:00',2,5,11,2007,'F','N','SANTA BÁRBARA','CRICIUMA','SC','124243241215371431466632575122610126097',3661,'226',64.33,1,3,NULL),(15,2197073,'1990-08-01 00:00:00',4,3,12,2007,'M','N','HARMONIA','IVOTI','RS','120204201216151441548733575112610146175',6121,'9998',58.83,1,3,NULL),(15,2197081,'1991-09-09 00:00:00',4,1,12,2007,'M','N','CANTO','FLORIANOPOLIS','SC','124242241217111431549934474114610167187',3388,'1022',65.03,1,3,NULL),(15,2197090,'1990-05-15 00:00:00',4,2,12,2007,'F','N','VILA FORMOSA','BLUMENAU','SC','124242241215131431438614375123610126112',16676,'87',42.35,1,3,NULL),(15,2197103,'1990-06-15 00:00:00',4,8,12,2007,'M','N','CENTRO','MANDAGUARI','PR','116164161217111431568513574125610162182',102,'9998',81.52,3,3,NULL),(15,2197111,'1973-07-09 00:00:00',2,1,7,1994,'M','N','BARREIROS','SAO JOSE','SC','224201208136132421243343235131610117117',19448,'9999',37.93,1,3,NULL),(15,2197138,'1986-12-18 00:00:00',2,4,12,2003,'F','N','CENTRO','SANTA MARIA','RS','120204201217411731249923474124242046143',4094,'9998',63.22,1,3,NULL),(15,2197146,'1989-11-23 00:00:00',4,8,12,2006,'F','N','MARAPE','SANTOS','SP','125252251215471731356834575122610167184',4812,'9998',61.50,1,3,NULL),(15,2197154,'1990-09-06 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124244201417111431378732575122610167122',21634,'9998',33.43,1,3,NULL),(15,2197162,'1989-09-05 00:00:00',2,1,12,2006,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241117131721536923245124610111177',NULL,'13',21.01,1,3,NULL),(15,2197189,'1989-04-06 00:00:00',4,1,12,2007,'F','N','SETOR INDUSTRIAL','SINOP','MT','111113111336131731426729582321610168187',NULL,'9998',20.65,4,3,NULL),(15,2197197,'1990-04-15 00:00:00',4,8,12,2007,'M','N','FLORESTA','JOINVILLE','SC','124242241217111421456934575124610124042',13832,'494',46.41,1,3,NULL),(15,2197200,'1990-07-11 00:00:00',4,1,11,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124244241417122431357833572114610134052',3336,'270',65.16,1,3,NULL),(15,2197219,'1990-04-12 00:00:00',4,1,11,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215111431446911593121610117117',9050,'270',53.57,4,3,NULL),(15,2197227,'1989-11-24 00:00:00',4,3,11,2007,'F','N','CENTRO','IJUI','RS','120201201216271431549811572122610124077',5035,'9998',61.02,1,3,NULL),(15,2197235,'1991-08-03 00:00:00',2,1,12,2007,'M','N','RIO CAVEIRAS','BIGUACU','SC','124242241215131431533611392122610127142',15465,'258',44.17,1,3,NULL),(15,2197243,'1990-04-01 00:00:00',4,10,12,2007,'M','N','CENTRO','IMBITUBA','SC','124241241117151431425719275115610138197',NULL,'359',20.67,1,3,NULL),(15,2197251,'1990-04-04 00:00:00',4,1,11,2007,'M','N','RIO CAVEIRAS','BIGUACU','SC','124243241214371431336313375124610128157',10826,'63',50.71,1,3,NULL),(15,2197260,'1990-02-11 00:00:00',4,2,12,2007,'F','N','DAS NAÇÕES','TIMBO','SC','124241241215111531356311592122610126197',12715,'9997',47.96,1,3,NULL),(15,2197278,'1989-07-24 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215111431357923572114610137047',7065,'270',57.03,1,3,NULL),(15,2197286,'1987-09-18 00:00:00',2,5,12,2004,'F','N','CENTRO','BALNEARIO ARROIO DO SILVA','SC','124241241116273431635511314114610124187',11081,'29',50.33,1,2,1),(15,2197294,'1991-05-22 00:00:00',4,1,11,2007,'M','N','CENTRO','CORUMBA','MS','112122121216151731478813595122610167043',1822,'9998',69.88,4,3,NULL),(15,2197308,'1989-06-27 00:00:00',4,1,11,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215272431458913475122222721177',2933,'270',66.35,1,3,NULL),(15,2197316,'1987-01-04 00:00:00',2,1,12,2005,'F','N','DANIELA','FLORIANOPOLIS','SC','107071071126274751536622345124610127057',20973,'9998',34.90,4,3,NULL),(15,2197324,'1987-12-03 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241136132431435613285114610121197',10171,'279',51.68,1,2,1),(15,2197332,'1990-07-11 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','624242241215111411519953294114610167181',5254,'270',60.60,1,3,NULL),(15,2197340,'1990-06-04 00:00:00',2,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217472431469813575124610168192',1837,'270',69.82,1,3,NULL),(15,2197359,'1989-09-28 00:00:00',4,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241215372431556612575124610167017',5683,'262',59.70,1,3,NULL),(15,2197367,'1989-02-25 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431259823472114610127187',18968,'1022',38.72,1,3,NULL),(15,2197383,'1989-09-04 00:00:00',2,1,12,2007,'M','N','IMGLESES','FLORIANOPOLIS','SC','124243241117131741567813392114610167167',14501,'306',45.41,1,3,NULL),(15,2197391,'1987-12-18 00:00:00',2,1,11,2004,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','124161241216135731453619485114133224055',15702,'266',43.81,1,3,NULL),(15,2197405,'1991-04-18 00:00:00',2,1,12,2007,'F','N','JARDIM PINHEIROS','SAO JOSE','SC','124244241414131512525639177134610164197',NULL,'733',21.92,1,3,NULL),(15,2197413,'1991-09-13 00:00:00',2,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215111711466932244122610137073',9117,'9997',53.43,1,3,NULL),(15,2197421,'1990-11-24 00:00:00',2,1,12,2007,'F','N','SERTÃO DO MARUIM','SAO JOSE','SC','124242241416111231659874575122610127142',20793,'1036',35.30,1,3,NULL),(15,2197430,'1989-12-05 00:00:00',2,5,11,2006,'M','N','CENTRO','CRICIUMA','SC','124242241215371431446627375124130435091',18618,'226',39.29,1,3,NULL),(15,2197448,'1990-09-21 00:00:00',2,2,11,2007,'F','N','STEFFEN','BRUSQUE','SC','124242241215131431348714275124610138187',1603,'981',70.80,4,3,NULL),(15,2197456,'1989-04-07 00:00:00',4,1,12,2006,'M','N','CENTRO','SAO JOSE','SC','124244241235373431479833381114131034012',3722,'270',64.15,1,3,NULL),(15,2197464,'1988-06-23 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124161247137131431327744245324610168187',18820,'9999',38.96,4,3,NULL),(15,2197472,'1989-12-12 00:00:00',2,1,12,2006,'M','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124242241217372431346829575124610142127',6895,'260',57.36,1,3,NULL),(15,2197480,'1990-07-27 00:00:00',2,8,12,2007,'M','N','CRUSEIRO','RIO NEGRINHO','SC','124241241215371431334329182122610122012',14207,'666',45.86,1,3,NULL),(15,2197499,'1985-04-16 00:00:00',4,8,12,2002,'F','N','BOQUEIRÃO','CURITIBA','PR','116161161336332751228729592223241568147',NULL,'9998',0.00,1,3,NULL),(15,2197502,'1988-06-09 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124201201116272431435617375112610117052',22026,'9998',32.19,1,2,1),(15,2197529,'1990-04-24 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215111431359833575124610167052',9983,'883',51.96,2,3,NULL),(15,2197537,'1988-06-04 00:00:00',4,1,12,2006,'M','N','GUARA I','GUARA','DF','107072071215471431369921576112610166017',1889,'9998',69.64,1,3,NULL),(15,2197545,'1990-11-01 00:00:00',4,1,12,2007,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241116161431333315575124610114052',21039,'13',34.78,1,2,1),(15,2197553,'1990-07-25 00:00:00',4,1,11,2007,'M','N','FAIÇALVILLE','GOIANIA','GO','109094091216111411466914575122610167012',2424,'9998',67.85,2,3,NULL),(15,2197570,'1988-02-24 00:00:00',2,1,12,2005,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124203201317131411623611572224143031147',NULL,'9998',0.00,1,3,NULL),(15,2197588,'1989-11-01 00:00:00',4,2,11,2007,'M','N','PASSARÉ','FORTALEZA','CE','106062061235111431266814575122610167042',2185,'9998',68.65,1,3,NULL),(15,2197626,'1990-08-27 00:00:00',4,1,12,2007,'M','N','JARDIM ITÁLIA','CHAPECO','SC','124243241317241411578934575122610166092',13356,'169',47.11,1,3,NULL),(15,2197634,'1990-12-14 00:00:00',4,1,11,2007,'M','N','CENTRO','SAO JOSE DOS CAMPOS','SP','125222251235111432579831375115610167182',5220,'9998',60.67,4,3,NULL),(15,2197642,'1989-07-23 00:00:00',4,1,12,2006,'M','N','CENTRO','SAO JOSE','SC','124241241112472421439413582124610138041',4826,'271',61.46,1,3,NULL),(15,2197650,'1987-08-07 00:00:00',4,1,11,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241235574431478813575125610162092',1586,'446',70.85,1,3,NULL),(15,2197669,'1987-09-10 00:00:00',4,1,8,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215573411588833574122610127097',263,'9997',79.14,1,3,NULL),(15,2197677,'1987-03-28 00:00:00',4,1,12,2004,'F','N','JARDIM CAMBARA','DESCALVADO','SP','125252251216572431385916575122610154092',11136,'9998',50.25,1,3,NULL),(15,2197685,'1987-11-30 00:00:00',4,1,12,2005,'M','N','VILA MARIANA','SAO PAULO','SP','125252251216571431469813572112610167047',1164,'9998',72.69,1,3,NULL),(15,2197693,'1989-04-28 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431468933472112610127052',1835,'262',69.83,1,3,NULL),(15,2197707,'1990-07-12 00:00:00',4,2,12,2007,'M','N','CAPITAIS','TIMBO','SC','124241241215171431453624574111610168172',506,'9997',76.78,1,3,NULL),(15,2197715,'1990-07-18 00:00:00',4,2,12,2007,'M','N','ASILO','BLUMENAU','SC','124242241216271431479911595124610147062',905,'71',74.03,1,3,NULL),(15,2197723,'1989-06-24 00:00:00',4,1,12,2006,'M','N','XV DE NOVEMBRO','TIJUCAS','SC','224242241217162721454833242121610137057',9148,'781',53.35,1,3,NULL),(15,2197731,'1962-07-11 00:00:00',2,1,12,1983,'F','N','COQUEIROS','FLORIANOPOLIS','SC','224164245316131431435558312114610114142',14846,'266',44.96,1,3,NULL),(15,2197740,'1988-06-10 00:00:00',4,2,12,2005,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241217573431479811575121232434032',1567,'270',70.91,1,3,NULL),(15,2197758,'1989-09-21 00:00:00',4,8,12,2007,'M','N','CENTRO','SCHROEDER','SC','124242246217141431448913585124610121117',15328,'1061',44.37,1,3,NULL),(15,2197766,'1980-05-30 00:00:00',4,1,12,1997,'F','N','CCENTRO','GAROPABA','SC','224241243446161431263653235132330264077',6907,'317',57.33,1,3,NULL),(15,2197782,'1990-05-31 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431478634572122610121192',NULL,'270',31.52,1,3,NULL),(15,2197790,'1989-05-26 00:00:00',4,1,12,2006,'M','N','SÃO DOMINGOS','MOCOCA','SP','125252251216211531554821572114610132127',16020,'9998',43.35,1,3,NULL),(15,2197804,'1989-05-17 00:00:00',4,1,12,2006,'F','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124242241217472432578832571114610168092',21426,'266',33.90,1,3,NULL),(15,2197812,'1989-05-11 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215372421425361572114610167182',5809,'270',59.45,1,3,NULL),(15,2197820,'1991-04-11 00:00:00',4,8,12,2008,'F','S','CZERNIWICZ','JARAGUA DO SUL','SC','124242161215111431458812575124610122142',NULL,'491',52.91,1,3,NULL),(15,2197839,'1989-10-19 00:00:00',4,10,11,2007,'M','N','CENTRO','CAPIVARI DE BAIXO','SC','124242241216111431436514475124610122082',15155,'809',44.59,1,3,NULL),(15,2197847,'1990-08-08 00:00:00',4,8,12,2007,'M','N','ALEGRE','RIO NEGRINHO','SC','124241241415111411434413475122610128182',3145,'666',65.71,3,3,NULL),(15,2197855,'1990-10-29 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124243241115371431469923575112610162145',3444,'271',64.89,1,3,NULL),(15,2197863,'1990-06-09 00:00:00',4,1,11,2007,'M','N','FORTALEZA DA BARRA','FLORIANOPOLIS','SC','124242241215151411467939395124610164113',4741,'299',61.65,1,3,NULL),(15,2197871,'1988-01-17 00:00:00',2,8,12,2005,'M','N','SETOR JAÓ','GOIANIA','GO','109094091417471411558933575114610124057',NULL,'9998',0.00,1,3,NULL),(15,2197880,'1991-05-23 00:00:00',4,5,11,2008,'M','S','MICHEL','CRICIUMA','SC','124242241215111431455611575122610164182',NULL,'226',55.47,1,3,NULL),(15,2197898,'1990-03-22 00:00:00',4,3,12,2006,'F','N','CASTELO BRANCO','ITAPEMA','SC','124202201217471431446834272114610134182',15479,'9998',44.15,1,3,NULL),(15,2197901,'1988-08-01 00:00:00',2,1,12,2007,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241122132421437534242144610136057',19893,'295',37.02,1,2,1),(15,2197910,'1990-04-21 00:00:00',2,7,11,2007,'F','N','CENTRO','LINDOIA DO SUL','SC','124244241215111431356632221122610135142',NULL,'190',0.00,1,3,NULL),(15,2197928,'1975-10-19 00:00:00',2,1,12,1993,'F','N','RIO GRANDE','PALHOCA','SC','224241191147132431346453442113610164147',14597,'9998',45.28,4,2,1),(15,2197936,'1990-03-20 00:00:00',4,7,12,2007,'F','N','LINHA ALTO VELOSO','SALTO VELOSO','SC','124241241616132431323316295122610117072',NULL,'1113',30.39,1,3,NULL),(15,2197944,'1987-07-02 00:00:00',4,1,12,2005,'M','N','LIBERDADE','SAO PAULO','SP','125112111216571751488811475125610164187',856,'9998',74.32,3,3,NULL),(15,2197952,'1990-09-12 00:00:00',2,10,12,2007,'M','N','CENTRO','LAGUNA','SC','124244241315111411568613575122610112175',NULL,'525',22.23,4,1,2),(15,2197960,'1990-02-20 00:00:00',4,2,11,2007,'M','N','VORSTADT','BLUMENAU','SC','124242241217271741588611574122610164042',1916,'909',69.54,1,3,NULL),(15,2197979,'1990-02-16 00:00:00',4,8,12,2007,'F','N','ÁGUA VERDE','JARAGUA DO SUL','SC','124241241215111431233319571125610127142',18282,'422',39.81,1,3,NULL),(15,2197987,'1990-02-20 00:00:00',4,1,12,2007,'M','N','SETOR MARISTA','GOIANIA','GO','109092091217151431579831572122610147042',672,'9998',75.61,1,3,NULL),(15,2197995,'1990-04-25 00:00:00',4,2,11,2007,'F','N','AMIZADE','JARAGUA DO SUL','SC','124243241236111431436614475124610124017',6209,'87',58.62,1,3,NULL),(15,2198002,'1989-01-28 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241216273431358823572122231026012',3258,'9997',65.37,1,3,NULL),(15,2198010,'1990-08-17 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124243241216111421536623575114610123142',7427,'1011',56.36,1,3,NULL),(15,2198029,'1989-09-09 00:00:00',2,1,12,2006,'F','N','CENTRO','SAO BENTO DO SUL','SC','124241241116131731459613382122610132142',NULL,'697',0.00,1,2,1),(15,2198037,'1990-09-27 00:00:00',2,4,11,2007,'F','N','CENTRO','ERECHIM','RS','120201201245111431448613435122610124192',13108,'9998',47.44,1,3,NULL),(15,2198045,'1990-12-14 00:00:00',4,4,11,2007,'M','N','CENTRO','ERECHIM','RS','120204201215111431556631471112610122092',11657,'9998',49.48,1,3,NULL),(15,2198053,'1989-09-28 00:00:00',4,1,12,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241125141731433933341124610123147',NULL,'277',21.67,1,2,1),(15,2198061,'1986-07-06 00:00:00',2,1,12,2003,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241415373431568413475122120762042',2980,'226',66.21,1,3,NULL),(15,2198070,'1989-01-06 00:00:00',4,1,12,2006,'M','N','TRÍNDADE','FLORIANOPOLIS','SC','124072071211271411469813595124241026022',NULL,'9998',0.00,4,3,NULL),(15,2198088,'1990-01-19 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212372431479913332125610137042',364,'266',77.93,1,3,NULL),(15,2198100,'1990-08-08 00:00:00',4,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215112431469933571122610121142',1626,'270',70.69,1,3,NULL),(15,2198118,'1978-05-29 00:00:00',2,1,12,1997,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241126135731532521245224133262021',15852,'726',43.60,1,2,1),(15,2198126,'1990-02-13 00:00:00',2,1,12,2007,'F','N','FUNDOS','BIGUACU','SC','124241241117131442323614382121610138147',22322,'65',30.90,1,3,NULL),(15,2198134,'1983-11-29 00:00:00',2,1,12,2002,'M','N','FORQUILHINHAS','SAO JOSE','SC','124243241325372431556413445124130912142',21653,'9999',33.38,1,3,NULL),(15,2198142,'1971-08-30 00:00:00',4,1,12,1990,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','524212131117151411268843432122343228142',5636,'9998',59.81,1,3,NULL),(15,2198150,'1990-01-18 00:00:00',4,6,11,2007,'M','N','SÃO LUIZ','BRUSQUE','SC','124243241115271411449514181122610124013',1799,'110',69.93,1,3,NULL),(15,2198169,'1987-08-24 00:00:00',4,1,12,2005,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215473431657832425122610127047',NULL,'272',0.00,4,3,NULL),(15,2198177,'1990-05-05 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215151411478833575112610127042',1671,'262',70.49,1,3,NULL),(15,2198185,'1989-07-08 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215372331556623375114610127097',20409,'1022',36.04,1,3,NULL),(15,2198193,'1989-07-17 00:00:00',4,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124243241415272431447923145114610124017',9011,'737',53.62,1,3,NULL),(15,2198207,'1958-08-13 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','524242247221153411113349191122231037055',16542,'270',42.53,1,3,NULL),(15,2198215,'1976-12-25 00:00:00',2,1,12,1994,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241417375731335829441124131237047',10247,'307',51.57,1,3,NULL),(15,2198223,'1985-08-30 00:00:00',2,1,12,2002,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124243241127272731335911142123133224097',6600,'592',57.90,1,3,NULL),(15,2198231,'1990-01-26 00:00:00',4,8,12,2007,'F','N','BARRA DO RIO MOLHA','JARAGUA DO SUL','SC','124243246215151432459912574124610113097',NULL,'1061',8.92,4,3,NULL),(15,2198240,'1991-06-19 00:00:00',4,8,12,2008,'F','S','ROCIO GRANDE','SAO FRANCISCO DO SUL','SC','124241241217111431436319595122610138072',NULL,'992',39.43,1,3,NULL),(15,2198258,'1981-03-31 00:00:00',4,1,8,1999,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124201206116132441225344341224141436147',2100,'9998',68.95,4,2,1),(15,2198266,'1990-07-15 00:00:00',4,4,12,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124241241136131431436614345122610133177',NULL,'757',0.00,1,2,1),(15,2198274,'1989-01-23 00:00:00',4,2,12,2006,'F','N','BELCHIOR ALTO','GASPAR','SC','124243241215151411459933574122132856072',NULL,'88',0.00,1,3,NULL),(15,2198282,'1989-10-11 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431487921575112610127042',21168,'262',34.51,1,3,NULL),(15,2198290,'1990-04-21 00:00:00',2,1,12,2007,'M','N','COLONINHA','FLORIANOPOLIS','SC','124242241215111432568733572114610167042',3854,'1022',63.85,1,3,NULL),(15,2198304,'1990-10-22 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124241241212111431338923375122610162071',17012,'1046',41.86,1,3,NULL),(15,2198312,'1990-07-15 00:00:00',4,8,11,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241216371411459814575124610146017',2243,'1105',68.44,1,3,NULL),(15,2198339,'1991-01-05 00:00:00',4,1,12,2008,'M','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241237111732688833575124610137045',NULL,'883',61.57,1,3,NULL),(15,2198347,'1990-07-09 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241415111431469933575114610127042',1102,'270',73.01,1,3,NULL),(15,2198355,'1989-01-21 00:00:00',4,8,12,2006,'M','N','AGUA VERDE','CURITIBA','PR','116162161235471411349931471121241064112',2123,'9998',68.90,1,3,NULL),(15,2198363,'1989-02-19 00:00:00',2,8,12,2006,'M','N','PINHEIROS','SOROCABA','SP','125252251216471431566612245122610122157',11563,'9998',49.61,1,3,NULL),(15,2198380,'1990-11-06 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242243217111121428831317125610167047',9817,'270',52.23,1,3,NULL),(15,2198398,'1989-08-17 00:00:00',2,9,12,2007,'M','N','JARDIM PANORAMICO','LAGES','SC','124242241215131431434613285124610127012',12231,'515',48.68,2,1,2),(15,2198401,'1990-04-26 00:00:00',2,5,12,2007,'M','N','CENTRO','MORRO GRANDE','SC','124241241125131431543614182123610141057',18980,'568',38.70,1,2,1),(15,2198410,'1985-02-21 00:00:00',4,1,12,2002,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124243241346143431447644445124131434097',10438,'169',51.29,1,3,NULL),(15,2198436,'1989-07-01 00:00:00',2,1,12,2006,'M','N','FLORESTA','SAO JOSE','SC','124242241211272511569513341114610168113',14725,'724',45.11,1,3,NULL),(15,2198444,'1989-12-24 00:00:00',4,3,7,2007,'M','N','CENTRO','CURITIBA','PR','116252251217311731558811375125610131097',NULL,'9998',0.00,1,3,NULL),(15,2198452,'1990-02-01 00:00:00',2,1,11,2007,'F','N','CENTRO','PALHOCA','SC','124244241215111711454933432124610114093',11761,'1011',49.31,1,3,NULL),(15,2198460,'1988-07-26 00:00:00',4,1,12,2005,'F','N','JARDIM ISMÊNIA','SAO JOSE DOS CAMPOS','SP','125251251216571431556934575112610164147',18798,'9998',38.98,2,1,2),(15,2198479,'1990-03-05 00:00:00',4,1,12,2007,'F','N','CENTRO','TANABI','SP','125252251216111431445639572122610165122',16463,'9998',42.64,1,3,NULL),(15,2198495,'1990-08-23 00:00:00',2,1,12,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241137111731443434246124610112143',21068,'298',34.73,1,3,NULL),(15,2198509,'1990-07-18 00:00:00',2,6,12,2007,'F','N','DOM BOSCO','ITAJAI','SC','124242241231111731428414211115610112011',9618,'388',52.56,1,3,NULL),(15,2198517,'1989-11-16 00:00:00',2,1,12,2007,'F','N','BALNEARIO','FLORIANOPOLIS','SC','124242247335472431356412395124610126042',5002,'9999',61.08,1,3,NULL),(15,2198525,'1990-10-23 00:00:00',2,5,12,2007,'F','N','VILA SÃO JOSÉ','ARARANGUA','SC','124242241212321431459833572122610127072',14573,'27',45.30,1,3,NULL),(15,2198533,'1988-09-06 00:00:00',4,1,12,2005,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242248212573441456631194114610162091',5053,'270',60.99,1,3,NULL),(15,2198550,'1988-02-20 00:00:00',4,1,12,2006,'M','N','JOSÉ MENINO','SANTOS','SP','125252251217471431237769572124610136112',9997,'9998',51.94,1,3,NULL),(15,2198568,'1989-11-14 00:00:00',4,1,12,2007,'F','N','PQ RESID GROOT','HOLAMBRA','SP','125251251215111431346314192121610147187',NULL,'9998',22.52,4,3,NULL),(15,2198576,'1985-03-25 00:00:00',4,1,12,2002,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124242241216374451339954472122222133057',70,'270',82.35,1,3,NULL),(15,2198584,'1990-01-04 00:00:00',4,1,11,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215112431456612472124610125142',9524,'262',52.73,1,3,NULL),(15,2198592,'1990-03-16 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124162241415271431457724574122610166057',14074,'269',46.07,1,3,NULL),(15,2198606,'1987-10-17 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241126373431446444145124610136177',21935,'9997',32.50,1,2,1),(15,2198614,'1978-09-29 00:00:00',5,1,12,1995,'F','N','REAL PARQUE','SAO JOSE','SC','124201203136575732344614345124233225187',10068,'9998',51.83,4,3,NULL),(15,2198630,'1985-07-19 00:00:00',2,6,12,2002,'F','N','SÃO GERALDO','PORTO ALEGRE','RS','120201201116371431456644245124142562147',13006,'9998',47.59,1,2,1),(15,2198649,'1989-02-02 00:00:00',2,1,12,2006,'F','N','CENTRO','SANTA MARIA','RS','120164161236471731249931341114610167077',7681,'9998',55.89,1,3,NULL),(15,2198657,'1991-04-20 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243248415121431446631395124610167042',16931,'270',41.96,1,3,NULL),(15,2198665,'1990-04-26 00:00:00',4,1,12,2007,'M','N','CENTRO','CEU AZUL','PR','116161161117151411437615575124610144047',2044,'9998',69.12,1,2,1),(15,2198673,'1979-07-16 00:00:00',4,1,12,1996,'M','N','CAMPINAS','SAO JOSE','SC','124242241216113711366629445122231062172',6184,'262',58.68,1,3,NULL),(15,2198681,'1990-11-17 00:00:00',2,4,12,2007,'M','N','CENTRO SUL','DOIS VIZINHOS','PR','116161161117471731548923575125610122017',NULL,'9998',40.75,1,2,1),(15,2198690,'1986-11-27 00:00:00',2,9,12,2004,'F','N','CENTRO','LAGES','SC','124241241415575431558811572125610126177',1607,'499',70.79,1,3,NULL),(15,2198703,'1988-04-19 00:00:00',4,2,12,2005,'F','N','ELDORADO','SAO PAULO','SP','125252251216571431656511575124141334097',NULL,'9998',0.00,1,3,NULL),(15,2198711,'1989-04-06 00:00:00',4,1,12,2006,'F','N','VILAS BOAS','CAMPO GRANDE','MS','112122121215571431478931575112610124142',1470,'9998',71.36,1,3,NULL),(15,2198738,'1988-09-01 00:00:00',4,1,11,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241215472431589814575124610128127',13175,'270',47.36,1,3,NULL),(15,2198746,'1990-03-15 00:00:00',2,5,11,2007,'F','N','CENTRO','ARARANGUA','SC','124242241215111431444722575112610124192',7870,'32',55.57,1,3,NULL),(15,2198754,'1988-09-28 00:00:00',4,1,12,2005,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124161241335373411436414344124610163187',18780,'977',39.01,4,1,2),(15,2198770,'1989-10-14 00:00:00',4,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124241241116372331436613375124610136142',NULL,'257',23.06,1,3,NULL),(15,2198789,'1990-06-26 00:00:00',2,5,12,2007,'F','N','LAGOA DE FORA','BALNEARIO GAIVOTA','SC','124241241111131431433464371224610162142',11531,'1033',49.66,1,2,1),(15,2198800,'1989-09-24 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215371431478812425122610114192',1039,'270',73.29,1,3,NULL),(15,2198819,'1989-06-17 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124254141236151751369923595125610165172',6323,'9998',58.41,1,3,NULL),(15,2198827,'1987-10-13 00:00:00',4,1,12,2004,'M','N','TRADICIONAL','PLANALTINA','DF','107073071216572451378933575124141766043',149,'9998',80.69,1,3,NULL),(15,2198835,'1988-10-29 00:00:00',4,1,11,2006,'M','N','CENTRO','SAO JOSE','SC','124242248137371421555531345122610127143',21803,'733',32.95,1,3,NULL),(15,2198843,'1988-12-15 00:00:00',2,1,6,2007,'M','N','RATONES','FLORIANOPOLIS','SC','124244247336371431546626575124610118185',NULL,'270',37.23,1,3,NULL),(15,2198878,'1990-11-23 00:00:00',4,1,2,2009,'M','S','FLORESTA','SAO JOSE','SC','124242241215141731539622242124610146042',NULL,'1022',49.24,1,3,NULL),(15,2198886,'1987-03-25 00:00:00',2,1,12,2005,'M','N','PONTE IMAROIM','PALHOCA','SC','124242241212112431356311575124232814042',NULL,'9997',20.69,4,3,NULL),(15,2198908,'1989-02-17 00:00:00',4,1,12,2006,'M','N','VILA GLÓRIA','CAMPO GRANDE','MS','112122121114471732358833572112610144047',NULL,'9998',0.00,3,3,NULL),(15,2198916,'1987-06-19 00:00:00',2,4,12,2004,'M','N','CENTRO','ROMELANDIA','SC','124241241126152431333619391122233262147',NULL,'679',0.00,1,2,1),(15,2198924,'1989-10-27 00:00:00',2,8,12,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124244241212153431557631272112231437055',NULL,'270',0.00,1,3,NULL),(15,2198932,'1990-03-19 00:00:00',2,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124161241135141411333644245124610164082',21517,'290',33.69,1,2,1),(15,2198959,'1990-09-19 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124243241217131431536617575121610144057',6689,'1049',57.75,1,3,NULL),(15,2198967,'1954-11-22 00:00:00',2,1,6,1976,'M','N','PANTANAL','FLORIANOPOLIS','SC','224161167326535421365543132122321567127',5866,'9998',59.33,1,3,NULL),(15,2198975,'1989-09-27 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431368729575122610143152',713,'300',75.27,1,3,NULL),(15,2198983,'1986-09-26 00:00:00',4,8,12,2004,'F','N','CENTRO','JARAGUA DO SUL','SC','124241241215572431333317574112610146092',5434,'491',60.21,1,3,NULL),(15,2198991,'1987-11-23 00:00:00',4,10,7,2005,'M','N','SERTAO DOS CORREIAS','TUBARAO','SC','124243248111242111428841414111112712181',22233,'9999',31.35,1,3,NULL),(15,2199017,'1985-12-19 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANOPOLIS','SC','124201201147131731426514245124610137057',15856,'9998',43.60,1,3,NULL),(15,2199033,'1983-11-09 00:00:00',4,1,7,2004,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124243241446271411227544345134610162047',10148,'9999',51.72,1,3,NULL),(15,2199041,'1987-08-23 00:00:00',2,1,12,2004,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124241248135354421236624242114610127057',20449,'498',35.96,2,1,1),(15,2199050,'1990-09-28 00:00:00',2,1,12,2007,'M','N','BARRA DO ARIRIÚ','PALHOCA','SC','124241241117131431333612242124610134147',13342,'592',47.12,1,2,1),(15,2199068,'1986-10-22 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241247447271731248679495124610167147',NULL,'300',24.20,1,3,NULL),(15,2199092,'1986-02-03 00:00:00',2,1,12,2003,'F','N','SETOR BUENO','GOIANIA','GO','109131138316551741546935515124610168097',1625,'9998',70.70,1,3,NULL),(15,2199106,'1990-01-25 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241117371331433433285124610124142',19424,'734',37.97,1,2,1),(15,2199114,'1987-07-31 00:00:00',4,1,12,2004,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215273731267723572124133264047',7582,'738',56.06,1,3,NULL),(15,2199122,'1990-11-08 00:00:00',2,8,12,2008,'F','S','AMIZADE','JARAGUA DO SUL','SC','124244241217151431348833581122610134012',NULL,'1061',57.67,1,3,NULL),(15,2199130,'1987-02-17 00:00:00',4,1,12,2004,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241112272431463612275124221461142',7099,'49',56.97,1,2,1),(15,2199149,'1989-11-23 00:00:00',4,1,1,2008,'M','N','CAMPINAS','SAO JOSE','SC','124241241115141431456934342124610134052',11243,'739',50.10,1,2,1),(15,2199157,'1990-06-05 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124241241146141221443414382121610167057',14844,'592',44.96,1,3,NULL),(15,2199181,'1969-02-25 00:00:00',2,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','624241247422131421523353285124610162187',NULL,'9999',30.70,1,3,NULL),(15,2199190,'1989-12-26 00:00:00',2,4,12,2006,'M','N','CENTRO','ITAPIRANGA','SC','124241241126132411443933245131233232177',14183,'412',45.90,1,2,1),(15,2199203,'1990-08-04 00:00:00',4,6,12,2007,'F','N','CENTRO','RIO NEGRO','PR','116162161216113431488831575125610164012',NULL,'9998',0.00,1,3,NULL),(15,2199220,'1990-04-17 00:00:00',2,2,11,2007,'M','N','VILA SANTANA','SOROCABA','SP','125251251227111431547724582124610137042',14949,'9998',44.86,4,3,NULL),(15,2199238,'1990-02-20 00:00:00',4,6,11,2007,'M','N','VILA OPERÁRIA','ITAJAI','SC','124241241147131421334723141124610166197',NULL,'395',29.01,5,2,1),(15,2199246,'1989-04-07 00:00:00',2,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124241241215272431654412575124610127042',17283,'738',41.43,4,3,NULL),(15,2199254,'1959-05-15 00:00:00',2,5,6,1980,'M','N','MINA DO MATO','CRICIUMA','SC','224256257422235721523341115124333247047',11856,'9998',49.17,1,3,NULL),(15,2199262,'1988-11-27 00:00:00',4,2,12,2006,'M','N','CENTRO','BRUSQUE','SC','124241241217271431336627242115610137052',19783,'912',37.28,1,3,NULL),(15,2199270,'1989-06-16 00:00:00',4,1,12,2006,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124242241315372431466533575124610164092',2473,'1022',67.70,1,3,NULL),(15,2199289,'1988-04-22 00:00:00',2,1,12,2005,'F','N','JARDIM SATÉLITE','SAO JOSE DOS CAMPOS','SP','125253251217571431236819575124241442183',7604,'9998',56.02,1,3,NULL),(15,2199297,'1987-12-27 00:00:00',2,1,11,2007,'F','N','MACUCO','SANTOS','SP','125252251416271431526519285121610125097',20746,'9998',35.40,4,1,2),(15,2199300,'1988-10-04 00:00:00',4,6,12,2005,'M','N','POCINHO','GASPAR','SC','124241248117141411434631142113610134052',NULL,'354',0.00,1,3,NULL),(15,2199319,'1984-01-25 00:00:00',2,1,12,2001,'F','N','PACHECOS','PALHOCA','SC','124241241117373731345313495124610124082',12276,'591',48.61,1,2,1),(15,2199327,'1990-07-02 00:00:00',4,6,12,2007,'M','N','BARRA DO RIO','ITAJAI','SC','124242241217121431448939575122610167117',7162,'391',56.86,1,3,NULL),(15,2199335,'1985-01-22 00:00:00',2,1,7,2003,'M','N','PASSA VINTE','PALHOCA','SC','124241241125272431443611345112610124057',9368,'591',53.01,1,2,1),(15,2199343,'1988-12-28 00:00:00',4,1,12,2005,'M','N','ROÇADO','SAO JOSE','SC','124241241112472731446633442124610138152',14117,'271',46.01,1,2,1),(15,2199351,'1978-05-10 00:00:00',4,1,5,1995,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124212281416142411479933445124342222092',11846,'9998',49.18,1,3,NULL),(15,2199360,'1989-02-23 00:00:00',4,1,12,2006,'M','N','VILA DAS ACÁCIAS','SAO JOSE DOS CAMPOS','SP','125252251217272431578813575112610167047',4937,'9998',61.21,1,3,NULL),(15,2199378,'1987-03-30 00:00:00',4,1,12,2004,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241211454331458714581124231467117',13711,'1022',46.60,1,3,NULL),(15,2199394,'1990-01-30 00:00:00',4,1,11,2007,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124123248315131431286723275124610165141',15587,'270',43.98,4,3,NULL),(15,2199408,'1989-10-17 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124241241115271431224469331124610142147',19395,'257',38.03,1,2,1),(15,2199416,'1984-07-06 00:00:00',2,1,12,2003,'M','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241121133411423329395124231026057',15250,'12',44.48,1,2,1),(15,2199424,'1979-07-04 00:00:00',5,1,12,1997,'M','N','AREIAS','SAO JOSE','SC','124243241317151411339979195125131066187',NULL,'238',0.00,1,3,NULL),(15,2199432,'1990-03-02 00:00:00',2,1,12,2007,'F','N','CAMPO DUNA','GAROPABA','SC','124241241126141531433611215124610124143',21501,'322',33.72,1,2,1),(15,2199440,'1982-12-18 00:00:00',2,1,5,2002,'F','N','RATONES','FLORIANOPOLIS','SC','124241248146575421443319295134131062187',6678,'306',57.77,1,2,1),(15,2199459,'1989-06-22 00:00:00',2,2,12,2006,'F','N','CENTRO','VITOR MEIRELES','SC','124241248216473231339933395121610127147',9319,'445',53.09,1,3,NULL),(15,2199467,'1989-01-30 00:00:00',2,4,12,2006,'M','N','CENTRO','SAO LOURENCO DO OESTE','SC','124242248217141431543332395122143227057',NULL,'743',0.00,1,3,NULL),(15,2199475,'1967-11-04 00:00:00',4,1,12,1986,'M','N','CARIANOS','FLORIANOPOLIS','SC','324241246326135441553343235122231017042',NULL,'773',0.00,1,3,NULL),(15,2199483,'1989-06-25 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124243247112271421327723572124610127057',NULL,'9999',43.44,1,3,NULL),(15,2199491,'1985-05-13 00:00:00',4,1,12,2002,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124242241117575431448633435122220264197',10103,'271',51.78,1,3,NULL),(15,2199505,'1973-08-10 00:00:00',2,1,12,1990,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','224161161136152431444443232123142228053',8217,'9998',54.99,1,2,1),(15,2199513,'1989-10-23 00:00:00',4,1,12,2007,'M','N','AREIAS','SAO JOSE','SC','124243241145471411447612346124610165012',8545,'734',54.45,1,3,NULL),(15,2199521,'1989-11-11 00:00:00',4,1,11,2006,'M','N','VILA NOVA','AGUAS MORNAS','SC','124241241137151451326933375124610168147',NULL,'941',21.96,1,3,NULL),(15,2199530,'1976-10-19 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124041043116131421121344442334341666097',18916,'9998',38.81,5,3,NULL),(15,2199548,'1987-02-22 00:00:00',2,1,12,2005,'M','N','N S DO ROSÁRIO','SAO JOSE','SC','124244241216373431378812475124610137093',11177,'1022',50.20,1,3,NULL),(15,2199556,'1976-09-23 00:00:00',4,5,12,1994,'M','N','VILA MARIA','BOTUCATU','SP','125251251115571431544419445235143262187',2822,'9998',66.70,1,2,1),(15,2199564,'1990-03-16 00:00:00',2,1,12,2007,'F','N','PINHEIRA','PALHOCA','SC','124241241126131731321319392221610122057',22154,'595',31.71,1,2,1),(15,2199572,'1990-09-08 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431426723571124610123187',16592,'1022',42.46,1,3,NULL),(15,2199599,'1990-03-25 00:00:00',4,1,12,2007,'F','N','JARDIM ZANELATO','SAO JOSE','SC','124241241115131651423521397121610145187',NULL,'1116',0.00,1,2,1),(15,2199602,'1991-07-28 00:00:00',4,1,2,2009,'M','S','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124243241212111431546619592114610128145',NULL,'266',70.36,1,3,NULL),(15,2199629,'1987-12-26 00:00:00',4,1,12,2005,'M','N','SÃO JOÃO','PORTO ALEGRE','RS','120202201216571131336634281124610124057',1888,'9998',69.65,1,3,NULL),(15,2199637,'1987-07-25 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANOPOLIS','SC','124201201127132431423344342234610147147',11623,'9998',49.51,1,2,1),(15,2199645,'1988-03-18 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241315113411668833395134230267097',15316,'300',44.38,1,3,NULL),(15,2199653,'1990-07-10 00:00:00',2,4,11,2006,'F','N','ESPÍRITO SANTO','ERECHIM','RS','120201201115231431546817575124610127047',10236,'9998',51.58,1,2,1),(15,2199661,'1990-04-10 00:00:00',2,9,12,2007,'F','N','CENTRO CÍVICO','CURITIBA','PR','116161161314111431568929571124610126187',NULL,'9998',0.00,1,3,NULL),(15,2199688,'1987-03-07 00:00:00',2,1,12,2004,'F','N','AREIAS DE BAIXO','GOVERNADOR CELSO RAMOS','SC','124241241115372431445611345124610164147',17256,'64',41.47,1,2,1),(15,2199700,'1983-10-18 00:00:00',2,1,7,2004,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124201206116271451564764445134610167073',14268,'9998',45.77,1,3,NULL),(15,2199718,'1989-03-10 00:00:00',2,1,12,2006,'F','N','JD FLORESTA','SAO JOSE','SC','124243241417372431346661572124610114197',12401,'1036',48.43,1,3,NULL),(15,2199734,'1988-11-01 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242247211332431659613382114610137112',14190,'1022',45.88,1,3,NULL),(15,2199742,'1990-05-17 00:00:00',4,8,12,2007,'F','N','CAMPO DA AGUA VERDE','CANOINHAS','SC','124241241145131431223329182324610126017',NULL,'149',0.00,3,2,1),(15,2199750,'1990-12-27 00:00:00',4,4,12,2007,'M','N','CENTRO','CAMPINAS DO SUL','RS','120203201215111431446632572112610137042',3483,'9998',64.80,1,3,NULL),(15,2199769,'1990-12-07 00:00:00',2,4,12,2007,'F','N','INTERIOR','UNIAO DO OESTE','SC','124241241135161531323335152224610114142',18330,'816',39.74,1,2,1),(15,2199785,'1985-05-13 00:00:00',2,1,5,2003,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241411154411578613385122122334043',14164,'257',45.95,1,3,NULL),(15,2199793,'1988-07-16 00:00:00',4,1,12,2006,'M','N','DOM JOAQUIM','BRUSQUE','SC','124252251216372411569814595124610164012',6630,'9998',57.84,1,3,NULL),(15,2199807,'1977-07-17 00:00:00',4,1,12,1995,'F','N','GUIMAR DE FORA','ANTONIO CARLOS','SC','224241241112272421333354442324610121187',14494,'20',45.42,1,2,1),(15,2199815,'1987-08-28 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241211372431579912341124230237112',6111,'262',58.86,3,3,NULL),(15,2199823,'1984-07-26 00:00:00',4,1,12,2001,'M','N','CENTRO','REGISTRO','SP','125252251214571412368923574111141565182',NULL,'9998',0.00,1,3,NULL),(15,2199831,'1989-05-21 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241115471431523319492334610134012',18325,'281',39.75,1,3,NULL),(15,2199840,'1971-09-19 00:00:00',4,1,10,1992,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124241246146373431344343132332131427043',14787,'306',45.02,2,1,1),(15,2199866,'1988-06-02 00:00:00',2,7,12,2005,'M','N','CENTRO','TANGARA','SC','124241241141132431323314241124133248142',17375,'779',41.27,1,2,1),(15,2199874,'1983-04-14 00:00:00',4,8,12,2000,'M','N','BOA VISTA','JOINVILLE','SC','124241241122372431433311285123610124052',15892,'477',43.55,1,3,NULL),(15,2199882,'1976-01-20 00:00:00',4,1,12,1993,'M','N','CENTRO','FLORIANOPOLIS','SC','124242248216375421254842425124533223072',6787,'806',57.57,1,3,NULL),(15,2199890,'1988-06-03 00:00:00',4,8,12,2007,'M','N','CAMPO DA AGUA VERDE','CANOINHAS','SC','124241241125131431113649296321610122147',NULL,'149',0.00,1,2,1),(15,2199904,'1989-10-28 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241231112431538633574122610145143',20105,'738',36.61,1,3,NULL),(15,2199912,'1977-09-18 00:00:00',4,1,12,2001,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124253257322271411113344242334610168117',NULL,'9998',0.00,1,3,NULL),(15,2199920,'1989-03-22 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248215372731356639391125131026072',12175,'269',48.76,1,3,NULL),(15,2199947,'1988-06-09 00:00:00',4,1,12,2006,'F','N','JARDIM SÃO BERNARDO','SAO PAULO','SP','125252251216411431439813291124610165152',NULL,'9998',0.00,1,3,NULL),(15,2199955,'1988-01-28 00:00:00',2,1,1,2008,'F','N','CACUPÉ','FLORIANOPOLIS','SC','124241248124131731111349291134610127047',NULL,'296',19.33,2,1,1),(15,2199963,'1983-04-16 00:00:00',2,1,12,2000,'M','N','BARREIROS','SAO JOSE','SC','124243241315375431438514385124230227047',2572,'1036',67.41,1,3,NULL),(15,2199971,'1989-12-15 00:00:00',2,1,2,2008,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242241117141411566613332122610137057',14418,'306',45.55,1,3,NULL),(15,2199980,'1990-01-24 00:00:00',4,7,12,2007,'M','N','NAÇÕES','FRAIBURGO','SC','124241241127131411334933575122610122052',NULL,'315',0.00,1,2,1),(15,2199998,'1990-05-22 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124244241216272451126818245134221764127',3369,'37',65.09,1,3,NULL),(15,2200007,'1987-01-16 00:00:00',4,1,12,2004,'F','N','INGLESES DO RIO VERM','FLORIANOPOLIS','SC','124241241112132751325549292321610123111',NULL,'464',20.82,1,3,NULL),(15,2200015,'1989-06-04 00:00:00',2,1,12,2007,'F','N','NOSSA SENHORA DO ROS','SAO JOSE','SC','124242241217112421424611582124610121072',21475,'1022',33.79,1,3,NULL),(15,2200023,'1990-10-19 00:00:00',4,7,12,2007,'M','N','BOA VISTA','JOACABA','SC','124241241215371431353314472122610127142',5917,'962',59.22,4,3,NULL),(15,2200031,'1985-05-07 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241147374431468513441124610117147',14645,'322',45.21,1,2,1),(15,2200040,'1990-06-23 00:00:00',2,4,12,2007,'F','N','CENTRO','MARMELEIRO','PR','116163161116471431437614575124610163073',15842,'9998',43.61,1,3,NULL),(15,2200066,'1980-08-14 00:00:00',4,1,12,1997,'M','N','RIO FARIAS II','ANTONIO CARLOS','SC','124241246116134431423321482324610127047',10277,'306',51.52,1,2,1),(15,2200074,'1989-11-14 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241137371411324519272221610137047',20120,'295',36.58,4,2,1),(15,2200082,'1984-01-10 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241211372431336921142135221764027',2384,'266',67.97,1,3,NULL),(15,2200090,'1977-10-29 00:00:00',4,8,12,1995,'M','N','CENTRO','SETE LAGOAS','MG','113131131437131432448311182122141446017',NULL,'9998',0.00,4,3,NULL),(15,2200112,'1989-03-08 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242248215122411659834395124610127147',16909,'1022',41.99,1,3,NULL),(15,2200120,'1990-11-22 00:00:00',2,1,12,2007,'F','N','PASSA VINTE','PALHOCA','SC','124241241117151431446613572124610137047',13859,'592',46.37,1,2,1),(15,2200139,'1982-10-07 00:00:00',2,1,12,1999,'F','N','KOBRASOL','SAO JOSE','SC','224163161341271731256452431122131062182',9294,'9998',53.13,1,3,NULL),(15,2200147,'1989-05-31 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217373431467912332332231023052',14942,'262',44.86,1,3,NULL),(15,2200155,'1959-10-26 00:00:00',4,1,12,1976,'M','N','ITACORUBI','FLORIANOPOLIS','SC','224213218112152711388643432132520226173',NULL,'9998',0.00,1,3,NULL),(15,2200163,'1988-05-02 00:00:00',2,1,12,2005,'F','N','FUNDOS','BIGUACU','SC','124244241212374431433614592114610125077',NULL,'63',33.35,1,3,NULL),(15,2200171,'1990-10-07 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241435211731336529592124610127042',NULL,'299',28.33,1,3,NULL),(15,2200180,'1991-04-16 00:00:00',2,4,11,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241216131431346913572122610146171',11558,'752',49.62,1,3,NULL),(15,2200201,'1990-09-26 00:00:00',4,2,12,2007,'M','N','DALBÉRGIA','IBIRAMA','SC','124241241125131431438621245121610117047',NULL,'886',0.00,1,3,NULL),(15,2200210,'1990-11-23 00:00:00',4,8,12,2007,'F','N','CENTRO','CANOINHAS','SC','124244161215411411457812572122610137092',NULL,'9998',0.00,1,3,NULL),(15,2200236,'1988-03-15 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215573431233629571324131265077',2935,'273',66.34,1,3,NULL),(15,2200244,'1990-10-30 00:00:00',2,1,11,2007,'F','N','ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC','124241241117271531328639275124610168117',15325,'307',44.37,4,2,1),(15,2200252,'1990-08-06 00:00:00',2,1,11,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241117271741436714292124610133117',18760,'307',39.06,4,3,NULL),(15,2200260,'1982-05-16 00:00:00',2,1,12,1999,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241124275431223319281224221524017',3753,'798',64.07,1,2,1),(15,2200279,'1981-11-29 00:00:00',4,8,12,1999,'M','N','ITAPEMA DO NORTE','ITAPOA','SC','124241241136161421363343435124610122053',13634,'542',46.71,1,3,NULL),(15,2200287,'1987-04-04 00:00:00',2,1,12,2004,'M','N','GOV CELSO RAMOS','GOVERNADOR CELSO RAMOS','SC','124241241127372421545411434224610127042',5065,'329',60.97,4,2,1),(15,2200295,'1990-10-29 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241116131431457614272122610134147',21478,'307',33.78,4,2,1),(15,2200309,'1984-07-06 00:00:00',2,1,8,2002,'F','N','CARIANOS','FLORIANOPOLIS','SC','124201205111271431326614441114610168187',NULL,'9998',27.59,1,3,NULL),(15,2200325,'1989-04-28 00:00:00',4,1,12,2006,'M','N','PORTÃO','CURITIBA','PR','116112111216471422466835492114610167062',5479,'9998',60.10,1,3,NULL),(15,2200333,'1988-12-12 00:00:00',2,1,12,2005,'F','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','124241241216473411524411572124233247177',6059,'1048',58.95,1,3,NULL),(15,2200341,'1989-04-26 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244241215372411438611572124230533057',16044,'259',43.30,1,3,NULL),(15,2200350,'1989-10-01 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241215211721448813575124610147117',6338,'270',58.38,1,3,NULL),(15,2200368,'1986-11-27 00:00:00',2,6,12,2004,'M','N','CABEÇUDAS','ITAJAI','SC','124244241431213311338812271121230214091',16679,'1026',42.35,1,3,NULL),(15,2200376,'1990-02-08 00:00:00',4,1,12,2007,'M','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124241241115141431536414345124610117042',15818,'286',43.65,1,2,1),(15,2200384,'1989-02-15 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241112131711323519575222610142147',17543,'17',41.03,1,2,1),(15,2200406,'1959-06-06 00:00:00',2,1,7,1987,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','224241246126154411446643235123121724093',NULL,'306',NULL,1,2,1),(15,2200414,'1989-03-24 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215372731346427375114610164041',12596,'1022',48.14,1,3,NULL),(15,2200422,'1987-08-28 00:00:00',2,9,12,2004,'F','N','CENTRO','CONCORDIA','SC','124241241211572421659813575124610113187',6334,'190',58.39,1,3,NULL),(15,2200430,'1989-05-18 00:00:00',2,1,12,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241216112731533513572124610114147',21445,'988',33.85,1,3,NULL),(15,2200449,'1984-10-06 00:00:00',4,1,12,2003,'M','N','FORQUILHAS','SAO JOSE','SC','224241248127131421236644242334133226052',NULL,'945',NULL,1,2,1),(15,2200457,'1974-04-14 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241246116143421234319495234321425097',4969,'513',61.16,1,3,NULL),(15,2200465,'1991-03-07 00:00:00',4,1,12,2008,'M','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241116131451527613575124610166187',NULL,'298',41.52,1,3,NULL),(15,2200473,'1987-07-26 00:00:00',4,1,12,2004,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124052241212133431489712495122233227122',8838,'884',53.95,1,3,NULL),(15,2200490,'1983-12-14 00:00:00',2,1,12,2001,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241415134451445639435124321122142',13991,'272',46.16,1,3,NULL),(15,2200503,'1984-03-13 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216375431358613375112122721147',20972,'272',34.91,1,3,NULL),(15,2200511,'1989-09-29 00:00:00',4,1,10,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242248217372431546819295132610164012',14098,'770',46.03,1,3,NULL),(15,2200538,'1989-08-19 00:00:00',4,10,12,2006,'M','N','MAGALHAES','LAGUNA','SC','124241241126372431436614345124610118092',22137,'524',31.77,1,2,1),(15,2200546,'1990-08-21 00:00:00',2,4,12,2007,'M','N','JOÃO PAULO II','REALEZA','PR','116162201215271431368839575112610137052',15593,'9998',43.98,1,3,NULL),(15,2200554,'1989-08-08 00:00:00',2,1,12,2006,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124201201215372431436624372214610137047',11611,'9998',49.53,1,3,NULL),(15,2200562,'1989-01-05 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215122441438921572124610122112',6055,'270',58.96,1,3,NULL),(15,2200570,'1985-11-21 00:00:00',2,1,12,2002,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124201201145271441323944245123141125097',9858,'9998',52.17,1,2,1),(15,2200589,'1990-10-11 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241215111431556632575125610167047',12368,'273',48.47,1,3,NULL),(15,2200619,'1989-10-07 00:00:00',4,1,12,2007,'F','N','NAÇÕES','VALINHOS','SP','125252251217471431589834571122610132197',1266,'9998',72.18,1,3,NULL),(15,2200627,'1989-02-19 00:00:00',4,8,12,2006,'F','N','CAPÃO RASO','CURITIBA','PR','116251251415471411463611571124610133147',16992,'9998',41.88,1,3,NULL),(15,2200635,'1990-07-27 00:00:00',4,6,12,2007,'F','N','CENTRO','PONTA GROSSA','PR','116162161215111431256631272124610124142',NULL,'9998',36.76,1,3,NULL),(15,2200643,'1989-02-28 00:00:00',2,1,12,2007,'F','N','JARDIM JANAINA','BIGUACU','SC','124242241212151411356612342234610112072',19634,'868',37.55,1,3,NULL),(15,2200651,'1987-10-20 00:00:00',2,1,12,2004,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242247416232431438831215122142417125',NULL,'9999',32.74,1,3,NULL),(15,2200660,'1989-09-22 00:00:00',2,8,12,2006,'F','N','CENTRO','PONTA GROSSA','PR','116161161215471431448613572124610168192',3900,'9998',63.74,1,3,NULL),(15,2200678,'1986-05-01 00:00:00',2,1,12,2003,'F','N','VILA MARIA','BOTUCATU','SP','125251251117371711568613395122240443147',NULL,'9998',0.00,1,2,1),(15,2200686,'1983-05-02 00:00:00',4,2,12,2000,'M','N','PROGRESSO','BLUMENAU','SC','124242241217135431549621571124232427077',6795,'86',57.56,4,3,NULL),(15,2200694,'1990-10-07 00:00:00',4,1,12,2007,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124241241115371432358624572124610164147',21743,'783',33.15,1,3,NULL),(15,2200708,'1989-07-22 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215472431348823575124610137057',10465,'988',51.24,1,3,NULL),(15,2200716,'1988-10-02 00:00:00',2,4,11,2006,'F','N','PERPETUO SOCORRO','SAO LOURENCO DO OESTE','SC','124243161512161431346414575125610156092',18707,'743',39.16,4,1,2),(15,2200724,'1990-03-01 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241111131432435631292114610132147',21233,'288',34.37,1,2,1),(15,2200732,'1984-02-10 00:00:00',4,1,12,2001,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241217575421686312495112231022092',NULL,'1036',0.00,1,3,NULL),(15,2200740,'1990-11-23 00:00:00',2,8,12,2007,'F','N','BOM JESUS','ITAIOPOLIS','SC','124241241115131431523336572224610151142',NULL,'387',18.47,1,2,1),(15,2200775,'1983-05-31 00:00:00',4,1,12,2000,'F','N','KOBRASOL','SAO JOSE','SC','124201201116143421429939395124333232147',7284,'9998',56.63,1,3,NULL),(15,2200783,'1988-03-25 00:00:00',2,1,12,2006,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124121241116372411535344245134610128177',10281,'289',51.51,1,3,NULL),(15,2200791,'1984-05-25 00:00:00',2,1,12,2001,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124252251237573411469813185124221844063',7115,'9998',56.95,1,3,NULL),(15,2200805,'1989-11-07 00:00:00',2,8,12,2007,'M','N','RIO BANDEIRA','PRESIDENTE NEREU','SC','124241241125161431423455254345610144177',17638,'645',40.89,1,2,1),(15,2200813,'1980-04-05 00:00:00',4,1,12,1998,'M','N','SERRARIA','SAO JOSE','SC','224241241147374431226644242124610127052',22006,'307',32.25,1,2,1),(15,2200821,'1984-04-20 00:00:00',4,1,12,2001,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124202201216151431526612525122140218162',21932,'9998',32.51,1,3,NULL),(15,2200830,'1987-04-06 00:00:00',4,1,12,2004,'M','N','VILA MASCOTE','SAO PAULO','SP','125252251316572751436828281124610127112',14411,'9998',45.56,1,3,NULL),(15,2200848,'1989-08-04 00:00:00',4,1,12,2006,'F','N','VILA NOVA','NOVO HAMBURGO','RS','120203201216371431536411212324610133142',11027,'9998',50.41,1,3,NULL),(15,2200864,'1974-11-30 00:00:00',4,1,12,2007,'M','N','SERRARIAS','SAO JOSE','SC','624243241122131711322249192123610137047',14827,'9999',44.98,4,3,NULL),(15,2200872,'1985-03-08 00:00:00',2,1,7,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124244247216272421646723495122233217115',14125,'9999',46.00,1,3,NULL),(15,2200899,'1989-07-15 00:00:00',2,4,12,2006,'F','N','CENTRO','AMPERE','PR','116161161416271431415615135133610144047',19146,'9998',38.44,3,3,NULL),(15,2200902,'1990-10-17 00:00:00',4,4,12,2007,'M','N','ALVORADA','XAXIM','SC','124241241115161421433615152324610117145',20772,'846',35.35,1,2,1),(15,2200910,'1990-07-10 00:00:00',4,8,12,2007,'F','N','DISTRITO DE ITAIO','ITAIOPOLIS','SC','124241241115131431423336572344610167042',NULL,'387',24.04,1,2,1),(15,2200929,'1989-12-07 00:00:00',4,8,11,2007,'M','N','CENTRO','JOINVILLE','SC','124242241215111431539931575115610147042',3861,'457',63.83,1,3,NULL),(15,2200937,'1989-05-22 00:00:00',2,2,12,2006,'F','N','JARDIM DONA ELVIRA','ITAPEVI','SP','125251251114471431535534571125610167173',11667,'9998',49.46,1,2,1),(15,2200945,'1987-02-18 00:00:00',2,1,12,2005,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124243241135472431668613412114610121145',NULL,'298',10.19,3,3,NULL),(15,2200988,'1986-04-06 00:00:00',2,3,12,2004,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241215132451434411282114132032051',15397,'1039',44.26,1,3,NULL),(15,2200996,'1986-06-21 00:00:00',4,1,12,2004,'F','N','FLOR DE NÁPOLES','SAO JOSE','SC','124241241127271221223344245334610163032',12748,'307',47.92,1,2,1),(15,2201003,'1990-05-31 00:00:00',4,1,12,2007,'F','N','CENTRO','SAO JOAO BATISTA','SC','124244241215111431558852571122610168127',15783,'948',43.70,1,3,NULL),(15,2201011,'1986-02-22 00:00:00',4,1,11,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241315154411456819492115221467162',7522,'270',56.19,1,3,NULL),(15,2201020,'1990-04-16 00:00:00',2,3,12,2007,'F','N','BOMBINHAS','BOMBINHAS','SC','124162241215111231355622572112610132057',19996,'948',36.84,1,3,NULL),(15,2201038,'1989-11-07 00:00:00',4,8,11,2006,'F','N','CENTRO','CANOINHAS','SC','124242241215515431466934572112610144157',13012,'154',47.57,1,3,NULL),(15,2201046,'1990-05-28 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215111441356634574124610127072',12344,'1022',48.50,1,3,NULL),(15,2201062,'1988-10-18 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124204241215272411246629275124133244047',4077,'273',63.25,1,3,NULL),(15,2201089,'1990-06-08 00:00:00',4,1,2,2008,'F','N','FAZENDA SANTO ANTONI','SAO JOSE','SC','124241241115152431433332575124610238197',14951,'739',44.85,1,2,1),(15,2201097,'1980-04-10 00:00:00',2,1,11,1998,'F','N','BELA VISTA','SAO JOSE','SC','124242241116175431536833345134333214092',NULL,'257',20.03,1,3,NULL),(15,2201100,'1988-12-07 00:00:00',2,6,11,2006,'F','N','CENTRO','ITAJAI','SC','124242241215372431468612475123610168082',1793,'1026',69.97,1,3,NULL),(15,2201135,'1982-02-15 00:00:00',2,1,12,1999,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241121273431366629141124610124047',17362,'293',41.30,1,3,NULL),(15,2201143,'1989-03-17 00:00:00',4,1,12,2007,'M','N','PAINEIRAS','JUIZ DE FORA','MG','113131131427471711227679375124610167047',NULL,'9998',0.00,1,3,NULL),(15,2201151,'1990-03-05 00:00:00',4,4,12,2006,'F','N','CENTRO','CONCORDIA','SC','124243241317272431336619372122132034097',NULL,'192',0.00,1,3,NULL),(15,2201160,'1989-11-13 00:00:00',4,1,11,2007,'M','N','JARDIM LIMA','FRANCA','SP','125252251215111411388812291124610117012',NULL,'9998',0.00,1,3,NULL),(15,2201178,'1984-12-06 00:00:00',2,1,6,2007,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124243241312131411555533231113610134117',NULL,'9997',0.00,1,3,NULL),(15,2201186,'1990-11-29 00:00:00',4,8,12,2007,'F','N','CENTRO','UNIAO DA VITORIA','PR','116162161217471431449911575324610122097',NULL,'9998',0.00,1,3,NULL),(15,2201194,'1989-07-25 00:00:00',4,7,11,2006,'F','N','CENTRO','AGUA DOCE','SC','124244241217151431467412574122230633176',NULL,'446',0.00,1,3,NULL),(15,2201208,'1990-08-15 00:00:00',4,4,12,2006,'M','N','JARDIN ITALIA','CHAPECO','SC','124242241217141531446923312114231566182',11622,'185',49.52,1,3,NULL),(15,2201216,'1973-05-12 00:00:00',2,4,9,2003,'M','N','PRESIDENTE MEDICI','CHAPECO','SC','124241247127371421433234342322610154057',NULL,'9999',18.85,1,3,NULL),(15,2201224,'1990-11-21 00:00:00',4,1,11,2007,'F','N','JARDIM OSWALDO CRUZ','SAO JOSE DOS CAMPOS','SP','125102258215471231566732576312610123017',NULL,'9998',0.00,4,3,NULL),(15,2201232,'1983-12-30 00:00:00',5,1,12,2002,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241126272421433311345134132213077',19098,'551',38.52,1,2,1),(15,2201259,'1988-04-14 00:00:00',4,1,12,2005,'M','N','CAMPOS ELISEOS','RIBEIRAO PRETO','SP','125251251217471431357819172124610117142',12877,'9998',47.75,1,3,NULL),(15,2201267,'1989-03-11 00:00:00',2,1,12,2007,'F','N','PARQUE INDUSTRIAL I','MARECHAL CANDIDO RONDON','PR','116161161217311731544412572122610123052',NULL,'9998',0.00,1,3,NULL),(15,2201275,'1982-09-15 00:00:00',4,10,12,2000,'F','N','OFICINAS','TUBARAO','SC','124244241415575451148819435135131368147',14083,'9999',46.05,1,3,NULL),(15,2201283,'1990-05-25 00:00:00',4,1,11,2007,'F','N','DEHON','TUBARAO','SC','124243248235111751556312422321610157057',10639,'809',50.96,1,3,NULL),(15,2201291,'1989-09-23 00:00:00',4,1,12,2006,'F','N','VISTA VERDE','SAO JOSE DOS CAMPOS','SP','125252251217471411459923572122610121092',14346,'9998',45.65,1,3,NULL),(15,2201305,'1989-01-03 00:00:00',2,3,12,2006,'M','N','CENTRO','SAO JOAO BATISTA','SC','124251241136471431555332325122610137052',15220,'712',44.50,4,3,NULL),(15,2201313,'1987-09-05 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217113411368923572121231043097',4336,'270',62.63,1,3,NULL),(15,2201321,'1988-07-16 00:00:00',4,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217153431489811475114221562182',4589,'855',62.03,1,3,NULL),(15,2201348,'1990-06-10 00:00:00',2,2,12,2007,'M','N','JABOTICABEIRAS','TAUBATE','SP','125251251436151431327723582121610135052',20740,'9998',35.42,1,3,NULL),(15,2201364,'1977-08-07 00:00:00',4,1,12,1994,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124133251217472411218841415122342627067',6000,'9998',59.09,1,3,NULL),(15,2201372,'1980-02-11 00:00:00',2,1,12,1998,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124201201127471411111344246324610123147',14450,'9998',45.50,1,2,1),(15,2201380,'1982-12-15 00:00:00',2,1,12,1999,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124201201116131751123849391331141655187',17157,'9998',41.63,4,2,1),(15,2201399,'1989-09-30 00:00:00',4,8,12,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124241241117371411445514575114610114046',11058,'464',50.37,1,3,NULL),(15,2201402,'1988-01-25 00:00:00',2,1,12,2005,'F','N','SAÍQUI','CANELA','RS','620201201116161732634623341314610161077',NULL,'9998',9.85,1,2,1),(15,2201410,'1988-12-07 00:00:00',2,6,12,2006,'F','N','CENTRO','ITAJAI','SC','124242241215472411549612575124610116082',9361,'9997',53.03,1,3,NULL),(15,2201429,'1988-11-30 00:00:00',2,1,12,2005,'F','N','SACO GRANDE I','FLORIANOPOLIS','SC','124241241117163321326833581124610113097',14625,'298',45.24,1,2,1),(15,2201437,'1988-06-09 00:00:00',4,4,11,2005,'M','N','CENTRO','PATO BRANCO','PR','116164161216472441369813385122141064017',6586,'9998',57.92,1,3,NULL),(15,2201445,'1985-04-10 00:00:00',4,8,12,2003,'F','N','CRISTO REI','CURITIBA','PR','116164161215271431553632475114140443197',NULL,'9998',0.00,1,3,NULL),(15,2201453,'1991-04-21 00:00:00',2,4,12,2007,'F','N','CENTRO','ALPESTRE','RS','120201201116131431443933575125610137052',22013,'9998',32.23,1,2,1),(15,2201470,'1990-03-01 00:00:00',4,6,12,2006,'M','N','CENTRO','NAVEGANTES','SC','124242241217272432238628192121610154122',5999,'389',59.09,1,3,NULL),(15,2201488,'1980-02-09 00:00:00',4,1,12,2005,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','224241247341272431321344145124610126187',19381,'9999',38.04,1,3,NULL),(15,2201496,'1979-03-27 00:00:00',2,1,12,1999,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241236212421638369291333610128047',18920,'272',38.81,1,3,NULL),(15,2201500,'1976-09-20 00:00:00',2,1,12,2000,'M','N','INGLÊSES','FLORIANOPOLIS','SC','124241247116141411338729345124133226172',NULL,'9999',35.81,1,3,NULL),(15,2201518,'1986-06-06 00:00:00',2,1,12,2005,'F','N','DANIELA','FLORIANOPOLIS','SC','124201201136231431524513375122610138052',22212,'9998',31.43,1,2,1),(15,2201526,'1989-01-04 00:00:00',4,2,11,2006,'F','N','GONZAGUINHA','SAO VICENTE','SP','125252251215571431468811572114610112142',NULL,'9998',0.00,1,3,NULL),(15,2201534,'1990-04-05 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241136271331438613284124610124091',13534,'307',46.84,1,2,1),(15,2201542,'1988-07-12 00:00:00',2,1,12,2006,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124244241435372431337834425114610147012',11610,'1098',49.53,1,3,NULL),(15,2201550,'1989-06-15 00:00:00',2,1,12,2006,'F','N','SANTOS DUMONT','SAO JOSE','SC','124241241121371412333324341344610128187',NULL,'733',18.90,1,3,NULL),(15,2201569,'1977-06-30 00:00:00',2,9,12,1996,'M','N','CENTRO','LAGES','SC','224241248116231431123346555124130318182',NULL,'512',29.57,1,2,1),(15,2201577,'1989-11-29 00:00:00',4,8,12,2007,'M','N','VILA IPOJUCA','SAO PAULO','SP','125252251116371731438814275124610164074',12857,'9998',47.78,1,3,NULL),(15,2201585,'1975-04-27 00:00:00',2,1,6,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244243226472431223144442124610113047',18896,'9999',38.84,4,1,2),(15,2201607,'1988-07-09 00:00:00',4,1,11,2006,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242241216273411268721575122231016172',2305,'270',68.23,1,3,NULL),(15,2201615,'1988-11-25 00:00:00',4,10,12,2005,'M','N','SÃO SEBASTIÃO','PORTO ALEGRE','RS','120204201217571331369713576114610124097',4827,'9998',61.46,1,3,NULL),(15,2201623,'1990-01-28 00:00:00',4,6,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241216471441467711393125610122192',8661,'44',54.25,1,3,NULL),(15,2201631,'1990-10-04 00:00:00',4,7,11,2007,'M','N','CENTRO','HERVAL D OESTE','SC','124242246317371431346664345124610125142',16523,'449',42.55,1,3,NULL),(15,2201640,'1990-04-20 00:00:00',4,1,12,2007,'F','N','CENTRO','LONDRINA','PR','116162161217111431378831571122610165157',7271,'9998',56.66,1,3,NULL),(15,2201658,'1990-03-04 00:00:00',2,5,12,2007,'M','N','SALGADO FILHO','CAXIAS DO SUL','RS','120201201217271531568811175124610167042',14764,'9998',45.05,1,3,NULL),(15,2201666,'1989-03-13 00:00:00',4,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124241241211373211356534435124610162012',5547,'723',59.97,1,3,NULL),(15,2201682,'1989-06-10 00:00:00',2,2,11,2006,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124244241431131421524435291224610168042',NULL,'720',0.00,1,3,NULL),(15,2201720,'1988-11-24 00:00:00',2,2,12,2005,'M','N','CENTRO','BRUSQUE','SC','124243241337373431346322345122122364062',13513,'67',46.88,1,3,NULL),(15,2201739,'1989-08-25 00:00:00',4,6,12,2006,'M','N','VILA OPERÁRIA','ITAJAI','SC','124241241432372431346763371121610137147',14495,'389',45.42,1,3,NULL),(15,2201747,'1971-06-25 00:00:00',2,3,12,1988,'M','N','CENTRO','CANELINHA','SC','124243241436172712465419431122531068193',17246,'260',41.49,1,3,NULL),(15,2201755,'1989-10-07 00:00:00',4,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241215112431569813594111610137055',6051,'883',58.97,1,3,NULL),(15,2201763,'1986-01-04 00:00:00',2,10,12,2003,'M','N','MAR GROSSO','LAGUNA','SC','124243241211372451548611381122131432112',4555,'9997',62.13,1,3,NULL),(15,2201771,'1989-01-26 00:00:00',4,3,12,2006,'F','N','CENTRO','CURITIBA','PR','116231161415371511348933592115610122076',19100,'9998',38.52,1,3,NULL),(15,2201780,'1991-03-23 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241116371431458923592124610148197',8550,'257',54.44,1,3,NULL),(15,2201798,'1989-07-06 00:00:00',4,1,12,2006,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241116132411445514141124610122097',NULL,'307',24.01,3,3,NULL),(15,2201801,'1972-08-23 00:00:00',4,2,12,1989,'F','N','VORSTADT','BLUMENAU','SC','124242245111272431123343231124431036092',13113,'659',47.43,4,3,NULL),(15,2201810,'1979-10-13 00:00:00',4,1,12,2005,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124243247312372431537711212124610114142',20963,'9999',34.92,1,3,NULL),(15,2201836,'1990-01-03 00:00:00',4,8,12,2007,'F','N','JD BANDEIRANTES','CORNELIO PROCOPIO','PR','116162161115271431359832425122610124012',7002,'9998',57.15,4,3,NULL),(15,2201844,'1991-09-18 00:00:00',4,1,11,2008,'M','S','BOSQUE DAS MANSOES','SAO JOSE','SC','124242248215111232567412472112610127013',NULL,'738',55.09,1,3,NULL),(15,2201852,'1988-07-04 00:00:00',4,8,12,2005,'F','N','CENTRO','IRATI','PR','116161161316571451543835252125610131142',NULL,'9998',0.00,1,3,NULL),(15,2201860,'1990-04-14 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215121431368833572114610137041',1955,'1022',69.41,1,3,NULL),(15,2201879,'1989-12-20 00:00:00',2,9,11,2007,'F','N','CENTRO','SAO JOAQUIM','SC','124242241214161731459933572122610138077',16880,'942',42.04,1,3,NULL),(15,2201887,'1991-10-28 00:00:00',2,5,10,2008,'F','S','PIO CORRÊA','CRICIUMA','SC','124242241212111432429912595122613218192',NULL,'226',48.01,1,3,NULL),(15,2201895,'1992-02-26 00:00:00',4,1,12,2007,'M','N','SÃO JOSÉ','SAO JOSE','SC','124244241416111531566812322122610117012',19702,'737',37.42,1,3,NULL),(15,2201909,'1989-12-28 00:00:00',4,1,12,2007,'F','N','SÃO SEBASTIÃO','PALHOCA','SC','124241241115151432443314292112610158127',NULL,'591',24.19,1,3,NULL),(15,2201917,'1989-07-09 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241417472431569924175324233234012',973,'948',73.67,1,3,NULL),(15,2201925,'1989-12-11 00:00:00',2,1,12,2006,'F','N','ZONA SETE','MARINGA','PR','116161161116371431556519575122610124077',14151,'9998',45.97,4,2,1),(15,2201933,'1984-08-11 00:00:00',4,1,12,2001,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124243241316375431528621385124230222057',5947,'260',59.17,1,3,NULL),(15,2201941,'1984-08-28 00:00:00',2,1,6,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244241215472411235823485114610124187',NULL,'9999',37.12,1,3,NULL),(15,2201950,'1991-03-23 00:00:00',4,4,12,2007,'F','N','CENTRO','PASSOS MAIA','SC','124241241136131431523314575122610138147',20341,'606',36.16,1,2,1),(15,2201968,'1989-06-16 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241117271421435421345124610127045',12489,'307',48.31,1,3,NULL),(15,2201976,'1989-10-21 00:00:00',4,1,12,2006,'F','N','EXPOSIÇÃO','CAXIAS DO SUL','RS','120202201236472431479931571124610151012',13614,'9998',46.73,1,3,NULL),(15,2201984,'1984-08-17 00:00:00',2,1,12,2002,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124241241116335431336644345133220727057',6223,'257',58.60,1,2,1),(15,2201992,'1983-12-05 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241117133431523916485124610134057',21345,'29',34.09,1,2,1),(15,2202000,'1989-10-30 00:00:00',4,1,12,2007,'F','N','URBANOVA','SAO JOSE DOS CAMPOS','SP','125252251215111431478832575122610142182',11915,'9998',49.08,1,3,NULL),(15,2202018,'1991-09-24 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111411548712575124610125182',9883,'1022',52.12,1,3,NULL),(15,2202034,'1989-03-17 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124202241317472431358611592114610127182',513,'943',76.66,1,3,NULL),(15,2202042,'1977-01-11 00:00:00',4,1,12,1994,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241117373721566623435132320727067',2094,'271',68.99,1,3,NULL),(15,2202050,'1989-10-27 00:00:00',4,1,12,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241135131411436731575124610127047',12369,'307',48.47,1,3,NULL),(15,2202069,'1988-08-26 00:00:00',4,4,11,2006,'M','N','FLORESTA','VIDEIRA','SC','124243241317472131346614585115610168194',20907,'1058',35.07,2,3,NULL),(15,2202077,'1987-01-05 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241115372431467713575124610137112',2343,'306',68.10,1,3,NULL),(15,2202085,'1985-05-16 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201201315473421326521572314143226147',15563,'9998',44.03,1,3,NULL),(15,2202093,'1990-05-29 00:00:00',4,2,12,2007,'F','N','CENTRO','TIMBO','SC','124244241215111431348811472122610163147',9788,'9997',52.28,1,3,NULL),(15,2202107,'1989-04-15 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431488712472122230223146',6021,'270',59.03,1,3,NULL),(15,2202115,'1991-01-23 00:00:00',4,4,12,2007,'M','N','ALVORADA','XAXIM','SC','124242241216371431559633432122610127012',21683,'994',33.30,1,3,NULL),(15,2202123,'1990-01-04 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241215131431548311572114610126077',14747,'270',45.07,1,3,NULL),(15,2202131,'1988-11-01 00:00:00',2,1,12,2006,'F','N','SANTINHO','FLORIANOPOLIS','SC','124241241312131732628573282114610135147',21311,'288',34.16,1,3,NULL),(15,2202158,'1987-06-15 00:00:00',4,1,12,2005,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241117272431465633345114610124197',12452,'307',48.36,1,2,1),(15,2202166,'1988-12-15 00:00:00',2,10,11,2006,'F','N','CENTRO','TUBARAO','SC','124244241216471431357414575122610122192',18987,'806',38.69,1,3,NULL),(15,2202174,'1990-02-22 00:00:00',4,1,12,2007,'M','N','PORTO DA LAGOA','FLORIANOPOLIS','SC','124242241217371431356722575122610168117',6054,'299',58.96,1,3,NULL),(15,2202182,'1989-06-23 00:00:00',4,1,12,2006,'M','N','FLORESTA','SAO JOSE','SC','124242241215372441358614386124610167165',11762,'737',49.31,1,3,NULL),(15,2202190,'1984-11-05 00:00:00',4,5,12,2001,'F','N','CENTRO','CRICIUMA','SC','124242241216272431244629481122331562017',14509,'226',45.40,1,3,NULL),(15,2202204,'1990-05-15 00:00:00',4,4,12,2007,'F','N','DOUTOR ARI LUNARDI','XAXIM','SC','124243241116271431436815581122610126147',NULL,'847',27.04,1,3,NULL),(15,2202212,'1990-07-06 00:00:00',4,1,12,2007,'M','N','CENTRO','AMPARO','SP','125251251347111441436513572112610112142',15624,'9998',43.91,1,3,NULL),(15,2202220,'1990-11-19 00:00:00',2,5,12,2007,'F','N','SANTANA','PORTO ALEGRE','RS','120202201217111751468811472122610168017',NULL,'9998',0.00,1,3,NULL),(15,2202239,'1990-11-26 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241135111431433633575124610137057',NULL,'285',30.07,2,3,NULL),(15,2202247,'1985-05-17 00:00:00',2,1,12,2002,'M','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241122372431521615252224610128047',NULL,'941',25.99,1,3,NULL),(15,2202255,'1989-10-15 01:00:00',2,1,11,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124203201217472131578914475124610127042',47,'9998',83.21,1,3,NULL),(15,2202263,'1980-08-03 00:00:00',4,1,12,2000,'M','N','SERRINHA','FLORIANOPOLIS','SC','124131131136373431166511332324231064187',8761,'9998',54.08,1,2,1),(15,2202271,'1984-02-25 00:00:00',4,1,11,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241247322131721224449292324610113147',22485,'9999',29.00,1,3,NULL),(15,2202280,'1989-03-18 00:00:00',2,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124241247147271731625349211114610126017',NULL,'9999',0.00,1,2,1),(15,2202298,'1990-06-08 00:00:00',4,1,12,2007,'F','N','CENTRO','MARINGA','PR','116162161214111751268836495112610162092',NULL,'9998',0.00,1,3,NULL),(15,2202301,'1990-06-16 00:00:00',2,4,12,2007,'F','N','CENTRO','BOM JESUS','SC','124242241217111431434511595124610121052',7073,'836',57.01,1,3,NULL),(15,2202310,'1990-10-26 00:00:00',4,6,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215221431358812425112610164125',NULL,'44',0.00,1,3,NULL),(15,2202328,'1985-11-28 00:00:00',2,1,12,2006,'M','N','PRAIA DE FORA','PALHOCA','SC','124241247137151421333344244334610165181',13580,'9999',46.77,1,2,1),(15,2202344,'1990-04-22 00:00:00',2,1,12,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124243241215111711469813592112610142062',17507,'1048',41.08,4,3,NULL),(15,2202352,'1990-03-02 00:00:00',4,1,12,2007,'M','N','CENTRO','NOVA ESPERANCA','PR','116114161215111411446816572122610166047',2731,'9998',66.94,1,3,NULL),(15,2202360,'1989-08-26 00:00:00',4,1,12,2007,'M','N','JD JEQUITIBÁ','MARILIA','SP','125252251217371431378811594125610137041',16125,'9998',43.19,1,3,NULL),(15,2202379,'1989-06-29 00:00:00',2,1,12,2006,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','123242241235372431446614345312610167142',12985,'269',47.61,1,3,NULL),(15,2202387,'1964-06-12 00:00:00',2,1,12,1981,'F','N','TRINDADE','FLORIANOPOLIS','SC','224161165117132431453354372124133264197',20460,'9998',35.95,1,3,NULL),(15,2202395,'1990-01-10 00:00:00',4,1,12,2006,'F','N','JARDIM LIDER','MARECHAL CANDIDO RONDON','PR','116161161417111451246923572125240667077',NULL,'9998',0.00,1,3,NULL),(15,2202417,'1989-02-11 00:00:00',4,1,12,2007,'M','N','ÁGUA FRIA','SAO PAULO','SP','125252251217151431288712221134610164077',NULL,'9998',29.23,1,3,NULL),(15,2202425,'1990-03-31 00:00:00',4,1,11,2007,'F','N','UVARANS','PONTA GROSSA','PR','116162161217421431468932475122610121172',2901,'9998',66.45,1,3,NULL),(15,2202433,'1989-04-12 00:00:00',2,8,12,2006,'F','N','JARDIM AMÉRICA','ASSIS CHATEAUBRIAND','PR','116162161415471751437615592114610163197',NULL,'9998',0.00,1,3,NULL),(15,2202441,'1990-09-26 00:00:00',2,1,11,2007,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241215111411488612475112610168092',11934,'1011',49.06,1,3,NULL),(15,2202450,'1982-07-02 00:00:00',4,9,12,2005,'M','N','SAGRADA FAMÍLIA','NOVA PRATA','RS','120204203246471431438913225122610112032',NULL,'9998',0.00,1,3,NULL),(15,2202476,'1989-05-02 00:00:00',2,1,12,2007,'F','N','KOBRASSOL','SAO JOSE','SC','124242241235312431448852571112610114141',18188,'270',40.00,1,3,NULL),(15,2202484,'1990-07-10 00:00:00',4,8,12,2007,'M','N','JARDIM CAIÇARA','PRESIDENTE PRUDENTE','SP','125252251215121431348619472122610147057',6384,'9998',58.29,1,3,NULL),(15,2202492,'1988-03-01 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241216573431433932575124610127077',9545,'338',52.69,1,3,NULL),(15,2202506,'1989-12-31 00:00:00',2,2,12,2007,'M','N','VOLTA GRANDE','MIRIM DOCE','SC','124241241117131431526315272324610126052',NULL,'560',0.00,1,3,NULL),(15,2202514,'1989-12-20 00:00:00',2,2,12,2007,'M','N','VOLTA GRANDE','MIRIM DOCE','SC','124241241117131431625415572324610126052',NULL,'560',22.27,1,3,NULL),(15,2202522,'1990-07-26 00:00:00',2,1,12,2007,'M','N','BAIRRO PRETO','PRUDENTOPOLIS','PR','116164161316111131526912321322610116057',NULL,'9998',0.00,1,3,NULL),(15,2202549,'1978-07-06 00:00:00',2,1,9,2000,'M','N','CENTRO','FLORIANOPOLIS','SC','124201208117131421124444345234133267187',NULL,'9998',22.77,1,3,NULL),(15,2202557,'1989-09-11 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217111442268823477112610164175',5062,'270',60.97,1,3,NULL),(15,2202581,'1990-10-02 00:00:00',4,5,12,2007,'F','N','SAMUEL SANDRINI','ORLEANS','SC','124241241115141431446414395122610136032',11097,'580',50.30,1,3,NULL),(15,2202590,'1989-08-12 00:00:00',2,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124241241216132431446613575114610127047',17385,'1036',41.24,1,3,NULL),(15,2202603,'1989-05-16 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241315472431567314572112610123187',9471,'1022',52.82,1,3,NULL),(15,2202611,'1991-02-28 00:00:00',4,1,11,2008,'M','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217111411378914575112610167045',NULL,'270',50.35,1,3,NULL),(15,2202620,'1989-06-10 00:00:00',2,1,11,2006,'F','N','CENTRO','LAGES','SC','124242241216472431357711575114610141142',4749,'499',61.64,1,3,NULL),(15,2202646,'1986-12-20 00:00:00',4,1,11,2004,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241116132431124644345334120924037',12747,'89',47.92,1,3,NULL),(15,2202654,'1989-02-21 00:00:00',4,1,12,2006,'F','N','CASCATINHA','POCOS DE CALDAS','MG','113202131217472411459812575122610167182',NULL,'9998',0.00,1,3,NULL),(15,2202662,'1982-09-21 00:00:00',4,1,12,1999,'F','N','BELA VISTA IV','SAO JOSE','SC','124243241116133431228624345334330222077',13472,'257',46.92,1,3,NULL),(15,2202670,'1989-03-07 00:00:00',2,1,7,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124244241112152431457823571124610166052',7499,'306',56.23,1,3,NULL),(15,2202689,'1990-04-23 00:00:00',2,9,11,2007,'M','N','SÃO CRISTOVÃO','LAGES','SC','124242248216271431437619495122610167042',10451,'499',51.26,1,3,NULL),(15,2202697,'1990-10-11 00:00:00',2,4,11,2007,'F','N','LA SALLE','PATO BRANCO','PR','116162161217111731439933585123610114052',NULL,'9998',0.71,1,3,NULL),(15,2202700,'1990-03-08 00:00:00',4,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241215211431448812575122610122072',9425,'403',52.90,1,3,NULL),(15,2202719,'1990-11-23 00:00:00',2,1,12,2007,'F','N','FUNDOS','BIGUACU','SC','124241241115111411335313572114610134057',NULL,'65',22.71,1,2,1),(15,2202727,'1990-01-14 00:00:00',4,3,12,2007,'M','N','JARDIM MIGUEL CAPOCC','JANDAIA DO SUL','PR','116162161216151731467831475122610168072',3598,'9998',64.49,1,3,NULL),(15,2202735,'1991-05-10 00:00:00',4,1,12,2008,'M','S','BOM ABRIGO','FLORIANOPOLIS','SC','124244241215111432549814272124610113013',NULL,'269',20.58,1,3,NULL),(15,2202743,'1991-01-17 00:00:00',2,1,12,2007,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116164161217111431458734572122610133091',17995,'9998',40.32,1,3,NULL),(15,2202751,'1989-10-13 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241135331431333333195324610117052',7070,'293',57.02,1,2,1),(15,2202760,'1987-12-16 00:00:00',2,8,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241216472731568513575124231467055',2300,'270',68.24,4,3,NULL),(15,2202778,'1987-12-31 00:00:00',2,1,12,2006,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124242241215371431436624342212610134117',NULL,'300',17.34,1,3,NULL),(15,2202808,'1990-08-26 00:00:00',4,2,12,2007,'F','N','RIBEIRÃO FRESCO','BLUMENAU','SC','124212241215111431457819574122610132197',13244,'87',47.24,1,3,NULL),(15,2202816,'1989-01-23 00:00:00',2,1,12,2006,'M','N','CAMPINAS','SAO JOSE','SC','124242241216273431477933374122610137052',3663,'737',64.32,1,3,NULL),(15,2202824,'1989-01-10 00:00:00',2,5,12,2006,'F','N','CENTRO','ICARA','SC','124244241215472411454619271124610138052',1422,'226',71.54,1,3,NULL),(15,2202832,'1985-09-04 00:00:00',4,9,12,2002,'F','N','UNIVERSITÁRIO','LAGES','SC','124241241145372431468713175122330667052',4186,'18',62.94,1,2,1),(15,2202840,'1990-08-08 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','125252241215111751559912595124613237045',NULL,'266',0.00,1,3,NULL),(15,2202859,'1991-07-01 00:00:00',4,10,12,2007,'F','N','MAR GROSSO','LAGUNA','SC','124243241215111431447832575125610144147',10784,'525',50.76,1,3,NULL),(15,2202867,'1989-12-26 00:00:00',4,8,12,2006,'M','N','SAGUAÇÚ','JOINVILLE','SC','124242246216471431468813382122610127147',3997,'1105',63.45,1,3,NULL),(15,2202883,'1990-01-25 00:00:00',4,1,12,2007,'M','N','VILA FIUZA','ASSIS','SP','125251251117371431436613245125610134187',16146,'9998',43.16,1,2,1),(15,2202891,'1987-10-24 00:00:00',4,8,12,2004,'M','N','NOVA BRASILIA','JOINVILLE','SC','124241248317371431526652385124233212092',NULL,'479',0.00,1,3,NULL),(15,2202905,'1989-08-25 00:00:00',2,1,12,2007,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241117131431325511245324610122192',22072,'298',32.03,1,3,NULL),(15,2202921,'1988-09-22 00:00:00',4,1,12,2006,'M','N','BOSQUE DO EUCALIPTO','SAO JOSE DOS CAMPOS','SP','125252251235472451477932575124610162122',4747,'9998',61.64,1,3,NULL),(15,2202930,'1988-05-11 00:00:00',4,1,12,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241217573431469613575114610123142',1270,'983',72.16,1,3,NULL),(15,2202948,'1988-01-02 00:00:00',2,1,12,2005,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241237473411447623331122610167077',16433,'1036',42.70,1,3,NULL),(15,2202956,'1989-07-10 00:00:00',4,8,12,2007,'F','N','VILA LEA','SANTO ANDRE','SP','125252257236471431476971575122610164012',NULL,'9999',0.00,1,3,NULL),(15,2202964,'1984-02-21 00:00:00',4,1,11,2001,'F','N','ACLIMAÇÃO','SAO PAULO','SP','125042041211571451688812571125342462127',NULL,'9998',0.00,1,3,NULL),(15,2202972,'1991-07-25 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124254241215111611538828575124610167167',13992,'1022',46.16,1,3,NULL),(15,2202980,'1988-05-28 00:00:00',2,4,12,2005,'M','N','BELA VISTA','CHAPECO','SC','124241241127131431643319495134610124057',NULL,'180',0.00,3,2,1),(15,2202999,'1991-11-01 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124244241416111431433612145122610127141',NULL,'9997',27.43,4,3,NULL),(15,2203006,'1990-04-06 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215131431467332315124610164017',11502,'262',49.71,1,3,NULL),(15,2203014,'1990-08-06 00:00:00',5,4,12,2007,'F','N','POVOADO','BARRA DO RIO AZUL','RS','120201201123151731423923472344610161077',21063,'9998',34.74,1,3,NULL),(15,2203022,'1989-03-01 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241115272731369813575122610134143',2959,'267',66.27,1,3,NULL),(15,2203030,'1990-11-30 00:00:00',2,1,11,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241215112331236729572114610163072',8886,'1022',53.85,4,3,NULL),(15,2203049,'1988-12-12 00:00:00',4,1,12,2004,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124071071216372431537614575124610163187',7003,'9998',57.14,4,3,NULL),(15,2203057,'1990-05-21 00:00:00',4,9,12,2007,'M','N','SÃO MIGUEL','LAGES','SC','124242241215111531334623475122610122057',4595,'499',62.01,1,3,NULL),(15,2203065,'1991-10-21 00:00:00',4,9,12,2008,'F','S','SÃO CRISTÓVÃO','LAGES','SC','124242241215111431467933575122610157017',NULL,'499',36.88,1,3,NULL),(15,2203073,'1990-10-14 00:00:00',4,8,12,2007,'M','N','COHAPAR','GUARATUBA','PR','116161161217111411478933575115610168062',NULL,'9998',0.00,1,3,NULL),(15,2203090,'1990-03-15 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241215111731336633572124610138187',17624,'1022',40.90,1,3,NULL),(15,2203103,'1988-01-24 00:00:00',2,8,12,2005,'F','N','ZONA SETE','MARINGA','PR','116113111436471741546512375124610147037',18164,'9998',40.03,1,3,NULL),(15,2203111,'1990-04-16 00:00:00',2,5,11,2007,'M','N','SÃO JOÃO','COCAL DO SUL','SC','124241241232131431424411211124610122047',16129,'920',43.18,1,3,NULL),(15,2203120,'1989-09-10 00:00:00',2,1,12,2007,'M','N','ENSEADA DE BRITO','PALHOCA','SC','124241241416151432543639292221610114147',NULL,'989',21.49,1,3,NULL),(15,2203138,'1988-11-13 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215411431388613575122610117072',21713,'270',33.23,1,3,NULL),(15,2203146,'1990-05-11 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241116371431444852575124610124047',15613,'288',43.93,1,2,1),(15,2203154,'1990-03-07 00:00:00',4,1,11,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124252241215111431467839392114610162045',10807,'270',50.73,1,3,NULL),(15,2203162,'1985-10-10 00:00:00',2,1,12,2002,'F','N','KOBRASOL','SAO JOSE','SC','124242241216143431136719391122231027077',NULL,'724',0.00,1,3,NULL),(15,2203170,'1990-03-20 00:00:00',4,1,12,2007,'M','N','IPIRANGA','SAO JOSE','SC','124241241115151411233523575124610114172',18335,'307',39.73,1,2,1),(15,2203197,'1990-05-18 00:00:00',3,2,11,2007,'M','N','HIGIENÓPOLIS','SANTA CRUZ DO SUL','RS','120203201217111731467819495111610167187',8081,'9998',55.21,1,3,NULL),(15,2203200,'1990-09-02 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124242241217111411369931575121610167012',3391,'9997',65.02,1,3,NULL),(15,2203219,'1990-07-01 00:00:00',4,8,12,2007,'F','N','FLORESTA','JOINVILLE','SC','124242241215271411548931572122610112142',6758,'932',57.63,1,3,NULL),(15,2203235,'1984-07-07 00:00:00',2,1,12,2002,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241142274421433611345134610167187',10173,'307',51.68,1,2,1),(15,2203243,'1990-06-28 00:00:00',4,7,12,2007,'M','N','CENTRO','JARDINOPOLIS','SC','124241242237161431466953591325610156042',18431,'8',39.60,1,3,NULL),(15,2203251,'1991-02-17 00:00:00',2,7,12,2007,'M','N','LINHA TÚNEL','PINHEIRO PRETO','SC','124241241124151431558923355123610137057',17900,'618',40.49,1,3,NULL),(15,2203260,'1989-05-17 00:00:00',4,1,12,2006,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124242241215112451438527185114221964174',16529,'737',42.54,1,3,NULL),(15,2203278,'1990-03-31 00:00:00',4,1,11,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215121431369613572122610136071',8669,'270',54.22,1,3,NULL),(15,2203286,'1987-07-19 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241215574431469931471122610162091',5214,'836',60.68,1,3,NULL),(15,2203294,'1990-02-26 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217112731367733492112610147112',1027,'270',73.39,1,3,NULL),(15,2203308,'1989-11-15 00:00:00',4,1,12,2007,'F','N','ELDORADO','TREMEMBE','SP','125252251215271431458732576121610127157',NULL,'9998',0.00,1,3,NULL),(15,2203316,'1990-12-10 00:00:00',4,5,11,2008,'F','S','CENTRO','FORQUILHINHA','SC','124242248215161531453612572114610145142',NULL,'226',47.90,1,3,NULL),(15,2203332,'1990-05-29 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241117131431436623282314610167047',18779,'288',39.02,1,2,1),(15,2203340,'1990-10-11 00:00:00',2,5,10,2007,'M','N','CENTRO','SIDEROPOLIS','SC','124242241215121431447839495112610114052',7700,'213',55.86,1,3,NULL),(15,2203359,'1990-04-02 00:00:00',4,1,11,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241335111431446612382224610167182',21002,'1098',34.85,1,3,NULL),(15,2203375,'1986-04-16 00:00:00',2,1,12,2004,'F','N','MENINO DEUS','PORTO ALEGRE','RS','120201201146141431346329295123240623091',NULL,'9998',28.87,1,3,NULL),(15,2203405,'1989-02-11 00:00:00',4,2,12,2007,'M','N','POMERANOS','TIMBO','SC','124241241215111421463412575122610137181',7227,'9997',56.74,1,3,NULL),(15,2203413,'1990-09-20 00:00:00',4,8,11,2007,'F','N','CENTRO','JOINVILLE','SC','124244241217111431268914475122610147147',14084,'457',46.05,1,3,NULL),(15,2203421,'1990-06-21 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431478933572122610142141',803,'262',74.70,1,3,NULL),(15,2203430,'1988-11-01 00:00:00',4,1,6,2006,'F','N','CENTRO','RIBEIRAO PRETO','SP','125121281211472411478831571122610114122',4859,'9998',61.40,4,3,NULL),(15,2203448,'1987-05-08 00:00:00',4,6,12,2007,'M','N','CENTRO','RIO NEGRO','PR','116242161312271431468912225112610147042',NULL,'9998',0.00,1,3,NULL),(15,2203464,'1989-01-20 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215211431358823572112610127042',16311,'1036',42.88,1,3,NULL),(15,2203480,'1980-08-17 00:00:00',4,1,11,1999,'M','N','SERRINHA','FLORIANOPOLIS','SC','124242168216132711548711275124220936012',13759,'9998',46.53,1,3,NULL),(15,2203499,'1987-11-06 00:00:00',4,8,12,2005,'M','N','JD MARIA JOSE','SALTO','SP','125251251216133441559914585121610167084',9243,'9998',53.20,4,3,NULL),(15,2203502,'1990-09-19 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241115111411555512575124610133147',14475,'272',45.45,1,3,NULL),(15,2203510,'1990-06-12 00:00:00',2,2,12,2007,'F','N','CENTRO','TAIO','SC','124241241417121751544436392222610163067',19806,'776',37.20,3,3,NULL),(15,2203529,'1990-06-16 00:00:00',4,3,12,2007,'M','N','CENTRO','SAO MATEUS DO SUL','PR','116162161217111431336823435125610137057',NULL,'9998',0.00,4,3,NULL),(15,2203537,'1987-07-26 00:00:00',4,1,3,2005,'F','N','SANTOS DUMONT','SAO JOSE','SC','124244241115274531569913494334610137012',8464,'739',54.57,1,3,NULL),(15,2203545,'1986-06-23 00:00:00',2,10,11,2006,'M','N','ENCRUZO','JAGUARUNA','SC','124241241121322431544622285122233228097',20269,'421',36.29,1,3,NULL),(15,2203553,'1990-05-02 00:00:00',2,1,12,2006,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241212152431466513272321230767187',8678,'774',54.21,1,3,NULL),(15,2203561,'1989-11-28 00:00:00',4,10,12,2006,'M','N','CENTRO','ARMAZEM','SC','124241241127271431347733385124610137017',15883,'34',43.55,1,2,1),(15,2203570,'1990-11-10 00:00:00',4,8,12,2008,'F','S','AMÉRICA','JOINVILLE','SC','124242241215111531589614445122610114142',NULL,'491',43.77,1,3,NULL),(15,2203588,'1991-02-23 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124241241215121431435611474121610123142',1719,'299',70.30,1,3,NULL),(15,2203600,'1981-03-14 00:00:00',2,1,12,1995,'F','N','ARMAÇÃO','FLORIANOPOLIS','SC','124203201311371231658913395124141257047',NULL,'9998',0.00,1,3,NULL),(15,2203618,'1990-01-25 00:00:00',4,9,12,2008,'F','S','PAU FERRO','FORMOSA','GO','109092091215271731326411515122610127147',NULL,'9998',0.00,1,3,NULL),(15,2203626,'1982-02-12 00:00:00',2,1,12,1999,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124243241317213711223329282124132852117',14372,'266',45.60,1,3,NULL),(15,2203634,'1990-01-20 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124241248414111432655431572322610162147',22236,'499',31.34,1,3,NULL),(15,2203642,'1991-08-02 00:00:00',4,1,11,2008,'M','S','CENTRO','BIGUACU','SC','124242241215111431469933275112610142012',NULL,'270',46.93,1,3,NULL),(15,2203650,'1987-08-27 00:00:00',5,1,12,2005,'F','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124242241316234431258813495222233261097',3594,'270',64.49,1,3,NULL),(15,2203677,'1990-11-02 00:00:00',2,9,11,2007,'F','N','CENTRO','SAO JOAQUIM','SC','124242241215151431437932571112610121051',NULL,'1035',0.00,1,3,NULL),(15,2203685,'1986-04-24 00:00:00',4,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215111431466939575114610117072',NULL,'1011',0.00,1,3,NULL),(15,2203693,'1990-12-31 00:00:00',4,8,12,2007,'M','N','JARDIM PORTO ALEGRE','TOLEDO','PR','116163161215121431557923472321610128172',3777,'9998',64.02,1,3,NULL),(15,2203707,'1990-01-16 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241212111431358823572112610134112',19446,'1036',37.93,1,3,NULL),(15,2203715,'1989-02-13 00:00:00',2,1,11,2007,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124241247115471531437633572124610162147',20145,'9999',36.54,1,2,1),(15,2203723,'1989-05-08 00:00:00',4,1,12,2007,'M','N','SHANGAI','MOGI DAS CRUZES','SP','125252251215471411443832182222610132147',1515,'9998',71.13,3,3,NULL),(15,2203731,'1990-11-29 00:00:00',4,1,12,2007,'F','N','NAÇÕES','FRAIBURGO','SC','124241241336131431438613585122610143197',NULL,'315',0.00,1,3,NULL),(15,2203740,'1989-02-01 00:00:00',2,1,12,2005,'M','N','DISTRITO INDUSTRIAL','RIO BRANCO','AC','124012011217473431466612572224143222042',NULL,'9998',36.09,4,1,2),(15,2203766,'1983-07-28 00:00:00',3,1,12,2000,'M','N','CENTRO','NOVA LARANJEIRAS','PR','116161161345371441465922434123343222187',NULL,'9998',0.00,1,3,NULL),(15,2203774,'1987-02-11 00:00:00',4,1,12,2004,'F','N','JD MORUMBI','SAO JOSE DOS CAMPOS','SP','125251251116471411426611382324610136097',5624,'9998',59.82,1,2,1),(15,2203804,'1988-03-17 00:00:00',4,9,12,2005,'M','N','UNIVERSITARIO','LAGES','SC','124242241215473421558731596342610164044',14213,'497',45.85,1,3,NULL),(15,2203839,'1988-12-12 00:00:00',4,1,12,2006,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241315222421667679575114121732182',7867,'272',55.58,1,3,NULL),(15,2203847,'1990-09-16 00:00:00',2,4,12,2007,'F','N','PRESIDENTE KENNIDY','FRANCISCO BELTRAO','PR','116162161215111431438812372242610114057',NULL,'9998',0.00,1,3,NULL),(15,2203855,'1991-04-13 00:00:00',2,1,11,2007,'F','N','CENTRO','NIOAQUE','MS','112121121317371431457433596124610128082',8030,'9998',55.32,1,3,NULL),(15,2203863,'1988-12-31 00:00:00',4,1,12,2006,'M','N','INDEPENDÊNCIA','TAUBATE','SP','125252251217471431378834575112610167042',2529,'9998',67.54,1,3,NULL),(15,2203871,'1990-09-21 00:00:00',4,2,12,2007,'F','N','IMIGRANTES','TIMBO','SC','124241241217112431374629575122610122192',1599,'9997',70.81,1,3,NULL),(15,2203880,'1989-08-02 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124244241116271731468934375124610124067',21460,'257',33.82,4,1,2),(15,2203898,'1989-05-29 00:00:00',2,1,12,2006,'M','N','BOM VIVER','BIGUACU','SC','124242241212212721538853441112230267047',11549,'270',49.64,1,3,NULL),(15,2203901,'1990-08-10 00:00:00',4,1,12,2007,'F','N','APARECIDA','UBERLANDIA','MG','113092131217111431468833572122610122042',NULL,'9998',0.00,1,3,NULL),(15,2203910,'1990-06-24 00:00:00',2,5,11,2007,'F','N','COLONINHA','ARARANGUA','SC','124241241212371441433554472322610124077',NULL,'970',22.82,1,3,NULL),(15,2203928,'1990-08-10 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215131431326612585124610163097',5954,'1118',59.15,1,3,NULL),(15,2203936,'1986-09-22 00:00:00',2,1,12,2004,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241127273431546423245114610117067',12732,'290',47.94,4,2,1),(15,2203944,'1988-01-12 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241115473741347617272124610164017',7430,'307',56.36,4,3,NULL),(15,2203952,'1989-02-21 00:00:00',2,3,12,2006,'M','N','CENTRO','ARAPONGAS','PR','116163161116371421434631215321641047062',NULL,'9998',26.44,1,3,NULL),(15,2203995,'1988-12-03 00:00:00',4,1,11,2006,'M','N','KOBRASOL','SAO JOSE','SC','124242241217472441458833585114610124072',6559,'737',57.96,1,3,NULL),(15,2204002,'1957-06-28 00:00:00',2,1,11,2002,'F','N','BARREIROS','SAO JOSE','SC','124201247622141751143344242114610126182',19793,'9999',37.25,1,3,NULL),(15,2204010,'1990-03-15 00:00:00',2,4,12,2006,'M','N','LÍDER','CHAPECO','SC','124242241216271431336613575124610114047',19821,'185',37.18,4,3,NULL),(15,2204029,'1989-01-12 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215372431659912575122122727182',11700,'491',49.39,1,3,NULL),(15,2204037,'1986-05-12 00:00:00',4,1,12,2003,'M','N','JD STA ROSA','FOZ DO IGUACU','PR','116164161216142411369619492124240767047',16143,'9998',43.16,1,3,NULL),(15,2204045,'1989-09-05 00:00:00',2,3,12,2007,'F','N','VILA SUIÇA','MOGI DAS CRUZES','SP','125251251136141112456611245124610124144',NULL,'9998',0.00,1,2,1),(15,2204053,'1987-03-07 00:00:00',4,1,11,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241136312412569734344124610134067',17691,'271',40.81,1,3,NULL),(15,2204061,'1989-02-10 00:00:00',3,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215151411178821215121610164042',1431,'270',71.51,1,3,NULL),(15,2204070,'1987-10-16 00:00:00',4,8,4,2006,'F','N','CENTRO','LARANJAL PAULISTA','SP','125254281416472431448831571125610127143',NULL,'9998',0.00,1,3,NULL),(15,2204088,'1989-05-11 00:00:00',4,9,12,2007,'M','N','GUADALUPE','LAGES','SC','116242161215111231558921595112610167042',16185,'9998',43.09,1,3,NULL),(15,2204096,'1990-06-29 00:00:00',4,8,12,2007,'M','N','JARDIM DAS AMERICAS','CURITIBA','PR','116162161215411431456732572124610167112',NULL,'9998',0.00,1,3,NULL),(15,2204118,'1988-10-03 00:00:00',4,1,12,2006,'M','N','JARDIM SÃO DOMINGOS','MARILIA','SP','125252251216471431669921575122610167066',2965,'9998',66.26,1,3,NULL),(15,2204126,'1990-09-06 00:00:00',4,7,12,2007,'M','N','DOS MUNICÍPIOS','CACADOR','SC','124242241215121431469833575122610137042',11122,'118',50.27,1,3,NULL),(15,2204134,'1990-07-30 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431358814575124610164112',14384,'270',45.59,1,3,NULL),(15,2204142,'1990-09-26 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241117151711256923575114610136172',17019,'288',41.85,1,2,1),(15,2204150,'1990-04-06 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124244241435111731448618592114610137015',16162,'272',43.13,1,3,NULL),(15,2204169,'1986-12-28 00:00:00',4,1,11,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124162161215575431247821472224230232011',743,'9998',75.08,4,3,NULL),(15,2204177,'1988-07-06 00:00:00',4,1,12,2005,'M','N','CENTRO','SEBASTIANOPOLIS DO SUL','SP','125251251236571431466921215124610162017',11014,'9998',50.44,1,3,NULL),(15,2204185,'1989-01-30 00:00:00',4,1,12,2006,'M','N','CIDADE ALTA','MEDIANEIRA','PR','116163161117515221269953372112610162012',4705,'9998',61.74,1,3,NULL),(15,2204193,'1989-01-17 00:00:00',4,8,12,2006,'M','N','CHACARA DA BARRA','CAMPINAS','SP','125252251215471311468734445122610167042',13272,'9998',47.21,4,3,NULL),(15,2204207,'1985-04-26 00:00:00',2,1,12,2001,'F','N','BOA PARADA','SAO PEDRO DE ALCANTARA','SC','124241241127372421243323435124610128142',8940,'869',53.77,1,2,1),(15,2204215,'1990-05-25 00:00:00',2,6,11,2007,'M','N','CENTRO','MINACU','GO','109091091415131431326411572321610137056',6117,'9998',58.84,4,3,NULL),(15,2204223,'1985-05-05 00:00:00',4,1,12,2002,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241217272421454824412124333227112',753,'213',74.97,4,3,NULL),(15,2204231,'1991-03-08 00:00:00',2,1,12,2007,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241115271431436634572124610167082',11543,'307',49.65,1,2,1),(15,2204240,'1990-06-11 00:00:00',4,1,11,2007,'M','N','CENTRO','LONDRINA','PR','116122161215111431548632472322610112057',NULL,'9998',0.00,1,3,NULL),(15,2204258,'1989-10-30 00:00:00',4,1,12,2006,'F','N','JARDIM PANORAMA','ASSIS CHATEAUBRIAND','PR','116161161215471431436615572321610165017',21469,'9998',33.80,1,3,NULL),(15,2204266,'1987-06-10 00:00:00',2,1,12,2004,'F','N','FLORESTA','SAO JOSE','SC','124242241216333411357912281124610167117',12334,'300',48.53,1,3,NULL),(15,2204282,'1990-03-09 00:00:00',4,1,12,2007,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124244241217111431347631575122610145057',9103,'904',53.45,1,3,NULL),(15,2204290,'1988-11-18 00:00:00',4,1,12,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124201201112271441458813372124142066092',6322,'9998',58.41,1,2,1),(15,2204304,'1990-03-27 00:00:00',4,3,12,2007,'F','N','VILA ALBERTINA','SAO PAULO','SP','125252251215111431588934571125610137147',NULL,'9998',0.00,3,3,NULL),(15,2204312,'1989-07-05 00:00:00',4,1,12,2006,'M','N','LIMÃO','SAO PAULO','SP','125252251215471431346721315122610162147',1008,'9998',73.49,1,3,NULL),(15,2204320,'1985-10-20 00:00:00',2,4,12,2001,'F','N','CENTRO','CHAPECO','SC','124201201112471411233823393324130625142',NULL,'9998',32.85,1,2,1),(15,2204339,'1991-05-21 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124243241215111432459912572124610127147',2514,'272',67.58,1,3,NULL),(15,2204347,'1983-10-24 00:00:00',2,6,11,2001,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241248127132431114473491325233224017',18155,'170',40.06,3,2,1),(15,2204355,'1988-05-25 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216153411369912595112231064012',2182,'270',68.65,1,3,NULL),(15,2204363,'1989-07-12 00:00:00',2,5,12,2006,'M','N','OLHO DAGUA','JAGUARUNA','SC','124241241124271431543319282213610134047',15323,'1034',44.37,1,2,1),(15,2204371,'1987-07-03 00:00:00',4,1,12,2004,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241215473431489914474122220224092',1170,'270',72.67,1,3,NULL),(15,2204380,'1988-09-22 00:00:00',2,8,12,2005,'F','N','VILA CLEMENTINA','MAFRA','SC','124241161215571431364823571142610133117',775,'9998',74.85,1,3,NULL),(15,2204401,'1990-08-06 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124142241215112411458613572114610132072',8715,'1022',54.15,4,3,NULL),(15,2204410,'1990-01-04 00:00:00',2,1,11,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241212111431466731212122610133147',13555,'270',46.81,1,3,NULL),(15,2204428,'1988-10-03 00:00:00',4,8,12,2005,'F','N','BIGORRILHO','CURITIBA','PR','116162161215571431488931571114610125097',NULL,'9998',0.00,1,3,NULL),(15,2204436,'1989-07-04 00:00:00',4,1,12,2006,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251217471531238831272111610124142',6471,'9998',58.13,1,3,NULL),(15,2204444,'1963-08-20 00:00:00',4,1,12,1981,'M','N','BARREIROS','SAO JOSE','SC','624242246111155721466443431132522236062',10607,'306',51.01,1,3,NULL),(15,2204452,'1985-08-04 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241216133431335363294124610122097',21461,'967',33.82,1,3,NULL),(15,2204460,'1988-06-29 00:00:00',2,1,11,2005,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241216233431438621575114610131187',11675,'1011',49.44,1,3,NULL),(15,2204479,'1988-04-28 00:00:00',4,1,11,2005,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242247217273431489933575124231027117',6015,'9999',59.05,1,3,NULL),(15,2204487,'1987-01-24 00:00:00',2,1,7,2005,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124241247215371431336723482114610123197',NULL,'9999',11.69,1,3,NULL),(15,2204509,'1991-04-29 00:00:00',4,1,11,2008,'M','S','CENTRO','ASSIS CHATEAUBRIAND','PR','116112246217111431438813391121610164092',NULL,'9998',40.77,1,3,NULL),(15,2204517,'1990-08-29 00:00:00',2,1,12,2007,'M','N','CENTRO','GAROPABA','SC','124244241435152411555823271121610134142',11942,'322',49.05,1,3,NULL),(15,2204533,'1986-11-05 00:00:00',2,1,12,2004,'F','N','SERRARIA','SAO JOSE','SC','124241241117273731433319341234610134047',15214,'257',44.51,1,2,1),(15,2204541,'1990-01-27 00:00:00',4,1,12,2006,'M','N','CENTRO','IBIRUBA','RS','120204201217472431233823475114610167057',3231,'9998',65.45,1,3,NULL),(15,2204550,'1988-11-14 00:00:00',4,1,12,2006,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251215471431468829571111610167052',7584,'9998',56.06,1,3,NULL),(15,2204576,'1990-03-05 00:00:00',2,10,11,2007,'F','N','CENTRO','GRAO PARA','SC','124241241215131431446914442114610134147',20216,'950',36.38,1,3,NULL),(15,2204584,'1991-03-05 00:00:00',4,1,12,2008,'F','S','PANTANAL','FLORIANOPOLIS','SC','124244241215111451456734575124610133075',NULL,'271',46.88,1,3,NULL),(15,2204592,'1989-12-18 00:00:00',2,8,11,2007,'F','N','CENTRO','PIRAI DO SUL','PR','116162161215121431468615572115610133182',NULL,'9998',28.73,1,3,NULL),(15,2204606,'1990-10-13 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215371431479931472122610148142',15827,'499',43.64,1,3,NULL),(15,2204614,'1981-04-13 00:00:00',2,1,12,1999,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216413451456719391124330267182',17780,'300',40.70,1,3,NULL),(15,2204622,'1990-07-02 00:00:00',2,1,11,2007,'M','N','VARGEM PEQUENA','FLORIANOPOLIS','SC','124241241115141731623324192334610167057',NULL,'288',24.35,1,2,1),(15,2204630,'1990-05-06 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215111731429813571124610123145',22081,'883',32.01,4,3,NULL),(15,2204649,'1985-01-26 00:00:00',4,8,12,2002,'F','N','FLORESTA','JOINVILLE','SC','124241241335471421665623442124610136097',NULL,'465',28.82,1,3,NULL),(15,2204657,'1990-10-22 00:00:00',4,1,11,2007,'M','N','BOM JESUS','CAMPO GRANDE','MS','112122121216153441466933575122610137017',NULL,'9998',0.00,1,3,NULL),(15,2204665,'1990-02-12 00:00:00',2,1,11,2007,'F','N','NEBLINA','ARAGUAINA','TO','127252251216111731556722574122610121177',21348,'9998',34.09,1,3,NULL),(15,2204673,'1990-03-01 00:00:00',4,1,12,2007,'M','N','FLORESTA','SAO JOSE','SC','124162241215111412476614572124610167032',NULL,'1036',0.00,4,3,NULL),(15,2204681,'1990-01-19 00:00:00',4,1,12,2007,'M','N','ARIRIÚ','PALHOCA','SC','124241241132271731546434572324610167047',20279,'593',36.27,1,3,NULL),(15,2204690,'1986-01-24 00:00:00',4,1,12,2002,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124201201117472431336542175124343262197',7244,'9998',56.70,1,2,1),(15,2204703,'1988-01-21 00:00:00',4,1,11,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241212573431478731572124610124042',148,'807',80.70,1,3,NULL),(15,2204720,'1985-03-06 00:00:00',4,1,12,2002,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124243241215174431233349392321220362052',6451,'44',58.17,2,1,2),(15,2204738,'1990-03-16 00:00:00',4,9,12,2007,'M','N','UNIVERSITÁRIO','LAGES','SC','124241241315111441546614575235610145171',7063,'1065',57.04,1,3,NULL),(15,2204746,'1987-02-25 00:00:00',4,1,12,2005,'M','N','CENTRO','SAO ROQUE','SP','125252251217571431468931575112610168043',6896,'9998',57.36,1,3,NULL),(15,2204754,'1990-04-01 00:00:00',4,10,12,2007,'M','N','OFICINAS','TUBARAO','SC','124243241315111431336413275112610116087',2638,'807',67.20,1,3,NULL),(15,2204762,'1988-09-19 00:00:00',4,8,12,2006,'M','N','COSTA E SILVA','JOINVILLE','SC','124244246415132431537611311124610157112',NULL,'1105',29.97,1,3,NULL),(15,2204770,'1989-01-30 00:00:00',2,1,11,2006,'F','N','BARREIROS','SAO JOSE','SC','124242244215472431436713572112610163187',NULL,'1118',27.43,1,3,NULL),(15,2204797,'1988-05-05 00:00:00',2,1,12,2005,'F','N','BELA VISTA I','SAO JOSE','SC','124242248615473431546412375122610137077',18917,'738',38.81,1,3,NULL),(15,2204800,'1990-04-19 00:00:00',4,1,11,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124244241231411421368831575114610168172',3230,'270',65.45,1,3,NULL),(15,2204819,'1991-08-01 00:00:00',4,4,12,2008,'M','S','CENTRO','CONCORDIA','SC','124242241217151732243611275112610134012',NULL,'1000',64.03,1,3,NULL),(15,2204835,'1989-05-13 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212273431568913591124231025047',12361,'270',48.48,1,3,NULL),(15,2204843,'1985-09-30 00:00:00',2,1,12,2002,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241136152421366619285122221127147',12070,'726',48.89,1,2,1),(15,2204860,'1985-02-01 00:00:00',2,1,12,2002,'F','N','ITACORUBI','FLORIANOPOLIS','SC','224134131216571721224844442124610166047',3908,'9998',63.71,1,3,NULL),(15,2204878,'1989-12-26 00:00:00',2,2,10,2007,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124244241417111731337631381121610161152',19033,'88',38.62,1,3,NULL),(15,2204886,'1985-11-29 00:00:00',2,1,11,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241213374441558713312124610167025',11407,'9997',49.83,1,3,NULL),(15,2204894,'1988-04-11 00:00:00',4,6,12,2005,'F','N','JD SÃO MARCOS','SOROCABA','SP','125251251216471431458821574124133267117',6716,'9998',57.70,1,3,NULL),(15,2204908,'1990-03-15 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124241241125131431634315312224610144077',19401,'169',38.02,1,2,1),(15,2204916,'1989-04-25 00:00:00',4,1,12,2006,'M','N','ROÇADO','SAO JOSE','SC','124242241217171431456614575122230462192',NULL,'273',0.00,1,3,NULL),(15,2204924,'1991-08-07 00:00:00',4,1,12,2008,'F','S','ALTO ARIRIÚ','PALHOCA','SC','124242241416121431456633572122610121182',NULL,'1014',52.57,1,3,NULL),(15,2204932,'1990-05-27 00:00:00',4,1,11,2007,'M','N','ACLIMAÇAO','CUIABA','MT','111112111217121711348823575112610118125',NULL,'9998',0.00,1,3,NULL),(15,2204940,'1977-06-24 00:00:00',2,1,12,1995,'M','N','LAGOA DA CONCEÇÃO','FLORIANOPOLIS','SC','124254253126311421345643235113610167117',6883,'9998',57.38,4,3,NULL),(15,2204959,'1990-08-27 00:00:00',4,7,12,2007,'M','N','CENTRO','VIDEIRA','SC','124241241215111431458511577122610134097',NULL,'829',18.77,1,3,NULL),(15,2204967,'1991-01-28 00:00:00',4,1,12,2007,'F','N','PICADAS DO SUL','SAO JOSE','SC','124253241315111431356734575122610143147',16414,'1074',42.73,1,3,NULL),(15,2204975,'1990-06-11 00:00:00',2,3,12,2007,'F','N','JARDIM ELDORADO','PARANAGUA','PR','116162161215111421547714597342610115031',14826,'9998',44.98,1,3,NULL),(15,2204983,'1990-11-16 00:00:00',4,1,12,2007,'M','N','JARDIM DAS PALMEIRAS','SANTO ANGELO','RS','120202201217151431338833575122610127012',7275,'9998',56.65,1,3,NULL),(15,2204991,'1983-12-14 00:00:00',4,1,11,1998,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241116274441547933311124333237112',10901,'307',50.62,1,2,1),(15,2205009,'1989-06-05 00:00:00',4,1,12,2006,'M','N','CENTRO','CHAPECO','SC','124241241117371431448719171224610147147',7935,'169',55.46,1,2,1),(15,2205017,'1990-05-24 00:00:00',4,10,12,2007,'F','N','CENTRO','TREZE DE MAIO','SC','124241241114131732436933332115610137047',NULL,'793',22.16,1,3,NULL),(15,2205025,'1990-08-22 00:00:00',4,1,11,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241216271411536831375124610122117',7718,'262',55.83,1,3,NULL),(15,2205033,'1989-08-23 00:00:00',2,1,11,2006,'F','N','RIO TAVERS','FLORIANOPOLIS','SC','124162251217111431536616282224140722192',13654,'9998',46.68,1,3,NULL),(15,2205050,'1985-09-04 00:00:00',2,1,6,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241127134731613319182344610164187',15795,'277',43.69,4,2,1),(15,2205068,'1986-08-20 00:00:00',2,1,6,2004,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241116474411633311475124241526142',7671,'306',55.91,1,2,1),(15,2205076,'1990-04-14 00:00:00',2,1,11,2007,'F','N','CENTRO','TIJUCAS','SC','124242241215111431428819492121610128057',10798,'1119',50.74,4,3,NULL),(15,2205084,'1989-01-10 00:00:00',4,2,11,2007,'F','N','PONTA AGUDA','BLUMENAU','SC','124241247247141431566912245122610132092',NULL,'9999',0.00,1,3,NULL),(15,2205092,'1989-09-07 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241115131431356823285124610127057',16345,'307',42.83,1,3,NULL),(15,2205106,'1990-07-24 00:00:00',2,9,11,2007,'M','N','CENTRO','LAGES','SC','124241241115371731637724275224610132057',10316,'512',51.47,1,3,NULL),(15,2205122,'1990-11-06 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124242241215111431388811475115610164052',NULL,'497',29.00,1,3,NULL),(15,2205130,'1964-12-07 00:00:00',4,1,12,1987,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124242248247134121216844246344120644117',16202,'260',43.06,1,3,NULL),(15,2205157,'1957-12-09 00:00:00',4,1,11,1995,'M','N','FLOR DE NAPOLIS','SAO JOSE','SC','624241246126134721523341112123120563097',20424,'293',36.01,1,2,1),(15,2205165,'1990-08-18 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241215472431557332192124610138162',1032,'1022',73.36,1,3,NULL),(15,2205173,'1986-02-13 00:00:00',4,1,12,2006,'F','N','MARISCAL','BOMBINHAS','SC','124241241125271432326441112322610126147',NULL,'1089',19.72,1,3,NULL),(15,2205181,'1985-12-23 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANOPOLIS','SC','124252241415271421238844346124610136052',9124,'271',53.42,2,1,2),(15,2205190,'1989-09-17 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431323514572124610164141',16871,'272',42.04,1,3,NULL),(15,2205203,'1986-08-21 00:00:00',4,1,12,2004,'M','N','VILA ANDRADE','SAO PAULO','SP','125252251216572411477931575112142467047',687,'9998',75.49,1,3,NULL),(15,2205211,'1989-01-30 00:00:00',2,4,12,2006,'F','N','JOÃO WINCKLER','XANXERE','SC','124241241111371431426614241124231955147',18640,'840',39.25,2,2,1),(15,2205220,'1992-03-05 00:00:00',2,2,12,2009,'M','S','SOUZA CRUZ','BRUSQUE','SC','124242246216121432465512575122610114092',NULL,'107',46.45,1,3,NULL),(15,2205246,'1988-06-13 00:00:00',4,4,12,2005,'F','N','CENTRO','CONDOR','RS','120202201216571431443616271214610134147',9592,'9998',52.60,1,3,NULL),(15,2205254,'1990-05-26 00:00:00',4,2,11,2007,'M','N','CENTRO','PRESIDENTE GETULIO','SC','124252241215471411469834575111610164127',4991,'270',61.10,1,3,NULL),(15,2205262,'1983-06-08 00:00:00',2,1,6,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','224241241136275711223353245334610161095',NULL,'307',0.00,1,3,NULL),(15,2205270,'1989-03-08 00:00:00',4,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124242241212272431368612345132231427042',9234,'737',53.21,1,3,NULL),(15,2205289,'1989-01-26 00:00:00',2,1,6,2008,'M','S','AREIAS DO CAMPECHE','FLORIANOPOLIS','SC','124243241111151411459613241224610167187',NULL,'306',42.29,4,3,NULL),(15,2205297,'1989-08-25 00:00:00',4,5,12,2007,'M','N','CURTUME','TORRES','RS','120202201217131431436612275321610131117',7437,'9998',56.35,1,3,NULL),(15,2205300,'1989-12-19 00:00:00',2,4,12,2007,'F','N','INTERIOR','XANXERE','SC','124241241116411731523336585222610164142',NULL,'840',19.98,1,3,NULL),(15,2205319,'1990-10-08 00:00:00',2,1,11,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241115271411535311241114610166082',11673,'307',49.44,1,2,1),(15,2205335,'1987-08-27 00:00:00',4,8,12,2004,'F','N','BUCAREIN','JOINVILLE','SC','124242241217272441469912475132130764182',5286,'457',60.55,1,3,NULL),(15,2205343,'1987-03-21 00:00:00',2,1,12,2004,'M','N','PINGUIRITO','GAROPABA','SC','124241241121132421632139391323610126012',19218,'322',38.31,1,2,1),(15,2205351,'1989-12-31 00:00:00',4,1,12,2006,'M','N','JARDIM DAS PALMEIRAS','SAO JOSE','SC','124243248312131711228624345124610167187',22016,'9997',32.22,1,3,NULL),(15,2205378,'1989-05-29 00:00:00',2,2,11,2007,'M','N','CENTRO','IBIRAMA','SC','124141241215111411466614575124610127147',10445,'270',51.28,1,3,NULL),(15,2205386,'1989-12-30 00:00:00',2,3,12,2006,'F','N','NOVO CENTAURO','ARAPONGAS','PR','116162161217471431548911575112610165097',NULL,'9998',0.00,1,3,NULL),(15,2205394,'1990-04-07 00:00:00',4,1,12,2007,'M','N','SANTA CATARINA','BIGUACU','SC','124241241115151531633416252121610117057',21019,'21',34.82,1,2,1),(15,2205424,'1990-02-06 00:00:00',4,3,11,2007,'F','N','UNIVERSITARIO','TIJUCAS','SC','124242241215111411436722272112610112192',20706,'948',35.49,4,3,NULL),(15,2205432,'1989-12-29 00:00:00',2,4,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124163161117572431446731214124610167017',2442,'9998',67.79,4,3,NULL),(15,2205459,'1990-01-19 00:00:00',4,8,12,2007,'F','N','GUANABARA','JOINVILLE','SC','124241241116131411533624575124610164142',18383,'467',39.68,1,3,NULL),(15,2205467,'1989-12-04 00:00:00',4,1,12,2007,'M','N','JD OSWALDO CRUZ','SAO JOSE DOS CAMPOS','SP','125251251215111442346824274125610134092',3396,'9998',65.01,1,3,NULL),(15,2205483,'1975-04-05 00:00:00',4,1,7,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','224161247425131431438841215123610157112',20301,'977',36.24,1,3,NULL),(15,2205491,'1990-02-10 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124241241315131431325639572325610122047',12673,'1118',48.03,1,3,NULL),(15,2205505,'1984-09-13 00:00:00',2,8,12,2001,'M','N','BIGORRILHO','CURITIBA','PR','116244241416473431488613575114140734127',NULL,'541',0.00,1,3,NULL),(15,2205521,'1990-07-21 00:00:00',4,10,12,2007,'M','N','OFICINAS','TUBARAO','SC','124243246215151431467823472221610144177',2543,'1120',67.49,1,3,NULL),(15,2205530,'1987-07-19 00:00:00',4,1,12,2004,'F','N','CIDADE BAIXA','PORTO ALEGRE','RS','120202201211261421368831482114142864111',7895,'9998',55.52,1,3,NULL),(15,2205548,'1988-05-16 00:00:00',4,1,12,2004,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','125214211117111751348819595124241012157',2117,'9998',68.91,1,3,NULL),(15,2205556,'1989-12-12 00:00:00',4,6,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124243248214132431339614245123610127017',NULL,'967',0.00,1,3,NULL),(15,2205564,'1988-09-24 00:00:00',2,7,12,2005,'M','N','INTERIOR','MAXIMILIANO DE ALMEIDA','RS','120201201127471531436316162212610137047',22139,'9998',31.77,1,2,1),(15,2205572,'1990-10-31 00:00:00',2,1,12,2007,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124243241115371431569814596124610165147',11001,'267',50.47,4,3,NULL),(15,2205580,'1990-04-21 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215121431338723575124610166187',11248,'270',50.09,1,3,NULL),(15,2205599,'1988-11-15 00:00:00',4,1,12,2006,'M','N','PERDIZES','SAO PAULO','SP','125133131216471412358613431124610142012',1890,'9998',69.64,1,3,NULL),(15,2205610,'1989-04-26 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241115371411656711592125610163025',16973,'267',41.91,1,2,1),(15,2205629,'1988-03-09 00:00:00',2,1,12,2007,'M','N','TAPERA','FLORIANOPOLIS','SC','124241247222131431533324342334610121047',17334,'9999',41.33,1,3,NULL),(15,2205637,'1988-11-09 00:00:00',2,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241115151451458634392122610123182',17165,'267',41.62,1,2,1),(15,2205645,'1990-09-17 00:00:00',2,5,12,2007,'F','N','CENTRO','TIMBE DO SUL','SC','124241241216371431456632575124610167147',8654,'813',54.25,1,3,NULL),(15,2205653,'1990-02-06 00:00:00',2,1,12,2008,'F','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241216111431559513575114610168191',NULL,'269',20.16,1,3,NULL),(15,2205661,'1987-01-10 00:00:00',4,1,12,2003,'M','N','CAMPINAS','SAO JOSE','SC','124244241115273521436612442124610122057',9944,'307',52.02,1,3,NULL),(15,2205670,'1991-02-26 00:00:00',4,6,12,2007,'M','N','SÃO CRISTÓVÃO','TRES BARRAS','SC','124241241117131431438933572122610137057',7341,'153',56.53,1,2,1),(15,2205696,'1988-04-14 00:00:00',4,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243241216373441569933595124230234097',8947,'270',53.75,1,3,NULL),(15,2205700,'1991-07-10 00:00:00',2,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215111731446612572122610113057',11802,'723',49.26,1,3,NULL),(15,2205718,'1990-02-02 00:00:00',2,1,12,2007,'F','N','ARMAÇÃO','FLORIANOPOLIS','SC','124242241115131431459613275124610123142',20557,'271',35.78,1,3,NULL),(15,2205726,'1987-05-25 00:00:00',2,1,11,2006,'F','N','ABRAAO','FLORIANOPOLIS','SC','124242241215271431539713572124610127092',17950,'270',40.40,1,3,NULL),(15,2205734,'1989-06-12 00:00:00',2,1,11,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242241215111431468811575114610127062',8243,'270',54.93,1,3,NULL),(15,2205742,'1992-05-08 00:00:00',2,1,11,2008,'M','S','KOBRASOL','SAO JOSE','SC','124244241417471332438831582115610134092',NULL,'724',37.41,1,3,NULL),(15,2205750,'1989-01-17 00:00:00',4,1,12,2006,'M','N','IPIRANGA','SAO JOSE','SC','124243241415372431453814575124610127052',21229,'943',34.38,1,3,NULL),(15,2205777,'1989-03-31 00:00:00',2,1,12,2006,'F','N','JARDIM FOGAÇA','ITAPETININGA','SP','125252251217211431636813574324610128147',10080,'9998',51.81,4,3,NULL),(15,2205785,'1990-11-05 00:00:00',2,3,11,2007,'F','N','DAS NAÇÕES','BALNEARIO CAMBORIU','SC','124242241217121731436619324125610162182',11734,'270',49.34,1,3,NULL),(15,2205793,'1990-12-09 00:00:00',4,4,12,2007,'F','N','JARDIM FLORESTA','FRANCISCO BELTRAO','PR','116162161116131431443733335124610162197',15196,'9998',44.54,1,3,NULL),(15,2205807,'1990-02-21 00:00:00',2,5,11,2007,'M','N','ANA MARIA','CRICIUMA','SC','124241246214341441453839293124610164047',14730,'995',45.10,1,3,NULL),(15,2205823,'1989-01-06 00:00:00',2,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217472431364631575115610144117',5604,'270',59.87,1,3,NULL),(15,2205831,'1984-06-04 00:00:00',2,1,7,2002,'F','N','COLONINHA','FLORIANOPOLIS','SC','124241244117275431336823445234610122043',7746,'303',55.79,1,2,1),(15,2205840,'1977-11-07 00:00:00',4,1,12,1996,'M','N','VILA MORAES','SAO PAULO','SP','125252251136571441438633415124341267142',NULL,'9998',0.00,3,3,NULL),(15,2205858,'1989-10-05 00:00:00',2,1,12,2007,'F','N','BERREIROS','SAO JOSE','SC','124244241412131431226318572324610121147',19572,'1118',37.67,1,3,NULL),(15,2205866,'1990-07-14 00:00:00',4,4,12,2007,'M','N','CENTRO','SAO JOSE DO CEDRO','SC','124241241115231431449933292221610137057',NULL,'740',32.98,1,2,1),(15,2205882,'1954-02-15 00:00:00',5,1,12,1973,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241126135411123341215334321016042',7573,'306',56.07,1,3,NULL),(15,2205904,'1988-09-07 00:00:00',4,1,12,2006,'F','N','VILA EMA','SAO JOSE DOS CAMPOS','SP','125252251217471411448814472112610132097',12807,'9998',47.85,1,3,NULL),(15,2205920,'1987-09-22 00:00:00',2,1,12,2005,'F','N','IPIRANGA','SAO JOSE','SC','124241241117472431456764572124610124047',NULL,'734',0.00,1,2,1),(15,2205939,'1989-01-01 00:00:00',4,1,12,2006,'F','N','TERRA NOVA','SAO BERNARDO DO CAMPO','SP','125252256216471451338851574124610134012',13872,'9998',46.35,1,3,NULL),(15,2205947,'1987-11-23 00:00:00',4,8,12,2004,'F','N','AMÉRICA','JOINVILLE','SC','124162241212154741159921572324231464077',13069,'262',47.49,1,3,NULL),(15,2205955,'1989-08-03 00:00:00',2,8,12,2006,'F','N','JARDIM AMÉRICA','TOLEDO','PR','116241161117271441323619572124610126147',6878,'9998',57.39,1,2,1),(15,2205963,'1987-07-15 00:00:00',2,1,12,2004,'M','N','SERRARIA','SAO JOSE','SC','124241241316143421563933435124130814147',21023,'943',34.82,1,3,NULL),(15,2205971,'1990-01-26 00:00:00',4,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124242241217121421343312225122610117072',NULL,'63',18.66,1,3,NULL),(15,2205980,'1990-01-03 00:00:00',4,8,12,2007,'F','N','BACACHERI','CURITIBA','PR','116162161216121431489932575122610154097',NULL,'9998',0.00,1,3,NULL),(15,2205998,'1989-10-03 00:00:00',4,8,11,2007,'F','N','CENTRO','JOINVILLE','SC','124242241215122431379823572112610131192',4419,'486',62.44,1,3,NULL),(15,2206005,'1986-08-24 00:00:00',2,1,7,2005,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242247211234431634531341123610124097',21421,'9999',33.91,1,3,NULL),(15,2206013,'1990-01-10 00:00:00',2,1,11,2006,'M','N','SETOR BUENO','GOIANIA','GO','109093091336371331576614375125610166094',773,'9998',74.86,1,3,NULL),(15,2206021,'1990-03-23 00:00:00',4,2,12,2007,'F','N','TAJUBA II','SAO JOAO BATISTA','SC','124241241125131531433316342124610122057',17967,'712',40.37,1,2,1),(15,2206048,'1990-01-18 00:00:00',2,1,11,2007,'F','N','CENTRO','SANTA MARIA','RS','120202201215211731146924472224610168052',17443,'9998',41.16,1,3,NULL),(15,2206064,'1989-05-07 00:00:00',4,1,12,2006,'M','N','CENTRO','RODEIO','SC','124243241316271431466312145122610116052',NULL,'37',22.15,1,3,NULL),(15,2206080,'1990-01-28 00:00:00',4,4,12,2007,'F','N','CENTRO','FOZ DO IGUACU','PR','116162161235471451444612345122610138077',NULL,'9998',0.00,1,3,NULL),(15,2206099,'1989-08-04 00:00:00',4,1,6,2007,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124243241111272431557819572124610128082',3281,'306',65.30,1,3,NULL),(15,2206102,'1990-07-05 00:00:00',4,4,12,2007,'F','N','CIDADE ALTA','CUNHA PORA','SC','124241241136131431323364342125610126197',18892,'234',38.84,1,2,1),(15,2206110,'1991-02-21 00:00:00',4,4,12,2007,'M','N','CENTRO','SAO CARLOS','SC','124241241115271431346613472122610124147',14052,'704',46.09,1,2,1),(15,2206137,'1990-02-16 00:00:00',2,5,11,2007,'F','N','PAULO DE FRONTIN','CRICIUMA','SC','124242248212111451426839292142610168191',16121,'213',43.19,1,3,NULL),(15,2206145,'1990-04-20 00:00:00',4,10,11,2007,'M','N','OFICINAS','TUBARAO','SC','124242241215111431463312571122610162112',12378,'807',48.46,1,3,NULL),(15,2206153,'1991-03-11 00:00:00',2,4,11,2007,'M','N','CENTRO','SANTA HELENA','SC','124201241117161431456833575125610144017',NULL,'687',32.14,4,1,1),(15,2206161,'1987-04-19 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241315574431458523472124121467117',4256,'1022',62.79,1,3,NULL),(15,2206188,'1984-07-19 00:00:00',2,1,7,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241321371431454319441244610127057',NULL,'9997',25.28,1,3,NULL),(15,2206196,'1990-10-22 00:00:00',2,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124243241435131431448714572124610124057',18668,'988',39.21,1,3,NULL),(15,2206218,'1990-02-13 00:00:00',4,2,12,2007,'F','N','ITOUPAVAZINHA','BLUMENAU','SC','124241241217111431346514575124610133187',7449,'86',56.33,1,3,NULL),(15,2206226,'1990-11-21 00:00:00',4,2,12,2007,'M','N','CARIJÓS','INDAIAL','SC','124241241115131631336421572211610127052',NULL,'365',0.00,1,2,1),(15,2206234,'1989-11-13 00:00:00',4,1,11,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124254241416131432534822575124610167075',9181,'270',53.30,1,3,NULL),(15,2206242,'1989-07-25 00:00:00',4,8,12,2006,'F','N','CENTRO','SINOP','MT','116112161217572731486634572114610124192',1338,'9998',71.93,4,3,NULL),(15,2206250,'1989-03-23 00:00:00',2,6,12,2006,'F','N','MURTA','ITAJAI','SC','124241241225472431435823392324610142142',8120,'388',55.15,1,3,NULL),(15,2206269,'1989-10-02 00:00:00',2,1,12,2006,'F','N','BELA VISTA','PALHOCA','SC','124243248335312432324313435124613224182',21630,'989',33.43,1,3,NULL),(15,2206285,'1988-12-22 00:00:00',2,5,12,2006,'F','N','CRISTO REI','ICARA','SC','124241241215471431446933245124610128117',11565,'920',49.61,1,3,NULL),(15,2206293,'1990-11-15 00:00:00',4,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124244241213111431336611473114610112182',2552,'737',67.46,1,3,NULL),(15,2206307,'1988-09-11 00:00:00',4,5,12,2006,'M','N','RIO MAINA','CRICIUMA','SC','124242241215472431359833272122231437062',3164,'213',65.65,1,3,NULL),(15,2206315,'1988-01-29 00:00:00',2,1,12,2005,'F','N','RIO CAVEIRAS','BIGUACU','SC','124242241211212451238714181122132838142',NULL,'943',20.83,1,3,NULL),(15,2206323,'1990-05-08 00:00:00',4,2,12,2007,'F','N','CENTRO','GASPAR','SC','124242241216111421556412175114610133092',6149,'855',58.76,1,3,NULL),(15,2206331,'1989-05-16 00:00:00',4,8,12,2006,'M','N','BARRA DO RIO CERRO','JARAGUA DO SUL','SC','124242241216472431349614575124610167052',8097,'422',55.19,1,3,NULL),(15,2206340,'1989-12-28 00:00:00',4,1,12,2007,'F','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124242248215111411586819492122610145146',NULL,'9997',24.71,1,3,NULL),(15,2206358,'1990-12-13 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241213421232568712173345610162182',728,'270',75.18,1,3,NULL),(15,2206366,'1990-05-22 00:00:00',4,7,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241415123731546612594125610125192',19712,'855',37.39,1,3,NULL),(15,2206374,'1990-01-13 00:00:00',4,4,11,2007,'F','N','CENTRO','FRANCISCO BELTRAO','PR','116162161217371431469939572122610163097',19467,'9998',37.88,1,3,NULL),(15,2206382,'1987-04-21 00:00:00',4,1,9,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','224241241147131421223649495224610128187',NULL,'9999',20.91,4,3,NULL),(15,2206390,'1990-12-08 00:00:00',4,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215111231463334585124610122052',14379,'1022',45.60,1,3,NULL),(15,2206404,'1990-06-12 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161215111531466936572125610132042',NULL,'9998',0.00,1,3,NULL),(15,2206412,'1987-10-04 00:00:00',2,1,12,2004,'F','N','PANTANAL','FLORIANOPOLIS','SC','124243241316142411359613345134121433183',19377,'269',38.05,1,3,NULL),(15,2206420,'1988-12-28 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431449913576112610133181',5004,'262',61.07,1,3,NULL),(15,2206447,'1986-01-27 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241146135421344634185124231324055',17457,'416',41.14,1,2,1),(15,2206455,'1990-02-08 00:00:00',2,1,12,2006,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124244241215472431567632575114610127042',7516,'1011',56.20,1,3,NULL),(15,2206463,'1985-05-03 00:00:00',4,1,12,2004,'M','N','TERRAS DE SANTANA','LONDRINA','PR','116164168417471441569713474122140644183',20085,'9998',36.65,1,3,NULL),(15,2206471,'1988-09-30 00:00:00',4,1,11,2006,'F','N','MORUMBI','SAO PAULO','SP','125252251215471431257923472112610165147',12089,'9998',48.88,1,3,NULL),(15,2206480,'1990-09-24 00:00:00',2,4,12,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124241241216151431368933575122610128142',10115,'751',51.76,1,3,NULL),(15,2206498,'1985-11-01 00:00:00',4,1,12,2004,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124244241412374731488812572112133238182',7954,'1022',55.44,1,3,NULL),(15,2206501,'1988-05-28 00:00:00',4,1,12,2005,'M','N','SHANGRI LA','SERTAOZINHO','SP','125251251115571431535664575122610137042',21765,'9998',33.05,1,3,NULL),(15,2206510,'1988-01-31 00:00:00',2,4,12,2005,'F','N','CENTRO','PALMITOS','SC','124241241136473431548611372124231327097',13318,'322',47.15,1,2,1),(15,2206536,'1990-08-20 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161217571431278831572124610134142',3,'9998',87.42,1,3,NULL),(15,2206544,'1991-03-20 00:00:00',4,1,11,2008,'F','S','PONTE DO IMARUIM','PALHOCA','SC','124242241215111411525933472122610133092',NULL,'1011',43.68,1,3,NULL),(15,2206552,'1991-03-27 00:00:00',2,1,12,2007,'F','N','CENTRO','TERRA ROXA','PR','116161161137161431424435571324610137052',15046,'9998',44.74,1,3,NULL),(15,2206560,'1990-10-08 00:00:00',4,4,12,2007,'M','N','CENTRO','MARAVILHA','SC','124241241115161431436614472122610147052',17913,'551',40.47,1,2,1),(15,2206579,'1979-01-19 00:00:00',4,1,12,1995,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241216473411368611491122333227182',12248,'269',48.66,1,3,NULL),(15,2206587,'1991-04-26 00:00:00',2,1,11,2008,'F','S','AREIAS','SAO JOSE','SC','124242241215131411426664475124610124057',NULL,'976',42.20,1,3,NULL),(15,2206595,'1990-09-11 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241215111431433611595124610134017',13255,'1011',47.23,1,3,NULL),(15,2206609,'1989-02-07 00:00:00',4,1,11,2006,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124254251217472711189911572114610137111',3259,'9998',65.37,1,3,NULL),(15,2206617,'1986-08-08 00:00:00',4,1,12,2004,'F','N','NOVO HORIZONTE','MARILIA','SP','125252251217371411327511576122142323092',NULL,'9998',0.00,1,3,NULL),(15,2206625,'1990-05-09 00:00:00',4,8,12,2007,'F','N','FLORESTA','JOINVILLE','SC','124244241217131431648621572112610161192',17678,'459',40.83,1,3,NULL),(15,2206633,'1990-01-30 00:00:00',4,4,12,2007,'M','N','CENTRO','PANAMBI','RS','120202201216131431238623571122610127042',14574,'9998',45.30,1,3,NULL),(15,2206668,'1988-02-03 00:00:00',4,4,12,2005,'F','N','LIBERDADE','CONCORDIA','SC','124241241116572751548813595124610128182',NULL,'192',0.00,1,3,NULL),(15,2206676,'1990-03-22 00:00:00',4,1,12,2007,'M','N','VILA PIRES','SANTA BARBARA D OESTE','SP','125251251215111231334511315223610167057',6374,'9998',58.31,1,3,NULL),(15,2206684,'1990-06-18 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124244241115111431369923471114610137012',11397,'271',49.85,1,3,NULL),(15,2206692,'1980-02-04 00:00:00',2,1,12,2006,'F','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124241247225272431523349492124610166143',16499,'9999',42.59,1,3,NULL),(15,2206706,'1990-03-19 00:00:00',4,1,11,2007,'F','N','SÃO JOÃO BOSCO','PORTO VELHO','RO','122222221216111431449911414122610121012',5960,'9998',59.15,1,3,NULL),(15,2206714,'1989-08-15 00:00:00',2,1,12,2005,'M','N','TRIANDADE','FLORIANOPOLIS','SC','124201241117373411258413571224120666185',5570,'281',59.94,1,3,NULL),(15,2206730,'1991-09-16 00:00:00',2,1,2,2009,'M','S','ITACORUBI','FLORIANOPOLIS','SC','124241241217111212346533575124610137041',NULL,'299',47.10,1,3,NULL),(15,2206749,'1990-12-02 00:00:00',4,1,12,2007,'F','N','CAMPO D UNA','GAROPABA','SC','124241241116131431433411245122610133147',NULL,'322',14.46,1,3,NULL),(15,2206757,'1990-08-21 00:00:00',2,7,11,2007,'F','N','IMIGRANTES','CONCORDIA','SC','124241248312111431426614272122610143052',18654,'1000',39.23,1,3,NULL),(15,2206765,'1989-03-27 00:00:00',2,1,12,2005,'F','N','JARDIM CARANDAI','BIGUACU','SC','124243241111272531436614381324610168193',19452,'65',37.92,1,3,NULL),(15,2206773,'1989-04-16 00:00:00',4,5,12,2006,'M','N','CRUZEIRO DO SUL','CRICIUMA','SC','125242251236472431478812575124610124172',NULL,'9998',0.00,1,3,NULL),(15,2206781,'1990-11-03 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241315121451568923575124610167042',677,'270',75.58,1,3,NULL),(15,2206790,'1989-02-21 00:00:00',4,8,12,2006,'M','N','SION','BELO HORIZONTE','MG','113132131217471431469814492114610127042',767,'9998',74.89,1,3,NULL),(15,2206803,'1989-12-14 00:00:00',2,1,11,2006,'F','N','KOBRASOL','SAO JOSE','SC','124242241215372431347824385114610137073',10238,'738',51.57,1,3,NULL),(15,2206811,'1990-10-14 00:00:00',4,2,12,2007,'M','N','DONA HELENA MORRO','APIUNA','SC','124243241127131431449612575122610114012',13574,'22',46.78,1,3,NULL),(15,2206820,'1991-09-02 00:00:00',4,6,11,2008,'M','S','JARDIM MALUCHE','BRUSQUE','SC','124242241215111431476834575122610128097',NULL,'109',40.97,1,3,NULL),(15,2206846,'1990-05-24 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241115131731553633395122610117182',21150,'732',34.55,1,3,NULL),(15,2206854,'1979-10-22 00:00:00',2,1,6,2003,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124243247222372431423624142124222226177',NULL,'9999',6.42,2,3,NULL),(15,2206889,'1989-11-08 00:00:00',2,1,12,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241435141431436771395124610168187',20228,'287',36.36,1,3,NULL),(15,2206897,'1990-12-07 00:00:00',4,1,12,2007,'M','N','PASSA VINTE','PALHOCA','SC','124241242215131442535531215222610154172',11074,'1010',50.35,1,3,NULL),(15,2206900,'1990-07-19 00:00:00',4,5,11,2007,'F','N','MICHEL','CRICIUMA','SC','124242248235131531546832142332613261112',NULL,'210',22.54,1,3,NULL),(15,2206919,'1974-04-08 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','324241247447131422223344442334610121097',NULL,'9997',5.15,1,3,NULL),(15,2206927,'1990-07-08 00:00:00',4,7,12,2007,'M','N','CENTRO','OURO','SC','124241241117371732326634575225610132057',NULL,'585',27.21,1,2,1),(15,2206935,'1990-06-24 00:00:00',4,1,12,2007,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124222241216111431468913575114610134072',11894,'1022',49.11,4,3,NULL),(15,2206943,'1990-10-16 00:00:00',4,4,12,2007,'M','N','CENTRO','ITAPIRANGA','SC','124241241117161531344632592112610127057',NULL,'411',0.00,1,3,NULL),(15,2206951,'1990-01-15 00:00:00',4,4,11,2006,'M','N','GERMÂNICO','XAXIM','SC','124241241112131231426514242324230766092',21641,'846',33.40,1,2,1),(15,2206960,'1985-02-17 00:00:00',4,1,12,2002,'M','N','FLORESTA','SAO JOSE','SC','124241241137335131444631295124230224182',12771,'729',47.90,1,2,1),(15,2206986,'1989-05-22 00:00:00',4,1,12,2006,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241115472431569921572124610166052',1981,'271',69.32,1,2,1),(15,2206994,'1990-07-25 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241412211431436631575121610164111',14507,'44',45.40,1,3,NULL),(15,2207001,'1989-12-13 00:00:00',2,1,12,2006,'M','N','IPIRANGA','SAO JOSE','SC','124242241216272431358613315112610164022',11617,'1118',49.52,1,3,NULL),(15,2207010,'1989-08-21 00:00:00',4,9,12,2006,'F','N','CONTA DINHEIRO','LAGES','SC','124241241117372421336615572122610123143',NULL,'239',24.89,3,2,1),(15,2207028,'1990-09-22 00:00:00',4,1,11,2007,'F','N','CENTRO','CAMPO GRANDE','MS','112122121214111751346929491122610167017',20589,'9998',35.70,4,3,NULL),(15,2207044,'1990-12-19 00:00:00',2,7,11,2007,'F','N','BAIRRO DAS TORRES','VIDEIRA','SC','124241241215111731326923595125610164182',NULL,'969',0.00,1,3,NULL),(15,2207052,'1983-04-01 00:00:00',4,1,12,2000,'M','N','VARGEM BOM JESUS','FLORIANOPOLIS','SC','124133191216155731568934432122220722097',5629,'9998',59.81,1,3,NULL),(15,2207060,'1984-07-29 00:00:00',2,1,12,2003,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241117273421346669192333610137187',17389,'307',41.24,1,3,NULL),(15,2207079,'1989-03-20 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241215472431589913575112610167142',9024,'270',53.60,1,3,NULL),(15,2207087,'1984-06-28 00:00:00',2,1,12,2001,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241133135421438619382124610168177',NULL,'307',0.00,2,1,1),(15,2207095,'1990-02-07 00:00:00',4,1,11,2007,'F','N','CENTRO','RIO VERDE','GO','109092091211111411566932572112610127047',NULL,'9998',0.00,4,3,NULL),(15,2207109,'1986-09-29 00:00:00',4,1,12,2003,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124222221216572431468913445114230532092',4931,'9998',61.22,4,3,NULL),(15,2207117,'1987-01-26 00:00:00',4,1,12,2004,'F','N','PEDRA BRANCA','PALHOCA','SC','124252251237374511548831575124232427077',NULL,'9998',0.00,3,3,NULL),(15,2207141,'1989-04-10 00:00:00',4,1,12,2005,'F','N','CAMPINAS','SAO JOSE','SC','124242241212573431569913572122610127147',1282,'497',72.12,1,3,NULL),(15,2207150,'1989-09-27 00:00:00',4,1,12,2006,'M','N','MERCES','CURITIBA','PR','116122121214371431687912372314610132182',NULL,'9998',32.39,3,3,NULL),(15,2207168,'1986-06-18 00:00:00',4,1,12,2004,'M','N','NAZARE','TAPEJARA','RS','120202207347271431223624291321610164057',8292,'9998',54.86,1,3,NULL),(15,2207176,'1989-01-18 00:00:00',4,1,11,2006,'M','N','LAGOA DA CONCEICAO','FLORIANOPOLIS','SC','124163161215112411489912395122223224092',5927,'9998',59.20,1,3,NULL),(15,2207184,'1986-02-19 00:00:00',2,1,9,2004,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241112135431436624342124610124147',9459,'306',52.85,1,2,1),(15,2207192,'1990-04-30 00:00:00',2,5,12,2007,'F','N','JARDIM CIBELE','ARARANGUA','SC','124241241137131731433411245321610164052',17503,'30',41.08,1,3,NULL),(15,2207206,'1990-01-23 00:00:00',2,4,11,2007,'F','N','PASSO DA AREIA','CORONEL FREITAS','SC','124241241216371431446923335124610164182',14603,'185',45.27,1,3,NULL),(15,2207214,'1987-12-10 00:00:00',2,1,12,2003,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241336574731456613382214123064187',13559,'298',46.81,1,3,NULL),(15,2207222,'1990-10-15 00:00:00',4,1,12,2007,'F','N','FLORESTA','CAXIAS DO SUL','RS','120204201115271411467432241134610143142',21784,'9998',33.02,1,3,NULL),(15,2207230,'1990-10-08 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241415111431337823572124610127187',NULL,'269',26.36,1,3,NULL),(15,2207249,'1987-08-04 00:00:00',2,8,12,2005,'F','N','GLORIA','JOINVILLE','SC','124242246415573431666829592312610162087',3611,'494',64.45,4,3,NULL),(15,2207265,'1990-06-22 00:00:00',4,4,12,2007,'F','N','IPIRANGA','SAO JOSE DO CEDRO','SC','124241241116131431333314141222610122047',15367,'740',44.31,1,2,1),(15,2207273,'1990-03-16 00:00:00',4,2,11,2007,'M','N','CENTRO','IBIRAMA','SC','124242241215121411477914572125610127052',9396,'346',52.95,1,3,NULL),(15,2207281,'1991-08-24 00:00:00',4,3,11,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241215111731566412372121610167052',NULL,'403',32.28,1,3,NULL),(15,2207290,'1990-06-11 00:00:00',2,1,12,2007,'F','N','ROÇADO','SAO JOSE','SC','124242241215122431436413572124610145045',4177,'1010',62.96,1,3,NULL),(15,2207303,'1989-09-22 00:00:00',4,9,11,2008,'M','S','CENTRO','LAGES','SC','124244241216161441344832575115610122187',NULL,'497',45.87,1,3,NULL),(15,2207311,'1987-09-24 00:00:00',2,1,11,2007,'M','N','PASSA VINTE','PALHOCA','SC','124242241215111431453419295122610167042',14881,'1011',44.93,1,3,NULL),(15,2207320,'1988-09-10 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241135131411426633135124610164067',18038,'267',40.25,1,2,1),(15,2207338,'1986-04-08 00:00:00',2,1,12,2003,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124204201116472531457813382123610122053',6166,'9998',58.73,1,3,NULL),(15,2207346,'1989-10-26 00:00:00',2,3,12,2006,'M','N','SÃO JOSÉ','IBITINGA','SP','125251251315371431436311582112610162057',NULL,'9998',0.00,1,3,NULL),(15,2207354,'1989-10-15 01:00:00',4,6,12,2006,'F','N','JARDIM ESTORIL','CORNELIO PROCOPIO','PR','116162164213241321258979593122610146065',NULL,'9998',0.00,1,3,NULL),(15,2207362,'1989-10-26 00:00:00',2,1,12,2006,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241112271231425429342314610127147',16959,'307',41.92,4,1,1),(15,2207389,'1989-09-20 00:00:00',2,10,11,2007,'M','N','VILA MOEMA','TUBARAO','SC','124242241216112431363711375122610167062',12872,'807',47.76,1,3,NULL),(15,2207397,'1989-08-04 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241117133731536711192224610114067',17216,'257',41.54,1,3,NULL),(15,2207400,'1982-02-08 00:00:00',2,1,12,1999,'M','N','CAMPECHE','FLORIANOPOLIS','SC','624203201316274441324441415124133232112',12346,'9998',48.50,1,3,NULL),(15,2207419,'1988-09-16 00:00:00',2,1,12,2006,'F','N','ALTOS DE SANTANA','SAO JOSE DOS CAMPOS','SP','125253251216471431333614575124610142093',16479,'9998',42.61,1,3,NULL),(15,2207427,'1989-06-03 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124244241217131431326619575124610137047',21151,'9999',34.55,1,3,NULL),(15,2207435,'1989-12-20 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124241241137271431425414285114610137047',18095,'734',40.16,1,2,1),(15,2207443,'1987-09-07 00:00:00',2,1,12,2005,'F','N','IPIRANGA','SAO JOSE','SC','124241241127211421468639391132610113011',20564,'734',35.76,1,3,NULL),(15,2207451,'1991-05-18 00:00:00',4,1,12,2008,'F','S','CAMPECHE','FLORIANOPOLIS','SC','125253251316111431446614575224610113092',NULL,'9998',23.35,1,3,NULL),(15,2207460,'1983-12-02 00:00:00',2,1,12,2001,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124214211237341431226624482114142863195',NULL,'9998',22.90,1,3,NULL),(15,2207478,'1984-11-10 00:00:00',2,1,12,2003,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241125311421536614345124610127047',15413,'307',44.24,1,2,1),(15,2207486,'1989-07-28 00:00:00',4,1,12,2007,'M','N','REAL PARQUE','SAO JOSE','SC','124242241215111431446412245122610164042',21632,'1078',33.43,1,3,NULL),(15,2207494,'1989-09-15 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215111431528913575122610267112',14646,'262',45.21,4,3,NULL),(15,2207508,'1983-04-26 00:00:00',2,1,12,2000,'F','N','CENTRO','MANDAGUARI','PR','116163161217572441469934485122342736147',8566,'9998',54.41,4,3,NULL),(15,2207516,'1989-03-13 00:00:00',4,6,12,2007,'M','N','PRAIA BRAVA','ITAJAI','SC','124242241215111431356624575112610164172',10741,'389',50.82,1,3,NULL),(15,2207524,'1981-10-02 00:00:00',4,8,11,1999,'M','N','ALPHAVILLE GRACIOSA','PINHAIS','PR','116284131416271431388814272122241462137',NULL,'9998',0.00,1,3,NULL),(15,2207532,'1982-07-15 00:00:00',2,1,12,2001,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241111211411425544241124610165152',NULL,'307',19.12,1,2,1),(15,2207540,'1989-04-10 00:00:00',2,8,12,2006,'F','N','CENTRO','CURITIBA','PR','125253251215471431453619574115610132147',21477,'9998',33.78,1,3,NULL),(15,2207559,'1988-08-18 00:00:00',4,1,11,2006,'M','N','CENTRO','MONTE ALEGRE DO SUL','SP','125252251211212311428811471133610164022',15970,'9998',43.43,3,3,NULL),(15,2207575,'1987-01-28 00:00:00',4,8,11,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241216374441479833475122121146196',5696,'486',59.68,1,3,NULL),(15,2207591,'1990-06-04 00:00:00',4,1,12,2007,'M','N','JARDIM LINDÓIA','PORTO ALEGRE','RS','120202201217121421387932175124610167047',5330,'9998',60.45,1,3,NULL),(15,2207605,'1989-08-24 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244241215372431566713571124610147142',13553,'1118',46.82,1,3,NULL),(15,2207613,'1989-06-30 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241217471431169814476314610137017',4391,'499',62.50,1,3,NULL),(15,2207621,'1989-10-12 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241317111431446624375114610133117',NULL,'1022',19.99,1,3,NULL),(15,2207630,'1990-06-19 00:00:00',4,1,12,2007,'M','N','BELA VISTA TRÊS','SAO JOSE','SC','124241241117121231453923575121610137047',14162,'734',45.95,1,2,1),(15,2207648,'1988-10-02 00:00:00',1,1,11,2005,'F','N','BROOKLIN','SAO PAULO','SP','125252251215471431368814572114610162187',5529,'9998',60.00,1,3,NULL),(15,2207656,'1990-07-11 00:00:00',4,8,12,2007,'F','N','CENTRO','RIO BRANCO DO SUL','PR','116162161215471411568611574122610165096',NULL,'9998',0.00,1,3,NULL),(15,2207672,'1976-04-27 00:00:00',2,1,12,1992,'M','N','ENSEADA DE BRITO','PALHOCA','SC','224243243227372421333343235222130864197',7048,'524',57.06,1,3,NULL),(15,2207680,'1990-01-10 00:00:00',2,5,12,2006,'M','N','COLONINHA','ARARANGUA','SC','124241241117132421326724345231610167147',16316,'29',42.87,4,1,1),(15,2207699,'1990-03-29 00:00:00',4,4,11,2007,'M','N','CENTRO','CHAPECO','SC','124241241115271431458923375124610127042',15076,'169',44.70,1,2,1),(15,2207702,'1984-02-20 00:00:00',4,8,12,2003,'M','N','SAGUAÇU','JOINVILLE','SC','124132241217574411458614442331610131092',NULL,'494',0.00,2,3,NULL),(15,2207710,'1990-02-23 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124241241315111421345411574114610117142',NULL,'1011',30.63,1,3,NULL),(15,2207729,'1989-06-03 00:00:00',2,1,12,2007,'F','N','VENDAVAL','BIGUACU','SC','124241241117141431456613342114610117057',13758,'306',46.53,1,2,1),(15,2207737,'1989-11-07 00:00:00',4,1,12,2007,'M','N','INGLESES DO RIO VERM','FLORIANOPOLIS','SC','124254251215131431556834572122610127047',11767,'9998',49.30,1,3,NULL),(15,2207745,'1989-08-10 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124244241435111421324631571124610164072',15011,'988',44.78,1,3,NULL),(15,2207753,'1990-07-21 00:00:00',4,4,12,2007,'F','N','VERGUEIRO','PASSO FUNDO','RS','120202201217471431438614572112610162127',3792,'9998',63.99,1,3,NULL),(15,2207761,'1987-09-01 00:00:00',2,5,12,2005,'M','N','CENTRO','NOVA VENEZA','SC','124242241215573431578832571122610127052',5232,'211',60.65,1,3,NULL),(15,2207770,'1989-06-19 00:00:00',4,6,11,2006,'F','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116162161216571411679831575112610144092',NULL,'9998',0.00,1,3,NULL),(15,2207788,'1991-01-13 00:00:00',2,5,12,2007,'M','N','BAIRRO PARAGUAI','JACINTO MACHADO','SC','124241242117131411527716592221610138042',16380,'690',42.79,1,2,1),(15,2207796,'1989-05-30 00:00:00',4,2,12,2006,'M','N','VELHA','BLUMENAU','SC','124242241215472451478771594124610116097',6637,'855',57.83,1,3,NULL),(15,2207800,'1990-03-06 00:00:00',4,2,11,2007,'F','N','VELHA','BLUMENAU','SC','124241241215131412458413575124610167147',2530,'88',67.54,1,3,NULL),(15,2207818,'1990-10-23 00:00:00',4,10,12,2007,'M','N','CAMPO DE FORA','LAGUNA','SC','124242241215161431568833595121610138056',1648,'525',70.61,1,3,NULL),(15,2207826,'1990-08-08 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124244241217112431469813335224610124053',2022,'270',69.19,1,3,NULL),(15,2207834,'1989-07-17 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241115131431346513475124610131147',16953,'306',41.92,1,2,1),(15,2207850,'1988-11-08 00:00:00',4,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124241241215472431355814572124610124197',13753,'737',46.53,1,3,NULL),(15,2207877,'1986-09-11 00:00:00',4,3,12,2004,'M','N','VILA PROGRESSO','DOURADOS','MS','112122161216572431458811475122610127052',9665,'9998',52.47,1,3,NULL),(15,2207885,'1985-08-20 00:00:00',4,8,12,2003,'M','N','AGUA VERDE','CURITIBA','PR','116164161415571411378732371122143234072',18446,'9998',39.58,1,3,NULL),(15,2207907,'1988-06-21 00:00:00',2,1,12,2005,'F','N','BELA VISTA III','SAO JOSE','SC','124241241116471411558614371123610163142',19177,'257',38.38,1,2,1),(15,2207915,'1990-08-17 00:00:00',4,4,11,2007,'F','N','SÃO CRISTÓVÃO','CHAPECO','SC','124241241132111431446933575122610114142',NULL,'170',24.92,1,3,NULL),(15,2207923,'1990-08-24 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215112431438919174125610134127',12684,'213',48.01,1,3,NULL),(15,2207931,'1990-05-19 00:00:00',4,9,11,2007,'F','N','CENTRO','CURITIBANOS','SC','124242241215111431448632272122610134012',20722,'881',35.45,1,3,NULL),(15,2207958,'1990-12-30 00:00:00',4,1,12,2008,'F','S','CENTRO','PALHOCA','SC','124242241215171431455931572124610126087',NULL,'270',61.64,1,3,NULL),(15,2207966,'1991-09-05 00:00:00',4,1,11,2008,'M','S','AGRONOMICA','FLORIANOPOLIS','SC','124244246116111332557614375115610127042',NULL,'262',8.24,1,3,NULL),(15,2207974,'1991-02-15 00:00:00',4,5,12,2008,'F','S','COMERCIÁRIO','CRICIUMA','SC','124242241215111421368611415122610134192',NULL,'226',50.58,1,3,NULL),(15,2207982,'1984-07-06 00:00:00',4,1,12,2002,'F','N','SAO DOMINGOS','SAO JOSE DOS PINHAIS','PR','128161161116151431437571495124613223142',22452,'9998',29.56,3,2,1),(15,2208008,'1986-10-14 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241211372431348839395124131066182',17458,'44',41.14,1,3,NULL),(15,2208016,'1986-02-19 00:00:00',4,10,12,2003,'M','N','CAÇADOR','CAPIVARI DE BAIXO','SC','124241241121131431324314285111610127057',NULL,'798',0.00,1,3,NULL),(15,2208024,'1989-08-25 00:00:00',4,3,7,2007,'F','N','CENTRO','ERECHIM','RS','124284288217271411348812516124610118197',2284,'9998',68.29,1,3,NULL),(15,2208032,'1988-12-06 00:00:00',2,1,12,2005,'F','N','ROCADO','SAO JOSE','SC','124204241116331431534614345114610137142',NULL,'292',22.88,1,3,NULL),(15,2208040,'1990-04-11 00:00:00',2,2,11,2007,'M','N','CENTRO','BLUMENAU','SC','124242241215121431356614475122610127067',21127,'855',34.60,1,3,NULL),(15,2208059,'1990-12-21 00:00:00',4,5,11,2007,'F','N','CENTRO','BALNEARIO ARROIO DO SILVA','SC','124241241415121451433432341224610127147',NULL,'26',9.75,1,3,NULL),(15,2208067,'1987-07-30 00:00:00',4,1,12,2004,'M','N','JD ELTONVILLE','SOROCABA','SP','125252251215372431688834375112610164062',3202,'9998',65.54,1,3,NULL),(15,2208075,'1988-06-30 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241117473431357823475124610153147',1668,'270',70.50,1,3,NULL),(15,2208083,'1989-08-19 00:00:00',2,1,12,2006,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241133141731433419345134610125187',NULL,'298',32.41,1,2,1),(15,2208105,'1991-09-02 00:00:00',4,2,12,2008,'F','S','POMERANOS','TIMBO','SC','124241241215111431456931575122610127142',NULL,'9997',50.68,1,3,NULL),(15,2208121,'1990-06-28 00:00:00',4,1,12,2007,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241117151431546614172314610137047',21082,'298',34.70,1,2,1),(15,2208130,'1989-11-29 00:00:00',2,2,11,2007,'M','N','EUGENIO SCHNEIDER','RIO DO SUL','SC','124242241216131231459613575122610127147',10582,'663',51.05,1,3,NULL),(15,2208148,'1989-12-26 00:00:00',2,1,11,2007,'F','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124243241117131431446923432122610166077',20784,'298',35.33,1,3,NULL),(15,2208156,'1990-04-03 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124242241317151721348821272314610118032',17200,'281',41.57,1,3,NULL),(15,2208172,'1991-03-28 00:00:00',2,1,11,2007,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241315111431435832182224610147092',13620,'270',46.72,1,3,NULL),(15,2208180,'1991-09-12 00:00:00',2,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215151731487934442122610134112',NULL,'262',0.00,1,3,NULL),(15,2208199,'1990-10-13 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215121731553413572124610127117',15721,'737',43.78,1,3,NULL),(15,2208202,'1990-09-14 00:00:00',4,3,12,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','124241246215151441433632284224610167097',17328,'1119',41.35,1,3,NULL),(15,2208210,'1990-02-27 00:00:00',2,4,12,2007,'M','N','CENTRO','ITAPIRANGA','SC','124241241115131431613439192224610133157',18027,'412',40.27,1,2,1),(15,2208229,'1992-12-22 00:00:00',4,5,12,2008,'F','S','PINHEIRINHO','CRICIUMA','SC','124242241215111431459914572122610131142',NULL,'880',22.30,1,3,NULL),(15,2208237,'1990-09-28 00:00:00',4,4,12,2007,'F','N','COQUEIRAL','CASCAVEL','PR','116162161215111431448314244122610164147',15467,'9998',44.16,1,3,NULL),(15,2208253,'1989-09-07 00:00:00',2,7,12,2006,'F','N','REBOUÇAS','CURITIBA','PR','116201241216472431458611572314610127077',4051,'829',63.33,1,3,NULL),(15,2208261,'1989-11-30 00:00:00',4,8,12,2006,'M','N','AGUA VERDE','CURITIBA','PR','116162161217471411478834575122610162046',NULL,'9998',0.00,1,3,NULL),(15,2208270,'1989-01-23 00:00:00',2,4,12,2006,'M','N','CENTRO','IJUI','RS','120201201217371431236622572114610167047',15417,'9998',44.23,1,3,NULL),(15,2208288,'1987-03-18 00:00:00',4,1,6,2006,'F','N','SANTO ANTONIO','GUARULHOS','SP','125251257137371731333334375124610162094',NULL,'9998',0.00,1,2,1),(15,2208296,'1986-02-28 00:00:00',4,1,12,2003,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241216273431376612575122221461185',4009,'270',63.43,1,3,NULL),(15,2208300,'1989-03-18 00:00:00',4,1,12,2006,'M','N','SANTA CRUZ','RIBEIRAO PRETO','SP','125252251235371431448614575122610164042',NULL,'9998',0.00,1,3,NULL),(15,2208318,'1990-04-04 00:00:00',4,1,10,2007,'F','N','MAR GROSSO','LAGUNA','SC','124242241217132451438714476122610143147',1280,'807',72.12,1,3,NULL),(15,2208326,'1989-01-23 00:00:00',4,1,12,2006,'F','N','ZONA SETE','MARINGA','PR','116162161216472411449711472112610133012',13052,'9998',47.51,3,3,NULL),(15,2208342,'1989-06-29 00:00:00',4,1,11,2007,'M','N','SANTANA','SAO PAULO','SP','125073251217271431478813575114610132052',NULL,'9998',0.00,1,3,NULL),(15,2208369,'1990-05-21 00:00:00',2,1,12,2007,'M','N','RIO DAS ANTAS','ANGELINA','SC','124241241144131431448513572225610144057',19763,'649',37.30,1,2,1),(15,2208377,'1990-02-16 00:00:00',2,8,12,2006,'F','N','CIDADE NOVA','PORTO UNIAO','SC','124242241214471431428832574124610126097',NULL,'633',0.00,1,3,NULL),(15,2208385,'1986-11-03 00:00:00',4,1,12,2004,'F','N','MIRANDÓPOLIS','SAO PAULO','SP','125252251217571431578714571125610131147',541,'9998',76.48,1,3,NULL),(15,2208393,'1989-01-13 00:00:00',4,8,11,2006,'M','N','JARDIM AMERICA','PARANAIBA','MS','112122121217271431449612595112610132072',3026,'9998',66.06,2,3,NULL),(15,2208407,'1990-04-18 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111431457431472122610134077',3816,'738',63.94,1,3,NULL),(15,2208415,'1991-08-03 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124254241215111732388912275224610127056',NULL,'1022',58.92,1,3,NULL),(15,2208423,'1990-08-24 00:00:00',4,8,11,2007,'F','N','CENTRO','JOINVILLE','SC','124242241215121431368619572125610164092',4750,'486',61.64,1,3,NULL),(15,2208431,'1989-07-01 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211472431359713571325610134147',5934,'499',59.19,1,3,NULL),(15,2208440,'1990-07-30 00:00:00',4,1,12,2007,'M','N','JOSÉE MENDES','FLORIANOPOLIS','SC','124242241215151431446613575124610167042',12057,'271',48.91,1,3,NULL),(15,2208458,'1989-11-30 00:00:00',4,1,12,2007,'F','N','CENTRO','CORUMBA','MS','112123121331221421468831475122610112141',NULL,'9998',0.00,1,3,NULL),(15,2208466,'1989-04-28 00:00:00',4,1,10,2006,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242246215131551259813342114610167112',7915,'995',55.50,1,3,NULL),(15,2208474,'1990-03-02 00:00:00',4,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124201241135113231457711572122610135051',11874,'723',49.14,1,3,NULL),(15,2208482,'1990-03-26 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124244241215111431533321172322610114142',12544,'1010',48.23,1,3,NULL),(15,2208504,'1989-03-15 00:00:00',4,1,12,2007,'M','N','CENTRO','SANTA ROSA','RS','120202201116161231446823235122610134187',20658,'9998',35.58,1,3,NULL),(15,2208512,'1973-12-25 00:00:00',4,1,3,1994,'M','N','CARIANOS','FLORIANOPOLIS','SC','224241246116144121443943235122121754187',14678,'306',45.18,1,2,1),(15,2208520,'1989-11-06 00:00:00',4,1,11,2006,'M','N','BARREIROS','SAO JOSE','SC','124243241217472432358413574112610118171',532,'738',76.54,1,3,NULL),(15,2208539,'1990-08-10 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124244241215111431566713575124610137142',18136,'1118',40.09,1,3,NULL),(15,2208547,'1989-07-04 00:00:00',4,1,11,2006,'M','N','BOA ESPERANÇA','CUIABA','MT','111112111216271731568812575122140762057',2668,'9998',67.14,1,3,NULL),(15,2208563,'1990-04-12 00:00:00',2,5,12,2007,'M','N','SÃO LUIZ','SOMBRIO','SC','124241242117131732333712292224610162057',8695,'690',54.19,1,2,1),(15,2208571,'1988-12-25 00:00:00',4,8,12,2006,'M','N','AMÉRICA','JOINVILLE','SC','124242241215411431379914574112610164187',11495,'486',49.72,1,3,NULL),(15,2208580,'1991-02-21 00:00:00',4,2,11,2008,'M','S','JARDIM BLUMENAU','BLUMENAU','SC','124242161217151712478831575112610142042',NULL,'87',45.59,1,3,NULL),(15,2208598,'1989-06-13 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215472431356713292124610117047',NULL,'751',NULL,1,3,NULL),(15,2208601,'1990-10-25 00:00:00',4,3,12,2007,'M','N','CENTRO','TIJUCAS','SC','624243241217111431667319575121610112092',NULL,'948',20.37,1,3,NULL),(15,2208610,'1989-03-11 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216472431448959575114610167052',5239,'266',60.64,1,3,NULL),(15,2208628,'1987-12-28 00:00:00',4,1,12,2004,'F','N','ITAPOÃ PEDRA SAL','SALVADOR','BA','105132051117471432579613575122241016097',3245,'9998',65.42,1,3,NULL),(15,2208636,'1990-02-18 00:00:00',4,7,12,2007,'F','N','CIDADE JARDIM','CATANDUVAS','SC','124241241137371431448614595114610118142',NULL,'161',0.00,1,3,NULL),(15,2208644,'1987-05-22 00:00:00',4,1,12,2004,'F','N','LIBERDADE','SAO PAULO','SP','125252251217572431579813571122610167182',6438,'9998',58.19,1,3,NULL),(15,2208652,'1987-05-01 00:00:00',4,1,11,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241247317272431446613595124610126071',12594,'9999',48.14,1,3,NULL),(15,2208679,'1988-04-02 00:00:00',4,1,11,2005,'M','N','CENTRO','CANOINHAS','SC','124244241211152431348832485122231467043',11483,'154',49.73,1,3,NULL),(15,2208687,'1990-05-15 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241317271731443811575125610162045',11187,'269',50.18,1,3,NULL),(15,2208695,'1990-03-17 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124242247212471431568815472122610136142',22397,'9999',30.40,1,3,NULL),(15,2208709,'1987-10-22 00:00:00',4,1,12,2005,'M','N','CHACARAS CATAGUA','TAUBATE','SP','125252256217571411448831372124610117042',5904,'9998',59.25,1,3,NULL),(15,2208717,'1990-07-19 00:00:00',4,1,12,2007,'M','N','JARDIM ESPLANADA','SAO JOSE DOS CAMPOS','SP','125252251214111422349933432122610164012',9467,'9998',52.83,1,3,NULL),(15,2208725,'1990-03-12 00:00:00',4,1,11,2007,'M','N','JARDIM SANTA MÔNICA','FLORIANOPOLIS','SC','125254251217161431368814577221610137052',8234,'9998',54.96,1,3,NULL),(15,2208733,'1991-05-15 00:00:00',4,8,11,2008,'F','S','VILA NOVA','JOINVILLE','SC','124242241215111411454612225122610137077',NULL,'459',20.50,1,3,NULL),(15,2208741,'1984-08-22 00:00:00',2,1,12,2003,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241122371431228321381314610115142',21600,'307',33.50,1,3,NULL),(15,2208750,'1989-06-25 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242248216111431538812275112610137181',20426,'44',36.00,1,3,NULL),(15,2208768,'1990-04-20 00:00:00',2,10,11,2007,'M','N','OFICINAS','TUBARAO','SC','124241241215111411453823375122610117147',16759,'807',42.24,1,3,NULL),(15,2208776,'1986-05-03 00:00:00',2,1,12,2003,'M','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124251251127131411423421382344610162117',22207,'9998',31.47,2,3,NULL),(15,2208792,'1980-03-07 00:00:00',4,8,12,1997,'F','N','GLÓRIA','JOINVILLE','SC','124242241237151711468839341122333265012',NULL,'459',0.00,1,3,NULL),(15,2208806,'1989-10-16 00:00:00',4,3,12,2006,'F','N','CENTRO','SANTO ANGELO','RS','120202201217372411458819572122610124187',15162,'9998',44.58,4,3,NULL),(15,2208814,'1984-06-25 00:00:00',4,6,11,2001,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124052051216572411228644442224610136147',3994,'9998',63.46,1,3,NULL),(15,2208830,'1990-11-15 00:00:00',2,4,11,2007,'M','N','FRIZON','CORONEL VIVIDA','PR','116164161216171411656832221122610134057',14097,'9998',46.04,1,3,NULL),(15,2208857,'1989-12-11 00:00:00',2,1,12,2006,'F','N','ZONA SETE','MARINGA','PR','116161161115371431556519575122610132077',NULL,'9998',0.00,4,2,1),(15,2208865,'1987-08-03 00:00:00',4,3,12,2005,'F','N','CENTRO','SAO JOSE DO RIO PRETO','SP','125112111211571431239911571122610162102',14279,'9998',45.76,1,3,NULL),(15,2208873,'1991-03-26 00:00:00',4,8,12,2008,'F','S','ATIRADORES','JOINVILLE','SC','124242241215271431448814575122610127095',NULL,'491',44.64,1,3,NULL),(15,2208881,'1990-03-19 00:00:00',4,9,12,2007,'F','N','BOSQUE','CURITIBANOS','SC','124242161215471421578612171122610161122',21011,'9998',34.83,1,3,NULL),(15,2208903,'1989-08-21 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116122121217111431468913575124243262052',12444,'9998',48.37,1,3,NULL),(15,2208911,'1989-07-24 00:00:00',2,3,6,2007,'M','N','DOS ESTADOS','BALNEARIO CAMBORIU','SC','124241241235331431346621342341610126177',NULL,'1017',0.00,1,3,NULL),(15,2208920,'1979-11-30 00:00:00',4,1,12,1997,'F','N','TRINDADE','FLORIANOPOLIS','SC','224241241126153711243444145122323268195',3807,'381',63.96,1,3,NULL),(15,2208938,'1988-06-03 00:00:00',2,9,12,2005,'M','N','CENTRO','CURITIBANOS','SC','124242241215471431668734575124610127057',20024,'881',36.77,1,3,NULL),(15,2208946,'1990-02-06 00:00:00',4,1,12,2007,'M','N','ARCADAS','AMPARO','SP','125252251215111731436834576114610167094',7803,'9998',55.69,1,3,NULL),(15,2208954,'1990-02-16 00:00:00',2,5,11,2007,'M','N','ESTAÇÃO','URUSSANGA','SC','124242241415111431446614575122610167152',15539,'820',44.07,1,3,NULL),(15,2208962,'1990-05-23 00:00:00',4,2,12,2007,'M','N','RIO PERIMBÓ','ITUPORANGA','SC','124241241135161431323466352223610127057',16228,'416',43.01,1,2,1),(15,2208970,'1990-07-14 00:00:00',4,1,12,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124244241115131451554634455125610166182',NULL,'733',NULL,1,3,NULL),(15,2208997,'1990-10-30 00:00:00',2,1,11,2007,'M','N','CENTRO','IMBITUBA','SC','124241241215111411536614272122610117112',12420,'362',48.41,4,3,NULL),(15,2209004,'1990-06-29 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124122241215121731468619492112610144141',14276,'269',45.76,1,3,NULL),(15,2209012,'1988-01-13 00:00:00',4,1,12,2007,'M','N','ROÇADO','SAO JOSE','SC','124241241116131532326629495124610117142',NULL,'733',1.66,1,3,NULL),(15,2209020,'1989-01-14 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372751478833495122231063147',8221,'270',54.98,1,3,NULL),(15,2209039,'1985-11-28 00:00:00',4,1,12,2004,'M','N','ITAPOÃ PEDRA SAL','SALVADOR','BA','105132057127471432579613572122241414046',14467,'9998',45.48,1,3,NULL),(15,2209047,'1990-02-12 00:00:00',2,1,12,2007,'M','N','MACACU','GAROPABA','SC','124241241125371431336619575344610127012',18323,'322',39.76,1,2,1),(15,2209055,'1984-09-11 00:00:00',4,3,12,2002,'F','N','SÃO LUIZ','AVARE','SP','125251251217471431436613142321143263097',2562,'9998',67.43,1,3,NULL),(15,2209063,'1990-07-16 00:00:00',2,1,11,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124243248215111731447513575124610117055',12177,'270',48.76,1,3,NULL),(15,2209080,'1991-04-23 00:00:00',4,3,12,2008,'F','S','VILA NOVA','JARAGUA DO SUL','SC','124242241217111431469931314122610132182',NULL,'491',53.30,4,3,NULL),(15,2209098,'1989-09-01 00:00:00',4,8,12,2007,'M','N','VILA CAROLINA','ITAPETININGA','SP','125252251216111431328631212122610118047',15740,'9998',43.76,1,3,NULL),(15,2209110,'1989-05-01 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124161241415131711326314345124610138057',15035,'272',44.75,1,3,NULL),(15,2209128,'1989-10-10 00:00:00',4,10,11,2007,'F','N','CENTRO','TUBARAO','SC','124242241215112431453912575122610122187',9190,'807',53.29,1,3,NULL),(15,2209144,'1983-02-28 00:00:00',4,2,12,2000,'M','N','RODEIO','RODEIO','SC','124241248616131431458623432124242638057',6707,'204',57.72,1,3,NULL),(15,2209160,'1990-04-17 00:00:00',4,1,12,2007,'F','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124241241115111421436514342334610114042',NULL,'278',17.13,2,3,NULL),(15,2209179,'1990-02-01 00:00:00',4,4,12,2007,'F','N','CENTRO','UNIAO DO OESTE','SC','124241241125131431533329572222610124147',NULL,'816',22.29,4,2,1),(15,2209187,'1989-12-10 00:00:00',4,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215151411448913575112610124142',2430,'723',67.83,1,3,NULL),(15,2209195,'1989-07-08 00:00:00',4,1,11,2006,'M','N','BARREIROS','SAO JOSE','SC','124243241215112411456513572122230211057',17915,'738',40.47,5,3,NULL),(15,2209209,'1991-03-17 00:00:00',4,2,12,2008,'F','S','CENTRO','BRUSQUE','SC','124244241215111431344819172112610132192',NULL,'107',44.28,1,3,NULL),(15,2209225,'1990-02-25 00:00:00',2,5,12,2007,'F','N','CENTRO','BALNEARIO GAIVOTA','SC','124242241215111431136635162225610163117',12631,'32',48.09,1,3,NULL),(15,2209233,'1990-05-09 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124241241335161431465614575124610134012',9738,'734',52.37,1,3,NULL),(15,2209241,'1982-04-17 00:00:00',2,1,12,1999,'F','N','CENTRO','FLORIANOPOLIS','SC','624241161346473431144943335124222934147',17211,'9998',41.55,1,3,NULL),(15,2209250,'1990-04-29 00:00:00',2,10,11,2007,'M','N','CENTRO','IMBITUBA','SC','124243241215111431365627275121610125112',8087,'362',55.21,1,3,NULL),(15,2209268,'1991-05-27 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124244241217111311369833572122610137011',NULL,'262',59.44,1,3,NULL),(15,2209276,'1989-09-13 00:00:00',2,8,12,2006,'M','N','BOA VISTA','JOINVILLE','SC','124243241116471731469913595114610117062',14394,'635',45.58,1,3,NULL),(15,2209284,'1991-01-16 00:00:00',4,1,11,2007,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124202241117131431436664575124610167062',15509,'288',44.12,1,3,NULL),(15,2209292,'1980-05-08 00:00:00',4,1,12,1997,'M','N','BARRA DO ARIRIÚ','PALHOCA','SC','124241246137273431566533445124220964042',10102,'306',51.78,1,2,1),(15,2209306,'1991-01-07 00:00:00',2,6,11,2007,'F','N','ARIRIBÁ','BALNEARIO CAMBORIU','SC','124243241215151712357633575124610146057',6557,'9997',57.96,1,3,NULL),(15,2209314,'1990-04-13 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215121431439634575114610167125',3284,'737',65.29,1,3,NULL),(15,2209322,'1990-06-20 00:00:00',2,4,12,2007,'M','N','VENEZA','XANXERE','SC','124243241336151431566911575122610124012',12928,'840',47.68,4,3,NULL),(15,2209330,'1990-06-22 00:00:00',2,1,12,2007,'F','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124242241215131431446619575122610122192',17829,'258',40.62,1,3,NULL),(15,2209349,'1989-03-03 00:00:00',2,1,12,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244241416132431468913575124233247057',16305,'262',42.90,1,3,NULL),(15,2209357,'1989-12-16 00:00:00',2,1,8,2007,'F','N','ARIRIÚ','PALHOCA','SC','124242241117371431448811141134610132153',16472,'739',42.62,1,3,NULL),(15,2209365,'1990-11-16 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124243241415111411245829574312610165192',15815,'983',43.65,1,3,NULL),(15,2209381,'1985-08-27 00:00:00',2,1,12,2002,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241121134341453312246124610166095',NULL,'307',0.00,1,2,1),(15,2209390,'1988-05-22 00:00:00',4,1,12,2006,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124244241137372431449723575114610134187',11320,'307',49.97,1,3,NULL),(15,2209403,'1991-10-05 00:00:00',4,2,12,2008,'F','S','CENTRO','RIO DO SUL','SC','124242241215111431469833574115610123072',NULL,'991',50.78,1,3,NULL),(15,2209411,'1989-05-08 00:00:00',4,1,12,2006,'F','N','CHÁCARAS DO VALE','MOCOCA','SP','125252251217411731437611575122610161042',2387,'9998',67.96,1,3,NULL),(15,2209438,'1991-08-29 00:00:00',4,1,12,2008,'M','S','BARREIROS','SAO JOSE','SC','124242241217111431269834575122610137046',NULL,'270',38.73,1,3,NULL),(15,2209446,'1991-01-07 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215111431637711575122610135142',17043,'272',41.82,1,3,NULL),(15,2209454,'1990-06-22 00:00:00',4,1,11,2007,'F','N','SANTA MARIA','AMERICANA','SP','125254251217111431468431475122610123097',10536,'9998',51.13,4,3,NULL),(15,2209470,'1988-04-10 00:00:00',2,1,12,2005,'F','N','PLANALTO PAULISTA','SAO PAULO','SP','125252251216272431337712522122240737057',NULL,'9998',0.00,1,3,NULL),(15,2209489,'1983-12-08 00:00:00',4,1,12,2000,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241415575441259933572114230223147',607,'270',76.03,1,3,NULL),(15,2209497,'1989-05-30 00:00:00',4,1,12,2006,'F','N','CHACARA URBANA','JUNDIAI','SP','125252251215471431578811472122610123097',NULL,'9998',0.00,1,3,NULL),(15,2209500,'1989-11-24 00:00:00',4,8,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241217121431438811575112610134127',10985,'44',50.50,1,3,NULL),(15,2209519,'1985-02-11 00:00:00',2,8,12,2002,'F','N','CAPÃO DA IMBUIA','CURITIBA','PR','116161161115471431339833572124610163187',8358,'9998',54.76,1,3,NULL),(15,2209527,'1990-12-14 00:00:00',2,7,12,2007,'M','N','CENTRO','ERVAL VELHO','SC','124244241215151531366912395124610167052',13165,'446',47.38,1,3,NULL),(15,2209535,'1989-02-23 00:00:00',4,1,12,2007,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241241115111412426632575124610167052',NULL,'306',30.20,1,2,1),(15,2209543,'1990-08-23 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111411468413592112610132015',7589,'270',56.05,1,3,NULL),(15,2209551,'1990-02-07 00:00:00',4,4,11,2007,'M','N','FLORESTA','ITAPIRANGA','SC','124241241115131431333923582125610127042',19372,'412',38.06,1,2,1),(15,2209560,'1990-04-07 00:00:00',4,8,12,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241215131411437414375121610126012',21335,'1006',34.11,1,3,NULL),(15,2209578,'1988-10-19 00:00:00',2,1,12,2006,'F','N','BELA VISTA','CAXIAS DO SUL','RS','120201201117372431435524241134610167142',NULL,'9998',23.71,1,3,NULL),(15,2209586,'1990-04-12 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215112731586632172124610167036',8606,'270',54.33,1,3,NULL),(15,2209608,'1990-04-28 00:00:00',4,3,12,2007,'F','N','SANTA INES','BARIRI','SP','125251251116171731437611595122613228191',NULL,'9998',20.73,1,2,1),(15,2209616,'1991-04-24 00:00:00',4,1,12,2007,'M','N','AREIAS','SAO JOSE','SC','124242241115111431436634345124610114097',16183,'739',43.09,1,3,NULL),(15,2209624,'1989-08-22 00:00:00',4,1,12,2006,'M','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124242241215372431446671345132610136052',7445,'258',56.34,1,3,NULL),(15,2209632,'1988-06-22 00:00:00',4,8,12,2005,'F','N','VILA NOVA','JOINVILLE','SC','124242241217572751325734572124610162075',6959,'457',57.24,1,3,NULL),(15,2209640,'1990-04-14 00:00:00',2,5,12,2007,'M','N','PEDRO ZANIVAM','CRICIUMA','SC','124241243435111421344832345122610145092',18165,'226',40.03,1,3,NULL),(15,2209659,'1987-11-25 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241117131511535814345134610127062',21721,'100',33.21,1,2,1),(15,2209667,'1990-04-05 00:00:00',4,5,11,2007,'M','N','PIO CORREA','CRICIUMA','SC','124242241215131431448812172125610168117',11783,'226',49.28,1,3,NULL),(15,2209675,'1990-03-03 00:00:00',2,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124243241215111431326623575124610133097',12547,'1022',48.23,1,3,NULL),(15,2209683,'1988-12-17 00:00:00',4,1,7,2007,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241247617131411455933342114610167187',18291,'9999',39.81,1,3,NULL),(15,2209691,'1990-11-07 00:00:00',2,5,11,2007,'F','N','CENTRO','TURVO','SC','124241241215371431334911572122610111057',2602,'970',67.32,4,3,NULL),(15,2209705,'1990-09-08 00:00:00',2,5,11,2007,'F','N','JARDIM CASAGRANDE','CRICIUMA','SC','124242241215111431559834282122610135052',NULL,'226',0.00,1,3,NULL),(15,2209721,'1990-10-09 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111432368829572122610132147',NULL,'262',21.64,1,3,NULL),(15,2209730,'1990-12-17 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216371751646923495122610137071',16581,'262',42.48,1,3,NULL),(15,2209748,'1989-03-05 00:00:00',4,1,11,2006,'M','N','CENTRO','ARARANGUA','SC','124242241215472431568812572112610167092',4024,'270',63.39,1,3,NULL),(15,2209756,'1990-02-24 00:00:00',4,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215121431469914442124610137042',5812,'723',59.45,1,3,NULL),(15,2209764,'1990-10-29 00:00:00',2,5,11,2007,'M','N','CENTRO','MORRO DA FUMACA','SC','124243241217131431453512272122610164112',12541,'1107',48.24,1,3,NULL),(15,2209772,'1990-07-05 00:00:00',2,1,11,2007,'F','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124242241215111431469932575124610124112',9973,'270',51.97,1,3,NULL),(15,2209780,'1990-06-16 00:00:00',2,1,12,2007,'F','N','SÃO PELEGRINO','CAXIAS DO SUL','RS','120202201216271421356833572125610125077',11944,'9998',49.05,1,3,NULL),(15,2209799,'1987-05-22 00:00:00',4,4,12,2004,'M','N','PRESIDENTE MÉDICI','CHAPECO','SC','124243241216272431127744245124221722012',6757,'1046',57.64,4,3,NULL),(15,2209802,'1989-04-23 00:00:00',2,4,12,2007,'M','N','TREVO','RENASCENCA','PR','116164161415111211488812175112610126017',NULL,'9998',23.47,1,3,NULL),(15,2209810,'1990-11-19 00:00:00',2,5,12,2007,'M','N','SANTANA','PORTO ALEGRE','RS','120202208217111751468811472122610167017',NULL,'9998',0.00,1,3,NULL),(15,2209829,'1990-02-01 00:00:00',4,2,12,2007,'M','N','GARCIA','BLUMENAU','SC','124242241215111431358612572112610122192',7417,'87',56.38,1,3,NULL),(15,2209837,'1989-04-19 00:00:00',2,1,11,2007,'M','N','PRAIA BRAVA','FLORIANOPOLIS','SC','124241241216111411433334375124610167111',19271,'266',38.22,1,3,NULL),(15,2209845,'1986-03-06 00:00:00',4,1,12,2004,'M','N','AREIAS','SAO JOSE','SC','124254251214373411436479572124121962012',2393,'9998',67.94,1,3,NULL),(15,2209853,'1988-05-01 00:00:00',4,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124254251213162411368921275121221462102',5420,'9998',60.23,1,3,NULL),(15,2209861,'1990-04-19 00:00:00',2,5,11,2007,'F','N','BALNEARIO RINCAO','ICARA','SC','124243241217121431326531272124610132147',975,'226',73.67,1,3,NULL),(15,2209870,'1991-08-06 00:00:00',4,4,12,2008,'M','S','SÃO CRISTOVÃO','FAXINAL DOS GUEDES','SC','124241241215151751366833275124610128142',NULL,'836',55.54,1,3,NULL),(15,2209888,'1991-01-13 00:00:00',4,9,11,2008,'M','S','CENTRO','LAGES','SC','124242241212111431469811575122610134052',NULL,'497',37.35,1,3,NULL),(15,2209900,'1991-05-05 00:00:00',4,5,12,2008,'M','S','SETOR BUENO','GOIANIA','GO','109092091217111431368814574122610162045',NULL,'9998',44.82,4,3,NULL),(15,2209918,'1990-04-10 00:00:00',4,1,11,2007,'F','N','BELA VISTA','SAO JOSE','SC','124244241212111431436651572124610128077',NULL,'738',20.76,1,3,NULL),(15,2209926,'1986-03-18 00:00:00',4,1,12,2003,'F','N','LAGOA DA CONCEICAO','FLORIANOPOLIS','SC','124244241214135721579413415124233262097',7861,'269',55.60,1,3,NULL),(15,2209934,'1990-07-21 00:00:00',4,2,12,2007,'F','N','NOVA RUSSIA','PONTA GROSSA','PR','116162161214471431546923572122610121122',NULL,'9998',0.00,1,3,NULL),(15,2209942,'1990-04-28 00:00:00',4,3,11,2007,'F','N','CENTRO','PONTA GROSSA','PR','116162161215111431588832574112610122172',7215,'9998',56.76,1,3,NULL),(15,2209950,'1980-08-04 00:00:00',2,1,12,2001,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124163167127371431326644441223140211092',17287,'9999',41.43,1,3,NULL),(15,2209969,'1991-03-26 00:00:00',2,1,12,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215151311659832572122610133147',15471,'270',44.16,1,3,NULL),(15,2209977,'1990-08-16 00:00:00',4,4,12,2007,'M','N','BOM SUCESSO','PALMITOS','SC','124243241217161431449953575122610117047',20591,'600',35.70,1,3,NULL),(15,2209985,'1986-05-13 00:00:00',4,1,12,2004,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124243241345372431538611245124610132042',21122,'1036',34.61,3,3,NULL),(15,2209993,'1989-03-10 00:00:00',4,8,12,2006,'F','N','BATEL','CURITIBA','PR','116162161216471431248913574124610122187',425,'9998',77.42,1,3,NULL),(15,2210010,'1989-05-22 00:00:00',2,1,12,2006,'F','N','BELA VISTA','SAO JOSE','SC','124242241215372431437613171124610133152',11616,'1022',49.52,1,3,NULL),(15,2210029,'1989-04-22 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217372431358823575124610117041',14095,'1022',46.04,1,3,NULL),(15,2210037,'1987-08-28 00:00:00',4,1,12,2004,'F','N','CENTRO','ARARANGUA','SC','124242251215572431568812572112610167092',3916,'9998',63.69,1,3,NULL),(15,2210045,'1988-07-30 00:00:00',2,9,12,2005,'M','N','CENTRO','BOM JARDIM DA SERRA','SC','124243241347132411526531112335610118091',NULL,'702',4.13,1,3,NULL),(15,2210053,'1991-04-05 00:00:00',2,1,11,2007,'F','N','MODULO DOIS','JUINA','MT','111114111216131432443621576122610137072',8305,'9998',54.84,1,3,NULL),(15,2210061,'1991-02-25 00:00:00',2,1,12,2007,'F','N','PINHEIRA','PALHOCA','SC','124242241215111731468412572112610138187',NULL,'1011',42.33,1,3,NULL),(15,2210070,'1989-02-19 00:00:00',4,3,12,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124162251217371211186716575112232434125',1260,'9998',72.20,1,3,NULL),(15,2210096,'1990-07-10 00:00:00',4,1,12,2008,'M','S','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241212111412354923575114610167042',NULL,'1022',20.70,1,3,NULL),(15,2210100,'1987-12-16 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124243247316271431524624472114610164191',13143,'9999',47.40,1,3,NULL),(15,2210126,'1990-03-14 00:00:00',4,2,12,2007,'F','N','ASSUNÇÃO','SAO BERNARDO DO CAMPO','SP','125252251217141431456414315112610168122',12812,'9998',47.84,1,3,NULL),(15,2210134,'1991-06-28 00:00:00',4,1,12,2007,'F','N','CENTRO','GAROPABA','SC','124204241336161731587532224122610122122',NULL,'322',24.30,1,3,NULL),(15,2210142,'1989-12-31 00:00:00',4,1,12,2007,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124242241215472231388912575112610117132',6814,'270',57.52,1,3,NULL),(15,2210150,'1990-02-24 00:00:00',4,1,11,2007,'F','N','CAVALHADA','CACERES','MT','111112111216112431489932374112610117092',2336,'9998',68.11,1,3,NULL),(15,2210169,'1987-12-10 00:00:00',4,3,12,2004,'M','N','AMÉRICA','JOINVILLE','SC','124242241217122741339814475121230734187',9199,'1026',53.28,1,3,NULL),(15,2210177,'1989-11-21 00:00:00',4,1,12,2006,'M','N','CENTRO','MAFRA','SC','124242241215471431489613575122610134122',3486,'541',64.79,1,3,NULL),(15,2210185,'1992-02-17 00:00:00',4,1,11,2008,'F','S','PANTANAL','FLORIANOPOLIS','SC','124243241215111431546723575124610138185',NULL,'1022',41.19,1,3,NULL),(15,2210193,'1989-07-16 00:00:00',2,1,12,2006,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241131132121523621242234610136157',19947,'288',36.92,1,2,1),(15,2210215,'1988-12-10 00:00:00',2,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124163161117131431223624342214610124097',14958,'9998',44.84,1,3,NULL),(15,2210223,'1990-09-27 00:00:00',4,2,12,2007,'M','N','VILA NOVA','BLUMENAU','SC','124242241216111331459412425124610147042',10475,'71',51.22,1,3,NULL),(15,2210231,'1989-05-15 00:00:00',4,1,12,2006,'M','N','BOA VISTA','SAO JOSE DO RIO PRETO','SP','125112111217471751459931575111610146097',168,'9998',80.32,1,3,NULL),(15,2210240,'1990-06-08 00:00:00',2,5,12,2007,'F','N','CIDADE ALTA','ARARANGUA','SC','124241241215371331523614575121610137142',NULL,'970',0.00,1,3,NULL),(15,2210258,'1991-03-05 00:00:00',2,4,12,2007,'F','N','ITAIPÚ','SALTINHO','SC','124241248136161431446913472222610135057',18241,'682',39.90,1,3,NULL),(15,2210266,'1990-04-25 00:00:00',2,7,12,2007,'F','N','SANTA TEREZA','VIDEIRA','SC','124243241216121431367832172122610126142',11024,'829',50.42,1,3,NULL),(15,2210274,'1990-09-16 00:00:00',2,9,12,2007,'M','N','GLÓRIA','VACARIA','RS','120201208617141431623339392121610137047',22406,'9998',30.34,1,3,NULL),(15,2210290,'1991-07-15 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215111431367932572124610164012',18506,'270',39.46,1,3,NULL),(15,2210304,'1989-04-20 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241217272721466612346124610111147',16504,'272',42.58,4,3,NULL),(15,2210312,'1987-12-21 00:00:00',2,1,12,2006,'M','N','AGRNOMICA','FLORIANOPOLIS','SC','124241251116131231536823282124130827052',6370,'307',58.31,1,2,1),(15,2210320,'1989-08-25 00:00:00',4,1,11,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124244241215151431436634575124610136055',9001,'271',53.64,1,3,NULL),(15,2210339,'1990-06-04 00:00:00',2,1,12,2007,'F','N','CENTRO','LOBATO','PR','116161161217111431466923572112610167147',16448,'9998',42.67,1,3,NULL),(15,2210355,'1989-12-27 00:00:00',2,8,10,2007,'M','N','BOEMEWALDT','JOINVILLE','SC','124241241415471431336414242234610127042',NULL,'486',0.00,1,3,NULL),(15,2210363,'1987-09-28 00:00:00',4,8,12,2005,'F','N','FÁTIMA','JOINVILLE','SC','124243246217471431447312222134611432147',NULL,'494',0.00,1,3,NULL),(15,2210371,'1989-03-20 00:00:00',4,1,12,2005,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124244241216272431456924445114610124157',17569,'266',40.98,1,3,NULL),(15,2210380,'1991-02-12 00:00:00',2,1,11,2007,'F','N','VILA NOVA','IMBITUBA','SC','124134241215121431568714572112610165051',1730,'362',70.27,1,3,NULL),(15,2210398,'1981-05-01 00:00:00',4,1,12,1998,'F','N','CENTRO','FLORIANOPOLIS','SC','124251251247372431246644342124140261093',NULL,'9998',0.00,1,3,NULL),(15,2210401,'1990-07-23 00:00:00',2,1,12,2007,'M','N','SERRARIA','SAO JOSE','SC','124242241117141732557611212121610118182',20236,'1116',36.35,3,3,NULL),(15,2210410,'1989-01-20 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241212472431348719572124610112147',16719,'269',42.30,4,1,2),(15,2210428,'1989-10-19 00:00:00',4,1,12,2006,'M','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124242248315372732426614445111610157057',20339,'1010',36.16,1,3,NULL),(15,2210436,'1991-02-03 00:00:00',2,5,11,2008,'F','S','CENTRO','MORRO GRANDE','SC','124243241215111431633316262124610138052',NULL,'27',49.32,1,3,NULL),(15,2210444,'1990-09-03 00:00:00',4,8,12,2007,'F','N','FLORESTA','JOINVILLE','SC','124242241215111431469614595112610166147',19639,'459',37.54,1,3,NULL),(15,2210452,'1989-07-13 00:00:00',2,5,11,2006,'F','N','CENTRO','CRICIUMA','SC','124242241215132731236621572122131461057',9458,'226',52.85,1,3,NULL),(15,2210460,'1991-06-29 00:00:00',4,1,12,2008,'M','S','CAPOEIRAS','FLORIANOPOLIS','SC','124242241212111431546632375124610127182',NULL,'270',56.69,1,3,NULL),(15,2210479,'1990-12-16 00:00:00',2,1,11,2007,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124244241215142431354824246122610127092',NULL,'1014',28.58,1,3,NULL),(15,2210487,'1988-11-19 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241117131751334323432124610137142',NULL,'257',30.80,1,3,NULL),(15,2210509,'1991-10-12 00:00:00',4,3,12,2008,'F','S','SÃO JOÃO','ITAJAI','SC','124241242115111411457914575114610168162',NULL,'129',54.84,4,3,NULL),(15,2210517,'1989-08-29 00:00:00',4,8,11,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241217121531359869596122610128012',8884,'486',53.86,1,3,NULL),(15,2210525,'1990-08-26 00:00:00',4,7,12,2007,'M','N','DOS ESTUDANTES','IPIRA','SC','124241241137141431448933245121610122052',21295,'619',34.22,1,3,NULL),(15,2210533,'1983-10-20 00:00:00',2,1,12,2001,'F','N','PANTANAL','FLORIANOPOLIS','SC','124243241216233441336979145324130426022',11810,'752',49.24,4,3,NULL),(15,2210541,'1988-09-15 00:00:00',2,1,11,2006,'M','N','LAGO SUL','LAGO SUL','DF','107074074417311731566812272122610167047',12972,'9998',47.63,4,3,NULL),(15,2210550,'1987-03-23 00:00:00',2,1,12,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','124162161216271431246612243112141037015',16922,'9998',41.98,1,3,NULL),(15,2210576,'1991-01-02 00:00:00',2,1,12,2008,'M','S','KOBRASOL','SAO JOSE','SC','124242248217111411339514572124610162147',NULL,'724',22.26,1,3,NULL),(15,2210584,'1987-02-21 00:00:00',2,1,12,2004,'M','N','ZONA RURAL','APARECIDA DO TABOADO','MS','112251257426271431446619572324610142047',NULL,'9999',21.05,4,3,NULL),(15,2210592,'1990-08-28 00:00:00',4,1,11,2007,'M','N','SUDOESTE','CRUZEIRO','DF','107091071315111431336614572124610147047',1582,'9998',70.86,1,3,NULL),(15,2210606,'1989-02-21 00:00:00',4,1,12,2006,'F','N','IMPERADOR','MATAO','SP','125252251216371431568839591122610141122',16411,'9998',42.74,1,3,NULL),(15,2210614,'1990-04-20 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241211111431333923572122610163097',18660,'273',39.22,1,3,NULL),(15,2210622,'1991-07-29 00:00:00',2,5,12,2007,'F','N','CENTRO','MORRO GRANDE','SC','124241241116131431439933575122610123057',16442,'30',42.68,1,2,1),(15,2210630,'1991-10-19 00:00:00',4,2,12,2008,'F','S','ITOUPAVA NORTE','BLUMENAU','SC','124242241212151431568612574124610164047',NULL,'909',46.82,1,3,NULL),(15,2210657,'1988-01-12 00:00:00',4,1,11,2005,'M','N','CENTRO','CACERES','MT','111114111237471441544821474215140227052',6708,'9998',57.72,4,3,NULL),(15,2210665,'1990-02-01 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215121431438814572124610167077',8357,'269',54.76,1,3,NULL),(15,2210673,'1989-12-02 00:00:00',4,2,12,2007,'F','N','GASPAR GRANDE','GASPAR','SC','124242241215111431449611474124610112192',11309,'87',49.99,1,3,NULL),(15,2210681,'1988-04-22 00:00:00',2,3,12,2005,'F','N','CENTRO','DIONISIO CERQUEIRA','SC','124162161416573431347639592224610146097',1747,'9998',70.22,1,3,NULL),(15,2210690,'1986-03-02 00:00:00',2,1,9,2004,'F','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124241241112275411446811372124610122142',5873,'306',59.31,1,2,1),(15,2210711,'1990-03-04 00:00:00',4,1,12,2007,'F','N','LAGO SUL','LAGO SUL','DF','107091071317111431558876595122610167147',8462,'9998',54.58,1,3,NULL),(15,2210720,'1987-04-22 00:00:00',4,1,12,2004,'F','N','VL NOVA ITAPE','ITAPETININGA','SP','125252251216571411578811575112610132197',6525,'9998',58.03,1,3,NULL),(15,2210738,'1990-12-01 00:00:00',2,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124241248116141431424314245122610137077',NULL,'405',25.21,1,3,NULL),(15,2210746,'1990-01-10 00:00:00',4,4,12,2007,'F','N','CENTRO','TRES DE MAIO','RS','120202201211141431548911572124610128142',NULL,'9998',0.00,1,3,NULL),(15,2210754,'1990-11-14 00:00:00',4,6,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241215111421439913574122610162127',5128,'1038',60.86,1,3,NULL),(15,2210762,'1990-07-06 00:00:00',4,9,12,2007,'M','N','CENTRO','SAO JOAQUIM','SC','124242241216111431446934372122610167072',22326,'1035',30.87,1,3,NULL),(15,2210770,'1991-07-22 00:00:00',2,1,12,2007,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124242241216111731356923474124610113187',16163,'270',43.13,1,3,NULL),(15,2210789,'1990-05-30 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241217151431466613575122610133072',14001,'273',46.15,1,3,NULL),(15,2210797,'1987-10-22 00:00:00',2,8,12,2005,'F','N','FLORESTA','JOINVILLE','SC','109092091215571441378832572224610137052',7258,'9998',56.68,4,3,NULL),(15,2210800,'1972-07-13 00:00:00',4,1,11,1990,'M','N','JARDIM CRUZEIRO','SAO JOSE DOS PINHAIS','PR','216163161217151411244443435132140234042',11582,'9998',49.58,1,3,NULL),(15,2210819,'1990-06-28 00:00:00',2,3,11,2007,'F','N','CENTRO','CURITIBA','PR','116162161215111432436632574122610168146',NULL,'9998',0.00,1,3,NULL),(15,2210827,'1988-07-29 00:00:00',2,1,12,2005,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124241241147131731633421215134610118097',11341,'592',49.92,1,3,NULL),(15,2210835,'1988-02-04 00:00:00',4,1,12,2005,'F','N','KOBRASOL','SAO JOSE','SC','124242241215573751468733575124131868182',952,'737',73.76,1,3,NULL),(15,2210843,'1991-01-23 00:00:00',4,4,11,2007,'F','N','SÃO JOÃO','PASSO FUNDO','RS','120202201217271731468823575122620144122',4799,'9998',61.52,1,3,NULL),(15,2210851,'1990-08-17 00:00:00',2,1,12,2007,'M','N','SERRARIAS','SAO JOSE','SC','124243241335131431546311312224610144187',15990,'868',43.40,1,3,NULL),(15,2210878,'1989-11-08 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111731578619572122610137077',NULL,'738',23.04,3,3,NULL),(15,2210886,'1990-01-24 00:00:00',4,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215112431366823575122610126142',3983,'723',63.49,1,3,NULL),(15,2210894,'1990-07-02 00:00:00',2,1,11,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241111271731227524571124610138077',6752,'307',57.64,1,2,1),(15,2210908,'1990-06-02 00:00:00',4,6,11,2007,'M','N','SANTA CLARA','ITAJAI','SC','124243241217151441456614385114610164017',9035,'388',53.59,1,3,NULL),(15,2210916,'1990-01-16 00:00:00',4,5,12,2007,'M','N','PIO CORREA','CRICIUMA','SC','124242241215111431579934572122610137042',9418,'226',52.91,1,3,NULL),(15,2210924,'1990-08-31 00:00:00',2,4,11,2007,'F','N','PERPETUO SOCORRO','SAO LOURENCO DO OESTE','SC','124242161417111731446519175122610167157',16914,'9998',41.99,1,3,NULL),(15,2210932,'1990-08-05 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215111431239619572314610127142',9654,'1022',52.48,1,3,NULL),(15,2210940,'1989-04-08 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217372431478733572122232443197',9947,'266',52.01,1,3,NULL),(15,2210959,'1990-03-13 00:00:00',4,1,12,2007,'F','N','ANHANGABAÚ','JUNDIAI','SP','125252251216251441368823474112610165182',NULL,'9998',0.00,1,3,NULL),(15,2210967,'1986-06-19 00:00:00',2,1,12,2005,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241247422131431643421142334610125147',NULL,'9999',24.71,1,3,NULL),(15,2210975,'1989-09-29 00:00:00',2,8,12,2006,'M','N','GLÓRIA','JOINVILLE','SC','124241241315472431325321272324610114047',4307,'491',62.68,1,3,NULL),(15,2210983,'1989-08-02 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241236132431468812575124610137185',13042,'951',47.53,1,3,NULL),(15,2210991,'1988-03-01 00:00:00',2,1,12,2006,'M','N','CENTRO','OURINHOS','SP','125252251215472451448839574122610112012',NULL,'9998',13.86,1,3,NULL),(15,2211009,'1990-03-19 00:00:00',4,8,11,2007,'M','N','SANTA LUZIA','RIBEIRAO PRETO','SP','125251251217111411338819475112610134182',16168,'9998',43.12,1,3,NULL),(15,2211017,'1989-12-13 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241117131432333314382124610127055',16952,'298',41.93,1,2,1),(15,2211025,'1990-07-11 00:00:00',4,3,12,2007,'M','N','JARDIM PAULISTANO','ITAPOLIS','SP','125252251217111731468614575112610162157',1080,'9998',73.10,1,3,NULL),(15,2211033,'1988-04-07 00:00:00',2,1,12,2005,'F','N','SANTO ANTONIO','CAMPO GRANDE','MS','112121121216571431668311415124610143012',14939,'9998',44.87,1,3,NULL),(15,2211041,'1990-11-21 00:00:00',2,8,11,2007,'F','N','FLORESTA','JOINVILLE','SC','124244241215131431546939572124610145117',NULL,'461',0.00,1,3,NULL),(15,2211068,'1987-04-19 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241216233421248344442124132527057',13819,'1026',46.43,1,3,NULL),(15,2211076,'1988-07-01 00:00:00',4,1,8,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244247117272121511754342114610167047',16645,'9999',42.39,1,3,NULL),(15,2211084,'1988-09-26 00:00:00',2,1,7,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244247126271531434332345124610154073',NULL,'9999',18.75,1,3,NULL),(15,2211092,'1990-05-25 00:00:00',4,8,12,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124241246217131521446414575121610127095',NULL,'1006',13.70,1,3,NULL),(15,2211106,'1990-11-26 00:00:00',4,7,12,2007,'F','N','CENTRO','CACADOR','SC','116242161216111431578732575115610162192',152,'9998',80.63,1,3,NULL),(15,2211114,'1990-07-17 00:00:00',4,1,11,2007,'F','N','SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC','124242241215411331335612572112610124042',20425,'270',36.00,1,3,NULL),(15,2211122,'1990-02-08 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215112431458527575114610166011',8183,'1022',55.03,1,3,NULL),(15,2211130,'1990-06-19 00:00:00',4,1,12,2007,'F','N','KOBRASSOL','SAO JOSE','SC','124242241215131732339629592125610134147',12863,'737',47.77,1,3,NULL),(15,2211149,'1990-12-14 00:00:00',4,4,12,2007,'F','N','JARDIM DAS AMÉRICAS','PATO BRANCO','PR','116161161217271431468832572122610126017',3190,'9998',65.57,1,3,NULL),(15,2211157,'1990-07-06 00:00:00',2,1,12,2007,'F','N','CENTRO','TIJUCAS','SC','124242241215111431435912575122610142197',16149,'1119',43.15,1,3,NULL),(15,2211165,'1990-12-21 00:00:00',4,1,11,2007,'M','N','RAIA','PARANAGUA','PR','116164161416121431456632575112610124047',14801,'9998',45.01,1,3,NULL),(15,2211173,'1989-04-11 00:00:00',4,1,12,2005,'F','N','RIO CAVEIRAS','BIGUACU','SC','124242161116212431438621575124610168197',NULL,'9998',26.42,1,3,NULL),(15,2211181,'1988-11-09 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANOPOLIS','SC','124201241117272411536644345314610114182',7761,'281',55.77,1,2,1),(15,2211190,'1986-10-30 00:00:00',2,1,12,2004,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241117134411446313345132610112145',13860,'307',46.37,2,1,1),(15,2211203,'1980-05-06 00:00:00',4,10,6,2001,'M','N','CAMPINAS','SAO JOSE','SC','124161251136161751146672245132130217116',NULL,'9998',28.66,1,3,NULL),(15,2211211,'1991-09-17 00:00:00',4,7,12,2008,'F','S','SANTA TEREZA','JOACABA','SC','124242241216111432439614572122610144147',NULL,'962',46.90,1,3,NULL),(15,2211220,'1988-08-03 00:00:00',4,1,12,2006,'F','N','VILAS DO ATLANTICO','LAURO DE FREITAS','BA','105052051217372531469814572122241023143',4179,'9998',62.96,1,3,NULL),(15,2211238,'1990-03-07 00:00:00',4,2,12,2007,'F','N','VILA NOVA','BLUMENAU','SC','124244241215151431369929572124610143187',3896,'88',63.75,1,3,NULL),(15,2211246,'1991-03-09 00:00:00',4,9,12,2008,'M','S','CENTRO','LAGES','SC','124242241212111332368911575122610127012',NULL,'497',41.21,1,3,NULL),(15,2211254,'1990-08-01 00:00:00',4,7,12,2007,'F','N','CENTRO','ERVAL VELHO','SC','124242241215111731343632372122610122182',1588,'962',70.84,1,3,NULL),(15,2211262,'1991-08-02 00:00:00',4,8,12,2007,'M','N','ATIRADORES','JOINVILLE','SC','124242241214151421376611375122610164162',9693,'1063',52.43,1,3,NULL),(15,2211270,'1987-02-10 00:00:00',2,1,11,2004,'M','N','SNT ANT DE LISBOA','FLORIANOPOLIS','SC','124252256117141731328614141222610164012',19724,'9998',37.38,1,3,NULL),(15,2211289,'1990-10-26 00:00:00',4,1,11,2007,'M','N','COLONINHA','FLORIANOPOLIS','SC','124242241214331431546519572124610117072',10357,'9997',51.41,1,3,NULL),(15,2211297,'1991-02-13 00:00:00',4,9,12,2007,'F','N','PETROPOLIS','VACARIA','RS','120201201215131731458923593124610124077',18961,'9998',38.73,1,3,NULL),(15,2211300,'1988-12-28 00:00:00',2,3,12,2007,'M','N','CENTRO','CAMBORIU','SC','124241248135161711229624275121610136177',11713,'129',49.38,4,2,1),(15,2211335,'1990-06-28 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241115131431434714572121610167147',NULL,'257',19.72,1,3,NULL),(15,2211343,'1992-08-05 00:00:00',4,2,11,2009,'F','S','SUMARÉ','RIO DO SUL','SC','124242241215111431478931595122610166172',NULL,'270',54.27,1,3,NULL),(15,2211351,'1990-10-08 00:00:00',4,1,11,2008,'F','S','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124072241217111411547939594124610158015',NULL,'270',46.77,1,3,NULL),(15,2211386,'1988-09-04 00:00:00',2,1,8,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124243247325311311346633344124610112147',18974,'300',38.72,1,3,NULL),(15,2211394,'1990-03-08 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241215111432548634342124610167075',12488,'1022',48.31,1,3,NULL),(15,2211408,'1985-07-22 00:00:00',2,1,12,2002,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','224244241211555731256354571122133268187',4885,'272',61.35,1,3,NULL),(15,2211416,'1987-08-26 00:00:00',4,8,12,2005,'M','N','CENTRO','CURITIBA','PR','116162161414573511549811572124141464122',564,'9998',76.32,3,3,NULL),(15,2211424,'1990-04-12 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124243241315371711435611314125610114072',NULL,'185',22.35,1,3,NULL),(15,2211432,'1991-08-24 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111731389933574122610126185',NULL,'270',58.95,1,3,NULL),(15,2211440,'1990-04-08 00:00:00',4,7,11,2007,'M','N','CENTRO','CACADOR','SC','124244241215111431346824572122610121092',3213,'120',65.50,1,3,NULL),(15,2211459,'1991-03-28 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241217131432538831592122610124077',7316,'299',56.58,1,3,NULL),(15,2211467,'1991-07-20 00:00:00',4,1,11,2008,'M','S','STO ANT DE LISBOA','FLORIANOPOLIS','SC','124242241217111231388833575122610127042',NULL,'262',53.66,1,3,NULL),(15,2211475,'1981-01-10 00:00:00',2,1,3,1999,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241243116155431364313445134123234053',4418,'306',62.44,1,2,1),(15,2211483,'1990-12-20 00:00:00',4,1,11,2007,'M','N','CENTRO','LONDRINA','PR','116162161217211411368811571122610167052',NULL,'9998',33.01,1,3,NULL),(15,2211491,'1987-11-08 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241115373431456613572214610134072',NULL,'257',13.90,2,1,1),(15,2211505,'1990-01-22 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241232111431257923572122610114097',NULL,'1022',28.46,1,3,NULL),(15,2211513,'1990-09-14 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124202241317111431348734345124610124042',NULL,'267',40.82,1,3,NULL),(15,2211521,'1990-07-08 00:00:00',2,3,12,2007,'F','N','JARDIM PRIMAVERA','JACAREI','SP','125253251236131411457614142122610122192',17963,'9998',40.38,4,3,NULL),(15,2211530,'1990-11-26 00:00:00',4,7,12,2007,'F','N','PARQUE JARDIM OURO','OURO','SC','124241241136131431436913575124610134042',NULL,'156',19.17,1,2,1),(15,2211548,'1992-01-10 00:00:00',4,1,11,2008,'F','S','JOÃO PAULO','FLORIANOPOLIS','SC','124244248415111411478813272122610118052',NULL,'270',43.04,1,3,NULL),(15,2211556,'1988-03-07 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241317372431336923572324120531183',11778,'492',49.29,4,3,NULL),(15,2211564,'1991-05-16 00:00:00',4,5,11,2008,'F','S','SÃO LUIZ','CRICIUMA','SC','124244241215111431568814572122610126012',NULL,'210',27.85,1,3,NULL),(15,2211572,'1989-08-11 00:00:00',4,1,11,2007,'M','N','ESPLANADA FLORESTAL','TERESINA','PI','118182181217111431589931575122610127052',4296,'9998',62.71,1,3,NULL),(15,2211599,'1989-12-11 00:00:00',4,1,11,2007,'F','N','BONFIM PAULISTA','RIBEIRAO PRETO','SP','125252251215111431484812371122610131183',7785,'9998',55.73,1,3,NULL),(15,2211610,'1989-10-19 00:00:00',4,7,12,2006,'F','N','MATRIZ','VIDEIRA','SC','124241248215471431458854574344610163183',NULL,'969',0.00,1,3,NULL),(15,2211629,'1983-03-30 00:00:00',2,1,12,2001,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241124153421433679495124233267042',7566,'293',56.09,1,2,1),(15,2211653,'1991-04-10 00:00:00',4,3,12,2007,'F','N','NOVA DESCOBERTA','TIJUCAS','SC','124241241215111751426611342124610124187',17354,'781',41.30,1,3,NULL),(15,2211661,'1990-09-22 00:00:00',4,7,11,2007,'M','N','CENTRO','IPUMIRIM','SC','124241241315111431456933475122610144057',21373,'1000',34.04,1,3,NULL),(15,2211670,'1990-03-14 00:00:00',4,1,11,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215111431569914575122610124045',4359,'270',62.57,1,3,NULL),(15,2211688,'1989-09-01 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124244241111271731436711382124610113057',21984,'307',32.31,1,3,NULL),(15,2211696,'1990-09-24 00:00:00',4,2,12,2007,'F','N','GARCIA','BLUMENAU','SC','124242248215111731325924595124610127077',14717,'855',45.12,1,3,NULL),(15,2211700,'1984-10-26 00:00:00',4,1,12,2003,'M','N','BARRA DO ARIRIÚ','PALHOCA','SC','124241241127152421326444341123330217057',19380,'1009',38.05,1,3,NULL),(15,2211718,'1978-11-30 00:00:00',4,1,12,1995,'M','N','COQUEIROS','FLORIANOPOLIS','SC','224241243127151411226449492134610134047',10657,'712',50.94,1,3,NULL),(15,2211734,'1990-10-07 00:00:00',2,10,12,2007,'F','N','SANTA LUCIA','CAPIVARI DE BAIXO','SC','124241241215131411416514574324610134142',NULL,'699',3.46,1,3,NULL),(15,2211742,'1990-06-14 00:00:00',4,2,12,2007,'M','N','CENTRO','BRUSQUE','SC','124242241215272431468814574112610144052',6475,'107',58.12,1,3,NULL),(15,2211750,'1987-02-25 00:00:00',2,1,11,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124244241215373431448624472121610145042',22429,'1022',30.03,1,3,NULL),(15,2211777,'1989-11-25 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431388823575125610127182',2718,'270',66.96,1,3,NULL),(15,2211785,'1987-04-23 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241316374431568833595114231227013',1269,'270',72.17,1,3,NULL),(15,2211793,'1990-03-09 00:00:00',4,1,11,2007,'F','N','VILA COHAPAR','CIDADE GAUCHA','PR','116162161215421531378816576124610134142',NULL,'9998',0.00,1,3,NULL),(15,2211807,'1989-02-06 00:00:00',4,1,12,2006,'M','N','VILA SAO JORGE','SAO VICENTE','SP','125252251217431431563733574124610127017',15276,'9998',44.44,1,3,NULL),(15,2211815,'1990-04-27 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215111431466933575122610124112',7268,'737',56.66,1,3,NULL),(15,2211823,'1989-03-23 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124122241215472431469913575122610137112',1813,'270',69.90,1,3,NULL),(15,2211840,'1989-12-10 00:00:00',4,1,11,2007,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124243241317111431457724345124610167042',18380,'1075',39.68,1,3,NULL),(15,2211866,'1990-10-06 00:00:00',2,1,11,2008,'F','S','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215111731328829572124610163141',NULL,'270',45.91,1,3,NULL),(15,2211874,'1991-04-24 00:00:00',4,6,12,2008,'M','S','PONTA DA PRAIA','SANTOS','SP','125242251217111432478834575122610167047',NULL,'9998',64.65,3,3,NULL),(15,2211882,'1974-08-17 00:00:00',2,1,11,1994,'F','N','TRINDADE','FLORIANOPOLIS','SC','124161163126334431126649295124610116097',10934,'9998',50.55,1,2,1),(15,2211890,'1990-08-23 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241116131412646634272124610114047',9046,'276',53.57,2,1,1),(15,2211904,'1990-07-08 00:00:00',4,10,11,2007,'F','N','CENTRO','TUBARAO','SC','124242241211111431459613571122610121147',13669,'806',46.65,1,3,NULL),(15,2211920,'1980-03-24 00:00:00',4,1,12,1995,'F','N','CAMPECHE','FLORIANOPOLIS','SC','224202201217151421337853377222140736192',3246,'9998',65.41,1,3,NULL),(15,2211939,'1990-08-23 00:00:00',4,1,12,2007,'F','N','SÃO FRANCISCO','GOIANIA','GO','109091091131371731426811572124610125052',NULL,'9998',16.45,1,2,1),(15,2211947,'1990-08-07 00:00:00',4,4,12,2007,'M','N','TRÊS VENDAS','ERECHIM','RS','120201201117131731438314242223610137057',NULL,'9998',23.77,1,3,NULL),(15,2211955,'1990-01-23 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241115131411625319372315610154072',NULL,'307',24.57,2,3,NULL),(15,2211963,'1989-11-23 00:00:00',2,1,12,2006,'M','N','SANTINHO','FLORIANOPOLIS','SC','124241241315271431443923572124610117112',17706,'288',40.79,1,3,NULL),(15,2211971,'1988-05-05 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217572411259911574124610147117',5202,'226',60.70,1,3,NULL),(15,2211980,'1989-01-24 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241217472332568913475124610163061',7235,'272',56.72,1,3,NULL),(15,2211998,'1988-11-20 00:00:00',4,1,12,2007,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241317111431346524385114610137117',NULL,'9997',28.28,1,3,NULL),(15,2212005,'1990-10-15 00:00:00',4,1,11,2007,'F','N','LULU ILGENFRITZ','IJUI','RS','120202201217131131547834575122610144077',9027,'9998',53.60,1,3,NULL),(15,2212021,'1988-11-25 00:00:00',2,1,12,2006,'M','N','CENTRO','CURITIBA','PR','116244241217471431578713575112610134097',NULL,'632',0.00,1,3,NULL),(15,2212048,'1990-03-15 00:00:00',4,8,12,2007,'F','N','ACLIMAÇÃO','SAO PAULO','SP','125254251217121611534631295124610165057',NULL,'9998',0.00,1,3,NULL),(15,2212056,'1985-10-25 00:00:00',2,1,12,2004,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241248117233731327623441134610167047',21697,'307',33.28,4,2,1),(15,2212064,'1975-08-16 00:00:00',4,1,12,1995,'M','N','BARREIROS','SAO JOSE','SC','124241241127154421333439382124320216047',5048,'307',60.99,1,2,1),(15,2212072,'1991-03-07 00:00:00',4,1,12,2008,'M','S','JARDIM ANDRADE','LONDRINA','PR','116162161217111431258829572121610134062',NULL,'9998',38.92,1,3,NULL),(15,2212080,'1990-01-15 00:00:00',4,10,11,2007,'M','N','OFICINAS','TUBARAO','SC','124242241215271431657734442111610124057',9454,'806',52.86,1,3,NULL),(15,2212099,'1985-08-17 00:00:00',4,1,12,2002,'M','N','PANTANAL','FLORIANOPOLIS','SC','124253251217153441458314575124220734195',4501,'9998',62.24,3,3,NULL),(15,2212102,'1989-12-28 00:00:00',4,8,12,2007,'M','N','FLORESTA','JOINVILLE','SC','124242248215371431341923291124610134012',20962,'1105',34.92,1,3,NULL),(15,2212110,'1988-10-31 00:00:00',4,1,11,2005,'M','N','GONZAGA','SANTOS','SP','125252251216471431679811575125610164122',2633,'9998',67.22,1,3,NULL),(15,2212129,'1988-10-09 00:00:00',4,1,12,2007,'M','N','ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP','125252251215471431479913572122610127052',1042,'9998',73.28,1,3,NULL),(15,2212137,'1990-03-19 00:00:00',2,2,11,2007,'F','N','PROGRESSO','RIO DO SUL','SC','124243241316131531537614445112610164097',NULL,'663',0.00,4,3,NULL),(15,2212145,'1987-04-15 00:00:00',2,1,12,2003,'M','N','INGLESES','FLORIANOPOLIS','SC','124204241217374431455933385114610167017',2613,'269',67.28,1,3,NULL),(15,2212153,'1991-01-29 00:00:00',4,2,12,2008,'F','S','ITOUPAVA SECA','BLUMENAU','SC','124242241215111411578914575124610126142',NULL,'71',51.71,1,3,NULL),(15,2212161,'1990-11-06 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215112431468614372122610143092',9311,'1022',53.10,1,3,NULL),(15,2212170,'1992-01-22 00:00:00',4,4,12,2008,'M','S','CINQÜENTENÁRIO','CONCORDIA','SC','124243241115131431446814345122610162142',NULL,'192',45.06,1,3,NULL),(15,2212188,'1987-07-18 00:00:00',4,1,7,2006,'M','N','IPIRANGA','SAO JOSE','SC','124244247442371431435634385124133222097',NULL,'882',23.19,1,3,NULL),(15,2212196,'1990-04-26 00:00:00',2,1,12,2007,'M','N','JD CID DE FPOLIS','SAO JOSE','SC','124244241315131421435621395124610137012',12076,'734',48.89,1,3,NULL),(15,2212200,'1988-06-10 00:00:00',4,8,12,2006,'F','N','BELÉM','SAO PAULO','SP','125254251136471431469814381124140934142',3506,'9998',64.74,1,3,NULL),(15,2212218,'1990-06-12 00:00:00',4,6,11,2007,'M','N','ARMAÇÃO','PENHA','SC','124243241315371431343332372122610124182',20232,'391',36.36,1,3,NULL),(15,2212226,'1988-09-28 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215372431468713435124610143155',3509,'1022',64.74,1,3,NULL),(15,2212234,'1990-09-27 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431479839575124610133052',NULL,'1022',52.38,1,3,NULL),(15,2212242,'1982-11-19 00:00:00',2,1,12,2002,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241126374431656613345124610136013',12902,'277',47.72,1,3,NULL),(15,2212250,'1985-08-06 00:00:00',4,1,12,2003,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124161161112142431433439242223141422062',16194,'9998',43.08,1,2,1),(15,2212269,'1985-11-25 00:00:00',4,1,12,2004,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241212374731477923474122230224083',NULL,'270',NULL,1,3,NULL),(15,2212277,'1980-08-16 00:00:00',4,1,12,2003,'F','N','CACUPÉ','FLORIANOPOLIS','SC','124244247422133411334642221132122236187',18270,'9999',39.84,1,3,NULL),(15,2212285,'1985-10-01 00:00:00',4,1,12,2002,'M','N','ITAGUAÇÚ','FLORIANOPOLIS','SC','124243241335473731356819245114610124187',19348,'307',38.09,1,3,NULL),(15,2212293,'1986-02-05 00:00:00',2,1,12,2003,'F','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124241241416373411628612485122140262012',14751,'951',45.07,4,3,NULL),(15,2212307,'1989-02-11 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124242247212372412567639442114610162194',18952,'9999',38.74,1,3,NULL),(15,2212315,'1990-04-10 00:00:00',4,3,12,2007,'F','N','CENTRO','UMUARAMA','PR','116163161214111431447734571125610133052',NULL,'9998',0.00,1,3,NULL),(15,2212323,'1988-10-09 00:00:00',4,1,12,2005,'M','N','JARDIM ESPLANADA','SAO JOSE DOS CAMPOS','SP','125252256215572332468822172112610167044',8002,'9998',55.37,1,3,NULL),(15,2212340,'1990-09-27 00:00:00',4,1,12,2007,'M','N','BOQUEIRÃO','CURITIBA','PR','116163161216111431466732571114610164182',21665,'9998',33.35,1,3,NULL),(15,2212366,'1990-05-04 00:00:00',4,7,12,2007,'M','N','MATRIZ','VIDEIRA','SC','124242241216161512559814575124610117042',NULL,'829',26.04,1,3,NULL),(15,2212374,'1990-04-10 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241215121411458719192124610164057',15216,'270',44.51,1,3,NULL),(15,2212382,'1990-12-14 00:00:00',2,1,11,2007,'F','N','CENTRO','CANARANA','MT','111243111216161431356632575121610137181',NULL,'9998',0.00,1,3,NULL),(15,2212390,'1990-05-10 00:00:00',4,2,12,2007,'M','N','VELHA','BLUMENAU','SC','124241241215131431436514335114610167182',NULL,'86',34.48,1,3,NULL),(15,2212404,'1990-05-11 00:00:00',4,1,12,2007,'M','N','MANSOES STO ANTONIO','CAMPINAS','SP','125252251215221431589933575122610142187',NULL,'9998',0.00,1,3,NULL),(15,2212412,'1987-09-07 00:00:00',2,1,12,2004,'F','N','CENTRO','CURITIBA','PR','116161111337571431457923571114610165187',7716,'9998',55.83,1,3,NULL),(15,2212420,'1989-01-04 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241216312411436639315121610167062',15925,'272',43.51,1,3,NULL),(15,2212439,'1990-03-01 00:00:00',4,5,11,2007,'M','N','CIDADE ALTA','ARARANGUA','SC','124242241215151431458722215122610168096',12730,'970',47.94,1,3,NULL),(15,2212447,'1991-08-14 00:00:00',4,4,12,2008,'F','S','CENTRO','SAO MIGUEL DOESTE','SC','124241241211111731449914242122610128092',NULL,'752',54.05,1,3,NULL),(15,2212463,'1989-09-25 00:00:00',2,10,12,2006,'F','N','CENTRO','TUBARAO','SC','124244161346472431425318272125610144073',NULL,'9998',0.00,4,3,NULL),(15,2212471,'1987-06-08 00:00:00',4,1,12,2004,'M','N','UTINGA','SANTO ANDRE','SP','125251251137271452543319245124610134117',16378,'9998',42.79,1,2,1),(15,2212480,'1989-04-19 00:00:00',2,8,12,2006,'M','N','JARDIM UCRÂNIA','PRUDENTOPOLIS','PR','116164161216472731354934574114610127047',NULL,'9998',0.00,4,3,NULL),(15,2212501,'1981-11-13 00:00:00',4,1,11,1999,'M','N','SERRINHA','FLORIANOPOLIS','SC','124242241217152431457734145122321426132',4596,'211',62.01,1,3,NULL),(15,2212510,'1988-08-09 00:00:00',4,1,12,2006,'M','N','CAMPO BELO','SAO PAULO','SP','125252251217471441378911475112610127041',1759,'9998',70.18,1,3,NULL),(15,2212528,'1990-09-03 00:00:00',4,3,12,2007,'M','N','SANTA TEREZINHA','GALIA','SP','125254251217111431367729575111610144012',3415,'9998',64.96,1,3,NULL),(15,2212544,'1991-01-03 00:00:00',4,2,12,2007,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215272431468932575122610122042',3092,'87',65.86,1,3,NULL),(15,2212552,'1990-06-10 00:00:00',2,1,12,2007,'F','N','CENTRO','CANELINHA','SC','124243241216111752434823575124610157057',NULL,'1119',31.99,1,3,NULL),(15,2212560,'1991-11-01 00:00:00',4,1,12,2008,'F','S','PRAIA COMPRIDA','SAO JOSE','SC','124243241215111431228712572124610133057',NULL,'1022',39.46,1,3,NULL),(15,2212579,'1990-06-07 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242244217111431648613575124610167042',11267,'262',50.05,4,3,NULL),(15,2212587,'1989-04-17 00:00:00',4,8,12,2006,'M','N','JARDIM FLORENÇA','LIMEIRA','SP','125252251216471431547832571122610137187',2497,'9998',67.63,1,3,NULL),(15,2212595,'1988-05-04 00:00:00',2,4,12,2005,'M','N','PORTO XV','ENCANTADO','RS','120204204417211511538611575124140417047',NULL,'9998',0.00,1,3,NULL),(15,2212617,'1989-12-08 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241115222431349812575112610145127',2449,'270',67.78,1,3,NULL),(15,2212625,'1972-11-02 00:00:00',2,1,12,1993,'F','N','TRINDADE','FLORIANOPOLIS','SC','224041041126131431462453385114610142187',NULL,'9998',22.79,4,2,1),(15,2212633,'1989-08-18 00:00:00',2,8,12,2006,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124243241415471431359412375111610134054',9140,'1037',53.37,1,3,NULL),(15,2212641,'1991-01-07 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431589834574124610113145',NULL,'270',26.84,1,3,NULL),(15,2212650,'1986-12-09 00:00:00',2,5,12,2003,'F','N','ALTO FELIZ','ARARANGUA','SC','124244241116131431345519292123610167097',NULL,'30',22.42,1,3,NULL),(15,2212668,'1988-05-31 00:00:00',2,1,12,2004,'F','N','CENTRO','TENENTE PORTELA','RS','120201201117472411327823342324610115097',NULL,'9998',0.00,1,2,1),(15,2212676,'1988-04-12 00:00:00',2,1,12,2005,'M','N','JARDIM ZANELATO','SAO JOSE','SC','124241241227272411516814445124610167057',19731,'262',37.36,1,3,NULL),(15,2212684,'1990-10-19 00:00:00',4,1,12,2008,'M','S','TRINDADE','FLORIANOPOLIS','SC','124242241216111231468633595114610117111',NULL,'262',33.00,1,3,NULL),(15,2212692,'1987-06-11 00:00:00',2,1,11,2005,'M','N','ALTO XV','CURITIBA','PR','116163161311571411655867391121610124067',8542,'9998',54.45,1,3,NULL),(15,2212706,'1990-08-30 00:00:00',4,8,12,2007,'M','N','CENTRO','MAFRA','SC','124241241215111431355933572112610164042',NULL,'541',0.00,1,3,NULL),(15,2212714,'1984-06-09 00:00:00',4,2,5,2004,'M','N','CENTRO','BRUSQUE','SC','124241247136273731336624475122610134037',178,'9999',80.21,1,2,1),(15,2212722,'1989-12-13 00:00:00',2,5,12,2007,'F','N','ESPIGAO DA PEDRA','ARARANGUA','SC','124241241215111431424414372124610124147',12469,'210',48.34,1,3,NULL),(15,2212730,'1989-04-25 00:00:00',4,1,12,2006,'M','N','URBANOVA','SAO JOSE DOS CAMPOS','SP','125252251217421411489934575124610114016',1660,'9998',70.55,1,3,NULL),(15,2212749,'1988-05-02 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124163161215573451456814575124610144057',941,'9998',73.83,1,3,NULL),(15,2212757,'1986-10-11 00:00:00',4,1,9,2005,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124242248117373441226614311124610164092',4139,'306',63.09,1,3,NULL),(15,2212773,'1988-12-12 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217373431488831575122232467047',2198,'270',68.61,1,3,NULL),(15,2212781,'1991-11-27 00:00:00',4,1,11,2007,'M','N','JARDIM ALVORADA','SORRISO','MT','111112111216161431458631475121610167052',10237,'9998',51.58,1,3,NULL),(15,2212790,'1989-08-24 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217372431257823492124610133057',6980,'32',57.20,1,3,NULL),(15,2212803,'1988-11-09 00:00:00',4,1,12,2006,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124251251417152431323334445122230228072',12518,'9998',48.26,1,3,NULL),(15,2212811,'1985-01-23 00:00:00',4,1,12,2002,'M','N','DOS ESTADOS','GUARAPUAVA','PR','116161161116151441436511572114241434052',7085,'9998',56.99,4,3,NULL),(15,2212820,'1990-01-05 00:00:00',2,1,12,2007,'F','N','PORTO DA LAGOA','FLORIANOPOLIS','SC','124243241115131411336622372114610134142',21890,'307',32.65,1,3,NULL),(15,2212838,'1989-04-19 00:00:00',4,8,12,2006,'M','N','ABRANCHES','CURITIBA','PR','116162161215471441558819575124610166117',1693,'9998',70.40,1,3,NULL),(15,2212854,'1987-02-21 00:00:00',2,4,12,2004,'M','N','CENTRO','DOIS VIZINHOS','PR','116161161146572431465912444122140666052',NULL,'9998',0.00,4,3,NULL),(15,2212862,'1989-11-01 00:00:00',4,5,11,2007,'F','N','SAO LUIZ','CRICIUMA','SC','124242241212272431458912595124610124012',6131,'210',58.80,1,3,NULL),(15,2212870,'1990-03-29 00:00:00',2,9,12,2007,'F','N','CENTRO','CURITIBANOS','SC','124241241115131431346614395122610137147',15869,'239',43.57,1,3,NULL),(15,2212889,'1991-11-03 00:00:00',2,4,11,2008,'F','S','N SENHORA DE FÁTIMA','BARRACAO','PR','116164161216111431339933596122610167142',NULL,'9998',37.34,1,3,NULL),(15,2212900,'1989-04-09 00:00:00',2,1,12,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124244241435111431337724245124610162185',6822,'1022',57.50,1,3,NULL),(15,2212919,'1988-04-06 00:00:00',2,1,12,2007,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124201247136131711433634185124610164045',NULL,'9999',0.00,1,3,NULL),(15,2212927,'1990-10-22 00:00:00',4,1,12,2008,'M','S','CARIANOS','FLORIANOPOLIS','SC','124242241215111431539813535124610127072',NULL,'1022',37.16,1,3,NULL),(15,2212935,'1990-02-21 00:00:00',2,4,12,2007,'F','N','CENTRO','HONORIO SERPA','PR','116161161416151431436915275112610134072',NULL,'9998',0.00,1,3,NULL),(15,2212943,'1988-11-28 00:00:00',4,1,12,2007,'F','N','BAIRRO TRINDADE','FLORIANOPOLIS','SC','124241241135131421611335442114610126055',NULL,'298',20.45,1,2,1),(15,2212960,'1988-12-15 00:00:00',4,1,11,2005,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241115152411637619575124222032187',NULL,'271',0.00,1,3,NULL),(15,2212986,'1990-10-10 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','624242248215131431458621575124610144017',14614,'1048',45.25,1,3,NULL),(15,2212994,'1989-12-13 00:00:00',2,5,12,1989,'F','N','ESPIGAO DA PEDRA','ARARANGUA','SC','124241241215111431424414372124610123147',8237,'210',54.95,1,3,NULL),(15,2213001,'1988-10-15 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215273431239921575124231062072',3178,'270',65.61,1,3,NULL),(15,2213010,'1989-10-10 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215371431469819575112610122141',NULL,'515',0.00,1,3,NULL),(15,2213028,'1986-05-22 00:00:00',4,1,12,2007,'M','N','ROÇADO','SAO JOSE','SC','124241247146131711126644241334610148057',10758,'9999',50.79,3,2,1),(15,2213044,'1989-02-26 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215372421446612445134610147147',2000,'948',69.28,1,3,NULL),(15,2213052,'1990-09-02 00:00:00',4,9,11,2007,'F','N','TARGINO','OTACILIO COSTA','SC','124241241115151232543611342122610124197',NULL,'498',31.83,1,3,NULL),(15,2213060,'1988-11-12 00:00:00',4,1,12,2006,'M','N','SÃO PELEGRINO','CAXIAS DO SUL','RS','120203201117271431349914341124610167112',4886,'9998',61.34,1,3,NULL),(15,2213079,'1983-10-07 00:00:00',4,1,12,2007,'F','N','SANTOANTONIODELISBOA','FLORIANOPOLIS','SC','124241241222131431113344142324610133187',22509,'9999',28.48,1,3,NULL),(15,2213087,'1990-08-02 00:00:00',4,1,12,2007,'F','N','CENTRO','SARANDI','PR','116162161215151431447732342124610133097',16603,'9998',42.46,1,3,NULL),(15,2213095,'1982-12-07 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANOPOLIS','SC','124253251116371111149944445132340767187',9833,'9998',52.21,1,3,NULL),(15,2213109,'1989-03-08 00:00:00',4,1,12,2006,'F','N','NOVO MUNDO','CURITIBA','PR','116161161117471431448614272124610161012',NULL,'9998',0.00,1,2,1),(15,2213117,'1990-04-05 00:00:00',4,1,12,2007,'F','N','PAULO DE BIASI','IBITINGA','SP','125251251115371431346631335124610122092',NULL,'9998',0.00,4,3,NULL),(15,2213133,'1989-10-27 00:00:00',4,1,12,2007,'F','N','APARECIDA','SANTOS','SP','125252251215471311456814572122610123147',18796,'9998',38.99,1,3,NULL),(15,2213150,'1984-08-10 00:00:00',4,1,12,2001,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124243241127273421638714141122230247123',21472,'298',33.79,1,3,NULL),(15,2213168,'1990-09-17 00:00:00',2,1,11,2007,'F','N','LAGOA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241115111431255921472124610143097',5853,'270',59.36,1,3,NULL),(15,2213176,'1966-08-08 00:00:00',4,1,12,1990,'M','N','BELA VISTA II','SAO JOSE','SC','224243247222172411634444142134130847197',19285,'9997',38.19,1,3,NULL),(15,2213184,'1990-07-07 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215471431478821475122610155022',4246,'270',62.81,1,3,NULL),(15,2213192,'1988-06-29 00:00:00',4,1,12,2005,'M','N','CACUPÉ','FLORIANOPOLIS','SC','124242241217372431367914275122121264137',6266,'1048',58.51,1,3,NULL),(15,2213206,'1989-04-22 00:00:00',2,5,11,2007,'M','N','PIO CORREA','CRICIUMA','SC','124242245215111731559937575121610167052',10948,'226',50.54,1,3,NULL),(15,2213214,'1988-10-16 01:00:00',2,1,12,2005,'M','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124243241112373431458632242134610137117',5179,'307',60.75,1,3,NULL),(15,2213222,'1985-06-15 00:00:00',4,1,12,2002,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215213431589931185122231064045',6834,'266',57.47,1,3,NULL),(15,2213230,'1986-10-22 00:00:00',4,1,12,2004,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124242241214272431344834472113133232122',8957,'884',53.73,1,3,NULL),(15,2213249,'1990-04-05 00:00:00',2,1,11,2007,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215371431557812174124610137186',6118,'262',58.84,1,3,NULL),(15,2213265,'1991-04-20 00:00:00',3,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124243241215111431459933575125610163052',3147,'723',65.69,1,3,NULL),(15,2213273,'1989-07-03 00:00:00',4,1,11,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215372231589833575112610164092',2452,'270',67.77,1,3,NULL),(15,2213281,'1990-01-02 00:00:00',4,1,12,2007,'M','N','VILA LILICA','SANTO ANDRE','SP','125252251225111732377711241122610122047',15074,'9998',44.71,1,3,NULL),(15,2213303,'1984-01-20 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANOPOLIS','SC','224243241312275431235352572124222942197',9388,'269',52.96,1,3,NULL),(15,2213311,'1990-09-10 00:00:00',4,3,12,2007,'M','N','MORRETES','ITAPEMA','SC','124241248115151431335317274221610138187',17487,'406',41.10,1,2,1),(15,2213320,'1990-11-07 00:00:00',4,4,12,2007,'M','N','CENTRO','MARIOPOLIS','PR','116161161317111431339933574124610164067',10350,'9998',51.42,1,3,NULL),(15,2213338,'1987-08-16 00:00:00',4,1,12,2004,'M','N','ZONA CINCO','MARINGA','PR','116111111116271741338622172124241422052',9688,'9998',52.44,1,3,NULL),(15,2213346,'1986-02-13 00:00:00',2,1,12,2007,'F','N','INDUSTRIAL NORTE','RIO NEGRINHO','SC','124241241126131731433311245322610164051',18187,'669',40.00,3,2,1),(15,2213354,'1980-12-28 00:00:00',2,1,12,1999,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124131138217131421243344245122141024187',NULL,'9998',23.80,1,3,NULL),(15,2213362,'1983-10-10 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANOPOLIS','SC','124202201216472711468831475124221436112',6253,'9998',58.54,1,3,NULL),(15,2213370,'1990-06-10 00:00:00',2,1,12,2007,'F','N','CENTRO','CANELINHA','SC','124243241216131431434923572124610167157',10030,'1119',51.89,1,3,NULL),(15,2213389,'1990-05-05 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241116151431356823575125610137042',19347,'307',38.09,1,2,1),(15,2213397,'1987-08-29 00:00:00',2,1,12,2005,'F','N','ASA SUL','BRASILIA','DF','107072071216272731557722345124610127017',12260,'9998',48.64,1,3,NULL),(15,2213400,'1989-06-01 00:00:00',2,1,12,2007,'M','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124162161215421431469812475122610137041',NULL,'9998',24.21,1,3,NULL),(15,2213419,'1989-03-05 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241135371431545313575114610134195',NULL,'283',23.19,1,2,1),(15,2213427,'1989-06-07 00:00:00',2,5,12,2006,'M','N','CURTUME','TORRES','RS','120201208236151631224729245121610137047',12146,'9998',48.80,1,3,NULL),(15,2213435,'1989-11-16 00:00:00',2,1,12,2007,'M','N','JARDIM EUCALIPTO','PALHOCA','SC','124241241116132131633324242124610162147',17286,'592',41.43,1,2,1),(15,2213443,'1981-07-01 00:00:00',4,3,12,2007,'F','N','NAÇÕES','BALNEARIO CAMBORIU','SC','124161247322131431223624285123610122147',18226,'9999',39.93,1,3,NULL),(15,2213451,'1986-01-06 00:00:00',4,1,12,2003,'M','N','IPIRANGA','SAO PAULO','SP','125252251117471431577819275122243267017',4407,'9998',62.46,1,3,NULL),(15,2213460,'1990-07-24 00:00:00',4,1,12,2007,'M','N','PIRITUBA','SAO PAULO','SP','125252251116371432433834575124610127052',7513,'9998',56.21,1,3,NULL),(15,2213478,'1990-09-23 00:00:00',4,1,12,2007,'M','N','JARDIM SANTA TEREZIN','SAO PAULO','SP','125254251116131441535619295124610162147',16135,'9998',43.17,1,3,NULL),(15,2213486,'1991-07-06 00:00:00',4,1,11,2008,'F','S','CENTRO','SANTO ANGELO','RS','120202201216151431458833575122610136185',NULL,'9998',55.62,1,3,NULL),(15,2213494,'1987-01-16 00:00:00',2,4,12,2005,'F','N','NOVO BAIRRO','MARAVILHA','SC','124241241147161511533652395111610143152',NULL,'551',25.15,4,2,1),(15,2213508,'1981-04-20 00:00:00',2,1,1,2000,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124201206112131431243644242122141027077',16585,'9998',42.47,1,2,1),(15,2213516,'1987-01-11 00:00:00',2,1,12,2004,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124222221216151411578834291124133224021',17872,'9998',40.56,1,3,NULL),(15,2213524,'1990-04-14 00:00:00',2,8,11,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241216111411466919395122610138012',NULL,'456',13.24,1,3,NULL),(15,2213532,'1990-05-21 00:00:00',4,1,12,2007,'F','N','AUXILIADORA','PORTO ALEGRE','RS','120202201217371431325829271122610167072',16932,'9998',41.96,1,3,NULL),(15,2213559,'1987-11-23 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431266833575112141464042',859,'270',74.31,1,3,NULL),(15,2213583,'1990-05-26 00:00:00',4,4,12,2007,'F','N','CRISTO REI','CHAPECO','SC','124241241215131431433219594114610168192',2569,'983',67.41,4,3,NULL),(15,2213591,'1988-11-12 00:00:00',4,6,12,2005,'M','N','ITAIPAVA','ITAJAI','SC','124241241215111431467612245122231467062',15132,'392',44.63,1,3,NULL),(15,2213605,'1988-02-09 00:00:00',4,8,12,2005,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241136271431246614472114610117092',10578,'483',51.06,1,2,1),(15,2213613,'1987-08-12 00:00:00',2,1,12,2005,'F','N','SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC','124241241115573451469931474122610124072',900,'267',74.06,4,2,1),(15,2213621,'1989-04-19 00:00:00',4,1,12,2006,'M','N','CENTRO','CURITIBA','PR','116122121215472441348841175124610117087',NULL,'9998',0.00,1,3,NULL),(15,2213648,'1951-02-12 00:00:00',4,1,9,1998,'F','N','ITACORUBI','FLORIANOPOLIS','SC','324243243222134711121543132124610166042',NULL,'106',23.96,2,3,NULL),(15,2213656,'1983-08-07 00:00:00',1,1,12,2002,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241122131431424444442113610132057',NULL,'764',25.57,1,2,1),(15,2213664,'1980-12-08 00:00:00',4,1,12,1996,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241127371331425324242114610127142',20896,'294',35.10,4,2,1),(15,2213672,'1990-10-15 00:00:00',4,4,12,2007,'M','N','JARDIM AMÉRICA','CHAPECO','SC','124241241125151512554532575121610124187',1142,'169',72.86,1,2,1),(15,2213680,'1990-08-19 00:00:00',4,1,12,2007,'F','N','RIO CAVEIRAS','BIGUACU','SC','124242241216271431438621575124610168197',NULL,'63',24.17,1,3,NULL),(15,2213699,'1990-04-27 00:00:00',4,1,12,2007,'M','N','CENTRO','SAO JOSE DOS CAMPOS','SP','125252251236471431489814572122610167112',NULL,'9998',0.00,1,3,NULL),(15,2213729,'1990-08-14 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241111131431536614295124610141187',21100,'727',34.65,1,2,1),(15,2213737,'1986-07-16 00:00:00',2,1,11,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217154721237843335122230737145',14745,'589',45.08,3,3,NULL),(15,2213753,'1983-05-01 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124161247126131431121341215124610166052',NULL,'9999',0.00,3,3,NULL),(15,2213761,'1991-06-07 00:00:00',4,3,12,2008,'F','S','CENTRO','UMUARAMA','PR','116164168416111311463716465122610136192',NULL,'9998',0.00,1,3,NULL),(15,2213788,'1989-07-07 00:00:00',2,4,10,2006,'F','N','JOSÉ BONIFACIO','ERECHIM','RS','120204201217572431458611412112610144187',5579,'9998',59.92,4,3,NULL),(15,2213796,'1990-03-10 00:00:00',4,3,12,2007,'M','N','GUARAITUBA','COLOMBO','PR','116244161216471431338814572122610162042',NULL,'9998',0.00,1,3,NULL),(15,2213800,'1988-02-21 00:00:00',4,1,12,2005,'M','N','SANTA FELICIDADE','CURITIBA','PR','116161161116271431556619415134610164142',8161,'9998',55.08,1,2,1),(15,2213826,'1989-12-08 00:00:00',4,1,12,2006,'F','N','APARECIDA','SANTOS','SP','125252251215371421346834385124610127184',NULL,'9998',0.00,4,3,NULL),(15,2213834,'1984-04-16 00:00:00',2,1,12,2002,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124212211216271411227744445124140264117',8418,'9998',54.66,1,3,NULL),(15,2213842,'1989-07-15 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124204241315151542479814574111610148035',2787,'1051',66.78,1,3,NULL),(15,2213850,'1991-12-28 00:00:00',4,9,11,2008,'M','S','UNIVERSITÁRIO','CURITIBANOS','SC','124242241215111431358631475122610126172',NULL,'881',53.06,1,3,NULL),(15,2213869,'1991-07-25 00:00:00',4,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241212111421467834592112610167111',17116,'737',41.70,1,3,NULL),(15,2213885,'1990-05-10 00:00:00',2,5,11,2007,'F','N','SÃO CRISTÓVÃO','CRICIUMA','SC','124242241215111711448731442125610161116',14957,'211',44.84,1,3,NULL),(15,2213893,'1986-11-12 00:00:00',4,1,12,2004,'M','N','LUCIANA II','MARECHAL CANDIDO RONDON','PR','116162035411235311133332333121420433154',13818,'9998',46.43,1,3,NULL),(15,2213907,'1990-03-06 00:00:00',4,5,11,2007,'M','N','PIO CORREA','CRICIUMA','SC','124244241215151531348514194125610162056',9594,'211',52.60,1,3,NULL),(15,2213915,'1985-06-04 00:00:00',4,1,12,2003,'M','N','BARREIROS','SAO JOSE','SC','124241241211143431337712341132130234117',NULL,'724',0.00,1,3,NULL),(15,2213923,'1989-07-20 00:00:00',4,1,11,2007,'F','N','BAIRRO IPIRANGA','SAO JOSE','SC','124242241212132421536834295124231037052',NULL,'738',27.12,1,3,NULL),(15,2213931,'1990-12-09 00:00:00',4,1,12,2008,'M','S','CAMPECHE','FLORIANOPOLIS','SC','124243241216111731558731585124610124095',NULL,'1022',35.83,1,3,NULL),(15,2213940,'1985-09-13 00:00:00',4,1,12,2003,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241137144421456613332112610167012',11135,'292',50.25,1,3,NULL),(15,2213966,'1985-04-15 00:00:00',2,1,12,2003,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124241241117131411335669492124610138185',NULL,'281',33.79,1,3,NULL),(15,2213974,'1990-10-09 00:00:00',4,4,12,2007,'F','N','INTERIOR','QUILOMBO','SC','124241241115131411439913486224610126147',20513,'648',35.86,1,2,1),(15,2213990,'1988-04-27 00:00:00',1,1,12,2005,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241116371711436539575122610166182',18692,'268',39.17,1,3,NULL),(15,2214008,'1975-05-03 00:00:00',4,1,2,2008,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243243337131411544442241122610117042',19630,'9997',37.56,1,3,NULL),(15,2214016,'1990-11-16 00:00:00',4,4,12,2007,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241215111721347632196112610167055',19903,'751',37.01,1,3,NULL),(15,2214024,'1990-11-30 00:00:00',2,4,11,2007,'F','N','CIDADE NOVA','GUARANTA DO NORTE','MT','111112111216161731234676575123610125147',NULL,'9998',0.00,1,3,NULL),(15,2214032,'1990-10-14 00:00:00',4,4,12,2007,'F','N','CENTRO','SAO JOSE DO CEDRO','SC','124241241115151411633636572124610134147',NULL,'740',26.09,1,2,1),(15,2214040,'1990-04-10 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124244241116271431668833575124610162095',14115,'733',46.01,1,3,NULL),(15,2214059,'1986-05-05 00:00:00',4,1,12,2004,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124122121216131731123344242334610164053',16950,'9998',41.93,2,1,2),(15,2214067,'1989-09-12 00:00:00',2,1,12,2007,'F','N','PRAINHA','FLORIANOPOLIS','SC','124241241115131431537723112224610143147',19812,'307',37.19,2,2,1),(15,2214075,'1990-05-31 00:00:00',4,1,12,2007,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124242241217121431569913575124610127052',17440,'1022',41.16,1,3,NULL),(15,2214091,'1990-06-29 00:00:00',2,1,12,2007,'F','N','VARGEN DO BON JESUS','FLORIANOPOLIS','SC','124241241115271531623319242224610122192',15373,'288',44.30,1,2,1),(15,2214105,'1988-07-04 00:00:00',2,1,12,2005,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241117373751436629382124610122187',10947,'281',50.54,1,2,1),(15,2214113,'1982-03-04 00:00:00',2,1,12,2000,'M','N','BARREIROS','SAO JOSE','SC','224242241217135421238644345332130262057',13403,'1036',47.03,1,3,NULL),(15,2214121,'1990-04-15 00:00:00',4,1,12,2007,'M','N','INTERIOR','FRAIBURGO','SC','124241241115111441446923593214610116171',15745,'314',43.75,1,2,1),(15,2214130,'1989-01-07 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241212372431366613432122610134143',NULL,'1036',16.91,1,3,NULL),(15,2214156,'1990-10-30 00:00:00',4,5,12,2007,'M','N','CENTRO','SAO MARCOS','RS','120241242115111431533935575124610167052',22400,'690',30.39,1,3,NULL),(15,2214164,'1990-12-20 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124243241415121411126623595114610167067',NULL,'1022',20.62,4,3,NULL),(15,2214172,'1989-02-22 00:00:00',4,5,11,2006,'F','N','UNIVERSITÁRIO','CRICIUMA','SC','124242241215372431679712572124130243042',2605,'211',67.30,4,3,NULL),(15,2214180,'1989-04-04 00:00:00',4,1,11,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242241211273431256824441134610127077',7889,'723',55.53,4,1,2),(15,2214202,'1991-03-31 00:00:00',2,1,12,2007,'F','N','PANTANO DO SUL','FLORIANOPOLIS','SC','124241241225131431415521572224610127057',11635,'262',49.50,1,3,NULL),(15,2214210,'1989-03-15 00:00:00',4,1,8,2007,'M','N','BARREIROS','SAO JOSE','SC','124244241117371431548931575122610167052',1022,'739',73.40,1,3,NULL),(15,2214229,'1988-12-23 00:00:00',4,3,12,2005,'F','N','CENTRO','SANTA CECILIA','SC','124244241216572431468832572112610167117',12742,'881',47.93,1,3,NULL),(15,2214245,'1990-08-07 00:00:00',2,8,11,2007,'F','N','CENTRO','CURITIBA','PR','122222161217471431446632574315610164145',13181,'9998',47.36,1,3,NULL),(15,2214253,'1988-02-21 00:00:00',2,1,12,2006,'F','N','CENTRO','FOZ DO IGUACU','PR','116282161316372431225519382324610117122',9680,'9998',52.45,1,3,NULL),(15,2214270,'1990-12-10 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','224242241215111431546714575124610122097',12870,'1036',47.76,1,3,NULL),(15,2214296,'1988-11-22 00:00:00',4,8,12,2005,'M','N','CENTRO','REGISTRO','SP','125252251216573431456834572115610137052',NULL,'9998',0.00,3,3,NULL),(15,2214300,'1989-04-10 00:00:00',4,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116162164215572431568931572122610117047',NULL,'9998',0.00,1,3,NULL),(15,2214326,'1990-03-06 00:00:00',4,2,12,2007,'F','N','INTERIOR','SANTA TEREZINHA','SC','124241241127161442525336572344610138017',19330,'691',38.11,1,2,1),(15,2214342,'1985-07-17 00:00:00',2,1,7,2005,'M','N','BARREIROS','SAO JOSE','SC','124241247342371441534432375124610122067',16838,'9999',42.10,1,3,NULL),(15,2214350,'1986-11-30 00:00:00',3,3,12,2004,'F','N','INTERLAGOS','TRES LAGOAS','MS','112122128616151431338811215222610141092',NULL,'9998',0.00,1,3,NULL),(15,2214369,'1990-01-31 00:00:00',2,1,12,2007,'M','N','BIGORRILHO','CURITIBA','PR','116222161236111441438867571224610137187',NULL,'9998',0.00,1,3,NULL),(15,2214377,'1986-12-29 00:00:00',4,6,12,2006,'M','N','JABAQUARA','SAO PAULO','SP','125254218137471411478713375125610164137',542,'9998',76.46,1,3,NULL),(15,2214385,'1989-03-21 00:00:00',2,1,12,2006,'M','N','ARIRIU DA FORMIGA','PALHOCA','SC','124242241215372731556813492124610167112',18370,'1011',39.69,1,3,NULL),(15,2214393,'1977-06-28 00:00:00',2,1,12,1977,'M','N','CARIANOS','FLORIANOPOLIS','SC','224241241121234311334149491334610117043',17509,'283',41.08,1,2,1),(15,2214407,'1987-02-26 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241127271421433344241334610133147',20464,'257',35.94,1,2,1),(15,2214415,'1990-09-23 00:00:00',2,1,11,2007,'F','N','CENTRO','GAROPABA','SC','124241241137131411424331282222610118147',19628,'322',37.56,1,2,1),(15,2214431,'1980-09-16 00:00:00',4,1,12,1998,'M','N','BELA VISTA III','SAO JOSE','SC','124241243446475431129944345124610124187',16766,'303',42.22,1,3,NULL),(15,2214458,'1988-08-10 00:00:00',4,8,12,2006,'M','N','JARDIM AEROPORTO','MARILIA','SP','125252251215471731468833592112610167047',925,'9998',73.94,1,3,NULL),(15,2214466,'1990-05-03 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124244241215111431458813592114610126193',NULL,'1022',21.29,1,3,NULL),(15,2214474,'1989-11-10 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124201201117371431469613575124610127045',4330,'9998',62.65,1,2,1),(15,2214482,'1984-12-17 00:00:00',2,1,6,2007,'M','N','BIGORRILHO','CURITIBA','PR','116222167146371441438767343124610137187',NULL,'9998',0.00,1,3,NULL),(15,2214490,'1983-04-08 00:00:00',4,6,7,2001,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124131137344371431223521342334131564097',NULL,'9998',23.04,4,1,2),(15,2214504,'1987-11-11 00:00:00',2,8,12,2005,'F','N','SÃO MARCOS','JOINVILLE','SC','124241241217141431537534445222231363097',22060,'1105',32.06,1,3,NULL),(15,2214512,'1989-09-09 00:00:00',2,9,12,2007,'M','N','CENTRO','FREI ROGERIO','SC','124241241317131431426913595121610164052',NULL,'320',0.00,1,3,NULL),(15,2214520,'1990-11-13 00:00:00',2,1,12,2007,'F','N','JARDIM UMARIZAL','SAO PAULO','SP','125252251117331441566811171124610124182',19535,'9998',37.75,1,3,NULL),(15,2214555,'1989-11-28 00:00:00',4,1,11,2006,'F','N','CENTRO','CURITIBA','PR','116162161217421411437839572125610142092',2219,'9998',68.53,3,3,NULL),(15,2214571,'1988-03-07 00:00:00',2,1,12,2005,'F','N','JARDIM JAPAO','SAO PAULO','SP','125253256217571421638714574125610162087',7330,'9998',56.55,4,3,NULL),(15,2214580,'1990-12-31 00:00:00',2,1,12,2007,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241316111431328823575224610164147',20872,'362',35.15,1,3,NULL),(15,2214598,'1990-06-09 00:00:00',4,5,12,2007,'M','N','CENTRO','SAO MARCOS','RS','120201242114111731323639576322610164014',16979,'690',41.91,1,3,NULL),(15,2214601,'1990-09-19 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241215122431568823575224610164042',8963,'1022',53.72,3,3,NULL),(15,2214610,'1990-11-16 00:00:00',4,1,12,2007,'M','N','BOA PARDA','SAO PEDRO DE ALCANTARA','SC','124241241126131431453314245122610117042',18789,'869',39.00,1,2,1),(15,2214628,'1986-12-02 00:00:00',2,1,12,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','124244241217574451359813491124610167117',9473,'1022',52.82,4,3,NULL),(15,2214636,'1989-02-17 00:00:00',4,1,11,2007,'M','N','PARAISO','SAO GONCALO','RJ','121214217416271431435314575114610122142',8202,'9998',55.01,1,3,NULL),(15,2214644,'1990-02-20 00:00:00',2,1,12,2007,'M','N','BOM VIVER','BIGUACU','SC','124241241115271431334414571224610127042',NULL,'257',23.50,1,2,1),(15,2214652,'1989-03-22 00:00:00',4,8,12,2006,'F','N','JARDIM AMÉRICA','MAFRA','SC','124241161214471731357939571122610168192',NULL,'9998',0.00,1,3,NULL),(15,2214660,'1990-03-13 00:00:00',2,9,12,2007,'M','N','CENTRO','FREI ROGERIO','SC','124241241112131431426616592224610164052',NULL,'320',0.00,1,2,1),(15,2214679,'1979-12-17 00:00:00',2,1,12,1998,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241217132421348629345122133222117',17980,'269',40.34,1,3,NULL),(15,2214687,'1983-06-12 00:00:00',4,8,12,1999,'F','N','MERCÊS','CURITIBA','PR','116112161216471431469813472122341565152',6845,'9998',57.45,3,3,NULL),(15,2214709,'1970-01-01 00:00:00',2,1,12,1987,'M','N','CARIANOS','FLORIANOPOLIS','SC','624251251123173711342343232233120827067',NULL,'9998',0.00,4,2,1),(15,2214733,'1989-03-17 00:00:00',4,3,10,2006,'F','N','CENTRO','ERECHIM','RS','120204201216472431249923572122610123077',NULL,'9998',0.00,1,3,NULL),(15,2214741,'1984-04-07 00:00:00',2,4,12,2001,'F','N','CENTRO','ERECHIM','RS','120201201336132731323624575124610124197',15181,'9998',44.55,1,3,NULL),(15,2214750,'1984-06-05 00:00:00',2,1,12,2003,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244241112144431454619442132610167065',NULL,'307',32.02,1,3,NULL),(15,2214776,'1986-03-31 00:00:00',4,1,12,2003,'F','N','STO ANTONIO DE LISBO','FLORIANOPOLIS','SC','124241241146132431124144141334610136187',17178,'757',41.60,1,2,1),(15,2214792,'1988-11-10 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241212213421343519592124610137182',10713,'266',50.86,1,3,NULL),(15,2214814,'1990-05-08 00:00:00',2,9,12,2007,'F','N','SÃO CRISTOVÃO','LAGES','SC','124242241212111731436712575122610128147',19861,'9997',37.10,1,3,NULL),(15,2214822,'1989-09-03 00:00:00',4,1,12,2007,'F','N','JD CHAPADÃO','CAMPINAS','SP','125122258215111411458811574122610167057',17288,'9998',41.43,2,3,NULL),(15,2214830,'1989-05-18 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241112121531435532312114610117053',NULL,'257',19.63,4,3,NULL),(15,2214849,'1983-11-17 00:00:00',2,1,7,2002,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241247446135431678619392124220938182',6047,'9999',58.98,1,3,NULL),(15,2214857,'1989-01-22 00:00:00',4,1,11,2006,'M','N','SERRARIA','SAO JOSE','SC','124241241127371432664313415114610134057',15072,'730',44.71,1,3,NULL),(15,2214881,'1989-09-28 00:00:00',2,8,12,2006,'F','N','CENTRO','TIJUCAS DO SUL','PR','116163161215471451378833534122610166142',NULL,'9998',0.00,1,3,NULL),(15,2214890,'1987-04-09 00:00:00',4,5,12,2004,'F','N','CENTRO','CRICIUMA','SC','124241241144371431424314272224130264017',11805,'228',49.25,1,3,NULL),(15,2214903,'1989-06-06 00:00:00',4,4,12,2006,'M','N','CENTRO','PATO BRANCO','PR','116142141215471431336632575125610142197',3992,'9998',63.47,5,3,NULL),(15,2214911,'1991-03-02 00:00:00',4,2,11,2007,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124242241215111432576512572122610137057',NULL,'855',0.00,1,3,NULL),(15,2214938,'1987-05-01 00:00:00',2,1,12,2005,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124244248217133731559713231122231017047',18669,'272',39.21,1,3,NULL),(15,2214954,'1990-02-06 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241215113431556613595124610132197',11489,'1022',49.72,4,3,NULL),(15,2214989,'1977-12-09 00:00:00',1,1,12,1997,'F','N','VILA PEREIRA','SAO JOSE DO RIO PARDO','SP','225281251116231431249627495123441224184',12758,'9998',47.91,1,3,NULL),(15,2214997,'1977-06-24 00:00:00',4,1,12,1994,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241116133431357827385114330226187',20511,'257',35.86,4,1,1),(15,2215004,'1971-07-21 00:00:00',4,1,8,1990,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124203207316151741123843332223610134063',18528,'9998',39.44,1,3,NULL),(15,2215012,'1986-09-18 00:00:00',4,8,12,2004,'M','N','JARDIN SOPHIA','JOINVILLE','SC','124242241217153441478834575122231467055',7404,'269',56.41,1,3,NULL),(15,2215047,'1986-12-18 00:00:00',2,4,12,2005,'M','N','ALVORADA','BARRACAO','PR','116241161136141421443419295122241027042',21981,'9998',32.32,1,2,1),(15,2215055,'1983-10-05 00:00:00',4,8,12,2001,'F','N','CIDADE JARDIM','AMERICANA','SP','125251251115471431236623482123610167094',13586,'9998',46.76,1,2,1),(15,2215063,'1990-10-21 01:00:00',2,10,12,2007,'F','N','CAMPO DUNA','GAROPABA','SC','124241241117131431523315572124610146147',19735,'9997',37.35,1,2,1),(15,2215071,'1989-07-26 00:00:00',2,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124242241213322621438813331111610117047',10116,'723',51.76,2,1,2),(15,2215080,'1980-01-04 00:00:00',2,1,12,1997,'F','N','PANTANAL','FLORIANOPOLIS','SC','124252251215271751437612415122142665182',NULL,'9998',26.29,1,3,NULL),(15,2215101,'1990-04-26 00:00:00',4,8,11,2007,'F','N','ALPHAVILLE','PARANAGUA','PR','116162161215111531587612312122610127187',NULL,'9998',0.00,1,3,NULL),(15,2215110,'1985-11-20 00:00:00',4,2,12,2003,'M','N','BELA VISTA','GASPAR','SC','124241241334371431346314381213610167142',9028,'86',53.60,1,3,NULL),(15,2215128,'1976-06-24 00:00:00',4,1,12,1999,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','624242243436132451326649391234610132187',20088,'306',36.64,1,3,NULL),(15,2215136,'1987-04-10 00:00:00',4,4,12,2006,'M','N','CENTRO','QUILOMBO','SC','124241245117131431414336131334610167047',NULL,'648',22.56,1,3,NULL),(15,2215144,'1983-08-13 00:00:00',2,1,12,2000,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241131234431533414246334610138187',8623,'288',54.30,4,2,1),(15,2215152,'1990-09-07 00:00:00',4,1,11,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241115371431334617342122610136012',9044,'271',53.57,1,3,NULL),(15,2215160,'1984-02-06 00:00:00',1,2,12,2001,'M','N','ASILO','BLUMENAU','SC','124241241115371431326851272222142462057',4815,'616',61.49,1,2,1),(15,2215187,'1987-02-02 00:00:00',2,1,12,2004,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124241241115142411645521312232133262072',NULL,'592',23.48,1,2,1),(15,2215209,'1986-04-01 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124052051217373441169823571325610164177',3518,'9998',64.73,4,3,NULL),(15,2215217,'1984-09-10 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241116373431646629495124231227043',15626,'307',43.91,1,2,1),(15,2215225,'1987-12-15 00:00:00',2,1,12,2004,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124201201146131311346611285121142064047',14249,'9998',45.80,1,2,1),(15,2215233,'1990-02-08 00:00:00',4,1,12,2005,'F','N','CENTRO','BRUSQUE','SC','124242241215472411229512592114610136172',12313,'109',48.56,3,3,NULL),(15,2215241,'1989-03-13 00:00:00',2,1,12,2007,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241243215131732426619572124610123143',NULL,'1022',25.24,1,3,NULL),(15,2215268,'1989-12-15 00:00:00',2,1,12,2007,'F','N','JARDIM CIDADE','SAO JOSE','SC','124242241235152431436831574224610134017',8653,'988',54.25,1,3,NULL),(15,2215276,'1990-04-22 00:00:00',4,1,12,2007,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241117151431426614575124610165012',NULL,'281',7.62,1,3,NULL),(15,2215284,'1990-05-11 00:00:00',2,1,12,2006,'M','N','VARGEM PEQUENA','FLORIANOPOLIS','SC','124241241315412431448923385124122865085',NULL,'1098',50.92,1,3,NULL),(15,2215292,'1988-11-14 00:00:00',2,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124241241425372731318719575214610164147',21491,'1076',33.74,1,3,NULL),(15,2215306,'1990-05-22 00:00:00',4,2,12,2007,'F','N','RONCADOR','WITMARSUM','SC','124241241115131752414315152323610167052',NULL,'835',21.26,1,3,NULL),(15,2215322,'1986-07-19 00:00:00',2,1,12,2003,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241315475431545823572244121967047',406,'1022',77.62,1,3,NULL),(15,2215330,'1988-10-30 00:00:00',4,1,11,2006,'F','N','BARREIROS','SAO JOSE','SC','124244241416272411459619585124233261027',15683,'943',43.83,1,3,NULL),(15,2215349,'1985-06-29 00:00:00',4,1,11,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124072071236142431484832295125241027123',NULL,'9998',0.00,1,3,NULL),(15,2215357,'1986-10-08 00:00:00',4,1,12,2003,'M','N','PANTANAL','FLORIANOPOLIS','SC','124244241216132531129643435124123234122',7782,'270',55.73,1,3,NULL),(15,2215373,'1990-06-25 00:00:00',2,4,12,2007,'M','N','ENGENHO BRAUN','CHAPECO','SC','124241241415271731324624475124610167047',19910,'1046',36.99,1,3,NULL),(15,2215381,'1991-01-29 00:00:00',2,1,12,2007,'F','N','PONTE DE IMARUIM','PALHOCA','SC','124242241215321431534631574125610124187',16001,'1011',43.38,1,3,NULL),(15,2215390,'1967-05-31 00:00:00',4,1,12,1985,'F','N','CENTRO','PORTO ALEGRE','RS','120241245126154721143479331235420466182',3093,'356',65.86,1,3,NULL),(15,2215403,'1990-08-13 00:00:00',4,4,12,2007,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124162161213121431658811572125610127067',18567,'9998',39.38,3,3,NULL),(15,2215411,'1986-10-10 00:00:00',4,8,12,2003,'M','N','BARREIROS','SAO JOSE','SC','124242241216374431458713382324231427055',4103,'738',63.18,1,3,NULL),(15,2215420,'1983-11-22 00:00:00',4,1,12,2002,'F','N','CACHOEIRA B JESUS','FLORIANOPOLIS','SC','124243247337272431459923375114133227027',NULL,'9999',35.99,1,3,NULL),(15,2215438,'1969-11-08 00:00:00',2,1,12,1996,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248212133731321119182324330221022',NULL,'486',30.82,1,3,NULL),(15,2215454,'1989-10-14 00:00:00',2,1,12,2006,'M','N','CENTRO','TERRA DE AREIA','RS','120201201126371431546313435111610164057',11910,'9998',49.09,1,2,1),(15,2215470,'1990-01-30 00:00:00',4,5,11,2007,'F','N','SANTA BARBARA','CRICIUMA','SC','124242241215272431235824572122610163097',10524,'213',51.15,1,3,NULL),(15,2215489,'1989-04-09 00:00:00',4,1,12,2006,'M','N','ORLEANS','CURITIBA','PR','116162161116471731547734575124610164012',NULL,'9998',0.00,1,3,NULL),(15,2215497,'1990-08-15 00:00:00',2,7,11,2007,'M','N','CENTRO','ZORTEA','SC','124241241216371441353432341122610164086',7189,'9997',56.82,1,3,NULL),(15,2215500,'1989-11-19 00:00:00',4,3,12,2006,'F','N','VILA HAUER','CURITIBA','PR','116162161236272431336624285124610164142',21093,'9998',34.66,1,3,NULL),(15,2215519,'1990-05-31 00:00:00',2,1,12,2007,'F','N','INGLESES','CURITIBA','PR','124243243117151421537331211124610128087',21274,'288',34.27,1,3,NULL),(15,2215527,'1989-10-26 00:00:00',2,1,12,2006,'F','N','JARDIM ELDORADO','PALHOCA','SC','124241241117132431333611342124610127047',21356,'591',34.08,4,2,1),(15,2215535,'1991-03-06 00:00:00',4,7,12,2007,'F','N','SANTA TEREZA','VIDEIRA','SC','124241241117151231449914572125610127097',21504,'831',33.72,1,3,NULL),(15,2215543,'1989-05-15 00:00:00',4,1,12,2006,'F','N','BURGO PAULISTA','SAO PAULO','SP','125251251117471431688632271124610126044',NULL,'9998',0.00,1,3,NULL),(15,2215551,'1990-07-09 00:00:00',4,2,12,2007,'M','N','CENTRO','CASCAVEL','PR','116162161217121431578811575124610164127',3350,'9998',65.13,1,3,NULL),(15,2215560,'1990-07-26 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241248116111431346667575124610164142',NULL,'288',20.51,1,3,NULL),(15,2215594,'1983-11-04 00:00:00',2,1,12,2000,'M','N','REAL PARQUE','SAO JOSE','SC','124241241126133421326614112222610133182',13475,'287',46.92,1,2,1),(15,2215608,'1987-03-21 00:00:00',2,1,12,2004,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124244244217133711446724383114610147057',NULL,'272',21.74,1,3,NULL),(15,2215616,'1989-08-18 00:00:00',4,1,12,2007,'M','N','PENHA','SAO PAULO','SP','125252251216371431468831385124610127042',NULL,'9998',22.60,1,3,NULL),(15,2215624,'1984-03-09 00:00:00',4,5,12,2004,'M','N','ANA RECH','CAXIAS DO SUL','RS','120241201147271411233371282324142044097',NULL,'641',0.00,1,3,NULL),(15,2215640,'1988-08-24 00:00:00',4,4,12,2005,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241211572451658811572125610133127',5337,'752',60.44,3,3,NULL),(15,2215659,'1990-05-16 00:00:00',4,1,12,2007,'F','N','CENTRO','ANITAPOLIS','SC','124241241134161431523365392132610144147',15796,'19',43.68,1,2,1),(15,2215667,'1989-12-17 00:00:00',4,5,12,2006,'M','N','CENTRO','ICARA','SC','124241241116131431536339345114610122182',21597,'1005',33.52,3,2,1),(15,2215675,'1989-11-09 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241111372431436614382124610115097',19758,'733',37.31,1,2,1),(15,2215683,'1989-11-21 00:00:00',2,3,12,2006,'M','N','CENTRO','TIJUCAS','SC','124241241116141331436314375122610125172',NULL,'783',21.84,1,2,1),(15,2215691,'1990-12-24 00:00:00',4,1,12,2007,'M','N','CENTRO','SANTA MARIA','RS','120202201217271411369714575124610126012',2344,'9998',68.10,1,3,NULL),(15,2215705,'1987-01-08 00:00:00',2,8,12,2004,'M','N','JARDIM GUANABARA','CUIABA','MT','122224221216571431538814475124610124052',NULL,'9998',0.00,1,3,NULL),(15,2215713,'1989-02-23 00:00:00',4,1,12,2007,'F','N','IPIRANGA','TEOFILO OTONI','MG','113132131416111231443364595122610161182',NULL,'9998',0.00,1,3,NULL),(15,2215721,'1986-12-04 00:00:00',2,1,12,2005,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124243243215372731449633445124610125053',21667,'1022',33.35,1,3,NULL),(15,2215748,'1984-05-10 00:00:00',2,1,12,2005,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241125133731536512141125610127057',21879,'298',32.70,1,3,NULL),(15,2215772,'1991-05-16 00:00:00',2,1,12,2007,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124244241215111431456612245122610167047',17121,'1014',41.69,1,3,NULL),(15,2215780,'1988-10-31 00:00:00',4,1,12,2006,'M','N','CENTRO','BRUSQUE','SC','124242241215472411569514472124610122177',33,'107',83.77,1,3,NULL),(15,2215799,'1989-08-20 00:00:00',2,1,11,2007,'M','N','PORTO DA LAGOA','FLORIANOPOLIS','SC','124242241215112431446614595124610117051',7022,'1098',57.11,1,3,NULL),(15,2215802,'1978-11-14 00:00:00',4,1,12,1995,'M','N','BALNEARIO','FLORIANOPOLIS','SC','124241241112223312323423333212132314133',NULL,'307',0.00,1,3,NULL),(15,2215810,'1984-04-08 00:00:00',4,1,12,2001,'M','N','SAO NICOLAU','BIGUACU','SC','124242241217114441348644345124121664172',6985,'269',57.19,1,3,NULL),(15,2215829,'1991-02-01 00:00:00',4,4,12,2007,'M','N','CENTRO','CONCORDIA','SC','124241241115321431346634245121610127057',14530,'192',45.37,1,3,NULL),(15,2215837,'1989-07-01 00:00:00',1,1,12,2007,'F','N','AREIAS','SAO JOSE','SC','124241241135131731637234195334610122142',22480,'734',29.09,1,2,1),(15,2215845,'1983-07-19 00:00:00',2,1,12,2000,'M','N','CENTRO','CACADOR','SC','124244241412131411555512185121131437182',22317,'124',30.91,1,3,NULL),(15,2215853,'1989-03-17 00:00:00',2,3,12,2006,'M','N','REGIÃO DO LAGO','CASCAVEL','PR','116164161416472431539714175124610164157',13833,'9998',46.41,1,3,NULL),(15,2215870,'1978-10-27 00:00:00',2,1,12,1997,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','624201203227272421232241212214610162097',15153,'9998',44.59,1,3,NULL),(15,2215888,'1989-06-28 00:00:00',2,1,12,2006,'M','N','CENTRO','CATUIPE','RS','120201201216371411369833435124610164157',20562,'9998',35.77,1,3,NULL),(15,2215896,'1986-09-03 00:00:00',2,1,11,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241116274431558613471114610143197',8240,'307',54.94,1,2,1),(15,2215900,'1988-06-16 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241216154411568814485124222237112',11249,'951',50.09,1,3,NULL),(15,2215918,'1985-08-09 00:00:00',4,1,12,2002,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241212154431476812491122231024072',NULL,'9997',22.47,1,3,NULL),(15,2215926,'1989-05-07 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117272731458513344144610167112',13002,'307',47.59,1,2,1),(15,2215934,'1990-07-24 00:00:00',4,7,10,2007,'M','N','AGUA VERDE','CURITIBA','PR','116162161215111431588811574112610167043',NULL,'9998',0.00,1,3,NULL),(15,2215942,'1988-03-06 00:00:00',4,1,12,2005,'M','N','SÃO FELIPE','AVARE','SP','125252251215571431458839474112610162062',4107,'9998',63.17,1,3,NULL),(15,2215950,'1980-09-26 00:00:00',2,1,12,1998,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124241241127274431433332112324222262193',NULL,'475',0.00,4,3,NULL),(15,2215969,'1988-05-19 00:00:00',4,1,12,2005,'F','N','CENTRO','PIRACICABA','SP','125252251216573431359731574112610162182',5519,'9998',60.02,1,3,NULL),(15,2215977,'1989-02-19 00:00:00',4,1,6,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242247225371411466619375114610138042',NULL,'300',25.00,1,3,NULL),(15,2215985,'1986-04-07 00:00:00',2,1,12,2004,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124201201127251421436314342334610124147',NULL,'9999',22.78,1,3,NULL),(15,2215993,'1989-11-06 00:00:00',4,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124243248215122431427633395124233228041',21487,'270',33.75,1,3,NULL),(15,2216000,'1988-10-06 00:00:00',2,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','124111241142373431434612311222131417067',17000,'873',41.88,4,2,1),(15,2216019,'1989-11-25 00:00:00',4,1,11,2006,'M','N','KOBRASOL','SAO JOSE','SC','124242241215373431466632572124233234182',6225,'723',58.60,1,3,NULL),(15,2216027,'1987-05-10 00:00:00',2,1,11,2005,'F','N','BELA VISTA','SAO JOSE','SC','124243241115372431425512396224610123187',20463,'726',35.94,1,3,NULL),(15,2216035,'1988-02-18 00:00:00',2,1,12,2005,'F','N','MEDIANEIRA','SANTA MARIA','RS','120202201316373431438839571344610133072',8063,'9998',55.25,1,3,NULL),(15,2216060,'1984-06-08 00:00:00',4,1,12,2003,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241247337135431236619172111222916061',7410,'9999',56.40,1,3,NULL),(15,2216078,'1989-04-30 00:00:00',2,8,12,2006,'F','N','AGUA VERDE','CURITIBA','PR','116162161215412531467713574122610167141',1356,'9998',71.85,1,3,NULL),(15,2216086,'1988-08-24 00:00:00',4,1,9,2006,'M','N','JD FORTALEZA','PAULINIA','SP','125252256116371721467814445122610167046',NULL,'9998',0.00,4,3,NULL),(15,2216094,'1986-02-17 00:00:00',4,1,11,2004,'F','N','LAGOA DA CONCEICAO','FLORIANOPOLIS','SC','124242241216273431547721495112222237095',NULL,'272',43.53,1,3,NULL),(15,2216116,'1988-02-02 00:00:00',2,1,12,2004,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241212134431343319381224132724042',13439,'723',46.96,2,1,2),(15,2216124,'1985-02-16 00:00:00',4,1,12,2002,'F','N','BARREIROS','SAO JOSE','SC','124241241131131421456923342124332046197',18519,'669',39.44,1,3,NULL),(15,2216132,'1990-07-11 00:00:00',5,4,12,2007,'M','N','INTERIOR','SEARA','SC','124241242116131431626315592225610134017',18765,'196',39.05,1,3,NULL),(15,2216140,'1986-05-09 00:00:00',4,2,12,2003,'M','N','MARGEM ESQUERDA','GASPAR','SC','124241241127133431553434142124131522197',16583,'325',42.47,1,2,1),(15,2216159,'1986-01-18 00:00:00',2,1,11,2003,'M','N','DISTRITO INDUSTRIAL','MANAUS','AM','104211041116551441446419472124242462142',1814,'9998',69.90,1,3,NULL),(15,2216167,'1988-11-30 00:00:00',2,3,12,2007,'M','N','DAS NAÇÕES','BALNEARIO CAMBORIU','SC','124241248117161732425624242121613227012',22121,'873',31.83,4,3,NULL),(15,2216175,'1988-05-16 00:00:00',4,1,11,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124251251117152721555519375124610132057',8869,'9998',53.88,4,2,1),(15,2216183,'1985-06-23 00:00:00',2,1,12,2002,'F','N','FLOR DE NAPOLIS','SAO JOSE','SC','124241241117374731323344346113123066181',11328,'727',49.95,1,2,1),(15,2216191,'1988-12-09 00:00:00',2,4,12,2005,'M','N','SANTA CRUZ','CASCAVEL','PR','116161161116472431324631242321610124177',4054,'9998',63.32,1,2,1),(15,2216205,'1990-04-30 00:00:00',2,5,10,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215111231236827275114610142092',13146,'213',47.40,1,3,NULL),(15,2216213,'1990-01-15 00:00:00',4,9,12,2007,'M','N','VILA NOVA','LAGES','SC','124242241315151411446612395122610166182',14061,'498',46.08,1,3,NULL),(15,2216221,'1988-08-09 00:00:00',4,1,12,2006,'M','N','PORTÃO','CURITIBA','PR','116163161216271711558411275124610134184',8507,'9998',54.50,1,3,NULL),(15,2216230,'1989-01-26 00:00:00',4,2,12,2006,'M','N','CENTRO','PONTA GROSSA','PR','116164161211412411568612591145610115017',2266,'9998',68.38,1,3,NULL),(15,2216248,'1989-06-07 00:00:00',4,8,12,2006,'M','N','BRASILIA','PATO BRANCO','PR','116162161215412431458831595122610167043',5841,'9998',59.38,1,3,NULL),(15,2216264,'1990-04-19 00:00:00',4,2,12,2007,'M','N','NAÇÕES','TIMBO','SC','624242241216161411356613575111610164052',17972,'9997',40.36,1,3,NULL),(15,2216272,'1989-04-12 00:00:00',4,1,12,2007,'M','N','BOM VIVER','BIGUACU','SC','124241241115131311338923272124610123047',11417,'9997',49.82,2,1,1),(15,2216280,'1989-05-26 00:00:00',4,2,12,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241215152431568611575122232022142',14840,'956',44.96,1,3,NULL),(15,2216299,'1989-06-25 00:00:00',4,1,6,2008,'M','S','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124244241115151411444731386124610164142',NULL,'306',51.60,1,3,NULL),(15,2216329,'1986-01-27 00:00:00',2,1,12,2003,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241116143431336833285114130717043',NULL,'772',0.00,1,3,NULL),(15,2216337,'1989-06-26 00:00:00',4,4,12,2006,'F','N','VILA PLANALTO','DOURADOS','MS','112124121215472431468832575123610127012',8704,'9998',54.17,1,3,NULL),(15,2216345,'1990-07-20 00:00:00',4,10,11,2007,'M','N','VILA MOEMA','TUBARAO','SC','124202241215271431446813572111610164052',1529,'797',71.08,1,3,NULL),(15,2216353,'1988-11-17 00:00:00',2,8,11,2007,'F','N','COPACABANA','RIO DE JANEIRO','RJ','121162211216171231567736591124610127122',13820,'9998',46.43,1,3,NULL),(15,2216361,'1988-08-12 00:00:00',4,1,12,2005,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241217473431589933222122123267112',1925,'262',69.51,1,3,NULL),(15,2216370,'1990-12-08 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124243241111471431236812271122610127077',17318,'169',41.36,4,3,NULL),(15,2216388,'1989-09-20 00:00:00',2,5,7,2007,'M','N','MARIA CÉU','CRICIUMA','SC','124241246216232431543319341124610135097',15210,'995',44.52,1,3,NULL),(15,2216396,'1977-12-30 00:00:00',4,1,12,1995,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124132131212143721236923442324441366017',6492,'9998',58.09,1,3,NULL),(15,2216400,'1990-07-10 00:00:00',4,9,12,2007,'F','N','CENTRO','CURITIBANOS','SC','124241248215111431436913572122610124071',NULL,'237',14.11,1,3,NULL),(15,2216418,'1980-04-26 00:00:00',2,1,12,2004,'M','N','BARREIROS','SAO JOSE','SC','124243241336152421421623245111610131033',18220,'730',39.94,2,1,2),(15,2216426,'1986-09-16 00:00:00',2,1,11,2004,'M','N','INGLESES RIO VERMELH','FLORIANOPOLIS','SC','124132138315371451228811415114141567057',18934,'9998',38.78,1,3,NULL),(15,2216434,'1990-02-12 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241335371431458727145124610126012',11375,'49',49.88,1,3,NULL),(15,2216442,'1977-03-24 00:00:00',3,1,12,1994,'F','N','VILA IMPÉRIO','SAO PAULO','SP','125251251116571431664429445134142222147',7934,'9998',55.46,2,2,1),(15,2216450,'1989-11-14 00:00:00',4,1,11,2007,'F','N','JARDIM ELDORADO','CUIABA','MT','111112111216111751458831575122610163017',17811,'9998',40.64,1,3,NULL),(15,2216469,'1974-11-08 00:00:00',4,1,12,1998,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','124203201347131731434319292234140242181',21186,'9998',34.47,1,3,NULL),(15,2216477,'1987-08-09 00:00:00',4,2,12,2005,'F','N','IMIGRANTES','TIMBO','SC','124241248215372731434611574122131363187',NULL,'956',0.00,1,3,NULL),(15,2216485,'1989-08-26 00:00:00',4,1,12,2006,'F','N','TINDADE','FLORIANOPOLIS','SC','125244241217372431428824345232610126185',9186,'988',53.29,1,3,NULL),(15,2216507,'1989-12-22 00:00:00',4,3,12,2007,'M','N','ANTIGO AEROPORTO','PARANAVAI','PR','116162164216111431464631595122610124152',15993,'9998',43.40,4,3,NULL),(15,2216515,'1989-04-14 00:00:00',4,1,12,2006,'F','N','CENTRO','ITAPIRANGA','SC','124241201246472431468732572112610144072',7413,'9998',56.38,1,3,NULL),(15,2216523,'1990-11-12 00:00:00',2,1,12,2007,'F','N','SARANDI','PORTO ALEGRE','RS','120203201417141731428639215124610135182',NULL,'9998',0.00,1,3,NULL),(15,2216531,'1990-10-07 00:00:00',4,8,12,2007,'F','N','CENTRO','CONTENDA','PR','116164161235111411159934541114610161184',10232,'9998',51.58,1,3,NULL),(15,2216540,'1990-07-09 00:00:00',4,1,12,2007,'M','N','WARNOW','INDAIAL','SC','124241248115131411423329392314610127147',NULL,'365',0.00,4,3,NULL),(15,2216566,'1989-04-24 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215212431487614572114132567142',1816,'1022',69.89,1,3,NULL),(15,2216574,'1984-07-25 00:00:00',4,8,11,2001,'F','N','BACACHERI','CURITIBA','PR','116162161217473431538719292124140464187',8375,'9998',54.73,3,3,NULL),(15,2216582,'1984-06-02 00:00:00',4,8,11,2001,'M','N','FÁTIMA','JOINVILLE','SC','124241241127131431436311142334610127017',NULL,'467',0.00,1,3,NULL),(15,2216604,'1989-10-31 00:00:00',2,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124242241212372431369812572124233265192',428,'270',77.39,1,3,NULL),(15,2216612,'1991-06-07 00:00:00',4,10,11,2008,'F','S','VILA MOEMA','TUBARAO','SC','124242241211111732468313576112610137077',NULL,'809',36.21,1,3,NULL),(15,2216620,'1990-04-15 00:00:00',2,1,12,2007,'F','N','ITAPOA','VILA VELHA','ES','108082081215111411356832241124610166182',11703,'9998',49.39,1,3,NULL),(15,2216639,'1988-02-17 00:00:00',2,1,12,2005,'M','N','JARDIMELDORADO','PALHOCA','SC','124242241212273731334729492124230227057',7967,'1022',55.43,2,1,2),(15,2216647,'1986-04-16 00:00:00',4,1,12,2003,'M','N','ALTO DE PINHEIROS','SAO PAULO','SP','125252251217472431579933571124142822192',996,'9998',73.57,1,3,NULL),(15,2216671,'1983-01-21 00:00:00',4,8,12,2000,'F','N','VILA NOVA','JOINVILLE','SC','124241241116131221445414445134130744147',17488,'475',41.10,1,2,1),(15,2216680,'1987-06-11 00:00:00',4,1,7,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124123121117574431256613574114610122142',592,'9998',76.12,1,3,NULL),(15,2216698,'1990-12-31 00:00:00',2,1,12,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215111431449679595124610168162',15314,'272',44.38,1,3,NULL),(15,2216701,'1990-04-25 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241115151431365833575124610127052',772,'267',74.87,1,2,1),(15,2216710,'1989-04-15 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215372432358834575124231867117',5411,'270',60.25,1,3,NULL),(15,2216728,'1990-08-25 00:00:00',4,4,11,2007,'F','N','CENTRO','DESCANSO','SC','124252241215151441538634595124610113092',NULL,'241',0.00,3,3,NULL),(15,2216736,'1987-11-30 00:00:00',4,8,11,2005,'M','N','ANITA GARIBALDI','SANTO ANDRE','SP','124242241216374441448924585115141164186',2879,'1063',66.51,1,3,NULL),(15,2216744,'1989-04-08 00:00:00',2,1,12,2006,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215472431367929395122610167057',5425,'270',60.22,1,3,NULL),(15,2216752,'1989-10-27 00:00:00',2,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241215372431567933372222610154017',12227,'688',48.68,1,3,NULL),(15,2216760,'1989-11-07 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216372712346633575124610121045',9412,'988',52.92,1,3,NULL),(15,2216779,'1991-02-17 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241217171751478412592122610168187',19286,'1022',38.19,1,3,NULL),(15,2216795,'1988-12-14 00:00:00',4,2,11,2007,'F','N','CENTRO','BLUMENAU','SC','124242241215272441479732292115610136142',6936,'909',57.28,1,3,NULL),(15,2216809,'1985-03-14 00:00:00',2,1,12,2004,'F','N','PICADAS DO NORTE','SAO JOSE','SC','124244247445373412323764444334610146097',22504,'9999',28.62,2,3,NULL),(15,2216817,'1989-03-22 00:00:00',4,4,12,2005,'F','N','CENTRO','PALMITOS','SC','120241241416573431446632275114610166142',3192,'600',65.56,1,3,NULL),(15,2216825,'1989-05-09 00:00:00',4,6,12,2006,'F','N','SANTA PAULA','SAO CAETANO DO SUL','SP','125252251217472531239923232124610154146',4674,'9998',61.82,4,3,NULL),(15,2216833,'1990-04-23 00:00:00',4,6,11,2007,'M','N','CENTRO','ITAJAI','SC','124242241215141432569813376122610164122',8521,'394',54.47,1,3,NULL),(15,2216850,'1989-06-15 00:00:00',4,1,12,2006,'M','N','JARDIM DANFER','SAO PAULO','SP','125254251117471411433312285124610135146',14792,'9998',45.02,1,3,NULL),(15,2216868,'1990-01-30 00:00:00',4,3,11,2007,'M','N','CENTRO','BRUSQUE','SC','124242241116131411529812221131610137167',19697,'111',37.43,1,3,NULL),(15,2216876,'1986-11-05 00:00:00',4,8,12,2004,'M','N','JD MACARENGO','SAO CARLOS','SP','125244251237572431688432294122610135027',6971,'9998',57.22,1,3,NULL),(15,2216884,'1990-05-15 00:00:00',4,9,12,2007,'M','N','BERGER','CACADOR','SC','124242241337151431358714175125610127013',NULL,'119',19.04,1,3,NULL),(15,2216892,'1990-08-09 00:00:00',1,2,12,2007,'F','N','CENTRO','POMERODE','SC','124241241216111431533421315121610124154',5762,'624',59.54,1,3,NULL),(15,2216906,'1989-07-07 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241216372431577732275124610167112',6872,'270',57.40,1,3,NULL),(15,2216914,'1990-07-06 00:00:00',4,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124243241315321431435631574124610126147',20327,'403',36.19,1,3,NULL),(15,2216922,'1989-07-24 00:00:00',4,1,7,2007,'M','N','AGRONONOMICA','FLORIANOPOLIS','SC','124241248217371731527311575124610114052',21875,'9999',32.71,1,3,NULL),(15,2216930,'1985-09-09 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241216472441436823575224130366091',3063,'515',65.93,1,3,NULL),(15,2216949,'1990-05-27 00:00:00',2,1,12,2007,'F','N','CENTRO','VENANCIO AIRES','RS','120202201217131431444619372112610147147',15820,'9998',43.64,1,3,NULL),(15,2216957,'1990-04-06 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','116162161217471411478419394325610166147',NULL,'9998',0.00,1,3,NULL),(15,2216965,'1990-02-16 00:00:00',2,1,12,2007,'F','N','ÓRFÃNS','PONTA GROSSA','PR','116163161215471431347619371125610125012',NULL,'9998',0.00,1,3,NULL),(15,2216973,'1990-10-13 00:00:00',4,1,12,2007,'M','N','AGUA VERDE','CURITIBA','PR','116242161215111421458863591112610167045',NULL,'9998',0.00,1,3,NULL),(15,2216981,'1988-08-28 00:00:00',4,1,12,2005,'F','N','CENTRO','BIGUACU','SC','124242241214372431546631577124610161017',17759,'20',40.72,1,3,NULL),(15,2216990,'1989-04-14 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431458833472122610163182',94,'270',81.68,1,3,NULL),(15,2217007,'1988-02-27 00:00:00',4,1,12,2004,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124244241311142431356833445123610164112',17877,'287',40.54,1,3,NULL),(15,2217015,'1987-08-18 00:00:00',2,1,12,2004,'F','N','BARREIROS','SAO JOSE','SC','124243241116374421636611242134610122147',14585,'734',45.29,1,3,NULL),(15,2217023,'1990-06-23 00:00:00',4,1,1,2008,'F','N','KOBRASOL','SAO JOSE','SC','124241241116131431526514295234610122197',12701,'739',47.98,1,2,1),(15,2217031,'1990-05-20 00:00:00',4,1,11,2007,'F','N','ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP','125252251215111331479912474112610163027',NULL,'9998',0.00,1,3,NULL),(15,2217040,'1991-03-11 00:00:00',4,5,12,2007,'F','N','CENTRO','ICARA','SC','124244241116131431326331275124610144012',20214,'1005',36.39,1,3,NULL),(15,2217058,'1989-05-16 00:00:00',4,3,12,2006,'M','N','CASTELO BRANCO','ITAPEMA','SC','124243241214273431565937345124232135197',2564,'403',67.42,1,3,NULL),(15,2217112,'1990-08-22 00:00:00',4,6,12,2007,'M','N','CENTRO','NOVA TRENTO','SC','124242241215272431469832322112610137092',18036,'981',40.26,1,3,NULL),(15,2217120,'1990-05-04 00:00:00',2,1,12,2007,'M','N','VILA NOVA','IMBITUBA','SC','124243241411131431339711395124610167117',16802,'359',42.16,1,3,NULL),(15,2217139,'1987-08-02 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124252251215573431358414571325610165092',2534,'9998',67.51,1,3,NULL),(15,2217147,'1991-01-15 00:00:00',2,5,11,2007,'F','N','CENTRO','NOVA VENEZA','SC','124241241215371411535612574124610128142',18297,'226',39.80,1,3,NULL),(15,2217155,'1965-10-22 00:00:00',2,7,12,1992,'F','N','CENTRO','CACADOR','SC','124241241122171431421344145234610167077',NULL,'121',6.87,4,1,1),(15,2217163,'1988-09-16 00:00:00',2,5,11,2005,'M','N','CENTRO','MARACAJA','SC','124242246217153721556933385124231464112',2480,'995',67.67,1,3,NULL),(15,2217171,'1989-05-20 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241117141451228421572124610167122',19646,'307',37.53,1,2,1),(15,2217180,'1987-10-20 00:00:00',4,6,12,2005,'M','N','CORDEIROS','ITAJAI','SC','124241241136131431634319245124610137112',NULL,'396',0.00,4,2,1),(15,2217198,'1989-12-16 00:00:00',4,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241247435111331546613431224610126147',NULL,'300',20.85,2,3,NULL),(15,2217201,'1990-01-30 00:00:00',4,1,12,2007,'M','N','GUANABARA','RIO DO CAMPO','SC','124241241125161431333431374122610137052',13701,'651',46.61,1,2,1),(15,2217210,'1990-02-08 00:00:00',2,5,11,2007,'F','N','PINHEIRINHO','CRICIUMA','SC','124242241215112431234311575124610142017',8126,'226',55.14,1,3,NULL),(15,2217228,'1989-10-25 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215112431458613572224610117015',7049,'1022',57.06,1,3,NULL),(15,2217244,'1991-02-01 00:00:00',4,1,12,2008,'M','S','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217111732447739595124610114022',NULL,'270',56.69,4,3,NULL),(15,2217252,'1989-03-03 00:00:00',4,1,12,2007,'F','N','ZONA CINCO','MARINGA','PR','116162161215271421563836266112610142172',NULL,'9998',0.00,1,3,NULL),(15,2217260,'1984-08-08 00:00:00',2,5,12,2001,'F','N','CENTRO','PORTO UNIAO','SC','124241242114141431466713231224342717047',20848,'690',35.19,1,2,1),(15,2217279,'1987-05-18 00:00:00',2,1,6,2006,'F','N','GUARDA DO CUBATAO','PALHOCA','SC','124241241132272431434314285324133033147',19895,'591',37.02,1,2,1),(15,2217287,'1991-09-29 00:00:00',4,9,12,2008,'M','S','CORAL','LAGES','SC','124242241215111132469911584122610114046',NULL,'497',45.49,1,3,NULL),(15,2217309,'1990-12-31 00:00:00',4,9,12,2007,'F','N','CORAL','LAGES','SC','124241241115271431436619575122610127147',20850,'505',35.19,1,2,1),(15,2217317,'1990-04-24 00:00:00',4,1,11,2007,'M','N','DO PARQUE','ITAPIRANGA','SC','124241241226411431346611375112610122041',17145,'1060',41.65,1,3,NULL),(15,2217325,'1988-12-18 00:00:00',4,1,11,2006,'F','N','BIGORRILHO','CURITIBA','PR','116162168217572751466614571124142662147',17849,'9998',40.59,1,3,NULL),(15,2217341,'1988-09-20 00:00:00',4,1,12,2006,'M','N','ASA SUL','BRASILIA','DF','107072077615471231689923415122140912057',13850,'9999',46.39,2,3,NULL),(15,2217350,'1990-09-23 00:00:00',4,1,12,2007,'F','N','CENTRO II','AGUA BOA','MT','111112111317161411439932575121610144012',20238,'9998',36.35,1,3,NULL),(15,2217368,'1990-09-07 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215111731477812571114610127082',9415,'272',52.92,1,3,NULL),(15,2217376,'1980-05-28 00:00:00',4,1,12,1998,'M','N','IPIRANGA','SAO JOSE','SC','124244231131271431356613332123231062192',16632,'9998',42.41,1,3,NULL),(15,2217384,'1990-09-28 00:00:00',2,7,12,2007,'M','N','CENTRO','JABORA','SC','124241242217171711445423575122610117042',NULL,'836',0.00,1,3,NULL),(15,2217392,'1991-06-21 00:00:00',4,1,12,2008,'M','S','CAMPINAS','SAO JOSE','SC','124242241212111431449674572114610162142',NULL,'737',47.53,4,3,NULL),(15,2217406,'1989-12-23 00:00:00',4,3,12,2006,'M','N','PRAÇA','TIJUCAS','SC','124241241137161731434414372112610127047',NULL,'971',18.00,1,3,NULL),(15,2217414,'1988-10-19 00:00:00',2,1,3,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241117132431336623445114610114057',11155,'739',50.23,1,3,NULL),(15,2217430,'1988-12-06 00:00:00',4,1,12,2007,'F','N','CENTRO','SAO BENTO DO SUL','SC','116242161215111511379612571114610161115',15597,'494',43.97,1,3,NULL),(15,2217449,'1990-04-23 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124212241217111431389814575112610136172',431,'270',77.35,1,3,NULL),(15,2217457,'1990-08-08 00:00:00',4,8,12,2007,'M','N','CENTRO','BIRIGUI','SP','125252258215111112448819595112613214052',9400,'9998',52.94,1,3,NULL),(15,2217465,'1990-07-12 00:00:00',4,3,12,2007,'F','N','ANDORINHAS','ITAPEMA','SC','124244241215111431436411592224610134192',2629,'403',67.22,1,3,NULL),(15,2217473,'1989-09-21 00:00:00',4,1,12,2006,'F','N','JARDIM COLINA','AMERICANA','SP','125252251217371431458612571122610162147',NULL,'9998',0.00,1,3,NULL),(15,2217481,'1990-05-24 00:00:00',4,1,12,2007,'M','N','INGLESES DO RIO VERM','FLORIANOPOLIS','SC','125254251216111431568631575122610117044',16061,'9998',43.28,1,3,NULL),(15,2217490,'1982-09-24 00:00:00',4,1,12,2007,'F','N','ENCANTADA','GAROPABA','SC','124241247127131421621129232341610127097',NULL,'9997',16.97,2,1,1),(15,2217503,'1989-09-24 00:00:00',4,5,12,2006,'F','N','RIO BELO','ORLEANS','SC','124244241215371431457833475122131333147',NULL,'581',0.00,1,3,NULL),(15,2217511,'1988-10-08 00:00:00',2,1,12,2005,'F','N','CENTRO','MAFRA','SC','124241161216371431446832272122133227142',11476,'9998',49.74,1,3,NULL),(15,2217520,'1991-02-01 00:00:00',4,9,12,2007,'M','N','CENTRO','ANITA GARIBALDI','SC','124241241112131431447613575122610117042',14432,'18',45.53,1,3,NULL),(15,2217538,'1989-09-06 00:00:00',2,5,12,2007,'M','N','FURNINHAS','ORLEANS','SC','124241242115111431333335252224610167057',21318,'690',34.15,1,3,NULL),(15,2217546,'1985-01-23 00:00:00',2,10,12,2002,'M','N','CENTRO','ARMAZEM','SC','124241241137372441654622495122130328112',18317,'34',39.77,1,3,NULL),(15,2217554,'1989-05-13 00:00:00',4,1,10,2006,'F','N','ASSUNÇAO','PORTO ALEGRE','RS','120202201217471431547823582112610167026',2924,'9998',66.37,1,3,NULL),(15,2217562,'1989-08-29 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241216472741389931575122221468012',NULL,'270',0.00,1,3,NULL),(15,2217570,'1990-01-08 00:00:00',2,8,11,2006,'F','N','SAGUACU','JOINVILLE','SC','124243241335472431446612371122610124072',4472,'486',62.33,1,3,NULL),(15,2217589,'1990-10-21 01:00:00',4,1,12,2007,'M','N','FLORESTA','RIO DO CAMPO','SC','124241241125161431536432345122610137052',20432,'651',35.98,1,2,1),(15,2217597,'1990-12-31 00:00:00',4,8,12,2007,'F','N','CENTRO','CAMPO ALEGRE','SC','124242241215111411448832574112610144192',NULL,'1114',0.00,1,3,NULL),(15,2217619,'1990-07-02 00:00:00',2,1,12,2007,'M','N','SAGRADA FAMILIA','DOIS VIZINHOS','PR','116161161335471751438834145124610167052',18163,'9998',40.04,1,3,NULL),(15,2217627,'1989-03-18 00:00:00',4,1,12,2006,'M','N','JARDIM JUPIÁ','PIRACICABA','SP','125252251217471141259921595122610127047',13459,'9998',46.93,4,3,NULL),(15,2217643,'1986-05-16 00:00:00',2,1,12,2003,'F','N','NOSSA SN DAS GRAÇAS','CANOAS','RS','120201201216141411334624241324610154181',18731,'9998',39.11,1,3,NULL),(15,2217660,'1990-09-27 00:00:00',4,2,12,2007,'M','N','PADRE MARTINHO STEIN','TIMBO','SC','124241241215111431457511575112610167187',4073,'9997',63.26,1,3,NULL),(15,2217678,'1990-02-05 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124202241217111431438414572122610133092',NULL,'269',23.17,4,3,NULL),(15,2217686,'1990-07-16 00:00:00',4,4,12,2007,'F','N','INTERIOR','IPUMIRIM','SC','124241241115131431423336162324610122077',20330,'374',36.18,1,2,1),(15,2217694,'1983-12-05 00:00:00',2,1,12,2001,'M','N','AVENIDA','SANTA CRUZ DO SUL','RS','120201201117132331348411471323141024047',19898,'9998',37.01,2,2,1),(15,2217708,'1984-08-04 00:00:00',4,1,12,2001,'M','N','CAMPINAS','SAO JOSE','SC','124203201216571431638823372312230262177',NULL,'9998',0.00,1,3,NULL),(15,2217724,'1987-07-25 00:00:00',2,8,11,2004,'F','N','AGUA VERDE','CURITIBA','PR','116164161416511531447613572122610134197',NULL,'9998',0.00,1,3,NULL),(15,2217732,'1989-08-01 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241212111731326729575122610117012',NULL,'951',0.00,1,3,NULL),(15,2217740,'1991-07-15 00:00:00',4,1,12,2008,'F','S','KOBRASOL','SAO JOSE','SC','124242241215111732448834575112610131017',NULL,'1022',17.33,1,3,NULL),(15,2217759,'1990-01-15 00:00:00',2,7,12,2007,'M','N','PARQUE JARDIM OURO','OURO','SC','124242241215371431446613235122610134042',14902,'1093',44.91,1,3,NULL),(15,2217767,'1990-08-17 00:00:00',4,6,12,2007,'F','N','SANTA RITA','BRUSQUE','SC','124242241217121431469932245122610147117',16356,'981',42.82,1,3,NULL),(15,2217775,'1989-10-28 00:00:00',2,8,12,2007,'M','N','ESTANCIA CAIÇARA','BIRIGUI','SP','125252258215111112448819575112613264042',NULL,'9998',43.69,1,3,NULL),(15,2217783,'1988-11-25 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241115372731338831572124610133097',10371,'267',51.39,1,2,1),(15,2217791,'1983-03-16 00:00:00',2,1,12,2004,'F','N','CARIANOS','FLORIANOPOLIS','SC','624241247316271431336629491334610114187',22249,'9999',31.28,1,3,NULL),(15,2217813,'1987-07-08 00:00:00',4,1,12,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241111273411448813291124231257092',16590,'268',42.47,4,1,2),(15,2217821,'1958-09-18 00:00:00',2,1,12,1985,'M','N','TAPERA','FLORIANOPOLIS','SC','424241246123232431322243233213610123182',13697,'9997',46.62,1,2,1),(15,2217830,'1988-10-24 00:00:00',4,1,12,2005,'F','N','JARDIM MARAJOARA','NOVA ODESSA','SP','125254258137371731554672572114610132077',6508,'9998',58.06,1,3,NULL),(15,2217848,'1989-10-20 00:00:00',2,1,12,2007,'F','N','PICADAS DO SUL','SAO JOSE','SC','124241241135111431353825275124610164073',21531,'267',33.66,1,2,1),(15,2217856,'1990-09-25 00:00:00',4,10,11,2007,'M','N','CENTRO','TUBARAO','SC','124242241212111431469811495121610167057',11888,'807',49.13,4,1,2),(15,2217864,'1990-06-17 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215371431689913575124610166097',NULL,'9999',0.00,1,3,NULL),(15,2217872,'1985-02-01 00:00:00',4,1,12,2002,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241214245441465979495124122942187',6446,'9997',58.18,1,3,NULL),(15,2217880,'1990-11-06 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241213121431446951573122610166172',9523,'270',52.74,3,3,NULL),(15,2217899,'1988-07-25 00:00:00',4,2,12,2005,'F','N','VELHA CENTRAL','BLUMENAU','SC','124242241215372441447934442124130622097',6825,'87',57.49,1,3,NULL),(15,2217910,'1989-01-07 00:00:00',4,2,12,2006,'M','N','GARCIA','BLUMENAU','SC','124242241217371431548823382121610127112',10762,'86',50.79,1,3,NULL),(15,2217937,'1991-01-26 00:00:00',2,4,11,2007,'F','N','CENTRO','CLEVELANDIA','PR','116162161216151431338711412114610164072',NULL,'9998',0.00,1,3,NULL),(15,2217945,'1981-01-27 00:00:00',4,1,10,2000,'M','N','BARREIROS','SAO JOSE','SC','124211211116153421128833485324230224077',2887,'9998',66.48,1,3,NULL),(15,2217953,'1991-02-08 00:00:00',4,9,12,2007,'F','N','COPACABANA','LAGES','SC','124242241215131321524624572324610122187',NULL,'515',25.24,1,3,NULL),(15,2217961,'1991-04-16 00:00:00',4,2,12,2008,'M','S','PROGRESSO','RIO DO SUL','SC','124243241235112431363833575115610167042',NULL,'991',64.45,1,3,NULL),(15,2217970,'1991-07-15 00:00:00',4,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124241241215121431348612345122610132142',10516,'737',51.17,1,3,NULL),(15,2217988,'1989-10-27 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241248126111512615336555124610167047',NULL,'9999',13.63,4,3,NULL),(15,2217996,'1989-07-12 00:00:00',2,9,11,2006,'F','N','SEMINARIO','TAIO','SC','124244241215372431456833314324610124087',879,'991',74.18,1,3,NULL),(15,2218003,'1990-08-02 00:00:00',4,8,11,2007,'F','N','CAJURU','CURITIBA','PR','116162161214111431348511375112610168111',19142,'9998',38.45,1,3,NULL),(15,2218020,'1991-07-13 00:00:00',4,8,12,2008,'F','S','ATIRADORES','JOINVILLE','SC','124241241127151711533612112122610168077',NULL,'465',25.33,1,3,NULL),(15,2218038,'1990-06-23 00:00:00',2,1,11,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242248215111431459823572112610133181',19039,'1022',38.61,4,3,NULL),(15,2218046,'1989-09-17 00:00:00',2,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124242241215141431483312245122610147077',NULL,'976',19.76,1,3,NULL),(15,2218054,'1988-02-22 00:00:00',2,1,12,2007,'F','N','KORASOL','SAO JOSE','SC','124244241435121411349933572124610111093',NULL,'9997',22.61,1,3,NULL),(15,2218062,'1990-02-09 00:00:00',4,1,12,2007,'F','N','AUTONOMISTA','CAMPO GRANDE','MS','112122121215111431478813432122610127142',19207,'9998',38.33,1,3,NULL),(15,2218070,'1990-06-24 00:00:00',2,8,12,2007,'M','N','CZERNIEWICZ','JARAGUA DO SUL','SC','124243241217111431456513575112610165147',3443,'441',64.89,1,3,NULL),(15,2218089,'1990-07-30 00:00:00',4,10,11,2007,'F','N','SANTO ANTONIO DE PAD','TUBARAO','SC','124244241217271431358814575112610126034',3727,'806',64.14,1,3,NULL),(15,2218097,'1990-08-09 00:00:00',2,1,11,2007,'F','N','CENTRO','CAXIAS DO SUL','RS','120202203216111431457933475122610134142',16152,'9998',43.14,1,3,NULL),(15,2218100,'1990-09-13 00:00:00',4,4,12,2007,'F','N','CENTRO','XAXIM','SC','124241241215111411569716375124610164172',14832,'185',44.97,1,3,NULL),(15,2218119,'1965-06-01 00:00:00',4,1,12,1989,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241247521132411222249391314610115011',20408,'9997',36.04,1,3,NULL),(15,2218127,'1990-09-02 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124242241215111431443314142122610127062',4829,'1011',61.46,1,3,NULL),(15,2218135,'1990-02-19 00:00:00',4,1,12,2007,'M','N','ICARAÍ','NITEROI','RJ','121212211216111431559919575124610167042',3804,'9998',63.97,1,3,NULL),(15,2218160,'1990-09-30 00:00:00',2,10,11,2007,'F','N','VILA NOVA','IMBITUBA','SC','124241241215111331569913592122610123142',8048,'807',55.28,1,3,NULL),(15,2218178,'1979-09-05 00:00:00',2,1,12,1997,'M','N','CAMPECHE','FLORIANOPOLIS','SC','624243248145373421315848282224610112187',13135,'306',47.41,1,3,NULL),(15,2218186,'1977-06-24 00:00:00',2,1,12,1996,'M','N','PASSA VINTE','PALHOCA','SC','124241241147371421331144346334610134197',18829,'591',38.94,1,2,1),(15,2218194,'1989-02-10 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241248115131731528313382321610137127',NULL,'298',22.97,1,2,1),(15,2218208,'1988-01-21 00:00:00',2,7,12,2005,'F','N','BORTOLON','XANXERE','SC','124241241416132431334439381124142567147',11372,'1081',49.89,1,3,NULL),(15,2218216,'1989-04-24 00:00:00',4,1,12,2007,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124281241415111731338821391124610132182',20040,'1048',36.74,1,3,NULL),(15,2218224,'1988-09-01 00:00:00',2,1,12,2006,'M','N','AREIAS DO CAMPECHE','FLORIANOPOLIS','SC','124204241417472721327369382324610118117',12827,'300',47.83,4,1,2),(15,2218232,'1990-06-06 00:00:00',4,1,12,2007,'F','N','VILA JUNCKES','SAO PEDRO DE ALCANTARA','SC','124241241125131111533334392124610167057',16525,'869',42.55,1,2,1),(15,2218240,'1991-09-21 00:00:00',4,1,11,2008,'F','S','CAMPINAS','SAO JOSE','SC','124242241215111731468713574122610126072',NULL,'723',43.58,1,3,NULL),(15,2218259,'1991-02-28 00:00:00',4,9,12,2008,'M','S','CORAL','LAGES','SC','124242241215111332469913475122610122092',NULL,'497',38.47,1,3,NULL),(15,2218267,'1989-02-27 00:00:00',4,8,12,2006,'M','N','ATIRADORES','JOINVILLE','SC','124242246216472231658614575122610144127',6238,'494',58.57,1,3,NULL),(15,2218275,'1978-09-07 00:00:00',2,1,12,2005,'F','N','CAMPINAS','SAO JOSE','SC','124201201116131421124644342234132131027',NULL,'9998',27.39,1,2,1),(15,2218283,'1988-11-25 00:00:00',4,1,12,2006,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215372441459913475112610123142',3273,'270',65.32,4,3,NULL),(15,2218305,'1990-04-26 00:00:00',2,10,11,2007,'F','N','CENTRO','TUBARAO','SC','124244241217122431448912422122610125077',5771,'807',59.52,1,3,NULL),(15,2218313,'1990-04-25 00:00:00',2,1,12,2007,'F','N','CENTRO','PETROLANDIA','SC','124241241215111431436914575124610124147',14471,'991',45.46,1,3,NULL),(15,2218321,'1990-07-09 00:00:00',2,5,11,2007,'M','N','CARAVAGGIO','NOVA VENEZA','SC','124244241231373231474912195124613264044',3619,'213',64.43,1,3,NULL),(15,2218330,'1989-07-02 00:00:00',2,5,12,2006,'M','N','CENTRO','MELEIRO','SC','124241241114271731458853262215610124117',16010,'559',43.37,1,2,1),(15,2218348,'1987-04-02 00:00:00',4,1,10,2006,'M','N','FRAGATA','PELOTAS','RS','120204206316111311345619295121240237152',20517,'9999',35.86,1,3,NULL),(15,2218356,'1989-11-23 00:00:00',4,1,12,2007,'F','N','UNIVERSITÁRIO','GOIANIA','GO','109094091237111711459823346124610122147',1137,'9998',72.88,4,3,NULL),(15,2218364,'1988-02-08 00:00:00',4,3,6,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242247217571431389922571122610124172',3385,'9999',65.04,1,3,NULL),(15,2218380,'1990-01-23 00:00:00',4,9,11,2007,'M','N','CONTA DINHEIRO','LAGES','SC','124242241215111431369814575125610124182',10003,'497',51.93,1,3,NULL),(15,2218399,'1989-08-20 00:00:00',2,1,2,2007,'F','N','NAZARÉ','BELEM','PA','114142217415371431338529575122610122112',NULL,'9999',0.00,1,3,NULL),(15,2218410,'1978-06-14 00:00:00',4,1,12,1996,'M','N','JARDIM SÃO JOSÉ','MOCOCA','SP','125251256116151431323319272221610132187',13931,'9998',46.26,1,2,1),(15,2218429,'1989-12-24 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215121431358839575114610138197',15930,'1022',43.49,1,3,NULL),(15,2218437,'1989-11-27 00:00:00',2,1,12,2007,'F','N','CENTRO','ITAPEMA','SC','224201241215111411257651272122610166182',18160,'407',40.04,1,3,NULL),(15,2218445,'1989-11-01 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217151431346923572124610164143',3899,'1050',63.74,1,3,NULL),(15,2218453,'1990-01-08 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215151411248723575124610164143',2379,'1050',67.99,1,3,NULL),(15,2218461,'1990-08-05 00:00:00',2,1,12,2007,'F','N','ARIRIÚ','PALHOCA','SC','124243241116131431423419242114610124197',16804,'772',42.15,1,3,NULL),(15,2218470,'1989-08-20 00:00:00',2,5,11,2007,'F','N','OPERARIA NOVA','CRICIUMA','SC','124242241215111231446511395124610164052',14921,'213',44.88,1,3,NULL),(15,2218488,'1990-10-14 00:00:00',4,8,12,2007,'M','N','CAMINHO DO MORRO','DONA EMMA','SC','124241241127161231325616382224610127057',8591,'644',54.37,1,3,NULL),(15,2218496,'1985-12-31 00:00:00',2,1,6,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124281241346371431125744245324610166047',15482,'922',44.15,1,3,NULL),(15,2218500,'1990-08-03 00:00:00',4,1,12,2007,'M','N','BELA VISTA','FRAIBURGO','SC','124241241115161411648414585112610134142',NULL,'314',0.00,1,3,NULL),(15,2218518,'1989-10-24 00:00:00',4,1,12,2006,'F','N','PARQUE IMPERADOR','CAMPINAS','SP','125122161216472731358811592124610137052',11630,'9998',49.51,1,3,NULL),(15,2218526,'1988-10-21 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217313431577512371122633225145',994,'270',73.57,1,3,NULL),(15,2218534,'1987-10-21 00:00:00',2,1,12,2004,'F','N','SÃO FRANCISCO','GARIBALDI','RS','120201201135131431524314143324141036057',NULL,'9998',11.76,1,2,1),(15,2218542,'1950-05-13 00:00:00',2,1,12,1980,'M','N','COQUEIROS','FLORIANOPOLIS','SC','424206207622573711263343235122522826042',13224,'9998',47.27,1,3,NULL),(15,2218569,'1986-09-26 00:00:00',4,3,5,2005,'M','N','JD NOVO HORIZONTE','MARINGA','PR','116162281417371441137831312112610124042',7439,'9998',56.35,1,3,NULL),(15,2218577,'1981-04-01 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241135134411436723231122120217085',9460,'307',52.85,1,2,1),(15,2218585,'1989-12-08 00:00:00',4,5,11,2007,'F','N','COMERCIÁRIO','CRICIUMA','SC','124243241115121411336634376122610124142',19313,'210',38.13,1,3,NULL),(15,2218593,'1989-05-21 00:00:00',2,8,12,2006,'F','N','BOM RETIRO','JOINVILLE','SC','124241241117371231113344345124610138152',13695,'50',46.62,4,2,1),(15,2218607,'1989-08-19 00:00:00',2,2,12,2007,'M','N','POÇO GRANDE','GASPAR','SC','124241241217151411657813342111610167057',21762,'955',33.07,1,3,NULL),(15,2218615,'1989-08-09 00:00:00',1,1,12,2006,'F','N','SANTO AMARO','SAO PAULO','SP','125252251216471431446631575122610137097',NULL,'9998',0.00,1,3,NULL),(15,2218623,'1988-05-12 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241132572431444319572114610134197',18454,'307',39.56,4,3,NULL),(15,2218631,'1990-08-24 00:00:00',4,1,12,2007,'M','N','REBOUÇAS','CURITIBA','PR','116162161212421231288712575122610117122',NULL,'9998',0.00,1,3,NULL),(15,2218640,'1990-01-05 00:00:00',2,8,11,2007,'M','N','CENTRO','JARAGUA DO SUL','SC','124242241217371431349924575122610124012',NULL,'424',0.00,1,3,NULL),(15,2218658,'1989-01-08 00:00:00',4,1,12,2007,'M','N','COLONIA SANTANA','SAO JOSE','SC','124241241125131731446529195322610167172',NULL,'731',24.01,1,3,NULL),(15,2218666,'1990-07-06 00:00:00',2,5,12,2007,'M','N','VILA CONCEIÇÃO','SAO JOAO DO SUL','SC','124241242112131431436811312224610134057',12955,'690',47.65,1,2,1),(15,2218674,'1990-01-20 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241115131431433329345124610167147',19387,'733',38.04,1,2,1),(15,2218682,'1989-03-23 00:00:00',2,1,12,2007,'F','N','VILA DULCE','BARREIRAS','BA','105052058111111431349924575122610166012',NULL,'9998',24.35,2,3,NULL),(15,2218690,'1986-05-17 00:00:00',4,1,12,2004,'M','N','JURERÊ','FLORIANOPOLIS','SC','124244241216373441269713575114133268012',16385,'1022',42.78,4,3,NULL),(15,2218704,'1990-08-14 00:00:00',4,1,12,2008,'M','S','PARQUE SÃO JORGE','FLORIANOPOLIS','SC','124241241217111531469912492122610137063',NULL,'883',44.38,1,3,NULL),(15,2218712,'1989-07-14 00:00:00',4,7,12,2007,'M','N','CENTRO','VARGEM BONITA','SC','124243241436131431333624244112610122147',NULL,'826',22.15,1,3,NULL),(15,2218720,'1988-09-22 00:00:00',3,1,11,2006,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242241215372731468833575124610124127',14607,'270',45.27,3,3,NULL),(15,2218739,'1988-12-26 00:00:00',4,1,12,2007,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241315121741648833436114610167052',18517,'1022',39.45,1,3,NULL),(15,2218747,'1990-09-12 00:00:00',4,3,12,2007,'M','N','XANGRI LA','XANGRI LA','RS','120201201147161431326621411321610127112',17929,'9998',40.44,1,2,1),(15,2218755,'1990-05-31 00:00:00',2,9,11,2007,'F','N','JARDIM BANDEIRA','SAO JOAQUIM','SC','124242241216111431536316575122610118142',NULL,'720',0.00,1,3,NULL),(15,2218763,'1986-03-15 00:00:00',4,1,12,2002,'F','N','PANTANAL','FLORIANOPOLIS','SC','124202201212472221158814492124330136145',6931,'9998',57.28,1,3,NULL),(15,2218771,'1989-10-22 00:00:00',4,2,12,2006,'F','N','RIBEIRAO AREIA','POMERODE','SC','124244241215372411535519575124233267147',2737,'88',66.92,1,3,NULL),(15,2218780,'1989-09-09 00:00:00',2,1,12,2006,'F','N','SANTA MARIA','TOLEDO','PR','116163161316472411455914244324610135182',10414,'9998',51.33,1,3,NULL),(15,2218798,'1975-02-02 00:00:00',4,1,12,1992,'M','N','SAMBAQUI','FLORIANOPOLIS','SC','224252251216171711388943435122342461091',NULL,'9998',0.00,1,3,NULL),(15,2218801,'1959-05-22 00:00:00',2,1,12,1977,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','224251251126151431354343435124310122047',NULL,'9998',0.00,1,3,NULL),(15,2218828,'1983-07-23 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241217311411213311115324131064147',21035,'9997',34.79,1,3,NULL),(15,2218836,'1990-12-06 00:00:00',4,4,11,2007,'M','N','CENTRO','PALMITOS','SC','124124241216161431438512272222610114182',14263,'600',45.78,1,3,NULL),(15,2218852,'1989-11-07 00:00:00',2,1,12,2007,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124243241117131431343414492114610154147',NULL,'772',0.00,1,3,NULL),(15,2218860,'1980-05-16 00:00:00',2,1,12,2002,'F','N','PRAIA DE FORA','PALHOCA','SC','224241247334241431523351242334610124187',NULL,'596',0.00,1,3,NULL),(15,2218879,'1989-12-16 00:00:00',2,1,12,2006,'F','N','PÂNTANO DO SUL','FLORIANOPOLIS','SC','124241241115372421446611345124610134147',12101,'307',48.86,1,2,1),(15,2218895,'1955-05-12 00:00:00',2,1,12,1991,'F','N','CENTRO','FLORIANOPOLIS','SC','524251241127371431132249192244610116091',NULL,'306',0.00,4,3,NULL),(15,2218909,'1990-01-09 00:00:00',2,7,12,2007,'M','N','CENTRO','CAPINZAL','SC','124244241216371431455822585122610164052',10761,'1093',50.79,1,3,NULL),(15,2218925,'1990-05-19 00:00:00',4,10,12,2007,'M','N','VILA MOEMA','TUBARAO','SC','124243241215111731468319495122610168057',14491,'797',45.43,1,3,NULL),(15,2218933,'1973-08-19 00:00:00',2,1,12,1992,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','624161161322232431323354282114140241142',NULL,'9998',0.00,3,3,NULL),(15,2218941,'1986-02-24 00:00:00',2,1,12,2005,'M','N','BELA VISTA','SAO JOSE','SC','124244241216132411334321375124610167012',18611,'1036',39.31,1,3,NULL),(15,2218950,'1990-12-18 00:00:00',4,1,11,2007,'M','N','JARDIM CIDADE VERDE','CAMPO VERDE','MT','111112111216121431369831575112610127122',7729,'9998',55.82,4,3,NULL),(15,2218968,'1987-03-30 00:00:00',4,1,12,2005,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124243241415373431236669575114610162077',14483,'1036',45.44,1,3,NULL),(15,2218984,'1987-08-10 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242247447233431336511285124233221097',NULL,'942',18.67,1,3,NULL),(15,2218992,'1979-10-07 00:00:00',4,1,12,1997,'F','N','CENTRO','FLORIANOPOLIS','SC','624242241317372741558851192122332824187',NULL,'307',30.75,1,3,NULL),(15,2219034,'1986-01-27 00:00:00',2,1,12,2003,'F','N','CENTRO','CAPAO DA CANOA','RS','120201201146161451436629345234242826147',20535,'9998',35.83,1,2,1),(15,2219042,'1987-03-09 00:00:00',2,3,12,2004,'F','N','CENTRO','ITAPEMA','SC','124241241116153331456512572222610126142',21523,'406',33.68,1,2,1),(15,2219050,'1988-05-03 00:00:00',2,1,12,2005,'F','N','CARREGO GRANDE','FLORIANOPOLIS','SC','124244241217272432458511585122131013111',NULL,'1022',22.66,1,3,NULL),(15,2219069,'1988-09-22 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241137372431536511392324610134117',19384,'307',38.04,1,3,NULL),(15,2219077,'1989-03-29 00:00:00',4,1,12,2007,'M','N','BAIRRO DE FÁTIMA','FLORIANOPOLIS','SC','124242241114471751436623385114610164052',8842,'307',53.94,4,3,NULL),(15,2219085,'1979-03-14 00:00:00',2,1,12,1998,'M','N','ESTREITO','FLORIANOPOLIS','SC','124051053136132441123339192224231026183',14627,'9998',45.24,4,2,1),(15,2219093,'1991-01-05 00:00:00',4,9,12,2007,'F','N','BELA VISTA','BOM RETIRO','SC','124243241127161431546614571122610118145',NULL,'95',15.22,1,3,NULL),(15,2219123,'1985-09-04 00:00:00',4,1,12,2002,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124122251217152441568712415122221442182',2877,'9998',66.52,1,3,NULL),(15,2219131,'1985-05-10 00:00:00',4,3,11,2003,'M','N','JARDIM CONSORCIO SP','SAO PAULO','SP','124253257347571211547627591225230215097',NULL,'9999',0.00,1,3,NULL),(15,2219140,'1990-08-25 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212151711469814575112610162192',18037,'1048',40.25,1,3,NULL),(15,2219158,'1990-05-20 00:00:00',4,1,12,2007,'F','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124242241217122431444623572124610163071',18215,'1022',39.95,1,3,NULL),(15,2219166,'1990-03-25 00:00:00',4,4,12,2007,'M','N','CENTRO','GUARUJA DO SUL','SC','124242241416161411446712245124610136097',12173,'339',48.77,1,3,NULL),(15,2219174,'1986-01-08 00:00:00',2,1,12,2003,'F','N','GUARDA DO EMBAU','PALHOCA','SC','124204201217141431127844345314140431055',NULL,'9998',0.00,1,3,NULL),(15,2219182,'1990-05-07 00:00:00',2,4,12,2007,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124241241215111411436611111123610135057',NULL,'751',0.00,1,3,NULL),(15,2219190,'1990-06-17 00:00:00',4,3,12,2007,'M','N','GUARAITUBA','COLOMBO','PR','116162161216421411458912275122610167092',7925,'9999',55.48,1,3,NULL),(15,2219204,'1989-07-03 00:00:00',4,1,12,2006,'F','N','GONZAGA','SANTOS','SP','125252251215471411448412171121610164072',14676,'9998',45.18,1,3,NULL),(15,2219212,'1990-03-03 00:00:00',4,4,12,2007,'F','N','PARQUE DAS PALMEIRAS','CHAPECO','SC','124242241215111431364613275124610132032',19220,'1046',38.31,1,3,NULL),(15,2219239,'1980-02-09 00:00:00',2,1,12,1997,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124243241316132431347821285124333238042',NULL,'307',0.00,1,3,NULL),(15,2219247,'1989-01-31 00:00:00',2,5,12,2006,'F','N','CENTRO','CRICIUMA','SC','124241241212372411326424345124610127182',15252,'227',44.47,1,3,NULL),(15,2219263,'1982-10-31 00:00:00',4,1,12,2000,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124132131216331431128849442332142867077',13442,'9998',46.95,1,3,NULL),(15,2219271,'1988-12-04 00:00:00',4,8,12,2005,'M','N','CENTRO','ITAQUIRAI','MS','112121121115571431334823432322610167042',3868,'9998',63.82,4,3,NULL),(15,2219280,'1990-03-08 00:00:00',4,9,12,2007,'F','N','CENTRO','BOM RETIRO','SC','124241241125161431546912575122610117145',NULL,'95',18.15,1,2,1),(15,2219298,'1990-07-04 00:00:00',4,1,12,2007,'M','N','ARIRRIU','PALHOCA','SC','124241241335111532458613385114610164097',8189,'1098',55.02,1,3,NULL),(15,2219301,'1989-10-23 00:00:00',2,4,11,2008,'F','S','CENTRO','SAO DOMINGOS','SC','124241248237161431546512145124610136182',NULL,'836',36.35,1,3,NULL),(15,2219310,'1989-10-10 00:00:00',2,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241216111431355823572114610128147',7051,'1022',57.06,1,3,NULL),(15,2219328,'1988-03-03 00:00:00',4,1,12,2006,'M','N','COLONINHA','FLORIANOPOLIS','SC','124242241416132441354414595124232837042',11727,'1022',49.36,1,3,NULL),(15,2219336,'1989-08-23 00:00:00',4,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116122121216274231468913595124610147142',20970,'9998',34.92,1,3,NULL),(15,2219352,'1988-12-29 00:00:00',2,5,11,2006,'M','N','CENTRO','CRICIUMA','SC','124244241215371731429913245125610167141',17694,'226',40.81,4,3,NULL),(15,2219360,'1990-04-10 00:00:00',4,10,11,2007,'F','N','POUSO ALTO','GRAVATAL','SC','124241241112131751426316472323610167057',NULL,'331',22.74,1,3,NULL),(15,2219379,'1989-11-29 00:00:00',2,1,12,2007,'F','N','SÃO FRANCISCO','SANTO AMARO DA IMPERATRIZ','SC','124241241116131431423624474324610161142',13894,'772',46.32,1,3,NULL),(15,2219387,'1990-08-31 00:00:00',2,8,12,2007,'F','N','VILA NOVA','MAFRA','SC','124241241216111731468612424122610128142',NULL,'541',0.00,1,3,NULL),(15,2219395,'1989-01-10 00:00:00',2,5,11,2006,'M','N','SANTA BÁRBARA','CRICIUMA','SC','124241241415372531324421485115610167052',12703,'226',47.98,1,3,NULL),(15,2219409,'1990-06-07 00:00:00',4,3,12,2007,'F','N','ARMANDO ANNES','PASSO FUNDO','RS','120202201216111431446733575112610144012',NULL,'9998',0.00,1,3,NULL),(15,2219417,'1990-10-15 00:00:00',4,1,11,2007,'M','N','CENTRO','CORUMBA','MS','112122121217111431666739575125610127012',2437,'9998',67.81,4,3,NULL),(15,2219425,'1990-05-07 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241315471231356911572124613268042',4005,'1098',63.43,1,3,NULL),(15,2219433,'1990-08-19 00:00:00',4,4,12,2007,'F','N','CENTRO','PLANALTO','RS','120201201116131731338833575122610135147',18709,'9998',39.15,1,2,1),(15,2219441,'1989-03-22 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217472431588912572111610167162',NULL,'262',34.62,1,3,NULL),(15,2219450,'1990-08-13 00:00:00',2,8,11,2007,'F','N','PAULAS','SAO FRANCISCO DO SUL','SC','124241241217121431334629575114610132147',NULL,'486',0.00,1,3,NULL),(15,2219468,'1990-05-18 00:00:00',4,2,12,2007,'M','N','CENTRO','BRUSQUE','SC','124242241215273431368714475122610137122',4816,'107',61.49,1,3,NULL),(15,2219476,'1989-03-26 00:00:00',2,1,12,2006,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242241215372431446613342124610137147',10430,'1036',51.30,1,3,NULL),(15,2219484,'1991-11-25 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217111441456633572124610168147',13508,'270',46.89,1,3,NULL),(15,2219506,'1987-06-16 00:00:00',4,6,12,2004,'F','N','SAO VICENTE','ITAJAI','SC','124241241312373431226621385124132421147',4878,'402',61.36,4,3,NULL),(15,2219514,'1985-06-10 00:00:00',2,1,12,2001,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241116273431127624391325221337142',5750,'521',59.56,1,2,1),(15,2219522,'1989-07-15 00:00:00',4,1,11,2006,'M','N','CENTRO','SANTA ROSA','RS','124202201216371431248923372112610148077',4862,'9998',61.39,1,3,NULL),(15,2219530,'1990-03-07 00:00:00',4,3,12,2007,'M','N','JARDIM ESPLANADA','SAO JOSE DOS CAMPOS','SP','625252251217171731489733572111610167047',7454,'9998',56.32,1,3,NULL),(15,2219549,'1989-10-12 00:00:00',4,3,12,2007,'M','N','NOVA LONDRES','LONDRINA','PR','116164161211111431158634141114610114057',NULL,'9998',25.15,3,3,NULL),(15,2219557,'1990-08-31 00:00:00',4,1,12,2007,'F','N','MARIA LUIZA','CASCAVEL','PR','116161161116371431556613475122610126142',10260,'9998',51.54,1,2,1),(15,2219565,'1989-01-07 00:00:00',4,1,12,2006,'F','N','ESTREITO CANTO','FLORIANOPOLIS','SC','124202247115371431339813575124610128092',17055,'9999',41.80,1,3,NULL),(15,2219573,'1987-10-30 00:00:00',2,1,12,2006,'M','N','RATONES','FLORIANOPOLIS','SC','124243241115371431443619311124610137047',NULL,'307',18.20,1,3,NULL),(15,2219590,'1989-02-19 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241211472431558833492124610137052',1775,'262',70.06,1,3,NULL),(15,2219603,'1990-06-08 00:00:00',4,5,11,2007,'F','N','COMERCIARIO','CRICIUMA','SC','124242241215371431369812592112610141093',18542,'226',39.42,1,3,NULL),(15,2219611,'1987-08-26 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241132131431426614572214610127037',20830,'307',35.23,2,3,NULL),(15,2219620,'1990-11-08 00:00:00',2,4,12,2007,'M','N','ZONA RURAL','SUL BRASIL','SC','124241241115131431434636552224610132057',6779,'775',57.60,1,2,1),(15,2219638,'1983-09-14 00:00:00',4,1,12,2001,'F','N','PASSA VINTE','PALHOCA','SC','124242241131375751653323431334120267147',1731,'591',70.27,2,3,NULL),(15,2219646,'1989-11-09 00:00:00',4,4,12,2006,'M','N','BELA VISTA','CHAPECO','SC','124241248125371721438631315114610144057',10821,'180',50.71,1,2,1),(15,2219662,'1989-06-05 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215372431466833275124610127047',12365,'1022',48.47,1,3,NULL),(15,2219689,'1978-02-28 00:00:00',2,1,12,1996,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','224241243125472441243943135134132322083',9993,'180',51.94,1,2,1),(15,2219697,'1991-07-17 00:00:00',4,1,12,2008,'F','S','PLANALTO','VACARIA','RS','120203201216271431569811472122610166172',NULL,'9998',46.33,1,3,NULL),(15,2219700,'1987-09-15 00:00:00',4,1,8,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241247312231431456923482323610147122',22091,'9999',31.96,1,3,NULL),(15,2219719,'1987-12-31 00:00:00',2,5,12,2005,'M','N','RECANTO VERDE','CRICIUMA','SC','124244246216132431359613215124231427072',15246,'995',44.48,1,3,NULL),(15,2219727,'1989-02-22 00:00:00',4,1,12,2007,'F','N','BUDAG','RIO DO SUL','SC','124241245147131431524623572224610121097',NULL,'659',0.00,1,2,1),(15,2219735,'1990-07-14 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241115271431348712272122610141022',14175,'44',45.91,1,3,NULL),(15,2219743,'1989-12-13 00:00:00',2,1,12,2007,'F','N','VILA BOA','GOIANIA','GO','109092091215121431643616571122610113012',NULL,'9998',34.90,4,3,NULL),(15,2219760,'1990-02-26 00:00:00',4,1,12,2007,'M','N','AREIAS','SAO JOSE','SC','124243241336131431436663245121610134142',NULL,'734',33.67,2,1,2),(15,2219778,'1990-11-10 00:00:00',2,1,12,2007,'F','N','GUAIÚBA','IMBITUBA','SC','124241241117131751436319592124610162077',NULL,'359',14.72,1,3,NULL),(15,2219794,'1985-08-06 00:00:00',4,1,11,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241235575431228613585125121514117',12853,'807',47.78,1,3,NULL),(15,2219808,'1990-01-18 00:00:00',2,1,12,2006,'F','N','CENTRO','SANTANA DO LIVRAMENTO','RS','120204201417271231226424271324610127077',17342,'9998',41.32,3,3,NULL),(15,2219824,'1989-09-21 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124244241216473411449814395124610167115',10749,'1022',50.81,1,3,NULL),(15,2219832,'1990-02-08 00:00:00',4,1,11,2007,'M','N','CENTRO','LAGOA VERMELHA','RS','120203201217271431468911575115610146193',3766,'9998',64.05,1,3,NULL),(15,2219840,'1984-07-14 00:00:00',2,1,12,2001,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124124161216471411556811415114141644093',5740,'9998',59.58,1,3,NULL),(15,2219859,'1990-05-09 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241235111431579814272122610147147',NULL,'272',10.86,1,3,NULL),(15,2219867,'1990-10-09 00:00:00',2,1,12,2007,'F','N','PRAÇA','TIJUCAS','SC','124241246216111431323323571221610128047',14426,'1119',45.54,1,3,NULL),(15,2219883,'1989-12-08 00:00:00',4,4,12,2006,'F','N','CENTRO','CHAPECO','SC','124242241211413431438933594122610167127',6310,'1046',58.44,1,3,NULL),(15,2219891,'1986-05-08 00:00:00',2,4,12,2003,'M','N','BELA VISTA','PATO BRANCO','PR','116161161116271421434416245224610126052',10618,'9998',51.00,1,2,1),(15,2219905,'1990-05-19 00:00:00',4,1,11,2007,'F','N','SÃO CRISTOVÃO','PASSO FUNDO','RS','120204201315321431456922572122610136047',17322,'9998',41.35,1,3,NULL),(15,2219913,'1989-07-15 00:00:00',4,10,12,2007,'F','N','CENTRO','IMBITUBA','SC','124241247316271411336622275124610126187',NULL,'9999',25.77,1,3,NULL),(15,2219921,'1989-02-28 00:00:00',4,5,7,2007,'M','N','CENTRO','ICARA','SC','124242246215371411349931115112610167112',7819,'230',55.65,1,3,NULL),(15,2219930,'1986-12-17 00:00:00',4,1,12,2004,'M','N','MONTE CASTELO','SAO JOSE DOS CAMPOS','SP','125253251217372431164823435124141155097',6614,'9998',57.88,4,3,NULL),(15,2219948,'1990-11-16 00:00:00',4,8,12,2007,'M','N','CENTRO','PROMISSAO','SP','125252251215111731438812575122610117047',2704,'9998',67.01,4,3,NULL),(15,2219956,'1969-03-15 00:00:00',2,1,11,2001,'M','N','SANTINHO','FLORIANOPOLIS','SC','624201207422272421428444342314610137047',9094,'9998',53.48,4,1,2),(15,2219972,'1987-12-03 00:00:00',4,1,11,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241247337141711559933485122610166087',18964,'9997',38.73,1,3,NULL),(15,2219980,'1989-08-08 00:00:00',2,1,11,2006,'M','N','PASSA VINTE','PALHOCA','SC','124243241317372421466912222122610137053',18004,'1022',40.31,1,3,NULL),(15,2219999,'1987-05-14 00:00:00',2,1,12,2004,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241126372131323374372114610126147',15964,'95',43.44,1,2,1),(15,2220008,'1990-10-15 00:00:00',2,4,12,2007,'F','N','INTERIOR DO MUNICÍPI','MAREMA','SC','124241241122131122535316272324610122052',22384,'554',30.48,1,3,NULL),(15,2220016,'1990-05-03 00:00:00',2,1,12,2007,'F','N','SANTOS DUMONT','SAO JOSE','SC','124241241126131731636613572124610137147',NULL,'736',31.49,1,3,NULL),(15,2220024,'1989-05-02 00:00:00',4,9,12,2007,'M','N','SÃO FRANCISCO','CURITIBANOS','SC','124241241235121531453612572122610127047',NULL,'237',0.00,1,3,NULL),(15,2220032,'1988-02-23 00:00:00',4,1,12,2005,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241213373711469933575122232064107',5118,'270',60.89,1,3,NULL),(15,2220059,'1991-01-10 00:00:00',4,9,12,2007,'M','N','CENTRO','PASSO FUNDO','RS','120202201217121411479834575112610164192',4979,'9998',61.14,1,3,NULL),(15,2220067,'1991-02-18 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241115271432567314572124610143142',8772,'307',54.06,1,3,NULL),(15,2220083,'1988-07-22 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217112421466612141112610167052',21060,'226',34.74,4,3,NULL),(15,2220091,'1987-11-21 00:00:00',4,1,12,2005,'M','N','JARDIM DAS CASTANHEI','FLORIANOPOLIS','SC','124244241315473431563823575114610164095',8878,'267',53.87,1,3,NULL),(15,2220105,'1983-10-19 00:00:00',4,1,12,2001,'M','N','MORRO DA CRUZ','FLORIANOPOLIS','SC','124241241312575431689613575122610137097',2002,'262',69.28,1,3,NULL),(15,2220113,'1991-04-07 00:00:00',4,4,12,2007,'F','N','CENTRO','XAXIM','SC','124241241114131431635823472325610133147',22102,'846',31.92,1,3,NULL),(15,2220121,'1990-07-28 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431468813591122610164142',9464,'262',52.84,1,3,NULL),(15,2220130,'1988-11-12 00:00:00',2,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124241241122132431438729535114610117052',21648,'736',33.38,1,3,NULL),(15,2220148,'1991-10-16 00:00:00',4,1,12,2008,'M','S','CENTRO','SAO JOAO BATISTA','SC','124242241215111431438612574115610145182',NULL,'948',52.80,1,3,NULL),(15,2220164,'1985-03-23 00:00:00',2,5,12,2003,'M','N','ZONA NOVA','TRAMANDAI','RS','120201201116131731538313482344610167047',20103,'9998',36.62,1,2,1),(15,2220172,'1987-08-31 00:00:00',4,1,12,2004,'F','N','CARIANOS','FLORIANOPOLIS','SC','124204241115373431558613281124610164097',5386,'306',60.30,1,3,NULL),(15,2220180,'1990-07-02 00:00:00',2,1,12,2007,'F','N','VILA NOVA','MAFRA','SC','124241161315271411423332572124610141197',NULL,'9998',0.00,1,3,NULL),(15,2220199,'1991-03-25 00:00:00',4,1,2,2008,'F','N','BARREIROS','SAO JOSE','SC','124241241117131431548813176124610133147',15318,'738',44.37,4,3,NULL),(15,2220202,'1990-01-08 00:00:00',4,1,12,2007,'M','N','VILA PLANALTO','DOURADOS','MS','112122128217111231457612372112610124072',NULL,'9998',20.07,3,3,NULL),(15,2220210,'1989-12-31 00:00:00',4,1,12,2007,'F','N','ÁGUAS BRANCAS','URUBICI','SC','124241241145161431426616465124610127147',NULL,'818',23.55,1,2,1),(15,2220237,'1979-12-08 00:00:00',2,3,12,1997,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','224241241146132731223352245325133222147',NULL,'744',16.28,1,2,1),(15,2220245,'1990-06-21 00:00:00',2,3,12,2007,'F','N','VILA ADYANNA','SAO JOSE DOS CAMPOS','SP','125253251217111731488714575122610131187',6693,'9998',57.75,1,3,NULL),(15,2220253,'1990-06-09 00:00:00',2,9,12,2007,'F','N','SANTA MONICA','FRAIBURGO','SC','124244241415161712456614275122610137072',NULL,'317',0.00,1,3,NULL),(15,2220261,'1990-10-05 00:00:00',4,2,12,2007,'F','N','VILA NOVA','MAFRA','SC','124241161117371431448914345124610132172',15854,'9998',43.60,1,2,1),(15,2220270,'1990-07-10 00:00:00',4,3,12,2007,'M','N','CENTRO','XANGRI LA','RS','120203201137161411236722142121610167112',19635,'9998',37.55,1,3,NULL),(15,2220288,'1990-07-02 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124163161215222531449613385122610127017',13734,'269',46.56,1,3,NULL),(15,2220296,'1989-08-19 00:00:00',4,1,12,2006,'M','N','CENTRO','JALES','SP','125251251115111731438834545122610126047',15087,'9998',44.69,1,2,1),(15,2220318,'1990-05-01 00:00:00',2,2,12,2007,'M','N','COLONINHA','GASPAR','SC','124242241215111531579331375112610137042',NULL,'955',0.00,1,3,NULL),(15,2220334,'1987-07-20 00:00:00',4,1,12,2004,'F','N','SANTANA','SAO PAULO','SP','125252251215572431466832571125610124073',550,'9998',76.42,1,3,NULL),(15,2220342,'1988-07-02 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211573431567432275112610167042',3865,'270',63.82,1,3,NULL),(15,2220350,'1989-04-05 00:00:00',2,1,11,2007,'F','N','CENTRO','TANGARA DA SERRA','MT','111113111216141711464815395122243234142',21009,'9998',34.83,1,3,NULL),(15,2220369,'1991-07-23 00:00:00',2,10,12,2008,'F','S','N SENHORA APARECIDA','ARMAZEM','SC','124243241215171431538632245112610133142',NULL,'806',31.10,1,3,NULL),(15,2220377,'1991-07-22 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241215151431355523575122610164062',7320,'44',56.57,1,3,NULL),(15,2220385,'1990-07-05 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241115131431456824572124610127147',19994,'257',36.84,1,2,1),(15,2220393,'1986-12-12 00:00:00',4,4,12,2005,'M','N','MORADA DAS FLORES','HOLAMBRA','SP','125251251115341411437631271124140212011',NULL,'9998',0.00,4,1,1),(15,2220407,'1989-07-31 00:00:00',4,8,11,2006,'F','N','PONTE GRANDE','GUARULHOS','SP','125252251216471431237724571225610164097',17938,'9998',40.42,4,3,NULL),(15,2220415,'1989-04-01 00:00:00',2,1,12,2006,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124251241211372431367611272324610161177',15799,'1022',43.68,4,3,NULL),(15,2220431,'1985-10-31 00:00:00',2,8,12,2004,'M','N','CENTRO','CANOINHAS','SC','124241246315372431536811381224610132012',20804,'1105',35.27,4,3,NULL),(15,2220440,'1984-02-28 00:00:00',4,1,12,2001,'M','N','JARDIM ELDORADO','PALHOCA','SC','124241241127153431336314245134122334142',14972,'277',44.82,1,3,NULL),(15,2220458,'1984-05-17 00:00:00',4,1,12,2001,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215575431378823475124133224097',239,'269',79.46,1,3,NULL),(15,2220466,'1989-12-27 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215372431657613375124610127017',NULL,'272',23.92,1,3,NULL),(15,2220474,'1988-10-24 00:00:00',2,1,12,2006,'F','N','JARDIM IRAJÁ','RIBEIRAO PRETO','SP','125252251215411411338823595122610132142',6767,'9998',57.62,1,3,NULL),(15,2220482,'1989-03-22 00:00:00',2,1,12,2006,'F','N','PINHEIRA','PALHOCA','SC','124243241125371431336611572113610122152',20701,'595',35.50,1,3,NULL),(15,2220490,'1989-09-23 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241116371411269923575124610138072',7500,'267',56.23,1,2,1),(15,2220504,'1989-08-21 00:00:00',2,9,12,2006,'F','N','CENTRO','CAMPO BELO DO SUL','SC','124241241214371431543322341324610126142',14452,'497',45.50,3,3,NULL),(15,2220512,'1985-05-31 00:00:00',4,1,6,2005,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241114273411226573486214133267012',4118,'306',63.16,1,2,1),(15,2220520,'1990-08-29 00:00:00',4,4,12,2007,'F','N','PARQUE SÃO PAULO','CASCAVEL','PR','116162161236111551438712126134610136077',15845,'9998',43.61,1,3,NULL),(15,2220539,'1990-11-17 00:00:00',2,1,12,2007,'F','N','VILA NOVA','TRES LAGOAS','MS','112122121215111731438833575122610126097',19886,'9998',37.03,1,3,NULL),(15,2220547,'1990-02-19 00:00:00',4,2,12,2007,'F','N','IGUAÇU I','FAZENDA RIO GRANDE','PR','116162161217471431333833595124610165147',NULL,'9998',0.00,1,3,NULL),(15,2220563,'1989-11-22 00:00:00',4,3,12,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215372431537579382115610164172',4342,'44',62.62,4,3,NULL),(15,2220571,'1991-02-05 00:00:00',4,5,11,2007,'F','N','RIO MAINA','CRICIUMA','SC','124243241212371431434919492124610134117',16659,'995',42.37,1,3,NULL),(15,2220580,'1988-09-08 00:00:00',3,1,12,2005,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124241241115573431468613275114610167077',4347,'307',62.61,1,2,1),(15,2220598,'1989-08-27 00:00:00',2,5,12,2006,'M','N','VILA NOVA','SANTA ROSA DO SUL','SC','124241242117141431466713342224610117047',17113,'690',41.71,1,2,1),(15,2220601,'1990-08-03 00:00:00',2,5,12,2007,'F','N','SANGA DAS PEDRAS','MORRO GRANDE','SC','124243241215271731446415475124610164051',18011,'970',40.30,1,3,NULL),(15,2220610,'1990-10-17 00:00:00',4,8,12,2007,'F','N','CENTRO','MASSARANDUBA','SC','124241241215111431554632575124610164142',NULL,'422',26.02,1,3,NULL),(15,2220628,'1983-04-26 00:00:00',4,1,12,2002,'M','N','PRAIA DO TOMÉ','PALHOCA','SC','124242248232131431438518582122133217047',21874,'589',32.71,1,3,NULL),(15,2220636,'1989-12-25 00:00:00',2,5,12,2006,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124241241315272731434611595124610163117',12098,'226',48.86,1,3,NULL),(15,2220644,'1990-08-27 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124243241217111441659713576124610127185',6442,'1022',58.19,1,3,NULL),(15,2220652,'1990-10-14 00:00:00',4,4,12,2007,'M','N','TONIAL','XANXERE','SC','124242241217111311468833572125610164195',6995,'836',57.17,1,3,NULL),(15,2220679,'1989-01-13 00:00:00',4,1,12,2005,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124243241112373421466613482324610164187',10851,'307',50.68,1,3,NULL),(15,2220687,'1985-12-27 00:00:00',4,1,12,2003,'M','N','ASA SUL','BRASILIA','DF','107074078412453431449823575122211016097',4309,'9998',62.68,1,3,NULL),(15,2220709,'1990-09-22 00:00:00',2,1,11,2007,'F','N','IPIRANGA','SAO JOSE','SC','124243241215131431643312272122610123097',16426,'868',42.71,1,3,NULL),(15,2220717,'1989-10-26 00:00:00',4,1,12,2007,'F','N','JOSE MENDES','FLORIANOPOLIS','SC','124241241135131411322254344324610116041',NULL,'286',16.27,2,2,1),(15,2220725,'1992-02-02 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215151351248833572125610167047',NULL,'262',51.51,1,3,NULL),(15,2220733,'1988-05-20 00:00:00',4,1,12,2006,'F','N','ZONA SETE','MARINGA','PR','116162161217371411458839375124613211112',NULL,'9998',0.00,1,3,NULL),(15,2220741,'1989-04-24 00:00:00',2,5,12,2006,'M','N','CARAVAGGIO','NOVA VENEZA','SC','124243241111161741364732475112130764042',18497,'577',39.49,1,3,NULL),(15,2220750,'1984-12-28 00:00:00',2,1,12,2002,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124201201111472441114329492324122224097',8840,'9998',53.94,1,2,1),(15,2220768,'1990-08-20 00:00:00',2,4,11,2007,'F','N','CENTRO','XANXERE','SC','124242241216111721568619395122610138142',21351,'836',34.08,1,3,NULL),(15,2220776,'1990-08-11 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217111431647832272114610137187',11045,'1022',50.39,1,3,NULL),(15,2220784,'1990-09-27 00:00:00',2,5,12,2007,'F','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124241241215131431336713575125610168072',6765,'904',57.62,1,3,NULL),(15,2220792,'1989-05-26 00:00:00',2,1,12,2006,'M','N','JARDIM JUSSARA','SAO PAULO','SP','125252251117471441248922585124610124057',5737,'9998',59.59,3,3,NULL),(15,2220806,'1990-01-12 00:00:00',4,1,12,2007,'F','N','ESQUINA','URUBICI','SC','124241241145161431524363432124610127047',20946,'818',34.98,1,2,1),(15,2220814,'1990-07-25 00:00:00',4,4,12,2007,'F','N','CHAGAS','XAXIM','SC','124241241114131431555916472222610137147',20139,'846',36.55,1,3,NULL),(15,2220822,'1990-08-21 00:00:00',2,10,11,2007,'M','N','BELA VISTA','GRAVATAL','SC','124241241127131431324319145121610124187',21304,'332',34.19,1,2,1),(15,2220830,'1988-07-08 00:00:00',2,1,12,2005,'F','N','BARRA DA ITOUPAVA','RIO DO SUL','SC','124242241213473431468813415122231044192',6049,'991',58.97,1,3,NULL),(15,2220849,'1989-04-29 00:00:00',4,7,12,2006,'M','N','CENTRO','CAPINZAL','SC','124241241116272731256629572112610167017',10650,'156',50.95,1,2,1),(15,2220857,'1986-03-19 00:00:00',4,1,12,2003,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201201117131431538731342334133266197',15123,'9998',44.64,1,3,NULL),(15,2220865,'1990-06-04 00:00:00',4,1,11,2007,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215421431438854375122610124112',9491,'270',52.79,1,3,NULL),(15,2220873,'1990-08-28 00:00:00',4,9,12,2007,'F','N','DOM DANIEL','LAGES','SC','124244241217371431336979172124610133192',4303,'515',62.69,1,3,NULL),(15,2220881,'1988-01-16 00:00:00',2,1,11,2005,'F','N','ARMAÇÃO','FLORIANOPOLIS','SC','124241241115333431328613475124231223147',10488,'269',51.20,1,3,NULL),(15,2220890,'1990-07-23 00:00:00',4,8,11,2007,'M','N','ALTO ALEGRE','CASCAVEL','PR','116161161117271441336522384224610131017',17863,'9998',40.57,4,3,NULL),(15,2220903,'1989-12-31 00:00:00',2,1,12,2007,'F','N','JARDIM JANAINA','BIGUACU','SC','124241241115131411335319372124610116147',15984,'65',43.41,1,2,1),(15,2220920,'1989-12-01 00:00:00',2,2,12,2005,'M','N','VIKTOR KONDER','BLUMENAU','SC','124286283216472411628833571341610125177',13245,'855',47.24,4,3,NULL),(15,2220938,'1989-04-09 00:00:00',4,1,12,2007,'M','N','SANTO ANTONIO','SAO CAETANO DO SUL','SP','125252251216471431458614475112610164052',4013,'9998',63.42,1,3,NULL),(15,2220946,'1990-11-16 00:00:00',4,4,12,2007,'F','N','SALETE','CONCORDIA','SC','124241241115271431436611571122610163192',12425,'192',48.40,1,2,1),(15,2220954,'1989-11-24 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241216131431426611212224610116077',NULL,'9997',21.67,1,3,NULL),(15,2220962,'1986-06-08 00:00:00',2,10,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','224243241215474421316623272114610124147',15594,'525',43.97,1,3,NULL),(15,2220989,'1991-06-20 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431269933572112610138197',NULL,'270',45.39,1,3,NULL),(15,2221004,'1988-09-15 00:00:00',2,2,12,2007,'F','N','CENTRO','BRUSQUE','SC','124242241217212431333313242122610122147',5312,'107',60.50,1,3,NULL),(15,2221012,'1978-03-27 00:00:00',4,1,12,1996,'F','N','ALTO PETRÓPOLIS','PORTO ALEGRE','RS','120202207217473731326729482124242213037',NULL,'9999',0.00,1,3,NULL),(15,2221020,'1989-12-25 00:00:00',2,5,12,2006,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124241241315272731434611595124610165117',9353,'226',53.04,1,3,NULL),(15,2221039,'1990-03-29 00:00:00',2,1,11,2007,'M','N','PAES LEME','IMBITUBA','SC','124241241112131731536614342124610126052',12685,'359',48.01,1,2,1),(15,2221055,'1990-08-04 00:00:00',4,8,12,2007,'M','N','VILA NOVA','JOINVILLE','SC','124241241115111331334629391124610117051',21353,'1016',34.08,1,3,NULL),(15,2221071,'1990-08-21 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215111231373822575114610164042',4730,'270',61.69,1,3,NULL),(15,2221080,'1990-04-17 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241214371431456613575114610164092',20475,'1118',35.92,1,3,NULL),(15,2221098,'1987-04-25 00:00:00',2,1,11,2004,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242161217554231477611577111232462047',NULL,'9998',0.00,1,3,NULL),(15,2221101,'1991-03-09 00:00:00',2,4,12,2007,'M','N','CENTRO','XAXIM','SC','124241241215271431344614245122610128042',18430,'994',39.60,1,3,NULL),(15,2221110,'1990-02-16 00:00:00',4,1,11,2007,'M','N','ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP','125252251217111431368932575112610124042',1321,'9998',72.00,1,3,NULL),(15,2221128,'1990-04-17 00:00:00',4,1,11,2007,'M','N','CENTRO','CORUPA','SC','124241241216111431366512375124610122147',8540,'424',54.45,1,3,NULL),(15,2221136,'1991-05-08 00:00:00',4,8,11,2008,'F','S','FLORESTA','JOINVILLE','SC','124242241215111731436932122124610123097',NULL,'486',37.96,1,3,NULL),(15,2221152,'1989-12-11 00:00:00',4,1,12,2006,'F','N','ALTO DA RUA XV','CURITIBA','PR','116242241216152431239912471114241023072',3203,'270',65.53,1,3,NULL),(15,2221160,'1988-10-05 00:00:00',2,1,11,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124243241115141311413172192324610154012',NULL,'288',15.36,1,3,NULL),(15,2221187,'1990-04-11 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124244241215151432467921372124610154181',15978,'1048',43.42,1,3,NULL),(15,2221195,'1990-04-20 00:00:00',4,10,11,2007,'F','N','STO ANTÔNIO DE PÁDUA','TUBARAO','SC','124242241215131431538819572122610136147',717,'807',75.25,1,3,NULL),(15,2221209,'1990-09-28 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241116131421326613575122610127042',19358,'267',38.08,1,3,NULL),(15,2221217,'1990-02-20 00:00:00',4,1,12,2007,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124241241316111731446623375124610136147',19298,'300',38.16,1,3,NULL),(15,2221225,'1990-10-04 00:00:00',4,1,11,2007,'M','N','FLOR DE NAPOLIS','SAO JOSE','SC','124241241112131211533624595324610127057',NULL,'733',20.13,4,2,1),(15,2221233,'1990-01-13 00:00:00',4,7,12,2007,'F','N','CENTRO','JOACABA','SC','124241241215111431459811175122610146172',13924,'446',46.28,1,3,NULL),(15,2221241,'1976-01-21 00:00:00',4,1,12,1993,'F','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124201201126131411238641211232341065182',NULL,'9998',11.68,1,3,NULL),(15,2221250,'1988-03-26 00:00:00',2,1,12,2006,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124122241215473431389914445112610167052',13884,'951',46.34,1,3,NULL),(15,2221268,'1988-01-19 00:00:00',2,1,12,2005,'F','N','CABRAL','CURITIBA','PR','116161161315571431449613371122143226097',10720,'9998',50.85,4,3,NULL),(15,2221276,'1988-01-22 00:00:00',4,1,12,2006,'M','N','CENTRO','BURITAMA','SP','125251251215472431468831571122610166042',21389,'9998',33.99,1,3,NULL),(15,2221284,'1986-04-11 00:00:00',4,1,12,2003,'M','N','SACOMÃ','SAO PAULO','SP','125251251147571431326624285114610127042',9332,'9998',53.07,1,2,1),(15,2221292,'1989-10-28 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124243248317131431625823571324610167077',11976,'267',49.01,2,1,2),(15,2221306,'1991-03-09 00:00:00',2,4,12,2007,'M','N','INTERIOR','NOVO HORIZONTE','SC','124241241445131431533933552224610167062',19563,'579',37.71,1,3,NULL),(15,2221314,'1987-12-22 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241422141731216444345324610126147',NULL,'307',22.56,1,3,NULL),(15,2221322,'1990-12-29 00:00:00',2,4,11,2007,'F','N','CENTRO','VARGEAO','SC','124243241217161431434633572124610163147',8893,'836',53.84,1,3,NULL),(15,2221330,'1990-05-30 00:00:00',4,4,12,2007,'M','N','CENTRO','CUNHA PORA','SC','124241241217111731458632345122610117067',NULL,'9997',19.51,1,3,NULL),(15,2221349,'1988-08-01 00:00:00',2,5,12,2006,'F','N','NOVA VICENÇA','TIMBE DO SUL','SC','124241241146131231523923594124231563097',NULL,'785',23.07,1,3,NULL),(15,2221357,'1989-09-13 00:00:00',4,1,12,2006,'F','N','ÁGUAS CLARAS','TAGUATINGA','DF','107072071416311441269913575224610141092',NULL,'9998',0.00,1,3,NULL),(15,2221365,'1989-10-23 00:00:00',4,1,11,2007,'F','N','ALTO DA BOA VISTA','RIBEIRAO PRETO','SP','125252251215111431488831471122610132053',1423,'9998',71.54,1,3,NULL),(15,2221373,'1979-04-30 00:00:00',4,1,12,2006,'F','N','AREIAS','SAO JOSE','SC','124241247122151431321144142114610166187',NULL,'9999',21.65,4,1,1),(15,2221381,'1986-07-19 00:00:00',1,4,12,2004,'M','N','CENTRO','IPIRA','SC','124241242217141721236629342212610127057',NULL,'8',23.20,4,3,NULL),(15,2221403,'1990-10-11 00:00:00',2,1,11,2007,'F','N','PRAINHA','FLORIANOPOLIS','SC','124241241315111431568733575122610133142',4154,'270',63.05,1,3,NULL),(15,2221411,'1985-06-24 00:00:00',4,1,12,2002,'F','N','RIO DA AREIA','UNIAO DA VITORIA','PR','116161161117141421643614342223242914142',19197,'9998',38.35,1,2,1),(15,2221420,'1989-05-30 00:00:00',2,5,11,2006,'F','N','MINA BRASIL','CRICIUMA','SC','124243248211512531466513571122610116157',11497,'210',49.71,1,3,NULL),(15,2221438,'1987-09-05 00:00:00',4,1,12,2006,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241127151751446319192114610164145',NULL,'307',15.20,1,3,NULL),(15,2221446,'1988-03-24 00:00:00',2,8,12,2005,'F','N','IRIRIÚ','JOINVILLE','SC','124241241317573411436833341124610125092',3703,'9997',64.22,1,3,NULL),(15,2221462,'1990-05-31 00:00:00',4,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215111432437924575122610113117',4211,'270',62.88,1,3,NULL),(15,2221470,'1989-04-28 00:00:00',2,1,11,2005,'F','N','BARREIROS','SAO JOSE','SC','124242241215213421323322575124221817072',6366,'1022',58.32,1,3,NULL),(15,2221489,'1972-06-08 00:00:00',2,1,12,1992,'F','N','DE FÁTIMA','FLORIANOPOLIS','SC','124241248126165431435431335124610168142',20927,'257',35.02,1,3,NULL),(15,2221497,'1990-03-24 00:00:00',2,1,12,2007,'F','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','124241241115131431437513572124610134057',13719,'307',46.58,1,3,NULL),(15,2221500,'1989-09-24 00:00:00',4,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124162247217151431346632195114610168112',NULL,'9999',23.38,1,3,NULL),(15,2221519,'1989-04-11 00:00:00',4,1,12,2006,'F','N','JARDIM CAPIVARI','CAMPINAS','SP','125254251216271431444631475124610164077',NULL,'9998',0.00,4,3,NULL),(15,2221527,'1990-10-29 00:00:00',2,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215111731438814572122610167182',9021,'226',53.61,1,3,NULL),(15,2221535,'1989-12-12 00:00:00',2,1,12,2007,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','124242241215111731578811415124610121182',16902,'269',42.01,1,3,NULL),(15,2221543,'1989-12-26 00:00:00',4,1,12,2007,'F','N','PICADAS DO SUL','SAO JOSE','SC','124243241215111731435739375124610134147',NULL,'1074',19.16,1,3,NULL),(15,2221551,'1990-07-27 00:00:00',4,8,12,2007,'M','N','SAGUAÇÚ','JOINVILLE','SC','124242246217271431578812475122610162182',1498,'1105',71.21,1,3,NULL),(15,2221560,'1963-11-17 00:00:00',4,1,8,1992,'F','N','CENTRO','FLORIANOPOLIS','SC','123242241247172731158549197324610164182',NULL,'1003',21.86,1,3,NULL),(15,2221578,'1990-02-21 00:00:00',4,1,12,2007,'M','N','ALTO DA COLINA','INDAIATUBA','SP','125252251215121441369814275122610127182',3239,'9998',65.43,1,3,NULL),(15,2221586,'1990-02-19 00:00:00',4,1,12,2007,'F','N','FLORESTA','SAO JOSE','SC','124241241116131431443632395124610164097',NULL,'307',24.37,1,2,1),(15,2221594,'1990-08-24 00:00:00',4,7,12,2007,'M','N','CENTRO','LUZERNA','SC','124241241115241431528512371124610147077',21655,'539',33.37,1,2,1),(15,2221608,'1989-07-22 00:00:00',4,1,7,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241317131431447624575114610121147',14859,'9999',44.95,1,3,NULL),(15,2221616,'1983-12-23 00:00:00',4,8,12,2001,'M','N','SANTO ANTONIO','JOINVILLE','SC','124241241127155411244429575112610167141',13613,'471',46.73,1,3,NULL),(15,2221632,'1984-06-10 00:00:00',4,1,12,2002,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241112131211346313432324610117087',10569,'542',51.07,4,2,1),(15,2221640,'1990-02-25 00:00:00',4,1,12,2007,'F','N','BALNEÁRIO SÃO MIGUEL','BIGUACU','SC','124244241117131331336634375122610124077',11050,'65',50.38,1,3,NULL),(15,2221667,'1990-04-10 00:00:00',4,2,11,2007,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241212373422479712222122610113022',13447,'981',46.95,1,3,NULL),(15,2221675,'1972-03-03 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','224241247117131411434349191122610154143',NULL,'9999',26.62,2,1,1),(15,2221683,'1989-08-17 00:00:00',2,1,12,2006,'F','N','CANTO DO FORTE','PRAIA GRANDE','SP','125254251316471431447812345324610145092',NULL,'9998',0.00,1,3,NULL),(15,2221691,'1984-12-17 00:00:00',4,1,11,2002,'M','N','ARMAÇÃO','SALVADOR','BA','105052051217471451579512472122141442056',4018,'9998',63.41,1,3,NULL),(15,2221705,'1990-09-28 00:00:00',2,5,12,2007,'F','N','CENTRO','BOM JARDIM DA SERRA','SC','124241241331131431535911575125610125147',NULL,'856',0.00,1,3,NULL),(15,2221713,'1989-04-12 00:00:00',2,1,12,2005,'M','N','CENTRO','PALHOCA','SC','124242241215373431469834595122610167112',3677,'269',64.29,1,3,NULL),(15,2221730,'1989-03-11 00:00:00',4,10,11,2006,'F','N','CENTRO','TUBARAO','SC','124242241215472431428739575122610162072',5747,'807',59.57,1,3,NULL),(15,2221748,'1991-03-08 00:00:00',4,8,2,2008,'M','N','CENTRO','SAO BENTO DO SUL','SC','124242241211112431368811575125610167042',8268,'1114',54.90,1,3,NULL),(15,2221756,'1990-02-20 00:00:00',4,10,12,2007,'M','N','PAES LEME','IMBITUBA','SC','124241241117132431336614572114610166177',3771,'359',64.03,1,2,1),(15,2221764,'1985-08-10 00:00:00',4,1,9,2007,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241247137211411323348282324610122052',8541,'9999',54.45,1,3,NULL),(15,2221772,'1988-07-07 00:00:00',2,10,12,2005,'F','N','MONTE CASTELO','TUBARAO','SC','124246247616271511557411195123131233097',NULL,'9997',23.51,1,3,NULL),(15,2221780,'1984-12-11 00:00:00',4,1,12,2002,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241212374431478913482124333264187',7663,'270',55.93,1,3,NULL),(15,2221799,'1990-08-16 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241216121431476613575114610127042',12144,'272',48.80,1,3,NULL),(15,2221802,'1990-02-13 00:00:00',4,3,11,2007,'F','N','ANDORINHA','ITAPEMA','SC','124243241211311431436612571122610136152',NULL,'403',19.87,1,3,NULL),(15,2221810,'1989-09-15 00:00:00',4,1,12,2007,'M','N','PRAIA DA PINHEIRA','PALHOCA','SC','124241241137271431325521212124610137182',14209,'595',45.86,1,2,1),(15,2221829,'1990-06-16 00:00:00',4,1,11,2007,'F','N','CENTO','FLORIANOPOLIS','SC','124242248215111551449832591112610168012',NULL,'270',25.81,1,3,NULL),(15,2221837,'1982-03-25 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124244247217153731558813435124231037062',14910,'307',44.90,1,3,NULL),(15,2221845,'1982-08-20 00:00:00',2,1,12,1999,'F','N','SANTO ANTONIO DE LI','FLORIANOPOLIS','SC','124241241112333431524413385114321217055',8445,'307',54.61,1,2,1),(15,2221853,'1989-07-22 00:00:00',2,1,12,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124243241215472431547732382124610127141',1117,'1022',72.95,1,3,NULL),(15,2221861,'1990-04-06 00:00:00',4,3,11,2007,'F','N','CENTRO','PORTO BELO','SC','124242241216372431448811245122610134182',3721,'403',64.15,1,3,NULL),(15,2221870,'1989-12-04 00:00:00',4,1,12,2007,'F','N','JD SOLEIL','VALINHOS','SP','125252251216161341438834575112610117097',7318,'9998',56.57,1,3,NULL),(15,2221888,'1990-04-04 00:00:00',4,10,12,2007,'F','N','VILA NOVA','IMBITUBA','SC','124241241117131431336711577114610166177',12799,'359',47.85,1,2,1),(15,2221896,'1988-10-12 00:00:00',2,1,11,2005,'F','N','PARIA COMPRIDA','SAO JOSE','SC','224241241117132431226454241334610134077',22418,'307',30.14,1,2,1),(15,2221900,'1990-11-30 00:00:00',2,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241125131431523336242225610124145',20766,'298',35.37,1,2,1),(15,2221918,'1990-11-05 00:00:00',4,1,12,2007,'M','N','VARGEM DOS PINHEIROS','SANTO AMARO DA IMPERATRIZ','SC','124241241124131411433524572124610122147',NULL,'772',0.00,1,2,1),(15,2221926,'1970-12-27 00:00:00',2,1,12,1990,'M','N','TAPERA','FLORIANOPOLIS','SC','224201208336271411443343233334142836047',9228,'9998',53.22,1,3,NULL),(15,2221934,'1984-09-26 00:00:00',2,1,12,2002,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241212475431358811575124222624127',3079,'737',65.89,1,3,NULL),(15,2221942,'1990-05-25 00:00:00',2,6,11,2007,'F','N','CENTRO','NAVEGANTES','SC','124241241115331411333319212221610126077',15501,'570',44.13,1,2,1),(15,2221969,'1989-08-31 00:00:00',2,5,12,2006,'F','N','SANTA AUGUSTA','CRICIUMA','SC','124241241336152231323319595124231563077',16248,'362',42.98,1,3,NULL),(15,2221977,'1990-11-02 00:00:00',4,8,12,2007,'M','N','CENTRO','PAPANDUVA','SC','124241241317131431536611272122610136147',NULL,'603',0.00,1,3,NULL),(15,2221985,'1991-06-28 00:00:00',4,1,12,2008,'M','S','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241212111431579811575124610134012',NULL,'266',47.18,1,3,NULL),(15,2221993,'1989-07-03 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215151431448853575122610127082',NULL,'1118',20.21,1,3,NULL),(15,2222000,'1988-10-02 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216372731448814575122230224091',20428,'491',35.99,1,3,NULL),(15,2222019,'1985-12-10 00:00:00',4,10,12,2003,'M','N','PAES LEME','IMBITUBA','SC','124241241112115431334623582124122267057',13952,'808',46.23,1,2,1),(15,2222027,'1966-11-20 00:00:00',2,1,9,2007,'M','N','BELA VISTA II','SAO JOSE','SC','124241248647131221645542125122610167042',NULL,'9997',21.50,2,3,NULL),(15,2222035,'1990-11-09 00:00:00',4,9,11,2007,'M','N','CONTA DINHEIRO','LAGES','SC','124241241112151431445512572212610117042',NULL,'505',10.37,1,3,NULL),(15,2222043,'1987-04-24 00:00:00',2,8,12,2005,'M','N','GLÓRIA','JOINVILLE','SC','124242241217411411368613435124610167111',NULL,'489',25.77,1,3,NULL),(15,2222051,'1988-06-17 00:00:00',4,5,6,2006,'F','N','PRIMEIRA LINHA','CRICIUMA','SC','124241246212371411526339282224610122142',NULL,'995',0.00,2,3,NULL),(15,2222060,'1989-06-26 00:00:00',4,8,11,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215121431456632272221610127052',2460,'1016',67.75,3,3,NULL),(15,2222078,'1988-08-08 00:00:00',2,1,12,2005,'F','N','SANTA CRUZ','GUARAPUAVA','PR','116163161215472431478532371122610134187',18057,'9998',40.22,1,3,NULL),(15,2222086,'1982-10-09 00:00:00',2,1,12,2001,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241124273431523319292234122324147',5854,'307',59.36,1,3,NULL),(15,2222094,'1991-01-13 00:00:00',2,1,12,2007,'F','N','CENTRO','PRUDENTOPOLIS','PR','116164161216131431433639295123610118072',NULL,'9998',20.35,1,3,NULL),(15,2222108,'1991-01-04 00:00:00',4,1,12,2008,'M','S','CENTRO','ANTONIO CARLOS','SC','124241241112151752434612145111610117117',NULL,'21',19.37,1,3,NULL),(15,2222116,'1990-10-23 00:00:00',2,1,11,2007,'F','N','JARDIM TANGARÁ','SANTA ADELIA','SP','125253251217111431328811575122610122182',14640,'9998',45.22,1,3,NULL),(15,2222132,'1989-03-29 00:00:00',4,4,12,2007,'F','N','CORRIDAS','ORLEANS','SC','124241241115111431324434592344610168147',NULL,'822',18.13,1,3,NULL),(15,2222140,'1988-12-22 00:00:00',5,1,11,2005,'F','N','CENTRO','ARROIO TRINTA','SC','124241241217473431569913375124610144147',993,'969',73.57,1,3,NULL),(15,2222159,'1989-02-05 00:00:00',2,1,12,2006,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241126142411442214345122610114145',21954,'296',32.44,1,2,1),(15,2222167,'1989-12-06 00:00:00',2,1,1,2008,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124244241216111531458823595114610147117',10661,'1022',50.93,1,3,NULL),(15,2222175,'1984-09-07 00:00:00',2,1,11,2001,'M','N','QUEBEC','LONDRINA','PR','116122121216575431678911172125610114117',NULL,'9998',0.00,1,3,NULL),(15,2222183,'1990-05-19 00:00:00',4,1,12,2007,'F','N','JURERÊ','FLORIANOPOLIS','SC','124242241117112431379813472124610126095',2706,'306',67.00,1,3,NULL),(15,2222191,'1988-04-10 00:00:00',2,8,12,2005,'M','N','CENTRO','MARECHAL CANDIDO RONDON','PR','116162163235522331369914575114142427161',17030,'9998',41.84,1,3,NULL),(15,2222205,'1984-05-22 00:00:00',4,1,4,2001,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124201207322131431223649442344610118117',22443,'9999',29.84,1,3,NULL),(15,2222213,'1990-11-04 00:00:00',2,9,11,2007,'F','N','SANTO ANTONIO','CURITIBANOS','SC','124242248215161431456612575122610136177',NULL,'881',0.00,1,3,NULL),(15,2222221,'1989-12-18 00:00:00',4,8,12,2007,'M','N','VILA SANTA TEREZA','PRESIDENTE PRUDENTE','SP','125252251216371431433613585121610144012',9783,'9998',52.30,1,3,NULL),(15,2222230,'1990-05-18 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241215111431566612575124610164142',3971,'1022',63.54,1,3,NULL),(15,2222256,'1991-02-12 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111431388811576122610122092',5148,'9997',60.81,1,3,NULL),(15,2222264,'1991-02-02 00:00:00',4,1,12,2008,'M','S','BARREIROS','SAO JOSE','SC','124242241217111731539613372122610127077',NULL,'738',48.06,1,3,NULL),(15,2222272,'1980-12-27 00:00:00',2,1,11,2000,'M','N','BELA VISTA I','SAO JOSE','SC','124201201127333411236641215223133266187',5959,'9998',59.15,4,3,NULL),(15,2222280,'1989-02-09 00:00:00',4,4,12,2006,'F','N','CENTRO','NOVA ERECHIM','SC','124243241315472231454632345122610146057',NULL,'185',23.17,1,3,NULL),(15,2222302,'1990-04-15 00:00:00',4,1,12,2007,'F','N','REUNIDAS','CACADOR','SC','124244241213111531338513495112610121147',16239,'118',43.00,1,3,NULL),(15,2222310,'1990-03-09 00:00:00',2,10,11,2007,'M','N','VILA MOEMA','TUBARAO','SC','124242241217111231463812572122610167112',NULL,'807',0.00,1,3,NULL),(15,2222337,'1987-12-12 00:00:00',2,1,12,2005,'F','N','CHAMPGNAT','CURITIBA','PR','116161161122331441446813182122141365077',15936,'9998',43.48,1,2,1),(15,2222345,'1985-05-27 00:00:00',2,1,12,2007,'F','N','SANTO ANTONIO','FLORIANOPOLIS','SC','124243247317371411533531375314630154093',21234,'9999',34.37,1,3,NULL),(15,2222353,'1963-02-23 00:00:00',4,1,6,2004,'F','N','SÃO SEBASTIÃO','PALHOCA','SC','224111247133131411543359292224333241192',21256,'9999',34.29,4,1,1),(15,2222361,'1990-06-22 00:00:00',4,1,12,2008,'F','S','LOURDES','CAMPO MOURAO','PR','116162161217121431439814572212610167092',NULL,'9998',45.96,4,3,NULL),(15,2222370,'1986-07-16 00:00:00',2,1,7,2007,'F','N','SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC','124241241427131432524511241334610164057',22482,'9999',29.07,1,3,NULL),(15,2222388,'1989-10-15 01:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111431436829272122610161077',11538,'738',49.65,1,3,NULL),(15,2222396,'1991-01-17 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241217111431326621575112610132187',16322,'944',42.86,1,3,NULL),(15,2222400,'1975-08-08 00:00:00',2,1,12,1993,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241243221133431444319241114610115097',11972,'9997',49.02,1,3,NULL),(15,2222426,'1990-11-10 00:00:00',4,9,11,2007,'M','N','CENTRO','LAGES','SC','124242241215112431269811575122610167012',15237,'497',44.49,1,3,NULL),(15,2222442,'1990-11-17 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241117121412469913572124610114062',9692,'270',52.43,1,3,NULL),(15,2222450,'1983-05-15 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241111274731436629445334610131077',17392,'307',41.23,1,2,1),(15,2222469,'1989-09-24 00:00:00',2,1,10,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215111431328322575114610147043',6116,'266',58.84,1,3,NULL),(15,2222477,'1990-02-16 00:00:00',4,1,12,2006,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124242241215142711556722241124231016143',16284,'262',42.92,1,3,NULL),(15,2222485,'1990-06-19 00:00:00',2,1,11,2007,'F','N','CENTRO','BIGUACU','SC','124242241217111431548819575124610123072',17627,'63',40.90,1,3,NULL),(15,2222493,'1989-10-03 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124242241215111731478819496122610137042',1606,'262',70.79,1,3,NULL),(15,2222507,'1981-08-21 00:00:00',2,1,12,2005,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124121127226371431633211192324610124142',NULL,'9999',0.00,4,3,NULL),(15,2222523,'1988-03-31 00:00:00',4,1,12,2005,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251211311711159921581314610162054',12179,'9998',48.76,1,3,NULL),(15,2222531,'1990-07-31 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217122431338833471122610167127',12589,'270',48.15,1,3,NULL),(15,2222540,'1990-08-20 00:00:00',4,4,12,2007,'M','N','CENTRO','IPORA DO OESTE','SC','124241241115131431429933572221610127057',21985,'371',32.31,1,3,NULL),(15,2222558,'1988-06-20 00:00:00',4,1,12,2005,'M','N','ATIBAIA JARDIM','ATIBAIA','SP','125253251217471741468614445132241428032',6776,'9998',57.61,1,3,NULL),(15,2222566,'1990-07-10 00:00:00',4,3,11,2007,'M','N','JD AEROPORTO','PARANAVAI','PR','116162161215111431326829575225610134017',2105,'9998',68.95,1,3,NULL),(15,2222574,'1986-10-27 00:00:00',2,1,12,2003,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215113431569713495124233224097',NULL,'270',0.00,1,3,NULL),(15,2222582,'1990-01-15 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124243248335121421336663234122610135142',16134,'270',43.17,1,3,NULL),(15,2222590,'1990-09-20 00:00:00',4,10,12,2007,'M','N','SAGRADA FAMÍLIA','IMBITUBA','SC','124241241116141231533319245124610124043',NULL,'359',20.70,1,3,NULL),(15,2222612,'1990-02-23 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124241241115131711436634242334610124097',19200,'592',38.35,1,2,1),(15,2222620,'1990-11-19 00:00:00',2,5,12,2007,'F','N','URUSSANGUINHA','ARARANGUA','SC','124241241117131411636623292221610118017',18010,'29',40.30,1,2,1),(15,2222639,'1987-07-06 00:00:00',4,1,12,2004,'F','N','CENTRO','SAO JOSE DOS CAMPOS','SP','125251251217471432568933435112610168097',892,'9998',74.10,1,3,NULL),(15,2222647,'1961-05-06 00:00:00',2,1,7,2007,'F','N','BELA VISTA II','SAO JOSE','SC','124241247125131431655352492124610143092',NULL,'9997',29.05,2,3,NULL),(15,2222655,'1981-11-23 00:00:00',4,1,12,1998,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124201204117431421113349393324143268047',NULL,'9998',0.00,1,3,NULL),(15,2222671,'1989-03-20 00:00:00',2,8,11,2007,'F','N','ITINGA','JOINVILLE','SC','124241241435111431226924245314610133147',12092,'1016',48.87,1,3,NULL),(15,2222680,'1990-08-04 00:00:00',2,1,11,2007,'F','N','MODULO QUATRO','JUINA','MT','111114111216111431338516572323610132072',14345,'9998',45.66,1,3,NULL),(15,2222698,'1991-01-22 00:00:00',2,1,12,2008,'F','S','COQUEIROS','FLORIANOPOLIS','SC','124242241215111431477611415112610164112',NULL,'262',33.80,1,3,NULL),(15,2222701,'1965-03-10 00:00:00',3,1,12,1983,'M','N','INGLESES','FLORIANOPOLIS','SC','124243248316474411356419492132521431097',5280,'260',60.56,1,3,NULL),(15,2222710,'1988-06-26 00:00:00',4,1,7,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124243241115371431575933475124610132092',14974,'271',44.82,1,3,NULL),(15,2222728,'1991-02-27 00:00:00',4,8,12,2007,'F','N','JARDIM ANDREIA','BITURUNA','PR','116161161215121441368611574122610152142',NULL,'9998',0.00,1,3,NULL),(15,2222744,'1990-08-10 00:00:00',4,1,11,2007,'M','N','JD SÃO LUÍS','RIBEIRAO PRETO','SP','225252251217111731579714275112610137042',4200,'9998',62.90,1,3,NULL),(15,2222752,'1990-08-26 00:00:00',4,10,11,2007,'M','N','VILA MOEMA','TUBARAO','SC','124242248215111531569819395112610117047',16190,'807',43.08,1,3,NULL),(15,2222760,'1990-05-05 00:00:00',4,8,12,2007,'M','N','VILA SANTA HELENA','PRESIDENTE PRUDENTE','SP','125252251315271431568834575122610163047',18362,'9998',39.70,3,3,NULL),(15,2222779,'1990-10-24 00:00:00',4,1,11,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242248215111432466817375124610138115',21414,'1023',33.94,1,3,NULL),(15,2222787,'1989-05-05 00:00:00',4,3,12,2006,'F','N','ANDORINHA','ITAPEMA','SC','124241241416472441446633374124133267157',5093,'403',60.92,1,3,NULL),(15,2222795,'1978-01-02 00:00:00',4,1,6,1997,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','224213246337134421335444345122321764182',NULL,'306',0.00,3,3,NULL),(15,2222809,'1991-08-04 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215112431478713571124610168197',NULL,'1022',46.53,4,3,NULL),(15,2222817,'1986-06-28 00:00:00',2,1,12,2003,'F','N','SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC','124241241122133431524413382114133214057',12328,'307',48.53,1,2,1),(15,2222825,'1989-09-30 00:00:00',4,1,11,2007,'F','N','JARDIM DAS CASTANHEI','FLORIANOPOLIS','SC','124241241115111431553823575122610167057',NULL,'267',23.09,1,2,1),(15,2222833,'1989-02-22 00:00:00',2,3,12,2006,'M','N','CEDRO','CAMBORIU','SC','124241241117141431544632395122610162177',16847,'130',42.08,1,2,1),(15,2222841,'1987-06-28 00:00:00',2,1,12,2007,'F','N','VILA ALVORADA','IMBITUBA','SC','124241248113131431425511582344610141142',NULL,'359',18.75,1,2,1),(15,2222850,'1988-03-18 00:00:00',2,1,12,2005,'M','N','PINHEIRINHO','CURITIBA','PR','116161161117471411224439575124610114012',21193,'9998',34.45,1,2,1),(15,2222906,'1989-06-16 00:00:00',4,1,12,2006,'M','N','CENTRO','PANAMBI','RS','120202201212371751489961562311610167046',13616,'9998',46.73,4,3,NULL),(15,2222914,'1989-07-03 00:00:00',2,5,11,2007,'F','N','JARDIM DAS AVENIDAS','ARARANGUA','SC','124244241415131431449854575125610121017',21280,'29',34.25,1,3,NULL),(15,2222922,'1988-04-04 00:00:00',2,1,12,2005,'F','N','PARQUE SAO JORGE','FLORIANOPOLIS','SC','124242241232273411447633445134610167147',20797,'272',35.30,1,3,NULL),(15,2222930,'1977-11-25 00:00:00',2,1,12,1994,'M','N','CENTRO','FLORIANOPOLIS','SC','224242241216153441368941411122321026122',6761,'272',57.63,1,3,NULL),(15,2222949,'1990-05-23 00:00:00',2,1,11,2007,'M','N','BELA VISTA','SORRISO','MT','111113111215111421323623172221610127052',12775,'9998',47.89,1,3,NULL),(15,2222957,'1990-09-14 00:00:00',2,2,12,2007,'M','N','GASPARINHO','GASPAR','SC','124242241212111441368614592112610164052',11253,'1004',50.08,1,3,NULL),(15,2222965,'1988-03-23 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241217153431446824375124230227042',8570,'269',54.41,1,3,NULL),(15,2222973,'1990-08-15 00:00:00',2,4,12,2007,'F','N','INTERIOR','SAO JOAO','PR','116161162116111431336314576124610124017',NULL,'9998',0.00,1,3,NULL),(15,2222981,'1990-09-21 00:00:00',2,3,12,2007,'M','N','CENTRO','TIJUCAS','SC','124244246215111431568614345121610127052',21742,'1119',33.15,1,3,NULL),(15,2222990,'1988-12-10 00:00:00',4,4,12,2005,'F','N','CENTRO','CHAPECO','SC','124254111336371431465614474125140812142',9175,'9998',53.31,1,3,NULL),(15,2223007,'1990-05-07 00:00:00',2,1,12,2007,'M','N','PONTE DE IMARUIM','PALHOCA','SC','124242241212111431358533572122610167041',2711,'262',66.99,1,3,NULL),(15,2223015,'1990-05-22 00:00:00',4,5,11,2007,'F','N','CENTRO','NOVA VENEZA','SC','124241241117141431336823392122610114147',NULL,'576',21.90,1,2,1),(15,2223023,'1990-05-08 00:00:00',2,2,12,2007,'F','N','CENTRO','PRESIDENTE GETULIO','SC','124242241215111411476312591122610143092',18666,'270',39.21,1,3,NULL),(15,2223031,'1986-06-30 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124204201416131411568924587124233243182',10694,'9998',50.88,1,3,NULL),(15,2223040,'1990-11-30 00:00:00',4,1,10,2007,'M','N','CENTRO','LONDRINA','PR','116162161215151431488711472122610147122',1766,'9998',70.13,1,3,NULL),(15,2223058,'1981-12-01 00:00:00',4,1,12,1999,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241211145411258829441315220922027',10603,'260',51.02,4,3,NULL),(15,2223066,'1988-10-31 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','204035054322343231334333125212130341023',6113,'270',58.86,3,3,NULL),(15,2223074,'1991-09-13 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215111431368919475122610117142',15505,'497',44.13,1,3,NULL),(15,2223082,'1989-03-08 00:00:00',4,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124242241211143431436612345112230267077',18358,'723',39.71,1,3,NULL),(15,2223090,'1982-11-25 00:00:00',4,1,12,2000,'M','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124242241217152411565719392112121162042',16094,'270',43.24,1,3,NULL),(15,2223104,'1990-08-19 00:00:00',2,3,11,2007,'F','N','DAS NAÇÕES','BALNEARIO CAMBORIU','SC','124241241415111411547611571121610167017',18239,'9997',39.91,1,3,NULL),(15,2223112,'1988-05-13 00:00:00',4,1,1,2007,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124244248212412431516531594124610117025',19276,'1022',38.22,3,3,NULL),(15,2223120,'1987-10-02 00:00:00',2,1,12,2004,'F','N','CENTRO','SAO JOAO BATISTA','SC','124241241122373431334623142122610121147',5460,'712',60.14,1,2,1),(15,2223139,'1989-11-07 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215122431379812575112610128067',1875,'226',69.69,4,3,NULL),(15,2223147,'1988-08-15 00:00:00',4,8,12,2005,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215572451468921574124122635177',NULL,'9998',0.00,1,3,NULL),(15,2223163,'1990-03-02 00:00:00',4,1,12,2007,'F','N','CENTRO','GAROPABA','SC','124241241121131431535532571124610123182',NULL,'322',25.46,1,3,NULL),(15,2223171,'1983-07-16 00:00:00',2,1,12,2002,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241127172431528349342334610167092',NULL,'283',30.04,2,2,1),(15,2223180,'1991-05-29 00:00:00',4,1,12,2008,'F','S','CENTRO','IMBUIA','SC','124241241117161431444422245122610131072',NULL,'364',21.23,1,3,NULL),(15,2223198,'1989-06-19 00:00:00',2,1,12,2006,'F','N','ARIRIÚ','PALHOCA','SC','124241241142131711443439292234610116017',19084,'593',38.54,1,3,NULL),(15,2223201,'1990-06-09 00:00:00',4,1,12,2007,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124243241315161411536612575122610162142',NULL,'257',22.66,1,3,NULL),(15,2223210,'1979-08-23 00:00:00',4,1,12,1996,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124162161316142712134344445114321564193',4708,'9998',61.73,1,3,NULL),(15,2223228,'1986-06-27 00:00:00',2,1,12,2005,'F','N','CARIANOS','FLORIANOPOLIS','SC','124243247325372431528344212324610133112',21703,'9997',33.26,2,1,2),(15,2223236,'1985-01-07 00:00:00',4,6,12,2003,'M','N','CENTRO','ITAPEMA','SC','124213131116371721568611335334140267042',2778,'9998',66.80,1,3,NULL),(15,2223244,'1990-11-15 00:00:00',4,1,11,2007,'M','N','JARDIM SAN REMO','LONDRINA','PR','116162161217111411359831572245610164047',8833,'9998',53.96,4,3,NULL),(15,2223252,'1989-11-29 00:00:00',4,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241215113441433632592124231534142',9563,'738',52.66,1,3,NULL),(15,2223260,'1990-11-20 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241231111431368922422114610147112',11080,'270',50.34,1,3,NULL),(15,2223279,'1986-07-03 00:00:00',4,1,12,2003,'M','N','JARDIM OLYMPIA','SAO PAULO','SP','125252251115371431238831371124610127182',10319,'9998',51.47,1,3,NULL),(15,2223287,'1989-04-14 00:00:00',4,1,12,2006,'F','N','SERTÃO DO MARUIM','SAO JOSE','SC','124241241112372431523319245124610123147',16473,'733',42.62,1,2,1),(15,2223295,'1985-11-21 00:00:00',2,1,12,2004,'F','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124241241117134751536633442124610164147',22292,'267',31.06,2,3,NULL),(15,2223309,'1989-10-01 00:00:00',2,3,12,2006,'F','N','AREIAS','CAMBORIU','SC','124242242115371631453812575122610136057',10388,'129',51.36,1,3,NULL),(15,2223317,'1990-05-24 00:00:00',2,4,12,2007,'F','N','INTERIOR','REALEZA','PR','116161162117111431526335572324610155017',NULL,'9998',0.00,1,3,NULL),(15,2223325,'1990-09-26 00:00:00',4,9,12,2007,'F','N','SÃO LUIS','CURITIBANOS','SC','124241241112131751528635272222610137142',21934,'239',32.50,1,2,1),(15,2223333,'1990-08-13 00:00:00',2,1,12,2007,'M','N','ABRAAO','FLORIANOPOLIS','SC','124242241232111311588924572124610132112',7014,'262',57.12,1,3,NULL),(15,2223341,'1990-05-14 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124212211216121431469931275112610162192',NULL,'9998',0.00,1,3,NULL),(15,2223350,'1991-02-28 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241215111431456619475122610127127',10081,'9997',51.81,1,3,NULL),(15,2223368,'1990-09-25 00:00:00',4,1,12,2007,'F','N','BREJARU','PALHOCA','SC','124242241215471411426724571122610165197',14430,'1011',45.53,1,3,NULL),(15,2223376,'1988-12-15 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217112231445529272124610167042',6611,'1022',57.88,1,3,NULL),(15,2223384,'1978-10-31 00:00:00',4,1,12,1996,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124254241415273421436741415122221827111',11487,'9998',49.73,1,3,NULL),(15,2223392,'1991-02-13 00:00:00',2,1,12,2008,'F','S','CARIANOS','FLORIANOPOLIS','SC','124241241217111431656313572122610134075',NULL,'1023',50.97,1,3,NULL),(15,2223414,'1985-10-08 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241214574431579914575122121135042',5374,'195',60.33,1,3,NULL),(15,2223422,'1988-02-08 00:00:00',2,1,12,2004,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124201201112143431226554342344610166147',16701,'9998',42.33,1,3,NULL),(15,2223430,'1990-10-19 00:00:00',4,2,11,2007,'F','N','CENTRO','IBIRAMA','SC','624241241215161431356312574122610132052',21513,'346',33.70,1,3,NULL),(15,2223449,'1990-06-13 00:00:00',4,8,11,2007,'F','N','GUANABARA','JOINVILLE','SC','124243241215131431438824575124610164142',21134,'489',34.58,1,3,NULL),(15,2223473,'1989-11-29 00:00:00',4,1,2,2008,'M','N','CAMPINAS','SAO JOSE','SC','124242241115131431436629295124610124197',6720,'306',57.70,1,3,NULL),(15,2223481,'1990-02-14 00:00:00',2,1,11,2007,'F','N','CENTRO','RIO DO SUL','SC','124242248215112411579813572112610162042',9015,'270',53.61,1,3,NULL),(15,2223490,'1989-08-06 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241225471411631129575122610117181',22174,'270',31.60,3,3,NULL),(15,2223503,'1989-01-03 00:00:00',4,1,11,2007,'M','N','NOVA REDENTORA','SAO JOSE DO RIO PRETO','SP','125252251216472731578833585122210137012',NULL,'9998',0.00,1,3,NULL),(15,2223520,'1989-06-08 00:00:00',4,6,11,2007,'M','N','FAZENDA','ITAJAI','SC','124242241217151431378832275121610138012',6359,'392',58.34,1,3,NULL),(15,2223538,'1990-05-19 00:00:00',2,1,11,2007,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241217151451335624346114610167061',10604,'262',51.01,1,3,NULL),(15,2223546,'1991-02-20 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111731479831472122610123182',NULL,'270',43.69,1,3,NULL),(15,2223554,'1990-12-20 00:00:00',2,1,12,2007,'F','N','ARIRIU DA FORNIGA','PALHOCA','SC','124241241132131431426613282124610164147',NULL,'592',18.00,1,3,NULL),(15,2223562,'1988-09-13 00:00:00',4,5,11,2006,'F','N','CENTRO','CRICIUMA','SC','120242241215372431448831572114610144142',7957,'270',55.44,1,3,NULL),(15,2223570,'1990-11-18 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215112431346923572114610131117',9781,'738',52.30,1,3,NULL),(15,2223597,'1985-05-11 00:00:00',4,1,11,2003,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124214217417151412639619475114140964026',12352,'9999',48.50,1,3,NULL),(15,2223600,'1990-06-26 00:00:00',4,8,11,2007,'M','N','CERAMARTE','RIO NEGRINHO','SC','124242241215151731468811492112610147122',5378,'666',60.32,1,3,NULL),(15,2223619,'1990-04-12 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124202241215121432469913572114610167122',5560,'1022',59.95,1,3,NULL),(15,2223627,'1989-12-26 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241115471411425514196124610137012',7008,'995',57.13,1,3,NULL),(15,2223635,'1990-09-15 00:00:00',2,4,12,2006,'M','N','INTERIOR','PALMITOS','SC','124241202116171431433716292222230314062',17260,'9998',41.47,1,3,NULL),(15,2223643,'1989-07-24 00:00:00',2,1,12,2006,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241111372531525364346224222227097',15319,'289',44.37,1,3,NULL),(15,2223651,'1976-11-18 00:00:00',4,1,7,1995,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124204207647131751136444342123140767117',13606,'9999',46.74,4,3,NULL),(15,2223660,'1990-05-16 00:00:00',2,1,11,2007,'M','N','BOM VIVER','SAO JOSE','SC','124244241435111431446631415124610164017',7898,'738',55.52,1,3,NULL),(15,2223694,'1991-03-26 00:00:00',4,1,12,2008,'F','S','KOBRASOL','SAO JOSE','SC','124242241215111431446634571122610137045',NULL,'738',52.24,1,3,NULL),(15,2223708,'1988-12-16 00:00:00',2,1,6,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244247215111411554312572112130114072',NULL,'9999',16.81,1,3,NULL),(15,2223716,'1990-10-19 00:00:00',4,1,11,2007,'F','N','ESTREIRO','FLORIANOPOLIS','SC','124244241215123411459874575124610143092',9437,'270',52.88,1,3,NULL),(15,2223724,'1986-03-19 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','224163241214575431255653492124130225117',8086,'210',55.21,1,3,NULL),(15,2223732,'1986-11-22 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANOPOLIS','SC','124203201127131431227748385124610128197',17355,'9998',41.30,1,3,NULL),(15,2223740,'1990-02-25 00:00:00',4,1,12,2007,'F','N','ITACORIBU','FLORIANOPOLIS','SC','124242241215111431356654392124610127072',NULL,'1022',26.43,1,3,NULL),(15,2223759,'1989-11-10 00:00:00',4,6,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241217121431458811575121610127012',9958,'967',52.00,1,3,NULL),(15,2223767,'1990-12-07 00:00:00',4,9,12,2008,'M','S','CENTRO','LAGES','SC','124244241215111431347814495122610132182',NULL,'497',42.95,1,3,NULL),(15,2223775,'1986-07-11 00:00:00',4,1,12,2003,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241317372421453612445122130232012',17603,'300',40.93,1,3,NULL),(15,2223783,'1990-08-13 00:00:00',2,1,11,2008,'M','S','PONTE DO IMARUIM','PALHOCA','SC','124241241137141431443331315121610142057',NULL,'592',29.26,1,3,NULL),(15,2223791,'1990-03-27 00:00:00',4,8,10,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124242246217111431439914575122610137042',20550,'1006',35.80,1,3,NULL),(15,2223805,'1990-08-17 00:00:00',4,5,11,2007,'F','N','CENTRO','NOVA VENEZA','SC','124241241137131531425611192124610134197',NULL,'576',32.78,1,2,1),(15,2223813,'1986-06-22 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124163241316142321436624345123232764142',NULL,'298',28.89,1,3,NULL),(15,2223821,'1990-08-11 00:00:00',1,2,12,2007,'M','N','CENTRO','POMERODE','SC','124244241217111431569613375125610167047',1273,'624',72.14,1,3,NULL),(15,2223830,'1988-11-23 00:00:00',2,1,12,2005,'M','N','MENINO DEUS','PORTO ALEGRE','RS','220201201137371442422619391344610164177',18500,'9998',39.48,1,2,1),(15,2223848,'1990-02-14 00:00:00',4,1,11,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217111431469813572124610167112',2421,'262',67.85,1,3,NULL),(15,2223856,'1990-07-30 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241316161731433339272112610137042',20371,'1049',36.11,1,3,NULL),(15,2223872,'1990-03-07 00:00:00',4,1,12,2007,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124241241112141431558823572124610137187',NULL,'307',28.62,1,2,1),(15,2223899,'1990-03-17 00:00:00',2,1,12,2007,'M','N','CENTRO','AGUAS MORNAS','SC','124241241115121431445311482124610122042',15687,'307',43.83,1,2,1),(15,2223902,'1991-04-25 00:00:00',2,1,12,2008,'M','S','PANTANAL','FLORIANOPOLIS','SC','124164161217111411256634575124610157043',NULL,'9998',42.88,3,3,NULL),(15,2223910,'1990-07-31 00:00:00',2,5,11,2007,'F','N','LOTE SEIS','CRICIUMA','SC','124241241215111431434511572122610124142',9161,'213',53.33,1,3,NULL),(15,2223929,'1989-06-24 00:00:00',2,8,12,2007,'F','N','INDUSTRIAL SUL','RIO NEGRINHO','SC','124241241137161431343411115124610133147',NULL,'669',0.00,4,2,1),(15,2223937,'1990-07-05 00:00:00',2,1,11,2007,'M','N','JARDIM PETRÓPOLIS','LONDRINA','PR','116162161217111411458831572112610167047',NULL,'9998',0.00,1,3,NULL),(15,2223945,'1990-06-09 00:00:00',4,2,10,2007,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241216271431468913395112610161191',5049,'909',60.99,1,3,NULL),(15,2223953,'1989-11-06 00:00:00',2,1,12,2007,'M','N','JD ESPLANADA II','SAO JOSE DOS CAMPOS','SP','125254251217161411567832345112610168111',16895,'9998',42.02,1,3,NULL),(15,2223961,'1991-06-09 00:00:00',4,10,11,2008,'M','S','VILA MOEMA','TUBARAO','SC','124242241217111431468831372112610164112',NULL,'797',59.23,1,3,NULL),(15,2223970,'1989-06-06 00:00:00',4,1,12,2007,'M','N','AZAMBUJA','BRUSQUE','SC','124241241135141431336621145122610127042',20478,'1019',35.92,1,2,1),(15,2223988,'1988-07-29 00:00:00',4,1,11,2005,'F','N','CAMPOS ELISEOS','CAMPINAS','SP','125252251216571431469814575122610164097',5058,'9998',60.98,1,3,NULL),(15,2223996,'1991-09-12 00:00:00',4,1,12,2008,'M','S','CAPOEIRAS','FLORIANOPOLIS','SC','124242248215111251469632275112610116197',NULL,'273',54.46,1,3,NULL),(15,2224003,'1989-02-08 00:00:00',2,1,12,2006,'F','N','RIO TVARES','FLORIANOPOLIS','SC','124241241126372451425439395114610134047',16002,'285',43.38,1,2,1),(15,2224011,'1989-07-18 00:00:00',2,1,12,2007,'M','N','ARIRIU','PALHOCA','SC','124242241137151731456832415124610117187',20448,'592',35.96,1,3,NULL),(15,2224020,'1988-10-19 00:00:00',2,5,12,2006,'F','N','VILA SANTO ANTÔNIO','CORDEIROPOLIS','SP','125251251216472441466614375124610146092',16619,'9998',42.43,1,3,NULL),(15,2224038,'1990-03-16 00:00:00',4,6,12,2008,'F','S','MURTA','ITAJAI','SC','124241241115171731523329291321610114047',NULL,'396',9.27,1,3,NULL),(15,2224046,'1988-12-30 00:00:00',2,5,11,2006,'F','N','CENTRO','NOVA VENEZA','SC','124242241215472431466823572122610123157',4880,'226',61.35,1,3,NULL),(15,2224054,'1990-09-03 00:00:00',2,5,11,2007,'F','N','MICHEL','CRICIUMA','SC','124242241215111531443332575112610164042',12640,'210',48.08,1,3,NULL),(15,2224062,'1990-05-12 00:00:00',2,8,11,2007,'F','N','CENTRO','JOINVILLE','SC','124242241215131331548614582122610163145',9919,'457',52.06,1,3,NULL),(15,2224070,'1989-08-27 00:00:00',4,1,12,2007,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124102241216111431339934575124610134117',20321,'269',36.20,4,3,NULL),(15,2224089,'1989-04-18 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431468832592122610167042',972,'262',73.68,1,3,NULL),(15,2224097,'1990-09-16 00:00:00',4,2,11,2007,'F','N','ASILO','BLUMENAU','SC','124242241235111411489939575122610167186',10508,'909',51.17,1,3,NULL),(15,2224100,'1991-01-21 00:00:00',4,8,11,2008,'M','S','SAGUAÇU','JOINVILLE','SC','124242248214171431459934272112610165197',NULL,'457',32.53,1,3,NULL),(15,2224119,'1973-08-09 00:00:00',4,1,12,1993,'M','N','CENTRO','FLORIANOPOLIS','SC','224242241217153421468442125132120267182',NULL,'269',0.00,4,3,NULL),(15,2224127,'1990-06-30 00:00:00',4,3,12,2007,'M','N','JD DOM BOSCO','LONDRINA','PR','116162161215111431468811275124610132042',507,'9998',76.78,1,3,NULL),(15,2224135,'1988-06-03 00:00:00',4,1,12,2005,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124201208112141421343341412212610114147',20121,'9998',36.58,1,3,NULL),(15,2224143,'1989-11-13 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215111431637833595124610134052',15931,'737',43.49,1,3,NULL),(15,2224151,'1988-05-09 00:00:00',4,1,12,2004,'M','N','CAMPINAS','SAO JOSE','SC','124243241215574411479913575114131064047',2194,'723',68.63,1,3,NULL),(15,2224178,'1989-12-31 00:00:00',2,4,12,2006,'M','N','INTERIOR','PALMITOS','SC','124241202117161531314316592223230367047',16394,'9998',42.77,1,3,NULL),(15,2224186,'1990-06-23 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431466831576122610137042',18971,'273',38.72,1,3,NULL),(15,2224194,'1990-07-13 00:00:00',4,2,12,2007,'M','N','CENTRO','POMERODE','SC','124241241117151431366312572122610122182',14757,'621',45.06,1,2,1),(15,2224208,'1973-07-21 00:00:00',2,1,12,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','224271271126172441335453347122610128181',21604,'9998',33.50,1,3,NULL),(15,2224216,'1990-02-12 00:00:00',4,1,12,2007,'F','N','BREMER','RIO DO SUL','SC','124244241215272411429919591124610122067',NULL,'270',0.00,1,3,NULL),(15,2224224,'1990-06-08 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215121431249833575124610127047',15258,'1022',44.47,1,3,NULL),(15,2224232,'1985-03-02 00:00:00',2,1,7,2003,'F','N','CENTRO','SANTA MARIA','RS','120203207346371451527823575125141534097',NULL,'9999',0.00,1,3,NULL),(15,2224240,'1990-12-02 00:00:00',2,1,11,2007,'F','N','REAL PARQUE','SAO JOSE','SC','124201245127131731433463572124610161197',NULL,'307',0.00,1,3,NULL),(15,2224259,'1991-10-22 00:00:00',4,1,12,2008,'M','S','CAMPINAS','SAO JOSE','SC','124242241217111431368833572112610117042',NULL,'262',34.57,1,3,NULL),(15,2224267,'1986-10-07 00:00:00',2,6,12,2003,'F','N','JD AMÉRICA','DOURADOS','MS','112123121316271721346919575125130618097',12761,'9998',47.91,1,3,NULL),(15,2224275,'1990-09-11 00:00:00',4,10,11,2007,'M','N','PARAÍSO','JAGUARUNA','SC','124244241215111431467513575114610127042',11599,'806',49.56,1,3,NULL),(15,2224291,'1991-04-24 00:00:00',4,1,12,2008,'F','S','COQUEIROS','FLORIANOPOLIS','SC','124242241215111732447834572124610123142',NULL,'270',51.66,1,3,NULL),(15,2224305,'1987-12-15 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241621273731426431371224610118145',8648,'262',54.26,4,3,NULL),(15,2224313,'1990-02-26 00:00:00',4,1,12,2006,'M','N','CENTRO','SANANDUVA','RS','120203201117372431559933575214243262177',13600,'9998',46.75,1,3,NULL),(15,2224321,'1988-09-13 00:00:00',4,8,12,2007,'M','N','GLORIA','JOINVILLE','SC','124244241216111421248823575111610137092',17097,'491',41.73,1,3,NULL),(15,2224348,'1990-04-05 00:00:00',4,1,12,2007,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241345131431226524572224610164047',14941,'307',44.87,1,3,NULL),(15,2224356,'1990-03-19 00:00:00',4,7,12,2007,'M','N','CENTRO','IRANI','SC','124241241136111531336933371324610127057',21801,'379',32.95,1,3,NULL),(15,2224364,'1980-05-17 00:00:00',2,1,12,1999,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241247414155411121648186224222268177',NULL,'9999',0.00,1,3,NULL),(15,2224372,'1989-04-19 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431578819572124230217071',1937,'262',69.46,1,3,NULL),(15,2224380,'1981-06-25 00:00:00',2,5,11,1998,'F','N','CENTRO','CRICIUMA','SC','124244241412575731435519491324131066172',13208,'211',47.31,1,3,NULL),(15,2224399,'1990-09-18 00:00:00',4,3,12,2007,'M','N','MORRETES','ITAPEMA','SC','124241241215371431553912125121610127057',22279,'403',31.13,1,3,NULL),(15,2224402,'1990-09-08 00:00:00',2,2,12,2007,'F','N','NAÇÕES','INDAIAL','SC','124243241215111431548632475122610127142',13691,'925',46.63,1,3,NULL),(15,2224410,'1989-02-12 00:00:00',4,1,11,2006,'M','N','URBANOVA','SAO JOSE DOS CAMPOS','SP','125252251217152411348813375124243261022',3578,'9998',64.52,1,3,NULL),(15,2224437,'1989-08-06 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124243241215111431454312242122610122142',21832,'1118',32.85,1,3,NULL),(15,2224453,'1990-08-24 00:00:00',4,4,12,2007,'M','N','MENINO DEUS','PATO BRANCO','PR','116161161147131412453919195122610128057',15039,'9998',44.75,1,2,1),(15,2224461,'1964-06-19 00:00:00',2,1,1,1986,'M','N','CAMAQUÃ','PORTO ALEGRE','RS','120202207127131431244629482124140428147',14752,'9999',45.07,4,3,NULL),(15,2224470,'1990-07-05 00:00:00',4,4,12,2007,'M','N','SÃO CRISTOVÃO','MARAU','RS','120204201217271411559912285124610132186',1842,'9998',69.80,1,3,NULL),(15,2224488,'1990-08-04 00:00:00',4,8,11,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124243241217131731667719371112610147077',14063,'461',46.08,4,3,NULL),(15,2224496,'1989-09-21 00:00:00',4,1,11,2007,'F','N','CENTRO','CUIABA','MT','111112111217111451489931592112610122182',5395,'9998',60.29,3,3,NULL),(15,2224500,'1989-06-24 00:00:00',4,8,12,2006,'M','N','JD NOVO OSASCO','OSASCO','SP','125252251217471431436634471124610161192',NULL,'9998',0.00,1,3,NULL),(15,2224518,'1987-02-03 00:00:00',2,1,12,2005,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241215373411446519575114133217082',16477,'943',42.62,4,3,NULL),(15,2224526,'1982-06-30 00:00:00',2,1,12,1999,'F','N','BARREIROS','SAO JOSE','SC','124242241217375431446633482124610141147',10012,'269',51.91,4,1,2),(15,2224534,'1990-08-24 00:00:00',4,2,12,2007,'F','N','VICTOR KONDER','BLUMENAU','SC','124241241217111431436915572124610142147',13304,'855',47.16,1,3,NULL),(15,2224542,'1989-06-09 00:00:00',2,1,12,2006,'F','N','JARDIM RAIO DO SOL','ALVARES MACHADO','SP','125251251117471411338669245112610163147',20683,'9998',35.53,4,2,1),(15,2224577,'1990-12-11 00:00:00',4,3,12,2007,'M','N','CENTRO','ITAPEMA','SC','124244246437111222447612124114610117052',14811,'407',45.00,3,3,NULL),(15,2224585,'1990-04-04 00:00:00',4,8,12,2007,'F','N','VILA LENZI','JARAGUA DO SUL','SC','124242241235271731324424572122610148197',20372,'422',36.11,1,3,NULL),(15,2224593,'1983-11-25 00:00:00',4,1,12,2001,'F','N','COLONINHA','FLORIANOPOLIS','SC','124243241312135731128319582344131354142',16809,'185',42.15,1,3,NULL),(15,2224607,'1990-05-22 00:00:00',2,1,12,2007,'F','N','AREIAS','SAO JOSE','SC','124242241115131431436313572125610122197',21700,'734',33.27,4,3,NULL),(15,2224623,'1991-09-13 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215151431577814572125610114072',NULL,'262',44.28,1,3,NULL),(15,2224631,'1991-08-27 00:00:00',4,3,12,2008,'M','S','CENTRO','PETROLANDIA','SC','124241241215111431358911575122610162122',NULL,'9997',58.84,1,3,NULL),(15,2224640,'1990-05-15 00:00:00',4,10,11,2007,'M','N','CENTRO','TUBARAO','SC','124242241217121431378739575115610122172',1706,'807',70.36,1,3,NULL),(15,2224658,'1990-09-20 00:00:00',4,10,11,2007,'F','N','HUMAITÁ DE CIMA','TUBARAO','SC','124241241215111731455512495122610162177',15564,'807',44.02,1,3,NULL),(15,2224666,'1989-11-04 00:00:00',4,9,11,1989,'M','N','CENTRO','LAGES','SC','124242241217372751569811495122610124182',1217,'9997',72.39,1,3,NULL),(15,2224674,'1990-07-27 00:00:00',2,7,11,2007,'M','N','SALETE','CONCORDIA','SC','124241241215111431339619375122610137052',5924,'1000',59.21,1,3,NULL),(15,2224682,'1991-09-08 00:00:00',4,4,12,2007,'F','N','CENTRO','ALPESTRE','RS','120201201116161431549933572122610123077',20268,'9998',36.29,1,3,NULL),(15,2224690,'1990-12-29 00:00:00',2,1,12,2007,'F','N','BECK','TUPANCIRETA','RS','120201201116161231213769272321610127077',NULL,'9998',0.00,4,3,NULL),(15,2224704,'1991-08-31 00:00:00',4,6,12,2007,'F','N','CENTRO','NAVEGANTES','SC','124242244212511321279913435122610137092',20914,'394',35.06,1,3,NULL),(15,2224712,'1990-04-10 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241217111431628923435125610127057',10541,'9997',51.11,1,3,NULL),(15,2224720,'1986-10-08 00:00:00',2,2,12,2004,'M','N','CENTRO','IPORA DO OESTE','SC','124244241416161321324414382124230222092',20039,'370',36.74,1,3,NULL),(15,2224747,'1990-06-06 00:00:00',2,4,12,2007,'F','N','CENTRO','PALMEIRA DAS MISSOES','RS','120201201116131431423316572124610137147',15800,'9998',43.68,1,2,1),(15,2224755,'1990-10-07 00:00:00',4,6,12,2007,'M','N','PRAIA BRAVA','BALNEARIO CAMBORIU','SC','124242241215111531256811172114610112052',9909,'270',52.07,1,3,NULL),(15,2224763,'1983-03-16 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124201201117131451123744341334610133057',20665,'9998',35.56,1,2,1),(15,2224771,'1980-12-15 00:00:00',4,1,12,1996,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124203201137371721146644345225141427027',18649,'9998',39.24,1,3,NULL),(15,2224798,'1989-07-04 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431588823595122610112112',6183,'270',58.68,1,3,NULL),(15,2224801,'1987-07-30 00:00:00',4,5,12,2005,'M','N','CENTRO','SOMBRIO','SC','124241241127151431445614245123610157042',NULL,'1033',8.29,1,3,NULL),(15,2224810,'1989-12-13 00:00:00',4,1,11,2007,'F','N','NOVA FLORESTA','BELO HORIZONTE','MG','113132131216271411477632581122610132092',NULL,'9998',0.00,1,3,NULL),(15,2224836,'1987-01-24 00:00:00',2,1,12,2004,'F','N','CENTRO','BIGUACU','SC','124241241512374441546933572124610161187',6865,'20',57.42,1,3,NULL),(15,2224844,'1990-05-12 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241211372431247833595115610136092',11845,'262',49.18,1,3,NULL),(15,2224852,'1989-06-01 00:00:00',4,8,11,2006,'M','N','EMBARÉ','SANTOS','SP','125252251215471431368812575122610164032',NULL,'9998',0.00,1,3,NULL),(15,2224860,'1989-11-09 00:00:00',4,1,12,2006,'F','N','CIDADE JARDIM','RIO CLARO','SP','125252251217471431349813574114610164142',NULL,'9998',0.00,1,3,NULL),(15,2224895,'1989-09-13 00:00:00',4,8,12,2007,'M','N','ATIRADORES','JOINVILLE','SC','124242244232122431578813585111610137047',13179,'486',47.36,1,3,NULL),(15,2224909,'1989-07-13 00:00:00',4,8,12,2007,'M','N','CENTRO','MAFRA','SC','124241241215111431446911392121610122017',9338,'541',53.06,1,3,NULL),(15,2224917,'1990-06-24 00:00:00',4,1,12,2007,'F','N','PRAIA DA COSTA','VILA VELHA','ES','108082081215111431489811394112610161142',6984,'9998',57.19,1,3,NULL),(15,2224925,'1990-11-07 00:00:00',4,1,11,2007,'F','N','AREIAS','SAO JOSE','SC','124243241415111431356613575124610166181',6658,'270',57.80,4,3,NULL),(15,2224933,'1990-04-09 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111131668613575224610138112',NULL,'1118',21.36,1,3,NULL),(15,2224950,'1989-03-04 00:00:00',4,1,11,2006,'M','N','JD EUROPA','LONDRINA','PR','116162161217471431367822585122610164142',2061,'9998',69.06,1,3,NULL),(15,2224968,'1986-04-08 00:00:00',2,4,12,2005,'M','N','LINHA JACUTINGA','SANTA IZABEL DO OESTE','PR','116161161134131421422315352344610127067',NULL,'9998',0.00,4,2,1),(15,2224976,'1989-04-27 00:00:00',4,8,12,2007,'F','N','SÃO MIGUEL PAULISTA','SAO PAULO','SP','125253251116131431446674575124610131147',20419,'9998',36.01,1,3,NULL),(15,2224984,'1987-10-30 00:00:00',4,8,12,2005,'M','N','JARDIM CORALINA','BAURU','SP','125254251216471731448619392122610137052',15944,'9998',43.47,1,3,NULL),(15,2224992,'1990-06-04 00:00:00',2,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124244241215111711231624215121610164027',12350,'723',48.50,1,3,NULL),(15,2225000,'1990-08-24 00:00:00',5,2,12,2007,'F','N','RIO CERRO II','JARAGUA DO SUL','SC','124242241216471411289912575122610128152',NULL,'855',0.00,1,3,NULL),(15,2225018,'1959-11-19 00:00:00',4,1,12,1979,'M','N','JARDIM CATANHEIRAS','FLORIANOPOLIS','SC','224243245346475431558353391122131156173',NULL,'751',28.62,1,3,NULL),(15,2225026,'1988-01-26 00:00:00',4,1,12,2005,'M','N','CENTRO','SAO JOSE DOS CAMPOS','SP','125214211215571431286932575124610136012',6032,'9998',59.00,1,3,NULL),(15,2225034,'1989-10-13 00:00:00',4,4,11,2006,'M','N','PARQUE SÃO PAULO','CASCAVEL','PR','116162161217471431248826594122610166042',2471,'9998',67.71,1,3,NULL),(15,2225042,'1990-05-29 00:00:00',2,7,11,2007,'M','N','REUNIDAS','CACADOR','SC','124242241215161231366936375125610127097',11439,'118',49.79,3,3,NULL),(15,2225050,'1990-12-25 00:00:00',4,1,11,2008,'F','S','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431368932572124610124072',NULL,'270',50.07,1,3,NULL),(15,2225069,'1989-03-20 00:00:00',4,1,6,2007,'F','N','ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP','125252281435271431568832575114610163077',NULL,'9998',0.00,1,3,NULL),(15,2225077,'1977-02-27 00:00:00',2,1,12,1995,'F','N','CENTRO','FLORIANOPOLIS','SC','224241241112132431424551272224610123145',NULL,'307',20.59,1,3,NULL),(15,2225085,'1991-03-25 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215151431468923472112610144042',NULL,'262',51.97,1,3,NULL),(15,2225093,'1990-06-30 00:00:00',4,1,11,2007,'M','N','JARDIM AMERICA','GOIANIA','GO','109092091217111731269912575112610132183',NULL,'9998',0.00,1,3,NULL),(15,2225107,'1990-06-30 00:00:00',4,2,12,2007,'M','N','GARCIA','BLUMENAU','SC','124242248215111331455924345125610155032',5474,'87',60.11,1,3,NULL),(15,2225115,'1991-02-08 00:00:00',4,1,12,2008,'F','S','COQUEIROS','FLORIANOPOLIS','SC','124242241217111452336611391123610135187',NULL,'266',53.70,1,3,NULL),(15,2225123,'1988-10-07 00:00:00',4,1,12,2005,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251217572431459918182111610117162',4341,'9998',62.62,1,3,NULL),(15,2225140,'1990-09-28 00:00:00',4,1,12,2007,'M','N','CENTRO','GOIANIA','GO','109092091217111431469833576112610162034',NULL,'9998',0.00,4,3,NULL),(15,2225158,'1984-08-09 00:00:00',2,1,5,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241121273431123179341334610122057',13587,'515',46.76,1,3,NULL),(15,2225174,'1989-05-31 00:00:00',4,8,12,2007,'M','N','CZERNIEWICZ','JARAGUA DO SUL','SC','124243243612131431538814575121610137067',20891,'1061',35.11,1,3,NULL),(15,2225182,'1989-10-28 00:00:00',4,5,12,2006,'M','N','CENTRO','VIAMAO','RS','120202201217571411468813376114610164097',18,'9998',84.76,1,3,NULL),(15,2225190,'1990-09-22 00:00:00',4,1,12,2007,'M','N','BOSQUE DA SAUDE','CUIABA','MT','111112111117471431258923575124610167077',16940,'9998',41.95,1,3,NULL),(15,2225204,'1990-10-01 00:00:00',2,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241217111422438669582122610112192',NULL,'262',18.92,1,3,NULL),(15,2225212,'1988-09-24 00:00:00',2,1,11,2006,'F','N','CAMPINAS','SAO JOSE','SC','124243241227472432427521592114610162057',10002,'262',51.93,1,3,NULL),(15,2225220,'1987-10-20 00:00:00',4,1,11,2005,'M','N','UNIVERSITÁRIO','SANTO ANGELO','RS','120201201217131431338922131331141017147',19222,'9998',38.31,1,3,NULL),(15,2225239,'1990-04-23 00:00:00',4,1,11,2007,'F','N','CAMBUÍ','CAMPINAS','SP','125252251215111431486612275112610123114',NULL,'9998',0.00,1,3,NULL),(15,2225247,'1988-09-28 00:00:00',2,1,12,2007,'F','N','AREIAS','SAO JOSE','SC','124242241315131431336313572125610126077',15315,'734',44.38,4,3,NULL),(15,2225255,'1990-09-04 00:00:00',2,8,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116163161215471411236912574112610133192',3953,'9998',63.59,1,3,NULL),(15,2225263,'1991-07-10 00:00:00',4,2,12,2008,'M','S','VILA NOVA','BLUMENAU','SC','124242241212111731458934372122610137043',NULL,'87',35.18,1,3,NULL),(15,2225271,'1990-04-20 00:00:00',4,6,11,2007,'M','N','CENTRO','ITAJAI','SC','124242241215111431566612145112610167047',11939,'1026',49.06,1,3,NULL),(15,2225280,'1990-05-12 00:00:00',4,10,11,2007,'F','N','CENTRO','GRAVATAL','SC','124244241215111731438614574124610164147',7818,'9997',55.65,1,3,NULL),(15,2225298,'1991-11-09 00:00:00',2,1,12,2008,'F','S','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124202241415111431436714572122610132192',NULL,'1014',25.52,1,3,NULL),(15,2225301,'1989-01-31 00:00:00',2,8,12,2006,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124244241215472431459813371124610166051',912,'486',74.00,1,3,NULL),(15,2225310,'1990-05-05 00:00:00',4,1,12,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241115131751323623572324610127187',22227,'17',31.38,1,2,1),(15,2225328,'1981-04-23 00:00:00',2,1,11,1999,'F','N','TRINDADE','FLORIANOPOLIS','SC','124282288216473411459913572124121427092',NULL,'9998',39.16,1,3,NULL),(15,2225336,'1989-11-03 00:00:00',4,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215111431446913472114610167043',14169,'723',45.92,1,3,NULL),(15,2225344,'1990-10-12 00:00:00',4,4,12,2007,'F','N','NAVEGANTES','GETULIO VARGAS','RS','120201201225111441434513345124610113092',17544,'9998',41.03,1,3,NULL),(15,2225352,'1990-03-26 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215471131548811574112610136112',8302,'270',54.84,3,3,NULL),(15,2225360,'1990-02-16 00:00:00',2,7,7,2007,'M','N','SÃO CRISTOVÃO','CONCORDIA','SC','124241241347141331233912395125610167072',20162,'1000',36.51,1,3,NULL),(15,2225379,'1991-08-28 00:00:00',4,1,11,2008,'F','S','JD MARAMBÁ','BAURU','SP','125252251215411431558813571122610166173',NULL,'9998',41.61,1,3,NULL),(15,2225387,'1990-01-17 00:00:00',4,2,11,2007,'M','N','VELHA','BLUMENAU','SC','124242241217111432569824445122610147042',7336,'909',56.54,1,3,NULL),(15,2225409,'1986-04-11 00:00:00',2,1,12,2004,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241145242431325311344124610126057',14066,'307',46.08,1,2,1),(15,2225417,'1990-09-14 00:00:00',4,1,11,2007,'M','N','CACUPE','FLORIANOPOLIS','SC','124242241215111431438929575124610122062',NULL,'270',0.00,4,3,NULL),(15,2225433,'1989-01-05 00:00:00',4,8,12,2006,'F','N','JUVEVÊ','CURITIBA','PR','116162161217371411458911574124610127017',NULL,'9998',0.00,1,3,NULL),(15,2225441,'1988-11-27 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244241225473431434834275124610144071',11178,'270',50.19,1,3,NULL),(15,2225450,'1989-01-15 00:00:00',4,2,12,2006,'F','N','CENTRO','GASPAR','SC','124242161215472431358814572124610144147',4372,'9998',62.54,1,3,NULL),(15,2225468,'1989-10-25 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431365632572122610132112',NULL,'270',0.00,3,3,NULL),(15,2225476,'1987-12-18 00:00:00',2,1,8,2007,'F','N','CAMPINAS','SAO JOSE','SC','124243247417371731268613212114610115197',NULL,'596',17.62,1,3,NULL),(15,2225492,'1990-12-07 00:00:00',2,4,12,2007,'F','N','INTERIOR','CONSTANTINA','RS','120201201137171431323336262324610136147',16118,'9998',43.20,1,3,NULL),(15,2225506,'1990-02-10 00:00:00',2,1,11,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124242241215111431445513575114610142117',15706,'1098',43.80,1,3,NULL),(15,2225514,'1991-05-09 00:00:00',4,1,12,2008,'F','S','SUMARÉ','RIO DO SUL','SC','124242241215111311468914372122610141197',NULL,'991',38.01,1,3,NULL),(15,2225530,'1989-08-12 00:00:00',2,7,12,2007,'F','N','SÃO JOÃO','CAPINZAL','SC','124241241116131431548614371122610133017',NULL,'156',24.02,1,2,1),(15,2225557,'1991-05-24 00:00:00',4,1,12,2008,'F','S','BAIRRO PROGRESSO','RIO DO SUL','SC','124242241215122711456527475122610145157',NULL,'991',61.12,1,3,NULL),(15,2225565,'1990-09-04 00:00:00',2,4,12,2007,'F','N','SÃO LUIZ','SAO MIGUEL DOESTE','SC','124242241215131431356923575122610167147',10019,'751',51.91,1,3,NULL),(15,2225573,'1991-01-19 00:00:00',2,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215111111557633575122610117047',11329,'723',49.95,1,3,NULL),(15,2225581,'1990-01-14 00:00:00',4,1,11,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215111431479932592124610127142',9940,'270',52.02,1,3,NULL),(15,2225603,'1990-07-09 00:00:00',4,1,11,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','116161161216121431567914572114610125147',20489,'9998',35.90,1,3,NULL),(15,2225611,'1989-12-14 00:00:00',2,1,11,2007,'F','N','VILA EMA','SAO JOSE DOS CAMPOS','SP','125252251215111431637732575122610168183',8611,'9998',54.32,1,3,NULL),(15,2225620,'1991-01-03 00:00:00',4,1,12,2007,'M','N','PASSO','MAFRA','SC','124241241215111421464432275112610147052',18018,'541',40.28,1,3,NULL),(15,2225638,'1989-08-17 00:00:00',4,1,12,2007,'F','N','BOA VIAGEM','RECIFE','PE','117172171216111411458834313124610144181',7592,'9998',56.05,4,3,NULL),(15,2225646,'1989-07-25 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241217372441439514375124610164092',6170,'920',58.71,4,3,NULL),(15,2225654,'1990-08-07 00:00:00',4,7,11,2007,'F','N','CENTRO','CONCORDIA','SC','124241241416122411235633375125610143187',5169,'1000',60.77,1,3,NULL),(15,2225670,'1990-01-05 00:00:00',4,4,12,2007,'M','N','LINHA MATÃO','NOVO HORIZONTE','SC','124241241125161421433315582344610168172',NULL,'579',0.00,1,3,NULL),(15,2225700,'1985-10-09 00:00:00',4,1,12,2005,'F','N','CENTRO','SAO JOSE','SC','124254251212132411338849392112610134197',NULL,'9998',22.22,1,3,NULL),(15,2225719,'1989-05-02 00:00:00',2,1,12,2006,'F','N','VILA ALEMANHA','LUZERNA','SC','124242241214472431469914272125610122192',2087,'454',69.00,1,3,NULL),(15,2225735,'1984-08-03 00:00:00',2,1,12,2002,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124243241117274421437614235122120267047',11589,'306',49.57,4,3,NULL),(15,2225743,'1987-02-16 00:00:00',4,1,12,2004,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124052051217152711159939572124221424187',1482,'9998',71.28,1,3,NULL),(15,2225751,'1991-02-26 00:00:00',4,4,11,2007,'M','N','DAL MOLIN','ERECHIM','RS','120202201215111431456633472121610127142',10009,'9998',51.92,1,3,NULL),(15,2225760,'1990-10-12 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217271441379931575125610127127',2710,'270',66.99,1,3,NULL),(15,2225786,'1988-12-23 00:00:00',4,1,12,2006,'M','N','URBANOVA','SAO JOSE DOS CAMPOS','SP','125252251215411431458814575112610122152',4016,'9998',63.41,1,3,NULL),(15,2225794,'1989-11-17 00:00:00',2,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124241241215171331456614475124610114041',19581,'262',37.66,1,3,NULL),(15,2225808,'1989-09-15 00:00:00',4,1,12,2007,'F','N','LUCAS ARAÚJO','PASSO FUNDO','RS','120203201216472431345633574124610157147',5753,'9998',59.56,1,3,NULL),(15,2225824,'1989-01-30 00:00:00',4,1,11,2006,'F','N','CENTRO','CAMPINAS','SP','125252253216372711259911574112610167182',2432,'9998',67.82,1,3,NULL),(15,2225832,'1987-04-06 00:00:00',4,1,12,2003,'F','N','BELA VISTA I','SAO JOSE','SC','124241241137374441227614445114121723192',NULL,'726',0.00,1,3,NULL),(15,2225840,'1990-03-19 00:00:00',4,1,12,2007,'M','N','COLONIA SANTANA','SAO JOSE','SC','124242241215151422436614375114610167042',7668,'1074',55.91,1,3,NULL),(15,2225859,'1987-09-15 00:00:00',2,4,10,2006,'F','N','CENTRO','PALMEIRA DAS MISSOES','RS','120201205116131431323316442344610137147',NULL,'9998',0.00,1,2,1),(15,2225867,'1987-02-06 00:00:00',4,1,12,2004,'M','N','BOA VIAGEM','RECIFE','PE','117172171116371411458834445134241444092',3080,'9998',65.89,4,3,NULL),(15,2225875,'1990-01-14 00:00:00',4,1,12,2007,'M','N','TATUAPE','SAO PAULO','SP','125252251217111431448933475112610167057',8813,'9998',53.99,3,3,NULL),(15,2225883,'1991-10-17 00:00:00',4,2,11,2008,'F','S','JARDIM BLUMENAU','BLUMENAU','SC','124242241217111411368831472122610136182',NULL,'909',58.73,1,3,NULL),(15,2225905,'1987-07-27 00:00:00',2,1,12,2004,'F','N','PIO X','CAXIAS DO SUL','RS','120201204117572431538731311125610114017',NULL,'9998',16.83,1,3,NULL),(15,2225913,'1990-04-23 00:00:00',2,3,12,2007,'M','N','ZONA UM','CIANORTE','PR','116163161216111431238822572111610137182',16435,'9998',42.69,3,3,NULL),(15,2225921,'1990-04-22 00:00:00',4,10,11,2007,'F','N','BANDEIRANTES','CAPIVARI DE BAIXO','SC','124244241217111231446514575114611323182',NULL,'809',23.37,1,3,NULL),(15,2225930,'1978-10-28 00:00:00',4,1,12,1997,'F','N','NS DO ROSÁRIO','SAO JOSE','SC','124251258147131431434573345124610166183',20097,'9998',36.62,1,2,1),(15,2225948,'1990-12-08 00:00:00',4,1,11,2008,'F','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124252248235111431318629491114610113142',NULL,'270',14.29,1,3,NULL),(15,2225956,'1989-12-22 00:00:00',4,3,12,2006,'F','N','NOVA ESPERANÇA','BALNEARIO CAMBORIU','SC','124164241216211431348931375224610144091',8409,'967',54.68,1,3,NULL),(15,2225964,'1988-08-18 00:00:00',4,1,11,2006,'M','N','PIRITUBA','SAO PAULO','SP','125254251217471431568839571114610162057',2330,'9998',68.12,1,3,NULL),(15,2225972,'1989-05-03 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215111331436639295112610143187',NULL,'737',24.43,1,3,NULL),(15,2225980,'1989-01-18 00:00:00',4,1,12,2006,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241211372431278929575122230218142',2264,'270',68.38,1,3,NULL),(15,2225999,'1991-01-19 00:00:00',2,1,11,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124244241217111231658867592124610167052',10611,'272',51.01,1,3,NULL),(15,2226006,'1991-01-05 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215111232378823592114610137185',12397,'272',48.43,1,3,NULL),(15,2226014,'1991-01-02 00:00:00',2,1,12,2007,'F','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124242241215132431538612172122610163017',8533,'258',54.46,1,3,NULL),(15,2226022,'1990-06-06 00:00:00',2,9,12,2007,'M','N','VÁRZEA','LAGES','SC','124241241117131221536533435122610137147',19612,'498',37.59,1,2,1),(15,2226030,'1989-10-20 00:00:00',2,1,11,2007,'M','N','TROPICAL','RIO BRANCO','AC','101012011217471631688812575112610117042',NULL,'9998',0.00,4,3,NULL),(15,2226049,'1989-04-14 00:00:00',2,5,12,2007,'M','N','MORRO DOS CONVENTOS','ARARANGUA','SC','124242241215131432267613545124610127072',NULL,'26',0.00,1,3,NULL),(15,2226057,'1989-09-13 00:00:00',4,1,12,2007,'M','N','ANHUMAS','CAMPINAS','SP','125252251217111431467831575112610167041',10514,'9998',51.17,1,3,NULL),(15,2226065,'1990-05-26 00:00:00',4,1,12,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241125141431434314242124610126115',NULL,'285',21.77,1,3,NULL),(15,2226073,'1990-05-24 00:00:00',4,4,12,2007,'F','N','CIDADE ALTA','CUNHA PORA','SC','124241241116151411538519595122610126073',NULL,'234',26.46,1,3,NULL),(15,2226081,'1988-06-11 00:00:00',4,8,5,2006,'F','N','BOA VISTA','CURITIBA','PR','116162281211371732489814572114143232072',14931,'9998',44.88,1,3,NULL),(15,2226090,'1991-07-18 00:00:00',4,9,12,2007,'F','N','CORAL','LAGES','SC','124242241215111731378419575114610115092',7469,'9997',56.29,1,3,NULL),(15,2226103,'1990-06-25 00:00:00',4,1,12,2007,'M','N','FLORESTA','SAO JOSE','SC','124242241215111431239824572114610122187',4431,'1022',62.42,4,3,NULL),(15,2226111,'1991-10-22 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241214111732468633572122610132117',7998,'9997',55.38,1,3,NULL),(15,2226120,'1991-03-14 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124243241212111711545611572124610127097',NULL,'300',19.33,1,3,NULL),(15,2226138,'1990-04-24 00:00:00',2,1,12,2007,'F','N','CRUZEIRO','CAXIAS DO SUL','RS','120204205417141431436631391114610123092',16976,'9998',41.91,1,3,NULL),(15,2226146,'1990-01-07 00:00:00',2,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124241241136131431326623271324610147047',14539,'257',45.35,1,2,1),(15,2226154,'1990-08-08 00:00:00',4,3,12,2007,'F','N','ANDORINHA','ITAPEMA','SC','124241241117151311336414575122610121077',17930,'405',40.43,1,2,1),(15,2226162,'1990-08-02 00:00:00',2,5,10,2007,'F','N','CENTRO','CRICIUMA','SC','124243241415111441379811572122610133142',10591,'213',51.04,1,3,NULL),(15,2226170,'1991-04-29 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241217111431265923475114610164012',476,'272',76.99,1,3,NULL),(15,2226189,'1988-11-12 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241135131431423329342124610125147',20941,'289',34.98,4,2,1),(15,2226197,'1989-06-09 00:00:00',4,1,12,2006,'M','N','SANTA HELENA','LAGES','SC','124243241236112411464632345121230214143',3216,'497',65.49,1,3,NULL),(15,2226200,'1985-10-10 00:00:00',2,1,12,2004,'F','N','JARDIM SOCIAL','CURITIBA','PR','116161161141133411226624381224610121092',17583,'9998',40.96,1,2,1),(15,2226219,'1991-07-06 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241115151411456623476122610121147',9420,'272',52.91,1,3,NULL),(15,2226227,'1990-09-12 00:00:00',2,4,12,2007,'F','N','COLATTO','XANXERE','SC','124242241215131431358613575122610132142',22288,'1046',31.09,1,3,NULL),(15,2226235,'1992-07-14 00:00:00',4,1,12,2008,'M','S','AGRONOMICA','FLORIANOPOLIS','SC','124244241215111431459933575124610148092',NULL,'1022',84.36,1,3,NULL),(15,2226243,'1990-03-18 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431564631274124610148095',7644,'1022',55.95,1,3,NULL),(15,2226260,'1971-09-23 00:00:00',2,3,12,2003,'M','N','CENTRO','CAMBORIU','SC','124221221126142411634344441124610135145',NULL,'9998',23.63,4,2,1),(15,2226278,'1986-09-26 00:00:00',2,1,12,2005,'M','N','PARQUE BITARÚ','SAO VICENTE','SP','125252251211571731556513581124610117036',17756,'9998',40.73,4,3,NULL),(15,2226286,'1991-02-16 00:00:00',2,2,12,2007,'M','N','CENTRO','PRESIDENTE GETULIO','SC','124244241415121431469933575114610114182',11515,'991',49.69,1,3,NULL),(15,2226294,'1990-11-07 00:00:00',4,2,12,2008,'M','S','VELHA','BLUMENAU','SC','124242241212151441246823275124610164112',NULL,'71',58.96,1,3,NULL),(15,2226308,'1990-09-10 00:00:00',4,1,12,2007,'M','N','JARDIM INDEPENDÊNCIA','TOLEDO','PR','116162161216121431459613274112610157012',2983,'9998',66.21,1,3,NULL),(15,2226316,'1989-08-12 00:00:00',2,9,12,2006,'M','N','SAGRADA FAMÍLIA','CAXIAS DO SUL','RS','120202201217271431563932395112141427042',9036,'9998',53.59,1,3,NULL),(15,2226324,'1989-09-27 00:00:00',4,8,12,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241212111431586831574122610162092',7858,'491',55.60,1,3,NULL),(15,2226340,'1988-10-13 00:00:00',4,1,12,2007,'M','N','CIDADE NOVA','INDAIATUBA','SP','125251258126131731536724143311610164187',NULL,'9998',22.42,4,3,NULL),(15,2226359,'1988-11-22 00:00:00',5,1,12,2006,'M','N','CENTRO','RODEIO','SC','124243241127271431433624245124610137052',NULL,'677',0.00,1,3,NULL),(15,2226367,'1989-08-16 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241212121431338613575122610127053',20948,'1036',34.97,1,3,NULL),(15,2226383,'1983-07-28 00:00:00',4,1,12,2002,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','624241241126131731223344242114610166097',17118,'512',41.69,1,2,1),(15,2226391,'1990-04-25 00:00:00',4,2,11,2007,'M','N','DAS NAÇÕES','INDAIAL','SC','124241241216161731448612575121610168192',NULL,'986',28.19,1,3,NULL),(15,2226413,'1988-12-13 00:00:00',4,10,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','224242241215142431366912495124231064112',NULL,'797',0.00,1,3,NULL),(15,2226421,'1989-09-13 00:00:00',4,1,12,2007,'M','N','PARQUE PINHEIROS','BIRIGUI','SP','125251251216111431456531575121610167142',21302,'9998',34.19,1,3,NULL),(15,2226430,'1986-11-07 00:00:00',2,1,12,2004,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124201201137272421636726146124610163057',16349,'9998',42.83,4,3,NULL),(15,2226448,'1990-03-19 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431568654575114610164066',10443,'1022',51.28,1,3,NULL),(15,2226456,'1989-09-14 00:00:00',2,1,12,2007,'F','N','NOSSA SRA DO ROSÁRIO','SAO JOSE','SC','124241241217131531546518575122610114157',NULL,'1036',23.06,1,3,NULL),(15,2226464,'1989-12-25 00:00:00',4,4,12,2007,'M','N','JARDIM AMÉRICA','CHAPECO','SC','124242241216471731478932572124610167072',5775,'185',59.52,1,3,NULL),(15,2226472,'1991-07-12 00:00:00',4,4,12,2007,'M','N','CENTRO','XAXIM','SC','124242241217151431468811572122610147052',19877,'994',37.06,1,3,NULL),(15,2226480,'1989-09-14 00:00:00',4,2,12,2007,'F','N','PONTA AGUDA','BLUMENAU','SC','124252241217111431468832572122610124042',14863,'909',44.94,1,3,NULL),(15,2226499,'1990-06-24 00:00:00',4,1,11,2007,'M','N','CENTRO','ITUIUTABA','MG','113132251215121431479911571122610132012',7868,'9998',55.58,1,3,NULL),(15,2226502,'1985-09-24 00:00:00',4,2,12,2003,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124242241215513431478831574122610162182',22064,'86',32.05,1,3,NULL),(15,2226510,'1989-02-02 00:00:00',4,8,12,2006,'M','N','IRIRIU','JOINVILLE','SC','124242241217272431458934492124231047017',3055,'461',65.96,1,3,NULL),(15,2226529,'1989-11-02 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241217111431468811572112610134147',16574,'441',42.48,1,3,NULL),(15,2226537,'1983-08-06 00:00:00',2,1,7,2002,'M','N','BOTAFOGO','BENTO GONCALVES','RS','120201207336134431425644245334610127097',NULL,'9998',41.38,1,3,NULL),(15,2226545,'1988-02-25 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124162247411111411446812561114610162072',NULL,'9999',22.56,1,3,NULL),(15,2226553,'1990-06-08 00:00:00',4,1,11,2007,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124032031217321431578632575112610117085',NULL,'9998',0.00,1,3,NULL),(15,2226561,'1986-05-08 00:00:00',4,1,12,2005,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','224241241126471411224444441124610117013',20459,'285',35.95,1,2,1),(15,2226570,'1989-12-07 00:00:00',4,8,12,2007,'M','N','JARDIM ELITE','PIRACICABA','SP','125252251216111431469812475122610127122',6905,'9998',57.33,1,3,NULL),(15,2226588,'1991-01-10 00:00:00',4,2,12,2008,'M','S','VELHA','BLUMENAU','SC','124242241217111432467723475124610146012',NULL,'87',51.49,1,3,NULL),(15,2226600,'1987-10-25 01:00:00',4,1,12,2004,'M','N','CENTRO','NAVEGANTES','SC','124243241217151431447932295112133242012',16999,'937',41.88,4,3,NULL),(15,2226618,'1990-08-13 00:00:00',4,2,12,2007,'M','N','GARCIA','BLUMENAU','SC','124242241217121431348832225124610142052',12134,'87',48.81,1,3,NULL),(15,2226626,'1989-05-15 00:00:00',4,10,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241216152311448732575124221467067',2023,'797',69.19,1,3,NULL),(15,2226634,'1990-05-15 00:00:00',4,1,11,2007,'M','N','FLORIDA','GUAIBA','RS','120202201217221431228638575114610127057',NULL,'9998',0.00,1,3,NULL),(15,2226642,'1987-08-04 00:00:00',2,1,4,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124243241216212321348613342122610114112',19911,'9999',36.99,1,3,NULL),(15,2226650,'1989-07-03 00:00:00',4,8,12,2006,'F','N','JARAGUÁ ESQUERDO','JARAGUA DO SUL','SC','124241241216271731666712342124610135057',13888,'1061',46.33,1,3,NULL),(15,2226669,'1990-11-18 00:00:00',4,1,11,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241215111431448814575124610137112',18702,'270',39.16,4,3,NULL),(15,2226677,'1991-01-02 00:00:00',2,2,12,2007,'M','N','VELHA','BLUMENAU','SC','124243247215121431666812575124610127012',15150,'87',44.60,4,3,NULL),(15,2226685,'1986-02-09 00:00:00',2,10,12,2003,'F','N','DEHON','TUBARAO','SC','124254251217571451435719585124243244177',1760,'9998',70.17,1,3,NULL),(15,2226693,'1987-10-26 00:00:00',4,1,7,2005,'M','N','PANTANAL','FLORIANOPOLIS','SC','124074071217272532366821575124142162047',38,'9998',83.44,4,3,NULL),(15,2226707,'1989-09-22 00:00:00',4,1,11,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124244241215111411456529595114610161143',16729,'1011',42.28,1,3,NULL),(15,2226715,'1990-03-22 00:00:00',4,10,12,2007,'M','N','OFICINAS','TUBARAO','SC','124241241216151431434412495113610124113',20277,'806',36.27,1,3,NULL),(15,2226723,'1987-09-18 00:00:00',2,5,11,2005,'M','N','SÃO CRISTOVÃO','CRICIUMA','SC','124242248215472431436619292122610127182',12917,'226',47.70,1,3,NULL),(15,2226731,'1989-01-29 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241115372711356813575124610164197',8925,'257',53.79,1,2,1),(15,2226740,'1988-07-13 00:00:00',4,1,12,2007,'M','N','UVARANAS','PONTA GROSSA','PR','116244161215371431436721411111610126097',10732,'9998',50.83,1,3,NULL),(15,2226758,'1990-09-03 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241115151431556413575122610124141',NULL,'281',16.58,1,3,NULL),(15,2226782,'1990-07-02 00:00:00',2,1,12,2007,'M','N','CAMINHO NOVO','PALHOCA','SC','124242241117151431536633572122610168071',16073,'592',43.26,1,3,NULL),(15,2226790,'1962-12-30 00:00:00',2,1,12,1980,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','224204208117272441634446466114141666097',11790,'9998',49.27,1,3,NULL),(15,2226804,'1989-03-02 00:00:00',2,8,12,2006,'F','N','VILA LILI','DOURADOS','MS','112122121215411731446515274122610136147',NULL,'9998',0.00,3,3,NULL),(15,2226812,'1991-05-27 00:00:00',4,1,11,2008,'M','S','SANTANA','RIO DO SUL','SC','124242241212111431568632572122610148012',NULL,'9997',45.69,1,3,NULL),(15,2226820,'1988-10-31 00:00:00',2,1,11,2005,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124244241215372431434619372124610143187',11788,'1048',49.28,1,3,NULL),(15,2226847,'1991-11-25 00:00:00',5,1,12,2008,'M','S','ITACORUBI','FLORIANOPOLIS','SC','124241241116171711547923575124610124142',NULL,'298',44.19,1,3,NULL),(15,2226855,'1989-06-18 00:00:00',4,1,12,2006,'M','N','JD AGARUSSI','ITU','SP','125252251217471131568614245114610167042',8479,'9998',54.55,4,3,NULL),(15,2226863,'1984-09-12 00:00:00',2,1,11,2003,'M','N','AGUA VERDE','CURITIBA','PR','124161161117134431136731486324222955132',10960,'9998',50.52,1,2,1),(15,2226871,'1985-04-19 00:00:00',4,1,12,2002,'M','N','VERENA','SANTA CRUZ DO SUL','RS','120201201116151411456834575122142062142',NULL,'9998',0.00,1,3,NULL),(15,2226880,'1989-01-17 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241117372431435518345124610124195',3256,'267',65.38,1,2,1),(15,2226898,'1986-03-22 00:00:00',4,1,12,2003,'F','N','KOBRASOL','SAO JOSE','SC','124202201112171711138913592124231215072',18734,'9998',39.10,1,3,NULL),(15,2226936,'1989-07-14 00:00:00',4,10,12,2006,'F','N','CENTRO','TUBARAO','SC','124242241215471431469811572112610161142',5799,'807',59.47,1,3,NULL),(15,2226944,'1990-02-20 00:00:00',4,4,12,2007,'M','N','SANTA MARIA','CHAPECO','SC','124243241315371732476432575122610168112',NULL,'1046',31.88,1,3,NULL),(15,2226952,'1990-08-23 00:00:00',4,10,11,2007,'M','N','CENTRO','IMBITUBA','SC','124241241116131231415724295125610164047',NULL,'359',24.72,1,2,1),(15,2226960,'1989-08-31 00:00:00',4,8,12,2006,'M','N','ITAUM','JOINVILLE','SC','124241248235312221546611345134610132027',4143,'494',63.07,4,3,NULL),(15,2226979,'1988-06-18 00:00:00',4,1,12,2005,'F','N','VILA MARIANA','SAO PAULO','SP','125252251214471411538812285124610124097',NULL,'9998',12.60,1,3,NULL),(15,2226987,'1990-12-13 00:00:00',4,2,12,2007,'M','N','PROGRESSO','BLUMENAU','SC','124242241216111431456813572122610164057',5267,'71',60.58,1,3,NULL),(15,2227002,'1987-12-18 00:00:00',4,1,12,2005,'M','N','SOCORRO','PINDAMONHANGABA','SP','125252251216471331466611395112610117117',NULL,'9998',0.00,1,3,NULL),(15,2227010,'1988-08-05 00:00:00',2,1,12,2005,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241115471731543312342124610128147',19315,'772',38.13,1,2,1),(15,2227037,'1990-04-23 00:00:00',5,3,12,2007,'M','N','BATEL','CURITIBA','PR','116164161216121411578831515125610162182',NULL,'9998',0.00,1,3,NULL),(15,2227045,'1988-10-26 00:00:00',2,1,12,2006,'M','N','CRISTO REI','SAO LEOPOLDO','RS','120202206117131411438824475124610164092',11987,'9998',49.00,1,3,NULL),(15,2227053,'1988-04-20 00:00:00',2,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242241215373431368812592114133123152',1636,'270',70.65,1,3,NULL),(15,2227061,'1986-05-02 00:00:00',2,1,12,2004,'F','N','PRADO','BIGUACU','SC','123241241116273431428524285124122266142',15356,'65',44.32,1,3,NULL),(15,2227088,'1991-05-27 00:00:00',2,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241316131441667613395124610126162',18990,'300',38.68,4,3,NULL),(15,2227096,'1977-11-23 00:00:00',2,6,12,1996,'M','N','VILA REAL','BALNEARIO CAMBORIU','SC','624201204126151411234944245333131324097',19028,'9998',38.63,1,2,1),(15,2227100,'1989-12-28 00:00:00',4,1,11,2007,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215471431558911572114610124147',9772,'270',52.31,1,3,NULL),(15,2227118,'1986-03-26 00:00:00',4,8,12,2002,'F','N','ATIRADORES','JOINVILLE','SC','124203241216575421369718592115610164097',15321,'487',44.37,1,3,NULL),(15,2227134,'1985-01-29 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124241247125271411459411382124610124111',22401,'736',30.37,1,3,NULL),(15,2227142,'1990-05-31 00:00:00',4,4,12,2007,'M','N','CENTRO','UNIAO DO OESTE','SC','124241241125161431333939295122610137147',22393,'816',30.43,1,3,NULL),(15,2227150,'1990-01-14 00:00:00',4,8,10,2007,'F','N','GLÓRIA','JOINVILLE','SC','124242241215111421479814572122610144142',19420,'491',37.97,1,3,NULL),(15,2227193,'1987-12-19 00:00:00',2,1,12,2005,'M','N','SILVA','SAPUCAIA DO SUL','RS','120201202136471421458819491122610118092',15488,'9998',44.15,1,2,1),(15,2227207,'1983-05-30 00:00:00',4,1,12,2003,'M','N','CENTRO','PALHOCA','SC','124243241345372711448613345124610151027',16695,'939',42.33,1,3,NULL),(15,2227215,'1987-01-02 00:00:00',4,1,12,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241117374431449811244114610124041',9432,'307',52.90,1,3,NULL),(15,2227223,'1990-08-09 00:00:00',4,1,12,2008,'F','S','PAQUE SÃO PAULO','CASCAVEL','PR','116162161217111532348711396122610168077',NULL,'9998',47.54,1,3,NULL),(15,2227231,'1981-10-06 00:00:00',2,1,12,2001,'M','N','BARREIROS','SAO JOSE','SC','124241247112472411333343134122610122087',12648,'9999',48.07,1,2,1),(15,2227240,'1989-06-24 00:00:00',4,1,11,2007,'F','N','COSTA DE DENTRO','FLORIANOPOLIS','SC','124243241116151431443614472124610111012',20625,'281',35.63,1,3,NULL),(15,2227258,'1989-02-11 00:00:00',4,1,12,2006,'F','N','NOVA GARDÊNIA','ATIBAIA','SP','125252251215371411457511412122610134117',NULL,'9998',0.00,1,3,NULL),(15,2227274,'1987-07-12 00:00:00',2,1,12,2004,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241217144711523631345124610128157',21736,'272',33.17,1,3,NULL),(15,2227282,'1990-06-17 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241115111731443331345124610127142',NULL,'288',22.13,4,3,NULL),(15,2227290,'1981-01-20 00:00:00',4,4,12,2002,'M','N','CENTRO','CONCORDIA','SC','124211211126132411127344141335132824057',17711,'9998',40.79,1,3,NULL),(15,2227304,'1971-12-16 00:00:00',2,1,12,2005,'M','N','BOM VIVER','BIGUACU','SC','124241248122311121432249291123610122047',NULL,'9997',21.38,1,3,NULL),(15,2227320,'1989-06-03 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241132141431643311212123610127187',20005,'288',36.82,1,2,1),(15,2227347,'1989-04-20 00:00:00',2,8,11,2007,'M','N','NEREIDAS','GUARATUBA','PR','116161161335111431523369572124610132027',12815,'486',47.84,1,3,NULL),(15,2227355,'1989-08-27 00:00:00',2,1,12,2006,'M','N','LA SALLE','XANXERE','SC','124242241414132431448933182114221767057',8822,'836',53.98,1,3,NULL),(15,2227363,'1989-02-10 00:00:00',4,1,12,2006,'M','N','JARDIM SIMUS','SOROCABA','SP','125252251215471431548811211112610164047',NULL,'9998',NULL,1,3,NULL),(15,2227371,'1989-03-13 00:00:00',4,1,11,2006,'M','N','BARREIROS','SAO JOSE','SC','124242248242372431437613395112610168017',22365,'259',30.58,1,3,NULL),(15,2227380,'1989-12-15 00:00:00',4,9,12,2007,'M','N','UNIVERSITÁRIO','LAGES','SC','124241241137131451324469185125610135177',18385,'935',39.67,3,2,1),(15,2227398,'1988-08-22 00:00:00',2,1,12,2005,'M','N','FORQUILHINHAS','SAO JOSE','SC','124244241215153431436611582112610137047',5407,'724',60.26,1,3,NULL),(15,2227410,'1990-06-20 00:00:00',4,5,12,2007,'M','N','JARDIM KENNEDY','RIO CLARO','SP','125254251217471231365614312112610127044',12849,'9998',47.79,1,3,NULL),(15,2227428,'1990-01-06 00:00:00',2,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241447151431455511275112610137042',16447,'736',42.67,1,3,NULL),(15,2227436,'1984-10-05 00:00:00',4,1,12,2003,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124202201117472411143344445122233267062',6097,'9998',58.88,1,3,NULL),(15,2227444,'1960-12-10 00:00:00',2,8,11,1979,'M','N','FLORESTA','JOINVILLE','SC','224243243327231431623352112122333251182',NULL,'9997',10.00,1,3,NULL),(15,2227452,'1990-05-03 00:00:00',4,1,12,2007,'F','N','SERTÃO DO MARUÍM','SAO JOSE','SC','124242241211111411426814342124610133047',NULL,'944',16.32,1,3,NULL),(15,2227460,'1983-03-19 00:00:00',4,1,12,2000,'M','N','PARTENON','PORTO ALEGRE','RS','120204206127241441457744145124141434052',10259,'9998',51.55,1,3,NULL),(15,2227479,'1987-08-03 00:00:00',4,1,12,2004,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241314133411337612345114133264142',NULL,'882',0.00,1,3,NULL),(15,2227487,'1987-07-14 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124282041312473432589913572114141467061',6606,'9998',57.89,4,3,NULL),(15,2227495,'1990-08-11 00:00:00',4,1,12,2007,'M','N','PARAISO','JALES','SP','125252251215111731438834575122610127057',3170,'9998',65.64,3,3,NULL),(15,2227509,'1990-02-19 00:00:00',4,1,12,2007,'M','N','INTERLAGOS','TRES LAGOAS','MS','112122121215111731438834575122610126047',13457,'9998',46.93,1,3,NULL),(15,2227517,'1990-06-08 00:00:00',4,8,12,2007,'M','N','CENTRO','PONTALINDA','SP','125251251115111731338834571122610126047',21287,'9998',34.24,1,2,1),(15,2227533,'1983-05-04 00:00:00',4,1,12,2001,'M','N','IPIRANGA','SAO JOSE','SC','124241241137151411335544245132230764072',17186,'512',41.59,1,3,NULL),(15,2227541,'1983-11-01 00:00:00',2,1,12,2001,'M','N','PASSA VINTE','PALHOCA','SC','124243241216373431436669435122231222142',8960,'589',53.73,1,3,NULL),(15,2227550,'1988-03-19 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215574431366619271125610167142',4361,'270',62.56,1,3,NULL),(15,2227576,'1973-03-31 00:00:00',2,1,12,1990,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','224241244111272421348844441113321526047',8067,'498',55.24,1,3,NULL),(15,2227584,'1991-02-20 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124281241115151431228824342314610134141',14334,'288',45.68,1,2,1),(15,2227622,'1989-02-06 00:00:00',2,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241216271431436633392122610127017',16518,'270',42.56,1,3,NULL),(15,2227630,'1985-10-29 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','224241241126373731234454145124220524147',21452,'298',33.84,1,3,NULL),(15,2227649,'1986-01-31 00:00:00',2,1,12,2003,'M','N','PONTE DO IMARUIM','PALHOCA','SC','224241241116132431223349192224222227147',8668,'592',54.22,1,2,1),(15,2227657,'1976-01-13 00:00:00',2,1,12,1993,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124281288417131431216869482324543236097',NULL,'9998',22.18,4,3,NULL),(15,2227665,'1987-03-30 00:00:00',4,1,11,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124244246217343431426514345122233237117',6876,'995',57.39,1,3,NULL),(15,2227673,'1990-02-13 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241412221411336923295124610127053',21206,'1118',34.41,4,1,2),(15,2227703,'1984-11-23 00:00:00',4,1,11,2002,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241211144721466413495124223267057',9348,'269',53.05,1,3,NULL),(15,2227711,'1985-04-01 00:00:00',2,1,12,2002,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244241215575431649923291124233222077',764,'32',74.90,1,3,NULL),(15,2227720,'1988-08-14 00:00:00',2,1,12,2005,'F','N','SERTÃO DO MARUIM','SAO JOSE','SC','124241241116132131426614572214610124147',15853,'257',43.60,1,2,1),(15,2227738,'1988-07-29 00:00:00',4,8,12,2005,'M','N','BOSQUE DO EUCALIPTOS','SAO JOSE DOS CAMPOS','SP','125253251216471431579833575121610137097',8587,'9998',54.39,1,3,NULL),(15,2227746,'1988-04-01 00:00:00',2,1,12,2005,'F','N','AREIAS','SAO JOSE','SC','124242241217473431544511574114610124182',5995,'1022',59.09,1,3,NULL),(15,2227754,'1989-06-02 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124201201215112431248611575124231067142',16537,'9998',42.53,1,3,NULL),(15,2227762,'1989-08-18 00:00:00',4,4,12,2006,'F','N','SÃO PEDRO','PORTO UNIAO','SC','124241241116372441534534575122610124142',9009,'635',53.62,1,2,1),(15,2227770,'1991-12-22 00:00:00',4,1,11,2008,'F','S','JARDIM ELDORADO','PALHOCA','SC','124242241215111431536613572124610127045',NULL,'989',46.59,1,3,NULL),(15,2227789,'1988-02-10 00:00:00',2,10,12,2004,'M','N','CENTRO','TUBARAO','SC','124244241416273431548732145112131427042',4086,'797',63.22,1,3,NULL),(15,2227797,'1990-01-04 00:00:00',4,4,12,2007,'F','N','MORADA DAS FLORES','HOLAMBRA','SP','125252251215171431458813571111610132091',NULL,'9998',0.00,1,3,NULL),(15,2227819,'1988-12-22 00:00:00',4,1,12,2006,'F','N','SAO FRANCISCO','CAMPO GRANDE','MS','112122121216471731348831575122610168192',NULL,'9998',0.00,1,3,NULL),(15,2227827,'1989-06-22 00:00:00',3,8,12,2006,'F','N','GLORIA','JOINVILLE','SC','124242241235372731256823575111610124112',10401,'486',51.35,1,3,NULL),(15,2227835,'1990-05-22 00:00:00',4,1,11,2007,'M','N','CENTRO','CURITIBA','PR','116162161217471431469731572224610164042',2080,'9998',69.02,1,3,NULL),(15,2227843,'1990-01-09 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215111411435721575124610164142',16047,'226',43.30,1,3,NULL),(15,2227851,'1988-05-22 00:00:00',4,1,12,2006,'M','N','JD HOLANDA','HOLAMBRA','SP','125252251215372431468816571234610162013',21854,'9998',32.78,2,3,NULL),(15,2227860,'1989-01-21 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241316473431459933595124233227052',11798,'1022',49.27,1,3,NULL),(15,2227878,'1990-12-15 00:00:00',2,1,12,2007,'M','N','BOA PARADA','SAO PEDRO DE ALCANTARA','SC','124241241126271431338521182124610167047',20031,'869',36.76,1,2,1),(15,2227886,'1988-02-08 00:00:00',4,8,12,2005,'F','N','FLORESTA','JOINVILLE','SC','124242241236572411338723592124610112117',29,'494',83.94,1,3,NULL),(15,2227894,'1989-10-07 00:00:00',4,1,11,2006,'M','N','CACUPÉ','FLORIANOPOLIS','SC','124242241114272741459931385124610132102',2690,'306',67.05,1,3,NULL),(15,2227908,'1984-12-26 00:00:00',4,1,12,2001,'M','N','COLONINHA','FLORIANOPOLIS','SC','124161161137131421333327341223340617042',16834,'9998',42.11,1,3,NULL),(15,2227924,'1986-06-07 00:00:00',2,3,11,2003,'M','N','CENTRO','PASSO FUNDO','RS','124202201412471431238821572214232462057',9742,'9998',52.36,1,3,NULL),(15,2227932,'1990-03-11 00:00:00',4,8,12,2007,'M','N','FLORESTA','JOINVILLE','SC','124242246217111431469811575124610132072',8404,'1105',54.69,1,3,NULL),(15,2227940,'1990-11-23 00:00:00',4,8,12,2007,'F','N','JARDIM AMERICA','ASSIS CHATEAUBRIAND','PR','116162168215121431546832572114610164052',19531,'9998',37.76,4,3,NULL),(15,2227959,'1989-07-25 00:00:00',4,1,11,2006,'M','N','JARDIM EUROPA','BRAGANCA PAULISTA','SP','125252251215311441449811575112610122092',NULL,'9998',0.00,1,3,NULL),(15,2227967,'1989-12-19 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244241216111431458313575124610151187',19827,'724',37.17,1,3,NULL),(15,2227975,'1990-03-26 00:00:00',2,5,11,2007,'F','N','ESTAÇAO COCAL','MORRO DA FUMACA','SC','124241241215131431333414242124610136072',NULL,'820',40.98,1,3,NULL),(15,2227983,'1986-11-17 00:00:00',2,7,12,2004,'F','N','CENTRO','CAPINZAL','SC','124243241412374431443629572124233238187',9639,'270',52.52,1,3,NULL),(15,2227991,'1985-10-06 00:00:00',2,1,3,2003,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241126372431636659395124610127047',19006,'734',38.66,4,2,1),(15,2228009,'1981-06-19 00:00:00',4,1,12,2000,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241125375421433313432114610164182',20491,'281',35.89,1,2,1),(15,2228017,'1987-09-10 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211474431549813495122230267017',4046,'270',63.35,1,3,NULL),(15,2228025,'1990-06-26 00:00:00',2,1,11,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124254241315371431538824575124610127042',7167,'267',56.85,1,3,NULL),(15,2228033,'1988-01-31 00:00:00',4,4,12,2005,'M','N','CENTRO','CHAPECO','SC','124241241116373441329612375125610167042',NULL,'169',43.34,1,2,1),(15,2228041,'1989-09-17 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215152431468933575124233222183',2160,'32',68.72,4,3,NULL),(15,2228050,'1944-05-21 00:00:00',4,1,12,1980,'M','N','QUEIMADA GRANDE','RANCHO QUEIMADO','SC','124241241131152431116641211224121466042',16507,'9999',42.57,1,3,NULL),(15,2228068,'1985-01-08 00:00:00',4,1,8,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124243248147272751248829395125610164187',12726,'306',47.95,1,3,NULL),(15,2228084,'1987-05-27 00:00:00',4,3,12,2006,'M','N','BELA VISTA','IPATINGA','MG','113132131217111431455934575122241424092',NULL,'9998',0.00,1,3,NULL),(15,2228092,'1980-11-21 00:00:00',2,1,12,1997,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124203206136272431136643335122140727047',12181,'9998',48.75,1,3,NULL),(15,2228106,'1984-01-05 00:00:00',2,4,12,2002,'F','N','CENTRO','SANTO CRISTO','RS','120202201136571111326432445122140218032',NULL,'9998',0.00,4,3,NULL),(15,2228114,'1990-06-02 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124244241215371432536622575112610165182',21671,'1118',33.33,1,3,NULL),(15,2228122,'1988-06-27 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215373421448719592112610127147',4942,'272',61.20,1,3,NULL),(15,2228130,'1989-01-11 00:00:00',4,1,11,2007,'M','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241124141431323611342322610124153',22422,'941',30.08,1,2,1),(15,2228157,'1958-10-07 00:00:00',2,1,12,1977,'F','N','N SENHORA DO ROSÁRIO','SAO JOSE','SC','524241243122133432323343132224322258177',19212,'722',38.32,1,3,NULL),(15,2228165,'1981-05-06 00:00:00',2,1,12,1999,'M','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124253161417132411138844142124143267092',10994,'9998',50.49,1,3,NULL),(15,2228173,'1990-02-18 00:00:00',2,3,12,2007,'F','N','PIONEIROS','BALNEARIO CAMBORIU','SC','124241241121111431646824571124610127012',NULL,'873',18.66,1,3,NULL),(15,2228181,'1990-10-12 00:00:00',2,10,11,2007,'M','N','CENTRO','BRACO DO NORTE','SC','124241248215111441434439232231610167052',NULL,'102',22.72,4,3,NULL),(15,2228203,'1983-08-17 00:00:00',4,1,8,2001,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124072077216572752246723496124231964027',11433,'9999',49.80,4,3,NULL),(15,2228211,'1990-03-23 00:00:00',2,2,11,2006,'F','N','VICTOR KONDER','BLUMENAU','SC','124172241215372431488814475114610163142',12925,'855',47.68,1,3,NULL),(15,2228220,'1990-12-18 00:00:00',4,1,12,2007,'F','N','MARIQUITA','SAO JOSE','SC','124241248125131432323319175124610134142',20547,'869',35.80,1,2,1),(15,2228246,'1988-05-13 00:00:00',2,1,11,2005,'M','N','DANIELA','FLORIANOPOLIS','SC','124251251136271421645414285124610164052',NULL,'9998',43.00,1,2,1),(15,2228254,'1991-04-18 00:00:00',4,7,12,2008,'M','S','ZONA RURAL','JOACABA','SC','124243241117131431436719575124610124077',NULL,'539',48.82,1,3,NULL),(15,2228262,'1966-06-08 00:00:00',4,1,12,1984,'F','N','ESTREITO','FLORIANOPOLIS','SC','224162164216151441564351472112342254093',11844,'9998',49.18,1,3,NULL),(15,2228270,'1990-10-19 00:00:00',4,1,12,2008,'F','S','ABRAÃO','FLORIANOPOLIS','SC','124243241217111431466823575124610161147',NULL,'1022',47.32,1,3,NULL),(15,2228289,'1987-06-03 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217475431488623595124121432042',685,'270',75.50,1,3,NULL),(15,2228297,'1990-09-17 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242248217111731667411572124610117183',11091,'723',50.31,1,3,NULL),(15,2228319,'1981-12-24 00:00:00',2,2,11,2002,'M','N','ESTRADA GERAL','JOSE BOITEUX','SC','224241245114231731634455452324130114042',NULL,'960',18.32,5,4,NULL),(15,2228327,'1987-11-08 00:00:00',2,1,12,2005,'M','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124241241126372221236933182323610124042',14845,'679',44.96,1,3,NULL),(15,2228335,'1987-07-05 00:00:00',4,1,12,2006,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124243241316131521424421415124610122091',NULL,'9999',29.15,1,3,NULL),(15,2228343,'1986-04-15 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241115375431366823481124231034052',5095,'267',60.92,1,2,1),(15,2228360,'1984-08-11 00:00:00',4,1,12,2001,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241215473431437667445113121267117',3401,'266',65.00,1,3,NULL),(15,2228378,'1983-10-14 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124214071216371431139911442124231062042',11579,'9998',49.59,1,3,NULL),(15,2228386,'1989-09-28 00:00:00',2,10,11,2007,'F','N','VILA FLÔR','CAPIVARI DE BAIXO','SC','124242241215111731447813575122610165077',NULL,'807',0.00,1,3,NULL),(15,2228394,'1989-09-14 00:00:00',4,1,12,2007,'F','N','JD N HORIZONTE','MONTE SIAO','MG','113132131215211431548813573121610162071',NULL,'9998',0.00,1,3,NULL),(15,2228408,'1991-06-07 00:00:00',4,9,11,2008,'F','S','CENTRO','CORREIA PINTO','SC','124242241215111431346632571122610146147',NULL,'499',57.41,1,3,NULL),(15,2228416,'1990-05-03 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241216111421439911592112610167047',19463,'272',37.89,1,3,NULL),(15,2228424,'1988-07-24 00:00:00',4,1,2,2006,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241317131431568613211224610167187',16465,'9998',42.64,1,3,NULL),(15,2228432,'1990-07-02 00:00:00',4,8,12,2007,'F','N','SANTO ANTONIO','JOINVILLE','SC','124244241215111411333313275121610111142',18583,'456',39.35,1,3,NULL),(15,2228440,'1988-12-19 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241317131431325633172124610154042',NULL,'9999',20.82,1,3,NULL),(15,2228459,'1990-08-12 00:00:00',4,1,12,2007,'F','N','PAES LEME','IMBITUBA','SC','124241241112131421563719192222610134057',NULL,'359',21.71,1,3,NULL),(15,2228467,'1989-06-26 00:00:00',4,4,12,2006,'M','N','CENTRO','FAXINAL DOS GUEDES','SC','124244241426251741438932175125610124192',20664,'254',35.56,1,3,NULL),(15,2228475,'1989-12-29 00:00:00',4,1,12,2006,'F','N','SERTAO DO MARUIM','SAO JOSE','SC','124241241112372431543413346244610127077',19440,'733',37.93,1,3,NULL),(15,2228483,'1987-11-29 00:00:00',4,1,12,2005,'F','N','JD GUARANI','CAMPINAS','SP','125252251211111431558834573122610164174',NULL,'9998',0.00,1,3,NULL),(15,2228505,'1982-04-23 00:00:00',2,1,6,1999,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','624201201124131421224344442334610124127',NULL,'9998',25.14,1,3,NULL),(15,2228513,'1989-10-06 00:00:00',4,7,11,2007,'M','N','REBOUÇAS','CURITIBA','PR','116143161217111751325834572115610168187',5352,'9998',60.39,4,3,NULL),(15,2228521,'1989-06-16 00:00:00',4,1,12,2007,'F','N','JD RECREIO','FRANCA','SP','125252251215111431558733572124610122094',7219,'9998',56.75,1,3,NULL),(15,2228530,'1985-01-01 00:00:00',2,1,10,2001,'M','N','AREIAS','SAO JOSE','SC','124241241122153431334319392124222364142',3851,'730',63.87,1,2,1),(15,2228548,'1988-06-28 00:00:00',4,1,9,2006,'M','N','CAMPINAS','SAO JOSE','SC','124241241117131411657379345114230262042',11048,'739',50.39,1,2,1),(15,2228556,'1988-11-05 00:00:00',2,1,11,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244241216372431566839575124610137147',10832,'269',50.70,1,3,NULL),(15,2228564,'1988-07-05 00:00:00',4,1,11,2006,'M','N','CENTRO','SAO JOSE DOS CAMPOS','SP','125252251217571731579931575121610167022',2310,'9998',68.21,4,3,NULL),(15,2228572,'1989-05-27 00:00:00',4,1,12,2006,'M','N','FLORESTA','SAO JOSE','SC','124241241137371411456612392114610127092',NULL,'729',24.74,1,2,1),(15,2228580,'1989-03-29 00:00:00',4,1,12,2007,'F','N','CENTRO','RIBEIRAO PRETO','SP','125252251215111421558833574222610165184',10670,'9998',50.91,1,3,NULL),(15,2228599,'1989-09-21 00:00:00',2,6,12,2006,'F','N','DAS NAÇOES','BALNEARIO CAMBORIU','SC','124241241214372431653322341125131563147',NULL,'44',23.23,1,3,NULL),(15,2228602,'1989-01-07 00:00:00',4,1,12,2007,'M','N','RIO CAVEIRAS','BIGUACU','SC','124241241116131431545431142124610145092',15137,'306',44.62,1,2,1),(15,2228610,'1986-03-18 00:00:00',4,1,12,2003,'F','N','CIDADE JARDIM','CAMPO GRANDE','MS','112123121211572751336919592115610164177',9503,'9998',52.77,1,3,NULL),(15,2228629,'1981-07-11 00:00:00',2,1,12,2000,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241226275721124644141223610167044',11034,'409',50.41,1,3,NULL),(15,2228637,'1989-03-23 00:00:00',2,4,11,2006,'F','N','CENTRO','GUARACIABA','SC','124241241116371732425629375222610124147',NULL,'334',0.00,1,3,NULL),(15,2228645,'1989-09-07 00:00:00',4,1,12,2007,'F','N','HIGIENOPOLIS','RIBEIRAO PRETO','SP','125252251215111531658811574222610166183',953,'9998',73.76,1,3,NULL),(15,2228670,'1987-03-02 00:00:00',2,1,12,2004,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241115372431126644341334610131152',21190,'307',34.46,1,2,1),(15,2228688,'1989-07-14 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241112131431435314341224610161147',19369,'257',38.06,1,2,1),(15,2228696,'1987-09-16 00:00:00',4,1,12,2007,'M','N','JD IRAJA','RIBEIRAO PRETO','SP','125252251215111431658814572122610124144',2235,'9998',68.47,1,3,NULL),(15,2228700,'1990-01-09 00:00:00',4,4,12,2007,'F','N','NOVA ESTRELA','ARABUTA','SC','124241241115131731537923371122610124142',NULL,'192',0.00,1,2,1),(15,2228718,'1990-12-04 00:00:00',4,1,11,2007,'F','N','CENTRO','ITUPORANGA','SC','124242241225111731428711242124610148147',22381,'414',30.49,1,3,NULL),(15,2228726,'1989-01-15 00:00:00',4,1,11,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124243241415121431337613245134610164052',13251,'1022',47.23,1,3,NULL),(15,2228734,'1986-03-03 00:00:00',2,8,12,2003,'F','N','CENTRO','CURITIBA','PR','116161161316561411469911575324141316092',NULL,'9998',0.00,1,3,NULL),(15,2228742,'1990-07-11 00:00:00',4,6,12,2007,'M','N','BIGORRILHO','CURITIBA','PR','116242161215421431556612575224610167115',3232,'9998',65.44,1,3,NULL),(15,2228750,'1985-02-01 00:00:00',2,1,3,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241115575451266933372124222747052',8195,'306',55.01,1,2,1),(15,2228769,'1989-02-22 00:00:00',2,1,11,2006,'M','N','APARECIDA','SANTOS','SP','125252251216111411246933575121141047112',NULL,'9998',0.00,1,3,NULL),(15,2228777,'1990-05-08 00:00:00',4,9,12,2007,'M','N','CORAL','LAGES','SC','124241241315121431356832274115613227052',NULL,'9997',32.53,1,3,NULL),(15,2228785,'1990-11-05 00:00:00',4,6,12,2007,'M','N','ADYANA','SAO JOSE DOS CAMPOS','SP','125252251212111431558831574122610122041',4804,'9998',61.51,1,3,NULL),(15,2228793,'1991-01-21 00:00:00',2,1,12,2007,'F','N','ITAIBA','CONCORDIA','SC','124241241135141431423514395112610144147',NULL,'193',0.00,1,2,1),(15,2228807,'1987-12-08 00:00:00',4,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124242241215372431457913575124610162042',11196,'270',50.17,1,3,NULL),(15,2228815,'1989-03-18 00:00:00',2,7,11,2006,'F','N','SÃO FRANCISCO','LUZERNA','SC','124241241125271431323314342334610131147',19982,'539',36.87,1,2,1),(15,2228823,'1979-07-06 00:00:00',4,1,12,1996,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217473451549619395112332746182',16533,'266',42.54,1,3,NULL),(15,2228831,'1988-01-11 00:00:00',4,1,12,2005,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241217454431167813575124233222187',NULL,'269',0.00,1,3,NULL),(15,2228840,'1990-09-03 00:00:00',2,4,12,2007,'M','N','NASCENTE DO PEPERI','DIONISIO CERQUEIRA','SC','124162241115131731439933432124613227077',NULL,'245',0.00,1,3,NULL),(15,2228858,'1986-11-09 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124241247336272431225344245234610126117',15622,'300',43.91,1,3,NULL),(15,2228866,'1990-03-18 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124241241112371431234923382224610137082',NULL,'512',36.59,1,2,1),(15,2228874,'1989-02-02 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241115131421336521272344610163072',21305,'267',34.19,1,3,NULL),(15,2228882,'1989-10-14 00:00:00',4,1,12,2006,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215372431338873371124610167167',19173,'1022',38.40,1,3,NULL),(15,2228890,'1989-06-19 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241131272431456634445114610165047',15746,'295',43.75,1,3,NULL),(15,2228904,'1985-01-08 00:00:00',2,1,12,2002,'M','N','RIO CAVEIRAS','BIGUACU','SC','124241241126132311635524345324133215142',16332,'65',42.85,1,2,1),(15,2228912,'1990-06-15 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431546631395124610118042',12120,'1022',48.84,1,3,NULL),(15,2228920,'1989-11-19 00:00:00',4,1,8,2007,'M','N','CENTRO','CARAMBEI','PR','116162161215371431258715575114610137127',NULL,'9998',0.00,1,3,NULL),(15,2228939,'1988-07-13 00:00:00',4,1,11,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124252251215152731467712575124222032125',4148,'9998',63.06,1,3,NULL),(15,2228947,'1990-07-24 00:00:00',4,1,12,2007,'M','N','CENTRO','POCOS DE CALDAS','MG','113252131217111431438819312121610124087',21298,'9998',34.20,1,3,NULL),(15,2228963,'1983-12-16 00:00:00',2,8,12,2000,'F','N','BALN PRINCESA DO MAR','ITAPOA','SC','124161161116572751443332495122610138183',NULL,'9998',0.00,1,3,NULL),(15,2228971,'1990-04-21 00:00:00',4,5,12,2007,'F','N','OLHO DAGUA','JAGUARUNA','SC','124241241127131431433319292124610113157',NULL,'421',31.82,1,2,1),(15,2228980,'1988-04-03 00:00:00',4,4,12,2005,'F','N','CENTRO','XAXIM','SC','124241241216572431458924574124610124142',NULL,'185',0.00,1,3,NULL),(15,2228998,'1987-11-17 00:00:00',4,1,12,2005,'M','N','CENTRO','SAO JOSE DO RIO PRETO','SP','125252251217571421468814575122610114067',NULL,'9998',0.00,1,3,NULL),(15,2229005,'1989-11-03 00:00:00',4,1,12,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124242241216272431346934572114610122053',17630,'1022',40.89,1,3,NULL),(15,2229013,'1980-03-02 00:00:00',4,2,12,1997,'F','N','VELHA','BLUMENAU','SC','224241241216131411137343335222332226142',NULL,'9997',0.00,1,3,NULL),(15,2229021,'1990-07-13 00:00:00',2,7,12,2007,'F','N','NAÇÕES','CONCORDIA','SC','124241248116371731523339395222610126187',NULL,'192',18.09,1,3,NULL),(15,2229030,'1988-02-18 00:00:00',4,1,12,2005,'M','N','ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC','124244241216373731468913575124130227062',8492,'300',54.52,1,3,NULL),(15,2229048,'1990-04-14 00:00:00',4,1,12,2007,'M','N','JARDIM CURITBA','CAMPO MOURAO','PR','116162168115151751469911195121640164016',5908,'9998',59.24,1,3,NULL),(15,2229056,'1990-09-10 00:00:00',2,5,12,2007,'F','N','BOA VISTA','ORLEANS','SC','124241241115131411624919572324610135187',NULL,'580',19.92,1,3,NULL),(15,2229064,'1990-06-27 00:00:00',4,9,11,2007,'F','N','CENTRO','POUSO REDONDO','SC','124241241211142411536816242124613268092',10244,'654',51.57,1,3,NULL),(15,2229072,'1989-06-24 00:00:00',2,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124251241116331431336673285124610127012',12697,'307',47.99,4,2,1),(15,2229080,'1991-04-13 00:00:00',4,1,12,2008,'M','S','CENTRO','SAO JOSE','SC','124242241215121431466821575124610126197',NULL,'724',26.75,1,3,NULL),(15,2229099,'1983-08-02 00:00:00',2,4,12,2000,'M','N','INTERIOR','XAVANTINA','SC','124241241127131431433336162222610137047',20635,'844',35.62,1,2,1),(15,2229102,'1979-02-20 00:00:00',4,1,12,1996,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241146472421466543435134321227017',17635,'799',40.89,1,3,NULL),(15,2229110,'1990-07-13 00:00:00',4,1,12,2007,'M','N','JD PAULISTA','BAURU','SP','125252251217111431469936592122610137042',4854,'9998',61.41,1,3,NULL),(15,2229129,'1984-05-15 00:00:00',2,1,12,2002,'M','N','IPIRANGA','SAO JOSE','SC','124201201122152431123343432332220527047',18090,'9998',40.17,4,2,1),(15,2229137,'1983-07-09 00:00:00',4,1,11,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124123247445372431366739445122610162052',11367,'300',49.89,4,3,NULL),(15,2229153,'1983-12-30 00:00:00',2,6,5,2003,'M','N','SAO VICENTE','ITAJAI','SC','224243244332131431223344342123610127027',NULL,'9999',22.60,1,3,NULL),(15,2229161,'1990-04-10 00:00:00',4,7,12,2007,'F','N','DOIS PINHEIROS','VIDEIRA','SC','124243241116111431463631575125610127141',NULL,'831',15.85,1,3,NULL),(15,2229170,'1989-06-23 00:00:00',4,1,12,2006,'M','N','VILA CARRÃO','SAO PAULO','SP','125251251117131531439739492125610165187',NULL,'9998',0.00,1,2,1),(15,2229196,'1989-06-17 00:00:00',2,1,12,2006,'M','N','SERRARIA','SAO JOSE','SC','124242241215472431556733575124230227052',4231,'270',62.84,1,3,NULL),(15,2229200,'1987-03-20 00:00:00',2,1,11,2007,'F','N','CACHOEIRA B JESUS','FLORIANOPOLIS','SC','224201247127271431221354282324610125147',17218,'9999',41.54,4,2,1),(15,2229226,'1989-12-28 00:00:00',4,8,12,2007,'F','N','BOQUEIRAO','CURITIBA','PR','116242161215111431468714574122610166181',3293,'9998',65.28,1,3,NULL),(15,2229234,'1990-02-08 00:00:00',2,1,12,2007,'M','N','ABRÃO','FLORIANOPOLIS','SC','124244241416131431538823595122610122092',NULL,'1077',24.41,1,3,NULL),(15,2229242,'1989-09-15 00:00:00',2,1,12,2006,'F','N','JARDIM BOTANICO','RIBEIRAO PRETO','SP','125252251216471431468834145122610127142',8900,'9998',53.84,1,3,NULL),(15,2229269,'1989-03-12 00:00:00',4,3,11,2006,'F','N','NAÇÕES','BALNEARIO CAMBORIU','SC','124241241217152411343531292125232437077',NULL,'44',31.91,4,3,NULL),(15,2229277,'1989-03-09 00:00:00',4,1,12,2006,'F','N','NOVA ALTERNATIVA','MARAU','RS','120201201146271111323613345134610145072',19247,'9998',38.26,1,2,1),(15,2229285,'1989-04-22 00:00:00',4,3,12,2006,'F','N','VILA ESTÁDIO','PRESIDENTE PRUDENTE','SP','125254251216371431448714571122610127077',5320,'9998',60.47,1,3,NULL),(15,2229293,'1988-12-15 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241125141432625531342124610123077',NULL,'295',19.51,1,3,NULL),(15,2229307,'1988-09-08 00:00:00',4,1,12,2007,'M','N','SAO JOAO DE DEUS','DIVINOPOLIS','MG','113131131417271441334639574122610165097',5210,'9998',60.69,4,3,NULL),(15,2229315,'1989-03-30 00:00:00',2,9,12,2006,'F','N','BRUSQUE','LAGES','SC','124241248112372331426633371124610136147',NULL,'498',16.30,1,2,1),(15,2229323,'1990-04-24 00:00:00',4,4,12,2007,'M','N','SANTA CRUZ','CONCORDIA','SC','124241241115371711333319391114610136052',15651,'192',43.87,1,2,1),(15,2229331,'1988-06-10 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124091091215572431336734571222610167097',535,'9998',76.54,4,3,NULL),(15,2229340,'1988-03-03 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124252251216472431588811575112221417065',3275,'9998',65.32,1,3,NULL),(15,2229358,'1988-10-03 00:00:00',2,1,12,2006,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241127132511223321272314610131147',15832,'100',43.63,1,2,1),(15,2229374,'1989-10-11 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215111431269839575122610132095',12105,'226',48.86,1,3,NULL),(15,2229382,'1988-04-28 00:00:00',2,1,11,2006,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124243248337172431459933496111231064045',16861,'951',42.06,2,3,NULL),(15,2229390,'1990-08-25 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217111721334423592114610118192',12359,'1022',48.48,1,3,NULL),(15,2229404,'1988-04-07 00:00:00',2,1,12,2005,'M','N','VILA N MANCHESTER','SAO PAULO','SP','125252251217572431457713574124610167057',2208,'9998',68.57,1,3,NULL),(15,2229412,'1989-09-26 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124203247347131712235319492314610127147',18830,'9999',38.94,1,3,NULL),(15,2229420,'1988-03-04 00:00:00',2,1,12,2006,'F','N','PAIA BRAVA','FLORIANOPOLIS','SC','124241241112471731326623442314610166092',18000,'288',40.31,1,3,NULL),(15,2229439,'1982-07-20 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANOPOLIS','SC','624251251137132431248744345121610137012',20530,'9998',35.83,1,2,1),(15,2229447,'1989-08-13 00:00:00',2,1,7,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124243247427151451525379382314610148157',NULL,'977',0.00,1,3,NULL),(15,2229455,'1987-11-05 00:00:00',4,9,11,2004,'F','N','BOA VISTA','RIO DO SUL','SC','124242241416131431444924285112133237057',14425,'663',45.54,1,3,NULL),(15,2229471,'1989-03-21 00:00:00',3,1,7,2007,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124201241316152441338914245134231922141',4247,'306',62.81,1,3,NULL),(15,2229480,'1983-12-09 00:00:00',2,1,12,2001,'M','N','NOVA SOROCABA','SOROCABA','SP','125251251127131511636611245134610123097',8864,'9998',53.89,1,3,NULL),(15,2229498,'1986-10-07 00:00:00',2,1,12,2003,'F','N','KOBRASOL','SAO JOSE','SC','124242241216575431356623445124610164147',16629,'943',42.42,1,3,NULL),(15,2229501,'1989-02-21 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124252241437131431329934576124610152097',NULL,'295',0.00,1,3,NULL),(15,2229510,'1988-02-27 00:00:00',4,6,10,2006,'F','N','MATHIAS VELHO','CANOAS','RS','120122121216471431446824345314610134047',NULL,'9999',23.01,1,3,NULL),(15,2229528,'1988-02-26 00:00:00',4,1,11,2005,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241215573431448612276124131466182',8319,'213',54.82,1,3,NULL),(15,2229544,'1989-03-29 00:00:00',2,5,12,2006,'M','N','CENTRO','ICARA','SC','124242241212412431486619495122610118112',NULL,'226',47.37,1,3,NULL),(15,2229552,'1987-05-04 00:00:00',4,1,12,2004,'F','N','ITAIM PAULISTA','SAO PAULO','SP','125251251115371431336419282124140623144',14971,'9998',44.82,4,3,NULL),(15,2229560,'1989-01-12 00:00:00',4,6,12,2006,'M','N','VILA OPERÁRIA','ITAJAI','SC','124242241215572431364419574111610165091',966,'388',73.70,1,3,NULL),(15,2229579,'1990-12-12 00:00:00',4,8,12,2007,'F','N','VILA NOVA','RIO NEGRINHO','SC','124241241116371711335612575122610122142',NULL,'669',0.00,1,3,NULL),(15,2229587,'1985-07-29 00:00:00',4,4,11,2002,'F','N','INDUSTRIAL','BARRACAO','PR','116161168116151441533331481122610166187',NULL,'9998',0.00,1,2,1),(15,2229595,'1986-10-09 00:00:00',2,1,12,2004,'M','N','PANTANAL','FLORIANOPOLIS','SC','124244241236152451468719275125223262015',5743,'1022',59.57,4,3,NULL),(15,2229617,'1986-09-25 00:00:00',2,4,12,2004,'M','N','VENEZA','XANXERE','SC','124243247217131431336823445123130712017',20186,'836',36.45,1,3,NULL),(15,2229633,'1989-12-22 00:00:00',4,1,12,2007,'F','N','SÃO JOSÉ','FRANCA','SP','125252258215111421368831571122610167011',22211,'9998',31.45,1,3,NULL),(15,2229641,'1990-04-18 00:00:00',4,4,12,2006,'F','N','CENTRO','CHAPECO','SC','124242248215411411468811592112613262122',14204,'185',45.86,1,3,NULL),(15,2229650,'1988-06-10 00:00:00',2,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','124242241217372431553834445124133267062',9472,'738',52.82,1,3,NULL),(15,2229668,'1990-01-31 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124243241415111411466933585122610167051',10735,'1022',50.82,1,3,NULL),(15,2229676,'1990-12-04 00:00:00',4,1,12,2008,'M','S','KOBRASOL','SAO JOSE','SC','124243241211111451335624271324610137017',NULL,'270',46.07,1,3,NULL),(15,2229684,'1990-07-29 00:00:00',2,1,11,2007,'F','N','CENTRO','AGUAS MORNAS','SC','124242241215112431578612475112610121192',14659,'270',45.20,1,3,NULL),(15,2229692,'1988-11-09 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124243247437111452555721376124610144117',NULL,'9999',23.03,1,3,NULL),(15,2229706,'1989-05-01 00:00:00',4,7,12,2007,'F','N','SÃO MIGUEL','FRAIBURGO','SC','124241241132131441213369572224610134197',22432,'314',29.99,4,2,1),(15,2229714,'1991-05-16 00:00:00',4,1,12,2007,'F','N','IBIRAQUERA','GAROPABA','SC','124241241145151431534932572112610133147',20724,'322',35.45,1,2,1),(15,2229722,'1988-02-02 00:00:00',4,1,12,2005,'M','N','PQ PRESIDENTE','INDAIATUBA','SP','125252251215111431558834572122610127014',1220,'9998',72.38,1,3,NULL),(15,2229730,'1982-07-05 00:00:00',2,1,12,2005,'M','N','KOBRASOL','SAO JOSE','SC','124091091111151531213344442334610137041',NULL,'9998',19.09,1,3,NULL),(15,2229749,'1986-11-29 00:00:00',4,1,12,2005,'M','N','CAMPINAS','SAO JOSE','SC','124242241215372431148831385125231062182',18110,'737',40.14,4,3,NULL),(15,2229757,'1990-09-23 00:00:00',4,4,12,2007,'M','N','CENTRO','PATO BRANCO','PR','116164161216171411356921572125610164092',13252,'9998',47.23,1,3,NULL),(15,2229765,'1990-03-02 00:00:00',4,4,12,2007,'M','N','CENTRO','XANXERE','SC','124241241112411431546632592125610117017',12666,'840',48.04,1,2,1),(15,2229773,'1988-09-14 00:00:00',4,10,12,2005,'F','N','CENTRO','IMBITUBA','SC','124241241215273431334411445122610152141',NULL,'362',30.39,1,3,NULL),(15,2229781,'1990-09-18 00:00:00',4,8,12,2007,'F','N','JD MORUMBI','JALES','SP','125252251215111731438833575122610126097',7955,'9998',55.44,1,3,NULL),(15,2229790,'1990-01-22 00:00:00',4,1,12,2007,'F','N','BETÂNIA','ANGELINA','SC','124241241115161431423614342324610134147',NULL,'17',22.83,1,3,NULL),(15,2229811,'1985-05-13 00:00:00',4,1,12,2004,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241416372431568433375124230224057',5131,'1036',60.85,1,3,NULL),(15,2229820,'1991-07-22 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241212111411436712285121610164072',20587,'738',35.71,1,3,NULL),(15,2229838,'1987-10-05 00:00:00',4,2,12,2004,'M','N','BNH PRIMEIRO PLANO','DOURADOS','MS','112122121216575431348714575112610124052',436,'9998',77.30,3,3,NULL),(15,2229846,'1989-04-16 00:00:00',4,1,12,2006,'F','N','AREIAS','SAO JOSE','SC','124202201211472411337839271112610164057',4115,'9998',63.16,1,3,NULL),(15,2229854,'1985-05-16 00:00:00',4,1,12,2002,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241241117373341445312572324610124142',5483,'281',60.09,1,3,NULL),(15,2229862,'1988-09-18 00:00:00',4,1,12,2005,'F','N','COOPHAMAT','CAMPO GRANDE','MS','121124121416471421447821575224610123187',12388,'9998',48.44,2,3,NULL),(15,2229889,'1986-12-14 00:00:00',4,1,12,2004,'F','N','VILA ADYANA','SAO JOSE DOS CAMPOS','SP','125252251211571431547834571122610124191',6123,'9998',58.82,1,3,NULL),(15,2229897,'1990-09-28 00:00:00',2,1,12,2007,'F','N','IBIRAQUERA','GAROPABA','SC','101241241125161431513319572112610124057',16774,'322',42.21,1,2,1),(15,2229900,'1989-09-15 00:00:00',4,8,12,2007,'F','N','VILA RAU','JARAGUA DO SUL','SC','124241241117141411566724242122610142142',13871,'425',46.35,1,2,1),(15,2229927,'1992-03-19 00:00:00',4,1,11,2009,'M','S','CARVOEIRA','FLORIANOPOLIS','SC','124242241217111232437613595112610138087',NULL,'266',21.74,3,3,NULL),(15,2229935,'1988-02-29 00:00:00',4,3,12,2005,'F','N','BARRA','BALNEARIO CAMBORIU','SC','124244242115373411427911374123610138117',10733,'129',50.82,1,3,NULL),(15,2229943,'1990-02-10 00:00:00',4,2,11,2007,'F','N','CENTRO','TIMBO','SC','124241241115161411447733391122610136142',11715,'787',49.37,1,2,1),(15,2229960,'1990-05-19 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215411531368633332124610122157',18594,'270',39.33,1,3,NULL),(15,2229978,'1973-04-24 00:00:00',4,1,12,1990,'F','N','TRINDADE','FLORIANOPOLIS','SC','224242245212115421348944341222322764092',NULL,'266',0.00,1,3,NULL),(15,2229986,'1990-05-23 00:00:00',2,8,12,2007,'M','N','JD PEGOLO','JALES','SP','125252251215111731438834575122610127017',13751,'9998',46.54,1,3,NULL),(15,2229994,'1991-09-06 00:00:00',4,4,12,2007,'F','N','CENTRO','XAXIM','SC','124242241215271431369931575122610162192',11711,'185',49.38,1,3,NULL),(15,2230003,'1983-07-16 00:00:00',4,1,7,2004,'M','N','PANTANAL','FLORIANOPOLIS','SC','124164166442173431126612245124131428171',NULL,'9998',0.00,1,3,NULL),(15,2230011,'1990-04-19 00:00:00',4,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215111431338629572114613267057',19813,'737',37.19,1,3,NULL),(15,2230020,'1990-06-05 00:00:00',2,1,12,2007,'M','N','FORQUILHAS','SAO JOSE','SC','124241248215111432266823572114610118147',18683,'1074',39.19,1,3,NULL),(15,2230038,'1990-12-12 00:00:00',4,5,12,2007,'F','N','JARDIM ANGELICA','CRICIUMA','SC','124241241215371431456934574122610127187',15382,'995',44.29,1,3,NULL),(15,2230062,'1989-01-26 00:00:00',4,1,12,2007,'M','N','PONTE PRETA','CAMPINAS','SP','125252251215111421458814571122610122183',NULL,'9998',0.00,4,3,NULL),(15,2230070,'1990-03-06 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124244241215121431467631176124610161147',14598,'1022',45.28,1,3,NULL),(15,2230089,'1987-01-16 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215373431466519571124610123142',13970,'269',46.20,1,3,NULL),(15,2230097,'1990-11-12 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431479813435112610144122',NULL,'270',5.13,1,3,NULL),(15,2230100,'1990-09-10 00:00:00',4,1,12,2007,'M','N','VILA UNIVERSITARIA','BAURU','SP','125252251217111431469734575112610167047',NULL,'9998',0.00,1,3,NULL),(15,2230119,'1991-05-30 00:00:00',2,5,11,2008,'F','S','MORRO DA GLÓRIA','URUSSANGA','SC','124242241217111752469933575124610168152',NULL,'9997',47.31,1,3,NULL),(15,2230127,'1988-10-01 00:00:00',4,1,12,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124242241215273751466411277114610168187',NULL,'270',38.60,1,3,NULL),(15,2230143,'1990-06-10 00:00:00',2,1,12,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124241248216151411538621295124610127047',17439,'1048',41.16,1,3,NULL),(15,2230151,'1990-03-01 00:00:00',4,8,12,2007,'F','N','JARAGUÁ ESQUERDO','JARAGUA DO SUL','SC','124244241216141731548714575124610134093',NULL,'1061',0.00,1,3,NULL),(15,2230160,'1990-07-24 00:00:00',4,1,12,2007,'M','N','JD SANTA PAULA','VOTUPORANGA','SP','125252251215111731438837571122610127047',6848,'9998',57.45,1,3,NULL),(15,2230186,'1991-02-13 00:00:00',4,1,11,2008,'F','S','PEDRA BRANCA','PALHOCA','SC','124242251212151431478819572112610122142',NULL,'724',41.70,1,3,NULL),(15,2230194,'1988-02-22 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241246416151411456613332124610128113',18337,'995',39.73,1,3,NULL),(15,2230208,'1990-06-01 00:00:00',4,1,12,2007,'F','N','CENTRO','VALINHOS','SP','125252251215111431469934571122610124042',2038,'9998',69.13,1,3,NULL),(15,2230216,'1990-08-16 00:00:00',2,5,11,2007,'M','N','CRUZEIRO DO SUL','CRICIUMA','SC','124242241216132711459614372125610124082',1564,'213',70.93,1,3,NULL),(15,2230224,'1990-11-24 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241112131431437913572124610124142',19726,'307',37.37,1,2,1),(15,2230232,'1989-06-26 00:00:00',2,4,12,2006,'F','N','SÃO CRISTOVÃO','SAO JOSE DO CEDRO','SC','124241241136132711444923585115610164197',NULL,'740',0.00,1,2,1),(15,2230240,'1990-09-29 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431438512345112610124052',NULL,'120',0.00,1,3,NULL),(15,2230259,'1989-11-03 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215111431627831575124610134144',17797,'272',40.67,1,3,NULL),(15,2230267,'1990-09-24 00:00:00',4,1,12,2008,'M','S','JOAO PAULO','FLORIANOPOLIS','SC','124242241217111431469933575122610137057',NULL,'270',60.25,1,3,NULL),(15,2230275,'1987-09-04 00:00:00',4,1,12,2005,'M','N','CIDADE ALTA','CUNHA PORA','SC','124241241317513431468913575124610114047',2451,'260',67.78,1,3,NULL),(15,2230283,'1990-10-26 00:00:00',2,10,11,2007,'F','N','CENTRO','URUSSANGA','SC','124242241115111411359954575112610164112',18507,'820',39.46,1,3,NULL),(15,2230291,'1988-06-26 00:00:00',4,3,12,2005,'F','N','SANTA QUITÉRIA','CURITIBA','PR','116162161217571431649933475124610162142',NULL,'9998',0.00,1,3,NULL),(15,2230305,'1991-01-18 00:00:00',4,7,12,2008,'F','S','CENTRO','CONCORDIA','SC','124242241216111721471811575122610128147',NULL,'190',35.87,1,3,NULL),(15,2230313,'1989-08-23 00:00:00',4,1,12,2007,'F','N','AEROPORTO','JALES','SP','125252251215111731338834571122610125097',22029,'9998',32.18,1,3,NULL),(15,2230321,'1989-01-11 00:00:00',2,1,12,2006,'M','N','FIGUEIRA','PRAIA GRANDE','SC','124241241416273431434633495115610127147',1641,'970',70.63,1,3,NULL),(15,2230330,'1990-07-28 00:00:00',4,1,12,2007,'M','N','JD BOTANICO','CAMPINAS','SP','125252251215111431549814571121610134183',4180,'9998',62.96,1,3,NULL),(15,2230348,'1986-08-12 00:00:00',4,1,12,2004,'M','N','REPUBLICA','RIBEIRAO PRETO','SP','125252251216372311438832572112141442022',NULL,'9998',0.00,1,3,NULL),(15,2230356,'1983-05-31 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215272421447531315122123234177',2296,'210',68.25,1,3,NULL),(15,2230364,'1984-12-23 00:00:00',2,1,6,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241247316574431236629595112610167042',NULL,'1003',35.35,4,3,NULL),(15,2230372,'1988-09-07 00:00:00',4,8,11,2006,'F','N','AMERICA','JOINVILLE','SC','124242241215371711459916575122610163187',5711,'491',59.65,1,3,NULL),(15,2230380,'1981-10-25 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241317273731143443335134322064152',1004,'271',73.51,1,3,NULL),(15,2230399,'1990-01-04 00:00:00',2,1,12,2007,'M','N','JOAIA','TIJUCAS','SC','124241241215131421436619572114610164142',11402,'781',49.84,1,3,NULL),(15,2230402,'1990-06-19 00:00:00',4,1,11,2007,'M','N','FLOR DO SOL','SAO JOSE','SC','124244241217371711546613472122610117182',12445,'1036',48.36,1,3,NULL),(15,2230410,'1990-12-22 00:00:00',4,2,12,2008,'M','S','CENTRO','TROMBUDO CENTRAL','SC','124244241215111731389936464124610127057',NULL,'270',43.46,1,3,NULL),(15,2230437,'1990-04-30 00:00:00',4,4,12,2007,'M','N','CENTRO','MONDAI','SC','124241241114161411457636261122610134042',20247,'564',36.33,1,2,1),(15,2230445,'1989-08-21 00:00:00',4,1,12,2006,'F','N','VILA SAO JOSE','JALES','SP','125252251215111731438831575122610125097',15262,'9998',44.46,3,3,NULL),(15,2230453,'1990-12-07 00:00:00',4,2,12,2007,'M','N','CENTRO','BRUSQUE','SC','124243241115131731566672145331610162092',15929,'110',43.49,1,3,NULL),(15,2230461,'1991-03-03 00:00:00',2,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124244241415111412257613572124610128042',NULL,'1022',43.02,1,3,NULL),(15,2230470,'1988-10-31 00:00:00',2,1,12,2006,'F','N','SERRINHA','FLORIANOPOLIS','SC','124243241425372431246729572124610122197',15954,'1022',43.45,4,3,NULL),(15,2230488,'1990-09-11 00:00:00',2,10,11,2007,'M','N','CENTRO','SAO LUDGERO','SC','124242241216471422353712575124610124142',14934,'950',44.87,1,3,NULL),(15,2230496,'1983-08-10 00:00:00',2,1,7,2002,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241248117375431656519482114610132187',3344,'306',65.14,1,2,1),(15,2230500,'1991-04-12 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241216111431438633591125610114112',NULL,'270',49.70,1,3,NULL),(15,2230518,'1990-09-25 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241117131431523634572125610137147',20834,'257',35.21,4,3,NULL),(15,2230526,'1990-05-11 00:00:00',4,4,12,2007,'F','N','IGUAÇU','BOA VISTA DA APARECIDA','PR','116161161116131411436933375124610167147',NULL,'9998',0.00,1,2,1),(15,2230534,'1987-09-16 00:00:00',4,1,11,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124243201217574431488632572324610167142',2916,'9998',66.39,1,3,NULL),(15,2230542,'1991-05-05 00:00:00',4,3,12,2008,'F','S','CENTRO','BALNEARIO CAMBORIU','SC','124242241416111231425832575122610123147',NULL,'9997',43.90,1,3,NULL),(15,2230569,'1963-01-06 00:00:00',4,1,12,1980,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','524211214211575421358842322134331015141',22251,'9998',31.28,1,3,NULL),(15,2230577,'1988-11-13 00:00:00',4,1,12,2007,'M','N','PASSA VINTE','PALHOCA','SC','124241241112131431436923432124610113047',NULL,'592',21.90,1,3,NULL),(15,2230585,'1989-03-27 00:00:00',4,1,12,2006,'M','N','INDEPÊNDENCIA','TAUBATE','SP','125252256216473411349934445121610124022',16184,'9998',43.09,1,3,NULL),(15,2230593,'1989-08-20 00:00:00',4,1,12,2006,'M','N','JD JABOTICABEIRAS','TAUBATE','SP','125252254216471411546933575121140224112',18026,'9998',40.27,1,3,NULL),(15,2230607,'1989-07-31 00:00:00',2,2,12,2006,'F','N','CENTRO','SERRA NEGRA','SP','125252251215471431423811376212610128147',5219,'9998',60.67,1,3,NULL),(15,2230615,'1986-06-04 00:00:00',2,1,12,2004,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124242241215373431568713495134131465112',18766,'939',39.05,1,3,NULL),(15,2230623,'1990-02-04 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241115131431538733595124610165072',12474,'307',48.33,4,2,1),(15,2230640,'1990-08-21 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241116271422233623575224610124172',20462,'307',35.94,1,2,1),(15,2230658,'1990-02-03 00:00:00',4,1,12,2006,'M','N','CENTRO','HOLAMBRA','SP','125252251215271431458834572122610167043',10168,'9998',51.69,1,3,NULL),(15,2230666,'1985-08-17 00:00:00',2,4,9,2007,'M','N','CENTRO','PATO BRANCO','PR','116161168116131731538833381112610164042',NULL,'9999',0.00,3,3,NULL),(15,2230674,'1976-06-15 00:00:00',2,1,12,1994,'F','N','COLONINHA','FLORIANOPOLIS','SC','624241243127134711355174245134610148187',10106,'512',51.77,1,2,1),(15,2230682,'1989-12-22 00:00:00',4,8,12,2007,'M','N','CENTRO','DOLCINOPOLIS','SP','125252251215111731438834572122610127057',NULL,'9998',23.93,1,3,NULL),(15,2230690,'1990-07-05 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124073241117271431558613315124610164187',18030,'307',40.27,1,3,NULL),(15,2230704,'1993-06-22 00:00:00',4,8,12,2008,'M','S','GLORIA','JOINVILLE','SC','124242241215111431389933576112610168092',NULL,'491',63.27,1,3,NULL),(15,2230712,'1989-06-16 00:00:00',4,1,12,2006,'M','N','PRADO','BELO HORIZONTE','MG','113132131211471331559811471122610117012',NULL,'9998',0.00,1,3,NULL),(15,2230720,'1970-07-25 00:00:00',2,8,12,1988,'M','N','PETROPÓLIS','JOINVILLE','SC','224113111226371441546444241124141536047',NULL,'9998',22.62,2,1,2),(15,2230739,'1987-04-18 00:00:00',4,2,12,2004,'M','N','DALBERGIA','IBIRAMA','SC','124241241127141431444923442324610137042',NULL,'886',23.99,1,2,1),(15,2230747,'1990-03-28 00:00:00',4,6,11,2007,'M','N','PROGRESSO','RIO DO SUL','SC','124242241215271431656334285122610164177',14451,'653',45.50,1,3,NULL),(15,2230755,'1990-07-25 00:00:00',2,1,12,2007,'F','N','CENTRO','SANTA ROSA','RS','120203201217131431539531572124610162142',21297,'9998',34.20,1,3,NULL),(15,2230763,'1989-01-17 00:00:00',2,1,12,2006,'F','N','CAMINHO NOVO','PALHOCA','SC','124241241117272421533364345314610138147',21856,'591',32.77,1,2,1),(15,2230771,'1990-10-20 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124243241315132411447833571214610123097',17428,'592',41.18,1,3,NULL),(15,2230780,'1989-05-29 00:00:00',4,2,12,2006,'F','N','VELHA','BLUMENAU','SC','124242241215472431668714472122610167177',272,'71',79.07,1,3,NULL),(15,2230798,'1989-09-01 00:00:00',1,8,11,2007,'F','N','MERCES','CURITIBA','PR','116162161215111711489932571122610162122',NULL,'9998',0.00,3,3,NULL),(15,2230801,'1990-04-30 00:00:00',4,3,11,2007,'F','N','JARDIM ELIANE','APUCARANA','PR','116162161217371431348814575122610134012',11324,'9998',49.96,3,3,NULL),(15,2230810,'1990-08-06 00:00:00',2,6,11,2007,'F','N','CENTRO','BARRA VELHA','SC','124204241215111431427712272125610135147',NULL,'389',0.00,1,3,NULL),(15,2230828,'1989-10-16 00:00:00',4,4,12,2007,'M','N','CENTRO','PANAMBI','RS','120202201217371431468814572122610167052',11207,'9998',50.15,1,3,NULL),(15,2230836,'1990-05-07 00:00:00',4,1,12,2007,'M','N','CENTRO','JAPURA','PR','116163161217111431458831575122610137052',9211,'9998',53.25,1,3,NULL),(15,2230844,'1987-11-17 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','116161161117373731323614346135610143012',NULL,'9998',0.00,1,2,1),(15,2230852,'1987-10-10 00:00:00',4,1,12,2006,'M','N','CENTRO','GUAXUPE','MG','113131131117371231435434472121610127042',21845,'9998',32.81,1,3,NULL),(15,2230860,'1988-05-25 00:00:00',4,1,12,2005,'F','N','GUANABARA','CAMPINAS','SP','125252251215571421558814571112610135193',11153,'9998',50.23,1,3,NULL),(15,2230879,'1990-12-06 00:00:00',4,7,12,2007,'F','N','INTERIOR','PIRATUBA','SC','124241241112161751324336572222610166057',NULL,'619',22.24,1,3,NULL),(15,2230887,'1990-02-22 00:00:00',4,8,12,2007,'F','N','JD MARIA PAULA','JALES','SP','125252251215111731438834572122610123097',5443,'9998',60.19,1,3,NULL),(15,2230895,'1980-01-14 00:00:00',4,1,12,1998,'F','N','PANTANAL','FLORIANOPOLIS','SC','124092168415512431468435371122343216182',NULL,'9998',0.00,1,3,NULL),(15,2230925,'1989-05-21 00:00:00',4,3,12,2006,'F','N','JARDIM ITAPURA I','PRESIDENTE PRUDENTE','SP','125252258217371731568839572122610163147',9625,'9998',52.54,1,3,NULL),(15,2230933,'1989-01-30 00:00:00',2,1,11,2007,'M','N','JARDIM ITALIA','SORRISO','MT','111111111336111311543635175113610117057',NULL,'9998',0.00,4,3,NULL),(15,2230941,'1984-06-16 00:00:00',4,1,12,2002,'M','N','MANGABEIRAS','BELO HORIZONTE','MG','303042032222143422321246223222212521154',NULL,'9998',0.00,1,3,NULL),(15,2230950,'1979-01-20 00:00:00',2,1,12,1996,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241116332721233644342334610125017',NULL,'307',22.18,1,2,1),(15,2230968,'1989-08-27 00:00:00',4,6,12,2007,'F','N','CEDRINHO','BRUSQUE','SC','124241241125131731326534341224610124147',19393,'1019',38.03,1,2,1),(15,2230976,'1988-03-16 00:00:00',4,8,12,2005,'F','N','REBOUÇAS','CURITIBA','PR','116164161216471751468816475122142668193',1945,'9998',69.45,1,3,NULL),(15,2230992,'1988-12-05 00:00:00',4,1,8,2007,'M','N','CENTRO','PALHOCA','SC','124243241115271431565613385124610164142',1913,'739',69.55,1,3,NULL),(15,2231000,'1966-07-02 00:00:00',2,1,11,1990,'M','N','CENTRO','FLORIANOPOLIS','SC','424243243347152411253643132122122326012',13097,'229',47.45,1,3,NULL),(15,2231026,'1991-08-20 00:00:00',4,9,11,2008,'M','S','CENTRO','LAGES','SC','124242241215151731447923575122610167172',NULL,'497',58.81,1,3,NULL),(15,2231034,'1986-03-04 00:00:00',2,3,12,2003,'M','N','VÁRZEA','ITAPEMA','SC','124243247337131721343324242313610167067',17696,'404',40.81,1,3,NULL),(15,2231042,'1991-03-08 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248215111711348832345112610122122',18180,'270',40.01,1,3,NULL),(15,2231050,'1983-12-03 00:00:00',4,1,11,2002,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124204243127152431458729242122123267057',5335,'306',60.44,1,3,NULL),(15,2231085,'1989-02-26 00:00:00',2,1,12,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215211451538812272122610124192',19174,'1022',38.40,1,3,NULL),(15,2231093,'1991-01-01 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241111111431626631571324610125117',NULL,'307',25.64,1,3,NULL),(15,2231107,'1990-01-18 00:00:00',4,3,12,2007,'M','N','CENTRO','BRUSQUE','SC','124242241215152431366823472115610167012',3332,'109',65.17,1,3,NULL),(15,2231115,'1989-12-27 00:00:00',2,1,12,2007,'F','N','CENTRO','BIGUACU','SC','124242241217131452547619472122610123077',20620,'63',35.64,1,3,NULL),(15,2231131,'1990-07-10 00:00:00',4,3,11,2007,'F','N','CENTRO','PORTO BELO','SC','124242241215111451348833245124610128092',19554,'403',37.71,1,3,NULL),(15,2231140,'1989-08-28 00:00:00',4,8,12,2006,'F','N','GRAMADO','CAMPINAS','SP','125252251215571431469931571122610124043',11535,'9998',49.66,1,3,NULL),(15,2231158,'1987-02-23 00:00:00',4,1,12,2004,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241212373431447811472124221424092',NULL,'836',0.00,1,3,NULL),(15,2231166,'1984-11-25 00:00:00',2,1,12,2004,'M','N','SADO DOS LIMÕES','FLORIANOPOLIS','SC','124241241212273431468413375114610167042',12284,'1022',48.60,1,3,NULL),(15,2231174,'1988-02-17 00:00:00',4,1,12,2005,'M','N','CENTRO','VACARIA','RS','120201201137374431357813383124610114042',NULL,'9998',19.75,1,2,1),(15,2231190,'1987-03-27 00:00:00',2,1,7,2005,'M','N','CENTRO','PALHOCA','SC','124241241142373431545611212114122314057',11881,'592',49.13,1,3,NULL),(15,2231204,'1987-08-11 00:00:00',4,1,12,2005,'M','N','CENTRO','SANTA BARBARA D OESTE','SP','125252251215571431569934571122610124193',1906,'9998',69.58,4,3,NULL),(15,2231212,'1990-11-20 00:00:00',4,9,12,2007,'F','N','SANTA CATARINA','OTACILIO COSTA','SC','124243241116161411324619375124610123017',NULL,'935',18.19,1,3,NULL),(15,2231220,'1989-07-04 00:00:00',2,1,10,2006,'F','N','BOA VISTA','CURITIBA','PR','116241241215472431348621592124610163077',NULL,'270',0.00,4,3,NULL),(15,2231239,'1984-08-15 00:00:00',2,8,11,2001,'F','N','BIGORRILHO','CURITIBA','PR','116221221315571751333823574224141543012',20037,'9998',36.74,1,3,NULL),(15,2231255,'1990-05-13 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241237111431348833342122610148113',22505,'724',28.61,1,3,NULL),(15,2231263,'1988-05-01 00:00:00',4,4,12,2006,'M','N','CENTRO','PATO BRANCO','PR','116161161117372731238934345335610124147',14100,'9998',46.03,1,2,1),(15,2231271,'1990-06-03 00:00:00',4,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215112731337913375122610123077',11233,'737',50.11,1,3,NULL),(15,2231298,'1990-06-09 00:00:00',4,2,12,2007,'F','N','CENTRO','BRUSQUE','SC','124242241215112431589811572122610123192',2870,'109',66.54,1,3,NULL),(15,2231301,'1990-04-12 00:00:00',2,4,12,2007,'M','N','LA SALLE','PATO BRANCO','PR','116162161235111431436632572112610137057',NULL,'9998',0.00,1,3,NULL),(15,2231310,'1989-07-04 00:00:00',4,1,12,2006,'F','N','NEVA','CASCAVEL','PR','116162161217372411538833274124242266177',7872,'9998',55.57,1,3,NULL),(15,2231328,'1989-03-08 00:00:00',4,1,12,2006,'F','N','ASA NORTE','BRASILIA','DF','107072071217471751448834575132610164147',NULL,'9998',0.00,1,3,NULL),(15,2231336,'1988-09-20 00:00:00',4,1,12,2006,'M','N','JD GARCIA','CAMPINAS','SP','125252251215572431459931571122610122013',2370,'9998',68.02,1,3,NULL),(15,2231344,'1990-12-06 00:00:00',2,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124243241315111421563319295132610127062',13489,'737',46.91,1,3,NULL),(15,2231352,'1963-02-13 00:00:00',2,1,12,2002,'M','N','SÃO SEBASTIÃO','PALHOCA','SC','224243247411131421423243431134610114042',22420,'1003',30.12,5,4,NULL),(15,2231360,'1985-12-23 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241115273441248823345122610164052',6636,'271',57.83,1,2,1),(15,2231379,'1990-11-09 00:00:00',4,7,12,2007,'F','N','INTERIOR','PIRATUBA','SC','124241241112161531424336572342610164057',NULL,'619',17.45,1,3,NULL),(15,2231387,'1990-03-08 00:00:00',4,1,12,2007,'F','N','PANAZZOLO','CAXIAS DO SUL','RS','120201201116131431436611575122610133057',18574,'9998',39.37,4,2,1),(15,2231395,'1989-09-09 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216472122244423575122610167184',14202,'988',45.87,1,3,NULL),(15,2231409,'1989-02-25 00:00:00',4,1,12,2006,'M','N','JD AUTONOMISTA','CAMPO GRANDE','MS','112122121216312751478813435115143268187',3328,'9998',65.19,1,3,NULL),(15,2231425,'1990-08-14 00:00:00',4,8,9,2007,'F','N','GLÓRIA','JOINVILLE','SC','124242248215171411538812574122610117092',19516,'491',37.79,1,3,NULL),(15,2231433,'1989-11-25 00:00:00',4,1,12,2007,'F','N','CIDADE ALTA','PIRACICABA','SP','125252251215111431458834571121610121193',22014,'9998',32.23,3,3,NULL),(15,2231441,'1988-10-27 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241112372431336623285124610123142',11244,'271',50.09,1,3,NULL),(15,2231450,'1990-03-13 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241135131431235533572124610114017',20622,'283',35.64,1,2,1),(15,2231468,'1989-08-26 00:00:00',2,5,12,2006,'F','N','CENTRO','SANTIAGO','RS','120201201217371431343924575112142264194',22441,'9998',29.88,1,3,NULL),(15,2231476,'1984-01-30 00:00:00',2,1,12,2001,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124201201116141451533479123134613264181',NULL,'9998',30.22,1,3,NULL),(15,2231484,'1991-01-10 00:00:00',4,8,12,2007,'M','N','JARDIM CARVALHO','PONTA GROSSA','PR','116162161214111431538811591122610117147',1385,'9998',71.72,1,3,NULL),(15,2231492,'1988-12-19 00:00:00',4,1,12,2006,'F','N','NOVA PIRACICABA','PIRACICABA','SP','125252251215541431457834571122610162183',NULL,'9998',0.00,1,3,NULL),(15,2231506,'1989-05-06 00:00:00',4,1,12,2006,'M','N','JARDIM AMÉRICA','CAXIAS DO SUL','RS','120204201217111431468612442123241437052',6601,'9998',57.90,1,3,NULL),(15,2231514,'1989-01-21 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216152411468819575112231032047',12392,'266',48.44,1,3,NULL),(15,2231522,'1973-05-01 00:00:00',2,1,12,1996,'M','N','CENTRO','FLORIANOPOLIS','SC','124161161122131431434429191324141162043',17874,'9998',40.55,4,1,1),(15,2231530,'1979-07-07 00:00:00',5,1,12,1996,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241112275751556611395234221637147',NULL,'271',0.00,1,3,NULL),(15,2231549,'1988-09-19 00:00:00',4,1,12,2006,'M','N','ALPHAVILLE','SANTANA DE PARNAIBA','SP','125252251216472411568612575122610167122',2546,'9998',67.48,1,3,NULL),(15,2231557,'1988-08-05 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241112132432534633372111610127022',21099,'307',34.66,1,2,1),(15,2231565,'1988-05-26 00:00:00',4,1,5,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','128281281117161431477934475124610134092',22497,'9998',28.83,1,3,NULL),(15,2231573,'1985-09-10 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215374451459714431125233235092',NULL,'270',47.11,1,3,NULL),(15,2231581,'1990-12-26 00:00:00',4,9,12,2007,'M','N','CENTRO','ANITA GARIBALDI','SC','124243241116161131456633592212610162157',20600,'18',35.69,1,3,NULL),(15,2231590,'1990-01-17 00:00:00',4,7,12,2007,'F','N','VILA ALEMANHA','LUZERNA','SC','124241241216371441448932575124610142092',8123,'446',55.15,1,3,NULL),(15,2231611,'1985-02-24 00:00:00',4,4,12,2002,'M','N','CENTRO','XAXIM','SC','124243241217153741364831475115131045176',1575,'872',70.89,1,3,NULL),(15,2231620,'1988-07-26 00:00:00',4,1,12,2005,'M','N','JARDIM ANA MARIA','SOROCABA','SP','125251256224572451536614242124610142166',NULL,'9998',0.00,1,3,NULL),(15,2231638,'1966-01-29 00:00:00',2,1,7,1998,'F','N','CARIANOS','FLORIANOPOLIS','SC','224131247612372431366453372122610131187',19615,'9999',37.58,1,3,NULL),(15,2231646,'1988-10-06 00:00:00',2,5,12,2006,'F','N','CENTRO','CRICIUMA','SC','124242241215472431349924575125610123012',NULL,'210',0.00,1,3,NULL),(15,2231654,'1990-05-09 00:00:00',4,7,12,2007,'F','N','INTERIOR','PIRATUBA','SC','124241241116161731433636572324610157147',18141,'619',40.08,1,3,NULL),(15,2231662,'1990-05-15 00:00:00',4,1,12,2007,'M','N','PAULISTA','PIRACICABA','SP','125251251115571431547634343124610126193',NULL,'9998',0.00,4,1,1),(15,2231689,'1990-05-27 00:00:00',4,3,12,2007,'M','N','CENTRO','BORBOREMA','SP','125252251215111431458813571124610147012',1306,'9998',72.05,1,3,NULL),(15,2231697,'1990-01-18 00:00:00',4,3,12,2007,'M','N','JARDIM IATE CLUBE','BALNEARIO CAMBORIU','SC','124241241215311531359713572121610167077',20957,'44',34.94,2,1,2),(15,2231700,'1985-03-05 00:00:00',2,1,11,2003,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124243247347241731428631241124610122112',NULL,'9997',0.00,1,3,NULL),(15,2231727,'1988-07-10 00:00:00',4,8,12,2005,'M','N','ROYAL PARK','LONDRINA','PR','116162161217571431466612592122610164052',NULL,'9998',0.00,4,3,NULL),(15,2231735,'1989-02-06 00:00:00',4,1,12,2007,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242241216111751324624175124610167167',NULL,'258',15.49,2,1,2),(15,2231743,'1979-05-26 00:00:00',2,1,7,2006,'F','N','SÃO SEBASTIÃO','FLORIANOPOLIS','SC','625241247126271431423474292344610114147',19920,'9997',36.97,1,3,NULL),(15,2231751,'1989-11-19 00:00:00',2,1,12,2006,'M','N','CENTRO','BIGUACU','SC','124243241217132431337613571114610127047',22323,'1040',30.89,1,3,NULL),(15,2231778,'1990-04-26 00:00:00',4,1,12,2007,'M','N','CENTRO','POCOS DE CALDAS','MG','113132131215111431458737572121610127013',3321,'9998',65.22,1,3,NULL),(15,2231786,'1989-02-24 00:00:00',2,4,11,2006,'M','N','CENTRO','CHAPECO','SC','124244243416141411633532342122610167062',NULL,'185',0.00,1,3,NULL),(15,2231794,'1989-10-26 00:00:00',4,1,3,2005,'M','N','CENTRO','DIONISIO CERQUEIRA','SC','124241241115131411535624132121610157057',NULL,'245',24.00,4,2,1),(15,2231816,'1989-07-06 00:00:00',4,1,12,2006,'M','N','PERDIZES','SAO PAULO','SP','125252251217471431546831575112610127182',NULL,'9998',0.00,4,3,NULL),(15,2231824,'1990-10-13 00:00:00',4,7,12,2007,'F','N','PARQUE JARDIM OURO','OURO','SC','124241241115231731423311214224610125077',18716,'156',39.14,1,2,1),(15,2231832,'1984-05-12 00:00:00',2,1,12,2003,'M','N','GUARDA DO EMBAÚ','PALHOCA','SC','124241241125271441531114384124610134042',22433,'595',29.98,1,2,1),(15,2231840,'1990-09-07 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215371431668821215121610168011',4834,'262',61.45,1,3,NULL),(15,2231859,'1990-01-13 00:00:00',2,7,12,2007,'F','N','CENTRO','ERVAL VELHO','SC','124242241215271431538911571122610167072',3136,'962',65.73,1,3,NULL),(15,2231867,'1988-09-11 00:00:00',4,1,12,2005,'M','N','CENTRO','CAMPINAS','SP','125251251216311431236623395334610147092',8233,'9998',54.96,1,3,NULL),(15,2231875,'1990-02-16 00:00:00',4,4,12,2007,'F','N','INTERIOR','MONDAI','SC','124241241115131411414335152214610143057',NULL,'564',25.65,1,2,1),(15,2231883,'1990-07-15 00:00:00',4,8,12,2007,'F','N','BUCAREIN','JOINVILLE','SC','124244231432111431326413335114610112147',16409,'489',42.74,1,3,NULL),(15,2231891,'1984-03-16 00:00:00',4,6,12,2001,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241116575431566623435114610164147',3225,'614',65.46,1,2,1),(15,2231905,'1989-05-21 00:00:00',4,7,12,2007,'F','N','INTERIOR','PIRATUBA','SC','124241241117161231423336342324610134017',NULL,'619',24.38,1,3,NULL),(15,2231913,'1989-08-13 00:00:00',2,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124241248135161431423539172125610134077',NULL,'405',19.91,1,2,1),(15,2231930,'1984-05-30 00:00:00',2,1,12,2001,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241248131134711326634341324131062182',13984,'838',46.17,2,1,1),(15,2231948,'1988-10-17 00:00:00',4,1,11,2006,'M','N','COLINAS','SAO JOSE DOS CAMPOS','SP','125252258217472731368813575112610127112',9901,'9998',52.09,1,3,NULL),(15,2231956,'1992-01-18 00:00:00',4,9,11,2008,'F','S','CENTRO','LAGES','SC','124242241225111431647719572112610138052',NULL,'499',51.39,1,3,NULL),(15,2231964,'1990-09-29 00:00:00',2,10,11,2007,'M','N','VILLAGE','IMBITUBA','SC','124243241316131331438613432322610162062',14113,'359',46.01,1,3,NULL),(15,2231972,'1990-06-02 00:00:00',4,1,11,2007,'F','N','CENTRO','ITAPIRANGA','SC','124241241135161431326314241122610128147',NULL,'412',21.85,1,2,1),(15,2231980,'1988-03-12 00:00:00',4,1,12,2005,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215372441588813472122120744122',2150,'260',68.78,1,3,NULL),(15,2232006,'1988-11-23 00:00:00',4,8,12,2006,'F','N','VIAL SANTA HELENA','TUPA','SP','125253251215471411445811595124610162082',NULL,'9998',0.00,1,3,NULL),(15,2232014,'1990-05-18 00:00:00',4,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124243241215111441446631574122610116171',762,'723',74.92,1,3,NULL),(15,2232022,'1988-12-29 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124161241115131431513319395124610133147',NULL,'288',19.20,1,2,1),(15,2232030,'1990-06-22 00:00:00',2,1,11,2007,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124241241117131421326327345124610114175',19307,'592',38.15,2,3,NULL),(15,2232049,'1990-07-31 00:00:00',2,5,12,2007,'F','N','IGRA','TORRES','RS','120201242115111431214414572324610147052',NULL,'690',40.14,4,2,1),(15,2232057,'1990-11-28 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215121431468931475122610168142',13470,'9997',46.92,1,3,NULL),(15,2232065,'1988-07-02 00:00:00',2,1,11,2006,'M','N','SÃO DIMAS','SAO JOSE DOS CAMPOS','SP','125252251217471431358833575122610167187',NULL,'9998',0.00,3,3,NULL),(15,2232073,'1990-04-06 00:00:00',2,3,12,2007,'F','N','PASSO','SAO BORJA','RS','120201201146141731424724291134610124187',NULL,'9998',0.00,1,3,NULL),(15,2232081,'1989-12-08 00:00:00',4,1,12,2007,'M','N','PLANALTO PAULISTA','SAO PAULO','SP','125252251217151731439822572122610167041',15025,'9998',44.77,1,3,NULL),(15,2232090,'1989-11-29 00:00:00',4,6,12,2006,'F','N','QUATRO ILHAS','BOMBINHAS','SC','124241241115131431423314242124610128187',20324,'96',36.19,1,2,1),(15,2232103,'1989-09-09 00:00:00',4,1,11,2007,'M','N','ITAIM BIBI','SAO PAULO','SP','125252251217111411289832575112610161042',19208,'9998',38.33,1,3,NULL),(15,2232111,'1986-10-12 00:00:00',3,1,12,2007,'M','N','VILA SAO PEDRO','MALLET','PR','116281131317111431463339595322610167015',6613,'9998',57.88,1,3,NULL),(15,2232120,'1985-05-12 00:00:00',2,1,12,2005,'F','N','FRAGATA','PELOTAS','RS','120201201127131431533419482314610134077',NULL,'9998',15.21,2,1,1),(15,2232138,'1988-03-14 00:00:00',4,1,12,2005,'M','N','CITY RIBEIRÃO','RIBEIRAO PRETO','SP','125252251417571411568811572141610152173',3723,'9998',64.15,1,3,NULL),(15,2232146,'1990-02-04 00:00:00',2,1,12,2007,'F','N','FLORESTA','SAO JOSE','SC','124241241215111431535512582212610114072',NULL,'1036',17.06,1,3,NULL),(15,2232162,'1990-08-02 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241127141231432631245121610127142',NULL,'274',24.21,1,3,NULL),(15,2232170,'1982-12-02 00:00:00',2,1,12,2001,'F','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124201201117335411333823485121131437097',17259,'9998',41.47,1,2,1),(15,2232189,'1988-03-09 00:00:00',1,4,12,2005,'F','N','CENTRO','TUNAPOLIS','SC','124243241215572411358631212322610167071',16289,'185',42.91,1,3,NULL),(15,2232197,'1990-10-27 00:00:00',4,3,11,2007,'M','N','AGUA VERDE','CURITIBA','PR','116162161216471451378813575112610168162',NULL,'9998',0.00,1,3,NULL),(15,2232200,'1989-01-10 00:00:00',2,7,7,2007,'F','N','CENTRO','CACADOR','SC','124243247637131431127944145334230266182',21727,'9999',33.18,1,3,NULL),(15,2232219,'1984-03-19 00:00:00',2,1,12,2001,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201201127132111436413286341140636047',5835,'9998',59.39,1,3,NULL),(15,2232227,'1991-03-17 00:00:00',2,8,11,2007,'M','N','CENTRO','BALNEARIO BARRA DO SUL','SC','124241241126171211534833391221610117052',17553,'41',41.01,1,2,1),(15,2232235,'1990-09-25 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242244215111251434439595125610167052',NULL,'44',23.03,1,3,NULL),(15,2232243,'1990-11-30 00:00:00',4,7,12,2007,'F','N','PERDIZES','SAO PAULO','SP','125252251217111731368921575124610133092',6904,'9998',57.33,1,3,NULL),(15,2232251,'1986-09-22 00:00:00',2,5,12,2004,'F','N','MINA UNIAO','CRICIUMA','SC','124242241215574431558934442112133246182',519,'226',76.64,1,3,NULL),(15,2232260,'1990-09-13 00:00:00',2,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241211131441646612422225610124142',18196,'9997',39.97,1,3,NULL),(15,2232278,'1991-01-18 00:00:00',4,4,12,2007,'M','N','CENTRO','VARGEAO','SC','124243241217111431457712275122610167067',NULL,'836',24.90,1,3,NULL),(15,2232286,'1988-11-27 00:00:00',4,8,12,2005,'F','N','AMÉRICA','JOINVILLE','SC','124162161215572411555632572122610166157',NULL,'9998',0.00,1,3,NULL),(15,2232294,'1990-02-10 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215111431468413595122610163107',21385,'272',34.00,1,3,NULL),(15,2232308,'1990-07-08 00:00:00',4,8,12,2007,'F','N','CENTRO','GARUVA','SC','124243241435141431445632345124610165047',16419,'932',42.73,1,3,NULL),(15,2232316,'1990-07-30 00:00:00',4,1,12,2007,'M','N','CENTRO','NOVA TRENTO','SC','124244241215162431378614577114610164187',5274,'109',60.57,1,3,NULL),(15,2232324,'1988-08-04 00:00:00',4,1,12,2005,'F','N','CENTRO','VENANCIO AIRES','RS','120202201117571411546634271124610124147',NULL,'9998',0.00,1,3,NULL),(15,2232332,'1990-07-14 00:00:00',4,10,11,2007,'M','N','CENTRO','TUBARAO','SC','124242241217271711437619592115610124017',NULL,'806',27.10,1,3,NULL),(15,2232340,'1984-08-25 00:00:00',4,1,12,2001,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124161241216134431644714345124610163042',NULL,'258',28.14,1,3,NULL),(15,2232359,'1990-01-13 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241145141231246312442124610128065',21367,'285',34.05,1,2,1),(15,2232367,'1991-03-01 00:00:00',2,1,12,2008,'F','S','PONTA DE BAIXO','SAO JOSE','SC','124243241215111431658612242132610126051',NULL,'9997',32.71,3,3,NULL),(15,2232383,'1977-08-04 00:00:00',2,1,12,1994,'M','N','PÂNTANO DO SUL','FLORIANOPOLIS','SC','124202208214374431336613432334121727053',10255,'9998',51.56,1,3,NULL),(15,2232391,'1988-11-11 00:00:00',4,1,12,2005,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242241212213111359931375124233267117',18775,'738',39.03,1,3,NULL),(15,2232405,'1980-06-26 00:00:00',5,8,12,2000,'M','N','BOM RETIRO','JOINVILLE','SC','124241241146155741434329495124231762182',NULL,'831',0.00,1,2,1),(15,2232413,'1989-10-10 00:00:00',2,3,12,2007,'M','N','LICORSUL','BENTO GONCALVES','RS','120201201146471431355519275112610114142',NULL,'9998',20.53,1,3,NULL),(15,2232430,'1990-02-27 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241115131431533319192122610147147',NULL,'9997',23.87,1,3,NULL),(15,2232448,'1991-01-18 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241212121722416832395113610117181',NULL,'270',33.20,1,3,NULL),(15,2232456,'1981-04-06 00:00:00',2,1,12,1999,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','224201207117132431326554185222141036157',15923,'9998',43.51,1,2,1),(15,2232464,'1982-11-22 00:00:00',2,1,12,2001,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241116133431236644245124610114143',21795,'276',32.97,1,2,1),(15,2232480,'1989-02-08 00:00:00',2,1,11,2007,'F','N','CENTRO','PALHOCA','SC','124241241235132431357613381124610127187',16361,'1022',42.81,1,3,NULL),(15,2232499,'1988-11-15 00:00:00',2,1,12,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241211112411238733442114230267042',16794,'1022',42.18,1,3,NULL),(15,2232510,'1990-01-19 00:00:00',4,4,12,2006,'M','N','LINHA BATISTELLO','CHAPECO','SC','124241241125171151323565592324610127042',NULL,'914',24.74,1,3,NULL),(15,2232529,'1989-11-17 00:00:00',4,6,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242246215311211588832472122610147112',NULL,'44',24.10,5,3,NULL),(15,2232537,'1990-08-23 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215121431468837575124610167072',2597,'1022',67.33,1,3,NULL),(15,2232553,'1986-08-07 00:00:00',2,5,12,2007,'M','N','CENTRO','BOM JESUS','RS','120201242115131431613316572324610113062',NULL,'690',0.00,2,2,1),(15,2232561,'1988-03-30 00:00:00',2,1,12,2005,'F','N','VICENTINA','SAO LEOPOLDO','RS','120201201117272711329771373115143263117',14161,'9998',45.95,1,2,1),(15,2232570,'1988-09-13 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241116231531535813342225130346142',18487,'124',39.51,1,3,NULL),(15,2232588,'1987-09-13 00:00:00',4,1,12,2004,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124204201215474431539912212224610125142',17465,'9998',41.13,1,3,NULL),(15,2232596,'1990-12-07 00:00:00',4,8,12,2008,'F','S','CENTRO','SAO BENTO DO SUL','SC','124241241216151711568811575122610124012',NULL,'974',36.96,1,3,NULL),(15,2232600,'1990-07-23 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241115131431323319292124610137147',19838,'286',37.14,1,2,1),(15,2232618,'1990-08-09 00:00:00',4,8,12,2007,'F','N','CENTRO','PIEN','PR','116241241215111431436814575122610167147',NULL,'9997',0.00,1,3,NULL),(15,2232626,'1989-09-22 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241216111431559831572124610125142',18759,'1022',39.06,1,3,NULL),(15,2232634,'1990-05-26 00:00:00',4,5,11,2007,'F','N','CENTRO','URUSSANGA','SC','124242241215111331446811575122610124092',9406,'820',52.93,1,3,NULL),(15,2232642,'1990-07-06 00:00:00',2,4,12,2007,'F','N','INTERIOR','BARRA DO RIO AZUL','RS','120201201116271451426923432224610128057',NULL,'9998',15.05,1,3,NULL),(15,2232650,'1987-03-06 00:00:00',4,1,12,2004,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','624241241127232431364954292122231066077',13455,'828',46.94,1,2,1),(15,2232669,'1989-11-22 00:00:00',2,1,12,2007,'F','N','CASCAVEL','GUARAPUAVA','PR','116161168116131431426723575324610123147',16862,'9998',42.06,1,2,1),(15,2232677,'1988-08-29 00:00:00',2,1,12,2005,'F','N','IPIRANGA','SAO JOSE','SC','124241248116141421321119315134230242067',NULL,'734',22.10,1,3,NULL),(15,2232685,'1988-12-25 00:00:00',2,1,12,2006,'F','N','CENTRO','PALMEIRA DAS MISSOES','RS','120201201116271431358714585122610133147',9384,'9998',52.97,1,3,NULL),(15,2232693,'1988-05-18 00:00:00',4,1,12,2005,'M','N','CENTRO','CAMPINAS','SP','125252253216471421336614285114610122097',NULL,'9998',0.00,1,3,NULL),(15,2232707,'1987-02-04 00:00:00',2,1,11,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241247327162431523331245234610128142',21552,'9999',33.63,3,3,NULL),(15,2232715,'1987-04-21 00:00:00',2,1,12,2004,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241216554431448614342122230222127',4888,'226',61.34,1,3,NULL),(15,2232723,'1989-10-25 00:00:00',2,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124242241212472431458812571124610131142',8569,'262',54.41,4,3,NULL),(15,2232740,'1989-10-20 00:00:00',4,1,12,2007,'M','N','MOEMA','SAO PAULO','SP','125252251217151531487911175122610117042',NULL,'9998',0.00,1,3,NULL),(15,2232758,'1990-03-30 00:00:00',4,1,12,2007,'M','N','AREIAS','TIJUCAS','SC','124243241116271411446614595121610126127',17498,'783',41.09,1,3,NULL),(15,2232766,'1990-04-19 00:00:00',4,5,10,2007,'F','N','PRÓSPERA','CRICIUMA','SC','124242241215111431476432572122610132072',6669,'213',57.78,1,3,NULL),(15,2232774,'1991-08-14 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431463969592115610123142',NULL,'270',46.28,1,3,NULL),(15,2232782,'1990-12-29 00:00:00',4,1,12,2008,'F','S','CANTO','FLORIANOPOLIS','SC','124242241216151232567823575115610134187',NULL,'273',56.63,1,3,NULL),(15,2232790,'1978-09-26 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243247222151431446933441124610167117',17560,'9999',41.00,1,3,NULL),(15,2232804,'1990-03-24 00:00:00',2,1,11,2007,'M','N','BELA VISTA II','SAO JOSE','SC','124242241216111451638627575124610127093',20310,'1022',36.22,1,3,NULL),(15,2232812,'1988-08-17 00:00:00',2,1,11,2005,'F','N','BELA VISTA DOIS','SAO JOSE','SC','624241241115472331648629492124610143187',6005,'1022',59.07,4,3,NULL),(15,2232820,'1989-06-06 00:00:00',4,1,12,2006,'M','N','JARDIM DOS PASSAROS','GUARUJA','SP','125254251217471431266811575121610144037',9231,'9998',53.22,3,3,NULL),(15,2232839,'1989-09-01 00:00:00',4,1,12,2006,'M','N','JARDIM APOLO','SAO JOSE DOS CAMPOS','SP','125252251217472431248614572123610127112',6766,'9998',57.62,1,3,NULL),(15,2232847,'1986-06-04 00:00:00',2,1,11,2003,'M','N','SANTINHO','FLORIANOPOLIS','SC','124241241117141721423713335224610127057',NULL,'175',0.00,1,2,1),(15,2232863,'1989-02-27 00:00:00',4,3,11,2006,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241136371731324724242224610124077',NULL,'405',20.12,1,2,1),(15,2232871,'1987-09-15 00:00:00',4,6,12,2005,'F','N','SICILIANO','SAO PAULO','SP','125252251217571751436631581124610166145',4699,'9998',61.75,1,3,NULL),(15,2232880,'1983-08-13 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANOPOLIS','SC','124202241216152431466624482122321437127',2898,'270',66.46,1,3,NULL),(15,2232898,'1989-01-06 00:00:00',4,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124244241427111411553429392124610143142',NULL,'736',24.02,5,3,NULL),(15,2232901,'1990-04-12 00:00:00',4,2,11,2007,'F','N','ASILO','BLUMENAU','SC','124242241211111431446814572122610127017',6957,'71',57.24,1,3,NULL),(15,2232910,'1989-07-03 00:00:00',4,1,11,2006,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241215372431553832576114610162037',9127,'269',53.41,1,3,NULL),(15,2232928,'1986-01-28 00:00:00',4,6,12,2002,'M','N','PRAIA DE SÃO MIGUEL','PENHA','SC','124243241342161331458833425132131447187',NULL,'834',0.00,1,3,NULL),(15,2232936,'1991-05-05 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244241137131731325823582124610136172',15580,'733',44.00,2,3,NULL),(15,2232944,'1989-05-11 00:00:00',4,4,12,2007,'M','N','P C BRANCO','PRESIDENTE CASTELO BRANCO','SC','124241242116171431526616212324610167142',NULL,'196',0.00,1,3,NULL),(15,2232952,'1990-10-31 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117151431466653574324610123142',22250,'278',31.28,1,3,NULL),(15,2232960,'1972-10-11 00:00:00',2,1,12,1992,'M','N','ESTREITO','FLORIANOPOLIS','SC','624202206417231431248641411122141428187',11722,'9998',49.36,2,1,2),(15,2232979,'1991-06-29 00:00:00',4,3,12,2008,'M','S','CENTRO','CASCAVEL','PR','116164161237111311549912295122610166097',NULL,'9998',49.40,1,3,NULL),(15,2232987,'1988-04-26 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241142373431436612245124230262092',13454,'192',46.94,1,2,1),(15,2232995,'1990-05-07 00:00:00',2,4,12,2007,'F','N','CENTRO','GAURAMA','RS','120201201117141431455612292322610134147',14579,'9998',45.30,1,2,1),(15,2233002,'1990-05-17 00:00:00',2,9,12,2007,'F','N','CENTRO','ANITA GARIBALDI','SC','124244241235111711358923571124610143142',8407,'1065',54.68,1,3,NULL),(15,2233029,'1988-12-30 00:00:00',4,1,11,2006,'F','N','AREIAS DO CAMPECHE','FLORIANOPOLIS','SC','124241241316133431526411245234610134147',20744,'9997',35.41,1,3,NULL),(15,2233037,'1989-06-29 00:00:00',2,1,12,2007,'M','N','SÃO SEBASTIÃO','PALHOCA','SC','124241241112131712436713445124610167047',14937,'592',44.87,5,4,NULL),(15,2233045,'1989-10-30 00:00:00',4,4,12,2007,'F','N','INTERIOR','NOVO HORIZONTE','SC','124241241125161411423616153324610125052',18357,'579',39.71,1,3,NULL),(15,2233053,'1990-11-08 00:00:00',2,1,12,2007,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241316131431336614145122610125197',14348,'941',45.65,4,3,NULL),(15,2233061,'1990-10-28 00:00:00',2,9,12,2007,'F','N','SÃO BERNARDO','UNIAO DA VITORIA','PR','116161241415131411559923572125610168197',NULL,'633',0.00,1,3,NULL),(15,2233070,'1989-01-03 00:00:00',4,8,12,2006,'M','N','AGUA VERDE','CURITIBA','PR','116162161216471411568819575122610167067',3581,'9998',64.51,1,3,NULL),(15,2233088,'1985-04-09 00:00:00',4,1,10,2003,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241248117133232336748492214610117117',NULL,'307',23.10,4,2,1),(15,2233100,'1986-07-26 00:00:00',2,1,12,2004,'F','N','JARDIM AZALEIAS','POCOS DE CALDAS','MG','113131131117152431434624572344610166017',16502,'9998',42.59,4,3,NULL),(15,2233118,'1990-06-28 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161217471231488611575122610168052',NULL,'9998',0.00,1,3,NULL),(15,2233150,'1987-01-18 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241316372441225321395124610132187',8170,'1022',55.06,1,3,NULL),(15,2233169,'1966-03-10 00:00:00',2,3,12,1985,'F','N','JARDIM FERRARI III','ITAPEVA','SP','225251256126131721546253335134342266097',11157,'9998',50.22,1,3,NULL),(15,2233177,'1977-03-17 00:00:00',4,1,12,2002,'M','N','TAPERA','FLORIANOPOLIS','SC','124241247127171421123344441344610142177',NULL,'9999',25.25,2,1,1),(15,2233185,'1989-08-29 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215122431275933475122610124192',NULL,'262',0.00,1,3,NULL),(15,2233193,'1990-11-03 00:00:00',4,1,12,2007,'M','N','ARIRU','PALHOCA','SC','124241241117131421436623292124610137012',21537,'591',33.66,1,2,1),(15,2233207,'1989-11-20 00:00:00',2,4,12,2007,'F','N','INTERRIOR','GAURAMA','RS','120201201116151431423331295233610134147',13686,'9998',46.64,1,2,1),(15,2233215,'1990-04-21 00:00:00',4,1,11,2007,'M','N','LAGO SUL','BRASILIA','DF','107072071215111431478833572122610167057',NULL,'9998',0.00,1,3,NULL),(15,2233223,'1989-10-29 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215121431678762122222610163142',19478,'1022',37.86,1,3,NULL),(15,2233231,'1989-06-20 00:00:00',4,1,8,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242241117151431546633375114610164142',9727,'739',52.39,1,3,NULL),(15,2233258,'1989-07-02 00:00:00',4,2,12,2006,'M','N','DO SOL','INDAIAL','SC','124241241315112431448319285224610117042',NULL,'956',0.00,1,3,NULL),(15,2233266,'1978-12-18 00:00:00',2,1,12,1997,'M','N','ALTO ARIRIÚ','PALHOCA','SC','624241246116273411243374245222221722077',11266,'306',50.06,1,2,1),(15,2233274,'1989-07-19 00:00:00',2,8,12,2006,'M','N','CENTRO','VERA CRUZ','SP','125253251216371411448823575112610124122',10141,'9998',51.73,1,3,NULL),(15,2233282,'1987-06-30 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248217373431537674342112122765143',12060,'266',48.90,1,3,NULL),(15,2233290,'1988-03-11 00:00:00',2,1,12,2004,'F','N','CENTRO','ANAPOLIS','GO','109091091116571431546431372224610162092',3873,'9998',63.81,1,2,1),(15,2233304,'1984-04-07 00:00:00',4,1,7,2002,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241117574431335539441124133244087',11824,'307',49.22,1,2,1),(15,2233312,'1990-09-28 00:00:00',2,3,12,2007,'F','N','JARDIM EUROPA','PONTA GROSSA','PR','116162161215111431468836572122610141147',9023,'9998',53.61,1,3,NULL),(15,2233320,'1986-04-29 00:00:00',2,8,12,2003,'F','N','PORTAO','CURITIBA','PR','116162161211571451428624572114610141017',16421,'9998',42.73,1,3,NULL),(15,2233339,'1986-07-26 00:00:00',2,1,12,2004,'F','N','JARDIM AZALEIA','POCOS DE CALDAS','MG','113131131116152732426734595344610166095',14588,'9998',45.29,4,3,NULL),(15,2233347,'1988-04-08 00:00:00',2,1,12,2005,'F','N','CAMPINAS','SAO JOSE','SC','124242241215373441327614395124610127072',6715,'737',57.70,1,3,NULL),(15,2233355,'1987-07-06 00:00:00',4,10,12,2004,'F','N','CENTRO','TUBARAO','SC','124243241212153441358823475123230227012',15364,'806',44.31,1,3,NULL),(15,2233363,'1990-07-25 00:00:00',4,6,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124241241211111431456812572122610161072',6646,'422',57.82,1,3,NULL),(15,2233371,'1988-09-30 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241415372431458832375124610112097',13954,'270',46.22,4,3,NULL),(15,2233380,'1990-10-09 00:00:00',4,9,12,2007,'M','N','CENTRO','SANTA CECILIA','SC','124241241115271431236624575112610146172',12998,'686',47.60,1,2,1),(15,2233398,'1989-06-13 00:00:00',4,1,12,2006,'M','N','VILA SÃO PAULO','ITANHAEM','SP','125252251215471431488633575112610167112',NULL,'9998',0.00,1,3,NULL),(15,2233401,'1988-10-25 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124252241215372431488611575122231237147',13096,'269',47.45,1,3,NULL),(15,2233410,'1990-03-27 00:00:00',4,7,12,2007,'M','N','CENTRO','CURITIBA','PR','116242161235471751568616395125610168042',NULL,'9998',0.00,1,3,NULL),(15,2233428,'1990-07-08 00:00:00',1,8,11,2007,'M','N','AMÉRICA','JOINVILLE','SC','124242241217111711389612292122610142142',3636,'457',64.39,1,3,NULL),(15,2233436,'1985-10-28 00:00:00',4,1,12,2003,'M','N','JARDIM INOCOPE','RIO CLARO','SP','125254251215411431446611472123610127182',9032,'9998',53.59,1,3,NULL),(15,2233444,'1989-10-13 00:00:00',4,6,11,2007,'F','N','DOM BOSCO','ITAJAI','SC','124242241217221431568811414122610162122',10596,'1026',51.03,1,3,NULL),(15,2233452,'1991-01-25 00:00:00',4,8,11,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241215371431546614574122610168057',5693,'461',59.68,1,3,NULL),(15,2233460,'1989-11-01 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124242241215473431436821575114610127047',4010,'738',63.42,1,3,NULL),(15,2233479,'1973-09-11 00:00:00',2,1,12,1997,'F','N','ITACORUBÍ','FLORIANOPOLIS','SC','624241241322132731232153132124322212187',NULL,'9999',45.16,1,3,NULL),(15,2233487,'1989-02-20 00:00:00',4,1,12,2006,'F','N','CENTRO','ITAPETININGA','SP','125252251215471431458833572122610126092',12015,'9998',48.97,1,3,NULL),(15,2233495,'1986-09-02 00:00:00',4,10,12,2004,'F','N','JARDIM SANTO ANTONIO','SANTA RITA DO SAPUCAI','MG','113132136215572431348816472114610124122',4869,'9998',61.38,1,3,NULL),(15,2233509,'1992-02-22 00:00:00',4,1,11,2009,'F','S','PONTA DAS CANAS','FLORIANOPOLIS','SC','124242248212111431346613395124610124147',NULL,'1022',36.96,1,3,NULL),(15,2233517,'1990-09-15 00:00:00',4,1,11,2007,'M','N','DUAS MARIAS','JAGUARIUNA','SP','125252251216111442649814575122610132185',14639,'9998',45.22,1,3,NULL),(15,2233525,'1992-07-29 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124244248416111451468814572112610143147',16876,'497',42.04,1,3,NULL),(15,2233533,'1988-07-04 00:00:00',4,1,12,2005,'M','N','FORQUILHINHAS','SAO JOSE','SC','124204201212271431336612225124610144057',13462,'9998',46.93,4,3,NULL),(15,2233550,'1990-01-25 00:00:00',4,1,12,2007,'F','N','ST ANTONIO DE LISBOA','FLORIANOPOLIS','SC','124241241125131731423321295334610134147',22125,'279',31.82,1,2,1),(15,2233568,'1980-02-26 00:00:00',4,1,11,1996,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241216142721168943435122321435142',5518,'661',60.02,1,3,NULL),(15,2233576,'1991-06-13 00:00:00',4,1,11,2008,'F','S','JOÃO PAULO','FLORIANOPOLIS','SC','124243241217131442249833572224610164145',NULL,'1098',61.90,3,3,NULL),(15,2233584,'1981-11-15 00:00:00',5,1,11,1996,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241243116135431126541315124610115037',22170,'521',31.63,1,2,1),(15,2233592,'1988-03-01 00:00:00',4,1,12,2005,'M','N','SATELITE','SAO JOSE DOS CAMPOS','SP','125252251211471711445519575112610162144',15461,'9998',44.17,1,3,NULL),(15,2233606,'1976-01-05 00:00:00',4,2,12,1993,'M','N','BAIRRO NAÇOES','INDAIAL','SC','124204202117151711143643435332343135063',11102,'9998',50.30,1,3,NULL),(15,2233614,'1989-11-19 00:00:00',2,1,2,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241112272431458933572124230267042',7179,'268',56.83,1,2,1),(15,2233622,'1989-01-10 00:00:00',4,6,12,2006,'F','N','JARDIM INDUSTRIAS','SAO JOSE DOS CAMPOS','SP','125251251217471531455611575122610121147',5015,'9998',61.05,1,3,NULL),(15,2233649,'1987-06-28 00:00:00',4,1,6,2005,'F','N','CAMPINAS','SAO JOSE','SC','124242247236371431228321572114610168092',NULL,'1076',0.00,1,3,NULL),(15,2233665,'1989-10-26 00:00:00',4,1,12,2006,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124202241215472431235815572124610164142',1991,'270',69.30,1,3,NULL),(15,2233673,'1990-06-30 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241115151431538913345122610147042',15056,'307',44.73,1,2,1),(15,2233681,'1983-01-23 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124251251117271731235842215124143262027',7221,'9998',56.74,1,3,NULL),(15,2233703,'1972-10-23 00:00:00',4,1,12,1990,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241248341144411128643435124320946187',11408,'9999',49.83,1,3,NULL),(15,2233711,'1988-03-21 00:00:00',2,1,12,2005,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124121121122131331323319442324610147047',NULL,'9998',10.40,4,1,1),(15,2233720,'1975-08-20 00:00:00',2,1,12,1992,'M','N','COQUEIROS','FLORIANOPOLIS','SC','224201201111372421333343431134131027042',8978,'9998',53.69,1,2,1),(15,2233738,'1990-08-13 00:00:00',4,10,11,2007,'F','N','CENTRO','TUBARAO','SC','124242241215272731446823394122610122072',5986,'797',59.10,1,3,NULL),(15,2233746,'1991-01-23 00:00:00',2,10,11,2007,'F','N','KM TRINTA E SETE','LAGUNA','SC','124244241235271431343824292124610122092',19124,'797',38.48,1,3,NULL),(15,2233754,'1991-04-09 00:00:00',4,1,12,2008,'F','S','JOÃO PAULO II','PRESIDENTE PRUDENTE','SP','125252251217111431467612572122610167092',NULL,'9998',48.51,1,3,NULL),(15,2233762,'1991-01-27 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241217111431559613572124610128042',NULL,'269',22.56,1,3,NULL),(15,2233789,'1991-11-11 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241215111431218433172125610112142',18575,'270',39.37,1,3,NULL),(15,2233797,'1989-01-25 00:00:00',2,1,12,2006,'F','N','CENTRO','GAROPABA','SC','124241241146142411644731315121232067047',20280,'322',36.26,1,2,1),(15,2233800,'1987-07-22 00:00:00',2,1,12,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','124244241316275431226521445122230263162',7766,'976',55.76,1,3,NULL),(15,2233827,'1990-12-16 00:00:00',4,1,12,2008,'M','S','ITAGUAÇU','FLORIANOPOLIS','SC','124242241217111411456934571114610137047',NULL,'270',24.33,1,3,NULL),(15,2233835,'1989-10-28 00:00:00',4,5,12,2007,'M','N','VERENA','SANTA CRUZ DO SUL','RS','120202208217111431456824142121610134187',NULL,'9998',0.00,1,3,NULL),(15,2233843,'1988-09-23 00:00:00',4,3,12,2005,'M','N','CENTRO','CURITIBA','PR','116114111417571431336824474124610167052',2942,'9998',66.32,1,3,NULL),(15,2233851,'1990-07-07 00:00:00',4,8,11,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111731478619472112610134097',10391,'486',51.36,4,3,NULL),(15,2233860,'1990-08-17 00:00:00',4,2,12,2007,'F','N','AZAMBUJA','BRUSQUE','SC','124242241215132441438721592125610135097',6490,'109',58.09,1,3,NULL),(15,2233878,'1989-04-14 00:00:00',4,3,12,2007,'F','N','CENTRO','CASCAVEL','PR','116164251215471431335612572114610126047',NULL,'9998',0.00,1,3,NULL),(15,2233886,'1990-07-24 00:00:00',2,10,12,2007,'M','N','CENTRO','RIO FORTUNA','SC','124241241135131731436931115122610121112',20594,'665',35.70,1,2,1),(15,2233894,'1991-02-12 00:00:00',4,5,12,2007,'M','N','CENTRO','ARARANGUA','SC','124242241215111431456734595122610167112',12130,'32',48.82,1,3,NULL),(15,2233908,'1986-10-02 00:00:00',4,1,12,2005,'F','N','TAPERA','FLORIANOPOLIS','SC','124242241215473411545723372114610126017',7734,'1022',55.80,1,3,NULL),(15,2233924,'1989-05-28 00:00:00',2,8,12,2006,'F','N','VILA SÃO FRANCISCO','REGISTRO','SP','125254251215411431446633572122610167097',15968,'9998',43.44,4,3,NULL),(15,2233940,'1991-12-18 00:00:00',4,1,11,2008,'F','S','ESTREITO','FLORIANOPOLIS','SC','124242241117111731558413392114613224072',NULL,'270',42.68,1,3,NULL),(15,2233959,'1985-05-02 00:00:00',2,1,11,2002,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241116135751448839241224231025092',NULL,'307',34.19,3,3,NULL),(15,2233967,'1989-05-13 00:00:00',2,5,11,2006,'F','N','CENTRO','ICARA','SC','124242241215471411348933371124610144092',NULL,'995',0.00,1,3,NULL),(15,2233975,'1988-04-30 00:00:00',2,1,11,2005,'M','N','BARREIROS','SAO JOSE','SC','124202241337472411336619392114121637047',7627,'257',55.98,1,3,NULL),(15,2233983,'1992-05-02 00:00:00',2,1,12,2008,'M','S','PONTE DO IMARUIM','PALHOCA','SC','124242241215111332436633575122610157042',NULL,'1010',26.09,1,3,NULL),(15,2233991,'1989-05-11 00:00:00',2,1,12,2007,'M','N','PICADAS DO SUL','SAO JOSE','SC','124242241215131431536623572124610117037',21352,'944',34.08,1,3,NULL),(15,2234009,'1955-09-18 00:00:00',2,1,12,1974,'F','N','CENTRO','FLORIANOPOLIS','SC','524216218613111712123679493114231053167',NULL,'9998',0.00,1,3,NULL),(15,2234017,'1991-08-15 00:00:00',4,1,12,2008,'F','S','JARDIM EUCALIPTOS','PALHOCA','SC','124242241215111311333511172222610122092',NULL,'1010',59.24,1,3,NULL),(15,2234025,'1989-07-21 00:00:00',4,9,12,2007,'F','N','CONTA DINHEIRO','LAGES','SC','124243247326131231224469285224610114147',NULL,'515',21.80,1,3,NULL),(15,2234041,'1990-03-14 00:00:00',4,1,12,2007,'M','N','CANTEGRIL II','VIAMAO','RS','120202201217371431349821571222610132187',1886,'9998',69.65,1,3,NULL),(15,2234050,'1990-08-03 00:00:00',2,4,12,2007,'F','N','CIDADE ALTA','CUNHA PORA','SC','124241241115131731524314572344610117055',NULL,'234',0.00,1,2,1),(15,2234068,'1991-07-15 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124244241211111711366723471124610164142',9068,'441',53.54,1,3,NULL),(15,2234076,'1990-02-05 00:00:00',4,8,11,2007,'F','N','SAGUAÇÚ','JOINVILLE','SC','124242241215111431369923574122610167012',5216,'1063',60.67,1,3,NULL),(15,2234084,'1986-01-08 00:00:00',2,1,12,2003,'F','N','PROGRESSO','RIO DO SUL','SC','124242241216575431436611442134610132077',13032,'654',47.54,1,3,NULL),(15,2234092,'1987-01-20 00:00:00',2,1,12,2005,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201201217573431236611574124610138097',2757,'9998',66.85,4,3,NULL),(15,2234106,'1990-07-21 00:00:00',2,5,11,2007,'F','N','JARDIM ITALIA','MELEIRO','SC','124244241315122431569834441124610124075',NULL,'32',23.02,1,3,NULL),(15,2234114,'1990-02-09 00:00:00',4,1,12,2007,'M','N','CENTRO','ANITAPOLIS','SC','124241241127131431436632142122610124147',14524,'19',45.37,1,3,NULL),(15,2234122,'1990-10-05 00:00:00',2,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215111411446511272115610163187',10860,'723',50.67,1,3,NULL),(15,2234130,'1990-03-17 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241216111732348834575114610132043',7113,'262',56.95,1,3,NULL),(15,2234149,'1989-08-01 00:00:00',2,4,12,2005,'F','N','CENTRO','XANXERE','SC','124244241216131431436629472125233238142',NULL,'1081',0.00,1,3,NULL),(15,2234157,'1988-12-26 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124241241116372431524524341324610127047',21828,'733',32.87,1,2,1),(15,2234165,'1989-10-23 00:00:00',2,1,12,2007,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241127151421668613572124610168097',21271,'283',34.27,1,2,1),(15,2234190,'1988-10-11 00:00:00',2,1,12,2005,'M','N','FLORESTA','SAO JOSE','SC','124241241114272742333521292224610122143',7309,'307',56.59,1,2,1),(15,2234203,'1987-06-26 00:00:00',2,1,12,2006,'M','N','BELA VISTA','SAO PAULO','SP','125091251217413211567434585124610162122',16033,'9998',43.33,1,3,NULL),(15,2234211,'1991-01-09 00:00:00',2,7,11,2007,'M','N','CENTRO','IPUMIRIM','SC','124241241216111431446612175122610167047',15336,'1000',44.35,1,3,NULL),(15,2234220,'1990-08-24 00:00:00',4,2,12,2007,'F','N','VORSTADT','BLUMENAU','SC','124242241217111431579812344114610134152',15691,'855',43.82,1,3,NULL),(15,2234246,'1964-10-30 00:00:00',2,1,11,1983,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244243426132431123344245135130848187',20574,'424',35.74,1,3,NULL),(15,2234262,'1965-10-08 00:00:00',2,1,12,1987,'M','N','BARREIROS','SAO JOSE','SC','224201123147131431442253182113130267057',NULL,'9998',0.00,1,2,1),(15,2234270,'1981-06-22 00:00:00',2,1,12,1998,'M','N','BARREIROS','SAO JOSE','SC','624243241122132431248443135223143212147',NULL,'736',35.69,1,3,NULL),(15,2234300,'1989-12-28 00:00:00',2,8,12,2007,'M','N','SANTA ROSA','PORTO UNIAO','SC','124242241213151231566833477212610112042',10051,'632',51.85,1,3,NULL),(15,2234319,'1991-06-06 00:00:00',4,9,11,2008,'F','S','CENTRO','LAGES','SC','124242241214111411434612422122610164092',NULL,'497',36.41,1,3,NULL),(15,2234327,'1978-10-13 00:00:00',4,1,12,2007,'M','N','SERRARIA','SAO JOSE','SC','124243241337142431327711121132610117012',NULL,'9999',26.88,1,3,NULL),(15,2234335,'1987-07-29 00:00:00',2,1,12,2004,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201201211375231416644441224141564197',NULL,'9998',11.23,1,3,NULL),(15,2234343,'1991-07-27 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431366813432122610126052',NULL,'1022',58.28,1,3,NULL),(15,2234351,'1981-11-10 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANOPOLIS','SC','124246241316112712228713235124333254187',NULL,'9999',0.00,1,3,NULL),(15,2234378,'1970-05-05 00:00:00',4,1,12,1987,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','224211216116131411468344345122610167143',NULL,'9998',0.00,1,2,1),(15,2234386,'1990-01-11 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215472431368812575122610127182',4817,'270',61.49,1,3,NULL),(15,2234394,'1989-10-05 00:00:00',4,8,11,2007,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241217211431369632425112610144112',5075,'9997',60.95,1,3,NULL),(15,2234408,'1990-07-17 00:00:00',4,1,12,2007,'M','N','CENTRO','GOVERNADOR VALADARES','MG','113132131216371451365921595122610144047',NULL,'9998',0.00,1,3,NULL),(15,2234416,'1990-06-11 00:00:00',2,1,11,2007,'M','N','CENTRO','TUPARENDI','RS','120201201216111411225729572124610127042',19221,'9998',38.31,1,3,NULL),(15,2234424,'1991-02-19 00:00:00',4,10,12,2007,'F','N','CENTRO','IMBITUBA','SC','124241241115151442328412575124610128197',18172,'359',40.02,1,3,NULL),(15,2234432,'1990-01-25 00:00:00',4,1,11,2007,'F','N','BUENO','GOIANIA','GO','109092091217112231478913571122610167097',13149,'9998',47.39,1,3,NULL),(15,2234440,'1987-01-19 00:00:00',4,8,12,2004,'M','N','CENTRO','CURITIBA','PR','116242241216572411378832274124610121122',NULL,'1105',0.00,1,3,NULL),(15,2234459,'1991-05-08 00:00:00',4,6,10,2008,'M','S','FAZENDA','ITAJAI','SC','124244241417151731479934576121610167085',NULL,'389',46.22,1,3,NULL),(15,2234475,'1989-03-12 00:00:00',4,8,12,2006,'F','N','SÃO JOSÉ','PONTA GROSSA','PR','116162161215411751558631491344610165197',NULL,'9998',0.00,1,3,NULL),(15,2234491,'1989-02-13 00:00:00',4,8,12,2006,'M','N','JARDIM JOAO PAULO II','PRESIDENTE PRUDENTE','SP','125252251215471431477832572112610167042',7295,'9998',56.61,1,3,NULL),(15,2234505,'1991-04-16 00:00:00',4,2,12,2008,'M','S','VICTOR KONDER','BLUMENAU','SC','124242241217171551589831595122610162041',NULL,'909',51.06,1,3,NULL),(15,2234513,'1989-11-17 00:00:00',4,8,11,2006,'M','N','REVOREDO','TUBARAO','SC','124242241215152231459714575114231447042',7919,'809',55.49,1,3,NULL),(15,2234521,'1989-08-21 00:00:00',2,3,12,2007,'F','N','BATEL','CURITIBA','PR','116162161417151751338832575124610147111',NULL,'228',0.00,1,3,NULL),(15,2234530,'1979-04-11 00:00:00',2,1,12,2000,'M','N','CANASDVIEIRAS','FLORIANOPOLIS','SC','624201201126132421326354185314610124197',15233,'9998',44.49,1,3,NULL),(15,2234548,'1990-05-30 00:00:00',2,5,12,2007,'F','N','CENTRO','SOMBRIO','SC','124244241215111431533311245122610124052',NULL,'770',22.63,1,3,NULL),(15,2234556,'1979-07-19 00:00:00',4,1,12,1998,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124243241132144421236544142124610133097',16656,'307',42.38,1,3,NULL),(15,2234564,'1982-08-25 00:00:00',4,2,12,2000,'M','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125241241126153741113349395325232948125',1942,'80',69.46,1,2,1),(15,2234572,'1990-04-27 00:00:00',4,8,12,2007,'M','N','CENTRO','PORTO UNIAO','SC','324233063122222521228828322121512532154',NULL,'632',22.88,1,3,NULL),(15,2234602,'1982-11-04 00:00:00',2,1,6,2000,'M','N','BARREIROS','SAO JOSE','SC','124241246136134711546444145124231447052',11344,'306',49.92,1,2,1),(15,2234610,'1989-04-02 00:00:00',4,5,11,2007,'M','N','COMERCIÁRIO','CRICIUMA','SC','124242241215111431336914372122610127042',5311,'226',60.50,1,3,NULL),(15,2234629,'1990-12-13 00:00:00',2,6,12,2007,'F','N','CIDADE NOVA','ITAJAI','SC','124241241215131731436319175124610127187',17210,'388',41.55,1,3,NULL),(15,2234637,'1990-06-11 00:00:00',4,10,11,2007,'F','N','CENTRO','BRACO DO NORTE','SC','124242241115141431557934242125610121147',19695,'102',37.43,1,3,NULL),(15,2234645,'1989-06-14 00:00:00',4,4,12,2006,'M','N','PORTÃO','SALTO DO JACUI','RS','120201201217371431446633572122610134057',7849,'9998',55.60,1,3,NULL),(15,2234653,'1989-05-14 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241227112431368923492124233217042',8563,'270',54.42,1,3,NULL),(15,2234661,'1991-08-30 00:00:00',4,1,12,2008,'M','S','SUMARE','RIO DO SUL','SC','124242241215111231359911415122610167142',NULL,'991',38.28,1,3,NULL),(15,2234670,'1987-09-23 00:00:00',4,1,12,2004,'F','N','POUSADA DO SOL','SOBRADINHO','RS','120201201116471431338711572322610143093',12279,'9998',48.60,1,3,NULL),(15,2234688,'1990-05-03 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217111411469811595114610167062',17313,'1022',41.37,1,3,NULL),(15,2234696,'1991-05-05 00:00:00',4,8,11,2008,'F','S','AMÉRICA','JOINVILLE','SC','124242248215111431456832585124610125147',NULL,'486',48.32,1,3,NULL),(15,2234700,'1985-12-14 00:00:00',2,8,12,2003,'F','N','CENTRO','CURITIBA','PR','116241241211475451469935575125610163142',NULL,'491',0.00,1,3,NULL),(15,2234718,'1990-01-11 00:00:00',4,10,11,2007,'M','N','SÃO BASÍLIO','BRACO DO NORTE','SC','124241243117161232424339575222610122187',5006,'100',61.07,1,2,1),(15,2234726,'1990-02-27 00:00:00',4,7,11,2007,'F','N','CENTRO','CAMPOS NOVOS','SC','124243241216131431435621592122610123057',6305,'962',58.44,1,3,NULL),(15,2234734,'1989-12-11 00:00:00',2,1,12,2006,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124161241117131431625511382344610167157',18111,'288',40.13,1,2,1),(15,2234742,'1987-12-10 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241216373411468613445124231068052',NULL,'269',36.00,1,3,NULL),(15,2234750,'1987-12-10 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124201201117131711313417585114610163047',22172,'9998',31.61,1,3,NULL),(15,2234769,'1990-11-03 00:00:00',4,5,10,2007,'M','N','CRUZEIRO DO SUL','CRICIUMA','SC','124242241217121431379912275122610167112',18931,'226',38.80,1,3,NULL),(15,2234777,'1984-09-23 00:00:00',4,1,12,2005,'M','N','RATONES','FLORIANOPOLIS','SC','124241241131173411427823217124610164117',16639,'279',42.40,1,2,1),(15,2234793,'1989-03-14 00:00:00',4,1,12,2007,'M','N','CANGO','FRANCISCO BELTRAO','PR','116164161115371411236614345135610162182',NULL,'9998',0.00,1,3,NULL),(15,2234807,'1991-05-13 00:00:00',4,1,11,2008,'F','S','CAMPINAS','SAO JOSE','SC','124241241215111131246629192124610133042',NULL,'1022',0.00,1,3,NULL),(15,2234815,'1989-08-10 00:00:00',4,8,12,2006,'F','N','JOÃO COSTA','JOINVILLE','SC','124241241112132411326521342324610126097',20765,'466',35.37,1,2,1),(15,2234831,'1989-08-12 00:00:00',2,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124242241215372431633912342112610137067',17395,'724',41.23,1,3,NULL),(15,2234840,'1990-08-06 00:00:00',4,2,12,2007,'M','N','DAS CAPITAIS','TIMBO','SC','124241241215111231468832572112610134052',NULL,'9997',42.75,1,3,NULL),(15,2234858,'1990-01-23 00:00:00',2,1,12,2007,'F','N','BUISSA I','MACAUBAL','SP','125251251415131431633414571324610161097',NULL,'9998',0.00,2,1,2),(15,2234866,'1991-10-09 00:00:00',4,1,12,2008,'F','S','CENTRO','TROMBUDO CENTRAL','SC','124244241215131531549531294124610168042',NULL,'9997',42.94,1,3,NULL),(15,2234874,'1989-06-08 00:00:00',4,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241112132431446514375124610168042',20704,'307',35.50,1,2,1),(15,2234882,'1988-09-23 00:00:00',4,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124241241137373411443624485124610134142',13823,'307',46.42,1,2,1),(15,2234890,'1990-09-20 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124243241215121331335522575124610126077',19188,'1022',38.36,1,3,NULL),(15,2234912,'1990-02-28 00:00:00',2,2,11,2007,'M','N','NAÇÕES','INDAIAL','SC','124241241416131731344911315125610167057',15145,'986',44.60,1,3,NULL),(15,2234920,'1987-02-08 00:00:00',2,1,12,2004,'F','N','BARREIROS','SAO JOSE','SC','124242241312574421233529595124221368187',12127,'1022',48.82,1,3,NULL),(15,2234939,'1986-03-27 00:00:00',4,1,12,2003,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241217575431378833432222230468092',NULL,'262',0.00,1,3,NULL),(15,2234947,'1985-09-12 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124204201417144421237511444224610162042',7237,'9998',56.72,1,3,NULL),(15,2234998,'1989-11-08 00:00:00',2,1,12,2006,'F','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124242241215472411538612242124230263017',3485,'258',64.79,1,3,NULL),(15,2235005,'1982-11-30 00:00:00',4,1,12,1999,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241216572411448819495124333263147',15772,'499',43.71,4,3,NULL),(15,2235013,'1990-06-20 00:00:00',4,6,11,2007,'F','N','CENTRO','ITAJAI','SC','124251241315121431543319195122610124052',9488,'9997',52.79,1,3,NULL),(15,2235021,'1990-02-21 00:00:00',2,1,12,2006,'M','N','CIDADE NOVA','CAXIAS DO SUL','RS','120201201117271432446434341124610132057',4299,'9998',62.70,1,2,1),(15,2235030,'1991-09-21 00:00:00',2,1,11,2009,'F','S','BALNEARIO','FLORIANOPOLIS','SC','124242241212111431369619592124610128192',NULL,'270',48.78,1,3,NULL),(15,2235048,'1989-09-19 00:00:00',4,1,11,2007,'M','N','FREI ROGÉRIO','LAGES','SC','124224221417371431428734592221233237052',13528,'9998',46.85,1,3,NULL),(15,2235056,'1989-11-30 00:00:00',2,1,11,2006,'F','N','GUARDA DO CUBATAO','PALHOCA','SC','124241241115371432436413346124610127147',17181,'592',41.60,1,3,NULL),(15,2235064,'1975-02-25 00:00:00',2,1,12,1994,'M','N','AREIAS','SAO JOSE','SC','124244241122135431333234242334122927111',16068,'734',43.27,4,3,NULL),(15,2235072,'1989-12-27 00:00:00',2,3,12,2007,'M','N','JARDIM SÃO PAULO','RIO CLARO','SP','125252251217371731666419245122610127042',19489,'9998',37.85,1,3,NULL),(15,2235099,'1989-10-19 00:00:00',4,1,12,2007,'M','N','PARQUE IMPERADOR','CAMPINAS','SP','125252251217111431489933572112610167047',17472,'9998',41.12,1,3,NULL),(15,2235110,'1988-09-29 00:00:00',4,4,12,2006,'M','N','CENTRO','SAUDADES','SC','124241241113151421113344442325610136057',21212,'704',34.41,1,2,1),(15,2235129,'1989-03-10 00:00:00',4,1,12,2007,'M','N','CACHOERINHA','SAO PAULO','SP','125251251117271421567614316335610142147',21835,'9998',32.84,1,3,NULL),(15,2235137,'1978-05-12 00:00:00',4,2,12,1996,'M','N','ASILO','BLUMENAU','SC','624201201217471411239842321134341067057',8990,'9998',53.66,1,3,NULL),(15,2235145,'1985-03-23 00:00:00',2,1,12,2002,'M','N','CENTRO','VENANCIO AIRES','RS','120201201116573411468634572122242667042',3115,'9998',65.80,1,3,NULL),(15,2235153,'1990-11-06 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241117151431558833571122610166015',18315,'306',39.77,1,3,NULL),(15,2235161,'1989-08-26 00:00:00',2,3,11,2006,'F','N','CENTRO','ITAJAI','SC','124242242115142431358912222324610136142',16685,'129',42.35,1,3,NULL),(15,2235170,'1988-03-10 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241217473431559619571324610123077',17405,'362',41.22,1,3,NULL),(15,2235188,'1990-12-19 00:00:00',2,1,12,2007,'F','N','CENTRO','ITAQUI','RS','120202201317471431448833571222610165077',19056,'9998',38.58,1,3,NULL),(15,2235196,'1990-05-04 00:00:00',2,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241317121422526711215122610114147',21108,'1036',34.64,1,3,NULL),(15,2235218,'1984-10-10 00:00:00',2,1,12,2002,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241137133421533369442114610164047',19944,'290',36.93,1,2,1),(15,2235226,'1981-06-30 00:00:00',2,1,12,2001,'M','N','CACUPE','FLORIANOPOLIS','SC','124251251112131411126644242314610164025',NULL,'9998',20.50,1,3,NULL),(15,2235234,'1988-11-04 00:00:00',2,1,12,2006,'F','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124242241215272431558711342124610133142',16688,'270',42.35,1,3,NULL),(15,2235242,'1959-05-08 00:00:00',4,1,12,1978,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','624241241116133421466643435134231014097',NULL,'307',9.59,1,3,NULL),(15,2235250,'1988-03-24 00:00:00',3,1,12,2005,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124063061137131421233344345334140865145',18641,'9998',39.25,4,3,NULL),(15,2235277,'1990-12-30 00:00:00',2,4,12,2007,'M','N','CENTRO','XAVANTINA','SC','124241242235111431446632445124610137052',16049,'836',43.30,1,3,NULL),(15,2235285,'1984-04-30 00:00:00',2,1,12,2002,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241216272412416419141112131328097',22192,'269',31.52,1,3,NULL),(15,2235293,'1989-07-14 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472451558611575325610128017',2400,'1035',67.91,1,3,NULL),(15,2235307,'1988-06-13 00:00:00',2,1,12,2006,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124202201216472431367731575123610137062',1803,'9998',69.92,1,3,NULL),(15,2235315,'1990-01-24 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241117131432534514392124610113145',17222,'287',41.54,1,3,NULL),(15,2235323,'1990-11-17 00:00:00',2,8,12,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124241246215131431436314245121610126077',14002,'1061',46.15,4,3,NULL),(15,2235331,'1990-03-23 00:00:00',2,8,11,2007,'F','N','JARDIM IRIRIÚ','JOINVILLE','SC','124132241437131411467632315122610144017',10802,'894',50.74,1,3,NULL),(15,2235340,'1990-07-10 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215151431347934575124610142052',8747,'995',54.11,1,3,NULL),(15,2235366,'1973-10-13 00:00:00',2,1,12,1995,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241112133421136444442122231134012',NULL,'583',21.02,1,3,NULL),(15,2235374,'1988-12-02 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215472431338821574114610156017',2013,'266',69.23,1,3,NULL),(15,2235382,'1990-02-27 00:00:00',2,1,12,2007,'F','N','RIO BRANCO','PORTO ALEGRE','RS','120202201211371751469913231122610145052',NULL,'9998',0.00,1,3,NULL),(15,2235390,'1989-08-03 00:00:00',4,4,12,2006,'M','N','CEEE','SALTO DO JACUI','RS','120201201137161431456813575124610164042',12862,'9998',47.78,4,3,NULL),(15,2235404,'1991-03-14 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215121711478933571124610146091',NULL,'270',61.25,1,3,NULL),(15,2235420,'1987-11-21 00:00:00',4,1,12,2005,'F','N','CAPUTERA','ARUJA','SP','125252051217571441476832571112610132117',NULL,'9998',0.00,1,3,NULL),(15,2235439,'1990-03-12 00:00:00',4,1,12,2007,'M','N','CARANDÁ BOSQUE','CAMPO GRANDE','MS','112122121215111731468823575112610127042',10006,'9998',51.92,1,3,NULL),(15,2235447,'1987-12-21 00:00:00',4,4,12,2005,'M','N','INTERIOR','SEVERIANO DE ALMEIDA','RS','120201242117271411434336162222610167047',6511,'196',58.06,1,3,NULL),(15,2235455,'1984-07-06 00:00:00',4,1,12,2001,'F','N','KOBRASOL','SAO JOSE','SC','124243241416132431236354475124130233097',21735,'300',33.17,1,3,NULL),(15,2235463,'1989-07-01 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124242247215371331469514574122610122052',20844,'1046',35.20,1,3,NULL),(15,2235471,'1990-10-04 00:00:00',4,7,12,2007,'M','N','CENTRO','JOACABA','SC','124241241215151431236624375122610164042',4320,'962',62.67,1,3,NULL),(15,2235498,'1992-02-23 00:00:00',4,8,11,2008,'F','S','CENTRO','SAO FRANCISCO DO SUL','SC','124242241215111431258823595124610166117',NULL,'486',34.75,1,3,NULL),(15,2235501,'1988-12-21 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215473431478913492121131217095',4583,'260',62.04,1,3,NULL),(15,2235510,'1989-10-11 00:00:00',4,5,10,2007,'M','N','CRUZEIRO DO SUL','CRICIUMA','SC','124242241212112731457936594122610127052',7350,'213',56.51,1,3,NULL),(15,2235536,'1986-02-28 00:00:00',2,8,12,2003,'M','N','VILA IVETE','MAFRA','SC','124241242114371421546313412342610157047',14763,'24',45.05,1,3,NULL),(15,2235544,'1990-03-26 00:00:00',4,7,12,2007,'F','N','CENTRO','CURITIBA','PR','116112161215111431558831572325610122147',NULL,'9998',0.00,3,3,NULL),(15,2235552,'1991-01-19 00:00:00',4,10,11,2007,'F','N','VILA MOEMA','TUBARAO','SC','124242248215121431256934245122610164052',7883,'807',55.54,1,3,NULL),(15,2235560,'1989-09-15 00:00:00',4,10,12,2007,'F','N','HUMAITA','TUBARAO','SC','124242241216111411545919595112610114092',NULL,'807',23.24,1,3,NULL),(15,2235579,'1969-05-16 00:00:00',2,1,12,2006,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','224241247127232431444253292124610124097',17999,'306',40.31,1,2,1),(15,2235587,'1991-09-04 00:00:00',2,1,12,2007,'F','N','REAL PARK','SAO JOSE','SC','124241241315111411566423345124610114142',NULL,'1022',19.17,1,3,NULL),(15,2235595,'1980-05-23 00:00:00',2,1,12,1997,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241248127575421445813342114610117047',18998,'281',38.67,1,3,NULL),(15,2235609,'1966-09-26 00:00:00',4,1,12,1983,'M','N','ESTREITO','FLORIANOPOLIS','SC','124132131214151721164343432132341466142',4465,'9998',62.35,1,3,NULL),(15,2235617,'1989-09-01 00:00:00',4,1,10,2007,'M','N','JARDIM PARAISO','SAO JOSE DOS CAMPOS','SP','125252251217111431256824572122610144187',14315,'9998',45.71,4,3,NULL),(15,2235625,'1991-10-14 00:00:00',4,1,12,2008,'M','S','CAMPINAS','SAO JOSE','SC','124244241217111431469933575122610137147',NULL,'737',53.78,1,3,NULL),(15,2235633,'1990-09-18 00:00:00',2,1,12,2007,'F','N','ZONA DOIS','CIANORTE','PR','116164161237121731558612574122610132112',15807,'9998',43.66,1,3,NULL),(15,2235650,'1988-06-01 00:00:00',2,1,12,2006,'F','N','CENTRO','GOIANIA','GO','109091091216371411468933595122610168187',5911,'9998',59.23,1,3,NULL),(15,2235668,'1989-04-04 00:00:00',4,1,12,2006,'F','N','JD STA LUCINDA','SOROCABA','SP','125254251447472431336811575124610122047',21583,'9998',33.54,1,3,NULL),(15,2235676,'1990-03-20 00:00:00',4,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124102241216111451356831571324610136092',2880,'270',66.49,1,3,NULL),(15,2235684,'1989-02-14 00:00:00',2,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124242241211372751338819391112610167057',9200,'738',53.27,1,3,NULL),(15,2235692,'1988-10-27 00:00:00',4,1,12,2003,'M','N','SAO FRANCISCO','CAMPO GRANDE','MS','124123121336213111468831595122610117091',NULL,'9998',0.00,1,3,NULL),(15,2235706,'1980-05-25 00:00:00',4,1,12,1997,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241246136134321336613335124322825047',NULL,'306',0.00,1,2,1),(15,2235714,'1990-06-26 00:00:00',2,1,10,2007,'M','N','PICADAS DO SUL','SAO JOSE','SC','124244241415131431436839574224610167057',2088,'213',69.00,2,3,NULL),(15,2235722,'1980-05-26 00:00:00',4,1,12,1997,'M','N','KOBRASOL','SAO JOSE','SC','124242241346153431236444345134121967047',15717,'736',43.79,1,3,NULL),(15,2235730,'1989-02-15 00:00:00',4,1,12,2006,'M','N','CENTRO','CAMPO GRANDE','MS','112122121216471731348831575122610168192',313,'9998',78.59,1,3,NULL),(15,2235749,'1984-12-24 00:00:00',2,7,12,2001,'F','N','SÃO SEBASTIÃO','CAMPOS NOVOS','SC','124243241111371431233823242322131512147',13267,'139',47.21,1,3,NULL),(15,2235757,'1987-10-28 00:00:00',4,1,12,2005,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241116143411568413495113610114097',14738,'307',45.09,4,2,1),(15,2235765,'1990-03-23 00:00:00',2,4,12,2007,'M','N','JARDIM BELA VISTA','ITAPIRANGA','SC','124241241115111432357933572122610127147',17384,'412',41.24,1,2,1),(15,2235773,'1986-08-18 00:00:00',2,1,4,2005,'F','N','ENSEADA DE BRITO','PALHOCA','SC','124241241132313431456611442124610163142',12721,'739',47.95,1,3,NULL),(15,2235781,'1990-08-28 00:00:00',4,1,11,2007,'M','N','BOA VISTA','UBERABA','MG','113132131215111432448931575121610167042',4609,'9998',61.98,1,3,NULL),(15,2235790,'1991-01-06 00:00:00',4,10,11,2007,'F','N','OFICINAS','TUBARAO','SC','124244241215111431448934575122610167052',15969,'806',43.43,1,3,NULL),(15,2235803,'1990-09-18 00:00:00',2,1,12,2007,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124241241315371431435614292121610126147',16515,'783',42.56,1,3,NULL),(15,2235811,'1990-11-16 00:00:00',2,2,12,2007,'M','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124241248115131431547933592222610147012',19118,'79',38.49,1,2,1),(15,2235820,'1990-01-11 00:00:00',4,1,11,2007,'M','N','JARDIM ORIENTAL','OSASCO','SP','125252251217271711368911575111610167047',NULL,'9998',0.00,1,3,NULL),(15,2235838,'1987-10-07 00:00:00',4,3,12,2005,'F','N','CAMPO BELO','SAO PAULO','SP','125252251217571411368834375124610162092',9229,'9998',53.22,1,3,NULL),(15,2235846,'1990-01-16 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241115121431433619292122610134045',NULL,'307',22.65,1,2,1),(15,2235854,'1988-07-11 00:00:00',2,1,12,2005,'F','N','CENTRO','PATO BRANCO','PR','116161161126371431634325345334610167052',20967,'9998',34.92,1,3,NULL),(15,2235862,'1988-02-03 00:00:00',4,1,12,2005,'F','N','GRANJA CAVALEIROS','MACAE','RJ','121212261217473431468814575122610117122',3705,'9998',64.22,4,3,NULL),(15,2235870,'1989-06-02 00:00:00',2,1,12,2006,'F','N','PONTA DE BAIXO','SAO JOSE','SC','224241241146141431533354385124610164075',NULL,'822',18.68,1,2,1),(15,2235889,'1991-03-14 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242248215111411546623572325610114177',NULL,'1022',39.20,1,3,NULL),(15,2235897,'1989-08-11 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241247316141431443621295124610117065',21728,'9999',33.18,1,3,NULL),(15,2235900,'1990-06-04 00:00:00',4,1,11,2007,'M','N','RESIDENCIAL TÍVOLI','BAURU','SP','125252251217111431388814571122610166092',51,'9998',83.04,1,3,NULL),(15,2235919,'1982-12-07 00:00:00',2,1,11,1999,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241216272711435611442124320264097',9905,'44',52.08,1,3,NULL),(15,2235927,'1988-09-27 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124161161126132441112244345324610116177',NULL,'9998',0.00,1,2,1),(15,2235935,'1986-09-08 00:00:00',4,1,12,2004,'M','N','KOBRASOL','SAO JOSE','SC','124242241215273231557714585112130267047',6473,'723',58.13,4,3,NULL),(15,2235943,'1989-01-06 00:00:00',3,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241115152411666929312124610167042',12852,'271',47.79,1,3,NULL),(15,2235951,'1990-10-04 00:00:00',4,1,12,2007,'M','N','COLONINHA','FLORIANOPOLIS','SC','124242241215111431469611575124610167062',4144,'262',63.07,1,3,NULL),(15,2235978,'1991-03-06 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215131431547614572121610167037',16395,'1035',42.76,1,3,NULL),(15,2235986,'1990-07-15 00:00:00',4,4,12,2007,'M','N','NAÇÕES','CONCORDIA','SC','224241241116131531337611295125610132147',11317,'984',49.97,1,2,1),(15,2235994,'1990-03-23 00:00:00',2,1,12,2007,'F','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124241241215311711424313272324610117015',17298,'299',41.40,1,3,NULL),(15,2236001,'1990-04-09 00:00:00',4,1,11,2007,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241217111411368933572114610122045',2938,'270',66.33,1,3,NULL),(15,2236010,'1988-06-25 00:00:00',4,1,11,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','121012011217151411489833575122240767092',2614,'9998',67.28,4,3,NULL),(15,2236028,'1990-06-01 00:00:00',4,8,10,2007,'F','N','GLORIA','JOINVILLE','SC','124242241217111431369923371122610167142',14684,'932',45.17,1,3,NULL),(15,2236036,'1990-06-14 00:00:00',4,1,12,2007,'M','N','GONZAGA','SANTOS','SP','125252251217271431589812572121610137142',4981,'9998',61.13,1,3,NULL),(15,2236044,'1988-12-13 00:00:00',4,1,12,2006,'M','N','VILA IRMÃOS ARNONI','SAO PAULO','SP','125252251215571411389912475124610124092',16588,'9998',42.47,1,3,NULL),(15,2236052,'1991-05-10 00:00:00',4,1,12,2008,'M','S','PARQUE SÃO JORGE','FLORIANOPOLIS','SC','124243241317131432379933576124610127042',NULL,'271',47.29,1,3,NULL),(15,2236060,'1989-09-13 00:00:00',4,1,12,2006,'M','N','CAMPINAS','SAO JOSE','SC','124242241317152752348913575144233263196',2055,'737',69.08,2,3,NULL),(15,2236079,'1990-06-17 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241115371411326633272324610123183',NULL,'287',22.75,4,3,NULL),(15,2236087,'1989-05-11 00:00:00',4,3,12,2007,'F','N','JARDIM PANORAMA','SOROCABA','SP','125252251215121431259834572122610127147',NULL,'9998',0.00,1,3,NULL),(15,2236109,'1990-08-09 00:00:00',4,1,11,2007,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217132431669914472122610164057',5852,'270',59.36,1,3,NULL),(15,2236117,'1986-03-26 00:00:00',4,1,12,2003,'M','N','ESTREITO','FLORIANOPOLIS','SC','124201201117132721534513445134141238187',7789,'9998',55.71,1,3,NULL),(15,2236125,'1988-10-30 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124201241115131431536379385211610116147',NULL,'51',0.00,1,3,NULL),(15,2236133,'1988-10-17 00:00:00',4,1,11,2006,'F','N','PINHEIROS','SAO PAULO','SP','125022021217471721176812595124610145042',1592,'9998',70.82,1,3,NULL),(15,2236141,'1991-02-20 00:00:00',4,1,12,2008,'F','S','COQUEIROS','FLORIANOPOLIS','SC','124242241215111451468839592124610124183',NULL,'270',58.22,1,3,NULL),(15,2236150,'1990-04-19 00:00:00',2,1,12,2007,'F','N','JARDIM ELDORADO','PALHOCA','SC','125242241112131431226411572124610114092',NULL,'307',23.80,1,3,NULL),(15,2236168,'1990-12-15 00:00:00',4,1,12,2007,'M','N','REBOUÇAS','CURITIBA','PR','116162161217111431468813575115610137042',NULL,'9998',0.00,1,3,NULL),(15,2236176,'1990-06-15 00:00:00',2,2,11,2007,'F','N','CENTRO','LAURENTINO','SC','124242241215131431537839175114610167142',22131,'663',31.80,1,3,NULL),(15,2236184,'1987-12-23 00:00:00',2,8,12,2006,'M','N','SAGUAÇU','JOINVILLE','SC','124241247247371751645331441311610164027',NULL,'487',24.12,1,3,NULL),(15,2236192,'1990-03-15 00:00:00',2,1,12,2007,'F','N','RIO BRANCO','SAO LEOPOLDO','RS','120201201115131431426518571224610128152',17480,'9998',41.11,1,2,1),(15,2236206,'1990-12-08 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124162241215112431437733575112610168196',19896,'737',37.02,1,3,NULL),(15,2236214,'1990-03-26 00:00:00',4,8,11,2007,'F','N','SAGUAÇÚ','JOINVILLE','SC','124242241215121711468834244122610112073',7894,'486',55.53,1,3,NULL),(15,2236222,'1988-09-20 00:00:00',4,1,12,2006,'F','N','CENTRO','PALHOCA','SC','124242241212372431438619575124610132197',14602,'270',45.27,1,3,NULL),(15,2236230,'1989-11-17 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241215151431349923472122610124012',6100,'262',58.87,1,3,NULL),(15,2236249,'1988-11-30 00:00:00',4,1,12,2006,'F','N','JARDIM PARAISO','MONTE ALTO','SP','125252251215471231336833575122610166152',9077,'9998',53.52,1,3,NULL),(15,2236265,'1990-10-05 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124162241215121431468914375124610162182',1246,'270',72.28,1,3,NULL),(15,2236273,'1988-09-09 00:00:00',4,1,11,2005,'M','N','KOBRASOL','SAO JOSE','SC','124241241117373431469931375311240232016',NULL,'267',0.00,1,3,NULL),(15,2236281,'1990-03-11 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215151431467633572122610163077',NULL,'273',0.00,1,3,NULL),(15,2236290,'1990-07-20 00:00:00',2,6,12,2007,'M','N','CORDEIROS','ITAJAI','SC','124242241215151731433939475124610134052',12949,'388',47.65,1,3,NULL),(15,2236311,'1989-04-25 00:00:00',2,4,12,2005,'M','N','JARDIM','CONCORDIA','SC','124241248115473431567814385122610167042',16657,'192',42.38,4,3,NULL),(15,2236320,'1991-11-03 00:00:00',4,5,11,2008,'F','S','CENTRO','TURVO','SC','124241241215311532355622275121610113142',NULL,'970',0.00,1,3,NULL),(15,2236346,'1989-08-30 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241117131431423335492334610136047',19551,'256',37.72,1,2,1),(15,2236354,'1988-06-28 00:00:00',2,1,7,2007,'F','N','ASA SUL','BRASILIA','DF','107073071116271431349833492124610137142',8574,'9998',54.41,4,3,NULL),(15,2236362,'1989-07-03 00:00:00',4,8,12,2006,'M','N','CENTRO','CAMPO LARGO','PR','116161161115471421557814572124610167047',7306,'9998',56.59,1,3,NULL),(15,2236370,'1990-10-16 00:00:00',2,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241216111211346424472124610136071',8858,'723',53.90,1,3,NULL),(15,2236389,'1988-12-07 00:00:00',2,1,12,2006,'M','N','SAUDADE','BIGUACU','SC','124241241121152431424312382124610124012',20401,'65',36.05,1,2,1),(15,2236397,'1989-09-29 00:00:00',4,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241211111731268812575114610112182',NULL,'1098',0.00,1,3,NULL),(15,2236400,'1990-09-20 00:00:00',4,1,11,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241315121431568413572124610124017',6195,'300',58.65,1,3,NULL),(15,2236419,'1990-07-31 00:00:00',2,7,12,2007,'M','N','JARDIM','CONCORDIA','SC','124244241115151431559811292122610127182',13226,'192',47.27,1,3,NULL),(15,2236427,'1989-12-06 00:00:00',2,2,11,2007,'F','N','CENTRO','IJUI','RS','120202201217131431457934475122610134012',9660,'9998',52.47,1,3,NULL),(15,2236435,'1950-09-26 00:00:00',4,1,12,1973,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','224133243221135411237642415124121118097',NULL,'9997',0.00,1,3,NULL),(15,2236443,'1990-07-24 00:00:00',4,2,12,2007,'F','N','SANTA RITA','BRUSQUE','SC','124243241215371731346617372124610124012',NULL,'106',6.69,1,3,NULL),(15,2236451,'1989-09-26 00:00:00',4,1,12,2006,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124162241215372431468914375124610161197',4711,'270',61.72,1,3,NULL),(15,2236460,'1990-08-24 00:00:00',4,1,12,2007,'M','N','AREIAS','FLORIANOPOLIS','SC','124244241215121431468923175124610137097',8657,'269',54.25,1,3,NULL),(15,2236486,'1988-10-22 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241412372431356721335124610167182',9668,'1022',52.46,1,3,NULL),(15,2236494,'1989-11-13 00:00:00',4,3,12,2006,'F','N','CENTRO','VACARIA','RS','124202201216373431436816472122610132147',11335,'9998',49.93,1,3,NULL),(15,2236508,'1990-12-25 00:00:00',4,4,12,2007,'M','N','CENTRO','DIONISIO CERQUEIRA','SC','124164161215151711436939395122610164181',NULL,'9998',0.00,1,3,NULL),(15,2236516,'1991-05-03 00:00:00',4,10,12,2008,'M','S','VILA MOEMA','TUBARAO','SC','124242241217111131448832574122610127092',NULL,'797',49.09,1,3,NULL),(15,2236524,'1990-12-11 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241116131431464612275124610117043',22479,'307',29.10,1,3,NULL),(15,2236532,'1991-10-24 00:00:00',4,4,12,2008,'F','S','CENTRO','UNIAO DO OESTE','SC','124241241212131431456933572124610124147',NULL,'185',35.09,1,3,NULL),(15,2236559,'1989-07-14 00:00:00',2,8,12,2006,'M','N','BAEPENDI','JARAGUA DO SUL','SC','124242241216151431356611295124610163147',NULL,'441',0.00,1,3,NULL),(15,2236567,'1989-11-21 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241117152431546622575112610164127',10863,'733',50.67,4,2,1),(15,2236575,'1990-01-29 00:00:00',2,1,11,2008,'F','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241217111431369933472124610167075',NULL,'262',39.44,1,3,NULL),(15,2236583,'1989-12-23 00:00:00',4,1,12,2006,'M','N','INGLESES DO RIO VERM','FLORIANOPOLIS','SC','124112111216161431426611295324610168092',NULL,'9998',40.32,1,3,NULL),(15,2236591,'1989-03-02 00:00:00',2,1,12,2007,'F','N','NOSSA SRA DO ROSARIO','SAO JOSE','SC','124242241211111331436814241122610168077',NULL,'738',20.53,1,3,NULL),(15,2236605,'1990-08-30 00:00:00',4,1,12,2007,'M','N','COLONIA SANTANA','SAO JOSE','SC','124241241127131431563633342114610117147',NULL,'731',24.27,1,2,1),(15,2236621,'1988-03-06 00:00:00',3,1,12,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','121212211216271751438822592122242466187',2804,'9998',66.73,1,3,NULL),(15,2236630,'1987-12-16 00:00:00',4,1,12,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241211113431338833395124231417042',17521,'270',41.06,1,3,NULL),(15,2236648,'1992-02-19 00:00:00',4,10,12,2008,'M','S','AEROPORTO','TUBARAO','SC','124242241215111531459931572112610167092',NULL,'807',57.11,1,3,NULL),(15,2236664,'1986-01-10 00:00:00',2,1,6,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124203207346231441436829375124610134181',18790,'9999',39.00,1,3,NULL),(15,2236672,'1989-04-07 00:00:00',4,3,12,2006,'M','N','ASA SUL','BRASILIA','DF','107072071217471231238833275124610162047',2625,'9998',67.23,1,3,NULL),(15,2236680,'1990-05-20 00:00:00',4,2,11,2007,'M','N','GUARANI','BRUSQUE','SC','124242248217271431563434575122610134012',4044,'107',63.35,1,3,NULL),(15,2236699,'1991-05-13 00:00:00',4,4,12,2007,'F','N','BAIRRO BAÚ','CUIABA','MT','111112111217121431155532595124610132147',NULL,'9998',0.00,1,3,NULL),(15,2236702,'1989-11-05 00:00:00',4,3,12,2007,'F','N','ANDORINHA','ITAPEMA','SC','124244241215121431349619491125610121077',2945,'120',66.31,1,3,NULL),(15,2236710,'1987-08-26 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','121243211316131751428628445125610164182',15478,'9998',44.15,1,3,NULL),(15,2236729,'1989-01-17 00:00:00',4,8,12,2006,'M','N','JARDIM BOTÂNICO','CURITIBA','PR','116242241215131431256633342114240262117',NULL,'457',0.00,1,3,NULL),(15,2236737,'1991-08-08 00:00:00',2,5,11,2007,'F','N','SÃO JOSÉ','SOMBRIO','SC','124241241215131431446933495122610132057',18168,'904',40.03,1,3,NULL),(15,2236745,'1990-11-26 00:00:00',4,8,12,2007,'F','N','CABRAL','CURITIBA','PR','116162161216421431469931472112610162077',3794,'9998',63.98,1,3,NULL),(15,2236788,'1988-03-04 00:00:00',4,8,12,2005,'M','N','GUANABARA','JOINVILLE','SC','124241241225472431466632391124610122127',9737,'932',52.37,1,3,NULL),(15,2236796,'1991-03-16 00:00:00',4,10,12,2008,'M','S','AEROPORTO','TUBARAO','SC','124241241212111331459314572111610164172',NULL,'807',54.16,1,3,NULL),(15,2236800,'1988-09-01 00:00:00',2,1,12,2006,'F','N','CENTRO','FRUTAL','MG','113133131217151231533836315115610162012',9006,'9998',53.64,1,3,NULL),(15,2236818,'1988-09-15 00:00:00',2,1,6,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241112142431546621292114610127142',13777,'306',46.50,1,2,1),(15,2236834,'1989-06-26 00:00:00',2,1,7,2007,'F','N','COLÔNIA SANTANA','SAO JOSE','SC','124244241117151751569633247134610124096',9090,'306',53.49,1,3,NULL),(15,2236850,'1989-05-31 00:00:00',4,1,12,2006,'F','N','CENTRO','GUARACIABA','SC','124241248147271212421621293124610132057',22372,'334',30.55,4,3,NULL),(15,2236877,'1990-06-22 00:00:00',4,1,12,2007,'M','N','CENTRO','IMBITUBA','SC','124244248417111431449412472111610137057',13723,'362',46.58,1,3,NULL),(15,2236885,'1988-01-11 00:00:00',4,1,7,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241117141731436313445114133238181',21731,'306',33.17,1,2,1),(15,2236893,'1990-06-01 00:00:00',2,5,11,2007,'M','N','OPERARIA NOVA','CRICIUMA','SC','124242248215111211469812122122610167062',17206,'226',41.56,4,3,NULL),(15,2236907,'1989-08-09 00:00:00',4,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242248211143431347412346124230736157',NULL,'737',15.03,1,3,NULL),(15,2236915,'1990-12-30 00:00:00',4,2,11,2007,'M','N','MARGEM ESQUERDA','GASPAR','SC','124242241215122431569731215124610164172',3706,'855',64.21,1,3,NULL),(15,2236931,'1991-02-20 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241214111431387823575122610168192',NULL,'262',36.68,1,3,NULL),(15,2236940,'1989-12-06 00:00:00',4,1,11,2008,'F','S','PROGRESSO','RIO DO SUL','SC','124244241215172731467312375122610144147',NULL,'991',48.93,1,3,NULL),(15,2236958,'1989-12-10 00:00:00',4,1,12,2007,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124244241112131431348823572124610125197',20156,'733',36.52,1,3,NULL),(15,2236966,'1988-04-05 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124202241112373411436634484114610122191',13333,'281',47.14,3,3,NULL),(15,2236974,'1990-09-14 00:00:00',2,9,12,2007,'M','N','CENTRO','SANTA CECILIA','SC','124241241115271431578413472122610138177',16663,'686',42.37,1,3,NULL),(15,2236990,'1990-03-06 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124243241116271431439711572122610124072',9645,'732',52.50,1,3,NULL),(15,2237008,'1990-01-20 00:00:00',4,1,6,2007,'F','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124242281417151731357833372124233222155',16436,'270',42.69,1,3,NULL),(15,2237016,'1989-06-22 00:00:00',4,1,12,2006,'F','N','BELA VISTA','SAO JOSE','SC','124241247321131451536419241124610143077',NULL,'9999',25.44,4,3,NULL),(15,2237024,'1967-02-03 00:00:00',2,1,6,2008,'F','S','SACO DOS LIMÕES','FLORIANOPOLIS','SC','524241247627131431234444142134610168187',NULL,'9999',31.50,1,3,NULL),(15,2237040,'1989-08-15 00:00:00',4,1,12,2007,'F','N','JARDIM MORUMBI','HOLAMBRA','SP','125284251237111711446534274121610137053',8728,'9998',54.13,1,3,NULL),(15,2237059,'1987-07-02 00:00:00',2,1,6,2005,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241116231411525434285124610133052',17617,'289',40.91,1,2,1),(15,2237067,'1989-05-29 00:00:00',4,6,11,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215471431358626242124610143017',7694,'1026',55.87,1,3,NULL),(15,2237075,'1991-03-26 00:00:00',2,7,12,2008,'M','S','SAO FRANCISCO','VIDEIRA','SC','124241241215111431546814572125610122092',NULL,'829',45.28,1,3,NULL),(15,2237083,'1989-09-23 00:00:00',4,1,12,2007,'M','N','PINHEIRA','PALHOCA','SC','124241241135131412221329375114610112077',21262,'595',34.29,4,3,NULL),(15,2237091,'1989-02-14 00:00:00',4,8,12,2006,'F','N','JARDIM MONTE KEMEL','SAO PAULO','SP','125253251212471431654311384124610134077',2927,'9998',66.37,4,3,NULL),(15,2237113,'1991-07-22 00:00:00',4,1,12,2008,'F','S','VIGIA','GAROPABA','SC','124204241217111531367732575122610122142',NULL,'9998',29.56,1,3,NULL),(15,2237121,'1984-07-16 00:00:00',2,3,12,2003,'F','N','VILA REAL','BALNEARIO CAMBORIU','SC','224243248426371431233354242123230267077',NULL,'52',0.00,1,3,NULL),(15,2237130,'1987-06-08 00:00:00',4,2,12,2004,'M','N','VELHA','BLUMENAU','SC','124161241144271411123349395123610117057',17164,'75',41.62,1,3,NULL),(15,2237148,'1990-09-10 00:00:00',2,9,2,2004,'M','N','CENTRO','CERRO NEGRO','SC','124241241117271531437933471125610164147',22092,'164',31.96,3,3,NULL),(15,2237156,'1981-07-24 00:00:00',3,1,4,2002,'M','N','ASA NORTE','BRASILIA','DF','107071217117571731345623372123610167042',1371,'9998',71.79,1,2,1),(15,2237164,'1989-05-19 00:00:00',4,1,12,2006,'F','N','TRINTA RÉIS','NOVA TRENTO','SC','124241241145272431433433572121610124052',13900,'574',46.31,1,2,1),(15,2237172,'1991-01-12 00:00:00',4,1,12,2007,'M','N','ESQUINA','URUBICI','SC','124243241141161231455931235131610122053',13290,'818',47.18,1,3,NULL),(15,2237180,'1989-11-27 00:00:00',4,9,12,2007,'M','N','JARDIM AMERICA','FRAIBURGO','SC','124241241127111431216644345121610117141',22298,'316',31.05,1,3,NULL),(15,2237199,'1990-08-20 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124243241231131431435334391124610127072',12728,'262',47.94,1,3,NULL),(15,2237202,'1988-03-14 00:00:00',4,5,12,2007,'M','N','VILA SAO JOSÉ','ICARA','SC','124241241135131631633314242124610122182',NULL,'1005',24.87,3,2,1),(15,2237210,'1988-10-21 00:00:00',2,1,12,2005,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124244241315152711254923237214131067047',13996,'229',46.16,1,3,NULL),(15,2237237,'1992-07-18 00:00:00',4,1,12,2009,'M','S','KOBRASOL','SAO JOSE','SC','124242241212171431359911572112610114147',NULL,'724',18.75,1,3,NULL),(15,2237245,'1990-10-01 00:00:00',2,8,12,2007,'F','N','JOÃO COSTA','JOINVILLE','SC','124241241447111711553414395124610144012',NULL,'459',0.00,1,3,NULL),(15,2237253,'1991-08-22 00:00:00',4,1,12,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124243241117131532468814572114610127042',NULL,'271',21.62,1,3,NULL),(15,2237261,'1988-06-15 00:00:00',4,2,12,2005,'F','N','LIBERDADE','SAO PAULO','SP','125252251214573431456834282322610124047',3298,'9998',65.27,1,3,NULL),(15,2237270,'1990-04-08 00:00:00',4,3,12,2007,'M','N','CENTRO','TAQUARITUBA','SP','125253256217111431636731572124610134142',17642,'9998',40.88,1,3,NULL),(15,2237288,'1990-08-19 00:00:00',2,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124241241117371311436513395124610128047',15041,'257',44.74,1,2,1),(15,2237300,'1989-12-03 00:00:00',4,1,12,2007,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','124241241211112451668823275114610132091',14286,'1022',45.75,1,3,NULL),(15,2237318,'1978-01-19 00:00:00',2,1,12,1995,'M','N','TRINDADE','FLORIANOPOLIS','SC','224201203136272441235544142121142347047',12331,'9998',48.53,1,2,1),(15,2237326,'1989-08-07 00:00:00',4,8,12,2006,'M','N','AVENTUREIRO','JOINVILLE','SC','124244241135371431456923344114610144197',NULL,'470',0.00,4,3,NULL),(15,2237342,'1989-10-16 00:00:00',4,1,12,2006,'F','N','VILA ALZIRA','SANTO ANDRE','SP','125252251217471731546612572122610168097',3822,'9998',63.93,3,3,NULL),(15,2237350,'1987-01-16 00:00:00',4,1,12,2004,'F','N','TIROLESES','TIMBO','SC','124241241142131731124344342325610124144',NULL,'906',24.38,1,2,1),(15,2237385,'1990-03-06 00:00:00',2,1,11,2007,'F','N','CENTRO','TUPARENDI','RS','120202201215371431327569595124610147147',12446,'9998',48.36,1,3,NULL),(15,2237393,'1987-12-07 00:00:00',4,1,12,2005,'M','N','CAMPINAS','SAO JOSE','SC','124243241126133441327811485124120967097',7571,'736',56.08,1,3,NULL),(15,2237407,'1990-02-05 00:00:00',2,1,11,2007,'M','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124242241215111431388813435112610137042',14935,'270',44.87,1,3,NULL),(15,2237415,'1978-03-28 00:00:00',2,1,12,1998,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','224161165111153411433444241344610166082',11833,'9998',49.21,1,3,NULL),(15,2237431,'1990-08-20 00:00:00',4,3,11,2007,'F','N','BIGORRILHO','CURITIBA','PR','116162161215111431458832574124610121012',NULL,'9998',0.00,1,3,NULL),(15,2237440,'1990-10-25 00:00:00',4,6,12,2007,'F','N','CENTRO','ITAJAI','SC','124242241215221431438834345112610167093',10946,'391',50.54,1,3,NULL),(15,2237458,'1988-09-18 00:00:00',4,4,12,2006,'M','N','PRIMAVERA','SAO JOSE DO CEDRO','SC','124241241116231632546923442224610156177',18576,'740',39.36,4,3,NULL),(15,2237466,'1990-08-21 00:00:00',4,6,11,2007,'F','N','ALTOS DA GLORIA','VACARIA','RS','120201201116131431436514372215610132022',20800,'9998',35.29,1,3,NULL),(15,2237474,'1990-04-20 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241216111411466612575112610164017',NULL,'1118',35.51,1,3,NULL),(15,2237482,'1989-09-26 00:00:00',2,8,11,2007,'M','N','PETRÓPOLIS','JOINVILLE','SC','124242241215111411466711575114610127042',2803,'486',66.73,1,3,NULL),(15,2237490,'1984-12-18 00:00:00',2,1,12,2001,'M','N','CORREGO GRANDE','CURITIBA','PR','124164161236152421159612315122521425091',16461,'9998',42.65,1,3,NULL),(15,2237504,'1990-09-11 00:00:00',2,1,11,2007,'F','N','SERRARIA','SAO JOSE','SC','124241241215131431566612245124610168082',NULL,'1075',23.21,1,3,NULL),(15,2237512,'1988-10-28 00:00:00',4,5,11,2005,'F','N','CENTRO','LAURO MULLER','SC','124243241215573431434419395124610115147',12724,'581',47.95,1,3,NULL),(15,2237539,'1987-09-23 00:00:00',2,1,12,2005,'M','N','FÁTIMA I','POUSO ALEGRE','MG','113134131216471731448813471324610128127',4925,'9998',61.24,1,3,NULL),(15,2237555,'1989-10-17 00:00:00',2,9,12,2006,'F','N','CENTRO ADMINISTRATIV','OTACILIO COSTA','SC','124241241416572431449513594122610167147',5284,'499',60.55,1,3,NULL),(15,2237563,'1974-11-11 00:00:00',4,1,12,1992,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','224241241132135411356553382124610116197',NULL,'307',29.66,1,3,NULL),(15,2237571,'1989-09-25 00:00:00',4,6,12,2007,'M','N','CORDEIROS','ITAJAI','SC','624243242115131431247724476124610124142',19256,'129',38.25,1,3,NULL),(15,2237580,'1987-07-04 00:00:00',4,1,12,2004,'M','N','TAQUARAL','CAMPINAS','SP','125252251217571431559712491122141462057',478,'9998',76.98,1,3,NULL),(15,2237598,'1991-11-18 00:00:00',2,4,12,2008,'F','S','CENTRO','PLANALTO ALEGRE','SC','124243241311111131534936491324610134185',NULL,'1037',38.22,1,3,NULL),(15,2237601,'1990-04-20 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241215322231469833592122610167042',2627,'1051',67.22,1,3,NULL),(15,2237610,'1981-11-14 00:00:00',2,1,12,2001,'M','N','GUARA DOIS BRASILIA','GUARA','DF','107073071317115311648811195124610167047',5716,'9998',59.64,2,1,2),(15,2237628,'1990-01-30 00:00:00',4,1,12,2007,'F','N','SANTA FE','CAMPO GRANDE','MS','112122121216171721348831515122610168192',9475,'9998',52.82,1,3,NULL),(15,2237636,'1987-03-15 00:00:00',4,8,11,2004,'M','N','SÃO LUIS','JARAGUA DO SUL','SC','124241241136143441456634245122610134182',20936,'891',34.99,1,3,NULL),(15,2237644,'1985-08-11 00:00:00',2,1,12,2005,'M','N','MONTE CRISTO','FLORIANOPOLIS','SC','124271271112131431121327442314610163147',NULL,'9998',9.23,4,2,1),(15,2237660,'1988-10-17 00:00:00',4,1,12,2006,'F','N','TAQUARAL','CAMPINAS','SP','125254251217472411669811571122122216187',4149,'9998',63.06,1,3,NULL),(15,2237679,'1991-04-11 00:00:00',2,3,12,2008,'M','S','CENTRO','PETROLANDIA','SC','124241241215111431356412574114610128042',NULL,'9997',33.00,1,3,NULL),(15,2237687,'1988-05-20 00:00:00',4,2,12,2005,'M','N','SÃO JOÃO','URUGUAIANA','RS','120201201217571432363312375113610132176',NULL,'9998',0.00,1,3,NULL),(15,2237695,'1989-06-06 00:00:00',4,6,12,2006,'M','N','CENTRO','FOZ DO IGUACU','PR','116124128217151431569914395124241424042',14177,'9998',45.90,1,3,NULL),(15,2237709,'1988-01-01 00:00:00',4,1,12,2006,'M','N','CENTRO','PALHOCA','SC','124243247322141232354429342132610134052',19227,'592',38.30,1,3,NULL),(15,2237717,'1974-03-17 00:00:00',4,1,8,1996,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124243247336133431554644142333231032057',NULL,'497',0.00,4,3,NULL),(15,2237725,'1990-12-17 00:00:00',4,1,12,2007,'M','N','CENTRO','CAMPO GRANDE','MS','112122121336211231368832475122610114121',NULL,'9998',NULL,1,3,NULL),(15,2237733,'1981-11-08 00:00:00',2,1,11,1998,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241114135441447613445234120931162',15922,'307',43.51,1,2,1),(15,2237741,'1990-11-18 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124241241217111431343327571124610117042',NULL,'1022',42.30,1,3,NULL),(15,2237750,'1991-07-31 00:00:00',4,4,11,2007,'F','N','CENTRO','CHAPECO','SC','124242241216371431375622575122610167142',4088,'1046',63.22,1,3,NULL),(15,2237768,'1989-08-09 00:00:00',2,1,12,2006,'F','N','SETOR BUENO','GOIANIA','GO','109092091216471421458812574122610168182',9120,'9998',53.43,1,3,NULL),(15,2237776,'1986-07-08 00:00:00',4,1,12,2003,'F','N','JARDIM IRAJA','RIBEIRAO PRETO','SP','125252251216574451563811174122610152092',NULL,'9998',0.00,1,3,NULL),(15,2237784,'1990-10-22 00:00:00',4,8,11,2007,'F','N','ALMIRANTE TAMANDARE','ALMIRANTE TAMANDARE','PR','116162161215421441457414571122610167012',NULL,'9998',0.00,1,3,NULL),(15,2237792,'1990-08-07 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241115131431233819572324610166147',22115,'9997',31.85,1,2,1),(15,2237806,'1989-09-20 00:00:00',2,5,7,2007,'F','N','RIO MAINA','CRICIUMA','SC','124241248217131421623819592324610134187',20874,'230',35.13,1,3,NULL),(15,2237814,'1986-10-27 00:00:00',4,1,12,2005,'F','N','SETOR BUENO','GOIANIA','GO','109092091212571431458811572122610161182',805,'9998',74.69,1,3,NULL),(15,2237822,'1990-03-25 00:00:00',2,1,12,2007,'F','N','PONTE DE IMARUIM','PALHOCA','SC','124241241116111431326414572324610164147',NULL,'592',25.75,1,2,1),(15,2237830,'1989-02-17 00:00:00',4,1,12,2006,'M','N','SETOR BUENO','GOIANIA','GO','109092091216471431558811522122610161182',NULL,'9998',0.00,1,3,NULL),(15,2237857,'1990-12-30 00:00:00',2,1,12,2007,'M','N','MORUMBI','SAO PAULO','SP','125202251217161711569614575112610168127',NULL,'9998',0.00,1,3,NULL),(15,2237873,'1989-02-09 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241215472231559614575124230767047',4008,'270',63.43,1,3,NULL),(15,2237881,'1986-11-24 00:00:00',4,4,12,2005,'M','N','CENTRO','MONDAI','SC','124241241116231431433335152323610127052',NULL,'564',22.42,1,2,1),(15,2237890,'1988-03-14 00:00:00',2,1,12,2005,'F','N','CANTO','FLORIANOPOLIS','SC','124241241345273532243629432124610164142',13048,'1022',47.52,1,3,NULL),(15,2237903,'1987-07-26 00:00:00',4,1,12,2005,'F','N','NOVA SUIÇA','GOIANIA','GO','109092091217172431458821574122610161182',34,'9998',83.67,1,3,NULL),(15,2237911,'1984-01-18 00:00:00',4,1,7,2002,'M','N','INGLESES','FLORIANOPOLIS','SC','124201207326131431523411181224610124177',NULL,'9998',0.00,1,3,NULL),(15,2237920,'1990-09-26 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241136131431336614575124610164017',NULL,'733',21.49,1,2,1),(15,2237938,'1987-04-19 00:00:00',2,1,12,2004,'M','N','SÃO MIGUEL','BIGUACU','SC','124241241144472432336329242124610136017',17036,'65',41.83,2,2,1),(15,2237946,'1988-10-26 00:00:00',4,1,12,2006,'M','N','SETOR BUENO','GOIANIA','GO','109092091216472431458811574122610168182',1187,'9998',72.54,1,3,NULL),(15,2237954,'1990-06-21 00:00:00',4,4,11,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124241241215111411437432572122610133012',20821,'752',35.24,1,3,NULL),(15,2237962,'1990-08-11 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241217151532477839572112610167127',NULL,'262',30.77,1,3,NULL),(15,2237970,'1986-03-30 00:00:00',4,7,11,2005,'M','N','CENTRO','CAPINZAL','SC','124241246314142421525315245124231424032',NULL,'155',25.93,3,3,NULL),(15,2237989,'1990-01-24 00:00:00',2,1,12,2006,'F','N','CONJUNTO RIVIERA','GOIANIA','GO','109092091217471431546614572322610168182',6169,'9998',58.71,1,3,NULL),(15,2237997,'1989-07-01 00:00:00',4,2,11,2006,'M','N','CENTRO','MASSARANDUBA','SC','124241011316131431537614375114610114197',13792,'9998',46.48,1,3,NULL),(15,2238004,'1971-01-23 00:00:00',4,4,12,1996,'M','N','CAMPECHE','FLORIANOPOLIS','SC','224241248146135421343144245222231466187',18382,'306',39.68,4,3,NULL),(15,2238012,'1989-06-20 00:00:00',4,1,12,2005,'F','N','JARDIM CURITIBA TRES','GOIANIA','GO','109094091117471431446614572322610168182',NULL,'9998',0.00,4,3,NULL),(15,2238020,'1989-05-12 00:00:00',2,5,11,2006,'F','N','CENTRO','ARARANGUA','SC','124242241216112441488932572122242464192',NULL,'32',0.00,1,3,NULL),(15,2238039,'1987-11-30 00:00:00',2,1,12,2004,'M','N','SETOR BUENO','GOIANIA','GO','109092091217571431456619572322610161182',3392,'9998',65.02,4,3,NULL),(15,2238047,'1990-09-27 00:00:00',4,6,12,2007,'F','N','CENTRO','PICARRAS','SC','124242241215112432389933575124231464182',7930,'392',55.47,1,3,NULL),(15,2238055,'1990-04-09 00:00:00',4,6,12,2007,'F','N','FAZENDA','ITAJAI','SC','124242241216141431226769345322610135142',NULL,'394',10.94,1,3,NULL),(15,2238063,'1990-08-08 00:00:00',2,8,12,2007,'F','N','CENTRO','CASCAVEL','PR','116164161215111431646612572122610162143',NULL,'9998',0.00,1,3,NULL),(15,2238071,'1990-07-21 00:00:00',2,1,12,2007,'M','N','CENTRO','NOVA TRENTO','SC','124242241217111731454832572124610137047',13016,'981',47.57,1,3,NULL),(15,2238080,'1985-01-21 00:00:00',4,1,10,2003,'M','N','ARUANÃ I','GOIANIA','GO','109091091136153751556612395124242063092',NULL,'9998',0.00,4,2,1),(15,2238098,'1990-09-11 00:00:00',2,6,12,2007,'M','N','CENTRO','ITAJAI','SC','124242241215151231439639475125610114072',13875,'388',46.35,1,3,NULL),(15,2238101,'1966-07-22 00:00:00',4,1,12,1991,'M','N','CENTRO','FLORIANOPOLIS','SC','224241248126134421332144145133610167087',20742,'306',35.42,4,1,1),(15,2238110,'1992-03-14 00:00:00',2,5,11,2008,'F','S','SANTA ISABEL','FORQUILHINHA','SC','124244248215111431447614442122610133145',NULL,'226',42.05,1,3,NULL),(15,2238136,'1989-09-27 00:00:00',4,1,12,2007,'F','N','CENTRO','CAMPO GRANDE','MS','112122121216111721348831575122610168192',11464,'9998',49.76,1,3,NULL),(15,2238144,'1990-06-12 00:00:00',1,2,12,2007,'F','N','CENTRO','POMERODE','SC','124242241215111431454819594122610124142',3029,'624',66.05,1,3,NULL),(15,2238152,'1989-04-22 00:00:00',4,1,12,2006,'F','N','JABOTICABEIRA','TAUBATE','SP','125252251216471411456534572122610127044',20092,'9998',36.63,1,3,NULL),(15,2238160,'1991-03-21 00:00:00',4,8,11,2008,'F','S','SAGUAÇU','JOINVILLE','SC','124242241215111431537731572124610122197',NULL,'486',54.75,1,3,NULL),(15,2238179,'1990-04-02 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124241241415111431449914475122610124147',5445,'983',60.18,1,3,NULL),(15,2238187,'1990-02-01 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124211241112131431546613575122610114147',NULL,'257',27.37,1,2,1),(15,2238195,'1981-01-18 00:00:00',4,1,11,1999,'F','N','AREIAS','SAO JOSE','SC','124241248117142431428513445114610162187',21307,'306',34.18,1,3,NULL),(15,2238209,'1989-12-08 00:00:00',4,1,11,2007,'M','N','ROÇADO','SAO JOSE','SC','124243241116371431348614476114610118142',4503,'271',62.24,1,3,NULL),(15,2238217,'1991-09-25 00:00:00',4,1,12,2008,'F','S','UNIVERSITARIO','TIJUCAS','SC','124242241215131431448612572322610138097',NULL,'948',24.27,1,3,NULL),(15,2238225,'1984-08-11 00:00:00',2,1,12,2001,'F','N','PORTÃO','CURITIBA','PR','116164161216152711359613575321241061192',17310,'9998',41.38,1,3,NULL),(15,2238233,'1991-02-20 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANOPOLIS','SC','124204241215111431328614295124610133142',NULL,'1022',36.86,1,3,NULL),(15,2238241,'1991-01-20 00:00:00',4,2,12,2007,'F','N','SÃO JOÃO','URUGUAIANA','RS','120203201217471432363312375123610132147',NULL,'9998',0.00,1,3,NULL),(15,2238250,'1982-04-16 00:00:00',4,1,12,1999,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241117275412458733442123123237067',5701,'307',59.67,1,2,1),(15,2238268,'1990-02-25 00:00:00',2,4,12,2007,'M','N','UNIVESITARIO','CHAPECO','SC','124241241315141432356633342122610127062',NULL,'1046',16.80,1,3,NULL),(15,2238276,'1990-05-07 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431568814475122610127112',12398,'1022',48.43,1,3,NULL),(15,2238284,'1990-11-12 00:00:00',4,8,11,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241217161532468614575112610123172',14979,'424',44.82,1,3,NULL),(15,2238292,'1990-01-22 00:00:00',4,7,12,2007,'F','N','DEER','CACADOR','SC','124242241215111431467911575122610147097',15945,'118',43.47,1,3,NULL),(15,2238306,'1989-12-06 00:00:00',4,6,12,2007,'M','N','CENTRO','BRUSQUE','SC','124242246217152431458931372124610134042',2890,'1018',66.47,1,3,NULL),(15,2238314,'1990-12-18 00:00:00',4,1,12,2007,'M','N','CENTRO','CAMPO GRANDE','MS','112124121236221221478832495112610117042',14687,'9998',45.17,1,3,NULL),(15,2238330,'1990-08-06 00:00:00',2,1,12,2007,'M','N','JARDIM SÃO RAFAEL','UMUARAMA','PR','116163161216111431556631212212610147042',NULL,'9998',0.00,1,3,NULL),(15,2238349,'1990-05-23 00:00:00',4,8,12,2007,'F','N','GRALHA AZUL','IBAITI','PR','116162161117131411248814575125610138012',6445,'9998',58.18,1,3,NULL),(15,2238357,'1986-02-21 00:00:00',4,1,12,2003,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124252251216574441653611495324220944117',10011,'9998',51.91,4,3,NULL),(15,2238365,'1990-04-11 00:00:00',4,1,8,2008,'M','S','CAPOEIRAS','FLORIANOPOLIS','SC','124241241135311231428321572224610137052',NULL,'9997',39.84,1,3,NULL),(15,2238381,'1988-05-03 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241117473731468932475124233227017',11557,'307',49.62,1,2,1),(15,2238390,'1985-12-05 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243247337573411357613492113131467111',NULL,'272',32.02,1,3,NULL),(15,2238403,'1988-05-14 00:00:00',4,1,12,2005,'M','N','VILA BELA VISTA','SAO PAULO','SP','125252251216271442555811585122141436047',NULL,'9998',NULL,1,3,NULL),(15,2238411,'1973-11-09 00:00:00',2,1,12,1991,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124241243426573421253343431134330243197',7287,'751',56.62,1,3,NULL),(15,2238420,'1987-08-17 00:00:00',4,1,11,2004,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241212273541288712572122120817132',13573,'270',46.78,1,3,NULL),(15,2238438,'1989-09-22 00:00:00',2,1,12,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241115131331643339395124610168152',NULL,'287',17.13,1,2,1),(15,2238446,'1990-12-28 00:00:00',4,1,12,2007,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124242241215111451458824572122610118077',16070,'738',43.26,1,3,NULL),(15,2238462,'1990-04-07 00:00:00',4,4,12,2007,'F','N','SÃO LUIZ','SAO MIGUEL DOESTE','SC','124244241216271431349632575122610142197',NULL,'751',0.00,1,3,NULL),(15,2238470,'1990-05-02 00:00:00',4,2,11,2007,'F','N','VILA NOVA','BLUMENAU','SC','124242241215111431339922475122610123182',NULL,'855',0.00,1,3,NULL),(15,2238489,'1990-04-23 00:00:00',4,3,12,2007,'M','N','CENTRO','BRACO DO TROMBUDO','SC','624242241217151431458911175122610168042',7614,'1013',56.01,1,3,NULL),(15,2238497,'1991-08-16 00:00:00',4,4,12,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241215111431357532572122610144147',6615,'751',57.87,1,3,NULL),(15,2238519,'1982-07-31 00:00:00',2,1,6,1999,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124243248336133741342639285124233268187',15226,'9999',44.50,1,3,NULL),(15,2238527,'1988-02-25 00:00:00',4,4,12,2005,'M','N','CENTRO','BOM JESUS','SC','124241241116111411539613442134610127057',NULL,'372',30.93,1,2,1),(15,2238535,'1989-12-28 00:00:00',4,1,12,2007,'M','N','ALTO CAJUEIROS','MACAE','RJ','121214211216121431368619575122610162193',3849,'9998',63.87,1,3,NULL),(15,2238543,'1987-12-14 00:00:00',4,4,11,2005,'F','N','BRASILIA','PATO BRANCO','PR','116162168216153431568713495124242563072',13571,'9998',46.78,1,3,NULL),(15,2238560,'1990-01-01 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215421431466616372224610124012',10880,'270',50.64,1,3,NULL),(15,2238578,'1991-09-19 00:00:00',4,1,12,2007,'M','N','SÃO FRANCISCO','SANTO AMARO DA IMPERATRIZ','SC','124241241111141231564414272124610167012',17008,'772',41.87,1,3,NULL),(15,2238586,'1990-10-20 00:00:00',2,9,11,2007,'F','N','CENTRO','CAMPO BELO DO SUL','SC','124241241215112431456933572124610133097',8107,'270',55.17,1,3,NULL),(15,2238594,'1990-02-28 00:00:00',2,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124242241215271231588613575122610167042',7768,'486',55.75,1,3,NULL),(15,2238616,'1973-09-18 00:00:00',2,1,12,1992,'F','N','AREIAS','SAO JOSE','SC','124241247222272711133143432334610134197',NULL,'489',46.96,1,3,NULL),(15,2238624,'1987-12-07 00:00:00',4,1,12,2005,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215473441558819415114610122185',7551,'270',56.11,1,3,NULL),(15,2238632,'1990-01-08 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215122431348723572314610168012',4542,'272',62.15,1,3,NULL),(15,2238659,'1988-10-12 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241245211731543331275124610163072',NULL,'1022',8.13,1,3,NULL),(15,2238667,'1990-08-12 00:00:00',4,1,11,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215272431489934581124610127042',3886,'270',63.78,1,3,NULL),(15,2238675,'1990-12-06 00:00:00',2,1,12,2007,'M','N','TRINTA RÉIS','NOVA TRENTO','SC','124244243215121231476633575114610124052',15569,'9997',44.02,1,3,NULL),(15,2238683,'1990-10-04 00:00:00',5,2,11,2007,'F','N','SEMINÁRIO','TAIO','SC','124241241335131132436616172121610144057',NULL,'776',26.93,1,3,NULL),(15,2238705,'1988-03-10 00:00:00',4,2,12,2005,'F','N','VILA NOVA','BLUMENAU','SC','124242241215372431489811574112133246186',1254,'87',72.25,1,3,NULL),(15,2238713,'1989-08-18 00:00:00',4,1,12,2006,'M','N','SERRINHA','FLORIANOPOLIS','SC','124242241215112321348931374125221467112',5639,'87',59.80,1,3,NULL),(15,2238721,'1988-09-20 00:00:00',2,1,11,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241117473431635414341124610138147',18334,'257',39.73,2,2,1),(15,2238730,'1991-11-28 00:00:00',4,5,12,2007,'M','N','PARAGUAI','JACINTO MACHADO','SC','124242241217151431459834575121610127042',18336,'813',39.73,1,3,NULL),(15,2238756,'1990-08-02 00:00:00',2,3,12,2007,'F','N','DAS NAÇÕES','BALNEARIO CAMBORIU','SC','124243241215211542543714573212610166016',NULL,'44',0.00,1,3,NULL),(15,2238764,'1989-03-07 00:00:00',2,1,12,2006,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124243241315472431466613384124610137142',10250,'1022',51.56,1,3,NULL),(15,2238772,'1988-06-01 00:00:00',2,1,12,2005,'M','N','NOSSA S DO ROSARIO','SAO JOSE','SC','124241248146471731335324345114610127067',19939,'726',36.94,1,2,1),(15,2238780,'1988-07-19 00:00:00',4,2,12,2005,'M','N','CENTRO','PROMISSAO','SP','125254251217121411529851391121140232051',NULL,'9998',24.28,1,3,NULL),(15,2238799,'1988-12-12 00:00:00',4,8,12,2006,'M','N','AMERICA','JOINVILLE','SC','124242241215471431447839571122610142012',NULL,'457',0.00,4,3,NULL),(15,2238802,'1990-11-16 00:00:00',2,3,11,2007,'F','N','CENTRO','CANOINHAS','SC','124244161216111722468822575112610113072',NULL,'154',0.00,1,3,NULL),(15,2238829,'1988-06-22 00:00:00',4,1,12,2005,'M','N','CZERNIEWICZ','JARAGUA DO SUL','SC','124242241215573431489934575122610132112',182,'491',80.15,1,3,NULL),(15,2238837,'1991-04-09 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215111431389933572124610117015',14544,'270',45.34,1,3,NULL),(15,2238845,'1986-09-22 00:00:00',4,4,12,2003,'F','N','PRESIDENTE MÉDICI','CHAPECO','SC','124241241315574441438631574224610167187',3867,'169',63.82,1,3,NULL),(15,2238853,'1990-06-04 00:00:00',4,8,12,2007,'M','N','PARQUE CIDADE JARDIM','UMUARAMA','PR','116162161216111431459812385112610167052',21369,'9998',34.05,3,3,NULL),(15,2238861,'1989-10-02 00:00:00',2,1,12,2006,'M','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241216132431443535575124132612097',17795,'774',40.67,1,3,NULL),(15,2238888,'1985-08-28 00:00:00',4,1,12,2003,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124172241215373431258621475114220267041',2786,'266',66.78,1,3,NULL),(15,2238896,'1989-07-03 00:00:00',2,1,11,2005,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241415373431566632575124222232182',4874,'970',61.37,1,3,NULL),(15,2238900,'1991-11-28 00:00:00',4,5,12,2007,'M','N','PARAGUAI','JACINTO MACHADO','SC','124242241217151432459834572114610132147',10067,'813',51.83,1,3,NULL),(15,2238918,'1991-01-05 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124201241215111431356824572122610124057',17854,'1036',40.59,1,3,NULL),(15,2238926,'1991-03-03 00:00:00',4,3,12,2008,'M','S','CENTRO','BALNEARIO CAMBORIU','SC','124242241217111431588813575122610167062',NULL,'9997',60.52,3,3,NULL),(15,2238934,'1990-03-14 00:00:00',4,4,11,2007,'F','N','CENTRO','CHAPECO','SC','124241241215141411436612244112610163072',11246,'1046',50.09,1,3,NULL),(15,2238942,'1990-03-29 00:00:00',2,1,12,2007,'F','N','PÂNTANO DO SUL','FLORIANOPOLIS','SC','124241241117131431536313575124610127057',21149,'281',34.55,1,2,1),(15,2238950,'1988-02-08 00:00:00',2,3,12,2005,'M','N','VILA REAL','BALNEARIO CAMBORIU','SC','124164161216371431335624574322141544087',976,'9998',73.66,1,3,NULL),(15,2238969,'1987-08-13 00:00:00',2,1,11,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241217132731538619492124223023077',20990,'943',34.87,1,3,NULL),(15,2238977,'1985-10-19 00:00:00',4,9,12,2002,'M','N','SANTA MARTA','BENTO GONCALVES','RS','120202201216471431547771445124141466172',14733,'9998',45.10,1,3,NULL),(15,2238985,'1989-03-15 00:00:00',4,4,11,2006,'M','N','PORTAL','DOURADOS','MS','112124121217371331568819274111610132127',7186,'9998',56.83,1,3,NULL),(15,2238993,'1985-06-19 00:00:00',4,8,12,2002,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251216271431466712484122343224182',5971,'9998',59.13,3,3,NULL),(15,2239000,'1986-06-11 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241115272431137524395314610122187',14648,'9999',45.21,1,2,1),(15,2239019,'1990-03-16 00:00:00',4,1,12,2007,'F','N','ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC','124241241125131431546634345133610124072',NULL,'291',21.25,1,3,NULL),(15,2239035,'1990-06-11 00:00:00',4,10,12,2007,'M','N','CENTRO','TUBARAO','SC','124244241215111731459814575121610132127',13913,'807',46.30,1,3,NULL),(15,2239043,'1990-01-07 00:00:00',2,5,11,2007,'F','N','SANTO ANTONIO','CRICIUMA','SC','124241241435471431433734575124610137142',14620,'995',45.24,1,3,NULL),(15,2239051,'1991-02-21 00:00:00',4,1,12,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241217111411449814312114610138012',11214,'270',50.14,1,3,NULL),(15,2239060,'1989-04-26 00:00:00',4,1,11,2008,'M','S','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241415111431479812575114610127015',NULL,'9997',53.88,4,3,NULL),(15,2239078,'1984-07-24 00:00:00',4,1,11,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217374431178833575121230267015',2008,'207',69.25,1,3,NULL),(15,2239094,'1989-05-05 00:00:00',2,8,5,2007,'M','N','ZONA INDUST NORTE','JOINVILLE','SC','124241242132372431324321442121610137057',15448,'662',44.19,1,2,1),(15,2239108,'1988-02-05 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241216152431457515285124220737047',11470,'270',49.75,1,3,NULL),(15,2239116,'1988-09-26 00:00:00',4,1,12,2005,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242243217373431578832272122131024182',1555,'262',70.98,1,3,NULL),(15,2239124,'1990-04-16 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241215111431589914575122610162042',12889,'270',47.74,1,3,NULL),(15,2239132,'1985-03-29 00:00:00',4,1,12,2002,'F','N','CENTRO','IMBUIA','SC','224241241121371711233751355122231368182',NULL,'364',0.00,1,2,1),(15,2239140,'1990-01-03 00:00:00',2,3,11,2007,'F','N','CENTRO','SORRISO','MT','111112117216111331548915175122610115147',NULL,'9998',20.05,1,3,NULL),(15,2239159,'1990-04-30 00:00:00',4,7,11,2007,'M','N','CENTRO','HERVAL D OESTE','SC','124242241215271132336812472125610166057',8444,'446',54.61,1,3,NULL),(15,2239167,'1985-09-30 00:00:00',4,8,12,2003,'M','N','AMÉRICA','JOINVILLE','SC','124243241141371411235414341234610146047',8873,'478',53.87,1,3,NULL),(15,2239183,'1981-11-13 00:00:00',4,1,12,1999,'M','N','LAGO NORTE','LAGO NORTE','DF','107076071617372411569833395135121432167',2747,'9998',66.89,1,3,NULL),(15,2239191,'1989-12-27 00:00:00',4,8,12,2007,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161216411431668863575122610166047',NULL,'9998',0.00,1,3,NULL),(15,2239205,'1989-05-08 00:00:00',4,1,12,2006,'F','N','VILA IPIRANGA','LONDRINA','PR','116161161216471431467823591112610144147',NULL,'9998',0.00,1,3,NULL),(15,2239213,'1967-09-13 00:00:00',2,1,12,1996,'F','N','CAIOÇARA','JARINU','SP','525251257147271411633341112122610167097',NULL,'9999',21.14,1,2,1),(15,2239221,'1991-10-15 00:00:00',4,8,11,2008,'M','S','FLORESTA','JOINVILLE','SC','124242241237111431367923574124610131115',NULL,'1016',67.64,1,3,NULL),(15,2239230,'1990-10-02 00:00:00',4,1,12,2008,'M','S','VILA NOVA','JARAGUA DO SUL','SC','124242241217111431368814576122610134172',NULL,'1063',52.68,1,3,NULL),(15,2239248,'1983-10-07 00:00:00',4,1,12,2000,'F','N','SANTINHO','FLORIANOPOLIS','SC','124243241114275431445314382324610134157',5597,'307',59.87,1,3,NULL),(15,2239256,'1990-03-27 00:00:00',4,8,10,2007,'M','N','BIGORILHO','CURITIBA','PR','116162161216111451489911475122610137046',NULL,'9998',0.00,1,3,NULL),(15,2239264,'1989-01-24 00:00:00',2,1,12,2006,'M','N','CENTRO','SANTA MARIA','RS','120243241227471431436979375114610161095',NULL,'1060',30.40,1,3,NULL),(15,2239272,'1990-03-20 00:00:00',2,1,12,2007,'M','N','BELA VISTA','SAO JOSE','SC','124241241136141431436933345124610137037',17333,'726',41.33,1,3,NULL),(15,2239280,'1991-07-19 00:00:00',2,4,12,2007,'F','N','CENTRO','MONDAI','SC','124241241115131731436313392232610118147',NULL,'564',22.20,1,2,1),(15,2239302,'1989-02-10 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124242241215112411349513595124610142182',17767,'1022',40.72,1,3,NULL),(15,2239310,'1989-07-21 00:00:00',4,6,12,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241216472431236823475124610132092',6723,'1058',57.70,1,3,NULL),(15,2239329,'1982-10-12 00:00:00',4,1,12,2000,'M','N','ALTO ARIRIÚ','PALHOCA','SC','124241241122371421443329342114610164047',NULL,'593',35.27,1,3,NULL),(15,2239337,'1990-03-31 00:00:00',2,1,12,2007,'F','N','PASSA VINTE','PALHOCA','SC','124241241122131432435631292124610124147',17847,'592',40.60,1,2,1),(15,2239353,'1991-04-10 00:00:00',4,2,12,2008,'F','S','LIMOEIRO','BRUSQUE','SC','124232241216111431459713175124610132192',NULL,'107',51.90,1,3,NULL),(15,2239361,'1991-07-08 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111711366933572122610117042',11482,'738',49.73,1,3,NULL),(15,2239370,'1991-01-25 00:00:00',4,1,12,2007,'M','N','SANTA MARIA','ANTONIO CARLOS','SC','124241241115151431533311572124610167057',17743,'21',40.74,1,2,1),(15,2239388,'1989-03-12 00:00:00',4,1,12,2006,'F','N','JUVEVE','CURITIBA','PR','116162161211371422358813571124240646143',NULL,'9998',0.00,3,3,NULL),(15,2239396,'1989-06-14 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217472731179613475115610164042',5165,'752',60.78,1,3,NULL),(15,2239400,'1990-02-10 00:00:00',1,8,12,2007,'F','N','FRAGOSOS','CAMPO ALEGRE','SC','124241241215111711459532342122610162121',13829,'974',46.41,1,3,NULL),(15,2239418,'1981-01-30 00:00:00',4,1,12,1999,'M','N','SERRINHA','FLORIANOPOLIS','SC','124252257136134431128814245111132717027',NULL,'9999',0.00,1,3,NULL),(15,2239426,'1989-01-12 00:00:00',4,1,12,2006,'F','N','BOTAFOGO','RIO DE JANEIRO','RJ','121212211217471431547839575122610167142',13064,'9998',47.49,1,3,NULL),(15,2239434,'1990-09-08 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241112121431344313572124610137067',13690,'307',46.63,1,2,1),(15,2239442,'1985-10-25 00:00:00',2,1,10,2004,'M','N','ASA SUL','BRASILIA','DF','107072071217573451258833592112610147042',7198,'9998',56.80,1,3,NULL),(15,2239450,'1990-04-13 00:00:00',2,1,12,2007,'F','N','CAMINHO NOVO','PALHOCA','SC','224241241115151431523334242122610137147',21608,'592',33.49,1,3,NULL),(15,2239469,'1990-11-30 00:00:00',2,1,11,2007,'F','N','PANTANO DO SUL','FLORIANOPOLIS','SC','124241248112131431433619242124610116117',NULL,'307',23.12,1,2,1),(15,2239477,'1990-03-07 00:00:00',4,1,12,2007,'M','N','PARQUE RES AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251415111431466612572112610137042',4725,'9998',61.70,1,3,NULL),(15,2239493,'1989-09-02 00:00:00',4,1,12,2006,'F','N','CENTRO','SANTA CRUZ DO SUL','RS','120201201117471451448831575124610166182',441,'9998',77.27,1,2,1),(15,2239507,'1990-10-19 00:00:00',4,10,12,2007,'M','N','DEHON','TUBARAO','SC','124244246215141421448821575122610132182',5766,'1120',59.53,1,3,NULL),(15,2239515,'1991-02-15 00:00:00',4,2,11,2008,'M','S','JARDIM BLUMENAU','BLUMENAU','SC','124242241217111732478932424221610128115',NULL,'909',51.38,1,3,NULL),(15,2239523,'1990-01-08 00:00:00',4,1,11,2007,'M','N','JARDIM ALVORADA','SORRISO','MT','111112111216121431589613175123610164053',2472,'9998',67.71,4,3,NULL),(15,2239531,'1990-06-30 00:00:00',2,6,12,2007,'M','N','AZAMBUJA','BRUSQUE','SC','124241241146131531445334571122610117092',15111,'110',44.66,1,2,1),(15,2239540,'1988-06-28 00:00:00',4,1,12,2005,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241217153431577834592122232437092',2064,'262',69.06,1,3,NULL),(15,2239558,'1990-10-02 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124244241215111431326313332122610125147',21789,'1078',33.00,1,3,NULL),(15,2239566,'1983-06-16 00:00:00',2,1,6,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241247227313411422276295124610113093',22099,'9999',31.93,1,3,NULL),(15,2239574,'1965-11-28 00:00:00',4,1,11,1987,'M','N','MONTE CRISTO','FLORIANOPOLIS','SC','524241241131142411526649191325330267097',NULL,'9997',0.00,1,2,1),(15,2239582,'1989-04-02 00:00:00',2,3,12,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124161161115372711337811312115610137041',8608,'9998',54.33,1,3,NULL),(15,2239590,'1990-07-05 00:00:00',4,4,12,2007,'M','N','CENTRO','RONDA ALTA','RS','120201201117111731526611292325610117047',20202,'9998',36.41,1,2,1),(15,2239604,'1990-02-10 00:00:00',4,1,11,2007,'F','N','GUARA','GUARA','DF','107072071217271451445722574122610167111',15468,'9998',44.16,3,3,NULL),(15,2239612,'1991-01-19 00:00:00',4,1,12,2007,'F','N','PONTO CHIQUE','IBIRAMA','SC','124242241115111432349933575124610122072',NULL,'9997',18.89,1,3,NULL),(15,2239639,'1988-09-22 00:00:00',2,1,7,2007,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241248312271431556619312124610124187',NULL,'9999',26.01,1,3,NULL),(15,2239655,'1990-10-25 00:00:00',2,4,12,2007,'F','N','ZONA RURAL','NOVA SANTA ROSA','PR','116161161136141441423336335124610164177',17763,'9998',40.72,1,3,NULL),(15,2239663,'1980-06-14 00:00:00',4,1,12,1997,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','524243241216273431446629495124220334183',NULL,'272',0.00,1,3,NULL),(15,2239671,'1988-04-20 00:00:00',2,1,12,2005,'M','N','DANA ADELIA','SAO JOSE','SC','124243248111372431436313472243610166091',11000,'257',50.47,1,3,NULL),(15,2239680,'1983-12-24 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241117474431129944442115131367097',14390,'757',45.58,1,3,NULL),(15,2239698,'1985-07-11 00:00:00',4,1,12,2002,'M','N','CIDADE FLORIANOPOLIS','SAO JOSE','SC','124201201116132431437814285112130224091',13625,'9998',46.71,1,2,1),(15,2239701,'1989-11-12 00:00:00',4,8,12,2007,'F','N','ESPINHEIROS','JOINVILLE','SC','124241241127131431543414282124610125047',20865,'477',35.17,1,2,1),(15,2239728,'1990-09-26 00:00:00',2,5,11,2007,'M','N','SAO JOÃO','COCAL DO SUL','SC','124242241215111411326614575112610127042',16326,'820',42.85,4,3,NULL),(15,2239736,'1987-08-22 00:00:00',4,1,6,2006,'F','N','BOQUEIRÃO','PASSO FUNDO','RS','120203205137271711468633272112610136147',NULL,'9998',26.35,1,3,NULL),(15,2239744,'1987-08-12 00:00:00',2,2,12,2005,'M','N','CENTRO','TAIO','SC','124243241146373451466619272325610162182',6447,'777',58.18,1,3,NULL),(15,2239752,'1989-07-11 00:00:00',4,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116254251416461431568511572124610134187',NULL,'9998',0.00,1,3,NULL),(15,2239760,'1990-10-17 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241417161431446733572114610127181',13005,'1048',47.59,1,3,NULL),(15,2239779,'1988-08-17 00:00:00',4,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242247337131431456614375112610164112',NULL,'9999',30.90,1,3,NULL),(15,2239787,'1990-09-01 00:00:00',4,8,12,2007,'M','N','CENTRO','RIO NEGRINHO','SC','124254241416111431224664295122610124017',NULL,'666',0.00,1,3,NULL),(15,2239795,'1986-09-03 00:00:00',2,1,12,2003,'M','N','SÃO JOSÉ','SAO LEOPOLDO','RS','120201206116472441446631472125241464042',2825,'9998',66.69,1,2,1),(15,2239809,'1990-01-29 00:00:00',2,1,12,2007,'M','N','CENTRO','BIGUACU','SC','124241241115141431523674342224610132147',21940,'65',32.49,4,2,1),(15,2239817,'1988-04-26 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242247215371421546632392124610127047',NULL,'9999',23.33,1,3,NULL),(15,2239833,'1989-11-08 00:00:00',1,1,12,2007,'F','N','CENTRO','SANTO CRISTO','RS','120201201116131711458831495125610158192',13495,'9998',46.90,1,2,1),(15,2239841,'1967-05-29 00:00:00',2,1,12,2002,'M','N','INGLESES','FLORIANOPOLIS','SC','224241241127231431323349482112610122147',20851,'9999',35.19,3,2,1),(15,2239850,'1988-12-30 00:00:00',4,8,12,2006,'F','N','CENTRO','PINHAO','PR','116161168315471431566632571122610138142',NULL,'9998',0.00,1,3,NULL),(15,2239868,'1986-04-20 00:00:00',2,1,12,2004,'F','N','BARREIROS','SAO JOSE','SC','124134241215575411454311475124610163112',3641,'943',64.38,4,3,NULL),(15,2239876,'1988-12-01 00:00:00',4,8,12,2006,'M','N','ENSEADA','SAO FRANCISCO DO SUL','SC','124242247237211431549712345322610127112',16453,'9999',42.66,1,3,NULL),(15,2239892,'1991-06-11 00:00:00',2,1,12,2008,'F','S','CAMPINAS','FLORIANOPOLIS','SC','124242241215141431559611242124610126097',NULL,'109',46.68,1,3,NULL),(15,2239914,'1983-05-26 00:00:00',4,1,12,2000,'M','N','SANTA QUITÉRIA','CURITIBA','PR','116162161215471442588612472222340636182',3205,'9998',65.53,1,3,NULL),(15,2239922,'1990-03-30 00:00:00',2,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215271731356833575125610137072',5047,'213',60.99,1,3,NULL),(15,2239957,'1986-06-23 00:00:00',2,1,12,2004,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241215154221455419492124231227182',4584,'269',62.04,1,3,NULL),(15,2239965,'1988-10-02 00:00:00',4,3,12,2005,'F','N','TATUAPÉ','SAO PAULO','SP','125243241216472431347869282314130232192',6749,'53',57.65,1,3,NULL),(15,2239973,'1990-11-21 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241117271432528631572221610137017',11498,'574',49.71,4,2,1),(15,2239981,'1991-10-19 00:00:00',4,1,2,2008,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124243241117151431459933575125610167097',13092,'739',47.46,4,3,NULL),(15,2240009,'1988-12-26 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124243241316372431434319395124241464091',12001,'943',48.98,1,3,NULL),(15,2240017,'1990-07-18 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124264241417111431468733574122610123012',1458,'272',71.42,1,3,NULL),(15,2240025,'1991-06-10 00:00:00',4,8,12,2008,'M','S','ANITA GARIBALDI','JOINVILLE','SC','124242241213151442589714471121610147116',NULL,'491',42.83,1,3,NULL),(15,2240033,'1990-10-01 00:00:00',2,8,11,2007,'F','N','ESCOLINHA','JOINVILLE','SC','124241241111131711326314285124610134097',9596,'466',52.59,1,2,1),(15,2240041,'1980-12-14 00:00:00',4,1,12,1997,'F','N','SÃO SEBASTIÃO','PALHOCA','SC','224251251126131421433651375124141728091',NULL,'9998',0.00,1,3,NULL),(15,2240050,'1989-06-27 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241127273421345633342124133227147',20209,'17',36.39,1,2,1),(15,2240068,'1990-03-10 00:00:00',4,1,4,2007,'M','N','JOAO PAULO','FLORIANOPOLIS','SC','124286288612271411455834285124610137042',17687,'9998',40.81,1,3,NULL),(15,2240076,'1989-11-07 00:00:00',4,1,12,2007,'F','N','VILA NOVA','TRES BARRAS','SC','124241241116161431436634575121610127187',NULL,'789',0.00,1,2,1),(15,2240084,'1990-11-03 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241217272431458832572112610167071',8279,'213',54.88,1,3,NULL),(15,2240092,'1990-03-20 00:00:00',4,1,12,2007,'M','N','UVARANAS','PONTA GROSSA','PR','116162161217111431479933575112610167047',11534,'9998',49.66,1,3,NULL),(15,2240106,'1990-06-17 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215112231566713575122610167072',14192,'738',45.88,4,3,NULL),(15,2240114,'1989-11-23 00:00:00',4,2,11,2007,'M','N','GARCIA','BLUMENAU','SC','124242241217111431378814572122610124082',3874,'87',63.81,1,3,NULL),(15,2240122,'1990-05-23 00:00:00',4,1,11,2007,'M','N','PARQUE DOS BURITIS','RIO VERDE','GO','109092091215111431478916574122610127012',499,'9998',76.84,1,3,NULL),(15,2240130,'1990-10-23 00:00:00',2,1,12,2007,'M','N','TIJUQUINHAS','BIGUACU','SC','124241241115131731434919192124610164085',18513,'64',39.45,1,3,NULL),(15,2240149,'1990-04-03 00:00:00',4,5,11,2007,'F','N','MICHEL','CRICIUMA','SC','124242241215371731484632574112610164142',4855,'210',61.41,1,3,NULL),(15,2240157,'1988-12-09 00:00:00',4,8,12,2007,'M','N','CENTRO','PERUIBE','SP','125254258215131431446913295121610124057',NULL,'9998',0.00,1,3,NULL),(15,2240165,'1989-03-11 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242247232131431359534575122610135147',NULL,'9999',0.00,1,3,NULL),(15,2240173,'1989-10-11 00:00:00',4,1,12,2007,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124244241115371431368632574124610165193',8757,'267',54.08,1,3,NULL),(15,2240181,'1988-12-25 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241111272431466513334124610127067',12363,'307',48.48,1,2,1),(15,2240190,'1990-11-29 00:00:00',2,2,12,2007,'F','N','MARGEM ESQUERDA','GASPAR','SC','124242241217111431469611412122610167142',5388,'955',60.30,1,3,NULL),(15,2240203,'1990-07-17 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','SAO JOSE','SC','124244241115271431436634572224610127147',14383,'307',45.59,1,3,NULL),(15,2240211,'1990-09-15 00:00:00',4,1,12,2007,'M','N','PRAIA DE SANTA HELEN','VITORIA','ES','108082081216111431589931572122610167112',6106,'9998',58.87,1,3,NULL),(15,2240220,'1988-07-08 00:00:00',4,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','124244241216253441457617445324232726072',7860,'723',55.60,1,3,NULL),(15,2240238,'1990-02-22 00:00:00',4,1,2,2008,'F','N','AREIAS','SAO JOSE','SC','124242241117141431443634295124610123077',18106,'739',40.14,1,3,NULL),(15,2240246,'1989-12-25 00:00:00',4,2,12,2007,'M','N','VILA NOVA','BLUMENAU','SC','124242241115272431489914572114610144112',17386,'909',41.24,1,3,NULL),(15,2240262,'1988-09-22 00:00:00',2,6,12,2005,'M','N','CENTRO','PAULO FRONTIN','PR','124161242112131722521139341331330117187',NULL,'9997',0.00,1,3,NULL),(15,2240270,'1990-01-28 00:00:00',4,1,12,2007,'F','N','ASA NORTE','BRASILIA','DF','107144071217111412278819576124610141142',9951,'9998',52.01,1,3,NULL),(15,2240289,'1986-03-04 00:00:00',2,1,12,2003,'M','N','NAVALHAS','RANCHO QUEIMADO','SC','124241241127132431323311441223610164017',16761,'649',42.24,1,2,1),(15,2240297,'1989-10-06 00:00:00',2,6,12,2007,'M','N','CORDEIROS','ITAJAI','SC','124241241136131431534311245124610137092',NULL,'396',0.00,1,2,1),(15,2240300,'1988-03-03 00:00:00',2,1,12,2005,'M','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124241241112133731114644345224610167067',13585,'935',46.77,1,3,NULL),(15,2240319,'1990-07-25 00:00:00',2,3,12,2007,'F','N','JARDIM EUROPA','PONTA GROSSA','PR','116162161215111731456836575122610132073',9504,'9998',52.77,1,3,NULL),(15,2240327,'1991-02-14 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431348833572122610127127',NULL,'270',31.57,1,3,NULL),(15,2240335,'1990-06-23 00:00:00',4,8,11,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215272431689814595122610137142',1615,'457',70.75,1,3,NULL),(15,2240351,'1990-08-30 00:00:00',2,6,12,2007,'M','N','CENTRO','PORTO BELO','SC','124241241136131431426314285321610137047',22442,'630',29.84,1,2,1),(15,2240360,'1991-02-12 00:00:00',2,1,10,2007,'F','N','JARDIM PAULISTA','CAMPO GRANDE','MS','112122121237111431547724213124610164147',11370,'9998',49.89,1,3,NULL),(15,2240378,'1990-05-05 00:00:00',2,1,12,2007,'M','N','FORQUILHAS','SAO JOSE','SC','124201241135131431537531245224610127052',18514,'307',39.45,1,2,1),(15,2240386,'1990-11-04 00:00:00',2,9,12,2007,'F','N','SANTO ANTONIO','CURITIBANOS','SC','124242241232161431446612572122610124075',NULL,'881',0.00,1,3,NULL),(15,2240394,'1988-06-21 00:00:00',4,1,12,2006,'M','N','BROOKLIN','SAO PAULO','SP','125252251211471731469812372114610127102',3067,'9998',65.92,1,3,NULL),(15,2240408,'1990-11-24 00:00:00',2,1,2,2008,'M','N','CENTRO','SAO JOSE','SC','124244241115371431433531332334610117042',13044,'739',47.53,4,3,NULL),(15,2240416,'1991-08-17 00:00:00',4,5,11,2008,'F','S','CENTRO','CRICIUMA','SC','124242241215111731448831572122610127142',NULL,'226',51.85,1,3,NULL);
INSERT INTO candidato VALUES (15,2240424,'1974-10-29 00:00:00',4,1,12,1992,'M','N','CENTRO','CAPIVARI','SP','125251251127151431443333282112610136047',11188,'9998',50.18,1,2,1),(15,2240440,'1990-04-30 00:00:00',4,1,12,2007,'M','N','VILA MARIA','SAO PAULO','SP','125252251117571331379934375122610167073',11779,'9998',49.29,1,3,NULL),(15,2240459,'1989-12-26 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215111431458611472112610137012',8899,'737',53.84,1,3,NULL),(15,2240467,'1991-01-26 00:00:00',4,1,12,2008,'M','S','EUGÊNIO SCHNEIDER','RIO DO SUL','SC','124242241215111431569833435122610124142',NULL,'9997',47.93,1,3,NULL),(15,2240475,'1989-11-03 00:00:00',4,2,12,2007,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241237271431488912594122610163183',15750,'909',43.74,1,3,NULL),(15,2240483,'1988-08-28 00:00:00',4,3,12,2005,'M','N','EUGENIO SCHNEIDER','RIO DO SUL','SC','124244241212131751436813212324130767032',6377,'959',58.31,1,3,NULL),(15,2240491,'1989-03-19 00:00:00',4,8,12,2006,'F','N','AGUA VERDE','CURITIBA','PR','116161161115561441453336164125610123052',5792,'9998',59.49,1,2,1),(15,2240505,'1988-04-28 00:00:00',4,1,4,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124204201114153431656631495114221166142',2272,'9998',68.35,1,3,NULL),(15,2240513,'1990-12-15 00:00:00',4,1,11,2007,'F','N','CENTRO','ITAPORA','MS','112123121217112431349611415122610122042',15529,'9998',44.09,1,3,NULL),(15,2240521,'1989-01-13 00:00:00',4,1,12,2006,'F','N','VILA REAL','ARACARIGUAMA','SP','125253251216471431377822575122610163092',2841,'9998',66.63,1,3,NULL),(15,2240530,'1989-09-21 00:00:00',4,1,12,2007,'M','N','PQ NOVO MUNDO','AMERICANA','SP','125252251217111411569814472122610164042',NULL,'9998',0.00,1,3,NULL),(15,2240548,'1990-05-10 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161215471431578812475122610162172',NULL,'9998',0.00,1,3,NULL),(15,2240556,'1990-02-04 00:00:00',2,1,12,2007,'F','N','TABULEIRO','ITAPEMA','SC','124112161212111311437912571115610164052',18462,'9998',39.55,1,3,NULL),(15,2240564,'1988-12-24 00:00:00',4,1,12,2005,'F','N','VILA ARMANDO ANNES','PASSO FUNDO','RS','120203201115471431327314471124240237147',13611,'9998',46.73,1,3,NULL),(15,2240572,'1988-12-23 00:00:00',4,1,12,2006,'M','N','VILA MILITAR','RIO NEGRO','PR','116162168217372531459614475112610127042',14166,'9998',45.94,1,3,NULL),(15,2240580,'1990-09-21 00:00:00',4,1,12,2008,'M','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217151412369933575122610136035',NULL,'951',43.00,1,3,NULL),(15,2240599,'1990-08-19 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241112131431636729572124610135072',20309,'257',36.22,1,3,NULL),(15,2240637,'1990-12-14 00:00:00',4,2,11,2007,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215271411369911574124610122172',3025,'87',66.06,1,3,NULL),(15,2240645,'1971-06-21 00:00:00',2,4,11,2007,'M','N','CENTRO','PRINCESA','SC','224243247346171431423344345122610121147',17372,'9997',41.28,1,3,NULL),(15,2240653,'1990-05-15 00:00:00',2,1,12,1990,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241217112431478713225112610117042',7391,'1022',56.43,1,3,NULL),(15,2240661,'1987-07-20 00:00:00',4,8,12,2004,'F','N','IRIRIÚ','JOINVILLE','SC','124241243132131411546413445124233234147',21303,'469',34.19,1,2,1),(15,2240670,'1988-02-05 00:00:00',2,5,11,2005,'F','N','CIDADE ALTA','ARARANGUA','SC','124242241212373131456653575122610167142',8057,'970',55.26,1,3,NULL),(15,2240688,'1989-03-19 00:00:00',4,7,12,2006,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','124243241215371431423311491334610168147',19453,'962',37.92,1,3,NULL),(15,2240700,'1988-08-29 00:00:00',4,1,12,2006,'M','N','SAO CAETANO','CAXIAS DO SUL','RS','120201208117111731455319442122240764091',NULL,'9998',0.00,1,2,1),(15,2240718,'1959-11-15 00:00:00',2,8,12,1977,'F','N','JD NOVOS HORIZONTES','CAMPO MAGRO','PR','216161161116272441244349412122342664097',2691,'9998',67.05,1,3,NULL),(15,2240726,'1989-06-11 00:00:00',2,1,12,2006,'M','N','BOTAFOGO','MARECHAL CANDIDO RONDON','PR','116161161117141431436811241211243217172',16763,'9998',42.23,1,3,NULL),(15,2240734,'1982-10-26 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANOPOLIS','SC','124241246122132121441444341124132524157',21689,'228',33.29,2,1,1),(15,2240742,'1989-07-11 00:00:00',4,2,11,2006,'F','N','ESTAÇÃO','ASCURRA','SC','124243241211472431555312572124610128142',3517,'956',64.73,1,3,NULL),(15,2240750,'1989-01-25 00:00:00',4,1,12,2007,'M','N','CENTRO','PETROPOLIS','RJ','121212211217111411369913571124610137052',NULL,'9998',0.00,4,3,NULL),(15,2240777,'1990-12-31 00:00:00',2,1,12,2008,'F','S','TRINDADE','FLORIANOPOLIS','SC','124241241117151732469813176122610133145',NULL,'267',35.82,1,3,NULL),(15,2240785,'1979-05-04 00:00:00',4,1,12,1996,'F','N','DAS NAÇÕES','BALNEARIO CAMBORIU','SC','224201201116131711233354435224131865145',NULL,'9998',0.00,1,3,NULL),(15,2240793,'1991-06-04 00:00:00',2,5,10,2007,'F','N','CENTRO','FORQUILHINHA','SC','124242241215111751469812372112610117142',19314,'226',38.13,1,3,NULL),(15,2240815,'1990-08-07 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241217121431489813372122610125142',7779,'270',55.73,1,3,NULL),(15,2240823,'1984-01-08 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241117342431455614382124231427052',21915,'307',32.56,1,3,NULL),(15,2240831,'1988-01-08 00:00:00',2,1,11,2004,'F','N','SERRARIA','SAO JOSE','SC','124241241116374431546624444114610125152',11221,'257',50.12,1,3,NULL),(15,2240858,'1986-04-26 00:00:00',2,1,12,2003,'M','N','CENTRO','TRES LAGOAS','MS','112122128116131731334321391324241364187',NULL,'9998',0.00,4,3,NULL),(15,2240866,'1984-08-13 00:00:00',2,1,12,2002,'M','N','CENTRO','RIO DO SUL','SC','124242247215573441579811492114610142182',NULL,'1003',27.40,1,3,NULL),(15,2240874,'1984-07-10 00:00:00',4,1,11,2002,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242281215152431279911475122221437142',5516,'872',60.03,1,3,NULL),(15,2240882,'1990-01-28 00:00:00',2,3,12,2007,'F','N','TÊNIS CLUBE','ASSIS','SP','125251251116151731346614375122610121097',21141,'9998',34.57,1,2,1),(15,2240904,'1993-04-14 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431377933435122610134197',NULL,'1022',0.00,1,3,NULL),(15,2240912,'1990-05-19 00:00:00',2,1,12,2007,'F','N','PACHECOS','PALHOCA','SC','124241241132131731525614282124610114057',NULL,'1109',32.33,4,2,1),(15,2240920,'1990-07-21 00:00:00',4,8,12,2007,'M','N','PROGRESSO','SAO BENTO DO SUL','SC','124242241216371411349731575122610167042',5021,'974',61.04,1,3,NULL),(15,2240939,'1990-04-11 00:00:00',4,8,12,2007,'F','N','GLÓRIA','JOINVILLE','SC','124244241415111431347813331112611026092',15712,'459',43.79,1,3,NULL),(15,2240947,'1990-11-14 00:00:00',4,1,11,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241235121442467733275114610127042',10041,'1022',51.87,1,3,NULL),(15,2240955,'1982-06-24 00:00:00',4,1,12,1999,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241116135431453319435124333225142',7657,'307',55.93,1,2,1),(15,2240963,'1986-11-23 00:00:00',4,8,12,2004,'F','N','ATIRADORES','JOINVILLE','SC','124241241112471221233729142134133263057',13378,'479',47.08,1,2,1),(15,2240971,'1984-08-04 00:00:00',2,1,11,2001,'F','N','SERRARIA','SAO JOSE','SC','124241241116271432225353345114610128182',NULL,'657',37.39,1,2,1),(15,2240980,'1990-07-11 00:00:00',4,1,11,2007,'F','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124241241136161231336334572124610127017',19993,'281',36.84,4,2,1),(15,2241005,'1988-03-26 00:00:00',2,6,12,2005,'F','N','JARDIM MORUMBI','SAO JOSE DOS CAMPOS','SP','125251251146371421323424245334610162147',NULL,'9998',22.66,1,2,1),(15,2241013,'1989-01-12 00:00:00',4,1,11,2007,'M','N','SÃO LUIZ','SAO JOSE','SC','124241247142131732425634345122610117047',17410,'736',41.21,1,3,NULL),(15,2241021,'1986-08-15 00:00:00',4,1,12,2003,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124201201136151411222544242321610161027',22256,'9998',31.26,1,2,1),(15,2241030,'1989-01-20 00:00:00',4,1,12,2006,'F','N','SANTOS DUMOND','SAO JOSE','SC','124242241215472431447614572114610164117',4563,'1022',62.11,1,3,NULL),(15,2241048,'1991-12-21 00:00:00',4,10,12,2008,'M','S','OFICINAS','TUBARAO','SC','124241246217151421426511476121610167052',NULL,'1120',47.22,1,3,NULL),(15,2241056,'1990-06-02 00:00:00',4,1,12,2007,'M','N','BAIRRO TRINDADE','FLORIANOPOLIS','SC','120203201117371431437821195124610122172',3892,'9998',63.76,1,3,NULL),(15,2241064,'1985-03-08 00:00:00',4,1,12,2003,'M','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','124241241127131731322244445134433224043',NULL,'744',0.00,1,2,1),(15,2241080,'1966-01-14 00:00:00',4,1,12,1983,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241246116135431363329431132521066192',5725,'306',59.62,1,2,1),(15,2241099,'1990-07-11 00:00:00',4,8,11,2007,'M','N','SAGUAÇU','JOINVILLE','SC','124242241214271431475812595122610167112',5572,'457',59.93,4,3,NULL),(15,2241102,'1986-10-04 00:00:00',2,1,12,2005,'M','N','SERRINHA','FLORIANOPOLIS','SC','124241241122273431556413292123221147087',8588,'307',54.38,1,2,1),(15,2241110,'1988-01-08 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124203201342131411126744245334230228197',NULL,'9998',0.00,1,3,NULL),(15,2241129,'1990-09-10 00:00:00',4,2,12,2007,'M','N','DAS NAÇÕES','TIMBO','SC','124241241215111311568633575121610168142',21657,'9997',33.37,1,3,NULL),(15,2241137,'1980-08-08 00:00:00',2,1,12,1997,'M','N','NOSSA SRA DO ROSARIO','SAO JOSE','SC','224101101116471431244443335122140742092',12088,'9998',48.88,4,2,1),(15,2241145,'1990-12-18 00:00:00',4,4,12,2007,'M','N','CENTRO','SAO VALENTIM','RS','120201201225111731346711345124610122052',NULL,'9998',0.00,1,3,NULL),(15,2241153,'1979-01-12 00:00:00',4,1,12,1996,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124161161216155751159813435122421463097',NULL,'9998',0.00,1,3,NULL),(15,2241161,'1991-02-16 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241215111431458836575122610122077',NULL,'270',28.62,1,3,NULL),(15,2241170,'1991-08-14 00:00:00',2,1,12,2008,'M','S','TRINDADE','FLORIANOPOLIS','SC','124203241117131731335569272314610137057',NULL,'298',43.45,1,3,NULL),(15,2241188,'1987-05-08 00:00:00',4,1,12,2004,'M','N','RESERVE DU MOULIN','SAO SEBASTIAO','SP','125252251216372431478831571122140344042',2030,'9998',69.16,4,3,NULL),(15,2241196,'1990-07-31 00:00:00',4,9,12,2007,'F','N','BRUSQUE','LAGES','SC','124241241115131411537833585125610127047',19980,'498',36.87,1,2,1),(15,2241200,'1988-08-16 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','124244241317131431456613595124610121142',13419,'269',47.00,1,3,NULL),(15,2241218,'1989-08-23 00:00:00',4,2,12,2007,'F','N','CAPITAIS','TIMBO','SC','124241241115111311356933575121610164182',NULL,'906',21.86,1,3,NULL),(15,2241226,'1990-07-20 00:00:00',2,10,11,2007,'F','N','CENTRO','IMBITUBA','SC','124241241315121411335619575124610163092',14358,'807',45.62,1,3,NULL),(15,2241234,'1987-10-10 00:00:00',4,1,12,2005,'F','N','BALNEARIO','FLORIANOPOLIS','SC','124242241116372751236614572224233261096',2768,'306',66.82,1,3,NULL),(15,2241242,'1989-01-19 00:00:00',4,1,12,2006,'M','N','ZONA SUL','ILHA SOLTEIRA','SP','125252251216371431479813575121141737042',2202,'9998',68.59,1,3,NULL),(15,2241269,'1990-05-31 00:00:00',4,5,10,2007,'M','N','CENTRO','SIDEROPOLIS','SC','124242241215111531479434472112610124052',2665,'226',67.14,1,3,NULL),(15,2241277,'1990-02-15 00:00:00',4,2,11,2007,'F','N','CENTRO','BRUSQUE','SC','124242241215271751437719495125610164152',4119,'107',63.15,1,3,NULL),(15,2241293,'1990-07-31 00:00:00',4,10,12,2007,'F','N','PROGRESSO','LAGUNA','SC','124242241215111411466833572115610138072',12650,'525',48.07,1,3,NULL),(15,2241307,'1989-09-17 00:00:00',4,1,11,2007,'M','N','CENTRO','PARATINGA','BA','105053131215211411646771591124610138142',5511,'9998',60.04,4,3,NULL),(15,2241315,'1990-07-21 00:00:00',4,2,11,2007,'F','N','VORSTADT','BLUMENAU','SC','124242241215271411466614375124610124072',4614,'855',61.97,1,3,NULL),(15,2241323,'1989-12-06 00:00:00',4,1,11,2007,'M','N','GUANABARA','BELEM','PA','114142141215111431568834572124610167042',270,'9998',79.07,4,3,NULL),(15,2241331,'1989-11-09 00:00:00',2,1,12,2007,'M','N','CENTRO','BRUSQUE','SC','124242241215271711569732375112610164042',10024,'109',51.90,1,3,NULL),(15,2241358,'1982-04-29 00:00:00',2,1,12,1999,'F','N','INGLESES','FLORIANOPOLIS','SC','224201201137231421223659396314610128187',NULL,'9998',33.57,1,2,1),(15,2241366,'1988-07-18 00:00:00',4,9,12,2005,'M','N','PETROPOLIS','CAXIAS DO SUL','RS','120203201217372411139944146124241438142',19268,'9998',38.23,1,3,NULL),(15,2241374,'1985-05-01 00:00:00',4,1,12,2002,'F','N','BAIRRO ALTO','CURITIBA','PR','116203201316571431557517372124141564097',3012,'9998',66.10,1,3,NULL),(15,2241382,'1985-03-01 00:00:00',4,1,12,2002,'F','N','PEREQUE','ILHABELA','SP','125254251216371431556821571122141364192',16684,'9998',42.35,1,3,NULL),(15,2241390,'1988-03-28 00:00:00',2,10,12,2005,'M','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124241241127272441524329275113610134062',9650,'332',52.50,1,2,1),(15,2241404,'1990-08-23 00:00:00',4,1,11,2007,'F','N','CATIAPOA','SAO VICENTE','SP','125252251217221431337823572324610164147',14790,'9998',45.02,4,3,NULL),(15,2241412,'1989-02-23 00:00:00',4,1,12,2006,'M','N','CENTRO','CRICIUMA','SC','124242244212472431258632575122610162047',NULL,'226',0.00,1,3,NULL),(15,2241420,'1990-05-29 00:00:00',4,3,12,2007,'M','N','ASA SUL','BRASILIA','DF','107072071217111431468839492122610167056',6702,'9998',57.74,1,3,NULL),(15,2241439,'1990-12-29 00:00:00',4,1,12,2008,'M','S','BARRA DA LAGOA','FLORIANOPOLIS','SC','124242241217151431466831575124610164187',NULL,'951',55.14,1,3,NULL),(15,2241447,'1989-02-18 00:00:00',4,10,12,2007,'M','N','CONGONHAS','TUBARAO','SC','124244241436171431439913575112610114172',NULL,'1120',18.08,1,3,NULL),(15,2241455,'1988-04-08 00:00:00',4,1,12,2005,'F','N','CENTRO','SAO JOSE DOS PINHAIS','PR','116162161215561411328729591344610126092',NULL,'9998',0.00,1,3,NULL),(15,2241463,'1989-08-24 00:00:00',2,6,11,2006,'F','N','UBERABA','CURITIBA','PR','116162161217471731456614592114610162197',NULL,'9998',0.00,1,3,NULL),(15,2241471,'1992-10-18 00:00:00',2,1,12,2009,'M','S','RIO TAVARES','FLORIANOPOLIS','SC','124244248417151432526613572124610117101',NULL,'299',30.43,1,3,NULL),(15,2241480,'1965-05-02 00:00:00',2,1,12,1982,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','224241243217135751423354282214610126077',16169,'303',43.12,1,3,NULL),(15,2241498,'1990-10-04 00:00:00',2,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215371331549819571112610136172',11943,'499',49.05,4,3,NULL),(15,2241501,'1987-03-10 00:00:00',4,10,12,2004,'F','N','DEHON','TUBARAO','SC','124162161217473731357716572125232464117',2724,'9998',66.94,1,3,NULL),(15,2241510,'1987-07-15 00:00:00',4,8,12,2005,'M','N','FLORESTA','JOINVILLE','SC','124242241215471751436612575124130237042',4695,'932',61.76,1,3,NULL),(15,2241528,'1990-04-26 00:00:00',4,1,12,2007,'M','N','STA CRUZ DA FIGUEIRA','AGUAS MORNAS','SC','124241241125131431433351172121610117025',17680,'12',40.82,1,2,1),(15,2241536,'1990-07-12 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161215111431468914592115610144017',NULL,'9998',0.00,1,3,NULL),(15,2241544,'1990-05-17 00:00:00',4,8,11,2007,'M','N','PAULISTA','PIRACICABA','SP','125252251237151431557614275121610147184',NULL,'9998',0.00,1,3,NULL),(15,2241552,'1982-09-06 00:00:00',2,1,12,2004,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241125131111336544441313610114047',NULL,'298',33.27,4,3,NULL),(15,2241560,'1990-03-20 00:00:00',4,9,11,2007,'M','N','PARQUE MADERIL','SAO JOAQUIM','SC','124242241215111431556733572125610137057',NULL,'1035',19.44,1,3,NULL),(15,2241579,'1989-08-09 00:00:00',5,8,12,2006,'F','N','SÃO JOSÉ','FLORES DA CUNHA','RS','120201201116371431323311345124610143142',21787,'9998',33.00,1,3,NULL),(15,2241587,'1990-06-13 00:00:00',4,7,11,2007,'M','N','CENTRO','HERVAL D OESTE','SC','124244248415111411545532274122610154142',18009,'446',40.30,1,3,NULL),(15,2241595,'1991-04-10 00:00:00',4,8,12,2007,'F','N','CENTRO','CASCAVEL','PR','116162161215121431359834275112610164142',14119,'9998',46.01,1,3,NULL),(15,2241609,'1989-05-12 00:00:00',2,8,12,2006,'M','N','JARDIM DAS FLORES','SAO JOSE DOS CAMPOS','SP','125254251116151431448614435124243264142',18101,'9998',40.15,1,3,NULL),(15,2241617,'1988-01-30 00:00:00',2,1,12,2005,'F','N','SÃO FRANCISCO','CURITIBA','PR','116163161236571431447812274115610164147',NULL,'9998',0.00,1,3,NULL),(15,2241625,'1990-01-12 00:00:00',2,1,11,2008,'F','S','TRINDADE','FLORIANOPOLIS','SC','124242241217161431488832574122610167135',NULL,'1051',44.93,1,3,NULL),(15,2241633,'1991-11-20 00:00:00',4,9,12,2008,'M','S','CENTRO','LAGES','SC','124242241215111431479933575114610124047',NULL,'497',72.11,1,3,NULL),(15,2241641,'1990-04-06 00:00:00',4,6,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242243216112411369811375112610162161',21204,'270',34.42,3,3,NULL),(15,2241650,'1990-07-09 00:00:00',2,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124244241215111431446613575122610127092',12774,'226',47.89,1,3,NULL),(15,2241668,'1991-09-26 00:00:00',2,1,12,2008,'M','S','RIO TAVARES','FLORIANOPOLIS','SC','124243241217151541526613572114610114102',NULL,'299',38.84,1,3,NULL),(15,2241676,'1989-05-14 00:00:00',4,1,6,2007,'M','N','ININGA','TERESINA','PI','118182181417271431689933391122610117042',5789,'9998',59.50,1,3,NULL),(15,2241684,'1990-06-25 00:00:00',4,8,12,2007,'F','N','VISTA ALEGRE','CURITIBA','PR','116164161215421411479614575112610144092',NULL,'9998',0.00,4,3,NULL),(15,2241692,'1988-02-07 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216273431466632575122232063147',7468,'266',56.29,1,3,NULL),(15,2241706,'1982-03-02 00:00:00',2,1,12,2001,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124241241122132431633351142144610162047',13948,'279',46.23,1,3,NULL),(15,2241714,'1988-03-29 00:00:00',4,10,12,2007,'F','N','NOVA BRASILIA','IMBITUBA','SC','124241241137141211228823342124610126077',NULL,'359',0.00,1,3,NULL),(15,2241722,'1989-07-02 00:00:00',2,1,12,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241115131431437923412224610121042',NULL,'278',21.15,1,2,1),(15,2241730,'1990-11-01 00:00:00',4,1,12,2008,'F','S','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241215111431548831475122610123052',NULL,'262',47.15,1,3,NULL),(15,2241749,'1992-05-27 00:00:00',4,1,12,2009,'F','S','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124242241217111411459914472124610132052',NULL,'270',49.50,1,3,NULL),(15,2241757,'1988-11-22 00:00:00',4,1,12,2005,'F','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124241161116132431435531375324610164187',19472,'9998',37.87,1,3,NULL),(15,2241765,'1990-01-04 00:00:00',4,2,12,2007,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124244241215111431548611375124610117042',14952,'855',44.85,1,3,NULL),(15,2241773,'1990-01-22 00:00:00',4,2,12,2007,'M','N','VILA NOVA','SAO LOURENCO','MG','113132131217111521537712271123610117042',19107,'9998',38.51,1,3,NULL),(15,2241781,'1989-08-21 00:00:00',2,1,12,2007,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','124244241137131731356823286124610146187',19029,'295',38.63,2,3,NULL),(15,2241790,'1991-01-07 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244241417111431568514574124610127075',14145,'723',45.97,1,3,NULL),(15,2241803,'1987-01-29 00:00:00',4,1,11,2004,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124252251215132431126721482124221442187',NULL,'9998',0.00,1,3,NULL),(15,2241811,'1990-12-28 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241215211431439613575125610167182',16037,'270',43.32,1,3,NULL),(15,2241820,'1989-03-25 00:00:00',2,1,12,2006,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241115132431324311382124230838182',NULL,'772',0.00,1,2,1),(15,2241838,'1989-08-18 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215372431457714575112610167042',3708,'270',64.21,1,3,NULL),(15,2241846,'1990-11-12 00:00:00',4,1,12,2007,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241115131431426614572214610137027',21760,'307',33.08,1,2,1),(15,2241854,'1990-09-12 00:00:00',4,4,12,2007,'M','N','LIDER','CHAPECO','SC','124244241135271411438619345124610167037',9953,'169',52.00,1,3,NULL),(15,2241862,'1991-05-12 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242248215111431469934446125610163182',NULL,'270',33.15,1,3,NULL),(15,2241870,'1988-09-05 00:00:00',2,10,12,2005,'M','N','BRAZILIA','GRAVATAL','SC','124241241127131431336624376314610127117',16048,'332',43.30,1,2,1),(15,2241889,'1988-05-27 00:00:00',4,1,12,2005,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241217473741548831472124121138052',2082,'262',69.02,1,3,NULL),(15,2241897,'1990-04-25 00:00:00',4,5,11,2006,'F','N','JARDIM ANGÉLICA','CRICIUMA','SC','124243241215472431638831275122610136072',3615,'226',64.44,1,3,NULL),(15,2241900,'1990-09-11 00:00:00',4,8,12,2007,'M','N','INDUSTRIAL NORTE','RIO NEGRINHO','SC','124241241615371441346622595124610136182',1028,'666',73.38,1,3,NULL),(15,2241919,'1985-03-10 00:00:00',2,1,12,2002,'F','N','CACHOEIRA','FLORIANOPOLIS','SC','124243241237132731226379191324613268142',21463,'262',33.82,1,3,NULL),(15,2241935,'1990-09-07 00:00:00',2,5,12,2007,'M','N','CRISTO REI','CURITIBA','PR','116222161216471521556829575114610117045',NULL,'9998',0.00,1,3,NULL),(15,2241943,'1990-03-26 00:00:00',2,7,12,2007,'F','N','INTERIOR','PINHEIRO PRETO','SC','124241241125131432438915242124610123142',16534,'618',42.54,1,2,1),(15,2241951,'1990-03-20 00:00:00',4,1,12,2007,'M','N','AREIAS','SAO JOSE','SC','124242241215111411423614145124610117047',15571,'1078',44.02,1,3,NULL),(15,2241960,'1991-04-24 00:00:00',4,1,12,2008,'M','S','CENTRO','PALHOCA','SC','124242241217151431468713575124610162047',NULL,'1011',53.77,1,3,NULL),(15,2241978,'1964-02-16 00:00:00',2,1,2,1991,'F','N','COSTEIRA','FLORIANOPOLIS','SC','224241241317331711434453172114610111182',21993,'9999',32.28,1,3,NULL),(15,2241986,'1988-01-21 00:00:00',2,9,12,2005,'F','N','CONTA DINHEIRO','LAGES','SC','124242241216273441567839495125231464075',12412,'266',48.42,1,3,NULL),(15,2241994,'1988-12-20 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124202201215573431449813275114610163111',4820,'9998',61.48,1,3,NULL),(15,2242001,'1961-06-08 00:00:00',4,1,12,1978,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','224202201217155421543352412124320422142',1426,'9998',71.54,1,3,NULL),(15,2242010,'1971-08-20 00:00:00',2,1,12,1991,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241126135431653323112124121614092',9547,'307',52.69,1,2,1),(15,2242028,'1985-08-20 00:00:00',2,1,12,2003,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241127131731323449191334610133092',19245,'903',38.27,4,2,1),(15,2242036,'1988-08-16 00:00:00',2,1,11,2006,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241213152711488732592121231063172',NULL,'262',0.00,1,3,NULL),(15,2242044,'1987-05-14 00:00:00',4,10,12,2004,'F','N','SANTA BÁRBARA','CRICIUMA','SC','124242241217574731445839392125232624087',18541,'213',39.42,1,3,NULL),(15,2242060,'1988-12-06 00:00:00',4,1,9,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241247237131431456634275122610114117',21947,'9999',32.47,1,3,NULL),(15,2242079,'1990-03-14 00:00:00',4,5,11,2007,'F','N','CIDADE MINEIRA VELHA','CRICIUMA','SC','124244243215141431663312225124613235072',20381,'995',36.09,1,3,NULL),(15,2242095,'1990-09-28 00:00:00',4,7,12,2007,'F','N','JUVEVÊ','CURITIBA','PR','116242161215471431289919574124610132142',9019,'9998',53.61,1,3,NULL),(15,2242109,'1990-07-05 00:00:00',2,9,12,2007,'F','N','CENTRO','TAIO','SC','124242241215111331438632575122610157147',NULL,'776',0.00,1,3,NULL),(15,2242117,'1990-11-14 00:00:00',2,1,12,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241115131431437923212224610127042',NULL,'278',24.32,1,2,1),(15,2242125,'1991-01-27 00:00:00',4,1,12,2008,'M','S','CARDOSO','SAO JOAO BATISTA','SC','124241241117161431433412392111610164057',NULL,'712',6.31,1,3,NULL),(15,2242133,'1986-07-15 00:00:00',2,1,12,2005,'M','N','SERRINHA','FLORIANOPOLIS','SC','124241241112143421524414242314610167083',19568,'298',37.69,1,2,1),(15,2242141,'1980-12-11 00:00:00',4,1,12,1998,'F','N','CAMPECHE','FLORIANOPOLIS','SC','624244241217574751258643432112321344087',6939,'270',57.27,3,3,NULL),(15,2242150,'1990-10-30 00:00:00',4,1,11,2008,'F','S','CARIANOS','FLORIANOPOLIS','SC','124242241215111731668811472124610147117',NULL,'270',26.91,2,3,NULL),(15,2242168,'1988-09-28 00:00:00',4,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124241241117161431433319495125610128077',NULL,'521',0.00,1,2,1),(15,2242176,'1990-11-09 00:00:00',4,8,12,2007,'M','N','BOQUEIRÃO','CURITIBA','PR','116164161117271431468914575122610117043',NULL,'9998',0.00,1,3,NULL),(15,2242184,'1988-04-22 00:00:00',2,8,12,2005,'M','N','BOA VISTA','JOINVILLE','SC','124243246216471431449933445134610137117',NULL,'494',10.28,1,3,NULL),(15,2242192,'1987-12-12 00:00:00',2,1,11,2005,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241146132431433313272114610164142',19932,'733',36.95,1,3,NULL),(15,2242214,'1990-04-30 00:00:00',4,1,11,2007,'F','N','JARDIM EUROPA','BIGUACU','SC','124244241215271731346634472122610118072',21349,'63',34.08,1,3,NULL),(15,2242222,'1990-06-27 00:00:00',2,1,12,2007,'M','N','CENTRO','RIO FORTUNA','SC','124241241125131431525814572324610137057',NULL,'665',19.31,1,2,1),(15,2242230,'1985-07-30 00:00:00',2,1,12,2001,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241117473321223336341334610114057',19973,'732',36.88,1,2,1),(15,2242249,'1986-06-12 00:00:00',4,8,11,2003,'F','N','ESPINHEIROS','JOINVILLE','SC','124241241136371421433314341124610131172',NULL,'469',29.52,1,3,NULL),(15,2242265,'1989-10-19 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431445732172122610165097',2139,'32',68.84,1,3,NULL),(15,2242273,'1990-04-26 00:00:00',2,5,12,2007,'M','N','SAPIRANGA','MELEIRO','SC','124241241115371431449933475122610147047',15156,'30',44.59,1,2,1),(15,2242281,'1991-08-09 00:00:00',4,2,12,2008,'M','S','VELHA','BLUMENAU','SC','124242241217111531469911575122610138092',NULL,'71',61.28,1,3,NULL),(15,2242290,'1985-07-15 00:00:00',4,1,12,2001,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241147473431333629341124610112147',15168,'732',44.57,2,1,1),(15,2242303,'1989-02-01 00:00:00',4,3,12,2006,'F','N','CENTRO','CURITIBA','PR','116161164215412631569931491224610128147',3481,'9998',64.80,1,3,NULL),(15,2242311,'1990-10-24 00:00:00',2,5,12,2007,'F','N','CENTRO','ICARA','SC','124241241116131431523669272222610133017',20944,'1005',34.98,1,2,1),(15,2242320,'1990-02-26 00:00:00',2,1,12,2007,'M','N','CENTRO','NOVA TRENTO','SC','124241244215121431554711315124610117052',12537,'270',48.24,1,3,NULL),(15,2242346,'1977-10-02 00:00:00',2,1,12,1994,'M','N','FLORESTA','SAO JOSE','SC','124242243227372421223344442134610124057',12981,'524',47.62,1,3,NULL),(15,2242354,'1987-09-09 00:00:00',4,1,12,2004,'M','N','CENTRO','ANGELINA','SC','124241241116132431436913345124130827047',NULL,'17',35.05,1,2,1),(15,2242370,'1989-08-22 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241215412431565512574124610137092',955,'1022',73.74,1,3,NULL),(15,2242389,'1990-02-19 00:00:00',4,1,12,2007,'F','N','PARQUE MARAJOARA','SANTO ANDRE','SP','125252251217131432446612572124610162017',22037,'9998',32.15,1,3,NULL),(15,2242397,'1991-06-06 00:00:00',4,1,12,2008,'M','S','RIO TAVARES','FLORIANOPOLIS','SC','124244241215111431359933575122610124097',NULL,'1050',61.37,1,3,NULL),(15,2242400,'1989-03-06 00:00:00',3,1,12,2006,'M','N','HORTO FLORESTAL','SAO PAULO','SP','125252253114471431249923344124610157187',2537,'9998',67.51,1,3,NULL),(15,2242419,'1990-11-30 00:00:00',2,3,12,2007,'F','N','MORRETES','ITAPEMA','SC','124242241215271431336932575122610128042',14650,'403',45.21,1,3,NULL),(15,2242427,'1989-10-29 00:00:00',2,5,11,2007,'F','N','PRÓSPERA','CRICIUMA','SC','124243241215131431226624572124610137052',16955,'213',41.92,1,3,NULL),(15,2242435,'1987-12-21 00:00:00',2,1,12,2004,'F','N','SERRARIA','SAO JOSE','SC','124241241132131411533314243214610124187',22005,'257',32.25,3,2,1),(15,2242443,'1989-06-12 00:00:00',4,1,12,2006,'F','N','URUSSANGUINHA','ARARANGUA','SC','124242241215472531458819171125610167077',1399,'32',71.66,1,3,NULL),(15,2242451,'1984-08-09 00:00:00',2,1,12,2001,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242243117575431445311345124610161097',11432,'306',49.80,1,3,NULL),(15,2242460,'1989-12-02 00:00:00',4,8,12,2006,'M','N','CENTRO','PARANAIBA','MS','112122121216111251558811575112241467116',NULL,'9998',0.00,1,3,NULL),(15,2242478,'1988-12-08 00:00:00',4,1,11,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241212153431578814575122121724012',4036,'809',63.37,1,3,NULL),(15,2242486,'1989-07-05 00:00:00',4,4,12,2006,'F','N','CENTRO','VERE','PR','116161161131371431323319591344610166097',19852,'9998',37.11,1,2,1),(15,2242508,'1983-06-12 00:00:00',2,1,12,2001,'F','N','SERRARIA','FLORIANOPOLIS','SC','124241244127241421644514245123610128147',18429,'295',39.60,1,3,NULL),(15,2242516,'1991-02-27 00:00:00',4,1,12,2008,'F','S','KOBRASOL','SAO JOSE','SC','124241241217111431364531572124610121197',NULL,'1074',17.28,1,3,NULL),(15,2242524,'1989-11-20 00:00:00',4,9,11,2006,'F','N','AGUA SANTA','CURITIBANOS','SC','124243241314133431528813571122610123157',20274,'9997',36.28,1,3,NULL),(15,2242559,'1989-02-11 00:00:00',2,1,12,2005,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124243241147133741449622245124610125145',18655,'281',39.23,1,3,NULL),(15,2242575,'1988-10-18 00:00:00',4,1,12,2005,'F','N','PROMORAR','FLORIANOPOLIS','SC','124241241115372431326623442124610167147',NULL,'293',25.53,4,2,1),(15,2242583,'1990-06-15 00:00:00',4,1,12,2007,'M','N','CENTRO','UMUARAMA','PR','116163161316121751476619595122610167052',NULL,'9998',0.00,1,3,NULL),(15,2242591,'1990-09-28 00:00:00',2,1,11,2007,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124242241215431431469614595122610163197',18322,'270',39.76,1,3,NULL),(15,2242613,'1980-08-14 00:00:00',4,1,11,1997,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241236253721448814435122422027047',4425,'213',62.43,1,3,NULL),(15,2242621,'1987-09-30 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124131131216272731658712575125221433142',4822,'9998',61.47,1,3,NULL),(15,2242630,'1990-12-20 00:00:00',4,7,12,2007,'M','N','CENTRO','IRANI','SC','124243241116141431457932245125233218057',NULL,'379',18.20,1,3,NULL),(15,2242648,'1989-01-25 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124244241126141532538839392114610164181',19541,'279',37.74,4,3,NULL),(15,2242656,'1988-12-21 00:00:00',2,5,12,2007,'M','N','CENTRO','ARARANGUA','SC','124242241415111431548813375112610164113',17985,'26',40.34,4,3,NULL),(15,2242664,'1985-05-09 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212143421356613442124233268057',NULL,'300',0.00,1,3,NULL),(15,2242672,'1989-11-05 00:00:00',2,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124241241115131432324464572124610117112',NULL,'257',31.71,1,2,1),(15,2242680,'1988-09-07 00:00:00',2,5,12,2007,'M','N','URUSSANGUINHA','ARARANGUA','SC','124241241415111431436513375125610161077',NULL,'26',22.14,4,3,NULL),(15,2242702,'1989-01-20 00:00:00',4,1,12,2006,'F','N','JD SÃO PAULO','SOROCABA','SP','125252251216471441367732592112610134072',NULL,'9998',0.00,1,3,NULL),(15,2242710,'1989-11-22 00:00:00',4,2,11,2007,'M','N','GLÓRIA','BLUMENAU','SC','124242241215131431466612175122610162187',199,'71',80.00,1,3,NULL),(15,2242729,'1988-06-29 00:00:00',4,8,12,2006,'M','N','PETRÓPOLIS','JOINVILLE','SC','124241243215151431376812572321610162057',14644,'494',45.21,1,3,NULL),(15,2242737,'1989-07-04 00:00:00',2,6,12,2006,'F','N','CENTRO','PANAMBI','RS','120201201117472431226624572122610142187',5941,'9998',59.19,1,2,1),(15,2242745,'1986-06-17 00:00:00',2,1,12,2003,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','123244248217145331328812432124230267042',1634,'737',70.66,1,3,NULL),(15,2242753,'1974-11-18 00:00:00',2,1,12,1992,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243248222132411556319192334221468057',21767,'190',33.05,1,3,NULL),(15,2242761,'1989-01-20 00:00:00',4,1,12,2006,'M','N','CERRADO','SOROCABA','SP','125252251211413431578831575112610164187',NULL,'9998',0.00,1,3,NULL),(15,2242770,'1991-09-13 00:00:00',4,1,12,2008,'M','S','JOÃO PAULO','FLORIANOPOLIS','SC','124242241217111431226824596124610168072',NULL,'883',44.14,1,3,NULL),(15,2242796,'1991-09-09 00:00:00',4,5,12,2008,'F','S','CENTRO','SOMBRIO','SC','124241242112161751446619572112610164177',NULL,'690',42.95,1,3,NULL),(15,2242800,'1987-11-17 00:00:00',2,8,12,2005,'M','N','CENTRO','CURITIBA','PR','116161161316571431459311575124610167041',14273,'9998',45.76,1,3,NULL),(15,2242826,'1990-04-18 00:00:00',4,3,12,2007,'F','N','CENTRO','LEBON REGIS','SC','124244248215111431436612574122610147142',NULL,'9997',24.18,1,3,NULL),(15,2242834,'1961-09-11 00:00:00',2,3,12,1982,'M','N','CENTRO','CAMBORIU','SC','224241242115131421464453435132330827047',17037,'129',41.83,1,3,NULL),(15,2242842,'1988-04-04 00:00:00',2,1,12,2005,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124243241311374711436733391124610166071',18307,'257',39.78,1,3,NULL),(15,2242850,'1989-10-16 00:00:00',1,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111721468614475124610144052',NULL,'1022',27.99,1,3,NULL),(15,2242869,'1991-06-27 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241217111131464833435124130722015',21515,'1075',33.70,1,3,NULL),(15,2242877,'1990-06-23 00:00:00',4,1,12,2007,'M','N','ZONA CINCO','MARINGA','PR','116162161217111731468811582112610117127',9906,'9998',52.08,3,3,NULL),(15,2242885,'1989-11-17 00:00:00',4,1,11,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241215372431324322242124230267057',4393,'270',62.49,1,3,NULL),(15,2242893,'1988-07-07 00:00:00',4,3,12,2005,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215132431236619485125610167187',9900,'44',52.10,4,3,NULL),(15,2242915,'1989-12-14 00:00:00',4,1,12,2007,'F','N','PONTE GRANDE','MOGI DAS CRUZES','SP','125254251216111221468811575111610162052',18671,'9998',39.21,1,3,NULL),(15,2242923,'1955-10-17 00:00:00',2,1,12,1972,'F','N','CAMPINAS SÃO JOSÉ','SAO JOSE','SC','524251257121141751164443131124143268142',NULL,'9999',21.30,1,2,1),(15,2242940,'1981-12-08 00:00:00',2,1,12,2003,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241122275431333619242123131217027',11203,'284',50.16,3,2,1),(15,2242966,'1989-01-09 00:00:00',4,3,12,2006,'F','N','ALTO DO IPIRANGA','MOGI DAS CRUZES','SP','125252251216111411478811571111610156122',22385,'9998',30.48,1,3,NULL),(15,2242974,'1991-03-11 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','121012211236111441579833575122610144092',10120,'9998',51.76,1,3,NULL),(15,2242982,'1977-08-08 00:00:00',2,1,12,1994,'M','N','CAMPINAS','FLORIANOPOLIS','SC','124243246135145431646513142124231457032',NULL,'513',0.00,1,3,NULL),(15,2242990,'1990-07-17 00:00:00',4,1,11,2007,'F','N','CENTRO','CAMBORIU','SC','124242241217121731469811572122610164077',2121,'270',68.90,1,3,NULL),(15,2243008,'1990-05-23 00:00:00',4,1,12,2007,'F','N','VILA JUNDIAÍ','MOGI DAS CRUZES','SP','125252251216111431368832575344610163192',9950,'9998',52.01,1,3,NULL),(15,2243016,'1983-09-10 00:00:00',2,1,12,2000,'F','N','RIO BRANCO','PORTO ALEGRE','RS','120202201216471431538619471124342524147',NULL,'9998',0.00,1,3,NULL),(15,2243024,'1990-07-30 00:00:00',2,4,11,2007,'F','N','CENTRO','CHAPECO','SC','124243241215321431433923475122610121012',NULL,'1046',26.60,1,3,NULL),(15,2243032,'1989-03-19 00:00:00',4,1,12,2006,'M','N','CENTRO','MOGI DAS CRUZES','SP','125252251216111411378831571112610156042',NULL,'9998',0.00,3,3,NULL),(15,2243040,'1987-11-23 00:00:00',4,1,12,2004,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241161216312411446411112224221534041',NULL,'9998',0.00,1,3,NULL),(15,2243059,'1991-02-07 00:00:00',4,2,12,2008,'M','S','PONTA AGUDA','BLUMENAU','SC','124242241216111431439931592122610127182',NULL,'87',32.10,1,3,NULL),(15,2243067,'1989-12-23 00:00:00',4,8,12,2007,'M','N','CENTRO','MAFRA','SC','124241241211111732536632572112610117047',5116,'541',60.89,1,3,NULL),(15,2243075,'1989-10-27 00:00:00',2,1,12,2006,'F','N','ARMAÇÃO DO PANTANO','FLORIANOPOLIS','SC','124241241126372431343622575122610124042',18477,'291',39.53,1,2,1),(15,2243083,'1978-08-23 00:00:00',4,1,11,1995,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124202201217143421188841412112322637113',5064,'9998',60.97,1,3,NULL),(15,2243091,'1990-04-02 00:00:00',4,1,12,2007,'M','N','PQ SANTANA','MOGI DAS CRUZES','SP','125252251216111211458832575112610162042',NULL,'9998',17.97,1,3,NULL),(15,2243105,'1983-05-19 00:00:00',2,1,12,2003,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241122275431333379242114610111197',13802,'284',46.46,3,2,1),(15,2243113,'1990-01-12 00:00:00',4,1,12,2007,'M','N','SOCORRO','MOGI DAS CRUZES','SP','125252251216111211478712535111610166042',12297,'9998',48.58,1,3,NULL),(15,2243121,'1988-10-26 00:00:00',4,1,12,2005,'F','N','CLARAIBA','NOVA TRENTO','SC','124241241115371431334411572344610164147',20370,'574',36.11,1,2,1),(15,2243148,'1990-05-03 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241216111431568831335114610164185',2368,'1022',68.03,1,3,NULL),(15,2243156,'1992-01-24 00:00:00',4,2,12,2008,'M','S','DO SOL','INDAIAL','SC','124242241217111231259611375122610112172',NULL,'9997',69.90,1,3,NULL),(15,2243164,'1990-02-10 00:00:00',2,2,12,2007,'F','N','CARIJÓS','INDAIAL','SC','124241241415111731433632275122610168177',10517,'925',51.16,1,3,NULL),(15,2243172,'1990-04-10 00:00:00',4,1,12,2007,'M','N','VILA OLIVEIRA','MOGI DAS CRUZES','SP','125252251216111311478831515112610132042',11137,'9998',50.25,1,3,NULL),(15,2243180,'1992-05-15 00:00:00',4,2,12,2009,'M','S','GARCIA','BLUMENAU','SC','124244241216121431478831575114610164042',NULL,'855',52.84,1,3,NULL),(15,2243199,'1989-03-24 00:00:00',4,10,12,2005,'M','N','SANGA GRANDE BAIXA','JAGUARUNA','SC','124241242112143431536615391123610166172',10152,'690',51.71,1,3,NULL),(15,2243202,'1990-06-24 00:00:00',4,1,12,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241136131131656531282224610121147',19171,'283',38.41,1,2,1),(15,2243210,'1983-12-11 00:00:00',4,8,12,2002,'F','N','VILA SANTA ISABEL','MARINGA','PR','116162131216571451149513571124142864147',11540,'9998',49.65,1,3,NULL),(15,2243229,'1990-02-04 00:00:00',4,1,12,2007,'M','N','PARQUE INDUSTRIAL','SAO JOSE DOS CAMPOS','SP','125254256217121431458834375124610167052',19226,'9998',38.30,1,3,NULL),(15,2243237,'1988-12-27 00:00:00',2,9,12,2006,'F','N','UNIVERSITÁRIO','LAGES','SC','124242241215272731437613295122610122142',NULL,'499',33.18,1,3,NULL),(15,2243245,'1990-06-08 00:00:00',4,2,12,2007,'F','N','NAÇÕES','INDAIAL','SC','124242241215111431448629395122610166177',4713,'925',61.72,1,3,NULL),(15,2243253,'1990-02-16 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215112431458632312112612122092',2542,'1038',67.49,1,3,NULL),(15,2243261,'1990-09-18 00:00:00',4,3,12,2007,'F','N','AREIAS','CAMBORIU','SC','124242248115131431536834575124610146147',14695,'129',45.15,3,3,NULL),(15,2243270,'1990-10-02 00:00:00',4,2,11,2007,'M','N','VELHA','BLUMENAU','SC','124242241215111431269514475114610127052',7527,'909',56.17,1,3,NULL),(15,2243288,'1988-12-18 00:00:00',2,2,12,2004,'M','N','TAQUARAS','BALNEARIO CAMBORIU','SC','124241241117141411655421316123610157187',22312,'50',30.95,1,2,1),(15,2243296,'1990-03-19 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124244241415111731238812275122610144142',3428,'226',64.92,1,3,NULL),(15,2243300,'1977-10-13 00:00:00',4,1,12,1994,'F','N','KOBRASOL','SAO JOSE','SC','124241241142135421239849295124333228097',7965,'332',55.43,1,2,1),(15,2243318,'1990-07-05 00:00:00',2,5,12,2007,'F','N','CIDADE ALTA','ARARANGUA','SC','124241241115131431336634315122610146057',19337,'30',38.10,1,2,1),(15,2243326,'1990-04-03 00:00:00',2,1,11,2007,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','124242241211112431359931595111610163042',2832,'270',66.66,1,3,NULL),(15,2243334,'1991-01-29 00:00:00',2,1,11,2008,'F','S','VILA NOVA','IMBITUBA','SC','124244241417111441479811592125610163092',NULL,'270',44.04,1,3,NULL),(15,2243342,'1990-06-19 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217121731468932572122610138187',756,'270',74.94,1,3,NULL),(15,2243350,'1990-03-29 00:00:00',4,8,12,2007,'F','N','JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251236121411438924375124610163097',12622,'9998',48.11,3,3,NULL),(15,2243369,'1986-07-19 00:00:00',2,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','124241241122132731433319492124233264142',19362,'730',38.07,1,2,1),(15,2243377,'1986-03-13 00:00:00',2,1,6,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241126112312433314345113133214047',NULL,'247',0.00,1,2,1),(15,2243385,'1990-07-06 00:00:00',4,8,12,2007,'F','N','NOVA BRASÍLIA','JARAGUA DO SUL','SC','124241246215151711466634575121610145097',10135,'1061',51.74,1,3,NULL),(15,2243393,'1991-01-20 00:00:00',4,2,12,2008,'M','S','VELHA','BLUMENAU','SC','124244241215111532459714575124610164172',NULL,'71',51.99,1,3,NULL),(15,2243407,'1990-05-28 00:00:00',4,1,11,2007,'F','N','JD AUGUSTA','SAO JOSE DOS CAMPOS','SP','125252251216111431459611395122610114077',NULL,'9998',19.14,1,3,NULL),(15,2243415,'1990-08-21 00:00:00',2,10,12,2007,'F','N','RIACHO','GRAVATAL','SC','124241248126471431414415182324610126111',NULL,'1034',0.00,1,2,1),(15,2243423,'1987-09-11 00:00:00',2,2,12,2004,'F','N','ESTADOS','INDAIAL','SC','124241241127151431335534382222132244192',NULL,'870',0.00,1,3,NULL),(15,2243431,'1991-04-19 00:00:00',4,1,12,2008,'M','S','ABRAÃO','FLORIANOPOLIS','SC','124243241225161431424614395114610162045',NULL,'262',36.52,1,3,NULL),(15,2243440,'1990-04-12 00:00:00',2,1,12,2007,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124242241215112431468819492124610167147',3700,'87',64.22,1,3,NULL),(15,2243458,'1987-04-01 00:00:00',4,8,12,2004,'M','N','BARRA DO RIO MOLHA','JARAGUA DO SUL','SC','124242241216574431469631572114610162017',249,'442',79.32,1,3,NULL),(15,2243466,'1988-07-29 00:00:00',2,5,12,2005,'M','N','SAO CRISTOVAO','CRICIUMA','SC','124244241212133421436311312224610167047',4387,'213',62.51,3,3,NULL),(15,2243474,'1989-03-21 00:00:00',4,3,12,2006,'F','N','ORFAS','PONTA GROSSA','PR','116162161215471431449811571125610127186',2299,'9998',68.24,1,3,NULL),(15,2243490,'1981-09-22 00:00:00',2,1,12,1998,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','524243244427143412555633472214610161192',NULL,'266',32.88,1,3,NULL),(15,2243512,'1987-06-01 00:00:00',4,1,11,2005,'F','N','VILA ADY ANNA','SAO JOSE DOS CAMPOS','SP','125252251212572221548839572112610162147',NULL,'9998',0.00,1,3,NULL),(15,2243520,'1978-10-18 00:00:00',2,1,12,1997,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241116153431233344245124610122187',15368,'307',44.31,1,3,NULL),(15,2243539,'1981-05-08 00:00:00',5,1,12,1998,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241112135411458413482224322222127',5727,'307',59.62,1,2,1),(15,2243547,'1989-10-18 00:00:00',4,1,11,2007,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215111431356823572124610127067',870,'723',74.23,1,3,NULL),(15,2243555,'1990-06-23 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241212111431569934371124610127112',15767,'723',43.73,1,3,NULL),(15,2243563,'1990-04-20 00:00:00',4,8,12,2007,'M','N','CENTRO','SCHROEDER','SC','124241241116151411338313471122610136142',6875,'762',57.39,1,3,NULL),(15,2243571,'1989-08-04 00:00:00',4,8,11,2007,'F','N','GLÓRIA','JOINVILLE','SC','124242241212111411448612372112610162147',NULL,'491',34.02,1,3,NULL),(15,2243580,'1990-03-01 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431458834575114610122052',9705,'270',52.41,1,3,NULL),(15,2243598,'1988-03-19 00:00:00',3,5,12,2007,'M','N','RECANTO VERDE','CRICIUMA','SC','124243246215111231246314372124610122152',NULL,'995',23.25,1,3,NULL),(15,2243610,'1991-01-09 00:00:00',4,8,12,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216121431379832472122610112127',12108,'1063',48.85,1,3,NULL),(15,2243628,'1988-12-06 00:00:00',2,8,12,2005,'F','N','VILA BANCÁRIA','CAMPO LARGO','PR','116252251216571431568814575124610113197',1172,'9998',72.64,4,3,NULL),(15,2243636,'1990-05-14 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241215111431436712571124610161197',7893,'269',55.53,1,3,NULL),(15,2243644,'1990-06-18 00:00:00',2,5,11,2007,'F','N','JARDIM ANGÉLICA','CRICIUMA','SC','124242241215111431469921475122610141142',7625,'210',55.98,1,3,NULL),(15,2243652,'1983-05-27 00:00:00',4,1,12,2002,'M','N','JARDIM DAS AMERICAS','LONDRINA','PR','116161251126151711116673145324140726147',19831,'9998',37.16,1,2,1),(15,2243660,'1990-06-06 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124243248312371531535611272122610127141',NULL,'257',20.79,1,3,NULL),(15,2243695,'1974-08-01 00:00:00',4,1,12,1990,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241161316134411137944445132523264095',NULL,'9998',0.00,1,3,NULL),(15,2243709,'1990-09-25 00:00:00',4,1,11,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241215112441558613272114610127117',1795,'270',69.96,1,3,NULL),(15,2243725,'1983-07-19 00:00:00',2,1,12,2002,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124243247221135431656632182123130264112',NULL,'9999',30.62,1,3,NULL),(15,2243733,'1987-08-31 00:00:00',2,5,12,2004,'F','N','CENTRO','ENCANTADO','RS','120202201217411421448811572122610141142',NULL,'9998',0.00,1,3,NULL),(15,2243741,'1989-05-19 00:00:00',4,1,11,2007,'M','N','JARDIM DOS LORDES','SAO JOSE','SC','124242241217271331458633472114610134091',13041,'723',47.53,1,3,NULL),(15,2243750,'1988-04-22 00:00:00',2,8,12,2005,'F','N','AGUA VERDE','CURITIBA','PR','116242241217573431447411572114610143147',NULL,'633',0.00,1,3,NULL),(15,2243768,'1990-08-29 00:00:00',4,10,12,2007,'F','N','CENTRO','CAPIVARI DE BAIXO','SC','124242241215111731539939575124610138017',NULL,'809',20.98,1,3,NULL),(15,2243776,'1986-01-10 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANOPOLIS','SC','124252161315272431159811475123220747042',NULL,'9998',44.37,1,3,NULL),(15,2243784,'1990-08-26 00:00:00',4,2,12,2007,'F','N','ESTADOS','INDAIAL','SC','124243241215111431454732195122610168017',7646,'925',55.95,1,3,NULL),(15,2243806,'1989-11-16 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241248115272431536614472124610137087',18581,'307',39.35,1,2,1),(15,2243822,'1985-12-09 00:00:00',4,1,12,2003,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241217154431589834472124241424092',NULL,'270',0.00,1,3,NULL),(15,2243830,'1986-02-16 00:00:00',2,1,12,2003,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241316143431259933592122221566185',7183,'1047',56.83,1,3,NULL),(15,2243849,'1990-03-04 00:00:00',4,5,11,2007,'F','N','MICHEL','CRICIUMA','SC','124242241215151431467813575112610142072',5042,'210',61.00,1,3,NULL),(15,2243857,'1986-07-30 00:00:00',2,1,9,2005,'F','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','124241241136132421346314345124610161097',19071,'9997',38.56,1,2,1),(15,2243865,'1990-07-16 00:00:00',4,7,12,2007,'M','N','VILA PEDRINI','JOACABA','SC','124242248217111411458832575112610167057',NULL,'446',0.00,4,3,NULL),(15,2243873,'1990-05-03 00:00:00',4,2,12,2007,'F','N','DAS NAÇÕES','TIMBO','SC','124244241215151431445634572124610134077',14431,'37',45.53,1,3,NULL),(15,2243881,'1986-04-23 00:00:00',2,1,12,2004,'F','N','BARREIROS','SAO JOSE','SC','124241241113141431327829392124610136022',NULL,'9997',0.00,4,2,1),(15,2243890,'1991-01-29 00:00:00',4,4,12,2008,'M','S','PRESIDENTE MEDICI','CHAPECO','SC','124241241211111431558923391124610114042',NULL,'185',37.60,1,3,NULL),(15,2243903,'1990-10-30 00:00:00',4,8,12,2007,'M','N','CACHOEIRA','CURITIBA','PR','116162161217111431468833375122610162052',NULL,'9998',0.00,1,3,NULL),(15,2243911,'1987-06-14 00:00:00',2,1,12,2004,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241115273431635414345124610168117',17264,'281',41.46,1,2,1),(15,2243920,'1989-08-02 00:00:00',4,1,12,2007,'M','N','LAGO NORTE','LAGO NORTE','DF','107072071216111431479933575122610137042',933,'9998',73.87,1,3,NULL),(15,2243938,'1990-03-27 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241147371431436314571124610124147',6345,'307',58.36,1,2,1),(15,2243946,'1990-09-23 00:00:00',4,1,12,2007,'F','N','GARCIA','BLUMENAU','SC','124242241215271431548632572124610127097',7457,'855',56.31,1,3,NULL),(15,2243954,'1990-02-23 00:00:00',4,6,12,2007,'F','N','SÃO VICENTE','ITAJAI','SC','124241241122131231434614375124610126077',NULL,'401',23.63,1,2,1),(15,2243970,'1991-03-20 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124201241116271711336374272224610164187',11751,'732',49.32,1,2,1),(15,2243989,'1990-01-09 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241137131731425334296235610134147',NULL,'281',24.87,4,2,1),(15,2243997,'1987-03-15 00:00:00',4,1,12,2004,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215134431567613495134233265187',9056,'272',53.56,4,3,NULL),(15,2244004,'1990-05-08 00:00:00',4,1,12,2007,'M','N','REAL PARQUE','SAO JOSE','SC','124243241116131431326524572121610132047',12055,'734',48.91,1,3,NULL),(15,2244012,'1989-07-04 00:00:00',4,1,12,2007,'M','N','LAGO NORTE','LAGO NORTE','DF','107072071217111431677832372122610127132',NULL,'9998',0.00,1,3,NULL),(15,2244020,'1987-06-17 00:00:00',2,1,12,2005,'M','N','PRADO','BIGUACU','SC','124241241141233411221129341124610122113',16486,'322',42.61,1,3,NULL),(15,2244039,'1990-09-17 00:00:00',2,1,12,2008,'F','S','SERRARIA','BIGUACU','SC','124242241215111232225524572124610123027',NULL,'738',41.47,1,3,NULL),(15,2244055,'1991-03-03 00:00:00',4,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124241241112131431628922372124610116142',20336,'307',36.16,1,2,1),(15,2244063,'1989-10-24 00:00:00',2,1,6,2007,'M','N','SERRARIA','SAO JOSE','SC','124242241137151421433414232121610167045',NULL,'306',29.73,1,3,NULL),(15,2244071,'1990-07-13 00:00:00',4,4,12,2007,'M','N','INTERIOR','CONCORDIA','SC','124241241117271431653923432124610127047',16831,'192',42.11,1,3,NULL),(15,2244080,'1990-01-30 00:00:00',4,7,12,2007,'F','N','CENTRO','FRAIBURGO','SC','124243241142131731438911342124610134197',20132,'319',36.56,1,3,NULL),(15,2244098,'1989-06-15 00:00:00',2,1,12,2006,'F','N','CENTRO','SAO BONIFACIO','SC','124241241122142431446919472124231023077',11768,'702',49.30,1,2,1),(15,2244101,'1989-01-27 00:00:00',4,4,11,2006,'M','N','CENTRO','SAO CARLOS','SC','124241241124141432523639291114610147147',NULL,'704',0.00,1,3,NULL),(15,2244110,'1991-02-23 00:00:00',2,6,11,2007,'F','N','CENTRO','ITAJAI','SC','124242241215121431449913575122610166142',13395,'1026',47.04,1,3,NULL),(15,2244128,'1990-11-10 00:00:00',4,2,12,2007,'M','N','CENTRO','BLUMENAU','SC','124242241215111431368632575112610137042',2479,'87',67.67,1,3,NULL),(15,2244136,'1990-07-22 00:00:00',4,4,12,2007,'F','N','CENTRO','ITAPIRANGA','SC','124241241116131731538414582112610138012',NULL,'412',22.16,1,3,NULL),(15,2244144,'1979-03-13 00:00:00',2,3,12,1997,'F','N','CENTRO','ITAPEMA','SC','124121121116371431226444445134142226147',15598,'9998',43.97,1,2,1),(15,2244152,'1989-11-09 00:00:00',2,2,11,2007,'M','N','NAÇÕES','INDAIAL','SC','124242241211111731488612311122610167152',NULL,'986',0.00,1,3,NULL),(15,2244179,'1989-08-29 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241213172731459931495122232437112',5681,'270',59.71,1,3,NULL),(15,2244195,'1988-12-30 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244241115372111556632442112610164147',18115,'270',40.13,2,3,NULL),(15,2244209,'1990-11-07 00:00:00',4,1,11,2008,'M','S','TAPERA','FLORIANOPOLIS','SC','124242241217111431379611415112610167077',NULL,'262',12.99,1,3,NULL),(15,2244217,'1990-06-07 00:00:00',4,1,12,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241217112431239811575124610137042',1120,'270',72.93,1,3,NULL),(15,2244225,'1991-04-17 00:00:00',4,6,12,2008,'F','S','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111431549912572125610164092',NULL,'44',40.97,1,3,NULL),(15,2244233,'1990-07-05 00:00:00',4,5,11,2007,'F','N','CENTRO','ICARA','SC','124244241215111431446612572122610124142',14852,'226',44.95,1,3,NULL),(15,2244241,'1986-11-20 00:00:00',4,1,12,2005,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124201206112372421346544442122610127055',5500,'9998',60.06,1,3,NULL),(15,2244250,'1990-05-08 00:00:00',4,1,12,2007,'M','N','CENTRO','IRATI','PR','116162161215471431468933574124610124097',NULL,'9998',0.00,1,3,NULL),(15,2244292,'1989-08-17 00:00:00',4,4,12,2006,'F','N','CENTRO','CHAPECO','SC','124244241217472411469934574112610124192',NULL,'185',0.00,1,3,NULL),(15,2244306,'1987-04-20 00:00:00',4,1,12,2003,'M','N','VILA PUREZA','SAO CARLOS','SP','125254251316131232389933575122242364197',5211,'9998',60.69,1,3,NULL),(15,2244314,'1990-11-30 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241117371431534414291114610137117',18621,'307',39.29,4,2,1),(15,2244322,'1988-09-25 00:00:00',4,8,12,2006,'F','N','CAMPO LENÇOL','RIO NEGRINHO','SC','116242161215471411534632574322610161157',NULL,'9998',0.00,1,3,NULL),(15,2244330,'1990-11-28 00:00:00',2,1,11,2007,'F','N','PINHEIRA','PALHOCA','SC','124241241125151431326513592111610123147',22408,'595',30.28,1,2,1),(15,2244365,'1990-09-12 00:00:00',4,9,12,2007,'M','N','PROGRESSO','POUSO REDONDO','SC','124241242115131431426623352324610126177',17098,'662',41.73,1,2,1),(15,2244373,'1990-04-06 00:00:00',2,1,12,2007,'M','N','GUARDA DO CUBATÃO','PALHOCA','SC','124244248412111431553312122121610168021',NULL,'1011',39.67,1,3,NULL),(15,2244403,'1972-09-02 00:00:00',4,1,12,1989,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124161161117111721136846362122341926195',8972,'9998',53.70,1,3,NULL),(15,2244411,'1990-02-23 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241115371452578812574124610167095',13688,'267',46.63,1,2,1),(15,2244420,'1990-09-15 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241217121431458624572122610167147',8413,'210',54.67,1,3,NULL),(15,2244438,'1990-06-26 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111451468314171122610123182',9146,'262',53.36,1,3,NULL),(15,2244446,'1989-06-14 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211373411585812571122121147182',858,'270',74.31,1,3,NULL),(15,2244454,'1990-05-23 00:00:00',4,4,12,2007,'M','N','AGOSTINI','SAO MIGUEL DOESTE','SC','124241241116131431436723585121610117017',15238,'757',44.49,1,3,NULL),(15,2244462,'1989-10-18 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217112431447833572124610166077',8132,'270',55.13,4,3,NULL),(15,2244470,'1990-04-06 00:00:00',4,4,11,2007,'M','N','PRESIDENTE MÉDICI','CHAPECO','SC','124242241215111431479934341122610167062',4263,'168',62.78,1,3,NULL),(15,2244489,'1989-10-04 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241117151431458613575114610164197',5918,'267',59.22,1,2,1),(15,2244497,'1968-03-18 00:00:00',4,1,12,1985,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241116145441453652424132320463182',4079,'307',63.24,1,3,NULL),(15,2244500,'1987-01-27 00:00:00',4,1,12,2005,'M','N','SÃO JOSÉ','SAO JOSE','SC','124244241117273441436613485114130732012',13966,'733',46.20,1,3,NULL),(15,2244519,'1987-01-20 00:00:00',2,1,12,2004,'F','N','BUDAG','RIO DO SUL','SC','124244241215274431446611475121132544182',7906,'991',55.51,1,3,NULL),(15,2244527,'1988-07-04 00:00:00',4,1,12,2005,'F','N','CENTRO','RIO DO SUL','SC','124242241215473441459912172214133235182',2939,'991',66.33,1,3,NULL),(15,2244535,'1990-03-29 00:00:00',4,1,12,2006,'M','N','IPANEMA','PORTO ALEGRE','RS','120202201217371431637714571125610167047',11819,'9998',49.23,1,3,NULL),(15,2244543,'1991-01-12 00:00:00',4,8,12,2008,'F','S','ANITA GARIBALDI','JOINVILLE','SC','124242241215111431458813572122610124052',NULL,'491',46.70,1,3,NULL),(15,2244551,'1990-09-26 00:00:00',2,1,11,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431556712571124610122075',17284,'272',41.43,1,3,NULL),(15,2244560,'1990-06-28 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241215271421569915272124610124012',20688,'270',35.52,1,3,NULL),(15,2244578,'1990-09-18 00:00:00',4,4,11,2007,'F','N','CENTRO','FOZ DO IGUACU','PR','116162161215371411538923575122610131142',NULL,'9998',20.83,1,3,NULL),(15,2244586,'1989-12-30 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216111331466639592114610167062',14366,'1022',45.61,1,3,NULL),(15,2244594,'1990-01-06 00:00:00',5,7,12,2007,'M','N','CENTRO','CAMPINAS DO SUL','RS','120201201137171712526611292341610113187',NULL,'9997',15.24,1,2,1),(15,2244616,'1984-04-23 00:00:00',4,1,12,2004,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201201146131421223379392334140827157',NULL,'9998',16.60,1,2,1),(15,2244624,'1990-03-02 00:00:00',4,3,12,2007,'F','N','SÃO LUIZ','CURITIBANOS','SC','124241241116151431458933575122610166197',19525,'239',37.77,1,2,1),(15,2244632,'1989-07-31 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241115151431523511345114610126197',8032,'306',55.31,1,3,NULL),(15,2244640,'1989-02-02 00:00:00',4,1,12,2006,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215473431346819575124610147077',302,'270',78.73,1,3,NULL),(15,2244659,'1989-06-20 00:00:00',4,8,11,2006,'M','N','REBOUÇAS','CURITIBA','PR','116162161215411431468812574114610134147',4529,'9998',62.17,1,3,NULL),(15,2244667,'1989-02-11 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124243241116371431636624175324610137077',15829,'307',43.63,1,3,NULL),(15,2244675,'1977-07-17 00:00:00',2,10,12,1995,'M','N','CABEÇUDAS','LAGUNA','SC','124241244126134431233344142334231344017',18729,'520',39.11,1,2,1),(15,2244683,'1990-01-04 00:00:00',4,1,12,2006,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241117132231443421272214610118067',17626,'288',40.90,1,2,1),(15,2244691,'1990-07-27 00:00:00',2,1,12,2007,'F','N','INDUSTRIAL NORTE','RIO NEGRINHO','SC','124241241116131231333311575124610163057',NULL,'669',17.30,4,2,1),(15,2244713,'1989-06-18 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','113132131417472751567839576114610164197',11683,'9998',49.42,1,3,NULL),(15,2244730,'1988-11-30 00:00:00',4,4,11,2005,'F','N','AEROPORTO','ERECHIM','RS','120202201217571411538832574124610134172',843,'9998',74.41,1,3,NULL),(15,2244748,'1990-09-07 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124252241211111431585812572112610138142',12575,'270',48.18,1,3,NULL),(15,2244756,'1990-04-13 00:00:00',4,1,11,2007,'M','N','SÃO LUIZ','BRUSQUE','SC','124242241215121441558712425124610144122',2636,'270',67.20,1,3,NULL),(15,2244764,'1989-08-23 00:00:00',4,1,12,2007,'M','N','SANTANA','SAO PAULO','SP','125254251217121431458833435122610147057',15976,'9998',43.42,1,3,NULL),(15,2244772,'1989-06-09 00:00:00',2,9,12,2006,'M','N','BORGES','ANITA GARIBALDI','SC','124241241411312411333623572222610127057',10917,'9997',50.59,1,3,NULL),(15,2244780,'1990-12-25 00:00:00',2,1,12,2007,'F','N','CENTRO','BOM JESUS DO SUL','PR','116161161217121431468933575122610137055',15948,'9998',43.46,1,3,NULL),(15,2244810,'1990-03-31 00:00:00',4,4,1,2008,'M','N','CENTRO','RONDA ALTA','RS','120201201126141731435631115122610167042',NULL,'9998',20.52,1,3,NULL),(15,2244829,'1992-09-15 00:00:00',4,1,9,2009,'M','S','CENTRO','FLORIANOPOLIS','SC','124242248215111431556711315122610117027',NULL,'1022',31.66,1,3,NULL),(15,2244837,'1989-01-18 00:00:00',2,8,12,2006,'F','N','ÓRFÃS','PONTA GROSSA','PR','216162161216471431568631212125610132047',NULL,'9998',0.00,1,3,NULL),(15,2244845,'1990-11-29 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241217371421466923574114610124097',22088,'988',31.98,1,3,NULL),(15,2244853,'1982-07-11 00:00:00',2,1,12,1999,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241241115375431424319484324120317182',7312,'281',56.58,1,2,1),(15,2244861,'1991-03-30 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241214151431567932375122610137042',22364,'424',30.59,1,3,NULL),(15,2244870,'1991-03-05 00:00:00',4,6,11,2008,'F','S','CENTRO','PENHA','SC','124242241217111331463739574122610162192',NULL,'1026',25.49,1,3,NULL),(15,2244888,'1990-04-07 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241217112431358911575124610167055',5880,'1022',59.29,1,3,NULL),(15,2244896,'1988-10-24 00:00:00',2,8,12,2005,'F','N','PORTÃO','CURITIBA','PR','116161161311371411538614342324610138112',NULL,'9998',0.00,1,3,NULL),(15,2244900,'1989-08-19 00:00:00',2,4,12,2006,'F','N','CENTRO','PALMAS','PR','116162161217471431143576572112610168097',NULL,'9998',0.00,1,3,NULL),(15,2244918,'1986-07-01 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241137251751558812375122231468186',19132,'616',38.47,1,3,NULL),(15,2244926,'1989-12-21 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124241248215121431434311472124610127117',18949,'1118',38.75,1,3,NULL),(15,2244934,'1986-01-16 00:00:00',2,5,12,2004,'F','N','POLICIA RODOVIARIA','ARARANGUA','SC','124241242116131411423528472321610167117',NULL,'690',0.00,1,2,1),(15,2244950,'1988-02-12 00:00:00',4,8,12,2004,'M','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124242241212154431448711572225231027062',13795,'688',46.48,1,3,NULL),(15,2244969,'1991-08-25 00:00:00',2,1,11,2007,'F','N','CENTRO','SANTANA DO LIVRAMENTO','RS','120203201217151431568933572122610147072',4241,'9998',62.82,1,3,NULL),(15,2244977,'1989-10-03 00:00:00',2,4,12,2006,'M','N','NAZARÉ','CONCORDIA','SC','124244248415471731433319575121610137052',NULL,'1047',0.00,1,3,NULL),(15,2244985,'1990-03-27 00:00:00',4,1,11,2007,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124244241217132431467833572121610147045',4515,'1051',62.22,1,3,NULL),(15,2244993,'1990-04-02 00:00:00',4,4,11,2007,'M','N','PARQUE DAS PALMEIRAS','CHAPECO','SC','124241241235111232156833292124610117147',3505,'9997',64.75,1,3,NULL),(15,2245000,'1991-06-06 00:00:00',4,1,11,2008,'F','S','TRINDADE','FLORIANOPOLIS','SC','124242241237111731448833572124610111161',NULL,'269',33.97,1,3,NULL),(15,2245027,'1987-12-10 00:00:00',4,8,12,2004,'M','N','OURO VERDE','CAMPO LARGO','PR','116162161215571411347622582124610165097',NULL,'9998',0.00,1,3,NULL),(15,2245035,'1988-09-01 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124241248215472451558812575125610144052',20212,'185',36.39,1,3,NULL),(15,2245043,'1989-05-08 00:00:00',4,1,12,2006,'F','N','APARECIDA','SANTOS','SP','125254251215471431548834291114610162087',21971,'9998',32.35,2,3,NULL),(15,2245051,'1990-01-12 00:00:00',2,2,11,2007,'F','N','CENTRO','BRUSQUE','SC','124242241215273431468612422122620131147',6816,'107',57.51,1,3,NULL),(15,2245060,'1990-09-03 00:00:00',4,1,12,2007,'M','N','BELA ALIANÇA','SAO BENTO DO SUL','SC','124241241116151431648834442124610134147',8984,'697',53.69,1,3,NULL),(15,2245078,'1986-10-22 00:00:00',2,1,7,2006,'M','N','COND FLORAIS CUIABA','CUIABA','MT','111112111216171731658712445122141017127',NULL,'9998',0.00,1,3,NULL),(15,2245086,'1990-10-01 00:00:00',4,4,1,2008,'M','N','CENTRO','SANTA MARIA','RS','120202206116271431468839575124610132147',5668,'9998',59.73,1,3,NULL),(15,2245094,'1991-04-19 00:00:00',4,6,10,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241215111711449631475122610144072',3390,'1038',65.02,1,3,NULL),(15,2245108,'1990-11-05 00:00:00',4,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215121431478732574112610122012',4083,'723',63.23,1,3,NULL),(15,2245116,'1990-02-09 00:00:00',2,4,12,2006,'F','N','CENTRO','SAO JORGE D OESTE','PR','116161161415472431226624342124610168187',16275,'9998',42.94,1,3,NULL),(15,2245124,'1981-08-05 00:00:00',4,1,12,2001,'M','N','KOBRASOL','SAO JOSE','SC','124241241121275431113444341114131862067',14533,'172',45.36,4,2,1),(15,2245132,'1991-06-16 00:00:00',4,1,11,2008,'M','S','BEIRAMAR','FLORIANOPOLIS','SC','624242248237111431477539572112610127045',NULL,'262',29.43,1,3,NULL),(15,2245140,'1989-08-25 00:00:00',4,3,12,2007,'M','N','JD BQ DE VERSALLES','ARARAS','SP','125254251215111431438934575122610127114',NULL,'9998',0.00,1,3,NULL),(15,2245175,'1991-03-11 00:00:00',2,7,12,2007,'M','N','CENTRO','MAXIMILIANO DE ALMEIDA','RS','120201201317411411535316432122610234057',21199,'9998',34.43,1,3,NULL),(15,2245183,'1991-12-19 00:00:00',4,5,12,2007,'F','N','SANTA ISABEL','FORQUILHINHA','SC','124242241215111731336912424114610117147',9082,'226',53.50,1,3,NULL),(15,2245191,'1980-12-05 00:00:00',2,1,12,2004,'F','N','BARREIROS','SAO JOSE','SC','124241247222132421344444242324230824192',20588,'9999',35.70,2,1,2),(15,2245205,'1988-05-22 00:00:00',4,1,11,2006,'M','N','SERRARIA','SAO JOSE','SC','124241241315352221337413381124610122057',NULL,'9999',23.41,1,3,NULL),(15,2245213,'1991-11-27 00:00:00',4,1,11,2008,'F','S','PANTANAL','FLORIANOPOLIS','SC','124242241211111431448833571124610111172',NULL,'269',42.21,1,3,NULL),(15,2245221,'1990-06-01 00:00:00',2,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215222431465612372122610131147',8618,'9997',54.31,1,3,NULL),(15,2245248,'1990-06-01 00:00:00',2,1,12,2007,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124242241215271431448814492122610127042',5225,'988',60.66,1,3,NULL),(15,2245256,'1977-05-10 00:00:00',2,1,12,1996,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124243241421134731229669381114130237067',13750,'307',46.54,1,3,NULL),(15,2245264,'1985-09-23 00:00:00',2,4,12,2002,'F','N','INTERIOR','PALMITOS','SC','124241241116272731336823575122133241143',13579,'601',46.77,1,2,1),(15,2245272,'1990-09-20 00:00:00',4,4,12,2007,'M','N','VENEZA','XANXERE','SC','124242241215111431558831574122610122057',12094,'1081',48.87,1,3,NULL),(15,2245280,'1991-10-08 00:00:00',4,3,12,2008,'F','S','TABULEIRO','ITAPEMA','SC','124241242115131431426634291122610122057',NULL,'129',39.80,1,3,NULL),(15,2245299,'1990-05-15 00:00:00',2,5,11,2007,'M','N','CENTRO','BALNEARIO ARROIO DO SILVA','SC','124244241435311411453313135124610137072',20213,'970',36.39,1,3,NULL),(15,2245302,'1991-05-11 00:00:00',4,5,12,2008,'M','S','PRAIA GRANDE','TORRES','RS','120202201217111731446932392121610162112',NULL,'9998',50.49,4,3,NULL),(15,2245310,'1989-05-23 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211132231469911212124131067077',22213,'1022',31.43,1,3,NULL),(15,2245329,'1989-04-29 00:00:00',2,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116162167217211431568831575124610165057',NULL,'9999',0.00,1,3,NULL),(15,2245337,'1990-12-26 00:00:00',4,1,11,2007,'F','N','CENTRO','ROLANDIA','PR','116162161217111731468839372112610142142',6889,'9998',57.36,1,3,NULL),(15,2245345,'1991-04-11 00:00:00',4,1,10,2008,'M','S','AGRONOMICA','FLORIANOPOLIS','SC','124032241217111431488913475112610136182',NULL,'270',0.00,1,3,NULL),(15,2245353,'1989-05-10 00:00:00',4,1,12,2006,'M','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124242241215472231489811575114610167111',4486,'262',62.29,1,3,NULL),(15,2245396,'1989-03-09 00:00:00',2,1,11,2007,'M','N','CENTRO','CAPANEMA','PR','116162161216111341442222215124610164142',17924,'9998',40.45,1,3,NULL),(15,2245400,'1989-11-11 00:00:00',4,1,12,2007,'M','N','BRAGANHOLO','CARAZINHO','RS','120202201116271431346811215122610167017',NULL,'9998',25.89,1,3,NULL),(15,2245418,'1988-04-08 00:00:00',4,3,12,2005,'F','N','VERDE VALE','SOROCABA','SP','125253251215571411356632571122610164097',863,'9998',74.28,1,3,NULL),(15,2245426,'1991-05-30 00:00:00',4,1,12,2008,'F','S','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111411478939575122610123096',NULL,'883',45.48,1,3,NULL),(15,2245434,'1993-05-12 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241211111431438833575114610137175',NULL,'1022',38.54,1,3,NULL),(15,2245442,'1991-01-10 00:00:00',4,4,12,2007,'F','N','SÃO MIGUEL','CONCORDIA','SC','124241241115131731526623375124610137142',NULL,'192',0.00,1,2,1),(15,2245450,'1990-02-16 00:00:00',4,8,11,2007,'F','N','FAZENDA','ITAJAI','SC','124242241217121441469813571122610124092',46,'1063',83.22,1,3,NULL),(15,2245469,'1990-05-23 00:00:00',4,1,12,2007,'M','N','BARRA DO SAMBAQUI','FLORIANOPOLIS','SC','124241241135371432557611272124610167057',3162,'267',65.67,1,2,1),(15,2245477,'1990-02-23 00:00:00',2,5,12,2007,'M','N','CENTRO','JACINTO MACHADO','SC','124242241215121741466916474125610117117',6794,'970',57.56,1,3,NULL),(15,2245493,'1990-03-31 00:00:00',4,8,12,2007,'M','N','SAO LUIS','JARAGUA DO SUL','SC','124243241235111431443311575121610167177',7727,'422',55.82,4,3,NULL),(15,2245507,'1988-09-18 00:00:00',4,1,12,2005,'F','N','PORTAL DE DOURADOS','DOURADOS','MS','112122121215571411447714571122610165147',13294,'9998',47.18,1,3,NULL),(15,2245523,'1989-12-15 00:00:00',2,8,11,2007,'F','N','SÃO MARCOS','JOINVILLE','SC','124241241215121431436614342314610133187',NULL,'486',0.00,1,3,NULL),(15,2245531,'1990-06-07 00:00:00',4,8,12,2007,'M','N','AGUA VERDE','CURITIBA','PR','116162161217171711458839591124610167113',21539,'9998',33.65,4,3,NULL),(15,2245540,'1985-12-08 00:00:00',2,1,12,2003,'M','N','CENTRO','LONTRAS','SC','124243241217371421364923482124131127057',NULL,'959',0.00,1,3,NULL),(15,2245558,'1987-12-07 00:00:00',4,1,12,2005,'F','N','CARIANOS','FLORIANOPOLIS','SC','124043048234131431536913575124143258197',21003,'9998',34.85,1,3,NULL),(15,2245566,'1985-03-07 00:00:00',4,4,12,2003,'M','N','CENTRO','SAO CARLOS','SC','124243241216143631459913245124131567067',NULL,'185',0.00,1,3,NULL),(15,2245574,'1979-12-04 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANOPOLIS','SC','124161161114131351226644241234132864082',20892,'9998',35.11,1,2,1),(15,2245582,'1988-03-31 00:00:00',4,1,12,2005,'M','N','VILA MANOEL FERREIRA','CAMPINAS','SP','125252251225571711344821375124610164042',NULL,'9998',0.00,1,3,NULL),(15,2245590,'1991-07-21 00:00:00',4,1,12,2008,'F','S','CENTRO','SAO JOAO BATISTA','SC','124242241215111431578831594124610128197',NULL,'948',45.26,1,3,NULL),(15,2245612,'1989-03-01 00:00:00',4,1,12,2007,'M','N','J SANTANA','AMERICANA','SP','125252251211111731268831571122610147041',15115,'9998',44.65,1,3,NULL),(15,2245620,'1990-10-03 00:00:00',4,7,12,2007,'F','N','CENTRO','CAMPOS NOVOS','SC','124244241414371431568812274124610138172',4929,'962',61.23,1,3,NULL),(15,2245639,'1988-09-21 00:00:00',2,1,12,2005,'F','N','FUNDOS','BIGUACU','SC','124241241136273731226623575124610123147',17861,'257',40.57,2,1,1),(15,2245647,'1989-02-13 00:00:00',2,1,12,2006,'M','N','VILA CLEMENTINO','SAO PAULO','SP','125252251217371451378911275124610162047',13494,'9998',46.90,1,3,NULL),(15,2245655,'1992-10-30 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111232446614572114610114051',NULL,'1022',39.48,1,3,NULL),(15,2245663,'1990-07-30 00:00:00',2,5,12,2007,'F','N','CIDADE ALTA','ARARANGUA','SC','124243241215121751468613475125610167147',9816,'970',52.23,1,3,NULL),(15,2245671,'1990-07-23 00:00:00',4,1,12,2007,'M','N','IBIRAQUERA','IMBITUBA','SC','124241241115111731527534572321610137117',21696,'361',33.28,1,2,1),(15,2245680,'1989-07-27 00:00:00',4,1,12,2006,'F','N','DAS PALMEIRAS','CAMPINAS','SP','125252251216471431468831571122610162183',NULL,'9998',0.00,3,3,NULL),(15,2245698,'1988-10-15 00:00:00',2,1,12,2005,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241135413131636313342114610117187',17504,'286',41.08,1,2,1),(15,2245701,'1988-02-01 00:00:00',2,1,12,2005,'F','N','PICADAS DO SUL','SAO JOSE','SC','124243241216373431446619245124610123097',16460,'944',42.65,1,3,NULL),(15,2245710,'1988-06-24 00:00:00',2,1,12,2005,'M','N','CENTRO','CANOINHAS','SC','124161161216372711268823175124232022052',10568,'9998',51.07,1,3,NULL),(15,2245728,'1983-09-09 00:00:00',4,1,12,2001,'F','N','CAMPINAS','SAO JOSE','SC','124142241212153431266843432122231041192',NULL,'67',13.90,1,3,NULL),(15,2245736,'1990-05-07 00:00:00',4,4,12,2007,'M','N','CENTRO','RONDA ALTA','RS','120201201111131712426623391122610162052',NULL,'9998',24.74,1,3,NULL),(15,2245744,'1987-01-05 00:00:00',2,5,12,2005,'F','N','CENTRO','MELEIRO','SC','124241241116371311424615575111610147042',NULL,'559',17.17,1,3,NULL),(15,2245760,'1990-07-06 00:00:00',4,1,2,2008,'M','N','SERTÃO DO MARUIM','SAO JOSE','SC','124241241112151122543633572124610117147',15733,'739',43.77,4,2,1),(15,2245779,'1990-02-03 00:00:00',4,1,12,2007,'F','N','CENTRO','SAO MIGUEL DO IGUACU','PR','116162161117111752237923575114610168192',16469,'9998',42.63,1,3,NULL),(15,2245795,'1989-09-01 00:00:00',4,1,12,2006,'F','N','CENTRO','ENTRE RIOS DO OESTE','PR','116161161116371431333516574124610123077',NULL,'9998',0.00,1,2,1),(15,2245809,'1990-09-01 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241217131431557933572122610134187',10586,'515',51.04,1,3,NULL),(15,2245817,'1991-09-02 00:00:00',4,6,12,2008,'F','S','FAZENDA','ITAJAI','SC','124242241217111431479911475122610144092',NULL,'270',58.39,1,3,NULL),(15,2245825,'1991-05-27 00:00:00',4,1,12,2008,'M','S','PALMAS DO TREMEMBÉ','SAO PAULO','SP','125252251217111531589711572124610127042',NULL,'9998',52.37,1,3,NULL),(15,2245833,'1988-04-12 00:00:00',4,1,12,2005,'M','N','CENTRO','MORRO AGUDO','SP','125254251211571431448819576111141562057',NULL,'9998',0.00,4,3,NULL),(15,2245841,'1986-04-02 00:00:00',4,1,12,2003,'F','N','CENTRO','URAI','PR','116162161216575431576839575125610162097',NULL,'9998',0.00,3,3,NULL),(15,2245850,'1988-04-11 00:00:00',4,1,11,2005,'F','N','MONTE DAS OLIVEIRAS','GUARA','SP','125252251211571411469931572122610162141',NULL,'9998',0.00,1,3,NULL),(15,2245868,'1989-02-13 00:00:00',2,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124161241135141431557319245234610132052',17663,'257',40.86,4,2,1),(15,2245876,'1988-12-16 00:00:00',4,1,12,2006,'M','N','RIO CAVEIRAS','BIGUACU','SC','124241241127271431643311485122610137047',16886,'65',42.03,1,2,1),(15,2245884,'1986-10-16 00:00:00',2,1,12,2004,'F','N','FAZ STO ANTONIO','SAO JOSE','SC','124241247127131431633319292344610156141',20837,'9999',35.21,3,3,NULL),(15,2245892,'1989-04-06 00:00:00',2,7,12,2006,'M','N','ZONA RURAL','PERITIBA','SC','124241241127131441433315152343610126057',19847,'14',37.12,1,2,1),(15,2245906,'1988-09-02 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217112411568833471121221464055',4615,'270',61.97,1,3,NULL),(15,2245922,'1988-05-09 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242248216153431449713471124230231053',4871,'270',61.37,1,3,NULL),(15,2245930,'1988-01-13 00:00:00',4,1,12,2005,'M','N','CENTRO','UNIAO DA VITORIA','PR','125162161215573431389614575122610162192',1233,'9998',72.32,1,3,NULL),(15,2245949,'1990-05-24 00:00:00',4,10,11,2007,'F','N','OFICINAS','TUBARAO','SC','124241241215131631425634572123610123017',11314,'809',49.98,1,3,NULL),(15,2245957,'1990-05-24 00:00:00',2,4,11,2007,'F','N','SANTA TEREZINHA','PATO BRANCO','PR','116161161116371331528833595125613258187',5886,'9998',59.28,4,3,NULL),(15,2245965,'1988-11-21 00:00:00',4,2,12,2005,'F','N','JARDIM LINDÓIA','GOIOERE','PR','116163161216571411366612571122610166187',1136,'9998',72.88,1,3,NULL),(15,2245973,'1986-02-07 00:00:00',2,1,12,2003,'M','N','CENTRO','PELOTAS','RS','120203201127274741363729395124240468052',8489,'9998',54.53,1,3,NULL),(15,2245981,'1989-01-01 00:00:00',4,5,12,2006,'F','N','CENTRO','ARARANGUA','SC','124242241215272431466629295122610121147',6827,'970',57.49,1,3,NULL),(15,2245990,'1985-12-22 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241317153521647679445124610124147',14947,'359',44.86,1,3,NULL),(15,2246007,'1977-06-13 00:00:00',2,1,12,2002,'F','N','CENTRO','LAGES','SC','224241247421372431246651271122131556182',16906,'270',42.00,1,3,NULL),(15,2246015,'1987-04-09 00:00:00',4,8,12,2004,'M','N','IRIRIU','JOINVILLE','SC','124243241217131432555634245122610132042',NULL,'494',0.00,1,3,NULL),(15,2246023,'1962-09-23 00:00:00',4,1,12,1981,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241131153411434842225132121127057',NULL,'307',20.25,1,2,1),(15,2246031,'1984-05-30 00:00:00',4,1,12,2001,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124201201127471422146612445124610167047',10299,'9998',51.49,1,2,1),(15,2246040,'1989-07-22 00:00:00',4,5,11,2006,'F','N','CENTRO','ARARANGUA','SC','124242241214473131679931575112133237145',NULL,'32',0.00,1,3,NULL),(15,2246058,'1990-08-21 00:00:00',4,1,12,2007,'M','N','JARDIM UIRÁ','SAO JOSE DOS CAMPOS','SP','125251251215111431446714571124610137052',4636,'9998',61.93,1,3,NULL),(15,2246066,'1987-11-25 00:00:00',2,8,11,2004,'F','N','MERCES','CURITIBA','PR','116161161315572431543519574114610162097',4363,'9998',62.56,1,3,NULL),(15,2246074,'1991-02-27 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241215111421448936572122610123105',12236,'270',48.67,1,3,NULL),(15,2246082,'1989-02-01 00:00:00',4,2,12,2006,'M','N','CENTRO','RIO DO SUL','SC','124242241217373431479833475114242667055',6300,'991',58.45,1,3,NULL),(15,2246090,'1990-04-18 00:00:00',4,6,12,2007,'F','N','FAZENDA','ITAJAI','SC','116242161215111531338619592112610162152',407,'9998',77.62,1,3,NULL),(15,2246112,'1990-10-04 00:00:00',4,3,12,2007,'F','N','IPASE','VARZEA GRANDE','MT','111122111216111431478839275122610123182',3340,'9998',65.15,1,3,NULL),(15,2246120,'1990-01-18 00:00:00',4,1,12,2007,'M','N','RIO BRANCO','BRUSQUE','SC','124241241126141431466634245121610124052',18123,'108',40.12,1,2,1),(15,2246139,'1988-11-16 00:00:00',2,4,12,2006,'F','N','CENTRO','ITA','SC','124251241115371431466514572112610131182',10293,'384',51.49,1,2,1),(15,2246147,'1990-09-10 00:00:00',4,4,12,2007,'F','N','PARQUE DAS PALMEIRAS','CHAPECO','SC','124241241117131431559814575124610124097',6744,'177',57.65,1,2,1),(15,2246155,'1990-12-11 00:00:00',4,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241116151741533333432122610134147',19182,'281',38.38,1,3,NULL),(15,2246163,'1989-08-29 00:00:00',5,8,11,2007,'M','N','GLORIA','JOINVILLE','SC','124244248435271411679614295122610164012',12592,'9997',48.15,1,3,NULL),(15,2246171,'1989-10-01 00:00:00',4,3,12,2006,'F','N','CENTRO','MAFRA','SC','124241161215472411549711572112610123017',NULL,'9998',0.00,1,3,NULL),(15,2246198,'1989-08-04 00:00:00',4,1,12,2006,'F','N','CENTRO','ABELARDO LUZ','SC','124244161415471431348832322124610128182',2199,'9998',68.61,1,3,NULL),(15,2246210,'1992-03-26 00:00:00',4,3,12,2009,'F','S','CENTRO','BALNEARIO CAMBORIU','SC','124243241215161432533631375122610134147',NULL,'44',34.64,1,3,NULL),(15,2246228,'1987-10-27 00:00:00',4,1,12,2007,'M','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124241247117141531226321212314610116142',NULL,'9999',19.15,2,3,NULL),(15,2246236,'1990-06-20 00:00:00',4,1,11,2007,'M','N','MANSÕES DO CAMPUS','GOIANIA','GO','109094091215111451456832272122610127052',1317,'9998',72.01,1,3,NULL),(15,2246244,'1976-12-17 00:00:00',2,1,12,1996,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241315375431243629492344321932187',12806,'272',47.85,1,3,NULL),(15,2246260,'1989-06-29 00:00:00',4,1,12,2006,'F','N','PANAZZOLO','CAXIAS DO SUL','RS','120201201211572431267821572114610142092',4870,'9998',61.38,4,3,NULL),(15,2246279,'1981-05-02 00:00:00',4,1,12,1998,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241212273431439614445114332832092',15369,'266',44.30,1,3,NULL),(15,2246287,'1990-05-28 00:00:00',2,1,12,2007,'F','N','BARRA DO ARIRIU','PALHOCA','SC','124241241115151531453633572124610116147',NULL,'591',6.88,1,3,NULL),(15,2246295,'1990-10-21 01:00:00',2,1,12,2007,'M','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241215131431624414572124610127042',18051,'1014',40.22,1,3,NULL),(15,2246309,'1990-07-23 00:00:00',4,3,12,2007,'F','N','CENTRO','SALETE','SC','124241241127131431424714195125610126177',NULL,'680',0.00,1,2,1),(15,2246317,'1990-09-23 00:00:00',2,10,12,2007,'F','N','PAES LEME','IMBITUBA','SC','124241241147131721426631235324610128142',22335,'1034',30.78,1,2,1),(15,2246325,'1981-02-28 00:00:00',2,1,11,2002,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241117133421436569141334131027017',NULL,'307',0.00,2,1,1),(15,2246333,'1990-03-01 00:00:00',4,8,11,2007,'F','N','RECANTO DO BOSQUE','CAMPO VERDE','MT','111111111316111431326524295223610114147',NULL,'9998',25.36,1,3,NULL),(15,2246341,'1978-11-19 00:00:00',2,1,12,1998,'M','N','COPAVILA II','CAMPO GRANDE','MS','212163167346141431238841412322543114052',4408,'9999',62.46,1,3,NULL),(15,2246350,'1988-06-20 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241211574431448936572324232423097',2526,'270',67.55,1,3,NULL),(15,2246368,'1990-05-07 00:00:00',4,9,12,2007,'F','N','CONTA DINHEIRO','LAGES','SC','124243248415271731534661291122610124042',NULL,'515',20.50,1,3,NULL),(15,2246376,'1990-07-26 00:00:00',2,9,11,2007,'F','N','CENTRO','TAIO','SC','124242241215122431637724574134610123187',464,'991',77.10,1,3,NULL),(15,2246392,'1987-07-15 00:00:00',2,10,12,2004,'F','N','HUMAITA','TUBARAO','SC','124243241212572431538814575122610118197',11588,'809',49.57,1,3,NULL),(15,2246406,'1990-04-23 00:00:00',4,7,12,2006,'F','N','CENTRO','CONCORDIA','SC','124241241214274441447923392124231423077',10774,'1047',50.78,1,3,NULL),(15,2246414,'1990-08-18 00:00:00',2,4,12,2007,'M','N','MARIA GORETTI','CHAPECO','SC','124241241117271431549633242122610167017',19632,'174',37.55,1,2,1),(15,2246422,'1990-07-26 00:00:00',2,8,12,2007,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215371432339918592122610132142',16294,'462',42.91,1,3,NULL),(15,2246430,'1990-08-23 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215471431347722575122610135092',10736,'270',50.82,1,3,NULL),(15,2246449,'1988-06-16 00:00:00',4,1,12,2005,'F','N','PARQUE DO IPÊ','PINDAMONHANGABA','SP','125252251217571711347831577115610128187',11132,'9998',50.25,3,3,NULL),(15,2246457,'1988-05-20 00:00:00',4,1,12,2005,'M','N','LAGO SUL','LAGO SUL','DF','107072071215551431378834572112610124022',9954,'9998',52.00,1,3,NULL),(15,2246473,'1990-04-10 00:00:00',4,8,11,2007,'M','N','SAGUAÇU','JOINVILLE','SC','124242241217111551416928415112610167057',16401,'491',42.75,1,3,NULL),(15,2246481,'1991-01-06 00:00:00',4,1,12,2007,'M','N','BOSQUE DA SAÚDE','CUIABA','MT','111112111216111431568833575112610135092',7736,'9998',55.80,1,3,NULL),(15,2246490,'1989-01-31 00:00:00',4,1,12,2006,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241115212411556724341124610117142',9177,'267',53.30,4,2,1),(15,2246503,'1989-07-21 00:00:00',4,1,11,2007,'M','N','JOÃO BRÁZ','VICOSA','MG','113132131216271431469933474122610134047',10799,'9998',50.74,1,3,NULL),(15,2246511,'1990-01-11 00:00:00',2,4,12,2007,'F','N','CIDADE NOVA','GUARANTA DO NORTE','MT','111114111216161732425636575123610167057',20975,'9998',34.90,1,3,NULL),(15,2246520,'1989-09-16 00:00:00',4,5,12,2006,'F','N','CENTRO','CRICIUMA','SC','124243241115472431469833372215610167037',14448,'209',45.50,1,3,NULL),(15,2246546,'1981-06-22 00:00:00',4,1,12,1998,'F','N','POTECAS','SAO JOSE','SC','124241241115155411558313482224322924142',19063,'276',38.57,1,3,NULL),(15,2246554,'1986-07-14 00:00:00',2,8,12,2005,'M','N','AMARAL RIBEIRO','SAPIRANGA','RS','120201201126131731433338342313610137057',NULL,'9998',25.73,1,2,1),(15,2246562,'1988-11-10 00:00:00',2,7,12,2005,'M','N','FREI BRUNO','JOACABA','SC','124242248217373411346934492125610168182',10969,'446',50.51,1,3,NULL),(15,2246570,'1989-10-27 00:00:00',2,6,11,2006,'F','N','VILA TARUMÃ','PINHAIS','PR','116162161215571711457534575122610164047',NULL,'9998',0.00,1,3,NULL),(15,2246589,'1990-09-21 00:00:00',3,1,11,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215111231468813575122610164012',647,'270',75.74,1,3,NULL),(15,2246600,'1983-03-05 00:00:00',2,1,12,2000,'F','N','COPAVILA II','CAMPO GRANDE','MS','212241241146142431236651242324140914092',10021,'257',51.91,1,3,NULL),(15,2246619,'1990-03-27 00:00:00',4,8,12,2007,'F','N','CENTRO','JOINVILLE','SC','124244241216151431654723574112610117012',5815,'461',59.44,1,3,NULL),(15,2246627,'1987-03-02 00:00:00',2,1,12,2004,'M','N','GUANABARA','FRANCISCO BELTRAO','PR','116162151216474431443511372113241764182',1948,'9998',69.44,1,3,NULL),(15,2246635,'1989-06-19 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124094241215472431336634571222610165197',1978,'1022',69.34,4,3,NULL),(15,2246643,'1989-07-31 00:00:00',4,1,12,2007,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241117112431569934572124610132047',14850,'271',44.96,1,2,1),(15,2246651,'1988-03-31 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244241211272431549712445124232714047',18845,'1022',38.92,1,3,NULL),(15,2246660,'1988-12-30 00:00:00',4,1,12,2006,'F','N','SÃO BERNARDO','CAMPINAS','SP','125251251117471421444969572124610144147',18398,'9998',39.65,1,2,1),(15,2246678,'1989-07-19 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','116163165527131441533435295224610164142',NULL,'9998',0.00,1,3,NULL),(15,2246686,'1990-05-10 00:00:00',4,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124244241232112431349839572124610118182',18405,'1105',39.64,1,3,NULL),(15,2246694,'1985-08-13 00:00:00',4,1,12,2003,'M','N','JARDIM CUPECÊ','SAO PAULO','SP','125252251216573431448714285114610164197',5774,'9998',59.52,1,3,NULL),(15,2246708,'1991-12-03 00:00:00',4,5,12,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215121711448834572112610144181',16027,'226',43.34,1,3,NULL),(15,2246716,'1983-02-13 00:00:00',2,1,12,2001,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124241241415572111445529341123610121095',NULL,'9999',31.56,1,3,NULL),(15,2246724,'1990-02-25 00:00:00',4,8,11,2007,'F','N','SANTA CATARINA','JOINVILLE','SC','124241241215131432343532322314610167147',14227,'461',45.83,1,3,NULL),(15,2246732,'1956-12-22 00:00:00',3,1,7,1975,'F','N','CENTRO','FLORIANOPOLIS','SC','224241246126153441453641115122330161147',10924,'306',50.58,1,2,1),(15,2246740,'1964-03-28 00:00:00',2,1,12,1982,'F','N','ESTREITO','FLORIANOPOLIS','SC','224241243127373721473653432122332766187',11809,'531',49.24,1,2,1),(15,2246759,'1990-08-16 00:00:00',4,3,11,2007,'F','N','CENTRO','BANDEIRANTES','PR','116162168215111321369811595122610167187',8384,'9998',54.71,1,3,NULL),(15,2246767,'1990-03-20 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242248212111431468921472112610141092',11729,'9997',49.35,1,3,NULL),(15,2246775,'1984-04-21 00:00:00',2,1,12,2001,'F','N','CENTRO','SAO JOSE','SC','124241241146133451533342225122223046017',10892,'728',50.63,1,2,1),(15,2246783,'1990-12-27 00:00:00',2,9,12,2007,'M','N','CENTRO','ANITA GARIBALDI','SC','124241241117161731536339392125610117042',NULL,'18',24.32,1,3,NULL),(15,2246805,'1990-03-28 00:00:00',4,1,12,2007,'F','N','ZONA SETE','MARINGA','PR','116162161216271731438831495122610123192',4582,'9998',62.04,3,3,NULL),(15,2246813,'1987-03-31 00:00:00',2,5,11,2004,'M','N','CARAVAGIO','NOVA VENEZA','SC','124241241142131421424414342114610126177',19228,'577',38.30,1,2,1),(15,2246821,'1988-10-11 00:00:00',2,10,11,2006,'F','N','BELA VISTA','BRACO DO NORTE','SC','124241241316132412433419342122610166192',17684,'102',40.81,2,3,NULL),(15,2246848,'1991-01-18 00:00:00',2,1,12,2007,'F','N','ZONA II','UMUARAMA','PR','116162161217111132436831372312610162147',15826,'9998',43.64,1,3,NULL),(15,2246856,'1989-11-28 00:00:00',4,9,12,2007,'M','N','VOLTA GRANDE','FARROUPILHA','RS','120202201216151731346822475114610134177',NULL,'9998',0.00,1,3,NULL),(15,2246864,'1989-01-27 00:00:00',4,5,12,2006,'M','N','VILA MARIANA','SAO PAULO','SP','125252251216371431443312575122610127047',NULL,'9998',0.00,1,3,NULL),(15,2246872,'1988-09-03 00:00:00',4,1,12,2005,'F','N','CENTRO','IBAITI','PR','116164161416571431458911491124610128182',10036,'9998',51.88,1,3,NULL),(15,2246880,'1981-07-16 00:00:00',2,1,12,1998,'F','N','BATEL','CURITIBA','PR','116162161216575411569931575125610166182',4633,'9998',61.94,1,3,NULL),(15,2246899,'1970-10-31 00:00:00',4,1,12,1989,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','224131133122174751223359481124610168187',18286,'9998',39.81,1,2,1),(15,2246902,'1990-12-13 00:00:00',4,1,12,2007,'M','N','JARDIM ALVORADA','MARECHAL CANDIDO RONDON','PR','116161161137151531443824346121610124082',9602,'9998',52.59,1,2,1),(15,2246910,'1986-12-31 00:00:00',2,1,12,2005,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241116574431578813491124221421147',5173,'267',60.76,1,2,1),(15,2246929,'1987-06-19 00:00:00',2,10,12,2004,'F','N','CENTRO','TUBARAO','SC','124241251112134431527639395115610124117',19990,'1034',36.85,1,2,1),(15,2246937,'1990-12-25 00:00:00',2,7,12,2007,'M','N','CENTRO','JOACABA','SC','124241241417131431533612572122610127057',14243,'445',45.81,1,3,NULL),(15,2246945,'1990-02-16 00:00:00',4,8,12,2007,'M','N','AMIZADE','JARAGUA DO SUL','SC','124242241215111231468714572121610127097',7574,'422',56.07,1,3,NULL),(15,2246953,'1989-11-27 00:00:00',4,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124242241211371411348613591122610117045',11638,'457',49.50,1,3,NULL),(15,2246961,'1989-05-05 00:00:00',2,1,12,2006,'M','N','SANTOS DUMONT','SAO JOSE','SC','124241241317131431223344442314610136147',10556,'988',51.09,2,3,NULL),(15,2246970,'1992-01-28 00:00:00',2,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241212111431346633572122610162072',17703,'737',40.80,1,3,NULL),(15,2246988,'1988-01-15 00:00:00',4,10,11,2006,'F','N','VILA NOVA','IMBITUBA','SC','124241247212151431436614392124610164147',22281,'9999',31.13,1,3,NULL),(15,2246996,'1990-09-26 00:00:00',2,10,11,2007,'F','N','VILA NOVA','IMBITUBA','SC','124242241215111431347913375122610126122',5829,'807',59.41,1,3,NULL),(15,2247011,'1988-11-17 00:00:00',2,1,12,2006,'M','N','CTAEROESPACIAL','SAO JOSE DOS CAMPOS','SP','125252251215472741469813572112610163047',6500,'9998',58.08,1,3,NULL),(15,2247020,'1990-05-06 00:00:00',2,4,11,2007,'F','N','PINTO','PALMEIRA DAS MISSOES','RS','120201201416111431467611575125610162197',15621,'9998',43.91,4,3,NULL),(15,2247038,'1990-02-26 00:00:00',4,1,12,2007,'M','N','NOVO','MONTE CASTELO','SC','124242241216121731438916592124610138182',NULL,'541',NULL,1,3,NULL),(15,2247046,'1980-11-09 00:00:00',4,1,12,1998,'F','N','CAMPECHE','FLORIANOPOLIS','SC','624074071216155441228649295221223068187',NULL,'9998',0.00,4,3,NULL),(15,2247054,'1975-07-25 00:00:00',2,1,12,1992,'F','N','CENTRO','FLORIANOPOLIS','SC','124164161417371731533319395122610121182',4133,'9998',63.11,4,3,NULL),(15,2247062,'1988-04-15 00:00:00',4,1,12,2005,'M','N','CENTRO','PORTO ALEGRE','RS','120203201217131751531529576114241768197',7383,'9998',56.45,1,3,NULL),(15,2247089,'1984-09-07 00:00:00',2,1,7,2004,'F','N','ARAMAÇÃO DA PIEDADE','GOVERNADOR CELSO RAMOS','SC','124161167136131431223354224124140235147',NULL,'9998',0.00,4,3,NULL),(15,2247097,'1989-01-01 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241215472751444614291114610126187',8943,'988',53.76,1,3,NULL),(15,2247100,'1992-02-07 00:00:00',4,1,12,2007,'M','N','JURERÊ','FLORIANOPOLIS','SC','124242241217151431468811475124610167117',11404,'1048',49.84,1,3,NULL),(15,2247119,'1991-01-06 00:00:00',4,10,11,2008,'F','S','CENTRO','TUBARAO','SC','124242241215111441359834572112610121187',NULL,'807',48.81,1,3,NULL),(15,2247127,'1987-07-16 00:00:00',4,1,12,2004,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241115373431259933575124233244072',1300,'267',72.07,1,2,1),(15,2247135,'1987-01-23 00:00:00',4,8,12,2004,'F','N','JUVEVÊ','CURITIBA','PR','116162161215571441367933575114143264122',NULL,'9998',0.00,1,3,NULL),(15,2247143,'1989-01-03 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241211312431326631211224610116142',16056,'63',43.29,1,3,NULL),(15,2247151,'1984-05-14 00:00:00',4,1,5,2002,'M','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124242246117142712468714446133331267047',9865,'306',52.16,1,3,NULL),(15,2247160,'1983-10-22 00:00:00',2,1,3,2002,'M','N','PICADAS DO SUL','SAO JOSE','SC','124241243117135411235523411124610167042',11567,'306',49.61,1,2,1),(15,2247186,'1988-06-05 00:00:00',4,1,11,2005,'M','N','BAUXITA','OURO PRETO','MG','113132131215571441468833574112610127097',323,'9998',78.49,2,1,2),(15,2247194,'1989-02-16 00:00:00',4,8,12,2006,'M','N','BIGORRILHO','CURITIBA','PR','116162161214571431489934575112610167092',NULL,'9998',0.00,1,3,NULL),(15,2247216,'1989-11-02 00:00:00',4,8,12,2006,'M','N','CENTRO JOINVILLE','JOINVILLE','SC','107174071217372731459913575114241034052',4043,'9998',63.35,1,3,NULL),(15,2247224,'1986-10-28 00:00:00',4,3,12,2004,'F','N','JARDIM SOCIAL','CURITIBA','PR','116162161236471431358713572322142618097',NULL,'9998',23.00,1,3,NULL),(15,2247232,'1984-08-08 00:00:00',2,4,12,2003,'M','N','CENTRO','XAVANTINA','SC','124241242246141411434631345124610114062',16975,'836',41.91,1,3,NULL),(15,2247240,'1989-09-15 00:00:00',2,1,12,2007,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124242241215111451468733372124610134187',18752,'1048',39.08,1,3,NULL),(15,2247259,'1986-02-21 00:00:00',2,1,12,2004,'F','N','ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC','624241247331271211346649491214610168117',NULL,'9999',24.12,1,3,NULL),(15,2247267,'1986-08-10 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124161167427271711523311181344610122137',21570,'9998',33.58,1,3,NULL),(15,2247275,'1990-02-19 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124162241315211441645574342222610136187',21225,'1022',34.38,1,3,NULL),(15,2247283,'1991-04-09 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241216111431459813595125610123092',12731,'737',47.94,1,3,NULL),(15,2247291,'1989-08-31 00:00:00',4,4,12,2006,'F','N','CENTRO','GETULIO VARGAS','RS','116202201216472731468813575114610163196',4647,'9998',61.89,1,3,NULL),(15,2247305,'1990-08-21 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215371431468811572122610131112',11015,'226',50.44,1,3,NULL),(15,2247313,'1991-01-10 00:00:00',2,4,12,2007,'F','N','CENTRO','PATO BRANCO','PR','116162161211271411347923242122610164142',11814,'9998',49.23,1,3,NULL),(15,2247330,'1990-07-09 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124243241315271431348814375124610135107',9043,'210',53.57,4,3,NULL),(15,2247348,'1990-02-13 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241235271431433533476112610114142',20926,'44',35.02,1,3,NULL),(15,2247356,'1988-05-10 00:00:00',4,1,6,2005,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124243241113142711118949493124233264013',8162,'306',55.08,1,3,NULL),(15,2247364,'1987-01-03 00:00:00',4,3,12,2004,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161217471441468911271124610137047',1518,'9998',71.12,4,3,NULL),(15,2247372,'1989-06-12 00:00:00',2,1,12,2006,'F','N','GUARANI','BRUSQUE','SC','124241241216472431536631445122610131142',4863,'107',61.39,1,3,NULL),(15,2247399,'1983-02-26 00:00:00',4,1,12,2001,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124201201116131431116627472325240634191',16075,'9998',43.26,1,2,1),(15,2247402,'1990-11-03 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241217111431468713576114610164097',2966,'1022',66.26,1,3,NULL),(15,2247410,'1984-10-19 00:00:00',2,1,12,2001,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124202241412274431433344345124222237147',15496,'257',44.14,1,3,NULL),(15,2247429,'1945-06-10 00:00:00',4,1,12,1970,'M','N','JOSÉ MENDES','FLORIANOPOLIS','SC','224241243127132422464444244134330232187',14436,'304',45.52,1,2,1),(15,2247437,'1990-09-04 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217111431457934572122610124145',4732,'270',61.69,1,3,NULL),(15,2247445,'1990-08-06 00:00:00',4,1,12,2007,'M','N','VALE DAS ARAUCÁRIAS','LONDRINA','PR','116162161216271431558934495112610122097',991,'9998',73.59,1,3,NULL),(15,2247453,'1989-03-23 00:00:00',4,1,12,2006,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124242241215473731489833575122610127062',918,'883',73.97,1,3,NULL),(15,2247461,'1989-09-24 00:00:00',4,1,11,2007,'M','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124242241215112421673776575114610112065',7631,'270',55.97,4,3,NULL),(15,2247470,'1982-06-19 00:00:00',2,1,10,2001,'M','N','ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC','624242248411152421349849292213610167117',17907,'306',40.48,1,3,NULL),(15,2247496,'1990-05-25 00:00:00',4,1,12,2007,'F','N','PENHA','PAULO LOPES','SC','124241241125171431343811247124610137142',18326,'307',39.75,1,3,NULL),(15,2247518,'1990-04-07 00:00:00',2,1,11,2007,'F','N','ROÇADO','SAO JOSE','SC','124241241135111431633314242124610122072',22149,'729',31.73,1,2,1),(15,2247526,'1988-03-12 00:00:00',2,1,12,2005,'F','N','UBERABA','CURITIBA','PR','116162161215571731316719575124610164157',7175,'9998',56.84,1,3,NULL),(15,2247534,'1990-01-18 00:00:00',4,1,12,2007,'F','N','CENTRO','NOVA TRENTO','SC','124241241415111431338319575124610164147',18311,'981',39.78,1,3,NULL),(15,2247542,'1988-04-20 00:00:00',4,1,12,2005,'M','N','VILA MARIANA','SAO PAULO','SP','125252251217571741378914595112610167042',16634,'9998',42.41,1,3,NULL),(15,2247550,'1990-05-11 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','120202201217471431448832325124610163012',18704,'9998',39.16,1,3,NULL),(15,2247569,'1986-05-12 00:00:00',2,1,11,2006,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241122411411653333282114610114052',NULL,'298',21.32,1,2,1),(15,2247577,'1991-04-09 00:00:00',2,1,12,2008,'M','S','ALTO ARIRIÚ','PALHOCA','SC','124242248216111431445614292224610157053',NULL,'774',37.19,1,3,NULL),(15,2247585,'1990-04-30 00:00:00',2,5,11,2007,'F','N','CENTRO','ICARA','SC','124242241215111731538633435124610124142',19988,'226',36.86,1,3,NULL),(15,2247593,'1986-02-05 00:00:00',2,1,11,2003,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124201201117272431223651273324610122187',8865,'9998',53.88,1,2,1),(15,2247607,'1959-12-16 00:00:00',2,1,12,1976,'M','N','AREIAS','SAO JOSE','SC','224164166112132431364344342122320228047',12309,'9998',48.57,1,3,NULL),(15,2247623,'1984-06-08 00:00:00',4,1,12,2002,'M','N','GUTTIERREZ','BELO HORIZONTE','MG','113212211215572451269924292112143267042',NULL,'9998',0.00,1,3,NULL),(15,2247631,'1990-01-17 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241115131731426611382124610164057',5961,'306',59.15,1,2,1),(15,2247640,'1986-09-06 00:00:00',2,8,12,2003,'M','N','CENTRO','CURITIBA','PR','116162161215573731348519371124141524097',NULL,'9998',0.00,1,3,NULL),(15,2247658,'1990-02-28 00:00:00',4,1,11,2007,'F','N','CENTRO','LARANJEIRAS DO SUL','PR','116131131316131411557977386125610145177',NULL,'9998',24.19,1,3,NULL),(15,2247666,'1990-04-17 00:00:00',2,9,12,2007,'M','N','MARTORANO','SAO JOAQUIM','SC','124241242112131411326923571224610157187',21138,'960',34.58,4,2,1),(15,2247690,'1989-02-18 00:00:00',2,10,12,2006,'F','N','CENTRO','TUBARAO','SC','124242241212473431459913572112610122182',7664,'806',55.93,1,3,NULL),(15,2247704,'1989-04-21 00:00:00',4,8,12,2006,'F','N','CENTRO','LARANJEIRAS DO SUL','PR','116162161215471431456814572112610162072',NULL,'9998',0.00,1,3,NULL),(15,2247720,'1989-02-05 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241217151431567613575112610164181',15940,'1118',43.47,1,3,NULL),(15,2247739,'1982-05-05 00:00:00',3,1,12,2001,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241115134431343371412334610127147',19185,'298',38.37,1,2,1),(15,2247755,'1989-10-12 00:00:00',2,1,12,2006,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201241237372411536812575124610167115',8074,'1098',55.22,1,3,NULL),(15,2247763,'1988-09-27 00:00:00',4,4,12,2005,'M','N','JARDIM BELA VISTA','ITAPIRANGA','SC','120241241427162431448712575124240232022',NULL,'1060',0.00,1,3,NULL),(15,2247771,'1988-10-16 01:00:00',4,1,12,2005,'F','N','TAPERA','FLORIANOPOLIS','SC','121212218216271431437934572122610142147',21527,'9998',33.67,4,3,NULL),(15,2247780,'1986-12-06 00:00:00',4,3,12,2004,'M','N','LIBERDADE','SAO PAULO','SP','125122121216571431178811473314610164047',9928,'9998',52.04,1,3,NULL),(15,2247798,'1988-09-27 00:00:00',4,1,11,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241137131432348823395124610162052',NULL,'257',22.20,1,2,1),(15,2247810,'1991-02-12 00:00:00',4,1,11,2008,'F','S','VILA NOVA ALTA','BRACO DO NORTE','SC','124242241217131431466933594124610136077',NULL,'806',50.14,1,3,NULL),(15,2247828,'1989-10-24 00:00:00',2,1,12,2006,'F','N','N S DAS GRAÇAS','PONTA GROSSA','PR','116162161212411431668833571112610114111',21423,'9998',33.91,1,3,NULL),(15,2247836,'1990-07-24 00:00:00',2,6,12,2007,'F','N','CENTRO','MAJOR GERCINO','SC','124241241122131411556413572225610124147',NULL,'546',22.54,1,2,1),(15,2247844,'1985-06-22 00:00:00',2,1,12,2002,'F','N','DONA WANDA','SAO JOSE','SC','124241241127131431546314345134610133147',NULL,'946',22.64,1,3,NULL),(15,2247852,'1990-09-18 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241215112431438711572112610134092',19879,'262',37.05,1,3,NULL),(15,2247860,'1986-07-26 00:00:00',4,1,10,2004,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124244241117574421657769442123233221057',12502,'306',48.29,5,3,NULL),(15,2247879,'1980-03-05 00:00:00',2,1,12,1996,'F','N','TRINDADE','FLORIANOPOLIS','SC','124204201116573711228544442134321565197',5813,'9998',59.45,1,3,NULL),(15,2247887,'1990-02-06 00:00:00',4,5,11,2007,'F','N','UNIVERSITÁRIO','CRICIUMA','SC','124242241211131431455335395123610164017',19837,'9997',37.14,1,3,NULL),(15,2247895,'1988-04-22 00:00:00',2,1,6,2007,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124243247232131411534634472144610137117',NULL,'9999',11.67,1,3,NULL),(15,2247909,'1988-10-21 00:00:00',4,1,12,2005,'M','N','BOQUEIRÃO','SANTOS','SP','125252251215571431468834575122610137097',3950,'9998',63.60,1,3,NULL),(15,2247917,'1988-10-07 00:00:00',2,5,11,2005,'F','N','DEMBOSKI','CRICIUMA','SC','124243248216151431456614345134230228077',16100,'995',43.22,1,3,NULL),(15,2247925,'1990-04-29 00:00:00',4,8,12,2007,'F','N','JARDIM PERY','SAO PAULO','SP','125252251416141431578817575122610141142',6502,'9998',58.07,1,3,NULL),(15,2247933,'1991-11-13 00:00:00',4,3,12,2007,'F','N','TABULEIRO','CAMBORIU','SC','124241241214111751528923274122610126097',9812,'967',52.24,1,3,NULL),(15,2247950,'1989-10-16 00:00:00',4,8,12,2007,'M','N','VILA MADALENA','SAO PAULO','SP','125252251217111431479834572112610147043',7036,'9998',57.09,1,3,NULL),(15,2247968,'1990-12-03 00:00:00',2,7,11,2007,'M','N','SÃO CRISTOVÃO','VIDEIRA','SC','124242246414131711533339382225610134177',19096,'1080',38.53,1,3,NULL),(15,2247976,'1990-08-02 00:00:00',4,3,12,2007,'M','N','CENTRO','MARINGA','PR','116162161217271431468819575112610167057',7550,'9998',56.11,1,3,NULL),(15,2247984,'1978-02-01 00:00:00',1,2,12,1996,'F','N','VILA NOVA','BLUMENAU','SC','124241245146372721133341215122332868197',12796,'69',47.86,1,3,NULL),(15,2248000,'1986-08-30 00:00:00',2,1,12,2004,'M','N','BARREIROS','SAO JOSE','SC','124242241217574431457613375114610141032',3814,'725',63.94,1,3,NULL),(15,2248026,'1990-05-18 00:00:00',2,9,11,2007,'F','N','VILA NOVA','LAGES','SC','124241241117161431625635572222610161052',21951,'742',32.46,1,3,NULL),(15,2248034,'1990-07-13 00:00:00',4,1,7,2007,'F','N','PRAINHA','FLORIANOPOLIS','SC','124243247427131731533623392224610163147',NULL,'9999',24.77,1,3,NULL),(15,2248042,'1985-09-05 00:00:00',2,5,6,2003,'M','N','METROPOL','CRICIUMA','SC','124241246216153421234379345113610167047',7776,'995',55.74,1,3,NULL),(15,2248050,'1988-11-14 00:00:00',4,2,12,2005,'M','N','AZAMBUJA','BRUSQUE','SC','124241241115271731433434492112610137027',21378,'110',34.02,1,3,NULL),(15,2248069,'1991-01-20 00:00:00',4,4,12,2007,'M','N','PASSO DOS FORTES','CHAPECO','SC','124241241126131431446631345114610127047',8656,'171',54.25,1,3,NULL),(15,2248077,'1988-07-07 00:00:00',2,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242241215372431243623442124610124077',18754,'737',39.07,1,3,NULL),(15,2248085,'1990-07-29 00:00:00',4,1,11,2007,'F','N','VISTA VERDE','SAO JOSE DOS CAMPOS','SP','125254251217121431367633272112610123096',21172,'9998',34.50,1,3,NULL),(15,2248093,'1978-04-12 00:00:00',4,1,12,1995,'M','N','JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP','225202211216152731268844441122441466196',500,'9998',76.83,1,3,NULL),(15,2248107,'1987-03-01 00:00:00',5,5,12,2003,'M','N','DISTRIRO PALERMO','LAURO MULLER','SC','124241241117161421443335253122610134047',NULL,'531',22.81,1,3,NULL),(15,2248115,'1989-12-01 00:00:00',2,8,12,2007,'M','N','BARRA DO RIO MOLHA','JARAGUA DO SUL','SC','124242241212112431459831572114610112042',7208,'442',56.78,1,3,NULL),(15,2248123,'1990-02-08 00:00:00',4,1,12,2007,'M','N','PICADAS DO SUL','SAO JOSE','SC','124241241225131411633319272324610135177',NULL,'262',0.00,1,3,NULL),(15,2248131,'1990-07-25 00:00:00',4,8,11,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161235111431459814575124610128177',NULL,'491',0.00,1,3,NULL),(15,2248140,'1991-03-01 00:00:00',2,4,12,2007,'F','N','CENTRO','ENEAS MARQUES','PR','116161161415111731469913572122610121177',13055,'9998',47.51,1,3,NULL),(15,2248166,'1976-11-11 00:00:00',2,1,12,1993,'F','N','ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC','124241245125131431646429492124132731147',21791,'291',32.99,1,3,NULL),(15,2248174,'1981-10-26 00:00:00',2,1,12,1999,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241122154431123348282314133224187',13601,'124',46.75,1,3,NULL),(15,2248182,'1989-09-12 00:00:00',2,1,12,2006,'M','N','PLANALTO PAULISTA','SAO PAULO','SP','125252251217471431257833575114610167042',2474,'9998',67.70,1,3,NULL),(15,2248190,'1990-01-22 00:00:00',2,1,12,2006,'M','N','SANTINHO','FLORIANOPOLIS','SC','124202241212572231357612572124610127057',1030,'1048',73.37,4,3,NULL),(15,2248204,'1985-10-11 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241117375431569813245124231054062',7807,'306',55.69,1,3,NULL),(15,2248212,'1990-08-29 00:00:00',2,10,12,2007,'F','N','NOVA BRASÍLIA','IMBITUBA','SC','124244241415121441547932572124610146192',7728,'362',55.82,1,3,NULL),(15,2248239,'1988-11-03 00:00:00',2,1,12,2006,'F','N','JARDIM ELDORADO','PALHOCA','SC','124241241127311431435634242122610122142',NULL,'1009',16.87,1,3,NULL),(15,2248247,'1988-09-08 00:00:00',2,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124244241412112711336729345124610167072',21647,'9997',33.39,4,3,NULL),(15,2248255,'1988-02-22 00:00:00',4,1,12,2005,'F','N','URBANOVA','SAO JOSE DOS CAMPOS','SP','125212251217472431256631575125242851182',20366,'9998',36.11,1,3,NULL),(15,2248263,'1988-07-27 00:00:00',2,8,12,2005,'M','N','CENTRO','APUCARANA','PR','116161161136571431467619575112610134047',4959,'9998',61.18,1,2,1),(15,2248271,'1989-04-21 00:00:00',4,8,12,2007,'F','N','ATIRADORES','JOINVILLE','SC','124242241215472431479813371112610168017',3404,'457',64.99,1,3,NULL),(15,2248280,'1987-11-27 00:00:00',4,1,12,2006,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124252241211372451488831575122610167012',7642,'9999',55.96,1,3,NULL),(15,2248298,'1991-06-20 00:00:00',4,1,12,2008,'F','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','116242161215111431469832575122610127077',NULL,'9998',50.60,1,3,NULL),(15,2248301,'1989-01-11 00:00:00',4,1,12,2006,'M','N','CENTRO','PINHALZINHO','SC','124241241315372431446812575122610127042',2838,'983',66.64,1,3,NULL),(15,2248310,'1989-06-09 00:00:00',4,1,12,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241115131431445613572124610117047',NULL,'307',26.24,1,3,NULL),(15,2248328,'1990-09-29 00:00:00',4,4,12,2007,'F','N','PINHEIROS','PATO BRANCO','PR','116162161216161731448813235112613218197',NULL,'9998',0.00,4,3,NULL),(15,2248336,'1991-07-30 00:00:00',4,7,12,2007,'F','N','CENTRO','HERVAL D OESTE','SC','124242241215111431468911574122610168192',7852,'962',55.60,1,3,NULL),(15,2248344,'1988-10-22 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241214112431448912375124231936172',8101,'974',55.19,1,3,NULL),(15,2248360,'1989-01-10 00:00:00',4,1,12,2005,'M','N','GIOCONDO ORSI','CAMPO GRANDE','MS','112122121216511411458811584112610167097',2468,'9998',67.72,1,3,NULL),(15,2248379,'1990-01-10 00:00:00',4,6,11,2007,'M','N','DOM BOSCO','ITAJAI','SC','124242241215122411338711592211610167092',5784,'1026',59.50,1,3,NULL),(15,2248387,'1991-08-26 00:00:00',4,7,11,2008,'F','S','CENTRO','CONCORDIA','SC','124242241216131411326811215112610121197',NULL,'1000',38.69,1,3,NULL),(15,2248409,'1990-10-25 00:00:00',4,1,12,2007,'F','N','NOVA BRASÍLIA','JARAGUA DO SUL','SC','124242241215111331456611575122610124097',19888,'424',37.03,1,3,NULL),(15,2248417,'1988-10-12 00:00:00',4,1,12,2006,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124242241215472731455823435114610137127',5786,'1022',59.50,1,3,NULL),(15,2248425,'1991-05-08 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217121432479833572122610144142',633,'270',75.80,1,3,NULL),(15,2248433,'1989-12-12 00:00:00',2,1,12,2007,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242248217111712567819295124610121181',20169,'269',36.49,1,3,NULL),(15,2248441,'1979-09-13 00:00:00',2,1,12,1998,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241126274431223448285113610137147',12199,'50',48.73,1,2,1),(15,2248450,'1990-04-16 00:00:00',2,2,12,2007,'M','N','PROGRESSO','RIO DO SUL','SC','124241241215131431423823172324610124057',15811,'663',43.66,1,3,NULL),(15,2248468,'1984-02-29 00:00:00',4,1,12,2001,'M','N','SETOR SUL','GOIANIA','GO','109092091216151411458823472124140664097',8498,'9998',54.51,4,3,NULL),(15,2248476,'1988-10-17 00:00:00',2,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116162161216472431678912595124142667142',1095,'9998',73.06,1,3,NULL),(15,2248484,'1980-06-13 00:00:00',4,1,12,1997,'M','N','INGLESES','FLORIANOPOLIS','SC','124131131116134731126643132324321262056',5674,'9998',59.72,1,2,1),(15,2248492,'1977-12-21 00:00:00',2,1,12,1995,'F','N','JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP','225251251117472431263754475112610163196',9568,'9998',52.65,1,3,NULL),(15,2248506,'1988-09-21 00:00:00',2,5,11,2005,'M','N','COMERCIÁRIO','CRICIUMA','SC','124242241235573431389811572112610167042',3360,'211',65.10,1,3,NULL),(15,2248514,'1991-04-27 00:00:00',4,9,12,2007,'M','N','UNIVERSITÁRIO','LAGES','SC','124242241215151431476911572122610134037',14260,'497',45.78,1,3,NULL),(15,2248522,'1971-12-28 00:00:00',4,1,11,1991,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124201206117232711246542425132610168195',NULL,'9998',0.00,1,3,NULL),(15,2248530,'1975-08-30 00:00:00',4,8,12,1993,'F','N','SAO LOURENÇO','CURITIBA','PR','116162151216471731468711391122342123022',5446,'9998',60.18,1,3,NULL),(15,2248549,'1991-03-17 00:00:00',4,7,12,2008,'M','S','CENTRO','JOACABA','SC','124241241217111431448613572122610166092',NULL,'962',49.39,1,3,NULL),(15,2248557,'1991-04-15 00:00:00',4,4,12,2008,'M','S','CENTRO','CONCORDIA','SC','124242241215111431469913575122610128157',NULL,'1047',25.94,1,3,NULL),(15,2248565,'1990-01-25 00:00:00',4,1,11,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215112731469933572112610137147',3158,'270',65.67,1,3,NULL),(15,2248573,'1989-04-12 00:00:00',4,8,12,2006,'M','N','CENTRO','JARAGUA DO SUL','SC','124242246217141431567634445124231446042',NULL,'1105',0.00,1,3,NULL),(15,2248581,'1990-03-06 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242248117141431336614245124610128147',22269,'257',31.21,1,3,NULL),(15,2248590,'1985-12-29 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241312474431546613592124610167047',12403,'298',48.43,1,3,NULL),(15,2248603,'1969-12-27 00:00:00',4,1,12,1987,'F','N','PRAINHA','FLORIANOPOLIS','SC','224241244127131431544443432224610168197',NULL,'292',24.22,1,3,NULL),(15,2248611,'1990-10-12 00:00:00',4,1,11,2007,'M','N','SETOR COIMBRA','GOIANIA','GO','109092091215111431548833575121610164052',871,'9998',74.23,4,3,NULL),(15,2248620,'1990-01-19 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241125131231446414372114610134112',19796,'290',37.24,1,2,1),(15,2248638,'1991-08-17 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241216111711379921475112610137112',NULL,'270',67.90,1,3,NULL),(15,2248646,'1991-07-10 00:00:00',2,1,12,2008,'F','S','BARREIROS','SAO JOSE','SC','124242241215111431456731371122610153012',NULL,'270',32.25,1,3,NULL),(15,2248654,'1990-05-17 00:00:00',4,1,12,2007,'M','N','CENTRO','SAO JOAO DO OESTE','SC','124241241127161411423329575115610163182',20315,'715',36.21,1,3,NULL),(15,2248662,'1987-04-15 00:00:00',2,1,11,2004,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242248217273731338614145234610133183',10415,'272',51.33,1,3,NULL),(15,2248670,'1991-06-10 00:00:00',4,7,12,2008,'F','S','FLOR DA SERRA','JOACABA','SC','124252241215111431367921275122610145142',NULL,'454',42.64,1,3,NULL),(15,2248697,'1987-09-04 00:00:00',2,1,12,2005,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241112271431333421332124610147147',19640,'281',37.54,1,3,NULL),(15,2248700,'1986-11-12 00:00:00',4,1,12,2004,'M','N','CENTRO','SANTA MARIA','RS','120243241327371412436967382124610134177',NULL,'1060',27.72,1,3,NULL),(15,2248719,'1990-12-31 00:00:00',2,1,12,2007,'M','N','CENTRO','CANELINHA','SC','124243241311131431336432275122610114052',11076,'1119',50.34,1,3,NULL),(15,2248735,'1989-10-30 00:00:00',4,4,11,2006,'M','N','JARDIM ITALIA','CHAPECO','SC','124242247215151751589933395122241468177',NULL,'185',16.50,1,3,NULL),(15,2248743,'1991-07-29 00:00:00',4,2,12,2008,'F','S','SANTA RITA','BRUSQUE','SC','124244241215151711449733272112610124092',NULL,'106',23.83,1,3,NULL),(15,2248751,'1990-07-17 00:00:00',4,1,12,2007,'M','N','CID UNIVERSITÁRIA','CAMPINAS','SP','125252251215121411369813311112610124182',4676,'9998',61.82,1,3,NULL),(15,2248760,'1990-04-05 00:00:00',4,1,12,2007,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124242241215111711457823572114610134187',9284,'1022',53.14,1,3,NULL),(15,2248778,'1990-02-03 00:00:00',2,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215371431427621572224610143072',15603,'1048',43.95,1,3,NULL),(15,2248786,'1991-01-23 00:00:00',4,2,12,2008,'F','S','VELHA','BLUMENAU','SC','124242241217111431469934575122610165097',NULL,'855',49.71,1,3,NULL),(15,2248794,'1990-12-26 00:00:00',2,5,12,2007,'F','N','CIDADE ALTA','ARARANGUA','SC','124241241235271731346512575122610118092',13341,'970',47.12,1,3,NULL),(15,2248808,'1991-05-17 00:00:00',4,1,12,2008,'F','S','ESTREITO','FLORIANOPOLIS','SC','124242241215111431467714572124610115072',NULL,'1022',24.32,1,3,NULL),(15,2248816,'1989-10-24 00:00:00',2,5,12,2007,'F','N','CENTRO','PRAIA GRANDE','SC','124241241126131231425511315122610167142',18899,'641',38.84,1,3,NULL),(15,2248824,'1988-10-19 00:00:00',4,1,11,2005,'F','N','PORTÃO','CURITIBA','PR','116162161216573431478913574122610126142',NULL,'9998',0.00,1,3,NULL),(15,2248832,'1964-10-17 00:00:00',2,6,12,1982,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','624071073122151742482243194112341168132',NULL,'9998',45.69,4,3,NULL),(15,2248840,'1985-08-25 00:00:00',2,1,12,2003,'M','N','CENTRO','PORTO ALEGRE','RS','120201201116131451443923375124241936187',NULL,'9998',0.00,1,2,1),(15,2248859,'1990-03-27 00:00:00',2,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215131431557731572122610167077',6522,'213',58.03,1,3,NULL),(15,2248875,'1982-06-21 00:00:00',2,1,12,1999,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124252251211472411269813592324321466172',3610,'9998',64.45,1,3,NULL),(15,2248883,'1990-09-26 00:00:00',4,9,12,2007,'M','N','CORAL','LAGES','SC','124241242137161531423315352343610134047',22156,'741',31.71,1,3,NULL),(15,2248891,'1990-11-29 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124202241215111231449833175124610132147',14419,'988',45.55,1,3,NULL),(15,2248905,'1991-04-05 00:00:00',2,1,11,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244241215111431468923572124610117045',7562,'1051',56.09,1,3,NULL),(15,2248913,'1984-04-07 00:00:00',4,1,12,2001,'M','N','ESTREITO','FLORIANOPOLIS','SC','224071071116151751376643435122140762052',12458,'9998',48.35,1,3,NULL),(15,2248930,'1990-07-07 00:00:00',4,1,12,2007,'M','N','ROÇADO','SAO JOSE','SC','124241241117131431436411192122610134057',13883,'729',46.34,1,2,1),(15,2248956,'1990-08-09 00:00:00',4,8,12,2007,'M','N','SANTA LUZIA','JARAGUA DO SUL','SC','124241241117131431436634575124610137037',9612,'433',52.57,1,2,1),(15,2248964,'1988-09-01 00:00:00',4,2,8,2006,'M','N','VAL PARAÍSO','BLUMENAU','SC','124241247227131431358762246112233237117',NULL,'9999',28.10,1,3,NULL),(15,2248972,'1988-02-12 00:00:00',4,1,12,2006,'F','N','CARIANOS','FLORIANOPOLIS','SC','124251251123271431523344145314610164117',NULL,'9998',0.00,1,2,1),(15,2248980,'1991-03-29 00:00:00',2,5,12,2008,'F','S','VILA SÃO JOSÉ','ARARANGUA','SC','124244241215121531459913572122610138192',NULL,'970',59.24,1,3,NULL),(15,2248999,'1991-08-15 00:00:00',4,5,11,2008,'F','S','CENTRO','CRICIUMA','SC','124244241417111431446632422112610127142',NULL,'226',35.09,1,3,NULL),(15,2249006,'1991-03-21 00:00:00',2,10,11,2008,'F','S','CAPÃO','GAROPABA','SC','124243241215161431467913582124610121042',NULL,'362',50.07,1,3,NULL),(15,2249014,'1990-05-03 00:00:00',4,1,11,2007,'M','N','CENTRO','CAPIVARI DE BAIXO','SC','124244241212271431224624472124610164052',1709,'809',70.35,1,3,NULL),(15,2249022,'1985-12-29 00:00:00',2,9,12,2004,'M','N','SÃO CRISTÓVÃO','LAGES','SC','124243241217372431556412442132230268147',NULL,'499',26.32,1,3,NULL),(15,2249030,'1989-12-15 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124244241212112721359613592114610163187',NULL,'1022',27.22,1,3,NULL),(15,2249049,'1977-06-28 00:00:00',4,1,12,1996,'F','N','ESTREITO','FLORIANOPOLIS','SC','224092091216151751378853335122141062182',10637,'9998',50.97,1,3,NULL),(15,2249057,'1989-10-30 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215311111448713472112610133072',15561,'1022',44.03,1,3,NULL),(15,2249073,'1989-04-22 00:00:00',4,1,12,2006,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116212211216411711448813535124610164091',NULL,'9998',0.00,1,3,NULL),(15,2249081,'1988-06-09 00:00:00',4,8,12,2005,'M','N','VILA NOVA','JARAGUA DO SUL','SC','124242241217263431558832495124231462122',2788,'494',66.78,1,3,NULL),(15,2249090,'1990-10-23 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212111411367712492122610134142',NULL,'262',8.18,1,3,NULL),(15,2249103,'1989-09-27 00:00:00',2,1,12,2006,'M','N','SAMBAQUI','FLORIANOPOLIS','SC','124242241216472431456613592124610127047',16836,'1022',42.11,1,3,NULL),(15,2249111,'1990-04-04 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215121431438939572124610137047',4137,'270',63.09,1,3,NULL),(15,2249120,'1985-12-29 00:00:00',4,5,11,2003,'F','N','MICHEL','CRICIUMA','SC','124244241232535431634614575124232446147',4254,'226',62.79,1,3,NULL),(15,2249146,'1989-03-03 00:00:00',2,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161216471431338839575325610138197',NULL,'9998',28.12,1,3,NULL),(15,2249154,'1991-08-30 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241215471431479937573344610163077',14631,'270',45.23,1,3,NULL),(15,2249162,'1991-06-29 00:00:00',4,1,12,2008,'F','S','JOÃO PAULO','FLORIANOPOLIS','SC','124242241217111431356816572122610165072',NULL,'270',38.08,1,3,NULL),(15,2249170,'1990-03-15 00:00:00',4,10,11,2007,'F','N','CENTRO','IMBITUBA','SC','124241248217121431336934571112610166097',14171,'806',45.92,1,3,NULL),(15,2249189,'1991-01-10 00:00:00',4,10,12,2008,'M','S','CENTRO','BRACO DO NORTE','SC','124242246217151411348914585122610142111',NULL,'1120',33.10,1,3,NULL),(15,2249197,'1990-06-10 00:00:00',2,4,12,2007,'F','N','CENTRO','PALMITOS','SC','124241241215161421563612375122610123147',14472,'600',45.46,1,3,NULL),(15,2249200,'1987-10-23 00:00:00',2,1,12,2005,'F','N','CENTRO','BOTUCATU','SP','125252251215571411248618484124610137077',17238,'9998',41.51,1,3,NULL),(15,2249219,'1985-03-18 00:00:00',4,1,12,2002,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124252251212272431147814445324343232112',8461,'9998',54.58,1,3,NULL),(15,2249227,'1989-11-19 00:00:00',2,6,12,2007,'F','N','CENTRO','ITUPORANGA','SC','124243241315161431455923435125610161147',NULL,'416',17.47,1,3,NULL),(15,2249235,'1991-09-03 00:00:00',4,1,12,2008,'M','S','KOBRASOL','SAO JOSE','SC','124242241217111432237823575124610137047',NULL,'737',43.79,1,3,NULL),(15,2249243,'1991-02-16 00:00:00',4,1,12,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124243241115271711323429572124613268192',10585,'307',51.04,1,3,NULL),(15,2249251,'1990-08-17 00:00:00',2,10,11,2007,'F','N','SANTA AUGUSTA','BRACO DO NORTE','SC','124242241215121431434412212122610123092',6879,'807',57.38,1,3,NULL),(15,2249260,'1986-06-06 00:00:00',4,1,8,2005,'M','N','ABRAÃO','FLORIANOPOLIS','SC','107073071116151711579613585124241062047',NULL,'9998',0.00,1,3,NULL),(15,2249278,'1989-02-10 00:00:00',2,4,12,2007,'M','N','CENTRO','NONOAI','RS','120202201215131431548934595125610127087',NULL,'9998',23.24,1,3,NULL),(15,2249286,'1990-11-15 00:00:00',2,9,12,2007,'F','N','REBOUÇAS','CURITIBA','PR','116244161217111431278813472112610128145',NULL,'9998',0.00,3,3,NULL),(15,2249294,'1990-03-28 00:00:00',4,2,12,2007,'M','N','CENTRO','ILHOTA','SC','124242241215152431458613575124610167052',2362,'955',68.04,1,3,NULL),(15,2249308,'1990-01-30 00:00:00',4,8,11,2007,'F','N','PINEVILLE','PINHAIS','PR','116162161235471311568811572122610164096',8053,'9998',55.28,1,3,NULL),(15,2249316,'1990-08-11 00:00:00',4,10,11,2007,'F','N','CENTRO','TUBARAO','SC','124242244235371431588612575122610134077',11090,'807',50.31,1,3,NULL),(15,2249324,'1990-01-05 00:00:00',4,1,12,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124242241217111431468933572122610114072',20151,'270',36.53,1,3,NULL),(15,2249332,'1990-02-15 00:00:00',4,1,11,2007,'F','N','PONTA FINA NORTE','NOVA TRENTO','SC','124243241311131731557313232122610136147',19746,'574',37.34,1,3,NULL),(15,2249340,'1990-05-12 00:00:00',2,2,12,2007,'F','N','SALTO DO NORTE','BLUMENAU','SC','124243241317271431468734575114610141142',NULL,'69',15.26,1,3,NULL),(15,2249359,'1989-08-16 00:00:00',2,5,12,2006,'M','N','CENTRO','CRICIUMA','SC','124244241315472451446331312125610142187',NULL,'213',0.00,4,3,NULL),(15,2249367,'1989-07-12 00:00:00',4,1,12,2006,'F','N','VILA PEDRINI','JOACABA','SC','124242241216472431568933175122610113092',962,'454',73.71,1,3,NULL),(15,2249375,'1987-08-10 00:00:00',2,1,12,2004,'F','N','PARQUE SANTA FÉ','PORTO ALEGRE','RS','120202201136573431466633575122610124077',4762,'9998',61.60,1,3,NULL),(15,2249383,'1990-08-21 00:00:00',4,8,12,2007,'F','N','SANTA LUZIA','JARAGUA DO SUL','SC','124241248116161431338614342122610167142',NULL,'425',21.87,1,2,1),(15,2249405,'1989-09-17 00:00:00',4,1,12,2006,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241215472732266629576124610163197',16346,'1022',42.83,1,3,NULL),(15,2249413,'1990-07-27 00:00:00',2,2,12,2007,'F','N','PARQUE MALWEE','JARAGUA DO SUL','SC','124241241215111431558431572122610161142',5535,'422',59.99,1,3,NULL),(15,2249421,'1990-08-14 00:00:00',4,9,12,2007,'F','N','CANUDOS','NOVO HAMBURGO','RS','120204201217471431447934575124610133077',12725,'9998',47.95,3,3,NULL),(15,2249430,'1992-01-31 00:00:00',4,8,11,2009,'F','S','BARRA DO RIO CERRO','JARAGUA DO SUL','SC','124242241215151431489912572124610126072',NULL,'424',39.00,1,3,NULL),(15,2249448,'1991-01-16 00:00:00',4,1,11,2008,'F','S','CENTRO','ARARANGUA','SC','124242241215111431568613572122610134072',NULL,'27',44.52,1,3,NULL),(15,2249456,'1990-08-01 00:00:00',2,8,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124243241416131431325529575115610162187',NULL,'424',21.43,1,3,NULL),(15,2249464,'1990-08-08 00:00:00',2,5,12,2007,'F','N','CENTRO','TURVO','SC','124241241117131451445634572121610164197',NULL,'814',22.43,1,2,1),(15,2249472,'1988-11-27 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431377824575122610127122',4998,'270',61.08,1,3,NULL),(15,2249480,'1990-08-12 00:00:00',2,5,11,2007,'F','N','SÃO FELIPE','TURVO','SC','124243241215132431553616572121610132142',4576,'813',62.06,1,3,NULL),(15,2249499,'1989-12-12 00:00:00',2,6,12,2006,'F','N','SANTA RITA','BRUSQUE','SC','124243241342131431547823285125232622147',15346,'111',44.33,1,3,NULL),(15,2249502,'1990-08-13 00:00:00',4,3,12,2007,'M','N','LAGO PARQUE','LONDRINA','PR','116162161215111411468939575122610162017',562,'9998',76.33,1,3,NULL),(15,2249510,'1985-09-10 00:00:00',4,1,12,2003,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124244248435471721335629435135133241112',NULL,'270',22.83,1,3,NULL),(15,2249529,'1990-11-03 00:00:00',4,1,10,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','624244247612131431346612575124610121192',NULL,'631',0.00,1,3,NULL),(15,2249537,'1990-02-26 00:00:00',4,1,12,2007,'M','N','CENTRO','SAO JOAO BATISTA','SC','124244241235111431587914172124610136122',2084,'270',69.01,1,3,NULL),(15,2249545,'1990-06-06 00:00:00',2,4,12,2007,'M','N','CENTRO','CAPANEMA','PR','116161161116131431328631582221610167017',12832,'9998',47.82,1,2,1),(15,2249553,'1986-02-04 00:00:00',2,8,11,2003,'M','N','BIGORRILHO','CURITIBA','PR','116252251216471431459712375124142844047',3086,'9998',65.87,1,3,NULL),(15,2249561,'1990-08-12 00:00:00',2,8,11,2007,'M','N','CENTRO','FRANCISCO BELTRAO','PR','116162161215111431558713272122610167092',19651,'9998',37.52,4,1,2),(15,2249570,'1990-09-09 00:00:00',2,5,12,1990,'M','N','CENTRO','ARARANGUA','SC','124242241235271431348839575122610117052',13769,'970',46.51,1,3,NULL),(15,2249588,'1989-08-18 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124243241317111411558413572114610145077',NULL,'269',24.93,1,3,NULL),(15,2249596,'1991-04-19 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241217111731368933372122610122052',13375,'210',47.08,1,3,NULL),(15,2249618,'1990-11-16 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215112731538923572114610137187',12197,'1022',48.73,1,3,NULL),(15,2249626,'1990-10-13 00:00:00',4,8,11,2007,'F','N','GUANABARA','JOINVILLE','SC','124123241212111431356613474122610164147',14531,'459',45.36,1,3,NULL),(15,2249634,'1989-05-14 00:00:00',2,1,12,2006,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124242241115471431653554575124610167042',14634,'307',45.23,1,3,NULL),(15,2249642,'1990-11-19 00:00:00',4,8,11,2008,'M','S','CENTRO','SAO BENTO DO SUL','SC','124242241215111431564631196125610122012',NULL,'1114',0.00,1,3,NULL),(15,2249650,'1979-09-24 00:00:00',2,1,12,1997,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241121374431453319391124610163147',22492,'269',28.89,1,3,NULL),(15,2249669,'1990-08-22 00:00:00',4,1,12,2007,'F','N','CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC','124242241215111431468513174114610128052',7974,'270',55.41,1,3,NULL),(15,2249677,'1988-06-15 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241214111431325531311123610124092',15850,'1010',43.61,1,3,NULL),(15,2249685,'1988-11-14 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241212133431479819272122220267047',5779,'270',59.51,1,3,NULL),(15,2249693,'1991-04-26 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241217121521559613472122610133145',NULL,'270',73.90,1,3,NULL),(15,2249707,'1990-12-24 00:00:00',4,2,12,2007,'F','N','VORSTADT','BLUMENAU','SC','124242241235272431558811572125610147182',13077,'71',47.47,1,3,NULL),(15,2249715,'1988-03-25 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241216152411546612141121233263096',17291,'988',41.41,1,3,NULL),(15,2249723,'1990-04-02 00:00:00',4,1,12,2007,'M','N','IPIRANGA','SAO JOSE','SC','124242241215111431355734572122610127053',NULL,'976',34.80,1,3,NULL),(15,2249731,'1986-11-04 00:00:00',4,1,12,2005,'M','N','SERIMBURA','SAO JOSE DOS CAMPOS','SP','125252251217571741459631595125240742123',NULL,'9998',0.00,1,3,NULL),(15,2249740,'1990-12-07 00:00:00',2,5,12,2007,'F','N','SANTA BARBARA','CRICIUMA','SC','124242241215111431447934575112610164142',15423,'226',44.22,1,3,NULL),(15,2249758,'1990-06-29 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241217272431379923572112610127112',208,'883',79.82,1,3,NULL),(15,2249766,'1989-01-31 00:00:00',2,1,7,2007,'M','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124242247217151131448813572112610114184',NULL,'1003',39.32,1,3,NULL),(15,2249774,'1988-06-19 00:00:00',4,8,12,2005,'F','N','SAGUAÇU','JOINVILLE','SC','124242241212373441439734574122610136182',1026,'457',73.39,1,3,NULL),(15,2249782,'1988-02-09 00:00:00',3,1,12,2005,'M','N','SANTO ANTONIO LISBOA','FLORIANOPOLIS','SC','124242241213574741469938392122610118047',2881,'262',66.49,1,3,NULL),(15,2249790,'1985-11-04 00:00:00',4,1,12,2002,'M','N','CENTRO','MARECHAL CANDIDO RONDON','PR','116163161316133421436631142231241462087',6737,'9998',57.67,1,3,NULL),(15,2249804,'1987-03-03 00:00:00',2,6,12,2005,'M','N','PEREQUÊ','PORTO BELO','SC','124241241146151422523319242333610137187',6639,'630',57.83,1,3,NULL),(15,2249812,'1990-08-29 00:00:00',4,10,11,2007,'M','N','CENTRO','GRAVATAL','SC','124244241415111231343923135124610167047',15418,'270',44.23,1,3,NULL),(15,2249820,'1989-08-30 00:00:00',2,1,12,2006,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241126131411333316242114610112147',21358,'296',34.07,1,2,1),(15,2249839,'1985-04-28 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217374431389933575112120637062',3833,'262',63.91,1,3,NULL),(15,2249847,'1989-08-28 00:00:00',4,8,12,2006,'F','N','ALTO DA GLORIA','CURITIBA','PR','116164161217471732368831572112610142195',NULL,'9998',0.00,3,3,NULL),(15,2249855,'1989-08-28 00:00:00',2,10,12,2007,'F','N','RIO CACHOEIRRINHAS','GRAO PARA','SC','124243241415131731613315152224610118147',NULL,'100',17.99,1,3,NULL),(15,2249863,'1990-07-13 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215111431448932175121610167067',19224,'226',38.30,1,3,NULL),(15,2249871,'1987-02-27 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241215273731349923574122133226117',6316,'270',58.43,1,3,NULL),(15,2249880,'1991-05-09 00:00:00',2,1,2,2008,'F','N','ARIRIÚ DA FORMIGA','PALHOCA','SC','124242241215111431546933572124610155092',16329,'1011',42.85,1,3,NULL),(15,2249898,'1991-10-13 00:00:00',4,2,12,2007,'F','N','NAÇÕES','INDAIAL','SC','624244241415111431446612372125613228047',19784,'9997',37.28,1,3,NULL),(15,2249901,'1989-10-25 00:00:00',4,8,12,2006,'M','N','AGUA VERDE','CURITIBA','PR','116162161217371311558834575124141022045',NULL,'9998',0.00,3,3,NULL),(15,2249928,'1990-02-01 00:00:00',4,5,11,2007,'F','N','SANTA BÁRBARA','CRICIUMA','SC','124242241217131431449414596122610132177',3977,'210',63.52,1,3,NULL),(15,2249936,'1989-05-30 00:00:00',4,5,12,2006,'F','N','COLONINHA','ARARANGUA','SC','124241241114472231336931375122610162092',5868,'29',59.32,1,2,1),(15,2249944,'1990-05-17 00:00:00',4,8,11,2007,'F','N','BIGORRILHO','CURITIBA','PR','116162161215111431288933572122610133182',NULL,'9998',0.00,1,3,NULL),(15,2249960,'1989-09-23 00:00:00',2,1,12,2007,'M','N','BELA VISTA','CAXIAS DO SUL','RS','120202201217471731479814571124610162047',NULL,'9998',0.00,1,3,NULL),(15,2249979,'1990-10-17 00:00:00',2,1,12,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241134151722427313475124610117045',21137,'298',34.58,1,3,NULL),(15,2249987,'1991-01-02 00:00:00',4,8,11,2007,'F','N','BATEL','CURITIBA','PR','116162161217121741469923572344610166142',5033,'9998',61.03,1,3,NULL),(15,2249995,'1990-08-15 00:00:00',4,10,11,2007,'F','N','DEHON','TUBARAO','SC','124242241215111431468812274125610163092',8753,'806',54.09,1,3,NULL),(15,2250004,'1989-09-26 00:00:00',4,1,12,2006,'M','N','SANTA MARTA','SAO CARLOS','SP','125252251215472431469931575112610167012',2146,'9998',68.81,1,3,NULL),(15,2250012,'1990-12-15 00:00:00',2,1,12,2007,'F','N','XV DE NOVEMBRO','TIJUCAS','SC','124241246215141441343624574112610143052',15113,'1119',44.65,1,3,NULL),(15,2250020,'1989-10-07 00:00:00',2,1,12,2007,'M','N','CENTRO','SAO JOSE','SC','124242241211471431453823273124610167057',13717,'300',46.59,1,3,NULL),(15,2250039,'1990-10-25 00:00:00',2,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215111431448736573125610164057',15742,'1035',43.76,1,3,NULL),(15,2250047,'1991-06-21 00:00:00',2,2,12,2008,'F','S','CENTRO','BRUSQUE','SC','124242241215111531479812475122610133186',NULL,'107',59.57,1,3,NULL),(15,2250055,'1987-12-16 00:00:00',2,1,12,2004,'F','N','PANTANO DO SUL','FLORIANOPOLIS','SC','124241241315374411556413442124610167145',14178,'1022',45.90,1,3,NULL),(15,2250063,'1990-09-13 00:00:00',2,5,11,2007,'M','N','CENTRO','SOMBRIO','SC','124242241217111411469913574124610124047',14489,'32',45.43,4,3,NULL),(15,2250071,'1985-11-16 00:00:00',4,1,12,2003,'F','N','SÃO BENEDITO','UBERABA','MG','113132131217573731438611571122610143027',NULL,'9998',0.00,2,1,2),(15,2250098,'1989-12-07 00:00:00',4,8,12,2007,'M','N','SAN REMO','LONDRINA','PR','116164161217111431457631572112610127182',2650,'9998',67.17,4,3,NULL),(15,2250110,'1976-08-21 00:00:00',2,1,12,1995,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','624243245127372431436659295134610166143',13826,'734',46.42,1,3,NULL),(15,2250128,'1986-12-28 00:00:00',2,1,12,2004,'F','N','ALTO ARIRIÚ','PALHOCA','SC','124241241117134731533314345334232568077',14093,'592',46.04,1,2,1),(15,2250136,'1990-11-25 00:00:00',4,6,11,2007,'M','N','ALTO DA BOA VISTA','SAO PAULO','SP','125242251215111431588824472122610167092',6328,'9998',58.40,1,3,NULL),(15,2250144,'1989-04-13 00:00:00',4,9,12,2006,'M','N','GUADALUPE','LAGES','SC','124241247224131431336419571121610111047',NULL,'9997',33.21,1,3,NULL),(15,2250152,'1988-11-03 00:00:00',4,8,11,2006,'M','N','CENTRO','JOINVILLE','SC','124242241216242431488812445122230267112',11149,'486',50.24,1,3,NULL),(15,2250160,'1990-01-06 00:00:00',4,1,11,2007,'M','N','ITAIM BIBI','SAO PAULO','SP','125251251116311431488814572112610167116',NULL,'9998',0.00,1,3,NULL),(15,2250187,'1991-07-20 00:00:00',4,2,11,2008,'F','S','ASILO','BLUMENAU','SC','124242241216111431489812574122610126092',NULL,'909',48.06,1,3,NULL),(15,2250195,'1990-03-14 00:00:00',2,5,11,2007,'F','N','CENTRO','TREVISO','SC','124244243235111411458911375124610134072',11224,'995',50.12,1,3,NULL),(15,2250209,'1990-03-27 00:00:00',2,1,12,2007,'F','N','CENTRO','DOIS IRMAOS','RS','120204201217131731436714392124610143187',11316,'9998',49.98,1,3,NULL),(15,2250217,'1990-01-18 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215121731326339591122610168142',8920,'988',53.80,1,3,NULL),(15,2250233,'1990-02-15 00:00:00',4,1,12,2006,'M','N','VILA IPIRANGA','PORTO ALEGRE','RS','120202201217151412488911346114241864042',NULL,'9998',0.00,1,3,NULL),(15,2250250,'1987-08-20 00:00:00',2,9,12,2004,'M','N','CENTRO','LAGES','SC','124241241117141412529713342231610162047',16510,'507',42.57,1,2,1),(15,2250268,'1988-12-01 00:00:00',4,6,11,2006,'F','N','N S GRAÇAS ITAJAI','ITAJAI','SC','124242241211422431369934575122233212187',18858,'270',38.91,1,3,NULL),(15,2250276,'1989-09-23 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241414142411328821395114221563147',9893,'307',52.11,1,3,NULL),(15,2250284,'1988-02-07 00:00:00',4,1,12,2005,'M','N','CENTRO','CURITIBA','PR','116164168436473751456619392125610164052',846,'9997',74.39,3,3,NULL),(15,2250292,'1990-06-26 00:00:00',4,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241217111431568613432122610167172',545,'723',76.45,1,3,NULL),(15,2250306,'1989-10-12 00:00:00',4,1,11,2007,'M','N','JARDIM DA SAUDE','SAO PAULO','SP','625252251217111431548831375122610167117',11764,'9998',49.31,1,3,NULL),(15,2250314,'1984-06-19 00:00:00',2,1,12,2004,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','624241247327331431232254245134610133052',NULL,'300',9.35,3,3,NULL),(15,2250322,'1987-06-12 00:00:00',4,3,11,2004,'F','N','CENTRO','LONDRINA','PR','116162161217532231559911572112610164017',2183,'9998',68.65,1,3,NULL),(15,2250330,'1990-02-14 00:00:00',4,7,10,2007,'F','N','MARAFON','VIDEIRA','SC','124241241215111112458834375114610162187',18124,'969',40.12,1,3,NULL),(15,2250349,'1986-12-17 00:00:00',2,1,12,2004,'F','N','ZONA SETE','MARINGA','PR','116254251217571431248712572325610164097',NULL,'9998',24.90,1,3,NULL),(15,2250365,'1982-12-17 00:00:00',4,10,12,2002,'M','N','CENTRO','TUBARAO','SC','124241241117131431323623382121610148147',10790,'804',50.75,1,2,1),(15,2250373,'1990-05-14 00:00:00',2,4,11,2007,'M','N','CENTRO','ABELARDO LUZ','SC','124161161216271431458814571125610168072',16092,'9998',43.24,1,3,NULL),(15,2250381,'1989-12-25 00:00:00',4,1,11,2007,'M','N','PARAÍSO','SAO PAULO','SP','125252251217111731488811572122610137092',NULL,'9998',0.00,3,3,NULL),(15,2250390,'1988-09-03 00:00:00',2,8,12,2006,'M','N','JOÃO COSTA','JOINVILLE','SC','124241246214271321456934341123610167152',NULL,'1105',0.00,4,3,NULL),(15,2250403,'1991-09-27 00:00:00',4,1,12,2008,'F','S','TRINDADE','FLORIANOPOLIS','SC','124242241215111432569619495112610167117',NULL,'270',45.66,1,3,NULL),(15,2250411,'1989-11-20 00:00:00',2,5,12,2007,'F','N','MATO ALTO','ARARANGUA','SC','125241241235271431534412575122610118052',11481,'970',49.73,1,3,NULL),(15,2250420,'1990-08-10 00:00:00',4,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241217122441579714572114610128187',10718,'266',50.85,1,3,NULL),(15,2250438,'1990-10-28 00:00:00',4,8,12,2007,'M','N','CENTRO','IMBITUVA','PR','116162161215111431539619275125610127072',20723,'9998',35.45,1,3,NULL),(15,2250446,'1990-03-09 00:00:00',4,2,12,2007,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241212111431449833572122610124097',NULL,'88',0.00,1,3,NULL),(15,2250454,'1990-12-01 00:00:00',4,10,11,2007,'F','N','REVOREDO','TUBARAO','SC','124242241215221411479614392122610116092',15158,'807',44.58,1,3,NULL),(15,2250462,'1989-07-08 00:00:00',2,4,12,2006,'M','N','INTERIOR','PATO BRANCO','PR','116161161117271751333335181324610124047',17662,'9998',40.86,3,3,NULL),(15,2250470,'1990-08-02 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215111431456614576122610162072',16008,'723',43.37,1,3,NULL),(15,2250489,'1992-08-16 00:00:00',4,9,12,2008,'M','S','CENTRO','SANTA CECILIA','SC','124241161416171451568832295125610127045',NULL,'9998',0.00,1,3,NULL),(15,2250497,'1991-05-04 00:00:00',4,1,12,2007,'F','N','JARDIM DAS PALMEIRAS','SAO JOSE','SC','124241241117111531533623582124610138142',NULL,'732',23.13,1,2,1),(15,2250500,'1990-04-16 00:00:00',4,8,12,2007,'F','N','CRISTO REI','CURITIBA','PR','116162161215111431468834472124610132147',14250,'9998',45.80,1,3,NULL),(15,2250519,'1988-01-15 00:00:00',4,1,12,2006,'M','N','JARDIM SANTA CLARA','GUARULHOS','SP','125252251211471431367713572124610117072',14163,'9998',45.95,1,3,NULL),(15,2250527,'1956-08-14 00:00:00',2,1,12,1975,'F','N','INGLESES','FLORIANOPOLIS','SC','224201201412151441464451491122543242147',20183,'9998',36.46,1,3,NULL),(15,2250535,'1989-04-03 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241416372231448614445134610167052',4066,'1022',63.28,2,3,NULL),(15,2250543,'1991-07-26 00:00:00',4,1,10,2008,'M','S','COQUEIROS','FLORIANOPOLIS','SC','124242241217111431578812392124610167017',NULL,'270',60.52,1,3,NULL),(15,2250551,'1986-01-08 00:00:00',2,1,12,2005,'M','N','FARROUPILHA','PORTO ALEGRE','RS','120203201116571311464873375124141962051',12246,'9998',48.66,1,3,NULL),(15,2250560,'1990-03-28 00:00:00',2,1,12,2007,'M','N','ARMAÇÃO','FLORIANOPOLIS','SC','124241241111371411444613471124610167117',17905,'307',40.48,1,3,NULL),(15,2250586,'1990-08-02 00:00:00',4,2,12,2007,'F','N','TAPAJÓS','INDAIAL','SC','124241241215111431469931572124610133142',16203,'855',43.05,1,3,NULL),(15,2250594,'1988-07-14 00:00:00',4,1,12,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124243247446271421657933485114610117117',NULL,'9999',23.61,1,3,NULL),(15,2250616,'1989-10-02 00:00:00',4,1,12,2007,'M','N','VILA IZABEL','CURITIBA','PR','116244161111271431566614371124610146147',NULL,'9998',0.00,1,3,NULL),(15,2250624,'1989-09-22 00:00:00',2,7,12,2006,'F','N','REUNIDAS','CACADOR','SC','124241241117131431436633572122610133172',21643,'124',33.40,1,2,1),(15,2250632,'1989-12-08 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241248112151431437913575125610117041',NULL,'257',23.35,1,2,1),(15,2250640,'1985-08-31 00:00:00',4,1,6,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124243241315272431356614475114610127047',13363,'9999',47.10,1,3,NULL),(15,2250659,'1988-09-21 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124244248415472411446913435124610124052',10005,'1118',51.92,1,3,NULL),(15,2250667,'1990-05-07 00:00:00',4,2,12,2007,'M','N','ESTADOS','INDAIAL','SC','124242241215111431476514275122610138182',14455,'925',45.49,1,3,NULL),(15,2250675,'1989-03-03 00:00:00',4,1,12,2006,'F','N','ASSUNÇÃO','PORTO ALEGRE','RS','120202201216571432369714572121610137112',7105,'9998',56.96,1,3,NULL),(15,2250683,'1985-08-06 00:00:00',2,1,6,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124232247415472431248729242214610167057',10381,'9997',51.37,1,3,NULL),(15,2250691,'1976-10-20 00:00:00',4,1,11,1995,'F','N','RIO CAVEIRAS','BIGUACU','SC','624242248117152431226844242224120321147',11103,'306',50.29,1,3,NULL),(15,2250705,'1988-02-04 00:00:00',2,1,12,2005,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241117373431344414346133610134117',11684,'307',49.42,1,3,NULL),(15,2250713,'1989-09-22 00:00:00',2,8,11,2006,'M','N','MAR GROSSO','LAGUNA','SC','124242241217153431448833575124231462052',1289,'807',72.10,1,3,NULL),(15,2250730,'1983-09-28 00:00:00',2,1,12,2000,'F','N','ARIRIÚ FORMIGA','PALHOCA','SC','224243241112273731556634382124120822197',12323,'307',48.54,1,3,NULL),(15,2250748,'1989-08-04 00:00:00',4,1,12,2007,'F','N','MANAIRA','JOAO PESSOA','PB','115152151216111411369834575112610146172',NULL,'9998',0.00,1,3,NULL),(15,2250756,'1982-01-03 00:00:00',4,1,12,2000,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124243241316233421356413442214610164097',21730,'267',33.17,1,3,NULL),(15,2250764,'1987-03-11 00:00:00',4,1,12,2005,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124243241216143411339613375124233264052',14527,'260',45.37,1,3,NULL),(15,2250772,'1984-11-17 00:00:00',2,1,12,2001,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124202201117132511123344442344610127147',15674,'9998',43.84,1,3,NULL),(15,2250780,'1986-05-14 00:00:00',4,8,12,2003,'F','N','ITAQUI','CAMPO LARGO','PR','116161161336572431463579595124610115147',6063,'9998',58.95,1,3,NULL),(15,2250799,'1990-10-03 00:00:00',4,4,12,2007,'F','N','DIVINEIA','PINHALZINHO','SC','124241241117131431523439392222610164177',16007,'616',43.38,1,2,1),(15,2250802,'1990-11-24 00:00:00',4,1,11,2007,'F','N','CENTRO','PONTE ALTA DO NORTE','SC','124243241214111431448816574124610168095',7847,'1051',55.61,1,3,NULL),(15,2250810,'1990-10-18 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241415131431447933472122610128097',NULL,'498',22.94,1,3,NULL),(15,2250829,'1990-12-28 00:00:00',4,1,12,2008,'M','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215111431458839575112610114192',NULL,'270',58.78,1,3,NULL),(15,2250837,'1989-07-18 00:00:00',4,1,12,2007,'M','N','JARDIM ELITE','PIRACICABA','SP','125252251416151431478834575122610127052',5076,'9998',60.95,1,3,NULL),(15,2250845,'1986-09-02 00:00:00',2,1,11,2005,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124134131216471421536632445321610164185',NULL,'9998',31.74,4,3,NULL),(15,2250853,'1990-09-10 00:00:00',4,5,11,2007,'F','N','PIO CORREA','CRICIUMA','SC','124242241215121211469814472112610132122',NULL,'226',25.90,1,3,NULL),(15,2250861,'1991-09-03 00:00:00',4,9,12,2008,'M','S','CORAL','LAGES','SC','124244241212131451326614572124610124097',NULL,'499',67.71,1,3,NULL),(15,2250870,'1989-03-08 00:00:00',4,2,12,2006,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124241246217152711459619245134231434142',920,'1018',73.97,1,3,NULL),(15,2250888,'1966-12-15 00:00:00',4,1,12,1984,'M','N','COQUEIROS','FLORIANOPOLIS','SC','224242241216155431238641415124221462192',2280,'70',68.30,1,3,NULL),(15,2250896,'1988-04-08 00:00:00',2,1,12,2006,'M','N','CAMPINAS','SAO JOSE','SC','124212241215272431436614385124610127047',8746,'1036',54.11,4,3,NULL),(15,2250900,'1990-05-21 00:00:00',4,8,11,2007,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111231489933572112610162092',NULL,'457',0.00,1,3,NULL),(15,2250918,'1989-04-06 00:00:00',4,8,11,2006,'F','N','JARDIM AMÉRICA','PONTA GROSSA','PR','116162161215421431568811572125610168193',3560,'9998',64.57,1,3,NULL),(15,2250926,'1990-04-20 00:00:00',4,7,12,2007,'F','N','N SENHORA DE LOURDES','CAMPOS NOVOS','SC','124242241216371331537711214122610154147',NULL,'138',27.83,1,3,NULL),(15,2250934,'1989-07-21 00:00:00',4,1,11,2006,'M','N','PANTANO DO SUL','FLORIANOPOLIS','SC','124242241217373551578812375114121267187',1619,'270',70.72,1,3,NULL),(15,2250950,'1990-01-23 00:00:00',4,8,12,2007,'M','N','GLORIA','JOINVILLE','SC','124244244217371431379913575112610125082',7379,'489',56.45,1,3,NULL),(15,2250969,'1985-10-03 00:00:00',4,1,12,2003,'F','N','JURERE','FLORIANOPOLIS','SC','124242241212163311456632442122231025172',7526,'272',56.17,1,3,NULL),(15,2250977,'1991-01-26 00:00:00',2,6,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124112248215111431538729372124610137042',18162,'270',40.04,4,3,NULL),(15,2250985,'1988-12-05 00:00:00',4,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124241241215473431238823492124610144147',12810,'943',47.84,2,3,NULL),(15,2250993,'1981-09-23 00:00:00',2,1,12,1998,'F','N','VILA OLIVEIRA','MOGI DAS CRUZES','SP','125252251217271441336514385124340866042',6062,'9998',58.95,1,3,NULL),(15,2251000,'1987-12-23 00:00:00',2,1,12,2004,'M','N','RATONES','FLORIANOPOLIS','SC','124241241122273431433313242124610167047',NULL,'277',30.84,1,2,1),(15,2251019,'1982-09-03 00:00:00',4,10,12,2002,'M','N','CENTRO','TUBARAO','SC','124241247331141431426634441124610166051',11706,'9999',49.39,1,3,NULL),(15,2251027,'1990-07-23 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124243241317131431546511275124610148012',15033,'269',44.75,1,3,NULL),(15,2251035,'1989-05-06 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215142421577813415124231227011',4710,'272',61.73,1,3,NULL),(15,2251043,'1987-11-09 00:00:00',2,1,12,2005,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215253431568811471324232523147',16530,'270',42.54,1,3,NULL),(15,2251051,'1990-04-25 00:00:00',4,4,11,2007,'M','N','LA SALLE','PATO BRANCO','PR','116161168214371231553833272122610167127',21292,'9998',34.23,4,1,2),(15,2251060,'1991-08-02 00:00:00',4,1,12,2008,'F','S','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124242241217111411548612572124610164015',NULL,'270',60.34,1,3,NULL),(15,2251078,'1991-05-30 00:00:00',4,9,11,2008,'M','S','CENTRO','SAO JOAQUIM','SC','124242241215111431248626262122610137182',NULL,'1035',42.44,1,3,NULL),(15,2251094,'1988-06-10 00:00:00',2,1,12,2005,'F','N','ASA NORTE','BRASILIA','DF','107071071117471741436624291122610166142',21331,'9998',34.12,3,3,NULL),(15,2251108,'1989-09-26 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241137151731343329382124610168145',7595,'307',56.04,1,2,1),(15,2251116,'1986-09-06 00:00:00',4,1,10,2006,'M','N','ARIRIU','PALHOCA','SC','124243241127131421536813445133610124065',18646,'9999',39.24,1,3,NULL),(15,2251124,'1990-07-09 00:00:00',4,2,12,2007,'M','N','SANTANA','RIO DO SUL','SC','124242247217111331558952595112610162046',16241,'991',43.00,1,3,NULL),(15,2251132,'1990-04-21 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111432476712572112610164041',16842,'270',42.09,1,3,NULL),(15,2251140,'1979-09-29 00:00:00',2,1,12,1999,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124161166126131731228844345134613236185',NULL,'9998',17.24,1,3,NULL),(15,2251159,'1991-12-16 00:00:00',2,6,12,2008,'M','S','SAO LUIZ','BRUSQUE','SC','124243241217111531336432576122610152087',NULL,'981',20.89,1,3,NULL),(15,2251167,'1989-12-15 00:00:00',4,10,11,2007,'M','N','CENTRO','ARARANGUA','SC','124242241217121431466831572112610167042',NULL,'32',41.61,1,3,NULL),(15,2251175,'1991-07-18 00:00:00',2,10,11,2009,'F','S','NOSSA S DE FÁTIMA','BRACO DO NORTE','SC','124243244215111431457834472124610138192',NULL,'807',37.38,1,3,NULL),(15,2251183,'1990-07-17 00:00:00',4,2,12,2007,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124243241216111231548812574124610134167',6350,'87',58.36,1,3,NULL),(15,2251191,'1988-05-08 00:00:00',2,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124244241437131731468413435134610122062',NULL,'283',22.32,1,3,NULL),(15,2251205,'1987-12-31 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124122121215572431235821575124610117042',1749,'9998',70.21,1,3,NULL),(15,2251213,'1991-03-26 00:00:00',2,10,11,2007,'F','N','REVOREDO','TUBARAO','SC','124241241317111431534631575124610127057',6745,'807',57.65,1,3,NULL),(15,2251221,'1990-09-11 00:00:00',4,8,12,2007,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241235111431459934475124610117012',14261,'457',45.78,1,3,NULL),(15,2251230,'1988-06-03 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241314132751348673386124232025187',10665,'1022',50.92,4,3,NULL),(15,2251248,'1990-02-02 00:00:00',4,5,10,2007,'F','N','SANTA BÁRBARA','CRICIUMA','SC','124242241214271411458831594122610164142',4198,'213',62.90,1,3,NULL),(15,2251256,'1990-04-28 00:00:00',4,8,12,2007,'M','N','RESTINGA','MAFRA','SC','124241161216111431457823575122610132192',NULL,'9998',0.00,1,3,NULL),(15,2251264,'1991-06-13 00:00:00',2,1,12,2008,'F','S','MONTE VERDE','FLORIANOPOLIS','SC','124242241215111411545814575124610147042',NULL,'1050',48.44,1,3,NULL),(15,2251272,'1987-02-02 00:00:00',4,1,12,2004,'F','N','CENTRO','CURITIBA','PR','116162161216571451578811515122610164172',NULL,'9998',0.00,1,3,NULL),(15,2251299,'1991-03-12 00:00:00',2,2,12,2007,'F','N','COLONINHA','GASPAR','SC','124243241316121412327414275122610163017',14289,'955',45.74,1,3,NULL),(15,2251302,'1990-12-26 00:00:00',2,1,12,2007,'M','N','CENTRO','SAO MATEUS DO SUL','PR','116161161216111531454412575122610164052',6289,'9998',58.47,1,3,NULL),(15,2251329,'1987-12-18 00:00:00',4,8,12,2004,'F','N','JUVEVÊ','CURITIBA','PR','116162161211572751568933571122610144167',NULL,'9998',0.00,1,3,NULL),(15,2251337,'1990-07-12 00:00:00',2,1,11,2007,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241215112451378919572122610158095',243,'270',79.40,1,3,NULL),(15,2251345,'1989-11-28 00:00:00',2,1,12,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215111431459914575124610137012',21709,'1048',33.24,1,3,NULL),(15,2251353,'1989-02-12 00:00:00',4,5,11,2006,'M','N','CENTRO','CRICIUMA','SC','124242241215272431469932375124231064192',13628,'211',46.71,1,3,NULL),(15,2251361,'1989-03-24 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215121532438731212114610127075',18068,'262',40.19,1,3,NULL),(15,2251370,'1987-08-24 00:00:00',4,1,12,2004,'M','N','GUTIERREZ','BELO HORIZONTE','MG','113132131217572431446836572125610133182',2014,'9998',69.23,1,3,NULL),(15,2251388,'1985-11-24 00:00:00',2,1,12,2005,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241122371431336643332214610127142',17446,'298',41.15,1,3,NULL),(15,2251396,'1991-09-08 00:00:00',4,1,12,2008,'F','S','BARREIROS','SAO JOSE','SC','124242241215111732479614442122610127077',NULL,'738',38.64,1,3,NULL),(15,2251400,'1982-01-12 00:00:00',4,1,12,1999,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241216112531268923442124331042092',15726,'269',43.78,1,3,NULL),(15,2251418,'1991-09-13 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431469933575122610125172',NULL,'270',67.02,1,3,NULL),(15,2251426,'1990-11-19 00:00:00',4,4,11,2007,'F','N','CENTRO','CONCORDIA','SC','124242241232111731246832122122610137052',15556,'1000',44.04,4,3,NULL),(15,2251434,'1990-01-25 00:00:00',4,1,12,2007,'M','N','MOEMA','SAO PAULO','SP','125252251215111431488834575122610127052',4494,'9998',62.27,1,3,NULL),(15,2251442,'1989-11-13 00:00:00',4,4,12,2006,'F','N','CENTRO','CASCAVEL','PR','116162161216472451676632224125610167142',1264,'9998',72.19,1,3,NULL),(15,2251450,'1990-08-02 00:00:00',4,2,12,2007,'F','N','CENTRO','XAXIM','SC','124241241215111751438933572324610137147',4847,'855',61.41,1,3,NULL),(15,2251469,'1990-05-02 00:00:00',2,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124252241412121431435619575124610133197',NULL,'1076',25.20,1,3,NULL),(15,2251477,'1989-04-11 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241132272222635319147214610154027',17951,'271',40.40,1,2,1),(15,2251485,'1989-09-02 00:00:00',2,1,11,2006,'M','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124242241217272431468833596114610137183',6697,'270',57.74,1,3,NULL),(15,2251493,'1991-04-01 00:00:00',4,8,12,2008,'M','S','ATIRADORES','JOINVILLE','SC','124242245215111412579933575112610122192',NULL,'491',44.55,1,3,NULL),(15,2251507,'1990-06-01 00:00:00',4,8,11,2007,'M','N','PIRABEIRABA','JOINVILLE','SC','124242241215271711476812395124610124012',6011,'457',59.06,1,3,NULL),(15,2251515,'1988-08-27 00:00:00',2,1,12,2006,'M','N','ARIRIU DA FORMIGA','PALHOCA','SC','124243241115132411526631585124230218112',8874,'307',53.87,1,3,NULL),(15,2251523,'1990-07-23 00:00:00',4,1,11,2007,'M','N','SANTO ANTÔNIO','CACHOEIRA DO SUL','RS','120202201216111731256929491122610167015',2961,'9998',66.27,1,3,NULL),(15,2251531,'1989-02-06 00:00:00',4,9,12,2006,'F','N','SÃO CRISTOVÃO','LAGES','SC','124243241217372431468631576122610151092',17526,'499',41.05,1,3,NULL),(15,2251540,'1980-09-23 00:00:00',2,1,12,2000,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','224241241134133721426654442114610134147',15962,'292',43.44,1,2,1),(15,2251558,'1988-11-22 00:00:00',4,1,3,2007,'M','N','CENTRO','PELOTAS','RS','120204202117271431447836595121610128041',NULL,'9998',0.00,1,3,NULL),(15,2251566,'1990-10-15 00:00:00',4,8,12,2007,'F','N','CENTRO','SAO BENTO DO SUL','SC','124242241215111411437831575122610137072',18119,'1114',40.12,1,3,NULL),(15,2251574,'1989-11-21 00:00:00',4,7,12,2006,'F','N','CENTRO','RIO DAS ANTAS','SC','124241241217162431349933575122231524147',8460,'120',54.59,1,3,NULL),(15,2251582,'1989-10-23 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215371531346614475124610167142',4106,'269',63.17,1,3,NULL),(15,2251590,'1984-12-12 00:00:00',2,4,12,2001,'F','N','LA SALLE','XANXERE','SC','124242241235575451463612572124130664097',1737,'836',70.26,1,3,NULL),(15,2251604,'1987-04-01 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211114431589819495122230267117',9620,'262',52.56,1,3,NULL),(15,2251612,'1988-11-01 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124243241347272411539513186124610164047',17845,'298',40.60,1,3,NULL),(15,2251639,'1989-09-18 00:00:00',4,8,12,2006,'M','N','TARUMÃ','CURITIBA','PR','116162161215471431548832575114610164052',NULL,'9998',0.00,1,3,NULL),(15,2251655,'1988-09-09 00:00:00',2,1,12,2006,'F','N','FÁTIMA I','POUSO ALEGRE','MG','113132131216372441368911575121610124197',NULL,'9998',0.00,1,3,NULL),(15,2251663,'1979-02-23 00:00:00',4,1,12,1998,'F','N','TRINDADE','FLORIANOPOLIS','SC','224243241316133411338953295122130266071',14746,'269',45.07,1,3,NULL),(15,2251671,'1991-09-05 00:00:00',4,8,12,2008,'F','S','PIRABEIRABA','JOINVILLE','SC','124242241215111731489712575112610134112',NULL,'457',54.25,1,3,NULL),(15,2251680,'1990-06-01 00:00:00',4,8,11,2007,'M','N','PIRABEIRABA','JOINVILLE','SC','124242241217271711476812576114610144183',1443,'457',71.48,1,3,NULL),(15,2251698,'1990-03-28 00:00:00',4,5,12,2007,'M','N','JARDIM MARISTELA','CRICIUMA','SC','124242246217151342369614575124610124012',7873,'188',55.57,1,3,NULL),(15,2251701,'1990-07-06 00:00:00',2,4,12,2007,'F','N','JARDIM ITALIA','CHAPECO','SC','124241241116371431436414472122610147097',19778,'169',37.28,1,2,1),(15,2251710,'1990-06-21 00:00:00',4,10,12,2007,'M','N','FÁBIO SILVA','TUBARAO','SC','124243243417141421454934575121610122052',8005,'1120',55.36,1,3,NULL),(15,2251728,'1989-07-03 00:00:00',4,7,12,2005,'F','N','BELA VISTA','PORTO UNIAO','SC','124241241215473431457932574122610134147',681,'633',75.54,1,3,NULL),(15,2251744,'1987-04-14 00:00:00',4,1,12,2004,'M','N','CENTRO','RIO DOS CEDROS','SC','124241241215574431488931491124121766172',2050,'956',69.09,1,3,NULL),(15,2251752,'1991-02-19 00:00:00',2,1,12,2007,'F','N','CENTRO','SERTANOPOLIS','PR','116162161217111431469914575124610126142',NULL,'9998',0.00,1,3,NULL),(15,2251760,'1991-06-12 00:00:00',4,1,12,2008,'M','S','CENTRO','SANTA MARIA','RS','120202201217111431458913572122610112141',NULL,'9998',60.85,1,3,NULL),(15,2251779,'1989-02-10 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241216153411589711375114231934195',4315,'272',62.67,1,3,NULL),(15,2251787,'1983-08-17 00:00:00',4,1,12,2000,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124201201117371731225811481224240668147',7353,'9998',56.51,1,3,NULL),(15,2251795,'1990-02-18 00:00:00',2,1,12,2007,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124241241215121431544923575124610134047',12690,'1022',48.00,1,3,NULL),(15,2251809,'1990-05-05 00:00:00',2,10,12,2007,'M','N','MOEMA','TUBARAO','SC','124242248217111441458719175121610167017',20629,'797',35.63,1,3,NULL),(15,2251817,'1989-12-09 00:00:00',2,10,11,2007,'M','N','DEHON','TUBARAO','SC','124242241215111421446811572112610118042',10521,'807',51.16,1,3,NULL),(15,2251833,'1990-08-01 00:00:00',2,1,12,2007,'F','N','ARIRIU','PALHOCA','SC','124241241112131421445514345124610134172',21401,'591',33.96,1,2,1),(15,2251841,'1990-11-13 00:00:00',4,8,11,2007,'F','N','CENTRO','RIO NEGRO','PR','116162161212111431448912424112610112147',1635,'9998',70.65,1,3,NULL),(15,2251850,'1989-10-30 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217111411569914592122610165075',5902,'270',59.25,1,3,NULL),(15,2251868,'1988-04-15 00:00:00',4,1,12,2005,'F','N','RES JARDINS FLORENÇA','GOIANIA','GO','109092091214571431468911574122610161092',NULL,'9998',0.00,4,3,NULL),(15,2251876,'1987-05-01 00:00:00',4,3,12,2004,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124161241127131421355641125122223254022',19670,'49',37.48,1,3,NULL),(15,2251884,'1986-02-23 00:00:00',2,1,12,2004,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241126373431528314285124610127092',13577,'288',46.77,4,3,NULL),(15,2251892,'1989-12-03 00:00:00',2,8,12,2006,'F','N','BATEL','CURITIBA','PR','116162161215471431638832224124610114183',NULL,'9998',0.00,1,3,NULL),(15,2251914,'1987-12-05 00:00:00',2,3,12,2005,'F','N','PROGRESSO','BLUMENAU','SC','124241241146272431447513245113610166172',16521,'80',42.55,2,3,NULL),(15,2251922,'1990-01-22 00:00:00',2,1,12,2007,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241241112131431426414242124610162152',19210,'733',38.33,1,3,NULL),(15,2251930,'1990-05-23 00:00:00',4,6,12,2007,'M','N','CANOAS','RIO DO SUL','SC','124241241125151221635923295121610162097',NULL,'658',32.91,1,3,NULL),(15,2251949,'1990-01-02 00:00:00',4,2,12,2007,'M','N','DAS CAPITAIS','TIMBO','SC','124242241215111441357732575111610114182',2837,'9997',66.64,1,3,NULL),(15,2251957,'1989-04-30 00:00:00',4,5,12,2006,'M','N','CENTRO','CRICIUMA','SC','124242241115372431258923442132610132092',2175,'213',68.67,1,3,NULL),(15,2251965,'1988-07-26 00:00:00',2,10,12,2005,'F','N','DEHON','TUBARAO','SC','124162161216574711449839575125232466177',5196,'9998',60.71,1,3,NULL),(15,2251973,'1990-07-03 00:00:00',4,9,12,2007,'F','N','CENTRO','RIO DO SUL','SC','124242241217371731555823574122610122052',13834,'663',46.40,4,3,NULL),(15,2251981,'1990-05-19 00:00:00',4,10,12,2007,'M','N','OFICINAS','TUBARAO','SC','124242241213372211447931575122610164052',1695,'806',70.39,1,3,NULL),(15,2251990,'1990-08-02 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGOA VERMELHA','RS','120201201216111432458811492122610136077',8400,'9998',54.69,1,3,NULL),(15,2252007,'1961-05-01 00:00:00',4,8,12,1979,'F','N','AMÉRICA','JOINVILLE','SC','224241241146163431363359472122610166092',NULL,'307',20.33,1,3,NULL),(15,2252015,'1990-04-24 00:00:00',2,4,12,2007,'F','N','CENTRO','SAO MIGUEL DO IGUACU','PR','116161161116131731439713575124610167142',16509,'9998',42.57,1,3,NULL),(15,2252023,'1988-09-30 00:00:00',4,1,12,2006,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241112272511556513342124610125147',17193,'306',41.57,1,2,1),(15,2252031,'1987-08-09 00:00:00',4,1,12,2004,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124201201211372441225811571224143261147',7767,'9998',55.76,1,3,NULL),(15,2252040,'1975-12-22 00:00:00',4,1,7,1993,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124241246136135751136449135124320227047',4129,'306',63.12,1,2,1),(15,2252058,'1987-08-15 00:00:00',4,1,12,2005,'F','N','VILA INDUSTRIAL','CAMPINAS','SP','125252251226573431348629295124610124092',7979,'9998',55.40,1,3,NULL),(15,2252066,'1991-01-04 00:00:00',4,4,12,2008,'M','S','JARDIM ITÁLIA','CUIABA','MT','111112111216111431456612515122610164142',NULL,'9998',36.22,1,3,NULL),(15,2252082,'1981-12-04 00:00:00',2,1,12,2000,'F','N','BELA VISTA I','SAO JOSE','SC','124241241226272721221125144124223032187',13754,'9999',46.53,1,3,NULL),(15,2252090,'1990-04-16 00:00:00',2,7,12,2007,'M','N','SORGATTO','CACADOR','SC','124244241215111431589914425222610167042',NULL,'1020',28.71,4,3,NULL),(15,2252104,'1990-04-22 00:00:00',4,1,12,2007,'M','N','CENTRO','LONDRINA','PR','116162161217121431468719475122610137052',5052,'9998',60.99,1,3,NULL),(15,2252112,'1990-07-21 00:00:00',2,1,11,2007,'M','N','CENTRO','BOM JARDIM DA SERRA','SC','124244241315131431338916591122610137142',NULL,'856',0.00,1,3,NULL),(15,2252120,'1988-10-01 00:00:00',4,8,12,2005,'M','N','REUNIDAS','CACADOR','SC','124242241217573431469811575124131432182',6844,'118',57.46,1,3,NULL),(15,2252139,'1990-10-09 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241115372431326624574124610144187',4943,'271',61.20,4,3,NULL),(15,2252147,'1974-07-10 00:00:00',4,2,12,1991,'M','N','GARCIA','BLUMENAU','SC','124251251116142731238644445334221422122',NULL,'9998',0.00,1,3,NULL),(15,2252155,'1989-04-01 00:00:00',2,4,12,2006,'F','N','SAO FRANCISCO','CAMPO GRANDE','MS','116122121215411431238831574124610117097',NULL,'9998',0.00,3,3,NULL),(15,2252163,'1990-07-24 00:00:00',2,1,12,2007,'M','N','BELA VISTA I','SAO JOSE','SC','124242241215111431458814575114610167047',12574,'724',48.18,1,3,NULL),(15,2252171,'1991-02-27 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124242241215111731557532575122610148082',12207,'497',48.71,1,3,NULL),(15,2252180,'1988-10-30 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241131131421536623281224610122042',17859,'153',40.57,4,2,1),(15,2252198,'1990-08-23 00:00:00',4,4,12,2007,'M','N','CENTRO','SAO DOMINGOS','SC','124241241145131411526834342125610124017',NULL,'707',13.74,4,2,1),(15,2252201,'1991-08-07 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241415111531479819575122610137052',NULL,'270',27.60,1,3,NULL),(15,2252210,'1980-04-22 00:00:00',2,1,12,1997,'F','N','BALNEARIO','FLORIANOPOLIS','SC','124241248127155711643219345124230261043',12966,'257',47.64,1,2,1),(15,2252228,'1986-12-13 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124202201212574431248712392124230267115',7535,'9998',56.16,1,3,NULL),(15,2252236,'1984-12-19 00:00:00',2,1,11,2002,'M','N','ESTREITO','FLORIANOPOLIS','SC','124244241444273731355514242114121922061',15029,'300',44.76,4,3,NULL),(15,2252244,'1989-11-02 00:00:00',4,2,11,2007,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124242241215111431458611412122610164192',6927,'71',57.29,1,3,NULL),(15,2252252,'1990-02-08 00:00:00',2,7,12,2007,'M','N','CENTRO','FRAIBURGO','SC','124242241435112331478614275122610137142',6186,'885',58.67,1,3,NULL),(15,2252260,'1990-03-10 00:00:00',1,2,12,2007,'M','N','TESTO ALTO','POMERODE','SC','124241241215112411534311575124610124172',15693,'624',43.82,1,3,NULL),(15,2252279,'1989-12-09 00:00:00',2,9,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124242241216111431436539571122610147077',NULL,'881',0.00,1,3,NULL),(15,2252287,'1990-10-29 00:00:00',2,1,12,2007,'F','N','BREJARU','PALHOCA','SC','124241241115151231323333472124610123147',NULL,'728',24.39,1,3,NULL),(15,2252295,'1976-08-30 00:00:00',4,1,12,1997,'M','N','INGLESES','FLORIANOPOLIS','SC','124201207426133421436313345124130762093',10032,'9999',51.89,1,3,NULL),(15,2252317,'1966-11-22 00:00:00',4,1,12,1983,'M','N','CAMPECHE','FLORIANOPOLIS','SC','624241248126142411455573335122610134085',18059,'734',40.21,4,2,1),(15,2252325,'1987-09-12 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241336123431648732475114222347015',8901,'1098',53.84,1,3,NULL),(15,2252333,'1988-09-30 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124111111127131431523319392124610128042',NULL,'9998',23.46,1,3,NULL),(15,2252341,'1981-08-20 00:00:00',4,4,11,2000,'F','N','SANTA MARIA','CHAPECO','SC','124201241117131721465834436122131924187',17456,'175',41.14,1,2,1),(15,2252350,'1986-12-24 00:00:00',2,6,12,2003,'F','N','CORDEIROS','ITAJAI','SC','124241241217141221433833332124231314197',11174,'394',50.20,1,3,NULL),(15,2252368,'1989-04-06 00:00:00',4,1,12,2006,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241216472431366933575122233223142',1724,'270',70.30,1,3,NULL),(15,2252376,'1987-07-17 00:00:00',4,8,12,2004,'M','N','CENTRO','ITAPEJARA D OESTE','PR','116163161415571731566632292124610127047',3367,'9998',65.10,1,3,NULL),(15,2252384,'1989-08-17 00:00:00',2,1,12,2006,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124241241112131431445723341124610127187',17038,'733',41.82,1,2,1),(15,2252392,'1985-04-09 00:00:00',4,1,12,2003,'M','N','ABRAÃO','FLORIANOPOLIS','SC','107074071134271411658613331124230266052',NULL,'9998',0.00,4,3,NULL),(15,2252406,'1989-12-30 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124243241115131431346823342124610127057',18304,'306',39.79,4,1,2),(15,2252414,'1990-11-27 00:00:00',2,2,12,2007,'M','N','DAS NAÇOES','INDAIAL','SC','124242241416111411249931575122610117052',20152,'925',36.53,1,3,NULL),(15,2252422,'1990-05-07 00:00:00',4,1,12,2007,'M','N','PQ NOVO ORATÓRIO','SANTO ANDRE','SP','125252251217111441368834574124610134052',1222,'9998',72.37,3,3,NULL),(15,2252430,'1988-07-16 00:00:00',4,8,12,2006,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242246216371231569614375122610134112',11927,'494',49.07,1,3,NULL),(15,2252449,'1988-03-21 00:00:00',2,1,12,2005,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124244241112473751459813572114610118097',NULL,'286',26.63,1,3,NULL),(15,2252457,'1990-01-25 00:00:00',4,10,12,2007,'M','N','CENTRO','TUBARAO','SC','124241246217112411538614475121610127182',7912,'1120',55.50,2,1,2),(15,2252465,'1986-12-24 00:00:00',4,1,12,2006,'M','N','N SENHORA DO ROSARIO','SAO JOSE','SC','124114118432171411347633442124610167187',19579,'9998',37.66,4,3,NULL),(15,2252473,'1990-03-30 00:00:00',4,1,11,1990,'M','N','S ANTONIO DE LISBOA','FLORIANOPOLIS','SC','124242241217211231568912422122610114157',14417,'226',45.56,1,3,NULL),(15,2252481,'1989-03-26 00:00:00',4,9,12,2006,'F','N','CENTRO','PONTE ALTA','SC','124241241114161411536933372112233246142',NULL,'625',26.79,1,2,1),(15,2252490,'1984-08-04 00:00:00',2,1,7,2003,'F','N','JD DAS ACACIAS','SAO JOSE','SC','124241241124132431643334242124610125097',20536,'257',35.82,1,2,1),(15,2252503,'1990-04-09 00:00:00',4,2,12,2007,'M','N','SUMARÉ','RIO DO SUL','SC','124244242116131431446931572124610164012',15723,'662',43.78,1,3,NULL),(15,2252511,'1989-12-02 00:00:00',4,7,12,2007,'M','N','CENTRO','IBICARE','SC','124241241335231431343314375115610131182',NULL,'539',21.13,1,3,NULL),(15,2252520,'1989-12-08 00:00:00',2,6,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241217121431546623575121610123012',8974,'967',53.70,1,3,NULL),(15,2252538,'1982-04-09 00:00:00',2,1,12,1997,'M','N','XV DE NOVEMBRO','TIJUCAS','SC','624241241126144752441244342312610124057',NULL,'783',29.21,1,2,1),(15,2252546,'1984-11-10 00:00:00',4,6,11,2001,'M','N','CENTRO','ITAJAI','SC','124204201215271411358923446122141431097',3936,'9998',63.63,4,3,NULL),(15,2252554,'1988-11-14 00:00:00',4,1,11,2006,'F','N','BROTAS','SALVADOR','BA','105052051216471431468914572122610123182',8099,'9998',55.19,1,3,NULL),(15,2252562,'1989-02-20 00:00:00',4,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','124241241217122221568511345124610134097',12049,'1036',48.92,1,3,NULL),(15,2252570,'1988-03-06 00:00:00',2,1,12,2006,'F','N','VILA CELIA','CAMPO GRANDE','MS','112241241137141731323524342334610134077',NULL,'740',24.04,4,2,1),(15,2252589,'1989-01-07 00:00:00',4,4,6,2007,'M','N','SANTO ANTONIO','SANTO AUGUSTO','RS','120201201116471431436759592124610117057',17100,'9998',41.73,1,2,1),(15,2252597,'1989-12-26 00:00:00',4,1,12,2006,'M','N','CENTRO','JOACABA','SC','124242161215472431466934372124610135147',2681,'9998',67.09,1,3,NULL),(15,2252600,'1991-08-19 00:00:00',4,8,12,2008,'F','S','AMIZADE','JARAGUA DO SUL','SC','124243246216111431458832172121610128187',NULL,'1061',45.99,1,3,NULL),(15,2252619,'1990-06-18 00:00:00',2,1,12,2007,'F','N','CENTRO','PAPANDUVA','SC','124241241125131531523374242321610124142',NULL,'602',21.60,1,2,1),(15,2252627,'1989-08-01 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124243248115412411526731225124610113077',NULL,'1118',42.87,1,3,NULL),(15,2252635,'1990-08-14 00:00:00',4,4,11,2007,'M','N','JARDIM AMÉRICA','CHAPECO','SC','124241241112271432446612472122610167052',12472,'169',48.33,1,2,1),(15,2252643,'1977-02-05 00:00:00',2,1,12,1996,'F','N','PANTANAL','FLORIANOPOLIS','SC','124283288112272431413311592314122566182',10567,'9998',51.07,3,3,NULL),(15,2252651,'1984-04-11 00:00:00',2,1,12,2001,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241216115431523315575121230263137',2464,'797',67.73,1,3,NULL),(15,2252678,'1988-08-06 00:00:00',4,8,10,2006,'M','N','PETRÓPOLIS','JOINVILLE','SC','124243241345572441637621245124610124142',1682,'486',70.44,4,3,NULL),(15,2252686,'1987-10-27 00:00:00',2,4,12,2007,'M','N','CENTRO','ENCANTADO','RS','120204201216111431433631195122613228182',NULL,'9998',27.25,1,3,NULL),(15,2252694,'1989-04-08 00:00:00',2,1,12,2007,'M','N','VARGEN DO BOM JESUS','FLORIANOPOLIS','SC','124241241115131112543427375114610124173',21441,'307',33.87,1,2,1),(15,2252708,'1990-04-02 00:00:00',2,9,12,2007,'M','N','BORGO','BENTO GONCALVES','RS','120201201117471441447933595122610167117',3359,'9998',65.11,1,2,1),(15,2252724,'1990-02-08 00:00:00',4,3,11,2007,'M','N','CENTRO','ERECHIM','RS','120201201116111431434429572125610134047',17207,'9998',41.56,1,3,NULL),(15,2252732,'1990-07-19 00:00:00',4,1,12,2007,'M','N','JARDIM PAULISTA','CAMPO GRANDE','MS','112122121216121211468913272122610137047',7521,'9998',56.19,1,3,NULL),(15,2252740,'1990-08-12 00:00:00',4,8,12,2007,'M','N','SANTA CÂNDIDA','CURITIBA','PR','116162161237111411343823382124610167047',NULL,'9998',0.00,4,3,NULL),(15,2252759,'1990-11-08 00:00:00',4,1,12,2007,'F','N','CENTRO','MEDIANEIRA','PR','116162161117151731358831572112610165147',NULL,'9998',0.00,1,3,NULL),(15,2252767,'1990-03-07 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431469939571124610166017',1514,'270',71.13,1,3,NULL),(15,2252775,'1989-11-03 00:00:00',2,1,12,2006,'F','N','PASSA VINTE','PALHOCA','SC','124241241111151331543331345124610137147',NULL,'592',24.93,1,3,NULL),(15,2252783,'1963-02-20 00:00:00',4,1,12,1982,'F','N','CENTRO','FLORIANOPOLIS','SC','224161161317152431453353395112341326197',NULL,'9998',0.00,1,3,NULL),(15,2252791,'1989-09-12 00:00:00',2,4,12,2006,'M','N','CENTRO','GUARUJA DO SUL','SC','124245241146131421246923242143610157047',NULL,'245',0.00,1,3,NULL),(15,2252805,'1990-04-07 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241412131431539614242124610131147',8476,'306',54.55,5,3,NULL),(15,2252813,'1985-07-24 00:00:00',2,1,12,2002,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241112131431123344342124140862197',NULL,'257',0.00,1,2,1),(15,2252830,'1990-02-24 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124202201216131411467614442114610125147',20682,'9998',35.53,1,3,NULL),(15,2252848,'1988-12-05 00:00:00',4,1,12,2006,'F','N','EGIDIO TAGLIARI','ARTUR NOGUEIRA','SP','125254251215471431337619475111610134142',15069,'9998',44.71,1,3,NULL),(15,2252856,'1985-11-14 00:00:00',2,5,12,2003,'M','N','CENTRO','CRICIUMA','SC','124242246217241411636614342122231447042',11069,'995',50.36,1,3,NULL),(15,2252872,'1971-03-21 00:00:00',4,3,12,1988,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','224241241116134721258841415122322066042',4564,'29',62.11,1,3,NULL),(15,2252902,'1989-08-31 00:00:00',2,9,12,2006,'M','N','CORAL','LAGES','SC','124241241314472441333314572125610137187',19120,'1065',38.49,1,3,NULL),(15,2252929,'1991-03-13 00:00:00',2,1,11,2009,'F','S','SANTO ANTÔNIO','ITUPORANGA','SC','124244241215111431259933574122610133182',NULL,'991',51.81,1,3,NULL),(15,2252937,'1987-05-02 00:00:00',2,1,12,2004,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241345574431466313282112610164047',10377,'1022',51.38,1,3,NULL),(15,2252945,'1989-09-28 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124202201216152441149933575124221064121',NULL,'9998',0.00,4,3,NULL),(15,2252953,'1986-07-27 00:00:00',2,1,7,2005,'M','N','CENTRO','PALHOCA','SC','124241241116152111557461441114610127057',9385,'591',52.97,1,2,1),(15,2252961,'1981-04-14 00:00:00',4,1,12,1998,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241231332431249819415122330427047',19487,'269',37.85,1,3,NULL),(15,2252970,'1988-05-09 00:00:00',2,4,12,2005,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124241241215472431549611595124610137017',16854,'752',42.07,1,3,NULL),(15,2252988,'1989-01-31 00:00:00',2,8,12,2006,'F','N','NS PERPETUO SOCORRO','TELEMACO BORBA','PR','116163161315471711446634572115610153182',18501,'9998',39.48,1,3,NULL),(15,2252996,'1989-01-06 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243248415372231556823485114610167071',8985,'1022',53.68,1,3,NULL),(15,2253003,'1981-09-13 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241115274421446633442114610162142',18889,'281',38.85,1,3,NULL),(15,2253011,'1989-12-13 00:00:00',4,4,12,2006,'M','N','CENTRO','PORTO ALEGRE','RS','120164161217252711469934572124241462052',NULL,'9998',0.00,1,3,NULL),(15,2253020,'1988-05-05 00:00:00',4,1,12,2005,'M','N','SERRINHA','FLORIANOPOLIS','SC','124072071217112421288833575124121466056',3138,'9998',65.73,1,3,NULL),(15,2253038,'1985-09-03 00:00:00',1,1,3,2005,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124164167436133441258922375123221464172',NULL,'9999',15.66,1,3,NULL),(15,2253046,'1985-10-18 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215274421553514442114610162012',11936,'260',49.06,1,3,NULL),(15,2253054,'1987-09-13 00:00:00',2,1,7,2005,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241248417572431456929572114610147185',12302,'9999',48.57,1,3,NULL),(15,2253070,'1990-09-18 00:00:00',2,1,12,2007,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241135131421336651246134610124117',10272,'307',51.53,1,2,1),(15,2253089,'1987-09-19 00:00:00',4,1,6,2006,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124244247347133411426332575114610166192',6018,'9999',59.04,1,3,NULL),(15,2253097,'1974-12-25 00:00:00',2,1,12,1992,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124251251126333431623414142324222225187',9854,'9998',52.17,2,1,1),(15,2253100,'1989-11-11 00:00:00',2,1,12,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241217142731478819395114230217067',12429,'1022',48.39,1,3,NULL),(15,2253119,'1965-03-17 00:00:00',4,1,12,1982,'M','N','ESTREITO','FLORIANOPOLIS','SC','624211216132271711244444445124142326143',2640,'9998',67.20,4,3,NULL),(15,2253127,'1963-01-02 00:00:00',4,1,12,1979,'M','N','CENTRO','FLORIANOPOLIS','SC','224242241215374431468653434132521464012',NULL,'262',0.00,1,3,NULL),(15,2253135,'1989-04-13 00:00:00',2,7,12,2007,'M','N','INTERIOR','CAPINZAL','SC','124241241315131411423623132324610128147',11985,'1093',49.01,1,3,NULL),(15,2253143,'1990-02-18 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124114241216272421434624242324610148142',NULL,'868',27.84,1,3,NULL),(15,2253151,'1989-10-27 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241117252411378813375124610164012',2467,'271',67.72,1,3,NULL),(15,2253160,'1987-10-25 01:00:00',4,1,11,2004,'F','N','CRISTAL','PORTO ALEGRE','RS','120202201216131421448833491134242063077',4946,'9998',61.20,1,3,NULL),(15,2253178,'1991-02-07 00:00:00',4,1,12,2008,'M','S','BALNEÁRIO','FLORIANOPOLIS','SC','124242241212151731478614472112610118052',NULL,'259',27.76,1,3,NULL),(15,2253186,'1990-06-25 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161215271431468831475124610163142',NULL,'9998',0.00,1,3,NULL),(15,2253194,'1984-09-06 00:00:00',2,1,5,2002,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124243246117375711435521132112120932047',3155,'306',65.68,1,3,NULL),(15,2253208,'1985-04-04 00:00:00',2,1,12,2002,'F','N','NOVA BRASILIA','IMBITUBA','SC','124241241114135431233327445334610134141',14865,'359',44.94,1,2,1),(15,2253216,'1982-05-05 00:00:00',1,1,12,2000,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241125133431623439275324222228147',18710,'371',39.15,1,3,NULL),(15,2253224,'1981-09-18 00:00:00',2,1,12,1999,'F','N','SERRARIA','SAO JOSE','SC','224244061232275421243344445134610148113',11573,'9998',49.60,1,3,NULL),(15,2253232,'1987-11-11 00:00:00',4,1,12,2005,'F','N','CENTRO','GUARAPUAVA','PR','116164161215271431558615594114113223077',1581,'9998',70.87,1,3,NULL),(15,2253240,'1983-04-09 00:00:00',2,1,12,2001,'F','N','PASSA VINTE','PALHOCA','SC','124241241125133431343354441122222343097',12168,'592',48.77,1,2,1),(15,2253259,'1988-12-13 00:00:00',4,1,12,2006,'M','N','SÃO JOAQUIM','FRANCA','SP','125252251211412212488831572122610114012',NULL,'9998',33.46,1,3,NULL),(15,2253267,'1989-05-29 00:00:00',2,8,12,2006,'M','N','SANTO ANTONIO','JOINVILLE','SC','124241241416142732349513492111231417076',9614,'1037',52.57,1,3,NULL),(15,2253275,'1990-09-08 00:00:00',4,4,12,2007,'M','N','CENTRO','SAO MIGUEL DA BOA VISTA','SC','124251248122111731314616592314610127047',16506,'1015',42.58,1,3,NULL),(15,2253283,'1987-09-04 00:00:00',4,1,12,2005,'M','N','JOSE MENDES','FLORIANOPOLIS','SC','124243241326131431436612241124610161165',22402,'307',30.37,1,3,NULL),(15,2253291,'1990-02-13 00:00:00',2,8,12,2007,'M','N','FRAGOSOS','CAMPO ALEGRE','SC','124241241114131411323335254222610122147',12478,'132',48.33,1,2,1),(15,2253305,'1986-04-05 00:00:00',2,1,12,2003,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241112133431325323382224610137112',16099,'283',43.23,1,2,1),(15,2253313,'1990-04-24 00:00:00',2,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124243241115131732425619492124610147142',21842,'65',32.82,1,3,NULL),(15,2253321,'1990-08-28 00:00:00',4,8,11,2007,'F','N','COSTEIRA','PARANAGUA','PR','116162161215421431358822571312610116117',NULL,'9998',0.00,1,3,NULL),(15,2253330,'1988-04-26 00:00:00',2,1,12,2005,'M','N','FAZENDA STO ANTÔNIO','SAO JOSE','SC','124243241127131431436314242322233267147',20307,'728',36.23,4,3,NULL),(15,2253348,'1989-03-29 00:00:00',2,1,12,2006,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124204201416371411556611335134610126042',10609,'9998',51.01,1,3,NULL),(15,2253356,'1990-12-11 00:00:00',2,4,12,2007,'F','N','TRES PALMEIRAS','CORONEL FREITAS','SC','124241241215151732436612574224610114182',12184,'185',48.75,1,3,NULL),(15,2253364,'1990-05-05 00:00:00',4,1,11,2007,'M','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124242241215111431236623575114610127112',20554,'266',35.79,1,3,NULL),(15,2253372,'1991-09-25 00:00:00',2,5,11,2008,'M','S','CENTRO','ARARANGUA','SC','124242241215111431438931573122610167142',NULL,'32',48.14,1,3,NULL),(15,2253380,'1984-04-17 00:00:00',4,1,12,2002,'M','N','ESTREITO','FLORIANOPOLIS','SC','124212211217131421359613445124140228112',NULL,'9998',0.00,1,3,NULL),(15,2253399,'1985-10-31 00:00:00',2,1,7,2004,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124204207446211111323641213124142017047',9644,'9998',52.51,4,3,NULL),(15,2253402,'1990-12-03 00:00:00',4,3,12,2007,'M','N','UNIÃO','PALOTINA','PR','116161161117371431434531315121610124042',15009,'9998',44.78,1,3,NULL),(15,2253410,'1966-10-11 00:00:00',2,3,12,1985,'F','N','HOLTERMANN','SANTA MARIA','RS','220201205116331421336343432134442531097',8431,'9998',54.64,1,2,1),(15,2253429,'1987-09-11 00:00:00',2,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116161168216573411566612594324610161182',12895,'9998',47.72,1,3,NULL),(15,2253445,'1987-09-07 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241217574431479913572122231833187',3673,'266',64.29,1,3,NULL),(15,2253453,'1982-09-25 00:00:00',2,1,12,2001,'F','N','TAPERA','FLORIANOPOLIS','SC','224241244427132431331343432344610167147',17053,'266',41.81,1,3,NULL),(15,2253461,'1990-03-19 00:00:00',4,8,12,2007,'F','N','SEDE DOURADO','ARATIBA','RS','120201201117131431323315573344610116197',NULL,'9998',22.41,1,2,1),(15,2253470,'1990-12-13 00:00:00',4,8,12,2007,'F','N','CENTRO','CAMPO ALEGRE','SC','124241241114131411523311332322610124147',12187,'132',48.75,1,2,1),(15,2253488,'1990-09-22 00:00:00',4,4,12,2007,'F','N','CENTRO','CURITIBA','PR','116242161215111741449931575125610163047',NULL,'9998',0.00,1,3,NULL),(15,2253496,'1987-05-09 00:00:00',4,4,12,2005,'M','N','INTERIOR','SAO DOMINGOS','SC','124246248616161722444415572212610117062',NULL,'9997',27.27,1,3,NULL),(15,2253500,'1989-12-27 00:00:00',4,1,12,2007,'F','N','CENTRO','RIBEIRAO PRETO','SP','125252251215111322488831572122610117042',NULL,'9998',0.00,1,3,NULL),(15,2253518,'1989-12-30 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241416141421355634345124610163157',NULL,'270',0.00,1,3,NULL),(15,2253526,'1987-04-20 00:00:00',2,1,12,2005,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241142132731337424242324610124057',18002,'290',40.31,1,2,1),(15,2253534,'1978-09-28 00:00:00',4,1,12,1998,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243242336143731268944445122421067067',15490,'270',44.15,4,3,NULL),(15,2253542,'1990-05-21 00:00:00',4,8,12,2007,'F','N','CLAUDETE','CASCAVEL','PR','116161161117471551423316572324610114147',16478,'9998',42.62,1,3,NULL),(15,2253550,'1990-05-30 00:00:00',4,8,12,2007,'M','N','GUANABARA','JOINVILLE','SC','124242246217131431469614575124610122122',NULL,'1105',0.00,1,3,NULL),(15,2253569,'1990-10-20 00:00:00',4,1,12,2007,'M','N','REBOUÇAS','CURITIBA','PR','116244161347471411478824276124610124181',5294,'9998',60.53,1,3,NULL),(15,2253577,'1985-10-18 00:00:00',4,1,12,2006,'F','N','ASA NORTE','BRASILIA','DF','107072071316473731189919495122241465032',8537,'9998',54.46,1,3,NULL),(15,2253585,'1989-03-19 00:00:00',2,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161215411731476839575122610167072',NULL,'9998',25.98,1,3,NULL),(15,2253607,'1989-02-10 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241214143431248929572124221565147',1590,'515',70.83,1,3,NULL),(15,2253615,'1989-04-29 00:00:00',4,2,12,2006,'M','N','VALPARAISO','BLUMENAU','SC','124242241216471431676633575113610128082',NULL,'855',0.00,1,3,NULL),(15,2253623,'1989-04-06 00:00:00',2,2,12,2006,'F','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124241243111241111354611441124610161187',19605,'84',37.60,1,2,1),(15,2253631,'1990-02-08 00:00:00',2,1,12,2007,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124241241145131431626413373334610167057',NULL,'294',17.75,1,2,1),(15,2253640,'1981-10-24 00:00:00',2,1,6,2002,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241248116375441436631212124610128182',NULL,'306',44.52,4,2,1),(15,2253658,'1986-01-05 00:00:00',4,1,12,2003,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124204243411372421448921295123610168182',NULL,'9997',0.00,1,3,NULL),(15,2253666,'1986-06-24 00:00:00',2,1,12,2004,'M','N','PERDIZES','SAO PAULO','SP','125252251214572431458836575124610127092',7305,'9998',56.59,1,3,NULL),(15,2253674,'1989-10-06 00:00:00',4,1,12,2006,'M','N','VILA INDUSTRIAL','BAURU','SP','125252256137472431548733375111610137052',5457,'9998',60.15,1,3,NULL),(15,2253682,'1985-08-30 00:00:00',2,1,12,2002,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241115574431434923385124610168057',9029,'449',53.60,3,3,NULL),(15,2253690,'1990-09-03 00:00:00',4,8,11,2007,'M','N','CENTRO','CURITIBA','PR','116222161217121752378719492115610128057',7597,'9998',56.04,1,3,NULL),(15,2253704,'1981-12-14 00:00:00',5,1,12,1999,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124252241214254721236649492334122245097',12221,'269',48.69,1,3,NULL),(15,2253712,'1988-02-03 00:00:00',4,1,1,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241415153411457714575124222212172',12817,'1022',47.84,1,3,NULL),(15,2253720,'1989-04-21 00:00:00',4,1,12,2006,'F','N','JD SÃO LUIS','RIBEIRAO PRETO','SP','124252251215472222488831572122610113142',5341,'9998',60.43,1,3,NULL),(15,2253739,'1990-03-12 00:00:00',4,2,12,2007,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215371431568613575122610127112',7839,'109',55.62,1,3,NULL),(15,2253747,'1983-03-04 00:00:00',4,1,12,2000,'F','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','124241241111144431644614442124231062142',NULL,'307',31.38,1,3,NULL),(15,2253755,'1990-03-18 00:00:00',2,7,12,2007,'F','N','INTERIOR','LUZERNA','SC','124241241115271711534315392224610165147',21864,'539',32.74,1,2,1),(15,2253763,'1980-12-21 00:00:00',4,1,12,1997,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241216274411556513435124123226051',NULL,'269',0.00,1,3,NULL),(15,2253771,'1988-12-05 00:00:00',2,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116242161315572451546433592122610143092',6477,'9998',58.12,1,3,NULL),(15,2253780,'1989-10-16 00:00:00',2,1,12,2007,'F','N','ALTO BIGUAÇU','BIGUACU','SC','124241241115141431523615342224610122017',NULL,'65',5.66,1,2,1),(15,2253798,'1989-06-20 00:00:00',4,2,12,2006,'M','N','SALTO','BLUMENAU','SC','124252251217471431446831575122610117022',2519,'9998',67.58,1,3,NULL),(15,2253801,'1987-09-09 00:00:00',4,1,12,2006,'M','N','ANHANGABAU','JUNDIAI','SP','125255257216471431474824575122610127097',NULL,'9998',0.00,1,3,NULL),(15,2253810,'1987-03-22 00:00:00',4,1,12,2004,'M','N','AGRÔNÔMICA','FLORIANOPOLIS','SC','124242241215274431467713172222610132042',1780,'1040',70.04,1,3,NULL),(15,2253828,'1982-07-04 00:00:00',2,1,12,2001,'M','N','CAMINHO NOVO','PALHOCA','SC','224241241121242731621354381214610132057',NULL,'628',0.00,4,2,1),(15,2253836,'1989-06-22 00:00:00',4,1,11,2006,'M','N','BIGORRILHO','CURITIBA','PR','116162161217471441589834571122610167047',NULL,'9998',0.00,1,3,NULL),(15,2253844,'1982-04-05 00:00:00',4,8,12,1999,'F','N','BOM RETIRO','JOINVILLE','SC','124242241214473751456829195122330667047',13203,'461',47.32,1,3,NULL),(15,2253852,'1989-09-28 00:00:00',4,1,11,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241217111411258923575114610164057',7224,'270',56.74,1,3,NULL),(15,2253860,'1988-06-01 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124243241312132532338823342314610162173',9242,'272',53.20,1,3,NULL),(15,2253879,'1989-07-27 00:00:00',4,1,7,2007,'M','N','CENTRO','CURITIBA','PR','116162161215371431678837575124610162141',NULL,'9998',0.00,1,3,NULL),(15,2253887,'1981-01-22 00:00:00',4,1,12,1998,'M','N','BROOKLIN','SAO PAULO','SP','125254251417131411236649115124140762187',NULL,'9998',0.00,1,3,NULL),(15,2253895,'1990-07-29 00:00:00',2,8,11,2007,'M','N','CENTRO','JOINVILLE','SC','124242241217111731356823572122610118117',NULL,'419',0.00,1,3,NULL),(15,2253909,'1989-10-08 00:00:00',4,1,11,2007,'M','N','STO ANT DE LISBOA','FLORIANOPOLIS','SC','124242241215111531469711475124610122182',9260,'270',53.17,4,3,NULL),(15,2253917,'1984-09-26 00:00:00',2,1,11,2002,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241246116572421476632435122223262183',5357,'306',60.37,1,2,1),(15,2253925,'1980-01-14 00:00:00',4,1,11,1997,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124244246116253311256743232124121442067',1681,'306',70.44,1,3,NULL),(15,2253933,'1990-03-31 00:00:00',2,7,12,2007,'F','N','VILA ALEMANHA','LUZERNA','SC','124241241115271731436633572224610131187',7764,'539',55.76,1,2,1),(15,2253941,'1991-01-30 00:00:00',4,1,12,2007,'F','N','JD MORUMBI','UBERABA','MG','113092131215311212336627372115110128181',1804,'9998',69.92,1,3,NULL),(15,2253950,'1988-08-23 00:00:00',2,1,12,2005,'M','N','BELA VISTA','SAO JOSE','SC','124241241147133431438321245334230867062',NULL,'726',0.00,4,3,NULL),(15,2253968,'1980-06-27 00:00:00',4,5,12,1997,'M','N','N SRA DA SALETE','CRICIUMA','SC','224242241217152411467843435232321066047',3589,'211',64.50,1,3,NULL),(15,2253984,'1990-02-06 00:00:00',2,4,12,2007,'M','N','CENTRO','PALMAS','PR','116162161217111431548824575125610164012',7455,'9998',56.32,4,3,NULL),(15,2253992,'1975-02-16 00:00:00',2,1,12,1994,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','224113113126132431436444345334140827097',14385,'9998',45.59,4,3,NULL),(15,2254000,'1988-10-10 00:00:00',2,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116162161216572431377923574114610165187',5308,'9998',60.51,1,3,NULL),(15,2254018,'1989-07-03 00:00:00',2,2,12,2007,'M','N','VALPARAÍSO','BLUMENAU','SC','124241241125131531624623244224610167052',16173,'69',43.12,2,1,1),(15,2254026,'1990-03-14 00:00:00',4,1,12,2007,'F','N','BATEL','CURITIBA','PR','116162168135471451538834572112610121072',17477,'9998',41.11,1,3,NULL),(15,2254034,'1990-03-14 00:00:00',2,4,12,2007,'F','N','INTERIOR','PALMITOS','SC','124241241114111411323315272222610128144',NULL,'601',28.30,1,2,1),(15,2254042,'1989-07-14 00:00:00',2,1,11,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244241215122431346714575124610133042',10652,'273',50.95,1,3,NULL),(15,2254050,'1990-11-18 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241235111431536632571122610126093',15160,'738',44.58,1,3,NULL),(15,2254069,'1988-02-16 00:00:00',4,1,12,2005,'M','N','ROÇADO','SAO JOSE','SC','124242241215473721453612595112610147182',2828,'270',66.67,4,3,NULL),(15,2254085,'1991-02-15 00:00:00',2,4,11,2007,'M','N','INTERIOR','CONCORDIA','SC','124241241111131531328415472224610117047',11463,'192',49.76,1,3,NULL),(15,2254093,'1981-06-16 00:00:00',4,1,12,1999,'M','N','IPIRANGA','SAO PAULO','SP','125251251137572431435411311324610142187',17194,'9998',41.57,1,2,1),(15,2254107,'1975-09-16 00:00:00',4,1,12,1993,'M','N','SANTOS DUMONT','SAO JOSE','SC','124121128126152441353679292124342222187',5940,'9998',59.19,1,3,NULL),(15,2254115,'1989-03-05 00:00:00',1,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124243241215372431459914472122610127017',NULL,'654',0.00,1,3,NULL),(15,2254123,'1986-08-27 00:00:00',4,1,12,2004,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124202201216371441224444145124242517097',14675,'9998',45.18,1,3,NULL),(15,2254131,'1981-08-30 00:00:00',4,7,12,1998,'M','N','MATRIZ','VIDEIRA','SC','124241241216375431489814331122330767012',1811,'833',69.91,1,3,NULL),(15,2254140,'1987-10-07 00:00:00',2,1,8,2005,'F','N','PACHECOS','PALHOCA','SC','124241241112132431633431212123230827047',18802,'739',38.98,1,2,1),(15,2254158,'1990-12-17 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241235111431668832575122610124073',11143,'738',50.24,1,3,NULL),(15,2254166,'1991-01-13 00:00:00',2,1,11,2008,'M','S','ABRAÃO','FLORIANOPOLIS','SC','124242241217111431447639592124613227042',NULL,'262',53.12,1,3,NULL),(15,2254174,'1986-04-19 00:00:00',4,1,12,2004,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241116275421447624245124610164015',8029,'307',55.32,1,2,1),(15,2254182,'1988-03-04 00:00:00',4,8,12,2005,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116163161417571431549813574122610164122',NULL,'9998',0.00,3,3,NULL),(15,2254190,'1988-04-04 00:00:00',4,1,12,2005,'F','N','GUARANI','NOVO HAMBURGO','RS','120201201317471411565923215112610134057',10282,'9998',51.51,1,3,NULL),(15,2254204,'1990-07-16 00:00:00',2,1,12,2007,'M','N','SÃO CRISTÓVÃO','TURVO','SC','124241241111131431347633581311610134012',20003,'814',36.82,1,3,NULL),(15,2254212,'1986-07-10 00:00:00',2,8,12,2000,'M','N','JARIVATUBA','JOINVILLE','SC','124241241125371231436634345123610164182',19170,'484',38.41,1,3,NULL),(15,2254220,'1987-01-06 00:00:00',4,1,12,2004,'F','N','ASA NORTE','BRASILIA','DF','107242241215273731468733482122132737117',NULL,'9997',0.00,1,3,NULL),(15,2254239,'1983-02-17 00:00:00',2,1,12,2000,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241127271441321349482214610164197',18258,'142',39.87,1,2,1),(15,2254247,'1986-11-29 00:00:00',4,1,12,2004,'M','N','JARDIM FLÓRIDA','JACAREI','SP','125252251217572431467911575115610134074',7628,'9998',55.98,1,3,NULL),(15,2254255,'1989-07-05 00:00:00',4,8,12,2006,'F','N','BARREIRINHA','CURITIBA','PR','116161161111471451436514341344610143187',NULL,'9998',0.00,1,3,NULL),(15,2254263,'1988-12-05 00:00:00',4,8,9,2007,'M','N','GUANABARA','JOINVILLE','SC','124241247431151431567934421132610162112',17253,'9999',41.47,1,3,NULL),(15,2254271,'1989-07-25 00:00:00',4,7,12,2007,'F','N','VILA SIMONE','JOACABA','SC','124241241215111111434614442222610114072',21602,'962',33.50,1,3,NULL),(15,2254280,'1990-01-15 00:00:00',4,4,12,2006,'F','N','INTERIOR','SEARA','SC','124241241215372431553315172344610124047',NULL,'1046',22.16,1,3,NULL),(15,2254298,'1985-12-01 00:00:00',2,1,12,2004,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124241241127272431457839244213133261082',15574,'307',44.01,1,3,NULL),(15,2254301,'1987-08-27 00:00:00',2,1,12,2004,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241144373431333631175114610127057',10915,'639',50.59,1,2,1),(15,2254328,'1988-09-23 00:00:00',4,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116252251216571431558831575124610164041',5439,'9998',60.20,1,3,NULL),(15,2254336,'1990-04-15 00:00:00',4,1,7,2008,'M','S','CAPOEIRAS','FLORIANOPOLIS','SC','624242247417141331548419395114610113191',NULL,'9999',23.24,1,3,NULL),(15,2254344,'1988-03-18 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431579931391122610134072',3944,'262',63.61,1,3,NULL),(15,2254352,'1990-08-25 00:00:00',4,2,12,2007,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241215111731588811575122610168183',12676,'855',48.02,1,3,NULL),(15,2254360,'1956-05-22 00:00:00',2,1,12,1975,'M','N','ESTREITO','FLORIANOPOLIS','SC','524241241212575421155443432114522667042',3496,'262',64.77,1,3,NULL),(15,2254379,'1989-10-10 00:00:00',2,9,12,2006,'M','N','SANTA RITA','LAGES','SC','124243241217142451559914381125231965184',14013,'515',46.14,4,3,NULL),(15,2254409,'1989-05-10 00:00:00',2,9,12,2006,'M','N','CENTRO','TROMBUDO CENTRAL','SC','124242241215372431488612575122610114072',NULL,'991',0.00,1,3,NULL),(15,2254417,'1982-01-06 00:00:00',2,1,12,1999,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124203208117271751133819195232610167047',NULL,'9998',38.65,1,3,NULL),(15,2254425,'1988-04-15 00:00:00',4,1,12,2005,'M','N','SANTA FE','CAMPO GRANDE','MS','112124121436313431478832475122610117051',9383,'9998',52.97,1,3,NULL),(15,2254433,'1986-01-17 00:00:00',4,1,12,2003,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124202201237132421227822142111220767052',5309,'9998',60.51,1,3,NULL),(15,2254441,'1978-07-01 00:00:00',2,1,12,2000,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','224201201127131411338844241334610124027',18312,'9998',39.78,1,3,NULL),(15,2254450,'1990-10-25 00:00:00',4,10,12,2007,'M','N','PONTE BAIXA','SAO LUDGERO','SC','124244241115271431436915572224610127142',12973,'748',47.63,1,3,NULL),(15,2254468,'1989-12-26 00:00:00',4,10,12,2007,'M','N','SÃO BASILIO','BRACO DO NORTE','SC','124244241214111421479611375122610162062',NULL,'102',0.00,1,3,NULL),(15,2254476,'1990-03-19 00:00:00',4,1,11,2007,'M','N','CENTRO','RONDON','PR','116164163216111311656812225122610164183',19491,'9998',37.85,4,3,NULL),(15,2254484,'1987-03-27 00:00:00',4,1,12,2004,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241135142411466613332122610128057',20656,'9997',35.58,1,3,NULL),(15,2254492,'1987-09-27 00:00:00',4,1,12,2004,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124244241212373411249923392122230222125',2356,'270',68.05,1,3,NULL),(15,2254506,'1974-08-17 00:00:00',2,6,12,1992,'F','N','CENTRO','BAURU','SP','125251251426131731346611482114610134147',17360,'9998',41.30,1,3,NULL),(15,2254514,'1990-03-21 00:00:00',2,1,7,2007,'F','N','IBIRAQUERA','GAROPABA','SC','124241241115211431415914176124610167051',12524,'306',48.26,1,2,1),(15,2254522,'1986-02-04 00:00:00',2,1,12,2003,'F','N','CENTRO','TRINDADE','GO','109091091217571411436629592324610162077',14604,'9998',45.27,4,3,NULL),(15,2254530,'1987-09-08 00:00:00',4,1,12,2005,'M','N','NUCLEO BANDEIRANTE','NUCLEO BANDEIRANTE','DF','107072071215473431459933575122610122082',3000,'9998',66.15,4,3,NULL),(15,2254549,'1979-11-13 00:00:00',3,1,11,1999,'F','N','CURURUQUARA','SANTANA DE PARNAIBA','SP','124251254225513411545533395121222264027',NULL,'1094',28.30,1,3,NULL),(15,2254557,'1989-04-14 00:00:00',4,8,12,2006,'F','N','VILA LAUCY','OSASCO','SP','125252251235271431434614271114610167072',21315,'9998',34.16,1,3,NULL),(15,2254565,'1987-12-21 00:00:00',2,1,12,2004,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241215123411347319195114221766185',6273,'109',58.50,1,3,NULL),(15,2254573,'1988-03-29 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124243241315473421458633575114610117012',8804,'270',54.00,1,3,NULL),(15,2254581,'1986-10-20 00:00:00',2,4,12,2004,'M','N','DR ARI LUNARDI','XAXIM','SC','124244241216574311347832397115610164193',7560,'994',56.10,1,3,NULL),(15,2254590,'1985-06-20 00:00:00',4,1,12,2002,'M','N','LAGO SUL','LAGO SUL','DF','107074071216575431359939575122143265121',3728,'9998',64.13,1,3,NULL),(15,2254603,'1982-05-15 00:00:00',4,1,12,1999,'M','N','BARREIROS','SAO JOSE','SC','124241241137132431233344445122333267047',16988,'293',41.89,1,2,1),(15,2254611,'1977-10-11 00:00:00',2,1,12,1995,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241122475721634444242124333226067',2728,'288',66.94,1,2,1),(15,2254620,'1989-10-06 00:00:00',2,1,12,2006,'M','N','CAMPINAS','SAO JOSE','SC','124242241217122411234839575124130216185',NULL,'1022',0.00,1,3,NULL),(15,2254638,'1987-03-22 00:00:00',4,1,12,2004,'M','N','CENTRO','ERECHIM','RS','120204208436131711345519385122240767017',NULL,'9998',0.00,2,3,NULL),(15,2254646,'1991-02-07 00:00:00',4,5,12,2007,'F','N','NOVO HORIZONTE','LAURO MULLER','SC','124241241117131431434939472122610124147',11366,'531',49.89,1,2,1),(15,2254654,'1987-06-03 00:00:00',2,1,4,2005,'F','N','AREIAS','SAO JOSE','SC','124241241117274431636313282124221523077',7959,'739',55.44,1,2,1),(15,2254662,'1990-01-11 00:00:00',4,3,11,2007,'M','N','ARIRIBÁ','BALNEARIO CAMBORIU','SC','124242241215111431465631315121610168187',5836,'1038',59.39,1,3,NULL),(15,2254670,'1971-06-06 00:00:00',2,1,12,2002,'F','N','COQUEIROS','FLORIANOPOLIS','SC','224243241347132731343151242114610166187',17336,'9999',41.33,1,3,NULL),(15,2254689,'1989-01-18 00:00:00',4,1,12,2006,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241215472731369813575114133267057',622,'270',75.90,1,3,NULL),(15,2254697,'1987-12-11 00:00:00',4,1,12,2004,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242241215313431336814245124610127047',12218,'882',48.69,4,1,2),(15,2254700,'1986-04-20 00:00:00',4,1,7,2004,'M','N','VILA SÃO JOÃO','FLORIANOPOLIS','SC','124244241311142411536629411124231014057',NULL,'307',24.65,2,3,NULL),(15,2254719,'1957-02-20 00:00:00',4,1,4,1975,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','224201201127132421433351222124122251097',9946,'9998',52.01,1,3,NULL),(15,2254727,'1989-08-19 00:00:00',4,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124243241331372431457734271122610165127',19544,'736',37.73,1,3,NULL),(15,2254735,'1983-05-27 00:00:00',4,1,12,2001,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241122545431556629441324610136192',14255,'257',45.79,1,2,1),(15,2254743,'1990-11-22 00:00:00',2,1,12,2007,'F','N','LIMEIRA','BIGUACU','SC','124243241112161431433313572214610137052',19937,'1040',36.94,1,3,NULL),(15,2254760,'1988-05-25 00:00:00',4,1,12,2005,'F','N','CENTRO','ESTEIO','RS','120204206316141431447739291124610131182',8103,'9998',55.18,1,3,NULL),(15,2254778,'1985-11-30 00:00:00',4,6,12,2002,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241216154411464613572215132064182',NULL,'270',0.00,1,3,NULL),(15,2254786,'1988-01-29 00:00:00',4,1,12,2006,'F','N','CENTRO','SAO PEDRO DE ALCANTARA','SC','124241241125371432522539572224610116077',NULL,'869',0.00,1,3,NULL),(15,2254794,'1976-10-07 00:00:00',5,1,12,1994,'M','N','INGLESES','FLORIANOPOLIS','SC','124201201127131451233349195124610161171',12786,'9998',47.88,1,3,NULL),(15,2254816,'1990-01-31 00:00:00',4,3,12,2007,'M','N','VILA SÃO PAULO','ARACATUBA','SP','125252161215111431468814575122610132047',NULL,'9998',0.00,1,3,NULL),(15,2254824,'1990-09-29 00:00:00',2,4,11,2007,'F','N','CENTRO','SAO LOURENCO DO OESTE','SC','124162161215111431356732245122610114142',NULL,'747',0.00,1,3,NULL),(15,2254832,'1988-12-16 00:00:00',2,1,12,2006,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241117132431333424345114610135147',13164,'306',47.38,1,2,1),(15,2254840,'1980-11-26 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241347272441219631495124242434111',3712,'53',64.20,4,3,NULL),(15,2254859,'1989-10-12 00:00:00',4,10,11,2007,'M','N','CENTRO','TUBARAO','SC','124242241215111411436821575222610114197',9158,'809',53.34,1,3,NULL),(15,2254867,'1981-01-09 00:00:00',2,1,12,1998,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241316153731334332485124321468147',8148,'272',55.10,1,3,NULL),(15,2254875,'1989-01-25 00:00:00',4,1,12,2006,'F','N','ABRAAO','FLORIANOPOLIS','SC','124242241214372431447633372114610122193',13011,'1036',47.57,1,3,NULL),(15,2254883,'1989-08-30 00:00:00',4,3,12,2006,'F','N','JARDIM LEMENSE','LEME','SP','125251251117471431438813575122610164047',NULL,'9998',0.00,1,2,1),(15,2254891,'1971-12-14 00:00:00',4,1,9,1991,'M','N','CAMPECHE','FLORIANOPOLIS','SC','224241246142132431356444342332610137041',14157,'306',45.96,1,2,1),(15,2254905,'1986-12-10 00:00:00',2,1,12,2005,'M','N','SANTANA','SAO PAULO','SP','125253258221571711356819292225230214172',NULL,'9998',NULL,1,3,NULL),(15,2254913,'1990-10-06 00:00:00',4,4,12,2007,'F','N','CENTRO','IPUACU','SC','124241241125161431435923573224610123057',NULL,'372',0.00,1,2,1),(15,2254921,'1986-02-23 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241123131131113341214334610137057',NULL,'673',17.47,4,2,1),(15,2254930,'1990-09-16 00:00:00',4,8,12,2007,'M','N','BARRA GRANDE','TRES BARRAS','SC','124241241117161411346923475121610138182',NULL,'789',0.00,1,3,NULL),(15,2254948,'1989-04-28 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241215372731436633575114610124112',6229,'270',58.59,1,3,NULL),(15,2254956,'1988-10-09 00:00:00',2,1,12,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244241215472431338613575124610122197',7640,'1111',55.96,1,3,NULL),(15,2254964,'1991-10-31 00:00:00',4,1,7,2008,'F','S','PANTANAL','FLORIANOPOLIS','SC','124242241215121411458633575114610114073',NULL,'9999',44.00,1,3,NULL),(15,2254972,'1989-10-24 00:00:00',2,1,12,2006,'M','N','CENTRO','ANTONIO CARLOS','SC','124246241617412431567633575121233247051',10967,'270',50.52,1,3,NULL),(15,2254980,'1990-06-13 00:00:00',2,1,12,2007,'F','N','DAS PALMEIRAS','SAO JOSE','SC','124241241136131431321621245335613027052',21014,'727',34.82,4,2,1),(15,2254999,'1989-12-28 00:00:00',2,4,12,2007,'M','N','FARINHAS','ALPESTRE','RS','120201201116161431348823322124610132172',NULL,'9998',0.00,2,2,1),(15,2255006,'1991-01-06 00:00:00',2,4,12,2007,'M','N','SÃO GOTARDO','SAO MIGUEL DOESTE','SC','124242241217131731446832245111610167017',17577,'751',40.97,1,3,NULL),(15,2255014,'1990-04-09 00:00:00',4,9,12,2007,'F','N','CENTRO','FRAIBURGO','SC','124241241146111311536616245232610163077',22191,'314',31.52,1,2,1),(15,2255022,'1989-10-17 00:00:00',4,1,12,2006,'F','N','CANDANGOLANDIA','CANDANGOLANDIA','DF','107073071216575431359933575122610138187',9331,'9998',53.07,4,3,NULL),(15,2255030,'1988-10-17 00:00:00',2,1,11,2006,'M','N','CENTRO','IJUI','RS','120202207445372421269711482112240237122',NULL,'9999',0.00,1,3,NULL),(15,2255049,'1990-06-11 00:00:00',4,1,12,2007,'M','N','JOSE BONIFÁCIO','ERECHIM','RS','120203201215111431447632571112610137052',3484,'9998',64.79,1,3,NULL),(15,2255057,'1989-12-31 00:00:00',2,5,6,2007,'M','N','SÃO CRISTOVÃO','CRICIUMA','SC','124241243217131421526514572124610127117',15732,'995',43.77,1,3,NULL),(15,2255065,'1989-02-03 00:00:00',2,1,11,2006,'M','N','CENTRO','TIJUCAS','SC','124242241216132431323619172124231964147',10262,'948',51.54,1,3,NULL),(15,2255081,'1990-07-26 00:00:00',4,8,12,2007,'M','N','UVARANAS','PONTA GROSSA','PR','116162161215111431448819592124610127187',18527,'9998',39.44,1,3,NULL),(15,2255090,'1987-04-29 00:00:00',4,1,12,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124242241217374431468613572122132863197',3659,'272',64.34,1,3,NULL),(15,2255103,'1985-07-25 00:00:00',2,1,12,2003,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124204201146131111326944245124142037047',20881,'9998',35.13,1,3,NULL),(15,2255111,'1987-06-05 00:00:00',4,1,12,2005,'M','N','ABRAAO','FLORIANOPOLIS','SC','124164161311271411136612245332140234093',NULL,'9998',33.51,1,3,NULL),(15,2255120,'1984-10-24 00:00:00',2,1,12,2002,'F','N','TRÊS VENDAS','ERECHIM','RS','120201205116141431324424341113140266017',19481,'9998',37.86,1,3,NULL),(15,2255138,'1985-09-26 00:00:00',4,1,12,2003,'M','N','BARREIROS','SAO JOSE','SC','124252241417574431248844445122231867062',4778,'9998',61.57,1,3,NULL),(15,2255146,'1988-03-10 00:00:00',2,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241217372431558413575124610131077',10233,'270',51.58,1,3,NULL),(15,2255154,'1989-07-11 00:00:00',4,1,11,2006,'M','N','RIO CAVEIRAS','BIGUACU','SC','124241248215141431547613491124610127042',21371,'63',34.05,1,3,NULL),(15,2255162,'1986-02-28 00:00:00',2,1,11,2003,'M','N','INGLESES','FLORIANOPOLIS','SC','124244241321472731239852121112130224147',17242,'288',41.50,1,3,NULL),(15,2255170,'1988-11-18 00:00:00',2,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241215471221455319592114610117052',19825,'269',37.17,1,3,NULL),(15,2255189,'1990-01-07 00:00:00',4,1,2,2008,'F','N','RIO CAVEIRAS','BIGUACU','SC','124242241116371431456733595124610121182',18736,'306',39.09,1,3,NULL),(15,2255197,'1991-01-24 00:00:00',4,1,12,2007,'F','N','ARIRIU','PALHOCA','SC','124242241215271431574832572124610161165',1777,'723',70.06,1,3,NULL),(15,2255200,'1989-03-12 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212372451447613432122610147147',15536,'262',44.08,1,3,NULL),(15,2255219,'1990-04-05 00:00:00',4,1,12,2007,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241132111431436613572124610137045',NULL,'307',37.25,2,3,NULL),(15,2255235,'1991-06-15 00:00:00',2,1,12,2008,'F','S','MARTIM FRANCISCO','MOGI MIRIM','SP','125252251216111431458814585122610122077',NULL,'9998',0.00,1,3,NULL),(15,2255243,'1988-07-26 00:00:00',2,1,12,2006,'M','N','AGRONÔMIA','FLORIANOPOLIS','SC','124242241215272431467713172222610154042',6547,'1040',57.99,1,3,NULL),(15,2255251,'1964-08-04 00:00:00',4,1,12,1987,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124131131126131711626631395124533222112',12223,'9998',48.69,1,2,1),(15,2255260,'1988-08-25 00:00:00',4,1,12,2005,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241125131431344829572124610137182',NULL,'941',0.00,1,3,NULL),(15,2255278,'1990-08-22 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215132431438811212122610163097',11642,'1017',49.49,1,3,NULL),(15,2255286,'1984-05-20 00:00:00',2,1,12,2001,'M','N','SERRARIA','SAO JOSE','SC','124241241137133431446913385114231027117',19733,'307',37.36,1,2,1),(15,2255294,'1989-12-05 00:00:00',2,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241126272431646413572124610125187',9631,'702',52.53,1,2,1),(15,2255308,'1987-09-14 00:00:00',2,5,11,2005,'F','N','MICHEL','CRICIUMA','SC','124242241215573431635612425122610134147',4488,'226',62.28,1,3,NULL),(15,2255316,'1990-12-08 00:00:00',4,1,12,2007,'F','N','CENTRO','SAO JOAO BATISTA','SC','124241241147161231333324145122610126147',21253,'712',34.31,1,3,NULL),(15,2255324,'1988-04-25 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241212152431349933575111221444045',NULL,'461',0.00,1,3,NULL),(15,2255332,'1990-06-23 00:00:00',4,1,12,2007,'F','N','CENTRO','SUMARE','SP','125252251217111411248824574122610162112',6103,'9998',58.87,1,3,NULL),(15,2255367,'1988-08-24 00:00:00',4,1,12,2005,'M','N','KOBRASOL','SAO JOSE','SC','124241241215133431448619245124610164072',21616,'1076',33.47,4,3,NULL),(15,2255383,'1989-03-26 00:00:00',2,1,12,2006,'F','N','TAPERA','FLORIANOPOLIS','SC','124243241414472431433311282324610133147',NULL,'9997',24.68,1,3,NULL),(15,2255391,'1977-02-26 00:00:00',4,1,12,1994,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124252251212151451146742325132340264113',8818,'9998',53.98,1,3,NULL),(15,2255405,'1988-11-07 00:00:00',4,1,12,2006,'F','N','ASA SUL','BRASILIA','DF','107073071216575431368839575112120166191',10347,'9998',51.43,1,3,NULL),(15,2255413,'1985-04-15 00:00:00',2,1,12,2002,'F','N','ESTREITO','FLORIANOPOLIS','SC','124201201115371431433317285324610163097',15051,'9998',44.73,1,3,NULL),(15,2255421,'1990-04-16 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124232241215111431256621315121610168187',NULL,'1038',33.94,1,3,NULL),(15,2255430,'1985-08-29 00:00:00',4,5,7,2003,'M','N','SÃO LUIZ','CRICIUMA','SC','124241243447152611444819295123230224117',18245,'232',39.90,1,3,NULL),(15,2255448,'1990-04-04 00:00:00',4,8,12,2007,'M','N','CENTRO','ERECHIM','RS','120202201215111431458614575112610134082',NULL,'9998',0.00,1,3,NULL),(15,2255456,'1988-10-18 00:00:00',2,6,11,2005,'F','N','NOSSA S DAS GRAÇAS','PORTO VELHO','RO','122223221216572411169733194224610166042',NULL,'9998',0.00,4,3,NULL),(15,2255472,'1988-03-27 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124243241325271731525414395124610137052',NULL,'275',25.15,4,3,NULL),(15,2255480,'1985-04-03 00:00:00',4,1,12,2003,'F','N','LAGOA CONCEIÇÃO','FLORIANOPOLIS','SC','124243248332132431213744245234131022147',NULL,'968',19.89,1,3,NULL),(15,2255502,'1987-02-27 00:00:00',4,1,12,2004,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124204201212132711544631445124233263192',13827,'9998',46.41,1,3,NULL),(15,2255510,'1983-06-14 00:00:00',4,1,12,2000,'F','N','CENTRO','PANAMBI','RS','120201201116131411423319282224140233147',14124,'9998',46.00,1,3,NULL),(15,2255529,'1986-01-23 00:00:00',2,1,6,2004,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241122133411436414242124133214062',18222,'293',39.94,4,2,1),(15,2255537,'1975-09-24 00:00:00',4,1,12,1999,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124241243146132421224444441133130868077',21276,'800',34.27,2,1,1),(15,2255545,'1988-01-06 00:00:00',2,1,12,2006,'M','N','BARRA DO ARIRIU','PALHOCA','SC','124241241112373431558611572124221242012',8881,'307',53.86,1,2,1),(15,2255553,'1988-10-26 00:00:00',2,1,12,2005,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124244241217372431468733472124230233142',6439,'270',58.19,1,3,NULL),(15,2255561,'1990-08-09 00:00:00',2,1,12,2007,'M','N','BELA VISTA','ERECHIM','RS','120201201215111431443632575112610127042',21652,'9998',33.38,1,3,NULL),(15,2255570,'1983-10-07 00:00:00',2,1,12,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124201205112131411526623382124142232097',16043,'9998',43.31,1,3,NULL),(15,2255588,'1987-11-21 00:00:00',4,3,12,2004,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215573431365923272122132638017',3639,'44',64.38,1,3,NULL),(15,2255596,'1984-01-19 00:00:00',4,2,12,2001,'F','N','PONTO CHIC','IBIRAMA','SC','124242241326133751123343335122610168147',17406,'348',41.22,1,3,NULL),(15,2255600,'1985-11-26 00:00:00',2,1,12,2002,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124203201112472731226824342324610128147',NULL,'9998',30.99,1,3,NULL),(15,2255618,'1987-08-03 00:00:00',2,1,12,2005,'M','N','LAGOIA DA CONSEIÇAO','FLORIANOPOLIS','SC','124204207241152411123821311123231213187',NULL,'9999',0.00,1,3,NULL),(15,2255626,'1990-07-02 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431469813275124610127092',253,'270',79.25,1,3,NULL),(15,2255642,'1988-06-30 00:00:00',2,1,7,2007,'M','N','BARREIROS','SAO JOSE','SC','124241241115271432423319355124610167047',12566,'306',48.19,1,2,1),(15,2255650,'1990-07-30 00:00:00',4,1,12,2007,'F','N','BATEL','CURITIBA','PR','116242161115371451367923395125610122027',NULL,'9998',0.00,1,3,NULL),(15,2255669,'1983-09-15 00:00:00',4,8,12,2001,'F','N','PIRABEIRABA','JOINVILLE','SC','124242241211575411479811572122232467182',452,'457',77.21,1,3,NULL),(15,2255677,'1984-09-11 00:00:00',2,1,12,2002,'M','N','ARTUR ALVIM','SAO PAULO','SP','125131131127572431223344242235610152187',14193,'9998',45.88,4,2,1),(15,2255685,'1990-04-19 00:00:00',4,1,12,2007,'M','N','PANTANO DO SUL','FLORIANOPOLIS','SC','124241241111141431436314345124610134092',NULL,'307',28.98,1,2,1),(15,2255693,'1982-04-21 00:00:00',2,7,12,1999,'F','N','SANTA TEREZA','VIDEIRA','SC','124241245414131431236443432333331944147',12798,'829',47.86,1,3,NULL),(15,2255715,'1990-04-25 00:00:00',2,4,12,2007,'F','N','N SENHORA APARECIDA','SAO DOMINGOS','SC','124241241136131431433635572222610123047',20969,'707',34.92,1,3,NULL),(15,2255723,'1989-10-31 00:00:00',4,4,12,2006,'F','N','LÍDER','CHAPECO','SC','124242241217272431459613572124230327147',14672,'1021',45.18,1,3,NULL),(15,2255731,'1984-05-13 00:00:00',2,1,8,2003,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242248131152731456823281122131428092',NULL,'306',22.47,1,3,NULL),(15,2255740,'1985-04-30 00:00:00',2,1,12,2003,'M','N','TRÊS VENDAS','ERECHIM','RS','120203201136141431323344341133610157042',20565,'9998',35.76,1,3,NULL),(15,2255758,'1990-09-05 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241217151451444669375112610138192',11968,'868',49.02,1,3,NULL),(15,2255766,'1987-09-10 00:00:00',2,2,12,2004,'F','N','PRAIA DO CANTO','VITORIA','ES','108084081436131411437621115334142266147',NULL,'9998',0.00,1,3,NULL),(15,2255774,'1988-09-11 00:00:00',2,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124244241437272451257769472214610167047',16546,'1036',42.52,1,3,NULL),(15,2255782,'1982-05-25 00:00:00',4,1,11,1999,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124081081116141431244448385124143256197',20014,'9998',36.79,3,3,NULL),(15,2255790,'1989-06-13 00:00:00',4,1,11,2007,'F','N','CENTRO','GAROPABA','SC','124241247141111411423879491125610126093',NULL,'9999',17.90,1,3,NULL),(15,2255804,'1988-06-06 00:00:00',2,1,11,2007,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124242241211371731119931597311610168186',NULL,'300',0.00,1,3,NULL),(15,2255812,'1989-01-05 00:00:00',4,1,12,2007,'F','N','ILHA GRANDE SEBOLD','CHAPADAO DO LAGEADO','SC','124241241135131212433316352224610143142',20349,'165',36.15,1,2,1),(15,2255820,'1988-05-25 00:00:00',4,1,12,2005,'F','N','CENTRO','BARBACENA','MG','113074071217571431378713575122610132147',3185,'9998',65.59,1,3,NULL),(15,2255839,'1983-05-04 00:00:00',4,1,12,2002,'M','N','ARMAÇÃO PANTANO SUL','FLORIANOPOLIS','SC','124136131416371411336823482224140636082',NULL,'9998',10.83,1,3,NULL),(15,2255847,'1984-04-18 00:00:00',4,1,12,2004,'M','N','INGLESES','FLORIANOPOLIS','SC','124202241122131751227723485114610124187',21022,'307',34.82,1,3,NULL),(15,2255855,'1986-01-01 00:00:00',4,3,12,2003,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241213575431349923382124610134117',5029,'44',61.03,1,3,NULL),(15,2255863,'1989-11-06 00:00:00',4,8,12,2007,'F','N','CENTRO','ITUPORANGA','SC','124241241225111431443632232312610137141',NULL,'414',0.00,1,3,NULL),(15,2255871,'1986-02-07 00:00:00',4,1,12,2004,'F','N','CHAMPAGNAT','CURITIBA','PR','116162161211143451346349391324122646012',487,'9998',76.91,1,3,NULL),(15,2255880,'1990-06-18 00:00:00',4,5,11,2007,'F','N','UNIVERSITARIO','CRICIUMA','SC','124244241215131431436923272122610137077',19024,'995',38.63,1,3,NULL),(15,2255898,'1990-12-12 00:00:00',4,1,12,2007,'F','N','COLONIA SANTANA','SAO JOSE','SC','124243241126131431325324572124610128142',22341,'731',30.77,1,3,NULL),(15,2255901,'1983-09-26 00:00:00',4,1,12,2001,'M','N','CENTRO','PALHOCA','SC','124243241342132431458629485122133267062',13121,'420',47.43,1,3,NULL),(15,2255910,'1990-01-17 00:00:00',2,1,12,2007,'F','N','BARRA DO ARIRIÚ','PALHOCA','SC','124241241115151431565413572114610128187',16363,'591',42.81,1,2,1),(15,2255928,'1972-04-16 00:00:00',2,1,12,1989,'M','N','CENTRO','FLORIANOPOLIS','SC','124251253127142721163543235132321062057',6321,'9998',58.41,1,3,NULL),(15,2255936,'1984-06-12 00:00:00',4,1,12,2001,'F','N','KENNEDY','VACARIA','RS','120201201115271731224629482344610118142',19668,'9998',37.48,1,3,NULL),(15,2255944,'1989-09-20 00:00:00',4,1,12,2006,'M','N','IPIRANGA','SAO JOSE','SC','124243241115151431448637345112610164052',8294,'734',54.86,2,1,2),(15,2255952,'1989-08-27 00:00:00',2,9,12,2006,'M','N','CENTRO','SANANDUVA','RS','120201201216111451346633595124241267051',10547,'9998',51.11,1,3,NULL),(15,2255960,'1986-01-29 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241146135411113344345134610148147',13191,'298',47.34,1,2,1),(15,2255979,'1988-04-28 00:00:00',5,5,12,2005,'F','N','VILA PIERINI','CRICIUMA','SC','124242246217343411566912341122230246092',8684,'995',54.20,1,3,NULL),(15,2255987,'1990-06-21 00:00:00',4,1,2,2008,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241115111431458933475124610137042',3947,'306',63.60,1,2,1),(15,2255995,'1988-02-19 00:00:00',4,1,12,2005,'M','N','SAUDE','SAO PAULO','SP','125252251217572741356622575115610167122',2775,'9998',66.81,1,3,NULL),(15,2256002,'1986-11-11 00:00:00',2,1,12,2005,'M','N','DIVINO ESPÍRITOSANTO','JATAI','GO','109093091326371731226629145321610127182',12926,'9998',47.68,1,3,NULL),(15,2256010,'1990-05-02 00:00:00',4,1,12,2007,'F','N','BUENO','GOIANIA','GO','109092091216111331566631575122610166092',NULL,'9998',0.00,1,3,NULL),(15,2256029,'1985-11-20 00:00:00',2,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','124241241112131431423319395124231065192',14504,'726',45.40,1,2,1),(15,2256037,'1990-03-28 00:00:00',4,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241116131411524324575124610131187',21908,'733',32.58,1,2,1),(15,2256045,'1988-12-15 00:00:00',4,1,12,2006,'F','N','PARQUE DA REPRESA','PAULINIA','SP','125251253116471431467814475112610163147',13444,'9998',46.95,1,3,NULL),(15,2256053,'1988-02-24 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215412431648839571125610122192',1376,'270',71.77,1,3,NULL),(15,2256061,'1990-09-25 00:00:00',4,4,12,2007,'M','N','SÃO PEDRO','ESTACAO','RS','120201201215111431436639575114610137052',15061,'9998',44.72,1,3,NULL),(15,2256070,'1985-04-27 00:00:00',2,1,12,2002,'F','N','SÃO SEBASTIÃO','PALHOCA','SC','124241241115143411541314232124610162187',13708,'591',46.60,1,2,1),(15,2256088,'1984-11-24 00:00:00',2,1,12,2002,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124201201216131431116619492324610124097',13418,'9998',47.00,2,3,NULL),(15,2256096,'1985-01-14 00:00:00',2,1,12,2002,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241117375431434624482114610127047',6010,'307',59.06,1,2,1),(15,2256100,'1985-11-29 00:00:00',4,1,12,2003,'M','N','CAMPINAS','SAO JOSE','SC','124163248416153431565412225124610136142',19919,'9997',36.98,1,3,NULL),(15,2256118,'1990-07-03 00:00:00',4,1,12,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124241241215112441466612575114610164172',602,'1022',76.08,1,3,NULL),(15,2256126,'1990-01-02 00:00:00',4,1,11,2006,'F','N','CENTRO','LAGES','SC','124242241215472431479911575124610124182',1894,'499',69.62,1,3,NULL),(15,2256150,'1988-10-08 00:00:00',4,1,12,2006,'M','N','JARDIM MARIN','VOTUPORANGA','SP','125252251217471431568811572122610167092',17554,'9998',41.01,1,3,NULL),(15,2256169,'1988-12-13 00:00:00',4,6,12,2006,'F','N','CENTRO','PICARRAS','SC','124241241137132431323511382214610137147',NULL,'9997',16.86,1,2,1),(15,2256177,'1983-12-19 00:00:00',2,1,12,2000,'F','N','BIGORRILHO','CURITIBA','PR','616161161116151411334754245122141731097',7061,'9998',57.04,1,3,NULL),(15,2256185,'1988-08-22 00:00:00',4,6,12,2005,'F','N','SÃO JUDAS','ITAJAI','SC','124242241215571431588732424122610161176',4477,'392',62.32,1,3,NULL),(15,2256193,'1987-12-11 00:00:00',4,2,12,2005,'F','N','COLONIAL','SAO BENTO DO SUL','SC','124242241214473431466612272124130434012',9191,'699',53.29,1,3,NULL),(15,2256207,'1987-07-21 00:00:00',4,7,12,2004,'F','N','CENTRO','UNIAO DA VITORIA','PR','116162161215571431346614495122610137012',17776,'9998',40.70,1,3,NULL),(15,2256215,'1985-11-16 00:00:00',4,1,8,2004,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241127272712325544445123610128192',10935,'922',50.55,4,3,NULL),(15,2256223,'1991-06-11 00:00:00',4,1,12,2008,'M','S','RIO VERMELHO','FLORIANOPOLIS','SC','124242241217111411589931575122610144027',NULL,'1049',39.60,1,3,NULL),(15,2256231,'1988-08-29 00:00:00',5,1,7,2006,'M','N','SÃO CRISTOVÃO','TURVO','SC','124243241317161731446934442124610132142',NULL,'995',31.82,1,3,NULL),(15,2256240,'1980-04-03 00:00:00',2,1,12,1997,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','124201208126431431237853141334140244147',18508,'9998',39.46,1,3,NULL),(15,2256258,'1990-01-21 00:00:00',2,4,12,2007,'M','N','PLANALTO','PATO BRANCO','PR','116161161146141431423919292122610162152',NULL,'9998',0.00,1,2,1),(15,2256266,'1972-07-28 00:00:00',2,1,12,2000,'M','N','CENTRO','FLORIANOPOLIS','SC','624241241126133231232144142323121717117',11179,'291',50.19,4,2,1),(15,2256274,'1990-01-17 00:00:00',2,1,12,2006,'F','N','NITEROI','CANOAS','RS','120202201216131431427833295124610122147',22229,'9998',31.38,3,3,NULL),(15,2256290,'1988-10-15 00:00:00',4,1,12,2006,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241211372751468613445124610154182',NULL,'270',0.00,1,3,NULL),(15,2256304,'1987-10-04 00:00:00',2,1,12,2004,'F','N','COLONIA SANTANA','SAO JOSE','SC','124241241127134431433519382223231423052',16528,'731',42.54,1,3,NULL),(15,2256312,'1989-10-18 00:00:00',4,1,12,2006,'F','N','PAES LEME','IMBITUBA','SC','124241241117132421534711575122610163197',16655,'1034',42.38,1,2,1),(15,2256320,'1984-05-01 00:00:00',4,1,12,2002,'M','N','VARGINHA','ITAJUBA','MG','113251256437571731566314482122610137057',8847,'9998',53.93,4,3,NULL),(15,2256347,'1981-04-17 00:00:00',4,1,12,1998,'F','N','TRINDADE','FLORIANOPOLIS','SC','124132131216131431467614385124343131187',13780,'9998',46.49,1,3,NULL),(15,2256355,'1990-09-11 00:00:00',2,8,12,2007,'F','N','CENTRO','CHAPADAO DO LAGEADO','SC','124241241115131252433335352224610137052',12123,'165',48.83,1,2,1),(15,2256363,'1990-04-18 00:00:00',4,1,11,2007,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124244241215112731456531172124610138182',7737,'270',55.80,1,3,NULL),(15,2256371,'1990-09-25 00:00:00',5,3,12,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','124244241116271411538829112121610124017',6344,'405',58.37,1,3,NULL),(15,2256380,'1988-03-17 00:00:00',2,9,12,2006,'F','N','ESTADOS','BALNEARIO CAMBORIU','SC','124243242112373431445723372124230327075',16242,'129',42.99,1,3,NULL),(15,2256398,'1983-03-07 00:00:00',2,1,5,2003,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124244246114132431428831385124220541187',17112,'306',41.71,1,3,NULL),(15,2256410,'1990-11-05 00:00:00',4,8,11,2007,'F','N','SANTA CATARINA','JOINVILLE','SC','124241241215371331326434345324610123077',NULL,'489',16.48,1,3,NULL),(15,2256428,'1985-01-10 00:00:00',2,5,11,2002,'M','N','CENTRO','CRICIUMA','SC','124242241216135431558834472112132467067',156,'213',80.58,1,3,NULL),(15,2256436,'1986-04-01 00:00:00',2,1,12,2003,'M','N','GANCHOS DO MEIO','GOVERNADOR CELSO RAMOS','SC','124241241116153711433619495124231026042',NULL,'65',0.00,1,3,NULL),(15,2256444,'1987-01-08 00:00:00',4,10,12,2004,'F','N','CENTRO','RIO FORTUNA','SC','124241241121161431543933372124131365077',NULL,'665',31.25,1,2,1),(15,2256452,'1989-03-27 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241235372231266923342112131023052',8333,'270',54.80,1,3,NULL),(15,2256460,'1988-11-17 00:00:00',4,2,12,2006,'M','N','BOQUEIRÃO','CURITIBA','PR','116224221133571152548831572314610164147',NULL,'9998',0.00,1,3,NULL),(15,2256479,'1985-07-22 00:00:00',2,1,12,2003,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241243127371431643424245334610132143',21739,'296',33.16,1,3,NULL),(15,2256487,'1991-02-12 00:00:00',4,8,12,2007,'F','N','CENTRO','BOM SUCESSO DO SUL','PR','116162161215111431439939575122610124142',NULL,'9998',0.00,1,3,NULL),(15,2256509,'1981-07-03 00:00:00',2,1,12,1999,'F','N','RIO GRANDE','PALHOCA','SC','124241241132235131226549392334130264197',19007,'307',38.66,1,3,NULL),(15,2256517,'1991-05-10 00:00:00',4,10,12,2008,'F','S','STO ANTONIO DE PADUA','TUBARAO','SC','124242241211112411449914395112610168182',NULL,'806',46.81,1,3,NULL),(15,2256525,'1988-07-03 00:00:00',4,1,11,2007,'M','N','AGUA VERDE','CURITIBA','PR','116123151415371432569717274114610124042',6970,'9998',57.22,1,3,NULL),(15,2256533,'1990-07-02 00:00:00',4,8,12,2007,'F','N','ALTOS DA CIDADE','MARILIA','SP','125252251216131431328724572122610167017',8679,'9998',54.21,1,3,NULL),(15,2256541,'1988-02-22 00:00:00',2,1,12,2005,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241132313221443414245134610164047',NULL,'592',25.29,1,2,1),(15,2256568,'1990-10-22 00:00:00',4,1,12,2007,'F','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124241241115111611324327592324610117142',18771,'307',39.03,1,3,NULL),(15,2256576,'1990-12-11 00:00:00',4,9,12,2007,'F','N','CHAPADÃO FLORESTAL','CHAPADAO DO LAGEADO','SC','124241241114131312433336352222610147142',NULL,'165',17.02,1,2,1),(15,2256584,'1988-08-01 00:00:00',2,1,12,2005,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124241241116371731444434445114610167067',20950,'307',34.97,1,2,1),(15,2256592,'1987-06-22 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241111132421233344241224610117042',NULL,'646',35.48,1,3,NULL),(15,2256606,'1989-04-07 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215272411289823572112610167142',5801,'270',59.46,1,3,NULL),(15,2256614,'1989-04-29 00:00:00',4,1,11,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215372431369513572124610167182',15456,'259',44.18,1,3,NULL),(15,2256622,'1990-11-08 00:00:00',2,1,12,2007,'M','N','BOM VIVER','BIGUACU','SC','124241241112111711435313595124610167052',NULL,'1116',22.98,1,3,NULL),(15,2256630,'1991-02-28 00:00:00',4,1,12,2008,'F','S','SÃO JOSÉ','SAO JOSE','SC','124242241215111731338921572124610124142',NULL,'737',4.53,1,3,NULL),(15,2256649,'1991-06-15 00:00:00',2,5,12,2007,'F','N','CENTRO','JACINTO MACHADO','SC','124242241235271431445532575122610138142',10208,'970',51.61,1,3,NULL),(15,2256657,'1988-10-17 00:00:00',2,1,12,2005,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124242241214373431643511441334610144077',11528,'988',49.67,1,3,NULL),(15,2256665,'1990-04-04 00:00:00',4,3,12,2007,'F','N','JD DAS AMÉRICAS','CURITIBA','PR','116164161215371451666634571124610165197',14477,'9998',45.45,1,3,NULL),(15,2256673,'1989-05-30 00:00:00',4,1,12,2006,'F','N','RESID VILLAGGIO','BAURU','SP','125252251217371751558833585122610163027',17672,'9998',40.83,1,3,NULL),(15,2256681,'1990-04-06 00:00:00',2,7,12,2007,'F','N','INTERIOR','IBICARE','SC','124241241125131431436935242235610133147',NULL,'345',25.10,1,2,1),(15,2256690,'1991-04-17 00:00:00',4,1,12,2008,'F','S','TRINDADE','FLORIANOPOLIS','SC','124254241116151431478619292122610138055',NULL,'298',54.44,1,3,NULL),(15,2256703,'1989-03-08 00:00:00',4,1,6,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242281215572431589732342122610122122',16578,'9998',42.48,1,3,NULL),(15,2256711,'1989-06-25 00:00:00',4,1,10,2007,'M','N','CENTRO','IMBITUBA','SC','624243247312151431446614595124610124141',NULL,'631',0.00,1,3,NULL),(15,2256720,'1990-09-20 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431538834172124610163052',14576,'272',45.30,1,3,NULL),(15,2256746,'1988-10-18 00:00:00',4,1,12,2005,'M','N','CAMPINAS','SAO JOSE','SC','124241248112133431456631475124610142092',12516,'307',48.27,1,3,NULL),(15,2256754,'1990-01-01 00:00:00',2,1,12,2007,'F','N','ITAGUAÇÚ','FLORIANOPOLIS','SC','124243241415111441367723575124610143097',11369,'1022',49.89,1,3,NULL),(15,2256762,'1983-08-15 00:00:00',4,1,12,2000,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241211472431346723492124321534047',1568,'168',70.90,1,3,NULL),(15,2256770,'1988-05-22 00:00:00',2,1,7,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117131411334729342124610134057',4158,'306',63.04,1,2,1),(15,2256789,'1989-06-17 00:00:00',2,1,11,2006,'F','N','CENTRO','BOM JARDIM DA SERRA','SC','124244241216472431357629472114610144147',4011,'1035',63.42,1,3,NULL),(15,2256797,'1987-04-27 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124201201317272431258923415122242043092',5872,'9998',59.31,1,3,NULL),(15,2256800,'1990-10-30 00:00:00',4,4,12,2007,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124241241134151431435519576125610124057',NULL,'755',24.87,1,2,1),(15,2256819,'1990-09-15 00:00:00',4,1,12,2007,'F','N','ALTO FIGUEIREDO','CHAPADAO DO LAGEADO','SC','124241241115131232534933472224610141142',21892,'165',32.63,1,2,1),(15,2256827,'1983-10-14 00:00:00',4,1,12,2000,'M','N','CAPÃO DA IMBUIA','CURITIBA','PR','116163161312412441433833182225541014153',NULL,'9998',0.00,1,3,NULL),(15,2256835,'1989-10-02 00:00:00',2,1,12,2006,'M','N','CENTRO','APUCARANA','PR','116162161215472431627624275122610167182',14144,'9998',45.97,1,3,NULL),(15,2256843,'1990-12-11 00:00:00',4,9,12,2007,'F','N','FLORESTAL','CHAPADAO DO LAGEADO','SC','124241241114131232435536352224610167092',22470,'165',29.21,1,2,1),(15,2256851,'1985-09-06 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217575731459631572124230267187',1884,'270',69.66,4,3,NULL),(15,2256860,'1990-09-02 00:00:00',4,1,12,2007,'F','N','CENTRO','ANCHIETA','SC','124243241127161431326632575112610127147',21490,'16',33.75,4,3,NULL),(15,2256878,'1969-11-07 00:00:00',2,1,12,1990,'M','N','ROÇADO','SAO JOSE','SC','224241241427144411633341416123610146177',15814,'9999',43.65,1,3,NULL),(15,2256886,'1990-06-22 00:00:00',4,1,11,2007,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124244241415111431458817474114610124192',2168,'270',68.70,1,3,NULL),(15,2256894,'1990-05-08 00:00:00',4,1,11,2007,'F','N','JURERÊ','FLORIANOPOLIS','SC','124202241215112431438811572124610127151',7116,'270',56.94,1,3,NULL),(15,2256908,'1987-09-25 00:00:00',4,1,12,2005,'M','N','VILA CARVALHO','SOROCABA','SP','125252251215572411468614341122610127042',NULL,'9998',0.00,1,3,NULL),(15,2256916,'1983-02-23 00:00:00',4,1,12,2003,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242247225142411438849292123610167117',13728,'1003',46.58,1,3,NULL),(15,2256924,'1991-05-05 00:00:00',2,5,12,2008,'M','S','SÃO LUIS','CRICIUMA','SC','124081241417111532448719572124610124057',NULL,'880',44.72,1,3,NULL),(15,2256932,'1988-06-03 00:00:00',4,8,12,2002,'F','N','CENTRO','CORUPA','SC','124241241125131431334619382312610142147',15988,'403',43.40,1,2,1),(15,2256940,'1988-06-08 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216273211378837574125130224125',5045,'270',61.00,1,3,NULL),(15,2256959,'1988-07-09 00:00:00',2,1,12,2007,'F','N','BELA VISTA','SAO JOSE','SC','124241241115141731546514342114610162111',20799,'257',35.29,1,3,NULL),(15,2256967,'1990-03-29 00:00:00',4,2,12,2007,'F','N','CENTRO','TIMBO','SC','124241241215471531358831574222610167072',18052,'9997',40.22,1,3,NULL),(15,2256975,'1991-02-05 00:00:00',4,1,12,2007,'M','N','BALNEARIO','FLORIANOPOLIS','SC','124241241112131431346414245124610167042',14778,'257',45.03,1,2,1),(15,2256983,'1990-11-28 00:00:00',4,1,12,2007,'F','N','REAL PARQUE','SAO JOSE','SC','124241241115131732536513342124610134147',NULL,'734',26.07,1,2,1),(15,2256991,'1989-07-23 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211372431459934595112610118141',4159,'262',63.03,1,3,NULL),(15,2257009,'1990-08-20 00:00:00',4,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215111211345923572115610164141',1638,'737',70.64,1,3,NULL),(15,2257025,'1988-11-27 00:00:00',4,1,12,2006,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241116471311435623345124610127047',21677,'307',33.32,2,1,1),(15,2257033,'1990-10-21 01:00:00',2,7,11,2007,'M','N','CENTRO','CONCORDIA','SC','124241241217111431443632375121610134182',17931,'190',40.43,1,3,NULL),(15,2257041,'1990-09-05 00:00:00',4,1,11,2007,'M','N','CENTRO','RIO DO SUL','SC','124242241216371451359823575112610132012',17345,'653',41.32,1,3,NULL),(15,2257050,'1991-12-19 00:00:00',4,7,12,2008,'F','S','CENTRO','HERVAL D OESTE','SC','124243244214111321577632572122610168072',NULL,'446',36.46,1,3,NULL),(15,2257068,'1990-09-04 00:00:00',2,3,12,2007,'F','N','CENTRO','MARINGA','PR','116162161215111411365812592122610164042',3269,'9998',65.34,1,3,NULL),(15,2257076,'1988-01-22 00:00:00',4,9,12,2005,'M','N','CENTRO','CELSO RAMOS','SC','124241241145373431458913574125610127077',21937,'163',32.50,1,2,1),(15,2257084,'1983-07-14 00:00:00',2,3,12,2001,'M','N','ZIMBROS','BOMBINHAS','SC','124241241126133431431311215112131062072',10303,'96',51.48,1,2,1),(15,2257092,'1991-05-04 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241215111431343824272114610128147',10659,'1022',50.93,1,3,NULL),(15,2257106,'1986-10-25 01:00:00',2,1,7,2005,'M','N','CACHOEIRA','FLORIANOPOLIS','SC','124241241122134411533318442314610164042',14701,'307',45.15,1,3,NULL),(15,2257114,'1990-06-17 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215111431379611572122610127117',8376,'270',54.72,1,3,NULL),(15,2257122,'1988-09-17 00:00:00',4,2,12,2005,'M','N','CENTRO','ASCURRA','SC','124242241616572451548711575125610168142',16405,'940',42.75,1,3,NULL),(15,2257130,'1990-11-19 00:00:00',2,5,2,2008,'F','N','CENTRO','MORRO DA FUMACA','SC','124241243215271411456631572122610163022',11840,'995',49.19,1,3,NULL),(15,2257149,'1990-03-31 00:00:00',4,1,12,2007,'M','N','CENTRO','SANTA FE','PR','116161161116151431555929595121610111072',17757,'9998',40.73,3,2,1),(15,2257157,'1990-03-23 00:00:00',4,1,12,2007,'M','N','ESTRADA GERAL','ITUPORANGA','SC','124241241115161431313316255224610128197',NULL,'888',0.00,1,2,1),(15,2257165,'1988-09-17 00:00:00',4,2,12,2005,'M','N','CENTRO','ASCURRA','SC','124241241216572431538712475124610134012',7292,'940',56.62,1,3,NULL),(15,2257173,'1990-05-12 00:00:00',4,7,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124241241116151421364652242122610137052',NULL,'239',0.00,1,3,NULL),(15,2257190,'1987-11-06 00:00:00',4,1,11,2004,'M','N','BOTAFOGO','RIO DE JANEIRO','RJ','121211211116472451479923571124141162017',NULL,'9998',0.00,1,3,NULL),(15,2257203,'1990-08-15 00:00:00',4,9,12,2007,'F','N','COPACABANA','LAGES','SC','124244241436111441366812335122610134072',14583,'515',45.29,1,3,NULL),(15,2257211,'1990-09-08 00:00:00',4,1,2,2008,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241117111432458413572114610148015',10055,'739',51.84,1,3,NULL),(15,2257238,'1990-09-27 00:00:00',2,1,12,2007,'M','N','CENTRO','ERECHIM','RS','120201201115151431346613574222610168142',20618,'9998',35.65,1,2,1),(15,2257246,'1986-12-29 00:00:00',1,4,12,2003,'F','N','JARDIM SOCIAL','CURITIBA','PR','116243241215571751446824591224143235092',2999,'185',66.15,1,3,NULL),(15,2257254,'1980-05-08 00:00:00',2,1,11,1997,'M','N','JARDIM ITATI','PORTO ALEGRE','RS','120201201216151641346511482322142027117',13607,'9998',46.74,1,3,NULL),(15,2257262,'1988-08-27 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241231412411479831571125610112092',3166,'262',65.65,4,3,NULL),(15,2257270,'1989-07-29 00:00:00',4,10,12,2006,'F','N','CENTRO','CAPIVARI DE BAIXO','SC','124243241216472431546929375114610164057',17403,'797',41.22,1,3,NULL),(15,2257289,'1968-10-18 00:00:00',3,1,7,1987,'M','N','CAMPINAS','SAO JOSE','SC','124241246116155431357823141124420266147',NULL,'306',0.00,1,3,NULL),(15,2257297,'1990-06-19 00:00:00',2,1,11,2007,'M','N','CENTRO','IMBITUBA','SC','124244241215111431348512575122610137042',1941,'362',69.46,1,3,NULL),(15,2257300,'1991-10-16 00:00:00',4,4,12,2008,'F','S','CENTRO','SAO MIGUEL DOESTE','SC','124242241216111431446613575122610127012',NULL,'752',40.00,1,3,NULL),(15,2257319,'1990-10-22 00:00:00',2,5,11,2007,'M','N','MICHEL','CRICIUMA','SC','124241241215131711444431575122610127057',12370,'210',48.47,1,3,NULL),(15,2257327,'1985-03-14 00:00:00',4,1,12,2003,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244241437471431248823395124610168055',17765,'307',40.72,1,3,NULL),(15,2257335,'1991-10-26 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215111411449914372122610134112',9859,'723',52.17,1,3,NULL),(15,2257343,'1986-07-22 00:00:00',2,1,12,2003,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241126573751446714222122231027057',6029,'11',59.01,1,2,1),(15,2257351,'1991-01-23 00:00:00',2,4,12,2007,'F','N','ERICA','PANAMBI','RS','120201201117131431448633575122610122122',9955,'9998',52.00,1,2,1),(15,2257360,'1987-12-04 00:00:00',4,1,12,2004,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124242241215572431649513472114610163097',1511,'962',71.14,1,3,NULL),(15,2257378,'1989-06-14 00:00:00',2,9,12,2007,'M','N','CENTRO','VACARIA','RS','120203201126141431426739195125610167057',19757,'9998',37.32,1,3,NULL),(15,2257386,'1984-11-21 00:00:00',4,1,12,2002,'F','N','ITAGUAÇÚ','FLORIANOPOLIS','SC','124241241123371431421923382324610121092',16983,'9997',41.90,1,2,1),(15,2257394,'1987-12-02 00:00:00',2,1,12,2007,'M','N','MARIA LUIZA','CASCAVEL','PR','116161161117111731556613472122610111041',NULL,'9998',16.70,1,2,1),(15,2257408,'1986-10-08 00:00:00',2,8,12,2003,'F','N','CENTRO','CURITIBA','PR','116161161115572431558831572325610124187',1365,'9998',71.81,1,3,NULL),(15,2257416,'1988-01-21 00:00:00',2,1,12,2007,'M','N','BAIRRO IPIRANGA','SAO JOSE','SC','124241241115271431336624235124610117047',NULL,'734',19.63,4,3,NULL),(15,2257432,'1989-09-08 00:00:00',4,8,11,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124243241217222431448833574125610132057',3596,'486',64.49,1,3,NULL),(15,2257440,'1986-03-19 00:00:00',4,1,7,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242281117111531367911315124610134012',NULL,'9998',26.40,1,3,NULL),(15,2257459,'1990-05-09 00:00:00',4,4,12,2007,'F','N','SÃO JOSÉ','MARAVILHA','SC','624241241115271741435419196122610124182',10822,'552',50.71,1,2,1),(15,2257467,'1989-03-31 00:00:00',4,1,12,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241211152711487713232125231964191',4014,'44',63.41,1,3,NULL),(15,2257475,'1985-06-05 00:00:00',3,1,12,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241115114431559811571122220334092',NULL,'267',21.11,1,2,1),(15,2257483,'1976-02-23 00:00:00',2,1,7,1996,'M','N','ROÇADO','SAO JOSE','SC','124243241322273411233343132223230267047',17153,'270',41.64,4,1,2),(15,2257491,'1989-10-12 00:00:00',2,1,12,2006,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242241212152431566614571124130227042',15119,'1074',44.65,1,3,NULL),(15,2257505,'1989-07-23 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215151431458834572122610164197',NULL,'211',17.70,1,3,NULL),(15,2257513,'1987-01-01 00:00:00',4,1,12,2004,'M','N','CENTRO','CRICIUMA','SC','124242248212274751567512391125131462067',3493,'211',64.78,4,3,NULL),(15,2257530,'1987-09-15 00:00:00',4,1,12,2004,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124251251137241411333349212334610156182',NULL,'9998',27.04,4,2,1),(15,2257548,'1982-01-18 00:00:00',4,1,12,2003,'F','N','CAMPINAS','SAO JOSE','SC','124241247122151432443311212124610111192',NULL,'736',16.90,1,3,NULL),(15,2257556,'1990-09-03 00:00:00',2,1,11,2007,'F','N','FORQUILHAS','SAO JOSE','SC','124241241315151431344412112124610166117',13946,'1022',46.23,1,3,NULL),(15,2257564,'1989-01-16 00:00:00',4,8,11,2006,'F','N','GLÓRIA','JOINVILLE','SC','124242241235372331459834575122610123182',10636,'44',50.97,1,3,NULL),(15,2257572,'1990-11-04 00:00:00',2,9,11,2007,'F','N','BELA VISTA','SAO JOAQUIM','SC','124242241214111531426514592122610123147',NULL,'720',22.59,1,3,NULL),(15,2257580,'1990-12-17 00:00:00',2,1,11,2008,'M','S','CAPOEIRAS','FLORIANOPOLIS','SC','124242241211111431326629391124610162182',NULL,'1022',42.26,1,3,NULL),(15,2257599,'1988-12-19 00:00:00',2,1,12,2006,'F','N','VILA MOEMA','TUBARAO','SC','124242241217372431568811575122610127122',2134,'807',68.87,1,3,NULL),(15,2257602,'1989-11-18 00:00:00',2,1,12,2007,'M','N','FLORESTA','SAO JOSE','SC','124244241215111431416339492122610127042',14783,'724',45.03,1,3,NULL),(15,2257610,'1975-06-09 00:00:00',4,1,12,1994,'M','N','TRINDADE','FLORIANOPOLIS','SC','224243241117343421237643432122331232042',NULL,'267',0.00,1,3,NULL),(15,2257629,'1986-08-24 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241217373431446912495122231464042',6498,'541',58.08,1,3,NULL),(15,2257637,'1989-11-28 00:00:00',2,1,12,2006,'M','N','ROÇADO','SAO JOSE','SC','124243241322371431326624572311610127097',16178,'729',43.10,1,3,NULL),(15,2257645,'1982-04-13 00:00:00',4,1,12,1999,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124241241146111351184443434143340714112',2525,'572',67.55,1,3,NULL),(15,2257653,'1979-02-05 00:00:00',4,1,12,1996,'F','N','INGLESES','FLORIANOPOLIS','SC','124243241115473221467713485124322846097',9520,'267',52.74,1,3,NULL),(15,2257661,'1989-11-11 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215473431467814572112610124097',3887,'262',63.77,1,3,NULL),(15,2257670,'1989-04-11 00:00:00',2,1,12,2006,'F','N','CENTRO','CAMPO BOM','RS','120202201215471751353722591122610168147',NULL,'9998',0.00,1,3,NULL),(15,2257688,'1987-10-13 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241248112111731536414115122330114052',NULL,'288',26.71,1,3,NULL),(15,2257696,'1987-03-21 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241212374431426914281114610163147',10479,'724',51.21,1,3,NULL),(15,2257700,'1980-09-22 00:00:00',4,1,12,1999,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124252256127151711158712225132342122047',10663,'9998',50.93,3,3,NULL),(15,2257718,'1990-11-06 00:00:00',4,5,11,2007,'M','N','COMERCIARIO','CRICIUMA','SC','124244241215111431373514572122610117042',12097,'226',48.87,2,3,NULL),(15,2257726,'1990-10-18 00:00:00',2,3,11,2007,'F','N','VILA NOVA','MAFRA','SC','124163241215111431548812584122610124152',16651,'9997',42.38,1,3,NULL),(15,2257734,'1981-02-26 00:00:00',4,1,7,2001,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','624242246142144431221771385124233263097',12030,'306',48.94,1,3,NULL),(15,2257742,'1985-12-24 00:00:00',4,1,12,2003,'M','N','PARQUE DA FAZENDA','ITATIBA','SP','125252251217121231468614575122343242054',NULL,'9998',NULL,1,3,NULL),(15,2257750,'1989-08-30 00:00:00',2,1,11,2007,'M','N','MEDIANEIRA','PANAMBI','RS','120202201217411331546413295224610161172',NULL,'9998',18.47,1,3,NULL),(15,2257769,'1990-08-16 00:00:00',4,4,12,2007,'M','N','PRESIDENTE MÉDICI','CHAPECO','SC','124242241212371711447839572122610164052',21777,'185',33.03,1,3,NULL),(15,2257777,'1976-05-26 00:00:00',2,8,12,1993,'F','N','ATIRADORES','JOINVILLE','SC','124242241212575431348413482324142466047',8412,'459',54.68,1,3,NULL),(15,2257807,'1952-02-27 00:00:00',2,1,12,1977,'F','N','CARIANOS','FLORIANOPOLIS','SC','524241245115571421224447472224130231146',21269,'512',34.28,1,2,1),(15,2257815,'1991-11-03 00:00:00',4,5,11,2008,'M','S','CENTRO','ARARANGUA','SC','124242241217111231579931575122610117142',NULL,'32',47.57,1,3,NULL),(15,2257823,'1988-04-10 00:00:00',2,1,12,2005,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241116253431436313342214610164047',12567,'281',48.19,1,3,NULL),(15,2257831,'1988-09-13 00:00:00',4,8,12,2005,'M','N','JARDIM AMÉRICA','CACAPAVA','SP','125252256215471441447824375115610148197',9852,'9998',52.18,1,3,NULL),(15,2257840,'1990-05-10 00:00:00',4,10,10,2007,'M','N','AEROPORTO','TUBARAO','SC','124242241217112311469814346112610165097',8888,'806',53.85,1,3,NULL),(15,2257858,'1990-05-05 00:00:00',2,3,11,2007,'F','N','VISTA VERDE','SAO JOSE DOS CAMPOS','SP','125252251217111441668813475124610164142',NULL,'9998',35.70,1,3,NULL),(15,2257866,'1990-10-29 00:00:00',4,1,12,2007,'F','N','VILA TERESÓPOLIS','AGUAS MORNAS','SC','124241241117131331443612592224610125142',15466,'978',44.17,1,3,NULL),(15,2257874,'1990-09-07 00:00:00',2,5,11,2007,'M','N','CENTRO','ARARANGUA','SC','124242241215111411357731572112610167047',NULL,'32',0.00,1,3,NULL),(15,2257882,'1978-04-24 00:00:00',4,1,12,1997,'M','N','JARDIM SUMARE','RIBEIRAO PRETO','SP','225251251315411421225516211122342865027',14049,'9998',46.10,1,3,NULL),(15,2257890,'1990-09-13 00:00:00',4,2,11,2007,'F','N','ITOUP CENTRAL','BLUMENAU','SC','124244241117131411566631242224610162142',NULL,'83',0.00,1,3,NULL),(15,2257904,'1990-06-14 00:00:00',4,1,12,2007,'F','N','CENTRO','TIJUCAS','SC','124242241215111431556614571122610163185',18699,'948',39.17,1,3,NULL),(15,2257912,'1990-01-16 00:00:00',4,1,12,2007,'M','N','FLORESTA','SAO JOSE','SC','124244241215121411568833575122610114042',4321,'1036',62.67,1,3,NULL),(15,2257920,'1990-06-11 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215111731367451111324610127077',5687,'272',59.69,1,3,NULL),(15,2257947,'1990-06-01 00:00:00',4,1,12,2007,'F','N','DANIELA','FLORIANOPOLIS','SC','124243241337271431334657575114610164147',19749,'307',37.33,1,3,NULL),(15,2257955,'1988-10-15 00:00:00',2,2,12,2006,'F','N','DOS ESTADOS','INDAIAL','SC','124241241216141731556732145122610135147',22168,'986',31.65,1,3,NULL),(15,2257963,'1986-08-05 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124202201217272731114811596112231014187',5590,'9998',59.89,1,3,NULL),(15,2257980,'1988-10-30 00:00:00',4,2,11,2007,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215271531488619572112613264126',17341,'855',41.32,1,3,NULL),(15,2257998,'1990-10-29 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241214111431437734575122610164012',13326,'259',47.14,1,3,NULL),(15,2258005,'1989-04-21 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241217132431348831575124230227017',1216,'541',72.39,1,3,NULL),(15,2258013,'1990-04-18 00:00:00',4,1,11,2007,'F','N','ASA NORTE','BRASILIA','DF','107072071117321731266629495112610164017',9820,'9998',52.23,1,3,NULL),(15,2258021,'1989-09-21 00:00:00',4,2,12,2007,'F','N','CENTRO','POMERODE','SC','124252241216121711449834245125610117041',22063,'624',32.05,1,3,NULL),(15,2258048,'1988-12-15 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241116453431435511371224610154147',13031,'307',47.55,1,2,1),(15,2258064,'1991-01-13 00:00:00',4,1,12,2008,'F','S','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241115111431369923572122610112147',NULL,'267',39.37,1,3,NULL),(15,2258072,'1990-06-18 00:00:00',2,1,12,2007,'M','N','CENTRO','GOIOERE','PR','116162168217121431466932575122610147067',NULL,'9998',17.40,1,3,NULL),(15,2258080,'1990-10-13 00:00:00',4,1,12,2007,'M','N','PORTAL DA OLARIA','SAO SEBASTIAO','SP','125252251215111721558831571122610162107',10094,'9998',51.79,1,3,NULL),(15,2258102,'1989-02-13 00:00:00',4,7,11,2005,'F','N','CENTRO','CONCORDIA','SC','124241241316141431337629382125231367092',NULL,'1000',0.00,1,3,NULL),(15,2258110,'1983-06-07 00:00:00',2,1,12,2000,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124164161217133411343763485114610166187',20485,'9998',35.90,1,3,NULL),(15,2258129,'1991-05-10 00:00:00',2,2,11,2008,'F','S','CENTRO','RIO DOS CEDROS','SC','124241241212111731448613472122610137143',NULL,'956',45.85,1,3,NULL),(15,2258137,'1986-02-21 00:00:00',4,1,12,2003,'M','N','CENTRO','SANTA MARIA','RS','120202201217371431247812475124141065117',5478,'9998',60.10,1,3,NULL),(15,2258145,'1989-11-11 00:00:00',4,8,12,2006,'F','N','GUARAITUBA','COLOMBO','PR','116162161216111351578819575124642564194',NULL,'9998',0.00,1,3,NULL),(15,2258153,'1990-04-19 00:00:00',4,1,11,2007,'F','N','JURERE','FLORIANOPOLIS','SC','124242241215112431228822272112610167077',11396,'270',49.85,1,3,NULL),(15,2258161,'1991-03-27 00:00:00',2,5,11,2008,'F','S','MORRO ESTEVÃO','CRICIUMA','SC','124244241416111431555632572112610127147',NULL,'226',20.47,1,3,NULL),(15,2258170,'1988-06-11 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241127271431546311141224610127042',16978,'59',41.91,1,2,1),(15,2258188,'1988-05-15 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANOPOLIS','SC','124164241215373231669819572124231067077',4740,'262',61.66,4,3,NULL),(15,2258196,'1991-01-29 00:00:00',2,4,12,2007,'M','N','NAZARÉ','TAPEJARA','RS','120203208215111431343315245111610168057',21766,'9998',33.05,1,3,NULL),(15,2258200,'1989-05-15 00:00:00',4,4,12,2006,'F','N','JARDIM','CONCORDIA','SC','124112011236371731368613595112610164096',8739,'9998',54.12,1,3,NULL),(15,2258218,'1989-04-02 00:00:00',4,1,12,2006,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241112131411543834242124130714097',NULL,'17',20.39,1,3,NULL),(15,2258226,'1989-10-30 00:00:00',4,1,12,2006,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124242241235372431255713345224610163142',16382,'422',42.78,4,3,NULL),(15,2258234,'1989-12-04 00:00:00',4,3,12,2006,'M','N','SÃO JUDAS TADEU','BALNEARIO CAMBORIU','SC','124164161316371431458932295122610164042',NULL,'9998',17.51,1,3,NULL),(15,2258242,'1990-08-30 00:00:00',2,3,10,2007,'M','N','QUATRO ILHAS','BOMBINHAS','SC','124241241115271731435638375121610167117',15588,'96',43.98,1,2,1),(15,2258250,'1986-01-29 00:00:00',2,1,12,2003,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241117135432237844442234610137047',13228,'267',47.26,1,2,1),(15,2258277,'1990-09-28 00:00:00',4,1,12,2007,'F','N','BAIRRO DER','CACADOR','SC','124243241117131731337619492125610155057',12507,'122',48.28,1,3,NULL),(15,2258285,'1983-08-17 00:00:00',2,1,12,2001,'M','N','KOBRASOL','SAO JOSE','SC','124161241121374431343344145324610147057',16751,'736',42.25,1,2,1),(15,2258293,'1987-11-24 00:00:00',4,1,12,2005,'M','N','CENTRO','HOLAMBRA','SP','125252251215571431458834571124610162012',12232,'9998',48.68,1,3,NULL),(15,2258307,'1990-06-14 00:00:00',4,1,12,2007,'F','N','VILA MASCOTE','SAO PAULO','SP','125252251215371711354933592124610166077',4327,'9998',62.66,1,3,NULL),(15,2258315,'1973-04-24 00:00:00',2,1,12,1990,'M','N','CAMPINAS','SAO JOSE','SC','624241241416153431274843235132320262175',5783,'266',59.50,1,3,NULL),(15,2258323,'1990-11-11 00:00:00',4,1,12,2008,'M','S','CACUPÉ','FLORIANOPOLIS','SC','124242241215111431568831574124610128067',NULL,'270',46.70,1,3,NULL),(15,2258331,'1963-02-13 00:00:00',5,1,12,1981,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241111153431358419482112332131192',13540,'293',46.84,1,3,NULL),(15,2258340,'1986-11-25 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANOPOLIS','SC','124244241216273221343313395113610142012',13371,'272',47.09,1,3,NULL),(15,2258366,'1990-09-03 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215131731377813572125610137047',NULL,'262',16.43,1,3,NULL),(15,2258374,'1981-06-09 00:00:00',4,1,12,1999,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124242241216153431239613411132330268145',14816,'270',44.99,1,3,NULL),(15,2258382,'1990-07-30 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372431388834575112610167123',7139,'266',56.89,1,3,NULL),(15,2258390,'1991-12-24 00:00:00',4,1,12,2008,'M','S','BARREIROS','SAO JOSE','SC','124242241215131431428634575124610168077',NULL,'738',50.42,1,3,NULL),(15,2258404,'1989-12-03 00:00:00',2,1,12,2007,'M','N','AREIAS','SAO JOSE','SC','124242241216111311536419395124610115147',NULL,'868',21.32,1,3,NULL),(15,2258420,'1982-12-24 00:00:00',2,1,11,2001,'F','N','VARGEM BOM JESUS','FLORIANOPOLIS','SC','520204207227231431226644241334610117182',19238,'9998',38.28,2,1,2),(15,2258439,'1990-05-04 00:00:00',4,1,12,2007,'M','N','CENTRO','TATUI','SP','125252251236111431433732575122610131017',NULL,'9998',0.00,1,3,NULL),(15,2258447,'1984-07-16 00:00:00',2,1,12,2001,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242241215233421626644342113130768037',5176,'724',60.76,1,3,NULL),(15,2258455,'1986-01-18 00:00:00',4,4,12,2004,'M','N','TRÊS VENDAS','ERECHIM','RS','120201206126271421543345245122610127052',17802,'9998',40.66,1,2,1),(15,2258463,'1990-09-21 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111431558813572124610127012',8861,'738',53.89,1,3,NULL),(15,2258471,'1983-05-16 00:00:00',2,1,12,2000,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241126131421424475145124131026147',17469,'613',41.13,1,3,NULL),(15,2258480,'1989-08-07 00:00:00',2,1,12,2006,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124243241116372431447923575124610127057',14545,'271',45.34,1,3,NULL),(15,2258498,'1990-06-04 00:00:00',4,2,12,2007,'F','N','BNH PRIMEIRO PLANO','DOURADOS','MS','112122121216121431448719375122610132142',4406,'9998',62.46,3,3,NULL),(15,2258501,'1989-06-26 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241211152721586814375124230268041',12339,'270',48.52,1,3,NULL),(15,2258510,'1990-07-17 00:00:00',5,10,11,2007,'M','N','CENTRO','TUBARAO','SC','124242241212111431456819175115610167117',16377,'806',42.79,1,3,NULL),(15,2258528,'1989-02-13 00:00:00',4,3,12,2006,'M','N','CENTRO','UMUARAMA','PR','116164161217472451456836574125610167062',NULL,'9998',0.00,1,3,NULL),(15,2258536,'1984-12-12 00:00:00',4,7,6,2004,'M','N','FARROUPILHA','VIDEIRA','SC','124241241136131411113548185324133214052',NULL,'9997',19.00,1,3,NULL),(15,2258544,'1986-09-16 00:00:00',2,1,11,2004,'M','N','CENTRO','SAO JOSE DO RIO PARDO','SP','125253051216511411328759285124241727042',NULL,'9998',0.00,1,3,NULL),(15,2258552,'1990-10-11 00:00:00',4,8,12,2007,'F','N','VILLE CHAMONIX','ITATIBA','SP','125242251215111431568812571122610164183',6593,'9998',57.91,1,3,NULL),(15,2258579,'1990-02-23 00:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215112421468914445122610167142',7692,'270',55.87,1,3,NULL),(15,2258587,'1990-06-26 00:00:00',2,3,10,2007,'M','N','RESIDENCAL VILLAGE','JANDAIA DO SUL','PR','116162161215122431679932575112610162184',9163,'9998',53.33,1,3,NULL),(15,2258595,'1989-12-22 00:00:00',4,2,12,2007,'F','N','CENTRO','TIMBO','SC','124243241215111731478614442112610128142',NULL,'9997',24.00,1,3,NULL),(15,2258609,'1990-01-20 00:00:00',2,1,11,2006,'M','N','CENTRO','CONCORDIA','SC','124242241216472431469911575124610167072',1683,'1000',70.44,1,3,NULL),(15,2258617,'1986-10-28 00:00:00',4,1,12,2005,'F','N','VICENTE PIRES','TAGUATINGA','DF','107071071216471431456632475122610116112',20636,'9998',35.62,4,3,NULL),(15,2258625,'1988-02-06 00:00:00',4,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241211372411368831571121121237152',1836,'262',69.82,1,3,NULL),(15,2258633,'1988-01-06 00:00:00',4,1,12,2004,'F','N','ZONA QUATRO','MARINGA','PR','116162161216572451487812575122610166097',2780,'9998',66.80,1,3,NULL),(15,2258650,'1981-01-22 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','224241247135373431229651312124610127037',NULL,'9999',10.11,1,3,NULL),(15,2258676,'1989-07-30 00:00:00',4,1,11,2006,'M','N','CENTRO','CRICIUMA','SC','124242241217372331189811475311132467137',649,'226',75.74,1,3,NULL),(15,2258684,'1986-08-30 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','111242111416371331349613385124140227042',16031,'9998',43.33,3,3,NULL),(15,2258692,'1987-09-19 00:00:00',4,1,12,2004,'F','N','CENTRO','PIRACICABA','SP','125254251416571141567813575122610162097',10882,'9998',50.64,1,3,NULL),(15,2258706,'1990-09-11 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241212111431458833572124610111071',NULL,'737',21.97,1,3,NULL),(15,2258714,'1990-02-10 00:00:00',2,1,12,2007,'F','N','COLÔNIA SANTANA','SAO JOSE','SC','124242241215271431546633571124610127142',13369,'944',47.09,1,3,NULL),(15,2258722,'1988-04-06 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217574411446623375122610134191',2758,'269',66.85,1,3,NULL),(15,2258730,'1989-08-27 00:00:00',2,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124164247335471431348769495122610166142',NULL,'9999',0.00,1,3,NULL),(15,2258749,'1988-11-03 00:00:00',4,5,11,2006,'M','N','PRÓSPERA','CRICIUMA','SC','124242241212251431236923372124610144182',12220,'995',48.69,1,3,NULL),(15,2258757,'1990-08-20 00:00:00',2,1,12,2007,'F','N','CENTRO','SANTA MARIA','RS','120201201117471431469914575124610138146',4483,'9998',62.30,1,2,1),(15,2258765,'1988-07-14 00:00:00',4,2,12,2005,'F','N','TRIBESS','BLUMENAU','SC','124241241111131421644834241223610167147',NULL,'79',21.90,1,2,1),(15,2258773,'1986-04-07 00:00:00',4,1,12,2004,'M','N','BARREIROS','SAO JOSE','SC','124251251327271751433314345114610164047',22390,'9998',30.44,1,3,NULL),(15,2258781,'1988-10-17 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124243241215473431459914444322610118112',4558,'270',62.13,1,3,NULL),(15,2258803,'1990-08-23 00:00:00',2,3,11,2007,'F','N','CENTRO','SORRISO','MT','111112111216111731436639192125610138182',20189,'9998',36.44,1,3,NULL),(15,2258811,'1990-12-04 00:00:00',4,1,11,2007,'F','N','BACACHERI','CURITIBA','PR','116162161235471731368614371122610162192',NULL,'9998',0.00,1,3,NULL),(15,2258820,'1991-04-29 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431448831591125610133097',NULL,'262',50.50,1,3,NULL),(15,2258838,'1989-04-28 00:00:00',2,1,12,2007,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124244241115111431668313375124610127185',18127,'306',40.11,1,3,NULL),(15,2258846,'1982-06-29 00:00:00',4,1,12,2000,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241337135731348823485114610168187',10937,'307',50.55,1,3,NULL),(15,2258854,'1989-07-13 00:00:00',4,1,12,2006,'F','N','BNH BARÃO I','TOLEDO','PR','116164161316471431459933571122610166072',5981,'9998',59.12,4,3,NULL),(15,2258862,'1990-01-18 00:00:00',4,2,11,2007,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215271431489914476112610137042',2019,'87',69.20,1,3,NULL),(15,2258870,'1971-06-23 00:00:00',4,1,12,1988,'M','N','INGLESES','FLORIANOPOLIS','SC','124244241437155421569513435132320242182',3879,'305',63.80,1,3,NULL),(15,2258889,'1987-11-21 00:00:00',4,1,12,2007,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241225472731646314482224610133147',19477,'262',37.86,1,3,NULL),(15,2258897,'1982-04-03 00:00:00',2,8,12,1999,'M','N','COSTA E SILVA','JOINVILLE','SC','124241241116472431333329385121231427187',NULL,'476',0.00,1,2,1),(15,2258900,'1990-09-04 00:00:00',4,1,11,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241115131431335339392114610137055',NULL,'276',36.50,4,3,NULL),(15,2258927,'1989-03-20 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217373731469813585114610164187',1846,'1022',69.79,1,3,NULL),(15,2258935,'1990-11-22 00:00:00',4,1,11,2007,'M','N','CENTRO','MARAU','RS','120203201217151431357614475122610164042',7802,'9998',55.69,1,3,NULL),(15,2258943,'1988-01-02 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241111233431335624582114230217117',NULL,'307',43.32,1,2,1),(15,2258951,'1989-07-18 00:00:00',2,1,12,2006,'M','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124242241417372431557833575124610167147',18606,'299',39.31,1,3,NULL),(15,2258960,'1990-10-21 01:00:00',4,1,12,2007,'M','N','NOSSA SENHORA DO ROS','SAO JOSE','SC','124241241116131421436634345121610167182',18590,'9997',39.34,1,3,NULL),(15,2258978,'1989-02-13 00:00:00',2,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242241215372131586824441134610164047',4171,'270',62.98,1,3,NULL),(15,2258986,'1991-04-17 00:00:00',4,1,12,2008,'M','S','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241217111431469933575124610134055',NULL,'883',67.80,1,3,NULL),(15,2258994,'1983-12-10 00:00:00',4,7,12,2000,'M','N','CENTRO','CAPINZAL','SC','124241241147131451346813482114131264017',14485,'156',45.44,1,3,NULL),(15,2259001,'1988-08-18 00:00:00',4,1,11,2006,'M','N','VILA ADYANA','SAO JOSE DOS CAMPOS','SP','125252251217471431479614575112610137047',16923,'9998',41.97,1,3,NULL),(15,2259010,'1989-04-19 00:00:00',4,5,12,2006,'F','N','CENTRO','TURVO','SC','124243241216372441365912575112610168182',15189,'813',44.54,1,3,NULL),(15,2259028,'1990-04-09 00:00:00',2,1,11,2007,'F','N','BELA VISTA','SAO JOSE','SC','124243241217131431436614272144610166097',NULL,'738',0.00,1,3,NULL),(15,2259036,'1987-07-14 00:00:00',2,1,12,2004,'M','N','SERRARIA','SAO JOSE','SC','124241241136132431456564385114610116052',13638,'307',46.70,1,3,NULL),(15,2259044,'1988-02-17 00:00:00',2,1,11,2005,'M','N','CENTRO','ARARANGUA','SC','124242241215272411466613435122610167112',16670,'32',42.36,1,3,NULL),(15,2259052,'1988-08-29 00:00:00',2,1,12,2005,'M','N','SERRARIA','SAO JOSE','SC','124241241122473431634339242224610124147',15955,'66',43.45,1,2,1),(15,2259060,'1990-06-17 00:00:00',4,8,10,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215121421589919582122610124012',18425,'491',39.61,1,3,NULL),(15,2259087,'1991-05-15 00:00:00',4,9,12,2007,'F','N','SANTA RITA','LAGES','SC','124242241215111431358617575122610114142',18785,'497',39.01,1,3,NULL),(15,2259095,'1990-08-25 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241231111411359612575112612517062',17981,'262',40.34,1,3,NULL),(15,2259109,'1989-09-04 00:00:00',2,7,12,2006,'M','N','PASSO','SAO BORJA','RS','120201201117471411686632375122241412192',NULL,'9998',0.00,1,2,1),(15,2259117,'1990-08-22 00:00:00',4,1,11,2007,'M','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124164161217111411469812175122610162105',5051,'9998',60.99,1,3,NULL),(15,2259125,'1988-11-16 00:00:00',2,1,12,2006,'F','N','VILA MARIANA','SAO PAULO','SP','125252251217472731469814471115610164147',367,'9998',77.91,1,3,NULL),(15,2259133,'1984-07-14 00:00:00',2,1,12,2001,'F','N','INGLESES','FLORIANOPOLIS','SC','124201241117153211566612442122321523095',4957,'295',61.18,1,3,NULL),(15,2259141,'1988-03-13 00:00:00',4,2,12,2005,'F','N','JARDIM OASIS','MARINGA','PR','116161161114572431346632575123610166197',NULL,'9998',0.00,1,3,NULL),(15,2259150,'1989-03-10 00:00:00',4,1,12,2006,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124271091111131731223644442224610124182',20128,'9998',36.57,2,3,NULL),(15,2259168,'1988-06-08 00:00:00',4,1,12,2006,'M','N','CAJURU','CURITIBA','PR','116162168337271451458731285123610162091',NULL,'9998',0.00,1,3,NULL),(15,2259176,'1990-06-17 00:00:00',2,1,12,2007,'F','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124241241125131431525514442124610124147',22440,'278',29.88,1,2,1),(15,2259184,'1988-02-08 00:00:00',2,1,12,2006,'F','N','BOTAFOGO','BENTO GONCALVES','RS','120201201315372431446613595122610124052',21363,'9998',34.07,1,3,NULL),(15,2259192,'1987-05-05 00:00:00',2,3,9,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','624241247616151431233354142124610143047',NULL,'9999',7.12,1,3,NULL),(15,2259206,'1988-09-26 00:00:00',2,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241312112731326333482324610124067',21747,'269',33.14,1,3,NULL),(15,2259214,'1992-01-19 00:00:00',4,6,12,2008,'M','S','CENTRO','PICARRAS','SC','124242241215121431569912575122610167072',NULL,'392',43.16,1,3,NULL),(15,2259222,'1991-04-25 00:00:00',4,1,12,2008,'M','S','TRINDADE','FLORIANOPOLIS','SC','124243241415111431337723575114610136182',NULL,'1098',53.77,1,3,NULL),(15,2259230,'1991-07-02 00:00:00',4,8,12,2007,'F','N','ATIRADORES','JOINVILLE','SC','124244241215111411339923572112610128142',20358,'1016',36.13,1,3,NULL),(15,2259249,'1986-10-02 00:00:00',2,1,12,2004,'M','N','BARREIROS','SAO JOSE','SC','124241241116345431635529185124610124097',21357,'734',34.07,1,2,1),(15,2259257,'1991-04-18 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215171431556912222124610127052',10065,'1022',51.83,1,3,NULL),(15,2259265,'1982-06-02 00:00:00',4,1,11,2001,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241217373441689933475122231036092',6562,'270',57.96,1,3,NULL),(15,2259273,'1968-03-22 00:00:00',2,1,12,1988,'F','N','INGLESES','FLORIANOPOLIS','SC','224201207326151411364451385122542822011',13530,'9998',46.85,4,3,NULL),(15,2259281,'1989-08-17 00:00:00',4,7,12,2006,'M','N','CENTRO','IBICARE','SC','124241241124272221566933572112133262072',NULL,'345',28.98,1,2,1),(15,2259290,'1991-07-02 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215151732388722572112610167122',NULL,'262',41.45,1,3,NULL),(15,2259303,'1987-05-15 00:00:00',4,1,7,2007,'F','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124251247217131731226844241344610162027',21771,'9997',33.04,1,3,NULL),(15,2259311,'1991-01-03 00:00:00',4,1,12,2007,'F','N','PARQUE CEREJEIRAS','PRESIDENTE PRUDENTE','SP','125252251217151731568714574124610168077',9479,'9998',52.81,1,3,NULL),(15,2259320,'1990-05-02 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124243241215111712446733572122610161017',11786,'738',49.28,1,3,NULL),(15,2259338,'1990-04-27 00:00:00',4,10,11,2007,'F','N','MONTE CASTELO','TUBARAO','SC','124241241215111431349613472124610167072',NULL,'809',20.54,1,3,NULL),(15,2259354,'1990-11-21 00:00:00',4,4,12,2007,'F','N','SUNTI','CONCORDIA','SC','124241246115131432443614572124610138017',13867,'196',46.36,1,2,1),(15,2259362,'1989-12-27 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211112431648831571125610123193',8734,'270',54.12,1,3,NULL),(15,2259370,'1990-03-18 00:00:00',2,1,12,2006,'F','N','CENTRO','IMBITUBA','SC','124241241215471431447713272122610123147',15739,'362',43.76,1,3,NULL),(15,2259389,'1987-05-17 00:00:00',4,4,12,2004,'M','N','LINHA SAO JOAO','IPUACU','SC','124241241126131232323335552313610127057',NULL,'372',0.00,1,2,1),(15,2259400,'1990-05-07 00:00:00',2,1,12,2007,'M','N','PENHA','PAULO LOPES','SC','124243241225131431336823495124610126177',13720,'262',46.58,1,3,NULL),(15,2259419,'1990-09-27 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124164241215112132469614572125610162055',8347,'270',54.78,1,3,NULL),(15,2259427,'1988-07-03 00:00:00',4,1,11,2005,'M','N','CENTRO','PALHOCA','SC','124242248212373431456612572114230421042',19240,'269',38.28,1,3,NULL),(15,2259443,'1970-01-30 00:00:00',4,1,12,1990,'M','N','KOBRASOL','SAO JOSE','SC','224241246326133421253344345122333227093',NULL,'511',0.00,1,3,NULL),(15,2259451,'1991-03-13 00:00:00',2,1,12,2008,'M','S','SÃO FRANCISCO ASSIS','SANTO AMARO DA IMPERATRIZ','SC','124241241211111411645514292121610117052',NULL,'774',32.98,1,3,NULL),(15,2259460,'1986-08-08 00:00:00',4,1,11,2004,'M','N','JARDIM NOVO HORIZONT','MARINGA','PR','116162161215571751469912175112610162047',908,'9998',74.01,1,3,NULL),(15,2259478,'1980-12-22 00:00:00',4,1,12,1997,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241216112431348722485124333262185',12307,'272',48.57,1,3,NULL),(15,2259486,'1989-11-03 00:00:00',2,3,11,2006,'F','N','CENTRO','ERECHIM','RS','124202201215471431548814574244610164142',12801,'9998',47.85,1,3,NULL),(15,2259494,'1985-05-28 00:00:00',2,1,12,2003,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241217472431368913382124130267062',9806,'883',52.25,1,3,NULL),(15,2259516,'1991-03-09 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242248115151431468814422112610131017',NULL,'262',37.87,1,3,NULL),(15,2259524,'1990-10-22 00:00:00',4,1,12,2007,'M','N','CENTRO','SORRISO','MT','111111111216111431543319272121610122052',6474,'9998',58.12,1,3,NULL),(15,2259532,'1987-11-03 00:00:00',2,1,11,2006,'M','N','CENTRO','ANAPOLIS','GO','109093098316271731623667575315610143177',18714,'9998',39.15,1,3,NULL),(15,2259540,'1989-09-19 00:00:00',4,1,11,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241312133431338823172124233241097',4374,'270',62.53,1,3,NULL),(15,2259559,'1986-02-12 00:00:00',4,1,12,2002,'F','N','INGLESES','FLORIANOPOLIS','SC','124201201116332721233441415124610117197',21592,'9998',33.53,1,2,1),(15,2259567,'1991-09-19 00:00:00',2,5,12,2008,'F','S','GUATÁ','LAURO MULLER','SC','124241241215111431443314575124610137072',NULL,'820',44.94,1,3,NULL),(15,2259575,'1990-04-16 00:00:00',2,1,11,2007,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124242241217111431468812595122610167112',16768,'1011',42.22,1,3,NULL),(15,2259583,'1988-12-01 00:00:00',2,5,12,2006,'F','N','PARQUE ALVORADA','DOURADOS','MS','112121128217571411458611575112610136197',NULL,'9998',0.00,1,3,NULL),(15,2259591,'1990-11-05 00:00:00',4,8,12,2007,'M','N','NOVA BRASÍLIA','JOINVILLE','SC','124242241215111431453832575122610117057',NULL,'457',0.00,1,3,NULL),(15,2259605,'1990-12-26 00:00:00',2,1,12,2007,'M','N','CENTRO','SAO MATEUS DO SUL','PR','116161161216121431463332572122610167187',3885,'9998',63.78,1,3,NULL),(15,2259613,'1986-06-05 00:00:00',4,1,3,2004,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','128244244126133712423633581114610117042',NULL,'274',8.18,1,3,NULL),(15,2259621,'1990-01-23 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248235121431249934475122610126015',14836,'1022',44.97,1,3,NULL),(15,2259630,'1993-10-25 00:00:00',4,7,12,2010,'F','S','CENTRO','JOACABA','SC','124242241212111511568811212122610116097',NULL,'962',36.40,1,3,NULL),(15,2259656,'1991-01-13 00:00:00',2,4,12,2007,'F','N','CENTRO','XANXERE','SC','124241241115131751433839392322610126147',20842,'840',35.20,1,2,1),(15,2259664,'1990-11-16 00:00:00',4,1,12,2007,'M','N','VILA NOVA','IMBITUBA','SC','124244241115271431459933575122610124072',14027,'359',46.13,1,3,NULL),(15,2259672,'1990-07-30 00:00:00',2,8,12,2007,'M','N','ALTO ALEGRE','CASCAVEL','PR','116161161137231341636611113341610145097',NULL,'9998',0.00,4,2,1),(15,2259680,'1991-05-27 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241216111431459933572114610168142',5509,'270',60.04,1,3,NULL),(15,2259699,'1989-01-12 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241117131431535619472125610137017',10861,'307',50.67,1,2,1),(15,2259702,'1989-07-24 00:00:00',4,9,11,2007,'M','N','CENTRO','SAO JOAQUIM','SC','124242241215111431526734445122610134187',21246,'1035',34.32,1,3,NULL),(15,2259710,'1989-09-08 00:00:00',2,5,12,2006,'F','N','CENTRO','CRICIUMA','SC','124241241114271422426631215124610117147',22325,'209',30.89,4,2,1),(15,2259745,'1990-01-04 00:00:00',4,1,12,2007,'F','N','BELA ALIANÇA','RIO DO SUL','SC','124244241215111751338839572124610124143',15609,'959',43.94,1,3,NULL),(15,2259761,'1991-07-16 00:00:00',4,1,12,2008,'M','S','ITACORUBI','FLORIANOPOLIS','SC','124242241217111751469933595121610137107',NULL,'883',61.49,1,3,NULL),(15,2259770,'1989-09-03 00:00:00',4,1,12,2006,'M','N','SAMBAQUI','FLORIANOPOLIS','SC','124243247217131731327631212224610112187',20877,'9997',35.13,1,3,NULL),(15,2259788,'1988-09-03 00:00:00',4,1,12,2006,'F','N','CENTRO','TIJUCAS','SC','124242241115272731556634282312610128147',8938,'306',53.77,2,3,NULL),(15,2259796,'1986-01-30 00:00:00',2,6,12,2003,'M','N','SÃO JOÃO','ITAJAI','SC','124242241215472751557931272112133262077',10188,'1026',51.65,1,3,NULL),(15,2259800,'1990-07-19 00:00:00',4,1,11,2007,'M','N','JARDIM CAMPO VERDE','CAMPO VERDE','MT','111114111216111711678833572122610127082',NULL,'9998',0.00,1,3,NULL),(15,2259818,'1991-04-29 00:00:00',4,3,12,2008,'M','S','CENTRO','PARANAVAI','PR','116164161417111431438832575122610137122',NULL,'9998',50.76,1,3,NULL),(15,2259826,'1987-04-09 00:00:00',1,4,12,2005,'M','N','INTERIOR','SAUDADES','SC','124241241146161431433135342222610117057',NULL,'761',0.00,1,2,1),(15,2259834,'1990-06-25 00:00:00',4,1,11,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215111431668913572124610144142',470,'270',77.06,1,3,NULL),(15,2259842,'1988-11-03 00:00:00',4,1,11,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242161215472331478811595124122864057',4455,'9998',62.38,1,3,NULL),(15,2259850,'1990-04-18 00:00:00',4,9,12,2007,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241212161431558834592122610122147',17609,'499',40.92,1,3,NULL),(15,2259877,'1990-05-17 00:00:00',4,8,12,2007,'M','N','VL PROGRESSO','JUNDIAI','SP','125252251213111221449911575122610164186',18075,'9998',40.19,1,3,NULL),(15,2259885,'1990-10-03 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216151431478933572115610131142',20400,'262',36.05,1,3,NULL),(15,2259893,'1985-04-28 00:00:00',2,4,11,2003,'M','N','CENTRO','CAXAMBU DO SUL','SC','124241201336472431456613235123141037062',3018,'9998',66.09,1,3,NULL),(15,2259907,'1989-02-05 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241217131431567613575112610164182',12875,'1118',47.75,1,3,NULL),(15,2259915,'1988-07-05 00:00:00',4,1,4,2006,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241115373431448811372124610127012',3241,'267',65.43,1,3,NULL),(15,2259923,'1980-03-21 00:00:00',2,1,10,2001,'M','N','PONTE DE IMARUIM','PALHOCA','SC','124241247126135431454613235122610137187',16264,'9999',42.96,1,3,NULL),(15,2259931,'1989-03-22 00:00:00',4,7,12,2006,'M','N','VILA KURTZ','CACADOR','SC','124242241214271442226621415122610138077',NULL,'120',0.00,1,3,NULL),(15,2259940,'1990-03-29 00:00:00',4,8,12,2007,'F','N','JD AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251215111531458924272113610163117',11686,'9998',49.42,3,3,NULL),(15,2259958,'1990-11-18 00:00:00',4,1,12,2007,'M','N','SANTA MONICA','ROLANDIA','PR','116162161217171441528831345121610164012',10623,'9998',51.00,1,3,NULL),(15,2259966,'1988-08-19 00:00:00',4,1,12,2005,'M','N','ROÇADO','SAO JOSE','SC','124241241125212431524618372224610127042',NULL,'729',23.12,1,2,1),(15,2259974,'1990-07-03 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241112141721435424395124610117047',NULL,'307',25.29,1,3,NULL),(15,2259982,'1991-05-02 00:00:00',4,7,12,2008,'F','S','CENTRO','CAMPOS NOVOS','SC','124242241216151231568912426122610122142',NULL,'138',44.47,1,3,NULL),(15,2259990,'1991-06-27 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241115171751257839572122610162142',8049,'267',55.28,1,3,NULL),(15,2260000,'1989-02-11 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112411428617113114123014112',17404,'266',41.22,1,3,NULL),(15,2260018,'1991-07-23 00:00:00',4,9,12,2007,'F','N','PETRÓPOLIS','LAGES','SC','124242241215111411338933572122610124177',18376,'515',39.68,1,3,NULL),(15,2260026,'1992-03-13 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124244241215111431468714575114610123147',NULL,'1022',39.80,1,3,NULL),(15,2260034,'1990-06-04 00:00:00',2,1,12,2006,'F','N','ZONA RURAL','MULITERNO','RS','120201201116471411533315575125610137142',6503,'9998',58.07,1,3,NULL),(15,2260042,'1990-12-06 00:00:00',4,2,12,2008,'F','S','VELHA','BLUMENAU','SC','124242241212111431358814542112610122142',NULL,'87',44.48,1,3,NULL),(15,2260050,'1990-03-05 00:00:00',2,1,11,2007,'M','N','CENTRO','RIO GRANDE','RS','120202201217471431468833575122610137117',NULL,'9998',0.00,1,3,NULL),(15,2260077,'1990-06-29 00:00:00',2,1,12,2008,'F','S','TRINDADE','FLORIANOPOLIS','SC','124243241317111431448834471124610132112',NULL,'262',48.16,4,3,NULL),(15,2260085,'1989-02-05 00:00:00',4,8,11,2007,'M','N','CENTRO','JOINVILLE','SC','124242241216111451439614441122610134132',NULL,'1063',19.35,1,3,NULL),(15,2260093,'1989-08-24 00:00:00',2,2,12,2007,'M','N','QUINTINO','TIMBO','SC','124241248235121331347832595122610127142',16423,'9997',42.73,1,3,NULL),(15,2260107,'1985-07-29 00:00:00',4,10,11,2002,'F','N','CENTRO','BRACO DO NORTE','SC','124243241215472711466632475122530422097',9546,'226',52.69,1,3,NULL),(15,2260115,'1988-09-07 00:00:00',2,8,12,2006,'M','N','PETRÓPOLIS','JOINVILLE','SC','124241241212131431436514345121610162192',8474,'1105',54.55,1,3,NULL),(15,2260123,'1985-05-25 00:00:00',4,3,12,2002,'F','N','SEMINÁRIO','CURITIBA','PR','116161161216573451556614571124610157037',4370,'9998',62.55,1,3,NULL),(15,2260131,'1987-12-16 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244247415573411336539372124610133147',NULL,'9999',27.75,1,3,NULL),(15,2260158,'1988-08-07 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217272711369914575122233267067',7978,'226',55.41,1,3,NULL),(15,2260166,'1991-12-04 00:00:00',4,7,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124244248217111731458812422222610122143',NULL,'270',39.08,1,3,NULL),(15,2260174,'1989-05-13 00:00:00',4,7,12,2006,'F','N','SÃO FRANCISCO','LUZERNA','SC','116244241216471431356923572124610126182',NULL,'446',0.00,1,3,NULL),(15,2260182,'1990-04-26 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241216171431258923575122610127017',NULL,'262',37.37,1,3,NULL),(15,2260190,'1987-02-02 00:00:00',2,1,11,2005,'M','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124241241133131431523339143334131227057',21702,'286',33.27,1,2,1),(15,2260204,'1990-07-30 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241235111731349819575112610142147',8725,'262',54.13,1,3,NULL),(15,2260212,'1990-12-14 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241315151431336739392125610132187',10630,'1022',50.98,4,3,NULL),(15,2260220,'1973-10-29 00:00:00',2,1,6,1996,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','121214248432133421326629482124122236097',13542,'9998',46.83,4,3,NULL),(15,2260239,'1988-06-18 00:00:00',2,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124242241215472431356921572122610137052',12430,'1118',48.39,1,3,NULL),(15,2260247,'1987-10-06 00:00:00',2,3,12,2005,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124201201111372451443935292224610127147',8696,'9998',54.18,1,2,1),(15,2260255,'1985-05-04 00:00:00',4,1,12,2002,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241216152252188814485124221167045',7262,'213',56.67,1,3,NULL),(15,2260263,'1988-08-31 00:00:00',4,10,11,2005,'F','N','CENTRO','TUBARAO','SC','124242241215572431446933296125131023097',10927,'807',50.57,1,3,NULL),(15,2260271,'1991-06-19 00:00:00',4,1,12,2008,'M','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217151431439913572122610138185',NULL,'270',68.08,1,3,NULL),(15,2260280,'1989-10-24 00:00:00',2,2,12,2007,'M','N','CENTRO','GASPAR','SC','124242241215141131354912332134610164051',13535,'1052',46.84,1,3,NULL),(15,2260298,'1987-01-09 00:00:00',4,4,12,2004,'M','N','CENTRO','SEVERIANO DE ALMEIDA','RS','120201201226571431543332245124133114142',2741,'9998',66.90,1,3,NULL),(15,2260301,'1986-09-12 00:00:00',4,1,12,2003,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241216374431349834572114221424172',3667,'392',64.31,1,3,NULL),(15,2260310,'1985-09-20 00:00:00',4,1,12,2003,'M','N','CAMPINAS','SAO JOSE','SC','124241242112375432531334442135610132177',16949,'732',41.93,1,3,NULL),(15,2260328,'1990-10-20 00:00:00',4,1,12,2007,'M','N','CENTRO','PARAISO DO NORTE','PR','116162161217111431479932575114610147052',166,'9998',80.37,1,3,NULL),(15,2260336,'1990-09-16 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241217111432458812575322610113192',NULL,'967',23.90,1,3,NULL),(15,2260344,'1986-09-25 00:00:00',2,1,12,2005,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241147472431336669442124610122187',14393,'283',45.58,1,2,1),(15,2260352,'1990-10-08 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124241241215111231355634295125610132047',14983,'1118',44.81,1,3,NULL),(15,2260360,'1990-04-23 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124244241415111411454933572124610167071',21254,'300',34.31,1,3,NULL),(15,2260379,'1990-01-05 00:00:00',2,4,12,2007,'F','N','SANTA MARIA','CHAPECO','SC','124243248215311421446314575122610117012',NULL,'1046',22.40,1,3,NULL),(15,2260387,'1986-02-24 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124242247217371421546632392124610167177',21850,'9999',32.79,1,3,NULL),(15,2260395,'1984-04-27 00:00:00',2,1,12,2001,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241124371411426613342114610138147',21028,'307',34.81,1,2,1),(15,2260409,'1989-08-17 00:00:00',2,4,12,2007,'F','N','CENTRO','CONSTANTINA','RS','120201201116131431426814442324610111177',22300,'9998',31.03,1,2,1),(15,2260425,'1988-07-22 00:00:00',2,1,12,2006,'F','N','JARDIM SÃO JOSE','SAO ROQUE','SP','125251251115471411424424481124610161014',20219,'9998',36.37,1,2,1),(15,2260433,'1973-03-10 00:00:00',4,1,12,1991,'M','N','CENTRO','FLORIANOPOLIS','SC','124162161212111411137841141122131762182',5402,'9998',60.28,4,1,2),(15,2260441,'1989-10-25 00:00:00',2,1,12,2007,'M','N','ENCRUZILHADA','SANTOS','SP','125252251217271431469933575124610167047',15660,'9998',43.86,1,3,NULL),(15,2260450,'1988-06-01 00:00:00',2,1,12,2005,'M','N','URBANOVA','SAO JOSE DOS CAMPOS','SP','125252258215572431338521575123610124097',2222,'9998',68.52,1,3,NULL),(15,2260476,'1990-06-13 00:00:00',2,5,11,2007,'F','N','SÃO CRISTOVÃO','TURVO','SC','124242241215132411546834582121610168092',20051,'813',36.73,1,3,NULL),(15,2260484,'1987-04-09 00:00:00',4,6,12,2004,'M','N','SÃO JOÃO','ITAJAI','SC','124242241235471441368314275122131464182',4289,'394',62.73,1,3,NULL),(15,2260492,'1990-11-04 00:00:00',4,1,11,2007,'M','N','SÃO JOSE','SAO JOSE','SC','124241241212131432334921275124610167057',22356,'307',30.67,1,3,NULL),(15,2260506,'1980-07-28 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124133137147131441524449221223140262182',11680,'9999',49.43,1,3,NULL),(15,2260522,'1988-08-19 00:00:00',2,1,12,2007,'M','N','CENTRO','GAROPABA','SC','124241241147371431225713276321610167187',17714,'322',40.79,1,2,1),(15,2260530,'1991-08-01 00:00:00',4,1,12,2008,'M','S','COQUEIROS','FLORIANOPOLIS','SC','124242244215111431479933575112610134117',NULL,'270',42.19,1,3,NULL),(15,2260549,'1991-06-26 00:00:00',4,4,11,2008,'F','S','TACCA','XANXERE','SC','124242241215111441539912195122610123012',NULL,'836',41.99,1,3,NULL),(15,2260557,'1990-06-17 00:00:00',4,10,12,2007,'M','N','CENTRO','IMBITUBA','SC','124241243216151521548614195124610167147',22225,'1120',31.39,1,3,NULL),(15,2260565,'1985-07-05 00:00:00',2,1,4,2003,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242248112153711578613442112133233012',5658,'306',59.76,1,3,NULL),(15,2260573,'1990-07-09 00:00:00',4,1,12,2007,'F','N','JARDIM ITARARÉ','EMBU GUACU','SP','125251251117471431434319172224610144097',15003,'9998',44.79,1,3,NULL),(15,2260581,'1960-01-02 00:00:00',5,1,11,1978,'F','N','SÃO JOSÉ','SAO JOSE','SC','224241241112132311366452185112610161021',7921,'307',55.49,1,2,1),(15,2260590,'1990-09-24 00:00:00',2,4,12,2007,'M','N','CENTRO SUL','DOIS VIZINHOS','PR','116161161116151411446614572124610122052',19907,'9998',37.00,1,2,1),(15,2260611,'1991-08-13 00:00:00',4,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124243241215131431229929392124610163147',15077,'403',44.70,1,3,NULL),(15,2260620,'1991-02-25 00:00:00',2,3,12,2007,'F','N','CENTRO','CAMBORIU','SC','124241241115131431433611342234610124012',17061,'130',41.78,1,2,1),(15,2260638,'1991-04-08 00:00:00',4,1,9,2008,'F','S','BARREIROS','SAO JOSE','SC','124243241212111431548712292124610137077',NULL,'1118',46.17,1,3,NULL),(15,2260646,'1989-06-23 00:00:00',4,3,12,2006,'F','N','VILA FATIMA','REGISTRO','SP','125252258215471731545732592124610161147',NULL,'9998',0.00,1,3,NULL),(15,2260654,'1990-01-17 00:00:00',2,1,12,2007,'F','N','MORRO DA BOA VISTA','BIGUACU','SC','124241241115131732523621112211610133027',NULL,'65',17.61,1,3,NULL),(15,2260662,'1989-11-13 00:00:00',2,1,11,2006,'F','N','CENTRO','IMBITUBA','SC','124241248117131431537933572124610128187',22265,'359',31.22,1,2,1),(15,2260670,'1976-09-29 00:00:00',2,1,7,1997,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241247126131411113344242334610112147',21237,'9999',34.35,4,3,NULL),(15,2260689,'1990-07-07 00:00:00',2,1,12,2007,'M','N','CENTRO','FOZ DO IGUACU','PR','116202201216211531643311572125610127042',20377,'9998',36.10,1,3,NULL),(15,2260697,'1991-05-12 00:00:00',4,1,12,2008,'F','S','ITACORUBI','FLORIANOPOLIS','SC','124242241217111431368832572122610162117',NULL,'883',55.63,1,3,NULL),(15,2260700,'1985-12-16 00:00:00',4,1,12,2003,'M','N','CENTRO','IPAUSSU','SP','125252256216571431468813471124610162097',NULL,'9998',0.00,1,3,NULL),(15,2260727,'1989-01-20 00:00:00',4,1,12,2006,'F','N','JARDIM SAVEIRO','BIGUACU','SC','124241241117271731428631345334610114147',22350,'257',30.68,1,3,NULL),(15,2260735,'1989-03-02 00:00:00',4,1,12,2006,'M','N','CENTRO','TROMBUDO CENTRAL','SC','124243241117471431369813575125610167045',4388,'654',62.50,1,3,NULL),(15,2260743,'1985-01-25 00:00:00',2,1,12,2003,'F','N','ITACORUBÍ','FLORIANOPOLIS','SC','124201201211473751636629291334610162143',16258,'9998',42.97,4,3,NULL),(15,2260751,'1989-07-06 00:00:00',4,4,11,2006,'F','N','CENTRO','CLEVELANDIA','PR','116162161217472451558812575112610164057',4502,'9998',62.24,1,3,NULL),(15,2260760,'1986-07-26 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124244247137152441536712485324610161182',NULL,'9999',12.09,1,3,NULL),(15,2260778,'1984-02-14 00:00:00',4,1,12,2000,'M','N','JOAO PAULO','FLORIANOPOLIS','SC','124202201216472431346914492124141442097',11383,'9998',49.87,1,3,NULL),(15,2260786,'1989-02-20 00:00:00',2,1,12,2006,'M','N','CENTRO','ITAI','SP','125254251215311431368816572112610124172',6815,'1085',57.52,1,3,NULL),(15,2260794,'1987-07-23 00:00:00',4,1,12,2004,'M','N','JD SÃO MIGUEL','BIGUACU','SC','124241241316273531446632445114132124197',13425,'943',46.99,1,3,NULL),(15,2260808,'1984-04-05 00:00:00',4,1,12,2000,'F','N','CENTRO','CONCORDIA','SC','124242201217471421469911414214333262121',NULL,'9998',0.00,1,3,NULL),(15,2260816,'1982-11-08 00:00:00',4,2,12,1999,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124204201221141411237644241324141666177',13385,'9998',47.07,1,3,NULL),(15,2260824,'1989-06-16 00:00:00',4,1,12,2006,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124241248116472211246923575124610168182',NULL,'307',21.27,1,3,NULL),(15,2260840,'1989-12-21 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215121431446824345124610121097',6986,'270',57.18,1,3,NULL),(15,2260859,'1991-10-16 00:00:00',4,8,10,2008,'F','S','CENTRO','JARAGUA DO SUL','SC','124242241217151431589813572122610122012',NULL,'424',45.10,1,3,NULL),(15,2260867,'1989-08-31 00:00:00',4,1,8,2007,'M','N','ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC','124241241116131411535721195124610117017',11184,'739',50.19,1,2,1),(15,2260875,'1976-08-12 00:00:00',4,1,12,1993,'M','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','124201206246371421128641311233141424185',21209,'9998',34.41,1,3,NULL),(15,2260883,'1980-08-19 00:00:00',2,1,7,2005,'F','N','CENTRO','QUARAI','RS','220281281147271531224454332323610122147',NULL,'9998',27.36,1,2,1),(15,2260905,'1990-06-09 00:00:00',2,1,10,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241217331411349514472122610167042',4356,'262',62.57,1,3,NULL),(15,2260913,'1989-08-22 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111421449813572124610167052',2357,'270',68.05,1,3,NULL),(15,2260921,'1989-02-11 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431439833572125610161182',8190,'1022',55.02,1,3,NULL),(15,2260930,'1988-02-18 00:00:00',4,1,12,2007,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124242241337111411568933581124610121017',12174,'1022',48.76,1,3,NULL),(15,2260948,'1980-09-13 00:00:00',4,1,12,1997,'F','N','KOBRASOL','SAO JOSE','SC','124242241215373441236923392124531046187',6818,'270',57.50,1,3,NULL),(15,2260956,'1989-09-26 00:00:00',4,1,4,2007,'M','N','BARRA DO ARIRIU','PALHOCA','SC','124242241116152412436813585114130264197',8140,'739',55.11,1,3,NULL),(15,2260964,'1989-10-30 00:00:00',4,4,12,2006,'M','N','INTERIOR','ROMELANDIA','SC','124241241117161511523336372214610117057',NULL,'679',0.00,1,2,1),(15,2260972,'1987-10-06 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124244241215111451268923475124610167077',19426,'1022',37.97,1,3,NULL),(15,2260980,'1988-06-16 00:00:00',2,9,12,2005,'M','N','FEMAÇÃ','VERANOPOLIS','RS','120201201136471731523514282122610137187',16813,'9998',42.14,1,2,1),(15,2260999,'1980-01-19 00:00:00',4,1,11,1998,'M','N','FORQUILHINHAS','SAO JOSE','SC','624241248126131411336544245122610137182',NULL,'30',0.00,1,3,NULL),(15,2261014,'1990-08-25 00:00:00',2,5,11,2007,'M','N','CENTRO','MORRO DA FUMACA','SC','124242241215111431455319395122610137047',9769,'1067',52.32,1,3,NULL),(15,2261022,'1952-01-01 00:00:00',2,1,9,1989,'F','N','JURERE','FLORIANOPOLIS','SC','224202205116131441323359385124141924147',NULL,'9998',18.52,1,3,NULL),(15,2261030,'1989-11-27 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124072241217371431579834575114610121186',3912,'262',63.70,4,3,NULL),(15,2261049,'1989-12-05 00:00:00',4,1,12,2006,'M','N','JD NOVA BOITUVA','BOITUVA','SP','125251251216471431433634572214610166042',2595,'9998',67.34,1,3,NULL),(15,2261057,'1988-01-12 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241215574731589833572112610164052',1656,'266',70.56,1,3,NULL),(15,2261065,'1989-06-30 00:00:00',4,1,12,2007,'M','N','ZONA','CIANORTE','PR','116164161415111432457923495112610167052',21898,'9998',32.61,1,3,NULL),(15,2261073,'1990-08-25 00:00:00',2,2,11,2007,'F','N','VORSTARDT','BLUMENAU','SC','124243241315111411525912225124610162092',18857,'88',38.91,1,3,NULL),(15,2261081,'1986-03-10 00:00:00',4,1,12,2003,'M','N','CAMPESTRE','SANTO ANDRE','SP','125252251215511431469314482112240217116',NULL,'9998',0.00,1,3,NULL),(15,2261090,'1990-03-10 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241317121431436733572112610132192',8793,'1022',54.02,1,3,NULL),(15,2261111,'1989-10-30 00:00:00',2,1,12,2007,'M','N','SÃO MIGUEL','BIGUACU','SC','124242241112161431436632572124610147142',7600,'306',56.03,1,3,NULL),(15,2261120,'1988-02-13 00:00:00',4,1,11,2005,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241136132431434314342124610124052',21826,'298',32.87,4,2,1),(15,2261138,'1990-08-30 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241112471332446633572114610164042',NULL,'307',19.66,1,3,NULL),(15,2261146,'1990-11-07 00:00:00',4,1,11,2007,'M','N','JARDIM ELDORADO','PALHOCA','SC','124242241216111411268623471124610154112',12416,'723',48.42,1,3,NULL),(15,2261154,'1986-08-29 00:00:00',4,1,12,2003,'M','N','CARIANOS','FLORIANOPOLIS','SC','124243241112375231446629595114610162182',5063,'272',60.97,1,3,NULL),(15,2261170,'1987-04-17 00:00:00',4,2,12,2005,'M','N','VL GILDA','SANTO ANDRE','SP','125254251332272311156611212324610133052',NULL,'9998',0.00,1,3,NULL),(15,2261189,'1991-03-05 00:00:00',2,1,12,2008,'M','S','TAPERA','FLORIANOPOLIS','SC','124242241216121451436633435112610167042',NULL,'1022',38.24,1,3,NULL),(15,2261197,'1984-06-08 00:00:00',4,1,12,2001,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215153531489611495122221066092',3813,'213',63.94,1,3,NULL),(15,2261200,'1983-07-08 00:00:00',2,8,12,2000,'M','N','COSTA E SILVA','JOINVILLE','SC','124241241116334421244629472122231417112',4864,'267',61.39,1,2,1),(15,2261219,'1988-11-30 00:00:00',4,9,12,2006,'M','N','CENTRO','PANAMBI','RS','120202201216571431643531575124142022197',10645,'9998',50.96,1,3,NULL),(15,2261227,'1990-05-25 00:00:00',2,4,12,2007,'M','N','PASSO DOS FORTES','CHAPECO','SC','124243241315111531363839172122610114187',NULL,'1046',0.00,1,3,NULL),(15,2261235,'1989-12-07 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241415271431458823575122610134112',12865,'269',47.77,1,3,NULL),(15,2261243,'1990-07-23 00:00:00',2,2,12,2007,'F','N','PROGRESSO','POUSO REDONDO','SC','124241241117271731449813375122610134057',12031,'640',48.94,1,2,1),(15,2261251,'1991-11-05 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241235121432468619595114610164147',NULL,'1022',21.35,1,3,NULL),(15,2261260,'1978-08-05 00:00:00',4,1,12,1998,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124203201317171441226649495334242232092',19717,'9998',37.39,1,3,NULL),(15,2261278,'1987-07-24 00:00:00',2,1,11,2005,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124252251215472431436614571321610127042',18499,'9998',39.48,4,3,NULL),(15,2261286,'1990-11-24 00:00:00',2,1,12,2007,'F','N','AVIAÇÃO','VENANCIO AIRES','RS','120202201216131531348711472322610143047',7013,'9998',57.12,1,3,NULL),(15,2261294,'1980-09-01 00:00:00',2,1,8,2001,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124121121117372411227749311331610117112',20986,'9998',34.88,4,1,1),(15,2261308,'1980-02-18 00:00:00',2,1,12,2005,'M','N','FLAMBOYANT','GRAVATAI','RS','120203207626131411455733382124241942187',16577,'9998',42.48,1,3,NULL),(15,2261324,'1989-11-17 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241245111431238814442114610114192',8971,'951',53.71,1,3,NULL),(15,2261332,'1990-02-01 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215121411489932375122610164052',19925,'213',36.96,1,3,NULL),(15,2261340,'1983-05-09 00:00:00',2,1,12,2001,'F','N','VILA DALILA','SAO PAULO','SP','125252251116111431553632311322140614072',NULL,'9998',0.00,1,3,NULL),(15,2261359,'1988-03-15 00:00:00',4,3,12,2005,'F','N','VILA CABRAL','REGISTRO','SP','125252251216571431353719175125610114142',3077,'9998',65.90,1,3,NULL),(15,2261375,'1990-07-02 00:00:00',2,5,11,2007,'F','N','COMERCIARIO','CRICIUMA','SC','124242241215171421435629595124613263142',20685,'210',35.53,1,3,NULL),(15,2261383,'1988-02-10 00:00:00',4,1,12,2005,'F','N','FLORESTA','SAO JOSE','SC','124242241216142431466632582122233224117',15227,'270',44.50,1,3,NULL),(15,2261405,'1990-12-27 00:00:00',2,7,12,2007,'F','N','INTERIOR','CAMPOS NOVOS','SC','124241241115161432436315574222610134177',15692,'140',43.82,1,2,1),(15,2261421,'1989-11-19 00:00:00',2,5,7,2007,'F','N','SANTA LUZIA','SIDEROPOLIS','SC','124241243216271711323411312124610161142',14773,'995',45.03,1,3,NULL),(15,2261430,'1991-11-18 00:00:00',4,10,11,2008,'F','S','OFICINAS','TUBARAO','SC','124242241215111431458814572222610124147',NULL,'807',38.93,1,3,NULL),(15,2261448,'1989-01-02 00:00:00',2,1,11,2005,'F','N','ABADIA','UBERABA','MG','113134131217471431538613572124143267147',516,'9998',76.65,1,3,NULL),(15,2261456,'1987-01-28 00:00:00',2,1,12,2004,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241241121151411421115142224610136017',22407,'416',30.31,1,2,1),(15,2261464,'1991-02-04 00:00:00',4,9,12,2007,'F','N','VILA CRISTINA','VACARIA','RS','120203201216271431436634572122610128147',21241,'9998',34.33,1,3,NULL),(15,2261472,'1986-09-18 00:00:00',4,1,12,2004,'M','N','SANTA LUZIA','VOTUPORANGA','SP','125251251126571711433669595122610168047',8269,'9998',54.90,1,3,NULL),(15,2261480,'1986-01-31 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217473431487812575122230268122',2187,'855',68.65,1,3,NULL),(15,2261499,'1990-08-26 00:00:00',4,1,12,2007,'M','N','FAZ SANTO ANTONIO','SAO JOSE','SC','124243241115131431428823392324610167012',20561,'733',35.77,1,3,NULL),(15,2261502,'1988-03-06 00:00:00',4,1,11,2006,'M','N','CANGAÍBA','SAO PAULO','SP','125252251217471431478834471112610127182',10787,'9998',50.76,1,3,NULL),(15,2261510,'1988-01-15 00:00:00',4,1,12,2005,'F','N','PIRITUBA','SAO PAULO','SP','125254251216471431368632575122610165142',NULL,'9998',0.00,1,3,NULL),(15,2261529,'1990-01-28 00:00:00',4,4,12,2007,'M','N','CENTRO','CURITIBA','PR','116241161217471431356632575324610124182',2347,'9998',68.09,1,3,NULL),(15,2261537,'1983-06-07 00:00:00',4,8,12,2000,'M','N','JARDIM RICETTI','SAO CARLOS','SP','125251251112571431447623482122610134147',9118,'9998',53.43,1,3,NULL),(15,2261545,'1989-08-11 00:00:00',2,5,11,2006,'M','N','CENTRO','ARARANGUA','SC','124242248215271631436929572114610146112',7964,'970',55.43,2,1,2),(15,2261553,'1989-03-10 00:00:00',2,1,12,2006,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124241241132271741643339182323610152147',NULL,'757',0.00,1,2,1),(15,2261561,'1988-05-02 00:00:00',4,5,12,2005,'M','N','CENTRO','CRICIUMA','SC','124204208234272731335532392112143267047',16085,'9998',43.24,1,3,NULL),(15,2261588,'1989-03-15 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241115131431536511572124610127057',14259,'306',45.79,2,3,NULL),(15,2261596,'1989-08-28 00:00:00',2,8,12,2006,'F','N','CRUZEIRO','SAO BENTO DO SUL','SC','124241241116271431533412345124610131147',NULL,'693',23.25,1,3,NULL),(15,2261600,'1976-09-15 00:00:00',2,1,11,1993,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','224201201116151431253951445132141442047',NULL,'9998',0.00,1,3,NULL),(15,2261618,'1967-04-14 00:00:00',4,1,11,1984,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','123241246116273431256642325132321428137',NULL,'306',0.00,1,3,NULL),(15,2261634,'1989-06-14 00:00:00',4,1,12,2007,'M','N','BALNEARIO ESTREITO','FLORIANOPOLIS','SC','124134241217151431579614575122610138182',9132,'988',53.40,1,3,NULL),(15,2261650,'1990-07-09 00:00:00',4,1,12,2007,'M','N','CENTRO','MARINGA','PR','116242161215111431689933572122610117182',NULL,'9998',44.16,1,3,NULL),(15,2261669,'1990-10-25 00:00:00',4,2,12,2007,'M','N','DOS ESTADOS','TIMBO','SC','124242241215111431466613575122610164052',10719,'9997',50.85,1,3,NULL),(15,2261677,'1991-05-03 00:00:00',2,9,12,2007,'M','N','CENTRO','ANITA GARIBALDI','SC','124243241311161431348434572212610137047',13109,'18',47.44,1,3,NULL),(15,2261685,'1990-12-03 00:00:00',2,1,12,2007,'F','N','CENTRO','PARANHOS','MS','112121121215361431646923372124610123147',13548,'9998',46.83,2,3,NULL),(15,2261693,'1989-01-10 00:00:00',4,1,12,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215373431369914575122233262077',2373,'1038',68.00,1,3,NULL),(15,2261707,'1991-09-06 00:00:00',4,1,11,2008,'F','S','PALHOÇA','PALHOCA','SC','124244241215111431356831574124610126142',NULL,'270',55.72,1,3,NULL),(15,2261715,'1982-05-01 00:00:00',4,1,12,1999,'F','N','TRINDADE','FLORIANOPOLIS','SC','124162161216151731534412185324343222187',NULL,'9998',15.57,1,3,NULL),(15,2261723,'1988-01-04 00:00:00',4,1,12,2005,'F','N','CAMPO GRANDE','SANTOS','SP','125254251215572451443619575122610144147',7135,'9998',56.90,1,3,NULL),(15,2261740,'1990-04-29 00:00:00',4,5,12,2007,'F','N','SÃO BENTO BAIXO','NOVA VENEZA','SC','124241241215111411553416172124610124141',NULL,'880',22.02,1,3,NULL),(15,2261758,'1988-12-31 00:00:00',2,1,7,2007,'F','N','JOSÉ BONIFÁCIO','ERECHIM','RS','120201205116372431437614445124610147147',20738,'9998',35.42,1,2,1),(15,2261766,'1989-10-02 00:00:00',2,2,12,2007,'F','N','BEVERLY FALLS PARK','FOZ DO IGUACU','PR','116161165115471131553312145334610148192',NULL,'9998',0.00,1,2,1),(15,2261774,'1988-12-21 00:00:00',4,1,12,2005,'M','N','XV DE NOVEMBRO','TIJUCAS','SC','124241241216141752656314345111610164053',14553,'781',45.33,1,3,NULL),(15,2261782,'1984-08-14 00:00:00',2,1,3,2003,'M','N','CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC','124242247215471431158631515124610138182',22110,'9999',31.87,1,3,NULL),(15,2261790,'1989-11-30 00:00:00',4,1,12,2006,'M','N','PALHOÇA','PALHOCA','SC','124242241215472431456933392112610167097',10600,'989',51.02,1,3,NULL),(15,2261804,'1990-06-18 00:00:00',4,1,11,2007,'F','N','JURERÊ','FLORIANOPOLIS','SC','124242241215121431457711575122610128092',18001,'270',40.31,1,3,NULL),(15,2261812,'1990-06-01 00:00:00',2,1,12,2007,'F','N','JARDIM PARAÍSO','SINOP','MT','111112111216111752353332572122610131186',NULL,'9998',0.00,1,3,NULL),(15,2261820,'1987-10-30 00:00:00',4,1,12,2005,'M','N','SOL NASCENTE','TAPEJARA','RS','120201201146373431465411135124141032092',12500,'9998',48.29,1,2,1),(15,2261839,'1988-03-10 00:00:00',4,1,12,2005,'M','N','BROOKLIN PAULISTA','SAO PAULO','SP','125254251215471431348824445124142062012',7493,'9998',56.25,1,3,NULL),(15,2261847,'1991-10-23 00:00:00',4,1,12,2008,'M','S','AGRONÔMICA','FLORIANOPOLIS','SC','124242241217111431359932272122610137062',NULL,'883',42.14,1,3,NULL),(15,2261855,'1992-02-23 00:00:00',4,4,12,2009,'F','S','CENTRO','GUARUJA DO SUL','SC','124242011415111431436612122114610114187',NULL,'751',45.10,1,3,NULL),(15,2261863,'1988-01-03 00:00:00',2,5,12,2005,'F','N','SANTA BÁBARA','CRICIUMA','SC','124241244116271451344623435124610162097',NULL,'228',0.00,1,2,1),(15,2261871,'1989-05-10 00:00:00',4,1,12,2006,'M','N','JARDIM AMERICA','RIO DO SUL','SC','124243241117132411448823371221610156052',13302,'9997',47.17,1,3,NULL),(15,2261880,'1984-01-15 00:00:00',4,1,12,2001,'F','N','JARDIM SATÉLITE','SAO JOSE DOS CAMPOS','SP','125251251135571421327334245231610123097',NULL,'9998',43.12,1,2,1),(15,2261898,'1989-04-11 00:00:00',4,1,12,2006,'F','N','INDUSTRIAL','ALTA FLORESTA','MT','111111111116471731438632575124610158197',NULL,'9998',23.77,1,3,NULL),(15,2261901,'1979-07-05 00:00:00',4,7,12,1999,'F','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124251251136151421635474342334330244141',NULL,'9998',23.45,4,1,1),(15,2261910,'1989-01-16 00:00:00',2,1,12,2007,'M','N','SANTO ANTÔNIO','FLORIANOPOLIS','SC','124242241212151531558732192122610167072',19324,'1048',38.12,1,3,NULL),(15,2261928,'1990-03-08 00:00:00',4,10,11,2007,'F','N','PAES LEME','IMBITUBA','SC','124241241215121411546912575122610125172',12133,'807',48.81,1,3,NULL),(15,2261936,'1991-05-16 00:00:00',2,1,12,2008,'F','S','CAMPINAS','SAO JOSE','SC','124242241215111431466511592122610128112',NULL,'723',44.17,1,3,NULL),(15,2261944,'1989-05-08 00:00:00',4,1,11,2007,'F','N','BELA VISTA I','SAO JOSE','SC','124241247316131421536627181224610122097',20286,'9999',36.26,1,3,NULL),(15,2261952,'1989-12-07 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215472331467732274224610126017',2189,'956',68.64,1,3,NULL),(15,2261960,'1990-10-29 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216151431469922572112610122091',NULL,'270',0.00,1,3,NULL),(15,2261979,'1988-09-13 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215474431565921315112610137093',8998,'270',53.65,1,3,NULL),(15,2261987,'1985-11-25 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241116274431458923434124120762042',1631,'757',70.68,1,3,NULL),(15,2261995,'1988-09-22 00:00:00',4,8,10,2006,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216152441459813595124230444192',10669,'457',50.91,1,3,NULL),(15,2262002,'1991-05-22 00:00:00',2,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241217151431367719576122610147072',NULL,'270',0.00,1,3,NULL),(15,2262010,'1988-09-13 00:00:00',2,8,12,2005,'F','N','BOA VISTA','PONTA GROSSA','PR','116162161215572421658832575124610122097',NULL,'9998',0.00,1,3,NULL),(15,2262029,'1985-12-02 00:00:00',4,1,12,2003,'M','N','FRANCIOSI','VACARIA','RS','124201201117152431256511495124221764047',15054,'9998',44.73,1,3,NULL),(15,2262037,'1990-04-14 00:00:00',2,4,12,2007,'F','N','CENTRO','FLOR DA SERRA DO SUL','PR','116161161117471431434631575112610167142',5163,'9',60.78,1,2,1),(15,2262045,'1990-03-27 00:00:00',2,1,12,2007,'M','N','JARDIM DAS AMÉRICAS','PATO BRANCO','PR','116162161216111431388912575122610164122',NULL,'9998',35.71,1,3,NULL),(15,2262053,'1988-09-15 00:00:00',4,1,12,2005,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124241241316473431458831375124231447017',4610,'1036',61.98,1,3,NULL),(15,2262061,'1990-03-07 00:00:00',4,8,11,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241217141331554312345124610123042',NULL,'1006',0.00,1,3,NULL),(15,2262070,'1989-05-13 00:00:00',2,7,12,2006,'M','N','CENTRO','JOACABA','SC','124242241217273441356913574324610167077',1622,'962',70.71,1,3,NULL),(15,2262088,'1990-09-18 00:00:00',4,5,10,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215111431468814572122610163147',15378,'213',44.29,1,3,NULL),(15,2262096,'1989-11-08 00:00:00',4,1,12,2007,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241215271431468813592122610122092',3171,'262',65.63,1,3,NULL),(15,2262100,'1987-04-09 00:00:00',2,1,12,2005,'M','N','LIMÃO','SAO PAULO','SP','125253251211572411537331411124610122127',2651,'9998',67.17,1,3,NULL),(15,2262118,'1991-04-10 00:00:00',2,1,11,2008,'F','S','CAMPINAS','SAO JOSE','SC','124242248212211411268711245122610134012',NULL,'723',52.11,1,3,NULL),(15,2262126,'1988-09-09 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242246216111231457633331122610142115',NULL,'1022',24.54,1,3,NULL),(15,2262134,'1989-03-02 00:00:00',2,1,11,2006,'M','N','MONTE CRISTO','FLORIANOPOLIS','SC','124241241112132631423624345124610127017',NULL,'293',24.87,1,3,NULL),(15,2262142,'1987-01-22 00:00:00',2,4,12,2004,'M','N','CENTRO','SERRA ALTA','SC','124241241126372431423314272224610126192',3583,'765',64.50,1,2,1),(15,2262150,'1990-03-03 00:00:00',4,1,12,2007,'M','N','JARDIM NOVA BRAGANÇA','BRAGANCA PAULISTA','SP','125252251217151431479811591212610167147',5495,'9998',60.07,2,1,2),(15,2262169,'1986-01-14 00:00:00',2,1,12,2005,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241247221472711348713571124610134172',14109,'9999',46.02,1,3,NULL),(15,2262185,'1989-12-15 00:00:00',2,4,12,2006,'F','N','CENTRO','SANTA MARIA','RS','120202201217472431468834442122610163092',16252,'9998',42.97,1,3,NULL),(15,2262193,'1987-12-07 00:00:00',4,2,12,2005,'F','N','CERQUEIRA CESAR','SAO PAULO','SP','125252251217571421336634575114610142146',NULL,'9998',0.00,1,3,NULL),(15,2262207,'1989-09-01 00:00:00',2,6,12,2007,'F','N','NAÇÕES','BALNEARIO CAMBORIU','SC','124243241215131432433719141124610134147',13934,'967',46.26,1,3,NULL),(15,2262215,'1992-03-07 00:00:00',4,5,12,2009,'F','S','PIO CORREA','CRICIUMA','SC','124242241215111412556912575122610144122',NULL,'211',32.93,1,3,NULL),(15,2262223,'1989-12-23 00:00:00',4,1,12,2006,'F','N','ESPIGAO','REGENTE FEIJO','SP','125251251116371441526624575224240667147',NULL,'9998',0.00,3,3,NULL),(15,2262231,'1990-02-02 00:00:00',4,1,12,2007,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241115131431236623375124610145107',19305,'733',38.15,1,3,NULL),(15,2262240,'1988-01-19 00:00:00',4,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','124012241217372411469931472115130731097',NULL,'943',29.97,1,3,NULL),(15,2262258,'1989-01-19 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216473411366923585124231866191',2148,'270',68.80,1,3,NULL),(15,2262266,'1990-08-06 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241315111732446527575114610167042',18062,'1022',40.21,1,3,NULL),(15,2262274,'1991-09-02 00:00:00',2,1,12,2008,'F','S','CENTRO','PORTAO','RS','120201201217111431348611575124610131097',NULL,'9998',34.98,1,3,NULL),(15,2262282,'1990-03-23 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217111431437814595121610167187',NULL,'653',0.00,1,3,NULL),(15,2262290,'1990-04-25 00:00:00',2,5,11,2007,'M','N','RIO SALTO','URUSSANGA','SC','124244241215111431434514572124610138037',7548,'820',56.12,1,3,NULL),(15,2262304,'1990-09-16 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124241241111131731638613572124610162042',NULL,'257',0.00,1,3,NULL),(15,2262312,'1990-07-27 00:00:00',4,6,12,2007,'F','N','CENTRO','IMBUIA','SC','124244241215141431438832345124613231052',20556,'654',35.78,1,3,NULL),(15,2262320,'1989-11-21 00:00:00',2,4,12,2006,'F','N','NAÇÕES','CONCORDIA','SC','124241241134471731523335395125610162147',NULL,'192',0.00,1,3,NULL),(15,2262339,'1989-03-05 00:00:00',2,5,12,2006,'F','N','CENTRO','XANGRI LA','RS','120203201317131431427831175124241363117',NULL,'9998',0.00,1,3,NULL),(15,2262347,'1990-02-26 00:00:00',2,1,12,2007,'F','N','CENTRO','ANGELINA','SC','124241241112161531456611472122610113142',21982,'17',32.32,1,2,1),(15,2262355,'1987-10-11 00:00:00',2,1,12,2006,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242247345471731437833342124610137077',NULL,'9999',22.59,1,3,NULL),(15,2262363,'1988-09-13 00:00:00',2,1,7,2006,'M','N','MENINO DEUS','PORTO ALEGRE','RS','120202201215371431447714571124610147057',NULL,'9998',0.00,1,3,NULL),(15,2262371,'1989-08-31 00:00:00',4,7,12,2006,'F','N','CENTRO','VIDEIRA','SC','124241241215472411446632572122610122192',NULL,'969',0.00,1,3,NULL),(15,2262380,'1990-07-15 00:00:00',4,1,11,2007,'F','N','MORRO DO GROSSE','PANAMBI','RS','120202201217371431347732575122610134145',3842,'9998',63.89,1,3,NULL),(15,2262398,'1989-10-27 00:00:00',2,1,12,2006,'M','N','CENTRO','CAXIAS DO SUL','RS','120202208217471731468619495122610165097',NULL,'9998',0.00,4,3,NULL),(15,2262401,'1986-02-04 00:00:00',2,1,3,2004,'M','N','CENTRO','SAO JOSE','SC','124241241117472431466413215114133234141',6120,'739',58.83,4,2,1),(15,2262410,'1980-06-22 00:00:00',2,1,12,1997,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124244241616154421364319431122331937057',8314,'271',54.83,1,3,NULL),(15,2262428,'1988-04-20 00:00:00',2,9,11,2005,'M','N','VILA SANTA CATARINA','OTACILIO COSTA','SC','124241241111131751423318187211610166197',5764,'583',59.54,1,2,1),(15,2262436,'1990-03-18 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215112431438712572114610147017',9601,'226',52.59,1,3,NULL),(15,2262444,'1968-09-12 00:00:00',2,1,12,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124243247327131721633313182323610128097',18520,'9997',39.44,1,3,NULL),(15,2262452,'1990-06-25 00:00:00',4,8,12,2007,'M','N','FLORESTA','JOINVILLE','SC','124162241216151231338611575314610137042',15493,'487',44.14,1,3,NULL),(15,2262460,'1987-03-31 00:00:00',2,8,12,2004,'M','N','CENTRO','JARAGUA DO SUL','SC','124242241216573711436612575125132432142',175,'441',80.24,1,3,NULL),(15,2262479,'1987-11-27 00:00:00',4,1,12,2005,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241217133431388923485124610162182',1448,'269',71.46,1,3,NULL),(15,2262495,'1989-11-29 00:00:00',4,1,12,2006,'M','N','PARQUE SÃO JORGE','FLORIANOPOLIS','SC','120244201217471732469633572114610162157',7007,'9998',57.13,1,3,NULL),(15,2262517,'1988-10-02 00:00:00',4,8,12,2007,'M','N','JARDIM ESPERANÇA','CANOINHAS','SC','124241241125161431438811412335610131017',NULL,'153',24.16,1,3,NULL),(15,2262525,'1990-04-10 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241117131431437614372222610167047',NULL,'49',29.19,1,2,1),(15,2262533,'1987-08-10 00:00:00',4,4,12,2004,'F','N','SANTA MARIA','CHAPECO','SC','124243247146372732348813442224132864097',21051,'9999',34.76,1,3,NULL),(15,2262541,'1990-12-24 00:00:00',4,1,12,2007,'M','N','JARDIM SAÕ PAULO','UBIRATA','PR','116164161337111731436729292121610137057',NULL,'9998',31.84,1,3,NULL),(15,2262550,'1990-11-13 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124241241116131431433723345122610122141',16624,'239',42.42,1,2,1),(15,2262568,'1989-03-02 00:00:00',4,3,12,2005,'F','N','BARRA SUL','BALNEARIO CAMBORIU','SC','124242241215571431468827571122133262092',1147,'190',72.81,1,3,NULL),(15,2262576,'1990-01-17 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','105052051217111431338831344124610122187',13544,'9998',46.83,1,3,NULL),(15,2262584,'1990-10-19 00:00:00',2,1,12,2007,'M','N','ORIENTAL','CARAZINHO','RS','120201201116371431444611572122610137052',NULL,'9998',0.00,1,3,NULL),(15,2262592,'1988-07-01 00:00:00',2,1,11,2006,'M','N','CENTRO','MARECHAL CANDIDO RONDON','PR','116162161216411421644432575114610162072',15390,'9998',44.27,1,3,NULL),(15,2262606,'1981-10-11 00:00:00',4,1,11,2000,'M','N','CENTRO','GAROPABA','SC','124202201216131421536634282214333266117',18629,'9998',39.28,1,3,NULL),(15,2262614,'1986-04-23 00:00:00',2,1,12,2003,'M','N','JAGUARÉ','SAO PAULO','SP','125252251117131421557734235124141966092',3491,'9998',64.78,4,1,2),(15,2262622,'1990-05-04 00:00:00',4,1,12,2007,'M','N','IBIRAQUERA','IMBITUBA','SC','124241248117131731314317282324610127112',NULL,'361',31.56,1,2,1),(15,2262630,'1990-08-08 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217121431448734572314610124112',2382,'269',67.97,1,3,NULL),(15,2262649,'1990-07-30 00:00:00',2,9,12,2007,'F','N','CENTRO','LAGES','SC','124241241117371431325823372124610135097',6993,'512',57.17,4,2,1),(15,2262657,'1984-02-24 00:00:00',2,1,12,2002,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241127433411425324145124610166187',NULL,'922',32.10,1,2,1),(15,2262673,'1990-09-23 00:00:00',4,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124242241215111411478911575112610112082',12366,'1011',48.47,1,3,NULL),(15,2262681,'1990-04-06 00:00:00',4,1,12,2007,'F','N','PROGRESSO','ALEGRETE','RS','120202201116471431632733575225610116092',19662,'9998',37.49,1,3,NULL),(15,2262690,'1990-09-27 00:00:00',4,2,12,2008,'F','S','PTRÓPOLIS','BLUMENAU','SC','124242241217111421239734572122610128186',NULL,'855',45.73,1,3,NULL),(15,2262703,'1985-04-21 00:00:00',2,1,12,2003,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124243247222133112623326442344610153097',22150,'596',31.72,1,3,NULL),(15,2262711,'1976-11-26 00:00:00',2,1,12,1997,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124201208112141421414449282344610114077',NULL,'9998',26.08,1,2,1),(15,2262720,'1992-05-17 00:00:00',4,7,11,2008,'M','S','CENTRO','CAPINZAL','SC','124242241215121431369713375122610168177',NULL,'1093',45.05,1,3,NULL),(15,2262738,'1986-01-13 00:00:00',4,1,12,2003,'F','N','BELA VISTA I','SAO JOSE','SC','124241241136131431536628141234610163017',18930,'726',38.80,1,2,1),(15,2262746,'1982-11-10 00:00:00',2,1,10,2002,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124243248117134111357839492224610128027',5881,'306',59.29,1,3,NULL),(15,2262754,'1987-09-14 00:00:00',4,1,1,2001,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124201201116131731636611245213610127047',20344,'9998',36.15,1,2,1),(15,2262762,'1987-07-20 00:00:00',2,1,7,2006,'M','N','PORTO DA LAGOA','FLORIANOPOLIS','SC','124243247337572431526662445124610127115',18266,'9999',39.85,1,3,NULL),(15,2262797,'1984-02-27 00:00:00',4,5,11,2002,'M','N','CENTRO','CRICIUMA','SC','124242241215332432343823392233130764043',NULL,'227',0.00,1,3,NULL),(15,2262800,'1991-03-01 00:00:00',4,5,12,2007,'M','N','VILA SAO JOSE','ARARANGUA','SC','124241241215371531456634575122610134091',7603,'27',56.02,1,3,NULL),(15,2262819,'1977-04-03 00:00:00',4,1,12,1999,'F','N','TAPERA','FLORIANOPOLIS','SC','124242248426135431125723481324230225141',19278,'9997',38.21,2,3,NULL),(15,2262827,'1989-05-06 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215372432458833285111232737117',5494,'1022',60.07,1,3,NULL),(15,2262835,'1991-12-07 00:00:00',4,9,11,2008,'F','S','CORAL','LAGES','SC','124243241215111431558613392122613227012',NULL,'497',34.28,1,3,NULL),(15,2262843,'1990-09-25 00:00:00',4,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124242241235121431383432275121610164046',16422,'456',42.73,1,3,NULL),(15,2262851,'1989-03-08 00:00:00',4,1,11,2006,'F','N','ZONA II','MARINGA','PR','116162161216371431457732172112610162182',NULL,'9998',0.00,1,3,NULL),(15,2262860,'1990-02-22 00:00:00',4,4,12,2007,'F','N','MARIA GORETTI','CHAPECO','SC','124241241216151431438313571122610148097',7368,'1046',56.48,1,3,NULL),(15,2262878,'1973-03-21 00:00:00',2,1,12,1993,'M','N','REAL PARK','SAO JOSE','SC','224241246141143421436543232114610164097',14305,'306',45.72,2,2,1),(15,2262894,'1988-01-31 00:00:00',2,1,4,2007,'M','N','SERTÃO DO MARUIM','SAO JOSE','SC','124243241116471431466613245123133228197',8360,'739',54.75,1,3,NULL),(15,2262908,'1990-01-28 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431349813575112610137042',22195,'9997',31.50,1,3,NULL),(15,2262916,'1989-01-08 00:00:00',2,1,12,2006,'M','N','ZONA SETE','MARINGA','PR','116162161216471431588814575112610117042',5962,'9998',59.15,1,3,NULL),(15,2262924,'1991-03-27 00:00:00',4,1,12,2008,'M','S','ITACORUI','FLORIANOPOLIS','SC','124244241217111431228831572124610127042',NULL,'269',26.58,1,3,NULL),(15,2262932,'1990-11-25 00:00:00',2,1,11,2007,'F','N','BELA VISTA','SAO JOSE','SC','124241241115131732426514252312610134147',21464,'257',33.82,1,2,1),(15,2262940,'1987-10-23 00:00:00',4,8,12,2005,'F','N','SAO RAFAEL','RIO NEGRINHO','SC','124241241216473451546612574122131548092',8307,'666',54.84,1,3,NULL),(15,2262959,'1990-04-26 00:00:00',4,1,11,2007,'M','N','SÃO MIGUEL','BIGUACU','SC','124242241212271431556611292124610164112',20343,'63',36.15,1,3,NULL),(15,2262967,'1990-10-16 00:00:00',4,4,12,2007,'M','N','INTERIOR','RONDA ALTA','RS','120201201117131411423416571344610167052',NULL,'9998',24.62,1,3,NULL),(15,2262975,'1991-05-11 00:00:00',4,7,12,2008,'F','S','FREI BRUNO','JOACABA','SC','124242241216311431544812575122610138012',NULL,'446',39.86,1,3,NULL),(15,2262983,'1990-04-25 00:00:00',4,4,12,2007,'M','N','CENTRO','AGUAS DE CHAPECO','SC','124162241216111431469813575124610132052',9582,'185',52.62,1,3,NULL),(15,2262991,'1990-07-18 00:00:00',4,4,12,2007,'F','N','MORADA DO SOL','MARAVILHA','SC','124241241116141431456923215112610132017',20812,'552',35.25,1,2,1),(15,2263009,'1986-11-05 00:00:00',2,1,12,2003,'F','N','AREIAS','SAO JOSE','SC','124201201116271431425823585124610121187',13285,'9998',47.19,1,2,1),(15,2263017,'1981-11-19 00:00:00',2,1,12,2000,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','620201201116151721326679415234610114042',19545,'9998',37.73,4,3,NULL),(15,2263025,'1991-03-23 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111211489933572122610122197',NULL,'270',47.64,1,3,NULL),(15,2263041,'1987-11-13 00:00:00',2,1,11,2006,'F','N','BELA VISTA','SAO JOSE','SC','124241241117132441433414382124610112142',19046,'726',38.60,1,2,1),(15,2263050,'1990-08-08 00:00:00',4,1,12,2007,'F','N','CHACARA CACHOEIRA','CAMPO GRANDE','MS','112122121216111751348831515122610168192',19774,'9998',37.29,1,3,NULL),(15,2263068,'1985-11-19 00:00:00',4,1,12,2003,'F','N','CENTRO TECNICO AERO','SAO JOSE DOS CAMPOS','SP','124254251217573431569813495221230224152',8393,'9998',54.70,1,3,NULL),(15,2263076,'1989-06-29 00:00:00',2,1,11,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241217272121558614472112230222147',20243,'1022',36.34,1,3,NULL),(15,2263084,'1990-07-18 00:00:00',2,4,11,2007,'F','N','CENTRO','GUARUJA DO SUL','SC','124244241216111431556412575124610162142',21372,'752',34.05,1,3,NULL),(15,2263106,'1988-12-01 00:00:00',4,1,12,2006,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241248216152711456511415122610116077',19034,'270',38.62,1,3,NULL),(15,2263114,'1987-08-26 00:00:00',4,1,12,2004,'M','N','BREJARU','PALHOCA','SC','124243241215273421655512335123232764032',10966,'989',50.52,1,3,NULL),(15,2263122,'1984-11-05 00:00:00',2,4,12,2003,'M','N','CENTRO','CHAPECO','SC','124241241127271421323344242114610167047',NULL,'174',0.00,1,3,NULL),(15,2263130,'1986-11-16 00:00:00',4,1,12,2004,'M','N','PINGUIRITO GAROPABA','GAROPABA','SC','124241248127141731523313241331610112177',NULL,'322',18.41,1,3,NULL),(15,2263149,'1981-12-14 00:00:00',4,1,5,2002,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241247137333431657733591124610166042',9336,'9999',53.07,1,2,1),(15,2263157,'1990-09-14 00:00:00',4,3,12,2007,'F','N','PEREQUÊ','PORTO BELO','SC','624162241235371431323614345122610165077',NULL,'403',24.90,1,3,NULL),(15,2263165,'1989-09-02 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244241437131431636713412123610162047',16613,'257',42.44,1,3,NULL),(15,2263181,'1990-09-06 00:00:00',4,7,12,2008,'F','S','CENTRO','CAPINZAL','SC','124241241414111431466711575122610127147',NULL,'446',38.42,1,3,NULL),(15,2263190,'1990-09-09 00:00:00',4,7,12,2007,'M','N','SÃO CRISTÓVÃO','CONCORDIA','SC','124241241115151411433322382124610128152',18962,'858',38.73,1,2,1),(15,2263211,'1985-07-26 00:00:00',2,3,12,2003,'F','N','CAPÃO DA IMBUIA','CURITIBA','PR','116164251216571431343514275124141334147',18697,'9998',39.17,1,3,NULL),(15,2263220,'1990-07-06 00:00:00',4,1,12,2007,'M','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124123241415271431446723245124610144057',12694,'258',47.99,1,3,NULL),(15,2263238,'1990-04-13 00:00:00',2,1,12,2007,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124242241215111431368933571122610124092',16818,'1022',42.14,1,3,NULL),(15,2263246,'1985-04-27 00:00:00',4,1,12,2002,'F','N','CIDADE DUTRA','SAO PAULO','SP','125251251317271441444823345114142562182',NULL,'9998',0.00,1,3,NULL),(15,2263254,'1988-04-18 00:00:00',4,3,11,2005,'M','N','CASCATINHA','CURITIBA','PR','116162161216571431439814574112143264112',NULL,'9998',0.00,1,3,NULL),(15,2263262,'1988-08-11 00:00:00',4,3,12,2005,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241215473431253327572122132035092',8194,'991',55.01,1,3,NULL),(15,2263270,'1990-05-29 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431548712375122610117042',17358,'269',41.30,4,3,NULL),(15,2263289,'1990-05-05 00:00:00',4,1,11,2007,'M','N','RIO CAVEIRAS','BIGUACU','SC','124242241216111232466612575114610161051',14700,'738',45.15,1,3,NULL),(15,2263297,'1990-01-10 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124242241217131431449815574125610147092',6742,'499',57.66,1,3,NULL),(15,2263300,'1991-11-27 00:00:00',4,1,11,2008,'M','S','SANTA MONICA','FLORIANOPOLIS','SC','124242241215111431549911492122610138112',NULL,'270',38.85,1,3,NULL),(15,2263319,'1987-11-10 00:00:00',2,1,12,2005,'F','N','CENTRO','SOMBRIO','SC','124242241215473431338923385122133224117',9541,'970',52.70,1,3,NULL),(15,2263327,'1981-07-19 00:00:00',2,1,12,2001,'M','N','PQ HUMAITÁ','PORTO ALEGRE','RS','120201201326271731535639245123143268182',18742,'9998',39.09,1,3,NULL),(15,2263335,'1986-05-15 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241317131431436319392114610124042',NULL,'257',24.32,2,1,2),(15,2263343,'1987-07-04 00:00:00',4,8,12,2004,'M','N','NOVA IORQUE','ARACATUBA','SP','125252251215472531548812285125610122182',4687,'9998',61.78,1,3,NULL),(15,2263351,'1990-10-02 00:00:00',2,10,12,2007,'F','N','CENTRO','TUBARAO','SC','124242241117111431549711292112610168195',6854,'807',57.44,1,3,NULL),(15,2263360,'1987-07-06 00:00:00',4,1,12,2004,'M','N','CABREUVA','CAMPO GRANDE','MS','112122121216571751348831575112610168192',6176,'9998',58.70,1,3,NULL),(15,2263378,'1973-08-29 00:00:00',2,1,7,2002,'M','N','CAMPINAS','SAO JOSE','SC','224203244614135721243544244124610114085',NULL,'9999',0.00,4,3,NULL),(15,2263386,'1991-01-29 00:00:00',4,1,11,2008,'F','S','CENTRO','AGROLANDIA','SC','116163161317131441423473572121610154187',NULL,'9998',24.53,1,3,NULL),(15,2263394,'1991-12-28 00:00:00',4,1,11,2007,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124242243215111432258923392122610123142',17882,'259',40.53,1,3,NULL),(15,2263416,'1990-02-16 00:00:00',4,1,12,2007,'F','N','PASSA VINTE','PALHOCA','SC','124241241225131421436624291234610168147',14899,'262',44.91,4,3,NULL),(15,2263424,'1988-04-25 00:00:00',4,1,12,2005,'M','N','VILA PAULISTA','RIO CLARO','SP','125252251317572441268813577121141468172',183,'9998',80.15,4,3,NULL),(15,2263432,'1990-07-01 00:00:00',4,5,11,2007,'F','N','LINHA RIO MAIOR','URUSSANGA','SC','124242241215111431346833472122610134112',NULL,'820',34.67,1,3,NULL),(15,2263440,'1989-08-03 00:00:00',2,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215111421689912572122610142072',6571,'270',57.94,1,3,NULL),(15,2263459,'1991-06-29 00:00:00',2,9,11,2008,'M','S','CENTRO','CURITIBANOS','SC','124241241215111531469933474122610127051',NULL,'881',40.77,1,3,NULL),(15,2263467,'1986-03-06 00:00:00',4,4,12,2004,'M','N','SANTA MARIA','CHAPECO','SC','124241247426132522338833484224131061092',NULL,'9999',47.94,1,3,NULL),(15,2263475,'1988-04-07 00:00:00',2,1,12,2005,'F','N','CENTRO','LIMEIRA','SP','125252251216573711456319575122610122092',8809,'9998',53.99,4,3,NULL),(15,2263483,'1988-04-13 00:00:00',2,1,6,2006,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241247317271431335923375114610167077',NULL,'9999',0.00,1,3,NULL),(15,2263491,'1990-03-10 00:00:00',2,4,11,2007,'F','N','CENTRO','XANXERE','SC','124242241216272431446632572122610122142',13958,'836',46.22,1,3,NULL),(15,2263505,'1989-11-23 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241215271731466814295122610123142',13650,'442',46.68,1,3,NULL),(15,2263513,'1988-11-17 00:00:00',2,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124242241216472731458613575124610127053',17094,'738',41.73,1,3,NULL),(15,2263521,'1990-11-26 00:00:00',2,3,12,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241217151731458823412122610137067',18349,'407',39.72,4,3,NULL),(15,2263530,'1990-04-20 00:00:00',2,3,12,2007,'F','N','OXFORD','SAO BENTO DO SUL','SC','124241242115111431336619575124610137057',22076,'129',32.02,1,3,NULL),(15,2263548,'1990-11-21 00:00:00',4,1,11,2007,'M','N','SAO JOAO','PORTO ALEGRE','RS','120202201217141411358633241132610127047',6568,'9998',57.95,1,3,NULL),(15,2263556,'1989-11-29 00:00:00',4,8,12,2007,'M','N','GLÓRIA','JOINVILLE','SC','124242247215371231478611574222610167122',16792,'487',42.18,1,3,NULL),(15,2263564,'1991-07-20 00:00:00',2,10,11,2008,'F','S','OFICINAS','TUBARAO','SC','124244241217111431589931374122610127072',NULL,'807',37.88,1,3,NULL),(15,2263572,'1991-01-31 00:00:00',4,10,11,2007,'F','N','DEHON','TUBARAO','SC','124242241215111531589923371122610164052',2161,'807',68.72,1,3,NULL),(15,2263580,'1989-11-05 00:00:00',2,4,11,2006,'F','N','SANTA CRUZ','CONCORDIA','SC','124241241115572431423933272122610125052',10307,'984',51.48,1,2,1),(15,2263599,'1990-09-19 00:00:00',2,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124244244215111431578813472122610123182',20427,'737',35.99,1,3,NULL),(15,2263602,'1987-01-19 00:00:00',2,1,12,2005,'M','N','AGUA SANTA','CURITIBANOS','SC','124241242112151731425514295114230227057',11704,'741',49.39,1,2,1),(15,2263610,'1990-03-30 00:00:00',4,1,12,2007,'M','N','VALE DO SOL','VOTUPORANGA','SP','125254251217111452468619575112610164047',2091,'9998',69.00,1,3,NULL),(15,2263629,'1989-05-01 00:00:00',4,1,12,2006,'M','N','JARDIM GRAMADO','CASCAVEL','PR','116163161115571431346623572321610137092',5706,'9998',59.66,1,3,NULL),(15,2263637,'1988-04-01 00:00:00',4,1,12,2005,'M','N','BOM FIM','PORTO ALEGRE','RS','120241241117311431236641412344610163111',12961,'281',47.64,4,3,NULL),(15,2263645,'1976-12-31 00:00:00',4,1,12,1995,'M','N','MADRI','PALHOCA','SC','224043243241141411349343435124131762031',5322,'489',60.47,1,3,NULL),(15,2263653,'1990-10-20 00:00:00',4,8,12,2007,'M','N','VILA RICA','MARINGA','PR','116162161215111431478811575122610142082',6572,'9998',57.94,1,3,NULL),(15,2263670,'1989-03-28 00:00:00',2,4,11,2006,'F','N','CENTRO','SAO LOURENCO DO OESTE','SC','124244161215471431444434575124610164142',10025,'9998',51.90,1,3,NULL),(15,2263688,'1986-03-13 00:00:00',2,1,2,2006,'M','N','RIO GRANDRE','PALHOCA','SC','124241241116374431468413345124610123097',12418,'739',48.42,1,2,1),(15,2263696,'1988-06-29 00:00:00',2,1,12,2006,'F','N','PARQUE SÃO JORGE','FLORIANOPOLIS','SC','120242241217472731458833575114610142047',17274,'270',41.45,1,3,NULL),(15,2263700,'1990-02-08 00:00:00',4,1,12,2007,'F','N','CENTRO','OSORIO','RS','120201201116131731226624582325610127117',NULL,'9998',27.91,4,3,NULL),(15,2263718,'1990-02-02 00:00:00',4,1,11,2007,'M','N','CENTRO','MONTE SIAO','MG','112134131216111731653839175122610142092',3454,'9998',64.87,1,3,NULL),(15,2263726,'1988-01-06 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124252251216152431168836575115120764055',3002,'9998',66.14,1,3,NULL),(15,2263734,'1991-05-28 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215151431348632312112610168072',9802,'226',52.26,1,3,NULL),(15,2263742,'1959-01-16 00:00:00',2,1,12,2001,'M','N','VILA MOEMA','TUBARAO','SC','324242248121151421246849395122130261147',NULL,'9997',0.00,1,3,NULL),(15,2263750,'1971-01-19 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANOPOLIS','SC','124161167127274411114148285115610165182',21325,'9998',34.13,4,1,1),(15,2263769,'1975-06-08 00:00:00',4,1,12,1996,'M','N','COQUEIROS','FLORIANOPOLIS','SC','224241246126132151212211281214610162091',NULL,'306',0.00,1,3,NULL),(15,2263777,'1990-07-13 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431657733572124610134047',13500,'1022',46.89,1,3,NULL),(15,2263785,'1966-04-27 00:00:00',2,1,12,1985,'F','N','JD CARANDAÍ','BIGUACU','SC','224241245142374431533351372114121326143',19574,'591',37.67,1,2,1),(15,2263793,'1987-02-25 00:00:00',4,1,6,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242281412371431568912243345132054187',10644,'499',50.96,1,3,NULL),(15,2263807,'1990-07-09 00:00:00',4,8,12,2007,'M','N','SAGUACU','JOINVILLE','SC','124242241215111412368812477112610164046',NULL,'457',0.00,1,3,NULL),(15,2263815,'1987-08-10 00:00:00',4,1,12,2004,'M','N','CENTRO','SOBRADINHO','RS','120201201111572711538819496124610167117',6494,'9998',58.09,1,2,1),(15,2263823,'1986-05-10 00:00:00',4,1,12,2003,'F','N','LIBERDADE','SAO PAULO','SP','125252251215471431146631572312610132147',3376,'9998',65.07,3,3,NULL),(15,2263840,'1979-08-28 00:00:00',4,1,12,1998,'M','N','FAZENDA RIO TAVARES','FLORIANOPOLIS','SC','124201203147151421347844245233140238097',8631,'9998',54.29,1,2,1),(15,2263858,'1989-01-07 00:00:00',4,1,12,2006,'M','N','AREIAS','SAO JOSE','SC','124241241137141411438614345114610167042',21167,'730',34.51,1,3,NULL),(15,2263866,'1988-06-22 00:00:00',4,2,12,2005,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241116372431346624575124610168012',NULL,'69',17.57,1,3,NULL),(15,2263874,'1990-01-18 00:00:00',2,4,11,2007,'M','N','CENTRO','MARAVILHA','SC','124241241315131431546712396122610133142',18169,'1037',40.03,1,3,NULL),(15,2263882,'1961-01-14 00:00:00',2,1,12,1978,'F','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','224161164116132431444454372124133221197',10929,'9998',50.56,1,2,1),(15,2263890,'1990-09-16 00:00:00',2,1,12,2007,'F','N','CANTO DOS GANCHOS','GOVERNADOR CELSO RAMOS','SC','124241241122131431323335282322610134057',19345,'329',38.09,1,2,1),(15,2263912,'1990-05-08 00:00:00',4,1,12,2007,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215121431388923575124610163182',6216,'270',58.61,1,3,NULL),(15,2263920,'1989-09-15 00:00:00',4,10,11,2006,'M','N','OFICINAS','TUBARAO','SC','124242241215142431578831574115231017042',5968,'806',59.14,1,3,NULL),(15,2263939,'1989-03-23 00:00:00',4,1,11,2006,'M','N','KOBRASOL','SAO JOSE','SC','124242248215312431327823445114610164042',19068,'9997',38.56,1,3,NULL),(15,2263947,'1985-05-17 00:00:00',4,1,12,2002,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124244241417133511427619295124121454037',2438,'581',67.80,1,3,NULL),(15,2263955,'1990-04-07 00:00:00',2,1,12,2007,'M','N','JARDIM MONCOES II','PARANAVAI','PR','116164161237111711656631575122610137186',NULL,'9998',35.95,3,3,NULL),(15,2263963,'1990-03-26 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241217111431436664572125610133057',10112,'1022',51.77,1,3,NULL),(15,2263971,'1991-06-08 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241215111711368833576124610168182',7561,'270',56.09,1,3,NULL),(15,2263980,'1988-12-23 00:00:00',2,1,12,2006,'F','N','VILA PAES','VOTUPORANGA','SP','125252251211472431438923575123610132142',4003,'9998',63.43,1,3,NULL),(15,2263998,'1989-06-25 00:00:00',4,10,11,2006,'M','N','LADO DA UNIÃO','BRACO DO NORTE','SC','124242241215372431256469272112130442143',6456,'102',58.15,1,3,NULL),(15,2264005,'1990-04-09 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124164241415111411238722592125610161192',NULL,'266',37.87,1,3,NULL),(15,2264013,'1990-05-02 00:00:00',2,5,12,2007,'F','N','CENTRO','CRICIUMA','SC','124242241216121711648923435122610116052',12763,'226',47.90,1,3,NULL),(15,2264048,'1989-01-23 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241415372431466613332234610147062',6425,'154',58.21,4,1,2),(15,2264056,'1991-01-31 00:00:00',4,1,11,2008,'F','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215111431459713572122610124192',NULL,'270',34.55,1,3,NULL),(15,2264064,'1985-02-10 00:00:00',4,8,12,2002,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161216471441476612382122340632057',1465,'9998',71.39,1,3,NULL),(15,2264080,'1988-11-17 00:00:00',4,1,12,2006,'F','N','JD BRASILIA','ARACATUBA','SP','125252251215471431346631572112610133147',16927,'9998',41.97,3,3,NULL),(15,2264099,'1986-09-03 00:00:00',4,10,12,2004,'F','N','OFICINAS','TUBARAO','SC','124243241137471431356833575112610144042',17809,'804',40.65,1,3,NULL),(15,2264102,'1990-02-17 00:00:00',4,1,12,2007,'M','N','SILVA MELO','OLIMPIA','SP','125252251217151251378612192122613217054',20678,'9998',35.54,1,3,NULL),(15,2264110,'1986-11-16 00:00:00',4,1,12,2005,'M','N','ITAGUAÇÚ','FLORIANOPOLIS','SC','124242247235372431378817495112132067042',21497,'270',33.73,1,3,NULL),(15,2264129,'1990-02-08 00:00:00',4,9,12,2007,'M','N','CORAL','LAGES','SC','124242241215111721568612585115613211011',11603,'9997',49.55,1,3,NULL),(15,2264137,'1990-08-23 00:00:00',4,1,12,2007,'M','N','CENTRO','SAO JOSE','SC','124242241127141431443639345124610118181',16824,'728',42.13,1,3,NULL),(15,2264145,'1989-03-13 00:00:00',4,1,11,2006,'F','N','VALE DO ITAMARACÁ','VALINHOS','SP','125252251217371431379712585112610127122',7947,'9998',55.45,1,3,NULL),(15,2264161,'1990-04-17 00:00:00',2,1,12,2007,'M','N','MARISCAL','BOMBINHAS','SC','124201241145141431224761212331610121142',15300,'96',44.40,4,2,1),(15,2264170,'1988-03-14 00:00:00',2,1,11,2005,'F','N','CENTRO','SAO JOAQUIM','SC','124242241215372431236412412124131926147',8296,'1035',54.85,1,3,NULL),(15,2264196,'1989-04-18 00:00:00',4,5,11,2006,'M','N','FIGUEIRA','URUSSANGA','SC','124242241215112431458921312122231024072',8897,'820',53.84,1,3,NULL),(15,2264200,'1978-11-16 00:00:00',4,1,12,1996,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','224243248116143421438353235122122924172',14316,'591',45.71,1,3,NULL),(15,2264218,'1988-05-27 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124244241215373421368713572114610167187',11820,'269',49.23,1,3,NULL),(15,2264226,'1976-12-27 00:00:00',4,1,12,1993,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124243241216373451449833285122522064185',NULL,'269',37.08,1,3,NULL),(15,2264234,'1990-09-21 00:00:00',4,2,11,2007,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215111731249729575114610124127',NULL,'855',0.00,1,3,NULL),(15,2264242,'1990-08-24 00:00:00',4,7,11,2007,'F','N','CENTRO','TREZE TILIAS','SC','124241241215141431466536574124610126177',13752,'446',46.53,1,3,NULL),(15,2264250,'1990-04-07 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215131431438833332224610127147',15130,'258',44.63,1,3,NULL),(15,2264269,'1990-06-09 00:00:00',2,10,11,2007,'F','N','VILA MOEMA','TUBARAO','SC','124244241214121431456634372122610122152',NULL,'807',0.00,1,3,NULL),(15,2264277,'1989-02-02 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215111711456824495124610114045',17294,'1022',41.41,1,3,NULL),(15,2264285,'1981-03-06 00:00:00',4,1,7,1998,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124244281211274731465841411111131924117',2466,'9998',67.72,1,3,NULL),(15,2264293,'1991-06-07 00:00:00',2,1,12,2007,'F','N','CENTRO','CORUMBA','MS','112204121415211431468713372122610128175',4165,'9998',63.00,1,3,NULL),(15,2264307,'1987-11-15 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','120202201216372131446632225132240245147',9072,'9998',53.53,1,3,NULL),(15,2264315,'1990-07-30 00:00:00',2,10,11,2007,'F','N','HUMAITA','TUBARAO','SC','124241241217121431524434442324610147147',18577,'9997',39.36,1,3,NULL),(15,2264323,'1983-03-22 00:00:00',2,1,11,1999,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241127134431125444342224230262187',11257,'69',50.08,1,2,1),(15,2264331,'1991-05-21 00:00:00',2,7,12,2008,'F','S','CENTRO','CONCORDIA','SC','124112241215111731358511572312610133142',NULL,'190',35.66,1,3,NULL),(15,2264340,'1990-08-24 00:00:00',4,1,6,2008,'M','S','RIO TAVARES','FLORIANOPOLIS','SC','124242241117151431587832575124610167042',NULL,'306',55.09,1,3,NULL),(15,2264358,'1980-04-12 00:00:00',4,1,12,1998,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243248126272431246643235332130847181',9477,'284',52.82,1,3,NULL),(15,2264366,'1983-12-17 00:00:00',2,1,9,2001,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124242248115353441668811314122132827111',1579,'306',70.87,1,3,NULL),(15,2264374,'1989-02-07 00:00:00',2,9,12,2007,'F','N','CENTRO','CAMPO BELO DO SUL','SC','124241241215111431456834572314610137092',21219,'499',34.39,1,3,NULL),(15,2264382,'1991-02-17 00:00:00',4,4,12,2008,'F','S','SAO JOSE','PINHALZINHO','SC','124241241116161431458632345122610137142',NULL,'616',23.95,1,3,NULL),(15,2264390,'1990-09-04 00:00:00',4,9,12,2007,'M','N','UNIVERSITÁRIO','LAGES','SC','124241241315111311335632474121610156042',21790,'1065',32.99,1,3,NULL),(15,2264404,'1990-07-07 00:00:00',2,1,12,2007,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124244241215121431565923572124610128152',14973,'1048',44.82,1,3,NULL),(15,2264420,'1989-08-10 00:00:00',4,2,12,2006,'M','N','CENTRO','POMERODE','SC','124242241217472731336414374124610162052',2062,'855',69.06,1,3,NULL),(15,2264439,'1990-01-06 00:00:00',2,4,12,2007,'M','N','IPIRANGA','RONDA ALTA','RS','120201201111131711323319391322610164052',NULL,'9998',28.59,4,3,NULL),(15,2264447,'1990-09-01 00:00:00',2,2,12,2007,'M','N','GLÓRIA','BLUMENAU','SC','124241241115161431335324595124610147147',18650,'76',39.24,4,3,NULL),(15,2264455,'1989-09-29 00:00:00',4,1,12,2007,'F','N','BELA VISTA','GOIANIA','GO','109092091216111331566634575122610166092',5461,'9998',60.14,1,3,NULL),(15,2264463,'1991-11-15 00:00:00',4,9,11,2008,'F','S','POÇO RICO','OTACILIO COSTA','SC','124122241215111731479933235122610162176',NULL,'499',52.14,1,3,NULL),(15,2264471,'1984-12-21 00:00:00',2,1,12,2003,'M','N','VILA MARIANA','SAO PAULO','SP','125252251216571511468811581122610116122',NULL,'9998',44.82,1,3,NULL),(15,2264480,'1987-05-27 00:00:00',4,1,12,2005,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215312411468924472112232066122',12241,'266',48.67,1,3,NULL),(15,2264501,'1977-09-15 00:00:00',4,1,12,1995,'M','N','CENTRO','BELO HORIZONTE','MG','113131131116371721133349435334541066146',NULL,'9998',0.00,2,1,1),(15,2264510,'1986-06-13 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241215273411469931295124230267013',11849,'226',49.18,1,3,NULL),(15,2264528,'1986-09-10 00:00:00',2,1,12,2003,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241241111272421236621332334610126072',20281,'257',36.26,1,2,1),(15,2264536,'1989-10-31 00:00:00',4,1,12,2007,'M','N','SANTA ELIZA','VOTUPORANGA','SP','125252251215161431568411571122610167182',10311,'9998',51.48,1,3,NULL),(15,2264544,'1988-11-19 00:00:00',2,5,11,2006,'F','N','CENTRO','URUSSANGA','SC','124241241215472411546631571124610164112',9892,'820',52.11,1,3,NULL),(15,2264552,'1990-09-23 00:00:00',4,1,12,2007,'F','N','NOSSA SENHORA DO ROS','SAO JOSE','SC','124242241215371431468313572124610124047',233,'723',79.53,1,3,NULL),(15,2264560,'1988-01-13 00:00:00',4,1,12,2006,'M','N','COSTEIRA PIRAJUBAÉ','FLORIANOPOLIS','SC','124244247315152741327523212124610164091',10129,'9997',51.75,2,3,NULL),(15,2264579,'1989-07-06 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217112431367734345121221527182',2144,'855',68.82,1,3,NULL),(15,2264587,'1985-06-08 00:00:00',4,1,12,2002,'M','N','JARDIM NASRALLA','BAURU','SP','125252251216572431365522571222610164037',527,'9998',76.58,1,3,NULL),(15,2264609,'1988-09-12 00:00:00',4,8,12,2007,'M','N','BUCAREIN','JOINVILLE','SC','124242241215131531328834175121610144052',20725,'1105',35.45,1,3,NULL),(15,2264617,'1990-09-08 00:00:00',2,4,12,2007,'F','N','CENTRO','CORONEL VIVIDA','PR','116161168116151431225923572124610123187',NULL,'9998',0.00,4,3,NULL),(15,2264625,'1989-12-21 00:00:00',4,1,12,2007,'M','N','BOM RETIRO','CACHOEIRA DO SUL','RS','120202201216111431449934571123610134143',13122,'9998',47.43,1,3,NULL),(15,2264633,'1989-08-17 00:00:00',2,1,12,2006,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124243241417132431448633312111610117045',NULL,'1076',23.01,1,3,NULL),(15,2264641,'1986-08-17 00:00:00',2,1,6,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124244241427171311537823415122610118037',19966,'9999',36.90,1,3,NULL),(15,2264650,'1990-03-08 00:00:00',2,7,12,2007,'F','N','SENHOR BOM JESUS','CAMPOS NOVOS','SC','124244241415131431335623232224610137017',18828,'139',38.94,1,3,NULL),(15,2264668,'1987-11-10 00:00:00',4,1,12,2005,'M','N','BARRA DO ARIRIU','PALHOCA','SC','124241241147154431354413245121610122065',14423,'591',45.55,1,2,1),(15,2264684,'1990-04-27 00:00:00',4,1,12,2007,'F','N','UMUARAMA','OSASCO','SP','125244251435111431367514575112610161142',20617,'9998',35.66,1,3,NULL),(15,2264706,'1989-11-18 00:00:00',4,1,12,2006,'M','N','CENTRO','SAO PEDRO DO SUL','RS','120201201117272431226673391325610167042',13987,'9998',46.17,1,2,1),(15,2264714,'1990-02-12 00:00:00',2,1,11,2007,'F','N','COBRAS','RIO DO SUL','SC','124242241215111751446614374122610161142',2973,'9997',66.23,1,3,NULL),(15,2264722,'1986-10-08 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241216154431278829575124231067085',5113,'270',60.89,1,3,NULL),(15,2264730,'1991-07-04 00:00:00',4,1,12,2008,'F','S','MEIA PRAIA','ITAPEMA','SC','124242241215131431326519575122610125017',NULL,'403',19.79,1,3,NULL),(15,2264749,'1988-12-16 00:00:00',4,3,12,2006,'M','N','MORUMBI','SAO PAULO','SP','125252251217471431588614572112610167056',19441,'9998',37.93,4,3,NULL),(15,2264757,'1989-12-24 00:00:00',4,10,11,2007,'M','N','CENTRO','TUBARAO','SC','124242241215111431667814375125610136042',9089,'807',53.49,1,3,NULL),(15,2264773,'1990-07-23 00:00:00',4,3,12,2007,'F','N','DAS NAÇÕES','BALNEARIO CAMBORIU','SC','124241241215131431523321215125610167147',12582,'44',48.16,1,3,NULL),(15,2264781,'1988-05-17 00:00:00',2,1,12,2005,'F','N','LURDES','CAXIAS DO SUL','RS','120202201216471431468614272122610161017',6666,'9998',57.79,1,3,NULL),(15,2264790,'1987-08-27 00:00:00',4,1,12,2004,'F','N','VILA MARIANA','SAO PAULO','SP','125252251211171311478811575114610116142',16780,'9998',42.20,1,3,NULL),(15,2264803,'1988-05-19 00:00:00',4,1,7,2007,'M','N','ROÇADO','SAO JOSE','SC','124241247122131731647719292124610127087',NULL,'736',20.17,4,2,1),(15,2264811,'1989-03-04 00:00:00',2,4,12,2005,'M','N','PRESIDENTE MEDICE','CHAPECO','SC','124241241112373431643314242125610167047',11270,'182',50.05,4,3,NULL),(15,2264820,'1991-09-30 00:00:00',4,3,12,2008,'M','S','CENTRO','BALNEARIO CAMBORIU','SC','124242241214111431337834272125610127052',NULL,'44',49.54,1,3,NULL),(15,2264838,'1988-02-27 00:00:00',4,1,12,2005,'M','N','BELA VISTA I','SAO JOSE','SC','124241241117133431446614145114610164147',17203,'726',41.56,1,3,NULL),(15,2264846,'1988-08-11 00:00:00',2,1,12,2006,'M','N','IPIRANGA','SAO JOSE','SC','124242241115132411459614475124233212177',10077,'306',51.82,1,3,NULL),(15,2264854,'1987-12-23 00:00:00',2,1,12,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124201241145271231323329141324610125147',12163,'293',48.77,1,2,1),(15,2264862,'1991-01-12 00:00:00',2,4,12,2007,'M','N','VILA ARAÇA','ABELARDO LUZ','SC','124243241311311131238812292122610167062',NULL,'1081',0.00,4,3,NULL),(15,2264870,'1988-12-09 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124244241215372731437614392124610123147',18125,'943',40.11,1,3,NULL),(15,2264889,'1989-10-20 00:00:00',4,1,9,2007,'M','N','ROÇADO','SAO JOSE','SC','124242241316271211438613315124610127092',10029,'306',51.89,1,3,NULL),(15,2264897,'1988-06-09 00:00:00',4,1,12,2005,'M','N','ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP','125252251215512411478811412111610167117',7378,'9998',56.46,4,3,NULL),(15,2264900,'1990-04-02 00:00:00',4,7,12,2007,'M','N','LINHA LIMEIRA','XAXIM','SC','124241242116151431323319165324610124017',8367,'196',54.74,1,3,NULL),(15,2264919,'1990-06-26 00:00:00',2,4,12,2007,'M','N','CENTRO','AGUAS DE CHAPECO','SC','124241241217131532468833572122610114047',21288,'185',34.24,1,3,NULL),(15,2264927,'1990-07-08 00:00:00',4,1,7,2008,'F','S','CARIANOS','FLORIANOPOLIS','SC','124242241116141741459813215124610164091',NULL,'306',53.05,1,3,NULL),(15,2264935,'1986-03-11 00:00:00',4,8,11,2005,'M','N','TARUMÃ','CURITIBA','PR','116013161115371211457713575124142314187',NULL,'9998',0.00,1,3,NULL),(15,2264943,'1990-06-24 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431568811414112610124141',7749,'270',55.79,1,3,NULL),(15,2264951,'1990-03-21 00:00:00',4,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124243241117271431638714572124610148057',NULL,'729',25.29,2,3,NULL),(15,2264960,'1990-10-17 00:00:00',2,5,11,2007,'M','N','PAULO DE FRONTIN','CRICIUMA','SC','124242241215221441468432372112610167067',5714,'226',59.64,1,3,NULL),(15,2264986,'1989-04-10 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216473411368831595124230244052',311,'457',78.61,1,3,NULL),(15,2265001,'1987-01-05 00:00:00',2,1,12,2004,'F','N','PACHECO','PALHOCA','SC','124242241212374431566612322122610124043',14046,'589',46.10,1,3,NULL),(15,2265010,'1989-03-30 00:00:00',4,1,12,2006,'M','N','CENTRO','TAUBATE','SP','125252251217471731669914572111610167057',9110,'9998',53.44,1,3,NULL),(15,2265028,'1989-04-03 00:00:00',4,1,11,2007,'M','N','PROGRESSO','POUSO REDONDO','SC','124241241415472431456812575114610162022',6007,'1013',59.06,1,3,NULL),(15,2265036,'1988-04-11 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241216454431458822572124610127141',11345,'262',49.92,1,3,NULL),(15,2265044,'1987-08-15 00:00:00',4,1,12,2004,'M','N','BONFIM','CAMPINAS','SP','125251251117131431546524342124610132147',16996,'9998',41.88,1,2,1),(15,2265052,'1990-03-15 00:00:00',2,1,11,2007,'F','N','JARDIM CARANDAI','BIGUACU','SC','124243241216111731443332245222610117142',NULL,'63',26.42,1,3,NULL),(15,2265060,'1991-06-28 00:00:00',4,4,12,2006,'M','N','CENTRO','PINHALZINHO','SC','124241241146371732556632345122610134052',NULL,'745',0.00,4,3,NULL),(15,2265079,'1989-02-27 00:00:00',2,8,12,2005,'F','N','CENTRO','SAO FRANCISCO DO SUL','SC','124242241211472531458812371344133264187',4680,'486',61.81,1,3,NULL),(15,2265087,'1990-03-17 00:00:00',2,10,11,2007,'M','N','CENTRO','ARMAZEM','SC','124241248215112441438613591124610164052',1786,'807',70.00,4,3,NULL),(15,2265109,'1991-03-21 00:00:00',2,1,11,2008,'F','S','PRAIA COMPRIDA','SAO JOSE','SC','124244241215151431524419575114610132052',NULL,'724',25.80,1,3,NULL),(15,2265117,'1987-10-13 00:00:00',4,1,12,2004,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241217371731115644344344133222187',7917,'663',55.49,3,3,NULL),(15,2265125,'1989-10-27 00:00:00',2,1,11,2007,'M','N','PALU','SAO PEDRO','SP','125252251217131431533932215321610127112',13364,'9998',47.10,1,3,NULL),(15,2265133,'1989-02-02 00:00:00',4,8,12,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241217272511428611312124131042197',NULL,'491',0.00,1,3,NULL),(15,2265150,'1990-07-04 00:00:00',2,5,10,2007,'M','N','CENTRO','URUSSANGA','SC','124242241235121731244411275122610167052',20593,'820',35.70,1,3,NULL),(15,2265168,'1989-09-11 00:00:00',4,1,11,2007,'M','N','REAL PARQUE','SAO PAULO','SP','125252251217221411489816365122610124182',1637,'9998',70.65,1,3,NULL),(15,2265176,'1978-07-11 00:00:00',4,1,12,1998,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','224243241122242411358642125332133222112',NULL,'257',0.00,1,3,NULL),(15,2265184,'1990-11-24 00:00:00',4,8,11,2007,'M','N','CENTRO','SAO JOAO DO ITAPERIU','SC','124241248131161231428933175125613227042',NULL,'713',22.16,1,2,1),(15,2265192,'1989-02-03 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215472451358812472114610117182',6301,'270',58.45,1,3,NULL),(15,2265214,'1986-11-04 00:00:00',4,8,12,2004,'M','N','SAGUAÇU','JOINVILLE','SC','124241241417152731356532574121231424052',3826,'270',63.92,1,3,NULL),(15,2265222,'1990-01-29 00:00:00',4,1,11,2007,'M','N','ASSUNÇÃO','SAO BERNARDO DO CAMPO','SP','125252251216121231468834575124610124032',4580,'9998',62.05,1,3,NULL),(15,2265230,'1987-09-16 00:00:00',2,1,12,2005,'M','N','KOBRASOL','SAO JOSE','SC','124242241216373731226624345114610127047',NULL,'737',38.44,4,3,NULL),(15,2265249,'1986-09-11 00:00:00',2,1,12,2003,'M','N','BARREIROS','SAO JOSE','SC','124241241111372431166649392333133228052',18561,'192',39.39,1,2,1),(15,2265257,'1990-11-01 00:00:00',4,9,11,2007,'M','N','CENTRO','LAGES','SC','124242241215111431248813172121610167042',7685,'9997',55.89,1,3,NULL),(15,2265265,'1990-08-21 00:00:00',2,4,12,2007,'M','N','COLINA DA CASCATA','FLOR DA SERRA DO SUL','PR','116165161415111731439923572225610165152',NULL,'9998',0.00,1,3,NULL),(15,2265273,'1988-08-13 00:00:00',2,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124251241435151411327439441334610144177',20563,'300',35.76,1,3,NULL),(15,2265281,'1989-10-03 00:00:00',4,1,12,2006,'F','N','AGUA VERDE','CURITIBA','PR','116162161215471231478514574122610164055',NULL,'9998',0.00,1,3,NULL),(15,2265290,'1976-03-27 00:00:00',2,1,11,1989,'F','N','BALNEARIO','FLORIANOPOLIS','SC','224242241112132432458354241122610131147',NULL,'257',20.96,1,3,NULL),(15,2265303,'1986-12-29 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241144372711236424345124610143012',15304,'307',44.39,1,2,1),(15,2265311,'1989-10-10 00:00:00',4,1,6,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241247212371411426824382114610117087',NULL,'9999',18.87,1,3,NULL),(15,2265320,'1985-10-24 00:00:00',4,1,12,2002,'M','N','TATUAPÉ','SAO PAULO','SP','125254251316471441578412291132142164057',17701,'9998',40.80,1,3,NULL),(15,2265346,'1990-03-04 00:00:00',4,8,12,2007,'F','N','BOM JESUS','RIO NEGRO','PR','116244241215171431458622474114610165017',NULL,'541',0.00,1,3,NULL),(15,2265354,'1989-10-30 00:00:00',4,1,12,2007,'M','N','JARDIN DALLAS','PALOTINA','PR','116161161127131431546923145121610137057',18841,'9998',38.93,1,2,1),(15,2265362,'1961-03-16 00:00:00',4,1,12,2005,'M','N','JARDIM ENSEADA','GUARUJA','SP','125253257126151411243344345114610112197',18348,'9999',39.72,4,3,NULL),(15,2265370,'1990-04-03 00:00:00',4,1,12,2007,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241215111411453923575124610122064',17546,'1048',41.02,1,3,NULL),(15,2265389,'1990-12-13 00:00:00',2,5,11,2007,'F','N','SÃO LUIZ','CRICIUMA','SC','124242241216131432436319395122610168117',18426,'995',39.61,1,3,NULL),(15,2265397,'1989-10-29 00:00:00',4,1,12,2007,'F','N','SANTA LUZIA','UBA','MG','113132131217111431338823572122610142142',9202,'9998',53.27,1,3,NULL),(15,2265400,'1987-01-06 00:00:00',4,1,12,2004,'F','N','BARREIROS','SAO JOSE','SC','124244241217374431336614342134610144147',15184,'269',44.55,1,3,NULL),(15,2265419,'1988-05-10 00:00:00',4,1,12,2005,'F','N','ARIRIU','PALHOCA','SC','124241241122131411621129292224610116047',20947,'593',34.97,1,2,1),(15,2265427,'1989-12-08 00:00:00',2,8,12,2007,'M','N','SCHROEDER TRES','SCHROEDER','SC','124241241415131411323324572324610145092',22285,'762',31.11,1,3,NULL),(15,2265435,'1989-12-12 00:00:00',2,8,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241216111531426939592122610132097',19176,'442',38.38,1,3,NULL),(15,2265443,'1990-01-16 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431343739115112610117042',9126,'270',53.42,4,3,NULL),(15,2265451,'1990-10-08 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241217121431468812321122610126052',19014,'738',38.64,1,3,NULL),(15,2265460,'1984-09-04 00:00:00',2,1,12,2002,'M','N','CRUZEIRO','CAXIAS DO SUL','RS','120203207327372431333429211313140247022',17400,'9999',41.23,1,3,NULL),(15,2265486,'1990-07-02 00:00:00',4,1,12,2007,'F','N','JARDINS','ARACAJU','SE','126262261217151431478922575122610146092',9804,'9998',52.25,1,3,NULL),(15,2265494,'1991-02-17 00:00:00',2,1,2,2009,'F','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124243248214111432655531272122610125015',NULL,'299',55.77,1,3,NULL),(15,2265508,'1990-02-07 00:00:00',4,8,11,2007,'M','N','CENTRAL PARK','PRESIDENTE PRUDENTE','SP','125252251217111211378816575111610138122',9815,'9998',52.24,1,3,NULL),(15,2265516,'1988-07-10 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212573431559911572112610134042',NULL,'266',19.86,1,3,NULL),(15,2265524,'1990-05-06 00:00:00',4,8,12,2007,'M','N','JARDIM PAULISTA','PARANAVAI','PR','116162168217111531459939492112610117047',19365,'9998',38.07,1,3,NULL),(15,2265532,'1986-01-26 00:00:00',4,1,12,2004,'M','N','VENDAVAL','BIGUACU','SC','124243247226271411437723245124610125172',21089,'9999',34.68,1,3,NULL),(15,2265540,'1991-05-18 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111531458832575114610127147',21704,'738',33.26,1,3,NULL),(15,2265559,'1988-05-04 00:00:00',2,1,12,2005,'M','N','JARDIM SÃO NICOLAU','BIGUACU','SC','124242241232353431568613445123610127052',22425,'1036',30.03,2,3,NULL),(15,2265591,'1990-10-16 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111751545511572112610137052',8526,'1118',54.47,1,3,NULL),(15,2265605,'1990-08-06 00:00:00',4,8,11,2007,'M','N','AMERICA','JOINVILLE','SC','124242241215111431479852245122610127057',1019,'459',73.43,1,3,NULL),(15,2265613,'1987-06-04 00:00:00',2,8,12,2004,'F','N','SANTA ODILA','CAMPINAS','SP','125253251217571731448623575124610133187',5019,'9998',61.05,1,3,NULL),(15,2265621,'1983-12-21 00:00:00',2,1,12,2001,'M','N','ESTREITO','FLORIANOPOLIS','SC','124201201116272411337774245124610137057',10428,'9998',51.31,1,3,NULL),(15,2265630,'1990-01-13 00:00:00',2,2,12,2007,'F','N','CENTRO','VIDAL RAMOS','SC','124241241114131432423923382124610124072',21682,'828',33.30,1,2,1),(15,2265648,'1990-07-20 00:00:00',2,2,11,2007,'F','N','SÃO PEDRO','BRUSQUE','SC','124242241215271431565733472122610131141',3646,'107',64.36,1,3,NULL),(15,2265656,'1985-04-25 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241247316473431446632375224610132197',20898,'9999',35.09,1,3,NULL),(15,2265664,'1991-06-19 00:00:00',2,1,11,2007,'F','N','UNIVERSITARIO','TIJUCAS','SC','124242241215112431548711372122610165057',2287,'948',68.27,1,3,NULL),(15,2265680,'1988-01-20 00:00:00',4,1,12,2005,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215573431579832575122610167187',2540,'262',67.50,1,3,NULL),(15,2265699,'1990-05-25 00:00:00',4,1,12,2007,'F','N','SAO PEDRO','BOA VISTA','RR','123232231217211431468732592122610112142',NULL,'9998',0.00,1,3,NULL),(15,2265702,'1987-04-05 00:00:00',2,3,12,2004,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241217154751458823342132610162147',18915,'407',38.82,3,3,NULL),(15,2265710,'1991-02-23 00:00:00',2,10,11,2007,'M','N','OFICINAS','TUBARAO','SC','124244241215121731425718195121610162057',9943,'807',52.02,1,3,NULL),(15,2265729,'1989-03-04 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244241112271411466823572124610164117',18913,'267',38.82,1,3,NULL),(15,2265745,'1990-09-07 00:00:00',4,6,11,2007,'M','N','CENTRO','ITAJAI','SC','124242241215111432458813472112610162051',7774,'1026',55.75,1,3,NULL),(15,2265753,'1989-04-19 00:00:00',2,1,8,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241117271431638614572114610127047',9510,'739',52.76,2,3,NULL),(15,2265761,'1990-11-23 00:00:00',4,7,12,2007,'M','N','CRUZEIRO DO SUL','JOACABA','SC','124242241215111431356834575122610114172',13172,'454',47.37,1,3,NULL),(15,2265770,'1987-05-17 00:00:00',2,1,7,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241247222131441124444342334610164187',NULL,'9999',6.30,1,3,NULL),(15,2265788,'1989-06-01 00:00:00',2,1,12,2006,'F','N','CENTRO','MANOEL RIBAS','PR','116163161116571431246932575124610116177',9703,'9998',52.42,1,3,NULL),(15,2265796,'1986-06-14 00:00:00',2,1,12,2003,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124201201121431431525614281344610144057',NULL,'9998',0.00,1,2,1),(15,2265800,'1986-04-20 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241136373411453923345124221524177',777,'267',74.84,1,2,1),(15,2265826,'1989-02-08 00:00:00',4,8,10,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215111451348619285122610114077',NULL,'459',5.89,1,3,NULL),(15,2265842,'1985-04-04 00:00:00',4,2,12,2002,'F','N','PONTA AGUDA','BLUMENAU','SC','124242248215372441364422575122230634182',NULL,'855',0.00,1,3,NULL),(15,2265850,'1989-11-21 00:00:00',2,5,12,2006,'F','N','QUARTA LINHA','CRICIUMA','SC','124241248415132431523636342324610127147',18296,'995',39.81,1,3,NULL),(15,2265869,'1985-01-04 00:00:00',4,1,12,2002,'M','N','MIRANDÓPOLIS','SAO PAULO','SP','125252251217571711488831571112143266027',NULL,'9998',0.00,3,3,NULL),(15,2265877,'1983-12-16 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124201201127141421166632431122610163112',20789,'9998',35.31,1,3,NULL),(15,2265885,'1990-09-03 00:00:00',2,2,12,2007,'M','N','SETE DE SETEMBRO','GASPAR','SC','124244241217221431456933244121610138057',NULL,'1004',33.70,1,3,NULL),(15,2265893,'1990-12-22 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124162241212151431318814185122610168047',14793,'1022',45.02,1,3,NULL),(15,2265923,'1979-02-26 00:00:00',4,1,12,1996,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217152721248839495124321462057',2068,'266',69.05,1,3,NULL),(15,2265931,'1981-11-08 00:00:00',2,9,12,1999,'F','N','COPACABANA','LAGES','SC','124241241132132421526619192122231354147',NULL,'9997',21.76,1,3,NULL),(15,2265958,'1989-08-28 00:00:00',4,8,12,2006,'M','N','CENTRO','OLIMPIA','SP','125252251216471431558834575122610115142',2863,'9998',66.55,1,3,NULL),(15,2265966,'1989-12-20 00:00:00',4,1,12,2006,'M','N','VALE DA BENÇÃO','ARACARIGUAMA','SP','125251251117131231526631386324610167147',NULL,'9998',22.73,4,2,1),(15,2265974,'1990-12-18 00:00:00',4,4,12,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124241241136141751329521572325610138192',NULL,'757',0.00,1,2,1),(15,2265982,'1990-10-04 00:00:00',2,5,12,2007,'F','N','CENTRO','ERMO','SC','124243241317141531425923345124610167151',NULL,'250',24.89,1,3,NULL),(15,2265990,'1990-07-29 00:00:00',2,4,12,2007,'F','N','INTERIOR','BOA VISTA DA APARECIDA','PR','116161161116131411426735255324610137097',NULL,'9998',0.00,1,2,1),(15,2266008,'1973-05-03 00:00:00',2,1,12,2000,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124201207144332421135349292224613224027',15256,'9998',44.47,1,3,NULL),(15,2266016,'1988-12-06 00:00:00',4,1,12,2006,'M','N','CENTRO','POUSO ALEGRE','MG','113132131215471431444614272121610167052',17538,'9998',41.04,1,3,NULL),(15,2266032,'1990-01-12 00:00:00',2,1,12,2007,'F','N','BALNEÁRIO DANIELA','FLORIANOPOLIS','SC','124242241215121431368714292112610118197',13260,'270',47.22,1,3,NULL),(15,2266040,'1991-04-03 00:00:00',4,1,12,2007,'F','N','BALNEARIO ESTREITO','FLORIANOPOLIS','SC','124242241216111732346914582124610134012',21994,'270',32.27,1,3,NULL),(15,2266059,'1984-12-28 00:00:00',2,8,6,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117113411459933371121233268127',4308,'739',62.68,3,2,1),(15,2266067,'1985-08-01 00:00:00',2,1,11,2002,'M','N','JARDIM MARISTELA','CRICIUMA','SC','124242241212212431226844242323131424042',10642,'211',50.96,1,3,NULL),(15,2266083,'1991-03-31 00:00:00',4,1,12,2008,'F','S','CENTRO','JARAGUA DO SUL','SC','124242241217131431349711575122610124012',NULL,'422',39.69,1,3,NULL),(15,2266091,'1988-12-11 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215372451416633492124131467041',4244,'270',62.82,1,3,NULL),(15,2266105,'1983-07-27 00:00:00',4,1,11,2000,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124164161216132411326627345324140244067',15707,'9998',43.80,1,3,NULL),(15,2266113,'1987-05-09 00:00:00',2,1,12,2002,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241121374431344413481124220822047',5618,'307',59.83,1,3,NULL),(15,2266121,'1988-02-08 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241316472411356822275112131227112',3933,'270',63.64,1,3,NULL),(15,2266130,'1989-09-14 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241115371431338733576122610168077',2011,'271',69.24,1,3,NULL),(15,2266148,'1988-11-01 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215152431466639341122610133077',16119,'270',43.20,1,3,NULL),(15,2266156,'1985-07-10 00:00:00',2,1,12,2002,'F','N','KOBRASOL','SAO JOSE','SC','124241241127135411123344245124230844047',NULL,'298',25.92,1,3,NULL),(15,2266164,'1987-01-02 00:00:00',2,1,12,2005,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241237473211688819475124230762052',10506,'1022',51.18,1,3,NULL),(15,2266172,'1991-01-23 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241211111431348921475124610127147',6596,'1022',57.90,1,3,NULL),(15,2266180,'1988-10-17 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217373431248823575112610114147',4340,'262',62.62,1,3,NULL),(15,2266199,'1985-04-02 00:00:00',2,1,12,2005,'M','N','RATONES','FLORIANOPOLIS','SC','124131241121132421623324142324610117027',14343,'279',45.66,1,2,1),(15,2266202,'1988-03-04 00:00:00',2,1,12,2005,'F','N','CENTRO','ANGELINA','SC','124241241111133711336933572224233226172',12962,'17',47.64,1,2,1),(15,2266210,'1987-12-23 00:00:00',2,1,12,2005,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241117273731346434372124610164177',11111,'307',50.28,1,2,1),(15,2266229,'1990-11-07 00:00:00',4,1,12,2007,'F','N','COROADO','TIJUCAS','SC','124082241215111431337412372122610133197',12590,'948',48.15,1,3,NULL),(15,2266237,'1991-03-28 00:00:00',4,1,11,2008,'F','S','CENTRO','ARARANGUA','SC','124242241215111432248814572112610144192',NULL,'32',56.27,1,3,NULL),(15,2266245,'1989-11-04 00:00:00',4,1,11,2006,'F','N','SÃO FRANCISCO','CAMPO GRANDE','MS','112123121215471211538611572122610133097',11049,'9998',50.39,1,3,NULL),(15,2266261,'1990-02-11 00:00:00',4,1,11,2007,'M','N','CENTRO','CURITIBA','PR','116162161215471231356419575122610122052',9313,'9998',53.10,1,3,NULL),(15,2266270,'1990-11-06 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241216131431423633382321610144147',NULL,'781',17.93,1,3,NULL),(15,2266288,'1990-09-12 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431346613372122610124147',NULL,'270',39.15,1,3,NULL),(15,2266300,'1989-06-06 00:00:00',4,5,11,2006,'F','N','SÃO CRISTOVÃO','CRICIUMA','SC','124242241216372431236624574122130261092',14114,'211',46.01,1,3,NULL),(15,2266318,'1989-12-30 00:00:00',2,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124241241115131431536332392124610127047',NULL,'257',16.73,4,2,1),(15,2266326,'1991-04-05 00:00:00',5,5,11,2008,'F','S','FIGUEIRA','URUSSANGA','SC','124242241217111431463312575114610144147',NULL,'226',53.94,1,3,NULL),(15,2266334,'1990-03-23 00:00:00',4,1,12,2007,'F','N','VILA CASA NOVA','SOROCABA','SP','125252251217111731368614572122610163147',10786,'9998',50.76,1,3,NULL),(15,2266342,'1984-05-11 00:00:00',2,1,12,2005,'F','N','JARDIM COSTA VERDE','VARZEA GRANDE','MT','111111111116231731438639345211143234117',NULL,'9998',21.34,2,1,1),(15,2266369,'1984-02-22 00:00:00',2,1,12,2001,'F','N','JARDIM BOA VISTA','SAO PAULO','SP','125251251416131411436724196124241642092',9325,'9998',53.08,1,3,NULL),(15,2266385,'1988-03-19 00:00:00',4,1,12,2005,'F','N','JARDIM TREMEMBÉ','SAO PAULO','SP','125252251417571431436614272314610133147',21081,'9998',34.71,1,3,NULL),(15,2266407,'1989-09-30 00:00:00',2,1,12,2006,'F','N','SERRARIA','SAO JOSE','SC','124243241215132421545619442124610124077',19570,'738',37.69,1,3,NULL),(15,2266415,'1988-05-18 00:00:00',4,1,12,2005,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124212211216372431459814475122221168113',NULL,'9998',0.00,1,3,NULL),(15,2266423,'1990-03-10 00:00:00',4,5,11,2007,'M','N','CENTRO','BALNEARIO ARROIO DO SILVA','SC','124243241215131631546619394124610117043',NULL,'32',22.98,1,3,NULL),(15,2266431,'1987-08-09 00:00:00',4,1,12,2004,'F','N','VILA INDEPENDÊNCIA','PIRACICABA','SP','125251251215572732347823395124610132187',9445,'9998',52.87,1,3,NULL),(15,2266440,'1990-07-17 00:00:00',4,1,12,2007,'F','N','SUMARÉ','RIO DO SUL','SC','124242248215113411459811592125610166182',14554,'991',45.33,1,3,NULL),(15,2266458,'1989-12-02 00:00:00',4,1,12,2007,'F','N','SANTA TEREZA','SAO PEDRO DE ALCANTARA','SC','124241248122141431651333435124610165052',NULL,'869',23.55,1,2,1),(15,2266466,'1989-12-20 00:00:00',4,5,11,2007,'M','N','CENTRO','CASCAVEL','PR','116242161217121431228814575122610122177',20412,'9998',36.03,1,3,NULL),(15,2266474,'1988-07-24 00:00:00',4,1,12,2005,'M','N','CAMPO GRANDE','SANTOS','SP','125252251215571431589811572114610162052',NULL,'9998',0.00,1,3,NULL),(15,2266482,'1988-06-04 00:00:00',4,1,7,2007,'F','N','ARMAÇAO','ITAPEVI','SP','124241244121371431316629281224610127117',NULL,'9999',19.66,1,3,NULL),(15,2266490,'1986-11-05 00:00:00',4,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124242247221373452458619592344610162192',19158,'1036',38.42,1,3,NULL),(15,2266504,'1991-07-06 00:00:00',2,7,12,2008,'F','S','CENTRO','CAMPOS NOVOS','SC','124242241215111431458833575122610141077',NULL,'138',32.08,1,3,NULL),(15,2266512,'1987-02-12 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212574411469811575122232162012',4056,'262',63.31,1,3,NULL),(15,2266520,'1990-04-09 00:00:00',4,2,11,2007,'F','N','CENTRO','BRUSQUE','SC','124242241215271751368831575122610122051',10819,'107',50.71,1,3,NULL),(15,2266539,'1973-03-15 00:00:00',2,1,12,1999,'M','N','INGLESES','FLORIANOPOLIS','SC','124243247346134421553344145224222367047',17396,'1003',41.23,1,3,NULL),(15,2266547,'1968-10-01 00:00:00',4,1,7,1989,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','224201206137132421553344445132143252047',17111,'9998',41.71,2,1,1),(15,2266555,'1990-04-27 00:00:00',2,5,12,2006,'M','N','CENTRO','CRICIUMA','SC','124242241212372431466924445122610135093',21123,'9997',34.61,1,3,NULL),(15,2266563,'1987-11-28 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241213573431456814572214610122167',3261,'270',65.36,1,3,NULL),(15,2266571,'1988-09-25 00:00:00',4,1,12,2005,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124244241216373411368824372114130242192',1686,'270',70.43,1,3,NULL),(15,2266580,'1990-03-13 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241115171531216421382121610127187',NULL,'873',22.54,1,2,1),(15,2266598,'1989-10-05 00:00:00',2,3,12,2006,'M','N','AZAMBUJA','BRUSQUE','SC','124242241215152441547812175124221464192',2206,'109',68.58,1,3,NULL),(15,2266601,'1989-03-03 00:00:00',2,1,12,2005,'F','N','SERRINHA','FLORIANOPOLIS','SC','124202201235573431556739392324610155052',6069,'9998',58.94,1,3,NULL),(15,2266610,'1989-10-05 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215131431233629572124610123097',13387,'269',47.06,1,3,NULL),(15,2266628,'1990-10-30 00:00:00',2,10,11,2007,'F','N','VILA MOEMA','TUBARAO','SC','124242241215121431448839592125610163147',11532,'807',49.66,1,3,NULL),(15,2266636,'1990-06-11 00:00:00',4,1,12,2007,'M','N','BARRACÃO','ALFREDO WAGNER','SC','124241248126161511436915155121610127057',NULL,'13',19.57,1,2,1),(15,2266644,'1989-06-09 00:00:00',4,1,11,2006,'M','N','DIVINÉIA','ARARANGUA','SC','124242241215472431458912575122610112042',4110,'32',63.16,1,3,NULL),(15,2266652,'1987-05-01 00:00:00',4,8,12,2004,'M','N','CENTRO','SANTA BARBARA D OESTE','SP','125256251216572751568834571122610164187',NULL,'9998',0.00,1,3,NULL),(15,2266660,'1988-10-11 00:00:00',4,1,12,2005,'F','N','CENTRO','RIO DOS CEDROS','SC','124241241216112521468939295124222953012',9536,'956',52.71,1,3,NULL),(15,2266679,'1990-03-29 00:00:00',4,3,12,2007,'F','N','CENTRO','PASSO FUNDO','RS','120203201216371431536812572125610122117',11843,'9998',49.19,1,3,NULL),(15,2266687,'1985-08-27 00:00:00',4,2,12,2002,'F','N','VELHA','BLUMENAU','SC','124254251147473431438711475124610134147',5363,'9998',60.35,1,3,NULL),(15,2266709,'1987-06-02 00:00:00',2,7,12,2004,'F','N','CENTRO','AGUA DOCE','SC','124243241417132431438413381122230623147',13699,'8',46.62,1,3,NULL),(15,2266717,'1989-11-07 00:00:00',2,1,12,2007,'M','N','FIAO','SAO LEOPOLDO','RS','120202201216111751458832575122610118115',22308,'9998',30.99,1,3,NULL),(15,2266733,'1991-01-30 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241217111431348821575122610132077',NULL,'269',45.04,1,3,NULL),(15,2266741,'1987-03-01 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217253731477632592122121267052',8373,'262',54.73,1,3,NULL),(15,2266750,'1985-01-12 00:00:00',4,1,12,2002,'M','N','CAMPINAS','SAO JOSE','SC','124242241211143431569833345124230227042',14015,'737',46.14,1,3,NULL),(15,2266768,'1989-09-06 00:00:00',2,8,11,2007,'M','N','CENTRO','RIO NEGRINHO','SC','124252248215111531568812395112610167042',10598,'541',51.02,1,3,NULL),(15,2266776,'1989-02-23 00:00:00',4,1,6,2006,'M','N','KOBRASOL','SAO JOSE','SC','124242247221372451458619341344610162172',17982,'1036',40.34,1,3,NULL),(15,2266784,'1989-07-07 00:00:00',4,3,12,2006,'F','N','TERRAS DE PIRACICABA','PIRACICABA','SP','125252251216471431479919475112610162181',8705,'9998',54.17,1,3,NULL),(15,2266792,'1986-03-27 00:00:00',4,3,12,2003,'F','N','POÇO FUNDO','BRUSQUE','SC','124241241127131431425311215114610135147',NULL,'9997',9.90,1,2,1),(15,2266814,'1990-12-31 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241216111431249833135124610122182',10620,'1020',51.00,1,3,NULL),(15,2266822,'1989-01-27 00:00:00',4,1,12,2006,'M','N','SETOR BUENO','GOIANIA','GO','109092091217471431458614572122610168182',12841,'9998',47.81,3,3,NULL),(15,2266830,'1991-02-27 00:00:00',2,1,12,2007,'M','N','CALDAS DA IMPERATRIZ','SANTO AMARO DA IMPERATRIZ','SC','124241241115111431347634475124610124052',NULL,'772',18.52,1,2,1),(15,2266849,'1988-10-14 00:00:00',2,5,12,2007,'F','N','CENTRO','CRICIUMA','SC','124281247212111431348622425122610137093',NULL,'9997',23.78,1,3,NULL),(15,2266857,'1990-12-07 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116242161213111431549911572124610167041',2504,'9998',67.61,3,3,NULL),(15,2266865,'1988-06-26 00:00:00',4,5,12,2005,'F','N','CENTRO','CRICIUMA','SC','124242241212212721236749391124230614147',NULL,'210',0.00,1,3,NULL),(15,2266873,'1989-04-14 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241115131412434314292124610124062',10018,'306',51.91,1,2,1),(15,2266881,'1989-06-11 00:00:00',4,1,12,2006,'M','N','CENTRO','SANTA MARIA','RS','120201201117371711233536161224610122047',9521,'9998',52.74,1,2,1),(15,2266890,'1988-04-02 00:00:00',2,1,12,2005,'F','N','CAMPINAS','SAO JOSE','SC','124242241217311721346823245122130234077',20067,'1036',36.69,1,3,NULL),(15,2266903,'1989-12-26 00:00:00',2,8,12,2006,'F','N','BONANÇA','CAMPO GRANDE','MS','112281121112371411323631112324610132092',12965,'9998',47.64,1,2,1),(15,2266911,'1989-11-27 00:00:00',2,1,12,2007,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124242241117371431326611212234610141147',20933,'592',35.00,1,3,NULL),(15,2266946,'1989-01-27 00:00:00',4,1,12,2006,'M','N','SETOR BUENO','GOIANIA','GO','109092091215471431458614572122610168182',8423,'9998',54.65,3,3,NULL),(15,2266954,'1990-07-10 00:00:00',4,9,11,2007,'M','N','SAGRADO C DE JESUS','LAGES','SC','124241241117372441458613592244610132174',NULL,'935',44.32,3,3,NULL),(15,2266962,'1977-11-10 00:00:00',2,1,12,1998,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241226133431235544145334121764142',19341,'1003',38.10,1,3,NULL),(15,2266970,'1989-10-08 00:00:00',4,5,12,2006,'F','N','CENTRO','MORRO DA FUMACA','SC','124242248215472751426812175114610167143',14572,'226',45.30,1,3,NULL),(15,2266989,'1986-06-29 00:00:00',4,1,12,2004,'M','N','PANTANO DO SUL','FLORIANOPOLIS','SC','124241241127271411423621382324610137117',13510,'307',46.88,1,3,NULL),(15,2266997,'1989-07-27 00:00:00',2,1,12,2006,'F','N','AREIAS','SAO JOSE','SC','124221221116131721336311445122610144017',20430,'9998',35.99,1,3,NULL),(15,2267004,'1981-07-26 00:00:00',4,1,11,2000,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124243247326142411236644445123610124172',19156,'63',38.42,1,3,NULL),(15,2267012,'1988-09-14 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217372432469813572114610166057',2807,'272',66.73,1,3,NULL),(15,2267020,'1983-05-16 00:00:00',2,1,12,2000,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241132271731124649392344610124187',9699,'669',52.42,1,2,1),(15,2267039,'1989-08-13 00:00:00',2,10,12,2007,'M','N','VILA MOEMA','TUBARAO','SC','124242241312131431448839592125610134117',17587,'798',40.96,1,3,NULL),(15,2267047,'1989-10-17 00:00:00',4,6,11,2006,'F','N','CENTRO','ITAJAI','SC','124242241214572431466832271121610167117',1997,'1058',69.29,1,3,NULL),(15,2267055,'1929-07-09 00:00:00',3,1,12,1946,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','224212215211151451373349291144342266192',13621,'9998',46.72,1,3,NULL),(15,2267063,'1990-09-11 00:00:00',4,8,12,2007,'F','N','JARAGUÁ ESQUERDO','JARAGUA DO SUL','SC','124242241215421431468832572112610164142',NULL,'491',0.00,1,3,NULL),(15,2267071,'1986-10-15 00:00:00',4,1,12,2004,'M','N','ASA NORTE','BRASILIA','DF','107073071217572431449834575124140438047',8052,'9998',55.28,1,3,NULL),(15,2267080,'1990-09-09 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217111431436823575122610133077',14680,'1022',45.17,1,3,NULL),(15,2267098,'1988-03-05 00:00:00',4,1,12,2005,'M','N','CENTRO','GOIANIA','GO','109092091215572431556619572122610168182',2773,'9998',66.81,1,3,NULL),(15,2267101,'1989-09-15 00:00:00',4,1,12,2007,'M','N','FORMOSINHA','FORMOSA','GO','109093091616131412439934294121610164047',NULL,'9998',0.00,1,3,NULL),(15,2267110,'1979-12-19 00:00:00',4,1,12,1998,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124201201117131431111144446324610127083',20867,'9998',35.16,1,2,1),(15,2267128,'1990-06-07 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242241215111431349913572124610162072',9245,'883',53.19,4,3,NULL),(15,2267136,'1989-08-28 00:00:00',4,1,12,2007,'M','N','PITUBA','SALVADOR','BA','105243051112151431458613432122610127147',NULL,'9998',0.00,1,3,NULL),(15,2267144,'1989-07-25 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241211372431669813574124131866182',6612,'1022',57.88,1,3,NULL),(15,2267152,'1991-12-05 00:00:00',4,1,12,2008,'F','S','CENTRO','SAO JOSE','SC','124242241212111431467612572124610124052',NULL,'724',32.32,1,3,NULL),(15,2267160,'1989-12-08 00:00:00',4,1,12,2007,'M','N','EMBARÉ','SANTOS','SP','125252251217271431336821492121610164042',9870,'9998',52.15,1,3,NULL),(15,2267187,'1989-02-09 00:00:00',2,8,12,2006,'M','N','SANTO ANTONIO','JOINVILLE','SC','124241241215472431567614575122610167042',5083,'1016',60.94,1,3,NULL),(15,2267195,'1989-02-14 00:00:00',2,8,12,2006,'F','N','QUILOMBO','CUIABA','MT','111114111217371231548831492122610166177',21179,'9998',34.48,1,3,NULL),(15,2267209,'1989-11-29 00:00:00',4,1,11,2007,'F','N','SUDOESTE','CRUZEIRO','DF','107072071217111451369933575112610134097',15989,'9998',43.40,1,3,NULL),(15,2267233,'1990-07-29 00:00:00',4,1,11,2007,'M','N','CENTRO','GOIANIA','GO','109092091215121431556619572122610168182',1330,'9998',71.97,1,3,NULL),(15,2267241,'1990-11-20 00:00:00',4,1,12,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124241241216171431466914445124610167053',NULL,'1118',30.22,1,3,NULL),(15,2267250,'1990-11-24 00:00:00',4,9,12,2007,'F','N','SAO LUIS','CURITIBANOS','SC','124241241116131431423623282124610123142',NULL,'239',24.75,1,2,1),(15,2267276,'1985-08-31 00:00:00',4,1,7,2004,'M','N','BARREIROS','SAO JOSE','SC','124251257137131441127744246335610164182',NULL,'9998',26.52,4,2,1),(15,2267292,'1989-04-21 00:00:00',2,5,11,2006,'M','N','PROSPERA','CRICIUMA','SC','124242241236473712236624142125610137057',1160,'211',72.74,1,3,NULL),(15,2267314,'1990-05-16 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241316131231446611575124610127047',18887,'269',38.85,1,3,NULL),(15,2267330,'1991-08-10 00:00:00',4,3,12,2008,'M','S','CENTRO','SAO BENTO DO SUL','SC','124242241216111431336611275125610127012',NULL,'974',46.15,1,3,NULL),(15,2267349,'1988-10-26 00:00:00',4,1,12,2005,'F','N','CARIANOS','FLORIANOPOLIS','SC','224241241315373441225454342124610126047',14400,'300',45.57,1,3,NULL),(15,2267357,'1984-10-04 00:00:00',2,10,12,2002,'F','N','COHAB FRAGATA','PELOTAS','RS','120201201146131431434411295124240664074',11959,'9998',49.03,1,2,1),(15,2267365,'1989-10-04 00:00:00',4,1,11,2007,'M','N','AGUAS CLARAS','TAGUATINGA','DF','107072078217371231479634575115610137047',7325,'9999',56.57,1,3,NULL),(15,2267381,'1989-10-08 00:00:00',4,1,11,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241114122412434314342222610114041',NULL,'276',22.53,1,3,NULL),(15,2267390,'1986-08-15 00:00:00',2,1,12,2004,'F','N','CENTRO','IRATI','PR','116161161116271421434443232334142225073',NULL,'9998',0.00,1,3,NULL),(15,2267403,'1989-12-15 00:00:00',2,1,12,2007,'F','N','CENTRO','BIGUACU','SC','124244248212111431446639392124610133112',NULL,'63',0.00,1,3,NULL),(15,2267420,'1990-02-23 00:00:00',4,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','624243241215171731336823245124610134147',NULL,'1119',0.00,1,3,NULL),(15,2267438,'1988-03-19 00:00:00',4,1,12,2005,'F','N','LOT NOVA ORLEANS','ORLEANS','SC','124241241214473431544439472124221521077',8323,'226',54.82,1,3,NULL),(15,2267446,'1989-04-17 00:00:00',2,1,11,2006,'M','N','ARIRIU','PALHOCA','SC','124242241215112731346833441124610127042',11399,'1011',49.85,1,3,NULL),(15,2267454,'1990-04-09 00:00:00',2,7,12,2007,'M','N','NAÇÕES','FRAIBURGO','SC','124243241215111731459914575122610167043',17946,'885',40.41,1,3,NULL),(15,2267462,'1990-08-21 00:00:00',4,1,12,2008,'M','S','SORGATTO','CACADOR','SC','124243241317111431356833595122610167092',NULL,'118',36.79,1,3,NULL),(15,2267470,'1990-01-22 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124244241217151431678812576114610167155',5554,'272',59.96,1,3,NULL),(15,2267489,'1990-09-03 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241215151431446632572112610164192',6143,'499',58.77,1,3,NULL),(15,2267497,'1988-12-27 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124244241317131431437744342124610167112',20840,'267',35.20,1,3,NULL),(15,2267500,'1989-11-22 00:00:00',2,1,12,2007,'M','N','SÃO FRANCISCO','SANTO AMARO DA IMPERATRIZ','SC','124241241215112431533514391224610128057',18029,'1014',40.27,1,3,NULL),(15,2267519,'1983-11-29 00:00:00',2,5,12,2002,'M','N','SANTA LUZIA','CRICIUMA','SC','124241241127131421423321242124610124017',NULL,'214',24.50,2,2,1),(15,2267527,'1981-04-28 00:00:00',2,1,10,2002,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241167122131221123649192344610164067',20822,'9998',35.24,1,2,1),(15,2267535,'1987-08-23 00:00:00',4,1,11,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124251254122131711414433392324341354097',NULL,'9998',0.00,2,1,1),(15,2267543,'1991-07-24 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215111431466923576114610147185',16130,'1022',43.18,1,3,NULL),(15,2267551,'1989-01-04 00:00:00',4,8,12,2006,'M','N','CARÁ CARÁ','PONTA GROSSA','PR','116161161346371431222311572124610117052',NULL,'9998',0.00,1,3,NULL),(15,2267560,'1989-04-03 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241317472431348613571124610128052',20299,'300',36.24,1,3,NULL),(15,2267578,'1990-05-02 00:00:00',2,1,12,2007,'M','N','ENCRUZILHADA','BIGUACU','SC','124242241214151431436612314124610164043',12564,'63',48.19,1,3,NULL),(15,2267586,'1986-02-24 00:00:00',4,3,12,2003,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241126132431453629342234330962182',15358,'49',44.31,1,2,1),(15,2267594,'1988-11-24 00:00:00',4,1,12,2006,'M','N','ASSUNÇAO','SAO BERNARDO DO CAMPO','SP','125252251215471731456614446121610164182',13707,'9998',46.61,2,1,2),(15,2267608,'1988-12-28 00:00:00',2,1,12,2006,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124242241215271452466624375114610164094',14566,'300',45.31,1,3,NULL),(15,2267616,'1975-04-09 00:00:00',4,1,12,1992,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124252251237151421246741311322343263122',NULL,'9998',23.66,2,1,2),(15,2267624,'1987-07-17 00:00:00',4,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124221221116271431543416171324610124147',18102,'9998',40.15,4,2,1),(15,2267632,'1987-09-08 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241111132411639638481124610143112',9041,'307',53.58,1,2,1),(15,2267640,'1989-10-22 00:00:00',4,3,11,2007,'M','N','JARDIM BOA ESPERANÇA','ARARAS','SP','125253251217111232448632575112610164092',NULL,'9998',0.00,1,3,NULL),(15,2267659,'1988-01-06 00:00:00',2,1,12,2005,'M','N','ARIRIÚ','PALHOCA','SC','124242241217473712344629442214610164172',15205,'589',44.53,1,3,NULL),(15,2267667,'1990-07-28 00:00:00',4,10,12,2007,'F','N','TRISTEZA','PORTO ALEGRE','RS','120202201217471731587932571124610167183',8928,'9998',53.79,1,3,NULL),(15,2267675,'1983-06-05 00:00:00',2,1,12,2000,'M','N','GANCHOS DO MEIO','GOVERNADOR CELSO RAMOS','SC','124241241126373521336312192333231517057',NULL,'329',26.02,1,3,NULL),(15,2267683,'1991-04-19 00:00:00',4,10,12,2007,'F','N','MAR GROSSO','LAGUNA','SC','124242241235161431448711272112610134072',9387,'525',52.96,1,3,NULL),(15,2267691,'1978-02-25 00:00:00',4,1,12,1997,'M','N','PATRONATO','SANTA MARIA','RS','120204201116141431236923445232140817047',18361,'9998',39.70,4,3,NULL),(15,2267721,'1983-07-17 00:00:00',2,1,12,2001,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124201201117271221224444242214143264043',17204,'9998',41.56,1,2,1),(15,2267730,'1988-07-06 00:00:00',4,1,12,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215373431547614575114610164112',17302,'273',41.39,1,3,NULL),(15,2267748,'1986-12-09 00:00:00',2,1,12,2003,'F','N','CENTRO','SAO JOSE','SC','124241241212372441334616394124231237097',NULL,'737',0.00,1,3,NULL),(15,2267756,'1991-02-22 00:00:00',2,1,12,2007,'F','N','POÇO FUNDO','SANTO AMARO DA IMPERATRIZ','SC','124242241212111431549413572124610166072',21997,'1014',32.26,1,3,NULL),(15,2267764,'1980-08-06 00:00:00',4,5,12,1997,'F','N','CENTRO','CRICIUMA','SC','224251251115271431164453475122610126187',NULL,'9998',22.61,1,2,1),(15,2267780,'1992-04-27 00:00:00',4,1,12,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124242241215151431449833175122610127057',NULL,'273',59.58,1,3,NULL),(15,2267802,'1991-05-28 00:00:00',4,6,12,2008,'M','S','CENTRO','BRUSQUE','SC','124242241215111431579811472122610136092',NULL,'109',47.27,1,3,NULL),(15,2267810,'1988-10-02 00:00:00',2,1,12,2005,'M','N','CENTRO','NOVA TRENTO','SC','124241241146133431543711385122230227057',7047,'574',57.07,1,2,1),(15,2267829,'1991-03-06 00:00:00',4,1,11,2008,'M','S','CACHOEIRA DO B J','FLORIANOPOLIS','SC','124242241237111431568719572124610132122',NULL,'262',54.84,1,3,NULL),(15,2267837,'1987-09-21 00:00:00',2,1,12,2004,'F','N','KOBRASOL','SAO JOSE','SC','124241241312374431256624382244231547142',19922,'1011',36.97,1,3,NULL),(15,2267845,'1989-12-14 00:00:00',2,5,11,2007,'F','N','COMARCIÁRIO','CRICIUMA','SC','124244241215111431549933594122610162147',16702,'210',42.33,1,3,NULL),(15,2267853,'1986-01-20 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124131131211162411356616395122222026093',NULL,'9998',15.86,1,3,NULL),(15,2267861,'1988-08-19 00:00:00',4,1,11,2006,'M','N','CENTRO','GOIANIA','GO','109092091215471741469931595122610164077',NULL,'9998',0.00,1,3,NULL),(15,2267888,'1990-02-03 00:00:00',4,4,11,2007,'F','N','NOSSA SRA APARECIDA','FRANCISCO BELTRAO','PR','116162161215111732456823572322610164097',5734,'9998',59.60,1,3,NULL),(15,2267896,'1984-06-19 00:00:00',4,1,12,2001,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124251251116371411234641345224610124047',9101,'9998',53.46,1,2,1),(15,2267900,'1973-08-04 00:00:00',4,1,3,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241247111141421323143232224610122142',NULL,'9999',16.89,1,3,NULL),(15,2267918,'1989-09-14 00:00:00',5,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215152441339914591124232035075',8933,'962',53.78,1,3,NULL),(15,2267926,'1990-01-20 00:00:00',4,10,12,2006,'M','N','CENTRO','LAGUNA','SC','124244241226272431458933575112610132097',3422,'524',64.93,1,3,NULL),(15,2267934,'1990-05-07 00:00:00',2,1,11,2007,'M','N','CENTRO','PALHOCA','SC','124162241217161431668832342122610127042',3863,'989',63.82,1,3,NULL),(15,2267950,'1990-03-09 00:00:00',2,3,12,2007,'F','N','VILA LENZI','JARAGUA DO SUL','SC','124241241215111431469413332122610125092',10206,'422',51.62,2,3,NULL),(15,2267969,'1990-07-14 00:00:00',2,1,12,2007,'M','N','RIBEIRÃO DE CANGUERI','IMARUI','SC','124241241112161431439613585314610124057',18494,'356',39.50,1,2,1),(15,2267977,'1989-01-14 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215272431447831375114131267117',NULL,'1022',NULL,1,3,NULL),(15,2267985,'1986-02-07 00:00:00',2,1,12,2003,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241217275451466833572122231267047',9753,'270',52.34,4,3,NULL),(15,2267993,'1990-05-03 00:00:00',4,5,12,2007,'F','N','CENTRO','PALOTINA','PR','116162161216131431436931575121610132092',15718,'9998',43.79,1,3,NULL),(15,2268000,'1989-02-04 00:00:00',4,2,11,2006,'M','N','CENTRO','ERECHIM','RS','120201201215272431356612172122610167042',1659,'9998',70.56,1,3,NULL),(15,2268019,'1989-04-17 00:00:00',4,1,12,2007,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124242241117131431328513585122610134145',9898,'306',52.10,1,3,NULL),(15,2268035,'1990-09-15 00:00:00',4,4,11,2007,'F','N','CENTRO','XANXERE','SC','124244241215271431546612372122610163147',7956,'836',55.44,1,3,NULL),(15,2268043,'1983-02-26 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216473431589911445132333267092',7141,'270',56.89,1,3,NULL),(15,2268051,'1990-02-11 00:00:00',4,4,12,2007,'M','N','CENTRO','CHARRUA','RS','120201201117131731415339193121610162047',18442,'9998',39.59,1,2,1),(15,2268060,'1989-10-12 00:00:00',2,1,12,2006,'F','N','CENTRO','MAFRA','SC','124241241131371431523334371324610126142',NULL,'704',18.93,4,3,NULL),(15,2268078,'1990-05-17 00:00:00',4,5,11,2007,'F','N','MICHEL','CRICIUMA','SC','125242241214161432446722592125610164112',11023,'210',50.42,1,3,NULL),(15,2268086,'1990-09-21 00:00:00',4,1,11,2007,'M','N','JD AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251215111431388712575122610167042',5689,'9998',59.69,1,3,NULL),(15,2268094,'1988-09-14 00:00:00',4,1,12,2005,'F','N','INGLESES DO RIO VERM','CURITIBA','PR','124244241215573731448929491322610122097',10038,'1036',51.88,1,3,NULL),(15,2268108,'1988-03-31 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117151411333621371314610167012',19436,'307',37.94,1,3,NULL),(15,2268116,'1990-12-28 00:00:00',4,1,12,2008,'M','S','PASSA VINTE','PALHOCA','SC','124242241212111431446613571121610137052',NULL,'1011',46.48,1,3,NULL),(15,2268124,'1989-11-28 00:00:00',4,1,7,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241115151441546924342324610132017',4738,'306',61.67,1,2,1),(15,2268132,'1990-10-01 00:00:00',4,2,12,2007,'F','N','CENTRO','BRUSQUE','SC','124241241315271431425519375122610127142',17248,'981',41.49,1,3,NULL),(15,2268140,'1989-08-19 00:00:00',4,1,12,2006,'M','N','VILA CAMPESINA','OSASCO','SP','125252251217471431448611315122610118017',NULL,'9998',0.00,1,3,NULL),(15,2268159,'1991-09-22 00:00:00',4,1,12,2008,'M','S','BARREIROS','SAO JOSE','SC','124242241215111431358933572122610118092',NULL,'738',41.48,1,3,NULL),(15,2268167,'1985-12-02 00:00:00',4,1,12,2004,'M','N','BUTANTÃ','SAO PAULO','SP','125251251147471711436614271125610164192',14055,'9998',46.09,1,2,1),(15,2268175,'1990-08-27 00:00:00',2,3,12,2007,'M','N','PARQUE DO CARMO','SAO PAULO','SP','125252251217141731437634242122610137082',17846,'9998',40.60,4,3,NULL),(15,2268183,'1990-08-05 00:00:00',4,1,12,2007,'F','N','CAMPO DA AGUA VERDE','CANOINHAS','SC','124241241317111532324319572324610128182',11139,'270',50.24,1,3,NULL),(15,2268191,'1990-06-26 00:00:00',4,6,12,2007,'M','N','CENTRO','ILHOTA','SC','124241241117131732124621572125610117057',19849,'354',37.12,1,2,1),(15,2268205,'1988-10-23 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217372431559834572114610134182',2502,'270',67.61,3,3,NULL),(15,2268213,'1990-08-04 00:00:00',4,1,12,2008,'F','S','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241115111431446613575124610125062',NULL,'267',40.54,1,3,NULL),(15,2268221,'1989-12-09 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431589954575125610167042',2433,'262',67.81,1,3,NULL),(15,2268230,'1989-04-18 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431467613332124610167042',NULL,'1022',31.21,1,3,NULL),(15,2268248,'1970-01-21 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241125131431421151312344610121193',22127,'282',31.81,1,3,NULL),(15,2268256,'1986-03-08 00:00:00',4,1,12,2003,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241342272411344844241113610162115',NULL,'307',24.43,3,3,NULL),(15,2268264,'1990-11-21 00:00:00',2,7,12,2007,'M','N','INTERIOR','CONCORDIA','SC','124241246116131231446935574124610132197',10938,'196',50.55,1,2,1),(15,2268272,'1988-02-15 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215573431375769572112610161172',4053,'270',63.32,1,3,NULL),(15,2268280,'1990-05-31 00:00:00',2,9,12,2007,'F','N','BREMER','RIO DO SUL','SC','124242241215111731469933335122610127057',19300,'991',38.16,1,3,NULL),(15,2268299,'1989-03-18 00:00:00',2,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','120202201217472411268833475124610162047',2113,'9998',68.92,1,3,NULL),(15,2268302,'1988-08-20 00:00:00',2,1,12,2006,'F','N','JARDIN BOM PASTOR','BOTUCATU','SP','125252251216471541469913575112610111092',9241,'9998',53.20,1,3,NULL),(15,2268329,'1990-02-21 00:00:00',4,8,12,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124241241216271211456511575124610112012',19768,'1006',37.30,1,3,NULL),(15,2268337,'1991-07-27 00:00:00',4,1,12,2007,'M','N','LARANJEIRAS','RIO DE JANEIRO','RJ','121211211217111711479933575124610143092',NULL,'9998',0.00,1,3,NULL),(15,2268345,'1991-02-11 00:00:00',4,3,12,2007,'M','N','SÃO LUIZ','BRUSQUE','SC','124242241215111431568812475122610167122',3711,'109',64.20,1,3,NULL),(15,2268361,'1989-05-19 00:00:00',2,6,12,2007,'M','N','TABULEIRO','ITAPEMA','SC','124244241215221431436833472124610137147',NULL,'403',0.67,1,3,NULL),(15,2268370,'1991-04-04 00:00:00',4,1,12,2008,'F','S','CAMPINAS','SAO JOSE','SC','124244241215111431458712172122610168077',NULL,'737',0.00,1,3,NULL),(15,2268388,'1990-11-21 00:00:00',4,1,11,2007,'M','N','CENTRO','ERECHIM','RS','120202201215371431246727575112610144192',2777,'9998',66.80,1,3,NULL),(15,2268396,'1988-06-24 00:00:00',2,1,1,2006,'F','N','BELA VISTA','SAO JOSE','SC','124091091141131131213649281224610121182',NULL,'9998',0.00,4,2,1),(15,2268400,'1991-01-05 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241117111411549933575124610127052',NULL,'267',21.98,1,2,1),(15,2268418,'1986-12-04 00:00:00',2,1,12,2004,'M','N','CENTRO','GASPAR','SC','124244241216372421467732392124230267053',12156,'955',48.78,1,3,NULL),(15,2268434,'1988-08-27 00:00:00',4,8,11,2005,'F','N','BATEL','CURITIBA','PR','111112098216573411345625591134610154102',308,'9998',78.65,3,3,NULL),(15,2268442,'1990-11-25 00:00:00',4,8,12,2007,'M','N','GLÓRIA','JOINVILLE','SC','124243246217131441438812577124610166147',6108,'1105',58.87,1,3,NULL),(15,2268450,'1989-03-19 00:00:00',4,1,12,2006,'M','N','LAGO SUL BRASÍLIA','LAGO SUL','DF','107072071215311431588833572122610137012',3538,'9998',64.67,1,3,NULL),(15,2268469,'1987-10-23 00:00:00',4,8,12,2001,'F','N','BUCAREIN','JOINVILLE','SC','124242241215474411246312571112133242142',9888,'491',52.11,1,3,NULL),(15,2268477,'1988-05-24 00:00:00',4,1,8,2006,'M','N','FUNCIONÁRIOS','BELO HORIZONTE','MG','113132131217471411239821572114610124057',NULL,'9998',0.00,1,3,NULL),(15,2268485,'1990-01-13 00:00:00',4,1,12,2007,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241215221431458839575122610124012',15531,'981',44.09,1,3,NULL),(15,2268493,'1989-12-09 00:00:00',4,1,12,2007,'F','N','PORTO DA LAGOA','FLORIANOPOLIS','SC','124241241437131431633631312324610163147',NULL,'282',27.19,1,3,NULL),(15,2268507,'1983-01-27 00:00:00',2,1,7,2003,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124251241317133741238823312114610144057',16485,'9999',42.61,5,3,NULL),(15,2268515,'1991-05-05 00:00:00',2,1,11,2007,'M','N','IPIRANGA','SAO JOSE','SC','124241241117141231434634575114610167052',NULL,'257',28.25,1,3,NULL),(15,2268523,'1987-04-01 00:00:00',4,1,12,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241315374421355743235124121734047',9492,'307',52.79,1,3,NULL),(15,2268531,'1960-07-18 00:00:00',4,1,12,1980,'F','N','FLORESTA','JOINVILLE','SC','224251166117251411563342422112132856192',13458,'9998',46.93,1,2,1),(15,2268540,'1982-07-18 00:00:00',4,1,12,1999,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124243241316133421348822345124322563187',NULL,'267',0.00,1,3,NULL),(15,2268558,'1989-11-28 00:00:00',4,7,12,2006,'M','N','CENTRO','IRANI','SC','124241241114161431536713575124610127052',NULL,'379',0.00,1,2,1),(15,2268566,'1990-08-25 00:00:00',4,4,12,2007,'M','N','PRESIDENTE MÉDICE','CHAPECO','SC','124241241315111432347639572122610137011',19261,'1046',38.24,1,3,NULL),(15,2268574,'1989-10-23 00:00:00',4,1,12,2006,'M','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124241241126271531347333392124610147112',NULL,'322',18.25,1,2,1),(15,2268582,'1988-09-18 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','107072078217471531279939595122610167052',4443,'9998',62.40,1,3,NULL),(15,2268590,'1987-12-23 00:00:00',4,1,12,2004,'M','N','CENTRO','LONDRINA','PR','116162161215574431469913575112610164041',3850,'9998',63.87,1,3,NULL),(15,2268604,'1991-07-12 00:00:00',4,1,12,2008,'F','S','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241415111431346612572122610128147',NULL,'270',42.07,1,3,NULL),(15,2268612,'1991-03-14 00:00:00',2,8,12,2007,'F','N','ENSEADA','SAO FRANCISCO DO SUL','SC','124202241215131431438633575124610123187',NULL,'867',44.61,1,3,NULL),(15,2268620,'1987-08-31 00:00:00',2,4,11,2004,'M','N','CENTRO','PATO BRANCO','PR','216162161216134411437712571122610162092',2074,'9998',69.04,1,3,NULL),(15,2268639,'1991-11-23 00:00:00',4,9,12,2008,'M','S','CENTRO','LAGES','SC','124244241215111431233732475122610132181',NULL,'497',47.66,1,3,NULL),(15,2268647,'1986-07-31 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANOPOLIS','SC','124201201112131451243315132114610118057',20663,'9998',35.57,1,3,NULL),(15,2268655,'1991-02-01 00:00:00',2,5,12,2007,'F','N','GUATÁ','LAURO MULLER','SC','124243241215121431446911575124610124142',7177,'820',56.83,1,3,NULL),(15,2268671,'1990-11-06 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431548622572115610137127',NULL,'270',44.76,1,3,NULL),(15,2268680,'1977-11-08 00:00:00',2,1,11,2000,'M','N','CAMPINAS','SAO JOSE','SC','124201207126131431328844242124230227037',NULL,'9999',NULL,1,3,NULL),(15,2268698,'1990-04-19 00:00:00',2,5,12,2007,'M','N','CENTRO','SIDEROPOLIS','SC','124242246215111231333331275124610137052',10217,'995',51.60,1,3,NULL),(15,2268701,'1989-07-07 00:00:00',4,6,12,2007,'M','N','BOA VISTA','NIQUELANDIA','GO','109093091117131231533824392125610125097',NULL,'9998',0.00,1,3,NULL),(15,2268710,'1989-06-20 00:00:00',4,8,12,2006,'M','N','JD BONGIOVANI','PRESIDENTE PRUDENTE','SP','125252251217471412453812571111610147097',NULL,'9998',0.00,3,3,NULL),(15,2268728,'1990-07-06 00:00:00',4,1,7,2007,'M','N','CAMPINAS','SAO JOSE','SC','112121121117271752448813176345610114092',303,'9998',78.71,3,2,1),(15,2268736,'1984-07-01 00:00:00',4,1,8,2003,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124241248116134431566673345134610123182',20012,'306',36.79,1,2,1),(15,2268744,'1986-12-04 00:00:00',4,1,12,2004,'M','N','SERRINHA','FLORIANOPOLIS','SC','124242251214472211238913582124233261183',5339,'9998',60.43,1,3,NULL),(15,2268752,'1989-02-16 00:00:00',4,1,11,2006,'M','N','CIDADE UNIVERSITARIA','CAMPINAS','SP','125252251217471411248611275112610164112',2230,'9998',68.47,1,3,NULL),(15,2268760,'1981-10-22 00:00:00',2,1,10,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241247427271411448674241223610127117',NULL,'9997',17.17,1,3,NULL),(15,2268779,'1989-03-14 00:00:00',4,1,12,2006,'M','N','CAMBUI','CAMPINAS','SP','125252251235311431459914385112610132097',3609,'9998',64.45,4,3,NULL),(15,2268787,'1990-11-22 00:00:00',4,8,10,2007,'M','N','ORLEANS','CURITIBA','PR','116162161215471331589931571122610167112',NULL,'9998',0.00,1,3,NULL),(15,2268795,'1990-02-09 00:00:00',4,2,12,2007,'M','N','NAÇÕES','TIMBO','SC','624242246235111431356612275121611417187',20958,'9997',34.94,1,3,NULL),(15,2268809,'1986-01-11 00:00:00',4,6,12,2003,'F','N','PARQUE TRÊS MENINOS','SOROCABA','SP','125252251346471411548614345122142863157',17891,'9998',40.50,1,3,NULL),(15,2268825,'1988-03-28 00:00:00',4,4,12,2005,'F','N','ZONA SETE','MARINGA','PR','116162161215512431238821592325610164096',1318,'9998',72.01,3,3,NULL),(15,2268833,'1990-06-12 00:00:00',4,4,12,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241215111531448612192122610134122',NULL,'751',20.00,1,3,NULL),(15,2268850,'1989-08-17 00:00:00',4,1,11,2007,'M','N','CECAP II','PIRACICABA','SP','125252251216111431337614575114610164044',NULL,'9998',42.03,1,3,NULL),(15,2268868,'1990-02-05 00:00:00',4,3,12,2007,'M','N','TERRAS DE SANTANA','LONDRINA','PR','116162161217111731468913571112610164092',655,'9998',75.69,1,3,NULL),(15,2268876,'1990-04-14 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431488812572122610128182',3414,'270',64.96,1,3,NULL),(15,2268884,'1987-06-07 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241116473411336653575124610166052',12451,'257',48.36,1,2,1),(15,2268906,'1986-02-13 00:00:00',4,1,12,2003,'F','N','LIBERDADE','SAO PAULO','SP','125253251317571451563833572115610168177',6629,'9998',57.85,4,3,NULL),(15,2268914,'1982-02-24 00:00:00',4,1,12,1999,'M','N','JARDIM EUROPA','BRAGANCA PAULISTA','SP','124252251216151731557832435332340667122',4505,'9998',62.24,3,3,NULL),(15,2268922,'1981-07-15 00:00:00',4,1,12,1998,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241216153711588933475122321467042',NULL,'266',0.00,1,3,NULL),(15,2268949,'1992-06-12 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111631268731475122610135097',NULL,'1022',38.10,1,3,NULL),(15,2268957,'1989-12-16 00:00:00',2,1,12,2006,'F','N','PEREQUE','PORTO BELO','SC','124241241111151411335623375112132044057',NULL,'630',22.54,1,2,1),(15,2268965,'1989-12-29 00:00:00',2,3,11,2007,'F','N','CENTRO','SORRISO','MT','111114111236131351343723192125610144187',NULL,'9998',21.97,1,3,NULL),(15,2268973,'1990-10-06 00:00:00',2,8,10,2007,'M','N','CENTRO','JOINVILLE','SC','124243241415111531454432295121610117092',16107,'491',43.21,1,3,NULL),(15,2268990,'1986-09-26 00:00:00',4,1,12,2004,'F','N','CENTRO','LONDRINA','PR','116161161215574421469911572112610164172',NULL,'9998',24.63,1,3,NULL),(15,2269007,'1987-08-05 00:00:00',2,8,11,2005,'F','N','COMASA','JOINVILLE','SC','124241241117131431534412372114610145147',21574,'469',33.57,1,3,NULL),(15,2269015,'1984-04-13 00:00:00',2,2,12,2002,'F','N','ANDORINHA','ITAPEMA','SC','124241247345371431226724185122130215187',10548,'986',51.10,4,3,NULL),(15,2269023,'1988-07-03 00:00:00',4,1,12,2005,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241212473411468914572122230225112',9433,'270',52.89,1,3,NULL),(15,2269031,'1986-02-06 00:00:00',4,1,12,2004,'M','N','MACIAMBU','PALHOCA','SC','124242247126151451456933392133610167063',22266,'9999',31.22,1,3,NULL),(15,2269040,'1988-05-21 00:00:00',4,1,12,2005,'F','N','VILA MARIA','SAO PAULO','SP','125254251214571411556632274114610144197',7255,'9998',56.68,1,3,NULL),(15,2269058,'1990-05-21 00:00:00',4,2,11,2007,'F','N','VILA NOVA','BLUMENAU','SC','124242241214111431467613575122610126147',3387,'71',65.03,1,3,NULL),(15,2269066,'1990-03-25 00:00:00',4,1,12,2007,'F','N','VÁRZEA','ITAPEMA','SC','124241241115131431511311282343610116147',22276,'406',31.17,1,2,1),(15,2269074,'1990-08-29 00:00:00',2,1,12,2007,'F','N','CENTRO','GUARAPUAVA','PR','116162161217111432648611572125610134177',19040,'9998',38.61,1,3,NULL),(15,2269082,'1990-04-12 00:00:00',4,10,11,2007,'F','N','CENTRO','IMBITUBA','SC','124241241215112531458711475122610166177',5682,'807',59.70,1,3,NULL),(15,2269090,'1986-06-28 00:00:00',4,1,12,2003,'M','N','JARDIM SÃO LUIZ','RIBEIRAO PRETO','SP','125254251416573432468834575114140624047',10399,'9998',51.35,1,3,NULL),(15,2269104,'1990-11-30 00:00:00',4,1,12,2007,'F','N','CACHOEIRA','FLORIANOPOLIS','SC','124242161217121711668831575112610162187',13116,'9998',47.43,1,3,NULL),(15,2269112,'1989-12-10 00:00:00',2,1,12,2006,'M','N','FORQUILINHAS','CAMPO ERE','SC','124246242632111411436616355112613217052',21891,'135',32.65,1,3,NULL),(15,2269120,'1977-05-10 00:00:00',2,1,12,1995,'F','N','CENTRO','FLORIANOPOLIS','SC','224203207332531121346659472112140412197',NULL,'9999',0.00,1,3,NULL),(15,2269139,'1991-06-05 00:00:00',4,2,12,2008,'M','S','GARCIA','BLUMENAU','SC','124242241211111431469932572122610162172',NULL,'855',0.00,1,3,NULL),(15,2269155,'1990-03-29 00:00:00',4,8,12,2007,'M','N','CENTRO','CAFELANDIA','PR','116163161216221531459814275111610127047',895,'9998',74.08,1,3,NULL),(15,2269163,'1980-09-10 00:00:00',2,1,12,1997,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','224241241215252431234459375112333247095',15893,'270',43.55,1,3,NULL),(15,2269171,'1988-06-01 00:00:00',4,2,12,2005,'F','N','TESTO SALTO','BLUMENAU','SC','124241241437271431348879345114610137113',10926,'78',50.57,1,3,NULL),(15,2269180,'1978-04-29 00:00:00',3,1,10,1996,'F','N','ESTREITO','FLORIANOPOLIS','SC','624241247131155431234353291222422266187',10392,'9999',51.36,1,3,NULL),(15,2269201,'1989-07-27 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242248216111331489614195122610127152',18298,'226',39.80,1,3,NULL),(15,2269210,'1990-10-21 01:00:00',5,5,11,2007,'F','N','COMERCIARIO','CRICIUMA','SC','124242241215111431456934292122610128147',3843,'226',63.89,1,3,NULL),(15,2269228,'1991-12-08 00:00:00',4,1,12,2008,'M','S','CAPOEIRAS','FLORIANOPOLIS','SC','124243241214111131356637575122610167047',NULL,'9997',22.15,1,3,NULL),(15,2269236,'1990-03-06 00:00:00',2,5,11,2007,'F','N','CENTRO','ICARA','SC','124242241215111331476812322112610137017',18906,'226',38.83,1,3,NULL),(15,2269244,'1988-05-18 00:00:00',4,1,12,2005,'F','N','JARDIM PARAÍSO','BOTUCATU','SP','125252251216511751368833572112610122187',NULL,'9998',0.00,1,3,NULL),(15,2269252,'1990-08-28 00:00:00',4,1,12,2007,'F','N','FERRAZ','GAROPABA','SC','124241241145131431633367182214610167147',NULL,'322',30.48,1,2,1),(15,2269260,'1990-12-06 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241216151231568912372122610137057',NULL,'270',40.82,1,3,NULL),(15,2269279,'1983-10-07 00:00:00',4,1,12,2000,'F','N','CAMPINAS','SAO JOSE','SC','124201201116131431535511282224233221097',20175,'9998',36.48,1,2,1),(15,2269287,'1987-10-17 00:00:00',4,1,12,2005,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241217133431468619195124233224185',8490,'270',54.53,1,3,NULL),(15,2269295,'1988-11-19 00:00:00',4,1,12,2005,'M','N','LIBERDADE','SAO PAULO','SP','125203206117131451427629492125610168177',2136,'9998',68.86,1,3,NULL),(15,2269309,'1987-11-13 00:00:00',4,1,11,2004,'M','N','BROTAS','SALVADOR','BA','105052051217571431476813574322610167042',NULL,'9998',0.00,4,3,NULL),(15,2269317,'1989-10-12 00:00:00',4,1,12,2007,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124242241115111431438614342124610127017',5384,'306',60.30,1,3,NULL),(15,2269325,'1990-04-16 00:00:00',4,5,12,2007,'M','N','MICHEL','CRICIUMA','SC','124243246212151731458314572114610164057',10108,'188',51.77,1,3,NULL),(15,2269333,'1990-12-10 00:00:00',2,1,12,2007,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124241241115211431326327576124610137042',NULL,'257',22.81,1,3,NULL),(15,2269341,'1988-01-10 00:00:00',4,1,12,2005,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124251241137141711334823442324610113147',NULL,'286',20.62,4,3,NULL),(15,2269350,'1980-10-16 00:00:00',2,1,12,1999,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124251251127173411533649145114610166052',8024,'9998',55.33,1,2,1),(15,2269368,'1990-07-23 00:00:00',2,1,12,2007,'F','N','BELA VISTA I','SAO JOSE','SC','124241241117151431433633575122610112147',21177,'726',34.49,1,2,1),(15,2269376,'1986-11-27 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215373231466713446134133227057',12993,'269',47.60,1,3,NULL),(15,2269384,'1991-05-02 00:00:00',2,1,12,2008,'M','S','POÇO FUNDO','SANTO AMARO DA IMPERATRIZ','SC','124243248215111231469613434112610127052',NULL,'774',39.78,1,3,NULL),(15,2269392,'1983-03-17 00:00:00',2,1,12,2000,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241243337233431126441215234610124147',20262,'303',36.31,1,3,NULL),(15,2269406,'1979-08-15 00:00:00',4,1,7,1999,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124243241342132441344441213132610161187',NULL,'1003',8.40,1,3,NULL),(15,2269414,'1990-12-24 00:00:00',2,4,12,2007,'F','N','INTERIOR','CORONEL MARTINS','SC','124241241124161731433923372224610124197',19160,'200',38.42,4,3,NULL),(15,2269430,'1989-10-28 00:00:00',4,5,11,2007,'M','N','MINA BRASIL','CRICIUMA','SC','124242241235171731447711492122610142117',16682,'211',42.35,1,3,NULL),(15,2269449,'1987-09-03 00:00:00',4,1,12,2005,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242241211133711619719571112120867047',6587,'884',57.92,1,3,NULL),(15,2269457,'1990-04-13 00:00:00',4,2,12,2007,'M','N','ASILO','BLUMENAU','SC','124242241217151731348514345124610164042',6576,'997',57.93,1,3,NULL),(15,2269465,'1983-04-05 00:00:00',2,1,12,2001,'M','N','INGLESES','FLORIANOPOLIS','SC','124243248315131441323334592324331622047',14867,'117',44.94,1,3,NULL),(15,2269473,'1990-02-22 00:00:00',4,2,11,2007,'M','N','RIBEIRÃO FRESCO','BLUMENAU','SC','124242241217111431445612272122610147052',18044,'87',40.23,1,3,NULL),(15,2269481,'1977-07-02 00:00:00',2,1,12,1995,'M','N','LAGOA DA CONÇEIÇÃO','FLORIANOPOLIS','SC','124253251431272431127937485314140224092',NULL,'9998',17.80,2,3,NULL),(15,2269490,'1992-04-22 00:00:00',4,1,11,2008,'M','S','COQUEIROS','FLORIANOPOLIS','SC','124242241217151531568932572122610132182',NULL,'262',59.66,1,3,NULL),(15,2269503,'1991-01-16 00:00:00',2,1,12,2007,'M','N','CENTRO','TIJUCAS','SC','124242246215111431235524275111610127052',8522,'1119',54.47,1,3,NULL),(15,2269511,'1989-04-30 00:00:00',2,5,12,2007,'F','N','CRISTAL','PORTO ALEGRE','RS','120202201216111431236624275124610126077',NULL,'9998',19.40,1,3,NULL),(15,2269520,'1990-03-23 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241117152431359613572124610128197',7119,'267',56.93,1,2,1),(15,2269546,'1991-01-30 00:00:00',4,4,11,2007,'F','N','ALVORADA','FRANCISCO BELTRAO','PR','116163161415471431446834572122610131092',18387,'9998',39.67,1,3,NULL),(15,2269554,'1990-12-25 00:00:00',2,7,11,2007,'F','N','CENTRO','TANGARA','SC','124243241215111431338619272124610162147',6356,'969',58.35,1,3,NULL),(15,2269562,'1989-08-16 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241117112711469821574121610122075',1157,'267',72.75,1,2,1),(15,2269589,'1988-12-04 00:00:00',4,8,12,2006,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215372431469914442122131522092',10104,'491',51.77,1,3,NULL),(15,2269597,'1990-11-27 00:00:00',4,8,11,2007,'M','N','AMÉRICA','JOINVILLE','SC','124242241215171431468814575122610164062',12847,'457',47.80,1,3,NULL),(15,2269600,'1990-03-05 00:00:00',4,1,11,2007,'F','N','GOIABEIRAS','CUIABA','MT','111112111237111431469913372122610144092',17552,'9998',41.01,4,3,NULL),(15,2269619,'1983-11-29 00:00:00',4,1,12,2001,'F','N','JARDIM AMÉRICA','VACARIA','RS','120201201136151431535923442125243264057',16060,'9998',43.28,4,2,1),(15,2269627,'1990-03-14 00:00:00',4,6,12,2007,'M','N','CENTRO','ITAJAI','SC','624241246217151431449811575112610164142',10363,'1059',51.41,4,3,NULL),(15,2269635,'1987-07-02 00:00:00',2,1,12,2004,'M','N','PARTENON','PORTO ALEGRE','RS','120204201213471231449831573114610167172',6329,'9998',58.40,1,3,NULL),(15,2269643,'1983-07-14 00:00:00',4,10,12,2000,'F','N','REVOREDO','TUBARAO','SC','124242241215471421637727215114333233187',17263,'807',41.46,1,3,NULL),(15,2269651,'1988-04-17 00:00:00',2,1,6,2007,'M','N','CACHOEIRA','FLORIANOPOLIS','SC','124241241117112331533433382214610152117',NULL,'9999',22.26,1,3,NULL),(15,2269660,'1989-12-31 00:00:00',2,5,11,2007,'F','N','NOSSA SRA DE FÁTIMA','ICARA','SC','124242241215111431446813245112610127012',4611,'226',61.97,1,3,NULL),(15,2269678,'1990-09-12 00:00:00',4,8,11,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241215111751548634572112610117047',20780,'491',35.34,1,3,NULL),(15,2269686,'1988-10-18 00:00:00',2,1,12,2005,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241315373431426613182124232764091',9922,'9997',52.05,4,3,NULL),(15,2269694,'1989-11-06 00:00:00',2,1,12,2007,'F','N','BELA VISTA','SAO JOSE','SC','124241241115151731426414575122610134147',20794,'726',35.30,1,2,1),(15,2269708,'1990-02-10 00:00:00',4,2,12,2007,'M','N','CENTRO','CORUPA','SC','124241241117141432466912145121610122042',NULL,'203',0.00,1,2,1),(15,2269716,'1990-04-24 00:00:00',2,4,12,2007,'F','N','MATRIZ','VIDEIRA','SC','124241241312131411343923175122610134142',20297,'829',36.24,1,3,NULL),(15,2269724,'1989-06-07 00:00:00',2,1,12,2006,'M','N','JARDIM DAS ESTRELAS','SOROCABA','SP','125254251116131431436624572124610117047',NULL,'9998',0.00,1,3,NULL),(15,2269732,'1989-02-27 00:00:00',4,5,12,2007,'M','N','ESTAÇÃO COCAL','MORRO DA FUMACA','SC','124241246215161431663312592124610124142',5649,'188',59.78,1,3,NULL),(15,2269740,'1980-03-01 00:00:00',4,1,12,1997,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241237153421458923345135220862182',9924,'272',52.05,1,3,NULL),(15,2269759,'1990-01-19 00:00:00',2,6,12,2007,'M','N','SÃO JUDAS','ITAJAI','SC','124242241215111331338821412121610117047',21561,'1057',33.60,1,3,NULL),(15,2269767,'1990-08-02 00:00:00',2,3,12,2007,'M','N','LOEFF','CARAZINHO','RS','120203201116131431536313381221610112042',21394,'9998',33.97,1,3,NULL),(15,2269775,'1985-11-18 00:00:00',2,4,12,2003,'M','N','CENTRO','CHAPECO','SC','124244241346473751567911345122231434077',14861,'175',44.95,1,3,NULL),(15,2269783,'1982-04-02 00:00:00',4,1,12,1999,'M','N','MENINO DEUS','PORTO ALEGRE','RS','120202201217111431358713472124240667112',12234,'9998',48.68,1,3,NULL),(15,2269791,'1987-07-02 00:00:00',2,1,12,2005,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241326143431323544445334610137117',19367,'262',38.06,4,1,2),(15,2269805,'1990-05-24 00:00:00',2,10,12,2007,'F','N','VILA VITÓRIA','LAGUNA','SC','124241241117161531623633572321610165077',19906,'522',37.00,1,3,NULL),(15,2269821,'1988-11-21 00:00:00',2,3,12,2005,'F','N','CENTRO','PALMEIRA DAS MISSOES','RS','124203201115472431448713474123610162147',2327,'9998',68.15,1,3,NULL),(15,2269848,'1989-07-29 00:00:00',2,1,11,2006,'F','N','PARQUE DOS BUZIOS','GRAVATAI','RS','120202201216371511347631595124610162142',19483,'9998',37.85,1,3,NULL),(15,2269856,'1991-03-09 00:00:00',4,1,2,2009,'F','S','CENTRO','CANELINHA','SC','124244244215111431536732572124610126187',NULL,'266',46.03,1,3,NULL),(15,2269864,'1990-05-29 00:00:00',2,1,11,2007,'F','N','CENTRO','CONCORDIA','SC','124242241215211431446639595124610161182',NULL,'270',29.79,1,3,NULL),(15,2269872,'1990-03-04 00:00:00',4,10,11,2007,'F','N','CENTRO','SAO MARTINHO','SC','124241241317121431568812325122610143142',NULL,'807',30.62,1,3,NULL),(15,2269880,'1987-03-21 00:00:00',4,1,12,2004,'F','N','BROOKLIN PAULISTA','SAO PAULO','SP','125252251216571311468831571115610165182',14173,'9998',45.92,1,3,NULL),(15,2269899,'1989-08-17 00:00:00',4,1,12,2007,'M','N','AGRÔNOMICA','FLORIANOPOLIS','SC','124242241245111441436673375112610167111',19141,'1022',38.45,1,3,NULL),(15,2269910,'1983-07-28 00:00:00',4,1,12,2000,'M','N','CENTRO','NOVA MUTUM','MT','111114111446371431343316485311143267067',NULL,'9998',0.00,2,1,2),(15,2269929,'1986-10-20 00:00:00',4,1,12,2004,'M','N','MORUMBI','PAULINIA','SP','125254251236471441468811385122143227047',15141,'9998',44.62,1,3,NULL),(15,2269937,'1966-02-09 00:00:00',2,1,12,1999,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241244321133411122135331214131336187',22424,'9997',30.05,1,3,NULL),(15,2269945,'1990-03-25 00:00:00',4,1,11,2007,'F','N','JARDIM AMÉRICA','GOIANIA','GO','109094091216111431356633572122610165187',NULL,'9998',0.00,1,3,NULL),(15,2269961,'1991-12-14 00:00:00',4,9,11,2008,'M','S','CENTRO','LAGES','SC','124242241217111412668814575125610164172',NULL,'497',39.09,1,3,NULL),(15,2269970,'1989-01-03 00:00:00',4,1,12,2005,'F','N','BOA ESPERANÇA','CUIABA','MT','111112118217141431468822425124241464172',12235,'9998',48.68,1,3,NULL),(15,2269988,'1988-10-26 00:00:00',4,1,12,2006,'F','N','VILA SAO VICENTE','PENAPOLIS','SP','125252251216471212577714571224610126097',NULL,'9998',0.00,1,3,NULL),(15,2269996,'1990-07-26 00:00:00',4,2,12,2007,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241211131431326714271124610154197',6037,'88',58.99,1,3,NULL),(15,2270005,'1988-03-02 00:00:00',2,5,6,2005,'F','N','AURORA','ICARA','SC','124241241212131431533919382124610112117',NULL,'995',22.20,1,3,NULL),(15,2270013,'1988-07-02 00:00:00',4,1,12,2005,'M','N','CAMPINAS','SAO JOSE','SC','124242241212273421588613445124230857052',19342,'737',38.10,1,3,NULL),(15,2270021,'1990-06-05 00:00:00',4,5,10,2007,'F','N','COMERCIÁRIO','CRICIUMA','SC','124242241217121431359912575122610134097',NULL,'213',0.00,1,3,NULL),(15,2270030,'1990-10-17 00:00:00',2,5,12,2007,'F','N','CENTRO','TREVISO','SC','124244241215131411536614572124610128097',10739,'995',50.82,1,3,NULL),(15,2270056,'1990-04-16 00:00:00',4,1,12,2007,'M','N','GLEBA PALHANO','LONDRINA','PR','116164161215111431458814275122610127052',NULL,'9998',0.00,1,3,NULL),(15,2270064,'1989-08-11 00:00:00',4,1,12,2006,'F','N','CENTRO','SANTA MARIA','RS','120201201217471431474616572125610163052',2649,'9998',67.17,1,3,NULL),(15,2270072,'1984-02-28 00:00:00',4,1,12,2001,'M','N','STA MONICA','FLORIANOPOLIS','SC','124244241117113741448863445133132167047',15280,'271',44.43,1,3,NULL),(15,2270099,'1989-05-31 00:00:00',4,1,12,2006,'M','N','SANTA CECILIA','SAO PAULO','SP','125252251216471411478831571115610167042',10149,'9998',51.72,1,3,NULL),(15,2270102,'1990-05-17 00:00:00',4,2,12,2007,'M','N','SANTA TERESA','AURORA','SC','124242241115161431345923575124610127057',20083,'40',36.65,1,3,NULL),(15,2270110,'1988-10-01 00:00:00',2,1,11,2007,'M','N','VARGEM DOS PINHEIROS','SANTO AMARO DA IMPERATRIZ','SC','124243241215161431424434376124610127057',NULL,'9997',10.97,1,3,NULL),(15,2270129,'1989-09-16 00:00:00',4,8,12,2007,'M','N','VILA DUBBOS','PRESIDENTE PRUDENTE','SP','125251251215111431559834572121610162012',13522,'9998',46.86,1,3,NULL),(15,2270137,'1988-09-18 00:00:00',2,8,12,2006,'M','N','INDEPENDÊNCIA','CASCAVEL','PR','116162161215471431578811572112610157067',9466,'9998',52.83,1,3,NULL),(15,2270145,'1991-05-11 00:00:00',4,1,12,2008,'F','S','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124243241115151412479933592122610127127',NULL,'271',46.20,1,3,NULL),(15,2270153,'1987-10-31 00:00:00',2,1,6,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241114132731423321377241131827017',4774,'306',61.58,1,2,1),(15,2270161,'1990-07-24 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241112111431446633572122610124041',19930,'732',36.95,1,2,1),(15,2270170,'1990-05-24 00:00:00',4,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241116131431436614242124610134142',NULL,'592',21.69,1,3,NULL),(15,2270188,'1990-11-17 00:00:00',2,8,11,2007,'F','N','ITAPEMA DO NORTE','ITAPOA','SC','124241241111131731459933571322610133097',18876,'413',38.88,1,2,1),(15,2270196,'1989-10-18 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215151431468812572124610127047',18944,'1048',38.75,1,3,NULL),(15,2270200,'1989-11-13 00:00:00',2,5,12,2006,'F','N','CENTRO','SAO JOAO DO SUL','SC','124241241146131411338313282224231935172',18214,'717',39.95,4,2,1),(15,2270218,'1990-11-27 00:00:00',2,2,12,2007,'F','N','VELHA','BLUMENAU','SC','124242241215121431446614242114610161057',16344,'86',42.84,1,3,NULL),(15,2270226,'1988-07-04 00:00:00',5,5,7,2007,'F','N','PINHEIRINHO','CRICIUMA','SC','124254247246131231547934441122610134097',NULL,'995',23.62,1,3,NULL),(15,2270234,'1990-12-06 00:00:00',2,6,12,2007,'M','N','SÃO JOÃO','ITAJAI','SC','124161246417171231437639595121610167047',20481,'1059',35.92,1,3,NULL),(15,2270242,'1986-07-10 00:00:00',4,1,12,2003,'F','N','LIBERDADE','SAO PAULO','SP','112122121211572411488831575125610166182',NULL,'9998',0.00,1,3,NULL),(15,2270250,'1988-12-20 00:00:00',2,1,12,2006,'F','N','VILA NOVA','JARAGUA DO SUL','SC','124244241416372731528614575115130211012',NULL,'422',24.07,1,3,NULL),(15,2270277,'1990-12-27 00:00:00',2,1,12,2007,'F','N','CENTRO','SAO LOURENCO DO OESTE','SC','124242161215111731338632572122610133147',19521,'9998',37.78,1,3,NULL),(15,2270285,'1989-07-02 00:00:00',4,7,12,2006,'M','N','SÃO SEBASTIÃO','CAMPOS NOVOS','SC','124242241215153731459914275122231467057',5982,'270',59.11,1,3,NULL),(15,2270293,'1991-03-07 00:00:00',2,7,11,2008,'F','S','CENTRO','OURO','SC','124243241215111411463932374122610123142',NULL,'446',34.51,1,3,NULL),(15,2270307,'1991-02-23 00:00:00',4,9,11,2008,'F','S','CENTRO','LAGES','SC','124243241216111432556532125122613222147',NULL,'497',24.35,1,3,NULL),(15,2270315,'1988-05-10 00:00:00',4,7,12,2005,'M','N','INTERIOR','LUZERNA','SC','124241241117121411523374442322610125147',21816,'539',32.90,1,2,1),(15,2270323,'1991-10-03 00:00:00',4,1,12,2008,'M','S','RIO TAVARES','FLORIANOPOLIS','SC','124242241217111431587832575124610166172',NULL,'269',54.30,1,3,NULL),(15,2270331,'1991-07-18 00:00:00',4,2,12,2008,'F','S','JARDIM BLUMENAU','BLUMENAU','SC','124242241217111431339931572112610134092',NULL,'909',41.37,1,3,NULL),(15,2270340,'1990-06-08 00:00:00',2,1,11,2007,'F','N','MEDIANEIRA','CAXIAS DO SUL','RS','120202201217371731358712572112610163182',NULL,'9998',0.00,1,3,NULL),(15,2270358,'1990-07-06 00:00:00',4,10,11,2007,'F','N','OFICINAS','TUBARAO','SC','124244248215131431226729292325610168072',8573,'809',54.41,1,3,NULL),(15,2270366,'1990-04-25 00:00:00',2,10,11,2007,'F','N','CENTRO','ARMAZEM','SC','124241241315121431476632292122610134152',NULL,'807',18.82,1,3,NULL),(15,2270374,'1990-12-22 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241235111431478934575114610117112',20140,'1022',36.55,1,3,NULL),(15,2270382,'1990-07-25 00:00:00',2,1,12,2007,'M','N','IPIRANGA','SAO JOSE','SC','124241241117131411324421492114610117057',19663,'734',37.49,4,2,1),(15,2270412,'1990-10-22 00:00:00',4,1,12,2007,'F','N','SÃO FRANCISCO','SANTO AMARO DA IMPERATRIZ','SC','124241241115131311426916352114610114147',NULL,'772',20.94,1,3,NULL),(15,2270420,'1987-07-31 00:00:00',4,1,12,2005,'M','N','LIBERDADE','SAO PAULO','SP','112122121211572221578831571345610114042',NULL,'9998',0.00,1,3,NULL),(15,2270439,'1990-03-29 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248215111431488712575112610167182',11661,'270',49.47,1,3,NULL),(15,2270447,'1990-01-10 00:00:00',4,1,12,2007,'M','N','CENTRO','SAO MARCOS','RS','120204201417111431437834575122610124047',14499,'9998',45.41,1,3,NULL),(15,2270455,'1989-07-24 00:00:00',4,4,12,2006,'F','N','CENTRO','SARANDI','RS','120201201411471431536911171124610136147',6703,'9998',57.74,1,3,NULL),(15,2270463,'1990-05-31 00:00:00',4,9,12,2007,'F','N','CENTRO','LAJEADO','RS','120202201216371431448831242124610124122',19213,'9998',38.32,1,3,NULL),(15,2270471,'1990-12-03 00:00:00',2,8,12,2007,'F','N','ESTRADA NOVA','JARAGUA DO SUL','SC','124161241117131431333831572224610127147',21361,'425',34.07,1,2,1),(15,2270480,'1978-07-26 00:00:00',4,1,12,1995,'M','N','CENTRO','FLORIANOPOLIS','SC','124161161116141111566634445124340727143',NULL,'9998',0.00,3,3,NULL),(15,2270498,'1987-01-24 00:00:00',2,1,12,2004,'M','N','SANTA CRUZ','PALMAS','PR','116161161117151431526534241322142367057',NULL,'9998',26.39,4,2,1),(15,2270501,'1990-05-16 00:00:00',2,6,12,2007,'M','N','ITAIPAVA','ITAJAI','SC','124244241217111431538612292124610144065',19955,'388',36.91,1,3,NULL),(15,2270510,'1990-06-15 00:00:00',2,7,12,2007,'F','N','CENTRO','CACADOR','SC','124241241215111751669914241112610167142',19357,'118',38.08,1,3,NULL),(15,2270528,'1989-09-11 00:00:00',4,1,12,2006,'M','N','JD PARAISO','BOTUCATU','SP','125252251215471211478831574124610116042',7783,'9998',55.73,1,3,NULL),(15,2270544,'1990-08-04 00:00:00',4,1,12,2007,'M','N','AREIAS','SAO JOSE','SC','124244241215111431436414572122610168187',15585,'1078',43.99,1,3,NULL),(15,2270552,'1990-04-08 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241117372731557833572124610137127',10478,'306',51.22,1,2,1),(15,2270560,'1989-12-18 00:00:00',4,1,11,2007,'F','N','SÃO BERNARDO','CAMPINAS','SP','125254251217111411459814575124610162177',9305,'9998',53.11,4,3,NULL),(15,2270579,'1990-11-04 00:00:00',2,3,12,2007,'M','N','LOEFF','CARAZINHO','RS','120203201117131531537823331121610164057',22062,'9998',32.05,4,3,NULL),(15,2270595,'1989-08-05 00:00:00',4,8,11,2006,'F','N','AMERICA','JOINVILLE','SC','124252241215372431469814572112130265092',13141,'457',47.40,1,3,NULL),(15,2270609,'1985-09-19 00:00:00',4,1,12,2002,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241315373732448613572122233268187',8828,'269',53.97,1,3,NULL),(15,2270617,'1989-12-02 00:00:00',4,8,12,2006,'F','N','CENTRO','NOVA LONDRINA','PR','116162161215271411568832375122610166077',NULL,'9998',0.00,1,3,NULL),(15,2270625,'1982-01-28 00:00:00',2,1,11,1999,'M','N','FLORESTA','SAO JOSE','SC','620011202132141211316648211344610144064',19945,'9998',36.93,4,3,NULL),(15,2270633,'1990-04-16 00:00:00',4,2,12,2007,'M','N','CENTRO','ITAPIRANGA','SC','124241241115151431431624572122610127047',15639,'412',43.89,1,2,1),(15,2270641,'1990-04-27 00:00:00',4,1,12,2007,'M','N','CENTRO','ANGELINA','SC','124241243114161431536633345121610114057',NULL,'17',21.44,1,2,1),(15,2270650,'1990-12-10 00:00:00',4,8,11,2008,'M','S','GLÓRIA','JOINVILLE','SC','124242241211151752448822177121610168186',NULL,'491',56.91,1,3,NULL),(15,2270668,'1986-09-25 00:00:00',2,1,12,2004,'M','N','VILA LIBERDADE','JUNDIAI','SP','125252251216571731578831575115610126042',9236,'9998',53.21,1,3,NULL),(15,2270676,'1991-11-19 00:00:00',4,1,12,2008,'F','S','CARVOEIRA','FLORIANOPOLIS','SC','124242241215111752449933572112610127075',NULL,'270',38.11,1,3,NULL),(15,2270684,'1990-09-20 00:00:00',2,2,12,2007,'F','N','VILA MARIANA','TAIO','SC','124243241215152411228923575122610132197',1880,'776',69.67,1,3,NULL),(15,2270692,'1991-03-16 00:00:00',4,4,11,2008,'F','S','CENTRO','ERECHIM','RS','120202201217111412458833334125610143145',NULL,'9998',44.00,1,3,NULL),(15,2270706,'1990-09-22 00:00:00',2,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215372431458912575122610124012',2112,'226',68.92,1,3,NULL),(15,2270714,'1990-02-10 00:00:00',4,8,10,2007,'M','N','AMERICA','JOINVILLE','SC','124242241215121431466612425122610138042',NULL,'491',14.73,1,3,NULL),(15,2270722,'1987-07-09 00:00:00',4,1,12,2006,'F','N','SÃO BRAZ','CURITIBA','PR','116162161212571431449914573114610164077',11928,'9998',49.07,1,3,NULL),(15,2270730,'1989-08-26 00:00:00',4,1,11,2006,'M','N','OFICINAS','TUBARAO','SC','124242241215112431443839272125221167042',4971,'809',61.15,1,3,NULL),(15,2270749,'1954-06-29 00:00:00',4,1,12,1974,'M','N','COQUEIROS','FLORIANOPOLIS','SC','624241243326152741353259485122330268197',13264,'805',47.22,1,3,NULL),(15,2270773,'1990-01-01 00:00:00',2,1,11,2007,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124244241214111331338824432114610167142',17073,'266',41.77,1,3,NULL),(15,2270781,'1989-12-22 00:00:00',4,5,12,2007,'F','N','CENTRO','CRICIUMA','SC','124244241217131431435311574124610141077',NULL,'995',19.83,1,3,NULL),(15,2270820,'1988-02-26 00:00:00',2,1,12,2005,'M','N','ESTANCIA CAICARA','BIRIGUI','SP','125252251216571411488831574224610166043',2145,'9998',68.81,4,3,NULL),(15,2270838,'1990-09-18 00:00:00',2,1,12,2008,'M','S','CENTRO','BRACO DO NORTE','SC','124242241217111431426732575124610132047',NULL,'950',23.60,1,3,NULL),(15,2270846,'1981-10-29 00:00:00',4,1,12,1999,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241212234531536624445134130267047',NULL,'272',0.00,1,3,NULL),(15,2270854,'1989-05-07 00:00:00',2,5,12,2007,'F','N','MINA BRASIL','CRICIUMA','SC','124241248316161431533312595124610127142',22451,'920',29.58,1,3,NULL),(15,2270862,'1990-05-13 00:00:00',4,4,12,2007,'M','N','CENTRO','CORDILHEIRA ALTA','SC','124241241115151431541422272122610168052',NULL,'197',23.45,1,2,1),(15,2270870,'1989-02-28 00:00:00',2,4,11,2007,'F','N','TRÊS FRONTEIRAS','DIONISIO CERQUEIRA','SC','124241161417111411456613332124610116057',22437,'9998',29.90,1,3,NULL),(15,2270889,'1990-06-23 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241117141432456623231124610127047',21868,'287',32.73,1,3,NULL),(15,2270897,'1981-07-18 00:00:00',4,1,12,1998,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241117153131445819485124321464117',12151,'298',48.79,1,2,1),(15,2270900,'1959-10-06 00:00:00',4,1,12,1981,'M','N','TRINDADE','FLORIANOPOLIS','SC','224161163126132431333249195122332237127',7680,'9998',55.89,1,2,1),(15,2270919,'1991-04-04 00:00:00',4,1,12,2008,'M','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241217151431489913575112610147122',NULL,'951',38.07,1,3,NULL),(15,2270927,'1990-01-05 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215111431378932575112610224186',NULL,'226',29.70,1,3,NULL),(15,2270935,'1990-01-25 00:00:00',2,10,12,2006,'F','N','STO ANTONIO DE PADUA','TUBARAO','SC','124242241215472431436834595125610141147',1699,'807',70.38,1,3,NULL),(15,2270943,'1989-06-22 00:00:00',4,1,12,2006,'M','N','JUNDIAI MIRIM','JUNDIAI','SP','125252251217152411446712572112241867047',5417,'9998',60.24,1,3,NULL),(15,2270951,'1986-08-22 00:00:00',2,1,12,2003,'M','N','FORQUILHINHAS','SAO JOSE','SC','124121121417573431558613571124141414192',1189,'9998',72.52,4,3,NULL),(15,2270960,'1989-07-27 00:00:00',4,1,12,2006,'M','N','PITUBA','SALVADOR','BA','105052051217472411348617585125610112147',1690,'9998',70.41,1,3,NULL),(15,2270978,'1984-03-19 00:00:00',4,1,12,2002,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124201241431133731349934343112610162194',15748,'592',43.75,1,3,NULL),(15,2270986,'1966-04-09 00:00:00',2,1,12,1983,'M','N','COHAB II','RIO GRANDE','RS','520201206116131711333644242124343234127',5292,'9998',60.54,1,3,NULL),(15,2270994,'1989-11-27 00:00:00',4,1,12,2006,'M','N','ALTO CAFEZAL','MARILIA','SP','125252251216471321478831575345610167043',636,'9998',75.79,1,3,NULL),(15,2271001,'1990-02-18 00:00:00',4,2,12,2008,'M','S','QUINTINO','TIMBO','SC','124241241345111432356912575111610124017',NULL,'9997',22.76,1,3,NULL),(15,2271010,'1990-03-10 00:00:00',4,1,10,2007,'F','N','FACULDADE','CASCAVEL','PR','116164161415121431435933571114610124147',NULL,'9998',0.00,1,3,NULL),(15,2271036,'1990-04-02 00:00:00',4,1,9,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241235111431356917575124610167092',2133,'723',68.87,4,3,NULL),(15,2271052,'1982-05-08 00:00:00',2,1,11,1999,'F','N','INGLESES','FLORIANOPOLIS','SC','124201205117131431118844446334610124187',NULL,'9998',0.00,1,3,NULL),(15,2271060,'1988-12-30 00:00:00',4,1,12,2005,'M','N','BELA VISTA II','SAO JOSE','SC','124242241215373711457612395124130267057',19194,'738',38.36,1,3,NULL),(15,2271079,'1992-04-21 00:00:00',4,7,11,2008,'F','S','SANTA TEREZA','JOACABA','SC','124242241217111431458914592122610164187',NULL,'446',35.67,1,3,NULL),(15,2271087,'1988-04-23 00:00:00',4,1,12,2005,'F','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124243281315373431479933392122230226147',6643,'271',57.83,1,3,NULL),(15,2271095,'1988-09-28 00:00:00',4,1,11,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215372431479913575124133262042',3969,'270',63.55,1,3,NULL),(15,2271117,'1991-02-11 00:00:00',2,1,12,2007,'M','N','AREIAS DO CAMPECHE','FLORIANOPOLIS','SC','124241241115161331436911212124610117043',22119,'307',31.84,3,3,NULL),(15,2271133,'1987-10-17 00:00:00',4,1,12,2005,'M','N','ALTIPLANO','JOAO PESSOA','PB','115152151216471431668811375112140462174',4892,'9998',61.33,4,3,NULL),(15,2271141,'1990-05-27 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124163241415111731468619395125610127153',NULL,'9997',0.00,1,3,NULL),(15,2271150,'1990-05-08 00:00:00',4,1,12,2007,'F','N','SANTO ANTÔNIO','LADARIO','MS','112124121216111431526839575124610168077',10166,'9998',51.69,2,1,2),(15,2271168,'1991-03-23 00:00:00',4,9,11,2008,'F','S','CENTRO','LAGES','SC','124242248235111531448834595122610128097',NULL,'9997',35.21,1,3,NULL),(15,2271176,'1988-03-23 00:00:00',4,1,11,2006,'F','N','TAPERA','FLORIANOPOLIS','SC','124243241335271411536614345334610164086',22223,'9999',31.40,3,3,NULL),(15,2271184,'1989-01-11 00:00:00',2,1,12,2006,'F','N','GRANJA CAIAPIA','COTIA','SP','125252251211472431578831571115610166182',13331,'9998',47.14,1,3,NULL),(15,2271192,'1991-03-15 00:00:00',2,9,12,2007,'M','N','ESQUINA','URUBICI','SC','124241241112161731535919472121610127047',22112,'818',31.86,1,2,1),(15,2271206,'1988-08-25 00:00:00',2,5,12,2005,'F','N','CENTRO','ARARANGUA','SC','124242241215373731436923345122610128077',6714,'32',57.71,1,3,NULL),(15,2271222,'1990-07-02 00:00:00',4,1,7,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124244241217152451327714575124220768092',8786,'1074',54.04,1,3,NULL),(15,2271230,'1990-06-15 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215112431549721595124610167077',9438,'270',52.88,1,3,NULL),(15,2271249,'1989-12-11 00:00:00',4,1,12,2007,'M','N','JARDIM EUROPA','ASSIS','SP','125252251211111711348831572122610114012',9740,'9998',52.37,1,3,NULL),(15,2271257,'1983-09-03 00:00:00',4,6,12,2001,'M','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124131131217313411337614441114132014042',18367,'9998',39.70,4,3,NULL),(15,2271265,'1988-03-21 00:00:00',2,8,12,2005,'M','N','BOA VISTA','CURITIBA','PR','116122121215572431558713571324610162072',561,'9998',76.34,1,3,NULL),(15,2271273,'1991-05-19 00:00:00',2,4,12,2007,'M','N','BORTOLANZA','PALMITOS','SC','124242241215111431358953572112610167042',7069,'600',57.02,1,3,NULL),(15,2271290,'1990-05-29 00:00:00',4,2,11,2007,'M','N','PQ VISTA ALEGRE','ITAPEVA','SP','125254251417111211346923315125610124152',13161,'9998',47.38,1,3,NULL),(15,2271303,'1988-02-17 00:00:00',2,1,12,2002,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242248212132431533623342324610163012',16303,'1036',42.90,1,3,NULL),(15,2271311,'1986-02-28 00:00:00',2,1,12,2003,'F','N','ARMAÇÃO','FLORIANOPOLIS','SC','124243241112134431636639341132610134077',19496,'307',37.84,1,3,NULL),(15,2271320,'1990-07-29 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241248115171731623334575124610133142',NULL,'289',22.72,4,2,1),(15,2271338,'1982-12-03 00:00:00',4,1,7,2006,'M','N','AREIAS','SAO JOSE','SC','124241247127141421326634342314610134187',20599,'976',35.69,2,1,1),(15,2271346,'1989-02-13 00:00:00',4,1,12,2006,'F','N','JARDIM LEONOR','LONDRINA','PR','116164161215472411337834575122610163147',NULL,'9998',0.00,1,3,NULL),(15,2271354,'1988-04-18 00:00:00',4,1,12,2005,'F','N','ACLIMACAO','SAO PAULO','SP','125252251216571421567811575345610166183',554,'9998',76.39,1,3,NULL),(15,2271362,'1988-12-14 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124243241116151431446611575124610127117',20721,'306',35.45,1,3,NULL),(15,2271370,'1990-10-24 00:00:00',2,1,11,2007,'M','N','ITAGUAÇÚ','FLORIANOPOLIS','SC','124242241215111112348911472114610127117',12274,'270',48.62,1,3,NULL),(15,2271389,'1988-11-07 00:00:00',4,1,12,2006,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241217372431568823575112610167061',2672,'270',67.12,1,3,NULL),(15,2271397,'1987-12-02 00:00:00',2,3,12,2004,'F','N','CENTRO','IRATI','PR','116164161216373751567812425122142662067',6218,'9998',58.61,1,3,NULL),(15,2271400,'1990-04-10 00:00:00',3,1,12,2007,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124242241115111431236621342124610127057',9470,'306',52.82,1,3,NULL),(15,2271419,'1989-04-15 00:00:00',4,8,12,2006,'F','N','SÃO LOURENÇO','CURITIBA','PR','116162161217571431439934174122610163157',NULL,'9998',0.00,1,3,NULL),(15,2271427,'1987-08-10 00:00:00',4,1,11,2004,'F','N','URUSSANGUINHA','ARARANGUA','SC','124242241215154431364824372124231547092',9481,'211',52.81,1,3,NULL),(15,2271435,'1987-07-29 00:00:00',4,1,11,2006,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','120202201217572731468912471125610167042',7753,'9998',55.78,1,3,NULL),(15,2271443,'1991-01-06 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241112131721634679575114610122092',15399,'257',44.26,4,3,NULL),(15,2271451,'1985-06-10 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124133131117272431356641314324610123052',20480,'9998',35.92,1,3,NULL),(15,2271460,'1990-03-06 00:00:00',2,6,11,2007,'F','N','CENTRO','CACADOR','SC','124244241217131431449931272222610166142',13051,'118',47.51,1,3,NULL),(15,2271478,'1990-04-19 00:00:00',4,1,11,2007,'F','N','JARDIM GUANABARA','GOIANIA','GO','109092091215111751588612325112610164017',7715,'9998',55.84,1,3,NULL),(15,2271486,'1991-03-21 00:00:00',4,1,12,2008,'F','S','CARIANOS','FLORIANOPOLIS','SC','124242241215111451469933572122610138072',NULL,'270',54.47,1,3,NULL),(15,2271494,'1989-08-09 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124242241217372411548814245122610132187',18524,'943',39.44,1,3,NULL),(15,2271508,'1989-09-08 00:00:00',2,1,11,2007,'F','N','SANTOS DUMONTT','SAO JOSE','SC','124244248415111411234723576124610116072',21084,'269',34.70,4,1,2),(15,2271516,'1990-03-16 00:00:00',2,7,12,2007,'M','N','CENTRO','JABORA','SC','124241241516131431333923585124610127047',NULL,'445',25.49,1,3,NULL),(15,2271540,'1973-04-07 00:00:00',2,1,11,1991,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241248116152721541343135134610112097',20441,'306',35.97,1,2,1),(15,2271559,'1991-03-13 00:00:00',4,7,12,2008,'F','S','SAO CRISTOVAO','VIDEIRA','SC','116242161217121421459932275125610126072',NULL,'9998',48.60,1,3,NULL),(15,2271567,'1990-06-24 00:00:00',4,1,12,2007,'M','N','AREIAS','SAO JOSE','SC','124241241126131431534533292224610124043',20974,'730',34.90,1,3,NULL),(15,2271575,'1988-03-06 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201241215472231358714586124610132142',18356,'1022',39.71,1,3,NULL),(15,2271583,'1988-02-17 00:00:00',4,1,12,2006,'F','N','ITAMARATY','ARTUR NOGUEIRA','SP','125253251334131311533534391124610167097',NULL,'9998',29.27,1,3,NULL),(15,2271591,'1987-08-23 00:00:00',2,1,12,2005,'F','N','KOBRASOL','SAO JOSE','SC','124242241215374431437819175124222927071',4313,'723',62.67,1,3,NULL),(15,2271605,'1979-01-05 00:00:00',2,1,12,1995,'M','N','TRINDADE','FLORIANOPOLIS','SC','224241243111133411233454472124322262047',5139,'209',60.83,4,2,1),(15,2271613,'1990-10-01 00:00:00',4,1,12,2007,'F','N','ITAGUACU','FLORIANOPOLIS','SC','124241241114141431424317241124610125057',10376,'292',51.38,1,2,1),(15,2271630,'1990-03-03 00:00:00',4,9,12,2007,'F','N','CONTA DINHEIRO','LAGES','SC','124243241217131531554619272124610163077',20849,'515',35.19,1,3,NULL),(15,2271648,'1988-07-28 00:00:00',2,1,12,2005,'F','N','SANTANA','SAO PAULO','SP','125252251216571441468714575124610163112',8171,'9998',55.06,1,3,NULL),(15,2271656,'1989-06-11 00:00:00',2,3,11,2007,'F','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116164161417111441348823572122610168147',14146,'9998',45.97,1,3,NULL),(15,2271664,'1991-03-15 00:00:00',2,7,11,2007,'M','N','JACOB BIEZUS','CONCORDIA','SC','124241241215111431548939375124610127127',17978,'1000',40.35,1,3,NULL),(15,2271672,'1988-02-01 00:00:00',2,1,12,2005,'F','N','CENTRO','SAO MIGUEL ARCANJO','SP','125252251216571731636816445215610168027',NULL,'9998',26.44,1,3,NULL),(15,2271680,'1985-09-12 00:00:00',4,1,12,2002,'F','N','KOBRASOL','SAO JOSE','SC','124242241216575411434511492124230261072',5121,'724',60.88,1,3,NULL),(15,2271699,'1987-07-15 00:00:00',2,1,12,2004,'M','N','FORQUILHIINHAS','SAO JOSE','SC','124241241212213411424611315124230844147',NULL,'9997',NULL,1,3,NULL),(15,2271702,'1990-10-20 00:00:00',2,1,12,2008,'F','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215111431479813392124610122072',NULL,'1098',45.27,1,3,NULL),(15,2271710,'1988-10-01 00:00:00',2,1,12,2005,'F','N','JOSE MENDES','FLORIANOPOLIS','SC','124201201117271731522364242224610112187',NULL,'9998',9.26,1,3,NULL),(15,2271729,'1969-10-12 00:00:00',2,1,10,1987,'M','N','BARREIROS','SAO JOSE','SC','224241243222151552541342215132330867187',19580,'757',37.66,1,3,NULL),(15,2271737,'1989-11-20 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217111431469959295124610167042',11269,'270',50.05,1,3,NULL),(15,2271745,'1990-09-15 00:00:00',2,1,12,2007,'M','N','MORRO DA BINA','BIGUACU','SC','124243241117131531443319282114610137047',20607,'65',35.68,1,3,NULL),(15,2271753,'1990-02-28 00:00:00',2,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241117111431476612172114610167152',6754,'270',57.64,1,3,NULL),(15,2271761,'1990-05-01 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241212111431356619592124610127077',5626,'272',59.82,1,3,NULL),(15,2271770,'1989-06-13 00:00:00',4,1,11,2007,'F','N','CENTRO','ICARA','SC','124242241215473431466512595124610167017',3559,'226',64.59,1,3,NULL),(15,2271788,'1989-12-30 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124243241117372731489913576122610141055',4185,'267',62.95,1,3,NULL),(15,2271796,'1990-11-09 00:00:00',4,2,12,2007,'F','N','VELHA','BLUMENAU','SC','124243241215111411548811395122610136147',9279,'88',53.16,1,3,NULL),(15,2271800,'1988-08-29 00:00:00',4,3,12,2005,'F','N','BOA VISTA','PONTA GROSSA','PR','116166161411573451538839571124610168072',1479,'9998',71.29,1,3,NULL),(15,2271818,'1989-05-29 00:00:00',4,3,12,2006,'F','N','MONTE ALEGRE','CAMBORIU','SC','124241241117471431635321341221610136177',12324,'51',48.54,4,2,1),(15,2271826,'1987-07-15 00:00:00',4,1,12,2004,'F','N','PARQUE SÃO DOMINGOS','SAO PAULO','SP','125252251217571441458614571122610126147',6280,'9998',58.49,1,3,NULL),(15,2271834,'1985-03-17 00:00:00',4,5,12,2002,'M','N','PINHEIRINHO','CRICIUMA','SC','124241241147151441236429382221131938067',18663,'228',39.22,1,3,NULL),(15,2271842,'1989-11-18 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241217272531423329172124610127115',18743,'977',39.09,1,3,NULL),(15,2271850,'1991-09-27 00:00:00',4,4,11,2008,'F','S','CRISTO REI','CHAPECO','SC','124243241415131431337712295122610132012',NULL,'185',45.17,1,3,NULL),(15,2271869,'1990-02-10 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212111531377812375122610137187',9484,'262',52.80,1,3,NULL),(15,2271877,'1987-03-31 00:00:00',4,1,11,2004,'M','N','CENTRO','CASCAVEL','PR','116162161215272411668711476111121663092',1490,'9998',71.24,1,3,NULL),(15,2271885,'1990-03-08 00:00:00',4,9,12,2007,'M','N','PINHEIROS','OTACILIO COSTA','SC','124244241216121431469614575124610137182',11124,'499',50.27,1,3,NULL),(15,2271893,'1988-10-28 00:00:00',4,1,12,2005,'F','N','JOSE MENDEZ','FLORIANOPOLIS','SC','124241241112133432426623482124610134147',NULL,'286',23.12,1,3,NULL),(15,2271907,'1989-10-20 00:00:00',4,4,12,2006,'F','N','JARDIM ITÁLIA','CHAPECO','SC','124241241116152431346833271112231426157',18912,'169',38.82,1,3,NULL),(15,2271915,'1990-03-05 00:00:00',4,8,12,2007,'M','N','LONDRILAR','LONDRINA','PR','116162161217111411238864475124610124057',6881,'9998',57.38,3,3,NULL),(15,2271923,'1982-02-02 00:00:00',2,1,12,1999,'F','N','BARRA DO ARIRIU','PALHOCA','SC','224241241146133431333354382114610224197',8115,'754',55.16,1,2,1),(15,2271931,'1980-03-12 00:00:00',4,1,12,1996,'F','N','CENTRO','TIJUCAS','SC','224241245427132411232244142132133231142',19273,'781',38.22,1,3,NULL),(15,2271958,'1971-07-22 00:00:00',4,1,12,1991,'M','N','INGLESES','FLORIANOPOLIS','SC','624242241132124421344744441122132061157',13536,'260',46.84,1,3,NULL),(15,2271966,'1987-06-09 00:00:00',2,1,12,2004,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241117273451467623345124610127117',13296,'307',47.18,1,2,1),(15,2271974,'1990-05-14 00:00:00',4,4,11,2007,'M','N','CENTRO','CAMPINAS DO SUL','RS','120201208215111421468811472124610147056',11318,'9998',49.97,1,3,NULL),(15,2271982,'1990-05-17 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','624241241217111431556614142112610167051',NULL,'1036',35.48,1,3,NULL),(15,2271990,'1981-10-03 00:00:00',2,1,7,1998,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124252251216131411238641215124140461117',11807,'9998',49.25,1,3,NULL),(15,2272008,'1989-06-25 00:00:00',4,5,11,2007,'F','N','SÃO SIMÃO','CRICIUMA','SC','124244246217151731446614275124610137052',18761,'188',39.06,1,3,NULL),(15,2272016,'1991-05-10 00:00:00',4,1,12,2008,'M','S','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217111531278713575122610122167',NULL,'738',56.66,1,3,NULL),(15,2272024,'1990-06-26 00:00:00',4,1,11,2008,'M','S','CAMPINAS','SAO JOSE','SC','124242243215111431488611572122610134182',NULL,'270',39.86,1,3,NULL),(15,2272040,'1990-02-02 00:00:00',4,4,12,2007,'F','N','CENTRO','CASCAVEL','PR','116162161215111431368812274122610164042',5034,'9998',61.02,1,3,NULL),(15,2272059,'1991-04-09 00:00:00',4,1,2,2008,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216111431279921575122610167045',15187,'270',44.55,1,3,NULL),(15,2272067,'1985-08-04 00:00:00',4,8,12,2002,'M','N','MOSSUNGUE','CURITIBA','PR','116164161416472731458923412122343237127',NULL,'9998',0.00,1,3,NULL),(15,2272075,'1990-07-11 00:00:00',4,9,11,2007,'M','N','COHAB I','SAO JOAQUIM','SC','124242241235131431456823575125610134147',18229,'720',39.92,1,3,NULL),(15,2272083,'1984-09-14 00:00:00',4,1,10,2003,'M','N','POÇO FUNDO','SANTO AMARO DA IMPERATRIZ','SC','124241246116133431433434245124610124013',15688,'306',43.83,1,2,1),(15,2272091,'1990-07-30 00:00:00',4,1,12,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241217111431286832575114610116042',2717,'270',66.96,1,3,NULL),(15,2272105,'1989-09-17 00:00:00',2,1,11,2007,'M','N','JARDIM ELDORADO','PALHOCA','SC','124242241212371431446613375111610167112',21618,'1077',33.46,1,3,NULL),(15,2272113,'1988-08-10 00:00:00',4,1,8,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241417131732146823346134610138147',21876,'9999',32.71,1,3,NULL),(15,2272121,'1981-05-14 00:00:00',4,1,7,1999,'M','N','AGUA VERDE','CURITIBA','PR','116212281214472711468834493124142834097',NULL,'9998',0.00,1,3,NULL),(15,2272130,'1989-10-30 00:00:00',4,1,12,2007,'M','N','JARDIM PANORAMA','BAURU','SP','125253251217121431465314375122610167042',10489,'9998',51.20,1,3,NULL),(15,2272148,'1989-04-02 00:00:00',2,1,12,2006,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124242241216272731448833442134610134142',14890,'1022',44.91,1,3,NULL),(15,2272156,'1989-09-14 00:00:00',2,6,12,2006,'M','N','SÃO CRISTOVÃO','PASSO FUNDO','RS','120201201117141421323524445334610167052',21511,'9998',33.71,1,3,NULL),(15,2272164,'1989-09-13 00:00:00',4,1,11,2007,'M','N','AREIAS','SAO JOSE','SC','124242241215111731567614475112610124052',1177,'737',72.61,1,3,NULL),(15,2272172,'1982-01-15 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANOPOLIS','SC','624252256117375721336444345124121764143',NULL,'9998',0.00,1,3,NULL),(15,2272180,'1991-09-16 00:00:00',4,2,12,2008,'M','S','SANTANA','RIO DO SUL','SC','124242241217111431358614475122610164052',NULL,'991',52.62,1,3,NULL),(15,2272199,'1990-05-21 00:00:00',4,1,12,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241217111431543733495114610134145',15645,'1023',43.88,4,3,NULL),(15,2272202,'1990-02-05 00:00:00',4,1,12,2007,'M','N','JARDIM AMERICA','PONTA GROSSA','PR','116162161215471731468811595122610164044',19425,'9998',37.97,1,3,NULL),(15,2272210,'1990-08-20 00:00:00',4,1,12,2007,'F','N','CENTRO','PATO BRANCO','PR','116163161117371212438439275124610166197',8839,'9998',53.94,1,3,NULL),(15,2272229,'1990-05-01 00:00:00',4,1,12,2007,'F','N','CENTRO','SALTO','SP','125252251217121411447834175122610121072',6544,'9998',57.99,1,3,NULL),(15,2272253,'1988-10-25 00:00:00',4,1,12,2005,'F','N','CAMPO BELO','LONDRINA','PR','116161161416573431568712572122610167127',5161,'9998',60.79,3,3,NULL),(15,2272261,'1990-05-09 00:00:00',2,1,12,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124244241415131512234619345114610113071',NULL,'269',17.69,1,3,NULL),(15,2272270,'1982-06-11 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241247326155711336643335124133264047',10827,'1003',50.71,1,3,NULL),(15,2272288,'1985-12-20 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124244248235373431226979474114610127072',15370,'1036',44.30,1,3,NULL),(15,2272296,'1988-05-26 00:00:00',2,1,12,2005,'M','N','PORTÃO','CURITIBA','PR','116162161216572431566719341122610127117',7089,'9998',56.99,1,3,NULL),(15,2272300,'1990-06-21 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241217112711359923432124610163111',18926,'269',38.80,1,3,NULL),(15,2272318,'1991-07-20 00:00:00',2,5,12,2008,'F','S','CENTRO','PRAIA GRANDE','SC','124244241217111731468912571114610147147',NULL,'32',51.45,1,3,NULL),(15,2272326,'1991-06-15 00:00:00',4,1,11,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124243241115111331548834594124610718111',19742,'271',37.35,1,3,NULL),(15,2272334,'1991-07-07 00:00:00',4,1,11,2008,'M','S','KOBRASOL','SAO JOSE','SC','124243241117111431456614575124610118095',NULL,'271',58.33,1,3,NULL),(15,2272342,'1989-02-04 00:00:00',4,3,12,2006,'F','N','CENTRO CÍVICO','CURITIBA','PR','116161161416471431453312572124610156142',7693,'9998',55.87,1,3,NULL),(15,2272350,'1981-03-19 00:00:00',2,6,12,2001,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241435372422366612572122610142117',NULL,'1017',26.05,1,3,NULL),(15,2272369,'1991-08-05 00:00:00',4,1,11,2008,'F','S','ABRAÃO','FLORIANOPOLIS','SC','124242241217111731489812572122610166182',NULL,'270',62.77,1,3,NULL),(15,2272377,'1989-07-21 00:00:00',4,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241112171432326629572122610134147',NULL,'727',20.82,1,3,NULL),(15,2272393,'1986-01-19 00:00:00',4,5,12,2003,'F','N','SANTA LUZIA','CRICIUMA','SC','124241241142151431335524242224131936117',16219,'228',43.03,1,3,NULL),(15,2272407,'1990-04-25 00:00:00',4,2,12,2007,'M','N','CENTRO','TAIO','SC','124242241215151411346719375122610122142',6682,'776',57.76,1,3,NULL),(15,2272415,'1988-07-01 00:00:00',4,1,12,2005,'F','N','VILA MARIANA','SAO PAULO','SP','125252251215471131449913575114610164042',NULL,'9998',0.00,1,3,NULL),(15,2272423,'1987-01-05 00:00:00',2,9,12,2004,'F','N','PETROPOLIS','LAGES','SC','124241241112474431555519242122610112142',2749,'498',66.88,1,2,1),(15,2272431,'1988-02-03 00:00:00',4,6,12,2005,'M','N','CENTRO','BRUSQUE','SC','124242241216373431646923575122610167112',6378,'981',58.30,1,3,NULL),(15,2272440,'1971-11-02 00:00:00',4,1,2,1993,'M','N','CAMPINAS','SAO JOSE','SC','224241247126152411363344142122120866047',9978,'9999',51.97,1,3,NULL),(15,2272458,'1988-09-27 00:00:00',4,1,12,2006,'M','N','JARDIM MORUMBI','PIRASSUNUNGA','SP','125252251217472432557812572112610147017',5802,'9998',59.46,1,3,NULL),(15,2272466,'1984-06-22 00:00:00',2,1,12,2001,'F','N','PACHECOS','PALHOCA','SC','224241241146131431223351245124133225187',16238,'769',43.00,1,2,1),(15,2272474,'1987-06-12 00:00:00',2,6,11,2004,'M','N','CORDEIROS','ITAJAI','SC','124241241112132731129344345324610132147',NULL,'903',NULL,1,2,1),(15,2272482,'1991-01-13 00:00:00',4,3,11,2007,'F','N','CENTRO','FRANCISCO BELTRAO','PR','116162168215411431258939591124610166012',11550,'9998',49.63,1,3,NULL),(15,2272490,'1990-05-12 00:00:00',2,7,12,2007,'M','N','CENTRO','CACADOR','SC','124244241215161431477714572122610137062',5364,'118',60.35,1,3,NULL),(15,2272504,'1989-03-21 00:00:00',4,1,10,2006,'M','N','BPS PINHEIRINHO','ITAJUBA','MG','113132131217471411467812595122610134092',14332,'9998',45.68,1,3,NULL),(15,2272520,'1977-03-15 00:00:00',2,1,12,1995,'M','N','SAO SEBASTIAO','PALHOCA','SC','224241241217132411426844445324130717047',7225,'117',56.74,1,3,NULL),(15,2272539,'1980-08-04 00:00:00',2,1,12,2005,'M','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','224203247326132411236544345112610164183',NULL,'9999',0.00,1,3,NULL),(15,2272547,'1985-04-28 00:00:00',4,7,12,2002,'M','N','CENTRO OESTE','CATANDUVAS','SC','124241241116472411436311394124340662042',5396,'161',60.29,4,2,1),(15,2272571,'1991-07-20 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241216111431467639275122610164097',NULL,'1038',25.80,1,3,NULL),(15,2272580,'1988-12-01 00:00:00',2,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124201201117132421347734442325610125047',20832,'9998',35.22,1,3,NULL),(15,2272598,'1979-07-25 00:00:00',4,1,12,1997,'F','N','CENTRO','FLORIANOPOLIS','SC','224241245112474431213659272122323067072',9640,'192',52.51,1,2,1),(15,2272601,'1987-07-26 00:00:00',2,3,12,2004,'F','N','VERGUEIRO','PASSO FUNDO','RS','120204201216471751538711575122143261047',17502,'9998',41.09,1,3,NULL),(15,2272610,'1987-03-24 00:00:00',2,1,12,2004,'F','N','ROÇADO','SAO JOSE','SC','124241241127372431356324342114610162197',16709,'111',42.32,1,2,1),(15,2272628,'1988-04-08 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124161241116142441459813345112233264057',NULL,'306',0.00,1,3,NULL),(15,2272636,'1990-10-30 00:00:00',4,10,11,2007,'F','N','CENTRO','SAO LUDGERO','SC','124243241215111431324824476114610168147',12553,'807',48.21,1,3,NULL),(15,2272644,'1989-12-20 00:00:00',2,1,12,2007,'F','N','CENTRO','VACARIA','RS','120203201316131731347514575125610121147',NULL,'9998',18.78,1,3,NULL),(15,2272652,'1990-08-15 00:00:00',4,2,11,2007,'F','N','CENTRO','IBIRAMA','SC','124242241215131211358313575122610168052',5409,'346',60.26,1,3,NULL),(15,2272660,'1990-08-01 00:00:00',4,4,12,2007,'M','N','CENTRO','ABELARDO LUZ','SC','124241241115141431457614345121610154057',22302,'4',31.02,1,3,NULL),(15,2272679,'1990-08-17 00:00:00',4,1,12,2008,'M','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241212111431338823572122610117112',NULL,'262',0.00,1,3,NULL),(15,2272687,'1986-05-25 00:00:00',4,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','124242241215575431458664375114233264051',5932,'738',59.20,1,3,NULL),(15,2272695,'1984-11-18 00:00:00',2,1,11,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124071071316252421366613445134610134147',14210,'9998',45.86,1,3,NULL),(15,2272709,'1987-10-06 00:00:00',4,1,12,2003,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124252251227574731238933346324610124147',16255,'9998',42.97,1,3,NULL),(15,2272725,'1990-04-13 00:00:00',4,3,11,2007,'F','N','CENTRO','APUCARANA','PR','116162161216111412268823574112610144012',8386,'9998',54.71,3,3,NULL),(15,2272733,'1987-10-23 00:00:00',2,1,12,2005,'F','N','TATUAPÉ','SAO PAULO','SP','125252251216573431438521382125610124057',1933,'9998',69.48,1,3,NULL),(15,2272741,'1989-03-24 00:00:00',4,1,12,2006,'F','N','ALTO DA GLÓRIA','CURITIBA','PR','116222118217411751238839572214610161077',16933,'9998',41.96,1,3,NULL),(15,2272750,'1990-02-26 00:00:00',4,4,12,2007,'F','N','JARDIM ITALIA','CHAPECO','SC','124241241215471411368913574122610123197',11193,'185',50.17,1,3,NULL),(15,2272768,'1985-02-13 00:00:00',4,1,12,2003,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124251251117451411358779415123343244042',22369,'9998',30.56,1,2,1),(15,2272776,'1987-02-01 00:00:00',4,1,12,2004,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241212575431367619575122221336012',13496,'262',46.90,1,3,NULL),(15,2272784,'1990-10-17 00:00:00',4,3,12,2008,'F','S','SANTA RITA','BRUSQUE','SC','124242241217111432348934572122610134192',NULL,'109',0.00,1,3,NULL),(15,2272792,'1987-10-09 00:00:00',4,1,11,2006,'M','N','CENTRO','CANAVIEIRAS','BA','105052051235471731656612372124610167012',9651,'9998',52.50,1,3,NULL),(15,2272806,'1987-12-22 00:00:00',4,1,12,2004,'F','N','BARREIROS','SAO JOSE','SC','124242241216152411437612315122522362177',14443,'1022',45.51,1,3,NULL),(15,2272814,'1984-05-18 00:00:00',2,1,12,2002,'M','N','CAMPINAS','SAO JOSE','SC','124241247212133431455731312122610117187',17604,'1003',40.93,1,3,NULL),(15,2272822,'1990-12-12 00:00:00',4,1,12,2007,'M','N','JOSE MENDEZ','FLORIANOPOLIS','SC','124241241112131432426623482124610131147',NULL,'286',24.47,1,3,NULL),(15,2272830,'1989-03-11 00:00:00',2,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124202201437131451538613382114610133187',NULL,'9998',16.92,1,3,NULL),(15,2272857,'1991-05-28 00:00:00',4,2,12,2008,'M','S','JARDINS','BLUMENAU','SC','124242247217151531388833415132610112142',NULL,'909',58.54,1,3,NULL),(15,2272865,'1991-05-06 00:00:00',4,5,11,2008,'F','S','CENTRO','SIDEROPOLIS','SC','124242241215111431338824372114610116192',NULL,'226',61.97,1,3,NULL),(15,2272873,'1990-03-26 00:00:00',2,1,12,2006,'M','N','JARDIM BOTÂNICO','PORTO ALEGRE','RS','120204201417471431367833575114610127057',NULL,'9998',0.00,1,3,NULL),(15,2272881,'1991-05-04 00:00:00',2,5,11,2008,'F','S','CENTRO','ARARANGUA','SC','124242241215111431458833432122610147142',NULL,'27',38.65,1,3,NULL),(15,2272890,'1991-03-07 00:00:00',4,6,11,2007,'M','N','CENTRO','ITAJAI','SC','124242241217151431567912572122610137132',469,'1057',77.07,1,3,NULL),(15,2272903,'1990-07-30 00:00:00',4,3,12,2007,'M','N','SANTANA','RIO DO SUL','SC','124242241235211431449611272111610127057',NULL,'991',23.08,1,3,NULL),(15,2272911,'1979-06-17 00:00:00',4,1,12,1996,'M','N','CANTO DOS GANCHOS','GOVERNADOR CELSO RAMOS','SC','124251251121132431429613285124331056172',NULL,'9998',39.73,1,2,1),(15,2272938,'1986-10-02 00:00:00',4,1,12,2004,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241211244431568811215124232427097',664,'270',75.66,1,3,NULL),(15,2272946,'1972-01-06 00:00:00',2,1,12,1992,'F','N','BARREIROS','SAO JOSE','SC','624201207427131421223349291124333223017',16071,'9998',43.26,2,1,2),(15,2272954,'1990-06-22 00:00:00',4,2,12,2007,'F','N','ÁGUA VERDE','BLUMENAU','SC','124242241235111411578712394124610134147',2503,'87',67.61,1,3,NULL),(15,2272962,'1988-09-05 00:00:00',2,8,12,2005,'M','N','CENTRO','CANOINHAS','SC','124241241216372411566514575112131464065',9500,'973',52.78,1,3,NULL),(15,2272970,'1988-03-12 00:00:00',2,2,11,2006,'F','N','IMIGRANTES','TIMBO','SC','124241247216131431329869575115610146177',19512,'9999',37.80,1,3,NULL),(15,2272997,'1987-04-15 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243241112372131546413342114610164147',21869,'257',32.73,1,3,NULL),(15,2273004,'1990-11-23 00:00:00',2,8,12,2007,'F','N','CENTRO','PALMAS','PR','116162161216471431469813575124610136012',NULL,'9998',0.00,1,3,NULL),(15,2273012,'1987-02-17 00:00:00',4,1,11,2004,'M','N','JARDIM MARIA LUIZA','CASCAVEL','PR','116162161216111431466633575122140764053',NULL,'9998',0.00,4,3,NULL),(15,2273020,'1991-03-15 00:00:00',1,2,11,2008,'F','S','CENTRO','BRUSQUE','SC','124242241215111442548634472122610127125',NULL,'107',53.52,1,3,NULL),(15,2273039,'1990-11-26 00:00:00',4,1,11,2007,'M','N','CENTRO','ROLANDIA','PR','116162161217111531468833472122610167052',2851,'9998',66.60,1,3,NULL),(15,2273047,'1988-02-13 00:00:00',4,1,11,2005,'F','N','PERDIZES','SAO PAULO','SP','125252251216571531588821571114610137047',NULL,'9998',0.00,1,3,NULL),(15,2273055,'1990-01-09 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241215111531436879596122610127187',NULL,'270',46.27,1,3,NULL),(15,2273063,'1989-10-04 00:00:00',4,1,12,2006,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124243241312473431569934592124230423147',NULL,'270',0.00,1,3,NULL),(15,2273071,'1990-07-06 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217121431467813575122610137044',15015,'270',44.77,1,3,NULL),(15,2273080,'1991-06-29 00:00:00',4,1,12,2008,'F','S','PARQUE SÃO JORGE','FLORIANOPOLIS','SC','124242241217111431553612422122610124092',NULL,'270',36.72,1,3,NULL),(15,2273098,'1989-06-16 00:00:00',2,5,11,2007,'F','N','SÃO LUIZ','CRICIUMA','SC','124242247215131532333331382124610133077',NULL,'210',20.91,1,3,NULL),(15,2273101,'1990-09-07 00:00:00',4,3,12,2007,'F','N','CENTRO','CANOINHAS','SC','124241161217471431469913572112610124187',NULL,'9998',0.00,1,3,NULL),(15,2273110,'1990-01-24 00:00:00',4,8,11,2007,'F','N','IRIRIU','JOINVILLE','SC','124244241216131431537314285124610137047',20375,'1006',36.10,1,3,NULL),(15,2273128,'1985-10-31 00:00:00',4,8,12,2003,'M','N','CENTRO','CAPINZAL','SC','124242241216153431466632385122231467052',NULL,'446',0.00,1,3,NULL),(15,2273136,'1990-04-13 00:00:00',2,5,12,2007,'F','N','CIDADE ALTA','TURVO','SC','124241241116131431323331395121610147147',17518,'814',41.06,1,3,NULL),(15,2273144,'1984-09-18 00:00:00',4,1,12,2002,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124243247247372421337444345323610144117',17812,'270',40.64,1,3,NULL),(15,2273152,'1987-02-26 00:00:00',4,1,12,2004,'M','N','FAZENDA STO ANTÔNIO','SAO JOSE','SC','124242248412371431236629292124610137117',21462,'733',33.82,1,3,NULL),(15,2273160,'1987-05-22 00:00:00',4,1,11,2004,'F','N','ALPHAVILLE','SANTANA DE PARNAIBA','SP','125252251217572441478911575122610122092',NULL,'9998',0.00,1,3,NULL),(15,2273179,'1990-07-24 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215271231558829572112610131052',12719,'262',47.95,1,3,NULL),(15,2273187,'1990-02-09 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241217141431478914274124610112091',20416,'1075',36.02,1,3,NULL),(15,2273195,'1989-11-23 00:00:00',4,1,12,2007,'F','N','SANTO ANTÔNIO DE LIS','FLORIANOPOLIS','SC','124241241216111431348923572114610137147',10054,'1048',51.84,1,3,NULL),(15,2273209,'1990-11-06 00:00:00',4,4,12,2007,'F','N','PADRE REUS','SAO JOSE DO CEDRO','SC','124241241145131431333923582224610125147',22078,'740',32.01,4,2,1),(15,2273217,'1991-09-06 00:00:00',4,7,12,2008,'F','S','CENTRO','JOACABA','SC','124242248217411231346824471122610141095',NULL,'446',17.74,1,3,NULL),(15,2273225,'1990-02-02 00:00:00',4,2,12,2007,'F','N','BAEPENDI','JARAGUA DO SUL','SC','124242241215111431438831572122610116172',1263,'855',72.19,1,3,NULL),(15,2273233,'1990-07-04 00:00:00',2,10,11,2007,'M','N','VILA MOEMA','TUBARAO','SC','124242241216111431668812425112610127052',5984,'807',59.10,1,3,NULL),(15,2273241,'1990-04-01 00:00:00',4,7,12,2007,'F','N','CENTRO','IRANI','SC','124241241126131731336414295122610123017',17718,'379',40.78,4,2,1),(15,2273250,'1991-04-15 00:00:00',4,1,11,2007,'M','N','PARQUE SAO JORGE','FLORIANOPOLIS','SC','124242241215111431448923575124610167012',16664,'270',42.37,1,3,NULL),(15,2273268,'1974-12-21 00:00:00',2,1,12,1993,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241111344431123349411134610143017',NULL,'234',0.00,1,2,1),(15,2273276,'1989-09-16 00:00:00',4,2,12,2006,'F','N','CENTRO','SANTA MARIA','RS','120201201116131731437933572324610127017',16410,'9998',42.74,1,2,1),(15,2273284,'1990-09-03 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','116162161317471431359933574124610162047',NULL,'9998',0.00,1,3,NULL),(15,2273292,'1989-12-18 00:00:00',2,6,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124204241137471431225824572125610122157',20146,'49',36.54,1,3,NULL),(15,2273306,'1982-01-30 00:00:00',2,1,11,2001,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124243241342373411453113242334610137092',NULL,'9999',27.95,4,3,NULL),(15,2273314,'1988-10-31 00:00:00',4,1,12,2006,'F','N','SÃO VICENTE','ITAJAI','SC','124242241215473431477712424122610168181',9505,'1026',52.77,1,3,NULL),(15,2273322,'1987-05-13 00:00:00',2,1,10,2005,'F','N','SANTINHO','FLORIANOPOLIS','SC','124243241112373731557829346124610144147',13520,'306',46.86,1,3,NULL),(15,2273330,'1990-06-24 00:00:00',4,1,12,2007,'M','N','JARDIM CANADÁ','LONDRINA','PR','116162161215111431559931572125610112082',12414,'9998',48.42,3,3,NULL),(15,2273349,'1991-10-07 00:00:00',4,1,12,2008,'F','S','TRINDADE','FLORIANOPOLIS','SC','124241241315111341238923232124610127077',NULL,'271',37.31,1,3,NULL),(15,2273357,'1990-04-14 00:00:00',2,1,12,2007,'M','N','FORQUILHINHA','SAO JOSE','SC','124242241215121531578711572122610127045',NULL,'1074',32.13,1,3,NULL),(15,2273365,'1990-09-06 00:00:00',4,5,11,2007,'M','N','COMERCIÁRIO','CRICIUMA','SC','124242241215151711468832575122610164092',3463,'210',64.85,1,3,NULL),(15,2273373,'1990-09-02 00:00:00',2,5,11,2007,'F','N','SANTA BARBÁRA','CRICIUMA','SC','124242241215111731556632572122610127142',NULL,'210',0.00,1,3,NULL),(15,2273381,'1983-02-21 00:00:00',4,3,12,2000,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124251251216141411168814445114133267042',9280,'9998',53.15,1,3,NULL),(15,2273390,'1987-01-15 00:00:00',4,1,12,2004,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241217575411559911572124232456192',4236,'497',62.84,1,3,NULL),(15,2273411,'1988-10-07 00:00:00',2,9,12,2006,'F','N','CENTRO','LAGES','SC','124243241215372431546724575112131237147',10436,'499',51.29,1,3,NULL),(15,2273420,'1990-03-20 00:00:00',2,7,12,2007,'M','N','PARAISO','CACADOR','SC','124241241111151751586532345122610118182',NULL,'124',23.18,1,3,NULL),(15,2273438,'1991-03-07 00:00:00',2,4,12,2007,'M','N','CENTRO','DESCANSO','SC','124245241211151431369913571122610138122',9076,'751',53.52,1,3,NULL),(15,2273446,'1987-11-02 00:00:00',4,8,12,2005,'M','N','GLORIA','JOINVILLE','SC','124241246216131411246721345134131427042',NULL,'1006',0.00,1,3,NULL),(15,2273454,'1988-12-05 00:00:00',4,1,11,2006,'F','N','CENTRO','CANAVIEIRAS','BA','105052051215471431566632375124610164143',5492,'9998',60.07,1,3,NULL),(15,2273462,'1991-04-29 00:00:00',4,1,12,2008,'F','S','ITACORUBI','FLORIANOPOLIS','SC','124244241217111431368711575124610134076',NULL,'270',48.28,1,3,NULL),(15,2273470,'1989-04-28 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124244241215372431586613576124610127117',8019,'262',55.35,1,3,NULL),(15,2273489,'1988-02-03 00:00:00',2,1,12,2006,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241248136131431656434375124610142147',22093,'294',31.96,1,2,1),(15,2273497,'1989-05-16 00:00:00',4,1,12,2006,'M','N','ASA SUL','BRASILIA','DF','107072071215471431469911575122141037042',12581,'9998',48.17,1,3,NULL),(15,2273500,'1989-05-22 00:00:00',2,1,11,2006,'F','N','IPIRANGA','SAO PAULO','SP','125253251416471411436714581125610164147',19149,'9998',38.44,1,3,NULL),(15,2273519,'1990-04-09 00:00:00',4,10,12,2007,'M','N','DEHON','TUBARAO','SC','124242241215111431468714572112610147042',3910,'807',63.70,1,3,NULL),(15,2273527,'1977-06-14 00:00:00',4,6,12,1994,'F','N','MUNICÍPIOS','BALNEARIO CAMBORIU','SC','124242241216152441226749496224330246182',NULL,'422',24.73,1,3,NULL),(15,2273535,'1962-04-13 00:00:00',4,1,12,1979,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','224162161211152451368649491114543237043',12243,'9998',48.67,1,3,NULL),(15,2273543,'1990-08-20 00:00:00',4,2,12,2007,'M','N','PROGRESSO','RIO DO SUL','SC','124242241215111431469712572122610137042',2722,'991',66.95,1,3,NULL),(15,2273560,'1989-09-13 00:00:00',2,5,12,2006,'F','N','SAO LUIZ','SOMBRIO','SC','124241241116132431233321575122230764147',13406,'1033',47.02,1,2,1),(15,2273578,'1986-09-19 00:00:00',4,1,7,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124131241117161431467614385114133217115',17387,'9997',41.24,1,2,1),(15,2273586,'1985-10-29 00:00:00',4,1,12,2002,'M','N','JD PACAEMBU','CAMPINAS','SP','125252251217371411127844445124143262057',5503,'9998',60.05,1,3,NULL),(15,2273594,'1991-09-14 00:00:00',4,4,11,2008,'F','S','CENTRO','CHAPECO','SC','124242241217151431448819595112610134097',NULL,'185',45.08,1,3,NULL),(15,2273608,'1989-03-11 00:00:00',4,1,8,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241281317371432469833585124610148095',891,'9997',74.10,1,3,NULL),(15,2273616,'1980-04-27 00:00:00',4,1,12,2000,'M','N','SERRINHA','FLORIANOPOLIS','SC','124062061337141421247644445124142262157',4604,'9998',61.98,1,3,NULL),(15,2273632,'1991-11-24 00:00:00',4,8,11,2008,'F','S','AMÉRICA','JOINVILLE','SC','124242241214111431369811471124610128152',NULL,'486',48.68,1,3,NULL),(15,2273640,'1989-06-28 00:00:00',2,1,12,2007,'F','N','SERRINHA','FLORIANOPOLIS','SC','124244241211111331338323575124610126073',17676,'269',40.83,2,1,2),(15,2273659,'1988-10-15 00:00:00',4,1,7,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124282281217371431266823572115130234017',8459,'269',54.59,1,3,NULL),(15,2273667,'1990-07-31 00:00:00',4,1,11,2007,'M','N','VILA PORTES','FOZ DO IGUACU','PR','116162161217131431548418292124610127042',NULL,'9998',0.00,1,3,NULL),(15,2273675,'1989-09-06 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215474441525511574124610134017',8961,'723',53.72,1,3,NULL),(15,2273691,'1980-11-07 00:00:00',4,1,2,2002,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124241248126134721433611142124121728117',10687,'739',50.89,4,3,NULL),(15,2273705,'1988-11-01 00:00:00',4,1,12,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241142131431446713572124610117042',19688,'307',37.44,1,3,NULL),(15,2273713,'1990-04-22 00:00:00',2,5,12,2007,'M','N','CENTRO','URUSSANGA','SC','124242241215111411433632372121610134052',14294,'820',45.74,1,3,NULL),(15,2273721,'1990-09-19 00:00:00',2,9,12,2007,'M','N','CENTRO','PONTE ALTA','SC','124243241216151431546816575111610167057',15002,'499',44.79,1,3,NULL),(15,2273730,'1990-11-07 00:00:00',4,3,12,2007,'M','N','BORBA GATO','MARINGA','PR','116162161337271441226621275122610167042',20624,'9998',35.64,1,3,NULL),(15,2273748,'1986-11-22 00:00:00',4,5,12,2005,'F','N','SANTA LUZIA','CRICIUMA','SC','124243241311211221333823441214610124097',NULL,'228',23.37,1,3,NULL),(15,2273756,'1990-11-24 00:00:00',4,7,12,2007,'F','N','CENTRO','IRANI','SC','124241241126131731556412195122610122097',NULL,'379',16.20,1,2,1),(15,2273764,'1990-01-23 00:00:00',2,2,11,2007,'M','N','GARCIA','BLUMENAU','SC','124243241415111431367839375122610162172',15557,'88',44.04,1,3,NULL),(15,2273772,'1990-06-13 00:00:00',4,6,12,2007,'M','N','CENTRO','ITAJAI','SC','124242248215271431258614175112610122142',17383,'1058',41.25,1,3,NULL),(15,2273780,'1985-10-31 00:00:00',2,1,12,2004,'F','N','CAIEIRA DO NORTE','GOVERNADOR CELSO RAMOS','SC','124241241111132141336611432123232716162',12964,'65',47.64,1,2,1),(15,2273799,'1956-01-20 00:00:00',2,1,7,1983,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241248311173231354322481122120916041',21916,'307',32.56,2,3,NULL),(15,2273802,'1988-01-04 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124253251215473431568611575114220767052',8530,'9998',54.47,1,3,NULL),(15,2273810,'1989-08-18 00:00:00',2,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124243241212272711358914345114122764197',10883,'737',50.64,1,3,NULL),(15,2273837,'1989-11-18 00:00:00',2,1,12,2006,'M','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124134241316472441538611575114231065092',6033,'288',59.00,1,3,NULL),(15,2273845,'1991-07-29 00:00:00',2,5,11,2008,'F','S','CENTRO','CRICIUMA','SC','124242241214111431546729592122610135012',NULL,'210',45.96,1,3,NULL),(15,2273853,'1990-04-27 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215471431567712574124610131012',3398,'541',65.01,1,3,NULL),(15,2273870,'1991-03-08 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241211131431337834571122610133077',10400,'723',51.35,1,3,NULL),(15,2273900,'1988-10-13 00:00:00',2,1,12,2005,'M','N','CIDADE BAIXA','PORTO ALEGRE','RS','120202201217471432468623475124610164142',1640,'9998',70.64,1,3,NULL),(15,2273918,'1985-05-07 00:00:00',4,8,12,2002,'F','N','GLÓRIA','JOINVILLE','SC','124241241316152431453314345124332746197',14984,'453',44.81,1,3,NULL),(15,2273934,'1990-06-27 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216111431378823574112610132092',12056,'270',48.91,4,1,2),(15,2273942,'1990-05-24 00:00:00',4,1,12,2007,'F','N','IATE CLUBE AMERICANA','AMERICANA','SP','125252251217121431568811592112610123182',19223,'9998',38.30,1,3,NULL),(15,2273969,'1990-08-05 00:00:00',4,1,12,2007,'F','N','CENTRO','TIJUCAS','SC','124242241215111431567923575122610136142',NULL,'948',0.00,1,3,NULL),(15,2273977,'1988-08-31 00:00:00',4,8,11,2005,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241216473431367614575122230218092',12068,'486',48.90,1,3,NULL),(15,2273985,'1990-02-22 00:00:00',4,1,12,2007,'M','N','FUNDOS','BIGUACU','SC','124241248115131431433612575121610114177',21189,'65',34.46,1,2,1),(15,2273993,'1987-10-01 00:00:00',2,1,12,2004,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241125574431436611245124610121197',NULL,'290',13.85,1,2,1),(15,2274000,'1989-08-02 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241415111431366633572122610112013',20255,'724',36.32,2,1,2),(15,2274019,'1987-08-30 00:00:00',4,3,12,2004,'M','N','LAGO PARQUE','LONDRINA','PR','116162161216571431558811571122610167012',6197,'9998',58.65,1,3,NULL),(15,2274027,'1989-06-03 00:00:00',2,4,12,2006,'M','N','FRAGOSOS','CONCORDIA','SC','124241242116271711458732492222610167147',NULL,'196',28.91,1,2,1),(15,2274035,'1990-10-09 00:00:00',4,3,11,2007,'M','N','CENTRO','TIJUCAS','SC','124242246215111431567732185121610128142',13483,'1119',46.91,1,3,NULL),(15,2274043,'1990-02-10 00:00:00',4,7,12,2007,'M','N','SÃO CRISTOVÃO','VIDEIRA','SC','124241241116151722444329272112610161052',NULL,'831',7.84,4,2,1),(15,2274051,'1991-05-07 00:00:00',4,1,12,2008,'F','S','ITACORUBI','FLORIANOPOLIS','SC','124242248235111421369934572122610127096',NULL,'269',26.80,1,3,NULL),(15,2274060,'1989-12-27 00:00:00',2,2,12,2007,'M','N','TARUMÃ','CURITIBA','PR','116161166115371411446314295124610127063',9609,'9998',52.58,1,3,NULL),(15,2274078,'1989-03-22 00:00:00',4,1,11,2006,'F','N','VILA MARANDUBA','GUARULHOS','SP','125252251212371431468611572122610147077',3247,'9998',65.41,1,3,NULL),(15,2274086,'1989-12-08 00:00:00',2,5,12,2007,'F','N','CENTRO','TURVO','SC','124242241216111431368934575122610161077',14172,'813',45.92,1,3,NULL),(15,2274094,'1991-01-17 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241217111431558833575122610132017',NULL,'9997',39.87,1,3,NULL),(15,2274108,'1989-04-03 00:00:00',2,1,12,2007,'M','N','PASSA VINTE','PALHOCA','SC','124241241227131411626663342321610164187',14904,'262',44.90,4,3,NULL),(15,2274116,'1987-01-30 00:00:00',4,1,12,2004,'M','N','LAGO SUL','LAGO SUL','DF','107072071217371451568832421122241067142',NULL,'9998',0.00,4,3,NULL),(15,2274124,'1990-06-15 00:00:00',4,2,11,2007,'M','N','TESTO SALTO','BLUMENAU','SC','124241241217121431548611275124610137182',15200,'86',44.53,1,3,NULL),(15,2274132,'1990-07-25 00:00:00',4,2,12,2007,'M','N','VILA NOVA','BLUMENAU','SC','124242241215121431488832575124610134052',8973,'87',53.70,1,3,NULL),(15,2274140,'1992-06-23 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215111712446833596114610127042',NULL,'1022',49.82,1,3,NULL),(15,2274159,'1988-04-22 00:00:00',2,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116253251214571451477923571145610168077',NULL,'9998',0.00,1,3,NULL),(15,2274167,'1991-05-09 00:00:00',4,3,12,2008,'F','S','DOM JOAQUIM','BRUSQUE','SC','124243241215111431544422575122610168192',NULL,'109',46.42,1,3,NULL),(15,2274175,'1990-04-06 00:00:00',4,8,12,2007,'M','N','VALE DO SOL','TREMEMBE','SP','125252251217111231588833575112610127182',NULL,'9998',0.00,1,3,NULL),(15,2274183,'1990-09-28 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215131731336623372122610145097',14781,'1119',45.03,1,3,NULL),(15,2274191,'1969-05-29 00:00:00',2,3,12,1987,'F','N','MEIA PRAIA','ITAPEMA','SC','224241241122141421333354241124610126147',15620,'574',43.92,1,2,1),(15,2274205,'1987-11-12 00:00:00',4,9,12,2005,'F','N','CENTRO','LAGES','SC','124242241212573431246619575122610124017',12696,'499',47.99,1,3,NULL),(15,2274213,'1973-08-29 00:00:00',2,1,12,1991,'F','N','PONTA DE BAIXO','SAO JOSE','SC','524241241117111421411143431124610131142',NULL,'1010',0.00,1,3,NULL),(15,2274221,'1988-09-16 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124243241132131111438833385124610118117',15140,'288',44.62,1,3,NULL),(15,2274230,'1989-02-24 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241136131721436923385124610137057',NULL,'257',29.68,2,3,NULL),(15,2274248,'1990-12-19 00:00:00',4,1,12,2007,'F','N','AUXILIADORA','PORTO ALEGRE','RS','120202201217471421258829475114610134142',NULL,'9998',0.00,4,3,NULL),(15,2274256,'1988-05-06 00:00:00',4,1,12,2005,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241215272451343812596344120862052',11953,'270',49.04,1,3,NULL),(15,2274264,'1990-06-19 00:00:00',4,1,11,2007,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241211111431469923575122610163017',20074,'270',36.68,1,3,NULL),(15,2274272,'1989-07-27 00:00:00',2,1,12,2006,'M','N','CAMPINAS','SAO JOSE','SC','124242248216372431256824575124230722052',NULL,'9999',0.00,1,3,NULL),(15,2274280,'1988-07-30 00:00:00',4,1,11,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241217111441466531245124610141022',20011,'1022',36.80,1,3,NULL),(15,2274299,'1989-09-07 00:00:00',2,1,12,2006,'M','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124162167215371431468834371122241437052',NULL,'9998',0.00,1,3,NULL),(15,2274302,'1991-10-31 00:00:00',4,3,12,2008,'F','S','CENTRO','BALNEARIO CAMBORIU','SC','124242241212111231468931572122610127147',NULL,'44',41.89,1,3,NULL),(15,2274310,'1989-08-15 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241317111431578813272124610137097',10814,'1022',50.72,1,3,NULL),(15,2274329,'1985-11-08 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANOPOLIS','SC','124243241211273751635619571124610128187',15644,'300',43.88,1,3,NULL),(15,2274337,'1986-09-02 00:00:00',4,8,12,2004,'F','N','CENTRO','JOINVILLE','SC','125242241217575431479914572115242432197',NULL,'457',0.00,1,3,NULL),(15,2274345,'1962-11-09 00:00:00',4,1,11,1980,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','224242245212132721669951331132521444142',14961,'262',44.84,1,3,NULL),(15,2274353,'1991-05-29 00:00:00',4,5,12,2007,'F','N','PARAGUAI','JACINTO MACHADO','SC','124243242115131411426616575124610142172',14326,'690',45.69,1,3,NULL),(15,2274361,'1990-06-12 00:00:00',4,1,2,2008,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241115111431538913575124610137052',7555,'267',56.11,1,2,1),(15,2274370,'1989-12-24 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124242241212372431346613581124610126097',10483,'738',51.21,3,3,NULL),(15,2274388,'1991-09-30 00:00:00',4,7,12,2008,'M','S','CENTRO','JOACABA','SC','124242241215111441469814572122610128172',NULL,'454',64.78,1,3,NULL),(15,2274396,'1989-08-02 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242248235121531446619192124610133147',NULL,'1022',15.61,1,3,NULL),(15,2274400,'1989-03-15 00:00:00',4,8,11,2006,'F','N','AMERICA','JOINVILLE','SC','124242241215471431379613394115610115071',193,'491',80.08,1,3,NULL),(15,2274418,'1988-12-11 00:00:00',4,1,12,2006,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','125243241317271731349813571125610164146',795,'1098',74.75,3,3,NULL),(15,2274426,'1990-05-03 00:00:00',4,1,12,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124243241115131441625864395124610137097',13976,'307',46.19,1,3,NULL),(15,2274434,'1990-07-02 00:00:00',4,1,12,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124244241417141431436623342124610114117',NULL,'257',15.50,1,3,NULL),(15,2274442,'1991-10-02 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215111431459919572112610122147',9497,'497',52.78,1,3,NULL),(15,2274450,'1990-11-06 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124242241315111532436834572114610127057',10570,'1022',51.07,1,3,NULL),(15,2274469,'1990-06-08 00:00:00',2,1,11,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124242241215111432433312572124610122092',16942,'270',41.94,4,3,NULL),(15,2274477,'1991-04-02 00:00:00',4,1,12,2008,'M','S','CANTO DOS GANCHOS','GOVERNADOR CELSO RAMOS','SC','124242241217111431476834575122610137052',NULL,'262',40.58,1,3,NULL),(15,2274485,'1991-10-30 00:00:00',4,3,12,2008,'F','S','CENTRO','BALNEARIO CAMBORIU','SC','120202201216111531438919275122610137013',NULL,'9998',8.64,1,3,NULL),(15,2274493,'1989-12-30 00:00:00',2,5,11,2007,'M','N','MICHEL','CRICIUMA','SC','124244243415211451648711145124610168092',10215,'210',51.60,1,3,NULL),(15,2274507,'1979-08-03 00:00:00',4,1,2,1998,'M','N','CAMPINAS','SAO JOSE','SC','124241241616132451337421145224610166147',13941,'27',46.24,1,3,NULL),(15,2274515,'1990-03-07 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111431567814575124610127042',12506,'1118',48.28,1,3,NULL),(15,2274523,'1990-07-07 00:00:00',4,1,11,2007,'M','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124242241215111431268813575124610164117',9498,'1048',52.78,1,3,NULL),(15,2274531,'1989-12-23 00:00:00',2,1,11,2007,'F','N','VILA SÃO JOSÉ','ARARANGUA','SC','124242241215121231456834472224610126097',20450,'32',35.96,1,3,NULL),(15,2274558,'1991-06-11 00:00:00',4,1,12,2008,'F','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124244241217111732358924574114610122097',NULL,'262',60.03,1,3,NULL),(15,2274566,'1990-01-03 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241115131431336621242224610163071',18069,'307',40.19,1,2,1),(15,2274574,'1991-07-04 00:00:00',4,3,12,2008,'F','S','CENTRO','BALNEARIO CAMBORIU','SC','124242248217111411666767575122610143072',NULL,'9997',42.13,1,3,NULL),(15,2274590,'1991-06-26 00:00:00',4,2,12,2007,'F','N','VILA MARIANA','TAIO','SC','124241241116131431446934475121610144142',NULL,'777',25.56,1,2,1),(15,2274604,'1990-06-16 00:00:00',2,1,12,2007,'F','N','JURERÊ TRADICIONAL','FLORIANOPOLIS','SC','224244247432131731523319241123610147072',17793,'266',40.68,1,3,NULL),(15,2274612,'1988-12-17 00:00:00',2,4,12,2005,'F','N','LA SALLE','PATO BRANCO','PR','116162161215572431456812572122610113187',4751,'9998',61.63,1,3,NULL),(15,2274620,'1980-03-21 00:00:00',4,1,12,2000,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241147151351443319342114610138183',NULL,'727',23.13,1,3,NULL),(15,2274639,'1990-07-16 00:00:00',4,10,11,2007,'M','N','VILA MOEMA','TUBARAO','SC','124242241215111431336823575122610144097',2171,'807',68.69,1,3,NULL),(15,2274647,'1987-02-01 00:00:00',2,1,12,2005,'M','N','PANTANAL','FLORIANOPOLIS','SC','124243248317473731437839445123610137055',18055,'1003',40.22,1,3,NULL),(15,2274655,'1984-06-05 00:00:00',4,1,12,2001,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','115073241311575111459911491122131063177',2970,'307',66.25,4,3,NULL),(15,2274663,'1989-10-20 00:00:00',2,1,12,2006,'F','N','ZONA SETE','MARINGA','PR','116162161217471751289916571122610163122',NULL,'9998',0.00,1,3,NULL),(15,2274671,'1985-09-01 00:00:00',4,1,3,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241115373741268823375122610167047',64,'306',82.50,1,3,NULL),(15,2274680,'1990-06-30 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124243241135131431553419575124610138187',21528,'307',33.67,1,3,NULL),(15,2274698,'1990-02-15 00:00:00',2,5,12,2007,'F','N','NOVA DIVINEIA','ARARANGUA','SC','124241241116131221526312145122610134052',NULL,'30',22.96,1,2,1),(15,2274701,'1992-07-21 00:00:00',4,1,11,2009,'M','S','SACO DOS LIMOES','FLORIANOPOLIS','SC','124242241215111452367939575122610127045',NULL,'1022',56.64,1,3,NULL),(15,2274710,'1989-12-22 00:00:00',2,7,12,2007,'F','N','SANTA TEREZINHA','CAPINZAL','SC','124242241115111431538933575122610122147',NULL,'446',0.00,1,3,NULL),(15,2274728,'1988-10-04 00:00:00',2,10,12,2006,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241143131111438624242123610137043',18958,'322',38.74,1,2,1),(15,2274736,'1990-02-19 00:00:00',2,10,12,2007,'F','N','CENTRO','ARMAZEM','SC','124241241124161431334636315122610167142',NULL,'34',23.62,1,3,NULL),(15,2274744,'1991-02-25 00:00:00',4,1,12,2007,'F','N','CENTRO','CAMPO NOVO DO PARECIS','MT','611114111217161731643616172122610134143',22114,'9998',31.85,1,3,NULL),(15,2274752,'1990-04-26 00:00:00',4,1,11,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124242241415271731457834575124610167012',12948,'271',47.65,1,3,NULL),(15,2274760,'1990-03-05 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215271441457511572122610124071',2071,'270',69.04,1,3,NULL),(15,2274779,'1990-06-18 00:00:00',2,3,11,2007,'F','N','CENTRO','SORRISO','MT','111113111217121431443315375112610143197',18197,'9998',39.97,1,3,NULL),(15,2274795,'1991-07-02 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215151431678614575112610167147',NULL,'499',18.67,1,3,NULL),(15,2274809,'1990-07-06 00:00:00',2,1,11,2007,'M','N','NSA SRA DO ROSÁRIO','SAO JOSE','SC','124242241216121332566614345122610127052',NULL,'723',0.00,1,3,NULL),(15,2274817,'1991-11-11 00:00:00',4,7,11,2008,'F','S','CENTRO','CAMPOS NOVOS','SC','124242241215111711356823575125610135142',NULL,'446',50.67,4,3,NULL),(15,2274825,'1985-07-10 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241316132421426633395124610168111',NULL,'9999',22.67,1,3,NULL),(15,2274833,'1984-11-02 00:00:00',2,1,12,2004,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241217313731468863432143133247187',17865,'1036',40.57,1,3,NULL),(15,2274841,'1990-11-20 00:00:00',4,1,12,2008,'M','S','COQUEIROS','FLORIANOPOLIS','SC','124242241215151431535732245124610117187',NULL,'1022',22.60,3,3,NULL),(15,2274850,'1990-07-31 00:00:00',4,1,12,2007,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124242241215111431558823575124610167047',10961,'1022',50.52,1,3,NULL),(15,2274868,'1990-04-11 00:00:00',4,4,12,2007,'F','N','CENTRO','SARANDI','RS','120203201217111431446632572122610146142',11101,'9998',50.30,1,3,NULL),(15,2274876,'1983-11-25 00:00:00',2,1,12,2001,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241317135431437611345134122745142',8616,'943',54.31,1,3,NULL),(15,2274884,'1988-02-01 00:00:00',2,9,6,2007,'M','N','CENTRO','SAO JOAQUIM','SC','124244247336271431553613575122230334182',NULL,'9999',0.00,1,3,NULL),(15,2274892,'1989-04-18 00:00:00',4,1,12,2005,'M','N','CAMPO GRANDE','SANTOS','SP','125252251215571431468814575112610128187',4221,'9998',62.86,1,3,NULL),(15,2274906,'1989-07-27 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124243241132131431558613585124610167047',17529,'733',41.05,1,3,NULL),(15,2274914,'1989-12-21 00:00:00',2,10,12,2007,'F','N','OFICINAS','TUBARAO','SC','124242241215111731557619582122610122142',NULL,'807',23.68,1,3,NULL),(15,2274922,'1988-01-27 00:00:00',4,1,11,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215273751388823572112610147186',17199,'269',41.57,1,3,NULL),(15,2274949,'1990-12-07 00:00:00',2,1,11,2008,'F','S','ROÇADO','SAO JOSE','SC','124242241212111711453832112122610113092',NULL,'738',22.25,1,3,NULL),(15,2274957,'1989-01-13 00:00:00',4,1,8,2007,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124243241117111521459613575111610167047',16638,'739',42.40,1,3,NULL),(15,2274965,'1991-01-25 00:00:00',2,1,12,2008,'F','S','BARREIROS','SAO JOSE','SC','124244241215121751466512572122610122187',NULL,'738',32.22,4,3,NULL),(15,2274973,'1988-02-10 00:00:00',4,1,12,2005,'M','N','APARECIDA','SANTOS','SP','125252251217572431257921572241610121017',12523,'9998',48.26,1,3,NULL),(15,2274981,'1989-10-26 00:00:00',4,3,12,2007,'M','N','CENTRO','BRUSQUE','SC','124242241217271711468512372111610164032',NULL,'109',48.57,1,3,NULL),(15,2274990,'1985-09-26 00:00:00',4,1,12,2004,'M','N','WERNER PLAAS','AMERICANA','SP','125252251217271231357714442124610144042',12003,'9998',48.98,1,3,NULL),(15,2275007,'1990-12-02 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241215111431558834482122610124042',11190,'1022',50.18,1,3,NULL),(15,2275015,'1988-05-07 00:00:00',4,2,12,2006,'F','N','CENTRO','BLUMENAU','SC','124242241216472431388312171132610142185',8662,'855',54.24,1,3,NULL),(15,2275023,'1990-10-30 00:00:00',2,1,12,2007,'F','N','SERRANO I','PARAISO DO TOCANTINS','TO','109092091217111431548933495124610124012',11974,'9998',49.02,1,3,NULL),(15,2275031,'1991-05-28 00:00:00',4,1,7,2009,'M','S','PANTANAL','FLORIANOPOLIS','SC','124242246114151431153823575124610122142',NULL,'306',45.75,1,3,NULL),(15,2275040,'1989-09-07 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241412111731458433372124610167112',22183,'269',31.56,1,3,NULL),(15,2275058,'1990-12-11 00:00:00',4,1,12,2008,'M','S','ITACORUBI','FLORIANOPOLIS','SC','124242241217111431566619374122610127111',NULL,'270',40.81,1,3,NULL),(15,2275066,'1991-05-24 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215111231359832372112610167142',NULL,'499',23.69,1,3,NULL),(15,2275074,'1988-10-21 00:00:00',2,1,11,2005,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215573431343614574224610164017',89,'210',81.88,1,3,NULL),(15,2275082,'1988-05-20 00:00:00',4,4,6,2006,'M','N','FATIMA','FREDERICO WESTPHALEN','RS','120284288217161712428311492121610127027',17429,'9998',41.18,4,3,NULL),(15,2275090,'1950-09-23 00:00:00',2,1,12,1970,'M','N','CANTO DOS GANCHOS','GOVERNADOR CELSO RAMOS','SC','224251251121131411432243134114341156182',14970,'9998',44.83,1,3,NULL),(15,2275104,'1990-04-22 00:00:00',4,2,12,2007,'F','N','MARGEM ESQUERDA','GASPAR','SC','124243241215111431467732575122610127012',19732,'955',37.36,1,3,NULL),(15,2275112,'1990-07-26 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242241215131131426733572114610117052',18715,'944',39.14,1,3,NULL),(15,2275120,'1987-06-02 00:00:00',4,4,12,2004,'F','N','VILA SÃO JOÃO','ARAPONGAS','PR','116162161216572431547811572112610166147',NULL,'9998',0.00,1,3,NULL),(15,2275147,'1990-11-17 00:00:00',2,1,12,2008,'M','S','CENTRO','PALHOCA','SC','124241248215111431436612575122610127045',NULL,'1011',45.71,1,3,NULL),(15,2275155,'1990-10-29 00:00:00',4,1,12,2008,'M','S','JURERE','FLORIANOPOLIS','SC','124242241217111431469829272122610168103',NULL,'270',50.42,1,3,NULL),(15,2275163,'1991-01-20 00:00:00',4,8,10,2008,'M','S','ANITA GARIBALDI','JOINVILLE','SC','124242281215171411359834395125613244197',NULL,'1063',41.32,1,3,NULL),(15,2275180,'1989-10-31 00:00:00',2,5,11,2007,'F','N','VILA NOVA','ICARA','SC','124242241235111431434632575124610124052',14641,'226',45.22,1,3,NULL),(15,2275198,'1987-11-10 00:00:00',4,7,12,2005,'M','N','CENTRO','JOACABA','SC','124242247215132432126711175115130764057',NULL,'9999',0.00,1,3,NULL),(15,2275201,'1990-08-12 00:00:00',4,2,12,2007,'M','N','CENTRO','POMERODE','SC','124242241215112731358831341125610127032',22338,'624',30.78,1,3,NULL),(15,2275210,'1985-09-25 00:00:00',4,1,12,2003,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124252253226574711237614113123230264042',12004,'9998',48.98,1,3,NULL),(15,2275228,'1988-03-09 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215273411547923395122230423187',9795,'1098',52.27,1,3,NULL),(15,2275236,'1988-09-24 00:00:00',4,1,11,2006,'M','N','ACLIMAÇÃO','SAO PAULO','SP','125252251217411731588811315122610134057',4867,'9998',61.38,3,3,NULL),(15,2275244,'1984-05-27 00:00:00',4,10,11,2001,'M','N','CENTRO','CAPIVARI DE BAIXO','SC','124241241146474431335532272122232424097',NULL,'158',24.97,1,2,1),(15,2275260,'1991-01-03 00:00:00',4,2,11,2007,'M','N','VELHA','BLUMENAU','SC','124244241215271732334624575124610128047',18724,'86',39.12,1,3,NULL),(15,2275279,'1988-08-11 00:00:00',4,1,12,2006,'M','N','PRAIA DO SANTINHO','FLORIANOPOLIS','SC','124241241116131431323579495124610126097',17442,'359',41.16,1,3,NULL),(15,2275287,'1990-07-26 00:00:00',4,1,11,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217121431458813575125610162087',5735,'951',59.59,1,3,NULL),(15,2275309,'1986-12-24 00:00:00',4,3,12,2003,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124202201216272751326624345125143262147',16637,'9998',42.40,1,3,NULL),(15,2275317,'1990-02-15 00:00:00',4,3,12,2007,'M','N','J SANTA MONICA','VOTORANTIM','SP','125251251217111431458713572112610117047',NULL,'9998',0.00,1,3,NULL),(15,2275325,'1990-12-19 00:00:00',4,9,12,2008,'M','S','CENTRO','LAGES','SC','124242241215111231489913572112610147042',NULL,'499',35.68,1,3,NULL),(15,2275333,'1982-04-18 00:00:00',4,1,12,1999,'M','N','KOBRASOL','SAO JOSE','SC','124242241217152221536544245124321462062',1949,'724',69.44,1,3,NULL),(15,2275341,'1986-09-28 00:00:00',2,10,7,2005,'F','N','CENTRO','TUBARAO','SC','124243247422221431326634495122231324127',NULL,'9997',0.00,1,3,NULL),(15,2275350,'1990-09-29 00:00:00',4,1,12,2008,'M','S','NOSSA SRA DO ROSÁRIO','SAO JOSE','SC','124242241117111431358923572122610124112',NULL,'723',45.43,1,3,NULL),(15,2275368,'1992-02-09 00:00:00',2,1,12,2008,'M','S','CARIANOS','FLORIANOPOLIS','SC','124242241217111431466633472112610127047',NULL,'269',58.61,1,3,NULL),(15,2275376,'1990-02-27 00:00:00',2,4,12,2007,'F','N','CENTRO','NOVA ERECHIM','SC','124241241415271431336612572124610133147',13968,'185',46.20,1,3,NULL),(15,2275384,'1990-08-29 00:00:00',2,4,12,2007,'F','N','JARDIM ITÁLIA','CHAPECO','SC','124242241215211431225621572124610124142',15629,'1046',43.90,1,3,NULL),(15,2275392,'1987-07-24 00:00:00',4,1,12,2004,'M','N','CENTRO','AVARE','SP','125252251217471431336824572221610167012',14766,'9998',45.05,1,3,NULL),(15,2275406,'1990-05-28 00:00:00',4,1,11,2007,'M','N','CENTRO','CAMPO NOVO DO PARECIS','MT','111112111217121731338831375121610137077',17214,'9998',41.55,1,3,NULL),(15,2275414,'1988-06-27 00:00:00',2,1,12,2005,'F','N','CAMPINAS','SAO JOSE','SC','124241241316373751367719245134610165183',7129,'300',56.91,1,3,NULL),(15,2275422,'1988-06-06 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241248147141441653344345124610166177',22234,'307',31.35,2,2,1),(15,2275430,'1990-06-26 00:00:00',2,1,11,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124243241215131531363321572122610137077',NULL,'1051',20.87,1,3,NULL),(15,2275449,'1985-05-07 00:00:00',2,1,12,2002,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124242241215574431348823514122232454097',7328,'269',56.56,1,3,NULL),(15,2275457,'1987-08-17 00:00:00',4,3,12,2004,'F','N','JD JAMAICA','LONDRINA','PR','116164161217571731326823312125610162077',NULL,'9998',0.00,1,3,NULL),(15,2275465,'1988-11-22 00:00:00',4,1,12,2006,'F','N','CENTRO','SULINA','PR','116161161117131431423723272224610124192',NULL,'9998',17.55,1,2,1),(15,2275473,'1990-04-19 00:00:00',4,5,11,2007,'F','N','JARDIM ELIZABETE','ICARA','SC','124242241215112431564621575122610112092',3810,'226',63.95,1,3,NULL),(15,2275481,'1990-04-19 00:00:00',4,1,12,2007,'F','N','VILA MILITAR','RIO NEGRO','PR','116162161216111431438614575122610164172',12668,'9998',48.04,1,3,NULL),(15,2275490,'1986-07-03 00:00:00',4,1,12,2003,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241417155441449912395124233237052',17060,'272',41.80,1,3,NULL),(15,2275503,'1990-04-27 00:00:00',4,8,11,2007,'F','N','HUGO LANGE','CURITIBA','PR','116162161216121731469813231112610137167',1554,'9998',70.98,1,3,NULL),(15,2275511,'1990-05-31 00:00:00',4,8,12,2007,'M','N','VILA NOVA','JARAGUA DO SUL','SC','124242241215111431466612345122610128052',3095,'422',65.86,1,3,NULL),(15,2275520,'1992-04-30 00:00:00',4,1,11,2007,'F','N','SANTINHO','FLORIANOPOLIS','SC','124214241215111431467769572124610123182',10425,'272',51.31,1,3,NULL),(15,2275538,'1990-11-10 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215172431238811595122610167145',7731,'270',55.81,1,3,NULL),(15,2275546,'1989-12-21 00:00:00',4,3,12,2007,'F','N','SANTO ANTONIO','MORUNGABA','SP','125251251116131431648933395122610164152',NULL,'9998',25.48,1,2,1),(15,2275562,'1961-05-28 00:00:00',2,1,12,1982,'M','N','ESTREITO','FLORIANOPOLIS','SC','224203208137151411563344441122330267047',NULL,'9998',26.44,1,3,NULL),(15,2275589,'1988-01-06 00:00:00',2,1,12,2005,'F','N','BARRA DO ARIRIÚ','PALHOCA','SC','124241241111272411438613582124610117072',10200,'307',51.63,1,2,1),(15,2275597,'1987-10-05 00:00:00',2,1,12,2005,'F','N','IBIRAQUERA','IMBITUBA','SC','124241248127131751513529192124131066117',NULL,'361',0.00,1,2,1),(15,2275600,'1989-10-04 00:00:00',4,6,12,2007,'M','N','CENTRO','TERRA RICA','PR','116164161417111412446621295125610142172',5530,'9998',60.00,1,3,NULL),(15,2275619,'1990-09-04 00:00:00',4,4,12,2007,'F','N','CENTRO','FAXINAL DOS GUEDES','SC','124241241132371721423336162122610134057',NULL,'255',24.89,1,3,NULL),(15,2275627,'1990-03-19 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212371431469719595122610124057',1405,'262',71.63,1,3,NULL),(15,2275635,'1988-03-29 00:00:00',2,1,12,2005,'M','N','CANTO','FLORIANOPOLIS','SC','124244241116433431438811442124610124047',17775,'307',40.71,1,3,NULL),(15,2275651,'1982-01-18 00:00:00',4,1,12,1998,'F','N','CENTRO','TIJUCAS','SC','124243243116473411465621492122521462177',8723,'306',54.14,1,3,NULL),(15,2275660,'1987-04-21 00:00:00',4,1,11,2004,'F','N','JARDIM SANTA HELENA','SUZANO','SP','125251251116571751448813572125142033027',1865,'9998',69.73,3,2,1),(15,2275686,'1991-10-28 00:00:00',2,6,11,2008,'F','S','SÃO VICENTE','ITAJAI','SC','124242241215111331447933575122610166192',NULL,'1026',44.05,1,3,NULL),(15,2275694,'1991-01-21 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241217111232368312572122610127112',NULL,'1022',15.61,1,3,NULL),(15,2275708,'1990-03-12 00:00:00',4,1,12,2007,'M','N','JARDIM ESTRELA','FOZ DO IGUACU','PR','116162161216111431453612575122610127062',21612,'9998',33.49,1,3,NULL),(15,2275716,'1990-11-01 00:00:00',4,5,12,2007,'F','N','RIO MAINA','CRICIUMA','SC','124242248235471431466812572124610143142',NULL,'995',23.92,1,3,NULL),(15,2275724,'1989-10-19 00:00:00',4,1,1,2007,'F','N','DUQUE DE CAXIAS','SANTA MARIA','RS','120204201316471431489933572112610163182',7666,'9998',55.92,1,3,NULL),(15,2275732,'1989-04-30 00:00:00',2,4,12,2005,'M','N','JARDIM JUPIRA','FOZ DO IGUACU','PR','116282168216571411523319322134610147042',NULL,'9998',35.24,4,3,NULL),(15,2275740,'1991-02-07 00:00:00',4,4,10,2007,'F','N','NAÇÕES','CONCORDIA','SC','124241241214271431455512225122610144072',NULL,'1047',21.77,1,3,NULL),(15,2275759,'1990-04-10 00:00:00',4,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241217121431588823471112610144092',3068,'723',65.91,1,3,NULL),(15,2275767,'1989-04-25 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241116131431426679585124610137147',13806,'307',46.45,1,2,1),(15,2275775,'1992-04-14 00:00:00',4,5,11,2009,'F','S','PIO CORREA','CRICIUMA','SC','124242241215151431479931575112610146185',NULL,'211',37.26,1,3,NULL),(15,2275783,'1991-06-23 00:00:00',4,1,12,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241212151431386833592112610127047',20601,'270',35.69,1,3,NULL),(15,2275791,'1986-03-19 00:00:00',4,1,12,2003,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124162241217575431358823472124233222092',NULL,'262',0.00,3,3,NULL),(15,2275805,'1991-08-13 00:00:00',4,1,12,2008,'M','S','BOSQUE DAS MANSÕES','SAO JOSE','SC','124242241215151531389913575122610147075',NULL,'738',55.55,1,3,NULL),(15,2275813,'1990-03-14 00:00:00',4,10,11,2007,'M','N','AEROPORTO','TUBARAO','SC','124242241215121431359814572112610137117',13380,'806',47.08,4,3,NULL),(15,2275821,'1990-07-16 00:00:00',4,3,12,2007,'F','N','CENTRO','PASSO FUNDO','RS','120204201215271451467313172125610163182',NULL,'9998',11.71,1,3,NULL),(15,2275830,'1985-09-20 00:00:00',4,1,12,2003,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217472431579813475124120662185',2579,'270',67.38,1,3,NULL),(15,2275848,'1986-12-11 00:00:00',2,1,12,2003,'M','N','CENTRO','POTIM','SP','125251251117141331532319292124610125042',NULL,'9998',29.17,3,2,1),(15,2275856,'1990-06-06 00:00:00',4,1,12,2007,'F','N','PITUBA','SALVADOR','BA','105252051217111431489914242112610137182',5476,'9998',60.10,1,3,NULL),(15,2275864,'1989-08-08 00:00:00',4,1,12,2006,'M','N','VL MARIANA','SAO PAULO','SP','125252251217371451438814381125610167112',NULL,'9998',0.00,1,3,NULL),(15,2275872,'1990-08-08 00:00:00',4,3,12,2007,'M','N','LAGO PARQUE','LONDRINA','PR','116163161316121431464819575112610164182',NULL,'9998',0.00,1,3,NULL),(15,2275880,'1986-03-14 00:00:00',2,1,12,2003,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241147133431635424445134610167057',19081,'727',38.54,1,3,NULL),(15,2275899,'1990-11-14 00:00:00',4,5,12,2007,'M','N','COLONINHA','ARARANGUA','SC','124241241215111431569933572122610167042',14785,'26',45.03,1,3,NULL),(15,2275902,'1990-02-08 00:00:00',4,6,12,2007,'M','N','PRAIA ALEGRE','PENHA','SC','124241241127141411425611245321610116147',NULL,'614',24.91,1,3,NULL),(15,2275910,'1988-12-09 00:00:00',2,1,12,2006,'F','N','ALTO DA GLÓRIA','CURITIBA','PR','116162161415472431567611295124610164097',8634,'9998',54.28,1,3,NULL),(15,2275937,'1991-04-04 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241212111731568813574122610124182',NULL,'270',49.62,1,3,NULL),(15,2275945,'1990-07-02 00:00:00',4,8,12,2007,'M','N','ALTO DO MUSSI','TRES BARRAS','SC','124241241116131431336614575124610162187',22036,'153',32.17,1,2,1),(15,2275953,'1990-10-19 00:00:00',4,1,12,2007,'M','N','BOA VISTA','ITUPORANGA','SC','124241241227141231446411245125610124057',NULL,'414',21.64,1,3,NULL),(15,2275961,'1990-02-17 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248212122431446614595122610113147',1562,'226',70.94,1,3,NULL),(15,2275970,'1988-03-24 00:00:00',4,1,12,2006,'M','N','PIRATININGA','NITEROI','RJ','121212211217211431579934241124610122063',10846,'9998',50.69,1,3,NULL),(15,2275988,'1980-09-02 00:00:00',4,1,11,1997,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215373431259674442124321222187',10191,'1020',51.65,1,3,NULL),(15,2275996,'1990-07-05 00:00:00',4,2,12,2007,'F','N','CENTRO','BLUMENAU','SC','124243241215111431437314575122610135147',17562,'71',40.99,1,3,NULL),(15,2276003,'1984-11-11 00:00:00',4,1,12,2001,'F','N','SETOR BUENO','GOIANIA','GO','109092091216572431578611572122610147152',1950,'9998',69.44,1,3,NULL),(15,2276011,'1983-04-19 00:00:00',4,1,12,2000,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241116152431443319392114610134187',NULL,'293',0.00,1,3,NULL),(15,2276020,'1986-03-16 00:00:00',2,6,1,2004,'F','N','CAMOBI','SANTA MARIA','RS','120201201116251431335724382124142965097',8576,'9998',54.41,1,2,1),(15,2276038,'1989-11-03 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241217111411369953572122610131052',12824,'262',47.83,1,3,NULL),(15,2276046,'1989-02-13 00:00:00',4,4,12,2006,'M','N','CENTRO','MARAU','RS','120204201216471431446633341124610162092',NULL,'9998',30.70,1,3,NULL),(15,2276054,'1989-09-04 00:00:00',4,9,12,2006,'M','N','CENTRO','SAO JOAQUIM','SC','124243242115371431437933341132610127092',22313,'662',30.94,1,3,NULL),(15,2276062,'1989-09-15 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431458911472112610117121',5848,'270',59.37,1,3,NULL),(15,2276070,'1990-06-05 00:00:00',4,8,11,2007,'F','N','IRIRIÚ','JOINVILLE','SC','124242241347141431437631142124610127147',10407,'486',51.33,1,3,NULL),(15,2276089,'1990-04-21 00:00:00',4,4,11,2007,'F','N','CENTRO','ERECHIM','RS','120201201215371431336739572125610134147',9687,'9998',52.44,1,3,NULL),(15,2276100,'1990-03-24 00:00:00',2,4,12,2007,'M','N','CENTRO','XANXERE','SC','124244241215371231536632125115610167011',NULL,'1081',38.18,1,3,NULL),(15,2276119,'1989-05-18 00:00:00',2,1,12,2007,'M','N','RIO CAVEIRAS','BIGUACU','SC','124243241214151431333339292124610167043',20623,'63',35.64,1,3,NULL),(15,2276127,'1989-11-05 00:00:00',4,3,12,2006,'F','N','ZÉ AMÂNDIO','BOMBINHAS','SC','124243241217131431449831385124610134187',14780,'781',45.03,1,3,NULL),(15,2276143,'1991-09-09 00:00:00',4,5,12,2008,'F','S','COMERCIÁRIO','CRICIUMA','SC','124242241217111431468923575112610167077',NULL,'226',41.29,1,3,NULL),(15,2276160,'1989-05-17 00:00:00',2,1,12,2007,'M','N','PASSA VINTE','PALHOCA','SC','124244241211141411436531382122610117052',NULL,'989',26.25,1,3,NULL),(15,2276178,'1969-07-27 00:00:00',4,1,12,1986,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241232373231175644445132320742092',3125,'107',65.78,1,3,NULL),(15,2276186,'1987-12-06 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','113131131417471751436832575112610162116',NULL,'9998',0.00,1,3,NULL),(15,2276194,'1985-09-24 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241127142731333313342114610164147',19443,'687',37.93,1,2,1),(15,2276224,'1991-02-05 00:00:00',4,1,11,2008,'F','S','SANTA MONICA','FLORIANOPOLIS','SC','124242241217111432588812472122610133147',NULL,'883',52.83,1,3,NULL),(15,2276232,'1989-04-06 00:00:00',4,1,12,2007,'M','N','SETOR SUDOESTE','CRUZEIRO','DF','107072071216271431489833575112610134197',4643,'9998',61.91,1,3,NULL),(15,2276259,'1988-06-03 00:00:00',4,1,12,2005,'M','N','CENTRO','ALFREDO WAGNER','SC','124241241217113451438711492124222638147',5748,'497',59.57,1,3,NULL),(15,2276267,'1986-11-02 00:00:00',2,2,12,2004,'F','N','JARDIM AMÉRICA','ITUPORANGA','SC','124241241345574431337613572124610124117',7170,'991',56.84,1,3,NULL),(15,2276275,'1990-03-13 00:00:00',2,10,12,2007,'M','N','ALTO ARROIO','IMBITUBA','SC','124241248435111311453352145114610144017',19960,'362',36.91,1,3,NULL),(15,2276283,'1990-08-24 00:00:00',2,1,11,2007,'F','N','CENTRO','SORRISO','MT','111111111217161431676814572121610122042',NULL,'9998',0.00,1,3,NULL),(15,2276291,'1989-08-27 00:00:00',4,1,11,2007,'M','N','SÃO JOSÉ','JOSE BONIFACIO','SP','125252251215111431568614145122610164177',17374,'9998',41.27,1,3,NULL),(15,2276305,'1990-09-27 00:00:00',4,1,12,2008,'M','S','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431558713432124610161097',NULL,'884',48.60,1,3,NULL),(15,2276313,'1989-09-11 00:00:00',2,8,12,2007,'M','N','SÃO LUCAS','COLOMBO','PR','116164161416171441469833275122610152047',NULL,'9998',23.99,1,3,NULL),(15,2276321,'1990-03-17 00:00:00',4,3,11,2007,'M','N','ANDORINHA','ITAPEMA','SC','124241241416111431544531295122610127055',21733,'403',33.17,1,3,NULL),(15,2276330,'1990-08-12 00:00:00',2,1,11,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241217111412679719592112612042072',21679,'1022',33.31,1,3,NULL),(15,2276348,'1990-02-15 00:00:00',4,7,12,2007,'M','N','SÃO JOSÉ','FRAIBURGO','SC','124241241126131441446639245121610124082',NULL,'315',0.00,1,2,1),(15,2276364,'1989-04-23 00:00:00',2,1,11,2006,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124242241215272432367512575114610167047',11423,'266',49.81,1,3,NULL),(15,2276372,'1991-05-12 00:00:00',4,1,12,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124242241217151441258614575114610114182',NULL,'1098',67.55,1,3,NULL),(15,2276399,'1989-12-07 00:00:00',4,2,12,2007,'F','N','FORTALEZA','BLUMENAU','SC','124242241215111411346624575124610165097',11991,'855',48.99,1,3,NULL),(15,2276402,'1991-06-28 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431569911572122610137092',NULL,'262',49.32,1,3,NULL),(15,2276410,'1989-05-20 00:00:00',4,1,12,2006,'F','N','CENTRO','JOACABA','SC','124242241215471431478832275122610124147',NULL,'454',0.00,1,3,NULL),(15,2276429,'1986-01-07 00:00:00',4,1,12,2004,'M','N','INDIANOPOLIS','SAO PAULO','SP','125252251215571531478712575124610162092',NULL,'9998',0.00,4,3,NULL),(15,2276437,'1986-07-10 00:00:00',4,1,12,2003,'M','N','IPIRANGA','SAO PAULO','SP','125251256117571741466614475125610167142',7805,'9998',55.69,1,2,1),(15,2276445,'1982-12-23 00:00:00',2,1,12,2000,'F','N','BALNEARIO ESTREITO','FLORIANOPOLIS','SC','224244241216575431536344345124133228077',21031,'259',34.80,1,3,NULL),(15,2276453,'1989-06-11 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241127151431218739392114610134055',22449,'736',29.67,1,2,1),(15,2276461,'1988-03-26 00:00:00',2,1,12,2005,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124242241213373431568711385114610124067',2643,'270',67.19,1,3,NULL),(15,2276488,'1987-10-15 00:00:00',2,1,12,2005,'F','N','GRUTA','ITUPORANGA','SC','124242241235373531329911315124610126077',1757,'9997',70.18,1,3,NULL),(15,2276496,'1987-06-30 00:00:00',2,1,12,2005,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241216373431438813495124610167145',5336,'1022',60.44,1,3,NULL),(15,2276500,'1990-04-21 00:00:00',2,8,11,2006,'M','N','JARDIM TROPICAL','CUIABA','MT','111113111335471411555662571124610166197',4019,'9998',63.41,1,3,NULL),(15,2276518,'1989-05-27 00:00:00',2,8,12,2007,'M','N','ITAUM','JOINVILLE','SC','124242241211151451468911571122610167052',NULL,'494',30.07,1,3,NULL),(15,2276526,'1989-05-05 00:00:00',4,1,12,2006,'M','N','JARDIM BANDEIRANTES','SAO CARLOS','SP','125252251217471431569913575122610167047',1898,'9998',69.61,1,3,NULL),(15,2276534,'1989-10-19 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216111751468911575122610127047',5412,'262',60.25,1,3,NULL),(15,2276542,'1990-02-17 00:00:00',2,1,12,2007,'M','N','PICADAS DO SUL','SAO JOSE','SC','124242241217131431337414592124610124047',20776,'1074',35.35,1,3,NULL),(15,2276550,'1991-04-26 00:00:00',2,3,12,2007,'M','N','LEOPOLDO ZARLING','ITAPEMA','SC','124241246215131431436923572124610137012',NULL,'1119',35.93,1,3,NULL),(15,2276569,'1970-03-07 00:00:00',2,1,12,1988,'F','N','INGLESES','FLORIANOPOLIS','SC','224201205114231421547851411122142766192',NULL,'9998',0.00,1,2,1),(15,2276577,'1988-01-11 00:00:00',4,1,8,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124243247217372431367819475114121267187',14058,'9999',46.09,1,3,NULL),(15,2276585,'1986-03-27 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241216143731559614435122221564144',8339,'269',54.79,1,3,NULL),(15,2276593,'1978-10-12 00:00:00',4,1,12,1997,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241127131421136644345113610134071',21545,'808',33.65,4,3,NULL),(15,2276607,'1987-03-22 00:00:00',2,7,12,2004,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116161161116471431336611575314610117047',13305,'9998',47.16,1,2,1),(15,2276615,'1990-04-09 00:00:00',2,3,12,2007,'M','N','VILA NOVA','MAFRA','SC','124241161112111431446933252124610164057',NULL,'9998',0.00,1,3,NULL),(15,2276623,'1991-01-27 00:00:00',4,3,12,2007,'M','N','JARDIM JUDITHY','LONDRINA','PR','116162161235111431348822592122610167042',7984,'9998',55.40,1,3,NULL),(15,2276631,'1990-08-30 00:00:00',4,1,12,2007,'M','N','CENTRO','ITUPORANGA','SC','124244241226161731648923575125610164057',7885,'414',55.54,1,3,NULL),(15,2276640,'1981-03-23 00:00:00',4,2,12,1999,'M','N','QUINTINO','TIMBO','SC','624241241116152421273343232132221062042',4992,'69',61.10,1,2,1),(15,2276658,'1989-05-15 00:00:00',4,1,12,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124244241217111431656621572114610134062',NULL,'300',22.95,1,3,NULL),(15,2276666,'1991-05-07 00:00:00',4,10,12,2007,'F','N','CENTRO','TUBARAO','SC','124241241116131431559919571224610162057',NULL,'9997',21.54,1,3,NULL),(15,2276674,'1990-05-17 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124241247317131711326511215124610117043',NULL,'9999',25.37,1,3,NULL),(15,2276682,'1984-11-04 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215152531368933574122321634092',17842,'807',40.61,1,3,NULL),(15,2276690,'1990-05-15 00:00:00',4,1,10,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431536624574125610116092',7831,'262',55.63,1,3,NULL),(15,2276704,'1990-06-25 00:00:00',4,4,11,2007,'M','N','SALETE','CONCORDIA','SC','124241241215111431385912475122610117041',14007,'1000',46.15,1,3,NULL),(15,2276712,'1990-12-04 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241215111431466613372122610127045',18005,'9997',40.31,1,3,NULL),(15,2276720,'1984-09-04 00:00:00',4,1,12,2001,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241235222431546821442122321764057',13592,'1036',46.76,1,3,NULL),(15,2276747,'1990-12-03 00:00:00',2,4,12,2007,'F','N','BELA VISTA','CHAPECO','SC','124241241335271431345934572124610137052',8006,'1046',55.36,1,3,NULL),(15,2276755,'1983-05-31 00:00:00',4,9,12,2002,'M','N','BRUSQUE','LAGES','SC','124243241124142411648311145124220564042',9111,'736',53.44,1,3,NULL),(15,2276763,'1989-12-12 00:00:00',2,6,12,2006,'M','N','ITAIPAVA','ITAJAI','SC','124242241216152412356329577114610164043',8780,'389',54.04,1,3,NULL),(15,2276771,'1963-03-21 00:00:00',4,5,12,1981,'M','N','CENTRO','URUSSANGA','SC','124242241212153431356633315122343244047',NULL,'260',0.00,1,3,NULL),(15,2276798,'1985-04-22 00:00:00',2,1,11,2003,'F','N','BARREIROS','SAO JOSE','SC','124244241416135411527718483324610126097',12939,'9997',47.66,1,3,NULL),(15,2276801,'1988-12-03 00:00:00',2,1,12,2007,'M','N','COLÔNIA SANTANA','SAO JOSE','SC','124243241137161431336723495122610137042',22518,'731',27.90,1,3,NULL),(15,2276810,'1988-08-11 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244241116271431333567345124610127042',11593,'257',49.56,1,3,NULL),(15,2276828,'1988-01-11 00:00:00',2,3,12,2005,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241435373431567632575124610164147',NULL,'855',11.71,1,3,NULL),(15,2276836,'1990-09-17 00:00:00',4,6,11,2007,'F','N','CENTRO','ITAJAI','SC','124242241215121532466931592122610164047',4824,'1026',61.46,1,3,NULL),(15,2276844,'1987-11-22 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212514431386819572124240427012',9701,'270',52.42,1,3,NULL),(15,2276852,'1978-12-14 00:00:00',2,1,1,1999,'M','N','TRINDADE','FLORIANOPOLIS','SC','124206206246271421146444445122610127062',13034,'9998',47.54,1,3,NULL),(15,2276860,'1990-05-21 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242248217151431433453572114610131042',21698,'269',33.27,2,3,NULL),(15,2276879,'1988-02-24 00:00:00',4,3,12,2005,'M','N','SANTANA','RIO DO SUL','SC','124242241215271411449613435125133226112',11697,'663',49.40,1,3,NULL),(15,2276887,'1990-03-29 00:00:00',4,8,12,2007,'F','N','ITINGA','JOINVILLE','SC','124241246215141431363532575124610137072',NULL,'1006',21.80,1,3,NULL),(15,2276895,'1987-11-25 00:00:00',4,3,12,2004,'F','N','CENTRO','SAO VICENTE','SP','125254251417572311538823274114610122192',12306,'9998',48.57,2,3,NULL),(15,2276909,'1987-02-21 00:00:00',2,4,10,2005,'M','N','SAO CRISTOVAO','CHAPECO','SC','124241248127411411536619392322610117052',NULL,'170',22.10,1,3,NULL),(15,2276917,'1989-11-30 00:00:00',2,1,12,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215121431468939572122610162142',6354,'262',58.35,1,3,NULL),(15,2276925,'1987-02-01 00:00:00',4,1,12,2004,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124252251217142431127744445122610168037',10770,'9998',50.78,1,3,NULL),(15,2276933,'1983-04-29 00:00:00',4,3,12,2000,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','125252251216472411478711472112321324192',5229,'9998',60.66,1,3,NULL),(15,2276941,'1973-11-02 00:00:00',5,1,12,1995,'M','N','AREIAS','SAO JOSE','SC','124241247426573731356479115124130718097',NULL,'1098',0.00,1,3,NULL),(15,2276950,'1990-07-13 00:00:00',2,1,11,2007,'M','N','JARDIM DAS AMÉRICAS','PATO BRANCO','PR','116162161217121711436632591112610122043',NULL,'9998',26.76,1,3,NULL),(15,2276968,'1990-06-04 00:00:00',2,5,11,2007,'F','N','COMERCIÁRIO','CRICIUMA','SC','124242241215111431336711574125610134187',14365,'213',45.61,1,3,NULL),(15,2276976,'1989-02-06 00:00:00',2,6,12,2006,'F','N','DAS NACOES','BALNEARIO CAMBORIU','SC','124241241112131331623331272122610137047',NULL,'873',0.00,1,2,1),(15,2276992,'1991-04-25 00:00:00',4,1,11,2008,'M','S','CENTRO','SAO JOSE','SC','124242241215111431556612472124610128062',NULL,'270',60.03,1,3,NULL),(15,2277034,'1990-04-20 00:00:00',4,1,11,2007,'M','N','PORTO GRANDE','SAO SEBASTIAO','SP','125252251211111431469831472114610127112',1788,'9998',69.99,1,3,NULL),(15,2277042,'1986-05-15 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243241137142731466629341124610163097',12083,'307',48.88,1,3,NULL),(15,2277050,'1985-01-24 00:00:00',2,2,12,2002,'F','N','VICTOR KONDER','BLUMENAU','SC','124241241116473451123344445123610164197',2332,'139',68.12,1,2,1),(15,2277069,'1988-06-03 00:00:00',2,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241215121431356534395114610127062',NULL,'1098',30.11,1,3,NULL),(15,2277077,'1990-10-14 00:00:00',4,1,11,2007,'M','N','VISTA ALEGRE','CURITIBA','PR','116162161237121411548839392114610137112',16740,'9998',42.27,1,3,NULL),(15,2277085,'1992-04-14 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217111431359939575122610132187',13389,'262',47.06,1,3,NULL),(15,2277093,'1990-01-13 00:00:00',4,10,11,2007,'M','N','VILA MOEMA','TUBARAO','SC','124242241215372441489831475111610137072',8013,'807',55.35,1,3,NULL),(15,2277107,'1991-09-19 00:00:00',4,5,12,2007,'F','N','CENTRO','ARARANGUA','SC','124242241215111431549721595112610164017',NULL,'970',0.00,1,3,NULL),(15,2277123,'1991-12-23 00:00:00',2,1,11,2008,'M','S','TRINDADE','FLORIANOPOLIS','SC','124242241215111431549714492125610137052',NULL,'270',33.22,1,3,NULL),(15,2277131,'1990-02-16 00:00:00',2,1,12,2007,'M','N','CENTRO','PATO BRANCO','PR','116163161216151441579813575112610136172',NULL,'9998',0.00,1,3,NULL),(15,2277140,'1980-09-12 00:00:00',4,4,12,1998,'F','N','N SENHORA APARECIDA','FRANCISCO BELTRAO','PR','116161161116371711545531285125340238092',9826,'9998',52.22,1,2,1),(15,2277158,'1976-08-02 00:00:00',4,1,12,1993,'M','N','INGLESES','FLORIANOPOLIS','SC','624241241124133431234354245124333225143',NULL,'425',0.00,1,2,1),(15,2277166,'1988-07-13 00:00:00',2,1,11,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124204201437151441438839445124241768172',21275,'9998',34.27,1,3,NULL),(15,2277174,'1972-01-15 00:00:00',4,2,12,1988,'F','N','QUINTINO','TIMBO','SC','624241245126154421273443232132430262092',19090,'65',38.53,1,2,1),(15,2277182,'1990-04-13 00:00:00',2,4,11,2007,'M','N','JARDIM JUPIRA','FOZ DO IGUACU','PR','116152161215271231556632571112610167042',18310,'9998',39.78,1,3,NULL),(15,2277190,'1982-02-22 00:00:00',4,1,12,2000,'F','N','CAMPINAS','SAO JOSE','SC','124251251136131441124444445124610166172',20382,'9998',36.09,1,2,1),(15,2277204,'1982-07-01 00:00:00',2,1,12,1999,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117135431126644142334333237147',21079,'293',34.71,4,2,1),(15,2277212,'1990-02-08 00:00:00',2,4,12,2007,'M','N','SANTA CRUZ','CONCORDIA','SC','124241241147141411326614332122610118142',13791,'192',46.48,1,2,1),(15,2277220,'1986-07-16 00:00:00',2,1,12,2003,'F','N','CENTRO','TAPEJARA','PR','116161161216573431456938572122610164072',NULL,'9998',0.00,1,3,NULL),(15,2277239,'1990-09-01 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124131241114271531446923435122610118142',16920,'49',41.98,4,2,1),(15,2277247,'1980-03-08 00:00:00',4,8,12,1998,'M','N','BOA VISTA','JOINVILLE','SC','124244246214272421443819443222330222057',9404,'494',52.94,1,3,NULL),(15,2277255,'1990-10-27 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241415121431469831575124610132182',12491,'270',48.31,1,3,NULL),(15,2277263,'1989-10-20 00:00:00',4,8,10,2007,'M','N','SAGUAÇU','JOINVILLE','SC','124244241211271431337714575122610167052',640,'457',75.78,1,3,NULL),(15,2277271,'1986-04-07 00:00:00',2,1,3,2005,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124242241115374411538923345124231466187',9457,'739',52.85,1,3,NULL),(15,2277280,'1987-12-28 00:00:00',2,1,7,2006,'M','N','CAMPINAS','SAO JOSE','SC','124242241242131221558833145134130237043',20197,'1036',36.43,1,3,NULL),(15,2277298,'1985-01-09 00:00:00',2,1,7,2003,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124252257227572431134641415122141021052',17566,'9998',40.98,1,3,NULL),(15,2277301,'1989-03-23 00:00:00',4,1,12,2006,'F','N','PQ CIDADE NOVA','MARINGA','PR','116163161415271431239923576112143262192',17799,'9998',40.67,1,3,NULL),(15,2277310,'1990-02-10 00:00:00',2,5,12,2007,'F','N','LAGOAO','ARARANGUA','SC','124241241115271431433614572124610134172',6397,'30',58.25,1,2,1),(15,2277336,'1989-10-12 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241216472431336923575124610142147',4497,'446',62.26,1,3,NULL),(15,2277344,'1988-11-28 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242286236371711229932445124610167092',NULL,'1013',18.02,1,3,NULL),(15,2277352,'1984-10-02 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','624242247247112421556611441142610117052',20101,'9999',36.62,1,3,NULL),(15,2277379,'1990-09-17 00:00:00',4,1,12,2007,'M','N','SUMARÉ','RIO DO SUL','SC','124162241215113751326619575125610168187',202,'991',79.95,3,3,NULL),(15,2277387,'1989-12-15 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111431428814575122610121112',NULL,'9997',23.46,1,3,NULL),(15,2277409,'1990-06-01 00:00:00',4,1,12,2007,'F','N','SÃO CRISTÓVÃO','MEDIANEIRA','PR','116164161116111711369911595122610162012',NULL,'9998',0.00,1,3,NULL),(15,2277417,'1987-12-24 00:00:00',2,1,12,2005,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241241112472431534413375114610164097',NULL,'281',22.57,1,2,1),(15,2277425,'1985-02-24 00:00:00',4,1,12,2003,'F','N','PANTANAL','FLORIANOPOLIS','SC','124244241445272431557611245124132024047',20185,'489',36.45,1,3,NULL),(15,2277433,'1988-10-09 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124253241337331441427833386115610164187',19474,'277',37.87,1,3,NULL),(15,2277441,'1990-11-07 00:00:00',4,5,12,2007,'F','N','NOVA BRASILIA','SOMBRIO','SC','124241241115131711324414575121610126147',NULL,'1033',22.05,1,2,1),(15,2277468,'1986-12-22 00:00:00',4,1,12,2003,'M','N','DUQUE DE CAIXIAS','CUIABA','MT','111113111217271431588813435112143264092',15327,'9998',44.37,1,3,NULL),(15,2277476,'1988-10-13 00:00:00',2,1,12,2006,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124243241115471731678713575114610137145',14252,'307',45.79,4,3,NULL),(15,2277492,'1989-04-20 00:00:00',2,1,11,2007,'M','N','ROÇADO','SAO JOSE','SC','124242241212111222546633272124610127147',16934,'737',41.96,4,3,NULL),(15,2277506,'1990-10-01 00:00:00',2,1,12,2007,'M','N','CENTRO','BARRACAO','PR','116241241112131431323923592325613217057',19397,'245',38.03,1,2,1),(15,2277514,'1990-03-10 00:00:00',4,5,11,2007,'F','N','CENTRO','LAURO MULLER','SC','124241241215111431548833572122610128192',2238,'820',68.45,1,3,NULL),(15,2277549,'1990-01-18 00:00:00',2,5,12,2007,'M','N','SÃO LUIS','CRICIUMA','SC','124241241115131431438634275124610164057',NULL,'209',29.29,1,3,NULL),(15,2277557,'1989-11-12 00:00:00',4,9,12,2007,'M','N','UNIVERSITÁRIO','LAGES','SC','124241241116131431449919392122610127047',10817,'513',50.72,1,3,NULL),(15,2277565,'1991-08-26 00:00:00',4,1,2,2009,'M','S','TRINDADE','FLORIANOPOLIS','SC','124242241212111432449813492112610137182',NULL,'270',49.96,1,3,NULL),(15,2277573,'1983-10-22 00:00:00',2,1,6,2003,'M','N','CENTRO','PALHOCA','SC','124243247436153221433312274124221638177',14510,'596',45.39,1,3,NULL),(15,2277581,'1986-11-30 00:00:00',4,1,12,2004,'M','N','ITACORUBI','FLORIANOPOLIS','SC','125252251217574441368827575122610168122',7124,'9998',56.92,1,3,NULL),(15,2277590,'1983-05-29 00:00:00',4,1,11,1999,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241216355721468934475124321442042',5110,'497',60.89,1,3,NULL),(15,2277603,'1989-09-06 00:00:00',2,8,11,2007,'F','N','COMASA DO BOA VISTA','JOINVILLE','SC','124241244125131231336331572124610124077',NULL,'469',18.01,1,3,NULL),(15,2277611,'1990-10-14 00:00:00',2,4,11,2007,'M','N','SÃO VICENTE','PATO BRANCO','PR','116161161215371431247824575112610167057',6919,'9998',57.31,3,3,NULL),(15,2277620,'1989-10-16 00:00:00',4,1,12,2005,'M','N','CAMPINAS','SAO JOSE','SC','124241241215372131469811415124132064182',12952,'723',47.65,1,3,NULL),(15,2277638,'1990-08-11 00:00:00',2,1,11,2007,'M','N','FLR DE NÁPOLIS','SAO JOSE','SC','124243241117151431448933575124610137075',16254,'307',42.97,1,3,NULL),(15,2277646,'1990-05-31 00:00:00',4,1,12,2007,'M','N','BALNEÁRIO DO ESTREIT','FLORIANOPOLIS','SC','124242241215121431467613575124610131147',6392,'1022',58.27,1,3,NULL),(15,2277654,'1990-05-05 00:00:00',2,10,11,2007,'F','N','VILA MOEMA','TUBARAO','SC','124242241215111431436419275122610167072',7180,'797',56.83,1,3,NULL),(15,2277670,'1990-11-30 00:00:00',4,1,12,2007,'M','N','BOTAFOGO','MARECHAL CANDIDO RONDON','PR','116161161137141311424733245221610131142',13130,'9998',47.42,1,2,1),(15,2277689,'1985-05-08 00:00:00',2,1,12,2002,'M','N','LARAJEIRAS','RIO DO SUL','SC','124241241127133431535923285121143227012',14206,'701',45.86,1,2,1),(15,2277697,'1987-09-23 00:00:00',4,8,12,2005,'M','N','JARIVATUBA','JOINVILLE','SC','124251241116271431634314345124610134057',16404,'467',42.75,4,3,NULL),(15,2277700,'1988-11-19 00:00:00',4,4,12,2005,'M','N','BORGES DE MEDEIROS','MARAU','RS','120201201137371731535419245111142964147',16250,'9998',42.98,2,1,1),(15,2277719,'1988-12-19 00:00:00',4,1,12,2006,'M','N','VILA NOVA','NOVO HAMBURGO','RS','120202201117471451458819591124610127097',15697,'9998',43.82,1,3,NULL),(15,2277727,'1991-07-03 00:00:00',4,4,12,2007,'M','N','BELA VISTA','CHAPECO','SC','124244246216471431456634495224610167057',12209,'185',48.71,1,3,NULL),(15,2277735,'1984-07-04 00:00:00',4,2,11,2001,'M','N','SALTO DO NORTE','BLUMENAU','SC','124242241213475751457919275122231456197',2667,'67',67.14,1,3,NULL),(15,2277743,'1990-01-11 00:00:00',2,5,12,2006,'F','N','CENTRO','SAO BORJA','RS','120201201116131431413318281324610128182',NULL,'9998',0.00,3,3,NULL),(15,2277751,'1987-12-07 00:00:00',4,6,12,2005,'M','N','CENTRO','NAVEGANTES','SC','124242241216473431468813595124232427147',4268,'392',62.77,1,3,NULL),(15,2277778,'1988-02-13 00:00:00',2,6,12,2005,'M','N','CENTRO','NAVEGANTES','SC','124242241215572451469913571122222667092',5061,'1057',60.98,4,3,NULL),(15,2277786,'1990-03-06 00:00:00',4,1,12,2007,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241217111751378813472124610117045',NULL,'269',24.13,1,3,NULL),(15,2277794,'1986-04-21 00:00:00',4,1,12,2003,'F','N','VILA DAS ACÁCIAS CTA','SAO JOSE DOS CAMPOS','SP','125251131114571731656613575112143234017',6628,'9998',57.85,1,2,1),(15,2277816,'1975-07-22 00:00:00',2,1,12,1994,'M','N','PICADAS DO SUL','SAO JOSE','SC','124241241137271411224444245124610154187',8987,'293',53.67,1,2,1),(15,2277824,'1979-11-12 00:00:00',2,1,12,2001,'F','N','CENTRO','ERECHIM','RS','219201204227141432344459345112610111142',20104,'9998',36.62,1,3,NULL),(15,2277832,'1989-11-27 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124111111137131431526714342124233221012',NULL,'9998',26.33,1,3,NULL),(15,2277859,'1988-12-03 00:00:00',4,1,12,2006,'F','N','JOSE MENDES','FLORIANOPOLIS','SC','124242241216472731588812575122610121097',8265,'270',54.90,1,3,NULL),(15,2277867,'1985-03-20 00:00:00',4,1,10,2004,'M','N','KOBRASOL','SAO JOSE','SC','124241241127144441433624341224610166042',17567,'736',40.98,4,2,1),(15,2277883,'1990-06-21 00:00:00',4,6,12,2007,'M','N','FLORESTA','CERRO LARGO','RS','120201121117161141338869475111610162014',10905,'9998',50.61,1,2,1),(15,2277891,'1984-10-19 00:00:00',2,1,11,2002,'M','N','CENTRO','POUSO ALEGRE','MG','113134131216131411439811582124340926047',NULL,'9998',0.00,4,3,NULL),(15,2277905,'1989-07-03 00:00:00',2,5,12,2006,'M','N','SÃO PEDRO','URUSSANGA','SC','124241241116371431434412575112610142012',21454,'822',33.83,1,3,NULL),(15,2277913,'1978-11-27 00:00:00',4,1,12,1996,'M','N','CENTRO','PATROCINIO PAULISTA','SP','125251251216152412357823475224143238122',2535,'9998',67.51,1,3,NULL),(15,2277921,'1990-11-14 00:00:00',2,5,12,2007,'F','N','SANGÃO','CRICIUMA','SC','124241241235151441437614575124610166182',14413,'920',45.56,1,3,NULL),(15,2277948,'1989-11-20 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242247437131432228624575114610134055',22002,'9999',32.26,1,3,NULL),(15,2277956,'1988-11-10 00:00:00',2,8,12,2006,'M','N','RESIDENCIAL FURLAN','SANTA BARBARA D OESTE','SP','125251254116471441334319275121610167057',8908,'9998',53.82,1,2,1),(15,2277964,'1990-01-01 00:00:00',4,6,12,2007,'M','N','VILA OPERÁRIA','ITAJAI','SC','124244241225151231468831274122610166092',10816,'388',50.72,1,3,NULL),(15,2277972,'1985-08-28 00:00:00',4,1,12,2002,'M','N','VILA AUGUSTA','GUARULHOS','SP','125254258225571731337869382122143262182',16214,'9998',43.04,3,3,NULL),(15,2277980,'1983-12-08 00:00:00',4,1,12,2001,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124162161215472431178819415122321247032',951,'9998',73.76,1,3,NULL),(15,2277999,'1988-10-16 01:00:00',2,4,12,2005,'M','N','JARDIM KARLA','FOZ DO IGUACU','PR','116164161217471441344619272114610162183',6725,'9998',57.69,1,3,NULL),(15,2278006,'1989-04-06 00:00:00',4,4,11,2006,'M','N','CENTRO','PINHALZINHO','SC','124242241414142731688612196112510167022',NULL,'185',0.00,1,3,NULL),(15,2278022,'1989-04-12 00:00:00',4,1,12,2006,'M','N','VILA FALCHI','MAUA','SP','125251251446271531234411172114610142047',20010,'9998',36.81,4,3,NULL),(15,2278030,'1986-05-24 00:00:00',4,1,12,2004,'M','N','CASCALHO','CORDEIROPOLIS','SP','125251251116111431426811215122243212172',19257,'9998',38.25,1,3,NULL),(15,2278049,'1985-03-08 00:00:00',4,1,11,2002,'M','N','JARDIM CIDADE FPOLIS','SAO JOSE','SC','124242241214152441457614475124221442072',NULL,'723',0.00,1,3,NULL),(15,2278065,'1986-03-02 00:00:00',2,1,12,2003,'F','N','SERRINHA','FLORIANOPOLIS','SC','116162168217572751346729394124243264197',12722,'9998',47.95,4,3,NULL),(15,2278073,'1988-10-07 00:00:00',2,10,12,2006,'M','N','CENTRO','SANTA ROSA DE LIMA','SC','124241241126162431333414375124231532197',16615,'688',42.44,1,2,1),(15,2278081,'1990-04-21 00:00:00',4,1,12,2007,'M','N','CENTRO','SAO JOAO BATISTA','SC','124241241415111431558939575122610124012',1552,'9997',70.98,1,3,NULL),(15,2278090,'1987-10-22 00:00:00',2,1,11,2005,'F','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124242241416242411425721211134610135143',13040,'951',47.53,1,3,NULL),(15,2278103,'1990-06-15 00:00:00',4,8,11,2007,'F','N','ROCIO PEQUENO','SAO FRANCISCO DO SUL','SC','124241241135131731426419282122610134197',NULL,'710',0.67,1,2,1),(15,2278111,'1983-07-07 00:00:00',4,1,12,2001,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124252251147271431128641411124143222155',NULL,'9998',0.00,1,3,NULL),(15,2278120,'1988-07-12 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124131241115151411436371395124610132071',NULL,'306',44.06,1,2,1),(15,2278138,'1986-06-07 00:00:00',4,1,11,2003,'F','N','REPÚBLICA','RIBEIRAO PRETO','SP','125252251217573431358822415122142832113',NULL,'9998',0.00,1,3,NULL),(15,2278146,'1979-01-18 00:00:00',4,1,12,1997,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124244241116375431665633495122431227143',18923,'268',38.81,1,3,NULL),(15,2278154,'1990-01-05 00:00:00',4,2,12,2007,'F','N','CAMINHO MOEMA','JOSE BOITEUX','SC','124241241126161411453375391122610145057',NULL,'495',22.42,5,4,NULL),(15,2278162,'1989-02-03 00:00:00',4,1,12,2006,'F','N','IPANEMA','RIO DE JANEIRO','RJ','121212211217111431589933575121241267152',11492,'9998',49.72,1,3,NULL),(15,2278170,'1983-08-19 00:00:00',4,1,12,2000,'M','N','BOM FIM','PORTO ALEGRE','RS','120201201117472431347923475124241427142',NULL,'9998',0.00,1,2,1),(15,2278189,'1986-02-25 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216153451468613475124233268193',3251,'541',65.40,3,3,NULL),(15,2278197,'1990-11-01 00:00:00',4,7,12,2007,'M','N','JARDIM CIDADE ALTA','JOACABA','SC','124241241215271432457833275114610168147',6932,'962',57.28,4,3,NULL),(15,2278200,'1989-03-27 00:00:00',4,1,12,2006,'F','N','URBANOVA','SAO JOSE DOS CAMPOS','SP','125252251216471441468919195124610126082',19633,'9998',37.55,1,3,NULL),(15,2278227,'1987-04-24 00:00:00',4,2,12,2004,'F','N','CENTRO','JARAGUA DO SUL','SC','124243241227574431667614275124232467147',1733,'442',70.27,1,3,NULL),(15,2278235,'1986-02-17 00:00:00',4,1,4,2004,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124241241116133421477614445122230764187',15059,'306',44.72,1,2,1),(15,2278243,'1990-02-17 00:00:00',2,1,12,2006,'F','N','ÁGUAS CLARAS','TAGUATINGA','DF','107074071216271411456939574115610162017',7370,'9998',56.48,4,3,NULL),(15,2278251,'1991-08-22 00:00:00',2,1,12,2008,'F','S','CIDADE DE FLORIANÓPO','SAO JOSE','SC','124244241216111431453839272122610123147',NULL,'868',48.17,1,3,NULL),(15,2278260,'1984-12-07 00:00:00',2,1,11,2002,'F','N','AREIAS','SAO JOSE','SC','224241241215275711225451482214610161147',9212,'1076',53.25,1,3,NULL),(15,2278278,'1990-06-15 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215171751456619592125610168067',11484,'1118',49.73,1,3,NULL),(15,2278286,'1989-04-29 00:00:00',4,1,6,2007,'F','N','RUDGE RAMOS','SAO BERNARDO DO CAMPO','SP','125252251217371531479911495122610124097',21387,'9998',34.00,1,3,NULL),(15,2278294,'1989-12-27 00:00:00',4,1,12,2006,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215372431479911574124610162112',6645,'909',57.82,1,3,NULL),(15,2278308,'1980-03-20 00:00:00',2,1,11,1997,'M','N','COSTA DE DENTRO','FLORIANOPOLIS','SC','124244241416155431458631415134320324167',3139,'270',65.72,1,3,NULL),(15,2278316,'1989-12-09 00:00:00',2,1,12,2007,'F','N','JARDIM AMODELAR','SAO JOSE','SC','124241241117131421536633395124610113077',NULL,'257',24.67,1,3,NULL),(15,2278324,'1981-11-14 00:00:00',2,10,11,1999,'F','N','TIRADENTES','GRAVATAL','SC','124243241347132441636714241321610136097',15973,'332',43.43,1,3,NULL),(15,2278332,'1990-09-05 00:00:00',2,1,12,2007,'F','N','IPIRANGA','SAO JOSE','SC','124241241137131451336624345134610127047',11020,'726',50.43,1,2,1),(15,2278340,'1989-05-29 00:00:00',2,1,12,2006,'M','N','CENTRO','CAMPO GRANDE','MS','112122121217471431323961572124610134087',19598,'943',37.62,1,3,NULL),(15,2278359,'1982-06-26 00:00:00',4,2,12,1999,'F','N','CENTRO','POMERODE','SC','224241241127131731334423342114130264192',14357,'622',45.63,1,2,1),(15,2278367,'1989-05-04 00:00:00',4,6,12,2007,'M','N','CABEÇUDAS','ITAJAI','SC','124242241217111531468813575124610127012',20131,'1057',36.56,1,3,NULL),(15,2278375,'1989-07-17 00:00:00',2,4,11,2007,'M','N','CENTRO','XANXERE','SC','124242246216271731338832572122610127117',20062,'9997',36.71,1,3,NULL),(15,2278383,'1987-03-02 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124164241225132431436622215134130762047',14272,'169',45.76,1,3,NULL),(15,2278391,'1983-05-29 00:00:00',2,4,12,1999,'F','N','CENTRO','IRACEMINHA','SC','124243141137575431289671574122610166027',776,'9998',74.85,1,3,NULL),(15,2278405,'1985-11-20 00:00:00',4,1,11,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124122121216112431468913495122221022013',3007,'9998',66.11,1,3,NULL),(15,2278413,'1987-03-31 00:00:00',4,1,11,2004,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124242241217134431246621245114610162197',9083,'737',53.50,1,3,NULL),(15,2278421,'1990-10-30 00:00:00',2,1,12,2007,'F','N','JARDIM OURO PRETO','SAO JOSE DOS PINHAIS','PR','116161161111471731523923432124610118147',NULL,'9998',17.46,1,2,1),(15,2278430,'1982-12-15 00:00:00',4,8,11,1999,'F','N','ÁGUA VERDE','CURITIBA','PR','116112111216571431576616494122342562073',NULL,'9998',0.00,1,3,NULL),(15,2278448,'1989-07-09 00:00:00',4,1,12,2006,'F','N','ARAÇATUBA','IMBITUBA','SC','124241241114131731423339285124610117147',NULL,'361',0.00,1,3,NULL),(15,2278456,'1991-10-26 00:00:00',4,1,11,2008,'M','S','CENTRO','GIRUA','RS','120203208217111531238829475125610127186',NULL,'9998',0.00,1,3,NULL),(15,2278464,'1968-10-30 00:00:00',4,1,12,1985,'M','N','CAMPECHE','FLORIANOPOLIS','SC','524242241216154731466619285122121467187',9496,'262',52.78,1,3,NULL),(15,2278499,'1991-03-08 00:00:00',4,1,12,2008,'M','S','ABRAÃO','FLORIANOPOLIS','SC','124242241217111431468831572122610122047',NULL,'273',29.76,1,3,NULL),(15,2278502,'1987-01-23 00:00:00',4,8,12,2004,'M','N','PORTAL DE ITU','ITU','SP','125252251214571411557612575122142822022',2155,'9998',68.74,1,3,NULL),(15,2278510,'1989-03-09 00:00:00',2,1,11,2006,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124242241216133351434411345124230217052',NULL,'266',0.00,1,3,NULL),(15,2278537,'1990-07-21 00:00:00',4,4,11,2007,'M','N','PERPÉTUO SOCORRO','SAO LOURENCO DO OESTE','SC','124241161117151331473914472124610128012',8635,'9998',54.28,4,3,NULL),(15,2278545,'1988-10-13 00:00:00',4,8,11,2006,'M','N','CRISTO REI','CURITIBA','PR','116221221215411421353511575124610124117',NULL,'9998',0.00,1,3,NULL),(15,2278561,'1983-09-13 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211133711466619295122231067042',NULL,'269',0.00,1,3,NULL),(15,2278588,'1988-01-03 00:00:00',4,3,12,2005,'M','N','PINHEIROS','SAO PAULO','SP','125162161211571431486831571114610116043',NULL,'9998',20.65,4,3,NULL),(15,2278596,'1990-11-24 00:00:00',2,1,12,2007,'F','N','JARDIM JANAÍNA','BIGUACU','SC','124241241115131431436623291124610123053',21838,'65',32.83,1,2,1),(15,2278600,'1984-08-21 00:00:00',4,4,12,2002,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124241241117135431449413345223231267042',10766,'757',50.79,1,3,NULL),(15,2278618,'1990-09-05 00:00:00',4,8,12,2007,'M','N','JD JEQUITIBÁ','CACAPAVA','SP','125252251217111752453611192114610114027',3299,'9998',65.27,1,3,NULL),(15,2278626,'1990-08-31 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241215111431468813575122610122072',1135,'270',72.88,1,3,NULL),(15,2278634,'1986-12-09 00:00:00',4,1,12,2004,'M','N','BRASIL','ITU','SP','125252251214571542566637575345610167047',259,'9998',79.22,1,3,NULL),(15,2278642,'1991-03-02 00:00:00',4,10,11,2007,'M','N','VILA NOVA','BRACO DO NORTE','SC','124241241115131231321329192215610114057',NULL,'100',0.00,1,3,NULL),(15,2278650,'1990-12-20 00:00:00',4,2,11,2007,'M','N','CAPITAIS','TIMBO','SC','124111241415111431456612575111610132041',NULL,'9997',21.79,1,3,NULL),(15,2278669,'1991-03-20 00:00:00',4,3,12,2008,'M','S','VILA NOVA','ARAPONGAS','PR','116162161237111442459834245121610167042',NULL,'9998',39.20,1,3,NULL),(15,2278677,'1987-05-30 00:00:00',4,1,12,2004,'M','N','VILA CARMEN','PRESIDENTE VENCESLAU','SP','125252251215571431377831571344610116042',473,'9998',77.04,1,3,NULL),(15,2278685,'1990-03-14 00:00:00',4,4,12,2007,'M','N','SANTO ANTONIO','CONCORDIA','SC','124241241315111731336632475124610118142',20142,'1047',36.55,1,3,NULL),(15,2278693,'1990-02-17 00:00:00',2,8,12,2007,'F','N','AVENTUREIRO','JOINVILLE','SC','124246241215111411554612241122610127072',NULL,'456',26.38,1,3,NULL),(15,2278707,'1989-08-03 00:00:00',4,8,12,2006,'F','N','CENTRO','SAO CARLOS','SP','125251258212472431458616572122610124147',NULL,'9998',0.00,3,3,NULL),(15,2278715,'1988-10-10 00:00:00',4,1,12,2006,'F','N','VILA LUZITANIA','SAO BERNARDO DO CAMPO','SP','125252251214471412478612575215610116182',5426,'9998',60.22,1,3,NULL),(15,2278731,'1989-01-27 00:00:00',4,1,11,2006,'M','N','JARDIM SANTA MÔNICA','FLORIANOPOLIS','SC','125254251217111431478814575211240637073',NULL,'9998',0.00,1,3,NULL),(15,2278740,'1988-12-22 00:00:00',4,1,12,2006,'F','N','PARAISO','SAO PAULO','SP','125252251216471752588831575214610115182',873,'9998',74.21,1,3,NULL),(15,2278758,'1989-07-25 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241215373431337531316114610144045',237,'266',79.48,1,3,NULL),(15,2278774,'1985-10-27 00:00:00',4,1,12,2002,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124161161216473411567944245124333237055',10680,'9998',50.90,1,3,NULL),(15,2278790,'1986-07-15 00:00:00',4,1,11,2004,'M','N','EMBARE','SANTOS','SP','125254251216571431488711575122610127112',3872,'9998',63.81,1,3,NULL),(15,2278804,'1979-11-27 00:00:00',4,1,12,1997,'M','N','INGLESES','FLORIANOPOLIS','SC','124244241217154431478813332124330367052',18094,'724',40.16,1,3,NULL),(15,2278812,'1989-06-21 00:00:00',4,1,12,2006,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124204241217372431476612395124610162125',6579,'262',57.93,1,3,NULL),(15,2278820,'1990-07-26 00:00:00',4,3,12,2007,'M','N','BRAGANHOLO','CARAZINHO','RS','120201201117371711446413434125610127012',17409,'9998',41.21,2,1,1),(15,2278839,'1986-08-22 00:00:00',4,1,11,2004,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241116135411339914342233230712117',13615,'267',46.73,1,2,1),(15,2278847,'1990-05-21 00:00:00',4,2,10,2007,'M','N','AGUA VERDE','BLUMENAU','SC','124242241235111432468634574124610167012',3769,'87',64.04,1,3,NULL),(15,2278855,'1991-10-24 00:00:00',4,1,11,2008,'M','S','CENTRO','NOVA TRENTO','SC','124244241215111231378832425124610117092',NULL,'948',37.75,1,3,NULL),(15,2278863,'1990-12-01 00:00:00',4,3,12,2007,'M','N','JARDIM PRIMAVERA','JUNDIAI','SP','125252253215111431566822575122610124047',11892,'9998',49.12,1,3,NULL),(15,2278871,'1984-08-22 00:00:00',4,1,12,2001,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124162241216373431458612345134120223187',9270,'270',53.16,1,3,NULL),(15,2278880,'1988-10-29 00:00:00',2,1,11,2005,'M','N','JARDIM RIVA','PRIMAVERA DO LESTE','MT','111112118215371431467932375112610167012',NULL,'9998',0.00,4,3,NULL),(15,2278898,'1989-04-10 00:00:00',4,3,12,2006,'M','N','ASA NORTE','BRASILIA','DF','107071071116473431449939575122610116182',NULL,'9998',0.00,1,2,1),(15,2278901,'1989-09-28 00:00:00',4,8,12,2007,'F','N','CRUZEIRO','RIO NEGRINHO','SC','124242241435141431528914345122610126142',NULL,'669',20.69,1,3,NULL),(15,2278910,'1990-12-15 00:00:00',2,1,7,2008,'M','S','RIO VERMELHO','FLORIANOPOLIS','SC','124241241115111731459713572124610167087',NULL,'306',23.44,1,3,NULL),(15,2278928,'1986-02-15 00:00:00',2,1,12,2003,'F','N','FORQUILINHAS','SAO JOSE','SC','124241241136475431364622475124610168117',14176,'271',45.91,4,2,1),(15,2278944,'1990-06-22 00:00:00',2,5,11,2007,'F','N','OPERARIA NOVA','CRICIUMA','SC','124242241215131711247924575124610124117',NULL,'995',0.00,1,3,NULL),(15,2278960,'1988-05-21 00:00:00',4,4,12,2005,'F','N','ANDREATTA','SAO MIGUEL DOESTE','SC','124241241116141731437633345123232022197',20888,'757',35.11,1,3,NULL),(15,2278979,'1986-08-17 00:00:00',2,1,12,2004,'M','N','CANASVIEIRA','FLORIANOPOLIS','SC','124254251217132431226644442314610137182',14534,'9998',45.36,1,3,NULL),(15,2278987,'1971-09-30 00:00:00',2,1,6,2005,'F','N','ROÇADO','SAO JOSE','SC','224241241116133712443653275124610123147',20405,'9999',36.05,3,2,1),(15,2278995,'1988-09-27 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215272431558639395124610167147',14954,'262',44.85,1,3,NULL),(15,2279002,'1984-08-16 00:00:00',3,1,12,2003,'M','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124244258331112711548619395124133266192',10704,'9998',50.87,1,3,NULL),(15,2279029,'1984-03-21 00:00:00',2,3,12,2001,'F','N','ZONA','CIANORTE','PR','116161168126171321221111213332610117077',NULL,'9998',0.00,1,2,1),(15,2279037,'1990-01-16 00:00:00',4,1,12,2006,'F','N','CENTRO','MARAU','RS','124204201212131731436832194224233225042',13801,'9998',46.47,1,3,NULL),(15,2279053,'1990-10-04 00:00:00',4,5,11,2007,'M','N','CIDADE MINEIRA VELHA','TREVISO','SC','124242246235111222446632372121610127051',17629,'995',40.90,1,3,NULL),(15,2279061,'1990-06-30 00:00:00',4,2,12,2007,'M','N','PADRE MARTINHO STEIN','TIMBO','SC','124241241415121411369613185111610162192',5017,'9997',61.05,1,3,NULL),(15,2279070,'1984-02-25 00:00:00',2,1,12,2002,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243246323131441423831241123610127087',18365,'734',39.70,4,3,NULL),(15,2279088,'1989-08-06 00:00:00',4,1,12,2007,'M','N','CAMPO GRANDE','SANTOS','SP','125252251217271431366812572124610147047',12851,'9998',47.79,1,3,NULL),(15,2279096,'1986-12-06 00:00:00',2,1,12,2004,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241241116142431438314245124610167055',17934,'281',40.43,3,2,1),(15,2279100,'1990-02-15 00:00:00',2,1,12,2007,'F','N','ARIRIU','PALHOCA','SC','124241241115131731329923245324610136097',20127,'733',36.57,1,2,1),(15,2279118,'1987-08-22 00:00:00',4,1,11,2005,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124242247245371532656622342114610164072',22046,'9999',32.12,1,3,NULL),(15,2279126,'1986-09-22 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241248216374751335427345114131064027',19101,'1036',38.51,1,3,NULL),(15,2279134,'1991-07-16 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111712367923592224610167057',4686,'1026',61.78,1,3,NULL),(15,2279142,'1976-10-17 00:00:00',4,1,12,1994,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124241241126132731243344342124333218062',20388,'293',36.08,1,3,NULL),(15,2279150,'1979-07-21 00:00:00',4,1,6,1997,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124202281417152431127944441134133234192',7176,'9997',56.84,1,3,NULL),(15,2279169,'1990-01-06 00:00:00',4,7,11,2007,'F','N','CENTRO','HERVAL D OESTE','SC','124243241214371531446824595112610132057',11640,'446',49.49,1,3,NULL),(15,2279177,'1989-07-07 00:00:00',2,1,11,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242241217272431658611571124610123092',2377,'270',68.00,1,3,NULL),(15,2279185,'1989-06-02 00:00:00',2,7,12,2006,'F','N','SÃO FRANCISCO','LUZERNA','SC','124241248122371431324349192324610138147',21286,'539',34.24,1,2,1),(15,2279193,'1990-03-01 00:00:00',4,5,11,2007,'M','N','PIO CORREA','CRICIUMA','SC','124242246217171431449912272124610162067',11829,'995',49.22,1,3,NULL),(15,2279215,'1988-09-11 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372411576659571122231418042',3249,'262',65.40,1,3,NULL),(15,2279223,'1991-08-23 00:00:00',4,9,12,2008,'M','S','SAGRADO C DE JESUS','LAGES','SC','124242241215121431479833572122610127127',NULL,'497',53.09,1,3,NULL),(15,2279231,'1990-04-16 00:00:00',4,2,12,2007,'M','N','ESTADOS','TIMBO','SC','124243241215161631568812585125610132032',20762,'9997',35.38,1,3,NULL),(15,2279240,'1988-12-21 00:00:00',4,1,12,2006,'M','N','PRAÇA','TIJUCAS','SC','124242241215272431425438284324610112097',NULL,'781',28.87,1,3,NULL),(15,2279258,'1990-06-30 00:00:00',4,2,12,2007,'F','N','FORTALEZA','BLUMENAU','SC','124241241415111431526432172324610127147',13632,'87',46.71,1,3,NULL),(15,2279266,'1988-09-17 00:00:00',4,1,12,2006,'M','N','CENTRO','BENTO GONCALVES','RS','120201201117271432426613242234610132157',21257,'9998',34.29,1,2,1),(15,2279274,'1990-04-16 00:00:00',4,1,12,2007,'F','N','ARMAÇAO P DO SUL','FLORIANOPOLIS','SC','124241241115151431454311375124610113011',NULL,'281',23.47,1,2,1),(15,2279282,'1983-02-06 00:00:00',2,1,12,2000,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124252253235471421229944141332143121027',11794,'9998',49.27,1,3,NULL),(15,2279290,'1982-07-04 00:00:00',4,1,12,2001,'F','N','INGLESES','FLORIANOPOLIS','SC','124241248121131131323374345334130223187',NULL,'9999',23.49,1,3,NULL),(15,2279304,'1989-07-31 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215372531466631445112610164046',16554,'1022',42.51,1,3,NULL),(15,2279312,'1976-06-12 00:00:00',4,1,12,1993,'M','N','CENTRO','FLORIANOPOLIS','SC','524243241417152711156649394122330226113',NULL,'394',0.00,1,3,NULL),(15,2279320,'1990-05-22 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241216111431467724572122610137013',11995,'258',48.99,1,3,NULL),(15,2279339,'1989-02-05 00:00:00',4,1,12,2006,'F','N','PLANALTO','VIAMAO','RS','120202201217471431469813575124610114187',10456,'9998',51.26,1,3,NULL),(15,2279347,'1990-07-11 00:00:00',4,5,11,2007,'M','N','RIO MAINA','CRICIUMA','SC','124243246212171431546923372124610167077',15228,'995',44.50,1,3,NULL),(15,2279355,'1990-06-08 00:00:00',4,5,12,2007,'F','N','CENTRO','SAO JOAO DO SUL','SC','124241241124141431446939292122610135072',NULL,'717',0.00,1,3,NULL),(15,2279363,'1990-08-26 00:00:00',4,4,12,2007,'F','N','INTERIOR','LINDOIA DO SUL','SC','124241241115161431624436582224610121147',NULL,'534',0.00,1,2,1),(15,2279371,'1991-02-05 00:00:00',2,9,12,2007,'F','N','SANTA TEREZINHA','ESMERALDA','RS','120201201117161431439713332344610133057',NULL,'9998',0.00,1,2,1),(15,2279380,'1984-11-23 00:00:00',4,1,12,2001,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215273421359931435124321965172',6112,'912',58.86,1,3,NULL),(15,2279401,'1987-10-08 00:00:00',2,1,12,2005,'F','N','ASA SUL','BRASILIA','DF','107072071217571351479933572112610162147',648,'9998',75.74,1,3,NULL),(15,2279410,'1989-03-15 00:00:00',2,4,11,2007,'M','N','BELA VISTA','ERECHIM','RS','120202201215111431558612482122610127122',NULL,'9998',22.47,1,3,NULL),(15,2279428,'1986-11-11 00:00:00',2,1,12,2001,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241136272711438633341124610117117',NULL,'298',22.82,1,3,NULL),(15,2279436,'1988-12-13 00:00:00',4,5,12,2006,'F','N','SÃO LUÍS','TIMBE DO SUL','SC','124241241115132731526311592215610122197',NULL,'785',0.00,1,2,1),(15,2279444,'1967-01-25 00:00:00',2,1,12,1986,'F','N','COLONINHA','FLORIANOPOLIS','SC','224171174117153421464453332244320534077',NULL,'9998',0.00,1,2,1),(15,2279452,'1988-02-25 00:00:00',4,1,11,2006,'M','N','BELA VISTA','ERECHIM','RS','120203201215371431436813385125610137047',NULL,'9998',20.55,1,3,NULL),(15,2279460,'1989-02-13 00:00:00',4,8,12,2005,'F','N','JUVEVE','CURITIBA','PR','116242161216573431589911572124610164097',NULL,'9998',0.00,1,3,NULL),(15,2279479,'1983-10-12 00:00:00',2,1,12,2001,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124251251136232131128344145334610122097',NULL,'9998',25.91,1,2,1),(15,2279487,'1989-10-27 00:00:00',2,6,12,2007,'M','N','CENTRO','ITAJAI','SC','124242241215111711656612215221610124147',12792,'389',47.86,1,3,NULL),(15,2279495,'1990-09-06 00:00:00',4,6,12,2007,'F','N','SANTA LUZIA NORTE','PICARRAS','SC','124122241337111431248721242311610114022',NULL,'9998',22.11,1,3,NULL),(15,2279509,'1989-01-10 00:00:00',4,1,11,2006,'F','N','VILA MOLICA','GUARATINGUETA','SP','125253251215471741456512575112610165094',9093,'9998',53.48,1,3,NULL),(15,2279517,'1989-04-26 00:00:00',2,4,12,2007,'F','N','CENTRO','MARCELINO RAMOS','RS','120241201215111431468812382124610148147',16330,'9998',42.85,1,3,NULL),(15,2279525,'1984-01-02 00:00:00',4,1,12,2001,'M','N','SANTA MONIA','FLORIANOPOLIS','SC','124242241215133431226643435121221464183',NULL,'951',0.00,1,3,NULL),(15,2279533,'1990-08-10 00:00:00',2,4,12,2007,'F','N','CENTRO','MODELO','SC','124241241141141731537712291122610123187',NULL,'562',0.00,1,3,NULL),(15,2279541,'1986-09-14 00:00:00',2,1,12,2004,'M','N','FAZENDA RIO TAVARES','FLORIANOPOLIS','SC','124241241122133331553632245134231017057',18633,'11',39.27,1,2,1),(15,2279550,'1989-08-26 00:00:00',4,4,12,2006,'F','N','PRESIDENTE MÉDICI','CHAPECO','SC','124243241312474411439933572324610168097',19088,'1046',38.54,1,3,NULL),(15,2279568,'1989-07-27 00:00:00',2,1,12,2007,'M','N','PARK WAY','NUCLEO BANDEIRANTE','DF','107072071216151431379713595114610138096',NULL,'9998',0.00,4,3,NULL),(15,2279576,'1987-08-31 00:00:00',2,1,12,2006,'M','N','CENTRO','DIVINOPOLIS','MG','124131241315272721633611574122231467182',10583,'270',51.05,1,3,NULL),(15,2279584,'1987-05-07 00:00:00',2,7,12,2005,'F','N','SÃO FRANCISCO','LUZERNA','SC','124241241127131431223327275124610127147',NULL,'9',23.38,4,2,1),(15,2279592,'1988-02-17 00:00:00',2,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124242241217273431346623146114610148057',14401,'738',45.57,1,3,NULL),(15,2279606,'1990-08-12 00:00:00',2,1,12,2007,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241117131532633329382114610147045',16175,'298',43.11,1,2,1),(15,2279614,'1988-09-10 00:00:00',2,8,12,2005,'F','N','SERRA ALTA','SAO BENTO DO SUL','SC','124241241146271431323339445123610127147',NULL,'697',11.38,1,3,NULL),(15,2279622,'1990-02-09 00:00:00',4,1,11,2006,'F','N','CENTRO','ITAPEJARA D OESTE','PR','116163161215472431559931472115610123187',11791,'9998',49.27,1,3,NULL),(15,2279630,'1990-02-02 00:00:00',4,8,12,2006,'M','N','CENTRO','RIO NEGRO','PR','116163161215372431448832245124610147012',NULL,'9998',0.00,1,3,NULL),(15,2279649,'1989-05-14 00:00:00',2,1,1,2007,'M','N','AEROPORTO','GOIANIA','GO','109092091216315211136632592111620116022',9731,'9998',52.37,1,3,NULL),(15,2279657,'1988-03-15 00:00:00',4,6,12,2005,'F','N','ARMAÇÃO','PENHA','SC','124243246437131231424411342334610112147',NULL,'494',0.00,1,3,NULL),(15,2279665,'1984-10-17 00:00:00',4,8,12,2001,'F','N','ENSEADA','SAO FRANCISCO DO SUL','SC','124241241146131421113316552124610161142',NULL,'710',0.00,1,2,1),(15,2279673,'1988-07-17 00:00:00',2,10,12,2005,'F','N','CENTRO','BRACO DO NORTE','SC','124241241415371431556614574122130627142',15204,'445',44.53,1,3,NULL),(15,2279681,'1990-12-02 00:00:00',4,1,12,2008,'F','S','ESTREITO','FLORIANOPOLIS','SC','124241241217111431258614572124610124097',NULL,'269',51.11,1,3,NULL),(15,2279711,'1989-03-12 00:00:00',4,8,12,2006,'F','N','CENTRO','IRATI','PR','116163161415411741338611571344610121177',NULL,'9998',0.00,1,3,NULL),(15,2279720,'1981-04-21 00:00:00',2,1,11,1998,'F','N','KOBRASOL','SAO JOSE','SC','124243241417132411334421341124230222182',NULL,'9997',30.31,1,3,NULL),(15,2279738,'1987-04-24 00:00:00',4,1,12,2004,'F','N','VILA MENDONÇA','ARACATUBA','SP','125092251216271451449834495122143214182',NULL,'9998',0.00,1,3,NULL),(15,2279746,'1990-07-09 00:00:00',2,5,11,2007,'F','N','IÇARENSE','LAURO MULLER','SC','124241241414111411437514246344610124057',17535,'820',41.04,1,3,NULL),(15,2279754,'1989-01-30 00:00:00',4,1,12,2006,'M','N','PARQUE DOS SABIAS','LIMEIRA','SP','125251251215472431456624575112610167147',15572,'9998',44.02,1,3,NULL),(15,2279762,'1989-03-12 00:00:00',4,1,12,2006,'M','N','CENTRO','CURITIBA','PR','116124161217471431187862572215610134052',NULL,'9998',0.00,3,3,NULL),(15,2279789,'1990-01-25 00:00:00',2,1,12,2007,'F','N','SAUDADE','BIGUACU','SC','124241241117151411553313382114610161197',14076,'65',46.07,1,3,NULL),(15,2279797,'1989-12-04 00:00:00',2,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161212323412368811571125610134143',14948,'9998',44.86,1,3,NULL),(15,2279819,'1985-02-10 00:00:00',4,1,12,2003,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124252251216132431239813575124140635114',12033,'9998',48.94,1,3,NULL),(15,2279827,'1969-03-18 00:00:00',2,1,7,1987,'M','N','BARREIROS','SAO JOSE','SC','124241246117152411564423231124321464042',8609,'306',54.33,1,3,NULL),(15,2279835,'1988-06-09 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117242721456633495113610114117',20669,'298',35.56,1,2,1),(15,2279843,'1990-03-29 00:00:00',2,10,12,2007,'M','N','CENTRO','CAPIVARI DE BAIXO','SC','124242241215111411438914572124610114041',19206,'797',38.34,2,3,NULL),(15,2279851,'1976-12-27 00:00:00',2,1,12,2000,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241417132431236644241332130224187',NULL,'9997',0.00,1,3,NULL),(15,2279860,'1988-06-05 00:00:00',4,1,12,2005,'F','N','PRAIA DA COSTA','VILA VELHA','ES','108082081216471411268811572124610126192',257,'9998',79.24,1,3,NULL),(15,2279878,'1988-06-26 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241247417271721446329345324610133047',NULL,'9999',0.00,1,3,NULL),(15,2279908,'1980-05-27 00:00:00',4,1,12,1997,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124254251216132431167919375122221462047',5257,'9998',60.60,1,3,NULL),(15,2279916,'1990-05-27 00:00:00',4,1,12,2007,'M','N','CENTRO','ANTONIO CARLOS','SC','124241247112161431545411575122610117047',16288,'9999',42.91,1,2,1),(15,2279924,'1984-06-29 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124122121216573431379919575112232824187',12259,'9998',48.64,1,3,NULL),(15,2279932,'1990-04-17 00:00:00',2,1,12,2007,'F','N','BOM VIVER','BIGUACU','SC','124241241122161331228324291334610127075',NULL,'66',16.23,4,2,1),(15,2279940,'1989-03-07 00:00:00',4,1,12,2006,'M','N','ASA NORTE','BRASILIA','DF','107072071211471711448834571124610127042',2211,'9998',68.57,1,3,NULL),(15,2279959,'1990-07-29 00:00:00',4,1,1,2007,'M','N','OESTE','GOIANIA','GO','109092091216112411146637592111610118042',8482,'9998',54.54,1,3,NULL),(15,2279967,'1987-10-10 00:00:00',2,4,12,2005,'M','N','CENTRO','CHOPINZINHO','PR','116161161436572441326711175125610134197',7185,'9998',56.83,1,3,NULL),(15,2279975,'1990-01-29 00:00:00',2,8,12,2007,'M','N','CENTRO','MANDIRITUBA','PR','116162161212231411358831575125610134093',15906,'9998',43.53,1,3,NULL),(15,2279983,'1990-05-04 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111531536832271124610135147',10825,'1022',50.71,1,3,NULL),(15,2279991,'1991-09-23 00:00:00',4,2,12,2007,'F','N','BARRA SÃO JOÃO','BENEDITO NOVO','SC','124241241215111451453439577124610127046',10771,'9997',50.78,1,3,NULL),(15,2280000,'1989-12-27 00:00:00',4,8,12,2007,'M','N','JARDIM ELDORADO','PARANAGUA','PR','116162161216371411458819575125610132053',11679,'9998',49.43,1,3,NULL),(15,2280019,'1989-03-20 00:00:00',2,1,12,2005,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241115371341443431241224610118097',20331,'307',36.18,1,3,NULL),(15,2280027,'1990-02-22 00:00:00',2,1,12,2007,'F','N','CENTRO','CURITIBA','PR','114162161211112611238831521122610114134',8927,'9998',53.79,1,3,NULL),(15,2280043,'1990-01-25 00:00:00',2,10,12,2007,'M','N','PASSAGEM','TUBARAO','SC','124242241211111431437613241121610125017',12828,'797',47.82,1,3,NULL),(15,2280051,'1988-11-25 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242241215271431443923572124610127011',NULL,'944',18.12,1,3,NULL),(15,2280060,'1982-07-11 00:00:00',4,1,12,1999,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241216152421358812425122332833192',NULL,'266',0.00,1,3,NULL),(15,2280078,'1990-09-29 00:00:00',4,1,11,2007,'M','N','BARRA DO ARIRIÚ','PALHOCA','SC','124242241215121411457613591124610126172',3716,'270',64.17,1,3,NULL),(15,2280086,'1989-03-25 00:00:00',2,10,11,2006,'M','N','CENTRO','ARMAZEM','SC','124244241215472751358819393112220922094',4640,'806',61.92,1,3,NULL),(15,2280094,'1989-05-03 00:00:00',4,1,12,2006,'M','N','SAO FRANCISCO','CAMPO GRANDE','MS','112122121434211411468832475112610117101',12485,'9998',48.32,1,3,NULL),(15,2280124,'1988-09-16 00:00:00',4,5,12,2005,'F','N','COMERCIÁRIO','CRICIUMA','SC','124201201132371731324614345114231425117',NULL,'9998',0.00,1,2,1),(15,2280132,'1972-12-20 00:00:00',2,1,12,1990,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124211211136162741345343435124610163027',13739,'9998',46.55,4,2,1),(15,2280140,'1989-10-16 00:00:00',4,1,12,2006,'M','N','CENTRO','PALOTINA','PR','116161161212224321568831574212610123136',921,'9998',73.96,1,3,NULL),(15,2280159,'1979-06-08 00:00:00',2,2,12,1998,'F','N','CENTRO','SAO MIGUEL DO IGUACU','PR','116163161116571431446611414115341362187',NULL,'9998',0.00,1,3,NULL),(15,2280167,'1991-07-04 00:00:00',4,1,12,2008,'F','S','PEDRA BRANCA','PALHOCA','SC','124242241215121431579313275112610124092',NULL,'1011',51.70,1,3,NULL),(15,2280175,'1985-11-01 00:00:00',4,1,11,2003,'F','N','KOBRASOL','SAO JOSE','SC','224244247316135431238951495133610136057',7479,'9999',56.27,1,3,NULL),(15,2280183,'1983-09-06 00:00:00',2,1,12,2001,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241246111134431345413331134130268187',9741,'306',52.37,1,3,NULL),(15,2280191,'1989-11-30 00:00:00',4,1,11,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124244231215131411346824375124610162015',NULL,'1075',27.94,1,3,NULL),(15,2280205,'1985-03-08 00:00:00',2,1,12,2002,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244241211275731228654492324222923097',6846,'328',57.45,1,3,NULL),(15,2280213,'1990-02-25 00:00:00',4,8,12,2007,'F','N','CENTRO','ITUPORANGA','SC','124241241225111431447923474125610126142',NULL,'414',0.00,1,3,NULL),(15,2280221,'1990-04-02 00:00:00',4,3,11,2007,'M','N','MORRETES','ITAPEMA','SC','124241241215131431424311312343610127057',10835,'403',50.70,1,3,NULL),(15,2280230,'1988-11-20 00:00:00',2,1,11,2005,'F','N','BARREIROS','SAO JOSE','SC','124242241215573431578719492114610121192',5831,'738',59.40,1,3,NULL),(15,2280248,'1989-04-19 00:00:00',2,1,12,2007,'F','N','CENTRO','MONDAI','SC','124241241135131431624336342322610125147',22215,'564',31.42,1,2,1),(15,2280256,'1987-12-18 00:00:00',2,1,1,2005,'F','N','CENTRO','RIO VERDE','GO','109092091216513411156631572111610163012',13248,'9998',47.24,1,3,NULL),(15,2280280,'1990-11-08 00:00:00',4,2,12,2007,'F','N','CENTRO','BENEDITO NOVO','SC','124241241215111431336633372122613223142',14513,'9997',45.39,1,3,NULL),(15,2280299,'1988-11-10 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242248212333411224421345124610122147',14963,'273',44.84,1,3,NULL),(15,2280302,'1985-06-22 00:00:00',4,1,6,2007,'M','N','PAES LEME','IMBITUBA','SC','124242244437151731544823345122610142047',NULL,'9999',19.30,2,1,2),(15,2280310,'1989-03-02 00:00:00',4,4,12,2007,'M','N','BELA VISTA','ERECHIM','RS','120202201215111431548939572112610134072',15946,'9998',43.47,1,3,NULL),(15,2280329,'1989-06-10 00:00:00',4,9,12,2006,'F','N','CORAL','LAGES','SC','124242241216573431469933272124232461187',NULL,'497',0.00,1,3,NULL),(15,2280337,'1985-03-26 00:00:00',4,1,6,2004,'F','N','ABRAAO','FLORIANOPOLIS','SC','124244247416575431538631415124233266151',8531,'1003',54.46,4,3,NULL),(15,2280345,'1975-08-05 00:00:00',4,1,6,1996,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','624243244326373711353219445224610124047',20293,'306',36.25,1,3,NULL),(15,2280353,'1987-10-21 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241116154431557913575124232766142',17152,'267',41.64,1,3,NULL),(15,2280361,'1989-09-29 00:00:00',4,1,11,2007,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241217211431586732575112610162122',1151,'270',72.78,1,3,NULL),(15,2280370,'1973-09-09 00:00:00',4,1,12,1990,'F','N','CENTRO','PALHOCA','SC','224241241316154411263342325122122221181',18608,'272',39.31,1,3,NULL),(15,2280388,'1989-05-11 00:00:00',2,8,11,2006,'F','N','PARQUE SAO PAULO','CASCAVEL','PR','116163161215371231568831272225243223142',8937,'9998',53.78,4,3,NULL),(15,2280396,'1981-07-15 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124254247421111111237813242224610164047',NULL,'9999',39.94,1,3,NULL),(15,2280400,'1991-07-23 00:00:00',4,1,12,2008,'F','S','ESTREITO','FLORIANOPOLIS','SC','124242241215111431238823575124610123052',NULL,'269',35.72,1,3,NULL),(15,2280418,'1988-12-06 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431368832575122132127042',6409,'270',58.24,1,3,NULL),(15,2280426,'1991-01-03 00:00:00',4,4,12,2007,'M','N','CENTRO','SAO LOURENCO DO OESTE','SC','124241161115131231557932572224610127017',6226,'9998',58.60,1,3,NULL),(15,2280434,'1989-02-26 00:00:00',4,4,12,2006,'F','N','IPIRANGA','MARMELEIRO','PR','116162161116471731533819175122610125057',NULL,'9998',0.00,1,3,NULL),(15,2280442,'1989-04-13 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241217131221678813572122610167042',15705,'273',43.81,1,3,NULL),(15,2280469,'1988-06-16 00:00:00',2,1,12,2006,'M','N','CENTRO','PALHOCA','SC','124242241216373431368919595122231227047',21553,'989',33.62,1,3,NULL),(15,2280477,'1988-06-24 00:00:00',2,8,12,2005,'M','N','JARDIM ARACATI','SAO PAULO','SP','125251251146231431533674372224610162047',14089,'9998',46.05,4,2,1),(15,2280485,'1984-10-16 00:00:00',2,1,12,2004,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201201116151341224633471212142762047',NULL,'9998',0.00,1,3,NULL),(15,2280493,'1990-01-02 00:00:00',4,1,12,2007,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241212112431566632572322610166092',8807,'948',53.99,1,3,NULL),(15,2280507,'1988-11-13 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241115471731546639571114610133142',20356,'340',36.14,1,3,NULL),(15,2280515,'1988-03-05 00:00:00',2,1,11,2005,'M','N','VILA NOVA','LAGES','SC','124243242117571441466614574122610167062',NULL,'741',23.43,4,3,NULL),(15,2280523,'1973-03-16 00:00:00',2,1,12,1992,'F','N','CENTRO','FLORIANOPOLIS','SC','124241243147135431623119196125122361117',1551,'764',70.98,4,2,1),(15,2280531,'1989-10-25 00:00:00',4,4,12,2007,'M','N','CENTRO','MARCELINO RAMOS','RS','120201201215111431437839572114610134072',18933,'9998',38.79,4,3,NULL),(15,2280540,'1988-07-12 00:00:00',4,1,11,2005,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241216372731238727491124133268187',6516,'262',58.05,1,3,NULL),(15,2280558,'1981-05-26 00:00:00',4,1,12,1998,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124244241314142311567617575122221417054',7615,'210',56.01,1,3,NULL),(15,2280566,'1989-01-07 00:00:00',4,2,12,2006,'F','N','VELHA','BLUMENAU','SC','124242241217371431358834484112610138095',4095,'855',63.21,1,3,NULL),(15,2280574,'1990-03-14 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241217111431448729575112610118077',13414,'272',47.00,1,3,NULL),(15,2280582,'1990-08-24 00:00:00',2,8,11,2007,'F','N','NOVA RUSSIA','PONTA GROSSA','PR','116162161215271431278832482122610115172',2541,'9998',67.49,1,3,NULL),(15,2280590,'1981-11-28 00:00:00',2,1,5,2002,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241244127133421643343142222231364147',NULL,'307',0.00,1,3,NULL),(15,2280604,'1987-01-07 00:00:00',4,8,12,2004,'F','N','BATEL','CURITIBA','PR','116162161212272221268811573232610131132',11512,'9998',49.69,1,3,NULL),(15,2280612,'1990-08-08 00:00:00',2,1,12,2007,'M','N','CENTRO','MAFRA','SC','124241241214111421533823592324610138062',NULL,'541',0.00,1,3,NULL),(15,2280620,'1990-06-20 00:00:00',2,5,11,2007,'M','N','UNIVERSITÁRIO','CRICIUMA','SC','124244246216111431444614375121610164112',17860,'995',40.57,1,3,NULL),(15,2280639,'1985-03-25 00:00:00',2,1,12,2002,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241112132731228621341124220827052',NULL,'307',0.00,4,2,1),(15,2280647,'1990-05-30 00:00:00',4,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241215111411558833571124610133092',20861,'1098',35.17,1,3,NULL),(15,2280655,'1986-10-10 00:00:00',4,8,12,2005,'M','N','AMERICA','JOINVILLE','SC','124243241111372431228611285124610127047',15326,'475',44.37,1,3,NULL),(15,2280663,'1990-07-10 00:00:00',2,6,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241315111431548839575124610126192',16282,'1038',42.92,1,3,NULL),(15,2280671,'1990-06-24 00:00:00',4,1,11,2007,'F','N','RATONES','FLORIANOPOLIS','SC','124241241115371431444611575112610132191',6467,'271',58.14,1,3,NULL),(15,2280680,'1990-04-20 00:00:00',2,2,12,2007,'M','N','CENTRO','BRUSQUE','SC','124244241215112731456632275122610137142',NULL,'109',0.00,1,3,NULL),(15,2280701,'1986-05-03 00:00:00',4,1,12,2003,'M','N','ASA NORTE','BRASILIA','DF','107131071117131431249613342314240367112',NULL,'9998',0.00,1,3,NULL),(15,2280710,'1989-12-27 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215111431648823172124610167013',7477,'270',56.27,1,3,NULL),(15,2280728,'1989-09-29 00:00:00',4,1,12,2006,'M','N','OLIVEIRA','TIJUCAS','SC','124241241126162421433515185123231437062',NULL,'783',0.00,1,2,1),(15,2280736,'1989-01-27 00:00:00',4,1,12,2005,'F','N','CENTRO','SAO LOURENCO DO OESTE','SC','124242161115271431558933375125131327142',3282,'9998',65.30,1,3,NULL),(15,2280752,'1988-12-26 00:00:00',5,1,12,2006,'F','N','LIRI','ICARA','SC','124243241332131211521411271344610126147',22065,'227',32.05,1,3,NULL),(15,2280760,'1990-06-22 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111431548913275125610134112',NULL,'1038',26.96,1,3,NULL),(15,2280779,'1989-08-01 00:00:00',2,5,12,2006,'M','N','RIO MAINA','CRICIUMA','SC','124244246215371431466612445124610137042',NULL,'995',23.55,4,3,NULL),(15,2280795,'1987-06-22 00:00:00',4,1,12,2004,'M','N','ZONA SUL','ILHA SOLTEIRA','SP','125252251217571431589811575122610137182',5154,'9998',60.81,1,3,NULL),(15,2280809,'1991-07-23 00:00:00',4,3,12,2008,'F','S','MEIA PRAIA','ITAPEMA','SC','124241242117131431536634195125610127072',NULL,'129',41.26,1,3,NULL),(15,2280817,'1969-01-18 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124201247225131421227644345134610165181',21105,'9999',34.65,4,3,NULL),(15,2280825,'1989-01-07 00:00:00',2,1,12,2006,'F','N','SAO FRANCISCO','BENTO GONCALVES','RS','120201201215471431438833575124610127147',16698,'9998',42.33,1,3,NULL),(15,2280833,'1990-10-11 00:00:00',2,3,12,2007,'F','N','VÁRZEA','ITAPEMA','SC','124241242117141431538411575115610153057',16608,'129',42.45,1,3,NULL),(15,2280841,'1990-03-16 00:00:00',2,1,11,2007,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241215111431465612592112610123182',16764,'270',42.23,1,3,NULL),(15,2280850,'1987-09-15 00:00:00',2,10,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241312132731634631295124222966147',8649,'226',54.26,1,3,NULL),(15,2280868,'1989-07-07 00:00:00',2,1,12,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241117132431658629285124132823117',18058,'307',40.21,1,2,1),(15,2280876,'1990-04-22 00:00:00',2,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215322121443822521124610167055',11839,'1077',49.19,1,3,NULL),(15,2280884,'1989-11-10 00:00:00',4,1,12,2007,'F','N','CENTRO','ERECHIM','RS','120201208136141411435634292125610114072',NULL,'9998',0.00,1,3,NULL),(15,2280892,'1987-08-26 00:00:00',4,1,12,2005,'M','N','BOSQUE DAS MANSOES','SAO JOSE','SC','124242241217142431647821485112231064197',NULL,'270',0.00,1,3,NULL),(15,2280906,'1990-04-07 00:00:00',2,10,11,2007,'F','N','VILA NOVA','IMBITUBA','SC','124243241317161531328812582224610832146',22027,'359',32.19,1,3,NULL),(15,2280914,'1984-09-13 00:00:00',2,1,12,2002,'M','N','EMILIANO PERNETA','PINHAIS','PR','116162161212244211469913574212610142154',5749,'9998',59.57,3,3,NULL),(15,2280922,'1958-11-12 00:00:00',2,1,12,1977,'F','N','CAMPECHE','FLORIANOPOLIS','SC','324211214127133431368949331114122362197',8295,'9998',54.86,1,3,NULL),(15,2280930,'1989-05-10 00:00:00',2,8,12,2006,'M','N','ANITA GARIBALDE','JOINVILLE','SC','124242246236131531128844345234610134117',21907,'494',32.59,1,3,NULL),(15,2280949,'1990-11-29 00:00:00',4,8,11,2007,'F','N','ENSEADA','SAO FRANCISCO DO SUL','SC','124242241215111531446512572125610127187',7084,'486',56.99,1,3,NULL),(15,2280957,'1988-11-22 00:00:00',4,3,11,2006,'M','N','JARDIM AUTONOMISTA','CAMPO GRANDE','MS','112242248215473431328879495124610168193',NULL,'270',31.73,1,3,NULL),(15,2280965,'1989-07-06 00:00:00',4,6,12,2006,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241217152431438832575122231467042',6930,'407',57.29,1,3,NULL),(15,2280973,'1990-10-24 00:00:00',2,1,12,2007,'F','N','BELA VISTA','PALHOCA','SC','124241241126131432537934572121610122177',18893,'1108',38.84,1,2,1),(15,2280981,'1989-10-01 00:00:00',4,1,12,2006,'F','N','CENTRO','PALOTINA','PR','116163161235172431526819195121241362092',NULL,'9998',0.00,1,3,NULL),(15,2280990,'1989-01-06 00:00:00',2,1,11,2007,'M','N','BELA VISTA','SAO JOSE','SC','124241241122141721543312342122610117042',21396,'257',33.97,1,3,NULL),(15,2281007,'1988-10-04 00:00:00',4,8,12,2005,'F','N','ABRANCHES','CURITIBA','PR','116162161215471431356923571222610137017',NULL,'9998',0.00,1,3,NULL),(15,2281015,'1990-12-04 00:00:00',2,5,11,2007,'M','N','SÃO LUIZ','CRICIUMA','SC','124244246217111431444411375124610167062',12028,'995',48.95,1,3,NULL),(15,2281023,'1989-02-27 00:00:00',2,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241215131221355567272344610164047',18255,'738',39.88,1,3,NULL),(15,2281031,'1988-06-20 00:00:00',4,8,12,2005,'F','N','ANTIGO AEROPORTO','PARANAVAI','PR','116162161216571431448811572124610122093',NULL,'9998',0.00,1,3,NULL),(15,2281040,'1989-10-08 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241112372431358923572112610127142',4702,'712',61.74,1,2,1),(15,2281066,'1989-08-09 00:00:00',4,1,7,2007,'F','N','FÁTIMA','FLORIANOPOLIS','SC','124242241216111441559939175124231037082',NULL,'269',0.00,1,3,NULL),(15,2281074,'1980-05-15 00:00:00',2,1,12,1998,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201201116151311222339571212143266047',NULL,'9998',0.00,1,3,NULL),(15,2281082,'1973-05-30 00:00:00',4,1,11,2002,'M','N','SANTOS DUMONT','SAO JOSE','SC','124241241142134431423334112324610117147',NULL,'736',24.91,2,1,1),(15,2281090,'1988-06-21 00:00:00',2,1,11,2008,'F','S','JARDIM JANAINA','BIGUACU','SC','124242248215171551647412322124610224056',NULL,'266',37.31,1,3,NULL),(15,2281104,'1990-09-20 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241135151731454514175124610167012',NULL,'288',23.01,1,3,NULL),(15,2281112,'1989-02-21 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242247417471511489911475122610118112',19862,'9999',37.09,1,3,NULL),(15,2281120,'1990-12-13 00:00:00',2,4,12,2007,'M','N','CENTRO','SAO CARLOS','SC','124241241137141531435923295121610124057',16189,'704',43.08,1,3,NULL),(15,2281139,'1987-12-22 00:00:00',4,5,12,2005,'M','N','COMERCIÁRIO','CRICIUMA','SC','124242241231371731568839332122231422117',NULL,'227',0.00,1,3,NULL),(15,2281147,'1985-06-21 00:00:00',2,1,12,2005,'M','N','CENTRO','JACAREI','SP','125253251146451751238724385124610162022',20985,'9998',34.88,1,3,NULL),(15,2281155,'1988-03-15 00:00:00',2,8,12,2005,'F','N','BARRA DO RIO CERRO','JARAGUA DO SUL','SC','124241241216141441433433215124610163023',18121,'422',40.12,1,3,NULL),(15,2281163,'1983-10-24 00:00:00',2,3,12,2002,'F','N','SÃO LUIZ','BRUSQUE','SC','124241247426371431533624285125610136147',13081,'9999',47.47,4,3,NULL),(15,2281171,'1991-07-02 00:00:00',4,1,12,2008,'F','S','AGRONÔMICA','FLORIANOPOLIS','SC','124242241217121732589933272122610138182',NULL,'262',44.13,1,3,NULL),(15,2281180,'1991-02-11 00:00:00',4,4,11,2007,'F','N','SÃO SEBASTIÃO','CHOPINZINHO','PR','116162161215271751459833575122610136142',13944,'9998',46.24,1,3,NULL),(15,2281198,'1990-07-04 00:00:00',4,2,12,2007,'M','N','PADRE MARTINHO STEIN','TIMBO','SC','124241241215111421333621272111610167052',495,'9997',76.85,1,3,NULL),(15,2281201,'1989-11-16 00:00:00',2,4,11,2006,'F','N','PRÓSPERA','CRICIUMA','SC','124244241215272731548711576124231427015',NULL,'226',0.00,4,3,NULL),(15,2281210,'1987-12-27 00:00:00',4,1,12,2005,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124244281217444431458837345122233213147',9542,'9998',52.70,1,3,NULL),(15,2281228,'1987-11-26 00:00:00',4,1,12,2005,'M','N','IPIRANGA','SAO PAULO','SP','125252251217571431446811395124140232057',9534,'9998',52.71,1,3,NULL),(15,2281244,'1990-03-28 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124243241215161711325332196111610144022',17943,'272',40.41,4,3,NULL),(15,2281252,'1986-03-22 00:00:00',2,1,12,2002,'F','N','MORRO DA CRUZ CENTRO','FLORIANOPOLIS','SC','224241241126161431233651145122130228145',NULL,'531',0.00,1,3,NULL),(15,2281260,'1990-10-24 00:00:00',2,4,12,2007,'F','N','SÃO MIGUEL','CONCORDIA','SC','124241241115141441426619571215610144147',NULL,'192',0.00,1,2,1),(15,2281287,'1990-08-17 00:00:00',2,1,9,2007,'F','N','DANIELA','FLORIANOPOLIS','SC','124244241317111431359719592124610138111',9566,'1022',52.65,4,3,NULL),(15,2281295,'1986-07-07 00:00:00',4,1,12,2003,'F','N','CAMPININHA','SAO ROQUE','SP','125251251115473431424415342134610111142',19327,'9998',38.11,4,2,1),(15,2281309,'1991-01-30 00:00:00',2,5,11,2007,'M','N','CARAVAGIO','NOVA VENEZA','SC','124244246415111431526612295124610147057',15225,'995',44.50,1,3,NULL),(15,2281317,'1988-10-17 00:00:00',4,4,12,2005,'F','N','JARDIM SÃO LUIS','DOURADOS','MS','112122121236151451559712595122141462147',NULL,'9998',0.00,4,3,NULL),(15,2281325,'1981-12-02 00:00:00',2,1,12,1999,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241126132711133336395224322246057',8198,'688',55.01,1,3,NULL),(15,2281333,'1989-06-18 00:00:00',2,4,12,2007,'F','N','SANTO ANDRE','GETULIO VARGAS','RS','120202201215111431446632575112610123092',NULL,'9998',0.00,1,3,NULL),(15,2281350,'1990-02-15 00:00:00',4,1,12,2007,'F','N','OESTE','GOIANIA','GO','101016034312112122222122222143330322022',NULL,'9998',0.00,1,3,NULL),(15,2281368,'1990-09-20 00:00:00',4,1,12,2007,'M','N','BOA PARADA','SAO PEDRO DE ALCANTARA','SC','124241241137141431546523241114610117017',NULL,'733',22.84,1,2,1),(15,2281376,'1988-10-13 00:00:00',2,1,4,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215211421426513345124610117052',21972,'9999',32.35,3,3,NULL),(15,2281384,'1986-08-10 00:00:00',4,9,6,2005,'M','N','CORAL','LAGES','SC','124243247317152421125841116125610167152',NULL,'9999',0.00,1,3,NULL),(15,2281392,'1988-03-28 00:00:00',4,1,12,2005,'F','N','SUMARE','RIO DO SUL','SC','124242241212153431456939492122610168197',16154,'991',43.13,1,3,NULL),(15,2281406,'1987-05-22 00:00:00',2,4,12,2004,'M','N','CIVEMARA','MARAVILHA','SC','124241241127131431635514342331610137187',NULL,'551',22.47,1,2,1),(15,2281414,'1989-07-10 00:00:00',4,8,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124072241212372431369929597124231424015',4509,'737',62.23,1,3,NULL),(15,2281422,'1989-02-20 00:00:00',4,1,12,2006,'M','N','ZONA SUL','ILHA SOLTEIRA','SP','125252251217471431589811575122610134172',8072,'9998',55.24,1,3,NULL),(15,2281430,'1990-05-21 00:00:00',4,3,12,2008,'F','S','CENTRO','NOVA TRENTO','SC','124241248145161731542239395122610134042',NULL,'574',7.96,2,3,NULL),(15,2281449,'1989-10-02 00:00:00',2,9,11,2006,'F','N','MARTORANO','SAO JOAQUIM','SC','124244241216372451548616572322610167187',7111,'720',56.96,1,3,NULL),(15,2281465,'1987-09-13 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241136373431446979275124223013077',18126,'772',40.11,1,3,NULL),(15,2281481,'1990-07-27 00:00:00',4,1,11,2007,'F','N','JARDIM INDÚSTRIAS','SAO JOSE DOS CAMPOS','SP','125252251217111431448931474122610133187',11854,'9998',49.17,3,3,NULL),(15,2281503,'1990-05-22 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215111411336824575124610112017',20161,'1075',36.51,1,3,NULL),(15,2281511,'1990-10-22 00:00:00',2,4,12,2007,'F','N','INTERIOR','BELMONTE','SC','124241241134131431423315274324610122147',17421,'60',41.20,1,2,1),(15,2281520,'1990-05-11 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241116131431435614285124610126147',15485,'51',44.15,1,2,1),(15,2281538,'1973-06-11 00:00:00',4,1,12,1994,'M','N','ITACORUBI','FLORIANOPOLIS','SC','224133133226154441223359282124422226047',3144,'9998',65.71,1,3,NULL),(15,2281546,'1989-06-17 00:00:00',4,1,12,2006,'F','N','INDEPENDENCIA','TAUBATE','SP','125252251215411431648814445124610121117',20523,'9998',35.85,4,3,NULL),(15,2281554,'1988-01-18 00:00:00',4,1,11,2004,'M','N','SERRINHA','UBERABA','MG','124244241216573441479814595112610167122',6481,'519',58.11,1,3,NULL),(15,2281562,'1989-10-21 00:00:00',4,6,12,2006,'M','N','PIONEIROS','BALNEARIO CAMBORIU','SC','124241241116132411234824342221610124042',6417,'873',58.22,1,3,NULL),(15,2281570,'1990-01-03 00:00:00',2,8,12,2007,'M','N','ENSEADA','SAO FRANCISCO DO SUL','SC','124244241216111431336831575124610127112',17628,'459',40.90,1,3,NULL),(15,2281589,'1987-03-29 00:00:00',2,1,12,2005,'M','N','PRAIA COMPLIDA','SAO JOSE','SC','124252241215373431448824323124130237137',16731,'723',42.28,1,3,NULL),(15,2281597,'1977-04-21 00:00:00',2,1,11,1994,'F','N','CENTRO','MURIAE','MG','113134135216471752553379435125141323023',7760,'9998',55.77,4,1,2),(15,2281600,'1989-10-30 00:00:00',4,1,12,2007,'M','N','SETOR SUL','GOIANIA','GO','101241031223212221121212112112110111021',676,'9998',75.59,1,3,NULL),(15,2281619,'1984-11-30 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215573411486613575112130267012',8199,'266',55.01,1,3,NULL),(15,2281627,'1990-06-19 00:00:00',2,2,11,2007,'F','N','SALTO DO NORTE','BLUMENAU','SC','124244241117131431435634572124610133147',14897,'84',44.91,1,3,NULL),(15,2281635,'1986-08-03 00:00:00',4,4,12,2004,'M','N','PRESIDENTE MEDICE','CHAPECO','SC','124241241112153732438313495124231467173',NULL,'175',0.00,1,3,NULL),(15,2281643,'1972-06-28 00:00:00',5,1,12,1990,'F','N','SERRARIA','BIGUACU','SC','124241243124434721233329445134610112097',14772,'66',45.04,2,1,1),(15,2281678,'1988-10-13 00:00:00',4,1,12,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241216133441456923342124610157051',16197,'186',43.07,1,3,NULL),(15,2281686,'1988-02-14 00:00:00',2,1,12,2005,'F','N','N S DO ROSÁRIO','SAO JOSE','SC','124244241216373411248623495124232727047',15084,'269',44.69,1,3,NULL),(15,2281694,'1982-11-23 00:00:00',2,1,12,2000,'M','N','PACHECO','PALHOCA','SC','624243241121234411326644341334610127047',18982,'295',38.70,4,1,2),(15,2281708,'1980-11-06 00:00:00',2,1,12,1998,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241137173441435534242114610162141',17773,'281',40.71,1,3,NULL),(15,2281716,'1984-07-03 00:00:00',5,1,11,2001,'F','N','CARIANOS','FLORIANOPOLIS','SC','124244241216272411113848482325120534187',15788,'32',43.70,2,3,NULL),(15,2281724,'1989-10-20 00:00:00',4,2,12,2007,'M','N','VELHA CENTRAL','BLUMENAU','SC','124242241216111532436871575114610154017',14402,'9997',45.57,1,3,NULL),(15,2281732,'1989-09-22 00:00:00',2,5,11,2007,'M','N','CAIRU','LAURO MULLER','SC','124241246215111421425923472114610162177',21187,'995',34.46,1,3,NULL),(15,2281740,'1984-11-25 00:00:00',2,3,11,2002,'M','N','VILA SUZANA','APUCARANA','PR','116161161436372751536529394212610168047',7202,'9998',56.79,1,3,NULL),(15,2281767,'1981-11-08 00:00:00',2,1,7,2001,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241248112135421436311281114610137067',19946,'306',36.93,1,3,NULL),(15,2281775,'1991-07-02 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215121431566812372112610132012',3961,'270',63.56,1,3,NULL),(15,2281783,'1990-06-21 00:00:00',2,4,12,2007,'F','N','CENTRO','PATO BRANCO','PR','124242161436371521358614575122610166091',NULL,'9998',0.00,1,3,NULL),(15,2281791,'1990-03-28 00:00:00',2,1,12,2007,'F','N','CENTRO','URUANA','GO','101021022221231121122212111112120211011',12240,'9998',48.67,1,3,NULL),(15,2281805,'1989-06-11 00:00:00',2,1,12,2006,'M','N','CENTRO','RIO DO SUL','SC','124242241215373431466933342132131467042',4255,'991',62.79,1,3,NULL),(15,2281813,'1983-07-14 00:00:00',4,1,11,2003,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241112573711445313415124610162042',NULL,'281',34.37,4,1,1),(15,2281821,'1990-11-08 00:00:00',4,1,12,2007,'F','N','PÂNTANO DO SUL','FLORIANOPOLIS','SC','124241248316141431536429212124610166112',NULL,'307',7.58,1,3,NULL),(15,2281848,'1990-04-22 00:00:00',2,1,12,2007,'F','N','CENTRO','PAULO LOPES','SC','124241241225111431323319212124610124142',13560,'262',46.80,1,3,NULL),(15,2281856,'1990-10-08 00:00:00',4,2,12,2007,'F','N','PROGRSSO','BLUMENAU','SC','124241241235111411425529574344610127147',NULL,'87',34.13,2,3,NULL),(15,2281880,'1979-08-21 00:00:00',2,1,12,1997,'F','N','KOBRASOL','SAO JOSE','SC','224241243117171521233453485124330166097',10890,'228',50.63,1,3,NULL),(15,2281899,'1987-06-06 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','624242247117143431238832395124220864133',6056,'9999',58.96,1,3,NULL),(15,2281902,'1987-05-26 00:00:00',2,1,12,2004,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241216374431437634441124610167042',15760,'737',43.73,1,3,NULL),(15,2281910,'1987-10-06 00:00:00',2,1,12,2006,'M','N','LIBERDADE','NOVO HAMBURGO','RS','120202201112271411424723271121613267042',20054,'9998',36.72,1,3,NULL),(15,2281945,'1990-08-05 00:00:00',2,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242246216111721439933275114610124187',16848,'995',42.08,1,3,NULL),(15,2281953,'1986-07-03 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241126133411424311245124333224087',15125,'274',44.64,1,3,NULL),(15,2281970,'1987-03-09 00:00:00',2,6,11,2004,'F','N','JARDIM VIRGINIA','GUARUJA','SP','125251251216572431348714371124610122017',1460,'9998',71.41,1,3,NULL),(15,2281988,'1987-12-03 00:00:00',4,1,12,2007,'F','N','ROÇADO','SAO JOSE','SC','124241241126131131326733382114610117147',NULL,'736',13.50,1,2,1),(15,2282003,'1990-01-19 00:00:00',4,1,12,2006,'F','N','BUENO','GOIANIA','GO','102032022111113211211311166122210111011',3287,'9998',65.29,1,3,NULL),(15,2282011,'1974-10-20 00:00:00',4,1,12,1992,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241243117435431123623445114610164052',NULL,'357',23.35,1,3,NULL),(15,2282020,'1989-08-11 00:00:00',4,8,12,2006,'F','N','SÃO LUIS','ITU','SP','125251251115471431447614275121610164077',8560,'9998',54.42,1,2,1),(15,2282038,'1976-04-28 00:00:00',4,9,12,1993,'M','N','POPULAR','LAGES','SC','124241241316153411463319412212322644052',2609,'514',67.30,1,3,NULL),(15,2282046,'1987-06-25 00:00:00',4,2,12,2004,'M','N','BARÃO GERALDO','CAMPINAS','SP','125162161215371431479914574121141442047',619,'9998',75.92,3,3,NULL),(15,2282054,'1982-09-10 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241216473431356639415134320766062',NULL,'270',0.00,1,3,NULL),(15,2282062,'1989-11-01 00:00:00',2,1,12,2006,'F','N','CENTRO','PINHEIRO PRETO','SC','124243241125372431533316462124610133147',11759,'618',49.31,1,3,NULL),(15,2282070,'1980-12-11 00:00:00',2,1,12,1998,'F','N','SERRINHA','FLORIANOPOLIS','SC','124243241111135711128649345124133245053',6570,'307',57.95,1,3,NULL),(15,2282089,'1988-03-08 00:00:00',4,4,12,2005,'F','N','CENTRO','NOVA PRATA DO IGUACU','PR','116161161416573411544934244124610124182',5956,'9998',59.15,1,3,NULL),(15,2282097,'1989-11-17 00:00:00',4,4,12,2007,'F','N','INTERIOR','CONCORDIA','SC','124241241111131411421156172314610116047',NULL,'193',0.00,1,2,1),(15,2282100,'1986-01-18 00:00:00',4,1,11,2003,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241211213411249837342121121915182',7324,'270',56.57,1,3,NULL),(15,2282119,'1990-05-20 00:00:00',4,1,12,2007,'M','N','SETOR SUL','GOIANIA','GO','109092091212111411258837575121610166192',1935,'9998',69.47,1,3,NULL),(15,2282127,'1989-06-17 00:00:00',4,8,12,2006,'F','N','CENTRO','CONSELHEIRO MAIRINCK','PR','116162161415471731466923372114610162012',14293,'9998',45.74,1,3,NULL),(15,2282135,'1990-07-10 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241412311431225624372212610124142',NULL,'44',29.05,1,3,NULL),(15,2282143,'1989-09-30 00:00:00',4,8,12,2006,'F','N','ATUBA','CURITIBA','PR','116164161411473211326514571344610117012',21255,'9998',34.31,1,3,NULL),(15,2282151,'1990-11-14 00:00:00',4,1,11,2007,'F','N','PAROLIN','CURITIBA','PR','116162161217471431258823572122610122052',NULL,'9998',0.00,1,3,NULL),(15,2282160,'1989-03-10 00:00:00',4,4,12,2006,'F','N','LA SALLE','PATO BRANCO','PR','116163161115472411658613482122610167147',10755,'9998',50.79,1,3,NULL),(15,2282178,'1986-09-21 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241317273431468632222122221827113',5768,'1022',59.53,1,3,NULL),(15,2282186,'1980-10-11 00:00:00',2,1,12,1998,'M','N','AREIAS','SAO JOSE','SC','224243248147142411354444342122610127047',16987,'257',41.89,1,3,NULL),(15,2282194,'1987-10-22 00:00:00',2,1,12,2005,'M','N','ESTREITO','SAO JOSE','SC','124243241415373731368532245122610117117',21635,'1036',33.42,1,3,NULL),(15,2282208,'1979-12-10 00:00:00',4,1,12,1996,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124202201212471431136812342324341427117',NULL,'9998',0.00,1,3,NULL),(15,2282216,'1989-11-24 00:00:00',4,3,12,2007,'F','N','SOUZA CRUZ','BRUSQUE','SC','124242241215151431566632472112610167042',17619,'109',40.91,1,3,NULL),(15,2282240,'1988-02-26 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241215372411448623472322610137072',20707,'988',35.49,1,3,NULL),(15,2282259,'1990-06-28 00:00:00',4,1,12,2007,'F','N','CANTA GALO','RIO DO SUL','SC','124243241116131731526764395244613264192',NULL,'658',27.23,1,3,NULL),(15,2282267,'1990-09-14 00:00:00',2,3,12,2007,'M','N','CENTRO','BOMBINHAS','SC','124242241215321431446833582324610167117',8365,'1111',54.74,1,3,NULL),(15,2282275,'1988-06-10 00:00:00',2,1,11,2007,'M','N','DE JULHO','SAO BENTO DO SUL','SC','124241247136371431333939575123610147187',NULL,'9999',24.80,1,3,NULL),(15,2282283,'1991-03-05 00:00:00',2,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431356612572122610153122',NULL,'262',39.00,1,3,NULL),(15,2282305,'1983-09-13 00:00:00',4,1,12,1999,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241211373751449919445112321462147',3343,'269',65.15,1,3,NULL),(15,2282313,'1989-06-20 00:00:00',2,5,11,2006,'M','N','SÃO CAMILO','SOMBRIO','SC','124242241232132431426713375124231467057',NULL,'770',0.00,1,3,NULL),(15,2282321,'1989-11-10 00:00:00',4,8,12,2007,'F','N','AMÉRICA','JOINVILLE','SC','124241241115151431436619342125610165187',NULL,'478',25.67,1,3,NULL),(15,2282330,'1988-07-04 00:00:00',4,1,12,2006,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124253247325131221226117232124610113112',NULL,'9999',16.56,1,3,NULL),(15,2282348,'1989-04-05 00:00:00',1,2,12,2007,'F','N','CENTRO','POMERODE','SC','124244241217111731438739575112610118142',7994,'624',55.38,1,3,NULL),(15,2282356,'1990-02-09 00:00:00',4,1,10,2007,'F','N','JD NOVO HORIZONTE','MARINGA','PR','116162161217371431459811595122610164147',NULL,'9998',35.41,1,3,NULL),(15,2282364,'1985-05-05 00:00:00',4,5,12,2004,'M','N','MICHEL','CRICIUMA','SC','124242247214222221428819293121133222092',18216,'9997',39.95,1,3,NULL),(15,2282372,'1989-12-30 00:00:00',2,3,12,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124204201211472431446913571124610164057',7363,'9998',56.49,1,3,NULL),(15,2282380,'1964-09-13 00:00:00',2,1,11,1981,'F','N','CENTRO','FLORIANOPOLIS','SC','624242243326133421224351112122340822097',NULL,'2',24.14,1,3,NULL),(15,2282399,'1983-06-21 00:00:00',2,1,12,2000,'M','N','CAMINHO NOVO','PALHOCA','SC','124241241117135131545611445112610127047',13649,'591',46.68,1,2,1),(15,2282402,'1989-06-20 00:00:00',4,8,12,2006,'F','N','CENTRO','PARANAVAI','PR','116162161212472431579811575325610164142',5718,'9998',59.63,3,3,NULL),(15,2282429,'1988-06-22 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANOPOLIS','SC','124252167246372421328823382124131467047',19042,'9999',38.61,1,3,NULL),(15,2282437,'1982-02-20 00:00:00',2,1,12,1999,'F','N','CAMPINAS','SAO JOSE','SC','124201203137371421233344142124142028187',18777,'9998',39.02,1,3,NULL),(15,2282445,'1990-08-22 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241215111411446612575122610167055',6110,'270',58.86,1,3,NULL),(15,2282453,'1980-04-08 00:00:00',4,1,12,1998,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124252251217113421147641415123321865112',9345,'9998',53.05,4,3,NULL),(15,2282461,'1989-10-23 00:00:00',4,2,12,2007,'M','N','CAPITAIS','TIMBO','SC','124241241215111441446611382211610124182',3738,'9997',64.10,1,3,NULL),(15,2282470,'1983-03-10 00:00:00',2,9,12,2001,'M','N','SÃO PEDRO','CAMPO BELO DO SUL','SC','124241242147131421521129152324610118197',NULL,'134',0.00,1,3,NULL),(15,2282496,'1990-04-20 00:00:00',4,1,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215141731463332122214610117181',NULL,'1119',0.00,1,3,NULL),(15,2282500,'1984-04-29 00:00:00',4,1,12,2002,'M','N','CENTRO','RIBEIRAO PRETO','SP','125251161135572441133847572112610167097',3952,'9998',63.60,1,2,1),(15,2282518,'1983-04-18 00:00:00',2,1,12,2002,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124244241137131431326829385113133217057',19355,'277',38.08,1,3,NULL),(15,2282526,'1988-01-27 00:00:00',2,1,12,2005,'F','N','EDMUNDO TREIN','PASSO FUNDO','RS','120201201117471411442614445124610134042',20596,'9998',35.69,1,3,NULL),(15,2282534,'1988-11-29 00:00:00',2,1,12,2006,'M','N','JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251215371221636832392124610167092',NULL,'9998',0.00,1,3,NULL),(15,2282542,'1961-10-16 00:00:00',4,1,12,2007,'M','N','SERRARIA SÃO JOSÉ','SAO JOSE','SC','524246247645151411245343435124610127052',NULL,'9999',29.18,4,3,NULL),(15,2282550,'1988-10-09 00:00:00',4,5,11,2006,'M','N','CENTRO','CRICIUMA','SC','124242241215472431347711314125610167122',4973,'226',61.15,1,3,NULL),(15,2282569,'1988-01-16 00:00:00',2,9,12,2005,'M','N','CENTRO','PORTO ALEGRE','RS','120201201217131431547831175324610164057',9197,'9998',53.28,1,3,NULL),(15,2282577,'1990-02-12 00:00:00',4,3,12,2007,'F','N','PALMITAL','MARILIA','SP','125252251216111431453832122334610164052',NULL,'9998',26.13,1,3,NULL),(15,2282585,'1982-02-26 00:00:00',2,1,12,2000,'M','N','JARDIM SAO VICENTE','FRANCA','SP','125252251216273411366632395122331964192',3660,'9998',64.34,1,3,NULL),(15,2282593,'1992-07-19 00:00:00',4,9,12,2007,'M','N','VILA NOVA','LAGES','SC','124242241216111451369714572222610147042',22186,'497',31.55,1,3,NULL),(15,2282607,'1990-08-20 00:00:00',2,1,12,2007,'M','N','SANTOS DUMONT II','TRES LAGOAS','MS','112122128217111431458913135125610127121',13840,'9998',46.40,1,3,NULL),(15,2282623,'1987-08-23 00:00:00',2,1,8,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241117132411326624441114610134055',12360,'306',48.48,1,3,NULL),(15,2282631,'1989-04-09 00:00:00',4,1,12,2005,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241335473411555732342124610164052',16958,'300',41.92,4,3,NULL),(15,2282640,'1987-07-14 00:00:00',2,1,12,2004,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241116274441537839241134133263012',8823,'267',53.98,1,3,NULL),(15,2282658,'1989-12-11 00:00:00',4,1,12,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124243241115131411327614571224610168147',13078,'307',47.47,2,1,2),(15,2282682,'1990-08-18 00:00:00',4,4,12,2007,'F','N','CENTRO','TRES ARROIOS','RS','120201201127131431433612572124610127147',19246,'9998',38.27,1,2,1),(15,2282690,'1982-05-15 00:00:00',4,1,12,1999,'F','N','CRUZEIRO','CAXIAS DO SUL','RS','120203201146271431333569392224243224147',13060,'9998',47.50,1,3,NULL),(15,2282704,'1981-12-09 00:00:00',4,1,6,2000,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124282281417111731418713575124342226095',7281,'9998',56.63,1,3,NULL),(15,2282712,'1962-08-02 00:00:00',4,1,12,1979,'F','N','TRINDADE','FLORIANOPOLIS','SC','120203203322151751224449392114341061095',20026,'9998',36.77,1,3,NULL),(15,2282720,'1985-03-16 00:00:00',2,1,12,2003,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241122133431323311342124610127117',18693,'727',39.17,1,2,1),(15,2282739,'1989-12-29 00:00:00',2,1,12,2007,'F','N','MINA BRASIL','CRICIUMA','SC','112121121117161432323316342321610122147',NULL,'9998',0.00,4,2,1),(15,2282747,'1990-08-23 00:00:00',2,1,12,2007,'F','N','PICADAS DO SUL','SAO JOSE','SC','124242241415111751423419395124610138187',19301,'1074',38.16,1,3,NULL),(15,2282755,'1990-06-09 00:00:00',2,3,12,2007,'F','N','CENTRO','GUAJARA','AM','104011011116131431647614572114610112172',20108,'9998',36.61,1,2,1),(15,2282763,'1988-12-17 00:00:00',4,1,12,2006,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124202201217372751468939375124230664142',13961,'9998',46.21,1,3,NULL),(15,2282771,'1989-05-26 00:00:00',4,4,12,2007,'M','N','CENTRO','MARAVILHA','SC','124243241317211232366823145122610127042',NULL,'1037',0.00,1,3,NULL),(15,2282780,'1986-02-13 00:00:00',2,1,12,2004,'F','N','REL PARQUE','SAO JOSE','SC','124242241212554421423511495124230232017',10614,'266',51.01,1,3,NULL),(15,2282798,'1990-08-29 00:00:00',4,1,12,2007,'M','N','CENTRO','JALES','SP','125254251117111431458833375123610167052',15093,'9998',44.68,1,3,NULL),(15,2282801,'1988-10-20 00:00:00',4,8,11,2006,'F','N','VILA XAVIER','BIRIGUI','SP','125251251116471431436332372122610131147',20205,'9998',36.40,1,3,NULL),(15,2282810,'1987-03-21 00:00:00',4,8,12,2004,'M','N','JARDIM SÃO DIMAS','SAO JOSE DOS CAMPOS','SP','125252251216571431458833572122610167187',1087,'9998',73.07,1,3,NULL),(15,2282828,'1987-01-21 00:00:00',4,1,12,2003,'F','N','CAMPINAS','SAO JOSE','SC','124243241217132741228449396134231034187',14600,'489',45.28,1,3,NULL),(15,2282836,'1989-04-07 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241125131412526324392124610124142',NULL,'277',17.89,2,1,1),(15,2282852,'1990-01-27 00:00:00',4,1,12,2008,'M','S','AGRONÔMICA','FLORIANOPOLIS','SC','124202241215111231678614575112610122017',NULL,'262',41.20,1,3,NULL),(15,2282860,'1984-04-10 00:00:00',2,5,12,2001,'M','N','FLORESTA','PORTO ALEGRE','RS','120202201415532441127627412115610124152',2399,'9998',67.91,1,3,NULL),(15,2282887,'1987-12-26 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215273411558811482122610133067',10010,'269',51.91,1,3,NULL),(15,2282895,'1990-04-12 00:00:00',2,7,12,2007,'M','N','CENTRO','PONTE SERRADA','SC','124241241144161431458634572122610127047',16245,'629',42.99,4,3,NULL),(15,2282909,'1988-03-08 00:00:00',4,1,12,2005,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241311373431526411382122610137077',4116,'774',63.16,1,3,NULL),(15,2282917,'1984-05-29 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241147371431126344445334142725147',16711,'524',42.31,1,2,1),(15,2282925,'1989-12-12 00:00:00',4,10,12,2007,'M','N','SÃO BASÍLIO','BRACO DO NORTE','SC','124241241335111722546919395122610112142',NULL,'100',12.42,1,3,NULL),(15,2282941,'1985-04-07 00:00:00',4,1,12,2003,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241212573431548824282124230226092',14839,'270',44.96,1,3,NULL),(15,2282950,'1982-04-06 00:00:00',2,1,7,2000,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124242247415272431245524442332610147047',22481,'1003',29.08,1,3,NULL),(15,2282968,'1985-10-16 00:00:00',2,1,12,2003,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241112371331333329285114610127117',NULL,'298',18.67,3,3,NULL),(15,2282976,'1981-03-23 00:00:00',2,1,12,1998,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241243127153751133343235122610114057',13222,'325',47.28,1,3,NULL),(15,2282984,'1988-11-21 00:00:00',2,5,11,2006,'F','N','SANTA BÁRBARA','CRICIUMA','SC','124242246215312431436624345124610117043',11660,'995',49.47,1,3,NULL),(15,2282992,'1989-02-11 00:00:00',4,1,12,2006,'F','N','ASA NORTE','BRASILIA','DF','107072071217471221378622575114610124057',11379,'9998',49.88,1,3,NULL),(15,2283000,'1990-08-17 00:00:00',4,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217171531458811575114610121145',4616,'270',61.97,1,3,NULL),(15,2283018,'1990-07-17 00:00:00',2,4,12,2007,'M','N','CENTRO','ERECHIM','RS','120201201146131731433316572345610118047',8751,'9998',54.10,1,3,NULL),(15,2283034,'1988-10-02 00:00:00',4,1,12,2006,'F','N','JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP','125252251217471431469932574122610137072',10117,'9998',51.76,1,3,NULL),(15,2283042,'1985-08-11 00:00:00',4,1,6,2004,'M','N','SÃO SEBASTIÃO','PALHOCA','SC','124241241112152421446313442114610167042',NULL,'591',22.78,1,3,NULL),(15,2283050,'1985-04-21 00:00:00',4,1,12,2002,'F','N','JARDIM CARVCALHO','PONTA GROSSA','PR','116164161216572431648831415122142463077',NULL,'9998',0.00,1,3,NULL),(15,2283069,'1971-01-16 00:00:00',4,1,12,1988,'F','N','RATONES','FLORIANOPOLIS','SC','224161161446151711263343295122342636192',6248,'9998',58.56,1,3,NULL),(15,2283077,'1990-06-25 00:00:00',2,6,12,2007,'F','N','BOA VISTA','ITUPORANGA','SC','124241241116161731536319345124611014057',22403,'416',30.35,1,2,1),(15,2283085,'1975-02-05 00:00:00',2,1,12,2003,'F','N','INGLESES DO RIO VERM','FLORIANOPOLIS','SC','124241241125271441123149192344610165147',22181,'279',31.57,4,2,1),(15,2283093,'1984-08-18 00:00:00',2,1,12,2002,'M','N','BALNEARIO DO ESTREIT','FLORIANOPOLIS','SC','124241241137231431636319342224610117017',14211,'257',45.86,1,2,1),(15,2283107,'1990-11-30 00:00:00',4,6,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215121432466721415112610124012',16312,'1038',42.88,1,3,NULL),(15,2283115,'1991-01-15 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215272431459613572124610128012',3501,'270',64.76,1,3,NULL),(15,2283123,'1987-10-26 00:00:00',4,1,12,2004,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241317474211568519475114610164062',15502,'1022',44.13,1,3,NULL),(15,2283131,'1990-08-16 00:00:00',4,8,11,2007,'F','N','GLÓRIA','JOINVILLE','SC','124242241216111411446332572122610124147',7824,'459',55.64,1,3,NULL),(15,2283140,'1987-04-26 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241214243411369813481114610164042',NULL,'270',48.81,1,3,NULL),(15,2283158,'1983-06-10 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124244244412173752337723383312133246031',21399,'307',33.97,1,3,NULL),(15,2283166,'1988-01-05 00:00:00',4,1,12,2005,'M','N','JARDIM RIO BRANCO','JUNDIAI','SP','125092091217471441467314572122610136173',6567,'9998',57.95,1,3,NULL),(15,2283174,'1986-09-10 00:00:00',4,5,12,2003,'M','N','SANTO ANTÔNIO','CRICIUMA','SC','124241243146141431546431235122133268172',20814,'228',35.25,1,3,NULL),(15,2283182,'1989-07-25 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241121131411624424391124610127057',NULL,'277',16.31,2,1,1),(15,2283190,'1981-05-10 00:00:00',2,1,12,1998,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124243241417142721456823335123231263022',NULL,'272',0.00,1,3,NULL),(15,2283204,'1989-06-28 00:00:00',4,4,12,2007,'M','N','JARDIM','MARAVILHA','SC','124243241317111431566832225112610128122',NULL,'1037',21.03,1,3,NULL),(15,2283220,'1986-09-19 00:00:00',4,8,12,2003,'M','N','PARQUE BELA VISTA','JACAREZINHO','PR','116162161216572511464412575115121467052',NULL,'9998',0.00,1,3,NULL),(15,2283239,'1988-05-11 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124161241135141731633319142324610168147',NULL,'288',24.17,1,3,NULL),(15,2283255,'1990-01-28 00:00:00',4,2,12,2007,'F','N','VILA NOVA','BLUMENAU','SC','124243241215111441445923245124610123187',NULL,'855',0.00,1,3,NULL),(15,2283263,'1990-12-10 00:00:00',4,7,12,2007,'M','N','SÃO MIGUEL','CONCORDIA','SC','124241241117271431448421395121610137077',19794,'192',37.24,1,3,NULL),(15,2283271,'1988-05-30 00:00:00',4,1,12,2005,'F','N','JARDIM CONSOLAÇÃO','FRANCA','SP','125251251215571331636631575122610127147',15344,'9998',44.33,1,3,NULL),(15,2283280,'1989-11-08 00:00:00',4,3,11,2006,'F','N','VILA PROGRESSO','DOURADOS','MS','112122121217471431458933575112610137122',4921,'9998',61.25,1,3,NULL),(15,2283298,'1989-01-17 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124241241116131331225529391134613227057',NULL,'734',23.04,1,2,1),(15,2283301,'1962-03-25 00:00:00',2,9,12,1996,'F','N','SAGRADO COR JESUS','LAGES','SC','524243244622131411313368382214610158187',NULL,'515',21.39,1,3,NULL),(15,2283310,'1988-03-22 00:00:00',4,1,12,2006,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241211373431524531584121610148047',5975,'270',59.12,1,3,NULL),(15,2283328,'1990-09-05 00:00:00',2,4,12,2007,'M','N','GUILHERME REICH','CONCORDIA','SC','124241241117151731534914245123610144092',17806,'192',40.66,4,1,1),(15,2283344,'1987-11-11 00:00:00',4,1,12,2006,'F','N','ARIRÍU','PALHOCA','SC','124241241112162431538622482114610114147',NULL,'772',14.90,1,3,NULL),(15,2283352,'1985-01-27 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217273421246331472114121467187',1424,'226',71.54,1,3,NULL),(15,2283360,'1990-02-13 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201241416371751468813575114610168195',21596,'9997',33.52,1,3,NULL),(15,2283379,'1975-06-03 00:00:00',2,1,12,2001,'F','N','JURERE','FLORIANOPOLIS','SC','524244247427161431533316481112610111147',NULL,'9997',0.00,4,3,NULL),(15,2283387,'1989-01-10 00:00:00',2,1,12,2006,'F','N','ABRAAO','FLORIANOPOLIS','SC','124241241115132411345623472124610133142',NULL,'292',23.36,1,2,1),(15,2283395,'1981-03-06 00:00:00',4,1,12,2004,'M','N','CENTRO','TIJUCAS','SC','124251247334162431533379285121610116047',NULL,'9999',0.00,4,3,NULL),(15,2283409,'1990-04-23 00:00:00',2,1,12,2007,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','224241241116131411224451572124610111072',21591,'307',33.53,1,2,1),(15,2283417,'1972-09-23 00:00:00',2,1,12,1993,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','424241247126151451243452125124130228187',13136,'9999',47.41,1,3,NULL),(15,2283425,'1988-03-14 00:00:00',2,1,12,2005,'M','N','NOVO ESTEIO','ESTEIO','RS','120201201137271431445819392123610168127',NULL,'9998',0.00,1,2,1),(15,2283450,'1983-06-04 00:00:00',4,1,12,2003,'M','N','PINHEIRA','PALHOCA','SC','124241241126213321246611245123210116051',NULL,'595',17.05,1,3,NULL),(15,2283468,'1990-10-03 00:00:00',4,1,12,2007,'F','N','STJAO','GOIANIA','GO','109094091415111432635511572122610162146',10714,'33',50.86,1,3,NULL),(15,2283476,'1986-07-07 00:00:00',2,1,12,2003,'F','N','BALNEARIO ESTREITO','FLORIANOPOLIS','SC','124241241137272431536464342134610154141',8282,'257',54.88,1,2,1),(15,2283484,'1986-10-08 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215575731478913274124610127112',13678,'262',46.65,1,3,NULL),(15,2283492,'1986-03-06 00:00:00',4,1,12,2003,'F','N','CENTRO','CURITIBA','PR','116241201116332511443311212224131562197',NULL,'9998',0.00,1,3,NULL),(15,2283506,'1991-06-29 00:00:00',4,5,12,2008,'F','S','CENTRO','CRICIUMA','SC','124242241215171711448632571112610136092',NULL,'226',38.38,1,3,NULL),(15,2283514,'1990-05-20 00:00:00',4,1,12,2007,'M','N','JURERÊ TRADICIONAL','FLORIANOPOLIS','SC','124241241112131531524431172124610117047',18231,'307',39.92,1,3,NULL),(15,2283522,'1989-11-25 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215111431587732472112610123182',2246,'270',68.44,1,3,NULL),(15,2283530,'1987-03-07 00:00:00',2,1,12,2005,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241141372431436614241143610124197',7278,'733',56.64,1,3,NULL),(15,2283549,'1983-11-12 00:00:00',4,1,11,2001,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241216474531566914445122121466191',4835,'270',61.45,1,3,NULL),(15,2283557,'1991-07-24 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124243241345421431444931295122610157052',20582,'9997',35.72,1,3,NULL),(15,2283565,'1989-10-29 00:00:00',4,3,11,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241216372431438933371125610133182',12933,'9997',47.67,1,3,NULL),(15,2283573,'1984-06-28 00:00:00',2,1,12,2002,'F','N','PRAIA DOS INGLESES','FLORIANOPOLIS','SC','224241248127131431233654342124610126157',NULL,'170',20.61,4,3,NULL),(15,2283581,'1988-07-12 00:00:00',2,1,10,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124243241117472411664629572124610113047',19753,'281',37.32,1,3,NULL),(15,2283590,'1990-11-23 00:00:00',4,4,10,2007,'F','N','CENTRO','CONCORDIA','SC','124242241215121731457932575122610122017',19620,'1047',37.58,1,3,NULL),(15,2283603,'1990-05-03 00:00:00',2,1,12,2007,'F','N','RODOVIARIO','AGUA BOA','MT','111113118316311711358632575212610124042',NULL,'258',0.00,1,3,NULL),(15,2283611,'1987-02-03 00:00:00',4,1,12,2004,'F','N','SITIOCAPIVARIINGLESE','FLORIANOPOLIS','SC','124241241127331431543319292324610124147',12569,'946',48.19,4,2,1),(15,2283638,'1990-07-11 00:00:00',2,7,12,2007,'M','N','ALTO ALEGRE','CASCAVEL','PR','116162161216271451368933572122610167057',NULL,'9998',0.00,4,3,NULL),(15,2283646,'1987-03-21 00:00:00',4,1,11,2004,'M','N','CENTRO','MOGI DAS CRUZES','SP','125252251215571711558812575122610127057',12944,'9998',47.66,4,3,NULL),(15,2283654,'1988-11-07 00:00:00',4,1,12,2005,'F','N','JARDIM AMÉRICA','RIO DO SUL','SC','124242241211272312449933585112121747142',2978,'654',66.22,1,3,NULL),(15,2283662,'1990-10-02 00:00:00',4,8,12,2007,'M','N','CENTRO','UMUARAMA','PR','116164161217111441538915572122610137012',7280,'9998',56.64,1,3,NULL),(15,2283689,'1988-03-04 00:00:00',4,9,12,2005,'M','N','PETRÓPOLIS','LAGES','SC','124241241416132431323319575124132824037',NULL,'9997',0.00,1,3,NULL),(15,2283700,'1989-01-31 00:00:00',4,1,12,2006,'M','N','CENTRO','SIMONESIA','MG','113131131136471451436413145122610127097',NULL,'9998',0.00,4,2,1),(15,2283727,'1986-06-25 00:00:00',2,2,11,2004,'F','N','ESQUINA','URUBICI','SC','124241241126332341335623245324610133107',NULL,'818',30.83,1,3,NULL),(15,2283735,'1986-06-11 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124201201112131431126344142334610133077',NULL,'9998',21.68,1,2,1),(15,2283743,'1988-10-08 00:00:00',2,5,6,2007,'F','N','CENTRO','SIDEROPOLIS','SC','124242241217311431634723435114610133056',NULL,'995',0.00,1,3,NULL),(15,2283751,'1991-08-09 00:00:00',4,6,11,2008,'M','S','VILA OPERÁRIA','ITAJAI','SC','124242241217151431337621275122610117052',NULL,'392',54.99,1,3,NULL),(15,2283760,'1990-05-16 00:00:00',4,4,12,2007,'M','N','MORADA DO SOL','MARAVILHA','SC','124242241217151431479711475122610124181',18525,'1037',39.44,1,3,NULL),(15,2283786,'1990-06-09 00:00:00',4,4,12,2007,'M','N','INDUSTRIAL','SEARA','SC','124244241215111711448912222122610124147',9435,'1047',52.89,1,3,NULL),(15,2283794,'1983-09-23 00:00:00',4,1,12,2001,'F','N','ESTREITO','FLORIANOPOLIS','SC','224251251116474441246653295124610127092',16727,'9998',42.28,4,3,NULL),(15,2283808,'1989-03-23 00:00:00',4,1,6,2007,'F','N','JD ROSEANA','SAO JOSE DO RIO PRETO','SP','125252251211371431579831571212610114042',13824,'9998',46.42,1,3,NULL),(15,2283816,'1987-05-16 00:00:00',2,2,12,2004,'F','N','VILA GERMER','TIMBO','SC','124244241215374731357614472124610164147',8056,'948',55.26,2,3,NULL),(15,2283832,'1989-12-08 00:00:00',4,8,12,2007,'F','N','CENTRO','BARRA DO PIRAI','RJ','121212211216151431556816572222610113187',NULL,'9998',0.00,1,3,NULL),(15,2283840,'1988-11-09 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124161161116572431536619575125221864177',5663,'9998',59.75,1,2,1),(15,2283859,'1991-05-11 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241216111432358823575112610137047',NULL,'262',39.58,1,3,NULL),(15,2283867,'1988-02-07 00:00:00',2,1,12,2005,'F','N','BARREIROS AREIAS','SAO JOSE','SC','124241248136234431533619445234610116187',22079,'734',32.01,4,2,1),(15,2283875,'1991-02-09 00:00:00',2,5,11,2007,'F','N','COMERCIÁRIO','CRICIUMA','SC','124244241215151411459811474112610124192',7450,'210',56.33,1,3,NULL),(15,2283883,'1981-01-27 00:00:00',4,1,12,1998,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124253253122275411335744342324140233027',16904,'9998',42.00,1,3,NULL),(15,2283891,'1986-05-21 00:00:00',4,1,12,2003,'F','N','PIRITUBA','SAO PAULO','SP','125251253227471431657611275124610125012',7754,'9998',55.78,1,3,NULL),(15,2283905,'1990-10-29 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215112431469934575122610112141',2864,'226',66.55,1,3,NULL),(15,2283913,'1982-08-20 00:00:00',2,1,12,2002,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124243247342131431128649392344610117141',22286,'1003',31.10,3,3,NULL),(15,2283921,'1990-06-27 00:00:00',4,1,2,2008,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241117131431448834232124610146052',10950,'306',50.54,1,3,NULL),(15,2283930,'1988-10-20 00:00:00',2,8,12,2006,'F','N','IRIRIÚ','JOINVILLE','SC','124241246216371431428324485122610127142',19008,'494',38.66,1,3,NULL),(15,2283948,'1988-10-25 00:00:00',2,4,12,2005,'M','N','CENTRO','PATO BRANCO','PR','116163111336151431553312245122610134067',NULL,'9998',0.00,1,3,NULL),(15,2283956,'1990-05-19 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124241241122131311234364242324610117047',20998,'257',34.85,1,3,NULL),(15,2283964,'1990-09-27 00:00:00',5,10,12,2008,'M','S','BAIRRO','TUBARAO','SC','124242241215111731237624595124610114172',NULL,'809',41.05,1,3,NULL),(15,2283972,'1990-06-18 00:00:00',2,1,11,2007,'M','N','CENTRO','TIJUCAS','SC','124242241215112431446812572122610164097',12615,'948',48.12,1,3,NULL),(15,2283980,'1990-07-05 00:00:00',4,10,11,2007,'M','N','HUMAITÁ','TUBARAO','SC','124244241215371441469813575121610134083',228,'806',79.60,1,3,NULL),(15,2283999,'1990-06-14 00:00:00',2,4,12,2007,'F','N','CENTRO','MODELO','SC','124241241115371511458632572125610166192',NULL,'562',0.00,1,3,NULL),(15,2284006,'1990-09-24 00:00:00',2,4,11,2007,'F','N','CENTRO','CHAPECO','SC','124242241215471431468612575122610117017',20951,'9997',34.96,1,3,NULL),(15,2284014,'1987-02-05 00:00:00',4,1,11,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241417132431434833375123230217112',NULL,'228',0.00,1,3,NULL),(15,2284022,'1991-10-15 00:00:00',4,1,11,2007,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124242241215111431489812574122610138182',2654,'723',67.15,1,3,NULL),(15,2284030,'1987-12-19 00:00:00',2,1,12,2005,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241215573731466833572124131024047',15215,'270',44.51,4,3,NULL),(15,2284049,'1988-09-23 00:00:00',2,1,12,2005,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124242241217433431466913485124330431147',12113,'270',48.85,1,3,NULL),(15,2284057,'1980-12-18 00:00:00',4,1,12,1996,'M','N','CACHAMBI','RIO DE JANEIRO','RJ','121212211217151711455619321121141766175',NULL,'9998',0.00,1,3,NULL),(15,2284065,'1990-09-30 00:00:00',4,2,12,2007,'M','N','PROGRESSO','BLUMENAU','SC','124241241125131231454339295124610124047',NULL,'80',20.28,1,3,NULL),(15,2284073,'1989-08-15 00:00:00',4,1,11,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241211273431446613392124133227057',14996,'300',44.80,1,3,NULL),(15,2284081,'1986-12-03 00:00:00',2,1,12,2003,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241116135421446411245134610164092',19503,'281',37.82,4,3,NULL),(15,2284103,'1987-06-01 00:00:00',2,1,12,2004,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241316444131236624345114610122077',13345,'1036',47.12,1,3,NULL),(15,2284120,'1988-08-23 00:00:00',4,8,12,2006,'F','N','BOA VISTA','JOINVILLE','SC','124242241216472431368634575124131414012',4248,'457',62.81,2,3,NULL),(15,2284138,'1990-06-13 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241415111732441729574112610131072',NULL,'1022',0.00,1,3,NULL),(15,2284146,'1990-02-08 00:00:00',2,4,11,2007,'M','N','BELA VISTA','ERECHIM','RS','120201201215111431436311342124610127057',11646,'9998',49.49,1,3,NULL),(15,2284154,'1990-10-12 00:00:00',4,1,12,2007,'M','N','CENTRO','MARTINOPOLIS','SP','125252251215171431338821572124610167057',9302,'9998',53.12,1,3,NULL),(15,2284162,'1990-03-02 00:00:00',2,8,12,2007,'M','N','BAEPENDI','JARAGUA DO SUL','SC','124241241147161751234628345121610132092',NULL,'433',22.13,1,2,1),(15,2284170,'1990-12-03 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241216111431366627575112610117052',NULL,'273',18.41,1,3,NULL),(15,2284189,'1989-11-13 00:00:00',4,1,12,2008,'M','S','ITACORUBI','FLORIANOPOLIS','SC','124242241215151732379913372112610168182',NULL,'951',34.10,1,3,NULL),(15,2284197,'1989-06-27 00:00:00',4,1,12,2006,'M','N','RIO BRANCO','PORTO ALEGRE','RS','120202201217371411568862571114610148042',NULL,'9998',0.00,1,3,NULL),(15,2284200,'1990-04-06 00:00:00',4,10,11,2007,'M','N','REVOREDO','TUBARAO','SC','124242241215131431456814472124610125011',7096,'806',56.97,1,3,NULL),(15,2284219,'1991-12-14 00:00:00',4,5,11,2008,'F','S','CENTRO','SOMBRIO','SC','124242241217111431448614572124613234142',NULL,'970',42.40,1,3,NULL),(15,2284227,'1991-12-16 00:00:00',4,1,12,2007,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241215111431469712582124610124132',11518,'262',49.69,1,3,NULL),(15,2284235,'1989-01-24 00:00:00',2,1,12,2006,'M','N','CENTRO','IRINEOPOLIS','SC','124241241121132411545833292121610167047',11376,'381',49.88,1,2,1),(15,2284251,'1990-10-25 00:00:00',2,1,12,2007,'F','N','CENTRO','MARAU','RS','120204201216141531468811295122610124077',13815,'9998',46.44,1,3,NULL),(15,2284260,'1990-01-29 00:00:00',2,3,12,2006,'F','N','MORRETES','ITAPEMA','SC','124243241217132431426611372121610135012',11546,'781',49.64,1,3,NULL),(15,2284278,'1989-11-23 00:00:00',4,1,11,2007,'F','N','SANTA TERESA','VIDEIRA','SC','124243241417151431348912243124610131142',15357,'969',44.32,1,3,NULL),(15,2284286,'1990-12-16 00:00:00',4,1,12,2007,'M','N','DAS TORRES','VIDEIRA','SC','124244241417131442338722275124610112142',21688,'831',33.29,2,3,NULL),(15,2284294,'1990-09-15 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124241248215121751455614575124610124145',18981,'270',38.70,1,3,NULL),(15,2284308,'1989-03-08 00:00:00',4,1,12,2006,'M','N','JARDIN ESTORIL','SAO JOSE DOS CAMPOS','SP','125254251217471531469814575124610162177',6710,'9998',57.71,1,3,NULL),(15,2284316,'1989-06-03 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212172712247419595114230267017',9791,'266',52.28,1,3,NULL),(15,2284324,'1987-08-05 00:00:00',2,3,12,2004,'M','N','CENTRO','SANTA MARIA','RS','120202201216471731538613495122610137042',19241,'9998',38.28,1,3,NULL),(15,2284332,'1982-12-28 00:00:00',2,1,11,1998,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241248111133711121544242334610168182',NULL,'293',0.00,1,2,1),(15,2284340,'1989-02-28 00:00:00',4,1,6,2007,'M','N','JARDIM BARÁ','DOURADOS','MS','112122121216271431557812575122610167122',NULL,'9998',0.00,1,3,NULL),(15,2284359,'1991-07-08 00:00:00',4,1,12,2008,'F','S','TROPICAL','CASCAVEL','PR','116162161217111331668813574122610165057',NULL,'9998',0.00,1,3,NULL),(15,2284367,'1990-07-25 00:00:00',4,1,12,2007,'F','N','AREIAS','FLORIANOPOLIS','SC','124244248412111731326649575124610115072',NULL,'269',0.00,3,3,NULL),(15,2284375,'1986-08-13 00:00:00',4,1,11,2003,'F','N','JARDIM DA PENHA','VITORIA','ES','108132131216471711528823394325610168091',5630,'9998',59.81,3,3,NULL),(15,2284383,'1988-06-17 00:00:00',2,6,7,2005,'F','N','CENTRO','PORTO UNIAO','SC','124242247214571711659911576115132667017',14445,'631',45.51,1,3,NULL),(15,2284391,'1990-07-17 00:00:00',4,2,12,2007,'M','N','CENTRO','JARAGUA DO SUL','SC','124242241215271751346619175112610168186',10705,'1061',50.87,1,3,NULL),(15,2284405,'1990-01-12 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124244241215112411337933575114610164035',12025,'270',48.95,1,3,NULL),(15,2284413,'1990-04-06 00:00:00',4,1,12,2007,'M','N','SANTA CRUZ','RIBEIRAO PRETO','SP','125252251215111411559811312122610127042',18562,'9998',39.39,1,3,NULL),(15,2284421,'1987-09-12 00:00:00',4,9,12,2004,'F','N','CORAL','LAGES','SC','124244241215472431568911471122132822197',7337,'497',56.54,1,3,NULL),(15,2284430,'1989-11-29 00:00:00',4,8,12,2007,'F','N','LUCENA','ITAIOPOLIS','SC','124241241426111431536811575114610112097',NULL,'1024',0.00,1,3,NULL),(15,2284448,'1990-10-02 00:00:00',4,4,12,2007,'F','N','CENTRO','FREDERICO WESTPHALEN','RS','120203201116131431438714575122610132047',14568,'9998',45.31,1,3,NULL),(15,2284456,'1990-05-23 00:00:00',4,1,12,2007,'F','N','CENTRO','ITUPORANGA','SC','124241241136131531324344346334610128052',20925,'416',35.02,1,3,NULL),(15,2284464,'1988-05-27 00:00:00',2,1,12,2005,'M','N','PITUBA','SALVADOR','BA','105052051217471451478712575122610126042',5130,'9998',60.85,5,3,NULL),(15,2284472,'1990-11-16 00:00:00',2,6,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241417121431436611174312610135197',NULL,'9997',0.00,1,3,NULL),(15,2284480,'1990-05-12 00:00:00',2,4,12,2007,'F','N','PRIMAVERA','SAO JOSE DO CEDRO','SC','124241241115131432424414142335610124177',20326,'740',36.19,1,2,1),(15,2284499,'1991-06-09 00:00:00',4,5,11,2007,'F','N','COMERCIARIO','CRICIUMA','SC','124242241215371441467811372122610156077',12908,'226',47.71,3,3,NULL),(15,2284502,'1987-06-19 00:00:00',2,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241116272421123344345224610128147',11878,'17',49.13,1,2,1),(15,2284510,'1990-03-14 00:00:00',4,1,11,2007,'M','N','CENTRO','SAO JOSE','SC','124242241215111441633623432114610122197',14693,'1022',45.16,1,3,NULL),(15,2284529,'1985-09-23 00:00:00',1,4,12,2004,'M','N','FLORESTA','MARAVILHA','SC','124241241117131311123344442223232734092',19328,'234',38.11,1,3,NULL),(15,2284537,'1990-06-07 00:00:00',2,1,12,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241127131432524469572124610122057',NULL,'278',21.92,1,2,1),(15,2284545,'1990-09-16 00:00:00',2,5,12,2007,'F','N','URUSSANGUINHA','ARARANGUA','SC','124241241211111711455939575122610138052',14053,'26',46.09,1,3,NULL),(15,2284553,'1990-12-04 00:00:00',4,7,11,2007,'M','N','CENTRO','CAMPOS NOVOS','SC','124242241215131431447933435115610122147',13876,'138',46.35,4,1,2),(15,2284561,'1989-10-03 00:00:00',4,5,11,2007,'M','N','SÃO CRISTÓVÃO','CRICIUMA','SC','124242241235111531468814345122610117042',12194,'210',48.74,1,3,NULL),(15,2284570,'1988-07-13 00:00:00',2,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','124242241316112111459314382215123222047',15027,'580',44.76,1,3,NULL),(15,2284588,'1990-02-02 00:00:00',4,4,12,2007,'M','N','INTERIOR','SAO MIGUEL DOESTE','SC','124241242116151431423336575225610116047',15013,'758',44.78,1,3,NULL),(15,2284596,'1988-12-15 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215122131357833595122231024067',12114,'270',48.85,1,3,NULL),(15,2284618,'1990-12-30 00:00:00',4,4,12,2007,'M','N','CENTRO','SAO CARLOS','SC','124241241137141431454933245121610167042',18989,'704',38.69,1,2,1),(15,2284626,'1990-05-27 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241247317131431546611575114610124087',NULL,'307',14.67,1,3,NULL),(15,2284634,'1988-12-14 00:00:00',4,4,12,2005,'M','N','CENTRO','BAGE','RS','120202201317573431479811575124610122052',371,'9998',77.87,1,3,NULL),(15,2284650,'1990-12-27 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124242241217151431564312242122610167115',13334,'724',47.14,1,3,NULL),(15,2284669,'1989-11-04 00:00:00',4,5,11,2007,'M','N','MICHEL','CRICIUMA','SC','124242241215111731348734372121610142182',13384,'226',47.08,1,3,NULL),(15,2284677,'1986-07-24 00:00:00',2,1,11,2004,'F','N','CAMPINAS','SAO JOSE','SC','124241248124472431548611374124232562147',16353,'736',42.82,1,2,1),(15,2284685,'1990-09-06 00:00:00',4,2,10,2007,'M','N','GARCIA','BLUMENAU','SC','124243248217121431349923212114610162077',9887,'86',52.12,1,3,NULL),(15,2284693,'1984-03-06 00:00:00',2,1,12,2002,'M','N','AREIAS','SAO JOSE','SC','124243241144374431243343332314133236172',9977,'257',51.97,4,3,NULL),(15,2284707,'1990-07-16 00:00:00',4,8,12,2007,'F','N','LIMOEIRO','BRUSQUE','SC','124241241115131731532214141124610125177',NULL,'116',27.34,1,2,1),(15,2284715,'1991-03-31 00:00:00',4,6,12,2007,'M','N','CENTRO','TIJUCAS','SC','124242241217111431447912292122610127042',18823,'781',38.95,1,3,NULL),(15,2284723,'1989-07-10 00:00:00',4,1,12,2006,'F','N','CENTRO','RESENDE','RJ','121214218217471431358713595112610165142',14023,'9998',46.13,2,1,2),(15,2284740,'1990-06-09 00:00:00',4,9,12,2007,'F','N','CENTRO','VACARIA','RS','120201201115111411548811492122610111142',NULL,'9998',22.68,1,3,NULL),(15,2284758,'1990-08-01 00:00:00',4,5,12,2007,'M','N','CENTRO','MORRO DA FUMACA','SC','124242241215111751458812372122610167043',NULL,'1107',21.02,1,3,NULL),(15,2284766,'1985-12-23 00:00:00',4,1,12,2003,'M','N','VILA TUPI','VARZEA PAULISTA','SP','125252251445471411475614242122141467022',6270,'9998',58.51,1,3,NULL),(15,2284774,'1989-12-14 00:00:00',2,4,12,2006,'M','N','CENTRO','CHAPECO','SC','124123128115471731336612575112610168072',17272,'9998',41.46,1,3,NULL),(15,2284782,'1982-02-01 00:00:00',2,1,12,2000,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124121128627244421213341344341610131052',NULL,'9999',24.85,1,3,NULL),(15,2284790,'1987-07-27 00:00:00',4,2,11,2004,'M','N','CANOAS','RIO DO SUL','SC','124242241216574431556834575115120727067',11242,'654',50.10,1,3,NULL),(15,2284804,'1989-12-30 00:00:00',2,5,11,2007,'M','N','CENTRO','ICARA','SC','124242242217111731426639312124610112112',15576,'207',44.01,1,3,NULL),(15,2284812,'1989-03-30 00:00:00',4,3,12,2007,'M','N','VILA OSORIO','ITARARE','SP','125254258416111731517819292335610128117',NULL,'9998',0.00,5,3,NULL),(15,2284820,'1989-04-11 00:00:00',2,8,12,2006,'F','N','VILA NOVA','JOINVILLE','SC','124213051215371431356614495124610128142',17009,'9998',41.87,4,3,NULL),(15,2284847,'1990-11-21 00:00:00',4,1,11,2007,'M','N','VILA INDUSTRIAL','TOLEDO','PR','116164161215111732559921275121610167057',NULL,'9998',0.00,1,3,NULL),(15,2284863,'1989-06-07 00:00:00',4,1,12,2007,'M','N','DANIELA','FLORIANOPOLIS','SC','124242241215111431238821572114610137092',7951,'270',55.44,1,3,NULL),(15,2284871,'1988-08-08 00:00:00',2,9,12,2007,'M','N','GLORIA','VACARIA','RS','120201242116141421326829185345610164047',NULL,'9997',24.37,1,3,NULL),(15,2284880,'1990-11-18 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124243241215121431445511572124610133125',18035,'269',40.26,1,3,NULL),(15,2284898,'1984-07-26 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241216312432322431384113220317172',NULL,'806',0.00,1,3,NULL),(15,2284901,'1990-02-11 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215112731258924572111610167067',9055,'1022',53.56,1,3,NULL),(15,2284910,'1990-07-11 00:00:00',2,5,12,2007,'F','N','RIO MAINA','CRICIUMA','SC','124241241236151431346939575124610168097',22030,'920',32.18,4,3,NULL),(15,2284928,'1990-10-07 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241217151431466639295121610167181',NULL,'9997',36.49,1,3,NULL),(15,2284936,'1990-03-06 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124283247331131531536821215124610126162',9811,'977',52.24,1,3,NULL),(15,2284944,'1982-05-05 00:00:00',2,1,12,1999,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241117375411346774242224220864087',9555,'307',52.68,1,3,NULL),(15,2284952,'1987-12-05 00:00:00',4,10,12,2005,'M','N','CENTRO','IMBITUBA','SC','124242241214133711255335294123210247084',18316,'262',39.77,1,3,NULL),(15,2284987,'1990-05-07 00:00:00',4,4,12,2007,'M','N','TRÊS VENDAS','ERECHIM','RS','120201201116161711445631391122610117182',20454,'9998',35.95,1,2,1),(15,2284995,'1989-08-27 00:00:00',4,2,12,2006,'F','N','RODEIO DOZE','RODEIO','SC','124243241217472431546912375122610126042',5614,'37',59.84,1,3,NULL),(15,2285002,'1991-12-24 00:00:00',4,8,12,2008,'F','S','GLÓRIA','JOINVILLE','SC','124244241415111531436824572122610142122',NULL,'487',22.41,3,3,NULL),(15,2285010,'1990-11-30 00:00:00',2,4,11,2007,'F','N','TACCA','XANXERE','SC','124244241116471431535519495122610122147',NULL,'1046',0.00,4,3,NULL),(15,2285029,'1988-02-28 00:00:00',4,1,12,2005,'F','N','ALTAVILLE','POUSO ALEGRE','MG','113132131217471431538821572122143267012',9797,'9998',52.27,4,3,NULL),(15,2285037,'1990-06-04 00:00:00',4,4,11,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124243241214271431359711211122610135146',NULL,'752',0.00,1,3,NULL),(15,2285045,'1990-07-26 00:00:00',4,10,11,2007,'M','N','CENTRO','TUBARAO','SC','124242241215111411455829492122610137042',10631,'807',50.98,1,3,NULL),(15,2285053,'1990-11-24 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241235171431258823572122610118172',NULL,'270',22.33,1,3,NULL),(15,2285061,'1988-02-19 00:00:00',2,8,11,2005,'F','N','AGUA VERDE','CURITIBA','PR','116112161211532711566639394122610118142',567,'9998',76.31,1,3,NULL),(15,2285070,'1990-10-24 00:00:00',4,5,11,2007,'F','N','CENTRO','ICARA','SC','124242241215121731376611572112610164171',3623,'226',64.41,1,3,NULL),(15,2285088,'1984-12-01 00:00:00',4,1,12,2002,'M','N','CENTRO','ESTEIO','RS','120202201117131421456519241125610147117',NULL,'9998',0.00,1,3,NULL),(15,2285096,'1990-11-26 00:00:00',2,10,11,2007,'F','N','CENTRO','SAO JOAQUIM','SC','124244241415371331428816392122610124192',19785,'1035',37.27,3,3,NULL),(15,2285100,'1990-11-01 00:00:00',2,4,12,2007,'F','N','TACCA','XANXERE','SC','124242241212111711656623272222610124192',17710,'836',40.79,1,3,NULL),(15,2285118,'1986-09-16 00:00:00',2,1,12,2003,'M','N','PANTANAL','FLORIANOPOLIS','SC','124243241115474431559519474114610162147',6351,'307',58.36,1,3,NULL),(15,2285126,'1988-09-07 00:00:00',2,4,12,2007,'F','N','INTERIOR','BELMONTE','SC','124241241133161411413336572324610127057',NULL,'60',23.16,1,2,1),(15,2285134,'1988-07-03 00:00:00',2,6,12,2005,'M','N','CENTRO','NAVEGANTES','SC','124242241212473431367933575122610167045',14548,'392',45.34,1,3,NULL),(15,2285142,'1991-03-12 00:00:00',4,1,12,2008,'F','S','TRINDADE','FLORIANOPOLIS','SC','124241241215111431354729592124610118182',NULL,'1022',35.11,1,3,NULL),(15,2285150,'1981-02-01 00:00:00',2,7,11,1999,'M','N','CENTRO','CASCAVEL','PR','116161161215471411643311195122610112092',9315,'9998',53.10,3,3,NULL),(15,2285169,'1984-01-25 00:00:00',4,1,12,2001,'M','N','INGLESES','FLORIANOPOLIS','SC','124243247347372431646634281124610164112',15774,'9999',43.71,4,3,NULL),(15,2285177,'1965-05-01 00:00:00',4,1,8,1990,'M','N','IPIRANGA','SAO JOSE','SC','224201208125472711424443331333610122053',14082,'9999',46.06,1,2,1),(15,2285185,'1990-10-05 00:00:00',2,2,12,2007,'F','N','CENTRO','GUABIRUBA','SC','124242241216271411465312575122610132092',12891,'107',47.73,1,3,NULL),(15,2285193,'1991-12-27 00:00:00',4,1,12,2008,'F','S','AREIAS','SAO JOSE','SC','124241241221111431434731572124610133017',NULL,'262',32.83,1,3,NULL),(15,2285207,'1988-08-23 00:00:00',2,1,10,2005,'M','N','PICADAS DO SUL','SAO JOSE','SC','124242241212343421469713495114610167183',13886,'269',46.33,1,3,NULL),(15,2285215,'1991-04-26 00:00:00',4,2,12,2007,'M','N','MARGEM ESQUERDA','GASPAR','SC','124241241215131451344823274121610168112',10943,'1004',50.55,1,3,NULL),(15,2285223,'1990-08-05 00:00:00',4,1,11,2007,'F','N','CENTRO','SANTA ROSA','RS','120204201216131431336934575222610138187',18711,'9998',39.15,1,3,NULL),(15,2285231,'1982-02-25 00:00:00',4,1,12,1999,'F','N','VICTORIO LUCATO','LIMEIRA','SP','125251251126571411233344445124610164187',NULL,'9998',0.00,1,2,1),(15,2285240,'1990-08-17 00:00:00',4,4,12,2007,'F','N','CENTRO','SARANDI','RS','120201201216111431666616465312510145182',20753,'9998',35.39,1,3,NULL),(15,2285258,'1989-12-23 00:00:00',2,8,12,2007,'F','N','AMÉRICA','JOINVILLE','SC','124241241216141431438831422124610143147',14421,'1105',45.55,1,3,NULL),(15,2285266,'1990-07-30 00:00:00',2,9,12,2007,'F','N','CENTRO','VACARIA','RS','120202201216271711336824375112610128142',19892,'9998',37.02,1,3,NULL),(15,2285274,'1990-04-07 00:00:00',4,10,12,2007,'F','N','PASSAGEM','TUBARAO','SC','124241241415111431436412225122610122072',NULL,'809',25.58,1,3,NULL),(15,2285282,'1990-09-02 00:00:00',4,2,11,2007,'F','N','FORTALEZA','BLUMENAU','SC','124243241215272431347613584122610166172',1089,'909',73.07,1,3,NULL),(15,2285290,'1990-06-21 00:00:00',2,8,12,2007,'F','N','JARDIM PRIMAVERA','SALTO DE PIRAPORA','SP','125253251116131431446631575112610168147',NULL,'9998',0.00,1,3,NULL),(15,2285304,'1991-02-14 00:00:00',2,5,12,2007,'F','N','MATO ALTO','ARARANGUA','SC','124241241115131131434931572121610137057',NULL,'30',24.33,1,2,1),(15,2285320,'1989-05-14 00:00:00',2,3,12,2006,'M','N','CENTRO','CAMBORIU','SC','124244243137372431433613475124610126057',NULL,'129',47.40,1,3,NULL),(15,2285339,'1990-01-02 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241317271431643514242114610167092',21572,'300',33.57,1,3,NULL),(15,2285347,'1990-10-27 00:00:00',4,1,12,2007,'F','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124241241115131731336823572224610143047',NULL,'286',23.03,1,2,1),(15,2285355,'1988-11-09 00:00:00',2,1,11,2007,'M','N','MONTE CRISTO','FLORIANOPOLIS','SC','124241241115131411524624392324610167067',NULL,'293',0.00,2,1,1),(15,2285371,'1988-12-06 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANOPOLIS','SC','124243241116453231579734575122222067052',410,'271',77.59,1,3,NULL),(15,2285380,'1990-09-27 00:00:00',2,8,12,2007,'M','N','CENTRO','MARIAPOLIS','SP','125253251437151411227612572222610132177',15848,'9998',43.61,1,3,NULL),(15,2285398,'1990-07-03 00:00:00',4,4,12,2007,'M','N','CENTRO','PATO BRANCO','PR','116162161115471411478932585112610164097',5288,'9998',60.54,1,3,NULL),(15,2285401,'1990-09-11 00:00:00',4,7,11,2007,'M','N','CENTRO','JOACABA','SC','124242241214121431578731272122610162147',16328,'454',42.85,1,3,NULL),(15,2285410,'1989-12-25 00:00:00',4,1,12,2006,'F','N','CRISTO REDENTOR','PORTO ALEGRE','RS','120202201216472431457923585124242012187',13351,'9998',47.11,1,3,NULL),(15,2285428,'1989-04-05 00:00:00',2,1,12,2006,'M','N','CENTRO','PITANGA','PR','116162161316471441528831391124610147017',NULL,'9998',0.00,1,3,NULL),(15,2285436,'1986-07-27 00:00:00',4,1,12,2003,'M','N','VILA SEIXAS','RIBEIRAO PRETO','SP','125134131216571751568831595122610167057',NULL,'9998',0.00,1,3,NULL),(15,2285444,'1982-11-17 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANOPOLIS','SC','120201207221471411225519441224610122142',NULL,'9998',23.98,1,3,NULL),(15,2285452,'1990-09-30 00:00:00',2,4,11,2007,'F','N','CENTRO','GUARUJA DO SUL','SC','124242241215111231436614442122610133142',17021,'9997',41.85,1,3,NULL),(15,2285460,'1983-04-29 00:00:00',4,6,12,2002,'M','N','FAZENDA','ITAJAI','SC','124241247427141411535111142333131127082',NULL,'402',0.00,2,3,NULL),(15,2285479,'1990-11-13 00:00:00',2,1,2,2009,'F','S','CANTO DA LAGOA','FLORIANOPOLIS','SC','124244241215121731675511574112610137092',NULL,'299',49.59,1,3,NULL),(15,2285487,'1990-10-16 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215152431445614172145610163071',1185,'270',72.54,1,3,NULL),(15,2285495,'1989-09-27 00:00:00',4,6,12,2006,'M','N','BARRA DO RIO','ITAJAI','SC','124242241215472441567624284121130734142',923,'388',73.95,1,3,NULL),(15,2285509,'1983-10-03 00:00:00',2,1,12,2002,'M','N','CAMPINAS','SAO JOSE','SC','124242247426133122353614392334131044047',15752,'9999',43.74,1,3,NULL),(15,2285517,'1990-09-22 00:00:00',4,4,12,2007,'M','N','CENTRO','ITAPIRANGA','SC','124241241227111421359611491121610128122',NULL,'1060',24.07,1,3,NULL),(15,2285525,'1989-07-14 00:00:00',4,4,12,2007,'F','N','CENTRO','MARAVILHA','SC','124241241147131231113344245325610128077',21732,'552',33.17,4,3,NULL),(15,2285533,'1990-05-10 00:00:00',4,4,11,2007,'F','N','VILA YOLANDA','FOZ DO IGUACU','PR','116162161216271431466819575122610122112',17754,'9998',40.73,1,3,NULL),(15,2285541,'1989-01-04 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241436472431437814595122610161187',NULL,'653',0.00,1,3,NULL),(15,2285550,'1989-08-25 00:00:00',2,10,11,2007,'F','N','CENTRO','TUBARAO','SC','124242241315141431348412392121610164022',NULL,'1034',18.12,1,3,NULL),(15,2285568,'1990-10-17 00:00:00',4,1,12,2007,'M','N','CENTRO','LEOBERTO LEAL','SC','124241241125171431435911242122610167057',19329,'533',38.11,1,2,1),(15,2285576,'1989-08-08 00:00:00',2,8,12,2007,'F','N','IRIRIÚ','JOINVILLE','SC','124242248217131421438611285124610167072',15455,'494',44.18,1,3,NULL),(15,2285584,'1987-09-11 00:00:00',4,4,12,2005,'M','N','CENTRO','IPORA DO OESTE','SC','124243241526151431569813335121610162172',9248,'370',53.19,1,3,NULL),(15,2285606,'1988-10-08 00:00:00',2,1,12,2005,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241146132431133511242124130216143',NULL,'772',0.00,1,2,1),(15,2285614,'1991-09-25 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242248212171731465612572114610122091',NULL,'270',34.34,1,3,NULL),(15,2285630,'1991-09-05 00:00:00',4,9,12,2008,'F','S','VILA NOVA','LAGES','SC','124242241215171431469814445122610137142',NULL,'497',22.66,1,3,NULL),(15,2285649,'1991-05-21 00:00:00',4,1,12,2008,'M','S','BELA VISTA','SAO JOSE','SC','124241241225111431535314442124610167027',NULL,'262',44.99,3,3,NULL),(15,2285657,'1989-06-29 00:00:00',4,1,12,2006,'M','N','BELA VISTA','SAO JOSE DOS CAMPOS','SP','125251253216471431465824572111610167097',NULL,'9998',0.00,1,3,NULL),(15,2285665,'1990-08-12 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124243241215111411457314572112610164117',NULL,'226',0.00,1,3,NULL),(15,2285673,'1985-08-28 00:00:00',4,1,12,2003,'M','N','NOVA SOROCABA','SOROCABA','SP','125251251126471431435617375121610134147',15384,'9998',44.29,4,3,NULL),(15,2285681,'1991-04-14 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124243241215111731447613475124610167147',8496,'1118',54.51,1,3,NULL),(15,2285690,'1989-06-05 00:00:00',2,1,12,2005,'M','N','SANTO ANT DE LISBOA','FLORIANOPOLIS','SC','124241241341373411446623375124233227057',10301,'1048',51.48,4,3,NULL),(15,2285703,'1990-09-29 00:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215112431469933372112610165182',4775,'270',61.58,1,3,NULL),(15,2285711,'1988-02-21 00:00:00',2,5,11,2005,'M','N','COLONINHA','ARARANGUA','SC','124242241215372431445833372122610127052',13128,'32',47.42,1,3,NULL),(15,2285720,'1990-03-02 00:00:00',4,4,12,2007,'F','N','CENTRO','PINHALZINHO','SC','124241241115131431433319195122610132147',NULL,'616',24.92,1,2,1),(15,2285738,'1985-08-31 00:00:00',4,1,12,2003,'M','N','PANTANAL','FLORIANOPOLIS','SC','124253256227572711228514425114610137015',9764,'9998',52.32,1,3,NULL),(15,2285746,'1954-12-07 00:00:00',2,1,12,1974,'F','N','CÓRREGRO GRANDE','FLORIANOPOLIS','SC','524241241447152711243449292242122266147',18352,'265',39.71,1,3,NULL),(15,2285754,'1991-07-17 00:00:00',2,2,11,2007,'F','N','CENTRO','FRANCISCO BELTRAO','PR','116162161215111431546932575112610113147',NULL,'9998',0.00,1,3,NULL),(15,2285762,'1975-04-06 00:00:00',2,1,12,1992,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','224254258222271431346844242115140762197',6911,'9998',57.32,1,3,NULL),(15,2285770,'1988-06-29 00:00:00',4,3,12,2005,'M','N','CENTRO','LONDRINA','PR','116162161316571531479933575122610167042',NULL,'9998',0.00,1,3,NULL),(15,2285797,'1978-01-08 00:00:00',2,1,12,1999,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124161161146333411123344415124610124152',19556,'9998',37.71,1,2,1),(15,2285800,'1984-08-03 00:00:00',2,1,12,2001,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124081081147131751223451212224610121147',20559,'9998',35.78,1,3,NULL),(15,2285819,'1971-08-10 00:00:00',2,1,12,1988,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241243127353421224349432234120828187',9615,'712',52.57,1,3,NULL),(15,2285827,'1989-11-08 00:00:00',2,9,11,2007,'M','N','JARDIM MINUANO','SAO JOAQUIM','SC','124242241215111431626636372122610137042',19209,'720',38.33,1,3,NULL),(15,2285835,'1990-03-13 00:00:00',2,1,12,2007,'F','N','ALTO ARIRIU','PALHOCA','SC','124241241122131731421319292224610117153',22128,'773',31.81,1,2,1),(15,2285843,'1988-07-03 00:00:00',4,1,12,2005,'M','N','MORADA DO OURO','CUIABA','MT','111112111211151411357833572224241444092',3741,'9998',64.10,1,3,NULL),(15,2285851,'1991-05-15 00:00:00',4,1,12,2008,'F','S','CARIANOS','FLORIANOPOLIS','SC','124242241215111732365833576124610124017',NULL,'1098',42.91,4,3,NULL),(15,2285860,'1990-01-02 00:00:00',2,6,10,2007,'F','N','CENTRO','NAVEGANTES','SC','124242241215111231448823392121610167077',21585,'1057',33.53,1,3,NULL),(15,2285878,'1990-09-12 00:00:00',4,4,11,2007,'F','N','CENTRO','PALMITOS','SC','124241241216161431445739575122610121192',18285,'600',39.81,1,3,NULL),(15,2285886,'1987-02-19 00:00:00',4,1,12,2004,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241216473431467612275134610121187',16352,'1022',42.82,1,3,NULL),(15,2285894,'1989-06-29 00:00:00',4,1,11,2007,'M','N','MONT SERRAT','SAO PAULO','SP','124241241114111111315511391314620267053',NULL,'9997',0.00,2,1,1),(15,2285908,'1979-07-08 00:00:00',4,1,11,1998,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216142411123344441131610127117',17401,'229',41.23,1,3,NULL),(15,2285916,'1974-05-22 00:00:00',4,1,12,1991,'M','N','PANTANAL','FLORIANOPOLIS','SC','124204201416471711155643435132341464183',3921,'9998',63.67,1,3,NULL),(15,2285924,'1992-02-04 00:00:00',4,1,12,2008,'F','S','BALNEÁRIO AÇORES','FLORIANOPOLIS','SC','124242241215111531468833576124610122097',NULL,'1098',48.43,1,3,NULL),(15,2285932,'1989-06-13 00:00:00',4,8,12,2006,'F','N','JARDIM FACULDADE','ITU','SP','125252251214471431458933575122610124147',4090,'9998',63.22,1,3,NULL),(15,2285959,'1990-06-24 00:00:00',2,2,12,2007,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241235271431686812575122610137142',14333,'107',45.68,1,3,NULL),(15,2285967,'1991-08-21 00:00:00',4,4,12,2007,'M','N','CENTRO','CUNHA PORA','SC','124244241214121431369923375112610135192',5039,'1037',61.01,1,3,NULL),(15,2285975,'1983-02-19 00:00:00',2,1,12,2001,'F','N','BELA VISTA I','SAO JOSE','SC','124134131417571751328774245334133223077',18450,'9998',39.57,1,3,NULL),(15,2285991,'1989-01-16 00:00:00',4,4,12,2006,'M','N','SECCHI','PASSO FUNDO','RS','120201206137472431438813375124610124197',14663,'9998',45.20,1,2,1),(15,2286009,'1990-04-02 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECO','SC','124242241215271411369914472122610164042',4482,'185',62.30,1,3,NULL),(15,2286017,'1991-05-22 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241415121431233824572324610165187',13879,'1022',46.34,4,3,NULL),(15,2286025,'1990-10-27 00:00:00',4,1,12,2007,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124245241215121431369931572122610128117',14638,'981',45.22,1,3,NULL),(15,2286033,'1989-07-17 00:00:00',2,4,12,2006,'M','N','VILA NOVA','FRANCISCO BELTRAO','PR','116163161216371411438734392122142427047',21782,'9998',33.02,1,3,NULL),(15,2286041,'1974-04-10 00:00:00',2,1,12,2001,'M','N','NOSSA SA ROSARIO','SAO JOSE','SC','224241243127132421433444242124610127042',11827,'292',49.22,1,2,1),(15,2286050,'1990-03-10 00:00:00',2,4,12,2007,'M','N','PADRE ANTONIO','MARAVILHA','SC','124241241112171411559313392122610127047',20042,'552',36.74,1,3,NULL),(15,2286068,'1990-04-26 00:00:00',2,5,11,2007,'F','N','CRISTO REI','ICARA','SC','124242241217171231446811575114610162143',19382,'226',38.04,1,3,NULL),(15,2286076,'1959-02-20 00:00:00',4,1,12,1987,'M','N','ESTREITO','FLORIANOPOLIS','SC','524243246217144221233322131122321464147',21202,'262',34.43,3,3,NULL),(15,2286084,'1990-02-10 00:00:00',4,1,12,2007,'M','N','CENTRO','SAO ROQUE','SP','125251251217111431458814485122610167042',13516,'9998',46.87,1,3,NULL),(15,2286106,'1988-12-06 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124252251215372411479652575124142032181',1414,'9998',71.58,1,3,NULL),(15,2286114,'1991-04-18 00:00:00',4,1,12,2008,'M','S','CARIANOS','FLORIANOPOLIS','SC','124163241135141432343411312221610124092',NULL,'283',34.72,1,3,NULL),(15,2286122,'1987-08-07 00:00:00',2,5,12,2004,'F','N','CENTRO','GAROPABA','SC','124241241132272152324321392114610124147',16609,'359',42.45,1,2,1),(15,2286130,'1986-12-21 00:00:00',2,1,12,2004,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241137573431546511475114610164185',11536,'281',49.66,1,2,1),(15,2286149,'1990-02-15 00:00:00',2,10,11,2007,'F','N','CENTRO','JAGUARUNA','SC','124244241215121431436823471124610126197',5449,'807',60.17,1,3,NULL),(15,2286157,'1974-04-09 00:00:00',2,1,5,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241247227121711338644241122610126187',20251,'9999',36.33,1,3,NULL),(15,2286165,'1982-11-07 00:00:00',2,5,12,2000,'F','N','LAGOÃO','ARARANGUA','SC','224241241117132431221354182121221716197',NULL,'30',0.00,1,3,NULL),(15,2286173,'1988-07-13 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241248112131431623315392344610164077',NULL,'249',23.52,1,2,1),(15,2286181,'1988-09-19 00:00:00',2,1,4,2006,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124244241116133431458613372124231036097',2647,'739',67.17,1,3,NULL),(15,2286190,'1988-06-23 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124251251117271741433314445124133268197',10780,'9998',50.77,1,2,1),(15,2286203,'1980-03-10 00:00:00',2,1,11,1998,'M','N','PRAINHA CENTRO','FLORIANOPOLIS','SC','424251251112331411326364411334610127042',20529,'9998',35.84,1,3,NULL),(15,2286220,'1990-01-29 00:00:00',4,8,12,2007,'M','N','FLORESTA','JOINVILLE','SC','124242241217111431368823575114610134047',705,'486',75.34,1,3,NULL),(15,2286238,'1963-07-12 00:00:00',2,1,12,1998,'M','N','CENTRO','FLORIANOPOLIS','SC','124241244127134431634423132135610112147',19311,'9997',38.14,4,1,1),(15,2286246,'1990-11-16 00:00:00',4,5,12,2007,'F','N','CENTRO','ARARANGUA','SC','124244241217111431558831575122610146192',18415,'26',39.62,1,3,NULL),(15,2286254,'1989-06-27 00:00:00',2,1,12,2006,'M','N','UVARANAS','PONTA GROSSA','PR','116162161315411711558831572125610118193',6894,'9998',57.36,1,3,NULL),(15,2286262,'1990-04-04 00:00:00',4,4,11,2007,'F','N','CENTRO','CASCAVEL','PR','116162161217111431334811575114610124072',4368,'9998',62.55,1,3,NULL),(15,2286270,'1990-12-15 00:00:00',4,2,12,2009,'F','S','GUARANI','BRUSQUE','SC','124242241215111431458914594122610136057',NULL,'107',63.93,1,3,NULL),(15,2286289,'1958-05-17 00:00:00',4,1,7,1997,'F','N','AREIAS','SAO JOSE','SC','402021021122141431436341315124333214142',NULL,'9998',2.21,4,3,NULL),(15,2286297,'1986-10-27 00:00:00',4,1,11,2004,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124243241117133411548613372124610167057',NULL,'306',43.51,1,3,NULL),(15,2286300,'1989-10-03 00:00:00',4,1,12,2006,'M','N','BOA VISTA','SAO JOSE DO RIO PRETO','SP','125252251215471431446833575112610122177',2049,'9998',69.09,1,3,NULL),(15,2286319,'1990-05-24 00:00:00',4,1,12,2007,'F','N','FABRÍCIO','SANTO AMARO DA IMPERATRIZ','SC','124241241122131411323374312341610113073',20380,'941',36.09,1,2,1),(15,2286327,'1990-09-23 00:00:00',4,1,12,2007,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124241247335151431354419572114610117052',NULL,'9999',22.00,1,3,NULL),(15,2286335,'1990-06-12 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241215111431458514282122610124192',15234,'1118',44.49,1,3,NULL),(15,2286343,'1990-06-25 00:00:00',2,5,12,2007,'M','N','CENTRO','TORRES','RS','120203208216131321436833575122610164087',17015,'9998',41.86,1,3,NULL),(15,2286351,'1990-11-20 00:00:00',2,5,12,2007,'M','N','CENTRO','TREVISO','SC','124241241116131411435314595124610118177',19378,'792',38.05,1,2,1),(15,2286360,'1989-05-07 00:00:00',4,9,12,2006,'F','N','JARDIM AMÉRICA','ITUPORANGA','SC','124242241227472411536632275125610164197',8916,'414',53.80,1,3,NULL),(15,2286378,'1986-11-18 00:00:00',2,1,6,2006,'F','N','CENTRO','PALHOCA','SC','124243247325371431423311242124610164097',NULL,'596',20.20,1,3,NULL),(15,2286386,'1990-11-12 00:00:00',2,2,12,2008,'F','S','GÁVEA','RODEIO','SC','124241241215111431446431572114610123142',NULL,'9997',2.01,1,3,NULL),(15,2286394,'1989-10-02 00:00:00',2,5,11,2007,'F','N','ANA MARIA','CRICIUMA','SC','124241241117161532533634472324610134147',NULL,'209',19.84,1,3,NULL),(15,2286408,'1986-07-29 00:00:00',2,2,12,2003,'F','N','ZONA SETE','MARINGA','PR','116161168336572411556619391124610127187',20187,'9998',36.45,1,3,NULL),(15,2286416,'1975-08-23 00:00:00',4,1,12,1992,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241217153431478619445122221462182',NULL,'262',0.00,1,3,NULL),(15,2286424,'1990-01-23 00:00:00',2,1,12,2007,'M','N','VILA FERROVIARIA','MAFRA','SC','124241241215321431536812325122610137047',NULL,'541',17.00,1,3,NULL),(15,2286432,'1989-10-08 00:00:00',4,3,12,2007,'M','N','TABOLEIRO','CAMBORIU','SC','124244241216111531466812345122610124192',20931,'53',35.00,1,3,NULL),(15,2286440,'1990-10-23 00:00:00',4,8,11,2007,'F','N','CENTRO','JOINVILLE','SC','124242241215111431488812575122610124111',19706,'1063',37.40,1,3,NULL),(15,2286459,'1988-03-06 00:00:00',4,1,6,2006,'F','N','LAGO NORTE','LAGO NORTE','DF','107076071615472431378813575122610118092',3133,'9998',65.74,1,3,NULL),(15,2286467,'1991-07-12 00:00:00',4,9,11,2007,'M','N','MONTE CARLO','SAO JOAQUIM','SC','616242161215171731558916572124613267072',18054,'9997',40.22,4,3,NULL),(15,2286475,'1990-04-08 00:00:00',4,8,11,2007,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215111731437632275114610164052',8247,'1016',54.93,1,3,NULL),(15,2286505,'1989-04-28 00:00:00',4,1,12,2006,'F','N','CÂNDIDO BERTINE','SANTA BARBARA D OESTE','SP','125254251116471431456514445122610148097',10561,'9998',51.08,1,3,NULL),(15,2286513,'1990-02-06 00:00:00',2,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241211111621478633432122610167042',11119,'723',50.27,1,3,NULL),(15,2286521,'1990-07-19 00:00:00',4,1,12,2007,'F','N','ITANHANGÁ PARK','CAMPO GRANDE','MS','112122121215121431488911372112610132192',NULL,'9998',0.00,1,3,NULL),(15,2286530,'1989-12-28 00:00:00',4,8,10,2008,'M','S','SANTO ANTONIO','JOINVILLE','SC','124242241212111531466612295112610127112',NULL,'491',45.92,1,3,NULL),(15,2286548,'1988-11-19 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','124244241215142441468613275124230742172',14275,'1098',45.76,1,3,NULL),(15,2286556,'1989-02-16 00:00:00',4,3,12,2007,'M','N','BARRO PRETO','BELO HORIZONTE','MG','113114131215111331468731575124610167042',4217,'9998',62.87,1,3,NULL),(15,2286564,'1989-08-15 00:00:00',2,1,12,2006,'F','N','VILA REAL','BALNEARIO CAMBORIU','SC','124241241215371431458933342122610131052',9667,'1086',52.47,1,3,NULL),(15,2286572,'1987-12-04 00:00:00',2,1,12,2005,'F','N','PARQUE PRADO','CAMPINAS','SP','125252251217572411448633491122610153092',9439,'9998',52.88,1,3,NULL),(15,2286580,'1990-12-16 00:00:00',2,1,12,2007,'M','N','CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC','124153241115271431526671272114610167047',16747,'288',42.26,1,3,NULL),(15,2286599,'1989-12-22 00:00:00',4,8,12,2007,'M','N','NOVA BRASÍLIA','JARAGUA DO SUL','SC','124242248216111731458632294125610142052',14029,'441',46.12,1,3,NULL),(15,2286602,'1981-02-14 00:00:00',4,1,12,1997,'M','N','KOBRASOL','SAO JOSE','SC','124242241217142431429823495124121427067',NULL,'737',0.00,2,3,NULL),(15,2286610,'1990-07-26 00:00:00',4,4,11,2007,'F','N','FÁTIMA','ERECHIM','RS','120204191216311431436619575125610164072',15709,'9998',43.80,1,3,NULL),(15,2286629,'1986-08-09 00:00:00',2,1,12,2005,'M','N','CAMPINAS','SAO JOSE','SC','124242241226141421586512245122231027062',15185,'1036',44.55,1,3,NULL),(15,2286637,'1989-06-06 00:00:00',2,1,11,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215372211458813345132130217072',13725,'1022',46.58,1,3,NULL),(15,2286645,'1986-04-07 00:00:00',4,1,12,2003,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215472411458824574122140666047',NULL,'9998',0.00,1,3,NULL),(15,2286653,'1990-06-22 00:00:00',4,1,12,2007,'M','N','SANTA ROSA','GUARUJA','SP','125252251217371431458814572111610167187',10427,'9998',51.31,3,3,NULL),(15,2286661,'1990-03-07 00:00:00',2,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241125131431323319292314610137042',21017,'290',34.82,1,2,1),(15,2286670,'1990-03-09 00:00:00',4,1,10,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124202201212272411438832571122610124072',7884,'9998',55.54,1,3,NULL),(15,2286688,'1991-01-08 00:00:00',4,10,12,2008,'F','S','VILA MOEMA','TUBARAO','SC','124242241217111331346824274122610115142',NULL,'797',42.53,1,3,NULL),(15,2286696,'1981-05-07 00:00:00',2,1,12,1998,'M','N','ABRAAO','FLORIANOPOLIS','SC','124243241312132411336341111134120864047',13892,'272',46.33,4,3,NULL),(15,2286718,'1982-03-08 00:00:00',2,1,12,2002,'F','N','PONTE DO IMARUIM','PALHOCA','SC','224201208325371431222354342123610123147',20178,'9998',36.47,1,3,NULL),(15,2286726,'1990-04-12 00:00:00',4,4,12,2007,'F','N','VILA ARAÇA','ABELARDO LUZ','SC','124242248216111431538636185122610164047',NULL,'1081',22.92,1,3,NULL),(15,2286734,'1988-06-05 00:00:00',2,1,12,2006,'M','N','FLOR DE NAPOLIS','SAO JOSE','SC','124243241327271411356614242124610127057',NULL,'9999',21.11,1,3,NULL),(15,2286750,'1985-05-19 00:00:00',4,1,12,2002,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241112575411446614574124331867093',2683,'271',67.08,1,3,NULL),(15,2286769,'1990-05-26 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215111431478813475124610132042',15263,'1022',44.46,1,3,NULL),(15,2286777,'1988-09-10 00:00:00',4,1,12,2005,'F','N','SAUDE','SAO PAULO','SP','125254251417512411346811174125610123017',17282,'9998',41.43,1,3,NULL),(15,2286785,'1989-01-21 00:00:00',4,7,11,2007,'M','N','CENTRO','JOACABA','SC','124242241214121711578731292122610164027',NULL,'454',21.20,1,3,NULL),(15,2286793,'1980-09-11 00:00:00',4,1,12,1998,'F','N','RIO GRANDE','PALHOCA','SC','124241241117143421345623291122221935182',13517,'307',46.87,4,3,NULL),(15,2286815,'1985-09-27 00:00:00',4,1,12,2002,'F','N','JD NOVA AMERICA','SAO JOSE DOS CAMPOS','SP','125252251217572751448614574324610147096',10682,'9998',50.90,1,3,NULL),(15,2286823,'1983-11-11 00:00:00',4,1,12,2001,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215134431246629445134610134087',13288,'272',47.19,1,3,NULL),(15,2286831,'1985-09-18 00:00:00',2,9,11,2004,'M','N','BOA VISTA','RIO DO SUL','SC','124242241312373411638833381124131454047',13428,'9999',46.99,2,3,NULL),(15,2286840,'1990-12-25 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241116131431436714372124610124147',21793,'288',32.97,1,2,1),(15,2286858,'1991-08-16 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111411449939392112610126092',19254,'262',38.25,1,3,NULL),(15,2286866,'1990-09-15 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124244241415131732447719577122610125197',14968,'213',44.83,1,3,NULL),(15,2286874,'1989-11-16 00:00:00',4,1,12,2006,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124242241315572431357779572124610114017',13281,'270',47.20,1,3,NULL),(15,2286882,'1985-07-21 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212272751569911425124233261172',19135,'270',38.46,2,1,2),(15,2286890,'1989-11-29 00:00:00',2,4,11,2006,'F','N','CENTRO','CONCORDIA','SC','124241241115471431323321571315610122142',11864,'192',49.16,1,2,1),(15,2286904,'1983-12-17 00:00:00',4,1,11,2005,'F','N','REAL PARK','SAO JOSE','SC','124241245122131411323419342324610123147',NULL,'734',21.80,2,1,1),(15,2286912,'1989-12-20 00:00:00',4,1,12,2007,'F','N','PARADA INGLESA','SAO PAULO','SP','125253251217131531356631572115610122147',18556,'9998',39.40,3,3,NULL),(15,2286920,'1977-09-16 00:00:00',2,1,12,2006,'F','N','ROCADO','SAO JOSE','SC','624241241315231431422651142244610128097',18340,'729',39.72,1,3,NULL),(15,2286939,'1986-09-30 00:00:00',4,8,6,2007,'M','N','CRISTO REI','CURITIBA','PR','116254167436572731328833472214610167042',16191,'9999',43.08,1,3,NULL),(15,2286947,'1990-06-15 00:00:00',4,1,12,2007,'M','N','PALMARES','RIBEIRAO PRETO','SP','125253251417111431536711572122610157051',NULL,'9998',0.00,1,3,NULL),(15,2286955,'1988-07-28 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241215373231386923315124131064012',9253,'269',53.19,2,1,2),(15,2286971,'1988-05-02 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124212241215121731546973492124610118182',21805,'1022',32.94,1,3,NULL),(15,2286980,'1982-11-18 00:00:00',4,1,12,2000,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124163241217112421348611242123321431097',15223,'738',44.50,1,3,NULL),(15,2286998,'1990-02-25 00:00:00',2,5,11,2007,'M','N','SANTO ANTONIO','CRICIUMA','SC','124242241215211311445832472111610127092',13279,'226',47.20,1,3,NULL),(15,2287005,'1990-06-07 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241217111432248823595111610117077',7995,'270',55.38,3,3,NULL),(15,2287013,'1977-02-26 00:00:00',4,1,12,1993,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','224253253327134441456444142222610164157',NULL,'9998',0.00,1,3,NULL),(15,2287021,'1990-08-22 00:00:00',4,4,12,2007,'F','N','CENTRO','MARAVILHA','SC','124241241116131431336912315122610125092',NULL,'552',0.00,1,2,1),(15,2287030,'1990-10-10 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241215111431488632575122610125142',NULL,'1038',0.00,1,3,NULL),(15,2287048,'1990-12-26 00:00:00',4,1,12,2008,'M','S','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241217111432479933592114610117117',NULL,'270',56.45,1,3,NULL),(15,2287056,'1980-01-21 00:00:00',4,1,1,1997,'M','N','ASA NORTE','BRASILIA','DF','107072091216151751188849495112141468181',NULL,'9998',0.00,1,3,NULL),(15,2287064,'1990-06-05 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241116131451548611472111610127147',15699,'257',43.82,1,2,1),(15,2287072,'1989-05-06 00:00:00',2,1,12,2006,'F','N','JARDIM CIDADE FPOLIS','SAO JOSE','SC','124244241215372421475631495122610164112',7165,'1118',56.85,4,3,NULL),(15,2287080,'1990-06-02 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111441456611212122610163143',12512,'1118',48.27,1,3,NULL),(15,2287099,'1990-07-14 00:00:00',4,1,12,2007,'M','N','PETROPOLIS','PASSO FUNDO','RS','120201201115411411425319572124610127052',NULL,'9998',0.00,1,3,NULL),(15,2287102,'1989-03-15 00:00:00',4,1,3,2007,'F','N','ASA SUL','BRASILIA','DF','107072071217371431288823575122242741012',16671,'9998',42.36,1,3,NULL),(15,2287110,'1990-06-12 00:00:00',4,1,12,2007,'F','N','CENTRO','SANTA MARIA','RS','120201201116271431256613575124610134197',5790,'9998',59.49,1,2,1),(15,2287129,'1990-04-21 00:00:00',4,8,12,2007,'F','N','JARDIM PETRÓPOLIS','PRESIDENTE PRUDENTE','SP','125252251214151731455821572112610132147',8095,'9998',55.20,1,3,NULL),(15,2287137,'1990-02-27 00:00:00',2,9,12,2007,'F','N','CENTRO','CAMPO BELO DO SUL','SC','124241241215111751436639572124610168182',21980,'499',32.32,1,3,NULL),(15,2287145,'1989-01-30 00:00:00',4,1,11,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','125251251217371432556419575122610124147',NULL,'9998',0.00,1,3,NULL),(15,2287153,'1989-08-29 00:00:00',2,1,12,2006,'F','N','SERRARIA','SAO JOSE','SC','124242241212132431435312382124610162187',16482,'976',42.61,1,3,NULL),(15,2287161,'1990-08-04 00:00:00',4,1,12,2008,'M','S','COQUEIROS','FLORIANOPOLIS','SC','124242241211111111436621571121610163021',NULL,'270',43.67,1,3,NULL),(15,2287170,'1989-07-18 00:00:00',2,1,12,2006,'M','N','TIJUQUINHAS','BIGUACU','SC','124241241212472422343316575124610161192',14542,'1040',45.35,1,3,NULL),(15,2287196,'1990-08-11 00:00:00',2,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241211111431454622422122610167042',12034,'723',48.94,1,3,NULL),(15,2287200,'1990-11-27 00:00:00',4,4,12,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124241241117131431449413575225610168142',16415,'757',42.73,1,3,NULL),(15,2287218,'1990-07-11 00:00:00',4,1,12,2007,'F','N','CENTRO','CERRO LARGO','RS','120203201217471731433823575122610138093',12212,'9998',48.70,1,3,NULL),(15,2287226,'1988-02-23 00:00:00',2,1,12,2006,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124243241321132411429833382124610147187',NULL,'288',0.00,1,3,NULL),(15,2287234,'1986-04-02 00:00:00',4,1,12,2006,'M','N','CENTRO','PORTO ALEGRE','RS','120203207327475441326612285124243224151',NULL,'9999',0.00,1,3,NULL),(15,2287242,'1990-06-16 00:00:00',2,2,12,2007,'F','N','DAS CAPITAIS','TIMBO','SC','124243241345112431448633585121610165147',2850,'9997',66.60,1,3,NULL),(15,2287269,'1988-08-16 00:00:00',4,1,9,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241216422411357932575124221124092',12067,'486',48.90,1,3,NULL),(15,2287293,'1987-01-15 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241121131431625329295124610126047',NULL,'307',0.00,2,1,1),(15,2287307,'1990-08-07 00:00:00',4,5,11,2007,'M','N','SÃO CRISTÓVÃO','CRICIUMA','SC','124244241217111431346653332122610162115',16864,'226',42.06,1,3,NULL),(15,2287315,'1989-11-11 00:00:00',4,2,11,2007,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215111431467823475122610164172',509,'909',76.72,1,3,NULL),(15,2287323,'1990-03-25 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241147131431324434392324610127057',11585,'325',49.58,1,2,1),(15,2287331,'1991-07-19 00:00:00',4,1,12,2008,'M','S','MALUCHE','BRUSQUE','SC','124242243216111732428833575122610137012',NULL,'109',9.94,1,3,NULL),(15,2287358,'1991-05-07 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241212111411356829575122610127037',NULL,'262',37.22,1,3,NULL),(15,2287366,'1991-01-16 00:00:00',4,4,12,2007,'F','N','CENTRO','PINHALZINHO','SC','124241241116161441568833472122610162047',NULL,'1032',0.00,1,2,1),(15,2287374,'1986-08-12 00:00:00',4,1,12,2004,'M','N','VILA SANTO ANTÔNIO','OURINHOS','SP','125251251117152421225621211311610154016',15474,'9998',44.16,1,2,1),(15,2287382,'1988-12-17 00:00:00',4,1,12,2006,'F','N','EUCALIPTOS','CAIEIRAS','SP','125251251114131411226661371224610126097',19148,'9998',38.44,1,3,NULL),(15,2287390,'1988-08-25 00:00:00',2,1,12,2005,'M','N','KOBRASOL','SAO JOSE','SC','124242241212272731329924212124130263117',21408,'723',33.94,1,3,NULL),(15,2287404,'1985-01-29 00:00:00',4,1,12,2002,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124203201116131431236444242324610136147',NULL,'9998',26.67,1,3,NULL),(15,2287412,'1990-10-23 00:00:00',4,1,12,2007,'M','N','CENTRO','ITUPORANGA','SC','124241241347131551435933342222610167067',18628,'414',39.28,1,3,NULL),(15,2287420,'1990-07-04 00:00:00',2,8,11,2007,'F','N','IRIRIU','JOINVILLE','SC','124242248217121411456612392122610132192',21917,'1016',32.55,1,3,NULL),(15,2287439,'1984-09-29 00:00:00',4,1,12,2002,'M','N','SAO JOSE','SAO JOSE','SC','124243241212151411446633575124333262187',18726,'882',39.12,2,3,NULL),(15,2287447,'1968-07-20 00:00:00',2,2,12,2001,'F','N','ALDEIA PALMEIRA','JOSE BOITEUX','SC','124241245134161332523143432325232725073',NULL,'741',17.02,5,4,NULL),(15,2287455,'1980-08-01 00:00:00',2,1,11,1999,'F','N','CENTRO','FLORIANOPOLIS','SC','524241241146135431126744345334610168147',14205,'306',45.86,1,2,1),(15,2287463,'1983-11-28 00:00:00',4,1,12,2001,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241215375411366633441122120314162',NULL,'738',0.00,1,3,NULL),(15,2287471,'1989-12-23 00:00:00',2,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124244241127371731223721285124610127097',21056,'736',34.74,1,3,NULL),(15,2287480,'1987-07-01 00:00:00',2,1,12,2004,'M','N','CENTRO','BRUSQUE','SC','124242248215572431679731595124133267112',8098,'981',55.19,1,3,NULL),(15,2287498,'1988-04-27 00:00:00',2,1,7,2006,'F','N','ARIRIÚ','PALHOCA','SC','124241241147131731252229582124610124147',NULL,'592',20.01,1,3,NULL),(15,2287501,'1990-03-23 00:00:00',2,1,12,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241248415131731526514272224610127147',17039,'307',41.82,1,3,NULL),(15,2287528,'1969-06-30 00:00:00',4,1,10,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','224203247442142431357451475122610132017',14309,'9999',45.72,1,3,NULL),(15,2287536,'1991-12-29 00:00:00',4,1,12,2009,'F','S','JARDIM FLORESTA','SAO JOSE','SC','124242241215111431468919575122610123142',NULL,'266',32.15,1,3,NULL),(15,2287544,'1971-01-30 00:00:00',2,1,12,1990,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','624201205116131721333359335134132764027',NULL,'9998',0.00,1,3,NULL),(15,2287552,'1981-06-16 00:00:00',2,1,12,2000,'F','N','CENTRO','SAO JOSE','SC','124241241112133431563513342224610147012',NULL,'307',27.08,1,2,1),(15,2287560,'1981-11-03 00:00:00',2,1,12,2001,'M','N','COQUEIROS','FLORIANOPOLIS','SC','224243246117133711234649292125130264187',14719,'306',45.12,1,3,NULL),(15,2287579,'1989-10-21 00:00:00',2,1,12,2007,'F','N','GONZAGA','SANTOS','SP','125251251116371431559731576124610122162',21812,'9998',32.91,1,3,NULL),(15,2287595,'1990-08-04 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111432456612372114610123147',NULL,'1022',21.26,1,3,NULL),(15,2287609,'1989-12-15 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241137472431457916572124610124067',7100,'192',56.97,1,2,1),(15,2287617,'1983-09-16 00:00:00',2,1,12,2000,'F','N','BELA VISTA','SAO JOSE','SC','224241243116131421343351145134333245013',NULL,'319',24.91,1,3,NULL),(15,2287625,'1985-03-28 00:00:00',4,3,12,2002,'F','N','CENTRO','PILAR DO SUL','SP','125251251215271431653616175122241364146',NULL,'9998',0.00,3,3,NULL),(15,2287641,'1985-03-04 00:00:00',4,1,12,2004,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124203201316171441437644485124230212112',16631,'9998',42.41,1,3,NULL),(15,2287650,'1989-07-27 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241116131731446714345124610165187',NULL,'288',17.75,1,2,1),(15,2287668,'1990-05-21 00:00:00',2,8,12,2007,'F','N','GUANABARA','JOINVILLE','SC','124242241215111711346413572114610162077',13192,'486',47.34,1,3,NULL),(15,2287676,'1989-12-26 00:00:00',4,1,12,2007,'M','N','URBANOVA','SAO JOSE DOS CAMPOS','SP','125252251215111421578714575122610127042',8272,'9998',54.90,4,3,NULL),(15,2287684,'1990-09-20 00:00:00',2,1,12,2007,'F','N','CENTRO','FOZ DO IGUACU','PR','116162161217271431638611575114610141196',14900,'9998',44.91,3,3,NULL),(15,2287692,'1990-05-30 00:00:00',2,1,12,2007,'M','N','MORADA DO SOL','PALHOCA','SC','124241241117271551328511195114610167122',18951,'592',38.74,1,2,1),(15,2287706,'1990-02-20 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241217111431526611112114610127147',NULL,'272',22.71,1,3,NULL),(15,2287714,'1984-08-11 00:00:00',2,1,12,2002,'M','N','VILA MARIANA','APARECIDA','SP','125251251115572431574829575122240662182',5635,'9998',59.81,4,3,NULL),(15,2287722,'1986-07-18 00:00:00',4,1,12,2001,'F','N','CENTRO PALHOÇA','PALHOCA','SC','124241248127471751524619297124610118142',22337,'591',30.78,1,3,NULL),(15,2287730,'1990-03-21 00:00:00',4,6,12,2007,'F','N','STEFFEN','BRUSQUE','SC','124243241215271751545739384322610137012',5512,'107',60.03,4,3,NULL),(15,2287749,'1984-10-21 00:00:00',4,1,3,2003,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124242241116375411568613445134610124092',4707,'306',61.73,1,3,NULL),(15,2287757,'1990-10-24 00:00:00',4,9,12,2007,'F','N','CENTRO','SELBACH','RS','120201201111271231324334571121610166067',13813,'9998',46.44,1,3,NULL),(15,2287765,'1991-02-02 00:00:00',4,1,11,2008,'M','S','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124242241217111431588832572121610167185',NULL,'270',52.84,1,3,NULL),(15,2287773,'1958-04-27 00:00:00',4,1,12,1975,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124254203142472421357629414132140214017',6505,'9998',58.07,1,3,NULL),(15,2287781,'1988-09-25 00:00:00',4,1,11,2006,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241115131431527318392324610124047',NULL,'293',34.64,2,1,1),(15,2287790,'1990-03-21 00:00:00',2,6,11,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124204201215471431589931571122610167052',4496,'9998',62.26,1,3,NULL),(15,2287803,'1991-05-04 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217111231476934342122610123052',12821,'270',47.83,1,3,NULL),(15,2287811,'1990-07-07 00:00:00',4,1,12,2007,'M','N','BOM RETIRO','SUMARE','SP','125252251146471451226421574324610137092',15267,'9998',44.45,1,3,NULL),(15,2287820,'1989-04-10 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241212171321516313132114610117061',NULL,'1036',18.17,2,3,NULL),(15,2287838,'1989-01-28 00:00:00',2,1,12,2006,'M','N','PASSO DAREIA','SANTA MARIA','RS','120203201216271431448713571124610164172',14885,'9998',44.92,1,3,NULL),(15,2287846,'1988-04-04 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124241241127371431434314382114610168197',18421,'736',39.61,1,3,NULL),(15,2287854,'1989-09-29 00:00:00',2,5,12,2006,'F','N','CENTRO','PRAIA GRANDE','SC','124241247215372531328924572124230618147',12879,'970',47.75,1,3,NULL),(15,2287870,'1990-06-25 00:00:00',4,8,12,2007,'M','N','CENTRO','LINS','SP','125252251217211431539914574121610138143',6476,'9998',58.12,3,3,NULL),(15,2287889,'1990-01-22 00:00:00',4,2,11,2007,'F','N','CENTRO','POUSO REDONDO','SC','124241241125131431444613495122610126177',12161,'639',48.77,1,2,1),(15,2287897,'1986-07-15 00:00:00',4,1,7,2003,'M','N','SÃO FRANCISCO','CAMPO GRANDE','MS','112122121211471431468711575112141462057',NULL,'9998',0.00,4,3,NULL),(15,2287900,'1990-05-04 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215271431458834575122610164017',16595,'270',42.46,1,3,NULL),(15,2287927,'1987-07-18 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124243241117131331333363432124610134042',21402,'288',33.96,4,3,NULL),(15,2287935,'1990-03-13 00:00:00',4,3,12,2007,'F','N','CENTRO','CAMBORIU','SC','124241241215111431454312572122610168012',19482,'1045',37.86,1,3,NULL),(15,2287943,'1989-01-16 00:00:00',2,1,11,2005,'F','N','JARDIM GUANABARA','CUIABA','MT','111112111216571451566632575112610164071',14415,'9998',45.56,1,3,NULL),(15,2287951,'1962-01-08 00:00:00',2,4,12,1982,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','224243243222151751553343132133130268047',21380,'752',34.02,1,3,NULL),(15,2287960,'1986-04-14 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241217374751545616172124233243185',22224,'1020',31.40,1,3,NULL),(15,2287978,'1989-01-12 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215373751576933435112610144187',NULL,'272',23.05,4,3,NULL),(15,2287994,'1988-04-13 00:00:00',4,8,12,2006,'F','N','FIGUEIRA DO PONTAL','ITAPOA','SC','124241245142131531433319242324610162042',19099,'433',38.52,1,3,NULL),(15,2288001,'1987-10-07 00:00:00',4,1,12,2005,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241111272421458951381124610124052',4613,'739',61.97,1,3,NULL),(15,2288010,'1989-07-14 00:00:00',4,3,12,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241212372431353911345334221167172',8913,'9997',53.81,1,3,NULL),(15,2288028,'1989-09-27 00:00:00',4,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116164161435272411449931575122610165092',NULL,'9998',0.00,1,3,NULL),(15,2288036,'1990-01-30 00:00:00',2,10,11,2007,'M','N','CENTRO','SAO LUDGERO','SC','124242241215121432368632572112610132042',7112,'807',56.95,1,3,NULL),(15,2288044,'1988-06-21 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241247135132421229821492124610112017',20634,'9997',35.62,1,3,NULL),(15,2288052,'1990-07-31 00:00:00',2,1,12,2007,'F','N','SANTO ANTÔNIO DE LIS','FLORIANOPOLIS','SC','124246247637371631479813575122610134147',21979,'9999',32.33,1,3,NULL),(15,2288060,'1990-10-10 00:00:00',2,8,12,2007,'F','N','JARDIM DAS MAERICAS','CURITIBA','PR','116162168215111411436629571124610124097',13393,'9998',47.05,1,3,NULL),(15,2288079,'1990-03-15 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124242241217121531588613572112610164192',16207,'1036',43.05,1,3,NULL),(15,2288087,'1991-02-18 00:00:00',2,5,12,2007,'F','N','NOVA DIVINEIA','ARARANGUA','SC','124241241116131731526312245112610115112',NULL,'30',21.67,1,2,1),(15,2288095,'1989-12-08 00:00:00',4,8,11,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215111431356831275112610121182',5218,'1016',60.67,3,3,NULL),(15,2288109,'1984-03-07 00:00:00',4,10,12,2001,'M','N','OFICINAS','TUBARAO','SC','124242241212142432346619592124321727095',12308,'807',48.57,1,3,NULL),(15,2288117,'1990-07-18 00:00:00',2,5,11,2007,'F','N','SANTA BÁRBARA','CRICIUMA','SC','124242241216121431436631211122610123152',9755,'226',52.33,1,3,NULL),(15,2288125,'1978-04-12 00:00:00',2,1,12,1995,'F','N','BARREIROS','SAO JOSE','SC','124241241147135411124344445135630234047',15669,'601',43.85,1,2,1),(15,2288133,'1989-06-13 00:00:00',4,1,11,2007,'M','N','SAMBAQUI','FLORIANOPOLIS','SC','124242241215111431236823345124610137057',NULL,'270',0.00,4,3,NULL),(15,2288150,'1991-02-13 00:00:00',4,1,11,2007,'M','N','BAIRRO IPIRANGA','SAO JOSE','SC','124243241117131431636639295124610142017',NULL,'734',21.80,1,3,NULL),(15,2288168,'1989-03-14 00:00:00',2,1,12,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217473412469612472122232567187',8603,'270',54.34,1,3,NULL),(15,2288176,'1986-08-08 00:00:00',2,1,11,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241217574431566622192123221463142',3613,'807',64.45,1,3,NULL),(15,2288184,'1990-11-01 00:00:00',4,1,12,2007,'M','N','MIRANDOPOLIS','SAO PAULO','SP','125252251416151231389814475115610134143',7331,'9998',56.55,1,3,NULL),(15,2288192,'1990-09-18 00:00:00',2,1,12,2007,'M','N','CENTRO','IMARUI','SC','124241241125161431413314282224610124147',NULL,'356',21.23,1,2,1),(15,2288206,'1980-08-26 00:00:00',4,8,12,1998,'M','N','PARQUE GUARANI','JOINVILLE','SC','124243247432131551128449392215133268187',22306,'9999',31.00,1,3,NULL),(15,2288214,'1990-05-22 00:00:00',5,3,12,2007,'M','N','CASTELO BRANCO','ITAPEMA','SC','124161241116131431435723215224610117147',18657,'405',39.23,1,2,1),(15,2288222,'1988-09-22 00:00:00',2,10,11,2005,'F','N','TIRADENTES','GRAVATAL','SC','124241241116141731526365342333610116157',NULL,'330',0.00,1,2,1),(15,2288230,'1989-10-03 00:00:00',2,1,11,2006,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124201201417372431437923291124610167182',9638,'9998',52.52,1,3,NULL),(15,2288249,'1987-08-06 00:00:00',2,1,12,2004,'F','N','AREIAS','SAO JOSE','SC','124241241117272111227724291224230214137',NULL,'734',18.71,1,2,1),(15,2288257,'1990-07-26 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124161241117131711523611282322610128142',20296,'51',36.24,1,2,1),(15,2288265,'1990-12-19 00:00:00',4,10,11,2007,'F','N','PROGRESSO','LAGUNA','SC','124242241215112431488834575122610133182',3573,'807',64.54,1,3,NULL),(15,2288273,'1990-08-09 00:00:00',4,1,12,2007,'M','N','VILA CONCEIÇÃO','TAIUVA','SP','125252251216271431536823572122610117047',16359,'9998',42.81,1,3,NULL),(15,2288281,'1991-01-20 00:00:00',4,10,12,2008,'F','S','VILA MOEMA','TUBARAO','SC','124242248215111432456733575122610164017',NULL,'797',20.55,1,3,NULL),(15,2288290,'1990-11-06 00:00:00',4,9,12,2007,'M','N','POÇO RICO','OTACILIO COSTA','SC','624241241335371231336779375122610114117',22462,'515',29.34,1,3,NULL),(15,2288303,'1989-04-15 00:00:00',4,1,12,2006,'M','N','AGUA VERDE','CURITIBA','PR','116162281437271431466832575124610124062',NULL,'9998',0.00,1,3,NULL),(15,2288311,'1990-06-17 00:00:00',2,5,11,2007,'F','N','COMERCIÁRIO','CRICIUMA','SC','124242241215111731458634242122610135142',6653,'226',57.81,1,3,NULL),(15,2288320,'1990-01-13 00:00:00',4,10,12,2007,'M','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241117271412234314575124610155142',8863,'358',53.89,1,2,1),(15,2288338,'1989-07-19 00:00:00',4,8,12,2006,'M','N','CENTRO','LONDRINA','PR','116251251215471431469933375122610134056',3341,'9998',65.15,1,3,NULL),(15,2288346,'1990-06-16 00:00:00',4,1,12,2007,'F','N','CENTRO','CAXIAS DO SUL','RS','120202201217471231468831595122610134122',12997,'9998',47.60,1,3,NULL),(15,2288370,'1991-08-07 00:00:00',4,3,11,2007,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124244241437161552468932325122610133182',NULL,'154',0.00,1,3,NULL),(15,2288389,'1990-07-13 00:00:00',2,1,12,2007,'M','N','CENTRO','IBIACA','RS','120201201115271431448613375124610142012',14034,'9998',46.12,1,2,1),(15,2288397,'1988-08-30 00:00:00',2,1,12,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241337353411337923572125230267047',7702,'1022',55.86,4,3,NULL),(15,2288400,'1987-03-26 00:00:00',4,1,12,2004,'F','N','CID UNIVERSTARIA II','CAMPINAS','SP','125092091216573431438929595124241564017',581,'9998',76.19,3,3,NULL),(15,2288419,'1990-04-18 00:00:00',4,1,12,2007,'F','N','JARDIM SÃO NICOLAU','ARARAS','SP','125251251217111431454312174112610128012',7882,'9998',55.55,1,3,NULL),(15,2288427,'1988-11-14 00:00:00',2,1,11,2007,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124241241115111431623869572324610131142',13868,'306',46.36,2,1,1),(15,2288435,'1989-09-18 00:00:00',2,5,11,2007,'F','N','MINA BRASIL','CRICIUMA','SC','124242241215121531568812325112610165097',NULL,'226',24.96,1,3,NULL),(15,2288443,'1990-03-02 00:00:00',4,6,12,2006,'M','N','CENTRO','PICARRAS','SC','124242241215272231579914575124610137052',22047,'389',32.11,1,3,NULL),(15,2288451,'1983-04-28 00:00:00',4,3,12,1999,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241212575431353911482124432566097',6145,'48',58.77,1,3,NULL),(15,2288460,'1990-06-14 00:00:00',2,4,12,2008,'F','S','CENTRO','XANXERE','SC','124242241117131431336623241232610122027',NULL,'840',48.27,1,3,NULL),(15,2288478,'1990-10-15 00:00:00',4,1,12,2007,'F','N','CENTRO','MARINGA','PR','116162161216111431488832572112610167122',9652,'9998',52.49,1,3,NULL),(15,2288486,'1980-03-28 00:00:00',2,1,12,2001,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241247327133712236844142334130234047',13637,'9999',46.71,1,3,NULL),(15,2288494,'1991-06-17 00:00:00',2,1,12,2007,'F','N','PANTANO DO SUL','FLORIANOPOLIS','SC','124241241311131411438624575124610143072',8061,'269',55.25,1,3,NULL),(15,2288516,'1980-07-01 00:00:00',2,1,12,1997,'F','N','COLONINHA','FLORIANOPOLIS','SC','124251251147474431234371311124610126097',12238,'9998',48.67,1,2,1),(15,2288524,'1990-09-30 00:00:00',4,4,12,2007,'F','N','CENTRO','PLANALTO','RS','120201201116271731435439472122610164142',NULL,'9998',24.16,1,3,NULL),(15,2288532,'1984-12-31 00:00:00',2,1,12,2002,'F','N','SERRARIA','SAO JOSE','SC','124241241127273311633329142334610134147',15939,'946',43.47,1,2,1),(15,2288540,'1989-04-26 00:00:00',2,8,12,2006,'F','N','LABIENÓPOLIS','GARCA','SP','125252251215412411358731491124610114012',7030,'9998',57.10,1,3,NULL),(15,2288567,'1990-05-11 00:00:00',2,4,12,2007,'F','N','CENTRO','SELBACH','RS','120201201116131431436616572122610167147',NULL,'9998',0.00,1,2,1),(15,2288575,'1989-09-01 00:00:00',4,8,12,2006,'M','N','CENTRO','TUPA','SP','125252251215371431466823271111610164172',18773,'9998',39.03,1,3,NULL),(15,2288583,'1989-01-30 00:00:00',2,1,12,2006,'F','N','VENDAVAL','BIGUACU','SC','124241241115231711323314382124610126142',16050,'65',43.29,1,2,1),(15,2288591,'1988-06-30 00:00:00',4,8,12,2005,'M','N','RETIRO DA MANTIQUEIR','CRUZEIRO','SP','125252251215471431469719575112141147047',NULL,'9998',0.00,1,3,NULL),(15,2288605,'1987-07-10 00:00:00',2,1,11,2004,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241216575411568633572124610167115',9216,'32',53.25,1,3,NULL),(15,2288613,'1988-01-12 00:00:00',4,6,12,2005,'M','N','JARDIM NAZARETH','SAO JOSE DO RIO PRETO','SP','125252251217572231369911475112610137021',12129,'9998',48.82,1,3,NULL),(15,2288621,'1988-07-13 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215312411459813572324610163017',14201,'270',45.87,1,3,NULL),(15,2288630,'1991-06-08 00:00:00',4,5,12,2008,'M','S','CENTRO','TURVO','SC','124242241215111632468912244112610164112',NULL,'970',0.00,1,3,NULL),(15,2288648,'1990-03-05 00:00:00',4,1,12,2007,'F','N','PICADAS DO SUL','SAO JOSE','SC','124243241316131411425634572214610124047',21861,'733',32.75,1,3,NULL),(15,2288656,'1991-01-21 00:00:00',2,1,11,2007,'M','N','CENTRO','BOM JARDIM DA SERRA','SC','124244241212111731357629392112610167047',9292,'1035',53.13,1,3,NULL),(15,2288664,'1986-11-23 00:00:00',2,1,12,2004,'F','N','AREIAS','SAO JOSE','SC','124201204416131431524611442224610122142',19576,'9998',37.67,1,3,NULL),(15,2288672,'1985-06-07 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242247236274431438811395134130226142',21290,'1036',34.24,1,3,NULL),(15,2288699,'1990-12-16 00:00:00',4,2,11,2007,'M','N','VELHA','BLUMENAU','SC','124053241215111751464614372124610127122',12063,'909',48.90,1,3,NULL),(15,2288702,'1987-03-17 00:00:00',2,1,12,2004,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','224241241116131431453139295334610123147',NULL,'257',0.00,1,2,1),(15,2288710,'1990-08-19 00:00:00',2,10,11,2007,'F','N','HUMAITÁ','TUBARAO','SC','124243241315111431628824242122610127142',20689,'807',35.52,4,3,NULL),(15,2288729,'1989-10-22 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215372431458633572114610128067',7969,'262',55.42,1,3,NULL),(15,2288737,'1990-06-14 00:00:00',4,9,12,2007,'M','N','INDUSTRIAL','IJUI','RS','120201201116111431348833472124610116197',11415,'9998',49.82,1,2,1),(15,2288745,'1984-05-17 00:00:00',2,1,12,2002,'F','N','INGLESES','FLORIANOPOLIS','SC','124241246115374431535424295124233264057',4936,'306',61.21,1,2,1),(15,2288753,'1990-12-27 00:00:00',4,1,12,2008,'F','S','CENTRO','TIJUCAS','SC','124242241215111431568613494122610117142',NULL,'948',44.95,1,3,NULL),(15,2288761,'1982-03-24 00:00:00',4,1,12,2000,'F','N','JARDIM FLORESTA','SAO JOSE','SC','124242241431132431438644242224121854042',15861,'1036',43.59,1,3,NULL),(15,2288770,'1976-03-13 00:00:00',4,9,12,1992,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241201112153441365543432132322763092',NULL,'9998',0.00,1,3,NULL),(15,2288788,'1990-04-05 00:00:00',2,1,12,2007,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242248215411431456613572124610113182',21780,'1022',33.02,1,3,NULL),(15,2288796,'1991-05-22 00:00:00',2,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124114241416111451567923375124610164187',NULL,'262',44.02,4,3,NULL),(15,2288800,'1990-02-05 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECO','SC','124241241215371711346732375122610127042',11288,'1046',50.03,1,3,NULL),(15,2288818,'1987-05-06 00:00:00',4,1,8,2007,'M','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124242247217151721359834442122610117112',NULL,'9997',0.00,1,3,NULL),(15,2288826,'1990-03-17 00:00:00',2,2,12,2007,'F','N','BARRACÃO','GASPAR','SC','124242241215111431239729372122610134147',9363,'1052',53.02,1,3,NULL),(15,2288834,'1987-11-22 00:00:00',4,1,12,2005,'M','N','JD ISAURA','SOROCABA','SP','125252251211572711378913575122610117082',3107,'9998',65.84,1,3,NULL),(15,2288842,'1990-07-21 00:00:00',4,3,12,2007,'M','N','JARDIM ESTORIL','CORNELIO PROCOPIO','PR','116162161117311431459959574122610164012',9310,'9998',53.11,1,3,NULL),(15,2288850,'1990-07-01 00:00:00',4,3,11,2007,'F','N','HIGIENOPOLIS','SAO PAULO','SP','125252251215271412458812475122610137182',2599,'9998',67.33,1,3,NULL),(15,2288869,'1989-11-30 00:00:00',2,1,12,2006,'M','N','CAMPINAS','SAO JOSE','SC','124244248417472731348819595123610117117',22087,'774',31.98,1,3,NULL),(15,2288885,'1990-05-15 00:00:00',4,1,12,2008,'M','S','PANTANAL','FLORIANOPOLIS','SC','124242248217111431558823375122610117015',NULL,'1022',28.78,1,3,NULL),(15,2288893,'1989-07-25 00:00:00',2,1,12,2006,'F','N','INDEPENDEINCIA','PORTO ALEGRE','RS','120201201117371431336663591124610165187',17371,'9998',41.28,3,2,1),(15,2288907,'1992-04-14 00:00:00',4,6,12,2008,'F','S','SÃO JOÃO','ITAJAI','SC','124242241216111421425621595124610118197',NULL,'392',48.44,1,3,NULL),(15,2288915,'1990-02-05 00:00:00',4,1,12,2007,'F','N','CRISTO REI','ESTRELA','RS','120201208116411751626419375224610163147',NULL,'9998',0.00,1,3,NULL),(15,2288923,'1991-07-15 00:00:00',2,4,12,2008,'F','S','CENTRO','XANXERE','SC','124243241215111432656533375122610125122',NULL,'836',47.61,1,3,NULL),(15,2288931,'1990-09-26 00:00:00',4,4,12,2007,'M','N','SANTO ANTÔNIO','PINHALZINHO','SC','124241241115151441449911576124610128187',12077,'616',48.89,1,2,1),(15,2288958,'1987-07-28 00:00:00',4,1,12,2004,'F','N','VILA SÔNIA','SAO PAULO','SP','125254251217472752348811475124610126197',3940,'9998',63.62,1,3,NULL),(15,2288966,'1986-12-18 00:00:00',4,4,12,2004,'M','N','CRISTO REI','CHAPECO','SC','124241241132151431433634241123131837052',21495,'177',33.74,1,2,1),(15,2288974,'1989-10-11 00:00:00',2,1,12,2006,'F','N','SANTA MARIA','ANTONIO CARLOS','SC','124241241117151431633312572122610166045',12702,'21',47.98,1,2,1),(15,2288982,'1985-01-04 00:00:00',4,1,12,2002,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241214473441456914445122120764052',3154,'446',65.68,1,3,NULL),(15,2288990,'1990-09-19 00:00:00',4,2,12,2007,'F','N','CENTRO','DONA EMMA','SC','124241241126161531554314241321610127052',20493,'247',35.89,1,3,NULL),(15,2289008,'1983-02-10 00:00:00',4,1,12,2000,'M','N','INGLESES','FLORIANOPOLIS','SC','124204201126151531446333315124141017087',NULL,'9998',0.00,1,3,NULL),(15,2289016,'1990-11-21 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241416121421149613475124610112092',9008,'270',53.63,1,3,NULL),(15,2289024,'1990-06-25 00:00:00',4,8,12,2007,'M','N','CENTRO','LINS','SP','125252251217271531539914574121610164143',4814,'9998',61.50,3,3,NULL),(15,2289032,'1990-12-30 00:00:00',2,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124124248315131431237635572324610127142',18397,'1045',39.65,1,3,NULL),(15,2289040,'1979-11-19 00:00:00',2,1,12,2000,'F','N','CARIANOS','FLORIANOPOLIS','SC','624071071127151411443559242122610135097',21090,'9998',34.68,1,3,NULL),(15,2289059,'1989-12-28 00:00:00',2,1,12,2007,'M','N','CENTRO','BIGUACU','SC','124244241415111431358627575124610132032',10673,'1022',50.91,1,3,NULL),(15,2289067,'1990-07-18 00:00:00',2,8,12,2007,'F','N','AMIZADE','JARAGUA DO SUL','SC','124242241216111431559914445122610136142',13566,'422',46.80,1,3,NULL),(15,2289083,'1956-02-28 00:00:00',2,1,12,1976,'M','N','CENTRO','FLORIANOPOLIS','SC','524241241136155411573643435122321167062',11334,'307',49.94,1,2,1),(15,2289105,'1988-10-14 00:00:00',4,8,12,2006,'M','N','AMÉRICA','JOINVILLE','SC','124242241215272431367919572111121437117',3267,'457',65.34,1,3,NULL),(15,2289113,'1989-08-19 00:00:00',4,1,12,2006,'F','N','CENTRO','CAIEIRAS','SP','125251251117131431324621575114610165017',17350,'9998',41.31,1,3,NULL),(15,2289121,'1987-10-06 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217153711347777585122233224191',16167,'266',43.12,1,3,NULL),(15,2289130,'1987-10-27 00:00:00',4,1,11,2004,'F','N','RESIDENCIAL DO LAGO','LONDRINA','PR','116162161216572431338731575122610167117',5366,'9998',60.35,1,3,NULL),(15,2289148,'1991-05-20 00:00:00',4,1,12,2008,'M','S','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124244241214111431654612426122610124015',NULL,'1011',51.99,1,3,NULL),(15,2289156,'1990-07-20 00:00:00',2,4,12,2007,'M','N','CENTRO','SAO JOSE DO CEDRO','SC','124244241437131521459912475122610167052',14550,'740',45.34,1,3,NULL),(15,2289172,'1988-06-13 00:00:00',4,1,11,2005,'F','N','VILA MARIANA','SAO PAULO','SP','125252251216572531458614575124610164042',13072,'9998',47.48,1,3,NULL),(15,2289180,'1987-04-03 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241211372441457733571124131523147',16274,'948',42.94,1,3,NULL),(15,2289199,'1990-03-02 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124241241215121431336631215122610145142',11672,'226',49.44,1,3,NULL),(15,2289202,'1990-04-27 00:00:00',2,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241417131431426723575124610124017',16440,'967',42.68,1,3,NULL),(15,2289210,'1987-03-25 00:00:00',1,2,12,2004,'M','N','CENTRO','POMERODE','SC','124244241216275431435434245132610127057',3124,'624',65.78,1,3,NULL),(15,2289229,'1989-03-18 00:00:00',4,8,11,2006,'F','N','CENTRO','BARRA VELHA','SC','124242241215472431348822424124610146097',8363,'486',54.74,1,3,NULL),(15,2289237,'1989-09-29 00:00:00',2,5,11,2006,'M','N','SÃO CRISTOVÃO','CRICIUMA','SC','124242241214471431436514572125610166047',6798,'211',57.55,1,3,NULL),(15,2289245,'1990-08-31 00:00:00',2,5,11,2007,'M','N','SAPIRANGA','MELEIRO','SC','124241246111141431456532322124610132057',NULL,'995',0.00,1,2,1),(15,2289253,'1990-09-16 00:00:00',4,1,12,2007,'F','N','ZONA SETE','MARINGA','PR','116162161217271431148931575125610143142',4605,'9998',61.98,1,3,NULL),(15,2289270,'1986-06-11 00:00:00',2,1,12,2003,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241241116474431435621385123610134011',17571,'307',40.97,1,2,1),(15,2289288,'1988-06-18 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241217574711543933584124610168181',4039,'270',63.36,1,3,NULL),(15,2289296,'1980-08-31 00:00:00',4,1,12,1998,'M','N','ESTREITO','FLORIANOPOLIS','SC','624242241215144122346639442124321768197',4267,'806',62.77,1,3,NULL),(15,2289300,'1986-05-18 00:00:00',2,1,11,2003,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241137134731546314442124610167047',18942,'267',38.76,1,2,1),(15,2289318,'1989-08-28 00:00:00',4,7,12,2006,'M','N','CENTRO','TAPEJARA','RS','120201201116131431423311475114610167057',NULL,'9998',34.87,1,3,NULL),(15,2289326,'1975-02-18 00:00:00',4,1,12,1992,'F','N','INGLESES','FLORIANOPOLIS','SC','224251258112131421433354382224610116187',15248,'9998',44.48,1,2,1),(15,2289334,'1990-11-15 00:00:00',2,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241216111431587512242122610137092',11313,'723',49.98,4,3,NULL),(15,2289342,'1987-12-19 00:00:00',4,1,12,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241337372411363613295214610166045',14482,'9999',45.44,1,3,NULL),(15,2289369,'1990-08-26 00:00:00',4,5,12,2007,'F','N','CENTRO','ICARA','SC','124244241215111731226921272124610133052',17470,'226',41.12,1,3,NULL),(15,2289377,'1964-06-14 00:00:00',4,1,12,1982,'F','N','CENTRO','FLORIANOPOLIS','SC','424241243117145711584653432135122721193',20404,'306',36.05,1,2,1),(15,2289385,'1989-10-31 00:00:00',4,10,12,2007,'F','N','SAO JOAO','SANTA CRUZ DO SUL','RS','120201201136141431448614395124610134117',NULL,'9998',0.00,1,2,1),(15,2289393,'1991-07-24 00:00:00',4,1,12,2007,'F','N','AREIAS','SAO JOSE','SC','124244241215121432468613575114610124147',NULL,'270',30.59,1,3,NULL),(15,2289407,'1974-02-15 00:00:00',2,1,12,1991,'M','N','CENTRO','URUSSANGA','SC','124241248116135731323519432334120824157',12415,'820',48.42,1,2,1),(15,2289415,'1990-10-16 00:00:00',4,4,12,2007,'F','N','INTERIOR','MONDAI','SC','124241241114131431523335353324610133052',NULL,'408',23.96,1,2,1),(15,2289423,'1990-12-08 00:00:00',4,3,12,2007,'F','N','CENTRO','CANOINHAS','SC','124242241217112431479814572124610123142',2565,'270',67.42,1,3,NULL),(15,2289431,'1979-12-22 00:00:00',4,1,12,1997,'M','N','CENTRO','RIO DO SUL','SC','124243241116152441489613475122431064182',5583,'659',59.91,1,3,NULL),(15,2289440,'1985-06-27 00:00:00',4,1,12,2002,'M','N','CAMPECHE','FLORIANOPOLIS','SC','103242201217573431368613495123131227097',NULL,'9998',4.39,1,3,NULL),(15,2289458,'1990-10-03 00:00:00',2,8,12,2007,'M','N','OURO VERDE','CAMPO LARGO','PR','116162161216111431438411572122610168097',8157,'9998',55.09,1,3,NULL),(15,2289466,'1991-02-22 00:00:00',4,4,12,2007,'F','N','CENTRO','CHOPINZINHO','PR','116162161235271431468732575122610131142',NULL,'9998',9.63,1,3,NULL),(15,2289482,'1990-11-20 00:00:00',4,1,12,2008,'M','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241217151751689939575124610122052',NULL,'951',56.38,2,3,NULL),(15,2289490,'1975-11-30 00:00:00',2,4,12,1997,'F','N','PASSO DOS FORTES','CHAPECO','SC','124241241122151421112344442344613216047',NULL,'601',20.03,1,2,1),(15,2289504,'1990-06-25 00:00:00',2,4,12,2007,'M','N','CENTRO','PATO BRANCO','PR','116164161436141431457732195122610164052',20781,'9998',35.34,1,3,NULL),(15,2289512,'1990-02-04 00:00:00',4,4,12,2007,'F','N','INTERIOR','MONDAI','SC','124241241115161431533335573324610152147',NULL,'408',22.35,1,2,1),(15,2289520,'1989-09-05 00:00:00',2,5,12,2007,'M','N','UNIVERSITÁRIO','SANTA CRUZ DO SUL','RS','120201258211471431446612485122610167042',17155,'9998',41.64,1,3,NULL),(15,2289539,'1990-07-12 00:00:00',4,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241115371431465812371122610141047',19968,'405',36.89,1,2,1),(15,2289547,'1990-03-19 00:00:00',2,1,12,2007,'F','N','SÃO CRISTOVÃO','TAPEJARA','RS','120201201117131731445639591212610127072',14703,'9998',45.14,1,3,NULL),(15,2289555,'1990-04-05 00:00:00',4,4,12,2007,'M','N','IPIRANGA','RONDA ALTA','RS','120201201111131711423436292323610162182',NULL,'9998',22.41,1,3,NULL),(15,2289563,'1986-09-14 00:00:00',4,1,12,2004,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124202241415574431368811594124610162097',19161,'299',38.41,4,3,NULL),(15,2289571,'1987-09-09 00:00:00',2,1,12,2004,'M','N','LOT PAGANI','PALHOCA','SC','124241241117271731376332342132610167052',21033,'591',34.80,1,2,1),(15,2289598,'1985-10-31 00:00:00',2,1,11,2003,'M','N','CENTRO','ARARANGUA','SC','124241241411412431324316192124220365047',7801,'32',55.69,4,3,NULL),(15,2289601,'1981-08-30 00:00:00',4,1,12,1998,'F','N','KOBRASOL','SAO JOSE','SC','124241243126272431333321282124133237047',12062,'406',48.90,1,2,1),(15,2289610,'1988-10-07 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241112272431568733572114610137047',6909,'306',57.33,1,3,NULL),(15,2289628,'1990-10-18 00:00:00',4,10,12,2007,'M','N','VILA MOEMA','TUBARAO','SC','124242241237111751449912427121610167117',5944,'797',59.18,1,3,NULL),(15,2289636,'1989-12-29 00:00:00',2,1,11,2007,'F','N','SUIÇA','ARACAJU','SE','126262261216111431557614575122610125112',NULL,'9998',0.00,4,3,NULL),(15,2289644,'1991-02-26 00:00:00',4,8,12,2007,'F','N','CENTRO','BALNEARIO BARRA DO SUL','SC','124241241121131731431319571321610137017',NULL,'41',0.00,4,2,1),(15,2289660,'1987-09-21 00:00:00',4,1,11,2005,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215372731578712572122121467042',3883,'1038',63.79,1,3,NULL),(15,2289679,'1988-03-30 00:00:00',2,1,12,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241216353731478813595124230267117',8577,'262',54.41,1,3,NULL),(15,2289687,'1985-04-19 00:00:00',4,1,12,2002,'F','N','INGLESES','FLORIANOPOLIS','SC','124161161132242421228644142134131354092',NULL,'9998',18.92,1,3,NULL),(15,2289695,'1987-02-16 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124163167327131431436611342223610124177',21171,'9998',34.50,1,3,NULL),(15,2289709,'1988-04-29 00:00:00',2,10,12,2007,'M','N','PASSO DA AREIA','SANTA MARIA','RS','120201201111131411526811271121610165157',6487,'9998',58.10,1,3,NULL),(15,2289725,'1989-09-09 00:00:00',4,1,9,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215121431457622572122610147097',NULL,'1077',20.20,1,3,NULL),(15,2289733,'1990-10-25 00:00:00',4,8,11,2007,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124161248111171431526331592124610166147',NULL,'484',22.52,1,2,1),(15,2289741,'1982-05-05 00:00:00',4,1,12,1999,'M','N','LAGOA DA CONCEÇÃO','FLORIANOPOLIS','SC','124241248311131741623329245121610114192',18471,'9997',39.54,1,3,NULL),(15,2289750,'1987-07-21 00:00:00',4,1,12,2004,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124242241212473431378313442122610123012',15862,'883',43.59,1,3,NULL),(15,2289768,'1991-10-20 01:00:00',4,2,11,2008,'M','S','VELHA','BLUMENAU','SC','124242241235551131343311575121610164092',NULL,'71',40.42,1,3,NULL),(15,2289776,'1989-01-24 00:00:00',2,1,12,2005,'F','N','SANTINHO','FLORIANOPOLIS','SC','124242241215312411448614341124131024047',17840,'1022',40.61,1,3,NULL),(15,2289784,'1990-03-23 00:00:00',2,5,11,2007,'F','N','MINA DO MATO','CRICIUMA','SC','124241241215121411565634572122610123072',19828,'226',37.16,1,3,NULL),(15,2289792,'1991-10-11 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241212111731468619575122610137062',NULL,'270',42.66,1,3,NULL),(15,2289806,'1989-08-16 00:00:00',4,1,12,2006,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241137142431433314344124610127145',22457,'289',29.41,1,3,NULL),(15,2289814,'1987-05-08 00:00:00',4,1,12,2004,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124161161111131411223544214314610166187',17823,'9998',40.63,1,2,1),(15,2289830,'1990-08-01 00:00:00',4,1,11,2007,'M','N','POPULAR UM','SAO JOAQUIM','SC','124243241217131431436634372122610124097',12198,'720',48.73,4,3,NULL),(15,2289857,'1990-07-07 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124243241315371411435322271242610124192',19385,'515',38.04,3,3,NULL),(15,2289873,'1984-09-25 00:00:00',2,1,12,2002,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241122131531323341111134610114157',NULL,'29',18.87,1,2,1),(15,2289881,'1990-09-15 00:00:00',4,3,12,2007,'M','N','CENTRO','CAMBORIU','SC','124243241215141741559613132221610127057',12531,'44',48.25,1,3,NULL),(15,2289890,'1988-05-23 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241216473451459911575122230215092',7052,'883',57.06,1,3,NULL),(15,2289903,'1987-02-16 00:00:00',4,1,12,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','124212211217371531346821475114141728017',6077,'9998',58.94,1,3,NULL),(15,2289920,'1989-05-17 00:00:00',2,1,12,2006,'F','N','FAZENDINHA','CARAPICUIBA','SP','125251251217471451648713295124610164187',13257,'9998',47.23,1,3,NULL),(15,2289938,'1989-11-20 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241112471731426728572124610124145',16313,'295',42.87,1,2,1),(15,2289954,'1989-11-23 00:00:00',4,5,11,2007,'M','N','SAO LUIS','SOMBRIO','SC','124244241437141431323414286221610124052',NULL,'1033',16.12,1,3,NULL),(15,2289970,'1990-08-10 00:00:00',4,9,12,2007,'M','N','CENTRO','BOM RETIRO','SC','124241241126161431425632342122610168012',NULL,'95',18.94,1,2,1),(15,2289989,'1990-03-01 00:00:00',4,4,12,2007,'F','N','INTERIOR','ITAPIRANGA','SC','124241241115161731546916572124610147057',20471,'408',35.93,1,2,1),(15,2289997,'1990-05-21 00:00:00',2,2,12,2007,'M','N','CENTRO','LAURENTINO','SC','124241241147131411439933385121610137045',14057,'528',46.09,1,3,NULL),(15,2290006,'1984-11-04 00:00:00',2,1,12,2002,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124201241136373411443369442134610124042',11933,'290',49.06,1,2,1),(15,2290014,'1986-12-19 00:00:00',2,1,12,2004,'F','N','CENTRO','SANTA MARIA','RS','120202201217472451468613571112610163027',5453,'9998',60.16,1,3,NULL),(15,2290022,'1988-06-01 00:00:00',4,8,12,2005,'M','N','JD FLORESTA','SAO PAULO','SP','125251251137271521414614345324610162182',15601,'9998',43.96,4,2,1),(15,2290030,'1990-05-22 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216111321688811575114610137045',1976,'1022',69.35,4,3,NULL),(15,2290049,'1989-03-02 00:00:00',2,1,12,2006,'M','N','PASSA VINTE','PALHOCA','SC','124241241122371231533312242124610114012',20376,'592',36.10,1,3,NULL),(15,2290057,'1987-12-26 00:00:00',4,1,12,2005,'F','N','CENTRO','SANTO ANGELO','RS','124203201216373731356924445334610164187',6648,'9998',57.81,1,3,NULL),(15,2290065,'1990-04-20 00:00:00',2,2,12,2007,'M','N','GARCIA','BLUMENAU','SC','124244241315151741567619275122610164092',NULL,'67',35.20,1,3,NULL),(15,2290073,'1989-05-05 00:00:00',4,7,12,2007,'M','N','TRÊS VENDAS','ERECHIM','RS','120203206126371321433311275122610137052',NULL,'9998',23.84,1,3,NULL),(15,2290081,'1991-04-19 00:00:00',4,1,11,2008,'F','S','ITACORUBI','FLORIANOPOLIS','SC','124244248417171231556813572124610127073',NULL,'270',35.05,4,3,NULL),(15,2290090,'1989-10-26 00:00:00',2,1,11,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124243241115111711537613332124610123072',17890,'271',40.50,1,3,NULL),(15,2290103,'1990-04-16 00:00:00',4,1,11,2007,'M','N','PARQUE DAS ARVORES','SAO BERNARDO DO CAMPO','SP','125252251415111431548834575114610167052',NULL,'9998',0.00,1,3,NULL),(15,2290111,'1990-05-20 00:00:00',4,1,11,2007,'M','N','JURERÊ','FLORIANOPOLIS','SC','124241241116131231534411292124610168042',NULL,'307',30.95,1,2,1),(15,2290120,'1985-11-12 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217133731126634382314130424117',NULL,'269',0.00,1,3,NULL),(15,2290138,'1990-12-19 00:00:00',4,1,12,2007,'F','N','DEMORAS','ALFREDO WAGNER','SC','124241241115161531423335572224610126147',NULL,'13',0.00,1,3,NULL),(15,2290146,'1989-06-22 00:00:00',2,4,12,2007,'F','N','CENTRO','SANTA MARIA','RS','120243241345471751443419474324610164187',3058,'751',65.95,1,3,NULL),(15,2290154,'1990-11-01 00:00:00',2,4,12,2007,'M','N','INTERIOR','PALMITOS','SC','124241241215111431446632292122610162052',NULL,'600',24.88,4,3,NULL),(15,2290162,'1980-12-16 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANOPOLIS','SC','124201201426131431215541485223130267047',NULL,'9998',0.00,1,3,NULL),(15,2290170,'1988-02-24 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124243247311161411636663311324610114162',NULL,'977',23.97,1,3,NULL),(15,2290189,'1989-09-16 00:00:00',4,1,11,2006,'F','N','SÃO CRISTÓVÃO II','RIO DAS PEDRAS','SP','125252251216471431445631471124610147181',19494,'9998',37.84,4,3,NULL),(15,2290197,'1985-11-20 00:00:00',2,1,12,2003,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241117574731338611575114610137167',8062,'271',55.25,1,2,1),(15,2290200,'1990-03-17 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215141311357614335121610168057',16721,'262',42.30,1,3,NULL),(15,2290219,'1991-03-20 00:00:00',4,1,12,2007,'M','N','CENTRO','ITAARA','RS','120202201117371431569931571222610168016',4362,'9998',62.56,1,3,NULL),(15,2290227,'1989-02-25 00:00:00',2,1,12,2006,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124161161116132531615671185112610162147',19997,'9998',36.84,1,3,NULL),(15,2290235,'1991-06-29 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217111431356522572112610124072',22045,'270',32.12,4,3,NULL),(15,2290243,'1988-11-28 00:00:00',4,8,12,2005,'F','N','CENTRO','CASCAVEL','PR','116163161315571431546712571122610132097',15713,'413',43.79,4,3,NULL),(15,2290251,'1988-04-02 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241316443431478813495124230233187',9518,'1022',52.74,1,3,NULL),(15,2290260,'1990-03-22 00:00:00',4,4,12,2007,'M','N','CENTRO','TRINDADE DO SUL','RS','120242201215271411479811575125610127042',2203,'9998',68.59,4,3,NULL),(15,2290278,'1989-12-02 00:00:00',4,5,11,2007,'M','N','CENTRO','ORLEANS','SC','124242241215122431447813145124610127052',11548,'226',49.64,1,3,NULL),(15,2290286,'1991-04-02 00:00:00',2,5,12,2007,'M','N','CENTRO','SOMBRIO','SC','124242241416371431479831575122610168057',NULL,'9997',11.44,1,3,NULL),(15,2290294,'1989-08-18 00:00:00',2,1,12,2007,'F','N','SUMAREZINHO','SAO PAULO','SP','125252251216111431677814372112610127052',10111,'9998',51.77,1,3,NULL),(15,2290308,'1984-01-27 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124244241222141411336664242133610124142',NULL,'270',28.67,1,3,NULL),(15,2290316,'1990-04-06 00:00:00',2,1,12,2007,'F','N','FAZ SANTO ANTONIO','SAO JOSE','SC','124241241112161411435633232114610167047',19532,'592',37.76,1,2,1),(15,2290324,'1988-07-04 00:00:00',4,1,12,2005,'F','N','JARDIM CHAPADAO','CAMPINAS','SP','125252251217272411557814445122143243187',7485,'9998',56.25,4,3,NULL),(15,2290340,'1988-03-16 00:00:00',4,1,12,2005,'F','N','CENTRO','CAMPINAS','SP','125252251212471411237821412124610141142',7924,'9998',55.49,1,3,NULL),(15,2290359,'1989-12-05 00:00:00',4,10,11,2007,'M','N','VILA MOEMA','TUBARAO','SC','124242241217111431458723577215610167142',10312,'807',51.47,1,3,NULL),(15,2290367,'1988-08-03 00:00:00',4,1,12,2006,'M','N','BELVEDERE','BELO HORIZONTE','MG','113134131217271431576631575122610124112',NULL,'9998',0.00,3,3,NULL),(15,2290375,'1991-06-21 00:00:00',4,1,11,2008,'F','S','CENTRO','TIJUCAS','SC','124242241215111431446923432122610134142',NULL,'266',47.58,1,3,NULL),(15,2290383,'1981-03-16 00:00:00',2,1,12,2002,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','124241247636372411439713412322610126077',20525,'9999',35.85,1,3,NULL),(15,2290391,'1988-11-09 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241115131431236614471121610124072',11605,'267',49.55,1,2,1),(15,2290405,'1989-07-12 00:00:00',2,1,11,2006,'F','N','CENTRO','SANTA MARIA','RS','120202201211472421559934472315610146092',11604,'9998',49.55,1,3,NULL),(15,2290413,'1982-10-15 00:00:00',4,1,7,2007,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124164247627131411348644116324610134183',NULL,'9999',24.23,1,3,NULL),(15,2290421,'1988-12-20 00:00:00',4,4,12,2006,'F','N','MAREMA','MAREMA','SC','124241241127161431633314572342610127057',NULL,'554',21.56,1,3,NULL),(15,2290430,'1982-01-02 00:00:00',2,1,9,2004,'M','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','124241248127132412532613341334610112053',NULL,'9997',33.80,1,2,1),(15,2290456,'1990-01-12 00:00:00',4,3,12,2007,'F','N','VERA CRUZ','PASSO FUNDO','RS','120203201215321431458824574122610137147',NULL,'9998',20.29,1,3,NULL),(15,2290464,'1974-03-11 00:00:00',2,1,12,1994,'M','N','CENTRO','CURITIBA','PR','104133131213422411223434112222231333123',17402,'9998',41.23,1,3,NULL),(15,2290472,'1989-12-20 00:00:00',2,1,12,2007,'M','N','IPIRANGA','SAO JOSE','SC','124161241417111211436631382124610164117',19017,'1022',38.64,1,3,NULL),(15,2290480,'1992-10-11 00:00:00',4,1,12,2008,'M','S','CARVOEIRA','FLORIANOPOLIS','SC','124242243217111231569813572212610117122',NULL,'270',60.79,4,3,NULL),(15,2290499,'1970-09-18 00:00:00',2,1,12,1988,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','524094091216111411179843235132341062072',2631,'9998',67.22,4,3,NULL),(15,2290502,'1987-05-06 00:00:00',2,9,6,2006,'F','N','CENTRO','SAO JOAQUIM','SC','124242241436372321333836572142132566097',22508,'718',28.56,1,3,NULL),(15,2290510,'1978-10-27 00:00:00',4,1,12,1997,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242248331133711337832415322121966097',NULL,'9999',0.00,1,3,NULL),(15,2290529,'1988-01-07 00:00:00',4,1,11,2005,'F','N','SANTA ROSÁLIA','SOROCABA','SP','125252251216472431368612175122610122042',7136,'9998',56.90,1,3,NULL),(15,2290537,'1984-05-10 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217274431347829482114132124047',NULL,'226',0.00,1,3,NULL),(15,2290545,'1991-12-05 00:00:00',2,1,12,2008,'F','S','PONTA DE BAIXO','SAO JOSE','SC','124241241137111432533322297115610134047',NULL,'592',0.00,1,3,NULL),(15,2290553,'1991-06-14 00:00:00',1,2,12,2009,'F','S','AGUÁS CLARAS','BRUSQUE','SC','124242241215121731447613432112610137082',NULL,'107',41.76,1,3,NULL),(15,2290561,'1985-05-02 00:00:00',4,1,12,2004,'M','N','PONTE DE IMARUIM','PALHOCA','SC','124246247337271431226929492214610135091',NULL,'208',11.19,1,3,NULL),(15,2290570,'1984-03-20 00:00:00',4,6,12,2000,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241217151441343612245222330264052',NULL,'9997',14.06,1,3,NULL),(15,2290588,'1982-10-19 00:00:00',4,3,11,2000,'F','N','JARDIM SOCIAL','CURITIBA','PR','516162161216131731368729482322342662187',14611,'9998',45.26,1,3,NULL),(15,2290596,'1987-05-07 00:00:00',4,1,12,2004,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241211144711559813492122231033027',NULL,'262',0.00,1,3,NULL),(15,2290600,'1990-07-20 00:00:00',2,6,12,2007,'M','N','SÃO VICENTE','ITAJAI','SC','124243241117121431436923374124610117147',12022,'392',48.96,1,3,NULL),(15,2290618,'1990-11-22 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124243241216111731348823572112610135182',3926,'723',63.66,1,3,NULL),(15,2290626,'1989-05-12 00:00:00',4,10,11,2007,'M','N','CENTRO','ARMAZEM','SC','124244248216111451688872492122610128112',18612,'807',39.31,1,3,NULL),(15,2290634,'1991-05-27 00:00:00',2,5,11,2008,'F','S','CENTRO','CRICIUMA','SC','124242241215111331365832575112610126192',NULL,'226',43.07,1,3,NULL),(15,2290642,'1989-03-04 00:00:00',2,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124244241217111741546613372122610127047',NULL,'269',0.00,1,3,NULL),(15,2290650,'1990-05-13 00:00:00',4,8,12,2007,'F','N','SANTA LUZIA','JARAGUA DO SUL','SC','124242241115131431323339392224610134017',NULL,'433',0.00,1,3,NULL),(15,2290669,'1989-09-05 00:00:00',2,1,12,2007,'F','N','SÃO SEBASTIÃO','SANTA RITA DO PASSA QUATRO','SP','125252251217111411469813595122610164143',NULL,'9998',0.00,1,3,NULL),(15,2290677,'1991-09-18 00:00:00',4,5,12,2007,'F','N','SÃO PEDRO','SOMBRIO','SC','124241241115271431523619292321610147057',15044,'770',44.74,1,2,1),(15,2290707,'1990-01-08 00:00:00',2,4,12,2007,'M','N','INTERIOR','RONDA ALTA','RS','120201201111131711423336192322610167052',20715,'9998',35.48,4,3,NULL),(15,2290715,'1988-08-12 00:00:00',2,1,12,2005,'M','N','CENTRO','IPUMIRIM','SC','124241241136151711334619495224131034177',14736,'374',45.10,1,3,NULL),(15,2290723,'1990-04-02 00:00:00',2,1,12,2007,'F','N','PANATANO DO SUL','FLORIANOPOLIS','SC','124241241337411731546413572114610168197',12723,'1022',47.95,1,3,NULL),(15,2290731,'1989-12-20 00:00:00',4,1,12,2006,'M','N','BOQUEIRÃO','SANTOS','SP','125252251217471411368824575111610147057',16779,'9998',42.21,1,3,NULL),(15,2290740,'1989-10-11 00:00:00',2,9,12,2007,'F','N','BUDAG','RIO DO SUL','SC','124242248217131431539833435122610131147',12999,'991',47.59,1,3,NULL),(15,2290758,'1991-07-05 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111751358731475122610137187',NULL,'120',45.64,1,3,NULL),(15,2290766,'1991-02-15 00:00:00',4,8,12,2008,'F','S','AMÉRICA','JOINVILLE','SC','124242241215111531367814575122610134197',NULL,'461',43.67,1,3,NULL),(15,2290774,'1986-10-23 00:00:00',4,1,1,2005,'F','N','SERRARIA','SAO JOSE','SC','124241241141371421434234282314610163187',20211,'734',36.39,1,3,NULL),(15,2290782,'1989-10-16 00:00:00',4,1,11,2007,'M','N','ARMAÇÃO DO PANTANO','FLORIANOPOLIS','SC','124244241417153411458823492114610166181',NULL,'269',38.30,1,3,NULL),(15,2290790,'1989-10-19 00:00:00',4,5,12,2006,'F','N','PIO CORREA','CRICIUMA','SC','124242241212272411368812392122610113122',13471,'226',46.92,1,3,NULL),(15,2290804,'1989-06-14 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215271431566632575124610148143',3802,'738',63.97,1,3,NULL),(15,2290812,'1987-12-21 00:00:00',2,1,12,2007,'M','N','BAIRRO DE FATIMA','FLORIANOPOLIS','SC','124242241235111431357934485124610133057',20498,'1022',35.88,1,3,NULL),(15,2290839,'1990-07-30 00:00:00',2,10,12,2007,'F','N','VILA NOVA','IMBITUBA','SC','124241241315121451635833571122610167147',13533,'807',46.84,1,3,NULL),(15,2290847,'1989-11-03 00:00:00',4,1,11,2007,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124243241315131741556613375122610133097',NULL,'257',0.00,1,3,NULL),(15,2290855,'1990-04-17 00:00:00',4,4,12,2007,'M','N','CENTRO','TIGRINHOS','SC','124241241115131231524923382324610162147',NULL,'780',35.55,1,2,1),(15,2290863,'1989-08-18 00:00:00',2,8,11,2007,'M','N','GUANABARA','JOINVILLE','SC','124243241215471411266412292324610127042',NULL,'1016',0.00,1,3,NULL),(15,2290871,'1991-11-09 00:00:00',4,9,11,2007,'M','N','CENTRO','LAGES','SC','124243241215111731469613472122610124037',8868,'497',53.88,1,3,NULL),(15,2290880,'1988-12-27 00:00:00',2,3,12,2006,'M','N','CENTRO','MARINGA','PR','116164161115372411444811345112610142187',NULL,'9998',0.00,1,3,NULL),(15,2290901,'1990-01-11 00:00:00',4,2,11,2007,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241211111231338719571124610137047',13591,'88',46.76,1,3,NULL),(15,2290910,'1990-10-22 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241215111431568921575112610137047',17108,'262',41.72,1,3,NULL),(15,2290928,'1985-09-14 00:00:00',4,1,12,2003,'M','N','CENTRO','TAUBATE','SP','125252251316474441558619185125133268047',2046,'9998',69.11,1,3,NULL),(15,2290936,'1986-03-14 00:00:00',4,1,12,2004,'M','N','LAGOA DE CONCEIÇÃO','FLORIANOPOLIS','SC','124242247217574411369923575125610164185',9129,'1003',53.40,1,3,NULL),(15,2290944,'1982-10-15 00:00:00',2,1,7,2002,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124241248135575451435311492324233232142',8003,'306',55.37,1,2,1),(15,2290952,'1990-08-24 00:00:00',4,5,12,2007,'F','N','CENTRO','TIMBE DO SUL','SC','124241241135261431449613572122610127147',NULL,'785',24.75,1,2,1),(15,2290960,'1990-06-26 00:00:00',4,8,12,2007,'M','N','VILA NOVA','JOINVILLE','SC','124241242115131411454411175124610167057',21109,'24',34.64,2,3,NULL),(15,2290979,'1986-05-22 00:00:00',4,1,11,2003,'M','N','CENTRO','CRICIUMA','SC','124242241211573431466634375121130227062',6180,'213',58.69,1,3,NULL),(15,2290987,'1988-02-25 00:00:00',2,4,11,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241212372431438811595125610147057',19529,'52',37.77,1,3,NULL),(15,2290995,'1989-10-22 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217151431469912422112610122157',13911,'262',46.30,1,3,NULL),(15,2291002,'1991-04-20 00:00:00',2,9,12,2008,'F','S','SAO JOAO','CORREIA PINTO','SC','124244241417161431333632342122610128177',NULL,'202',33.98,1,3,NULL),(15,2291010,'1974-12-19 00:00:00',4,1,1,1995,'M','N','CENTRO','FLORIANOPOLIS','SC','124201201126151421149744245122140246182',NULL,'9998',0.00,1,3,NULL),(15,2291029,'1990-07-16 00:00:00',4,4,12,2007,'F','N','NITEROI','SEARA','SC','124241241135131441524519294334610127147',16357,'763',42.81,1,2,1),(15,2291037,'1991-09-09 00:00:00',4,1,12,2008,'M','S','ANDORINHA','ITAPEMA','SC','124244248414111311636719292122133228142',NULL,'1111',25.14,1,3,NULL),(15,2291045,'1980-08-01 00:00:00',2,1,11,2001,'F','N','CENTRO','PALHOCA','SC','124203206332211321443434245125131414143',NULL,'9998',15.42,1,3,NULL),(15,2291053,'1990-07-14 00:00:00',2,4,11,2007,'F','N','CENTRO','IJUI','RS','120202201216371731348719595122610117142',15272,'9998',44.45,1,3,NULL),(15,2291061,'1991-11-10 00:00:00',2,7,12,2008,'F','S','CENTRO','JOACABA','SC','124242248214111731558512425112610126072',NULL,'962',18.57,1,3,NULL),(15,2291070,'1989-11-20 00:00:00',2,1,12,2006,'M','N','JARDIM VENEZA','SAO JOSE DOS CAMPOS','SP','125252256215471431436724345324610137097',12526,'9998',48.26,3,3,NULL),(15,2291088,'1988-03-12 00:00:00',4,2,12,2005,'M','N','RIBEIRÃO FRESCO','BLUMENAU','SC','124243241214141411465612445124231916042',17880,'86',40.54,1,3,NULL),(15,2291096,'1987-04-13 00:00:00',2,8,11,2004,'M','N','PORTÃO','CURITIBA','PR','116162161231271121546624245132610117054',NULL,'9998',28.19,1,3,NULL),(15,2291118,'1990-02-09 00:00:00',2,6,11,2007,'M','N','CORDEIROS','ITAJAI','SC','124241241217111332446612372121433232182',NULL,'389',29.55,1,3,NULL),(15,2291142,'1990-03-02 00:00:00',2,7,12,2007,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241215161731336634381122610148147',NULL,'138',19.63,1,3,NULL),(15,2291150,'1988-11-25 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124242241214372411347832372124610124147',14691,'1048',45.16,1,3,NULL),(15,2291169,'1990-03-30 00:00:00',4,1,12,2007,'M','N','VILA TEOPOLIS','ESTEIO','RS','120202201217371411238912242125610127186',NULL,'9998',0.00,1,3,NULL),(15,2291177,'1983-05-26 00:00:00',4,1,11,2001,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124252257217131431538831312224132167117',NULL,'9999',0.00,1,3,NULL),(15,2291185,'1990-11-22 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124241248117161751446619196115610137042',21986,'257',32.30,1,3,NULL),(15,2291193,'1980-08-31 00:00:00',4,1,12,1998,'M','N','PONTE DO IMARUIM','PALHOCA','SC','224092091416134421336641415222610122042',15773,'9998',43.71,1,3,NULL),(15,2291207,'1986-07-08 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248212113511428731211122233217142',NULL,'269',20.32,1,3,NULL),(15,2291223,'1989-01-17 00:00:00',4,1,12,2007,'M','N','FORQUILINHAS','SAO JOSE','SC','124241241115151431356613341124610167042',NULL,'733',28.63,1,2,1),(15,2291240,'1990-10-23 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241112111412369914182124610117047',NULL,'307',10.55,1,3,NULL),(15,2291258,'1988-05-07 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241247337373431326528292114610137187',12136,'9999',48.81,1,3,NULL),(15,2291266,'1940-07-02 00:00:00',2,1,12,1962,'F','N','INGLESES','FLORIANOPOLIS','SC','124202205216151511444442422131610154047',NULL,'9998',0.00,3,3,NULL),(15,2291274,'1987-09-30 00:00:00',4,1,12,2004,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241112153431368933495122231067042',12498,'293',48.29,4,2,1),(15,2291282,'1983-05-16 00:00:00',4,1,12,2000,'M','N','SARAIVA','UBERLANDIA','MG','113133131325571731569811575122610164017',186,'9998',80.12,4,3,NULL),(15,2291290,'1988-09-09 00:00:00',4,1,11,2006,'M','N','ASA SUL','BRASILIA','DF','107072071217471531468832572122610126147',12217,'9998',48.70,1,3,NULL),(15,2291312,'1989-09-27 00:00:00',4,1,12,2006,'F','N','CENTRO','ANTONIO CARLOS','SC','124021241115141431523312341121610123077',NULL,'21',24.54,1,2,1),(15,2291320,'1978-10-29 00:00:00',4,4,12,1995,'M','N','UNIVERSITARIO','CASCAVEL','PR','116052061216572711489611575122141518191',3913,'9998',63.70,1,3,NULL),(15,2291339,'1991-05-09 00:00:00',4,6,11,2007,'F','N','CENTRO','ITAJAI','SC','124242241215121431488914471112610136092',11232,'389',50.11,1,3,NULL),(15,2291347,'1971-01-12 00:00:00',5,1,12,1988,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124202201217471731359619412122340466142',12563,'9998',48.19,1,3,NULL),(15,2291355,'1989-05-24 00:00:00',2,4,12,2006,'F','N','PRESIDENTE MEDICI','CHAPECO','SC','124244241415372751434619594114133264147',8007,'1046',55.36,1,3,NULL),(15,2291363,'1989-06-27 00:00:00',4,5,6,2007,'M','N','CENTRO','CRICIUMA','SC','124244247421371531234331312112610116047',NULL,'9999',0.00,1,3,NULL),(15,2291371,'1990-06-18 00:00:00',4,1,11,2007,'M','N','CENTRO','TIJUCAS','SC','124242241216112431456613542122610124052',8612,'948',54.32,1,3,NULL),(15,2291398,'1990-10-07 00:00:00',4,1,11,2007,'M','N','CENTRO','TIJUCAS','SC','124242241216111431444612575122610127052',18130,'948',40.10,1,3,NULL),(15,2291401,'1988-11-25 00:00:00',2,1,12,2006,'F','N','S SEBASTIÃO','PALHOCA','SC','124241241132132751221324381214610165177',14131,'592',45.99,4,3,NULL),(15,2291410,'1990-06-04 00:00:00',4,10,12,2007,'F','N','SUMARÉ','LAURO MULLER','SC','124241241116131441527923575125610138077',NULL,'531',6.91,1,2,1),(15,2291428,'1990-11-01 00:00:00',4,10,11,2007,'F','N','PAES LEME','IMBITUBA','SC','124243241315111431338633592322610137147',13842,'807',46.39,1,3,NULL),(15,2291444,'1985-07-13 00:00:00',4,8,12,2003,'M','N','CENTRO','SAO BENTO DO SUL','SC','124243241215472431334331215122610132027',9301,'699',53.12,1,3,NULL),(15,2291452,'1990-03-15 00:00:00',4,4,12,2007,'M','N','PRIMEIRO DE MAIO','DIONISIO CERQUEIRA','SC','124241241126141331346313245232610167052',NULL,'245',19.95,1,2,1),(15,2291460,'1989-09-12 00:00:00',2,8,12,2006,'F','N','CENTRO','SAO MATEUS DO SUL','PR','116162161215471431546612571122610142047',NULL,'9998',0.00,1,3,NULL),(15,2291479,'1990-04-20 00:00:00',4,4,11,2007,'M','N','INDUSTRIAL','FRANCISCO BELTRAO','PR','116164161117271431558823234124610137042',9732,'9998',52.37,1,3,NULL),(15,2291487,'1988-04-21 00:00:00',4,8,11,2005,'F','N','CENTRO','CASCAVEL','PR','116162161215572411438623572122610161122',599,'9998',76.09,1,3,NULL),(15,2291509,'1989-02-22 00:00:00',4,1,12,2006,'F','N','CENTRO','MARINGA','PR','116162161216272431569811575122610133122',5532,'9998',60.00,1,3,NULL),(15,2291517,'1989-04-22 00:00:00',4,1,12,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124242241215111411467623574124610124097',NULL,'1022',6.86,1,3,NULL),(15,2291525,'1990-07-18 00:00:00',4,4,11,2007,'F','N','CENTRO','PINHALZINHO','SC','120241201217271741368924575125610127172',2476,'9998',67.69,1,3,NULL),(15,2291533,'1990-11-26 00:00:00',4,10,11,2007,'F','N','HUMAITA','TUBARAO','SC','124241241115141431435514245122610131147',18625,'798',39.28,1,2,1),(15,2291550,'1990-07-07 00:00:00',4,1,12,2007,'M','N','FLORESTA','SAO JOSE','SC','124241241115111431558613372114610138167',17808,'307',40.65,1,2,1),(15,2291568,'1983-10-28 00:00:00',4,1,12,2001,'F','N','PQ ORTOLANDIA','HORTOLANDIA','SP','125254251217572441258924484124610166077',5296,'9998',60.53,2,1,2),(15,2291576,'1989-12-02 00:00:00',4,1,12,2007,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241215112421544612425121610147057',NULL,'948',25.63,1,3,NULL),(15,2291584,'1990-07-11 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215111431369913575124610147117',10174,'270',51.68,1,3,NULL),(15,2291592,'1989-04-23 00:00:00',2,1,12,2006,'F','N','INDEPENDENCIA','PORTO ALEGRE','RS','120201201117371731423621572114610166097',NULL,'9998',26.06,3,3,NULL),(15,2291606,'1978-10-24 00:00:00',2,1,12,1995,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','120202208217133431336842325132120524117',12958,'9998',47.64,1,3,NULL),(15,2291614,'1990-02-07 00:00:00',2,5,12,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215121731479812335122610124127',18983,'1096',38.70,1,3,NULL),(15,2291622,'1974-02-28 00:00:00',2,1,6,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','224251247127131431231353341122610122057',NULL,'306',0.00,2,1,1),(15,2291630,'1989-11-23 00:00:00',2,1,12,2007,'M','N','JARDIM PAULISTA','SAO PAULO','SP','125252251216111431268824372114610117052',NULL,'9998',0.00,1,3,NULL),(15,2291649,'1982-05-17 00:00:00',2,1,12,2000,'F','N','SÃO LUIZ','SAO JOSE','SC','224241241126134411135354145134610126142',18384,'66',39.67,1,2,1),(15,2291657,'1989-03-02 00:00:00',2,4,12,2007,'F','N','NITEROI','SEARA','SC','124241241135131431524519294344610124147',13104,'763',47.44,1,2,1),(15,2291665,'1984-01-30 00:00:00',4,8,12,2000,'F','N','COSTA E SILVA','JOINVILLE','SC','124243241216575431126644442224131742197',13200,'487',47.33,1,3,NULL),(15,2291673,'1990-04-27 00:00:00',2,1,12,2007,'M','N','PASSA VINTE','PALHOCA','SC','124242241115371421325923275121610164187',5223,'592',60.67,1,3,NULL),(15,2291681,'1988-10-11 00:00:00',4,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241416472431449934575114610167182',4536,'270',62.16,1,3,NULL),(15,2291690,'1989-01-09 00:00:00',2,10,11,2006,'F','N','CENTRO','ARARANGUA','SC','124242241215473431469812575112610134147',19065,'32',38.56,1,3,NULL),(15,2291703,'1987-03-14 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124132131117132441348728285124610127147',20846,'9998',35.20,1,3,NULL),(15,2291711,'1962-09-12 00:00:00',2,1,12,1983,'M','N','ITACORUBI','FLORIANOPOLIS','SC','224241243116141411434441412132610127045',15071,'306',44.71,1,2,1),(15,2291738,'1988-05-03 00:00:00',2,1,12,2006,'M','N','SANTA CRUZ','GUARAPUAVA','PR','116164161416271731237733575113140237042',9813,'9998',52.24,1,3,NULL),(15,2291746,'1990-05-29 00:00:00',2,8,12,2007,'F','N','ACARAÍ','SAO FRANCISCO DO SUL','SC','124241242115131411424724175324610163057',17139,'24',41.66,5,3,NULL),(15,2291754,'1987-06-11 00:00:00',4,9,12,2004,'M','N','JARDIM PANAMÁ II','CAMPO GRANDE','MS','112122121236151431346724285114242967056',17813,'9998',40.64,4,3,NULL),(15,2291762,'1988-05-26 00:00:00',2,1,12,2005,'F','N','TRISTEZA','PORTO ALEGRE','RS','120204201116571441447519592124610167121',15831,'9998',43.63,1,3,NULL),(15,2291770,'1990-10-01 00:00:00',4,4,12,2007,'F','N','PINHEIRINHO','FRANCISCO BELTRAO','PR','116161161116151411436314395124610136177',17697,'9998',40.80,1,2,1),(15,2291789,'1991-03-05 00:00:00',4,7,12,2007,'F','N','SÃO CRISTÓVÃO','CONCORDIA','SC','124241241115141531323325295124610126077',NULL,'858',18.59,1,2,1),(15,2291797,'1989-07-15 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124243241215472531556612341224610117051',18267,'943',39.85,1,3,NULL),(15,2291800,'1964-10-13 00:00:00',4,1,12,1984,'M','N','AREIAS','SAO JOSE','SC','224201203126151441443449492122140764142',NULL,'9998',0.00,1,3,NULL),(15,2291819,'1990-06-28 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241213111431368614573122610162132',2852,'207',66.60,1,3,NULL),(15,2291827,'1989-03-30 00:00:00',2,1,11,2006,'M','N','VILA POMPÉIA','SAO PAULO','SP','125252251215471451568911411241610167027',2311,'9998',68.21,1,3,NULL),(15,2291835,'1986-12-08 00:00:00',4,1,12,2005,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124252241316131411428867575324610134192',16004,'295',43.38,3,3,NULL),(15,2291851,'1990-09-13 00:00:00',2,10,12,2007,'M','N','RIBEIRÃO PEQUENO','LAGUNA','SC','124241241216111411433616492214610117042',18192,'525',39.99,1,3,NULL),(15,2291860,'1990-02-19 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241435111532428824575115610122196',18410,'1022',39.63,1,3,NULL),(15,2291878,'1958-07-24 00:00:00',4,1,7,1978,'F','N','INGLESES','FLORIANOPOLIS','SC','124201203122131451123849392214140218187',20058,'9998',36.71,1,3,NULL),(15,2291886,'1990-04-18 00:00:00',4,1,12,2007,'M','N','CONJUNTO VIOLIN','LONDRINA','PR','116166161217111411657833575114610127052',4819,'9998',61.48,4,3,NULL),(15,2291894,'1983-04-04 00:00:00',4,1,12,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124201247315271751434329492334610123147',14716,'9999',45.12,1,3,NULL),(15,2291908,'1989-11-20 00:00:00',4,1,12,2007,'M','N','PARQUE ALVORADA','DOURADOS','MS','112123128217111411538819371121610162186',19631,'9998',37.56,4,3,NULL),(15,2291916,'1988-10-29 00:00:00',4,1,12,2006,'M','N','PINHEIROS','SAO PAULO','SP','125252251211372731368924275124610124042',643,'9998',75.77,3,3,NULL),(15,2291924,'1990-08-25 00:00:00',2,6,12,2007,'F','N','CENTRO','BRUSQUE','SC','124162241414371411546614572222610161097',18977,'111',38.71,1,3,NULL),(15,2291932,'1990-02-16 00:00:00',4,1,11,2007,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241215121731429631125122610147056',10351,'948',51.42,4,3,NULL),(15,2291940,'1991-07-17 00:00:00',4,4,12,2007,'F','N','SÃO CRISTOVÃO','CHAPECO','SC','124242241215111731333332272124610142147',17151,'983',41.64,1,3,NULL),(15,2291959,'1990-09-09 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242241115131432524631572124610134041',21930,'733',32.52,4,3,NULL),(15,2291967,'1990-09-04 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111432426924342221610147112',18860,'1045',38.91,1,3,NULL),(15,2291983,'1990-07-12 00:00:00',2,2,11,2007,'F','N','TABOÃO','RIO DO SUL','SC','124243241217131411456612212122610123147',20022,'663',36.77,4,3,NULL),(15,2291991,'1990-01-20 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241135141431444633392124610135197',18571,'267',39.37,3,2,1),(15,2292017,'1989-01-22 00:00:00',2,1,12,2006,'M','N','CENTRO','SANTA MARIA','RS','120201201216311431433923175212610167052',15823,'9998',43.64,1,3,NULL),(15,2292025,'1990-11-21 00:00:00',4,10,12,2008,'M','S','STO ANTONIO DE PADUA','TUBARAO','SC','124243246211151331438711477121610168192',NULL,'1120',51.37,1,3,NULL),(15,2292033,'1989-06-05 00:00:00',2,1,11,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241236372731354724572124610163147',6772,'723',57.61,1,3,NULL),(15,2292041,'1990-09-22 00:00:00',2,5,11,2007,'M','N','SÃO CRISTÓVÃO','TURVO','SC','124243241215151731433412395121610127052',13338,'813',47.13,1,3,NULL),(15,2292050,'1973-08-18 00:00:00',2,1,12,1992,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','224241248127132431343351415122610166097',16653,'288',42.38,1,3,NULL),(15,2292068,'1985-05-08 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241116132731126644343334610112117',14891,'521',44.91,1,3,NULL),(15,2292076,'1990-03-17 00:00:00',2,7,11,2007,'F','N','CENTRO','MARCELINO RAMOS','RS','120201201215221711548933592124610162142',9403,'9998',52.94,1,3,NULL),(15,2292084,'1990-05-05 00:00:00',2,1,12,2007,'F','N','CENTRO','ANITAPOLIS','SC','124241241127131331623434242341610124147',NULL,'19',26.59,1,3,NULL),(15,2292092,'1989-07-06 00:00:00',4,4,12,2006,'F','N','CENTRO','SANTA MARIA','RS','120242201212472411248814571215610163165',8410,'9998',54.68,1,3,NULL),(15,2292106,'1990-09-24 00:00:00',4,7,12,2007,'M','N','CENTRO','JOACABA','SC','124242241216111731457832595122610164042',18956,'454',38.74,1,3,NULL),(15,2292114,'1989-03-25 00:00:00',4,1,12,2006,'M','N','CHÁCARA MONTE ALEGRE','SAO PAULO','SP','125252251217471431468614144124610137057',3884,'9998',63.79,1,3,NULL),(15,2292122,'1989-08-12 00:00:00',2,5,12,2007,'M','N','PINHEIRINHO','CRICIUMA','SC','124242241215371451486619371124610127042',20015,'920',36.79,1,3,NULL),(15,2292149,'1990-04-15 00:00:00',4,1,12,2007,'M','N','JOAO PAULO','FLORIANOPOLIS','SC','124202241211111431568612472114610112042',10374,'262',51.38,1,3,NULL),(15,2292157,'1984-01-04 00:00:00',2,3,12,2002,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124244248215574451438831495122131318147',NULL,'270',20.73,1,3,NULL),(15,2292181,'1976-11-18 00:00:00',2,1,7,2005,'F','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','224163247121132531522851172324610134097',NULL,'9999',0.00,1,3,NULL),(15,2292190,'1990-05-06 00:00:00',4,1,11,2007,'F','N','SERRARIA','SAO JOSE','SC','124252241217111431238612572114610164072',7187,'270',56.82,1,3,NULL),(15,2292203,'1965-04-07 00:00:00',2,1,12,1983,'M','N','COLONINHA','FLORIANOPOLIS','SC','224241241112155431473143331122121457062',16443,'307',42.68,2,1,1),(15,2292211,'1990-06-18 00:00:00',4,10,12,2007,'M','N','CENTRO','CAPIVARI DE BAIXO','SC','124244246415111431466814595124610134052',NULL,'1120',21.20,1,3,NULL),(15,2292220,'1987-02-10 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241311574411558711572114230267097',4590,'362',62.02,1,3,NULL),(15,2292238,'1989-08-11 00:00:00',2,1,12,2007,'M','N','JOSE MENDES','FLORIANOPOLIS','SC','124243241415121532466632215124610117047',NULL,'1022',23.40,1,3,NULL),(15,2292246,'1986-11-02 00:00:00',4,2,12,2003,'M','N','ENCANO BAIXO','INDAIAL','SC','124241241117141421331614241323610136052',14995,'365',44.80,1,2,1),(15,2292254,'1986-07-31 00:00:00',4,1,11,2003,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241216271711268913382114231027012',12885,'226',47.74,1,3,NULL),(15,2292262,'1988-02-26 00:00:00',4,8,12,2005,'M','N','PETRÓPOLIS','JOINVILLE','SC','124241241215573431236623572112131434147',1285,'489',72.11,1,3,NULL),(15,2292289,'1989-04-17 00:00:00',4,1,11,2006,'M','N','SETOR BUENO','GOIANIA','GO','109012011217471411479816571112140367042',NULL,'9998',0.00,1,3,NULL),(15,2292297,'1990-09-13 00:00:00',5,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241117131411414611474224610123077',10471,'405',51.23,1,2,1),(15,2292300,'1976-09-29 00:00:00',4,10,12,2002,'M','N','SÃO JERONIMO','ORLEANS','SC','124241248121131711223341394325610168042',13713,'9999',46.60,1,2,1),(15,2292319,'1988-09-25 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124242241224113421459933572122231213073',14813,'266',45.00,1,3,NULL),(15,2292327,'1990-05-08 00:00:00',4,7,11,2007,'F','N','INTERIOR','LUZERNA','SC','124241241115131631428613472224610126147',20440,'539',35.98,1,2,1),(15,2292335,'1991-03-21 00:00:00',4,1,12,2008,'F','S','CAMPECHE','FLORIANOPOLIS','SC','124242241215111411459829592114610123097',NULL,'270',35.60,1,3,NULL),(15,2292343,'1990-07-14 00:00:00',4,4,12,2007,'M','N','JARDIM','SAO JOSE DO CEDRO','SC','124241241136111431435624243125610147052',17105,'740',41.72,1,2,1),(15,2292351,'1990-07-01 00:00:00',3,1,12,2008,'F','S','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124242241216111752489923433122610144022',NULL,'883',57.10,1,3,NULL),(15,2292360,'1987-06-01 00:00:00',4,1,12,2004,'M','N','IPANEMA','PORTO ALEGRE','RS','120202201217272431487839571122141464182',11296,'9998',50.02,1,3,NULL),(15,2292378,'1986-02-05 00:00:00',2,1,12,2003,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124243241215375531556612341224610117042',1243,'943',72.30,1,3,NULL),(15,2292386,'1989-09-09 00:00:00',4,1,12,2006,'M','N','PRAIA DE FORA','PALHOCA','SC','124241241117132411543339292132610133047',15355,'591',44.32,1,2,1),(15,2292394,'1980-07-24 00:00:00',2,1,12,2002,'M','N','PANTANAL','FLORIANOPOLIS','SC','124201201127132541321344141324140926097',NULL,'9998',17.43,1,3,NULL),(15,2292408,'1987-06-25 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241211472411438533445134610127117',8815,'269',53.99,4,3,NULL),(15,2292416,'1990-07-05 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124243241115131411424414241324610137022',NULL,'288',0.00,1,3,NULL),(15,2292432,'1991-05-02 00:00:00',4,4,12,2007,'F','N','BELA VISTA','CHAPECO','SC','124243241215121731435923575112610166012',12434,'983',48.38,1,3,NULL),(15,2292440,'1990-02-21 00:00:00',4,5,12,2007,'F','N','CAPÃO BONITO','CRICIUMA','SC','124241241115131431336623291324610163077',20558,'209',35.78,1,3,NULL),(15,2292459,'1990-03-05 00:00:00',2,1,12,2007,'F','N','CENTRO','MARINGA','PR','116163161217271431538819595124610163077',NULL,'9998',0.00,4,3,NULL),(15,2292467,'1990-06-25 00:00:00',2,1,12,2007,'F','N','RIBEIRÃO DOS OVOS','LEOBERTO LEAL','SC','124241241134161431346316342324610117062',NULL,'533',23.31,1,2,1),(15,2292475,'1992-05-09 00:00:00',4,1,4,2009,'F','S','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124244241115111431237821575314610134032',NULL,'739',39.31,1,3,NULL),(15,2292483,'1988-11-12 00:00:00',4,4,12,2005,'M','N','CENTRO','PLANALTO ALEGRE','SC','124241241117473411436923375125230724057',19653,'620',37.51,1,2,1),(15,2292491,'1990-02-23 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241215111431369721572122610145012',NULL,'422',23.62,1,3,NULL),(15,2292505,'1981-06-16 00:00:00',2,1,11,2000,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','624241241112272411666513142112610134087',NULL,'307',22.00,1,2,1),(15,2292513,'1991-05-29 00:00:00',4,1,11,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124243241117161431366622275124610128012',NULL,'271',56.60,1,3,NULL),(15,2292521,'1988-02-12 00:00:00',4,1,12,2004,'F','N','BUENO','GOIANIA','GO','101021011111211111111121111112110212032',770,'9998',74.88,1,3,NULL),(15,2292530,'1978-10-03 00:00:00',2,1,8,1997,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124244246131375421344443131323121137047',NULL,'306',0.00,4,3,NULL),(15,2292556,'1989-02-23 00:00:00',4,3,12,2007,'M','N','AREIAS','CAMBORIU','SC','124241241115141731536531172122610137042',22445,'130',29.80,1,3,NULL),(15,2292564,'1986-08-03 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124243241337372441128741114122610162182',11717,'9999',49.37,1,3,NULL),(15,2292572,'1989-06-29 00:00:00',2,4,12,2006,'F','N','CENTRO','FORMOSA DO SUL','SC','124241241126132111323319182324232823147',NULL,'308',0.00,1,2,1),(15,2292580,'1990-06-05 00:00:00',4,4,11,2007,'F','N','MARIA LUIZA','CASCAVEL','PR','116163161215111431553611374124610165057',4996,'9998',61.09,1,3,NULL),(15,2292599,'1990-01-03 00:00:00',4,3,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241215112431488811412224610134077',8256,'9997',54.92,1,3,NULL),(15,2292602,'1990-05-03 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124072241215111432476834375112610113075',13509,'1022',46.88,1,3,NULL),(15,2292610,'1989-12-11 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124201241112131431243614345124610126097',17414,'732',41.21,1,3,NULL),(15,2292637,'1991-03-25 00:00:00',4,4,12,2007,'F','N','SÃO CRISTOVÃO','CHAPECO','SC','124241241117131431549914242124610126192',14126,'169',45.99,1,2,1),(15,2292645,'1991-01-29 00:00:00',2,8,12,2007,'F','N','AGUA BRANCA','SAO FRANCISCO DO SUL','SC','124242241215131431225821315121610117097',17785,'867',40.70,1,3,NULL),(15,2292653,'1988-10-29 00:00:00',4,1,12,2006,'M','N','CENTRO','SAO JOSE','SC','124242241125271731556611445124610137143',21192,'733',34.45,1,3,NULL),(15,2292661,'1989-08-03 00:00:00',4,1,12,2006,'M','N','LEONOR','LONDRINA','PR','116162161216112711437614385214610162181',NULL,'9998',0.00,1,3,NULL),(15,2292670,'1989-06-23 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241111141731447619391124610123117',NULL,'257',21.27,1,3,NULL),(15,2292688,'1989-11-13 00:00:00',4,7,12,2006,'F','N','CENTRO','JOACABA','SC','124242241216472451458934592122610123012',15335,'446',44.35,1,3,NULL),(15,2292696,'1990-09-23 00:00:00',2,2,12,2007,'F','N','CENTRO','VIDAL RAMOS','SC','124241241131131431526534245122610127057',NULL,'828',20.20,1,2,1),(15,2292700,'1989-04-04 00:00:00',4,1,12,2006,'F','N','CENTRO','POCOS DE CALDAS','MG','113133131116371431535319392225610137073',20115,'9998',36.59,1,3,NULL),(15,2292718,'1990-01-09 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124162161217372731326611242224610164043',16605,'9998',42.45,1,3,NULL),(15,2292726,'1990-03-08 00:00:00',2,5,12,2007,'M','N','PRAIA DA META','BALNEARIO ARROIO DO SILVA','SC','124241241116131711435633275124610134042',20220,'29',36.37,1,2,1),(15,2292742,'1990-05-08 00:00:00',2,3,12,2007,'M','N','CENTRO','RIO DO SUL','SC','124241241116132431465932595124610117042',NULL,'1013',34.35,1,3,NULL),(15,2292750,'1990-05-13 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124242241617111432446633375114610162047',14964,'739',44.84,1,3,NULL),(15,2292777,'1989-02-01 00:00:00',2,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124242248212111731328429392234610137112',20882,'738',35.13,1,3,NULL),(15,2292785,'1990-10-05 00:00:00',4,8,12,2007,'M','N','PINHEIRINHO','RIO NEGRINHO','SC','124242241215111211455832372122610137012',13705,'666',46.61,1,3,NULL),(15,2292793,'1989-07-08 00:00:00',4,1,8,2007,'M','N','SERRARIA','SAO JOSE','SC','124241241115131431534863242124610117187',NULL,'739',37.82,1,2,1),(15,2292807,'1988-10-12 00:00:00',4,1,12,2006,'F','N','BELA VISTA','GOIANIA','GO','101011011211111111111112111111110111022',8589,'9998',54.37,1,3,NULL),(15,2292823,'1990-04-14 00:00:00',4,8,12,2007,'M','N','VILA TUPY','REGISTRO','SP','125252251215111411436616575121610127052',9337,'9998',53.06,1,3,NULL),(15,2292831,'1990-05-30 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215574431189831395124610164182',83,'270',82.08,1,3,NULL),(15,2292840,'1989-07-12 00:00:00',2,1,12,2006,'F','N','SERRARIA','SAO JOSE','SC','124241241114131431424434245114630147057',19791,'257',37.25,1,2,1),(15,2292858,'1989-04-18 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241112111451224411172112642923184',13204,'271',47.32,4,2,1),(15,2292866,'1989-05-28 00:00:00',2,1,12,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241117471432436664442114610134057',NULL,'359',20.76,1,2,1),(15,2292874,'1989-04-27 00:00:00',4,1,11,2006,'M','N','CENTRO','SAO BENTO DO SUL','SC','124242241116371431546612575122610137187',18597,'697',39.33,1,3,NULL),(15,2292882,'1990-04-02 00:00:00',4,1,11,2007,'M','N','JARDIM GOIAS','GOIANIA','GO','109092091217111441389931375122610144092',118,'9998',81.13,4,3,NULL),(15,2292890,'1989-06-11 00:00:00',4,1,12,2006,'M','N','CENTRO','MOCOCA','SP','125252251215471431343831375122610124187',15091,'9998',44.68,1,3,NULL),(15,2292904,'1991-09-30 00:00:00',4,1,12,2008,'F','S','SANTO ANT DE LISBOA','FLORIANOPOLIS','SC','124241241115111431469813575122610123077',NULL,'271',13.87,1,3,NULL),(15,2292912,'1974-03-09 00:00:00',4,1,12,1992,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124142141217372431236419442124321443017',14496,'9998',45.42,2,1,2),(15,2292920,'1987-03-31 00:00:00',2,1,6,2007,'M','N','ESPLANADA','CAXIAS DO SUL','RS','120201207225371231536612241123610114112',18516,'9999',39.45,1,3,NULL),(15,2292939,'1989-07-20 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241211153431478813391134230218053',9071,'266',53.53,3,3,NULL),(15,2292947,'1991-03-07 00:00:00',2,1,10,2008,'F','S','CENTRO','PALHOCA','SC','124242241215121151468633482122610127072',NULL,'1011',9.19,1,3,NULL),(15,2292971,'1990-01-12 00:00:00',2,9,11,2007,'M','N','CENTRO','LAGES','SC','124242241215221431449911575122610148057',16555,'688',42.51,1,3,NULL),(15,2292998,'1990-07-26 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241215112731258724575122610162197',521,'270',76.61,1,3,NULL),(15,2293005,'1987-07-12 00:00:00',4,1,1,2006,'M','N','CENTRO','PANAMBI','RS','120202207212471441489931572122610162042',18318,'9999',39.77,1,3,NULL),(15,2293013,'1990-10-21 01:00:00',2,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241112131431529421472224610114097',NULL,'405',0.00,1,2,1),(15,2293021,'1982-01-03 00:00:00',2,1,6,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124241247225271431621239191324610142117',NULL,'977',0.00,1,3,NULL),(15,2293030,'1986-11-20 00:00:00',2,1,12,2004,'F','N','SÃO JOÃO DO RIO VERM','FLORIANOPOLIS','SC','124203201121372421123414145324141045122',20353,'9998',36.14,1,3,NULL),(15,2293048,'1990-04-01 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241245111431556422592315610134047',10651,'270',50.95,1,3,NULL),(15,2293056,'1971-09-06 00:00:00',4,1,7,1989,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','224241246111574421563452221132121463142',NULL,'306',0.00,1,3,NULL),(15,2293064,'1989-07-07 00:00:00',2,7,12,2006,'M','N','INTERIOR','IBICARE','SC','124241241121132431523315382341610168191',18973,'345',38.72,4,2,1),(15,2293072,'1990-06-23 00:00:00',2,5,11,2007,'F','N','SÃO CRISTÓVÃO','TURVO','SC','124241241315131331433614172125610124077',10253,'813',51.56,1,3,NULL),(15,2293080,'1990-03-27 00:00:00',4,10,11,2007,'M','N','CENTRO','TUBARAO','SC','124242241215271431445632582112610131117',NULL,'806',23.30,1,3,NULL),(15,2293099,'1989-02-07 00:00:00',2,5,11,2006,'M','N','CENTRO','ARARANGUA','SC','124242241216372431466614492122610127112',6626,'970',57.85,4,1,2),(15,2293102,'1981-06-26 00:00:00',4,1,6,1999,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241136143431369719325124123268045',10956,'306',50.53,1,3,NULL),(15,2293110,'1990-10-24 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215372711368711475122610146015',14862,'499',44.94,1,3,NULL),(15,2293137,'1990-05-20 00:00:00',4,4,11,2007,'M','N','MARIA LUIZA','CASCAVEL','PR','116162161215111431446931172122610154157',4769,'9998',61.59,1,3,NULL),(15,2293145,'1988-03-14 00:00:00',4,3,12,2005,'F','N','CENTRO','LAGES','SC','124242248211513751478839585122230411112',20894,'497',35.10,1,3,NULL),(15,2293153,'1990-07-20 00:00:00',2,3,12,2007,'M','N','PIONEIROS','BALNEARIO CAMBORIU','SC','124242241216111431436632315122610137142',11918,'53',49.08,1,3,NULL),(15,2293161,'1990-07-20 00:00:00',4,2,12,2007,'M','N','ALTO BENEDITO','BENEDITO NOVO','SC','124243241215111411638521575114610124067',6468,'9997',58.14,1,3,NULL),(15,2293170,'1990-02-14 00:00:00',4,1,11,2007,'F','N','CENTRO','XANXERE','SC','124244241217111431349832572124610143182',4122,'270',63.14,1,3,NULL),(15,2293188,'1990-12-10 00:00:00',2,1,12,2007,'F','N','CENTRO','SANTA HELENA','PR','116161161116161431436623472321610151147',15912,'9998',43.52,4,1,1),(15,2293196,'1988-05-14 00:00:00',2,7,11,2005,'F','N','CENTRO','JOACABA','SC','124201201211573431386612575112610167072',9830,'9998',52.21,1,3,NULL),(15,2293200,'1984-06-10 00:00:00',2,1,12,2001,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241117131411679713295224231034147',NULL,'521',22.18,4,3,NULL),(15,2293218,'1989-07-08 00:00:00',2,1,12,2007,'F','N','CENTRO','SAO BENTO DO SUL','SC','124242241417111421456634145122610162142',12800,'1073',47.85,1,3,NULL),(15,2293226,'1987-01-06 00:00:00',4,10,12,2004,'M','N','OFICINAS','TUBARAO','SC','124241241141131431323319572321610127047',NULL,'798',27.22,2,1,1),(15,2293234,'1990-05-29 00:00:00',2,3,12,2007,'F','N','PRAÇA','TIJUCAS','SC','124241248212131732325319575121610168057',NULL,'781',14.59,1,3,NULL),(15,2293242,'1990-02-17 00:00:00',5,1,12,2007,'F','N','CENTRO','ANITAPOLIS','SC','124241241125111422423314175122610112141',18043,'19',40.23,1,2,1),(15,2293250,'1991-11-12 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248215111431487712595122610166102',21240,'1022',34.33,1,3,NULL),(15,2293269,'1990-09-02 00:00:00',4,1,11,2007,'F','N','CENTRO','PASSO FUNDO','RS','120244201217371531549813575112610112082',NULL,'9998',0.00,1,3,NULL),(15,2293277,'1988-06-24 00:00:00',2,9,11,2005,'F','N','CENTRO','SAO JOAQUIM','SC','124242241215371431536519572315133233097',NULL,'720',22.32,1,3,NULL),(15,2293285,'1984-03-26 00:00:00',4,1,9,2006,'F','N','SACO DOS LIMOÕES','FLORIANOPOLIS','SC','124241247117132751322237282214610167057',20537,'9999',35.82,4,2,1),(15,2293293,'1987-01-16 00:00:00',4,8,12,2005,'M','N','GLORIA','JOINVILLE','SC','124241241235311331438579412124610164121',NULL,'489',25.93,1,3,NULL),(15,2293307,'1991-08-23 00:00:00',4,6,12,2008,'M','S','CENTRO','GUABIRUBA','SC','124242241215111431476612372122610137182',NULL,'109',51.87,1,3,NULL),(15,2293315,'1988-07-27 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241247416271441235823415134610117022',13925,'9999',46.28,1,3,NULL),(15,2293323,'1983-06-27 00:00:00',4,1,11,2001,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124231241137132411626349191224230224183',NULL,'289',7.41,2,2,1),(15,2293331,'1986-01-31 00:00:00',2,1,12,2003,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124244241115374421647532295124610164147',15483,'271',44.15,1,3,NULL),(15,2293340,'1990-04-19 00:00:00',4,1,12,2006,'F','N','AREIAS','SAO JOSE','SC','124242241217212431466713335134231461095',14765,'738',45.05,1,3,NULL),(15,2293358,'1986-04-01 00:00:00',4,8,12,2003,'M','N','UBERABA','CURITIBA','PR','125161161137573212228813591314241766111',NULL,'9998',0.00,1,3,NULL),(15,2293374,'1988-05-06 00:00:00',2,3,12,2007,'M','N','ITARARÉ','SANTA MARIA','RS','120201207136271431633439182311610137047',17992,'9999',40.33,2,1,1),(15,2293382,'1971-05-01 00:00:00',2,1,12,1991,'F','N','ESTREITO','FLORIANOPOLIS','SC','224241245126272421431353282112610123147',15722,'293',43.78,1,2,1),(15,2293390,'1986-05-15 00:00:00',2,1,12,2003,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241217575431328611472114232462177',NULL,'270',0.00,4,3,NULL),(15,2293404,'1990-03-09 00:00:00',4,9,11,2007,'F','N','CENTRO','SAO JOAQUIM','SC','124242241216111731536615295322610167077',13945,'1035',46.24,3,3,NULL),(15,2293412,'1990-05-07 00:00:00',4,1,12,2007,'M','N','JARDIM JEQUITIBÁ','MARILIA','SP','125254251415111431458812595122342267017',20361,'9998',36.13,1,3,NULL),(15,2293420,'1990-05-21 00:00:00',2,3,12,2007,'M','N','VILA RICA','CARAZINHO','RS','120201201117131722215629385224610164187',19674,'9998',37.46,4,3,NULL),(15,2293439,'1988-07-27 00:00:00',4,6,12,2005,'F','N','LORENZETTI B','MARILIA','SP','125251251114471431323421572124610134097',NULL,'9998',0.00,1,2,1),(15,2293447,'1989-07-04 00:00:00',2,2,12,2007,'F','N','SALSEIRO','VIDAL RAMOS','SC','124241241117131431323331242323610127057',22454,'828',29.52,1,2,1),(15,2293455,'1990-03-03 00:00:00',4,7,12,2007,'M','N','LIBERATA','FRAIBURGO','SC','124241241126151431433424392124610168047',21594,'319',33.53,1,3,NULL),(15,2293463,'1990-05-04 00:00:00',2,8,12,2007,'F','N','SÃO MARCOS','JOINVILLE','SC','124241241414221232469611577124610164197',13919,'486',46.29,1,3,NULL),(15,2293471,'1989-06-22 00:00:00',2,8,11,2006,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242246231311411558814244124610117092',NULL,'1105',0.00,1,3,NULL),(15,2293480,'1991-05-20 00:00:00',4,1,12,2007,'M','N','JD SAO PAULO','SAO PAULO','SP','125252251211111431568411571125610166052',NULL,'9998',0.00,1,3,NULL),(15,2293498,'1985-10-11 00:00:00',2,8,5,2004,'M','N','ZONA SETE','MARINGA','PR','116284281316371411337612475112241132122',6561,'9998',57.96,1,3,NULL),(15,2293501,'1991-05-04 00:00:00',4,1,11,2008,'M','S','AREIAS','SAO JOSE','SC','124242241217121532569812575122610127052',NULL,'738',49.96,1,3,NULL),(15,2293510,'1987-01-06 00:00:00',4,1,12,2003,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124164161216133131438614342334610162147',11365,'9998',49.89,4,3,NULL),(15,2293528,'1989-01-27 00:00:00',2,1,12,2006,'M','N','BELA VISTA','SAO JOSE','SC','124242251215372411349914496124610134053',3150,'9998',65.69,1,3,NULL),(15,2293536,'1988-12-09 00:00:00',4,2,12,2006,'M','N','JABAQUARA','SAO PAULO','SP','124252251217471431578831476122610167042',3540,'9998',64.65,1,3,NULL),(15,2293544,'1984-11-18 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','624253247227171731536544295124610113181',20677,'9999',35.54,1,3,NULL),(15,2293552,'1984-02-05 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241121133451533411344344610117182',13307,'307',47.16,4,3,NULL),(15,2293560,'1974-11-15 00:00:00',4,1,12,1993,'M','N','PASSA VINTE','PALHOCA','SC','224242243112133441263643431122331222181',NULL,'306',0.00,1,3,NULL),(15,2293579,'1990-05-02 00:00:00',4,1,12,2007,'M','N','NOVA AMÉRICA','PIRACICABA','SP','125254251217111531236669275122610162162',NULL,'9998',0.00,4,3,NULL),(15,2293587,'1990-04-20 00:00:00',4,1,10,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124162241212271232438734472124610142097',7585,'269',56.06,1,3,NULL),(15,2293595,'1982-03-24 00:00:00',2,1,12,1999,'F','N','SÃO LUIS','SAO JOSE','SC','224164161217271421229844442134340262092',19352,'9998',38.09,1,3,NULL),(15,2293609,'1990-01-17 00:00:00',4,1,12,2007,'F','N','BUTANTÃ','SAO PAULO','SP','125252251215411431358824345122610125072',NULL,'9998',0.00,1,3,NULL),(15,2293617,'1990-12-08 00:00:00',4,2,12,2007,'F','N','VELHA','BLUMENAU','SC','124162241215271431356639194122610126096',5028,'997',61.03,1,3,NULL),(15,2293625,'1990-11-05 00:00:00',2,8,12,2007,'M','N','MIRANTE DAS ESTRELAS','VINHEDO','SP','125252251216111431469834575124610124057',10034,'9998',51.89,4,3,NULL),(15,2293633,'1990-01-25 00:00:00',4,1,12,2007,'F','N','JD PAULISTA','ATIBAIA','SP','125252258217111431557619572112610122097',15731,'9998',43.77,1,3,NULL),(15,2293641,'1988-08-22 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241217153431537714592122230267042',16822,'270',42.13,1,3,NULL),(15,2293650,'1987-12-30 00:00:00',4,5,12,2006,'M','N','LARANJINHA','CRICIUMA','SC','124242246215341731578812496144610118112',19583,'230',37.65,1,3,NULL),(15,2293668,'1990-11-12 00:00:00',2,1,12,2007,'M','N','CENTRO','PORTO UNIAO','SC','124241241116271431356713575112610167182',14038,'635',46.12,4,2,1),(15,2293676,'1988-06-13 00:00:00',4,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241116141722641329245334610124197',NULL,'257',22.80,3,2,1),(15,2293692,'1967-11-12 00:00:00',2,1,7,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','224241247126141411222344245124610163197',NULL,'306',21.17,1,2,1),(15,2293722,'1991-03-06 00:00:00',4,1,12,2007,'F','N','CENTRO','UBIRATA','PR','116162161217271431346824571122610162092',8069,'9998',55.24,1,3,NULL),(15,2293730,'1990-04-11 00:00:00',1,8,11,2007,'M','N','NOVA BRASÍLIA','JOINVILLE','SC','124242241215271441548612575121610127182',16811,'457',42.15,1,3,NULL),(15,2293749,'1990-04-11 00:00:00',4,1,12,2007,'M','N','JARDIM DA PENHA','VITORIA','ES','108082081216111411458811571124610126192',15476,'9998',44.16,1,3,NULL),(15,2293765,'1990-11-14 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215271431345832575122610121092',12856,'1118',47.78,1,3,NULL),(15,2293773,'1990-06-25 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241215111521426832381124610167117',21481,'1022',33.77,1,3,NULL),(15,2293781,'1988-01-10 00:00:00',2,1,12,2005,'F','N','SERRARIA','SAO JOSE','SC','224241241125472421537721373224231333147',10554,'262',51.09,1,2,1),(15,2293790,'1988-06-12 00:00:00',4,10,11,2005,'F','N','CABEÇUDAS','LAGUNA','SC','124251251332141431126833442324142236187',16718,'9998',42.30,1,3,NULL),(15,2293803,'1983-01-22 00:00:00',4,8,11,2000,'M','N','BOTAFOGO','RIO DE JANEIRO','RJ','121172171216131431128844341224140237112',13716,'9998',46.59,4,3,NULL),(15,2293820,'1989-09-11 00:00:00',4,9,12,2006,'M','N','CORAL','LAGES','SC','124241247446131431238813575124610142047',NULL,'9999',15.89,1,3,NULL),(15,2293838,'1990-08-28 00:00:00',4,2,12,2007,'F','N','JARDIM PANORAMA','BAURU','SP','125252251216211431469719572122610162097',NULL,'9998',0.00,1,3,NULL),(15,2293846,'1990-11-10 00:00:00',4,7,12,2007,'M','N','CENTRO','PIRATUBA','SC','124241241115161431334311572322610125057',NULL,'619',21.96,1,3,NULL),(15,2293854,'1991-08-04 00:00:00',4,3,12,2008,'F','S','AMIZADE','JARAGUA DO SUL','SC','124242248215111431468719575122610133097',NULL,'491',40.70,1,3,NULL),(15,2293862,'1990-03-30 00:00:00',4,1,12,2007,'M','N','BARRANCEIRA','LAGUNA','SC','124241241117111411633633232324610117187',NULL,'523',21.12,1,2,1),(15,2293870,'1981-01-05 00:00:00',2,1,12,1998,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241116133411536419485114610123047',20899,'307',35.09,1,2,1),(15,2293889,'1990-08-14 00:00:00',2,1,12,2007,'M','N','JARDIM AMÉRICA','RIO DO SUL','SC','124242241215111411649923395125610162012',11765,'959',49.31,1,3,NULL),(15,2293897,'1990-04-10 00:00:00',4,8,12,2007,'M','N','BATEL','CURITIBA','PR','116162161212132331379811573123610113153',8745,'9998',54.11,1,3,NULL),(15,2293900,'1976-07-29 00:00:00',2,1,12,1994,'M','N','CENTRO','ANGELINA','SC','224241241112142421253642322132331368181',11302,'9997',50.01,1,2,1),(15,2293927,'1991-12-03 00:00:00',4,4,12,2007,'F','N','CENTRO','FAXINAL DOS GUEDES','SC','124244241215111431473316471122610126142',16728,'836',42.28,1,3,NULL),(15,2293935,'1989-09-06 00:00:00',2,1,12,2007,'F','N','STO ANTÔNIO DE LISBO','FLORIANOPOLIS','SC','124242241215111431558813295124610127047',20670,'1048',35.55,1,3,NULL),(15,2293951,'1990-08-01 00:00:00',4,1,12,2007,'M','N','RIO CAVEIRAS','BIGUACU','SC','124241241146151431653331575112610127052',20938,'1088',34.99,1,2,1),(15,2293960,'1990-01-23 00:00:00',2,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241315411431325824382225610138146',8403,'9997',54.69,1,3,NULL),(15,2293978,'1988-02-11 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124202208216121421658621375312140767047',NULL,'9998',0.00,1,3,NULL),(15,2294010,'1988-02-25 00:00:00',4,8,12,2005,'M','N','JARDIM IRIRIÚ','JOINVILLE','SC','124241246216271421424311385123610127057',NULL,'494',0.00,1,3,NULL),(15,2294036,'1989-10-19 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431334833377114610166042',1735,'1022',70.26,1,3,NULL),(15,2294044,'1987-11-21 00:00:00',4,1,12,2004,'F','N','EMBARE','SANTOS','SP','125252251211523441379922311122141427141',1210,'9998',72.42,1,3,NULL),(15,2294060,'1990-10-16 00:00:00',2,10,12,2007,'F','N','BEIRA RIO','SAO LUDGERO','SC','124241241145141731538619585122610131147',21547,'748',33.64,1,2,1),(15,2294087,'1989-09-09 00:00:00',2,3,11,2006,'F','N','NAÇÕES','BALNEARIO CAMBORIU','SC','124241241214142431433331392224231026192',8642,'44',54.27,1,3,NULL),(15,2294095,'1990-11-03 00:00:00',2,5,11,2007,'M','N','RIO MAINA','CRICIUMA','SC','124242246217111531466612572125610127061',22222,'210',31.40,1,3,NULL),(15,2294109,'1985-07-24 00:00:00',2,1,12,2002,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241213575231238637242112231227111',2067,'262',69.05,1,3,NULL),(15,2294117,'1991-04-04 00:00:00',4,4,12,2007,'M','N','PRESIDENTE MÉDICI','CHAPECO','SC','124244241215371431369833294124610142092',1063,'1046',73.17,1,3,NULL),(15,2294125,'1989-01-04 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241117111431424439292122610117052',NULL,'257',20.39,1,3,NULL),(15,2294133,'1991-02-12 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111441378833434122610132127',19140,'9997',38.45,1,3,NULL),(15,2294141,'1981-12-28 00:00:00',1,1,12,1999,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124241242113152431233341415323610134185',18549,'129',39.41,1,2,1),(15,2294150,'1983-04-13 00:00:00',4,1,5,2001,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242246146134431356613425124121762183',NULL,'306',12.88,1,3,NULL),(15,2294168,'1989-01-20 00:00:00',2,1,12,2006,'F','N','VILA LALAU','JARAGUA DO SUL','SC','124241241111272131447513341224610126112',19941,'430',36.93,1,2,1),(15,2294176,'1985-11-10 00:00:00',4,1,12,2002,'M','N','ASA NORTE','BRASILIA','DF','107072071216572611289823471122141022037',NULL,'9998',0.00,3,3,NULL),(15,2294184,'1988-01-25 00:00:00',2,1,11,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124243241322471431259513272124610147042',20080,'290',36.67,1,3,NULL),(15,2294192,'1980-04-22 00:00:00',2,1,12,1997,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241147272411124444141334330224177',20340,'332',36.16,1,3,NULL),(15,2294206,'1988-05-11 00:00:00',4,1,12,2007,'M','N','SETOR BUENO','GOIANIA','GO','109092091215111431238719375124610164122',NULL,'9998',0.00,1,3,NULL),(15,2294214,'1985-12-02 00:00:00',2,6,12,2003,'F','N','RESSACADA','ITAJAI','SC','224141141116472431236654395122610126182',16548,'9998',42.52,4,3,NULL),(15,2294222,'1983-04-23 00:00:00',4,1,7,2006,'F','N','AREIAS','SAO JOSE','SC','124241241327271411456923192234610123111',NULL,'9999',22.06,1,3,NULL),(15,2294230,'1988-09-12 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241215422411459631572145610111142',6304,'270',58.44,1,3,NULL),(15,2294249,'1990-02-19 00:00:00',4,1,12,2007,'M','N','DEMARCHI','SAO BERNARDO DO CAMPO','SP','125253251315111432558662575122610121123',NULL,'9998',0.00,1,3,NULL),(15,2294257,'1990-07-12 00:00:00',4,2,12,2007,'F','N','VILA ITOUPAVA','BLUMENAU','SC','124241241135141732553713295122610123147',17966,'74',40.37,1,2,1),(15,2294265,'1986-07-29 00:00:00',2,1,7,2005,'M','N','INGLESES','FLORIANOPOLIS','SC','124134137436372431426911575314610162097',13630,'9999',46.71,1,3,NULL),(15,2294273,'1990-02-06 00:00:00',4,1,12,2007,'M','N','FAZENDA DO MAX','SAO JOSE','SC','124242241215111431454714572112610134047',15365,'1074',44.31,1,3,NULL),(15,2294281,'1990-10-09 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241411171751466413575122610168182',19703,'1022',37.41,1,3,NULL),(15,2294311,'1989-11-28 00:00:00',4,2,12,2007,'F','N','ÁGUA VERDE','BLUMENAU','SC','124243241215121331568619574124610161142',19657,'855',37.50,1,3,NULL),(15,2294320,'1981-03-22 00:00:00',2,1,12,2000,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124241241122132421433316392334610164147',21354,'292',34.08,4,2,1),(15,2294338,'1990-03-18 00:00:00',2,1,11,2007,'M','N','JARDIM DUARTE','FOZ DO IGUACU','PR','116162161217271431356714572122610112142',NULL,'9998',0.00,1,3,NULL),(15,2294346,'1990-10-01 00:00:00',4,7,9,2007,'M','N','CENTRO','IOMERE','SC','124241241216111431443834275122610167147',5134,'969',60.84,1,3,NULL),(15,2294354,'1988-08-02 00:00:00',2,1,12,2006,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124241248115471711534939442114610164047',19723,'307',37.38,1,2,1),(15,2294362,'1989-06-04 00:00:00',4,1,6,2007,'M','N','SANTANA','SAO PAULO','SP','125282283417271752469939571123343267167',7374,'9998',56.47,1,3,NULL),(15,2294370,'1990-08-27 00:00:00',4,5,12,2007,'F','N','DIVINÉIA','ARARANGUA','SC','124241241115151431535923295124610134017',19936,'30',36.94,1,2,1),(15,2294389,'1986-05-04 00:00:00',2,1,12,2003,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241217574431378831495122610124112',11471,'270',49.75,1,3,NULL),(15,2294400,'1987-07-10 00:00:00',2,1,12,2004,'F','N','FLORESTA','CANOAS','RS','120202201216571441348613585124610147017',NULL,'9998',0.00,1,3,NULL),(15,2294419,'1991-08-03 00:00:00',4,4,12,2007,'F','N','CENTRO','FAXINAL DOS GUEDES','SC','124244241216111511558812472122610128146',NULL,'836',17.42,1,3,NULL),(15,2294427,'1988-02-20 00:00:00',4,8,12,2005,'M','N','CENTRO','JOINVILLE','SC','124242241215211511368932311124231064172',8583,'491',54.40,1,3,NULL),(15,2294435,'1989-06-27 00:00:00',2,4,12,2007,'M','N','PRESIDENTE MEDICE','CHAPECO','SC','124241241112131521426615552224610121172',NULL,'182',27.37,1,3,NULL),(15,2294443,'1986-09-16 00:00:00',2,1,12,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215573751346619592114610168187',17445,'270',41.15,1,3,NULL),(15,2294451,'1990-07-07 00:00:00',4,3,12,2007,'M','N','CENTRO','RIO DO SUL','SC','124242241215121431466612575122610167112',4193,'991',62.92,1,3,NULL),(15,2294460,'1991-12-11 00:00:00',2,1,12,2008,'F','S','TRINTA RÉIS','NOVA TRENTO','SC','124241241215111431433911575122610127147',NULL,'981',34.74,1,3,NULL),(15,2294478,'1990-11-15 00:00:00',4,8,12,2007,'F','N','BAEPENDI','JARAGUA DO SUL','SC','124244241215371431556611572122610122097',13311,'422',47.16,1,3,NULL),(15,2294486,'1989-08-26 00:00:00',4,1,11,2006,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','120202201217572431468911571114610162052',10397,'9998',51.35,1,3,NULL),(15,2294494,'1990-03-31 00:00:00',4,8,12,2007,'F','N','HUGO LANGE','CURITIBA','PR','116162161211371711478814572112610164142',13862,'9998',46.37,1,3,NULL),(15,2294508,'1987-03-26 00:00:00',4,1,11,2004,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241217473431359616472122220626092',8084,'499',55.21,1,3,NULL),(15,2294516,'1989-07-26 00:00:00',4,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241216111752467813592114611428092',15808,'737',43.66,1,3,NULL),(15,2294524,'1990-08-25 00:00:00',2,1,12,2007,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241137131431679713572224610134017',19985,'307',36.86,4,3,NULL),(15,2294532,'1990-09-27 00:00:00',2,7,11,2007,'F','N','DNER','CACADOR','SC','124242241217111431436612592222610164012',16266,'118',42.96,1,3,NULL),(15,2294540,'1991-11-28 00:00:00',4,1,12,2008,'M','S','KOBRASOL','SAO JOSE','SC','124242243235111431459811574112610167042',NULL,'737',51.03,1,3,NULL),(15,2294559,'1986-03-10 00:00:00',4,1,12,2003,'M','N','CHAMPAGNAT','GETULIO VARGAS','RS','120201202116572411369614492124140264172',5193,'9998',60.72,1,3,NULL),(15,2294567,'1990-10-21 01:00:00',2,1,12,2007,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241248212111411238634572124610163192',7944,'1022',55.45,1,3,NULL),(15,2294575,'1990-09-01 00:00:00',4,8,12,2007,'M','N','AVENTUREIRO','JOINVILLE','SC','124241246215131441227363575324610122172',20141,'1006',36.55,1,3,NULL),(15,2294583,'1983-12-10 00:00:00',4,1,12,2000,'F','N','FATIMA','FLORIANOPOLIS','SC','124201208117573751238519592122610122147',11527,'9998',49.67,2,1,1),(15,2294591,'1982-12-04 00:00:00',4,9,12,1999,'F','N','CENTRO','LEBON REGIS','SC','124241241124142421643935331124340663182',NULL,'557',0.00,1,2,1),(15,2294605,'1990-04-25 00:00:00',1,2,12,2007,'M','N','CENTRO','RIO DO SUL','SC','124244241215151431658919395122610138017',10461,'654',51.25,1,3,NULL),(15,2294613,'1991-05-02 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431368833575122610168057',NULL,'266',37.11,1,3,NULL),(15,2294621,'1989-08-29 00:00:00',2,1,12,2006,'M','N','TUCURUVI','SAO PAULO','SP','125251251137471712536632185125610137042',16459,'9998',42.65,1,2,1),(15,2294630,'1989-11-17 00:00:00',2,7,12,2007,'F','N','SÃO CRISTÓVÃO','VIDEIRA','SC','124241248215131431448614392122610134192',11424,'1080',49.81,1,3,NULL),(15,2294648,'1991-04-05 00:00:00',4,1,11,2008,'F','S','PRAIA COMPRIDA','SAO JOSE','SC','124242241217111431478812572122610123072',NULL,'270',49.31,1,3,NULL),(15,2294672,'1991-06-18 00:00:00',4,3,12,2008,'F','S','NAÇOES','BALNEARIO CAMBORIU','SC','124241241215111431337631412122610166192',NULL,'44',52.46,1,3,NULL),(15,2294680,'1983-06-18 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241422133431545611372324222927012',10265,'308',51.54,1,3,NULL),(15,2294699,'1990-02-23 00:00:00',4,8,12,2007,'F','N','VILA LENZI','JARAGUA DO SUL','SC','124242241215111431466432572122610127127',9981,'442',51.96,1,3,NULL),(15,2294702,'1989-04-22 00:00:00',2,1,12,2006,'F','N','BOSQUE DAS MANSÕES','SAO JOSE','SC','124202241215412431438833445124231061017',9907,'270',52.08,1,3,NULL),(15,2294729,'1985-09-08 00:00:00',2,1,12,2003,'F','N','PASSA VINTE','PALHOCA','SC','124241241132142431543411342234610122147',18812,'591',38.96,1,2,1),(15,2294737,'1981-02-10 00:00:00',2,1,12,1998,'M','N','ESTREITO','FLORIANOPOLIS','SC','124253251317131421147844245124140244047',NULL,'9998',43.52,4,3,NULL),(15,2294745,'1988-12-26 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124244241415121431433619495124610127187',7757,'272',55.77,1,3,NULL),(15,2294753,'1989-03-17 00:00:00',2,4,12,2006,'M','N','SAGAUÇU','JOINVILLE','SC','124201201111271411124649385124610165057',NULL,'9998',0.00,1,2,1),(15,2294761,'1990-06-21 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241215122431358713575114610127062',8504,'1022',54.50,1,3,NULL),(15,2294770,'1977-05-30 00:00:00',2,1,11,2000,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','224201201337131441436744341324140631053',19671,'1020',37.48,1,3,NULL),(15,2294788,'1990-02-27 00:00:00',4,3,12,2007,'F','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116162161215121331586832575112610167092',NULL,'9998',0.00,1,3,NULL),(15,2294796,'1988-09-04 00:00:00',2,7,11,2005,'M','N','MATRIZ','VIDEIRA','SC','124241241411151231427814445122610127042',NULL,'401',24.83,1,3,NULL),(15,2294800,'1990-01-08 00:00:00',4,7,11,2007,'F','N','CENTRO','JOACABA','SC','124242241216271431556812575122610137122',NULL,'454',0.00,1,3,NULL),(15,2294826,'1991-10-07 00:00:00',4,4,12,2007,'F','N','CENTRO','FAXINAL DOS GUEDES','SC','124244241211111431458832471122610128142',16725,'836',42.29,1,3,NULL),(15,2294834,'1987-02-04 00:00:00',2,1,11,2004,'F','N','ARMAÇÃO P DO SUL','FLORIANOPOLIS','SC','224241245112152731225559491314610114042',17188,'307',41.59,1,3,NULL),(15,2294842,'1986-12-10 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215373431488833445122230222052',1497,'262',71.21,1,3,NULL),(15,2294850,'1990-05-27 00:00:00',4,4,11,2007,'F','N','CENTRO','CHAPECO','SC','124241241215121731248823572122610111187',19458,'983',37.90,1,3,NULL),(15,2294869,'1990-03-16 00:00:00',4,2,11,2007,'M','N','PROGRESSO','BLUMENAU','SC','124241241115152431476432575114610165143',2866,'88',66.55,4,3,NULL),(15,2294885,'1989-03-14 00:00:00',3,1,12,2007,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241117272441468923576125610134147',1736,'267',70.26,1,2,1),(15,2294893,'1990-07-05 00:00:00',4,5,12,2007,'F','N','CIDADE ALTA','ARARANGUA','SC','124241248115131332323329246225610124187',NULL,'30',19.95,1,2,1),(15,2294907,'1966-10-06 00:00:00',4,1,12,1986,'F','N','AREIAS','SAO JOSE','SC','124241245322134411323344442324142215097',18658,'725',39.23,1,3,NULL),(15,2294915,'1986-12-14 00:00:00',4,10,12,2004,'M','N','NAVEGANTES','LAGUNA','SC','124242241227374711549612475112610164172',6897,'524',57.35,1,3,NULL),(15,2294923,'1989-08-16 00:00:00',4,1,12,2007,'F','N','BOTAFOGO','CAMPINAS','SP','125252251217271731259912575122610127147',5368,'9998',60.34,4,1,2),(15,2294931,'1990-04-10 00:00:00',2,2,12,2007,'F','N','VILA MARINA','TAIO','SC','124241248125141431366613245121610167097',16216,'777',43.03,1,3,NULL),(15,2294940,'1990-10-06 00:00:00',2,7,12,2007,'F','N','SÃO JOSE','FRAIBURGO','SC','124244241211131411438634595122610132092',NULL,'885',21.21,4,3,NULL),(15,2294958,'1988-05-12 00:00:00',2,1,3,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241314374411438819492124230243077',14104,'267',46.03,1,3,NULL),(15,2294966,'1989-07-08 00:00:00',4,1,12,2007,'M','N','TARUMÃ','CURITIBA','PR','116162161215471431386912225132610168183',NULL,'9998',0.00,1,3,NULL),(15,2294974,'1976-01-19 00:00:00',4,1,12,1993,'M','N','N S DO ROSÁRIO','SAO JOSE','SC','124244241136155421469811341122120827112',15082,'307',44.69,1,3,NULL),(15,2294982,'1968-11-18 00:00:00',2,1,12,1986,'F','N','SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC','224241241111162431321371311122610162141',NULL,'293',17.59,1,2,1),(15,2295008,'1988-10-13 00:00:00',2,1,12,2005,'F','N','ARIRIU','PALHOCA','SC','124242241211373431243612382314610168187',18399,'989',39.65,1,3,NULL),(15,2295016,'1984-08-27 00:00:00',2,1,12,2002,'M','N','PARQUE MINUANO','PORTO ALEGRE','RS','120202201216132411444431575122143217112',10199,'9998',51.63,1,3,NULL),(15,2295024,'1976-11-11 00:00:00',4,1,12,1997,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124244247336134721118848311123133227092',NULL,'9999',0.00,4,3,NULL),(15,2295032,'1990-09-22 00:00:00',4,10,11,2007,'M','N','HUMAITA','TUBARAO','SC','124241241215111431556514375121610127012',13584,'806',46.77,1,3,NULL),(15,2295040,'1991-06-07 00:00:00',4,9,12,2008,'F','S','CENTRO','LAGES','SC','124242241212111531228924442112610138057',NULL,'515',37.82,1,3,NULL),(15,2295059,'1989-07-22 00:00:00',2,1,12,2006,'M','N','BELLA VISTA','CAXIAS DO SUL','RS','120204208211411431457413271324610117047',13881,'9998',46.34,1,3,NULL),(15,2295075,'1990-01-02 00:00:00',2,5,10,2007,'F','N','SANTA BÁRBARA','CRICIUMA','SC','124242241216271731468832585112610164126',12229,'226',48.68,1,3,NULL),(15,2295083,'1990-06-11 00:00:00',2,8,12,2007,'M','N','PETRÓPOLIS','JOINVILLE','SC','124242241215111321368834572112610167052',6903,'459',57.33,1,3,NULL),(15,2295091,'1989-09-01 00:00:00',4,1,11,2006,'M','N','JARDIM AMAURI','ASSIS','SP','125252251217272752638867386215610167077',5523,'9998',60.01,1,3,NULL),(15,2295105,'1988-05-23 00:00:00',2,8,12,2006,'M','N','TARUMÃ','CURITIBA','PR','124162161315372431189923575125231464112',7475,'9998',56.28,4,3,NULL),(15,2295148,'1990-11-25 00:00:00',4,3,12,2006,'F','N','CENTRO','BRUSQUE','SC','124242241215111532468612375122610124095',14285,'109',45.75,1,3,NULL),(15,2295164,'1988-09-11 00:00:00',2,5,12,2006,'M','N','CENTRO','CRICIUMA','SC','124244241235312432448631415124231037095',18433,'262',39.60,1,3,NULL),(15,2295172,'1989-12-21 00:00:00',4,1,11,2007,'M','N','JARDIM DAS ACÁCIAS','CRAVINHOS','SP','125252251216111431469834392124610164056',14750,'9998',45.07,1,3,NULL),(15,2295180,'1990-06-04 00:00:00',4,7,12,2007,'F','N','CENTRO','CELSO RAMOS','SC','124241241121131711424415362222610124077',NULL,'163',23.78,1,2,1),(15,2295199,'1985-11-21 00:00:00',2,1,12,2004,'M','N','NOVA ERA','SALTO','SP','125251253116152441436319381134140766177',4642,'9998',61.91,4,2,1),(15,2295202,'1988-07-14 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241217273431338612442224610164077',18565,'1022',39.38,1,3,NULL),(15,2295210,'1987-08-30 00:00:00',4,1,12,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124131131116371231426444345334610132187',16309,'9998',42.89,1,2,1),(15,2295237,'1990-06-11 00:00:00',2,2,12,2007,'M','N','CENTRO','PIRAI DO SUL','PR','116162161215471431548723435112610137047',12427,'9998',48.40,1,3,NULL),(15,2295245,'1988-11-06 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124051241115131432538619575124610138042',NULL,'733',0.00,4,2,1),(15,2295253,'1988-08-02 00:00:00',4,1,12,2006,'F','N','TATUAPÉ','SAO PAULO','SP','125252251215472441468614575112610162197',7373,'9998',56.47,1,3,NULL),(15,2295261,'1991-11-01 00:00:00',4,9,11,2008,'F','S','SÃO CRISTÓVÃO','LAGES','SC','124242241212111431443832572112610128192',NULL,'9997',44.23,4,3,NULL),(15,2295270,'1957-10-14 00:00:00',2,1,12,1974,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','524244245431132421238473232142131062197',16964,'238',41.92,1,3,NULL),(15,2295288,'1989-05-21 00:00:00',4,1,12,2007,'M','N','CENTRO','PARACATU','MG','113132131217111441338836595121610162092',2177,'9998',68.66,1,3,NULL),(15,2295296,'1990-05-01 00:00:00',2,2,12,2007,'M','N','PADRE MARTINHO STEIN','TIMBO','SC','124241241125131421345314245121610127052',21613,'870',33.49,1,2,1),(15,2295300,'1988-03-04 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216152412479823495124121433057',1387,'266',71.71,1,3,NULL),(15,2295318,'1989-04-09 00:00:00',4,6,12,2006,'M','N','FAZENDA','ITAJAI','SC','124242241215372411166822371111133267056',3870,'389',63.81,1,3,NULL),(15,2295326,'1988-11-06 00:00:00',4,4,12,2006,'F','N','NOVO HORIZONTE','PATO BRANCO','PR','116164161116371431333612111122610164142',NULL,'9998',0.00,1,3,NULL),(15,2295334,'1982-03-31 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANOPOLIS','SC','124201201212232431245554342224242762182',19332,'9998',38.11,1,3,NULL),(15,2295342,'1987-04-02 00:00:00',2,8,12,2004,'M','N','CENTRO','PAPANDUVA','SC','124243241147131531517669282334231026067',10095,'603',51.79,1,3,NULL),(15,2295369,'1990-04-05 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217132432669713472125231024047',6668,'269',57.79,1,3,NULL),(15,2295377,'1987-09-13 00:00:00',4,1,12,2005,'F','N','CAMPINAS','SAO JOSE','SC','124241241137131431233629342124610124112',18744,'736',39.09,1,3,NULL),(15,2295385,'1986-11-14 00:00:00',4,8,12,2003,'F','N','CENTRO','ITAPECERICA DA SERRA','SP','125252251215572431539611111124142466097',287,'9998',78.91,1,3,NULL),(15,2295393,'1991-02-07 00:00:00',2,4,12,2007,'F','N','CENTRO','XANXERE','SC','124243241322131321426639391211610117012',21261,'949',34.29,1,3,NULL),(15,2295407,'1990-02-11 00:00:00',4,2,12,2007,'M','N','CENTRO','POMERODE','SC','124241241137132431226628242121610138142',9932,'621',52.03,4,2,1),(15,2295415,'1986-04-25 00:00:00',4,1,12,2002,'M','N','PONTE DO IMARUIN','PALHOCA','SC','120202201216271721568823491124140232127',NULL,'9998',0.00,1,3,NULL),(15,2295423,'1990-04-11 00:00:00',4,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215151431468933576114610166177',7495,'737',56.24,1,3,NULL),(15,2295431,'1979-09-13 00:00:00',2,1,12,1997,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124241248122232411123348382214130218047',NULL,'228',0.00,1,3,NULL),(15,2295466,'1987-03-17 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANOPOLIS','SC','124254241215154231468813372125221944055',2394,'855',67.94,1,3,NULL),(15,2295474,'1987-12-25 00:00:00',4,1,12,2005,'M','N','CENTRO','SAO JOAO DA BOA VISTA','SP','125241251215571431348611575125610112097',1312,'9998',72.02,1,3,NULL),(15,2295482,'1988-07-01 00:00:00',4,4,6,2005,'M','N','UNIVERSITARIO','CHAPECO','SC','124243241436131431545823282114131032047',18936,'9999',38.78,4,3,NULL),(15,2295490,'1990-10-11 00:00:00',4,5,11,2007,'F','N','CENTRO','BOM JARDIM DA SERRA','SC','124241241115161431546614572122610138147',NULL,'856',24.89,1,3,NULL),(15,2295512,'1989-03-03 00:00:00',4,5,12,2005,'M','N','CENTRO','CAXIAS DO SUL','RS','120202201217572431467834172112610127052',222,'9998',79.66,1,3,NULL),(15,2295520,'1991-01-10 00:00:00',4,4,12,2007,'F','N','CENTRO','MARAVILHA','SC','124243241115271731333823472124610126172',20641,'551',35.61,1,3,NULL),(15,2295539,'1987-07-31 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215474431468932475122133236092',4287,'266',62.73,1,3,NULL),(15,2295547,'1980-08-08 00:00:00',2,1,12,2000,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241116135431338513345122231267087',12682,'307',48.02,1,3,NULL),(15,2295555,'1989-11-23 00:00:00',4,1,12,2007,'M','N','CENTRO','VOTUPORANGA','SP','125252251217111511388832575125610164042',2785,'9998',66.79,1,3,NULL),(15,2295563,'1988-11-12 00:00:00',2,1,12,2006,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242244216143451436712325134610124077',19183,'258',38.37,1,3,NULL),(15,2295571,'1983-06-21 00:00:00',4,1,12,2002,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241347434431232624242324610127047',NULL,'9999',NULL,1,3,NULL),(15,2295580,'1991-12-06 00:00:00',4,8,12,2008,'M','S','CENTRO','SAO BENTO DO SUL','SC','124242241216111431457713472125610137052',NULL,'1114',48.71,1,3,NULL),(15,2295598,'1985-05-15 00:00:00',2,1,12,2002,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124201201121371431121344442314610167047',14140,'9998',45.98,4,1,1),(15,2295601,'1991-03-11 00:00:00',4,8,12,2008,'M','S','GLÓRIA','JOINVILLE','SC','124244248415111752446619275122610167046',NULL,'491',54.13,1,3,NULL),(15,2295610,'1989-11-15 00:00:00',4,10,12,2007,'F','N','CENTRO','TRES DE MAIO','RS','120202201216131431546533572122610133142',21694,'9998',33.28,1,3,NULL),(15,2295628,'1985-11-19 00:00:00',4,1,12,2002,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124251251117132411537617241214610134147',11227,'9998',50.12,1,3,NULL),(15,2295636,'1984-08-11 00:00:00',2,1,11,2002,'F','N','IPIRANGA','SAO JOSE','SC','224241241127231711433311412314610164197',20041,'730',36.74,1,3,NULL),(15,2295644,'1990-05-18 00:00:00',2,10,12,2007,'M','N','VILA NOVA','IMBITUBA','SC','124241241315121731335514472122610137142',11185,'797',50.18,1,3,NULL),(15,2295652,'1991-03-14 00:00:00',4,8,12,2007,'F','N','ÁGUA BRANCA','SAO FRANCISCO DO SUL','SC','124242241215131431328923572122610132197',19152,'992',38.43,1,3,NULL),(15,2295687,'1988-08-12 00:00:00',4,3,12,2005,'F','N','CENTRO','CANOINHAS','SC','124241241316163431448911285225610137017',NULL,'973',28.36,1,3,NULL),(15,2295695,'1967-03-15 00:00:00',4,1,11,1985,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','224212211213131721468841415122141067012',NULL,'9998',0.00,1,3,NULL),(15,2295709,'1990-09-14 00:00:00',4,4,12,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124242241217151411458933344122610148127',12992,'751',47.60,1,3,NULL),(15,2295717,'1990-08-20 00:00:00',2,1,12,2007,'F','N','PALMITAL','PARANAGUA','PR','116162161216111431426833575122610126112',NULL,'9998',0.00,1,3,NULL),(15,2295733,'1984-12-21 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217112421468823445132610117045',21809,'272',32.93,1,3,NULL),(15,2295741,'1989-09-13 00:00:00',4,1,12,2006,'F','N','BELA VISTA','SAO JOSE','SC','124243247216132431456633575124610142192',19462,'9999',37.89,4,3,NULL),(15,2295750,'1988-10-28 00:00:00',2,1,12,2006,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241241121131531554337343124610134147',21969,'281',32.35,1,3,NULL),(15,2295768,'1989-12-18 00:00:00',3,1,12,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241115371431369933376122610135112',8054,'267',55.27,1,2,1),(15,2295776,'1990-04-27 00:00:00',2,1,12,2007,'F','N','NOVA PETRÓPOLIS','SAO BERNARDO DO CAMPO','SP','125252251216271441476832575112610127017',5807,'9998',59.45,1,3,NULL),(15,2295784,'1982-02-03 00:00:00',4,1,12,1999,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241216155751259923595114122666167',NULL,'270',0.00,1,3,NULL),(15,2295792,'1990-11-16 00:00:00',4,4,11,2007,'F','N','SAO GERALDO','IJUI','RS','120202201217271431358834242122610137042',17330,'9998',41.34,1,3,NULL),(15,2295806,'1989-01-16 00:00:00',4,1,9,2007,'M','N','BARRA DO ARIRIÚ','PALHOCA','SC','124241248117151431433414392224610161147',NULL,'9997',47.11,4,2,1),(15,2295814,'1985-11-05 00:00:00',4,1,12,2003,'M','N','TAGUATINGA NORTE','TAGUATINGA','DF','107073071217471431469933345122241437182',NULL,'9998',0.00,1,3,NULL),(15,2295822,'1988-03-26 00:00:00',4,1,11,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124252251217151431318641215224610122055',NULL,'9998',0.00,1,3,NULL),(15,2295857,'1990-03-25 00:00:00',4,8,11,2007,'F','N','GLÓRIA','JOINVILLE','SC','124242241215151411458933592122610144047',15527,'491',44.09,1,3,NULL),(15,2295865,'1988-05-14 00:00:00',2,1,12,2005,'M','N','BARRA DO ARIRIU','PALHOCA','SC','124241241115273421533524342324610118042',10854,'307',50.68,1,2,1),(15,2295873,'1990-11-23 00:00:00',4,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124243241215151731448413575122610132143',19097,'1118',38.52,4,3,NULL),(15,2295881,'1984-03-01 00:00:00',4,5,7,2003,'F','N','VILA ZULEIMA','CRICIUMA','SC','124243247311132411526514481124613224112',21400,'920',33.97,1,3,NULL),(15,2295890,'1987-10-08 00:00:00',4,1,12,2005,'M','N','INDEPENDÊNCIA','TAUBATE','SP','125252254217141512436634175322243222047',NULL,'9998',21.33,1,3,NULL),(15,2295903,'1977-10-23 00:00:00',2,1,1,2006,'M','N','PALMAS','GOVERNADOR CELSO RAMOS','SC','124243247611131411322244142224610126042',22500,'9999',28.80,1,3,NULL),(15,2295938,'1991-05-20 00:00:00',4,1,11,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124242241215171432466913475122610134052',NULL,'273',59.57,1,3,NULL),(15,2295946,'1990-03-28 00:00:00',4,1,10,2007,'F','N','BARREIROS','SAO JOSE','SC','124243241437111431436729295122610128192',21494,'1036',33.74,1,3,NULL),(15,2295954,'1989-03-14 00:00:00',2,1,11,2006,'F','N','CENTRO','CRICIUMA','SC','124242241215371431448814592112610134117',14825,'226',44.98,1,3,NULL),(15,2295962,'1990-05-31 00:00:00',4,8,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161216371731565612192122610128182',NULL,'9998',0.00,1,3,NULL),(15,2295970,'1990-06-23 00:00:00',4,1,12,2007,'M','N','AREIAS','SAO JOSE','SC','124242248215131431456633572224610167047',NULL,'1078',24.04,1,3,NULL),(15,2295989,'1982-06-20 00:00:00',4,1,12,1999,'M','N','JARDIM AVELINO','SAO PAULO','SP','125251251214571411358811571122610116042',NULL,'9998',0.00,1,3,NULL),(15,2295997,'1988-06-11 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124072071216472431468833575114133244185',7510,'9998',56.21,4,3,NULL),(15,2296004,'1990-01-04 00:00:00',4,3,12,2006,'M','N','ANDORINHA','ITAPEMA','SC','124204247226271411548811295124610167177',10587,'9999',51.04,1,3,NULL),(15,2296012,'1989-11-03 00:00:00',2,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241125141432324344242344610127117',NULL,'290',22.39,1,3,NULL),(15,2296020,'1990-01-03 00:00:00',4,4,12,2007,'F','N','CENTRO','DESCANSO','SC','124241241116161132526313182124610127147',18833,'242',38.94,1,3,NULL),(15,2296039,'1988-07-20 00:00:00',4,1,12,2005,'M','N','CENTRO','RIBEIRAO PRETO','SP','125272251216511441579931511124610125142',1711,'9998',70.35,1,3,NULL),(15,2296047,'1990-04-20 00:00:00',4,7,12,2007,'M','N','CENTRO','JOACABA','SC','124242241217141431366532241124610136092',16739,'445',42.27,1,3,NULL),(15,2296063,'1988-01-26 00:00:00',2,8,12,2007,'M','N','VOLTA REDONDA','ARAQUARI','SC','124241248116271731223316162324610117047',16267,'25',42.96,1,3,NULL),(15,2296071,'1987-02-09 00:00:00',4,1,12,2006,'M','N','CENTRO','TAUBATE','SP','125054251415471441357714595122610132177',19708,'9998',37.40,4,3,NULL),(15,2296080,'1989-12-21 00:00:00',4,8,12,2006,'F','N','CENTRO','SAO BENTO DO SUL','SC','124241241117131411534511382112610121147',NULL,'697',0.00,1,2,1),(15,2296101,'1979-11-02 00:00:00',2,1,12,1999,'M','N','BARREIROS','SAO JOSE','SC','124241241114134131543518282324233264057',15310,'267',44.39,2,1,1),(15,2296110,'1986-10-04 00:00:00',2,1,12,2003,'F','N','PQ DA FIGUEIRA','PAULINIA','SP','125254251216572451447819275114133232097',4281,'9998',62.73,1,3,NULL),(15,2296128,'1973-01-25 00:00:00',4,1,1,1991,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124202206117151451456879415224143268183',NULL,'9998',0.00,1,3,NULL),(15,2296136,'1975-10-10 00:00:00',2,1,12,2004,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','524161247326131311325344242324133242027',18478,'9999',39.53,1,3,NULL),(15,2296144,'1989-05-25 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212272711489613535124131467113',8270,'262',54.90,1,3,NULL),(15,2296152,'1989-02-21 00:00:00',4,1,12,2006,'F','N','VILA LOURO','EMBU GUACU','SP','125251251137471411324619385124610134142',15149,'9998',44.60,2,1,1),(15,2296160,'1990-12-28 00:00:00',4,8,12,2007,'F','N','NOVA BRASÍLIA','JARAGUA DO SUL','SC','124244248215111751536832592122610138142',NULL,'422',18.11,1,3,NULL),(15,2296179,'1984-06-06 00:00:00',2,1,7,2003,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','224243247447141751256641315122143262187',20581,'1076',35.72,1,3,NULL),(15,2296187,'1989-04-05 00:00:00',4,8,12,2006,'M','N','MARACANÃ','RIO DE JANEIRO','RJ','121212211216111431378821415122243267046',3111,'9998',65.83,1,3,NULL),(15,2296195,'1988-07-11 00:00:00',4,8,11,2005,'M','N','FLORESTA','JOINVILLE','SC','124241248122132441334614282214133224114',17971,'467',40.36,4,2,1),(15,2296209,'1986-05-24 00:00:00',4,1,11,2005,'F','N','AFONSO PENA','SAO JOSE DOS PINHAIS','PR','116161161127131211124541345114610123172',NULL,'9998',0.00,1,3,NULL),(15,2296217,'1990-06-18 00:00:00',2,5,2,2008,'F','N','COLONINHA','ARARANGUA','SC','124242241235121431446914575122610127077',20217,'32',36.38,1,3,NULL),(15,2296225,'1984-05-13 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216153421268627415122333134087',10183,'270',51.66,1,3,NULL),(15,2296241,'1975-10-07 00:00:00',4,1,8,1996,'F','N','COQUEIROS','FLORIANOPOLIS','SC','224241243124135431233354142344610136027',13830,'306',46.41,4,1,1),(15,2296250,'1990-02-11 00:00:00',4,1,12,2007,'F','N','JARDIM LAVINIA','SAO BERNARDO DO CAMPO','SP','125252251217371431646614391214610157142',NULL,'9998',0.00,1,3,NULL),(15,2296268,'1991-07-18 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111711466833472114610133152',6564,'1022',57.95,1,3,NULL),(15,2296276,'1988-11-01 00:00:00',2,1,12,2006,'F','N','CENTRO','FRUTAL','MG','113131131317151431224421412115610111187',12037,'9998',48.94,1,3,NULL),(15,2296284,'1989-05-14 00:00:00',2,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241145371431626621345224610137082',17720,'282',40.77,1,2,1),(15,2296292,'1991-03-16 00:00:00',2,1,12,2008,'F','S','BALNEÁRIO','FLORIANOPOLIS','SC','124242241213111431467813395112610143092',NULL,'270',43.07,1,3,NULL),(15,2296306,'1990-12-06 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEICAO','FLORIANOPOLIS','SC','124242241216161411246821275114610112122',11060,'883',50.37,1,3,NULL),(15,2296314,'1990-02-05 00:00:00',2,1,12,2007,'M','N','CENTRO','SAO MIGUEL DO IGUACU','PR','116162161237371431438314242112610114047',NULL,'9998',31.82,1,3,NULL),(15,2296322,'1984-08-14 00:00:00',2,1,12,2002,'F','N','PEDRA BRANCA','SAO JOSE','SC','124241241216432411358829395124231213147',20711,'9997',35.49,1,3,NULL),(15,2296330,'1984-09-20 00:00:00',2,1,7,2005,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241247117231441113829292324610148042',NULL,'264',0.00,1,2,1),(15,2296349,'1987-07-10 00:00:00',2,2,11,2004,'F','N','PINHEIRO','POUSO REDONDO','SC','124241241115572431224414271314610126147',14664,'639',45.20,1,2,1),(15,2296357,'1988-05-29 00:00:00',4,1,12,2005,'M','N','VILA BUARQUE','SAO PAULO','SP','125251251111571411358811571122610116042',596,'9998',76.12,1,3,NULL),(15,2296365,'1987-05-04 00:00:00',2,3,12,2004,'M','N','TUCURUVI','SAO PAULO','SP','125252251217571731437764575125610127147',13835,'9998',46.40,1,3,NULL),(15,2296373,'1989-01-26 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215111431479931576112610124117',17750,'1022',40.73,1,3,NULL),(15,2296390,'1987-12-05 00:00:00',2,1,7,2005,'M','N','CAMINHO NOVO','PALHOCA','SC','124241241112225431357814342224610114047',16765,'592',42.23,1,2,1),(15,2296403,'1988-07-10 00:00:00',2,1,12,2006,'M','N','CENTRO','PALHOCA','SC','124241241121222321224311411122210112081',17189,'592',41.59,1,3,NULL),(15,2296411,'1990-10-02 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124121241135131732636679342334610138182',16722,'734',42.30,1,3,NULL),(15,2296420,'1990-03-18 00:00:00',4,9,12,2007,'F','N','BEATRIZ','LAGES','SC','124241241317111451326614591224610126172',7172,'9997',56.84,1,3,NULL),(15,2296438,'1988-01-17 00:00:00',4,5,12,2004,'M','N','CENTRO','CAXIAS DO SUL','RS','120202201217371431467814172112141437057',4031,'9998',63.38,1,3,NULL),(15,2296446,'1989-03-17 00:00:00',4,4,12,2006,'M','N','CRISTO REI','PATO BRANCO','PR','116161161116371431238813475122610164062',NULL,'9998',0.00,1,2,1),(15,2296454,'1985-05-29 00:00:00',4,1,12,2002,'F','N','INGLESES','FLORIANOPOLIS','SC','124201201133131731345824242224142026047',21878,'9998',32.70,1,3,NULL),(15,2296462,'1987-09-24 00:00:00',2,1,12,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241212153411388713395124231068183',9139,'270',53.38,1,3,NULL),(15,2296470,'1986-06-09 00:00:00',2,6,12,2003,'M','N','PEREQUE','PORTO BELO','SC','124241241111161731334611242113613267047',21312,'405',34.16,4,3,NULL),(15,2296489,'1990-12-19 00:00:00',4,1,12,2007,'M','N','FAZENDA SANTO ANTÔNI','SAO JOSE','SC','124241246216111431336411245222610142147',8154,'1075',55.10,1,3,NULL),(15,2296497,'1990-04-08 00:00:00',2,1,12,2007,'F','N','BELA VISTA','SAO JOSE','SC','124242241415111431543619175124610127147',10902,'269',50.61,1,3,NULL),(15,2296500,'1990-03-18 00:00:00',2,5,10,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215131431335614572122610127057',10789,'213',50.75,1,3,NULL),(15,2296519,'1988-11-08 00:00:00',4,1,12,2006,'M','N','NOSSA SRA DO ROSÁRIO','SAO JOSE','SC','124242241215272411449614285124233237122',4916,'737',61.27,1,3,NULL),(15,2296527,'1991-09-29 00:00:00',2,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111451459913572122610148182',21884,'270',32.68,1,3,NULL),(15,2296535,'1991-10-27 00:00:00',4,1,12,2008,'F','S','JD ANCHIETA','FLORIANOPOLIS','SC','124242248213111431569813595114610166197',NULL,'270',44.46,1,3,NULL),(15,2296543,'1973-07-22 00:00:00',2,1,12,1990,'M','N','PONTA DE BAIXO','SAO JOSE','SC','224242241216133731266944445122521432182',8277,'262',54.89,1,3,NULL),(15,2296551,'1989-05-15 00:00:00',4,1,12,2006,'M','N','CENTRO','ARARANGUA','SC','124242241215472431458722385124610164042',6376,'32',58.31,1,3,NULL),(15,2296560,'1982-06-24 00:00:00',4,1,12,1999,'M','N','ESTREITO','FLORIANOPOLIS','SC','124164161416131421238719485124143222187',4022,'9998',63.40,3,3,NULL),(15,2296578,'1990-02-08 00:00:00',4,1,12,2007,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241215111411478831472124610127062',6743,'270',57.65,1,3,NULL),(15,2296586,'1989-05-22 00:00:00',4,1,12,2006,'M','N','PETRÓPOLIS','PORTO ALEGRE','RS','120202201216371432378814575114610167047',1547,'9998',71.00,1,3,NULL),(15,2296594,'1988-06-19 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242247417472411466632575114610134182',16930,'9999',41.96,2,3,NULL),(15,2296608,'1990-03-09 00:00:00',2,8,12,2007,'M','N','CENTRO','JARAGUA DO SUL','SC','124244241216271431458814375124610137052',9864,'1105',52.16,1,3,NULL),(15,2296616,'1978-10-24 00:00:00',4,1,12,1995,'F','N','VARGINHA','SANTO AMARO DA IMPERATRIZ','SC','124243241122213431133344341124130814142',NULL,'359',0.00,1,3,NULL),(15,2296624,'1988-12-13 00:00:00',4,1,12,2007,'F','N','VILA DOZE','ANTONIO CARLOS','SC','124241241132131731522313443324610131157',NULL,'733',0.00,1,2,1),(15,2296632,'1989-09-11 00:00:00',4,1,12,2006,'F','N','CENTRO','APUCARANA','PR','116162161217471731437932574222610164027',7000,'9998',57.15,1,3,NULL),(15,2296640,'1990-05-09 00:00:00',2,9,12,2008,'M','S','CENTRO','PONTE ALTA','SC','124243248316112451445312374124213266187',NULL,'202',0.00,1,3,NULL),(15,2296659,'1988-10-01 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215372721223444346134610138097',15690,'269',43.82,1,3,NULL),(15,2296667,'1990-05-17 00:00:00',4,4,12,2007,'M','N','NOSSA SENHORA APAREC','FRANCISCO BELTRAO','PR','116162167215111431365631472122610167012',17753,'9998',40.73,1,3,NULL),(15,2296675,'1984-07-11 00:00:00',2,1,12,2001,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124244241111333421125644241324230562142',15222,'808',44.50,1,3,NULL),(15,2296683,'1990-06-22 00:00:00',2,4,11,2007,'F','N','SALETE','SAO MIGUEL DOESTE','SC','124241241416111731556611342122610124142',19607,'752',37.60,3,3,NULL),(15,2296705,'1983-11-22 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANOPOLIS','SC','124242161217353411588831332122221167065',NULL,'9998',0.00,1,3,NULL),(15,2296713,'1991-01-19 00:00:00',4,1,11,2008,'F','S','ESTREITO','FLORIANOPOLIS','SC','124242241217111731468932341112610144185',NULL,'1022',45.67,1,3,NULL),(15,2296721,'1990-10-19 00:00:00',2,9,12,2008,'M','S','CENTRO','CURITIBANOS','SC','124242241217111731459913572122610127057',NULL,'881',24.74,1,3,NULL),(15,2296730,'1988-08-12 00:00:00',4,1,12,2005,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241217372152433812346112233267087',10515,'738',51.17,1,3,NULL),(15,2296748,'1991-03-31 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241217111432369813375122610132163',NULL,'262',52.01,1,3,NULL),(15,2296756,'1991-10-06 00:00:00',4,8,2,2008,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241215111431588833572122610164147',19810,'491',37.19,1,3,NULL),(15,2296764,'1990-08-02 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215371431239924472122610122182',18438,'515',39.59,1,3,NULL),(15,2296772,'1990-04-03 00:00:00',2,3,12,2007,'M','N','ITAIPAVA','ITAJAI','SC','124211241116131431545633135224610137097',20089,'395',36.64,1,3,NULL),(15,2296780,'1989-02-09 00:00:00',4,1,12,2006,'F','N','CHÁCARA STO ANTÔNIO','SAO PAULO','SP','125162161216471431258731574112610164147',1161,'9998',72.74,1,3,NULL),(15,2296799,'1991-08-16 00:00:00',4,1,12,2008,'F','S','KOBRASOL','SAO JOSE','SC','624241248412111731325431272122610128047',NULL,'737',42.13,1,3,NULL),(15,2296802,'1989-12-18 00:00:00',2,3,12,2007,'F','N','DOS ESTADOS','BALNEARIO CAMBORIU','SC','124242246215111411654831572112610111142',19971,'9997',36.89,1,3,NULL),(15,2296810,'1989-09-06 00:00:00',4,1,11,2008,'M','S','TRINDADE','FLORIANOPOLIS','SC','124242241214111431358627572124610127087',NULL,'266',36.59,1,3,NULL),(15,2296837,'1990-04-25 00:00:00',4,2,12,2007,'M','N','SETE DE SETEMBRO','GASPAR','SC','124242241417161431339939575124610118042',NULL,'855',10.83,1,3,NULL),(15,2296853,'1991-07-02 00:00:00',4,8,12,2008,'M','S','CENTRO','CANOINHAS','SC','124243241217111431558831575122610137067',NULL,'154',39.36,1,3,NULL),(15,2296870,'1991-01-12 00:00:00',2,1,12,2007,'F','N','CENTRO','SAO PEDRO DE ALCANTARA','SC','124241241215111411444923575114610127097',14313,'1074',45.71,1,3,NULL),(15,2296888,'1975-12-18 00:00:00',4,1,12,1993,'M','N','CENTRO','FLORIANOPOLIS','SC','224242241216153421268751445132430267067',NULL,'269',0.00,1,3,NULL),(15,2296896,'1988-09-14 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241212272431357823571114610137092',3959,'270',63.57,1,3,NULL),(15,2296900,'1990-07-22 00:00:00',4,5,11,2007,'F','N','COLONINHA ZILLI','CRICIUMA','SC','124242241215121411448932276122610122172',16543,'210',42.53,1,3,NULL),(15,2296918,'1982-02-25 00:00:00',4,1,12,2000,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217273421229974282122133214092',NULL,'270',0.00,1,3,NULL),(15,2296934,'1985-01-23 00:00:00',2,1,12,2001,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124251251137131431116629282314141034097',NULL,'9998',0.00,1,2,1),(15,2296942,'1981-10-08 00:00:00',4,1,12,2000,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','224241246116133421235344445124610134147',NULL,'306',0.00,2,1,1),(15,2296950,'1989-10-16 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241117152431358629375314610126147',20583,'267',35.72,1,3,NULL),(15,2296969,'1990-09-11 00:00:00',4,1,11,2007,'M','N','JD SAVEIRO','BIGUACU','SC','124244241115141431523312145121610127047',19356,'65',38.08,4,3,NULL),(15,2296977,'1990-09-23 00:00:00',2,2,12,2007,'F','N','RIB SÃO PAULO','ASCURRA','SC','124241241415111432535614275122610161197',20539,'940',35.82,1,3,NULL),(15,2296985,'1989-12-18 00:00:00',4,8,12,2006,'M','N','CENTRO','XANXERE','SC','124244241213272251484833272345231464142',NULL,'836',12.46,1,3,NULL),(15,2296993,'1991-11-01 00:00:00',4,3,12,2008,'M','S','CENTRO','BALNEARIO CAMBORIU','SC','124242241212111531458932575112610147112',NULL,'1038',15.67,1,3,NULL),(15,2297000,'1990-05-14 00:00:00',2,1,12,2007,'M','N','PICADAS DO SUL','SAO JOSE','SC','124243248215111731436623575124610128047',NULL,'1074',21.66,1,3,NULL),(15,2297019,'1985-05-15 00:00:00',4,1,12,2003,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241116132431446614185124610142077',10367,'307',51.40,1,3,NULL),(15,2297027,'1990-01-15 00:00:00',4,8,12,2006,'F','N','PAULAS','SAO FRANCISCO DO SUL','SC','124241241216372431356913575124610122157',20411,'9997',36.03,1,3,NULL),(15,2297035,'1990-08-27 00:00:00',4,3,12,2007,'M','N','PORTÃO','CURITIBA','PR','116162161211111431368812574122510167087',NULL,'9998',0.00,1,3,NULL),(15,2297043,'1989-08-23 00:00:00',2,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116241241215472431637611571145610161142',NULL,'632',23.20,1,3,NULL),(15,2297051,'1989-06-21 00:00:00',4,8,12,2006,'M','N','CENTRO','CACAPAVA','SP','125252251217471431437632576124610132142',10871,'9998',50.65,1,3,NULL),(15,2297060,'1990-08-25 00:00:00',4,4,12,2007,'F','N','INTERIOR','ITAPIRANGA','SC','124241241115161751428513472122610128187',19801,'408',37.22,1,2,1),(15,2297078,'1990-02-07 00:00:00',2,7,11,2007,'M','N','INTERIOR','LUZERNA','SC','124243241216111411336616575124610127017',7095,'454',56.98,1,3,NULL),(15,2297086,'1991-02-04 00:00:00',2,4,12,2007,'F','N','CENTRO','FAXINAL DOS GUEDES','SC','124241241112131431436519392322610124147',18578,'255',39.36,1,3,NULL),(15,2297094,'1991-08-13 00:00:00',4,5,12,2008,'F','S','MORRO DOS CONVENTOS','ARARANGUA','SC','124242241215111431337411575124610137016',NULL,'970',38.97,1,3,NULL),(15,2297108,'1984-07-25 00:00:00',4,1,12,2001,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241117133421535614345133610162057',NULL,'257',0.00,1,2,1),(15,2297116,'1991-01-28 00:00:00',2,4,12,2007,'F','N','PASSO DOS FORTES','CHAPECO','SC','124241241435111431455923392114610168187',14296,'983',45.74,1,3,NULL),(15,2297124,'1985-07-30 00:00:00',4,1,11,2002,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241214133431323321342124610154092',15866,'213',43.58,1,3,NULL),(15,2297132,'1991-05-29 00:00:00',4,10,11,2007,'F','N','BELA VISTA','SAO LUDGERO','SC','124244241215111452337933572124610127142',3370,'807',65.08,1,3,NULL),(15,2297140,'1991-10-13 00:00:00',4,9,2,2009,'M','S','CENTRO','LAGES','SC','124244244415111231588514372112610132052',NULL,'9997',39.83,1,3,NULL),(15,2297159,'1984-03-07 00:00:00',4,5,12,2001,'F','N','CIDADE BAIXA','PORTO ALEGRE','RS','120201201116132431344823345124341534097',NULL,'9998',0.00,1,3,NULL),(15,2297167,'1987-04-13 00:00:00',4,8,12,2004,'M','N','AVENTUREIRO','JOINVILLE','SC','124241246216371421333144345321610127057',9575,'1105',52.63,1,3,NULL),(15,2297175,'1987-07-26 00:00:00',2,1,12,2004,'M','N','JARDIM CIDADE DE FLO','SAO JOSE','SC','124241241217374431558511245124610167053',8685,'943',54.20,1,3,NULL),(15,2297183,'1989-10-08 00:00:00',2,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124243241215373431566614342124133267047',11195,'943',50.17,1,3,NULL),(15,2297191,'1986-12-09 00:00:00',2,1,7,2004,'F','N','SAO JOSÉ','VACARIA','RS','120201205117131431224554344323141224147',21582,'9998',33.55,1,2,1),(15,2297205,'1990-04-04 00:00:00',4,1,12,2007,'M','N','CENTRO','ITUIUTABA','MG','113132131216271431456816595122610113057',18280,'9998',39.82,1,3,NULL),(15,2297213,'1968-12-05 00:00:00',4,5,12,1990,'M','N','CIDADE BAIXA','PORTO ALEGRE','RS','120203207336471441233942325131140214052',NULL,'9998',0.00,1,3,NULL),(15,2297221,'1988-01-23 00:00:00',2,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','124242247417132431556823282112133247117',NULL,'9999',0.00,1,3,NULL),(15,2297230,'1969-01-08 00:00:00',4,1,11,1985,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','224211211213131711464451492112142061012',NULL,'9998',0.00,1,3,NULL),(15,2297248,'1986-05-03 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241235272411333839385124610114052',NULL,'300',24.00,4,3,NULL),(15,2297256,'1987-11-22 00:00:00',4,1,12,2006,'M','N','GUTIERREZ','BELO HORIZONTE','MG','113132137216371431588932575112610114091',NULL,'9999',0.00,1,3,NULL),(15,2297264,'1981-03-16 00:00:00',4,10,12,2005,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124121121127142431621315295324230218147',NULL,'9998',19.10,4,2,1),(15,2297272,'1984-11-24 00:00:00',4,5,10,2002,'M','N','CENTRO','CRICIUMA','SC','124242241215575431547731315122231017067',3890,'226',63.77,1,3,NULL),(15,2297280,'1990-11-27 00:00:00',4,1,11,2008,'M','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215111711379514475112610167012',NULL,'270',39.49,1,3,NULL),(15,2297299,'1990-12-14 00:00:00',4,1,12,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241215111431476812571122610127042',22205,'262',31.47,1,3,NULL),(15,2297302,'1985-10-19 00:00:00',2,1,12,2001,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241126135731435833375124610164117',15381,'922',44.29,4,2,1),(15,2297310,'1989-08-25 00:00:00',4,1,11,2006,'M','N','SANTA CRUZ','RIBEIRAO PRETO','SP','125252251217472532469811575112610117047',8665,'9998',54.23,1,3,NULL),(15,2297329,'1990-06-10 00:00:00',2,1,11,2007,'F','N','AREIAS','SAO JOSE','SC','124242241415121231448611585122610144147',20929,'976',35.01,1,3,NULL),(15,2297337,'1987-04-24 00:00:00',2,1,12,2005,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241216373151546313572124610117144',17740,'1022',40.74,1,3,NULL),(15,2297345,'1990-09-20 00:00:00',2,2,12,2007,'M','N','CENTRO','PRESIDENTE GETULIO','SC','124243241215171431468913472122610127042',15604,'991',43.95,1,3,NULL),(15,2297353,'1988-11-15 00:00:00',2,10,12,2006,'M','N','DEHON','TUBARAO','SC','124242247215472431358813575122610117112',7157,'9999',56.87,1,3,NULL),(15,2297361,'1989-07-05 00:00:00',4,1,12,2006,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241247112131431336633371224231026177',NULL,'977',23.51,4,1,1),(15,2297370,'1990-02-03 00:00:00',2,10,11,2007,'F','N','OFICINAS','TUBARAO','SC','124242241215121431468919292122610128077',12355,'807',48.49,1,3,NULL),(15,2297388,'1990-02-07 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241217121431447714572222610161092',7621,'1022',55.98,1,3,NULL),(15,2297396,'1988-07-05 00:00:00',4,1,12,2005,'F','N','JARDIM UNIVERSITÁRIO','ARARAS','SP','125252251216571231588811574112610167097',5482,'9998',60.09,1,3,NULL),(15,2297400,'1988-06-05 00:00:00',2,1,12,2005,'F','N','CORREGO GRABDE','FLORIANOPOLIS','SC','124241241127274751324529441324610138097',22382,'298',30.49,2,1,1),(15,2297418,'1970-07-11 00:00:00',2,1,11,2001,'M','N','FORQUILINHAS','SAO JOSE','SC','224241242211131321334344341132610127041',NULL,'9997',22.52,1,3,NULL),(15,2297426,'1985-09-16 00:00:00',4,1,12,2002,'M','N','EUGENIO SCHINAIDER','RIO DO SUL','SC','124242241215573431589831595122610112093',NULL,'653',0.00,1,3,NULL),(15,2297434,'1989-12-12 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215121432258811275112610162186',NULL,'210',0.00,1,3,NULL),(15,2297442,'1986-08-19 00:00:00',4,1,7,2005,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241132273421535831341124610117047',21282,'289',34.25,2,1,1),(15,2297450,'1988-07-24 00:00:00',2,1,12,2005,'M','N','FORQUILHAS','SAO JOSE','SC','124241241117143431533319112124133217047',21362,'727',34.07,1,2,1),(15,2297469,'1985-11-02 01:00:00',4,3,12,2003,'M','N','ANHANGABAÚ','JUNDIAI','SP','125251251446572132536411315112610164094',NULL,'9998',0.00,1,3,NULL),(15,2297477,'1990-10-04 00:00:00',4,1,12,2007,'F','N','NSA SRA DA SAÚDE','CAXIAS DO SUL','RS','120201201117131451537723275121610144017',20579,'9998',35.73,1,2,1),(15,2297485,'1990-09-26 00:00:00',4,1,12,2007,'M','N','JARDIM UNIVERSAL','ARARAQUARA','SP','125252251215111431459834575122610122092',751,'9998',75.00,1,3,NULL),(15,2297493,'1988-09-29 00:00:00',4,1,11,2006,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124243241235111431456411245134610137042',18895,'9999',38.84,1,3,NULL),(15,2297507,'1980-02-28 00:00:00',2,1,12,1997,'F','N','CARIANOS','FLORIANOPOLIS','SC','224241243116134431243353385112130232147',19163,'281',38.41,1,2,1),(15,2297515,'1988-06-07 00:00:00',4,1,11,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','128286288117162411648833572224610114172',NULL,'9998',0.00,2,3,NULL),(15,2297523,'1986-05-23 00:00:00',4,1,12,2005,'M','N','INGLESES','FLORIANOPOLIS','SC','120202201217471731378613275124241837096',7833,'9998',55.63,1,3,NULL),(15,2297531,'1960-02-01 00:00:00',4,1,7,1980,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','224161167446151451288543432122540927085',NULL,'9999',0.00,1,3,NULL),(15,2297540,'1984-11-07 00:00:00',2,1,11,2004,'M','N','AREIAS','SAO JOSE','SC','124243241134232431524363441124610147047',17752,'307',40.73,1,3,NULL),(15,2297558,'1988-03-04 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124144241317141731456613332124610117057',NULL,'732',24.67,1,3,NULL),(15,2297574,'1990-07-26 00:00:00',4,2,12,2007,'F','N','CENTRO','TUPA','SP','125252251217111431448834575122610167057',NULL,'9998',0.00,1,3,NULL),(15,2297582,'1990-11-08 00:00:00',2,1,12,2007,'M','N','CENTRO','CANELINHA','SC','124242241217111431468631372122610164052',2763,'1119',66.84,1,3,NULL),(15,2297590,'1988-08-03 00:00:00',4,1,12,2007,'F','N','JARDIM ALVORADA','SAO JOSE DOS CAMPOS','SP','125252251215111411568632575114610123112',NULL,'9998',22.64,2,1,2),(15,2297604,'1980-11-03 00:00:00',2,1,9,2002,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241246146132411433321342334610114045',21681,'306',33.31,4,2,1),(15,2297612,'1988-05-24 00:00:00',4,1,12,2006,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124162161215211431439744445124131417052',11225,'9998',50.12,3,3,NULL),(15,2297620,'1991-05-24 00:00:00',4,3,12,2008,'M','S','BESENELLO','NOVA TRENTO','SC','124242241215111432388813585114610118042',NULL,'109',38.81,1,3,NULL),(15,2297639,'1989-11-02 00:00:00',4,1,11,2006,'M','N','CENTRO','CASCAVEL','PR','124162161236112752457732295125221464011',3748,'9998',64.08,1,3,NULL),(15,2297647,'1974-09-09 00:00:00',2,1,6,1994,'M','N','PRADO','BIGUACU','SC','124241241321153751335544343324221646187',NULL,'63',0.00,1,3,NULL),(15,2297655,'1990-03-20 00:00:00',4,1,12,2007,'F','N','AREIAS DO CAMPECHE','FLORIANOPOLIS','SC','124251241125131731413629272324610167052',NULL,'277',19.49,4,3,NULL),(15,2297663,'1990-03-09 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242161217111531568611195111610134062',14327,'9998',45.69,1,3,NULL),(15,2297671,'1989-12-21 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217111431239823375124610113015',17953,'1022',40.40,1,3,NULL),(15,2297680,'1987-03-12 00:00:00',2,1,2,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241212213421343333572124133257047',NULL,'9999',0.00,4,3,NULL),(15,2297698,'1990-04-21 00:00:00',2,1,12,2007,'F','N','JARDIM JANAINA','ANGELINA','SC','124241241111141431623419292124610118142',20200,'65',36.41,1,2,1),(15,2297701,'1991-07-04 00:00:00',4,3,12,2008,'F','S','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111431568614575122610131092',NULL,'1038',35.58,3,3,NULL),(15,2297710,'1982-11-12 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241312272431568613472124341467047',12100,'185',48.86,1,3,NULL),(15,2297728,'1991-03-20 00:00:00',4,4,11,2008,'F','S','CENTRO','ERECHIM','RS','120202201215121431448812572212610124142',NULL,'9998',54.88,1,3,NULL),(15,2297736,'1989-10-05 00:00:00',2,4,12,2006,'F','N','CENTRO','PATO BRANCO','PR','116164161216471751248923571122610164097',11580,'9998',49.58,1,3,NULL),(15,2297744,'1977-08-22 00:00:00',4,1,2,2008,'M','N','TIJUQUINHAS','BIGUACU','SC','624241247111161421544413331134610138147',19325,'64',38.11,1,3,NULL),(15,2297752,'1983-11-29 00:00:00',2,1,12,2001,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241315575731436519442124610124197',9007,'300',53.63,2,1,2),(15,2297760,'1986-06-28 00:00:00',2,1,1,2007,'F','N','AGUAS CLARAS','TAGUATINGA','DF','107073077437471311326279281324142054093',19108,'9999',38.51,1,3,NULL),(15,2297779,'1990-10-23 00:00:00',4,8,11,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241215121531588913475111610167046',12621,'1016',48.11,1,3,NULL),(15,2297795,'1989-12-07 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241215111431346711176221610167147',7908,'422',55.51,1,3,NULL),(15,2297809,'1983-08-09 00:00:00',4,1,12,2000,'M','N','PRAINHA','FLORIANOPOLIS','SC','124241241137132712333334392134610144147',22113,'275',31.85,1,2,1),(15,2297817,'1988-09-22 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241247137371751456519572224610132057',21806,'9999',32.94,1,2,1),(15,2297825,'1964-04-06 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','224244247617131432338441312142610118182',NULL,'9999',23.95,1,3,NULL),(15,2297833,'1989-09-19 00:00:00',4,2,11,2007,'M','N','PONTA AGUDA','BLUMENAU','SC','124242242217151731468839572122610168012',4784,'71',61.56,1,3,NULL),(15,2297841,'1991-07-09 00:00:00',4,1,11,2008,'M','S','TRINDADE','FLORIANOPOLIS','SC','124242241217151431368612575122610167077',NULL,'881',42.87,1,3,NULL),(15,2297850,'1985-08-04 00:00:00',4,1,12,2002,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124203201116471431238654341314140636097',21470,'9998',33.80,1,3,NULL),(15,2297868,'1991-02-25 00:00:00',2,7,12,2007,'M','N','CENTRO','ESTEIO','RS','120202201212371431466831572115611467055',NULL,'9998',0.00,1,3,NULL),(15,2297876,'1990-10-20 00:00:00',2,1,12,2007,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124241241215111431436633572114610127085',16418,'270',42.73,1,3,NULL),(15,2297884,'1980-09-24 00:00:00',4,1,5,2001,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','124244241217151552139726181112132812052',NULL,'1003',31.06,1,3,NULL),(15,2297892,'1984-05-02 00:00:00',2,1,12,2002,'M','N','ITAQUERA','SAO PAULO','SP','125251251117272432636311483124610112147',14416,'9998',45.56,4,2,1),(15,2297906,'1988-04-27 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241114111421428614242344610157087',20360,'239',36.13,1,2,1),(15,2297914,'1990-11-01 00:00:00',4,1,11,2007,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124244241415121711456933575122610162187',14068,'723',46.07,1,3,NULL),(15,2297922,'1990-12-29 00:00:00',4,1,12,2007,'F','N','SAO FRANCISCO','CAMPO GRANDE','MS','112123121316212111468631415122610117071',7986,'9998',55.39,1,3,NULL),(15,2297930,'1972-12-29 00:00:00',4,1,12,2000,'F','N','CAMPO DE FORA','LAGUNA','SC','124241247247133421233349195124131062097',21614,'9999',33.48,1,3,NULL),(15,2297949,'1990-05-25 00:00:00',4,1,12,2007,'M','N','JOAIA','TIJUCAS','SC','124241251124151431327414342324610117142',18585,'783',39.35,1,3,NULL),(15,2297957,'1988-09-14 00:00:00',4,1,12,2007,'M','N','JARDIM SÃO PEDRO','AMERICANA','SP','125251251217111731349514582121610161027',NULL,'9998',21.32,1,3,NULL),(15,2297965,'1988-08-21 00:00:00',2,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124202241211133411578913492124231068142',NULL,'9997',0.00,1,3,NULL),(15,2297973,'1987-10-22 00:00:00',2,1,12,2004,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124161241113312431534331343314610137042',10098,'286',51.78,1,2,1),(15,2297981,'1989-03-22 00:00:00',4,3,12,2006,'M','N','CENTRO','TIJUCAS','SC','124241246127141431533511446112610122173',NULL,'971',24.32,1,2,1),(15,2297990,'1990-11-20 00:00:00',4,1,11,2007,'M','N','CENTRO','NOVA TRENTO','SC','124241241115141431446631145121610162012',22412,'574',30.23,1,3,NULL),(15,2298007,'1989-01-29 00:00:00',2,4,12,2006,'M','N','CENTRO','SANTA MARIA','RS','120243201216573431468822575122610135092',10317,'752',51.47,1,3,NULL),(15,2298015,'1984-08-15 00:00:00',4,1,8,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241223272432125444142324610116052',21216,'9997',34.39,1,3,NULL),(15,2298023,'1990-07-29 00:00:00',2,9,12,2007,'F','N','CENTRO','RIO DO SUL','SC','124242241215112431558933575122610163182',4788,'991',61.55,1,3,NULL),(15,2298031,'1984-07-03 00:00:00',1,4,12,2002,'F','N','INTERIOR','CUNHA PORA','SC','124241241117131731223345452214610123147',NULL,'234',0.00,1,3,NULL),(15,2298040,'1988-09-25 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241125111411224624392324610115092',NULL,'307',24.42,1,3,NULL),(15,2298058,'1989-08-29 00:00:00',4,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124242241125271431446614382114610128187',20256,'736',36.32,1,3,NULL),(15,2298066,'1985-03-31 00:00:00',4,1,12,2003,'M','N','LAGOA DA CONCEICAO','FLORIANOPOLIS','SC','124242241215272431668814171124610167112',2730,'270',66.94,1,3,NULL),(15,2298074,'1991-04-14 00:00:00',4,10,11,2008,'M','S','CENTRO','TUBARAO','SC','124242241215111311489911575112610167052',NULL,'807',50.04,3,3,NULL),(15,2298082,'1991-01-06 00:00:00',2,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215111731433734272122610167117',4560,'723',62.12,1,3,NULL),(15,2298104,'1990-07-07 00:00:00',4,8,12,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242241216121432369813572122610122142',2808,'491',66.73,1,3,NULL),(15,2298112,'1986-11-19 00:00:00',2,1,12,2004,'F','N','SÃO FRANSISCO','HORIZONTINA','RS','120202208216142431428839391124142527147',NULL,'9998',20.61,1,3,NULL),(15,2298120,'1990-02-17 00:00:00',4,1,11,2008,'F','S','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241248335111432336317174114610123075',NULL,'1022',34.92,1,3,NULL),(15,2298139,'1965-04-24 00:00:00',2,1,1,2000,'M','N','CHACARAS BELA VISTA','CAMPINA GRANDE DO SUL','PR','116166167616151411488819475122143261163',7272,'9999',56.66,1,3,NULL),(15,2298147,'1986-07-09 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','224241241127273431233654245134230824097',16612,'656',42.44,1,2,1),(15,2298155,'1990-01-05 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215153511588733575124221064194',1018,'270',73.44,1,3,NULL),(15,2298163,'1987-01-19 00:00:00',2,6,12,2005,'F','N','PETROPOLIS','PASSO FUNDO','RS','120201207447111751435511242134610118182',NULL,'397',0.00,1,3,NULL),(15,2298171,'1986-07-26 00:00:00',2,1,12,2003,'F','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124241241136154431636373241114610164187',22287,'277',31.09,2,1,1),(15,2298198,'1991-07-16 00:00:00',4,1,12,2008,'M','S','CAMPINAS','SAO JOSE','SC','124242241215111432439811175124610167057',NULL,'1022',34.09,1,3,NULL),(15,2298201,'1980-06-27 00:00:00',2,1,11,1998,'M','N','BARREIROS','SAO JOSE','SC','124242248235115721676839345122321638193',7147,'738',56.88,1,3,NULL),(15,2298210,'1990-04-23 00:00:00',2,1,12,2007,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241317131731623619572324610168147',16505,'307',42.58,1,3,NULL),(15,2298236,'1990-07-05 00:00:00',4,1,11,2007,'F','N','PONTO CHIC','IBIRAMA','SC','124242241215112431524832574122610123147',4210,'991',62.88,1,3,NULL),(15,2298252,'1990-09-22 00:00:00',2,5,12,2007,'F','N','COMERCIÁRIO','CRICIUMA','SC','124241246412131431326824572224610167072',11479,'995',49.73,1,3,NULL),(15,2298260,'1985-05-27 00:00:00',2,1,12,2002,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241112472411324623495124610127077',11937,'307',49.06,2,1,1),(15,2298279,'1990-10-20 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241135111411623314372114610111142',21741,'358',33.16,1,2,1),(15,2298287,'1981-11-19 00:00:00',2,1,12,2001,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','224244247346133111657713245122130216177',15431,'9999',44.22,1,3,NULL),(15,2298295,'1974-05-20 00:00:00',2,1,12,1991,'F','N','BELA VISTA I','SAO JOSE','SC','624242248232132421436674242324613224087',15037,'9997',44.75,1,3,NULL),(15,2298309,'1990-09-20 00:00:00',4,4,12,2007,'M','N','SANTA LUZIA','ABELARDO LUZ','SC','124241241116151231224429572322610127052',19320,'4',38.12,1,2,1),(15,2298317,'1991-06-14 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431457933576122610134122',NULL,'266',53.89,1,3,NULL),(15,2298325,'1990-02-20 00:00:00',4,6,11,2007,'F','N','FAZENDA','ITAJAI','SC','124242241215111431469914592122610134042',7300,'1026',56.60,1,3,NULL),(15,2298333,'1985-12-30 00:00:00',2,1,12,2003,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241412273411336811392224231421012',9603,'266',52.59,1,3,NULL),(15,2298341,'1987-06-05 00:00:00',4,1,12,2004,'M','N','VILA SOFIA','SAO PAULO','SP','125252251217151431238621381314610113182',NULL,'9998',0.00,1,3,NULL),(15,2298350,'1984-01-15 00:00:00',4,1,6,2002,'M','N','SAMBAQUI','FLORIANOPOLIS','SC','124244241112575421347933495124610127047',10919,'307',50.59,1,3,NULL),(15,2298368,'1989-08-30 00:00:00',2,1,12,2007,'F','N','CENTRO','RIBEIRAO PRETO','SP','125252251215121231476712575122610144094',NULL,'9998',0.00,1,3,NULL),(15,2298376,'1990-05-07 00:00:00',4,1,12,2007,'M','N','HIGIENOPOLIS','SANTA CRUZ DO SUL','RS','120202201216151431469814572122610162142',NULL,'9998',31.25,1,3,NULL),(15,2298384,'1990-02-21 00:00:00',2,7,12,2007,'M','N','CARBONI','VIDEIRA','SC','124241241115131711433314341334610168147',11173,'831',50.20,1,3,NULL),(15,2298392,'1989-05-24 00:00:00',4,1,11,2006,'F','N','VILA GUMERCINDO','SAO PAULO','SP','125252251211111431357924571125240637152',7931,'9998',55.46,1,3,NULL),(15,2298406,'1991-03-03 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111411246823572122610134052',NULL,'270',23.65,1,3,NULL),(15,2298414,'1990-05-25 00:00:00',4,8,11,2007,'F','N','PIRABEIRABA','JOINVILLE','SC','124244241215121231359614575124610117047',854,'1016',74.32,1,3,NULL),(15,2298422,'1989-09-19 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124211241315131731437814375224610168092',NULL,'406',14.98,4,3,NULL),(15,2298449,'1988-08-24 00:00:00',2,1,7,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241326133711338619482113610117162',NULL,'9999',0.00,1,3,NULL),(15,2298457,'1987-02-21 00:00:00',2,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241248415271451438632591124610114112',NULL,'9999',11.28,1,3,NULL),(15,2298465,'1988-09-23 00:00:00',4,1,12,2006,'F','N','ARMAÇÃO','FLORIANOPOLIS','SC','124241241212372431437613592114610167187',15279,'266',44.43,1,3,NULL),(15,2298473,'1987-12-08 00:00:00',4,8,12,2004,'F','N','PALERMO','LONDRINA','PR','116252251216112451446739575124241066092',NULL,'9998',0.00,1,3,NULL),(15,2298490,'1990-01-16 00:00:00',2,1,11,2007,'F','N','FAZ SANTO ANTONIO','SAO JOSE','SC','124161161215131431563635594324610147072',17150,'9998',41.64,1,3,NULL),(15,2298503,'1990-09-15 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGOA VERMELHA','RS','120203201217111431426611312112610137057',NULL,'511',23.91,1,3,NULL),(15,2298511,'1990-02-14 00:00:00',4,2,12,2007,'M','N','GLÓRIA','RODEIO','SC','124241241215161431459611215114610162057',18250,'940',39.89,1,3,NULL),(15,2298520,'1991-08-09 00:00:00',4,4,12,2008,'F','S','MARIA GORETTI','CHAPECO','SC','124242241216111431338832575122610124147',NULL,'168',45.65,1,3,NULL),(15,2298538,'1989-01-06 00:00:00',2,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116164161217471431477711575125610167142',13546,'9998',46.83,1,3,NULL),(15,2298546,'1987-11-04 00:00:00',4,1,12,2004,'F','N','VENETO','VACARIA','RS','120201208117471731423332325122242567142',NULL,'9998',20.95,1,3,NULL),(15,2298554,'1990-09-06 00:00:00',4,1,12,2007,'M','N','LAGO NORTE','LAGO NORTE','DF','107072078217111431489933571122610142042',5531,'9998',60.00,1,3,NULL),(15,2298562,'1990-11-16 00:00:00',4,1,2,2008,'M','N','CAMPINAS','SAO JOSE','SC','124241241117131731334514572124610167052',12835,'739',47.81,1,2,1),(15,2298570,'1990-12-23 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241248116151431468513585124610114097',17192,'307',41.58,1,3,NULL),(15,2298589,'1987-08-16 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244241212575431448929472324232431147',4845,'1000',61.42,1,3,NULL),(15,2298600,'1988-06-11 00:00:00',2,1,12,2007,'M','N','CACHOEIRA','FLORIANOPOLIS','SC','124241241111131431336521391324610167047',18929,'288',38.80,1,2,1),(15,2298619,'1971-02-19 00:00:00',2,1,12,1988,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124201203524141741143449292334140868045',NULL,'9998',0.00,1,3,NULL),(15,2298635,'1991-06-01 00:00:00',2,1,12,2008,'F','S','CENTRO','NOVA TRENTO','SC','124241241217111431447839575124610133187',NULL,'981',47.08,1,3,NULL),(15,2298643,'1988-04-27 00:00:00',4,1,11,2005,'M','N','VILA MAZZEI','SAO PAULO','SP','125252251217472411447733371122610116077',1651,'9998',70.60,3,3,NULL),(15,2298651,'1984-12-10 00:00:00',4,1,12,2002,'M','N','CIDADE LUIZA','JUNDIAI','SP','125251256227471451553321375124241424117',3009,'9998',66.11,1,3,NULL),(15,2298660,'1990-10-14 00:00:00',2,4,12,2007,'M','N','LIDER','CHAPECO','SC','124241241132131431439519572124610121057',12677,'171',48.02,1,2,1),(15,2298686,'1986-03-14 00:00:00',4,2,11,2005,'M','N','ASILO','BLUMENAU','SC','124192191236152441338834445124133226117',NULL,'9998',6.35,1,3,NULL),(15,2298694,'1984-07-30 00:00:00',4,1,12,2001,'F','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124254251216152421358617345122321223117',15840,'9998',43.62,1,3,NULL),(15,2298708,'1990-07-20 00:00:00',4,4,11,2007,'M','N','CENTRO','XANXERE','SC','124242241215131711258924285112610144077',10837,'1046',50.70,1,3,NULL),(15,2298716,'1984-02-05 00:00:00',4,1,6,2002,'M','N','INGLESES','FLORIANOPOLIS','SC','124244246114134431557823385123220732013',11107,'306',50.29,1,3,NULL),(15,2298740,'1991-06-18 00:00:00',4,8,12,2007,'M','N','ATIRADORES','JOINVILLE','SC','124242241212111431489912175111610167182',10803,'1063',50.74,1,3,NULL),(15,2298767,'1988-05-05 00:00:00',2,1,12,2005,'F','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124241241116144411436614341114610162157',NULL,'307',26.86,1,3,NULL),(15,2298775,'1985-05-02 00:00:00',4,1,12,2002,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241114574431544611341124610134147',11354,'307',49.90,1,3,NULL),(15,2298783,'1990-04-23 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241115141431533514341124610128147',19604,'307',37.61,4,2,1),(15,2298791,'1983-10-17 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241141132431636619191324610114087',21629,'307',33.43,4,3,NULL),(15,2298805,'1992-07-24 00:00:00',4,8,12,2008,'M','S','FLORESTA','JOINVILLE','SC','124242241215111431459933575122610167062',NULL,'491',52.93,1,3,NULL),(15,2298813,'1988-07-04 00:00:00',4,2,12,2005,'F','N','CENTRO','BLUMENAU','SC','124241241212573431558914572122610124147',NULL,'88',39.76,1,3,NULL),(15,2298848,'1991-09-02 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124243241215111531446631575124610134072',16648,'988',42.38,1,3,NULL),(15,2298856,'1988-07-01 00:00:00',4,1,12,2005,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124243241215113421556631572124230263182',8399,'737',54.69,1,3,NULL),(15,2298864,'1990-09-13 00:00:00',2,1,12,2007,'F','N','CAJUS I','JUSCIMEIRA','MT','111111111237111531343322425124610142197',NULL,'9998',0.00,1,3,NULL),(15,2298880,'1963-05-24 00:00:00',2,1,12,1981,'M','N','TRINDADE','FLORIANOPOLIS','SC','224101166226163411462643435132340237052',9890,'9998',52.11,4,3,NULL),(15,2298899,'1990-08-13 00:00:00',2,4,11,2007,'F','N','CANGO','FRANCISCO BELTRAO','PR','116161161336271441333614274115610126072',NULL,'9998',0.00,1,3,NULL),(15,2298910,'1988-12-06 00:00:00',2,1,12,2006,'F','N','PEDRA BRANCA','PALHOCA','SC','124243241116132411333513572225231017142',NULL,'271',25.10,1,3,NULL),(15,2298929,'1990-09-27 00:00:00',4,1,12,2008,'M','S','COLÔNIA SANTANA','SAO JOSE','SC','124241241216131431456633395124610161151',NULL,'1074',25.65,1,3,NULL),(15,2298937,'1989-06-26 00:00:00',4,8,12,2007,'M','N','VILA FORMOSA','SAO PAULO','SP','125252251215111431358811574114610167147',9339,'9998',53.06,1,3,NULL),(15,2298945,'1982-03-05 00:00:00',4,1,12,1999,'M','N','ESTREITO','FLORIANOPOLIS','SC','124162168216131431249844442222131064177',NULL,'9998',0.00,1,3,NULL),(15,2298953,'1982-08-02 00:00:00',2,1,12,2000,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241111143521666313441114613267117',20692,'281',35.51,1,2,1),(15,2298961,'1990-04-02 00:00:00',2,4,12,2007,'M','N','BELA VISTA','CUNHA PORA','SC','124241241116351731425614445122610126147',17110,'234',41.72,1,3,NULL),(15,2298970,'1990-06-20 00:00:00',2,5,11,2007,'M','N','CENTRO','GRAO PARA','SC','124241241216131431546613572124610147052',21877,'950',32.70,1,3,NULL),(15,2298996,'1991-05-20 00:00:00',2,2,12,2007,'F','N','IMIGRANTES','TIMBO','SC','124241241216111411426973585221610128117',15575,'9997',44.01,1,3,NULL),(15,2299003,'1989-01-27 00:00:00',4,1,12,2006,'M','N','NOVA PETRÓPOLIS','SAO BERNARDO DO CAMPO','SP','125252251217471711469814575124610167047',NULL,'9998',0.00,1,3,NULL),(15,2299020,'1984-01-10 00:00:00',2,1,12,2000,'M','N','JARDIM ITÚ SABARÁ','PORTO ALEGRE','RS','120203201416131411446632485124143261062',11353,'9998',49.91,1,3,NULL),(15,2299038,'1990-05-11 00:00:00',4,1,12,2007,'M','N','FORQUILHAS','SAO JOSE','SC','124243241111131431423423581124610122192',22038,'733',32.14,1,3,NULL),(15,2299046,'1989-08-08 00:00:00',4,1,12,2006,'M','N','SÃO JOÃO','MOGI DAS CRUZES','SP','125252251215472431478814575112610147043',1905,'9998',69.59,1,3,NULL),(15,2299054,'1990-09-02 00:00:00',2,1,12,2007,'M','N','ARIRIU','PALHOCA','SC','124241241217131411535531571121610161112',12651,'1075',48.07,1,3,NULL),(15,2299062,'1982-03-31 00:00:00',2,1,7,2001,'M','N','ALTO ARIRIÚ','PALHOCA','SC','124241248146133431456433245134131024047',NULL,'739',0.00,1,2,1),(15,2299070,'1990-05-10 00:00:00',4,1,11,2007,'M','N','VOLTA GRANDE','FARROUPILHA','RS','120202201216371431468812571124610162122',7087,'9998',56.99,1,3,NULL),(15,2299089,'1989-10-30 00:00:00',4,4,12,2006,'M','N','CENTRO','SAO JOSE DO CEDRO','SC','124241241131131431533312241122610127043',22423,'470',30.06,1,2,1),(15,2299097,'1988-02-01 00:00:00',2,1,12,2005,'M','N','BIGUAÇU','BIGUACU','SC','124242241211143431546633445114230247052',20443,'1040',35.97,1,3,NULL),(15,2299119,'1987-03-01 00:00:00',4,1,12,2004,'F','N','VARGEM PEQUENA','FLORIANOPOLIS','SC','124161161116333411233544345134612222012',21757,'9998',33.09,1,3,NULL),(15,2299127,'1990-07-01 00:00:00',4,8,12,2007,'M','N','IRIRIÚ','JOINVILLE','SC','124242246215111431356714242122610137041',4735,'1006',61.68,1,3,NULL),(15,2299135,'1991-07-05 00:00:00',4,7,11,2008,'F','S','CENTRO','LACERDOPOLIS','SC','124241241437131431528611575124610164057',NULL,'446',52.93,1,3,NULL),(15,2299143,'1988-09-06 00:00:00',4,8,12,2006,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215372531359852345122610147042',6255,'491',58.53,1,3,NULL),(15,2299151,'1990-09-02 00:00:00',2,5,12,2007,'M','N','LAGOA DE FORA','BALNEARIO GAIVOTA','SC','124241242115131431323631372225610122142',18408,'690',39.63,1,2,1),(15,2299160,'1986-04-10 00:00:00',2,1,12,2005,'M','N','ARMAÇÃO','FLORIANOPOLIS','SC','124241241112372431338619492112610127117',8390,'307',54.70,1,2,1),(15,2299178,'1990-01-27 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241211122112241263443232610164171',2642,'270',67.19,1,3,NULL),(15,2299186,'1989-06-09 00:00:00',2,1,11,2006,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241217372721467632124122610114113',20598,'1011',35.69,1,3,NULL),(15,2299194,'1986-05-01 00:00:00',2,1,12,2003,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241117155431545613342134233227012',7996,'267',55.38,1,2,1),(15,2299216,'1990-10-13 00:00:00',4,1,12,2007,'F','N','STO ANTONIO LISBOA','FLORIANOPOLIS','SC','124242241215121431568813572122610164142',13287,'262',47.19,1,3,NULL),(15,2299232,'1990-11-26 00:00:00',4,5,10,2007,'F','N','CENTRO','CRICIUMA','SC','124242241215121431365832572112610166042',7090,'226',56.98,1,3,NULL),(15,2299240,'1983-08-05 00:00:00',4,1,12,2001,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124082081216132431118648285321233251037',NULL,'9998',NULL,4,3,NULL),(15,2299259,'1989-08-04 00:00:00',4,8,12,2006,'M','N','CENTRO','JARAGUA DO SUL','SC','124242241216372451589711595125610164042',10459,'491',51.25,1,3,NULL),(15,2299267,'1989-10-24 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431338614572124610163142',10685,'1022',50.90,1,3,NULL),(15,2299275,'1989-04-07 00:00:00',4,1,12,2006,'M','N','CENTRO','SANTA MARIA','RS','120203201117472431436813432112610124057',6458,'9998',58.15,4,3,NULL),(15,2299283,'1989-04-11 00:00:00',4,1,12,2006,'M','N','MOOCA','SAO PAULO','SP','125252256117471431589612573112610137052',7904,'9998',55.51,1,3,NULL),(15,2299305,'1989-08-20 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217152411378913375122231046182',15759,'270',43.73,1,3,NULL),(15,2299313,'1988-06-26 00:00:00',2,1,12,2006,'M','N','CENTRO','TIJUCAS','SC','124242241216272431435613375112610164042',13076,'781',47.48,1,3,NULL),(15,2299321,'1989-12-19 00:00:00',2,1,11,2007,'M','N','ARIRIU','PALHOCA','SC','124241241115211432336923385114610117057',19714,'307',37.39,1,2,1),(15,2299330,'1990-03-06 00:00:00',4,8,11,2007,'F','N','CENTRO','SAO BENTO DO SUL','SC','124241241115131451436823432122610134157',11089,'697',50.31,1,2,1),(15,2299348,'1990-11-29 00:00:00',4,1,12,2007,'M','N','CENTRO','SAO MATEUS DO SUL','PR','116162161217121431466914572122610137052',12428,'9998',48.40,1,3,NULL),(15,2299356,'1989-11-23 00:00:00',4,6,12,2007,'M','N','FAZENDA','ITAJAI','SC','124242241215111412358924272125610137182',NULL,'389',32.99,1,3,NULL),(15,2299364,'1990-09-30 00:00:00',2,1,12,2007,'F','N','VILA NOVA','IMBITUBA','SC','124241241117141431536319345124610164157',22377,'359',30.53,1,2,1),(15,2299372,'1989-12-15 00:00:00',4,4,12,2007,'M','N','CONJUNTO LIBRA IV','FOZ DO IGUACU','PR','116163161117131432434532242124610132146',11364,'9998',49.89,1,3,NULL),(15,2299380,'1991-02-05 00:00:00',4,1,11,2008,'M','S','ABRAÃO','FLORIANOPOLIS','SC','124242241232111411485432572124610117041',NULL,'1050',48.83,1,3,NULL),(15,2299399,'1991-12-10 00:00:00',2,5,11,2008,'M','S','CENTRO','CRICIUMA','SC','124242241212111431369934592122610144052',NULL,'880',31.81,1,3,NULL),(15,2299410,'1989-10-31 00:00:00',4,1,12,2007,'M','N','CENTRO','PALHOCA','SC','124242241415111431538823435124610164042',18610,'1011',39.31,1,3,NULL),(15,2299429,'1988-02-18 00:00:00',2,1,12,2005,'M','N','DORES','SANTA MARIA','RS','120202206217471431358814412112610147012',3355,'9998',65.12,4,3,NULL),(15,2299437,'1990-05-09 00:00:00',4,5,12,2007,'F','N','RIO FIORITA','SIDEROPOLIS','SC','124244248215111431536719595124610135052',19699,'995',37.42,1,3,NULL),(15,2299445,'1990-10-15 00:00:00',2,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124243241112131131436514582122610147057',15340,'1116',44.34,3,3,NULL),(15,2299453,'1988-06-28 00:00:00',4,1,12,2005,'M','N','JARDIM','SANTO ANDRE','SP','125252251216571431468811475125610164017',7690,'9998',55.88,1,3,NULL),(15,2299461,'1988-09-12 00:00:00',4,1,12,2005,'M','N','CENTRO','PORTO ALEGRE','RS','120204201211572441255823571114610167047',5549,'9998',59.97,1,3,NULL),(15,2299470,'1986-01-25 00:00:00',2,1,12,2004,'F','N','ROÇADO','SAO JOSE','SC','124163161216141411436611215221610131097',9193,'9998',53.29,1,3,NULL),(15,2299488,'1989-12-14 00:00:00',4,1,11,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241217471731569823572122610137077',3672,'270',64.29,1,3,NULL),(15,2299500,'1989-07-27 00:00:00',4,4,11,2006,'M','N','MARIA GORETTI','CHAPECO','SC','124241247431153411369924571123610167046',5441,'9999',60.20,1,3,NULL),(15,2299518,'1988-05-14 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241137132431458727495124610167145',16769,'306',42.22,1,2,1),(15,2299526,'1989-09-27 00:00:00',2,1,12,2006,'M','N','JARDIM ELDORADO','PALHOCA','SC','124241241122141732534514242112610138197',NULL,'1009',0.00,1,2,1),(15,2299534,'1991-11-13 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431378939572122610113112',NULL,'262',42.00,1,3,NULL),(15,2299542,'1991-06-10 00:00:00',4,6,11,2008,'M','S','FAZENDA','ITAJAI','SC','124242244217111731478831575122610164042',NULL,'9997',55.36,1,3,NULL),(15,2299550,'1986-12-08 00:00:00',2,7,12,2004,'F','N','SAO FRANCISCO','LUZERNA','SC','124241241117131431526329392124610168147',NULL,'539',22.31,1,3,NULL),(15,2299569,'1990-03-21 00:00:00',4,8,12,2007,'F','N','ITINGA','JOINVILLE','SC','124241241235271731458633435124610124012',NULL,'489',0.00,1,3,NULL),(15,2299585,'1991-09-28 00:00:00',4,1,12,2008,'F','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124202241215111431263829372124610126145',NULL,'1051',43.73,1,3,NULL),(15,2299593,'1990-03-20 00:00:00',4,5,10,2007,'F','N','PIO CORREA','CRICIUMA','SC','124242241215222431566612572122610138097',13437,'226',46.96,1,3,NULL),(15,2299615,'1987-10-17 00:00:00',4,1,3,2007,'F','N','PORTO DA LAGOA','FLORIANOPOLIS','SC','124242241115472431548823576114610168182',17726,'267',40.76,1,3,NULL),(15,2299623,'1991-03-26 00:00:00',2,5,11,2008,'F','S','CENTRO','FORQUILHINHA','SC','124242241215121431458614575122610127142',NULL,'226',49.13,1,3,NULL),(15,2299640,'1989-11-03 00:00:00',4,1,11,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241112131731424424172324610132017',NULL,'288',0.00,1,3,NULL),(15,2299658,'1989-09-09 00:00:00',2,1,12,2006,'F','N','ARMAÇÃO','FLORIANOPOLIS','SC','124241241122131431226628592114610124197',12122,'291',48.83,1,2,1),(15,2299666,'1989-05-23 00:00:00',2,4,12,2006,'M','N','SANTA BÁRBARA','RONDA ALTA','RS','120201201116131411444923472122610127047',NULL,'9998',24.36,1,2,1),(15,2299674,'1987-09-05 00:00:00',2,9,12,2004,'F','N','POPULAR','LAGES','SC','124241246125471431633934342224610154147',NULL,'498',18.65,1,3,NULL),(15,2299682,'1989-11-16 00:00:00',2,1,12,2007,'M','N','AREIAS','SAO JOSE','SC','124244241417131431438614375124610137042',NULL,'1078',22.77,1,3,NULL),(15,2299690,'1990-04-25 00:00:00',4,1,12,2007,'F','N','SANTO ANTÔNIO','CURITIBANOS','SC','124241241116131411332319392125610148142',14587,'239',45.29,1,3,NULL),(15,2299704,'1990-08-31 00:00:00',2,5,11,2007,'F','N','SÃO DOMINGOS','CRICIUMA','SC','124241241437111411435634372124610165147',22055,'226',32.08,1,3,NULL),(15,2299712,'1991-08-20 00:00:00',2,1,12,2008,'F','S','CENTRO','NOVA TRENTO','SC','124241241217111431447633435122610124182',NULL,'981',48.15,1,3,NULL),(15,2299720,'1990-07-14 00:00:00',4,2,11,2008,'M','S','JD DAS HORTENSIAS','RIO DO OESTE','SC','124241241216131441446732385124610144052',NULL,'663',50.22,1,3,NULL),(15,2299739,'1987-02-23 00:00:00',2,1,12,2005,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124244241212473731635469395224610123117',NULL,'1022',16.91,2,1,2),(15,2299747,'1988-04-29 00:00:00',4,1,12,2005,'M','N','CENTRO','CASCAVEL','PR','116162161217272751459811345122610167047',6634,'9998',57.84,1,3,NULL),(15,2299755,'1990-02-18 00:00:00',2,10,11,2007,'M','N','OFICINAS','TUBARAO','SC','124242241215271411358923571112610127042',14718,'807',45.12,1,3,NULL),(15,2299763,'1984-04-11 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124246248616112411238741311111132614172',11631,'1105',49.51,1,3,NULL),(15,2299771,'1990-02-03 00:00:00',2,8,11,2006,'M','N','SANTA QUITERIA','CURITIBA','PR','116162161215111431526631274114610164182',NULL,'9998',0.00,1,3,NULL),(15,2299780,'1990-09-04 00:00:00',4,1,12,2008,'F','S','CIDADE DE FPOLIS','SAO JOSE','SC','124242241316131431348833595124610168142',NULL,'734',34.30,1,3,NULL),(15,2299798,'1990-04-08 00:00:00',4,5,12,2007,'M','N','CENTRO','TORRES','RS','120202201216111451267823575122610134013',14127,'9998',45.99,2,3,NULL),(15,2299801,'1966-01-28 00:00:00',4,1,12,1984,'M','N','CENTRO','FLORIANOPOLIS','SC','124241243122134731122244242332121124093',13895,'254',46.32,1,2,1),(15,2299810,'1990-10-12 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215121431548931415122610124012',17017,'9997',41.85,1,3,NULL),(15,2299828,'1983-08-24 00:00:00',2,1,11,2003,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124244247447152711461923431122231012142',NULL,'9999',18.44,1,3,NULL),(15,2299844,'1990-07-21 00:00:00',2,10,11,2007,'M','N','STO ANTONIO DE PÁDUA','TUBARAO','SC','124242241215121531537612495122610167052',18814,'807',38.96,1,3,NULL),(15,2299852,'1990-01-30 00:00:00',4,7,11,2007,'F','N','CRUZEIRO DO SUL','JOACABA','SC','124242241215212232469419292122610138142',14673,'454',45.18,1,3,NULL),(15,2299860,'1984-09-07 00:00:00',2,1,12,2001,'F','N','ITACORUBI','FLORIANOPOLIS','SC','224241241126133411333353272124230817145',16540,'223',42.53,1,3,NULL),(15,2299879,'1990-09-27 00:00:00',4,6,12,2007,'F','N','CENTRO','ITAJAI','SC','124244241216131411427634342122610132147',8486,'388',54.53,1,3,NULL),(15,2299887,'1991-08-12 00:00:00',2,1,12,2008,'F','S','JARD CID FPOLIS','SAO JOSE','SC','124242241215111531447712572122610116147',NULL,'738',38.59,1,3,NULL),(15,2299895,'1989-10-30 00:00:00',2,1,12,2007,'F','N','PASSA VINTE','PALHOCA','SC','124241241112131431433314342324610121092',18467,'592',39.54,1,3,NULL),(15,2299909,'1977-11-02 00:00:00',2,1,12,1998,'M','N','CAMPINAS','SAO JOSE','SC','124162247332131411126734341222330247042',15179,'9997',44.56,1,3,NULL),(15,2299917,'1989-12-10 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215111431546613571114610125097',14621,'883',45.24,1,3,NULL),(15,2299925,'1990-03-09 00:00:00',4,1,12,2007,'M','N','SÃO GERALDO','PORTO ALEGRE','RS','120202201216471441366634275124610164057',3878,'9998',63.80,1,3,NULL),(15,2299933,'1988-03-18 00:00:00',2,1,12,2005,'F','N','PONTE IMARUIM','PALHOCA','SC','124242241215112751555931172122233248117',11578,'1010',49.59,1,3,NULL),(15,2299941,'1989-12-12 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241217111431236679291234610167112',NULL,'270',0.00,1,3,NULL),(15,2299950,'1991-02-25 00:00:00',4,1,2,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217411411469934572122610137047',19192,'270',38.36,1,3,NULL),(15,2299968,'1989-08-25 00:00:00',2,1,7,2007,'M','N','STO ANTÔNIO DE LISBO','FLORIANOPOLIS','SC','124241247427371421333631345114610147097',21347,'9999',34.09,4,3,NULL),(15,2299984,'1990-09-12 00:00:00',2,8,12,2007,'F','N','KENEDY','HORIZONTINA','RS','120201201111131431423329392325610168192',NULL,'9998',0.00,1,2,1),(15,2299992,'1988-03-12 00:00:00',4,1,12,2005,'M','N','CAMPINAS','SAO JOSE','SC','124243241417133411548867392124221462042',8449,'1039',54.60,1,3,NULL),(15,2300001,'1989-08-13 00:00:00',4,5,11,2007,'F','N','SAO LUIZ','CRICIUMA','SC','124242241215111431558612572112610121147',10434,'226',51.29,1,3,NULL),(15,2300010,'1989-03-01 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124252241215153212489732395114610163173',5249,'270',60.62,1,3,NULL),(15,2300028,'1991-09-16 00:00:00',4,9,12,2008,'F','S','PEREIRA ALVES','CORREIA PINTO','SC','124244241217111231446612295122610127142',NULL,'202',41.79,1,3,NULL),(15,2300036,'1989-11-22 00:00:00',4,5,10,2007,'M','N','PIO CORREA','CRICIUMA','SC','124242241215321431456732342123610114117',16005,'226',43.38,1,3,NULL),(15,2300052,'1985-07-16 00:00:00',2,10,12,2003,'F','N','CENTRO','TUBARAO','SC','124242241215473331446834595122132644197',15419,'807',44.23,1,3,NULL),(15,2300060,'1982-06-11 00:00:00',2,1,12,1999,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241234134751538744342134330231187',NULL,'266',0.00,1,3,NULL),(15,2300079,'1986-03-18 00:00:00',2,1,12,2003,'M','N','BARREIROS','SAO JOSE','SC','124242241217133431368829392134610114092',16468,'738',42.63,1,3,NULL),(15,2300087,'1991-04-14 00:00:00',4,1,11,2008,'M','S','CAPOEIRAS','FLORIANOPOLIS','SC','124244241415111621457657575124610137047',NULL,'1022',24.14,2,3,NULL),(15,2300095,'1991-04-14 00:00:00',4,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124241241137131431436619571124610127042',NULL,'307',19.15,1,3,NULL),(15,2300109,'1990-04-27 00:00:00',2,9,11,2007,'M','N','CENTRO','SALETE','SC','124241241212111421568611212122610127042',9834,'776',52.21,1,3,NULL),(15,2300117,'1991-04-22 00:00:00',4,1,11,2008,'M','S','RIO TAVARES','FLORIANOPOLIS','SC','124244241217151751489934572112610138195',NULL,'266',61.58,1,3,NULL),(15,2300125,'1988-01-08 00:00:00',4,1,12,2004,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124244241411573411346613492124230262187',8676,'266',54.21,1,3,NULL),(15,2300133,'1988-05-27 00:00:00',4,1,12,2005,'M','N','BOSQUE DAS MANSÕES','SAO JOSE','SC','124242241217132431568833435113610164045',11352,'882',49.91,1,3,NULL),(15,2300141,'1988-03-09 00:00:00',4,1,12,2002,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241248132271421626329192334610127047',NULL,'292',0.00,4,2,1),(15,2300150,'1977-05-07 00:00:00',2,1,12,1998,'M','N','CENTRO','SAO JOSE','SC','124131131122472421323544442334610146112',21988,'9998',32.29,2,1,1),(15,2300168,'1990-02-28 00:00:00',4,1,12,2007,'F','N','PARQUE SAO JORGE','FLORIANOPOLIS','SC','124242241215111711438814575114610165042',22260,'266',31.24,1,3,NULL),(15,2300176,'1991-04-24 00:00:00',4,9,11,2008,'M','S','CENTRO','CURITIBANOS','SC','124243241216111431548431275122610114142',NULL,'881',26.48,1,3,NULL),(15,2300192,'1988-12-01 00:00:00',4,9,12,2006,'M','N','SAGRADO C DE JESUS','LAGES','SC','124242241212113411578611571122232467052',1428,'497',71.53,1,3,NULL),(15,2300206,'1962-01-10 00:00:00',2,1,12,1983,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241247621135412534413431124121318197',NULL,'9999',0.00,1,3,NULL),(15,2300214,'1990-09-15 00:00:00',2,7,12,2007,'F','N','INTERIOR','AGUA DOCE','SC','124241241125131431323336162322610126147',13030,'9',47.55,1,2,1),(15,2300222,'1990-06-13 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241117131531338421575122610124052',NULL,'727',22.13,1,2,1),(15,2300230,'1989-10-03 00:00:00',4,1,12,2007,'F','N','CAMPUS DO CTA','SAO JOSE DOS CAMPOS','SP','125254251216111431469713575122610163157',12124,'9998',48.83,1,3,NULL),(15,2300249,'1990-08-16 00:00:00',2,1,12,2008,'M','S','CAPOEIRAS','FLORIANOPOLIS','SC','125241241437111431546933375124610117181',NULL,'1098',44.79,1,3,NULL),(15,2300257,'1990-10-20 00:00:00',4,1,11,2007,'F','N','JARDIM BOTÂNICO','SINOP','MT','111112111216111431459933574122610123052',5856,'9998',59.35,1,3,NULL),(15,2300265,'1990-03-04 00:00:00',2,5,12,2007,'M','N','RIO MAINA','CRICIUMA','SC','124242246217271412446911382124610134017',13432,'995',46.98,1,3,NULL),(15,2300273,'1968-05-10 00:00:00',4,1,12,1989,'M','N','NSA SRA ROSARIO','SAO JOSE','SC','424241247226133731325444295333121167067',NULL,'9999',0.00,1,3,NULL),(15,2300281,'1991-04-23 00:00:00',4,1,12,2008,'M','S','PANTANAL','FLORIANOPOLIS','SC','124242241215111431469821572124610167127',NULL,'270',53.33,4,3,NULL),(15,2300290,'1986-02-24 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241116134451538813445124133233187',12713,'307',47.96,1,2,1),(15,2300303,'1990-04-17 00:00:00',4,1,12,2007,'M','N','JACY','CAMPO GRANDE','MS','112123121316312121568832475122610117061',4599,'9998',62.00,1,3,NULL),(15,2300311,'1990-04-23 00:00:00',4,1,12,2007,'F','N','CENTRO','AGUAS MORNAS','SC','124241241125161531531614572122610127052',NULL,'12',18.20,1,2,1),(15,2300320,'1989-10-26 00:00:00',4,6,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111431434612575122610162142',6228,'9998',58.59,1,3,NULL),(15,2300338,'1990-06-23 00:00:00',4,9,11,2007,'M','N','IGARAS','OTACILIO COSTA','SC','124241241315151431459914375112610164051',9184,'499',53.30,3,3,NULL),(15,2300346,'1990-10-01 00:00:00',4,1,11,2007,'F','N','CENTRO','CASCAVEL','PR','116162161217111431369819575112610164052',12887,'9998',47.74,1,3,NULL),(15,2300354,'1990-02-12 00:00:00',4,8,11,2007,'M','N','GLÓRIA','JOINVILLE','SC','124242246215111431226634575124610167017',19126,'494',38.48,1,3,NULL),(15,2300362,'1981-11-13 00:00:00',4,4,12,1998,'M','N','CENTRO','GUARANI DAS MISSOES','RS','120201201216131431129941415135341037052',13539,'9998',46.84,1,3,NULL),(15,2300370,'1990-10-07 00:00:00',4,4,12,2007,'F','N','COHAB','SAO DOMINGOS','SC','124241241115161431213628585122610118147',NULL,'707',13.41,1,2,1),(15,2300400,'1988-12-11 00:00:00',4,10,12,2007,'M','N','CENTRO','IMBITUBA','SC','124241241136161131348813275112610118087',22267,'359',31.22,4,2,1),(15,2300419,'1990-05-29 00:00:00',4,4,12,2007,'F','N','COLONIA BACIA','CORDILHEIRA ALTA','SC','124241241124131711533326192124610127047',NULL,'9997',0.00,1,3,NULL),(15,2300435,'1989-06-10 00:00:00',4,1,12,2006,'M','N','BELA VISTA','AMERICANA','SP','125252251217471531468914575122610167047',8124,'9998',55.15,1,3,NULL),(15,2300443,'1990-05-14 00:00:00',2,1,12,2007,'F','N','APARECIDA','CANOINHAS','SC','124241241116161431526612432122610134142',NULL,'153',0.00,1,2,1),(15,2300451,'1988-03-22 00:00:00',4,1,12,2005,'M','N','CENTRO','SANTA HELENA','PR','116162161217411231269933591314140764062',4027,'9998',63.39,1,3,NULL),(15,2300460,'1990-02-19 00:00:00',4,4,12,2007,'F','N','CENTRO','FOZ DO IGUACU','PR','116162161215121441447923375124610162197',15985,'9998',43.41,1,3,NULL),(15,2300478,'1986-01-26 00:00:00',2,1,12,2003,'M','N','TURIMAR','BALNEARIO GAIVOTA','SC','120204201116471451548513474124140218042',18419,'9998',39.62,1,3,NULL),(15,2300486,'1990-10-31 00:00:00',4,7,12,2007,'F','N','INTERIOR','LACERDOPOLIS','SC','124241241125111431633315272224610126177',10975,'496',50.51,1,2,1),(15,2300494,'1991-04-29 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241217161731479913435112610163077',15885,'424',43.55,1,3,NULL),(15,2300508,'1985-10-22 00:00:00',2,1,12,2004,'M','N','ROÇADO','SAO JOSE','SC','105051051126132231434711212323610117047',20606,'9998',35.68,1,3,NULL),(15,2300532,'1988-06-03 00:00:00',4,1,12,2005,'M','N','CENTRO','TAPEJARA','RS','120201201137271751543611292113610164177',14992,'9998',44.81,1,3,NULL),(15,2300540,'1988-08-22 00:00:00',2,1,12,2007,'F','N','CAMINHO NOVO','PALHOCA','SC','624241241142131431323354571324610134157',19555,'592',37.71,1,2,1),(15,2300559,'1989-03-09 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241115131721535533312322610135147',NULL,'295',32.53,3,3,NULL),(15,2300567,'1980-10-21 00:00:00',2,1,12,2003,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241126271421246644245124130224117',12225,'405',48.69,1,3,NULL),(15,2300575,'1990-11-12 00:00:00',2,2,11,2007,'F','N','BELCHIOR BAIXO','GASPAR','SC','124241241117131431433311242124610145147',16101,'84',43.22,1,3,NULL),(15,2300583,'1990-08-20 00:00:00',4,7,11,2007,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','124242241215111431558931574122610138147',13156,'454',47.38,1,3,NULL),(15,2300591,'1989-05-02 00:00:00',2,1,12,2006,'M','N','SOBRADINHO','SOBRADINHO','DF','107073071417471431566612575112610137056',13262,'9998',47.22,4,3,NULL),(15,2300605,'1991-08-10 00:00:00',4,5,11,2008,'F','S','CENTRO','CRICIUMA','SC','124242241215111431258814572112610128092',NULL,'226',53.18,1,3,NULL),(15,2300613,'1990-03-01 00:00:00',2,4,12,2007,'F','N','DOS ESPORTES','XANXERE','SC','124241241115131231534434172342610154147',NULL,'840',16.60,1,3,NULL),(15,2300621,'1981-09-23 00:00:00',4,1,12,2000,'M','N','JARDIM CONCEIÇÃO','CAMPINAS','SP','125253253114572441667834141121140961047',10794,'9998',50.75,1,3,NULL),(15,2300630,'1990-02-03 00:00:00',2,1,12,2006,'F','N','NOSSA SR DO ROSÁRIO','SAO JOSE','SC','124243248312132431336633272224610132042',19931,'1022',36.95,1,3,NULL),(15,2300656,'1988-11-07 00:00:00',2,1,11,2007,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116163167416111432478812372124613241117',NULL,'9999',24.94,1,3,NULL),(15,2300664,'1990-06-08 00:00:00',2,10,11,2007,'F','N','CENTRO','BRACO DO NORTE','SC','124244241215111711436634192125610123077',NULL,'102',21.68,1,3,NULL),(15,2300672,'1977-06-02 00:00:00',4,1,12,1994,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241116155431565513485114120762193',5650,'307',59.77,1,3,NULL),(15,2300680,'1989-12-19 00:00:00',4,8,11,2007,'M','N','RAINHA','ARAQUARI','SC','124244241215271431458414595124610167092',17772,'459',40.71,1,3,NULL),(15,2300699,'1989-06-09 00:00:00',4,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124243241215172411546632572124231062042',16921,'270',41.98,1,3,NULL),(15,2300702,'1990-01-01 00:00:00',2,5,12,2007,'F','N','CENTRO','MORRO DA FUMACA','SC','124241248215111721453312314122110123157',NULL,'9997',0.00,1,3,NULL),(15,2300710,'1988-11-23 00:00:00',2,1,12,2007,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241125132741453139192124610154175',NULL,'291',11.11,1,3,NULL),(15,2300729,'1986-12-30 00:00:00',2,1,12,2004,'F','N','BARREIROS','SAO JOSE','SC','124244241215132431324671245124610148072',19618,'868',37.58,1,3,NULL),(15,2300737,'1981-07-30 00:00:00',4,1,12,1998,'M','N','CRUZEIRO NOVO','CRUZEIRO','DF','107242241115575431539719345134132464096',416,'514',77.52,4,3,NULL),(15,2300770,'1989-10-21 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241217131731557533575122610161097',19942,'1051',36.93,1,3,NULL),(15,2300788,'1989-06-15 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472711479913582115610121186',10592,'266',51.04,1,3,NULL),(15,2300800,'1986-10-19 00:00:00',4,1,11,2004,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124241241212112411457613575114223067052',NULL,'737',0.00,1,3,NULL),(15,2300818,'1989-02-21 00:00:00',2,9,12,2006,'F','N','CENTRO','SAO JOAQUIM','SC','124241241115471411336611571124610137097',NULL,'719',0.00,1,3,NULL),(15,2300826,'1991-06-19 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111731578813436112610127092',NULL,'270',46.59,1,3,NULL),(15,2300842,'1990-06-22 00:00:00',4,2,12,2007,'M','N','CENTRO','POMERODE','SC','124242241215121731469814575121610127012',6655,'624',57.80,1,3,NULL),(15,2300850,'1989-10-19 00:00:00',4,1,6,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244281415371731467831575125610133146',1652,'9998',70.60,1,3,NULL),(15,2300869,'1990-01-19 00:00:00',4,8,11,2007,'M','N','VILA LENZI','JARAGUA DO SUL','SC','124242241217111431469632325122610114052',17989,'422',40.33,1,3,NULL),(15,2300877,'1989-04-01 00:00:00',4,8,12,2007,'M','N','CENTENARIO','SAO BENTO DO SUL','SC','124241241136412741366613595125613218112',NULL,'9999',23.79,2,1,1),(15,2300885,'1990-11-09 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241115131232327723572114610117047',20215,'289',36.39,1,3,NULL),(15,2300893,'1987-04-10 00:00:00',2,1,12,2004,'F','N','KOBRASOL','SAO JOSE','SC','124251241136272431123444244324610164027',17771,'732',40.71,4,1,1),(15,2300907,'1990-07-09 00:00:00',4,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241147161431456623572124610127047',22058,'290',32.06,1,2,1),(15,2300915,'1969-10-27 00:00:00',2,1,12,1997,'F','N','TAPERA','FLORIANOPOLIS','SC','224241247122172521656651331134610144091',NULL,'267',0.00,4,1,1),(15,2300923,'1990-03-15 00:00:00',2,9,11,2007,'M','N','MARTORANO','SAO JOAQUIM','SC','124242241216111211458613575122610147057',NULL,'1035',26.88,1,3,NULL),(15,2300931,'1970-05-27 00:00:00',2,1,12,1988,'M','N','PANTANAL','FLORIANOPOLIS','SC','224241207622152411473643332133142347097',NULL,'9999',37.22,1,3,NULL),(15,2300940,'1990-10-21 01:00:00',4,1,12,2007,'M','N','CANOVA','GIRUA','RS','120201208217151431338933575125610124187',10740,'9998',50.82,1,3,NULL),(15,2300958,'1990-05-29 00:00:00',2,1,12,2007,'F','N','FAZENDA SANTO ANTÕNI','SAO JOSE','SC','124241241215111431536611572114610137142',17732,'1022',40.75,1,3,NULL),(15,2300966,'1990-06-21 00:00:00',4,8,12,2007,'F','N','PETRÓPOLIA','JOINVILLE','SC','124241241216141431336514395124610163016',NULL,'1105',23.04,1,3,NULL),(15,2300974,'1991-05-01 00:00:00',2,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241215151411336911592122610138197',16714,'499',42.31,1,3,NULL),(15,2300982,'1989-10-04 00:00:00',4,1,12,2007,'M','N','ASA SUL','BRASILIA','DF','107073071137471431459919275124610132017',15254,'9998',44.47,4,3,NULL),(15,2300990,'1990-11-27 00:00:00',2,7,12,2007,'M','N','CENTRO','LACERDOPOLIS','SC','124241241125141431536814242321610124177',14636,'496',45.23,1,2,1),(15,2301016,'1990-06-06 00:00:00',2,6,11,2004,'M','N','FAZENDA','ITAJAI','SC','124243248317111731526531393121610117187',NULL,'398',28.71,1,3,NULL),(15,2301024,'1989-09-16 00:00:00',4,1,11,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124122121214112432369924585124221167126',3427,'9998',64.93,1,3,NULL),(15,2301032,'1991-05-18 00:00:00',4,1,11,2008,'F','S','STO ANTONIO LISBOA','FLORIANOPOLIS','SC','124242241217111431538832475124610125112',NULL,'270',44.50,1,3,NULL),(15,2301067,'1986-12-12 00:00:00',4,1,12,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244241212134411459814575134122667091',737,'270',75.12,1,3,NULL),(15,2301075,'1990-01-17 00:00:00',4,1,12,2007,'M','N','CENTRO','TIJUCAS','SC','124242241215111431449713577212610164027',8805,'948',54.00,1,3,NULL),(15,2301083,'1992-01-08 00:00:00',4,1,12,2008,'M','S','CARIANOS','FLORIANOPOLIS','SC','124241241117151431569933575122610144015',NULL,'267',39.73,1,3,NULL),(15,2301091,'1990-08-19 00:00:00',4,10,11,2007,'F','N','VILA MOEMA','TUBARAO','SC','124241241215131431436414372122610131017',14338,'806',45.67,1,3,NULL),(15,2301113,'1991-11-04 00:00:00',2,1,12,2008,'F','S','VILLAGE','IMBITUBA','SC','124241248415111751336623475124610154182',NULL,'9997',38.61,1,3,NULL),(15,2301121,'1986-12-27 00:00:00',4,1,7,2004,'M','N','JARDIM LARANJEIRAS','PALHOCA','SC','124241241117151731636613442332610132147',NULL,'591',0.00,1,3,NULL),(15,2301130,'1991-05-01 00:00:00',2,1,11,2008,'F','S','BELA VISTA','PALHOCA','SC','124241241217111731443434572124610132142',NULL,'262',37.78,1,3,NULL),(15,2301148,'1986-02-19 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124201201116371431345519445124140442051',21695,'9998',33.28,1,2,1),(15,2301156,'1986-06-05 00:00:00',2,8,12,2004,'M','N','JARDIM NACIONAL','MARILIA','SP','125251257137141441433814291221141045177',14424,'9998',45.55,1,2,1),(15,2301172,'1991-06-04 00:00:00',4,1,12,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124241241215111412446414475124610167042',NULL,'1098',54.87,1,3,NULL),(15,2301180,'1991-03-29 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241217151451469813571124610165053',NULL,'270',56.46,1,3,NULL),(15,2301202,'1989-05-03 00:00:00',2,1,12,2007,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215111431554612475124610127052',14797,'270',45.01,1,3,NULL),(15,2301229,'1990-08-10 00:00:00',2,1,12,2007,'M','N','PETRÓPOLIS','NOVO HAMBURGO','RS','120202201217171431477832572122610167116',NULL,'9998',0.00,1,3,NULL),(15,2301237,'1990-01-11 00:00:00',4,8,12,2007,'F','N','UBERABA','CURITIBA','PR','116162161216111451686812572122610167076',2836,'9998',66.64,1,3,NULL),(15,2301245,'1987-04-11 00:00:00',4,4,12,2003,'M','N','CENTRO','PLANALTO','RS','120201201115571441346933244124610144182',4837,'9998',61.44,1,2,1),(15,2301253,'1990-08-02 00:00:00',4,6,12,2007,'M','N','FAZENDA','ITAJAI','SC','124242241412111311467613335122610164057',NULL,'834',0.00,1,3,NULL),(15,2301261,'1990-02-19 00:00:00',4,9,11,2007,'M','N','CENTRO','LAGES','SC','124244241215111331456712492122610117042',13979,'497',46.19,1,3,NULL),(15,2301270,'1989-08-03 00:00:00',2,1,6,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124201208117131731523369441324610127052',19562,'9998',37.71,1,2,1),(15,2301288,'1990-08-08 00:00:00',2,5,11,2007,'M','N','CENTRO','ARARANGUA','SC','124242241215111431346839572124610167042',11598,'32',49.56,1,3,NULL),(15,2301296,'1987-03-31 00:00:00',4,1,12,2004,'M','N','CITY BUSSOCABA','OSASCO','SP','125252251217212711468833572224141264042',12646,'9998',48.08,1,3,NULL),(15,2301300,'1990-07-09 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215121411434334195112610134145',16860,'943',42.06,1,3,NULL),(15,2301318,'1987-05-08 00:00:00',2,1,12,2005,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241212132411355633442124130232125',10571,'270',51.07,1,3,NULL),(15,2301326,'1988-08-28 00:00:00',4,4,12,2005,'M','N','CENTRO','SEARA','SC','124241241132151331335311485124231124012',NULL,'763',36.40,1,3,NULL),(15,2301334,'1970-01-09 00:00:00',2,1,8,1991,'F','N','INGLESES','FLORIANOPOLIS','SC','224201208124271751352249492322341351097',15477,'9999',44.16,1,2,1),(15,2301342,'1986-10-12 00:00:00',4,8,12,2004,'M','N','IMIRIM','SAO PAULO','SP','125252251116571411478812575124610168047',NULL,'9998',0.00,1,3,NULL),(15,2301350,'1991-06-05 00:00:00',4,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241217121451545532574124610168132',NULL,'270',38.22,1,3,NULL),(15,2301369,'1989-06-16 00:00:00',4,1,12,2007,'M','N','BREHMMER','RIO DO SUL','SC','124244246412131411454613372124610164012',20924,'1013',35.02,1,3,NULL),(15,2301377,'1989-12-14 00:00:00',4,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124242241215111431436612572222610133146',NULL,'1075',13.79,1,3,NULL),(15,2301385,'1987-10-07 00:00:00',2,1,12,2005,'F','N','ROÇADO','SAO JOSE','SC','124162161212271431436711272214610127057',8210,'9998',54.99,1,3,NULL),(15,2301393,'1990-03-19 00:00:00',4,1,12,2007,'F','N','SÃO JOSÉ','SOMBRIO','SC','124241241146131432223327242321610134077',19590,'1033',37.63,1,3,NULL),(15,2301407,'1989-08-12 00:00:00',2,1,12,2007,'F','N','AREIAS DO CAMPECHE','FLORIANOPOLIS','SC','124241241117131232446614582314610164197',18868,'295',38.90,1,2,1),(15,2301415,'1990-09-27 00:00:00',2,1,12,2007,'M','N','CASTELO BRANCO','ITAPEMA','SC','124242241216111411346932585122610165152',NULL,'407',0.00,1,3,NULL),(15,2301423,'1990-07-02 00:00:00',2,8,12,2007,'F','N','CENTRO','BARRA VELHA','SC','124241241217111431444914572122610127072',12159,'459',48.78,1,3,NULL),(15,2301431,'1984-09-01 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241236112451358822395132130266047',NULL,'988',0.00,1,3,NULL),(15,2301458,'1990-03-03 00:00:00',2,1,11,2007,'M','N','BUDAG','RIO DO SUL','SC','124242241216131731456614582312610128057',20919,'663',35.05,1,3,NULL),(15,2301466,'1981-08-29 00:00:00',2,1,12,1999,'F','N','INGLESES','FLORIANOPOLIS','SC','124203051434133422343744245334610124097',17109,'9998',41.72,1,3,NULL),(15,2301474,'1989-04-11 00:00:00',2,7,12,2006,'F','N','VILA RICA','HERVAL D OESTE','SC','124241241114271241526613141124610135147',NULL,'341',25.73,1,2,1),(15,2301482,'1987-07-15 00:00:00',2,5,11,2004,'M','N','CENTRO','CRICIUMA','SC','124241248137141751536621342124610148182',NULL,'209',24.35,2,1,1),(15,2301490,'1991-07-01 00:00:00',4,1,12,2008,'F','S','KOBRASOL','SAO JOSE','SC','124242241215111431487812122122610112142',NULL,'270',53.23,1,3,NULL),(15,2301504,'1990-03-23 00:00:00',2,1,12,2007,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124241241115131431535411292114610127057',NULL,'307',24.43,1,2,1),(15,2301512,'1988-06-07 00:00:00',4,1,12,2007,'M','N','IPIRANGA','SAO JOSE','SC','124241247147132441528767411224610164172',11442,'9999',49.79,1,2,1),(15,2301520,'1984-07-28 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241435374421546663115124120214042',16103,'9999',43.22,1,3,NULL),(15,2301539,'1977-06-09 00:00:00',2,6,12,1994,'F','N','VISTA ALEGRE','CURITIBA','PR','216212215136142751246643431122341368092',NULL,'9998',0.00,1,3,NULL),(15,2301547,'1984-03-04 00:00:00',2,1,3,2003,'M','N','SANTO ANDRÉ','SAO LEOPOLDO','RS','120241208147132741436614396324141965057',15873,'9998',43.57,1,2,1),(15,2301555,'1986-08-12 00:00:00',2,3,12,2002,'F','N','ANDORINHA','ITAPEMA','SC','124241244116131431413311342334610116077',20903,'616',35.08,1,2,1),(15,2301563,'1990-11-30 00:00:00',2,3,11,2007,'M','N','CENTRO','SANANDUVA','RS','120203201417121431258723195124610137112',20229,'9998',36.36,1,3,NULL),(15,2301571,'1987-10-06 00:00:00',4,1,11,2005,'F','N','SANTANA','SAO PAULO','SP','125252251216571731468814575114610167047',NULL,'9998',32.04,1,3,NULL),(15,2301580,'1968-10-08 00:00:00',2,1,12,1990,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241247122133431153343435122131932187',NULL,'9999',0.00,1,3,NULL),(15,2301598,'1990-08-09 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241217111432436911592125610162072',12396,'995',48.43,1,3,NULL),(15,2301601,'1987-01-05 00:00:00',4,1,12,2007,'M','N','JARDIM PRIMAVERA','PATO BRANCO','PR','116161167117371421439912245132610142142',10711,'9999',50.86,1,2,1),(15,2301628,'1990-03-28 00:00:00',4,1,12,2006,'M','N','ITACORUBÍ','FLORIANOPOLIS','SC','124242241215372731468913232112230264187',12210,'883',48.71,1,3,NULL),(15,2301636,'1990-08-19 00:00:00',4,1,11,2007,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124244241127161431548711572124610167047',20227,'283',36.36,1,3,NULL),(15,2301644,'1986-02-10 00:00:00',2,1,12,2005,'F','N','PASSO DAREIA','PORTO ALEGRE','RS','120204201417572451467923576124610167187',17866,'9998',40.57,1,3,NULL),(15,2301652,'1990-10-26 00:00:00',2,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','125203251116371431529714592124610167142',12915,'9998',47.70,1,3,NULL),(15,2301660,'1989-04-20 00:00:00',2,5,11,2007,'F','N','MINA DO MATO','CRICIUMA','SC','124241241215111731526634571125610127077',NULL,'995',18.27,1,3,NULL),(15,2301679,'1985-11-02 01:00:00',2,1,12,2003,'F','N','RIO CAVEIRAS','BIGUACU','SC','124241241117535421227544245124610132142',16626,'257',42.42,1,2,1),(15,2301687,'1990-10-03 00:00:00',2,8,12,2007,'M','N','OURO VERDE','CAMPO LARGO','PR','116162161217111731438411395122610167097',13398,'9998',47.04,1,3,NULL),(15,2301695,'1990-09-19 00:00:00',4,4,12,2007,'M','N','CRISTO REI','CHAPECO','SC','124241241114131431328923575124610116177',22235,'178',31.35,2,2,1),(15,2301709,'1990-10-18 00:00:00',4,4,12,2007,'F','N','INTERIOR','AGUAS FRIAS','SC','124241241125161431436923592224610127051',21711,'11',33.24,1,2,1),(15,2301717,'1988-05-28 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241145413431434334244124610125072',NULL,'922',21.06,1,2,1),(15,2301725,'1990-03-15 00:00:00',2,1,12,2007,'F','N','CRISTAL','VACARIA','RS','120201208317131751538315576125610135097',NULL,'9998',28.08,1,3,NULL),(15,2301733,'1983-12-15 00:00:00',4,1,12,2001,'M','N','VILA SÃO GERALDO','SAO PAULO','SP','125252251217571431446823481124141162097',2776,'9998',66.81,1,3,NULL),(15,2301741,'1991-03-22 00:00:00',2,3,12,2007,'M','N','NAÇOES','BALNEARIO CAMBORIU','SC','124243241415111431636633575121610114187',NULL,'967',32.05,1,3,NULL),(15,2301750,'1987-06-22 00:00:00',2,1,12,2004,'M','N','AREIAS','SAO JOSE','SC','124241241227133431422849295121233218112',21843,'262',32.82,1,3,NULL),(15,2301768,'1989-12-29 00:00:00',4,5,11,2007,'M','N','NOVA ITALIA','URUSSANGA','SC','124244241235111431436924572222610127142',5822,'820',59.43,1,3,NULL),(15,2301776,'1990-03-21 00:00:00',2,4,12,2007,'M','N','CENTRO','ABELARDO LUZ','SC','124241241231111431359913575124610134052',19553,'836',37.72,1,3,NULL),(15,2301784,'1990-11-30 00:00:00',4,1,11,2008,'F','S','CAMPECHE','FLORIANOPOLIS','SC','124242241115111431366733576122610168185',NULL,'270',32.25,1,3,NULL),(15,2301792,'1984-12-28 00:00:00',4,1,3,2004,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124243241116173411555611415124231464091',14262,'306',45.78,1,3,NULL),(15,2301814,'1985-11-27 00:00:00',2,1,11,2003,'M','N','FLOR DO SOL','SAO JOSE','SC','124242241215575431566612575112131217042',7357,'270',56.51,1,3,NULL),(15,2301822,'1990-06-02 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124243241115131431356513275124610142096',19874,'267',37.07,1,3,NULL),(15,2301830,'1990-05-20 00:00:00',4,1,12,2006,'M','N','INDEPENDÊNCIA','PORTO ALEGRE','RS','120202201217371752248623375114610164047',7117,'9998',56.94,1,3,NULL),(15,2301849,'1989-08-29 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241212372431636614575114610167047',16667,'1036',42.36,1,3,NULL),(15,2301865,'1962-10-12 00:00:00',4,1,6,1981,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','224074076216373441658842425122222312041',11758,'9998',49.32,2,1,2),(15,2301873,'1988-10-31 00:00:00',2,10,11,2006,'M','N','MAR GROSSO','LAGUNA','SC','124244241415112431246427572122130837062',12935,'807',47.67,1,3,NULL),(15,2301903,'1990-03-06 00:00:00',2,1,12,2007,'M','N','CENTRO','SORRISO','MT','111112111216121431323316175121610154052',NULL,'9998',23.33,1,3,NULL),(15,2301920,'1989-09-29 00:00:00',2,1,12,2006,'M','N','NSA SRA DA SAUDE','CAXIAS DO SUL','RS','120202201215471431467933391122610127047',9452,'9998',52.86,1,3,NULL),(15,2301938,'1986-12-09 00:00:00',2,3,12,2004,'F','N','ANDORINHA','ITAPEMA','SC','124241244112132411513828342321610116177',17690,'405',40.81,1,2,1),(15,2301946,'1989-08-23 00:00:00',4,5,12,2006,'F','N','CRUZEIRO DO SUL','CRICIUMA','SC','124242241212152731459934592122232464147',NULL,'213',0.00,1,3,NULL),(15,2301954,'1990-06-28 00:00:00',4,1,12,2007,'F','N','CENTRO','VIDAL RAMOS','SC','124243241315121731248627472214610164082',21714,'1022',33.23,5,3,NULL),(15,2301962,'1990-11-21 00:00:00',4,8,12,2008,'M','S','BOM RETIRO','JOINVILLE','SC','124242241215111732359832572124610127012',NULL,'491',47.85,1,3,NULL),(15,2301970,'1988-05-29 00:00:00',4,3,12,2006,'M','N','DAS NAÇOES','BALNEARIO CAMBORIU','SC','124241241126131431543351112322610124032',NULL,'49',0.00,1,3,NULL),(15,2301989,'1988-12-04 00:00:00',2,1,11,2006,'F','N','BELA VISTA TRÊS','SAO JOSE','SC','124242241216132731368413595114610164057',16516,'1118',42.56,1,3,NULL),(15,2301997,'1989-06-08 00:00:00',2,1,11,2006,'F','N','SANTA CANDIDA','CURITIBA','PR','116162165216371431658934395124610125097',16855,'9998',42.07,1,3,NULL),(15,2302004,'1990-02-20 00:00:00',2,1,12,2007,'F','N','JEQUITIBA','ARACRUZ','ES','108082081216111411458811572124610126192',NULL,'9998',0.00,1,3,NULL),(15,2302012,'1989-07-03 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124242241215151111343331275112610114142',16869,'1049',42.05,1,3,NULL),(15,2302020,'1989-09-16 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215371431456813312124610141187',NULL,'9997',0.00,5,3,NULL),(15,2302039,'1989-07-10 00:00:00',4,1,12,2006,'F','N','GUIOMAR','ANTONIO CARLOS','SC','124241241317142431434531345124232823147',12116,'270',48.84,1,3,NULL),(15,2302047,'1990-05-13 00:00:00',4,8,11,2007,'M','N','AMIZADE','JARAGUA DO SUL','SC','124243246212141441468914172121610162052',11775,'494',49.29,1,3,NULL),(15,2302055,'1987-04-24 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124254251216113431547832285114221417093',3626,'9998',64.41,1,3,NULL),(15,2302063,'1990-11-07 00:00:00',4,1,12,2008,'F','S','SANTINHO','FLORIANOPOLIS','SC','124243241215111431535332392124610127012',NULL,'1022',27.60,1,3,NULL),(15,2302071,'1990-10-26 00:00:00',2,1,12,2008,'M','S','TRINDADE','FLORIANOPOLIS','SC','124242241112151231547613592124610167017',NULL,'306',32.50,1,3,NULL),(15,2302080,'1988-08-06 00:00:00',2,1,12,2005,'M','N','CENTRO','RIO CLARO','SP','125252251216271132536732245122610117054',17031,'9998',41.83,1,3,NULL),(15,2302098,'1990-02-13 00:00:00',2,10,11,2007,'M','N','EVOLUCAO','SAO LUDGERO','SC','124242241215152431459939572114610167052',11420,'807',49.81,1,3,NULL),(15,2302101,'1988-12-11 00:00:00',4,10,11,2006,'F','N','SÃO MARTINHO','TUBARAO','SC','124242241215471431558934575112610115097',13602,'806',46.74,1,3,NULL),(15,2302110,'1988-04-13 00:00:00',4,1,5,2006,'M','N','CENTRO','VICOSA','MG','113132281316271711479933375125610162092',11591,'9998',49.57,5,3,NULL),(15,2302128,'1990-07-07 00:00:00',4,2,12,2007,'M','N','MARGEM ESQUERDA','GASPAR','SC','124242241215132231224839292124610167067',14919,'955',44.89,4,3,NULL),(15,2302136,'1988-06-16 00:00:00',2,1,12,2005,'F','N','LAGOA DA CONCEICAO','FLORIANOPOLIS','SC','124242241212273431546632341134133224187',2132,'270',68.88,1,3,NULL),(15,2302144,'1991-05-11 00:00:00',2,5,11,2007,'F','N','PIO CORREIA','CRICIUMA','SC','124242241215111731357724575122610122077',NULL,'213',33.29,1,3,NULL),(15,2302160,'1988-03-18 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217373441467634572114132036043',9861,'273',52.16,1,3,NULL),(15,2302187,'1984-12-30 00:00:00',2,1,12,2003,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124281288146241131335641412124142464187',14688,'9998',45.16,4,2,1),(15,2302195,'1982-10-02 00:00:00',4,1,7,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242246115145721148923445124220734192',4421,'306',62.44,1,3,NULL),(15,2302217,'1990-05-09 00:00:00',4,8,12,2007,'M','N','NEREU RAMOS','JARAGUA DO SUL','SC','124242241215151431458714275124610124177',6575,'424',57.94,1,3,NULL),(15,2302225,'1989-10-17 00:00:00',4,1,12,2006,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241215372431468712575124232464127',1995,'270',69.30,1,3,NULL),(15,2302233,'1983-01-23 00:00:00',2,1,12,2001,'M','N','SERRINHA','FLORIANOPOLIS','SC','124253251436575431327827395124610134092',15270,'9998',44.45,1,3,NULL),(15,2302250,'1990-10-06 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124243241215122421548834575112610144072',18363,'983',39.70,1,3,NULL),(15,2302268,'1989-12-12 00:00:00',4,1,12,2007,'M','N','HIGIENÓPOLIS','BAURU','SP','125252251217471741438812572113610167092',11584,'9998',49.58,1,3,NULL),(15,2302276,'1990-02-26 00:00:00',4,8,12,2007,'M','N','VILA OPERÁRIA','MARINGA','PR','116162161217151431458832472112610122052',10422,'9998',51.32,1,3,NULL),(15,2302284,'1985-08-29 00:00:00',2,1,7,2003,'M','N','CAMPINAS','SAO JOSE','SC','124242247312231731227764315122233227047',NULL,'964',0.00,1,3,NULL),(15,2302292,'1988-11-16 00:00:00',2,9,12,2005,'F','N','VARGEM PRIMEIRA','TAIO','SC','124241241126313431326515375224610114147',13947,'905',46.23,1,2,1),(15,2302306,'1988-11-17 00:00:00',4,7,12,2006,'M','N','VILA PAULO','CRUZEIRO','SP','125254256111472311548834311124610143027',860,'9998',74.31,1,3,NULL),(15,2302314,'1977-09-18 00:00:00',2,1,12,1997,'F','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','224161163117133441233359151124610163187',14301,'9998',45.73,1,2,1),(15,2302322,'1989-06-20 00:00:00',4,4,12,2006,'M','N','SALGADO FILHO','ARACAJU','SE','126262261216471431358912575124241434187',4927,'9998',61.24,4,3,NULL),(15,2302330,'1989-03-03 00:00:00',4,1,11,2006,'F','N','JARDIM EUROPA','CUIABA','MT','111112111215471431466832574122610162097',NULL,'9998',0.00,1,3,NULL),(15,2302349,'1990-10-14 00:00:00',4,1,12,2007,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124241241415131431436632572114610137146',17131,'269',41.67,1,3,NULL),(15,2302357,'1993-02-13 00:00:00',4,1,12,2010,'M','S','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124243241215111412658511272322610117045',NULL,'1022',33.53,1,3,NULL),(15,2302365,'1989-04-14 00:00:00',2,5,11,2006,'F','N','PIO CORRÊA','CRICIUMA','SC','124242241215373431445612475112610137187',12886,'211',47.74,1,3,NULL),(15,2302373,'1990-02-24 00:00:00',2,6,12,2007,'M','N','CENTRO','NAVEGANTES','SC','124241241217111731326839572324610117142',NULL,'392',0.00,1,3,NULL),(15,2302381,'1991-09-08 00:00:00',4,2,11,2008,'F','S','JARDIM BLUMENAU','BLUMENAU','SC','124242241215171412366832572122610163187',NULL,'909',57.06,1,3,NULL),(15,2302403,'1990-06-04 00:00:00',4,4,12,2007,'F','N','DIVINO','PALMAS','PR','116161161316111731469611412122610168147',21433,'9998',33.89,1,3,NULL),(15,2302420,'1990-04-06 00:00:00',4,2,12,2007,'M','N','JARDIM DAS NAÇÕES','TAUBATE','SP','125252251235131431577869592121610167187',NULL,'9998',0.00,1,3,NULL),(15,2302446,'1990-11-23 00:00:00',4,9,12,2007,'M','N','CRISTAL','VACARIA','RS','120201201116151231248624572125610167172',18496,'9998',39.49,1,2,1),(15,2302462,'1986-05-29 00:00:00',4,4,12,2003,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124161161212151431346912275122141427047',NULL,'9998',0.00,4,3,NULL),(15,2302470,'1988-05-10 00:00:00',2,1,12,2005,'F','N','ALTO DA BOA VISTA','AVARE','SP','125254251217511431336432575122610121142',NULL,'9998',0.00,1,3,NULL),(15,2302489,'1990-02-21 00:00:00',4,2,12,2007,'M','N','VELHA','BLUMENAU','SC','124241243215151331569513275122610124195',12332,'1018',48.53,1,3,NULL),(15,2302500,'1991-10-12 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431367924572122610137112',14526,'1022',45.37,1,3,NULL),(15,2302519,'1989-04-07 00:00:00',2,1,12,2007,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241248117111251448923272341610154142',NULL,'288',21.43,1,3,NULL),(15,2302527,'1965-04-18 00:00:00',4,1,12,1982,'M','N','TRINDADE','FLORIANOPOLIS','SC','624241241136134431336329232234120244147',NULL,'307',0.00,1,3,NULL),(15,2302535,'1989-04-10 00:00:00',2,8,12,2006,'F','N','CENTRO','JOINVILLE','SC','124122247215371431369921575125610121127',8430,'461',54.64,1,3,NULL),(15,2302543,'1991-04-05 00:00:00',4,1,12,2007,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124242242215111551568833595124610127057',NULL,'270',32.12,1,3,NULL),(15,2302551,'1987-07-01 00:00:00',4,1,12,2004,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217133411465511345124232722147',15924,'884',43.51,1,3,NULL),(15,2302560,'1990-06-09 00:00:00',4,1,11,2007,'M','N','DALBERGIA','IBIRAMA','SC','124244246435161431445632175124610122052',20207,'1013',36.40,1,3,NULL),(15,2302578,'1991-01-10 00:00:00',2,7,12,2007,'M','N','CENTRO','IPUMIRIM','SC','124241242115131431436612322224610162017',15934,'196',43.49,1,2,1),(15,2302594,'1991-06-18 00:00:00',4,1,11,2008,'F','S','INGLESES','FLORIANOPOLIS','SC','124242241215171751348733572124610113182',NULL,'270',40.37,1,3,NULL),(15,2302608,'1988-05-26 00:00:00',2,1,2,2006,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124244241435373411348913445134132828117',19981,'266',36.87,4,3,NULL),(15,2302616,'1989-12-12 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124243241215473731436739585114610168187',21164,'1036',34.51,1,3,NULL),(15,2302624,'1989-10-20 00:00:00',4,8,12,2006,'F','N','GLÓRIA','JOINVILLE','SC','124252241215271431359931572112610147072',NULL,'491',0.00,3,3,NULL),(15,2302632,'1988-03-29 00:00:00',2,1,12,2005,'M','N','SERRARIA','SAO JOSE','SC','124241241127142431433431346114610115192',NULL,'295',26.99,1,2,1),(15,2302640,'1990-05-04 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431469913575122610117045',2912,'270',66.41,1,3,NULL),(15,2302659,'1990-08-01 00:00:00',2,4,12,2007,'F','N','CENTRO','NOVA SANTA ROSA','PR','116161161137141431523436342321610164147',NULL,'9998',0.00,1,3,NULL),(15,2302667,'1990-06-30 00:00:00',4,1,12,2007,'M','N','VILA ORESTES','ASSIS','SP','125251251117161731423834575121610113052',NULL,'9998',0.00,1,3,NULL),(15,2302675,'1990-03-24 00:00:00',4,8,12,2007,'F','N','JARDIM DA PENHA','VITORIA','ES','108082081212111411458811572124610126192',7905,'9998',55.51,1,3,NULL),(15,2302683,'1984-06-26 00:00:00',2,1,12,2001,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124202201213131431226944343321241066152',14378,'9998',45.60,1,3,NULL),(15,2302691,'1990-11-03 00:00:00',4,1,11,2008,'M','S','SANTO ANTÔNIO','FLORIANOPOLIS','SC','124242248215111732568833572112610117042',NULL,'270',48.53,1,3,NULL),(15,2302705,'1958-03-09 00:00:00',2,1,12,1975,'F','N','AREIAS','SAO JOSE','SC','124241241111152711132249292222321116181',15724,'9997',43.78,1,3,NULL),(15,2302713,'1991-07-18 00:00:00',2,1,11,2008,'F','S','AGRONÔMICA','FLORIANOPOLIS','SC','124242241216111431478821575122610131182',NULL,'262',53.91,1,3,NULL),(15,2302721,'1991-08-18 00:00:00',4,6,12,2008,'M','S','FAZENDA','ITAJAI','SC','124242241212151431349934272121610127097',NULL,'389',47.07,1,3,NULL),(15,2302756,'1989-06-25 00:00:00',4,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124243241216272431448413345124610123187',NULL,'1076',23.51,1,3,NULL),(15,2302772,'1990-07-10 00:00:00',4,2,12,2007,'F','N','VILA GOMES CARDIM','SAO PAULO','SP','125254251436111731568831572124610145197',18042,'9998',40.24,4,3,NULL),(15,2302780,'1964-12-22 00:00:00',4,1,12,1985,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','224202203126131721462252282114230263187',NULL,'9998',19.16,2,1,2),(15,2302799,'1990-05-17 00:00:00',4,9,12,2007,'F','N','CRISTO REI','CURITIBA','PR','116162161215111431246913595124610162057',NULL,'9998',0.00,1,3,NULL),(15,2302802,'1986-08-16 00:00:00',2,1,12,2004,'M','N','CARIANOS','FLORIANOPOLIS','SC','124161161117153421538611271124133212097',12018,'9998',48.97,1,3,NULL),(15,2302810,'1990-01-26 00:00:00',2,3,12,2008,'M','S','CENTRO','PALOTINA','PR','116161161216111431453612245121610127052',NULL,'9998',36.48,1,3,NULL),(15,2302829,'1991-09-21 00:00:00',3,1,12,2008,'F','S','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124244241217111431469973432114610162091',NULL,'270',55.57,4,3,NULL),(15,2302837,'1990-12-17 00:00:00',4,1,11,2007,'F','N','ITACURUBI','FLORIANOPOLIS','SC','124243241215111431459813575124610166142',17091,'269',41.74,1,3,NULL),(15,2302853,'1982-04-04 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241346535611246873225124233262187',11199,'292',50.17,1,3,NULL),(15,2302861,'1990-11-01 00:00:00',4,1,12,2007,'M','N','SERRARIA','SAO JOSE','SC','124241241112131431236923332324613037057',18647,'65',39.24,1,2,1),(15,2302870,'1991-06-24 00:00:00',4,1,11,2008,'F','S','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215111411458832572114610165142',NULL,'270',53.95,1,3,NULL),(15,2302888,'1989-05-03 00:00:00',4,1,12,2007,'M','N','SANTINHO','FLORIANOPOLIS','SC','124241241117131411547823386124610127047',11303,'306',50.01,1,2,1),(15,2302896,'1991-12-27 00:00:00',2,1,11,2008,'F','S','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124243241417111431566613575122610122112',NULL,'262',32.81,1,3,NULL),(15,2302900,'1990-03-06 00:00:00',4,9,11,2007,'F','N','SAGRADO CORAÇÃO','LAGES','SC','124241241116131421413715272224610124147',17223,'505',41.54,1,2,1),(15,2302918,'1990-07-27 00:00:00',4,1,12,2008,'M','S','CAMPINAS','SAO JOSE','SC','124242241211171431138923595124610117042',NULL,'266',47.64,1,3,NULL),(15,2302926,'1990-09-27 00:00:00',4,6,12,2007,'M','N','SÃO JOÃO','ITAJAI','SC','124242241215111411328933575115610162112',10613,'392',51.01,1,3,NULL),(15,2302934,'1990-10-09 00:00:00',4,7,12,2007,'F','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124243241317111731456412595122610118142',21685,'962',33.30,1,3,NULL),(15,2302942,'1989-04-11 00:00:00',4,2,12,2006,'F','N','JARDIM AMERICA','RIO DO SUL','SC','124242241215151431489931572122610166012',NULL,'991',0.00,1,3,NULL),(15,2302950,'1989-09-27 00:00:00',2,1,3,2007,'M','N','JARDIM ELDORADO','PALHOCA','SC','124241241122141732534514242112610138197',NULL,'1009',0.00,1,2,1),(15,2302969,'1989-05-02 00:00:00',4,1,12,2007,'M','N','GUARANI','ANCHIETA','SC','124243241216211412536619572114610118142',NULL,'1022',24.00,4,3,NULL),(15,2302977,'1982-08-27 00:00:00',4,1,12,2000,'F','N','SERRARIA','SAO JOSE','SC','124111111124132732426648282314610126197',NULL,'9998',22.19,4,2,1),(15,2302985,'1990-12-15 00:00:00',4,5,12,2008,'F','S','SANTA BÁRBARA','CRICIUMA','SC','124242241211151411369934575122610167097',NULL,'210',41.91,4,3,NULL),(15,2303000,'1983-05-17 00:00:00',2,1,12,2002,'M','N','VILA IPE','CAXIAS DO SUL','RS','120201201121371421533324111124140822177',NULL,'9998',0.00,1,3,NULL),(15,2303019,'1990-01-18 00:00:00',4,1,11,2007,'M','N','JURERÊ','FLORIANOPOLIS','SC','124244241215111431558633575124610127057',11898,'1050',49.11,4,3,NULL),(15,2303027,'1984-06-25 00:00:00',4,1,12,2001,'F','N','CENTRO','PALHOCA','SC','124241241226133432633311342124222323062',16693,'262',42.33,1,3,NULL),(15,2303035,'1988-08-14 00:00:00',2,1,12,2006,'F','N','CENTRO','SAO JOAQUIM','SC','124242161215472431556913572122610166077',11624,'9998',49.51,1,3,NULL),(15,2303043,'1983-09-13 00:00:00',4,1,12,2000,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124161161126131421126644145113240827047',NULL,'9998',0.00,1,2,1),(15,2303051,'1988-01-13 00:00:00',2,1,12,2004,'F','N','CENTRO','SANTA MARIA','RS','120274201417572411238622572122141368097',19334,'9998',38.11,1,3,NULL),(15,2303060,'1988-06-07 00:00:00',2,4,12,2006,'F','N','FATIMA','ERECHIM','RS','120201201116471431333315571344610122142',NULL,'9998',24.92,1,3,NULL),(15,2303078,'1991-07-10 00:00:00',2,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124244248215111431457613375124610112012',13641,'1022',46.69,1,3,NULL),(15,2303086,'1991-03-23 00:00:00',4,1,12,2008,'F','S','AGRONÔMICA','FLORIANOPOLIS','SC','124242241415111751555419395122610167077',NULL,'269',33.24,1,3,NULL),(15,2303094,'1990-07-06 00:00:00',2,9,12,2007,'F','N','VARZEA','LAGES','SC','124242241215141532556714245112610127052',17936,'9997',40.42,1,3,NULL),(15,2303108,'1990-04-27 00:00:00',4,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','120201201216161531447934575124610137145',15920,'9998',43.51,1,3,NULL),(15,2303116,'1957-12-09 00:00:00',2,1,12,1978,'F','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','524161163126131722223344445124141121187',19546,'9998',37.73,4,3,NULL),(15,2303124,'1989-03-03 00:00:00',4,4,12,2007,'F','N','CENTRO','MAREMA','SC','124241241125131431523319292124610127057',NULL,'554',14.98,1,2,1),(15,2303132,'1990-02-21 00:00:00',4,4,12,2007,'F','N','CENTRO','MAREMA','SC','124241241125131431523919292344610127057',NULL,'554',22.71,1,2,1),(15,2303140,'1990-02-25 00:00:00',4,4,12,2007,'F','N','CENTRO','MAREMA','SC','124241241125131431424629292344610127057',NULL,'554',24.40,1,2,1),(15,2303159,'1984-11-09 00:00:00',4,5,11,2001,'M','N','JARDIM PLANALTO','PORTO ALEGRE','RS','120202201211121441257739471114141467057',6864,'9998',57.43,1,3,NULL),(15,2303167,'1991-07-08 00:00:00',4,1,12,2008,'F','S','ESTREITO','FLORIANOPOLIS','SC','124242241215111421338713595124610136092',NULL,'1022',39.73,1,3,NULL),(15,2303175,'1990-12-08 00:00:00',4,4,12,2007,'F','N','CENTRO','MAREMA','SC','124241241125131431524929292344610127057',NULL,'554',24.61,1,2,1),(15,2303191,'1990-01-24 00:00:00',4,9,11,2007,'M','N','CENTRO','LAGES','SC','124242248215111431649919395122610147017',NULL,'497',23.89,1,3,NULL),(15,2303205,'1991-02-03 00:00:00',2,10,11,2008,'F','S','DEHON','TUBARAO','SC','124162241212111431359811575122610128197',NULL,'797',51.24,1,3,NULL),(15,2303213,'1990-03-13 00:00:00',2,1,12,2007,'F','N','CENTRO','CANELINHA','SC','124243241217111711247722285124610111052',19897,'1119',37.01,1,3,NULL),(15,2303221,'1989-08-30 00:00:00',4,1,12,2006,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215372231356924571124143261072',9511,'1022',52.76,1,3,NULL),(15,2303230,'1971-05-05 00:00:00',2,1,12,1988,'M','N','COQUEIROS','FLORIANOPOLIS','SC','224243241332155421346644243132121167043',9097,'307',53.47,1,3,NULL),(15,2303248,'1987-04-10 00:00:00',4,1,12,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124243241212373432658813445134220714042',3988,'589',63.49,1,3,NULL),(15,2303256,'1987-05-01 00:00:00',4,1,11,2004,'F','N','VILA YARA','OSASCO','SP','125252251216571731457821571124610163182',616,'9998',75.92,1,3,NULL),(15,2303264,'1990-04-10 00:00:00',4,1,11,2007,'F','N','LARANJEIRAS','RIO DO SUL','SC','124244248215271431553319245125610137052',18346,'654',39.72,1,3,NULL),(15,2303272,'1989-07-28 00:00:00',1,1,12,2006,'M','N','JARDIM DO SALSO','PORTO ALEGRE','RS','120204201211471411578954591124610144047',NULL,'9998',0.00,1,3,NULL),(15,2303280,'1985-09-07 00:00:00',2,1,12,2003,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241112135431535633445124610122097',NULL,'307',0.00,1,2,1),(15,2303302,'1988-02-16 00:00:00',2,1,11,2005,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241241111132422425631492123221127165',6401,'307',58.25,1,2,1),(15,2303310,'1989-08-02 00:00:00',4,3,12,2007,'F','N','CENTRO','PALOTINA','PR','116161161416111431324522142121610122012',17586,'9998',40.96,1,3,NULL),(15,2303329,'1990-06-05 00:00:00',4,4,11,2007,'F','N','CENTRO','CHOPINZINHO','PR','116161161217211411648911575124610132017',11895,'9998',49.11,1,3,NULL),(15,2303337,'1990-01-28 00:00:00',2,9,12,2007,'F','N','PARQUE MADERIL','SAO JOAQUIM','SC','124241241125141432337624242222610114147',20889,'719',35.11,1,2,1),(15,2303345,'1990-03-08 00:00:00',2,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124243241315111431666632212112610127042',5303,'723',60.52,1,3,NULL),(15,2303361,'1989-07-31 00:00:00',4,1,12,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215473431438714575124610166091',8968,'270',53.71,1,3,NULL),(15,2303388,'1987-09-24 00:00:00',4,1,12,2005,'F','N','ALTO DA BOA VISTA','SAO PAULO','SP','125254251217573731448831585114610162197',9724,'9998',52.39,1,3,NULL),(15,2303396,'1987-04-24 00:00:00',4,5,12,2004,'F','N','SÃO CRISTOVÃO','CHAPECO','SC','124241241116374731126644445124132524147',5817,'169',59.44,1,3,NULL),(15,2303400,'1989-09-25 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217153731466933572122233244147',8421,'1022',54.66,1,3,NULL),(15,2303418,'1990-09-26 00:00:00',4,1,12,2007,'M','N','JARDIM UNIVERSAL','ARARAQUARA','SP','125252251215111431459834572122610134042',2992,'9998',66.18,1,3,NULL),(15,2303426,'1989-05-27 00:00:00',4,1,12,2007,'F','N','BELA VISTA','PORTO ALEGRE','RS','120202201217471431449931571124610165077',16334,'9998',42.84,1,3,NULL),(15,2303434,'1990-10-17 00:00:00',4,1,12,2007,'M','N','BARRACÃO','ALFREDO WAGNER','SC','124241248125161431227423292121610127097',NULL,'13',20.75,1,2,1),(15,2303442,'1987-02-12 00:00:00',4,1,4,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243247137142431447823385114131058184',17196,'9999',41.57,1,3,NULL),(15,2303450,'1985-07-31 00:00:00',4,1,12,2003,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241214142451568619491124231034037',12623,'272',48.11,1,3,NULL),(15,2303469,'1988-10-27 00:00:00',2,1,12,2005,'F','N','TIJUQUINHAS','BIGUACU','SC','124241241117131731433429391224232723187',NULL,'64',23.23,1,3,NULL),(15,2303477,'1986-12-26 00:00:00',4,1,12,2004,'M','N','MARAMBAIA','VINHEDO','SP','125252251217472431368831471112610114187',5235,'9998',60.65,1,3,NULL),(15,2303485,'1968-10-25 00:00:00',4,1,12,1987,'M','N','COQUEIROS','FLORIANOPOLIS','SC','224204206232131421265242425132141467091',11990,'9998',49.00,1,3,NULL),(15,2303493,'1988-01-23 00:00:00',4,1,6,2004,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124244241216142411445632245122233267182',17390,'9999',41.24,1,3,NULL),(15,2303507,'1989-03-08 00:00:00',2,1,12,2006,'M','N','RIO BRANCO','CANOAS','RS','120202201217471411358812575114610112123',13090,'9998',47.46,1,3,NULL),(15,2303515,'1990-02-10 00:00:00',2,1,11,2007,'F','N','BELA VISTA I','SAO JOSE','SC','124242241215121431468923575122610147027',NULL,'738',31.66,4,3,NULL),(15,2303523,'1987-07-24 00:00:00',2,1,7,2005,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124243246216342421453411445122221767062',NULL,'995',0.00,4,3,NULL),(15,2303531,'1991-07-23 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241212111331554712574124610117042',20241,'723',36.34,1,3,NULL),(15,2303540,'1988-12-12 00:00:00',4,4,12,2006,'F','N','SANTA MARIA','CHAPECO','SC','124241241115471431449934572124610127187',10447,'169',51.27,1,2,1),(15,2303558,'1987-03-30 00:00:00',4,1,12,2004,'M','N','MOOCA','SAO PAULO','SP','125252251217471431488834574112141067052',17598,'9998',40.94,1,3,NULL),(15,2303566,'1990-09-12 00:00:00',2,8,12,2007,'F','N','CENTRO','MASSARANDUBA','SC','124241241215111431437823575124610133142',9624,'441',52.55,1,3,NULL),(15,2303574,'1991-03-23 00:00:00',4,1,12,2008,'F','S','AGRONÔMICA','FLORIANOPOLIS','SC','124242241415111751546619495122610161077',NULL,'269',22.53,1,3,NULL),(15,2303582,'1969-11-08 00:00:00',4,1,12,1987,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','224201203126131751462242225124610162147',15741,'9998',43.76,2,1,1),(15,2303590,'1985-09-11 00:00:00',4,1,12,2002,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241216142411146843435124221035143',5869,'226',59.32,1,3,NULL),(15,2303604,'1990-03-02 00:00:00',4,1,12,2007,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','624241248215111731558414575122610117112',21799,'269',32.96,1,3,NULL),(15,2303612,'1990-10-09 00:00:00',4,10,12,2007,'M','N','MAR GROSSO','LAGUNA','SC','124242241215111431457833375122610126057',19434,'525',37.95,1,3,NULL),(15,2303620,'1990-02-13 00:00:00',4,8,11,2007,'F','N','BOA VISTA','CURITIBA','PR','116162161215111431456631391122610147072',NULL,'9998',0.00,1,3,NULL),(15,2303655,'1990-09-26 00:00:00',4,1,7,2008,'M','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241115151442469913575124610124092',NULL,'306',62.35,1,3,NULL),(15,2303663,'1987-11-06 00:00:00',4,8,12,2004,'M','N','LEBLON','PARANAGUA','PR','116162161217571431568814176112610164092',NULL,'9998',0.00,1,3,NULL),(15,2303671,'1990-09-27 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241217111432436811575124610143072',20996,'995',34.86,1,3,NULL),(15,2303680,'1987-01-07 00:00:00',4,8,12,2004,'F','N','CENTRO','CANOINHAS','SC','124244241411575411348614575324232616097',17047,'973',41.81,1,3,NULL),(15,2303698,'1990-03-17 00:00:00',4,4,12,2007,'M','N','INTERIOR','XAVANTINA','SC','124241242115131411426536592222610127057',19495,'196',37.84,1,3,NULL),(15,2303701,'1981-11-05 00:00:00',4,1,12,2001,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124243243117152411465833341122230228052',NULL,'306',0.00,1,3,NULL),(15,2303710,'1990-12-13 00:00:00',4,8,12,2008,'M','S','COSTA E SILVA','JOINVILLE','SC','124242241215111731569814576124610124142',NULL,'486',50.62,1,3,NULL),(15,2303728,'1990-09-26 00:00:00',4,1,11,2008,'F','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241215111721438831414124610116147',NULL,'270',45.35,1,3,NULL),(15,2303736,'1989-01-18 00:00:00',2,1,12,2007,'F','N','MORRO SANTANA','PORTO ALEGRE','RS','120202207217111231545631382324620131147',NULL,'9998',17.23,1,3,NULL),(15,2303744,'1989-11-07 00:00:00',2,1,11,2007,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','124242241215121411568911475124610128092',12245,'1022',48.66,1,3,NULL),(15,2303752,'1983-02-22 00:00:00',2,1,11,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243247641131411138344241332133257057',NULL,'9999',0.00,1,3,NULL),(15,2303760,'1990-08-23 00:00:00',2,1,12,2007,'F','N','AREIAS','TIJUCAS','SC','124242241215161431457714282122610136047',12007,'1119',48.97,1,3,NULL),(15,2303779,'1987-03-15 00:00:00',2,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241127131731524423382114610123147',20818,'279',35.25,1,3,NULL),(15,2303817,'1990-01-16 00:00:00',4,1,11,2007,'M','N','JARDIM CAIÇARA','SAO JOAQUIM','SC','124242241217131431245823395123610124077',12969,'1035',47.63,1,3,NULL),(15,2303825,'1989-12-03 00:00:00',4,8,11,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215121431579911572122610134112',NULL,'491',12.12,1,3,NULL),(15,2303833,'1989-09-08 00:00:00',4,1,11,2007,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124242242215111432336333572314610124182',NULL,'270',35.84,4,3,NULL),(15,2303850,'1988-05-25 00:00:00',2,2,12,2005,'F','N','MOURA','CANELINHA','SC','124241241445133441548933342134610134142',20667,'912',35.56,1,3,NULL),(15,2303868,'1985-07-01 00:00:00',2,1,12,2007,'M','N','AREIAS','SAO JOSE','SC','124241247327131431437834215124610168182',NULL,'9999',32.40,1,3,NULL),(15,2303876,'1988-04-21 00:00:00',4,8,12,2005,'M','N','AGUA VERDE','CURITIBA','PR','116162161216573411379814571112610167067',3033,'9998',66.03,1,3,NULL),(15,2303892,'1990-12-11 00:00:00',2,5,11,2007,'M','N','MINEIRA VELHA','CRICIUMA','SC','124243246215131431335923472124610126052',9201,'995',53.27,1,3,NULL),(15,2303906,'1989-12-16 00:00:00',4,7,11,2007,'F','N','CENTRO','JOACABA','SC','124242241211132431438933312122610132147',4030,'454',63.38,1,3,NULL),(15,2303914,'1990-12-14 00:00:00',4,1,12,2007,'M','N','CENTRO','PALHOCA','SC','124242241217111431369834575112610132182',7060,'1011',57.04,1,3,NULL),(15,2303922,'1990-12-22 00:00:00',4,1,12,2008,'M','S','CANASVIEIRAS','FLORIANOPOLIS','SC','124242241236111431248823575114610127187',NULL,'1022',30.65,1,3,NULL),(15,2303930,'1991-04-21 00:00:00',2,1,11,2008,'F','S','COQUEIROS','FLORIANOPOLIS','SC','124242241215111231438611576124610128147',NULL,'270',50.78,1,3,NULL),(15,2303949,'1989-10-13 00:00:00',4,1,12,2007,'M','N','CENTRO','TIJUCAS','SC','124244241216111431476612295125131424052',9058,'1119',53.56,1,3,NULL),(15,2303957,'1989-06-02 00:00:00',2,1,12,2007,'M','N','FELIPE SCHMIDT','CANOINHAS','SC','124241241122131431332923162314610128042',NULL,'147',20.57,1,2,1),(15,2303965,'1989-03-08 00:00:00',4,4,11,2006,'M','N','CIRO NARDI','CASCAVEL','PR','116162161215471411578913571112610165047',577,'9998',76.23,1,3,NULL),(15,2303973,'1988-10-13 00:00:00',4,8,6,2007,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242281217371231668614595124610127112',12769,'9998',47.90,1,3,NULL),(15,2303981,'1989-11-21 00:00:00',4,1,7,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241117372411468613594124230226185',2249,'306',68.42,1,3,NULL),(15,2303990,'1989-12-07 00:00:00',2,2,12,2007,'M','N','CENTRO','RIO DO SUL','SC','124242248217111711426812224124610116182',22332,'1013',30.81,1,3,NULL),(15,2304007,'1988-05-25 00:00:00',4,3,11,2005,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116162161215472441247924571114610125097',9366,'9998',53.02,1,3,NULL),(15,2304015,'1990-05-20 00:00:00',4,4,12,2007,'M','N','JAROSESKI','DESCANSO','SC','124241241111161431333629392121610137052',19505,'242',37.82,1,2,1),(15,2304023,'1990-09-22 00:00:00',2,9,12,2007,'F','N','CENTRO','ABDON BATISTA','SC','124241241125161431443923345122610127147',21221,'1',34.39,1,3,NULL),(15,2304031,'1989-09-14 00:00:00',4,1,12,2006,'F','N','CENTRO','SAO JOSE','SC','124243241316273731358931415124231223057',9758,'737',52.33,1,3,NULL),(15,2304040,'1981-11-27 00:00:00',2,1,12,1999,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124201201111145721468839234114121834187',8137,'9998',55.12,1,2,1),(15,2304058,'1991-10-28 00:00:00',4,4,11,2007,'M','N','APONIÃ','PORTO VELHO','RO','122154221217111431256823572114610144176',NULL,'9998',0.00,1,3,NULL),(15,2304066,'1990-11-17 00:00:00',2,4,12,2007,'F','N','INTERIOR','MARAVILHA','SC','124241241416151431463416575112610125142',18371,'1037',39.69,1,3,NULL),(15,2304074,'1990-02-12 00:00:00',4,1,11,2007,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124132241217111451367711576114610127093',5069,'270',60.96,1,3,NULL),(15,2304082,'1990-02-27 00:00:00',4,8,12,2007,'M','N','COLEGIO ESTADUAL','IPORA','PR','116161161235171431467933575122610158072',NULL,'9998',0.00,1,3,NULL),(15,2304090,'1992-02-18 00:00:00',4,5,12,2008,'M','S','CENTRO','ARARANGUA','SC','124243241215111531458934472122610166057',NULL,'970',48.10,1,3,NULL),(15,2304104,'1985-12-22 00:00:00',4,1,5,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241116274421346812385122220744053',8872,'306',53.88,1,2,1),(15,2304112,'1991-01-18 00:00:00',2,1,12,2007,'F','N','VILA NOVA','IMBITUBA','SC','124241241417111431466821275124610121097',8993,'362',53.65,1,3,NULL),(15,2304139,'1988-03-07 00:00:00',2,5,12,2005,'M','N','ANA MARIA','CRICIUMA','SC','124242246216371431468911485124231462192',17320,'995',41.36,1,3,NULL),(15,2304147,'1989-10-02 00:00:00',2,5,12,2006,'F','N','CENTRO','ICARA','SC','124241241116471431327629172122610136182',12455,'1005',48.35,1,2,1),(15,2304155,'1985-10-12 00:00:00',2,1,12,2002,'F','N','BARREIROS','SAO JOSE','SC','124201201131141421126314245314610168147',NULL,'9998',11.10,1,3,NULL),(15,2304163,'1991-06-11 00:00:00',2,1,11,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111131338819496112610134147',NULL,'270',28.26,1,3,NULL),(15,2304180,'1991-06-11 00:00:00',4,1,12,2008,'F','S','INGLESES','FLORIANOPOLIS','SC','124243241117271231424431372114610117147',NULL,'307',20.65,1,3,NULL),(15,2304198,'1989-12-12 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242247217151431327634575124610127047',NULL,'9999',NULL,1,3,NULL),(15,2304201,'1990-11-29 00:00:00',4,1,12,2007,'F','N','SÃO LUIZ','BRUSQUE','SC','124243241215121431538424575122610133147',19912,'981',36.98,1,3,NULL),(15,2304210,'1965-10-21 00:00:00',4,1,12,1983,'F','N','CANTO','FLORIANOPOLIS','SC','224131135116131411463654475122142731093',12652,'9998',48.07,1,2,1),(15,2304228,'1990-06-21 00:00:00',4,6,12,2007,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124242241215141731456612395122610137142',17532,'109',41.04,1,3,NULL),(15,2304236,'1993-03-12 00:00:00',4,5,11,2008,'M','S','SÃO DEFENDE','CRICIUMA','SC','124241243217111432437914475124610164163',NULL,'995',41.40,1,3,NULL),(15,2304244,'1991-05-07 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124212241217111431379914475122610135192',NULL,'226',47.00,1,3,NULL),(15,2304260,'1983-04-30 00:00:00',2,1,12,2000,'M','N','NONOAI','PORTO ALEGRE','RS','120202201116372731346612395122341227047',9287,'9998',53.14,1,3,NULL),(15,2304279,'1991-04-23 00:00:00',4,1,11,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124242241215111331449734372112610125152',NULL,'273',50.05,1,3,NULL),(15,2304287,'1991-03-12 00:00:00',2,5,11,2008,'F','S','RIO MAINA','CRICIUMA','SC','124242241215111421425933594114610133147',NULL,'226',27.20,1,3,NULL),(15,2304295,'1983-12-17 00:00:00',2,1,2,2001,'M','N','BARREIROS','SAO JOSE','SC','124242246116375411466623345122610128097',11789,'306',49.28,1,3,NULL),(15,2304309,'1988-11-27 00:00:00',4,1,12,2006,'M','N','TRISTEZA','PORTO ALEGRE','RS','120242241215132431547828345125242148187',NULL,'270',0.00,1,3,NULL),(15,2304317,'1989-12-20 00:00:00',4,1,12,2007,'M','N','CENTRO','SAO JOAO BATISTA','SC','124241241416161431466419575124610137042',NULL,'781',0.00,1,3,NULL),(15,2304325,'1990-05-15 00:00:00',2,1,11,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241116141431331317142122610124057',NULL,'257',24.51,1,3,NULL),(15,2304333,'1990-01-14 00:00:00',4,1,12,2006,'F','N','NENE GRAEFF','PASSO FUNDO','RS','120202201215131431326634242334610122077',14615,'9998',45.25,4,3,NULL),(15,2304341,'1990-04-22 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124162246215151441539723471121610134037',NULL,'9999',29.45,1,3,NULL),(15,2304350,'1990-07-31 00:00:00',4,8,11,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241216111431468912575122610117122',6947,'486',57.26,1,3,NULL),(15,2304368,'1991-03-29 00:00:00',4,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241212111431566613572112610164112',9018,'270',53.61,1,3,NULL),(15,2304376,'1988-01-27 00:00:00',2,1,12,2005,'M','N','PETRÓPOLIS','PORTO ALEGRE','RS','120201201117571451438821593124610164047',12735,'9998',47.94,1,3,NULL),(15,2304384,'1990-05-27 00:00:00',4,1,11,2007,'F','N','JARDIM SOCIAL','CURITIBA','PR','116162161215471431488913571112610134016',NULL,'9998',0.00,1,3,NULL),(15,2304392,'1990-02-19 00:00:00',4,1,11,2007,'M','N','ARMAÇAO DO PSUL','FLORIANOPOLIS','SC','124243241115271431448614575124610117112',5344,'271',60.42,1,3,NULL),(15,2304406,'1989-06-05 00:00:00',2,5,11,2006,'M','N','CENTRO','CRICIUMA','SC','124242246216132712347632345124231414192',15812,'995',43.66,1,3,NULL),(15,2304414,'1989-09-12 00:00:00',4,1,12,2006,'F','N','ALTO DA COLINA','LONDRINA','PR','116162161216372411479912421112610142122',11816,'9998',49.23,1,3,NULL),(15,2304422,'1991-05-11 00:00:00',4,4,12,2008,'F','S','CENTRO','FAXINAL DOS GUEDES','SC','124246241217121731458611472122610133142',NULL,'836',42.35,1,3,NULL),(15,2304430,'1988-12-25 00:00:00',4,1,12,2006,'F','N','JD PAULISTANO','SOROCABA','SP','125252251215471411357969375112610134047',NULL,'9998',0.00,1,3,NULL),(15,2304449,'1986-10-02 00:00:00',2,10,11,2003,'F','N','CENTRO','TUBARAO','SC','124242241212574431346912575122610124117',12577,'807',48.17,1,3,NULL),(15,2304457,'1990-10-27 00:00:00',4,1,12,2007,'M','N','JARDIM BANDEIRANTES','TOLEDO','PR','116162161215211431468613572121610167012',NULL,'9998',0.00,1,3,NULL),(15,2304465,'1988-10-04 00:00:00',2,8,12,2005,'M','N','CENTRO','MAFRA','SC','124241161216571732436611592115610167057',13831,'9998',46.41,1,3,NULL),(15,2304473,'1990-04-07 00:00:00',2,5,11,2007,'F','N','PIO CORREA','CRICIUMA','SC','124242248215211731439833395124610118147',NULL,'1096',0.00,1,3,NULL),(15,2304481,'1989-01-29 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215131431433631575114610124057',NULL,'737',26.17,1,3,NULL),(15,2304490,'1990-10-03 00:00:00',4,9,12,2007,'M','N','PINHEIROS','OTACILIO COSTA','SC','124243241311151731336611582112613217057',NULL,'583',20.35,1,3,NULL),(15,2304503,'1987-03-04 00:00:00',4,1,12,2004,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124252251214152431467731445124221164052',NULL,'9998',43.36,1,3,NULL),(15,2304511,'1989-04-05 00:00:00',4,1,12,2006,'M','N','CACUPÉ','FLORIANOPOLIS','SC','124242241213273431486921575122231037185',5505,'270',60.05,1,3,NULL),(15,2304520,'1989-12-31 00:00:00',2,10,12,2007,'M','N','CENTRO','BRACO DO NORTE','SC','124243241335111431536711575124610137057',18064,'797',40.20,1,3,NULL),(15,2304538,'1990-12-05 00:00:00',4,1,5,2008,'M','S','BALNEÁRIO','FLORIANOPOLIS','SC','124244241117151441458613572124610134145',NULL,'306',68.37,4,3,NULL),(15,2304546,'1987-09-22 00:00:00',3,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124256251616132451648611311224222266187',8565,'9998',54.41,2,3,NULL),(15,2304554,'1989-04-14 00:00:00',2,8,12,2006,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161214571731459813575224610153147',NULL,'9998',0.00,1,3,NULL),(15,2304589,'1987-09-09 00:00:00',2,1,12,2004,'F','N','CENTRO','SAO JOSE','SC','124241241336374431426621342224610122147',21350,'1011',34.08,1,3,NULL),(15,2304597,'1991-08-14 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431389914572114610134042',NULL,'1022',46.98,1,3,NULL),(15,2304600,'1990-09-18 00:00:00',2,2,12,2007,'F','N','CENTRO','IBIRAMA','SC','124241241315111431426619575124610164147',NULL,'991',23.74,1,3,NULL),(15,2304619,'1988-11-07 00:00:00',4,1,11,2005,'F','N','CENTRO','ERECHIM','RS','124202201215572411459911571124133236095',3616,'9998',64.44,1,3,NULL),(15,2304627,'1990-04-14 00:00:00',2,8,12,2007,'M','N','IRIRIU','JOINVILLE','SC','124241241215111531448624492222620132147',NULL,'1016',15.69,1,3,NULL),(15,2304635,'1991-01-20 00:00:00',2,4,12,2007,'M','N','CENTRO','SUL BRASIL','SC','124241241115151431449933572125610137057',18555,'775',39.40,1,2,1),(15,2304643,'1990-05-17 00:00:00',4,1,12,2007,'F','N','ELIZABETH','IJUI','RS','120201201117131431347733572124610133042',NULL,'9998',29.48,1,3,NULL),(15,2304660,'1961-07-02 00:00:00',4,1,12,1993,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','224241247227333411444351371114610166192',NULL,'9999',20.34,1,3,NULL),(15,2304678,'1982-04-24 00:00:00',2,1,12,2000,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124201201113151751527612485124230267117',15031,'9998',44.76,1,3,NULL),(15,2304686,'1991-01-12 00:00:00',4,1,12,2008,'M','S','ITACORUBI','FLORIANOPOLIS','SC','124242241217171441469934442112610128185',NULL,'270',45.02,1,3,NULL),(15,2304694,'1990-04-09 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216111431458919572122610122097',13640,'266',46.69,1,3,NULL),(15,2304708,'1988-05-24 00:00:00',2,1,12,2006,'M','N','PICADAS DO SUL','SAO JOSE','SC','124241241125132721236629342213610117057',18167,'736',40.03,1,3,NULL),(15,2304716,'1991-01-27 00:00:00',4,3,11,2005,'F','N','ITAPEMA','TIJUCAS','SC','124242248215111231449614275112610163017',NULL,'9997',7.26,1,3,NULL),(15,2304724,'1975-09-25 00:00:00',2,1,12,2000,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124081087132131411223741212224610166045',19510,'9999',37.81,1,3,NULL),(15,2304732,'1988-08-31 00:00:00',4,1,11,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217153432478933492122230223183',3968,'270',63.55,1,3,NULL),(15,2304740,'1990-01-02 00:00:00',2,4,12,2007,'M','N','LIDER','CHAPECO','SC','124241241127151732447834242122610127053',NULL,'171',0.00,1,2,1),(15,2304759,'1977-03-11 00:00:00',4,1,12,1991,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124251251127372421143343135134140866042',6838,'9998',57.47,3,3,NULL),(15,2304767,'1987-04-13 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241125131431214469372324610112142',NULL,'287',21.66,1,3,NULL),(15,2304775,'1990-04-09 00:00:00',2,4,12,2007,'F','N','CENTRO','MARAVILHA','SC','124241241417131431458934292122610144072',20350,'1037',36.14,4,3,NULL),(15,2304783,'1990-05-25 00:00:00',4,5,12,2007,'F','N','ESTAÇÃO','URUSSANGA','SC','124244246215111431434834572224610125142',20710,'188',35.49,1,3,NULL),(15,2304791,'1991-03-14 00:00:00',4,9,11,2008,'F','S','CORAL','LAGES','SC','124242241215131731553923372122610123017',NULL,'499',53.10,1,3,NULL),(15,2304805,'1984-05-09 00:00:00',2,1,12,2003,'M','N','TAPERA','FLORIANOPOLIS','SC','124102208232373411148479432312610166057',6136,'9998',58.79,2,3,NULL),(15,2304821,'1989-09-18 00:00:00',4,1,12,2006,'F','N','ENSEADA','AMERICANA','SP','125252251211471411478811571112610167122',8008,'328',55.36,1,3,NULL),(15,2304830,'1981-07-07 00:00:00',2,1,12,1999,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241117132731157823245124130266077',18587,'306',39.35,1,2,1),(15,2304848,'1991-06-04 00:00:00',4,8,12,2008,'F','S','COSTA E SILVA','JOINVILLE','SC','124241241216131431563874195125610128147',NULL,'460',46.49,1,3,NULL),(15,2304856,'1989-04-27 00:00:00',2,1,12,2006,'M','N','EDMUNDO TREIN','PASSO FUNDO','RS','120201201217131431526633142334610124047',17693,'9998',40.81,4,3,NULL),(15,2304864,'1982-11-09 00:00:00',4,1,12,2001,'M','N','MOOCA','SAO PAULO','SP','125252251217575431367822471112122362052',6074,'9998',58.94,3,3,NULL),(15,2304872,'1991-05-07 00:00:00',4,1,11,2007,'M','N','CENTRO','CORUMBA','MS','112122121215131431549919472121612467042',10444,'9998',51.28,1,3,NULL),(15,2304880,'1990-03-12 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124202241236474431346421375124610164042',2293,'262',68.25,4,3,NULL),(15,2304899,'1990-12-14 00:00:00',4,10,12,2008,'M','S','CENTRO','TUBARAO','SC','124242246217141431367834575121610117072',NULL,'1120',45.26,1,3,NULL),(15,2304902,'1989-11-01 00:00:00',2,1,12,2006,'F','N','NORTE','TAGUATINGA','DF','107074071216471431489819472122610127012',NULL,'9998',0.00,4,3,NULL),(15,2304910,'1991-03-24 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124242241212111731254724575122610124142',14847,'1011',44.96,1,3,NULL),(15,2304929,'1989-09-20 00:00:00',2,1,12,2006,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124242241217132411466613345114610165187',10426,'266',51.31,1,3,NULL),(15,2304937,'1991-07-09 00:00:00',2,7,12,2007,'F','N','CENTRO','LUZERNA','SC','124241241115271411446634275122610163147',19864,'539',37.09,1,2,1),(15,2304945,'1991-03-12 00:00:00',4,9,11,2007,'M','N','FREI ROGÉRIO','LAGES','SC','624242241217111431458819596112610127057',16454,'497',42.66,1,3,NULL),(15,2304953,'1990-04-11 00:00:00',4,1,12,2007,'F','N','JARDIM ITÁLIA','CUIABA','MT','111112111215121431479912592122610123142',NULL,'9998',0.00,1,3,NULL),(15,2304970,'1985-02-07 00:00:00',4,1,11,2002,'M','N','ROSA CRUZ','MOGI GUACU','SP','125251256125571431326627371342141464047',6843,'9998',57.46,1,2,1),(15,2304988,'1985-06-11 00:00:00',2,1,2,2003,'M','N','ESTREITO BALNEARIO','FLORIANOPOLIS','SC','124242241211575751579513492141122618182',7648,'270',55.95,1,3,NULL),(15,2304996,'1990-06-20 00:00:00',4,1,12,2007,'M','N','JARDIM BELA VISTA','SORRISO','MT','111111111215161431465314175122610132052',16798,'9998',42.17,1,3,NULL),(15,2305003,'1983-02-10 00:00:00',4,1,12,2002,'F','N','RATONES','FLORIANOPOLIS','SC','124245247532131441236923485112132824177',NULL,'9999',21.45,2,1,2),(15,2305011,'1988-02-25 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215113421455612575125231418183',16151,'270',43.14,1,3,NULL),(15,2305020,'1991-05-23 00:00:00',4,10,11,2007,'F','N','OFICINAS','TUBARAO','SC','124242241215111431239939572122610128192',14559,'807',45.32,1,3,NULL),(15,2305038,'1958-01-21 00:00:00',4,1,12,1976,'F','N','CENTRO','SAO JOSE','SC','624211218327132431343444342134610124182',21764,'9998',33.06,2,1,2),(15,2305054,'1989-10-11 00:00:00',2,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215111431467813372114610127012',NULL,'262',23.79,1,3,NULL),(15,2305062,'1991-06-20 00:00:00',4,1,12,2008,'M','S','JARDIM DOS LORDES','SAO JOSE','SC','124242241216111431465912595124610134162',NULL,'262',61.09,1,3,NULL),(15,2305070,'1989-01-07 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241315472431459813575124610127042',12573,'356',48.18,1,3,NULL),(15,2305089,'1989-04-17 00:00:00',4,3,12,2007,'M','N','CENTRO','TIJUCAS','SC','124242241215131531448824595112610127052',20021,'1119',36.78,1,3,NULL),(15,2305097,'1987-10-17 00:00:00',4,1,12,2005,'M','N','CENTRO','MARECHAL CANDIDO RONDON','PR','116162168211472752459639297223610164057',6954,'9998',57.25,1,3,NULL),(15,2305100,'1988-03-04 00:00:00',2,1,11,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241111131411536529291324610125047',17195,'307',41.57,1,2,1),(15,2305119,'1989-08-14 00:00:00',4,1,12,2007,'M','N','VILA FIUSA','ASSIS','SP','125251251117371441626823585125610164187',NULL,'9998',23.83,4,2,1),(15,2305127,'1991-07-06 00:00:00',4,3,12,2007,'M','N','CENTRO','NOVA TRENTO','SC','124243241215111332557732242122610124185',14152,'109',45.96,1,3,NULL),(15,2305135,'1988-10-09 00:00:00',2,2,11,2006,'M','N','CENTRO','PORTO ALEGRE','RS','120202201217471731575819575115610121196',9683,'9998',52.45,1,3,NULL),(15,2305143,'1990-07-29 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241111131431426623295124610122097',NULL,'307',22.89,4,2,1),(15,2305151,'1988-08-01 00:00:00',4,3,12,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241226152431258912575112231032087',14662,'486',45.20,1,3,NULL),(15,2305160,'1990-05-30 00:00:00',4,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124242241215111732348839591122610162097',NULL,'1011',0.00,1,3,NULL),(15,2305178,'1989-08-31 00:00:00',4,2,12,2006,'M','N','VELHA','BLUMENAU','SC','124242241217272431268814385114610132082',7257,'87',56.68,1,3,NULL),(15,2305186,'1988-07-20 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124242241212132431425618582114610134147',14500,'738',45.41,1,3,NULL),(15,2305194,'1990-05-19 00:00:00',2,5,11,2007,'F','N','CENTRO','SIDEROPOLIS','SC','124241241215131411643311571224610121077',NULL,'767',25.62,4,3,NULL),(15,2305208,'1987-09-08 00:00:00',2,8,12,2004,'M','N','VILA BANDEIRANTES','ARACATUBA','SP','125254251216522411578714575122610125181',NULL,'9998',0.00,1,3,NULL),(15,2305224,'1989-10-14 00:00:00',4,8,11,2006,'M','N','CENTRO','JOINVILLE','SC','124252241215471412436614595115610142191',3860,'1016',63.83,1,3,NULL),(15,2305232,'1987-05-08 00:00:00',4,6,12,2005,'M','N','REBOUÇAS','CURITIBA','PR','116161161136151432548939485114143266047',21752,'9998',33.13,1,2,1),(15,2305240,'1987-08-19 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124202201216572431438814572124241117042',NULL,'9998',20.33,1,3,NULL),(15,2305259,'1981-12-23 00:00:00',2,1,12,1998,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241216154211388633485122230464042',NULL,'266',0.00,1,3,NULL),(15,2305267,'1990-06-13 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124161241114131431436832242121610162017',21579,'49',33.56,3,3,NULL),(15,2305283,'1985-12-13 00:00:00',5,4,12,2006,'M','N','CENTRO','ARATIBA','RS','120201201147131431433319595114243268197',21316,'9998',34.15,1,2,1),(15,2305291,'1990-06-11 00:00:00',4,7,12,2007,'M','N','CENTRO','VIDEIRA','SC','124242241217111431465912345122610127052',NULL,'829',9.60,1,3,NULL),(15,2305305,'1985-06-22 00:00:00',2,1,12,2001,'F','N','BARREIROS','SAO JOSE','SC','124243241341133731549613482124132826147',19873,'738',37.07,1,3,NULL),(15,2305313,'1990-02-03 00:00:00',4,1,12,2006,'F','N','JD SÃO SILVESTRE','MARINGA','PR','116212161215171431556613571124610113143',NULL,'9998',0.00,1,3,NULL),(15,2305321,'1988-06-06 00:00:00',4,1,5,2006,'M','N','GUTIERREZ','BELO HORIZONTE','MG','113132281417471751548811595112610167126',NULL,'9998',0.00,1,3,NULL),(15,2305330,'1981-01-05 00:00:00',4,1,7,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241247125371421126641412324610137117',NULL,'9999',18.34,1,2,1),(15,2305348,'1989-11-22 00:00:00',4,1,12,2007,'M','N','ALTO DA LAPA','SAO PAULO','SP','125252258217211431359834295112610137112',4947,'9998',61.20,1,3,NULL),(15,2305364,'1989-10-06 00:00:00',2,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215111431556619595122610124067',13775,'226',46.50,1,3,NULL),(15,2305372,'1984-12-26 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216172721348813415132333262187',6948,'262',57.26,1,3,NULL),(15,2305380,'1991-02-05 00:00:00',4,6,12,2008,'F','S','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111431478934575122610122142',NULL,'9997',39.06,1,3,NULL),(15,2305399,'1989-04-08 00:00:00',4,1,12,2006,'F','N','PIRAPÓ','APUCARANA','PR','116162161212411321488911172141610163107',15484,'9998',44.15,1,3,NULL),(15,2305402,'1989-04-24 00:00:00',4,8,11,2006,'F','N','SÃO FRANCISCO','IRATI','PR','116163161216371741567914575124610131097',1946,'9998',69.45,1,3,NULL),(15,2305410,'1990-03-07 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241215111431458814572122610117062',18183,'1022',40.01,1,3,NULL),(15,2305429,'1989-01-30 00:00:00',4,8,11,2007,'M','N','BIGORRILHO','CURITIBA','PR','116162161217371431488814475122610162116',NULL,'9998',0.00,4,3,NULL),(15,2305437,'1989-09-16 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111431453319372111610124077',20695,'738',35.51,1,3,NULL),(15,2305445,'1978-11-28 00:00:00',4,10,12,1997,'M','N','PAES LEME','IMBITUBA','SC','224241241316232421334544341335331537057',14508,'307',45.40,1,3,NULL),(15,2305453,'1986-03-19 00:00:00',4,1,12,2004,'M','N','BELA VISTA IV','COSMOPOLIS','SP','125251256117573351457639291122610164111',NULL,'9998',0.00,1,2,1),(15,2305461,'1987-11-11 00:00:00',2,5,11,1995,'F','N','OPERARIA NOVA','CRICIUMA','SC','124244241216374411438614575122610114182',8620,'226',54.30,1,3,NULL),(15,2305470,'1990-04-07 00:00:00',4,4,12,2007,'M','N','JARDIM ALVORADA','SAO CARLOS','SC','124241241135111431437734345121610137047',NULL,'704',0.00,1,3,NULL),(15,2305488,'1987-12-23 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124131131117471431223315572145610131057',14817,'9998',44.99,2,1,1),(15,2305496,'1983-02-03 00:00:00',4,1,12,2001,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241127134431543541111134610168022',17932,'292',40.43,1,3,NULL),(15,2305500,'1987-07-29 00:00:00',2,1,12,2005,'F','N','JOAQUIM TAVORA','FORTALEZA','CE','106062284216471441548831574124610133047',13283,'9998',47.20,1,3,NULL),(15,2305518,'1990-05-19 00:00:00',2,8,12,2007,'F','N','CENTRO','GUARAPUAVA','PR','116162161211151431658933275122610137077',8203,'9998',55.01,1,3,NULL),(15,2305526,'1991-01-10 00:00:00',4,5,12,2008,'F','S','A NASPOLINI','CRICIUMA','SC','124242241217111431389811595122610137077',NULL,'226',43.84,1,3,NULL),(15,2305534,'1990-08-10 00:00:00',4,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124243241415121431447614575124610137017',8058,'738',55.26,1,3,NULL),(15,2305542,'1986-06-19 00:00:00',4,8,12,2004,'M','N','BOM RETIRO','JOINVILLE','SC','124241241117134411569619495121131414022',9720,'192',52.40,4,3,NULL),(15,2305550,'1989-01-09 00:00:00',4,1,12,2006,'M','N','ZONA SETE','MARINGA','PR','116162161216142451638611145135610162042',NULL,'9998',0.00,1,3,NULL),(15,2305569,'1979-07-07 00:00:00',2,1,7,2003,'M','N','UVARANAS','PONTA GROSSA','PR','116161167127371431444639285114610112115',21926,'9999',32.53,1,2,1),(15,2305577,'1987-11-15 00:00:00',2,2,11,2005,'F','N','SAO JOSE','RIO DOS CEDROS','SC','124241241147161231523614145124130835187',19326,'664',38.11,1,2,1),(15,2305585,'1989-05-01 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241237472411358931275114610161042',2398,'836',67.92,1,3,NULL),(15,2305593,'1988-12-02 00:00:00',2,1,11,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242248216152411578714442122131067147',20736,'226',35.43,1,3,NULL),(15,2305607,'1990-09-29 00:00:00',4,2,12,2007,'M','N','GARCIA','BLUMENAU','SC','124241241215131431438813575124610126062',8041,'88',55.30,1,3,NULL),(15,2305615,'1991-02-06 00:00:00',4,1,12,2008,'M','S','CAMPECHE','FLORIANOPOLIS','SC','124242241215151432448614472124610138055',NULL,'1098',45.71,4,3,NULL),(15,2305623,'1990-06-01 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241216411431468612572114610147117',21914,'1022',32.56,1,3,NULL),(15,2305631,'1990-04-02 00:00:00',4,1,12,2007,'M','N','CENTRO','SORRISO','MT','111112111217161431264832145122610134142',19162,'9998',38.41,1,3,NULL),(15,2305640,'1990-09-19 00:00:00',2,3,12,2007,'M','N','CANTA GALO','RIO DO SUL','SC','124243242116141411436333596314610124092',10653,'662',50.95,1,3,NULL),(15,2305666,'1986-10-22 00:00:00',2,1,7,2004,'F','N','CENTRO','PALHOCA','SC','124241241122133431233833445124610128072',NULL,'702',23.93,1,2,1),(15,2305674,'1991-05-15 00:00:00',4,2,12,2008,'F','S','CENTRO','POMERODE','SC','124241241117151431349833245121610122017',NULL,'621',21.89,4,3,NULL),(15,2305682,'1990-05-18 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242248215271411348923272122610125117',13018,'226',47.56,1,3,NULL),(15,2305690,'1990-02-07 00:00:00',4,2,12,2007,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241217121731367812422122610144127',1454,'87',71.44,1,3,NULL),(15,2305704,'1991-04-28 00:00:00',4,1,12,2007,'M','N','CENTRO','ITUPORANGA','SC','124242241227151311539919375122610136192',9443,'414',52.88,1,3,NULL),(15,2305720,'1990-04-27 00:00:00',2,6,12,2007,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124241241136131431433414571124610112097',NULL,'111',25.44,1,3,NULL),(15,2305739,'1991-03-19 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241217111411388932572122610127112',NULL,'270',49.45,1,3,NULL),(15,2305747,'1992-05-05 00:00:00',4,8,12,2008,'M','S','ATIRADORES','JOINVILLE','SC','124242241215111431469513575122610112147',NULL,'491',71.86,1,3,NULL),(15,2305755,'1990-01-21 00:00:00',2,9,12,2007,'M','N','SÃO PAULO','TAPEJARA','RS','120201201116151731546416575122610138142',NULL,'9998',19.10,1,3,NULL),(15,2305763,'1989-08-25 00:00:00',4,2,12,2007,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215111411368519575121610161052',13087,'909',47.47,1,3,NULL),(15,2305780,'1991-04-25 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217111711355921575124610127067',NULL,'270',31.53,1,3,NULL),(15,2305798,'1989-07-26 00:00:00',2,4,12,2006,'F','N','PASSO DOS FORTES','CHAPECO','SC','624241241135241731643923445124610122077',NULL,'182',0.00,1,3,NULL),(15,2305801,'1989-08-12 00:00:00',2,9,11,2006,'F','N','CENTRO','SAO JOAQUIM','SC','124242241211132421556613575222610117077',17653,'942',40.86,1,3,NULL),(15,2305810,'1985-12-28 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241216574431467813395124230227147',NULL,'1022',NULL,1,3,NULL),(15,2305828,'1989-09-06 00:00:00',4,6,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124112241215111431439933595122610128077',20208,'9997',36.40,1,3,NULL),(15,2305836,'1990-05-16 00:00:00',2,1,11,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241215111231437317572122610133017',13622,'723',46.72,2,1,2),(15,2305844,'1984-07-27 00:00:00',4,1,12,2001,'F','N','CAMPINAS','SAO JOSE','SC','124241241315135411326644345124610163117',11452,'1036',49.77,1,3,NULL),(15,2305852,'1990-09-04 00:00:00',4,1,10,2007,'F','N','CENTRO','PIRACICABA','SP','125252251217111431337724574122610127145',NULL,'9998',0.00,1,3,NULL),(15,2305860,'1964-07-08 00:00:00',2,1,12,1982,'M','N','CAMPINAS','SAO JOSE','SC','624241246211333421436641415122121537057',NULL,'262',23.00,1,3,NULL),(15,2305879,'1961-09-18 00:00:00',2,1,8,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','224246247637151431434154372144610141197',NULL,'9999',0.00,1,3,NULL),(15,2305895,'1975-03-02 00:00:00',2,1,11,1994,'M','N','SERRARIA','SAO JOSE','SC','124252251216155421233844245123122365062',3420,'9998',64.95,1,3,NULL),(15,2305909,'1988-12-21 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241211372431459913571124231027092',15863,'262',43.58,2,1,2),(15,2305917,'1990-06-12 00:00:00',4,4,11,2007,'M','N','CENTRO','PATO BRANCO','PR','116162161215111531544832575122610157047',NULL,'9998',0.00,1,3,NULL),(15,2305933,'1988-12-12 00:00:00',2,1,12,2006,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241216132431347829395124131043187',NULL,'1098',0.00,3,3,NULL),(15,2305941,'1985-08-02 00:00:00',2,1,12,2003,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124244248415372431467613432122131067185',16586,'654',42.47,1,3,NULL),(15,2305950,'1954-02-05 00:00:00',4,1,12,1974,'M','N','CENTRO','FLORIANOPOLIS','SC','224161166126133411353343232124321712173',2174,'9998',68.67,1,3,NULL),(15,2305968,'1984-02-21 00:00:00',2,1,12,2001,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217273731567812464122231034095',12417,'270',48.42,1,3,NULL),(15,2305976,'1990-08-20 00:00:00',4,1,2,2008,'M','N','N SHA DO ROSÁRIO','SAO JOSE','SC','124242241417131431368933576112610167017',21520,'739',33.69,1,3,NULL),(15,2305984,'1986-08-03 00:00:00',4,1,8,2003,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241216574731478714495124230264092',8138,'9997',55.12,1,3,NULL),(15,2305992,'1989-11-25 00:00:00',2,3,12,2007,'F','N','SUMARE','RIO DO SUL','SC','624131241417131431236514184224610134197',19836,'1013',37.15,2,1,2),(15,2306018,'1987-04-30 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241317373411569811372114132036142',6565,'1022',57.95,1,3,NULL),(15,2306026,'1990-05-17 00:00:00',4,3,12,2007,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116164168215131411658713592122610126047',11818,'9998',49.23,1,3,NULL),(15,2306034,'1950-08-21 00:00:00',4,1,11,1968,'M','N','CENTRO','FLORIANOPOLIS','SC','224062061211152741234349492212341466187',NULL,'9998',0.00,4,3,NULL),(15,2306042,'1990-08-20 00:00:00',4,8,11,2007,'F','N','CENTRO','JOINVILLE','SC','124242241215111431376831575122610122146',1725,'457',70.29,1,3,NULL),(15,2306050,'1988-07-16 00:00:00',2,1,12,2005,'M','N','STO ANT DE LISBOA','FLORIANOPOLIS','SC','124241241137152421436539192124610167042',21749,'307',33.14,1,3,NULL),(15,2306069,'1990-06-16 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241136171431427513595124610164191',NULL,'267',48.10,1,2,1),(15,2306077,'1987-08-25 00:00:00',4,8,12,2005,'M','N','ACLIMAÇÃO','SAO PAULO','SP','125252256216571431488711574124610134056',433,'9998',77.34,3,3,NULL),(15,2306085,'1990-06-01 00:00:00',4,1,12,2007,'F','N','LUXEMBURGO','BELO HORIZONTE','MG','113131131116371232448923475124610137147',NULL,'9998',0.00,1,2,1),(15,2306107,'1989-10-13 00:00:00',4,1,12,2006,'F','N','JARDIM ELDORADO','PALHOCA','SC','124241248111371431434434245134610132147',NULL,'733',9.15,1,3,NULL),(15,2306115,'1990-06-07 00:00:00',4,1,12,2007,'M','N','LAGO NORTE','LAGO NORTE','DF','107072071215111731478823572122610132016',6839,'9998',57.47,1,3,NULL),(15,2306123,'1987-04-15 00:00:00',2,1,12,2005,'M','N','JARDIM BOTANICO','PORTO ALEGRE','RS','120201201216511211323624295144610114117',8941,'9998',53.77,1,3,NULL),(15,2306131,'1984-07-06 00:00:00',4,1,12,2001,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124242241217373411478814445132330246092',4547,'723',62.15,1,3,NULL),(15,2306140,'1989-11-17 00:00:00',4,1,12,2007,'M','N','SANTANA','RIO DO SUL','SC','124242241215121431588813575122610137172',NULL,'9997',23.20,1,3,NULL),(15,2306158,'1986-09-09 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241116273431363929495124230237042',11422,'267',49.81,2,1,1),(15,2306166,'1981-05-25 00:00:00',2,1,12,2000,'M','N','SANTO ANTONIO','VENTANIA','PR','116161161142141751336345252133610168187',18486,'9998',39.51,1,2,1),(15,2306174,'1989-08-07 00:00:00',4,7,12,2006,'F','N','SANTA TEREZA','JOACABA','SC','124241241112131731416428382315610112147',NULL,'448',16.56,1,2,1),(15,2306182,'1990-03-24 00:00:00',4,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241215111431348813572124610167112',9916,'9997',52.06,1,3,NULL),(15,2306190,'1988-03-09 00:00:00',4,1,12,2006,'F','N','PRADENSE','VACARIA','RS','120201201136161431432312272122610164147',NULL,'9998',18.43,1,3,NULL),(15,2306204,'1984-04-13 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215272441348823492124221536187',2985,'210',66.20,4,3,NULL),(15,2306212,'1990-05-19 00:00:00',4,4,12,2007,'F','N','CENTRO','FREDERICO WESTPHALEN','RS','120203201117111731337632372122610125057',7443,'9998',56.35,1,3,NULL),(15,2306220,'1988-10-28 00:00:00',4,1,12,2007,'F','N','PALHOCINHA','GAROPABA','SC','124202241317131431346511192122610124147',NULL,'322',21.33,1,3,NULL),(15,2306239,'1992-07-14 00:00:00',4,1,12,2009,'F','S','RIO ADAGA','ALFREDO WAGNER','SC','124241241136131411423319595124610164142',NULL,'13',36.27,1,3,NULL),(15,2306247,'1990-02-06 00:00:00',2,6,12,2006,'F','N','CORDEIROS','ITAJAI','SC','124241241112131421626319583221610156147',NULL,'396',18.81,1,2,1),(15,2306255,'1986-10-08 00:00:00',4,1,12,2004,'M','N','NOVA PAULÍNIA','PAULINIA','SP','125252253117571411368824475124140712176',3191,'9998',65.57,1,3,NULL),(15,2306263,'1989-08-12 00:00:00',2,9,11,2006,'F','N','CENTRO','SAO JOAQUIM','SC','124242241211132431556613275222610117147',21161,'942',34.52,1,3,NULL),(15,2306271,'1988-09-29 00:00:00',4,1,11,2006,'M','N','JARDIM ITAPERI','ATIBAIA','SP','125252251215471431468814595122610164142',1062,'9998',73.18,1,3,NULL),(15,2306280,'1987-10-04 00:00:00',4,8,12,2004,'F','N','AFONSO PENA','SAO JOSE DOS PINHAIS','PR','116161161115571431334634574114610166097',NULL,'9998',0.00,1,2,1),(15,2306298,'1988-12-19 00:00:00',4,4,12,2006,'M','N','CENTRO','FAXINAL DOS GUEDES','SC','124243241217272431358631492224230764057',NULL,'836',14.17,1,3,NULL),(15,2306301,'1988-01-22 00:00:00',4,3,12,2005,'M','N','SÃO MIGUEL PAULISTA','SAO PAULO','SP','125252251216131431258723275124610167187',15359,'9998',44.31,1,3,NULL),(15,2306310,'1990-06-15 00:00:00',4,2,12,2007,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241217271431468812572122610167097',10037,'107',51.88,1,3,NULL),(15,2306328,'1989-07-12 00:00:00',4,6,12,2006,'M','N','VILA FLORIDA','SAO BERNARDO DO CAMPO','SP','125252251217371431347532275114610128127',NULL,'9998',0.00,4,3,NULL),(15,2306344,'1991-05-11 00:00:00',2,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431489911495122610131115',NULL,'1022',22.37,4,3,NULL),(15,2306352,'1990-11-25 00:00:00',4,2,12,2007,'F','N','DO SOL','INDAIAL','SC','124242241215271421578814445112610167142',16547,'87',42.52,1,3,NULL),(15,2306360,'1990-04-26 00:00:00',4,2,11,2007,'M','N','ASILO','BLUMENAU','SC','124242241215271431369934575112610147042',3054,'909',65.97,1,3,NULL),(15,2306379,'1989-06-30 00:00:00',2,8,12,2007,'M','N','NONOAI','PORTO ALEGRE','RS','120202208217131431538834571124610127097',16379,'9998',42.79,1,3,NULL),(15,2306387,'1985-02-02 00:00:00',2,1,12,2002,'F','N','FORQUILHINHAS','SAO JOSE','SC','624244241216275431326954575124610166182',12285,'9997',48.59,2,3,NULL),(15,2306395,'1960-01-18 00:00:00',4,1,7,1985,'M','N','ABRAÃO','FLORIANOPOLIS','SC','524201206111153431253344342125233262093',14086,'9998',46.05,1,2,1),(15,2306409,'1991-04-23 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241115111431369933571124610127052',7203,'267',56.79,1,3,NULL),(15,2306417,'1990-10-10 00:00:00',2,5,11,2007,'F','N','MATO ALTO','ARARANGUA','SC','124241241215131411256421576114610118192',16389,'26',42.77,1,3,NULL),(15,2306425,'1990-01-18 00:00:00',4,1,11,2007,'F','N','CENTRO','ITANHAEM','SP','125252251217211431488713435122610146072',NULL,'9998',0.00,1,3,NULL),(15,2306433,'1985-03-08 00:00:00',2,1,12,2002,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241212575431445612442124230467057',8700,'737',54.18,1,3,NULL),(15,2306441,'1985-12-04 00:00:00',2,1,7,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241247334133431454313145114610127047',13098,'1003',47.45,1,3,NULL),(15,2306450,'1972-02-01 00:00:00',2,1,12,1988,'M','N','CARIANOS','FLORIANOPOLIS','SC','224241243146135421453643434123143247047',8128,'281',55.14,1,3,NULL),(15,2306468,'1988-12-28 00:00:00',4,8,12,2005,'M','N','SAGUAÇU','JOINVILLE','SC','124242241217473431348612575124221417042',3604,'932',64.48,1,3,NULL),(15,2306476,'1987-09-24 00:00:00',4,3,12,2007,'M','N','CENTRO','CIDADE GAUCHA','PR','116163161215371431446432271125610124192',NULL,'9998',22.97,2,1,2),(15,2306492,'1989-03-29 00:00:00',4,8,10,2007,'M','N','CENTRO','CASCAVEL','PR','116162161217111431569831471122610142082',22340,'9998',30.77,1,3,NULL),(15,2306506,'1989-12-01 00:00:00',4,1,12,2006,'F','N','SEMINÁRIO','CURITIBA','PR','116162161215471431479933574122610126122',NULL,'9998',0.00,1,3,NULL),(15,2306514,'1991-06-12 00:00:00',2,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241217111751588813432122610137072',NULL,'270',37.55,1,3,NULL),(15,2306522,'1989-05-14 00:00:00',4,3,12,2006,'M','N','VILA NOVA','SAO LOURENCO','MG','113132131217471431435514571122610117047',12079,'9998',48.88,1,3,NULL),(15,2306530,'1958-12-22 00:00:00',4,1,12,1976,'F','N','TRINDADE','FLORIANOPOLIS','SC','424202208216152431258641312132341233093',12636,'9998',48.09,1,3,NULL),(15,2306549,'1989-06-28 00:00:00',4,4,11,2006,'F','N','CENTRO','PALOTINA','PR','116162161217471431434834572224610147147',NULL,'9998',0.00,1,3,NULL),(15,2306557,'1979-08-28 00:00:00',4,1,12,1997,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241248226135421124844445124122334147',12733,'120',47.94,1,3,NULL),(15,2306565,'1990-08-02 00:00:00',4,10,12,2007,'F','N','CENTRO','SAO LUDGERO','SC','124241241146131431443411232122610132117',NULL,'748',21.90,1,2,1),(15,2306573,'1983-10-28 00:00:00',4,1,12,2001,'F','N','CACUPÉ','FLORIANOPOLIS','SC','124242241213153731688813492124231023112',NULL,'270',39.39,1,3,NULL),(15,2306581,'1990-02-26 00:00:00',4,8,12,2007,'M','N','AMÉRICA','JOINVILLE','SC','124242241217131432558811315121610121187',15547,'487',44.06,1,3,NULL),(15,2306590,'1987-06-02 00:00:00',2,1,12,2004,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241112134411459913572124131027092',NULL,'262',0.00,2,1,2),(15,2306603,'1988-07-06 00:00:00',2,1,10,2007,'F','N','JURERE','FLORIANOPOLIS','SC','124242241415472431468823372124610145182',19095,'9999',38.53,1,3,NULL),(15,2306611,'1987-09-23 00:00:00',2,10,12,2005,'M','N','SANTA TEREZA','PORTO ALEGRE','RS','120011047117571431558833572124610127044',NULL,'9998',0.00,1,2,1),(15,2306620,'1989-01-13 00:00:00',4,1,12,2006,'F','N','SANTA FE','LIMEIRA','SP','125251251217471711466633495122610147092',21622,'267',33.45,1,3,NULL),(15,2306638,'1990-02-15 00:00:00',4,9,12,2007,'M','N','CENTRO','CASTRO','PR','116161161117151431448414575125610167042',14916,'9998',44.89,1,3,NULL),(15,2306646,'1974-11-25 00:00:00',4,1,12,1992,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','224241241141245431243344245122321127142',17821,'840',40.63,1,2,1),(15,2306654,'1985-08-23 00:00:00',4,1,12,2003,'M','N','GUARA','CAMPINAS','SP','125252251216571431568811172112610157077',4581,'9998',62.05,1,3,NULL),(15,2306662,'1986-09-19 00:00:00',4,1,12,2004,'M','N','CAMPINAS','SAO JOSE','SC','124243248215573531466532432112122322112',13400,'737',47.03,4,3,NULL),(15,2306670,'1988-11-21 00:00:00',4,1,12,2006,'M','N','LOURDES','BELO HORIZONTE','MG','113132131216471441358811475112140664087',NULL,'9998',0.00,1,3,NULL),(15,2306689,'1989-10-23 00:00:00',4,1,12,2007,'F','N','COLÔNIA SANTANA','SAO JOSE','SC','124241241125161731423339295123610157041',NULL,'731',15.52,1,2,1),(15,2306697,'1989-04-17 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215272751348823592124220642047',774,'210',74.85,4,3,NULL),(15,2306700,'1982-06-28 00:00:00',2,1,12,1999,'F','N','CAMPINAS','SAO JOSE','SC','124244241217144521148843335124130722152',NULL,'514',0.00,1,3,NULL),(15,2306727,'1990-10-20 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111711468813572124610141142',7563,'270',56.09,1,3,NULL),(15,2306743,'1988-06-21 00:00:00',2,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124243248115133431446633345124230234072',20379,'257',36.10,1,3,NULL),(15,2306760,'1990-05-30 00:00:00',4,9,12,2007,'M','N','INTERIOR','IBIACA','RS','120201201117141431536616352122610128057',NULL,'9998',0.00,1,2,1),(15,2306786,'1986-10-17 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241217133421236844145133610164012',18644,'300',39.25,1,3,NULL),(15,2306794,'1985-09-24 00:00:00',4,1,12,2004,'M','N','BARREIROS','SAO JOSE','SC','124241241127162411436633283111610164107',20348,'736',36.15,2,3,NULL),(15,2306808,'1987-12-06 00:00:00',2,1,12,2005,'M','N','CENTRO','BIGUACU','SC','124241241147273411554611145124230224117',17427,'65',41.19,1,2,1),(15,2306816,'1989-06-16 00:00:00',4,1,11,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124242241317131531246923572124610163112',11570,'270',49.60,1,3,NULL),(15,2306824,'1989-09-20 00:00:00',2,4,12,2007,'M','N','JARDIM','SAO JOSE DO CEDRO','SC','124241241117151721443933311224610168052',10977,'740',50.51,1,2,1),(15,2306840,'1975-12-17 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241125141421666313441124610131147',20373,'285',36.11,1,2,1),(15,2306875,'1982-12-06 00:00:00',2,6,12,2000,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241126131331123313215324231031057',18784,'374',39.01,1,2,1),(15,2306891,'1988-07-05 00:00:00',2,1,12,2007,'M','N','JOSE MENDES','FLORIANOPOLIS','SC','124241241125131431646369346134610147147',22096,'307',31.94,1,2,1),(15,2306905,'1991-02-21 00:00:00',4,1,11,2007,'M','N','CENTRO','ERECHIM','RS','120202201217271431346631575122610121015',18067,'9998',40.20,1,3,NULL),(15,2306913,'1982-06-12 00:00:00',2,1,12,2002,'M','N','PRADO','BIGUACU','SC','124051161136144421425544345124141417047',12322,'9998',48.54,2,1,1),(15,2306921,'1989-03-31 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241217111751337719215115610168185',18300,'300',39.80,1,3,NULL),(15,2306948,'1989-11-29 00:00:00',2,4,12,2006,'F','N','CENTRO','CAPINZAL','SC','124242241216172531249814595124231422072',NULL,'270',0.00,4,3,NULL),(15,2306956,'1991-10-05 00:00:00',4,1,11,2009,'M','S','SERRARIA','SAO JOSE','SC','124242241215111431546833592124610167112',NULL,'270',55.26,4,3,NULL),(15,2306972,'1975-11-25 00:00:00',4,1,12,1992,'M','N','CAMPINAS','SAO JOSE','SC','124161164126131421324529415124610112011',8970,'9998',53.71,1,3,NULL),(15,2306980,'1989-09-01 00:00:00',4,1,12,2007,'M','N','VILA INDEPENDÊNCIA','LIMEIRA','SP','125252251217111431368614271112610145057',3799,'9998',63.97,1,3,NULL),(15,2306999,'1982-11-05 00:00:00',4,1,11,2002,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124244247331454751548631496124221967187',14829,'9999',44.98,2,3,NULL),(15,2307006,'1990-10-11 00:00:00',4,2,12,2007,'M','N','VILA NOVA','BLUMENAU','SC','124242241215111531469924575124610127012',17895,'855',40.50,1,3,NULL),(15,2307014,'1984-10-17 00:00:00',4,1,12,2002,'M','N','ROÇADO','SAO JOSE','SC','124244241211372441548612341114133266126',6217,'737',58.61,1,3,NULL),(15,2307022,'1980-01-11 00:00:00',2,1,12,2004,'F','N','COQUEIROS','FLORIANOPOLIS','SC','224241247211134711421173492114610118147',NULL,'9999',23.32,1,3,NULL),(15,2307030,'1987-04-21 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANOPOLIS','SC','124244241217374411353923575124610141077',13804,'1022',46.46,4,1,2),(15,2307049,'1983-06-12 00:00:00',4,1,12,2000,'M','N','RESENDE JUNQUEIRA','UBERLANDIA','MG','113131131417572751433833491323610165057',489,'9998',76.90,4,3,NULL),(15,2307065,'1989-09-12 00:00:00',2,10,12,2006,'F','N','CENTRO','TUBARAO','SC','124242241215272431556824345122610163077',NULL,'797',31.14,1,3,NULL),(15,2307073,'1989-02-20 00:00:00',4,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','125252251217471431443313275124610114032',3288,'9998',65.29,1,3,NULL),(15,2307081,'1991-02-04 00:00:00',4,6,12,2008,'M','S','CENTRO','ITAJAI','SC','124242241116111731449833575112610162012',NULL,'1058',25.78,1,3,NULL),(15,2307090,'1990-04-11 00:00:00',4,2,11,2007,'F','N','VIEIRAS','JARAGUA DO SUL','SC','124242241217111731346914275124610148052',4689,'855',61.77,1,3,NULL),(15,2307103,'1963-03-06 00:00:00',2,1,12,1980,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','224203204117132431444443135123142216042',17787,'9998',40.69,1,3,NULL),(15,2307111,'1988-01-26 00:00:00',4,1,12,2005,'M','N','FORQUILHINHAS','SAO JOSE','SC','124243241317372431668318285124610162122',16014,'9997',43.36,1,3,NULL),(15,2307120,'1987-02-01 00:00:00',2,4,12,2004,'M','N','IMPERIAL','CONCORDIA','SC','124241241115571431343319442332610117047',NULL,'192',0.00,1,2,1),(15,2307138,'1984-01-30 00:00:00',4,1,11,2001,'M','N','CENTRO','FLORIANOPOLIS','SC','124221241137114411668871395122213214041',2684,'307',67.08,1,2,1),(15,2307146,'1984-02-24 00:00:00',4,1,12,2001,'F','N','SANTANA','SAO PAULO','SP','125252251211371441438619485121342126197',8782,'9998',54.04,1,3,NULL),(15,2307154,'1989-12-05 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241215111431589814575122610114112',NULL,'262',31.46,1,3,NULL),(15,2307162,'1990-03-15 00:00:00',4,3,11,2007,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124244241217371431568932324125610134196',13982,'44',46.18,1,3,NULL),(15,2307170,'1990-09-01 00:00:00',2,4,12,2007,'F','N','SALETE','SAO MIGUEL DOESTE','SC','124241241316131431336913575122610122177',13774,'757',46.51,1,3,NULL),(15,2307189,'1991-06-01 00:00:00',4,4,12,2008,'F','S','CENTRO','FAXINAL DOS GUEDES','SC','124242288215151111468814474122610124092',NULL,'836',53.12,1,3,NULL),(15,2307200,'1990-07-29 00:00:00',2,1,12,2007,'F','N','SANTA TERESA','SAO PEDRO DE ALCANTARA','SC','124241241235161431434633575124610141042',22054,'1074',32.09,1,3,NULL),(15,2307219,'1985-12-03 00:00:00',2,1,12,2003,'M','N','BARREIROS','SAO JOSE','SC','624242241217133432228544341313610162187',NULL,'738',38.18,1,3,NULL),(15,2307227,'1985-07-18 00:00:00',4,1,12,2002,'M','N','BAIRRO DO GINASIO','ALTINOPOLIS','SP','125251251137371431433329195114610134057',NULL,'9998',0.00,1,2,1),(15,2307235,'1986-09-17 00:00:00',2,1,12,2004,'F','N','VILA INDUSTRIAL','SAO JOSE DOS CAMPOS','SP','125251251116573731546613572124610134097',11446,'9998',49.78,1,2,1),(15,2307243,'1988-03-13 00:00:00',2,1,12,2005,'F','N','SERRARIA','SAO JOSE','SC','124243241111272731448729345124610138052',NULL,'277',22.12,2,1,2),(15,2307251,'1990-01-02 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215321431388912432122610167072',12487,'270',48.32,1,3,NULL),(15,2307260,'1989-07-14 00:00:00',4,3,12,2006,'M','N','JARDIM MARINGÁ','LONDRINA','PR','116162161217471431469832574122610134096',NULL,'9998',0.00,1,3,NULL),(15,2307286,'1988-09-29 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215372751279933575124131062052',NULL,'90',0.00,1,3,NULL),(15,2307294,'1990-03-06 00:00:00',2,1,12,2007,'F','N','JURERÊ','FLORIANOPOLIS','SC','124242241215131431458811391124610143187',20505,'1048',35.87,1,3,NULL),(15,2307308,'1990-08-22 00:00:00',4,1,12,2008,'M','S','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124242241215471431438912572121610137112',NULL,'270',34.30,1,3,NULL),(15,2307316,'1985-03-18 00:00:00',4,2,12,2002,'M','N','CENTRO','ASCURRA','SC','124243241215154431548711475124221464192',4329,'909',62.66,1,3,NULL),(15,2307332,'1978-09-13 00:00:00',5,1,7,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124244247221141311271652191112610156164',NULL,'9999',18.76,1,3,NULL),(15,2307340,'1988-03-11 00:00:00',2,7,12,2007,'M','N','CENTRO','RIO DAS ANTAS','SC','124241241116271431423316162123610113057',NULL,'650',24.69,3,2,1),(15,2307359,'1989-07-11 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242247225311432468613345124610114072',NULL,'9999',10.61,1,3,NULL),(15,2307367,'1988-09-17 00:00:00',2,1,12,2006,'M','N','ASA SUL','BRASILIA','DF','107072071215371441566814445122610167042',2930,'9998',66.36,4,3,NULL),(15,2307375,'1991-02-26 00:00:00',4,10,11,2007,'M','N','CENTRO','TUBARAO','SC','124244241215111731358614245112610113052',14895,'807',44.91,1,3,NULL),(15,2307391,'1986-09-15 00:00:00',4,1,10,2007,'M','N','ARIRIU','PALHOCA','SC','124241247426131732643311315114610122147',11747,'9999',49.32,1,3,NULL),(15,2307405,'1989-05-16 00:00:00',4,1,12,2006,'M','N','VILA NOVA','PORTO ALEGRE','RS','120202201217471431458812371114610162047',6231,'9998',58.59,1,3,NULL),(15,2307413,'1989-09-07 00:00:00',4,1,11,2007,'M','N','PORTO DA LAGOA','FLORIANOPOLIS','SC','124242241215111431588811575112610148112',NULL,'270',26.52,1,3,NULL),(15,2307421,'1975-09-27 00:00:00',4,1,11,1993,'M','N','BALN DO ESTREITO','FLORIANOPOLIS','SC','124251256146153421478832445122121462032',5782,'9998',59.51,1,2,1),(15,2307430,'1986-08-23 00:00:00',4,3,12,2005,'M','N','SANTA TEREZINHA','SAO PAULO','SP','125164256347131731426834395125610134183',18481,'9999',39.52,1,3,NULL),(15,2307448,'1990-02-20 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241216111411678933575114610124117',13089,'300',47.46,1,3,NULL),(15,2307456,'1990-01-03 00:00:00',2,10,11,2007,'F','N','DEHON','TUBARAO','SC','124241241215111731435411272125610123057',17681,'807',40.82,1,3,NULL),(15,2307464,'1988-12-17 00:00:00',2,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242241217372411645823482114610127072',7952,'1036',55.44,4,3,NULL),(15,2307472,'1987-06-29 00:00:00',2,8,12,2004,'M','N','BUCAREIN','JOINVILLE','SC','124241246237373431568614345124610133012',11863,'494',49.16,1,3,NULL),(15,2307480,'1987-02-07 00:00:00',4,7,12,2004,'M','N','FARROUPILHA','VIDEIRA','SC','124241241146151431453624345124233237182',20123,'831',36.58,1,2,1),(15,2307499,'1990-06-10 00:00:00',2,1,12,2007,'M','N','CENTRO','PALHOCA','SC','124243241111111431356614275114610137047',NULL,'724',21.18,4,3,NULL),(15,2307502,'1990-09-03 00:00:00',4,3,11,2007,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215121231468811575112610127092',16666,'109',42.37,1,3,NULL),(15,2307510,'1980-08-08 00:00:00',3,1,12,1998,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241116135431578613345123321467127',NULL,'298',42.30,1,2,1),(15,2307529,'1989-04-02 00:00:00',4,1,12,2007,'M','N','JARDIM CIDADE','SAO JOSE','SC','124241241117131431333923381124610127047',NULL,'734',26.61,2,1,1),(15,2307537,'1989-08-25 00:00:00',4,4,12,2006,'F','N','SANTA CRUZ','CONCORDIA','SC','124241241115372431436532575122610126077',NULL,'984',0.00,1,3,NULL),(15,2307545,'1989-06-05 00:00:00',4,1,12,2006,'M','N','ST ANTONIO DE LISBOA','FLORIANOPOLIS','SC','124241241347132121449519195114133221087',14237,'279',45.81,4,3,NULL),(15,2307553,'1990-05-04 00:00:00',4,4,12,2007,'F','N','CENTRO','PATO BRANCO','PR','116164161217111431548413372122610147057',18939,'9998',38.77,4,3,NULL),(15,2307561,'1985-10-23 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241316575411456831442223610127037',6915,'300',57.32,1,3,NULL),(15,2307570,'1987-05-18 00:00:00',4,1,11,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241137132311628813395124610134047',16777,'307',42.21,1,3,NULL),(15,2307588,'1990-05-10 00:00:00',4,3,12,2007,'M','N','SANTA FELICIDADE','CURITIBA','PR','116124161217371231368632241124610114052',NULL,'9998',38.59,1,3,NULL),(15,2307596,'1990-05-09 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241137141331337923395121610132012',22366,'49',30.57,1,3,NULL),(15,2307600,'1991-05-01 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241212111331468832571124610134142',21431,'262',33.89,1,3,NULL),(15,2307618,'1990-01-13 00:00:00',2,3,12,2007,'M','N','VILA REAL','BALNEARIO CAMBORIU','SC','124243241235151431356618315124610162197',21950,'967',32.46,1,3,NULL),(15,2307626,'1974-08-03 00:00:00',2,1,12,1997,'F','N','KOBRASOL','SAO JOSE','SC','224091094126131431363353245124610161147',19933,'9998',36.95,2,1,1),(15,2307634,'1982-05-25 00:00:00',4,1,10,2000,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124241241117154731534419182114610168192',17539,'307',41.04,1,3,NULL),(15,2307642,'1990-07-02 00:00:00',2,1,12,2007,'M','N','GOPOUVA','GUARULHOS','SP','125254251417271431357713375124610164042',NULL,'9998',0.00,1,3,NULL),(15,2307650,'1986-06-07 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241117153431479833492122333232052',6252,'262',58.54,1,3,NULL),(15,2307669,'1988-08-23 00:00:00',4,1,12,2005,'M','N','CENTRO','GAROPABA','SC','124241241127473431437679115122610167017',13280,'322',47.20,1,2,1),(15,2307685,'1988-10-09 00:00:00',4,8,12,2006,'F','N','BOA VISTA','JOINVILLE','SC','124242241217372451458833375124131247012',12372,'461',48.46,1,3,NULL),(15,2307693,'1986-05-19 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241216272411568614435114122544043',NULL,'262',0.00,3,3,NULL),(15,2307707,'1989-10-23 00:00:00',2,4,12,2006,'M','N','FLORESTA','CONCORDIA','SC','124241241116141412433311235124610168142',20605,'192',35.68,1,2,1),(15,2307715,'1990-10-15 00:00:00',4,1,11,2007,'F','N','CENTRO','PONTA PORA','MS','112122121237271431236812571221610168142',16929,'9998',41.96,1,3,NULL),(15,2307723,'1988-10-13 00:00:00',4,1,12,2005,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124241241111133411546324285124610113147',12756,'307',47.91,1,2,1),(15,2307731,'1978-05-12 00:00:00',2,1,12,1998,'M','N','CENTRO','CANOAS','RS','120204201336341431436871315124140768043',NULL,'9998',0.00,1,3,NULL),(15,2307740,'1989-03-25 00:00:00',2,3,12,2007,'M','N','CENTRO','TIJUCAS','SC','124242241211131431366912141122610168082',22219,'1119',31.41,1,3,NULL),(15,2307758,'1990-08-12 00:00:00',2,1,11,2007,'F','N','RIO GRANDE','PALHOCA','SC','124241241215471431346313574122610154172',9060,'270',53.55,1,3,NULL),(15,2307774,'1988-12-19 00:00:00',4,1,12,2006,'M','N','LAGO SUL','LAGO SUL','DF','107072071214351432269821572122610127177',3780,'9998',64.02,1,3,NULL),(15,2307782,'1985-03-24 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211142431558833495124231068044',12797,'269',47.86,1,3,NULL),(15,2307790,'1979-06-29 00:00:00',4,1,11,1997,'F','N','CAMPINAS','SAO JOSE','SC','124241247146151431564614445112610164142',NULL,'732',0.00,1,2,1),(15,2307812,'1990-01-17 00:00:00',2,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124241241315111431435531295112610114142',NULL,'270',23.01,1,3,NULL),(15,2307839,'1987-09-21 00:00:00',2,1,12,2006,'M','N','MERCES','CURITIBA','PR','116242251137271431357779575124610166052',11129,'9998',50.26,1,3,NULL),(15,2307847,'1980-05-28 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124244241214152721266823445122331012141',NULL,'738',0.00,1,3,NULL),(15,2307855,'1989-12-02 00:00:00',4,1,11,2007,'M','N','RESERVA DU MOULIN','SAO SEBASTIAO','SP','125252258215311451458831391124610164042',7810,'9998',55.68,4,3,NULL),(15,2307863,'1935-10-23 00:00:00',2,1,12,1959,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','224241241121155751375349191112521467047',15103,'9997',44.67,1,3,NULL),(15,2307871,'1991-01-28 00:00:00',4,1,12,2007,'M','N','MADUREIRA','CAXIAS DO SUL','RS','120202201217471711469811575122610164047',18301,'9998',39.80,1,3,NULL),(15,2307880,'1989-03-19 00:00:00',2,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124242241212112431359813345124230834072',17836,'738',40.61,1,3,NULL),(15,2307898,'1987-03-26 00:00:00',2,7,12,2006,'M','N','NOSSA S DE FATIMA','HERVAL D OESTE','SC','124241241134271231523514182324610137047',NULL,'341',19.22,1,2,1),(15,2307901,'1990-01-26 00:00:00',2,1,10,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','120202201236221431428313575124610122077',7771,'9998',55.75,1,3,NULL),(15,2307910,'1985-11-03 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANOPOLIS','SC','124163161326312711434415295124613264112',14092,'9998',46.04,1,3,NULL),(15,2307928,'1989-02-12 00:00:00',2,4,12,2006,'M','N','INDUSTRIARIOS','CONCORDIA','SC','124241241116132411343614345124610168177',13655,'194',46.68,1,2,1),(15,2307936,'1989-03-17 00:00:00',2,1,12,2006,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124244241435272411236623595114610114047',NULL,'9999',0.00,2,1,2),(15,2307952,'1981-12-31 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241137231432445624142134610124057',NULL,'307',22.84,1,2,1),(15,2307960,'1989-10-17 00:00:00',4,1,12,2006,'M','N','SAGRADO C DE JESUS','LAGES','SC','124242241211272431438912322125220727057',6675,'497',57.77,1,3,NULL),(15,2307979,'1988-07-30 00:00:00',4,1,12,2005,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241136132411337833445114130217052',NULL,'812',0.00,1,2,1),(15,2307987,'1990-06-06 00:00:00',4,3,12,2007,'F','N','CENTRO','ITAPEMA','SC','124241241211211431558733231122610158072',NULL,'403',18.50,1,3,NULL),(15,2307995,'1961-01-25 00:00:00',2,1,1,1983,'F','N','BELA VISTA I','SAO JOSE','SC','224241243122132431423359142134132742147',NULL,'513',26.13,4,3,NULL),(15,2308010,'1990-01-18 00:00:00',4,1,11,2007,'M','N','SETOR BUENO','GOIANIA','GO','109092091215111431489933275112610137053',8045,'9998',55.29,1,3,NULL),(15,2308029,'1978-12-23 00:00:00',4,1,12,1996,'M','N','BARREIROS','SAO JOSE','SC','124242241215152141376613345112330234112',NULL,'269',0.00,1,3,NULL),(15,2308045,'1991-04-24 00:00:00',4,4,12,2009,'M','S','CENTRO','CONCORDIA','SC','124244241415111431338652575121610127125',NULL,'1047',32.47,1,3,NULL),(15,2308053,'1989-11-21 00:00:00',4,8,12,2007,'M','N','CENTRO','GUARAPUAVA','PR','116162161117371431648814571112610147072',NULL,'9998',0.00,1,3,NULL),(15,2308061,'1990-03-30 00:00:00',4,1,12,2007,'M','N','CENTRO','MERCEDES','PR','116161161147371431433415575125610132147',NULL,'9998',0.00,1,2,1),(15,2308088,'1989-03-26 00:00:00',4,1,12,2007,'M','N','CENTRO','SAO JOAO BATISTA','SC','124241241137151442677832575122610131142',7641,'712',55.96,1,3,NULL),(15,2308100,'1986-07-09 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241122232421421311145124610167047',12333,'322',48.53,1,2,1),(15,2308134,'1987-07-14 00:00:00',2,1,12,2004,'M','N','FLORESTA','PORTO ALEGRE','RS','120072071217271731366923272124240324097',NULL,'9998',0.00,1,3,NULL),(15,2308142,'1990-07-16 00:00:00',4,1,12,2007,'M','N','PIO CORREA','CRICIUMA','SC','124242241215271432456512595122610132141',13768,'226',46.51,1,3,NULL),(15,2308150,'1972-09-10 00:00:00',4,1,12,1989,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','624213211217475731249613432123120247097',5252,'9998',60.61,1,3,NULL),(15,2308169,'1987-12-03 00:00:00',4,1,12,2005,'M','N','PORTO DA LAGOA','FLORIANOPOLIS','SC','124252241217443721357511195124231064142',15351,'270',44.33,4,3,NULL),(15,2308177,'1985-09-02 00:00:00',2,1,12,2003,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241212575421636631245124610123142',18935,'884',38.78,1,3,NULL),(15,2308193,'1988-06-19 00:00:00',4,8,12,2005,'F','N','CENTRO','JOINVILLE','SC','124242241212172432449613574125233231192',8317,'461',54.82,1,3,NULL),(15,2308207,'1989-01-26 00:00:00',4,4,12,2005,'M','N','SANTA MARIA','CHAPECO','SC','124243241137132411457313285114142122177',6046,'169',58.98,1,3,NULL),(15,2308215,'1990-06-23 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217111431558814145134610117042',7946,'1022',55.45,2,1,2),(15,2308223,'1990-02-08 00:00:00',2,1,7,2008,'F','S','CARIANOS','FLORIANOPOLIS','SC','124241247212131431456623392124613243187',NULL,'9999',17.37,1,3,NULL),(15,2308231,'1989-10-04 00:00:00',2,8,12,2007,'F','N','BUCAREIN','JOINVILLE','SC','124093241235111431626633272124610138152',14361,'486',45.62,1,3,NULL),(15,2308240,'1990-02-03 00:00:00',4,8,12,2007,'M','N','IRIRIÚ','JOINVILLE','SC','124242241234271421659614375124610167143',11911,'462',49.08,1,3,NULL),(15,2308266,'1990-06-27 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431549813295114610163077',3834,'1022',63.90,1,3,NULL),(15,2308274,'1990-04-15 00:00:00',4,1,12,2007,'M','N','JOAO PAULO II','POUSO ALEGRE','MG','113132131217121231589931275122610164177',NULL,'9998',0.00,1,3,NULL),(15,2308282,'1985-09-17 00:00:00',2,1,12,2005,'M','N','CENTRO','PALHOCA','SC','124241241122131721633311342134610121097',NULL,'591',23.14,1,2,1),(15,2308290,'1990-09-12 00:00:00',2,8,12,2007,'M','N','CENTRO','PONTA GROSSA','PR','116162161216121431557812575122610147012',4830,'9998',61.46,1,3,NULL),(15,2308304,'1989-10-18 00:00:00',4,7,11,2006,'F','N','SANTA CATARINA','CACADOR','SC','124242241216272431546813572122610132017',8000,'9997',55.37,1,3,NULL),(15,2308312,'1990-09-27 00:00:00',4,5,12,2007,'M','N','RAICHASKI','ICARA','SC','124243241415211331437833135112610164112',NULL,'226',0.00,1,3,NULL),(15,2308320,'1990-09-28 00:00:00',2,1,12,2007,'M','N','CENTRO','NOVA PRATA','RS','120202201117271411469734595122610147037',6479,'9998',58.12,1,3,NULL),(15,2308347,'1989-02-02 00:00:00',2,6,12,2007,'M','N','PEREQUE PRAIA','PORTO BELO','SC','624241241147151511325314142124610114052',NULL,'630',23.64,1,2,1),(15,2308355,'1987-11-10 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','624161165117141421216544341124610143177',16856,'9998',42.07,3,2,1),(15,2308363,'1984-07-24 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244247142131511438911275124610133182',NULL,'9997',27.27,1,3,NULL),(15,2308380,'1990-02-17 00:00:00',4,8,12,2007,'F','N','ALTO DA TIJUCA','CANOINHAS','SC','124243241216111731469633575122610137142',NULL,'154',0.00,1,3,NULL),(15,2308398,'1988-11-24 00:00:00',4,8,12,2006,'M','N','TARRAF UM','SAO JOSE DO RIO PRETO','SP','125251251216471431466611575112610164042',18350,'9998',39.72,1,3,NULL),(15,2308401,'1990-09-27 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124241241117131431636634575124610127137',NULL,'257',24.60,1,2,1),(15,2308410,'1988-04-18 00:00:00',4,1,12,2005,'M','N','LAGO NORTE','LAGO NORTE','DF','107072071216152731568833495122141027047',4033,'9998',63.38,4,3,NULL),(15,2308428,'1990-12-14 00:00:00',4,2,11,2007,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124244241235151231448811112124610127187',21045,'909',34.77,1,3,NULL),(15,2308460,'1989-12-30 00:00:00',2,1,12,2006,'F','N','NAVEGANTES','SALTO DO JACUI','RS','120201201117371731423623575122610124147',19926,'9998',36.96,1,3,NULL),(15,2308479,'1987-06-14 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211273421568923345124131424047',6233,'269',58.58,1,3,NULL),(15,2308487,'1990-08-31 00:00:00',2,1,12,2007,'F','N','ALTO ARIRIÚ','PALHOCA','SC','124241242115131431326923472124610161147',NULL,'772',25.61,4,3,NULL),(15,2308495,'1986-05-24 00:00:00',2,1,12,2003,'F','N','TAPERA','FLORIANOPOLIS','SC','124244241217373411633533472124610168187',12252,'260',48.65,2,1,2),(15,2308517,'1982-07-28 00:00:00',2,1,11,2006,'M','N','PINHEIRA','PALHOCA','SC','124243247216212711113479415123610117171',NULL,'9999',25.04,1,3,NULL),(15,2308525,'1988-10-07 00:00:00',2,1,12,2005,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241417153421445612575112231267047',NULL,'737',0.00,1,3,NULL),(15,2308533,'1988-03-28 00:00:00',2,8,12,2005,'F','N','CENTRO','PONTA GROSSA','PR','116162161216142431557812575122242643147',12660,'9998',48.06,1,3,NULL),(15,2308541,'1986-07-10 00:00:00',4,10,10,2003,'M','N','OFICINAS','TUBARAO','SC','124242241335571431568412571122131322057',NULL,'807',0.00,1,3,NULL),(15,2308550,'1990-04-24 00:00:00',2,3,12,2007,'F','N','MEDIANEIRA','CACHOEIRA DO SUL','RS','120201201116271431426419571122610122145',20437,'9998',35.98,1,2,1),(15,2308568,'1989-01-22 00:00:00',4,1,12,2006,'M','N','ASA NORTE','BRASILIA','DF','107072071417372421358933432121610137042',5953,'9998',59.16,3,3,NULL),(15,2308576,'1989-12-11 00:00:00',2,10,11,2007,'F','N','SÃO GERALDO','IJUI','RS','120202201216111731437639572122610128147',17267,'9998',41.46,1,3,NULL),(15,2308584,'1991-03-01 00:00:00',2,8,12,2007,'F','N','NINHO DA COBRA','CASCAVEL','PR','116161161117111431444311235124610167067',NULL,'9998',20.37,1,2,1),(15,2308592,'1990-02-07 00:00:00',4,2,12,2007,'F','N','VELHA','BLUMENAU','SC','124241241215131131436514572124610141147',NULL,'88',0.00,1,3,NULL),(15,2308606,'1990-09-05 00:00:00',4,1,12,2007,'F','N','CENTRO','ERECHIM','RS','120201201116131751528379572115610168147',NULL,'9998',0.00,1,3,NULL),(15,2308614,'1990-09-30 00:00:00',2,1,12,2007,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124243241115271431548713575124610121182',3121,'271',65.79,1,3,NULL),(15,2308622,'1990-10-03 00:00:00',4,1,12,2008,'M','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241217111451438614242125610128132',NULL,'270',48.32,1,3,NULL),(15,2308630,'1990-03-30 00:00:00',4,8,12,2007,'F','N','SAGUAÇÚ','JOINVILLE','SC','124241241117131431334624342111610146097',NULL,'478',20.98,1,2,1),(15,2308649,'1990-06-01 00:00:00',4,1,12,2007,'M','N','PINGUIRITO','GAROPABA','SC','124241241147161431333439392121610118042',16790,'322',42.19,1,3,NULL),(15,2308657,'1982-10-12 00:00:00',2,1,12,1999,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124163166112575431556612241244610138187',207,'9998',79.83,1,3,NULL),(15,2308665,'1987-12-14 00:00:00',4,1,12,2005,'M','N','PQ NOVA JANDIRA','JANDIRA','SP','125253251316571431356614375112241037047',9982,'9998',51.96,1,3,NULL),(15,2308673,'1987-12-18 00:00:00',4,8,12,2005,'M','N','LABIENÓPOLES','GARCA','SP','125252251216471431447412175123610166032',NULL,'9998',0.00,1,3,NULL),(15,2308681,'1991-01-15 00:00:00',4,4,12,2007,'M','N','CENTRO','MARAVILHA','SC','124241241412151431456913575122610158012',19037,'1037',38.62,1,3,NULL),(15,2308690,'1990-04-03 00:00:00',2,3,12,2007,'M','N','VILA ALIANÇA','GUARULHOS','SP','125252251216271431354924245112610164092',14281,'9998',45.76,1,3,NULL),(15,2308720,'1990-11-07 00:00:00',4,1,12,2007,'M','N','VILA NOVA','IMBITUBA','SC','124241241117131431425514372224610134047',18309,'359',39.78,4,2,1),(15,2308738,'1990-02-15 00:00:00',4,4,12,2006,'F','N','LUCAS ARAUJO','PASSO FUNDO','RS','120202201216471451468831594125610136182',NULL,'9998',0.00,1,3,NULL),(15,2308746,'1989-10-28 00:00:00',4,1,12,2006,'M','N','CENTRO','PALHOCA','SC','124241241222132431633311342134610125177',15679,'262',43.84,1,3,NULL),(15,2308754,'1990-01-27 00:00:00',4,1,12,2007,'F','N','CACUPÉ','FLORIANOPOLIS','SC','124241248115131422323319392324610147147',18369,'242',39.69,1,2,1),(15,2308762,'1989-11-23 00:00:00',2,3,12,2006,'F','N','SAO CRISTOVAO','TRES BARRAS','SC','124242241216371431436823341124610136077',15942,'154',43.47,1,3,NULL),(15,2308770,'1988-10-18 00:00:00',4,1,12,2006,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241212112421258923375124230267081',2771,'457',66.81,1,3,NULL),(15,2308789,'1984-04-02 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243247427573441633831145124131467187',NULL,'9999',47.48,1,3,NULL),(15,2308797,'1979-08-05 00:00:00',3,1,12,1998,'F','N','TRINDADE','FLORIANOPOLIS','SC','224201208127131441223344245124341152175',NULL,'9998',12.91,1,3,NULL),(15,2308800,'1983-02-06 00:00:00',2,1,8,2002,'F','N','ESTREITO','FLORIANOPOLIS','SC','124204247435134421335739342124610161147',12802,'9999',47.85,4,3,NULL),(15,2308819,'1990-07-30 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215111431469833574124610134042',6400,'270',58.25,1,3,NULL),(15,2308827,'1986-01-18 00:00:00',4,1,6,2004,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241247335272431237821212132610167187',16223,'1003',43.02,4,3,NULL),(15,2308835,'1986-05-06 00:00:00',4,8,12,2003,'M','N','CENTRO','CURITIBA','PR','116163161416571441568714571112610162047',4600,'9998',61.99,1,3,NULL),(15,2308843,'1990-09-10 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124161241317131731446374342122610126147',4672,'988',61.82,1,3,NULL),(15,2308851,'1988-10-07 00:00:00',4,1,3,2006,'F','N','BARREIROS','SAO JOSE','SC','124241241117133431437621376124231063182',17420,'739',41.20,4,2,1),(15,2308860,'1966-05-31 00:00:00',4,1,12,1992,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','624244243243132431348651425132613267143',NULL,'9997',32.55,1,3,NULL),(15,2308878,'1988-08-31 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215572431359933575124610136197',13160,'499',47.38,1,3,NULL),(15,2308886,'1979-05-24 00:00:00',4,1,12,1996,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124244241216133411386539325122520325127',NULL,'272',0.00,1,3,NULL),(15,2308894,'1991-08-22 00:00:00',4,2,12,2008,'F','S','PONTA AGUDA','BLUMENAU','SC','124242241217151411567734575122610526111',NULL,'71',36.54,1,3,NULL),(15,2308908,'1988-11-01 00:00:00',2,1,12,2005,'M','N','CENTRO','SANTA MARIA','RS','120203201337572731556713491111610167067',7108,'9998',56.96,1,3,NULL),(15,2308916,'1988-10-30 00:00:00',4,1,7,2006,'M','N','BOM VIVER','BIGUACU','SC','124241241115142441323624395124610124053',7366,'306',56.49,1,2,1),(15,2308924,'1987-10-16 00:00:00',4,8,12,2005,'M','N','BUCAREIN','JOINVILLE','SC','124243241135133331626631382111610132012',10589,'492',51.04,1,3,NULL),(15,2308932,'1989-03-30 00:00:00',2,1,12,2006,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241112272421548614395124610164182',NULL,'257',23.69,1,3,NULL),(15,2308940,'1985-06-22 00:00:00',4,1,11,2002,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241111275441453869391124231024017',7409,'307',56.40,1,2,1),(15,2308959,'1989-11-21 00:00:00',4,8,12,2007,'M','N','CENTRO','GUARAPUAVA','PR','116164161116111211628814245122610115052',NULL,'9998',0.00,1,3,NULL),(15,2308975,'1989-04-06 00:00:00',4,1,11,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241216472431226624572124610124142',19593,'738',37.63,1,3,NULL),(15,2308983,'1983-12-11 00:00:00',4,1,12,2000,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241246116133431436834345124221754197',9577,'230',52.63,2,1,1),(15,2308991,'1990-01-03 00:00:00',4,2,12,2007,'F','N','TRIBESS','BLUMENAU','SC','124241241212111431656712571124610124147',19908,'88',36.99,1,3,NULL),(15,2309009,'1988-07-11 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241216153431556613275124230237047',12782,'53',47.88,1,3,NULL),(15,2309017,'1980-05-16 00:00:00',4,1,12,1999,'F','N','CENTRO','FLORIANOPOLIS','SC','124241247236131711423324192114132167187',NULL,'1003',23.88,4,3,NULL),(15,2309025,'1985-09-19 00:00:00',2,1,12,2003,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241124135431521111144114610112127',16816,'290',42.14,4,3,NULL),(15,2309033,'1989-03-26 00:00:00',2,1,12,2006,'F','N','CAMPINAS','SAO JOSE','SC','124242241215272431656639345124610122027',10834,'723',50.70,1,3,NULL),(15,2309041,'1983-05-07 00:00:00',4,9,12,2000,'F','N','UNIVERSITÁRIO','LAGES','SC','124241241134372751656633576125233154097',6918,'513',57.31,1,2,1),(15,2309050,'1988-03-27 00:00:00',4,1,12,2005,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241122133731431319282114610167047',9230,'307',53.22,1,2,1),(15,2309068,'1991-01-14 00:00:00',4,1,12,2007,'M','N','PINGUIRITO','GAROPABA','SC','124241241142161231539832372221610118042',NULL,'322',23.65,1,3,NULL),(15,2309076,'1988-07-29 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241247333221411224879375115610128195',20684,'9999',35.53,1,3,NULL),(15,2309084,'1980-10-18 00:00:00',4,1,12,1998,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','224243241314572231139952415124322868187',5539,'270',59.98,1,3,NULL),(15,2309092,'1988-10-19 00:00:00',4,7,12,2005,'M','N','SANTA ROSA','PORTO UNIAO','SC','124161241413151311539513575121231066172',514,'633',76.66,1,3,NULL),(15,2309106,'1988-04-18 00:00:00',2,1,12,2006,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241111271432458619445124610127062',NULL,'307',5.75,1,3,NULL),(15,2309114,'1989-08-25 00:00:00',4,1,12,2006,'M','N','BEATRIZ','LAGES','SC','124243241215472431538814275114610164047',15138,'499',44.62,1,3,NULL),(15,2309122,'1985-07-22 00:00:00',4,4,8,2003,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','624212217346151731588913375122341247042',3669,'9999',64.31,1,3,NULL),(15,2309130,'1977-06-24 00:00:00',2,1,12,1994,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241127132431321144142124222367057',16806,'239',42.15,3,2,1),(15,2309149,'1990-04-03 00:00:00',2,5,11,2007,'M','N','CENTRO','MARACAJA','SC','124241241215111711554432594111610167097',7231,'970',56.74,1,3,NULL),(15,2309157,'1990-09-28 00:00:00',2,2,12,2007,'M','N','PRIMEIRA DE MAIO','BRUSQUE','SC','124242241215151231467732375112610164042',4823,'109',61.47,1,3,NULL),(15,2309165,'1977-10-31 00:00:00',2,1,12,1995,'M','N','JARDIM AQUARIOS','PALHOCA','SC','224241246121135431221144245123610113117',11336,'591',49.93,1,2,1),(15,2309173,'1982-07-17 00:00:00',2,1,12,2003,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241111373731543819142121610127117',13221,'307',47.28,1,3,NULL),(15,2309181,'1988-02-19 00:00:00',4,1,12,2005,'M','N','CAMPINAS','SAO JOSE','SC','124241241235373431468319292114610127052',13677,'737',46.65,1,3,NULL),(15,2309190,'1990-06-06 00:00:00',4,8,12,2007,'F','N','JD LARANJEIRAS','FOZ DO IGUACU','PR','116162161231131531523311241324610117057',NULL,'9998',13.90,1,3,NULL),(15,2309203,'1985-02-05 00:00:00',4,1,12,2002,'M','N','VILA COSTA E SILVA','CAMPINAS','SP','125251254137472441453624442124610164142',14322,'9998',45.70,1,2,1),(15,2309211,'1989-04-24 00:00:00',4,5,12,2006,'M','N','CENTRO','TURVO','SC','124244241217371431256821445122610164112',20642,'32',35.61,1,3,NULL),(15,2309238,'1984-09-10 00:00:00',2,10,12,2002,'F','N','CENTRO','BRACO DO NORTE','SC','124241241416272431426669345124133221097',14137,'950',45.98,1,3,NULL),(15,2309246,'1988-11-10 00:00:00',4,1,12,2006,'M','N','ROÇADO','SAO JOSE','SC','124242241217142451346613435124230267112',13938,'724',46.24,1,3,NULL),(15,2309254,'1987-06-07 00:00:00',4,1,12,2004,'F','N','BELA VISTA','BAURU','SP','125252251215571451328539575122610164092',5920,'9998',59.22,4,3,NULL),(15,2309262,'1988-06-13 00:00:00',2,3,12,2005,'M','N','AREIAS','CAMBORIU','SC','124242241245473431436624342123610164047',14253,'388',45.79,1,3,NULL),(15,2309270,'1971-03-24 00:00:00',4,1,12,1987,'M','N','ITACORUBI','FLORIANOPOLIS','SC','624242241416475721188943235123322832037',2873,'267',66.52,1,3,NULL),(15,2309289,'1989-04-25 00:00:00',4,1,11,2006,'F','N','PONTAL DA CRUZ','SAO SEBASTIAO','SP','125252251215471431478921574114610124127',8919,'9998',53.80,1,3,NULL),(15,2309297,'1990-10-08 00:00:00',4,6,12,2007,'M','N','N SRA DE LOURDES','CAXIAS DO SUL','RS','120161201117161411433331575324610165147',8178,'9998',55.05,1,2,1),(15,2309327,'1985-04-28 00:00:00',2,1,12,2004,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241113135431446633445124610163097',17522,'267',41.06,1,2,1),(15,2309335,'1990-05-05 00:00:00',4,1,12,2007,'M','N','CENTRO','BIGUACU','SC','124242241217161431453923345121610137062',22318,'63',30.91,1,3,NULL),(15,2309351,'1988-11-16 00:00:00',2,1,7,2007,'F','N','CENTRO','ARARANGUA','SC','124242243215111431438611495125610124172',18186,'995',40.00,1,3,NULL),(15,2309378,'1986-04-25 00:00:00',4,1,12,2005,'M','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124244247147152411346923315124121764197',5266,'9999',60.58,1,3,NULL),(15,2309386,'1987-08-11 00:00:00',4,9,11,2004,'M','N','BEATRIZ','LAGES','SC','124242246215473431347913381122233244047',11801,'499',49.26,1,3,NULL),(15,2309394,'1988-12-18 00:00:00',4,1,12,2006,'M','N','MARTINS','UBERLANDIA','MG','113133131216371211449831572115610167047',NULL,'9998',0.00,1,3,NULL),(15,2309408,'1990-04-10 00:00:00',4,10,12,2007,'M','N','CENTRO','TUBARAO','SC','124242241217121431389812572112610162145',15549,'807',44.06,1,3,NULL),(15,2309416,'1989-03-25 00:00:00',4,1,12,2006,'M','N','JARDIM DAS COLINAS','SAO JOSE DOS CAMPOS','SP','125252251215471432369811571114610137082',1849,'9998',69.78,2,3,NULL),(15,2309424,'1989-09-05 00:00:00',4,3,12,2006,'M','N','PARQUE DOS PRINCIPES','SAO PAULO','SP','125252251216371431488833575124610127052',NULL,'9998',0.00,1,3,NULL),(15,2309432,'1967-05-04 00:00:00',4,1,12,1988,'M','N','ESTREITO','FLORIANOPOLIS','SC','224241248141133421333644345132130714047',15097,'307',44.67,1,2,1),(15,2309440,'1986-09-05 00:00:00',2,1,12,2004,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241121133431456513471114610144142',21811,'296',32.92,1,2,1),(15,2309459,'1984-06-26 00:00:00',4,8,12,2002,'M','N','FREZARIN','AMERICANA','SP','125251256126571431436611285124141415187',9402,'9998',52.94,3,3,NULL),(15,2309467,'1983-12-23 00:00:00',2,1,12,2001,'F','N','JARDIM NOVA LONDRES','LONDRINA','PR','116161161417471731567813575123242834046',12387,'9998',48.44,1,3,NULL),(15,2309475,'1981-07-13 00:00:00',2,1,12,2001,'M','N','FLORESTA','SAO JOSE','SC','124161161131132751323344143334610132057',11795,'9998',49.27,1,2,1),(15,2309483,'1985-12-10 00:00:00',4,9,12,2002,'F','N','ZONA SETE','MARINGA','PR','116161161315573431438614572112610133147',2637,'9998',67.20,1,3,NULL),(15,2309505,'1986-08-07 00:00:00',2,1,12,2003,'M','N','CAMBUI','CAMPINAS','SP','125252251216372451138832575122243232187',9346,'9998',53.05,4,3,NULL),(15,2309513,'1980-12-18 00:00:00',2,1,12,1998,'M','N','ENSEADA DO BRITO','PALHOCA','SC','124241246121133411532312331231321712142',NULL,'739',40.32,1,3,NULL),(15,2309530,'1991-03-25 00:00:00',2,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124242247214471411348912375112613214115',18086,'403',40.17,1,3,NULL),(15,2309548,'1990-05-27 00:00:00',4,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124244248215121431356627275112610127042',NULL,'44',0.00,1,3,NULL),(15,2309564,'1988-01-07 00:00:00',4,1,12,2005,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241212373431459813571112230234047',20305,'9999',36.23,1,3,NULL),(15,2309572,'1988-08-04 00:00:00',4,1,12,2005,'M','N','VILA BETANIA','SAO JOSE DOS CAMPOS','SP','125252251215572431469931575111610164087',NULL,'9998',0.00,4,3,NULL),(15,2309580,'1989-02-12 00:00:00',4,1,12,2006,'M','N','CAMPESTRE','HORIZONTINA','RS','120203201217271451243723415115610137047',10458,'9998',51.25,1,3,NULL),(15,2309599,'1983-10-06 00:00:00',2,1,12,2000,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124201201112131421438944445223140738187',NULL,'9998',0.00,1,3,NULL),(15,2309602,'1987-11-16 00:00:00',4,1,12,2005,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124242247217473131476313575114610168186',5147,'9999',60.81,1,3,NULL),(15,2309610,'1991-02-03 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241115111431527614575224610114047',16128,'307',43.18,1,3,NULL),(15,2309629,'1990-05-03 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORES DA CUNHA','RS','120204201217471132458914572114610167047',NULL,'9998',0.00,1,3,NULL),(15,2309637,'1989-11-30 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241216211331446612395121610167147',621,'270',75.90,1,3,NULL),(15,2309645,'1979-10-17 00:00:00',2,1,7,2007,'M','N','ASSUNÇÃO','PORTO ALEGRE','RS','220201207326271431436349192124610122177',NULL,'9998',0.00,1,3,NULL),(15,2309661,'1986-05-08 00:00:00',4,1,2,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241247122131431648673342222231024097',NULL,'9999',22.04,1,2,1),(15,2309670,'1980-03-14 00:00:00',4,1,12,1998,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241137135721346679395124120367017',NULL,'306',NULL,3,3,NULL),(15,2309696,'1988-03-29 00:00:00',4,1,12,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124244241417573411476919272122120867071',4759,'270',61.61,1,3,NULL),(15,2309700,'1990-05-24 00:00:00',4,1,2,2009,'F','S','JOÃO PAULO','FLORIANOPOLIS','SC','124244241417111431489914486122610131092',NULL,'883',47.93,1,3,NULL),(15,2309718,'1983-10-31 00:00:00',4,5,12,2000,'F','N','CENTRO','MARACAJA','SC','124242241211273421466933435124331512102',6290,'27',58.47,1,3,NULL),(15,2309726,'1990-03-03 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431335519575124610122047',7171,'262',56.84,1,3,NULL),(15,2309734,'1988-12-28 00:00:00',4,10,12,2006,'M','N','CENTRO','BRACO DO NORTE','SC','124241241425272431448634241121610117042',10537,'749',51.13,1,3,NULL),(15,2309742,'1985-08-14 00:00:00',4,1,12,2004,'M','N','AFONSO PENA','SAO JOSE DOS PINHAIS','PR','116161161317132411558814385124610132067',NULL,'9998',0.00,1,3,NULL),(15,2309750,'1987-10-08 00:00:00',2,1,12,2004,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124243241112113231449613391114610113091',13633,'271',46.71,1,3,NULL),(15,2309777,'1990-08-06 00:00:00',4,1,11,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241215111411489711575122610122122',19242,'883',38.27,1,3,NULL),(15,2309785,'1990-05-31 00:00:00',4,1,12,2007,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124242241215111441378933572122610138182',NULL,'988',14.89,1,3,NULL),(15,2309793,'1987-03-18 00:00:00',4,1,12,2004,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215113431568632342122221417042',NULL,'1022',0.00,1,3,NULL),(15,2309807,'1962-08-03 00:00:00',4,1,12,1982,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','624203208442152411473643233132321033042',15577,'9998',44.01,1,3,NULL),(15,2309815,'1986-12-06 00:00:00',4,1,12,2005,'M','N','PICADAS DO SUL','SAO JOSE','SC','124244241411323411576933331122130266052',NULL,'1118',0.00,1,3,NULL),(15,2309823,'1990-01-22 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124244247447331431228629342124610135147',17548,'9999',41.02,1,3,NULL),(15,2309831,'1983-05-02 00:00:00',2,1,12,2000,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','224241247417154441575841112124610136022',NULL,'9999',26.55,1,3,NULL),(15,2309840,'1990-09-05 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241212111431358821424122610147047',3333,'213',65.17,1,3,NULL),(15,2309858,'1990-08-04 00:00:00',4,8,12,2007,'F','N','JARDIM MARIA LUIZA','CASCAVEL','PR','116162161217271431348934572122610137142',NULL,'9998',0.00,1,3,NULL),(15,2309866,'1979-06-22 00:00:00',2,1,12,1999,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','624241242142132441223353212224122367017',NULL,'288',32.27,1,3,NULL),(15,2309882,'1990-10-09 00:00:00',4,4,12,2007,'M','N','PRESIDENTE MÉDICE','CHAPECO','SC','124241241116211431463635172124610114057',NULL,'177',0.00,1,3,NULL),(15,2309890,'1987-06-13 00:00:00',2,1,12,2005,'M','N','PANTANO DO SUL','FLORIANOPOLIS','SC','124242241212372431558833372124610127115',20847,'1022',35.20,1,3,NULL),(15,2309912,'1990-01-30 00:00:00',1,8,11,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124242246216131411446623332124610144097',20577,'494',35.73,1,3,NULL),(15,2309920,'1988-12-05 00:00:00',4,3,12,2006,'M','N','INDIANÓPOLIS','SAO PAULO','SP','125252251216271431489811575112241437042',9221,'9998',53.24,1,3,NULL),(15,2309939,'1985-09-01 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124252241217154711163512185124233234183',NULL,'270',0.00,1,3,NULL),(15,2309947,'1989-02-15 00:00:00',2,4,11,2006,'M','N','N S APARECIDA','FRANCISCO BELTRAO','PR','116162161117572431439913212114610124017',NULL,'9998',0.00,1,3,NULL),(15,2309963,'1989-09-19 00:00:00',4,8,11,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124242246416151411569634575122610135122',NULL,'1006',0.00,1,3,NULL),(15,2309971,'1988-03-03 00:00:00',4,1,11,2005,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215573431467832575124610166187',8110,'807',55.17,1,3,NULL),(15,2309980,'1978-05-20 00:00:00',4,1,12,1996,'F','N','PONTA DE BAIXO','SAO JOSE','SC','224113113117132421669913345124330222082',22246,'9998',31.30,1,3,NULL),(15,2310007,'1990-08-12 00:00:00',4,2,12,2007,'M','N','VILA','PALOTINA','PR','116164161217111731534736575122610164042',NULL,'9998',0.00,1,3,NULL),(15,2310015,'1987-05-31 00:00:00',4,1,6,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241112113751558813395134230217051',9142,'306',53.37,1,3,NULL),(15,2310031,'1990-10-23 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215121431679929592122610162092',2414,'270',67.87,1,3,NULL),(15,2310040,'1989-11-05 00:00:00',4,1,12,2006,'M','N','CENTRO','GAROPABA','SC','124241241315272431467627575124121267117',8528,'1022',54.47,1,3,NULL),(15,2310066,'1990-08-11 00:00:00',4,1,12,2007,'M','N','CENTRO','SAO LEOPOLDO','RS','120202201116471431469833575122610122053',NULL,'9998',0.00,1,3,NULL),(15,2310074,'1984-01-30 00:00:00',2,1,10,2001,'F','N','ALTO ARIRIÚ','PALHOCA','SC','124241241315274711423331385124610167187',13595,'1036',46.75,1,3,NULL),(15,2310082,'1990-09-21 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241215111411547923395124610127117',NULL,'951',26.96,1,3,NULL),(15,2310090,'1989-09-27 00:00:00',2,6,12,2007,'M','N','ITAJAI','ITAJAI','SC','121212218211111721374929395124613267047',NULL,'9998',0.00,4,3,NULL),(15,2310104,'1986-07-06 00:00:00',2,1,12,2005,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241247411133431449613575124232844092',NULL,'1022',23.54,1,3,NULL),(15,2310112,'1990-02-22 00:00:00',4,1,12,2007,'M','N','CIDADE NOVA','CAXIAS DO SUL','RS','120201201117371431249611575324610167057',9405,'9998',52.94,1,3,NULL),(15,2310120,'1984-07-21 00:00:00',4,1,12,2001,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124243241117372711333439392124331247072',NULL,'271',0.00,1,3,NULL),(15,2310139,'1990-12-23 00:00:00',4,3,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215522431458822345122610123172',7246,'9997',56.70,1,3,NULL),(15,2310147,'1989-10-20 00:00:00',4,4,12,2006,'M','N','JARDIM IGUAÇU','FOZ DO IGUACU','PR','116164161215571331468933474123610128027',NULL,'9998',0.00,1,3,NULL),(15,2310155,'1992-04-21 00:00:00',4,1,12,2008,'M','S','AEROPORTO','TUBARAO','SC','124242241212161431689911575122610137051',NULL,'797',39.78,1,3,NULL),(15,2310163,'1986-12-03 00:00:00',4,1,12,2004,'M','N','IPIRANGA','SAO JOSE','SC','124241241117131411246624332122610167057',16371,'734',42.80,1,2,1),(15,2310171,'1989-02-11 00:00:00',4,1,12,2006,'M','N','FLORESTA','SAO JOSE','SC','124241241417152411258513372124230214047',9894,'1022',52.11,4,3,NULL),(15,2310180,'1967-11-14 00:00:00',2,1,12,1987,'M','N','CENTRO','ANITAPOLIS','SC','124201201126151721343341412122242236047',18616,'9998',39.30,1,3,NULL),(15,2310198,'1988-08-18 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241247125111411336629392335610167117',NULL,'277',17.20,2,3,NULL),(15,2310201,'1990-07-20 00:00:00',2,4,12,2007,'F','N','CENTRO','ERECHIM','RS','120201201215111431343929575114610135092',21796,'9998',32.96,1,3,NULL),(15,2310210,'1970-01-10 00:00:00',2,1,12,1992,'M','N','SAO LUIZ','SAO JOSE','SC','224201198122131451333379221331610213171',NULL,'9999',NULL,1,3,NULL),(15,2310228,'1987-04-04 00:00:00',4,1,11,2004,'F','N','AREIAS','SAO JOSE','SC','124244241215373431466513575124132731192',5150,'738',60.81,1,3,NULL),(15,2310236,'1988-03-09 00:00:00',4,1,12,2005,'M','N','FLORESTAL','LAJEADO','RS','120202201217471411438611215122510167047',1796,'9998',69.95,1,3,NULL),(15,2310244,'1988-08-21 00:00:00',2,10,12,2005,'F','N','TIRADENTES','GRAVATAL','SC','124241241127131731636714245124231424147',NULL,'332',38.46,1,2,1),(15,2310252,'1990-01-17 00:00:00',4,8,12,2007,'F','N','JD SAO DIMAS','SAO JOSE DOS CAMPOS','SP','125252251215411431377812375112610122112',2456,'9998',67.76,1,3,NULL),(15,2310260,'1990-11-17 00:00:00',4,4,12,2007,'M','N','CENTRO NORTE','DOIS VIZINHOS','PR','116161161115131411434319292324610132141',4326,'9998',62.66,1,2,1),(15,2310279,'1991-01-23 00:00:00',4,1,12,2008,'F','S','CAMPINAS','SAO JOSE','SC','124242241215111431348619572112610114147',NULL,'270',57.40,1,3,NULL),(15,2310287,'1986-01-02 00:00:00',4,1,12,2003,'M','N','JD CAÇAPAVA','CACAPAVA','SP','125252251215371411348811482124141414057',3119,'9998',65.80,1,3,NULL),(15,2310295,'1989-10-29 00:00:00',2,1,11,2007,'F','N','CAMPINAS','SAO JOSE','SC','124242241215112411448823575112610167182',14256,'270',45.79,1,3,NULL),(15,2310309,'1990-04-11 00:00:00',2,4,12,2007,'M','N','CENTRO','CAMPINAS DO SUL','RS','120201201215111431446632575114610137062',21126,'9998',34.60,1,3,NULL),(15,2310325,'1987-12-26 00:00:00',2,1,12,2005,'M','N','FLORESTA','SAO JOSE','SC','124241241217142532436619495112610127047',15194,'943',44.54,1,3,NULL),(15,2310333,'1987-05-18 00:00:00',2,8,12,2004,'F','N','SANTANA','PORTO ALEGRE','RS','120201201317571431389713575114610128187',NULL,'9998',0.00,1,3,NULL),(15,2310341,'1990-01-04 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124243241215111711227629276212610147055',14586,'1048',45.29,1,3,NULL),(15,2310350,'1984-04-13 00:00:00',4,1,12,2001,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217133421637832345132120726057',13167,'9997',47.38,1,3,NULL),(15,2310368,'1964-09-06 00:00:00',1,1,12,1981,'M','N','CENTRO','FLORIANOPOLIS','SC','624251241216275451538849495122120264097',NULL,'9997',0.00,1,3,NULL),(15,2310376,'1988-07-12 00:00:00',4,1,12,2005,'F','N','FLORESTA','SAO JOSE','SC','124242241217253411469914572112233263187',15427,'737',44.22,1,3,NULL),(15,2310384,'1990-04-24 00:00:00',4,1,11,2007,'M','N','CENTRO','GUARUJA','SP','125252251216121731458811575125610122097',1689,'9998',70.42,1,3,NULL),(15,2310392,'1989-02-06 00:00:00',4,1,11,2005,'M','N','HIGIENOPOLIS','SAO PAULO','SP','125252251214472741467924571112610161113',6465,'9998',58.14,1,3,NULL),(15,2310406,'1990-12-28 00:00:00',4,3,11,2007,'F','N','CENTRO','CAMBORIU','SC','124251241215141411328629342222610137127',19569,'1045',37.69,1,3,NULL),(15,2310414,'1988-10-31 00:00:00',4,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241115471431426511175124610126187',19883,'271',37.04,1,2,1),(15,2310422,'1989-07-22 00:00:00',4,1,12,2006,'M','N','CENTRO','MOGI GUACU','SP','125254251214471431338824195121610137087',13061,'9998',47.50,2,1,2),(15,2310430,'1990-07-12 00:00:00',4,1,12,2007,'F','N','CENTRO','SAO JOAO BATISTA','SC','124241241115111411656813342122610111142',NULL,'712',23.31,1,3,NULL),(15,2310449,'1990-03-10 00:00:00',4,1,12,2008,'M','S','COQUEIROS','FLORIANOPOLIS','SC','124012241212111451467923575124610127012',NULL,'270',43.36,1,3,NULL),(15,2310457,'1990-08-18 00:00:00',2,4,12,2007,'M','N','CENTRO','ERECHIM','RS','120203201215111431445639571114610137042',12036,'9998',48.94,1,3,NULL),(15,2310465,'1984-02-15 00:00:00',2,1,10,2001,'F','N','SÃO PEDRO','SAO JOSE','SC','124241247137151431345479241324610165147',22471,'734',29.21,1,3,NULL),(15,2310473,'1991-04-11 00:00:00',2,1,12,2007,'F','N','CENTRO','TIJUCAS','SC','124244241214151431544832572224610123052',15292,'1119',44.41,1,3,NULL),(15,2310481,'1990-05-01 00:00:00',2,1,12,2007,'M','N','BARRA DO ARIRIU','PALHOCA','SC','124241241112131511536631572324610124177',NULL,'591',16.18,1,2,1),(15,2310490,'1957-06-19 00:00:00',2,1,12,1978,'M','N','JARDIM EUCALIPTUS','PALHOCA','SC','224241248122153411451149292342610116097',19839,'302',37.14,1,3,NULL),(15,2310503,'1981-07-18 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124251251145371751435619385112610124112',NULL,'9998',9.38,1,2,1),(15,2310511,'1988-08-30 00:00:00',4,4,12,2005,'F','N','MARIA GORETTI','CHAPECO','SC','124242161215371431489911574122133244092',2349,'9998',68.08,1,3,NULL),(15,2310520,'1988-03-19 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241115132432533336442334221946143',11183,'777',50.19,1,2,1),(15,2310538,'1987-07-08 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241217134432158833244334610166097',17597,'272',40.94,1,3,NULL),(15,2310546,'1992-04-21 00:00:00',4,1,12,2008,'M','S','AEROPORTO','TUBARAO','SC','124242241212161731679911575122610137052',NULL,'797',38.43,1,3,NULL),(15,2310554,'1985-07-20 00:00:00',5,1,12,2002,'F','N','FAZENDA STO ANTÔNIO','SAO JOSE','SC','224201201112333451356454372224231022057',20615,'9998',35.66,1,2,1),(15,2310562,'1990-09-07 00:00:00',4,1,12,2007,'M','N','MADUREIRA','CAXIAS DO SUL','RS','120202201217111431448934572122610137042',13874,'9998',46.35,1,3,NULL),(15,2310570,'1985-08-02 00:00:00',2,8,12,2002,'M','N','GUANABARA','JOINVILLE','SC','224241241216174431558411383123231464072',4719,'489',61.71,2,1,2),(15,2310589,'1985-01-08 00:00:00',4,6,11,2002,'M','N','JARDIM SAIRA','SOROCABA','SP','125251251436132441536814481121141422187',9151,'9998',53.35,1,3,NULL),(15,2310600,'1973-07-28 00:00:00',4,1,12,1989,'M','N','CENTRO','FLORIANOPOLIS','SC','124091093127131711131143432114141024147',14341,'9998',45.67,1,2,1),(15,2310619,'1989-08-01 00:00:00',2,1,12,2006,'M','N','CAMPINAS','SAO JOSE','SC','124241241117132731539613341224610127112',16636,'307',42.40,2,1,1),(15,2310627,'1990-05-01 00:00:00',4,1,12,2007,'M','N','BARRA DO ARIRIU','PALHOCA','SC','124241241112131411536631572124610117177',NULL,'591',18.61,1,2,1),(15,2310635,'1988-12-31 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124244241415372431478413592115232523193',18783,'9997',39.01,1,3,NULL),(15,2310643,'1990-12-16 00:00:00',2,1,11,2007,'M','N','CENTRO','ANTONIO CARLOS','SC','124243241312111511548613573224610126092',9855,'270',52.17,1,3,NULL),(15,2310651,'1986-09-13 00:00:00',2,1,11,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241116572441126414375124231922145',15871,'192',43.57,1,3,NULL),(15,2310660,'1989-10-30 00:00:00',4,1,11,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241115471431468813475121610121182',7708,'271',55.85,1,3,NULL),(15,2310678,'1964-09-07 00:00:00',4,1,8,2001,'M','N','BELA VISTA I','SAO JOSE','SC','224243247622133431456544141332610164197',NULL,'9999',24.82,1,3,NULL),(15,2310686,'1984-06-25 00:00:00',4,1,6,2004,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124244247432154411338829385123610164117',NULL,'9999',NULL,1,3,NULL),(15,2310694,'1990-02-21 00:00:00',4,6,12,2007,'F','N','FAZENDA','ITAJAI','SC','124242241215111431346923572122610121055',13046,'1026',47.52,1,3,NULL),(15,2310708,'1989-06-21 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241115371431226624442224610165012',15890,'307',43.55,1,2,1),(15,2310716,'1988-05-13 00:00:00',2,1,12,2006,'M','N','SANTO ANTONIO','BELO HORIZONTE','MG','113132131216471431358713471114610167097',3169,'9998',65.64,1,3,NULL),(15,2310724,'1987-07-08 00:00:00',2,1,12,2004,'F','N','PQ SÃO RAFAEL','SAO PAULO','SP','125251251124311411535611185134142833092',17316,'9998',41.36,1,2,1),(15,2310732,'1977-06-14 00:00:00',2,1,12,1999,'M','N','BARREIROS','SAO JOSE','SC','124241246127154421134633235112131432017',NULL,'306',0.00,1,2,1),(15,2310740,'1990-06-05 00:00:00',4,8,11,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431368914472124610164147',16225,'486',43.02,1,3,NULL),(15,2310759,'1989-07-10 00:00:00',4,1,6,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241235371432568729415124610164187',13852,'1098',46.39,1,3,NULL),(15,2310767,'1990-10-16 00:00:00',2,1,11,2007,'M','N','PONTA DE BAIXO','SAO JOSE','SC','124241241437131731636829295114610117047',14905,'1074',44.90,1,3,NULL),(15,2310775,'1990-10-20 00:00:00',4,1,12,2007,'M','N','ABRAAO','FLORIANOPOLIS','SC','124244241215111441456624375124610158187',10147,'269',51.72,1,3,NULL),(15,2310783,'1990-09-11 00:00:00',4,1,11,2007,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241214111431467612575124610122052',2756,'270',66.85,1,3,NULL),(15,2310791,'1990-01-22 00:00:00',4,4,12,2007,'F','N','CENTRO','CAMPINAS DO SUL','RS','120201201215111431546939575112610134092',4644,'9998',61.91,1,3,NULL),(15,2310805,'1990-03-24 00:00:00',2,7,12,2007,'F','N','SESI','VIDEIRA','SC','124241241116131431336614385122610131147',NULL,'831',22.48,1,2,1),(15,2310813,'1973-05-25 00:00:00',4,1,12,1991,'M','N','KOBRASOL','SAO JOSE','SC','224242251216135711238841211123133262097',9739,'9998',52.37,1,3,NULL),(15,2310821,'1989-06-07 00:00:00',4,1,11,2007,'M','N','NOSSA SR DO ROSÁRIO','SAO JOSE','SC','124242248216141521647612215132610127053',NULL,'9999',0.00,1,3,NULL),(15,2310848,'1990-03-20 00:00:00',4,2,12,2007,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241215271431348934574122610131057',NULL,'855',11.01,1,3,NULL),(15,2310864,'1989-06-18 00:00:00',2,1,12,2007,'F','N','PASSA VINTE','PALHOCA','SC','124243241117271431446623381124610124077',20542,'733',35.82,2,1,2),(15,2310872,'1989-08-25 00:00:00',2,1,12,2006,'M','N','CANASVIEIRAS','LAGES','SC','124244241215113211587913336125230267082',18569,'1022',39.38,1,3,NULL),(15,2310880,'1988-05-14 00:00:00',2,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','124242248231133731346514372122130267077',NULL,'943',0.00,1,3,NULL),(15,2310899,'1954-02-22 00:00:00',4,1,12,1979,'M','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','224281288117131441623348182123143216087',6324,'9998',58.41,1,2,1),(15,2310902,'1989-07-04 00:00:00',2,1,12,2006,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124242245237152221436623342124610134147',22028,'269',32.18,2,3,NULL),(15,2310910,'1990-08-27 00:00:00',4,1,12,2007,'M','N','JARDIM SAO PAULO','SAO JOAO BATISTA','SC','124241241117131432363321235122610138052',18480,'712',39.52,1,3,NULL),(15,2310929,'1990-07-09 00:00:00',4,8,11,2007,'F','N','CENTRO','TELEMACO BORBA','PR','116162161215471441469914574124610126142',NULL,'9998',0.00,1,3,NULL),(15,2310937,'1985-01-22 00:00:00',4,1,12,2002,'M','N','ARRAIAL DA JUDA','PORTO SEGURO','BA','105052051217575431578839445122613234092',12557,'9998',48.20,4,3,NULL),(15,2310945,'1989-02-14 00:00:00',4,5,6,2007,'M','N','CENTRO','ARARANGUA','SC','124244246432141431437833495124610144017',17213,'995',41.55,1,3,NULL),(15,2310953,'1993-07-17 00:00:00',4,6,12,2010,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241211111531589911572122610134032',NULL,'262',36.39,1,3,NULL),(15,2310996,'1973-09-07 00:00:00',2,1,8,1992,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','624201207126144421339941211224121122017',14770,'9998',45.04,2,3,NULL),(15,2311003,'1991-07-12 00:00:00',2,6,12,2007,'F','N','CORDEIROS','ITAJAI','SC','124241241117131411423514575121610156147',NULL,'396',22.19,1,2,1),(15,2311011,'1988-12-12 00:00:00',4,1,12,2007,'F','N','SERRARIAS','SAO JOSE','SC','124242241114111411536611572124610144147',15839,'306',43.62,1,3,NULL),(15,2311038,'1990-03-16 00:00:00',2,1,12,2007,'F','N','JARDIM JACARANDÁS','SINOP','MT','111163111417271431449934575121610137147',NULL,'9998',0.00,1,3,NULL),(15,2311062,'1990-08-06 00:00:00',4,1,12,2007,'F','N','VILA BEATRIZ','SAO PAULO','SP','125252251216151711467911575124610123112',6921,'9998',57.31,1,3,NULL),(15,2311070,'1986-06-07 00:00:00',4,1,12,2003,'M','N','ESTREITO','FLORIANOPOLIS','SC','124244241217235431536711241234610114067',11955,'882',49.03,1,3,NULL),(15,2311089,'1982-06-18 00:00:00',4,1,12,1999,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241216155431568413342124330264142',15535,'269',44.08,1,3,NULL),(15,2311097,'1979-11-04 00:00:00',2,1,12,1998,'F','N','COSTEIRA','FLORIANOPOLIS','SC','224241247426374741453343435112322722197',NULL,'9999',0.00,1,3,NULL),(15,2311100,'1990-03-14 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124244241416122411557812575122610157147',21403,'497',33.96,1,3,NULL),(15,2311119,'1990-07-17 00:00:00',4,5,12,2007,'M','N','CRUZEIRO DO SUL','CRICIUMA','SC','124242243215131431469832225124610124122',20674,'995',35.55,1,3,NULL),(15,2311127,'1974-10-16 00:00:00',4,1,12,2007,'F','N','JD AQUARIUS','PALHOCA','SC','224241245135131411421151291244610116192',NULL,'293',21.97,2,1,1),(15,2311135,'1987-07-06 00:00:00',4,1,12,2004,'F','N','JURERÊ','FLORIANOPOLIS','SC','124242241217134431537819382114232867147',15230,'1022',44.49,5,3,NULL),(15,2311143,'1989-08-26 00:00:00',4,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124253258347271731348829344124610132172',NULL,'9998',10.21,4,3,NULL),(15,2311151,'1976-01-17 00:00:00',4,1,12,1995,'M','N','PICADAS DO NORTE','SAO JOSE','SC','624202208112151451528741415134341867087',NULL,'9998',0.00,1,3,NULL),(15,2311160,'1989-08-18 00:00:00',4,7,12,2007,'F','N','INTERIOR','OURO','SC','124241241114131431526315252224610126172',21118,'585',34.62,1,3,NULL),(15,2311178,'1989-10-08 00:00:00',4,1,10,2006,'F','N','CENTRO','BRUSQUE','SC','124242241215473431556911572112610114197',943,'109',73.82,1,3,NULL),(15,2311186,'1989-03-09 00:00:00',2,1,12,2005,'M','N','ANÁPOLIS CITY','ANAPOLIS','GO','109092091216111711658729595124240367043',10579,'9998',51.06,4,3,NULL),(15,2311194,'1990-02-26 00:00:00',4,5,11,2007,'M','N','VILA SÃO JORGE','SIDEROPOLIS','SC','124244241215311431567712275122610124062',17969,'226',40.36,1,3,NULL),(15,2311208,'1982-08-28 00:00:00',2,1,12,2000,'F','N','CAMPINAS','SAO JOSE','SC','124241241141274731334329311124610137147',22277,'284',31.14,1,2,1),(15,2311216,'1990-02-22 00:00:00',2,4,12,2007,'M','N','SÃO FCO DE ASSIS','DOIS VIZINHOS','PR','116162161235111431535632392122610164017',12656,'9998',48.07,1,3,NULL),(15,2311224,'1988-08-09 00:00:00',4,6,12,2006,'M','N','JOSÉ AMANDIO','BOMBINHAS','SC','124242248212132431338913485124130237057',NULL,'407',13.63,1,3,NULL),(15,2311232,'1985-06-13 00:00:00',2,1,12,2002,'F','N','CAMPINAS','SAO JOSE','SC','124242241216143421456524445124221123097',15605,'262',43.95,1,3,NULL),(15,2311240,'1990-09-15 00:00:00',4,7,12,2007,'M','N','CENTRO','CELSO RAMOS','SC','124241241125161431423633435122610152145',NULL,'163',22.40,1,2,1),(15,2311259,'1978-04-30 00:00:00',4,1,12,1994,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241216132431335311112222333214097',NULL,'389',0.00,1,3,NULL),(15,2311267,'1983-12-30 00:00:00',4,3,12,2001,'F','N','MORRETES','ITAPEMA','SC','224242241421131421237254112122610113091',NULL,'405',23.25,2,1,2),(15,2311275,'1989-02-19 00:00:00',4,1,12,2007,'M','N','CENTRO','PASSO FUNDO','RS','120204201216111431228823435324610127042',18510,'9998',39.46,1,3,NULL),(15,2311283,'1990-09-12 00:00:00',4,1,11,2007,'M','N','CIDADE ALTA','JAGUARIAIVA','PR','116162161215161431566939574112610144197',NULL,'9998',0.00,1,3,NULL),(15,2311305,'1988-01-15 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','224243241132271421435544145324610125147',13908,'728',46.30,1,3,NULL),(15,2311313,'1990-08-19 00:00:00',4,4,12,2007,'M','N','CENTRO','CONCORDIA','SC','124241241147131431423314175124610126147',22237,'192',31.34,1,3,NULL),(15,2311321,'1991-06-07 00:00:00',2,6,12,2008,'F','S','CORDEIROS','ITAJAI','SC','124241241117131731326714596314610124057',NULL,'396',33.04,2,3,NULL),(15,2311330,'1984-08-17 00:00:00',2,1,12,2002,'F','N','AREIAS','SAO JOSE','SC','124241241146132431122344242324610127057',21989,'257',32.29,5,2,1),(15,2311348,'1963-07-12 00:00:00',4,2,12,1980,'M','N','VILA NOVA','BLUMENAU','SC','224244248426152741334443132112331027162',12017,'70',48.97,1,3,NULL),(15,2311356,'1990-09-14 00:00:00',4,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241135141731437614242232610125147',18800,'592',38.98,1,3,NULL),(15,2311364,'1989-09-23 00:00:00',4,1,12,2007,'M','N','CENTRO','BIGUACU','SC','124243241311132411433623245124610164087',6124,'1040',58.82,1,3,NULL),(15,2311372,'1989-07-11 00:00:00',2,4,12,2006,'F','N','ZONA RURAL','SAO JORGE D OESTE','PR','116161161415473411336614571123610124147',9649,'9998',52.50,1,3,NULL),(15,2311380,'1989-08-30 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241211152431368931592124231837042',6573,'1022',57.94,1,3,NULL),(15,2311399,'1985-08-25 00:00:00',2,1,12,2002,'M','N','ITAGUAÇÚ','FLORIANOPOLIS','SC','124242241211234421359732225122130764112',10346,'262',51.43,1,3,NULL),(15,2311402,'1988-04-21 00:00:00',4,1,12,2005,'M','N','JARDIM LUANDA','SAO PAULO','SP','125252251337571321468712594112610117046',NULL,'9998',0.00,1,3,NULL),(15,2311410,'1984-05-10 00:00:00',2,1,11,2003,'M','N','KOBRASOL','SAO JOSE','SC','124242241211133411455614135134610137092',NULL,'272',0.00,4,3,NULL),(15,2311429,'1992-02-28 00:00:00',4,1,12,2007,'M','N','CENTRO','PALHOCA','SC','124242241215121441238733575114610164187',5183,'1011',60.74,1,3,NULL),(15,2311437,'1989-02-23 00:00:00',4,1,12,2006,'F','N','VILA BELMIRO','SANTOS','SP','125252251215271431567823382124610133182',9796,'9998',52.27,1,3,NULL),(15,2311453,'1989-01-17 00:00:00',2,1,12,2007,'F','N','CENTRO','NOVO HAMBURGO','RS','120202201216371431353924575124610154077',NULL,'9998',0.00,1,3,NULL),(15,2311461,'1978-05-14 00:00:00',4,1,12,1995,'F','N','CANASVIEIRA','FLORIANOPOLIS','SC','124251253117131712436824345332340267047',18423,'9998',39.61,1,3,NULL),(15,2311470,'1989-03-11 00:00:00',2,1,12,2006,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241112272531446913482124610168147',NULL,'298',24.87,1,2,1),(15,2311488,'1988-04-22 00:00:00',2,1,11,2005,'F','N','URBANOVA','SAO JOSE DOS CAMPOS','SP','125252251215511731468834571112610125147',NULL,'9998',0.00,1,3,NULL),(15,2311496,'1991-03-29 00:00:00',4,1,12,2008,'M','S','CENTRO','SAO JOSE','SC','124242241215111731269923592114610167142',NULL,'266',49.00,1,3,NULL),(15,2311518,'1990-03-11 00:00:00',4,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124162241415111431575534314122610121012',15299,'1038',44.40,1,3,NULL),(15,2311526,'1990-05-25 00:00:00',4,1,12,2007,'M','N','SANTANA','SAO JOSE DOS CAMPOS','SP','125251251215111431566622576114610164192',NULL,'9998',0.00,1,3,NULL),(15,2311534,'1990-12-12 00:00:00',4,8,12,2007,'F','N','ACARAÍ','SAO FRANCISCO DO SUL','SC','124242241217111431668833592122610168097',15396,'457',44.26,1,3,NULL),(15,2311542,'1964-07-17 00:00:00',2,1,12,1987,'M','N','CENTRO','GAROPABA','SC','124252256223133411118748183331143267091',NULL,'9998',35.09,1,3,NULL),(15,2311550,'1965-12-02 00:00:00',2,1,12,1997,'M','N','JARDIM ATLÃNTICO','FLORIANOPOLIS','SC','624241247111152421552344142124122368172',11721,'9999',49.37,1,3,NULL),(15,2311569,'1987-12-02 00:00:00',4,1,12,2005,'M','N','JARDIM PARAÍSO','POUSO ALEGRE','MG','113132133211421432558634571213610164183',NULL,'9998',0.00,1,3,NULL),(15,2311577,'1986-08-14 00:00:00',4,1,12,2006,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','624241241112174431433344141224610153147',NULL,'9999',0.00,1,2,1),(15,2311585,'1985-08-15 00:00:00',4,1,12,2002,'F','N','VILA GUARANI','SAO PAULO','SP','125251251216471411374612391122342014042',NULL,'9998',0.00,1,3,NULL),(15,2311593,'1988-10-01 00:00:00',4,3,12,2006,'M','N','FUNCIONÁRIOS','BELO HORIZONTE','MG','113132131217371421578821472112610167097',NULL,'9998',0.00,4,3,NULL),(15,2311607,'1981-06-15 00:00:00',2,1,12,2001,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241116575411356413485123231217087',10300,'281',51.49,4,2,1),(15,2311615,'1990-05-10 00:00:00',4,1,12,2007,'F','N','JARDIM DOS ESTADOS','POCOS DE CALDAS','MG','113132131217111441633663475122610142087',NULL,'9998',0.00,4,3,NULL),(15,2311623,'1955-12-09 00:00:00',4,10,12,1979,'F','N','SAO BERNARDO','TUBARAO','SC','224251253227151411243344371112140826147',18395,'9998',39.66,1,3,NULL),(15,2311631,'1989-09-26 00:00:00',4,1,11,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241115271431356824272124610162067',6271,'270',58.51,1,3,NULL),(15,2311640,'1990-05-31 00:00:00',4,7,11,2007,'F','N','CENTRO','CAPINZAL','SC','124241241117151431444923395124610117052',NULL,'156',20.50,1,2,1),(15,2311658,'1982-03-29 00:00:00',4,1,12,1999,'F','N','VILA DAMÁSIO','SAO BERNARDO DO CAMPO','SP','125252251216575411236617475121640167097',2765,'9998',66.83,1,3,NULL),(15,2311666,'1990-10-08 00:00:00',2,5,12,2007,'F','N','BRUSQUE DO SUL','ORLEANS','SC','124241248115141721423436392123610127147',NULL,'580',22.83,1,3,NULL),(15,2311674,'1956-11-06 00:00:00',4,1,12,1974,'M','N','ESTREITO','FLORIANOPOLIS','SC','524241241342475421163341212123531027123',13627,'211',46.71,1,3,NULL),(15,2311682,'1982-03-24 00:00:00',4,1,12,2000,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124254257437241411356611215124141462042',NULL,'9999',NULL,1,3,NULL),(15,2311690,'1984-03-26 00:00:00',4,1,12,2003,'M','N','CENTRO','SAO JOSE DO RIO PRETO','SP','124252251316371451186631495125143244182',15567,'9998',44.02,1,3,NULL),(15,2311704,'1971-01-02 00:00:00',4,3,11,1990,'F','N','CENTRO','ITAPEMA','SC','124251131322371431121141312325610124077',NULL,'9998',21.53,2,3,NULL),(15,2311712,'1990-06-03 00:00:00',4,1,12,2007,'M','N','KOBRASOL','SAO JOSE','SC','124244241217111431458613395124610137037',15550,'269',44.05,1,3,NULL),(15,2311720,'1988-12-14 00:00:00',2,1,12,2006,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124244241215133431456732345124133222111',13789,'1098',46.48,1,3,NULL),(15,2311739,'1989-06-23 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124243241327211431554313475122610167147',22071,'734',32.04,1,3,NULL),(15,2311747,'1977-04-13 00:00:00',2,1,12,1996,'M','N','INGLESES','FLORIANOPOLIS','SC','224201205122271431434454242312610127047',18725,'9998',39.12,1,2,1),(15,2311755,'1987-05-16 00:00:00',2,1,12,2004,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241211142421658611341124132567097',NULL,'270',0.00,1,3,NULL),(15,2311771,'1978-08-03 00:00:00',2,1,11,1995,'F','N','CENTRO','FLORIANOPOLIS','SC','124204201217151741158844345122341067117',NULL,'9998',0.00,1,3,NULL),(15,2311780,'1987-07-12 00:00:00',2,1,11,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241216374411334674375114610161092',10580,'338',51.06,1,3,NULL),(15,2311798,'1984-09-04 00:00:00',4,1,12,2002,'F','N','PANTANAL','FLORIANOPOLIS','SC','624163161111334421238844241124130226187',NULL,'9998',26.65,1,3,NULL),(15,2311801,'1989-08-25 00:00:00',2,4,12,2007,'M','N','CENTRO','VARGEAO','SC','124241241126142411431313115122610161057',NULL,'824',0.00,1,3,NULL),(15,2311810,'1987-10-19 00:00:00',4,1,11,2004,'M','N','CAMPINAS','SAO JOSE','SC','124243241217274711356614474124120764046',3417,'723',64.95,1,3,NULL),(15,2311828,'1991-02-27 00:00:00',4,1,12,2008,'M','S','JOÃO PAULO','FLORIANOPOLIS','SC','124242241212111441468913575124610134035',NULL,'9997',42.04,1,3,NULL),(15,2311836,'1984-09-01 00:00:00',2,1,12,2003,'F','N','CENTRO','SAO JOSE','SC','124241241436132411436629482124333233187',20829,'596',35.23,2,3,NULL),(15,2311844,'1989-12-20 00:00:00',4,4,12,2006,'M','N','INDUSTRIAL','ITAPEJARA D OESTE','PR','116161161116472431357932575122610127142',20325,'9998',36.19,1,3,NULL),(15,2311860,'1986-11-19 00:00:00',2,1,12,2004,'F','N','GRANDE TERCEIRO','CUIABA','MT','111113111147161431544433132324241036182',NULL,'9998',0.00,1,3,NULL),(15,2311887,'1981-02-27 00:00:00',4,1,12,1995,'F','N','ESTREITO','FLORIANOPOLIS','SC','116163161117131421566619342124141053091',NULL,'9998',31.45,1,3,NULL),(15,2311895,'1985-12-20 00:00:00',2,1,12,2003,'M','N','BOM ABRIGO','FLORIANOPOLIS','SC','124242241217574431464612395132220767047',6941,'272',57.27,1,3,NULL),(15,2311909,'1991-04-30 00:00:00',4,1,12,2008,'M','S','ITAGUAÇÚ','FLORIANOPOLIS','SC','124242241217111711479913475124610112112',NULL,'270',49.36,1,3,NULL),(15,2311925,'1990-09-10 00:00:00',4,8,12,2008,'F','S','SAGUAÇÚ','JOINVILLE','SC','124242248217111431439833575122610113182',NULL,'1063',0.00,1,3,NULL),(15,2311933,'1980-11-06 00:00:00',4,1,12,1998,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124253256117151711168444245223341467055',NULL,'9998',0.00,1,3,NULL),(15,2311941,'1989-10-11 00:00:00',2,10,11,2007,'F','N','CENTRO','TUBARAO','SC','124241241215211731358811472112610138196',NULL,'807',21.41,1,3,NULL),(15,2311950,'1989-11-20 00:00:00',4,9,12,2007,'M','N','CENTRO','CERRO NEGRO','SC','124241241125141431556411245224610127052',NULL,'498',19.66,1,3,NULL),(15,2311968,'1981-09-22 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241111275431226363475124610114047',13186,'175',47.35,1,3,NULL),(15,2311976,'1990-06-05 00:00:00',4,1,11,2007,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241241111151731335539571124610127145',NULL,'281',24.05,1,3,NULL),(15,2311984,'1983-07-07 00:00:00',2,8,12,2000,'F','N','CENTRO','RIO NEGRINHO','SC','124241245146134441524312331123132226142',NULL,'669',0.00,1,2,1),(15,2311992,'1985-06-13 00:00:00',4,1,12,2002,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241127133731538614342133610123057',NULL,'274',21.39,1,2,1),(15,2312000,'1989-04-28 00:00:00',2,1,12,2006,'F','N','LIMPA','GAROPABA','SC','124241241127142421523314342211610134047',NULL,'322',26.65,1,3,NULL),(15,2312018,'1991-03-12 00:00:00',4,1,11,2008,'F','S','ESTREITO','FLORIANOPOLIS','SC','124242241215111431436811574122610148012',NULL,'270',43.90,1,3,NULL),(15,2312034,'1990-12-27 00:00:00',2,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124243241217141431683332246111610162045',21368,'976',34.05,1,3,NULL),(15,2312042,'1989-11-01 00:00:00',4,1,12,2006,'M','N','CAMPINAS','SAO JOSE','SC','124131132126471731546414295124610164182',NULL,'9998',11.02,1,3,NULL),(15,2312050,'1985-09-03 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241136374532654524345324610137057',7739,'281',55.80,1,2,1),(15,2312069,'1990-05-24 00:00:00',4,1,12,2007,'M','N','IGLESES','FLORIANOPOLIS','SC','124242247243131431638931383122610127042',NULL,'9999',24.53,1,3,NULL),(15,2312077,'1984-09-24 00:00:00',4,1,12,2002,'M','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116162161126271331456514245124143267187',17422,'9998',41.20,1,3,NULL),(15,2312085,'1986-01-13 00:00:00',2,1,12,2003,'F','N','CENTRO','PALHOCA','SC','124241248227575721643314445334131036092',13515,'262',46.87,1,3,NULL),(15,2312107,'1990-09-01 00:00:00',4,1,12,2007,'F','N','PEDRA BRANCA','PALHOCA','SC','124242241215122531578313375114610134092',15053,'1011',44.73,1,3,NULL),(15,2312115,'1975-05-12 00:00:00',2,1,12,2006,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241248122131441641623282324610132097',NULL,'294',18.16,1,3,NULL),(15,2312123,'1990-03-19 00:00:00',4,1,12,2007,'M','N','PACHECOS','PALHOCA','SC','124241241115131431226923582122610137081',NULL,'592',26.43,1,3,NULL),(15,2312131,'1989-08-07 00:00:00',4,1,8,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241117151731343623474124610137047',5542,'739',59.98,1,3,NULL),(15,2312140,'1972-01-02 00:00:00',4,1,12,1989,'F','N','SERRINHA','FLORIANOPOLIS','SC','224052053216152411478653312122343232142',NULL,'9998',0.00,1,3,NULL),(15,2312158,'1991-04-26 00:00:00',4,1,12,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124242241217111431465612572222610127045',NULL,'273',51.19,1,3,NULL),(15,2312166,'1989-01-26 00:00:00',4,1,12,2006,'M','N','JD CAMPOS ELÍSEOS','JUNDIAI','SP','125252251215471531568812345122610164052',NULL,'9998',0.00,4,3,NULL),(15,2312174,'1988-05-15 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217474431336611572124133264187',742,'270',75.08,1,3,NULL),(15,2312182,'1968-03-12 00:00:00',4,1,12,1990,'M','N','JOSE NITRO','SAO JOSE','SC','224061061111151411421141111344613262041',18885,'9998',38.86,2,2,1),(15,2312190,'1990-12-01 00:00:00',4,1,12,2008,'M','S','ITACORUBI','FLORIANOPOLIS','SC','124242241216151531468823475114620138012',NULL,'883',38.49,1,3,NULL),(15,2312204,'1985-12-24 00:00:00',2,7,12,2002,'M','N','SANTA TEREZA','VIDEIRA','SC','124241241126131421543319295123610127052',NULL,'831',0.00,1,2,1),(15,2312212,'1990-04-21 00:00:00',4,9,12,2007,'F','N','UNIVERSITÁRIO','LAGES','SC','124241241132141411456633245122610116097',17564,'498',40.98,1,2,1),(15,2312220,'1989-11-11 00:00:00',2,1,12,2006,'F','N','JARDIM JANAINA','BIGUACU','SC','124241241142132411533334382124230223147',NULL,'65',24.29,1,3,NULL),(15,2312239,'1969-03-05 00:00:00',2,2,7,1990,'F','N','VILA NOVA','BLUMENAU','SC','124241243122151431313653372112610123092',NULL,'445',27.33,1,2,1),(15,2312247,'1990-07-16 00:00:00',4,1,11,2007,'F','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124242241217111532458812572112610113145',NULL,'270',0.00,1,3,NULL),(15,2312255,'1990-07-06 00:00:00',4,9,12,2007,'M','N','S C DE JESUS','LAGES','SC','124241241144131231223327241221610167052',22273,'512',31.20,1,3,NULL),(15,2312263,'1987-03-25 00:00:00',4,1,12,2004,'F','N','BARREIROS','SAO JOSE','SC','124242241236374431336734245124230224057',13666,'738',46.66,1,3,NULL),(15,2312301,'1983-01-19 00:00:00',2,1,12,2002,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124251251147151531123623245125610167047',NULL,'9998',0.00,1,3,NULL),(15,2312310,'1990-10-21 01:00:00',4,4,12,2007,'M','N','CENTRO','CAMPO ERE','SC','124241241124131231333632345122610147043',NULL,'137',0.00,3,2,1),(15,2312328,'1990-09-10 00:00:00',2,1,12,2007,'F','N','PENHA','PAULO LOPES','SC','124241241114131411323639292224610126147',21398,'361',33.97,1,2,1),(15,2312336,'1988-04-09 00:00:00',4,1,12,2006,'M','N','BELA SUIÇA','LONDRINA','PR','116163161217471711378923475112610144052',NULL,'9998',0.00,4,3,NULL),(15,2312344,'1982-06-23 00:00:00',4,6,12,1999,'M','N','CENTRO','IBITINGA','SP','125251251116472751336331345213610118057',NULL,'9998',42.99,1,2,1),(15,2312360,'1985-12-02 00:00:00',4,1,1,2005,'F','N','SERRARIA','SAO JOSE','SC','124241241124271431423331342334610124197',21819,'734',32.88,1,3,NULL),(15,2312387,'1990-01-27 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111431466912125122610127077',14679,'262',45.17,1,3,NULL),(15,2312395,'1990-08-19 00:00:00',4,9,12,2007,'F','N','SANTA HELENA','LAGES','SC','124243241315111531456313572112610123142',NULL,'9997',21.55,1,3,NULL),(15,2312417,'1983-05-22 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241211333431238833485324223012017',13905,'446',46.31,1,3,NULL),(15,2312425,'1989-03-01 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242247112161221377831592124612817052',20136,'270',36.56,4,3,NULL),(15,2312441,'1982-01-18 00:00:00',2,3,12,1999,'F','N','CANTRO','BALNEARIO CAMBORIU','SC','124244241216375421447613482124133224047',11110,'901',50.28,2,3,NULL),(15,2312450,'1991-06-23 00:00:00',4,1,12,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124242248217151531433611572124610167067',NULL,'273',25.03,1,3,NULL),(15,2312468,'1990-05-22 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241125161431424436252222610117057',NULL,'1112',16.95,1,2,1),(15,2312476,'1991-03-16 00:00:00',4,7,12,2007,'M','N','ESTUDANTES','IPIRA','SC','124243241316131432436713181325610112197',NULL,'122',23.26,1,3,NULL),(15,2312484,'1990-01-16 00:00:00',4,7,11,2006,'F','N','CENTRO','GETULIO VARGAS','RS','120204201216472431558811415112610124192',12293,'9998',48.58,1,3,NULL),(15,2312492,'1978-03-15 00:00:00',4,2,12,1995,'M','N','MOEMA','SAO PAULO','SP','125252251217271441377824415122141464142',1194,'9998',72.50,1,3,NULL),(15,2312506,'1985-12-08 00:00:00',2,1,12,2003,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241336131421222349291224131162197',15647,'186',43.88,1,3,NULL),(15,2312514,'1989-09-20 00:00:00',2,7,12,2007,'M','N','ENGENHO NOVO','CAPINZAL','SC','124241241115111431324314242324610166147',NULL,'156',0.00,1,3,NULL),(15,2312522,'1941-09-24 00:00:00',2,1,12,1954,'M','N','CENTRO','FLORIANOPOLIS','SC','224212211211151741358649491244610152187',NULL,'9998',0.00,1,3,NULL),(15,2312530,'1987-10-04 00:00:00',4,1,11,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212152431327769495114610168122',19389,'266',38.04,1,3,NULL),(15,2312549,'1979-03-15 00:00:00',2,9,12,1998,'M','N','PRADENSE','VACARIA','RS','120121121216231421438642324122610168177',15420,'9998',44.23,3,3,NULL),(15,2312557,'1991-04-15 00:00:00',4,5,2,2008,'F','N','CENTRO','CRICIUMA','SC','124242241217111411438839572122613223182',3569,'226',64.56,1,3,NULL),(15,2312565,'1990-07-14 00:00:00',4,9,11,2007,'F','N','MARTORANO','SAO JOAQUIM','SC','124243241315131431623316164324610158067',19259,'1035',38.24,1,3,NULL),(15,2312573,'1988-11-09 00:00:00',2,1,7,2007,'F','N','FLORESTA','SANTO AUGUSTO','RS','120201205116131431323315181324610167077',NULL,'9998',24.17,1,3,NULL),(15,2312581,'1989-03-23 00:00:00',4,1,4,2007,'M','N','TREZE DE JULHO','ARACAJU','SE','126262267236271751428632342124610166092',13659,'9999',46.67,4,3,NULL),(15,2312620,'1983-12-20 00:00:00',4,1,12,2001,'M','N','DAS PALMEIRAS','CAMPINAS','SP','125252251216572412328811571122141467047',3784,'9998',64.01,1,3,NULL),(15,2312638,'1987-08-07 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124243241112132431236629575114610124147',18374,'257',39.69,1,3,NULL),(15,2312646,'1990-02-11 00:00:00',4,4,12,2007,'F','N','ZONA RURAL','SUL BRASIL','SC','124241241115131431423335572344610136147',NULL,'775',24.17,1,2,1),(15,2312654,'1989-12-24 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215312441377924375114610165192',6691,'1022',57.75,1,3,NULL),(15,2312662,'1980-05-27 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANOPOLIS','SC','124201203136151711223241115114143233063',NULL,'9998',4.86,1,2,1),(15,2312670,'1986-09-21 00:00:00',4,1,6,2004,'F','N','ARMAÇÃO','FLORIANOPOLIS','SC','124254257237371431126719345224233261092',NULL,'9998',25.76,1,3,NULL),(15,2312689,'1990-11-18 00:00:00',2,2,11,2007,'F','N','ASILO','BLUMENAU','SC','124242241114131411239923572124610127041',20770,'84',35.35,1,3,NULL),(15,2312697,'1983-08-29 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241421124331126633396344230223113',21705,'515',33.26,1,3,NULL),(15,2312700,'1989-05-18 00:00:00',2,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241435372431326644342114610133147',18888,'592',38.85,1,3,NULL),(15,2312719,'1984-10-16 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANOPOLIS','SC','124131131217474431438821572124121364147',1708,'9998',70.36,4,3,NULL),(15,2312727,'1989-05-10 00:00:00',4,7,12,2006,'F','N','CENTRO','CAPINZAL','SC','124241161211143431236923372225610163197',10907,'9998',50.60,1,3,NULL),(15,2312735,'1972-10-06 00:00:00',4,1,12,1990,'M','N','PANTANAL','FLORIANOPOLIS','SC','124252251216155421258841412132121432095',NULL,'9998',0.00,1,3,NULL),(15,2312743,'1990-08-18 00:00:00',2,4,12,2007,'M','N','VENEZA','XANXERE','SC','124241241216111431444619395115610148047',NULL,'836',23.68,1,3,NULL),(15,2312751,'1989-04-01 00:00:00',4,1,12,2006,'M','N','SANTO ANTÔNIO','FLORIANOPOLIS','SC','124241241115472312458912375112610164126',899,'267',74.07,1,2,1),(15,2312760,'1990-01-04 00:00:00',2,1,12,2007,'F','N','SÃO SEBASTIÃO','PALHOCA','SC','124241241135131432436514575124610122197',17519,'591',41.06,1,3,NULL),(15,2312778,'1990-09-03 00:00:00',2,1,12,2007,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124244241416151451443511295124610118112',22061,'774',32.06,1,3,NULL),(15,2312794,'1985-06-16 00:00:00',4,1,12,2002,'F','N','PRAINHA','FLORIANOPOLIS','SC','124243241217143441559923346234230233027',16066,'300',43.27,1,3,NULL),(15,2312808,'1989-01-04 00:00:00',4,3,12,2006,'M','N','ANDORINHA','ITAPEMA','SC','124244241215271721358813275122130738147',13519,'407',46.87,1,3,NULL),(15,2312816,'1990-06-15 00:00:00',4,8,11,2007,'F','N','VILA TOLENTINO','CASCAVEL','PR','116162161215121431668934446112610132142',3022,'9998',66.08,1,3,NULL),(15,2312824,'1988-09-06 00:00:00',4,5,12,2005,'F','N','CENTRO','URUSSANGA','SC','124244241332572431478831572114610136142',5422,'226',60.22,1,3,NULL),(15,2312859,'1991-04-24 00:00:00',4,8,12,2007,'F','N','ITAPEMA DO NORTE','ITAPOA','SC','124244241347131431336823572125613237057',NULL,'413',0.00,1,3,NULL),(15,2312867,'1990-07-06 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431488833575122610126092',15136,'270',44.62,1,3,NULL),(15,2312875,'1980-08-15 00:00:00',4,1,12,2001,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241113151441123344345124332036015',11917,'193',49.08,1,3,NULL),(15,2312883,'1991-02-12 00:00:00',4,8,12,2007,'F','N','CENTRO','AUREA','RS','120164201325111231658814185122610125097',17572,'9998',40.97,1,3,NULL),(15,2312891,'1990-09-13 00:00:00',4,1,12,2007,'M','N','ST ANTONIO DE LISBOA','FLORIANOPOLIS','SC','124241241215151411523312241121610117046',22439,'1048',29.88,1,3,NULL),(15,2312905,'1989-11-29 00:00:00',5,5,12,2007,'F','N','CENTRO','SIDEROPOLIS','SC','124242241115151131645579232312610123057',NULL,'768',20.77,2,3,NULL),(15,2312913,'1990-06-13 00:00:00',2,9,12,2007,'F','N','PRADINHO','SAO JOAQUIM','SC','124241241115151431436639242222610111187',19460,'719',37.90,1,2,1),(15,2312930,'1986-09-22 00:00:00',4,1,12,2004,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241248137131731335524345134610126197',21054,'295',34.75,1,3,NULL),(15,2312948,'1987-12-15 00:00:00',2,4,12,2005,'M','N','SANTA CRUZ','CONCORDIA','SC','124241241116131411433611295134230242012',NULL,'192',0.00,1,3,NULL),(15,2312956,'1991-05-20 00:00:00',4,2,12,2008,'F','S','TRIBESS','BLUMENAU','SC','124243241212161431469914175124610131187',NULL,'855',46.78,1,3,NULL),(15,2312964,'1984-04-05 00:00:00',4,6,12,2002,'M','N','CORDEIROS','ITAJAI','SC','124244241417152421436619495122333234092',NULL,'388',0.00,1,3,NULL),(15,2312972,'1990-07-07 00:00:00',2,1,11,2007,'F','N','RODRIGUES','LAGOA VERMELHA','RS','120204201216131431326621194222610127072',14044,'9998',46.10,1,3,NULL),(15,2312980,'1990-04-17 00:00:00',2,2,11,2007,'F','N','SÃO LUIS','BRUSQUE','SC','124241241415111431336629211125610163062',18883,'981',38.87,4,3,NULL),(15,2312999,'1987-09-15 00:00:00',4,1,10,2004,'M','N','CAMPINAS','SAO JOSE','SC','124241241122334411337614345124230247112',18240,'736',39.91,1,2,1),(15,2313006,'1985-11-23 00:00:00',2,1,12,2003,'F','N','AREAIS','SAO JOSE','SC','124241241327152131255544245122230262147',NULL,'9999',29.79,1,3,NULL),(15,2313014,'1979-09-19 00:00:00',4,1,12,1998,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124212151416151411159942425122140717131',3050,'9998',65.99,1,3,NULL),(15,2313022,'1989-08-16 00:00:00',2,1,12,2006,'F','N','JARDIM PINHEIROS','SAO JOSE','SC','124241241312152431546613372124232067112',NULL,'959',25.48,1,3,NULL),(15,2313030,'1990-07-20 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241216121431559818575112610127157',13303,'269',47.17,1,3,NULL),(15,2313049,'1990-09-03 00:00:00',4,2,12,2007,'F','N','BELA VISTA','GASPAR','SC','124242241116131431536714382224610132147',14824,'327',44.98,1,3,NULL),(15,2313057,'1990-04-10 00:00:00',4,5,12,2007,'M','N','CENTRO','ARARANGUA','SC','124242241216111441456632395122610164057',13368,'26',47.09,1,3,NULL),(15,2313065,'1988-12-29 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124244247437131711237614572213610132047',21778,'9999',33.02,1,3,NULL),(15,2313081,'1985-03-20 00:00:00',2,1,8,2001,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241431135731126643431234232816027',22489,'9999',28.96,1,3,NULL),(15,2313090,'1972-02-15 00:00:00',2,1,12,1993,'F','N','AREIAS','SAO JOSE','SC','124241243124135411123348285224610136187',NULL,'257',32.48,1,2,1),(15,2313103,'1987-07-26 00:00:00',4,5,12,2004,'F','N','ARIZONA','LAURO MULLER','SC','124241241137271431333614242331132224022',21111,'531',34.63,1,2,1),(15,2313111,'1990-07-19 00:00:00',4,1,7,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244241415132431437934575124231434043',NULL,'9999',20.65,1,3,NULL),(15,2313138,'1990-06-07 00:00:00',4,1,12,2007,'F','N','CENTRO','SAO JOAO BATISTA','SC','124241241111131431333634242122610137157',NULL,'712',0.00,1,3,NULL),(15,2313146,'1991-09-27 00:00:00',2,1,12,2008,'F','S','CENTRO','SOMBRIO','SC','124242241214161431346822195121610137057',NULL,'904',25.85,1,3,NULL),(15,2313154,'1990-02-18 00:00:00',2,1,12,2007,'F','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124242241215111431689711575112610167042',15385,'262',44.28,1,3,NULL),(15,2313162,'1990-01-09 00:00:00',2,9,11,2007,'M','N','CENTRO','SAO JOAQUIM','SC','124242241215131431427635572222610167072',8089,'1035',55.21,1,3,NULL),(15,2313170,'1988-05-08 00:00:00',4,8,12,2005,'F','N','SANTO ANTONIO','JOINVILLE','SC','125241241146472411537514295324610137057',4092,'471',63.22,2,1,1),(15,2313189,'1987-05-19 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243247214132431526524382314610132187',17892,'9999',40.50,4,3,NULL),(15,2313197,'1988-01-03 00:00:00',4,1,12,2006,'F','N','CENTRO','BAURU','SP','125252251217471741538813447112610167092',22387,'9998',30.46,1,3,NULL),(15,2313200,'1955-06-05 00:00:00',2,1,12,1978,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','224201206227131431453441212132141427133',16041,'9998',43.31,1,3,NULL),(15,2313219,'1990-07-20 00:00:00',2,4,11,2007,'F','N','CENTRO','BARRA DO GUARITA','RS','120241241225111411433634221325610122097',21575,'1060',33.57,1,3,NULL),(15,2313227,'1988-12-02 00:00:00',2,1,12,2005,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','124241241112143431443329342124222732092',21027,'298',34.81,1,2,1),(15,2313235,'1979-09-12 00:00:00',2,1,12,1996,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243161216471441244453415124331066197',15375,'9998',44.30,1,3,NULL),(15,2313243,'1964-07-09 00:00:00',4,1,12,1980,'F','N','ESTREITO','FLORIANOPOLIS','SC','624241243142233421353643235124322236012',14022,'770',46.13,1,3,NULL),(15,2313251,'1987-10-12 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124252251217133441446811592224233268087',20233,'9998',36.36,1,3,NULL),(15,2313260,'1990-01-22 00:00:00',2,7,11,2007,'M','N','ESTAÇÃO LUZERNA','HERVAL D OESTE','SC','124244246115131431336314292224610127057',NULL,'539',0.00,1,3,NULL),(15,2313278,'1985-03-04 00:00:00',4,4,12,2004,'M','N','NAÇOES','CONCORDIA','SC','124241241136131431536611115123610137052',NULL,'192',29.71,1,3,NULL),(15,2313286,'1990-10-28 00:00:00',4,10,12,2007,'M','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124241241145161431533314142124610167012',19927,'332',36.96,1,2,1),(15,2313294,'1990-03-24 00:00:00',4,5,12,2007,'M','N','JAQUELINE','ICARA','SC','124241246216151431446614345124610116143',14767,'188',45.05,1,3,NULL),(15,2313316,'1986-09-09 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241247115113731437923372122610117047',NULL,'9999',28.58,1,3,NULL),(15,2313324,'1986-02-12 00:00:00',2,1,12,2003,'F','N','MONTE CASTELO','CAMPO GRANDE','MS','112122121212273711236823592324141016092',11378,'9998',49.88,4,3,NULL),(15,2313332,'1991-08-26 00:00:00',4,5,12,2009,'M','S','SAO LUIZ','SOMBRIO','SC','124242241217111751556832592124610118042',NULL,'970',0.00,1,3,NULL),(15,2313340,'1988-08-17 00:00:00',4,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241216273431338824282124610136057',16243,'272',42.99,1,3,NULL),(15,2313359,'1963-08-12 00:00:00',2,1,6,1981,'M','N','PANTANAL','FLORIANOPOLIS','SC','224241246112254411453343435122431267047',13112,'306',47.44,1,2,1),(15,2313367,'1989-06-18 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215372751358813575124130262187',9801,'270',52.26,1,3,NULL),(15,2313375,'1989-11-25 00:00:00',4,10,11,2007,'M','N','MORRO BONITO','JAGUARUNA','SC','124244241215111411446513232124610124172',18848,'809',38.92,1,3,NULL),(15,2313383,'1984-09-17 00:00:00',2,1,11,2007,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241141131431323344142314610142042',NULL,'449',0.00,1,3,NULL),(15,2313391,'1988-06-26 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241211573431589811572335610134012',142,'497',80.78,1,3,NULL),(15,2313405,'1988-08-06 00:00:00',2,8,12,2005,'M','N','ILHA DA FIGUEIRA','JARAGUA DO SUL','SC','124241248126131431535511315124610114017',20731,'436',35.44,1,3,NULL),(15,2313413,'1990-08-28 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241215371431435619272125610162182',17437,'44',41.17,1,3,NULL),(15,2313421,'1981-10-15 00:00:00',4,1,12,1999,'F','N','JD CIDADE DE FPOLIS','SAO JOSE','SC','124241241136134411644344245334120921147',12457,'307',48.35,1,2,1),(15,2313430,'1989-10-27 00:00:00',4,1,12,2007,'M','N','TREZE DE JULHO','ARACAJU','SE','126262261217111511258822572312610167052',8706,'9998',54.16,4,3,NULL),(15,2313448,'1990-10-09 00:00:00',4,1,11,2008,'F','S','PRAIA COMPRIDA','SAO JOSE','SC','124242241215111431469833575122610122145',NULL,'1022',44.20,1,3,NULL),(15,2313456,'1990-11-14 00:00:00',2,1,12,2007,'M','N','SANTA TEREZINHA','VACARIA','RS','120202208217112431426634341122620117057',22398,'9998',30.39,1,3,NULL),(15,2313464,'1978-04-22 00:00:00',2,1,12,1995,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241311133441346443432124321261057',11453,'272',49.77,1,3,NULL),(15,2313472,'1986-10-09 00:00:00',2,4,12,2004,'M','N','SÃO CRISTOVÃO','CHAPECO','SC','124243241411155431437922285334221864117',7677,'185',55.90,1,3,NULL),(15,2313480,'1982-07-19 00:00:00',4,1,12,2000,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241347375431436923385124230737047',NULL,'280',0.00,1,3,NULL),(15,2313510,'1982-03-19 00:00:00',2,1,12,2001,'F','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','620201205117111421226479312214610116147',18739,'9998',39.09,4,2,1),(15,2313529,'1962-04-17 00:00:00',2,1,12,1983,'M','N','TAPERA','FLORIANOPOLIS','SC','224202208226152421436444142124140766193',18786,'9998',39.01,1,3,NULL),(15,2313537,'1983-02-27 00:00:00',4,5,12,2002,'M','N','PRIMEIRO DE MAIO','ICARA','SC','124242241232273431367119282124142465052',NULL,'9999',0.00,1,3,NULL),(15,2313545,'1986-11-24 00:00:00',2,6,11,2004,'F','N','FAZENDA','ITAJAI','SC','124242241217132421428923375114242733185',NULL,'389',0.00,3,3,NULL),(15,2313561,'1986-06-04 00:00:00',4,1,12,2003,'M','N','VILA SÃO FRANCISCO','SAO PAULO','SP','125252251211573211458811381122141444032',8582,'9998',54.40,3,3,NULL),(15,2313570,'1976-04-24 00:00:00',2,1,12,1996,'F','N','ITACORUBI','FLORIANOPOLIS','SC','624241241342134751334351312122610168147',20586,'270',35.71,1,3,NULL),(15,2313588,'1987-12-12 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124242247137132411428624243334233234182',21559,'307',33.60,1,3,NULL),(15,2313600,'1986-05-23 00:00:00',4,1,12,2004,'F','N','PITUBA','SALVADOR','BA','105051055116571441435532471224610142027',9370,'9998',53.01,4,1,1),(15,2313618,'1989-09-09 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241117271431433339595124610127182',22164,'732',31.66,1,2,1),(15,2313626,'1966-03-12 00:00:00',4,1,12,1984,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','224241246116142751463344445132331424055',11958,'306',49.03,1,2,1),(15,2313634,'1990-03-26 00:00:00',2,1,12,2007,'F','N','BUTANTÃ','SAO PAULO','SP','125252251215121431359831472124610133192',14420,'9998',45.55,1,3,NULL),(15,2313642,'1981-01-14 00:00:00',2,1,12,2000,'M','N','CENTRO','MAFRA','SC','124241241212535431334419282324133262097',20111,'272',36.60,1,3,NULL),(15,2313650,'1992-06-24 00:00:00',2,1,12,2008,'F','S','SERTAO DO MARUIM','SAO JOSE','SC','124242241212161431436614574224610138197',NULL,'944',45.56,1,3,NULL),(15,2313669,'1989-08-19 00:00:00',4,8,12,2006,'M','N','CASCATINHA','CURITIBA','PR','116161161216471411667912174122610137182',NULL,'9998',0.00,1,3,NULL),(15,2313677,'1990-08-29 00:00:00',2,4,12,2007,'F','N','JARDIM ITALIA','CHAPECO','SC','124241241215131431426714442224610127012',8876,'1046',53.87,4,3,NULL),(15,2313685,'1976-08-07 00:00:00',2,1,12,1994,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241243136152751448379435214610148182',14317,'591',45.70,1,2,1),(15,2313693,'1983-12-07 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241412573231469513475124233237015',15305,'272',44.39,2,3,NULL),(15,2313715,'1978-09-06 00:00:00',4,1,12,1997,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241212154421568612445114130228047',13256,'266',47.23,1,3,NULL),(15,2313723,'1986-11-20 00:00:00',4,1,6,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241281116372411228821271124232034112',22069,'583',32.04,1,3,NULL),(15,2313731,'1990-03-24 00:00:00',2,2,12,2007,'F','N','GASPARINHO','GASPAR','SC','124241241117131231433611392214610133147',20527,'327',35.84,1,3,NULL),(15,2313740,'1992-03-23 00:00:00',4,1,12,2008,'F','S','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124244241413111731367414575122610114147',NULL,'270',34.60,1,3,NULL),(15,2313766,'1990-04-06 00:00:00',2,9,12,2006,'M','N','CENTRO','GIRUA','RS','120203201117371431468711575121610167187',14403,'9998',45.57,1,3,NULL),(15,2313782,'1986-08-05 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241135273421434624342124610123147',NULL,'9997',25.41,2,1,1),(15,2313790,'1988-08-31 00:00:00',4,1,12,2006,'M','N','NOVO ELDORADO','CONTAGEM','MG','113132131215471311488611571114610168087',NULL,'9998',0.00,1,3,NULL),(15,2313804,'1979-09-20 00:00:00',2,1,12,1996,'F','N','SANTA TEREZA','SAO PEDRO DE ALCANTARA','SC','124241244247134421433643335124131314142',16939,'266',41.95,1,3,NULL),(15,2313812,'1986-04-29 00:00:00',4,2,12,2003,'F','N','CENTRO','BLUMENAU','SC','124242241215472431467814372122132522197',8014,'855',55.35,1,3,NULL),(15,2313839,'1988-05-05 00:00:00',2,1,11,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242247225473421468924242132610165042',7525,'270',56.17,1,3,NULL),(15,2313847,'1979-09-08 00:00:00',4,1,12,1999,'M','N','KOBRASOL','SAO JOSE','SC','124241248126132421123144241232610124057',NULL,'818',0.00,4,2,1),(15,2313863,'1973-09-18 00:00:00',4,1,10,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124241248134154421444624245124233267187',NULL,'9998',0.00,4,2,1),(15,2313880,'1980-09-28 00:00:00',2,1,12,1998,'F','N','CAMPINAS','SAO JOSE','SC','224241241126231711353353492222330251187',17455,'679',41.14,1,3,NULL),(15,2313898,'1984-07-27 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217152731588833472122221037117',2693,'270',67.05,4,3,NULL),(15,2313901,'1980-10-22 00:00:00',2,1,1,2005,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241247246131411633119345124610127183',NULL,'9999',18.56,1,3,NULL),(15,2313910,'1987-04-15 00:00:00',4,5,11,2004,'M','N','MINA BRASIL','CRICIUMA','SC','124242241216112431546419385124131924042',10526,'213',51.15,1,3,NULL),(15,2313928,'1990-12-23 00:00:00',2,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242248115111431555814575124610132041',NULL,'129',27.54,1,3,NULL),(15,2313936,'1989-12-08 00:00:00',4,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124241241125131411654631241224610124157',NULL,'736',27.42,3,3,NULL),(15,2313944,'1989-07-25 00:00:00',2,3,12,2006,'F','N','VILA REAL','BALNEARIO CAMBORIU','SC','124241168116111431223329275312610122092',19304,'9998',38.15,1,3,NULL),(15,2313952,'1989-03-07 00:00:00',4,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124243241217372711446832315111610137117',9291,'1022',53.13,1,3,NULL),(15,2313960,'1989-11-09 00:00:00',4,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124242241215472431338514585114610168182',7137,'1118',56.89,1,3,NULL),(15,2313987,'1989-03-29 00:00:00',2,1,12,2006,'M','N','ARMAÇAO','FLORIANOPOLIS','SC','124243248316411451446613292114610167011',NULL,'271',25.18,1,3,NULL),(15,2313995,'1987-04-18 00:00:00',4,3,12,2005,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241216474411568411585114141417082',5870,'269',59.32,1,3,NULL),(15,2314002,'1987-12-28 00:00:00',4,4,12,2005,'F','N','CENTRO','PALMITOS','SC','124244241212572431548614592114610113092',11358,'138',49.90,1,3,NULL),(15,2314010,'1989-06-28 00:00:00',2,1,12,2006,'F','N','FORQUILHAS','SAO JOSE','SC','124241241111131431333334572324610124177',NULL,'295',19.78,1,2,1),(15,2314029,'1987-07-21 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241211133731648864241122233264067',7816,'269',55.67,1,3,NULL),(15,2314037,'1973-05-09 00:00:00',4,1,12,1990,'M','N','INGLESES','FLORIANOPOLIS','SC','124252251231133441128929584324341014182',NULL,'9998',0.00,5,3,NULL),(15,2314045,'1970-07-08 00:00:00',4,1,12,1987,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124132138213151721158843135132340714015',1406,'9998',71.62,1,3,NULL),(15,2314053,'1990-03-18 00:00:00',2,7,12,2007,'M','N','MARTELI','VIDEIRA','SC','124241241415141331228621345125610127043',20810,'829',35.26,1,3,NULL),(15,2314061,'1984-02-20 00:00:00',2,4,12,2004,'M','N','CENTRO','CHAPECO','SC','124244247232254711489612492112131418186',NULL,'186',0.00,1,3,NULL),(15,2314070,'1981-10-16 00:00:00',2,1,12,2004,'M','N','PANTANAL','FLORIANOPOLIS','SC','124201201127131121334371242214610122097',NULL,'9998',22.88,1,3,NULL),(15,2314088,'1988-06-03 00:00:00',2,1,11,2005,'F','N','VARGEM PEQUENA','FLORIANOPOLIS','SC','124241241116232431431619145124610137117',NULL,'288',0.00,1,3,NULL),(15,2314096,'1986-07-21 00:00:00',2,6,12,2003,'F','N','CIDADE NOVA','ITAJAI','SC','124241241115142431632219331321610116012',NULL,'834',27.91,2,3,NULL),(15,2314100,'1969-09-25 00:00:00',2,1,12,1989,'F','N','CAMPINAS','SAO JOSE','SC','524241241146135411446344245124132766093',NULL,'492',33.66,1,2,1),(15,2314118,'1988-03-20 00:00:00',4,1,11,2005,'F','N','CENTRO','IJUI','RS','120202201216571451178816572112143218182',NULL,'9998',0.00,1,3,NULL),(15,2314126,'1989-07-17 00:00:00',2,4,12,2006,'F','N','CENTRO','ELDORADO DO SUL','RS','120201201117471431523324272224610162182',15285,'9998',44.42,1,3,NULL),(15,2314134,'1983-01-12 00:00:00',2,1,12,2000,'M','N','KOBRASOL','SAO JOSE','SC','124242241212144411335524345124220212191',6488,'723',58.09,1,3,NULL),(15,2314142,'1989-01-05 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124243241117272751566623132122230265045',20659,'271',35.57,1,3,NULL),(15,2314150,'1987-12-28 00:00:00',2,7,12,2005,'M','N','CENTRO','LUZERNA','SC','124242241211372441433814341334232644142',NULL,'454',31.23,4,3,NULL),(15,2314169,'1989-05-05 00:00:00',4,1,12,2006,'M','N','GUARÁ','GUARA','DF','107072071215372431569833575112610127092',5510,'9998',60.04,1,3,NULL),(15,2314177,'1988-04-28 00:00:00',4,6,12,2005,'M','N','JD EUROPA','ITAPEVA','SP','125253251317371451566832495124610127057',1704,'9998',70.37,1,3,NULL),(15,2314185,'1985-11-01 00:00:00',4,1,6,2000,'F','N','SERRINHA','FLORIANOPOLIS','SC','124243247317141731125944245324142723152',19961,'9999',36.91,1,3,NULL),(15,2314193,'1987-09-22 00:00:00',2,1,12,2005,'F','N','MARCO','BELEM','PA','114142141316133431428613572224241832142',10075,'9998',51.82,1,3,NULL),(15,2314207,'1989-08-07 00:00:00',4,2,11,2006,'M','N','JARDIM CRISTO REI','MARILIA','SP','125252251217421411557861574112610122057',2685,'9998',67.08,1,3,NULL),(15,2314215,'1989-09-14 00:00:00',4,1,12,2007,'M','N','ENCANTADA','GAROPABA','SC','124241241115111711433336296321610118187',13963,'322',46.21,4,2,1),(15,2314240,'1970-02-04 00:00:00',2,1,12,1989,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','224241245127163421466253392112610114145',NULL,'158',22.09,1,2,1),(15,2314258,'1986-03-08 00:00:00',4,1,12,2003,'M','N','ESTREITO','FLORIANOPOLIS','SC','124201201336272421256836575114133232141',12433,'9998',48.38,1,3,NULL),(15,2314274,'1986-04-11 00:00:00',2,1,12,2003,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241212155411568813572122231063185',NULL,'266',0.00,1,3,NULL),(15,2314290,'1970-06-21 00:00:00',2,3,12,1988,'M','N','VILA NOVA','PALHOCA','SC','124241246114153431644613342211121127092',18463,'306',39.55,1,3,NULL),(15,2314304,'1987-12-13 00:00:00',4,1,6,2005,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242281416132431556712485124231463185',NULL,'9998',0.00,1,3,NULL),(15,2314312,'1990-11-21 00:00:00',4,8,11,2007,'M','N','INTERLAGOS','CASCAVEL','PR','116161161316121411555933575124610164047',NULL,'9998',0.00,1,3,NULL),(15,2314320,'1990-10-28 00:00:00',2,2,12,2008,'F','S','NAÇÕES','TIMBO','SC','124241241215111431436632395125610148052',NULL,'9997',36.53,1,3,NULL),(15,2314347,'1989-04-06 00:00:00',4,8,12,2006,'F','N','CENTRO','PRESIDENTE NEREU','SC','124241241126371431423739275222610126147',22475,'645',29.17,1,3,NULL),(15,2314355,'1984-09-30 00:00:00',2,2,12,2001,'F','N','SANTA CATARINA','CAXIAS DO SUL','RS','120201201116271731535831391124242662097',NULL,'9998',0.00,1,2,1),(15,2314363,'1984-09-25 00:00:00',4,1,12,2002,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241217145731369923435122121467117',11031,'270',50.41,1,3,NULL),(15,2314371,'1986-12-26 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124202201212241711128644242314610113187',6013,'9998',59.05,1,3,NULL),(15,2314380,'1989-10-05 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','624242201415472731448632595122610127122',17788,'1000',40.69,1,3,NULL),(15,2314398,'1987-11-10 00:00:00',4,1,12,2005,'F','N','JABAQUARA','SAO PAULO','SP','125252251217571441437611485125610136187',8085,'9998',55.21,1,3,NULL),(15,2314401,'1990-05-09 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241411131411348731571324610167112',20000,'307',36.83,1,3,NULL),(15,2314410,'1972-08-10 00:00:00',2,1,12,1991,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241248132144451456619492124121418172',NULL,'306',0.00,1,3,NULL),(15,2314436,'1991-07-15 00:00:00',2,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242248212141431439933572124610124081',NULL,'262',40.11,1,3,NULL),(15,2314444,'1989-09-14 00:00:00',2,5,12,2007,'M','N','GETÚLIO VARGAS','TORRES','RS','120201242132131431523312142124610117012',16963,'690',41.92,1,2,1),(15,2314452,'1990-10-08 00:00:00',2,6,12,2007,'F','N','FAZENDA','ITAJAI','SC','124242248215121751448919595122610127077',22353,'389',30.68,1,3,NULL),(15,2314460,'1977-04-05 00:00:00',2,1,12,1997,'F','N','CENTRO','FLORIANOPOLIS','SC','624242247236142411448711315122230231173',21599,'9999',33.51,1,3,NULL),(15,2314479,'1984-08-18 00:00:00',2,1,5,2002,'M','N','CENTRO','PALHOCA','SC','124242246116135431348713341124222317047',9166,'306',53.33,1,3,NULL),(15,2314487,'1989-06-26 00:00:00',2,4,12,2005,'M','N','CENTRO','PATO BRANCO','PR','116161161112171431526415492334613224051',12075,'9998',48.89,1,3,NULL),(15,2314509,'1990-08-28 00:00:00',2,3,12,2007,'M','N','CENTRO','TIJUCAS','SC','124242241215111532578812325112610167057',17789,'1119',40.69,1,3,NULL),(15,2314517,'1961-02-25 00:00:00',2,1,12,1980,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','624243248316152441354343491122120936167',13706,'260',46.61,1,3,NULL),(15,2314525,'1989-03-25 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECO','SC','124243241114131411356629396224613214047',NULL,'169',26.53,1,3,NULL),(15,2314533,'1983-03-07 00:00:00',2,3,12,2000,'M','N','MUNICIPIOS','BALNEARIO CAMBORIU','SC','124241241126132711643323185122610166177',4480,'51',62.31,1,3,NULL),(15,2314541,'1969-08-15 00:00:00',4,1,12,1988,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124202203126132131146443435333340224114',12655,'9998',48.07,1,3,NULL),(15,2314550,'1986-05-02 00:00:00',4,1,12,2003,'F','N','GUARÁ','GUARA','DF','107072071215573431569833575112610125142',504,'9998',76.79,1,3,NULL),(15,2314568,'1990-12-11 00:00:00',4,1,12,2007,'M','N','AREIAS','PAULO LOPES','SC','124241248142141531575532122122610117052',NULL,'607',27.40,1,3,NULL),(15,2314576,'1980-06-20 00:00:00',4,1,12,2000,'F','N','TRINDADE','FLORIANOPOLIS','SC','124041041121131722325564482114610167057',NULL,'9998',31.29,4,3,NULL),(15,2314584,'1989-10-13 00:00:00',4,1,11,2006,'F','N','PIONEIROS','BALNEARIO CAMBORIU','SC','124242241212372131379912571114610112142',9768,'1026',52.32,1,3,NULL),(15,2314592,'1990-07-06 00:00:00',4,1,12,2007,'M','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241116131431436614175112610134052',19832,'153',37.15,1,2,1),(15,2314606,'1985-09-11 00:00:00',2,1,12,2003,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124213071112131411535721341124333233157',14438,'9998',45.52,1,3,NULL),(15,2314614,'1985-07-29 00:00:00',3,1,9,2003,'F','N','BARRA DO ARIRIU','PALHOCA','SC','124244241117574431566613331112130264097',6081,'739',58.93,1,3,NULL),(15,2314622,'1989-11-04 00:00:00',2,1,12,2007,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124241241117131731436632492124610134197',21693,'281',33.28,1,2,1),(15,2314630,'1990-02-17 00:00:00',2,1,12,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241132131431428824342124610164097',14511,'278',45.39,1,3,NULL),(15,2314649,'1990-06-23 00:00:00',4,1,11,2007,'M','N','JARDIM TANGARA','SANTA ADELIA','SP','125252251216111431568712572122610166032',2750,'9998',66.88,1,3,NULL),(15,2314657,'1965-01-22 00:00:00',2,1,4,1993,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124286288232154421136641411334610138142',17141,'9999',41.66,1,3,NULL),(15,2314665,'1989-03-16 00:00:00',4,10,12,2006,'F','N','DEHON','TUBARAO','SC','124242241216142431435619442112610122027',9751,'806',52.34,1,3,NULL),(15,2314673,'1990-09-05 00:00:00',2,1,12,2007,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124241248111151431424419571324610112187',21407,'292',33.95,1,2,1),(15,2314681,'1989-10-26 00:00:00',2,7,12,2006,'M','N','CENTRO','TREZE TILIAS','SC','124241241126111431425612345123610162012',NULL,'795',0.00,1,3,NULL),(15,2314690,'1981-04-22 00:00:00',2,1,7,2002,'F','N','ITACORUBI','FLORIANOPOLIS','SC','224241247436472431354454575122610135187',19789,'490',37.26,1,3,NULL),(15,2314703,'1987-12-21 00:00:00',4,1,12,2005,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124242241217134411569823442124232822042',7784,'262',55.73,1,3,NULL),(15,2314711,'1988-10-08 00:00:00',4,1,12,2005,'M','N','CENTRO','CAXIAS DO SUL','RS','120203201137131431333723592224610147042',6769,'9998',57.62,1,3,NULL),(15,2314738,'1985-09-27 00:00:00',4,1,12,2002,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124134138216532751469919595124233222142',766,'9998',74.89,2,3,NULL),(15,2314746,'1988-09-28 00:00:00',4,9,12,2005,'F','N','CHAMPAGNE','GARIBALDI','RS','120201201117471431454832571124143245077',11595,'9998',49.56,1,2,1),(15,2314754,'1975-09-10 00:00:00',4,1,12,1992,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241216154441572611445124130738032',NULL,'797',0.00,1,3,NULL),(15,2314762,'1988-08-10 00:00:00',4,1,12,2005,'M','N','JARDIM PAULISTA','RIBEIRAO PRETO','SP','125253251217471421327611315124610117047',NULL,'9998',0.00,1,3,NULL),(15,2314770,'1985-02-22 00:00:00',2,2,12,2001,'M','N','LIBRAI','FOZ DO IGUACU','PR','116164161116371441536674392222141464053',NULL,'9998',NULL,1,3,NULL),(15,2314797,'1991-02-18 00:00:00',2,3,12,2007,'F','N','CASTELO BRANCO','ITAPEMA','SC','124241241117161121526314172112610112142',NULL,'405',19.83,1,3,NULL),(15,2314800,'1990-05-11 00:00:00',2,10,12,2007,'F','N','FIGUEIRA GRANDE','IMARUI','SC','124241241114151731423411292221610163147',NULL,'357',16.86,1,3,NULL),(15,2314819,'1989-12-27 00:00:00',2,1,12,2006,'M','N','FORQUILHINHAS','SAO JOSE','SC','124243241216132411533623345114610122062',16362,'944',42.81,1,3,NULL),(15,2314835,'1988-09-04 00:00:00',2,1,12,2005,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241251136372411457823392344222232187',16093,'9998',43.24,1,3,NULL),(15,2314843,'1970-01-05 00:00:00',2,1,12,1987,'F','N','CAMPINAS','SAO JOSE','SC','124244241214373751258641415134322546117',NULL,'260',0.00,1,3,NULL),(15,2314860,'1963-03-02 00:00:00',2,1,12,1979,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','224072071217371511366614435132341166195',7565,'9998',56.09,1,3,NULL),(15,2314878,'1985-03-14 00:00:00',4,2,12,2002,'M','N','CENTRO','BLUMENAU','SC','124241241112272431336613485124331324187',9762,'79',52.32,1,2,1),(15,2314886,'1982-05-25 00:00:00',4,1,12,1999,'M','N','INGLESES','FLORIANOPOLIS','SC','124161161216154431368813481122140262057',4459,'9998',62.37,1,3,NULL),(15,2314894,'1986-04-07 00:00:00',4,1,11,2004,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124244247436142431348823345112133227112',NULL,'9997',0.00,1,3,NULL),(15,2314908,'1990-05-15 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241215111432446734582124610127012',18781,'1022',39.01,1,3,NULL),(15,2314924,'1988-10-13 00:00:00',2,1,12,2006,'M','N','UNIVERSITÁRIO','LAJEADO','RS','120202201217471711333427171114142064047',6251,'9998',58.55,1,3,NULL),(15,2314932,'1990-10-29 00:00:00',2,7,12,2007,'F','N','CENTRO','MACHADINHO','RS','120201201222111431546839572124610144187',NULL,'9998',23.99,1,3,NULL),(15,2314940,'1990-02-08 00:00:00',4,2,12,2007,'M','N','SALTO DO NORTE','BLUMENAU','SC','124241241127131231236621572111610167052',22415,'83',30.19,3,3,NULL),(15,2314959,'1987-11-12 00:00:00',2,1,12,2005,'M','N','CENTRO','JARAGUA DO SUL','SC','124242241217572451448611595112610127062',NULL,'442',44.35,1,3,NULL),(15,2314967,'1986-04-09 00:00:00',2,1,12,2004,'M','N','AREIAS','SAO JOSE','SC','124241241146132421334344145123610164187',22049,'13',32.11,1,2,1),(15,2314975,'1988-10-20 00:00:00',2,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242248213472451566729395124610167142',10859,'262',50.67,1,3,NULL),(15,2314983,'1989-11-16 00:00:00',4,1,12,2006,'F','N','JARDIM KRAHE','VIAMAO','RS','120202201216211731337929292122242834117',NULL,'9998',0.00,1,3,NULL),(15,2314991,'1990-05-20 00:00:00',4,9,11,2007,'M','N','CENTRO','SAO JOAQUIM','SC','124243241214111431335832375122610127057',9225,'720',53.23,1,3,NULL),(15,2315009,'1980-07-02 00:00:00',2,1,11,1998,'F','N','CENTRO','SAO JOSE','SC','224241241122131721231359282344130212147',NULL,'728',9.62,1,2,1),(15,2315025,'1984-03-08 00:00:00',2,1,12,2001,'F','N','NSA SRA DE LOURDES','SANTA MARIA','RS','120201201116372321427831492124142765092',18262,'9998',39.86,1,3,NULL),(15,2315033,'1984-08-03 00:00:00',4,1,12,2001,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241216153321589812475122230214052',13488,'497',46.91,1,3,NULL),(15,2315041,'1984-10-26 00:00:00',4,1,12,2000,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241125154431333339392123221767057',4846,'12',61.42,1,2,1),(15,2315050,'1983-06-04 00:00:00',4,1,12,2000,'F','N','SÃO CRISTOVÃO','MATELANDIA','PR','116162161117141431436623485112343247017',12583,'9998',48.16,1,3,NULL),(15,2315068,'1990-03-19 00:00:00',4,1,12,2007,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124243241117131431337511572324610136182',17517,'288',41.06,1,3,NULL),(15,2315076,'1986-11-20 00:00:00',2,1,12,2005,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124241241142273411326419445114610167047',16597,'307',42.46,1,3,NULL),(15,2315084,'1980-09-13 00:00:00',2,1,12,1998,'M','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124241241137132421235644244124333267057',12658,'192',48.06,1,3,NULL),(15,2315114,'1991-05-20 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','125251251117131451636635575124610144057',NULL,'9998',39.16,3,3,NULL),(15,2315122,'1989-12-24 00:00:00',4,1,12,2007,'F','N','ROÇADO','SAO JOSE','SC','124243241117131431524827572112610137077',NULL,'729',21.55,1,3,NULL),(15,2315130,'1988-07-01 00:00:00',2,1,12,2005,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241115473411428923371114610143182',15632,'288',43.90,1,2,1),(15,2315149,'1983-08-30 00:00:00',2,1,12,2000,'M','N','SAMBAQUI','FLORIANOPOLIS','SC','124243167437173431337921191124131027117',19321,'9998',38.12,4,3,NULL),(15,2315157,'1986-10-18 00:00:00',2,1,8,2006,'M','N','CACUPÉ','FLORIANOPOLIS','SC','124243247337134431455812282124610121147',14628,'9997',45.24,1,3,NULL),(15,2315165,'1982-07-19 00:00:00',5,1,12,2000,'M','N','CENTRO','FLORIANOPOLIS','SC','124241246124154411533611441235610137043',16564,'808',42.50,1,2,1),(15,2315173,'1988-04-06 00:00:00',2,5,12,2005,'F','N','PEDRO ZANIVAM','CRICIUMA','SC','124241248147271441433414285124230635142',NULL,'209',0.00,1,2,1),(15,2315181,'1959-03-04 00:00:00',4,1,12,1977,'M','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','224241248222154411486649295122531067047',NULL,'447',0.00,1,3,NULL),(15,2315190,'1957-10-17 00:00:00',2,2,12,2004,'F','N','FUNDO CANOAS','RIO DO SUL','SC','124241247132131412123349332344610168197',NULL,'9999',23.58,1,3,NULL),(15,2315203,'1980-08-25 00:00:00',2,1,11,1998,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201201117131431336374345224143024147',15342,'9998',44.34,1,2,1),(15,2315211,'1989-05-21 00:00:00',4,2,11,2006,'M','N','MARGEM ESQUERDA','GASPAR','SC','124243241211112431537531395224232424097',8180,'955',55.04,1,3,NULL),(15,2315220,'1990-08-15 00:00:00',2,5,12,2007,'M','N','RIO DE DENTRO','MAMPITUBA','RS','120201242115161431413315152322610137042',NULL,'690',0.00,1,3,NULL),(15,2315238,'1990-03-11 00:00:00',4,8,12,2007,'F','N','CENTRO','SIQUEIRA CAMPOS','PR','116163161116161411448934575122610142092',NULL,'9998',0.00,3,3,NULL),(15,2315246,'1981-07-01 00:00:00',2,1,12,1999,'F','N','TRINDADE','FLORIANOPOLIS','SC','124202201217132431228844342224141424077',16399,'9998',42.75,1,3,NULL),(15,2315254,'1987-05-08 00:00:00',4,6,12,2007,'M','N','REBOUÇAS','CURITIBA','PR','116161161116151431548939375121610164012',NULL,'9998',20.20,1,2,1),(15,2315262,'1983-07-21 00:00:00',2,1,12,2001,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','224241241121232431545344445322230267047',NULL,'277',0.00,1,3,NULL),(15,2315270,'1960-05-07 00:00:00',3,1,12,1979,'M','N','ITACORUBI','FLORIANOPOLIS','SC','624242241146134421556649395132320236097',9264,'69',53.17,1,3,NULL),(15,2315289,'1988-10-25 00:00:00',2,3,12,2005,'F','N','TELLES DE MENEZES','SANTO ANDRE','SP','125251251117571711355934375114610166094',16610,'9998',42.45,4,2,1),(15,2315297,'1990-04-17 00:00:00',4,8,12,2007,'F','N','ADEMAR GARCIA','JOINVILLE','SC','124241241116131411433331575124610111142',NULL,'467',22.64,1,3,NULL),(15,2315300,'1984-10-10 00:00:00',2,1,12,2004,'M','N','PEREQUÊ','PORTO BELO','SC','124201201146231421623318145323610157037',20870,'9998',35.15,4,2,1),(15,2315319,'1985-05-22 00:00:00',2,1,6,2005,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241247215572741559511295114133227107',10013,'9999',51.91,1,3,NULL),(15,2315327,'1976-09-22 00:00:00',2,1,12,1994,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124131135126131431237441115124141168091',11525,'9998',49.68,4,2,1),(15,2315335,'1987-11-17 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241415213241348824575114610164067',10113,'270',51.77,1,3,NULL),(15,2315343,'1990-12-02 00:00:00',4,7,12,2007,'F','N','CENTRO','SALTO VELOSO','SC','124241241336131731526664341135610127077',NULL,'684',19.26,1,3,NULL),(15,2315351,'1989-01-04 00:00:00',2,8,12,2006,'M','N','JARDIM PAULISTA','APUCARANA','PR','116162161216133432537634285123610124077',NULL,'9998',0.00,1,3,NULL),(15,2315360,'1985-05-10 00:00:00',4,1,12,2002,'M','N','SANTA MARIA','JATAI','GO','109091091116131411534811245325610112042',NULL,'9998',0.00,1,3,NULL),(15,2315378,'1977-03-14 00:00:00',4,1,10,1997,'M','N','KOBRASOL','SAO JOSE','SC','124241243117254431337733312224231424097',NULL,'306',30.66,1,3,NULL),(15,2315394,'1954-04-23 00:00:00',2,1,12,1973,'M','N','GUIOMAR','ANTONIO CARLOS','SC','224243246637151411243349492112330247057',10523,'306',51.15,1,3,NULL),(15,2315408,'1990-08-24 00:00:00',2,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124242241215111411347911575122610167047',14185,'724',45.90,1,3,NULL),(15,2315416,'1989-02-19 00:00:00',4,1,11,2007,'M','N','IPIRANGA','SAO JOSE','SC','124241241137111431643314345122610167047',NULL,'734',14.63,4,3,NULL),(15,2315424,'1986-12-29 00:00:00',4,1,11,2003,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124244241215153451365923585112142242187',4889,'270',61.33,1,3,NULL),(15,2315432,'1966-12-18 00:00:00',2,1,12,1985,'M','N','ESTREITO','FLORIANOPOLIS','SC','224241241126154421471143432122120827062',NULL,'65',0.00,1,2,1),(15,2315440,'1976-11-20 00:00:00',2,1,12,1997,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244241126155711137741315124321462137',NULL,'307',29.96,1,3,NULL),(15,2315459,'1990-09-13 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241117131431346313575124610168177',NULL,'257',0.00,1,2,1),(15,2315467,'1988-10-27 00:00:00',4,1,12,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124203241121132431423622382324610124047',17363,'922',41.29,4,3,NULL),(15,2315475,'1987-02-14 00:00:00',4,1,11,2004,'F','N','JARDIM AEROPORTO','BAURU','SP','125252251217111441468831272322241666127',NULL,'9998',0.00,1,3,NULL),(15,2315483,'1989-01-04 00:00:00',2,2,12,2006,'F','N','TESTO REGA','POMERODE','SC','124241241126151421533314385125130918147',NULL,'622',0.00,1,3,NULL),(15,2315505,'1988-04-25 00:00:00',4,1,12,2005,'M','N','CENTRO','SANTA MARIA','RS','120201201317471431658834572114610127057',6162,'9998',58.74,1,3,NULL),(15,2315513,'1989-07-28 00:00:00',2,1,12,2006,'F','N','FORQUILHAS','SAO JOSE','SC','124241241142371431444619391334610167042',11154,'733',50.23,1,3,NULL),(15,2315521,'1981-11-20 00:00:00',4,3,12,1999,'M','N','CANTA GALO','RIO DO SUL','SC','124242241216132441356829215135333234087',10957,'653',50.53,1,3,NULL),(15,2315530,'1988-07-25 00:00:00',2,1,11,2005,'F','N','SANTA LOURDES','MARILIA','SP','125253251115471411226611442324610146142',18504,'9998',39.47,1,3,NULL),(15,2315548,'1989-05-31 00:00:00',2,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124243241212472431446553345124610127092',8042,'272',55.29,1,3,NULL),(15,2315556,'1990-10-14 00:00:00',2,1,12,2007,'F','N','ARMAÇÃO P DO SUL','FLORIANOPOLIS','SC','124241241125131411423311232224610121045',21659,'291',33.36,1,3,NULL),(15,2315564,'1990-05-25 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124242241315111511436632222124610167052',21846,'270',32.81,1,3,NULL),(15,2315572,'1985-07-13 00:00:00',2,1,6,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241311272421436632481114133267077',NULL,'293',0.00,1,3,NULL),(15,2315580,'1989-05-07 00:00:00',4,1,12,2006,'F','N','CENTRO','RIO DO SUL','SC','124244241215372431344623445112130214187',10470,'654',51.23,1,3,NULL),(15,2315599,'1988-01-16 00:00:00',2,3,12,2005,'F','N','REBOUÇAS','CURITIBA','PR','116162161336572731447839272125610167057',4111,'9998',63.16,1,3,NULL),(15,2315610,'1990-05-14 00:00:00',2,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124243248212171431633411211124610138057',17689,'724',40.81,4,3,NULL),(15,2315629,'1990-02-10 00:00:00',2,7,11,2007,'F','N','CENTRO','CONCORDIA','SC','124241241311111711436619575122610127147',NULL,'1000',21.38,1,3,NULL),(15,2315637,'1973-09-24 00:00:00',2,1,12,1990,'M','N','CENTRO','FLORIANOPOLIS','SC','524162163326231421156643235334140264042',5892,'9998',59.27,1,3,NULL),(15,2315645,'1987-01-06 00:00:00',2,1,12,2004,'F','N','AGRÔNOMICA','FLORIANOPOLIS','SC','124242241213374441358723571124122947011',NULL,'260',0.00,1,3,NULL),(15,2315653,'1989-08-19 00:00:00',2,1,12,2006,'F','N','JARDIM PÉROLA','KALORE','PR','116161161215471431434931575122141923077',NULL,'9998',0.00,1,3,NULL),(15,2315661,'1986-10-07 00:00:00',4,1,12,2004,'M','N','CENTRO','ARARAS','SP','125252251236421431449931475122610167097',21480,'9998',33.78,1,3,NULL),(15,2315670,'1990-08-07 00:00:00',2,4,11,2007,'F','N','CENTRO','FRANCISCO BELTRAO','PR','116163161216171421325612572324610126197',16936,'9998',41.95,3,3,NULL),(15,2315688,'1989-04-11 00:00:00',2,1,12,2007,'M','N','CENTRO','SAO JOSE','SC','124242247227131421234923345123610117042',NULL,'596',0.00,1,3,NULL),(15,2315696,'1981-06-12 00:00:00',4,1,12,1998,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241212142231546933335122330218147',NULL,'269',0.00,1,3,NULL),(15,2315700,'1990-08-15 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECO','SC','124242248315271331455712375112610117052',NULL,'169',19.27,1,3,NULL),(15,2315726,'1979-01-01 00:00:00',4,1,12,1996,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241127131411433411445134331926147',21588,'828',33.53,1,3,NULL),(15,2315734,'1978-08-31 00:00:00',4,2,12,1995,'M','N','GARCIA','BLUMENAU','SC','124241241142141431253343132332610122142',19797,'616',37.22,1,3,NULL),(15,2315742,'1987-02-13 00:00:00',4,1,12,2004,'M','N','CAMPINAS','SAO JOSE','SC','124242241212272731469914445124230767113',11963,'723',49.03,1,3,NULL),(15,2315750,'1982-09-24 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241126474441123349395124223066052',NULL,'298',0.00,1,2,1),(15,2315769,'1990-12-25 00:00:00',4,1,12,2008,'M','S','JARDIM ANCHIETA','FLORIANOPOLIS','SC','124242241211111431468831471122610137012',NULL,'1050',52.64,1,3,NULL),(15,2315777,'1988-02-27 00:00:00',4,1,12,2006,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241117112431554712376124231442112',16324,'306',42.86,4,2,1),(15,2315785,'1987-07-06 00:00:00',4,1,12,2004,'M','N','FLORESTA','PORTO ALEGRE','RS','120202201217131431349819496142240261042',NULL,'9998',0.00,1,3,NULL),(15,2315793,'1986-11-03 00:00:00',2,1,12,2005,'F','N','SANTINHO','FLORIANOPOLIS','SC','124243248415232441325521112224610133182',NULL,'9999',4.60,1,3,NULL),(15,2315807,'1987-05-04 00:00:00',4,1,12,2005,'M','N','CAMPINAS','SAO JOSE','SC','124242241114131731337734382123610162187',17612,'307',40.92,1,3,NULL),(15,2315815,'1976-10-21 00:00:00',1,1,12,1994,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241144153431124344443314222247062',16947,'411',41.94,1,3,NULL),(15,2315823,'1985-06-17 00:00:00',4,1,12,2002,'M','N','JD ATLANTICO','FLORIANOPOLIS','SC','124164241117153711457614345132130727047',NULL,'257',36.00,1,3,NULL),(15,2315831,'1989-02-23 00:00:00',4,3,11,2007,'M','N','JARDIM CAROLINA','ASSIS CHATEAUBRIAND','PR','116162161217271431559932575121610147072',NULL,'9998',0.00,1,3,NULL),(15,2315840,'1988-08-31 00:00:00',2,1,8,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241248631151751456839491114610162112',NULL,'9999',22.86,4,3,NULL),(15,2315858,'1990-12-19 00:00:00',4,4,12,2007,'M','N','INDUSTRIÁRIOS','CONCORDIA','SC','124241241217111431525732575122610167057',NULL,'1000',0.00,1,3,NULL),(15,2315866,'1989-07-12 00:00:00',1,2,11,2007,'M','N','SÃO JOAQUIM','VINHEDO','SP','125252258217111531469814575122610164182',NULL,'9998',0.00,1,3,NULL),(15,2315874,'1975-12-17 00:00:00',4,1,7,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241145151431626313485124610111142',16808,'281',42.15,1,2,1),(15,2315882,'1988-09-04 00:00:00',2,1,11,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','116241244121331711623349181122610167011',20188,'307',36.44,1,2,1),(15,2315890,'1989-08-08 00:00:00',4,8,12,2006,'F','N','AGUA VERDE','JARAGUA DO SUL','SC','124244241432132431326624341124610127127',NULL,'426',25.19,4,1,2),(15,2315904,'1991-09-01 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217111431469931315125610117112',22290,'262',31.09,1,3,NULL),(15,2315912,'1988-08-24 00:00:00',2,1,12,2007,'M','N','CENTRO','DIVINOPOLIS','MG','113132131417111431634652275112610153147',14342,'9998',45.66,2,1,2),(15,2315920,'1990-07-18 00:00:00',2,2,11,2007,'M','N','PADRE EDUARDO','TAIO','SC','124242241212371231348611572122610127062',9715,'776',52.40,1,3,NULL),(15,2315939,'1990-09-16 00:00:00',2,1,11,2007,'F','N','CACHOEIRA B JESUS','FLORIANOPOLIS','SC','124241241115131431445634575114610128042',16187,'9997',43.08,1,3,NULL),(15,2315947,'1986-03-13 00:00:00',2,1,12,2003,'F','N','PINGUIRITO','GAROPABA','SC','124243241247472431436514245122610124077',19400,'322',38.02,1,3,NULL),(15,2315955,'1985-08-29 00:00:00',4,8,12,2004,'F','N','ADHEMAR GARCIA','JOINVILLE','SC','124241248121371431533319341124610144182',NULL,'468',16.43,1,3,NULL),(15,2315963,'1990-06-20 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241115131431524424142134610147052',NULL,'293',26.74,1,3,NULL),(15,2315971,'1986-01-01 00:00:00',4,1,12,2003,'M','N','VILA CLEMENTINO','SAO PAULO','SP','125243241216173431448733395124243226077',NULL,'269',0.00,1,3,NULL),(15,2315998,'1986-06-04 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241215574731468913591124132627092',4771,'300',61.59,1,3,NULL),(15,2316005,'1989-05-04 00:00:00',4,4,12,2006,'F','N','N S APARECIDA','FRANCISCO BELTRAO','PR','116162161217473411456812575124610168142',NULL,'9998',19.49,1,3,NULL),(15,2316013,'1991-08-06 00:00:00',4,1,12,2008,'F','S','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431569833571122610124111',NULL,'262',34.52,1,3,NULL),(15,2316021,'1988-05-13 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215573431256621411124610124147',12778,'266',47.88,1,3,NULL),(15,2316030,'1990-12-30 00:00:00',2,4,12,2007,'F','N','CENTRO','AGUAS DE CHAPECO','SC','124241241147131431345511245122610137057',19627,'10',37.56,1,3,NULL),(15,2316048,'1989-08-27 00:00:00',4,3,12,2008,'M','S','CENTRO','BALNEARIO CAMBORIU','SC','124242241136271232219933381121610132012',NULL,'51',21.87,1,3,NULL),(15,2316056,'1991-02-17 00:00:00',4,2,12,2008,'F','S','QUINTINO BOCAIÚVA','TIMBO','SC','124241241215111431456614572112610127052',NULL,'9997',34.89,1,3,NULL),(15,2316064,'1989-03-09 00:00:00',4,1,11,2006,'M','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124242241216372731468911372214610134115',6817,'270',57.50,1,3,NULL);
INSERT INTO candidato VALUES (15,2316072,'1988-01-19 00:00:00',2,1,12,2005,'M','N','SERRARIA','SAO JOSE','SC','124241241146573431633329345324610137042',12556,'307',48.20,1,2,1),(15,2316080,'1982-02-02 00:00:00',2,1,12,1999,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241126134421123344145124121717065',11026,'321',50.42,1,2,1),(15,2316099,'1985-12-12 00:00:00',4,1,12,2004,'M','N','LIXEIRA','CUIABA','MT','111114111216572611348923594124610162187',6852,'9998',57.45,1,3,NULL),(15,2316102,'1990-05-26 00:00:00',2,1,11,2007,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124244241215112431456613575124610162187',NULL,'1022',32.75,1,3,NULL),(15,2316110,'1988-07-09 00:00:00',4,1,12,2005,'F','N','JD DAS INDUSTRIAS','SAO JOSE DOS CAMPOS','SP','125251256215571441333621375124610136147',5811,'9998',59.45,1,3,NULL),(15,2316129,'1989-08-29 00:00:00',4,2,11,2006,'F','N','CENTRO','SALETE','SC','124244241416133511448812495124133224122',20193,'776',36.44,1,3,NULL),(15,2316137,'1987-04-29 00:00:00',2,1,11,2004,'F','N','NOVO CAMPECHE','FLORIANOPOLIS','SC','124202201317251711118748381324610124057',12364,'9998',48.47,1,3,NULL),(15,2316145,'1988-11-27 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241447271421433324246314610167017',NULL,'262',37.37,2,3,NULL),(15,2316153,'1987-04-25 00:00:00',2,2,12,2005,'F','N','CANTA GALO','RIO DO SUL','SC','124241242117271411644436443222610144147',7416,'662',56.38,1,2,1),(15,2316161,'1982-02-04 00:00:00',2,1,12,2001,'M','N','PACHECO','PALHOCA','SC','124241246136374421226444345234122317117',NULL,'306',37.03,4,3,NULL),(15,2316170,'1990-08-13 00:00:00',4,10,11,2007,'F','N','OFICINAS','TUBARAO','SC','124244241215111411346611375122610163197',15291,'807',44.41,1,3,NULL),(15,2316188,'1989-06-07 00:00:00',4,1,12,2006,'F','N','CENTRO','PORTO UNIAO','SC','124242161216471732448633572112610164182',8336,'633',54.79,1,3,NULL),(15,2316196,'1987-06-03 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215574431288813472124230214117',3510,'884',64.74,1,3,NULL),(15,2316200,'1990-09-18 00:00:00',4,3,11,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241215271231466611572124610167042',19969,'403',36.89,1,3,NULL),(15,2316218,'1990-03-05 00:00:00',4,5,12,2007,'M','N','JARDIM ELIZABETH','ICARA','SC','124242241427131432438933575121633237057',19683,'1005',37.45,1,3,NULL),(15,2316226,'1984-10-30 00:00:00',4,1,12,2003,'F','N','CAMPINAS','SAO JOSE','SC','124072071417152711389713495122232062187',NULL,'9998',28.41,1,3,NULL),(15,2316242,'1988-11-09 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241232373431468613341124232514142',18708,'269',39.15,1,3,NULL),(15,2316250,'1990-08-28 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124242241215271421437963575222610117017',11649,'499',49.49,1,3,NULL),(15,2316269,'1987-07-02 00:00:00',4,1,12,2005,'F','N','JARDIM COUNTRY CLUB','POCOS DE CALDAS','MG','113132131217571411456614574114610165097',7811,'9998',55.68,4,3,NULL),(15,2316285,'1990-04-09 00:00:00',4,7,12,2007,'M','N','SÃO VICENTE','HERVAL D OESTE','SC','124241241137161431446614345122610127051',NULL,'341',21.75,1,2,1),(15,2316293,'1989-09-15 00:00:00',4,1,12,2006,'F','N','VILA NORMA','ESPIRITO SANTO DO PINHAL','SP','125252251216471431447831591122610137122',10660,'9998',50.93,1,3,NULL),(15,2316315,'1983-10-05 00:00:00',4,1,12,2001,'F','N','VILA ADYANNA','SAO JOSE DOS CAMPOS','SP','125252251215571411268823572122610167072',NULL,'9998',0.00,1,3,NULL),(15,2316323,'1989-06-05 00:00:00',4,1,12,2007,'M','N','REBOUÇAS','CURITIBA','PR','116162167226121441547833375124610124057',13973,'9998',46.20,1,3,NULL),(15,2316340,'1986-07-09 00:00:00',2,1,11,2003,'M','N','NOSSA SRA DO ROSÁRIO','SAO JOSE','SC','124242248211153431534833375122610167041',NULL,'723',0.00,1,3,NULL),(15,2316358,'1990-02-02 00:00:00',2,1,11,2007,'M','N','VILA BRASIL','URUARA','PA','114141141136161732554532242121610167043',11614,'9998',49.53,1,2,1),(15,2316366,'1991-08-11 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124241241115121431546614341124610113097',NULL,'307',33.20,1,3,NULL),(15,2316374,'1990-07-18 00:00:00',4,1,12,2007,'M','N','CENTRO','FRAIBURGO','SC','124241241117131432233714271125610137077',20363,'314',36.12,1,2,1),(15,2316382,'1990-10-28 00:00:00',2,7,12,2007,'F','N','VILA ALEMANHA','LUZERNA','SC','124241241116271431326329595124610124192',21264,'539',34.28,1,2,1),(15,2316390,'1990-08-27 00:00:00',4,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241217111231248813595124610124055',18333,'737',39.74,1,3,NULL),(15,2316404,'1984-03-16 00:00:00',2,1,11,2002,'F','N','PASSA VINTE','PALHOCA','SC','224241241112132331326334246124610128147',NULL,'592',18.16,1,3,NULL),(15,2316420,'1980-11-10 00:00:00',4,1,12,1999,'F','N','VILA DAS MERCES','SAO PAULO','SP','125251256126571421116649295324610124117',NULL,'9998',8.90,2,2,1),(15,2316439,'1991-11-05 00:00:00',4,3,12,2008,'F','S','CENTRO','BALNEARIO CAMBORIU','SC','124242241217131431459814475122610132097',NULL,'44',30.04,1,3,NULL),(15,2316447,'1985-03-23 00:00:00',2,1,4,2003,'M','N','CAMPINAS','SAO JOSE','SC','124242246111272411536819441124131427087',15528,'739',44.09,3,3,NULL),(15,2316455,'1992-09-25 00:00:00',4,10,12,2007,'F','N','PROGRESSO','LAGUNA','SC','124244241216111431326613385124610124177',9382,'525',52.97,1,3,NULL),(15,2316463,'1976-08-28 00:00:00',4,1,12,2006,'F','N','JD ITAGUAÇU','FLORIANOPOLIS','SC','124161241125471751323341211324610167147',22368,'292',30.56,1,2,1),(15,2316471,'1978-08-12 00:00:00',4,1,12,1999,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243243117453421456631341122610124192',20571,'303',35.75,1,3,NULL),(15,2316480,'1956-09-07 00:00:00',3,1,12,1975,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','224253131112153751453349395122122864117',NULL,'9998',0.00,1,3,NULL),(15,2316498,'1972-05-11 00:00:00',2,1,12,1990,'M','N','ITACORUBI','FLORIANOPOLIS','SC','624241243112143411254743332114322222182',10227,'306',51.59,4,3,NULL),(15,2316501,'1988-01-29 00:00:00',4,6,12,2004,'F','N','CENTRO','CORONEL FREITAS','SC','124243241627112431546613472124231368147',NULL,'647',0.00,1,3,NULL),(15,2316510,'1984-05-17 00:00:00',4,1,12,2003,'M','N','CARIANOS','FLORIANOPOLIS','SC','124244241415374231477713472122221927047',4187,'1098',62.94,1,3,NULL),(15,2316528,'1989-05-02 00:00:00',2,5,7,2007,'F','N','MINA DO TOCO','CRICIUMA','SC','124241246216131431333317345234610124072',17574,'995',40.97,1,3,NULL),(15,2316536,'1990-02-11 00:00:00',5,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241117131431434634292324610117147',19431,'49',37.96,1,2,1),(15,2316544,'1985-09-09 00:00:00',2,1,12,2003,'M','N','FLOR DE NAPOLIS','SAO JOSE','SC','124241241121133421623315241334133217047',NULL,'750',36.06,2,3,NULL),(15,2316552,'1988-06-26 00:00:00',2,3,12,2005,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241112131431336631442225230421187',15615,'49',43.93,1,3,NULL),(15,2316560,'1984-12-06 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124201201136151731367716595124241128092',5450,'9998',60.17,1,3,NULL),(15,2316587,'1984-09-18 00:00:00',4,1,12,2001,'M','N','ESTREITO','FLORIANOPOLIS','SC','124202201216153421135624215113610144047',13056,'9998',47.51,1,3,NULL),(15,2316595,'1988-05-07 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243248336371421434413345234110114147',NULL,'592',22.52,1,3,NULL),(15,2316609,'1990-03-29 00:00:00',4,1,11,2007,'F','N','CENTRO','LAGOA VERMELHA','RS','120203201216161431436614572122610166092',NULL,'9998',16.11,1,3,NULL),(15,2316625,'1990-06-23 00:00:00',4,1,12,2007,'M','N','TRAÇADO','URUBICI','SC','124242241434161431333324241221610127057',21265,'818',34.28,4,3,NULL),(15,2316633,'1973-01-13 00:00:00',4,1,12,1992,'F','N','BARREIROS IPIRANGA','SAO JOSE','SC','124161163126151411123744341134143237117',NULL,'9998',34.76,1,3,NULL),(15,2316641,'1990-10-26 00:00:00',2,5,11,2007,'F','N','CENTRO','TORRES','RS','120202201216111411449833472112610163145',8788,'9998',54.03,1,3,NULL),(15,2316650,'1989-06-08 00:00:00',4,1,11,2006,'M','N','GONZAGA','SANTOS','SP','125252251215471431346612295121610168117',18850,'9998',38.92,1,3,NULL),(15,2316668,'1989-01-23 00:00:00',2,1,12,2007,'M','N','BAIRRO SÃO LUIS','SAO JOSE','SC','124243241215111411436313492124610127052',20470,'270',35.93,1,3,NULL),(15,2316676,'1985-12-31 00:00:00',2,1,12,2003,'M','N','TRINDADE','BLUMENAU','SC','124241247336131431434329195124231214077',14637,'67',45.23,1,3,NULL),(15,2316684,'1975-06-10 00:00:00',2,1,12,1995,'F','N','CENTRO','FLORIANOPOLIS','SC','224241241136132421333343433234231343147',NULL,'307',0.00,3,2,1),(15,2316692,'1983-08-04 00:00:00',4,1,12,2001,'M','N','ALTO DA BOA VISTA','RIBEIRAO PRETO','SP','125252251217571431588811575122143262042',NULL,'9998',0.00,1,3,NULL),(15,2316706,'1990-10-22 00:00:00',2,1,12,2008,'F','S','CENTRO','IMBITUBA','SC','124242241215111411455612242122610124047',NULL,'362',37.01,1,3,NULL),(15,2316714,'1991-05-08 00:00:00',4,8,12,2008,'M','S','ATIRADORES','JOINVILLE','SC','124242241215151731576812272122610162186',NULL,'491',54.39,1,3,NULL),(15,2316722,'1990-07-21 00:00:00',4,1,12,2007,'F','N','PETRÓPOLIS','CAXIAS DO SUL','RS','120201201115111431368934242112610164072',NULL,'9998',0.00,1,3,NULL),(15,2316730,'1981-06-04 00:00:00',2,1,12,1999,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124243247121133421323344142134610134052',19656,'9999',37.51,1,3,NULL),(15,2316749,'1984-05-23 00:00:00',4,1,12,2001,'F','N','JD IMPERIAL','MARINGA','PR','116164161216371731426616575122340664012',NULL,'9998',0.00,1,3,NULL),(15,2316757,'1990-03-08 00:00:00',4,7,11,2007,'F','N','AEROPORTO','VIDEIRA','SC','124243241215111431446612391122610132182',5435,'969',60.21,1,3,NULL),(15,2316765,'1983-12-27 00:00:00',4,8,12,2002,'M','N','CHAMPAGNAT','CURITIBA','PR','116162168215572431579712572112141464042',12884,'9998',47.74,1,3,NULL),(15,2316773,'1988-02-19 00:00:00',2,9,12,2006,'M','N','SÃO LUIZ','LAGES','SC','124121241346272411524471542321610135157',15499,'498',44.14,1,3,NULL),(15,2316781,'1987-04-30 00:00:00',2,1,9,2005,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241241116573431648813345124610163143',16235,'303',43.00,1,3,NULL),(15,2316790,'1988-08-12 00:00:00',2,3,12,2005,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124161161117372431224442316215610166152',13352,'9998',47.11,1,2,1),(15,2316803,'1983-12-15 00:00:00',4,3,12,2000,'F','N','CENTRO','TAPEJARA','PR','116161168116161421456624335125340632197',NULL,'9998',20.75,1,2,1),(15,2316811,'1985-08-20 00:00:00',4,1,12,2004,'F','N','SUDOESTE','CRUZEIRO','DF','107072071216573712388813472124242824197',NULL,'9998',0.00,1,3,NULL),(15,2316820,'1986-10-21 00:00:00',2,5,12,2003,'M','N','CENTRO','SANTA ROSA DO SUL','SC','124243241315375731437411445121132142117',2615,'32',67.27,4,3,NULL),(15,2316838,'1982-12-18 00:00:00',4,1,12,2002,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124253251127271121456744242333610167047',20965,'9998',34.92,1,3,NULL),(15,2316846,'1987-01-20 00:00:00',2,1,12,2005,'F','N','PAIOLAO','NOVA FATIMA','PR','116161167337471411548414581314141936197',5036,'9999',61.02,1,3,NULL),(15,2316854,'1989-11-25 00:00:00',4,1,12,2007,'F','N','REAL PARQUE','SAO JOSE','SC','124241241117131731446923392224610122142',NULL,'734',22.13,1,2,1),(15,2316862,'1983-01-01 00:00:00',4,1,12,2001,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124253251216574731338619285321140617027',19755,'9998',37.32,1,3,NULL),(15,2316870,'1985-12-23 00:00:00',2,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','124242241215332411444623345224610118181',17825,'9997',40.62,1,3,NULL),(15,2316889,'1986-06-30 00:00:00',4,1,11,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241436152411258829245122123265043',5589,'270',59.90,1,3,NULL),(15,2316897,'1990-07-19 00:00:00',2,10,12,2007,'M','N','CENTRO','BRACO DO NORTE','SC','124242241215371731469832292122610127042',18276,'950',39.82,1,3,NULL),(15,2316900,'1989-10-14 00:00:00',4,8,12,2007,'M','N','VILA DAS ACÁCIAS','SAO JOSE DOS CAMPOS','SP','125252251217111711359813435122610136112',5890,'9998',59.27,1,3,NULL),(15,2316919,'1987-01-16 00:00:00',2,1,11,2004,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241217573431338733595122231034127',13446,'269',46.95,1,3,NULL),(15,2316927,'1989-06-03 00:00:00',4,5,12,2006,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124241241111131311653512571112610117147',NULL,'577',23.11,1,2,1),(15,2316935,'1973-03-16 00:00:00',2,1,12,2006,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','224241245124131431533351242124132768187',18967,'307',38.72,1,2,1),(15,2316943,'1990-05-08 00:00:00',4,4,12,2007,'M','N','CENTRO','PALMITOS','SC','124242241215151431546813275112610132047',12838,'600',47.81,1,3,NULL),(15,2316960,'1989-08-24 00:00:00',4,1,12,2007,'M','N','ITACURUBI','FLORIANOPOLIS','SC','124242247217151531269923572124610147017',NULL,'9999',19.77,1,3,NULL),(15,2316978,'1956-03-06 00:00:00',4,1,11,1975,'F','N','INGLESES','FLORIANOPOLIS','SC','224242245216151411266554494122132236183',NULL,'1057',0.00,1,3,NULL),(15,2316986,'1985-01-23 00:00:00',2,1,12,2001,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241117154711476613592124233268123',12078,'306',48.89,1,3,NULL),(15,2316994,'1952-03-10 00:00:00',2,4,12,2004,'F','N','CENTRO','ERECHIM','RS','420201207127151411243343432124241921052',21913,'9999',32.57,1,3,NULL),(15,2317001,'1991-08-19 00:00:00',4,1,12,2008,'M','S','SÃO PEDRO','BRUSQUE','SC','124241241215111411569814575114610134092',NULL,'109',26.91,1,3,NULL),(15,2317010,'1991-05-30 00:00:00',4,5,12,2008,'M','S','COMERCIÁRIO','CRICIUMA','SC','124242243217111231556612222122610117067',NULL,'210',41.53,1,3,NULL),(15,2317028,'1989-05-08 00:00:00',4,1,2,2008,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241115131431525544345124610127057',22411,'257',30.23,1,3,NULL),(15,2317036,'1991-06-12 00:00:00',4,1,12,2008,'F','S','PANTANAL','FLORIANOPOLIS','SC','124242241211171431547914575122610132075',NULL,'883',42.74,1,3,NULL),(15,2317044,'1984-08-22 00:00:00',4,6,12,2001,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124241241412112731228613485224232826187',NULL,'855',0.00,3,3,NULL),(15,2317052,'1985-09-26 00:00:00',2,1,12,2002,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124244241437573411468811472112141532147',3747,'270',64.08,1,3,NULL),(15,2317079,'1990-04-09 00:00:00',2,1,12,2007,'F','N','ALTO BIGUAÇU','BIGUACU','SC','124241241115131431435314572114610118147',NULL,'21',23.80,1,3,NULL),(15,2317087,'1990-01-10 00:00:00',4,8,12,2007,'M','N','FELIDE SCHMIDT','CANOINHAS','SC','124241241116161411466932474224610167052',22166,'153',31.66,1,3,NULL),(15,2317109,'1988-07-20 00:00:00',2,1,12,2005,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241116112411334512415124610154057',NULL,'258',22.33,1,3,NULL),(15,2317117,'1987-02-12 00:00:00',4,1,12,2004,'F','N','BELA VISTA','SAO JOSE','SC','124241241217272431238969392314610161117',19943,'943',36.93,1,3,NULL),(15,2317125,'1990-04-04 00:00:00',4,4,12,2007,'M','N','CIDADE ALTA','CUNHA PORA','SC','124241241115161731336613495122610127047',NULL,'234',0.00,1,2,1),(15,2317133,'1988-10-17 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124244241215412431468813574124610111045',2383,'270',67.97,1,3,NULL),(15,2317141,'1985-07-12 00:00:00',4,1,12,2003,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124201201137131421236744142234610136092',18882,'9998',38.87,1,3,NULL),(15,2317150,'1988-09-25 00:00:00',4,1,12,2005,'F','N','KOBRASOL','SAO JOSE','SC','124242241217274132537734575112610131077',15680,'723',43.84,1,3,NULL),(15,2317168,'1989-04-03 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242248217272431468833595114231227047',5362,'260',60.36,1,3,NULL),(15,2317176,'1990-03-14 00:00:00',4,1,12,2007,'M','N','VILA ANTARTICA','BOTUCATU','SP','125254251215111431436611175122610114047',18219,'9998',39.94,1,3,NULL),(15,2317184,'1989-09-14 00:00:00',2,4,11,2006,'M','N','CENTRO','SANTO AUGUSTO','RS','120201201136271331332839385122141447182',16023,'9998',43.35,1,2,1),(15,2317192,'1988-07-15 00:00:00',2,1,12,2006,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241146131431554331342134610134187',22095,'307',31.95,1,2,1),(15,2317206,'1990-03-02 00:00:00',4,2,12,2007,'M','N','CENTRO','PALOTINA','PR','116162161216111431438616385121610162012',NULL,'9998',0.00,1,3,NULL),(15,2317214,'1975-12-18 00:00:00',2,8,12,1995,'F','N','PORTÃO','CURITIBA','PR','116161161126271751336629315122140214186',15404,'9998',44.25,1,2,1),(15,2317222,'1989-07-20 00:00:00',4,7,12,2006,'M','N','SENHOR BOM JESUS','CAMPOS NOVOS','SC','124242248217152731479931592124232467057',14218,'270',45.85,1,3,NULL),(15,2317230,'1989-07-30 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241316142431459613495124231026092',6172,'1022',58.70,1,3,NULL),(15,2317249,'1991-09-27 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124241241117131411447828345125610163187',NULL,'307',41.23,1,3,NULL),(15,2317257,'1990-12-03 00:00:00',2,7,11,2007,'F','N','INTERIOR','JOACABA','SC','124242241212111431436616572124610162142',16745,'962',42.26,1,3,NULL),(15,2317265,'1987-07-30 00:00:00',2,1,12,2005,'F','N','JARDIM UIRÁ','SAO JOSE DOS CAMPOS','SP','125251251114271431626618472241133247092',10203,'9998',51.62,1,2,1),(15,2317273,'1987-12-03 00:00:00',2,1,12,2004,'F','N','SÃO MIGUEL','FRANCISCO BELTRAO','PR','116092091416573431425811342323610146037',15517,'9998',44.11,1,3,NULL),(15,2317281,'1990-03-29 00:00:00',4,3,12,2007,'F','N','VILA REAL','BALNEARIO CAMBORIU','SC','124242241211411731556613471121610137147',NULL,'9997',19.63,1,3,NULL),(15,2317290,'1990-09-02 00:00:00',2,3,12,2007,'M','N','CENTRO','PALMEIRA','PR','116164161216111431434416575124610167092',NULL,'9998',0.00,1,3,NULL),(15,2317303,'1990-06-14 00:00:00',2,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124243241215111731437812342124610132052',11084,'226',50.33,1,3,NULL),(15,2317311,'1984-06-18 00:00:00',4,1,12,2002,'M','N','BOTAFOGO','RIO DE JANEIRO','RJ','121212211217571151459931495124143222057',NULL,'9998',0.00,4,3,NULL),(15,2317320,'1987-11-15 00:00:00',2,1,7,2005,'M','N','SERRARIA','SAO JOSE','SC','124171241147372751344969442122610128047',14980,'364',44.82,1,2,1),(15,2317338,'1988-02-09 00:00:00',4,1,12,2005,'M','N','JARDIM MARINGÁ','SAO JOSE DOS CAMPOS','SP','125252251215572431479811575122610167182',NULL,'9998',0.00,1,3,NULL),(15,2317346,'1983-10-11 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241211112411656824295224122111051',5617,'88',59.83,1,3,NULL),(15,2317354,'1990-05-18 00:00:00',4,6,11,2007,'M','N','DOS ESTADOS','BALNEARIO CAMBORIU','SC','124242241217111231448632572121610137047',17911,'1038',40.47,1,3,NULL),(15,2317362,'1991-04-30 00:00:00',4,10,12,2007,'F','N','PORTO DA VILA','IMBITUBA','SC','124241241112131711335933575125610134117',NULL,'359',25.16,3,3,NULL),(15,2317389,'1982-09-27 00:00:00',4,1,12,2000,'M','N','BARREIROS','SAO JOSE','SC','124244241441155111547929331124233264197',NULL,'725',0.00,1,3,NULL),(15,2317397,'1991-09-16 00:00:00',4,5,12,2007,'F','N','PIO CORREA','CRICIUMA','SC','124242241215111411559931572112610148182',21419,'226',33.93,1,3,NULL),(15,2317400,'1990-11-01 00:00:00',4,7,11,2007,'F','N','CRUZEIRO DO SUL','JOACABA','SC','124242241215111731356614572122610128072',11360,'454',49.89,1,3,NULL),(15,2317419,'1989-09-06 00:00:00',2,7,11,2006,'F','N','INDUSTRIAL','CACADOR','SC','124241248127471751558622572112613267057',NULL,'557',0.00,1,3,NULL),(15,2317427,'1986-08-27 00:00:00',4,1,12,2003,'M','N','CENTRO','CAMPO GRANDE','MS','112122121217473411437733572124141437067',3411,'9998',64.97,3,3,NULL),(15,2317435,'1990-07-29 00:00:00',4,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241115131431538831575121610137057',11509,'49',49.70,1,3,NULL),(15,2317443,'1990-09-10 00:00:00',2,7,11,2007,'M','N','JARDIM','CONCORDIA','SC','124244241213151431538911272122610122043',13694,'190',46.63,1,3,NULL),(15,2317451,'1987-10-09 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216474431559923485124610147062',12341,'269',48.51,1,3,NULL),(15,2317460,'1990-12-10 00:00:00',4,10,12,2007,'F','N','CENTRO','IMBITUBA','SC','124241241115131431446513575124610137092',20782,'359',35.33,3,3,NULL),(15,2317478,'1981-10-25 00:00:00',4,1,11,1999,'M','N','BRÁS','SAO PAULO','SP','125251252145271431433474395123610168027',12256,'9998',48.64,1,2,1),(15,2317494,'1990-11-02 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124244241215411431369819592122610164182',13851,'497',46.39,1,3,NULL),(15,2317508,'1990-02-21 00:00:00',2,3,12,2006,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124161241417152431224441216215610166152',9867,'9997',52.16,1,3,NULL),(15,2317516,'1990-10-10 00:00:00',2,1,12,2007,'F','N','CENTRO','NOVA PETROPOLIS','RS','120201201117161331666714575122610167147',14936,'9998',44.87,1,2,1),(15,2317524,'1989-06-08 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124244241214161751369933572122610111122',6853,'262',57.44,1,3,NULL),(15,2317532,'1988-06-03 00:00:00',4,1,12,2005,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124241241134133421459713292324110132057',15361,'307',44.31,1,2,1),(15,2317540,'1974-04-10 00:00:00',2,1,12,1991,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124212213211235141344429445124121122097',16601,'9998',42.46,1,3,NULL),(15,2317559,'1991-04-11 00:00:00',4,6,12,2008,'F','S','VILA MOEMA','TUBARAO','SC','124244241217131431527838274125610128077',NULL,'797',41.35,1,3,NULL),(15,2317567,'1990-07-22 00:00:00',4,3,12,2007,'F','N','TATUAPE','SAO PAULO','SP','125252251215321431676632295124610142097',18642,'9998',39.25,3,3,NULL),(15,2317575,'1977-08-24 00:00:00',2,1,11,1995,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124243241314133711344424232324122914052',16224,'514',43.02,1,3,NULL),(15,2317583,'1988-06-19 00:00:00',2,10,12,2005,'F','N','SANTO ANTONIO','TUBARAO','SC','124241241117132431426712445122121764077',8939,'1034',53.77,2,2,1),(15,2317591,'1989-06-02 00:00:00',4,4,12,2006,'M','N','CENTRO','PINHALZINHO','SC','124241241116371711566332341112610118141',10844,'616',50.69,1,2,1),(15,2317605,'1989-10-21 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215111432558812592124610167097',8196,'270',55.01,1,3,NULL),(15,2317613,'1990-03-15 00:00:00',2,4,11,2007,'F','N','SÃO CRISTÓVÃO','CHAPECO','SC','124241241215111411526612314114610113092',12550,'983',48.22,1,3,NULL),(15,2317621,'1988-07-19 00:00:00',2,1,1,2008,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241247127141721555312242133610117045',NULL,'322',0.00,1,3,NULL),(15,2317630,'1986-10-30 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124163161212133411536811142124610166111',14653,'9998',45.21,1,3,NULL),(15,2317648,'1989-08-20 00:00:00',4,1,11,2006,'F','N','JARDIM BELA VISTA','ITAPIRANGA','SC','124241241241272411677931574225610166041',5327,'270',60.46,1,3,NULL),(15,2317656,'1990-10-11 00:00:00',4,1,12,2007,'F','N','SÃO CRISTÓVÃO','CASCAVEL','PR','116162161216111752434631575122610164197',NULL,'9998',0.00,1,3,NULL),(15,2317664,'1987-02-04 00:00:00',4,1,12,2002,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241216372431438619345124232824057',20949,'1036',34.97,1,3,NULL),(15,2317672,'1991-05-26 00:00:00',5,1,12,2008,'F','S','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241215111331467933335122610114077',NULL,'262',41.11,1,3,NULL),(15,2317680,'1988-09-09 00:00:00',4,2,12,2006,'M','N','BOA VISTA','CURITIBA','PR','116162161215571431546613185123610137187',NULL,'9998',0.00,1,3,NULL),(15,2317702,'1990-07-30 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124243241317111431336631212124610117042',22105,'1098',31.90,1,3,NULL),(15,2317710,'1988-03-19 00:00:00',4,8,12,2005,'M','N','ICARAÍ','BARRA VELHA','SC','124244241225273431643711385111133224147',NULL,'932',0.00,1,3,NULL),(15,2317729,'1989-10-28 00:00:00',4,1,12,2006,'M','N','BATEL','CURITIBA','PR','116162161217411711568831591121610164062',5333,'9998',60.45,1,3,NULL),(15,2317737,'1991-04-22 00:00:00',2,10,12,2008,'M','S','SÃO JOÃO','TUBARAO','SC','124243241215111711346931575122610118042',NULL,'807',40.77,1,3,NULL),(15,2317745,'1987-12-17 00:00:00',2,1,12,2004,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241121112411243344242324610116142',NULL,'745',0.00,1,2,1),(15,2317753,'1987-11-19 00:00:00',4,1,12,2005,'M','N','VILA TOGNI','POCOS DE CALDAS','MG','113132131217572431656619594124610137012',2108,'9998',68.93,1,3,NULL),(15,2317761,'1987-01-03 00:00:00',4,1,12,2004,'M','N','CENTRO','PENAPOLIS','SP','125252251217571431355666496325610127182',412,'9998',77.58,1,3,NULL),(15,2317770,'1990-07-04 00:00:00',2,9,12,2007,'M','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124241241215111431446613575112610167057',20779,'499',35.35,1,3,NULL),(15,2317788,'1990-09-12 00:00:00',4,4,12,2007,'M','N','CENTRO','AGUAS DE CHAPECO','SC','124243248336161431356659391122610122092',NULL,'9997',18.57,1,3,NULL),(15,2317796,'1988-01-22 00:00:00',2,1,12,2005,'M','N','TV MORENA','CAMPO GRANDE','MS','112124121217571431479933574122610142062',8999,'9998',53.65,4,3,NULL),(15,2317800,'1989-07-17 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241217372751338933585124230262162',15855,'266',43.60,1,3,NULL),(15,2317818,'1983-07-04 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217473431346412485125121134181',6727,'262',57.69,1,3,NULL),(15,2317826,'1987-11-12 00:00:00',4,1,3,2007,'M','N','CENTRO','ITAJUBA','MG','113133137117471431458824572122610122012',7576,'9999',56.07,1,3,NULL),(15,2317834,'1990-12-08 00:00:00',4,1,11,2007,'F','N','BAIRRO UNIVERSITÁRIO','TIJUCAS','SC','124242241215112731347923572224610143143',20130,'948',36.56,2,1,2),(15,2317842,'1989-04-13 00:00:00',4,1,10,2007,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124242241216121411457827475114610164022',3903,'1022',63.72,1,3,NULL),(15,2317885,'1985-04-04 00:00:00',4,1,12,2003,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','624241247121132421323444141334122266115',15117,'307',44.65,1,3,NULL),(15,2317893,'1990-03-08 00:00:00',4,9,12,2007,'M','N','CENTRO','BOM RETIRO','SC','124241241126161731546912345112610127192',NULL,'95',18.91,1,2,1),(15,2317907,'1990-09-19 00:00:00',2,7,11,2007,'F','N','VERDE VALE','CAPINZAL','SC','124241241215271431544912575124610138197',12954,'1093',47.65,1,3,NULL),(15,2317915,'1989-11-19 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215111411338911575124610162187',7243,'1022',56.70,2,3,NULL),(15,2317923,'1989-05-30 00:00:00',2,7,12,2006,'M','N','ESTADOS','CONCORDIA','SC','124241241147141411446614343223620168127',18795,'194',38.99,1,3,NULL),(15,2317931,'1982-03-14 00:00:00',2,1,12,1999,'F','N','INGLESES','SAO JOSE','SC','124201201137131741426611496324342334177',15671,'9998',43.85,1,3,NULL),(15,2317958,'1988-12-03 00:00:00',4,1,12,2006,'M','N','CHÁCARAS DO VALE','MOCOCA','SP','125252251217471431567812175122610167052',5205,'9998',60.70,4,3,NULL),(15,2317966,'1990-05-30 00:00:00',4,1,12,2007,'F','N','NOSSA SRA DE FATIMA','TELEMACO BORBA','PR','116161167214111212348519591122313214177',NULL,'9998',0.00,1,3,NULL),(15,2317974,'1991-01-04 00:00:00',4,4,12,2007,'M','N','CENTRO','CONCORDIA','SC','124242241115121711576912575112610137052',NULL,'1047',21.69,1,3,NULL),(15,2317982,'1987-04-04 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124243241312232411546713472114610117187',12794,'268',47.86,1,3,NULL),(15,2317990,'1989-10-05 00:00:00',4,1,11,2007,'F','N','MORRO CHIQUE','ITAJUBA','MG','113134138216111411229821415122610135047',NULL,'9998',0.00,1,3,NULL),(15,2318008,'1989-07-13 00:00:00',4,1,11,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215122431447632572112610122142',21623,'269',33.45,1,3,NULL),(15,2318016,'1989-07-06 00:00:00',4,8,12,2006,'F','N','VILA NOVA','JARAGUA DO SUL','SC','124242241215271411358823342122130222117',NULL,'422',0.00,1,3,NULL),(15,2318024,'1991-05-30 00:00:00',4,5,12,2008,'M','S','COMERCIARIO','CRICIUMA','SC','124242241217111231553512222112610117042',NULL,'210',32.10,1,3,NULL),(15,2318032,'1989-02-20 00:00:00',4,8,12,2006,'M','N','SAGUAÇU','JOINVILLE','SC','124242241217472431478631574114133242012',6453,'491',58.17,1,3,NULL),(15,2318040,'1991-01-16 00:00:00',4,10,11,2008,'M','S','CENTRO','TUBARAO','SC','124242241237151431248632595125613238077',NULL,'809',45.46,1,3,NULL),(15,2318059,'1989-10-07 00:00:00',1,2,12,2007,'M','N','JARDIM PETROPOLES','VARGINHA','MG','113134131217121531468714576122610164127',15895,'9998',43.55,1,3,NULL),(15,2318067,'1989-04-30 00:00:00',4,1,12,2006,'M','N','CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC','124241241117132431456433395112610127152',21173,'307',34.50,1,3,NULL),(15,2318075,'1959-03-08 00:00:00',2,1,12,2002,'F','N','BALNEARIO','FLORIANOPOLIS','SC','524244245127132512236643432144610113092',NULL,'307',28.73,1,3,NULL),(15,2318083,'1991-06-23 00:00:00',4,6,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215321431429914295124610127117',21110,'44',34.63,1,3,NULL),(15,2318091,'1983-10-28 00:00:00',4,8,11,2001,'M','N','VILA SÃO JOÃO','CACAPAVA','SP','125252251216152731336421415131141464091',NULL,'9998',0.00,1,3,NULL),(15,2318105,'1980-10-08 00:00:00',2,1,12,1999,'F','N','SANTA MARTA','BENTO GONCALVES','RS','120203201217411431536331344224140247092',NULL,'9998',0.00,1,3,NULL),(15,2318113,'1991-01-20 00:00:00',4,2,12,2008,'M','S','NAÇÕES','TIMBO','SC','124241241215111432467832575125610142147',NULL,'9997',5.94,1,3,NULL),(15,2318130,'1987-10-30 00:00:00',2,4,12,2006,'M','N','PRESIDENTE MEDICI','CHAPECO','SC','124244241416473451468623575325233238042',NULL,'1048',42.85,1,3,NULL),(15,2318148,'1990-06-01 00:00:00',4,7,11,2007,'F','N','CENTRO','JOACABA','SC','124242241212311731488912595112610167076',20391,'962',36.07,1,3,NULL),(15,2318156,'1990-09-05 00:00:00',2,8,11,2007,'M','N','FÁTIMA','JOINVILLE','SC','124243244335111711446614272114610157052',21740,'1016',33.16,1,3,NULL),(15,2318164,'1986-03-07 00:00:00',4,1,12,2003,'M','N','STA CATARINA','BIGUACU','SC','224252241432143711338854445122122266012',13249,'734',47.24,1,3,NULL),(15,2318172,'1989-05-24 00:00:00',4,1,10,2007,'F','N','BELA VISTA I','SAO JOSE','SC','124241241226172431425314241314610136055',NULL,'262',17.13,1,3,NULL),(15,2318180,'1990-09-09 00:00:00',2,8,12,2007,'F','N','IPEROBA','SAO FRANCISCO DO SUL','SC','124241241415131511428923572122610166147',20399,'867',36.05,1,3,NULL),(15,2318199,'1988-06-26 00:00:00',2,1,12,2005,'F','N','CERAMICA','ERECHIM','RS','120201201137131431424451392234610137097',19413,'9998',37.99,1,3,NULL),(15,2318202,'1991-05-07 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241243135161411377819575124610154012',14800,'779',45.01,1,2,1),(15,2318210,'1990-05-08 00:00:00',4,8,12,2007,'F','N','VILA PARAÍSO','RIO NEGRO','PR','116241161117131751556933572122610168147',15515,'9998',44.11,1,3,NULL),(15,2318229,'1988-08-09 00:00:00',2,7,12,2005,'M','N','TOBIAS','JOACABA','SC','124242248215574231464832294112131464092',8975,'454',53.70,1,3,NULL),(15,2318237,'1989-12-23 00:00:00',4,1,12,2007,'F','N','CAMPESTRE','RIO VERDE','GO','109092091237111431589811572122610143147',NULL,'9998',0.00,4,3,NULL),(15,2318245,'1990-08-02 00:00:00',4,4,12,2007,'F','N','CENTRO','MARAVILHA','SC','124242241215272411246922292122610114142',9095,'1037',53.47,1,3,NULL),(15,2318253,'1955-09-30 00:00:00',3,1,12,1976,'M','N','ZANELATO','SAO JOSE','SC','224241248617134411435441112124120844047',NULL,'306',0.00,2,3,NULL),(15,2318261,'1989-01-08 00:00:00',2,9,11,2007,'M','N','SAGRADO C DE JESUS','LAGES','SC','124243241215121431537914571125610124117',19335,'688',38.11,1,3,NULL),(15,2318270,'1989-05-05 00:00:00',4,1,12,2007,'M','N','SÃO CRISTÓVÃO','CASCAVEL','PR','116162161216471752434631575122610167057',7396,'9998',56.42,1,3,NULL),(15,2318288,'1985-07-24 00:00:00',4,1,12,2003,'M','N','ITAGUACU','FLORIANOPOLIS','SC','124242241215133431347979492112231417047',NULL,'266',0.00,1,3,NULL),(15,2318300,'1990-05-26 00:00:00',4,1,11,2007,'F','N','CENTRO','CASCAVEL','PR','116162161215111711568813575112610268072',NULL,'9998',0.00,1,3,NULL),(15,2318318,'1990-05-20 00:00:00',4,4,12,2007,'M','N','ALVORADA','XAXIM','SC','124241241116271431448814345122610167052',NULL,'848',17.65,4,3,NULL),(15,2318326,'1989-02-13 00:00:00',2,1,12,2007,'F','N','CENTRO','PALMAS','TO','127274271216111431449833575121610122147',16754,'9998',42.24,1,3,NULL),(15,2318334,'1989-05-31 00:00:00',4,1,7,2007,'M','N','RIO CAVEIRAS','BIGUACU','SC','124241247442111531553612445132610127112',21886,'9999',32.67,1,3,NULL),(15,2318342,'1989-08-13 00:00:00',4,9,12,2007,'M','N','CENTRO','LONDRINA','PR','116162161217111421479933571122610167042',NULL,'9998',0.00,1,3,NULL),(15,2318350,'1988-03-19 00:00:00',2,1,12,2005,'F','N','BELA VISTA','SAO JOSE','SC','124241247221131411123449295234133236187',20398,'9999',36.06,1,3,NULL),(15,2318369,'1957-04-03 00:00:00',2,1,1,1984,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241126131432236313435124610132045',NULL,'9999',21.47,1,2,1),(15,2318377,'1969-06-27 00:00:00',2,1,12,1992,'M','N','CENTRO','FLORIANOPOLIS','SC','124161161124113421166643132334431064097',15388,'1',44.28,1,2,1),(15,2318385,'1989-02-19 00:00:00',2,1,12,2006,'M','N','GUARDA DO EMBAU','PALHOCA','SC','124201201117131721123444446314140344054',15979,'9998',43.42,1,2,1),(15,2318393,'1991-07-02 00:00:00',2,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241217111431479811575122610147062',NULL,'226',0.00,1,3,NULL),(15,2318407,'1990-05-26 00:00:00',2,9,11,2007,'M','N','CENTRO','RIO DO OESTE','SC','124242241235171231449814285124610127057',19406,'991',38.01,1,3,NULL),(15,2318415,'1977-12-31 00:00:00',2,8,12,1998,'M','N','GUANABARA','JOINVILLE','SC','224241241122131421533244345134331562072',14828,'485',44.98,1,2,1),(15,2318423,'1986-05-10 00:00:00',2,1,12,2003,'F','N','ROÇADO','SAO JOSE','SC','124241241122133431443311342224610127077',NULL,'307',0.00,1,2,1),(15,2318431,'1990-11-01 00:00:00',4,1,12,2007,'F','N','CARDOSO','SAO JOAO BATISTA','SC','124241241115131232533611492124610132057',NULL,'712',19.45,3,2,1),(15,2318440,'1985-06-29 00:00:00',2,1,12,2002,'M','N','SANTO ANTÔNIO','JARAGUA DO SUL','SC','124241241116133421433623281324233266092',13776,'425',46.50,1,2,1),(15,2318458,'1962-12-18 00:00:00',4,1,12,1989,'M','N','CAMPINAS','SAO JOSE','SC','124253257421132231133344141124140216177',18532,'9998',39.43,4,3,NULL),(15,2318466,'1990-02-18 00:00:00',4,10,11,2007,'F','N','DEHON','TUBARAO','SC','124243241215111411478913431122610126042',16233,'806',43.00,1,3,NULL),(15,2318474,'1988-01-31 00:00:00',4,1,12,2005,'M','N','FORQUILHAS','SAO JOSE','SC','124251251122471411234664245324610132181',22294,'9998',31.06,4,3,NULL),(15,2318482,'1990-07-03 00:00:00',4,10,11,2007,'M','N','MONTE CASTELO','TUBARAO','SC','124242246235131711236639192124610168012',NULL,'9997',22.20,1,3,NULL),(15,2318490,'1990-06-05 00:00:00',2,3,12,2007,'F','N','BOMBAS','BOMBINHAS','SC','124241241415111731328831245124610134052',4571,'1119',62.08,1,3,NULL),(15,2318504,'1990-10-15 00:00:00',4,4,11,2007,'F','N','MARIA GORETTI','CHAPECO','SC','124241241415271731325414575125610124197',NULL,'1046',19.00,1,3,NULL),(15,2318520,'1990-06-13 00:00:00',1,1,12,2008,'F','S','PANTANAL','FLORIANOPOLIS','SC','124244241117111731479939572124610133182',NULL,'267',21.91,1,3,NULL),(15,2318539,'1990-12-22 00:00:00',4,3,12,2007,'M','N','CENTRO','TRES PASSOS','RS','120203201336151431456733575124610124017',22031,'9998',32.18,1,3,NULL),(15,2318547,'1988-03-05 00:00:00',4,1,12,2005,'F','N','CENTRO','SANTA MARIA','RS','120201201116571431543316575114140444056',8434,'9998',54.64,1,2,1),(15,2318555,'1989-05-11 00:00:00',4,1,12,2006,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241117131431224329342124610114052',11319,'307',49.97,1,2,1),(15,2318563,'1990-03-06 00:00:00',4,4,11,2007,'M','N','ZONA NORTE','PANAMBI','RS','120202201216371431448614571124610147142',NULL,'9998',29.19,1,3,NULL),(15,2318571,'1986-01-20 00:00:00',4,1,12,2003,'F','N','CABREÚVA','CAMPO GRANDE','MS','112133131417471441333511482324610124147',274,'9998',79.05,1,3,NULL),(15,2318580,'1989-12-16 00:00:00',4,1,12,2007,'M','N','FÁTIMA','PANAMBI','RS','120202201215271531476611375122610127057',11016,'9998',50.44,1,3,NULL),(15,2318598,'1990-02-27 00:00:00',4,1,11,2007,'F','N','PICADAS DO SUL','SAO JOSE','SC','124241241217111122526612342132610114187',NULL,'1074',20.96,1,3,NULL),(15,2318601,'1990-02-06 00:00:00',2,5,12,2007,'F','N','CIDADE ALTA','ARARANGUA','SC','124242241215111431337712572222610127072',NULL,'26',25.18,1,3,NULL),(15,2318610,'1988-04-17 00:00:00',4,6,12,2005,'M','N','BAIXO CANOAS','LUIZ ALVES','SC','124241241134132231216469372324230612067',11504,'537',49.71,1,3,NULL),(15,2318628,'1984-02-25 00:00:00',2,1,11,2000,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124202201213154731277742225132221764063',NULL,'9998',0.00,1,3,NULL),(15,2318636,'1990-04-11 00:00:00',2,5,12,2007,'F','N','SÃO JOÃO','COCAL DO SUL','SC','124244246217111731459914575122610122147',10862,'188',50.67,1,3,NULL),(15,2318644,'1988-03-05 00:00:00',2,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124243247223151221456619282112610167047',NULL,'9997',18.06,1,3,NULL),(15,2318652,'1990-12-26 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241212111411539611582124610124042',14882,'270',44.93,1,3,NULL),(15,2318679,'1990-03-01 00:00:00',4,8,11,2007,'M','N','CENTRO','JOINVILLE','SC','124242241215112431489812575122610132071',NULL,'491',36.25,1,3,NULL),(15,2318687,'1989-11-28 00:00:00',2,1,12,2007,'F','N','CENTRO','ANITAPOLIS','SC','124241241125161431336612332322610118147',18662,'19',39.22,1,3,NULL),(15,2318695,'1989-11-13 00:00:00',2,1,12,2007,'M','N','SÍLVIA REGINA','CAMPO GRANDE','MS','112122121216111431437719572124610164147',7200,'9998',56.79,1,3,NULL),(15,2318709,'1989-06-11 00:00:00',4,8,12,2007,'M','N','CENTRO','RIO NEGRINHO','SC','124243241315271752534351317112610167017',NULL,'974',25.03,1,3,NULL),(15,2318717,'1979-04-06 00:00:00',4,1,12,1996,'M','N','ITACORUBI','FLORIANOPOLIS','SC','224241243126153711255574135122321467057',NULL,'764',0.00,1,3,NULL),(15,2318725,'1989-10-25 00:00:00',2,1,7,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124243241215371731344431212113610138182',22190,'9999',31.53,1,3,NULL),(15,2318733,'1984-01-13 00:00:00',2,1,12,2001,'F','N','TRNDADE','FLORIANOPOLIS','SC','124163241237373431128744247344222321023',13416,'983',47.00,1,3,NULL),(15,2318741,'1990-03-10 00:00:00',4,8,10,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215271431278822575112610166122',NULL,'1063',0.00,1,3,NULL),(15,2318750,'1990-01-09 00:00:00',2,6,11,2007,'F','N','CENTRO','ITAJAI','SC','124242241215111431468713235112610114016',17737,'1026',40.75,1,3,NULL),(15,2318768,'1989-07-02 00:00:00',2,1,12,2006,'F','N','JD ATLANTICO','FLORIANOPOLIS','SC','124242241217253752459914592114610124196',NULL,'262',0.00,1,3,NULL),(15,2318776,'1978-09-14 00:00:00',4,1,12,1997,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124072071216152411138833485122130224047',NULL,'9998',0.00,1,3,NULL),(15,2318784,'1990-02-11 00:00:00',4,1,12,2007,'F','N','IPIRANGA','SAO JOSE','SC','124242241215111431458712575122610122012',19809,'738',37.19,1,3,NULL),(15,2318792,'1990-06-17 00:00:00',4,8,12,2007,'M','N','CENTRO','IPORA','PR','116161161116371451248839595122610117057',NULL,'458',0.00,4,2,1),(15,2318806,'1988-03-21 00:00:00',4,1,11,2005,'M','N','GUARA','GUARA','DF','107072071215271731486636575122610134012',247,'9998',79.37,1,3,NULL),(15,2318814,'1989-07-15 00:00:00',4,2,12,2007,'F','N','PEREQUÊ MIRIM','UBATUBA','SP','125251251417131431546614395124610166057',9507,'9998',52.76,1,3,NULL),(15,2318830,'1988-06-11 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216133132359913445114610132032',10933,'9997',50.56,1,3,NULL),(15,2318849,'1984-11-06 00:00:00',2,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','124243248212114221558411273324232714092',15079,'943',44.70,1,3,NULL),(15,2318857,'1991-04-23 00:00:00',4,9,11,2007,'F','N','CENTRO','CURITIBANOS','SC','124244241215121431367614345122610128187',12242,'881',48.67,1,3,NULL),(15,2318865,'1989-10-12 00:00:00',4,1,12,2007,'M','N','SUDOESTE','CRUZEIRO','DF','107072071217111431668733575111610137052',NULL,'9998',0.00,4,3,NULL),(15,2318873,'1990-12-13 00:00:00',2,1,11,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124242241217111432458513572122610137042',17314,'270',41.37,1,3,NULL),(15,2318881,'1990-07-26 00:00:00',2,1,11,2007,'F','N','ABRAAO','FLORIANOPOLIS','SC','124241241211131411346611581124610126142',17699,'1022',40.80,1,3,NULL),(15,2318890,'1985-07-11 00:00:00',4,3,12,2002,'M','N','VILA DO ENCONTRO','SAO PAULO','SP','125254251217141421568814492124610167182',12464,'9998',48.35,1,3,NULL),(15,2318903,'1990-04-22 00:00:00',2,1,2,2008,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241117151412547634396124610133057',15290,'739',44.42,4,2,1),(15,2318911,'1988-09-15 00:00:00',4,1,12,2006,'M','N','STO ANTONIO DE LISBO','FLORIANOPOLIS','SC','124242243211112511637519392122230223142',NULL,'9997',15.02,1,3,NULL),(15,2318946,'1990-02-22 00:00:00',4,1,11,2007,'M','N','PITUBA','SALVADOR','BA','105052051217111431468933572112610164092',NULL,'9998',0.00,1,3,NULL),(15,2318954,'1989-10-16 00:00:00',4,1,12,2009,'M','S','SÃO LUIZ','BRUSQUE','SC','124241246214131331559511175121610167051',NULL,'1090',40.23,1,3,NULL),(15,2318962,'1989-02-05 00:00:00',2,5,12,2006,'M','N','CENTRO','BALNEARIO ARROIO DO SILVA','SC','124241241146131211526514141124610112097',19750,'29',37.33,1,2,1),(15,2318970,'1982-05-25 00:00:00',2,1,12,1999,'F','N','VILA LUZITA','SANTO ANDRE','SP','125251251146142411634623285114610146183',13085,'9998',47.47,1,2,1),(15,2318989,'1990-04-07 00:00:00',4,1,12,2008,'M','S','AGRONOMICA','FLORIANOPOLIS','SC','124242241225111411469914575122610164161',NULL,'1048',22.96,1,3,NULL),(15,2318997,'1984-10-19 00:00:00',4,1,12,2001,'F','N','RIBEIRANIA','RIBEIRAO PRETO','SP','125252251215574411253811412122610122047',5785,'9998',59.50,4,3,NULL),(15,2319004,'1989-10-07 00:00:00',2,4,11,2006,'F','N','CANGO','FRANCISCO BELTRAO','PR','116164161214471431458833572112610118157',18319,'9998',39.76,1,3,NULL),(15,2319012,'1991-06-29 00:00:00',4,1,11,2008,'F','S','LAGOA DA CONCEICAO','FLORIANOPOLIS','SC','124242241212111431448722245114610138193',NULL,'270',54.41,1,3,NULL),(15,2319020,'1990-04-24 00:00:00',4,1,12,2007,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241117131531548313575122610112012',5157,'306',60.80,1,3,NULL),(15,2319039,'1988-11-20 00:00:00',4,1,12,2006,'M','N','CENTRO','ITUVERAVA','SP','125252251215471331566815475122610124052',NULL,'9998',0.00,1,3,NULL),(15,2319047,'1970-06-11 00:00:00',2,1,12,1995,'M','N','COLONINHA','FLORIANOPOLIS','SC','624241247426233131333343332334610116147',20176,'63',36.48,1,3,NULL),(15,2319063,'1991-06-27 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241412111411438871572122610136112',12104,'262',48.86,1,3,NULL),(15,2319071,'1990-04-05 00:00:00',2,8,12,2007,'F','N','ACARAI','SAO FRANCISCO DO SUL','SC','124242241234121111368614545122610111074',NULL,'992',0.00,1,3,NULL),(15,2319080,'1989-01-21 00:00:00',4,4,12,2006,'F','N','CENTRO','BOM SUCESSO DO SUL','PR','116162161216112431439939575122242037142',12868,'9998',47.76,1,3,NULL),(15,2319098,'1990-05-16 00:00:00',2,1,12,2007,'F','N','CENTRO','ITUPORANGA','SC','124242241417111411448811415122610162195',16793,'991',42.18,1,3,NULL),(15,2319101,'1987-08-26 00:00:00',4,1,12,2004,'F','N','CRUZEIRO','PASSO FUNDO','RS','120204201216471431444839185124240411027',6528,'9998',58.02,1,3,NULL),(15,2319110,'1991-02-05 00:00:00',2,7,12,2007,'F','N','MENINO DEUS','JOACABA','SC','124242241216111531448933475122610167077',NULL,'962',0.00,1,3,NULL),(15,2319128,'1987-04-13 00:00:00',4,1,11,2004,'F','N','GUABIROTUBA','CURITIBA','PR','116162161216371411456833575124610164127',NULL,'9998',0.00,1,3,NULL),(15,2319136,'1988-02-01 00:00:00',2,1,12,2004,'F','N','CENTRO','GURUPI','TO','127272271216572431468813572124242464072',653,'9998',75.70,4,3,NULL),(15,2319144,'1988-01-19 00:00:00',4,8,11,2005,'F','N','JD PIRATININGA','LIMEIRA','SP','125253251117571431446622211322610168147',NULL,'9998',0.00,1,3,NULL),(15,2319152,'1990-05-17 00:00:00',4,1,12,2007,'M','N','DIAMANTINO','CAXIAS DO SUL','RS','120202201217471431357314572122610142142',6988,'9998',57.18,1,3,NULL),(15,2319160,'1988-05-07 00:00:00',2,8,12,2005,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241232573431489714575114610164122',4923,'457',61.25,1,3,NULL),(15,2319179,'1984-09-12 00:00:00',4,1,12,2002,'M','N','INDEPENDENCIA','PORTO ALEGRE','RS','120202201217573441479611572124242617112',NULL,'9998',0.00,1,3,NULL),(15,2319195,'1989-05-06 00:00:00',2,1,6,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124244247417171231448923572114231227047',20069,'1022',36.69,1,3,NULL),(15,2319209,'1989-11-12 00:00:00',2,10,12,2007,'M','N','CENTRO','SAO LUDGERO','SC','124242241217171431563432575122610137062',17647,'950',40.88,1,3,NULL),(15,2319217,'1990-03-10 00:00:00',4,1,11,2007,'M','N','SETIR BUENO','GOIANIA','GO','109272091217111431568831575122610134042',2416,'9998',67.86,1,3,NULL),(15,2319225,'1990-03-21 00:00:00',2,9,12,2007,'F','N','CENTRO','ANITA GARIBALDI','SC','124243248312161731369913295122610122142',NULL,'18',0.00,1,3,NULL),(15,2319233,'1990-02-13 00:00:00',4,1,12,2007,'F','N','VILA JARDINI','SOROCABA','SP','125252251217111531358824572324610117012',19672,'9998',37.48,1,3,NULL),(15,2319241,'1990-05-15 00:00:00',4,1,10,2007,'F','N','BATEL','CURITIBA','PR','116162161311112231145512374122610123142',1700,'9998',70.38,1,3,NULL),(15,2319250,'1991-09-27 00:00:00',2,5,11,2008,'M','S','MICHEL','CRICIUMA','SC','124242241217111431368811475112610127042',NULL,'210',45.88,1,3,NULL),(15,2319268,'1989-12-11 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','116244161237112411169913471124610112147',13729,'9998',46.57,1,3,NULL),(15,2319276,'1992-03-01 00:00:00',4,1,12,2008,'M','S','CAMPINAS','SAO JOSE','SC','124242241215111431458814572124610116141',NULL,'737',54.52,1,3,NULL),(15,2319292,'1952-07-28 00:00:00',4,1,12,1970,'F','N','ITACORUBI','FLORIANOPOLIS','SC','424241241227151731363349392112331164185',NULL,'70',0.00,1,3,NULL),(15,2319306,'1989-10-21 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241115111451479933595122610127122',14222,'267',45.84,1,2,1),(15,2319314,'1988-12-03 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241215111231579933572114610167117',18963,'226',38.73,1,3,NULL),(15,2319322,'1990-01-26 00:00:00',4,2,11,2007,'F','N','AZAMBUJA','BRUSQUE','SC','124242241215271431468933575112610131192',7097,'107',56.97,1,3,NULL),(15,2319330,'1989-02-11 00:00:00',4,3,12,2006,'F','N','CENTRO','CASCAVEL','PR','116162161217271731346612392112610168197',NULL,'9998',34.62,1,3,NULL),(15,2319349,'1991-04-08 00:00:00',4,1,11,2008,'M','S','PRAINHA','FLORIANOPOLIS','SC','124242241215111431438633592122610122147',NULL,'270',42.83,1,3,NULL),(15,2319357,'1991-01-10 00:00:00',4,1,12,2007,'F','N','PARQUE SÃO JORGE','FLORIANOPOLIS','SC','124242241217151431469613272122610164197',16989,'262',41.89,1,3,NULL),(15,2319365,'1989-12-13 00:00:00',4,3,11,2007,'F','N','MARECHAL FLORIANO','CAXIAS DO SUL','RS','120202201215371732437832572124610134127',11850,'9998',49.18,1,3,NULL),(15,2319373,'1989-04-21 00:00:00',4,1,12,2006,'F','N','URBANOVA','SAO JOSE DOS CAMPOS','SP','125252251211472431578824572122610122097',NULL,'9998',0.00,1,3,NULL),(15,2319381,'1990-07-31 00:00:00',2,8,12,2007,'M','N','JARDIM CARVALHO','PONTA GROSSA','PR','116162161217271711338622124125610164142',12450,'9998',48.36,1,3,NULL),(15,2319390,'1989-11-29 00:00:00',2,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241235111451339931595121610117097',NULL,'270',21.80,1,3,NULL),(15,2319403,'1990-05-20 00:00:00',2,10,12,2007,'F','N','PROGRESSO','LAGUNA','SC','124243241215111431336714575124610148077',20567,'525',35.75,1,3,NULL),(15,2319411,'1990-10-28 00:00:00',4,6,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124244241215271431557633295122610162187',11409,'44',49.83,1,3,NULL),(15,2319420,'1988-10-05 00:00:00',4,4,12,2007,'F','N','CENTRO','CONCORDIA','SC','124241241135371411435933575122610161151',NULL,'192',0.00,1,2,1),(15,2319438,'1987-06-20 00:00:00',4,1,12,2005,'M','N','CENTRO','ARARAS','SP','125252251216472411437831572122121167042',6418,'9998',58.22,1,3,NULL),(15,2319446,'1991-08-08 00:00:00',2,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241216111411228823295114610114041',NULL,'269',22.51,1,3,NULL),(15,2319454,'1990-11-30 00:00:00',4,2,11,2008,'M','S','VICTOR KONDER','BLUMENAU','SC','124242241217151532479814275122610127102',NULL,'855',55.97,1,3,NULL),(15,2319462,'1990-10-06 00:00:00',2,1,12,2007,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124243241112471431438614276122610128077',19772,'733',37.29,1,3,NULL),(15,2319470,'1990-08-31 00:00:00',4,1,12,2007,'M','N','JARDINS','SAO PAULO','SP','125252251217371531568831575124610147112',NULL,'9998',0.00,1,3,NULL),(15,2319489,'1989-02-11 00:00:00',2,1,12,2006,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124243241212162521426611342124221717052',12787,'1048',47.87,1,3,NULL),(15,2319497,'1987-05-27 00:00:00',4,1,11,2004,'F','N','PRAINHA','FLORIANOPOLIS','SC','124243241117133231536614445135230264147',NULL,'307',24.35,1,3,NULL),(15,2319500,'1986-12-27 00:00:00',2,1,6,2005,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124202208221111121527717343112141017081',NULL,'9999',24.75,1,3,NULL),(15,2319519,'1990-10-22 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241217471431568832375122610162092',7163,'270',56.86,1,3,NULL),(15,2319527,'1990-02-11 00:00:00',2,5,12,2006,'M','N','CENTRO','PITANGA','PR','116163161117131411323734482122240266142',14465,'9998',45.48,1,3,NULL),(15,2319535,'1990-01-29 00:00:00',4,2,11,2007,'M','N','ESCOLA AGRICOLA','BLUMENAU','SC','124241241114131421338628585124610122172',21097,'84',34.66,1,3,NULL),(15,2319543,'1985-05-03 00:00:00',4,4,11,2004,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124243241316272421456534242121610127057',NULL,'751',33.97,1,3,NULL),(15,2319551,'1984-01-02 00:00:00',4,6,12,2001,'M','N','NOVA BRASÍLIA','ITAJAI','SC','124163161337471221547411445124233224097',19808,'9998',37.20,1,3,NULL),(15,2319560,'1989-01-06 00:00:00',4,4,12,2005,'F','N','CENTRO','ITAPEJARA D OESTE','PR','116162161215574751439936371124610166187',NULL,'9998',0.00,1,3,NULL),(15,2319578,'1984-02-03 00:00:00',2,1,12,2001,'M','N','CENTRO','BOMBINHAS','SC','124241244116131431528623492342610168187',NULL,'783',17.73,1,3,NULL),(15,2319586,'1989-07-12 00:00:00',4,7,12,2006,'M','N','CENTRO','GUAIRA','PR','116162161215471411448615475114610126057',NULL,'9998',0.00,1,3,NULL),(15,2319594,'1992-01-02 00:00:00',4,4,12,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124244241211111431557923372122610124047',22086,'752',31.99,1,3,NULL),(15,2319608,'1988-11-12 00:00:00',4,4,12,2004,'M','N','CENTRO','XAXIM','SC','124244241217472441356619395112131467182',NULL,'168',0.00,1,3,NULL),(15,2319616,'1984-03-14 00:00:00',4,1,11,2001,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124242243315555411467839595122220762057',3452,'262',64.88,1,3,NULL),(15,2319624,'1988-01-25 00:00:00',4,1,11,2005,'F','N','KOBRASOL','SAO JOSE','SC','124242241216373731338923575124233223097',17205,'9997',41.56,2,3,NULL),(15,2319640,'1990-02-15 00:00:00',4,10,11,2007,'M','N','OFICINAS','TUBARAO','SC','124242241215121431466632125122610137042',15642,'806',43.88,1,3,NULL),(15,2319667,'1989-11-25 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124243241115131431426629391334610127142',21885,'307',32.67,1,3,NULL),(15,2319675,'1990-08-03 00:00:00',4,7,12,2007,'M','N','CHAMPAGNAT','CURITIBA','PR','124241161317472231473332195124610167057',NULL,'9998',33.19,1,3,NULL),(15,2319683,'1989-05-09 00:00:00',4,1,12,2006,'M','N','JD MONTE CARMELO','GUARULHOS','SP','125252268215471431484419571124610122057',NULL,'9998',0.00,1,3,NULL),(15,2319713,'1990-10-20 00:00:00',4,9,11,2007,'F','N','VILA NOVA','LAGES','SC','624242241217111411468712595112610113147',20790,'497',35.31,1,3,NULL),(15,2319730,'1986-04-20 00:00:00',4,8,12,2003,'F','N','BAEPENDI','JARAGUA DO SUL','SC','124242241217132411569912285124130265057',NULL,'441',0.00,1,3,NULL),(15,2319748,'1990-07-25 00:00:00',4,6,11,2007,'F','N','CENTRO','NAVEGANTES','SC','124242241215112431558933572112610162182',4183,'1026',62.95,1,3,NULL),(15,2319756,'1982-11-26 00:00:00',4,1,12,1999,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124243241216154411469913485112421467057',1698,'262',70.39,1,3,NULL),(15,2319764,'1991-03-18 00:00:00',4,1,12,2008,'F','S','MEDIANEIRA','TRES DE MAIO','RS','120202201217111431349724575122610122092',NULL,'9998',38.06,1,3,NULL),(15,2319772,'1990-08-09 00:00:00',4,1,12,2007,'M','N','JARDIM TAPAJÓS','ATIBAIA','SP','125252251217111431558812375122610144192',10649,'9998',50.95,1,3,NULL),(15,2319780,'1988-09-25 00:00:00',5,1,12,2005,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124242241215114411468831575124233261193',6633,'270',57.84,1,3,NULL),(15,2319799,'1991-02-10 00:00:00',2,1,12,2008,'F','S','TRINDADE','FLORIANOPOLIS','SC','124242248216111712448614592122610113187',NULL,'270',36.89,1,3,NULL),(15,2319802,'1988-08-08 00:00:00',4,4,12,2005,'M','N','JARDIM ITALIA','CHAPECO','SC','124242241216142431446923342122231022052',NULL,'185',0.00,1,3,NULL),(15,2319810,'1990-12-21 00:00:00',4,4,12,2006,'M','N','CENTRO','AGUAS FRIAS','SC','124241241125131331546614342222610117057',NULL,'11',0.00,1,2,1),(15,2319837,'1989-04-20 00:00:00',4,1,12,2006,'M','N','FUNCIONÁRIOS','POCOS DE CALDAS','MG','113132131216371411458613575115610144017',16879,'9998',42.04,4,3,NULL),(15,2319845,'1991-03-15 00:00:00',4,8,12,2008,'F','S','GLÓRIA','JOINVILLE','SC','124242241215111431448812422122610118072',NULL,'491',34.26,1,3,NULL),(15,2319853,'1990-11-02 00:00:00',4,8,11,2007,'F','N','PETROPOLIS','JOINVILLE','SC','124241241112131521526612572124610114147',NULL,'492',26.90,1,3,NULL),(15,2319861,'1991-12-10 00:00:00',4,1,2,2009,'F','S','CENTRO','FLORIANOPOLIS','SC','124242248215111751648612572224610167072',NULL,'1022',39.11,1,3,NULL),(15,2319870,'1990-01-11 00:00:00',2,1,12,2007,'M','N','SANTO ANTONIO LISBOA','FLORIANOPOLIS','SC','124244241215111431568514345124610127062',NULL,'1048',21.67,1,3,NULL),(15,2319888,'1991-02-13 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241212111731358831415122610127047',15144,'213',44.61,1,3,NULL),(15,2319896,'1978-05-25 00:00:00',2,1,12,1996,'M','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124243248332134421555843235312122267183',18089,'286',40.17,1,3,NULL),(15,2319918,'1988-03-30 00:00:00',4,1,12,2005,'F','N','PRAIA DE BELAS','PORTO ALEGRE','RS','120202201216572431337711275112610162142',11823,'9998',49.22,1,3,NULL),(15,2319926,'1990-09-24 00:00:00',4,6,12,2007,'M','N','CENTRO','BRUSQUE','SC','124242241215111731436832325122610114122',NULL,'981',0.00,1,3,NULL),(15,2319934,'1991-01-30 00:00:00',2,7,11,2007,'F','N','CENTRO','JOACABA','SC','124242241212371431438813572122610167072',NULL,'962',32.22,1,3,NULL),(15,2319942,'1989-04-29 00:00:00',2,1,12,2007,'F','N','PONTE IMARUIM','PALHOCA','SC','124241241417111451336629592224610117142',21823,'1010',32.87,1,3,NULL),(15,2319950,'1991-09-27 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217151731669713295122610124167',12096,'270',48.87,1,3,NULL),(15,2319969,'1990-03-22 00:00:00',2,1,12,2008,'M','S','ITACORUBI','FLORIANOPOLIS','SC','124204241221171711348939262122610124042',NULL,'883',42.08,1,3,NULL),(15,2319977,'1978-06-08 00:00:00',4,1,12,1995,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124242241216153421588911445122221464092',NULL,'272',0.00,1,3,NULL),(15,2319985,'1990-01-16 00:00:00',4,8,12,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124242248234121631456612572122610118142',10763,'9997',50.79,4,3,NULL),(15,2319993,'1990-06-27 00:00:00',2,1,12,2007,'F','N','CENTRO','NOVA PETROPOLIS','RS','120201201117161331246414394125610167147',15306,'9998',44.39,1,2,1),(15,2320002,'1989-02-10 00:00:00',4,8,12,2006,'M','N','AMÉRICA','JOINVILLE','SC','124244241215472411456732345112610127062',NULL,'491',0.00,1,3,NULL),(15,2320010,'1989-09-02 00:00:00',2,8,11,2006,'M','N','CENTRO','LAGES','SC','124242241217372431457714172325231468122',7859,'499',55.60,1,3,NULL),(15,2320029,'1986-09-03 00:00:00',4,8,12,2004,'F','N','SAGUACU','JOINVILLE','SC','124244241235573411248924575114230647117',12963,'486',47.64,1,3,NULL),(15,2320037,'1988-12-19 00:00:00',4,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124244241125131431446933486124610122177',NULL,'591',22.27,1,3,NULL),(15,2320045,'1991-02-18 00:00:00',4,1,2,2009,'M','S','ITACORUBI','FLORIANOPOLIS','SC','124244241317151732467924596112610127047',NULL,'267',60.47,1,3,NULL),(15,2320053,'1990-02-21 00:00:00',4,6,11,2007,'M','N','CENTRO','NAVEGANTES','SC','124242241235111431427912562124610167142',NULL,'1026',0.00,1,3,NULL),(15,2320061,'1987-04-02 00:00:00',4,1,12,2004,'M','N','JD PAULISTA','RIBEIRAO PRETO','SP','125252251314575231444519441124142064073',22022,'9998',32.20,1,3,NULL),(15,2320070,'1989-11-05 00:00:00',4,1,12,2007,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124243241115371431548721342124610137117',16069,'307',43.26,1,3,NULL),(15,2320088,'1991-07-25 00:00:00',4,5,12,2008,'M','S','IDEAL','NOVO HAMBURGO','RS','120203201417111531489832575112610137042',NULL,'9998',52.87,1,3,NULL),(15,2320096,'1990-02-03 00:00:00',4,2,12,2007,'F','N','CENTRO','GASPAR','SC','124242241217111752564319572122610137145',8646,'1004',54.26,1,3,NULL),(15,2320100,'1988-08-01 00:00:00',4,10,12,2005,'M','N','VILA MOEMA','TUBARAO','SC','124243241112272431528723382225133264057',NULL,'292',0.00,1,3,NULL),(15,2320118,'1989-09-04 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217273431357713572122230233012',572,'270',76.27,1,3,NULL),(15,2320126,'1990-12-14 00:00:00',4,4,12,2007,'F','N','CENTRO','MARAVILHA','SC','124244241117151511536739571225610166172',7841,'552',55.61,1,3,NULL),(15,2320134,'1988-02-02 00:00:00',4,6,12,2007,'M','N','SÃO JOÃO','ITAJAI','SC','124251241226111411536863475121610167176',20632,'388',35.63,1,3,NULL),(15,2320142,'1991-10-19 00:00:00',4,2,12,2008,'F','S','VILA NOVA','BLUMENAU','SC','124242241217131731457712175124610168187',NULL,'70',49.13,1,3,NULL),(15,2320150,'1989-07-18 00:00:00',2,1,12,2006,'F','N','ÁGUAS MORNAS','AGUAS MORNAS','SC','124241241111111731524631371124130237147',NULL,'978',17.56,1,3,NULL),(15,2320169,'1990-06-21 00:00:00',4,8,11,2007,'M','N','SANTA QUITERIA','CURITIBA','PR','116162161216471431468817575112610117121',NULL,'9998',0.00,1,3,NULL),(15,2320177,'1985-01-26 00:00:00',4,1,12,2002,'M','N','VILA NOVA CONCEIÇÃO','SAO PAULO','SP','125252251217371431489811441122342167052',NULL,'9998',0.00,1,3,NULL),(15,2320185,'1984-06-02 00:00:00',4,3,12,2001,'F','N','REGIÃO DO LAGO','CASCAVEL','PR','116132131217231431348713492112243268097',15146,'9998',44.60,1,3,NULL),(15,2320193,'1990-02-07 00:00:00',4,2,12,2007,'F','N','CENTRO','BRUSQUE','SC','124242241212211111388512575122610114143',NULL,'107',0.00,1,3,NULL),(15,2320207,'1975-05-06 00:00:00',2,1,12,2001,'M','N','CAMPINAS','SAO JOSE','SC','224241241426154751225449195224220867042',NULL,'270',13.46,1,3,NULL),(15,2320223,'1990-11-07 00:00:00',4,8,12,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124243241117151711436679292324610138017',14078,'466',46.07,1,3,NULL),(15,2320231,'1991-07-29 00:00:00',4,2,12,2008,'F','S','NOVA BRASÍLIA','BRUSQUE','SC','124241241117131411436612225222610164017',NULL,'116',21.53,1,3,NULL),(15,2320240,'1985-11-06 00:00:00',4,1,12,2003,'M','N','SÃO DIMAS','SAO JOSE DOS CAMPOS','SP','125252253217371231569831575121610167187',7436,'9998',56.35,1,3,NULL),(15,2320258,'1991-02-07 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124244241135151431225521275124610137115',22132,'9997',31.80,1,3,NULL),(15,2320266,'1991-03-12 00:00:00',2,5,11,2008,'F','S','CRISTO REI','ICARA','SC','124242241212111731438814275124610124017',NULL,'226',48.42,1,3,NULL),(15,2320282,'1990-06-16 00:00:00',4,9,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124241241116131431336923575125610128092',NULL,'239',32.68,1,2,1),(15,2320290,'1982-07-21 00:00:00',2,1,1,2006,'F','N','CONSERVAS','LAJEADO','RS','120201207127471111623334281324610127092',NULL,'9998',23.49,1,2,1),(15,2320304,'1989-01-18 00:00:00',2,4,12,2006,'M','N','BAIXADA PIONEIRA','PINHALZINHO','SC','124241241117132431426422372245242627057',NULL,'1032',0.00,1,2,1),(15,2320312,'1983-05-17 00:00:00',4,1,12,1999,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241136132421353874375121320966092',8499,'516',54.51,1,2,1),(15,2320320,'1990-07-31 00:00:00',2,2,12,2007,'F','N','ESTRADA GERAL','VIDAL RAMOS','SC','124241241144131432423335152324610126057',22404,'828',30.35,1,2,1),(15,2320339,'1989-10-10 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215271531477814375112610144192',1433,'262',71.51,1,3,NULL),(15,2320347,'1990-10-23 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241215111411439813572124610116052',14802,'262',45.01,1,3,NULL),(15,2320363,'1990-02-11 00:00:00',4,1,11,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215111431447832322124610127147',4531,'270',62.17,1,3,NULL),(15,2320371,'1985-05-20 00:00:00',4,5,12,2001,'M','N','CENTRO','CRICIUMA','SC','124244241217155431568831215122121462172',4968,'213',61.16,1,3,NULL),(15,2320380,'1979-09-17 00:00:00',2,1,12,1996,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124282288217272421368829181224533263186',NULL,'9998',0.00,1,3,NULL),(15,2320398,'1988-10-12 00:00:00',2,1,12,2005,'M','N','VARGEM BOM JESUS','FLORIANOPOLIS','SC','124241241127132411355511211314610118112',20516,'288',35.86,1,2,1),(15,2320410,'1991-11-01 00:00:00',5,6,12,2008,'F','S','CENTRO','CURITIBA','PR','124242241415111511326632571124610116033',NULL,'109',47.55,1,3,NULL),(15,2320428,'1991-03-27 00:00:00',4,7,12,2007,'M','N','INTERIOR','PIRATUBA','SC','124241241125161431333336572324610127057',NULL,'619',0.00,1,3,NULL),(15,2320436,'1989-05-27 00:00:00',2,5,11,2006,'F','N','VILA RICA','SANTA ROSA DO SUL','SC','124241241215132431225723582124133267117',NULL,'770',0.00,1,3,NULL),(15,2320444,'1963-04-13 00:00:00',2,1,12,1987,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241248125372412133343431344610126097',NULL,'295',18.50,1,2,1),(15,2320452,'1990-03-22 00:00:00',2,5,11,2007,'M','N','JARDIM MARISTELA','CRICIUMA','SC','124242241214111411576632425122610124122',7795,'210',55.70,1,3,NULL),(15,2320460,'1990-03-06 00:00:00',4,1,12,2007,'M','N','NOVA BRASILIA','JOINVILLE','SC','124244241212151111588612295122610127082',NULL,'463',0.00,1,3,NULL),(15,2320479,'1979-01-17 00:00:00',2,1,11,1998,'F','N','CENTRO','FLORIANOPOLIS','SC','224242247227134421525354242114610162097',20916,'9999',35.05,1,3,NULL),(15,2320487,'1989-02-02 00:00:00',4,8,12,2005,'M','N','TIRADENTES','CAMPO GRANDE','MS','112121121217472751457831575114143234036',9992,'9998',51.95,3,3,NULL),(15,2320495,'1987-07-28 00:00:00',2,1,12,2005,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243247335472431656623221124610117162',12155,'9999',48.78,3,3,NULL),(15,2320517,'1986-09-05 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124161241142131711632471182314610137075',NULL,'922',30.18,4,3,NULL),(15,2320525,'1990-10-28 00:00:00',4,1,12,2008,'M','S','PANTANAL','FLORIANOPOLIS','SC','124242241217111531369913575124610137052',NULL,'883',57.27,1,3,NULL),(15,2320533,'1991-01-26 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','624201241117151412355869475112610164176',16297,'289',42.91,1,3,NULL),(15,2320541,'1990-04-02 00:00:00',4,10,11,2007,'F','N','VILA MOEMA','TUBARAO','SC','124241241215131711116814372124610145097',NULL,'809',28.85,1,3,NULL),(15,2320550,'1990-02-07 00:00:00',4,1,12,2007,'M','N','PRAÇA','TIJUCAS','SC','124241241137131431627619282121610124057',18586,'971',39.35,4,2,1),(15,2320568,'1990-09-17 00:00:00',2,9,11,2007,'M','N','CENTRO','LAGES','SC','124242241215111751466911412111610127057',21535,'499',33.66,1,3,NULL),(15,2320576,'1990-09-28 00:00:00',4,1,11,2007,'M','N','CENTRO','IRATI','PR','116164161215571231437933471212610162177',NULL,'9998',0.00,1,3,NULL),(15,2320584,'1988-08-17 00:00:00',2,8,12,2005,'F','N','JARDIM EUROPA','JACAREZINHO','PR','116161161212471751558813575112610118182',16174,'9998',43.11,1,3,NULL),(15,2320592,'1990-01-24 00:00:00',4,1,12,2007,'F','N','COHAB II','CANOINHAS','SC','124241241116131411333314242224610126152',15900,'153',43.54,1,3,NULL),(15,2320606,'1988-12-22 00:00:00',4,1,12,2005,'M','N','JD ITACOLOMI','SAO PAULO','SP','125252251217571431678632575122610167047',1572,'9998',70.89,1,3,NULL),(15,2320614,'1989-04-05 00:00:00',4,8,11,2006,'F','N','BUCAREIN','JOINVILLE','SC','124242241215272431458811471112131022142',3676,'486',64.29,1,3,NULL),(15,2320622,'1983-03-25 00:00:00',3,1,12,2000,'M','N','BOTAFOGO','RIO DE JANEIRO','RJ','121212211317151441469913575124241867046',7072,'9998',57.02,1,3,NULL),(15,2320630,'1988-08-26 00:00:00',4,1,7,2007,'M','N','CANOAS','RIO DO SUL','SC','124241242116131431546834572224610127042',NULL,'662',22.63,1,2,1),(15,2320649,'1990-10-28 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241217111432479933432112610143147',NULL,'262',49.26,1,3,NULL),(15,2320657,'1989-10-16 00:00:00',2,1,12,2007,'M','N','NAÇÕES','INDAIAL','SC','124241241417271411324633595124610127122',NULL,'986',22.17,4,3,NULL),(15,2320665,'1990-05-16 00:00:00',4,8,12,2007,'F','N','CENTRO','REGISTRO','SP','125251251216111431535832575122610124042',NULL,'9998',0.00,3,3,NULL),(15,2320673,'1989-01-02 00:00:00',2,10,11,2006,'F','N','PORTAL','ARMAZEM','SC','124243241217272431425911192124121467142',6651,'806',57.81,1,3,NULL),(15,2320681,'1989-03-30 00:00:00',2,1,12,2006,'F','N','SALSEIRO','CANOINHAS','SC','124241248236332431436623575112610168197',18424,'154',39.61,1,3,NULL),(15,2320690,'1990-03-03 00:00:00',2,8,12,2007,'F','N','FAXINAL','MAFRA','SC','124163161317141411426613295123610126147',NULL,'9998',0.00,4,1,2),(15,2320703,'1972-01-19 00:00:00',4,3,12,1989,'F','N','CHÁCARA INGLESA','SAO PAULO','SP','125252251216151231359919485124142667097',NULL,'9998',32.30,1,3,NULL),(15,2320738,'1990-01-11 00:00:00',2,2,12,2007,'M','N','FORTALEZA','BLUMENAU','SC','124241241415111331366636285124610132042',15415,'88',44.23,1,3,NULL),(15,2320746,'1988-08-14 00:00:00',4,1,12,2005,'M','N','MARECHAL FLORIANO','CAXIAS DO SUL','RS','120201201117271431459811282124240264047',9844,'9998',52.19,1,3,NULL),(15,2320754,'1991-07-19 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124162241217121431578934372122610143183',NULL,'1022',51.00,1,3,NULL),(15,2320762,'1989-05-13 00:00:00',2,1,12,2007,'F','N','ROÇADO','SAO JOSE','SC','124242241217131431538614572122610124146',18488,'1076',39.51,1,3,NULL),(15,2320770,'1988-11-06 00:00:00',4,1,12,2005,'M','N','SANTA ROSA','PRESIDENTE EPITACIO','SP','125253251215471731545539195112610117047',NULL,'9998',0.00,1,3,NULL),(15,2320789,'1989-06-13 00:00:00',4,1,12,2006,'M','N','CENTRO','PORTO UNIAO','SC','124241241117271431335621485125240647012',NULL,'635',24.49,4,2,1),(15,2320797,'1990-07-09 00:00:00',2,8,12,2007,'F','N','PARQUE OLARIA','SANTA BARBARA D OESTE','SP','125251251215151431444425572224610114042',NULL,'9999',0.00,1,3,NULL),(15,2320819,'1990-10-03 00:00:00',4,1,12,2007,'F','N','BATEL','CURITIBA','PR','116162161216111431689932572122610163182',NULL,'9998',0.00,1,3,NULL),(15,2320827,'1986-03-31 00:00:00',4,1,12,2003,'M','N','CENTRO','FOZ DO IGUACU','PR','116164161216331431343429595114610164012',NULL,'9998',0.00,1,3,NULL),(15,2320835,'1987-02-09 00:00:00',2,1,11,2004,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241127273441425923372324232726197',11437,'177',49.79,1,2,1),(15,2320843,'1984-10-19 00:00:00',2,1,12,2003,'F','N','ENSEADA DE BRITO','PALHOCA','SC','124243244122131741448619432122610118147',22148,'594',31.73,1,3,NULL),(15,2320851,'1990-06-08 00:00:00',4,4,12,2007,'F','N','RESENER','PALMITOS','SC','124241241145131431436613432122610121147',NULL,'601',21.80,1,3,NULL),(15,2320860,'1990-11-20 00:00:00',2,10,12,2007,'F','N','RIO PEQUENO','GRAO PARA','SC','124241241217111431325633575124610124197',NULL,'950',0.00,2,1,2),(15,2320878,'1989-01-29 00:00:00',4,1,12,2006,'F','N','SANTANA','RIO CLARO','SP','125251251117471431628823571124610136092',14229,'9998',45.83,1,2,1),(15,2320886,'1989-08-22 00:00:00',2,1,1,2008,'F','N','SILVA','SAPUCAIA DO SUL','RS','120201201116171732547721385222610127077',17319,'9998',41.36,1,3,NULL),(15,2320894,'1972-07-16 00:00:00',4,1,12,1988,'M','N','TRINDADE','FLORIANOPOLIS','SC','224242241116144751468643435122120867057',13397,'305',47.04,1,3,NULL),(15,2320908,'1983-06-03 00:00:00',4,1,12,2002,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241117132451534814472324610124027',21185,'276',34.47,2,1,1),(15,2320916,'1989-07-11 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215372711348632574112610121045',841,'270',74.42,4,3,NULL),(15,2320924,'1978-08-05 00:00:00',4,1,12,1995,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241212473221368833575124221466182',NULL,'269',0.00,1,3,NULL),(15,2320932,'1988-06-06 00:00:00',4,1,12,2005,'M','N','PORTÃO','CURITIBA','PR','116162161217571731468933575122610165147',NULL,'9998',0.00,1,3,NULL),(15,2320940,'1983-10-28 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212143431588713492122331036182',NULL,'269',0.00,1,3,NULL),(15,2320959,'1984-12-07 00:00:00',2,1,12,2002,'M','N','TV MORENA','CAMPO GRANDE','MS','112123121136112121478832475122610117121',4085,'9998',63.23,1,3,NULL),(15,2320967,'1989-09-22 00:00:00',4,8,12,2006,'M','N','JARDIM SÃO LUÍS','SUZANO','SP','125251251111471432378919375122610162097',12154,'9998',48.79,1,3,NULL),(15,2320975,'1993-01-04 00:00:00',4,10,12,2009,'M','S','VILA MOEMA','TUBARAO','SC','124242241217111431489713595122610134172',NULL,'797',55.20,1,3,NULL),(15,2320983,'1988-06-25 00:00:00',2,1,12,2005,'F','N','CAMPINAS','SAO JOSE','SC','124241241215133431437812576124230227147',3793,'1036',63.98,1,3,NULL),(15,2320991,'1990-05-16 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241216112131449911472122610167077',8714,'213',54.15,1,3,NULL),(15,2321009,'1989-10-19 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242247136111431459833575114610135057',17764,'9997',40.72,1,3,NULL),(15,2321025,'1981-01-20 00:00:00',2,1,12,1999,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242247237373431368723415124132864095',9335,'9999',53.07,1,3,NULL),(15,2321033,'1987-01-19 00:00:00',4,1,11,2004,'F','N','JD MORUMBI UM','SOROCABA','SP','125252251215411431438814575112610124092',4559,'9998',62.12,1,3,NULL),(15,2321041,'1989-05-09 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241127471431421339292221610133147',22011,'281',32.23,1,2,1),(15,2321068,'1990-06-04 00:00:00',4,10,12,2007,'M','N','TRÊS DE MAIO','CAPIVARI DE BAIXO','SC','124242241212111432469613575122610117042',NULL,'806',23.67,4,3,NULL),(15,2321076,'1989-02-10 00:00:00',4,1,12,2005,'M','N','JARDIM AMERICA','MAFRA','SC','124243241217572431458833575124610167187',11602,'9998',49.55,1,3,NULL),(15,2321084,'1988-07-19 00:00:00',2,1,12,2007,'F','N','BELA VISTA I','SAO JOSE','SC','124242241426373411436624145124610136147',20144,'9999',36.54,1,3,NULL),(15,2321092,'1988-01-05 00:00:00',2,1,12,2004,'M','N','CENTRO','SANTA MARIA','RS','120164201216571441447914395115140744147',9550,'9998',52.69,1,3,NULL),(15,2321106,'1988-10-05 00:00:00',2,1,12,2005,'M','N','SANTA LUZIA','PAICANDU','PR','116161168311113711234529592111610162187',1754,'9998',70.20,4,3,NULL),(15,2321114,'1990-03-27 00:00:00',2,1,11,2007,'M','N','CAMPINAS','SAO JOSE','SC','124241241122111751619322592114610167047',15169,'1022',44.57,1,3,NULL),(15,2321122,'1989-01-30 00:00:00',4,10,12,2005,'M','N','MORRO DO MIRIM','IMBITUBA','SC','124241241217333711423619272124610124057',14654,'362',45.21,1,3,NULL),(15,2321130,'1989-05-05 00:00:00',4,1,12,2006,'M','N','ALVINÓPOLIS','ATIBAIA','SP','125252251217471431368611575122610162042',6983,'9998',57.19,1,3,NULL),(15,2321149,'1988-05-30 00:00:00',4,1,12,2005,'F','N','CENTRO','CURITIBA','PR','116112161217172421568822574324241566187',NULL,'9998',0.00,3,3,NULL),(15,2321157,'1991-10-25 00:00:00',4,4,12,2007,'F','N','CENTRO','TRINDADE DO SUL','RS','120201201316161411429713295122640134147',NULL,'9998',21.96,4,3,NULL),(15,2321165,'1982-04-24 00:00:00',4,8,12,1999,'F','N','OXFORD','SAO BENTO DO SUL','SC','124241241126131411453319385122230226097',NULL,'693',0.00,1,2,1),(15,2321181,'1990-08-01 00:00:00',2,1,12,2007,'F','N','LAGO NORTE','LAGO NORTE','DF','107072071217111431338831592122610111097',18553,'9998',39.40,1,3,NULL),(15,2321190,'1990-03-24 00:00:00',4,8,12,2007,'M','N','CENTRO','CIDADE GAUCHA','PR','116162161215121411449934442124610164042',7622,'9998',55.98,4,1,2),(15,2321203,'1990-08-24 00:00:00',4,4,12,2007,'F','N','PARQUE DAS PALMEIRAS','CHAPECO','SC','124244241217271411457914385124610156097',9619,'185',52.56,1,3,NULL),(15,2321211,'1978-04-18 00:00:00',2,1,8,1997,'M','N','TRINDADE','FLORIANOPOLIS','SC','124201207312141721632542225122231028051',NULL,'9998',10.43,1,3,NULL),(15,2321220,'1991-03-07 00:00:00',1,2,12,2007,'M','N','CANTA GALO','RIO DO SUL','SC','124242241215371431568932575122610132142',10379,'991',51.37,1,3,NULL),(15,2321238,'1965-02-13 00:00:00',2,1,8,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','224243247347131411534443332344610168187',NULL,'977',18.36,1,3,NULL),(15,2321246,'1988-02-14 00:00:00',4,1,11,2007,'F','N','CENTRO','POCOS DE CALDAS','MG','113132131214111431479814575122610122047',NULL,'9998',31.73,1,3,NULL),(15,2321254,'1989-10-03 00:00:00',2,1,11,2007,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124243241337131431523869342324610137042',22220,'307',31.41,2,1,2),(15,2321262,'1991-06-13 00:00:00',4,1,12,2008,'F','S','FLORESTA','SAO JOSE','SC','124242241215111431469933475122610127147',NULL,'266',42.48,1,3,NULL),(15,2321270,'1990-01-07 00:00:00',4,1,12,2007,'M','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124242241215151431366871575122610167111',6115,'1048',58.85,1,3,NULL),(15,2321289,'1987-07-24 00:00:00',5,1,11,2003,'F','N','PRAINHA','FLORIANOPOLIS','SC','124242241117371421567713442122610168097',16611,'307',42.45,1,3,NULL),(15,2321297,'1980-10-22 00:00:00',2,1,12,1999,'F','N','FORQUILHAS','SAO JOSE','SC','224161247321131431223344142234130242097',NULL,'9999',26.23,1,3,NULL),(15,2321300,'1963-01-12 00:00:00',4,1,11,1987,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','224251256222151411346844242122610156171',20675,'9998',35.54,1,3,NULL),(15,2321319,'1990-11-15 00:00:00',4,9,12,2007,'M','N','CENTRO','IBIACA','RS','120201201116111732338833575125610167043',NULL,'9998',0.00,4,3,NULL),(15,2321327,'1990-07-20 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215421431489934572122610125145',16091,'270',43.24,1,3,NULL),(15,2321335,'1990-09-21 00:00:00',4,3,12,2007,'F','N','CENTRO','CALIFORNIA','PR','116162161216111231438811242124610143074',14714,'9998',45.13,3,3,NULL),(15,2321343,'1990-09-22 00:00:00',4,1,11,2007,'F','N','CENTRO','PALHOCA','SC','124242241215111411358632574122610126092',21283,'1011',34.24,1,3,NULL),(15,2321351,'1989-05-04 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124203241114131231337863172124610112097',NULL,'500',0.00,1,3,NULL),(15,2321360,'1991-02-28 00:00:00',2,4,12,2007,'M','N','CENTRO','PONTE SERRADA','SC','124242241217151431456619325122610164047',10323,'1071',51.46,1,3,NULL),(15,2321378,'1990-07-19 00:00:00',4,1,12,2007,'M','N','BELA VISTA','SAO PAULO','SP','125252251217111411436714375114610164042',4745,'9998',61.65,1,3,NULL),(15,2321386,'1989-09-19 00:00:00',4,1,12,2006,'F','N','JARDIM CELESTE','SAO PAULO','SP','125253251217471731438811571124610118181',NULL,'9998',0.00,1,3,NULL),(15,2321394,'1989-11-14 00:00:00',2,6,12,2007,'F','N','BATEAS','BRUSQUE','SC','124241241217151411463312571122610132192',21544,'106',33.65,1,3,NULL),(15,2321408,'1990-02-22 00:00:00',4,8,12,2007,'F','N','AGUA VERDE','CURITIBA','PR','116242161215121431467712572122610162091',10760,'9998',50.79,1,3,NULL),(15,2321416,'1990-10-02 00:00:00',4,1,11,2007,'F','N','ZONA SEIS','MARINGA','PR','116162161217371421553716292122610137015',NULL,'9998',7.91,1,3,NULL),(15,2321424,'1981-10-05 00:00:00',2,1,12,2001,'M','N','PANTANAL','FLORIANOPOLIS','SC','124202206116151421147943435221141467165',6605,'9998',57.89,1,3,NULL),(15,2321432,'1987-02-25 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241217473751257833575121223262042',3184,'633',65.59,1,3,NULL),(15,2321440,'1985-11-21 00:00:00',4,1,12,2005,'M','N','SERTÃO DO MARUÍM','SAO JOSE','SC','124243241327132431643511345124610122047',20902,'9999',35.08,1,3,NULL),(15,2321459,'1989-12-02 00:00:00',2,6,12,2007,'F','N','CORDEIROS','ITAJAI','SC','124244241215111431435873585124610124112',18832,'1058',38.94,1,3,NULL),(15,2321467,'1991-03-04 00:00:00',4,2,12,2008,'F','S','RIO TIGRE','BENEDITO NOVO','SC','124243241215111731655631575124610122055',NULL,'9997',52.66,1,3,NULL),(15,2321475,'1990-03-19 00:00:00',4,4,12,2007,'M','N','CENTRO','FRANCISCO BELTRAO','PR','116161168417271751344611572311610147182',NULL,'9998',18.28,1,3,NULL),(15,2321483,'1984-02-18 00:00:00',4,1,12,2001,'M','N','CAMPECHE','FLORIANOPOLIS','SC','624201201137131711344833445134240717041',NULL,'9998',0.00,1,3,NULL),(15,2321491,'1990-11-29 00:00:00',4,2,12,2007,'F','N','NAÇÕES','INDAIAL','SC','124244241215111431456617575122610122196',4585,'9997',62.03,1,3,NULL),(15,2321505,'1990-08-08 00:00:00',2,3,11,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124123241212131431626624372214610132157',14466,'967',45.48,4,3,NULL),(15,2321513,'1988-03-17 00:00:00',4,3,12,2005,'M','N','CENTRO','LONDRINA','PR','116252251215471431478812415122610137127',NULL,'9998',0.00,1,3,NULL),(15,2321521,'1990-03-23 00:00:00',2,1,12,2007,'F','N','RONDA','PONTA GROSSA','PR','116164161217271431538711576122610167013',10830,'9998',50.71,1,3,NULL),(15,2321530,'1963-08-11 00:00:00',2,1,12,1981,'M','N','TRINDADE','FLORIANOPOLIS','SC','124281281116133731128841412321231267097',6399,'9998',58.25,1,3,NULL),(15,2321548,'1965-04-26 00:00:00',2,1,12,1982,'M','N','CENTRO','FLORIANOPOLIS','SC','224241241146145441467643331122320826142',NULL,'307',0.00,1,3,NULL),(15,2321556,'1990-09-18 00:00:00',4,1,12,2007,'M','N','VILLA SANTO ANTONIO','MARINGA','PR','116162168217121431557519372112610168052',18827,'9998',38.95,3,3,NULL),(15,2321564,'1989-12-21 00:00:00',4,6,12,2007,'F','N','CENTRO','NAVEGANTES','SC','124242241217141331328931245121610124197',NULL,'1008',0.00,1,3,NULL),(15,2321580,'1989-01-20 00:00:00',4,1,12,2006,'M','N','SAO JORGE','SAO MIGUEL DOESTE','SC','124242241215472431558933432124612467057',6810,'751',57.52,1,3,NULL),(15,2321599,'1989-06-22 00:00:00',2,5,12,2006,'M','N','COHAB II','SAO JOAQUIM','SC','124241248116161551413314442322613217147',NULL,'719',10.43,1,2,1),(15,2321602,'1990-07-05 00:00:00',2,1,11,2007,'M','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124242248215111331476822472114610167042',6104,'270',58.87,1,3,NULL),(15,2321610,'1985-10-10 00:00:00',2,1,12,2003,'M','N','ARMAÇÃO DO PANTANO D','FLORIANOPOLIS','SC','124243241217472431546833432124130717117',NULL,'300',0.00,1,3,NULL),(15,2321629,'1989-05-12 00:00:00',2,1,12,2007,'M','N','CENTRO','GAROPABA','SC','124241241127131411345923315124610114047',22283,'322',31.12,1,2,1),(15,2321637,'1988-02-25 00:00:00',4,1,12,2005,'F','N','PORTO VERDE','ALVORADA','RS','120201201417131431446314282114140267077',NULL,'9998',0.00,1,3,NULL),(15,2321645,'1988-05-26 00:00:00',4,1,12,2005,'F','N','IPIRANGA','RIBEIRAO PRETO','SP','125253251114571431648613571214610164187',7927,'9998',55.48,1,3,NULL),(15,2321653,'1988-09-02 00:00:00',4,1,12,2005,'M','N','BOM FIM','PORTO ALEGRE','RS','120203201111271411126531575114140614092',9295,'9998',53.13,1,3,NULL),(15,2321661,'1989-07-20 00:00:00',2,4,12,2007,'F','N','CENTRO','VARGEAO','SC','124243241315111431448832512124610138147',NULL,'1081',19.43,1,3,NULL),(15,2321696,'1991-01-01 00:00:00',4,1,12,2007,'F','N','CANOAS','RIO DO SUL','SC','124241241112131411546834572224610127142',NULL,'658',19.73,1,2,1),(15,2321700,'1988-01-18 00:00:00',2,1,12,2005,'M','N','SANTA RITA','PETROLANDIA','SC','124241241127572431543312575122610127047',19765,'613',37.30,1,2,1),(15,2321718,'1990-01-18 00:00:00',4,1,12,2007,'F','N','BOM VIVER','BIGUACU','SC','124241241142141431453414242124610114147',20030,'66',36.76,1,3,NULL),(15,2321726,'1989-04-29 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217152431435512585114231014147',22130,'9997',31.80,1,3,NULL),(15,2321734,'1989-04-30 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241217131231526711582321610137057',21197,'752',34.44,2,1,2),(15,2321742,'1981-08-24 00:00:00',2,1,11,1998,'F','N','CENTRO','FLORIANOPOLIS','SC','124243243211154411445534391122221627187',14129,'303',45.99,1,3,NULL),(15,2321750,'1978-11-14 00:00:00',2,7,12,1996,'M','N','MARAFON','VIDEIRA','SC','124241243126154411325541315132120564012',6868,'831',57.41,1,3,NULL),(15,2321769,'1984-04-15 00:00:00',4,1,12,2001,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124245241314273411239833495124223067041',NULL,'123',0.00,1,3,NULL),(15,2321777,'1983-04-03 00:00:00',4,1,12,2002,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241237373411248823315124133263032',18684,'1036',39.19,1,3,NULL),(15,2321785,'1991-04-03 00:00:00',4,8,12,2007,'F','N','CENTRO','CORUPA','SC','124241241136131731456514235121610163197',NULL,'203',0.00,1,3,NULL),(15,2321793,'1990-12-10 00:00:00',2,1,11,2007,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124241248215111211427614342124610114147',20754,'723',35.39,1,3,NULL),(15,2321807,'1986-08-20 00:00:00',2,1,12,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241441142431436923345134610134062',NULL,'300',0.00,1,3,NULL),(15,2321815,'1991-01-24 00:00:00',4,10,12,2007,'M','N','CENTRO','BRACO DO NORTE','SC','224242241211111421359911572114610111012',12843,'807',47.80,1,3,NULL),(15,2321823,'1989-10-18 00:00:00',2,9,11,2007,'F','N','CENTRO','LAGES','SC','124112248215121431648832575122610123012',9349,'9997',53.05,3,3,NULL),(15,2321831,'1982-12-06 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241141133721635529492224230217042',22176,'277',31.59,2,3,NULL),(15,2321840,'1989-10-06 00:00:00',4,1,12,2007,'M','N','SANTA CRUZ','RIBEIRAO PRETO','SP','125252251217111231479934342122610167042',14135,'9998',45.99,1,3,NULL),(15,2321866,'1990-09-27 00:00:00',2,7,12,2007,'M','N','CENTRO','PONTE SERRADA','SC','124242241433271731438823373125610157057',NULL,'629',0.00,1,3,NULL),(15,2321874,'1991-10-21 00:00:00',4,10,12,2008,'M','S','VILA MOEMA','TUBARAO','SC','124242241212111211469911475122610127052',NULL,'807',57.08,1,3,NULL),(15,2321882,'1988-05-11 00:00:00',4,1,12,2005,'M','N','BIGORRILHO','CURITIBA','PR','116162161216571751369931575122610166087',2492,'9998',67.64,1,3,NULL),(15,2321890,'1989-02-13 00:00:00',2,1,12,2007,'M','N','RESIDENCIAL MADRI','PALHOCA','SC','124241241135141411214623342134610137043',22243,'277',31.31,1,3,NULL),(15,2321904,'1990-04-20 00:00:00',2,4,12,2007,'F','N','CENTRO','COLORADO','RS','120201201216131431327613575124610133017',20769,'9998',35.36,1,3,NULL),(15,2321912,'1978-12-20 00:00:00',4,1,12,1995,'F','N','TRINDADE','FLORIANOPOLIS','SC','224044041112174721226453435134322714097',17744,'9998',40.74,4,3,NULL),(15,2321920,'1989-12-07 00:00:00',2,4,12,2007,'F','N','ESPLANA','CHAPECO','SC','124244241214371431469631474112610147045',5796,'168',59.48,1,3,NULL),(15,2321939,'1990-03-23 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECO','SC','624224241315131432458614577112610162116',NULL,'185',21.83,1,3,NULL),(15,2321947,'1988-08-21 00:00:00',2,9,12,2006,'M','N','CENTRO','LAGES','SC','124244241313412221436916245122610162127',11720,'9997',49.37,1,3,NULL),(15,2321963,'1989-07-17 00:00:00',2,1,12,2006,'F','N','VILA ADYANA','SAO JOSE DOS CAMPOS','SP','125254251217472451679812594122610132142',NULL,'9998',0.00,1,3,NULL),(15,2321971,'1989-01-18 00:00:00',4,8,12,2007,'F','N','ITAUM','JOINVILLE','SC','124244241335371431226629575124610141017',22410,'465',30.26,2,1,2),(15,2321980,'1986-09-07 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242248212274431458619492124232837187',NULL,'272',0.00,1,3,NULL),(15,2321998,'1990-02-09 00:00:00',4,2,11,2007,'M','N','NAÇÕES','INDAIAL','SC','124242241212211211577712182123622665022',8303,'909',54.84,1,3,NULL),(15,2322005,'1940-12-14 00:00:00',4,3,12,1959,'F','N','RUDGE RAMOS','SAO BERNARDO DO CAMPO','SP','225252255216161441358451385122341366097',15337,'9998',44.35,1,3,NULL),(15,2322013,'1988-10-29 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242247215371722469912572112610164117',7624,'9999',55.98,1,3,NULL),(15,2322021,'1991-06-05 00:00:00',4,1,11,2008,'M','S','INGLESES','FLORIANOPOLIS','SC','124244241415111531337714242114610117042',NULL,'1022',45.53,1,3,NULL),(15,2322030,'1990-05-13 00:00:00',4,2,12,2007,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242248215311431467912594122610137182',NULL,'87',23.38,1,3,NULL),(15,2322048,'1989-06-23 00:00:00',2,1,11,2006,'F','N','PARTENON','PORTO ALEGRE','RS','120242241217471411348732572124610164097',15710,'1008',43.80,1,3,NULL),(15,2322064,'1987-09-28 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244248312111331416431312124610156047',NULL,'9997',13.72,2,3,NULL),(15,2322072,'1988-08-24 00:00:00',2,1,11,2006,'M','N','CENTRO','LAJEADO','RS','120204201317441431557834192122142664042',13532,'9998',46.84,1,3,NULL),(15,2322080,'1990-06-24 00:00:00',4,1,12,2007,'F','N','CENTRO','CORONEL VIVIDA','PR','116162161417141431328514245335610137017',15030,'9998',44.76,1,3,NULL),(15,2322099,'1990-10-30 00:00:00',4,1,6,2008,'M','S','CANTO','FLORIANOPOLIS','SC','124243241116151752269713345124610162147',NULL,'306',54.55,1,3,NULL),(15,2322102,'1989-11-14 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241215121531538613572124610167147',21941,'272',32.48,1,3,NULL),(15,2322110,'1990-08-31 00:00:00',4,9,12,2007,'F','N','CENTRO','CANOINHAS','SC','124241241116131431544611275122610166142',NULL,'146',0.00,1,2,1),(15,2322129,'1990-12-19 00:00:00',2,8,12,2007,'M','N','CENTRO','SAO FRANCISCO DO SUL','SC','124244241416151431667832575124610167053',NULL,'459',0.00,1,3,NULL),(15,2322137,'1986-06-25 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241135372731636673441114610112075',17904,'307',40.48,4,3,NULL),(15,2322145,'1982-10-06 00:00:00',2,1,11,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124251247327212711127641312323131017117',NULL,'9999',NULL,1,3,NULL),(15,2322153,'1991-11-10 00:00:00',4,1,12,2008,'M','S','BARREIROS','SAO JOSE','SC','124243241415111431468619575124610114012',NULL,'738',43.72,1,3,NULL),(15,2322161,'1990-07-19 00:00:00',2,4,12,2007,'F','N','IPIRANGA','MARMELEIRO','PR','116161161117471731544332572122610113077',NULL,'9998',0.00,1,2,1),(15,2322170,'1987-01-01 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124141141316141431543822185122231036185',NULL,'9998',0.00,3,3,NULL),(15,2322188,'1981-08-05 00:00:00',2,1,8,2000,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124243241327134431326619182224610117097',16851,'882',42.08,1,3,NULL),(15,2322196,'1991-01-29 00:00:00',4,10,12,2007,'M','N','PASSAGEM','TUBARAO','SC','124242241215111711335739575124610164047',17138,'809',41.66,1,3,NULL),(15,2322200,'1990-01-02 00:00:00',4,9,12,2007,'F','N','SAGRADO','LAGES','SC','124242244215111231458832342122610123142',NULL,'9997',5.13,1,3,NULL),(15,2322234,'1990-06-08 00:00:00',4,4,12,2007,'F','N','CENTRO','PATO BRANCO','PR','116162161217211752469832585122610142055',19716,'9998',37.39,1,3,NULL),(15,2322250,'1989-09-16 00:00:00',2,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124242241212131431458512242112610114111',18049,'1036',40.22,1,3,NULL),(15,2322269,'1989-02-07 00:00:00',2,1,7,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124245241215341732478812571122133213185',NULL,'270',21.20,1,3,NULL),(15,2322277,'1992-02-01 00:00:00',4,4,12,2007,'M','N','CENTRO','SAO CARLOS','SC','124241241115111412321669472344610118057',5152,'704',60.81,1,3,NULL),(15,2322285,'1985-06-09 00:00:00',4,1,12,2002,'M','N','BRÁS','SAO PAULO','SP','125251253217373411445731342215610164057',8160,'9998',55.08,1,3,NULL),(15,2322293,'1990-09-26 00:00:00',2,7,12,2007,'F','N','CENTRO','PONTE SERRADA','SC','124244248217151211248529572122613264172',NULL,'1071',25.26,1,3,NULL),(15,2322307,'1978-09-08 00:00:00',2,1,12,2000,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241126472741259311111124320566011',NULL,'298',0.00,1,3,NULL),(15,2322323,'1987-01-22 00:00:00',4,8,11,2004,'M','N','CENTRO','CASCAVEL','PR','116162168216571451689911595122610167117',7552,'9998',56.11,1,3,NULL),(15,2322331,'1990-09-17 00:00:00',4,1,12,2007,'F','N','JARDIM SOCIAL','CURITIBA','PR','116162161215371431489931571122610123127',NULL,'9998',0.00,1,3,NULL),(15,2322358,'1990-03-21 00:00:00',2,10,12,2007,'F','N','VILA MOEMA','TUBARAO','SC','124011241111151411438914572124610122111',17380,'1034',41.26,4,2,1),(15,2322366,'1988-01-13 00:00:00',4,1,12,2006,'M','N','SANTA CATARINA','CAXIAS DO SUL','RS','120201201127271432233332442313610167047',NULL,'9998',17.72,1,3,NULL),(15,2322374,'1972-06-18 00:00:00',2,1,12,1990,'M','N','CAMPECHE','FLORIANOPOLIS','SC','624256256626131721236644415122341442095',NULL,'9998',26.92,1,3,NULL),(15,2322382,'1989-05-25 00:00:00',4,8,12,2006,'M','N','AMERICA','JOINVILLE','SC','124242241215472531448933574121610166057',3991,'491',63.48,1,3,NULL),(15,2322390,'1961-08-01 00:00:00',2,1,12,1979,'M','N','KOBRASOL','SAO JOSE','SC','524211211416171431343341332114141416097',NULL,'9998',0.00,4,3,NULL),(15,2322404,'1980-11-10 00:00:00',2,1,12,1999,'M','N','CIDADE BAIXA','PORTO ALEGRE','RS','120202207246572711126643315121610162042',18344,'9999',39.72,1,3,NULL),(15,2322412,'1990-05-26 00:00:00',4,1,12,2007,'F','N','BUTANTÃ','SAO PAULO','SP','125254251217131531555619575124610142077',NULL,'9998',0.00,1,3,NULL),(15,2322420,'1989-09-26 00:00:00',4,5,12,2006,'M','N','JARDIM ANGÉLICA','CRICIUMA','SC','124241241217272431168513395324231432177',14929,'880',44.88,1,3,NULL),(15,2322439,'1989-11-22 00:00:00',4,1,12,2007,'M','N','VIA CRUZEIRO II','GRAVATAI','RS','120202201416131431547811572224610127057',16115,'9998',43.20,1,3,NULL),(15,2322447,'1986-10-04 00:00:00',4,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','124251251117111431523611185124142731197',21340,'9998',34.10,4,3,NULL),(15,2322455,'1990-07-08 00:00:00',2,4,12,2007,'F','N','ESTRELA','SAO MIGUEL DOESTE','SC','124243248315131431334624292125610165147',NULL,'757',21.45,4,3,NULL),(15,2322463,'1988-05-17 00:00:00',4,1,12,2005,'F','N','TERRA BRANCA','IBITINGA','SP','125251251115572431525761372122610142043',6589,'9998',57.92,1,2,1),(15,2322471,'1990-11-12 00:00:00',2,1,12,2007,'F','N','FREITAS','PAULO LOPES','SC','124241241122131731431529192123610122017',22000,'607',32.26,1,3,NULL),(15,2322480,'1984-01-22 00:00:00',2,8,11,2002,'M','N','COSTA E SILVA','JOINVILLE','SC','124161161136271731537611125122610127186',NULL,'9998',40.05,3,2,1),(15,2322498,'1975-10-12 00:00:00',2,1,12,1993,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241243126475751253379195124133238147',12421,'652',48.41,1,2,1),(15,2322501,'1987-10-28 00:00:00',2,8,11,2005,'M','N','CRISTO REI','CURITIBA','PR','116163018416572441244712211124610164012',6096,'9998',58.88,1,3,NULL),(15,2322510,'1988-03-12 00:00:00',2,10,6,2005,'F','N','MAR GROSSO','LAGUNA','SC','124244248436371432238913345124610147147',NULL,'9999',17.88,1,3,NULL),(15,2322536,'1990-06-24 00:00:00',4,1,12,2007,'F','N','PRAÇA','TIJUCAS','SC','124241241142161431436614392221610126147',NULL,'971',28.12,4,2,1),(15,2322544,'1989-04-23 00:00:00',4,8,12,2006,'M','N','CENTRO','CANOINHAS','SC','124253241112151731458813571224610117092',10156,'146',51.71,4,3,NULL),(15,2322552,'1988-09-12 00:00:00',2,1,12,2006,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124243241315271711447612277124233224155',21374,'307',34.03,4,3,NULL),(15,2322560,'1989-02-24 00:00:00',4,1,6,2007,'M','N','BARREIROS','SAO JOSE','SC','124161247327131531423319585314610132197',22373,'270',30.54,1,3,NULL),(15,2322579,'1992-01-03 00:00:00',4,4,11,2008,'F','S','CENTRO','BARRACAO','PR','116162168216111731366813495122610137142',NULL,'9998',35.74,3,3,NULL),(15,2322587,'1985-03-25 00:00:00',2,1,12,2003,'F','N','VILA SANTO ANTONIO','MARINGA','PR','116162168216571431547511315122610122077',NULL,'9998',0.00,1,3,NULL),(15,2322595,'1989-01-13 00:00:00',4,8,12,2006,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241217112431257939595115121446052',NULL,'491',0.00,1,3,NULL),(15,2322609,'1985-12-05 00:00:00',4,1,12,2005,'M','N','VILA NORMA','VALINHOS','SP','125251256326131721546714385122610117052',NULL,'9999',0.00,1,3,NULL),(15,2322617,'1987-10-23 00:00:00',4,1,12,2005,'M','N','VILA JANSEN','FARROUPILHA','RS','120203208216471231256921575122140767057',20968,'9997',34.92,1,3,NULL),(15,2322625,'1987-05-09 00:00:00',4,1,11,2004,'F','N','HIGIENOPOLIS','SAO PAULO','SP','125022024216571411368812572122610164012',NULL,'9998',0.00,4,3,NULL),(15,2322633,'1989-12-18 00:00:00',2,1,12,2007,'F','N','MARTINS','UBERLANDIA','MG','113133131217111731439831572124610127097',NULL,'9998',0.00,1,3,NULL),(15,2322641,'1982-02-17 00:00:00',2,4,12,1999,'M','N','CENTRO','PALMA SOLA','SC','124241241126161431533314135335141812041',13538,'599',46.84,2,1,1),(15,2322650,'1967-09-26 00:00:00',4,1,12,1988,'M','N','CENTRO','FLORIANOPOLIS','SC','124204248337135112349529445122122367127',NULL,'293',26.07,1,3,NULL),(15,2322668,'1991-12-17 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124162241217151431238813472122610165142',NULL,'1022',46.25,1,3,NULL),(15,2322676,'1978-06-11 00:00:00',2,1,12,1997,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','224204201411131321356654345122140267117',21080,'9998',34.71,1,3,NULL),(15,2322684,'1989-10-23 00:00:00',4,1,12,2007,'M','N','PRAIA DO CANTO','VITORIA','ES','108082081216121731669931571122610137116',NULL,'9998',0.00,4,3,NULL),(15,2322692,'1988-08-04 00:00:00',2,1,12,2005,'F','N','SANTO ANT DE LISBOA','FLORIANOPOLIS','SC','124242248216433431536711345124230722097',18108,'270',40.14,1,3,NULL),(15,2322706,'1991-05-17 00:00:00',4,1,12,2007,'F','N','CENTRO','PAULO LOPES','SC','124243241215111431433529575124610133072',18093,'262',40.16,1,3,NULL),(15,2322714,'1989-07-02 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215272431556614345124233222072',15538,'738',44.07,1,3,NULL),(15,2322722,'1987-08-03 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241212273431567633275124220367062',5707,'807',59.66,1,3,NULL),(15,2322730,'1967-05-16 00:00:00',4,1,12,1983,'F','N','CENTRO','FLORIANOPOLIS','SC','524242248212132421236644345132320653072',NULL,'262',32.06,1,3,NULL),(15,2322749,'1990-09-29 00:00:00',4,7,12,2007,'F','N','STO ANTONIO','CAMPOS NOVOS','SC','124244241415111431438811572122610164147',11556,'138',49.63,1,3,NULL),(15,2322757,'1982-10-07 00:00:00',2,1,10,2001,'M','N','APARECIDA','UBERLANDIA','MG','113091091316271111323338115131142366177',11359,'9998',49.90,4,3,NULL),(15,2322765,'1972-03-13 00:00:00',2,1,9,2000,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','624201201136131421224641312214143065187',9522,'9999',52.74,1,3,NULL),(15,2322781,'1991-03-06 00:00:00',4,4,12,2007,'F','N','CENTRO','SANTA RITA DO ARAGUAIA','GO','109091091117151431423634472323610168142',NULL,'9998',0.00,1,3,NULL),(15,2322790,'1988-12-20 00:00:00',2,1,12,2006,'F','N','CENTRO','VINHEDO','SP','125252251216471431448814272122610122017',8691,'9998',54.19,1,3,NULL),(15,2322803,'1989-12-08 00:00:00',2,4,12,2006,'F','N','CENTRO','CHAPECO','SC','124241241216371421426554142324613228152',20434,'1021',35.98,1,3,NULL),(15,2322811,'1990-09-17 00:00:00',4,1,12,2007,'M','N','VILA AUGUSTO','MAUA','SP','125254251215111411327613545124610127077',19323,'9998',38.12,1,3,NULL),(15,2322820,'1988-12-04 00:00:00',2,8,12,2006,'M','N','AVENTUREIRO','JOINVILLE','SC','124242241216113521446612375124220927082',NULL,'486',0.00,1,3,NULL),(15,2322838,'1990-08-26 00:00:00',4,1,11,2007,'M','N','CENTRO','CORUMBA','MS','112122121216251411558833575122610167012',5124,'9998',60.87,4,3,NULL),(15,2322846,'1985-10-06 00:00:00',4,1,12,2003,'M','N','CERQUEIRA CESAR','SAO PAULO','SP','125252251211571431358821571125610168187',NULL,'9998',0.00,1,3,NULL),(15,2322854,'1990-01-27 00:00:00',4,1,12,2006,'M','N','ARAÉS','CUIABA','MT','111112111216471431467831575112610117052',NULL,'9998',0.00,1,3,NULL),(15,2322862,'1984-06-20 00:00:00',4,1,12,2003,'M','N','JARDIM JANAINA','BIGUACU','SC','124241241132143421424439344124610135027',21159,'66',34.52,2,1,1),(15,2322870,'1974-09-06 00:00:00',2,8,12,1992,'F','N','CENTRO','MARECHAL CANDIDO RONDON','PR','116161165116131411123425445113341564182',20294,'9998',36.25,1,3,NULL),(15,2322889,'1989-07-22 00:00:00',4,1,12,2006,'F','N','HIGIENOPOLIS','SAO JOSE DO RIO PRETO','SP','104042041216371511468814575112610124042',NULL,'9998',0.00,1,3,NULL),(15,2322897,'1958-09-11 00:00:00',4,1,12,1976,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','224211216114372711466343432122342334052',4545,'9998',62.15,4,3,NULL),(15,2322900,'1990-07-16 00:00:00',4,10,11,2007,'F','N','REVOREDO','TUBARAO','SC','124241241117131421444614441121610131147',18364,'798',39.70,1,2,1),(15,2322919,'1981-10-23 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242247422131411468511375114132024147',NULL,'9999',12.04,1,3,NULL),(15,2322927,'1962-05-20 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','224241241215131431543353342124610114143',NULL,'9999',21.22,2,3,NULL),(15,2322935,'1985-09-03 00:00:00',4,1,12,2003,'M','N','JD ALTO BOA VISTA','VALINHOS','SP','125256251216431411468311445122610144187',NULL,'9998',0.00,1,3,NULL),(15,2322943,'1987-02-22 00:00:00',2,1,11,2005,'M','N','AGUA VERDE','CURITIBA','PR','116164161416571411438629395124610145117',15708,'9998',43.80,1,3,NULL),(15,2322951,'1977-04-27 00:00:00',4,3,12,1994,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124245241516143711536817395112331364077',NULL,'388',27.21,1,3,NULL),(15,2322960,'1978-02-14 00:00:00',4,1,12,1994,'M','N','BARREIROS','SAO JOSE','SC','124242241413154411469933481114333262057',4922,'272',61.25,1,3,NULL),(15,2322978,'1983-10-17 00:00:00',2,1,12,2003,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124204201411132431126644341124130216182',NULL,'9998',0.00,1,3,NULL),(15,2322986,'1977-07-04 00:00:00',4,1,12,1994,'F','N','ITACORUBI','FLORIANOPOLIS','SC','624242241216154721689712435122520442077',10387,'262',51.36,1,3,NULL),(15,2322994,'1989-03-28 00:00:00',2,6,12,2006,'M','N','CENTRO','BRUSQUE','SC','124244241215272412579813492122230267062',6990,'107',57.18,1,3,NULL),(15,2323001,'1973-07-07 00:00:00',2,1,12,1990,'M','N','ITACORUBI','FLORIANOPOLIS','SC','224241241112132431463343431132321436052',12744,'307',47.93,1,2,1),(15,2323010,'1988-05-30 00:00:00',4,1,12,2005,'M','N','JARDIM PLANUR','DUARTINA','SP','125254251215472441376832391112610138097',10205,'9998',51.62,1,3,NULL),(15,2323028,'1988-06-16 00:00:00',4,1,12,2006,'M','N','SAO JOSE','SANTA MARIA','RS','120202201216371411489932595122140764182',10057,'9998',51.84,1,3,NULL),(15,2323036,'1987-12-01 00:00:00',4,1,12,2005,'M','N','JD LEONOR CRISTINA','PIRASSUNUNGA','SP','125252258212411121445312242231312513153',10918,'9998',50.59,1,3,NULL),(15,2323044,'1988-03-02 00:00:00',2,1,11,2005,'F','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124254258137572431643631342124610164052',7263,'9998',56.67,4,3,NULL),(15,2323079,'1988-04-18 00:00:00',4,4,12,2008,'M','S','CENTRO','ITAPIRANGA','SC','124241241345111431343612345122610124122',NULL,'412',0.00,1,3,NULL),(15,2323095,'1990-01-26 00:00:00',4,1,12,2007,'M','N','JOAO PAULO','FLORIANOPOLIS','SC','124244241215111431258613582124610162047',17686,'270',40.81,1,3,NULL),(15,2323109,'1986-09-26 00:00:00',4,4,11,2004,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124253251216572221466432572122610162011',13656,'9999',46.67,1,3,NULL),(15,2323117,'1990-04-20 00:00:00',2,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215111421478911575122610162182',14739,'9997',45.09,1,3,NULL),(15,2323125,'1990-07-21 00:00:00',4,1,11,2007,'M','N','SERTÃO DO MARUIM','SAO JOSE','SC','624242241215111431366623575124610136092',18248,'724',39.89,1,3,NULL),(15,2323133,'1987-03-03 00:00:00',4,1,12,2006,'M','N','MOEMA','SAO PAULO','SP','125252251216271411488811415122140217092',NULL,'9998',0.00,1,3,NULL),(15,2323141,'1990-02-06 00:00:00',4,2,12,2007,'M','N','BOM RETIRO','BLUMENAU','SC','124242161216211431589931595122610137122',NULL,'9998',0.00,1,3,NULL),(15,2323150,'1982-04-13 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANOPOLIS','SC','124131131126574221336819285321221434186',4842,'9998',61.44,1,2,1),(15,2323168,'1957-08-23 00:00:00',4,1,12,1977,'M','N','JARDIM LIBERDADE II','MARINGA','PR','116161163121114441233341212122121422092',NULL,'9998',0.00,1,3,NULL),(15,2323184,'1990-07-23 00:00:00',4,1,12,2007,'F','N','BELA VISTA','CAXIAS DO SUL','RS','120201201117141531368719571122610127147',NULL,'9998',15.25,1,2,1),(15,2323192,'1986-01-06 00:00:00',4,1,12,2004,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241217154411468831412121132862197',NULL,'951',38.45,1,3,NULL),(15,2323206,'1990-08-21 00:00:00',4,1,11,2007,'M','N','BOA VISTA','RIO DO SUL','SC','124243241217111421523619375124610147097',NULL,'1013',0.00,1,3,NULL),(15,2323214,'1986-08-07 00:00:00',4,1,12,2004,'F','N','TRIÂNGULO','CARLOS BARBOSA','RS','120241201227271431446622345232610121197',16926,'9998',41.97,1,3,NULL),(15,2323222,'1989-12-31 00:00:00',4,1,12,2007,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124242241215112431546412572112610164152',9465,'723',52.83,4,3,NULL),(15,2323249,'1969-01-15 00:00:00',4,1,12,1988,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241336135411536623442113121114082',13877,'307',46.35,1,3,NULL),(15,2323265,'1987-10-10 00:00:00',4,1,12,2005,'F','N','SANTA TEREZINHA','PAULINIA','SP','125251251114573231356823575124613223077',NULL,'9998',0.00,1,3,NULL),(15,2323281,'1979-05-27 00:00:00',2,1,12,2006,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','224201201116131221526644245224340227112',11592,'9998',49.57,1,2,1),(15,2323290,'1992-05-11 00:00:00',4,4,12,2008,'F','S','CENTRO','UNIAO DO OESTE','SC','124241241215111431453832472124610167057',NULL,'185',50.77,1,3,NULL),(15,2323303,'1985-02-02 00:00:00',2,1,12,2003,'F','N','NOSSA SRA DAS GRAÇA','CANOAS','RS','120204201416131431449613475122242725116',NULL,'9998',27.21,1,3,NULL),(15,2323311,'1990-05-17 00:00:00',2,5,11,2007,'M','N','NOSSA SENHORA DA SAL','CRICIUMA','SC','124241241216111531468314575114610137012',16268,'920',42.96,1,3,NULL),(15,2323320,'1990-10-25 00:00:00',2,1,12,2008,'F','S','N SRA DO ROSÁRIO','SAO JOSE','SC','124242241215171431458812222122340236092',NULL,'1022',44.38,1,3,NULL),(15,2323338,'1986-03-19 00:00:00',4,1,12,2003,'M','N','JARDIM BANDEIRANTES','CORNELIO PROCOPIO','PR','116153161117271411438831475121243264097',16082,'9998',43.25,1,3,NULL),(15,2323346,'1991-01-29 00:00:00',4,1,12,2008,'F','S','CANASVIEIRAS','FLORIANOPOLIS','SC','124243241215121411437613595124613238077',NULL,'1022',46.13,1,3,NULL),(15,2323354,'1990-10-16 00:00:00',4,1,12,2007,'F','N','IBIRAQUERA','IMBITUBA','SC','124241243146141431333421145124613224113',NULL,'361',0.00,1,3,NULL),(15,2323362,'1990-06-04 00:00:00',2,8,12,2007,'F','N','CENTRO','JACAREZINHO','PR','116161161216121741556811596125610144092',22362,'9998',30.59,1,3,NULL),(15,2323370,'1990-04-15 00:00:00',2,3,12,2007,'F','N','CENTRO','JARDIM ALEGRE','PR','116162161216111431456933575112610166072',NULL,'9998',0.00,1,3,NULL),(15,2323389,'1990-12-13 00:00:00',2,1,11,2007,'F','N','ZONA SEIS','MARINGA','PR','116162161216371411248612595122610124015',NULL,'9998',0.00,1,3,NULL),(15,2323397,'1991-07-18 00:00:00',2,1,12,2008,'F','S','CAMPECHE','FLORIANOPOLIS','SC','124241241117151751358831475124610162197',NULL,'267',40.29,4,3,NULL),(15,2323419,'1991-04-25 00:00:00',4,8,10,2008,'M','S','SAGUAÇÚ','JOINVILLE','SC','124242241215123222223543571112610114097',NULL,'486',52.13,1,3,NULL),(15,2323427,'1990-06-11 00:00:00',4,4,12,2007,'M','N','CENTRO','PALMA SOLA','SC','124241241115161431346733345122610167057',21949,'598',32.46,1,3,NULL),(15,2323435,'1983-09-10 00:00:00',4,10,12,2002,'M','N','SANTA LUCIA','CAPIVARI DE BAIXO','SC','124241241132575431346923575124233234097',14026,'158',46.13,1,2,1),(15,2323443,'1984-05-27 00:00:00',2,1,12,2001,'F','N','MONTE LIBANO','CAMPO GRANDE','MS','112122121216573431457823574122140223077',1122,'9998',72.93,1,3,NULL),(15,2323451,'1978-02-09 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','224241247222131421333341112322610114067',NULL,'9999',31.39,1,3,NULL),(15,2323460,'1988-08-23 00:00:00',2,1,12,2005,'M','N','SERRARIA','SAO JOSE','SC','124241241126231231435633245223233217057',NULL,'9997',22.67,1,2,1),(15,2323478,'1991-10-18 00:00:00',4,4,12,2007,'M','N','JARDIM ITÁLIA','CHAPECO','SC','124241241117131431238933292115610148041',13231,'169',47.26,1,3,NULL),(15,2323486,'1991-05-06 00:00:00',2,1,12,2008,'F','S','VENDAVAL','BIGUACU','SC','124242241217111431568733575222610114182',NULL,'738',46.22,1,3,NULL),(15,2323494,'1990-08-05 00:00:00',4,1,10,2007,'F','N','JARDIM AMÉRICA','GOIANIA','GO','109094091216111431536824574122610132077',NULL,'9998',0.00,1,3,NULL),(15,2323508,'1988-04-15 00:00:00',4,4,12,2005,'M','N','CENTRO','SAO MIGUEL DOESTE','SC','124244248215111431446612382123131062047',21631,'752',33.43,1,3,NULL),(15,2323516,'1989-06-06 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241117272431256912342124231217011',3476,'804',64.82,1,2,1),(15,2323524,'1988-12-12 00:00:00',2,8,11,2006,'M','N','CENTRO','JOINVILLE','SC','124242241215312431448832495122610122042',19473,'491',37.87,1,3,NULL),(15,2323532,'1991-06-28 00:00:00',4,1,11,2008,'M','S','CENTRO','BIGUACU','SC','124242248215111431457712375122610122092',NULL,'262',46.76,1,3,NULL),(15,2323540,'1990-08-20 00:00:00',4,1,11,2007,'F','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124242242216111431418832575122610117142',22453,'1048',29.56,1,3,NULL),(15,2323559,'1990-04-07 00:00:00',2,4,12,2007,'F','N','CENTRO','SINOP','MT','111111111336111431445515572121610128192',12337,'9998',48.52,1,3,NULL),(15,2323567,'1990-08-16 00:00:00',4,1,12,2007,'M','N','CENTRO','URUBICI','SC','124241241112131731325923595121610164187',NULL,'818',22.97,1,2,1),(15,2323575,'1989-06-23 00:00:00',2,1,10,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124244241111131731448739491114610167082',21207,'9999',34.41,1,3,NULL),(15,2323583,'1989-09-15 00:00:00',2,1,12,2007,'F','N','AREIAS','SAO JOSE','SC','124241241337161431625631385224610121141',17292,'257',41.41,1,3,NULL),(15,2323591,'1990-10-20 00:00:00',4,1,12,2008,'F','S','COQUEIROS','FLORIANOPOLIS','SC','124243241215111431426414572124610133192',NULL,'1076',50.72,1,3,NULL),(15,2323605,'1989-06-16 00:00:00',4,1,12,2006,'F','N','ROÇADO','SAO JOSE','SC','124242241235372431546733445114610167157',15655,'9997',43.86,4,3,NULL),(15,2323613,'1988-08-17 00:00:00',4,1,8,2007,'M','N','PETROPOLIS','PORTO ALEGRE','RS','120202207217371231446833295124610164047',NULL,'9998',21.04,1,3,NULL),(15,2323621,'1991-02-11 00:00:00',4,8,12,2008,'M','S','ANITA GARIBALDI','JOINVILLE','SC','124242241215111731418833572121610147096',NULL,'486',42.88,1,3,NULL),(15,2323630,'1991-03-18 00:00:00',2,5,12,2007,'F','N','URUSSANGUINHA','ARARANGUA','SC','124241241115131731526911375124610128097',NULL,'29',27.21,1,3,NULL),(15,2323648,'1989-12-04 00:00:00',2,3,12,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241415111431658911572223610127017',NULL,'1085',19.79,1,3,NULL),(15,2323664,'1987-07-23 00:00:00',4,1,11,2004,'M','N','VILA AREÃO','PIRACICABA','SP','125251251116251711334612245123610132187',NULL,'9998',25.64,1,2,1),(15,2323672,'1989-09-08 00:00:00',4,6,11,2007,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241215121431246627272125610161197',8549,'9997',54.44,1,3,NULL),(15,2323680,'1990-05-31 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215111731568832575122610117142',NULL,'9997',25.23,1,3,NULL),(15,2323699,'1986-01-06 00:00:00',4,1,12,2004,'M','N','JARDIM ANA MARIA','JUNDIAI','SP','125252251212112211538811322111610134133',2096,'9998',68.97,1,3,NULL),(15,2323710,'1984-04-16 00:00:00',4,1,12,2002,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241212134431548613572123233224097',22333,'1076',30.79,1,3,NULL),(15,2323729,'1989-01-23 00:00:00',4,6,12,2006,'M','N','VILA REAL','BALNEARIO CAMBORIU','SC','124242241212211411367812213122610112083',4553,'1086',62.14,1,3,NULL),(15,2323737,'1971-02-18 00:00:00',2,1,12,1989,'M','N','CENTRO','FLORIANOPOLIS','SC','624213211411272711268841311122343264097',NULL,'9998',0.00,1,3,NULL),(15,2323745,'1988-11-28 00:00:00',4,8,12,2006,'M','N','CENTRO','SAO BENTO DO SUL','SC','124243241216131451333621142122610137182',19822,'974',37.18,1,3,NULL),(15,2323753,'1989-06-19 00:00:00',4,1,12,2006,'M','N','VELHA','BLUMENAU','SC','124242241216112431448631575124221462012',NULL,'87',0.00,1,3,NULL),(15,2323761,'1978-02-20 00:00:00',2,1,12,1995,'M','N','SÃO FRANSCISCO','CAMPO GRANDE','MS','112121121217571421366516414125341762097',NULL,'9998',0.00,1,3,NULL),(15,2323788,'1991-02-03 00:00:00',4,1,12,2008,'M','S','CENTRO','CANOINHAS','SC','124242241216161431447918575124610117182',NULL,'973',38.80,1,3,NULL),(15,2323796,'1990-06-22 00:00:00',2,7,12,2007,'F','N','CONTESTADO','JOACABA','SC','124241241117131431433313191334610363182',NULL,'341',24.85,1,3,NULL),(15,2323800,'1985-05-28 00:00:00',2,1,12,2002,'M','N','BARREIROS','SAO JOSE','SC','124243241336131411114478492324132618177',22134,'9997',31.79,1,3,NULL),(15,2323818,'1991-03-16 00:00:00',4,2,12,2007,'M','N','CENTRO','IBIRAMA','SC','124241241131141431566411295122610137053',20802,'348',35.28,1,2,1),(15,2323826,'1988-04-26 00:00:00',4,4,12,2005,'M','N','CENTRO','SAUDADES','SC','124241241136132731125544145334610128057',15105,'761',44.66,1,2,1),(15,2323834,'1987-10-30 00:00:00',2,6,7,2005,'F','N','CENTRO','ITAJAI','SC','124202247226151431536924395111132564117',NULL,'9999',0.00,1,3,NULL),(15,2323842,'1990-07-10 00:00:00',2,1,12,2007,'F','N','JARDIM EGEA','SANTO ANTONIO DA PLATINA','PR','116162161216171431448469575125610137142',NULL,'9998',0.00,1,3,NULL),(15,2323850,'1989-10-12 00:00:00',4,8,11,2006,'F','N','CENTRO','CASCAVEL','PR','116162161215471421478914574112610162073',7017,'9998',57.11,1,3,NULL),(15,2323869,'1986-07-15 00:00:00',4,1,6,2005,'M','N','SANTA CECILIA','SAO PAULO','SP','125252257237573431358814341122243237012',19690,'9999',37.44,1,3,NULL),(15,2323877,'1990-08-13 00:00:00',4,5,12,2007,'F','N','GAVEA','JACINTO MACHADO','SC','124243241112161411438914375124610141147',18521,'690',39.44,1,3,NULL),(15,2323885,'1990-07-01 00:00:00',4,1,12,2006,'F','N','INDEPENDENCIA','LIMEIRA','SP','125113251116471431347819575122610123092',NULL,'9998',0.00,1,3,NULL),(15,2323893,'1982-04-17 00:00:00',4,1,12,2005,'M','N','SERTÃO MARUIN','SAO JOSE','SC','624246241636131431233374141334632218097',NULL,'9999',25.38,1,3,NULL),(15,2323907,'1985-01-12 00:00:00',2,1,6,2003,'M','N','PRAIA JOÃO ROSA','BIGUACU','SC','124241241136131721423311235123610164192',19889,'65',37.03,1,2,1),(15,2323915,'1978-03-10 00:00:00',4,1,12,2003,'M','N','BARREIROS','SAO JOSE','SC','124244241411132431327679211124130216142',NULL,'1003',0.00,1,3,NULL),(15,2323923,'1989-09-11 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241217131751658832575124610127052',NULL,'269',NULL,1,3,NULL),(15,2323931,'1980-03-26 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216145751458932295132231036122',NULL,'270',0.00,1,3,NULL),(15,2323940,'1989-05-11 00:00:00',2,8,11,2007,'M','N','CENTRO','ARAQUARI','SC','124241241111161531646513191224610112047',NULL,'25',24.15,1,2,1),(15,2323958,'1989-04-28 00:00:00',2,1,12,2007,'M','N','BELA VISTA','SORRISO','MT','111114111217111432534632282122610123057',NULL,'9998',0.00,1,3,NULL),(15,2323966,'1984-07-21 00:00:00',4,1,12,2002,'M','N','INGLESES','FLORIANOPOLIS','SC','524202207227372411326642225124140724112',NULL,'9999',0.00,1,3,NULL),(15,2323974,'1988-03-13 00:00:00',4,8,11,2005,'F','N','CENTRO','CURITIBA','PR','116132191216571521488816571112610126072',NULL,'9998',0.00,1,3,NULL),(15,2323982,'1990-03-02 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241215123712435611375124610127047',NULL,'1022',21.63,1,3,NULL),(15,2323990,'1987-07-11 00:00:00',3,1,12,2005,'M','N','JARDIM ROMA','PIRASSUNUNGA','SP','125253251147371411557614471114610166187',NULL,'9998',0.00,1,3,NULL),(15,2324008,'1991-03-20 00:00:00',4,1,12,2008,'M','S','SANTA LUSIA','BRUSQUE','SC','124242241215111631568712472332610137092',NULL,'109',10.95,1,3,NULL),(15,2324016,'1990-08-29 00:00:00',4,3,11,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241214131431633823174225610167017',18256,'403',39.88,3,3,NULL),(15,2324024,'1978-11-09 00:00:00',2,1,12,1996,'F','N','SERRARIA','SAO JOSE','SC','224083081437151421353353442122340642097',NULL,'9998',0.00,1,3,NULL),(15,2324032,'1989-02-17 00:00:00',4,3,12,2006,'F','N','CENTRO','GUAPORE','RS','120201201216371431356829575124610134057',21046,'9998',34.77,1,3,NULL),(15,2324040,'1991-02-17 00:00:00',4,9,12,2008,'M','S','CENTRO','LAGES','SC','124242241217111732559932472112610112142',NULL,'497',52.62,1,3,NULL),(15,2324059,'1990-12-28 00:00:00',4,1,12,2007,'M','N','CENTRO','PASSO FUNDO','RS','120201201115471431438839592124610117097',13485,'9998',46.91,1,3,NULL),(15,2324075,'1988-04-22 00:00:00',2,4,12,2007,'F','N','EFAPI','CHAPECO','SC','124241241127131431425511492314610116147',NULL,'9997',22.67,1,3,NULL),(15,2324083,'1964-05-28 00:00:00',4,1,12,1983,'F','N','NOSSA SRA DO ROSARIO','SAO JOSE','SC','124241243322133111222343235124131016187',19296,'304',38.17,1,3,NULL),(15,2324091,'1990-01-02 00:00:00',2,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124242241216131412236629595114610138197',15698,'269',43.82,1,3,NULL),(15,2324105,'1990-07-11 00:00:00',4,5,11,2007,'F','N','CRUZEIRO DO SUL','CRICIUMA','SC','124242241215211432586712475122610114112',NULL,'213',0.00,1,3,NULL),(15,2324113,'1985-04-16 00:00:00',4,1,12,2004,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124201201114271432223344243344610127117',NULL,'9998',14.85,1,3,NULL),(15,2324148,'1988-02-01 00:00:00',4,1,12,2005,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124243248411372451679834473111133268187',NULL,'270',NULL,1,3,NULL),(15,2324156,'1983-10-31 00:00:00',2,1,12,2003,'F','N','ABRAAO','FLORIANOPOLIS','SC','124041047122131411414349491324610137147',NULL,'9998',0.00,5,4,NULL),(15,2324164,'1990-05-07 00:00:00',2,1,12,2007,'M','N','CENTRO','SANTAREM','PA','114141141116371431436612375122610124142',17916,'9998',40.47,1,3,NULL),(15,2324172,'1989-08-30 00:00:00',5,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241416332441443823575124610132147',4109,'266',63.16,1,3,NULL),(15,2324180,'1984-10-23 00:00:00',2,1,6,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124201201111131131237749471224610141047',19047,'9998',38.60,1,3,NULL),(15,2324199,'1985-12-13 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241316134731436923382124230764187',13093,'515',47.46,1,3,NULL),(15,2324202,'1957-09-23 00:00:00',4,1,12,1977,'M','N','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','224201131112154731474349392122321658097',NULL,'9998',0.00,1,3,NULL),(15,2324210,'1990-01-19 00:00:00',4,6,12,2007,'M','N','CENTRO','NAVEGANTES','SC','124242241216111431478613575121610117042',21165,'1008',34.51,1,3,NULL),(15,2324229,'1990-02-13 00:00:00',2,8,12,2007,'F','N','ATUBA','CURITIBA','PR','116161161217471731435833572124610157052',5245,'9998',60.63,1,3,NULL),(15,2324237,'1988-04-14 00:00:00',2,1,12,2005,'M','N','FORQUILHAS','SAO JOSE','SC','124241241122132231544723442114610128147',21580,'727',33.56,1,2,1),(15,2324245,'1990-03-26 00:00:00',2,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241215111732424319581114610114072',NULL,'738',0.00,1,3,NULL),(15,2324253,'1980-03-25 00:00:00',2,1,12,1996,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241147274431234444241324610115077',NULL,'769',38.07,4,3,NULL),(15,2324261,'1983-10-09 00:00:00',2,1,12,2001,'F','N','JARDIM JANAÍNA','BIGUACU','SC','124241241147131421335319331124332014092',12082,'307',48.88,1,2,1),(15,2324270,'1988-04-08 00:00:00',2,10,6,2005,'M','N','MAR GROSSO','LAGUNA','SC','124244248432371432346913385121610134047',NULL,'9999',20.33,1,3,NULL),(15,2324288,'1971-07-28 00:00:00',3,1,12,1993,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','224241246141273441353359335334320936012',NULL,'306',0.00,1,3,NULL),(15,2324296,'1987-12-28 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241217272511426612482334620767067',NULL,'154',56.96,1,3,NULL),(15,2324300,'1987-07-08 00:00:00',4,1,12,2005,'M','N','VILA CLEMENTINO','SAO PAULO','SP','125252251217371611668812485124610164052',NULL,'9998',0.00,2,3,NULL),(15,2324318,'1984-01-02 00:00:00',2,1,12,2002,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241213131411353414491224331667067',17233,'117',41.52,1,3,NULL),(15,2324326,'1989-11-25 00:00:00',2,7,12,2006,'F','N','CENTRO','SALTO VELOSO','SC','124241241126162431543312275125610127142',18207,'684',39.96,1,2,1),(15,2324334,'1987-09-19 00:00:00',2,7,12,2004,'M','N','SALTO','SALTO VELOSO','SC','124241242132372431436634345122610128177',14629,'8',45.24,1,2,1),(15,2324350,'1989-05-16 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244241216172431437611571124133261147',19184,'1022',38.37,1,3,NULL),(15,2324369,'1991-07-22 00:00:00',4,5,11,2008,'M','S','LOTE SEIS','CRICIUMA','SC','124242241215111431568912475122610167057',NULL,'213',43.34,1,3,NULL),(15,2324377,'1987-10-20 00:00:00',4,1,12,2006,'M','N','CAMBUCI','SAO PAULO','SP','125251251111471531234621571111610167122',11718,'9998',49.37,3,3,NULL),(15,2324385,'1987-01-02 00:00:00',4,1,12,2004,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124253251417473411157834371224220662177',505,'9998',76.79,1,3,NULL),(15,2324393,'1989-03-18 00:00:00',2,1,12,2006,'M','N','JARDIM DOS ESTADOS','CAMPO GRANDE','MS','112122121216472441338823472325610165092',5837,'9998',59.38,1,3,NULL),(15,2324407,'1990-08-18 00:00:00',4,1,11,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124242241217111121488834576121610163185',NULL,'270',2.38,1,3,NULL),(15,2324415,'1988-09-16 00:00:00',4,3,12,2006,'F','N','VILA LEA','SANTO ANDRE','SP','125252251212471431434411575115610148097',4773,'9998',61.58,1,3,NULL),(15,2324423,'1980-12-21 00:00:00',4,1,12,2000,'M','N','SANTANA','SAO PAULO','SP','125252256126371411388833242122340421097',NULL,'9998',0.00,1,3,NULL),(15,2324431,'1990-10-05 00:00:00',4,2,12,2007,'M','N','CENTRO','DOUTOR PEDRINHO','SC','124241241122151411449613472111610137187',12736,'248',47.94,1,3,NULL),(15,2324440,'1989-06-20 00:00:00',4,1,11,2006,'M','N','CENTRO','CORUMBA','MS','112122121216372431568833475124610127052',10107,'9998',51.77,4,3,NULL),(15,2324458,'1990-03-18 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241125141411221621345124610167047',21238,'277',34.34,1,2,1),(15,2324466,'1990-11-17 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241212111431368621572122610131012',20150,'262',36.54,1,3,NULL),(15,2324474,'1989-11-28 00:00:00',4,1,12,2007,'M','N','CAMPO GRANDE','SANTOS','SP','125252251217111451339823575115610166077',NULL,'9998',0.00,1,3,NULL),(15,2324482,'1990-11-20 00:00:00',2,2,12,2007,'F','N','RIOZINHO','VIDAL RAMOS','SC','124241241115161431433315572222610126057',20275,'828',36.28,1,2,1),(15,2324490,'1987-04-29 00:00:00',4,3,11,2004,'M','N','CENTRO','APUCARANA','PR','116162161216272411669833575122141414182',4670,'9998',61.83,1,3,NULL),(15,2324504,'1990-01-13 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIUMA','SC','124242241235132431459814574122610124197',2321,'213',68.18,1,3,NULL),(15,2324512,'1990-01-07 00:00:00',2,10,12,2007,'F','N','GUARDA','TUBARAO','SC','124241241125131531523313172344610136072',NULL,'803',23.03,2,1,1),(15,2324520,'1991-08-12 00:00:00',2,2,12,2008,'M','S','PADRE MARTINHO STEIN','TIMBO','SC','124241241216111431446612595112610167012',NULL,'9997',0.00,1,3,NULL),(15,2324539,'1988-11-01 00:00:00',4,8,10,2007,'F','N','AVENTUREIRO','JOINVILLE','SC','124241247326141731423622345124610123187',NULL,'9999',0.00,1,3,NULL),(15,2324547,'1990-12-02 00:00:00',4,1,11,2007,'F','N','CENTRO','LAGOA VERMELHA','RS','120203201216111431456934275122610133142',17078,'9998',41.75,1,3,NULL),(15,2324555,'1990-06-23 00:00:00',2,3,12,2007,'M','N','BOMBAS','BOMBINHAS','SC','124243246215111431426431575121610137052',NULL,'1119',0.00,1,3,NULL),(15,2324571,'1987-09-04 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241251314133431244823572124232833147',NULL,'9998',37.08,1,3,NULL),(15,2324598,'1990-08-02 00:00:00',2,4,12,2007,'F','N','CENTRO','SAUDADES','SC','124241241126141231543915344122610128057',NULL,'761',23.30,1,2,1),(15,2324601,'1962-02-27 00:00:00',4,1,12,1979,'M','N','ESTREITO','FLORIANOPOLIS','SC','224241241112234421364443435122121767067',NULL,'307',0.00,2,1,1),(15,2324610,'1986-12-08 00:00:00',1,8,12,2004,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251217271441548814575114131424172',8547,'9998',54.45,1,3,NULL),(15,2324628,'1980-06-10 00:00:00',2,1,12,1998,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241247132135411557613381122610117043',NULL,'9999',0.00,1,3,NULL),(15,2324636,'1992-04-18 00:00:00',4,4,12,2008,'F','S','CENTRO','CLEVELANDIA','PR','116162161216161431466912195122610122077',NULL,'9998',50.26,1,3,NULL),(15,2324644,'1985-10-20 00:00:00',2,1,12,2004,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241135133431328521381324230267115',11283,'288',50.04,1,2,1),(15,2324652,'1990-07-28 00:00:00',4,10,11,2007,'M','N','DEHON','TUBARAO','SC','124242241215272751456921575112610167092',NULL,'806',38.09,1,3,NULL),(15,2324679,'1992-04-20 00:00:00',4,8,12,2009,'M','S','VILA NOVA','JOINVILLE','SC','124241241117111431478919575122610116032',NULL,'475',18.10,1,3,NULL),(15,2324687,'1990-09-04 00:00:00',4,7,12,2007,'M','N','SÃO JOSÉ','FRAIBURGO','SC','124241241216111431336923475122610162042',13576,'885',46.77,1,3,NULL),(15,2324695,'1989-08-13 00:00:00',2,1,12,2007,'M','N','SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC','124241241416111431533634242124610127117',NULL,'1048',21.15,1,3,NULL),(15,2324709,'1991-01-29 00:00:00',4,3,12,2007,'F','N','CENTRO','ARAPONGAS','PR','116162161217111431428933572122610136142',NULL,'9998',0.00,1,3,NULL),(15,2324717,'1989-01-24 00:00:00',4,1,10,2007,'F','N','FAZENDA DO MAX','SAO JOSE','SC','124241247631131431525823481224610164042',NULL,'9999',12.54,2,3,NULL),(15,2324725,'1988-12-04 00:00:00',2,9,12,2007,'M','N','CORAL','LAGES','SC','124241241312131421348629576314610124187',17623,'515',40.91,1,3,NULL),(15,2324733,'1987-12-08 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241216154431269813575124120764042',9014,'270',53.62,1,3,NULL),(15,2324741,'1988-11-21 00:00:00',4,1,12,2006,'M','N','BIGORRILHO','CURITIBA','PR','116162168234472231548811471124610162112',7029,'9998',57.10,1,3,NULL),(15,2324768,'1990-02-06 00:00:00',4,2,12,2007,'F','N','BOM RETIRO','BLUMENAU','SC','124242241216211431589931595122610133182',8187,'909',55.03,1,3,NULL),(15,2324784,'1989-01-12 00:00:00',2,6,12,2006,'M','N','CENTRO','ITAJAI','SC','124242248215413731336612172145610167052',11909,'391',49.09,3,3,NULL),(15,2324792,'1989-09-12 00:00:00',4,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116163161216371451588832571124610148052',NULL,'9998',0.00,1,3,NULL),(15,2324806,'1990-09-16 00:00:00',4,1,12,2007,'M','N','JARDIM ALVORADA','MARECHAL CANDIDO RONDON','PR','116163161117151531249729575121610128012',NULL,'9998',37.35,1,3,NULL),(15,2324814,'1988-11-06 00:00:00',2,5,12,2006,'F','N','RAICHASKI','ICARA','SC','124241241137131731433322292114610126147',21611,'1005',33.49,4,2,1),(15,2324822,'1990-04-23 00:00:00',4,1,12,2007,'F','N','RESIDENCIAL FLORA','LIMEIRA','SP','125252251217111431568931415122610112092',NULL,'9998',24.45,1,3,NULL),(15,2324830,'1989-01-13 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124244241215111532358629576114130734112',NULL,'300',20.22,1,3,NULL),(15,2324849,'1989-02-19 00:00:00',2,4,12,2006,'F','N','CENTRO SUL','DOIS VIZINHOS','PR','116161161116571431426614591345610167147',14788,'9998',45.02,1,2,1),(15,2324857,'1989-06-08 00:00:00',4,1,11,2007,'F','N','CENTRO','LAGOA VERMELHA','RS','120204201216111431468816592122610141072',NULL,'9998',0.00,1,3,NULL),(15,2324865,'1990-05-10 00:00:00',2,4,12,2007,'F','N','JARDIM ITALIA','CHAPECO','SC','124241241336131431333339341124610136142',21382,'169',34.02,4,3,NULL),(15,2324873,'1989-04-08 00:00:00',2,1,12,2007,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124242248212111411336914342123610117042',NULL,'269',0.00,4,3,NULL),(15,2324881,'1989-06-15 00:00:00',4,8,12,2006,'M','N','JD MACARENGO','SAO CARLOS','SP','125254251437271432688432592112610167043',NULL,'9998',30.44,1,3,NULL),(15,2324890,'1985-04-25 00:00:00',2,2,11,2007,'M','N','BOA VISTA','CANOINHAS','SC','124241247121273431426612241323610137187',9736,'9999',52.37,1,3,NULL),(15,2324903,'1976-11-08 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','624241247115372431336344341112610144047',NULL,'9997',24.19,2,3,NULL),(15,2324911,'1992-01-17 00:00:00',4,3,12,2008,'F','S','BOMBAS','BOMBINHAS','SC','124242241215121431458832575124610137017',NULL,'403',39.62,1,3,NULL),(15,2324920,'1988-04-19 00:00:00',4,1,12,2004,'F','N','FORQUILHINHAS','SAO JOSE','SC','124201241147272731647522286224333224097',9258,'307',53.18,1,2,1),(15,2324938,'1989-04-11 00:00:00',4,3,11,2006,'M','N','PARQUE FABER','SAO CARLOS','SP','125252251216472421479814575122610124052',4167,'9998',62.99,1,3,NULL),(15,2324954,'1989-05-18 00:00:00',4,1,12,2006,'F','N','FREGUESIA DO Ó','SAO PAULO','SP','125252251217471431246821575124610165142',10134,'9998',51.74,1,3,NULL),(15,2324962,'1989-09-14 00:00:00',4,7,12,2007,'F','N','CENTRO','TAPEJARA','RS','120201201146161431566939585125610144147',18448,'9998',39.58,1,2,1),(15,2324970,'1990-02-10 00:00:00',2,1,12,2007,'F','N','STO ANTONIO LISBOA','FLORIANOPOLIS','SC','124241241115131411343513572224610124182',22345,'307',30.76,1,2,1),(15,2324997,'1982-09-21 00:00:00',2,1,12,2000,'M','N','SAMBAQUI','FLORIANOPOLIS','SC','124241241126135431443344242324231327097',10480,'307',51.21,4,2,1),(15,2325004,'1977-07-07 00:00:00',4,1,11,1995,'M','N','PÂNTANO DO SUL','FLORIANOPOLIS','SC','124243201147151411233343336332610131152',17063,'9998',41.78,1,3,NULL),(15,2325012,'1985-12-12 00:00:00',2,1,12,2003,'M','N','JOSE MENDES','FLORIANOPOLIS','SC','124241241127141431124244245124610135193',14990,'712',44.81,1,3,NULL),(15,2325020,'1980-09-30 00:00:00',4,1,12,2002,'M','N','AREIAS','SAO JOSE','SC','224244247624432721246443232321131027187',NULL,'9999',30.06,1,3,NULL),(15,2325039,'1990-05-03 00:00:00',4,5,12,2007,'F','N','SÃO LUIZ','SOMBRIO','SC','124241241115131432533929292234610167057',21847,'1033',32.80,1,3,NULL),(15,2325047,'1989-05-09 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241216131132536924595124610162187',20033,'269',36.75,1,3,NULL),(15,2325063,'1990-07-11 00:00:00',4,10,12,2007,'M','N','VILA FLOR','CAPIVARI DE BAIXO','SC','124242241216161321436833475124610114041',22167,'806',31.65,4,3,NULL),(15,2325071,'1989-09-14 00:00:00',4,7,12,2007,'F','N','CENTRO','TAPEJARA','RS','120201201146161731566939574125610136097',17418,'9998',41.20,1,2,1),(15,2325080,'1989-05-05 00:00:00',2,8,6,2007,'M','N','SANTA CATARINA','JOINVILLE','SC','124244247212231731323622595124610124057',17717,'487',40.78,1,3,NULL),(15,2325098,'1989-05-27 00:00:00',4,1,12,2006,'M','N','ROÇADO','SAO JOSE','SC','124242241215213451433652572112232467047',7461,'270',56.31,1,3,NULL),(15,2325101,'1991-07-22 00:00:00',4,5,11,2008,'M','S','LOTE SEIS','CRICIUMA','SC','124242241215111431568912475122610167057',NULL,'213',41.41,1,3,NULL),(15,2325110,'1992-07-29 00:00:00',4,9,12,2009,'M','S','CENTRO','LAGES','SC','124242241217111411469811572112610122127',NULL,'497',40.11,1,3,NULL),(15,2325128,'1990-11-23 00:00:00',2,1,12,2007,'M','N','PINHEIRA','PALHOCA','SC','124241241335111441633614272124610144117',NULL,'1011',0.00,1,3,NULL),(15,2325136,'1981-02-18 00:00:00',2,3,12,1999,'M','N','CENTRO','LONDRINA','PR','124161161246131421438841315322142317047',12789,'9998',47.87,1,3,NULL),(15,2325144,'1989-09-15 00:00:00',4,8,12,2006,'M','N','VILA COSTA','SUZANO','SP','125254251315472431457834575122610144052',3812,'9998',63.94,1,3,NULL),(15,2325152,'1990-11-09 00:00:00',4,9,12,2007,'M','N','CENTENARIO','LAGES','SC','124241247616111551426417572111611217042',NULL,'504',14.82,1,3,NULL),(15,2325160,'1988-08-17 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124202241316371431168821386124610114042',17965,'298',40.37,1,3,NULL),(15,2325179,'1990-07-19 00:00:00',2,4,12,2007,'F','N','MORADA DO SOL','MARAVILHA','SC','124241248117131731424624242122610123077',NULL,'552',17.92,1,3,NULL),(15,2325187,'1958-07-26 00:00:00',4,1,12,1979,'F','N','CENTRO','FLORIANOPOLIS','SC','224251255142131421253351192124343232097',NULL,'9998',20.51,1,2,1),(15,2325195,'1990-10-11 00:00:00',4,5,11,2007,'M','N','TIROLEZA','TRAMANDAI','RS','120201201216151431437513272124610144142',22085,'9998',31.99,1,3,NULL),(15,2325209,'1971-04-09 00:00:00',4,1,12,1990,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241116152441144342495124230966182',NULL,'69',0.00,1,3,NULL),(15,2325217,'1991-03-15 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111531438911295122610125147',20580,'272',35.72,1,3,NULL),(15,2325225,'1989-11-18 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124243241117132731436419192211610114045',18770,'9997',39.04,1,3,NULL),(15,2325233,'1976-01-30 00:00:00',4,6,11,1998,'M','N','CABEÇUDAS','ITAJAI','SC','124133137326131411128971195121233244092',NULL,'9999',0.00,1,3,NULL),(15,2325241,'1990-01-15 00:00:00',4,1,12,2007,'F','N','NSA SRA DO ROSARIO','SAO JOSE','SC','124243241116131431563521575124610124192',21270,'726',34.27,1,3,NULL),(15,2325250,'1989-12-15 00:00:00',4,1,12,2006,'F','N','CENTRO','CAXIAS DO SUL','RS','120201201116371311437614295122612234187',20457,'9998',35.95,1,2,1),(15,2325268,'1989-08-08 00:00:00',4,3,12,2006,'F','N','CIDADE INDUSTRIAL','CURITIBA','PR','116161161115371221453924345134610164142',NULL,'9998',0.00,1,2,1),(15,2325276,'1988-11-04 00:00:00',4,3,11,2006,'M','N','JARDIM BRASIL','SAO CARLOS','SP','125252251215471431378821475122610138122',9113,'9998',53.44,1,3,NULL),(15,2325284,'1990-08-02 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124243241215121431453621412144610162142',NULL,'1022',36.90,1,3,NULL),(15,2325292,'1991-01-10 00:00:00',2,9,12,2007,'F','N','CENTRO','LAGES','SC','124241241315111431369913575122610111142',20291,'9997',36.25,1,3,NULL),(15,2325314,'1983-01-17 00:00:00',2,1,12,2000,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','624161161116151431524469315124610161093',13211,'9998',47.30,1,2,1),(15,2325322,'1961-08-17 00:00:00',2,1,12,1979,'M','N','BARREIROS','SAO JOSE','SC','524241243346134421153343232134120262197',NULL,'414',0.00,1,3,NULL),(15,2325330,'1990-07-18 00:00:00',4,1,11,2007,'M','N','PARQUE CAMPOLIM','SOROCABA','SP','125162251214151211358611275122610117047',NULL,'9998',0.00,1,3,NULL),(15,2325357,'1986-09-03 00:00:00',2,1,12,2004,'M','N','CAMPO DUNA','GAROPABA','SC','124241241126273731643634445114130217042',NULL,'322',29.37,1,2,1),(15,2325365,'1986-11-02 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241216154731358834385114121966147',11148,'272',50.24,1,3,NULL),(15,2325373,'1983-11-02 00:00:00',4,1,12,2001,'M','N','JARDIM GUANABARA','RIO DE JANEIRO','RJ','121042211232111411168943432132141467041',NULL,'9998',0.00,1,3,NULL),(15,2325381,'1982-05-17 00:00:00',4,1,1,2000,'F','N','CAMPINAS','SAO JOSE','SC','124142141416131421639833345134610112143',18200,'9998',39.97,4,3,NULL),(15,2325403,'1983-09-29 00:00:00',4,1,12,2000,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124206138633141411163343232122343228012',2589,'9998',67.35,1,3,NULL),(15,2325411,'1990-09-28 00:00:00',2,3,12,2007,'M','N','CANTA GALO','RIO DO SUL','SC','124242247215112431654612575112610124067',7031,'9997',57.09,1,3,NULL),(15,2325420,'1990-01-06 00:00:00',4,1,11,2007,'F','N','ESTIVA','TAUBATE','SP','125251258215111631546614372112610114181',22331,'9998',30.82,1,3,NULL),(15,2325438,'1986-08-24 00:00:00',2,4,12,2004,'M','N','EFAPI','CHAPECO','SC','124242241213372421266924484124130664097',18056,'185',40.22,2,1,2),(15,2325454,'1955-06-03 00:00:00',2,1,8,1979,'M','N','SÃO JOÃO DO RIO VERM','FLORIANOPOLIS','SC','224241243126233411331113435134310358094',NULL,'303',0.00,1,3,NULL),(15,2325462,'1989-02-13 00:00:00',4,1,12,2006,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217372441369923576124610166017',17175,'270',41.61,1,3,NULL),(15,2325489,'1973-07-03 00:00:00',4,1,12,1994,'M','N','ITACORUBI','FLORIANOPOLIS','SC','624242241242135411338811415122220367047',7647,'270',55.95,1,3,NULL),(15,2325497,'1990-06-08 00:00:00',2,1,12,2007,'F','N','SUMARÉ','RIO DO SUL','SC','124242241215112432484732575122610168192',17308,'991',41.39,1,3,NULL),(15,2325500,'1965-11-16 00:00:00',4,1,6,1984,'M','N','CENTRO','SOMBRIO','SC','224211218111151711421149294132342468192',NULL,'9998',0.00,1,3,NULL),(15,2325519,'1983-12-08 00:00:00',4,5,12,2002,'M','N','CENTRO','SAO JOAO DO SUL','SC','124241241126132431533367192323243227047',22476,'717',29.16,4,2,1),(15,2325535,'1979-01-06 00:00:00',4,1,12,1996,'F','N','ITAGUACU','FLORIANOPOLIS','SC','224241241212133711236851415122320431097',NULL,'70',0.00,1,3,NULL),(15,2325543,'1984-02-24 00:00:00',2,1,12,2002,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124243241311212411535531431113130214042',12674,'269',48.03,1,3,NULL),(15,2325551,'1988-04-15 00:00:00',4,2,12,2005,'M','N','CENTRO','BLUMENAU','SC','124242241236132731448834445121231414012',5888,'90',59.28,1,3,NULL),(15,2325560,'1985-08-29 00:00:00',2,8,12,2002,'M','N','IRIRIU','JOINVILLE','SC','124201201132151411224369296224231427052',20592,'9998',35.70,1,2,1),(15,2325578,'1991-03-14 00:00:00',4,2,12,2008,'M','S','QUINTINO','TIMBO','SC','124242241216111732236624575112610128182',NULL,'9997',50.85,1,3,NULL),(15,2325586,'1978-11-03 00:00:00',2,1,1,2006,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','524074077216131421436743131124610132097',NULL,'9998',0.00,4,1,2),(15,2325594,'1988-02-17 00:00:00',4,1,12,2005,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241217573411258923481124231464045',12983,'270',47.62,4,3,NULL),(15,2325608,'1990-10-10 00:00:00',4,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217111431349513575124610128057',17057,'270',41.80,1,3,NULL),(15,2325616,'1990-07-11 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241215111411443511575122610144142',9048,'988',53.57,1,3,NULL),(15,2325624,'1990-08-08 00:00:00',4,1,12,2007,'M','N','ROCADO','SAO JOSE','SC','124242241222111431336631215121610127147',NULL,'1076',18.92,1,3,NULL),(15,2325632,'1987-09-05 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241117131451544814372324610124027',NULL,'276',16.20,2,1,1),(15,2325640,'1990-01-05 00:00:00',2,4,12,2007,'M','N','CENTRO','NOVA ERECHIM','SC','124241241215111531448832345122610164182',18691,'185',39.18,1,3,NULL),(15,2325659,'1990-05-14 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124242241215111431326411572112610162012',16212,'738',43.04,1,3,NULL),(15,2325667,'1987-05-22 00:00:00',2,1,12,2004,'F','N','SANTACRUZDAFIGUEIRA','AGUAS MORNAS','SC','124241241112141411436334555122610123142',NULL,'978',25.28,1,2,1),(15,2325675,'1989-03-30 00:00:00',2,1,12,2006,'M','N','CENTRO','LAJEADO','RS','120204201217471511528813571122610164047',12438,'9998',48.38,1,3,NULL),(15,2325683,'1985-03-15 00:00:00',4,1,5,2003,'M','N','CAPIVARI INGLESES','FLORIANOPOLIS','SC','124241241125273411535621312324610124047',14617,'307',45.25,1,2,1),(15,2325691,'1991-02-20 00:00:00',4,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124243241117131532526619282224610113012',21506,'9997',33.72,4,3,NULL),(15,2325713,'1984-10-09 00:00:00',2,1,12,2001,'M','N','JOSE MENINO','SANTOS','SP','125253251116571431458839572113143212047',9730,'9998',52.38,1,3,NULL),(15,2325721,'1989-01-24 00:00:00',4,1,12,2006,'M','N','ASA NORTE','BRASILIA','DF','107072078217271411587813471142141826187',NULL,'9998',0.00,4,3,NULL),(15,2325730,'1991-11-22 00:00:00',4,7,12,2008,'F','S','SÃO MIGUEL','CONCORDIA','SC','124242241217111411468833572122610123147',NULL,'1000',33.55,1,3,NULL),(15,2325748,'1985-11-29 00:00:00',2,1,12,2006,'M','N','CAMPINAS','SAO JOSE','SC','124242248616112731236823375124230762052',NULL,'1036',22.95,1,3,NULL),(15,2325756,'1989-09-12 00:00:00',4,1,12,2007,'M','N','JARDINS VIENA','APARECIDA DE GOIANIA','GO','109092091217111451568911595112610127127',6912,'9998',57.32,1,3,NULL),(15,2325764,'1988-12-12 00:00:00',4,1,11,2006,'M','N','VILA PAIVA','SAO PAULO','SP','125252251216211431478814575125143222097',NULL,'1034',0.00,1,3,NULL),(15,2325772,'1990-04-19 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241112131431526611372324610166147',NULL,'387',21.91,1,2,1),(15,2325780,'1990-07-21 00:00:00',2,9,12,2007,'F','N','CENTRO','RIO DO SUL','SC','124242241215112431458822592122610162097',NULL,'654',0.00,1,3,NULL),(15,2325799,'1990-10-18 00:00:00',4,2,11,2007,'F','N','CENTRO','RIO DOS CEDROS','SC','124242241215111451429931585124610168197',13527,'855',46.85,1,3,NULL),(15,2325802,'1984-05-31 00:00:00',4,8,12,2002,'F','N','JARDIM IRIRIÚ','JOINVILLE','SC','124241241327271451636313141213133226147',15453,'470',44.18,1,3,NULL),(15,2325810,'1989-12-20 00:00:00',4,1,12,2007,'M','N','LARGO DA PRAIA','TIETE','SP','125252251215111731567812575112610127042',8447,'9998',54.61,1,3,NULL),(15,2325829,'1987-08-08 00:00:00',4,10,12,2004,'M','N','VILA MOEMA','TUBARAO','SC','124241241116372431345611175122231427112',NULL,'808',0.00,1,2,1),(15,2325837,'1990-12-26 00:00:00',4,8,12,2007,'F','N','VILA A DE ITAIPU','FOZ DO IGUACU','PR','116162168216421751667719575122610162127',NULL,'9998',0.00,1,3,NULL),(15,2325861,'1989-06-10 00:00:00',2,1,10,2007,'M','N','ALDO ARIOLI','ERECHIM','RS','120203208215111431446624375112610124047',NULL,'9998',0.00,1,3,NULL),(15,2325870,'1970-06-07 00:00:00',4,1,12,1996,'F','N','TRINDADE','FLORIANOPOLIS','SC','224212211114151711358653372122342022187',7492,'9998',56.25,1,3,NULL),(15,2325888,'1986-08-07 00:00:00',2,3,12,2003,'F','N','MEIA PRAIA','ITAPEMA','SC','124161161116131411343314345124343232182',NULL,'9998',0.00,1,3,NULL),(15,2325896,'1990-05-21 00:00:00',2,1,12,2007,'M','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124252241215151432589812575114610164112',19558,'1048',37.71,1,3,NULL),(15,2325900,'1988-07-01 00:00:00',2,1,12,2005,'F','N','CENTRO','SAO BONIFACIO','SC','124241241125163431524416272124230232077',16599,'702',42.46,1,3,NULL),(15,2325918,'1990-02-06 00:00:00',4,4,12,2007,'F','N','FRANCISCA CREMONINI','NOVA ERECHIM','SC','124243241121131111428823215112610163112',20038,'572',36.74,1,3,NULL),(15,2325926,'1987-09-20 00:00:00',4,1,12,2007,'F','N','JARDIM ARAUCARIA','FLORIANOPOLIS','SC','124241245112131411428421182224610111082',NULL,'734',25.16,1,3,NULL),(15,2325934,'1988-05-12 00:00:00',2,1,12,2006,'M','N','CENTRO','IJUI','RS','120201201112471751533435392124610137057',4099,'9998',63.19,1,2,1),(15,2325950,'1988-09-12 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242247231111231538734495122610117042',NULL,'270',29.15,1,3,NULL),(15,2325969,'1990-10-11 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241211111331359934571122610127132',NULL,'270',48.02,1,3,NULL),(15,2325977,'1985-02-27 00:00:00',5,1,6,2003,'M','N','FLORESTAN FERNANDES','RIBEIRAO PRETO','SP','125251257127131431424324582344610124117',NULL,'9999',19.72,1,2,1),(15,2325985,'1990-03-05 00:00:00',2,1,12,2007,'F','N','BELA VISTA','SAO JOSE','SC','124242241411371431449822275122610122142',15104,'1036',44.66,1,3,NULL),(15,2326000,'1985-07-31 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241416112421248813315122120332015',NULL,'258',19.37,1,3,NULL),(15,2326019,'1990-08-06 00:00:00',4,9,11,2007,'F','N','CENTRO','CAMPO BELO DO SUL','SC','124243241215112751435639295114610128147',19134,'9997',38.46,1,3,NULL),(15,2326027,'1987-11-12 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124244245415373221333411222111112812192',16180,'1022',43.10,1,3,NULL),(15,2326035,'1990-01-05 00:00:00',4,8,12,2007,'F','N','CENTRO','PALOTINA','PR','116162161237271431468831595112610164192',NULL,'9998',0.00,1,3,NULL),(15,2326043,'1949-08-05 00:00:00',4,1,12,1971,'M','N','BOSQUE DAS MANSÕES','SAO JOSE','SC','524241248122133711643342222132322963092',13436,'307',46.97,1,3,NULL),(15,2326051,'1990-10-05 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIUMA','SC','124242241215111451479713575112610164142',NULL,'226',0.00,1,3,NULL),(15,2326060,'1989-03-20 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124244241231111731369923375114610144047',9136,'1048',53.39,1,3,NULL),(15,2326078,'1990-09-11 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241217171432446632282212610118075',19719,'868',37.38,1,3,NULL),(15,2326094,'1977-11-12 00:00:00',2,1,11,1996,'M','N','CENTRO','SANTA MARIA','RS','120201201317172431116763282314143248187',12186,'9998',48.75,1,3,NULL),(15,2326108,'1990-10-28 00:00:00',4,1,11,2007,'F','N','ASILO','BLUMENAU','SC','124242241215372731478811575114610162127',409,'270',77.59,1,3,NULL),(15,2326116,'1979-04-02 00:00:00',2,1,12,2001,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','224246247227131752233351242134130228187',NULL,'943',21.45,1,3,NULL),(15,2326124,'1977-03-28 00:00:00',2,1,11,1997,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124201208222341411323345432323241042062',17431,'9998',41.18,1,3,NULL),(15,2326132,'1983-07-27 00:00:00',2,1,12,2001,'F','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124243241216575431446512292124230212187',6583,'259',57.93,1,3,NULL),(15,2326140,'1986-12-31 00:00:00',4,2,12,2004,'M','N','VALPARAISO','BLUMENAU','SC','124241247227311331568714245122132162182',NULL,'67',20.71,1,3,NULL),(15,2326167,'1986-08-04 00:00:00',2,1,11,2006,'F','N','PONTAL','PALHOCA','SC','124241241227231421424623382124610128117',NULL,'596',14.59,1,3,NULL),(15,2326175,'1989-07-25 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241137131111446611375124610164117',21758,'733',33.09,1,3,NULL),(15,2326183,'1989-03-18 00:00:00',4,1,12,2007,'M','N','SUMARE','SAO PAULO','SP','125242251216211431558712575124610167047',21146,'9998',34.55,1,3,NULL),(15,2326191,'1987-01-08 00:00:00',4,6,12,2004,'F','N','PONTA DA PRAIA','SANTOS','SP','125254251217571451468714572122610132092',3542,'9998',64.64,3,3,NULL),(15,2326205,'1990-08-11 00:00:00',4,1,11,2007,'M','N','JARDIM DA GLÓRIA','SAO PAULO','SP','125252251216111731467839375112610112052',NULL,'9998',0.00,1,3,NULL),(15,2326213,'1978-12-26 00:00:00',2,1,3,2008,'F','S','SACOS DOS LIMOES','FLORIANOPOLIS','SC','624241247327131441531353432241610167157',NULL,'9999',34.88,1,3,NULL),(15,2326221,'1989-12-31 00:00:00',2,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215111451558964572125610117147',13648,'9997',46.68,4,3,NULL),(15,2326230,'1985-12-07 00:00:00',2,1,12,2003,'F','N','FAZEND SANTO ANTONIO','SAO JOSE','SC','124241241112143731433311345122230227017',18535,'293',39.42,1,2,1),(15,2326264,'1989-07-15 00:00:00',4,3,12,2007,'M','N','CENTRO','JARAGUA DO SUL','SC','124243241411132431236923472224231467017',8956,'424',53.74,1,3,NULL),(15,2326272,'1990-10-30 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124244241436111631459619592124610123072',21666,'270',33.35,1,3,NULL),(15,2326280,'1991-06-08 00:00:00',4,9,12,2008,'F','S','CENTRO','LAGES','SC','124242241217111731431624275125610163052',NULL,'497',39.55,1,3,NULL),(15,2326299,'1989-10-04 00:00:00',2,1,11,2006,'F','N','HIGIENÓPOLIS','PORTO ALEGRE','RS','120202201211471431568831571122610122182',6314,'9998',58.44,1,3,NULL),(15,2326302,'1989-02-10 00:00:00',2,6,12,2006,'F','N','JARDIM SATELITE','SAO JOSE DOS CAMPOS','SP','125255251216471431436821275125610138147',15975,'9998',43.42,4,3,NULL),(15,2326310,'1983-11-21 00:00:00',2,1,12,2002,'M','N','SANTO ANJO','SANTO AMARO DA IMPERATRIZ','SC','124241248617142741636314431224221667047',15753,'117',43.74,1,3,NULL),(15,2326329,'1987-06-18 00:00:00',4,1,12,2004,'F','N','SÃO CRISTOVÃO','CASCAVEL','PR','116161161116211431326619412334610112052',NULL,'9998',25.21,1,2,1),(15,2326337,'1992-05-10 00:00:00',2,1,12,2009,'M','S','BARREIROS','SAO JOSE','SC','124201241237111421353664575122610128017',NULL,'724',35.86,1,3,NULL),(15,2326345,'1990-04-15 00:00:00',4,1,11,2007,'F','N','ALTO RIBEIRÃO','FLORIANOPOLIS','SC','124241241117131132554319382124610137052',22430,'9997',30.02,1,3,NULL),(15,2326361,'1960-12-07 00:00:00',2,1,12,1980,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','524211211422152711354453231132122317042',NULL,'9998',30.02,4,3,NULL),(15,2326370,'1974-10-14 00:00:00',2,1,12,1992,'M','N','CENTRO','TIJUCAS','SC','124241241122131431644319232334130222097',20267,'783',36.30,1,3,NULL),(15,2326388,'1980-10-07 00:00:00',4,1,12,1998,'M','N','TRINDADE','FLORIANOPOLIS','SC','124062061217132431627848285214142167112',21144,'9998',34.55,1,3,NULL),(15,2326396,'1990-04-24 00:00:00',2,1,12,2007,'M','N','CENTRO','GAROPABA','SC','124241241125131431424411391121610135057',20065,'322',36.70,1,3,NULL),(15,2326400,'1989-09-28 00:00:00',2,1,12,2006,'F','N','SETOR BUENO','GOIANIA','GO','109092091212412511248821572121610163147',NULL,'9998',0.00,1,3,NULL),(15,2326418,'1990-11-12 00:00:00',4,2,12,2007,'F','N','VILA NOVA','BLUMENAU','SC','124242241217271511476814576124610167072',19021,'909',38.63,1,3,NULL),(15,2326426,'1990-09-25 00:00:00',2,1,12,2007,'M','N','SAO JOSÉ','PASSO FUNDO','RS','120201208117571431467412375122610167112',NULL,'9998',29.24,1,3,NULL),(15,2326434,'1989-06-16 00:00:00',4,1,12,2007,'M','N','JURERE INTERNACIONAL','FLORIANOPOLIS','SC','124242241217121431588612575112610164182',18826,'269',38.95,1,3,NULL),(15,2326442,'1986-06-06 00:00:00',2,1,12,2005,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241122272411121344242324610114072',NULL,'307',31.03,1,2,1),(15,2326450,'1990-05-29 00:00:00',2,10,10,2007,'F','N','CENTRO','TUBARAO','SC','124242244415111231465512572112610164057',19211,'807',38.32,1,3,NULL),(15,2326469,'1988-10-11 00:00:00',4,1,11,2006,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241217472751428714571111131068181',16561,'266',42.50,1,3,NULL),(15,2326477,'1989-08-06 00:00:00',2,4,12,2006,'F','N','UNIVERSITARIO','CHAPECO','SC','124242241217472431268834572112231316177',18386,'1021',39.67,1,3,NULL),(15,2326485,'1991-03-31 00:00:00',2,8,12,2008,'F','S','SAGUAÇU','JOINVILLE','SC','124243241217111431455632572122610111152',NULL,'931',36.83,1,3,NULL),(15,2326493,'1982-02-04 00:00:00',2,1,3,2003,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241247627133722232322125124230268187',NULL,'9999',18.50,2,3,NULL),(15,2326507,'1987-01-03 00:00:00',4,8,12,2004,'M','N','CENTRO','JOINVILLE','SC','124242241215373431469834572114131444027',NULL,'991',0.00,1,3,NULL),(15,2326515,'1977-10-08 00:00:00',4,8,7,1998,'M','N','PETROPOLIS','JOINVILLE','SC','124241247346474431335443132124131064127',5162,'486',60.79,4,3,NULL),(15,2326523,'1986-11-04 00:00:00',4,8,12,2004,'M','N','IRIRIU','JOINVILLE','SC','124242246212151431458611585112131442182',5720,'494',59.63,1,3,NULL),(15,2326531,'1990-04-09 00:00:00',4,7,12,2007,'F','N','CENTRO','CURITIBA','PR','124162161235121511449931574125610166192',7254,'9998',56.68,1,3,NULL),(15,2326540,'1987-06-15 00:00:00',2,4,11,2004,'M','N','CENTRO','SANTA MARIA','RS','120204201217271451268622595124243237092',8590,'9998',54.37,1,3,NULL),(15,2326558,'1990-03-09 00:00:00',4,10,11,2007,'F','N','CASCATA VERMELHA','JAGUARUNA','SC','124242241214111731536711412112610134112',16153,'806',43.13,1,3,NULL),(15,2326566,'1990-08-11 00:00:00',2,10,11,2007,'M','N','CENTRO','URUSSANGA','SC','124241241215111431455514475122610127047',11908,'820',49.09,1,3,NULL),(15,2326574,'1986-09-23 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244247432213431348723245122610167045',NULL,'9999',22.65,4,3,NULL),(15,2326582,'1985-12-16 00:00:00',2,4,12,2003,'F','N','NOSSA SRA DE LOURDES','DOIS VIZINHOS','PR','116161161117151431343923335134343234012',15734,'9998',43.77,1,2,1),(15,2326604,'1982-01-17 00:00:00',2,3,12,2000,'M','N','VILA OPERÁRIA','MARINGA','PR','116161161126371431233624372113610124097',12945,'9998',47.66,1,2,1),(15,2326612,'1989-08-11 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241248636111751437673375124610162052',21584,'733',33.54,1,3,NULL),(15,2326620,'1988-06-21 00:00:00',2,4,12,2006,'M','N','CENTRO','DIONISIO CERQUEIRA','SC','124241161117161411469613345122241066052',NULL,'9998',0.00,1,2,1),(15,2326639,'1990-04-23 00:00:00',2,7,12,2007,'F','N','ALTO BONITO','CACADOR','SC','124244241212151431436512572112610123097',19948,'118',36.92,1,3,NULL),(15,2326647,'1986-10-21 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124243247417132331536623485124610145097',NULL,'9999',37.62,1,3,NULL),(15,2326655,'1978-11-11 00:00:00',4,1,12,1996,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124202201212233221228949392321131045021',NULL,'9998',0.00,1,3,NULL),(15,2326663,'1983-01-13 00:00:00',4,1,12,2000,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241116133421335519345124610125147',7903,'271',55.51,1,3,NULL),(15,2326698,'1986-05-13 00:00:00',4,1,6,2007,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124244247411373411258613374114131464182',16928,'307',41.97,1,3,NULL),(15,2326701,'1987-02-28 00:00:00',2,1,11,2007,'F','N','PATRONATO','SANTA MARIA','RS','120201207137471731535519482124610165075',NULL,'9999',0.00,1,2,1),(15,2326710,'1985-06-24 00:00:00',4,1,2,2003,'M','N','FUNDOS','BIGUACU','SC','124201248611135211336431391124220732047',14473,'267',45.46,4,3,NULL),(15,2326728,'1967-03-05 00:00:00',4,1,11,1989,'M','N','ESTREITO','FLORIANOPOLIS','SC','224241248222134611332241223112120812043',19900,'260',37.01,1,3,NULL),(15,2326736,'1965-02-13 00:00:00',2,1,9,1999,'F','N','JARDIM ANCHIETA','FLORIANOPOLIS','SC','224203015326132721541154185124232721197',NULL,'9999',0.00,4,3,NULL),(15,2326760,'1990-11-23 00:00:00',4,1,12,2007,'F','N','CENTRO','PASSO FUNDO','RS','120202201236321431447619315122610122197',NULL,'9998',0.00,1,3,NULL),(15,2326779,'1968-07-28 00:00:00',2,1,12,1987,'M','N','CARIANOS','FLORIANOPOLIS','SC','224241093121135421433343231133610114047',NULL,'9998',22.43,4,2,1),(15,2326787,'1982-02-16 00:00:00',4,1,11,2000,'M','N','JD SANTO ANTONIO','CACAPAVA','SP','125254257315473431327811512123141427111',NULL,'9999',25.40,4,3,NULL),(15,2326795,'1988-09-02 00:00:00',4,1,11,2006,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241248137471411346629391134610118182',NULL,'298',36.68,4,2,1),(15,2326809,'1988-07-11 00:00:00',2,1,12,2006,'M','N','SANTA RITA','PAULO LOPES','SC','124241241122131431433335242223233228042',NULL,'607',0.00,1,2,1),(15,2326825,'1989-01-16 00:00:00',4,1,12,2006,'M','N','JD PRIMAVERA','ROSEIRA','SP','125251256117141431336739282124610134052',19865,'9998',37.08,2,1,1),(15,2326833,'1990-10-17 00:00:00',4,4,11,2007,'M','N','CENTRO','SEARA','SC','124244241436111411335619482124610127042',16735,'1047',42.28,1,3,NULL),(15,2326841,'1979-10-30 00:00:00',2,1,12,1999,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','224241245117131411333351455124610111052',NULL,'321',10.97,1,2,1),(15,2326850,'1991-06-18 00:00:00',4,1,2,2008,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111731358721575125610168097',13138,'1022',47.41,1,3,NULL),(15,2326868,'1988-02-09 00:00:00',4,9,12,2004,'F','N','BATES','LAGES','SC','124241248111271421458613174124133221147',NULL,'505',25.29,1,3,NULL),(15,2326884,'1991-03-04 00:00:00',4,1,12,2008,'M','S','ITACORUBI','FLORIANOPOLIS','SC','124242241215111431266921572125610128012',NULL,'883',56.51,1,3,NULL),(15,2326892,'1988-06-20 00:00:00',4,1,12,2005,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124241241111373431437723282124610116047',7354,'307',56.51,4,1,1),(15,2326906,'1990-01-27 00:00:00',4,1,10,2007,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124241241116141721446611245114610117047',22511,'307',28.46,1,3,NULL),(15,2326914,'1976-02-15 00:00:00',2,1,12,1995,'M','N','ESTREITO','FLORIANOPOLIS','SC','524241246112573411416322142124230217047',12937,'306',47.67,1,2,1),(15,2326930,'1987-08-12 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242247211271151428323591111131018112',NULL,'266',0.00,1,3,NULL),(15,2326965,'1989-01-03 00:00:00',4,1,11,2006,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241217142411388823492222231064177',12752,'270',47.92,1,3,NULL),(15,2326973,'1991-10-15 00:00:00',4,2,12,2008,'F','S','CENTRO','GASPAR','SC','124242241217111731358732572124610127012',NULL,'955',43.89,1,3,NULL),(15,2326981,'1991-03-23 00:00:00',4,1,12,2008,'M','S','PENDOTIBA','NITEROI','RJ','121212211211111431478919571122610127112',NULL,'9998',0.00,1,3,NULL),(15,2326990,'1987-12-15 00:00:00',2,1,12,2005,'M','N','CENTRO','PONTA PORA','MS','112122121212471731259913572224142647052',NULL,'9998',0.00,1,3,NULL),(15,2327007,'1974-03-10 00:00:00',2,1,6,2004,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124243247331132431323344241314122245093',18006,'9999',40.30,1,3,NULL),(15,2327015,'1973-06-12 00:00:00',4,1,12,1997,'F','N','CAMPINAS','SAO JOSE','SC','224241243122221211221122122114222213143',NULL,'693',0.00,1,3,NULL),(15,2327023,'1990-05-30 00:00:00',4,1,12,2007,'M','N','CENTRO','TIJUCAS','SC','124242241215111711459813271122610167057',11425,'1119',49.81,1,3,NULL),(15,2327031,'1989-07-11 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217111431225844345125610148077',6774,'270',57.61,1,3,NULL),(15,2327040,'1973-08-05 00:00:00',4,1,12,1991,'F','N','CENTRO','FLORIANOPOLIS','SC','224161161116151751269653435122342834187',10322,'9998',51.46,1,2,1),(15,2327074,'1988-02-29 00:00:00',4,6,12,2007,'F','N','SÃO VICENTE','ITAJAI','SC','124241241126131431446724575124610134197',NULL,'395',19.11,1,2,1),(15,2327082,'1985-08-27 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241135131451136649341324610164112',19882,'289',37.05,1,3,NULL),(15,2327090,'1968-03-26 00:00:00',4,1,12,1986,'F','N','JURERÊ','FLORIANOPOLIS','SC','524202201212151731239944441122341527147',16340,'9998',42.84,1,3,NULL),(15,2327104,'1983-07-09 00:00:00',4,1,12,2002,'F','N','INGLESES','FLORIANOPOLIS','SC','123241241121211431433319442334610126147',NULL,'307',29.75,1,2,1),(15,2327112,'1990-08-15 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215111431458811412124610131197',9537,'1075',52.71,1,3,NULL),(15,2327120,'1982-06-24 00:00:00',4,1,11,2003,'M','N','BNH BARÃO II','TOLEDO','PR','116161167144372421333314215123610121112',NULL,'9999',23.44,1,3,NULL),(15,2327139,'1988-01-31 00:00:00',4,1,12,2005,'F','N','ATIBAIA JARDIM','ATIBAIA','SP','125251251137132411328661182324610122057',11770,'9998',49.30,3,2,1),(15,2327147,'1989-10-16 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124241241116131431337614575314610117057',NULL,'734',22.71,1,2,1),(15,2327155,'1986-10-29 00:00:00',2,8,6,2003,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241127132751433334245114130762112',16120,'274',43.19,1,3,NULL),(15,2327163,'1990-02-19 00:00:00',2,7,12,2007,'F','N','CENTRO','JOACABA','SC','124241248132371751526619292225610112177',21427,'448',33.90,1,2,1),(15,2327171,'1981-03-26 00:00:00',4,1,11,2007,'M','N','ÍPIRANGA','SAO JOSE','SC','124241247136232311343323141324610114113',NULL,'9999',22.25,2,1,1),(15,2327180,'1988-03-05 00:00:00',4,8,12,2005,'F','N','BONSUCESSO','GUARAPUAVA','PR','116161161217573711578813572124242444092',NULL,'9998',0.00,1,3,NULL),(15,2327198,'1990-09-24 00:00:00',4,1,12,2007,'M','N','SANTA MARIA','ANTONIO CARLOS','SC','124241241116161132535619392124610164047',21260,'21',34.29,1,2,1),(15,2327201,'1988-07-27 00:00:00',2,1,12,2005,'F','N','PLANALTO VILA VERDE','CAXIAS DO SUL','RS','120202201217572431348911572214610143147',4641,'9998',61.91,1,3,NULL),(15,2327210,'1989-08-14 00:00:00',4,1,12,2007,'M','N','LULU GENRO','SANTIAGO','RS','120201201117471431436613242124610134017',NULL,'9998',0.00,1,2,1),(15,2327228,'1991-02-04 00:00:00',4,1,12,2008,'F','S','TRINDADE','FLORIANOPOLIS','SC','124242241214111731469613595122610138147',NULL,'270',39.47,1,3,NULL),(15,2327236,'1987-10-20 00:00:00',4,1,12,2005,'M','N','CANTO','FLORIANOPOLIS','SC','124244241215372422248414445112610124117',15159,'724',44.58,1,3,NULL),(15,2327244,'1963-03-05 00:00:00',5,1,12,1980,'F','N','JURERÊ','FLORIANOPOLIS','SC','224252251216151421588652411122341965132',11465,'9998',49.76,1,3,NULL),(15,2327260,'1990-08-04 00:00:00',4,1,11,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215111731346931571114610166196',7687,'1098',55.88,3,3,NULL),(15,2327279,'1989-05-16 00:00:00',4,1,11,2006,'M','N','MARISTA','GOIANIA','GO','109094091411471611356823571122141467187',NULL,'9998',0.00,1,3,NULL),(15,2327287,'1990-03-19 00:00:00',4,1,12,2007,'M','N','FORQUILINHAS','SAO JOSE','SC','124241241113131431456614341124610834047',20991,'733',34.87,1,3,NULL),(15,2327295,'1989-03-30 00:00:00',4,8,12,2007,'F','N','FÁTIMA','JOINVILLE','SC','124241241117131431523311392344610116192',NULL,'467',15.00,2,3,NULL),(15,2327309,'1989-02-14 00:00:00',2,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124244241117372112377923592124230267012',6551,'271',57.98,1,3,NULL),(15,2327317,'1989-10-13 00:00:00',2,4,12,2006,'M','N','CANGO','FRANCISCO BELTRAO','PR','116161161316475431354434215125610112152',11011,'9998',50.45,1,3,NULL),(15,2327325,'1985-12-07 00:00:00',4,1,12,2006,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124243241427132411327731572114610111197',15614,'9999',43.93,1,3,NULL),(15,2327333,'1957-12-20 00:00:00',2,1,12,1976,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','224241241116145442354443335122121126182',NULL,'307',0.00,1,3,NULL),(15,2327341,'1991-03-10 00:00:00',4,2,11,2007,'F','N','CAPITAIS','TIMBO','SC','124243241215111431588712571112610142182',20421,'9997',36.01,1,3,NULL),(15,2327350,'1984-12-01 00:00:00',2,1,12,2002,'F','N','FONTE','ARARAQUARA','SP','125252254435521441568836285112610164117',4451,'9998',62.38,1,3,NULL),(15,2327368,'1991-03-25 00:00:00',2,5,12,2008,'M','S','MATO ALTO','ARARANGUA','SC','124242241215142431556812245121610127112',NULL,'27',49.74,1,3,NULL),(15,2327376,'1987-03-25 00:00:00',2,1,12,2004,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241117475711434419245114610164057',13841,'727',46.40,1,3,NULL),(15,2327384,'1984-12-19 00:00:00',4,1,12,2002,'M','N','PALHOÇA','PALHOCA','SC','124242241211142431468834441114131065091',9913,'596',52.07,1,3,NULL),(15,2327392,'1982-01-31 00:00:00',4,1,11,1999,'M','N','SETOR OESTE','GOIANIA','GO','109222221214572731486933585112142447047',804,'9998',74.70,4,3,NULL),(15,2327406,'1988-08-19 00:00:00',4,1,12,2006,'F','N','VILA TUPI','PRAIA GRANDE','SP','125251251227461432346313582124610161187',NULL,'9998',0.00,4,3,NULL),(15,2327414,'1990-09-27 00:00:00',4,1,12,2008,'M','S','COLÔNIA SANTANA','SAO JOSE','SC','124241241216131531456633395124610167147',NULL,'1074',32.44,1,3,NULL),(15,2327422,'1990-04-26 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111732364923575114610111182',21321,'1022',34.14,1,3,NULL),(15,2327430,'1957-12-12 00:00:00',2,1,12,1989,'M','N','PANTANAL','FLORIANOPOLIS','SC','424242247223121321146243432124131063104',NULL,'9999',30.82,1,3,NULL),(15,2327457,'1990-01-19 00:00:00',4,5,11,2007,'F','N','MICHEL','CRICIUMA','SC','124242241215311411239922125122610127012',NULL,'226',0.00,1,3,NULL),(15,2327473,'1990-09-29 00:00:00',4,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124242241215121431453412345122610123042',20028,'1078',36.76,1,3,NULL),(15,2327481,'1990-02-28 00:00:00',4,1,11,2007,'M','N','PICADAS DO SUL','SAO JOSE','SC','124242241215111431545512585112610124052',14456,'1074',45.49,1,3,NULL),(15,2327490,'1982-10-21 00:00:00',2,1,12,2003,'M','N','PANTANAL','FLORIANOPOLIS','SC','124203201142131111235634442214610121027',NULL,'9998',0.00,1,3,NULL),(15,2327511,'1983-01-15 00:00:00',2,10,12,2002,'M','N','IHLOTINHA','CAPIVARI DE BAIXO','SC','124241246127131431633314481212630144057',NULL,'158',0.00,2,1,1),(15,2327520,'1990-03-03 00:00:00',2,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161215111412278923472122610137057',11980,'9998',49.01,1,3,NULL),(15,2327538,'1988-06-01 00:00:00',4,4,12,2005,'M','N','CENTRO','XANXERE','SC','124242241211151431449916572225230327122',NULL,'836',0.00,1,3,NULL),(15,2327546,'1985-01-05 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201201116131451223344441134610136177',NULL,'9998',0.00,1,2,1),(15,2327554,'1986-06-06 00:00:00',4,1,11,2004,'M','N','CENTRO','SANTA BRANCA','SP','125254251237561411257823381124610165175',9324,'9998',53.09,1,3,NULL),(15,2327570,'1987-11-26 00:00:00',4,1,12,2005,'M','N','MONTE CASTELO','CAMPO GRANDE','MS','112123121116213231468831475122610117092',NULL,'9998',0.00,1,3,NULL),(15,2327589,'1989-04-06 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124243241417472431568914575124610124012',3853,'1000',63.86,1,3,NULL),(15,2327597,'1990-04-04 00:00:00',4,1,12,2007,'F','N','ALTO DA XV','GUARAPUAVA','PR','116162161215271431438814492122610163187',NULL,'9998',0.00,1,3,NULL),(15,2327600,'1983-03-27 00:00:00',4,1,12,2001,'M','N','VILA ESPERANÇA','FLORIANOPOLIS','SC','124244167345234431656617375124620126097',NULL,'9999',0.00,1,3,NULL),(15,2327627,'1977-08-21 00:00:00',2,8,12,2003,'F','N','JARDIM PARAÍSO','JOINVILLE','SC','624243247312131711534451382224232744043',NULL,'9999',18.39,1,3,NULL),(15,2327635,'1989-06-11 00:00:00',4,1,12,2006,'M','N','CAVALHADA','PORTO ALEGRE','RS','120202201217141521459812141122240247097',NULL,'9998',0.00,1,3,NULL),(15,2327643,'1981-11-24 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241416275431468613435114131068177',NULL,'307',0.00,1,3,NULL),(15,2327651,'1988-03-04 00:00:00',4,1,12,2005,'M','N','JARDIM SATÉLITE','SAO JOSE DOS CAMPOS','SP','125254251216473731356624175122610127182',NULL,'9998',0.00,3,3,NULL),(15,2327660,'1982-11-19 00:00:00',2,1,12,2001,'M','N','CAMPINAS','SAO JOSE','SC','124161161121141421128841211332241014062',NULL,'9998',30.54,1,2,1),(15,2327678,'1988-08-02 00:00:00',4,8,12,2005,'M','N','JARDIM PLANALTO','SAO JOSE DOS PINHAIS','PR','116241241124272431543931442324610134142',14624,'1',45.24,1,2,1),(15,2327686,'1990-10-08 00:00:00',4,1,11,2007,'M','N','CIDADE JARDIM','GOIANIA','GO','109092091236111411638511412124610162172',16198,'9998',43.06,4,3,NULL),(15,2327708,'1992-02-21 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241215111731447729495112610137052',18284,'497',39.81,1,3,NULL),(15,2327724,'1990-07-25 00:00:00',2,1,11,2007,'F','N','PONTE DO IMARUIM','SANTO AMARO DA IMPERATRIZ','SC','124242246215111731336723472114610143112',14690,'1011',45.16,1,3,NULL),(15,2327732,'1990-10-09 00:00:00',4,1,12,2008,'F','S','CENTRO','FLORIANOPOLIS','SC','124242241212111731476612572122610163182',NULL,'262',39.85,1,3,NULL),(15,2327740,'1988-10-25 00:00:00',4,1,12,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241117131731221767382214131033077',17816,'257',40.64,1,3,NULL),(15,2327759,'1990-07-20 00:00:00',4,4,12,2007,'F','N','ANTONIO RECH','DESCANSO','SC','124241244113131531536513272223610133147',21851,'242',32.79,1,2,1),(15,2327767,'1961-09-23 00:00:00',2,1,12,1980,'F','N','JD SÃO MIGUEL','BIGUACU','SC','224241244436132421333449492123332766197',16078,'266',43.25,1,3,NULL),(15,2327791,'1989-10-07 00:00:00',2,3,12,2006,'M','N','CENTRO','MISSAL','PR','116162168215411431439912575121610143182',20314,'9998',36.21,1,3,NULL),(15,2327813,'1986-01-13 00:00:00',4,1,12,2003,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124242241211172411489933475122610164042',16137,'262',43.17,1,3,NULL),(15,2327821,'1991-03-20 00:00:00',4,1,12,2008,'F','S','CENTRO','TIJUCAS','SC','124242241215111421446932222122610163112',NULL,'948',22.52,1,3,NULL),(15,2327830,'1989-06-26 00:00:00',4,8,12,2007,'M','N','ATIRADORES','JOINVILLE','SC','124244247417271431546632595121610117192',19373,'487',38.06,1,3,NULL),(15,2327848,'1982-02-10 00:00:00',4,1,11,2002,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242247216153411358821415122610164117',14880,'9999',44.93,1,3,NULL),(15,2327856,'1977-06-04 00:00:00',2,1,12,1995,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','624242243213275422234349593324122246175',20570,'303',35.75,4,3,NULL),(15,2327864,'1983-04-11 00:00:00',2,1,12,2004,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241247347133731554633212223131037047',NULL,'9999',17.55,1,3,NULL),(15,2327872,'1990-11-22 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215472431478832572112610134077',2547,'270',67.47,4,3,NULL),(15,2327880,'1990-09-03 00:00:00',4,7,12,2007,'F','N','CIDADE JARDIM','CATANDUVAS','SC','124241241132131431446733432225610164192',NULL,'161',23.40,1,3,NULL),(15,2327899,'1987-07-15 00:00:00',2,5,12,2004,'F','N','SÃO GERALDO','PORTO ALEGRE','RS','120202201211511451438819595124610164192',3283,'9998',65.30,4,3,NULL),(15,2327902,'1991-02-26 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241217151531266931575124610127042',NULL,'300',40.80,1,3,NULL),(15,2327929,'1990-12-10 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241117131431456934572124610162147',NULL,'257',20.03,1,3,NULL),(15,2327937,'1989-04-20 00:00:00',2,4,12,2007,'M','N','CASA','CRISTAL DO SUL','RS','120201201131271331323515395124610124057',NULL,'9998',23.04,1,2,1),(15,2327945,'1981-07-23 00:00:00',4,1,12,1998,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244248147212431449343232334610127047',10046,'284',51.85,1,3,NULL),(15,2327961,'1986-10-22 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241235411421268823475122610113141',NULL,'270',19.40,1,3,NULL),(15,2327970,'1990-01-24 00:00:00',4,8,11,2007,'M','N','CAVALHADA','PORTO ALEGRE','RS','120204201216111731536674595124610162147',13344,'9998',47.12,1,3,NULL),(15,2327988,'1992-04-27 00:00:00',4,9,11,2007,'F','N','CENTRO','CAMPO BELO DO SUL','SC','124243241215111711346812225122610135142',12528,'497',48.25,1,3,NULL),(15,2327996,'1990-02-10 00:00:00',4,7,11,2006,'F','N','CENTRO','JOACABA','SC','124242241216471431487712275112610164122',9921,'446',52.06,1,3,NULL),(15,2328003,'1985-09-24 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','502044252222234311272223291112222637182',1468,'836',71.37,1,3,NULL),(15,2328011,'1988-08-03 00:00:00',4,1,12,2005,'M','N','TREZE DE JULHO','ARACAJU','SE','126262261215371431368831375122141434152',NULL,'9998',0.00,4,3,NULL),(15,2328020,'1987-09-24 00:00:00',4,1,12,2005,'F','N','LUZIA','ARACAJU','SE','126262261215371431358813575122142863152',NULL,'9998',0.00,4,3,NULL),(15,2328038,'1960-06-26 00:00:00',2,1,7,2001,'M','N','BARREIROS','SAO JOSE','SC','224241247127131451532241315122610136057',21064,'9999',34.73,1,3,NULL),(15,2328054,'1954-11-06 00:00:00',4,3,12,1972,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','524253254316142711127841411122343242092',11431,'9998',49.80,1,3,NULL),(15,2328070,'1990-12-13 00:00:00',4,3,12,2008,'M','S','CENTRO','BALNEARIO CAMBORIU','SC','124242244217111531488919295112610122052',NULL,'9997',49.92,1,3,NULL),(15,2328097,'1974-06-04 00:00:00',4,6,12,1991,'M','N','FAZENDA','ITAJAI','SC','124243241216475441383629485122233227141',NULL,'392',0.00,1,3,NULL),(15,2328100,'1987-07-13 00:00:00',4,8,12,2004,'F','N','TRIANON','GUARAPUAVA','PR','116162161216471421329732475214610163147',9320,'9998',53.09,1,3,NULL),(15,2328119,'1980-04-21 00:00:00',4,1,8,1998,'M','N','COLONINHA','FLORIANOPOLIS','SC','124242246346253441357541415124231467072',NULL,'306',0.00,1,3,NULL),(15,2328127,'1980-08-04 00:00:00',2,1,11,2000,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124251251147132441223444145324610127113',22507,'9998',28.56,4,2,1),(15,2328143,'1990-03-23 00:00:00',4,1,12,2007,'F','N','JARDIM ATLANTICO','GOIANIA','GO','109092091215111431468812575122610124182',NULL,'9998',0.00,1,3,NULL),(15,2328151,'1989-01-07 00:00:00',4,1,12,2006,'M','N','ASA NORTE','BRASILIA','DF','107072071217411731468814572114610168183',10843,'9998',50.69,1,3,NULL),(15,2328160,'1989-09-22 00:00:00',4,9,12,2007,'F','N','CENTRO','CAMPO BELO DO SUL','SC','124243241315111731448839575112610137141',NULL,'9997',20.65,1,3,NULL),(15,2328178,'1990-06-25 00:00:00',4,1,11,2007,'F','N','CENTRO','CAMPO GRANDE','MS','112122201215111421459911415122610122092',NULL,'9998',0.00,1,3,NULL),(15,2328186,'1990-12-17 00:00:00',2,1,12,2007,'M','N','UVARANAS','PONTA GROSSA','PR','116162161215471431469614575112610127042',NULL,'9998',0.00,1,3,NULL),(15,2328194,'1990-03-19 00:00:00',4,7,12,2007,'M','N','FARROIPILHA','VIDEIRA','SC','124243246234161431446619572222610122092',14087,'1080',46.05,1,3,NULL),(15,2328208,'1992-02-14 00:00:00',4,4,12,2009,'M','S','CENTRO','CHAPECO','SC','124243241116151431426612575124610166142',NULL,'169',46.96,1,3,NULL),(15,2328216,'1987-03-28 00:00:00',2,1,8,2007,'M','N','CENTRO','PORTO ALEGRE','RS','120203207346132411239623281124610127143',17092,'9998',41.74,1,3,NULL),(15,2328224,'1991-12-22 00:00:00',4,2,12,2008,'F','S','FORTALEZA','BLUMENAU','SC','124244241211111431468934575122610122092',NULL,'71',36.18,1,3,NULL),(15,2328232,'1990-10-12 00:00:00',2,5,11,2007,'M','N','PINHEIRINHO','CRICIUMA','SC','124242241215111431557332575114610128062',NULL,'226',0.00,1,3,NULL),(15,2328259,'1990-11-24 00:00:00',2,1,12,2008,'M','S','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241212111751358823572114610138032',NULL,'262',31.07,3,3,NULL),(15,2328275,'1990-01-02 00:00:00',2,9,12,2007,'M','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124242241215141411346722271121610167012',18047,'499',40.23,3,3,NULL),(15,2328283,'1990-06-12 00:00:00',4,5,11,2007,'F','N','CENTRO','LAURO MULLER','SC','124243241216211431544434345124610132187',19611,'820',37.59,1,3,NULL),(15,2328291,'1969-05-18 00:00:00',4,1,12,1986,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124251253227152421355942222132321137017',10952,'9998',50.54,1,3,NULL),(15,2328305,'1988-10-30 00:00:00',4,1,11,2005,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241125372411548711385124610144017',NULL,'288',37.63,4,3,NULL),(15,2328313,'1990-08-23 00:00:00',4,5,10,2007,'F','N','CIDADE ALTA','ARARANGUA','SC','124242241215152431456832591122610125147',2260,'32',68.39,1,3,NULL),(15,2328330,'1989-11-07 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124244241117132731426512572124610167047',18866,'257',38.90,1,3,NULL),(15,2328348,'1990-06-13 00:00:00',2,10,10,2007,'F','N','OFICINAS','TUBARAO','SC','124242244215111231466332572112610164146',19239,'807',38.28,1,3,NULL),(15,2328364,'1989-04-05 00:00:00',4,1,12,2006,'M','N','CENTRO','PORTO UNIAO','SC','124241241212111721146629135112143267057',21621,'631',33.45,1,3,NULL),(15,2328380,'1989-04-25 00:00:00',4,1,12,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124162161215471431445812574124610166192',6237,'9998',58.57,1,3,NULL),(15,2328399,'1980-07-26 00:00:00',3,1,12,1999,'M','N','PANTANAL','FLORIANOPOLIS','SC','224244247437134422337541415122133214045',21012,'9999',34.83,1,3,NULL),(15,2328402,'1990-04-02 00:00:00',2,3,12,2007,'M','N','CENTRO','ITAPEMA','SC','124241243312151432446611585124610138187',NULL,'1119',28.73,1,3,NULL),(15,2328410,'1986-07-15 00:00:00',4,1,12,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241217173751668933592121231028177',17351,'262',41.31,1,3,NULL),(15,2328429,'1991-06-12 00:00:00',4,1,12,2008,'M','S','CENTRO','NOVA ESPERANCA DO SUDOESTE','PR','116242161347151751469911575112610167182',NULL,'807',44.51,1,3,NULL),(15,2328445,'1988-04-11 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215122431466813235114610122187',17919,'270',40.46,1,3,NULL),(15,2328453,'1987-05-12 00:00:00',4,10,12,2005,'F','N','SÃO CRISTÓVÃO','GUARAPUAVA','PR','116163161417151451343632575325143264177',11128,'9998',50.26,1,3,NULL),(15,2328461,'1990-11-16 00:00:00',4,2,12,2007,'M','N','CENTRO','CANOINHAS','SC','124241242117141441469711595124610167092',20456,'143',35.95,1,3,NULL),(15,2328470,'1988-01-24 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124242241215111431328331595122610117077',NULL,'1011',0.00,1,3,NULL),(15,2328496,'1959-06-29 00:00:00',5,1,12,1978,'F','N','ESTREITO','FLORIANOPOLIS','SC','224241248127132211442213272112610163187',NULL,'520',0.00,1,3,NULL),(15,2328500,'1989-01-13 00:00:00',4,1,12,2007,'M','N','MAR GROSSO','LAGUNA','SC','124242241337151751338729392311610167027',15080,'9997',44.70,1,3,NULL),(15,2328518,'1990-09-26 00:00:00',4,1,12,2008,'M','S','JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC','124242241217151231467813142114610122017',NULL,'270',51.84,1,3,NULL),(15,2328526,'1989-12-08 00:00:00',4,6,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215111531338627576224610127012',NULL,'1038',0.00,1,3,NULL),(15,2328534,'1986-09-27 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124203247345371232568711495114610167013',17661,'977',40.86,1,3,NULL),(15,2328542,'1990-03-01 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217111411585823572124610147017',3161,'262',65.67,2,1,2),(15,2328550,'1983-04-24 00:00:00',4,1,12,2000,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241215575431438833342121230228047',12371,'9997',48.47,1,3,NULL),(15,2328569,'1988-04-21 00:00:00',4,1,12,2005,'M','N','INGLESES','FLORIANOPOLIS','SC','124242241236154431448813575124221467115',3927,'9997',63.66,1,3,NULL),(15,2328577,'1991-09-09 00:00:00',4,1,12,2008,'F','S','ABRAAO','FLORIANOPOLIS','SC','124242241215111431489933575122610121147',NULL,'262',36.70,1,3,NULL),(15,2328585,'1977-12-10 00:00:00',4,1,12,1994,'M','N','CENTRO','FLORIANOPOLIS','SC','624252251417152711256742422125121467057',3856,'9998',63.84,1,3,NULL),(15,2328593,'1988-11-06 00:00:00',4,1,11,2005,'F','N','GOIABEIRAS','VITORIA','ES','108082081217271431378821315114610161143',5037,'9998',61.02,1,3,NULL),(15,2328631,'1988-07-29 00:00:00',4,1,12,2005,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217472752136829595114133161185',4803,'269',61.51,1,3,NULL),(15,2328640,'1980-06-11 00:00:00',4,1,12,1999,'F','N','FORQUILINHAS','SAO JOSE','SC','124241241135372431221344142233610136097',18146,'309',40.08,3,2,1),(15,2328658,'1990-11-13 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124242241215121431349814575122610127112',17688,'270',40.81,1,3,NULL),(15,2328666,'1988-07-27 00:00:00',2,1,12,2006,'M','N','PASSA VINTE','PALHOCA','SC','124244241215112431448851245122610158172',7026,'1011',57.11,1,3,NULL),(15,2328674,'1980-09-25 00:00:00',2,1,12,1998,'F','N','PANTANAL','FLORIANOPOLIS','SC','124244241417274431256642324122230218117',15287,'272',44.42,1,3,NULL),(15,2328682,'1986-03-28 00:00:00',4,1,12,2003,'M','N','CHACARA DAS PEDRAS','PORTO ALEGRE','RS','120202201216272421439911475224240237057',NULL,'9998',0.00,1,3,NULL),(15,2328704,'1992-05-12 00:00:00',4,1,12,2007,'M','N','SUMARÉ','RIO DO SUL','SC','124242241216111431336823572124610125092',5000,'654',61.08,1,3,NULL),(15,2328712,'1991-10-16 00:00:00',2,1,10,2008,'M','S','COQUEIROS','FLORIANOPOLIS','SC','124242241215111431428934432124610127042',NULL,'270',39.12,1,3,NULL),(15,2328720,'1990-08-10 00:00:00',4,6,12,2007,'M','N','BOMBAS','BOMBINHAS','SC','124201241135111431333324346214610167057',18407,'1089',39.63,1,3,NULL),(15,2328747,'1985-06-22 00:00:00',4,1,12,2002,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124244241217454711469813572122221444097',2906,'270',66.43,1,3,NULL),(15,2328763,'1990-04-10 00:00:00',2,6,11,2007,'F','N','JARDIM ICARAI','BARRA VELHA','SC','124241241215111431423312572124610133097',NULL,'389',0.00,1,3,NULL),(15,2328771,'1988-12-06 00:00:00',4,1,12,2006,'M','N','PITANGUEIRAS','GUARUJA','SP','125252251236231711366824485114610146187',NULL,'9998',0.00,4,3,NULL),(15,2328780,'1981-05-18 00:00:00',4,1,12,1998,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124132131212151751148841415122341467175',13761,'9998',46.53,1,3,NULL),(15,2328798,'1987-01-25 00:00:00',4,1,6,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241115132431326823141124610127037',22100,'739',31.93,2,3,NULL),(15,2328801,'1989-05-07 00:00:00',2,1,12,2007,'M','N','CENTRO','PANAMBI','RS','120202201312371441468914321341610167162',13597,'9998',46.75,1,3,NULL),(15,2328810,'1990-09-08 00:00:00',2,4,12,2007,'F','N','CENTRO','RODEIO BONITO','RS','120201201116131431446634342122610124147',NULL,'9998',17.36,1,2,1),(15,2328828,'1972-01-16 00:00:00',4,1,12,1988,'F','N','JOSÉ MENDES','FLORIANOPOLIS','SC','624212214217134431236643331124133123177',NULL,'9998',0.00,1,3,NULL),(15,2328836,'1987-05-08 00:00:00',2,1,12,2004,'F','N','PANTANAL','FLORIANOPOLIS','SC','124244241217154521267527446123123031097',18515,'272',39.45,1,3,NULL),(15,2328844,'1961-07-17 00:00:00',4,1,12,1978,'F','N','CENTRO','FLORIANOPOLIS','SC','524242246217132731556649212122322666192',8816,'976',53.98,1,3,NULL),(15,2328852,'1989-06-21 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242247547271331576724575112610167047',15771,'9999',43.72,1,3,NULL),(15,2328860,'1990-04-09 00:00:00',2,1,12,2007,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241146131232434413395124610137057',NULL,'1097',19.03,1,3,NULL),(15,2328879,'1981-03-12 00:00:00',4,1,12,1999,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','101012011111111111111111111111110111011',13144,'298',47.40,1,3,NULL),(15,2328887,'1990-01-30 00:00:00',4,3,12,2006,'M','N','REAL PARQUE','SAO JOSE','SC','124204201136131431523711212224610167147',11072,'9998',50.35,1,3,NULL),(15,2328909,'1987-07-21 00:00:00',4,1,7,2007,'M','N','BRIGADEIRO FARIA LIM','INDAIATUBA','SP','125136137146131441328314241223240266152',NULL,'9999',0.00,1,3,NULL),(15,2328925,'1967-07-10 00:00:00',2,1,2,1991,'M','N','COQUEIROS','FLORIANOPOLIS','SC','224211207636152711454413335112120227047',9585,'9999',52.61,1,3,NULL),(15,2328933,'1985-09-11 00:00:00',4,6,12,2003,'M','N','ITAQUERA','SAO PAULO','SP','125252251217551131335974473125610124047',5168,'9998',60.77,1,3,NULL),(15,2328941,'1990-03-30 00:00:00',2,1,12,2007,'F','N','DANIELA','FLORIANOPOLIS','SC','124243241215131421443331582124610117052',NULL,'1048',21.09,1,3,NULL),(15,2328968,'1989-07-06 00:00:00',4,8,12,2006,'M','N','BAEPENDI','JARAGUA DO SUL','SC','124242241213372431466833575122233237012',9716,'424',52.40,1,3,NULL),(15,2328976,'1988-03-06 00:00:00',4,8,12,2005,'F','N','SANTA FÉ','CAMPO GRANDE','MS','112122121216572731569914574112610127147',205,'9998',79.86,1,3,NULL),(15,2328984,'1984-02-13 00:00:00',2,1,7,2002,'F','N','SERRARIA','SAO JOSE','SC','124243247426234411433619282124132864097',19019,'9999',38.64,1,3,NULL),(15,2328992,'1981-09-20 00:00:00',4,1,12,1998,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124202208241131751445819282122230224117',NULL,'9998',21.54,1,3,NULL),(15,2329000,'1989-01-30 00:00:00',2,1,11,2006,'F','N','PICADAS DO SUL','SAO JOSE','SC','124242241215212431436634442124610135077',17944,'723',40.41,2,3,NULL),(15,2329018,'1972-04-17 00:00:00',4,1,12,1989,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124122121216472431258841415122320432147',2953,'9998',66.29,1,3,NULL),(15,2329026,'1966-05-14 00:00:00',4,1,6,1983,'M','N','ESTREITO','FLORIANOPOLIS','SC','224244246117213712464449431122331467067',NULL,'306',0.00,1,3,NULL),(15,2329042,'1990-06-12 00:00:00',4,1,12,2007,'F','N','ZONA SETE','MARINGA','PR','116162161216271431469814572122610166092',3528,'9998',64.69,1,3,NULL),(15,2329050,'1989-06-30 00:00:00',4,1,12,2006,'M','N','VILA JACUÍ','SAO PAULO','SP','125252256237471731556619571124610128042',9908,'9998',52.08,1,3,NULL),(15,2329069,'1989-07-04 00:00:00',4,1,12,2006,'M','N','VILA ÁUREA','POA','SP','125252251215471431446639575122610124082',18476,'9998',39.53,1,3,NULL),(15,2329085,'1988-02-07 00:00:00',4,1,12,2005,'M','N','CENTRO','CAXIAS DO SUL','RS','120202201116571441458932345112141064182',5773,'9998',59.52,1,3,NULL),(15,2329093,'1990-08-19 00:00:00',2,2,12,2007,'F','N','CENTRO','NOVA TRENTO','SC','124241241216121731438632575122610117182',19086,'981',38.54,1,3,NULL),(15,2329107,'1963-03-09 00:00:00',4,1,11,1982,'M','N','COQUEIROS','FLORIANOPOLIS','SC','524241246116154421174344441132120726143',10449,'306',51.27,1,3,NULL),(15,2329115,'1989-06-10 00:00:00',2,1,12,2007,'M','N','TAPERA','FLORIANOPOLIS','SC','124241247227131411356413572224610155143',NULL,'9999',22.60,1,3,NULL),(15,2329123,'1986-11-16 00:00:00',2,9,12,2003,'F','N','FAZENDINHA','CURITIBA','PR','116161161111151751424419445124242665147',NULL,'9998',0.00,1,2,1),(15,2329131,'1988-02-21 00:00:00',4,1,12,2006,'M','N','VILA ANDRADE','SAO PAULO','SP','125252257217151431458611572122610167123',NULL,'9999',0.00,1,3,NULL),(15,2329140,'1986-08-24 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','624241241415151711253372492125610161187',15524,'932',44.10,1,3,NULL),(15,2329158,'1990-02-08 00:00:00',4,1,12,2007,'M','N','SANTO ANTÔNIO LISBOA','FLORIANOPOLIS','SC','124242241214112331458923575132610167077',14435,'270',45.52,1,3,NULL),(15,2329166,'1990-12-06 00:00:00',4,4,12,2007,'M','N','PRIMEIRO DE MAIO','DIONISIO CERQUEIRA','SC','124241241147141432433314445123610137052',NULL,'245',0.00,1,3,NULL),(15,2329182,'1984-12-17 00:00:00',2,1,12,2003,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124253251437542411638729115124142724147',12910,'9998',47.70,4,3,NULL),(15,2329190,'1990-03-21 00:00:00',4,1,12,2007,'M','N','JARDIM GUANABARA','CAMPINAS','SP','125252251217111731389934575122610161042',NULL,'9998',0.00,1,3,NULL),(15,2329204,'1987-11-14 00:00:00',4,8,12,2004,'M','N','SUÍÇA','SAO JOSE DOS PINHAIS','PR','116161161146271441436634145224241527112',16575,'9998',42.48,1,3,NULL),(15,2329212,'1988-01-08 00:00:00',2,4,11,2004,'M','N','CENTRO','CASCAVEL','PR','116114201215471411143614572124610167067',6269,'9998',58.51,1,3,NULL),(15,2329239,'1990-05-14 00:00:00',4,1,11,2006,'M','N','JURERÊ','FLORIANOPOLIS','SC','124282201217471711375816215124610135187',21062,'9998',34.74,1,3,NULL),(15,2329247,'1990-09-20 00:00:00',4,3,12,2008,'F','S','CANTRO','BALNEARIO CAMBORIU','SC','124242241117111231489914595112610114092',NULL,'9997',46.60,1,3,NULL),(15,2329255,'1990-12-21 00:00:00',4,1,11,2008,'M','S','JURERE','FLORIANOPOLIS','SC','124242241217111732448832575112610167117',NULL,'270',36.41,3,3,NULL),(15,2329263,'1974-08-01 00:00:00',4,1,12,1995,'F','N','BELA VISTA','PALHOCA','SC','124252257317131451536929482314141328142',NULL,'9999',0.00,1,3,NULL),(15,2329271,'1962-08-11 00:00:00',4,1,5,1980,'M','N','ST ANTONIO DE LISBOA','FLORIANOPOLIS','SC','124244281317131732327929285112241466147',9121,'9998',53.43,1,3,NULL),(15,2329280,'1986-05-07 00:00:00',2,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','124244241417135411536614445122610124147',14399,'943',45.57,1,3,NULL),(15,2329298,'1990-06-25 00:00:00',4,9,11,2006,'M','N','COPACABANA','LAGES','SC','124242241211431151638111581125610118087',NULL,'499',0.00,1,3,NULL),(15,2329301,'1990-11-01 00:00:00',4,9,12,2008,'F','S','CENTRO','LAGES','SC','124242241214151431468819472125610132092',NULL,'688',44.36,1,3,NULL),(15,2329310,'1988-02-25 00:00:00',2,1,6,2006,'F','N','BARREIROS','SAO JOSE','SC','124243241321231731636623495124610112015',NULL,'300',13.32,4,1,2),(15,2329328,'1984-03-30 00:00:00',4,1,12,2002,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124252251216151731467744245122140267032',20483,'9998',35.91,1,3,NULL),(15,2329336,'1991-12-15 00:00:00',4,6,12,2008,'F','S','RESSACADA','ITAJAI','SC','124244241214111441669914572122610114143',NULL,'9997',44.44,1,3,NULL),(15,2329344,'1965-08-02 00:00:00',4,1,12,1983,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124201201111141711146944445122340212112',13422,'9998',47.00,1,3,NULL),(15,2329352,'1990-04-20 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124242241417111411469833575124610124012',14363,'270',45.61,1,3,NULL),(15,2329360,'1989-04-14 00:00:00',4,1,11,2006,'M','N','CENTRO','CAMPO VERDE','MT','111112111216271431566712595124610127052',NULL,'9998',0.00,1,3,NULL),(15,2329387,'1984-01-03 00:00:00',4,10,7,2001,'M','N','CENTRO','IMBITUBA','SC','124243246316152731488513335112121464042',3384,'306',65.05,1,3,NULL),(15,2329395,'1988-11-18 00:00:00',2,4,11,2007,'F','N','KOLLER','ERECHIM','RS','120201201235111652436632575122613234012',NULL,'9998',19.02,1,3,NULL),(15,2329409,'1989-12-26 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124202241215112431548714575122610117032',20317,'270',36.21,1,3,NULL),(15,2329425,'1991-08-07 00:00:00',4,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124242241212111411558634575124610127082',17020,'1011',41.85,1,3,NULL),(15,2329433,'1988-04-14 00:00:00',2,1,12,2005,'F','N','CENTRO','BIGUACU','SC','124244248216214731456652495122230317077',NULL,'1022',0.00,1,3,NULL),(15,2329441,'1989-06-19 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241127131411428341116344610147017',17001,'307',41.88,1,2,1),(15,2329450,'1988-09-04 00:00:00',2,1,12,2006,'M','N','INDEMPENDENCIA','TAUBATE','SP','125252251216261431338933145121610124112',22163,'9998',31.67,4,3,NULL),(15,2329468,'1975-01-24 00:00:00',2,1,6,2000,'F','N','CENTRO','FLORIANOPOLIS','SC','224243247337131422231154142234610164147',NULL,'237',16.29,1,3,NULL),(15,2329476,'1991-06-27 00:00:00',4,6,12,2008,'F','S','PRAIA DOS AMORES','BALNEARIO CAMBORIU','SC','124242243215111431458312575114610164197',NULL,'44',35.90,4,3,NULL),(15,2329492,'1983-03-23 00:00:00',4,1,12,2000,'M','N','CAMPO GRANDE','SANTOS','SP','125252251217371431548819485114342032047',9217,'9998',53.25,1,3,NULL),(15,2329506,'1955-03-24 00:00:00',2,1,11,1984,'M','N','TAPERA','FLORIANOPOLIS','SC','224241247227143722444143235124121134185',NULL,'9999',29.29,1,3,NULL),(15,2329530,'1966-07-14 00:00:00',3,1,12,1991,'F','N','PANTANAL','FLORIANOPOLIS','SC','224091097437131711522359272114610162182',8660,'9999',54.25,1,3,NULL),(15,2329549,'1990-05-10 00:00:00',4,6,11,2007,'M','N','SÃO VICENTE','ITAJAI','SC','124242248217161331588832572124610124181',16192,'394',43.08,1,3,NULL),(15,2329557,'1988-08-25 00:00:00',4,3,12,2007,'M','N','CASTELO BRANCO','ITAPEMA','SC','124204241412111431466471272124610122042',19016,'403',38.64,1,3,NULL),(15,2329573,'1981-08-30 00:00:00',2,1,12,2002,'F','N','CARIANOS','FLORIANOPOLIS','SC','224241241112374431233244342334610164112',NULL,'307',18.51,1,2,1),(15,2329581,'1986-10-15 00:00:00',4,1,12,2003,'M','N','GETULIO VARGAS','DOM PEDRITO','RS','120201208215471731533712375124141328057',NULL,'9998',0.00,1,3,NULL),(15,2329590,'1989-12-07 00:00:00',4,8,12,2007,'M','N','GLORIA','JOINVILLE','SC','124243246215211631643334573111610167182',15937,'1006',43.48,1,3,NULL),(15,2329603,'1989-01-28 00:00:00',2,1,12,2007,'M','N','CENTRO','GETULIO VARGAS','RS','120203201315371431564753572112613262047',NULL,'9998',0.00,1,3,NULL),(15,2329620,'1988-06-26 00:00:00',4,8,12,2005,'M','N','JUVEVE','CURITIBA','PR','116162161215572431588811575124610167043',NULL,'9998',0.00,3,3,NULL),(15,2329638,'1989-12-10 00:00:00',4,9,12,2007,'M','N','CENTRO','IBIACA','RS','120201201117161432426512422325610128093',NULL,'9998',0.00,1,2,1),(15,2329670,'1986-04-26 00:00:00',4,1,12,2003,'F','N','SANTANA','SAO PAULO','SP','125252251217151431358831475112240243127',NULL,'9998',0.00,1,3,NULL),(15,2329689,'1991-08-28 00:00:00',4,1,12,2008,'M','S','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241215111431358821215124610114147',NULL,'270',47.53,1,3,NULL),(15,2329697,'1979-04-08 00:00:00',2,1,12,1999,'M','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124251257426133431128641211324143218052',14986,'9998',44.81,1,3,NULL),(15,2329700,'1990-07-23 00:00:00',4,8,12,2007,'M','N','CENTRO','SAO BENTO DO SUL','SC','124243241417271411438613375112610142121',4479,'974',62.31,1,3,NULL),(15,2329719,'1983-02-08 00:00:00',4,1,12,2000,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124224221214132441224649295321220764017',9482,'9998',52.81,1,3,NULL),(15,2329727,'1990-09-09 00:00:00',4,2,11,2007,'M','N','VELHA','BLUMENAU','SC','124242241217111431586532575112610112187',16799,'909',42.17,1,3,NULL),(15,2329735,'1989-02-21 00:00:00',2,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124244241215472431353319575124610126117',1401,'270',71.64,1,3,NULL),(15,2329743,'1990-05-29 00:00:00',4,3,12,2007,'F','N','CENTRO','COLIDER','MT','111113111146151521445633245122610127077',NULL,'9998',0.00,1,3,NULL),(15,2329751,'1988-01-22 00:00:00',4,1,6,2006,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124072241411473431557931571124233243122',11447,'9997',49.78,1,3,NULL),(15,2329760,'1989-04-18 00:00:00',4,1,12,2006,'F','N','SUDOESTE','BRASILIA','DF','107072071217471441278823574122610158187',20047,'9998',36.73,4,3,NULL),(15,2329778,'1981-07-23 00:00:00',4,1,11,1998,'M','N','TRINDADE','FLORIANOPOLIS','SC','224244245437223411349812331122131024062',12357,'1017',48.49,4,3,NULL),(15,2329786,'1957-09-02 00:00:00',2,1,12,1974,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','524204201314141521324771412114342655095',20811,'9998',35.25,1,3,NULL),(15,2329794,'1979-01-24 00:00:00',2,1,3,1998,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124244247416154421148741115121221354137',NULL,'269',0.00,1,3,NULL),(15,2329808,'1992-03-05 00:00:00',4,1,12,2008,'M','S','ESTREITO','FLORIANOPOLIS','SC','124242248212111332378733572112610137052',NULL,'270',43.02,1,3,NULL),(15,2329816,'1990-12-12 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124243241215111431226639595125610127052',NULL,'1076',23.41,1,3,NULL),(15,2329832,'1980-06-17 00:00:00',4,1,12,1997,'M','N','KOBRASOL','SAO JOSE','SC','124241241123133431133311445322130722017',16281,'523',42.93,1,2,1),(15,2329840,'1991-08-29 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241217111311338812296114610117117',NULL,'270',35.80,1,3,NULL),(15,2329883,'1981-07-17 00:00:00',4,2,12,1999,'M','N','SANTANA','SAO PAULO','SP','125242246216375711123344245135221444042',NULL,'494',0.00,1,3,NULL),(15,2329891,'1988-06-16 00:00:00',2,4,11,2005,'M','N','SANTO ANTÔNIO','PORTO ALEGRE','RS','120202201215471431366824572114241722142',5059,'9998',60.98,1,3,NULL),(15,2329905,'1973-01-13 00:00:00',3,1,12,1992,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','224251251127135731253343135234522265027',16744,'9998',42.26,2,2,1),(15,2329913,'1960-05-08 00:00:00',4,8,12,1977,'F','N','CENTRO','FLORIANOPOLIS','SC','224242241136154731358454482112320336197',4120,'307',63.15,1,3,NULL),(15,2329921,'1991-04-01 00:00:00',4,6,11,2008,'F','S','DAS NAÇÕES','BALNEARIO CAMBORIU','SC','124244241216111721238923575114610122117',NULL,'44',19.95,1,3,NULL),(15,2329930,'1990-05-30 00:00:00',4,1,12,2007,'M','N','CENTRO','ARAPONGAS','PR','116162161216121431368929575122610124092',19119,'9999',38.49,3,3,NULL),(15,2329948,'1990-11-19 00:00:00',2,1,12,2007,'M','N','PASSA VINTE','PALHOCA','SC','124241241117141331426613241124610114142',NULL,'592',22.15,1,3,NULL),(15,2329956,'1989-10-04 00:00:00',2,1,12,2007,'F','N','BARRA DO ARIRIU','PALHOCA','SC','124243241116151441636833575124610166051',9448,'592',52.86,1,3,NULL),(15,2329964,'1990-08-27 00:00:00',2,1,12,2007,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124242241215112721366932592114610117115',19573,'1022',37.67,1,3,NULL),(15,2329980,'1990-01-08 00:00:00',2,1,11,2007,'M','N','VILA OLIMPIA','SAO PAULO','SP','125252251215111411378734371122610167152',16022,'9998',43.35,1,3,NULL),(15,2329999,'1990-01-14 00:00:00',2,1,12,2007,'M','N','ARIRIÚ','PALHOCA','SC','124241241127131312448634282111610167057',NULL,'593',0.00,1,3,NULL),(15,2330008,'1991-12-09 00:00:00',4,1,12,2008,'M','S','FERRAZ','GAROPABA','SC','124242241215111431468832572114610164142',NULL,'362',50.16,1,3,NULL),(15,2330016,'1990-08-28 00:00:00',4,6,12,2007,'M','N','JARDIM BONFIGLIOLI','SAO PAULO','SP','125254258137271431457819575124610131147',NULL,'9998',0.00,1,3,NULL),(15,2330024,'1989-01-28 00:00:00',4,1,12,2006,'M','N','VILA HELENA','JUNDIAI','SP','125252251237471431478834575122610137054',4142,'9998',63.08,1,3,NULL),(15,2330032,'1990-05-11 00:00:00',2,1,11,2007,'F','N','SUMARÉ','RIO DO SUL','SC','124242241215111431458939572122610163072',21025,'654',34.81,1,3,NULL),(15,2330067,'1977-06-14 00:00:00',4,1,12,1996,'M','N','TRINDADE','FLORIANOPOLIS','SC','224201206117155731363343135122122432197',2958,'9998',66.28,1,2,1),(15,2330075,'1988-10-14 00:00:00',4,1,11,2006,'M','N','SANTA CRUZ','RIBEIRAO PRETO','SP','125252251217371731469814571122610127047',3684,'9998',64.27,1,3,NULL),(15,2330083,'1989-07-31 00:00:00',4,1,12,2006,'M','N','JARDIM VITÓRIA RÉGIA','SAO JOSE DO RIO PRETO','SP','125251251217471431458714575121610167186',1392,'9998',71.70,1,3,NULL),(15,2330091,'1989-10-11 00:00:00',4,1,11,2006,'M','N','DUQUE DE CAXIAS','CUIABA','MT','111112111217371731588811575122241557042',17501,'9998',41.09,1,3,NULL),(15,2330121,'1989-03-27 00:00:00',4,3,11,2007,'M','N','SENHORA FÁTIMA','RIO BRANCO DO SUL','PR','116162161346371511536219381224610124052',20272,'9998',36.28,1,3,NULL),(15,2330130,'1979-09-16 00:00:00',2,1,3,2005,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','224242247337141431363359182112610113187',NULL,'9999',20.31,1,3,NULL),(15,2330148,'1989-12-26 00:00:00',1,2,12,2007,'M','N','CENTRO','POMERODE','SC','124242241216111431458811372112610167122',NULL,'624',29.82,1,3,NULL),(15,2330156,'1990-03-10 00:00:00',4,5,12,2007,'F','N','AURORA','ICARA','SC','124243241335131431547611182224610135142',13623,'1005',46.72,1,3,NULL),(15,2330164,'1986-11-11 00:00:00',4,1,12,2003,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241115131431322325491144610136097',NULL,'239',0.00,4,1,1),(15,2330172,'1991-02-08 00:00:00',4,1,11,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124242241212111251588614492112610147041',NULL,'262',34.51,1,3,NULL),(15,2330202,'1989-09-27 00:00:00',4,1,11,2006,'M','N','JD PROENÇA','CAMPINAS','SP','125252251215371431268711275112610167034',7613,'9998',56.01,1,3,NULL),(15,2330210,'1991-07-19 00:00:00',4,6,12,2008,'F','S','VILA OPERÁRIA','ITAJAI','SC','124242161216111431479934475122610137182',NULL,'1057',52.54,1,3,NULL),(15,2330237,'1989-04-07 00:00:00',2,3,12,2006,'F','N','JARDIM EUROPA','LONDRINA','PR','116222221215571731455632572114610164017',17745,'9998',40.74,1,3,NULL),(15,2330245,'1987-01-08 00:00:00',4,1,12,2004,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124242241217372431458619415122133227187',NULL,'299',0.00,1,3,NULL),(15,2330253,'1989-12-27 00:00:00',4,1,12,2006,'F','N','SANTANA','PORTO ALEGRE','RS','120202201211271431379823575112610162127',13937,'9998',46.25,1,3,NULL),(15,2330261,'1990-04-19 00:00:00',2,8,12,2007,'M','N','CENTRO','GUARATUBA','PR','116161161116161431533314395121610137057',NULL,'9998',20.83,4,3,NULL),(15,2330288,'1986-09-09 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124072241215153741388823575122231036192',NULL,'270',15.89,1,3,NULL),(15,2330318,'1980-10-04 00:00:00',2,1,12,1999,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241248147142741346344345134610117067',14706,'739',45.14,4,3,NULL),(15,2330326,'1983-12-07 00:00:00',2,8,12,2002,'F','N','ARROIO DA MANTEIGA','SAO LEOPOLDO','RS','520241241126131431233349395124610138052',NULL,'572',0.00,1,2,1),(15,2330334,'1988-05-12 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241217272431459613585112131028092',13124,'270',47.43,1,3,NULL),(15,2330350,'1966-04-27 00:00:00',2,1,12,1984,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','624241241121155721464343132132140316181',NULL,'641',0.00,1,3,NULL),(15,2330369,'1989-10-05 00:00:00',2,1,12,2007,'F','N','BARRA DO ARIRIU','PALHOCA','SC','124243241116151411636433535124610167041',22431,'592',30.01,4,3,NULL),(15,2330377,'1989-08-21 00:00:00',2,9,12,2006,'F','N','CORAL','LAGES','SC','124242241212372431557912592122133267012',6080,'499',58.93,1,3,NULL),(15,2330385,'1991-02-26 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242231111111731369922342112610134042',NULL,'262',13.20,1,3,NULL),(15,2330393,'1990-11-21 00:00:00',4,1,11,2007,'M','N','FÁTIMA','FLORIANOPOLIS','SC','624242241216111732336413595114610124043',NULL,'1036',23.22,4,3,NULL),(15,2330407,'1987-02-15 00:00:00',2,1,12,2004,'F','N','CAMPINAS','SAO JOSE','SC','124241241432343711323679492232610127097',13357,'649',47.11,1,3,NULL),(15,2330415,'1954-12-22 00:00:00',4,1,12,1972,'M','N','COQUEIROS','FLORIANOPOLIS','SC','224241241117133421576648482112321464097',7750,'267',55.79,1,2,1),(15,2330431,'1991-04-16 00:00:00',4,1,11,2008,'F','S','BOM ABRIGO','FLORIANOPOLIS','SC','124242241215121731355561476124610143142',NULL,'1022',0.00,1,3,NULL),(15,2330440,'1989-04-30 00:00:00',2,1,11,2006,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124244241217132431327614175112610124142',NULL,'102',0.00,1,3,NULL),(15,2330458,'1985-11-08 00:00:00',4,8,12,2003,'M','N','VILA IMPERIAL','SAO JOSE DO RIO PRETO','SP','125252251217271231448811575122142264047',NULL,'9998',0.00,1,3,NULL),(15,2330482,'1986-10-27 00:00:00',4,8,11,2005,'M','N','JARDIM DO PRADO','ARACATUBA','SP','125252251216571431358819571122610164097',10925,'9998',50.58,1,3,NULL),(15,2330504,'1968-09-23 00:00:00',5,1,2,1992,'M','N','BARREIROS','SAO JOSE','SC','224241246117131411244342421133610168142',NULL,'306',30.95,1,2,1),(15,2330512,'1990-09-21 00:00:00',2,2,12,2007,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124244248314111431456614375124610137182',NULL,'1018',23.47,1,3,NULL),(15,2330520,'1991-07-26 00:00:00',4,1,12,2007,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','124242241217111731468834572122610167122',14065,'262',46.08,1,3,NULL),(15,2330547,'1971-03-14 00:00:00',2,1,12,1999,'M','N','CAMPINAS','FLORIANOPOLIS','SC','124241241226142431656641111122332122092',22041,'272',32.13,1,3,NULL),(15,2330571,'1986-03-22 00:00:00',2,1,12,2003,'M','N','ESTREITO','FLORIANOPOLIS','SC','124242241211115431369833221122231467162',NULL,'266',0.00,1,3,NULL),(15,2330598,'1990-08-26 00:00:00',4,8,12,2007,'M','N','BIGORRILHO','CURITIBA','PR','116162161215111711489931471122610167172',NULL,'9998',0.00,1,3,NULL),(15,2330601,'1985-02-26 00:00:00',2,1,12,2002,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124244241117135421358829442114610166177',16946,'298',41.94,1,3,NULL),(15,2330610,'1988-11-29 00:00:00',4,1,12,2007,'F','N','CAMOBI','SANTA MARIA','RS','120201201117131411336613575124610126072',NULL,'9998',22.79,1,2,1),(15,2330628,'1990-09-18 00:00:00',4,1,12,2008,'M','S','CENTRO','BALNEARIO CAMBORIU','SC','124242241217151531568832245122610157042',NULL,'44',31.46,1,3,NULL),(15,2330636,'1962-08-01 00:00:00',4,1,12,1980,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124243246321134431435541311234123247062',NULL,'303',0.00,1,3,NULL),(15,2330652,'1982-04-24 00:00:00',2,1,12,2000,'M','N','BARREIROS','SAO JOSE','SC','124211211217132431137544445212610117047',15825,'9998',43.64,2,1,2),(15,2330660,'1988-04-03 00:00:00',4,1,12,2007,'M','N','COLINAS S FRANCISCO','SAO PAULO','SP','125252251215311731447611575122610112101',NULL,'9998',0.00,1,3,NULL),(15,2330679,'1988-05-27 00:00:00',2,10,11,2005,'F','N','CENTRO','TUBARAO','SC','124242241214372411438816375112132627072',NULL,'807',0.00,1,3,NULL),(15,2330695,'1990-06-07 00:00:00',4,6,11,2007,'M','N','VILA MATHIAS','SANTOS','SP','125251251417131431458614575121610167017',NULL,'9998',0.00,1,3,NULL),(15,2330709,'1985-10-03 00:00:00',4,1,12,2004,'M','N','HIGIENOPOLIS','SAO PAULO','SP','125252251211112431438812371322610115012',13153,'9998',47.39,1,3,NULL),(15,2330725,'1986-01-12 00:00:00',2,1,11,2004,'M','N','JD ANCHIETA','FLORIANOPOLIS','SC','124243241111113411328712245121230764122',8980,'267',53.69,1,3,NULL),(15,2330733,'1946-09-26 00:00:00',2,3,11,1971,'M','N','NAÇÕES','BALNEARIO CAMBORIU','SC','524241247422174421425542422134331067042',NULL,'262',0.00,1,3,NULL),(15,2330750,'1988-07-12 00:00:00',4,6,12,2005,'F','N','SALSEIROS','ITAJAI','SC','124241241212152431447924372124232624147',NULL,'388',0.00,1,3,NULL),(15,2330776,'1989-10-26 00:00:00',4,5,12,2006,'F','N','CENTRO','ORLEANS','SC','124244241216112421437719575124232432097',2664,'581',67.14,1,3,NULL),(15,2330814,'1989-02-08 00:00:00',4,1,12,2007,'M','N','SANTO ANTONIO','ITUPORANGA','SC','124241248226111731426739315122610168052',NULL,'414',27.54,1,3,NULL),(15,2330849,'1987-03-21 00:00:00',4,4,12,2004,'F','N','INDEPENDÊNCIA','PORTO ALEGRE','RS','120202201216573751449914571125610146127',1770,'9998',70.10,1,3,NULL),(15,2330865,'1957-02-04 00:00:00',2,1,12,1980,'M','N','ESTREITO','FLORIANOPOLIS','SC','224241246122154731363349191132331027047',NULL,'306',0.00,1,3,NULL),(15,2330873,'1986-01-15 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215155751527637412112613264187',NULL,'270',43.00,1,3,NULL),(15,2330890,'1989-06-02 00:00:00',4,1,12,2006,'F','N','UBERABA','CURITIBA','PR','116162161215472431457714571122610166146',2256,'9998',68.40,1,3,NULL),(15,2330903,'1987-05-01 00:00:00',4,6,12,2004,'M','N','SÃO JUDAS','ITAJAI','SC','124242241232151731568614345123233227057',NULL,'388',0.00,1,3,NULL),(15,2330938,'1990-08-26 00:00:00',4,8,11,2008,'F','S','ANITA GARIBALDI','JOINVILLE','SC','124242241215111732548834584121610127077',NULL,'486',49.71,4,3,NULL),(15,2330946,'1989-05-22 00:00:00',2,1,12,2006,'M','N','MERCES','CURITIBA','PR','116162161217272431264929571122142862046',NULL,'9998',0.00,1,3,NULL),(15,2330954,'1989-06-12 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241216133441558611171121220717022',3681,'983',64.28,1,3,NULL),(15,2330970,'1989-06-15 00:00:00',4,1,11,2007,'M','N','ALTO DO PARQUE','SANTA ROSA','RS','120204201317121421578814575122610134182',8698,'9998',54.18,1,3,NULL),(15,2330989,'1988-12-01 00:00:00',4,8,12,2005,'F','N','ELTON VILLE','SOROCABA','SP','125252251436571711669911581125610168097',NULL,'9998',0.00,4,3,NULL),(15,2331004,'1987-02-06 00:00:00',4,6,12,2004,'M','N','MOGILAR','MOGI DAS CRUZES','SP','125252251216472451469933395122610162185',15525,'9998',44.10,1,3,NULL),(15,2331039,'1990-07-16 00:00:00',2,1,12,2007,'M','N','CENTRO','IMARUI','SC','124241241125161531526421312321610137177',19721,'356',37.38,4,2,1),(15,2331055,'1991-05-08 00:00:00',4,1,11,2008,'F','S','FLORESTA','SAO JOSE','SC','124242248235111731458734594114610123142',NULL,'270',20.78,1,3,NULL),(15,2331063,'1987-05-24 00:00:00',2,1,12,2006,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124202241217111711529912572124610113077',15927,'272',43.50,1,3,NULL),(15,2331101,'1991-01-24 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124242241215111711356413475112610144142',13166,'988',47.38,4,3,NULL),(15,2331144,'1982-10-26 00:00:00',4,1,12,1999,'M','N','CARANDÁ BOSQUE','CAMPO GRANDE','MS','112122121216151431388821572112610144182',NULL,'9998',0.00,1,3,NULL),(15,2331152,'1971-12-27 00:00:00',4,1,12,1988,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','224204201216151751386741415122342442092',7059,'9998',57.05,1,3,NULL),(15,2331187,'1990-10-20 00:00:00',4,4,12,2007,'F','N','JOÃO BATISTA TONIAL','XANXERE','SC','124243241335131431548611241125610121147',16820,'840',42.13,4,3,NULL),(15,2331195,'1990-02-13 00:00:00',4,1,12,2007,'F','N','SERTÃO DO IMARUIM','SAO JOSE','SC','124256251627151411446632292124610122047',21071,'9998',34.72,1,3,NULL),(15,2331217,'1968-07-23 00:00:00',4,1,12,1985,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','624241241122153411346153341124610123092',17096,'307',41.73,1,3,NULL),(15,2331241,'1978-11-11 00:00:00',4,1,12,1995,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124203246136374751466713335134320768197',NULL,'286',0.00,1,3,NULL),(15,2331268,'1991-09-21 00:00:00',4,1,12,2008,'M','S','CENTRO','FLORIANOPOLIS','SC','124244248417111432448719575122610127042',NULL,'270',51.66,1,3,NULL),(15,2331276,'1987-03-18 00:00:00',2,1,12,2004,'F','N','MANDAQUI','SAO PAULO','SP','125252254217573431457611572124610145073',7497,'9998',56.23,1,3,NULL),(15,2331292,'1990-01-28 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124242241217141431478813575112610167092',NULL,'499',30.70,1,3,NULL),(15,2331306,'1989-07-21 00:00:00',4,1,12,2006,'M','N','VILA IPIRANGA','PORTO ALEGRE','RS','120202201217351321289979591111242814042',NULL,'9998',0.00,1,3,NULL),(15,2331314,'1976-12-21 00:00:00',5,1,12,1993,'M','N','CAMPINAS','SAO JOSE','SC','124243241117273751453679195121431247047',NULL,'307',0.00,1,3,NULL),(15,2331330,'1987-05-22 00:00:00',2,1,10,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241111114411533832431112123213177',NULL,'267',31.38,1,3,NULL),(15,2331349,'1989-11-14 00:00:00',4,1,12,2007,'F','N','VISTA VERDE','SAO JOSE DOS CAMPOS','SP','125251251216111731467619585122610167057',NULL,'9998',0.00,1,3,NULL),(15,2331357,'1990-04-23 00:00:00',4,2,11,2007,'M','N','GARCIA','BLUMENAU','SC','124242248215121431538812321122610122042',10527,'9997',51.15,1,3,NULL),(15,2331381,'1990-06-18 00:00:00',2,3,12,2007,'F','N','DAS NAÇÕES','BALNEARIO CAMBORIU','SC','124243241215211431326631395124610126072',15232,'967',44.49,1,3,NULL),(15,2331390,'1978-11-29 00:00:00',2,1,11,1997,'F','N','JARDIM ELDORADO','PALHOCA','SC','524241243116132721623319491223130214141',NULL,'591',18.34,1,3,NULL),(15,2331411,'1979-06-11 00:00:00',4,1,11,2000,'F','N','TRINDADE','FLORIANOPOLIS','SC','224131131131231411334313241314610148172',18218,'9998',39.95,4,2,1),(15,2331420,'1982-01-28 00:00:00',4,1,12,2000,'F','N','PORTAO','CURITIBA','PR','116164166117371421456814295123241437017',3198,'9998',65.55,1,3,NULL),(15,2331446,'1984-08-11 00:00:00',3,6,12,2003,'M','N','FAZENDA','ITAJAI','SC','124244248417471441256921271124242836172',NULL,'402',27.59,1,3,NULL),(15,2331454,'1982-03-01 00:00:00',2,3,11,2002,'M','N','PEREQUE','PORTO BELO','SC','124242241211453441458939591122131467077',NULL,'446',6.50,1,3,NULL),(15,2331470,'1989-05-04 00:00:00',4,8,11,2006,'M','N','COSTA E SILVA','JOINVILLE','SC','124242246217471431456614375124131426182',3529,'1006',64.69,1,3,NULL),(15,2331497,'1991-10-16 00:00:00',4,1,12,2008,'M','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217151431569913331212610111192',NULL,'270',40.15,1,3,NULL),(15,2331500,'1991-10-12 00:00:00',4,10,11,2008,'F','S','TERMAS','GRAVATAL','SC','124242241215111411358831572124610127182',NULL,'807',38.27,1,3,NULL),(15,2331519,'1990-05-07 00:00:00',4,2,11,2007,'M','N','NAÇÕES','INDAIAL','SC','124244241215111231379914375112610124042',5657,'909',59.76,1,3,NULL),(15,2331578,'1990-08-28 00:00:00',4,1,12,2008,'M','S','PANTANAL','FLORIANOPOLIS','SC','124242248212171731356639595124610167067',NULL,'270',29.04,1,3,NULL),(15,2331608,'1991-04-01 00:00:00',4,10,12,2008,'M','S','CENTRO','TUBARAO','SC','124242241215111751346819585122610162057',NULL,'1120',32.67,1,3,NULL),(15,2331640,'1987-11-19 00:00:00',4,1,12,2004,'M','N','CENTRO','UBERABA','MG','113132131215572431479832572112610124017',12936,'9998',47.67,4,3,NULL),(15,2331659,'1981-02-20 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217152441458839412124230767092',NULL,'266',14.73,1,3,NULL),(15,2331667,'1989-03-20 00:00:00',4,1,12,2006,'M','N','JD GUARANI','CAMPINAS','SP','125254251216471451468811575112610168047',12984,'9998',47.62,1,3,NULL),(15,2331691,'1987-05-28 00:00:00',4,1,12,2004,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241214124431469813572124221424052',1522,'270',71.11,1,3,NULL),(15,2331748,'1990-05-13 00:00:00',4,1,12,2007,'M','N','PQ MAUÁ','TAUBATE','SP','125252251215271431436614575124610131054',NULL,'9998',0.00,1,3,NULL),(15,2800004,'1986-04-22 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124201248116271421115344345324610127057',18046,'289',40.23,1,2,1),(15,2800012,'1984-06-11 00:00:00',2,1,7,2003,'M','N','INGLESES','FLORIANOPOLIS','SC','124241248111333751318621281314610167111',19282,'280',38.19,1,3,NULL),(15,2800020,'1982-09-19 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241122333431525535242334130224145',20785,'334',35.33,1,2,1),(15,2800039,'1975-04-05 00:00:00',2,1,12,1994,'F','N','SERRARIA','SAO JOSE','SC','124241241127372421323643336334610166142',21458,'284',33.82,1,2,1),(15,2800047,'1975-11-13 00:00:00',4,1,11,1998,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241127471431524621445344610511147',NULL,'275',14.54,2,1,1),(15,2800055,'1978-04-28 00:00:00',2,1,12,1998,'F','N','VARGEM BOM JESUS','FLORIANOPOLIS','SC','124201203124431731524344341334610127187',NULL,'9998',26.33,1,2,1),(15,2800063,'1970-10-12 00:00:00',2,1,12,1993,'F','N','SERRINHA','FLORIANOPOLIS','SC','224241248126341711211159491344610116143',NULL,'297',23.78,1,2,1),(15,2800071,'1972-08-08 00:00:00',2,1,12,1992,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','224251241126372421423344245134610122147',17215,'289',41.54,1,2,1),(15,2800080,'1986-07-29 00:00:00',4,1,12,2005,'F','N','RATONES','FLORIANOPOLIS','SC','124241241122471431433511482114610144047',19053,'922',38.58,1,2,1),(15,2800098,'1989-11-05 00:00:00',4,1,12,2006,'M','N','SERRARIA','SAO JOSE','SC','124241241142471711521528575344610115181',14409,'730',45.56,4,2,1),(15,2800101,'1989-11-21 00:00:00',2,1,12,2006,'M','N','PACHECO','PALHOCA','SC','124241241225472431626311342314610167147',11414,'262',49.82,1,3,NULL),(15,2800110,'1974-09-30 00:00:00',2,1,6,2003,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241243142411431121344141124610112177',20908,'283',35.07,1,2,1),(15,2800128,'1985-11-05 00:00:00',2,1,12,2005,'F','N','ARMAÇÃO PÂNTANO SUL','FLORIANOPOLIS','SC','124241241117371411426344241224610126147',17307,'307',41.39,1,2,1),(15,2800136,'1989-08-18 00:00:00',2,1,12,2006,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124241241116472731446679345124610137047',15198,'307',44.54,1,2,1),(15,2800144,'1989-06-06 00:00:00',2,1,12,2006,'F','N','COREGO GRANDE','FLORIANOPOLIS','SC','124241241113472731426324273224610167047',21116,'307',34.62,1,2,1),(15,2800152,'1990-01-09 00:00:00',4,1,12,2006,'F','N','CENTRO','ANTONIO CARLOS','SC','124241241116472431623419572324610127147',16467,'21',42.63,1,2,1),(15,2800160,'1982-08-28 00:00:00',2,1,12,2000,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124243241111375431425629292114610164147',3459,'307',64.85,1,3,NULL),(15,2800179,'1978-10-24 00:00:00',2,1,12,1996,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124203241111473431223521276224610147147',17029,'307',41.84,1,3,NULL),(15,2800187,'1989-09-09 00:00:00',2,1,12,2006,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241115472431346513572114610167047',14842,'307',44.96,2,1,1),(15,2800195,'1988-11-07 00:00:00',2,1,12,2005,'F','N','ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC','124241241145473411423721572324610163142',9508,'291',52.76,1,2,1),(15,2800209,'1983-03-12 00:00:00',2,1,12,2003,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241145472421326629382324610167117',11903,'282',49.10,1,2,1),(15,2800217,'1966-12-02 00:00:00',2,1,12,1993,'F','N','CENTRO','PALHOCA','SC','624171178141431411322154432334610145097',NULL,'9998',23.67,1,2,1),(15,2800225,'1983-11-23 00:00:00',4,1,12,2002,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124201201127471421125554241342610141147',18957,'9998',38.74,1,2,1),(15,2800233,'1986-02-13 00:00:00',2,1,12,2004,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241127373411223344142334610124092',19995,'307',36.84,1,2,1),(15,2800241,'1989-03-15 00:00:00',2,1,12,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241117472411323335483314610161172',7134,'1015',56.90,1,2,1),(15,2800250,'1987-10-13 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241115271111513321382314610128147',13821,'359',46.42,1,2,1),(15,2800268,'1986-07-22 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241127271751123644241334610166052',20386,'696',36.08,1,2,1),(15,2800276,'1989-01-15 00:00:00',4,1,12,2006,'F','N','SÃO SEBASTIÃO','PALHOCA','SC','124241241137471431633334342124610127072',17148,'307',41.64,1,2,1),(15,2800284,'1989-02-10 00:00:00',4,1,12,2006,'M','N','CACUPE','FLORIANOPOLIS','SC','124241241126471431421311275224610132042',7319,'307',56.57,4,2,1),(15,2800292,'1986-09-29 00:00:00',2,1,12,2002,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124243241121474751328623472224610163117',NULL,'257',20.37,1,3,NULL),(15,2800306,'1982-02-24 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANOPOLIS','SC','224241241147471751426644242124610128187',13367,'357',47.09,1,2,1),(15,2800314,'1988-06-18 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241117573211326624375114610164117',12461,'359',48.35,1,2,1),(15,2800322,'1989-06-24 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241137472431338928372124610137057',1272,'307',72.15,1,2,1),(15,2800330,'1971-09-03 00:00:00',2,1,12,2006,'M','N','VARGINHA','SANTO AMARO DA IMPERATRIZ','SC','224241247125471431523343132344610124043',17512,'9999',41.07,1,2,1),(15,2800349,'1985-08-19 00:00:00',2,1,12,2003,'F','N','AREIAS','SAO JOSE','SC','124241241142172431123544143234132044142',17149,'66',41.64,1,2,1),(15,2800357,'1975-01-27 00:00:00',4,1,12,1999,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','224201208116271421323344445334142264143',NULL,'9998',24.39,1,3,NULL),(15,2800365,'1973-02-19 00:00:00',2,1,1,1990,'F','N','TAPERA','FLORIANOPOLIS','SC','224201201117471411317344442234142246197',16889,'9998',42.03,1,2,1),(15,2800373,'1988-11-11 00:00:00',4,1,12,2006,'M','N','DANIELA','FLORIANOPOLIS','SC','124241241117372431636519372124610167147',2486,'307',67.65,1,2,1),(15,2800381,'1986-08-10 00:00:00',4,1,11,2006,'F','N','ALTO RIBEIRAO','PONTA GROSSA','PR','124241241127211711215574282323613212192',NULL,'281',30.02,1,3,NULL),(15,2800390,'1988-06-04 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124243241127472411626524142114610117187',20469,'307',35.93,1,3,NULL),(15,2800403,'1980-11-11 00:00:00',4,1,12,2001,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124201208121271431223344341334610126117',NULL,'9998',0.00,1,2,1),(15,2800411,'1987-05-14 00:00:00',2,1,12,2004,'F','N','RIO CAVEIRAS','BIGUACU','SC','124241241117432411634319342124610126047',7155,'65',56.87,4,2,1),(15,2800420,'1989-08-13 00:00:00',2,1,12,2006,'M','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124241241115472431425679342124610127067',4491,'307',62.28,1,2,1),(15,2800438,'1987-12-14 00:00:00',2,1,12,2005,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124201201111131411211154341344610134147',12002,'9998',48.98,1,2,1),(15,2800446,'1987-05-16 00:00:00',4,1,1,2005,'M','N','SERRARIA','SAO JOSE','SC','224241247122432431423341312324610127057',22486,'9999',28.98,3,2,1),(15,2800454,'1967-04-09 00:00:00',2,1,12,1985,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','624251251132131431523651212313610132187',NULL,'9998',0.00,1,3,NULL),(15,2800462,'1976-05-01 00:00:00',2,1,12,1995,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241248137271431123344442324610121097',NULL,'29',34.75,1,2,1),(15,2800470,'1984-04-30 00:00:00',2,1,12,2003,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241136374511214329341124610116143',NULL,'298',22.03,1,2,1),(15,2800489,'1987-06-18 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241225273451323329395124610125072',17655,'262',40.86,1,3,NULL),(15,2800497,'1987-11-26 00:00:00',4,1,12,2006,'F','N','AREIAS','SAO JOSE','SC','124241241126272321321311282324610122037',19499,'730',37.83,1,2,1),(15,2800500,'1984-08-21 00:00:00',2,1,12,2001,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241136274431128941315224122914147',7623,'192',55.98,1,3,NULL),(15,2800519,'1984-12-12 00:00:00',2,1,12,2004,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241121233731624319172124610134047',8516,'307',54.48,1,2,1),(15,2800527,'1984-10-26 00:00:00',2,1,12,2002,'F','N','ESTREITO','FLORIANOPOLIS','SC','224201201121271431323644441224610122077',14570,'9998',45.31,1,3,NULL),(15,2800543,'1976-04-18 00:00:00',4,1,11,1995,'F','N','AREIAS BARREIROS','FLORIANOPOLIS','SC','124132133121273431126641212124142823143',18946,'9998',38.75,2,1,2),(15,2800551,'1985-06-05 00:00:00',2,1,12,2002,'F','N','BARREIROS','SAO JOSE','SC','124241241137272431226429385224133235017',10287,'293',51.50,1,2,1),(15,2800560,'1988-02-09 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241122572431218641212124610163051',6078,'288',58.94,3,2,1),(15,2800578,'1989-03-13 00:00:00',2,1,12,2006,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124121121142211721424434242324613234143',18237,'9998',39.91,3,3,NULL),(15,2800586,'1988-10-10 00:00:00',2,1,12,2006,'F','N','CACHUEIRA','FLORIANOPOLIS','SC','124241248125271731324439195324610134147',NULL,'288',20.23,1,2,1),(15,2800594,'1989-04-09 00:00:00',4,1,7,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124243241117372432638739272224610127057',1366,'306',71.81,1,3,NULL),(15,2800608,'1989-12-28 00:00:00',2,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124241241127271731326661241324610147145',9749,'142',52.34,1,2,1),(15,2800616,'1986-04-30 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201201117272431143312294214610131097',7714,'9998',55.84,1,2,1),(15,2800640,'1986-10-12 00:00:00',4,1,12,2004,'F','N','KOBRASOL','SAO JOSE','SC','124241248311374431226313346324610164147',17236,'300',41.51,2,1,2),(15,2800659,'1987-04-24 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201241122373411121344145124610122077',16846,'177',42.08,4,2,1),(15,2800667,'1989-07-26 00:00:00',2,1,12,2006,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124252251112371411527618585324610131142',5408,'9998',60.26,1,3,NULL),(15,2800675,'1983-02-05 00:00:00',4,1,12,2000,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241134233421124344146334130227077',13928,'644',46.27,1,2,1),(15,2800683,'1989-10-10 00:00:00',2,1,12,2006,'F','N','ROÇADO','SAO JOSE','SC','124241241116371731523639575114610163067',NULL,'729',17.69,1,2,1),(15,2800691,'1988-10-03 00:00:00',2,1,12,2005,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241115372431535319495114610134187',17901,'281',40.49,2,1,1),(15,2800705,'1989-09-12 00:00:00',2,1,12,2006,'F','N','RIO CAVEIRAS','BIGUACU','SC','124241241132371431614349396314610134197',19031,'65',38.62,1,3,NULL),(15,2800713,'1982-04-12 00:00:00',4,1,12,2000,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241243137273431333329345334610145147',11576,'293',49.59,2,1,1),(15,2800721,'1986-02-06 00:00:00',4,1,7,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241147271731634444242334610164065',NULL,'359',0.00,1,2,1),(15,2800730,'1986-05-17 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241147371431324679311324610127047',NULL,'359',23.96,1,2,1),(15,2800748,'1988-05-22 00:00:00',4,1,11,2005,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124161241117272431326344345134610164187',15224,'288',44.50,1,2,1),(15,2800756,'1986-08-22 00:00:00',2,1,12,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124163161136271411636611145234143244097',13174,'9998',47.37,1,3,NULL),(15,2800764,'1989-12-22 00:00:00',2,1,12,2006,'F','N','IPIRANGA','SAO JOSE','SC','124241241117371421533734342124610123157',12411,'734',48.42,4,3,NULL),(15,2800772,'1987-04-02 00:00:00',2,1,12,2006,'M','N','JARDIM ELDORADO','PALHOCA','SC','124241241141331711633359292214610137047',NULL,'307',21.96,2,1,1),(15,2800780,'1980-03-01 00:00:00',2,1,12,1999,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241121232421223344342134610124197',13957,'288',46.22,1,2,1),(15,2800799,'1989-02-23 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241142371411445644345124610168063',18757,'560',39.06,1,2,1),(15,2800802,'1989-03-19 00:00:00',2,1,12,2006,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124161161127372431323444342124610136146',17179,'9998',41.60,1,2,1),(15,2800810,'1967-03-11 00:00:00',2,1,12,1989,'F','N','BREJARÚ','PALHOCA','SC','124241241112271421439643332334610163092',18014,'9997',40.29,1,2,1),(15,2800829,'1988-01-24 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124201111147331711523661442324610156047',19539,'9998',37.74,1,2,1),(15,2800837,'1983-10-31 00:00:00',2,1,12,2000,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124201208111371421416648281344610156097',14488,'9998',45.43,1,2,1),(15,2800845,'1988-09-23 00:00:00',2,1,12,2005,'F','N','COSTA DA LAGOA','FLORIANOPOLIS','SC','124241241127372411421411145115610127047',NULL,'282',32.32,1,2,1),(15,2800853,'1986-05-13 00:00:00',2,1,11,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241111153431426618586344610144157',11694,'818',49.41,1,2,1),(15,2800861,'1987-04-03 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241122371131327354142314610164145',18137,'281',40.09,1,2,1),(15,2800870,'1989-05-26 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241112312531434614445124610122142',22231,'298',31.37,1,2,1),(15,2800888,'1979-10-22 00:00:00',2,1,12,2004,'F','N','KOBRASOL','SAO JOSE','SC','224243241121131431424454282124610145182',10292,'307',51.49,1,3,NULL),(15,2800896,'1985-02-10 00:00:00',4,1,12,2003,'F','N','RATONES','FLORIANOPOLIS','SC','124241241126371421623321343334610167057',18856,'295',38.91,1,2,1),(15,2800900,'1988-06-17 00:00:00',4,1,10,2006,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241115272431536639371124610118042',6526,'306',58.03,1,2,1),(15,2800918,'1987-07-28 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241127371441426418182214132824197',21390,'577',33.99,1,2,1),(15,2800934,'1979-09-10 00:00:00',2,1,12,1998,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241127134712523544142224610114147',NULL,'281',0.00,1,3,NULL),(15,2800942,'1982-06-05 00:00:00',4,1,12,1999,'F','N','PANTANAL','FLORIANOPOLIS','SC','124254251117231441538714385121143264112',16866,'9998',42.05,1,3,NULL),(15,2800950,'1978-10-01 00:00:00',2,1,12,1998,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','224241242116512731213454485323220317042',NULL,'129',0.00,1,2,1),(15,2800985,'1978-07-29 00:00:00',2,1,12,1997,'M','N','VARGEM GRADE','FLORIANOPOLIS','SC','124241243132231431123644342334142726197',13423,'635',46.99,1,2,1),(15,2800993,'1984-02-12 00:00:00',2,1,12,2001,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241121271421414354142334610112184',19368,'288',38.06,2,3,NULL),(15,2801000,'1965-06-04 00:00:00',2,1,12,2002,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','524241241127375111521144342331610136047',14299,'9999',45.73,4,1,1),(15,2801019,'1988-10-20 00:00:00',4,1,12,2005,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241111273431324319382324610132045',9996,'281',51.94,1,2,1),(15,2801035,'1978-01-02 00:00:00',2,1,12,1998,'M','N','INGLESES','FLORIANOPOLIS','SC','624201208142271431333144445124610138047',NULL,'9998',0.00,1,2,1),(15,2801043,'1985-01-24 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANOPOLIS','SC','124163161135371752223349195124610134187',21546,'9998',33.64,1,2,1),(15,2801051,'1983-09-28 00:00:00',4,1,12,2000,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241112271431225329382314610136192',NULL,'513',0.00,1,2,1),(15,2801060,'1989-03-07 00:00:00',4,1,12,2006,'M','N','FORQUILHAS','SAO JOSE','SC','124243241115272411326627345134610164142',7352,'307',56.51,4,3,NULL),(15,2801086,'1974-05-05 00:00:00',4,1,8,1998,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241247131335431333317396334613214062',NULL,'263',0.00,1,3,NULL),(15,2801094,'1983-05-10 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124163161141241411228821441324610144147',NULL,'9998',25.16,4,3,NULL),(15,2801108,'1987-11-01 00:00:00',2,1,12,2005,'F','N','SERRARIA','SAO JOSE','SC','124201201111371431423314381214610117143',22025,'9998',32.19,1,2,1),(15,2801116,'1983-03-12 00:00:00',2,1,11,2002,'F','N','CACH DE BOM JESUS','FLORIANOPOLIS','SC','124281283111372431613371111334610125097',NULL,'9998',33.83,4,2,1),(15,2801124,'1988-05-21 00:00:00',4,1,12,2006,'F','N','AREIAS','PAULO LOPES','SC','124241241127371431323313572314610168147',NULL,'607',22.48,1,2,1),(15,2801132,'1989-04-05 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124201204117371431327629571324610147012',NULL,'9998',20.71,1,3,NULL),(15,2801140,'1986-12-19 00:00:00',4,1,12,2003,'F','N','ARIRIU','PALHOCA','SC','124241241217273431544311345123610134117',17010,'596',41.86,1,3,NULL),(15,2801159,'1986-12-11 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241146373411523119341334610126147',18791,'295',39.00,4,2,1),(15,2801167,'1989-07-20 00:00:00',4,1,12,2007,'F','N','ARIRIU','PALHOCA','SC','124241241626112611524614345124610114147',NULL,'262',0.00,1,3,NULL),(15,2801175,'1988-08-05 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241112371411113444345334610146147',14722,'542',45.11,1,2,1),(15,2801183,'1983-08-03 00:00:00',2,1,12,2001,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241121372731224444244334610126097',15242,'290',44.48,1,2,1),(15,2801191,'1989-09-07 00:00:00',2,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241117272411423311282314610126142',18105,'307',40.14,1,2,1),(15,2801205,'1986-05-13 00:00:00',2,1,12,2004,'M','N','PASSA VINTE','PALHOCA','SC','124241241112371431321239442224610121012',19647,'591',37.53,1,2,1),(15,2801213,'1984-07-04 00:00:00',2,1,12,2001,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124201208111271411526923285124141023127',18353,'9998',39.71,1,2,1),(15,2801221,'1982-01-01 00:00:00',2,1,12,1999,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241116235431323619275121133217057',15633,'298',43.90,1,2,1),(15,2801230,'1986-07-28 00:00:00',2,1,7,2005,'F','N','SERRINHA','FLORIANOPOLIS','SC','124241241122431431523314382324610124147',18582,'298',39.35,1,2,1),(15,2801248,'1986-10-10 00:00:00',4,1,12,2004,'M','N','SÃO SEBASTIÃO','PALHOCA','SC','124241242126471531633334382124610127062',11426,'591',49.80,1,2,1),(15,2801256,'1984-11-13 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','224221111135471431321651315124610122047',18234,'9998',39.92,4,2,1),(15,2801264,'1989-04-21 00:00:00',2,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124243241115471731328621372124610135182',8996,'592',53.65,4,3,NULL),(15,2801272,'1987-06-10 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241112473431526514442114610114147',19538,'307',37.75,1,2,1),(15,2801280,'1989-02-26 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241127472431321521283324610113017',20568,'257',35.75,1,2,1),(15,2801299,'1982-02-26 00:00:00',2,1,12,1999,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241117375421433629236124610162157',16058,'293',43.29,1,2,1),(15,2801302,'1974-11-11 00:00:00',2,1,12,1994,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124131135137231751121344446334610125027',20515,'9998',35.86,1,3,NULL),(15,2801310,'1973-03-05 00:00:00',2,1,12,1999,'M','N','FLOR DE NAPOLIS','SAO JOSE','SC','224063068117271431313144242324610138147',NULL,'9998',0.00,4,3,NULL),(15,2801329,'1981-12-01 00:00:00',4,1,12,2001,'F','N','ITACURUBI','FLORIANOPOLIS','SC','124161161127371431124544442344610125187',NULL,'9998',25.67,1,2,1),(15,2801353,'1977-09-23 00:00:00',2,1,10,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','224161161121271721323344342324610122092',NULL,'9999',0.00,1,3,NULL),(15,2801361,'1975-11-07 00:00:00',2,1,12,1998,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','624251251126271431423644345334610143183',21088,'9998',34.69,4,2,1),(15,2801370,'1979-12-04 00:00:00',2,1,11,1999,'F','N','JOSE MENDES','FLORIANOPOLIS','SC','124241241127373441223649192334610144047',22516,'286',28.20,2,1,1),(15,2801388,'1990-04-08 00:00:00',4,1,11,2006,'M','N','SANTA MONICA','FLORIANOPOLIS','SC','124241241117232431636611271221610127042',NULL,'298',24.42,1,2,1),(15,2801396,'1986-05-11 00:00:00',4,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','124241241125473121453612241124610127142',NULL,'732',28.53,1,2,1),(15,2801400,'1982-09-02 00:00:00',2,1,12,2001,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241127473421623511285114610122147',13066,'297',47.49,1,2,1),(15,2801418,'1988-04-01 00:00:00',2,1,12,2005,'F','N','RATONES','FLORIANOPOLIS','SC','124241241225473431623419382124610128147',8280,'262',54.88,1,3,NULL),(15,2801426,'1989-05-31 00:00:00',2,1,12,2006,'M','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241116372731623311215124610134142',16591,'941',42.46,1,2,1),(15,2801434,'1988-04-19 00:00:00',2,1,11,2006,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241135471431523321275124610138117',16286,'9997',42.92,1,2,1),(15,2801442,'1986-12-20 00:00:00',2,1,12,2004,'M','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124241241121474431533334441314610117047',NULL,'278',41.06,1,2,1),(15,2801450,'1987-09-26 00:00:00',2,1,12,2005,'F','N','CAPIVARI DOS INGLESE','FLORIANOPOLIS','SC','124241241122371411426323242234131227147',20989,'9997',34.87,1,2,1),(15,2801469,'1979-09-28 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANOPOLIS','SC','124041227126572431423344242334610126097',14581,'9998',45.30,5,2,1),(15,2801477,'1971-09-23 00:00:00',2,1,12,2002,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','224051241135373421522254372224132731147',21973,'307',32.34,1,2,1),(15,2801485,'1987-11-09 00:00:00',2,1,7,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241114372441313324381324610126183',7282,'303',56.63,1,2,1),(15,2801493,'1987-06-20 00:00:00',2,1,12,2004,'F','N','SANTOS SARAIVA','SAO JOSE','SC','124241241115472431421119392324610165047',18908,'293',38.82,1,2,1),(15,2801507,'1969-12-03 00:00:00',2,1,8,1997,'F','N','ITACORUBI','FLORIANOPOLIS','SC','224201207127471441626441212124610121175',15959,'9998',43.45,1,2,1),(15,2801515,'1987-01-20 00:00:00',2,1,12,2006,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124251241145372431426521312124610167057',18401,'274',39.64,2,1,1),(15,2801523,'1978-09-11 00:00:00',2,1,12,2004,'M','N','MONTE CRISTO','FLORIANOPOLIS','SC','124243247342412411435529472124610114171',NULL,'9999',11.06,4,3,NULL),(15,2801531,'1989-02-14 00:00:00',2,1,12,2006,'F','N','SERRINHA','FLORIANOPOLIS','SC','124241241117472411526521387224610127147',15822,'542',43.64,4,2,1),(15,2801540,'1988-02-11 00:00:00',2,1,12,2006,'F','N','ROÇADO','SAO JOSE','SC','124241247121471431526313133324610114077',NULL,'736',23.33,3,2,1),(15,2801558,'1982-11-29 00:00:00',2,1,12,2003,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','224201201122371411221151182314610127057',NULL,'9997',24.52,1,2,1),(15,2801566,'1990-03-27 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241117472441438831575124610167162',1542,'307',71.02,1,2,1),(15,2801574,'1989-08-08 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124161161117472431426315345344610127077',17831,'9998',40.62,1,3,NULL),(15,2801582,'1986-06-02 00:00:00',2,1,12,2004,'M','N','BREJARU','PALHOCA','SC','224241241127431421524344242333610147037',NULL,'277',0.00,4,2,1),(15,2801590,'1989-12-22 00:00:00',2,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241126471431533619282124610124142',NULL,'290',23.50,1,2,1),(15,2801604,'1975-02-03 00:00:00',2,1,12,1994,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241327413431224344141333610137047',13704,'277',46.61,2,1,2),(15,2801612,'1982-06-01 00:00:00',2,1,12,2002,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124201201127471731124454141332610144047',9757,'9998',52.33,4,2,1),(15,2801620,'1982-02-05 00:00:00',4,1,12,2001,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241127411411323374142223610121113',13764,'296',46.52,4,2,1),(15,2801647,'1979-09-27 00:00:00',4,1,11,1999,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124251251125431411228644245334610122097',1632,'9998',70.67,1,3,NULL),(15,2801655,'1985-01-20 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241141372751323644342324610164042',NULL,'288',26.08,1,2,1),(15,2801663,'1989-11-05 00:00:00',4,1,12,2006,'F','N','SERTÃO DO MARUIM','SAO JOSE','SC','124241241117472431443611346124610124147',10331,'733',51.44,1,2,1),(15,2801671,'1985-10-08 00:00:00',2,1,12,2002,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124201208142471731123344142224610127057',NULL,'9998',0.00,1,2,1),(15,2801680,'1988-03-03 00:00:00',2,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241117471431246644445334610127117',NULL,'798',26.78,1,2,1),(15,2801698,'1989-10-03 00:00:00',2,1,12,2006,'F','N','VARGEM PEQUENA','FLORIANOPOLIS','SC','124244241311471711423619211334610123077',18551,'288',39.40,1,3,NULL),(15,2801701,'1989-07-03 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241117472751621339371324610166191',20994,'287',34.86,4,2,1),(15,2801710,'1987-07-25 00:00:00',2,1,12,2006,'M','N','AREIAS','SAO JOSE','SC','124241241117472531421331315124610114147',NULL,'287',22.09,4,2,1),(15,2801728,'1985-09-09 00:00:00',2,1,11,2003,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241137473431324621481114610121112',11286,'277',50.03,1,2,1),(15,2801736,'1985-01-10 00:00:00',2,1,6,2003,'M','N','BALA VISTA','SAO JOSE','SC','124161241127333431336319292334130244117',17433,'307',41.17,1,2,1),(15,2801744,'1974-06-11 00:00:00',2,1,12,1996,'F','N','CENTRO','FLORIANOPOLIS','SC','124241247225475421114341212124610117047',NULL,'1003',28.06,1,3,NULL),(15,2801752,'1988-09-11 00:00:00',2,1,12,2006,'F','N','VARGEM PEQUENA','FLORIANOPOLIS','SC','124241248111471411613314292314610117057',22346,'9997',30.75,1,2,1),(15,2801760,'1980-11-24 00:00:00',2,1,8,2003,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124201206141471421431544242334610167057',6722,'9998',57.70,1,2,1),(15,2801779,'1986-03-19 00:00:00',2,1,6,2005,'M','N','INGLESES DO RIO V','FLORIANOPOLIS','SC','124241241127271211333644145124610164012',NULL,'922',41.77,1,3,NULL),(15,2801787,'1988-07-11 00:00:00',2,1,11,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241135471411424444346124610123027',16743,'288',42.26,4,2,1),(15,2801795,'1989-04-08 00:00:00',4,1,12,2006,'F','N','JARDIM JANAÍNA','BIGUACU','SC','124241241125372431213379282314610131057',18142,'262',40.08,1,3,NULL),(15,2801809,'1984-07-08 00:00:00',4,1,12,2003,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124201201126341711423319395334610147052',NULL,'9998',4.18,1,3,NULL),(15,2801825,'1984-05-02 00:00:00',2,1,7,2004,'F','N','LOTEAMENTO LUAR','SAO JOSE','SC','124241241127373111211129482344610162187',NULL,'257',19.09,1,2,1),(15,2801833,'1982-11-12 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241127372221327649242324610134117',17119,'922',41.69,3,2,1),(15,2801841,'1987-06-15 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241122372332426614342334610114147',NULL,'307',21.76,1,3,NULL),(15,2801850,'1988-02-26 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241127373751623314245133130228197',19938,'287',36.94,1,2,1),(15,2801868,'1983-05-07 00:00:00',2,1,12,2000,'F','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','124241241147332431126549242114610124142',NULL,'288',22.05,1,2,1),(15,2801876,'1989-02-04 00:00:00',2,1,12,2006,'F','N','PINHEIRA','PALHOCA','SC','124241241122371731213327372214610164142',17986,'595',40.33,1,2,1),(15,2801884,'1984-09-07 00:00:00',2,1,12,2002,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241122373431623531312324610116183',21540,'274',33.65,1,3,NULL),(15,2801906,'1989-03-25 00:00:00',2,1,12,2006,'F','N','JARDIM CIDADE DE FPO','SAO JOSE','SC','124241241141371231425329391114610114147',18269,'726',39.84,4,1,1),(15,2801914,'1988-06-27 00:00:00',2,1,12,2006,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','124241241326431731413311275124610113147',NULL,'307',22.70,1,3,NULL),(15,2801922,'1981-06-10 00:00:00',2,1,12,1998,'M','N','INGLESES','FLORIANOPOLIS','SC','224201201112231431323344341324610152017',9421,'9998',52.91,4,2,1),(15,2801930,'1989-02-20 00:00:00',2,1,12,2005,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241132272451536524572214610146092',11900,'283',49.10,1,2,1),(15,2801949,'1988-03-09 00:00:00',2,1,11,2005,'F','N','CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC','124241241125212721636414343224610124147',10676,'288',50.90,1,2,1),(15,2801957,'1984-09-14 00:00:00',2,1,12,2002,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124251251117271421226544342124610127047',19297,'9998',38.17,1,2,1),(15,2801965,'1988-09-10 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241141272721424424571114610134047',NULL,'298',23.19,1,2,1),(15,2801973,'1984-07-05 00:00:00',2,1,12,2003,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241127472411333324381314610134077',NULL,'831',0.00,1,2,1),(15,2801990,'1987-10-19 00:00:00',2,1,12,2005,'F','N','SERRINHA','FLORIANOPOLIS','SC','124241241116273721323311445124610167097',13349,'307',47.11,4,2,1),(15,2802007,'1975-02-24 00:00:00',2,1,12,1994,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124203203116143721123344345234140863113',18550,'9998',39.41,1,3,NULL),(15,2802015,'1984-11-25 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANOPOLIS','SC','624241241116373431326654482124132831147',13865,'808',46.36,4,2,1),(15,2802023,'1985-07-14 00:00:00',2,1,8,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124071077337271532323344342214141067097',19807,'9999',37.20,4,1,2),(15,2802031,'1989-05-21 00:00:00',2,1,12,2006,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241126371431331331285114610137047',20100,'288',36.62,1,2,1),(15,2802040,'1987-08-13 00:00:00',2,1,12,2004,'M','N','PRADO','BIGUACU','SC','124241241125374431533339241123610124187',18853,'65',38.92,1,2,1),(15,2802058,'1989-02-01 00:00:00',2,1,12,2006,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241111271431216724575124610127047',19433,'298',37.95,1,2,1),(15,2802066,'1989-06-11 00:00:00',4,1,7,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241117371431328823385214610164122',133,'306',80.93,1,2,1),(15,2802074,'1986-12-10 00:00:00',2,1,12,2004,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124131131117371431223344246334610165147',15139,'9998',44.62,1,2,1),(15,2802082,'1978-12-17 00:00:00',2,1,12,1995,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241122131412323344242334610127047',19773,'59',37.29,1,2,1),(15,2802090,'1989-03-25 00:00:00',2,1,12,2006,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241135271231427611412124610125027',NULL,'733',0.00,1,3,NULL),(15,2802104,'1988-05-09 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241426273431435333395124610122152',11707,'262',49.38,1,3,NULL),(15,2802112,'1972-10-29 00:00:00',2,1,11,1991,'M','N','INGLESES','FLORIANOPOLIS','SC','624241241134373431423343332124610167047',3574,'307',64.54,1,2,1),(15,2802120,'1978-09-04 00:00:00',2,1,12,1997,'M','N','SACA DOS LIMOES','FLORIANOPOLIS','SC','124203201117374721327444442334140422017',10043,'9998',51.86,1,3,NULL),(15,2802139,'1984-09-21 00:00:00',2,1,12,2002,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124251251137371411336344446134610141017',NULL,'9998',24.76,1,2,1),(15,2802147,'1982-12-29 00:00:00',2,1,12,2001,'F','N','RATONES','FLORIANOPOLIS','SC','124201121115232431424219442324610154147',11992,'9998',48.99,4,2,1),(15,2802163,'1975-03-27 00:00:00',4,1,11,1996,'F','N','ARMAÇÃO','FLORIANOPOLIS','SC','124241241122331411624419295324610124147',13760,'291',46.53,1,2,1),(15,2802171,'1978-07-25 00:00:00',4,1,11,1995,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124251253117311331123444346314610124147',19989,'9998',36.85,4,2,1),(15,2802180,'1982-04-17 00:00:00',5,1,12,2000,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124251251137275421223344345124610164145',5586,'9998',59.90,1,2,1),(15,2802198,'1985-09-17 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124052051117271731224544442324143222147',18870,'9998',38.89,4,3,NULL),(15,2802201,'1985-10-25 00:00:00',2,1,12,2002,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241117271721536619392124610164147',16012,'513',43.36,2,1,1),(15,2802210,'1982-11-29 00:00:00',2,1,12,2000,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','624251251117271312237444342344610127047',21717,'9998',33.22,1,2,1),(15,2802236,'1984-08-26 00:00:00',2,1,12,2003,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241147372432113544342344610128147',21091,'591',34.67,1,2,1),(15,2802244,'1986-06-09 00:00:00',2,1,12,2006,'M','N','MONTE CRISTO','FLORIANOPOLIS','SC','124241241122461711523321331124610114182',NULL,'307',27.16,2,1,1),(15,2802260,'1988-03-04 00:00:00',4,1,12,2005,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241131371421323469382124610124147',NULL,'172',26.76,1,2,1),(15,2802279,'1984-04-20 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241117373431434311442334610128147',18557,'359',39.39,4,2,1),(15,2802287,'1987-03-12 00:00:00',2,1,12,2004,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241115372721526323242234610131027',17185,'307',41.60,1,3,NULL),(15,2802295,'1985-06-16 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241137272431521328242324610126147',22171,'359',31.63,1,2,1),(15,2802309,'1989-03-04 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241312372431433614442124610137177',7742,'271',55.80,1,3,NULL),(15,2802317,'1982-12-03 00:00:00',2,1,12,2000,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241127372431423324382344610123062',19727,'281',37.37,1,2,1),(15,2802325,'1981-07-03 00:00:00',2,1,12,1999,'M','N','ARIRIU','PALHOCA','SC','624241241122232721436641312232610112042',NULL,'728',0.00,1,3,NULL),(15,2802333,'1987-12-28 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241126371412426629345114610137047',8766,'922',54.07,1,2,1),(15,2802341,'1988-05-07 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241122372421123344441334610126147',14039,'848',46.11,1,2,1),(15,2802350,'1976-08-11 00:00:00',2,1,8,2004,'F','N','TAPERA','FLORIANOPOLIS','SC','124241244121271411213344441334610144142',20337,'283',36.16,1,2,1),(15,2802368,'1983-10-29 00:00:00',2,1,12,2002,'F','N','PICADAS DO SUL','SAO JOSE','SC','124251241122371411224344245333610122042',15497,'727',44.14,2,1,1),(15,2802376,'1985-01-29 00:00:00',2,1,12,2002,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241248117271731124444245334133228147',21435,'292',33.88,1,3,NULL),(15,2802384,'1985-01-23 00:00:00',2,1,12,2002,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241116274431524614285114610118157',17377,'307',41.26,1,2,1),(15,2802392,'1970-09-05 00:00:00',2,1,12,1977,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','224201201117371421332241212114610126175',20367,'9998',36.11,1,3,NULL),(15,2802406,'1984-03-08 00:00:00',4,1,12,2003,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241347331421228341242334610114052',15491,'1036',44.14,1,3,NULL),(15,2802414,'1980-12-28 00:00:00',2,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','124241245122271431123174242324610124147',21406,'734',33.95,4,1,1),(15,2802422,'1987-08-01 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241116374431115441112134230524143',13949,'621',46.23,1,2,1),(15,2802430,'1977-01-29 00:00:00',2,1,12,2002,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241127273421424524145124610132097',16604,'298',42.46,1,2,1),(15,2802449,'1987-11-22 00:00:00',2,1,12,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124201201117371431326674342324610118042',NULL,'9998',0.00,1,2,1),(15,2802457,'1978-01-25 00:00:00',2,1,12,1998,'M','N','INGLESES','FLORIANOPOLIS','SC','124171178122333441325569142314610167047',NULL,'9998',33.23,1,2,1),(15,2802473,'1986-08-29 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241121271421424431212124610223147',17893,'274',40.50,1,2,1),(15,2802481,'1989-07-13 00:00:00',2,1,11,2007,'M','N','BARREIROS','SAO JOSE','SC','124241241117372411433421295124610125147',15274,'734',44.44,1,2,1),(15,2802503,'1986-08-28 00:00:00',4,1,10,2004,'M','N','AGRINÔMICA','FLORIANOPOLIS','SC','124242241627242431428944246344610137082',20569,'9997',35.75,1,3,NULL),(15,2802511,'1985-09-27 00:00:00',2,1,6,2004,'M','N','PRAIA DE FORA','PALHOCA','SC','124243241147272231525814142124610128012',20627,'595',35.63,1,3,NULL),(15,2802538,'1988-02-27 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241115374431438619285114610121144',15193,'307',44.54,1,2,1),(15,2802546,'1969-08-19 00:00:00',2,1,4,2003,'F','N','COQUEIROS','FLORIANOPOLIS','SC','524244247142331411323344442134610113187',20705,'9999',35.49,1,3,NULL),(15,2802562,'1975-08-24 00:00:00',4,1,12,1995,'F','N','CENTRO','BIGUACU','SC','124091091126231431123649195334610118017',22456,'229',29.48,1,3,NULL),(15,2802570,'1989-07-01 00:00:00',2,1,12,2006,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241225371431323554272324610163073',12934,'262',47.67,1,3,NULL),(15,2802589,'1988-01-19 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124201241137432131413311582244610168197',NULL,'922',24.61,1,2,1),(15,2802597,'1968-07-21 00:00:00',2,1,12,1987,'F','N','CAMPINAS','SAO JOSE','SC','524241245131372421434141212114610121147',17003,'307',41.87,1,2,1),(15,2802600,'1955-11-28 00:00:00',4,1,12,1981,'F','N','PRAIA DOS INGLESES','FLORIANOPOLIS','SC','124201203125332441226649395124132725177',17494,'9998',41.09,1,2,1),(15,2802619,'1986-10-05 00:00:00',4,1,12,2004,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124241241141272451436571392213610124187',NULL,'592',0.00,1,2,1),(15,2802635,'1978-06-06 00:00:00',2,1,12,1998,'M','N','CENTRO','BIGUACU','SC','124241241147271711324527242334610124047',NULL,'65',27.67,1,2,1),(15,2802643,'1987-06-27 00:00:00',2,1,12,2005,'F','N','SERRINHA','FLORIANOPOLIS','SC','124241241127273431433324272224610143195',13210,'298',47.30,1,2,1),(15,2802651,'1975-04-13 00:00:00',2,1,6,2002,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','224161167121371111423344241124610116187',17232,'9999',41.52,4,2,1),(15,2802660,'1986-06-17 00:00:00',2,1,12,2004,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','624201201117272421226654482214610161097',10550,'9998',51.10,1,2,1),(15,2802678,'1989-10-20 00:00:00',2,1,7,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241117371431223329575124610136077',5648,'306',59.78,1,2,1),(15,2802686,'1988-02-10 00:00:00',2,1,12,2005,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241127272431525319282124610166092',13110,'290',47.44,1,2,1),(15,2802694,'1981-01-17 00:00:00',2,1,12,2001,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241122573431124349241334610162042',22309,'522',30.98,1,2,1),(15,2802708,'1985-07-27 00:00:00',2,1,11,2002,'F','N','KOBRASOL','SAO JOSE','SC','124201201126372411223344345134610167077',19804,'9998',37.21,1,2,1),(15,2802716,'1984-06-16 00:00:00',2,1,12,2002,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241247121371431123411381224610135142',16427,'9997',42.71,1,2,1),(15,2802724,'1984-08-29 00:00:00',2,1,6,2002,'F','N','VENDAVAL','BIGUACU','SC','624241241125371431223451242324610128147',13038,'1088',47.53,1,2,1),(15,2802732,'1986-08-05 00:00:00',2,1,12,2004,'F','N','TAPERA','FLORIANOPOLIS','SC','224241241141141431223354181334610164147',16706,'772',42.32,1,2,1),(15,2802759,'1989-02-09 00:00:00',2,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241115272411426324443324610136097',12422,'591',48.41,1,2,1),(15,2802767,'1989-03-19 00:00:00',2,1,12,2006,'F','N','ARMAÇÃO','FLORIANOPOLIS','SC','124201201111271731323374372314610163192',18470,'9998',39.54,1,2,1),(15,2802775,'1988-11-05 00:00:00',2,1,7,2007,'F','N','BARREIROS','SAO JOSE','SC','124244241115372411537421271324610127142',11304,'306',50.00,1,3,NULL),(15,2802783,'1983-08-01 00:00:00',4,1,12,2006,'F','N','AREIAS','PAULO LOPES','SC','224241247427371431323354572114610126197',21699,'9999',33.27,1,3,NULL),(15,2802791,'1987-01-22 00:00:00',4,1,12,2004,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124201201111373431536639441124142837097',15905,'9998',43.53,1,2,1),(15,2802805,'1986-07-26 00:00:00',2,1,12,2004,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241126272411123444441334610137147',21300,'1',34.19,4,2,1),(15,2802813,'1987-03-23 00:00:00',2,1,12,2005,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241127372431426144241334610124197',15000,'307',44.79,1,2,1),(15,2802821,'1977-03-03 00:00:00',2,1,12,1997,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','624253251317271721426344442324610144187',NULL,'9998',25.51,1,3,NULL),(15,2802830,'1983-05-09 00:00:00',2,1,12,2003,'F','N','JOSE MENDES','FLORIANOPOLIS','SC','124061061112131411425541212314610114145',NULL,'9998',17.49,1,2,1),(15,2802848,'1986-05-24 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241117273441526323384114610126157',11545,'359',49.64,1,2,1),(15,2802856,'1976-10-14 00:00:00',4,1,12,1995,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241147375731433119342134132724183',17067,'281',41.77,1,2,1),(15,2802864,'1987-12-25 00:00:00',2,1,12,2006,'M','N','ARMAÇAO','FLORIANOPOLIS','SC','124241241122361731124444441334610114117',21808,'361',32.94,1,2,1),(15,2802872,'1981-03-26 00:00:00',4,1,4,2005,'F','N','SERRIMHA','FLORIANOPOLIS','SC','124161167122241421221344241214143216142',NULL,'9999',3.49,1,2,1),(15,2802880,'1972-03-01 00:00:00',2,1,12,2005,'F','N','FORQUILHAS','SAO JOSE','SC','124241248127261431323324143344610133147',22503,'945',28.69,1,2,1),(15,2802899,'1979-07-02 00:00:00',2,1,12,1996,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124201201126373721114448282114142223187',10728,'9998',50.83,1,2,1),(15,2802929,'1989-04-01 00:00:00',2,1,11,2006,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241125371231335329242334610124157',NULL,'298',22.00,4,2,1),(15,2802937,'1988-09-22 00:00:00',2,1,12,2006,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124241248127331411425524475124610145142',NULL,'298',17.05,1,3,NULL),(15,2802945,'1988-05-06 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','224241241112233431325654282224610163097',9092,'281',53.48,1,2,1),(15,2802953,'1982-03-04 00:00:00',2,1,12,1998,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','224241241116274421218654481224610122187',17352,'298',41.31,1,3,NULL),(15,2802961,'1971-04-04 00:00:00',4,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','224201247122312431625554572324610157042',17530,'736',41.04,1,2,1),(15,2802970,'1987-01-10 00:00:00',2,1,12,2005,'M','N','LAGOA DA CONÇEIÇÃO','FLORIANOPOLIS','SC','124161161111271731216614381324610161097',NULL,'380',16.99,1,2,1),(15,2802988,'1972-11-28 00:00:00',2,1,12,1992,'M','N','JOAQUINA','FLORIANOPOLIS','SC','124201201117231721123379145324610127117',NULL,'9998',0.00,1,2,1),(15,2802996,'1989-10-19 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241127371431423311272114610124147',20431,'290',35.98,1,2,1),(15,2803003,'1985-07-05 00:00:00',2,1,12,2003,'M','N','BARREIROS','SAO JOSE','SC','124201241115373421227644242124133234042',11586,'257',49.57,1,2,1),(15,2803011,'1981-12-13 00:00:00',2,1,12,2000,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241121271431324344341324610122047',NULL,'277',0.00,4,2,1),(15,2803020,'1986-12-21 00:00:00',2,1,12,2004,'M','N','RIO CAVEIRAS','BIGUACU','SC','124241241127371431323319392344610168057',14103,'65',46.03,1,2,1),(15,2803038,'1987-09-11 00:00:00',4,1,12,2005,'M','N','FORQUILHINHAS','SAO JOSE','SC','124244241135471411424421341214610164047',16291,'727',42.91,4,3,NULL),(15,2803046,'1989-02-13 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241121472732413629282314610128147',16117,'736',43.20,1,2,1),(15,2803054,'1984-08-27 00:00:00',4,1,11,2001,'F','N','PONTE DE IMARUIM','PALHOCA','SC','124241241117472431226521345134610124047',NULL,'591',17.32,1,2,1),(15,2803062,'1988-09-08 00:00:00',2,1,12,2006,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124243241122372731646514285144510124041',12345,'296',48.50,1,3,NULL),(15,2803070,'1983-06-07 00:00:00',4,1,12,2002,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241147375751523321216124610123092',18599,'307',39.32,1,2,1),(15,2803089,'1983-04-02 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241127272431644311146134610138147',13866,'869',46.36,1,2,1),(15,2803097,'1977-09-11 00:00:00',4,1,12,1994,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','224241243121271421346344245124610126182',16333,'295',42.84,4,2,1),(15,2803100,'1982-03-24 00:00:00',2,1,12,2001,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','624201201137241432226759442214610144057',NULL,'9998',0.00,1,3,NULL),(15,2803119,'1966-07-01 00:00:00',2,1,12,2002,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','224241241121231431423354292344610116147',12896,'9997',47.72,1,2,1),(15,2803127,'1987-02-23 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241112312321226624572224610144143',21180,'286',34.48,2,2,1),(15,2803135,'1982-08-26 00:00:00',4,1,12,1999,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124203201311371411653411245134140224022',10224,'9998',51.59,1,3,NULL),(15,2803143,'1982-02-28 00:00:00',2,1,12,2003,'F','N','IPIRANGA','SAO JOSE','SC','124241241127371331123344345334610123142',NULL,'594',18.51,2,3,NULL),(15,2803151,'1986-05-26 00:00:00',4,1,12,2004,'F','N','ESTREITO','FLORIANOPOLIS','SC','224241241117371111553451182124610164142',17156,'359',41.63,1,2,1),(15,2803160,'1985-11-12 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124201201125372431535511242324610123017',19902,'9998',37.01,1,2,1),(15,2803178,'1979-01-09 00:00:00',2,1,12,1997,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124093091126371441223521182124142842097',11273,'9998',50.05,4,3,NULL),(15,2803186,'1984-02-11 00:00:00',2,1,12,2001,'F','N','BARREIROS','SAO JOSE','SC','124241241127371421128648282224610127097',NULL,'307',0.00,1,3,NULL),(15,2803194,'1982-08-26 00:00:00',2,1,12,1999,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','124111111127372751113844245334610138047',19788,'9998',37.26,1,2,1),(15,2803208,'1984-06-29 00:00:00',2,1,12,2001,'F','N','COSTEIRA PIRAJUBAE','FLORIANOPOLIS','SC','124251251127231711126344241314610164017',17102,'9998',41.72,1,3,NULL),(15,2803216,'1984-04-15 00:00:00',2,1,12,2002,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241127272741644313242124130253147',18603,'278',39.32,1,3,NULL),(15,2803224,'1990-01-21 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241111371131424624575124610127047',NULL,'288',0.00,1,2,1),(15,2803232,'1960-12-20 00:00:00',2,1,8,2002,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','224161161121231451433349192122610118197',19288,'9998',38.18,1,2,1),(15,2803240,'1978-10-23 00:00:00',4,1,12,1998,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','624241246125373441646548185123610142047',4020,'306',63.40,2,2,1),(15,2803259,'1984-11-01 00:00:00',2,1,6,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241127273431125514242334610123147',18688,'334',39.18,1,2,1),(15,2803267,'1987-07-12 00:00:00',2,1,12,2006,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124241241117271711623329295124610133142',13448,'298',46.94,1,2,1),(15,2803275,'1986-03-04 00:00:00',2,1,12,2005,'F','N','COPOEIRAS','FLORIANOPOLIS','SC','124241248121271731123344445133610127147',19102,'727',38.51,1,2,1),(15,2803283,'1987-03-03 00:00:00',4,1,12,2004,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241124273431523336394324610136187',11902,'60',49.10,1,2,1),(15,2803291,'1976-03-27 00:00:00',2,1,3,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241247147273731124444151314610124057',22141,'9999',31.76,1,2,1),(15,2803305,'1985-10-11 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241121271422333323341314610131067',17830,'278',40.62,1,2,1),(15,2803313,'1986-01-14 00:00:00',2,1,12,2003,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124243241115375451438424445124610167057',12950,'281',47.65,1,3,NULL),(15,2803321,'1984-12-11 00:00:00',2,1,6,2003,'M','N','INGLESES','FLORIANOPOLIS','SC','124201241127271421213644242113610165097',15804,'922',43.67,1,2,1),(15,2803348,'1985-08-12 00:00:00',2,1,7,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241127271411314644242324610133047',NULL,'298',10.98,4,2,1),(15,2803356,'1985-11-21 00:00:00',4,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241248121131311114344241334610162017',NULL,'306',25.26,2,1,1),(15,2803364,'1982-07-20 00:00:00',2,1,12,1999,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','124241248127373431223349394123610126097',NULL,'293',NULL,1,2,1),(15,2803372,'1989-05-25 00:00:00',2,1,12,2006,'F','N','PRAINHACENTRO','FLORIANOPOLIS','SC','124241241134271711618639182324610126142',20679,'275',35.53,1,2,1),(15,2803380,'1987-02-16 00:00:00',4,1,5,2006,'F','N','CAMPINAS','SAO JOSE','SC','124251247127271431426314272124610134047',9297,'9999',53.12,1,2,1),(15,2803399,'1986-07-09 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124244241137273411426614482124610167055',16868,'307',42.05,1,3,NULL),(15,2803402,'1967-06-13 00:00:00',2,1,12,2006,'F','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124201241146272421423354442124610131027',18966,'282',38.72,1,3,NULL),(15,2803410,'1987-07-13 00:00:00',2,1,12,2004,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','224241241136273431224344342243610128187',12026,'298',48.95,1,2,1),(15,2803429,'1989-07-29 00:00:00',2,1,12,2006,'F','N','SANTOS SARAIVA','SAO JOSE','SC','124241241112242431443531211124610114145',20109,'307',36.60,4,1,1),(15,2803437,'1981-02-14 00:00:00',2,1,12,1999,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241125372421124444241334610166147',18327,'171',39.75,1,2,1),(15,2803445,'1973-07-18 00:00:00',2,1,12,1993,'M','N','AREIAS','SAO JOSE','SC','624241243121375411333344244123130247062',4125,'704',63.14,1,2,1),(15,2803453,'1981-11-21 00:00:00',2,1,12,2000,'M','N','ARMAÇÃO PÂNTANO SUL','FLORIANOPOLIS','SC','124251251127371721123449292224610127047',19689,'9998',37.44,2,1,1),(15,2803461,'1989-08-18 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241126331431424414385124610137042',21822,'281',32.87,1,2,1),(15,2803470,'1986-05-22 00:00:00',2,1,12,2003,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241117272731534429246334133227057',5765,'257',59.53,1,3,NULL),(15,2803488,'1986-10-12 00:00:00',2,1,12,2003,'F','N','INGLESES','FLORIANOPOLIS','SC','124201201127272411323344143334610126147',NULL,'9998',0.00,1,2,1),(15,2803500,'1987-04-20 00:00:00',2,1,12,2004,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241146472411634314241134610161197',NULL,'307',0.00,3,2,1),(15,2803518,'1989-07-30 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241111471431536619571124610167042',6119,'359',58.83,1,2,1),(15,2803534,'1988-10-11 00:00:00',2,1,12,2005,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241116473431325614572324610168152',9754,'727',52.33,1,2,1),(15,2803542,'1989-04-24 00:00:00',2,1,12,2006,'F','N','MADRI','PALHOCA','SC','124241241117132431325319573314610123142',17327,'592',41.35,1,2,1),(15,2803550,'1988-03-07 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241125471432446611372244610164147',13033,'416',47.54,1,2,1),(15,2803569,'1987-03-25 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','224111111125471431326351415124610122147',18107,'9998',40.14,1,3,NULL),(15,2803577,'1988-04-03 00:00:00',2,1,12,2005,'M','N','CAMINHO NOVO','PALHOCA','SC','124241241126472422421344341314610124052',16713,'628',42.31,1,2,1),(15,2803585,'1983-03-17 00:00:00',2,1,12,2000,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','224201201112371431326354382224610124147',3222,'9998',65.47,1,2,1),(15,2803593,'1989-12-27 00:00:00',2,1,12,2006,'M','N','SERRARIA','SAO JOSE','SC','124201201111471431423314381214610167142',14856,'9998',44.95,2,2,1),(15,2803607,'1989-04-26 00:00:00',2,1,11,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241125411721423331382114610117052',NULL,'298',27.26,1,2,1),(15,2803615,'1988-10-06 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241115472431525614572324610124177',17278,'281',41.44,1,2,1),(15,2803623,'1989-02-13 00:00:00',4,1,12,2006,'F','N','REAL PARQUE','SAO JOSE','SC','124241241117472431423619575114610127147',12601,'734',48.13,1,2,1),(15,2803631,'1989-06-08 00:00:00',2,1,12,2006,'F','N','ARMAÇÃO DO PÂNTANO','FLORIANOPOLIS','SC','124241241147472751325721272324610123182',5943,'307',59.18,1,2,1),(15,2803640,'1973-05-10 00:00:00',4,1,9,2003,'M','N','INGLESES','FLORIANOPOLIS','SC','224201207121431731522244146234610124047',18620,'9998',39.29,4,2,1),(15,2803658,'1989-06-18 00:00:00',2,1,12,2006,'F','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','124241241121471731526339272124610125187',15896,'289',43.54,1,2,1),(15,2803666,'1986-03-11 00:00:00',2,1,8,2005,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124241247112343641324629382124610114185',NULL,'9999',23.64,1,3,NULL),(15,2803674,'1988-12-07 00:00:00',4,1,3,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241116472411322344142334610164147',15354,'267',44.32,3,2,1),(15,2803682,'1987-10-27 00:00:00',2,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124241241136473131526614245224610134097',12000,'257',48.98,1,2,1),(15,2803690,'1987-04-03 00:00:00',4,1,12,2004,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241117572731113316382124610167097',14071,'334',46.07,1,2,1),(15,2803704,'1988-03-11 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241117472431323319295124610121017',16878,'281',42.04,1,2,1),(15,2803712,'1986-03-26 00:00:00',2,1,6,2004,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124241251126471431432319492234610137027',21096,'296',34.66,4,2,1),(15,2803720,'1987-10-28 00:00:00',4,1,12,2006,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241125471432533234372114610164197',19974,'296',36.88,1,2,1),(15,2803739,'1959-02-23 00:00:00',2,1,4,2005,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','224241247121432431425641192114610146182',NULL,'9999',10.83,1,2,1),(15,2803747,'1989-04-26 00:00:00',2,1,12,2006,'F','N','JD CIDADE DE FPOLIS','SAO JOSE','SC','124241241136471431633639272124610164187',14091,'9997',46.04,1,2,1),(15,2803755,'1989-04-22 00:00:00',4,1,12,2006,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124241241116471431434311241124610126147',14774,'727',45.03,1,2,1),(15,2803763,'1989-08-17 00:00:00',4,1,12,2006,'F','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241122472431627321341324610136142',NULL,'772',26.10,4,2,1),(15,2803771,'1989-03-01 00:00:00',2,1,12,2006,'F','N','SÃO FRANCISCO','SANTO AMARO DA IMPERATRIZ','SC','124241241212473431226621272122610122097',9395,'774',52.95,1,3,NULL),(15,2803780,'1959-03-14 00:00:00',2,1,12,2005,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','524241241145333721333349391124610128182',19786,'296',37.27,4,2,1),(15,2803798,'1989-05-19 00:00:00',2,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241115472431433414575114610167057',18653,'281',39.23,1,3,NULL),(15,2803801,'1989-10-17 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241248112471431424323232314610164055',NULL,'298',23.22,2,3,NULL),(15,2803810,'1978-10-05 00:00:00',2,1,11,2002,'F','N','INGLESES','FLORIANOPOLIS','SC','124251241122373411228321482324610166157',17415,'307',41.20,4,2,1),(15,2803828,'1986-10-27 00:00:00',2,1,12,2004,'F','N','BARREIROS','SAO JOSE','SC','124244241114473441537421371324610164147',10369,'734',51.39,1,3,NULL),(15,2803836,'1987-07-18 00:00:00',4,1,12,2006,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124201241127472711646639181324610133057',18678,'274',39.19,1,2,1),(15,2803844,'1976-12-30 00:00:00',2,1,12,1998,'F','N','COSTEIRA','FLORIANOPOLIS','SC','224241248125471431423374141344610123147',21148,'294',34.55,4,2,1),(15,2803852,'1983-05-03 00:00:00',2,1,12,2001,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241121472431323411445124610126142',15260,'296',44.46,1,2,1),(15,2803860,'1988-09-11 00:00:00',4,1,12,2006,'F','N','JARDIM JANAINA','BIGUACU','SC','124241241116472111513324385314610114172',NULL,'295',23.44,1,3,NULL),(15,2803879,'1988-12-28 00:00:00',4,1,12,2006,'F','N','TAPERA','FLORIANOPOLIS','SC','124243241117472731439611385124610167142',11520,'295',49.68,1,3,NULL),(15,2803887,'1989-07-17 00:00:00',2,1,12,2006,'F','N','DANIELA','FLORIANOPOLIS','SC','124241241125473731623321182124610136027',13063,'279',47.49,1,2,1),(15,2803895,'1986-12-11 00:00:00',2,1,12,2004,'F','N','VARGEM PEQUENA','FLORIANOPOLIS','SC','124241241145471731434414245324610127147',19694,'288',37.43,1,2,1),(15,2803909,'1988-01-22 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241116474411233544445224610164047',NULL,'277',22.41,1,3,NULL),(15,2803917,'1989-12-02 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241136471441444411575224610146193',1245,'412',72.28,1,2,1),(15,2803925,'1982-11-05 00:00:00',2,1,12,2000,'F','N','RATONES','FLORIANOPOLIS','SC','124241241125473431223369482124610162047',10894,'307',50.62,1,2,1),(15,2803933,'1983-10-23 00:00:00',2,1,12,2001,'F','N','SANTOS DUMONT','SAO JOSE','SC','124241241117475751333334345334610162053',14769,'307',45.04,1,2,1),(15,2803941,'1982-01-15 00:00:00',2,1,7,2001,'F','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','224131137121371431221254243314610126147',16051,'9997',43.29,1,2,1),(15,2803950,'1987-02-16 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241147473451526611295124610168141',6717,'591',57.70,2,1,2),(15,2803968,'1981-06-21 00:00:00',2,1,11,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241247125472411223323312341610164047',8064,'9999',55.25,1,2,1),(15,2803976,'1989-11-28 00:00:00',2,1,12,2006,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241117471751324419186221610168017',13486,'194',46.91,1,2,1),(15,2803984,'1985-03-23 00:00:00',2,1,12,2004,'M','N','ARIRIU','FLORIANOPOLIS','SC','124241241127473441333314482224610167187',13178,'591',47.36,1,3,NULL),(15,2803992,'1989-09-17 00:00:00',2,1,12,2006,'F','N','ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC','124241241127372431218321382324610127057',17723,'291',40.76,1,2,1),(15,2804000,'1989-05-26 00:00:00',2,1,12,2006,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241117372431324424212124610117057',14148,'288',45.97,1,2,1),(15,2804018,'1979-01-08 00:00:00',2,1,12,1996,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241125432431323454382214610124187',20318,'257',36.20,3,3,NULL),(15,2804026,'1988-04-15 00:00:00',2,1,12,2006,'F','N','BELA VISTA','SAO JOSE','SC','124241241116472441339433345124610133117',NULL,'257',22.26,1,3,NULL),(15,2804034,'1980-02-26 00:00:00',2,1,12,1996,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241127133411226444442334610126147',17393,'292',41.23,1,2,1),(15,2804042,'1978-09-19 00:00:00',2,1,12,2000,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241147133421323324412344321937052',12987,'281',47.61,4,2,1),(15,2804050,'1988-12-17 00:00:00',2,1,11,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201201116132411115644341334610141042',14665,'9998',45.19,4,2,1),(15,2804069,'1983-07-30 00:00:00',4,1,8,2003,'M','N','CAMPECHE','FLORIANOPOLIS','SC','224044241347374711523743432124133242182',21113,'9999',34.63,4,3,NULL),(15,2804077,'1965-06-15 00:00:00',2,1,12,2006,'F','N','CAMINHO NOVO','PALHOCA','SC','424241245127131421312149341344610116142',NULL,'591',23.36,1,2,1),(15,2804085,'1984-07-29 00:00:00',4,1,12,2002,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241122132411521141292344610114182',NULL,'287',19.03,2,3,NULL),(15,2804093,'1961-08-23 00:00:00',2,1,5,2003,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','224241247117131711423344141243610161047',NULL,'9999',21.24,1,2,1),(15,2804107,'1982-12-10 00:00:00',2,1,12,2001,'F','N','ROÇADO','SAO JOSE','SC','124241248131274411626414481224610141187',18082,'306',40.18,4,2,1),(15,2804115,'1979-09-21 00:00:00',2,1,12,1998,'M','N','ROÇADO','SAO JOSE','SC','124063241147375411524864382114610142057',NULL,'293',41.17,1,3,NULL),(15,2804123,'1986-12-06 00:00:00',2,1,12,2004,'F','N','ROÇADO','SAO JOSE','SC','124241241127131411626414242214610148147',21624,'729',33.45,4,2,1),(15,2804131,'1987-04-03 00:00:00',4,1,12,2005,'M','N','CENTRO','TIJUCAS','SC','124243241111273441226621394224121444032',158,'784',80.52,1,3,NULL),(15,2804140,'1989-07-24 00:00:00',2,1,12,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241127132431537614272124610132143',14075,'307',46.07,1,2,1),(15,2804158,'1989-09-30 00:00:00',2,1,12,2006,'F','N','AREIAS','SAO JOSE','SC','124241241127132111423374342144610127057',NULL,'730',0.00,1,2,1),(15,2804166,'1985-06-13 00:00:00',2,1,12,2002,'M','N','AREIAS','SAO JOSE','SC','124241241127133411423344347144610122187',17818,'730',40.64,1,3,NULL),(15,2804174,'1979-03-31 00:00:00',2,1,12,1996,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201201136133431123348285124233046147',17041,'9998',41.82,4,2,1),(15,2804190,'1989-11-10 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241115271431433311575124610138017',NULL,'307',19.80,1,2,1),(15,2804204,'1975-05-04 00:00:00',2,1,8,2002,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124243247346131431437823492124130222187',NULL,'9999',0.00,1,3,NULL),(15,2804212,'1991-01-30 00:00:00',5,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241115131411638633576124610154047',NULL,'288',34.03,1,3,NULL),(15,2804220,'1987-10-14 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201241127274431526424372314610112057',12639,'298',48.08,1,3,NULL),(15,2804239,'1975-03-28 00:00:00',2,1,12,1993,'M','N','JOSÉ MENDES','FLORIANOPOLIS','SC','224241241127375411423341212124610147067',10820,'307',50.71,1,2,1),(15,2804247,'1981-06-02 00:00:00',2,1,12,1999,'F','N','PONTE DO IMARUIM','PALHOCA','SC','224241241126132431323354372124222346197',17115,'591',41.70,1,2,1),(15,2804255,'1970-09-30 00:00:00',2,1,5,2003,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','224241247111131221423359491244610166147',NULL,'9999',12.72,1,2,1),(15,2804263,'1987-01-24 00:00:00',2,1,12,2004,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241116273231426634585214610164117',19984,'274',36.86,1,2,1),(15,2804271,'1989-06-18 00:00:00',2,1,12,2006,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241117132231426634385214610167117',19121,'274',38.49,1,2,1),(15,2804280,'1960-08-12 00:00:00',2,1,12,1979,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124163164431171411136349392224340965147',7897,'9998',55.52,1,3,NULL),(15,2804298,'1985-08-18 00:00:00',4,1,7,2004,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241248127132431421631385124610164187',NULL,'281',21.98,1,3,NULL),(15,2804301,'1979-09-20 00:00:00',2,1,12,2004,'F','N','VARGEM DO BOM JESEUS','FLORIANOPOLIS','SC','124241241125241711424474482324610127047',NULL,'288',21.72,4,3,NULL),(15,2804310,'1977-04-27 00:00:00',4,1,12,2000,'M','N','INGLESES','FLORIANOPOLIS','SC','224251256326131451225441181123141467097',20520,'9998',35.85,1,3,NULL),(15,2804328,'1980-10-12 00:00:00',4,1,12,1998,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201203112121431437829485124143251187',NULL,'9998',20.69,1,3,NULL),(15,2804336,'1977-07-16 00:00:00',4,1,12,1994,'F','N','INGLESES','FLORIANOPOLIS','SC','224213251416271751223658381123343268197',7748,'9998',55.79,3,3,NULL),(15,2804344,'1987-05-26 00:00:00',4,1,12,2004,'M','N','ROÇADO','FLORIANOPOLIS','SC','124241241312132431538413572114131414057',17894,'468',40.50,1,3,NULL),(15,2804352,'1988-03-20 00:00:00',4,1,12,2005,'F','N','CAMPINAS','SAO JOSE','SC','124242241217373431446614275114610124017',NULL,'724',29.60,1,3,NULL),(15,2804360,'1988-08-07 00:00:00',2,1,12,2006,'F','N','VARGEM PAQUENA','FLORIANOPOLIS','SC','124241241122131731221373492344610167037',20453,'279',35.96,1,3,NULL),(15,2804379,'1972-09-04 00:00:00',2,1,12,1990,'M','N','CENTRO','FLORIANOPOLIS','SC','224241241111272411433343131124610127082',15307,'175',44.39,2,1,1),(15,2804387,'1989-08-13 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241122131431223361242334610137047',21448,'418',33.84,1,2,1),(15,2804395,'1990-07-02 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241437131141635923572124610128057',15631,'262',43.90,1,3,NULL),(15,2804409,'1987-07-04 00:00:00',2,6,12,2004,'M','N','TABULEIRO','ITAPEMA','SC','124241241117133431438411135121610126032',NULL,'406',0.00,1,2,1),(15,2804417,'1985-07-02 00:00:00',4,1,7,2004,'M','N','COSTERA DO PIRAJUBAÉ','FLORIANOPOLIS','SC','124241247117131431435519345224610127047',NULL,'295',37.16,2,1,1),(15,2804425,'1990-04-28 00:00:00',2,1,12,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241125161431423614445124610167042',NULL,'278',20.14,1,2,1),(15,2804433,'1989-08-01 00:00:00',4,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241111372431335624581324610124147',10634,'281',50.97,1,3,NULL),(15,2804441,'1980-10-10 00:00:00',2,1,12,1998,'F','N','PANTANAL','FLORIANOPOLIS','SC','124251251146131741236674282122610161187',NULL,'9998',0.00,1,2,1),(15,2804450,'1989-12-29 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241137131431436614396124610147147',19488,'283',37.85,1,2,1),(15,2804468,'1972-12-27 00:00:00',4,1,8,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','224241247127152441451354382124610122187',17725,'9999',40.76,4,2,1),(15,2804476,'1982-09-26 00:00:00',2,1,12,2002,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241122131721413344442314610128045',NULL,'292',24.53,1,2,1),(15,2804484,'1983-02-04 00:00:00',2,1,12,2000,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124251251112133431126648281224610112092',8152,'9998',55.10,1,2,1),(15,2804492,'1979-12-22 00:00:00',2,1,12,1997,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241127155411423411186123321363057',4404,'298',62.46,1,2,1),(15,2804506,'1984-12-25 00:00:00',2,1,12,2003,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241117475441423411392114610134047',10695,'307',50.88,1,2,1),(15,2804514,'1989-05-06 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124243241116132151123644345334610162147',21820,'287',32.88,1,3,NULL),(15,2804522,'1984-08-22 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANOPOLIS','SC','224204201136131411324643435114610124055',18903,'9998',38.83,1,3,NULL),(15,2804530,'1986-02-02 00:00:00',4,1,12,2004,'M','N','AREIAS','SAO JOSE','SC','224241247126131431222279342124610114017',NULL,'976',21.55,2,1,1),(15,2804557,'1985-01-10 00:00:00',2,1,12,2002,'F','N','BALNEARIO','FLORIANOPOLIS','SC','124241241115135131426614282124610134097',NULL,'257',0.00,1,3,NULL),(15,2804565,'1988-11-23 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241117133741334311442124610163142',14855,'307',44.95,1,2,1),(15,2804573,'1990-06-14 00:00:00',4,1,12,2007,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241115131431226621395124610137057',21726,'941',33.19,1,2,1),(15,2804581,'1979-09-15 00:00:00',4,1,7,1999,'M','N','PONTE DE IMARUIM','PALHOCA','SC','624242247246273441414579482324130264037',8564,'9999',54.41,1,3,NULL),(15,2804590,'1979-04-14 00:00:00',2,1,12,2003,'F','N','PONTE DE IMARUIM','PALHOCA','SC','624241248347131431416319482324610124147',NULL,'9997',23.35,1,3,NULL),(15,2804611,'1989-01-21 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','PONTA GROSSA','PR','524161241125131621423671192324610114147',NULL,'285',24.02,4,2,1),(15,2804620,'1957-05-26 00:00:00',4,1,12,1976,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241248113143411328344143224122235147',20761,'307',35.38,1,2,1),(15,2804638,'1990-11-07 00:00:00',2,1,12,2007,'F','N','FLOR DE NAPOLIS','SAO JOSE','SC','124241241116131431639413575124610124142',NULL,'727',19.33,4,2,1),(15,2804646,'1988-03-06 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124212211217131431423764492124610122042',22083,'9998',32.01,1,3,NULL),(15,2804654,'1986-07-23 00:00:00',2,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124212218217331441423764445124610146012',17301,'9998',41.40,1,3,NULL),(15,2804662,'1988-02-07 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124204201216153431448671475124610128187',14520,'9998',45.37,4,3,NULL),(15,2804670,'1975-10-13 00:00:00',2,1,11,1995,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','224241241122135421333344342344613238187',NULL,'284',34.52,1,2,1),(15,2804689,'1980-05-21 00:00:00',2,1,11,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','224241247121131421331144342334613236187',NULL,'9999',20.00,1,2,1),(15,2804697,'1970-09-23 00:00:00',2,1,12,1990,'F','N','SERRARIA','SAO JOSE','SC','624241247327132421323344142334610124057',17937,'9999',40.42,1,3,NULL),(15,2804700,'1983-07-27 00:00:00',4,1,12,2000,'F','N','JOÃP PAULO','FLORIANOPOLIS','SC','124243241116135742537573242124132238197',11919,'271',49.08,1,3,NULL),(15,2804719,'1985-02-25 00:00:00',4,1,12,2002,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124243241116133451537613582114610142187',18306,'307',39.78,1,3,NULL),(15,2804735,'1987-03-27 00:00:00',2,1,12,2004,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241127132431116614582344610127047',15787,'296',43.70,1,2,1),(15,2804751,'1974-01-06 00:00:00',2,1,12,1997,'M','N','TRINDADE','FLORIANOPOLIS','SC','124246244226133431254623281123131317057',NULL,'1003',20.50,1,3,NULL),(15,2804760,'1975-08-11 00:00:00',2,1,12,1998,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124201201127131131115648183341140217112',NULL,'9998',11.60,1,3,NULL),(15,2804778,'1989-10-15 01:00:00',2,1,12,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124241241112131231323534172124610156047',21467,'298',33.81,1,2,1),(15,2804786,'1986-03-15 00:00:00',2,1,12,2004,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124244243217373431426823472124610141097',10963,'995',50.52,4,3,NULL),(15,2804794,'1989-05-28 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124244241215372411438833372124610163182',4966,'270',61.16,1,3,NULL),(15,2804808,'1986-03-15 00:00:00',2,1,12,2003,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241116274411326614385114610122017',15213,'286',44.51,3,2,1),(15,2804816,'1975-05-19 00:00:00',2,1,12,1992,'F','N','JARDIM CARANDAÍ','BIGUACU','SC','624201201116134431223654445123140266177',13878,'9998',46.34,1,2,1),(15,2804824,'1983-06-11 00:00:00',2,1,12,2000,'M','N','JARDIN CARANDAÍ','BIGUACU','SC','624201201116133431226644142123610124047',NULL,'9998',0.00,1,2,1),(15,2804832,'1989-06-06 00:00:00',2,1,12,2006,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124241241117371731523334572125610134157',21945,'732',32.47,1,2,1),(15,2804840,'1972-08-15 00:00:00',2,1,10,2003,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','624241247117131431436653482324610128197',NULL,'9999',24.01,1,2,1),(15,2804859,'1982-06-05 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241121132431224421245324610166072',NULL,'295',0.00,1,3,NULL),(15,2804867,'1980-08-18 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANOPOLIS','SC','224241241127131531322354242324610114145',NULL,'294',17.68,1,2,1),(15,2804875,'1984-08-27 00:00:00',4,1,7,2007,'M','N','SERRARIA','BIGUACU','SC','124244241117151431323624385124610124017',6148,'306',58.76,1,3,NULL),(15,2804883,'1951-08-11 00:00:00',4,1,12,1986,'F','N','ESTREITO','FLORIANOPOLIS','SC','524242247227142431331164415124322216171',NULL,'260',0.00,1,3,NULL),(15,2804891,'1986-02-19 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201201127573232113748212224610164147',7686,'9998',55.88,4,3,NULL),(15,2804905,'1989-01-20 00:00:00',2,1,12,2006,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241137372431323314571124610167097',21824,'288',32.87,1,2,1),(15,2804913,'1986-03-27 00:00:00',2,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241427272431326643392224610131085',10498,'307',51.18,3,3,NULL),(15,2804921,'1977-06-09 00:00:00',4,1,12,1995,'F','N','INGLESES','FLORIANOPOLIS','SC','124252251217131421129844341334343262182',18443,'9998',39.59,1,3,NULL),(15,2804930,'1971-04-12 00:00:00',2,1,12,1989,'F','N','CARIANOS','FLORIANOPOLIS','SC','124201205112134431123644442324130216097',12947,'9998',47.65,1,3,NULL),(15,2804948,'1972-07-16 00:00:00',4,1,8,1998,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241246116133411223344443214610127117',22189,'306',31.53,2,1,1),(15,2804956,'1987-04-13 00:00:00',2,1,12,2004,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241125374431333534282214610166047',7639,'307',55.96,1,2,1),(15,2804964,'1976-12-29 00:00:00',2,1,12,2003,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','224244241125133431423351242322610126092',21366,'736',34.05,1,3,NULL),(15,2804972,'1988-10-19 00:00:00',2,1,12,2007,'F','N','PICADAS DO SUL','SAO JOSE','SC','124201245115151731623514345124233267032',22469,'293',29.26,1,3,NULL),(15,2804980,'1975-10-24 00:00:00',2,1,12,1999,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124243245224155441426474215124222316171',20943,'266',34.98,1,3,NULL),(15,2804999,'1983-09-14 00:00:00',2,1,12,2001,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241127371411324664442334610128182',NULL,'95',26.09,1,2,1),(15,2805006,'1988-02-20 00:00:00',2,1,12,2005,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241117154451324529242341610156177',16273,'298',42.94,1,2,1),(15,2805014,'1989-11-14 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241115131431224621312124610126077',21610,'257',33.49,2,1,1),(15,2805022,'1989-05-22 00:00:00',2,1,12,2007,'F','N','PRAINHA','FLORIANOPOLIS','SC','124241241115131431536534392334610118147',NULL,'275',20.03,2,1,1),(15,2805030,'1981-03-01 00:00:00',2,1,12,2001,'F','N','BELA VISTA','SAO JOSE','SC','624241241135134431213344141324132737143',NULL,'307',0.00,1,3,NULL),(15,2805049,'1989-11-28 00:00:00',2,1,12,2007,'M','N','SERTÃO DO IMARUI','SAO JOSE','SC','124241241116131431436414282124610164047',17875,'729',40.55,1,2,1),(15,2805065,'1979-03-11 00:00:00',2,1,12,1999,'F','N','CENTRO','FLORIANOPOLIS','SC','124203247327331731112341241234610116097',NULL,'9998',27.79,3,3,NULL),(15,2805073,'1985-04-30 00:00:00',2,1,11,2004,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124241241121373431535514341124610127067',18409,'307',39.63,1,2,1),(15,2805081,'1969-12-10 00:00:00',2,1,12,1988,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124131135126134421222344245334132822197',12311,'9998',48.56,1,2,1),(15,2805090,'1987-08-26 00:00:00',2,1,6,2005,'M','N','PASSA VINTE','PALHOCA','SC','124241241117231431534612382313610127182',NULL,'592',1.57,1,3,NULL),(15,2805103,'1978-10-25 00:00:00',2,1,12,1995,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241127275751123344142333610125147',15810,'239',43.66,1,2,1),(15,2805111,'1986-05-09 00:00:00',2,1,12,2004,'M','N','RIO TAVAES','FLORIANOPOLIS','SC','124241241137132721224348382314131418057',NULL,'239',0.00,1,3,NULL),(15,2805120,'1976-11-17 00:00:00',2,1,12,1993,'F','N','ABRAÃO','FLORIANOPOLIS','SC','624241241117134431338843331334131066187',10270,'307',51.53,1,2,1),(15,2805138,'1985-04-05 00:00:00',2,1,12,2002,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241212153431325539492325222927097',13568,'499',46.79,1,3,NULL),(15,2805146,'1986-11-18 00:00:00',2,1,3,2005,'M','N','CAMPINAS','SAO JOSE','SC','124242241116273231347632485114131417052',6285,'739',58.48,1,3,NULL),(15,2805154,'1990-01-14 00:00:00',2,1,12,2006,'M','N','ARMAÇÃO','FLORIANOPOLIS','SC','124241241131132731424624241214610167117',11813,'289',49.24,1,2,1),(15,2805162,'1966-10-08 00:00:00',2,1,12,1991,'F','N','ARMAÇÃO','FLORIANOPOLIS','SC','224201207131132321426144241234610135142',NULL,'9999',17.56,1,2,1),(15,2805170,'1984-10-02 00:00:00',2,1,12,2002,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241142132431111348482324131065142',17921,'524',40.46,1,2,1),(15,2805189,'1966-12-31 00:00:00',2,1,12,1992,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','624141141136131411223344442324142718142',NULL,'9998',15.67,4,3,NULL),(15,2805197,'1990-05-11 00:00:00',2,1,11,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241125131431523419145234610126143',NULL,'274',0.00,1,2,1),(15,2805200,'1990-03-03 00:00:00',2,1,12,2007,'M','N','FORQUILHAS','SAO JOSE','SC','124241241115141431436414412124610117047',22010,'733',32.24,1,2,1),(15,2805219,'1989-10-28 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241112472431445615172224610167147',3024,'818',66.06,1,2,1),(15,2805227,'1990-02-20 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241115472451445613571123610134142',14886,'592',44.92,1,2,1),(15,2805235,'1989-07-06 00:00:00',4,1,12,2006,'M','N','JARDIM ELDORADO','PALHOCA','SC','124242241136132421224624342114610122097',16348,'591',42.83,4,3,NULL),(15,2805243,'1985-02-19 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201201137375431325344344124610122142',7864,'9998',55.58,1,2,1),(15,2805251,'1976-09-18 00:00:00',4,1,12,1996,'M','N','PANTANAL','FLORIANOPOLIS','SC','124161164115573751436614382324141467187',2190,'9998',68.64,1,2,1),(15,2805260,'1985-05-02 00:00:00',4,1,12,2002,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241116132231113749495124222324177',13293,'659',47.18,1,2,1),(15,2805278,'1988-06-11 00:00:00',4,1,12,2005,'F','N','LONTRINHAS','LONTRAS','SC','124241241117373431523716382324610124147',11861,'659',49.16,1,2,1),(15,2805286,'1989-10-26 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241115131421623319282114610115197',22378,'293',30.52,2,3,NULL),(15,2805294,'1985-06-27 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241137271411523611341334610163142',21839,'283',32.83,1,2,1),(15,2805316,'1990-09-07 00:00:00',2,1,11,2007,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241241115131431436674345124610125142',NULL,'293',0.00,1,2,1),(15,2805324,'1990-08-23 00:00:00',2,1,11,2007,'F','N','RIO GRANDE','PALHOCA','SC','124241241115131431436514382324610125142',NULL,'293',0.00,1,2,1),(15,2805332,'1989-02-20 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241114372431528654571124233244012',4806,'257',61.51,1,2,1),(15,2805340,'1987-07-13 00:00:00',2,1,12,2004,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241111372431225319242124610136182',8071,'293',55.24,4,1,1),(15,2805359,'1980-11-19 00:00:00',2,1,12,1998,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241243426133431123344242334121442142',18475,'190',39.53,1,3,NULL),(15,2805367,'1969-04-10 00:00:00',2,1,11,2005,'M','N','RIO GRANDE','PALHOCA','SC','224241241122132431533353483323610117042',21637,'9997',33.42,1,2,1),(15,2805375,'1987-10-08 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241141231431323319241234610113097',NULL,'257',20.09,1,3,NULL),(15,2805383,'1972-05-05 00:00:00',2,1,12,1993,'F','N','INGLESES','FLORIANOPOLIS','SC','524201207427131431223361282324142026147',20841,'9998',35.20,1,3,NULL),(15,2805391,'1989-07-10 00:00:00',2,1,12,2006,'F','N','RIO CAVEIRAS','BIGUACU','SC','124241241115472431636311571124610122142',13605,'65',46.74,1,2,1),(15,2805405,'1981-01-11 00:00:00',4,1,12,2004,'M','N','TAPERA','FLORIANOPOLIS','SC','124241247217371432523329392344610155057',NULL,'9999',22.97,1,3,NULL),(15,2805413,'1990-04-24 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241117131431424529572344610125087',9159,'307',53.33,1,2,1),(15,2805421,'1990-02-09 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241116161431323718285324610162045',17347,'307',41.31,1,2,1),(15,2805430,'1988-11-15 00:00:00',2,1,12,2006,'M','N','REAL PARQUE','SAO JOSE','SC','124242241215472451325321395114610123182',3737,'976',64.10,1,3,NULL),(15,2805448,'1989-06-26 00:00:00',2,1,12,2007,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241112161332427619375124610127072',NULL,'257',24.41,1,3,NULL),(15,2805456,'1990-08-03 00:00:00',2,1,12,2007,'F','N','BOA PARADA','SAO PEDRO DE ALCANTARA','SC','124241241112131431636512572124610143142',20512,'307',35.86,1,3,NULL),(15,2805464,'1990-03-17 00:00:00',2,1,12,2007,'F','N','ROÇADO','SAO JOSE','SC','124241241115131431423311272124610127072',8223,'307',54.97,1,2,1),(15,2805472,'1984-12-19 00:00:00',4,1,11,2002,'F','N','BELA VISTA I','SAO JOSE','SC','124241241126134121435624345235610124097',21859,'736',32.77,1,2,1),(15,2805480,'1980-02-06 00:00:00',2,1,12,2000,'M','N','FORQUILHINHAS','SAO JOSE','SC','224241247126133132126844145123610117113',21921,'9999',32.54,1,3,NULL),(15,2805499,'1979-01-08 00:00:00',2,1,12,2001,'F','N','FORQUILHINHAS','SAO JOSE','SC','224241241126131112123654482114610113195',NULL,'360',0.00,1,3,NULL),(15,2805502,'1981-08-23 00:00:00',2,1,12,1999,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241127134421124344145334610164187',21818,'294',32.89,1,2,1),(15,2805510,'1984-09-15 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241122272412223611342114230262187',19279,'291',38.21,1,2,1),(15,2805529,'1988-05-08 00:00:00',2,1,12,2005,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124161161111572532113316391114610124177',2367,'9998',68.03,1,2,1),(15,2805537,'1985-01-15 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124243247347131431536644141124610157187',18772,'9999',39.03,2,1,2),(15,2805545,'1986-06-24 00:00:00',2,1,12,2005,'M','N','FREITAS','PAULO LOPES','SC','124241241125473431521329342314610127142',18701,'307',39.16,2,2,1),(15,2805553,'1990-04-29 00:00:00',4,1,12,2007,'M','N','MORRO DO FREITAS','PAULO LOPES','SC','124241241225271731423314472324610166141',5620,'262',59.82,1,3,NULL),(15,2805561,'1984-09-21 00:00:00',2,1,12,2002,'M','N','AREIAS','PAULO LOPES','SC','124241241126132721323444241324610167057',NULL,'607',8.55,1,2,1),(15,2805570,'1984-10-21 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANOPOLIS','SC','124251251116331441113344441324343263097',NULL,'9998',22.23,1,3,NULL),(15,2805588,'1982-09-01 00:00:00',2,1,12,1997,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','224241241122472431228344242324610132097',6204,'638',58.63,1,2,1),(15,2805596,'1982-11-13 00:00:00',2,1,7,2002,'M','N','BELA VISTA L','SAO JOSE','SC','124241247127131431236744245134610134172',21710,'9999',33.24,4,2,1),(15,2805600,'1985-05-14 00:00:00',2,1,12,2002,'F','N','BELA VISTA L','SAO JOSE','SC','124241241122132431236648282114610121187',NULL,'524',23.96,1,3,NULL),(15,2805618,'1989-06-08 00:00:00',2,1,12,2006,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241226272731443319295334610128147',9449,'262',52.86,1,3,NULL),(15,2805626,'1986-03-10 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241161116133431125811115124221763187',12692,'9998',47.99,2,2,1),(15,2805634,'1990-07-12 00:00:00',4,1,11,2007,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241117131431336613575124610162022',NULL,'257',0.00,1,2,1),(15,2805642,'1985-02-22 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241248117172431318629392334610167072',22510,'307',28.47,1,3,NULL),(15,2805650,'1988-04-06 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241147133431116374242334610117042',19967,'542',36.90,4,2,1),(15,2805669,'1988-04-25 00:00:00',2,1,12,2005,'F','N','MACACU','GAROPABA','SC','124241241122132511323311272311610143147',19964,'322',36.90,1,2,1),(15,2805677,'1985-06-07 00:00:00',2,1,12,2002,'F','N','MACACU','GAROPABA','SC','124241241147132421523415342214610132147',16299,'322',42.90,1,2,1),(15,2805685,'1978-01-02 00:00:00',2,1,12,1995,'M','N','JOSÉ MENDES','FLORIANOPOLIS','SC','624241241127133431326644342224610137067',7900,'286',55.51,1,2,1),(15,2805693,'1981-06-27 00:00:00',2,1,12,1998,'F','N','MACACU','GAROPABA','SC','124241241147135421623313242214610136197',19803,'322',37.21,1,2,1),(15,2805707,'1988-10-25 00:00:00',2,1,12,2005,'F','N','MACACU','GAROPABA','SC','124241241127133431623311242334610134097',NULL,'322',0.00,1,2,1),(15,2805715,'1990-09-13 00:00:00',2,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124241241117131331226633575124610114147',5466,'307',60.13,1,2,1),(15,2805723,'1985-09-01 00:00:00',2,1,7,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124241247426132531526514285124610124062',NULL,'977',19.63,1,3,NULL),(15,2805731,'1987-12-28 00:00:00',4,1,8,2007,'M','N','CENTRO','PALHOCA','SC','124241241115131431537329342223610162012',16606,'739',42.45,1,2,1),(15,2805740,'1986-09-22 00:00:00',2,1,12,2004,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241117372751423364283124610167047',11374,'275',49.88,4,2,1),(15,2805758,'1990-12-06 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124201202116131431424315572324610125147',9837,'9998',52.20,1,3,NULL),(15,2805766,'1977-09-05 00:00:00',4,1,12,1995,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','524241248124133431225444242114610134015',22428,'307',30.03,1,2,1),(15,2805774,'1986-12-04 00:00:00',2,1,12,2004,'F','N','NOSSA SRA DO ROSÁRIO','SAO JOSE','SC','124241241122131731445619492124610123147',NULL,'595',18.62,1,2,1),(15,2805782,'1986-07-20 00:00:00',2,1,12,2003,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241248112144731623319292114610114092',19597,'307',37.62,1,2,1),(15,2805790,'1958-01-12 00:00:00',2,1,12,2003,'F','N','NOSSA SRA DO ROSÁRIO','SAO JOSE','SC','224241247125132431444459396124610111182',NULL,'595',23.58,1,2,1),(15,2805804,'1980-01-26 00:00:00',2,1,12,2006,'F','N','SERRARIA','SAO JOSE','SC','224241245122133421324479292344610168187',NULL,'734',25.86,1,3,NULL),(15,2805812,'1980-08-09 00:00:00',2,1,12,1998,'M','N','LANCO DA LAGOA','FLORIANOPOLIS','SC','124241241127133431223344246224610111197',19795,'282',37.24,1,2,1),(15,2805820,'1981-01-02 00:00:00',2,1,12,1998,'F','N','IPIRANGA','SAO JOSE','SC','224243241114133411328654482114610164017',NULL,'293',0.00,1,3,NULL),(15,2805839,'1985-11-10 00:00:00',2,1,12,2003,'F','N','SANTINHO','FLORIANOPOLIS','SC','124241241122134431433319342231610127147',17296,'307',41.41,1,2,1),(15,2805847,'1977-04-19 00:00:00',2,1,12,1997,'F','N','TAPERA','FLORIANOPOLIS','SC','124201205116145431324533315124133225091',22297,'307',31.05,1,2,1),(15,2805855,'1979-07-30 00:00:00',5,1,12,1997,'F','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124241241141135431227774185234610162177',761,'307',74.92,4,3,NULL),(15,2805863,'1982-12-28 00:00:00',2,1,12,2000,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244241216132431623344242123131227042',17065,'258',41.78,1,3,NULL),(15,2805871,'1981-07-02 00:00:00',2,1,12,1999,'F','N','CENTRO','FLORIANOPOLIS','SC','124241245117133511223729472324320565097',22307,'192',30.99,1,3,NULL),(15,2805880,'1965-07-24 00:00:00',2,1,12,1993,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','524241245122472421224644342134610116092',21837,'293',32.84,1,2,1),(15,2805898,'1990-04-05 00:00:00',2,1,11,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241215111411536934575124610168143',10086,'270',51.80,1,3,NULL),(15,2805910,'1970-01-02 00:00:00',5,1,11,1999,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','224243244341131711225659192214610124187',NULL,'515',28.87,1,3,NULL),(15,2805928,'1974-02-16 00:00:00',2,1,12,1997,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241244126131421235643235124610136147',21278,'307',34.27,1,3,NULL),(15,2805936,'1989-08-14 00:00:00',4,1,12,2007,'M','N','MONTE CRISTO','FLORIANOPOLIS','SC','124241241115141431223379495124610117027',NULL,'293',18.48,1,2,1),(15,2805944,'1981-08-13 00:00:00',2,1,12,2000,'M','N','CAMPINAS','SAO JOSE','SC','224243241237372421236749491334141034047',9896,'725',52.10,1,3,NULL),(15,2805952,'1989-08-19 00:00:00',4,1,12,2007,'F','N','PEDRA BRANCA','PALHOCA','SC','124241241116161331433332425124610124143',NULL,'733',14.87,1,3,NULL),(15,2805960,'1990-09-20 00:00:00',4,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124241241112131431324621572124610115082',NULL,'1116',23.57,1,2,1),(15,2805979,'1988-11-12 00:00:00',2,1,12,2006,'F','N','PENHA','PAULO LOPES','SC','124241241127132431223314242314610124177',18072,'607',40.19,1,2,1),(15,2805987,'1985-05-09 00:00:00',2,1,12,2002,'F','N','BARRA DO ARIRIU','PALHOCA','SC','124241241126132431434411585324610164147',NULL,'591',22.58,1,2,1),(15,2805995,'1990-09-16 00:00:00',4,1,12,2007,'F','N','USINA','ANTONIO CARLOS','SC','124241241117131731643614575122610128077',6087,'21',58.91,1,2,1),(15,2806002,'1974-09-17 00:00:00',2,1,12,1992,'F','N','BELA VISTA I','SAO JOSE','SC','424161168127131411126149391324610122147',21855,'9998',32.77,1,2,1),(15,2806010,'1990-07-10 00:00:00',4,1,12,2007,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241115131131335614575122610134197',NULL,'733',16.91,1,3,NULL),(15,2806029,'1990-03-12 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241225131431426414345124610127042',17698,'262',40.80,1,3,NULL),(15,2806037,'1988-01-25 00:00:00',4,1,12,2006,'F','N','BELA VISTA','SAO JOSE','SC','124241241111162431425613135124610127037',21115,'257',34.62,4,2,1),(15,2806045,'1980-02-10 00:00:00',2,1,12,2000,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124244241212134431226654385124230267047',18252,'9999',39.89,4,3,NULL),(15,2806053,'1987-08-14 00:00:00',2,1,12,2004,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241241127274131423611382114610134147',8166,'294',55.07,1,2,1),(15,2806061,'1986-11-30 00:00:00',4,1,12,2003,'M','N','CENTRO','ANTONIO CARLOS','SC','124241241115371431642374272124610122145',18947,'21',38.75,1,2,1),(15,2806070,'1984-12-18 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241246216153732115344345321233236043',NULL,'494',8.65,1,3,NULL),(15,2806096,'1990-11-17 00:00:00',4,1,12,2007,'M','N','MONTE CRISTO','FLORIANOPOLIS','SC','124241241115131131435514242124610117042',22396,'293',30.41,4,3,NULL),(15,2806100,'1989-04-05 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124161161117131431226621375324610123145',NULL,'9998',20.62,1,3,NULL),(15,2806118,'1988-03-23 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241115272431423319572314610122142',18730,'307',39.11,1,2,1),(15,2806126,'1988-03-23 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241115272431423319572314610122142',17434,'307',41.17,1,2,1),(15,2806134,'1988-02-01 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241147472731524324242125610138027',13735,'277',46.56,2,3,NULL),(15,2806142,'1952-11-15 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241237522131431314449392324610166141',NULL,'9997',22.67,1,3,NULL),(15,2806150,'1984-06-13 00:00:00',4,1,9,2003,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','224241246137372431237844145333131024147',18769,'306',39.04,1,2,1),(15,2806169,'1991-04-14 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124244248112131431336924475124610128142',NULL,'292',24.81,1,3,NULL),(15,2806177,'1985-03-29 00:00:00',2,1,9,2003,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241117132431343321442124610127042',16573,'306',42.48,1,2,1),(15,2806185,'1974-07-01 00:00:00',4,1,7,2003,'F','N','FORQUILHAS','SAO JOSE','SC','224241247227132421236354342124610131147',21961,'307',32.40,1,3,NULL),(15,2806193,'1988-12-26 00:00:00',2,1,12,2006,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241125132411445613285224610134187',15672,'307',43.85,1,2,1),(15,2806207,'1985-08-15 00:00:00',2,1,12,2002,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','224241241112135412223354482314122367147',20312,'307',36.21,1,3,NULL),(15,2806215,'1977-05-25 00:00:00',2,1,12,2002,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','224201247222135412223344242344133267047',20979,'1003',34.89,2,3,NULL),(15,2806223,'1986-04-11 00:00:00',2,1,12,2003,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241127271231331724245124130224057',17563,'922',40.99,1,3,NULL),(15,2806231,'1985-05-02 00:00:00',2,1,12,2004,'M','N','AREIAS DE BAIXO','GOVERNADOR CELSO RAMOS','SC','124251241146312431434529345334610124047',21154,'257',34.55,1,2,1),(15,2806240,'1987-12-12 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241126142731415523385114610114145',20482,'285',35.91,1,3,NULL),(15,2806258,'1974-01-02 00:00:00',2,1,12,2001,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','224051051127471431322544441324610126067',NULL,'9998',11.25,2,1,1),(15,2806266,'1989-05-02 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241346372411343355375124120527077',5070,'829',60.96,1,3,NULL),(15,2806274,'1987-01-19 00:00:00',2,1,7,2007,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241247221131431413348382344610137027',21974,'9999',32.34,1,3,NULL),(15,2806282,'1989-10-05 00:00:00',2,1,12,2007,'F','N','SERRARIAS','SAO JOSE','SC','124241241114131431367934375124610137142',10286,'306',51.50,1,2,1),(15,2806290,'1989-09-12 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241116111231535723572324610123142',21013,'306',34.82,1,2,1),(15,2806304,'1983-06-10 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241117473511323524592124233268197',13809,'307',46.45,1,3,NULL),(15,2806320,'1990-01-03 00:00:00',2,1,12,2006,'F','N','GUARDA DO CUBATÃO','PALHOCA','SC','124241241121131531423311341234610132147',NULL,'593',0.00,5,2,1),(15,2806339,'1989-11-24 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241126372131524524345114610126147',17843,'285',40.60,1,2,1),(15,2806347,'1983-11-10 00:00:00',2,1,12,2003,'M','N','CARIANOS','FLORIANOPOLIS','SC','124201241127133742435511112224610137047',20953,'294',34.95,5,3,NULL),(15,2806355,'1980-10-19 00:00:00',2,1,12,2001,'F','N','ROÇADO','SAO JOSE','SC','124161161127131711333531182314610124182',NULL,'9998',21.87,1,2,1),(15,2806363,'1983-05-16 00:00:00',2,1,12,2000,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241241127135731541319295232220567147',NULL,'281',20.63,1,2,1),(15,2806371,'1976-05-28 00:00:00',2,1,11,1997,'M','N','SANTOS DUMONT','SAO JOSE','SC','124161121127371421123341312333610164017',NULL,'9998',0.00,4,2,1),(15,2806380,'1988-09-30 00:00:00',2,1,3,2006,'F','N','ALTO ARIRIÚ','PALHOCA','SC','124241241117372411323821315124610161026',16307,'739',42.89,1,2,1),(15,2806398,'1985-01-10 00:00:00',2,1,12,2002,'F','N','ABRAAO','FLORIANOPOLIS','SC','124241241136134421526311195124232764147',16541,'307',42.53,1,2,1),(15,2806401,'1989-07-13 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124243241121271431326824571224610163147',15982,'281',43.41,4,3,NULL),(15,2806410,'1990-12-17 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241115151411538421372114610127141',22241,'288',31.32,1,3,NULL),(15,2806428,'1990-05-18 00:00:00',4,1,12,2007,'M','N','SAMBAQUI','FLORIANOPOLIS','SC','124241241145131431323324371124610122143',6734,'307',57.67,1,2,1),(15,2806436,'1983-09-18 00:00:00',2,1,11,2003,'F','N','TAPERA','FLORIANOPOLIS','SC','224241241135131431226351282324610161147',NULL,'307',25.68,1,2,1),(15,2806444,'1971-04-23 00:00:00',2,1,8,2006,'F','N','TAPERA','FLORIANOPOLIS','SC','124241247127131431524348382324610136147',17883,'306',40.53,1,2,1),(15,2806452,'1987-02-05 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124212211317371731218729375214610134182',7075,'9999',57.01,1,3,NULL),(15,2806460,'1987-09-03 00:00:00',2,1,12,2004,'F','N','KOBRASOL','SAO JOSE','SC','124161241115475441434431575114610164147',15736,'732',43.76,1,2,1),(15,2806479,'1985-11-26 00:00:00',2,1,12,2003,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124241241136132731433523445124610128187',NULL,'307',0.00,1,2,1),(15,2806487,'1985-09-04 00:00:00',2,1,12,2002,'M','N','BARREIROS','SAO JOSE','SC','124241241112132431553319381123610128047',NULL,'257',0.00,1,3,NULL),(15,2806495,'1968-02-22 00:00:00',2,1,12,2005,'F','N','PONTE IMARUIM','PALHOCA','SC','124243247322132431636319281324610122147',21272,'596',34.27,2,1,2),(15,2806509,'1977-10-16 00:00:00',2,1,6,1999,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124241247232135411554419241221610127047',14626,'1003',45.24,2,3,NULL),(15,2806517,'1989-06-30 00:00:00',2,1,2,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242248317372731337723392124610127052',8744,'267',54.11,1,3,NULL),(15,2806525,'1979-11-20 00:00:00',2,1,12,2000,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124101105117131721333344241334610122047',20544,'9998',35.81,2,1,1),(15,2806533,'1983-02-06 00:00:00',4,1,12,2001,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241147134731111425482344610132147',21310,'16',34.16,1,3,NULL),(15,2806541,'1989-10-14 00:00:00',2,1,12,2007,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANOPOLIS','SC','124241241125131432423324242334610115145',NULL,'294',17.51,1,2,1),(15,2806550,'1987-05-11 00:00:00',2,1,12,2004,'F','N','KOBRASOL','SAO JOSE','SC','124241241115473441434629575124610164097',13541,'732',46.83,1,2,1),(15,2806568,'1985-09-27 00:00:00',2,1,12,2002,'M','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','224201201112171421234344342214141212115',NULL,'9998',0.00,1,2,1),(15,2806576,'1980-07-24 00:00:00',2,1,10,2002,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124161246135474111123344141124131424057',11493,'306',49.72,1,2,1),(15,2806584,'1988-06-25 00:00:00',2,1,12,2005,'F','N','KOBRASOL','SAO JOSE','SC','124241241125273431544613372124610123187',14623,'736',45.24,1,2,1),(15,2806592,'1989-10-10 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241115151431433311572324610167055',14311,'306',45.71,1,2,1),(15,2806606,'1990-08-17 00:00:00',2,1,12,2007,'F','N','BELA VISTA I','SAO JOSE','SC','124241241116131411436733375125610112057',19231,'734',38.29,1,2,1),(15,2806614,'1990-11-16 00:00:00',2,1,11,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241137131411513311272324610112147',NULL,'288',14.97,1,2,1),(15,2806622,'1990-04-06 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241127131411421314142324610115015',20506,'281',35.87,4,3,NULL),(15,2806630,'1989-10-09 00:00:00',2,1,11,2006,'M','N','CENTRO','MAFRA','SC','124131241116132431414729572314610144057',10040,'542',51.87,4,2,1),(15,2806649,'1987-02-03 00:00:00',2,1,12,2004,'F','N','ARIRIU','PALHOCA','SC','124241241121113411433519391334610136177',NULL,'593',21.24,1,3,NULL),(15,2806657,'1987-12-20 00:00:00',4,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124243247437271411436619382114610148097',NULL,'9999',16.79,1,3,NULL),(15,2806665,'1985-01-30 00:00:00',4,1,12,2002,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241241142474451426629241124122246191',4648,'257',61.88,1,2,1),(15,2806681,'1990-11-20 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124243241117151431257829572124610165177',980,'306',73.64,1,3,NULL),(15,2806690,'1989-07-28 00:00:00',2,1,12,2007,'F','N','AREIAS','SAO JOSE','SC','124241241122131131613378182124610143044',21562,'730',33.60,1,2,1),(15,2806711,'1990-06-23 00:00:00',2,1,12,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241147131431323377392124610138197',13665,'278',46.66,1,3,NULL),(15,2806720,'1987-12-22 00:00:00',2,1,7,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241117132431533419275224610127057',18538,'306',39.42,1,2,1),(15,2806738,'1985-01-01 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241135131431335319445324610117087',22182,'291',31.57,1,2,1),(15,2806746,'1990-12-10 00:00:00',4,1,12,2007,'M','N','JARDIM AQUARIUS','PALHOCA','SC','124241241225131731533334342214610137047',21073,'262',34.72,1,3,NULL),(15,2806754,'1988-03-03 00:00:00',2,1,9,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241115373431227826445124610124152',NULL,'306',0.00,1,3,NULL),(15,2806762,'1969-06-12 00:00:00',2,1,12,2005,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','224203207346131121324444241114610146197',NULL,'9999',21.87,1,3,NULL),(15,2806770,'1986-02-18 00:00:00',2,1,12,2003,'M','N','RATONES','FLORIANOPOLIS','SC','124241241137134121345319442123610117067',10809,'267',50.73,1,2,1),(15,2806789,'1988-05-07 00:00:00',2,1,12,2005,'F','N','VILA ALVORADA','IMBITUBA','SC','124241241116133431223328245124231443147',NULL,'359',0.00,1,2,1),(15,2806797,'1976-03-05 00:00:00',2,1,12,1997,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','224241241126135431223644442223220517047',9423,'359',52.91,1,2,1),(15,2806800,'1990-03-02 00:00:00',2,1,12,2007,'F','N','REAL PARQUE','SAO JOSE','SC','124241241117111411423611382124610124147',19179,'734',38.38,1,2,1),(15,2806819,'1990-11-05 00:00:00',2,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124241241116121431535519185124610166082',9936,'307',52.03,3,2,1),(15,2806827,'1989-02-13 00:00:00',2,1,11,2007,'M','N','BALNEARIO','FLORIANOPOLIS','SC','124241241115141411216611445334610167027',NULL,'306',36.85,1,2,1),(15,2806835,'1988-04-20 00:00:00',2,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124243241215372431238724242224133228047',20887,'1036',35.11,1,3,NULL),(15,2806843,'1984-02-10 00:00:00',2,1,3,2004,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241247146133431234344342234610164147',12117,'9999',48.84,1,3,NULL),(15,2806860,'1987-12-17 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241116371411433344245124610163047',21772,'669',33.04,1,2,1),(15,2806878,'1988-05-31 00:00:00',2,1,12,2005,'F','N','PASSA VINTE','SAO JOSE','SC','124241241127131411323421242224610124147',NULL,'733',10.84,1,3,NULL),(15,2806886,'1988-05-31 00:00:00',2,1,12,2005,'F','N','PASSA VINTE','SAO JOSE','SC','124241241127271411323421282221232754147',10460,'733',51.25,1,3,NULL),(15,2806894,'1990-08-16 00:00:00',4,1,12,2007,'F','N','FORQUILHAS','SAO JOSE','SC','124241241135131431231528242324610135077',NULL,'733',0.00,1,2,1),(15,2806908,'1989-12-14 00:00:00',2,1,12,2007,'F','N','REAL PARQUE','SAO JOSE','SC','124243241225141521326419394124610122141',6998,'262',57.15,1,3,NULL),(15,2806916,'1986-12-16 00:00:00',2,1,12,2004,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241117144421236623241124220563092',17132,'307',41.67,1,2,1),(15,2806924,'1988-07-30 00:00:00',2,1,7,2007,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241248126141421633131582224610127045',NULL,'9999',0.00,1,3,NULL),(15,2806932,'1990-08-25 00:00:00',4,1,12,2007,'F','N','FORQUILHAS','SAO JOSE','SC','124241241112131731424319572124610144142',NULL,'733',21.33,1,3,NULL),(15,2806940,'1977-11-08 00:00:00',2,1,12,1994,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241122275431333319442234610122147',15452,'295',44.19,2,1,1),(15,2806959,'1983-10-06 00:00:00',4,1,12,2002,'F','N','CAMINHO NOVO','PALHOCA','SC','124241241147271721536644441112610167117',21686,'591',33.30,4,2,1),(15,2806967,'1983-10-06 00:00:00',4,1,12,2003,'F','N','CAMINHO NOVO','PALHOCA','SC','124241241127161751536624442133610124037',20009,'591',36.81,4,2,1),(15,2806975,'1989-10-05 00:00:00',4,1,4,2007,'M','N','FORQUILHAS','SAO JOSE','SC','124241241117272431326624275124610162147',5166,'739',60.78,1,2,1),(15,2806983,'1984-01-17 00:00:00',2,1,12,2004,'M','N','BARRA DO ARIRIU','PALHOCA','SC','124241241127131431535644442344610117047',NULL,'591',23.64,1,3,NULL),(15,2806991,'1985-11-09 00:00:00',2,1,12,2002,'F','N','AREIAS','SAO JOSE','SC','124243241111374431535634342124610117057',17889,'307',40.50,1,3,NULL),(15,2807009,'1989-06-25 00:00:00',4,1,12,2006,'F','N','JARDIM SOLEMAR','SAO JOSE','SC','124241241335332411421534241344610123145',16112,'1022',43.21,4,3,NULL),(15,2807017,'1988-01-02 00:00:00',4,1,12,2005,'F','N','SERTAO IMARUIM','SAO JOSE','SC','124241241116132751323413481124610166152',NULL,'733',22.82,2,3,NULL),(15,2807025,'1989-11-16 00:00:00',4,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241111131431623623571324610126097',NULL,'727',16.98,1,3,NULL),(15,2807033,'1977-09-20 00:00:00',4,1,12,1995,'M','N','CENTRO','FLORIANOPOLIS','SC','124203203126234411123341212244610134047',10654,'9998',50.94,1,3,NULL),(15,2807041,'1990-08-18 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241117141732413119272344610127055',NULL,'307',23.66,1,2,1),(15,2807050,'1990-07-18 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241136131731226667345234510164187',21775,'733',33.04,1,3,NULL),(15,2807068,'1990-02-14 00:00:00',4,1,12,2007,'M','N','FORQUILINHAS','SAO JOSE','SC','124241241215311431336524572114610122147',1540,'266',71.04,1,3,NULL),(15,2807076,'1990-09-23 00:00:00',2,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241317311431511811276124610153147',14860,'300',44.95,1,3,NULL),(15,2807084,'1973-05-12 00:00:00',2,1,12,2000,'F','N','FORQUILHINHAS','SAO JOSE','SC','624241241122132751223444342344610112097',NULL,'277',22.22,1,2,1),(15,2807092,'1979-07-22 00:00:00',2,1,12,2005,'M','N','FORQUILHINHAS','SAO JOSE','SC','624241241122132431223643335324610124017',NULL,'944',0.00,1,3,NULL),(15,2807106,'1969-09-23 00:00:00',2,1,12,1987,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241143152431434229113314121627115',21391,'281',33.99,1,3,NULL),(15,2807114,'1990-10-05 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243241111131431456923572124610134047',21678,'65',33.31,1,3,NULL),(15,2807122,'1990-04-10 00:00:00',4,1,12,2007,'F','N','PRADO','BIGUACU','SC','124241241125131411323511571325610137182',NULL,'65',0.00,1,2,1),(15,2807130,'1990-09-29 00:00:00',2,1,12,2007,'M','N','VENDAVAL','BIGUACU','SC','124241241136141421333339395121610147062',NULL,'65',25.59,1,2,1),(15,2807149,'1987-02-11 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241116131431623111295124610122047',NULL,'359',0.00,1,2,1),(15,2807157,'1988-03-23 00:00:00',2,1,12,2005,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','124241241117131241223144142324610153072',15938,'359',43.47,1,2,1),(15,2807165,'1990-06-21 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124241241117211732323331282124610117057',20726,'307',35.45,1,3,NULL),(15,2807173,'1990-08-20 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124243241117131751323324572324610167071',NULL,'307',23.99,1,3,NULL),(15,2807181,'1990-05-23 00:00:00',4,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241248125171431414314572224610125087',NULL,'9997',6.16,1,3,NULL),(15,2807190,'1990-09-06 00:00:00',2,1,12,2007,'F','N','PRADO','BIGUACU','SC','124241241125141431323368142324610114047',22024,'65',32.19,1,2,1),(15,2807203,'1986-10-28 00:00:00',2,1,12,2007,'F','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124241241112132712523229382124610114117',18991,'306',38.68,1,2,1),(15,2807211,'1986-02-06 00:00:00',4,1,11,2004,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241626133431346729445124610137047',NULL,'262',0.00,1,3,NULL),(15,2807220,'1989-09-07 00:00:00',2,1,12,2007,'M','N','PRADO','BIGUACU','SC','124241241117131431633431242324610167047',NULL,'65',18.91,1,3,NULL),(15,2807246,'1980-05-28 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243247242131431433328382113610124187',NULL,'9999',0.00,1,3,NULL),(15,2807254,'1990-01-19 00:00:00',2,1,12,2007,'F','N','SANTINHO','FLORIANOPOLIS','SC','124242241211111321468612275124610128092',21725,'1048',33.19,1,3,NULL),(15,2807262,'1991-01-13 00:00:00',4,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241122131731424421272324610127142',21397,'290',33.97,1,2,1),(15,2807270,'1976-07-14 00:00:00',4,1,12,2006,'M','N','CENTRO','PALHOCA','SC','224241243126134421433344246123230826057',20553,'733',35.79,1,2,1),(15,2807289,'1977-05-03 00:00:00',4,1,12,1995,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','624241241132132421436374212124610132142',20798,'500',35.29,2,1,1),(15,2807297,'1984-02-09 00:00:00',4,1,12,2001,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201205116271431223336195124221168187',12280,'9998',48.60,1,2,1),(15,2807300,'1983-06-07 00:00:00',2,1,12,2000,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','224241241112132731235654342234610164147',NULL,'293',0.00,1,2,1),(15,2807319,'1981-03-13 00:00:00',2,1,11,1998,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','224241241137134421238319445234333212057',NULL,'307',0.00,1,2,1),(15,2807327,'1983-08-01 00:00:00',2,1,12,2003,'F','N','JARDIM ELDORADO','PALHOCA','SC','124241247127131531213648486314610152027',20258,'9997',36.32,1,2,1),(15,2807335,'1987-03-26 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241117112431326621285224610117042',11175,'307',50.20,1,3,NULL),(15,2807343,'1986-12-20 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124281241217475731539464572114610122097',15659,'266',43.86,4,3,NULL),(15,2807351,'1977-10-18 00:00:00',2,1,12,1999,'M','N','JARDIM SUL','SAO JOSE DOS CAMPOS','SP','125252251127271511134844343324610147057',9386,'9998',52.97,1,3,NULL),(15,2807360,'1990-12-28 00:00:00',4,1,12,2007,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124243241325371431326628571124610137142',21244,'262',34.32,1,3,NULL),(15,2807378,'1989-04-06 00:00:00',4,1,11,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241227131431316621572344610127047',NULL,'262',0.00,2,1,2),(15,2807386,'1989-07-18 00:00:00',2,1,12,2006,'F','N','BARRA DO ARIRIÚ','PALHOCA','SC','124241241315472341627823391224610168172',6938,'989',57.27,1,3,NULL),(15,2807394,'1969-09-30 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','224241241125131721521144342124610136197',NULL,'290',0.00,1,2,1),(15,2807408,'1990-04-10 00:00:00',2,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241123131432324313582341610127047',17591,'290',40.95,1,3,NULL),(15,2807416,'1978-06-14 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241125131711624144144224610123017',NULL,'290',0.00,1,3,NULL),(15,2807424,'1980-02-28 00:00:00',2,1,11,1997,'F','N','SERRARIA','SAO JOSE','SC','224241241126133421236244245124130222117',16221,'726',43.02,1,2,1),(15,2807432,'1985-02-19 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201201117472431123344342124130864147',16828,'9998',42.12,1,2,1),(15,2807440,'1989-04-27 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241147131731433535345114610127147',18659,'687',39.23,1,2,1),(15,2807459,'1977-05-08 00:00:00',4,1,12,1996,'F','N','TRINDADE','FLORIANOPOLIS','SC','124122121437131431126444445114610122097',20311,'9998',36.21,1,3,NULL),(15,2807467,'1978-02-21 00:00:00',2,1,7,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','624241247125231321323351181114610167143',NULL,'9999',33.26,1,2,1),(15,2807483,'1989-11-11 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241116132131333314272112610122147',20166,'288',36.50,1,3,NULL),(15,2807491,'1989-07-30 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241112372431526413572124610137042',3949,'271',63.60,1,2,1),(15,2807505,'1990-07-24 00:00:00',2,1,12,2007,'F','N','PICADAS DO SUL','SAO JOSE','SC','124241241116371421434611572124610126187',6448,'739',58.17,1,2,1),(15,2807513,'1990-03-20 00:00:00',2,1,12,2007,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241117131331326624295124610165147',NULL,'307',17.33,1,2,1),(15,2807521,'1990-05-14 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241115131431334324395124610133077',19403,'307',38.01,1,2,1),(15,2807530,'1989-10-23 00:00:00',2,1,12,2006,'F','N','RATONES','FLORIANOPOLIS','SC','124241241227132611535434285124233264067',NULL,'262',0.00,1,3,NULL),(15,2807548,'1987-09-23 00:00:00',4,1,12,2004,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241117272431436374344124143264147',20414,'638',36.02,1,2,1),(15,2807556,'1989-09-27 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124243241116372731449613375124610122172',12020,'307',48.96,1,3,NULL),(15,2807564,'1989-10-06 00:00:00',4,1,12,2007,'F','N','IPIRANGA','SAO JOSE','SC','124241248112131731326324272124610118187',22184,'295',31.56,1,2,1),(15,2807572,'1990-11-25 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241135131711214379291325610167057',7781,'295',55.73,1,2,1),(15,2807580,'1990-09-18 00:00:00',4,1,12,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241135131432446623392124610167047',15907,'295',43.53,1,2,1),(15,2807599,'1990-07-11 00:00:00',4,1,12,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241117141132433614146314610131147',11967,'295',49.03,1,2,1),(15,2807602,'1990-06-05 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241135141431424414242324610127047',21896,'295',32.62,1,2,1),(15,2807610,'1981-04-08 00:00:00',2,1,7,1999,'F','N','TRINDADE','FLORIANOPOLIS','SC','124202201437134431127744245134143227017',8889,'9998',53.85,1,3,NULL),(15,2807629,'1990-12-28 00:00:00',4,1,11,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241117131232327529345124610162147',15678,'733',43.84,1,2,1),(15,2807637,'1968-06-10 00:00:00',4,1,12,2005,'F','N','COSTEIRA','FLORIANOPOLIS','SC','524241247327141432321344142334610113182',22278,'9999',31.14,2,3,NULL),(15,2807645,'1982-03-19 00:00:00',2,1,12,2000,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241244121135411633344252124610133147',20712,'651',35.48,1,3,NULL),(15,2807653,'1985-05-14 00:00:00',2,1,12,2002,'F','N','ESTREITO','FLORIANOPOLIS','SC','124201201336132431223554345124610116142',21821,'9998',32.88,4,3,NULL),(15,2807661,'1985-07-18 00:00:00',2,1,12,2004,'M','N','BELA VISTA I','SAO JOSE','SC','124241248111513311433414391124230212051',NULL,'976',0.00,4,3,NULL),(15,2807670,'1990-11-05 00:00:00',2,1,12,2007,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241117121431343713572124610137147',11451,'307',49.77,1,2,1),(15,2807688,'1990-03-02 00:00:00',2,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124121241115271431448634575124610137047',18331,'307',39.74,1,2,1),(15,2807696,'1988-10-25 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117372431523311185124610137147',12085,'307',48.88,1,2,1),(15,2807700,'1989-06-21 00:00:00',4,1,12,2007,'F','N','FUNDOS','BIGUACU','SC','124241241625131431623314172114610113147',22438,'262',29.88,1,3,NULL),(15,2807718,'1985-06-19 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241127374431426114392333610167027',11552,'298',49.63,1,2,1),(15,2807726,'1990-08-26 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241117131431236629295114610167047',20402,'307',36.05,1,3,NULL),(15,2807734,'1990-02-09 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241115131431225519472324610123147',12436,'307',48.38,1,2,1),(15,2807742,'1990-08-15 00:00:00',2,1,12,2007,'F','N','RIO FARIAS I','ANTONIO CARLOS','SC','124241241117131751633616272222610147047',12976,'21',47.62,1,2,1),(15,2807750,'1990-12-20 00:00:00',4,1,12,2007,'F','N','RIO CAVEIRAS','BIGUACU','SC','124243241112131731533612492124610118097',16966,'21',41.92,1,3,NULL),(15,2807769,'1988-07-05 00:00:00',4,1,12,2007,'F','N','RIO FARIAS','ANTONIO CARLOS','SC','124241241115161442513316452324610162057',21410,'21',33.94,1,3,NULL),(15,2807777,'1990-10-22 00:00:00',4,1,12,2007,'F','N','CANUDOS','ANTONIO CARLOS','SC','124241241116131431433319575121610132097',8109,'21',55.17,1,3,NULL),(15,2807785,'1990-05-28 00:00:00',4,1,12,2007,'F','N','CENTRO','ANTONIO CARLOS','SC','124241241116131731636614442121610117077',20816,'21',35.25,1,2,1),(15,2807793,'1984-03-09 00:00:00',2,1,12,2001,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','224241241114133431323547281344610126197',NULL,'295',0.00,1,2,1),(15,2807807,'1979-11-12 00:00:00',2,1,12,1999,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','224161161127231421635444241224610114187',21943,'9998',32.48,1,2,1),(15,2807815,'1984-09-05 00:00:00',2,1,7,2006,'F','N','CAMINHO NOVO','PALHOCA','SC','124241241125371431621124191334610136017',NULL,'591',22.62,1,2,1),(15,2807823,'1988-09-29 00:00:00',2,1,11,2006,'F','N','BARREIROS','SAO JOSE','SC','124241131117371431324521572324610164097',NULL,'9998',0.00,4,2,1),(15,2807831,'1986-04-13 00:00:00',2,1,12,2006,'F','N','CAMINHO NOVO','PALHOCA','SC','624241248125471232326344442124610124021',NULL,'591',23.02,4,3,NULL),(15,2807840,'1980-11-22 00:00:00',2,1,12,1998,'M','N','COLONINHA','FLORIANOPOLIS','SC','624241241121474711423641211324120534017',10084,'307',51.81,2,1,1),(15,2807858,'1988-05-29 00:00:00',4,1,12,2005,'F','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124241241215573431426314571124610123187',12940,'1098',47.66,1,3,NULL),(15,2807866,'1989-11-28 00:00:00',2,1,12,2006,'F','N','SANTA MONICA','FLORIANOPOLIS','SC','124241241111311751113441311314610167052',21595,'534',33.53,1,3,NULL),(15,2807874,'1987-03-16 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241125371331633614241124610137143',17674,'279',40.83,1,2,1),(15,2807882,'1964-07-08 00:00:00',2,1,12,1982,'F','N','INGLESES','FLORIANOPOLIS','SC','224162168417373421536354445124610168187',13450,'9998',46.94,1,3,NULL),(15,2807890,'1978-09-04 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','224241247121132411323344141324610164182',NULL,'9999',27.02,1,2,1),(15,2807904,'1980-04-24 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','224241247121272411323454241324610164182',17582,'9999',40.96,1,2,1),(15,2807912,'1988-10-16 01:00:00',2,1,12,2006,'F','N','CACHOEIRADOBOMJESUS','FLORIANOPOLIS','SC','124243241112271731327429295124610142147',17968,'307',40.36,1,3,NULL),(15,2807920,'1989-10-08 00:00:00',2,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241115111731326724595124610127117',8204,'271',55.00,1,3,NULL),(15,2807939,'1971-10-25 00:00:00',2,1,12,1993,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241243124134431331341112222610162047',NULL,'282',0.00,1,2,1),(15,2807947,'1989-04-13 00:00:00',4,1,12,2007,'M','N','HIGIENOPOLIS','RIBEIRAO PRETO','SP','125252251217111732426814142321610167012',22468,'9998',29.26,1,3,NULL),(15,2807955,'1977-06-02 00:00:00',2,1,8,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','224241241125251431523355312121610127147',NULL,'9999',0.00,1,3,NULL),(15,2807963,'1990-07-26 00:00:00',4,1,12,2007,'F','N','JARDIM ELDORADO','PALHOCA','SC','124241241225131731336534575124610124172',NULL,'262',0.00,1,3,NULL),(15,2807971,'1991-04-30 00:00:00',4,1,12,2007,'F','N','CAMINHO NOVO','PALHOCA','SC','124241241225131431533513572124610126017',13478,'262',46.91,4,3,NULL),(15,2807980,'1989-10-24 00:00:00',2,1,12,2006,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','124241241135371411323823282124610133147',18999,'257',38.67,2,1,1),(15,2807998,'1986-11-04 00:00:00',2,1,12,2004,'M','N','MONTE CRISTO','FLORIANOPOLIS','SC','124241241112132431336823345114610137142',NULL,'293',0.00,2,3,NULL),(15,2808005,'1983-12-03 00:00:00',2,1,7,2003,'F','N','VILA NOVA','IMBITUBA','SC','124241245147131631423319472334610166047',17607,'359',40.93,1,3,NULL),(15,2808013,'1985-02-16 00:00:00',2,1,6,2004,'M','N','IPIRANGA','SAO JOSE','SC','124241241127132431229644441334610117055',20174,'66',36.49,4,2,1),(15,2808021,'1985-09-21 00:00:00',2,1,12,2003,'F','N','IPIRANGA','SAO JOSE','SC','124241241127133431223444341334610123095',20075,'307',36.68,4,2,1),(15,2808030,'1983-12-12 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124206241127131431116449392335610142187',21651,'289',33.38,2,1,2),(15,2808048,'1981-06-17 00:00:00',2,1,12,1999,'F','N','TRINDADE','FLORIANOPOLIS','SC','524241245226133311313344141134610156142',NULL,'266',20.93,1,3,NULL),(15,2808056,'1988-04-21 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241216132311423323245224610156142',NULL,'266',20.66,1,3,NULL),(15,2808064,'1989-09-26 00:00:00',2,1,7,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243247226131331423323285234610127142',22483,'9997',29.05,1,3,NULL),(15,2808072,'1983-06-23 00:00:00',2,1,12,2000,'F','N','BARREIROS','SAO JOSE','SC','224241241127134431226651242124122367142',9356,'19',53.04,1,2,1),(15,2808080,'1990-11-05 00:00:00',2,1,12,2007,'M','N','CAMINHO NOVO','PALHOCA','SC','124241241115131731333623571124610117047',15809,'592',43.66,1,2,1),(15,2808102,'1988-11-23 00:00:00',2,1,12,2005,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124241241225473431336739245234610121097',7875,'262',55.56,1,3,NULL),(15,2808110,'1988-08-25 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241115271431626624245124610117167',17832,'307',40.62,1,2,1),(15,2808129,'1988-11-07 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241127131411425614282114610124142',NULL,'281',31.46,1,2,1),(15,2808137,'1983-10-18 00:00:00',2,1,12,2001,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241126135421423319241134230824097',NULL,'592',20.85,1,3,NULL),(15,2808145,'1983-01-01 00:00:00',2,1,12,2003,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','224241247225471431221344145124610124147',18464,'1003',39.55,4,3,NULL),(15,2808153,'1986-11-27 00:00:00',2,1,7,2005,'M','N','BARREIROS','SAO JOSE','SC','124241241117131411533569146123610124097',13943,'306',46.24,1,2,1),(15,2808161,'1980-02-27 00:00:00',2,1,12,2000,'M','N','JURERE','FLORIANOPOLIS','SC','224161127227132431326644242244610167047',NULL,'9999',NULL,4,3,NULL),(15,2808170,'1990-05-18 00:00:00',2,1,12,2007,'M','N','ITAIBA','CONCORDIA','SC','124241246217131431425424375324610147052',14035,'1001',46.12,1,3,NULL),(15,2808188,'1986-11-15 00:00:00',2,1,12,2003,'F','N','ITAIBA','CONCORDIA','SC','124241241117131521425424476334230218172',18287,'193',39.81,1,3,NULL),(15,2808196,'1986-05-29 00:00:00',2,1,12,2003,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241121131432426634381341610117197',NULL,'922',0.00,1,2,1),(15,2808200,'1989-05-21 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124243241216132511335744345134610167042',NULL,'269',20.97,1,3,NULL),(15,2808218,'1978-04-17 00:00:00',2,1,12,1999,'M','N','VENDAVAL','BIGUACU','SC','224211246121134421526644142222222322057',6850,'306',57.45,2,1,1),(15,2808226,'1976-10-13 00:00:00',2,1,12,2002,'F','N','VENDAVAL','BIGUACU','SC','224243241327132431521354182224610112194',NULL,'63',22.77,1,3,NULL),(15,2808234,'1981-12-28 00:00:00',2,1,12,2001,'F','N','INGLESES','FLORIANOPOLIS','SC','124244247427372431126644342324610116142',14271,'9999',45.77,1,3,NULL),(15,2808242,'1985-01-18 00:00:00',2,1,6,2004,'F','N','BARREIROS','SAO JOSE','SC','124241241132311431333423482114610137047',NULL,'293',26.70,2,3,NULL),(15,2808250,'1984-08-25 00:00:00',2,1,12,2002,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','124211241112134421223644442334610167073',19740,'293',37.35,2,1,1),(15,2808269,'1990-05-23 00:00:00',4,1,12,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241117131231533334375124610162032',21779,'306',33.02,1,2,1),(15,2808277,'1989-06-15 00:00:00',2,1,12,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241124272431523311116224610164097',10194,'278',51.64,1,2,1),(15,2808285,'1990-04-11 00:00:00',2,1,12,2007,'F','N','JORDAO','GOVERNADOR CELSO RAMOS','SC','124241241117131731323334572124610128157',NULL,'64',20.96,1,3,NULL),(15,2808293,'1990-10-08 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124243241147371441436911582124610134165',6067,'307',58.94,1,3,NULL),(15,2808307,'1989-08-06 00:00:00',2,1,12,2007,'F','N','ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC','124241241137131711213721382324610142112',4434,'307',62.41,1,3,NULL),(15,2808315,'1973-01-23 00:00:00',2,1,12,1993,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','224203205111132731526351481213610161143',NULL,'9998',0.00,4,3,NULL),(15,2808323,'1989-11-12 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241112371431529671192224610164011',10594,'306',51.03,1,2,1),(15,2808331,'1983-08-22 00:00:00',4,1,11,2001,'F','N','SERRARIA','SAO JOSE','SC','124241241416575731447833491124233223187',3163,'907',65.67,1,3,NULL),(15,2808340,'1982-03-25 00:00:00',2,1,8,2002,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241247225311422221144241334610162182',20645,'1000',35.61,1,3,NULL),(15,2808358,'1983-10-27 00:00:00',2,1,11,2002,'F','N','SÃO LUIZ','SAO JOSE','SC','124241241127472411313318482344610127143',NULL,'733',25.44,1,2,1),(15,2808366,'1982-03-05 00:00:00',2,1,10,2000,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','124244248227471311427344441334610156077',22339,'988',30.78,2,3,NULL),(15,2808374,'1984-07-16 00:00:00',2,1,7,2006,'F','N','CAMINHO NOVO','PALHOCA','SC','224241247335372731326744442334610122187',22477,'9999',29.14,2,1,2),(15,2808382,'1987-05-06 00:00:00',2,1,12,2004,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241216473431124841312324610134147',15834,'663',43.62,4,3,NULL),(15,2808390,'1987-07-19 00:00:00',2,1,12,2004,'F','N','CENTRO','BRUNOPOLIS','SC','124241241125134431624615292324133222187',NULL,'911',21.37,4,2,1),(15,2808404,'1980-10-25 00:00:00',2,1,12,2000,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','124241245125472721335324142224610126047',NULL,'307',0.00,1,2,1),(15,2808412,'1989-03-24 00:00:00',2,1,12,2007,'F','N','FLOR E NÁPOLIS','SAO JOSE','SC','124241241115271431323129342324610138057',21894,'733',32.62,4,2,1),(15,2808420,'1989-02-17 00:00:00',4,1,12,2007,'F','N','SÃO LUIZ','SAO JOSE','SC','124241248115371431437923382324610125097',NULL,'733',20.74,1,3,NULL),(15,2808439,'1990-09-07 00:00:00',4,1,12,2007,'F','N','PICADAS DO SUL','SAO JOSE','SC','124241241116111731423334295324610117142',NULL,'733',23.20,1,3,NULL),(15,2808447,'1982-05-06 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241125372321525513442114610167065',NULL,'277',15.30,1,2,1),(15,2808455,'1984-01-25 00:00:00',2,1,12,2001,'F','N','COLONINHA','FLORIANOPOLIS','SC','124241241115474731335414442334610164147',18661,'257',39.22,1,2,1),(15,2808463,'1978-07-26 00:00:00',2,1,12,1996,'F','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','124243241114135431521319181124122347147',9935,'307',52.03,1,3,NULL),(15,2808471,'1975-03-16 00:00:00',4,1,12,1994,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241248122133231435313142334610168052',NULL,'298',23.09,1,3,NULL),(15,2808480,'1987-12-15 00:00:00',2,1,12,2005,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241134133431633823372214610147077',13366,'257',47.10,2,2,1),(15,2808498,'1990-11-17 00:00:00',4,1,11,2007,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124244241225111431323379395124610137147',11988,'262',49.00,1,3,NULL),(15,2808501,'1990-04-08 00:00:00',2,1,12,2007,'F','N','JARDIM ELDORADO','PALHOCA','SC','124241241225131531523314576224610124097',18945,'262',38.75,1,3,NULL),(15,2808510,'1990-03-12 00:00:00',4,1,12,2007,'F','N','JARDIM ELDORADO','PALHOCA','SC','124241241221271731436614571124610124192',10023,'262',51.90,1,3,NULL),(15,2808528,'1990-10-29 00:00:00',4,1,11,2007,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124243241225131431423314575324610125097',19648,'262',37.52,1,3,NULL),(15,2808536,'1988-05-23 00:00:00',4,1,11,2007,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241225132451421324144234610164177',8033,'262',55.31,4,3,NULL),(15,2808544,'1981-12-22 00:00:00',2,1,6,2000,'M','N','BOA VISTA','BIGUACU','SC','124241248117375421533444445134133262197',9389,'306',52.96,1,2,1),(15,2808552,'1985-12-11 00:00:00',4,1,7,2006,'F','N','VILA NOVA','IMBITUBA','SC','124241241117131731424344442314610117047',NULL,'9999',0.00,1,3,NULL),(15,2808560,'1983-12-10 00:00:00',2,1,7,2003,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241137372411631344342334610127052',16830,'281',42.12,1,2,1),(15,2808579,'1982-06-03 00:00:00',2,1,11,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124161161126132431123344242314610167052',22484,'9998',29.01,2,2,1),(15,2808587,'1990-09-09 00:00:00',4,1,12,2007,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241125161431536615172222610164057',NULL,'649',7.31,1,2,1),(15,2808595,'1990-05-10 00:00:00',2,1,12,2007,'M','N','ABRAAO','FLORIANOPOLIS','SC','124241241125471421423432375124610168151',6177,'307',58.69,1,2,1),(15,2808609,'1988-12-06 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241126131532436413572224610138147',NULL,'283',15.93,1,2,1),(15,2808617,'1984-11-30 00:00:00',2,1,11,2003,'M','N','BARREIROS','SAO JOSE','SC','124241241126234731433119142213613267111',NULL,'730',0.00,1,3,NULL),(15,2808625,'1978-11-04 00:00:00',4,1,12,1995,'F','N','JARDIM CIDADE FPOLIS','SAO JOSE','SC','124241241142131431423251482344610166197',11086,'297',50.32,1,2,1),(15,2808633,'1981-12-25 00:00:00',2,1,12,1999,'M','N','ROCADO','SAO JOSE','SC','124241241141133431124344241324610134172',18406,'736',39.64,1,2,1),(15,2808641,'1985-01-23 00:00:00',2,1,12,2002,'F','N','MARIVONE','PALHOCA','SC','224241241222175411236354435334230822097',18804,'262',38.98,1,3,NULL),(15,2808650,'1989-04-08 00:00:00',2,1,12,2006,'M','N','PALHOÇA','PALHOCA','SC','124241241112133431326314572112610124097',20393,'772',36.07,1,3,NULL),(15,2808668,'1990-03-15 00:00:00',2,1,12,2007,'M','N','SERRINHA','FLORIANOPOLIS','SC','124241241115131731335414572124610137067',8309,'267',54.84,1,2,1),(15,2808676,'1983-08-04 00:00:00',4,1,12,2005,'M','N','FORQUILHINHAS','SAO JOSE','SC','124203241147131431223119445124133248017',18247,'9998',39.90,1,3,NULL),(15,2808684,'1977-08-02 00:00:00',2,1,12,2006,'F','N','JARDIM EUCALIPTOS','PALHOCA','SC','124241247127132522321144342334610123183',NULL,'9999',15.91,1,3,NULL),(15,2808692,'1986-02-20 00:00:00',2,1,12,2004,'M','N','ARIRIU','PALHOCA','SC','124241241124133731623311196324133261017',8580,'262',54.40,1,2,1),(15,2808706,'1986-03-09 00:00:00',2,1,12,2003,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','124241241126134711234529141124610145117',13547,'293',46.83,2,1,1),(15,2808714,'1985-01-28 00:00:00',2,1,12,2002,'F','N','ARIRIÚ','PALHOCA','SC','124241241116274431423319492134610168147',11851,'591',49.17,1,2,1),(15,2808722,'1979-04-04 00:00:00',2,1,12,1999,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124251254145574431323434484224610125187',20455,'9998',35.95,2,2,1),(15,2808730,'1982-12-03 00:00:00',4,1,12,2000,'F','N','JARDIM EUCALIPTOS','PALHOCA','SC','124241241111135431434414482324233242147',20249,'307',36.33,1,2,1),(15,2808749,'1980-03-24 00:00:00',2,1,2,1998,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124201206114373421226344245114133262147',8991,'9998',53.66,1,2,1),(15,2808757,'1986-04-21 00:00:00',5,1,12,2004,'M','N','SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC','124241241126134412323327345124610112197',17412,'279',41.21,1,2,1),(15,2808765,'1977-02-12 00:00:00',2,1,7,1999,'M','N','RATONES','FLORIANOPOLIS','SC','124241247226273421443313211124610165091',21633,'270',33.43,1,3,NULL),(15,2808773,'1991-01-08 00:00:00',4,1,12,2007,'F','N','MADRI','PALHOCA','SC','124241241115131451213623492324610127077',NULL,'733',25.86,4,3,NULL),(15,2808781,'1989-03-24 00:00:00',2,1,11,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241147131411413324482324610136147',18314,'288',39.77,4,3,NULL),(15,2808790,'1987-11-12 00:00:00',2,1,12,2005,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241125143431533523241334610136147',14021,'307',46.13,1,2,1),(15,2808803,'1982-10-09 00:00:00',2,1,9,2002,'F','N','SERRARIA','SAO JOSE','SC','124243246117134421225644243224610118097',8584,'306',54.39,1,3,NULL),(15,2808811,'1990-10-12 00:00:00',2,1,11,2007,'F','N','SERRARIA','SAO JOSE','SC','124201241117131431225664572224610121017',2981,'257',66.21,1,2,1),(15,2808820,'1980-10-17 00:00:00',2,1,12,1999,'F','N','ARIRIU','PALHOCA','SC','124241241126155711433239292114232734192',NULL,'593',0.00,1,2,1),(15,2808838,'1987-06-04 00:00:00',4,1,12,2005,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124201201147131431343344342224610132187',20739,'9998',35.42,4,2,1),(15,2808846,'1984-01-17 00:00:00',2,1,7,2005,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241125132421536644285123610117013',21065,'290',34.73,4,2,1),(15,2808854,'1990-05-24 00:00:00',4,1,12,2007,'F','N','ARMAÇÃO DO PANTANO','FLORIANOPOLIS','SC','124243241225141411225744246324610135077',17579,'262',40.96,4,3,NULL),(15,2808862,'1989-12-24 00:00:00',2,1,12,2006,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241117162751226324582244232724017',NULL,'281',30.20,1,2,1),(15,2808870,'1989-04-12 00:00:00',4,1,12,2007,'M','N','PASSA VINTE','PALHOCA','SC','124241241225131431621214245231610157172',21214,'262',34.40,1,3,NULL),(15,2808889,'1988-05-14 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124243248335131431524359491124610117112',22305,'307',31.00,1,3,NULL),(15,2808897,'1983-03-20 00:00:00',4,1,12,2000,'F','N','FLOR DE NAPOLIS','SAO JOSE','SC','124241241116135431323619145124610167047',NULL,'728',20.27,1,3,NULL),(15,2808900,'1983-08-01 00:00:00',2,1,12,2005,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241247122132411433344472324610128187',10906,'9999',50.60,1,2,1),(15,2808919,'1989-02-22 00:00:00',4,1,12,2007,'M','N','BALNEARIO','FLORIANOPOLIS','SC','124241241117471411225574392224610168147',6621,'9997',57.86,1,2,1),(15,2808927,'1989-09-09 00:00:00',4,1,12,2007,'M','N','JARDIM SÃO MIGUEL','BIGUACU','SC','124242241215121231223827595114610124043',18173,'270',40.02,1,3,NULL),(15,2808935,'1982-02-20 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124245241211472411321129391334131614047',NULL,'117',0.00,4,3,NULL),(15,2808943,'1990-09-16 00:00:00',2,1,12,2007,'M','N','CENTRO','DIONISIO CERQUEIRA','SC','124241241115131731423419292325613267057',NULL,'245',23.25,1,2,1),(15,2808951,'1989-11-24 00:00:00',2,1,12,2007,'M','N','JARDIM ELDORADO','PALHOCA','SC','124241241115131442323518572114610136047',21213,'592',34.40,1,2,1),(15,2808960,'1990-12-19 00:00:00',4,1,12,2007,'F','N','KOBRASOL','SAO JOSE','SC','124241241137141331325327245234610157072',NULL,'729',10.40,1,3,NULL),(15,2808978,'1988-01-26 00:00:00',2,1,7,2006,'M','N','SANTOS DUMONT','SAO JOSE','SC','124243248427171411426611295124130227042',NULL,'300',31.98,1,3,NULL),(15,2808986,'1989-10-28 00:00:00',2,1,11,2007,'F','N','JURERÊ','FLORIANOPOLIS','SC','124242241215151731556633272124610165182',16383,'1048',42.78,4,3,NULL),(15,2808994,'1986-06-01 00:00:00',2,1,12,2003,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241126134731323314282114610128142',NULL,'307',0.00,1,2,1),(15,2809001,'1980-02-21 00:00:00',2,1,12,1997,'F','N','COQUEIROS','FLORIANOPOLIS','SC','224241241116131431336654485122130822147',20700,'808',35.50,1,2,1),(15,2809010,'1989-06-28 00:00:00',2,1,12,2006,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241244137131431426613382314610127142',NULL,'288',20.12,1,3,NULL),(15,2809028,'1989-12-25 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244241112131432336624345124610138147',16552,'257',42.51,1,3,NULL),(15,2809036,'1990-08-31 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241117271451323824282324610128092',9051,'257',53.56,4,2,1),(15,2809044,'1968-01-13 00:00:00',2,1,12,1986,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','224241241112155421424449492122121137067',6363,'267',58.33,1,2,1),(15,2809052,'1989-06-17 00:00:00',4,1,12,2006,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241241225472431326623575224130232042',1936,'262',69.47,1,3,NULL),(15,2809060,'1989-06-28 00:00:00',3,1,12,2006,'F','N','SANTA TEREZA','RIO GRANDE DA SERRA','SP','125253251117572411436614575125610132037',2411,'9998',67.87,1,3,NULL),(15,2809079,'1988-08-25 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124201241146131431225924495124610163147',21066,'277',34.73,1,3,NULL),(15,2809087,'1982-07-18 00:00:00',2,1,12,1999,'F','N','SAVEIROS','BIGUACU','SC','124241241127373122213341111324610123142',21220,'275',34.39,2,2,1),(15,2809095,'1989-05-21 00:00:00',4,1,11,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124243241215111431358619572124610134182',NULL,'1048',31.48,1,3,NULL),(15,2809109,'1987-07-16 00:00:00',4,1,12,2005,'F','N','M SIMÃO BARROS LEVY','LIMEIRA','SP','125251258117471411536513471114610167077',8849,'9998',53.92,1,2,1),(15,2809117,'1981-07-03 00:00:00',2,1,12,2004,'F','N','FUNDOS','BIGUACU','SC','224243245127132421433654332344610164077',9734,'307',52.37,1,3,NULL),(15,2809125,'1990-06-23 00:00:00',4,1,12,2007,'F','N','FORQUILHAS','SAO JOSE','SC','124241241115131532313329382324610117187',22257,'727',31.25,1,2,1),(15,2809133,'1975-10-03 00:00:00',4,1,11,2007,'M','N','FUNDOS','BIGUACU','SC','224241247127131431431144142341610166017',17034,'9999',41.83,1,2,1),(15,2809141,'1987-05-10 00:00:00',2,1,12,2005,'F','N','PONTE DE IMARUIM','PALHOCA','SC','124241241336372431431324242121610124157',13037,'300',47.53,1,3,NULL),(15,2809150,'1966-09-10 00:00:00',2,1,5,2006,'F','N','TAPERA','FLORIANOPOLIS','SC','124241247225571422224141116344610113143',NULL,'9997',14.78,1,3,NULL),(15,2809168,'1987-08-16 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216113441238613591324230222172',278,'1022',79.03,1,3,NULL),(15,2809176,'1990-08-13 00:00:00',4,1,12,2007,'F','N','LAGOA DDA CONCEIÇAO','FLORIANOPOLIS','SC','124241241146141431533339395334610134187',NULL,'282',18.26,3,3,NULL),(15,2809184,'1979-06-03 00:00:00',4,1,12,1998,'F','N','AREIAS DO CAMPECHE','FLORIANOPOLIS','SC','424241247637132421423649182324610136187',16849,'1003',42.08,2,1,2),(15,2809192,'1990-11-15 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241145131431423319575123610137147',21620,'283',33.46,1,2,1),(15,2809206,'1979-08-29 00:00:00',4,1,12,1999,'M','N','SAO SEBASTIAO','PALHOCA','SC','224241241126134111323344245233610167047',22329,'277',30.83,1,2,1),(15,2809214,'1990-07-07 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241243125131431633314575124610124147',NULL,'283',18.74,4,2,1),(15,2809230,'1981-03-17 00:00:00',2,1,12,2001,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241126233411124416445334610112147',18839,'12',38.93,1,2,1),(15,2809249,'1985-08-18 00:00:00',4,1,6,2005,'F','N','PRAINHA','FLORIANOPOLIS','SC','124241241135472731224324242324610134147',NULL,'307',24.53,2,1,1),(15,2809257,'1987-05-18 00:00:00',2,1,10,2005,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124243241115474411228429182124610162087',8231,'9999',54.96,1,3,NULL),(15,2809265,'1988-01-28 00:00:00',2,1,12,2005,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241115273431324619282124610142017',11746,'286',49.33,1,2,1),(15,2809273,'1990-11-13 00:00:00',2,4,12,2007,'F','N','SCATOLIN','QUILOMBO','SC','124241241117131431424636572344610127147',22039,'9997',32.14,1,3,NULL),(15,2809281,'1989-06-12 00:00:00',2,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241111152531423414371222610111172',18210,'298',39.96,1,2,1),(15,2809290,'1987-02-07 00:00:00',2,1,12,2004,'F','N','SERRARIA','SAO JOSE','SC','124241241227134431324319592344610113147',7288,'262',56.62,1,3,NULL),(15,2809303,'1986-08-10 00:00:00',2,1,12,2003,'M','N','AREIAS','SAO JOSE','SC','124241241135472431223329342124130264142',15600,'257',43.96,1,2,1),(15,2809311,'1988-08-18 00:00:00',2,1,12,2006,'F','N','REAL PARQUE','SAO JOSE','SC','124241241125152421423321342124610144197',NULL,'734',19.45,1,2,1),(15,2809320,'1967-12-12 00:00:00',4,1,12,1993,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','624241241121173412324444345324610122057',NULL,'289',0.00,2,2,1),(15,2809338,'1982-05-28 00:00:00',2,1,11,2000,'M','N','PANTANAL','FLORIANOPOLIS','SC','124161165126374421111119295324221727052',7252,'9998',56.69,4,2,1),(15,2809346,'1984-06-29 00:00:00',2,1,6,2003,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124161168117141731129974342334610112182',NULL,'9998',0.00,1,3,NULL),(15,2809354,'1987-09-07 00:00:00',2,1,12,2004,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241146134411423639572124610137057',16513,'307',42.56,1,2,1),(15,2809362,'1989-03-25 00:00:00',2,1,12,2006,'F','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124242241116372431436613575124610137072',9548,'271',52.69,1,3,NULL),(15,2809370,'1989-12-12 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241115271431434434342124610122142',NULL,'307',24.41,1,3,NULL),(15,2809389,'1983-02-03 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241216375431126644345335120332147',5722,'210',59.62,1,3,NULL),(15,2809397,'1981-02-16 00:00:00',4,1,12,1999,'F','N','INGLESES','FLORIANOPOLIS','SC','124201201136132431113344242334141067097',16028,'9998',43.34,1,2,1),(15,2809400,'1974-06-29 00:00:00',5,1,12,1992,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124243241415575411127843432324321225117',8750,'360',54.10,1,3,NULL),(15,2809419,'1989-11-21 00:00:00',2,1,12,2007,'F','N','CENTRO','ANGELINA','SC','124241241117161411423319182224610167147',20129,'17',36.57,3,2,1),(15,2809427,'1981-09-05 00:00:00',2,1,12,1999,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241146131231113449395224330936087',6423,'395',58.21,4,2,1),(15,2809435,'1986-04-18 00:00:00',2,1,7,2004,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124243247335474421326527342114610147112',18547,'1003',39.41,1,3,NULL),(15,2809443,'1988-07-12 00:00:00',2,1,12,2005,'F','N','KOBRASOL','SAO JOSE','SC','124242247216134431228721285124610127097',18028,'9999',40.27,1,3,NULL),(15,2809451,'1990-07-03 00:00:00',2,1,12,2007,'M','N','AREIAS','SAO JOSE','SC','124241241146141411323324575124610135183',NULL,'730',21.87,1,2,1),(15,2809478,'1989-10-15 01:00:00',2,1,8,2007,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241115141631446731395124610167057',12188,'739',48.75,1,3,NULL),(15,2809486,'1974-10-05 00:00:00',2,1,12,1992,'F','N','BARREIROS','SAO JOSE','SC','124241241117134431623329442334230221097',17217,'307',41.54,1,3,NULL),(15,2809494,'1990-01-14 00:00:00',2,1,12,2007,'F','N','JORDÃO','GOVERNADOR CELSO RAMOS','SC','124241241116161431433314142124610122057',NULL,'64',22.77,1,2,1),(15,2809508,'1989-03-22 00:00:00',4,1,12,2006,'F','N','TIJUQUINHAS','BIGUACU','SC','124241241117132431422331582344610124147',12269,'64',48.63,4,3,NULL),(15,2809516,'1990-11-19 00:00:00',2,1,12,2007,'F','N','CANTO DOS GANCHOS','GOVERNADOR CELSO RAMOS','SC','124241241136131331333314275124610114057',18238,'64',39.91,1,3,NULL),(15,2809524,'1990-08-13 00:00:00',4,1,11,2007,'M','N','SÃO SEBASTIÃO','PALHOCA','SC','124241241227111431426511472124610124042',15379,'262',44.29,1,3,NULL),(15,2809532,'1990-08-14 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241225111731434614275124610117052',18675,'262',39.20,1,3,NULL),(15,2809540,'1988-11-27 00:00:00',4,1,12,2006,'F','N','SOROCABA','PAULO LOPES','SC','624244241622132431325754372324232731077',17408,'262',41.22,1,3,NULL),(15,2809567,'1977-10-03 00:00:00',4,1,12,1994,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','224241248126134431223344145134130227077',NULL,'314',0.00,1,3,NULL),(15,2809575,'1990-01-02 00:00:00',4,1,12,2007,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124241241117131431324619572124610147042',NULL,'307',20.45,1,2,1),(15,2809583,'1982-11-10 00:00:00',2,1,12,2001,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241126272741325514245334131027147',21024,'277',34.81,1,2,1),(15,2809591,'1986-05-17 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241113133431625419342214610123143',20112,'281',36.60,1,2,1),(15,2809605,'1990-07-25 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241115131431625419572224610127053',NULL,'281',26.58,1,2,1),(15,2809613,'1987-09-22 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241112132431625419572214610124143',20501,'281',35.88,1,2,1),(15,2809621,'1985-07-09 00:00:00',2,1,11,2002,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241122273431323354245124610124185',13151,'285',47.39,2,2,1),(15,2809630,'1971-11-04 00:00:00',2,1,12,1998,'M','N','INGLESES','FLORIANOPOLIS','SC','124243245322134421113349282214610117192',21439,'307',33.87,1,3,NULL),(15,2809648,'1988-11-28 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124243241142132151526611282224610122187',8645,'307',54.27,1,3,NULL),(15,2809656,'1987-07-19 00:00:00',4,1,12,2005,'F','N','ABRAAO','FLORIANOPOLIS','SC','124242241216373431328823585114610138117',NULL,'270',26.07,1,3,NULL),(15,2809664,'1987-02-06 00:00:00',2,1,12,2005,'F','N','AREIAS','SAO JOSE','SC','124241241112133732213344342334610138152',15266,'734',44.45,1,2,1),(15,2809672,'1986-09-13 00:00:00',2,1,12,2003,'F','N','JD JANAINA','BIGUACU','SC','124241241146271431127344445334610168147',NULL,'744',0.00,1,2,1),(15,2809680,'1987-04-02 00:00:00',2,1,12,2005,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241126273431223479192333610146057',17991,'292',40.33,2,2,1),(15,2809699,'1984-07-26 00:00:00',2,1,12,2002,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241121575531433324342334610127057',6175,'307',58.70,1,2,1),(15,2809702,'1971-12-01 00:00:00',2,1,12,1994,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124202201112131421224321211334610122011',16753,'9998',42.25,1,3,NULL),(15,2809729,'1976-10-04 00:00:00',2,1,12,1995,'M','N','RATONES','FLORIANOPOLIS','SC','224201202111134121433654334224610137047',12443,'9998',48.37,2,1,1),(15,2809737,'1990-12-06 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241115131711426814341224610126097',17751,'288',40.73,1,2,1),(15,2809745,'1987-05-22 00:00:00',2,1,8,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241241114133431523313381224222767147',NULL,'306',0.00,1,2,1),(15,2809753,'1989-09-02 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241115131721628369284324610125197',15166,'288',44.57,4,3,NULL),(15,2809761,'1962-01-25 00:00:00',2,1,12,1986,'M','N','CAMPECHE','FLORIANOPOLIS','SC','624211211126432441116648485314610127111',NULL,'9998',37.91,1,3,NULL),(15,2809770,'1989-02-05 00:00:00',2,1,12,2006,'F','N','SANTO ANTONIO LISBOA','FLORIANOPOLIS','SC','124243241215472421323313332334610137087',14875,'272',44.93,1,3,NULL),(15,2809788,'1987-04-04 00:00:00',2,1,7,2005,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','124243247337151741626924386124232726077',NULL,'300',15.71,1,3,NULL),(15,2809796,'1969-01-13 00:00:00',2,1,12,1987,'F','N','PONTE DO IMARUIM','PALHOCA','SC','224241248147133421332353272134610124047',17727,'512',40.76,1,2,1),(15,2809800,'1973-11-30 00:00:00',2,1,12,1996,'F','N','CARIANOS','FLORIANOPOLIS','SC','624161248126132411221244141234610121077',NULL,'281',0.00,1,2,1),(15,2809818,'1988-12-20 00:00:00',4,1,12,2007,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124241248111131431215579591324610137057',22175,'293',31.59,1,2,1),(15,2809826,'1990-05-22 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241131131431523311471222610126147',20096,'293',36.62,1,2,1),(15,2809834,'1982-08-12 00:00:00',2,1,12,2002,'M','N','FORQUILHINHAS','SAO JOSE','SC','224161161126131611553344145124610164043',15078,'9998',44.70,1,2,1),(15,2809842,'1983-01-27 00:00:00',2,1,12,2000,'F','N','FORQUILHINHAS','SAO JOSE','SC','224161161116131431553379445124610164143',9926,'9998',52.04,1,2,1),(15,2809850,'1975-02-20 00:00:00',4,1,12,1994,'M','N','AREIAS','SAO JOSE','SC','624241241326163421426944345114610138057',NULL,'734',0.00,1,3,NULL),(15,2809869,'1990-10-19 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241117131431533311342124610162047',17182,'592',41.60,1,2,1),(15,2809877,'1983-04-09 00:00:00',2,1,12,2000,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241121573421533324242124610143017',8552,'592',54.44,1,2,1),(15,2809885,'1989-12-14 00:00:00',4,1,12,2006,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','124241241117133731336623372324231824197',6987,'257',57.18,1,2,1),(15,2809893,'1985-05-17 00:00:00',4,1,10,2002,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241316275431236621345124610124017',8774,'9997',54.05,1,3,NULL),(15,2809907,'1983-12-07 00:00:00',2,1,12,2002,'F','N','BARREIROS','SAO JOSE','SC','124241241127133421623344242314610163182',19905,'257',37.01,1,2,1),(15,2809915,'1990-09-15 00:00:00',4,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124241241115131431223319292121610167052',12271,'739',48.63,1,2,1),(15,2809923,'1990-06-13 00:00:00',4,1,12,2007,'F','N','BELA VISTA','PALHOCA','SC','124241241115131431427933332124610168142',12393,'739',48.44,1,2,1),(15,2809931,'1989-04-27 00:00:00',2,1,12,2006,'F','N','CENTRO','SAO JOSE','SC','124242241315372231346814385124610165187',13746,'737',46.54,1,3,NULL),(15,2809940,'1982-04-23 00:00:00',2,1,12,2001,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241141132421123344345134610125097',NULL,'294',0.00,1,2,1),(15,2809958,'1972-02-25 00:00:00',2,1,12,1993,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248224131431223644242334122224127',21205,'445',34.42,1,3,NULL),(15,2809966,'1980-08-01 00:00:00',4,1,12,2003,'M','N','CARIANOS','FLORIANOPOLIS','SC','224241241132132421325544341133610164092',20283,'9999',36.26,1,3,NULL),(15,2809974,'1984-11-02 00:00:00',2,1,5,2005,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241247127332331123344345334610147087',21927,'9999',32.52,4,2,1),(15,2809982,'1984-03-12 00:00:00',2,1,12,2001,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241161111475421523335493124610124047',10125,'9998',51.75,1,2,1),(15,2809990,'1987-03-06 00:00:00',2,1,11,2004,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241111131431128648381314610124142',18712,'669',39.15,1,2,1),(15,2810000,'1981-06-09 00:00:00',2,1,12,2000,'M','N','PANTANAL','FLORIANOPOLIS','SC','124251253227332711123649112324610131027',21067,'9998',34.73,1,3,NULL),(15,2810018,'1982-07-03 00:00:00',2,1,12,2000,'F','N','BELA VISTA','SAO JOSE','SC','124241241127134431428374382344610164077',16716,'736',42.31,1,2,1),(15,2810026,'1990-07-17 00:00:00',2,1,12,2007,'M','N','BOA VISTA','SAO JOSE','SC','124241241115111412426833171344610167182',NULL,'1116',25.54,2,3,NULL),(15,2810034,'1988-04-02 00:00:00',2,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','624251241117272411226444342124610162017',10558,'140',51.08,4,2,1),(15,2810042,'1988-05-08 00:00:00',2,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','624241241117272411223844442124610166077',18445,'140',39.58,1,2,1),(15,2810050,'1988-05-10 00:00:00',2,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124241241112131411423319281344610115072',20231,'1116',36.36,2,3,NULL),(15,2810069,'1985-09-13 00:00:00',2,1,12,2003,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','124241241121133411326313285114610166077',NULL,'307',22.77,1,2,1),(15,2810077,'1989-11-04 00:00:00',2,1,12,2006,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241116132231425564395114610127057',21392,'733',33.98,1,2,1),(15,2810085,'1985-09-09 00:00:00',2,1,6,2004,'M','N','PRAIA COMRPIDA','SAO JOSE','SC','124241241147134222425544345113610114067',NULL,'733',0.00,1,2,1),(15,2810093,'1989-03-08 00:00:00',2,1,12,2007,'M','N','AREIAS','SAO JOSE','SC','124241247127131431522311185121610117053',NULL,'9999',0.00,1,2,1),(15,2810107,'1984-02-02 00:00:00',2,3,12,2001,'F','N','BALNEARIO CAMBURIU','BALNEARIO CAMBORIU','SC','124242241212133421426621312344131542197',5001,'269',61.08,1,3,NULL),(15,2810115,'1985-06-01 00:00:00',2,3,12,2004,'M','N','BALNEARIO CAMBURIU','BALNEARIO CAMBORIU','SC','124242241212131321426621312344610132117',18289,'269',39.81,1,3,NULL),(15,2810123,'1990-03-20 00:00:00',4,1,11,2007,'F','N','BELA VISTA','SAO JOSE','SC','124241241117131431224424575114610114147',NULL,'65',25.25,1,3,NULL),(15,2810131,'1987-11-30 00:00:00',4,1,12,2005,'F','N','PASSA VINTE','PALHOCA','SC','124242241226474231436514272124233231087',15776,'262',43.71,1,3,NULL),(15,2810158,'1988-02-27 00:00:00',2,1,12,2007,'F','N','LOS ANGELES','SAO JOSE','SC','124161245125131331523379291334610137142',NULL,'293',0.00,4,2,1),(15,2810166,'1990-08-08 00:00:00',2,1,12,2007,'F','N','IPIRANGA','SAO JOSE','SC','124241241117131431633519172124610163177',21995,'734',32.27,1,2,1),(15,2810174,'1990-12-17 00:00:00',4,1,12,2007,'M','N','LOEFFELSCHEIDT','AGUAS MORNAS','SC','124241241145161431323335252224610168147',22254,'978',31.27,1,2,1),(15,2810182,'1990-04-27 00:00:00',4,1,12,2007,'F','N','RIO DO CEDRO','AGUAS MORNAS','SC','124241241115131731423315572224610123072',17602,'978',40.93,1,3,NULL),(15,2810190,'1990-04-04 00:00:00',2,1,12,2007,'F','N','SANTACRUZDA FIGUEIRA','AGUAS MORNAS','SC','124241241115131711544413291124610126072',21507,'978',33.71,1,3,NULL),(15,2810212,'1990-09-16 00:00:00',4,1,12,2007,'F','N','MADRI','PALHOCA','SC','124241241117131411426619395234610122027',NULL,'591',0.00,1,2,1),(15,2810220,'1987-09-11 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242243214373411446513493124610112142',19058,'269',38.58,1,3,NULL),(15,2810239,'1990-09-17 00:00:00',2,1,12,2007,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241147131431426371571224610137067',NULL,'322',36.97,1,2,1),(15,2810247,'1990-03-02 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241115171731224424572124610127072',NULL,'307',23.36,1,2,1),(15,2810255,'1990-02-02 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241125131132324622242334610164142',19186,'293',38.37,1,2,1),(15,2810263,'1978-07-08 00:00:00',2,1,12,1995,'F','N','CAMPINAS','SAO JOSE','SC','624244241116334431234458335134130822047',13194,'257',47.34,1,3,NULL),(15,2810271,'1988-08-23 00:00:00',2,1,12,2005,'M','N','IPIRANGA','SAO JOSE','SC','124241241115333431633519182124610164177',21170,'734',34.51,1,2,1),(15,2810280,'1990-09-03 00:00:00',2,1,12,2007,'F','N','IPIRANGA','SAO JOSE','SC','124241241115131431433314242124610124192',13020,'734',47.56,1,2,1),(15,2810298,'1974-11-26 00:00:00',2,1,12,1992,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','224283288333152441236644443124142826047',16261,'1111',42.96,1,3,NULL),(15,2810301,'1984-07-23 00:00:00',2,1,9,2002,'F','N','MADRI','PALHOCA','SC','124241248117372411423319292324222327022',NULL,'306',25.01,4,3,NULL),(15,2810310,'1952-02-10 00:00:00',2,1,12,2002,'M','N','BARREIROS','SAO JOSE','SC','224243243324375731332253192124220518047',16810,'9997',42.15,4,3,NULL),(15,2810328,'1983-03-13 00:00:00',2,1,12,2000,'M','N','SERRARIA','SAO JOSE','SC','124242241435222431123344245123610117112',NULL,'946',0.00,1,3,NULL),(15,2810336,'1980-10-02 00:00:00',2,1,12,2001,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124201247346373431125444442334610167052',8383,'9999',54.71,1,3,NULL),(15,2810344,'1981-08-12 00:00:00',2,1,12,2003,'M','N','PRAINHA','FLORIANOPOLIS','SC','224241247227131122214311182324610144197',NULL,'9999',12.69,1,3,NULL),(15,2810352,'1990-05-07 00:00:00',4,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124203241117131431226624572224610138147',NULL,'298',25.03,1,3,NULL),(15,2810360,'1985-01-02 00:00:00',2,1,9,2003,'F','N','JARDIM ELDORADO','PALHOCA','SC','124243241116333721435574146134610124077',12165,'739',48.77,1,3,NULL),(15,2810379,'1989-09-04 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241126132431433314275124610167067',7387,'290',56.44,1,3,NULL),(15,2810387,'1976-03-02 00:00:00',2,1,12,1994,'F','N','INGLESES','FLORIANOPOLIS','SC','124251251142133441124444242334610133047',20323,'9998',36.20,4,2,1),(15,2810395,'1984-03-16 00:00:00',2,1,12,2001,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241144134451534419282223122217127',NULL,'307',0.00,4,2,1),(15,2810409,'1981-08-01 00:00:00',4,1,8,2006,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124243247232131431326418182123131217047',21375,'1003',34.03,1,3,NULL),(15,2810417,'1987-02-16 00:00:00',2,1,12,2004,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241146134431635312345124610167047',14381,'307',45.59,1,3,NULL),(15,2810425,'1990-09-06 00:00:00',2,1,11,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241115131441423611372224610127142',14822,'288',44.98,1,2,1),(15,2810433,'1985-11-16 00:00:00',2,1,12,2003,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241122134431436314342334610127097',18158,'727',40.05,1,2,1),(15,2810441,'1984-08-17 00:00:00',2,1,4,2004,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241111131531113141211233610124053',NULL,'739',22.84,1,3,NULL),(15,2810450,'1985-02-09 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241127135431226624281125220533117',18680,'307',39.19,4,2,1),(15,2810468,'1989-06-24 00:00:00',4,1,12,2006,'F','N','FLORESTA','SAO JOSE','SC','124241241117131431525523382124610135142',NULL,'257',24.70,1,2,1),(15,2810476,'1989-03-15 00:00:00',2,1,12,2007,'M','N','TRINDADE','MOGI DAS CRUZES','SP','124241243117131511224319392124610117115',NULL,'298',0.00,1,3,NULL),(15,2810484,'1977-02-11 00:00:00',2,1,12,2004,'F','N','ARMACAO PANTANO DO S','FLORIANOPOLIS','SC','124241245122142421412248281224610153141',NULL,'9999',16.84,1,2,1),(15,2810492,'1984-12-12 00:00:00',2,1,8,2003,'M','N','PRAIA DO FORTE','FLORIANOPOLIS','SC','124241241117132431424411295334610127047',12189,'306',48.75,1,3,NULL),(15,2810506,'1983-10-16 00:00:00',4,1,12,2001,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','624131131134131421344553245124143244047',19848,'9998',37.12,4,2,1),(15,2810514,'1985-10-22 00:00:00',4,1,12,2002,'F','N','ESTREITO','FLORIANOPOLIS','SC','124202201216132431127844345334141023097',4403,'9998',62.46,1,3,NULL),(15,2810522,'1985-06-18 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124241246147131431124419392324610127187',NULL,'359',0.00,1,2,1),(15,2810530,'1989-05-02 00:00:00',2,1,11,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124243241115171321423569571314610168182',22311,'288',30.96,4,3,NULL),(15,2810549,'1989-02-27 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241117131431426629276224610164187',21235,'288',34.36,1,3,NULL),(15,2810557,'1979-03-22 00:00:00',2,1,12,1999,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124241241121132431323679312324610164112',20447,'282',35.97,1,2,1),(15,2810565,'1983-12-25 00:00:00',2,1,12,2000,'F','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','224201201116131431221654385234610124197',NULL,'9998',0.00,1,2,1),(15,2810573,'1990-08-12 00:00:00',2,1,11,2007,'F','N','CENTRO','PALHOCA','SC','124241241217211431325523572124610124147',8854,'1011',53.91,1,3,NULL),(15,2810581,'1986-04-30 00:00:00',2,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','124241247445133331325644342124133267057',14479,'1036',45.45,1,3,NULL),(15,2810590,'1983-03-14 00:00:00',2,1,12,2000,'M','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','224081083126571431224644344234610124047',NULL,'9998',0.00,3,2,1),(15,2810603,'1989-07-02 00:00:00',2,1,12,2006,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241116273431448611345134610167067',14043,'307',46.11,1,2,1),(15,2810611,'1990-11-06 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241112131531436819115124610156077',20999,'734',34.85,4,3,NULL),(15,2810620,'1990-04-29 00:00:00',2,1,12,2007,'F','N','PASSA VINTE','PALHOCA','SC','124241241127131412426923342234610162147',20856,'592',35.18,1,2,1),(15,2810638,'1990-05-02 00:00:00',2,1,12,2007,'M','N','JARDIM CIDADE FPOLIS','SAO JOSE','SC','124241241131131411525434281124610136057',17095,'734',41.73,1,3,NULL),(15,2810646,'1988-01-18 00:00:00',2,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','124241241127141411436731292323610154057',19644,'734',37.54,1,2,1),(15,2810654,'1982-03-30 00:00:00',4,1,12,1999,'F','N','BARREIROS','SAO JOSE','SC','124243241436275431129344342234133223077',6534,'736',58.01,1,3,NULL),(15,2810662,'1990-07-12 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431468831212122610133182',9296,'262',53.12,1,3,NULL),(15,2810670,'1984-11-01 00:00:00',2,1,12,2004,'M','N','JARDIM ELDORADO','PALHOCA','SC','124241241136142711223344342314121424042',4105,'591',63.18,1,2,1),(15,2810689,'1990-04-16 00:00:00',2,1,11,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241112131431525311382324610122187',18755,'288',39.07,1,2,1),(15,2810697,'1989-04-12 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241117132411533413385124610126145',2180,'307',68.66,1,2,1),(15,2810700,'1976-07-20 00:00:00',2,1,12,1994,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124251251127575431123544141323131017117',NULL,'9998',0.00,1,3,NULL),(15,2810719,'1986-10-30 00:00:00',2,1,4,2004,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241117132751546434241124610121147',9841,'306',52.19,1,3,NULL),(15,2810727,'1989-08-24 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241146142111556434242114610127145',18598,'281',39.33,1,3,NULL),(15,2810735,'1970-11-20 00:00:00',2,1,8,1997,'F','N','ESTREITO','FLORIANOPOLIS','SC','224201205125131631231459391125610121197',NULL,'9998',19.81,4,2,1),(15,2810743,'1988-10-10 00:00:00',2,1,12,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241114472311324318381324610167147',17219,'281',41.54,1,2,1),(15,2810760,'1988-11-28 00:00:00',2,1,12,2006,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241248112132711434611342224610167017',NULL,'281',20.65,1,2,1),(15,2810778,'1988-12-04 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124243241117272431558813492124610127017',10988,'267',50.49,1,3,NULL),(15,2810786,'1990-02-11 00:00:00',2,1,12,2007,'F','N','SERRARIA','FLORIANOPOLIS','SC','124241241115131231623933295124610167057',NULL,'734',10.73,1,3,NULL),(15,2810794,'1990-08-05 00:00:00',4,1,2,2008,'F','N','AREIAS','SAO JOSE','SC','124251241117371431547614396124610131017',5038,'9997',61.01,1,2,1),(15,2810808,'1990-05-20 00:00:00',4,1,12,2007,'M','N','BOM VIVER','BIGUACU','SC','124241241135141421225524345114610127057',20921,'307',35.03,3,3,NULL),(15,2810816,'1990-11-27 00:00:00',2,1,12,2007,'F','N','JARDIM ELDORADO','PALHOCA','SC','124241241116131431523311572225610138187',16971,'591',41.91,1,2,1),(15,2810824,'1989-12-16 00:00:00',4,1,12,2007,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241226131431226524342324610125147',19610,'262',37.59,1,3,NULL),(15,2810832,'1987-08-22 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124201205115472431225724474124610136072',15727,'9998',43.77,1,3,NULL),(15,2810840,'1978-08-09 00:00:00',4,1,12,1996,'F','N','CENTRO','TIJUCAS','SC','624241241346133431224774482124422364187',14457,'272',45.49,1,3,NULL),(15,2810859,'1989-02-11 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241115131711224324186224610124187',21737,'307',33.16,1,2,1),(15,2810867,'1985-04-25 00:00:00',2,1,12,2003,'M','N','CENTRO','SOCORRO','SP','125251251117131431436449395233610131187',12288,'9998',48.59,1,2,1),(15,2810875,'1984-12-30 00:00:00',2,1,12,2001,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241114574431436319485224610137097',15432,'281',44.22,4,2,1),(15,2810883,'1987-06-22 00:00:00',4,1,12,2006,'M','N','CENTRO','TIJUCAS','SC','624241241126131121223144442114610162147',NULL,'1097',15.41,1,2,1),(15,2810891,'1970-12-16 00:00:00',2,1,12,1999,'F','N','BARREIROS','SAO JOSE','SC','124241245121134441227349131124132743187',NULL,'734',0.00,1,3,NULL),(15,2810905,'1985-10-23 00:00:00',2,1,12,2003,'F','N','SERRARIA','SAO JOSE','SC','124241241112275431436634442234610123147',11231,'307',50.11,1,2,1),(15,2810921,'1986-05-05 00:00:00',2,1,12,2003,'M','N','BELA VISTA I','SAO JOSE','SC','124241241136144431424311392124230827052',17018,'726',41.85,1,2,1),(15,2810930,'1986-09-18 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241112131431223329592324610144147',NULL,'288',12.18,1,2,1),(15,2810948,'1991-03-05 00:00:00',4,1,12,2007,'M','N','JORDÃO','BIGUACU','SC','124241241115131731424517582324610132187',NULL,'64',NULL,1,2,1),(15,2810956,'1989-04-28 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241135471431538313572324610124047',1595,'288',70.82,1,2,1),(15,2810972,'1983-12-30 00:00:00',4,1,11,2001,'M','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124241246116375431333339342224220222142',6862,'306',57.43,1,2,1),(15,2810980,'1969-05-04 00:00:00',2,1,12,2005,'F','N','SERRARIA','SAO JOSE','SC','124241245115274431121344342224610126147',17605,'293',40.93,2,1,1),(15,2811006,'1963-07-24 00:00:00',2,1,11,1994,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','524206207626131431322249395324142723027',NULL,'9999',22.61,1,3,NULL),(15,2811014,'1986-10-28 00:00:00',4,1,12,2005,'F','N','SERRARIA','SAO JOSE','SC','124243241127131731426471345124610134097',NULL,'736',20.10,2,3,NULL),(15,2811022,'1982-07-15 00:00:00',2,1,7,2002,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124243247321413431524414241334610127051',NULL,'1003',22.88,1,3,NULL),(15,2811030,'1990-02-14 00:00:00',4,1,12,2007,'F','N','MADRI','PALHOCA','SC','124241241116131431324424172224610137147',20304,'307',36.23,1,2,1),(15,2811049,'1989-10-21 00:00:00',2,1,12,2006,'F','N','CENTRO SÃO JOSÉ','SAO JOSE','SC','124241241117132431328724182334610137042',NULL,'733',19.01,1,3,NULL),(15,2811057,'1986-03-23 00:00:00',2,1,12,2002,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241112133451436633395124132733077',21550,'307',33.64,4,1,1),(15,2811065,'1990-05-24 00:00:00',2,1,12,2007,'M','N','CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC','124244241117271411437622272224610164142',8500,'288',54.51,1,3,NULL),(15,2811073,'1987-04-01 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241111132431326624441124610127142',NULL,'281',24.40,1,2,1),(15,2811081,'1985-11-23 00:00:00',2,1,11,2004,'M','N','ARAUCARIA','SAO JOSE','SC','124241241121131431526532442124610127042',17803,'946',40.66,1,2,1),(15,2811090,'1987-05-30 00:00:00',2,1,11,2006,'M','N','ARAUCARIA','SAO JOSE','SC','124241241126131431526532572124610127043',NULL,'257',23.72,1,3,NULL),(15,2811103,'1987-11-25 00:00:00',2,1,12,2005,'M','N','CAEIRA S DOS LIMÕES','FLORIANOPOLIS','SC','124241241117133431424419281124610127042',20930,'307',35.00,1,2,1),(15,2811111,'1990-02-17 00:00:00',4,1,12,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241111131431424621574224610127027',17506,'307',41.08,1,2,1),(15,2811120,'1983-04-29 00:00:00',2,1,12,2001,'M','N','CENTRO','FLORIANOPOLIS','SC','124261261126431441123434141324231056182',NULL,'9998',23.13,4,2,1),(15,2811138,'1989-11-10 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241147131731115623242331610125052',21411,'288',33.94,1,3,NULL),(15,2811146,'1984-10-11 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201201116374431523319192334130225087',19915,'9998',36.98,1,2,1),(15,2811154,'1965-10-10 00:00:00',2,1,8,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241247426131411423348282124610154097',22050,'9999',32.10,1,3,NULL),(15,2811162,'1990-11-22 00:00:00',4,2,12,2007,'F','N','CENTRO','ATALANTA','SC','124241241116131431428823472122610168142',9205,'39',53.26,1,2,1),(15,2811170,'1988-03-27 00:00:00',2,1,12,2005,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241241116273531325623585124610133143',12740,'293',47.93,4,3,NULL),(15,2811189,'1986-04-20 00:00:00',4,1,10,2004,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241116373431555513385124133237057',7143,'306',56.89,1,2,1),(15,2811197,'1982-06-12 00:00:00',2,1,12,2000,'F','N','ARAUCÁRIA','SAO JOSE','SC','624246241145373422234454245124610134147',18976,'66',38.71,1,3,NULL),(15,2811200,'1986-06-13 00:00:00',2,1,11,2004,'F','N','CAMPINAS','SAO JOSE','SC','124141241432271411326663382314132025147',NULL,'307',34.23,2,1,2),(15,2811219,'1990-05-17 00:00:00',4,1,12,2007,'F','N','AREIAS','SAO JOSE','SC','124241241222131431623311572324610128147',15887,'262',43.55,1,3,NULL),(15,2811227,'1989-08-05 00:00:00',2,1,12,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241134111311313369281324610112142',NULL,'307',0.00,1,2,1),(15,2811235,'1985-12-16 00:00:00',4,1,12,2003,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124161241137475431325529372324121834017',3326,'281',65.19,1,2,1),(15,2811243,'1982-10-24 00:00:00',2,1,12,1999,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241117131731525739242214610118187',21901,'257',32.61,2,1,1),(15,2811251,'1981-11-22 00:00:00',2,1,11,1999,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241117334431323544242324610127117',17908,'271',40.48,1,3,NULL),(15,2811260,'1986-08-20 00:00:00',2,1,12,2003,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','224241241116155431346544341124233268187',18805,'289',38.98,1,2,1),(15,2811278,'1990-08-17 00:00:00',2,1,12,2007,'F','N','ALTO ARÍRIU','PALHOCA','SC','124241241137331431643331575124610144147',21184,'307',34.47,1,3,NULL),(15,2811294,'1990-10-10 00:00:00',4,1,12,2007,'M','N','RIO DAS ANTAS','RANCHO QUEIMADO','SC','124241241126161431423313235235610114052',18873,'649',38.88,1,2,1),(15,2811308,'1976-05-17 00:00:00',2,1,12,1998,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','224241241126135711325343131134610112027',NULL,'726',0.00,1,2,1),(15,2811316,'1989-05-30 00:00:00',2,1,12,2007,'F','N','MATO FRANCÊS','RANCHO QUEIMADO','SC','124241241125161431423315152324610114057',NULL,'649',22.98,1,2,1),(15,2811324,'1985-06-26 00:00:00',2,1,12,2003,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241245137132421665723382114610164197',NULL,'307',0.00,1,3,NULL),(15,2811332,'1990-04-19 00:00:00',4,1,12,2007,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241125161411523414371322610116147',NULL,'649',0.00,1,2,1),(15,2811340,'1990-08-10 00:00:00',4,1,12,2007,'F','N','AREIAS','SAO JOSE','SC','124244241115131711426414475124610128147',NULL,'307',16.50,1,3,NULL),(15,2811359,'1982-01-18 00:00:00',2,1,12,2000,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','224241241147135431346554241114222221147',20351,'281',36.14,1,2,1),(15,2811367,'1980-05-14 00:00:00',4,1,12,1997,'F','N','CAMPINAS','SAO JOSE','SC','224243241212134731333354442114122924147',18871,'723',38.89,1,3,NULL),(15,2811375,'1983-11-24 00:00:00',2,1,12,2001,'M','N','FORTALEZA','BLUMENAU','SC','124241241127372411236644445224610114097',NULL,'79',0.00,1,2,1),(15,2811383,'1990-07-01 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241117131431665723572124610134197',16407,'307',42.74,1,2,1),(15,2811391,'1987-08-22 00:00:00',2,1,12,2004,'F','N','BARREIROS','SAO JOSE','SC','124241241117133731223321271344130823142',NULL,'257',0.00,4,2,1),(15,2811405,'1989-12-04 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241115131411323429281224610166143',21636,'288',33.42,1,2,1),(15,2811413,'1989-07-06 00:00:00',2,1,12,2006,'F','N','PICADAS DO SUL','SAO JOSE','SC','124241241137131711313324282324611318192',NULL,'727',21.50,1,2,1),(15,2811421,'1988-03-27 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241117131732222323572124610127147',NULL,'288',18.41,1,2,1),(15,2811430,'1986-07-29 00:00:00',4,1,12,2004,'F','N','BARREIROS','SAO JOSE','SC','124243241215135731323419495124221565147',5778,'738',59.51,1,3,NULL),(15,2811448,'1989-11-22 00:00:00',4,1,12,2007,'M','N','ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC','124241241225131421223329245124610122142',8674,'262',54.22,1,3,NULL),(15,2811456,'1990-07-14 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124242241212111731545514572124610125077',NULL,'1048',25.48,1,3,NULL),(15,2811464,'1990-02-15 00:00:00',4,1,12,2007,'F','N','SERRARIAS','FLORIANOPOLIS','SC','124241241625131431426313241224610143057',21564,'262',33.59,4,1,2),(15,2811472,'1987-03-07 00:00:00',2,1,12,2004,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241147134431123744242223233267057',9743,'750',52.36,1,2,1),(15,2811480,'1983-10-21 00:00:00',4,1,12,2005,'F','N','JANAINA','BIGUACU','SC','124241241127131432516834282341610124147',NULL,'66',24.77,4,3,NULL),(15,2811499,'1988-06-11 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124242241412111431545514345134610147077',19565,'1048',37.70,1,3,NULL),(15,2811510,'1986-03-12 00:00:00',2,1,12,2004,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241112132411548113385124610167042',20866,'295',35.17,1,2,1),(15,2811529,'1987-02-19 00:00:00',2,1,12,2004,'F','N','ROÇADO','SAO JOSE','SC','124241241436154411326624492334610123097',20737,'1076',35.43,4,3,NULL),(15,2811537,'1975-08-09 00:00:00',4,1,12,2006,'M','N','AREIAS','SAO JOSE','SC','124241247122132421423319293344610126047',NULL,'9997',0.00,1,3,NULL),(15,2811545,'1989-04-17 00:00:00',2,1,12,2007,'F','N','JARDIM CIDADE FPOLIS','SAO JOSE','SC','124241241115131431526319575124610135147',21050,'257',34.76,1,2,1),(15,2811553,'1988-07-10 00:00:00',4,1,12,2005,'M','N','JOAO PAULO','FLORIANOPOLIS','SC','124241241116133431546314382114610114045',NULL,'307',0.00,1,3,NULL),(15,2811561,'1990-03-03 00:00:00',4,1,12,2007,'M','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124161241117141431436621242114610137047',NULL,'307',21.19,1,2,1),(15,2811570,'1984-09-17 00:00:00',2,1,12,2002,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124241248127142421126344241334610127097',19787,'296',37.26,1,2,1),(15,2811588,'1979-09-03 00:00:00',2,1,12,2003,'F','N','SERRINHA','FLORIANOPOLIS','SC','224243241347371711323344441114610121097',NULL,'275',26.30,1,3,NULL),(15,2811596,'1965-04-02 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241245122173421433348482224610112147',NULL,'293',29.41,1,2,1),(15,2811600,'1987-02-18 00:00:00',4,1,12,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241227272711434628341234130262147',12738,'262',47.93,1,3,NULL),(15,2811618,'1989-02-12 00:00:00',2,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124246247434171731333524483114610167041',NULL,'9999',18.21,1,3,NULL),(15,2811626,'1985-03-05 00:00:00',2,1,12,2004,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215175431333524445124222964041',NULL,'260',0.00,1,3,NULL),(15,2811634,'1988-09-14 00:00:00',2,1,12,2005,'F','N','ENCRUZO','JAGUARUNA','SC','124241241116272411323415395224121227147',9648,'1034',52.50,1,2,1),(15,2811650,'1990-08-24 00:00:00',2,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241127131731614513171324610125075',NULL,'281',24.98,1,3,NULL),(15,2811669,'1990-05-17 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241125141731423324242334610136147',13107,'274',47.44,1,2,1),(15,2811677,'1979-06-12 00:00:00',2,1,6,2000,'M','N','PICADAS DO SUL','SAO JOSE','SC','224241247127133421233344342344610167047',18943,'9999',38.76,1,2,1),(15,2811685,'1989-03-08 00:00:00',2,1,12,2007,'F','N','FORTALEZA DA BARRA','FLORIANOPOLIS','SC','124131241115131751326621571124610168142',13505,'306',46.89,4,2,1),(15,2811693,'1983-07-24 00:00:00',2,1,12,2006,'M','N','PONTE DO IMARUIM','PALHOCA','SC','224241241145373441236644142124610114047',10941,'425',50.55,2,1,1),(15,2811707,'1983-12-28 00:00:00',2,1,12,2006,'F','N','BARRA DO ARIRIÚ','PALHOCA','SC','124241247127471431324321243324610121177',18299,'9997',39.80,1,2,1),(15,2811715,'1979-10-12 00:00:00',2,1,11,2000,'F','N','INGLESES','FLORIANOPOLIS','SC','124243246114133751523323395124320367097',11284,'306',50.04,1,3,NULL),(15,2811723,'1987-04-17 00:00:00',2,1,12,2004,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124241241417374411643623575124231924057',12377,'300',48.46,1,3,NULL),(15,2811731,'1988-03-31 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241326272411434823585124230264057',12091,'262',48.87,1,3,NULL),(15,2811740,'1988-10-06 00:00:00',2,1,12,2005,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241146474741223624385124610114187',10610,'283',51.01,1,3,NULL),(15,2811758,'1985-11-30 00:00:00',2,1,12,2004,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241122272431221544242334610117147',12571,'282',48.18,4,3,NULL),(15,2811766,'1981-06-10 00:00:00',2,1,12,1999,'M','N','BARREIROS','SAO JOSE','SC','124251251126131431123644342324610137141',19959,'9998',36.91,1,2,1),(15,2811774,'1963-03-29 00:00:00',4,1,12,1980,'F','N','BOM VIVER','BIGUACU','SC','524242241112131421629343432344242756097',16388,'307',42.78,1,3,NULL),(15,2811782,'1985-10-29 00:00:00',2,1,12,2003,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124201241135373431226844142334610167117',10535,'271',51.14,1,2,1),(15,2811790,'1988-12-22 00:00:00',2,1,12,2005,'M','N','CAMPINAS','SAO JOSE','SC','124241241113133731334434342215610161197',16230,'732',43.01,1,2,1),(15,2811804,'1981-09-07 00:00:00',2,1,2,2001,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','224071071117131421236443435124610137147',NULL,'9998',0.00,4,1,1),(15,2811812,'1971-01-27 00:00:00',2,1,12,2000,'F','N','CAERA DA BARRA DO SU','FLORIANOPOLIS','SC','224241245121131421626451332124232725187',NULL,'277',24.23,1,3,NULL),(15,2811820,'1989-11-04 00:00:00',4,1,12,2007,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241117131721426711345324610148141',11922,'306',49.07,1,2,1),(15,2811839,'1987-06-10 00:00:00',2,1,12,2004,'F','N','CENTRO','PALHOCA','SC','124241241127134411326344346334610166182',21133,'593',34.58,4,3,NULL),(15,2811847,'1988-09-11 00:00:00',2,1,12,2005,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241117132431645524242334610137145',13798,'283',46.47,1,2,1),(15,2811855,'1983-04-06 00:00:00',2,1,12,2000,'F','N','BELA VISTA','SAO JOSE','SC','224161161147272421231354144234610126197',14328,'9998',45.68,1,2,1),(15,2811863,'1981-06-03 00:00:00',2,1,7,2000,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241246136475441126444442125221722187',NULL,'303',0.00,1,2,1),(15,2811871,'1988-09-09 00:00:00',2,1,12,2005,'M','N','PRAINHA','FLORIANOPOLIS','SC','124241241126132411523311295134610138052',NULL,'281',0.00,1,3,NULL),(15,2811880,'1989-06-06 00:00:00',4,1,12,2006,'M','N','PASSA VINTE','PALHOCA','SC','124241241425131441433339186121610165147',7249,'262',56.69,1,3,NULL),(15,2811898,'1990-08-26 00:00:00',4,1,1,2008,'F','N','LISBOA','SAO JOSE','SC','124241241115131331223624241124610125092',NULL,'733',17.51,4,2,1),(15,2811901,'1989-02-22 00:00:00',2,1,11,2007,'M','N','ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC','124241241225131431427624235123610137117',17792,'262',40.68,4,3,NULL),(15,2811910,'1990-12-07 00:00:00',4,1,12,2007,'M','N','BOM VIVER','BIGUACU','SC','124241241225111331423532572114610167113',5331,'262',60.45,1,3,NULL),(15,2811928,'1990-04-17 00:00:00',4,1,12,2006,'F','N','BELA VISTA I','SAO JOSE','SC','124243241447132731537679275124221144197',3664,'262',64.32,1,3,NULL),(15,2811936,'1989-01-30 00:00:00',2,1,12,2007,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241117131431646623376214610137187',9517,'306',52.74,4,2,1),(15,2811944,'1984-03-20 00:00:00',2,1,12,2002,'F','N','FORQUILHAS','SAO JOSE','SC','124241244136133441333529495134222242187',7879,'306',55.55,4,2,1),(15,2811952,'1983-05-29 00:00:00',4,1,12,2000,'F','N','SANTO ANTÔNIO DE LIS','FLORIANOPOLIS','SC','124241241116274421123644445234610144097',10534,'255',51.14,1,2,1),(15,2811960,'1989-06-11 00:00:00',4,1,12,2007,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124243241225131431346624585124610112047',9115,'262',53.43,1,3,NULL),(15,2811979,'1981-10-05 00:00:00',2,1,12,2000,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201207337271721226644342334140665187',NULL,'9998',0.00,1,3,NULL),(15,2811987,'1990-04-27 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241115371411356829492124610164091',NULL,'267',30.18,1,3,NULL),(15,2811995,'1988-01-31 00:00:00',2,1,12,2005,'F','N','JARDIM CARANDAÍ','BIGUACU','SC','224241241134132431328854447334610165145',13843,'307',46.39,1,2,1),(15,2812002,'1990-06-14 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241116131411423314375114610132147',16833,'288',42.11,1,2,1),(15,2812010,'1987-07-06 00:00:00',2,1,12,2005,'M','N','JARDIM CARANDAI','BIGUACU','SC','224241241121132751329944345334610163117',16247,'307',42.98,1,2,1),(15,2812037,'1972-08-26 00:00:00',2,1,12,2005,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241247221373431216444441224610166187',15676,'300',43.84,1,3,NULL),(15,2812045,'1988-09-15 00:00:00',2,1,12,2006,'M','N','JARDIM CARANDAÍ','BIGUACU','SC','124241241113132431435524392224610167097',11387,'306',49.87,1,2,1),(15,2812053,'1986-04-29 00:00:00',2,1,12,2005,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241125341731524339345134610125073',NULL,'727',0.00,1,3,NULL),(15,2812061,'1986-03-26 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124201241117471432228844442124610124197',NULL,'287',30.71,1,3,NULL),(15,2812070,'1985-08-14 00:00:00',2,1,12,2002,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241125472131623419582114610138187',20158,'285',36.51,1,2,1),(15,2812088,'1981-11-20 00:00:00',4,1,7,2006,'M','N','FLORESTA','SAO JOSE','SC','124241241142131412122149441324610136097',NULL,'976',19.02,4,2,1),(15,2812096,'1989-12-01 00:00:00',2,1,12,2006,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241115472431434313472124610132092',11890,'281',49.12,1,3,NULL),(15,2812100,'1990-04-15 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241116372431423311341134610132142',9489,'281',52.79,1,2,1),(15,2812118,'1988-10-12 00:00:00',2,1,12,2005,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241111472411334421312324610161121',18531,'281',39.43,1,2,1),(15,2812126,'1988-07-03 00:00:00',2,1,12,2006,'F','N','ARMAÇAO','FLORIANOPOLIS','SC','124241241127132722115549193344610134187',18753,'291',39.07,4,2,1),(15,2812142,'1967-12-03 00:00:00',2,1,12,1986,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','224241246135373431234644441324333217187',12473,'306',48.33,1,3,NULL),(15,2812150,'1985-05-08 00:00:00',2,1,12,2003,'F','N','ARIRIÚ','PALHOCA','SC','124241241126371411425623242124610162097',18539,'592',39.42,1,3,NULL),(15,2812169,'1986-10-02 00:00:00',4,1,12,2005,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241137133431523634485114610167042',21794,'283',32.97,1,2,1),(15,2812177,'1983-01-22 00:00:00',2,1,12,2000,'F','N','ARIRIÚ','PALHOCA','SC','124244241217275431447344342124121147147',7971,'774',55.41,1,3,NULL),(15,2812185,'1980-01-07 00:00:00',2,1,5,2007,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241247115371431138641412123610112052',15537,'9999',44.08,1,3,NULL),(15,2812193,'1986-06-03 00:00:00',2,1,4,2005,'M','N','ARIRIÚ','PALHOCA','SC','124243241117134431447334342123610127047',9990,'739',51.95,1,3,NULL),(15,2812207,'1974-02-21 00:00:00',2,1,12,1995,'F','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124243247325471431314448181124610114147',NULL,'263',7.64,4,3,NULL),(15,2812215,'1990-05-01 00:00:00',2,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124243247315271431436763495124610134167',NULL,'9999',19.65,1,3,NULL),(15,2812223,'1985-02-20 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241117133321523424481345610113147',NULL,'307',18.83,1,2,1),(15,2812231,'1985-12-05 00:00:00',4,1,12,2004,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241247226373431324421385125230224152',NULL,'9997',0.00,1,3,NULL),(15,2812240,'1989-07-28 00:00:00',2,1,12,2007,'F','N','COSTA DA LAGOA','FLORIANOPOLIS','SC','124241241113131431523364572225610113057',6676,'306',57.77,1,2,1),(15,2812258,'1978-01-22 00:00:00',2,1,12,1997,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241243127273431123644342334610124077',21814,'294',32.90,1,3,NULL),(15,2812266,'1982-12-02 00:00:00',4,1,12,2000,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241125135121223344342324610125097',21425,'646',33.90,1,3,NULL),(15,2812274,'1980-05-28 00:00:00',4,1,12,1999,'F','N','AREIAS DO CAMPECHE','FLORIANOPOLIS','SC','124241241127231431433511211324610121187',20270,'619',36.29,1,3,NULL),(15,2812282,'1989-11-27 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241112132411323314572124610121092',2508,'307',67.59,1,2,1),(15,2812290,'1988-09-19 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241248115131431333424472124610164145',20993,'306',34.86,1,2,1),(15,2812304,'1977-03-29 00:00:00',2,1,12,2001,'M','N','FORTALEZA DA BARRA','FLORIANOPOLIS','SC','124201203126375711126544245123610117027',14599,'9998',45.28,1,3,NULL),(15,2812312,'1988-09-01 00:00:00',2,1,12,2006,'F','N','COLONINHA','FLORIANOPOLIS','SC','124241241126372431634623345124610137047',NULL,'257',22.48,2,1,1),(15,2812320,'1989-09-18 00:00:00',4,1,11,2007,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124241241136151711524411272124610131187',21449,'307',33.84,1,3,NULL),(15,2812339,'1986-06-22 00:00:00',4,1,12,2004,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241248122141331633623245324610123065',NULL,'257',19.63,2,1,1),(15,2812347,'1981-02-08 00:00:00',4,1,9,2003,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','224243241326324411526554482324610116172',17468,'1003',41.13,2,1,2),(15,2812355,'1989-08-29 00:00:00',4,1,4,2007,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241117132431338634175124231068047',NULL,'739',0.00,1,3,NULL),(15,2812363,'1990-06-29 00:00:00',4,1,12,2007,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124221241117271431435714575224610162051',NULL,'307',36.93,1,2,1),(15,2812371,'1989-04-22 00:00:00',2,1,12,2007,'M','N','SAO GRANDE','FLORIANOPOLIS','SC','124243241316131431225339385124610127043',NULL,'307',0.00,1,3,NULL),(15,2812380,'1990-04-09 00:00:00',2,1,12,2007,'F','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124243241115131411536513572124610133147',21034,'307',34.79,1,3,NULL),(15,2812398,'1986-10-12 00:00:00',4,1,12,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241111374431224324441334610133147',16430,'307',42.70,1,2,1),(15,2812401,'1984-02-18 00:00:00',2,1,7,2003,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241247637271751323723382224610148077',NULL,'9999',13.44,2,3,NULL),(15,2812410,'1987-04-12 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243247227131411121149291334610166037',21162,'9999',34.52,1,3,NULL),(15,2812428,'1989-02-05 00:00:00',2,1,12,2007,'F','N','COSTEIRA','FLORIANOPOLIS','SC','224241241125131431223554242224610112147',NULL,'294',31.05,1,2,1),(15,2812436,'1985-02-28 00:00:00',4,1,12,2002,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241127335431223344342214610117012',18854,'307',38.91,1,2,1),(15,2812444,'1990-01-02 00:00:00',4,1,12,2007,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124241241135131711623314595124610134147',21142,'294',34.57,1,3,NULL),(15,2812452,'1989-05-02 00:00:00',4,1,11,2006,'M','N','TAPERA','FLORIANOPOLIS','SC','124241246135472431328619376144610127047',6874,'307',57.39,1,3,NULL),(15,2812460,'1976-08-13 00:00:00',2,1,12,1999,'M','N','CAMPECHE','FLORIANOPOLIS','SC','624241241127272431223354282124133237047',17227,'307',41.53,1,3,NULL),(15,2812479,'1984-11-10 00:00:00',2,1,7,2003,'F','N','BELA VISTA','SAO JOSE','SC','124241241116131431125529295124610167097',NULL,'257',22.24,1,2,1),(15,2812487,'1978-12-19 00:00:00',2,1,12,2004,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124161201124133431223315182324610122053',NULL,'9998',38.04,4,2,1),(15,2812495,'1982-05-27 00:00:00',2,1,12,1999,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241125132231226519252324122332027',7229,'218',56.74,4,2,1),(15,2812509,'1985-03-18 00:00:00',4,1,12,2003,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','224241241127133421222359282242610131197',20602,'315',35.68,1,2,1),(15,2812517,'1989-05-01 00:00:00',4,1,8,2007,'M','N','CENTRO','SAO JOSE','SC','124242241112131411336629575124610127142',NULL,'739',0.00,1,3,NULL),(15,2812525,'1957-05-28 00:00:00',2,1,12,1999,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','224241241121135431322254272114610131177',15244,'281',44.48,4,2,1),(15,2812533,'1989-05-21 00:00:00',2,1,8,2007,'F','N','CENTRO','PALHOCA','SC','124241241117131411633814172114610127142',18540,'739',39.42,1,2,1),(15,2812541,'1983-09-02 00:00:00',2,1,12,2001,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124121121122474431124444242334610162047',4717,'9998',61.71,1,2,1),(15,2812550,'1987-01-17 00:00:00',2,4,12,2004,'F','N','SÃO SEBASTIÃO','SAO MIGUEL DOESTE','SC','124241248137133231125544142324610133182',NULL,'757',0.00,1,2,1),(15,2812568,'1985-12-04 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241117132431325464482314131325147',13572,'267',46.78,2,1,2),(15,2812576,'1988-04-24 00:00:00',2,1,11,2005,'M','N','PROMORAR','FLORIANOPOLIS','SC','124242241211133711436518442114610137067',20250,'269',36.33,2,3,NULL),(15,2812584,'1963-12-10 00:00:00',2,1,12,1987,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','224202217213152711426819285224141665197',17748,'9999',40.74,1,3,NULL),(15,2812592,'1990-01-30 00:00:00',4,1,11,2007,'F','N','ABRAAO','FLORIANOPOLIS','SC','124241241215111431524424475124610163157',8967,'1098',53.71,1,3,NULL),(15,2812606,'1989-07-11 00:00:00',2,1,12,2007,'F','N','IPIRANGA','SAO JOSE','SC','124241241317472751336614242234610125077',NULL,'1098',28.92,1,3,NULL),(15,2812614,'1985-06-04 00:00:00',2,1,7,2004,'M','N','IPIRANGA','SAO JOSE','SC','124243241326134431336614295234610127111',13537,'295',46.84,1,3,NULL),(15,2812622,'1981-04-29 00:00:00',2,1,11,1999,'F','N','BARREIROS','SAO JOSE','SC','124241241122475431428344442234610112092',10441,'307',51.29,1,3,NULL),(15,2812630,'1975-06-03 00:00:00',4,1,12,1995,'M','N','ARIRIU','PALHOCA','SC','424241243122133111123344242223130846117',21198,'293',34.44,2,1,1),(15,2812649,'1986-11-24 00:00:00',2,1,12,2005,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241115373411424823475114610112147',13170,'298',47.37,1,2,1),(15,2812657,'1986-10-06 00:00:00',2,1,11,2005,'F','N','CACUPÉ','FLORIANOPOLIS','SC','124243241114112751347833281124610128027',NULL,'306',0.00,1,3,NULL),(15,2812665,'1989-02-28 00:00:00',2,1,12,2007,'M','N','CACUPÉ','FLORIANOPOLIS','SC','124241247417141431347833392124610136147',NULL,'9999',0.00,3,3,NULL),(15,2812673,'1987-12-03 00:00:00',2,1,12,2005,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124241248126463732333623271124610137117',16993,'307',41.88,4,2,1),(15,2812681,'1989-11-01 00:00:00',2,1,12,2007,'F','N','BOM VIVER','BIGUACU','SC','124243241112131431434339242124610144042',17993,'65',40.32,1,3,NULL),(15,2812690,'1983-07-29 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241122574411223344245334610126147',19168,'755',38.41,1,3,NULL),(15,2812703,'1986-05-19 00:00:00',2,1,6,2006,'M','N','FLOR DE NÁPOLIS','SAO JOSE','SC','124241247321172431436414442334610164047',18482,'9999',39.52,1,3,NULL),(15,2812711,'1982-06-19 00:00:00',2,1,12,2000,'F','N','FLOR DE NÁPOLIS','SAO JOSE','SC','124241241122174421436414482334610164197',NULL,'295',24.44,1,2,1),(15,2812720,'1989-03-11 00:00:00',2,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241111472751423329575114610167042',20760,'298',35.38,1,2,1),(15,2812738,'1985-09-27 00:00:00',2,1,12,2002,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124201201111133121226344442223610117047',NULL,'9998',0.00,1,3,NULL),(15,2812746,'1988-08-26 00:00:00',2,1,12,2005,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124201201117473441226744242214610124047',11867,'9998',49.15,1,2,1),(15,2812754,'1970-07-29 00:00:00',2,1,5,1989,'F','N','CARIANOS','FLORIANOPOLIS','SC','224243243322133431443352382124610122147',17474,'305',41.12,1,3,NULL),(15,2812762,'1988-12-16 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241115131431436824392124610124053',NULL,'733',22.15,1,3,NULL),(15,2812770,'1986-07-27 00:00:00',2,1,12,2003,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241225375411436824491124610126092',3537,'1036',64.67,1,3,NULL),(15,2812789,'1989-08-15 00:00:00',2,1,4,2007,'M','N','BELA VISTA','PALHOCA','SC','124241241116132441223528345121231446142',6048,'739',58.97,1,2,1),(15,2812797,'1988-04-04 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124251251117141451125641215331233267117',17559,'9998',41.00,1,2,1),(15,2812800,'1984-11-06 00:00:00',2,1,7,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241117133431123644345333131467112',6405,'306',58.25,1,3,NULL),(15,2812819,'1987-10-09 00:00:00',2,1,12,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241241117272731323319442334610127017',22314,'307',30.94,3,2,1),(15,2812827,'1987-10-02 00:00:00',2,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241126472411223144345324610125182',10700,'594',50.87,1,2,1),(15,2812835,'1980-12-28 00:00:00',4,1,12,1997,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241117131421223369282344610137145',NULL,'360',24.04,1,2,1),(15,2812843,'1982-08-31 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241247626131441228853382124610128177',NULL,'9999',20.51,1,3,NULL),(15,2812851,'1990-02-12 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241115131431326614442324610128097',NULL,'298',15.13,1,2,1),(15,2812860,'1990-09-22 00:00:00',2,1,11,2007,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241115131232325318272124610138142',17588,'288',40.95,1,3,NULL),(15,2812878,'1989-01-22 00:00:00',2,1,11,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241122111321411363242344610167147',NULL,'282',19.03,1,2,1),(15,2812886,'1989-04-05 00:00:00',2,1,11,2007,'M','N','COSTA DA LAGOA','FLORIANOPOLIS','SC','124241241122111331516833372324610127117',NULL,'282',23.52,4,3,NULL),(15,2812894,'1985-02-14 00:00:00',2,1,12,2004,'F','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124241248126133431421344141323610128092',NULL,'282',21.88,1,2,1),(15,2812908,'1979-12-25 00:00:00',2,1,12,2005,'M','N','FAZ SANTO ANTONIO','SAO JOSE','SC','124243247347131731123449196345610112047',NULL,'736',25.08,1,3,NULL),(15,2812916,'1990-10-13 00:00:00',2,10,11,2007,'F','N','CENTRO','GRAO PARA','SC','124241241117131431423314572124610167057',14709,'330',45.13,1,2,1),(15,2812924,'1989-11-12 00:00:00',2,1,12,2007,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124242241215111432558814575122610124077',6566,'258',57.95,1,3,NULL),(15,2812932,'1986-11-10 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124244241115373431433314445124610163092',14247,'267',45.80,1,3,NULL),(15,2812940,'1982-10-05 00:00:00',2,1,12,2000,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','624241241111133431323344242124610167087',15555,'307',44.04,1,3,NULL),(15,2812959,'1987-09-17 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241226135431535569342334230824157',21314,'262',34.16,1,3,NULL),(15,2812967,'1983-09-08 00:00:00',2,1,12,2004,'M','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124241241131134421222419491124610124147',NULL,'307',16.36,1,3,NULL),(15,2812983,'1968-10-30 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','224241241147131721338841212124610127147',10256,'257',51.56,1,2,1),(15,2812991,'1957-12-19 00:00:00',2,1,7,2006,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','224231247217131431634474272114610161197',NULL,'9999',22.07,1,3,NULL),(15,2813009,'1981-06-12 00:00:00',2,1,12,1998,'F','N','SANTO INACIO','FREDERICO WESTPHALEN','RS','120201201146131111423621485124442344024',10615,'9998',51.00,1,2,1),(15,2813017,'1989-04-27 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241141472431336624241124610127042',11096,'307',50.30,4,2,1),(15,2813025,'1987-07-26 00:00:00',2,1,7,2006,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124251241121131411221111384344133216042',11932,'288',49.06,4,1,1),(15,2813041,'1991-02-08 00:00:00',2,1,12,2007,'F','N','COLÔNIA SANTANA','SAO JOSE','SC','124241248115131431623321215224610133017',NULL,'733',22.03,1,3,NULL),(15,2813050,'1988-02-23 00:00:00',2,1,12,2005,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124252258217472431557721472112610127052',9340,'9998',53.06,1,3,NULL),(15,2813068,'1967-03-11 00:00:00',4,1,12,1985,'F','N','BARREIROS','SAO JOSE','SC','624241246136131431223241412324610166197',17202,'293',41.56,1,2,1),(15,2813076,'1989-02-02 00:00:00',4,1,12,2007,'F','N','AREIAS','SAO JOSE','SC','124241241115131731221364572324610124077',22466,'734',29.28,1,2,1),(15,2813084,'1987-08-23 00:00:00',4,1,12,2005,'F','N','CAMPINAS','SAO JOSE','SC','124243241436133131434434242234610114144',11857,'1036',49.17,1,3,NULL),(15,2813092,'1981-08-15 00:00:00',2,1,12,2000,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241122574411543114245114610114147',17779,'66',40.70,1,2,1),(15,2813106,'1988-09-30 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241116141431433314332124610121077',NULL,'257',20.92,1,3,NULL),(15,2813114,'1985-07-27 00:00:00',2,1,12,2005,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124244241436271411433314285114610147182',20652,'257',35.59,1,3,NULL),(15,2813122,'1990-10-10 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124244241117131431339824572324610123072',NULL,'298',22.84,1,3,NULL),(15,2813130,'1989-02-25 00:00:00',2,1,12,2006,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241111172421423814335134610127047',22018,'307',32.22,1,3,NULL),(15,2813149,'1990-03-18 00:00:00',2,1,12,2007,'F','N','AREIAS','SAO JOSE','SC','124241241146131431443311232112610134141',16773,'730',42.21,1,2,1),(15,2813157,'1987-10-20 00:00:00',2,1,12,2005,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124101101111231131424364576344610158147',22197,'9998',31.50,4,1,1),(15,2813165,'1989-11-16 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241425131431432411372324610127147',9393,'262',52.95,4,3,NULL),(15,2813173,'1981-12-19 00:00:00',2,1,12,2000,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','224243241146134431225644442334230244197',20091,'307',36.64,1,3,NULL),(15,2813190,'1990-04-13 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241116151431546313472124610164142',8607,'307',54.33,1,2,1),(15,2813203,'1982-03-26 00:00:00',2,1,12,1999,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124251251146374411126744341234610148097',16986,'9998',41.89,1,2,1),(15,2813211,'1990-02-10 00:00:00',4,1,11,2007,'F','N','SANTOS DUMONT','SAO JOSE','SC','124241241227131131423314342124610165147',19416,'262',37.98,1,3,NULL),(15,2813220,'1990-02-12 00:00:00',2,1,12,2007,'M','N','SANTOS DUMONT','SAO JOSE','SC','124242241217111531435514282124610136147',16455,'724',42.66,1,3,NULL),(15,2813238,'1983-08-17 00:00:00',2,1,12,2001,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','624243248321131451126449281334610121187',NULL,'1003',0.00,1,3,NULL),(15,2813246,'1989-04-12 00:00:00',2,1,12,2007,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241245127131721423615572324610126147',NULL,'773',0.00,1,2,1),(15,2813254,'1969-09-05 00:00:00',2,1,12,2006,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','224241247127131721421449292344610126147',20952,'9999',34.96,1,2,1),(15,2813262,'1985-11-23 00:00:00',4,1,12,2004,'M','N','BARREIROS','SAO JOSE','SC','124241241117131421333627345123610117142',NULL,'734',10.92,1,3,NULL),(15,2813270,'1969-06-27 00:00:00',2,1,11,2004,'F','N','AREIAS','SAO JOSE','SC','324241247122133431422247272124610136197',NULL,'9997',23.26,1,3,NULL),(15,2813289,'1989-06-17 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241117472431333614272124610167147',5678,'307',59.71,1,2,1),(15,2813297,'1989-02-28 00:00:00',2,1,12,2007,'F','N','SANTA CRUZ FIGUEIRA','AGUAS MORNAS','SC','124241241125131432323339392324610114147',NULL,'12',15.49,1,3,NULL),(15,2813300,'1990-04-17 00:00:00',2,1,12,2007,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241117131411433314572124610147147',NULL,'941',21.22,1,2,1),(15,2813319,'1990-05-28 00:00:00',2,1,12,2007,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241112131431436314342122610124157',19180,'941',38.38,1,3,NULL),(15,2813327,'1986-10-02 00:00:00',2,1,10,2004,'M','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241117133411638313352124610147067',6337,'306',58.38,1,2,1),(15,2813335,'1989-12-28 00:00:00',2,1,12,2007,'F','N','FAZENDA STO ANTÔNIO','SAO JOSE','SC','124241241115131431545519142224610125017',NULL,'733',21.54,1,2,1),(15,2813343,'1987-07-08 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241115134431124344245134610166187',18954,'307',38.74,1,2,1),(15,2813351,'1989-10-05 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124242241415131431439613472124610164097',16791,'1048',42.18,1,3,NULL),(15,2813360,'1987-12-09 00:00:00',2,1,12,2006,'M','N','BAIRRO DE FATIMA','FLORIANOPOLIS','SC','124241241117132431236723342124610147067',NULL,'257',24.97,1,3,NULL),(15,2813378,'1990-05-16 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124242248215111431456613575122610127051',9593,'272',52.60,1,3,NULL),(15,2813386,'1990-12-23 00:00:00',2,1,12,2007,'F','N','VARGEM DOS PINHEIROS','SANTO AMARO DA IMPERATRIZ','SC','124241241215131431434614572224610128157',13430,'774',46.98,1,3,NULL),(15,2813394,'1982-05-10 00:00:00',2,1,8,2007,'M','N','ENSEADA DE BRITO','PALHOCA','SC','124243247327132511435311112212610127117',NULL,'9999',31.24,1,3,NULL),(15,2813416,'1986-12-14 00:00:00',2,1,12,2005,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241121131431333329242234610133147',NULL,'296',17.15,1,3,NULL),(15,2813424,'1987-07-18 00:00:00',4,1,12,2004,'M','N','AREIAS','SAO JOSE','SC','124241241132134431435534442334610124042',22478,'734',29.11,1,2,1),(15,2813432,'1988-10-26 00:00:00',2,1,12,2007,'M','N','CENTRO','PALHOCA','SC','124241241115151431445533335125610138067',18768,'591',39.04,1,3,NULL),(15,2813440,'1980-02-03 00:00:00',4,1,12,2001,'M','N','RIO CAVEIRAS','BIGUACU','SC','124241248126133421426344442324610167047',NULL,'65',36.08,1,3,NULL),(15,2813459,'1989-07-03 00:00:00',2,1,12,2005,'F','N','CENTRO','BIGUACU','SC','124081081117131731324923582215133237142',14969,'9998',44.83,4,2,1),(15,2813467,'1986-10-24 00:00:00',4,1,6,2006,'F','N','RIO CAVEIRAS','BIGUACU','SC','124241247626131421426329582324610162047',20751,'306',35.39,1,3,NULL),(15,2813475,'1988-08-21 00:00:00',2,1,12,2007,'F','N','SÃO SEBASTIÃO','PALHOCA','SC','124241241115131432223354392224610118187',21895,'591',32.62,1,2,1),(15,2813491,'1982-07-30 00:00:00',2,1,12,2000,'F','N','SERTAO IMARUI','SAO JOSE','SC','224241241125133421236344242124610162197',19252,'729',38.26,2,1,1),(15,2813505,'1965-09-25 00:00:00',2,1,12,2006,'F','N','SERRARIA','SAO JOSE','SC','224241245125131431333353435124610165147',19094,'307',38.53,1,2,1),(15,2813513,'1985-07-01 00:00:00',2,1,7,2004,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241136134741523324445124610127097',19591,'281',37.63,4,3,NULL),(15,2813521,'1981-07-21 00:00:00',4,1,7,2000,'M','N','SERTÃO DO IMARUI','SAO JOSE','SC','224241246122223421238443232122610124081',NULL,'306',22.23,2,1,1),(15,2813530,'1986-11-26 00:00:00',2,1,12,2005,'M','N','PANTANAL','FLORIANOPOLIS','SC','124243247437133751236823285114610162057',13467,'1003',46.93,1,3,NULL),(15,2813548,'1988-09-30 00:00:00',2,1,12,2005,'M','N','PONTA FINA SUL','NOVA TRENTO','SC','124241242127474431324414382324610112047',3431,'574',64.92,1,2,1),(15,2813556,'1990-07-09 00:00:00',2,1,12,2007,'M','N','LINHA DOS CHAVES','ANGELINA','SC','124241241117161421524614252224610157065',NULL,'17',23.01,1,2,1),(15,2813564,'1984-05-08 00:00:00',2,1,12,2003,'F','N','REAL PARQUE','SAO JOSE','SC','124241245115131411325311282124610166147',20621,'257',35.64,1,3,NULL),(15,2813572,'1983-07-03 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','224251251117131232223144342314610112092',19602,'9998',37.61,2,1,1),(15,2813599,'1985-04-05 00:00:00',2,1,12,2004,'F','N','SAMBAQUI','FLORIANOPOLIS','SC','124241245125131511221327341324610167142',NULL,'307',18.34,1,3,NULL),(15,2813602,'1989-06-14 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241115131431238623275124610164182',11301,'307',50.01,1,2,1),(15,2813610,'1981-06-04 00:00:00',2,1,12,1999,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124251251136371712124444445334610137147',20672,'9998',35.55,1,3,NULL),(15,2813629,'1986-01-28 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241315144431236644341324610124112',17315,'797',41.36,1,3,NULL),(15,2813645,'1986-05-09 00:00:00',2,1,12,2005,'M','N','MONTE CRISTO','FLORIANOPOLIS','SC','124241241125131432433334282314610117047',NULL,'277',24.68,4,2,1),(15,2813653,'1990-08-18 00:00:00',2,1,12,2007,'F','N','ENSEADA DE BRITO','PALHOCA','SC','124241241135161431425314442224610114142',21863,'594',32.75,1,2,1),(15,2813661,'1991-02-28 00:00:00',2,1,1,2008,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124243241117131411426831272124610114147',20803,'307',35.28,2,3,NULL),(15,2813670,'1989-06-08 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241115151431543323332324610167046',19924,'281',36.96,1,2,1),(15,2813688,'1989-05-04 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124241241115131431216539292325610118013',21675,'591',33.32,1,3,NULL),(15,2813700,'1982-02-05 00:00:00',2,1,12,2000,'F','N','SÃO SEBASTIÃO','PALHOCA','SC','224241241127272421423354482314610123197',11769,'729',49.30,1,2,1),(15,2813718,'1989-01-17 00:00:00',2,1,12,2006,'M','N','AGUAS MORNAS','AGUAS MORNAS','SC','124243248212112331438923292124233267161',NULL,'1098',0.00,1,3,NULL),(15,2813726,'1986-12-27 00:00:00',2,1,12,2004,'F','N','STA CRUZ DA FIGUEIRA','AGUAS MORNAS','SC','124241241126134431333923245133610128147',NULL,'12',25.89,1,2,1),(15,2813734,'1962-11-16 00:00:00',2,1,12,1989,'F','N','CARIANOS','FLORIANOPOLIS','SC','624243243337135421223343332322610133097',20397,'9997',36.06,1,3,NULL),(15,2813742,'1990-04-03 00:00:00',4,1,12,2007,'F','N','STA CRUZ DA FIGUEIRA','AGUAS MORNAS','SC','124241241115131731333923585124610127017',18271,'978',39.84,1,2,1),(15,2813750,'1984-03-29 00:00:00',2,1,6,2003,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241126134711235629342214610164147',20612,'281',35.67,4,2,1),(15,2813769,'1990-09-12 00:00:00',2,1,12,2007,'F','N','VILA NOVA','PALHOCA','SC','124241241115131431324414582124610167147',NULL,'591',24.49,1,3,NULL),(15,2813777,'1977-12-24 00:00:00',4,1,12,1995,'F','N','CARIANOS','FLORIANOPOLIS','SC','224241241126372431535454382124610145193',8257,'286',54.92,1,2,1),(15,2813785,'1979-12-23 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241122132421343354342112610117055',19745,'687',37.34,1,2,1),(15,2813793,'1990-04-30 00:00:00',2,1,12,2007,'M','N','JARDIM ELDORADO','PALHOCA','SC','124241241145131431326629292321610152047',NULL,'591',18.38,1,3,NULL),(15,2813807,'1986-11-07 00:00:00',2,1,12,2004,'F','N','BARRA DO ARIRIU','PALHOCA','SC','124241241225472431334424574224121421157',940,'262',73.85,1,3,NULL),(15,2813815,'1990-06-21 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241112131231626629572124610113147',19274,'257',38.22,1,2,1),(15,2813831,'1988-09-03 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241146272431344634575114610126197',NULL,'288',20.25,1,3,NULL),(15,2813840,'1986-09-03 00:00:00',2,1,12,2005,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241122134431626313242334610124147',22255,'257',31.27,2,3,NULL),(15,2813858,'1985-04-13 00:00:00',2,1,12,2002,'F','N','JARDIM JANAINA','BIGUACU','SC','124241241117134411536623482314610166097',15475,'257',44.16,2,2,1),(15,2813866,'1980-12-05 00:00:00',2,1,12,2000,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241247222134431626413482244610134047',19283,'1003',38.19,2,1,2),(15,2813874,'1986-09-14 00:00:00',2,1,12,2004,'M','N','JARDIM JANAÍNA','BIGUACU','SC','124241241112131421636623282324610117062',NULL,'257',0.00,2,2,1),(15,2813882,'1990-07-02 00:00:00',2,1,12,2007,'F','N','JARDIM JANAÍNA','BIGUACU','SC','124241241117131731536623292324610124147',19233,'257',38.29,2,2,1),(15,2813890,'1981-02-16 00:00:00',2,1,7,2000,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241247435135411533329285124610154147',12663,'9999',48.05,2,1,2),(15,2813904,'1986-12-23 00:00:00',4,1,7,2004,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241115232431126444342224610122177',17721,'293',40.77,1,2,1),(15,2813912,'1990-10-12 00:00:00',4,1,2,2008,'F','N','ARIRIÚ','PALHOCA','SC','124242241117371431456823576124610167146',10852,'739',50.68,1,3,NULL),(15,2813920,'1980-07-12 00:00:00',2,1,12,2000,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124161161137132431123844292314610127092',NULL,'9998',26.52,4,2,1),(15,2813939,'1983-10-31 00:00:00',2,1,12,2000,'M','N','CACUPE','SANTOS','SP','224251251137141721328644441334610137047',NULL,'9998',0.00,1,2,1),(15,2813947,'1979-03-30 00:00:00',2,1,12,2000,'M','N','REAL PARK','SAO JOSE','SC','224242241126371731436444245122610117047',10211,'730',51.61,1,3,NULL),(15,2813955,'1987-10-06 00:00:00',2,1,12,2004,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241111133431336629342124610127047',15018,'307',44.77,1,2,1),(15,2813963,'1990-11-08 00:00:00',4,1,12,2007,'F','N','FAZENDA RESSURREIÇÃO','AGUAS MORNAS','SC','124241241122161431423315172222610137142',NULL,'12',23.01,1,2,1),(15,2813971,'1984-10-24 00:00:00',2,1,12,2001,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241126135421123944442124610163191',NULL,'649',23.85,1,2,1),(15,2813980,'1990-07-13 00:00:00',4,1,12,2007,'M','N','RIO MIGUEL','AGUAS MORNAS','SC','124241241125151712323316192224610127047',11696,'12',49.40,1,2,1),(15,2813998,'1981-03-13 00:00:00',4,1,12,2001,'F','N','CARIANOS','FLORIANOPOLIS','SC','224241241121271421234454142124130261187',22501,'285',28.73,1,2,1),(15,2814005,'1990-08-04 00:00:00',2,1,12,2007,'F','N','CENTRO','AGUAS MORNAS','SC','124241241125371411536919572124610126097',NULL,'12',24.62,1,2,1),(15,2814013,'1987-03-18 00:00:00',2,1,12,2004,'F','N','ARAUCARIA','SAO JOSE','SC','124242241211132121526624382224610116143',21834,'9997',32.84,1,3,NULL),(15,2814021,'1990-02-12 00:00:00',4,1,12,2007,'M','N','CENTRO','AGUAS MORNAS','SC','124241241122151532423315192321610167047',19219,'12',38.31,1,2,1),(15,2814030,'1987-08-17 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241312274431436313442124610125187',12244,'9997',48.66,1,3,NULL),(15,2814048,'1990-08-23 00:00:00',2,1,12,2007,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124241241125111431328734472124610127117',21227,'524',34.38,1,2,1),(15,2814064,'1989-04-27 00:00:00',2,1,12,2006,'F','N','PRAINHA','FLORIANOPOLIS','SC','124241241145371431526319282324610138047',12477,'307',48.33,3,2,1),(15,2814072,'1974-04-05 00:00:00',5,1,12,1991,'F','N','BARREIROS','SAO JOSE','SC','224204201216133411232444245134340827142',16625,'9998',42.42,1,3,NULL),(15,2814080,'1970-05-10 00:00:00',2,1,8,2004,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241247117133431326344242344610121097',15212,'9999',44.52,1,2,1),(15,2814099,'1982-05-26 00:00:00',2,1,12,2002,'M','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124243241323373721333319241334610127042',15257,'9999',44.47,2,3,NULL),(15,2814102,'1989-08-05 00:00:00',4,1,12,2007,'M','N','ITAGUAÇÚ','FLORIANOPOLIS','SC','124241241147131411223624242224610123082',NULL,'292',30.00,1,3,NULL),(15,2814110,'1988-08-18 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124244248115371431445632375124610117045',21117,'307',34.62,1,3,NULL),(15,2814129,'1990-06-07 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241215121431356614575124610124047',7558,'1076',56.10,1,3,NULL),(15,2814137,'1984-09-02 00:00:00',2,1,7,2004,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124251243127154711443611315124610124047',13274,'281',47.21,1,3,NULL),(15,2814145,'1989-03-22 00:00:00',4,1,12,2007,'F','N','CALDAS DA IMPERATRIZ','SANTO AMARO DA IMPERATRIZ','SC','124241241125131431333923572224610117072',NULL,'12',24.60,1,2,1),(15,2814153,'1990-10-28 00:00:00',4,1,12,2007,'F','N','CENTRO','AGUAS MORNAS','SC','124241248142111411434311572124610114142',NULL,'12',21.98,1,3,NULL),(15,2814161,'1980-05-23 00:00:00',2,1,12,1997,'F','N','CAMPECHE','FLORIANOPOLIS','SC','224241245127134421223643432224610124187',17731,'281',40.76,1,3,NULL),(15,2814170,'1985-07-08 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241136135742113339295124220546095',12008,'658',48.97,1,3,NULL),(15,2814188,'1990-12-04 00:00:00',4,1,12,2007,'M','N','STA CRUZ DA FIGUEIRA','AGUAS MORNAS','SC','124241241125141432523514212124610127047',NULL,'12',28.76,1,2,1),(15,2814196,'1988-09-15 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241126133431326624245334610162187',17397,'307',41.23,1,2,1),(15,2814200,'1980-02-18 00:00:00',2,1,12,1997,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241116135431449629345124610114142',9647,'307',52.50,2,1,2),(15,2814218,'1989-08-01 00:00:00',4,1,12,2007,'F','N','SÍTIO VÔ LUIZ','AGUAS MORNAS','SC','124241241145131731423714372323610122197',NULL,'12',0.00,1,3,NULL),(15,2814226,'1990-04-19 00:00:00',4,1,12,2007,'F','N','STA CRUZ DA FIGUEIRA','AGUAS MORNAS','SC','124241241115131731213329575124610127017',NULL,'978',0.00,1,2,1),(15,2814234,'1983-03-10 00:00:00',4,1,12,2006,'M','N','MONTE CRISTO','FLORIANOPOLIS','SC','124241241122132432521149492344610127047',NULL,'257',14.22,2,1,1),(15,2814242,'1985-11-29 00:00:00',2,1,12,2003,'F','N','AREIAS','SAO JOSE','SC','124241241136132411328524375224131428147',10689,'840',50.89,1,2,1),(15,2814250,'1979-01-26 00:00:00',2,1,12,1997,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201241117335431126349494324121132147',11875,'298',49.14,1,3,NULL),(15,2814269,'1975-07-27 00:00:00',2,1,12,2000,'F','N','SÂO JOSÉ','SAO JOSE','SC','224246247121132122223341111334610162182',18984,'9999',38.70,2,1,2),(15,2814277,'1985-08-29 00:00:00',2,1,12,2003,'F','N','FORQUILINHAS','SAO JOSE','SC','124241241116132431123344442334610124142',15879,'732',43.56,1,3,NULL),(15,2814285,'1985-05-05 00:00:00',2,1,12,2003,'F','N','ARIRIU','PALHOCA','SC','124241241147132431223329282324610113142',NULL,'521',21.08,1,2,1),(15,2814293,'1989-01-03 00:00:00',2,1,12,2006,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241132142411433613392324610116182',NULL,'307',23.33,1,2,1),(15,2814307,'1987-10-24 00:00:00',4,1,12,2005,'M','N','PALMITAL','MARILIA','SP','125252251226471431435619382224143224047',NULL,'9998',0.00,2,3,NULL),(15,2814315,'1990-11-03 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241115131431314324182324610126147',19092,'732',38.53,1,2,1),(15,2814323,'1985-05-06 00:00:00',2,1,12,2002,'F','N','INGLESES','FLORIANOPOLIS','SC','124242241216374431434644145124221167047',12051,'884',48.91,1,3,NULL),(15,2814331,'1990-02-02 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241115131431424424242324610124057',22075,'732',32.02,2,2,1),(15,2814340,'1988-10-17 00:00:00',4,1,12,2005,'F','N','REAL PARK','SAO JOSE','SC','124241247147131731423339275112610127111',NULL,'9999',21.56,1,3,NULL),(15,2814358,'1989-10-14 00:00:00',4,1,12,2007,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANOPOLIS','SC','124241241117131531423314372214610117052',NULL,'281',19.56,1,3,NULL),(15,2814366,'1990-03-02 00:00:00',2,1,12,2007,'F','N','SÃO MIGUEL','BIGUACU','SC','124241241135131432413311292344610155057',21376,'65',34.03,1,2,1),(15,2814374,'1987-10-26 00:00:00',2,1,11,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241126141421336449392323610167043',19490,'359',37.85,1,2,1),(15,2814382,'1988-09-19 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215472431437619392125610113042',4844,'266',61.42,1,3,NULL),(15,2814390,'1989-10-14 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241115131431435431572124610122097',3134,'306',65.73,1,2,1),(15,2814404,'1986-12-31 00:00:00',4,1,12,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241126131421425531415124230764187',14024,'278',46.13,1,2,1),(15,2814412,'1989-09-01 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124241241317232531223329391324613217042',15641,'1118',43.88,1,3,NULL),(15,2814420,'1974-03-30 00:00:00',2,1,12,2003,'F','N','CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC','124201201147131421213348182324142826097',20385,'9998',36.09,1,3,NULL),(15,2814439,'1978-11-01 00:00:00',2,1,12,1998,'F','N','ITACORUBI','FLORIANOPOLIS','SC','224241241122131731123354482214610114192',NULL,'274',24.94,1,2,1),(15,2814447,'1984-06-18 00:00:00',2,1,12,2001,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241126135431323319482224610164187',15436,'307',44.21,3,2,1),(15,2814463,'1983-09-10 00:00:00',2,1,12,2001,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241122133431543414442124610127047',19284,'281',38.19,1,3,NULL),(15,2814471,'1990-08-07 00:00:00',4,1,12,2007,'M','N','AREIAS','SAO JOSE','SC','124241241225111431433311375314610127042',20007,'262',36.81,1,3,NULL),(15,2814480,'1987-09-27 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124243241225111311535554272324610114017',16424,'262',42.72,1,3,NULL),(15,2814498,'1976-11-05 00:00:00',2,1,12,1990,'F','N','STO ANTONIO DE LISBO','FLORIANOPOLIS','SC','224241241127144421331344446224610154147',17261,'279',41.47,1,2,1),(15,2814510,'1987-05-28 00:00:00',2,1,12,2004,'F','N','LOURO','ANTONIO CARLOS','SC','124241241117132441423336572324231314077',18721,'21',39.13,1,2,1),(15,2814528,'1985-03-26 00:00:00',2,1,12,2003,'M','N','COLONINHA','FLORIANOPOLIS','SC','124241248121132311413329182324610111067',21074,'257',34.72,2,1,1),(15,2814536,'1988-01-07 00:00:00',2,1,12,2005,'M','N','MACACU','GAROPABA','SC','124241241122132411323331344313610162047',9607,'322',52.58,2,1,1),(15,2814544,'1980-01-24 00:00:00',4,1,1,1999,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124071071116131421333554445334610153077',16984,'9998',41.90,4,2,1),(15,2814552,'1990-04-06 00:00:00',4,1,11,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241115131431426314284124610123147',8031,'307',55.31,1,2,1),(15,2814560,'1979-05-15 00:00:00',2,1,12,1996,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','624251253126273411223859315124233233127',6194,'9998',58.65,1,2,1),(15,2814579,'1972-06-14 00:00:00',2,1,2,1995,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','624163168147131421433549392121140227077',NULL,'9998',0.00,1,3,NULL),(15,2814587,'1981-07-10 00:00:00',4,1,12,1998,'F','N','INGLESES','FLORIANOPOLIS','SC','224241111137133431343354442334132226147',NULL,'9998',0.00,1,2,1),(15,2814595,'1981-03-09 00:00:00',2,1,12,1998,'M','N','KOBRASSOL','SAO JOSE','SC','124251253127131411425544242324342735183',19122,'9998',38.49,1,2,1),(15,2814609,'1981-09-04 00:00:00',4,1,11,2001,'M','N','TRINDADE','FLORIANOPOLIS','SC','124163167346131421226441315332610124015',NULL,'9998',0.00,1,3,NULL),(15,2814617,'1981-07-01 00:00:00',2,1,10,2005,'M','N','FUNDOS','BIGUACU','SC','124241247146133731321229385124610116097',20253,'9999',36.33,1,2,1),(15,2814625,'1978-09-24 00:00:00',2,1,12,1999,'M','N','ARIRIU','PALHOCA','SC','224241246147131721345544345233610134017',12745,'739',47.93,1,2,1),(15,2814633,'1987-02-02 00:00:00',2,1,12,2005,'M','N','PASSA VINTE','PALHOCA','SC','124241241147131431323524182314610117147',18613,'591',39.31,1,2,1),(15,2814641,'1990-02-24 00:00:00',4,1,12,2007,'F','N','CAMPO NOVO','TIJUCAS','SC','124241241113131431523315572224610136182',16186,'783',43.08,1,3,NULL),(15,2814650,'1964-06-09 00:00:00',2,1,12,1983,'F','N','IPIRANGA','SAO JOSE','SC','224241248122133752422158382214610164147',17824,'836',40.62,1,3,NULL),(15,2814668,'1977-09-02 00:00:00',2,1,12,1996,'F','N','ARAMACAO DO PANT SU','FLORIANOPOLIS','SC','124241245146133431226644245224122766022',20396,'307',36.06,1,2,1),(15,2814676,'1973-06-29 00:00:00',4,1,2,2004,'M','N','IPIRANGA','SAO JOSE','SC','224243246146132411426448282214610124185',NULL,'306',29.12,1,3,NULL),(15,2814684,'1985-06-07 00:00:00',4,1,11,2002,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241127272711334324381324610117142',NULL,'283',0.00,1,3,NULL),(15,2814692,'1987-12-19 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANOPOLIS','SC','124201201436131751123314285224610133077',13065,'9998',47.49,1,3,NULL),(15,2814706,'1990-02-09 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124244241226131431433331175124610162197',11403,'262',49.84,1,3,NULL),(15,2814714,'1990-09-28 00:00:00',2,1,12,2007,'F','N','SERRINHA','FLORIANOPOLIS','SC','124243241117131431333124242324610113057',NULL,'298',21.28,2,3,NULL),(15,2814722,'1987-05-01 00:00:00',4,1,12,2004,'F','N','IPIRANGA','SAO JOSE','SC','124241246112131451233511175114610165142',NULL,'734',24.67,1,3,NULL),(15,2814749,'1973-06-16 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241245116133431126643132124610164037',19829,'804',37.16,1,3,NULL),(15,2814757,'1987-07-02 00:00:00',2,1,12,2004,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241136271432334374382124610124042',18066,'184',40.20,1,2,1),(15,2814765,'1989-11-21 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217121751346724275115610132097',13353,'1022',47.11,1,3,NULL),(15,2814773,'1982-05-21 00:00:00',2,1,12,2000,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241127271431124348286324130224042',12698,'142',47.98,1,2,1),(15,2814781,'1985-05-04 00:00:00',2,1,12,2004,'F','N','AREIAS','SAO JOSE','SC','124242241212131431426433282224610121147',12530,'988',48.25,1,3,NULL),(15,2814790,'1982-03-04 00:00:00',2,1,11,1999,'F','N','CENTRO','FLORIANOPOLIS','SC','124211241126134431223329282224223013142',14582,'307',45.30,1,3,NULL),(15,2814803,'1988-02-17 00:00:00',2,1,6,2006,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241247325132431631372181124610136173',18272,'944',39.84,1,3,NULL),(15,2814811,'1971-01-13 00:00:00',4,1,11,2006,'M','N','BARREIROS','SAO JOSE','SC','224241241121132411225341311124232867047',NULL,'976',13.92,2,3,NULL),(15,2814820,'1990-03-14 00:00:00',4,1,12,2007,'F','N','CENTRO','AGUAS MORNAS','SC','124241241125131431633339492111610164145',NULL,'12',13.93,4,2,1),(15,2814838,'1990-11-26 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241116131431523316572324610137147',6609,'307',57.88,1,2,1),(15,2814846,'1987-01-26 00:00:00',4,1,12,2004,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241136132431126519345231221734057',10543,'482',51.11,1,3,NULL),(15,2814854,'1989-04-20 00:00:00',2,1,8,2007,'F','N','CENTRO','AGUAS MORNAS','SC','124241241111161431633633385124610162042',20439,'739',35.98,1,2,1),(15,2814862,'1990-03-26 00:00:00',4,1,11,2007,'M','N','BOA VISTA','BIGUACU','SC','124242241212131411423321172211610157047',20206,'63',36.40,1,3,NULL),(15,2814870,'1990-12-01 00:00:00',4,1,12,2007,'F','N','CENTRO','AGUAS MORNAS','SC','124241241125131431633633475124610161143',NULL,'12',23.89,1,2,1),(15,2814897,'1988-12-05 00:00:00',2,1,12,2005,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241132132431433411342114610127077',NULL,'772',20.11,1,2,1),(15,2814900,'1986-02-12 00:00:00',4,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','124241241117261421333511445124610152017',16658,'734',42.37,1,3,NULL),(15,2814919,'1978-03-25 00:00:00',2,1,7,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124243247311133721323329141124610164147',22214,'1003',31.42,1,3,NULL),(15,2814927,'1990-02-12 00:00:00',2,1,12,2007,'F','N','CENTRO','AGUAS MORNAS','SC','124241241125161431339631572124610135182',18713,'12',39.15,1,3,NULL),(15,2814935,'1989-11-14 00:00:00',2,1,12,2007,'F','N','CENTRO','AGUAS MORNAS','SC','124241241125131731225923375122610118147',21098,'12',34.66,1,3,NULL),(15,2814943,'1985-03-11 00:00:00',2,1,11,2007,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241247127571431626454244134610164187',17276,'9999',41.45,1,2,1),(15,2814951,'1990-06-29 00:00:00',2,1,12,2007,'F','N','CENTRO','AGUAS MORNAS','SC','124241241125141431424433292122610133197',NULL,'12',22.01,1,3,NULL),(15,2814960,'1990-01-04 00:00:00',2,1,11,2007,'F','N','SERRARIA','SAO JOSE','SC','124244241117131432224429575124610168147',NULL,'1116',17.67,1,3,NULL),(15,2814978,'1982-09-15 00:00:00',2,1,6,2004,'F','N','VARGEM PEQUENA','FLORIANOPOLIS','SC','124246247617131421633319342332610148197',NULL,'9999',16.50,1,3,NULL),(15,2814986,'1965-04-01 00:00:00',2,1,12,1989,'F','N','VARGEM PEQUENA','FLORIANOPOLIS','SC','624243243627132431423349282324131035187',NULL,'264',22.28,1,3,NULL),(15,2814994,'1990-09-16 00:00:00',4,1,2,2008,'M','N','JARDIM CIDADE FPOLIS','SAO JOSE','SC','124244241317151711226824394124610124147',10743,'739',50.81,1,3,NULL),(15,2815001,'1990-12-29 00:00:00',4,1,12,2007,'F','N','CAMINHO NOVO','PALHOCA','SC','124241241115131431523619391124610127147',19600,'733',37.61,1,2,1),(15,2815010,'1984-08-25 00:00:00',2,1,12,2001,'F','N','SERRARIA','SAO JOSE','SC','124201201132271411115341212314610122092',6906,'9998',57.33,1,2,1),(15,2815036,'1985-12-08 00:00:00',2,1,12,2004,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241121132111543519441114610117042',22434,'281',29.96,1,3,NULL),(15,2815044,'1982-11-09 00:00:00',2,1,12,1999,'M','N','BALNEÁRIO','FLORIANOPOLIS','SC','124242211216135421326521392224221267022',8106,'9998',55.18,4,3,NULL),(15,2815052,'1988-06-05 00:00:00',2,1,8,2006,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241142133711426324441334610124185',22070,'286',32.04,1,2,1),(15,2815060,'1989-05-22 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241117131431437864391334610126096',11940,'306',49.05,1,2,1),(15,2815079,'1985-06-16 00:00:00',2,1,10,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241117132421427644242334610162197',12454,'306',48.35,1,3,NULL),(15,2815087,'1990-11-05 00:00:00',2,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241115371431633329292214610165043',16797,'289',42.17,1,2,1),(15,2815095,'1990-01-09 00:00:00',2,1,12,2007,'F','N','BELA VISTA','PALHOCA','SC','124241241127131431423314592324610154042',NULL,'1108',24.25,1,2,1),(15,2815109,'1989-11-21 00:00:00',2,1,12,2007,'F','N','BELA VISTA','PALHOCA','SC','124241241127131431223329571324610154192',17758,'1108',40.72,1,2,1),(15,2815125,'1980-03-31 00:00:00',4,1,5,2002,'M','N','CENTRO HISTÓRICO','SAO JOSE','SC','124201207121133441325311181325610168152',11665,'9999',49.46,1,2,1),(15,2815133,'1979-02-14 00:00:00',4,1,1,1998,'M','N','CENTRO HISTÓRICO','SAO JOSE','SC','124201203127134421127847212223233227157',9277,'9998',53.16,1,3,NULL),(15,2815141,'1989-03-13 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241115371411336638575224610132172',21571,'289',33.58,3,2,1),(15,2815150,'1986-08-21 00:00:00',4,1,12,2004,'F','N','CALDAS','SANTO AMARO DA IMPERATRIZ','SC','124241241126132431234329382114610122147',NULL,'772',0.00,1,2,1),(15,2815168,'1988-07-13 00:00:00',2,1,8,2006,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124241241125132451122544242334610124187',20661,'289',35.57,1,2,1),(15,2815176,'1982-11-07 00:00:00',4,1,12,1999,'F','N','STOS DUMMONT','SAO JOSE','SC','124161161126135421123344145334610114187',21453,'9998',33.83,1,2,1),(15,2815184,'1989-08-17 00:00:00',2,1,11,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124051241135131631412344242334610165097',21827,'289',32.87,2,1,1),(15,2815192,'1990-02-02 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241125131431423319572324610133077',NULL,'290',23.69,1,2,1),(15,2815206,'1974-02-23 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241222372231123349243312610117182',NULL,'9999',21.59,1,3,NULL),(15,2815214,'1986-02-28 00:00:00',2,1,12,2003,'F','N','PASSA VINTE','PALHOCA','SC','124241241116371431423419445234133228157',17804,'591',40.66,1,2,1),(15,2815222,'1989-08-01 00:00:00',2,1,12,2007,'F','N','RIO GRANDE','PALHOCA','SC','124241241145131131425514572324610122187',NULL,'592',20.91,1,2,1),(15,2815230,'1990-10-14 00:00:00',4,1,12,2007,'F','N','ALTO GARCIA','ANGELINA','SC','124241241117161431324436572224610126017',18580,'17',39.36,1,2,1),(15,2815249,'1986-04-20 00:00:00',2,1,12,2005,'F','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','224241241141273431233354342234610126177',14823,'288',44.98,1,2,1),(15,2815257,'1977-09-15 00:00:00',2,1,12,1997,'M','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','224241248116245431233344141224230227187',9341,'306',53.06,1,2,1),(15,2815265,'1982-11-23 00:00:00',4,1,12,2001,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124201205117132411118648482324142754147',NULL,'9998',28.67,1,2,1),(15,2815273,'1990-07-19 00:00:00',2,1,12,2007,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241117131431336664572124610126152',9074,'306',53.53,4,3,NULL),(15,2815281,'1987-02-07 00:00:00',2,1,12,2006,'F','N','FUNDOS','BIGUACU','SC','224241247626241452223679215125610144182',17956,'9999',40.39,1,3,NULL),(15,2815290,'1989-09-15 00:00:00',2,1,12,2006,'M','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241116272431333619392114610124197',6457,'941',58.15,1,3,NULL),(15,2815303,'1989-07-13 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241121273431436634245124610164187',21308,'287',34.17,1,2,1),(15,2815311,'1987-06-05 00:00:00',2,1,12,2004,'F','N','VARGEM PEQUENA','FLORIANOPOLIS','SC','124241241125372431433314345124610125192',18177,'307',40.01,1,2,1),(15,2815320,'1986-08-14 00:00:00',2,1,12,2005,'F','N','JARDIM DAS ACACIAS','SAO JOSE','SC','124241241113134431528879242114610137147',NULL,'257',32.38,1,3,NULL),(15,2815338,'1990-08-28 00:00:00',4,1,12,2007,'F','N','STA CRUZ DA FIGUEIRA','AGUAS MORNAS','SC','124241241145141431523923391222610127074',NULL,'12',22.19,1,2,1),(15,2815346,'1984-04-14 00:00:00',2,1,12,2002,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124131131126132431123344295334233222187',17024,'9998',41.84,1,2,1),(15,2815354,'1990-09-16 00:00:00',2,1,12,2007,'F','N','JARDIM SÃO MIGUEL','BIGUACU','SC','124241241116131431536413385122610125052',19262,'65',38.24,1,2,1),(15,2815362,'1989-02-12 00:00:00',1,1,12,2007,'F','N','SANTA ISABEL','AGUAS MORNAS','SC','124241241135141732424435491224610114047',NULL,'12',21.05,1,3,NULL),(15,2815370,'1990-03-10 00:00:00',4,1,12,2007,'F','N','FAZENDA DE LOURDES','AGUAS MORNAS','SC','124241241125131431434414372324610167147',NULL,'12',21.37,1,3,NULL),(15,2815389,'1985-10-17 00:00:00',4,1,12,2003,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241115575431656313372124610124142',3990,'271',63.49,1,2,1),(15,2815397,'1989-06-18 00:00:00',4,1,12,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241245121131421533623381344610126013',17343,'307',41.32,2,1,1),(15,2815400,'1990-07-17 00:00:00',4,1,12,2007,'F','N','FAZENDA RESSURREIÇAO','AGUAS MORNAS','SC','124241241125161431323331572222610131142',NULL,'12',19.84,1,2,1),(15,2815419,'1988-11-15 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241117141422656313346113610137045',NULL,'281',17.86,4,2,1),(15,2815427,'1988-06-17 00:00:00',4,1,12,2007,'F','N','FAZENDA DE LOURDES','AGUAS MORNAS','SC','124241241125161432323339571324610168147',NULL,'12',0.00,1,2,1),(15,2815435,'1979-08-21 00:00:00',2,1,12,1997,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','624163251136131711326649395224341264182',10495,'9998',51.19,1,3,NULL),(15,2815443,'1975-07-22 00:00:00',2,1,12,1997,'M','N','FUNDOS','BIGUACU','SC','224241248117332711233343332113610137057',22386,'177',30.47,1,3,NULL),(15,2815451,'1987-03-03 00:00:00',4,1,12,2007,'F','N','MORRO DAS TRES VOLTA','SANTO AMARO DA IMPERATRIZ','SC','624241241125161431223351295123610168147',NULL,'12',0.00,1,2,1),(15,2815460,'1990-02-09 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241136131431424314572322610122145',16837,'283',42.10,1,2,1),(15,2815478,'1990-05-05 00:00:00',4,1,12,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241145131431333314241124610123187',17990,'283',40.33,4,1,1),(15,2815486,'1989-03-02 00:00:00',2,1,12,2006,'M','N','BELA VISTA','SAO JOSE','SC','124241241115371431623327575124610117187',21508,'257',33.71,2,2,1),(15,2815494,'1990-04-08 00:00:00',4,1,12,2007,'M','N','FAZENDA SACRAMENTO','AGUAS MORNAS','SC','124241241125131431334334212224620144047',NULL,'12',24.11,1,2,1),(15,2815508,'1980-09-30 00:00:00',2,1,12,1999,'F','N','CENTRO','FLORIANOPOLIS','SC','124161161126132721325644345334130224147',22051,'9998',32.10,4,3,NULL),(15,2815516,'1990-04-29 00:00:00',2,1,12,2007,'M','N','COLÔNIA SANTANA','SAO JOSE','SC','124244241215111231557623575124610137047',18886,'1074',38.86,1,3,NULL),(15,2815524,'1988-02-10 00:00:00',2,1,12,2006,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241426472531323321372214610117147',16524,'300',42.55,4,1,2),(15,2815540,'1971-06-10 00:00:00',2,1,12,1991,'F','N','TAPERA','FLORIANOPOLIS','SC','124203207147233441126944241134141926187',16962,'9999',41.92,2,3,NULL),(15,2815559,'1988-01-24 00:00:00',2,1,11,2006,'F','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124241241127371321524429341324610113047',NULL,'257',0.00,1,2,1),(15,2815567,'1980-06-15 00:00:00',2,1,12,1997,'F','N','MONTE SERRAT','FLORIANOPOLIS','SC','124251251127475731628219382224610164077',16451,'9998',42.66,2,1,1),(15,2815575,'1976-04-01 00:00:00',2,1,12,1993,'F','N','INGLESES','FLORIANOPOLIS','SC','124241243122131421122348282334130832147',20222,'764',36.36,4,1,1),(15,2815583,'1989-12-23 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241116131431323527395334610168077',NULL,'307',27.74,1,2,1),(15,2815591,'1985-05-03 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124133138436473421327444344334131467147',19125,'9998',38.48,1,3,NULL),(15,2815605,'1982-01-15 00:00:00',2,1,12,1999,'M','N','MONTE SERRAT','FLORIANOPOLIS','SC','124251241127575431637311295221233227052',9143,'281',53.37,2,1,1),(15,2815613,'1986-03-05 00:00:00',2,1,12,2003,'F','N','JD DAS PAINEIRAS II','JAU','SP','125251251116141411233329342125240624077',NULL,'9998',0.00,1,2,1),(15,2815621,'1990-06-18 00:00:00',2,1,12,2007,'F','N','ROÇADO','SAO JOSE','SC','124241241115131751336339242234610122072',16339,'307',42.84,1,2,1),(15,2815630,'1982-06-09 00:00:00',2,1,11,1999,'M','N','CENTRO','FLORIANOPOLIS','SC','124131131117333431326644247334141032142',17805,'9998',40.66,1,2,1),(15,2815648,'1982-09-28 00:00:00',2,1,12,2000,'M','N','BELA VISTA','SAO JOSE','SC','124241241142273431323331183223130824142',11719,'730',49.37,1,2,1),(15,2815656,'1987-09-21 00:00:00',4,1,12,2006,'M','N','MONTE CRISTO','FLORIANOPOLIS','SC','124241241112161431433334442314610122047',NULL,'293',0.00,2,1,1),(15,2815664,'1985-03-06 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241116145431436313245124230235093',8366,'808',54.74,1,2,1),(15,2815672,'1983-09-09 00:00:00',2,1,12,2001,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','624251251116473441226654475124610122092',1115,'9998',72.95,1,2,1),(15,2815699,'1989-09-08 00:00:00',4,1,12,2006,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','624241241131141121424374245334610135147',21147,'293',34.55,2,2,1),(15,2815702,'1985-12-12 00:00:00',2,1,12,2005,'F','N','BELA VISTA II','SAO JOSE','SC','124241241147131231324434482314610128197',22473,'726',29.18,1,2,1),(15,2815737,'1975-05-08 00:00:00',2,1,7,1995,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241346373421126644244234610121187',10931,'9999',50.56,1,3,NULL),(15,2815745,'1990-10-31 00:00:00',2,1,12,2007,'F','N','SERRINHA','FLORIANOPOLIS','SC','124241241112131431533514342224610135157',17961,'298',40.38,1,2,1),(15,2815753,'1988-05-11 00:00:00',2,1,12,2005,'M','N','SÃO ROQUE','NOVA TRENTO','SC','124241241146132431336624175124231417182',12351,'574',48.50,1,2,1),(15,2815761,'1989-07-13 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241117111431625529382324610116145',NULL,'289',25.21,1,2,1),(15,2815770,'1976-12-21 00:00:00',4,1,12,1999,'M','N','CAMPECHE','FLORIANOPOLIS','SC','524202207327131431224653312125610128187',11362,'9999',49.89,1,3,NULL),(15,2815788,'1983-03-07 00:00:00',2,1,12,2001,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','624201207327372421225444242334141763197',19856,'9998',37.10,1,3,NULL),(15,2815796,'1980-01-18 00:00:00',4,1,12,1999,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124141148121131421123541321234610148077',NULL,'9998',0.00,4,2,1),(15,2815800,'1982-11-29 00:00:00',2,1,12,2002,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124203201326132431226641215334130863097',NULL,'9999',0.00,1,3,NULL),(15,2815818,'1986-01-21 00:00:00',2,1,12,2004,'F','N','ARIRIÚ','PALHOCA','SC','124241241127133411423324341324610162187',20066,'593',36.69,1,3,NULL),(15,2815826,'1988-07-09 00:00:00',2,1,12,2007,'F','N','DE FATIMA','FLORIANOPOLIS','SC','123241241112111731336733291214610114182',NULL,'257',0.00,2,1,1),(15,2815834,'1983-09-20 00:00:00',2,1,6,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124133137417351421116844442334610143027',14010,'9998',46.14,4,3,NULL),(15,2815842,'1977-03-29 00:00:00',2,1,12,2000,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241123135441111248292344122762097',11561,'284',49.61,2,1,1),(15,2815850,'1990-05-05 00:00:00',2,1,11,2007,'F','N','SERTÃO DO MARUIM','SAO JOSE','SC','124241241116131411524354571124610137012',20608,'733',35.67,1,2,1),(15,2815869,'1985-09-19 00:00:00',4,1,7,2004,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241117472431225571245124610131022',NULL,'281',26.55,4,1,1),(15,2815877,'1989-07-12 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241111132431326619591324610168147',21243,'307',34.33,1,2,1),(15,2815885,'1988-03-27 00:00:00',2,1,12,2005,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241111473711325319591124230823073',22052,'307',32.09,1,2,1),(15,2815893,'1981-09-22 00:00:00',2,1,7,2000,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','624241247216134431326754382122610121187',18509,'1003',39.46,1,3,NULL),(15,2815907,'1990-06-06 00:00:00',2,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124243241225171411623439342334610125047',NULL,'262',0.00,4,3,NULL),(15,2815915,'1990-01-16 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241225111451526371242114610112147',10130,'262',51.74,1,3,NULL),(15,2815923,'1989-11-01 00:00:00',2,1,12,2007,'M','N','CENTRO','VIDAL RAMOS','SC','124241241147161431333319392324610124072',NULL,'828',26.46,1,2,1),(15,2815931,'1988-10-10 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241114142411435314344114610112142',12214,'307',48.70,1,3,NULL),(15,2815940,'1990-06-14 00:00:00',4,1,12,2007,'M','N','CAMINHO NOVO','PALHOCA','SC','124241241225111731433314472122610124117',10248,'262',51.56,1,3,NULL),(15,2815958,'1981-09-08 00:00:00',2,1,12,2000,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124161161127131411223343336224342756187',NULL,'9998',26.10,2,2,1),(15,2815966,'1990-12-20 00:00:00',4,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124241241225131732213329572324610127147',14661,'262',45.20,1,3,NULL),(15,2815974,'1981-08-06 00:00:00',4,1,12,1998,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241243127133421435613241134322727047',17160,'257',41.63,1,3,NULL),(15,2815982,'1978-04-04 00:00:00',4,1,12,1995,'M','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124243241216155531227744445134121962057',NULL,'737',38.12,1,3,NULL),(15,2815990,'1986-07-23 00:00:00',4,1,11,2004,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241333313231647634245124610154045',NULL,'307',15.95,2,3,NULL),(15,2816008,'1988-07-03 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241137271421426314385124610136077',16539,'281',42.53,1,3,NULL),(15,2816016,'1988-04-08 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241117473732126744343134610138147',13214,'281',47.29,1,2,1),(15,2816024,'1990-02-27 00:00:00',4,1,12,2007,'M','N','VARGEM DO BRAÇO','SANTO AMARO DA IMPERATRIZ','SC','124241241117131432636615552224610137147',13799,'772',46.47,1,2,1),(15,2816032,'1983-07-11 00:00:00',2,1,12,2002,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241241337274531126744442334120517047',12150,'281',48.79,1,3,NULL),(15,2816040,'1986-05-03 00:00:00',4,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241117131112626334482112610114141',NULL,'592',19.42,1,3,NULL),(15,2816059,'1987-02-15 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','624243241225112411211144341334610136187',21476,'262',33.79,4,3,NULL),(15,2816067,'1973-10-03 00:00:00',2,1,6,2006,'M','N','FLOR DE NAPOLES','SAO JOSE','SC','624241247121131431222244142224143212192',NULL,'736',23.18,4,3,NULL),(15,2816075,'1990-03-14 00:00:00',2,1,11,2007,'F','N','FLOR DE NAPOLIS','SAO JOSE','SC','124241241115131431621211291344610124142',NULL,'727',24.15,4,2,1),(15,2816083,'1985-05-07 00:00:00',2,1,12,2002,'F','N','BREJARU','PALHOCA','SC','124241241127472731323369312344610124187',17650,'140',40.87,1,2,1),(15,2816091,'1989-02-24 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241214373431446824295124233244097',238,'266',79.46,1,3,NULL),(15,2816105,'1988-07-19 00:00:00',2,1,12,2007,'F','N','PALHOÇA','PALHOCA','SC','124241241116131231636134575121610168147',NULL,'591',20.15,2,1,1),(15,2816113,'1990-10-11 00:00:00',4,1,12,2007,'M','N','JARDIM LARANJEIRAS','PALHOCA','SC','124241241227131431323624572224610147047',17643,'262',40.88,1,3,NULL),(15,2816121,'1985-05-24 00:00:00',4,1,12,2002,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','124241241127374431636674242124610167187',21773,'307',33.04,1,3,NULL),(15,2816148,'1990-05-14 00:00:00',4,1,12,2007,'F','N','TIJUQUINHAS','BIGUACU','SC','124241241115131431526611572124610128142',21911,'64',32.57,1,3,NULL),(15,2816156,'1978-06-17 00:00:00',2,1,11,1998,'F','N','NOSSA SRA DO ROSARIO','SAO JOSE','SC','124251251122131431323364285114610112092',NULL,'9998',0.00,1,2,1),(15,2816164,'1989-07-09 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124201201117132431413623342324610126092',14760,'9998',45.05,1,3,NULL),(15,2816172,'1984-05-18 00:00:00',2,1,12,2001,'M','N','CENTRO','FLORIANOPOLIS','SC','124201201116132431426644242324131227042',14868,'9998',44.94,1,3,NULL),(15,2816180,'1984-07-23 00:00:00',2,1,12,2004,'F','N','JARDIM DAS ACÁCIAS','SAO JOSE','SC','124241241126472421426344245234610126147',NULL,'295',0.00,1,2,1),(15,2816199,'1976-06-16 00:00:00',2,1,12,1995,'F','N','JARDIM DAS ACÁCIAS','SAO JOSE','SC','124241247447132431323664282224610124092',NULL,'9997',0.00,1,3,NULL),(15,2816202,'1990-07-17 00:00:00',4,1,12,2007,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124212241335371731446623576124610134147',18328,'733',39.74,4,3,NULL),(15,2816210,'1978-05-09 00:00:00',2,1,12,1997,'F','N','SACO GRANDE II','FLORIANOPOLIS','SC','624241248114133431233354441324610124142',17801,'267',40.66,1,2,1),(15,2816229,'1980-05-29 00:00:00',2,1,12,1998,'F','N','PANTANO DO SUL','FLORIANOPOLIS','SC','124161161116134431114649292314610132197',9657,'9998',52.47,1,2,1),(15,2816237,'1989-11-02 00:00:00',2,1,12,2007,'F','N','SAUDADE','BIGUACU','SC','124241241135131731215329291324610133057',NULL,'65',0.00,1,2,1),(15,2816245,'1986-09-06 00:00:00',2,1,12,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241225132431623419582224610137077',18940,'262',38.77,3,3,NULL),(15,2816253,'1987-05-19 00:00:00',4,1,12,2004,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124242241116252411126723345124233214173',NULL,'306',0.00,1,3,NULL),(15,2816261,'1990-12-18 00:00:00',1,1,12,2007,'F','N','BREJARU','PALHOCA','SC','124241241116131431514314282121610156147',21899,'592',32.61,1,3,NULL),(15,2816270,'1989-03-16 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241126472431333824382124610127187',19383,'727',38.04,1,2,1),(15,2816288,'1987-09-21 00:00:00',2,1,12,2006,'M','N','CAMPINAS','SAO JOSE','SC','124242241317372431368612495124121937042',6125,'1036',58.82,1,3,NULL),(15,2816296,'1987-04-28 00:00:00',3,1,12,2004,'M','N','ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC','124243241111134741538921485124610167047',6076,'267',58.94,1,3,NULL),(15,2816300,'1989-10-21 00:00:00',2,1,11,2007,'F','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124241241127151731653369172224610137117',NULL,'282',18.82,1,3,NULL),(15,2816318,'1990-06-26 00:00:00',4,1,12,2007,'F','N','SANTA ISABEL','AGUAS MORNAS','SC','124241241137131431534315241224610165057',NULL,'594',21.71,1,2,1),(15,2816326,'1983-10-14 00:00:00',2,1,12,2001,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','224241244125341411526629295124610126183',NULL,'284',0.00,2,1,1),(15,2816334,'1991-02-10 00:00:00',4,1,12,2007,'F','N','ENSEADA DE BRITO','PALHOCA','SC','124241241136161731314611575125610118197',NULL,'594',0.00,1,2,1),(15,2816342,'1990-07-13 00:00:00',2,1,12,2007,'F','N','FLORESTA','SAO JOSE','SC','124271241127131521326724142324610114117',NULL,'726',26.89,1,3,NULL),(15,2816350,'1984-09-02 00:00:00',2,1,12,2002,'M','N','PRAIA DE FORA','PALHOCA','SC','124161241122144411544411242113610161193',20260,'594',36.32,4,2,1),(15,2816369,'1967-08-18 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','224241241122131421436444241134610168177',NULL,'9999',0.00,1,2,1),(15,2816377,'1971-09-28 00:00:00',2,1,12,1991,'M','N','JOAO PAULO','FLORIANOPOLIS','SC','224201207227132721323459382342610167043',NULL,'9998',0.00,1,3,NULL),(15,2816385,'1989-12-11 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241126161431334314295124610167097',22143,'290',31.75,1,2,1),(15,2816393,'1979-01-19 00:00:00',2,1,12,1996,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','224241241126133711323341292332330568183',NULL,'307',0.00,1,3,NULL),(15,2816407,'1981-11-05 00:00:00',2,1,2,2001,'F','N','TRINDADE','FLORIANOPOLIS','SC','124161241337133411224444341324132825042',NULL,'9999',24.15,1,3,NULL),(15,2816415,'1990-07-16 00:00:00',4,1,11,2007,'F','N','CACHOIRA','FLORIANOPOLIS','SC','124161241115271411315521277324610136047',12052,'288',48.91,4,3,NULL),(15,2816423,'1984-12-25 00:00:00',4,1,12,2002,'F','N','SERTÃO DO MARUIM','SAO JOSE','SC','124241248127153432324329242114610134197',19614,'739',37.58,1,3,NULL),(15,2816431,'1970-01-02 00:00:00',2,1,7,2003,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','224243245447132421433354342334610145187',NULL,'9997',0.00,1,3,NULL),(15,2816440,'1990-06-10 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241116131431436414575124610124057',15849,'733',43.61,1,2,1),(15,2816458,'1982-04-11 00:00:00',2,1,4,2002,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','224241247147275431223354492224222314047',16681,'9999',42.35,1,2,1),(15,2816466,'1984-11-08 00:00:00',2,1,12,2001,'F','N','CAMPINAS','SAO JOSE','SC','124244241224155431338524245124610116071',2957,'262',66.29,1,3,NULL),(15,2816474,'1973-12-07 00:00:00',2,1,12,1994,'M','N','AREIAS','SAO JOSE','SC','624246247621131431423319382311130827117',19522,'9999',37.78,1,3,NULL),(15,2816482,'1988-10-28 00:00:00',2,1,12,2005,'F','N','JOÃO PAULO','FLORIANOPOLIS','SC','124241241112273432323411242124230562182',12741,'307',47.93,1,2,1),(15,2816490,'1990-01-04 00:00:00',4,1,12,2007,'M','N','BARREIROS','SAO JOSE','SC','124241241221131411436512171114610167117',14651,'262',45.21,1,3,NULL),(15,2816504,'1981-06-30 00:00:00',2,1,12,1999,'F','N','CENTRO','FLORIANOPOLIS','SC','124131131127321731521327192344610163047',NULL,'9998',14.72,2,3,NULL),(15,2816512,'1984-09-19 00:00:00',2,1,12,2003,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241112134331223324242124610124147',17561,'307',40.99,1,2,1),(15,2816520,'1988-03-15 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241127131731425544146114610136192',NULL,'574',23.89,1,2,1),(15,2816539,'1988-05-17 00:00:00',2,1,12,2005,'F','N','CALDAS DA IMPERATRIZ','SANTO AMARO DA IMPERATRIZ','SC','124241241117472731433414396314610134147',NULL,'772',32.66,1,2,1),(15,2816547,'1989-03-11 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124242241215373431248823272324132064052',2340,'962',68.10,1,3,NULL),(15,2816555,'1981-09-18 00:00:00',2,1,11,2001,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241132132721533319392124610114041',NULL,'307',0.00,1,3,NULL),(15,2816563,'1988-03-09 00:00:00',2,1,12,2005,'F','N','PASSA VINTE','PALHOCA','SC','124241241227273421323318192324610134142',14064,'262',46.08,1,3,NULL),(15,2816571,'1990-01-04 00:00:00',2,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241125131751436613382344610114047',15269,'290',44.45,1,2,1),(15,2816580,'1990-07-25 00:00:00',2,1,12,2007,'M','N','COLONINHA','FLORIANOPOLIS','SC','124241241137131411226823175124610134077',16737,'257',42.27,1,3,NULL),(15,2816598,'1988-10-18 00:00:00',2,1,12,2005,'F','N','IPIRANGA','SAO JOSE','SC','124241241116133432436634342114610122057',16182,'257',43.09,1,3,NULL),(15,2816601,'1982-03-30 00:00:00',2,1,6,2002,'M','N','BARRA DO ARIRIU','PALHOCA','SC','124241246136132421536614295124233268187',NULL,'306',0.00,1,2,1),(15,2816610,'1988-06-25 00:00:00',2,1,12,2007,'F','N','SANTOS DUMONT','SAO JOSE','SC','124241241127131752323344245124610124141',NULL,'257',24.95,1,3,NULL),(15,2816628,'1986-09-03 00:00:00',2,1,9,2005,'F','N','BARRA DO ARIRIU','PALHOCA','SC','124241241117133121536634386124233268177',NULL,'306',0.00,1,2,1),(15,2816636,'1980-06-15 00:00:00',2,1,12,1999,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241126134431431311345124222313147',NULL,'275',0.00,1,2,1),(15,2816644,'1986-02-17 00:00:00',2,1,12,2003,'F','N','AREIAS','SAO JOSE','SC','124241241116132431436527445134131324077',14208,'228',45.86,1,3,NULL),(15,2816652,'1989-03-04 00:00:00',4,1,12,2006,'F','N','CENTRO PALHOÇA','PALHOCA','SC','124244241215372441226923435114610124097',16538,'596',42.53,1,3,NULL),(15,2816660,'1984-07-08 00:00:00',2,1,12,2001,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241117375431433311485121610164187',4914,'772',61.27,1,2,1),(15,2816679,'1990-09-10 00:00:00',2,1,12,2007,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241117131431433311585111610164187',19249,'941',38.26,1,2,1),(15,2816687,'1989-08-26 00:00:00',2,1,12,2006,'F','N','FORQUILHAS','SAO JOSE','SC','124241241116132411444414345124230812142',17381,'733',41.26,1,3,NULL),(15,2816695,'1986-09-01 00:00:00',4,1,12,2004,'F','N','JARDIM JANAINA','BIGUACU','SC','224241241117131431226654242232132733145',21043,'257',34.77,1,2,1),(15,2816709,'1986-09-07 00:00:00',2,1,12,2004,'F','N','CACUPÉ','FLORIANOPOLIS','SC','124243241116273431664613445134610165071',10499,'307',51.18,1,3,NULL),(15,2816717,'1990-03-06 00:00:00',2,1,12,2007,'M','N','AREIAS','SAO JOSE','SC','124241241116111431436527595124610122047',11210,'739',50.14,1,3,NULL),(15,2816725,'1990-05-21 00:00:00',2,1,12,2007,'F','N','GAMBOINHA','PAULO LOPES','SC','124241241225131711326319572224610145117',NULL,'262',0.00,1,3,NULL),(15,2816733,'1960-10-27 00:00:00',2,1,12,2007,'F','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','224241241125131712621179392144610167147',NULL,'288',21.29,3,3,NULL),(15,2816741,'1990-10-04 00:00:00',4,1,12,2007,'F','N','RATONES','FLORIANOPOLIS','SC','124241241225111731533319242124610121067',NULL,'262',21.43,1,3,NULL),(15,2816750,'1981-09-19 00:00:00',2,1,12,2007,'F','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124241241125131431632519282121610167147',18441,'288',39.59,4,3,NULL),(15,2816768,'1989-07-26 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241222131411523611392224610154181',11217,'262',50.13,1,3,NULL),(15,2816776,'1982-11-17 00:00:00',2,1,12,2000,'M','N','CENTRO','SANTO AMARO DA IMPERATRIZ','SC','124241241127133431222329142223610158192',11496,'772',49.71,1,2,1),(15,2816784,'1980-08-16 00:00:00',2,1,7,2004,'F','N','COLONINHA','FLORIANOPOLIS','SC','224241245637131431313348392324610128147',NULL,'9999',24.67,2,1,2),(15,2816792,'1971-08-29 00:00:00',2,1,7,1997,'M','N','COLONINHA','FLORIANOPOLIS','SC','224242247647131431314459282324610167047',NULL,'9999',39.42,2,1,2),(15,2816806,'1990-07-20 00:00:00',4,1,12,2007,'F','N','JARDIM ELDORADO','PALHOCA','SC','124241241225131431634311112324610127057',14156,'262',45.96,1,3,NULL),(15,2816814,'1989-06-07 00:00:00',4,1,12,2007,'F','N','RATONES','FLORIANOPOLIS','SC','124241248225171731511319594324610136052',NULL,'262',0.00,3,3,NULL),(15,2816822,'1989-03-11 00:00:00',2,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241127131331221229185124610117147',19143,'262',38.44,1,3,NULL),(15,2816830,'1987-11-07 00:00:00',4,1,12,2005,'M','N','NOVA MICHIGAN','SAO JOSE DOS CAMPOS','SP','125252251137471411436561312224610164087',8791,'9998',54.02,1,3,NULL),(15,2816849,'1989-06-04 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124241241115131431548931415224610137097',17124,'306',41.68,1,2,1),(15,2816857,'1990-09-21 00:00:00',4,1,12,2007,'M','N','FAZENDA DA ARMAÇÃO','GOVERNADOR CELSO RAMOS','SC','124241241116131232434651572114610167017',20604,'64',35.68,1,3,NULL),(15,2816865,'1981-03-01 00:00:00',2,1,12,2007,'F','N','JD CAROLINA','BIGUACU','SC','224163241115131431328559482344610114177',19363,'64',38.07,1,3,NULL),(15,2816873,'1991-01-07 00:00:00',4,1,12,2007,'M','N','JARDIN CAROLINA','BIGUACU','SC','124241241117131121524314185111610117042',20148,'64',36.54,1,2,1),(15,2816881,'1985-12-30 00:00:00',2,1,12,2003,'M','N','REAL PARQUE','SAO JOSE','SC','124241241127132431433314282113610128053',16490,'730',42.60,1,3,NULL),(15,2816890,'1980-12-30 00:00:00',2,1,12,1999,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','224101101117131431423354482214610126193',NULL,'9998',18.50,2,2,1),(15,2816903,'1990-06-05 00:00:00',2,1,12,2007,'F','N','MORRO DO FREITAS','PAULO LOPES','SC','124241241225131431523313572324610121047',2618,'262',67.27,1,3,NULL),(15,2816911,'1974-08-09 00:00:00',4,1,12,1994,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','224101181116133411423314445224230216041',18901,'9998',38.84,2,1,1),(15,2816920,'1975-06-05 00:00:00',4,1,11,1992,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','224241243122372721331144242124610132117',19636,'287',37.55,1,2,1),(15,2816938,'1980-07-18 00:00:00',2,1,12,1997,'F','N','ITACORUBI','FLORIANOPOLIS','SC','224241241142132421321341212224221966093',10538,'307',51.12,1,3,NULL),(15,2816946,'1989-01-24 00:00:00',4,1,11,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124253241227131731413429282324610127147',NULL,'262',25.75,1,3,NULL),(15,2816954,'1982-07-14 00:00:00',2,1,11,2003,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241247145271441533429345124610121097',NULL,'9999',0.00,1,2,1),(15,2816962,'1983-08-20 00:00:00',2,1,12,2000,'F','N','BELA VISTA II','SAO JOSE','SC','124241241147275751323849195234610148147',12746,'808',47.92,1,2,1),(15,2816970,'1976-05-31 00:00:00',3,1,12,1999,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','224131137332131722336354442124141635077',NULL,'9999',7.36,1,3,NULL),(15,2816989,'1989-06-23 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241112112431456633571125610127115',10584,'267',51.05,1,2,1),(15,2816997,'1981-01-30 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124201201125271411125344141324610167015',NULL,'9998',22.34,1,2,1),(15,2817004,'1981-11-07 00:00:00',2,1,12,2001,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241112273131333624442334610162147',14858,'307',44.95,1,3,NULL),(15,2817012,'1989-08-08 00:00:00',2,1,12,2006,'F','N','ABRAÃO','FLORIANOPOLIS','SC','124241241216372411423619382123610115182',18607,'1036',39.31,5,3,NULL),(15,2817020,'1982-10-15 00:00:00',2,1,12,2001,'F','N','PICADAS DO SUL','SAO JOSE','SC','124241247126333411335644142122132367143',20068,'9999',36.69,1,2,1),(15,2817039,'1989-08-28 00:00:00',4,1,12,2007,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241137371331226644341314610115112',15512,'727',44.11,1,2,1),(15,2817047,'1983-08-16 00:00:00',2,1,11,2002,'F','N','RIO TAVAES','FLORIANOPOLIS','SC','124241241125471411425529311314610117142',NULL,'285',24.53,2,3,NULL),(15,2817055,'1988-09-17 00:00:00',4,1,12,2006,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241116472432526414445114610137084',NULL,'307',22.72,4,2,1),(15,2817063,'1988-05-10 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124121121111371431224611211321610134112',NULL,'9998',21.08,4,3,NULL),(15,2817071,'1975-06-30 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','224241247215131431523358182344610112152',NULL,'9999',6.86,1,3,NULL),(15,2817080,'1989-01-29 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241112471731333429391233610117042',19846,'281',37.12,2,2,1),(15,2817101,'1976-07-25 00:00:00',4,1,12,2000,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241121271411214348481344610165092',NULL,'293',15.29,2,1,1),(15,2817110,'1987-09-24 00:00:00',2,1,12,2004,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241241147132431534629342224610137047',18339,'281',39.73,1,2,1),(15,2817128,'1973-06-19 00:00:00',2,1,10,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','624241248126472411613348184324610166183',14592,'9997',45.28,1,3,NULL),(15,2817136,'1953-03-16 00:00:00',2,1,7,1988,'M','N','ITAGUAÇU','FLORIANOPOLIS','SC','224241247127135121631179182115610137033',NULL,'9999',NULL,1,3,NULL),(15,2817144,'1985-04-28 00:00:00',2,1,12,2003,'F','N','IPIRANGA','SAO JOSE','SC','624241241116232711643311242133610115187',NULL,'257',23.91,1,2,1),(15,2817152,'1979-11-04 00:00:00',2,1,11,1997,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124241241126274421545623442124610137097',7892,'592',55.53,1,2,1),(15,2817160,'1982-04-26 00:00:00',2,1,12,2002,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241146273432323344245334333261142',11643,'592',49.49,1,3,NULL),(15,2817179,'1984-08-24 00:00:00',2,1,6,2007,'M','N','IPIRANGA','SAO JOSE','SC','624241247125331732641471341123610118197',NULL,'9999',23.51,1,2,1),(15,2817187,'1986-01-07 00:00:00',4,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','124241244115132431623514346334613234097',18639,'734',39.25,1,2,1),(15,2817195,'1989-08-15 00:00:00',2,1,12,2006,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241112271411224464572324610114041',18592,'257',39.33,2,1,1),(15,2817209,'1972-12-15 00:00:00',5,1,12,1990,'F','N','TRINDADE','FLORIANOPOLIS','SC','224241245126134421232344345124430835147',14735,'574',45.10,1,2,1),(15,2817217,'1989-07-26 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241127111431623329282124610152177',NULL,'285',23.22,2,2,1),(15,2817233,'1988-04-23 00:00:00',4,1,6,2006,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124243241327272431426833281224610164147',16844,'307',42.09,4,3,NULL),(15,2817241,'1976-09-25 00:00:00',2,1,12,1998,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','424201207427131721234344241314143223077',NULL,'9999',26.31,1,3,NULL),(15,2817250,'1988-04-23 00:00:00',2,1,12,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241114132431426828144234610165147',10617,'306',51.00,4,2,1),(15,2817268,'1987-07-16 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201201117134421613644442124231031147',16981,'9998',41.90,1,2,1),(15,2817276,'1990-07-27 00:00:00',2,1,12,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241111131431426823272244610144047',NULL,'287',17.15,4,2,1),(15,2817284,'1979-08-22 00:00:00',2,1,12,1997,'F','N','TAPERA','FLORIANOPOLIS','SC','124241243141134411643434242324610161147',NULL,'281',25.69,1,2,1),(15,2817292,'1989-04-09 00:00:00',4,1,12,2006,'F','N','CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC','124241241112161431323319442124230223147',NULL,'357',25.58,1,2,1),(15,2817306,'1990-05-28 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241222131431321214572224610167141',19975,'262',36.88,1,3,NULL),(15,2817314,'1983-08-19 00:00:00',2,1,12,2002,'F','N','BELA VISTA I','SAO JOSE','SC','124243241215434431538313446134610123147',NULL,'300',20.67,1,3,NULL),(15,2817322,'1989-01-13 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241117131331327628342224610124197',17621,'289',40.91,1,2,1),(15,2817330,'1985-01-15 00:00:00',2,1,12,2003,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241116575531329629482214610164097',10186,'289',51.65,1,2,1),(15,2817349,'1988-06-23 00:00:00',2,1,12,2004,'M','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124241247145133431446833575124610164047',NULL,'9999',27.12,1,2,1),(15,2817357,'1990-04-27 00:00:00',2,7,12,2007,'M','N','INTERIOR','CAMPOS NOVOS','SC','124241242135131521613435572324610154047',NULL,'314',0.00,1,2,1),(15,2817365,'1990-02-19 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124244241117271431335623585124610164147',19743,'268',37.35,4,1,2),(15,2817373,'1983-01-22 00:00:00',2,1,12,2002,'F','N','JOSE MENDES','FLORIANOPOLIS','SC','124241241127574751523334482344610131147',15933,'286',43.49,1,2,1),(15,2817381,'1988-10-04 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241116472751329729472214610164117',20257,'281',36.32,1,3,NULL),(15,2817390,'1984-07-19 00:00:00',2,1,10,2003,'M','N','JOSE MENDES','FLORIANOPOLIS','SC','124241248137332711511319392344610117041',17878,'286',40.54,1,2,1),(15,2817403,'1988-02-26 00:00:00',2,1,12,2005,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','624241241115572411445623582223610156187',7740,'306',55.80,1,2,1),(15,2817411,'1987-10-13 00:00:00',2,1,12,2004,'M','N','CENTRO','BIGUACU','SC','124241241117132441433626552324610164172',17713,'21',40.79,1,3,NULL),(15,2817420,'1984-06-18 00:00:00',4,1,12,2001,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','424101101137371111122244242344610134027',22198,'9998',31.49,1,2,1),(15,2817438,'1987-08-07 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241137132431423336371324131562147',2984,'169',66.20,1,2,1),(15,2817446,'1983-07-24 00:00:00',2,1,12,2000,'M','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241125471411646634242113610143012',NULL,'773',29.37,1,2,1),(15,2817454,'1984-05-13 00:00:00',2,1,12,2003,'F','N','BELA VISTA I','SAO JOSE','SC','124241241127131731321549492124610134097',NULL,'257',21.29,3,3,NULL),(15,2817462,'1989-12-06 00:00:00',2,1,12,2007,'F','N','SAO SEBASTIAO','PALHOCA','SC','124246241622111751423319191344610168197',16784,'262',42.19,1,3,NULL),(15,2817470,'1963-09-03 00:00:00',2,1,12,1982,'M','N','BALNEARIO DOS AÇORES','FLORIANOPOLIS','SC','224241241127134421433313332123610137187',21852,'307',32.79,1,3,NULL),(15,2817489,'1990-11-28 00:00:00',2,1,12,2007,'M','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241215121431647613572114610128142',4233,'266',62.84,1,3,NULL),(15,2817497,'1981-06-13 00:00:00',2,1,12,1998,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124201201136135421324415495334222322147',11416,'9998',49.82,1,2,1),(15,2817500,'1985-09-02 00:00:00',2,1,12,2003,'F','N','COLONIA SANTANA','SAO JOSE','SC','124241241136371431223329382114610164187',7787,'731',55.71,1,2,1),(15,2817519,'1970-08-12 00:00:00',2,1,7,2005,'F','N','IPIRANGA','SAO JOSE','SC','524241247121274431226644442234610113077',20519,'9999',35.85,3,2,1),(15,2817527,'1988-05-09 00:00:00',2,1,12,2005,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241117373431328869572124610162197',13319,'147',47.15,1,2,1),(15,2817535,'1980-09-02 00:00:00',2,1,12,1998,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124243241116155721428879492124420968197',16327,'148',42.85,1,3,NULL),(15,2817543,'1981-04-02 00:00:00',2,1,12,2002,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241122131331426624572214610124017',NULL,'307',15.96,2,2,1),(15,2817551,'1976-03-20 00:00:00',2,1,12,1996,'F','N','IPIRANGA','SAO JOSE','SC','124241241112135431534339492324610134147',19484,'257',37.85,1,3,NULL),(15,2817560,'1990-04-29 00:00:00',2,1,2,2008,'M','N','CENTRO','SAO JOSE','SC','124241241115131411434623342324610125052',6109,'739',58.86,4,1,1),(15,2817578,'1990-04-29 00:00:00',2,1,2,2008,'M','N','CENTRO','SAO JOSE','SC','124241241115131741434623342324610117052',13145,'739',47.40,4,1,1),(15,2817586,'1987-02-16 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241136272131323429342134610117182',NULL,'295',21.90,1,2,1),(15,2817594,'1990-05-24 00:00:00',4,1,12,2007,'M','N','BELA VISTA','SAO JOSE','SC','124241241117471451435534595114610124042',NULL,'9997',12.75,4,2,1),(15,2817608,'1985-10-03 00:00:00',2,1,6,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243247316132721333834345124610122197',NULL,'9999',32.61,1,3,NULL),(15,2817616,'1990-03-14 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241147131411323327241224610126142',NULL,'285',0.00,1,2,1),(15,2817624,'1985-02-23 00:00:00',4,1,6,2004,'M','N','MONTE CRISTO','FLORIANOPOLIS','SC','124241247322131411634423282324232062147',20691,'9999',35.52,4,1,2),(15,2817640,'1984-08-19 00:00:00',2,1,12,2002,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241116275431323664282113610167147',19536,'592',37.75,1,3,NULL),(15,2817659,'1990-04-29 00:00:00',2,1,12,2007,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241115141531533439392124610127142',22383,'288',30.49,1,3,NULL),(15,2817667,'1988-04-28 00:00:00',2,1,12,2005,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124241241136133431324644342114610167047',18502,'592',39.47,1,3,NULL),(15,2817675,'1989-02-07 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124201248121131431425314372124610126195',NULL,'9998',0.00,4,3,NULL),(15,2817691,'1984-05-28 00:00:00',4,1,12,2002,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241137132431336319292124610167047',NULL,'307',20.95,4,2,1),(15,2817705,'1990-12-07 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241111371431448713575124610142017',19354,'288',38.08,4,1,1),(15,2817713,'1977-05-28 00:00:00',2,1,12,2008,'F','S','VARGEM GRANDE','FLORIANOPOLIS','SC','224241241126131431323354242122610164187',NULL,'288',17.54,1,3,NULL),(15,2817721,'1987-11-17 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124243241436134131128644245124610161057',21313,'904',34.16,1,3,NULL),(15,2817730,'1987-04-04 00:00:00',4,1,6,2007,'F','N','REAL P ARQUE','SAO JOSE','SC','124241247127131712521179282124610168147',NULL,'9999',0.00,4,3,NULL),(15,2817748,'1984-11-30 00:00:00',2,1,12,2004,'M','N','ROÇADO','SAO JOSE','SC','124051241142132421543125152334130267047',18819,'277',38.96,1,2,1),(15,2817756,'1980-10-05 00:00:00',2,1,12,1999,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241126133731423319482344610132187',NULL,'592',23.68,1,3,NULL),(15,2817764,'1984-12-19 00:00:00',2,1,12,2001,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124202201146131431123744242314610124187',20329,'9998',36.18,1,3,NULL),(15,2817772,'1984-07-17 00:00:00',2,1,12,2002,'F','N','PANTANAL','FLORIANOPOLIS','SC','124201201127131531116648381324610163182',20167,'9998',36.50,1,3,NULL),(15,2817780,'1989-11-06 00:00:00',4,1,12,2007,'F','N','DANIELA','FLORIANOPOLIS','SC','124242241216112231548612572124610126137',3329,'1048',65.18,1,3,NULL),(15,2817799,'1977-02-14 00:00:00',4,1,12,1994,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','224203201417131431423441315122140717117',14809,'9998',45.00,1,3,NULL),(15,2817802,'1978-07-25 00:00:00',4,1,12,1997,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','224201201317132431425351395122610136187',19623,'9999',37.57,1,3,NULL),(15,2817810,'1979-12-04 00:00:00',2,1,12,1997,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124201208126131411123349495133140854187',NULL,'9998',18.87,1,3,NULL),(15,2817829,'1990-10-10 00:00:00',4,2,12,2007,'M','N','CENTRO','VIDAL RAMOS','SC','124241241135131432436413341125610144077',17076,'828',41.76,4,2,1),(15,2817837,'1990-03-15 00:00:00',2,1,12,2007,'F','N','CENTRO','VIDAL RAMOS','SC','124241241137131431526614242112610124147',22490,'828',28.93,1,3,NULL),(15,2817845,'1989-11-07 00:00:00',2,1,12,2006,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241241115372731426624372324610136015',11230,'281',50.11,1,2,1),(15,2817853,'1985-11-16 00:00:00',4,1,12,2003,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241432431432213344346224610141187',21817,'89',32.89,1,3,NULL),(15,2817861,'1988-10-01 00:00:00',2,1,12,2006,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241127471431446369382114610157055',NULL,'294',21.03,4,1,1),(15,2817870,'1989-05-19 00:00:00',2,6,12,2006,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241216472431437619595125610167142',7762,'44',55.77,1,3,NULL),(15,2817888,'1986-02-08 00:00:00',2,1,12,2004,'M','N','TAPERA','FLORIANOPOLIS','SC','124241241134141421123644341324610124047',NULL,'289',0.00,1,3,NULL),(15,2817896,'1986-10-31 00:00:00',2,1,12,2004,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241147244521426723382114610116057',15366,'281',44.31,1,2,1),(15,2817900,'1984-08-16 00:00:00',2,1,12,2001,'M','N','PANTANAL','FLORIANOPOLIS','SC','124242241216174751336619173221220768187',6604,'44',57.89,1,3,NULL),(15,2817918,'1989-06-28 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124242241117131411226529192124610164097',21267,'9997',34.28,1,3,NULL),(15,2817926,'1987-09-14 00:00:00',2,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241132132431644623482124610124147',17903,'592',40.48,1,2,1),(15,2817934,'1989-07-29 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241115131431324571271324610143077',19392,'307',38.03,1,2,1),(15,2817942,'1985-09-16 00:00:00',2,1,3,2004,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241241116275411436414445124610122057',5647,'739',59.78,1,2,1),(15,2817950,'1981-05-06 00:00:00',2,1,11,2000,'F','N','CENTRO','FLORIANOPOLIS','SC','124051241127133431444314445234610123183',22349,'307',30.72,2,1,1),(15,2817969,'1985-10-24 00:00:00',4,1,7,2005,'F','N','LOURO','ANTONIO CARLOS','SC','124241241136111731623415182214613224144',20084,'21',36.65,1,3,NULL),(15,2817977,'1986-10-17 00:00:00',4,1,12,2004,'F','N','ARIRIU','PALHOCA','SC','124241241117133431526524341234610126092',NULL,'772',0.00,1,2,1),(15,2817985,'1990-01-10 00:00:00',4,1,12,2007,'F','N','LOURO','ANTONIO CARLOS','SC','124241243115161431423635275224610117057',NULL,'21',19.87,1,2,1),(15,2817993,'1990-12-02 00:00:00',2,1,2,2008,'F','N','ARAUCÁRIA','SAO JOSE','SC','124241241115151711325439592114610124147',NULL,'257',19.31,1,2,1),(15,2818000,'1978-10-23 00:00:00',2,1,12,1995,'F','N','CENTRO','FLORIANOPOLIS','SC','124201201114135731546419442134610123077',NULL,'9998',0.00,1,2,1),(15,2818019,'1990-08-20 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241112131431225628395124610123147',20897,'307',35.09,1,2,1),(15,2818027,'1990-12-02 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124201241147131411314341196331610127183',NULL,'282',39.93,1,3,NULL),(15,2818035,'1987-09-03 00:00:00',2,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124242241212113411438833572124231062147',NULL,'1036',29.44,1,3,NULL),(15,2818043,'1982-10-28 00:00:00',2,1,12,2001,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241112132421123341212223610122097',16420,'292',42.73,1,2,1),(15,2818051,'1990-03-11 00:00:00',4,1,12,2007,'F','N','RATONES','FLORIANOPOLIS','SC','124241244227111431533314272124610117052',NULL,'262',0.00,1,3,NULL),(15,2818060,'1982-02-07 00:00:00',2,1,12,1999,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124161161142134421123643132344610123097',NULL,'9998',39.35,1,2,1),(15,2818078,'1986-10-23 00:00:00',2,1,12,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241248112473231632623574114610122142',11039,'271',50.40,2,1,1),(15,2818086,'1984-11-22 00:00:00',2,1,12,2003,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','123241248116474431632623346114610167045',22117,'281',31.84,2,1,1),(15,2818094,'1975-05-04 00:00:00',2,1,11,2005,'F','N','FLOR DE NAPOLES','SAO JOSE','SC','124241247122131431222254182224130716197',21810,'736',32.93,1,3,NULL),(15,2818108,'1989-04-02 00:00:00',2,1,12,2007,'M','N','COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC','124241248115131631632623572114610117045',NULL,'281',18.62,2,1,1),(15,2818116,'1990-09-05 00:00:00',2,1,12,2007,'F','N','PACHECOS','PALHOCA','SC','124241241137161731443319375114610163052',17945,'592',40.41,1,2,1),(15,2818124,'1977-01-04 00:00:00',2,1,12,1997,'M','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','224241241127132431313148282324610137047',NULL,'280',0.00,1,2,1),(15,2818132,'1986-12-12 00:00:00',2,1,12,2004,'F','N','FORQUILHAS','SAO JOSE','SC','124241241122132431626614242334610148147',NULL,'945',26.56,1,2,1),(15,2818140,'1975-09-29 00:00:00',2,1,12,1994,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124251251122163731226649391224142721157',NULL,'9998',32.88,4,2,1),(15,2818159,'1990-03-10 00:00:00',2,8,12,2007,'F','N','AVENTUREIRO','JOINVILLE','SC','124243241315171431547613371324610145057',5182,'486',60.74,1,3,NULL),(15,2818167,'1989-06-10 00:00:00',2,1,12,2006,'M','N','JARDIM ELDORADO','PALHOCA','SC','124243241136272411228523385114610164063',11134,'1009',50.25,1,3,NULL),(15,2818175,'1976-06-15 00:00:00',2,1,12,2003,'F','N','FORQUILHAS','SAO JOSE','SC','424243247327133431111144142123610124142',NULL,'9999',25.53,1,3,NULL),(15,2818183,'1981-06-16 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANOPOLIS','SC','624241247126472441544723485124610164192',6950,'9999',57.25,1,2,1),(15,2818191,'1987-09-20 00:00:00',2,1,11,2007,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241137131411536413342124610114047',20920,'9999',35.04,1,2,1),(15,2818205,'1990-06-17 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241115132431423311385124610125077',21379,'307',34.02,1,2,1),(15,2818213,'1989-10-07 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241116151411457313391134610166027',8803,'306',54.00,1,2,1),(15,2818221,'1988-06-24 00:00:00',2,1,12,2005,'F','N','VILA APARECIDA','FLORIANOPOLIS','SC','124241241225133431324629281324610154052',14123,'262',46.00,1,3,NULL),(15,2818230,'1989-12-24 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241115131431533319572324610137145',5427,'306',60.22,4,2,1),(15,2818248,'1986-05-17 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241116373431446644442324610122147',8405,'359',54.68,1,2,1),(15,2818256,'1988-02-11 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241117372731515318391224610138187',21078,'293',34.71,4,2,1),(15,2818264,'1989-11-24 00:00:00',4,1,12,2007,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124244241225131431435611274124610164197',7987,'262',55.39,1,3,NULL),(15,2818272,'1990-02-19 00:00:00',4,1,12,2007,'M','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241225131431533334282224610137047',13715,'262',46.59,1,3,NULL),(15,2818280,'1984-08-24 00:00:00',2,1,12,2003,'F','N','RIBEIRAO ILHA','FLORIANOPOLIS','SC','124241241126132411323311495134610136147',14689,'278',45.16,1,2,1),(15,2818299,'1972-05-19 00:00:00',2,1,12,1992,'M','N','INGLESES','FLORIANOPOLIS','SC','224241241126273431536444145124610127067',15891,'170',43.55,4,2,1),(15,2818302,'1990-06-27 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241316471731523639575114610167042',16387,'300',42.78,1,3,NULL),(15,2818310,'1990-05-08 00:00:00',2,1,12,2007,'F','N','CAMINHO NOVO','PALHOCA','SC','124241241117131431224624472124610131157',13682,'307',46.64,1,2,1),(15,2818329,'1989-08-30 00:00:00',2,1,12,2007,'F','N','PRAIA DE FORA','PALHOCA','SC','124241241135161431326364342124610116142',18778,'594',39.02,1,2,1),(15,2818337,'1982-11-24 00:00:00',4,1,12,2001,'F','N','ARMACAO','FLORIANOPOLIS','SC','124252251214573431129949395224610124024',15049,'9998',44.74,1,3,NULL),(15,2818345,'1985-09-28 00:00:00',4,1,12,2005,'M','N','AREIAS','SAO JOSE','SC','124243241215473421213627575124610134197',7970,'738',55.41,1,3,NULL),(15,2818353,'1990-03-23 00:00:00',2,1,12,2007,'F','N','DA GRUTA','ITUPORANGA','SC','124241241147131451422324212321610148147',18436,'415',39.59,4,2,1),(15,2818361,'1983-05-21 00:00:00',2,1,12,2000,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','624241241111372431446473344233610167045',16883,'298',42.04,1,2,1),(15,2818370,'1988-04-13 00:00:00',2,1,3,2006,'M','N','REAL PARQUE','SAO JOSE','SC','124241247327131411433314342114610124037',NULL,'739',21.14,1,3,NULL),(15,2818388,'1979-06-24 00:00:00',4,1,12,1996,'M','N','ESTREITO','FLORIANOPOLIS','SC','124252258226271411334844295334131024017',20788,'9998',35.31,2,1,2),(15,2818396,'1981-04-02 00:00:00',2,1,12,1995,'M','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124241247321131311316429341224610117047',NULL,'9997',38.89,1,3,NULL),(15,2818400,'1983-11-26 00:00:00',2,1,11,2006,'M','N','BARREIROS','SAO JOSE','SC','124243247221371131333523211334610117067',15519,'9999',44.11,1,3,NULL),(15,2818418,'1978-11-06 00:00:00',2,1,12,1997,'F','N','PRAINHA','FLORIANOPOLIS','SC','124241241136235721321229382324313032187',18626,'275',39.28,1,2,1),(15,2818426,'1988-10-01 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241111472431423316491324610127147',5393,'544',60.29,1,2,1),(15,2818434,'1987-07-23 00:00:00',2,1,12,2006,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241127232711633311311214610167142',NULL,'307',29.08,1,2,1),(15,2818442,'1986-06-18 00:00:00',3,1,12,2003,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124243241315475711433719392124613264117',16692,'1022',42.34,1,3,NULL),(15,2818450,'1974-10-21 00:00:00',2,1,8,1994,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241227131421324411182314610152194',NULL,'9999',0.00,2,3,NULL),(15,2818469,'1989-03-30 00:00:00',2,1,12,2006,'F','N','JARDIM ZANELLATO','SAO JOSE','SC','124241248146471431326324345334610127017',18451,'734',39.57,1,2,1),(15,2818477,'1980-07-29 00:00:00',2,1,12,2004,'F','N','BOM VIVER','BIGUACU','SC','624243247324271411323354241334610126047',NULL,'9999',0.00,1,3,NULL),(15,2818485,'1989-07-12 00:00:00',2,1,12,2006,'F','N','AREIAS','SAO JOSE','SC','124243241116132111424614395224610124147',10295,'257',51.49,1,3,NULL),(15,2818493,'1970-12-07 00:00:00',2,1,12,1987,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','224241243127372431328849392333610136042',19571,'293',37.68,1,3,NULL),(15,2818507,'1990-06-15 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241115471431236723575124610121147',NULL,'257',27.19,1,2,1),(15,2818515,'1985-08-05 00:00:00',2,1,11,2003,'F','N','BARREIROS','SAO JOSE','SC','124241241125471731455439345134610111187',16201,'736',43.06,1,2,1),(15,2818523,'1955-05-08 00:00:00',4,1,12,1973,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124252241116151441434441415224140452093',12041,'9998',48.93,1,3,NULL),(15,2818531,'1983-11-27 00:00:00',4,1,12,2006,'M','N','COLONINHA','FLORIANOPOLIS','SC','124243247647372431326321482324610162187',NULL,'9999',0.00,1,3,NULL),(15,2818540,'1987-08-10 00:00:00',4,1,12,2005,'M','N','AREIAS','SAO JOSE','SC','124241241125371431621114242124610127147',16827,'730',42.12,1,3,NULL),(15,2818558,'1982-07-06 00:00:00',4,1,12,1999,'F','N','BARREIROS','SAO JOSE','SC','124202203227472431333244442334610163197',NULL,'9998',24.80,2,1,2),(15,2818566,'1983-01-13 00:00:00',4,1,12,2000,'M','N','AREIAS','SAO JOSE','SC','224241241117134221236353246234610167057',NULL,'293',30.84,1,2,1),(15,2818574,'1990-11-10 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241115371431325529595124610132095',21658,'257',33.36,1,3,NULL),(15,2818582,'1972-05-06 00:00:00',4,1,12,1992,'F','N','INGLESES','FLORIANOPOLIS','SC','224201201136132431232354385134230226147',16269,'9998',42.95,1,2,1),(15,2818590,'1972-01-01 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','224204247226131431233344245123610164032',12265,'9999',48.64,1,3,NULL),(15,2818604,'1975-12-05 00:00:00',4,1,12,1995,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241121135132422319341334610133147',22361,'289',30.60,1,2,1),(15,2818612,'1979-01-16 00:00:00',4,1,12,1998,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241137131431125644442344610117147',NULL,'307',21.45,1,2,1),(15,2818620,'1982-04-04 00:00:00',2,1,12,1999,'F','N','INGLESES','FLORIANOPOLIS','SC','124201201136273721126644342324610124157',19388,'9998',38.04,3,3,NULL),(15,2818639,'1983-10-07 00:00:00',2,1,12,2002,'M','N','SACO D LIMÕES CAEIRA','FLORIANOPOLIS','SC','124241241134133431526444442314610122195',19302,'281',38.16,1,3,NULL),(15,2818647,'1986-01-05 00:00:00',2,1,7,2004,'F','N','PINHEIRA','PALHOCA','SC','124241241127131331423311274114610116112',14697,'595',45.15,1,3,NULL),(15,2818655,'1985-08-03 00:00:00',2,1,12,2002,'F','N','SERRARIA','SAO JOSE','SC','124241241117272431424624382113610122142',16046,'539',43.30,1,2,1),(15,2818663,'1988-03-29 00:00:00',4,1,11,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241135131311421323342114610153147',NULL,'307',21.27,1,2,1),(15,2818671,'1983-10-27 00:00:00',2,1,12,2007,'F','N','LAGOA DA CCONCEICAO','FLORIANOPOLIS','SC','124241241127131311211441111324610118187',NULL,'282',28.66,1,2,1),(15,2818680,'1961-05-26 00:00:00',2,1,10,1980,'M','N','COLONINHA','FLORIANOPOLIS','SC','424241248121132411223344241112610137047',10813,'264',50.72,1,2,1),(15,2818698,'1988-03-03 00:00:00',4,1,11,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241315573451235727294324610167013',5588,'300',59.90,1,3,NULL),(15,2818701,'1990-05-20 00:00:00',2,1,12,2007,'F','N','PERNAMBUCO','TIJUCAS','SC','124241241117161411546314572222610127147',NULL,'783',17.53,1,2,1),(15,2818710,'1987-11-10 00:00:00',2,1,11,2005,'F','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124241241117112431433411341124610152197',21048,'286',34.77,1,3,NULL),(15,2818728,'1984-06-15 00:00:00',2,1,12,2001,'M','N','BARRA DO ARIRIÚ','PALHOCA','SC','624241241117132431326644342224610164047',NULL,'591',0.00,1,2,1),(15,2818736,'1986-06-11 00:00:00',4,1,8,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124241247436131431225444245113610147097',13196,'270',47.33,2,1,2),(15,2818744,'1983-10-11 00:00:00',2,1,12,2000,'F','N','BOA PARADA','SAO PEDRO DE ALCANTARA','SC','124241241126132531636612242124130264097',21568,'869',33.59,1,2,1),(15,2818752,'1990-02-15 00:00:00',4,1,12,2007,'M','N','FORQUILHAS','SAO JOSE','SC','124241241115271411433334292124610137042',NULL,'733',19.03,1,2,1),(15,2818760,'1985-07-23 00:00:00',2,1,12,2002,'M','N','FORQUILHAS','SAO JOSE','SC','124241241115212711433334282124610137062',14474,'732',45.46,1,2,1),(15,2818779,'1977-07-31 00:00:00',2,1,12,2005,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','224201247112333411223344441334610167145',21873,'9999',32.72,1,2,1),(15,2818787,'1988-08-26 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124163161215572111542773595214610167141',5537,'9998',59.98,4,3,NULL),(15,2818795,'1980-12-06 00:00:00',2,1,12,1997,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124201201116132421138849491334343221097',11116,'9998',50.27,1,2,1),(15,2818809,'1989-06-25 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124111241141471431433544241334610124147',15715,'922',43.79,4,2,1),(15,2818817,'1989-12-12 00:00:00',2,1,12,2006,'F','N','SIRIU','GAROPABA','SC','124241241136141431515823332134610127117',NULL,'322',22.60,1,3,NULL),(15,2818825,'1984-11-05 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241126133421123339441334610114027',14908,'359',44.90,2,1,1),(15,2818841,'1981-08-18 00:00:00',2,1,12,2003,'F','N','FORQUILHINHAS','SAO JOSE','SC','624241241137131411423354472344610146047',NULL,'151',0.00,1,3,NULL),(15,2818850,'1989-09-24 00:00:00',2,1,12,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241125142431232329241134610125157',14794,'278',45.02,1,2,1),(15,2818868,'1989-08-26 00:00:00',2,1,12,2006,'F','N','PALMAS','GOVERNADOR CELSO RAMOS','SC','124241241111132431323314241334610166147',17742,'307',40.74,1,3,NULL),(15,2818876,'1959-09-11 00:00:00',2,1,12,2004,'F','N','CENTRO','GAROPABA','SC','524201247621132421123349191341610125097',NULL,'322',0.00,1,3,NULL),(15,2818884,'1979-07-25 00:00:00',4,1,12,1997,'F','N','AREIAS DO CAMPECHE','FLORIANOPOLIS','SC','124201208127131721326641212221142767057',NULL,'9998',0.00,1,2,1),(15,2818892,'1974-05-22 00:00:00',2,1,12,1992,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124204208227131732317849296132610162117',11444,'9998',49.79,1,3,NULL),(15,2818906,'1979-11-13 00:00:00',2,1,12,1999,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241122274731338513282314133242175',NULL,'616',28.34,1,2,1),(15,2818914,'1979-12-20 00:00:00',2,1,12,1996,'F','N','BARREIROS','SAO JOSE','SC','624241248147132421243349295334610128197',NULL,'359',0.00,1,3,NULL),(15,2818922,'1990-04-22 00:00:00',4,1,12,2007,'M','N','CAMPINAS','SAO JOSE','SC','124243241115271431324321572124610127047',18846,'732',38.92,1,3,NULL),(15,2818930,'1981-01-18 00:00:00',2,1,12,1999,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241117134751436443436335610167067',NULL,'307',0.00,1,2,1),(15,2818949,'1981-03-22 00:00:00',4,1,1,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241247411131411225344241224610133187',21975,'9999',32.34,1,3,NULL),(15,2818957,'1990-04-29 00:00:00',2,1,12,2007,'M','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','124241241147142431646613145324610164057',15518,'307',44.11,1,2,1),(15,2818965,'1985-08-24 00:00:00',2,1,12,2003,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241125131431623344241214610114187',NULL,'277',26.43,4,2,1),(15,2818973,'1983-09-30 00:00:00',2,1,12,2003,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241127372431623319344334610123187',11467,'307',49.75,1,2,1),(15,2818981,'1989-02-18 00:00:00',2,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241116373411326411295124230827142',20049,'307',36.73,1,2,1),(15,2818990,'1982-10-23 00:00:00',4,5,12,2002,'M','N','NAVA ESPERANÇA','CRICIUMA','SC','124241247325131421124144442324610146182',19234,'32',38.29,1,3,NULL),(15,2819007,'1989-10-23 00:00:00',2,5,11,2006,'F','N','UNIVERSITÁRIO','CRICIUMA','SC','124244241211132431323334182124610131147',10403,'995',51.34,1,3,NULL),(15,2819015,'1989-03-01 00:00:00',2,5,12,2006,'M','N','VERA CRUZ','CRICIUMA','SC','124241241216132431321624482124610147017',14655,'920',45.21,3,3,NULL),(15,2819023,'1989-07-31 00:00:00',4,1,12,2007,'F','N','CAMINHO NOVO','PALHOCA','SC','124241241115131411524319572324610134047',21909,'592',32.58,1,3,NULL),(15,2819031,'1990-09-24 00:00:00',2,5,12,2007,'F','N','COLONINHA','ARARANGUA','SC','124241241117131431436714582111610125147',18166,'29',40.03,1,2,1),(15,2819040,'1988-11-16 00:00:00',4,1,12,2006,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241115372431643311445124610138147',21007,'733',34.84,1,2,1),(15,2819058,'1990-06-13 00:00:00',2,5,12,2007,'F','N','COLONINHA','ARARANGUA','SC','124241243115131731526634585121610225027',NULL,'29',0.00,1,3,NULL),(15,2819066,'1989-07-30 00:00:00',2,1,12,2007,'F','N','FAZENDA STO ANTÔNIO','SAO JOSE','SC','124241241117141431553313342124610127057',20508,'733',35.86,1,2,1),(15,2819074,'1990-09-10 00:00:00',2,5,12,2007,'F','N','COLONINHA','ARARANGUA','SC','124241241135131431323331571121610134147',NULL,'29',0.00,1,2,1),(15,2819082,'1978-07-07 00:00:00',2,1,12,2001,'F','N','RATONES','FLORIANOPOLIS','SC','124201206113132421115341113324142963091',NULL,'9998',22.60,1,3,NULL),(15,2819090,'1989-09-23 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241115151431446613332344610157057',22144,'281',31.75,1,3,NULL),(15,2819104,'1990-08-01 00:00:00',2,1,12,2007,'F','N','LINHA DOS CHAVES','ANGELINA','SC','124241241112131631314436572324610126147',22343,'17',30.77,1,2,1),(15,2819112,'1990-04-23 00:00:00',2,5,12,2007,'F','N','URUSSANGUINHA','ARARANGUA','SC','124241241115131431433713285121610124077',NULL,'29',0.00,1,2,1),(15,2819120,'1990-06-23 00:00:00',2,5,11,2007,'M','N','BARRANCA','ARARANGUA','SC','124241241115161432424615172222610167057',17984,'29',40.34,1,3,NULL),(15,2819139,'1987-01-31 00:00:00',4,1,12,2004,'F','N','CAMINHO NOVO','PALHOCA','SC','124241247315133411626619342124610134147',NULL,'596',20.71,1,3,NULL),(15,2819147,'1988-04-07 00:00:00',4,5,12,2007,'F','N','CIDADE ALTA','ARARANGUA','SC','124241241115131431316629392325610167092',NULL,'29',21.71,4,3,NULL),(15,2819171,'1970-02-28 00:00:00',2,5,3,1990,'F','N','URUSSANGUINHA','ARARANGUA','SC','224201205115131731216159383221340216077',NULL,'9999',0.00,1,3,NULL),(15,2819180,'1984-05-08 00:00:00',4,5,12,2001,'F','N','COLONINHA','ARARANGUA','SC','124241241125131451527511215125610136147',NULL,'28',0.00,5,2,1),(15,2819198,'1982-10-28 00:00:00',2,1,12,1999,'F','N','ESTREITO','FLORIANOPOLIS','SC','124161161327131111121244145334610165047',21029,'9998',34.81,2,1,2),(15,2819201,'1990-04-04 00:00:00',2,5,12,2007,'F','N','VILA MANENTI','TURVO','SC','124241241116131731523615571121610128057',20118,'814',36.59,1,2,1),(15,2819210,'1990-07-22 00:00:00',2,5,12,2007,'F','N','CIDADE ALTA','TURVO','SC','124241241116131431318429572121610123147',NULL,'814',24.26,1,2,1),(15,2819228,'1990-03-05 00:00:00',2,1,12,2007,'F','N','ENSEADA DE BRITO','PALHOCA','SC','124241241125131711533329172324610122017',18154,'594',40.06,1,2,1),(15,2819236,'1990-07-31 00:00:00',2,5,12,2007,'F','N','SÃO CRISTOVÃO','TURVO','SC','124241241116131431414429571121610168147',13129,'814',47.42,1,2,1),(15,2819244,'1990-11-19 00:00:00',2,1,12,2007,'F','N','ENSEADA DE BRITO','PALHOCA','SC','124241241135131431526314291124613235147',NULL,'594',0.00,1,3,NULL),(15,2819252,'1980-08-24 00:00:00',4,1,12,1996,'F','N','INGLESES','FLORIANOPOLIS','SC','624142141216131441115848392324341966187',NULL,'9998',0.00,4,3,NULL),(15,2819279,'1989-05-26 00:00:00',2,1,12,2006,'F','N','BELA VISTA I','SAO JOSE','SC','124241241147131731425334282124610144147',NULL,'726',33.90,1,2,1),(15,2819295,'1976-07-03 00:00:00',2,1,12,1993,'F','N','BARREIROS','SAO JOSE','SC','124241243225271421123344242334130827187',7827,'409',55.64,1,3,NULL),(15,2819309,'1986-08-12 00:00:00',4,1,12,2003,'M','N','BARREIROS','SAO JOSE','SC','124201241116443531363927342224130227057',9765,'257',52.32,1,3,NULL),(15,2819317,'1990-12-25 00:00:00',2,5,12,2007,'M','N','CENTRO','ARARANGUA','SC','124241241115271411221424245121610135147',NULL,'29',15.63,2,1,1),(15,2819325,'1989-09-07 00:00:00',2,1,12,2007,'F','N','JARDIM JANAINA','BIGUACU','SC','124243241117271231423534576324610123147',NULL,'734',25.52,1,3,NULL),(15,2819333,'1988-09-13 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241221131411634334344114610146187',NULL,'262',23.22,1,3,NULL),(15,2819341,'1983-10-06 00:00:00',2,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','624241241127273431231174142215610168057',14749,'257',45.07,1,2,1),(15,2819350,'1989-12-25 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124244241316131411225514281324610144197',NULL,'733',11.74,1,3,NULL),(15,2819368,'1979-11-05 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241248126131421123419345334610166013',20461,'1094',35.95,1,3,NULL),(15,2819376,'1987-08-31 00:00:00',2,1,12,2004,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241241116373731446634446124610127077',17728,'307',40.76,1,3,NULL),(15,2819384,'1989-02-22 00:00:00',4,1,6,2007,'M','N','TAPERA','FLORIANOPOLIS','SC','124241247316131531414629592324610134057',NULL,'9999',19.82,2,1,2),(15,2819392,'1990-07-22 00:00:00',2,5,12,2007,'F','N','CENTRO','ARARANGUA','SC','124241241115371711326619572123610124187',NULL,'29',0.00,1,2,1),(15,2819406,'1990-02-26 00:00:00',4,1,11,2007,'F','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124241241137231731423331572124610138052',16114,'307',43.20,4,2,1),(15,2819414,'1981-06-10 00:00:00',2,1,12,1998,'F','N','BELA VISTA III','SAO JOSE','SC','124241241116131711336414315124610163187',NULL,'307',0.00,1,2,1),(15,2819422,'1991-01-18 00:00:00',2,5,11,2007,'F','N','VILA MANAUS','CRICIUMA','SC','124241241416131431223724175224610126142',NULL,'208',0.00,1,3,NULL),(15,2819449,'1968-03-10 00:00:00',4,1,12,1990,'F','N','BELA VISTA I','SAO JOSE','SC','224241243327135431426354282344610147047',NULL,'9998',0.00,2,1,2),(15,2819457,'1989-08-17 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241115131431424734572224610127047',NULL,'281',17.78,1,2,1),(15,2819465,'1989-06-01 00:00:00',4,1,7,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241247447131431536314475124610163197',NULL,'9999',20.60,4,1,2),(15,2819473,'1990-05-22 00:00:00',2,5,12,2007,'F','N','CIDADE ALTA','ARARANGUA','SC','124241241115131432425411312122610124057',13652,'30',46.68,1,2,1),(15,2819481,'1988-05-01 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241117131331433339582114610127055',22376,'281',30.53,1,3,NULL),(15,2819490,'1990-04-04 00:00:00',2,5,12,2007,'F','N','DIVINEIA','ARARANGUA','SC','124241248115131431424313294321610168172',NULL,'30',0.00,1,2,1),(15,2819503,'1973-03-02 00:00:00',4,1,12,1993,'M','N','BELA VISTA I','SAO JOSE','SC','224241241327135431423544242344610142097',NULL,'269',0.00,2,1,2),(15,2819511,'1977-04-13 00:00:00',4,1,3,2004,'M','N','CANTO','FLORIANOPOLIS','SC','124204247646131411221329292224610122187',17708,'9999',40.79,1,3,NULL),(15,2819520,'1976-02-21 00:00:00',4,1,12,1993,'F','N','PACHECO','PALHOCA','SC','124241241134135411426364242314222242097',2682,'307',67.08,2,2,1),(15,2819538,'1987-12-24 00:00:00',2,1,12,2006,'F','N','PRAINHA','FLORIANOPOLIS','SC','124241241117132431511424591344610127187',NULL,'307',26.98,1,2,1),(15,2819546,'1983-06-15 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241161136233441616649295124222266097',14442,'9998',45.51,4,2,1),(15,2819554,'1986-07-16 00:00:00',2,1,12,2005,'M','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124241241125231431523324382124610124027',21992,'286',32.28,1,2,1),(15,2819562,'1989-08-12 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124111241147372431123844346124610145142',NULL,'12',32.02,1,3,NULL),(15,2819570,'1967-03-20 00:00:00',2,1,8,2006,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','524241247125141731421643232334610168187',NULL,'9999',15.90,1,2,1),(15,2819589,'1987-10-27 00:00:00',2,1,12,2006,'M','N','KOBRASOL','SAO JOSE','SC','124241241127142421336644241333610137047',18025,'736',40.27,1,2,1),(15,2819597,'1984-10-03 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241127271411122321242324610167077',21083,'405',34.70,2,1,1),(15,2819600,'1990-07-04 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124244241227131431223321175112610131177',10806,'262',50.73,1,3,NULL),(15,2819619,'1990-12-01 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241111171731436438572324612013017',20895,'307',35.10,1,2,1),(15,2819627,'1987-04-08 00:00:00',2,1,12,2003,'M','N','IPIRANGA','SAO JOSE','SC','124241241147131431218421112121610157097',NULL,'734',9.37,1,2,1),(15,2819635,'1978-01-26 00:00:00',2,1,7,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124131131147131111114348245124141066097',14292,'9998',45.74,4,2,1),(15,2819643,'1985-11-22 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124241241116133432426414382343610167047',NULL,'281',0.00,1,2,1),(15,2819651,'1989-07-10 00:00:00',2,1,12,2006,'F','N','ARIRIÚ DA FORMIGA','PALHOCA','SC','124243241115372431326624272124610166147',11347,'592',49.91,1,3,NULL),(15,2819660,'1987-04-13 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124071241114334411638644241344610114147',17476,'306',41.11,1,2,1),(15,2819678,'1988-11-28 00:00:00',2,1,12,2005,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241248111131431215444441314610124051',21016,'9997',34.82,1,3,NULL),(15,2819686,'1988-05-29 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241115131211326524342324610134147',NULL,'298',20.96,1,2,1),(15,2819694,'1990-10-08 00:00:00',2,5,12,2007,'F','N','SAPIRANGA','MELEIRO','SC','124241241115131232323529572124610127057',NULL,'30',0.00,1,2,1),(15,2819708,'1989-02-01 00:00:00',4,1,12,2006,'F','N','ENSEADA DO BRITO','PALHOCA','SC','124241241127131611626729572224610118142',12755,'594',47.91,1,3,NULL),(15,2819716,'1985-09-12 00:00:00',2,1,12,2003,'F','N','CAMPECHE','FLORIANOPOLIS','SC','224241241126575112226754345334610113097',15428,'307',44.22,1,2,1),(15,2819724,'1984-01-16 00:00:00',4,1,12,2000,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124241241126275431426619295124610123047',15747,'295',43.75,1,3,NULL),(15,2819732,'1991-06-14 00:00:00',4,5,12,2007,'F','N','CENTRO','MORRO GRANDE','SC','124241241116131431533434575122610138077',NULL,'30',20.20,1,2,1),(15,2819740,'1988-05-22 00:00:00',4,1,12,2005,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241116133411424314355114610136095',11108,'307',50.28,1,2,1),(15,2819759,'1990-10-30 00:00:00',2,5,11,2007,'F','N','CIDADE ALTA','ARARANGUA','SC','124241241115131431324411575121610111047',NULL,'30',24.32,1,2,1),(15,2819767,'1984-01-12 00:00:00',2,1,12,2003,'M','N','CAMPECHE','FLORIANOPOLIS','SC','224241241127133431126344242332610117047',NULL,'307',31.12,1,2,1),(15,2819783,'1990-06-21 00:00:00',2,5,12,2007,'F','N','NOVA DIVINEIA','ARARANGUA','SC','124241241145131751325724475123610115142',NULL,'30',0.00,3,2,1),(15,2819791,'1990-06-14 00:00:00',2,1,12,2007,'M','N','BARRACÃO','ORLEANS','SC','124241241117161721336519572122610127047',16867,'580',42.05,1,2,1),(15,2819805,'1986-10-17 00:00:00',2,1,12,2004,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241115474431333414342122610162097',19691,'281',37.43,1,2,1),(15,2819821,'1981-06-25 00:00:00',4,1,12,1998,'M','N','ARIRIÚ DA FORMIGA','PALHOCA','SC','124241241124135421214144331224222226092',6288,'277',58.47,1,2,1),(15,2819830,'1967-09-14 00:00:00',2,1,10,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124134247346134421338374345234610124182',13922,'9999',46.29,1,3,NULL),(15,2819856,'1988-03-15 00:00:00',2,1,12,2005,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241117133411434434346124231323117',14433,'281',45.53,1,3,NULL),(15,2819872,'1980-01-29 00:00:00',2,1,12,1999,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241248112133731633323442334610154197',21706,'281',33.25,2,1,1),(15,2819880,'1990-02-06 00:00:00',4,1,12,2007,'F','N','AREIAS','SAO JOSE','SC','124241241625131521537824295124610154147',10970,'262',50.51,1,3,NULL),(15,2819899,'1989-09-22 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241115271131624363572324610123195',NULL,'289',23.48,1,2,1),(15,2819902,'1983-12-08 00:00:00',2,5,12,2001,'F','N','CENTRO','ICARA','SC','124241241116131421423423282234610164077',19492,'1005',37.84,2,1,1),(15,2819910,'1988-03-18 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241126373721124349195334230864057',NULL,'95',22.21,1,2,1),(15,2819929,'1988-05-20 00:00:00',2,10,12,2005,'F','N','RIO BONITO','BRACO DO NORTE','SC','124241241126131411524679385125610164077',22271,'998',31.21,1,3,NULL),(15,2819937,'1986-09-11 00:00:00',4,1,12,2004,'F','N','ESTREITO','FLORIANOPOLIS','SC','124251251211544431123744441324610132152',15008,'9998',44.78,4,3,NULL),(15,2819945,'1988-06-01 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241115151132623369472124610117047',21556,'289',33.61,4,3,NULL),(15,2819953,'1989-06-07 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124241241115131432215621372324610124017',913,'306',73.99,1,2,1),(15,2819961,'1988-01-14 00:00:00',4,1,12,2005,'F','N','ROÇADO','SAO JOSE','SC','124243241127132431326514482214610144192',NULL,'307',0.00,1,3,NULL),(15,2819970,'1985-10-05 00:00:00',4,5,12,2003,'M','N','CENTRO','SAO JOAO DO SUL','SC','124241242115132441526623182225610164197',NULL,'690',33.36,1,2,1),(15,2819988,'1983-12-03 00:00:00',2,1,12,2003,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241122472751235511241315610127047',NULL,'281',33.61,1,2,1),(15,2819996,'1987-03-16 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124201241121273411225644194124610121153',21615,'922',33.47,1,2,1),(15,2820005,'1986-03-09 00:00:00',2,1,12,2003,'F','N','CRUZEIRO NOVO','CRUZEIRO','DF','124241241122134431226613442324610128097',11524,'281',49.68,1,2,1),(15,2820013,'1988-12-07 00:00:00',4,1,12,2007,'M','N','VENDAVAL','BIGUACU','SC','124241241137131421526627346134610147077',18997,'307',38.67,1,3,NULL),(15,2820021,'1986-11-27 00:00:00',2,5,12,2003,'M','N','SÃO FELIPE','TURVO','SC','124241241116151411633316585122230867042',19885,'814',37.04,1,2,1),(15,2820030,'1967-01-18 00:00:00',2,1,11,2002,'M','N','BARREIROS','SAO JOSE','SC','224241247142133721323343335114610124047',10889,'9999',50.63,1,3,NULL),(15,2820048,'1990-01-27 00:00:00',2,5,12,2007,'F','N','SÃO FELIPE','TURVO','SC','124241241116131431643316272122610127147',17524,'814',41.05,1,2,1),(15,2820056,'1989-07-31 00:00:00',2,1,12,2007,'F','N','COSTA DA LAGOA','FLORIANOPOLIS','SC','124241241127131431623421112125610137047',NULL,'282',31.18,1,2,1),(15,2820064,'1988-03-19 00:00:00',4,1,12,2005,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124243241417273411128844241334610126113',9886,'269',52.12,1,3,NULL),(15,2820072,'1986-07-20 00:00:00',2,1,12,2005,'M','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124241241125132421323344341214610137147',NULL,'922',16.58,1,2,1),(15,2820080,'1986-07-26 00:00:00',2,1,12,2005,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124243241112373751436314395124610167051',9584,'267',52.62,1,3,NULL),(15,2820099,'1981-05-18 00:00:00',3,1,12,1998,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241136135431656823242334322226097',7679,'808',55.89,1,2,1),(15,2820102,'1989-08-24 00:00:00',4,1,12,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241437131431426614572124610137077',16517,'278',42.56,1,3,NULL),(15,2820110,'1987-01-14 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','224241241126272431236654345224122337147',5974,'689',59.12,1,2,1),(15,2820129,'1989-03-17 00:00:00',2,1,12,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241125131331433711385124610165117',NULL,'278',0.00,1,2,1),(15,2820137,'1988-04-01 00:00:00',2,1,12,2005,'M','N','CENTRO','BIGUACU','SC','124241241147132751125449292224610167167',14325,'307',45.69,1,2,1),(15,2820145,'1983-11-24 00:00:00',4,1,12,2001,'M','N','ITACORUBI','FLORIANOPOLIS','SC','624243247217145431227844442124610142065',7191,'9997',56.82,4,3,NULL),(15,2820153,'1986-09-16 00:00:00',4,1,12,2003,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241216373411325744344114610162147',14446,'269',45.50,1,3,NULL),(15,2820161,'1989-12-12 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241225131731326529295334610147057',NULL,'262',24.60,1,3,NULL),(15,2820170,'1990-09-14 00:00:00',2,1,12,2007,'F','N','BARRA SAMBAQUI','FLORIANOPOLIS','SC','124203241117471431626574575324610134175',18122,'289',40.12,1,3,NULL),(15,2820188,'1984-07-08 00:00:00',2,1,12,2003,'M','N','LAGOA DA CONCEICAO','FLORIANOPOLIS','SC','124241247125473411626433385113610114047',NULL,'282',23.93,2,1,1),(15,2820196,'1989-01-23 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241116152431433414375124610168145',19455,'257',37.91,1,2,1),(15,2820218,'1985-06-04 00:00:00',2,1,12,2002,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241111273432636331342133610167072',17089,'257',41.74,4,2,1),(15,2820226,'1970-12-28 00:00:00',4,1,12,1987,'M','N','KOBRASOL','SAO JOSE','SC','524244241117135411125544442334121328183',8438,'295',54.64,3,3,NULL),(15,2820234,'1988-02-05 00:00:00',2,1,12,2006,'M','N','TAPERA','FLORIANOPOLIS','SC','624241241135132441223647586223610121147',11904,'278',49.10,1,2,1),(15,2820242,'1989-04-12 00:00:00',2,1,12,2006,'M','N','IPIRANGA','SAO JOSE','SC','124241241117131431223723346124210867092',NULL,'295',0.00,2,1,1),(15,2820250,'1979-05-21 00:00:00',2,1,11,2007,'M','N','KOBRASOL','SAO JOSE','SC','124241247127141431116749492324610122147',NULL,'736',20.08,1,2,1),(15,2820269,'1974-08-27 00:00:00',2,1,12,2005,'F','N','CAEIRA SACO DOS LIMO','FLORIANOPOLIS','SC','224241245125131731433353185124610141145',NULL,'281',0.00,1,3,NULL),(15,2820277,'1980-06-01 00:00:00',2,1,12,1999,'F','N','FAZENDA STO ANTÔNIO','SAO JOSE','SC','224241246116134431223351372324122364097',NULL,'306',26.60,1,2,1),(15,2820285,'1982-03-03 00:00:00',2,1,11,2007,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124243248125231431126749391324610124142',NULL,'288',0.00,1,3,NULL),(15,2820293,'1990-10-13 00:00:00',4,1,12,2007,'M','N','JARDIM CARANDAI','BIGUACU','SC','124241241116151231455614572112610167052',11613,'65',49.53,1,3,NULL),(15,2820307,'1990-02-19 00:00:00',2,1,12,2007,'F','N','SANTINHO','FLORIANOPOLIS','SC','124241241135131431433319175324610148147',NULL,'9997',30.72,1,2,1),(15,2820315,'1990-04-20 00:00:00',2,1,12,2007,'F','N','RIO CAVEIRAS','BIGUACU','SC','124241241115151212523311391321610166142',NULL,'65',0.00,1,3,NULL),(15,2820323,'1989-12-11 00:00:00',2,1,12,2007,'M','N','JARDIM JANAINA','BIGUACU','SC','124241241115131732524314342124610167047',19881,'65',37.05,1,2,1),(15,2820331,'1990-09-02 00:00:00',2,1,12,2007,'F','N','SÃO MIGUEL','BIGUACU','SC','124241241115131431423314572324610137147',19486,'64',37.85,4,3,NULL),(15,2820340,'1971-09-18 00:00:00',2,1,12,1997,'F','N','TAPERA','FLORIANOPOLIS','SC','124251257327133451124448281324610164037',NULL,'9999',0.00,4,3,NULL),(15,2820358,'1990-02-13 00:00:00',2,1,12,2007,'F','N','SAO MIGUEL','BIGUACU','SC','124241241115161431424431592324610115077',NULL,'64',0.00,1,3,NULL),(15,2820366,'1966-04-10 00:00:00',2,1,11,2004,'F','N','TAPERA','FLORIANOPOLIS','SC','124241247131131131323144242324610146144',NULL,'307',21.06,4,2,1),(15,2820374,'1985-04-01 00:00:00',4,1,8,2003,'M','N','PICADAS DO SUL','SAO JOSE','SC','124242241117142431236623342123610148187',14966,'739',44.83,1,3,NULL),(15,2820382,'1976-01-09 00:00:00',4,1,12,2006,'F','N','PRAINHA','FLORIANOPOLIS','SC','124241247127131431423343132334610133147',NULL,'9999',33.63,2,1,1),(15,2820390,'1980-12-14 00:00:00',4,1,12,2000,'M','N','CENTRO','CURITIBA','PR','116251253136471441433319495124240636097',3438,'9998',64.91,1,2,1),(15,2820404,'1988-05-08 00:00:00',2,1,12,2006,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124242241311272411323619291224610167187',6635,'1011',57.83,1,3,NULL),(15,2820412,'1986-11-19 00:00:00',2,1,12,2004,'F','N','CAMPINAS','SAO JOSE','SC','124242241217373431246823271124130267077',18859,'943',38.91,1,3,NULL),(15,2820439,'1985-06-09 00:00:00',2,1,12,2002,'M','N','PALMAS','GOVERNADOR CELSO RAMOS','SC','124241241121144411533419241233610127117',15533,'329',44.08,1,2,1),(15,2820447,'1990-03-18 00:00:00',2,1,12,2007,'F','N','COSTA DA LAGOA','FLORIANOPOLIS','SC','124241241127131432412317182325610112077',20853,'282',35.18,1,2,1),(15,2820455,'1978-08-06 00:00:00',2,1,12,2003,'F','N','BARREIROS','SAO JOSE','SC','124241245127131731623418142324132744147',NULL,'734',23.80,4,2,1),(15,2820463,'1982-12-11 00:00:00',4,1,12,2001,'M','N','JARDIM ZANELLATO','SAO JOSE','SC','124241241116132431523344242124610122147',12471,'295',48.34,1,2,1),(15,2820471,'1985-03-13 00:00:00',2,1,12,2002,'M','N','COSTA DA LAGOA','FLORIANOPOLIS','SC','124241241127135731631314442115610117047',19001,'282',38.67,1,2,1),(15,2820480,'1987-05-16 00:00:00',2,1,12,2006,'F','N','COSTA DA LAGOA','FLORIANOPOLIS','SC','124241241117131412621314445125610127047',NULL,'282',0.00,1,2,1),(15,2820498,'1990-09-07 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124241241117161431538314572324610137082',12527,'276',48.25,2,1,1),(15,2820501,'1989-04-11 00:00:00',2,1,12,2006,'F','N','CENTRO','PALHOCA','SC','124241241126472431324819575314610123142',10064,'702',51.83,1,2,1),(15,2820510,'1987-06-15 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241244116374411336628574124610136157',6555,'286',57.97,1,2,1),(15,2820528,'1977-12-05 00:00:00',2,1,12,2000,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','224241241131131431422249392344610161197',15277,'9999',44.44,1,2,1),(15,2820536,'1989-04-11 00:00:00',4,1,12,2006,'M','N','CENTRO','PALHOCA','SC','124241251216151431324819575314610164177',7698,'9998',55.86,1,3,NULL),(15,2820544,'1987-05-25 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124201241125131731113344142214610113147',22299,'290',31.04,1,3,NULL),(15,2820552,'1983-01-15 00:00:00',2,1,12,2004,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','224241247125131421633444342323610144177',11012,'9999',50.45,1,2,1),(15,2820560,'1985-11-04 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241116132421324844342124610167092',18843,'357',38.93,1,2,1),(15,2820579,'1986-03-08 00:00:00',2,1,12,2003,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124101101117372711326624442324610164094',18667,'9998',39.21,2,3,NULL),(15,2820587,'1984-09-03 00:00:00',2,1,11,2005,'F','N','TAPERA','FLORIANOPOLIS','SC','124241247142272411643314342224610123187',20290,'9999',36.25,1,3,NULL),(15,2820595,'1979-08-11 00:00:00',2,1,6,2000,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124071077227131421128844341331610137167',NULL,'9999',0.00,4,3,NULL),(15,2820609,'1982-02-04 00:00:00',2,1,12,2003,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243241322133421123364142334610127142',NULL,'300',23.42,4,3,NULL),(15,2820617,'1987-08-19 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241112373441239919575114610162147',12373,'281',48.46,4,2,1),(15,2820625,'1988-10-26 00:00:00',2,1,12,2006,'F','N','VILA NOVA','PALHOCA','SC','124241241112272431223329442324610116197',9189,'591',53.29,1,2,1),(15,2820633,'1990-06-25 00:00:00',4,1,12,2007,'F','N','CENTRO','TIJUCAS','SC','124241241116271431423511572121610118147',20646,'783',35.60,1,3,NULL),(15,2820641,'1990-12-16 00:00:00',2,1,12,2007,'M','N','ARMACAO DO P DO SUL','SAO PAULO','SP','124241241225171731423339492124610134042',NULL,'262',21.67,1,3,NULL),(15,2820650,'1990-08-07 00:00:00',2,1,12,2007,'F','N','CENTRO','TIJUCAS','SC','124241241117131431536314575121610128147',NULL,'783',25.75,1,2,1),(15,2820668,'1990-04-23 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241122131732623521212334610124017',21076,'307',34.72,3,2,1),(15,2820676,'1989-12-04 00:00:00',4,1,12,2007,'M','N','FORQUILHINHAS','SAO JOSE','SC','124241241225131431535339286124610142057',19067,'262',38.56,1,3,NULL),(15,2820684,'1990-05-23 00:00:00',4,1,12,2007,'F','N','OLIVEIRA','TIJUCAS','SC','124241241117131431423315572224610114147',NULL,'783',14.48,1,3,NULL),(15,2820692,'1984-07-02 00:00:00',4,1,12,2001,'F','N','AREIAS','SAO JOSE','SC','624241241127131421423544242333333225097',NULL,'730',32.75,1,3,NULL),(15,2820706,'1975-09-07 00:00:00',2,1,12,1997,'M','N','IPIRANGA','SAO JOSE','SC','624242248247233721423311445333610137117',NULL,'725',21.25,1,3,NULL),(15,2820714,'1990-11-05 00:00:00',2,1,12,2007,'F','N','PORTO DO ITINGA','TIJUCAS','SC','124241241117131431433214572344610137142',NULL,'783',23.22,1,3,NULL),(15,2820722,'1988-10-15 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124244241225132431425514342343610122117',15653,'262',43.87,1,3,NULL),(15,2820730,'1956-12-13 00:00:00',2,1,12,1982,'F','N','CENTRO','FLORIANOPOLIS','SC','524241247221315421331341291244610125097',14755,'277',45.06,1,3,NULL),(15,2820749,'1989-10-04 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241136141311322644342324610113147',22048,'307',32.11,1,2,1),(15,2820757,'1987-05-02 00:00:00',4,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124161165117151421424111292115610114147',NULL,'9998',19.73,4,2,1),(15,2820765,'1983-10-22 00:00:00',2,1,12,2003,'F','N','INGLESES','FLORIANOPOLIS','SC','124241247132134711323119342314610137147',NULL,'977',33.39,1,3,NULL),(15,2820773,'1984-10-18 00:00:00',4,1,12,2002,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241137131431657931385224610137187',20415,'521',36.02,1,2,1),(15,2820781,'1990-01-13 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241115151731635514341124610134187',20192,'293',36.44,1,3,NULL),(15,2820790,'1986-10-09 00:00:00',2,1,12,2004,'M','N','MADRI','PALHOCA','SC','624241241122133411426344342214130227042',13907,'592',46.31,4,3,NULL),(15,2820803,'1990-04-24 00:00:00',2,1,12,2007,'M','N','PINHEIRA','PALHOCA','SC','124241241127131331536923585121610167052',18459,'594',39.56,1,2,1),(15,2820811,'1989-12-18 00:00:00',4,1,12,2006,'F','N','NOSSA SRA DO ROSÁRIO','SAO JOSE','SC','124241241112132131327773182124232736147',17935,'733',40.43,1,3,NULL),(15,2820820,'1980-09-28 00:00:00',2,1,12,1997,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241112135721531344242114610135147',19398,'307',38.02,1,3,NULL),(15,2820838,'1989-11-18 00:00:00',2,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241241116131431223624575124610128147',21037,'298',34.79,1,2,1),(15,2820846,'1982-09-30 00:00:00',2,1,1,2001,'F','N','COQUEIROS','FLORIANOPOLIS','SC','224071075136131431436654341134610136177',22519,'9998',27.83,3,2,1),(15,2820854,'1988-11-15 00:00:00',2,1,12,2007,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124241246125141532413318332344610137147',NULL,'289',15.65,2,1,1),(15,2820862,'1986-01-11 00:00:00',2,1,12,2003,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241127274421321324342221610132187',17886,'941',40.51,1,2,1),(15,2820870,'1988-02-03 00:00:00',2,1,12,2006,'F','N','GUARDA DO CUBATÃO','PALHOCA','SC','124241241127151431543679242124610134147',18175,'591',40.02,1,3,NULL),(15,2820889,'1980-11-19 00:00:00',2,1,12,2004,'M','N','LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC','124201207122131431225544342334610167057',NULL,'774',19.55,1,2,1),(15,2820897,'1980-04-19 00:00:00',2,1,12,2000,'M','N','GUARDA DO CUBATÃO','PALHOCA','SC','124241248127165721543679242124330234147',19682,'591',37.45,1,3,NULL),(15,2820900,'1989-05-02 00:00:00',4,1,12,2006,'M','N','BARREIROS','SAO JOSE','SC','124241241145131431633614341214610134187',NULL,'726',29.94,2,1,1),(15,2820919,'1988-08-02 00:00:00',2,1,12,2006,'M','N','INTERIOR','SAO BERNARDINO','SC','124201202137132411513316592325610168047',NULL,'9998',0.00,1,2,1),(15,2820927,'1987-04-23 00:00:00',4,1,12,2005,'M','N','BELA VISTA I','SAO JOSE','SC','124241248123231731643364242334610122117',NULL,'734',23.72,1,2,1),(15,2820935,'1955-08-19 00:00:00',2,1,11,2007,'F','N','FAZENDA STO ANTÔNIO','SAO JOSE','SC','124241247127131411622243345124610111182',21871,'9997',32.73,1,2,1),(15,2820943,'1967-04-12 00:00:00',2,1,12,1983,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124201203117134151123349391134341262187',13552,'9998',46.82,1,2,1),(15,2820951,'1979-04-01 00:00:00',2,1,12,2005,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124201207327131431433644345334610167117',NULL,'9998',NULL,4,3,NULL),(15,2820960,'1978-06-25 00:00:00',2,4,12,1995,'M','N','ESPLANADA','CHAPECO','SC','224241243126575751423679181224221368097',2241,'182',68.45,1,2,1),(15,2820978,'1990-01-05 00:00:00',4,1,12,2007,'M','N','ARMACAO DO P DO SUL','FLORIANOPOLIS','SC','124241241225141731423339492124610134062',NULL,'262',17.72,1,3,NULL),(15,2820986,'1981-08-27 00:00:00',2,1,12,2002,'F','N','PANTANAL','FLORIANOPOLIS','SC','124251241147475421223271145334610145047',12869,'298',47.76,1,2,1),(15,2820994,'1985-02-28 00:00:00',4,1,4,2003,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241126133431336729281124133264187',13788,'307',46.48,1,2,1),(15,2821001,'1983-01-03 00:00:00',4,1,12,2007,'F','N','JOSÉ MENDES','FLORIANOPOLIS','SC','624203248347131431223449392234610168197',21955,'295',32.42,1,3,NULL),(15,2821028,'1982-07-22 00:00:00',2,4,12,2001,'F','N','ESPLANADA','CHAPECO','SC','224243241316474751423679492224231364187',21176,'9997',34.49,5,4,NULL),(15,2821036,'1979-10-08 00:00:00',4,1,11,1998,'M','N','COQUEIROS','FLORIANOPOLIS','SC','224251251127131431223652282314610127057',14630,'9998',45.24,1,2,1),(15,2821044,'1974-10-02 00:00:00',4,1,12,1991,'M','N','CENTRO','FLORIANOPOLIS','SC','124251251127131421226648285124141462192',13635,'9998',46.71,1,3,NULL),(15,2821052,'1983-12-07 00:00:00',2,1,12,2001,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241245141142431425514241134132716097',17106,'307',41.72,1,3,NULL),(15,2821087,'1987-04-05 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241202116131331324344245114610127052',21413,'9998',33.94,1,3,NULL),(15,2821095,'1988-08-10 00:00:00',4,1,12,2007,'F','N','PICADAS DO NORTE','SAO JOSE','SC','124241241227131131223424384324610145077',19038,'262',38.61,1,3,NULL),(15,2821109,'1982-01-04 00:00:00',2,1,12,2005,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241121233431223149292221610136027',NULL,'298',0.00,4,2,1),(15,2821117,'1984-11-12 00:00:00',2,1,12,2002,'M','N','CAMPINAS','SAO JOSE','SC','124241241136475731123141315124610117043',10242,'521',51.57,1,2,1),(15,2821125,'1990-03-20 00:00:00',4,1,12,2007,'M','N','SANTO ANTONIO','CHAPECO','SC','124241241117111431434414445124610117077',12005,'857',48.98,1,2,1),(15,2821133,'1989-11-28 00:00:00',2,1,12,2007,'M','N','SERTÃO DO MARUIM','SAO JOSE','SC','124241241117271431223324296124610127057',11152,'307',50.23,4,2,1),(15,2821141,'1980-09-05 00:00:00',4,1,10,2001,'M','N','JARDIM ALANTICO','FLORIANOPOLIS','SC','124243247445131431434344341334610132057',NULL,'9997',19.36,2,1,2),(15,2821150,'1988-11-27 00:00:00',2,1,11,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','124161241137472411536834385124610121182',18568,'57',39.38,1,3,NULL),(15,2821168,'1987-11-21 00:00:00',2,4,12,2004,'F','N','EFAPI','CHAPECO','SC','124241241116132441313514494225231545097',19725,'552',37.38,1,2,1),(15,2821176,'1989-11-18 00:00:00',2,1,12,2006,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241124132421123816292324610127057',21139,'618',34.57,1,2,1),(15,2821184,'1990-12-20 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241127141751536834575124610168097',14233,'922',45.82,1,3,NULL),(15,2821192,'1989-11-03 00:00:00',4,4,12,2006,'M','N','SAGRADO CORAÇÃO','SAO MIGUEL DOESTE','SC','124241241117132431313425582324610126177',16967,'757',41.92,1,2,1),(15,2821206,'1986-11-23 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANOPOLIS','SC','224241241117132431215354486344130266147',NULL,'289',0.00,4,2,1),(15,2821214,'1990-08-09 00:00:00',2,3,12,2007,'M','N','CENTRO','PENHA','SC','124241242115131431321523275324610134142',12743,'129',47.93,4,1,1),(15,2821222,'1986-09-23 00:00:00',2,4,12,2004,'F','N','CENTRO','CHAPECO','SC','124241241116133431425319282125610122037',14195,'1046',45.88,3,2,1),(15,2821230,'1990-08-09 00:00:00',4,3,12,2007,'M','N','NAÇÕES','BALNEARIO CAMBORIU','SC','124241241115131431317677344122610122147',21687,'873',33.30,2,1,1),(15,2821249,'1989-11-24 00:00:00',2,1,12,2007,'M','N','AREIAS DO CAMPECHE','FLORIANOPOLIS','SC','124241241116141231549814392124610166047',18746,'307',39.09,4,3,NULL),(15,2821257,'1990-01-02 00:00:00',4,3,12,2007,'M','N','TABULEIRO','CAMBORIU','SC','124241248135131431538731475121610164012',4240,'129',62.83,1,2,1),(15,2821265,'1984-12-16 00:00:00',4,4,12,2002,'F','N','CENTRO','CHAPECO','SC','124241241114575431436412244124610162147',3165,'169',65.65,1,2,1),(15,2821273,'1961-05-02 00:00:00',2,6,12,1987,'F','N','NAÇOES','BALNEARIO CAMBORIU','SC','124161161122131111421143232334623221197',NULL,'49',0.00,1,3,NULL),(15,2821281,'1978-01-16 00:00:00',4,1,12,1997,'F','N','COLONINHA','FLORIANOPOLIS','SC','124241245122131421211143235334610112157',NULL,'29',21.03,1,2,1),(15,2821290,'1990-08-22 00:00:00',2,4,12,2007,'F','N','SAIC','CHAPECO','SC','124241241116131431453332415122610117147',18404,'857',39.64,1,2,1),(15,2821303,'1990-06-01 00:00:00',2,6,12,2007,'F','N','NAÇOES','BALNEARIO CAMBORIU','SC','124241241122131341425623292321610114147',NULL,'49',26.39,1,2,1),(15,2821311,'1973-03-11 00:00:00',2,1,11,1998,'F','N','FAZENDA SANTO ANTONI','SAO JOSE','SC','624241247122133421327543131224232726172',NULL,'1003',0.00,2,1,1),(15,2821320,'1990-11-07 00:00:00',2,3,12,2007,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241216111431236923575121610127017',NULL,'967',20.03,1,3,NULL),(15,2821338,'1968-11-05 00:00:00',2,1,12,2001,'F','N','DE FATIMA','FLORIANOPOLIS','SC','124241241121132431436344131214232711182',NULL,'293',0.00,2,1,1),(15,2821346,'1983-05-08 00:00:00',2,1,6,2002,'M','N','FORQUILHINHAS','SAO JOSE','SC','124251247126133452224443435233132717047',NULL,'9997',20.77,2,3,NULL),(15,2821354,'1990-08-25 00:00:00',2,4,12,2007,'F','N','ARI LUNARDI','XAXIM','SC','124241241115131731333414482122610127057',16531,'847',42.54,1,3,NULL),(15,2821362,'1991-03-13 00:00:00',4,3,12,2007,'M','N','MORRETES','ITAPEMA','SC','124241246115131411325633172121610127057',5721,'129',59.63,1,2,1),(15,2821370,'1978-08-09 00:00:00',2,1,12,1997,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243245227133311223349192334131247047',NULL,'307',13.71,2,1,2),(15,2821389,'1972-03-24 00:00:00',2,1,12,1997,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241245127133411333314292333132767142',21587,'307',33.53,1,3,NULL),(15,2821397,'1990-12-20 00:00:00',2,4,12,2007,'F','N','SANTA MARIA','CHAPECO','SC','124241241116131431325511292322610133042',15684,'176',43.83,1,2,1),(15,2821400,'1953-02-05 00:00:00',2,1,12,1971,'F','N','PINHEIRA','PALHOCA','SC','324202205237131412233343432124611934092',NULL,'9998',0.00,1,3,NULL),(15,2821419,'1990-07-13 00:00:00',5,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124241242115111432534411191124610125017',13206,'129',47.31,1,3,NULL),(15,2821427,'1985-12-18 00:00:00',4,1,3,2007,'M','N','CENTRO','PALHOCA','SC','124243247337131542436923231323232754057',NULL,'9999',24.47,1,3,NULL),(15,2821435,'1978-11-19 00:00:00',2,1,12,1996,'F','N','AREIAS','SAO JOSE','SC','124241245127371421227344132123232722197',19629,'307',37.56,4,3,NULL),(15,2821443,'1990-09-02 00:00:00',2,3,11,2007,'M','N','TRINTA REIS','NOVA TRENTO','SC','124241242115111421423314573324610164077',12349,'129',48.50,1,2,1),(15,2821451,'1987-04-19 00:00:00',2,4,12,2004,'F','N','INTERIOR','SERRA ALTA','SC','124241241143131411323335252222610126147',NULL,'765',0.00,1,2,1),(15,2821460,'1963-05-12 00:00:00',2,1,12,1981,'F','N','PANTANAL','FLORIANOPOLIS','SC','224201241226134411434453135124230231185',NULL,'266',0.00,1,3,NULL),(15,2821478,'1987-10-05 00:00:00',2,3,10,2006,'F','N','MEIA PRAIA','ITAPEMA','SC','124244242137373411548829472124610116097',9210,'9999',53.25,1,3,NULL),(15,2821486,'1967-04-20 00:00:00',4,1,12,1985,'F','N','ARIRIÚ','PALHOCA','SC','524172171212111422333643432324141161147',19361,'9998',38.07,4,3,NULL),(15,2821494,'1984-08-30 00:00:00',4,1,12,2002,'F','N','AREIAS','SAO JOSE','SC','224241241222142421423353432124241967057',21558,'262',33.61,1,3,NULL),(15,2821516,'1979-04-20 00:00:00',2,1,12,1997,'F','N','RIO CAVEIRAS','BIGUACU','SC','124241241134133421323313431114232727077',NULL,'65',23.11,1,3,NULL),(15,2821524,'1988-10-31 00:00:00',2,3,12,2006,'F','N','MEIA PRAIA','ITAPEMA','SC','124244242115132431548829472124610128097',NULL,'129',0.00,1,3,NULL),(15,2821532,'1983-01-19 00:00:00',2,1,6,2001,'M','N','JARDIM CARANDAÍ','BIGUACU','SC','124243241437141411443324432112232232142',NULL,'9999',0.00,1,3,NULL),(15,2821540,'1991-04-23 00:00:00',4,3,11,2007,'M','N','CENTRO','CAMBORIU','SC','124241242115151411333923394224610167017',NULL,'129',38.48,1,2,1),(15,2821559,'1991-05-25 00:00:00',4,4,12,2007,'F','N','SAIC','CHAPECO','SC','124241241117131731333623572124610128127',18925,'857',38.80,1,2,1),(15,2821567,'1970-12-22 00:00:00',2,3,12,1992,'M','N','CENTRO','CAMBORIU','SC','124241243121131421223369181321232266117',16413,'47',42.74,1,2,1),(15,2821575,'1981-12-25 00:00:00',2,2,12,1998,'F','N','VILA NOVA','BLUMENAU','SC','124241243116134421113641212314130263187',20890,'65',35.11,1,2,1),(15,2821583,'1990-08-24 00:00:00',2,4,12,2007,'F','N','PRESIDENTE MÉDICI','CHAPECO','SC','124201241115131431427614442322610128187',NULL,'182',5.67,1,3,NULL),(15,2821591,'1984-09-24 00:00:00',4,2,12,2002,'M','N','FORTALEZA','BLUMENAU','SC','124241246124272431433324241223610127047',12330,'326',48.53,4,2,1),(15,2821605,'1990-10-31 00:00:00',2,2,11,2007,'F','N','VORSTARDT','BLUMENAU','SC','124241241115131431423334392322610164177',NULL,'69',0.00,1,3,NULL),(15,2821613,'1990-10-05 00:00:00',4,2,12,2007,'M','N','CENTRO','POMERODE','SC','124244241217111411237913572121610122087',17023,'624',41.84,1,3,NULL),(15,2821621,'1986-06-27 00:00:00',1,2,12,2003,'M','N','SANTA TEREZINHA','GASPAR','SC','124241241117141431333314245124230264182',14188,'325',45.89,1,2,1),(15,2821630,'1989-11-03 00:00:00',2,2,12,2006,'F','N','SALTO','BLUMENAU','SC','124241241135131231626319381124143264143',NULL,'84',0.00,1,2,1),(15,2821648,'1990-07-31 00:00:00',4,8,11,2007,'F','N','CENTRO','JARAGUA DO SUL','SC','124242241216131431449734575122610128147',7769,'9997',55.75,1,3,NULL),(15,2821656,'1991-03-04 00:00:00',2,4,12,2007,'F','N','CENTRO','RIQUEZA','SC','124241241116471431533612571124610155097',12988,'674',47.61,4,1,1),(15,2821664,'1990-07-31 00:00:00',4,8,11,2007,'M','N','CENTRO','JARAGUA DO SUL','SC','124242241216131431449734345122610128017',22162,'9997',31.68,1,3,NULL),(15,2821672,'1989-01-25 00:00:00',4,2,12,2006,'M','N','RIBEIRÃO DAS PEDRAS','INDAIAL','SC','124241241116132711433314395124232865177',15004,'365',44.78,1,2,1),(15,2821680,'1989-02-08 00:00:00',4,2,11,2006,'F','N','FORTALEZA','BLUMENAU','SC','124241241117131431323329445124610137182',NULL,'83',24.39,1,2,1),(15,2821699,'1989-08-09 00:00:00',2,8,12,2006,'F','N','ADHEMAR GARCIA','JOINVILLE','SC','124241241335371431536514372124610137187',10486,'1016',51.20,1,3,NULL),(15,2821702,'1990-12-18 00:00:00',4,4,12,2007,'M','N','INTERIOR','SAO CARLOS','SC','124241241126131731423336172324610126147',11448,'704',49.77,1,2,1),(15,2821710,'1989-02-11 00:00:00',4,8,12,2006,'F','N','BOA VISTA','JOINVILLE','SC','124241241115371431436674382234610112147',17948,'477',40.41,1,2,1),(15,2821729,'1972-08-02 00:00:00',2,8,11,1992,'M','N','BOA VISTA','JOINVILLE','SC','224241248121131431426659481124310156127',NULL,'476',33.34,3,2,1),(15,2821737,'1988-02-04 00:00:00',4,8,12,2005,'F','N','BUCAREM','JOINVILLE','SC','124243241216572431436923281114610135112',9733,'1105',52.37,1,3,NULL),(15,2821745,'1990-07-01 00:00:00',4,8,12,2007,'F','N','JARIVATUBA','JOINVILLE','SC','124241241126371731456614245124610166187',15875,'465',43.56,4,2,1),(15,2821753,'1990-10-12 00:00:00',2,4,12,2007,'F','N','UNIVERSITÁRIO','CHAPECO','SC','124241241115171431449913595124613266147',14635,'174',45.23,1,2,1),(15,2821761,'1990-11-01 00:00:00',4,4,12,2007,'F','N','SCHEID','SAO BERNARDINO','SC','124241241115131531313319192344610114147',NULL,'701',0.00,1,2,1),(15,2821770,'1990-09-06 00:00:00',2,8,11,2007,'F','N','ITAUM','JOINVILLE','SC','124241241115131431626524575124610142052',NULL,'472',0.00,3,3,NULL),(15,2821788,'1990-04-08 00:00:00',2,4,12,2007,'F','N','SCHEID','SAO BERNARDINO','SC','124241241113161531533313132344610114147',22301,'701',31.03,1,2,1),(15,2821796,'1989-10-13 00:00:00',4,8,12,2006,'F','N','SAGUAÇU','JOINVILLE','SC','124241243215472431426321175324610124147',9033,'494',53.59,1,3,NULL),(15,2821800,'1969-10-24 00:00:00',2,6,7,2003,'M','N','SÃO JUDAS','ITAJAI','SC','224131137226132731334444145121143217112',NULL,'9998',25.60,4,1,2),(15,2821818,'1990-11-29 00:00:00',4,4,12,2007,'F','N','SEDE CHARUTO','SAO BERNARDINO','SC','124241011114111511322326162344610157177',NULL,'701',0.00,1,2,1),(15,2821826,'1986-05-01 00:00:00',2,8,12,2002,'M','N','CENTRO','JUIZ DE FORA','MG','113164161116471411138844145335610167133',11228,'9998',50.12,1,3,NULL),(15,2821834,'1973-11-20 00:00:00',4,6,12,1991,'F','N','SÃO JUDAS','ITAJAI','SC','224131133126132431336454235121610116022',19235,'9998',38.28,2,1,1),(15,2821842,'1990-04-15 00:00:00',2,4,12,2007,'F','N','CENTRO','BOM JESUS','SC','124241241125131431326833572344610123147',NULL,'93',20.55,1,3,NULL),(15,2821869,'1989-11-27 00:00:00',4,8,12,2007,'F','N','BOA VISTA','JOINVILLE','SC','124241241145131411525314573224610121197',NULL,'469',28.11,1,2,1),(15,2821877,'1990-11-08 00:00:00',4,10,12,2007,'M','N','FIGUEIRA','LAGUNA','SC','124243241225111731536923385124610128042',22296,'524',31.05,1,3,NULL),(15,2821885,'1990-07-08 00:00:00',2,8,12,2007,'F','N','JARDIM IRIRIU','JOINVILLE','SC','124241248135131211624331572311610134177',NULL,'469',24.28,1,2,1),(15,2821907,'1990-06-11 00:00:00',2,10,12,2007,'M','N','MAGALHAES','LAGUNA','SC','124241241125141631633339345221610124097',17645,'524',40.88,4,3,NULL),(15,2821915,'1990-02-07 00:00:00',2,4,12,2007,'F','N','EFAPI','CHAPECO','SC','124241241135131731546613342124610157057',NULL,'184',21.51,2,2,1),(15,2821923,'1989-05-19 00:00:00',2,10,12,2007,'F','N','MAR GROSSO','LAGUNA','SC','124243241225111431323639472124610124097',20436,'524',35.98,1,3,NULL),(15,2821931,'1985-03-21 00:00:00',4,6,12,2003,'M','N','NOSSA SENH APARECIDA','POUSO ALEGRE','MG','113131131147131731345319182311133266187',19513,'9998',37.80,1,2,1),(15,2821940,'1990-08-15 00:00:00',2,10,12,2007,'F','N','VILA VITÓRIA','LAGUNA','SC','124241241125131431225424245125610134077',19217,'524',38.31,1,2,1),(15,2821958,'1990-03-01 00:00:00',2,6,12,2007,'F','N','SÃO VICENTE','ITAJAI','SC','124243241317131431531624584224610136147',NULL,'401',0.00,4,3,NULL),(15,2821966,'1989-04-08 00:00:00',5,3,12,2006,'F','N','CENTRO','ARROIO TRINTA','SC','124241241126132431433335285125230224142',9927,'853',52.04,1,2,1),(15,2821974,'1990-07-11 00:00:00',4,10,12,2007,'F','N','MAR GROSSO','LAGUNA','SC','124242241225151751468913445122610144182',NULL,'524',0.00,1,3,NULL),(15,2821982,'1990-05-27 00:00:00',4,4,12,2007,'F','N','JARDIM ALVORADA','SAO CARLOS','SC','124241241145161431528833482122610127077',NULL,'704',0.00,1,3,NULL),(15,2821990,'1989-04-08 00:00:00',5,3,12,2006,'F','N','CENTRO','ARROIO TRINTA','SC','124241241126132431433335285125230224142',16315,'853',42.87,1,2,1),(15,2822008,'1986-12-31 00:00:00',2,8,6,2005,'M','N','GLÓRIA','JOINVILLE','SC','124243241415573431446923175121610167042',1068,'1000',73.16,1,3,NULL),(15,2822016,'1990-06-17 00:00:00',2,1,12,2007,'F','N','MORRO DO MIRIM','IMBITUBA','SC','124241241115131711426615252124610123047',17167,'1034',41.62,1,2,1),(15,2822024,'1977-06-18 00:00:00',4,6,11,1995,'M','N','SAO JOAO','ITAJAI','SC','624246247641131411226579441221333234117',16487,'9999',42.61,1,3,NULL),(15,2822032,'1990-09-08 00:00:00',4,10,12,2007,'F','N','CENTRO','RIO FORTUNA','SC','124241241145141231326924342125610134117',NULL,'665',0.00,1,3,NULL),(15,2822059,'1990-05-23 00:00:00',2,10,12,2007,'F','N','MAGALHÃES','LAGUNA','SC','124241241125151411457833575125610144192',18246,'524',39.90,1,3,NULL),(15,2822067,'1985-03-01 00:00:00',4,6,12,2003,'M','N','SÃO DOMINGOS','NAVEGANTES','SC','124241241117132431623319282311131067047',NULL,'401',0.00,1,2,1),(15,2822075,'1989-01-30 00:00:00',2,4,12,2005,'M','N','INTERIOR','PALMITOS','SC','124243242217161421533535552222230327042',22097,'758',31.94,1,3,NULL),(15,2822083,'1990-01-05 00:00:00',4,8,12,2007,'F','N','VILA NOVA','JOINVILLE','SC','124251241116271411335633315124610145177',15607,'475',43.94,1,2,1),(15,2822091,'1989-08-19 00:00:00',2,10,12,2007,'F','N','MAGALHÃES','LAGUNA','SC','124242241226131431326569572324610138077',15514,'524',44.11,1,3,NULL),(15,2822105,'1986-09-08 00:00:00',4,8,12,2003,'M','N','ADEMAR GARCIA','JOINVILLE','SC','124241241112242451226623442324131142092',NULL,'478',8.82,2,1,1),(15,2822113,'1990-05-07 00:00:00',4,10,12,2007,'M','N','MAGALHÃES','LAGUNA','SC','124242241225111431438833475121610164144',12064,'524',48.90,1,3,NULL),(15,2822121,'1989-11-03 00:00:00',2,4,12,2007,'M','N','JARDIM ITÁLIA','CHAPECO','SC','124241248147131422213524185124610148147',19855,'169',37.11,1,2,1),(15,2822130,'1989-11-05 00:00:00',2,10,12,2007,'M','N','MAGALHÃES','LAGUNA','SC','124246241625131431533823375121610127047',NULL,'524',16.96,1,3,NULL),(15,2822156,'1988-08-24 00:00:00',4,8,12,2005,'F','N','BUCAREIN','JOINVILLE','SC','124253251147271451536839245124610161147',NULL,'9998',30.82,1,3,NULL),(15,2822164,'1990-07-06 00:00:00',4,10,12,2007,'F','N','MAR GROSSO','LAGUNA','SC','124242241225111431446939572122610126072',9918,'524',52.06,1,3,NULL),(15,2822172,'1988-08-12 00:00:00',2,4,12,2005,'M','N','CENTRO','XANXERE','SC','124243241336131431438614395124231467042',11419,'840',49.81,1,3,NULL),(15,2822180,'1989-09-18 00:00:00',4,8,12,2006,'F','N','BOM JESUS','ITAIOPOLIS','SC','124241241425132431436923283224232025142',18844,'1024',38.92,1,3,NULL),(15,2822199,'1990-03-02 00:00:00',4,8,12,2007,'M','N','ITAUM','JOINVILLE','SC','124241241115131111533314572124610142141',NULL,'472',24.30,1,2,1),(15,2822202,'1989-10-18 00:00:00',2,10,12,2007,'F','N','PINHEIRAL','BRACO DO NORTE','SC','124241241117131431633416172125610134147',NULL,'100',12.06,1,3,NULL),(15,2822229,'1990-12-20 00:00:00',4,8,11,2007,'F','N','JOÃO COSTA','JOINVILLE','SC','124241241115131431538634272124610115147',18332,'472',39.74,1,2,1),(15,2822237,'1990-07-04 00:00:00',2,10,12,2007,'M','N','PASSAGEM DA BARRA','LAGUNA','SC','124241241145131431524611213321610114147',18959,'524',38.74,1,2,1),(15,2822245,'1990-04-30 00:00:00',4,10,12,2007,'F','N','CENTRO','RIO FORTUNA','SC','124241241115161731225614572122610113047',NULL,'665',0.00,1,3,NULL),(15,2822253,'1990-09-24 00:00:00',4,10,12,2007,'F','N','MAGALHÃES','LAGUNA','SC','124242241225371431456914575124610126097',10280,'524',51.51,1,3,NULL),(15,2822261,'1990-08-24 00:00:00',2,4,12,2007,'F','N','ESTRELA','SAO MIGUEL DOESTE','SC','124241241116131431523311372125610137147',7871,'757',55.57,1,2,1),(15,2822270,'1989-11-02 00:00:00',2,8,11,2007,'F','N','JOAO COSTA','JOINVILLE','SC','124241241115161221336614582234610122147',NULL,'472',0.00,1,2,1),(15,2822288,'1990-02-15 00:00:00',2,10,12,2007,'M','N','MAGALHÃES','LAGUNA','SC','124241241125161431315329572324610134147',NULL,'524',0.00,4,3,NULL),(15,2822296,'1990-04-04 00:00:00',4,10,12,2007,'M','N','RIO OTILIA','RIO FORTUNA','SC','124241248125131431536316252214610137057',NULL,'665',24.74,1,2,1),(15,2822300,'1990-05-07 00:00:00',4,8,12,2007,'M','N','SANTA CATARINA','JOINVILLE','SC','124241242116141431328624585324610164072',15880,'24',43.56,1,3,NULL),(15,2822318,'1990-06-03 00:00:00',2,10,12,2007,'F','N','MAR GROSSO','LAGUNA','SC','124242248625151431426613585122610137077',NULL,'524',22.82,1,3,NULL),(15,2822326,'1990-04-09 00:00:00',4,10,12,2007,'M','N','PINHERAL','BRACO DO NORTE','SC','124241248125131431424416162343610127057',NULL,'665',0.00,1,3,NULL),(15,2822334,'1988-08-15 00:00:00',4,8,12,2005,'M','N','SANTA CATARINA','JOINVILLE','SC','124241242115372442328644445334610122197',NULL,'24',0.00,1,3,NULL),(15,2822342,'1990-09-05 00:00:00',4,8,12,2007,'F','N','UBATUBA','SAO FRANCISCO DO SUL','SC','124241241115131431534419572224610165147',16244,'710',42.99,1,2,1),(15,2822350,'1990-06-04 00:00:00',4,10,12,2007,'F','N','MAGAHÃES','LAGUNA','SC','124242241225111441425624442124610163027',17045,'524',41.82,1,3,NULL),(15,2822407,'1990-08-24 00:00:00',2,4,12,2007,'F','N','ESTRELA','SAO MIGUEL DOESTE','SC','124241241114131411426621572225610137147',NULL,'757',0.00,1,2,1),(15,2822415,'1989-12-18 00:00:00',2,10,12,2007,'F','N','CENTRO','LAGUNA','SC','124242241225111431423331575122610137077',19729,'524',37.36,2,3,NULL),(15,2822423,'1990-06-29 00:00:00',4,8,12,2007,'F','N','COMASA','JOINVILLE','SC','124241241115141711552221242224610115142',NULL,'469',0.00,1,3,NULL),(15,2822431,'1990-01-19 00:00:00',2,4,12,2007,'F','N','ESTRELA','SAO MIGUEL DOESTE','SC','124241241115131431533619392125610117147',NULL,'757',19.84,1,2,1),(15,2822458,'1989-08-31 00:00:00',4,8,12,2007,'M','N','COMASA','JOINVILLE','SC','124241241145131321426614445124610134067',17413,'469',41.21,1,3,NULL),(15,2822466,'1991-01-26 00:00:00',2,4,12,2007,'F','N','JARDIM PEPERI','SAO MIGUEL DOESTE','SC','124242241117131731326624492123610132057',15433,'757',44.21,1,3,NULL),(15,2822490,'1990-02-25 00:00:00',4,8,11,2007,'M','N','IRIRIU','JOINVILLE','SC','124241241145151431344759282124610147057',NULL,'469',0.00,1,2,1),(15,2822504,'1988-08-15 00:00:00',2,10,11,2006,'F','N','CENTRO','TUBARAO','SC','124244248137232731225629291125610133142',NULL,'1034',0.00,1,3,NULL),(15,2822520,'1989-09-01 00:00:00',4,10,12,2006,'M','N','ESPERANÇA','LAGUNA','SC','124241241112131421325614572111232032142',13647,'521',46.68,4,2,1),(15,2822547,'1991-05-15 00:00:00',4,10,12,2007,'F','N','MAGALHÃES','LAGUNA','SC','124243241225151431323524372124610134192',16323,'524',42.86,1,3,NULL),(15,2822555,'1988-12-27 00:00:00',2,10,12,2006,'M','N','REVOREDO','TUBARAO','SC','124241241115372411114445345124610124187',15157,'750',44.59,1,2,1),(15,2822563,'1990-11-17 00:00:00',4,4,12,2007,'F','N','ESTRELA','SAO MIGUEL DOESTE','SC','124241241115131431426314475122610136147',17918,'757',40.46,1,2,1),(15,2822580,'1990-11-28 00:00:00',2,10,12,2007,'F','N','MAGALHÃES','LAGUNA','SC','124244241225151431436613575121610135047',16917,'524',41.98,1,3,NULL),(15,2822598,'1988-03-10 00:00:00',2,10,12,2005,'F','N','PINHEIRAL','BRACO DO NORTE','SC','124241241115132741633416176122230616157',15872,'100',43.57,1,3,NULL),(15,2822601,'1989-05-01 00:00:00',2,8,12,2007,'F','N','IRIRIU','JOINVILLE','SC','124241241135111732423329192224610138147',NULL,'469',0.00,1,2,1),(15,2822610,'1990-10-21 01:00:00',2,10,12,2007,'F','N','SÃO MARTINHO','TUBARAO','SC','124241241145131431534312575124610127097',NULL,'802',0.00,1,2,1),(15,2822628,'1991-01-28 00:00:00',4,4,12,2007,'F','N','CENTRO','SAO MIGUEL DOESTE','SC','124241241117131731212229282325610134077',15050,'757',44.73,1,2,1),(15,2822636,'1990-03-28 00:00:00',2,10,12,2007,'F','N','SÃO MARTINHO','TUBARAO','SC','124241241147131731443314242124610145097',NULL,'802',0.00,1,2,1),(15,2822644,'1989-06-06 00:00:00',4,10,12,2007,'F','N','MAGALHAES','LAGUNA','SC','124241243125131431323634375124610154142',NULL,'524',0.00,1,2,1),(15,2822660,'1989-02-22 00:00:00',2,10,12,2006,'F','N','OFICINAS','TUBARAO','SC','124241241117132711426611582341610117147',NULL,'1034',0.00,2,3,NULL),(15,2822679,'1990-08-06 00:00:00',2,10,12,2007,'F','N','MAGALHAES','LAGUNA','SC','124241241225142431633634245124610114147',NULL,'524',0.00,1,3,NULL),(15,2822687,'1990-09-22 00:00:00',4,10,12,2007,'F','N','SANTA BÁRBARA','SANTA ROSA DE LIMA','SC','124241241125161431523316572324610144057',NULL,'688',23.21,1,2,1),(15,2822695,'1990-05-19 00:00:00',4,10,12,2007,'F','N','MAGALHÃES','LAGUNA','SC','124242241225131431414629494324610145077',20532,'524',35.83,1,3,NULL),(15,2822709,'1990-05-01 00:00:00',4,10,12,2007,'M','N','RIO DOS ÍNDIOS','SANTA ROSA DE LIMA','SC','124241241125161531426416572344610147057',22520,'688',27.37,1,2,1),(15,2822717,'1990-03-31 00:00:00',4,4,12,2007,'F','N','CENTRO','RONDA ALTA','RS','120201201116131411449923475122610127147',21332,'9998',34.12,1,2,1),(15,2822725,'1990-04-03 00:00:00',4,10,12,2007,'M','N','MAGALHÃES','LAGUNA','SC','124243241345151431336823575122610121093',19364,'524',38.07,4,3,NULL),(15,2822733,'1990-09-04 00:00:00',2,10,11,2007,'F','N','CENTRO','TUBARAO','SC','124243241215112431216721472122610164197',14729,'806',45.10,1,3,NULL),(15,2822741,'1990-11-07 00:00:00',2,10,12,2007,'M','N','PONTA DA BARRA','LAGUNA','SC','124241241125131431435511215124610135142',NULL,'524',0.00,1,2,1),(15,2822768,'1990-06-25 00:00:00',4,10,12,2007,'F','N','SANTO ANDRÉ','CAPIVARI DE BAIXO','SC','124241241146271221344612294122610134147',19438,'798',37.93,1,2,1),(15,2822776,'1989-08-02 00:00:00',4,4,12,2006,'F','N','INTERIOR','SAO CARLOS','SC','124241241126131731533536172324610127057',NULL,'704',0.00,1,2,1),(15,2822784,'1990-05-20 00:00:00',4,10,12,2007,'F','N','LARANJEIRAS','LAGUNA','SC','124241241115171331424314432334610112147',NULL,'521',21.11,1,2,1),(15,2822792,'1989-04-27 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241117131431436923575124610122091',NULL,'257',23.48,1,2,1),(15,2822806,'1990-06-01 00:00:00',2,10,12,2007,'F','N','MAR GROSSO','LAGUNA','SC','124242248222131731546713391121610168147',NULL,'524',0.00,1,3,NULL),(15,2822814,'1990-12-11 00:00:00',2,10,12,2007,'M','N','CABEÇUDA','LAGUNA','SC','124241241125131131324633572124610168177',15586,'524',43.99,1,2,1),(15,2822822,'1990-03-31 00:00:00',2,10,12,2007,'F','N','MAR GROSSO','LAGUNA','SC','124241248225111431425624575124610137147',NULL,'524',0.00,1,3,NULL),(15,2822857,'1989-12-03 00:00:00',2,10,12,2007,'M','N','MAR GROSSO','LAGUNA','SC','124241241125131431323319574121610122047',NULL,'524',0.00,1,2,1),(15,2822865,'1990-08-22 00:00:00',4,10,12,2007,'F','N','PONTA DA BARRA','LAGUNA','SC','124241241126131411435511245124610114147',17486,'524',41.10,1,2,1),(15,2822873,'1990-06-27 00:00:00',2,10,12,2007,'F','N','CABEÇUDAS','LAGUNA','SC','124241241125131431324623285324610128072',NULL,'524',0.00,2,1,1),(15,2822881,'1990-07-10 00:00:00',4,10,11,2007,'M','N','SAO MIGUEL','GRAVATAL','SC','124241241315111431323416272324610124057',927,'806',73.92,1,3,NULL),(15,2822890,'1990-01-24 00:00:00',2,1,12,2007,'F','N','FUNDOS','BIGUACU','SC','124241241135131432523624242324610126082',19193,'64',38.36,1,3,NULL),(15,2822903,'1984-07-16 00:00:00',2,1,12,2003,'F','N','FORQUILHINHAS','SAO JOSE','SC','624241241117243321323354342124610126147',18840,'739',38.93,4,2,1),(15,2822911,'1966-10-31 00:00:00',2,1,12,2001,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','224241247112135421423349191234610161197',12606,'9999',48.13,1,2,1),(15,2822920,'1981-02-19 00:00:00',2,1,11,1998,'F','N','CANASVIEIRA','FLORIANOPOLIS','SC','124201201127332411122119282314142964187',20555,'9998',35.78,1,3,NULL),(15,2822938,'1979-10-11 00:00:00',2,1,12,2003,'M','N','JOSÉ MENDES','FLORIANOPOLIS','SC','124241241126372321523319241334610123112',NULL,'278',0.00,2,3,NULL),(15,2822946,'1988-08-26 00:00:00',2,1,12,2006,'F','N','BARREIROS','SAO JOSE','SC','124241241137132441633539292124610153142',19770,'734',37.29,1,2,1),(15,2822954,'1984-11-26 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','224241241125151411327141312324610164197',21114,'289',34.63,4,2,1),(15,2822962,'1985-01-29 00:00:00',2,1,12,2002,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241141233421223424144334610122152',20438,'29',35.98,1,2,1),(15,2822970,'1983-04-19 00:00:00',2,1,7,2005,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241115371531413314196344610164147',NULL,'289',20.85,1,2,1),(15,2822989,'1982-03-25 00:00:00',5,1,11,2004,'F','N','BELA VISTA','SAO JOSE','SC','224241241116132431425554495124231012142',NULL,'9999',0.00,1,3,NULL),(15,2822997,'1982-11-24 00:00:00',2,1,12,2001,'F','N','SERRARIA','SAO JOSE','SC','124241241147372421124644242234610111187',NULL,'307',0.00,1,3,NULL),(15,2823004,'1988-10-28 00:00:00',2,1,12,2005,'F','N','ARMAÇÃO','FLORIANOPOLIS','SC','124241241127473441536611385124610127112',14925,'291',44.88,1,2,1),(15,2823012,'1986-10-02 00:00:00',4,1,12,2005,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241116133712531614246114610124047',13404,'283',47.03,1,2,1),(15,2823020,'1979-06-07 00:00:00',2,1,11,2000,'F','N','CANASVIEIRA','FLORIANOPOLIS','SC','224201208127131411433654446311610142187',NULL,'9998',26.16,1,2,1),(15,2823039,'1989-02-05 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241137153431213119282334230827072',14005,'307',46.15,1,2,1),(15,2823047,'1987-12-07 00:00:00',4,1,12,2007,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124241241127131531224654292333610127187',NULL,'736',0.00,1,2,1),(15,2823055,'1990-01-13 00:00:00',2,1,12,2006,'F','N','FLORESTA','SAO JOSE','SC','124241241111172751336614342124610163147',NULL,'733',0.00,1,3,NULL),(15,2823063,'1989-04-29 00:00:00',2,9,12,2006,'F','N','SANTA TEREZINHA','VACARIA','RS','120201201116132731325824272325610127141',NULL,'9998',25.29,1,2,1),(15,2823071,'1987-05-26 00:00:00',4,1,12,2004,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','224212211217241431248941311122231046037',18672,'9998',39.21,1,3,NULL),(15,2823080,'1982-09-05 00:00:00',2,1,12,2002,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241112111411424444442344610117012',18389,'754',39.67,1,2,1),(15,2823098,'1990-11-23 00:00:00',4,9,11,2007,'F','N','BOM JESUS','LAGES','SC','124241241115131131423619571124610122177',NULL,'935',21.33,3,2,1),(15,2823101,'1987-04-04 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANOPOLIS','SC','124201241127134131226541112324610125097',13068,'922',47.49,1,2,1),(15,2823110,'1990-03-19 00:00:00',2,9,12,2007,'F','N','CENTRO','LAGES','SC','124241241115151731339669574324610137052',NULL,'498',24.47,1,3,NULL),(15,2823128,'1957-09-29 00:00:00',4,1,12,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','324243245127131431431379331124142756187',NULL,'281',18.55,1,3,NULL),(15,2823136,'1986-12-11 00:00:00',2,1,12,2007,'F','N','PRAIA DE FORA','PALHOCA','SC','124241241147131431534421382224610147187',NULL,'594',24.44,1,3,NULL),(15,2823144,'1981-06-18 00:00:00',4,1,12,1998,'M','N','BARREIROS','SAO JOSE','SC','124243241126272752323319481114610134197',NULL,'736',0.00,1,3,NULL),(15,2823152,'1990-06-23 00:00:00',4,9,12,2007,'F','N','COPACABANA','LAGES','SC','124241241116131731536813372125610161057',NULL,'498',21.03,1,3,NULL),(15,2823160,'1988-08-26 00:00:00',2,1,11,2006,'M','N','VILA NOVA','ARACARIGUAMA','SP','125251258117371531335619395124610123057',NULL,'9998',26.71,1,2,1),(15,2823179,'1990-06-21 00:00:00',2,9,12,2007,'F','N','MARIA LUIZA','LAGES','SC','124241241115131431224469392224610128077',NULL,'498',0.00,1,3,NULL),(15,2823187,'1990-10-09 00:00:00',2,9,12,2007,'F','N','CORAL','LAGES','SC','124241241115131431323327571124610123142',21484,'505',33.76,1,2,1),(15,2823195,'1977-06-09 00:00:00',2,9,12,1995,'M','N','BEATRIZ','LAGES','SC','124242241112135441113444342341130256092',7618,'500',55.99,1,3,NULL),(15,2823217,'1989-11-15 00:00:00',2,1,12,2007,'M','N','PRAIA JOÃO ROSA','BIGUACU','SC','124242241132131711323644242324610167172',16985,'65',41.90,1,3,NULL),(15,2823225,'1986-10-26 00:00:00',4,1,12,2003,'F','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124241241117132421225344245334130223147',NULL,'293',0.00,1,2,1),(15,2823233,'1990-04-28 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241125131131424413572324610114141',19641,'290',37.54,1,2,1),(15,2823241,'1984-03-09 00:00:00',4,1,12,2002,'F','N','FLOR DE NAPOLIS','SAO JOSE','SC','124241241132132751324329482324610168147',13698,'295',46.62,4,3,NULL),(15,2823250,'1989-02-26 00:00:00',2,1,12,2006,'F','N','COSTEIRA','FLORIANOPOLIS','SC','124241241122132111434429372324610114147',NULL,'294',0.00,1,3,NULL),(15,2823268,'1983-09-29 00:00:00',2,1,12,2001,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241126133711431424245334610147187',NULL,'294',19.97,1,3,NULL),(15,2823276,'1965-12-19 00:00:00',2,1,12,1987,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','424241247327132431223349191234610167187',NULL,'287',19.01,2,1,2),(15,2823284,'1978-06-20 00:00:00',2,1,12,1995,'M','N','ARMAÇÃO','FLORIANOPOLIS','SC','124241241115372431111241112323610137047',8226,'291',54.97,1,3,NULL),(15,2823292,'1987-11-18 00:00:00',2,1,12,2004,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124251241411133441343341211331610164182',11427,'299',49.80,1,3,NULL),(15,2823306,'1983-04-28 00:00:00',2,1,12,2000,'M','N','SANTOS DUMONT','SAO JOSE','SC','124241241115372421436444445123610124057',16439,'293',42.68,4,2,1),(15,2823314,'1988-05-13 00:00:00',2,1,12,2006,'F','N','SERRARIA','SAO JOSE','SC','124241241223132421423413482344232734147',16898,'262',42.01,1,3,NULL),(15,2823322,'1986-01-04 00:00:00',2,1,12,2003,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124241241116213441436624495121610164113',11140,'257',50.24,1,2,1),(15,2823330,'1990-02-06 00:00:00',4,1,12,2007,'F','N','FORQUILHAS','SAO JOSE','SC','124241241115141421433311232124610124147',21486,'733',33.76,1,2,1),(15,2823349,'1957-04-20 00:00:00',2,1,12,1977,'F','N','BOM ABRIGO','FLORIANOPOLIS','SC','224241243126135421218648482344610166072',22196,'591',31.50,1,3,NULL),(15,2823357,'1989-05-13 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241315471431437733572124610137097',1190,'307',72.51,1,3,NULL),(15,2823365,'1960-09-29 00:00:00',4,1,12,1980,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124211213227134411121644246313120662177',NULL,'9998',0.00,1,3,NULL),(15,2823373,'1989-11-15 00:00:00',2,1,12,2007,'F','N','CAMINHO NOVO','PALHOCA','SC','124241241112131732423319392124610151142',20884,'592',35.12,1,3,NULL),(15,2823381,'1984-05-04 00:00:00',2,1,12,2003,'M','N','CANASVIEIRA','FLORIANOPOLIS','SC','124251251127272432323424382314610124057',NULL,'9998',0.00,1,2,1),(15,2823390,'1989-10-12 00:00:00',2,1,12,2006,'F','N','RATONES','FLORIANOPOLIS','SC','124243241115471411236624592124610121092',19432,'307',37.95,1,3,NULL),(15,2823403,'1984-10-02 00:00:00',2,1,8,2006,'M','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124241247131131432424624285311610127187',20956,'9999',34.94,4,2,1),(15,2823438,'1989-12-19 00:00:00',4,9,12,2007,'F','N','VILA NOVA','LAGES','SC','124241241125131431439613391124610132147',NULL,'935',0.00,1,2,1),(15,2823446,'1989-07-15 00:00:00',2,9,12,2007,'F','N','CONTA DINHEIRO','LAGES','SC','124241241115131421526819592325610128172',NULL,'505',22.08,1,2,1),(15,2823454,'1989-03-06 00:00:00',4,9,12,2007,'F','N','ESQUINA','URUBICI','SC','124241241115161431323314342324610123147',NULL,'818',0.00,4,2,1),(15,2823462,'1990-07-21 00:00:00',4,9,12,2007,'F','N','ESQUINA','URUBICI','SC','124241241115161431513313392324610123147',NULL,'818',25.21,4,2,1),(15,2823470,'1990-01-16 00:00:00',4,1,12,2007,'F','N','STA CRUZ DA FIGUEIRA','AGUAS MORNAS','SC','124241241136151431533311575124610166072',NULL,'12',24.53,1,2,1),(15,2823497,'1990-04-08 00:00:00',4,1,12,2007,'F','N','SANTA CRUZ','AGUAS MORNAS','SC','124241241125161431534319572114610168147',NULL,'12',33.60,1,2,1),(15,2823519,'1989-03-10 00:00:00',2,1,12,2007,'F','N','SÃO SEBASTIAO','LAGES','SC','124042241311131431327731572224610134097',21903,'591',32.60,1,3,NULL),(15,2823527,'1990-06-02 00:00:00',4,9,12,2007,'F','N','PETROPOLIS','LAGES','SC','124241241135131431426618242224610138147',NULL,'498',0.00,1,2,1),(15,2823543,'1990-11-26 00:00:00',2,9,12,2007,'M','N','INTERIOR','PAINEL','SC','124241241115131431414423182324610127057',NULL,'588',0.00,1,2,1),(15,2823551,'1987-09-09 00:00:00',2,1,12,2006,'F','N','BAIRRO DE FATIMA','FLORIANOPOLIS','SC','124243241112372431423823582124610167147',20960,'257',34.93,4,3,NULL),(15,2823560,'1986-12-19 00:00:00',2,9,12,2004,'M','N','VARZEA','LAGES','SC','124241241117132431323363382314610125143',15530,'498',44.09,1,2,1),(15,2823578,'1990-01-04 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241115131431336624575124610168147',NULL,'307',28.78,1,2,1),(15,2823586,'1991-03-20 00:00:00',4,9,12,2007,'F','N','COPACABANA','LAGES','SC','124241241115131431226631285324610122147',18251,'500',39.89,1,2,1),(15,2823594,'1990-07-02 00:00:00',2,9,12,2007,'F','N','IPIRANGA','LAGES','SC','124241241135131431526633572125610121147',NULL,'498',0.00,1,2,1),(15,2823608,'1990-09-10 00:00:00',4,9,12,2007,'F','N','CORAL','LAGES','SC','124241241117371431536513572124610138197',NULL,'505',27.80,1,2,1),(15,2823624,'1990-02-08 00:00:00',4,1,12,2007,'F','N','CENTRO','PALHOCA','SC','124241241116141431528621393234610164141',14805,'306',45.00,1,2,1),(15,2823632,'1988-10-29 00:00:00',2,1,12,2007,'F','N','CAMPINAS','SAO JOSE','SC','124241241115572431426624375124610134117',NULL,'307',24.39,1,2,1),(15,2823640,'1990-08-28 00:00:00',2,1,2,2008,'F','N','AREIAS','SAO JOSE','SC','124242241115131431326664282224610131077',21638,'739',33.42,4,3,NULL),(15,2823659,'1983-03-15 00:00:00',2,1,12,2003,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124243247327142731624344242334610132057',NULL,'596',13.96,1,3,NULL),(15,2823667,'1984-07-02 00:00:00',2,1,12,2001,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124062061217131421115547472114140262097',NULL,'9998',8.70,1,3,NULL),(15,2823675,'1991-04-26 00:00:00',2,9,12,2007,'F','N','ESQUINA','URUBICI','SC','124244241417131431435919585222610132047',21965,'818',32.37,1,3,NULL),(15,2823683,'1984-02-26 00:00:00',4,9,12,2002,'F','N','GUANABARA','JOINVILLE','SC','124243247447132411648614396221230365085',NULL,'9997',7.01,1,3,NULL),(15,2823691,'1990-11-23 00:00:00',2,1,12,2007,'M','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124241241115131431546619192124610124157',22129,'295',31.81,1,2,1),(15,2823705,'1983-09-12 00:00:00',5,1,6,2002,'F','N','CANASVEIRAS','FLORIANOPOLIS','SC','124241241426372431533319245124610112197',20514,'9999',35.86,1,3,NULL),(15,2823713,'1989-08-28 00:00:00',2,1,12,2006,'F','N','KOBRASOL','SAO JOSE','SC','124241241215132331433619392334610137047',20653,'1036',35.59,1,3,NULL),(15,2823721,'1990-03-04 00:00:00',4,9,12,2007,'F','N','VILA NOVA','LAGES','SC','124241241115131411527714572324610164142',NULL,'498',24.51,1,2,1),(15,2823730,'1988-01-06 00:00:00',4,1,12,2007,'M','N','SERRARIAS','SAO JOSE','SC','124241241225111631363628286114610117047',NULL,'9997',19.32,1,3,NULL),(15,2823748,'1990-03-17 00:00:00',2,1,12,2007,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124241241137131431323419276124610126122',16456,'298',42.66,1,2,1),(15,2823756,'1984-08-31 00:00:00',2,1,12,2001,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241217133421226424486124332067067',8471,'270',54.56,1,3,NULL),(15,2823764,'1983-06-17 00:00:00',4,1,7,2005,'M','N','SERRARIA','SAO JOSE','SC','124081247124272411623311482324130824057',16301,'945',42.90,4,2,1),(15,2823772,'1986-11-16 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241126475131226419382124610122077',11830,'307',49.21,1,2,1),(15,2823780,'1989-07-04 00:00:00',4,1,12,2006,'F','N','SERTÃO DO IMARUI','SAO JOSE','SC','124243241117132431434411585224610138147',NULL,'733',22.05,4,3,NULL),(15,2823799,'1989-09-14 00:00:00',4,1,12,2007,'M','N','CENTRO','GAROPABA','SC','124241247145131431325724575124610126042',16970,'9999',41.92,1,3,NULL),(15,2823802,'1981-03-15 00:00:00',2,1,12,1998,'M','N','CARIANOS','FLORIANOPOLIS','SC','224241241127141411233343432334141016047',11262,'862',50.07,1,2,1),(15,2823829,'1988-11-28 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241136151431326631575114610164011',20418,'268',36.01,1,2,1),(15,2823837,'1988-09-02 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241111272111436622575124610164187',11913,'257',49.08,1,2,1),(15,2823845,'1987-01-09 00:00:00',2,1,12,2004,'F','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124241241112473431533329442114610138097',NULL,'307',23.59,1,2,1),(15,2823853,'1989-10-29 00:00:00',2,1,12,2007,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241241131131131436634371344610167047',20638,'257',35.62,1,2,1),(15,2823861,'1981-08-30 00:00:00',2,1,12,1998,'F','N','CAMPECHE','FLORIANOPOLIS','SC','224241241117135431223444245334610148147',21536,'307',33.66,1,2,1),(15,2823870,'1985-11-29 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241117131731113417282124610157057',20673,'359',35.55,1,2,1),(15,2823888,'1989-12-20 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241115131731525638345124610166087',18706,'307',39.16,1,2,1),(15,2823896,'1990-06-15 00:00:00',4,1,12,2007,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','124241241115131431313667386224610134145',NULL,'733',24.71,1,3,NULL),(15,2823900,'1990-01-30 00:00:00',2,1,12,2007,'F','N','PRAIA COMPRIDA','SAO JOSE','SC','124241241117131431434631572124610121147',21872,'733',32.72,1,2,1),(15,2823918,'1984-11-13 00:00:00',2,1,12,2002,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241121132411426363181324610116117',NULL,'307',0.00,1,2,1),(15,2823926,'1987-05-02 00:00:00',2,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241117132711218344342124610127095',NULL,'293',18.40,1,3,NULL),(15,2823934,'1989-09-28 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124243241315111431534639395344610163097',17983,'1022',40.34,1,3,NULL),(15,2823942,'1989-02-14 00:00:00',4,1,12,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241115131331426447372324610122037',20668,'279',35.56,1,2,1),(15,2823950,'1989-09-19 00:00:00',2,1,12,2007,'F','N','POTECAS','SAO JOSE','SC','124241241115131432323324571124610134197',NULL,'734',19.04,1,3,NULL),(15,2823977,'1991-01-01 00:00:00',2,1,12,2007,'F','N','AREIAS','SAO JOSE','SC','124241241212111431326629595124610124053',22261,'9997',31.24,1,3,NULL),(15,2823985,'1983-07-14 00:00:00',2,1,12,2001,'F','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124243241344375431435614392124222332097',14410,'288',45.56,1,3,NULL),(15,2823993,'1989-03-18 00:00:00',2,1,11,2006,'F','N','ROÇADO','SAO JOSE','SC','124241241341271411325923285124610163097',16782,'729',42.19,1,3,NULL),(15,2824000,'1990-12-24 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241117131432345569395124610137012',11948,'288',49.05,1,2,1),(15,2824019,'1987-02-05 00:00:00',2,1,11,2004,'F','N','KOBRASOL','SAO JOSE','SC','124244241111131731228754281223610148187',NULL,'257',24.35,2,3,NULL),(15,2824027,'1981-05-25 00:00:00',2,1,8,2005,'F','N','JARDIM JANAINA','BIGUACU','SC','124241247227132421422329186224610124142',19816,'9999',37.19,1,3,NULL),(15,2824035,'1989-05-10 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124243241316111711613379375121610127045',9316,'272',53.09,2,3,NULL),(15,2824043,'1988-07-11 00:00:00',2,1,12,2005,'F','N','ENSEADA DE BRITO','PALHOCA','SC','124241241127372431533923572114610131147',16285,'594',42.92,4,2,1),(15,2824051,'1989-06-04 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241317132431224614345124610132142',NULL,'1005',30.26,1,3,NULL),(15,2824086,'1989-11-28 00:00:00',4,7,12,2006,'M','N','SAO VICENTE','HERVAL D OESTE','SC','124241241117131431436514572222610123147',NULL,'341',25.16,4,2,1),(15,2824094,'1989-07-22 00:00:00',2,7,12,2007,'F','N','CENTRO','HERVAL D OESTE','SC','124241241115131731323329392225610124077',21248,'341',34.32,1,3,NULL),(15,2824108,'1990-04-13 00:00:00',4,7,12,2007,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','124241248115151431436613285122610127147',NULL,'341',20.39,1,2,1),(15,2824116,'1990-05-07 00:00:00',4,4,11,2007,'F','N','CENTRO','QUILOMBO','SC','124246241226151731527519245125610127057',NULL,'647',0.00,1,3,NULL),(15,2824124,'1986-07-04 00:00:00',2,7,12,2003,'M','N','CENTRO','AGUA DOCE','SC','124241242117212431439369192125233247187',20394,'8',36.07,1,2,1),(15,2824132,'1990-04-26 00:00:00',2,7,12,2007,'F','N','CENTRO','AGUA DOCE','SC','124241241125161431424612245122610168147',NULL,'9',0.00,1,2,1),(15,2824140,'1990-02-17 00:00:00',4,7,12,2007,'F','N','INTERIOR','HERVAL D OESTE','SC','124241241115131432423314473322610123197',NULL,'341',19.68,1,3,NULL),(15,2824159,'1990-02-21 00:00:00',2,7,12,2007,'F','N','JARDIM JOSÉ RUPP','HERVAL D OESTE','SC','124241241115131432323629472322610123047',22357,'341',30.67,1,3,NULL),(15,2824167,'1990-09-14 00:00:00',4,7,12,2007,'F','N','INTERIOR','ERVAL VELHO','SC','124241241115131431524376572324610124147',NULL,'253',21.74,1,2,1),(15,2824175,'1987-04-05 00:00:00',4,4,12,2005,'M','N','INTERIOR','CONCORDIA','SC','124241241147131411423311342333610124017',NULL,'193',23.66,1,2,1),(15,2824183,'1984-02-11 00:00:00',2,4,12,2001,'M','N','CENTRO','CONCORDIA','SC','124241241116132431338924182125231424057',NULL,'194',0.00,1,2,1),(15,2824191,'1985-11-28 00:00:00',2,4,12,2003,'F','N','INTERIOR','CONCORDIA','SC','124241241116131431633673492325232022097',NULL,'193',0.00,1,2,1),(15,2824205,'1990-05-01 00:00:00',2,7,12,2007,'F','N','CENTRO','HERVAL D OESTE','SC','124241241115131431423923392124610124147',21085,'341',34.70,1,2,1),(15,2824213,'1990-08-23 00:00:00',4,7,12,2007,'F','N','CENTRO','CONCORDIA','SC','124241241115271411359613574122610133187',17964,'192',40.37,1,2,1),(15,2824230,'1988-05-07 00:00:00',4,7,12,2005,'F','N','VILA ALEMANHA','LUZERNA','SC','124241241144131731413379276324140627157',NULL,'498',0.00,1,2,1),(15,2824248,'1990-03-12 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOCA','SC','124244241235131731635324572124610167147',9571,'988',52.64,1,3,NULL),(15,2824256,'1978-09-29 00:00:00',2,3,12,1995,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124163161127131751237653135224242964012',NULL,'9998',35.36,1,3,NULL),(15,2824264,'1983-07-21 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANOPOLIS','SC','124251251136132421435614295334222264097',13236,'9998',47.25,4,2,1),(15,2824272,'1988-03-23 00:00:00',4,1,3,2005,'M','N','CAMPINAS','SAO JOSE','SC','124242241111132431425514375124231467011',15180,'739',44.56,1,3,NULL),(15,2824280,'1989-02-14 00:00:00',2,9,12,2006,'M','N','SANTA MARIA','LAGES','SC','124241241116372231524416385331610134057',20018,'123',36.78,1,3,NULL),(15,2824299,'1986-01-08 00:00:00',2,1,12,2006,'F','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124241241127131411423371382344610163117',NULL,'278',18.44,1,3,NULL),(15,2824302,'1986-03-20 00:00:00',4,1,12,2004,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242247225143431338864345114232812147',NULL,'1036',0.00,1,3,NULL),(15,2824310,'1984-08-26 00:00:00',4,1,11,2002,'M','N','CAMPECHE','FLORIANOPOLIS','SC','124242241211134411128821292224610114047',NULL,'260',NULL,1,3,NULL),(15,2824329,'1987-10-15 00:00:00',2,1,11,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241217134431524616582324233221017',10828,'720',50.71,1,3,NULL),(15,2824337,'1984-01-05 00:00:00',2,1,11,2001,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241121135411226644341114610164071',22316,'307',30.93,1,2,1),(15,2824345,'1990-10-21 01:00:00',2,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241235111441626611275124610166093',10440,'266',51.29,1,3,NULL),(15,2824353,'1989-10-31 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241117131431335639395115610167057',16249,'307',42.98,1,2,1),(15,2824361,'1987-07-06 00:00:00',4,1,12,2004,'M','N','BELA VISTA II','SAO JOSE','SC','124241241117373751323879481214610142147',19312,'359',38.14,1,2,1),(15,2824370,'1990-04-14 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241235111421523616275115610167147',22444,'1098',29.83,1,3,NULL),(15,2824388,'1960-06-30 00:00:00',2,1,12,1990,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','524241245122135411323343432344132766047',NULL,'734',24.12,1,3,NULL),(15,2824396,'1984-10-26 00:00:00',2,1,7,2005,'M','N','TRINDADE','FLORIANOPOLIS','SC','124201207346272431426444341114610167057',21952,'9998',32.45,1,3,NULL),(15,2824400,'1986-06-18 00:00:00',4,1,12,2003,'F','N','VARGEM DO BRAÇO','SANTO AMARO DA IMPERATRIZ','SC','124241241116132421636615345234610131017',NULL,'772',32.01,1,2,1),(15,2824418,'1989-03-06 00:00:00',2,1,12,2006,'F','N','COLONINHA','FLORIANOPOLIS','SC','124241241416472431543819572124610123097',2997,'1022',66.16,2,1,2),(15,2824426,'1985-02-20 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124241245111372411435624331224610127142',22199,'281',31.49,2,2,1),(15,2824434,'1984-09-01 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241121373431533369441124610127185',15628,'283',43.90,1,3,NULL),(15,2824442,'1983-08-11 00:00:00',2,1,10,2005,'M','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241247137272431523311282314610137063',17005,'9999',41.87,1,2,1),(15,2824450,'1989-03-05 00:00:00',2,1,12,2006,'F','N','CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC','124241241137132431223329385314610167057',NULL,'288',27.17,1,3,NULL),(15,2824477,'1989-10-08 00:00:00',4,1,12,2007,'M','N','SÃO SEBASTIÃO','PALHOCA','SC','124241241117151751335621396224610134146',9444,'306',52.88,1,3,NULL),(15,2824485,'1989-09-25 00:00:00',2,1,12,2007,'F','N','COSTA DA LAGOA','FLORIANOPOLIS','SC','124241241215111431423211582324610127147',NULL,'272',16.56,1,3,NULL),(15,2824493,'1990-12-10 00:00:00',4,7,12,2007,'F','N','CENTRO','CAPINZAL','SC','124241241116131231227522295124610134147',21323,'156',34.14,1,2,1),(15,2824507,'1986-09-17 00:00:00',5,1,12,2003,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241216153431327622135124610134097',8689,'155',54.19,1,3,NULL),(15,2824515,'1988-07-03 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241117141411523629342214610114177',22044,'293',32.12,4,3,NULL),(15,2824523,'1990-01-02 00:00:00',2,1,12,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241117131411523611212124610157147',NULL,'298',19.34,1,3,NULL),(15,2824531,'1989-03-18 00:00:00',2,1,12,2007,'F','N','SERRARIA','SAO JOSE','SC','124241241115131731423511573221610137057',NULL,'1116',24.59,1,2,1),(15,2824540,'1967-10-12 00:00:00',4,1,12,1987,'M','N','TAPERA','FLORIANOPOLIS','SC','124161168126134451233374491324340218187',NULL,'9998',20.03,2,1,1),(15,2824558,'1962-07-15 00:00:00',2,1,12,1999,'F','N','TAPERA','FLORIANOPOLIS','SC','224161167127133441233344441314610128183',NULL,'9998',18.80,1,2,1),(15,2824566,'1988-04-05 00:00:00',2,1,12,2006,'F','N','PRAIA DE FORA','PALHOCA','SC','124241241145132431534421572224610147077',NULL,'594',22.60,1,3,NULL),(15,2824574,'1981-01-18 00:00:00',2,1,12,1997,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241112134431525614382314323022147',15376,'281',44.30,1,2,1),(15,2824582,'1990-01-22 00:00:00',4,1,12,2007,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','124243241137271421325624375124610131182',14331,'307',45.68,2,1,2),(15,2824590,'1979-12-22 00:00:00',2,1,12,2000,'F','N','PONTA DO PAPAGAIO','FLORIANOPOLIS','SC','124241241127131421423341112124610121147',NULL,'277',28.79,1,3,NULL),(15,2824604,'1974-07-24 00:00:00',2,1,12,1993,'F','N','IPIRANGA','SAO JOSE','SC','224243243122135411223354482124610124147',21359,'734',34.07,1,3,NULL),(15,2824612,'1965-09-17 00:00:00',3,1,12,1983,'M','N','CENTRO','FLORIANOPOLIS','SC','124244248217131751126649492114610165187',15425,'260',44.22,1,3,NULL),(15,2824620,'1988-02-23 00:00:00',2,1,12,2005,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124252251217472431536721472114610137047',11120,'1022',50.27,1,3,NULL),(15,2824639,'1968-08-20 00:00:00',2,1,10,1997,'M','N','TRINDADE','FLORIANOPOLIS','SC','224243247331131641638643431124231056172',13268,'9999',47.21,4,3,NULL),(15,2824647,'1990-06-25 00:00:00',2,8,12,2007,'F','N','IRIRIÚ','JOINVILLE','SC','124245241113151451538331572124610126112',15899,'470',43.54,1,3,NULL),(15,2824655,'1983-10-22 00:00:00',2,1,12,2000,'M','N','BARREIROS','SAO JOSE','SC','124241241336133431124644342334131427057',10058,'9997',51.84,2,1,2),(15,2824663,'1978-11-02 00:00:00',4,8,7,2000,'M','N','BOEHMERWALDT','JOINVILLE','SC','124064247136273541324461385223133212142',NULL,'9999',0.00,1,3,NULL),(15,2824671,'1989-02-17 00:00:00',2,1,12,2006,'M','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241121372431321311145124610134052',8702,'307',54.17,1,3,NULL),(15,2824680,'1990-03-30 00:00:00',2,8,12,2007,'F','N','IRIRIÚ','JOINVILLE','SC','124241241145141531324429245134610124057',NULL,'469',0.00,1,3,NULL),(15,2824698,'1978-12-02 00:00:00',2,1,11,2005,'F','N','VARGEM PEQUENA','FLORIANOPOLIS','SC','124241245112131411211141112344610116191',NULL,'9999',18.88,1,3,NULL),(15,2824710,'1972-02-29 00:00:00',2,1,9,2004,'F','N','ITACORUBI','FLORIANOPOLIS','SC','224241247215132431422459172124610116192',22419,'9997',30.13,1,3,NULL),(15,2824728,'1990-09-20 00:00:00',2,8,12,2007,'F','N','COMASA','JOINVILLE','SC','124241241115131431323319192341610166017',NULL,'469',0.00,1,2,1),(15,2824736,'1974-07-08 00:00:00',2,1,12,2007,'F','N','RATONES','FLORIANOPOLIS','SC','224241247122141431423358242114610164197',22161,'307',31.69,1,2,1),(15,2824744,'1986-10-26 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANOPOLIS','SC','224241245127131431214359482344610124187',NULL,'296',0.00,1,2,1),(15,2824752,'1986-10-31 00:00:00',2,1,12,2005,'M','N','COSTA DE CIMA','FLORIANOPOLIS','SC','124241241146232411537631315114610114117',NULL,'291',29.99,1,2,1),(15,2824760,'1986-05-17 00:00:00',2,1,11,2004,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241327273711449429246123610167117',20854,'226',35.18,1,3,NULL),(15,2824779,'1989-09-01 00:00:00',4,1,7,2007,'F','N','AREIAS','SAO JOSE','SC','124251241114132431547614585124610124147',6002,'9997',59.08,1,2,1),(15,2824787,'1990-05-04 00:00:00',4,1,12,2007,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','120243241347131431423634375124610117057',NULL,'282',0.00,1,3,NULL),(15,2824795,'1985-12-16 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANOPOLIS','SC','124242241117143731327723495124233247053',7524,'267',56.18,1,3,NULL),(15,2824809,'1990-04-21 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124243241215372431526723572124610135067',1907,'988',69.58,1,3,NULL),(15,2824817,'1981-06-08 00:00:00',2,1,5,2003,'M','N','ITACORUBI','FLORIANOPOLIS','SC','224241247126112421424444245314221717042',NULL,'9999',0.00,1,2,1),(15,2824825,'1988-02-06 00:00:00',2,1,12,2005,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241117132732543611342124610137143',NULL,'298',0.00,1,3,NULL),(15,2824833,'1986-08-20 00:00:00',2,1,12,2003,'F','N','JARDIM DAS PALMEIRAS','SAO JOSE','SC','124241241115575431336824145124610116147',16166,'727',43.12,1,2,1),(15,2824841,'1982-04-01 00:00:00',2,1,12,2000,'M','N','PINHEIRA','PALHOCA','SC','124241241126155431633343135123610113147',9942,'592',52.02,4,2,1),(15,2824868,'1986-06-15 00:00:00',2,1,12,2004,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124243247321133131623311182314610163147',NULL,'1036',20.63,1,3,NULL),(15,2824876,'1978-08-27 00:00:00',4,1,12,1998,'M','N','FAZENDA STO ANTONIO','SAO JOSE','SC','224203207327151411226544141234610121037',NULL,'9999',24.71,1,3,NULL),(15,2824892,'1984-05-07 00:00:00',2,1,12,2002,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','224251251117131431413679485124610121147',NULL,'9998',0.00,1,2,1),(15,2824914,'1959-06-19 00:00:00',2,1,1,2002,'F','N','MONTE CRISTO','FLORIANOPOLIS','SC','424256251646131431411229282124610166147',NULL,'9999',0.00,1,3,NULL),(15,2824922,'1987-10-25 01:00:00',2,1,12,2006,'M','N','BARRA DO SAMBAQUI','FLORIANOPOLIS','SC','124241241121132131321661382324610114141',NULL,'279',22.92,1,2,1),(15,2824930,'1989-12-12 00:00:00',4,1,12,2007,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124252241215111431537729572122610112047',NULL,'1022',42.54,1,3,NULL),(15,2824949,'1988-04-12 00:00:00',2,1,2,2007,'M','N','AREIAS','SAO JOSE','SC','124243247337131411634121582121610167187',19642,'9997',37.54,1,3,NULL),(15,2824957,'1984-05-28 00:00:00',2,1,12,2003,'F','N','PONTA DAS CANAS','FLORIANOPOLIS','SC','124241241112235751523419385112610122187',NULL,'307',0.00,1,2,1),(15,2824965,'1988-05-22 00:00:00',2,1,12,2006,'F','N','JARDIM ELDORADO','PALHOCA','SC','124241247215131431436623382314610125192',NULL,'596',0.00,1,3,NULL),(15,2824973,'1966-09-01 00:00:00',2,1,11,1997,'M','N','ESTREITO','FLORIANOPOLIS','SC','224241207127131531233349192115610114117',NULL,'9998',20.17,2,2,1),(15,2824981,'1981-05-27 00:00:00',4,1,6,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241247337132421436844442114610132097',22517,'9999',28.12,1,3,NULL),(15,2824990,'1988-04-19 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241112132731323314482214610168187',NULL,'307',0.00,3,2,1),(15,2825007,'1989-11-23 00:00:00',2,1,11,2007,'F','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124201241115141431423621141334610127147',NULL,'257',28.23,1,2,1),(15,2825015,'1990-08-02 00:00:00',2,1,11,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124241241116271431426614572124610123147',21428,'307',33.90,1,3,NULL),(15,2825031,'1965-10-18 00:00:00',2,1,7,2006,'F','N','JARDIM CIDADE','SAO JOSE','SC','524241247126131411324444445124610136147',21210,'976',34.41,1,3,NULL),(15,2825040,'1984-07-19 00:00:00',2,1,12,2002,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241126135421521339142334130862047',16474,'307',42.62,4,2,1),(15,2825058,'1987-05-11 00:00:00',4,1,12,2004,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124244241337133431436631342124232737147',20918,'266',35.05,1,3,NULL),(15,2825066,'1988-04-22 00:00:00',2,1,7,2006,'M','N','ROÇADO','SAO JOSE','SC','124241247327131731437611445124610117057',22303,'736',31.02,1,3,NULL),(15,2825074,'1986-09-04 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241117131411323623242124610167047',NULL,'239',21.50,1,3,NULL),(15,2825082,'1986-09-04 00:00:00',2,1,10,2004,'M','N','BARRA DO ARIRIU','PALHOCA','SC','124242247226141431434411445324610167047',NULL,'9999',23.19,1,3,NULL),(15,2825090,'1990-07-19 00:00:00',2,1,12,2007,'F','N','E STREITO','FLORIANOPOLIS','SC','124241241115131431523814572224610124142',20160,'307',36.51,1,2,1),(15,2825104,'1976-05-08 00:00:00',2,1,12,1998,'F','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124241247127131711624344442324610122143',NULL,'9999',0.00,1,2,1),(15,2825112,'1978-06-04 00:00:00',2,1,7,2005,'M','N','MONTE CRISTO','FLORIANOPOLIS','SC','624054247222134421636373442114610167097',13727,'270',46.58,1,3,NULL),(15,2825120,'1978-04-08 00:00:00',2,1,12,2007,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124241245115132421323329282324610121197',19998,'293',36.83,1,3,NULL),(15,2825139,'1985-03-25 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241237373721337879245224610124087',13610,'300',46.73,1,3,NULL),(15,2825147,'1987-04-29 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241416574441337844345215610134097',13696,'307',46.62,1,3,NULL),(15,2825155,'1987-09-05 00:00:00',2,1,12,2006,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241136131751323514381311610167042',NULL,'285',20.91,1,3,NULL),(15,2825163,'1989-09-18 00:00:00',2,1,12,2007,'M','N','CENTRO','ITUPORANGA','SC','124241241127131411433319115122610144187',21107,'416',34.64,1,2,1),(15,2825171,'1985-07-09 00:00:00',2,1,7,2003,'F','N','JD JANAINA','BIGUACU','SC','124241241126135431431424245124610136197',NULL,'257',0.00,1,2,1),(15,2825198,'1987-05-15 00:00:00',2,1,12,2004,'F','N','ITAGUAÇU','FLORIANOPOLIS','SC','124244241117574431528823445124610164187',11326,'307',49.95,1,3,NULL),(15,2825201,'1990-08-29 00:00:00',2,1,11,2007,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124241241116131731223329245124610127147',16600,'257',42.46,1,2,1),(15,2825210,'1988-01-27 00:00:00',2,1,12,2004,'M','N','ESTREITO','FLORIANOPOLIS','SC','124241241312273431556923182124610127057',16105,'257',43.22,1,3,NULL),(15,2825228,'1985-05-13 00:00:00',2,1,12,2003,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241127131531624474382224610134052',NULL,'275',23.23,4,3,NULL),(15,2825236,'1954-04-17 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANOPOLIS','SC','524251251111111111111111111311610111011',13202,'9999',47.32,1,3,NULL),(15,2825252,'1983-04-08 00:00:00',2,1,12,2002,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124243241427131431226411272114610137117',NULL,'9997',0.00,1,3,NULL),(15,2825260,'1979-11-28 00:00:00',2,8,12,1999,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241147131431425414272344130217047',NULL,'9997',21.17,1,3,NULL),(15,2825279,'1989-03-08 00:00:00',5,7,12,2007,'M','N','INTERIOR','CAMPOS NOVOS','SC','124241242135131712511325586225610164047',NULL,'314',0.00,2,2,1),(15,2825287,'1980-04-14 00:00:00',2,1,12,1999,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241125132421434364142344610117187',15297,'9997',44.40,1,3,NULL),(15,2825295,'1988-07-06 00:00:00',2,4,12,2007,'M','N','CONQUISTA FRONTEIRA','DIONISIO CERQUEIRA','SC','124241242135131411314435572322610164043',NULL,'314',0.00,1,2,1),(15,2825309,'1978-07-28 00:00:00',2,1,12,1997,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241127132421326624172314610124127',20487,'9997',35.90,1,3,NULL),(15,2825317,'1989-12-26 00:00:00',2,7,12,2007,'M','N','INTERIOR','CAMPOS NOVOS','SC','124241242135131431423325592324610143047',NULL,'314',0.00,1,2,1),(15,2825325,'1990-01-30 00:00:00',2,4,12,2007,'M','N','UNIÃO DA VITÓRIA','ANCHIETA','SC','124241242135131432413335572324610167177',NULL,'314',0.00,1,2,1),(15,2825333,'1974-04-20 00:00:00',2,8,12,1994,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','224241241147132411224443232344610134047',NULL,'9997',22.25,1,3,NULL),(15,2825341,'1989-04-02 00:00:00',2,7,12,2007,'F','N','INTERIOR','CALMON','SC','124241242135131431313335592324610164053',NULL,'314',0.00,1,2,1),(15,2825350,'1965-10-24 00:00:00',2,1,12,1985,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','224241241127131431328654142214610114187',21674,'9997',33.32,1,3,NULL),(15,2825368,'1989-07-02 00:00:00',2,4,12,2007,'M','N','COOPERUNIÃO','DIONISIO CERQUEIRA','SC','124241242135131731515335152222610164052',NULL,'314',0.00,1,2,1),(15,2825376,'1980-09-16 00:00:00',4,1,12,2000,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241127131411421244142224610124187',NULL,'9997',7.96,4,3,NULL),(15,2825384,'1985-11-07 00:00:00',2,7,12,2007,'M','N','CHICO MENDES','FRAIBURGO','SC','124241242115131411413335456321610164067',NULL,'314',0.00,1,2,1),(15,2825392,'1977-02-25 00:00:00',2,1,12,1997,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124244241137131411124344242334610114097',19402,'9997',38.02,1,3,NULL),(15,2825406,'1973-06-06 00:00:00',4,1,12,1993,'M','N','AGRÔNOMICA','FLORIANOPOLIS','SC','124251251127131411666639192114610134187',14704,'9998',45.14,1,3,NULL),(15,2825414,'1987-04-07 00:00:00',2,4,12,2007,'M','N','INTERIOR','ANCHIETA','SC','124241242135131422413335592324610114177',NULL,'314',0.00,1,2,1),(15,2825422,'1969-12-31 00:00:00',2,1,5,1992,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','225241241327132431228654242344610117047',21409,'9997',33.94,1,3,NULL),(15,2825430,'1990-11-13 00:00:00',2,9,12,2007,'F','N','INTERIOR','FRAIBURGO','SC','124241242135161351613435592224610163057',NULL,'314',15.18,1,2,1),(15,2825449,'1973-01-22 00:00:00',2,1,12,2001,'M','N','AGRÔNOMICA','FLORIANOPOLIS','SC','124241241117131411324463242344610137047',NULL,'9997',26.87,1,3,NULL),(15,2825457,'1990-11-02 00:00:00',2,7,12,2007,'F','N','INTERIOR','PASSOS MAIA','SC','124241242135161731313135592324610111023',NULL,'314',0.00,2,2,1),(15,2825465,'1977-12-24 00:00:00',2,1,12,1998,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124252251217132431237654372124140714117',12272,'9998',48.63,1,3,NULL),(15,2825481,'1989-02-20 00:00:00',2,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241241125471431424313342224610122182',19080,'290',38.54,1,2,1),(15,2825490,'1990-01-01 00:00:00',2,1,12,2007,'F','N','COSTEIRA DOPIRAJUBAÉ','FLORIANOPOLIS','SC','124241241125141431533214292234610146052',15460,'294',44.17,2,2,1),(15,2825511,'1984-10-07 00:00:00',2,1,12,2003,'F','N','ARIRIÚ','PALHOCA','SC','124241241116471731643533435122610164143',9130,'772',53.40,1,3,NULL),(15,2825520,'1962-03-04 00:00:00',2,1,1,1989,'F','N','PRAINHA','FLORIANOPOLIS','SC','424241247126375441333343235134610127097',16594,'9999',42.46,1,2,1),(15,2825538,'1989-11-30 00:00:00',4,1,12,2006,'M','N','COSTEIRA','FLORIANOPOLIS','SC','124241241117371411356333475114610167145',20374,'281',36.10,1,2,1),(15,2825546,'1988-10-05 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241112372431569633372124610138077',15889,'307',43.55,1,2,1),(15,2825554,'1988-02-29 00:00:00',2,1,12,2007,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124243241112372431436633282124233267112',NULL,'298',41.84,1,3,NULL),(15,2825562,'1989-10-21 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124241241115372431356413392124610127072',8142,'271',55.11,1,2,1),(15,2825570,'1988-03-04 00:00:00',2,1,12,2005,'F','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124241241125472431334623382124610127057',14762,'307',45.05,1,2,1),(15,2825589,'1989-07-27 00:00:00',2,1,12,2006,'F','N','FAZENDA STO ANTONIO','SAO JOSE','SC','124241241117472431633313572124610117042',18600,'733',39.32,4,3,NULL),(15,2825597,'1988-06-07 00:00:00',2,1,12,2005,'F','N','SACOGRANDE','FLORIANOPOLIS','SC','124241241116412431325313235334610114142',20407,'298',36.04,1,2,1),(15,2825600,'1990-06-08 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241311272411338923574124610167147',NULL,'271',40.72,1,3,NULL),(15,2825619,'1987-08-02 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124243241115472731528113275124610167077',NULL,'300',25.60,1,3,NULL),(15,2825627,'1986-08-01 00:00:00',2,1,12,2005,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124243241217374411258613575114132034097',19548,'9997',37.73,1,3,NULL),(15,2825635,'1953-06-29 00:00:00',2,1,12,1972,'F','N','CENTRO','FLORIANOPOLIS','SC','124202201415372431316659372144143216187',NULL,'9998',23.18,1,3,NULL),(15,2825651,'1952-12-18 00:00:00',2,1,12,1977,'M','N','CENTRO','FLORIANOPOLIS','SC','224216254226372411433443135132610146045',NULL,'9998',27.48,1,3,NULL),(15,2825660,'1981-10-24 00:00:00',4,1,2,2001,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241244146374411236443432332610161092',13664,'307',46.66,1,2,1),(16,3000036,'1989-06-28 00:00:00',4,1,12,2005,'M','N','ALTOS DE SANTANA','S JOSÉ CAMPOS','SP','125253253217571441346923285122610144012',1141,'9998',71.23,1,3,NULL),(16,3000044,'1992-01-29 00:00:00',4,1,11,2008,'F','N','CENTRO','CARAZINHO','RS','120202201216471431457634275122610145142',4301,'9998',60.23,1,3,NULL),(16,3000060,'1991-11-07 00:00:00',2,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','124241241115142431453314245124610127041',8688,'307',51.10,1,2,1),(16,3000079,'1983-12-23 00:00:00',4,1,12,2000,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242244117274421246744445233222367042',4689,'306',59.34,1,3,NULL),(16,3000087,'1976-03-08 00:00:00',2,1,11,1994,'M','N','CENTRO','FLORIANÓPOLIS','SC','224242241213151411464644245132610127043',NULL,'346',0.00,1,3,NULL),(16,3000095,'1985-04-13 00:00:00',2,1,6,2003,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241115272431335713385124522262152',7779,'306',52.81,1,3,NULL),(16,3000109,'1991-10-18 00:00:00',4,5,11,2008,'M','N','FIGUEIRA','URUSSANGA','SC','124242241217112431478832575122610164045',4467,'226',59.86,1,3,NULL),(16,3000117,'1991-03-09 00:00:00',4,1,12,2008,'F','N','PARQUE JABAQUARA','S PAULO','SP','125252251215121741367611575122610126072',NULL,'9998',0.00,1,3,NULL),(16,3000125,'1991-08-22 00:00:00',2,8,12,2008,'F','N','ALVORADA','LUCAS R VERDE','MT','111113111436151731454411245121610164147',14272,'9998',41.10,1,3,NULL),(16,3000133,'1988-09-22 00:00:00',4,9,12,2006,'M','N','VILA NOVA','LAGES','SC','124241241416131441123327575121132246147',NULL,'515',0.00,1,3,NULL),(16,3000141,'1991-02-11 00:00:00',4,1,11,2008,'F','N','HIGIENOPOLIS','S PAULO','SP','125252251217371431378711574122610136144',1672,'9998',68.54,1,3,NULL),(16,3000150,'1990-02-16 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241315272431347623445114610124147',11480,'300',46.21,1,3,NULL),(16,3000168,'1986-11-26 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215375431566639345134610164087',6702,'266',54.86,1,3,NULL),(16,3000176,'1991-05-13 00:00:00',4,1,11,2008,'M','N','RIO GRANDE','PALHOÇA','SC','124243241115371431238624245124610164147',5187,'271',58.13,1,3,NULL),(16,3000184,'1990-07-05 00:00:00',4,5,11,2007,'F','N','PIO CORREA','CRICIÚMA','SC','124242241216471431568812574112610144092',13113,'211',43.30,4,1,2),(16,3000192,'1987-05-03 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124112111215372431436614285124343262073',7707,'9998',52.95,1,3,NULL),(16,3000206,'1991-08-20 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215111431258823575114610127057',15378,'737',38.81,1,3,NULL),(16,3000222,'1981-03-29 00:00:00',4,1,12,2001,'M','N','REAL PARQUE','S JOSÉ','SC','124241241126163731331343135123610147032',11896,'730',45.47,1,2,1),(16,3000230,'1987-08-22 00:00:00',4,1,12,2006,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241141151151644334441124610135015',NULL,'285',23.90,1,3,NULL),(16,3000249,'1991-04-26 00:00:00',3,1,11,2008,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215471431489921572122610124182',214,'270',79.00,1,3,NULL),(16,3000257,'1987-03-06 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241127133741113344245334231323187',14442,'112',40.81,1,3,NULL),(16,3000265,'1991-05-05 00:00:00',4,8,10,2008,'F','N','SAO RAFAEL','RIO NEGRINHO','SC','116241161216171431454932574124610126037',2315,'9998',65.99,1,3,NULL),(16,3000281,'1990-05-16 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241212372431238619582114610124147',3873,'1026',61.41,1,3,NULL),(16,3000290,'1983-02-02 00:00:00',2,1,11,2000,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124202201212575711225374495124222732092',NULL,'9998',31.67,1,3,NULL),(16,3000303,'1964-02-24 00:00:00',2,1,12,1982,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124201206116151741238641415124143265092',NULL,'9998',33.32,1,3,NULL),(16,3000311,'1984-08-04 00:00:00',2,1,11,2001,'F','N','LARANJEIRAS','RIO SUL','SC','124241241116131731225353485113613228182',10244,'657',48.36,1,2,1),(16,3000320,'1990-11-25 00:00:00',4,1,12,2008,'M','N','SANTA CECILIA','S PAULO','SP','125252251216371431525514315124610162057',NULL,'9998',36.48,1,3,NULL),(16,3000338,'1992-03-06 00:00:00',4,4,12,2008,'F','N','LIDER','CHAPECó','SC','124243241217111411358933572222610136172',NULL,'1046',51.18,1,3,NULL),(16,3000346,'1991-01-12 00:00:00',4,8,11,2008,'F','N','FLORESTA','JOINVILLE','SC','124241241216171421356834341134610124117',NULL,'489',33.88,1,3,NULL),(16,3000354,'1988-02-07 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124161161117271421626414345122610122142',NULL,'9998',25.10,1,2,1),(16,3000362,'1990-07-25 00:00:00',4,5,12,2007,'M','N','CENTRO','TURVO','SC','124243242117471431456833572124610146172',3661,'690',61.92,1,3,NULL),(16,3000370,'1990-05-09 00:00:00',2,1,12,2007,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241312112411557613342114610167042',NULL,'1022',27.71,3,3,NULL),(16,3000389,'1990-05-24 00:00:00',2,1,12,2008,'F','N','HIGIENOPOLIS','S PAULO','SP','125252251217411731569831592122610125112',NULL,'9998',31.32,1,3,NULL),(16,3000397,'1991-03-30 00:00:00',4,1,11,2008,'F','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161216271431346923575122610133077',7876,'9998',52.65,1,3,NULL),(16,3000400,'1991-12-29 00:00:00',2,1,12,2008,'M','N','SERTÃO','STO AMARO IMPERATRIZ','SC','124241241116271411567513345122610136142',9536,'739',49.64,1,2,1),(16,3000419,'1982-03-27 00:00:00',1,1,12,1999,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216473731357412345122432427187',3568,'457',62.16,1,3,NULL),(16,3000427,'1991-10-31 00:00:00',2,4,12,2008,'F','N','PRESIDENTE MEDICE','CHAPECó','SC','124241241315371731526421175324610166187',NULL,'1046',35.13,1,3,NULL),(16,3000460,'1991-05-25 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111731336821575114610127111',8877,'1022',50.77,1,3,NULL),(16,3000478,'1989-03-04 00:00:00',2,1,12,2006,'M','N','VILA DIVA','STA BÁRBARA D OESTE','SP','125251256116471731446834575122241462047',11738,'9998',45.75,1,2,1),(16,3000486,'1988-04-05 00:00:00',2,8,12,2005,'M','N','AMIZADE','JARAGUá SUL','SC','124241241235273411557823145121221767162',7807,'1062',52.75,1,3,NULL),(16,3000508,'1989-01-12 00:00:00',2,1,12,2006,'M','N','RIO GRANDE','PALHOÇA','SC','124241241116272431453334145123610122182',14252,'591',41.13,1,2,1),(16,3000516,'1989-09-13 00:00:00',4,1,11,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241217472431436934574114121943187',2709,'272',64.66,1,3,NULL),(16,3000524,'1987-08-26 00:00:00',4,2,12,2004,'M','N','JARDIM AURÉLIA','CAMPINAS','SP','125251251116271431448813335123141028142',4373,'9998',60.09,1,2,1),(16,3000540,'1990-05-07 00:00:00',4,5,11,2007,'M','N','COMERCIÁRIO','CRICIúMA','SC','124242241215372431255624475112130764042',7679,'213',53.00,1,3,NULL),(16,3000567,'1989-02-23 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241117574431366519574124130244092',898,'271',72.70,1,3,NULL),(16,3000575,'1991-01-07 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215272441258724575114610124141',9127,'270',50.36,1,3,NULL),(16,3000583,'1992-02-27 00:00:00',4,1,11,2008,'F','N','SERRARIA','S JOSÉ','SC','124242241117371721446613592124610167047',4206,'271',60.47,1,3,NULL),(16,3000591,'1984-06-25 00:00:00',4,1,12,2001,'M','N','CAMPINAS','S JOSÉ','SC','124242241215573431359727575124131427117',4988,'737',58.63,1,3,NULL),(16,3000613,'1988-06-16 00:00:00',2,1,12,2005,'M','N','CENTRO','PALHOÇA','SC','124244241215251731357879375224130257181',5647,'266',57.17,1,3,NULL),(16,3000630,'1990-07-16 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472431568819572124610126092',560,'262',75.29,1,3,NULL),(16,3000648,'1992-06-11 00:00:00',2,1,11,2009,'F','S','PONTE DO IMARUIM','PALHOÇA','SC','124244241225141431637613215124610125172',NULL,'262',47.09,1,3,NULL),(16,3000656,'1965-11-07 00:00:00',4,10,12,1985,'M','N','OFICINAS','TUBARÃO','SC','124242244112133431433319382122131117042',12239,'804',44.82,1,3,NULL),(16,3000664,'1985-11-15 00:00:00',4,8,2,2003,'M','N','BOM JESUS','S JOSÉ PINHAIS','PR','116162161117271751346639495122241434092',NULL,'9998',27.36,1,3,NULL),(16,3000672,'1986-02-28 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241143131431645313243123130228187',NULL,'257',26.03,1,2,1),(16,3000699,'1989-01-12 00:00:00',2,9,12,2006,'M','N','ATERRADO','POUSO REDONDO','SC','124241241114473431434336374224610124142',5083,'639',58.43,1,2,1),(16,3000702,'1991-05-18 00:00:00',4,1,11,2008,'M','N','FLORESTA','STO AUGUSTO','RS','120202201216211731447819291122610137056',NULL,'9998',0.00,1,3,NULL),(16,3000729,'1990-02-06 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241216372431225619585114610128147',13103,'1028',43.32,1,3,NULL),(16,3000737,'1988-04-25 00:00:00',2,3,12,2005,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241312134751228669382345121365097',5634,'659',57.19,1,3,NULL),(16,3000745,'1991-05-05 00:00:00',4,1,11,2008,'M','N','CENTRO','TREZE TíLIAS','SC','124242161211111431459613432125610116192',3580,'9998',62.14,1,3,NULL),(16,3000753,'1987-03-03 00:00:00',2,1,7,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124164247447372411426421115124130221142',NULL,'9999',0.00,1,3,NULL),(16,3000761,'1989-10-26 00:00:00',4,1,12,2007,'F','N','MIRAGEM','LAURO DE FREITAS','BA','105052051216471431568812575112610162192',2267,'9998',66.15,1,3,NULL),(16,3000770,'1991-08-25 00:00:00',2,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241315131321444414575114610121177',NULL,'65',24.96,1,3,NULL),(16,3000796,'1990-11-29 00:00:00',4,3,12,2007,'M','N','CENTRO','BOMBINHAS','SC','124243241215472431324414175124610162052',339,'1119',77.50,1,3,NULL),(16,3000800,'1985-01-15 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224242241216133431237852485125332668147',NULL,'269',0.00,1,3,NULL),(16,3000818,'1985-11-16 00:00:00',4,8,12,2002,'M','N','VALE DO SOL','ARARAQUARA','SP','125062061212511311568819571112140662113',255,'9998',78.48,1,3,NULL),(16,3000826,'1990-07-17 00:00:00',4,1,12,2007,'M','N','VILA SUZANA','S PAULO','SP','125252251215472441389934375114610137012',5548,'9998',57.37,1,3,NULL),(16,3000834,'1990-11-12 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241145271431446373145124610168142',14606,'307',40.49,2,1,1),(16,3000842,'1986-02-07 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216452411458934145122221162117',12533,'270',44.30,1,3,NULL),(16,3000850,'1987-02-16 00:00:00',4,1,11,2007,'M','N','COLONIA SANTANA','S JOSÉ','SC','124241241136371421236679445124610163093',NULL,'736',20.00,1,3,NULL),(16,3000869,'1989-03-31 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201241211373441329632141124610132057',5324,'299',57.83,1,3,NULL),(16,3000877,'1989-10-01 00:00:00',4,1,11,2007,'F','N','RIO MADEIRA','PTO VELHO','RO','122222221216272431368923592112141427147',3320,'9998',62.94,3,3,NULL),(16,3000893,'1971-01-28 00:00:00',4,1,12,1990,'F','N','ROÇADO','S JOSÉ','SC','224241241126132421263351285122322226097',7747,'293',52.87,1,2,1),(16,3000907,'1991-03-03 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161217121311476932574122610164117',4691,'9998',59.34,1,3,NULL),(16,3000915,'1989-09-17 00:00:00',4,1,11,2007,'M','N','CENTRO','PARATINGA','BA','125051131215472411326623575124610148152',2125,'9998',66.68,4,1,2),(16,3000923,'1992-02-07 00:00:00',4,4,11,2008,'M','N','COUNTRY','CASCAVEL','PR','116161161117151431446613271124610144197',3797,'9998',61.60,4,1,1),(16,3000931,'1989-06-10 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217372411548819245125132567097',7051,'269',54.20,1,3,NULL),(16,3000940,'1987-04-06 00:00:00',2,10,12,2004,'M','N','BELA VISTA','GRAVATAL','SC','124241241126142431534434245331610167067',NULL,'332',29.02,1,2,1),(16,3000958,'1987-10-07 00:00:00',2,1,12,2005,'F','N','KOBRASOL','S JOSÉ','SC','124164161216272421536711245114610124057',6502,'9998',55.27,1,3,NULL),(16,3000990,'1991-04-14 00:00:00',2,4,11,2008,'F','N','NOBRE','SORRISO','MT','111113111237111431423316345232610125197',15982,'9998',37.28,1,3,NULL),(16,3001008,'1988-04-14 00:00:00',4,1,11,2005,'M','N','CAMPINAS','S JOSé','SC','124243241145152411336833475114610164197',15424,'307',38.72,1,3,NULL),(16,3001016,'1985-07-18 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241346372411558611315124610168065',NULL,'281',0.00,3,3,NULL),(16,3001024,'1990-04-01 00:00:00',4,1,12,2007,'M','N','BREJARU I','PALHOçA','SC','124242241214372431463713445124610114052',NULL,'1134',5.06,1,3,NULL),(16,3001032,'1988-10-16 01:00:00',2,1,11,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124243241215132431658619491124222246172',NULL,'270',21.50,1,3,NULL),(16,3001040,'1977-05-02 00:00:00',4,1,12,1994,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216151421237741415134330465093',NULL,'633',0.00,1,3,NULL),(16,3001059,'1987-10-07 00:00:00',2,4,12,2004,'M','N','ZONA III','UMUARAMA','PR','116161161136571231334621575223140364147',2250,'9998',66.23,4,1,1),(16,3001067,'1988-03-08 00:00:00',4,1,12,2005,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241336274731237621295124610132017',8529,'306',51.37,1,3,NULL),(16,3001075,'1991-12-11 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124243241435141431226611215235610168187',11470,'736',46.22,1,3,NULL),(16,3001083,'1989-01-13 00:00:00',4,1,12,2006,'F','N','BAREEIROS','S JOSé','SC','124241241215472431326624395124610122017',7850,'1022',52.68,1,3,NULL),(16,3001091,'1985-01-15 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216574431447813595122232468142',NULL,'269',0.00,1,3,NULL),(16,3001105,'1991-08-21 00:00:00',4,1,11,2008,'M','N','CENTRO','SANTO ANGELO','RS','112124121125211431379813572122610152097',2936,'9998',64.00,1,3,NULL),(16,3001130,'1986-12-17 00:00:00',2,3,12,2004,'F','N','MONTE CLARO','VACARIA','RS','120201205116131431323311345235241228057',13582,'9998',42.49,1,2,1),(16,3001148,'1992-01-30 00:00:00',4,1,12,2009,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431568819575122610123182',NULL,'262',56.07,1,3,NULL),(16,3001156,'1991-09-14 00:00:00',2,1,11,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241315111731533311192122610161077',13191,'1022',43.15,1,3,NULL),(16,3001164,'1987-07-22 00:00:00',4,8,12,2004,'M','N','CARMO','ARARAQUARA','SP','125252251216572411548812575112610167182',NULL,'9998',47.15,1,3,NULL),(16,3001172,'1986-05-14 00:00:00',4,1,7,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241136155431312679575115221468195',3599,'281',62.09,1,3,NULL),(16,3001180,'1990-09-04 00:00:00',2,1,12,2007,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116163161417472411346823575112610136142',7653,'9998',53.05,1,3,NULL),(16,3001199,'1990-09-03 00:00:00',4,1,12,2007,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241411472711456927572122613228181',1484,'1022',69.45,1,3,NULL),(16,3001202,'1988-05-31 00:00:00',4,4,12,2005,'M','N','CENTRO','CHAPECÓ','SC','124241241126151441124344445134233267042',10434,'14',48.04,1,2,1),(16,3001210,'1991-02-28 00:00:00',4,1,12,2008,'F','N','BELENZINHO','S PAULO','SP','125251251116471431326624571124610131072',11786,'9998',45.67,1,2,1),(16,3001237,'1989-12-10 00:00:00',4,1,12,2008,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242248215371431356613575124610167042',NULL,'9999',22.33,1,3,NULL),(16,3001245,'1991-01-26 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241115371411326617581124610123182',NULL,'307',26.48,2,1,2),(16,3001253,'1987-02-03 00:00:00',4,1,12,2005,'M','N','BARREIROS','S JOSÉ','SC','124101211127131711111521282314610124042',NULL,'9998',10.53,4,2,1),(16,3001261,'1990-02-19 00:00:00',2,1,12,2007,'F','N','SÃO GONÇALO','JANAúBA','MG','113132071217272431469712571112610135112',8312,'9998',51.77,1,3,NULL),(16,3001270,'1988-01-09 00:00:00',2,5,12,2004,'F','N','PEDRO ZANAVAN','CRICIúMA','SC','124241246126371441323514185124610142182',NULL,'228',34.30,1,2,1),(16,3001288,'1986-11-30 00:00:00',4,1,12,2003,'F','N','VILA MARUMBY','MARINGá','PR','116161161116474411437924375123341623027',1341,'9998',70.15,1,2,1),(16,3001296,'1990-01-04 00:00:00',2,1,12,2007,'M','N','OLIVEIRA BARROS','MIRACATU','SP','125251251116472431434316575114610137042',11334,'9998',46.44,1,2,1),(16,3001300,'1986-05-17 00:00:00',4,1,12,2003,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241126275411456813395124610154053',10446,'274',48.01,1,2,1),(16,3001318,'1989-02-04 00:00:00',4,1,7,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241247426272431333824345124610112047',NULL,'300',28.90,1,3,NULL),(16,3001334,'1987-04-14 00:00:00',4,3,12,2004,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241126131431523324315334233224177',NULL,'405',21.58,1,2,1),(16,3001342,'1952-05-14 00:00:00',4,1,12,1970,'F','N','FÁTIMA','FLORIANÓPOLIS','SC','124241241111373431348629492144543263142',NULL,'307',16.55,1,3,NULL),(16,3001350,'1989-09-02 00:00:00',4,1,12,2007,'F','N','FLORESTA','S JOSé','SC','124243241115572431459923375124610146096',4495,'271',59.78,1,3,NULL),(16,3001369,'1989-06-16 00:00:00',4,3,12,2006,'F','N','CENTRO','NOVA A COLINA','PR','116161161116571431449933572124610167097',6024,'9998',56.30,1,2,1),(16,3001377,'1991-06-26 00:00:00',4,2,11,2008,'M','N','ASILO','BLUMENAU','SC','124242241215142441548832245124610164147',4036,'71',60.96,1,3,NULL),(16,3001407,'1988-04-22 00:00:00',5,8,12,2005,'M','N','CENTRO','ASSIS','SP','125251251316572451558711576121610164097',167,'9998',79.77,1,3,NULL),(16,3001415,'1991-07-29 00:00:00',2,1,12,2008,'F','N','FZD SANTO ANTONIO','S JOSé','SC','124241241122131511345534572124613218181',NULL,'728',25.14,1,2,1),(16,3001423,'1986-12-29 00:00:00',2,1,12,2004,'M','N','PARAISO','LONDRINA','PR','116161161116471751433311575114141363147',2988,'9998',63.83,2,1,1),(16,3001431,'1979-08-29 00:00:00',2,1,12,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216142421126619415124330667027',NULL,'515',33.78,1,3,NULL),(16,3001458,'1986-08-10 00:00:00',2,2,12,2004,'F','N','SANTA MARIA','BENEDITO NOVO','SC','124241242116131711537615342224610134147',7238,'662',53.84,1,2,1),(16,3001466,'1990-02-12 00:00:00',4,1,12,2007,'M','N','CENTRO','TRAMANDAÍ','RS','120203201117131431438821495124241428147',NULL,'9998',36.79,4,1,2),(16,3001474,'1991-06-23 00:00:00',4,4,11,2008,'F','N','CENTRO','ERECHIM','RS','120202201216121431559914571122610126092',NULL,'9998',0.00,1,3,NULL),(16,3001482,'1988-12-22 00:00:00',4,1,11,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','116163161216272431566814575125241034042',NULL,'9998',0.00,1,3,NULL),(16,3001490,'1990-01-08 00:00:00',2,1,12,2007,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241211372431454313341124610137057',9901,'988',48.95,1,3,NULL),(16,3001504,'1991-11-24 00:00:00',2,1,12,2008,'F','N','BELA VISTA III','S JOSÉ','SC','124241241135141431426313345124610134142',16516,'726',35.40,1,2,1),(16,3001512,'1990-09-04 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124243241215372411556931275124610163045',5431,'1022',57.62,1,3,NULL),(16,3001520,'1990-12-26 00:00:00',4,1,12,2008,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241316371311368633575114610136192',1430,'271',69.63,1,3,NULL),(16,3001539,'1987-07-22 00:00:00',2,8,12,2004,'M','N','RIO MOLHA','JARAGUá SUL','SC','124241241136371631323633345123130216042',NULL,'425',26.90,1,2,1),(16,3001547,'1990-05-22 00:00:00',4,1,12,2007,'M','N','JD GETÚLIO VARGAS','MOGI MIRIM','SP','125251251116471411566512571112610162092',NULL,'9998',0.00,4,2,1),(16,3001563,'1990-05-22 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124242241215112431446933345334610164092',NULL,'737',33.02,1,3,NULL),(16,3001571,'1985-07-31 00:00:00',2,1,11,2003,'F','N','CAMPO DE DEMOSNTRÇÃO','S PEDRO ALCÂNTARA','SC','124241241126161431433733345234132757143',NULL,'869',26.26,1,3,NULL),(16,3001580,'1990-10-07 00:00:00',4,8,12,2007,'F','N','GUANABARA','JOINVILLE','SC','124241241116272431436413375124610112192',NULL,'467',27.80,1,2,1),(16,3001598,'1988-03-18 00:00:00',4,8,12,2005,'F','N','BNH TERCEIRO PLANO','DOURADOS','MS','112122121216571431347835575122610166017',1234,'9998',70.77,1,3,NULL),(16,3001601,'1989-10-24 00:00:00',2,8,12,2007,'F','N','GUANABARA','JOINVILLE','SC','124242246216472431468612445124610144072',8226,'494',51.94,1,3,NULL),(16,3001610,'1991-04-23 00:00:00',4,1,12,2008,'F','N','TIJUQUINHAS','BIGUAÇU','SC','124241241115131441323317584124610166187',10674,'64',47.61,1,2,1),(16,3001652,'1987-01-23 00:00:00',4,10,7,2004,'M','N','OFICINAS','TUBARÃO','SC','124241247316141431439619345123230267187',NULL,'9999',0.00,1,3,NULL),(16,3001660,'1989-04-20 00:00:00',4,1,8,2007,'M','N','SANTINHO','FLORIANóPOLIS','SC','124241247336272721136644345133130814142',5760,'977',56.94,2,1,2),(16,3001679,'1971-08-07 00:00:00',2,1,11,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224242247247471731426658385122610123147',10183,'9999',48.45,1,3,NULL),(16,3001695,'1991-01-01 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115132431626631574324610128117',8514,'307',51.39,1,2,1),(16,3001709,'1990-09-26 00:00:00',2,1,12,2007,'M','N','FORQUILHAS','S JOSÉ','SC','124241241116371411435631345124610168197',6629,'733',54.99,4,2,1),(16,3001725,'1991-09-30 00:00:00',2,10,11,2008,'F','N','CENTRO','BRAçO NORTE','SC','124241241216131431426933572324610128147',14154,'102',41.32,1,3,NULL),(16,3001733,'1985-09-05 00:00:00',4,1,12,2001,'M','N','JURERÊ','FLORIANÓPOLIS','SC','624062061215471421236544442114142524142',828,'9998',73.21,3,3,NULL),(16,3001741,'1991-02-25 00:00:00',4,2,11,2008,'F','N','SOUZA CRUZ','BRUSQUE','SC','124242241215221431469811412122610121142',9215,'107',50.22,1,3,NULL),(16,3001750,'1983-04-18 00:00:00',2,1,12,2000,'F','N','VILA INDUSTRIAL','CAMPINAS','SP','125256251626471411436314284224143164117',11287,'9998',46.49,4,1,2),(16,3001768,'1991-01-10 00:00:00',4,2,12,2007,'M','N','IMIGRANTE','GUABIRUBA','SC','124241241345472431544614275112610127142',3809,'981',61.57,1,3,NULL),(16,3001776,'1987-09-07 00:00:00',4,9,12,2004,'F','N','SAGRADO CORAÇÃO','LAGES','SC','124241241116573431239924445122233262092',9632,'935',49.45,1,2,1),(16,3001784,'1964-06-16 00:00:00',4,1,6,1980,'F','N','CAMPINAS','S JOSÉ','SC','524243241323153721129772225122133223183',NULL,'307',22.60,1,3,NULL),(16,3001792,'1985-01-10 00:00:00',4,6,8,2003,'M','N','CENTRO','BAL CAMBORIÚ','SC','124202217217251441238913411135133266052',11434,'9999',46.29,1,3,NULL),(16,3001830,'1989-08-22 00:00:00',4,1,10,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124064241215372431328969385124610127142',7420,'262',53.47,1,3,NULL),(16,3001849,'1979-12-08 00:00:00',4,1,12,1996,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241147132521246443231334131026097',NULL,'257',29.20,4,1,1),(16,3001857,'1990-06-01 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241215113311357931575122610164112',8803,'1022',50.90,1,3,NULL),(16,3001865,'1990-06-18 00:00:00',2,1,12,2008,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242245225151411578833312114610165097',NULL,'9999',26.68,1,3,NULL),(16,3001873,'1990-08-19 00:00:00',2,1,11,2007,'M','N','CENTRO','S JOAQUIM','SC','124242241216473431166652575114610164077',2177,'1035',66.49,1,3,NULL),(16,3001881,'1991-05-27 00:00:00',2,8,12,2008,'M','N','ITAUM','JOINVILLE','SC','124242241211271731336634172124610114143',NULL,'1105',25.86,1,3,NULL),(16,3001890,'1990-01-13 00:00:00',4,7,12,2007,'F','N','CENTRO','JOAÇABA','SC','124241241216372431449812445132610136177',9028,'446',50.53,1,3,NULL),(16,3001903,'1989-09-13 00:00:00',2,4,12,2006,'F','N','CENTRO','CHAPECO','SC','124241241111132421238623241235610162147',NULL,'169',32.25,4,3,NULL),(16,3001920,'1986-10-26 00:00:00',4,1,12,2004,'M','N','PARQUE ALTO TAQUARAL','CAMPINAS','SP','125253251217573721366412171122610161097',4464,'9998',59.86,1,3,NULL),(16,3001946,'1987-05-18 00:00:00',4,1,6,2005,'M','N','PONTE IMARUIM','PALHOÇA','SC','224242247217271441316659375124143238187',NULL,'9999',0.00,1,3,NULL),(16,3001954,'1980-06-01 00:00:00',4,1,12,1998,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124132131416151711279942125132121462043',NULL,'9998',0.00,1,3,NULL),(16,3001962,'1987-07-07 00:00:00',4,5,8,2007,'M','N','VILA NOVA','COCAL SUL','SC','124241241127371431456632211124610124042',NULL,'9997',19.43,1,2,1),(16,3001970,'1990-10-18 00:00:00',4,1,11,2007,'F','N','CENTRO','CRICIúMA','SC','124242241215272411439914575324222241117',NULL,'226',33.15,1,3,NULL),(16,3001997,'1990-06-25 00:00:00',4,1,11,2007,'F','N','N SENHORA DO ROSÁRIO','S JOSÉ','SC','124242241217373431558532575112132844182',6472,'723',55.32,1,3,NULL),(16,3002004,'1984-08-08 00:00:00',4,1,12,2001,'F','N','TAPERA','FLORIANÓPOLIS','SC','124242241217372431534673385124130245097',16649,'590',34.30,1,3,NULL),(16,3002012,'1991-05-06 00:00:00',4,1,12,2008,'M','N','CACHOEIRAS','BIGUAÇU','SC','124241241115131431324414582324610166057',NULL,'64',28.75,1,2,1),(16,3002020,'1975-09-23 00:00:00',4,1,12,1999,'M','N','ABRAAO','FLORIANÓPOLIS','SC','224243241446154431254444242132333232187',13426,'9999',42.74,1,3,NULL),(16,3002039,'1989-02-21 00:00:00',2,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241126371431428721375124610125182',14601,'592',40.51,1,3,NULL),(16,3002047,'1990-03-15 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372431268923472124610127145',5704,'270',57.05,1,3,NULL),(16,3002055,'1982-05-21 00:00:00',2,1,12,1999,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124202241217144431549628282124221267042',8623,'27',51.20,1,3,NULL),(16,3002071,'1979-10-09 00:00:00',2,1,11,2008,'M','N','CENTRO','PALHOçA','SC','224241248126132411326444345324610167042',NULL,'9999',23.95,2,1,1),(16,3002080,'1991-02-12 00:00:00',4,8,12,2008,'F','N','PIRABEIRABA','JOINVILLE','SC','124241241347471421446613342124610128142',8285,'1016',51.81,1,3,NULL),(16,3002098,'1990-07-07 00:00:00',4,1,12,2007,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','120201201116151411326524245134610155112',NULL,'9998',20.72,1,2,1),(16,3002101,'1968-10-11 00:00:00',2,1,12,1989,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124202201117242411323651411134610116187',16509,'9998',35.43,1,3,NULL),(16,3002110,'1982-01-22 00:00:00',4,1,12,1998,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124251251416371451227749315124341237141',3906,'9998',61.31,1,3,NULL),(16,3002128,'1990-08-24 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241247246141431568613395124610125145',NULL,'1126',33.36,1,3,NULL),(16,3002144,'1990-10-07 00:00:00',2,5,12,2007,'F','N','CIDADE ALTA','TURVO','SC','124241241141371341323329245121610126072',NULL,'814',30.31,1,2,1),(16,3002160,'1988-10-06 00:00:00',4,1,12,2005,'F','N','ASA NORTE','BRASÍLIA','DF','107072181216271431689933475122240266047',5797,'9998',56.82,4,3,NULL),(16,3002179,'1988-09-04 00:00:00',2,1,12,2008,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241248225141411376433341124610145092',NULL,'9999',0.00,1,3,NULL),(16,3002187,'1989-02-11 00:00:00',4,1,12,2007,'M','N','JARDIM FRANÇA','S PAULO','SP','125252251216372452289812125134610163087',NULL,'9998',0.00,1,3,NULL),(16,3002195,'1990-03-04 00:00:00',4,1,12,2007,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241117472231646519375124610164117',1848,'307',67.83,1,2,1),(16,3002217,'1991-04-30 00:00:00',4,8,11,2008,'F','N','HUGO LANGE','CURITIBA','PR','116162161216121451379832571122610167092',NULL,'9998',0.00,1,3,NULL),(16,3002225,'1991-03-07 00:00:00',4,1,11,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241136372431437613575124610168147',9439,'298',49.83,4,1,1),(16,3002233,'1991-02-19 00:00:00',4,4,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161216472421153332586121610134177',12878,'9998',43.71,1,3,NULL),(16,3002241,'1987-03-08 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241248125471731425329295334610133187',NULL,'274',17.34,1,2,1),(16,3002250,'1988-01-26 00:00:00',2,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANóPOLIS','SC','124241241117373231368831375122221437187',5800,'306',56.81,1,2,1),(16,3002268,'1991-06-12 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241211131211636613575122610168197',NULL,'944',24.92,1,3,NULL),(16,3002276,'1990-01-28 00:00:00',4,8,12,2007,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116163161316271431459913574124143142017',8295,'9998',51.79,1,3,NULL),(16,3002292,'1991-08-06 00:00:00',4,1,12,2007,'M','N','JARDIM ESTRELA','MAUÁ','SP','125254251246472431466614285124610167074',9324,'9998',50.04,1,3,NULL),(16,3002306,'1989-01-06 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124252241215373431338721375124610162072',659,'270',74.48,1,3,NULL),(16,3002314,'1989-02-10 00:00:00',2,4,12,2007,'M','N','NOGUEIRA','S DOMINGOS','SC','124161242115131431423611141325610137052',NULL,'129',28.08,3,3,NULL),(16,3002330,'1990-03-25 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431369923575112233267073',2895,'270',64.11,1,3,NULL),(16,3002357,'1987-05-13 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241117274431449913275125233244162',3789,'307',61.63,1,3,NULL),(16,3002373,'1990-10-14 00:00:00',4,1,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161215121731558813574125610124092',NULL,'9998',0.00,1,3,NULL),(16,3002381,'1991-11-08 00:00:00',2,1,12,2008,'M','N','ARIRIÚ','PALHOÇA','SC','124243241116271431356913572124610137042',7690,'739',52.99,1,3,NULL),(16,3002390,'1991-06-20 00:00:00',4,6,11,2008,'M','N','PRAIA ALEGRE','PENHA','SC','124243241446141431241923245122610124147',NULL,'388',29.48,1,3,NULL),(16,3002403,'1958-04-06 00:00:00',2,1,12,1977,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241248116155411633319435124232214196',NULL,'307',20.24,2,1,1),(16,3002411,'1976-03-12 00:00:00',4,1,12,2004,'M','N','KOBRASOL','S JOSÉ','SC','224242241426112411367923335122131024097',NULL,'735',0.00,4,3,NULL),(16,3002420,'1973-04-09 00:00:00',5,1,11,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241247141373441234313411124330216047',NULL,'9999',31.74,2,1,1),(16,3002438,'1988-12-01 00:00:00',4,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161216574711478932594112610168077',NULL,'9998',0.00,1,3,NULL),(16,3002446,'1985-04-01 00:00:00',4,1,12,2002,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124253241346272431126644445124231912117',7425,'9998',53.47,1,3,NULL),(16,3002454,'1984-09-26 00:00:00',2,1,12,2002,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241211155431358811575114222622057',1673,'737',68.54,1,3,NULL),(16,3002470,'1987-11-12 00:00:00',2,1,2,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241247126134431523523375224220544145',11718,'9999',45.79,1,2,1),(16,3002500,'1990-07-19 00:00:00',4,1,11,2007,'M','N','MERCES','CURITIBA','PR','116242161215571441456611171324610168127',NULL,'9998',0.00,1,3,NULL),(16,3002527,'1989-09-08 00:00:00',2,3,12,2007,'M','N','RUDGE RAMOS','S BERNARDO CAMPO','SP','125251251226471431228829272114610162047',NULL,'9998',0.00,3,3,NULL),(16,3002535,'1988-09-23 00:00:00',4,10,6,2006,'F','N','CENTRO','CAPÃO CANOA','RS','120201201147161411373412295122240461047',NULL,'9998',0.00,1,3,NULL),(16,3002551,'1990-03-30 00:00:00',4,1,11,2007,'F','N','CENTRO','FARROUPILHA','RS','120202201215272431368814584122241467092',NULL,'9998',0.00,1,3,NULL),(16,3002560,'1990-10-29 00:00:00',2,1,12,2007,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241247315471431424614385124610133071',13904,'9999',41.85,1,3,NULL),(16,3002578,'1990-07-31 00:00:00',2,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116161161115471431436316572125610142142',NULL,'9998',0.00,4,2,1),(16,3002616,'1977-05-14 00:00:00',2,1,12,1998,'F','N','FORQUILHINHAS','S JOSÉ','SC','224241248136134431436654342124123033157',14693,'739',40.29,4,1,1),(16,3002632,'1991-07-01 00:00:00',4,6,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124201241136271431645374245124610164157',9077,'51',50.46,1,2,1),(16,3002640,'1989-08-15 00:00:00',4,1,12,2006,'F','N','BRASILIA','GUARÁ','DF','107072071217571431589613495122610144042',10148,'9998',48.52,1,3,NULL),(16,3002659,'1991-07-30 00:00:00',4,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124241241217132431233923272222610133117',7919,'226',52.57,1,3,NULL),(16,3002667,'1990-07-26 00:00:00',4,1,12,2008,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241217111431444111375122610168072',10978,'1048',47.06,1,3,NULL),(16,3002675,'1991-06-12 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241116371431433314445125610162177',8812,'592',50.88,1,2,1),(16,3002683,'1986-01-21 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','224271283117372411226454475124610121095',13969,'9998',41.71,1,3,NULL),(16,3002691,'1991-05-09 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124244241115371431439313595124610127175',3313,'9997',62.96,1,3,NULL),(16,3002705,'1989-05-01 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431359813595112132827187',NULL,'270',34.17,1,3,NULL),(16,3002713,'1992-04-15 00:00:00',4,4,12,2008,'M','N','MARIA GORETTI','CHAPECÓ','SC','124242241215372431479813372122610127012',734,'168',73.97,1,3,NULL),(16,3002721,'1988-01-26 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241126142711223351212334230824057',NULL,'274',28.96,1,2,1),(16,3002730,'1990-10-28 00:00:00',2,1,12,2007,'M','N','KOBRASOL','S JOSé','SC','124242241217372451435511576114120714077',1084,'1022',71.54,1,3,NULL),(16,3002756,'1990-04-07 00:00:00',4,8,12,2007,'F','N','JOÃO COSTA','JOINVILLE','SC','124241241235471411658914375124610134192',7678,'459',53.00,1,3,NULL),(16,3002764,'1985-07-16 00:00:00',4,1,12,2003,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241246116155411467912321122223244015',3943,'303',61.22,1,2,1),(16,3002780,'1976-02-20 00:00:00',2,1,12,1999,'F','N','FORQUILHINHAS','SAO JOSE','SC','524241241146273411335544341124610124147',13807,'728',42.05,1,3,NULL),(16,3002802,'1989-01-18 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANóPOLIS','SC','124241241115372431448814392124610121152',9388,'267',49.92,1,2,1),(16,3002810,'1983-11-15 00:00:00',2,1,11,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124252251226272411178872221124541168122',11325,'9998',46.45,1,3,NULL),(16,3002829,'1987-09-11 00:00:00',2,1,12,2004,'F','N','ARIRIU','PALHOÇA','SC','124241241112134331523311145234610143147',NULL,'592',28.46,1,2,1),(16,3002837,'1982-11-19 00:00:00',4,1,12,2000,'M','N','JARDIM AUGUSTA','S JOSÉ CAMPOS','SP','125252251215411431548821285122340214057',NULL,'9998',0.00,1,3,NULL),(16,3002861,'1978-05-27 00:00:00',2,8,12,1995,'M','N','PONTAL DO SUL','PONTAL PARANÁ','PR','116132131216151441128849495221341964023',NULL,'9998',48.39,1,3,NULL),(16,3002888,'1986-03-14 00:00:00',4,1,12,2003,'M','N','JARDIM SANTA TEREZA','ITU','SP','125251251117131441227621243114610124047',NULL,'9998',0.00,1,2,1),(16,3002900,'1992-03-30 00:00:00',4,6,12,2008,'F','N','MORRETES','ITAPEMA','SC','124241241115131431223423182224610164147',12577,'406',44.22,1,2,1),(16,3002918,'1989-05-05 00:00:00',4,1,12,2006,'F','N','VILAS DO ATLANTICO','LAURO FREITAS','BA','105052051216472431379834575124610128182',1359,'9998',70.08,1,3,NULL),(16,3002926,'1990-06-10 00:00:00',4,5,12,2007,'F','N','CANINDE','S PAULO','SP','125252251215111431469811525122242415012',NULL,'9998',0.00,1,3,NULL),(16,3002934,'1991-08-20 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217271431269613316122610137055',8056,'951',52.31,1,3,NULL),(16,3002942,'1990-02-27 00:00:00',4,8,12,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215472431448914575122231422192',3124,'486',63.47,1,3,NULL),(16,3002950,'1990-09-23 00:00:00',4,1,9,2008,'F','N','CENTRO','PALHOÇA','SC','124242247416472431468931375124610112082',8088,'9999',52.25,1,3,NULL),(16,3002969,'1990-10-21 01:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215372431369914575122133222057',1567,'270',69.03,1,3,NULL),(16,3002977,'1990-11-05 00:00:00',4,5,10,2008,'M','N','VILA FLORESTA','CRICIUMA','SC','124242241215132431458314172122610134092',9607,'213',49.51,1,3,NULL),(16,3002993,'1989-08-05 00:00:00',4,1,12,2006,'F','N','JARDIM GUANABARA','CAMPINAS','SP','125252251217571431568814575112610162072',9025,'9998',50.54,1,3,NULL),(16,3003000,'1988-05-23 00:00:00',2,1,11,2006,'F','N','BARREIROS','S JOSÉ','SC','124241241132132112113344252334610163143',15713,'9997',38.04,1,2,1),(16,3003019,'1990-08-10 00:00:00',2,1,12,2007,'F','N','LOURDES','CAXIAS SUL','RS','120202201217471431569414272114610122142',14146,'9998',41.34,1,3,NULL),(16,3003027,'1990-05-31 00:00:00',4,4,12,2007,'F','N','CENTRO','CPO ERÊ','SC','124241241116472431453936472122610144047',NULL,'137',27.02,1,2,1),(16,3003035,'1991-03-12 00:00:00',2,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215121431259933575122610167182',3237,'1038',63.18,1,3,NULL),(16,3003043,'1984-07-21 00:00:00',4,3,12,2001,'F','N','CENTRO','BAL CAMBORIú','SC','124241241411571731446421174125131066142',3656,'52',61.94,1,3,NULL),(16,3003051,'1988-06-30 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124061061131141711623344445114610117041',NULL,'9998',20.51,1,2,1),(16,3003060,'1962-06-29 00:00:00',4,1,12,1979,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124203201216471711258841415132342066122',13343,'9998',42.89,1,3,NULL),(16,3003078,'1989-12-07 00:00:00',2,1,12,2007,'F','N','FLORESTA','S JOSÉ','SC','124241241126141411558834245234230222097',NULL,'729',19.17,1,2,1),(16,3003086,'1990-04-01 00:00:00',4,1,12,2007,'M','N','JARDIM MARABÁ','ITAPETININGA','SP','125252251216312431465815175122610134182',NULL,'9998',0.00,3,3,NULL),(16,3003108,'1992-01-12 00:00:00',4,1,12,2008,'M','N','ZONA QUATRO','MARINGÁ','PR','116162161217111431479812274112610167182',1821,'9998',67.93,1,3,NULL),(16,3003116,'1988-05-24 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574411239813442124610164042',4706,'226',59.29,1,3,NULL),(16,3003124,'1991-08-22 00:00:00',4,5,10,2008,'F','N','PIO CORREA','CRICIÚMA','SC','124242241215112431369811572122610161142',896,'226',72.73,1,3,NULL),(16,3003132,'1988-04-28 00:00:00',2,1,12,2005,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241146152411626324391224221626177',6098,'294',56.13,1,2,1),(16,3003159,'1991-06-30 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431369811572114610133177',7647,'1022',53.06,1,3,NULL),(16,3003167,'1984-12-08 00:00:00',2,1,2,2003,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124281288136271751246512445124240461112',11428,'9998',46.31,1,3,NULL),(16,3003175,'1988-10-13 00:00:00',2,1,12,2005,'F','N','SANTA CATARINA','CAXIAS SUL','RS','120201205216371731346613495224142662097',NULL,'9998',27.77,1,3,NULL),(16,3003183,'1990-11-28 00:00:00',4,1,12,2007,'F','N','JARDIM IMPERIAL','MARINGÁ','PR','116161161115371451523634345332610166097',NULL,'9998',29.88,2,1,1),(16,3003191,'1991-11-23 00:00:00',4,4,11,2008,'M','N','PALMITAL','CHAPECó','SC','124242241216471231579912575112610168057',9281,'185',50.11,1,3,NULL),(16,3003230,'1982-11-16 00:00:00',4,1,12,1999,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124202241216475411338929312122321032097',2983,'260',63.86,1,3,NULL),(16,3003248,'1990-02-03 00:00:00',4,8,12,2007,'F','N','GLÓRIA','JOINVILLE','SC','124242241215372431438614591122610117093',10690,'1016',47.58,1,3,NULL),(16,3003256,'1991-12-10 00:00:00',2,5,11,2008,'M','N','CENTRO','CRICIúMA','SC','124242241216112431359934375122610127052',11252,'880',46.56,1,3,NULL),(16,3003302,'1990-01-20 00:00:00',4,3,6,2007,'M','N','CENTRO','ITAPEMA','SC','124241247337372711427611245124610114141',15679,'9999',38.12,1,3,NULL),(16,3003310,'1989-05-05 00:00:00',2,8,6,2007,'M','N','SANTA CATARINA','JOINVILLE','SC','124241247216272431323622485124610124057',10764,'487',47.44,1,3,NULL),(16,3003329,'1990-03-21 00:00:00',2,1,12,2007,'M','N','COLONINHA','ARARANGUÁ','SC','124242241215472431465612575112610137042',1766,'970',68.14,1,3,NULL),(16,3003345,'1987-03-10 00:00:00',4,8,11,2005,'F','N','SAGUAÇU','JOINVILLE','SC','124241241216574411345622575124610164192',1132,'1006',71.27,1,3,NULL),(16,3003353,'1990-07-16 00:00:00',4,1,11,2007,'M','N','MORRO DOS CONVENTOS','ARARANGUÁ','SC','124242241215472431479822573112133227112',617,'32',74.80,1,3,NULL),(16,3003361,'1990-11-23 00:00:00',2,1,12,2007,'M','N','CENTRO','PTO ALEGRE','RS','120201201116372431138634345124610162172',NULL,'9998',39.67,1,2,1),(16,3003370,'1983-01-08 00:00:00',4,1,12,2000,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224242241217114721378843432134520868182',1737,'269',68.27,1,3,NULL),(16,3003388,'1971-05-17 00:00:00',2,1,12,1996,'F','N','JARDIM STO AMARO','CAMBÉ','PR','216161161126575411443154175124143168192',4105,'9998',60.77,4,1,1),(16,3003396,'1980-04-30 00:00:00',4,1,4,1998,'F','N','BARREIROS','S JOSÉ','SC','524161163126132411225544145124610163147',8685,'9998',51.10,1,2,1),(16,3003400,'1991-04-15 00:00:00',2,5,11,2008,'F','N','CENTRO','CRICIÚMA','SC','124242241217272431447932572122610128142',400,'226',76.78,1,3,NULL),(16,3003418,'1987-05-22 00:00:00',4,1,12,2004,'F','N','LIBERDADE','S PAULO','SP','125252251217573411579813474122610162142',1529,'9998',69.21,1,3,NULL),(16,3003426,'1989-04-21 00:00:00',4,1,12,2006,'F','N','ASA NORTE','BRASÍLIA','DF','107072071217572431248923575122610147074',NULL,'9998',41.61,1,3,NULL),(16,3003442,'1987-01-23 00:00:00',2,1,12,2004,'F','N','ZONA SETE','MARINGÁ','PR','116161161216573431456913575112610167072',3477,'9998',62.44,1,3,NULL),(16,3003450,'1991-10-29 00:00:00',2,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','124242241216371731237819295125610163147',15852,'1046',37.63,1,3,NULL),(16,3003477,'1991-05-01 00:00:00',2,1,12,2008,'F','N','SAO MIGUEL','BIGUAÇU','SC','124242241216131431433611315122610144097',14456,'63',40.77,1,3,NULL),(16,3003485,'1980-10-13 00:00:00',4,1,11,1999,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','224243248117273421339744445134122334172',10975,'306',47.07,1,3,NULL),(16,3003507,'1991-02-05 00:00:00',4,2,11,2008,'F','N','NAÇÕES','INDAIAL','SC','124242241216111441446411595122610112172',NULL,'986',30.05,1,3,NULL),(16,3003515,'1990-08-28 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215472741469934572124610155072',1852,'991',67.82,1,3,NULL),(16,3003523,'1983-12-29 00:00:00',4,1,12,2001,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241146143431545639245234133246097',NULL,'592',27.53,1,3,NULL),(16,3003531,'1990-10-22 00:00:00',2,1,12,2008,'F','N','CENTRO','IMBITUBA','SC','124242242215112431475612575122610167042',13173,'362',43.19,1,3,NULL),(16,3003540,'1990-08-18 00:00:00',2,2,12,2007,'F','N','GARCIA','BLUMENAU','SC','124072071217371731688933575114142622142',2997,'9998',63.81,1,3,NULL),(16,3003558,'1990-09-24 00:00:00',2,1,12,2007,'M','N','CENTRO','CANELINHA','SC','124241241116151431436411115111610137147',12886,'712',43.69,1,2,1),(16,3003566,'1991-03-09 00:00:00',2,1,11,2008,'F','N','JARDIM ATLÂNTICO','FLORIANóPOLIS','SC','124241241117141431548614341124610133147',14675,'257',40.33,4,3,NULL),(16,3003574,'1991-02-13 00:00:00',4,2,12,2008,'F','N','TATUAPÉ','S PAULO','SP','125252251217271431459722475125610127092',13132,'9998',43.27,1,3,NULL),(16,3003582,'1978-10-04 00:00:00',4,1,6,1997,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124096091122141751614429292324320928187',4888,'9998',58.89,1,3,NULL),(16,3003590,'1991-07-24 00:00:00',2,7,12,2008,'M','N','SÃO FRANCISCO','VIDEIRA','SC','124241246217151332453311215122610162042',NULL,'1080',42.55,1,3,NULL),(16,3003612,'1992-09-15 00:00:00',4,1,12,2009,'F','S','PONTE DO IMARUIM','PALHOÇA','SC','124241241112111731636633272124610143187',NULL,'739',39.10,4,3,NULL),(16,3003620,'1991-05-02 00:00:00',2,1,12,2007,'F','N','FLORESTA','S JOSÉ','SC','124241241117131731425524475124610164147',NULL,'726',26.35,4,3,NULL),(16,3003639,'1968-10-18 00:00:00',3,1,7,1987,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241246116153451364879441134420266097',7331,'306',53.66,1,3,NULL),(16,3003647,'1985-07-20 00:00:00',4,1,12,2005,'M','N','IPIRANGA','S JOSÉ','SC','124242247244271431339633285124610146097',10771,'9999',47.42,1,3,NULL),(16,3003655,'1990-02-10 00:00:00',2,1,12,2007,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124242241211472431556653571124610165142',6237,'944',55.83,1,3,NULL),(16,3003671,'1991-11-09 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124244241215152431469613575122610124032',1026,'497',71.93,1,3,NULL),(16,3003680,'1991-03-16 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241215111731343632292124610138052',5056,'270',58.49,1,3,NULL),(16,3003698,'1988-06-14 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215472531369929575114143231197',1960,'266',67.35,1,3,NULL),(16,3003701,'1991-02-28 00:00:00',4,7,12,2008,'M','N','CENTRO','ARROIO TRINTA','SC','124241248215111431335534495112610127052',13527,'969',42.58,1,3,NULL),(16,3003710,'1989-08-25 00:00:00',2,1,12,2007,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124243241215472431458814574124610168071',7444,'270',53.41,1,3,NULL),(16,3003736,'1991-02-17 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANóPOLIS','SC','124243241215112411469612575114610164097',505,'1022',75.72,1,3,NULL),(16,3003744,'1985-07-11 00:00:00',2,1,11,2004,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241131373221633614444224610146142',15418,'257',38.73,4,1,1),(16,3003752,'1977-08-06 00:00:00',2,1,12,1994,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243243446275331636319285124222242147',15664,'9997',38.14,2,3,NULL),(16,3003760,'1990-08-17 00:00:00',2,1,12,2008,'M','N','SÃO JOSÉ','S JOSÉ','SC','624242241416372431435512445124610127047',15054,'737',39.54,1,3,NULL),(16,3003779,'1989-12-18 00:00:00',2,1,12,2007,'M','N','AREIAS','S JOSÉ','SC','124241241112131731431114382114610127047',NULL,'592',23.78,2,1,1),(16,3003787,'1989-08-29 00:00:00',2,1,12,2007,'M','N','TAPERA','FLORIANóPOLIS','SC','124251241135271231346619395124610128142',16228,'307',36.59,4,1,1),(16,3003795,'1968-01-28 00:00:00',2,1,6,1986,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','224241244126132751453143332122320242147',10536,'306',47.85,1,3,NULL),(16,3003809,'1992-02-19 00:00:00',2,1,12,2009,'M','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241227131232533614395324610168045',NULL,'262',44.55,1,3,NULL),(16,3003817,'1992-01-13 00:00:00',4,4,12,2009,'F','S','MARIA GORETTI','CHAPECÓ','SC','124242241215151431468833335125610146046',NULL,'983',54.68,1,3,NULL),(16,3003825,'1990-04-05 00:00:00',4,10,12,2007,'M','N','MAR GROSSO','LAGUNA','SC','124242241235152511457964576124231461172',NULL,'524',54.55,4,3,NULL),(16,3003833,'1990-07-05 00:00:00',4,1,11,2007,'F','N','CENTRO','NOVA ANDRADINA','MS','116214121217272431367832241122610146093',548,'9998',75.41,1,3,NULL),(16,3003850,'1991-05-29 00:00:00',4,1,12,2008,'M','N','CENTRO','JARAGUá SUL','SC','124242241215271331347723572121610164012',11233,'441',46.59,1,3,NULL),(16,3003876,'1989-11-04 00:00:00',2,1,11,2008,'F','N','BOA VISTA','CURITIBA','PR','116162161216151751579814391124610161072',12227,'9998',44.86,1,3,NULL),(16,3003884,'1978-06-19 00:00:00',4,1,12,1997,'M','N','CAMPINAS','S JOSÉ','SC','124251256136133441368733485124122216172',5130,'9998',58.30,1,3,NULL),(16,3003892,'1983-01-02 00:00:00',4,1,12,1999,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124251251216472441128844445124231146082',2720,'9998',64.63,1,3,NULL),(16,3003906,'1990-09-20 00:00:00',2,1,11,2007,'F','N','BORTOLON','XANXERê','SC','124244241416132731536613582114610128077',NULL,'1159',28.55,1,3,NULL),(16,3003914,'1990-02-28 00:00:00',2,1,12,2007,'M','N','CENTRO','NOVA C NORTE','MT','111111111136161731321129145331610167057',NULL,'9998',26.18,4,1,1),(16,3003922,'1990-12-14 00:00:00',2,1,12,2008,'M','N','BOM VIVER','BIGUAÇU','SC','124241241111371131323619371124610114147',15641,'257',38.21,1,2,1),(16,3003949,'1987-08-05 00:00:00',4,1,12,2003,'F','N','FLORESTA','S JOSÉ','SC','124243241116373411637519445124610162182',NULL,'293',37.06,1,3,NULL),(16,3003957,'1990-03-02 00:00:00',4,1,12,2007,'F','N','SANTA MÔNICA','FLORIANóPOLIS','SC','124243241116373411439823495121230411087',3299,'271',62.99,1,3,NULL),(16,3003965,'1990-10-07 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431466631575122610117182',9024,'1038',50.55,1,3,NULL),(16,3003973,'1990-06-20 00:00:00',2,1,7,2008,'F','N','AREIAS','S JOSÉ','SC','124244241112131751435114342334610166197',14103,'739',41.44,1,3,NULL),(16,3003981,'1990-08-01 00:00:00',4,1,12,2007,'M','N','SERRARIA','S JOSÉ','SC','124241241136371431443923575114610167185',4505,'730',59.75,1,2,1),(16,3003990,'1989-10-28 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241111573431434615441224133266142',1881,'818',67.66,1,2,1),(16,3004007,'1991-11-17 00:00:00',2,5,10,2008,'F','N','CENTRO','CRICIÚMA','SC','124241241215271431328632275125610168117',5543,'210',57.38,1,3,NULL),(16,3004015,'1983-07-05 00:00:00',4,1,7,2004,'M','N','CARIANOS','FLORIANÓPOLIS','SC','624241247416271421333453345114610127065',NULL,'9999',36.39,1,3,NULL),(16,3004023,'1991-10-14 00:00:00',2,1,12,2008,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215371431458769575124610126092',6350,'1022',55.57,1,3,NULL),(16,3004031,'1991-03-25 00:00:00',4,8,11,2008,'M','N','SÃO SEBASTIÃO','PETRÓPOLIS','RJ','121212211217111431489412576124610147047',10129,'9998',48.57,1,3,NULL),(16,3004040,'1977-02-18 00:00:00',5,1,12,2006,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241248126375731232444245124121765092',NULL,'306',34.98,4,2,1),(16,3004058,'1991-02-24 00:00:00',4,1,12,2008,'F','N','REAL PARK','S JOSÉ','SC','124241241112141711523514311234610122142',NULL,'734',31.82,1,3,NULL),(16,3004066,'1990-07-12 00:00:00',2,1,12,2007,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215473751368911571122610145097',336,'270',77.54,1,3,NULL),(16,3004074,'1984-04-09 00:00:00',2,1,12,2001,'M','N','RIBEIRÃO DA IHA','FLORIANÓPOLIS','SC','124241241121274222425411342124610164047',12209,'278',44.89,1,2,1),(16,3004090,'1991-07-23 00:00:00',4,8,12,2008,'F','N','CENTRO','GUARAMIRIM','SC','124241241116131431426829245124610141147',NULL,'425',29.15,1,2,1),(16,3004104,'1991-01-11 00:00:00',4,6,12,2008,'F','N','ESPINHEIROS','ITAJAÍ','SC','124241241215121431349969275124610136142',7838,'1026',52.70,1,3,NULL),(16,3004112,'1992-06-19 00:00:00',4,1,12,2008,'M','N','VILA AURORA OESTE','GOIÂNIA','GO','109092091215111531566631572142610162092',648,'9998',74.56,1,3,NULL),(16,3004139,'1988-10-16 01:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215475431448834572124610163142',72,'270',81.68,1,3,NULL),(16,3004147,'1989-07-22 00:00:00',4,1,12,2006,'F','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125252251215572731369823571122610145082',5129,'9998',58.30,1,3,NULL),(16,3004163,'1991-07-10 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124242241217152431459811572122610167141',4507,'497',59.75,1,3,NULL),(16,3004171,'1992-01-03 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241126371431355933375122610138042',14663,'283',40.36,1,3,NULL),(16,3004201,'1989-06-26 00:00:00',4,1,11,2006,'F','N','CENTRO','CURITIBA','PR','116122121216573441458832374124610137012',2088,'9998',66.83,1,3,NULL),(16,3004244,'1991-02-06 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241112371431433311345124610165142',7788,'306',52.79,4,2,1),(16,3004252,'1992-01-20 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431388519495112610124182',NULL,'1022',47.14,1,3,NULL),(16,3004260,'1991-05-01 00:00:00',4,4,12,2008,'M','N','CENTRO','ÁGUAS CHAPECó','SC','124241241111371441438811572122610162052',NULL,'704',27.33,1,2,1),(16,3004279,'1988-01-11 00:00:00',4,1,12,2005,'M','N','CENTRO','LONDRINA','PR','116162161216575431468611482122610167047',2078,'9998',66.90,1,3,NULL),(16,3004287,'1990-07-26 00:00:00',2,1,12,2007,'M','N','RUDGE RAMOS','S BERNARDO CAMPO','SP','125251251114471711347823271124610164192',5347,'9998',57.79,4,2,1),(16,3004295,'1975-03-03 00:00:00',2,1,12,1993,'M','N','BOM VIVER','BIGUAÇU','SC','624241241124272431233344342124122327092',7729,'470',52.91,1,2,1),(16,3004309,'1989-09-27 00:00:00',2,4,12,2006,'F','N','FRAGOSOS','CONCÓRDIA','SC','124241242116161441323615342124610132047',NULL,'196',40.43,1,2,1),(16,3004317,'1989-12-08 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124094091215573431348832572114610144092',164,'9998',79.82,1,3,NULL),(16,3004325,'1989-12-06 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124241241117152451323679572124610137172',4898,'521',58.86,1,2,1),(16,3004350,'1990-12-04 00:00:00',2,2,11,2008,'M','N','VELHA','BLUMENAU','SC','124244246415121231433322322124610124127',NULL,'79',24.68,4,3,NULL),(16,3004368,'1991-07-27 00:00:00',4,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241217371431458813575112610164012',258,'1011',78.45,1,3,NULL),(16,3004376,'1988-12-02 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241315373431228643335134610146077',3055,'1022',63.64,1,3,NULL),(16,3004384,'1988-12-08 00:00:00',2,4,12,2005,'M','N','MARIA GORETI','CHAPECÓ','SC','124242241217273311448812394125133217042',NULL,'186',0.00,4,3,NULL),(16,3004392,'1990-08-18 00:00:00',4,5,11,2008,'F','N','CENTRO','IÇARA','SC','124242241216111431556814275122610126147',7161,'349',53.98,1,3,NULL),(16,3004406,'1989-01-26 00:00:00',4,2,12,2006,'F','N','CENTRO','STA MARIA','RS','120204201216472731469814372122140244143',NULL,'9998',0.00,1,3,NULL),(16,3004414,'1989-12-07 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124132131215471431368619574122610126112',13996,'9998',41.65,1,3,NULL),(16,3004422,'1991-08-13 00:00:00',4,1,11,2008,'F','N','CENTRO','MARINGá','PR','116162161217111431364832572112610135187',5908,'9998',56.57,1,3,NULL),(16,3004449,'1986-12-19 00:00:00',2,1,12,2003,'M','N','JARDIM MARAJOARA','S PAULO','SP','125252251217142531368811345124141437082',NULL,'9998',27.30,1,3,NULL),(16,3004457,'1990-08-03 00:00:00',3,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241415372411369913276124231962012',1656,'270',68.63,1,3,NULL),(16,3004465,'1990-01-01 00:00:00',2,8,12,2007,'F','N','GUANABARA','JOINVILLE','SC','124244241415372741376612575122610157141',NULL,'1016',0.00,1,3,NULL),(16,3004481,'1990-04-03 00:00:00',4,1,11,2007,'F','N','CAMPINAS','S JOSÉ','SC','124242241216372431337627375114131865192',1986,'270',67.25,4,3,NULL),(16,3004490,'1988-04-13 00:00:00',4,1,12,2006,'M','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251415571431566621575112610162042',7459,'9998',53.39,4,3,NULL),(16,3004511,'1981-08-14 00:00:00',2,1,7,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201205116371421234344445124333225147',14512,'9998',40.67,1,2,1),(16,3004520,'1991-01-08 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121431459832375125610127182',1334,'1022',70.21,1,3,NULL),(16,3004538,'1990-03-26 00:00:00',2,4,12,2007,'F','N','CENTRO','CURITIBA','PR','116243241212471231545632372122610163147',6259,'836',55.76,1,3,NULL),(16,3004546,'1987-01-26 00:00:00',2,8,12,2004,'M','N','CENTRO','JAGUAPITÃ','PR','116161161116373431523714275124610164142',NULL,'9998',0.00,4,2,1),(16,3004554,'1989-01-30 00:00:00',4,1,12,2006,'M','N','MORADA DO OURO II','CUIABÁ','MT','111112111217471731646732295122610164074',NULL,'9998',33.66,1,3,NULL),(16,3004562,'1991-08-31 00:00:00',4,1,12,2008,'F','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124242241216152431469711475112610168192',7007,'1074',54.28,1,3,NULL),(16,3004589,'1990-06-22 00:00:00',4,1,12,2007,'M','N','CENTRO','IMBITUBA','SC','124244241217472431439612572124610147057',6579,'362',55.10,1,3,NULL),(16,3004597,'1988-11-06 00:00:00',4,3,12,2007,'F','N','BOMBAS','BOMBINHAS','SC','124201205136271431314329384124610147142',NULL,'9998',23.04,1,2,1),(16,3004627,'1988-07-20 00:00:00',4,1,12,2005,'F','N','PARQUE PAULISTANO','COTIA','SP','125252251216471441389813395112343245053',6346,'9998',55.58,1,3,NULL),(16,3004635,'1991-01-27 00:00:00',4,1,12,2008,'M','N','AREIAS','S JOSÉ','SC','124242241212372431353312572124610137041',NULL,'1078',37.57,1,3,NULL),(16,3004643,'1991-09-03 00:00:00',4,1,12,2008,'F','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','121212211217111431368812572122610127147',7826,'9998',52.73,1,3,NULL),(16,3004651,'1991-05-01 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431466619475122610137082',820,'266',73.27,1,3,NULL),(16,3004660,'1988-04-26 00:00:00',4,4,12,2005,'F','N','CENTRO','CASCAVEL','PR','116164161411571431558732371122610166192',298,'9998',77.98,1,3,NULL),(16,3004678,'1991-04-10 00:00:00',4,1,11,2008,'F','N','IPIRANGA','S JOSÉ','SC','124241241215111411434414572112610146192',15298,'1118',38.97,1,3,NULL),(16,3004686,'1991-04-16 00:00:00',4,1,12,2008,'F','N','CENTRO','ITAPEJARA D OESTE','PR','116164161217111311448836371125610144142',NULL,'9998',31.79,1,3,NULL),(16,3004694,'1985-09-26 00:00:00',4,1,4,2003,'M','N','PRAIA COMPRIDA','S JOSé','SC','124242241117354431339823495124221434142',1235,'306',70.76,1,3,NULL),(16,3004708,'1990-11-12 00:00:00',4,1,11,2008,'M','N','AREIAS DA PALHOCINHA','GAROPABA','SC','124202241215151411238714376212140737047',15568,'362',38.39,1,3,NULL),(16,3004716,'1990-12-18 00:00:00',4,9,12,2008,'M','N','ALTO DA RUA XV','CURITIBA','PR','116241161136131231323339575124610114187',NULL,'9998',21.17,1,3,NULL),(16,3004724,'1991-04-05 00:00:00',4,1,11,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215111431575612294112610137013',9146,'422',50.33,1,3,NULL),(16,3004732,'1991-09-25 00:00:00',2,4,11,2008,'F','N','CENTRO','CHAPECÓ','SC','124242241215111431558822575122610127142',1069,'983',71.63,1,3,NULL),(16,3004740,'1985-08-04 00:00:00',4,1,11,2003,'M','N','CHAC SANTO ANTONIO','S PAULO','SP','125252251237213441268811571314142262186',3640,'9998',61.98,1,3,NULL),(16,3004759,'1989-08-31 00:00:00',4,1,12,2007,'F','N','ICARAÍ','NITERÓI','RJ','121212211216272551478921575111610161092',2913,'9998',64.07,1,3,NULL),(16,3004767,'1980-04-08 00:00:00',4,1,12,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217373421468811215122343264035',1613,'269',68.85,1,3,NULL),(16,3004775,'1990-11-06 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSé','SC','124242241215472231358623572114610165147',6386,'1022',55.51,1,3,NULL),(16,3004783,'1991-09-24 00:00:00',2,9,11,2008,'M','N','FÁTIMA','OTACÍLIO COSTA','SC','124241241116141431546414245122610167142',6207,'935',55.90,1,2,1),(16,3004791,'1979-10-02 00:00:00',2,1,12,1998,'M','N','JURERE','FLORIANÓPOLIS','SC','124241241146273411273343135122333226042',7556,'591',53.22,1,2,1),(16,3004805,'1989-07-03 00:00:00',4,1,12,2008,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124252247436271431536932275112610123182',NULL,'9999',36.05,1,3,NULL),(16,3004813,'1991-10-16 00:00:00',4,5,11,2008,'F','N','BEL RECANTO','URUSSANGA','SC','124243244415131431326434575124132523077',NULL,'920',12.76,1,3,NULL),(16,3004821,'1991-04-16 00:00:00',4,1,11,2008,'F','N','CENTRO','CASCAVEL','PR','116162161217111711345711575112610116146',NULL,'9998',0.00,1,3,NULL),(16,3004830,'1990-10-28 00:00:00',4,3,12,2007,'F','N','CENTRO','GUARAMIRIM','SC','124241241216141411356915342114610136192',15262,'441',39.06,1,3,NULL),(16,3004848,'1991-06-20 00:00:00',4,1,12,2008,'F','N','MARIA LUIZA','CASCAVEL','PR','116162161217111431556914575112610162092',NULL,'9998',46.17,1,3,NULL),(16,3004856,'1990-09-12 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212472431446632575122610167092',9212,'185',50.22,1,3,NULL),(16,3004864,'1983-05-16 00:00:00',4,3,12,2000,'M','N','CENTRO','BRUSQUE','SC','124242161216372221556732472123343127183',708,'9998',74.20,1,3,NULL),(16,3004872,'1989-08-13 00:00:00',2,3,12,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215573431259933574114610145012',665,'1038',74.44,1,3,NULL),(16,3004880,'1990-02-21 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241237472431467832375122130461097',2793,'270',64.44,1,3,NULL),(16,3004899,'1991-01-20 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217472431468711574124610126142',264,'270',78.37,1,3,NULL),(16,3004902,'1991-08-18 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215371431329614575122610153112',13308,'273',42.96,1,3,NULL),(16,3004910,'1991-06-23 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215112431579939575121610168112',329,'1038',77.66,1,3,NULL),(16,3004929,'1990-07-30 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241112141431533331292124610117147',NULL,'288',20.51,1,3,NULL),(16,3004937,'1983-02-03 00:00:00',2,1,12,2006,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241125172711433444346324610135141',NULL,'289',20.32,1,3,NULL),(16,3004945,'1988-10-25 00:00:00',4,1,12,2005,'F','N','CENTRO','CARAGUATATUBA','SP','125252251216472431369823575122143222052',4943,'9998',58.75,1,3,NULL),(16,3004953,'1990-04-18 00:00:00',2,10,11,2008,'M','N','MAR GROSSO','LAGUNA','SC','124242241235111531548612415122610137142',NULL,'525',21.89,1,3,NULL),(16,3004961,'1991-04-20 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241235111441436669572122610143122',5041,'737',58.53,1,3,NULL),(16,3004996,'1990-01-26 00:00:00',4,1,12,2007,'M','N','PARQUE MINAS GERAIS','OURINHOS','SP','125251251215472431357824475122610134072',88,'9998',81.35,1,3,NULL),(16,3005003,'1990-10-10 00:00:00',4,1,12,2007,'F','N','CENTRO','LUZIâNIA','GO','109092091416271411669811295122610124092',4150,'9998',60.64,1,3,NULL),(16,3005011,'1990-08-24 00:00:00',2,8,12,2007,'F','N','NOVA RUSSIA','PNT GROSSA','PR','116162161215572451668812292112610132077',NULL,'9998',0.00,1,3,NULL),(16,3005038,'1991-03-11 00:00:00',4,8,12,2008,'M','N','SAGUAÇÚ','JOINVILLE','SC','124242241215121431569614574111610144012',1804,'486',67.99,1,3,NULL),(16,3005046,'1991-03-11 00:00:00',2,6,12,2008,'M','N','GRAVATA','NAVEGANTES','SC','124242241216151431348831275122610132072',NULL,'1008',44.73,1,3,NULL),(16,3005054,'1991-08-12 00:00:00',4,1,12,2008,'F','N','SUMARÉ','RIO SUL','SC','124242241215111431457814275122610163152',9897,'654',48.95,1,3,NULL),(16,3005070,'1986-06-20 00:00:00',4,9,12,2003,'F','N','SAGRADO C DE JESUS','LAGES','SC','124244241216575421537969485122610123147',6434,'499',55.41,1,3,NULL),(16,3005089,'1991-02-10 00:00:00',2,1,12,2008,'F','N','CENTRO','CONCHAL','SP','125254258217271532248823572122610127147',NULL,'9998',27.70,1,3,NULL),(16,3005097,'1991-09-06 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124244241217271431426614572124610148197',9403,'1074',49.89,1,3,NULL),(16,3005100,'1984-09-22 00:00:00',1,1,12,2001,'F','N','CERQUEIRA CESAR','S PAULO','SP','125252251216351421138913445124343245017',NULL,'9998',0.00,4,3,NULL),(16,3005119,'1991-03-13 00:00:00',4,8,11,2008,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242241217151431479414575122610167052',7618,'424',53.11,4,3,NULL),(16,3005127,'1989-05-03 00:00:00',4,8,12,2008,'M','N','JARDIM LOURDES','CPO MOURÃO','PR','116162161317111411559932575121610164122',NULL,'9998',34.57,1,3,NULL),(16,3005143,'1986-04-21 00:00:00',4,1,11,2003,'F','N','JD ELDORADO','PALHOçA','SC','124131131311132431125623282324130222037',15822,'9998',37.70,1,3,NULL),(16,3005151,'1990-10-13 00:00:00',2,1,12,2007,'F','N','SERRARIA','BIGUAÇU','SC','124241248115472431634314341134610122192',NULL,'257',21.35,1,2,1),(16,3005160,'1989-04-07 00:00:00',2,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241117471431534623382324610127047',NULL,'307',30.66,2,1,2),(16,3005178,'1991-10-13 00:00:00',4,1,11,2008,'M','N','PARQUE MANIBURA','FORTALEZA','CE','106062061217111711578513435112610166092',1739,'9998',68.26,1,3,NULL),(16,3005186,'1984-05-09 00:00:00',2,1,12,2001,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224243241315133411223554342124220233187',11677,'270',45.86,1,3,NULL),(16,3005194,'1991-03-12 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124161241415122431366729575124610132145',6698,'1022',54.87,4,3,NULL),(16,3005208,'1991-12-03 00:00:00',4,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215111431343612245122610122093',NULL,'1014',27.67,1,3,NULL),(16,3005216,'1991-06-13 00:00:00',4,1,12,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241215272441249811372224610124147',1302,'1022',70.35,3,3,NULL),(16,3005224,'1990-08-30 00:00:00',4,1,12,2008,'M','N','JARDIM MAUÁ','S CAETANO SUL','SP','125252251215471511559712245124610122172',5951,'9998',56.45,1,3,NULL),(16,3005232,'1991-09-05 00:00:00',4,9,11,2008,'F','N','VILA NOVA','LAGES','SC','124242241216372431469814575122610147147',13455,'497',42.68,1,3,NULL),(16,3005240,'1990-12-10 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217372441237963345114130464062',2130,'883',66.66,1,3,NULL),(16,3005259,'1991-06-18 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215271412458629575114610114182',8111,'1048',52.20,1,3,NULL),(16,3005267,'1991-08-08 00:00:00',4,9,12,2008,'F','N','CARAVAGGIO','LAGES','SC','124241241115371431444611275124610128147',5883,'935',56.62,1,2,1),(16,3005275,'1989-12-18 00:00:00',4,1,12,2007,'M','N','CENTRO','FRUTAL','MG','113132131217271751569811426332141064183',NULL,'9998',0.00,1,3,NULL),(16,3005291,'1990-09-14 00:00:00',4,3,11,2008,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161347471731367613575124610114042',936,'9998',72.45,1,3,NULL),(16,3005305,'1991-06-17 00:00:00',4,8,11,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242241217271431479931574125610122195',NULL,'491',0.00,1,3,NULL),(16,3005313,'1990-09-03 00:00:00',4,1,11,2007,'F','N','BARREIROS','S JOSÉ','SC','124244241115372441336634371124610165142',7162,'9997',53.98,1,3,NULL),(16,3005321,'1992-02-26 00:00:00',2,1,11,2008,'F','N','INTERIOR','S PAULO MISSÕES','RS','120201201137131431423615272324610124147',NULL,'9998',19.73,1,2,1),(16,3005348,'1990-09-11 00:00:00',4,9,12,2008,'M','N','FRAGATA','PELOTAS','RS','120201207137151431446919375114610132042',NULL,'9999',31.04,4,1,1),(16,3005356,'1990-10-31 00:00:00',4,2,11,2007,'F','N','VORSTARDT','BLUMENAU','SC','124241241111371751433334571122610164117',NULL,'69',29.22,1,2,1),(16,3005364,'1992-05-29 00:00:00',4,1,2,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124191241216111431539914275124610124141',NULL,'1118',28.89,1,3,NULL),(16,3005372,'1987-12-13 00:00:00',4,1,12,2005,'F','N','BALNEÁRIO DO ESTREIT','FLORIANÓPOLIS','SC','624242241215354221546723245124610138042',7941,'269',52.52,1,3,NULL),(16,3005380,'1991-06-25 00:00:00',2,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124243241215121431534414575124610128057',4135,'868',60.68,1,3,NULL),(16,3005402,'1991-09-30 00:00:00',4,1,11,2008,'F','N','CENTRO','CASCAVEL','PR','116164161417111411338931345122610114052',NULL,'9998',0.00,1,3,NULL),(16,3005410,'1991-01-19 00:00:00',4,10,10,2007,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215472431258814345122610141052',5771,'807',56.89,1,3,NULL),(16,3005429,'1988-07-11 00:00:00',2,1,11,2005,'F','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','124241241311153751443312395124222568182',1548,'270',69.14,1,3,NULL),(16,3005437,'1988-04-24 00:00:00',4,1,12,2005,'M','N','APARECIDA','SANTOS','SP','125252251217571431466734575112141437182',1826,'9998',67.91,1,3,NULL),(16,3005445,'1991-02-02 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215111411568719492114610116145',1876,'1022',67.69,3,3,NULL),(16,3005453,'1990-05-31 00:00:00',4,1,11,2007,'M','N','FLORESTA','S JOSÉ','SC','124242241215372431355512395124130768013',3992,'738',61.08,1,3,NULL),(16,3005461,'1989-12-29 00:00:00',4,4,12,2006,'M','N','CENTRO','CHAPECÓ','SC','124242248211472751376631596111610168121',4478,'1046',59.83,1,3,NULL),(16,3005470,'1992-02-21 00:00:00',2,1,12,2009,'F','S','CENTRO','S JOSÉ','SC','124242241116151421487912181124610136077',NULL,'739',38.77,1,3,NULL),(16,3005488,'1987-08-28 00:00:00',4,6,11,2005,'M','N','EMBARE','SANTOS','SP','125252251215574431428721495121141066112',NULL,'9998',31.29,1,3,NULL),(16,3005500,'1991-05-23 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472441356923574111610127091',553,'270',75.39,1,3,NULL),(16,3005518,'1992-03-01 00:00:00',4,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124242241215271432334414572324610136077',NULL,'9997',24.26,1,3,NULL),(16,3005526,'1984-11-07 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANóPOLIS','SC','124201201116111431226644245134242366176',7500,'9998',53.33,4,1,1),(16,3005534,'1990-10-20 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431369829375124610134075',9205,'1022',50.24,1,3,NULL),(16,3005542,'1987-07-03 00:00:00',4,1,11,2004,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215473431468821475122233263112',5862,'1022',56.68,1,3,NULL),(16,3005550,'1988-01-27 00:00:00',2,1,12,2005,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120201201116472411238831475124610124042',NULL,'9998',41.82,1,2,1),(16,3005577,'1990-07-13 00:00:00',2,1,12,2007,'F','N','ITAGUAÇU','FLORIANóPOLIS','SC','124251251417371431666712272124230267077',6460,'9998',55.35,1,3,NULL),(16,3005585,'1988-12-06 00:00:00',4,1,12,2006,'M','N','CENTRO','POUSO ALEGRE','MG','113132131216572731444613571114610167047',9539,'9998',49.64,1,3,NULL),(16,3005593,'1991-04-08 00:00:00',4,1,12,2007,'M','N','JARDIM GUILHERMINA','PR GRANDE','SP','125252251217471421478813575122610167071',9284,'9998',50.10,2,1,2),(16,3005623,'1990-07-20 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241116472411666613572124232733192',10890,'307',47.21,1,3,NULL),(16,3005631,'1991-04-23 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215122731469833572122610144142',4684,'273',59.35,1,3,NULL),(16,3005640,'1988-11-02 00:00:00',2,8,12,2007,'M','N','REBOUCAS','CURITIBA','PR','116162161217411431488832275112610167042',NULL,'9998',0.00,1,3,NULL),(16,3005658,'1990-09-03 00:00:00',4,1,11,2008,'M','N','COROA DO MEIO','ARACAJU','SE','126262261237111431568831475122610154182',305,'9998',77.93,4,3,NULL),(16,3005666,'1988-07-20 00:00:00',2,2,12,2007,'M','N','POMERANOS','TIMBÓ','SC','124241241124131431323334382125610124171',NULL,'870',38.60,1,2,1),(16,3005682,'1991-06-12 00:00:00',4,1,11,2008,'F','N','SANTO ANTONIO','AMPARO','SP','125254251215111431464834472112610162187',7439,'9998',53.43,1,3,NULL),(16,3005690,'1991-01-29 00:00:00',4,1,12,2008,'F','N','CARNEIROS','LAJEADO','RS','120202201217121431558712475112610165017',9059,'9998',50.48,1,3,NULL),(16,3005704,'1977-05-11 00:00:00',4,1,6,2001,'M','N','BOA VISTA','PINDAMONHANGABA','SP','125251257126141711556513145122610117116',NULL,'9998',0.00,1,2,1),(16,3005712,'1986-07-22 00:00:00',2,8,12,2003,'F','N','CENTRO','ANAURILâNDIA','MS','112121121115572431446613432122610168147',3108,'9998',63.50,1,2,1),(16,3005720,'1990-02-14 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252241215472731458814445112610133181',903,'491',72.67,3,3,NULL),(16,3005739,'1990-11-03 00:00:00',2,1,11,2007,'M','N','ARIRIÚ','PALHOÇA','SC','124241241112132431426623395124610127012',11007,'591',47.00,1,2,1),(16,3005747,'1989-09-16 00:00:00',4,1,12,2007,'M','N','CENTRO','PNT PORÃ','MS','112122121216471441435515275142610134185',5733,'9998',57.00,1,3,NULL),(16,3005755,'1990-06-24 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241115271431436513395124610122072',6712,'733',54.85,1,2,1),(16,3005763,'1985-08-23 00:00:00',2,1,12,2002,'M','N','SAO SEBASTIAO','PIRES RIO','GO','109092091215572431466824474112610124187',8978,'9998',50.62,1,3,NULL),(16,3005771,'1991-06-13 00:00:00',2,1,12,2008,'M','N','JARDIM PANORAMA','GUARATINGUETÁ','SP','125252251216111431459611411122610132182',5410,'9998',57.65,1,3,NULL),(16,3005798,'1989-04-28 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242257215472441349931575124610167182',13577,'9999',42.50,1,3,NULL),(16,3005801,'1990-11-26 00:00:00',4,1,11,2008,'M','N','JARDIM TABOÃO','S PAULO','SP','125252251215471411239921575122610128017',7291,'9998',53.73,1,3,NULL),(16,3005810,'1988-08-23 00:00:00',2,8,12,2005,'M','N','VILA OLIVEIRA','MOGI CRUZES','SP','125141141135371731337639572115610168192',12469,'9998',44.45,1,2,1),(16,3005828,'1991-09-28 00:00:00',4,3,12,2008,'F','N','PEREQUE','PTO BELO','SC','124244241335121421549711372122610133142',12028,'1119',45.22,1,3,NULL),(16,3005836,'1990-06-07 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161215471431459931572125610132097',3857,'9998',61.44,3,3,NULL),(16,3005844,'1991-08-15 00:00:00',4,1,12,2008,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124241241117131411538632572124610161037',8567,'307',51.31,1,2,1),(16,3005852,'1990-12-12 00:00:00',4,3,11,2008,'M','N','CENTRO','CAMBORIÚ','SC','124243241216151731453332274122610121142',14181,'1091',41.26,1,3,NULL),(16,3005860,'1991-06-12 00:00:00',4,7,11,2008,'F','N','SAO VICENTE','HERVAL D OESTE','SC','124241241147271731523612126322610168147',15038,'341',39.57,1,2,1),(16,3005879,'1991-11-01 00:00:00',4,8,11,2008,'F','N','CENTRO','STA CECÍLIA','SC','124241241415221231466412295114610164145',11730,'486',45.76,1,3,NULL),(16,3005895,'1991-05-29 00:00:00',4,8,12,2008,'F','N','BROOKLIN','S PAULO','SP','125252251237111431478812475124610164042',10053,'9998',48.68,1,3,NULL),(16,3005909,'1991-07-01 00:00:00',2,1,12,2008,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124241241215111531435614172112610167047',6827,'299',54.62,1,3,NULL),(16,3005917,'1990-06-07 00:00:00',2,8,12,2007,'M','N','J B TONIAL','XANXERÊ','SC','124242241216472431479934571125610126092',709,'836',74.19,1,3,NULL),(16,3005941,'1990-06-20 00:00:00',4,1,11,2007,'M','N','VILLA ADYANNA','S JOSÉ CAMPOS','SP','125252251216472431568813471111610124047',4001,'9998',61.06,1,3,NULL),(16,3005950,'1990-10-21 01:00:00',2,10,12,2007,'F','N','CAMPO DUNA','GAROPABA','SC','124241241115272431423315372241610146147',9563,'1136',49.59,1,2,1),(16,3005968,'1992-01-19 00:00:00',4,1,11,2008,'F','N','CENTRO','CURITIBA','PR','116162161217111411438839494125610166142',NULL,'9998',26.99,1,3,NULL),(16,3005976,'1991-03-25 00:00:00',4,1,11,2008,'M','N','COROA DO MEIO','ARACAJU','SE','126262241217111451488832344122610137112',417,'9998',76.60,1,3,NULL),(16,3005984,'1988-12-29 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124243241315474431467614272114133217012',169,'1022',79.74,1,3,NULL),(16,3006000,'1991-01-06 00:00:00',4,8,12,2007,'F','N','FLORESTA','JOINVILLE','SC','124242241215472431428833595112610164142',4938,'459',58.77,1,3,NULL),(16,3006018,'1990-05-25 00:00:00',4,1,2,2008,'M','N','CENTRO','PALHOÇA','SC','124242241115272711464612245122610164052',2443,'739',65.55,1,3,NULL),(16,3006034,'1991-05-08 00:00:00',4,2,12,2008,'M','N','STEFFEN','BRUSQUE','SC','124241241131151231436634575122610138052',NULL,'112',30.48,1,2,1),(16,3006042,'1965-11-04 00:00:00',2,1,12,1986,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','224201203126131431521543191114610127057',10445,'9998',48.01,4,1,1),(16,3006050,'1992-01-28 00:00:00',4,8,11,2008,'M','N','FLORESTA','JOINVILLE','SC','124241241112131431336424241124610132147',NULL,'466',0.00,1,2,1),(16,3006069,'1984-02-10 00:00:00',4,1,12,2001,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124244241215373431558712435334122733142',6539,'270',55.19,4,3,NULL),(16,3006077,'1991-09-18 00:00:00',4,6,12,2008,'F','N','SÃO JOÃO','ITAPEVI','SP','125252251215371431353912575122610122072',NULL,'9998',25.43,1,3,NULL),(16,3006085,'1991-08-29 00:00:00',4,8,11,2008,'F','N','PETRÓPOLIS','JOINVILLE','SC','124242241217131451438931575124610168187',14524,'932',40.64,1,3,NULL),(16,3006093,'1991-10-02 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241216131411336329575124610128077',16358,'273',36.17,1,3,NULL),(16,3006107,'1989-01-04 00:00:00',4,1,12,2005,'F','N','ASA NORTE','BRASíLIA','DF','107092071216572431568932572124610163146',2133,'9998',66.65,1,3,NULL),(16,3006115,'1980-02-18 00:00:00',3,1,12,1997,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241111254711159913433222321412047',NULL,'267',0.00,1,3,NULL),(16,3006123,'1991-12-14 00:00:00',4,1,12,2008,'F','N','TATUAPE','S PAULO','SP','125252251217111431348824575122610134092',7854,'9998',52.68,1,3,NULL),(16,3006131,'1987-06-25 00:00:00',4,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241126271431124449392114333234072',15911,'598',37.46,1,2,1),(16,3006140,'1990-12-30 00:00:00',4,1,11,2008,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111431489832575122610164042',2096,'266',66.82,1,3,NULL),(16,3006158,'1982-09-19 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241146132411124344345124610114097',NULL,'296',30.51,1,3,NULL),(16,3006166,'1992-01-19 00:00:00',4,6,12,2008,'M','N','CENTRO','BAL PIÇARRAS','SC','124242241215272431579912574122610126072',5605,'392',57.25,1,3,NULL),(16,3006174,'1989-11-13 00:00:00',4,1,11,2007,'F','N','CONDOMÍNIO MARAMBAIA','VINHEDO','SP','125254251216472431479713575122610133143',4995,'9998',58.62,1,3,NULL),(16,3006190,'1990-01-16 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241217132431243832582112610124077',5774,'1035',56.88,1,3,NULL),(16,3006204,'1991-10-11 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241216272431469613572122610167051',7141,'738',54.02,1,3,NULL),(16,3006212,'1990-01-28 00:00:00',4,1,12,2006,'F','N','SETOR SUDOESTE','GOIÂNIA','GO','109092091214571441449911574122610164092',NULL,'9998',0.00,1,3,NULL),(16,3006220,'1981-06-09 00:00:00',4,1,7,1999,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241236155431269629412132330237147',NULL,'270',0.00,1,3,NULL),(16,3006239,'1991-04-06 00:00:00',4,1,11,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241215112431336521375124610126187',3868,'266',61.41,1,3,NULL),(16,3006247,'1990-05-31 00:00:00',4,1,11,2008,'F','N','JARDIM ALVORADA','S PAULO','SP','125252251217151431365731572122610117047',NULL,'9998',0.00,1,3,NULL),(16,3006255,'1989-01-27 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241217372431536511445124130728017',10281,'937',48.28,1,3,NULL),(16,3006263,'1989-12-28 00:00:00',2,1,12,2007,'M','N','SANTO AMARO','CPO GRANDE','MS','112121121117131412533327285324610125052',NULL,'9998',37.60,1,2,1),(16,3006298,'1990-12-03 00:00:00',2,1,12,2007,'F','N','CENTRO','CANDELáRIA','RS','120201201316331731334929275122143235172',NULL,'9998',23.22,1,3,NULL),(16,3006301,'1990-03-08 00:00:00',4,6,12,2007,'M','N','FAZENDA','ITAJAÍ','SC','124242241216472431336821574124610137097',NULL,'392',0.00,1,3,NULL),(16,3006310,'1990-02-01 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116471731526513335324610122072',NULL,'278',30.43,1,2,1),(16,3006328,'1990-01-08 00:00:00',2,4,11,2006,'F','N','SAO CRISTOVAO','CHAPECÓ','SC','116242241215573411459923232124610164147',NULL,'185',0.00,1,3,NULL),(16,3006336,'1989-09-16 00:00:00',4,1,12,2007,'F','N','JARDIM ATLÂNTICO','FLORIANóPOLIS','SC','124242241215372431636319575112610141012',12038,'1022',45.21,1,3,NULL),(16,3006379,'1990-02-24 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241135131431423769372224610128047',16271,'292',36.47,1,2,1),(16,3006387,'1988-03-06 00:00:00',4,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116162161216574411448812572124610166092',NULL,'9998',0.00,1,3,NULL),(16,3006395,'1992-03-10 00:00:00',2,2,12,2008,'F','N','SÃO CRISTOVÃO','PAPANDUVA','SC','124241248127161722438434142122610164192',16661,'603',34.18,1,2,1),(16,3006409,'1990-10-03 00:00:00',4,1,11,2008,'M','N','CENTRO','S JOSÉ CAMPOS','SP','125072251237371441379933585114610167017',1310,'9998',70.29,4,3,NULL),(16,3006417,'1992-07-04 00:00:00',4,8,12,2008,'F','N','MERCES','CURITIBA','PR','122221161315471411446532571344610137142',NULL,'9998',0.00,1,3,NULL),(16,3006425,'1989-07-25 00:00:00',2,1,12,2006,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241116271431443414241114130247147',12919,'727',43.63,1,3,NULL),(16,3006433,'1990-01-25 00:00:00',2,1,12,2006,'F','N','RODRIGUES','PASSO FUNDO','RS','120204201217571431658933575114610121172',NULL,'9998',27.41,1,3,NULL),(16,3006450,'1988-04-09 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124252256217153751157644345121333263183',7954,'9998',52.50,1,3,NULL),(16,3006476,'1989-05-11 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241215371431679931335124231164177',1179,'44',71.05,4,3,NULL),(16,3006484,'1990-12-11 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112412359923574114610161173',1319,'1022',70.26,1,3,NULL),(16,3006506,'1990-05-07 00:00:00',4,4,12,2007,'M','N','JARDIM ITALIA','CHAPECÓ','SC','124241241116471411459913432122610124062',1340,'169',70.16,1,2,1),(16,3006514,'1988-06-12 00:00:00',4,8,12,2005,'M','N','CENTRO','BARRA VELHA','SC','124241241127371411437913385124333246092',5926,'57',56.51,1,2,1),(16,3006522,'1989-08-03 00:00:00',4,1,12,2006,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125222221217572231648811572125610137077',NULL,'9998',0.00,1,3,NULL),(16,3006530,'1991-03-13 00:00:00',2,1,12,2008,'F','N','CENTRO','CASCAVEL','PR','116162161217111411468814572112610144144',NULL,'9998',0.00,1,3,NULL),(16,3006549,'1990-06-12 00:00:00',4,1,12,2007,'M','N','JARDIM ATLÂNTICO','FLORIANóPOLIS','SC','124241241115472431536721385124610124067',10906,'521',47.18,4,2,1),(16,3006557,'1990-04-21 00:00:00',4,8,12,2007,'M','N','CENTRO','TRÊS LAGOAS','MS','112122121217311431457814575124610137052',8576,'9998',51.30,1,3,NULL),(16,3006565,'1989-02-13 00:00:00',4,8,12,2006,'F','N','NOVA RUSSIA','PNT GROSSA','PR','116162161215571411668812275112610164146',NULL,'9998',0.00,1,3,NULL),(16,3006573,'1989-04-17 00:00:00',4,1,12,2006,'F','N','JD LEONOR M BARROS','S PAULO','SP','125251251117571431668819495114610132147',690,'9998',74.30,1,2,1),(16,3006590,'1990-10-10 00:00:00',4,1,11,2008,'F','N','JARDIM CONSÓRCIO','S PAULO','SP','125252251217311232358923575124610122057',NULL,'9998',0.00,1,3,NULL),(16,3006603,'1991-03-12 00:00:00',3,1,12,2008,'F','N','C NOVO LOT MADRI','PALHOçA','SC','124241241115131731335623575124610131072',NULL,'733',28.17,1,2,1),(16,3006638,'1991-11-27 00:00:00',4,8,11,2008,'M','N','AGUA VERDE','CURITIBA','PR','116112161216112431468611474114610122052',711,'9998',74.17,1,3,NULL),(16,3006646,'1989-09-17 00:00:00',4,1,12,2006,'F','N','ARAÉS','CUIABÁ','MT','111112111217572431458811575112610141142',7473,'9998',53.37,3,3,NULL),(16,3006654,'1991-04-20 00:00:00',2,1,11,2008,'F','N','CENTRO','CPO GRANDE','MS','112122121216111411429811475122610163127',NULL,'9998',0.00,1,3,NULL),(16,3006662,'1990-06-06 00:00:00',2,1,7,2008,'F','N','JARDIM SAO MIGUEL','BIGUAÇU','SC','124241247337132431437913375114610145192',NULL,'9999',0.00,1,3,NULL),(16,3006670,'1990-07-24 00:00:00',2,4,12,2008,'F','N','JARDIM ITÁLIA','CHAPECó','SC','124244241124371331528652275222610136052',NULL,'169',26.53,4,3,NULL),(16,3006697,'1991-04-06 00:00:00',2,2,12,2008,'F','N','CENTRO','PRESIDENTE GETULIO','SC','124242241215111331547612395122610138192',16502,'346',35.45,1,3,NULL),(16,3006700,'1991-06-22 00:00:00',2,2,12,2008,'F','N','ARAPONGUINHAS','TIMBó','SC','124241241117271431337714572122610122147',15969,'887',37.32,1,2,1),(16,3006727,'1990-12-08 00:00:00',4,1,12,2007,'F','N','GONZAGA','SANTOS','SP','125252251216472431369414475124610123092',3451,'9998',62.51,1,3,NULL),(16,3006735,'1990-01-30 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202241435142411488913491124232046052',9948,'988',48.87,1,3,NULL),(16,3006751,'1991-03-23 00:00:00',2,5,12,2008,'F','N','LOMBA','ORLEANS','SC','124241241116131431543531345122610146142',11354,'580',46.40,1,2,1),(16,3006760,'1990-06-07 00:00:00',4,1,12,2007,'M','N','JARDIM PAULISTA','ATIBAIA','SP','125252251215471431377614275112610134147',7174,'9998',53.96,1,3,NULL),(16,3006778,'1989-02-24 00:00:00',4,8,12,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124202201216272731368811495124231467042',6991,'9998',54.31,1,3,NULL),(16,3006786,'1991-06-12 00:00:00',4,6,11,2008,'F','N','INTERLAGOS','S PAULO','SP','125252251217471431227424215122610137122',10719,'9998',47.50,1,3,NULL),(16,3006794,'1991-12-27 00:00:00',2,9,12,2009,'F','S','ESQUINA','URUBICI','SC','124242241215161431623331272322610147142',NULL,'817',35.47,1,3,NULL),(16,3006808,'1986-01-05 00:00:00',4,1,12,2003,'F','N','OLARIAS','PNT GROSSA','PR','116162161216574431546923475125142021177',NULL,'9998',0.00,1,3,NULL),(16,3006816,'1990-05-29 00:00:00',2,10,12,2007,'F','N','CENTRO','TUBARãO','SC','124244241216372431448731375112131046037',10862,'797',47.25,1,3,NULL),(16,3006824,'1988-03-31 00:00:00',4,1,12,2005,'F','N','LIBERDADE','S PAULO','SP','125252251211572431368813271124610166142',NULL,'9998',0.00,1,3,NULL),(16,3006832,'1990-05-20 00:00:00',4,4,12,2007,'F','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','116241161115112411559912571125610166192',4241,'9998',60.39,4,1,1),(16,3006840,'1990-02-20 00:00:00',4,1,12,2007,'M','N','CENTRO','PARANAVAí','PR','116161161217472311547933575112610166017',7183,'9998',53.94,4,3,NULL),(16,3006859,'1989-01-18 00:00:00',2,1,12,2006,'F','N','SÃO LUÍS','JARAGUÁ SUL','SC','124241241215372751459933575122610143182',757,'441',73.78,1,3,NULL),(16,3006891,'1988-05-30 00:00:00',2,6,12,2005,'M','N','CENTRO','JOAÇABA','SC','124241241312272431546612442225231427057',14033,'445',41.58,1,3,NULL),(16,3006905,'1989-08-13 00:00:00',2,1,12,2006,'M','N','VILA NOVA','PTO ALEGRE','RS','120202201216471331468933575124610137047',12363,'9998',44.61,1,3,NULL),(16,3006913,'1990-08-04 00:00:00',4,1,12,2007,'F','N','CAMBUCI','S PAULO','SP','125252111216471431338519575124610131147',7762,'9998',52.85,3,3,NULL),(16,3006921,'1991-05-23 00:00:00',4,1,11,2008,'M','N','VILA CAROLINA','CPO GRANDE','MS','112124121215271431568931575122610167042',3409,'9998',62.65,5,3,NULL),(16,3006930,'1991-04-24 00:00:00',4,2,10,2008,'M','N','VELHA','BLUMENAU','SC','124242241217271431478812571124610122032',138,'909',80.26,3,3,NULL),(16,3006948,'1991-01-03 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215111411388814574124610124092',963,'1022',72.25,1,3,NULL),(16,3006956,'1990-06-03 00:00:00',4,1,12,2007,'F','N','JARDIM ITAPERI','ATIBAIA','SP','125252251217471431438639574114610124187',8053,'9998',52.32,1,3,NULL),(16,3006964,'1988-12-09 00:00:00',4,1,11,2006,'M','N','MIGUEL SUTIL','CUIABÁ','MT','125112111211573431478834272112610127042',269,'9998',78.36,1,3,NULL),(16,3006972,'1981-06-25 00:00:00',2,1,11,1998,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241416575431446619445334131066172',11352,'211',46.40,1,3,NULL),(16,3006980,'1991-01-04 00:00:00',4,8,12,2007,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124242241214473431457834275112610147127',43,'442',82.57,1,3,NULL),(16,3006999,'1988-02-25 00:00:00',2,4,12,2005,'M','N','CENTRO','XANXERÊ','SC','124242241217175431466612331122610167012',NULL,'836',14.13,1,3,NULL),(16,3007014,'1991-05-08 00:00:00',4,2,12,2008,'M','N','ZONA DOIS','CIANORTE','PR','116161161117131431327679572321610168077',NULL,'9998',0.00,1,2,1),(16,3007022,'1990-03-28 00:00:00',4,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124242241115132432549813375124233266147',10222,'733',48.38,1,3,NULL),(16,3007030,'1988-11-15 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215153111379913435122231026075',13105,'270',43.32,1,3,NULL),(16,3007049,'1990-07-30 00:00:00',4,1,12,2007,'M','N','CENTRO','NOVA TRENTO','SC','124244241215473431569811575114610164197',1096,'109',71.50,1,3,NULL),(16,3007057,'1989-06-25 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243247316372421327723572114610147047',NULL,'9999',32.09,1,3,NULL),(16,3007065,'1987-11-06 00:00:00',4,1,11,2005,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217574711479931575124230262072',527,'270',75.56,1,3,NULL),(16,3007073,'1989-09-16 00:00:00',4,8,12,2006,'F','N','SAGUAÇU','JOINVILLE','SC','124242241245572431556612325124610137147',3802,'457',61.59,1,3,NULL),(16,3007081,'1989-03-17 00:00:00',4,5,11,2006,'M','N','MICHEL','CRICIúMA','SC','124242241217573431458813575114231427092',2981,'210',63.86,1,3,NULL),(16,3007111,'1990-04-02 00:00:00',4,1,12,2007,'F','N','SÃO JOÃO','PTO ALEGRE','RS','120202201216271431459811474122143237097',325,'9998',77.69,1,3,NULL),(16,3007120,'1991-09-13 00:00:00',2,9,11,2008,'F','N','CENTRO','S JOAQUIM','SC','124242241215261731227823432112610166142',NULL,'1035',27.16,1,3,NULL),(16,3007138,'1991-03-21 00:00:00',4,3,12,2008,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116242161215111431437732472121610147042',NULL,'9998',0.00,1,3,NULL),(16,3007146,'1990-11-08 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124212241215111431464814275122610122142',12268,'262',44.78,1,3,NULL),(16,3007162,'1983-05-23 00:00:00',4,4,12,2000,'F','N','PIO X','CAXIAS SUL','RS','120201201116132431115649392325143238187',4212,'9998',60.45,1,2,1),(16,3007170,'1991-11-28 00:00:00',4,7,12,2008,'F','N','SAYONARA','CATANDUVAS','SC','124241241115161731325614572222610114052',16416,'161',35.84,1,2,1),(16,3007189,'1992-10-28 00:00:00',4,3,12,2008,'F','N','ARIRIBA','BAL CAMBORIÚ','SC','124242241215111431357834574122610166197',3395,'1038',62.69,1,3,NULL),(16,3007197,'1984-09-16 00:00:00',2,1,6,2002,'F','N','TAPERA','FLORIANóPOLIS','SC','124241247346274421636314245124610116091',NULL,'9999',26.91,1,3,NULL),(16,3007200,'1991-11-13 00:00:00',2,4,11,2008,'F','N','LA SALLE','XANXERÊ','SC','124241241244111431568411572122610115012',6202,'836',55.91,1,3,NULL),(16,3007219,'1966-02-26 00:00:00',2,1,3,2003,'F','N','ITAGUACU','FLORIANÓPOLIS','SC','124241247121134421123344241234320945012',NULL,'9997',27.30,1,3,NULL),(16,3007227,'1991-12-21 00:00:00',2,1,12,2008,'M','N','COLÔNIA DONA LUIZA','PNT GROSSA','PR','116162161215121431458914575114610167067',NULL,'9998',0.00,1,3,NULL),(16,3007235,'1991-05-06 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241217111431449833574124610144052',15012,'1050',39.62,1,3,NULL),(16,3007243,'1988-04-28 00:00:00',2,1,11,2005,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241115373431366633442124220821147',11084,'267',46.87,1,2,1),(16,3007260,'1991-08-06 00:00:00',4,1,12,2008,'M','N','CENTRO','LONDRINA','PR','116162161215371531489931571112610167112',NULL,'9998',0.00,1,3,NULL),(16,3007278,'1983-01-31 00:00:00',2,1,12,2002,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241116134431436513245124230247097',NULL,'307',25.56,1,2,1),(16,3007286,'1991-03-14 00:00:00',2,1,11,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111731566833475124610128185',3362,'1050',62.80,1,3,NULL),(16,3007316,'1992-01-03 00:00:00',4,4,12,2008,'F','N','MENINO DEUS','PATO BRANCO','PR','116162161215111731543532195122610166142',9731,'9998',49.29,1,3,NULL),(16,3007332,'1987-07-19 00:00:00',4,1,12,2006,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124241241125131432526524381324610118147',NULL,'279',30.71,1,2,1),(16,3007340,'1991-08-27 00:00:00',2,4,11,2008,'M','N','CENTRO','TERRA ROXA','PR','116162161316121431346731415122610132152',16670,'9998',34.10,5,3,NULL),(16,3007359,'1987-03-14 00:00:00',2,1,12,2007,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241135572731433119442124610128147',13561,'294',42.53,1,2,1),(16,3007375,'1991-07-08 00:00:00',4,1,12,2008,'M','N','CIDADE JARDIM','CPO GRANDE','MS','112122121217111431469731474125610168142',NULL,'9998',0.00,4,3,NULL),(16,3007391,'1992-02-26 00:00:00',4,8,12,2008,'F','N','CENTRO','LAPA','PR','116164161215471531449931575114610163092',NULL,'9998',0.00,1,3,NULL),(16,3007405,'1989-09-04 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215572441566833475114610162087',1153,'1063',71.18,1,3,NULL),(16,3007421,'1981-05-07 00:00:00',4,1,12,1997,'F','N','TRINDADE','FLORIANÓPOLIS','SC','225244241416254431289854495122333262192',7449,'269',53.40,1,3,NULL),(16,3007430,'1976-09-22 00:00:00',2,1,12,1996,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124161163122433421335344242334123041097',NULL,'9998',28.18,1,2,1),(16,3007448,'1991-01-29 00:00:00',4,8,11,2008,'M','N','BOCKMANN','PARANAGUÁ','PR','116162161215371431568713372122610127053',NULL,'9998',0.00,1,3,NULL),(16,3007456,'1991-06-19 00:00:00',2,4,12,2007,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241135472431556652345122610127047',9408,'857',49.89,1,2,1),(16,3007472,'1987-02-15 00:00:00',4,3,12,2004,'F','N','VISTA ALEGRE','MAFRA','SC','124243241215574431449511574124610142017',NULL,'541',0.00,1,3,NULL),(16,3007499,'1982-11-02 00:00:00',2,1,12,2000,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243248326131431243359185124130216187',NULL,'190',28.19,1,3,NULL),(16,3007502,'1987-12-20 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244247245372411646424341114610134062',16071,'300',37.04,2,1,2),(16,3007510,'1991-04-13 00:00:00',4,1,12,2008,'F','N','CAMBUÍ','CAMPINAS','SP','125222251215221441259923575122610132022',NULL,'9998',46.30,1,3,NULL),(16,3007529,'1989-08-16 00:00:00',4,1,12,2007,'F','N','NOVA HIGIENÓPOLIS','JANDIRA','SP','125252281211471432479834342132610137012',NULL,'9998',0.00,1,3,NULL),(16,3007537,'1990-10-30 00:00:00',2,1,11,2008,'F','N','CENTRO','S JOAQUIM','SC','124242241215111431438811312222610113072',NULL,'1035',32.43,1,3,NULL),(16,3007545,'1990-05-01 00:00:00',4,7,12,2007,'F','N','NOVA PETRÓPOLIS','JOAÇABA','SC','124241241115272431547915575124610126076',13553,'451',42.53,1,3,NULL),(16,3007553,'1986-02-25 00:00:00',4,1,5,2004,'F','N','BARREIROS','S JOSÉ','SC','124241241116134731333211185124122933183',3144,'306',63.41,1,3,NULL),(16,3007561,'1989-08-04 00:00:00',4,1,12,2008,'F','N','BARRA TIJUCA','RIO JANEIRO','RJ','121212211216271431378932575122610142143',NULL,'9998',0.00,1,3,NULL),(16,3007588,'1991-05-22 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124114241416112411557923575114610134112',6800,'262',54.66,4,3,NULL),(16,3007596,'1991-01-21 00:00:00',2,1,12,2008,'F','N','FAZENDA STO ANTONIO','S JOSé','SC','124242241215141431439812345122610123073',12558,'1010',44.24,4,3,NULL),(16,3007600,'1991-08-28 00:00:00',4,8,11,2008,'F','N','CENTRO','COLÍDER','MT','111112111216321451358811574122610162097',NULL,'9998',0.00,1,3,NULL),(16,3007618,'1991-08-22 00:00:00',2,1,12,2008,'F','N','JARDIM CIDADE DE FLO','S JOSÉ','SC','124244241215272411423812572122610122142',7074,'868',54.15,1,3,NULL),(16,3007626,'1989-05-15 00:00:00',4,3,11,2006,'F','N','CAPAO RASO','CURITIBA','PR','116162161215513411323461575124142436127',357,'9998',77.27,1,3,NULL),(16,3007650,'1989-10-10 00:00:00',4,1,12,2006,'F','N','ANDORINHA','ITAPEMA','SC','124241241315473441468934575122130648095',1045,'983',71.76,1,3,NULL),(16,3007669,'1991-05-21 00:00:00',4,1,12,2008,'F','N','CENTRO','CAXIAS SUL','RS','120201201117131111321622575122610112077',15183,'9998',39.25,4,1,1),(16,3007677,'1991-10-23 00:00:00',2,1,10,2008,'M','N','SETOR JAO','GOIÂNIA','GO','109092091216111431469933475122610117044',NULL,'9998',32.25,1,3,NULL),(16,3007685,'1990-05-16 00:00:00',4,1,11,2007,'F','N','AREIAS','S JOSÉ','SC','124242241217111731468614315122610168077',NULL,'1118',0.00,1,3,NULL),(16,3007693,'1990-03-10 00:00:00',4,1,12,2007,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217372441358612592124132827072',4918,'1133',58.82,1,3,NULL),(16,3007707,'1988-08-17 00:00:00',4,8,12,2006,'M','N','ATIRADORES','JOINVILLE','SC','124242246215573711269832485122231414142',2996,'1105',63.81,1,3,NULL),(16,3007715,'1992-02-03 00:00:00',2,1,11,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241212371431548614572124610127042',5972,'269',56.42,1,3,NULL),(16,3007723,'1992-01-18 00:00:00',4,1,12,2008,'M','N','ZONA DOIS','CIANORTE','PR','116162161217271431348831475122610167017',NULL,'9998',0.00,1,3,NULL),(16,3007740,'1991-08-09 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215271431538611375122610135077',NULL,'868',27.75,1,3,NULL),(16,3007758,'1983-07-07 00:00:00',4,1,11,2002,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242247237272441657939395121122265135',11459,'270',46.24,4,3,NULL),(16,3007766,'1990-03-30 00:00:00',4,3,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124201201216372431433336572125230437147',5770,'9998',56.90,1,3,NULL),(16,3007774,'1989-10-07 00:00:00',4,1,12,2007,'M','N','VILA PROGRESSO','GUARULHOS','SP','125252251215471431357823582124610124047',NULL,'9998',36.94,1,3,NULL),(16,3007790,'1991-08-29 00:00:00',4,6,12,2008,'F','N','FAZENDA','ITAJAÍ','SC','124244241215112431447819172122610124092',3924,'1057',61.27,1,3,NULL),(16,3007804,'1991-09-12 00:00:00',2,1,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161215471431268812572324610124012',NULL,'9998',0.00,1,3,NULL),(16,3007839,'1990-07-21 00:00:00',4,1,12,2007,'M','N','ALTO DO IPIRANGA','S PAULO','SP','125252251217471431237723441124610144142',3222,'9998',63.23,4,1,2),(16,3007847,'1978-10-11 00:00:00',2,1,12,1995,'F','N','CARIANOS','FLORIANÓPOLIS','SC','624202201316141421553351215122140833092',11800,'9998',45.63,1,3,NULL),(16,3007855,'1990-05-31 00:00:00',4,1,12,2007,'F','N','BELA ALIANÇA','S PAULO','SP','125252251216471431469911472122610124122',7269,'9998',53.77,1,3,NULL),(16,3007863,'1991-03-19 00:00:00',2,1,12,2008,'F','N','JARDIM ANA PAULA','ANÁPOLIS','GO','109092091116121431558613575124610126142',NULL,'9998',36.98,4,3,NULL),(16,3007880,'1992-01-08 00:00:00',2,3,12,2008,'M','N','CENTRO','SORRISO','MT','111114111236111431435311575113610128077',11129,'9998',46.79,1,3,NULL),(16,3007898,'1989-10-30 00:00:00',4,1,12,2007,'M','N','VILA MADALENA','S PAULO','SP','125252251217471431568831575122610161117',NULL,'9998',31.63,1,3,NULL),(16,3007901,'1950-04-27 00:00:00',2,1,12,2001,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241141135411121341111214610114042',15930,'290',37.42,5,2,1),(16,3007910,'1981-09-27 00:00:00',4,2,12,1998,'M','N','RIO DA LUZ','JARAGUÁ SUL','SC','124241241126151411344434245124133246181',12609,'438',44.16,1,3,NULL),(16,3007928,'1985-12-20 00:00:00',4,1,12,2003,'M','N','JARDIM CALEGARIS','PAULÍNIA','SP','125254251146472431558711215121140246093',15108,'9998',39.40,1,3,NULL),(16,3007944,'1988-11-19 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241116472441337811475325223265017',7664,'192',53.03,4,1,1),(16,3007952,'1991-04-04 00:00:00',2,1,11,2008,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124242241215111431468733572122610143072',8086,'1050',52.25,1,3,NULL),(16,3007960,'1991-07-19 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216111431336614472124610128017',1720,'1050',68.34,1,3,NULL),(16,3007979,'1991-05-02 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124241241112131731414311572324610143142',NULL,'734',31.49,1,2,1),(16,3007987,'1986-03-17 00:00:00',4,5,12,2003,'M','N','CENTRO','MRO FUMAÇA','SC','124241241127371431663511225134610122092',8048,'567',52.33,1,2,1),(16,3008002,'1990-05-05 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241136131431221121285124610166092',15531,'306',38.47,2,1,1),(16,3008010,'1990-05-16 00:00:00',4,1,12,2007,'F','N','NOVA PIRACICABA','PIRACICABA','SP','125253251315471531469815375122610124072',16327,'9998',36.28,1,3,NULL),(16,3008029,'1991-04-10 00:00:00',4,2,11,2008,'F','N','LIMOEIRO','BRUSQUE','SC','124242241215272431459813174124610126182',8134,'107',52.16,1,3,NULL),(16,3008037,'1983-06-22 00:00:00',2,1,12,2000,'M','N','FORQUILHAS','S JOSé','SC','224241246136162411223343335123231414067',14514,'739',40.66,1,2,1),(16,3008045,'1989-06-02 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431379831472112610127187',NULL,'269',27.83,1,3,NULL),(16,3008061,'1989-04-16 00:00:00',4,1,12,2006,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241217471751223571391122131025187',13178,'270',43.18,1,3,NULL),(16,3008070,'1986-11-12 00:00:00',4,1,12,2004,'M','N','BELA VISTA','S PAULO','SP','125115251217573431488832571125610162182',1488,'9998',69.44,3,3,NULL),(16,3008088,'1991-01-15 00:00:00',4,6,12,2008,'F','N','VILA REAL','BAL CAMBORIú','SC','124241241115131431521129292325610136197',14190,'51',41.25,4,2,1),(16,3008118,'1991-06-13 00:00:00',4,1,11,2008,'M','N','VILA NOVA','VL NOVA','PR','116163161217111431336616355112610117042',NULL,'9998',37.57,1,3,NULL),(16,3008126,'1991-10-02 00:00:00',2,1,12,2008,'F','N','BOM JESUS','RIO NEGRO','PR','116161161116151451426324342124610167077',NULL,'9998',25.78,1,2,1),(16,3008134,'1986-04-24 00:00:00',2,1,12,2003,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','224212201216114751226651445124220926092',5594,'9998',57.27,1,3,NULL),(16,3008142,'1990-05-18 00:00:00',2,5,11,2007,'M','N','FIGUEIRA','JACINTO MACHADO','SC','124241241217472431446616595124610167047',3060,'32',63.63,1,3,NULL),(16,3008150,'1991-06-11 00:00:00',4,4,12,2008,'F','N','CENTRO','CURITIBA','PR','116242161215111431338933574124610136147',6613,'9998',55.02,1,3,NULL),(16,3008169,'1990-05-25 00:00:00',2,4,12,2007,'F','N','UNIVERSITÁRIO','CHAPECÓ','SC','124241241125371411433833575124610133147',13741,'169',42.19,1,2,1),(16,3008177,'1961-05-12 00:00:00',4,1,12,1979,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241248132175411243343435334321834142',NULL,'591',0.00,1,3,NULL),(16,3008193,'1991-07-15 00:00:00',4,4,12,2008,'M','N','CENTRO','CONCÓRDIA','SC','124241241115572441334612475122610165142',10038,'192',48.71,1,2,1),(16,3008207,'1990-04-04 00:00:00',2,1,11,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215472431268922575122610162142',7681,'262',53.00,1,3,NULL),(16,3008215,'1991-01-24 00:00:00',4,1,12,2008,'M','N','BAEPENDI','JARAGUÁ SUL','SC','124241241217122751359824571115610167077',3505,'270',62.37,1,3,NULL),(16,3008223,'1991-11-24 00:00:00',2,4,12,2008,'M','N','BELA VISTA','PTE SERRADA','SC','124241241237121431466612475112610164042',858,'836',73.01,1,3,NULL),(16,3008231,'1991-04-05 00:00:00',4,1,12,2008,'F','N','JARDIM AVELINO','S PAULO','SP','125252251216371431331829575122610132072',11182,'9998',46.69,1,3,NULL),(16,3008240,'1989-02-25 00:00:00',2,1,12,2006,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124201201127131431125944442324610127142',NULL,'9998',22.91,1,2,1),(16,3008258,'1986-02-04 00:00:00',4,1,12,2004,'M','N','BELA VISTA','S PAULO','SP','125212211217571431467913572115610168017',7660,'9998',53.03,1,3,NULL),(16,3008266,'1991-02-19 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216372431169931575324610164082',8880,'270',50.76,4,3,NULL),(16,3008274,'1991-11-21 00:00:00',4,1,12,2008,'F','N','CENTRO','VACARIA','RS','120202201216371431343822324122610137187',NULL,'9998',25.45,1,3,NULL),(16,3008290,'1991-02-19 00:00:00',4,8,12,2008,'F','N','JARDIM HANTSCHEL','RIO NEGRINHO','SC','124241241136141411436439345122610133147',NULL,'425',29.47,1,2,1),(16,3008304,'1990-09-27 00:00:00',4,9,12,2008,'F','N','JARDIM AMERICA','CAXIAS SUL','RS','120202201217151411467614475122610138077',9085,'9998',50.44,1,3,NULL),(16,3008312,'1985-08-30 00:00:00',2,6,12,2002,'F','N','SAO VICAENTE','ITAJAÍ','SC','124241241117152251436619575114610167091',NULL,'401',0.00,1,2,1),(16,3008320,'1991-02-28 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241112151431656679572324610116192',10937,'286',47.14,1,2,1),(16,3008339,'1991-09-24 00:00:00',4,1,12,2008,'F','N','CENTRO','CHIAPETTA','RS','120201201117161431346616495122610113157',NULL,'9998',27.50,1,2,1),(16,3008363,'1989-02-24 00:00:00',2,8,12,2006,'F','N','CENTRO','S BENTO SUL','SC','124241241417152411533639494124231562142',11745,'974',45.74,1,3,NULL),(16,3008371,'1991-07-25 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215122731638813592124610137163',7146,'1022',54.01,1,3,NULL),(16,3008380,'1990-09-29 00:00:00',4,8,11,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242241215371431388914472122610127042',712,'457',74.16,1,3,NULL),(16,3008398,'1991-03-26 00:00:00',4,8,11,2008,'F','N','AMÉRICA','JOINVILLE','SC','124242241215121431568812572112610124077',NULL,'486',27.33,1,3,NULL),(16,3008401,'1990-08-24 00:00:00',4,1,12,2008,'F','N','PRAIA DO CANTO','VITÓRIA','ES','108082081215121431378922421122610121122',NULL,'9998',0.00,1,3,NULL),(16,3008436,'1991-08-03 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124252241215112231568812575114610127052',1600,'1022',68.90,1,3,NULL),(16,3008444,'1983-11-04 00:00:00',2,1,12,2000,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241127153711225544445234321962187',7016,'607',54.25,1,3,NULL),(16,3008452,'1989-12-25 00:00:00',4,1,12,2007,'F','N','AQUARIUS','IRACEMáPOLIS','SP','125251251115471411233724575124610124147',14189,'9998',41.25,1,2,1),(16,3008460,'1988-11-28 00:00:00',4,1,11,2005,'F','N','CAMPINAS','S JOSÉ','SC','124241241142573431446923245134610164142',5465,'732',57.56,1,2,1),(16,3008479,'1991-04-16 00:00:00',4,1,12,2008,'F','N','MATA DA PRAIA','VITÓRIA','ES','108082081217471411579814572122610167143',13902,'9998',41.85,1,3,NULL),(16,3008487,'1991-08-29 00:00:00',4,7,12,2008,'F','N','SAYONARA','CATANDUVAS','SC','124241241136131431327621241225610148147',NULL,'161',29.90,1,2,1),(16,3008495,'1988-07-01 00:00:00',2,1,12,2005,'F','N','IPIRANGA','S JOSé','SC','124242241216374431364422385124122224072',NULL,'976',35.52,1,3,NULL),(16,3008509,'1989-09-25 00:00:00',4,1,12,2006,'M','N','PACAEMBU','ITUPEVA','SP','125251251117571441433611275124610134147',3686,'9998',61.85,1,2,1),(16,3008525,'1991-10-27 00:00:00',4,4,12,2008,'M','N','SANTA MARIA','CHAPECÓ','SC','124243241112271411359933575125610124172',4711,'175',59.28,1,3,NULL),(16,3008533,'1964-12-14 00:00:00',2,1,12,1985,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124211215116441441337343435124342022093',14897,'9998',39.89,4,3,NULL),(16,3008541,'1990-08-30 00:00:00',2,1,12,2007,'F','N','TRIANON','GUARAPUAVA','PR','116164161216272431269833575122240827012',NULL,'9998',0.00,1,3,NULL),(16,3008550,'1980-04-17 00:00:00',4,1,12,1997,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251216473231468614575124140967047',760,'9998',73.73,4,3,NULL),(16,3008584,'1988-03-08 00:00:00',4,1,12,2005,'M','N','JARDIM SILVEIRA','BARUERI','SP','125251251216571431446933275125243262182',9992,'9998',48.79,1,3,NULL),(16,3008606,'1991-08-23 00:00:00',4,1,12,2008,'F','N','CENTRO','ITUPORANGA','SC','124241241146141431578711295122610124142',15947,'416',37.37,1,2,1),(16,3008622,'1989-01-14 00:00:00',2,1,8,2007,'F','N','JARDIM JANAÍNA','BIGUAÇU','SC','124241241115372411568633575124610137057',NULL,'739',22.82,1,2,1),(16,3008630,'1991-03-22 00:00:00',4,8,12,2008,'F','N','SANTA CATARINA','JOINVILLE','SC','124242241217151531436632575122610132047',NULL,'932',0.00,1,3,NULL),(16,3008657,'1990-11-11 00:00:00',2,4,12,2007,'M','N','EFAPI','CHAPECÓ','SC','124164241215372411557619272124610164052',3391,'185',62.70,1,3,NULL),(16,3008665,'1991-01-01 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124243241117131441436914375124610123147',NULL,'306',29.59,1,3,NULL),(16,3008673,'1989-01-26 00:00:00',2,2,12,2006,'M','N','CENTRO','PNT GROSSA','PR','116162161217513331658614491111610168011',628,'9998',74.73,1,3,NULL),(16,3008681,'1991-01-20 00:00:00',4,9,12,2008,'F','N','CENTRO','CURITIBANOS','SC','124241241115151231458833375122610127142',NULL,'239',29.81,4,2,1),(16,3008690,'1991-02-19 00:00:00',4,10,10,2008,'F','N','PITUBA','SALVADOR','BA','105052051217371431478612575122610122112',NULL,'9998',0.00,1,3,NULL),(16,3008703,'1990-09-19 00:00:00',2,8,12,2007,'F','N','UBATUBA','S FRANCISCO SUL','SC','124244241217472431647854475124610144077',12000,'992',45.26,1,3,NULL),(16,3008711,'1989-02-19 00:00:00',4,1,6,2007,'M','N','CENTRO','CACHOEIRA SUL','RS','120201207136271431537813575114610134056',4990,'9998',58.63,1,2,1),(16,3008720,'1990-09-02 00:00:00',4,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111431338612572124610132073',15535,'1022',38.46,1,3,NULL),(16,3008738,'1964-07-02 00:00:00',2,1,5,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','524203247341371431524459171124610131077',NULL,'9999',28.08,1,3,NULL),(16,3008789,'1991-10-01 00:00:00',4,8,11,2008,'F','N','CENTRO','RIO NEGRO','PR','116242241215371731358711572122610168092',NULL,'541',31.17,1,3,NULL),(16,3008827,'1989-01-24 00:00:00',2,1,12,2005,'F','N','RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC','124241241132374431446613345124610131097',NULL,'278',27.95,1,2,1),(16,3008835,'1986-12-29 00:00:00',4,5,11,2004,'M','N','VILA FLORESTA','CRICIÚMA','SC','124242241216113441525511575212121467047',7,'213',85.36,1,3,NULL),(16,3008851,'1991-04-24 00:00:00',2,3,12,2008,'F','N','CENTRO','PNT GROSSA','PR','116164161216121431538732585122610168082',7795,'9998',52.78,1,3,NULL),(16,3008886,'1991-12-23 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431348933432122610137042',2212,'266',66.37,1,3,NULL),(16,3008894,'1978-10-03 00:00:00',2,1,12,1998,'M','N','INGLESES','FLORIANÓPOLIS','SC','224204203226151441146644345122140862051',NULL,'9998',23.92,1,3,NULL),(16,3008908,'1991-08-13 00:00:00',4,1,11,2008,'F','N','DANIELA','FLORIANÓPOLIS','SC','124242241215111441476912425112610163192',3089,'266',63.55,1,3,NULL),(16,3008916,'1990-11-28 00:00:00',2,10,10,2008,'F','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124242241214121511348931495114610133055',4987,'807',58.64,1,3,NULL),(16,3008924,'1989-09-04 00:00:00',4,1,11,2007,'M','N','JD ESPLANADA','PRES PRUDENTE','SP','124252251215372431489812475124610137187',3840,'9998',61.48,1,3,NULL),(16,3008932,'1990-01-24 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217573431358614572111610162012',9134,'270',50.35,1,3,NULL),(16,3008940,'1991-01-13 00:00:00',4,3,12,2008,'F','N','CENTRO','HORIZONTINA','RS','120202201216471431326639571325610122187',NULL,'9998',22.44,1,3,NULL),(16,3008959,'1987-12-06 00:00:00',4,1,12,2006,'M','N','SÃO JOSÉ','S JOSÉ','SC','124241241132172421537823441141610147047',NULL,'739',30.10,2,1,1),(16,3008967,'1984-01-31 00:00:00',2,1,12,2003,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242247217372431337623245134610168143',14854,'9999',39.98,1,3,NULL),(16,3008975,'1990-09-19 00:00:00',4,1,12,2007,'F','N','URIAS MAGALHÃES','GOIâNIA','GO','109092091217471431469713572122610133077',1921,'9998',67.50,4,3,NULL),(16,3008983,'1990-07-18 00:00:00',2,1,11,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241216472431126713575124231966142',6339,'581',55.59,1,3,NULL),(16,3008991,'1985-05-31 00:00:00',2,2,12,2002,'M','N','CENTRO','MASSARANDUBA','SC','124241241126471711633424285124231026172',NULL,'555',29.25,1,2,1),(16,3009009,'1991-05-14 00:00:00',4,1,12,2008,'F','N','JARDIM NOVA LONDRES','LONDRINA','PR','116163161216111451348923575112610137142',9785,'9998',49.18,4,3,NULL),(16,3009025,'1991-12-30 00:00:00',4,1,12,2008,'F','N','TAQUARUSSU','CPO GRANDE','MS','112122121217121431477732575122610128193',4616,'9998',59.51,1,3,NULL),(16,3009033,'1987-07-15 00:00:00',2,1,12,2005,'F','N','KOBRASOL','S JOSé','SC','124241241125311432325314372124610117072',NULL,'736',22.77,1,2,1),(16,3009041,'1991-06-07 00:00:00',4,1,11,2008,'F','N','JARDIM MORADA DO SOL','INDAIATUBA','SP','125112251216111431689931572112610122142',11134,'9998',46.78,1,3,NULL),(16,3009050,'1989-03-06 00:00:00',2,1,12,2007,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124244241216472431336413495114610164092',14156,'269',41.32,1,3,NULL),(16,3009068,'1991-08-12 00:00:00',2,1,12,2008,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','124241241415111521346413572124610127072',NULL,'989',31.09,1,3,NULL),(16,3009084,'1989-08-16 00:00:00',4,1,6,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124164281415472431335864575124610134141',NULL,'9998',0.00,1,3,NULL),(16,3009092,'1991-03-21 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431655831572124610137045',4609,'269',59.54,1,3,NULL),(16,3009106,'1990-05-07 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241415472431459814272315610124157',NULL,'1047',29.02,1,3,NULL),(16,3009114,'1990-05-13 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117471431459933272325610122147',15087,'193',39.45,1,2,1),(16,3009122,'1990-07-04 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241335471431336614342334610167042',NULL,'1022',32.25,1,3,NULL),(16,3009130,'1989-04-03 00:00:00',4,1,12,2006,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241216373431537833371124610121117',14994,'260',39.67,1,3,NULL),(16,3009149,'1991-09-03 00:00:00',4,9,12,2008,'M','N','CORAL','LAGES','SC','124244241215132431436611474114610122097',609,'499',74.88,1,3,NULL),(16,3009157,'1989-05-08 00:00:00',4,1,12,2007,'F','N','PEDRO LUDOVICO','GOIÂNIA','GO','109092091417131431557621315125142524074',15884,'9998',37.52,3,3,NULL),(16,3009165,'1991-02-09 00:00:00',4,1,12,2008,'M','N','JARDIM NOVA ALIANCA','RIBEIRÃO PRETO','SP','125112251215111231289811472122610164092',10126,'9998',48.57,4,3,NULL),(16,3009181,'1991-04-01 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241215111431336631572124610122042',15258,'269',39.07,1,3,NULL),(16,3009190,'1990-03-07 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215473431253632575124610162142',73,'1038',81.67,1,3,NULL),(16,3009203,'1991-01-12 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241235111431436614242124610162147',7043,'738',54.22,1,3,NULL),(16,3009211,'1991-03-23 00:00:00',4,1,11,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124244248217111431563831574124610122145',3744,'270',61.71,1,3,NULL),(16,3009220,'1967-02-25 00:00:00',4,1,12,1983,'F','N','CENTRO','FLORIANÓPOLIS','SC','524242246216135421336443332132233231093',14721,'260',40.23,1,3,NULL),(16,3009238,'1990-01-19 00:00:00',4,1,12,2007,'F','N','KOBRASSOL','S JOSÉ','SC','124242241215472411428779441124610127072',NULL,'1077',33.37,1,3,NULL),(16,3009254,'1990-03-09 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215372431346812345122610164045',12429,'270',44.50,1,3,NULL),(16,3009262,'1988-12-19 00:00:00',4,1,8,2008,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241247225371431443334346124610122045',16357,'9999',36.17,1,3,NULL),(16,3009297,'1988-11-09 00:00:00',2,4,12,2006,'F','N','CENTRO','PALMITINHO','RS','120201201117131431336629375124131323147',14634,'9998',40.42,1,2,1),(16,3009300,'1991-05-11 00:00:00',4,6,11,2008,'M','N','REBOUÇAS','CURITIBA','PR','116164161315471411458611274112610164042',NULL,'9998',0.00,1,3,NULL),(16,3009319,'1990-05-25 00:00:00',2,1,12,2007,'M','N','PAGARÁ','STO AMARO IMPERATRIZ','SC','124241241137271431643216212223610124147',NULL,'731',25.35,1,2,1),(16,3009327,'1988-09-20 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124161161416472711334924575124610168181',NULL,'9998',28.21,1,3,NULL),(16,3009335,'1991-11-06 00:00:00',4,1,12,2008,'F','N','JARDIM ALICE','JAGUARIÚNA','SP','125253251116131111438614575124610122092',NULL,'9998',0.00,1,3,NULL),(16,3009343,'1991-05-06 00:00:00',2,1,12,2008,'F','N','ARMAÇÃO P DO SUL','FLORIANóPOLIS','SC','124244241215121431439919595124610127052',10588,'1022',47.76,1,3,NULL),(16,3009351,'1991-12-04 00:00:00',4,6,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161215421431568834575114610114013',NULL,'9998',0.00,1,3,NULL),(16,3009360,'1991-03-05 00:00:00',2,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','124241241116141431549334395322610121177',NULL,'175',25.49,1,2,1),(16,3009378,'1991-02-08 00:00:00',2,8,12,2008,'M','N','SETOR PERIM','GOIÂNIA','GO','109091091315111431537913572124610157017',NULL,'9998',0.00,1,3,NULL),(16,3009386,'1991-03-09 00:00:00',2,1,11,2008,'M','N','CENTRO','NOVA TRENTO','SC','124241241215112451536619592124610167052',NULL,'1022',39.34,4,3,NULL),(16,3009408,'1990-02-25 00:00:00',4,8,11,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215472431469811575122610126182',8414,'1063',51.56,1,3,NULL),(16,3009416,'1991-08-26 00:00:00',4,8,12,2009,'M','S','AMÉRICA','JOINVILLE','SC','124242241215111431488811572122610164096',NULL,'457',53.30,1,3,NULL),(16,3009424,'1991-03-05 00:00:00',4,6,11,2008,'F','N','CENTRO','PENHA','SC','124242241217112431453752575122610124092',14616,'1026',40.46,1,3,NULL),(16,3009432,'1983-09-24 00:00:00',4,8,12,2000,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124243241116131432333331415121610142197',4458,'425',59.88,1,3,NULL),(16,3009440,'1990-02-13 00:00:00',2,1,12,2007,'F','N','FUNDOS','BIGUAçU','SC','124241241116132731323614372124610128147',NULL,'9997',28.36,1,2,1),(16,3009467,'1989-02-28 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217572411168627435124230218145',8573,'462',51.30,1,3,NULL),(16,3009475,'1990-10-18 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161215471431568632572124610147042',1557,'9998',69.10,1,3,NULL),(16,3009483,'1990-11-05 00:00:00',2,8,11,2008,'F','N','UBATUBA','S FRANCISCO SUL','SC','124242241236121331445812391122610138197',14506,'486',40.69,1,3,NULL),(16,3009491,'1990-07-25 00:00:00',2,4,11,2008,'F','N','JARDIM LA SALLE','TOLEDO','PR','116284161246471412326519395121610114072',NULL,'9998',19.00,1,3,NULL),(16,3009505,'1990-05-28 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215473431346619575122610127042',11954,'1022',45.34,1,3,NULL),(16,3009521,'1988-10-29 00:00:00',4,8,12,2006,'M','N','PIRABEIRABA','JOINVILLE','SC','124242241216474751589811475124610168182',317,'457',77.81,1,3,NULL),(16,3009530,'1990-02-06 00:00:00',2,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216112431558413595124610125197',NULL,'1022',27.16,1,3,NULL),(16,3009548,'1983-06-16 00:00:00',2,1,12,2000,'M','N','VILA NOVA','GOIâNIA','GO','109271091116151431326873575114141032057',1952,'9998',67.37,4,2,1),(16,3009556,'1988-11-23 00:00:00',2,3,12,2006,'M','N','JD CRISTO REI','MARÍLIA','SP','125252251216573131358832242123141467117',9262,'9998',50.14,1,3,NULL),(16,3009572,'1989-08-03 00:00:00',4,8,11,2006,'F','N','CENTRO','CURITIBA','PR','116222161216473451458839595125610128187',6679,'9998',54.91,1,3,NULL),(16,3009580,'1990-09-27 00:00:00',4,1,12,2007,'M','N','BOM CLIMA','GUARULHOS','SP','125251251117471411546631575124610117112',5285,'9998',57.89,3,3,NULL),(16,3009599,'1992-04-13 00:00:00',4,4,11,2008,'M','N','MARIA GORETTI','CHAPECó','SC','124242241415371431278811595122610167042',3665,'983',61.92,1,3,NULL),(16,3009602,'1990-12-02 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241243114372331211115152324610124197',NULL,'358',26.10,1,2,1),(16,3009610,'1991-01-11 00:00:00',2,1,11,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115111411427619572124610137092',15151,'271',39.30,1,2,1),(16,3009629,'1988-12-18 00:00:00',4,1,12,2006,'M','N','BAIRRO ALTO','BOTUCATU','SP','125254251217572441469811571125610126122',83,'9998',81.45,1,3,NULL),(16,3009637,'1985-12-13 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431277923471112132512142',2216,'270',66.35,1,3,NULL),(16,3009645,'1991-04-01 00:00:00',4,6,12,2008,'M','N','ZONA SETE','MARINGÁ','PR','116161161216111431566719575112610144046',887,'9998',72.79,1,3,NULL),(16,3009653,'1990-02-05 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECÓ','SC','124012251216371431469614575122610134092',15069,'9998',39.49,4,3,NULL),(16,3009661,'1992-01-29 00:00:00',2,1,12,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215111431438811275124610137051',5911,'270',56.56,1,3,NULL),(16,3009670,'1988-12-27 00:00:00',4,1,12,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241116274411427624345124610142052',13052,'307',43.40,4,3,NULL),(16,3009696,'1991-02-08 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431479911474122610147072',611,'262',74.84,1,3,NULL),(16,3009700,'1982-09-21 00:00:00',5,1,12,2000,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241416131441549713115123333254172',12763,'515',43.89,1,3,NULL),(16,3009718,'1986-02-03 00:00:00',4,1,12,2003,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241226372721623334432112610162047',7677,'262',53.00,1,3,NULL),(16,3009726,'1988-01-06 00:00:00',2,1,12,2006,'M','N','NA SA DO ROSARIO','S JOSé','SC','124241241136472431233323285114610122067',NULL,'726',27.50,1,2,1),(16,3009734,'1991-06-18 00:00:00',2,4,11,2008,'F','N','CENTRO','XANXERÊ','SC','124242241216111431536312575122610168143',8489,'836',51.42,1,3,NULL),(16,3009742,'1990-02-07 00:00:00',4,1,12,2007,'M','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124243241116372431346824285114610166175',3851,'271',61.45,1,3,NULL),(16,3009750,'1991-09-18 00:00:00',4,5,12,2008,'F','N','IAPI','PTO ALEGRE','RS','120203201417111431428724385124610127187',14826,'9998',40.02,1,3,NULL),(16,3009769,'1987-12-09 00:00:00',4,1,12,2005,'M','N','ACLIMAÇÃO','S PAULO','SP','125112111215572431148832275125143267087',NULL,'9998',33.75,1,3,NULL),(16,3009777,'1988-08-06 00:00:00',2,1,12,2008,'F','N','JARDIM MARIA LUIZA','CASCAVEL','PR','116163161237271431366934445122610165022',4005,'9998',61.05,1,3,NULL),(16,3009785,'1991-08-02 00:00:00',4,8,11,2008,'M','N','ATIRADORES','JOINVILLE','SC','124242241215152431357611574112610164132',3911,'491',61.30,1,3,NULL),(16,3009807,'1991-01-20 00:00:00',4,1,12,2008,'M','N','CENTRO','CPO GRANDE','MS','112122121217471431468832374112610127142',1771,'9998',68.12,3,3,NULL),(16,3009815,'1992-07-25 00:00:00',4,1,11,2009,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217151412368833575114610162077',NULL,'262',28.77,1,3,NULL),(16,3009823,'1990-09-08 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241315472431458613575124610114052',2005,'812',67.16,1,3,NULL),(16,3009840,'1987-10-26 00:00:00',2,1,12,2004,'M','N','CENTRO','PTO ALEGRE','RS','120201201147472441431923481124610166087',3967,'9998',61.14,4,2,1),(16,3009858,'1985-02-02 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124202201217272421129714445334142838117',NULL,'9998',31.07,1,3,NULL),(16,3009866,'1985-11-03 00:00:00',4,1,12,2003,'M','N','JARDIM AMERICA','SOROCABA','SP','125252241117372711358821385122120767047',NULL,'9998',0.00,3,3,NULL),(16,3009874,'1989-12-08 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241317472441279923472124610166112',3480,'270',62.43,1,3,NULL),(16,3009882,'1991-01-30 00:00:00',2,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241215112431339711575125610137147',NULL,'499',26.62,1,3,NULL),(16,3009890,'1978-05-08 00:00:00',2,1,12,1998,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','624201207126271431328643432134610123187',NULL,'9998',30.06,2,1,1),(16,3009904,'1986-07-31 00:00:00',2,1,12,2003,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124243241216473431434311485124220831172',12921,'944',43.63,1,3,NULL),(16,3009912,'1991-07-06 00:00:00',2,2,12,2008,'M','N','PERUS','S PAULO','SP','125252251216271431256612375125610168052',NULL,'9998',0.00,1,3,NULL),(16,3009920,'1990-05-23 00:00:00',4,1,12,2007,'M','N','PARQUE RENATO MAIA','GUARULHOS','SP','125251251117471411545531212124610168112',4469,'9998',59.85,1,3,NULL),(16,3009939,'1987-12-26 00:00:00',4,1,12,2005,'F','N','JARDIM DA GLORIA','COTIA','SP','125251251116572751658613181124610168182',6219,'9998',55.87,1,2,1),(16,3009955,'1988-11-16 00:00:00',2,1,12,2006,'F','N','VILA MARIANA','S PAULO','SP','125252251217573231469814571122610167147',123,'9998',80.60,1,3,NULL),(16,3009980,'1975-08-22 00:00:00',4,1,12,1992,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241417472431148662481124131462182',1289,'79',70.45,1,3,NULL),(16,3009998,'1991-02-19 00:00:00',2,8,12,2008,'F','N','VILA LENZI','JARAGUÁ SUL','SC','124242241215111431467632575122610123076',11521,'442',46.14,1,3,NULL),(16,3010007,'1990-01-13 00:00:00',2,2,12,2007,'F','N','PROGRESSO','POUSO REDONDO','SC','124241241125151731426411395122610163147',NULL,'639',0.00,1,2,1),(16,3010015,'1990-12-01 00:00:00',4,4,12,2007,'M','N','SANTA MARIA','CHAPECÓ','SC','124241241115152431453732141121121426182',6602,'176',55.04,1,2,1),(16,3010023,'1990-02-16 00:00:00',4,1,11,2007,'F','N','SÃO JOSÉ','S JOSÉ','SC','124242241211472431368923374124610153185',455,'270',76.20,1,3,NULL),(16,3010031,'1990-01-03 00:00:00',4,1,12,2007,'F','N','MOEMA','S PAULO','SP','125252251235472431258924572124610125122',5435,'9998',57.62,1,3,NULL),(16,3010040,'1992-12-23 00:00:00',4,6,12,2009,'F','S','CENTRO','ITAJAÍ','SC','124244241212131431239921574122610112147',NULL,'394',0.00,1,3,NULL),(16,3010058,'1983-04-25 00:00:00',4,8,12,2001,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120251251216573431134829475124610134077',15622,'9998',38.25,4,3,NULL),(16,3010066,'1990-05-08 00:00:00',2,1,11,2007,'M','N','JARDIM CIDADE','SAO JOSE','SC','124241241113131431435613583124610167082',9673,'726',49.39,1,2,1),(16,3010074,'1965-11-07 00:00:00',4,1,12,1983,'M','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','224241241111143721453343435122321762092',13504,'293',42.61,1,3,NULL),(16,3010082,'1972-10-25 00:00:00',4,1,12,1989,'F','N','CENTRO','FLORIANÓPOLIS','SC','224242241216152211378651435132320722092',2067,'262',66.91,1,3,NULL),(16,3010090,'1991-06-04 00:00:00',4,8,11,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','624242248217121721569914575112610161142',8659,'491',51.14,1,3,NULL),(16,3010104,'1989-05-10 00:00:00',2,8,12,2006,'M','N','RESIDENCIAL DO LAGO','LONDRINA','PR','116161161215572431454824572114610124042',2741,'9998',64.59,3,3,NULL),(16,3010112,'1989-09-12 00:00:00',2,1,12,2006,'F','N','OLARIAS','PNT GROSSA','PR','116162161214572431548832574122610164097',2585,'9998',65.05,1,3,NULL),(16,3010120,'1990-12-13 00:00:00',2,1,12,2008,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241215121431458913572124610162092',9638,'1022',49.45,1,3,NULL),(16,3010139,'1981-03-13 00:00:00',4,1,12,1998,'F','N','CAMPINAS','S JOSÉ','SC','124243241215575421354512574124321562182',739,'446',73.94,1,3,NULL),(16,3010147,'1990-05-21 00:00:00',4,10,11,2007,'M','N','CENTRO','BRAÇO NORTE','SC','124244241215271411456413575112131438147',208,'950',79.08,1,3,NULL),(16,3010155,'1991-06-06 00:00:00',2,1,11,2008,'F','N','CENTRO','RIO NEGRINHO','SC','124242241215111411538812475122610134172',NULL,'666',0.00,1,3,NULL),(16,3010163,'1987-09-19 00:00:00',2,1,12,2005,'M','N','ASA SUL','BRASÍLIA','DF','107072071217371711569933591122243066046',7461,'9998',53.38,1,3,NULL),(16,3010171,'1989-09-14 00:00:00',2,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431466933335124610127167',9279,'1022',50.11,1,3,NULL),(16,3010198,'1990-04-22 00:00:00',4,1,12,2008,'M','N','BOTAFOGO','RIO JANEIRO','RJ','121212211216471431688719591124610165042',8734,'9998',51.02,1,3,NULL),(16,3010201,'1991-09-29 00:00:00',4,9,12,2008,'M','N','CORAL','LAGES','SC','124242241217112552489911575122610144043',NULL,'497',0.00,1,3,NULL),(16,3010210,'1983-11-27 00:00:00',4,1,12,2001,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216152431558823445124321227047',13436,'270',42.72,1,3,NULL),(16,3010228,'1988-12-02 00:00:00',5,10,11,2006,'F','N','OFICINAS','TUBARÃO','SC','124242241216573751366611375125610164142',14024,'807',41.60,1,3,NULL),(16,3010260,'1987-10-14 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241336273431125744345134610122142',13100,'306',43.33,1,3,NULL),(16,3010279,'1990-12-15 00:00:00',4,1,12,2008,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241215272441349933475122610138012',471,'883',76.02,1,3,NULL),(16,3010295,'1991-02-24 00:00:00',2,1,12,2008,'F','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124242241215571431468833572124610163097',13617,'1022',42.43,1,3,NULL),(16,3010309,'1992-02-09 00:00:00',4,1,12,2008,'F','N','JARDIM CIDADE','S JOSé','SC','124242241215131431226624272124610148142',15101,'259',39.42,1,3,NULL),(16,3010325,'1991-03-07 00:00:00',4,1,11,2008,'M','N','JARDIM ALVORADA','PARAGUAÇU PAULISTA','SP','125252251411121411468612572122610122147',NULL,'9998',0.00,1,3,NULL),(16,3010341,'1991-07-03 00:00:00',4,4,12,2008,'M','N','CENTRO','SINOP','MT','111112111216371431458931245125610162042',NULL,'9998',47.34,1,3,NULL),(16,3010368,'1989-10-08 00:00:00',4,8,12,2007,'F','N','BOA VISTA','JOINVILLE','SC','124242241215472431577514575112610152192',2699,'1105',64.67,1,3,NULL),(16,3010376,'1991-09-24 00:00:00',2,1,12,2008,'F','N','BARRA DO ARIRIÚ','PALHOçA','SC','124244241335271431436422245124610128142',8120,'1010',52.18,1,3,NULL),(16,3010384,'1990-10-03 00:00:00',2,1,11,2007,'M','N','CENTRO','MATELÂNDIA','PR','116164161235311431548833571125610167187',NULL,'9998',0.00,4,3,NULL),(16,3010392,'1990-02-09 00:00:00',2,1,7,2008,'F','N','CAMPINAS','S JOSé','SC','124241247147271411223321375124610146197',NULL,'736',34.11,1,2,1),(16,3010406,'1991-01-24 00:00:00',4,1,12,2007,'F','N','ARIRIÚ','PALHOÇA','SC','124242241215372431565832594124221562177',801,'723',73.44,1,3,NULL),(16,3010414,'1991-01-26 00:00:00',4,1,12,2008,'M','N','SANTO ANTONIO','FLORIANÓPOLIS','SC','124243241215371731558632242124610127081',5753,'1048',56.96,1,3,NULL),(16,3010422,'1991-02-15 00:00:00',4,1,11,2008,'F','N','VILA NOVA','BLUMENAU','SC','124242241217371431256923595122610167142',NULL,'909',24.82,1,3,NULL),(16,3010449,'1987-06-18 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124141141127131511435325295324610128182',NULL,'9998',17.78,1,2,1),(16,3010457,'1991-05-16 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162241215111431328711491124610125187',13615,'1048',42.43,1,3,NULL),(16,3010465,'1979-07-29 00:00:00',2,1,11,2001,'M','N','IPIRANGA','S JOSÉ','SC','224241247116133411336644345132130264042',12972,'9999',43.55,1,2,1),(16,3010490,'1988-04-11 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241125573231346319192124121464197',656,'688',74.51,1,2,1),(16,3010503,'1967-01-07 00:00:00',2,1,12,1998,'M','N','AREIAS','S JOSÉ','SC','224241247121131411138141111124131067067',NULL,'9999',21.08,2,1,1),(16,3010511,'1989-08-21 00:00:00',2,1,12,2006,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125252251211511431468813471112610114052',946,'9998',72.36,1,3,NULL),(16,3010538,'1990-05-18 00:00:00',4,1,1,2008,'M','N','IPIRANGA','S JOSÉ','SC','124242241215372431466332372114610164182',2474,'738',65.43,1,3,NULL),(16,3010546,'1991-03-04 00:00:00',4,1,11,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431369933572122610123145',13099,'723',43.33,1,3,NULL),(16,3010562,'1990-02-24 00:00:00',4,1,12,2007,'M','N','SETOR SUL','GOIÂNIA','GO','109092091217411231568813432122610167042',1242,'9998',70.70,1,3,NULL),(16,3010570,'1991-02-07 00:00:00',4,1,11,2007,'F','N','CENTRO','FLóRIDA','PR','116164161215471431478916575122610166172',5358,'9998',57.75,1,3,NULL),(16,3010589,'1991-06-21 00:00:00',4,1,12,2008,'F','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161217111431468812572112610163197',NULL,'9998',0.00,1,3,NULL),(16,3010597,'1991-11-30 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215112411469933434124610125092',4075,'1022',60.86,1,3,NULL),(16,3010600,'1991-10-06 00:00:00',4,8,11,2008,'F','N','ESPINHEIROS','JOINVILLE','SC','124163241215471411433612594112610124013',NULL,'1016',0.00,4,3,NULL),(16,3010619,'1987-12-16 00:00:00',4,1,12,2005,'F','N','SANTO AMARO','S PAULO','SP','125254251216572231344821472124610154044',9190,'9998',50.26,1,3,NULL),(16,3010627,'1989-10-11 00:00:00',1,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124162161216472431133732575124610147142',6801,'9998',54.66,1,3,NULL),(16,3010635,'1990-03-09 00:00:00',2,1,12,2007,'F','N','JURERÊ TRADICIONAL','FLORIANÓPOLIS','SC','124241241312371431333314345134610121147',12136,'300',45.01,1,3,NULL),(16,3010643,'1991-11-11 00:00:00',4,1,12,2008,'F','N','PASSO DA AREIA','STA MARIA','RS','120203201316121731458614445124610138141',NULL,'9998',29.37,1,3,NULL),(16,3010651,'1990-07-12 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124243241311472431348613595124610117072',12376,'1022',44.58,1,3,NULL),(16,3010660,'1988-11-08 00:00:00',2,8,12,2005,'M','N','JARDIM AMÉRICA','S JOSé CAMPOS','SP','125254256436572431447731375124610162177',10720,'9998',47.50,1,3,NULL),(16,3010678,'1972-01-15 00:00:00',2,1,12,1993,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124141141342371431344673485124610132147',11324,'9998',46.45,4,3,NULL),(16,3010686,'1991-10-15 00:00:00',5,10,12,2008,'F','N','DEHON','TUBARÃO','SC','124241241117131411557614175122610164017',14289,'1034',41.07,1,2,1),(16,3010694,'1989-04-07 00:00:00',4,1,12,2007,'M','N','CIDADE NOVA','MARINGÁ','PR','116163161215471421226823585123610147017',NULL,'9998',43.73,3,3,NULL),(16,3010708,'1991-01-17 00:00:00',4,5,12,2008,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241215371431367729395122610147052',4518,'970',59.73,1,3,NULL),(16,3010724,'1962-03-02 00:00:00',4,1,12,1976,'M','N','DANIELA','FLORIANÓPOLIS','SC','524202201116131421154443335123340863187',NULL,'9998',3.30,1,3,NULL),(16,3010732,'1991-03-04 00:00:00',2,5,11,2008,'F','N','CENTRO','SIDERÓPOLIS','SC','124242241217151411346639575122610123182',15709,'767',38.05,1,3,NULL),(16,3010740,'1987-12-11 00:00:00',4,1,12,2004,'M','N','BELA VISTA I','S JOSÉ','SC','124241241116273411426511345124610134197',10923,'257',47.16,1,2,1),(16,3010759,'1991-02-14 00:00:00',4,1,11,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217121431338933575124610161015',2522,'1022',65.26,1,3,NULL),(16,3010767,'1990-10-09 00:00:00',3,1,12,2007,'M','N','CENTRO','FOZ IGUAÇU','PR','116162161217471441337831395115141424172',187,'9998',79.43,1,3,NULL),(16,3010775,'1988-01-01 00:00:00',4,8,12,2005,'F','N','GLÓRIA','JOINVILLE','SC','124242241216371431447614575112130444143',NULL,'486',33.66,1,3,NULL),(16,3010783,'1991-05-16 00:00:00',4,5,10,2008,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124244241215121431465614575122610168057',555,'226',75.34,1,3,NULL),(16,3010791,'1988-02-21 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124282161311273441515541444124610136012',11655,'9997',45.90,1,3,NULL),(16,3010805,'1987-03-20 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241126374441325521275124232732197',14711,'169',40.26,1,2,1),(16,3010821,'1988-07-16 00:00:00',4,1,7,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241247415272431356714385114610122143',9545,'9999',49.63,1,3,NULL),(16,3010848,'1992-07-07 00:00:00',3,1,12,2009,'F','S','AGRONÔMICA','FLORIANóPOLIS','SC','624242241216261441569913592124610128182',NULL,'883',29.70,1,3,NULL),(16,3010856,'1990-09-28 00:00:00',2,8,11,2008,'F','N','CENTRO','MAFRA','SC','124241241316371431358619585125610126192',15883,'542',37.52,1,3,NULL),(16,3010872,'1990-12-22 00:00:00',4,3,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241215471431534414574125610164187',1777,'1038',68.09,1,3,NULL),(16,3010880,'1990-10-23 00:00:00',4,1,11,2008,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241216121431457721295124610164147',3087,'270',63.55,1,3,NULL),(16,3010899,'1991-10-02 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431288923572122610146091',8938,'270',50.67,1,3,NULL),(16,3010902,'1981-07-02 00:00:00',4,1,12,1998,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241216272431145343435134321036192',719,'272',74.10,1,3,NULL),(16,3010929,'1988-01-21 00:00:00',2,3,12,2005,'F','N','SANTANA','RIO DO SUL','SC','124243241215475731626714484325610165142',8894,'991',50.75,1,3,NULL),(16,3010937,'1989-09-11 00:00:00',4,3,12,2006,'F','N','CENTRO','APUCARANA','PR','116162161216573751447932575122610162027',2773,'9998',64.49,1,3,NULL),(16,3010945,'1988-02-11 00:00:00',4,1,12,2005,'M','N','ALTO','PIRACICABA','SP','125252251215571431468833572112610164047',385,'9998',76.97,1,3,NULL),(16,3010953,'1991-04-11 00:00:00',4,1,11,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241237111431688813575122610146182',64,'270',81.83,1,3,NULL),(16,3010961,'1991-03-27 00:00:00',4,1,12,2008,'M','N','JARDIM ESTRELA','FOZ IGUAÇU','PR','116162161216411731473812425122610162112',NULL,'9998',31.66,1,3,NULL),(16,3010988,'1989-08-31 00:00:00',2,4,12,2005,'F','N','MARECHAL RONDON','CANOAS','RS','120204201216472731437619592125141368187',1725,'9998',68.32,1,3,NULL),(16,3010996,'1990-05-05 00:00:00',4,1,12,2007,'F','N','ACLIMAÇÃO','S PAULO','SP','125252251217471731448874572124610167097',11279,'9998',46.51,1,3,NULL),(16,3011003,'1992-08-12 00:00:00',2,4,12,2008,'M','N','CENTRO','PNT PORã','MS','112163121216471431468732375125610124047',NULL,'9998',0.00,1,3,NULL),(16,3011011,'1990-10-04 00:00:00',2,1,11,2008,'M','N','ST PEDRO LUDOVICO','GOIÂNIA','GO','109092098216111431464939575112610167044',9695,'9998',49.35,1,3,NULL),(16,3011020,'1991-01-25 00:00:00',4,8,12,2008,'M','N','EUGÊNIO SCHNEIDER','RIO SUL','SC','124242241216151411346913572122610147157',6997,'654',54.30,1,3,NULL),(16,3011038,'1990-12-25 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115141411326514331224610122043',NULL,'293',41.78,1,2,1),(16,3011054,'1991-10-16 00:00:00',4,6,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431446613575122610127072',8483,'1038',51.43,1,3,NULL),(16,3011062,'1991-03-01 00:00:00',4,1,12,2008,'M','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241215111431346913575122610122092',9516,'259',49.69,2,3,NULL),(16,3011070,'1990-08-24 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUÁ SUL','SC','124202241217472432478814274124610162147',3749,'422',61.70,1,3,NULL),(16,3011089,'1991-01-30 00:00:00',4,1,11,2008,'F','N','VILA LENZI','JARAGUÁ SUL','SC','124242241217111411554432272125610146012',3435,'422',62.56,1,3,NULL),(16,3011097,'1991-10-11 00:00:00',4,1,11,2009,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242248217111432479614572122610128112',NULL,'270',48.51,1,3,NULL),(16,3011100,'1991-06-07 00:00:00',4,8,11,2008,'F','N','AMERICA','JOINVILLE','SC','124242241215271431488934575122610164142',NULL,'457',0.00,1,3,NULL),(16,3011119,'1987-07-15 00:00:00',4,8,12,2005,'M','N','FLORESTA','JOINVILLE','SC','124242241217372431444611575124130227047',6286,'459',55.72,1,3,NULL),(16,3011127,'1992-04-27 00:00:00',2,5,1,2007,'F','N','CENTRO','URUSSANGA','SC','124242241215111431468613595112610132052',15964,'211',37.33,1,3,NULL),(16,3011135,'1992-07-24 00:00:00',4,8,12,2008,'M','N','FLORESTA','JOINVILLE','SC','124242241215122431479913575122610164062',819,'491',73.28,1,3,NULL),(16,3011143,'1987-04-21 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241236274431433959395324222742077',NULL,'1022',35.31,4,1,2),(16,3011151,'1990-05-03 00:00:00',4,1,11,2007,'F','N','CENTRO','STA MARIA','RS','120142141217371431258734372124142935013',9310,'9998',50.05,4,3,NULL),(16,3011160,'1990-03-24 00:00:00',4,8,11,2007,'F','N','BOA VISTA','JOINVILLE','SC','124083081215372431456614345124610143097',2336,'9998',65.92,1,3,NULL),(16,3011178,'1989-10-29 00:00:00',2,1,12,2006,'F','N','BOQUEIRÃO','SANTOS','SP','125252251216571451427834571125610164116',NULL,'9998',0.00,1,3,NULL),(16,3011186,'1991-04-01 00:00:00',4,4,11,2008,'F','N','CENTRO','CONCÓRDIA','SC','124241241217111431448612275122610134142',4493,'1000',59.78,1,3,NULL),(16,3011194,'1990-06-06 00:00:00',2,1,11,2007,'F','N','BELA VISTA I','S JOSé','SC','124241241116132431436624572124130224187',NULL,'257',31.10,1,2,1),(16,3011208,'1991-09-03 00:00:00',2,9,12,2008,'F','N','SANTANA','RIO SUL','SC','124242241215111431449619571122610124072',9094,'991',50.42,1,3,NULL),(16,3011216,'1989-02-12 00:00:00',2,1,12,2007,'M','N','CACUPE','FLORIANÓPOLIS','SC','124242241215372431567769595122610124012',7997,'883',52.43,1,3,NULL),(16,3011224,'1988-10-24 00:00:00',4,1,12,2006,'M','N','ILHA DA FIGUEIRA','JARAGUá SUL','SC','124242241215574431366632172122130267187',507,'491',75.71,1,3,NULL),(16,3011232,'1991-12-20 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215121411488613575122610166092',212,'270',79.04,1,3,NULL),(16,3011240,'1991-08-02 00:00:00',4,1,11,2008,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241217112731568612125122610164015',1998,'270',67.19,1,3,NULL),(16,3011275,'1991-02-15 00:00:00',4,5,11,2008,'F','N','COMERCIÁRIO','CRICIúMA','SC','124242241215112431478614574122610132092',3189,'226',63.31,1,3,NULL),(16,3011305,'1992-03-15 00:00:00',4,5,12,2009,'F','S','CENTRO','CRICIÚMA','SC','124242241216111451469713575125610136192',NULL,'210',52.58,1,3,NULL),(16,3011321,'1989-12-13 00:00:00',4,1,12,2008,'F','N','JARDIM NOVA LONDRES','LONDRINA','PR','116163161316471411348933374122610165187',15956,'9998',37.35,4,3,NULL),(16,3011330,'1989-07-18 00:00:00',4,5,12,2006,'M','N','JARDIM BOTÂNICO','PTO ALEGRE','RS','120202201216471751467619575114143222041',6293,'9998',55.70,1,3,NULL),(16,3011348,'1990-02-03 00:00:00',4,1,11,2007,'F','N','COSTA VERDE','VÁRZEA GRANDE','MT','111114111217312741341467345234610168075',NULL,'9998',25.80,3,3,NULL),(16,3011356,'1988-03-07 00:00:00',4,1,12,2005,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241315574431459911472124610167051',18,'269',84.20,1,3,NULL),(16,3011364,'1988-09-28 00:00:00',2,1,12,2006,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124251251427272431327644245124610131182',8420,'9998',51.55,1,3,NULL),(16,3011372,'1984-03-23 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','624241247616132431337543335133133214017',NULL,'9999',21.85,1,3,NULL),(16,3011380,'1990-04-25 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216373411456851395114232764142',NULL,'272',28.41,1,3,NULL),(16,3011399,'1991-05-25 00:00:00',4,1,10,2008,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215121241547813575114610127047',1566,'270',69.03,1,3,NULL),(16,3011402,'1991-09-16 00:00:00',4,1,11,2008,'M','N','SANTANA','RIO SUL','SC','124242241217111431338614475122610168052',3836,'991',61.49,1,3,NULL),(16,3011410,'1991-02-17 00:00:00',2,6,11,2008,'M','N','CENTRO','PTO BELO','SC','124241241211122431448911274124610152052',7760,'1026',52.85,1,3,NULL),(16,3011429,'1991-05-02 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124244241215111431426871575122610162157',7366,'1038',53.59,1,3,NULL),(16,3011437,'1991-12-31 00:00:00',4,1,10,2008,'F','N','CENTRO DE SÃO JOSÉ','S JOSÉ','SC','124242241237121411454622292122610162173',16183,'723',36.70,1,3,NULL),(16,3011453,'1990-10-13 00:00:00',4,1,12,2008,'M','N','VILA IPIRANGA','LONDRINA','PR','116163161217111411558933575112610167112',107,'9998',80.88,1,3,NULL),(16,3011461,'1988-01-06 00:00:00',4,1,3,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124262241315472431569713385124130737097',NULL,'267',36.31,4,3,NULL),(16,3011470,'1987-07-15 00:00:00',2,1,12,2004,'F','N','PARQUE SÃO DOMINGOS','S PAULO','SP','125252251217572441358614271122610133147',7399,'9998',53.51,1,3,NULL),(16,3011488,'1989-04-19 00:00:00',4,1,12,2006,'M','N','XINGU','LINS','SP','125252251215571431568811575114610164056',NULL,'9998',0.00,1,3,NULL),(16,3011496,'1991-03-19 00:00:00',4,1,12,2008,'F','N','JARDIM AMÉRICA III','BRAGANÇA PAULISTA','SP','125252251216151231446832275122610161092',3010,'9998',63.75,1,3,NULL),(16,3011500,'1983-07-16 00:00:00',4,1,12,2001,'M','N','NOVO ITACOLOMY','MOGI GUAçU','SP','125251251126573411433731432134610147047',4107,'9998',60.75,1,3,NULL),(16,3011518,'1991-08-08 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124251241215131431244923232122610132187',9198,'499',50.24,1,3,NULL),(16,3011534,'1991-01-04 00:00:00',2,5,11,2008,'F','N','CIDADE ALTA','ARARANGUá','SC','124242241215371431448933575122610124142',9031,'970',50.53,1,3,NULL),(16,3011542,'1992-08-01 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431467812572112610163097',NULL,'262',25.90,1,3,NULL),(16,3011550,'1991-04-26 00:00:00',2,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124242241215111431426663575124610128197',12435,'976',44.49,1,3,NULL),(16,3011569,'1991-09-22 00:00:00',2,1,12,2008,'F','N','AREIAS','TIJUCAS','SC','124143241415151431426634571121610124147',NULL,'783',35.71,3,3,NULL),(16,3011577,'1990-03-27 00:00:00',2,1,12,2007,'M','N','PEDREGULHO','GUARATINGUETá','SP','125041251415471431236513475221610164047',4728,'9998',59.24,4,3,NULL),(16,3011585,'1990-02-06 00:00:00',2,10,12,2007,'F','N','VILA ESPERANÇA','IMBITUBA','SC','124241241117371451323629592124610138042',NULL,'359',24.69,1,3,NULL),(16,3011593,'1988-10-18 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242141211573431588811425122120737042',914,'9998',72.59,1,3,NULL),(16,3011607,'1990-06-30 00:00:00',2,5,12,2007,'M','N','CENTRO','STA ROSA SUL','SC','124241241115471331546311585112610167117',NULL,'689',29.76,1,2,1),(16,3011615,'1990-08-18 00:00:00',4,8,12,2007,'M','N','SÃO LUIS','JARAGUÁ SUL','SC','124241241126151441446634345121610122192',NULL,'891',22.96,1,2,1),(16,3011623,'1990-07-18 00:00:00',2,8,11,2007,'F','N','CENTRO','VILHENA','RO','122112111215471431576833571124610168077',822,'9998',73.26,1,3,NULL),(16,3011631,'1985-04-15 00:00:00',4,1,11,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241317574431336832195122521038047',498,'751',75.78,1,3,NULL),(16,3011640,'1991-11-17 00:00:00',4,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241216112431468813575114610123197',8964,'737',50.64,1,3,NULL),(16,3011658,'1988-11-03 00:00:00',2,1,12,2005,'M','N','CAMPINAS','S JOSé','SC','124244241215574711658933346111610161017',4260,'723',60.34,1,3,NULL),(16,3011666,'1990-08-14 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242248245372721555619292124610117052',15311,'262',38.94,1,3,NULL),(16,3011674,'1984-03-23 00:00:00',4,1,12,2001,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124281241335273411127644445124120766095',NULL,'724',0.00,1,3,NULL),(16,3011682,'1991-05-23 00:00:00',2,1,12,2008,'F','N','CENTRO','ESTEIO','RS','120201201217131231323467582124610143147',NULL,'9998',24.27,1,3,NULL),(16,3011704,'1990-04-16 00:00:00',4,3,12,2007,'F','N','JARDIM PETRÓPOLIS','LONDRINA','PR','116162161216472331247824574114610167187',4097,'9998',60.79,4,3,NULL),(16,3011712,'1991-06-06 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112411479933575125610161192',1663,'270',68.59,1,3,NULL),(16,3011720,'1991-05-26 00:00:00',4,1,11,2008,'F','N','ROYAL TENNIS','LONDRINA','PR','116162161217111431589831575122610135042',2251,'9998',66.22,1,3,NULL),(16,3011739,'1991-08-19 00:00:00',4,1,12,2008,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241117271431447833572122610128192',NULL,'21',26.73,1,3,NULL),(16,3011747,'1992-02-18 00:00:00',4,5,12,2008,'M','N','CENTRO','ARARANGUá','SC','124244241215371431468933575122610132057',5680,'970',57.12,1,3,NULL),(16,3011763,'1988-11-23 00:00:00',4,1,12,2006,'F','N','CENTRO','ÁGUAS S PEDRO','SP','125252251215571431347612571124610162177',10624,'9998',47.69,1,3,NULL),(16,3011771,'1988-11-09 00:00:00',4,3,12,2005,'F','N','CENTRO','LONDRINA','PR','116162161216571431448821572112610124147',5551,'9998',57.36,1,3,NULL),(16,3011780,'1988-07-29 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116133441436923375124220967047',7431,'828',53.45,1,2,1),(16,3011798,'1991-02-23 00:00:00',2,1,12,2008,'M','N','JARDIM SATÉLITE','S JOSÉ CAMPOS','SP','125251251217111731338933475124610127047',NULL,'9998',23.05,1,3,NULL),(16,3011801,'1991-09-21 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241215221431457812572124610127112',14775,'1022',40.12,1,3,NULL),(16,3011810,'1991-05-22 00:00:00',4,3,12,2008,'F','N','CENTRO','PNT GROSSA','PR','116162161216121431448931474122610122147',13066,'9998',43.37,1,3,NULL),(16,3011828,'1990-12-28 00:00:00',4,1,11,2007,'F','N','MAR GROSSO','LAGUNA','SC','124242241211472431479913571111610136082',2500,'807',65.33,1,3,NULL),(16,3011836,'1990-05-23 00:00:00',4,1,11,2007,'F','N','MANSOES STO ANTONIO','CAMPINAS','SP','125252251217471531588731572112610134122',NULL,'9998',0.00,1,3,NULL),(16,3011844,'1989-02-01 00:00:00',4,1,12,2006,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241117131321116344245324610168142',NULL,'359',0.00,4,2,1),(16,3011887,'1989-01-19 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215374431366923475114131826192',693,'270',74.28,1,3,NULL),(16,3011895,'1991-10-17 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241315121431569719574112610162127',8322,'1022',51.75,1,3,NULL),(16,3011909,'1987-12-10 00:00:00',4,1,12,2005,'F','N','JD INDÚSTRIAS','S JOSÉ CAMPOS','SP','125252251215572441368814575122610131147',194,'9998',79.33,1,3,NULL),(16,3011917,'1991-07-05 00:00:00',4,1,12,2008,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241217111431469933575122610167132',217,'951',78.92,1,3,NULL),(16,3011933,'1991-10-09 00:00:00',2,6,12,2008,'F','N','XV DE NOVEMBRO','TIJUCAS','SC','124243246215111431456513375122610164142',10127,'1119',48.57,1,3,NULL),(16,3011941,'1988-04-02 00:00:00',4,1,12,2008,'F','N','BARREIROS','SAO JOSE','SC','124243241122472421356312371124610128147',15844,'734',37.64,1,3,NULL),(16,3011950,'1991-01-22 00:00:00',2,1,12,2008,'F','N','NEVA','CASCAVEL','PR','116162161215271431336711395122610121142',11142,'1134',46.76,4,3,NULL),(16,3011976,'1990-11-20 00:00:00',4,9,12,2008,'F','N','UNIVERSITARIO','LAGES','SC','124241241116152431324619272224610126012',NULL,'935',21.50,1,3,NULL),(16,3011984,'1990-01-05 00:00:00',2,10,11,2006,'F','N','MORROTES','TUBARÃO','SC','124241241215473431339914582122610124141',9144,'807',50.33,1,3,NULL),(16,3011992,'1991-12-10 00:00:00',2,1,10,2008,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124242241217111431256413331122610165072',14087,'266',41.48,1,3,NULL),(16,3012000,'1986-05-19 00:00:00',4,4,12,2003,'F','N','PRESIDENTE MÉDICI','CHAPECó','SC','124241241126151431433615145122330826043',NULL,'554',0.00,1,2,1),(16,3012018,'1991-08-15 00:00:00',4,1,12,2008,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215161431588833475122610161092',6592,'883',55.07,1,3,NULL),(16,3012026,'1987-12-15 00:00:00',4,1,12,2005,'M','N','OCTOGONAL','CRUZEIRO','DF','107074071217372421487824375122241827053',2643,'9998',64.85,1,3,NULL),(16,3012034,'1984-02-14 00:00:00',2,1,12,2002,'F','N','FLORESTA','S JOSÉ','SC','124241241111334431656814441124610133077',NULL,'307',23.74,2,1,1),(16,3012042,'1987-06-09 00:00:00',4,1,11,2004,'F','N','JARDIM RECREIO','RIBEIRAO PRETO','SP','125252251237575411368834575112140461192',3266,'9998',63.10,4,3,NULL),(16,3012069,'1989-01-16 00:00:00',2,4,12,2006,'F','N','PRESIDENTE VARGAS','ERECHIM','RS','120201201116373431436314244224610164187',NULL,'9998',35.40,1,2,1),(16,3012077,'1990-08-03 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211472441468831471121610168031',24,'262',83.92,1,3,NULL),(16,3012085,'1991-04-24 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116271411634413575124610127097',4800,'287',59.06,1,2,1),(16,3012093,'1984-04-03 00:00:00',4,1,12,2003,'M','N','CENTRO','GUARAPUAVA','PR','116162161217134441526311415132140262182',12901,'9998',43.67,1,3,NULL),(16,3012107,'1989-12-02 00:00:00',4,1,12,2007,'F','N','CHACARA DA BARRA','CAMPINAS','SP','125252251217371431338831575112610126092',4131,'9998',60.69,1,3,NULL),(16,3012115,'1988-03-31 00:00:00',4,8,12,2005,'F','N','BOA VISTA','CURITIBA','PR','116242161215571431338923571124141764197',NULL,'9998',0.00,1,3,NULL),(16,3012123,'1988-11-30 00:00:00',2,1,11,2006,'M','N','JARDIM CIDADE','S JOSÉ','SC','124242241215372431235324495122610127042',7781,'1118',52.81,1,3,NULL),(16,3012140,'1991-08-10 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124073241215121411668814571121610124167',643,'1022',74.60,1,3,NULL),(16,3012158,'1991-05-29 00:00:00',2,1,12,2008,'F','N','CRISTO REDENTOR','CAXIAS SUL','RS','120201201417471431444911495122610127147',10453,'9998',48.00,1,3,NULL),(16,3012166,'1980-11-01 00:00:00',2,6,12,1998,'F','N','BOA VISTA','CURITIBA','PR','216161165116151431345553271124610167092',NULL,'9998',0.00,1,2,1),(16,3012182,'1991-06-04 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124252251217111211328937575111610167112',16001,'9998',37.25,4,3,NULL),(16,3012190,'1985-02-13 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217273431569813472122222066142',850,'270',73.06,1,3,NULL),(16,3012204,'1991-05-06 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124252241215111431479719495125610124142',5082,'270',58.43,1,3,NULL),(16,3012212,'1991-02-06 00:00:00',4,2,10,2008,'F','N','DAS NAÇÕES','TIMBÓ','SC','124242241215162711348934195122610167152',11758,'909',45.72,1,3,NULL),(16,3012220,'1990-03-07 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217472731356829595114610162042',NULL,'988',35.97,1,3,NULL),(16,3012239,'1989-09-04 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431469933572122221464012',257,'262',78.46,1,3,NULL),(16,3012255,'1989-11-20 00:00:00',2,2,12,2006,'F','N','JD VALE DAS ARAUCÁRI','LONDRINA','PR','116162161217575451488911575122610164122',NULL,'9998',0.00,1,3,NULL),(16,3012263,'1992-01-19 00:00:00',4,1,12,2008,'M','N','PASSA VINTE','PALHOÇA','SC','124244241117151431443313573124610144172',15072,'592',39.49,1,3,NULL),(16,3012271,'1990-03-20 00:00:00',4,1,12,2007,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241115132441333334175124233214172',8950,'307',50.66,4,2,1),(16,3012298,'1991-04-26 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241217471441567614474114610152092',158,'1063',79.86,1,3,NULL),(16,3012301,'1990-05-18 00:00:00',4,4,11,2007,'M','N','CENTRO','XAXIM','SC','116241241216471431457614574124610133077',1982,'185',67.27,1,3,NULL),(16,3012310,'1990-03-15 00:00:00',4,1,12,2007,'M','N','PARQUE RIO BRANCO','MARINGÁ','PR','116162161417472431448833575124610162167',2264,'9998',66.18,1,3,NULL),(16,3012328,'1992-02-07 00:00:00',4,1,11,2008,'M','N','JURERÊ','FLORIANóPOLIS','SC','124242241215272431458811275124610147112',1536,'1048',69.19,1,3,NULL),(16,3012336,'1991-06-04 00:00:00',4,1,11,2008,'F','N','CENTRO','TANGARÁ SERRA','MT','111112111216121431367832582122610144092',NULL,'9998',0.00,1,3,NULL),(16,3012344,'1986-02-09 00:00:00',4,1,12,2003,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217372231378933471122333262182',7044,'270',54.21,1,3,NULL),(16,3012352,'1988-10-19 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124164161411372431468914572125241462042',1414,'9998',69.71,1,3,NULL),(16,3012379,'1989-12-16 00:00:00',4,8,12,2007,'F','N','AGUA VERDE','CURITIBA','PR','116052161211471411368814581125610162092',NULL,'9998',0.00,1,3,NULL),(16,3012387,'1990-12-28 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217272431468839475122610124192',347,'270',77.37,1,3,NULL),(16,3012395,'1992-07-03 00:00:00',2,1,12,2009,'F','S','RIO ENGANO','ALFREDO WAGNER','SC','124241241134141731626332241124233223057',NULL,'13',18.89,1,3,NULL),(16,3012409,'1991-12-13 00:00:00',2,1,12,2008,'M','N','PASSA VINTE','PALHOÇA','SC','124243241215131441557934295124610127177',NULL,'1075',34.53,1,3,NULL),(16,3012417,'1991-01-24 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124244241415121431326614175124610162142',NULL,'1118',27.50,1,3,NULL),(16,3012425,'1991-07-21 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSÉ','SC','124242241211111451678612572211610124142',4010,'737',61.04,4,3,NULL),(16,3012433,'1991-03-08 00:00:00',4,1,12,2008,'F','N','SÃO JOSÉ','APUCARANA','PR','116162164225111451563832192112610168072',13600,'9998',42.45,1,3,NULL),(16,3012450,'1987-01-25 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241214375751376414494124231263187',1572,'270',69.01,1,3,NULL),(16,3012468,'1991-07-25 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSÉ','SC','624242241215122431467834575124610127042',7169,'1022',53.97,1,3,NULL),(16,3012476,'1990-09-17 00:00:00',2,6,12,2008,'F','N','CENTRO','NOVA FÁTIMA','PR','116162161216171411468712575122610132142',12303,'9998',44.72,1,3,NULL),(16,3012484,'1990-01-23 00:00:00',4,1,12,2007,'M','N','JAÇANÃ','S PAULO','SP','125251251117471451448814571224610162111',8280,'9998',51.82,1,2,1),(16,3012492,'1985-08-23 00:00:00',2,1,12,2003,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242248217375751324939592124141537182',6028,'9997',56.29,1,3,NULL),(16,3012506,'1991-04-12 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124131241112131231328624192324610114017',NULL,'298',27.64,1,2,1),(16,3012514,'1988-01-04 00:00:00',4,1,12,2006,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124281241215473431267622572112610164185',4081,'1011',60.84,3,3,NULL),(16,3012522,'1990-11-25 00:00:00',2,1,11,2007,'F','N','JARDIM CIDADE','S JOSÉ','SC','124244241215472431656612595124610126092',343,'270',77.43,1,3,NULL),(16,3012530,'1990-08-10 00:00:00',4,1,12,2007,'M','N','BUENO','GOIÂNIA','GO','109092091215471431448811571124140724186',1382,'9998',69.95,1,3,NULL),(16,3012549,'1990-09-02 00:00:00',4,3,12,2008,'F','N','CENTRO','ITU','SP','125254251215111731546839294112610162022',NULL,'9998',0.00,1,3,NULL),(16,3012557,'1992-09-15 00:00:00',4,1,12,2009,'F','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111431336734571124610137142',NULL,'272',33.35,1,3,NULL),(16,3012573,'1991-06-10 00:00:00',4,7,12,2008,'F','N','FLOR DA SERRA','JOAçABA','SC','124252241216112431257921575122610132142',7071,'454',54.16,1,3,NULL),(16,3012581,'1991-02-13 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','624242248217471451666821595114610134042',2960,'270',63.95,1,3,NULL),(16,3012590,'1990-11-14 00:00:00',4,1,12,2007,'F','N','CENTRO','LONDRINA','PR','116162161217471711468932575115610124172',NULL,'9998',0.00,1,3,NULL),(16,3012603,'1989-09-30 00:00:00',4,1,11,2007,'M','N','PITUBA','SALVADOR','BA','105052251236472711348823595122610167052',1661,'9998',68.62,1,3,NULL),(16,3012611,'1991-04-26 00:00:00',4,2,12,2008,'M','N','GARCIA','BLUMENAU','SC','124242241216111231441329145124610144172',6896,'71',54.49,1,3,NULL),(16,3012620,'1991-01-11 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124072241215121411366812345124610162142',7180,'270',53.95,1,3,NULL),(16,3012638,'1991-04-01 00:00:00',2,1,12,2008,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111431489831572124610134142',10235,'270',48.37,1,3,NULL),(16,3012646,'1989-01-20 00:00:00',4,8,12,2006,'F','N','ALTO TAQUARAL','CAMPINAS','SP','125254251215572431474711275112610162197',1680,'9998',68.51,1,3,NULL),(16,3012654,'1986-11-22 00:00:00',4,4,12,2004,'F','N','CENTRO','ABELARDO LUZ','SC','124244241216372741229823575224610126097',9457,'1081',49.80,1,3,NULL),(16,3012662,'1982-04-01 00:00:00',4,8,12,1999,'F','N','JD CARVALHO','PNT GROSSA','PR','116162161211525431338627472122341267097',2722,'9998',64.62,1,3,NULL),(16,3012670,'1993-04-14 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111731569833572122610122093',NULL,'270',68.55,1,3,NULL),(16,3012689,'1992-01-17 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241211111431469911595122610134042',NULL,'262',41.49,1,3,NULL),(16,3012697,'1991-11-23 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124244241215111431356712275112610142182',2928,'497',64.03,1,3,NULL),(16,3012719,'1990-10-17 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215473411358913375124610162145',396,'884',76.86,1,3,NULL),(16,3012735,'1990-09-21 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241215473431279932572124610126052',4152,'270',60.63,1,3,NULL),(16,3012743,'1991-01-23 00:00:00',4,2,12,2008,'F','N','VELHA','BLUMENAU','SC','124242241215112431368833575124610162097',2751,'855',64.56,1,3,NULL),(16,3012760,'1990-05-31 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116271731324311572124610117147',NULL,'732',25.72,1,2,1),(16,3012786,'1992-02-25 00:00:00',4,10,12,2008,'F','N','PORTINHO','LAGUNA','SC','124204241216161231379713474122610124092',10130,'525',48.57,2,3,NULL),(16,3012794,'1989-11-06 00:00:00',4,1,10,2007,'M','N','SANTO ANTÔNIO','PTO VELHO','RO','122222221216211431469913445122142814082',12285,'9998',44.74,1,3,NULL),(16,3012808,'1989-03-08 00:00:00',4,1,11,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212373431366613472114610114172',9480,'1022',49.76,1,3,NULL),(16,3012816,'1991-09-24 00:00:00',4,1,12,2008,'M','N','JARDIM PRESIDENTE','RIO VERDE','GO','109093091317111431366914574122610124052',3143,'9998',63.41,1,3,NULL),(16,3012824,'1991-09-23 00:00:00',4,1,12,2008,'M','N','CENTRO','IMBÉ','RS','120204201217161431468931275122610164042',7109,'9998',54.09,1,3,NULL),(16,3012832,'1990-09-01 00:00:00',4,1,12,2008,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241116141731526329342124610122147',NULL,'295',31.54,1,2,1),(16,3012840,'1991-06-19 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124244241215121431348633435122610166092',NULL,'272',35.22,1,3,NULL),(16,3012859,'1990-08-22 00:00:00',4,1,12,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124092091217472431348833592124610163092',3896,'270',61.35,1,3,NULL),(16,3012867,'1991-03-07 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241213111431379911593114610164012',6348,'270',55.58,1,3,NULL),(16,3012875,'1991-10-16 00:00:00',4,2,11,2008,'F','N','ÁGUA VERDE','BLUMENAU','SC','124242241215111431354312595124610126097',2366,'71',65.82,3,3,NULL),(16,3012883,'1991-03-26 00:00:00',4,2,12,2008,'F','N','CENTRO','RIO NEGRINHO','SC','124244241215271411668934575122610148142',7896,'541',52.60,1,3,NULL),(16,3012891,'1991-10-07 00:00:00',4,1,11,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217112431469819575112610137142',5375,'270',57.70,1,3,NULL),(16,3012913,'1991-04-09 00:00:00',4,6,11,2008,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241215111431466833475122610133092',6955,'1026',54.37,1,3,NULL),(16,3012921,'1990-12-16 00:00:00',2,1,11,2007,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241313272711569653575122133217052',4395,'270',60.03,1,3,NULL),(16,3012930,'1989-09-19 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241217272431469913575112133266092',2575,'270',65.08,1,3,NULL),(16,3012948,'1990-06-15 00:00:00',4,1,11,2007,'F','N','PEREQUÊ','PTO BELO','SC','124243241216371411647633275124132724162',8961,'1038',50.65,1,3,NULL),(16,3012956,'1991-11-01 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215421431468733575114610117092',1904,'270',67.56,1,3,NULL),(16,3012964,'1991-06-10 00:00:00',2,8,11,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242241216121731458633375112610166072',5731,'491',57.00,1,3,NULL),(16,3012972,'1988-10-28 00:00:00',4,1,12,2006,'F','N','JAÇANÃ','S PAULO','SP','125251251117472431448814571124610164127',4521,'9998',59.73,1,2,1),(16,3012980,'1990-09-27 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212372131469912575112131067041',16119,'270',36.88,1,3,NULL),(16,3012999,'1988-06-08 00:00:00',2,4,12,2005,'M','N','SÃO JOSÉ','FAXINAL GUEDES','SC','124241241141131411646511145125131144057',13417,'255',42.77,1,2,1),(16,3013014,'1981-08-18 00:00:00',2,1,12,2003,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124203206146142441235643235123341767187',1648,'9998',68.66,1,3,NULL),(16,3013030,'1988-05-04 00:00:00',2,1,12,2005,'M','N','CAANSVIEIERAS','FLORIANóPOLIS','SC','124241241116154231334623292124221364017',8096,'307',52.23,2,1,1),(16,3013049,'1991-01-31 00:00:00',4,1,11,2008,'M','N','FEDERAÇAO','SALVADOR','BA','105052051217131431346924575114610134042',7705,'9998',52.95,4,3,NULL),(16,3013057,'1989-12-18 00:00:00',4,2,12,2007,'F','N','EMBARÉ','SANTOS','SP','125252251216571741537614275122610164147',7388,'9998',53.54,1,3,NULL),(16,3013065,'1990-01-06 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124201201216142431227741312224610126077',13704,'9998',42.26,1,3,NULL),(16,3013073,'1991-08-13 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241216111432458621575124610117047',3401,'270',62.67,2,1,2),(16,3013090,'1991-09-18 00:00:00',4,1,11,2008,'F','N','PIONEIRO','PRIMAVERA LESTE','MT','111111111216161431436331575122610168012',NULL,'9998',25.93,1,3,NULL),(16,3013103,'1991-07-05 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124252241215121441336824595124610127112',7277,'723',53.75,1,3,NULL),(16,3013120,'1990-10-09 00:00:00',4,1,11,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111721366619295124610167015',NULL,'270',39.29,1,3,NULL),(16,3013138,'1992-05-04 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431459712574122610136182',NULL,'270',28.14,1,3,NULL),(16,3013146,'1989-07-07 00:00:00',4,1,12,2007,'M','N','PQ CELESTE','S JOSÉ R PRETO','SP','125251251425471411346532575122610135182',5441,'9998',57.61,1,3,NULL),(16,3013154,'1992-10-05 00:00:00',4,1,12,2008,'F','N','CENTRO','PALHOÇA','SC','124241241216151431449613575122610137147',NULL,'9997',19.01,1,3,NULL),(16,3013162,'1990-03-13 00:00:00',4,1,11,2007,'M','N','MORADA DO SOL','INDAIATUBA','SP','125253251216472431459319281124610164012',7443,'9998',53.42,4,3,NULL),(16,3013170,'1991-01-23 00:00:00',4,2,12,2008,'M','N','PADRE MARTINHO STEIN','TIMBÓ','SC','124243241217151411469632375124610136182',7394,'37',53.52,1,3,NULL),(16,3013189,'1992-01-22 00:00:00',2,2,12,2008,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241215121431479912472122610168192',10895,'87',47.20,1,3,NULL),(16,3013197,'1990-03-07 00:00:00',4,2,12,2007,'F','N','VILA NOVA','BLUMENAU','SC','124242241415472431359923574124610163147',562,'88',75.28,1,3,NULL),(16,3013200,'1992-01-24 00:00:00',2,2,12,2010,'M','S','ITOUPAVA CENTRAL','BLUMENAU','SC','124243248215271411456534474114610162197',NULL,'71',63.54,1,3,NULL),(16,3013219,'1989-12-19 00:00:00',4,1,12,2007,'F','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124242241216472431457814472114610134072',NULL,'1134',29.17,1,3,NULL),(16,3013227,'1966-01-18 00:00:00',5,1,12,1984,'F','N','CENTRO','FAXINAL GUEDES','SC','124241244216374431334312425115322226122',12066,'836',45.16,1,3,NULL),(16,3013235,'1991-03-05 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241116271751456734575124610163077',3622,'271',62.02,1,3,NULL),(16,3013243,'1984-10-22 00:00:00',4,1,12,2001,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216275431565633475114121227067',7454,'269',53.39,1,3,NULL),(16,3013251,'1991-04-19 00:00:00',2,1,11,2008,'F','N','SERRARIA','S JOSÉ','SC','124242241215271731356619495122610122012',8999,'738',50.58,1,3,NULL),(16,3013260,'1991-08-06 00:00:00',4,1,12,2008,'F','N','RIO BRANCO','PTO ALEGRE','RS','120202201217151431348634442122610123045',NULL,'9998',0.00,1,3,NULL),(16,3013278,'1990-06-20 00:00:00',2,1,12,2007,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124242241215472441536934575124610124047',3470,'1022',62.47,1,3,NULL),(16,3013308,'1990-12-07 00:00:00',4,10,11,2008,'F','N','CENTRO','TUBARÃO','SC','124242241215111431237827474122610134147',14903,'806',39.87,1,3,NULL),(16,3013324,'1990-02-05 00:00:00',4,1,12,2007,'M','N','PARQUE CIDADE NOVA','MARINGÁ','PR','116162161236471731579734445122610167062',NULL,'9998',48.97,1,3,NULL),(16,3013332,'1989-07-21 00:00:00',2,10,12,2008,'F','N','BOQUEIRÃO','CURITIBA','PR','116162161416471431346314371124610166072',NULL,'9998',22.41,1,3,NULL),(16,3013340,'1989-10-23 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216473311358914591112610166192',1972,'270',67.31,1,3,NULL),(16,3013359,'1991-05-12 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431478832575122610133182',8339,'270',51.72,1,3,NULL),(16,3013367,'1983-03-15 00:00:00',2,1,12,2000,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','224241241116374432221651445124610126147',NULL,'293',29.08,1,2,1),(16,3013375,'1991-08-06 00:00:00',4,3,12,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','124244241115471411369727472122610137012',NULL,'405',0.00,1,3,NULL),(16,3013383,'1991-02-15 00:00:00',4,1,11,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242241215112231558832475121610167092',3069,'270',63.60,1,3,NULL),(16,3013391,'1988-09-22 00:00:00',4,1,12,2007,'M','N','VILA BRANDINA','CAMPINAS','SP','125252256125471421338814275124610162147',6662,'9998',54.95,1,3,NULL),(16,3013405,'1990-07-18 00:00:00',2,1,7,2007,'M','N','ASA SUL','BRASÍLIA','DF','107074071216151411468829575122242967143',2703,'9998',64.67,1,3,NULL),(16,3013413,'1991-07-05 00:00:00',2,1,10,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124073241215111431358412575114610124032',NULL,'266',0.00,1,3,NULL),(16,3013421,'1991-11-11 00:00:00',2,10,11,2008,'F','N','CENTRO','GR PARá','SC','124241241215161751346914145124610124047',14244,'102',41.15,1,3,NULL),(16,3013430,'1991-04-19 00:00:00',4,4,12,2008,'F','N','CENTRO','TERRA N NORTE','MT','111111111116161431425315575125610154142',NULL,'9998',0.00,1,3,NULL),(16,3013448,'1989-08-08 00:00:00',4,1,8,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124125288417472431269913572114133224092',812,'9998',73.36,1,3,NULL),(16,3013456,'1989-07-07 00:00:00',2,1,12,2007,'F','N','CENTRO','S JOSÉ CAMPOS','SP','125131126217471431636314475122610164142',16419,'9998',35.83,1,3,NULL),(16,3013464,'1991-02-21 00:00:00',4,10,12,2008,'M','N','OFICINAS','TUBARÃO','SC','124241246216131431547313374222610167067',9675,'1120',49.38,1,3,NULL),(16,3013472,'1991-04-07 00:00:00',4,8,11,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242248215122431456823374122610144047',3944,'1063',61.22,1,3,NULL),(16,3013499,'1989-07-25 00:00:00',4,8,12,2006,'F','N','SAGUAÇÚ','JOINVILLE','SC','124242246215573431448711375122130663147',428,'494',76.48,1,3,NULL),(16,3013502,'1989-06-01 00:00:00',2,6,12,2006,'F','N','VILA BRASIL','LONDRINA','PR','116162161116513411246931575124610168177',6967,'9998',54.35,1,3,NULL),(16,3013529,'1989-12-14 00:00:00',4,1,12,2007,'F','N','PONTE GRANDE','MOGI CRUZES','SP','125252251215472431568813575124610151092',11965,'9998',45.33,1,3,NULL),(16,3013545,'1989-04-02 00:00:00',2,1,12,2006,'M','N','ARIRÚ DA FORMIGA','PALHOÇA','SC','124243241115371431433319475124610114173',11692,'591',45.84,1,3,NULL),(16,3013553,'1991-02-10 00:00:00',2,3,11,2008,'F','N','CENTRO','S MATEUS SUL','PR','116164161416271721466732222112343234187',NULL,'9998',0.00,1,3,NULL),(16,3013561,'1988-11-22 00:00:00',2,1,11,2007,'M','N','ST DOS FUNCIONÁRIOS','GOIÂNIA','GO','109094091416371411227714371121610127092',7874,'9998',52.65,1,3,NULL),(16,3013570,'1991-04-22 00:00:00',2,1,11,2008,'F','N','JARDIM EUROPA','BIGUAçU','SC','124242241215111431427934442124610122197',7512,'1022',53.31,1,3,NULL),(16,3013588,'1990-08-21 00:00:00',4,8,12,2007,'M','N','TABOÃO','CURITIBA','PR','116162161217471441289923575122610124172',546,'9998',75.43,1,3,NULL),(16,3013596,'1988-09-06 00:00:00',4,1,12,2007,'F','N','JARDIM CIDADE','S JOSÉ','SC','124241247227131711536314242224610157147',NULL,'9999',17.20,1,3,NULL),(16,3013600,'1991-01-09 00:00:00',2,1,12,2008,'F','N','CENTRO','ANITÁPOLIS','SC','124241241115132751444329584121610127142',2422,'19',65.62,1,2,1),(16,3013618,'1989-06-13 00:00:00',4,1,12,2006,'M','N','SCHRAMM','S BENTO SUL','SC','116242241216571411347633134124610164177',1080,'699',71.56,1,3,NULL),(16,3013642,'1991-12-26 00:00:00',4,9,12,2008,'F','N','BARRA DO TROMBUDO','RIO SUL','SC','124242241216131431643532245124610123182',7423,'991',53.47,1,3,NULL),(16,3013650,'1990-02-23 00:00:00',4,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241316572431557612275124610124012',4724,'1022',59.25,1,3,NULL),(16,3013669,'1991-06-30 00:00:00',4,8,11,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124244241225371431238923575124610126017',14780,'486',40.11,4,3,NULL),(16,3013685,'1991-04-18 00:00:00',2,4,12,2008,'F','N','JARDIM ITÁLIA','CHAPECó','SC','124241241215171731449313395122610164092',16178,'1046',36.71,1,3,NULL),(16,3013693,'1991-03-30 00:00:00',4,8,11,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241216122431537914275122610127042',7332,'491',53.65,1,3,NULL),(16,3013707,'1990-02-28 00:00:00',4,1,10,2008,'F','N','PARQUE SAO JORGE','FLORIANÓPOLIS','SC','124242248215113411428814245114610165047',NULL,'1022',34.37,1,3,NULL),(16,3013715,'1990-10-26 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116132731444633245112610144147',NULL,'592',34.38,1,2,1),(16,3013723,'1991-02-18 00:00:00',2,1,12,2008,'F','N','BATISTA CAMPOS','BELéM','PA','114142141236111431478933571124610164072',2411,'9998',65.67,1,3,NULL),(16,3013731,'1991-01-03 00:00:00',4,8,11,2008,'M','N','GUANABARA','JOINVILLE','SC','124241248215121431578432274122610164012',7025,'486',54.24,1,3,NULL),(16,3013740,'1986-04-04 00:00:00',2,1,11,2003,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124243241116375431529923594124610143142',2457,'271',65.49,1,3,NULL),(16,3013758,'1990-12-18 00:00:00',2,8,12,2008,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124243241215111411468614575124610124012',NULL,'1016',0.00,1,3,NULL),(16,3013766,'1989-01-25 00:00:00',4,1,12,2006,'M','N','BELA VISTA I','S JOSÉ','SC','124241241116132431436334285123610157057',12928,'307',43.62,1,2,1),(16,3013774,'1990-04-25 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124243241226272431447629395124610168052',6400,'262',55.47,1,3,NULL),(16,3013782,'1989-12-12 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124242241217142411478834441124610164141',11925,'737',45.40,1,3,NULL),(16,3013790,'1989-07-21 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241216372731233722245122230217142',NULL,'1022',16.75,1,3,NULL),(16,3013804,'1991-09-13 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431556814592122613227072',8304,'262',51.78,1,3,NULL),(16,3013820,'1991-12-15 00:00:00',2,1,11,2008,'M','N','KOBRASOL','S JOSÉ','SC','124243248215372431566719475124610127052',9488,'269',49.75,1,3,NULL),(16,3013839,'1991-03-27 00:00:00',4,1,12,2008,'M','N','MIGUEL SUTIL','CUIABÁ','MT','111112111215111431478832575122610167187',7464,'9998',53.38,1,3,NULL),(16,3013847,'1982-12-24 00:00:00',4,1,12,2001,'M','N','ROÇADO','S JOSÉ','SC','124243243116373421448633445123610142057',7769,'306',52.83,3,3,NULL),(16,3013855,'1990-07-02 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241435111731656612172124610163142',NULL,'269',13.99,1,3,NULL),(16,3013871,'1990-06-05 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124072241215272431548611592124610165147',4119,'272',60.72,1,3,NULL),(16,3013880,'1991-02-13 00:00:00',4,8,12,2008,'F','N','IRIRIÚ','JOINVILLE','SC','124241241111131111434634575122610116147',NULL,'470',22.27,1,2,1),(16,3013898,'1991-07-02 00:00:00',4,10,11,2008,'M','N','CENTRO','LAGUNA','SC','124241241117131431458923575114610116032',9857,'1034',49.05,1,2,1),(16,3013901,'1992-09-02 00:00:00',4,3,10,2008,'M','N','CENTRO','TIJUCAS','SC','124242241211111431434612571124610127042',8102,'266',52.22,1,3,NULL),(16,3013910,'1990-07-24 00:00:00',2,8,11,2008,'F','N','SITIO CERCADO','CURITIBA','PR','116161161115471431554923575124610137187',NULL,'9998',0.00,4,1,1),(16,3013928,'1991-09-23 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431568614575122610126142',9531,'262',49.67,1,3,NULL),(16,3013936,'1991-10-12 00:00:00',4,1,12,2008,'M','N','SANTA FÉ','CPO GRANDE','MS','112122121216121431358632575112610137092',3658,'9998',61.94,1,3,NULL),(16,3013944,'1991-02-21 00:00:00',4,8,12,2008,'F','N','CENTRO','JARAGUá SUL','SC','124242241216111431346921574122610138142',14673,'459',40.34,1,3,NULL),(16,3013979,'1991-09-20 00:00:00',4,1,12,2008,'F','N','JD SANTA GENEBRA','CAMPINAS','SP','125252251215121431668611575112610164142',1526,'9998',69.22,1,3,NULL),(16,3013987,'1988-04-09 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241217273431158511495122231227052',NULL,'959',17.90,1,3,NULL),(16,3014002,'1985-03-31 00:00:00',4,1,12,2003,'M','N','ALTO DA COLINA','AVARé','SP','125254251314271731233721485113610167112',14277,'9998',41.10,1,3,NULL),(16,3014029,'1989-02-24 00:00:00',4,1,12,2006,'F','N','CIDADE VARGAS','S PAULO','SP','125252251216571431679813571125610124092',3187,'9998',63.31,4,3,NULL),(16,3014037,'1990-08-16 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241412112441436933571124610137187',NULL,'1022',46.25,1,3,NULL),(16,3014045,'1991-05-06 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215171121446634575112610117051',NULL,'1011',36.71,1,3,NULL),(16,3014053,'1991-07-31 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241115371731326669245124610163142',NULL,'307',21.81,1,3,NULL),(16,3014061,'1989-01-11 00:00:00',2,1,12,2007,'M','N','PARQUE DAS INDÚSTRIA','LONDRINA','PR','116161161316135411524419395121610142182',NULL,'9998',33.58,3,3,NULL),(16,3014096,'1991-03-06 00:00:00',2,10,12,2008,'F','N','SAO BASILIO','BRAçO NORTE','SC','124243248317111532566634335122610117147',16430,'950',35.79,1,3,NULL),(16,3014100,'1992-03-26 00:00:00',2,4,11,2008,'M','N','SÃO SEBASTIÃO','PTE SERRADA','SC','124242241216131431428724575114611966177',3044,'1081',63.68,1,3,NULL),(16,3014118,'1991-04-08 00:00:00',4,1,2,2008,'M','N','LESTE UNIVERSITÁRIO','GOIÂNIA','GO','109092091217111751668833575112610164072',1001,'9998',72.07,1,3,NULL),(16,3014126,'1988-09-22 00:00:00',4,8,12,2006,'M','N','GLORIA','JOINVILLE','SC','124244241215573231441661484115230742187',1326,'486',70.23,3,3,NULL),(16,3014134,'1990-01-05 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241216133431558813295122221513142',5943,'424',56.47,1,3,NULL),(16,3014150,'1991-01-25 00:00:00',2,8,12,2008,'M','N','JARDIM GUADALAJARA','COLOMBO','PR','116161161216111431534611275124610127092',NULL,'9998',24.81,4,3,NULL),(16,3014169,'1991-05-25 00:00:00',4,2,10,2008,'M','N','CENTRO','BLUMENAU','SC','124252241215121431456832574124610146092',141,'87',80.17,1,3,NULL),(16,3014177,'1991-03-02 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162241215121431244531575124610161095',5929,'1022',56.49,1,3,NULL),(16,3014185,'1991-08-17 00:00:00',2,3,11,2008,'F','N','CENTRO','UNIÃO VITÓRIA','PR','116243241216131731538613575122610124117',15729,'632',37.99,1,3,NULL),(16,3014193,'1989-09-23 00:00:00',4,1,12,2007,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124241241215272431558811475124132847141',1090,'269',71.51,1,3,NULL),(16,3014207,'1987-07-03 00:00:00',4,5,6,2005,'M','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124241246217152432337644345112231467042',7657,'230',53.04,1,3,NULL),(16,3014215,'1991-01-07 00:00:00',4,1,12,2008,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244241112152431529923475124610168142',6091,'271',56.15,1,3,NULL),(16,3014223,'1984-02-11 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215374411488613475115331068197',2030,'269',67.09,1,3,NULL),(16,3014231,'1984-11-03 00:00:00',2,1,12,2003,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224201205116132431333854335124122236187',NULL,'9998',27.63,4,1,1),(16,3014240,'1990-04-06 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472441469814574115610127092',1963,'270',67.33,1,3,NULL),(16,3014258,'1990-10-26 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241248116371751434614392114610137047',12821,'733',43.81,1,2,1),(16,3014266,'1987-12-26 00:00:00',1,8,12,2005,'F','N','VILA MARIANA','S PAULO','SP','125252251216571441467413571122610134072',12025,'9998',45.23,1,3,NULL),(16,3014274,'1990-05-07 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124241241117272431546639242135610134147',NULL,'169',26.33,1,2,1),(16,3014282,'1989-06-19 00:00:00',4,1,12,2006,'M','N','CENTRO','SANTA MARIA','RS','120202201217473431458613575324610164052',3273,'9998',63.08,1,3,NULL),(16,3014290,'1990-04-28 00:00:00',2,1,12,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC','124244241116372431438524245124610157143',11039,'281',46.95,1,3,NULL),(16,3014304,'1990-08-09 00:00:00',4,1,12,2008,'F','N','MORUMBI','CPO GRANDE','MS','112122121211471711469933171122610124092',NULL,'9998',27.77,1,3,NULL),(16,3014312,'1989-10-19 00:00:00',4,1,11,2008,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241217111431389822525122610167052',NULL,'270',44.49,1,3,NULL),(16,3014339,'1988-09-09 00:00:00',2,1,12,2007,'M','N','REAL PARQUE','S JOSÉ','SC','124241241137271431323311285114610127047',NULL,'734',27.44,4,1,1),(16,3014355,'1992-08-18 00:00:00',4,2,12,2009,'F','S','ASILO','BLUMENAU','SC','124242241216111431248612215124610124147',NULL,'71',55.21,1,3,NULL),(16,3014363,'1990-09-25 00:00:00',2,5,12,2007,'M','N','CENTRO','FORQUILHINHA','SC','124242241215372431537611372224610143147',1459,'995',69.53,1,3,NULL),(16,3014371,'1990-06-28 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241217372431568833574112610164112',5819,'270',56.75,1,3,NULL),(16,3014380,'1991-01-04 00:00:00',2,1,12,2007,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241215372441559823575114610164142',2634,'1014',64.88,1,3,NULL),(16,3014398,'1991-08-07 00:00:00',4,8,12,2008,'M','N','PIRABEIRABA','JOINVILLE','SC','124243246217171411245627575124610166032',14471,'1105',40.74,1,3,NULL),(16,3014401,'1980-04-08 00:00:00',2,1,12,1997,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241211153711328833314112533166197',NULL,'270',0.00,1,3,NULL),(16,3014410,'1989-04-25 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANóPOLIS','SC','124162161215572451255812574124610166187',999,'9998',72.07,1,3,NULL),(16,3014428,'1989-07-15 00:00:00',4,8,12,2006,'M','N','AGUA VERDE','CURITIBA','PR','116162161214573711489931571122610167042',1740,'9998',68.24,1,3,NULL),(16,3014444,'1991-06-23 00:00:00',4,6,12,2008,'M','N','CENTRO','ITAJAÍ','SC','124242241215121431338833575125610162192',528,'1026',75.55,1,3,NULL),(16,3014452,'1990-04-20 00:00:00',2,1,12,2007,'F','N','REGINA CELIA','CRUZEIRO','SP','125252251215371431549814571122610164197',9855,'9998',49.05,1,3,NULL),(16,3014460,'1987-04-11 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124203243216373331467712375124140727012',1450,'9998',69.55,1,3,NULL),(16,3014479,'1991-03-03 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241215121411547912345124610166152',4329,'270',60.18,1,3,NULL),(16,3014487,'1992-06-14 00:00:00',4,4,12,2009,'M','S','COLATTO','XANXERÊ','SC','124244241216111431478811572122610134052',NULL,'836',55.25,1,3,NULL),(16,3014495,'1979-08-02 00:00:00',2,1,12,2004,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241248142134431343319585115610124047',NULL,'9997',21.82,2,3,NULL),(16,3014509,'1991-11-17 00:00:00',2,4,11,2008,'M','N','BELA VISTA','CHAPECÓ','SC','124243241316121431546412595124610168052',NULL,'185',25.72,1,3,NULL),(16,3014517,'1988-12-18 00:00:00',4,1,12,2006,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124251251127131411426311145124141946147',NULL,'9998',26.28,4,2,1),(16,3014525,'1987-05-11 00:00:00',2,1,12,2002,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124201201127112451123349295121610166147',NULL,'9998',24.23,1,3,NULL),(16,3014533,'1982-11-23 00:00:00',2,1,7,2002,'F','N','CAMINHO NOVO','PALHOçA','SC','124243241337132731447833345124132814153',NULL,'596',26.00,1,3,NULL),(16,3014541,'1990-12-25 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217372531369934395115610164042',748,'270',73.87,1,3,NULL),(16,3014550,'1989-01-26 00:00:00',2,6,11,2007,'M','N','VILA CLEMENTINO','S PAULO','SP','125254251217272441348834146121610147112',4162,'9998',60.61,1,3,NULL),(16,3014568,'1987-08-08 00:00:00',2,4,1,2005,'M','N','CENTRO','RESTINGA SECA','RS','120201201117471432438321572224610167052',2463,'9998',65.46,1,2,1),(16,3014576,'1990-04-15 00:00:00',4,4,12,2007,'F','N','CENTRO','PINHALZINHO','SC','124241241114271751448614395132610128187',NULL,'616',26.05,1,2,1),(16,3014584,'1985-04-25 00:00:00',4,1,11,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224241247112232531323454292324610142092',15952,'9999',37.35,1,3,NULL),(16,3014592,'1992-05-27 00:00:00',4,10,12,2008,'M','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124241241115271731459611575124610138012',15896,'332',37.49,1,2,1),(16,3014606,'1988-09-17 00:00:00',4,2,12,2005,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241215572431579931571114131466192',NULL,'855',0.00,1,3,NULL),(16,3014614,'1991-06-29 00:00:00',4,7,11,2008,'M','N','CENTRO','IPIRA','SC','124242241432411531449814576114610164112',4868,'446',58.94,4,3,NULL),(16,3014622,'1991-12-11 00:00:00',4,1,11,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215112431479713575114610122181',5251,'270',57.99,1,3,NULL),(16,3014630,'1988-01-19 00:00:00',2,1,12,2005,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124243241115374431539923572124610133182',2095,'271',66.82,1,3,NULL),(16,3014649,'1990-08-23 00:00:00',4,4,12,2008,'M','N','BORTOLON','XANXERÊ','SC','124243241336131431333624345122610161097',NULL,'840',0.00,1,3,NULL),(16,3014665,'1991-08-30 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111431447814575122610127042',4672,'262',59.38,1,3,NULL),(16,3014673,'1990-06-10 00:00:00',4,4,11,2007,'F','N','FLORESTA','MONDAí','SC','124243241216371411457834574114610124142',NULL,'752',0.00,1,3,NULL),(16,3014681,'1990-12-02 00:00:00',4,4,12,2007,'F','N','CAMBUCICA','RIQUEZA','SC','124241241116131431453923372122610167052',NULL,'674',0.00,1,2,1),(16,3014690,'1991-02-18 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124243241217271451467833572124610161187',7890,'299',52.61,1,3,NULL),(16,3014703,'1990-09-18 00:00:00',4,1,12,2007,'F','N','GONZAGA','SANTOS','SP','125252251215472431368822241114610164112',NULL,'9998',27.91,1,3,NULL),(16,3014738,'1988-09-29 00:00:00',2,3,12,2006,'F','N','MONTE ALEGRE','CAMBORIÚ','SC','224241241116131751223354445123610163027',NULL,'131',25.38,1,2,1),(16,3014746,'1991-04-11 00:00:00',2,1,11,2008,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215111431353614572124610127012',10571,'270',47.79,1,3,NULL),(16,3014754,'1986-01-25 00:00:00',2,1,12,2003,'F','N','FLORESTA','S JOSÉ','SC','624241243417372441246853215124610138172',6268,'303',55.75,1,3,NULL),(16,3014770,'1987-04-13 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241216573431653711572114610161097',7395,'1134',53.52,1,3,NULL),(16,3014797,'1991-08-17 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217122431466911575124610142193',7245,'270',53.82,1,3,NULL),(16,3014800,'1986-03-08 00:00:00',2,8,12,2002,'F','N','SAGUAÇÚ','JOINVILLE','SC','224282241215571431347854375125610126092',7385,'456',53.55,1,3,NULL),(16,3014819,'1990-07-03 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124162161216472431486932475114610134042',678,'9998',74.36,3,3,NULL),(16,3014835,'1991-12-14 00:00:00',2,5,11,2008,'F','N','CENTRO','SOMBRIO','SC','124242241215322431448614192124610128077',11636,'970',45.94,1,3,NULL),(16,3014843,'1991-03-06 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124213241215111431569913375124610127015',14134,'1022',41.37,1,3,NULL),(16,3014851,'1990-09-24 00:00:00',2,5,12,2007,'F','N','SANTO ANTÔNIO','NOVA VENEZA','SC','124244241216272431436416271124131026157',5852,'995',56.68,1,3,NULL),(16,3014886,'1991-10-01 00:00:00',4,2,11,2008,'F','N','JARDIM SANTA MARIA','JACAREÍ','SP','125252251216111431235822245122610163077',9042,'9998',50.51,1,3,NULL),(16,3014894,'1990-12-18 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241212472431256834572124610123073',10144,'1022',48.53,1,3,NULL),(16,3014908,'1990-02-02 00:00:00',4,1,12,2007,'M','N','JARDIM','STA RITA P QUATRO','SP','125254251216471431479714574122610167047',8335,'9998',51.72,1,3,NULL),(16,3014916,'1991-08-26 00:00:00',4,1,12,2008,'M','N','BALNEÁRIO SÃO JOSÉ','S PAULO','SP','125252251217271431255524275124610148147',639,'9998',74.61,1,3,NULL),(16,3014924,'1991-05-27 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241215211451338924575112610134145',7092,'1133',54.11,1,3,NULL),(16,3014932,'1991-08-27 00:00:00',4,1,12,2008,'F','N','MENINO DEUS','PTO ALEGRE','RS','120204201217211431468831575122610165073',16388,'9998',36.02,1,3,NULL),(16,3014940,'1991-09-09 00:00:00',4,1,12,2008,'M','N','ZONA SETE','MARINGÁ','PR','116252161215121431379813585115610125072',6380,'9998',55.53,4,3,NULL),(16,3014959,'1991-03-21 00:00:00',4,1,12,2008,'M','N','CENTRO','STA RITA SAPUCAÍ','MG','113212136217271731238814575125610164142',NULL,'9998',35.89,1,3,NULL),(16,3014967,'1980-06-24 00:00:00',4,8,12,1997,'F','N','BATEL','CURITIBA','PR','116162161216341211458811481132341462127',NULL,'9998',0.00,1,3,NULL),(16,3014983,'1990-08-20 00:00:00',2,9,12,2007,'M','N','CENTRO','S JOSé CERRITO','SC','124244242117271421459814562224610127052',NULL,'741',0.00,1,3,NULL),(16,3014991,'1980-01-16 00:00:00',2,1,12,2003,'M','N','TAPERA','FLORIANÓPOLIS','SC','124243241617432441623318112224610133157',NULL,'9999',29.37,4,1,2),(16,3015009,'1987-06-30 00:00:00',4,1,12,2004,'F','N','S JDO RIO VERMELHO','FLORIANÓPOLIS','SC','224201201116151431223653342124141313197',NULL,'9998',0.00,1,2,1),(16,3015017,'1990-05-01 00:00:00',4,10,12,2007,'F','N','PRAIA REDONDA','TUBARãO','SC','124241241117132431424623285123120224177',8970,'1034',50.63,1,2,1),(16,3015025,'1990-07-09 00:00:00',2,1,7,2008,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241115371431567717345124610123117',5151,'306',58.24,1,3,NULL),(16,3015033,'1992-01-22 00:00:00',4,6,12,2008,'M','N','CONJUNTO VERONA','PNT GROSSA','PR','116164161216121431343624575122610127072',1850,'9998',67.82,1,3,NULL),(16,3015050,'1990-12-18 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124244241415111731335634575114610132142',NULL,'269',28.08,1,3,NULL),(16,3015068,'1991-04-10 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241215121431449413575124610134125',7849,'1022',52.68,1,3,NULL),(16,3015076,'1990-05-13 00:00:00',4,5,11,2007,'M','N','CIDADE ALTA','ARARANGUá','SC','124242241215473431446632345122610167052',1020,'807',71.98,1,3,NULL),(16,3015084,'1991-03-25 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241215572321586619172114610162122',4777,'270',59.12,1,3,NULL),(16,3015092,'1990-02-07 00:00:00',4,1,12,2007,'M','N','JD SÃO FRANCISCO','CUBATÃO','SP','125254251236571411366823571124610166042',6070,'9998',56.19,1,3,NULL),(16,3015106,'1991-03-11 00:00:00',4,7,11,2008,'F','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241215472421446811172122610166092',13862,'446',41.91,1,3,NULL),(16,3015114,'1990-04-16 00:00:00',2,5,12,2007,'M','N','SÃO JOÃO','COCAL SUL','SC','124241241235142431224511345121610122057',10754,'920',47.45,1,3,NULL),(16,3015122,'1992-08-04 00:00:00',4,3,11,2009,'F','S','MEIA PRAIA','ITAPEMA','SC','124242241217111431468619574124610123197',NULL,'9997',38.76,1,3,NULL),(16,3015149,'1989-04-23 00:00:00',2,1,12,2007,'M','N','PRIMAVERA II','PRIMAVERA LESTE','MT','111111111215472431336612375124610167012',9711,'9998',49.32,1,3,NULL),(16,3015157,'1990-07-16 00:00:00',4,1,12,2007,'M','N','ASA NORTE','BRASÍLIA','DF','107072071216471311368923575112610167187',4494,'9998',59.78,1,3,NULL),(16,3015165,'1991-01-22 00:00:00',4,8,12,2008,'F','N','CENTRO','ITAIÓPOLIS','SC','124241161216111431348633572122610124057',8717,'9998',51.05,1,3,NULL),(16,3015173,'1991-03-08 00:00:00',2,4,12,2008,'M','N','CENTRO','CEL FREITAS','SC','124241241145131731423314292125610125177',14319,'199',41.01,1,2,1),(16,3015181,'1990-03-30 00:00:00',4,1,11,2007,'M','N','JARDIM AMÉRICA','PAULÍNIA','SP','125252251114571411579932575112610167052',10761,'9998',47.44,1,3,NULL),(16,3015190,'1986-01-06 00:00:00',4,1,12,2004,'M','N','JARDIM ANA MARIA','JUNDIAI','SP','125252251217573431578912571122610167127',384,'9998',76.99,1,3,NULL),(16,3015203,'1991-03-10 00:00:00',4,1,11,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','124242241215112431628614372124610123017',6008,'270',56.34,1,3,NULL),(16,3015220,'1990-04-29 00:00:00',2,1,11,2008,'F','N','PICADAS DO SUL','S JOSÉ','SC','124243241216111231633623395124610168187',NULL,'1022',28.14,1,3,NULL),(16,3015238,'1991-06-23 00:00:00',2,1,12,2008,'F','N','BELA VISTA III','S JOSÉ','SC','124241241215112431438814272124610163187',8385,'738',51.62,1,3,NULL),(16,3015246,'1991-09-20 00:00:00',4,1,11,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215273431477911575124610127142',2687,'270',64.72,1,3,NULL),(16,3015254,'1991-05-05 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431468812425112610127092',3394,'270',62.69,1,3,NULL),(16,3015262,'1990-01-15 00:00:00',4,1,12,2007,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125252252217472531389934572112610167092',3389,'9998',62.72,1,3,NULL),(16,3015270,'1991-07-22 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431256923475124610134182',5327,'270',57.82,1,3,NULL),(16,3015289,'1989-09-12 00:00:00',4,4,12,2006,'M','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120204201416571741668614575124610164177',3379,'9998',62.76,1,3,NULL),(16,3015300,'1982-11-29 00:00:00',2,1,12,2000,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241245147132411324554282124232766182',10327,'293',48.21,4,3,NULL),(16,3015319,'1988-06-27 00:00:00',4,1,12,2005,'M','N','PINHEIROS','S PAULO','SP','125252251216571431649831572124610147057',245,'9998',78.60,1,3,NULL),(16,3015327,'1991-04-22 00:00:00',2,8,12,2008,'M','N','ZONA RURAL','RONDON','PR','116163161116371431648931575125610117057',3928,'9998',61.25,1,3,NULL),(16,3015343,'1984-06-28 00:00:00',2,1,12,2001,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241131475431436513341124610134147',NULL,'307',36.08,2,1,1),(16,3015351,'1979-09-11 00:00:00',2,1,7,2003,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124071077127231721123144142124610122187',NULL,'9998',22.19,4,2,1),(16,3015360,'1991-07-19 00:00:00',2,1,12,2008,'F','N','JARDIM PARAÍSO','BANDEIRANTES','PR','116162161237121431336931572122610114092',11398,'9998',46.35,1,3,NULL),(16,3015378,'1991-04-08 00:00:00',2,8,12,2008,'F','N','PARQUE SAO PAULO','CASCAVEL','PR','116162161215111431348829572125610126187',1263,'9998',70.61,1,3,NULL),(16,3015386,'1991-04-24 00:00:00',4,1,12,2008,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241211111431548811212324610167052',11362,'269',46.39,1,3,NULL),(16,3015408,'1989-01-29 00:00:00',2,1,12,2007,'M','N','JARDIM CIDADE','S JOSé','SC','124241241127141431433312185124130827022',NULL,'734',31.87,1,2,1),(16,3015416,'1987-12-08 00:00:00',2,1,12,2008,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241126141632634311341324610134147',NULL,'288',20.46,1,3,NULL),(16,3015424,'1991-07-22 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215122712469814376112610124185',1539,'1022',69.18,1,3,NULL),(16,3015432,'1987-09-14 00:00:00',4,1,12,2007,'F','N','RESIDENCIAL FLORENÇA','RIO CLARO','SP','125252251216371431238322224122610121117',NULL,'9998',25.55,1,3,NULL),(16,3015440,'1991-02-05 00:00:00',4,1,12,2008,'M','N','JD SANTA CLARA','GUARULHOS','SP','125252251216151431468834175124610167077',16443,'9998',35.74,3,3,NULL),(16,3015459,'1990-05-10 00:00:00',2,1,12,2007,'F','N','PACHECOS','PALHOÇA','SC','124241241226371431456953375124610133127',14441,'262',40.81,1,3,NULL),(16,3015467,'1991-10-27 00:00:00',4,8,11,2008,'F','N','CENTRO','CURITIBA','PR','116162161217111431348831572112610164122',NULL,'9998',29.75,1,3,NULL),(16,3015475,'1990-07-28 00:00:00',4,8,12,2007,'M','N','CENTRO','JARAGUÁ SUL','SC','124241246215471751559913375124610164177',151,'1061',79.98,4,3,NULL),(16,3015483,'1990-07-27 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116254251217471431468836472122610132012',8913,'9998',50.72,1,3,NULL),(16,3015491,'1990-11-13 00:00:00',4,1,12,2008,'M','N','MEDIANEIRA','PANAMBI','RS','120201201117161431459614445124610128092',11042,'9998',46.95,1,2,1),(16,3015505,'1991-11-13 00:00:00',4,1,12,2008,'F','N','CENTRO','PEABIRU','PR','116164161217121431536712272124610144197',NULL,'9998',0.00,1,3,NULL),(16,3015513,'1991-10-02 00:00:00',4,1,10,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241415471431456923435124610144127',13085,'1022',43.35,4,3,NULL),(16,3015521,'1992-03-06 00:00:00',4,1,12,2008,'F','N','CENTRO','RONDONÓPOLIS','MT','111112111212151431336532572123610143072',4600,'9998',59.57,1,3,NULL),(16,3015530,'1985-09-08 00:00:00',4,8,12,2003,'M','N','ATIRADORES','JOINVILLE','SC','124162247246371231367723375122230222041',8454,'487',51.48,1,3,NULL),(16,3015548,'1991-08-29 00:00:00',4,1,12,2008,'M','N','VILA SÃO PAULO','CPO LIMPO PAULISTA','SP','125251251216471231446914572122610164057',NULL,'9998',21.04,1,3,NULL),(16,3015556,'1990-11-29 00:00:00',4,1,11,2008,'F','N','HORIZONTAL PARK II','COTIA','SP','125252251215271711358711371124610165022',NULL,'9998',0.00,1,3,NULL),(16,3015564,'1991-04-16 00:00:00',2,1,10,2008,'F','N','IPIRANGA','S JOSÉ','SC','124242241215111231479913472122610127142',2802,'266',64.39,1,3,NULL),(16,3015572,'1991-03-13 00:00:00',4,1,12,2008,'M','N','ROOSEVELT','UBERLÂNDIA','MG','113112131235111331477714575124610127182',NULL,'9998',0.00,4,3,NULL),(16,3015580,'1991-05-05 00:00:00',4,1,11,2008,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091216112231368814571122610167047',1601,'9998',68.90,4,3,NULL),(16,3015599,'1992-03-20 00:00:00',4,1,12,2009,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431289921572124610128187',NULL,'270',18.60,1,3,NULL),(16,3015602,'1991-04-25 00:00:00',4,8,12,2008,'F','N','OFICINAS','PNT GROSSA','PR','116162161211111411479911571122610167092',11735,'9998',45.76,1,3,NULL),(16,3015629,'1991-04-10 00:00:00',4,8,12,2008,'F','N','VILA OPERÁRIA','MARINGÁ','PR','116162161216111441428634575125610162147',NULL,'9998',0.00,3,3,NULL),(16,3015637,'1990-04-05 00:00:00',4,1,12,2008,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241415111331526633575124610124072',NULL,'9997',22.14,1,3,NULL),(16,3015645,'1989-11-30 00:00:00',4,1,12,2007,'M','N','JARDIM DOS ESTADOS','POÇOS CALDAS','MG','113131131217411431348713575121610137042',NULL,'9998',33.09,4,3,NULL),(16,3015653,'1991-06-20 00:00:00',4,1,12,2008,'F','N','CENTRO','CPO LARGO','PR','116162161215111411334314571124610166012',NULL,'9998',0.00,1,3,NULL),(16,3015661,'1989-11-27 00:00:00',4,1,11,2008,'F','N','CRISTO REDENTOR','PTO ALEGRE','RS','120241201417371431557814575122610136077',12939,'9998',43.61,1,3,NULL),(16,3015670,'1991-03-28 00:00:00',2,5,11,2008,'M','N','SANTA LUZIA','CRICIÚMA','SC','124244243216141411456332575124610148182',8954,'995',50.65,1,3,NULL),(16,3015688,'1990-04-10 00:00:00',4,1,11,2007,'F','N','MENINO DEUS','PTO ALEGRE','RS','120202201316272731356613575122610146197',5542,'9998',57.38,1,3,NULL),(16,3015696,'1989-08-28 00:00:00',4,8,12,2006,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124242241215573441438814472124140634032',3768,'422',61.67,1,3,NULL),(16,3015700,'1990-12-18 00:00:00',4,1,12,2008,'M','N','ABADIA','UBERABA','MG','113132131216221431554832575122610167052',4263,'9998',60.33,2,1,2),(16,3015726,'1988-01-15 00:00:00',2,1,12,2005,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241217474451468613395124230524197',7611,'1048',53.12,1,3,NULL),(16,3015734,'1990-11-12 00:00:00',4,10,12,2008,'F','N','BANDEIRANTES','CAPIVARI BAIXO','SC','124244241215121131456431415124610167047',NULL,'797',31.23,2,3,NULL),(16,3015742,'1990-02-22 00:00:00',4,1,12,2007,'F','N','RECREIO DAS ACACIAS','RIBEIRÃO PRETO','SP','125252251215471431569813575122610145122',2182,'9998',66.49,1,3,NULL),(16,3015750,'1988-06-28 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','125242241216573431378831575122610167092',463,'270',76.11,1,3,NULL),(16,3015769,'1989-10-02 00:00:00',4,1,12,2007,'F','N','ICARAI','NITERÓI','RJ','121212211216371711488823575114610122142',NULL,'9998',0.00,1,3,NULL),(16,3015777,'1990-03-12 00:00:00',2,5,12,2008,'M','N','CENTRO','BAL ARROIO SILVA','SC','124244241215371431446611375122610117141',NULL,'970',50.14,1,3,NULL),(16,3015785,'1991-01-02 00:00:00',4,1,12,2008,'M','N','SÃO PELEGRINO','CAXIAS SUL','RS','120202208216111531357633575114610127053',NULL,'9998',32.43,1,3,NULL),(16,3015793,'1991-02-18 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122531459833595112610167062',1249,'270',70.67,1,3,NULL),(16,3015815,'1991-11-25 00:00:00',4,1,12,2009,'M','S','TRINDADE','FLORIANóPOLIS','SC','124241241117151511369933575124610124115',NULL,'267',52.59,1,3,NULL),(16,3015823,'1991-04-06 00:00:00',4,8,11,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241217111431457614575122610162197',4941,'424',58.76,1,3,NULL),(16,3015831,'1990-03-27 00:00:00',4,1,12,2007,'F','N','ASA NORTE','BRASÍLIA','DF','107072071217412431578734442122610124022',2971,'9998',63.91,1,3,NULL),(16,3015840,'1990-01-25 00:00:00',4,3,12,2006,'M','N','CENTRO','CAMBORIÚ','SC','124242243137473431336512574124610126092',476,'129',75.99,1,3,NULL),(16,3015858,'1991-01-05 00:00:00',4,8,12,2008,'M','N','CENTRO','CASCAVEL','PR','116162161215121431445811272112610137121',5074,'9998',58.46,1,3,NULL),(16,3015866,'1987-04-15 00:00:00',2,1,12,2004,'M','N','LISBOA','S JOSé','SC','124243247341143421663339141124610124097',NULL,'9999',33.95,1,3,NULL),(16,3015874,'1991-06-04 00:00:00',2,1,11,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241415371421365721574122610167182',10280,'269',48.28,1,3,NULL),(16,3015882,'1991-01-07 00:00:00',4,8,12,2008,'F','N','CENTRO','PALMAS','PR','116162161215471431445832575112610166092',NULL,'9998',34.63,1,3,NULL),(16,3015890,'1985-10-26 00:00:00',2,1,12,2003,'M','N','BARREIROS','S JOSé','SC','624241241126133731223474441114610167052',13945,'257',41.76,1,2,1),(16,3015904,'1991-05-30 00:00:00',4,3,12,2008,'F','N','VILA RICA','CPO GRANDE','MS','112122121217471431478857175122610168192',NULL,'9998',0.00,1,3,NULL),(16,3015912,'1991-01-18 00:00:00',4,1,12,2008,'M','N','SETE DE SETEMBRO','IVOTI','RS','120242201216111431549934175124610134072',15587,'9998',38.34,1,3,NULL),(16,3015920,'1990-08-10 00:00:00',4,1,12,2007,'M','N','JARDIM EUROPA','ASSIS','SP','125252251217471711468811585122610164092',NULL,'9998',38.39,4,3,NULL),(16,3015939,'1991-03-12 00:00:00',4,1,12,2008,'F','N','SETOR JAÓ','GOIÂNIA','GO','109091091117371711568718375114610141052',3936,'9998',61.23,3,2,1),(16,3015955,'1991-11-04 00:00:00',4,5,12,2008,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124242241215121431227923495125610166192',8321,'970',51.75,4,3,NULL),(16,3015963,'1991-07-22 00:00:00',4,1,12,2007,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124112111216372441468834575114610162052',1007,'9998',72.02,1,3,NULL),(16,3015998,'1988-12-20 00:00:00',2,1,12,2005,'F','N','FORQUILHINHAS','S JOSÉ','SC','124204201216473431338133575124610134017',5681,'9998',57.12,4,3,NULL),(16,3016013,'1990-12-12 00:00:00',4,1,11,2008,'F','N','PARQUE DAS FLORES','CAMPINAS','SP','125252251215111411356714575122610137052',11155,'9998',46.73,1,3,NULL),(16,3016021,'1985-07-14 00:00:00',2,1,1,2004,'M','N','ESTHER','S PAULO','SP','125251251146471431223321481124610121057',11660,'9998',45.89,4,2,1),(16,3016030,'1991-02-02 00:00:00',4,1,12,2008,'F','N','COCAIA','ILHABELA','SP','125252251216111431537719495124610167047',NULL,'9998',0.00,1,3,NULL),(16,3016048,'1991-09-17 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111412478834571122610163142',NULL,'737',34.16,1,3,NULL),(16,3016056,'1991-07-21 00:00:00',4,8,11,2008,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215111431579919575111610127112',704,'491',74.21,1,3,NULL),(16,3016064,'1989-04-05 00:00:00',4,8,12,2006,'F','N','SÃO CRISTOVÃO','GUARAPUAVA','PR','116163161116151431333914172124141548187',NULL,'9998',0.00,1,3,NULL),(16,3016072,'1982-03-06 00:00:00',4,1,12,1999,'F','N','KOBRASOL','S JOSÉ','SC','124242241115575431369831475124121324141',435,'269',76.42,1,3,NULL),(16,3016080,'1990-12-01 00:00:00',2,1,12,2008,'F','N','SANTA MARIA','ANÁPOLIS','GO','109092091217121431436732575122610142142',NULL,'9998',0.00,1,3,NULL),(16,3016099,'1989-12-28 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241225572431677632572114610145182',5451,'486',57.59,1,3,NULL),(16,3016102,'1990-10-29 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241331111431326431345124610126147',15834,'977',37.67,1,3,NULL),(16,3016110,'1990-09-26 00:00:00',4,1,11,2008,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241217472231437813172114610132143',4940,'270',58.77,1,3,NULL),(16,3016129,'1979-04-12 00:00:00',4,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','624203207311131711333351341124141044097',NULL,'9998',0.00,1,3,NULL),(16,3016137,'1989-04-03 00:00:00',2,1,12,2006,'F','N','SETOR BUENO','GOIÂNIA','GO','109272271216572441459913572122610125182',9268,'9998',50.13,4,3,NULL),(16,3016145,'1991-10-16 00:00:00',4,8,11,2008,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431256612575122610124042',5566,'486',57.34,1,3,NULL),(16,3016161,'1991-02-08 00:00:00',4,4,11,2008,'F','N','CENTRO','S CARLOS','SC','124242241316151731345614575124610166187',10948,'185',47.12,1,3,NULL),(16,3016170,'1991-10-13 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215121731439924142124610117072',NULL,'1133',27.74,1,3,NULL),(16,3016188,'1990-08-02 00:00:00',4,1,11,2007,'M','N','ROÇADO','S JOSÉ','SC','124242241215152431459633572122230264182',11699,'738',45.83,1,3,NULL),(16,3016196,'1986-12-05 00:00:00',2,8,12,2004,'F','N','SERRA ALTA','S BENTO SUL','SC','124241241126131711433314344124610132147',NULL,'697',27.41,1,2,1),(16,3016200,'1988-06-23 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161161114271431456414345124141467043',7702,'9998',52.95,1,2,1),(16,3016218,'1990-11-26 00:00:00',4,8,12,2007,'F','N','CABRAL','CURITIBA','PR','116162161216572431469931571122610162077',NULL,'9998',0.00,1,3,NULL),(16,3016234,'1991-07-31 00:00:00',4,8,11,2008,'M','N','BOA VISTA','CURITIBA','PR','116164161215111431448714575124610167042',NULL,'9998',0.00,1,3,NULL),(16,3016250,'1991-10-24 00:00:00',4,1,12,2008,'M','N','CENTRO','NOVA TRENTO','SC','124244241215132421446632472124610137097',NULL,'948',0.00,1,3,NULL),(16,3016269,'1990-11-15 00:00:00',2,1,11,2008,'F','N','BROTAS','SALVADOR','BA','105052051217121411446612571124610126127',NULL,'9998',28.64,4,3,NULL),(16,3016277,'1958-01-15 00:00:00',2,1,8,1985,'M','N','BARREIROS','S JOSÉ','SC','524251257526131431332348182124131116197',15547,'9999',38.44,1,3,NULL),(16,3016307,'1988-11-22 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241315473431363813445124132822082',6117,'1046',56.11,1,3,NULL),(16,3016315,'1990-11-07 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241215472431676869341124230526051',8918,'1022',50.71,1,3,NULL),(16,3016331,'1991-02-14 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241315121431436829575114610112147',15888,'9997',37.51,1,3,NULL),(16,3016340,'1991-10-07 00:00:00',2,1,11,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215121731569913575112610166165',10770,'270',47.42,1,3,NULL),(16,3016358,'1990-11-07 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215171431369613575122610147072',6748,'262',54.77,1,3,NULL),(16,3016366,'1991-12-12 00:00:00',4,1,11,2008,'F','N','CANTO','FLORIANÓPOLIS','SC','124244241235111751458812575124610164077',5785,'723',56.85,1,3,NULL),(16,3016374,'1991-04-16 00:00:00',4,2,12,2008,'M','N','PROGRESSO','RIO SUL','SC','124243241215373431463823574125610124042',1187,'991',71.01,1,3,NULL),(16,3016404,'1988-09-23 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124242241215121421427831572121610112044',NULL,'1011',37.65,1,3,NULL),(16,3016412,'1989-01-09 00:00:00',4,1,12,2006,'M','N','RESIDENCIAL PRIMO','BOITUVA','SP','125253251214572441568832325122610164142',NULL,'9998',43.48,1,3,NULL),(16,3016420,'1990-11-15 00:00:00',4,1,12,2008,'F','N','SÃO JOSÉ','DIVINÓPOLIS','MG','113133131235111431443619275124610122147',7307,'9998',53.69,1,3,NULL),(16,3016447,'1989-10-21 00:00:00',4,1,12,2007,'M','N','JARDIM DAS DRACENAS','BARRA BONITA','SP','125252251216371231467714375112141217052',NULL,'9998',29.53,1,3,NULL),(16,3016455,'1990-06-29 00:00:00',4,1,12,2007,'M','N','UNIVERSITARIO','SAO JOSE DO RIO PRETO','SP','125252251215472431369911574122610167092',NULL,'9998',0.00,1,3,NULL),(16,3016463,'1991-10-15 00:00:00',4,8,12,2008,'F','N','CENTRO','S BENTO SUL','SC','124243241236111431539611395122610132013',10707,'1154',47.54,1,3,NULL),(16,3016480,'1991-12-11 00:00:00',5,8,12,2008,'F','N','VILA NOVA','JOINVILLE','SC','124244241215122411334633334122610162097',2105,'1016',66.77,1,3,NULL),(16,3016498,'1991-09-23 00:00:00',4,3,11,2008,'M','N','CENTRO','CAMBé','PR','116162161215111431488832571112610137142',NULL,'9998',0.00,1,3,NULL),(16,3016501,'1988-03-10 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216573431345921274124231132097',4873,'262',58.94,1,3,NULL),(16,3016510,'1990-11-27 00:00:00',4,1,11,2008,'F','N','CENTRO','SERTÃOZINHO','SP','125251251215421431337811575124610123092',NULL,'9998',0.00,1,3,NULL),(16,3016528,'1990-09-13 00:00:00',4,4,12,2008,'F','N','JARDIM ITALIA','CHAPECÓ','SC','124242241215372731468912274125610123172',7261,'983',53.79,1,3,NULL),(16,3016536,'1989-04-17 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241115473431335533382114121964147',5626,'271',57.21,1,2,1),(16,3016544,'1987-12-26 00:00:00',4,4,12,2005,'M','N','CENTRO','BARRACÃO','PR','116241241146471441668813275122610126047',6514,'245',55.25,1,2,1),(16,3016552,'1987-04-29 00:00:00',4,1,12,2003,'M','N','ASA NORTE','BRASÍLIA','DF','107072071216371731689913575122243162012',368,'9998',77.20,1,3,NULL),(16,3016560,'1990-09-11 00:00:00',4,1,12,2007,'M','N','BOTAFOGO','BENTO GONÇALVES','RS','120201201116272431347669385124610136182',15094,'9998',39.43,1,2,1),(16,3016579,'1990-07-07 00:00:00',2,1,12,2007,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124244241215372731565923372124610126157',NULL,'1048',36.88,1,3,NULL),(16,3016587,'1990-02-19 00:00:00',4,1,12,2008,'M','N','CENTRO','IGARAçU TIETê','SP','125252251216121711366412175112610152127',7142,'9998',54.02,1,3,NULL),(16,3016609,'1991-04-21 00:00:00',2,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124242241117141431459814241134610144147',14153,'739',41.32,1,3,NULL),(16,3016617,'1990-09-20 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217111411469813575122610126123',1561,'883',69.05,1,3,NULL),(16,3016641,'1986-01-14 00:00:00',2,1,12,2004,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241201115371731337631572124232664142',NULL,'9998',29.10,1,3,NULL),(16,3016650,'1989-01-23 00:00:00',4,5,11,2006,'F','N','CENTRO','CRICIÚMA','SC','124242241216573431436611585122610125197',15919,'210',37.45,1,3,NULL),(16,3016668,'1990-06-29 00:00:00',4,9,11,2007,'F','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124242241217372431569923576122231422196',1311,'497',70.29,1,3,NULL),(16,3016676,'1991-01-14 00:00:00',2,7,11,2007,'F','N','CENTRO','PTO ALEGRE','RS','120243241315473441466932575122610164092',6456,'1000',55.36,1,3,NULL),(16,3016684,'1990-02-09 00:00:00',4,6,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216272431446312345124231562092',NULL,'44',24.93,1,3,NULL),(16,3016692,'1991-04-19 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124241241215271431463852375114610162042',4019,'724',61.02,1,3,NULL),(16,3016706,'1991-04-13 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111431569922575122610127052',5714,'737',57.03,1,3,NULL),(16,3016714,'1990-04-03 00:00:00',2,1,12,2007,'F','N','HARMONIA','CANOAS','RS','120201201116571331446723575124610125182',5498,'9998',57.48,1,3,NULL),(16,3016730,'1979-03-14 00:00:00',2,1,12,1997,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124051051146133441123339282224222262093',13068,'9998',43.36,4,2,1),(16,3016749,'1991-06-06 00:00:00',4,8,11,2008,'F','N','AMÉRICA','JOINVILLE','SC','124244241215112432365923575122610164145',10060,'491',48.67,1,3,NULL),(16,3016765,'1986-07-21 00:00:00',4,1,12,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241236474711469714395124231263182',7203,'273',53.91,3,3,NULL),(16,3016781,'1990-06-26 00:00:00',4,1,12,2007,'F','N','CENTRO','MAIRIPORã','SP','125251251216471411658813271112610122012',11847,'9998',45.56,2,1,2),(16,3016790,'1991-11-04 00:00:00',4,1,12,2008,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161216111411469934575112610134097',5096,'9998',58.40,1,3,NULL),(16,3016803,'1991-11-16 00:00:00',2,7,11,2008,'F','N','SANTANA','RIO SUL','SC','124244247215111431556634572122610168142',16402,'991',35.93,1,3,NULL),(16,3016811,'1991-03-11 00:00:00',4,8,12,2008,'M','N','CRUZEIRO','SAO BENTO DO SUL','SC','124242241217151731458923592124610117042',NULL,'9997',29.30,1,3,NULL),(16,3016820,'1989-08-05 00:00:00',4,1,12,2006,'M','N','TREMEMBÉ','S PAULO','SP','125252251217571411389811215125610127042',2345,'9998',65.89,1,3,NULL),(16,3016838,'1984-04-29 00:00:00',2,1,12,2001,'F','N','CHÁCARA PAULISTA','MARINGÁ','PR','116162161315471431453512572122343228047',15016,'9998',39.61,1,3,NULL),(16,3016846,'1992-03-22 00:00:00',2,6,12,2008,'F','N','BARRA DO RIO','ITAJAÍ','SC','124251246215151441435314375122610136142',12224,'1059',44.86,1,3,NULL),(16,3016862,'1990-09-18 00:00:00',4,8,12,2007,'F','N','CENTRO','JALES','SP','125252251216471431468811475122610166196',NULL,'9998',0.00,3,3,NULL),(16,3016870,'1987-06-04 00:00:00',4,1,12,2004,'F','N','STO ANT DE LISBOA','FLORIANÓPOLIS','SC','124241241216273431656634315124221764147',7823,'272',52.73,1,3,NULL),(16,3016889,'1986-09-12 00:00:00',2,1,12,2004,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124256256226372341323644445123610164042',NULL,'9998',22.50,3,3,NULL),(16,3016897,'1988-09-04 00:00:00',4,1,11,2005,'F','N','VL BUARQUE','SAO PAULO','SP','125252251216571431434412574124143262097',1278,'9998',70.51,1,3,NULL),(16,3016927,'1989-03-03 00:00:00',2,1,12,2006,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124201201126131231223349292224610137142',14169,'9998',41.28,4,3,NULL),(16,3016935,'1991-02-04 00:00:00',4,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','124243241215111441388934571122610126145',NULL,'185',0.00,3,3,NULL),(16,3016943,'1990-11-28 00:00:00',4,1,11,2008,'M','N','JARDIM SOCIA','CURITIBA','PR','116092091217111431468714344122610127082',7460,'9998',53.39,1,3,NULL),(16,3016951,'1988-05-14 00:00:00',2,1,12,2005,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241115574431545573592124132666091',1976,'30',67.29,1,2,1),(16,3016960,'1989-09-18 00:00:00',4,1,12,2006,'F','N','BUTANTA','S PAULO','SP','125252251216571411588812575112610124127',3518,'9998',62.34,1,3,NULL),(16,3016978,'1990-04-16 00:00:00',3,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372431469911572124230224022',226,'270',78.82,1,3,NULL),(16,3016986,'1991-03-12 00:00:00',4,6,11,2008,'F','N','CENTRO','RIO NEGRO','PR','116242241215271431459813571124610167147',11176,'541',46.70,1,3,NULL),(16,3016994,'1991-01-12 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124242241216472411465712575124610127182',3607,'737',62.07,1,3,NULL),(16,3017001,'1989-09-25 00:00:00',2,1,11,2007,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215472431468812591112610167182',10524,'884',47.88,1,3,NULL),(16,3017010,'1991-02-23 00:00:00',2,1,12,2008,'F','N','ARIRIÚ','PALHOÇA','SC','124241241215111431433824574124610164047',11091,'1011',46.86,1,3,NULL),(16,3017028,'1986-07-09 00:00:00',2,1,12,2003,'M','N','AMBROSIO','GAROPABA','SC','124241241127373431421311145123610117057',6262,'322',55.76,1,2,1),(16,3017036,'1985-09-06 00:00:00',4,1,11,2003,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241111373411326313345123610125187',3793,'307',61.62,1,2,1),(16,3017044,'1992-02-28 00:00:00',4,8,12,2009,'F','S','AMIZADE','JARAGUÁ SUL','SC','124242241215111731469814572122610162057',NULL,'441',24.86,1,3,NULL),(16,3017052,'1993-02-24 00:00:00',4,3,12,2009,'F','S','ZONA III','UMUARAMA','PR','116164161217111732557319575112610147052',NULL,'9998',0.00,1,3,NULL),(16,3017060,'1991-04-06 00:00:00',4,3,12,2008,'F','N','BOQUEIRÃO','PASSO FUNDO','RS','120202201215111431358914575112610132142',14323,'9998',41.00,1,3,NULL),(16,3017079,'1990-06-06 00:00:00',4,1,12,2007,'M','N','JD SAO DIMAS','S JOSÉ CAMPOS','SP','125252251215472431488923575111610167055',7649,'9998',53.06,4,3,NULL),(16,3017087,'1989-12-25 00:00:00',4,1,12,2007,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','624242241215371411569923431114133264183',9790,'266',49.17,1,3,NULL),(16,3017095,'1990-10-02 00:00:00',4,8,12,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242241215472431449914571122610164127',6365,'486',55.55,1,3,NULL),(16,3017109,'1990-04-10 00:00:00',4,1,12,2007,'M','N','MOEMA','S PAULO','SP','125252251217371441358924571124610168182',3184,'9998',63.33,1,3,NULL),(16,3017117,'1989-05-26 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251217571431349949575114142823142',NULL,'9998',0.00,1,3,NULL),(16,3017125,'1990-12-31 00:00:00',2,3,12,2007,'M','N','CENTRO','CANELINHA','SC','124243241215272731346622212122610127051',8308,'1038',51.78,1,3,NULL),(16,3017133,'1991-09-14 00:00:00',4,2,12,2008,'F','N','ASILO','BLUMENAU','SC','124242241216272431479914472122610147142',12191,'71',44.92,1,3,NULL),(16,3017150,'1991-01-19 00:00:00',4,1,12,2008,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124242241236121431334821111124233234092',12017,'1022',45.23,4,3,NULL),(16,3017168,'1991-10-17 00:00:00',2,4,11,2008,'M','N','ALVORADA','FRANCISCO BELTRãO','PR','116162161235271431338813575125610167067',7358,'9998',53.61,1,3,NULL),(16,3017176,'1991-05-22 00:00:00',2,2,12,2008,'M','N','CRISTO REI','VÁRZEA GRANDE','MT','111121111417131411543314385345610117042',NULL,'9998',12.40,1,3,NULL),(16,3017184,'1987-05-19 00:00:00',2,10,12,2004,'F','N','AEROPORTO','TUBARÃO','SC','224243241136131721324653131133131824057',NULL,'1034',29.19,1,3,NULL),(16,3017192,'1989-09-04 00:00:00',2,8,12,2006,'M','N','CENTRO','STA CECÍLIA','SC','124241241115133431336833495124610165057',817,'686',73.32,1,2,1),(16,3017206,'1991-01-03 00:00:00',4,6,12,2008,'M','N','BARRA DO RIO','ITAJAÍ','SC','124241246217131212526634342131610168057',7482,'1059',53.35,1,3,NULL),(16,3017214,'1987-03-15 00:00:00',4,1,12,2004,'F','N','VILA BELMIRO','SANTOS','SP','125251251116271431546614385124143262144',1965,'9998',67.32,4,2,1),(16,3017222,'1990-02-09 00:00:00',4,8,12,2007,'F','N','JD NOVO HORIZONTE','MARINGÁ','PR','116162161216372431369813574122610114187',NULL,'9998',39.57,1,3,NULL),(16,3017230,'1991-07-05 00:00:00',4,3,12,2008,'F','N','CRISTAL','PTO ALEGRE','RS','120202201216471231479914572114610147077',7467,'9998',53.37,1,3,NULL),(16,3017249,'1987-08-25 00:00:00',2,9,12,2003,'M','N','PLANO PILOTO','BRASÍLIA','DF','107073071116154431569613435112610161167',4695,'9998',59.32,1,3,NULL),(16,3017265,'1991-11-18 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115371431336622375122610126142',NULL,'307',25.34,1,3,NULL),(16,3017273,'1989-05-20 00:00:00',2,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','124244241116131431556931285324131321187',8703,'1034',51.07,1,3,NULL),(16,3017281,'1992-07-03 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431479713595125610134012',NULL,'1050',32.66,1,3,NULL),(16,3017290,'1991-04-10 00:00:00',4,1,11,2008,'F','N','COROA DO MEIO','ARACAJU','SE','126262261217111231266823575122610132111',5557,'9998',57.36,4,3,NULL),(16,3017303,'1992-02-05 00:00:00',4,10,11,2008,'F','N','HUMAITÁ','TUBARÃO','SC','124244241216114411668879595112610146082',16088,'807',36.98,1,3,NULL),(16,3017311,'1989-07-29 00:00:00',4,9,12,2007,'M','N','MARACANÃ','RIO JANEIRO','RJ','121212211216471431349923475124610137057',NULL,'9998',0.00,1,3,NULL),(16,3017338,'1990-11-12 00:00:00',4,1,12,2007,'F','N','VILA ALEXANDRIA','S PAULO','SP','125252251217471431468611395114610125097',1196,'9998',70.95,1,3,NULL),(16,3017346,'1991-04-15 00:00:00',4,1,12,2008,'F','N','CENTRO','PARAÍBA SUL','RJ','121212218211111751368639591112610164092',3219,'9998',63.24,1,3,NULL),(16,3017354,'1991-01-19 00:00:00',4,1,12,2008,'F','N','JD NOVA CANUDOS','VINHEDO','SP','125251251215121431337724575124610166187',4080,'9998',60.84,1,3,NULL),(16,3017362,'1991-01-14 00:00:00',4,1,11,2008,'F','N','OESTE','GOIÂNIA','GO','109092091215111432479914472112610147072',2197,'9998',66.42,1,3,NULL),(16,3017389,'1990-12-09 00:00:00',4,1,12,2008,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241435112411369713575124610127052',NULL,'1133',35.16,1,3,NULL),(16,3017397,'1991-03-20 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111411478811216112610134182',3953,'270',61.19,1,3,NULL),(16,3017419,'1991-04-08 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241215112431547834291124610125042',2964,'270',63.94,1,3,NULL),(16,3017435,'1990-09-21 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215112431478711375114610137042',9083,'1022',50.45,1,3,NULL),(16,3017443,'1990-10-08 00:00:00',4,9,11,2008,'M','N','MARTORANO','S JOAQUIM','SC','124242241215111431446613575122610164047',10916,'1035',47.17,1,3,NULL),(16,3017451,'1989-07-13 00:00:00',4,6,12,2008,'M','N','STA RITA','BRUSQUE','SC','124242241216371411386812345122610127042',16342,'106',36.23,1,3,NULL),(16,3017460,'1984-04-26 00:00:00',4,8,12,2002,'M','N','AMERICA','JOINVILLE','SC','124242241216471451389931571122342124092',NULL,'489',0.00,1,3,NULL),(16,3017478,'1991-01-22 00:00:00',2,6,12,2008,'M','N','CORDEIROS','ITAJAí','SC','124241241225111431546517245111610144052',NULL,'388',15.55,1,3,NULL),(16,3017486,'1991-05-29 00:00:00',4,7,11,2008,'M','N','TOBIAS','JOAÇABA','SC','124242241215371431467632575122610141091',8472,'446',51.45,1,3,NULL),(16,3017494,'1989-02-22 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124072241217373431266823575122132163181',557,'270',75.31,1,3,NULL),(16,3017508,'1991-03-13 00:00:00',2,1,12,2008,'F','N','SANTO ANTONIO','ITUPORANGA','SC','124244241215272431249933574122610123092',3585,'991',62.12,1,3,NULL),(16,3017516,'1987-02-23 00:00:00',4,1,7,2006,'F','N','ASA NORTE','BRASíLIA','DF','107242247347271431359813376124610167182',NULL,'736',19.89,1,3,NULL),(16,3017524,'1990-09-05 00:00:00',4,8,12,2008,'F','N','JARDIM ABC','DIADEMA','SP','125251251216471131454411275124610124194',NULL,'9998',33.68,1,3,NULL),(16,3017532,'1990-01-22 00:00:00',4,1,12,2007,'M','N','CENTRO','AGRONÔMICA','SC','124241241125371432443312245122610117142',NULL,'7',0.00,4,3,NULL),(16,3017559,'1991-05-27 00:00:00',4,4,11,2008,'F','N','CENTRO','CHAPECÓ','SC','124242241215371731358912574122610144142',12541,'185',44.29,1,3,NULL),(16,3017567,'1992-04-04 00:00:00',2,1,12,2008,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124242246217161631456514575122610113147',NULL,'1075',27.27,1,3,NULL),(16,3017583,'1990-11-01 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECÓ','SC','124241241116372711546311345125610123097',NULL,'169',28.28,1,2,1),(16,3017591,'1989-06-08 00:00:00',4,1,12,2006,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116133451436611475124610162011',10008,'307',48.77,1,2,1),(16,3017605,'1980-11-21 00:00:00',2,1,12,2000,'M','N','BARREIROS','S JOSé','SC','124241241147131731226624445114610112041',NULL,'521',25.07,2,1,1),(16,3017656,'1990-12-14 00:00:00',4,7,12,2008,'F','N','BATEL','CURITIBA','PR','116242161215471411468913571124610126012',NULL,'9998',0.00,1,3,NULL),(16,3017664,'1990-03-25 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124202201215472431459912575124610143142',10662,'9998',47.63,1,3,NULL),(16,3017672,'1991-03-11 00:00:00',2,1,12,2007,'F','N','INDEPENDENCIA','DOURADOS','MS','112122121216471431466619572112610138052',NULL,'9998',29.14,1,3,NULL),(16,3017680,'1990-09-27 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215122431489831572122610134142',3368,'1022',62.79,1,3,NULL),(16,3017699,'1990-07-11 00:00:00',4,1,11,2007,'F','N','CIDADE MONÇÕES','S PAULO','SP','125252251416472711567732475124610124012',2308,'9998',66.02,1,3,NULL),(16,3017702,'1985-01-24 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247215473431388479595112131068182',NULL,'9999',0.00,1,3,NULL),(16,3017710,'1990-06-21 00:00:00',4,5,10,2007,'M','N','CENTRO','CRICIÚMA','SC','124242241115272432559732492121610167072',1893,'210',67.62,1,3,NULL),(16,3017729,'1990-11-23 00:00:00',4,8,12,2007,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162161216472431478811575112610134121',NULL,'9998',0.00,1,3,NULL),(16,3017737,'1990-03-31 00:00:00',4,8,11,2007,'F','N','UVARANAS','PNT GROSSA','PR','116162161217472451468834574122240221172',1435,'9998',69.61,1,3,NULL),(16,3017745,'1989-12-23 00:00:00',2,8,12,2007,'M','N','CENTRO','JARAGUÁ SUL','SC','124244241236272331567613475122610167052',NULL,'422',35.88,4,3,NULL),(16,3017753,'1988-03-03 00:00:00',2,1,12,2005,'F','N','PINHEIROS','S PAULO','SP','125252251217572431439812585122242628097',NULL,'9998',0.00,1,3,NULL),(16,3017761,'1989-08-10 00:00:00',4,1,12,2006,'F','N','BELA VISTA I','S JOSÉ','SC','124242241215372431566933275124220726142',1847,'270',67.83,1,3,NULL),(16,3017788,'1991-12-19 00:00:00',4,10,11,2008,'M','N','DEHON','TUBARÃO','SC','124242241216371431439923575122610148022',6880,'807',54.52,1,3,NULL),(16,3017796,'1992-03-28 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215121731479911412122610127092',NULL,'262',51.11,1,3,NULL),(16,3017800,'1982-06-22 00:00:00',4,4,11,2000,'M','N','PRESIDENTE KENNEDY','FRANCISCO BELTRÃO','PR','116162161216571431439933285115143224035',6624,'9998',55.00,1,3,NULL),(16,3017834,'1990-05-17 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216412731449611575122610168087',NULL,'1038',25.85,1,3,NULL),(16,3017842,'1991-10-18 00:00:00',4,5,12,2008,'M','N','TERESÓPOLIS','PTO ALEGRE','RS','120202201217471331258824381124610164112',5025,'9998',58.56,1,3,NULL),(16,3017850,'1982-08-04 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242243236373411318612335122320717045',3253,'494',63.13,1,3,NULL),(16,3017869,'1988-04-02 00:00:00',2,8,12,2006,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241217572311469833371112610126081',NULL,'1105',0.00,1,3,NULL),(16,3017877,'1986-09-09 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','124161247416373451333612395114610138055',NULL,'1003',16.80,4,3,NULL),(16,3017893,'1989-11-03 00:00:00',4,3,11,2007,'F','N','CENTRO','BAL CAMBORIú','SC','124251241117271431456614375112142724147',NULL,'49',23.37,1,3,NULL),(16,3017907,'1992-11-03 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124243241225111431523311585114610167097',13060,'262',43.38,1,3,NULL),(16,3017915,'1989-02-13 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124163161117272441539911196114221744022',8227,'9998',51.93,1,3,NULL),(16,3017923,'1990-07-19 00:00:00',2,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241315372421326613592124610164142',3570,'269',62.16,1,3,NULL),(16,3017931,'1992-11-18 00:00:00',4,6,11,2008,'M','N','TIJUCAL','CUIABÁ','MT','111113111235111431444816575124610144047',NULL,'9998',29.31,1,3,NULL),(16,3017940,'1990-09-10 00:00:00',2,1,12,2007,'F','N','PASSA VINTE','PALHOÇA','SC','124241241115371732433311575114610144095',NULL,'592',26.16,1,3,NULL),(16,3017966,'1988-09-16 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251216333431227821495124610167042',8331,'9998',51.73,1,3,NULL),(16,3017974,'1991-08-22 00:00:00',4,1,12,2008,'F','N','CENTRO','ABELARDO LUZ','SC','124243241215121411446835575124610124182',3728,'1022',61.76,4,3,NULL),(16,3017982,'1991-05-18 00:00:00',2,1,11,2007,'F','N','CENTRO','CRICIúMA','SC','124242241211472421369914575115610165021',2772,'226',64.49,1,3,NULL),(16,3017990,'1990-04-26 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241415272431447834575124222737011',5550,'271',57.36,1,3,NULL),(16,3018008,'1983-07-15 00:00:00',4,1,12,2002,'M','N','JARDIM LARANJEIRAS','PALHOÇA','SC','124243247445372411338621242124610164042',13323,'596',42.92,1,3,NULL),(16,3018040,'1989-05-24 00:00:00',4,7,12,2006,'M','N','LIBERDADE','CONCÓRDIA','SC','124241241137141711343623145125230224182',NULL,'192',28.50,1,2,1),(16,3018067,'1992-01-22 00:00:00',4,4,12,2008,'M','N','VISTA ALEGRE','CONCÓRDIA','SC','124243241116472731446834145125610128187',5603,'192',57.26,1,3,NULL),(16,3018075,'1989-11-03 00:00:00',4,1,5,2008,'F','N','JD PAULISTA','S PAULO','SP','125252251214371711338867472122610167112',NULL,'9998',0.00,1,3,NULL),(16,3018091,'1990-04-17 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215473431467814174114610166145',4455,'1022',59.89,1,3,NULL),(16,3018105,'1991-03-11 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244247411271431446824475114610137077',NULL,'9999',29.95,1,3,NULL),(16,3018113,'1991-11-01 00:00:00',2,1,11,2008,'F','N','JARDIM PRIMAVERA','PATO BRANCO','PR','116162161216371431448812575122610135142',11249,'9998',46.56,1,3,NULL),(16,3018121,'1991-06-01 00:00:00',4,6,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241217471331339923275122610126177',10362,'44',48.15,1,3,NULL),(16,3018130,'1991-08-15 00:00:00',4,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241215111731233923574124610124082',15926,'944',37.43,1,3,NULL),(16,3018148,'1989-05-05 00:00:00',4,1,12,2006,'M','N','BRASÍLIA','GUARÁ','DF','107072071215573431479833575122610127092',3039,'9998',63.69,4,3,NULL),(16,3018156,'1985-11-14 00:00:00',4,1,12,2003,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124201201137272431547864215124610127117',8469,'9998',51.45,1,2,1),(16,3018164,'1988-12-03 00:00:00',4,1,12,2006,'F','N','JOSE MENDES','FLORIANOPOLIS','SC','124242241215373731489912575122610161121',1913,'270',67.53,1,3,NULL),(16,3018172,'1989-02-24 00:00:00',2,6,12,2006,'F','N','FAZENDA','ITAJAÍ','SC','124162161216471431328611595124233234117',NULL,'9998',0.00,1,3,NULL),(16,3018180,'1990-04-21 00:00:00',4,8,11,2008,'F','N','STO ANTÔNIO','JOINVILLE','SC','124242241235572431465712375124610163142',1846,'491',67.83,1,3,NULL),(16,3018199,'1989-12-20 00:00:00',4,2,12,2007,'M','N','VILA NOVA','BLUMENAU','SC','124242241215372231376722412122231467082',1264,'909',70.61,1,3,NULL),(16,3018202,'1990-05-02 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116131432423313445114132367042',NULL,'521',11.63,1,2,1),(16,3018210,'1989-11-18 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241117272731466619575121610137065',7635,'271',53.09,1,3,NULL),(16,3018229,'1990-11-27 00:00:00',2,9,11,2007,'F','N','PETROPOLIS','LAGES','SC','124244241316571332436633585122610111097',16652,'1065',34.28,1,3,NULL),(16,3018237,'1988-01-30 00:00:00',4,10,12,2005,'M','N','ESTAÇÃO COCAL','MRO FUMAÇA','SC','124241241116152441453334445122231444173',NULL,'822',0.00,1,2,1),(16,3018245,'1989-07-14 00:00:00',4,1,12,2006,'F','N','SANTO ANTONIO','LONDRINA','PR','116164161217574431358832571122610167182',4056,'9998',60.91,1,3,NULL),(16,3018253,'1982-12-06 00:00:00',2,5,12,2000,'F','N','IGRA','TORRES','RS','120202208212571531367533595122242862127',NULL,'9998',0.00,1,3,NULL),(16,3018261,'1984-03-21 00:00:00',4,1,12,2000,'M','N','CENTRO','GAROPABA','SC','124204201216151431159943435125341067047',NULL,'9998',49.18,1,3,NULL),(16,3018296,'1990-11-07 00:00:00',4,2,12,2008,'M','N','VELHA','BLUMENAU','SC','124242241214112441245823575124610164112',1462,'71',69.50,1,3,NULL),(16,3018300,'1986-06-05 00:00:00',4,10,11,2003,'F','N','OFICINAS','TUBARÃO','SC','124242241216242511637711415122131038097',13194,'807',43.15,1,3,NULL),(16,3018318,'1990-05-13 00:00:00',2,4,12,2007,'M','N','PIONEIROS','ITÁ','SC','124241241317152431558834572121610128187',NULL,'384',32.00,4,1,2),(16,3018326,'1988-04-20 00:00:00',2,1,12,2005,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125112251217562231488921572212610167047',366,'9998',77.22,1,3,NULL),(16,3018334,'1985-08-14 00:00:00',4,1,12,2002,'F','N','CENTRO','ENG BALDUÍNO','SP','125251251116571411323311575122610164197',NULL,'9998',0.00,1,2,1),(16,3018342,'1973-08-05 00:00:00',4,1,12,1991,'F','N','CENTRO','FLORIANÓPOLIS','SC','224161161116272721259653335122342834092',10970,'9998',47.07,1,2,1),(16,3018350,'1990-09-05 00:00:00',2,1,12,2007,'M','N','MERCES','CURITIBA','PR','116162161216475131443612575112610164187',9871,'9998',49.02,1,3,NULL),(16,3018377,'1989-09-11 00:00:00',4,10,2,2007,'M','N','OFICINAS','TUBARÃO','SC','124242241216152431637711575112232162127',14983,'807',39.70,1,3,NULL),(16,3018385,'1985-07-15 00:00:00',2,1,12,2003,'M','N','RATONES','FLORIANÓPOLIS','SC','124051241137134732323644342334610134027',11107,'279',46.83,4,1,1),(16,3018407,'1989-07-03 00:00:00',4,8,12,2005,'F','N','BELA VISTA','PORTO UNIAO','SC','124241241215574431437932572124610126147',87,'633',81.36,1,3,NULL),(16,3018415,'1991-08-23 00:00:00',2,1,2,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215371451355932575124610167041',NULL,'269',37.86,1,3,NULL),(16,3018423,'1990-03-24 00:00:00',4,5,12,2007,'M','N','JAQUELINE','IÇARA','SC','124241246216372431466614495124610166152',6965,'188',54.37,1,3,NULL),(16,3018440,'1990-11-14 00:00:00',5,1,11,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241237152112657733315114610137062',NULL,'9997',0.00,1,3,NULL),(16,3018458,'1989-03-25 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241112141731433511241124610167047',NULL,'288',23.25,2,2,1),(16,3018474,'1989-04-25 00:00:00',4,1,12,2006,'M','N','HEITOR VILLA LOBOS','ARARAS','SP','125251251116371231528814475122241845047',NULL,'9998',0.00,1,2,1),(16,3018482,'1976-09-02 00:00:00',2,6,12,1993,'F','N','MURTA','ITAJAÍ','SC','124241241146271431343343332123331365017',11752,'401',45.73,1,2,1),(16,3018490,'1989-02-01 00:00:00',2,5,12,2006,'F','N','CENTRO','CRICIÚMA','SC','124244248216272431533929445125131432181',6646,'995',54.97,1,3,NULL),(16,3018512,'1989-11-13 00:00:00',4,10,12,2007,'M','N','CENTRO','TUBARãO','SC','124111111117271411433734575114610138037',7347,'9998',53.62,1,2,1),(16,3018520,'1992-01-25 00:00:00',4,8,12,2010,'F','S','CENTRO','CANOINHAS','SC','124241248216111731425612591122610133147',NULL,'154',17.96,1,3,NULL),(16,3018539,'1990-09-30 00:00:00',2,1,12,2008,'M','N','ENCOSTA DO SOL','ETN VELHA','RS','120201201137111731226324375124610122142',NULL,'9998',18.58,1,3,NULL),(16,3018571,'1974-04-12 00:00:00',4,1,12,1991,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124162161136372431139939392112321247092',8447,'9998',51.49,1,3,NULL),(16,3018580,'1989-03-11 00:00:00',4,1,6,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247417131431524844246124610167077',15642,'267',38.20,1,3,NULL),(16,3018610,'1982-09-30 00:00:00',4,1,12,2000,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241126473441646423442124610124192',7659,'293',53.03,2,1,1),(16,3018628,'1978-06-16 00:00:00',2,2,12,1995,'F','N','JD SÃO JORGE','MARINGÁ','PR','116161161416372431368923414122333166092',5112,'9998',58.35,4,3,NULL),(16,3018636,'1988-11-07 00:00:00',4,1,12,2006,'F','N','VILA OSASCO','OSASCO','SP','125252251215572431486811575122610128092',NULL,'9998',33.71,1,3,NULL),(16,3018644,'1990-08-08 00:00:00',2,6,12,2007,'F','N','ANDORINHA','ITAPEMA','SC','124241241115272431336413275124230234072',6568,'405',55.14,1,2,1),(16,3018679,'1982-10-17 00:00:00',2,3,12,2000,'M','N','SOUZA CRUZ','BRUSQUE','SC','224241241125271721333344445123130262197',NULL,'585',19.25,4,1,1),(16,3018687,'1990-08-20 00:00:00',3,1,12,2007,'F','N','AZAMBUJA','BRUSQUE','SC','124243241337372411236622245124610161177',9414,'111',49.88,1,3,NULL),(16,3018709,'1990-06-03 00:00:00',2,4,12,2007,'F','N','CENTRO','CEL FREITAS','SC','124244241216472411236624444124610166147',5176,'185',58.17,1,3,NULL),(16,3018717,'1989-09-12 00:00:00',4,1,12,2006,'F','N','ALTO DA COLINA','LONDRINA','PR','116162161216472411479912411122242062121',NULL,'9998',30.03,1,3,NULL),(16,3018725,'1989-07-20 00:00:00',4,7,12,2006,'M','N','RIO DAS PEDRAS','VIDEIRA','SC','124241241122141431535314245234610142182',7656,'830',53.04,1,2,1),(16,3018733,'1991-04-12 00:00:00',2,4,12,2008,'F','N','SANTA MARIA','CHAPECÓ','SC','124241241135471431226424342334610166172',13987,'176',41.67,1,2,1),(16,3018741,'1990-02-08 00:00:00',2,5,11,2007,'F','N','PINHEIRINHO','CRICIÚMA','SC','124244241215373431234319345124131434017',8127,'226',52.17,1,3,NULL),(16,3018750,'1986-12-29 00:00:00',4,1,12,2004,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241216274431548617285124131414182',6808,'1014',54.64,1,3,NULL),(16,3018768,'1990-04-04 00:00:00',4,8,12,2007,'M','N','SAGUAÇÚ','JOINVILLE','SC','124242241215272431368823344121610145171',377,'457',77.07,1,3,NULL),(16,3018784,'1991-05-10 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111431469832572312610168052',6411,'262',55.45,1,3,NULL),(16,3018792,'1987-02-10 00:00:00',2,1,12,2003,'M','N','CENTRO','BIGUAÇU','SC','124252251116132441128644345334230268092',13472,'9998',42.66,1,3,NULL),(16,3018806,'1989-02-20 00:00:00',2,1,12,2006,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124244242217373431346911335124133247042',8506,'1018',51.40,1,3,NULL),(16,3018814,'1988-08-25 00:00:00',2,1,6,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241246216473431247544445124122346142',6194,'995',55.93,1,3,NULL),(16,3018830,'1990-12-20 00:00:00',2,1,12,2007,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242241215372431448619571124610163082',9880,'1098',49.00,1,3,NULL),(16,3018849,'1989-04-13 00:00:00',2,1,12,2006,'F','N','NSA SRA DE LOURDES','CAXIAS SUL','RS','120203201217472431466314574124610156092',3785,'9998',61.64,4,3,NULL),(16,3018857,'1990-06-26 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241217132431336623392121233247057',NULL,'1074',27.23,1,3,NULL),(16,3018881,'1990-09-26 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216372431468833575122610124193',1377,'273',69.97,1,3,NULL),(16,3018890,'1978-02-01 00:00:00',4,1,7,1998,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224241246137271421247844445124610137093',6179,'739',55.97,1,2,1),(16,3018903,'1990-01-12 00:00:00',2,3,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216472431445932245122610125142',4216,'1038',60.45,1,3,NULL),(16,3018920,'1991-06-28 00:00:00',4,8,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161217121431239931591124610124142',905,'491',72.65,1,3,NULL),(16,3018938,'1991-05-23 00:00:00',4,5,12,2008,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124243241317131431535823395115610167041',16165,'1033',36.74,1,3,NULL),(16,3018954,'1975-08-24 00:00:00',2,1,2,1998,'F','N','BELA VISTA','S JOSÉ','SC','124241247121113211123342431111121812171',7963,'9999',52.49,1,2,1),(16,3018970,'1991-12-04 00:00:00',2,9,12,2008,'F','N','VILA NOVA','TROMBUDO CENTRAL','SC','124241241117371431447633575124610165142',NULL,'659',30.02,1,2,1),(16,3018989,'1989-02-02 00:00:00',4,1,12,2006,'F','N','MORRO BRANCO','ITAQUAQUECETUBA','SP','125252251216571431466823375115610162072',3298,'9998',63.00,1,3,NULL),(16,3019020,'1981-12-03 00:00:00',4,1,11,1998,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124202241216152431568712325124233244047',6399,'86',55.47,1,3,NULL),(16,3019039,'1988-12-21 00:00:00',4,1,4,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124204247217371431346821372124610162092',14889,'9999',39.91,1,3,NULL),(16,3019047,'1991-02-06 00:00:00',4,1,11,2008,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125252258217111711476914191122610165117',NULL,'9998',0.00,1,3,NULL),(16,3019063,'1984-06-22 00:00:00',2,1,3,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241087316371431466631441122610147097',15052,'9999',39.54,1,3,NULL),(16,3019071,'1990-06-12 00:00:00',2,1,11,2007,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124243241215472231568613575114610164097',7897,'776',52.60,1,3,NULL),(16,3019080,'1990-08-17 00:00:00',2,1,12,2007,'M','N','FLORESTA','S JOSÉ','SC','124242241215372411586832225114231044121',4233,'262',60.42,1,3,NULL),(16,3019098,'1987-07-26 00:00:00',4,1,4,2005,'F','N','SANTOS DUMONT','S JOSÉ','SC','124244241116145721558913445134610164013',NULL,'739',38.85,1,3,NULL),(16,3019101,'1989-04-29 00:00:00',2,1,11,2006,'M','N','CHAC EST PANORAMA','EMBU','SP','125252251216471751356619411122610124182',NULL,'9998',7.44,1,3,NULL),(16,3019128,'1988-01-02 00:00:00',2,1,12,2005,'M','N','NSA SRA DO ROSÁRIO','S JOSé','SC','124242241116132431477412585123230847042',14892,'739',39.90,1,3,NULL),(16,3019144,'1989-04-27 00:00:00',2,1,12,2006,'M','N','ROÇADO','S JOSÉ','SC','124251241326133431636513382121610137187',NULL,'737',38.79,4,3,NULL),(16,3019152,'1990-08-28 00:00:00',4,3,12,2007,'F','N','CENTRO','CURITIBA','PR','116222221315471731463311572124610117147',NULL,'9998',0.00,2,3,NULL),(16,3019179,'1988-03-10 00:00:00',4,1,11,2005,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124134071116372431568813495124220767047',3344,'9998',62.86,1,3,NULL),(16,3019187,'1988-08-14 00:00:00',2,1,12,2006,'F','N','JARDIM ATLÂNTICO','FLORIANóPOLIS','SC','124242241235573431343869572124610131097',11405,'258',46.34,4,3,NULL),(16,3019195,'1991-02-11 00:00:00',4,1,12,2007,'F','N','VILA PARAIBA','GUARATINGUETá','SP','125252251237371441558924572114610163097',7945,'9998',52.52,1,3,NULL),(16,3019209,'1988-02-01 00:00:00',2,1,12,2005,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241111373411323319371124610164197',5302,'281',57.87,1,2,1),(16,3019217,'1990-06-29 00:00:00',2,8,12,2007,'M','N','PETRÓPOLIS','JOINVILLE','SC','124241241335112411632411381324610156122',12118,'486',45.05,1,3,NULL),(16,3019250,'1990-02-14 00:00:00',4,1,12,2007,'F','N','FLORESTA','S JOSé','SC','124242241216132531356713572124231962132',NULL,'738',17.66,3,3,NULL),(16,3019268,'1989-07-30 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124253251336472411227821572114610127145',16145,'9998',36.79,1,3,NULL),(16,3019276,'1990-06-22 00:00:00',4,1,12,2007,'F','N','BOM RETIRO','S PAULO','SP','125252251216471431648312571125610164176',NULL,'9998',0.00,1,3,NULL),(16,3019284,'1990-12-07 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124244241215112411347714495115610122187',10949,'497',47.12,1,3,NULL),(16,3019292,'1989-08-18 00:00:00',2,5,12,2006,'M','N','CENTRO','CAPÃO CANOA','RS','120201201116272431434512385112610167112',NULL,'9998',30.12,1,2,1),(16,3019314,'1989-06-09 00:00:00',2,9,11,2007,'M','N','MARTORANO','S JOAQUIM','SC','124242241211273531438614575122610167147',NULL,'1035',31.66,1,3,NULL),(16,3019322,'1990-07-10 00:00:00',2,1,12,2007,'M','N','CIDADE NOVA','INDAIATUBA','SP','125252251215411411368634182122610137183',NULL,'9998',0.00,1,3,NULL),(16,3019349,'1988-08-14 00:00:00',2,1,12,2005,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241116273431336823485124131467087',6482,'234',55.31,1,2,1),(16,3019357,'1989-02-15 00:00:00',2,1,12,2006,'F','N','CENTRO','BIGUAÇU','SC','124244241212134411436611241124230226042',NULL,'1022',27.95,1,3,NULL),(16,3019365,'1990-09-29 00:00:00',4,3,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241315371431435514272212610124197',2669,'403',64.79,1,3,NULL),(16,3019390,'1990-11-12 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124243241336131431245721395135610164147',NULL,'1146',25.09,1,3,NULL),(16,3019403,'1990-01-21 00:00:00',4,1,12,2007,'M','N','SÃO DOMINGOS','MARÍLIA','SP','125252251215211711438711374122610166122',NULL,'9998',43.08,1,3,NULL),(16,3019420,'1989-05-22 00:00:00',4,4,11,2006,'F','N','CENTRO','CHAPECO','SC','124244241215271411449813242122610125096',10250,'983',48.35,1,3,NULL),(16,3019438,'1990-11-28 00:00:00',2,1,11,2008,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241115151431324333575124610122147',NULL,'288',28.51,1,3,NULL),(16,3019446,'1988-02-12 00:00:00',2,1,7,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242247211373411439613575124610147055',NULL,'9999',23.46,1,3,NULL),(16,3019462,'1990-02-08 00:00:00',4,1,12,2007,'M','N','AEROPORTO','MARÍLIA','SP','125251251215211731438721315123610164032',NULL,'9998',29.17,3,3,NULL),(16,3019470,'1989-06-03 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241111373421456923445124610127042',4809,'271',59.05,1,3,NULL),(16,3019489,'1986-06-30 00:00:00',4,1,12,2003,'M','N','PASSA VINTE','PALHOÇA','SC','124243241116153431336622275124221422145',804,'739',73.41,1,3,NULL),(16,3019497,'1986-06-26 00:00:00',2,1,12,2003,'F','N','CENTRO','CRISTALINA','GO','107072071216575431568813585124610146187',1356,'9998',70.09,1,3,NULL),(16,3019500,'1985-05-17 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126131421433335345124141132057',15986,'59',37.27,4,2,1),(16,3019543,'1991-01-13 00:00:00',2,4,12,2008,'M','N','ESPLANADA','CHAPECÓ','SC','124241241115471431446514575122610167057',13458,'175',42.68,1,3,NULL),(16,3019560,'1981-03-13 00:00:00',2,1,11,1998,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241112134421238443435121333262057',13634,'307',42.40,1,2,1),(16,3019578,'1992-01-10 00:00:00',2,1,11,2008,'F','N','CENTRO','S JOAQUIM','SC','124242241236131431426854275112610127012',NULL,'1035',21.91,1,3,NULL),(16,3019586,'1987-07-15 00:00:00',1,5,12,2004,'M','N','VILA CENTENARIO','S BENTO SUL','SC','124241241216373431554332215113610167047',NULL,'974',50.50,1,3,NULL),(16,3019594,'1983-02-16 00:00:00',2,5,12,2000,'M','N','SÃO LUIZ','SOMBRIO','SC','124241241127231451328629272321610133042',NULL,'769',28.08,1,2,1),(16,3019616,'1977-12-13 00:00:00',2,1,11,1999,'M','N','SANTA MÔNICA','FLORIANóPOLIS','SC','124072071217252721369619445132140717057',NULL,'9998',42.84,4,3,NULL),(16,3019632,'1987-07-28 00:00:00',2,1,11,2006,'M','N','MORUMBI','S PAULO','SP','125252251217131711466631217144610161187',15035,'9998',39.58,1,3,NULL),(16,3019640,'1991-05-31 00:00:00',4,3,11,2008,'F','N','CENTRO','CANOINHAS','SC','624241241316111431233824172122610133147',NULL,'154',26.58,1,3,NULL),(16,3019659,'1992-02-13 00:00:00',4,6,12,2006,'F','N','SÃO JOÃO','ITAJAÍ','SC','125241241116141431343723295122610163142',NULL,'395',0.00,1,3,NULL),(16,3019667,'1990-02-22 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','124242241217472411366722575115610162117',2006,'299',67.15,1,3,NULL),(16,3019675,'1981-09-26 00:00:00',2,1,12,1999,'F','N','PANTANAL','FLORIANÓPOLIS','SC','624254251217273411336344341121610161187',9903,'9998',48.94,1,3,NULL),(16,3019683,'1987-08-06 00:00:00',2,1,12,2005,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241131151432346623431122131032052',NULL,'298',29.78,2,1,1),(16,3019691,'1985-06-28 00:00:00',2,1,12,2003,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241115575421463623582124610162187',8491,'257',51.42,4,2,1),(16,3019713,'1988-03-10 00:00:00',4,1,12,2008,'M','N','JARDIM JOÃO PAULO II','SUMARÉ','SP','125251257126471731456833345134610132184',8185,'9999',52.04,1,2,1),(16,3019721,'1990-08-26 00:00:00',4,1,12,2007,'F','N','AQUARIUS','S JOSÉ CAMPOS','SP','125252251216472431488814572112610122111',NULL,'9998',0.00,1,3,NULL),(16,3019730,'1990-07-05 00:00:00',4,4,12,2008,'M','N','INTERIOR','ITAPIRANGA','SC','124241241427111411433332441234610164182',16280,'1060',36.43,1,3,NULL),(16,3019748,'1987-05-27 00:00:00',4,1,12,2004,'F','N','PQ RES PATRICIA','MARINGÁ','PR','116163161116571451438419574122141335182',3679,'9998',61.88,1,3,NULL),(16,3019764,'1989-11-09 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124202201216271431223629595124610126147',9565,'9998',49.59,3,3,NULL),(16,3019772,'1991-11-29 00:00:00',4,1,12,2008,'F','N','BUDAG','RIO SUL','SC','124242241215111731347729475112610143141',16560,'654',35.10,1,3,NULL),(16,3019799,'1987-10-01 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241112574731463623582124610114181',14342,'257',40.97,1,2,1),(16,3019802,'1990-02-17 00:00:00',4,5,12,2007,'F','N','RIO MAINA','CRICIÚMA','SC','124242241215372431468539575112610131142',NULL,'213',43.05,1,3,NULL),(16,3019837,'1982-03-14 00:00:00',2,1,8,2003,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224241247145271431236453342234610133127',NULL,'9999',22.60,1,2,1),(16,3019845,'1988-06-27 00:00:00',4,1,12,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241147151431346711345114610167042',NULL,'922',28.93,1,2,1),(16,3019861,'1988-03-15 00:00:00',2,5,12,2004,'M','N','OPERÁRIA NOVA','CRICIÚMA','SC','124241241241372431354414341124131464047',12680,'227',44.03,1,3,NULL),(16,3019870,'1989-12-08 00:00:00',4,1,11,2007,'M','N','ROÇADO','S JOSÉ','SC','124243241316372431338614575114610141032',3961,'271',61.17,1,3,NULL),(16,3019888,'1991-09-09 00:00:00',4,4,11,2008,'F','N','SANTA MARIA','CHAPECO','SC','124242161216471431378612574122610128142',1105,'9998',71.44,1,3,NULL),(16,3019896,'1956-10-08 00:00:00',2,1,7,1981,'M','N','BARREIROS','S JOSé','SC','624243247341165721323354231114132717047',NULL,'260',26.63,2,1,2),(16,3019900,'1991-03-21 00:00:00',4,3,11,2008,'M','N','CENTRO','PTO UNIãO','SC','124242241212131412546912572121610164117',2349,'633',65.88,1,3,NULL),(16,3019918,'1988-01-25 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124213217317371441433754475121610133022',14236,'9999',41.16,2,1,2),(16,3019926,'1986-01-27 00:00:00',4,1,12,2003,'F','N','INDIA','CANELINHA','SC','124201201117371431228873435222610163187',NULL,'9998',27.66,1,2,1),(16,3019942,'1991-09-06 00:00:00',4,1,12,2008,'M','N','CENTRO CIVICO','CURITIBA','PR','116164161317471441238669575122610162182',NULL,'9998',0.00,1,3,NULL),(16,3019950,'1991-02-05 00:00:00',4,4,11,2007,'F','N','CENTRO','CHAPECÓ','SC','124242241215473431369934574115610124092',1942,'185',67.40,1,3,NULL),(16,3019969,'1990-09-16 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372431569813592112610167072',2426,'262',65.60,1,3,NULL),(16,3019977,'1989-04-21 00:00:00',2,1,3,2007,'F','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124201241136373431335529575124610123097',7188,'267',53.94,1,2,1),(16,3019985,'1990-09-19 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216372751435532345134610134072',14410,'272',40.86,1,3,NULL),(16,3019993,'1991-03-14 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215271731446712572122610162142',4307,'738',60.22,1,3,NULL),(16,3020002,'1983-12-10 00:00:00',4,1,12,2000,'F','N','ESTREITO OU CANTO','FLORIANÓPOLIS','SC','124201201116573731248519572125610163147',11306,'9998',46.47,2,1,1),(16,3020037,'1986-04-16 00:00:00',2,1,12,2004,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124201241122242431633319342134610162197',NULL,'287',22.54,1,2,1),(16,3020045,'1992-04-24 00:00:00',2,1,12,2009,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215121731566812395122610128015',NULL,'262',28.08,1,3,NULL),(16,3020061,'1985-09-13 00:00:00',2,1,8,2004,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241247417275431546613245124610122147',16585,'9999',34.95,1,3,NULL),(16,3020070,'1986-12-11 00:00:00',2,1,12,2004,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241126131721333344145334610154187',NULL,'79',35.69,1,2,1),(16,3020088,'1988-05-14 00:00:00',4,1,12,2005,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241236154441468813575122231414163',NULL,'269',0.00,1,3,NULL),(16,3020096,'1991-01-25 00:00:00',4,1,12,2008,'F','N','PINHEIROS','PATO BRANCO','PR','116162161235111431478811292144610117013',NULL,'9998',0.00,1,3,NULL),(16,3020118,'1990-07-17 00:00:00',4,1,12,2007,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241117471431433344342224610127053',NULL,'13',22.51,1,2,1),(16,3020126,'1990-04-12 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241217573441439812472124610165012',4050,'262',60.93,1,3,NULL),(16,3020134,'1983-07-08 00:00:00',2,1,12,2002,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124252257347271411116848215125610136092',14072,'9999',41.51,1,3,NULL),(16,3020169,'1991-12-18 00:00:00',4,1,11,2008,'F','N','JARDIM RIVA','PRIMAVERA LESTE','MT','111112091216111731458632575125610132182',6449,'9998',55.38,1,3,NULL),(16,3020177,'1989-11-08 00:00:00',4,1,12,2007,'F','N','JD TARRAF I','S JOSÉ R PRETO','SP','125252251217472441444632575114610125012',3485,'9998',62.41,1,3,NULL),(16,3020193,'1989-01-03 00:00:00',4,1,12,2006,'M','N','STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC','124242241217273431359831376112221564111',4433,'883',59.93,3,3,NULL),(16,3020207,'1990-07-11 00:00:00',4,1,12,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC','124241241115272441443614375224610134145',NULL,'295',28.66,1,3,NULL),(16,3020215,'1991-01-26 00:00:00',4,6,12,2008,'F','N','CENTRO','NAVEGANTES','SC','124242161217111411488932575124610134142',597,'9998',74.95,1,3,NULL),(16,3020223,'1989-09-17 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241232272751334514572122610124047',14379,'272',40.91,1,3,NULL),(16,3020240,'1989-04-10 00:00:00',2,6,11,2007,'F','N','SAO VICENTE','ITAJAÍ','SC','124241241235453431433339592214610166091',2048,'1026',67.00,1,3,NULL),(16,3020258,'1982-05-24 00:00:00',4,1,12,2001,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124251251127231741126341111224610127017',NULL,'9998',24.50,2,1,1),(16,3020266,'1991-09-24 00:00:00',4,4,11,2008,'F','N','CENTRO','CONCÓRDIA','SC','124242241216112431459814571125610146077',1383,'1000',69.92,1,3,NULL),(16,3020274,'1989-02-21 00:00:00',2,1,5,2006,'M','N','FLORESTA','S JOSÉ','SC','124201202111132431336624341124610166043',13001,'9998',43.50,1,2,1),(16,3020290,'1989-12-17 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241145371411113641242124610124017',16439,'288',35.76,1,2,1),(16,3020304,'1990-11-16 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241147212411523311275324610124147',NULL,'288',26.35,1,2,1),(16,3020312,'1990-01-24 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216272431489933575122131027012',8878,'270',50.77,1,3,NULL),(16,3020320,'1992-12-16 00:00:00',4,8,12,2009,'F','S','CAMPO DA AGUA VERDE','CANOINHAS','SC','124243241216111431426933275122610161177',NULL,'154',21.75,1,3,NULL),(16,3020339,'1990-12-12 00:00:00',4,1,12,2007,'F','N','FORTALEZA','BLUMENAU','SC','124241241215471431434824575124610168147',NULL,'855',0.00,1,3,NULL),(16,3020347,'1989-03-23 00:00:00',4,1,12,2006,'M','N','JARDIM ESPLANADA','S JOSé CAMPOS','SP','125252251216573411468731575122610167182',2875,'9998',64.16,1,3,NULL),(16,3020355,'1990-11-24 00:00:00',4,1,11,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241115471451448614395124610167032',6375,'257',55.53,4,3,NULL),(16,3020363,'1991-01-10 00:00:00',4,1,12,2008,'M','N','JARDIM SATÉLITE','S JOSÉ CAMPOS','SP','125252251217111731459934145122610124052',10257,'9998',48.34,1,3,NULL),(16,3020371,'1990-12-07 00:00:00',4,1,12,2008,'M','N','LAGOINHA','RIBEIRAO PRETO','SP','125252251245111411338823272124610164042',5484,'9998',57.50,1,3,NULL),(16,3020380,'1987-10-22 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124112111216153411379614475114220747045',1991,'9998',67.22,4,3,NULL),(16,3020398,'1988-11-24 00:00:00',4,1,11,2005,'F','N','JARDIM CANADÁ','PENÁPOLIS','SP','125251251116131431336621312331140645147',NULL,'9998',21.35,4,2,1),(16,3020401,'1988-12-18 00:00:00',2,1,11,2006,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241135473431456714335124610168112',14364,'307',40.94,1,2,1),(16,3020410,'1990-06-06 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472431356613272124610124092',6051,'270',56.22,1,3,NULL),(16,3020428,'1991-06-29 00:00:00',4,4,10,2008,'F','N','CENTRO','ERECHIM','RS','120202201215131431448814574122610124147',1355,'9998',70.09,1,3,NULL),(16,3020436,'1991-08-12 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216372431366953575112610134142',4358,'654',60.11,1,3,NULL),(16,3020444,'1991-06-29 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241115131411326624341224610146147',NULL,'288',28.41,1,3,NULL),(16,3020452,'1989-10-19 00:00:00',2,1,12,2007,'M','N','VILA CONCEIÇÃO','S JOÃO B VISTA','SP','125252251216472431479814575122610164052',5499,'9998',57.48,1,3,NULL),(16,3020460,'1990-04-20 00:00:00',2,1,12,2007,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241147361531636614341224610114042',NULL,'727',20.41,2,1,1),(16,3020487,'1989-01-04 00:00:00',2,1,12,2007,'M','N','ZONA DOIS','MARINGÁ','PR','116163161411471212448811581112610167052',12084,'9998',45.13,1,3,NULL),(16,3020495,'1991-09-13 00:00:00',4,3,12,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','124244241215371422446612371111610122092',7028,'403',54.23,1,3,NULL),(16,3020509,'1990-03-10 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241226472431445334571122610134067',4321,'262',60.20,1,3,NULL),(16,3020525,'1977-08-12 00:00:00',2,1,12,1995,'M','N','SERRARIA','S JOSÉ','SC','224201201123132751233344143312121762187',5837,'9998',56.71,1,2,1),(16,3020541,'1991-10-25 00:00:00',4,2,12,2008,'F','N','SETE DE SETEMBRO','GASPAR','SC','124242241217112431466932572122610167142',5438,'955',57.61,1,3,NULL),(16,3020550,'1992-05-11 00:00:00',2,7,12,2008,'F','N','CAETANO BRANCO','JOAçABA','SC','124244241435171441536939295122610134147',NULL,'445',26.16,1,3,NULL),(16,3020576,'1986-12-15 00:00:00',2,7,12,2003,'F','N','MONTE PASQUAL','FARROUPILHA','RS','120201201145371411536444141134140461157',14853,'9998',39.98,1,3,NULL),(16,3020584,'1990-08-02 00:00:00',4,8,12,2007,'F','N','TARUMA','CURITIBA','PR','116162161116571431346923575124610117042',NULL,'9998',0.00,1,3,NULL),(16,3020592,'1989-01-18 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124203241126232421327861445124610167087',NULL,'257',25.55,1,3,NULL),(16,3020614,'1990-08-07 00:00:00',2,5,12,2007,'M','N','OPERÁRIA NOVA','CRICIÚMA','SC','124243241215372431454634374112610142144',9936,'210',48.89,1,3,NULL),(16,3020622,'1987-01-10 00:00:00',2,1,12,2004,'M','N','JARDIM ATÂNTICO','FLORIANÓPOLIS','SC','124241241117373731556539295124121764047',NULL,'295',30.44,1,2,1),(16,3020630,'1988-12-06 00:00:00',3,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124282281217372431368811575122143221192',160,'9998',79.86,1,3,NULL),(16,3020649,'1991-05-19 00:00:00',4,6,12,2008,'F','N','ESTEVÃO CARRARO','ERECHIM','RS','120201208116131231223379342224610127147',15971,'9998',37.31,1,2,1),(16,3020657,'1989-07-17 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216152411469632471124221425172',203,'262',79.15,1,3,NULL),(16,3020665,'1990-01-03 00:00:00',2,1,12,2007,'F','N','CENTRO','PNT GROSSA','PR','116163161217472411566632595112610121187',NULL,'9998',39.83,1,3,NULL),(16,3020673,'1990-12-27 00:00:00',4,1,8,2008,'M','N','ENSEADA DE BRITO','PALHOÇA','SC','124241241117131431426413582124610132147',14060,'739',41.53,4,2,1),(16,3020681,'1991-04-08 00:00:00',4,7,11,2008,'M','N','SANTA TEREZA','VIDEIRA','SC','124242241217471431459612345112610168092',2116,'829',66.74,1,3,NULL),(16,3020690,'1991-09-12 00:00:00',4,10,11,2008,'F','N','CENTRO','TUBARÃO','SC','124242241215111431238927472122610124197',4584,'807',59.59,1,3,NULL),(16,3020703,'1991-08-28 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244247431111721436719385124610164117',NULL,'9999',23.69,1,3,NULL),(16,3020711,'1989-02-21 00:00:00',4,1,12,2006,'F','N','IMPERADOR','MATÃO','SP','125252251216572431568831591122610131122',9562,'9998',49.60,1,3,NULL),(16,3020720,'1991-10-23 00:00:00',4,3,10,2008,'F','N','CENTRO','GUARAPUAVA','PR','116162161215471511469933571122610162012',NULL,'9998',0.00,1,3,NULL),(16,3020738,'1989-03-31 00:00:00',2,7,12,2007,'M','N','CENTRO','IOMERÊ','SC','124241248127132431443614195114610167057',NULL,'368',25.76,1,2,1),(16,3020746,'1991-05-09 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215121731426623575114610164142',9322,'1022',50.04,1,3,NULL),(16,3020754,'1989-09-22 00:00:00',4,1,12,2007,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124242241215472431379913575114610147052',5759,'751',56.94,1,3,NULL),(16,3020770,'1990-03-28 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124243241437272431226622375124610138192',12380,'1036',44.58,1,3,NULL),(16,3020789,'1987-08-13 00:00:00',4,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124241241126271431646633245124610121017',NULL,'736',17.10,1,2,1),(16,3020797,'1989-01-20 00:00:00',4,1,12,2006,'F','N','ZONA SETE','MARINGÁ','PR','116162168217575751478814442122610162097',8781,'9998',50.94,1,3,NULL),(16,3020800,'1992-02-06 00:00:00',4,1,12,2008,'M','N','JARDIM CARAMURU','APUCARANA','PR','116162161216151431456923575115610134142',2069,'9998',66.91,1,3,NULL),(16,3020827,'1989-06-06 00:00:00',4,1,12,2006,'F','N','BIGORRILHO','CURITIBA','PR','116162161117572451457934574114610146142',NULL,'9998',0.00,3,3,NULL),(16,3020835,'1990-04-09 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANóPOLIS','SC','124242241215372431558713472112231822192',2574,'262',65.08,1,3,NULL),(16,3020860,'1972-08-05 00:00:00',2,1,12,1990,'M','N','KOBRASOL','S JOSÉ','SC','224242241236233431358753382122122363047',NULL,'735',8.44,1,3,NULL),(16,3020878,'1989-04-22 00:00:00',2,1,7,2007,'M','N','PASSA VINTE','PALHOÇA','SC','124241241116272731335611415113133224087',3579,'739',62.14,1,2,1),(16,3020886,'1962-09-07 00:00:00',2,1,6,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247416412451121159175125613218097',NULL,'9999',17.64,1,3,NULL),(16,3020894,'1990-12-25 00:00:00',4,2,12,2007,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241215472431378832371112610164122',2441,'855',65.56,1,3,NULL),(16,3020908,'1991-12-07 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241215371431448512575122610164142',NULL,'497',25.02,1,3,NULL),(16,3020924,'1990-11-14 00:00:00',4,3,12,2007,'F','N','ZONA UM A','UMUARAMA','PR','116162161215471131458711572112610161112',13669,'9998',42.33,1,3,NULL),(16,3020932,'1980-08-22 00:00:00',4,1,12,1997,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241236474751588813432122321063092',NULL,'262',0.00,1,3,NULL),(16,3020940,'1987-11-30 00:00:00',4,8,12,2005,'F','N','SANTA CATARINA','JOINVILLE','SC','124241241116332431624421442324610166047',NULL,'492',33.01,1,3,NULL),(16,3020959,'1989-09-14 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431468813575114610122042',3537,'262',62.27,1,3,NULL),(16,3020975,'1989-01-08 00:00:00',2,1,11,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124201201336272431335639295124131527147',NULL,'9998',29.66,1,3,NULL),(16,3020983,'1981-03-13 00:00:00',4,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124201201116131421123644142224242323147',14913,'9998',39.86,1,2,1),(16,3020991,'1989-01-28 00:00:00',4,5,12,2006,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124244161215573431446831574122610168097',NULL,'9998',0.00,1,3,NULL),(16,3021009,'1989-08-11 00:00:00',2,1,12,2007,'F','N','CENTRO','CAMPINAS','SP','125252253217472411348823575112610162197',NULL,'9998',0.00,1,3,NULL),(16,3021025,'1991-08-20 00:00:00',4,1,11,2009,'F','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215121731447831572122610136145',NULL,'299',44.95,1,3,NULL),(16,3021041,'1991-08-31 00:00:00',4,7,11,2008,'M','N','CENTRO','TREZE TíLIAS','SC','124244241212271751426611592214610164163',1522,'962',69.26,1,3,NULL),(16,3021076,'1991-05-20 00:00:00',4,1,11,2008,'F','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251215111431268923275122610147092',2050,'9998',66.99,1,3,NULL),(16,3021084,'1991-09-01 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241415111441337611575115610164181',5712,'1038',57.04,1,3,NULL),(16,3021114,'1988-02-12 00:00:00',2,8,12,2005,'F','N','BOA VISTA','JOINVILLE','SC','124241241144272731636512341134132923062',12472,'477',44.44,1,2,1),(16,3021122,'1990-01-09 00:00:00',4,1,12,2007,'M','N','PARQUE SANTA MARTA','S CARLOS','SP','125252251215471431458723575112610117042',NULL,'9998',0.00,1,3,NULL),(16,3021130,'1971-10-23 00:00:00',4,1,9,2002,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224251258147134751435549195124610168047',NULL,'9998',28.53,2,1,1),(16,3021149,'1988-07-07 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217374431349933575124610167057',6519,'270',55.24,1,3,NULL),(16,3021157,'1991-09-17 00:00:00',4,1,12,2008,'F','N','MONTE CASTELO','CPO GRANDE','MS','112122121216131231226833215124610162187',3227,'9998',63.21,1,3,NULL),(16,3021165,'1990-11-14 00:00:00',2,6,12,2008,'F','N','VILA NOVA ESPERANÇA','CEL SAPUCAIA','MS','112121121116161431523319375122610163187',NULL,'9998',0.00,1,3,NULL),(16,3021173,'1991-08-05 00:00:00',2,5,12,2008,'F','N','SÃO DEFENDE','CRICIÚMA','SC','124241241127131431436414442224610124057',NULL,'214',24.65,1,3,NULL),(16,3021181,'1991-11-30 00:00:00',4,4,12,2008,'F','N','INTERIOR','ÁGUAS FRIAS','SC','124241241116131711536365572224610158147',11674,'11',45.86,1,2,1),(16,3021190,'1991-08-06 00:00:00',2,1,11,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115371441458353572114610167057',NULL,'307',43.43,1,2,1),(16,3021211,'1991-07-05 00:00:00',4,1,12,2008,'F','N','MATO QUEIMADO','NOVA TRENTO','SC','124241241212131421438714372124610138057',NULL,'948',29.44,1,3,NULL),(16,3021220,'1991-05-16 00:00:00',4,1,12,2008,'F','N','VILA GALVÃO','GUARULHOS','SP','125252251217111431355834575122610127077',NULL,'9998',21.43,4,3,NULL),(16,3021238,'1989-03-29 00:00:00',4,8,12,2007,'M','N','BATEL','CURITIBA','PR','116162161211272431559833295112610162082',13924,'9998',41.81,1,3,NULL),(16,3021246,'1991-10-17 00:00:00',2,5,11,2008,'F','N','CENTRO','MELEIRO','SC','124241241216111731358912575124610163141',14845,'32',39.99,1,3,NULL),(16,3021254,'1992-03-05 00:00:00',4,8,12,2008,'F','N','ROCIO PEQUENO','S FRANCISCO SUL','SC','124242241217161431449612575112610122092',NULL,'867',27.68,1,3,NULL),(16,3021262,'1987-02-14 00:00:00',4,1,12,2004,'M','N','AREIAS','S JOSÉ','SC','124241241126133431426563282314610165077',NULL,'257',16.46,1,3,NULL),(16,3021270,'1981-01-25 00:00:00',2,1,12,1999,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','624162163216271411236679395123610161182',6299,'9998',55.69,1,3,NULL),(16,3021289,'1989-11-01 00:00:00',4,1,12,2007,'M','N','BUENO','GOIÂNIA','GO','109092091217371431468634575112141462042',2534,'9998',65.23,1,3,NULL),(16,3021297,'1990-12-07 00:00:00',2,1,12,2008,'M','N','CENTRO','PALHOÇA','SC','124241241235111441333419575122610117047',NULL,'989',29.01,1,3,NULL),(16,3021300,'1990-11-15 00:00:00',2,1,11,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243247337271711227629575124610126181',11645,'977',45.92,1,3,NULL),(16,3021319,'1991-02-02 00:00:00',2,4,12,2008,'F','N','RODEIO CHATO','CHAPECÓ','SC','124242241217271411359714575122610144142',4786,'168',59.09,1,3,NULL),(16,3021327,'1991-04-28 00:00:00',2,1,12,2008,'M','N','CENTRO','LUCAS R VERDE','MT','111112111217151751333622575322610167054',NULL,'9998',0.00,1,3,NULL),(16,3021335,'1990-12-26 00:00:00',4,2,11,2008,'M','N','VELHA','BLUMENAU','SC','124254241436271431228624275124610165142',3960,'71',61.17,1,3,NULL),(16,3021343,'1985-12-01 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','107071071117551431436629491324243227187',NULL,'9998',0.00,2,2,1),(16,3021351,'1991-06-14 00:00:00',4,10,11,2008,'F','N','CENTRO','BRAÇO NORTE','SC','124242241215122431446622275124610136142',196,'807',79.27,1,3,NULL),(16,3021360,'1974-07-14 00:00:00',4,1,12,1991,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241126132431123641215234121464147',6515,'726',55.25,1,3,NULL),(16,3021378,'1991-01-20 00:00:00',4,1,12,2008,'M','N','TATUAPE','S PAULO','SP','125252251215111431468829575122610122053',4580,'9998',59.60,1,3,NULL),(16,3021386,'1992-03-14 00:00:00',4,8,12,2008,'F','N','BATEL','CURITIBA','PR','116162168216471711368911175114610162187',9380,'9998',49.94,3,3,NULL),(16,3021394,'1989-09-24 00:00:00',4,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124132241215372431355939395124130227185',NULL,'269',39.75,1,3,NULL),(16,3021408,'1991-01-28 00:00:00',4,1,12,2008,'F','N','CENTRO','PALMITAL','SP','125252251217131431446631212222610113147',5988,'9998',56.37,3,3,NULL),(16,3021416,'1990-09-28 00:00:00',2,1,12,2007,'F','N','VILA BANDEIRANDES','CPO GRANDE','MS','112124121415471731643639575224610144142',10670,'9998',47.62,2,1,2),(16,3021432,'1991-11-13 00:00:00',4,1,12,2008,'F','N','VILA TESOURO','S JOSÉ CAMPOS','SP','125251251115471431433824572124610126187',11582,'9998',46.04,1,2,1),(16,3021440,'1987-05-29 00:00:00',4,1,12,2004,'F','N','ESMERALDA','MARÍLIA','SP','125252251411571431458831571112610164097',1352,'9998',70.10,1,3,NULL),(16,3021459,'1989-11-18 00:00:00',4,1,12,2007,'M','N','ESPLANADA MENDES','S ROQUE','SP','125251251337231741535621245324610164197',NULL,'9998',30.56,1,3,NULL),(16,3021467,'1992-02-11 00:00:00',2,1,12,2008,'F','N','CENTRO','NOVA TRENTO','SC','124241241132131421637734442125610138147',NULL,'574',29.80,1,2,1),(16,3021475,'1983-07-04 00:00:00',2,1,12,2000,'F','N','RIO GRANDE','PALHOÇA','SC','124241241126134412353923342124330224097',14019,'592',41.62,1,2,1),(16,3021483,'1989-05-03 00:00:00',2,1,7,2007,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241247217472431446319385114610122192',2516,'9999',65.29,1,3,NULL),(16,3021505,'1989-08-06 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215322431457832245124610164047',3845,'491',61.47,1,3,NULL),(16,3021521,'1989-08-21 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117132431534422595114610168192',9165,'307',50.30,1,2,1),(16,3021530,'1988-06-30 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241115472431548923371124610164042',438,'306',76.36,1,3,NULL),(16,3021556,'1988-09-22 00:00:00',2,8,12,2005,'F','N','VILA CLEMENTINA','MAFRA','SC','116241161215574431344823572112610135137',716,'9998',74.12,1,3,NULL),(16,3021564,'1992-04-04 00:00:00',4,9,11,2008,'M','N','POÇO RICO','OTACÍLIO COSTA','SC','124241241415111431554934575112610167052',14790,'1146',40.09,4,3,NULL),(16,3021572,'1991-09-17 00:00:00',2,1,12,2008,'F','N','CENTRO','PNT GROSSA','PR','116162161216211411356812225112610113096',5496,'9998',57.48,1,3,NULL),(16,3021599,'1991-05-29 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241215111231626314192224610126047',4282,'272',60.29,1,3,NULL),(16,3021602,'1990-12-14 00:00:00',4,1,12,2008,'F','N','ALPHAVILLE','CAMPINAS','SP','125252251215111731548712575122610163182',4629,'9998',59.48,1,3,NULL),(16,3021610,'1991-02-04 00:00:00',4,8,12,2008,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124242241217371431458931572122610162197',NULL,'441',27.16,1,3,NULL),(16,3021637,'1988-09-18 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSé','SC','124241247215372731158449294322130767117',7432,'270',53.45,1,3,NULL),(16,3021645,'1991-02-13 00:00:00',4,1,11,2008,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241215121431478819594122610134142',12327,'724',44.68,1,3,NULL),(16,3021653,'1984-09-20 00:00:00',4,1,12,2001,'M','N','KOBRASOL','S JOSÉ','SC','124241241216273411486513332122121227055',10430,'735',48.04,1,3,NULL),(16,3021661,'1991-05-27 00:00:00',4,8,12,2008,'F','N','CENTRO','CORUPá','SC','124241241144131431436623182121610131147',NULL,'203',21.94,1,3,NULL),(16,3021688,'1988-06-07 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247215273431469611495112133226184',9163,'270',50.30,1,3,NULL),(16,3021700,'1991-05-07 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216472431368839572124610163015',7731,'1022',52.91,1,3,NULL),(16,3021718,'1990-03-18 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124252251217472451389813475114610164182',12744,'9998',43.93,1,3,NULL),(16,3021734,'1991-07-08 00:00:00',4,1,11,2008,'F','N','QUISISANA','POÇOS CALDAS','MG','113133131216371431434332575124610142182',5985,'9998',56.38,1,3,NULL),(16,3021742,'1991-06-26 00:00:00',4,10,12,2008,'M','N','NOVA BRASILIA','IMBITUBA','SC','124241241116271411535119335124610124072',9410,'1034',49.88,4,2,1),(16,3021750,'1987-04-14 00:00:00',4,1,12,2004,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241217574431348739492124220728182',1050,'273',71.75,1,3,NULL),(16,3021769,'1987-10-08 00:00:00',4,1,12,2005,'F','N','FAZENDA SNTO ANTÔNIO','S JOSé','SC','124241241121473431331111571324610121197',NULL,'728',25.21,1,2,1),(16,3021777,'1985-08-08 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241417133411369923575121122862185',3159,'260',63.38,1,3,NULL),(16,3021785,'1992-01-14 00:00:00',4,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','124164241215271431458911175112610117071',8126,'168',52.17,1,3,NULL),(16,3021793,'1989-11-05 00:00:00',4,1,12,2007,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124243241115372411558721345134610167117',11777,'307',45.68,1,3,NULL),(16,3021807,'1989-06-04 00:00:00',2,5,12,2007,'M','N','PIO CORREA','CRICIÚMA','SC','124241241215472431576412571122610164097',11679,'213',45.86,1,3,NULL),(16,3021815,'1990-11-18 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241215112431334427215124610167182',NULL,'1022',43.63,1,3,NULL),(16,3021823,'1991-08-05 00:00:00',4,2,12,2008,'F','N','VOSTARDT','BLUMENAU','SC','124241241215111431446632575122610121192',14167,'71',41.28,1,3,NULL),(16,3021840,'1985-02-16 00:00:00',2,1,12,2003,'F','N','FLORESTA','S JOSé','SC','124241241416143441545439345124610126142',12779,'1036',43.88,1,3,NULL),(16,3021858,'1991-04-12 00:00:00',4,1,12,2007,'F','N','CENTRO','SINOP','MT','111111111216371431448833245123610162092',NULL,'9998',0.00,1,3,NULL),(16,3021866,'1990-09-15 00:00:00',2,1,11,2007,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241216373431158933575114610126052',8409,'497',51.57,1,3,NULL),(16,3021874,'1991-05-31 00:00:00',4,8,11,2008,'F','N','JUVEVE','CURITIBA','PR','116242161215121531578931571114610126042',NULL,'9998',0.00,1,3,NULL),(16,3021882,'1991-03-03 00:00:00',4,1,12,2008,'F','N','SÃO JOAQUIM','VINHEDO','SP','125252251215111431558831475122610127187',1940,'9998',67.42,1,3,NULL),(16,3021890,'1992-04-01 00:00:00',4,8,11,2009,'F','S','ATIRADORES','JOINVILLE','SC','124242241211111431488813571122610121012',NULL,'1063',46.66,1,3,NULL),(16,3021912,'1982-07-25 00:00:00',2,1,12,1999,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124204208216574411446313445124610134042',13138,'9998',43.27,1,3,NULL),(16,3021920,'1990-04-13 00:00:00',2,1,12,2007,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124241241437251431425614342134610124147',NULL,'282',22.79,1,3,NULL),(16,3021939,'1989-06-26 00:00:00',4,8,11,2006,'M','N','GUANABARA','JOINVILLE','SC','124242241217571441567914575114610137012',3271,'1105',63.09,1,3,NULL),(16,3021947,'1989-06-07 00:00:00',4,8,12,2006,'M','N','PARQUE IMPERIAL','S PAULO','SP','125252241215471512178814592215610134017',9434,'459',49.84,1,3,NULL),(16,3021963,'1991-04-28 00:00:00',2,1,12,2008,'M','N','ZONA SETE','MARINGÁ','PR','116164161317111411556812575121610127052',4258,'9998',60.35,1,3,NULL),(16,3021971,'1992-12-04 00:00:00',4,3,11,2008,'M','N','CENTRO','PATO BRANCO','PR','116162161212111311349923573124613268175',177,'9998',79.60,4,3,NULL),(16,3021998,'1991-06-14 00:00:00',4,4,12,2008,'F','N','GERMÂNICO','XAXIM','SC','124241241116371431355514345122610122012',14180,'846',41.26,1,3,NULL),(16,3022005,'1991-02-13 00:00:00',4,8,12,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124241241116131731425674575124610127112',16651,'479',34.30,1,2,1),(16,3022021,'1991-09-04 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215122431458613572124610135117',10942,'1011',47.13,1,3,NULL),(16,3022048,'1982-11-17 00:00:00',2,1,12,2000,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241346144721133344242132321522062',2301,'813',66.06,1,3,NULL),(16,3022064,'1991-04-07 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431468732572112610138042',14338,'262',40.98,1,3,NULL),(16,3022072,'1987-02-28 00:00:00',4,1,12,2004,'F','N','TABOAO','CURITIBA','PR','116164161316572431678713472124610168027',NULL,'9998',0.00,4,3,NULL),(16,3022099,'1990-09-18 00:00:00',2,1,7,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124242241335371431235424245124610166077',15929,'944',37.42,1,3,NULL),(16,3022102,'1989-04-24 00:00:00',4,1,12,2006,'F','N','JD COLINAS','S JOSÉ CAMPOS','SP','125252281215511421458831572122610122077',2291,'9998',66.09,1,3,NULL),(16,3022110,'1989-01-09 00:00:00',4,5,12,2006,'F','N','BORTOLOTTO','NOVA VENEZA','SC','124241241115473431235321571114610124057',2319,'576',65.97,1,2,1),(16,3022129,'1988-04-22 00:00:00',4,1,12,2005,'M','N','BARREIROS','S JOSÉ','SC','124244241216272421228979245333610128183',14438,'969',40.81,1,3,NULL),(16,3022137,'1990-12-08 00:00:00',2,1,12,2008,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241247221131431333311575222610134142',NULL,'65',22.37,1,3,NULL),(16,3022145,'1988-12-29 00:00:00',2,9,11,2005,'M','N','CORAL','LAGES','SC','124241241116375431436914372124610164147',3760,'505',61.68,1,2,1),(16,3022161,'1990-12-03 00:00:00',4,8,12,2007,'M','N','CENTRO','PALOTINA','PR','116161161116372431455631271125610124042',2214,'9998',66.36,1,2,1),(16,3022188,'1987-02-09 00:00:00',2,1,12,2006,'M','N','CENTRO','MARILÂNDIA SUL','PR','116161161116131441546632225132610117172',9259,'9998',50.14,1,2,1),(16,3022226,'1990-12-22 00:00:00',2,8,12,2008,'F','N','CNETRO','GUARAMIRIM','SC','124242241211111431326411272124610122017',NULL,'442',0.00,1,3,NULL),(16,3022250,'1990-12-02 00:00:00',2,1,11,2008,'F','N','PIRAPÓ','PIRAPÓ','PR','116162161215173431466812592112610126097',NULL,'9998',0.00,1,3,NULL),(16,3022269,'1991-11-23 00:00:00',2,1,12,2008,'F','N','JARDIM BOTÂNICO','CURITIBA','PR','116162161215121431256931585124610124112',9005,'9998',50.57,1,3,NULL),(16,3022277,'1992-04-03 00:00:00',4,10,12,2009,'M','S','CENTRO','IMBITUBA','SC','124244241215271431476733575122610144062',NULL,'362',30.31,1,3,NULL),(16,3022293,'1991-07-06 00:00:00',4,4,12,2008,'F','N','CENTRO','CPO ERÊ','SC','124241241116161431436612321224610124142',NULL,'137',27.95,1,2,1),(16,3022315,'1992-04-02 00:00:00',4,1,12,2008,'M','N','LAGOA','PTO VELHO','RO','125222251217411431468831571122613226043',NULL,'9998',0.00,1,3,NULL),(16,3022323,'1988-02-12 00:00:00',2,5,12,2006,'M','N','CENTRO','ARARANGUá','SC','124241241215472431447833195122131037112',9866,'32',49.03,1,3,NULL),(16,3022331,'1990-02-19 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241216132421346611395122610127052',13399,'809',42.80,1,3,NULL),(16,3022340,'1991-04-09 00:00:00',4,8,12,2008,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241215111431378814575114610164182',4270,'491',60.32,1,3,NULL),(16,3022358,'1986-10-16 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241116373411147754435114221962097',7612,'271',53.12,1,3,NULL),(16,3022374,'1990-04-10 00:00:00',4,1,12,2007,'F','N','SANTA ROSA','PTO UNIÃO','SC','116243241216271431549513585125610163052',2761,'633',64.53,5,3,NULL),(16,3022382,'1990-03-22 00:00:00',2,10,11,2007,'M','N','SÃO CRISTÓVÃO','TUBARÃO','SC','124241241115371431453414575124610168017',6924,'1034',54.45,1,2,1),(16,3022390,'1991-01-07 00:00:00',4,1,11,2008,'M','N','DOIS CORREGOS','PIRACICABA','SP','125252251215111431478613575112610147072',5105,'9998',58.39,1,3,NULL),(16,3022404,'1989-08-13 00:00:00',4,8,11,2006,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124244246214371432364432475112610124052',12581,'461',44.21,1,3,NULL),(16,3022420,'1990-11-10 00:00:00',4,8,11,2008,'F','N','AMERICA','JOINVILLE','SC','124242241215121431589614475122610114142',9824,'491',49.11,1,3,NULL),(16,3022439,'1989-09-06 00:00:00',2,1,12,2006,'M','N','ARIRIÚ','PALHOCA','SC','124242241216474421446633595114133267041',772,'1011',73.66,1,3,NULL),(16,3022447,'1991-02-12 00:00:00',4,10,12,2008,'F','N','MADRE TERESA','S LUDGERO','SC','124241241145161731625364481321610113147',NULL,'748',25.27,1,2,1),(16,3022455,'1991-05-19 00:00:00',4,8,12,2008,'F','N','AMÉRICA','JOINVILLE','SC','124242241215321431466632574122610142097',7793,'491',52.78,1,3,NULL),(16,3022463,'1990-02-24 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241111312431436613312344610124147',NULL,'298',24.11,1,3,NULL),(16,3022480,'1989-08-11 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124281241116131431428659482124610121097',NULL,'288',0.00,1,3,NULL),(16,3022501,'1991-07-14 00:00:00',4,1,11,2008,'M','N','CENTRO','CHAPECÓ','SC','124242241216141451559814395125610165187',13288,'1046',42.99,1,3,NULL),(16,3022510,'1989-07-14 00:00:00',2,1,12,2007,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241117132431235923372124610122147',8382,'306',51.63,1,2,1),(16,3022528,'1987-04-04 00:00:00',4,1,12,2004,'M','N','KOBRASOL','S JOSÉ','SC','124242241216273431467813415134610124097',15343,'262',38.89,1,3,NULL),(16,3022536,'1990-01-10 00:00:00',4,8,12,2007,'M','N','BARRA DO RIO MOLHA','JARAGUÁ SUL','SC','124242241215472441239611574124610134096',NULL,'491',0.00,1,3,NULL),(16,3022544,'1991-04-29 00:00:00',2,1,12,2008,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124243241215271431334434571124610136092',13379,'1048',42.83,1,3,NULL),(16,3022552,'1990-12-25 00:00:00',4,3,12,2008,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241211371431444632274115610167062',4023,'44',61.00,1,3,NULL),(16,3022560,'1990-08-13 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431445513575112131834017',1011,'266',72.01,1,3,NULL),(16,3022579,'1991-01-17 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124244241141471431483632345124610168192',14380,'283',40.91,1,3,NULL),(16,3022587,'1991-04-25 00:00:00',4,1,12,2008,'F','N','CAMPO LIMPO','S PAULO','SP','125252251216151431437839172112610134093',4621,'9998',59.49,1,3,NULL),(16,3022595,'1988-12-01 00:00:00',2,1,12,2006,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124201201117131631123344342324610117142',NULL,'9998',20.22,1,2,1),(16,3022617,'1990-03-29 00:00:00',4,8,12,2007,'F','N','GUAIANAZES','S PAULO','SP','125252251216471431657833572114610165097',7744,'9998',52.88,1,3,NULL),(16,3022625,'1992-01-30 00:00:00',4,4,12,2008,'F','N','CENTRO','CHAPECO','SC','124242241215151431348812572122610146182',12389,'168',44.56,1,3,NULL),(16,3022633,'1990-02-12 00:00:00',2,8,12,2007,'F','N','CAPÃO RASO','CURITIBA','PR','116161161215471431456739575124610123017',NULL,'9998',0.00,1,3,NULL),(16,3022650,'1990-06-15 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241211272431469933575124221466092',234,'737',78.71,1,3,NULL),(16,3022668,'1990-11-19 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472411456413275122610136092',1814,'272',67.96,1,3,NULL),(16,3022676,'1990-07-13 00:00:00',4,1,12,2007,'M','N','BELA VISTA','PALHOÇA','SC','124241241123272721323319392124133227142',4501,'12',59.76,1,2,1),(16,3022692,'1990-10-31 00:00:00',4,1,12,2007,'F','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125252251216471411548934571122610142047',2362,'9998',65.83,1,3,NULL),(16,3022706,'1992-06-20 00:00:00',4,1,12,2009,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241216151751378833595122610165072',NULL,'262',34.80,1,3,NULL),(16,3022722,'1991-09-08 00:00:00',2,4,12,2008,'F','N','CENTRO','CAMPO ERE','SC','124241241116161431338814341122610123142',NULL,'137',22.47,4,3,NULL),(16,3022749,'1990-12-29 00:00:00',4,1,12,2007,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215472431248833575122610163142',1033,'262',71.86,1,3,NULL),(16,3022757,'1965-06-06 00:00:00',2,1,12,1985,'M','N','BELA VISTA','S JOSÉ','SC','224241248127133421443343331132122337097',NULL,'257',32.65,5,2,1),(16,3022765,'1990-10-27 00:00:00',2,1,11,2007,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241112272731234723385124610121097',12288,'288',44.74,1,3,NULL),(16,3022773,'1989-11-03 00:00:00',2,8,11,2006,'F','N','CENTRO','CURITIBA','PR','116254161215571431546823474125610162147',NULL,'9998',0.00,1,3,NULL),(16,3022781,'1984-02-03 00:00:00',4,1,12,2001,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241146273431342313345224530224017',12729,'307',43.96,1,3,NULL),(16,3022790,'1991-02-26 00:00:00',4,1,12,2008,'M','N','PASSO','MAFRA','SC','124242241215111431449931575122610147042',6873,'541',54.53,1,3,NULL),(16,3022803,'1991-01-04 00:00:00',2,1,11,2008,'F','N','RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC','124241241115151421438313375124610131147',14040,'307',41.57,1,2,1),(16,3022811,'1954-05-22 00:00:00',4,1,12,1974,'M','N','MARQUES RIBEIRO','CACHOEIRA SUL','RS','220202201146131211246449445122243237047',NULL,'9998',29.58,1,3,NULL),(16,3022820,'1990-08-31 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241217473431446612375122610127047',2745,'738',64.58,1,3,NULL),(16,3022838,'1991-05-10 00:00:00',4,4,12,2008,'M','N','JARDIM BELA VISTA','ITAPIRANGA','SC','124241241116151141448834272112610136157',NULL,'412',0.00,1,2,1),(16,3022846,'1990-10-05 00:00:00',4,8,11,2008,'F','N','CENTRO','RIO NEGRINHO','SC','124242241215111431335932224124610123012',NULL,'541',0.00,1,3,NULL),(16,3022854,'1991-01-08 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215472431459614572124610123077',NULL,'1022',49.94,1,3,NULL),(16,3022862,'1988-08-08 00:00:00',2,1,12,2007,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124243241111372731538811575124610164092',4357,'271',60.11,1,3,NULL),(16,3022870,'1990-10-26 00:00:00',4,1,11,2008,'M','N','SANTANA','RIO SUL','SC','124242241215371431349611575115610168172',4473,'991',59.85,1,3,NULL),(16,3022900,'1990-11-10 00:00:00',4,1,12,2008,'M','N','GUARARAPES','FORTALEZA','CE','106062061217111431436722472122610157012',NULL,'9998',0.00,4,3,NULL),(16,3022919,'1990-09-12 00:00:00',4,3,12,2007,'M','N','CRISTO REI','CURITIBA','PR','116242161235572431247932575112610164187',NULL,'9998',0.00,1,3,NULL),(16,3022927,'1991-07-11 00:00:00',2,4,12,2008,'F','N','CENTRO','ABELARDO LUZ','SC','124243241215131411428821245125610112147',NULL,'1081',26.84,3,3,NULL),(16,3022935,'1991-03-02 00:00:00',4,3,12,2008,'M','N','CENTRO','LAPA','PR','116162161215111431655632424114610167042',NULL,'9998',33.87,1,3,NULL),(16,3022951,'1989-12-13 00:00:00',4,8,12,2007,'F','N','IRIRIÚ','JOINVILLE','SC','124242241235472411546934572124610137072',NULL,'486',35.92,1,3,NULL),(16,3022978,'1989-03-06 00:00:00',2,9,12,2006,'F','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124241241215573431345514284122610154142',14172,'9997',41.28,4,1,2),(16,3022986,'1991-11-21 00:00:00',4,4,12,2008,'F','N','CENTRO','SERRA ALTA','SC','124241241135161731426912242122610122097',15383,'765',38.80,1,2,1),(16,3022994,'1986-08-27 00:00:00',4,1,12,2002,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124204208217132441124431141124232567097',16486,'9998',35.52,5,3,NULL),(16,3023001,'1991-06-29 00:00:00',4,8,12,2008,'F','N','UBERABA','CURITIBA','PR','116162161215151431368934475122610164077',NULL,'9998',0.00,1,3,NULL),(16,3023028,'1989-11-21 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115373431536621575114610124122',6080,'733',56.17,4,2,1),(16,3023036,'1980-09-03 00:00:00',2,1,12,1997,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124242241213154411337741213132520867067',15041,'269',39.57,1,3,NULL),(16,3023052,'1988-09-02 00:00:00',2,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241113172431324624342123610122182',NULL,'307',24.29,1,3,NULL),(16,3023079,'1989-08-25 00:00:00',2,5,7,2007,'F','N','DAS DAMAS','URUSSANGA','SC','124241246217472441321617474124610145177',6596,'995',55.05,1,3,NULL),(16,3023087,'1991-06-18 00:00:00',4,1,11,2008,'F','N','APEDIA','PIMENTA BUENO','RO','122222221217161531664912575122610134152',NULL,'1103',32.88,1,3,NULL),(16,3023095,'1991-11-02 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241315131431425727575114610164147',NULL,'272',28.55,1,3,NULL),(16,3023117,'1990-12-22 00:00:00',4,1,12,2008,'F','N','JARDIM ITÁLIA','AMPARO','SP','125252251235111431458814575122613262077',NULL,'9998',0.00,1,3,NULL),(16,3023125,'1990-08-07 00:00:00',4,1,11,2007,'M','N','CENTRO','JABORANDI','SP','125251251116471411435311341121610164177',NULL,'9998',40.76,1,2,1),(16,3023133,'1988-10-14 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244248215371431227629475124610127112',10034,'266',48.71,1,3,NULL),(16,3023141,'1989-01-28 00:00:00',2,6,12,2007,'F','N','CENTRO','NAVEGANTES','SC','124241241117132431424364172221610133187',11945,'570',45.36,4,2,1),(16,3023150,'1990-07-30 00:00:00',2,1,11,2007,'F','N','CENTRO','CURITIBA','PR','116162161215471411465732575122610164142',15391,'9998',38.79,1,3,NULL),(16,3023168,'1990-08-29 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215472431346611575114610167042',9514,'884',49.70,1,3,NULL),(16,3023176,'1991-01-04 00:00:00',4,1,11,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241215371431557919575122610127052',16335,'951',36.26,1,3,NULL),(16,3023184,'1988-09-05 00:00:00',2,1,12,2005,'M','N','ABRAÃO','FLORIANóPOLIS','SC','124242241215374431536814475124610128047',3086,'1022',63.55,4,3,NULL),(16,3023206,'1989-01-07 00:00:00',4,9,11,2006,'F','N','CENTRO','LAGES','SC','124242241215473411379911575114610164122',9021,'499',50.55,1,3,NULL),(16,3023214,'1989-12-19 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472431478831571112610167052',1438,'884',69.59,1,3,NULL),(16,3023222,'1992-02-24 00:00:00',2,1,11,2008,'F','N','CENTRO','BARRACÃO','PR','116163161215111221468831592122610118142',NULL,'9998',0.00,1,3,NULL),(16,3023230,'1991-03-08 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431378811572324610117042',2159,'270',66.56,1,3,NULL),(16,3023257,'1990-05-21 00:00:00',4,1,12,2007,'M','N','VILA ADYANA','S JOSÉ CAMPOS','SP','125252251215472411468913575122610167092',1698,'9998',68.42,1,3,NULL),(16,3023273,'1992-09-30 00:00:00',4,8,12,2009,'M','S','JARDIM MARIAS','S BENTO SUL','SC','124244241217171331469919572122610167162',NULL,'1114',48.66,1,3,NULL),(16,3023281,'1990-01-01 00:00:00',2,1,12,2007,'M','N','PONTE IMARUIM','PALHOÇA','SC','124242241215372451545931142122610128017',2339,'1010',65.91,1,3,NULL),(16,3023290,'1991-02-06 00:00:00',4,1,11,2008,'F','N','JURERE INTERNACIONAL','FLORIANóPOLIS','SC','124244241215111431246621575124610138057',11630,'1048',45.95,1,3,NULL),(16,3023303,'1990-03-14 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124246243216372431533312345125610122072',NULL,'995',28.54,1,3,NULL),(16,3023311,'1990-02-16 00:00:00',2,1,12,2007,'F','N','JARDIM CENTRAL','FOZ IGUAÇU','PR','116163161217471431438933274325610123187',3181,'9998',63.34,1,3,NULL),(16,3023320,'1990-03-09 00:00:00',4,1,12,2008,'M','N','PASSA VINTE','PALHOÇA','SC','124242241215111431266312225122610168012',13566,'1011',42.52,1,3,NULL),(16,3023338,'1989-03-08 00:00:00',4,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241242115371431633624475124610127147',13500,'196',42.62,1,2,1),(16,3023354,'1988-06-05 00:00:00',2,1,12,2006,'F','N','JARDIM AMÉRICA','DOURADOS','MS','124124121215573511558846572325610116072',7250,'9998',53.81,1,3,NULL),(16,3023362,'1990-09-15 00:00:00',2,1,6,2008,'F','N','CENTRO','NOVA VENEZA','SC','124241248216372431333314575124610168077',5635,'995',57.18,1,3,NULL),(16,3023370,'1991-02-04 00:00:00',2,4,12,2008,'F','N','TRÊS PALMEIRAS','CEL FREITAS','SC','124241241136131411635534245124610136012',NULL,'199',31.51,1,2,1),(16,3023389,'1991-01-27 00:00:00',4,1,11,2008,'F','N','CENTRO EDUCACIONAL','NOVA ANDRADINA','MS','112124121217371431538731475322610164182',NULL,'9998',11.06,4,3,NULL),(16,3023397,'1974-10-04 00:00:00',2,1,12,1992,'M','N','AREIAS','S JOSé','SC','224241241116133421344443435123610162047',NULL,'271',0.00,1,3,NULL),(16,3023400,'1990-05-04 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241417372731459614472114610128097',12488,'486',44.40,1,3,NULL),(16,3023419,'1990-10-31 00:00:00',4,1,12,2007,'M','N','BROOKLIN','S PAULO','SP','125252251216472431468913575114610167077',1709,'9998',68.39,1,3,NULL),(16,3023427,'1989-04-15 00:00:00',2,1,12,2006,'M','N','SANTA TEREZA','VIDEIRA','SC','124242241215212431359737185114610112042',4244,'969',60.39,1,3,NULL),(16,3023435,'1990-12-25 00:00:00',4,1,12,2008,'M','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241217122431468831572122610137012',4222,'1050',60.44,1,3,NULL),(16,3023443,'1989-06-25 00:00:00',2,5,11,2007,'F','N','SÃO SIMÃO','CRICIúMA','SC','124244246215372431446614345124610167152',10081,'188',48.63,1,3,NULL),(16,3023460,'1988-01-25 00:00:00',4,1,12,2005,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241215272431368712375122120764032',1785,'270',68.07,1,3,NULL),(16,3023478,'1988-07-01 00:00:00',2,1,12,2005,'F','N','CENTRO','BIGUAçU','SC','124241241117134411357733471324231444147',16015,'65',37.21,1,2,1),(16,3023486,'1991-05-05 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124243241215131411634435341134610165017',16202,'868',36.67,1,3,NULL),(16,3023494,'1981-09-24 00:00:00',2,1,12,2002,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','125251251127271431553314485114143267042',10518,'9998',47.89,1,2,1),(16,3023524,'1992-03-24 00:00:00',4,1,12,2008,'M','N','SÃO VICENTE','MANDAGUAÇU','PR','116162161215111431369933475124610162042',4000,'9998',61.06,1,3,NULL),(16,3023532,'1990-05-16 00:00:00',2,1,11,2007,'F','N','JARDIM KARLA','FOZ IGUAÇU','PR','116162161417371331435619485122610137057',NULL,'9998',0.00,1,3,NULL),(16,3023540,'1992-01-05 00:00:00',4,8,12,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242241216271411459812275124610137043',6889,'1105',54.51,1,3,NULL),(16,3023559,'1991-10-27 00:00:00',4,1,12,2009,'F','S','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241217111731546619432122610124197',NULL,'270',49.78,1,3,NULL),(16,3023575,'1991-04-02 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124244241215111411448712571112610164097',7623,'1118',53.11,1,3,NULL),(16,3023591,'1989-08-27 00:00:00',4,1,12,2007,'F','N','VILA LEOPOLDINA','S PAULO','SP','125252251216471431469814575122610143022',5675,'9998',57.13,1,3,NULL),(16,3023605,'1992-05-26 00:00:00',2,4,11,2009,'F','S','CENTRO','XAXIM','SC','124242168416371751326639492122610168042',NULL,'994',6.01,1,3,NULL),(16,3023613,'1990-06-01 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216152431466912575114610144071',NULL,'262',0.00,1,3,NULL),(16,3023621,'1990-09-12 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241135111431223344342324613227047',NULL,'288',14.62,3,2,1),(16,3023630,'1990-04-13 00:00:00',2,1,12,2007,'F','N','JARDIM FLORESTA','S JOSÉ','SC','124242241215373431454834575122610121121',13837,'270',41.97,1,3,NULL),(16,3023656,'1992-04-18 00:00:00',4,1,11,2009,'F','S','SAMBAQUI','FLORIANÓPOLIS','SC','124242241217151731439932575124610128092',NULL,'9997',31.97,1,3,NULL),(16,3023664,'1991-03-18 00:00:00',4,1,12,2008,'F','N','VILA A','FOZ IGUAÇU','PR','116162161217111431557924575112610168147',11078,'9998',46.88,1,3,NULL),(16,3023672,'1992-08-22 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431358831572122610166172',NULL,'270',36.52,1,3,NULL),(16,3023680,'1990-07-30 00:00:00',4,1,12,2007,'F','N','BATEL','CURITIBA','PR','116242161216472431366923595114610132192',4054,'9999',60.92,1,3,NULL),(16,3023702,'1991-05-22 00:00:00',2,1,12,2008,'F','N','JARDIM CANADÁ','PAIçANDU','PR','116251161315111431538614571124610125057',15958,'9998',37.34,1,3,NULL),(16,3023710,'1992-06-12 00:00:00',4,4,12,2009,'F','S','MARIA GORETTI','CHAPECÓ','SC','124242241216111431579932272122610168042',NULL,'9997',34.40,1,3,NULL),(16,3023729,'1988-01-28 00:00:00',4,1,11,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117133431425614315125222268077',NULL,'772',28.75,1,2,1),(16,3023737,'1990-05-29 00:00:00',4,1,12,2007,'M','N','JARDIM CRISTAL','APARECIDA GOIâNIA','GO','109092091217152431568833575122610132042',840,'9998',73.11,1,3,NULL),(16,3023745,'1988-02-11 00:00:00',2,1,12,2005,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241112371431423314241124610136147',12871,'281',43.72,1,2,1),(16,3023761,'1989-12-23 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124241241116131431426611345114610166147',NULL,'257',28.47,1,2,1),(16,3023770,'1990-04-09 00:00:00',4,8,12,2007,'F','N','JARDIM CHAPADÃO','CAMPINAS','SP','125252251216472231349714275112610164147',1666,'9998',68.58,1,3,NULL),(16,3023788,'1991-03-11 00:00:00',4,7,12,2008,'M','N','INTERIOR','LACERDÓPOLIS','SC','124241241126161431433313111224610114057',13169,'496',43.20,1,2,1),(16,3023796,'1991-04-05 00:00:00',2,1,11,2008,'F','N','CENTRO','BIGUAÇU','SC','124242241211112431366821591122610137072',7966,'270',52.49,1,3,NULL),(16,3023818,'1989-05-28 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241116131431323421345224610125147',NULL,'591',22.67,1,2,1),(16,3023826,'1971-09-19 00:00:00',4,1,12,1993,'M','N','JD ELDORADO','PALHOÇA','SC','224243243421133441436844341123230768067',NULL,'9997',0.00,1,3,NULL),(16,3023834,'1987-04-28 00:00:00',2,6,7,2005,'F','N','SETOR SANTO ONOFRE','TRINDADE','GO','109092098326271411123844245123241324194',16100,'9998',36.93,4,3,NULL),(16,3023842,'1987-02-15 00:00:00',4,1,11,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373431538962475124121424143',1061,'807',71.69,1,3,NULL),(16,3023850,'1988-01-28 00:00:00',4,1,11,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216374431366862495125131024041',2816,'262',64.34,1,3,NULL),(16,3023869,'1990-04-27 00:00:00',4,8,11,2007,'F','N','HUGO LANGE','CURITIBA','PR','116162161216472741469813232122610167167',NULL,'9998',0.00,1,3,NULL),(16,3023877,'1991-07-20 00:00:00',2,1,12,2008,'M','N','CENTRO','UMUARAMA','PR','116163161214111431356913575122610127052',NULL,'9998',33.09,1,3,NULL),(16,3023885,'1991-02-12 00:00:00',4,1,12,2008,'F','N','JARDIM FARROPILHA','PARANAVAÍ','PR','116164161216371411455614574122610122112',NULL,'9998',0.00,2,3,NULL),(16,3023893,'1981-09-27 00:00:00',4,1,11,1999,'M','N','KOBRASOL II','S JOSÉ','SC','124242247215471431135612225123130254097',11810,'1003',45.61,1,3,NULL),(16,3023915,'1991-10-15 00:00:00',2,1,11,2008,'F','N','CENTRO','S JOSÉ','SC','124242241216111431469613575124610127172',8771,'270',50.95,4,3,NULL),(16,3023923,'1991-06-10 00:00:00',4,1,12,2008,'F','N','FAZENDO STO ANTONIO','S JOSÉ','SC','124241241115132411525629392124610136182',NULL,'592',34.12,1,2,1),(16,3023931,'1992-07-03 00:00:00',2,7,12,2009,'F','S','CENTRO','HERVAL D OESTE','SC','124242241217131431327624574122610143147',NULL,'446',49.70,1,3,NULL),(16,3023958,'1991-09-21 00:00:00',4,5,10,2008,'M','N','COMERCIÁRIO','CRICIúMA','SC','124242241215271231457812575122610164047',7805,'226',52.75,1,3,NULL),(16,3023966,'1990-01-22 00:00:00',4,1,12,2006,'F','N','BOSQUE DA SAÚDE','CUIABá','MT','111112111216571431238924576224610126197',5120,'9998',58.32,1,3,NULL),(16,3023982,'1991-10-17 00:00:00',2,4,12,2008,'F','N','CENTRO','CARAZINHO','RS','120202201136131431526713341124610135092',14979,'9998',39.71,1,3,NULL),(16,3023990,'1991-03-21 00:00:00',4,1,12,2008,'F','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124241241215371431323414175124610128042',11012,'63',46.99,1,3,NULL),(16,3024008,'1990-03-28 00:00:00',2,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241246212131411446513572124613237057',NULL,'9997',29.93,1,3,NULL),(16,3024016,'1991-07-29 00:00:00',4,4,11,2008,'F','N','CENTRO','CHAPECÓ','SC','124241241115151751446919595112610168142',NULL,'169',27.19,1,2,1),(16,3024024,'1991-03-29 00:00:00',4,2,12,2008,'M','N','CENTRO','S BENTO SUL','SC','124241241317111431468612392322610114091',NULL,'1154',34.70,1,3,NULL),(16,3024032,'1991-12-19 00:00:00',4,9,11,2008,'M','N','POÇO RICO','OTACÍLIO COSTA','SC','124241241315111431479613595112610167012',13978,'1146',41.70,1,3,NULL),(16,3024040,'1991-02-25 00:00:00',2,8,12,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241116472431425611282224610124012',10656,'130',47.64,1,2,1),(16,3024059,'1991-10-13 00:00:00',2,1,12,2008,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124243241346131431543311242122610162147',NULL,'110',24.26,1,3,NULL),(16,3024075,'1990-06-12 00:00:00',2,1,12,2008,'F','N','ANCHIETA','BELO HORIZONTE','MG','113132137216111431336812324122610117142',NULL,'9999',0.00,1,3,NULL),(16,3024083,'1985-09-12 00:00:00',4,9,12,2002,'F','N','CORAL','LAGES','SC','124241241116153411543534475122132064172',16124,'513',36.86,1,2,1),(16,3024091,'1990-07-04 00:00:00',2,1,12,2007,'F','N','VERA CRUZ','PASSO FUNDO','RS','120202201216372431458611472112610128147',14399,'9998',40.88,1,3,NULL),(16,3024105,'1991-09-24 00:00:00',4,1,11,2008,'M','N','CENTRO','S JOSÉ','SC','124242241215112431478517271114610116092',5260,'270',57.96,1,3,NULL),(16,3024113,'1989-12-05 00:00:00',4,1,11,2006,'F','N','APARECIDA','SANTOS','SP','125254251217571451456729575122610147117',3180,'9998',63.34,1,3,NULL),(16,3024121,'1992-02-18 00:00:00',2,4,12,2008,'F','N','CENTRO','MARIANO MORO','RS','120201201126161731436615595124610117142',NULL,'9998',22.05,1,2,1),(16,3024130,'1991-06-18 00:00:00',4,7,11,1991,'M','N','CENTRO','FRAIBURGO','SC','124243241215111531458612575122610124062',NULL,'317',0.00,4,3,NULL),(16,3024148,'1989-11-13 00:00:00',2,1,12,2008,'M','N','TRAÇADO','URUBICI','SC','124241241117131131523415392124610164052',NULL,'818',28.74,1,2,1),(16,3024164,'1989-02-10 00:00:00',4,1,12,2005,'M','N','JARDIM AMÉRICA','MAFRA','SC','124241241217574431448833595125610167182',11269,'9998',46.53,1,3,NULL),(16,3024199,'1991-07-05 00:00:00',2,3,11,2008,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241115111431323714152224610124152',16504,'873',35.45,1,3,NULL),(16,3024202,'1991-02-22 00:00:00',2,8,12,2008,'M','N','RETA MONTE DE TRIGO','S FRANCISCO SUL','SC','124241242115131441436513571221610138097',8899,'24',50.74,1,2,1),(16,3024210,'1989-10-03 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124242251215373431269711212125610165152',2661,'70',64.81,1,3,NULL),(16,3024229,'1990-11-26 00:00:00',4,3,12,2008,'F','N','JARDIM CANADÁ','RIBEIRÃO PRETO','SP','125252251217111411568711341122610136055',NULL,'9998',0.00,1,3,NULL),(16,3024237,'1990-09-15 00:00:00',4,8,11,2007,'M','N','AGUA VERDE','CURITIBA','PR','116164168216472431679812574124610167142',515,'9998',75.64,1,3,NULL),(16,3024245,'1987-01-11 00:00:00',4,8,12,2005,'M','N','AMERICA','JOINVILLE','SC','124244241137473441339621575124231422172',1922,'492',67.50,4,3,NULL),(16,3024253,'1987-11-12 00:00:00',1,4,12,2004,'F','N','FLORESTA','MONDAÍ','SC','124241241126132431323316195133332333147',14573,'564',40.57,1,2,1),(16,3024261,'1989-07-15 00:00:00',4,10,11,2006,'M','N','OFICINAS','TUBARÃO','SC','124243241217132432348823585124122361187',7231,'806',53.85,1,3,NULL),(16,3024270,'1989-06-02 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472411349929575124610135092',469,'269',76.04,1,3,NULL),(16,3024288,'1989-10-17 00:00:00',2,1,12,2006,'F','N','BELA VISTA III','S JOSÉ','SC','124241241117273411636414185124610144172',8929,'257',50.69,1,2,1),(16,3024300,'1988-11-27 00:00:00',2,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241445112421423324284323610164017',13045,'262',43.42,1,3,NULL),(16,3024318,'1989-11-25 00:00:00',2,9,11,2007,'F','N','CENTRO','S JOAQUIM','SC','124241241216371411526316445322610126147',15207,'720',39.19,1,3,NULL),(16,3024326,'1992-05-15 00:00:00',4,5,11,2008,'F','N','CENTRO','IÇARA','SC','124242241216111731329629295335610131017',11559,'349',46.07,1,3,NULL),(16,3024334,'1990-12-31 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241415123731466833434124610164097',2342,'1022',65.90,1,3,NULL),(16,3024342,'1990-07-03 00:00:00',2,1,12,2007,'M','N','LAGOA BONITA','ENG COELHO','SP','125252251215371431469931575122610164092',3076,'9998',63.57,1,3,NULL),(16,3024350,'1992-01-24 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124243241215111411347823572122610168016',NULL,'1077',0.00,1,3,NULL),(16,3024369,'1988-08-10 00:00:00',4,1,12,2005,'F','N','JARDIM DO SHOPPING','CAXIAS SUL','RS','120201201117371431337711295224242834177',8749,'9998',50.98,1,2,1),(16,3024377,'1990-07-21 00:00:00',2,1,12,2007,'M','N','ACLIMAÇÃO','S PAULO','SP','125252251217471411558834375124610167042',9809,'9998',49.14,1,3,NULL),(16,3024385,'1991-09-09 00:00:00',4,1,11,2008,'M','N','VALE DO RENO','LONDRINA','PR','116162161215111431368912575122610167182',3251,'9998',63.14,1,3,NULL),(16,3024407,'1988-06-28 00:00:00',4,5,12,2005,'M','N','CENTRO','NOVO HAMBURGO','RS','120201201216151731573679395125240862147',7075,'9998',54.15,1,3,NULL),(16,3024415,'1988-07-12 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241135133431534411295324221621172',NULL,'498',32.16,4,1,1),(16,3024423,'1990-12-21 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124162241215473431569332574114610121142',5054,'270',58.50,1,3,NULL),(16,3024431,'1989-10-01 00:00:00',4,1,12,2006,'F','N','SANTANA','S PAULO','SP','125252251216571441558813574124610125142',2294,'9998',66.08,1,3,NULL),(16,3024458,'1991-05-28 00:00:00',4,1,12,2008,'M','N','CTO EDUCACIONAL','NOVA ANDRADINA','MS','116252161217111431564612574125610165172',13225,'9998',43.11,4,3,NULL),(16,3024466,'1989-04-25 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241136142421646633242124610127147',13499,'307',42.62,1,3,NULL),(16,3024474,'1991-06-12 00:00:00',4,1,12,2008,'F','N','SANTANA','RIO SUL','SC','124244241215131431433724575125610134187',NULL,'9997',30.05,1,3,NULL),(16,3024482,'1990-09-25 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241215131431358831572121610137072',4396,'738',60.03,4,1,2),(16,3024490,'1990-05-24 00:00:00',4,8,12,2007,'F','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124243241215412411435522575124610143012',3001,'424',63.79,1,3,NULL),(16,3024504,'1991-05-29 00:00:00',4,1,12,2008,'M','N','CENTRO','GOIÂNIA','GO','109092091217111431359811412122610167047',1770,'9998',68.13,1,3,NULL),(16,3024512,'1991-02-12 00:00:00',4,9,12,2008,'F','N','PLANALTO','VACARIA','RS','120201201117371421534611274122610126177',2495,'9998',65.34,1,2,1),(16,3024539,'1980-04-23 00:00:00',2,1,12,1997,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','224242241214273411331321242114130266181',NULL,'272',0.00,1,3,NULL),(16,3024547,'1980-04-11 00:00:00',2,10,12,2000,'M','N','REVOREDO','TUBARÃO','SC','224241248146471411646622282122610147057',5424,'798',57.63,1,2,1),(16,3024555,'1989-12-09 00:00:00',4,1,12,2006,'M','N','TAGUATINGA','TAGUATINGA','DF','107284091417573431478615475122610167092',NULL,'9998',47.97,1,3,NULL),(16,3024563,'1983-09-08 00:00:00',4,1,12,2001,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125253251435571751446833175124140966082',186,'9998',79.45,1,3,NULL),(16,3024580,'1990-10-20 00:00:00',4,8,11,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242241215472431468833584121610167092',1943,'491',67.40,1,3,NULL),(16,3024610,'1990-07-31 00:00:00',4,1,12,2007,'F','N','MATRIZ','VIDEIRA','SC','124243241136272431547624275122610122142',NULL,'831',28.52,1,3,NULL),(16,3024628,'1991-05-04 00:00:00',4,1,11,2008,'M','N','UNIÃO','CPO GRANDE','MS','112124121117111441568813474122610164092',584,'9998',75.04,3,3,NULL),(16,3024636,'1991-11-12 00:00:00',2,6,12,2008,'F','N','CORDEIROS','ITAJAÍ','SC','124241241216111231576732242124610124142',NULL,'389',0.00,1,3,NULL),(16,3024644,'1992-10-13 00:00:00',2,1,11,2009,'F','S','VILA NOVA','PTO BELO','SC','124242241211151411236827294122610166142',NULL,'1111',31.33,1,3,NULL),(16,3024652,'1992-02-21 00:00:00',4,1,12,2008,'F','N','BREJARU','PALHOÇA','SC','124242241215141431433712345124610125187',NULL,'989',0.00,1,3,NULL),(16,3024660,'1993-02-26 00:00:00',4,1,12,2009,'F','S','BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC','124243241215111431369613172122610134142',NULL,'1022',40.58,1,3,NULL),(16,3024695,'1989-09-13 00:00:00',4,1,12,2006,'F','N','JARDIM CONCEIÇÃO','PIRACICABA','SP','125252251236271431346674345115610167142',1939,'9998',67.42,1,3,NULL),(16,3024709,'1987-11-30 00:00:00',2,1,12,2006,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','224201201126131731234354342334610134197',NULL,'9998',20.69,1,2,1),(16,3024717,'1991-01-18 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112411333332224314610132072',3890,'1022',61.37,4,3,NULL),(16,3024725,'1986-06-11 00:00:00',4,1,6,2005,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124243247217133431438541315124221364197',11231,'9999',46.59,1,3,NULL),(16,3024750,'1984-12-20 00:00:00',2,1,12,2002,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241112575451136723575124123262047',2673,'293',64.78,1,2,1),(16,3024768,'1991-06-17 00:00:00',4,1,12,2008,'F','N','VILA IPIRANGA','LONDRINA','PR','116161161111471411548834575112610164012',11696,'9998',45.83,1,3,NULL),(16,3024776,'1989-10-12 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241336373751438713294324610133122',2935,'776',64.00,1,3,NULL),(16,3024784,'1986-03-03 00:00:00',2,8,12,2003,'F','N','CENTRO','CURITIBA','PR','116161161315471411449913591324141323091',NULL,'9998',0.00,1,3,NULL),(16,3024792,'1990-04-30 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373411446833175124221464042',1823,'270',67.93,1,3,NULL),(16,3024806,'1984-12-12 00:00:00',4,1,12,2002,'M','N','ESTREITO','FLORIANóPOLIS','SC','124201201117132731666419492122121424057',NULL,'9998',0.00,1,2,1),(16,3024814,'1991-11-25 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217111431273612295114610162012',1816,'1022',67.95,1,3,NULL),(16,3024822,'1991-09-24 00:00:00',4,5,11,2008,'M','N','COLONINHA','ARARANGUÁ','SC','124242241215371431468814275122610168142',558,'970',75.30,1,3,NULL),(16,3024849,'1991-04-16 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124241241115141431228623392124610134187',NULL,'307',24.01,1,3,NULL),(16,3024857,'1990-10-19 00:00:00',4,1,11,2008,'F','N','ABRAÃO','FLORIANóPOLIS','SC','124243241217112431366823375124610121092',2819,'1022',64.33,1,3,NULL),(16,3024865,'1990-04-30 00:00:00',2,1,7,2008,'F','N','SACO DOS LIMÕES','FLORIANóPOLIS','SC','124241241117271431558811472124610147057',11616,'306',45.97,1,2,1),(16,3024873,'1986-10-19 00:00:00',4,8,12,2003,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215571432247824571244610144097',7507,'9998',53.32,1,3,NULL),(16,3024890,'1990-11-30 00:00:00',4,8,11,2007,'F','N','ZONA SETE','MARINGÁ','PR','116162161211471431448912271112610122092',6052,'9998',56.22,1,3,NULL),(16,3024911,'1990-11-22 00:00:00',2,1,12,2007,'F','N','PASSA VINTE','PALHOÇA','SC','124241241117372431446613381124610167047',10803,'592',47.35,1,3,NULL),(16,3024920,'1991-07-02 00:00:00',4,8,12,2008,'F','N','IRIRIÚ','JOINVILLE','SC','124241241217111451536769575124610164052',NULL,'1105',20.63,1,3,NULL),(16,3024938,'1990-11-20 00:00:00',4,2,10,2008,'F','N','GARCIA','BLUMENAU','SC','124242248215111751468939572122610117147',13915,'855',41.83,1,3,NULL),(16,3024946,'1989-09-23 00:00:00',4,1,12,2007,'M','N','PINHEIRA','PALHOçA','SC','124241241116132731221329285114610146147',15595,'595',38.32,1,3,NULL),(16,3024954,'1987-05-24 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','624242241215473411446714272224122845147',786,'884',73.56,1,3,NULL),(16,3024962,'1983-10-09 00:00:00',4,1,12,2000,'M','N','PANTANAL','FLORIANóPOLIS','SC','124161161117131741447733595334241464057',2750,'9998',64.57,1,3,NULL),(16,3024970,'1991-06-29 00:00:00',4,1,11,2008,'F','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124242241215122432468722577124610168185',3612,'270',62.06,1,3,NULL),(16,3024989,'1989-04-12 00:00:00',4,1,12,2006,'F','N','CENTRO','CASCAVEL','PR','116162161217573431578916571122610167182',2670,'9998',64.79,1,3,NULL),(16,3024997,'1991-02-13 00:00:00',2,10,12,2008,'F','N','OFICINAS','TUBARÃO','SC','124242241215111431346612372122610147072',NULL,'809',37.07,1,3,NULL),(16,3025004,'1991-06-20 00:00:00',3,1,10,2008,'F','N','SANTO ANTÔNIO','FLORIANÓPOLIS','SC','124242241216421431458832575124610127121',3710,'266',61.81,1,3,NULL),(16,3025020,'1990-02-22 00:00:00',4,1,12,2007,'F','N','JARDIM DOS ESTADOS','POÇOS CALDAS','MG','113132131216472441469834575122610136187',3672,'9998',61.91,1,3,NULL),(16,3025047,'1991-04-16 00:00:00',4,2,12,2008,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241216271231589921575122610132041',3593,'909',62.10,1,3,NULL),(16,3025055,'1991-05-10 00:00:00',4,1,11,2008,'M','N','CENTRO','PIRACICABA','SP','125252251217271431468831574122610124042',5980,'9998',56.40,1,3,NULL),(16,3025063,'1963-08-20 00:00:00',4,1,12,1982,'M','N','RATONES','FLORIANóPOLIS','SC','124251251121131721534379141224610166047',NULL,'9998',29.85,4,1,1),(16,3025071,'1991-04-21 00:00:00',4,6,12,2008,'F','N','SÃO JUDAS TADEU','ITAJAÍ','SC','124243241115131431447714472125610136197',14836,'395',40.00,4,3,NULL),(16,3025080,'1981-10-21 00:00:00',4,1,12,1999,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124252251217472431148839482221121467047',10208,'9998',48.42,3,3,NULL),(16,3025098,'1992-04-03 00:00:00',4,1,12,2009,'M','S','AGRONOMICA','FLORIANÓPOLIS','SC','124244241217111431468832572122610168195',NULL,'1022',24.19,1,3,NULL),(16,3025101,'1990-11-07 00:00:00',4,4,12,2007,'M','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124241246112371431434619275124610124057',13352,'182',42.88,4,1,1),(16,3025128,'1990-04-15 00:00:00',4,1,12,2007,'M','N','ALTO BIGUAÇU','BIGUAÇU','SC','124241241111221431433335152124610127047',14708,'21',40.26,1,2,1),(16,3025144,'1991-02-15 00:00:00',2,1,12,2007,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANóPOLIS','SC','124242241217372431368624574112610135095',3523,'270',62.31,1,3,NULL),(16,3025152,'1991-05-16 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241117471431426624575124610117147',NULL,'257',24.40,1,2,1),(16,3025160,'1989-01-23 00:00:00',4,5,12,2006,'M','N','CENTRO','CRICIúMA','SC','124242241217272431346312432112130468142',3453,'213',62.51,1,3,NULL),(16,3025187,'1991-11-22 00:00:00',4,8,12,2008,'M','N','CENTRO','S FRANCISCO SUL','SC','124242241215372431479914575111610167112',1588,'1063',68.93,1,3,NULL),(16,3025195,'1991-03-13 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242161216572412479933597345610168192',647,'9998',74.58,1,3,NULL),(16,3025209,'1989-07-01 00:00:00',2,1,12,2006,'F','N','JARDIM PANAMÁ','CPO GRANDE','MS','112121121131271431548613482324610132042',NULL,'9998',29.16,1,2,1),(16,3025217,'1967-02-11 00:00:00',4,1,12,1995,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','224242245426132731526343135134322736097',NULL,'266',17.21,4,1,2),(16,3025225,'1990-04-21 00:00:00',4,1,12,2007,'M','N','NOVO CENTRO','MARINGÁ','PR','116162161217472411458836265112610147062',2211,'9998',66.38,1,3,NULL),(16,3025233,'1992-03-09 00:00:00',4,1,12,2008,'F','N','CENTRO','CASCAVEL','PR','116161161215111531458911572112610168057',NULL,'9998',23.99,1,3,NULL),(16,3025241,'1991-03-15 00:00:00',4,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215122431389913572122610125092',85,'270',81.38,1,3,NULL),(16,3025276,'1988-09-21 00:00:00',4,4,11,2008,'F','N','CENTRO','FAXINAL GUEDES','SC','124241241135141411223519395332610134052',NULL,'255',26.44,1,2,1),(16,3025284,'1991-09-13 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242248215122431456633374122610147142',11522,'738',46.13,1,3,NULL),(16,3025292,'1992-05-18 00:00:00',4,1,12,2009,'F','S','RIO BRANCO','PTO ALEGRE','RS','120242201216151431489919575122610126092',NULL,'9998',53.56,1,3,NULL),(16,3025306,'1991-07-25 00:00:00',4,6,12,2008,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241215372431329923572122610162147',7904,'388',52.59,1,3,NULL),(16,3025314,'1990-01-26 00:00:00',4,1,12,2007,'M','N','TRÊS FIGUEIRAS','PTO ALEGRE','RS','120202201216472431489812575112241437122',6377,'9998',55.53,1,3,NULL),(16,3025322,'1990-01-05 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215375431489711475122121062146',215,'270',78.99,1,3,NULL),(16,3025330,'1991-06-01 00:00:00',4,1,12,2008,'F','N','BELA VISTA I','S JOSé','SC','124242241212111431526621575124610138147',NULL,'1118',25.72,1,3,NULL),(16,3025349,'1990-02-25 00:00:00',4,1,12,2007,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124202241215371531569832575112610127041',6459,'270',55.35,1,3,NULL),(16,3025357,'1991-11-28 00:00:00',4,1,12,2008,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241216111411368834575114610136147',12728,'9999',43.96,1,3,NULL),(16,3025365,'1990-08-02 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472531379933572122610134042',2403,'270',65.68,1,3,NULL),(16,3025373,'1990-08-03 00:00:00',2,2,12,2007,'F','N','MOEMA','ITAIóPOLIS','SC','124241241226111431334916472124231364097',NULL,'1024',33.14,1,3,NULL),(16,3025381,'1989-07-04 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241417372341336614382123610127037',12182,'977',44.94,1,3,NULL),(16,3025390,'1990-12-01 00:00:00',2,1,12,2008,'F','N','SANTO ANTÔNIO','PIUMHI','MG','113132131217111431446669195113610164045',7506,'9998',53.32,4,3,NULL),(16,3025403,'1992-06-25 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217151431439823472122610128147',8107,'269',52.21,1,3,NULL),(16,3025411,'1991-09-25 00:00:00',2,5,11,2008,'M','N','CENTRO','ARARANGUÁ','SC','124242241211372231478932475122610167052',2636,'32',64.88,1,3,NULL),(16,3025420,'1991-12-30 00:00:00',4,2,12,2008,'F','N','ASILO','BLUMENAU','SC','124242161217122731478933471124610146147',459,'9998',76.13,1,3,NULL),(16,3025446,'1990-07-28 00:00:00',2,1,11,2007,'M','N','CENTRO','STA MARIA','RS','120203201337372411223326575115610167042',5128,'9998',58.30,1,3,NULL),(16,3025462,'1988-10-29 00:00:00',4,1,6,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241117271431359923576114131032113',NULL,'306',28.33,1,3,NULL),(16,3025470,'1991-01-09 00:00:00',4,8,11,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215221431379832572122610131122',11003,'491',47.01,1,3,NULL),(16,3025489,'1990-12-13 00:00:00',2,10,11,2008,'F','N','OFICINAS','TUBARÃO','SC','124242248235121711355512125112610137071',NULL,'807',0.00,1,3,NULL),(16,3025497,'1963-04-25 00:00:00',2,1,12,1981,'M','N','FLORESTA','PTO ALEGRE','RS','120201201121155411154349193214441027042',10074,'9998',48.64,4,2,1),(16,3025519,'1991-03-06 00:00:00',4,7,11,2008,'F','N','CENTRO','ÁGUA DOCE','SC','124241241225111431249923572124610162197',13871,'962',41.90,2,3,NULL),(16,3025527,'1991-04-05 00:00:00',2,1,12,2008,'F','N','CENTRO','PALHOÇA','SC','124244241212151211446619572122610137042',9035,'9997',50.52,1,3,NULL),(16,3025535,'1991-04-12 00:00:00',4,8,12,2008,'F','N','CENTRO','BARRA VELHA','SC','124243241147141431338823345121610132147',NULL,'58',24.51,1,3,NULL),(16,3025543,'1989-12-28 00:00:00',2,1,12,2007,'F','N','VILA NOVA','GOIÂNIA','GO','109094091316572411457823575124610164142',8849,'9998',50.81,1,3,NULL),(16,3025551,'1989-08-16 00:00:00',4,1,12,2006,'F','N','CENTRO','IJUI','RS','120201201117311431526319495125610137047',NULL,'9998',26.82,2,1,1),(16,3025560,'1984-10-09 00:00:00',4,1,12,2002,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201243132575411343824235122222664187',1955,'306',67.36,1,2,1),(16,3025578,'1987-07-16 00:00:00',2,7,12,2004,'M','N','CENTRO','ÁGUA DOCE','SC','124241242116371431436611235123130724147',NULL,'8',0.00,1,2,1),(16,3025586,'1989-07-07 00:00:00',2,1,12,2006,'F','N','PRAINHA','FLORIANÓPOLIS','SC','124201201126131432447614445122610162147',NULL,'9998',16.43,1,2,1),(16,3025594,'1992-02-19 00:00:00',4,8,11,2008,'F','N','SANTA MÔNICA','ROLÂNDIA','PR','116161161217121331237619382122610123071',NULL,'9998',32.90,3,3,NULL),(16,3025616,'1989-04-08 00:00:00',2,1,12,2006,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215573441468823314122610127051',4439,'270',59.91,1,3,NULL),(16,3025624,'1991-07-31 00:00:00',4,1,11,2008,'F','N','RECANTO DOS VINHAIS','S LUíS','MA','110102101216151431469924575112610136142',1369,'9998',70.01,1,3,NULL),(16,3025632,'1991-02-27 00:00:00',2,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241215112431467532222112610167042',8838,'497',50.83,1,3,NULL),(16,3025640,'1989-12-26 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124254021217572411219729595124610143142',NULL,'9998',33.04,1,3,NULL),(16,3025659,'1990-08-07 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216471431236832571124131943092',2515,'1124',65.29,1,3,NULL),(16,3025667,'1993-02-18 00:00:00',4,3,12,2009,'M','S','ZONA CINCO','MARINGÁ','PR','116161161216111431539933575122610127092',NULL,'9998',50.12,1,3,NULL),(16,3025675,'1992-10-04 00:00:00',2,1,12,2009,'F','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217111431468811215122610134012',NULL,'951',41.46,1,3,NULL),(16,3025683,'1992-04-18 00:00:00',4,4,11,2008,'F','N','VALE DO SOL','CLEVELÂNDIA','PR','116162161216111431466932121122610135092',2239,'9998',66.26,1,3,NULL),(16,3025691,'1990-11-09 00:00:00',4,1,12,2007,'F','N','NOVA HIGIENÓPOLIS','JANDIRA','SP','125254251227471431477614275122610135147',NULL,'9998',0.00,1,3,NULL),(16,3025705,'1990-03-21 00:00:00',4,1,12,2006,'F','N','JD ITÁLIA','SINOP','MT','124112111216472431248822572114610167181',4763,'9998',59.14,1,3,NULL),(16,3025713,'1992-03-18 00:00:00',4,4,11,2008,'F','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','116242161216471431459931575112610142097',NULL,'9998',0.00,1,3,NULL),(16,3025721,'1990-07-25 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241117111431346673592124610164012',NULL,'292',23.05,1,3,NULL),(16,3025730,'1990-01-20 00:00:00',4,5,12,2007,'M','N','LARANJINHA','CRICIÚMA','SC','124241241126141731334314345124131464142',NULL,'223',0.00,1,2,1),(16,3025748,'1990-08-12 00:00:00',4,1,12,2007,'F','N','JOSÉ MENINO','SANTOS','SP','125252251216472431588612475114610165097',8819,'9998',50.86,1,3,NULL),(16,3025756,'1979-01-09 00:00:00',4,2,12,1997,'F','N','CANA GALO','RIO SUL','SC','124244241414472421443411271124331566197',NULL,'661',0.00,1,3,NULL),(16,3025764,'1990-01-04 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217124431489933475112231023137',8800,'270',50.90,1,3,NULL),(16,3025780,'1991-04-02 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241215121431238923395125610127013',3011,'1022',63.75,1,3,NULL),(16,3025799,'1990-08-01 00:00:00',4,7,12,2007,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241215472431456832571112610145147',7199,'962',53.91,1,3,NULL),(16,3025802,'1991-06-27 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111731259924475124610124042',4968,'1038',58.69,1,3,NULL),(16,3025810,'1991-01-12 00:00:00',4,1,12,2008,'M','N','PIO X','CAXIAS SUL','RS','120204201217471431468713471124610167142',197,'9998',79.27,1,3,NULL),(16,3025837,'1991-07-10 00:00:00',4,1,12,2008,'M','N','CENTRO','LARANJEIRAS SUL','PR','116161161411141431338513245122610124077',9145,'9998',50.33,4,3,NULL),(16,3025845,'1989-04-08 00:00:00',4,1,12,2006,'F','N','PIRAPÓ','PIRAPÓ','PR','116162161216572431478911575122610166092',NULL,'9998',0.00,1,3,NULL),(16,3025853,'1991-04-05 00:00:00',4,6,12,2008,'F','N','CENTRO','PENHA','SC','124242241216151431489811571112610162171',10150,'389',48.52,1,3,NULL),(16,3025861,'1989-08-09 00:00:00',4,1,12,2006,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242246215153411449911395124233217142',12944,'270',43.61,1,3,NULL),(16,3025870,'1991-12-27 00:00:00',2,10,10,2008,'F','N','CENTRO','TUBARAO','SC','124242241215111731468714574122610162182',7696,'807',52.97,1,3,NULL),(16,3025888,'1991-01-24 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124242241215112431366913474124610166182',9603,'1022',49.51,1,3,NULL),(16,3025896,'1990-08-23 00:00:00',4,1,11,2008,'M','N','PITANGUEIRAS','LAURO FREITAS','BA','105052051217111411479613275124610114147',3023,'9998',63.73,1,3,NULL),(16,3025900,'1986-09-30 00:00:00',4,1,7,2005,'M','N','BARREIROS','S JOSÉ','SC','124242247237472731337619272124610167182',3886,'270',61.37,1,3,NULL),(16,3025918,'1990-06-02 00:00:00',4,5,12,2007,'M','N','CENTRO','CRICIÚMA','SC','124242241215472431479814594122610127122',NULL,'226',55.30,1,3,NULL),(16,3025926,'1990-12-21 00:00:00',4,1,12,2008,'M','N','JURERE','FLORIANóPOLIS','SC','124242241215112732458832325114610134117',8350,'270',51.69,3,3,NULL),(16,3025934,'1961-04-18 00:00:00',2,1,11,1980,'M','N','JOAO PAULO','FLORIANóPOLIS','SC','224011013126141411482343335122340867042',NULL,'9998',36.05,4,2,1),(16,3025942,'1991-07-24 00:00:00',4,1,12,2008,'M','N','JARDIM','STO ANDRÉ','SP','125252251217121431458939572122610147137',1857,'9998',67.77,1,3,NULL),(16,3025977,'1990-02-02 00:00:00',2,1,12,2008,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241415121411443512471124610116051',16497,'1048',35.48,1,3,NULL),(16,3025985,'1991-01-09 00:00:00',4,1,11,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215121431489613575122610124142',3127,'270',63.46,4,3,NULL),(16,3025993,'1991-11-18 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANOPOLIS','SC','624243241215371431258613595124610128182',9155,'272',50.31,1,3,NULL),(16,3026000,'1989-06-14 00:00:00',2,1,12,2006,'F','N','AREIAS','S JOSÉ','SC','124241241136134431433319382124222262147',NULL,'730',30.87,1,2,1),(16,3026019,'1991-05-20 00:00:00',1,1,12,2008,'F','N','ARIRIÚ','PALHOÇA','SC','124241241135161431423339572124610157077',NULL,'772',19.09,1,3,NULL),(16,3026027,'1991-12-30 00:00:00',4,1,11,2008,'M','N','BIGORRILHO','CURITIBA','PR','116162161315221431458932241124610122073',NULL,'9998',0.00,1,3,NULL),(16,3026035,'1991-02-08 00:00:00',4,1,12,2008,'M','N','JARDIM BELA VISTA','GUARATINGUETÁ','SP','125242251237121431467913575122610141047',NULL,'9998',0.00,1,3,NULL),(16,3026051,'1989-05-15 00:00:00',4,1,11,2006,'M','N','ARAÉS','CUIABá','MT','111112111211572441459911575112610166092',192,'9998',79.37,1,3,NULL),(16,3026078,'1991-09-28 00:00:00',4,8,12,2008,'F','N','GLORIA','JOINVILLE','SC','124242241216121431348914575112610161047',15903,'1063',37.48,1,3,NULL),(16,3026086,'1989-10-09 00:00:00',4,7,11,2007,'F','N','CONSOLAÇÃO','RIO CLARO','SP','125252251216471431448814245122610161187',2948,'9998',63.97,1,3,NULL),(16,3026094,'1991-10-06 00:00:00',4,10,10,2008,'F','N','CENTRO','GRAVATAL','SC','124242241215112411368912572124610123142',4132,'807',60.69,1,3,NULL),(16,3026108,'1990-07-04 00:00:00',4,1,12,2007,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215472431226823384144610126077',2977,'272',63.89,1,3,NULL),(16,3026116,'1991-01-01 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124244241237111431446834575124610141012',9783,'1077',49.19,3,3,NULL),(16,3026124,'1991-04-16 00:00:00',4,1,11,2008,'F','N','ROÇADO','S JOSÉ','SC','124242241215111431168632575122610134185',5422,'270',57.63,1,3,NULL),(16,3026132,'1987-12-28 00:00:00',4,1,12,2005,'F','N','VILA MAZZEI','STO ANDRÉ','SP','125252251216572431456314575124243264027',NULL,'9998',0.00,1,3,NULL),(16,3026140,'1991-04-09 00:00:00',4,1,12,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215122411169911575124610124047',33,'270',83.28,1,3,NULL),(16,3026159,'1991-06-01 00:00:00',4,1,12,2008,'M','N','NOVO MUNDO','CURITIBA','PR','116162161217471431479933575114610141142',651,'9998',74.55,1,3,NULL),(16,3026167,'1988-08-09 00:00:00',4,1,1,2007,'M','N','CENTRO','PASSO FUNDO','RS','120204207437371431347829395125141066052',6601,'9999',55.04,1,3,NULL),(16,3026175,'1990-02-19 00:00:00',4,1,12,2008,'M','N','CENTRO','NOVA ANDRADINA','MS','112122121217271432348834445122610164182',10755,'9998',47.45,3,3,NULL),(16,3026183,'1991-04-18 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215121431479813575124610144182',4213,'270',60.45,1,3,NULL),(16,3026191,'1991-07-01 00:00:00',4,10,11,2008,'F','N','MAR GROSSO','LAGUNA','SC','124243241215112431337832571124610114092',4725,'807',59.25,1,3,NULL),(16,3026213,'1991-03-01 00:00:00',4,5,11,2008,'M','N','CENTRO','CRICIúMA','SC','124201241117471441327824472222610147042',6890,'209',54.50,1,2,1),(16,3026221,'1991-04-26 00:00:00',2,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124241241117271431446313242121610146145',2854,'592',64.21,1,3,NULL),(16,3026230,'1988-12-14 00:00:00',2,1,7,2007,'F','N','SERRARIA','S JOSÉ','SC','124242241115373451467614375124610126092',2656,'306',64.82,1,3,NULL),(16,3026248,'1989-01-06 00:00:00',4,1,12,2006,'M','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125162251416573721679934275122610167017',NULL,'9998',43.71,1,3,NULL),(16,3026256,'1991-04-02 00:00:00',4,2,12,2008,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241215111431343511575124610122147',6138,'855',56.05,1,3,NULL),(16,3026264,'1990-04-30 00:00:00',4,1,7,2007,'M','N','BARREIROS','S JOSÉ','SC','124242241231143411525634571124233267012',15023,'9999',39.61,1,3,NULL),(16,3026272,'1990-08-10 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241216111432446613475124610166175',8586,'270',51.28,1,3,NULL),(16,3026280,'1990-11-03 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241115371431468919392124610127117',6173,'271',55.99,1,3,NULL),(16,3026299,'1987-06-22 00:00:00',4,1,12,2004,'F','N','VILA BERNARDES','ARAPONGAS','PR','116161161116372431448811575114141662142',9568,'9998',49.59,1,2,1),(16,3026302,'1989-10-05 00:00:00',2,1,12,2008,'M','N','SANTO ANTONIO','FLORIANÓPOLIS','SC','124243241212151712568732242124610117017',NULL,'1048',34.05,1,3,NULL),(16,3026310,'1991-08-13 00:00:00',4,1,11,2008,'F','N','AREIAS','S JOSé','SC','124242248115111431456613572112610145072',16250,'738',36.52,1,3,NULL),(16,3026345,'1993-09-18 00:00:00',4,5,11,2009,'F','S','URUSSANGUINHA','ARARANGUÁ','SC','124242241215111431478813232122610132017',NULL,'970',54.52,1,3,NULL),(16,3026353,'1990-04-30 00:00:00',4,1,12,2007,'M','N','CACUPÉ','FLORIANóPOLIS','SC','124242241215472431569832575122610164042',2233,'262',66.30,1,3,NULL),(16,3026361,'1991-03-11 00:00:00',2,3,12,2008,'F','N','CENTRO','RIO NEGRINHO','SC','124242241235112431346419395124610147142',8054,'1038',52.32,1,3,NULL),(16,3026370,'1991-02-09 00:00:00',4,1,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116112161216111431248611475122610136192',NULL,'9998',24.40,1,3,NULL),(16,3026388,'1992-02-18 00:00:00',4,1,12,2008,'F','N','CENTRO','VACARIA','RS','120204201217271431238833431222610121097',NULL,'9998',21.76,1,3,NULL),(16,3026396,'1990-02-24 00:00:00',4,1,11,2007,'F','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125112111216373431488811575112610127092',54,'9998',82.24,1,3,NULL),(16,3026400,'1988-12-31 00:00:00',2,8,12,2006,'F','N','COMASA','JOINVILLE','SC','124241241115571411354331275124610164097',2841,'477',64.25,1,2,1),(16,3026418,'1988-11-20 00:00:00',4,1,11,2006,'M','N','BROOKLIN','S PAULO','SP','125252251217571331348813471214610144112',7857,'9998',52.67,1,3,NULL),(16,3026434,'1990-12-24 00:00:00',4,2,12,2007,'F','N','VORSTADT','BLUMENAU','SC','124242241215473431578911575122610147042',5531,'71',57.40,1,3,NULL),(16,3026450,'1991-03-06 00:00:00',4,1,12,2008,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215111431589713575122610167097',7099,'270',54.10,1,3,NULL),(16,3026469,'1990-04-09 00:00:00',4,1,12,2007,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241215472441469934375124610138072',5017,'752',58.57,1,3,NULL),(16,3026477,'1990-09-14 00:00:00',4,1,11,2007,'F','N','BELA VISTA','S PAULO','SP','125122121217271431218815572125610161147',6989,'9998',54.32,1,3,NULL),(16,3026485,'1990-08-15 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215371431488812575122610122042',4262,'270',60.34,1,3,NULL),(16,3026493,'1991-06-12 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241115371431434632575122610117042',3828,'267',61.52,1,3,NULL),(16,3026507,'1990-02-27 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241116272431526312375114610133187',11317,'271',46.45,1,3,NULL),(16,3026515,'1984-07-27 00:00:00',2,8,7,2004,'M','N','AVENTUREIRO','JOINVILLE','SC','124241247341371431433319185121610126177',7620,'489',53.11,1,3,NULL),(16,3026523,'1984-06-15 00:00:00',4,1,12,2002,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216142411467779241135130234182',15213,'262',39.17,1,3,NULL),(16,3026531,'1991-04-27 00:00:00',4,2,11,2008,'M','N','VORSTADT','BLUMENAU','SC','124241241215421411544434345124610134042',NULL,'855',24.37,1,3,NULL),(16,3026566,'1991-12-28 00:00:00',2,4,12,2008,'M','N','SÃO CRISTOVÃO','CHAPECÓ','SC','124242241215121431369934575115610168052',NULL,'983',0.00,1,3,NULL),(16,3026574,'1989-07-13 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124242241217373411558932572114610132185',7274,'738',53.76,1,3,NULL),(16,3026582,'1992-03-10 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241217111431458836292122610127147',3324,'1133',62.92,4,3,NULL),(16,3026590,'1989-05-20 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241111472431636529495124610127127',11020,'307',46.99,1,2,1),(16,3026604,'1984-09-25 00:00:00',4,1,12,2001,'F','N','CRISTO REI','CURITIBA','PR','116161161216571431578813341122343233142',7149,'9998',54.00,1,3,NULL),(16,3026612,'1989-02-09 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124243241116222431326614375114610164182',NULL,'300',26.82,1,3,NULL),(16,3026620,'1992-02-26 00:00:00',4,4,10,2008,'F','N','CENTRO','ERECHIM','RS','120202201235271431458813373122610124142',8306,'9998',51.78,1,3,NULL),(16,3026639,'1991-09-05 00:00:00',2,5,11,2008,'F','N','CENTRO','ARARANGUÁ','SC','124242248215111451478812195122610167142',NULL,'32',33.75,1,3,NULL),(16,3026647,'1989-11-03 00:00:00',2,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116161161415471531556831394214610127057',765,'9998',73.70,3,3,NULL),(16,3026655,'1991-09-15 00:00:00',2,1,11,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124242241216151431346613472124610164042',10633,'9997',47.67,1,3,NULL),(16,3026663,'1990-07-29 00:00:00',4,1,12,2007,'F','N','ROSELLI','ARAÇATUBA','SP','125252253227471431546614282121610161092',9139,'9998',50.34,1,3,NULL),(16,3026671,'1991-09-11 00:00:00',4,1,12,2008,'M','N','HAUER','CURITIBA','PR','116162161216471431489913592124610148042',8982,'9998',50.61,1,3,NULL),(16,3026680,'1991-04-26 00:00:00',2,1,11,2008,'M','N','JARDIM IMPERIAL','CUIABá','MT','111112118237111431487934575122610114092',1744,'9998',68.23,1,3,NULL),(16,3026698,'1989-03-17 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431467511575122610142092',8078,'270',52.27,1,3,NULL),(16,3026701,'1991-04-08 00:00:00',4,10,11,2008,'M','N','CENTRO','TUBARÃO','SC','124242246217141431456834572122610117057',NULL,'1120',26.37,1,3,NULL),(16,3026710,'1989-01-14 00:00:00',4,1,12,2006,'M','N','CENTRO','PENáPOLIS','SP','125252251216573431568814575122610162052',205,'9998',79.13,1,3,NULL),(16,3026728,'1991-08-30 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161217171751458839595115313218197',NULL,'9998',0.00,3,3,NULL),(16,3026736,'1991-03-25 00:00:00',4,2,12,2008,'M','N','CENTRO','PARANAVAÍ','PR','116164161217471431466816571112610164032',1300,'9998',70.37,1,3,NULL),(16,3026744,'1987-06-14 00:00:00',4,10,12,2004,'F','N','CENTRO','PASSO FUNDO','RS','120201201112151431335634342124242262142',NULL,'9998',0.00,1,3,NULL),(16,3026752,'1991-07-01 00:00:00',1,2,12,2008,'F','N','CENTRO','POMERODE','SC','124242241215111731448831292122610135052',NULL,'624',21.66,1,3,NULL),(16,3026760,'1990-09-02 00:00:00',4,1,12,2007,'F','N','CENTRO','S JOSé','SC','124242248217472431329923175124610121077',13030,'737',43.45,1,3,NULL),(16,3026779,'1992-01-10 00:00:00',2,1,11,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242248215212431388833595122610128047',7148,'270',54.01,4,3,NULL),(16,3026795,'1990-06-20 00:00:00',4,8,12,2007,'F','N','ORFA','PNT GROSSA','PR','116162161217471431347832574112610166012',NULL,'9998',0.00,1,3,NULL),(16,3026817,'1990-12-06 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241215473431669619575124610166197',10739,'270',47.47,1,3,NULL),(16,3026825,'1989-11-07 00:00:00',4,1,12,2008,'M','N','SANTA MÔNICA','FLORIANóPOLIS','SC','124242241215112431269713572114610124072',NULL,'1022',28.90,1,3,NULL),(16,3026833,'1989-07-25 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241216372431259813595124131262082',4679,'1022',59.36,1,3,NULL),(16,3026841,'1991-04-15 00:00:00',4,4,12,2008,'F','N','PARQUE DAS PALMEIRAS','CHAPECÓ','SC','124241241116371432438614375124610132147',6927,'169',54.45,1,2,1),(16,3026850,'1990-07-19 00:00:00',4,1,10,2008,'F','N','SETOR OESTE','GOIÂNIA','GO','109092091217111431658912575122610167082',NULL,'9998',0.00,1,3,NULL),(16,3026876,'1990-10-11 00:00:00',4,2,11,2008,'F','N','SÃO PEDRO','BRUSQUE','SC','124242241215111431329934275122610162142',10532,'107',47.86,1,3,NULL),(16,3026884,'1989-03-11 00:00:00',4,1,12,2005,'F','N','CENTRO','TIJUCAS','SC','124242241215574431489831475122133225092',3134,'781',63.44,1,3,NULL),(16,3026892,'1992-04-02 00:00:00',4,1,11,2009,'M','S','BELA VISTA','PALHOÇA','SC','124241241525131411346713345124610168182',NULL,'262',33.32,1,3,NULL),(16,3026914,'1983-11-23 00:00:00',2,1,12,2001,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215475441258823484124231446092',1253,'266',70.65,1,3,NULL),(16,3026922,'1991-04-26 00:00:00',4,1,12,2008,'M','N','SERRARIA','S JOSÉ','SC','124241241215131431445614575125610168172',4176,'868',60.57,1,3,NULL),(16,3026930,'1991-05-27 00:00:00',4,1,12,2008,'M','N','COROA DO MEIO','ARACAJU','SE','126262268216111431589931575122610167122',679,'9998',74.36,4,3,NULL),(16,3026949,'1990-05-26 00:00:00',2,4,11,2008,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242246215111431446939572122610141097',NULL,'983',30.90,1,3,NULL),(16,3026957,'1990-09-19 00:00:00',2,1,12,2008,'F','N','BELA VISTA','PALHOÇA','SC','124241241216161431337511372124610121147',16369,'1011',36.10,1,3,NULL),(16,3026965,'1991-06-28 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124162165213111431556832575124613232145',NULL,'9998',23.61,1,3,NULL),(16,3026973,'1992-02-26 00:00:00',4,8,12,2008,'M','N','CENTRO','JOINVILLE','SC','124242241215151431366714245112610138012',5104,'461',58.39,1,3,NULL),(16,3026990,'1992-04-15 00:00:00',4,6,12,2009,'F','S','NAÇÕES','BAL CAMBORIÚ','SC','124242241215111731458511575124610127082',NULL,'389',38.42,1,3,NULL),(16,3027015,'1991-02-03 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111731238631572112610123142',16361,'738',36.15,1,3,NULL),(16,3027023,'1989-08-30 00:00:00',4,1,12,2007,'F','N','VILA CASA BRANCA','BOTUCATU','SP','125252251216471431469813572112610132092',NULL,'9998',37.63,1,3,NULL),(16,3027040,'1991-03-15 00:00:00',4,2,11,2008,'M','N','VILA NOVA','BLUMENAU','SC','124241241216111211563612315114610117052',11842,'1018',45.57,1,3,NULL),(16,3027058,'1990-01-13 00:00:00',2,4,12,2006,'F','N','CENTRO','CAIBI','SC','124242241215111431448831572122620128147',14645,'126',40.39,1,3,NULL),(16,3027066,'1990-11-23 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111411489813595122610122042',4389,'270',60.05,1,3,NULL),(16,3027082,'1990-09-06 00:00:00',4,1,11,2008,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241115111431356833572124610167067',8680,'270',51.11,1,3,NULL),(16,3027090,'1991-07-30 00:00:00',2,1,10,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241215131431256713575114610128092',13540,'269',42.56,4,3,NULL),(16,3027104,'1991-05-21 00:00:00',4,1,12,2008,'M','N','IAPI','PTO ALEGRE','RS','120201201116471411433719295124610137187',NULL,'9998',0.00,1,2,1),(16,3027112,'1987-12-09 00:00:00',4,1,12,2005,'M','N','CENTRO','LAURO FREITAS','BA','105052051217141411326641215114122866057',NULL,'9998',0.00,1,3,NULL),(16,3027120,'1989-05-03 00:00:00',2,4,12,2006,'M','N','CENTRO','CASCAVEL','PR','116162161216322431357834575122141438012',NULL,'9998',0.00,1,3,NULL),(16,3027139,'1989-10-04 00:00:00',4,1,11,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124244241415121431326412241124610138071',NULL,'1022',17.55,1,3,NULL),(16,3027147,'1991-12-06 00:00:00',4,2,12,2008,'F','N','CENTRO','TELÊMACO BORBA','PR','116162161217121431478712575112610133143',NULL,'9998',0.00,1,3,NULL),(16,3027155,'1987-10-11 00:00:00',4,1,12,2005,'M','N','BELVEDERE','BELO HORIZONTE','MG','113132131216111431588832571122140264182',NULL,'9998',0.00,1,3,NULL),(16,3027163,'1992-03-09 00:00:00',2,1,12,2008,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241115131432336923575122610112097',5577,'271',57.31,1,3,NULL),(16,3027171,'1991-01-24 00:00:00',4,8,12,2008,'M','N','CENTRO','IPERÓ','SP','125251251214111331456813335124610167047',NULL,'9998',0.00,1,3,NULL),(16,3027180,'1990-04-05 00:00:00',4,3,12,2007,'M','N','CENTRO','ERECHIM','RS','124202201215472431353652594111610124042',2726,'9998',64.62,1,3,NULL),(16,3027198,'1991-05-09 00:00:00',4,1,11,2008,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241116151711533312242124610164147',NULL,'592',24.27,1,2,1),(16,3027201,'1987-05-21 00:00:00',2,1,11,2005,'F','N','PICADAS DO SUL','S JOSÉ','SC','124243241115135431423633375124131464142',12393,'1074',44.56,1,3,NULL),(16,3027228,'1992-10-02 00:00:00',4,1,12,2009,'M','S','BAIRRO IPIRANGA','S JOSé','SC','124242241215151431436824245234610132177',NULL,'738',48.11,1,3,NULL),(16,3027244,'1989-11-07 00:00:00',4,1,11,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161216373431458612575114610164052',NULL,'9998',34.45,1,3,NULL),(16,3027252,'1991-12-18 00:00:00',4,1,11,2008,'F','N','PICADAS DO NORTE','S JOSÉ','SC','124242248217111751334629392122610114141',14385,'270',40.90,1,3,NULL),(16,3027260,'1984-02-05 00:00:00',2,1,12,2001,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216154431387922445122330212185',9349,'266',49.99,1,3,NULL),(16,3027279,'1992-03-02 00:00:00',4,1,12,2009,'M','S','MAGALHÃES','LAGUNA','SC','124243241435131231536833572121610162112',NULL,'807',63.48,1,3,NULL),(16,3027287,'1990-10-25 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241235111431369924345124610127062',8365,'270',51.65,3,3,NULL),(16,3027295,'1991-06-10 00:00:00',4,8,12,2008,'M','N','PORTÃO','CURITIBA','PR','116162161344471431469613572122610117092',NULL,'9998',0.00,3,3,NULL),(16,3027309,'1989-10-21 00:00:00',4,1,12,2006,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215372431257924572124133224097',7073,'270',54.15,1,3,NULL),(16,3027317,'1976-03-27 00:00:00',2,1,5,2005,'M','N','BARREIROS','S JOSÉ','SC','224241247126273431435344145124131324047',6553,'9999',55.16,1,2,1),(16,3027325,'1988-10-23 00:00:00',4,5,11,2006,'M','N','CENTRO','IÇARA','SC','124242241211574431467832224123610117111',6690,'226',54.89,1,3,NULL),(16,3027333,'1991-03-05 00:00:00',2,1,11,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241415111421446624275114610124147',NULL,'300',25.71,1,3,NULL),(16,3027341,'1989-05-22 00:00:00',2,8,12,2006,'F','N','CENTRO','PALMEIRA','PR','116162161216571431456912574112610164037',2060,'9998',66.93,1,3,NULL),(16,3027350,'1991-12-06 00:00:00',4,1,11,2009,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','624252241217111431358831475124610124092',NULL,'270',56.98,1,3,NULL),(16,3027368,'1991-10-29 00:00:00',4,1,12,2009,'M','S','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217111431489833575124610128052',NULL,'270',56.61,1,3,NULL),(16,3027376,'1991-05-25 00:00:00',4,8,11,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111511479913574115610162041',NULL,'9998',47.75,3,3,NULL),(16,3027384,'1986-05-28 00:00:00',4,1,12,2003,'F','N','VINHAIS','S LUÍS','MA','110102101216341431466724342122343233182',12872,'9998',43.72,1,3,NULL),(16,3027406,'1990-01-19 00:00:00',4,3,12,2007,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124241248117372431333367285124610127042',12791,'129',43.85,1,2,1),(16,3027414,'1989-10-02 00:00:00',1,8,11,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241115271411489612592122613242072',13853,'457',41.94,1,3,NULL),(16,3027422,'1991-04-30 00:00:00',4,1,12,2008,'F','N','NOVA SANTA CRUZ','MOGI MIRIM','SP','125252251216111431588831571122610113012',2788,'9998',64.46,1,3,NULL),(16,3027430,'1988-10-25 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124242241215374431366739475114610163142',8585,'737',51.28,1,3,NULL),(16,3027449,'1991-01-31 00:00:00',4,3,12,2008,'F','N','SÃO CRISTÓVÃO','CASCAVEL','PR','116161161415111432453311572123610164092',6238,'9998',55.82,1,3,NULL),(16,3027457,'1990-03-29 00:00:00',4,1,12,2007,'M','N','CENTRO','MARIALVA','PR','116162161215471431445931575112610167052',15266,'9998',39.05,1,3,NULL),(16,3027473,'1991-04-19 00:00:00',4,3,12,2008,'F','N','CENTRO','CANOINHAS','SC','124242161216471731367939575122610122077',NULL,'9998',0.00,1,3,NULL),(16,3027481,'1992-04-14 00:00:00',4,7,11,2009,'F','S','CENTRO','JOAÇABA','SC','124242241217111551388833575122610137071',NULL,'454',24.68,1,3,NULL),(16,3027490,'1990-07-25 00:00:00',4,1,12,2007,'F','N','CAMINHO NOVO','PALHOÇA','SC','124242241215373431346613372124610124077',7573,'262',53.20,1,3,NULL),(16,3027503,'1991-05-14 00:00:00',4,3,12,2008,'M','N','NOVA BRASILIA','BRUSQUE','SC','124241246215111431665832575121610147082',16367,'1090',36.13,1,3,NULL),(16,3027511,'1991-05-24 00:00:00',4,1,12,2008,'F','N','JARDIM NOVA TABOÃO','GUARULHOS','SP','125252251216371431446723272124610167117',10902,'9998',47.18,1,3,NULL),(16,3027520,'1991-02-02 00:00:00',2,8,12,2008,'M','N','JARDIM IRIRIÚ','JOINVILLE','SC','124242241215471431336514375112610137057',2114,'1016',66.75,1,3,NULL),(16,3027546,'1990-08-21 00:00:00',2,1,10,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241215111431366833575122610136097',1482,'266',69.45,1,3,NULL),(16,3027554,'1982-02-16 00:00:00',4,1,12,1999,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215152431468834575122221464182',NULL,'266',0.00,1,3,NULL),(16,3027562,'1990-10-08 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124163161216372431478814575112610117122',NULL,'9998',27.56,1,3,NULL),(16,3027570,'1990-08-20 00:00:00',4,6,12,2007,'F','N','RESSACADA','ITAJAí','SC','124242241216372431468814295112610134017',NULL,'1057',27.02,1,3,NULL),(16,3027589,'1983-07-28 00:00:00',4,1,12,2001,'M','N','PANTANAL','FLORIANOPOLIS','SC','124202201216153431568913575122321467115',3052,'9998',63.65,1,3,NULL),(16,3027597,'1991-07-14 00:00:00',4,9,12,2008,'F','N','CONTA DINHEIRO','LAGES','SC','124242241216152431559812575122610124092',2479,'497',65.40,1,3,NULL),(16,3027600,'1990-11-03 00:00:00',2,8,12,2008,'F','N','VILA NOVA','JOINVILLE','SC','124242241215111431436631575122610123097',9294,'1016',50.09,1,3,NULL),(16,3027619,'1991-08-19 00:00:00',4,5,12,2008,'F','N','AMIZADE','JARAGUÁ SUL','SC','124243246217132431449632575125610146142',8626,'1061',51.20,1,3,NULL),(16,3027627,'1989-12-08 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472231368931592124610164092',1782,'262',68.07,1,3,NULL),(16,3027635,'1991-03-16 00:00:00',2,1,11,2008,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215122431457813395124610141092',8718,'270',51.04,1,3,NULL),(16,3027643,'1989-11-14 00:00:00',4,1,12,2007,'F','N','CERQUEIRA CESAR','S PAULO','SP','125252251217471431379831575112610167042',535,'9998',75.52,1,3,NULL),(16,3027651,'1989-02-13 00:00:00',2,10,12,2006,'F','N','JARDIM BOTÂNICO','RIO JANEIRO','RJ','121204201137472431289714372111610144052',14398,'9998',40.88,1,3,NULL),(16,3027660,'1990-02-21 00:00:00',4,1,11,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124222221215471731468813575114610117062',4191,'9998',60.51,2,3,NULL),(16,3027686,'1990-01-30 00:00:00',4,3,12,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215472441248934572222610162171',2254,'1057',66.21,1,3,NULL),(16,3027708,'1991-09-19 00:00:00',4,1,11,2008,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251216271431487732572112610132182',NULL,'9998',0.00,1,3,NULL),(16,3027716,'1990-04-22 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431668923575122231237077',5178,'270',58.16,1,3,NULL),(16,3027724,'1992-01-02 00:00:00',4,5,11,2009,'F','S','MICHEL','CRICIÚMA','SC','124242241217151451448931575122610164017',NULL,'210',35.91,1,3,NULL),(16,3027740,'1991-06-13 00:00:00',2,5,11,2008,'F','N','COLONINHA','ARARANGUÁ','SC','124244241415131431444639594122610167147',11515,'32',46.15,1,3,NULL),(16,3027759,'1991-08-27 00:00:00',2,1,11,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124164241214111431566634272122610125055',66,'270',81.78,4,3,NULL),(16,3027767,'1991-07-12 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242248215112431333822575124610162181',8508,'9997',51.40,1,3,NULL),(16,3027775,'1990-05-04 00:00:00',4,1,11,2007,'F','N','SAUDE','S PAULO','SP','125252251217571431426664572125610167117',NULL,'9998',0.00,3,3,NULL),(16,3027783,'1990-11-08 00:00:00',4,1,12,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241216111431469633574125610126182',55,'270',82.20,1,3,NULL),(16,3027791,'1983-04-27 00:00:00',4,1,12,2000,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243241217274711133349245122323266113',1885,'515',67.65,1,3,NULL),(16,3027805,'1992-03-26 00:00:00',4,3,11,2009,'F','S','CENTRO','BAL CAMBORIÚ','SC','124241248215112431533634392125613244057',NULL,'44',27.57,1,3,NULL),(16,3027813,'1991-08-22 00:00:00',2,1,12,2008,'M','N','BELA VISTA','PALHOÇA','SC','124241241215132431546612472124610125077',6759,'1022',54.75,1,3,NULL),(16,3027821,'1992-02-28 00:00:00',4,1,11,2008,'F','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124242241215111431478613392124610163092',1123,'270',71.31,1,3,NULL),(16,3027830,'1991-04-03 00:00:00',4,3,12,2008,'M','N','ANA PAULA','MAL CÂNDIDO RONDON','PR','116162161217151311436332382121610144042',NULL,'9998',13.49,1,3,NULL),(16,3027848,'1988-07-07 00:00:00',4,8,12,2005,'M','N','NOVA BRASÍLIA','JARAGUÁ SUL','SC','124243161416131712338923295121610167187',2805,'9998',64.38,1,3,NULL),(16,3027864,'1991-09-23 00:00:00',4,8,12,2008,'M','N','CENTRO','PAPANDUVA','SC','124241241116131731655833575112610132147',NULL,'603',0.00,1,2,1),(16,3027872,'1991-09-26 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241215272731556613575124610112057',14057,'299',41.54,1,3,NULL),(16,3027880,'1989-09-27 00:00:00',2,7,12,2006,'M','N','SÃO JOSÉ','FRAIBURGO','SC','124243241346272431447911575124610167052',NULL,'885',0.00,1,3,NULL),(16,3027899,'1987-08-11 00:00:00',4,1,11,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216152421466631275124222927122',1471,'836',69.48,1,3,NULL),(16,3027910,'1992-05-29 00:00:00',4,3,12,2009,'F','S','MEIA PRAIA','ITAPEMA','SC','124242241215151431389911292122610163122',NULL,'403',0.00,1,3,NULL),(16,3027929,'1991-05-25 00:00:00',4,1,11,2008,'M','N','VILA INDUSTRIAL','TOLEDO','PR','116162161216111631549913475122610164037',NULL,'9998',0.00,1,3,NULL),(16,3027937,'1990-11-08 00:00:00',4,1,12,2008,'M','N','VILA AUGUSTA','GUARULHOS','SP','125254251217471431567614574122610168072',2166,'9998',66.54,3,3,NULL),(16,3027945,'1991-01-10 00:00:00',4,4,12,2008,'M','N','CENTRO','CEL VIVIDA','PR','116162161315151431459932115122610128147',NULL,'9998',0.00,1,3,NULL),(16,3027953,'1991-10-07 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215112431268931472122610122142',5093,'270',58.41,1,3,NULL),(16,3027961,'1990-09-14 00:00:00',2,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217122431449732575112610137117',11349,'1022',46.41,4,3,NULL),(16,3027970,'1991-08-13 00:00:00',4,8,11,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116242161217471431489911572122610136182',NULL,'9998',0.00,1,3,NULL),(16,3027988,'1988-12-20 00:00:00',4,1,12,2006,'M','N','CHACARA CANHOS','JAÚ','SP','125254251217571431436614575112610137052',NULL,'9998',24.91,1,3,NULL),(16,3027996,'1990-01-23 00:00:00',4,7,12,2007,'F','N','DAS NAÇÕES','FRAIBURGO','SC','124244241415472431436714275122610132142',5529,'885',57.41,1,3,NULL),(16,3028003,'1990-04-24 00:00:00',2,1,7,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241116132431335619295122233268193',15253,'739',39.09,3,3,NULL),(16,3028011,'1983-09-30 00:00:00',4,4,12,2004,'M','N','PRAIA DE BELAS','PTO ALEGRE','RS','120204201346371421358836365124143234177',2992,'9998',63.82,1,3,NULL),(16,3028020,'1991-01-17 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSÉ','SC','124241241115131731456653132124610126197',12711,'271',43.98,1,2,1),(16,3028038,'1990-08-28 00:00:00',4,1,12,2008,'F','N','ATALAIA','ARACAJU','SE','126264261216271431389932475122610127182',529,'9998',75.55,4,3,NULL),(16,3028046,'1990-07-02 00:00:00',4,4,11,2007,'M','N','CENTRO','MARAVILHA','SC','124241241416471332438713575112131462057',1653,'185',68.65,1,3,NULL),(16,3028054,'1984-05-20 00:00:00',4,1,12,2001,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224161161116253431264359375124230222145',NULL,'9998',0.00,1,2,1),(16,3028062,'1989-11-22 00:00:00',4,3,12,2006,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215473431446332582125610164177',2809,'44',64.36,4,3,NULL),(16,3028070,'1991-10-23 00:00:00',2,9,12,2008,'F','N','SAGRADO C DE JESUS','LAGES','SC','124241241116111411636539595222610147052',NULL,'513',25.29,1,3,NULL),(16,3028089,'1988-01-25 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124201201111132421213544342334610168187',NULL,'9998',24.68,1,2,1),(16,3028097,'1991-04-27 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248215112211358832571122610166075',NULL,'1022',26.56,1,3,NULL),(16,3028100,'1991-06-19 00:00:00',4,1,11,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215122431459913575114610134182',42,'270',82.59,1,3,NULL),(16,3028119,'1991-08-12 00:00:00',4,1,12,2007,'F','N','CENTRO','XANXERê','SC','124242241215112731459814575125221468147',4360,'836',60.11,1,3,NULL),(16,3028127,'1993-03-11 00:00:00',4,1,12,2010,'F','S','KOBRASOL','S JOSÉ','SC','124242241215111431366834574124610146072',NULL,'270',30.60,1,3,NULL),(16,3028143,'1989-03-11 00:00:00',2,4,12,2006,'M','N','TROPICAL','CASCAVEL','PR','116164161211212231438619592122610167072',NULL,'9998',0.00,1,3,NULL),(16,3028151,'1991-07-02 00:00:00',4,5,12,2008,'M','N','CENTRO','S MATEUS SUL','PR','116162161216151431456819595115610128057',NULL,'9998',0.00,1,3,NULL),(16,3028160,'1991-01-18 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431476832372121610157185',NULL,'270',26.78,1,3,NULL),(16,3028178,'1991-03-27 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217121431478833575124610167067',NULL,'1022',28.61,1,3,NULL),(16,3028194,'1991-01-03 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431359813572112610163142',3577,'270',62.15,1,3,NULL),(16,3028208,'1992-01-13 00:00:00',4,6,12,2008,'M','N','VIVENDAS DO ARVOREDO','LONDRINA','PR','116161161215111431468834475112610122172',2236,'9998',66.29,1,3,NULL),(16,3028216,'1993-05-03 00:00:00',4,1,12,2009,'F','S','CENTRO','ALFREDO WAGNER','SC','124244241315111411438819575122610134142',NULL,'13',41.87,1,3,NULL),(16,3028224,'1991-06-27 00:00:00',2,1,9,2008,'F','N','CARIANOS','FLORIANOPOLIS','SC','124241241435131431426613385124610162097',16308,'300',36.35,1,3,NULL),(16,3028232,'1991-07-03 00:00:00',4,1,12,2008,'M','N','RETIRO','VOLTA REDONDA','RJ','121212211235411731358714376124610167143',13456,'9998',42.68,1,3,NULL),(16,3028240,'1989-09-10 00:00:00',4,5,11,2007,'M','N','MORRO ESTEVÃO','CRICIÚMA','SC','124242241215472431459619575114610162152',1726,'226',68.32,1,3,NULL),(16,3028259,'1989-04-20 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241215574431248821575124610123097',5109,'270',58.36,1,3,NULL),(16,3028267,'1992-03-05 00:00:00',5,1,12,2008,'F','N','CENTRO','PANAMBI','RS','120201201117161431438911575122610127017',NULL,'9998',0.00,1,2,1),(16,3028275,'1989-03-14 00:00:00',4,1,12,2006,'F','N','CENTRO','MARINGá','PR','116162161217572431348923472122610122097',4715,'9998',59.28,4,3,NULL),(16,3028283,'1990-07-08 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124252251216471431539813475124610125075',9636,'9998',49.45,1,3,NULL),(16,3028291,'1992-05-20 00:00:00',2,3,12,2008,'F','N','BOMBAS','BOMBINHAS','SC','124243248116162431548713575122610163072',NULL,'1089',31.59,1,3,NULL),(16,3028305,'1989-07-03 00:00:00',4,1,11,2006,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124012241215373431589813571124133211012',3142,'270',63.41,1,3,NULL),(16,3028313,'1990-09-25 00:00:00',4,8,12,2008,'F','N','PIRABEIRABA','JOINVILLE','SC','124243241217471431466414572124610113147',16442,'1016',35.74,1,3,NULL),(16,3028321,'1990-12-12 00:00:00',4,4,12,2008,'F','N','CENTRO','CURITIBA','PR','116242161215111231368831571122610166092',3191,'9998',63.31,1,3,NULL),(16,3028330,'1991-05-17 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243241115371431556634572124610147072',1016,'271',71.99,1,3,NULL),(16,3028356,'1989-03-01 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124252241211574431489732314112610162161',7340,'270',53.64,1,3,NULL),(16,3028364,'1990-08-24 00:00:00',4,8,12,2008,'M','N','CENTRO','S JOSé CAMPOS','SP','125131131215371431568719275124610164182',1232,'9998',70.78,1,3,NULL),(16,3028372,'1991-07-14 00:00:00',4,8,12,2008,'F','N','PORTÃO','CURITIBA','PR','116242161235471431469914575122610136097',NULL,'9998',0.00,1,3,NULL),(16,3028399,'1991-08-27 00:00:00',2,1,11,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242248215121431456634295122610127072',15116,'270',39.38,1,3,NULL),(16,3028402,'1990-09-27 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472531459911575112610124092',1463,'270',69.50,1,3,NULL),(16,3028410,'1991-09-03 00:00:00',4,1,10,2008,'F','N','CENTRO','ERECHIM','RS','120203201217131411438914575125610164177',5715,'9998',57.03,1,3,NULL),(16,3028429,'1989-06-06 00:00:00',2,1,12,2008,'M','N','CENTRO','BIGUAçU','SC','124242241215111231568813592124610167042',11065,'270',46.91,1,3,NULL),(16,3028437,'1991-09-18 00:00:00',4,1,11,2008,'F','N','GOIABEIRAS','CUIABÁ','MT','111112111216111431336831372122610161072',6768,'9998',54.73,1,3,NULL),(16,3028445,'1990-12-18 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124012241212111411446712322125613264195',12808,'1022',43.83,1,3,NULL),(16,3028453,'1989-03-03 00:00:00',4,1,12,2006,'F','N','LIBERDADE','S PAULO','SP','125112251216571431478811575122610147121',504,'9998',75.73,3,3,NULL),(16,3028461,'1990-10-19 00:00:00',2,6,12,2007,'F','N','FAZENDA','ITAJAÍ','SC','124242241215572431339924575124610123187',1497,'1026',69.38,1,3,NULL),(16,3028470,'1991-03-07 00:00:00',4,8,11,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242241216471231579514575122610117062',6787,'491',54.68,1,3,NULL),(16,3028488,'1990-10-30 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241415472431333612294125610136092',1336,'1047',70.18,1,3,NULL),(16,3028496,'1991-02-19 00:00:00',4,1,12,2008,'F','N','SÃO MARCO','S JOSÉ R PRETO','SP','125251251215131431323411191124610121077',5887,'9998',56.61,1,3,NULL),(16,3028500,'1985-11-03 00:00:00',4,1,12,2002,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124111111127471431254672372124143264042',3009,'9998',63.76,1,3,NULL),(16,3028518,'1990-11-30 00:00:00',1,2,11,2008,'F','N','BELCHIOR','GASPAR','SC','124241241216111741469912571124610164171',3586,'88',62.12,1,3,NULL),(16,3028526,'1988-10-29 00:00:00',4,1,12,2006,'M','N','PERDIZES','S PAULO','SP','125254281617322411479911571121610167113',NULL,'9998',46.27,1,3,NULL),(16,3028534,'1991-08-20 00:00:00',2,1,11,2008,'F','N','VENDAVAL','BIGUAÇU','SC','124241241515371712436634372124610134192',9724,'9997',49.30,1,3,NULL),(16,3028542,'1992-02-13 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241417371431448923575124610162097',3335,'1036',62.89,1,3,NULL),(16,3028550,'1991-01-29 00:00:00',2,5,12,2008,'F','N','PINHEIRINHO','CRICIÚMA','SC','124243243215321431456513572124610132147',12708,'995',43.99,1,3,NULL),(16,3028569,'1992-02-05 00:00:00',4,2,12,2008,'F','N','BADENFURT','BLUMENAU','SC','124241241217121531557939572124610127147',NULL,'88',26.39,1,3,NULL),(16,3028577,'1991-07-27 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215112431467811475122610122172',11789,'262',45.66,1,3,NULL),(16,3028585,'1991-05-14 00:00:00',2,1,12,2008,'M','N','RIO BRANCO','CAXIAS SUL','RS','112202201216471431356834375124610127052',NULL,'9998',0.00,1,3,NULL),(16,3028593,'1988-06-11 00:00:00',2,1,12,2005,'F','N','CENTRO','PATO BRANCO','PR','116162161214373751456933572124122661157',5344,'9998',57.79,1,3,NULL),(16,3028607,'1988-12-01 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124201201217471741456619595114610164147',NULL,'9998',20.18,1,3,NULL),(16,3028615,'1990-10-14 00:00:00',2,1,12,2008,'M','N','CENTRO','TERESINA','PI','118182181217111411448831575124610164042',NULL,'9998',0.00,4,3,NULL),(16,3028623,'1991-01-07 00:00:00',4,1,10,2008,'F','N','PRAIA DA COSTA','VL VELHA','ES','108082081235111431378933574122610141122',111,'9998',80.72,1,3,NULL),(16,3028631,'1991-03-01 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','107072071217151411589933572122610133196',9267,'9998',50.13,1,3,NULL),(16,3028640,'1991-05-26 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217121431356619595122610168073',NULL,'1022',39.07,1,3,NULL),(16,3028658,'1992-02-04 00:00:00',4,1,11,2009,'F','S','ROÇADO','S JOSÉ','SC','124243241215111431456612572124610134071',NULL,'723',28.46,1,3,NULL),(16,3028666,'1979-06-20 00:00:00',4,1,12,2000,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124251251426151411236649395132141467047',16583,'9998',34.97,3,3,NULL),(16,3028674,'1990-11-01 00:00:00',4,1,12,2007,'M','N','MIRANDÓPOLIS','S PAULO','SP','125252251216372231389814581115610164124',1691,'9998',68.46,1,3,NULL),(16,3028682,'1990-12-21 00:00:00',4,2,11,2008,'F','N','VILA NOVA','BLUMENAU','SC','124242241214111431468514475122610122122',9436,'71',49.84,1,3,NULL),(16,3028690,'1991-07-01 00:00:00',4,8,12,2008,'F','N','CENTRO','LONDRINA','PR','116162161216111731568836575122610168142',NULL,'9998',0.00,1,3,NULL),(16,3028704,'1991-12-19 00:00:00',2,6,12,2009,'M','S','NAÇÕES','BAL CAMBORIÚ','SC','124242241215111711469934572122610124127',NULL,'389',47.42,1,3,NULL),(16,3028720,'1989-08-14 00:00:00',2,1,12,2006,'F','N','JORDÃO','GOV CELSO RAMOS','SC','124241241117272431623517446134510146177',NULL,'64',22.56,1,2,1),(16,3028747,'1992-04-14 00:00:00',4,1,11,2009,'F','S','CENTRO','JARAGUÁ SUL','SC','124242241215111131466812395122610145052',NULL,'422',37.94,1,3,NULL),(16,3028755,'1990-09-20 00:00:00',4,8,11,2007,'F','N','AMERICA','JOINVILLE','SC','124244241215472411228914475122610143142',12035,'457',45.21,1,3,NULL),(16,3028763,'1989-06-01 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116472411434629575124610134092',NULL,'298',34.35,1,2,1),(16,3028780,'1991-01-13 00:00:00',2,8,12,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','124241246217131611429634341122610144012',NULL,'1061',0.00,1,3,NULL),(16,3028798,'1988-05-28 00:00:00',4,1,11,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241115373411477613392124610122187',6441,'306',55.40,1,3,NULL),(16,3028801,'1990-08-19 00:00:00',2,2,12,2007,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241212471431334723374124610126177',1097,'88',71.49,1,3,NULL),(16,3028810,'1979-11-02 00:00:00',2,1,12,1999,'F','N','JARDIM SAO NICOLAU','BIGUAÇU','SC','124243247342134711328651345124120566142',NULL,'9999',22.96,1,3,NULL),(16,3028828,'1991-04-12 00:00:00',4,1,12,2008,'F','N','CAMBUI','CAMPINAS','SP','125252251217111431357819475122610134143',5316,'9998',57.84,1,3,NULL),(16,3028836,'1990-07-31 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162161217472431458819575124610137147',2853,'9998',64.22,1,3,NULL),(16,3028844,'1990-09-19 00:00:00',2,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124244248425131711335564282224610113097',13759,'1022',42.15,1,3,NULL),(16,3028852,'1990-12-12 00:00:00',2,9,11,2008,'M','N','CRISTO REI','PATO BRANCO','PR','116241161416311411246923395122610142042',NULL,'9998',0.00,1,3,NULL),(16,3028860,'1991-02-06 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241247317131431447724344324610162187',NULL,'9999',8.98,1,3,NULL),(16,3028879,'1990-01-25 00:00:00',4,1,12,2007,'F','N','OESTE','GOIÂNIA','GO','109092091215473431278821575122610122075',1252,'9998',70.65,2,3,NULL),(16,3028887,'1991-07-09 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215112752248612572124610164072',2218,'270',66.35,1,3,NULL),(16,3028895,'1991-05-28 00:00:00',2,4,12,2008,'F','N','CENTRO','CONCÓRDIA','SC','124241241114131431433419241122610138147',15286,'192',39.01,1,2,1),(16,3028909,'1988-03-15 00:00:00',2,5,11,2005,'F','N','PRÓSPERA','CRICIúMA','SC','124243241137272441538614472124133215082',12735,'228',43.95,1,3,NULL),(16,3028917,'1983-10-28 00:00:00',4,1,12,2001,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','224242241217374431278851475124331021112',4020,'270',61.01,1,3,NULL),(16,3028925,'1987-01-01 00:00:00',4,1,12,2004,'F','N','JARDIM PARAISO','S JOSÉ CAMPOS','SP','125253251215571431549333575122610133147',3098,'9998',63.53,1,3,NULL),(16,3028941,'1990-06-12 00:00:00',2,1,12,2008,'F','N','CENTRO','OSASCO','SP','125252251217121411358939572124610147092',NULL,'9998',0.00,1,3,NULL),(16,3028968,'1991-11-22 00:00:00',4,4,12,2008,'M','N','CENTRO','CHAPECÓ','SC','124243241415371431258923575122610127172',6616,'983',55.02,1,3,NULL),(16,3028984,'1993-02-07 00:00:00',2,1,11,2009,'F','S','IPIRANGA','S JOSé','SC','124242241217111732436933372122610127077',NULL,'1036',37.99,1,3,NULL),(16,3029000,'1989-04-04 00:00:00',4,3,12,2006,'M','N','JARDIM JEQUITIBA','MARÍLIA','SP','125252251217572431658839575113610164182',NULL,'9998',36.64,1,3,NULL),(16,3029018,'1986-11-13 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242247416573431358413295124610134027',9362,'9999',49.96,4,3,NULL),(16,3029026,'1991-01-02 00:00:00',4,8,12,2007,'F','N','CENTRO','FOZ IGUAçU','PR','116162161215573441449923591325610166147',3739,'9998',61.73,1,3,NULL),(16,3029034,'1990-01-10 00:00:00',4,10,11,2008,'M','N','VILA MOEMA','TUBARÃO','SC','124094241417111431537614385125610122092',NULL,'809',27.91,1,3,NULL),(16,3029042,'1990-11-22 00:00:00',2,1,11,2007,'M','N','BARREIROS','S JOSé','SC','124241241211312211436611572114610132147',7535,'266',53.27,1,3,NULL),(16,3029050,'1991-12-19 00:00:00',2,1,11,2008,'F','N','PORTÃO','CURITIBA','PR','116162161216571431325814145124610168142',NULL,'9998',37.00,1,3,NULL),(16,3029069,'1989-07-16 00:00:00',4,8,11,2006,'M','N','VILA NOVA','LAGES','SC','124242241215152731459814575124231468187',6617,'497',55.02,1,3,NULL),(16,3029077,'1990-09-20 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161161136132731444723345124220966197',8242,'9998',51.88,1,2,1),(16,3029085,'1990-05-06 00:00:00',2,1,12,2007,'F','N','SANATA RITA','BRUSQUE','SC','124242241215371751338524375122610135027',NULL,'106',24.58,1,3,NULL),(16,3029093,'1989-03-19 00:00:00',4,1,12,2006,'M','N','VILA SÃO JOÃO','BARUERI','SP','125251251116571421536332385124610164142',NULL,'9998',0.00,1,2,1),(16,3029115,'1992-04-23 00:00:00',4,1,12,2008,'M','N','CHÁCARA CACHOEIRA','CPO GRANDE','MS','112124121415131411268821574124610132012',2340,'9998',65.91,1,3,NULL),(16,3029123,'1991-05-21 00:00:00',4,8,11,2008,'M','N','GRÃO PARÁ','TEÓFILO OTONI','MG','113132133216271431578911395125610124012',NULL,'9998',0.00,4,3,NULL),(16,3029140,'1990-05-08 00:00:00',4,1,12,2007,'M','N','VILA MARIANA','S PAULO','SP','125122201217571431458911572115610127142',574,'9998',75.15,1,3,NULL),(16,3029158,'1991-03-08 00:00:00',4,4,11,2008,'F','N','MINIGUAÇU','FRANCISCO BELTRÃO','PR','116162161215111411459912571122610146072',642,'9998',74.60,1,3,NULL),(16,3029166,'1991-06-08 00:00:00',2,3,12,2008,'F','N','CENTRO','CANOINHAS','SC','124241241437111431248923375122610144172',NULL,'154',30.89,1,3,NULL),(16,3029182,'1990-10-11 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242241215472431176661572224610127012',10380,'688',48.12,1,3,NULL),(16,3029190,'1991-06-20 00:00:00',4,3,11,2008,'F','N','PONTA VERDE','MACEIÓ','AL','102022021216371431479933475112610122142',11731,'9998',45.76,4,3,NULL),(16,3029204,'1990-03-12 00:00:00',2,1,12,2007,'F','N','MONTE CARLO','S JOAQUIM','SC','124242161216472431658731574114610137071',1176,'9998',71.07,1,3,NULL),(16,3029212,'1986-10-30 00:00:00',2,1,12,2004,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124243241116144211446413445114222314147',NULL,'307',30.99,2,1,2),(16,3029220,'1991-05-30 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217122411469832575122610124092',3383,'270',62.74,1,3,NULL),(16,3029239,'1990-12-21 00:00:00',4,1,12,2007,'M','N','RAIA','PARANAGUÁ','PR','116162161217472431446632575112610124047',NULL,'9998',43.68,1,3,NULL),(16,3029247,'1992-07-29 00:00:00',2,9,12,2009,'F','S','CONTA DINHEIRO','LAGES','SC','124242241215111431458613572122610122097',NULL,'1146',55.78,4,3,NULL),(16,3029255,'1987-09-04 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247646373441277613375124610166092',2161,'9999',66.56,4,3,NULL),(16,3029263,'1988-12-26 00:00:00',2,1,12,2005,'M','N','CANAS VIEIRAS','FLORIANÓPOLIS','SC','124202201217371221486612342112140267112',NULL,'9998',0.00,1,3,NULL),(16,3029271,'1989-05-06 00:00:00',2,9,12,2007,'F','N','JARDIM PANORÂMICO','LAGES','SC','124242241216471431569834375122610124142',NULL,'497',30.57,1,3,NULL),(16,3029280,'1991-03-30 00:00:00',4,1,11,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241435111231468611572114610127042',NULL,'1022',24.43,1,3,NULL),(16,3029310,'1992-02-01 00:00:00',2,1,12,2009,'F','S','CENTRO','TAIÓ','SC','124242248216141731447612495121610128057',NULL,'776',27.23,1,3,NULL),(16,3029328,'1973-10-02 00:00:00',2,1,11,1990,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241216153711343419415124520765187',2910,'272',64.08,1,3,NULL),(16,3029336,'1988-04-17 00:00:00',4,8,12,2008,'M','N','LIMOEIRO','S PAULO','SP','125252251116131411458614575124610132197',6360,'9998',55.56,1,3,NULL),(16,3029344,'1991-06-21 00:00:00',4,6,12,2008,'M','N','RIO BRANCO','BRUSQUE','SC','124241241127151331434334244122610167037',NULL,'108',31.76,1,2,1),(16,3029352,'1991-02-23 00:00:00',2,1,12,2009,'F','S','JARDIM ELDORADO','PALHOÇA','SC','124244243127151431533412245124610133057',NULL,'591',26.73,1,3,NULL),(16,3029360,'1991-11-19 00:00:00',4,3,12,2008,'M','N','JARDIM UIRÁ','S JOSé CAMPOS','SP','125254251216121411446513385124610122092',NULL,'9998',0.00,1,3,NULL),(16,3029379,'1991-11-25 00:00:00',2,8,12,2008,'F','N','PORTÃO','CURITIBA','PR','116162161217111212458919194114610163097',9068,'9998',50.47,1,3,NULL),(16,3029387,'1991-07-19 00:00:00',2,2,12,2008,'M','N','ZONA','CIANORTE','PR','116161161117471431335539292125610167077',NULL,'9998',0.00,1,2,1),(16,3029409,'1989-12-15 00:00:00',2,1,12,2007,'F','N','JARDIM CIDADE','S JOSÉ','SC','124242241216473731436811574124610124017',8192,'988',52.03,1,3,NULL),(16,3029417,'1991-03-13 00:00:00',4,5,11,2008,'F','N','CENTRO','CRICIÚMA','SC','124242241215371431558614574112610122142',3810,'213',61.57,1,3,NULL),(16,3029433,'1980-05-04 00:00:00',2,1,12,2000,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124171171126475431463351441124610168092',NULL,'9998',32.06,1,2,1),(16,3029441,'1989-01-28 00:00:00',4,8,12,2005,'M','N','JARDIM SOFIA','JOINVILLE','SC','124241246217131411227944345124233241082',NULL,'1105',11.31,1,3,NULL),(16,3029450,'1990-07-25 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116254251211371711338833575124610168147',NULL,'9998',28.64,1,3,NULL),(16,3029468,'1989-01-20 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124202241415573411429714571124610127051',1620,'292',68.80,1,3,NULL),(16,3029484,'1989-09-16 00:00:00',4,1,8,2008,'M','N','VILA MARIANA','S PAULO','SP','125252131136271411369813375115610162182',10399,'9999',48.09,1,3,NULL),(16,3029492,'1982-06-07 00:00:00',1,1,12,2000,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241126152431233364185124220864192',5065,'616',58.48,1,2,1),(16,3029506,'1989-12-26 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124242241215272411247733576114120844142',8545,'1118',51.35,1,3,NULL),(16,3029514,'1990-10-05 00:00:00',2,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124242241216332711428611335122610163187',5959,'723',56.44,1,3,NULL),(16,3029522,'1988-07-16 00:00:00',4,1,12,2005,'F','N','CRUZEIRO','CAXIAS SUL','RS','120203201416143411236923345124142066183',8981,'9998',50.61,1,3,NULL),(16,3029530,'1986-09-26 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241127131421633364245114610117147',NULL,'379',20.94,1,2,1),(16,3029549,'1982-06-25 00:00:00',4,1,11,2000,'M','N','AREIAS','S JOSÉ','SC','124242247231375631136621475124221466087',1789,'9999',68.04,1,3,NULL),(16,3029557,'1983-09-14 00:00:00',5,1,12,2001,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124164161236211152158614445123333262094',NULL,'9998',38.67,1,3,NULL),(16,3029573,'1991-10-28 00:00:00',2,9,12,2008,'F','N','PARQUE OÁSIS','CAXIAS SUL','RS','120202201217111411446611575114610132052',NULL,'9998',27.86,1,3,NULL),(16,3029581,'1990-09-23 00:00:00',4,1,11,2007,'M','N','JADIM ESPERANÇA','CANOINHAS','SC','124241241217271431466934575112142917062',1133,'154',71.27,1,3,NULL),(16,3029590,'1987-08-07 00:00:00',4,1,11,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241235575431488813575125610162092',2844,'446',64.25,1,3,NULL),(16,3029603,'1990-03-02 00:00:00',4,9,11,2007,'F','N','BRUSQUE','LAGES','SC','124242241215153431388612574112610146147',NULL,'497',29.35,1,3,NULL),(16,3029611,'1988-02-21 00:00:00',5,9,12,2005,'M','N','CAMPO ALTO','STA CECÍLIA','SC','124241161212272441433624422124141626177',14453,'9998',40.78,4,1,2),(16,3029620,'1991-04-05 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162161217122451356611574122610125191',4659,'9998',59.41,1,3,NULL),(16,3029654,'1989-08-03 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241216271431448824445124610114182',8858,'262',50.80,1,3,NULL),(16,3029670,'1989-03-01 00:00:00',4,3,12,2006,'M','N','CENTRO','BAL CAMBORIú','SC','124244241415513431456531494122132532037',7282,'1038',53.74,1,3,NULL),(16,3029689,'1990-10-31 00:00:00',4,2,10,2008,'M','N','PIATÃ','SALVADOR','BA','105052051216271411289812575122610167143',174,'9998',79.70,1,3,NULL),(16,3029697,'1992-05-16 00:00:00',4,5,11,2009,'M','S','CENTRO','CRICIÚMA','SC','124242241215131431355911295115610137077',NULL,'213',56.06,1,3,NULL),(16,3029727,'1991-07-08 00:00:00',2,1,11,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215131411546614572122610123077',12772,'259',43.88,1,3,NULL),(16,3029735,'1983-07-31 00:00:00',4,1,11,2008,'F','N','JARDIM ELDORADO','PALHOÇA','SC','224241247227131411224649391224610164147',NULL,'9999',22.43,1,3,NULL),(16,3029743,'1989-11-12 00:00:00',4,1,12,2006,'M','N','SÃO JOSÉ','FRAIBURGO','SC','124244241415573731547924372124610137052',4060,'885',60.90,1,3,NULL),(16,3029751,'1989-11-08 00:00:00',2,1,12,2007,'F','N','SANTA MONICA','FLORIANóPOLIS','SC','124241241126271412234444345114610116147',16645,'341',34.33,3,3,NULL),(16,3029778,'1986-11-25 00:00:00',4,1,12,2005,'M','N','ITAGUAÇU','FLORIANóPOLIS','SC','124242241211313711378854571122233227087',NULL,'262',43.69,1,3,NULL),(16,3029786,'1989-06-16 00:00:00',4,1,12,2006,'F','N','JARDIM SAO FRANCISCO','JAÚ','SP','125252251217571431566831575112610166097',4858,'9998',58.96,1,3,NULL),(16,3029794,'1989-07-31 00:00:00',4,8,12,2006,'M','N','FLORESTA','CRICIUMA','SC','124244246216273421323611145124610132047',5796,'995',56.82,1,3,NULL),(16,3029808,'1986-05-09 00:00:00',2,2,12,2003,'M','N','MARGEM ESQUERDA','GASPAR','SC','124241241127274431533511192124131538197',11254,'325',46.55,1,2,1),(16,3029816,'1984-01-28 00:00:00',4,1,11,2003,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241246117111112143642325122231427042',NULL,'306',31.98,1,3,NULL),(16,3029824,'1991-01-29 00:00:00',2,10,12,2008,'F','N','CENTRO','CAPIVARI BAIXO','SC','124241241125471441345413575324610155142',NULL,'1034',32.58,1,2,1),(16,3029832,'1992-02-01 00:00:00',4,8,11,2008,'F','N','CENTRO','MAFRA','SC','124241241215271431558813591212610113171',11968,'541',45.32,1,3,NULL),(16,3029840,'1991-09-04 00:00:00',4,5,12,2008,'F','N','CENTRO','CRICIÚMA','SC','124242241217111731448911472122610128126',10759,'211',47.45,1,3,NULL),(16,3029859,'1991-09-23 00:00:00',4,5,11,2008,'F','N','PIO CORREIA','CRICIÚMA','SC','124242241215132431455931594124610162192',12078,'211',45.13,1,3,NULL),(16,3029867,'1991-10-01 00:00:00',4,5,12,2008,'M','N','JARDIM MARISTELA','CRICIÚMA','SC','124242241215372431459813435112610167042',9244,'211',50.17,2,3,NULL),(16,3029875,'1991-04-26 00:00:00',4,5,12,2008,'M','N','IMIGRANTES','CRICIÚMA','SC','124242241215152441563639175122610166172',1611,'211',68.85,1,3,NULL),(16,3029883,'1991-04-05 00:00:00',4,5,11,2008,'F','N','CENTRO','NOVA VENEZA','SC','124242241215112431489813572122610127092',12434,'211',44.49,1,3,NULL),(16,3029891,'1991-10-07 00:00:00',4,5,11,2008,'F','N','CENTRO','CRICIÚMA','SC','124242241215151431358824471122610161175',10101,'211',48.61,1,3,NULL),(16,3029905,'1990-12-13 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241215112431463932175122610168077',290,'211',78.10,1,3,NULL),(16,3029921,'1991-09-06 00:00:00',4,5,12,2008,'F','N','CENTRO','MRO FUMAÇA','SC','124242241217272431466934575124610164142',4963,'211',58.69,1,3,NULL),(16,3029930,'1989-04-02 00:00:00',2,4,12,2007,'M','N','GRAMADO','CASCAVEL','PR','116162161226472331556611245122610126172',7131,'9998',54.04,1,3,NULL),(16,3029948,'1989-06-04 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124202201235371431536613475124610134047',NULL,'9998',37.13,1,3,NULL),(16,3029956,'1984-04-28 00:00:00',2,1,6,2003,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124201207336573411316614395124610116171',11794,'9999',45.64,1,3,NULL),(16,3029964,'1987-09-09 00:00:00',2,7,6,2005,'M','N','SÃO FRANCISCO','LUZERNA','SC','124241241145472431443314344134610122012',8807,'539',50.89,1,2,1),(16,3029972,'1989-06-18 00:00:00',3,1,12,2006,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215112441479932442121230262057',1831,'951',67.91,1,3,NULL),(16,3029999,'1981-02-08 00:00:00',4,1,12,1998,'M','N','BELA VISTA II','S JOSÉ','SC','124244241416153411366611495124421966043',9274,'738',50.12,4,3,NULL),(16,3030008,'1986-02-14 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211373411238827385114133243187',8310,'272',51.77,1,3,NULL),(16,3030016,'1991-02-19 00:00:00',4,1,3,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241117132431337629295134610162072',809,'739',73.38,1,2,1),(16,3030024,'1988-01-31 00:00:00',4,1,11,2006,'M','N','KOBRASOL','S JOSÉ','SC','124241241125132421526644345324610134047',NULL,'736',0.00,2,1,1),(16,3030032,'1990-08-27 00:00:00',4,1,12,2007,'M','N','JARDIM SÃO PAULO','S JOÃO BATISTA','SC','124241241115272432344322275124610167052',7910,'712',52.59,1,2,1),(16,3030040,'1990-05-12 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117472731358634571122610124057',9376,'267',49.94,1,2,1),(16,3030059,'1990-04-12 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241115372711579813576124230261112',6875,'271',54.53,1,3,NULL),(16,3030075,'1987-07-22 00:00:00',4,2,12,2004,'F','N','PRAÇA','TIJUCAS','SC','124241241211132431526214491134131426142',NULL,'784',22.97,1,3,NULL),(16,3030083,'1990-03-14 00:00:00',2,1,12,2007,'M','N','TAPERA','FLORIANÓPOLIS','SC','124242241145211431333417345124610127043',13187,'295',43.17,2,1,2),(16,3030091,'1991-08-14 00:00:00',2,1,12,2008,'M','N','CENTRO','PARANAPANEMA','SP','125254251436111411448814475122610132122',NULL,'9998',0.00,1,3,NULL),(16,3030130,'1985-10-12 00:00:00',2,1,12,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241211345721546531241124232132083',12794,'781',43.85,1,3,NULL),(16,3030148,'1990-08-10 00:00:00',2,1,12,2007,'F','N','JARDIM TANGARÁ','JALES','SP','125251251217131431526714292122610131142',NULL,'9998',0.00,1,3,NULL),(16,3030156,'1990-04-15 00:00:00',4,8,12,2007,'F','N','CENTRO','RIO NEGRO','PR','116161161136271411523319294125232246073',15484,'9998',38.58,1,3,NULL),(16,3030164,'1991-05-02 00:00:00',4,1,12,2008,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241241115371511536633575124610134042',6569,'592',55.14,1,3,NULL),(16,3030172,'1991-11-18 00:00:00',4,8,12,2008,'M','N','CENTRO','GOIOERÊ','PR','116162161216111431466936572124610132092',NULL,'9998',32.46,1,3,NULL),(16,3030180,'1991-03-26 00:00:00',4,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242161215472431448811572122610167092',6381,'9998',55.52,1,3,NULL),(16,3030199,'1990-03-28 00:00:00',4,1,11,2007,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124252241217473431568712575114610124186',5896,'270',56.59,1,3,NULL),(16,3030202,'1988-01-23 00:00:00',4,1,12,2005,'M','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125252251217571531368612595123610164094',10015,'9998',48.75,4,3,NULL),(16,3030210,'1991-04-29 00:00:00',4,8,12,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','116242161215111731459813572124610133017',8183,'9998',52.05,1,3,NULL),(16,3030229,'1981-12-08 00:00:00',2,1,12,2001,'F','N','TAPERA','FLORIANÓPOLIS','SC','224241245113135422246353234134610134027',NULL,'307',28.33,4,1,1),(16,3030237,'1985-06-22 00:00:00',2,1,7,2006,'M','N','FORQUILHAS','S JOSÉ','SC','124241247147372431123364285224131022047',13920,'9999',41.82,1,2,1),(16,3030245,'1991-06-24 00:00:00',2,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124244241216111431246724572124610133197',NULL,'1022',29.20,1,3,NULL),(16,3030261,'1990-04-05 00:00:00',2,1,11,2007,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241215372431556934571124610127147',3099,'270',63.53,1,3,NULL),(16,3030270,'1990-08-20 00:00:00',2,1,12,2007,'M','N','PASSA VINTE','PALHOçA','SC','124243241111372431449913572121610128047',NULL,'592',33.51,1,3,NULL),(16,3030288,'1988-08-29 00:00:00',4,5,12,2008,'M','N','SANTA LUZIA','CRICIÚMA','SC','124242241115374411646311182125610168141',10135,'228',48.56,1,3,NULL),(16,3030296,'1988-02-08 00:00:00',2,1,12,2006,'F','N','BOTAFOGO','BENTO GONÇALVES','RS','120201201316143431556533495122610123057',NULL,'9998',20.61,1,3,NULL),(16,3030300,'1990-05-01 00:00:00',4,1,12,2007,'M','N','VILA IMPERIAL','S JOSÉ R PRETO','SP','125252251415371431478832572112610117012',NULL,'9998',0.00,1,3,NULL),(16,3030318,'1984-06-19 00:00:00',2,5,12,2001,'M','N','CEARÁ','CRICIÚMA','SC','124241241112372451536711341122133247042',3887,'209',61.37,4,1,1),(16,3030326,'1983-11-10 00:00:00',2,1,12,2002,'M','N','PRAIA BRAVA','FLORIANóPOLIS','SC','124241241126273731364474335234610127067',16096,'740',36.94,1,2,1),(16,3030342,'1991-03-13 00:00:00',2,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241212121221323312191222610164023',NULL,'1074',29.33,4,3,NULL),(16,3030377,'1991-03-17 00:00:00',5,8,10,2008,'F','N','SÃO MARCOS','JOINVILLE','SC','124244241235211431554623375124610116052',NULL,'459',27.73,1,3,NULL),(16,3030385,'1991-02-03 00:00:00',4,7,12,2008,'F','N','CENTRO','CURITIBA','PR','124241161217111731439632574125610163057',1890,'9998',67.63,1,3,NULL),(16,3030393,'1978-07-07 00:00:00',4,1,12,1996,'F','N','CENTRO','FLORIANÓPOLIS','SC','124212211217471421489814412122333266122',8882,'9998',50.76,1,3,NULL),(16,3030407,'1990-05-01 00:00:00',4,1,12,2007,'M','N','VILA IMPERIAL','S JOSÉ R PRETO','SP','125252251415371431478832572112610117012',NULL,'9998',0.00,1,3,NULL),(16,3030415,'1991-04-21 00:00:00',4,4,12,2008,'M','N','SÃO CRISTÓVÃO','CHAPECó','SC','124242241124151411538311392124610168142',10118,'169',48.59,1,3,NULL),(16,3030423,'1991-06-12 00:00:00',4,8,12,2008,'F','N','CENTRO','GUARAPUAVA','PR','116162161216151431447912575122610161077',NULL,'9998',0.00,1,3,NULL),(16,3030431,'1987-01-20 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124251253337472631446614245124610136097',NULL,'9998',27.82,1,3,NULL),(16,3030440,'1979-08-01 00:00:00',2,1,12,2000,'M','N','AREIAS','S JOSÉ','SC','124242247246162711338641312324330868031',NULL,'9999',19.16,1,3,NULL),(16,3030458,'1990-11-03 00:00:00',4,1,12,2008,'M','N','ZONA OITO','MARINGá','PR','116162161216112431468931575122610162077',1900,'9998',67.58,1,3,NULL),(16,3030474,'1991-07-16 00:00:00',2,3,12,2008,'F','N','BOMBAS','BOMBINHAS','SC','124244241215371532378412272112610132042',13441,'403',42.71,1,3,NULL),(16,3030482,'1981-10-24 00:00:00',2,1,12,1998,'M','N','VILLAGE','IMBITUBA','SC','124241243126275411467314435122321364052',4574,'524',59.62,1,3,NULL),(16,3030504,'1978-11-10 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224021021126141421224154442114142367047',NULL,'9998',32.50,4,3,NULL),(16,3030512,'1977-12-31 00:00:00',2,8,12,1998,'M','N','GUANABARA','JOINVILLE','SC','224241246126372441543313245234331532142',10889,'485',47.21,1,2,1),(16,3030539,'1984-02-09 00:00:00',2,8,12,2006,'M','N','PETROPOLIS','JOINVILLE','SC','124243246221271441336527331113610122182',NULL,'459',0.00,1,3,NULL),(16,3030547,'1983-07-09 00:00:00',4,1,12,2003,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124123247445373421366739495124610167112',10644,'300',47.66,4,3,NULL),(16,3030555,'1990-07-04 00:00:00',2,8,12,2007,'F','N','CENTRO','CASTRO','PR','116161161116271431526314272114610124037',NULL,'9998',0.00,2,1,1),(16,3030563,'1990-03-13 00:00:00',2,1,7,2008,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124242241112131431444934371124610137052',13351,'739',42.88,1,3,NULL),(16,3030571,'1983-11-30 00:00:00',4,1,12,2001,'M','N','CACUPE','FLORIANÓPOLIS','SC','124241241116273411224339345124122214047',7614,'271',53.12,2,1,1),(16,3030636,'1989-08-31 00:00:00',2,1,12,2006,'F','N','ANDORINHA','ITAPEMA','SC','124204201216473431457614575124231465092',11818,'9998',45.60,1,3,NULL),(16,3030644,'1991-09-01 00:00:00',4,5,12,2008,'F','N','CENTRO','CRICIÚMA','SC','124242241215121112448812272122610117073',NULL,'211',0.00,1,3,NULL),(16,3030652,'1992-10-25 01:00:00',4,5,12,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241215121431347924375122610127182',NULL,'211',34.28,1,3,NULL),(16,3030679,'1987-06-01 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243241116374411456613572124610124097',NULL,'257',26.99,1,3,NULL),(16,3030687,'1992-04-14 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241217111511446632222112610164042',NULL,'211',24.89,1,3,NULL),(16,3030725,'1984-05-02 00:00:00',4,1,12,2002,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124201201216472431338413575124222828097',NULL,'9998',10.02,1,3,NULL),(16,3030733,'1983-07-06 00:00:00',4,1,12,2001,'M','N','CENTRO','GUARATINGUETÁ','SP','125252251217571411439871295221143217117',NULL,'9998',0.00,1,3,NULL),(16,3030741,'1988-05-12 00:00:00',2,1,12,2006,'M','N','INTERIOR','IJUÍ','RS','120201201117472731533439392222610162047',965,'9998',72.24,1,2,1),(16,3030750,'1992-03-09 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124244241111221231646632572124610167041',15673,'307',38.13,1,3,NULL),(16,3030768,'1991-09-27 00:00:00',4,1,12,2008,'F','N','GARCIA','ANGELINA','SC','124241241116151431633414335224610127147',NULL,'17',31.86,3,3,NULL),(16,3030776,'1991-12-05 00:00:00',4,5,12,2009,'M','S','PIO CORREA','CRICIUMA','SC','124242241215111511489931375125612617047',NULL,'211',27.37,1,3,NULL),(16,3030792,'1989-01-07 00:00:00',4,6,12,2006,'M','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','124242241216573431476312275124610164132',4179,'1026',60.55,4,3,NULL),(16,3030806,'1992-01-10 00:00:00',4,5,12,2008,'M','N','CENTRO','COCAL SUL','SC','124242241215111431549812575124610124072',NULL,'211',42.86,1,3,NULL),(16,3030814,'1992-09-22 00:00:00',4,5,12,2008,'M','N','COMERCIARIO','CRICIúMA','SC','124242248215111431459934292122610167092',12425,'211',44.51,1,3,NULL),(16,3030849,'1988-12-27 00:00:00',2,1,12,2006,'F','N','COLONINHA','FLORIANóPOLIS','SC','124243241331133431526631341334610124177',NULL,'19',0.00,1,3,NULL),(16,3030857,'1990-12-07 00:00:00',2,1,12,2007,'M','N','BOM VIVER','BIGUAÇU','SC','124241241215372432433532575124610127112',1928,'262',67.48,1,3,NULL),(16,3030865,'1989-09-17 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215373431469933575122131066092',3064,'270',63.61,1,3,NULL),(16,3030881,'1991-01-24 00:00:00',4,1,12,2008,'M','N','CENTRO','BRAÇO NORTE','SC','124242241212421431469931572124610116117',4522,'270',59.72,1,3,NULL),(16,3030890,'1984-09-22 00:00:00',4,1,11,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124202201215575431447622595124121562097',8279,'9998',51.82,1,3,NULL),(16,3030903,'1991-07-08 00:00:00',2,1,11,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111711437834585112610125077',16198,'266',36.67,1,3,NULL),(16,3030911,'1989-11-23 00:00:00',4,1,3,2008,'M','N','CAMPINAS','S JOSÉ','SC','124241241116372431438934245124610164052',2329,'739',65.95,1,2,1),(16,3030938,'1963-09-17 00:00:00',2,1,12,1981,'M','N','JURERE','FLORIANÓPOLIS','SC','524203201316151721349643432122541622043',12648,'9998',44.09,1,3,NULL),(16,3030946,'1982-01-24 00:00:00',2,1,12,1999,'M','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124241241146144731565413245122320537067',14148,'65',41.33,1,2,1),(16,3030954,'1986-05-28 00:00:00',4,1,6,2005,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124241247417573431468413445122133227065',NULL,'9999',31.26,1,3,NULL),(16,3030962,'1988-10-28 00:00:00',4,5,11,2005,'F','N','CENTRO','LAURO MÜLLER','SC','124243241217574731454414372122610134147',12249,'581',44.81,1,3,NULL),(16,3030970,'1984-03-22 00:00:00',4,1,12,2001,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241114152431469933442123321237067',NULL,'267',0.00,1,2,1),(16,3030989,'1990-02-22 00:00:00',2,1,6,2008,'F','N','BARREIROS','S JOSé','SC','124242241115371231466623375124610133072',9297,'306',50.08,1,3,NULL),(16,3031004,'1986-05-08 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216274731556312445132130367057',NULL,'362',27.80,1,3,NULL),(16,3031020,'1987-03-12 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215572431569611571122132422087',321,'270',77.73,1,3,NULL),(16,3031039,'1990-03-30 00:00:00',2,1,12,2006,'M','N','CENTRO','QUILOMBO','SC','124242201216133431446814575124221742095',6147,'9998',56.04,1,3,NULL),(16,3031047,'1979-08-08 00:00:00',4,1,12,1996,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124202201216373421578611495125322066122',5729,'9998',57.00,1,3,NULL),(16,3031063,'1989-08-09 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124241241116371431236844245122610128141',NULL,'733',34.62,1,2,1),(16,3031071,'1990-01-15 00:00:00',4,1,12,2007,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242242115371431629929375114610132147',13207,'960',43.13,1,3,NULL),(16,3031080,'1988-01-14 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215373441178814476124121424051',1000,'494',72.07,1,3,NULL),(16,3031098,'1986-12-10 00:00:00',4,1,7,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241247436132411455551586121122844091',8884,'9999',50.76,1,3,NULL),(16,3031110,'1988-01-31 00:00:00',2,1,12,2005,'M','N','BARREIROS','S JOSÉ','SC','124242241216365531473632345122230247047',NULL,'738',0.00,1,3,NULL),(16,3031128,'1987-10-01 00:00:00',4,1,12,2007,'M','N','CENTRO','GUARATINGUETÁ','SP','125251257135371431337679575121610167027',NULL,'9999',0.00,1,2,1),(16,3031136,'1989-01-11 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANóPOLIS','SC','124202241217373732368713472124610168187',8527,'272',51.37,1,3,NULL),(16,3031144,'1991-02-15 00:00:00',4,1,12,2008,'F','N','PRAIA BRAVA','ITAJAÍ','SC','124242241215471431489914474122610163042',2520,'270',65.27,1,3,NULL),(16,3031152,'1990-07-02 00:00:00',2,8,12,2007,'F','N','AGUA VERDE','CURITIBA','PR','116161161415471431553919571224610167147',815,'9998',73.34,1,3,NULL),(16,3031179,'1990-11-03 00:00:00',4,7,12,2007,'M','N','MERCÊS','CURITIBA','PR','116242241215371431549713272325610162012',342,'633',77.46,1,3,NULL),(16,3031187,'1987-06-17 00:00:00',2,1,12,2005,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201217371431158813372224140664073',5810,'9998',56.78,1,3,NULL),(16,3031195,'1983-04-15 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224241247336141431246454492122610128187',15388,'9999',38.80,1,3,NULL),(16,3031209,'1989-08-25 00:00:00',4,6,12,2006,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124241241431473431346863375121610147147',11031,'389',46.97,1,3,NULL),(16,3031217,'1979-12-10 00:00:00',2,1,12,1997,'M','N','CÓRREGO GRANDE','FLORIANóPOLIS','SC','124241241116274421456613425125320817012',12807,'307',43.83,4,2,1),(16,3031225,'1986-10-11 00:00:00',2,2,12,2003,'F','N','HAUER','CURITIBA','PR','116162161116571431337819392224241347097',NULL,'9998',53.91,1,3,NULL),(16,3031241,'1990-10-18 00:00:00',4,10,12,2007,'M','N','VILA MOEMA','TUBARãO','SC','124242241217372752438932495121610167117',883,'797',72.80,1,3,NULL),(16,3031250,'1991-09-08 00:00:00',4,8,11,2008,'F','N','SÃO FRANCISCO','CURITIBA','PR','116252161215111231566814395124610115142',NULL,'9998',0.00,3,3,NULL),(16,3031268,'1991-09-11 00:00:00',4,1,12,2008,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124244241217371441326833575124610168092',4327,'724',60.19,1,3,NULL),(16,3031276,'1991-02-22 00:00:00',4,8,11,2008,'F','N','CENTRO','CURITIBA','PR','116242161235471731269914575122610168182',1466,'9998',69.50,1,3,NULL),(16,3031284,'1988-07-07 00:00:00',5,1,11,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216474431326965242224131266142',978,'1035',72.20,4,3,NULL),(16,3031292,'1989-03-04 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215573431437622272122610163097',7767,'970',52.83,1,3,NULL),(16,3031306,'1981-10-02 00:00:00',4,2,12,2005,'M','N','BOMBAS','BOMBINHAS','SC','224243247116151431228649395121131227187',14228,'9999',41.18,4,1,2),(16,3031314,'1988-06-03 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124203201146271731413364285124610123187',NULL,'9998',28.90,1,3,NULL),(16,3031322,'1991-04-08 00:00:00',2,3,12,2008,'F','N','CENTRO','VIDAL RAMOS','SC','124241241115271431448932375122610138147',15829,'828',37.67,1,2,1),(16,3031349,'1953-02-13 00:00:00',4,1,12,1975,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','224071078141151411571147471112340864042',NULL,'9998',12.47,4,1,1),(16,3031357,'1988-04-26 00:00:00',2,1,12,2006,'M','N','VILA INDISTRIAL','TOLEDO','PR','116161161136131431435811245112610161057',NULL,'9998',17.56,1,3,NULL),(16,3031365,'1991-03-16 00:00:00',4,4,10,2008,'F','N','CENTRO','ERECHIM','RS','120202201217112731478833593115610143185',9188,'9998',50.26,1,3,NULL),(16,3031373,'1991-02-26 00:00:00',2,10,12,2008,'F','N','VILA FLOR','CAPIVARI BAIXO','SC','124241241136271731336624575124610125143',NULL,'9997',23.87,1,2,1),(16,3031390,'1987-10-19 00:00:00',4,7,12,2006,'M','N','CENTRO','IPUMIRIM','SC','124241242111121431436411215122610117042',NULL,'196',32.43,1,3,NULL),(16,3031403,'1979-08-13 00:00:00',2,2,10,2001,'M','N','ITOUPAVAZINHA','BLUMENAU','SC','124241247146131721234623115332610164047',NULL,'9997',0.00,1,2,1),(16,3031411,'1988-08-22 00:00:00',2,1,12,2006,'M','N','IPIRANGA','S JOSÉ','SC','124241241117132731423324282223610138187',NULL,'307',30.54,1,3,NULL),(16,3031420,'1991-05-17 00:00:00',4,2,12,2008,'F','N','CENTRO','BLUMENAU','SC','124242241217111451478813474122610134172',2208,'87',66.38,1,3,NULL),(16,3031438,'1989-10-19 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472731358911575115610138012',1644,'262',68.69,1,3,NULL),(16,3031446,'1991-04-14 00:00:00',2,1,12,2008,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241215111531326823132324610162187',3996,'1022',61.07,1,3,NULL),(16,3031454,'1991-08-07 00:00:00',2,5,12,2008,'F','N','LINHA ROVARIS','JACINTO MACHADO','SC','124241241116151731338934575122610118197',NULL,'420',30.25,1,2,1),(16,3031462,'1990-07-17 00:00:00',4,1,12,2007,'F','N','CENTRO','RIO VERDE','GO','109113111237471431335822375122610122147',15666,'9998',38.14,1,3,NULL),(16,3031470,'1984-02-12 00:00:00',2,1,12,2001,'F','N','VARGEM PEQUENA','FLORIANóPOLIS','SC','624241241122132251426348241314132712091',NULL,'288',26.81,2,1,1),(16,3031489,'1990-12-09 00:00:00',4,1,12,2007,'M','N','BOA VISTA','BARUERI','SP','125251251117571431328611585114610137087',NULL,'9998',0.00,1,2,1),(16,3031500,'1989-05-03 00:00:00',4,1,12,2006,'F','N','VILA OPERARIA','ITAJAí','SC','124242241215373431458814572345610124012',2491,'1057',65.35,4,3,NULL),(16,3031519,'1990-06-14 00:00:00',4,1,11,2008,'M','N','DANIELA','FLORIANÓPOLIS','SC','124242241215471531457821572112610167097',4535,'270',59.69,1,3,NULL),(16,3031527,'1982-02-04 00:00:00',4,1,12,1999,'F','N','CAMPINAS','S JOSÉ','SC','124242241217214431458643332132321362097',2282,'737',66.11,1,3,NULL),(16,3031535,'1989-05-15 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241217472431469314575124141428172',NULL,'88',45.97,1,3,NULL),(16,3031543,'1992-02-22 00:00:00',2,4,12,2008,'F','N','JARDIM ITALIA','CHAPECÓ','SC','124241241116471431638933592122610164143',12787,'169',43.86,1,2,1),(16,3031560,'1989-01-09 00:00:00',4,8,11,2006,'F','N','SÃO FRANCISCO','CURITIBA','PR','116162161215573431358911572124610122072',792,'9998',73.49,1,3,NULL),(16,3031578,'1991-06-18 00:00:00',4,9,12,2008,'F','N','CENTRO','ASSIS CHATEAUBRIAND','PR','116161161136471411546939575122610163172',NULL,'9998',27.18,1,2,1),(16,3031586,'1978-04-24 00:00:00',2,1,12,2006,'M','N','SÃO LUIZ','S JOSÉ','SC','224241241121272411241443435232131012052',3576,'828',62.15,1,2,1),(16,3031594,'1992-02-28 00:00:00',4,1,12,2008,'M','N','CENTRO','PALHOÇA','SC','124242241215112451228733595114610164187',1936,'1011',67.45,1,3,NULL),(16,3031616,'1985-11-28 00:00:00',2,1,12,2006,'M','N','PRAIA DE FORA','PALHOçA','SC','124241247125142421323344344334610162097',13406,'306',42.79,1,2,1),(16,3031624,'1990-02-27 00:00:00',2,1,12,2007,'M','N','CAMOBI','STA MARIA','RS','120202201316371431444329435134610126047',NULL,'9998',0.00,1,3,NULL),(16,3031640,'1989-12-18 00:00:00',4,8,12,2007,'M','N','VILA SANTA TEREZA','PRES PRUDENTE','SP','125252251215372431433619382121610134012',4979,'9998',58.66,1,3,NULL),(16,3031659,'1989-09-15 00:00:00',4,4,12,2007,'M','N','PINHEIROS','PATO BRANCO','PR','616164161215271431469933571115140864176',5655,'9998',57.16,1,3,NULL),(16,3031675,'1989-04-27 00:00:00',4,1,11,2003,'F','N','JARDIM VERGUEIRO','SOROCABA','SP','125252251215571751369831574112610161192',NULL,'9998',0.00,1,3,NULL),(16,3031683,'1986-10-22 00:00:00',2,1,12,2004,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124201201116131731325844342124610168197',NULL,'9998',27.01,1,3,NULL),(16,3031691,'1983-12-14 00:00:00',4,1,12,1999,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124241248111274441547931385124610117115',8569,'307',51.31,1,3,NULL),(16,3031705,'1990-07-09 00:00:00',4,8,11,2007,'M','N','CENTRO','CASCAVEL','PR','116162161217472431368831571114610164122',356,'9998',77.28,1,3,NULL),(16,3031713,'1991-11-05 00:00:00',2,7,11,2008,'M','N','SANTO ANTÔNIO','CAPINZAL','SC','124244241216371431366612175121610168142',NULL,'1093',30.37,1,3,NULL),(16,3031721,'1989-02-20 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241315372431569813475114130237043',7694,'271',52.98,1,3,NULL),(16,3031730,'1992-04-14 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124241241115271441436934575122610165092',9486,'935',49.75,1,2,1),(16,3031748,'1992-01-12 00:00:00',4,3,12,2008,'F','N','NOVA RUSSIA','PNT GROSSA','PR','116162161217471431658923572112610118192',NULL,'9998',0.00,1,3,NULL),(16,3031756,'1989-08-11 00:00:00',4,8,12,2006,'F','N','SAO LUIZ','ITU','SP','125251251116132431637627572324610164077',8504,'9998',51.40,1,2,1),(16,3031764,'1990-04-03 00:00:00',4,8,12,2007,'M','N','BOA VISTA','JOINVILLE','SC','124242246217371731449932475122610165196',4194,'1105',60.50,1,3,NULL),(16,3031772,'1991-06-09 00:00:00',4,8,11,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215111531588832574122610164045',1174,'491',71.08,1,3,NULL),(16,3031780,'1990-03-14 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241111472431431429571114610116142',15939,'281',37.39,1,2,1),(16,3031799,'1991-03-15 00:00:00',2,3,12,2008,'F','N','CENTRO','SARANDI','RS','120202201236131731226639592122610127147',NULL,'9998',31.19,1,3,NULL),(16,3031802,'1990-02-07 00:00:00',2,4,11,2007,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116161161117372411329511192122610166097',8361,'9998',51.66,4,2,1),(16,3031810,'1984-11-10 00:00:00',4,1,12,2003,'M','N','KOBRASOL','S JOSÉ','SC','124241241146275421443314245122610167147',534,'739',75.52,1,2,1),(16,3031829,'1991-04-19 00:00:00',4,1,12,2008,'M','N','CABEÇUDAS','ITAJAÍ','SC','124242241217371431459934575114610126192',8512,'391',51.39,1,3,NULL),(16,3031837,'1992-01-11 00:00:00',2,3,12,2008,'M','N','AZAMBUJA','BRUSQUE','SC','124241241216271221468911215122610162092',NULL,'1042',0.00,1,3,NULL),(16,3031845,'1991-04-07 00:00:00',4,3,12,2008,'M','N','CENTRO','BRUSQUE','SC','124242241117371331356732175121610167016',10447,'1042',48.01,1,3,NULL),(16,3031861,'1991-05-11 00:00:00',4,1,12,2008,'F','N','JARDIM IRAJÁ','RIBEIRÃO PRETO','SP','125252251217111431348531595122610135072',12330,'9998',44.68,1,3,NULL),(16,3031888,'1986-02-05 00:00:00',2,1,12,2003,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124241241411135431638611445112610143015',13679,'951',42.32,4,3,NULL),(16,3031896,'1985-07-11 00:00:00',4,1,12,2002,'M','N','CIDADE FLORIANÓPOLIS','S JOSÉ','SC','124201241116373431447814245134130234012',7640,'9998',53.07,1,2,1),(16,3031900,'1991-05-28 00:00:00',4,1,12,2008,'F','N','JARDIM MATILDE','OURINHOS','SP','125252251215111451446933435125610124097',10046,'9998',48.70,1,3,NULL),(16,3031918,'1991-05-28 00:00:00',4,8,12,2008,'M','N','JARDIM JEQUITIBÁ','MARÍLIA','SP','125252251215111431369814475112610167122',724,'9998',74.07,1,3,NULL),(16,3031926,'1989-10-30 00:00:00',4,3,12,2006,'M','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161215371431246932575121141064182',9472,'9998',49.78,1,3,NULL),(16,3031950,'1989-04-04 00:00:00',4,4,12,2006,'M','N','CENTRO','FAXINAL GUEDES','SC','124241241122131411424315482223133224047',NULL,'586',29.05,1,2,1),(16,3031969,'1987-03-06 00:00:00',4,1,12,2004,'M','N','VILA SANTA ISABEL','CAMPINAS','SP','125251251116471431658644245221140962167',NULL,'9998',0.00,1,3,NULL),(16,3031977,'1985-03-21 00:00:00',4,1,12,2003,'M','N','BARREIROS','S JOSé','SC','124241241116133411524821115134610162071',NULL,'257',34.70,4,2,1),(16,3031985,'1990-03-18 00:00:00',4,9,12,2007,'F','N','BEATRIZ','LAGES','SC','124243241315472451326614595122610126172',6795,'9997',54.67,1,3,NULL),(16,3031993,'1983-05-04 00:00:00',5,1,12,1999,'F','N','JURERE','FLORIANÓPOLIS','SC','124241241124164732123344243334132028017',14420,'372',40.84,1,3,NULL),(16,3032000,'1991-10-01 00:00:00',4,1,12,2008,'F','N','CENTRO','PTO ALEGRE','RS','120202201217371731369929332124610167122',8289,'9998',51.80,1,3,NULL),(16,3032019,'1987-07-17 00:00:00',2,4,12,2004,'F','N','SAIC','CHAPECÓ','SC','124241241411572431463931472125610164142',5117,'185',58.33,1,3,NULL),(16,3032035,'1992-11-25 00:00:00',4,1,12,2009,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124063241212151432359713432122610112012',NULL,'262',57.56,1,3,NULL),(16,3032043,'1990-06-19 00:00:00',4,8,12,2007,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124242246211473231458833272121610161177',3267,'494',63.10,1,3,NULL),(16,3032051,'1990-09-02 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431478819572125131434025',3531,'270',62.30,1,3,NULL),(16,3032060,'1989-10-16 00:00:00',4,1,11,2007,'M','N','ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC','124242241216372411467823475114610166177',11264,'269',46.53,1,3,NULL),(16,3032078,'1984-01-14 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224241241125132421553474142124130822097',NULL,'281',24.88,1,2,1),(16,3032086,'1978-04-22 00:00:00',2,1,12,1999,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','224243241325341431226544141123610116187',NULL,'9997',29.60,1,3,NULL),(16,3032094,'1988-08-05 00:00:00',2,6,12,2006,'F','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','124242241216554711437918295122610167112',12337,'1022',44.67,1,3,NULL),(16,3032108,'1983-08-12 00:00:00',4,1,11,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241216275411119941115332130458092',14173,'721',41.28,1,3,NULL),(16,3032116,'1987-11-28 00:00:00',2,4,12,2005,'F','N','BELA VISTA','CHAPECÓ','SC','124241241145371431334629281324610125182',15796,'174',37.78,1,2,1),(16,3032124,'1990-08-18 00:00:00',3,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431466914572122610137142',3275,'262',63.08,1,3,NULL),(16,3032132,'1991-06-25 00:00:00',2,9,12,2008,'M','N','CENTRO','CORREIA PINTO','SC','124242241215111231559933285121610127057',4976,'202',58.66,1,3,NULL),(16,3032140,'1991-09-25 00:00:00',2,2,12,2008,'M','N','DOM JOAQUIM','BRUSQUE','SC','124241241415271431454412175122610122142',3281,'1123',63.07,1,3,NULL),(16,3032159,'1990-06-12 00:00:00',2,1,7,2008,'F','N','JOÃO PAULO','FLORIANóPOLIS','SC','124242241115471431468923571114610124142',1889,'306',67.64,1,3,NULL),(16,3032167,'1990-02-19 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECO','SC','124242241215472431338813574112610123012',4759,'168',59.16,1,3,NULL),(16,3032175,'1990-08-10 00:00:00',4,8,5,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242281417471411589913571112610162043',3641,'457',61.98,1,3,NULL),(16,3032191,'1990-12-06 00:00:00',4,1,12,2008,'F','N','BUENO','GOIÂNIA','GO','109094091235111431348831575122610163187',1246,'9998',70.69,1,3,NULL),(16,3032205,'1984-04-15 00:00:00',2,1,12,2001,'F','N','PRAIA DE FORA','PALHOÇA','SC','224202201346131431236351245124610112097',13879,'9998',41.90,1,3,NULL),(16,3032213,'1985-03-25 00:00:00',2,1,12,2002,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241121131131243329395124610127097',NULL,'359',28.41,1,2,1),(16,3032221,'1988-12-05 00:00:00',2,2,12,2006,'M','N','SANTO ANTÔNIO','ITUPORANGA','SC','124241241126371431534514245234610127142',NULL,'415',26.80,1,3,NULL),(16,3032230,'1986-02-03 00:00:00',4,1,12,2003,'F','N','CÓRREGO GRANDE','FLORIANóPOLIS','SC','124241241336575411359954415112133156155',4316,'192',60.21,1,3,NULL),(16,3032248,'1991-05-17 00:00:00',2,7,12,2008,'M','N','SÃO VICENTE','HERVAL D OESTE','SC','124244248417131431438923275122610167042',13878,'962',41.90,1,3,NULL),(16,3032256,'1991-08-12 00:00:00',2,6,12,2008,'M','N','DOM BOSCO','ITAJAÍ','SC','124241241116131431438524112121610137182',NULL,'395',25.24,4,2,1),(16,3032264,'1988-11-15 00:00:00',4,2,12,2005,'M','N','JD MONTE CARLO','MARINGÁ','PR','116162161215574431468711475112610164142',1193,'9998',70.96,1,3,NULL),(16,3032272,'1991-09-16 00:00:00',4,6,11,2008,'M','N','FAZENDA','ITAJAí','SC','124242241215271531353512195234610132182',NULL,'391',30.74,4,3,NULL),(16,3032280,'1991-09-16 00:00:00',4,9,12,2008,'F','N','SAGRADO C DE JESUS','LAGES','SC','124241241115371431338519572124610124092',9358,'935',49.97,1,2,1),(16,3032299,'1986-03-03 00:00:00',4,1,12,2003,'F','N','ESTERITO','FLORIANÓPOLIS','SC','124242241216133411125629385122121438187',3613,'9997',62.06,1,3,NULL),(16,3032310,'1990-06-30 00:00:00',2,4,11,2007,'F','N','CENTRO','CHAPECó','SC','124241111216471411458616575124610163057',NULL,'9998',23.00,1,3,NULL),(16,3032329,'1989-03-07 00:00:00',4,4,12,2006,'M','N','MARIA GORETTI','CHAPECÓ','SC','116244241215471411558932275124130234051',NULL,'1046',0.00,1,3,NULL),(16,3032337,'1989-11-29 00:00:00',4,1,12,2006,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244201117472432337669382124610162044',5265,'9998',57.95,1,3,NULL),(16,3032345,'1991-04-06 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241212121431388923432122610117112',11510,'270',46.15,1,3,NULL),(16,3032353,'1989-07-08 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241116132711358713572124231067044',NULL,'288',19.93,1,3,NULL),(16,3032361,'1991-05-16 00:00:00',4,7,11,2008,'M','N','CENTRO','LACERDÓPOLIS','SC','124241241215131431456924475122610138052',13621,'446',42.43,1,3,NULL),(16,3032370,'1988-01-11 00:00:00',4,1,7,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241115372431436318485114133268142',5956,'306',56.44,1,2,1),(16,3032388,'1989-03-20 00:00:00',2,1,12,2006,'F','N','JD CAMPOS ELISEOS','CAMPINAS','SP','125251251416573431448614385124610133142',16229,'9998',36.59,1,3,NULL),(16,3032396,'1989-04-22 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSé','SC','124241241127331321321661375124610137187',NULL,'736',23.14,1,2,1),(16,3032418,'1989-12-27 00:00:00',2,1,12,2006,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124243241115573431436633575124610124095',6000,'592',56.35,1,3,NULL),(16,3032434,'1992-01-11 00:00:00',2,7,11,2009,'F','S','CENTRO','LACERDÓPOLIS','SC','124243241217111431335534375121610161087',NULL,'454',22.71,1,3,NULL),(16,3032450,'1991-10-19 00:00:00',4,8,11,2008,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215112431488833571112610167082',NULL,'461',37.22,1,3,NULL),(16,3032477,'1990-08-13 00:00:00',4,8,11,2007,'M','N','ATIRADORES','JOINVILLE','SC','124142141216471431538733171125610147052',6244,'9998',55.80,1,3,NULL),(16,3032485,'1990-03-31 00:00:00',4,1,6,2008,'M','N','SETE DE SETEMBRO','GASPAR','SC','124242288435271441573632575122610164085',4973,'855',58.67,1,3,NULL),(16,3032493,'1988-03-02 00:00:00',4,1,12,2005,'F','N','JARDIM GINÁSIO','POçOS CALDAS','MG','113131131136571431338821244122143264147',7004,'9998',54.29,1,2,1),(16,3032507,'1993-03-03 00:00:00',4,1,11,2010,'F','S','BARREIROS','S JOSÉ','SC','124242241215111432377934375112610123042',NULL,'723',50.55,1,3,NULL),(16,3032515,'1987-03-30 00:00:00',2,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124212211217471411469813572124610162192',NULL,'9998',30.53,1,3,NULL),(16,3032531,'1992-04-10 00:00:00',4,4,11,2008,'M','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124242241215111231466612571122610122043',NULL,'983',41.88,1,3,NULL),(16,3032540,'1991-06-29 00:00:00',2,5,11,2008,'F','N','BARRANCA','ARARANGUá','SC','124242241217112431556612575122610127077',2256,'226',66.20,1,3,NULL),(16,3032566,'1990-04-03 00:00:00',2,1,12,2007,'F','N','CENTRO','DIADEMA','SP','125251251116471131127613575124610167014',NULL,'9998',0.00,1,2,1),(16,3032574,'1990-05-05 00:00:00',4,1,12,2007,'F','N','JARDIM KIOTO','S PAULO','SP','125201251116471431423616571224610168197',5127,'9998',58.30,1,2,1),(16,3032582,'1990-07-23 00:00:00',4,1,12,2007,'M','N','ESPLANADA SANTA TERE','TAUBATÉ','SP','125251251216471431256823595121610167042',NULL,'9998',35.68,1,3,NULL),(16,3032590,'1988-01-31 00:00:00',4,1,12,2005,'M','N','FORQUILHAS','S JOSé','SC','124251251126342451233669245323610148097',NULL,'9998',17.89,4,2,1),(16,3032612,'1987-04-17 00:00:00',4,1,12,2004,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124204201436111441128644345224243264182',5139,'9998',58.27,1,3,NULL),(16,3032620,'1978-10-13 00:00:00',2,1,11,2008,'M','N','AREIAS','S JOSé','SC','124241247146143431327642225122610167062',NULL,'9999',26.45,1,3,NULL),(16,3032639,'1989-12-13 00:00:00',4,1,12,2006,'M','N','VILA IZABEL','CURITIBA','PR','116162161236371411436823575122143264187',5775,'9998',56.87,1,3,NULL),(16,3032647,'1989-05-11 00:00:00',4,9,2,2007,'M','N','GUADALUPE','LAGES','SC','124242161215472431459932591122610128112',13061,'9998',43.38,1,3,NULL),(16,3032663,'1989-04-15 00:00:00',2,1,12,2006,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241217572431565819474125610127047',NULL,'752',40.16,1,3,NULL),(16,3032671,'1991-09-26 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124243241417131431426611275124610168092',6347,'267',55.58,1,3,NULL),(16,3032680,'1986-01-11 00:00:00',4,10,12,2004,'F','N','CENTRO','TUBARÃO','SC','124242241147371431633561382122610126097',NULL,'521',23.14,1,3,NULL),(16,3032698,'1982-03-30 00:00:00',2,1,11,2000,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124243247341133711433314211124331026147',12889,'1003',43.68,1,3,NULL),(16,3032710,'1992-07-09 00:00:00',4,1,12,2009,'F','S','JARDIM AMÉRICA','ITUPORANGA','SC','124242242246151731446613395122610165057',NULL,'414',26.51,1,3,NULL),(16,3032728,'1991-05-05 00:00:00',2,5,10,2008,'M','N','SÃO LUIS','CRICIÚMA','SC','124081241415112431448611576124610124057',12121,'880',45.05,1,3,NULL),(16,3032744,'1990-04-15 00:00:00',4,4,12,2007,'F','N','CENTRO','PINHALZINHO','SC','124241241116271451458614345122610127057',NULL,'616',20.60,1,2,1),(16,3032752,'1990-12-05 00:00:00',4,1,6,2008,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124244241115152442568613311124610124145',NULL,'306',47.61,1,3,NULL),(16,3032787,'1990-10-29 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241417373731327721476114610164071',5330,'9997',57.82,1,3,NULL),(16,3032795,'1990-04-13 00:00:00',2,1,12,2007,'F','N','CAMINHO NOVO','PALHOçA','SC','124241241134143731523534245122610117142',NULL,'592',27.34,1,2,1),(16,3032809,'1987-10-22 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241415472511476611475112131127072',NULL,'9997',44.49,1,3,NULL),(16,3032817,'1988-08-20 00:00:00',2,1,12,2005,'M','N','VILA SAO JORGE','S VICENTE','SP','125251251146472441336879585114141367097',NULL,'9998',0.00,1,2,1),(16,3032825,'1992-01-15 00:00:00',4,9,11,2008,'F','N','UNIVERSITÁRIO','LAGES','SC','124242241216272431468813575122610163145',4259,'1146',60.34,1,3,NULL),(16,3032833,'1987-06-09 00:00:00',4,8,12,2004,'F','N','BOQUEIRÃO','CURITIBA','PR','116161161236574751448614372124141447147',NULL,'9998',0.00,1,3,NULL),(16,3032841,'1989-02-04 00:00:00',4,1,12,2005,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124132133216471421658832315125343222181',2286,'9998',66.11,1,3,NULL),(16,3032850,'1991-01-15 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANóPOLIS','SC','124244241217271431666813575122610123142',13864,'1133',41.91,1,3,NULL),(16,3032868,'1988-01-18 00:00:00',2,1,12,2005,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241417273411559933115124130711171',NULL,'270',42.52,1,3,NULL),(16,3032876,'1991-09-02 00:00:00',4,8,12,2008,'F','N','ALTO DE MAFRA','MAFRA','SC','124242231215311431459613334112610164197',13841,'541',41.96,1,3,NULL),(16,3032892,'1991-09-23 00:00:00',4,1,12,2008,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124162241215111431458816375124610137055',9773,'262',49.21,1,3,NULL),(16,3032906,'1990-11-15 00:00:00',4,4,12,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241217151431235824295125610124187',4752,'1079',59.17,1,3,NULL),(16,3032914,'1991-04-15 00:00:00',4,8,11,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111431589931475122610144082',161,'491',79.85,1,3,NULL),(16,3032922,'1990-03-05 00:00:00',4,1,12,2007,'F','N','CENTRO','CAMPINAS','SP','625253258117471431336823584124610125173',7424,'9998',53.47,2,1,2),(16,3032949,'1991-07-15 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124241241117131151526613585125610163147',NULL,'734',24.07,1,2,1),(16,3032965,'1991-11-03 00:00:00',2,1,11,2008,'F','N','CENTRO','SOMBRIO','SC','124241241141131531421421511322610124012',NULL,'1033',24.39,1,2,1),(16,3032981,'1988-04-12 00:00:00',2,1,12,2005,'M','N','CENTRO','ANTONIO CARLOS','SC','124241241146374731534335445114610142077',15130,'21',39.35,1,2,1),(16,3032990,'1990-07-23 00:00:00',4,1,12,2007,'F','N','BOA VISTA','CURITIBA','PR','116161161116571751356823575124610162197',10180,'9998',48.46,1,3,NULL),(16,3033007,'1991-04-01 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271411546631595124610157075',7259,'988',53.79,1,3,NULL),(16,3033015,'1990-07-09 00:00:00',2,1,12,2007,'M','N','CENTRO','TRAMANDAÍ','RS','120201201117371411567833581124610167047',15607,'9998',38.30,4,2,1),(16,3033031,'1989-12-01 00:00:00',2,1,6,2008,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124241241116151711444411572114610162193',NULL,'306',34.20,1,2,1),(16,3033040,'1990-06-26 00:00:00',3,1,12,2007,'F','N','JOÃO PAULO','FLORIANóPOLIS','SC','124242241215371411488923571122610126185',275,'262',78.30,1,3,NULL),(16,3033066,'1988-03-07 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215153441439733415124221766197',8326,'300',51.74,1,3,NULL),(16,3033074,'1989-09-19 00:00:00',4,1,12,2006,'M','N','CENTRO','MARINGÁ','PR','116164141416571431469933595122610141182',8526,'9998',51.38,1,3,NULL),(16,3033082,'1988-04-20 00:00:00',2,9,11,2005,'M','N','VILA SANTA CATARINA','OTACÍLIO COSTA','SC','124241241111132711423319192121610166047',10742,'583',47.46,1,2,1),(16,3033090,'1991-05-19 00:00:00',2,1,11,2008,'M','N','CENTRO','PALHOCA','SC','124242241215111731555913575122610167042',14834,'989',40.01,1,3,NULL),(16,3033104,'1986-10-04 00:00:00',4,6,12,2005,'M','N','CENTRO','NAVEGANTES','SC','124243241337161411523731484122610126142',NULL,'570',24.76,1,3,NULL),(16,3033112,'1990-01-20 00:00:00',4,10,12,2006,'M','N','CENTRO','LAGUNA','SC','124244241626373421438913482212610134097',4362,'524',60.11,1,3,NULL),(16,3033120,'1990-10-23 00:00:00',4,3,12,2008,'M','N','CENTRO','PAPANDUVA','SC','124242241214111431367932574124610126182',NULL,'541',26.34,1,3,NULL),(16,3033139,'1990-04-07 00:00:00',2,1,12,2007,'M','N','JARDIM MONCOES II','PARANAVAÍ','PR','116164161415472431636629575122610167182',NULL,'9998',0.00,3,3,NULL),(16,3033147,'1976-01-19 00:00:00',2,1,12,1993,'F','N','BARREIROS','S JOSÉ','SC','124242241136575711368979475122421024097',NULL,'307',0.00,1,3,NULL),(16,3033155,'1990-04-28 00:00:00',2,8,12,2008,'F','N','FLORESTA','JOINVILLE','SC','124244241215111431638811572222610136042',1391,'1016',69.86,4,3,NULL),(16,3033163,'1992-04-03 00:00:00',4,5,12,2008,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215151731438934472124610134013',11422,'211',46.32,1,3,NULL),(16,3033171,'1990-03-07 00:00:00',2,1,12,2007,'F','N','CENTRO','S JOSé','SC','124241241116471431334419492114610118147',13661,'733',42.35,1,2,1),(16,3033198,'1988-03-04 00:00:00',2,8,12,2005,'F','N','BOA VISTA','JOINVILLE','SC','124241246216572711333321375224131438187',404,'1105',76.76,1,3,NULL),(16,3033210,'1985-02-25 00:00:00',4,1,12,2002,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241315271711656531482124610138097',NULL,'307',31.89,1,3,NULL),(16,3033228,'1991-11-03 00:00:00',2,5,12,2008,'F','N','CENTRO','TURVO','SC','124243241312111431346622272124610124052',NULL,'970',23.32,1,3,NULL),(16,3033252,'1985-07-14 00:00:00',2,1,12,2003,'M','N','CENTRO','CAXIAS SUL','RS','120211213416371431138843335124142365095',NULL,'9998',0.00,4,3,NULL),(16,3033260,'1987-12-30 00:00:00',2,1,11,2005,'F','N','CENTRO','PIRACICABA','SP','125254251215471431326621475112610134112',NULL,'9998',29.72,1,3,NULL),(16,3033279,'1991-05-26 00:00:00',4,1,12,2008,'F','N','JARDIM OURO BRANCO','PARANAVAÍ','PR','116164161237121452338829572222610162012',NULL,'9998',0.00,1,3,NULL),(16,3033287,'1990-06-23 00:00:00',2,9,12,2007,'M','N','CENTRO','S JOAQUIM','SC','124242241216372431344612275132130727072',15905,'1035',37.48,1,3,NULL),(16,3033295,'1991-06-18 00:00:00',4,1,11,2008,'M','N','SETOR AEROPORTO','GOIÂNIA','GO','109092091217111731678811575122610167156',7458,'9998',53.39,4,3,NULL),(16,3033309,'1990-09-03 00:00:00',4,1,12,2007,'F','N','SãO FRANCISCO','CURITIBANOS','SC','124242241215472431436613575124610164047',11443,'237',46.27,1,3,NULL),(16,3033317,'1989-03-19 00:00:00',2,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','116164161216572431337929295114610137077',3993,'9998',61.08,1,3,NULL),(16,3033333,'1991-02-04 00:00:00',4,5,12,2008,'M','N','CENTRO','ARARANGUÁ','SC','124241241415371421325613372344610137117',13449,'970',42.70,4,3,NULL),(16,3033341,'1990-03-01 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241135131731228614572114610124147',NULL,'292',26.45,1,2,1),(16,3033350,'1989-06-06 00:00:00',2,1,11,2006,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215153411438813345122230228072',NULL,'1022',37.76,1,3,NULL),(16,3033368,'1990-12-18 00:00:00',4,3,12,2008,'M','N','SÃO LUIZ','BRUSQUE','SC','124242241215371731477914444122610164012',10205,'1123',48.42,1,3,NULL),(16,3033376,'1991-03-22 00:00:00',4,1,11,2008,'F','N','VILA VERA CRUZ','APUCARANA','PR','116162161215111431349911571124610162097',8694,'9998',51.09,1,3,NULL),(16,3033406,'1990-04-10 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124162161315472431537611271324610132142',6176,'9998',55.98,1,3,NULL),(16,3033414,'1990-06-21 00:00:00',2,2,12,2008,'M','N','AYMORÉ','GUABIRUBA','SC','124241241117141431554314245123610162172',NULL,'333',47.93,1,2,1),(16,3033422,'1988-04-30 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115132451536729285111610137017',14251,'307',41.14,2,1,1),(16,3033430,'1993-04-21 00:00:00',4,4,12,2009,'F','S','CENTRO','CHAPECÓ','SC','124242241215111731335822375122610138192',NULL,'168',0.00,1,3,NULL),(16,3033449,'1991-05-04 00:00:00',2,1,12,2008,'M','N','SAO BRAZ','CURITIBA','PR','116162168117421731458814572124610117127',NULL,'9998',29.12,1,3,NULL),(16,3033465,'1989-05-16 00:00:00',4,1,12,2006,'M','N','CENTRO','STA BáRBARA D OESTE','SP','125251253127472431348611275112610167152',8026,'9998',52.38,1,2,1),(16,3033473,'1988-08-23 00:00:00',2,1,12,2006,'F','N','JARDIM PARAISO','PATOS DE MINAS','MG','113131131412471431523331372342610124012',NULL,'9998',0.00,1,3,NULL),(16,3033481,'1992-02-10 00:00:00',2,2,12,2008,'M','N','ZONA UM','CIANORTE','PR','116161161315371731438814572122610167147',NULL,'9998',0.00,1,3,NULL),(16,3033511,'1988-04-12 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241415272421448923245134610127057',8328,'1022',51.74,1,3,NULL),(16,3033520,'1991-07-06 00:00:00',4,1,12,2008,'M','N','MOSSUNGUÊ','CURITIBA','PR','116162161217111231368812485122610167147',NULL,'9998',0.00,1,3,NULL),(16,3033538,'1989-05-08 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124242241217372231433613475114610168077',9655,'738',49.42,1,3,NULL),(16,3033546,'1991-12-03 00:00:00',4,8,12,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215112431449812574112610131182',3590,'491',62.11,1,3,NULL),(16,3033554,'1992-03-23 00:00:00',4,7,12,2008,'F','N','CENTRO','CEREJEIRAS','RO','122222221217271431448811572122610168197',NULL,'9998',0.00,1,3,NULL),(16,3033562,'1990-09-03 00:00:00',2,1,6,2008,'F','N','CENTRO HISTÓRICO','S JOSÉ','SC','124242241117131431523624296324610135147',14549,'739',40.61,4,3,NULL),(16,3033589,'1990-03-19 00:00:00',4,9,12,2007,'M','N','CENTRO','RIO SUL','SC','124242241215472431568912272112610167142',3775,'991',61.66,1,3,NULL),(16,3033597,'1986-07-24 00:00:00',4,5,12,2003,'M','N','PETROPOLIS','PTO ALEGRE','RS','120242201215274221148821415134141464177',4057,'9998',60.91,1,3,NULL),(16,3033600,'1992-01-08 00:00:00',4,7,11,1992,'M','N','CENTRO','JOAÇABA','SC','116242161215371411187712575122610167122',16307,'446',36.35,1,3,NULL),(16,3033619,'1989-03-28 00:00:00',2,2,12,2006,'F','N','BUDAG','RIO SUL','SC','124241241147572431336923282113610166097',NULL,'864',25.00,1,2,1),(16,3033635,'1991-07-26 00:00:00',2,1,12,2008,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124242241215131431438613575124610136072',9689,'989',49.36,1,3,NULL),(16,3033651,'1991-05-04 00:00:00',2,1,11,2008,'F','N','VILA CAROLINA','RIO VERDE','GO','109094091217161432318721472323610114187',14629,'9998',40.44,1,3,NULL),(16,3033660,'1991-12-31 00:00:00',4,8,12,2008,'F','N','CENTRO','S JOÃO TRIUNFO','PR','116164161217111431448729574122610167142',NULL,'9998',0.00,1,3,NULL),(16,3033694,'1990-04-09 00:00:00',2,5,11,2007,'F','N','CENTRO','MARACAJá','SC','124242241215472431458833575124610112092',8672,'266',51.12,1,3,NULL),(16,3033716,'1988-08-24 00:00:00',4,1,7,2007,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124241241117372431327711215114610164182',7748,'306',52.87,1,2,1),(16,3033724,'1989-01-16 00:00:00',4,8,11,2006,'F','N','GLÓRIA','JOINVILLE','SC','124242241237573431459832375122610123042',12370,'44',44.59,1,3,NULL),(16,3033732,'1990-12-24 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241217371531548812172122610167115',3301,'262',62.98,1,3,NULL),(16,3033740,'1986-11-05 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124254251215372431568934385124221464185',1044,'9998',71.76,1,3,NULL),(16,3033759,'1991-06-22 00:00:00',4,1,12,2008,'F','N','VILA FATY','S MATEUS SUL','PR','116162161216111431368933575122610164142',16510,'9998',35.43,1,3,NULL),(16,3033775,'1989-10-02 00:00:00',4,3,12,2007,'M','N','CENTRO','ITAPEMA','SC','124243241217152421233379595311131462092',425,'403',76.52,1,3,NULL),(16,3033783,'1990-07-17 00:00:00',4,2,12,2007,'F','N','SÃO LUÍS','APIÚNA','SC','124241241436371731436923385225610164157',11268,'9997',46.53,1,3,NULL),(16,3033791,'1989-08-09 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241335371431453339272124610127142',NULL,'307',26.68,1,3,NULL),(16,3033813,'1990-03-20 00:00:00',2,1,11,2007,'F','N','NOSSA SR AUXILIADORA','CAMPINAS','SP','125254251216561751459919595124610167142',10131,'9998',48.57,4,1,2),(16,3033821,'1990-03-05 00:00:00',2,5,12,2007,'F','N','CENTRO','ARARANGUÁ','SC','124241241111132431427623571122610154187',10904,'420',47.18,2,1,1),(16,3033830,'1989-07-04 00:00:00',4,1,12,2006,'M','N','VILA PAULINA','S PAULO','SP','125252251217571431356722574122610136187',2466,'9998',65.46,1,3,NULL),(16,3033848,'1992-01-24 00:00:00',4,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124241241115131431424634475124610122147',NULL,'592',25.51,1,2,1),(16,3033856,'1991-07-22 00:00:00',4,8,11,2008,'M','N','CENTRO','CASCAVEL','PR','116164161317171431226629242125610126012',7700,'9998',52.96,1,3,NULL),(16,3033864,'1959-09-18 00:00:00',4,1,12,1979,'M','N','BARREIROS','S JOSé','SC','224201256116172121266644245122331462147',NULL,'9998',0.00,1,3,NULL),(16,3033880,'1987-12-09 00:00:00',5,1,11,2005,'F','N','CENTRO','URUSSANGA','SC','124242241215574411369931575314233264117',375,'226',77.10,1,3,NULL),(16,3033902,'1991-03-23 00:00:00',4,1,11,2008,'M','N','GONZAGA','SANTOS','SP','125252251217371511469913435121610162117',NULL,'9998',0.00,1,3,NULL),(16,3033937,'1987-03-07 00:00:00',4,1,12,2004,'M','N','CAMPINAS','S JOSÉ','SC','124162241215372731346823472124610167182',4891,'737',58.89,1,3,NULL),(16,3033945,'1990-04-03 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241317372731338831372324610124187',6905,'281',54.48,1,3,NULL),(16,3033953,'1989-11-01 00:00:00',4,1,12,2007,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215472431559811575112610134122',8594,'270',51.26,1,3,NULL),(16,3033988,'1987-05-17 00:00:00',2,1,12,2004,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241117271751535524342224610122042',NULL,'293',24.87,2,1,1),(16,3034003,'1981-04-05 00:00:00',5,2,11,2001,'F','N','BOMBAS','BOMBINHAS','SC','224241247116151431226659295121131237097',14939,'9999',39.80,1,2,1),(16,3034011,'1989-04-27 00:00:00',4,1,11,2007,'M','N','CAMBARÁ','S ROQUE','SP','125252251217471731463972215122610142187',NULL,'9998',44.55,1,3,NULL),(16,3034020,'1991-03-27 00:00:00',4,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124242241217112431359823572124610134187',1481,'270',69.45,1,3,NULL),(16,3034038,'1988-04-23 00:00:00',4,1,6,2006,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241347153431336823244214610137147',NULL,'307',33.62,4,3,NULL),(16,3034046,'1991-07-24 00:00:00',4,6,12,2008,'F','N','CENTRO','MARAU','RS','120202201215471431469931172124610163192',NULL,'9998',0.00,1,3,NULL),(16,3034062,'1991-11-28 00:00:00',4,8,11,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242241115371431369819275122610124012',67,'461',81.74,1,3,NULL),(16,3034070,'1989-09-11 00:00:00',4,6,12,2006,'F','N','GRAÇA','SALVADOR','BA','105052131216571211688612575124610163112',6288,'9998',55.72,1,3,NULL),(16,3034089,'1983-11-09 00:00:00',2,1,12,2004,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241247216273411556574135223133247187',NULL,'9999',0.00,4,1,2),(16,3034097,'1989-08-08 00:00:00',4,1,11,2006,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215473431469714572124610164092',2708,'270',64.66,1,3,NULL),(16,3034100,'1991-10-30 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202241215111431448921415125610128012',NULL,'270',27.61,1,3,NULL),(16,3034127,'1990-02-01 00:00:00',2,1,5,2008,'F','N','PRAINHA','FLORIANÓPOLIS','SC','124242241215272431546923345132610123147',16575,'9999',35.01,1,3,NULL),(16,3034135,'1989-10-14 00:00:00',2,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241416331331436314495122610122177',NULL,'471',26.82,1,3,NULL),(16,3034151,'1990-12-26 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217161451459731571124610162092',6213,'883',55.88,4,3,NULL),(16,3034160,'1991-11-19 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431479933574122610164097',51,'270',82.30,1,3,NULL),(16,3034178,'1991-04-22 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANOPOLIS','SC','124244241215111331266622595114610117122',NULL,'1022',34.89,1,3,NULL),(16,3034186,'1991-03-05 00:00:00',4,2,12,2008,'F','N','SALTO','BLUMENAU','SC','124242241217111431378931577112610166192',NULL,'909',63.79,1,3,NULL),(16,3034194,'1991-05-12 00:00:00',2,8,12,2008,'F','N','BATEL','CURITIBA','PR','116242161217111451268839571122610137072',8391,'9998',51.61,1,3,NULL),(16,3034208,'1990-07-12 00:00:00',4,8,12,2008,'M','N','VILA INDUSTRIAL','ARAÇATUBA','SP','125254251415111231368934575112610162192',907,'9998',72.64,1,3,NULL),(16,3034216,'1987-03-15 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124162241415572431336324345125610124057',4237,'257',60.41,1,3,NULL),(16,3034224,'1991-04-15 00:00:00',4,1,11,2008,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215112431458923595124610167181',9200,'270',50.24,1,3,NULL),(16,3034240,'1989-10-03 00:00:00',4,1,12,2007,'M','N','PQ PRADO','CAMPINAS','SP','125254251411111211436621311124610114042',NULL,'9998',26.85,1,3,NULL),(16,3034259,'1991-08-10 00:00:00',2,1,11,2008,'F','N','CPA IV','CUIABÁ','MT','111112111216111431336823275324610165112',NULL,'9998',28.17,4,3,NULL),(16,3034267,'1991-05-02 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431533632292122610163142',9554,'1038',49.61,1,3,NULL),(16,3034275,'1990-05-16 00:00:00',4,1,12,2007,'M','N','CENTRO','PALHOÇA','SC','124243241315372731247921575124131027042',5158,'491',58.22,1,3,NULL),(16,3034283,'1980-06-20 00:00:00',2,1,12,1998,'F','N','BARREIROS','S JOSé','SC','224244241416133431236654415122130714142',14890,'258',39.91,1,3,NULL),(16,3034291,'1990-05-21 00:00:00',4,4,12,2007,'F','N','DR ARI LUNARDI','XAXIM','SC','124244241217272731227832595122610164187',5859,'994',56.68,1,3,NULL),(16,3034305,'1991-11-15 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241115271431536569392234610164142',5713,'307',57.03,1,2,1),(16,3034313,'1989-05-03 00:00:00',2,8,12,2006,'M','N','BELA VISTA','RIO NEGRINHO','SC','124241241115571411433319345122610126177',12226,'669',44.86,1,3,NULL),(16,3034321,'1991-07-22 00:00:00',4,1,11,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111432569914575124610167042',2258,'270',66.20,1,3,NULL),(16,3034330,'1984-11-12 00:00:00',4,1,6,2003,'M','N','SANTA LUCIA','BELO HORIZONTE','MG','113133137216151411248812325114241032116',NULL,'9999',21.21,1,3,NULL),(16,3034348,'1990-05-09 00:00:00',4,8,12,2007,'F','N','FLORESTA','JOINVILLE','SC','124244241215372231578633572122610165192',8660,'932',51.14,1,3,NULL),(16,3034356,'1991-01-11 00:00:00',4,8,12,2008,'M','N','BOA VISTA','JOINVILLE','SC','124244241415111411235629595124610117052',NULL,'494',21.89,1,3,NULL),(16,3034364,'1991-11-21 00:00:00',4,1,12,2008,'F','N','NOVA PIRACICABA','PIRACICABA','SP','125252251217471431469931572122610136144',NULL,'9998',0.00,1,3,NULL),(16,3034372,'1991-05-22 00:00:00',4,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241115131431436314242321610134052',10640,'592',47.66,4,2,1),(16,3034399,'1990-11-24 00:00:00',4,1,12,2007,'M','N','JD HELENA MARIA','GUARUJá','SP','125252251215471431458932574114610167112',NULL,'9998',40.41,1,3,NULL),(16,3034402,'1990-12-17 00:00:00',4,1,12,2008,'M','N','VIVENDAS DO BOSQUE','CPO GRANDE','MS','112122121415111431558811572122610117052',11579,'9998',46.04,1,3,NULL),(16,3034410,'1992-06-13 00:00:00',2,4,12,2008,'M','N','CENTRO','PINHALZINHO','SC','124241241136161431444612453331610164052',NULL,'1032',30.15,1,2,1),(16,3034437,'1991-10-29 00:00:00',2,1,11,2008,'M','N','CENTRO','SOMBRIO','SC','124243241316111441358831575122610135147',NULL,'770',21.43,1,3,NULL),(16,3034445,'1991-06-17 00:00:00',4,8,12,2008,'F','N','NOVA BRASÍLIA','JARAGUÁ SUL','SC','124242241236151431447611175122610134142',6132,'1061',56.06,1,3,NULL),(16,3034453,'1992-01-03 00:00:00',2,10,12,2008,'F','N','CENTRO','CAPIVARI BAIXO','SC','124241248216271431524331291124610145027',10204,'1120',48.42,1,3,NULL),(16,3034470,'1991-03-23 00:00:00',4,1,12,2008,'M','N','PENDOTIBA','NITERÓI','RJ','121212211217111431468919595122610167112',5761,'9998',56.93,1,3,NULL),(16,3034488,'1989-07-21 00:00:00',4,7,11,2006,'M','N','MONTE BELO','JOAçABA','SC','124242247612473431338613373122143224042',NULL,'9998',0.00,1,3,NULL),(16,3034518,'1990-05-02 00:00:00',2,1,11,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241215272531338329575124122764017',9415,'738',49.87,1,3,NULL),(16,3034534,'1990-12-14 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216371731486612572122610162072',11969,'270',45.31,4,3,NULL),(16,3034550,'1989-09-28 00:00:00',2,10,11,2007,'F','N','VILA FLOR','CAPIVARI BAIXO','SC','124241241235271431468913572122610124112',NULL,'807',24.61,1,3,NULL),(16,3034569,'1985-08-27 00:00:00',2,1,12,2003,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124241241132133411423324385124122362147',7891,'295',52.61,1,2,1),(16,3034577,'1990-03-23 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241415412431538913392325610161172',4894,'1000',58.87,1,3,NULL),(16,3034585,'1983-12-03 00:00:00',4,1,12,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216153741457512495132321463193',1425,'328',69.65,1,3,NULL),(16,3034607,'1983-09-03 00:00:00',2,1,12,2004,'M','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124201201116132721223373382324141666057',NULL,'9998',25.13,1,3,NULL),(16,3034615,'1991-06-02 00:00:00',2,8,12,2008,'F','N','BOM RETIRO','JOINVILLE','SC','124243241215121431466921575122610164142',904,'1016',72.65,1,3,NULL),(16,3034623,'1988-04-08 00:00:00',2,9,12,2005,'F','N','CONTA DINHEIRO','LAGES','SC','124241241125572431554455571222610125177',NULL,'831',37.36,1,2,1),(16,3034631,'1991-02-23 00:00:00',4,8,12,2008,'F','N','BRITANIA','IA COMPRIDA','SP','125251251217131431437813575124610133037',NULL,'9998',0.00,4,3,NULL),(16,3034658,'1990-05-23 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215371431326479575124610166141',12522,'1022',44.33,1,3,NULL),(16,3034666,'1991-01-20 00:00:00',2,1,12,2008,'F','N','BELA VISTA','S JOSÉ','SC','124241241115141421543362342224610134147',NULL,'733',22.14,1,2,1),(16,3034674,'1987-10-07 00:00:00',4,8,12,2004,'M','N','LINDÓIA','CURITIBA','PR','116164161215471311468614575114143167042',5162,'9998',58.21,1,3,NULL),(16,3034682,'1990-10-09 00:00:00',4,1,12,2007,'M','N','PQ IMP CANTAREIRA','MAIRIPORÃ','SP','125252251216471441348819275122610162052',3784,'9998',61.65,1,3,NULL),(16,3034704,'1986-05-18 00:00:00',4,1,12,2003,'M','N','CENTRO','PTO ALEGRE','RS','120202201216132411349913433124141427117',2080,'9998',66.88,1,3,NULL),(16,3034712,'1991-05-30 00:00:00',4,8,12,2008,'F','N','RESTINGA','MAFRA','SC','124241248215111711434929291124610162017',10642,'541',47.66,5,3,NULL),(16,3034720,'1991-07-24 00:00:00',4,1,12,2008,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241215111441277639495114610122192',1286,'1022',70.47,1,3,NULL),(16,3034739,'1987-01-10 00:00:00',4,1,11,2005,'M','N','JUVENTUDE','GARIBALDI','RS','120201201146271711513318145314610162052',NULL,'9998',17.25,2,2,1),(16,3034747,'1990-09-07 00:00:00',4,7,6,2008,'F','N','SALETE','FRAIBURGO','SC','124242281216271411537932575122610161141',7546,'9998',53.24,1,3,NULL),(16,3034755,'1992-04-27 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217152431489833575122610167055',1418,'273',69.69,1,3,NULL),(16,3034763,'1989-10-17 00:00:00',4,8,11,2006,'M','N','CENTRO','IMBITUBA','SC','124243241117473131437619385225231412112',2934,'359',64.01,1,3,NULL),(16,3034771,'1990-12-04 00:00:00',4,1,11,2007,'F','N','CENTRO','NOVA TRENTO','SC','124243241217272712538833195112610132187',3594,'981',62.10,1,3,NULL),(16,3034780,'1990-08-30 00:00:00',4,1,12,2008,'F','N','OESTE','GOIÂNIA','GO','109092091215111441588814575112610133036',NULL,'9998',0.00,1,3,NULL),(16,3034801,'1985-07-02 00:00:00',4,1,12,2003,'F','N','RIO CAVEIRAS','BIGUAçU','SC','124241241126371431334639382124610134097',15021,'65',39.61,1,2,1),(16,3034810,'1991-01-06 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124242248217142431456629175122233261187',14139,'723',41.35,1,3,NULL),(16,3034836,'1989-04-13 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217113711436633315121122946191',12962,'737',43.57,1,3,NULL),(16,3034844,'1989-08-02 00:00:00',2,1,7,2007,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241247225471131326321242124610163147',NULL,'307',26.68,1,3,NULL),(16,3034852,'1991-02-28 00:00:00',2,1,12,2007,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241141271421426511344244610117047',NULL,'307',23.35,1,2,1),(16,3034860,'1989-09-19 00:00:00',4,6,11,2008,'F','N','CENTRO','NAVEGANTES','SC','124242241115271431359914592112610128192',4384,'392',60.06,1,3,NULL),(16,3034887,'1989-09-18 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217573431479614572115610131012',10744,'270',47.46,1,3,NULL),(16,3034895,'1983-11-19 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113421238744245124222222017',13313,'266',42.94,1,3,NULL),(16,3034909,'1991-04-18 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215121431457631571124610167092',2122,'270',66.71,1,3,NULL),(16,3034917,'1984-03-08 00:00:00',2,1,12,2001,'M','N','JD MARIA HELENA','STO ANTÔNIO POSSE','SP','125251256117271431236723243122610138182',8263,'9998',51.85,4,1,1),(16,3034925,'1990-10-13 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241116132421434161392334610167147',NULL,'359',30.63,1,2,1),(16,3034933,'1991-03-21 00:00:00',2,1,12,2008,'F','N','SERRARIA','SAO JOSE','SC','124241241215122431336611572114610142077',4617,'1022',59.51,1,3,NULL),(16,3034941,'1990-12-07 00:00:00',2,1,12,2008,'M','N','JARDIM COLINAS','S JOSÉ CAMPOS','SP','125252258215111131456732422122610118164',NULL,'9998',34.16,1,3,NULL),(16,3034950,'1990-12-12 00:00:00',4,1,12,2008,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124202241417151411328514375124610166172',NULL,'322',0.00,1,3,NULL),(16,3034968,'1989-11-07 00:00:00',4,1,12,2006,'F','N','ACLIMAÇÃO','S PAULO','SP','125252251216571431238921575122610162077',NULL,'9998',0.00,1,3,NULL),(16,3034976,'1988-10-11 00:00:00',4,1,5,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244251217571431569923485124610144047',2407,'9998',65.67,1,3,NULL),(16,3034992,'1988-05-26 00:00:00',2,1,12,2005,'M','N','SERRARIA','S JOSÉ','SC','124243241136372431653619375114610126192',7217,'307',53.87,1,3,NULL),(16,3035000,'1990-11-14 00:00:00',2,1,11,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241135141431557633345124610112012',16461,'281',35.65,1,3,NULL),(16,3035026,'1991-10-31 00:00:00',4,7,12,2008,'M','N','CENTRO','FRAIBURGO','SC','124242241237151431338822575122610168012',NULL,'317',0.00,1,3,NULL),(16,3035034,'1991-02-27 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216471431279813575124610117112',3203,'270',63.28,1,3,NULL),(16,3035042,'1982-09-15 00:00:00',2,1,11,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124162241316372431348319482312131067185',NULL,'275',19.44,1,3,NULL),(16,3035050,'1984-08-05 00:00:00',3,1,12,2002,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241211153451579933575122221418092',6934,'883',54.43,1,3,NULL),(16,3035069,'1988-06-29 00:00:00',4,1,6,2006,'M','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124243247326371331436419395134610127047',NULL,'9999',26.80,1,3,NULL),(16,3035077,'1991-01-25 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241247335131431333759271125610125147',NULL,'9999',28.84,1,3,NULL),(16,3035085,'1990-04-21 00:00:00',2,10,11,2007,'F','N','SÃO MARTINHO','TUBARÃO','SC','124244241215472451446519595122610164142',7113,'807',54.07,1,3,NULL),(16,3035093,'1991-07-30 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116161161215121411149711471324610136177',10515,'9998',47.89,1,3,NULL),(16,3035107,'1990-09-11 00:00:00',4,1,12,2007,'M','N','JOSE MENDES','FLORIANóPOLIS','SC','124241241311112411327831521124221464012',1219,'1022',70.82,1,3,NULL),(16,3035115,'1990-06-10 00:00:00',4,6,12,2008,'F','N','JARDIM APURA','S PAULO','SP','125251251226131431525319382224610126027',NULL,'9998',0.00,4,3,NULL),(16,3035123,'1991-04-17 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241415122731466716575125610126141',8496,'270',51.41,1,3,NULL),(16,3035131,'1990-08-06 00:00:00',4,1,11,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215122431646821375124610162152',NULL,'1075',40.96,1,3,NULL),(16,3035140,'1991-09-02 00:00:00',2,2,12,2008,'F','N','POMERANOS','TIMBó','SC','124241241215122431456921575122610137142',2351,'1157',65.87,1,3,NULL),(16,3035158,'1991-03-13 00:00:00',4,3,11,2008,'F','N','TRICOLIN','CANOINHAS','SC','124241241216111431448739572122610121147',11701,'154',45.82,1,3,NULL),(16,3035166,'1989-10-04 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241217271411249923295124131061047',12782,'269',43.87,1,3,NULL),(16,3035174,'1991-09-23 00:00:00',4,6,12,2008,'F','N','FAZENDA','ITAJAÍ','SC','124201241232141431459614375124610128192',NULL,'388',22.21,1,3,NULL),(16,3035182,'1991-04-09 00:00:00',4,1,12,2008,'M','N','CENTRO','JARAGUA DO SUL','SC','124242241235371411588932575112610168012',5362,'422',57.74,1,3,NULL),(16,3035190,'1980-01-15 00:00:00',2,8,12,1997,'M','N','CENTRO','GARUVA','SC','124241243126135431433411184314610147147',NULL,'474',54.15,4,2,1),(16,3035204,'1992-03-15 00:00:00',4,7,11,2008,'F','N','CENTRO','OURO','SC','124242241215152431339813574114610166142',10175,'446',48.47,1,3,NULL),(16,3035212,'1989-12-20 00:00:00',4,1,11,2007,'M','N','ASA NORTE','BRASÍLIA','DF','107072071217372431353827574122610167182',6281,'9998',55.72,1,3,NULL),(16,3035220,'1991-05-24 00:00:00',4,1,12,2008,'M','N','VILA NOVA','MAFRA','SC','124241241216371441336911195113610164182',NULL,'541',30.94,1,3,NULL),(16,3035239,'1990-03-02 00:00:00',4,8,12,2007,'F','N','AMERICA','JOINVILLE','SC','124242241217573431449814574122131066092',3907,'486',61.31,1,3,NULL),(16,3035247,'1988-08-15 00:00:00',2,1,11,2006,'F','N','BARREIROS','S JOSé','SC','124164161117473431356613472124230222092',8369,'9998',51.64,1,3,NULL),(16,3035255,'1989-12-11 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115131731433419572224610117142',NULL,'257',18.95,1,2,1),(16,3035271,'1989-05-31 00:00:00',4,1,12,2006,'M','N','CENTRO','ROLÂNDIA','PR','116162161216571421389732575112610167122',NULL,'9998',0.00,1,3,NULL),(16,3035280,'1984-02-08 00:00:00',2,4,12,2001,'M','N','ARAUCÁRIA','MODELO','SC','124241111126151431234343235332231437147',2179,'9998',66.49,1,2,1),(16,3035298,'1990-10-14 00:00:00',4,1,12,2008,'F','N','ALPHAVILLE','BARUERI','SP','125252251217111731678412375122610137072',16151,'9998',36.77,1,3,NULL),(16,3035301,'1990-11-01 00:00:00',4,1,11,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215122431468811572122610123092',752,'270',73.82,4,3,NULL),(16,3035310,'1993-07-07 00:00:00',2,10,12,2008,'F','N','CENTRO','BRAÇO NORTE','SC','124242241216131431446812144124610125092',4700,'950',59.32,1,3,NULL),(16,3035328,'1981-10-03 00:00:00',2,1,12,1998,'M','N','FORTALEZA DA LAGOA','FLORIANÓPOLIS','SC','124252257246312431228549295224140465117',9555,'9998',49.61,4,1,2),(16,3035336,'1990-12-04 00:00:00',4,3,12,2007,'F','N','CENTRO','JANDAIA SUL','PR','116162161215271421338832571124610134142',NULL,'9998',27.24,1,3,NULL),(16,3035379,'1987-06-29 00:00:00',2,1,11,2007,'M','N','JARDIM DAS PALMEIRAS','S JOSé','SC','124241247145471731333329315124610122192',NULL,'9999',28.28,1,2,1),(16,3035395,'1990-12-13 00:00:00',4,1,2,2008,'M','N','PASSA VINTE','PALHOÇA','SC','124242241116152431336623575113233267142',NULL,'739',26.96,1,3,NULL),(16,3035409,'1984-12-22 00:00:00',4,8,12,2001,'M','N','CENTRO','CASCAVEL','PR','116161161116472451433623391122143267067',1404,'9998',69.80,1,2,1),(16,3035425,'1991-10-08 00:00:00',2,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241115111431538734575124610167143',NULL,'257',26.80,1,2,1),(16,3035433,'1991-07-02 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242245215112431385622475122610127182',NULL,'262',42.37,4,3,NULL),(16,3035441,'1992-03-27 00:00:00',4,8,12,2009,'F','S','ATIRADORES','JOINVILLE','SC','124242241217111132458814495125610137015',NULL,'491',55.08,1,3,NULL),(16,3035450,'1991-01-08 00:00:00',4,1,4,2008,'F','N','BARRA DA TIJUCA','RIO JANEIRO','RJ','121212217217111431457812575124241437112',8067,'9999',52.29,1,3,NULL),(16,3035476,'1990-06-01 00:00:00',2,1,12,2007,'F','N','CENTRO','S BONIFÁCIO','SC','124241241126323431423855275124610124142',NULL,'295',30.17,1,2,1),(16,3035484,'1989-01-22 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215373431548621575114610137091',11069,'273',46.90,1,3,NULL),(16,3035506,'1991-08-14 00:00:00',4,1,11,2008,'M','N','JARDIM MANSUR','CPO GRANDE','MS','112122121217111441368933575122610167052',2862,'9998',64.20,1,3,NULL),(16,3035514,'1991-07-17 00:00:00',2,5,12,2008,'F','N','JARDIM ATLÂNTICO','BAL ARROIO SILVA','SC','124241241115371731336714282124610166092',NULL,'29',24.51,1,2,1),(16,3035530,'1990-03-07 00:00:00',4,1,12,2007,'M','N','CENTRO','SALTO VELOSO','SC','124241242117111431436613592225610164182',NULL,'8',26.67,1,3,NULL),(16,3035549,'1991-10-05 00:00:00',4,10,11,2008,'M','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124241241315111431454612275121610134172',526,'9997',75.57,1,3,NULL),(16,3035557,'1989-02-11 00:00:00',4,1,12,2006,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124254251417471451438814574125610164072',676,'9998',74.37,2,1,2),(16,3035565,'1990-08-10 00:00:00',2,4,12,2007,'F','N','CENTRO','MODELO','SC','124241241145371431537734374122610148182',12789,'562',43.85,1,2,1),(16,3035573,'1991-11-02 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124204241215111431567713275122610123042',3772,'951',61.66,1,3,NULL),(16,3035581,'1990-07-21 00:00:00',4,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215272431464624345112610118142',NULL,'1010',22.38,1,3,NULL),(16,3035603,'1990-04-20 00:00:00',4,7,12,2008,'F','N','INTERIOR','LACERDÓPOLIS','SC','124241241125161431536331172222610124057',NULL,'496',28.77,1,2,1),(16,3035611,'1990-12-10 00:00:00',4,1,10,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431248823571114610164092',6910,'266',54.47,1,3,NULL),(16,3035620,'1991-07-26 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124244241215111431436629575114610133057',12795,'1022',43.85,1,3,NULL),(16,3035638,'1986-03-30 00:00:00',4,3,11,2003,'M','N','CENTRO','LONDRINA','PR','116162161217573441127739476325141464097',3920,'9998',61.28,1,3,NULL),(16,3035662,'1991-09-18 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215421431548911575112610122143',NULL,'270',35.30,1,3,NULL),(16,3035670,'1991-03-02 00:00:00',4,1,12,2008,'F','N','SANTANA','S PAULO','SP','125252251217111411455512575122610168046',NULL,'9998',27.50,1,3,NULL),(16,3035689,'1991-03-18 00:00:00',4,1,12,2008,'F','N','CENTRO','IMBITUBA','SC','124241241215151441566811595125610164117',NULL,'362',34.00,1,3,NULL),(16,3035697,'1991-08-17 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216111411435634272124610164017',7991,'270',52.44,1,3,NULL),(16,3035719,'1990-12-25 00:00:00',4,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215111431368933572124610122092',NULL,'1022',29.50,1,3,NULL),(16,3035727,'1983-10-01 00:00:00',2,1,12,2000,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','624201201127371431223374281224140438187',4445,'9998',59.90,1,3,NULL),(16,3035735,'1992-08-03 00:00:00',4,5,11,2008,'M','N','CENTRO','TORRES','RS','120202241217111431438834245121610168175',14394,'9998',40.89,1,3,NULL),(16,3035743,'1990-10-13 00:00:00',4,1,11,2007,'M','N','PORTAL DA OLARIA','S SEBASTIÃO','SP','125252251217472431568839595124610167114',4078,'9998',60.85,1,3,NULL),(16,3035751,'1992-10-17 00:00:00',2,1,12,2008,'F','N','ARIRIU DA FORMIGA','PALHOçA','SC','124243248215111432466513375124610126072',15608,'1011',38.30,1,3,NULL),(16,3035760,'1991-10-04 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL PIÇARRAS','SC','124241241117161431216369572224610126172',11560,'614',46.07,1,3,NULL),(16,3035778,'1989-06-26 00:00:00',4,1,12,2007,'F','N','BELA VISTA','S PAULO','SP','125252251217471731445524475114610137147',2872,'9998',64.18,1,3,NULL),(16,3035786,'1991-05-17 00:00:00',2,4,12,2008,'F','N','AMADORI','PATO BRANCO','PR','116162161215371331667619575115610114017',NULL,'9998',6.70,4,3,NULL),(16,3035794,'1989-01-26 00:00:00',4,1,12,2006,'M','N','VILA FARIA','S CARLOS','SP','125252251415572441438812575125610144012',4690,'9998',59.34,1,3,NULL),(16,3035808,'1990-03-03 00:00:00',2,1,11,2008,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241216271431366612325124610112142',NULL,'269',29.79,1,3,NULL),(16,3035832,'1992-01-16 00:00:00',4,1,11,2008,'M','N','PARQUE ALVORADA','DOURADOS','MS','112122121235121331446814272112610162123',NULL,'9998',26.26,3,3,NULL),(16,3035859,'1981-09-04 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124212211216132411138843435124141432057',4156,'9998',60.62,1,3,NULL),(16,3035867,'1990-04-22 00:00:00',4,1,6,2008,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','624242247217271431517819475124610165182',13020,'9999',43.47,4,3,NULL),(16,3035875,'1990-01-28 00:00:00',4,7,12,2007,'M','N','CENTRO','CURITIBA','PR','116241161215472431256634575122610132052',988,'9998',72.15,1,3,NULL),(16,3035883,'1989-10-14 00:00:00',4,1,11,2007,'M','N','BELA VISTA','S PAULO','SP','125252251217471431466611571115610127014',5876,'9998',56.63,3,3,NULL),(16,3035905,'1992-08-21 00:00:00',4,3,12,2008,'F','N','SÃO LUIS','BRUSQUE','SC','124242241217111431488832575122610125147',NULL,'109',29.71,1,3,NULL),(16,3035913,'1991-11-18 00:00:00',2,3,11,2008,'F','N','VÁRZEA','ITAPEMA','SC','124241241216111441357932575112610124197',11026,'1038',46.98,1,3,NULL),(16,3035921,'1989-03-02 00:00:00',4,8,12,2006,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215271431489714474112131324092',6547,'486',55.18,1,3,NULL),(16,3035930,'1991-11-07 00:00:00',4,1,12,2008,'F','N','CENTRO','VACARIA','RS','120203201215371411438832274122610163142',NULL,'9998',0.00,1,3,NULL),(16,3035948,'1991-07-15 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431377833475122610127052',2572,'270',65.10,1,3,NULL),(16,3035956,'1992-02-24 00:00:00',4,1,12,2009,'M','S','ARIRIU DA FORMIGA','PALHOÇA','SC','124241241216111431225321495124610127067',NULL,'1011',29.08,1,3,NULL),(16,3035980,'1989-12-03 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124244241315372731435823382114610134097',10223,'1022',48.38,1,3,NULL),(16,3035999,'1992-05-17 00:00:00',4,5,12,2007,'M','N','MATO ALTO','ARARANGUÁ','SC','124243241215472431336322575111610124182',530,'32',75.55,1,3,NULL),(16,3036022,'1992-07-03 00:00:00',4,1,12,2009,'F','S','SNT ANT DE LISBOA','FLORIANóPOLIS','SC','124243241215131441538831572324610167072',NULL,'1048',19.19,1,3,NULL),(16,3036030,'1991-05-24 00:00:00',4,8,10,2008,'F','N','ABRANCHES','CURITIBA','PR','116242161215111431539921572124610142137',8798,'9998',50.90,1,3,NULL),(16,3036049,'1985-12-19 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124201201146242751426614245124610147067',13930,'9998',41.80,1,2,1),(16,3036057,'1991-11-17 00:00:00',2,1,10,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242248215112431486612572114610132075',6353,'1022',55.56,1,3,NULL),(16,3036065,'1990-12-14 00:00:00',4,1,5,2008,'M','N','JOSE MENDES','FLORIANóPOLIS','SC','124244281115371431478933592114610128075',1723,'9998',68.33,1,3,NULL),(16,3036073,'1990-02-18 00:00:00',4,1,12,2007,'F','N','JARDIM MORUMBI','S PAULO','SP','125163251215471451438831594124610154042',5252,'9998',57.99,1,3,NULL),(16,3036081,'1991-08-07 00:00:00',4,1,12,2008,'M','N','PARQUE CIDADE JARDIM','UMUARAMA','PR','116162161217111431468834445122610147062',6037,'9998',56.27,1,3,NULL),(16,3036103,'1989-04-21 00:00:00',2,4,12,2006,'F','N','TANCREDO NEVES','PALMITOS','SC','124241241115371751433923574122610167052',13729,'601',42.21,1,2,1),(16,3036111,'1990-09-26 00:00:00',2,5,11,2007,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124242248215473431468714594124610135142',3141,'32',63.42,1,3,NULL),(16,3036138,'1988-12-26 00:00:00',2,1,12,2005,'F','N','VILA MARIA','PALMEIRA','PR','116162161216573411424419174114142667077',1813,'9998',67.96,1,3,NULL),(16,3036146,'1988-03-12 00:00:00',4,1,11,2007,'F','N','JURERÊ TRADICIONAL','FLORIANóPOLIS','SC','124243243217372431449614372114610123143',NULL,'1048',35.05,1,3,NULL),(16,3036154,'1990-05-22 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272431648852574114610167117',1819,'270',67.94,3,3,NULL),(16,3036162,'1992-10-21 00:00:00',2,1,12,2008,'F','N','CENTRO','CASCAVEL','PR','116162161216111431576632575122610121072',12920,'9998',43.63,1,3,NULL),(16,3036170,'1991-04-22 00:00:00',4,5,12,2008,'F','N','LINHA FRASSON','MRO FUMAÇA','SC','124252246215161431329934575124610125142',NULL,'995',0.00,1,3,NULL),(16,3036189,'1991-01-11 00:00:00',2,1,12,2006,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241216373431465632385114131447052',2090,'970',66.83,1,3,NULL),(16,3036227,'1991-04-02 00:00:00',2,9,12,2008,'F','N','CENTRO','LAGES','SC','124112241217111731388869592122610128142',16648,'497',34.30,1,3,NULL),(16,3036235,'1991-08-02 00:00:00',2,6,12,2008,'F','N','MAXWELL','DOURADOS','MS','112121121316111731522626575122610166197',NULL,'9998',0.00,4,3,NULL),(16,3036251,'1975-02-01 00:00:00',4,1,12,1995,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','224241241116143721338643332122121226142',11643,'267',45.92,4,1,1),(16,3036260,'1991-05-29 00:00:00',4,1,12,2008,'M','N','JARDIM PARAÍSO','VÁRZEA PAULISTA','SP','125252251217121411478913571112610162112',7087,'9998',54.12,1,3,NULL),(16,3036286,'1989-08-08 00:00:00',2,1,12,2007,'M','N','JARDIM ALVORADA','OURINHOS','SP','125252251216572412248923572112610137057',NULL,'9998',51.68,1,3,NULL),(16,3036294,'1991-01-25 00:00:00',2,8,12,2008,'F','N','CENTRO','TRÊS PASSOS','RS','120201201336271431225624472125610143097',14286,'9998',41.07,1,3,NULL),(16,3036316,'1991-01-02 00:00:00',4,1,11,2008,'F','N','AREIAS','S JOSÉ','SC','124241241217111431533719571124610122142',13196,'976',43.15,1,3,NULL),(16,3036332,'1991-03-01 00:00:00',4,6,12,2008,'M','N','IMIGRANTES','GUABIRUBA','SC','124241241126151431453334245121610132017',14784,'108',40.10,1,2,1),(16,3036340,'1989-03-31 00:00:00',4,6,12,2006,'F','N','CENTRO','ITAJAÍ','SC','125252248211573451549914571124610164141',5553,'1026',57.36,1,3,NULL),(16,3036359,'1989-04-14 00:00:00',4,1,11,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215573441588811571114610167111',96,'226',81.03,1,3,NULL),(16,3036367,'1991-03-14 00:00:00',4,9,12,2008,'F','N','CORAL','LAGES','SC','124242241215372431543923476122610162017',1615,'499',68.83,1,3,NULL),(16,3036375,'1990-03-04 00:00:00',2,8,12,2007,'F','N','BELA VISTA','S PAULO','SP','125252251216471431369821175114610165117',NULL,'9998',0.00,1,3,NULL),(16,3036391,'1991-05-07 00:00:00',4,1,11,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215371431369934595122610127075',NULL,'269',33.75,1,3,NULL),(16,3036405,'1992-02-09 00:00:00',2,1,11,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241217271431466633375112610167042',2832,'269',64.28,1,3,NULL),(16,3036413,'1990-12-01 00:00:00',4,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124202241216273731467831375115221243185',9952,'1022',48.86,1,3,NULL),(16,3036421,'1992-09-26 00:00:00',2,1,12,2009,'F','S','PONTA DE BAIXO','S JOSé','SC','624242241215111432356734572112610147052',NULL,'737',41.16,1,3,NULL),(16,3036430,'1990-01-18 00:00:00',4,3,11,2006,'F','N','VILA GUARANI','CAMBÉ','PR','116162161215571431449811572122610123097',NULL,'9998',0.00,1,3,NULL),(16,3036448,'1991-02-25 00:00:00',2,1,12,2008,'M','N','RIO GRANDE','PALHOÇA','SC','124244241215111431446613285114610127097',15218,'1010',39.16,1,3,NULL),(16,3036456,'1990-04-01 00:00:00',4,1,12,2006,'F','N','ST ANTÔNIO DE LISBOA','FLORIANÓPOLIS','SC','124242241215472431468911472114133127187',1452,'951',69.55,1,3,NULL),(16,3036464,'1989-12-07 00:00:00',4,8,12,2007,'M','N','SAN REMO','LONDRINA','PR','116163161215472431467631575112610127092',1099,'9998',71.46,4,3,NULL),(16,3036472,'1990-09-14 00:00:00',4,1,12,2008,'F','N','ST AEROPORTO','GOIÂNIA','GO','109092091215111432348813574122610162122',3289,'9998',63.04,4,3,NULL),(16,3036480,'1992-09-24 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411578833472122610122112',13765,'270',42.13,1,3,NULL),(16,3036499,'1990-06-15 00:00:00',2,1,12,2007,'M','N','JARDIM MODELO','S PAULO','SP','125251251146271431556611341124610165052',NULL,'9998',0.00,1,2,1),(16,3036502,'1988-04-02 00:00:00',4,1,7,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124244247415574431468614376124610168182',8683,'9999',51.10,1,3,NULL),(16,3036510,'1991-03-07 00:00:00',4,1,12,2008,'M','N','JARDIM ANDRADE','LONDRINA','PR','116162161217152431258829572121610144042',989,'9998',72.14,1,3,NULL),(16,3036545,'1991-04-18 00:00:00',2,9,12,2008,'M','N','CENTRO','CURITIBA','PR','120201201116131431321622392224610127047',NULL,'9998',36.90,1,2,1),(16,3036553,'1991-06-26 00:00:00',2,1,12,2008,'M','N','VILA SOFIA','S PAULO','SP','125254251217371431458932575122610167047',11565,'9998',46.07,1,3,NULL),(16,3036561,'1989-06-12 00:00:00',2,1,12,2006,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241236474411468832295124131424062',4073,'226',60.86,1,3,NULL),(16,3036570,'1991-07-06 00:00:00',4,3,12,2008,'M','N','RIBAMAR','PERUÍBE','SP','125254251216151431346823575124610167047',4154,'9998',60.63,1,3,NULL),(16,3036588,'1991-03-25 00:00:00',4,1,11,2008,'F','N','CITY RIBEIRAO','RIBEIRÃO PRETO','SP','125252251215111231388912571122610162092',2499,'9998',65.34,1,3,NULL),(16,3036596,'1990-02-03 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241216161431467811415124610127117',4115,'883',60.74,1,3,NULL),(16,3036600,'1991-12-05 00:00:00',2,5,12,2008,'M','N','CENTRO','ARARANGUÁ','SC','124242241215371431268812572125610137142',3751,'970',61.70,1,3,NULL),(16,3036626,'1991-03-27 00:00:00',4,1,12,2008,'M','N','JARDIM SANTA MENA','GUARULHOS','SP','125252251217151431479714182122610137012',10668,'9998',47.62,4,3,NULL),(16,3036634,'1989-11-30 00:00:00',4,1,12,2007,'M','N','CENTRO','MATÃO','SP','125251251117471431525614572122610142147',8250,'9998',51.88,1,2,1),(16,3036642,'1991-03-11 00:00:00',4,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124242241215111431435833575124610137147',NULL,'1078',26.46,1,3,NULL),(16,3036650,'1991-09-26 00:00:00',4,1,11,2009,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241211111411368923432122610112112',NULL,'270',54.20,1,3,NULL),(16,3036669,'1991-03-08 00:00:00',4,1,12,2008,'M','N','GRANJA SANTA MARIA','CARAPICUÍBA','SP','125252251217151411478832571124610134047',6550,'9998',55.17,1,3,NULL),(16,3036677,'1991-10-12 00:00:00',4,1,12,2008,'M','N','CENTRO','APUCARANA','PR','116162161215111731438719575112610162187',7906,'9998',52.59,1,3,NULL),(16,3036685,'1990-04-27 00:00:00',2,5,12,2006,'M','N','CENTRO','CRICIúMA','SC','124242247216473431356914395122233216092',11637,'9997',45.93,1,3,NULL),(16,3036693,'1989-07-19 00:00:00',4,10,11,2006,'M','N','CENTRO','TUBARãO','SC','124241241215573431435517575324610142092',418,'807',76.59,1,3,NULL),(16,3036707,'1978-08-24 00:00:00',2,1,12,1995,'F','N','KOBRASOL II','S JOSÉ','SC','224201201116152731353352231132610161192',16657,'9998',34.23,1,3,NULL),(16,3036715,'1990-07-13 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241217372431445923575114610162097',6231,'977',55.85,1,3,NULL),(16,3036723,'1988-11-21 00:00:00',4,1,12,2006,'F','N','VILA MARIANA','S PAULO','SP','125252251217571431558811571122610123142',846,'9998',73.08,1,3,NULL),(16,3036731,'1989-02-20 00:00:00',2,1,12,2006,'M','N','CAMPINAS','S JOSÉ','SC','124242248217572421476919492124610127112',NULL,'270',34.95,1,3,NULL),(16,3036740,'1991-05-05 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215121431269912375124610167092',3160,'270',63.38,1,3,NULL),(16,3036766,'1989-05-20 00:00:00',2,1,12,2006,'F','N','PATRONATO','STA MARIA','RS','120203201216571431569913375112610127072',4406,'9998',60.00,1,3,NULL);
INSERT INTO candidato VALUES (16,3036774,'1988-04-14 00:00:00',4,1,12,2005,'M','N','JARDIM REGINA','JAU','SP','125252251217511411236622445115610142042',6190,'9998',55.94,1,3,NULL),(16,3036782,'1980-11-06 00:00:00',2,1,12,1998,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201116131431126444241124130217077',NULL,'9998',25.88,1,2,1),(16,3036790,'1986-02-15 00:00:00',4,8,12,2003,'M','N','SAO LUIZ','ITU','SP','125256251216473431238821575121141466092',7516,'9998',53.30,4,3,NULL),(16,3036804,'1990-05-04 00:00:00',4,1,12,2007,'M','N','ZONA UM A','UMUARAMA','PR','116162161217572331469914495112610167012',2906,'9998',64.09,1,3,NULL),(16,3036812,'1991-04-18 00:00:00',2,9,12,2008,'M','N','CENTRO','CURITIBA','PR','120201201116131431321622572224610127047',NULL,'9998',25.70,1,2,1),(16,3036839,'1990-07-19 00:00:00',4,1,12,2007,'F','N','CENTRO','CAÇADOR','SC','124242241215472431454632345124610167181',1802,'270',67.99,1,3,NULL),(16,3036847,'1988-11-01 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215573431469911595124121037127',925,'270',72.56,1,3,NULL),(16,3036855,'1990-05-10 00:00:00',4,1,12,2008,'M','N','ZONA DOIS','MARINGÁ','PR','116162161217111442489833175112613267042',NULL,'9998',0.00,1,3,NULL),(16,3036863,'1991-03-12 00:00:00',2,1,12,2008,'M','N','CENTRO','S JOSé','SC','124242241215121331454632575124610124142',3043,'270',63.68,1,3,NULL),(16,3036871,'1989-12-07 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242281216112431468913591114610113092',9051,'270',50.49,1,3,NULL),(16,3036880,'1991-07-15 00:00:00',4,6,11,2008,'M','N','BAIRRO DAS NAÇÕES','BAL CAMBORIÚ','SC','124244241215111421468812345122610167045',NULL,'1038',38.60,1,3,NULL),(16,3036910,'1990-04-09 00:00:00',4,1,12,2008,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124212241215151431269823572124610137097',2145,'262',66.59,1,3,NULL),(16,3036928,'1989-02-12 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241127573531326923375122610127047',7396,'880',53.52,1,3,NULL),(16,3036944,'1991-12-28 00:00:00',4,1,12,2008,'F','N','CENTRO','STA CECíLIA','SC','124241241211211421356613571125610127052',NULL,'881',0.00,1,3,NULL),(16,3036952,'1991-08-01 00:00:00',2,4,12,2008,'M','N','CENTRO','NOVA ERECHIM','SC','124241241316131431236729595122610167057',8673,'1070',51.12,1,3,NULL),(16,3036960,'1991-10-22 00:00:00',4,1,11,2008,'M','N','SÃO LUIZ','JARAGUÁ SUL','SC','124241241215111731466832245122610122182',NULL,'1061',24.80,1,3,NULL),(16,3036979,'1990-11-24 00:00:00',4,5,11,2007,'M','N','SÃO SIMÃO','CRICIÚMA','SC','124242241214472431458431172122610126152',871,'226',72.85,1,3,NULL),(16,3036987,'1990-02-11 00:00:00',2,1,9,2007,'F','N','FEDERAÇAO','SALVADOR','BA','105052051216132432356924575124242132197',4294,'9998',60.25,4,3,NULL),(16,3036995,'1990-08-07 00:00:00',2,8,12,2007,'M','N','CENTRO','GARUVA','SC','124241241215371731467914575112610164147',14815,'459',40.03,1,3,NULL),(16,3037002,'1992-04-22 00:00:00',4,7,11,2009,'F','S','CENTRO','CAPINZAL','SC','124244241217111432368632575124610137052',NULL,'446',34.53,1,3,NULL),(16,3037037,'1985-05-02 00:00:00',2,1,12,2004,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241116371421323321212333610133095',10082,'295',48.63,1,2,1),(16,3037061,'1989-08-11 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241216473431548821595124233268053',8148,'272',52.14,1,3,NULL),(16,3037070,'1992-07-08 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241417121341268814577121610114142',12573,'270',44.23,1,3,NULL),(16,3037088,'1991-10-09 00:00:00',2,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241217121432338514272114610132117',11198,'1022',46.67,1,3,NULL),(16,3037096,'1990-08-21 00:00:00',4,1,11,2008,'M','N','BUENO','GOIÂNIA','GO','109092091217111441489812572112610127092',NULL,'9998',0.00,1,3,NULL),(16,3037100,'1989-07-18 00:00:00',4,1,12,2006,'F','N','JD SAN FERNANDO','LONDRINA','PR','116161161217572431458833572122610134117',753,'9998',73.81,3,3,NULL),(16,3037118,'1990-09-18 00:00:00',4,8,11,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215111431458714575122610121122',2416,'457',65.65,1,3,NULL),(16,3037126,'1992-12-19 00:00:00',4,1,11,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124243241214111731438632575124610144017',NULL,'1022',36.53,1,3,NULL),(16,3037134,'1989-08-04 00:00:00',2,1,12,2007,'M','N','PERDIZES','S PAULO','SP','125252251217111711468813595124610141042',12836,'9998',43.79,1,3,NULL),(16,3037150,'1990-11-22 00:00:00',2,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116243161217512731123923271125610164052',12418,'9998',44.52,1,3,NULL),(16,3037169,'1991-09-25 00:00:00',4,1,12,2009,'M','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217151432236729575124610124052',NULL,'270',46.88,1,3,NULL),(16,3037177,'1990-10-16 00:00:00',4,4,12,2008,'M','N','CENTRO','CONCÓRDIA','SC','124244241216471451347923344124610164072',5697,'1047',57.08,1,3,NULL),(16,3037185,'1985-02-25 00:00:00',2,1,12,2002,'M','N','XV DE NOVEMBRO','TIJUCAS','SC','124241241135155431434319241324221467052',6405,'783',55.46,1,2,1),(16,3037193,'1988-10-11 00:00:00',2,1,12,2005,'F','N','CHACARA DAS PEDRAS','PTO ALEGRE','RS','120204201117572531537823492114141567017',5932,'9998',56.49,1,3,NULL),(16,3037207,'1987-11-23 00:00:00',4,10,6,2005,'M','N','CENTRO','CURITIBA','PR','124241247345473431546612271312132817112',NULL,'9999',27.10,1,3,NULL),(16,3037215,'1991-11-15 00:00:00',4,5,11,2008,'M','N','URUSSANGUINHA','ARARANGUá','SC','124241241215371431346912575122610147052',NULL,'970',37.14,1,3,NULL),(16,3037240,'1989-09-13 00:00:00',4,4,12,2006,'F','N','CEILÂNDIA','CEILANDIA','DF','107241241116572751533639575124610126147',5530,'840',57.41,4,2,1),(16,3037258,'1986-12-12 00:00:00',4,1,12,2004,'F','N','CENTRO','S JOSÉ','SC','124242241232175431538611382124133268031',NULL,'737',34.67,1,3,NULL),(16,3037274,'1992-01-24 00:00:00',4,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241211111431357432572124610134053',14946,'270',39.79,1,3,NULL),(16,3037282,'1972-08-08 00:00:00',2,1,12,1989,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224211211116151711438243335122331067012',NULL,'9998',0.00,1,2,1),(16,3037290,'1991-10-18 00:00:00',4,4,12,2008,'F','N','MERCÊS','CURITIBA','PR','116162161216411431448933572112610137147',NULL,'9998',0.00,1,3,NULL),(16,3037312,'1988-02-05 00:00:00',4,1,12,2005,'F','N','JARDIM PAULISTA','S PAULO','SP','125252251217571731448712311124610124147',NULL,'9998',0.00,1,3,NULL),(16,3037320,'1989-12-10 00:00:00',4,8,12,2007,'M','N','FLORESTA','JOINVILLE','SC','124242241216472431468831475124610134092',2743,'491',64.58,1,3,NULL),(16,3037339,'1991-11-09 00:00:00',2,3,12,2008,'F','N','JOSÉ AMÂNDIO','BOMBINHAS','SC','124241248117161431435933575122610122037',NULL,'1089',27.81,1,3,NULL),(16,3037347,'1989-09-19 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217471731345924472122610122071',NULL,'270',27.38,1,3,NULL),(16,3037355,'1991-05-05 00:00:00',2,4,12,2008,'F','N','SANTA MARIA','CHAPECó','SC','124241241115131431423311242345610164052',11531,'176',46.12,1,2,1),(16,3037363,'1992-04-20 00:00:00',4,8,11,2009,'F','S','ATIRADORES','JOINVILLE','SC','124242241215111331436614472224610117112',NULL,'491',30.99,1,3,NULL),(16,3037371,'1992-11-26 00:00:00',4,1,11,2009,'F','S','AGRONOMICA','FLORIANÓPOLIS','SC','124242251215111431379812425122610136142',NULL,'262',35.73,1,3,NULL),(16,3037380,'1991-01-27 00:00:00',2,5,11,2008,'M','N','PIO CORRÊA','CRICIÚMA','SC','124242241215111431438832495122610137117',15047,'226',39.55,1,3,NULL),(16,3037398,'1991-11-30 00:00:00',4,1,11,2008,'F','N','VILA MARGARIDA','OURINHOS','SP','125252251217111431468633574122610164047',4354,'9998',60.13,1,3,NULL),(16,3037401,'1987-06-05 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217152431189911495122221467052',3791,'807',61.62,1,3,NULL),(16,3037410,'1990-10-27 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215372431369933572124610126097',2482,'981',65.39,1,3,NULL),(16,3037428,'1990-05-17 00:00:00',4,4,12,2008,'M','N','NATUREZA','ITÁ','SC','124241242116151731323336174124610164057',13268,'196',43.03,1,2,1),(16,3037436,'1991-01-14 00:00:00',4,3,11,2008,'F','N','VILLAS DO ATLÂNTICO','LAURO FREITAS','BA','105052051216371431568914572122610133182',NULL,'9998',0.00,1,3,NULL),(16,3037444,'1991-03-27 00:00:00',4,2,11,2008,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111431457719595122610123187',6215,'71',55.88,1,3,NULL),(16,3037452,'1990-10-09 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431348829592122610162182',NULL,'270',28.39,1,3,NULL),(16,3037460,'1990-08-01 00:00:00',2,6,11,2008,'M','N','CENTRO','CPO NOVO PARECIS','MT','111161111317161431579714275122610164012',NULL,'9998',46.28,1,3,NULL),(16,3037479,'1990-06-30 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241217473431349921242124610137115',975,'262',72.21,4,3,NULL),(16,3037487,'1990-10-19 00:00:00',2,1,12,2008,'M','N','CENTRO','CURITIBANOS','SC','124242241216121431559913572122610127057',15434,'881',38.70,1,3,NULL),(16,3037495,'1991-05-27 00:00:00',2,1,11,2008,'M','N','SAO FRANCISCO','CPO GRANDE','MS','112122121216111412488832424122610461122',NULL,'9997',24.62,1,3,NULL),(16,3037509,'1991-03-08 00:00:00',2,1,12,2007,'M','N','AREIAS','S JOSé','SC','124242241215272442533711172124610127041',6648,'737',54.97,1,3,NULL),(16,3037517,'1992-02-27 00:00:00',4,1,11,2009,'M','S','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111432458611372122610127052',NULL,'262',46.74,1,3,NULL),(16,3037525,'1990-09-14 00:00:00',4,8,12,2007,'M','N','CLAUDETE','CASCAVEL','PR','116162161216472451259934575122610168182',244,'9998',78.61,4,3,NULL),(16,3037533,'1989-02-10 00:00:00',4,8,12,2006,'F','N','SANTA MARIA','UBERLâNDIA','MG','113132136116571231457731574122610127092',2740,'9998',64.59,1,3,NULL),(16,3037541,'1990-04-06 00:00:00',4,1,11,2007,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125254251215371441448619575122610167042',4088,'9998',60.82,1,3,NULL),(16,3037550,'1990-08-21 00:00:00',4,1,11,2008,'F','N','SACO DOS LIMÕES','FLORIANóPOLIS','SC','124244241212111451478833575114610168017',9199,'262',50.24,1,3,NULL),(16,3037568,'1992-07-07 00:00:00',4,1,11,2009,'M','S','FLORESTA','SAO JOSE','SC','124241241417131431226628572124610137047',NULL,'1036',NULL,1,3,NULL),(16,3037576,'1991-10-24 00:00:00',4,4,12,2008,'M','N','CENTRO','PASSO FUNDO','RS','120201201217121531279811275114610134142',NULL,'9998',0.00,1,3,NULL),(16,3037592,'1990-05-28 00:00:00',4,1,12,2007,'F','N','CENTRO','PINHEIRO PRETO','SC','124241241126472431543331275114610124142',4829,'618',59.01,1,2,1),(16,3037606,'1986-04-24 00:00:00',2,3,12,2003,'M','N','CENTRO','BAL CAMBORIú','SC','124242241216211441568914235123130664111',NULL,'1017',0.00,1,3,NULL),(16,3037622,'1991-11-04 00:00:00',4,1,12,2008,'F','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124242241215111431456833395122610162182',NULL,'63',28.57,1,3,NULL),(16,3037630,'1965-11-05 00:00:00',3,1,12,1983,'M','N','CACUPE','FLORIANÓPOLIS','SC','224211211227151711286843432122341062057',9927,'9998',48.90,1,3,NULL),(16,3037665,'1990-07-10 00:00:00',2,1,12,2008,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125252251216111411238619281125610128182',13110,'9998',43.31,1,3,NULL),(16,3037673,'1992-06-05 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241215122431478913472122610122042',1578,'497',68.97,1,3,NULL),(16,3037690,'1992-01-08 00:00:00',4,7,11,2008,'F','N','CENTRO','CONCóRDIA','SC','124241241217111431469611575122610164192',3458,'1000',62.50,1,3,NULL),(16,3037703,'1992-02-29 00:00:00',2,7,12,2009,'M','S','GIOPPO','CAçADOR','SC','124242241231111731533939495122610167052',NULL,'120',56.68,4,3,NULL),(16,3037746,'1991-06-17 00:00:00',4,5,12,2008,'F','N','CENTRO','TURVO','SC','124243241417111431466714374122610126172',4627,'813',59.48,1,3,NULL),(16,3037754,'1991-09-20 00:00:00',2,1,11,2008,'F','N','CENTRO','CONCÓRDIA','SC','124072161215471431349933232124610123091',11659,'9998',45.89,1,3,NULL),(16,3037762,'1990-07-02 00:00:00',4,1,11,2007,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241216472441488831575124610124061',300,'270',77.97,1,3,NULL),(16,3037789,'1991-04-28 00:00:00',4,1,12,2008,'F','N','VALE DOS VINHEDOS','BENTO GONÇALVES','RS','120201201117471432467514272124610164042',7121,'9998',54.05,1,2,1),(16,3037797,'1991-01-30 00:00:00',4,1,12,2008,'M','N','VILA RIGUETTI','RANCHARIA','SP','125252251217111431448933334121610134062',4604,'9998',59.55,1,3,NULL),(16,3037819,'1991-06-01 00:00:00',2,1,12,2008,'M','N','VILA SANTO ANTÔNIO','ASSIS','SP','125254251216271441369933475122610124182',NULL,'9998',0.00,1,3,NULL),(16,3037827,'1991-09-09 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217122431549914574124610132182',432,'1022',76.44,1,3,NULL),(16,3037835,'1990-10-09 00:00:00',4,1,11,2008,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241216122431568833575122610165142',4082,'1022',60.83,1,3,NULL),(16,3037851,'1991-04-01 00:00:00',4,1,11,2008,'F','N','PEDRA BRANCA','PALHOçA','SC','124241241215111431464512572112610138141',7749,'1011',52.87,1,3,NULL),(16,3037886,'1985-09-12 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','124204201216575431137531492224610162147',7257,'9998',53.80,1,3,NULL),(16,3037894,'1974-05-21 00:00:00',3,1,12,1990,'F','N','CACUPE','FLORIANÓPOLIS','SC','224241241137152711286343432122320864097',NULL,'307',40.11,1,3,NULL),(16,3037908,'1991-08-13 00:00:00',2,3,12,2008,'M','N','CENTRO','SIQUEIRA CAMPOS','PR','116164161214471431644924575124610138152',9341,'9998',50.01,1,3,NULL),(16,3037916,'1990-08-09 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124052051217473451279914576124610131187',398,'9998',76.81,1,3,NULL),(16,3037924,'1988-07-17 00:00:00',3,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241217372411469933575124121927042',4487,'951',59.81,1,3,NULL),(16,3037932,'1991-04-18 00:00:00',4,1,12,2008,'M','N','ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC','124242241215111451368923575114610164172',NULL,'262',43.70,1,3,NULL),(16,3037940,'1989-08-19 00:00:00',4,1,12,2007,'M','N','BOQUEIRAO','SANTOS','SP','125252251217471431569814475122610122047',NULL,'9998',0.00,1,3,NULL),(16,3037959,'1990-11-30 00:00:00',4,8,12,2008,'M','N','BUCAREIN','JOINVILLE','SC','124241243217111431445911572222610112145',NULL,'1105',28.95,1,3,NULL),(16,3037967,'1991-11-27 00:00:00',4,1,11,2008,'F','N','JARDIM VERANEIO','CPO GRANDE','MS','112122121217121731578734574122610167142',1021,'9998',71.97,1,3,NULL),(16,3037975,'1991-08-18 00:00:00',4,1,12,2008,'M','N','ROÇADO','S JOSÉ','SC','124242241217111732569739572112610114055',NULL,'738',32.08,1,3,NULL),(16,3037983,'1989-12-27 00:00:00',4,7,11,2007,'F','N','FARROUPILHA','VIDEIRA','SC','124241241212153411468829575122610142147',2448,'969',65.52,1,3,NULL),(16,3038009,'1990-12-18 00:00:00',4,8,12,2008,'M','N','JARDIM BELGICA','S PAULO','SP','125252251217371431468833575124610134193',5314,'9998',57.84,1,3,NULL),(16,3038017,'1992-11-23 00:00:00',4,1,11,2009,'M','S','PANTANAL','FLORIANOPOLIS','SC','124242241216111311488831585112610153166',NULL,'190',38.39,1,3,NULL),(16,3038025,'1989-11-12 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124072071236271431489733575124233267125',9659,'9998',49.41,1,3,NULL),(16,3038033,'1990-07-28 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431489911472112610164026',256,'807',78.47,1,3,NULL),(16,3038041,'1990-10-19 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124242241215472431343632571122610165151',3979,'262',61.11,1,3,NULL),(16,3038050,'1990-09-29 00:00:00',4,1,12,2007,'F','N','ACLIMAÇÃO','S PAULO','SP','125252251217471731548839572125141061147',NULL,'9998',45.28,3,3,NULL),(16,3038068,'1991-04-10 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242244215112531229911575124610164017',6855,'723',54.56,1,3,NULL),(16,3038084,'1986-04-04 00:00:00',4,3,12,2003,'F','N','LOS ANGELES','MARINGÁ','PR','116162161217571431568833574122610134096',NULL,'9998',0.00,1,3,NULL),(16,3038092,'1985-06-09 00:00:00',4,8,12,2003,'M','N','AMÉRICA','JOINVILLE','SC','124244247226371431478813245122333224172',15164,'489',39.28,1,3,NULL),(16,3038106,'1990-12-29 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431558932582114610164045',13039,'738',43.43,1,3,NULL),(16,3038122,'1987-10-01 00:00:00',2,1,11,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124281281316471431448632575124120747045',11321,'9999',46.45,4,3,NULL),(16,3038157,'1989-08-03 00:00:00',4,1,12,2006,'F','N','JARDIM TURMALINAS','STA BÁRBARA D OESTE','SP','125252251214572431448814584122610142097',12593,'9998',44.19,1,3,NULL),(16,3038165,'1992-04-20 00:00:00',2,2,12,2008,'F','N','BELA VISTA','GASPAR','SC','124242241216111431338613575124610137141',8055,'71',52.32,1,3,NULL),(16,3038173,'1991-09-07 00:00:00',2,7,12,2008,'M','N','CINQUENTENARIO','CONCóRDIA','SC','124241242116131421526835575224610327042',NULL,'196',23.29,1,2,1),(16,3038181,'1965-09-10 00:00:00',2,10,12,1982,'M','N','OFICINAS','TUBARÃO','SC','524243241216152431136444442122320465193',2753,'806',64.56,1,3,NULL),(16,3038190,'1991-10-12 00:00:00',2,8,12,2008,'M','N','JARDIM DOS PRINCIPES','UMUARAMA','PR','116162161217111431448613575125610167042',9387,'9998',49.92,4,3,NULL),(16,3038203,'1990-04-21 00:00:00',2,3,12,2008,'F','N','SANTO INÁCIO','CURITIBA','PR','116164161136471411638813375124610161142',NULL,'9998',0.00,1,3,NULL),(16,3038211,'1975-02-14 00:00:00',4,1,12,1992,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124152151216151421166349492124341022142',7223,'9998',53.86,1,3,NULL),(16,3038220,'1987-05-19 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372431478732445124231042182',NULL,'260',24.56,1,3,NULL),(16,3038246,'1991-04-25 00:00:00',4,1,11,2008,'F','N','ABRAÃO','FLORIANóPOLIS','SC','124162241416271431368614575124610117142',9289,'269',50.09,1,3,NULL),(16,3038254,'1991-04-07 00:00:00',2,1,12,2008,'M','N','PRADO','BIGUAÇU','SC','124241241115131431424419272124610138147',13545,'65',42.54,1,2,1),(16,3038262,'1991-10-17 00:00:00',4,1,11,2008,'F','N','CENTRO','ÁGUA DOCE','SC','124243241215111231474631575122610164092',510,'270',75.67,1,3,NULL),(16,3038270,'1992-05-05 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111731378839495125610136185',NULL,'262',47.26,1,3,NULL),(16,3038289,'1990-11-17 00:00:00',4,2,12,2008,'M','N','VELHA','BLUMENAU','SC','124242241215271431459914246124610167082',2374,'88',65.80,1,3,NULL),(16,3038297,'1991-04-04 00:00:00',4,1,11,2008,'F','N','JARDIM KENNEDY','CUIABÁ','MT','111112111216111431458632572122610125072',623,'9998',74.76,4,3,NULL),(16,3038300,'1986-08-06 00:00:00',2,1,12,2003,'F','N','FORQUILHAS','S JOSÉ','SC','124241241137273431433514342133610138147',14304,'592',41.03,1,2,1),(16,3038319,'1990-05-22 00:00:00',4,1,12,2007,'M','N','JD CERRO AZUL','MARINGá','PR','116162161217371431468713575112610124122',NULL,'9998',38.05,1,3,NULL),(16,3038327,'1991-09-23 00:00:00',4,6,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215371431478813575122610128052',2405,'1057',65.67,1,3,NULL),(16,3038335,'1991-02-10 00:00:00',4,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANóPOLIS','SC','124241241215131731325511595122610127147',8911,'44',50.72,1,3,NULL),(16,3038343,'1989-05-20 00:00:00',4,1,11,2006,'M','N','CENTRO','CURITIBA','PR','116162161214272411248814385124240444113',NULL,'9998',0.00,1,3,NULL),(16,3038360,'1991-10-30 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241117111431366931375124610164052',1136,'270',71.25,1,3,NULL),(16,3038378,'1981-06-26 00:00:00',4,1,6,1999,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241115374431479617325124123234045',7294,'306',53.72,1,3,NULL),(16,3038386,'1990-02-21 00:00:00',4,1,12,2007,'M','N','MOGILAR','MOGI CRUZES','SP','125252251215411411489711175122610127032',960,'9998',72.27,1,3,NULL),(16,3038394,'1992-07-07 00:00:00',4,8,12,2009,'M','S','AMÉRICA','JOINVILLE','SC','124242241211111432469933575121610167072',NULL,'457',47.70,1,3,NULL),(16,3038408,'1988-08-30 00:00:00',4,1,12,2006,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117373431346723494123610162117',NULL,'267',48.01,1,2,1),(16,3038416,'1988-09-19 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215572431379933135125610128182',11811,'270',45.61,1,3,NULL),(16,3038424,'1991-07-15 00:00:00',4,1,10,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','116162161217371511179811596311610147092',4846,'9998',58.98,1,3,NULL),(16,3038432,'1990-04-06 00:00:00',4,1,12,2007,'M','N','CENTRO','MARINGÁ','PR','116162161217471431579933575124610167057',NULL,'9998',0.00,3,3,NULL),(16,3038440,'1986-10-27 00:00:00',5,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124132131216371431268834575125243264042',4610,'9998',59.54,1,3,NULL),(16,3038459,'1989-09-30 00:00:00',4,1,12,2008,'M','N','VILA BRUNHARI','BAURU','SP','125254251415121441338414595122610127012',NULL,'9998',0.00,1,3,NULL),(16,3038483,'1993-06-22 00:00:00',4,8,11,2008,'M','N','GLÓRIA','JOINVILLE','SC','124242241217111431389933575112610164193',474,'491',76.02,1,3,NULL),(16,3038491,'1989-03-21 00:00:00',4,10,12,2006,'M','N','STO ANTONIO PADUA','TUBARãO','SC','124241241415312431426617372125132525142',11513,'809',46.15,2,1,2),(16,3038505,'1990-10-21 01:00:00',2,10,12,2007,'F','N','CENTRO','TUBARÃO','SC','124241241117311731534514295125610166141',NULL,'9997',28.40,1,2,1),(16,3038513,'1989-10-04 00:00:00',4,1,12,2007,'M','N','ASA NORTE','BRASÍLIA','DF','107072071217472431279867575112141017042',4359,'9998',60.11,1,3,NULL),(16,3038521,'1987-11-19 00:00:00',2,1,12,2004,'M','N','ICOARACI','BELÉM','PA','114141141216271411258432345124241434092',9623,'9998',49.47,4,3,NULL),(16,3038530,'1991-03-30 00:00:00',4,6,12,2008,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124244241215271431467712275111610164072',2249,'981',66.24,1,3,NULL),(16,3038548,'1991-07-13 00:00:00',2,1,12,2008,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121216471431368833572125610167141',1923,'9998',67.50,1,3,NULL),(16,3038564,'1989-11-02 00:00:00',2,8,12,2007,'F','N','AVENTUREIRO','JOINVILLE','SC','124241243217272711456414472124610122197',NULL,'1105',28.08,1,3,NULL),(16,3038572,'1985-08-27 00:00:00',4,1,12,2002,'F','N','ZONA DOIS','MARINGÁ','PR','116161161117272411558913385122143264047',NULL,'9998',0.00,1,2,1),(16,3038580,'1989-07-15 00:00:00',4,4,12,2006,'M','N','CENTRO','PTO ALEGRE','RS','120202201215573431269813375114610167043',4322,'9998',60.20,1,3,NULL),(16,3038599,'1992-01-21 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124242241215111431549924575112610114012',NULL,'497',24.42,1,3,NULL),(16,3038610,'1990-02-07 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115371431338664312114610134142',15446,'307',38.66,1,2,1),(16,3038629,'1990-07-19 00:00:00',4,1,11,2007,'F','N','SERRARIA','S JOSÉ','SC','124241241317272431557813345124610133147',11431,'738',46.30,1,3,NULL),(16,3038637,'1990-08-24 00:00:00',4,1,7,2008,'M','N','CENTRO','GAROPABA','SC','124241241117372431336611475124610164012',6552,'306',55.16,1,2,1),(16,3038645,'1990-11-09 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212372431369911475122610122077',3269,'262',63.09,1,3,NULL),(16,3038653,'1984-06-18 00:00:00',4,1,3,2003,'M','N','BELA VISTA','S JOSÉ','SC','124242243111375441346513485122232824057',6406,'306',55.46,1,3,NULL),(16,3038661,'1991-02-06 00:00:00',2,8,12,2008,'M','N','SETOR FUNCIONARIOS','GOIÂNIA','GO','109092091216371431479832575122610165017',11174,'9998',46.71,1,3,NULL),(16,3038670,'1989-06-09 00:00:00',2,1,12,2005,'F','N','JARDIM JANAÍNA','BIGUAÇU','SC','124243241116274431336414385123230844172',11686,'257',45.85,1,3,NULL),(16,3038688,'1991-07-23 00:00:00',4,3,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124243242117372431526634145124610125072',7977,'129',52.46,1,3,NULL),(16,3038696,'1988-03-29 00:00:00',2,1,12,2005,'M','N','CANTO','FLORIANóPOLIS','SC','124244241115274231448811415114610114047',11227,'307',46.60,1,3,NULL),(16,3038700,'1982-10-25 00:00:00',2,3,12,1999,'M','N','COPACABANA','RIO JANEIRO','RJ','121201201116471731136643435125241424015',NULL,'9998',0.00,4,3,NULL),(16,3038718,'1991-06-06 00:00:00',2,2,12,2008,'F','N','CENTRO','BLUMENAU','SC','124242241215111431226624245124610124011',7948,'87',52.51,1,3,NULL),(16,3038726,'1991-09-02 00:00:00',4,1,11,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217122431489811592122610166122',32,'270',83.50,1,3,NULL),(16,3038750,'1981-09-05 00:00:00',4,1,12,1998,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124244241117273421147744245124120766043',951,'21',72.33,1,3,NULL),(16,3038769,'1990-10-03 00:00:00',2,10,12,2007,'F','N','MATHIAS VELHO','CANOAS','RS','120204201416471431528819475122610146122',16339,'9998',36.24,1,3,NULL),(16,3038777,'1990-01-12 00:00:00',4,1,9,2007,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124096041116232441517729475124130241182',11138,'9998',46.77,1,3,NULL),(16,3038785,'1989-05-15 00:00:00',4,3,11,2006,'F','N','CENTRO','BAL CAMBORIú','SC','124163161217372441468933394124230666182',6134,'9998',56.06,5,3,NULL),(16,3038793,'1991-02-19 00:00:00',4,2,12,2008,'F','N','ASILO','BLUMENAU','SC','124241241116131431334511315122610142047',16275,'84',36.45,1,3,NULL),(16,3038807,'1990-06-23 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241215472431566631275114610162063',7972,'270',52.48,1,3,NULL),(16,3038823,'1991-12-23 00:00:00',4,4,12,2008,'M','N','CENTRO','FAXINAL GUEDES','SC','124243241346141431456614543121610154171',NULL,'255',25.47,1,3,NULL),(16,3038831,'1992-02-05 00:00:00',4,8,12,2009,'M','S','SÃO LUÍS','JARAGUÁ SUL','SC','124242248215111411359822575124610124192',NULL,'491',57.92,1,3,NULL),(16,3038840,'1989-04-01 00:00:00',2,1,12,2006,'F','N','CENTRO','PATO BRANCO','PR','116162161116372731236827295112610163022',10980,'9998',47.05,1,3,NULL),(16,3038858,'1989-12-26 00:00:00',4,1,11,2007,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216372411558713575124121522147',2262,'1098',66.18,1,3,NULL),(16,3038866,'1991-02-22 00:00:00',2,4,12,2008,'F','N','TRÊS PALMEIRAS','CEL FREITAS','SC','124241241116141231435912242122610162017',NULL,'9997',29.15,1,3,NULL),(16,3038874,'1986-02-06 00:00:00',2,1,12,2004,'M','N','ZONA SETE','MARINGá','PR','116161161346371411338814272114610114047',NULL,'9998',44.66,1,3,NULL),(16,3038882,'1991-01-05 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111431579933575121610137062',1163,'883',71.13,1,3,NULL),(16,3038890,'1991-01-18 00:00:00',4,1,12,2008,'F','N','SERRARIAS','S JOSÉ','SC','124241241114271431336313472124610125172',15756,'257',37.91,1,2,1),(16,3038904,'1988-07-21 00:00:00',2,1,12,2006,'M','N','SÃO MARCOS','BIGUAÇU','SC','124241241112372432324331382344610137053',NULL,'65',32.90,1,2,1),(16,3038912,'1991-03-01 00:00:00',4,8,12,2008,'M','N','SAGUAÇÚ','JOINVILLE','SC','124242241215371432658832472112610162146',NULL,'486',34.73,1,3,NULL),(16,3038920,'1991-07-07 00:00:00',4,6,12,2008,'F','N','CENTRO','BARRA VELHA','SC','124241241146271431337731112121610166152',NULL,'57',0.00,1,2,1),(16,3038939,'1988-08-31 00:00:00',4,1,12,2006,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124243241115133431344829575124233246177',3446,'271',62.52,1,3,NULL),(16,3038947,'1991-05-22 00:00:00',4,1,12,2008,'F','N','JARDIM AMÉRICA','FOZ IGUAÇU','PR','116162161217422431465932575122610131092',14031,'9998',41.59,1,3,NULL),(16,3038955,'1990-05-04 00:00:00',2,7,12,2007,'M','N','CENTRO','PTE SERRADA','SC','124241248146131411412221171345610117047',NULL,'629',13.42,1,2,1),(16,3038963,'1990-02-08 00:00:00',2,5,11,2007,'F','N','CENTRO','PTO ALEGRE','RS','120242241215472431469914575124610121097',NULL,'226',29.31,1,3,NULL),(16,3038980,'1988-03-04 00:00:00',2,1,12,2005,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241115133431346873572113610164182',5423,'591',57.63,1,2,1),(16,3038998,'1987-05-17 00:00:00',4,1,12,2005,'M','N','RIO GRANDE','PALHOÇA','SC','124241241131372421445643335122610164183',6722,'591',54.83,1,2,1),(16,3039005,'1991-01-17 00:00:00',4,8,12,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242241211271231456624375121610167072',3221,'489',63.24,3,3,NULL),(16,3039013,'1990-10-06 00:00:00',2,1,12,2007,'F','N','PRAIA COMPRIDA','S JOSé','SC','124242241211372431456923582124610138182',NULL,'1036',33.49,1,3,NULL),(16,3039021,'1990-09-28 00:00:00',2,1,12,2007,'M','N','COSTEIRA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241125371621137519392124110117042',NULL,'1099',20.01,1,3,NULL),(16,3039030,'1985-04-06 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124161161116271421437622242124140222097',11149,'9998',46.75,1,2,1),(16,3039048,'1990-12-11 00:00:00',4,1,12,2007,'F','N','VILLA ADYANNA','S JOSÉ CAMPOS','SP','125252251217471411449914577112610166037',NULL,'9998',0.00,1,3,NULL),(16,3039056,'1982-11-26 00:00:00',4,1,11,2000,'M','N','KOBRASOL','S JOSÉ','SC','124244241216372411236419495121610144047',NULL,'1076',23.92,1,3,NULL),(16,3039064,'1991-02-17 00:00:00',2,3,12,2008,'F','N','PIONEIROS','BAL CAMBORIú','SC','124241241115151711426639572125613222187',NULL,'873',9.72,1,2,1),(16,3039080,'1990-06-29 00:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215472451349832575124610163097',16,'226',84.34,1,3,NULL),(16,3039099,'1991-01-22 00:00:00',2,1,11,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215372431468612275112610124192',11057,'262',46.92,1,3,NULL),(16,3039102,'1990-03-26 00:00:00',2,1,7,2008,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241247312271431454634341114610136113',12738,'977',43.95,1,3,NULL),(16,3039110,'1989-11-13 00:00:00',4,2,11,2008,'M','N','VALPARAISO','BLUMENAU','SC','124201241127311431646573332334610127013',NULL,'69',14.91,2,1,1),(16,3039129,'1991-08-08 00:00:00',2,1,12,2008,'F','N','JORDÃO','GOV CELSO RAMOS','SC','124241241115161432333614241124610115192',NULL,'65',31.48,1,3,NULL),(16,3039137,'1968-03-23 00:00:00',4,1,8,1986,'M','N','FLORESTA','S JOSÉ','SC','124241246116455421463443135124220246012',NULL,'306',0.00,1,3,NULL),(16,3039153,'1990-12-02 00:00:00',4,2,11,2007,'M','N','SOCOMIM','TELÊMACO BORBA','PR','116162161235271431549914375111610117052',7844,'9998',52.69,1,3,NULL),(16,3039161,'1987-11-30 00:00:00',4,8,11,2005,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216574411428824485122141142182',1651,'1063',68.65,1,3,NULL),(16,3039170,'1985-08-22 00:00:00',4,1,12,2004,'M','N','SAÚDE','S PAULO','SP','125252257216471751368833572115142862193',848,'9998',73.07,3,3,NULL),(16,3039196,'1985-03-02 00:00:00',2,1,11,2003,'M','N','BELA VISTA I','S JOSÉ','SC','124243241116153721634629343122230867187',13699,'726',42.27,1,3,NULL),(16,3039200,'1962-11-02 00:00:00',4,2,12,1987,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','424241243426152411151343234122332367042',6728,'67',54.81,1,3,NULL),(16,3039218,'1990-08-13 00:00:00',4,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124241248131111531643413395124610127147',NULL,'592',24.41,1,2,1),(16,3039226,'1991-08-23 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241225111411449621475124610168035',NULL,'262',30.75,1,3,NULL),(16,3039234,'1988-07-04 00:00:00',4,1,11,2007,'M','N','SANTO ANTÔNIO','LOUVEIRA','SP','125254251417472411354636571212610162197',5253,'9998',57.99,1,3,NULL),(16,3039242,'1991-07-09 00:00:00',4,10,12,2008,'M','N','PESCARIA BRAVA','LAGUNA','SC','124241241126141231244623345124610137042',NULL,'1148',28.55,1,2,1),(16,3039250,'1990-05-22 00:00:00',5,3,12,2007,'M','N','CASTELO BRANCO','ITAPEMA','SC','124243241112372431336623242124133231147',13839,'405',41.97,1,3,NULL),(16,3039277,'1967-12-06 00:00:00',4,1,12,1984,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124201204226151731133443335124132824197',8163,'9998',52.09,1,3,NULL),(16,3039285,'1985-01-03 00:00:00',4,1,12,2002,'M','N','JARDIM PÉROLA','STA BÁRBARA D OESTE','SP','125251251116131431334614345124240266022',NULL,'9998',26.29,1,2,1),(16,3039293,'1985-11-13 00:00:00',2,1,8,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247215575111224344415334610166044',11557,'9999',46.08,1,3,NULL),(16,3039307,'1989-08-18 00:00:00',2,1,12,2006,'M','N','FÁTIMA','FLORIANÓPOLIS','SC','124242241212272231346834382124613227062',5890,'1134',56.60,1,3,NULL),(16,3039323,'1991-06-21 00:00:00',4,8,12,2008,'F','N','ROCIO GRANDE','S FRANCISCO SUL','SC','124241242135112531338613275112610164052',NULL,'24',0.00,1,2,1),(16,3039331,'1991-07-01 00:00:00',4,1,11,2008,'M','N','ANATOLIA','JOÃO PESSOA','PB','115152151236271451448923572114610132041',2464,'9998',65.46,2,1,2),(16,3039340,'1988-10-26 00:00:00',4,1,12,2006,'M','N','VILA GUILHERME','S PAULO','SP','125252251216151411445612245124140225132',10851,'9998',47.27,4,3,NULL),(16,3039366,'1987-12-28 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241237374231258819475114220623145',480,'269',75.94,1,3,NULL),(16,3039374,'1986-04-15 00:00:00',2,1,12,2007,'M','N','BOQUEIRÃO','CURITIBA','PR','116161167447571551134721244114610162097',NULL,'9998',27.82,1,3,NULL),(16,3039382,'1992-04-17 00:00:00',4,4,12,2008,'F','N','DOM BENJAMIM','TERRA N NORTE','MT','111111111117161231449933575122610163142',NULL,'9998',23.70,4,3,NULL),(16,3039390,'1986-08-18 00:00:00',2,1,12,2003,'F','N','REAL PARQUE','S JOSÉ','SC','124244241416275431323923482124222243147',12165,'270',44.96,1,3,NULL),(16,3039404,'1990-02-22 00:00:00',4,10,12,2007,'M','N','HUMAITÁ','TUBARÃO','SC','124241241146132431428639245121610167125',12756,'798',43.91,1,2,1),(16,3039420,'1990-04-30 00:00:00',4,3,12,2007,'F','N','JARDIM ELIANE','APUCARANA','PR','116162168216372431448813432115610137012',NULL,'9998',0.00,3,3,NULL),(16,3039439,'1991-04-05 00:00:00',4,8,12,2008,'M','N','CENTRO','S SEBASTIÃO PARAÍSO','MG','113134131217111431437812575121610132092',7917,'9998',52.57,1,3,NULL),(16,3039447,'1991-03-28 00:00:00',4,8,12,2008,'M','N','CENTRO','S JOSÉ PINHAIS','PR','116162161217121431368814575124610127053',2023,'9998',67.10,1,3,NULL),(16,3039471,'1988-12-23 00:00:00',4,3,12,2005,'F','N','CENTRO','STA CECÍLIA','SC','124241241215573431448839572314610164192',NULL,'881',13.73,1,3,NULL),(16,3039480,'1988-08-29 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124202201216272231346662575124132164023',2498,'9998',65.34,1,3,NULL),(16,3039501,'1991-07-28 00:00:00',4,3,12,2008,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116242241235151731548712392221610127062',9589,'633',49.55,4,3,NULL),(16,3039510,'1990-04-22 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241211273221463822345224610147052',10348,'1077',48.17,1,3,NULL),(16,3039528,'1990-01-04 00:00:00',2,1,12,2007,'F','N','FLORESTA','S JOSÉ','SC','124243241215272421438612345132610167047',14641,'1036',40.40,1,3,NULL),(16,3039536,'1990-03-30 00:00:00',4,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241215472431453313572124610123057',6205,'270',55.90,1,3,NULL),(16,3039544,'1987-11-05 00:00:00',4,1,12,2005,'F','N','JARDIM GUANABARA','CAMPINAS','SP','125252251217371331578833335122143242182',3753,'9998',61.70,1,3,NULL),(16,3039552,'1990-04-14 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472431368823575122610137041',146,'270',80.07,1,3,NULL),(16,3039560,'1989-04-16 00:00:00',4,5,12,2006,'M','N','CRUZEIRO DO SUL','CRICIÚMA','SC','125252251216112431488812595124610124172',NULL,'9998',0.00,1,3,NULL),(16,3039579,'1978-07-25 00:00:00',2,1,12,1996,'F','N','JAGUARIBE','OSASCO','SP','125251251126472431443329235124340637077',NULL,'9998',0.00,1,3,NULL),(16,3039587,'1973-10-15 00:00:00',2,1,12,1993,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624241241122135431236643232215123032187',12653,'591',44.08,1,2,1),(16,3039609,'1988-10-12 00:00:00',2,4,12,2005,'F','N','CENTRO','CHAPECÓ','SC','124244241217471411249923571124610163157',NULL,'185',0.00,1,3,NULL),(16,3039617,'1985-02-19 00:00:00',3,1,9,2004,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124241247135154441569513471224133234192',11272,'9999',46.52,2,1,1),(16,3039625,'1990-09-24 00:00:00',4,10,12,2007,'F','N','MAGALHÃES','LAGUNA','SC','124242241226372431456914575124610126097',10727,'524',47.49,1,3,NULL),(16,3039633,'1983-02-07 00:00:00',2,1,12,2002,'F','N','CAMPINAS','S JOSé','SC','124241241114143412226674495124332716147',NULL,'732',17.44,1,2,1),(16,3039641,'1990-05-10 00:00:00',4,8,11,2007,'M','N','COLORADO','STO ANTÔNIO PLATINA','PR','116164161415471431548933575112610167057',5301,'9998',57.87,1,3,NULL),(16,3039650,'1986-11-21 00:00:00',4,6,12,2004,'F','N','SAO JOAO','ITAJAÍ','SC','124242241217475411328829442132132466197',6723,'391',54.83,1,3,NULL),(16,3039676,'1990-01-14 00:00:00',4,1,12,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC','124241241127151721445333345124610128187',NULL,'278',23.61,1,2,1),(16,3039692,'1989-02-13 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241136342431557311245112610117011',NULL,'257',0.00,4,1,1),(16,3039730,'1991-05-09 00:00:00',4,3,12,2008,'F','N','SÃO JOÃO','BRUSQUE','SC','124244241216372431544412574122610166192',6390,'109',55.50,1,3,NULL),(16,3039749,'1977-01-07 00:00:00',2,1,12,2006,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241216273421548833342323120327093',13048,'269',43.41,1,3,NULL),(16,3039757,'1990-05-28 00:00:00',4,1,12,2007,'M','N','JARDIM HIKARI','BASTOS','SP','125254251217152431458831572222610137057',NULL,'9998',38.62,1,3,NULL),(16,3039765,'1991-06-24 00:00:00',4,8,11,2008,'F','N','CENTRO','CURITIBA','PR','124241161215111411438813575124610164177',NULL,'9998',0.00,1,3,NULL),(16,3039773,'1990-01-09 00:00:00',2,8,12,2007,'M','N','CENTRO','FOZ IGUAÇU','PR','116162161215411332546619575124610137047',NULL,'9998',38.75,1,3,NULL),(16,3039781,'1977-07-03 00:00:00',2,1,12,2001,'F','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124243247427131421123644241122130238147',NULL,'1036',0.00,2,3,NULL),(16,3039790,'1981-03-08 00:00:00',2,1,12,1997,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','524201201146131431223344345114140636092',NULL,'9998',0.00,1,2,1),(16,3039803,'1989-11-11 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431323831375112610165192',4571,'266',59.62,1,3,NULL),(16,3039811,'1991-09-01 00:00:00',2,4,12,2007,'F','N','VILA BALISA','GAURAMA','RS','120201201117271431423316574324610122147',14388,'9998',40.90,1,3,NULL),(16,3039838,'1988-08-17 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124214241215573411549711575124610128142',2684,'262',64.73,1,3,NULL),(16,3039846,'1987-03-15 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116142721565613445132231267042',6361,'307',55.56,1,2,1),(16,3039854,'1990-01-18 00:00:00',4,8,12,2007,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124243241214372431557732575121610162037',5226,'1061',58.06,1,3,NULL),(16,3039862,'1988-10-29 00:00:00',4,1,12,2005,'F','N','CENTRO CIVICO','CURITIBA','PR','116252251216131441348861485124240221152',NULL,'9998',0.00,1,3,NULL),(16,3039870,'1987-07-09 00:00:00',2,8,12,2005,'M','N','JARDIM DAS AMERICAS','CURITIBA','PR','116162161216572411578633574124141467057',NULL,'9998',0.00,1,3,NULL),(16,3039897,'1990-06-12 00:00:00',2,2,11,2007,'M','N','CRISTO REI','CURITIBA','PR','116163161316231431537814571124610114147',NULL,'9998',27.62,1,3,NULL),(16,3039900,'1990-02-16 00:00:00',2,7,12,2006,'F','N','CIDADE NOVA','PTO UNIÃO','SC','124242241216571411438834571124610156147',NULL,'633',0.00,1,3,NULL),(16,3039919,'1992-04-15 00:00:00',2,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241146161421356924295122610133187',NULL,'322',24.74,1,2,1),(16,3039927,'1992-05-06 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124254241112111431347614275124610138142',9111,'307',50.39,1,3,NULL),(16,3039935,'1990-11-29 00:00:00',4,1,11,2007,'M','N','FLORESTA','S JOSÉ','SC','124242241215372431366814335134610124023',4531,'723',59.70,1,3,NULL),(16,3039943,'1990-04-16 00:00:00',4,5,10,2007,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215142431359714345124233232091',11874,'226',45.51,1,3,NULL),(16,3039960,'1983-01-26 00:00:00',4,1,11,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124052051217111411166643335132220726023',NULL,'9998',0.00,1,3,NULL),(16,3039978,'1990-10-18 00:00:00',2,4,12,2006,'M','N','CENTRO','SALTINHO','SC','124243241116473431459834375114610128172',387,'682',76.96,1,3,NULL),(16,3039986,'1989-10-03 00:00:00',4,1,12,2007,'F','N','VILA IDA','S PAULO','SP','125252251217111411677912571122141021042',NULL,'9998',0.00,1,3,NULL),(16,3039994,'1990-08-19 00:00:00',2,10,12,2007,'F','N','SÃO FRANCISCO DE ASS','BRAÇO NORTE','SC','124241241147141731635634344234232366142',16241,'100',36.55,1,2,1),(16,3040003,'1991-04-22 00:00:00',2,4,12,2008,'M','N','NOSSA SRA APARECIDA','FRANCISCO BELTRÃO','PR','116162161215271431446512575122610162047',9559,'9998',49.61,1,3,NULL),(16,3040011,'1991-09-14 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241137131431424331172124610137147',NULL,'283',23.53,4,2,1),(16,3040020,'1991-01-12 00:00:00',4,3,11,2008,'M','N','JARDIM ESPLANADA','S JOSÉ CAMPOS','SP','125252251215111231268712575114610164142',7284,'9998',53.74,1,3,NULL),(16,3040054,'1990-11-14 00:00:00',4,8,12,2007,'F','N','RECOUÇAS','CURITIBA','PR','116242248215472431278814471344610134147',11001,'962',47.02,1,3,NULL),(16,3040062,'1989-12-01 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241147371431123349396214610114057',5376,'193',57.70,1,2,1),(16,3040070,'1987-12-11 00:00:00',2,1,12,2005,'M','N','CENTRO','CARLOS BARBOSA','RS','120201201127571441433739281124141437087',8254,'9998',51.87,1,2,1),(16,3040089,'1968-07-19 00:00:00',2,1,12,2000,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','524243247327271411233344142134610132047',NULL,'1003',16.65,1,3,NULL),(16,3040097,'1990-04-20 00:00:00',2,10,11,2007,'M','N','OFICINAS','TUBARÃO','SC','124241241215472131434829592112610117147',9818,'807',49.11,1,3,NULL),(16,3040119,'1988-11-25 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANOPOLIS','SC','124244241215372421646673445234130424047',NULL,'210',33.66,1,3,NULL),(16,3040127,'1990-11-15 00:00:00',2,2,12,2007,'F','N','CENTRO','CANOINHAS','SC','124241241215471431538912574124610144127',10149,'88',48.52,1,3,NULL),(16,3040135,'1991-01-07 00:00:00',4,4,12,2008,'F','N','BELA VISTA','ERECHIM','RS','120202201225161441438714575222610126147',NULL,'9998',35.00,1,3,NULL),(16,3040143,'1987-05-17 00:00:00',4,1,12,2006,'F','N','LAGO NORTE','LG NORTE','DF','107072071216373431688839572124610123112',15468,'9998',38.61,4,1,2),(16,3040178,'1991-03-27 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124252241215471431389814345122610142122',4207,'44',60.46,1,3,NULL),(16,3040186,'1990-06-05 00:00:00',2,1,12,2007,'M','N','JARDIM ZANELLATO','S JOSÉ','SC','124241248115271431625528392314610115047',NULL,'307',28.03,1,3,NULL),(16,3040194,'1987-11-06 00:00:00',4,6,12,2005,'M','N','DOM BOSCO','ITAJAÍ','SC','124262261216112431547614375122240662187',2471,'9998',65.45,1,3,NULL),(16,3040208,'1978-01-23 00:00:00',4,1,12,1996,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124204201417141421148743135122132664097',NULL,'9998',0.00,1,3,NULL),(16,3040216,'1992-02-01 00:00:00',4,4,11,2008,'F','N','SÃO CRISTÓVÃO','CHAPECO','SC','124241161416471431467832574125610124177',NULL,'9998',29.86,1,3,NULL),(16,3040224,'1990-08-18 00:00:00',2,10,11,2008,'F','N','CENTRO','TUBARÃO','SC','124242241215111431223712571122610164042',NULL,'9997',0.00,1,3,NULL),(16,3040240,'1990-01-10 00:00:00',4,10,12,2007,'M','N','SÃO FANCISCO DE ASSI','BRAÇO NORTE','SC','124241241115372411446937495124610147042',NULL,'153',38.38,1,2,1),(16,3040259,'1989-08-11 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247316272431444621245124610168115',NULL,'9999',24.07,1,3,NULL),(16,3040267,'1986-02-19 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124204201116155411147732575122141412092',6480,'9998',55.32,1,3,NULL),(16,3040283,'1991-10-13 00:00:00',4,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124243241216371431456414591124610124043',8519,'63',51.38,1,3,NULL),(16,3040291,'1989-05-01 00:00:00',2,1,11,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241126132431633319245111610127045',NULL,'307',25.75,3,3,NULL),(16,3040321,'1989-06-09 00:00:00',4,8,12,2006,'M','N','JD AMERICA','MARíLIA','SP','125251251246572431348814571124610146092',11023,'9998',46.98,1,3,NULL),(16,3040330,'1990-11-08 00:00:00',4,1,10,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248215111431358823572122610133097',NULL,'266',33.85,1,3,NULL),(16,3040348,'1990-05-20 00:00:00',2,1,12,2007,'F','N','FAZ SANTO ANTONIO','S JOSé','SC','124241241115232731224349342334610123147',NULL,'592',28.41,1,2,1),(16,3040364,'1989-08-30 00:00:00',2,4,12,2008,'M','N','CENTRO','CRISSIUMAL','RS','120201121136141431421321145123610132057',NULL,'9998',22.26,1,3,NULL),(16,3040372,'1992-01-30 00:00:00',4,10,12,2009,'M','S','VILA ESPERANÇA','TUBARÃO','SC','124242241217111441239923595124610138096',NULL,'797',56.26,1,3,NULL),(16,3040380,'1990-10-07 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','116162161216121711248813374114610127123',5685,'9998',57.11,1,3,NULL),(16,3040402,'1991-11-20 00:00:00',4,4,11,2008,'F','N','CENTRO','ERECHIM','RS','120203201216111421459834575125610142092',14489,'9998',40.71,1,3,NULL),(16,3040410,'1988-05-03 00:00:00',4,8,12,2005,'M','N','CENTRO','JOINVILLE','SC','124242241211575751578833575333430247047',5624,'461',57.21,1,3,NULL),(16,3040429,'1991-03-20 00:00:00',4,1,10,2008,'F','N','CENTRO','CAÇADOR','SC','124242161216121431368831575122610166122',1708,'120',68.39,1,3,NULL),(16,3040437,'1963-03-13 00:00:00',1,1,7,2008,'F','N','CAMPINAS','S JOSÉ','SC','224241241127131421444341112112610113187',NULL,'9997',19.68,1,3,NULL),(16,3040453,'1991-08-26 00:00:00',4,8,11,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124113111216471431348923572124610137017',5608,'1016',57.24,1,3,NULL),(16,3040496,'1991-08-13 00:00:00',4,1,11,2008,'M','N','BARBOSA','MARÍLIA','SP','125122251317111411359911424122610167032',744,'9998',73.88,1,3,NULL),(16,3040500,'1981-07-18 00:00:00',2,1,11,1999,'F','N','BOM PASTOR','MANHUAÇU','MG','113131131417161431459912415134343223092',NULL,'9998',0.00,2,3,NULL),(16,3040518,'1991-04-04 00:00:00',4,10,11,2008,'F','N','HUMAITA DE CIMA','TUBARÃO','SC','124243241214131431435723575124610163077',NULL,'809',22.90,1,3,NULL),(16,3040526,'1988-08-16 00:00:00',4,1,12,2006,'F','N','LAGO NORTE','LG NORTE','DF','107072071216371531688813575122142763147',NULL,'9998',0.00,1,3,NULL),(16,3040534,'1991-04-16 00:00:00',4,1,11,2008,'M','N','JD TROPICAL','MARÍLIA','SP','125252251215271331469813272112610132042',6211,'9998',55.88,1,3,NULL),(16,3040542,'1991-03-09 00:00:00',4,9,10,2008,'M','N','CENTRO','LAGES','SC','124242241215112431358931315122610127012',NULL,'497',38.46,1,3,NULL),(16,3040550,'1990-03-02 00:00:00',2,2,12,2007,'F','N','CENTRO','BOMBINHAS','SC','124241241147132431323633275112610131147',6206,'96',55.90,1,2,1),(16,3040569,'1983-04-04 00:00:00',4,1,12,2000,'F','N','BOSQUE DA SAUDE','S PAULO','SP','125252251216572411436711275125143217047',12406,'9998',44.54,4,3,NULL),(16,3040577,'1990-04-28 00:00:00',2,1,2,2008,'F','N','CAMPINAS','S JOSé','SC','124242241112474411446611435124231167043',4371,'739',60.09,1,3,NULL),(16,3040585,'1990-12-30 00:00:00',4,1,11,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215121431567934571122610167043',NULL,'270',27.09,1,3,NULL),(16,3040593,'1990-03-07 00:00:00',2,5,12,2007,'M','N','CENTRO','BAL ARROIO SILVA','SC','124242241215372431348633575114610144077',10098,'970',48.61,1,3,NULL),(16,3040607,'1991-01-27 00:00:00',4,1,11,2008,'M','N','MONTOLAR','MARÍLIA','SP','125252251215111431469913475111610167047',5939,'9998',56.48,1,3,NULL),(16,3040615,'1991-05-30 00:00:00',4,1,12,2008,'M','N','CENTRO','MARÍLIA','SP','125252251212271411348821412112610134182',NULL,'9998',28.76,1,3,NULL),(16,3040623,'1991-01-17 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241215111431448911572124610167182',1247,'1022',70.68,1,3,NULL),(16,3040631,'1991-02-07 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215371431468823575112610164045',8725,'269',51.03,1,3,NULL),(16,3040640,'1992-01-10 00:00:00',2,1,12,2009,'F','S','FLORESTA','S JOSÉ','SC','124243241215121431344312571122610142187',NULL,'737',51.89,1,3,NULL),(16,3040658,'1988-03-01 00:00:00',2,1,11,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241216574431433932575124610123071',3067,'338',63.60,1,3,NULL),(16,3040666,'1984-09-18 00:00:00',2,2,12,2002,'F','N','PROGRESSO','BLUMENAU','SC','124241241127131751546514285124133226077',14100,'80',41.45,1,2,1),(16,3040674,'1991-07-05 00:00:00',4,7,12,2008,'M','N','SANTA MÕNICA','FRAIBURGO','SC','124242241215111731449933435122610164062',6462,'317',55.35,4,1,2),(16,3040682,'1991-07-12 00:00:00',4,7,12,2008,'M','N','CENTRO','FRAIBURGO','SC','124244241215371431547724575122610137047',5294,'317',57.88,1,3,NULL),(16,3040690,'1990-05-04 00:00:00',2,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161217472411189911572225610161052',NULL,'9998',0.00,1,3,NULL),(16,3040704,'1990-05-10 00:00:00',2,1,6,2008,'F','N','CENTRO','PATO BRANCO','PR','124162247317472431446512592124610126187',6356,'9999',55.56,1,3,NULL),(16,3040712,'1989-11-06 00:00:00',4,1,12,2007,'F','N','PITUBA','SALVADOR','BA','105052051215471431478712574122141423183',1135,'9998',71.26,1,3,NULL),(16,3040755,'1991-07-01 00:00:00',4,6,12,2008,'F','N','ITAJUBA','BARRA VELHA','SC','124241241136161711436639395124610136177',NULL,'58',29.94,1,2,1),(16,3040763,'1990-08-31 00:00:00',2,8,12,2007,'F','N','BARREIRINHA','CURITIBA','PR','116162161215471441468934341124610147142',2303,'9998',66.05,1,3,NULL),(16,3040771,'1991-07-18 00:00:00',4,5,11,2008,'F','N','PRIMEIRA LINHA','CRICIÚMA','SC','124241241215131431556432195124610138097',11056,'227',46.92,1,3,NULL),(16,3040780,'1991-06-22 00:00:00',2,1,11,2008,'F','N','IPIRANGA','S JOSÉ','SC','124242241215121431356923595122610167042',3178,'1022',63.34,1,3,NULL),(16,3040798,'1991-05-06 00:00:00',4,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124254241217131431537819575124610111182',11915,'1048',45.42,1,3,NULL),(16,3040801,'1988-05-18 00:00:00',4,1,12,2005,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124212211216473431489814375122121164187',3205,'9998',63.27,1,3,NULL),(16,3040810,'1990-01-03 00:00:00',2,9,6,2008,'M','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124242241215371431487862375112610137012',NULL,'515',20.78,1,3,NULL),(16,3040828,'1988-01-10 00:00:00',4,1,12,2007,'F','N','ESTADOS','INDAIAL','SC','116242161215574451139914572342610164127',1116,'9998',71.34,3,3,NULL),(16,3040836,'1990-04-09 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124112111237372431348732575324140422091',7725,'9998',52.92,1,3,NULL),(16,3040844,'1990-01-31 00:00:00',2,9,11,2007,'F','N','JARDIM MINUANO','S JOAQUIM','SC','124162161215572451337933575122610165092',3631,'9998',62.01,1,3,NULL),(16,3040852,'1989-08-29 00:00:00',4,1,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215471431378811572114610137026',4863,'9998',58.95,1,3,NULL),(16,3040860,'1991-05-08 00:00:00',2,1,12,2008,'F','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161217121431457834575112610112097',1271,'9998',70.57,1,3,NULL),(16,3040887,'1991-08-30 00:00:00',2,1,12,2008,'F','N','CAMINHO NOVO','PALHOÇA','SC','124242241217131131436913575122610167072',NULL,'989',25.17,1,3,NULL),(16,3040909,'1962-03-22 00:00:00',4,1,12,1977,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124201203217143721374843434124120664012',4889,'9998',58.89,1,3,NULL),(16,3040917,'1991-08-10 00:00:00',4,5,10,2008,'F','N','CENTRO','CRICIÚMA','SC','124242241115112452258614575122610164095',6709,'226',54.85,1,3,NULL),(16,3040925,'1991-06-10 00:00:00',4,10,12,2008,'F','N','CENTRO','CAPIVARI BAIXO','SC','124243241315111431247811372124610128147',8487,'797',51.42,4,3,NULL),(16,3040933,'1991-04-09 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151411658511192124610167017',11253,'262',46.55,1,3,NULL),(16,3040941,'1990-10-29 00:00:00',4,1,11,2007,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215373431438734392114610124017',8110,'259',52.21,1,3,NULL),(16,3040950,'1991-05-01 00:00:00',4,8,11,2008,'F','N','AMIZADE','JARAGUá SUL','SC','124242241215371431648814574125610145017',6994,'422',54.30,1,3,NULL),(16,3040976,'1991-02-11 00:00:00',4,8,12,2008,'F','N','JABORANDI','ITAMBARACÁ','PR','116162161215471431578812572124610167127',NULL,'9998',0.00,1,3,NULL),(16,3040984,'1990-04-12 00:00:00',2,1,12,2007,'F','N','PASSO DA AREIA','PTO ALEGRE','RS','120202201217471441358614472124610124142',4588,'9998',59.58,1,3,NULL),(16,3040992,'1989-05-25 00:00:00',2,2,12,2006,'F','N','APARECIDA','SANTOS','SP','125251251116272431446613485121610168117',NULL,'9998',0.00,1,2,1),(16,3041000,'1981-08-21 00:00:00',5,1,12,1998,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241216274421254923435134422533093',6756,'32',54.75,1,3,NULL),(16,3041018,'1990-12-09 00:00:00',2,1,11,2008,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116131731312221275124610162147',NULL,'733',27.88,1,2,1),(16,3041026,'1990-03-20 00:00:00',4,1,12,2007,'M','N','CENTRO','MARINGÁ','PR','116162161217472431538832572212143267182',731,'9998',74.00,3,3,NULL),(16,3041034,'1982-02-02 00:00:00',4,1,12,1999,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','424252251211172431213843335122340264117',NULL,'9998',0.00,1,3,NULL),(16,3041042,'1989-04-19 00:00:00',2,5,12,2006,'F','N','CENTRO','TURVO','SC','124241241215573431355912575112610166182',8640,'813',51.18,1,3,NULL),(16,3041050,'1991-12-21 00:00:00',5,1,11,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215122741567711575122610146096',2237,'1022',66.28,1,3,NULL),(16,3041069,'1990-10-19 00:00:00',4,1,12,2008,'F','N','NOVA PETROPOLES','S BERNARDO CAMPO','SP','125252251216111431436622575122610165117',NULL,'9998',0.00,1,3,NULL),(16,3041077,'1990-06-15 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117471731459833572324610142197',6408,'425',55.45,1,2,1),(16,3041085,'1991-08-21 00:00:00',4,8,11,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215371732457814242124610127077',NULL,'486',40.67,1,3,NULL),(16,3041115,'1985-04-18 00:00:00',2,1,12,2003,'M','N','DE FATÍMA','FLORIANóPOLIS','SC','124241241124372731434667345124610132177',NULL,'257',36.98,1,2,1),(16,3041123,'1992-01-30 00:00:00',2,9,12,2008,'M','N','CENTRO','ANITA GARIBALDI','SC','124241241115161211443923572215610122142',8919,'18',50.71,1,3,NULL),(16,3041131,'1987-03-18 00:00:00',2,8,12,2005,'M','N','FLORESTA','JOINVILLE','SC','124242241216573451448823395124610134047',5487,'459',57.50,1,3,NULL),(16,3041158,'1991-04-28 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151431338714575112610142017',2387,'1050',65.74,1,3,NULL),(16,3041166,'1991-02-15 00:00:00',4,1,12,2008,'F','N','SÃO BENEDITO','CAMBUÍ','MG','113131131317131411223329275124610137147',NULL,'9998',27.20,4,3,NULL),(16,3041174,'1986-08-29 00:00:00',3,1,11,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241115272431457923495124222234097',3609,'306',62.06,1,3,NULL),(16,3041182,'1990-06-03 00:00:00',2,1,12,2008,'M','N','CAMPINHO','PTO SEGURO','BA','105244051216271411356631375124610167045',9696,'9998',49.35,1,3,NULL),(16,3041190,'1991-06-13 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242248215111411236823572122610128147',14783,'1010',40.10,1,3,NULL),(16,3041204,'1989-06-22 00:00:00',2,1,11,2007,'M','N','AMAMBAI','CPO GRANDE','MS','112121121115121411436813582214610164147',8098,'9998',52.23,4,2,1),(16,3041212,'1981-10-29 00:00:00',4,1,12,1998,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242242217132411154444345132130764117',NULL,'703',25.78,1,3,NULL),(16,3041220,'1991-07-08 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215112731538739575114610168182',4593,'1022',59.58,1,3,NULL),(16,3041247,'1990-08-11 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431469751575122610162182',8859,'1038',50.80,1,3,NULL),(16,3041255,'1990-05-31 00:00:00',4,1,11,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215372751478819571122610147125',1406,'270',69.77,1,3,NULL),(16,3041271,'1990-08-10 00:00:00',4,2,12,2007,'F','N','VILA FORMOSA','BLUMENAU','SC','124242241215471431357817575112610142142',1509,'909',69.32,1,3,NULL),(16,3041280,'1992-02-16 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111411246832272114610133192',14047,'1077',41.55,1,3,NULL),(16,3041298,'1987-03-14 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242131317273431348629245122610127147',14285,'9998',41.08,1,3,NULL),(16,3041301,'1991-07-08 00:00:00',4,8,11,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161215121411337832575125610163152',NULL,'9998',0.00,1,3,NULL),(16,3041310,'1991-02-04 00:00:00',2,8,12,2008,'M','N','BOA VISTA','JOINVILLE','SC','124241246215151431436419215125610117042',NULL,'1105',28.28,1,3,NULL),(16,3041328,'1990-07-01 00:00:00',2,1,12,2008,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241415121431324614372114610122017',16244,'737',36.54,1,3,NULL),(16,3041336,'1990-11-10 00:00:00',4,1,11,2007,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241241117131231623411195114610127047',NULL,'733',27.81,1,3,NULL),(16,3041344,'1988-09-13 00:00:00',2,8,11,2005,'F','N','BOA VISTA','PNT GROSSA','PR','116162161216525411458832594345610143033',NULL,'9998',0.00,1,3,NULL),(16,3041352,'1988-06-18 00:00:00',4,1,12,2005,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241246315133441333644145124222362013',9231,'995',50.20,3,3,NULL),(16,3041379,'1990-09-11 00:00:00',5,1,12,2007,'F','N','VILA DO SALTO','LUIZ ALVES','SC','124244241215372431457832375124610164052',5030,'71',58.55,1,3,NULL),(16,3041387,'1991-05-17 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431238821572122610136192',NULL,'270',0.00,1,3,NULL),(16,3041395,'1989-11-01 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124242241216472431337739492124231964097',5406,'1022',57.65,1,3,NULL),(16,3041409,'1991-04-21 00:00:00',2,5,11,2008,'F','N','CENTRO','ARARANGUÁ','SC','124242241216111431455939375122610128147',16162,'26',36.75,1,3,NULL),(16,3041417,'1988-10-24 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217474431458712572122610113192',6524,'270',55.23,1,3,NULL),(16,3041433,'1990-09-27 00:00:00',4,1,12,2007,'F','N','CENTRO','BAL PIçARRAS','SC','124242241216162432369933575124231464193',2814,'392',64.35,1,3,NULL),(16,3041441,'1955-03-22 00:00:00',2,1,12,1972,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','224241241127131411432249292214610166047',6975,'141',54.34,4,1,1),(16,3041450,'1990-11-20 00:00:00',2,1,11,2007,'M','N','IPIRANGA','S JOSÉ','SC','124241241136272431225367245124610162182',14928,'792',39.83,1,2,1),(16,3041468,'1989-07-23 00:00:00',2,1,12,2007,'M','N','SAMPAIO','PIRES RIO','GO','109092091216373411548911175124610164043',NULL,'9998',0.00,1,3,NULL),(16,3041476,'1990-10-14 00:00:00',4,4,12,2007,'F','N','EFAPI','CHAPECÓ','SC','124241241126131431424316475124231327057',NULL,'866',26.24,1,3,NULL),(16,3041484,'1988-05-18 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124134241317471431548811394124133236143',NULL,'295',26.89,1,3,NULL),(16,3041492,'1986-04-17 00:00:00',2,1,12,2003,'M','N','JARDIM AMÉRICA','MAFRA','SC','124241241417574431346722575122230247042',3447,'541',62.52,1,3,NULL),(16,3041506,'1991-01-24 00:00:00',4,2,11,2008,'F','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241217141431559939576122610134147',2797,'88',64.41,1,3,NULL),(16,3041514,'1989-11-28 00:00:00',4,1,12,2007,'F','N','CENTRO','MESQUITA','RJ','121212211216571411336823575124610132121',7036,'9998',54.22,4,1,2),(16,3041522,'1991-11-12 00:00:00',2,1,11,2008,'F','N','RIBEIRANIA','RIBEIRÃO PRETO','SP','125252251237121411348813572122610163177',10470,'9998',47.97,1,3,NULL),(16,3041530,'1990-06-10 00:00:00',4,1,12,2007,'M','N','CENTRO','NOVA ANDRADINA','MS','125122121217471231276722572112610164122',604,'9998',74.92,1,3,NULL),(16,3041565,'1991-08-13 00:00:00',4,1,12,2008,'F','N','CENTRO','ANTôNIO CARLOS','SC','124241241115131431436313572122610161147',NULL,'21',23.32,1,2,1),(16,3041573,'1985-02-19 00:00:00',5,1,6,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202288117471751526614485122610127187',NULL,'9998',35.65,1,3,NULL),(16,3041590,'1989-09-27 00:00:00',4,1,11,2007,'F','N','SANTOS DUMONT','S JOSÉ','SC','124243241115471431426611482124610164191',NULL,'733',30.67,1,3,NULL),(16,3041638,'1988-07-20 00:00:00',2,1,11,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241135431722525439292114610127052',NULL,'292',23.41,2,1,1),(16,3041654,'1981-08-08 00:00:00',2,1,11,1999,'F','N','PICADAS DO SUL','S JOSÉ','SC','224241241117134731226644442124332764097',NULL,'307',24.00,1,2,1),(16,3041662,'1990-11-19 00:00:00',4,2,12,2007,'F','N','VOLLTA GRANDE','RIO NEGRINHO','SC','124241241316371411544815575124231533142',16551,'666',35.20,1,3,NULL),(16,3041670,'1989-05-02 00:00:00',4,4,12,2006,'M','N','CENTRO','CHAPECÓ','SC','116244241215372441468834575112131447042',NULL,'185',17.34,1,3,NULL),(16,3041689,'1991-10-19 00:00:00',2,6,12,2008,'F','N','ÁGUA BRANCA','S FRANCISCO SUL','SC','124242241216161531236923572124610148192',11436,'867',46.29,1,3,NULL),(16,3041697,'1990-05-04 00:00:00',4,8,12,2007,'F','N','ATIRADORES','JOINVILLE','SC','124242241217112431449931374122613234182',6527,'491',55.22,1,3,NULL),(16,3041719,'1987-02-25 00:00:00',4,6,12,2004,'F','N','JARDIM MARAJÁ','MARÍLIA','SP','125252251217373431354314271122243227052',6950,'9998',54.38,1,3,NULL),(16,3041727,'1992-05-05 00:00:00',4,1,12,2008,'F','N','CENTRO','JABORÁ','SC','124241241215122431436839595124610167057',1719,'270',68.34,1,3,NULL),(16,3041735,'1991-03-08 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113431368812345122610168123',7112,'270',54.07,1,3,NULL),(16,3041743,'1989-11-07 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215472431358814375124610123197',2175,'883',66.50,1,3,NULL),(16,3041760,'1989-03-26 00:00:00',4,4,12,2006,'M','N','ZONA RURAL','NOVA ERECHIM','SC','124241241143131431323336152324610167067',NULL,'572',21.88,1,2,1),(16,3041778,'1992-06-02 00:00:00',4,1,12,2009,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111411459933571124610168147',NULL,'1133',43.16,4,3,NULL),(16,3041794,'1987-11-11 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124132131217471231368814342324610167097',5616,'9998',57.22,4,1,2),(16,3041808,'1989-05-12 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431379914575124233224042',1964,'1022',67.32,1,3,NULL),(16,3041824,'1990-07-21 00:00:00',4,9,12,2007,'F','N','CENTRO','CURITIBANOS','SC','124242161215474431568613571122610166092',1512,'9998',69.31,1,3,NULL),(16,3041832,'1990-11-13 00:00:00',4,4,12,2008,'F','N','CENTRO','CRISSIUMAL','RS','120201201136371231326721572122610138177',NULL,'9998',26.86,1,3,NULL),(16,3041840,'1988-09-02 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241315133752357931215124610164187',11624,'288',45.96,1,3,NULL),(16,3041883,'1991-02-15 00:00:00',2,1,12,2008,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241135131721424628342124610127047',5963,'592',56.43,1,2,1),(16,3041891,'1991-12-29 00:00:00',4,1,10,2008,'F','N','VILA FORMOSA','BLUMENAU','SC','124242241217371431589911484122610146072',11308,'909',46.46,1,3,NULL),(16,3041905,'1991-04-16 00:00:00',4,8,12,2008,'M','N','RIO MOLHA','JARAGUA DO SUL','SC','124242241217371411449931572122610167112',9522,'441',49.68,1,3,NULL),(16,3041913,'1988-09-10 00:00:00',4,1,11,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241215373741458719595114610127185',5856,'272',56.68,1,3,NULL),(16,3041921,'1991-02-09 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241127151431446614345124610162093',13197,'66',43.14,4,3,NULL),(16,3041930,'1989-01-16 00:00:00',2,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124251251116112431326739382225223264055',NULL,'9998',32.46,2,1,1),(16,3041956,'1991-11-12 00:00:00',4,5,12,2008,'F','N','CENTENÁRIO','TORRES','RS','120201201517371431336811242121610137057',10855,'9998',47.26,4,3,NULL),(16,3041964,'1986-11-18 00:00:00',4,1,11,2006,'M','N','BALNEARIO ESTREITO','FLORIANOPOLIS','SC','124242247247372431557713195122610137185',NULL,'270',36.19,4,3,NULL),(16,3041972,'1984-07-08 00:00:00',2,1,12,2002,'F','N','BARREIROS','S JOSÉ','SC','124241241116133121633311245134342716047',15771,'257',37.86,1,2,1),(16,3041980,'1980-12-31 00:00:00',2,1,11,1998,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','624241241126135432332351215122130266097',NULL,'593',31.21,1,2,1),(16,3041999,'1989-05-28 00:00:00',4,1,11,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111411446633372124610117087',NULL,'1133',28.43,1,3,NULL),(16,3042006,'1989-04-24 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211373431358831472112230222182',1197,'270',70.94,1,3,NULL),(16,3042014,'1990-11-20 00:00:00',2,4,12,2007,'F','N','CENTRO','DESCANSO','SC','124241241215312431448614374124610141142',5593,'241',57.28,1,3,NULL),(16,3042022,'1991-05-30 00:00:00',2,1,12,2008,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241215111411455512295124610117182',NULL,'1022',32.03,1,3,NULL),(16,3042030,'1991-12-11 00:00:00',4,2,11,2008,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124241241315371421547612574122610123142',NULL,'1123',35.26,1,3,NULL),(16,3042049,'1991-03-12 00:00:00',2,4,12,2008,'F','N','CASCATINHA','PTE SERRADA','SC','124241241116371431226427275124612455057',NULL,'629',23.85,1,2,1),(16,3042065,'1991-05-14 00:00:00',4,4,11,2008,'M','N','SAIC','CHAPECÓ','SC','124242241215141311468632442122610166182',NULL,'185',0.00,1,3,NULL),(16,3042073,'1989-05-06 00:00:00',2,1,12,2006,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241136132431444511295124221134142',9787,'142',49.17,1,2,1),(16,3042081,'1989-08-17 00:00:00',4,1,11,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124212211216241411247711245123610162112',10475,'9998',47.96,1,3,NULL),(16,3042090,'1989-08-27 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115372751523619245124610163017',10528,'733',47.87,1,2,1),(16,3042103,'1991-08-27 00:00:00',4,1,12,2008,'M','N','FLORESTA','S JOSÉ','SC','124242241216121431226414275121610124145',13869,'1036',41.90,1,3,NULL),(16,3042111,'1977-06-04 00:00:00',4,1,11,1994,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211312221456613411234331414192',NULL,'70',0.00,1,3,NULL),(16,3042120,'1990-01-05 00:00:00',4,1,12,2007,'M','N','BELA VISTA II','S JOSÉ','SC','124242241215373431366614372122610166142',3630,'738',62.01,1,3,NULL),(16,3042138,'1991-09-09 00:00:00',4,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115111431446513232122610121147',NULL,'592',25.26,1,3,NULL),(16,3042162,'1991-08-30 00:00:00',4,1,11,2008,'F','N','VILA GLÓRIA','CPO GRANDE','MS','112122121217371751283736595125610167147',NULL,'9998',0.00,1,3,NULL),(16,3042189,'1991-05-26 00:00:00',4,8,12,2008,'F','N','SANTO INÁCIO','CURITIBA','PR','116162161217112411438924574124610167142',NULL,'9998',0.00,1,3,NULL),(16,3042197,'1991-03-06 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241211131431656411341122610114073',12351,'1074',44.63,1,3,NULL),(16,3042200,'1992-02-29 00:00:00',4,1,10,2009,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431479932572122610143142',NULL,'270',49.69,1,3,NULL),(16,3042219,'1992-06-16 00:00:00',4,8,12,2008,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431468812575122610134192',2419,'491',65.64,1,3,NULL),(16,3042227,'1988-07-29 00:00:00',4,1,12,2005,'F','N','LIVRAMENTO','TURVO','SC','124242241215574431575716594124121164092',2300,'32',66.06,1,3,NULL),(16,3042235,'1990-05-21 00:00:00',2,1,11,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241248115372721426313432124610167112',NULL,'307',30.62,1,2,1),(16,3042243,'1991-08-15 00:00:00',4,1,12,2008,'F','N','JARDIM EUCALIPTOS','PALHOÇA','SC','124242241216272431333511172222610168095',4869,'1010',58.94,1,3,NULL),(16,3042251,'1986-12-10 00:00:00',2,1,7,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116132441533355485124141427057',4299,'199',60.24,1,2,1),(16,3042260,'1991-03-21 00:00:00',2,1,12,2008,'F','N','ARIRIU','PALHOÇA','SC','124243241415151531446634345124610122147',NULL,'9997',26.56,1,3,NULL),(16,3042278,'1991-11-05 00:00:00',4,1,11,2008,'M','N','ARIRIU','PALHOÇA','SC','124242241215411421566612595124610168097',NULL,'1011',30.46,1,3,NULL),(16,3042294,'1989-10-14 00:00:00',4,8,12,2007,'M','N','BUCAREIN','JOINVILLE','SC','124244241215372431436652275225610162076',NULL,'138',38.69,1,3,NULL),(16,3042308,'1991-02-15 00:00:00',4,2,12,2008,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241217112531478932575121610143187',NULL,'909',0.00,1,3,NULL),(16,3042316,'1991-07-14 00:00:00',2,1,12,2008,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242241316121231547933271124610123147',NULL,'1036',33.18,1,3,NULL),(16,3042324,'1990-12-20 00:00:00',4,9,10,2008,'M','N','CORAL','LAGES','SC','124241241217111431445712575124610137142',13690,'497',42.29,1,3,NULL),(16,3042332,'1980-03-13 00:00:00',4,10,12,1997,'M','N','REVOREDO','TUBARÃO','SC','124242241214152421457644444122331526127',NULL,'797',0.00,4,3,NULL),(16,3042340,'1991-09-23 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241435112231633677574124610128012',7843,'1118',52.69,4,3,NULL),(16,3042359,'1990-12-31 00:00:00',2,6,12,2007,'F','N','CENTRO','RIO SUL','SC','124242241216572751447411295125610128142',NULL,'663',38.71,3,3,NULL),(16,3042367,'1988-08-17 00:00:00',4,8,12,2005,'M','N','CIDADE ADEMAR','S PAULO','SP','125251251116572431426531482324610164042',10837,'9998',47.30,1,2,1),(16,3042375,'1990-03-08 00:00:00',4,1,11,2007,'F','N','JD MORRO VERDE','S PAULO','SP','125252251216472751558819592124610166047',8109,'9998',52.21,1,3,NULL),(16,3042383,'1990-11-04 00:00:00',2,1,12,2008,'M','N','CAMINHO NOVO','PALHOÇA','SC','124242241216142431476332224122610124142',1407,'1011',69.75,1,3,NULL),(16,3042405,'1992-01-26 00:00:00',4,1,12,2008,'F','N','CENTRO','MAFRA','SC','124241241216111431436923574122610143097',7139,'541',54.02,1,3,NULL),(16,3042421,'1991-03-02 00:00:00',2,4,12,2008,'F','N','NOVA DIVINÉIA','PINHALZINHO','SC','124242241216111432536612592122610127152',15080,'1070',39.47,1,3,NULL),(16,3042448,'1990-10-11 00:00:00',2,5,12,2008,'F','N','CENTRO','TORRES','RS','120201201516131431438313385122610122147',15505,'9998',38.54,4,3,NULL),(16,3042456,'1984-10-20 00:00:00',4,5,12,2002,'M','N','SANTO ANTONIO','CRICIÚMA','SC','124242241216372431337819432132131267062',4576,'920',59.61,2,1,2),(16,3042464,'1992-03-14 00:00:00',4,4,12,2008,'M','N','CENTRO','ITAPEJARA D OESTE','PR','116161161215111432586612342122610137062',NULL,'9998',0.00,1,3,NULL),(16,3042480,'1991-11-01 00:00:00',4,3,12,2008,'F','N','ROYAL PARK','CPO GRANDE','MS','112122121216471431281112595122610167135',11551,'9998',46.08,1,3,NULL),(16,3042499,'1989-12-28 00:00:00',4,1,12,2007,'F','N','SETOR OESTE','GOIÂNIA','GO','109092091217472411448837575124610123127',8652,'9998',51.16,1,3,NULL),(16,3042502,'1985-03-29 00:00:00',2,1,12,2002,'M','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','224243241127133431223644143214610147047',NULL,'729',24.06,1,3,NULL),(16,3042510,'1989-06-24 00:00:00',4,8,11,2006,'M','N','VILA OLIVEIRA','MOGI CRUZES','SP','125253256136131431459614412122141462042',9320,'9998',50.04,1,3,NULL),(16,3042529,'1989-07-31 00:00:00',4,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSé','SC','124241241117473431468833572124610132052',8035,'271',52.35,1,3,NULL),(16,3042537,'1991-11-22 00:00:00',2,1,12,2008,'M','N','CENTRO','PALHOÇA','SC','124162241217121411668831245124610126041',3282,'1022',63.06,1,3,NULL),(16,3042545,'1990-09-17 00:00:00',4,3,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216152431348912345124233222042',NULL,'44',0.00,1,3,NULL),(16,3042561,'1991-11-09 00:00:00',4,5,11,2008,'M','N','RAICHASKI','IÇARA','SC','124242241215111431557732575224610144012',15175,'9997',39.26,1,3,NULL),(16,3042570,'1988-09-13 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247247371431215577245334610134147',NULL,'300',22.87,1,3,NULL),(16,3042588,'1991-08-15 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215112411384412575122610115141',1157,'270',71.16,1,3,NULL),(16,3042596,'1981-02-15 00:00:00',2,1,12,2001,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','224241241126273431114641315124222214062',9920,'286',48.92,4,2,1),(16,3042626,'1990-07-26 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124242241216372631339821575125231463165',2344,'1022',65.89,1,3,NULL),(16,3042634,'1962-04-13 00:00:00',2,1,12,1979,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','224161161111373431368649391114343236042',3654,'9998',61.94,1,2,1),(16,3042650,'1991-01-28 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124252241215111731456614375122610114092',NULL,'259',29.84,1,3,NULL),(16,3042669,'1990-12-06 00:00:00',4,1,12,2008,'F','N','IDEAL','NOVO HAMBURGO','RS','120202201216371431447631572122610142142',5088,'9998',58.42,1,3,NULL),(16,3042677,'1990-03-13 00:00:00',4,8,11,2008,'M','N','HUGO LANGE','CURITIBA','PR','116163161216271741356822574124610166047',NULL,'9998',0.00,1,3,NULL),(16,3042685,'1992-05-17 00:00:00',4,1,12,2008,'M','N','PICADAS DO SUL','S JOSé','SC','124241241115372751324324572124610125092',NULL,'269',24.48,1,3,NULL),(16,3042715,'1989-01-07 00:00:00',2,8,12,2006,'F','N','BOA VISTA','PNT GROSSA','PR','116162164216571731259813571112610168187',4986,'9998',58.64,1,3,NULL),(16,3042723,'1990-12-19 00:00:00',2,1,12,2008,'F','N','BOM VIVER','BIGUAÇU','SC','124244241217111431436614372124610134097',NULL,'1022',36.11,1,3,NULL),(16,3042740,'1987-11-27 00:00:00',4,1,11,2005,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124252248217473411579931475122610167011',7244,'9999',53.83,1,3,NULL),(16,3042758,'1989-09-23 00:00:00',4,1,12,2006,'F','N','CIDADE VISTA VERDE','S JOSÉ CAMPOS','SP','125252251215572731459923575122610121182',8965,'9998',50.64,1,3,NULL),(16,3042766,'1991-11-03 00:00:00',4,3,11,2008,'M','N','BARRA','BAL CAMBORIú','SC','124244243215111431236712274123610146152',NULL,'1038',39.10,1,3,NULL),(16,3042774,'1991-04-02 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111532466932575124610115073',NULL,'1022',16.00,1,3,NULL),(16,3042782,'1990-08-15 00:00:00',2,8,12,2007,'M','N','CENTRO','QUILOMBO','SC','124241241127472431349811575124610127043',13295,'708',42.99,1,2,1),(16,3042790,'1991-02-16 00:00:00',2,1,12,2008,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241415111711368914391124610126147',9093,'269',50.42,1,3,NULL),(16,3042804,'1991-05-07 00:00:00',2,4,12,2008,'F','N','VILA NOVA','FRANCISCO BELTRÃO','PR','116161161116151431548611375122610166142',9827,'9998',49.10,1,2,1),(16,3042812,'1990-09-04 00:00:00',2,1,12,2007,'F','N','JARDIM VAZAMI','S PAULO','SP','125244241216372431336614575124610168162',2760,'1022',64.54,4,3,NULL),(16,3042820,'1992-02-25 00:00:00',4,1,12,2009,'M','S','ROÇADO','S JOSÉ','SC','124242241213141752326614573121610127042',NULL,'737',41.49,1,3,NULL),(16,3042847,'1993-02-13 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215111431347832595124610163181',4173,'1022',60.58,1,3,NULL),(16,3042863,'1989-07-15 00:00:00',5,7,12,2006,'F','N','SANTA MONICA','FRAIBURGO','SC','124241241116131441656923245125141926097',9192,'314',50.26,1,3,NULL),(16,3042871,'1990-01-31 00:00:00',4,2,12,2007,'F','N','FIDÉLIS','BLUMENAU','SC','124243241215472431346534375124610126147',2810,'71',64.35,1,3,NULL),(16,3042880,'1987-11-07 00:00:00',4,1,12,2005,'M','N','NOVA ESTANCIA','S CARLOS','SP','125251251217371411338811295111141746052',12311,'9998',44.71,1,3,NULL),(16,3042898,'1992-02-28 00:00:00',2,1,11,2009,'F','S','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241215271431548923595122610141142',NULL,'1014',41.50,1,3,NULL),(16,3042901,'1988-05-20 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124123121215574411336923575124610122057',1035,'9998',71.84,2,1,2),(16,3042910,'1991-01-16 00:00:00',4,2,11,2008,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241215121431256834271112610122142',3173,'855',63.35,1,3,NULL),(16,3042936,'1990-09-27 00:00:00',4,2,12,2008,'F','N','CENTRO','BLUMENAU','SC','124242241217112431239614475122610123167',7100,'855',54.10,1,3,NULL),(16,3042944,'1990-06-15 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431458813432112610117017',11539,'270',46.10,1,3,NULL),(16,3042960,'1991-07-03 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215112432489811575114610164117',4477,'270',59.84,1,3,NULL),(16,3042979,'1989-05-05 00:00:00',4,1,12,2007,'F','N','TIJUCO PRETO','RIO NEGRO','PR','116161161117131731533423392324231526177',NULL,'542',0.00,1,2,1),(16,3042987,'1987-09-27 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241431273412585832435125133268185',2269,'299',66.15,1,3,NULL),(16,3042995,'1990-11-24 00:00:00',4,1,12,2008,'M','N','PRADO','BIGUAÇU','SC','124242241216141521256623375114610167065',NULL,'63',18.84,1,3,NULL),(16,3043002,'1989-01-26 00:00:00',2,6,12,2006,'M','N','JARDIM ALVORADA','CPO NOVO PARECIS','MT','111111111117161231633314315131610124187',16675,'9998',34.04,2,1,1),(16,3043029,'1990-01-09 00:00:00',2,1,11,2007,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241212312411446322572224230434147',4313,'1022',60.21,1,3,NULL),(16,3043037,'1990-12-13 00:00:00',4,8,11,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215122431579814574122610127142',7042,'486',54.22,1,3,NULL),(16,3043045,'1969-10-13 00:00:00',2,1,12,1996,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224241241127154731368841315123320867047',NULL,'9999',37.24,1,3,NULL),(16,3043053,'1991-07-25 00:00:00',4,1,12,2008,'F','N','CENTRO','BANDEIRANTES','PR','116162161217121431369933574112610137145',NULL,'9998',0.00,1,3,NULL),(16,3043061,'1990-12-23 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116152431458413575114610164142',NULL,'307',39.31,1,3,NULL),(16,3043070,'1991-07-18 00:00:00',2,10,11,2008,'F','N','NOSSA SENHORA DE FÁT','BRAçO NORTE','SC','124243241217112431446814575122610128197',12718,'807',43.98,1,3,NULL),(16,3043088,'1990-03-23 00:00:00',4,1,12,2007,'F','N','CASA VERDE','S PAULO','SP','125251251114571411356632572114610127147',NULL,'9998',41.64,1,2,1),(16,3043100,'1990-12-27 00:00:00',4,1,12,2008,'F','N','ASA SUL','BRASÍLIA','DF','107222071216271751566921595124610162093',NULL,'9998',0.00,4,3,NULL),(16,3043118,'1991-07-04 00:00:00',2,1,12,2008,'M','N','BALNEÁRIO','FLORIANóPOLIS','SC','124244241117371431356614242114610147047',9678,'257',49.38,1,3,NULL),(16,3043126,'1990-03-18 00:00:00',4,1,12,2007,'F','N','CENTRO','OURINHOS','SP','125252251216152431338721571122242036092',14,'9998',84.60,3,3,NULL),(16,3043134,'1991-08-17 00:00:00',2,5,10,2008,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111511466612575122610117047',4032,'226',60.97,1,3,NULL),(16,3043142,'1989-12-27 00:00:00',4,1,12,2007,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215372431489933574112610134042',6163,'884',56.00,1,3,NULL),(16,3043169,'1991-03-10 00:00:00',2,1,12,2008,'M','N','CENTRO','IMARUí','SC','124241248117161731434923495124610127047',NULL,'356',30.13,1,2,1),(16,3043177,'1989-07-13 00:00:00',4,1,11,2008,'M','N','JD CIDADE FPOLIS','S JOSÉ','SC','124241241126151711336623391223610118057',NULL,'726',25.98,1,2,1),(16,3043185,'1986-08-22 00:00:00',4,1,12,2004,'M','N','JARDIM MAUA','MAUÁ','SP','125251251146571431543319495115610162187',NULL,'9998',29.54,4,2,1),(16,3043193,'1989-09-25 00:00:00',4,1,12,2006,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124242241215573431368711575114610134092',50,'633',82.36,1,3,NULL),(16,3043207,'1992-05-06 00:00:00',4,1,12,2009,'F','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242241216121431367833435114610138195',NULL,'1022',43.54,1,3,NULL),(16,3043215,'1990-05-04 00:00:00',4,1,11,2007,'M','N','NOVO AMPARO','AMPARO','SP','125252251216472431569931575122610117182',2831,'9998',64.29,1,3,NULL),(16,3043231,'1989-09-15 00:00:00',4,1,12,2007,'F','N','JD PROENÇA','CAMPINAS','SP','125252251217371411379821571124140242152',NULL,'9998',0.00,1,3,NULL),(16,3043240,'1991-06-07 00:00:00',3,4,12,2008,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241111151731468914575112610167052',10428,'169',48.05,1,2,1),(16,3043258,'1991-03-29 00:00:00',2,10,11,2008,'F','N','MONTE CASTELO','TUBARÃO','SC','124242241215111411456633575112610138192',7988,'807',52.45,1,3,NULL),(16,3043266,'1989-04-20 00:00:00',2,1,12,2006,'F','N','CENTRO','CASCAVEL','PR','116162164216472431444632575122610164092',3730,'9998',61.76,1,3,NULL),(16,3043282,'1991-03-16 00:00:00',4,10,11,2008,'M','N','VILA MOEMA','TUBARÃO','SC','124241241215112231459414295124610124042',1485,'807',69.45,1,3,NULL),(16,3043290,'1991-02-04 00:00:00',2,2,12,2008,'M','N','VELHA','BLUMENAU','SC','124241241215111431558933575114610122092',8670,'855',51.12,1,3,NULL),(16,3043304,'1990-04-04 00:00:00',4,1,11,2007,'F','N','MAR GROSSO','LAGUNA','SC','124242241215473431438714476124610133147',284,'807',78.18,1,3,NULL),(16,3043339,'1991-02-23 00:00:00',4,1,11,2008,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124281241317121431489912475122610134122',3795,'270',61.61,1,3,NULL),(16,3043347,'1990-01-30 00:00:00',4,1,12,2007,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161217372521366821475124610137082',NULL,'9998',48.62,4,3,NULL),(16,3043355,'1991-03-08 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215122731359924575124610163141',3276,'270',63.08,1,3,NULL),(16,3043363,'1989-04-10 00:00:00',4,1,12,2006,'M','N','APARECIDA','SANTOS','SP','125252251215471431468839575122243264042',NULL,'9998',45.24,1,3,NULL),(16,3043371,'1992-05-08 00:00:00',2,9,12,2008,'M','N','CENTRO','CORREIA PINTO','SC','124242242115111411435615272224610137172',NULL,'960',29.30,3,3,NULL),(16,3043380,'1991-04-07 00:00:00',4,1,11,2008,'M','N','CENTRO','CASCAVEL','PR','116164161216111432479919495112610137011',NULL,'9998',0.00,1,3,NULL),(16,3043398,'1990-06-24 00:00:00',4,4,12,2007,'F','N','PRESIDENTE MEDICI','CHAPECÓ','SC','124244241217473431469934574114231046147',4246,'185',60.38,1,3,NULL),(16,3043401,'1990-02-05 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124161161315472451544933575124221528147',8137,'9998',52.15,1,3,NULL),(16,3043410,'1992-06-12 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431247721375124610133182',9515,'1022',49.70,1,3,NULL),(16,3043428,'1991-10-18 00:00:00',4,4,12,2008,'M','N','CENTRO','SALTO LONTRA','PR','116161161116141231446923232122610124067',11421,'9998',46.32,1,2,1),(16,3043436,'1992-06-26 00:00:00',4,1,11,2009,'F','S','BARREIROS','S JOSé','SC','124242241215121731258832575124610268192',NULL,'1118',37.97,1,3,NULL),(16,3043444,'1990-06-29 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241135371431121348284224610125022',13149,'288',43.24,1,2,1),(16,3043452,'1991-10-13 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111731458639572122610138147',NULL,'270',59.93,1,3,NULL),(16,3043460,'1991-11-25 00:00:00',4,1,12,2008,'M','N','CANOAS','RIO SUL','SC','124241241117151431234579575112610162042',NULL,'658',41.27,1,2,1),(16,3043479,'1991-12-12 00:00:00',4,5,10,2008,'F','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124243241215111431356634575112610136147',4169,'226',60.59,1,3,NULL),(16,3043487,'1973-12-14 00:00:00',5,1,10,1992,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224241246117133711253343332124331042043',12169,'306',44.96,1,3,NULL),(16,3043495,'1991-01-27 00:00:00',4,1,12,2007,'M','N','CENTRO','GUAÍRA','PR','116162161216371231547932575122610127052',4165,'9998',60.60,3,3,NULL),(16,3043509,'1991-06-27 00:00:00',4,5,12,2008,'F','N','MINA DO MATO','CRICIÚMA','SC','124241241126141431323319245122610123072',NULL,'985',17.35,1,3,NULL),(16,3043517,'1985-12-21 00:00:00',4,5,12,2003,'M','N','CENTRO','IÇARA','SC','124241241146372411568331375124132362171',2118,'228',66.72,1,2,1),(16,3043525,'1992-05-19 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431456514572124610134092',NULL,'1022',29.38,1,3,NULL),(16,3043533,'1989-08-31 00:00:00',2,1,12,2007,'M','N','CENTRO','IMARUÍ','SC','124241248137161431436923495124610167047',NULL,'356',22.84,1,2,1),(16,3043541,'1991-08-12 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124274241115271431569713575122610163195',NULL,'592',29.52,1,3,NULL),(16,3043550,'1990-01-02 00:00:00',4,1,6,2008,'M','N','PARAÍSO','S PAULO','SP','125252251216371431369922571115610147166',NULL,'9999',0.00,1,3,NULL),(16,3043568,'1991-06-18 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241248315111331238831572124610131177',NULL,'1022',30.13,1,3,NULL),(16,3043576,'1990-09-30 00:00:00',4,4,12,2007,'F','N','MIRANTE','ITÁ','SC','124241241111471431426634571124610124012',8916,'196',50.71,1,2,1),(16,3043584,'1991-12-04 00:00:00',4,5,11,2008,'M','N','COMERCIARIO','CRICIÚMA','SC','124242241217111432468914592122610167011',1743,'213',68.23,1,3,NULL),(16,3043592,'1990-10-09 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241316472731453334575124610127142',12562,'962',44.24,1,3,NULL),(16,3043606,'1991-06-09 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431488812475122610142122',7981,'270',52.46,1,3,NULL),(16,3043614,'1988-01-25 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124132131437271431566612475114143222142',NULL,'9998',25.26,1,3,NULL),(16,3043622,'1973-02-22 00:00:00',4,1,10,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','624243247332131721223644442342610117187',NULL,'9999',28.71,1,3,NULL),(16,3043630,'1992-05-28 00:00:00',4,1,12,2009,'M','S','ROÇADO','SAO JOSE','SC','124241241116131731334338195124610138057',NULL,'729',28.77,1,3,NULL),(16,3043649,'1992-09-03 00:00:00',4,1,12,2009,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124243241117151431468934572112610127142',NULL,'271',60.00,1,3,NULL),(16,3043665,'1984-10-29 00:00:00',2,2,12,2003,'F','N','PIRITUBA','S PAULO','SP','125252257416131411468614245125142266047',NULL,'9999',32.68,1,3,NULL),(16,3043673,'1988-10-11 00:00:00',2,3,12,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241215572531455614245122133266197',8222,'1038',51.94,1,3,NULL),(16,3043690,'1991-04-20 00:00:00',4,5,11,2008,'F','N','COLONINHA','ARARANGUÁ','SC','124241241315141431438631395111610162112',NULL,'32',23.77,1,3,NULL),(16,3043703,'1992-01-03 00:00:00',4,1,11,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215121431466913575122610144092',11402,'1133',46.34,1,3,NULL),(16,3043711,'1990-10-12 00:00:00',4,1,12,2007,'F','N','JARDIM UNIVERSITÁRIO','CUIABá','MT','111112111217472431458832572112610117052',3619,'9998',62.03,1,3,NULL),(16,3043720,'1991-07-12 00:00:00',2,1,11,2008,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124241241215111431436414571121610166177',9567,'781',49.59,1,3,NULL),(16,3043738,'1992-08-16 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','124241161415111411548832595122610128042',11113,'9998',46.81,1,3,NULL),(16,3043746,'1990-05-24 00:00:00',4,1,12,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241216111431469914475122610161192',3608,'883',62.07,1,3,NULL),(16,3043754,'1991-02-16 00:00:00',4,1,11,2008,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124244241236121431343761575114610126097',9443,'269',49.82,1,3,NULL),(16,3043762,'1988-02-10 00:00:00',2,8,12,2004,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116244241316575451346713171114610162097',77,'633',81.52,1,3,NULL),(16,3043770,'1991-11-11 00:00:00',4,1,12,2009,'F','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216171431448531214124610134142',NULL,'270',29.44,1,3,NULL),(16,3043797,'1987-11-09 00:00:00',2,1,12,2006,'M','N','BELA VISTA','S JOSÉ','SC','124241247137111331425733345134610167041',NULL,'9999',26.70,1,3,NULL),(16,3043800,'1990-12-11 00:00:00',2,1,12,2008,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241241117111531543411175124610122017',10711,'591',47.53,4,3,NULL),(16,3043827,'1991-07-12 00:00:00',4,8,12,2008,'M','N','PORTÃO','CURITIBA','PR','116132161235471431469914572114610137187',NULL,'9998',0.00,1,3,NULL),(16,3043835,'1990-06-01 00:00:00',2,3,12,2007,'F','N','JARDIM HATORI I','REGISTRO','SP','125253251126371431337933571121610148097',NULL,'9998',0.00,1,3,NULL),(16,3043843,'1991-09-18 00:00:00',4,3,11,2008,'M','N','CENTRO','MARINGÁ','PR','116162161215111431458836572112610167042',1209,'9998',70.87,1,3,NULL),(16,3043851,'1992-08-26 00:00:00',4,1,11,2009,'M','S','CENTRO','S JOSÉ','SC','124242241217111431479923575114610117047',NULL,'270',51.13,1,3,NULL),(16,3043860,'1991-09-04 00:00:00',2,1,12,2008,'F','N','REAL PARQUE','S JOSÉ','SC','124241241215112411546523345114610137142',13916,'1022',41.83,1,3,NULL),(16,3043886,'1991-02-19 00:00:00',2,7,11,2008,'M','N','VILA ALTA','TANGARÁ SERRA','MT','111113111117111231579811475113610167072',12988,'9998',43.52,1,3,NULL),(16,3043908,'1991-11-25 00:00:00',4,1,12,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215131731457939575122610147012',5716,'1048',57.03,1,3,NULL),(16,3043916,'1991-01-28 00:00:00',5,8,11,2008,'F','N','CENTRO','CURITIBA','PR','116242161217121411469814474124610146192',NULL,'9998',0.00,1,3,NULL),(16,3043932,'1991-07-17 00:00:00',4,1,11,2008,'M','N','PRAIA COMPRIDA','S JOSé','SC','124242241215111431456633572122610167042',7127,'723',54.04,1,3,NULL),(16,3043967,'1990-08-16 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111411555739575124610165142',3425,'266',62.59,1,3,NULL),(16,3043975,'1989-01-13 00:00:00',2,3,12,2006,'M','N','CENTRO','BAL PIÇARRAS','SC','124241241137161431313629445235131024052',NULL,'614',23.17,1,3,NULL),(16,3043983,'1989-11-20 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124242241116472411445512385112610141072',NULL,'1050',47.45,1,3,NULL),(16,3043991,'1990-01-27 00:00:00',4,1,12,2007,'F','N','CENTRO','MOGI MIRIM','SP','125252251215471411347823471112610162142',NULL,'9998',0.00,1,3,NULL),(16,3044017,'1992-05-13 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124244241215111451347823332124610117072',NULL,'738',34.23,1,3,NULL),(16,3044025,'1981-05-17 00:00:00',2,1,12,1998,'F','N','CENTRO','STA MARIA','RS','120204201116572411426617572114141264192',4652,'9998',59.43,1,3,NULL),(16,3044033,'1990-04-18 00:00:00',4,8,12,2007,'F','N','AYMORÉ','ARAPONGAS','PR','116162161215472431458832572122610162097',NULL,'9998',0.00,1,3,NULL),(16,3044041,'1988-06-29 00:00:00',4,1,12,2006,'F','N','CAMPINAS','S JOSé','SC','124242241211514431258929575122610134092',9681,'270',49.37,1,3,NULL),(16,3044068,'1990-05-22 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124241241447371431435511274114610138147',11482,'401',46.20,1,3,NULL),(16,3044076,'1990-03-20 00:00:00',2,1,12,2007,'M','N','CENTRO','PRES GETÚLIO','SC','124241241415372231546632572124610167147',NULL,'270',52.95,1,3,NULL),(16,3044084,'1990-06-25 00:00:00',2,3,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242248237473451338314595125610168147',6819,'1038',54.63,1,3,NULL),(16,3044106,'1992-03-19 00:00:00',2,1,11,2008,'F','N','CENTRO','CURITIBA','PR','116162161216121411136617577115610162047',NULL,'9998',0.00,1,3,NULL),(16,3044114,'1989-03-28 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224242241215573431337852574122610128182',3842,'300',61.48,1,3,NULL),(16,3044122,'1991-05-04 00:00:00',2,8,12,2008,'M','N','BELA VISTA','RIO NEGRINHO','SC','124242241216371411587812595122610127072',NULL,'666',0.00,1,3,NULL),(16,3044130,'1991-01-19 00:00:00',2,7,11,2008,'M','N','VILA ALTA II','TANGARÁ SERRA','MT','111112111117111431366414175112610117072',4068,'9998',60.88,1,3,NULL),(16,3044149,'1979-02-23 00:00:00',4,6,12,1998,'M','N','VILA OPERARIA','ITAJAÍ','SC','124251258111135411323329382324610115171',NULL,'9998',30.05,2,1,1),(16,3044157,'1991-09-30 00:00:00',4,1,11,2008,'M','N','SERRARIA','S JOSÉ','SC','124274241215111331558613475122610132157',8448,'976',51.49,4,3,NULL),(16,3044165,'1991-03-13 00:00:00',2,5,10,2008,'F','N','ELIZA GAVA','NOVA VENEZA','SC','124243241215112431434632572124610162142',11574,'213',46.05,1,3,NULL),(16,3044173,'1989-09-18 00:00:00',2,1,12,2006,'M','N','JARDIM DAS FLORES','S JOSÉ CAMPOS','SP','125251256216571112333569474124610165124',NULL,'9998',40.22,1,3,NULL),(16,3044181,'1991-12-23 00:00:00',4,3,12,2008,'M','N','VILA REAL','BAL CAMBORIÚ','SC','124241241125371431327613375121610134047',5407,'51',57.65,1,2,1),(16,3044190,'1990-04-22 00:00:00',4,1,11,2007,'M','N','CÓRREGO GRANDE','FLORIANóPOLIS','SC','124242248211112431538534571124231418122',8631,'1022',51.20,1,3,NULL),(16,3044203,'1990-08-24 00:00:00',2,1,12,2007,'F','N','BOM FIM','PTO ALEGRE','RS','120202201217572211245514572114610166147',512,'9998',75.66,1,3,NULL),(16,3044220,'1991-11-11 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215112431247339595115610123182',7711,'270',52.94,1,3,NULL),(16,3044246,'1989-03-24 00:00:00',4,8,12,2006,'F','N','ITAPOÃ','VL VELHA','ES','108243241215573431339934575124133263192',150,'457',79.99,4,3,NULL),(16,3044254,'1990-12-10 00:00:00',4,1,12,2008,'F','N','JARDIM DA PENHA','VITÓRIA','ES','108082081236111412388814575122610132092',1014,'9998',72.00,1,3,NULL),(16,3044262,'1991-06-08 00:00:00',4,4,11,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241236111411139813575125610165152',NULL,'752',26.87,1,3,NULL),(16,3044289,'1989-08-15 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252241217372411658812572122232125182',5855,'262',56.68,1,3,NULL),(16,3044297,'1991-06-19 00:00:00',4,9,10,2008,'F','N','CENTRO','ALFREDO WAGNER','SC','124241248435111531356532376114610121142',10438,'497',48.03,1,3,NULL),(16,3044300,'1991-05-18 00:00:00',4,1,12,2008,'F','N','SAINT ETIENNE','CAXIAS SUL','RS','120202201217471411246924341122610133092',6625,'9998',55.00,1,3,NULL),(16,3044319,'1987-12-22 00:00:00',4,1,12,2005,'F','N','PONTA DA PRAIA','SANTOS','SP','125253251217573431569614575122610162147',202,'9998',79.17,1,3,NULL),(16,3044327,'1990-11-10 00:00:00',2,4,12,2007,'M','N','PERIN','MARMELEIRO','PR','116161161116371721545514345112610124022',NULL,'9998',0.00,1,2,1),(16,3044335,'1988-12-06 00:00:00',4,10,12,2005,'M','N','NOVA FAZENDA','LAGUNA','SC','124241248117131431523211381224610138047',NULL,'521',28.66,1,2,1),(16,3044343,'1990-01-26 00:00:00',4,1,11,2007,'F','N','VILA SUEVIA','ITU','SP','125252251217472731458814392124610137072',9764,'9998',49.23,1,3,NULL),(16,3044351,'1991-10-28 00:00:00',4,7,11,2008,'M','N','BOA VISTA','CAMPOS NOVOS','SC','124242241415111411446832245122610127052',NULL,'446',24.60,1,3,NULL),(16,3044360,'1990-08-17 00:00:00',2,1,12,2006,'F','N','KOBRASOL','S JOSÉ','SC','124242241217372431479933575124610121053',NULL,'1036',24.08,1,3,NULL),(16,3044378,'1991-08-05 00:00:00',4,2,12,2008,'F','N','PARQUE DO COLEGIO','JUNDIAÍ','SP','125241251217151431379314575122610127142',15422,'9998',38.72,1,3,NULL),(16,3044386,'1990-10-18 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217111431458813575122610136147',NULL,'1050',25.36,1,3,NULL),(16,3044394,'1992-11-24 00:00:00',4,2,12,2009,'M','S','ITOUPAVA NORTE','BLUMENAU','SC','124242241211111431588812471124610167042',NULL,'87',52.48,1,3,NULL),(16,3044408,'1988-09-12 00:00:00',4,3,11,2006,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251216572431458831575121610167082',995,'9998',72.09,1,3,NULL),(16,3044416,'1990-12-30 00:00:00',4,1,12,2007,'F','N','IPIRANGA','S JOSÉ','SC','124244241115372441367713271124610164172',5442,'307',57.60,1,3,NULL),(16,3044424,'1991-02-17 00:00:00',4,1,11,2008,'M','N','PORTO VELHO','ITAJUBá','MG','113022131215121431559934572121610168032',1781,'9998',68.08,1,3,NULL),(16,3044432,'1990-12-31 00:00:00',4,1,12,2008,'M','N','VILA MONTE ALEGRE','S PAULO','SP','125252251217141431238834585115610117012',NULL,'9998',28.15,1,3,NULL),(16,3044459,'1990-05-24 00:00:00',4,1,12,2007,'F','N','JARDIM SANTANA','TREMEMBÉ','SP','125252251216471751559934575124610167055',NULL,'9998',0.00,1,3,NULL),(16,3044467,'1988-04-24 00:00:00',4,1,12,2005,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216372431258839475125120768095',1727,'260',68.31,3,3,NULL),(16,3044475,'1991-05-01 00:00:00',4,1,12,2008,'F','N','FAZ STO ANTÔNIO','S JOSÉ','SC','124243241116142431448623335114610111017',14677,'307',40.32,1,3,NULL),(16,3044483,'1991-08-18 00:00:00',3,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121631458831572122610162182',8581,'270',51.29,1,3,NULL),(16,3044513,'1990-01-31 00:00:00',4,6,11,2007,'F','N','NOSSA SRA DE LURDES','DOIS VIZINHOS','PR','116161161336572431533312575124610132197',2685,'9998',64.73,1,3,NULL),(16,3044521,'1990-08-16 00:00:00',2,9,12,2007,'M','N','CENTRO','URUBICI','SC','124241241116132731425823242121610124187',NULL,'818',27.68,1,2,1),(16,3044530,'1990-08-04 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241316472421458811595114610128142',NULL,'9997',44.22,1,3,NULL),(16,3044548,'1990-08-24 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431349923572125610134012',5590,'270',57.29,1,3,NULL),(16,3044556,'1990-01-13 00:00:00',3,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431579814445122610137182',4885,'270',58.91,1,3,NULL),(16,3044564,'1991-07-02 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242248215111431536712491124610164092',3545,'1022',62.24,1,3,NULL),(16,3044572,'1990-10-25 00:00:00',2,1,12,2007,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241111271412423314571114610113062',NULL,'288',25.70,1,3,NULL),(16,3044580,'1990-11-09 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124242241215272731568823396114610143072',NULL,'723',0.00,1,3,NULL),(16,3044610,'1992-05-25 00:00:00',4,3,12,2008,'M','N','SAO JUDAS TADEU','BAL CAMBORIú','SC','124241246216111231234613575114610118012',NULL,'1017',21.02,1,3,NULL),(16,3044629,'1990-03-01 00:00:00',2,1,12,2007,'M','N','CENTRO','IMBITUBA','SC','124241241215473431447813575123610164117',1257,'807',70.63,1,3,NULL),(16,3044645,'1991-04-05 00:00:00',4,5,12,2008,'F','N','CENTRO','CRICIÚMA','SC','124242201217471731588614572124610138012',NULL,'9998',0.00,1,3,NULL),(16,3044653,'1985-09-07 00:00:00',2,1,12,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241116135131526633445111610168197',NULL,'307',9.68,1,3,NULL),(16,3044661,'1991-10-04 00:00:00',4,1,12,2008,'F','N','SETOR DELTA','GOIANIRA','GO','109093091114111731458933575122610132092',NULL,'9998',0.00,1,3,NULL),(16,3044670,'1989-09-01 00:00:00',4,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215372431338524572114610126182',881,'270',72.80,1,3,NULL),(16,3044688,'1992-01-06 00:00:00',2,1,11,2008,'M','N','MÉIER','RIO JANEIRO','RJ','121214211217111431548811581224610124142',12968,'9998',43.56,1,3,NULL),(16,3044696,'1991-04-13 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241145131411313628272324610124142',NULL,'288',26.27,1,2,1),(16,3044700,'1989-08-29 00:00:00',4,1,12,2007,'F','N','DEMÉTRIA','BOTUCATU','SP','125073251217471451548821491115610162132',9476,'9998',49.76,1,3,NULL),(16,3044718,'1991-08-10 00:00:00',4,1,10,2008,'F','N','CENTRO','CURITIBA','PR','116162161215121431348822174112610143142',6414,'9998',55.45,1,3,NULL),(16,3044726,'1990-12-10 00:00:00',4,1,12,2008,'M','N','INTERLAGOS','CAXIAS SUL','RS','120201201117151431363923331124610147042',NULL,'9998',40.44,1,3,NULL),(16,3044734,'1990-02-08 00:00:00',2,1,12,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC','124243241435372431456733445124610138183',NULL,'1022',27.04,1,3,NULL),(16,3044742,'1972-02-23 00:00:00',5,1,12,1997,'F','N','TAPERA','FLORIANÓPOLIS','SC','224212217226131412519951271111142013147',8300,'9998',51.79,1,3,NULL),(16,3044750,'1977-12-31 00:00:00',4,1,5,2008,'M','N','CANASVIERAS','FLORIANóPOLIS','SC','124161247225271411323244244324610116082',NULL,'9999',25.18,4,3,NULL),(16,3044769,'1983-05-20 00:00:00',2,1,12,2008,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','224161241125131431423351171344610167187',14176,'288',41.27,1,2,1),(16,3044777,'1991-12-30 00:00:00',2,7,11,2008,'M','N','VILA ALTA III','TANGARá SERRA','MT','111114111436111521443832475112610162192',NULL,'9998',22.97,1,3,NULL),(16,3044785,'1990-06-03 00:00:00',4,8,12,2007,'M','N','VILA ALEXANDRIA','S PAULO','SP','125252251216471431538817572114610127052',2035,'9998',67.08,3,3,NULL),(16,3044793,'1991-07-29 00:00:00',4,1,11,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215151431378831472124610146145',3811,'262',61.57,1,3,NULL),(16,3044807,'1991-11-05 00:00:00',4,1,12,2008,'F','N','CENTRO','SANTA BARBARA D OESTE','SP','125252251216471731449811145112610164044',15997,'9998',37.25,4,3,NULL),(16,3044815,'1991-03-03 00:00:00',2,4,11,2008,'M','N','JARDIM PRIMAVERA','PATO BRANCO','PR','116163161217471531468931572124610167042',NULL,'9998',0.00,1,3,NULL),(16,3044823,'1991-06-11 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216121431339823585124610137052',1950,'1022',67.37,1,3,NULL),(16,3044831,'1992-01-13 00:00:00',2,1,12,2009,'M','S','SARANDI','PTO ALEGRE','RS','120201201117131431337614242324610124147',NULL,'9998',20.92,1,3,NULL),(16,3044840,'1990-12-21 00:00:00',4,1,11,2008,'F','N','FORQUILHAS','S JOSÉ','SC','124242241215111431346834575124610128182',10200,'270',48.43,1,3,NULL),(16,3044858,'1991-11-06 00:00:00',4,4,12,2008,'M','N','EFAPI','CHAPECó','SC','124244241217111441359814576114610164042',7021,'185',54.25,1,3,NULL),(16,3044866,'1990-08-09 00:00:00',2,1,11,2008,'F','N','PARQUE SÃO PAULO','CASCAVEL','PR','116162161217112431348711215122610166072',5491,'9998',57.49,1,3,NULL),(16,3044874,'1988-06-16 00:00:00',2,9,12,2006,'M','N','CENTRO','LAGES','SC','124241241115471431624621574341610162147',NULL,'512',33.38,1,2,1),(16,3044890,'1990-08-24 00:00:00',4,1,12,2007,'M','N','PITUBA','SALVADOR','BA','105052051215471411368712571122610132052',3595,'9998',62.10,1,3,NULL),(16,3044912,'1991-12-01 00:00:00',4,5,10,2008,'F','N','LIVRAMENTO','TURVO','SC','124241241315121431537715572124610125017',1528,'32',69.21,1,3,NULL),(16,3044920,'1990-02-24 00:00:00',2,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241215111431469714592124610127012',7636,'262',53.09,1,3,NULL),(16,3044939,'1992-06-21 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215121411585713571124610126032',4083,'270',60.83,1,3,NULL),(16,3044947,'1992-02-03 00:00:00',4,3,12,2008,'F','N','ZONA CINCO','MARINGÁ','PR','116161161117371431539933575122610124093',NULL,'9998',30.04,1,2,1),(16,3044955,'1991-05-20 00:00:00',4,2,12,2008,'M','N','CENTRO','BRUSQUE','SC','124242241216271431459511495112610124142',7271,'107',53.77,1,3,NULL),(16,3044963,'1991-01-04 00:00:00',4,8,12,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','124243241417141441346634382121610165147',13189,'1061',43.16,1,3,NULL),(16,3044971,'1989-09-07 00:00:00',4,8,12,2007,'F','N','AMERICA','JOINVILLE','SC','124242241215472431469933575112610162142',6144,'491',56.04,1,3,NULL),(16,3044980,'1991-10-15 00:00:00',4,1,12,2008,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241137131731436614442114610114147',NULL,'278',27.41,1,3,NULL),(16,3044998,'1990-03-01 00:00:00',4,1,12,2008,'F','N','JD ALVORADA','S JOSÉ CAMPOS','SP','125252251215472431368834575112610127147',605,'9998',74.90,1,3,NULL),(16,3045005,'1991-10-30 00:00:00',4,1,12,2007,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124113111115471441437839574324610165197',1655,'9998',68.64,1,3,NULL),(16,3045013,'1990-08-23 00:00:00',4,1,12,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241115271431537531575124610166142',13354,'739',42.88,1,3,NULL),(16,3045021,'1991-06-21 00:00:00',4,9,12,2008,'M','N','SANTA MARIA','LAGES','SC','124241241215131431336624575122610137052',2147,'497',66.59,1,3,NULL),(16,3045030,'1991-03-16 00:00:00',2,9,12,2008,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241215371431436831575125610128182',NULL,'1146',36.54,1,3,NULL),(16,3045048,'1991-11-30 00:00:00',4,1,12,2008,'F','N','CENTRO','ARARAQUARA','SP','125252251217271431569914575125610141187',6520,'9998',55.23,1,3,NULL),(16,3045056,'1990-10-11 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216472451336932575124610161185',8428,'270',51.53,1,3,NULL),(16,3045064,'1991-06-10 00:00:00',4,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215151441344614375124610122142',5692,'9997',57.09,1,3,NULL),(16,3045080,'1992-02-07 00:00:00',2,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120201201117271431423539572124610168077',13401,'9998',42.80,1,2,1),(16,3045099,'1991-03-19 00:00:00',4,1,12,2008,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215151711588933575124610166092',953,'883',72.31,1,3,NULL),(16,3045102,'1992-09-02 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124243241215131732543311585124610111092',12914,'1074',43.64,1,3,NULL),(16,3045110,'1990-11-26 00:00:00',4,1,12,2007,'F','N','JARDIM FLORESTA','S JOSé','SC','124241241117572431547932344124610164147',551,'306',75.40,1,2,1),(16,3045129,'1991-12-06 00:00:00',4,1,12,2008,'F','N','CENTRO','MEDIANEIRA','PR','116162161417271432434632572122610163097',NULL,'9998',0.00,1,3,NULL),(16,3045137,'1991-04-21 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731379923575125610114072',1879,'270',67.67,1,3,NULL),(16,3045153,'1991-01-25 00:00:00',4,6,12,2008,'M','N','SÃO JOÂO','ITAJAÍ','SC','125244241215111431429832575121610164047',11863,'392',45.53,1,3,NULL),(16,3045170,'1989-11-10 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472731178934441124231028092',12927,'185',43.63,1,3,NULL),(16,3045188,'1991-03-07 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241215112231336631575114610137072',6189,'723',55.95,1,3,NULL),(16,3045196,'1990-09-01 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215472431279811412122610142042',6263,'270',55.76,1,3,NULL),(16,3045200,'1990-02-18 00:00:00',2,4,12,2007,'F','N','EFAPI','CHAPECÓ','SC','124241247115372711233521475112610122172',11604,'9999',46.00,1,3,NULL),(16,3045218,'1989-07-07 00:00:00',4,1,8,2007,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124241247245371442228821382114610162057',12003,'9999',45.26,1,3,NULL),(16,3045226,'1986-09-24 00:00:00',4,1,12,2004,'F','N','CENTRO','LONDRINA','PR','116162161236471431488812375122241036182',3111,'9998',63.49,1,3,NULL),(16,3045242,'1990-09-30 00:00:00',4,1,12,2008,'M','N','ATALAIA','ARACAJU','SE','126262261217111431479814572122610127112',2564,'9998',65.12,4,3,NULL),(16,3045250,'1963-05-08 00:00:00',2,1,12,1984,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224163167426171431324444145124330252097',NULL,'9999',0.00,1,3,NULL),(16,3045277,'1983-03-25 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252251215572451488813415124140742121',23,'9998',83.92,1,3,NULL),(16,3045293,'1991-07-29 00:00:00',4,5,11,2008,'F','N','URUSSANGUINHA','ARARANGUA','SC','124242241215121431535822572122610137072',10903,'970',47.18,1,3,NULL),(16,3045307,'1986-06-23 00:00:00',2,8,11,2004,'M','N','JARDIM PORTO ALEGRE','TOLEDO','PR','116161161136271431449936215113140324077',NULL,'9998',30.14,1,2,1),(16,3045323,'1991-02-02 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANóPOLIS','SC','124243241116272431425624342112610124147',14769,'281',40.13,1,3,NULL),(16,3045331,'1983-10-19 00:00:00',2,8,12,2001,'M','N','CENTRO','SETE BARRAS','SP','116253251215575411336436271124610162092',NULL,'9998',0.00,3,3,NULL),(16,3045340,'1990-02-27 00:00:00',2,1,12,2007,'M','N','JARDIM ITÁLIA','MARINGá','PR','116162161317471431445614595112610164062',NULL,'9998',36.39,1,3,NULL),(16,3045366,'1992-07-11 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124241241213551312534679597112610168187',7111,'270',54.08,1,3,NULL),(16,3045374,'1992-01-21 00:00:00',2,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241115371731476631575124610167072',4916,'271',58.83,1,3,NULL),(16,3045382,'1990-12-01 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431467811415125610128185',6605,'270',55.04,1,3,NULL),(16,3045390,'1958-09-07 00:00:00',2,1,1,1985,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','624241243131133451236444342124610152057',NULL,'306',23.05,1,2,1),(16,3045404,'1979-02-12 00:00:00',4,1,12,1996,'M','N','CITY RIBEIRAO','RIBEIRÃO PRETO','SP','125254251216151711468842425123141437095',5194,'9998',58.12,1,3,NULL),(16,3045412,'1988-12-29 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124242241217473431458622272122610137017',5962,'270',56.43,1,3,NULL),(16,3045420,'1986-05-23 00:00:00',2,1,12,2003,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241127371731653314241112610167147',NULL,'773',41.04,1,2,1),(16,3045439,'1985-10-19 00:00:00',2,9,12,2003,'F','N','CENTO','CURITIBANOS','SC','124241248115575451234314575122230663147',16636,'239',34.40,1,2,1),(16,3045447,'1991-04-18 00:00:00',4,1,11,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124244241217121431557714572124610134072',5978,'270',56.40,1,3,NULL),(16,3045455,'1990-07-22 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124242241317371431357832575124610166112',6333,'739',55.60,1,3,NULL),(16,3045463,'1990-06-05 00:00:00',4,9,11,2007,'F','N','S C DE JESUS','LAGES','SC','124242241215372431347912372112610162097',12600,'270',44.18,1,3,NULL),(16,3045480,'1991-08-08 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241136471411356679195124610168051',3664,'727',61.92,4,1,1),(16,3045498,'1991-02-22 00:00:00',4,1,11,2008,'F','N','JARDIM ESPLANADA','S JOSÉ CAMPOS','SP','125252251216311731448831315124610164157',7617,'9998',53.12,1,3,NULL),(16,3045501,'1991-06-18 00:00:00',2,7,11,2008,'M','N','MATRIZ','VIDEIRA','SC','124244241215131731538613275121610167125',NULL,'829',34.39,1,3,NULL),(16,3045510,'1991-01-28 00:00:00',4,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241117131711423431385124610138032',14926,'592',39.83,1,2,1),(16,3045528,'1991-09-27 00:00:00',4,9,12,2009,'M','S','CENTRO','CURITIBANOS','SC','124244241311371231357912575112610162042',NULL,'239',48.48,1,3,NULL),(16,3045536,'1988-09-27 00:00:00',4,1,11,2006,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215372431558833572124131437042',285,'1022',78.15,1,3,NULL),(16,3045552,'1987-06-24 00:00:00',2,1,12,2004,'M','N','AMBROSIO','GAROPABA','SC','124241241146273432333319242124122234097',12111,'322',45.08,1,2,1),(16,3045560,'1991-06-16 00:00:00',2,5,11,2008,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241215372441547733581122610143057',3635,'970',61.99,1,3,NULL),(16,3045587,'1991-11-11 00:00:00',2,1,12,2009,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241217111431568832576112610127142',NULL,'270',45.05,1,3,NULL),(16,3045595,'1989-05-01 00:00:00',4,2,9,2007,'M','N','JARDIM SÃO PAULO','S JOÃO BATISTA','SC','124243247626572111533331385125610162192',NULL,'9999',0.00,1,3,NULL),(16,3045609,'1990-09-05 00:00:00',4,1,12,2007,'F','N','CENTRO','DIVINOLÂNDIA','SP','125251251217471431563315595112610134147',11110,'9998',46.82,1,3,NULL),(16,3045633,'1980-09-03 00:00:00',4,1,12,1998,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124161166121115431123342145114333261172',NULL,'9998',27.27,1,2,1),(16,3045641,'1991-05-24 00:00:00',4,5,11,2008,'M','N','PIO CÔRREA','CRICIÚMA','SC','124242241215121741388812576112610134012',10099,'226',48.61,1,3,NULL),(16,3045650,'1990-08-06 00:00:00',4,1,12,2007,'F','N','PARK WAY','NUC BANDEIRANTE','DF','107072071235371431588914575112610116046',NULL,'9998',0.00,1,3,NULL),(16,3045668,'1990-08-28 00:00:00',4,1,12,2007,'M','N','CAPÃO','GAROPABA','SC','124241241145161552432311585214610114047',NULL,'322',38.81,1,3,NULL),(16,3045684,'1990-02-19 00:00:00',2,1,12,2007,'M','N','CENTRO','POLONI','SP','125251251117471441436333575114610166177',1042,'9998',71.79,1,2,1),(16,3045692,'1987-07-13 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241115274241576914375122231067042',11232,'267',46.59,1,2,1),(16,3045706,'1991-07-18 00:00:00',4,8,12,2008,'F','N','CENTRO','STA BÁRBARA D OESTE','SP','125252251215471431368831575122610163196',3677,'9998',61.88,1,3,NULL),(16,3045714,'1990-06-21 00:00:00',4,1,11,2007,'F','N','VILA CLEMENTINO','S PAULO','SP','125252251237471412448811592115610126147',433,'9998',76.43,3,3,NULL),(16,3045722,'1989-02-14 00:00:00',4,1,12,2006,'F','N','AZAMBUJA','BRUSQUE','SC','124241241127471411446953344113130227141',14919,'115',39.85,1,2,1),(16,3045749,'1991-03-28 00:00:00',2,1,12,2008,'F','N','CENTRO','PALHOÇA','SC','124242241216111731335732572122610168197',NULL,'1010',30.31,1,3,NULL),(16,3045757,'1982-09-10 00:00:00',4,1,11,2000,'M','N','CENTRO','PAPANDUVA','SC','224241241217162721245942422332321568177',NULL,'541',0.00,1,3,NULL),(16,3045773,'1988-02-08 00:00:00',4,8,12,2005,'F','N','BAIRRO SÃO RAFAEL','RIO NEGRINHO','SC','124163241215575411557812574124610147012',70,'9998',81.72,1,3,NULL),(16,3045803,'1990-02-14 00:00:00',4,1,11,2007,'F','N','SAPOPEMBA','S PAULO','SP','125252251116571431444519571114610121077',NULL,'9998',25.73,1,3,NULL),(16,3045811,'1990-10-15 00:00:00',4,8,12,2007,'M','N','YPIRANGA','ERECHIM','RS','120202201215471411313639575112610162097',113,'9998',80.70,1,3,NULL),(16,3045838,'1992-04-21 00:00:00',2,4,12,2009,'F','S','PARQUE DAS PALMEIRAS','CHAPECÓ','SC','124244241217141731458822425124610138092',NULL,'1021',41.22,1,3,NULL),(16,3045846,'1992-05-01 00:00:00',2,4,11,2008,'F','N','CENTRO','PALMITOS','SC','124242241216131431538719595124610124042',15808,'1046',37.75,1,3,NULL),(16,3045862,'1991-05-05 00:00:00',4,6,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215122431426832575122610163147',8012,'1038',52.40,1,3,NULL),(16,3045889,'1991-02-24 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215121431444633172124610133057',8406,'738',51.58,1,3,NULL),(16,3045897,'1989-06-04 00:00:00',4,1,12,2006,'M','N','CAMPINAS','S JOSÉ','SC','124241241215272741438811245124122144191',2654,'723',64.82,1,3,NULL),(16,3045919,'1991-02-17 00:00:00',2,1,12,2008,'F','N','AGRONÔMICA','FLORIANóPOLIS','SC','124243241215112411559612575124610148187',12628,'1022',44.13,1,3,NULL),(16,3045927,'1987-04-16 00:00:00',4,6,12,2006,'F','N','RESSACADA','ITAJAÍ','SC','124242241215573731337712572224610112097',5216,'1026',58.08,1,3,NULL),(16,3045935,'1989-05-22 00:00:00',4,1,12,2006,'M','N','PARQUE SAO JORGE','MARÍLIA','SP','125252251217571431349834572112610137017',3618,'9998',62.04,4,3,NULL),(16,3045943,'1983-02-01 00:00:00',2,8,12,2000,'M','N','CENTRO','RIO NEGRINHO','SC','124241241136131441534336132314331267147',10850,'331',47.27,1,2,1),(16,3045951,'1991-02-16 00:00:00',4,8,11,2008,'F','N','CENTRO','MARINGÁ','PR','116162161215111431234822492122610114182',4964,'9998',58.69,3,3,NULL),(16,3045960,'1992-04-25 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241214111522468513575122610123051',15421,'270',38.73,1,3,NULL),(16,3045986,'1991-09-22 00:00:00',2,4,11,2008,'M','N','BELA VISTA','CHAPECÓ','SC','124244241215371231546714375124610137067',NULL,'1094',34.41,4,3,NULL),(16,3045994,'1991-02-01 00:00:00',2,1,12,2007,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241416372731357824575124610167062',7799,'1074',52.76,1,3,NULL),(16,3046001,'1980-10-18 00:00:00',4,1,12,1998,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224241241315473731248951435122322833117',359,'270',77.25,1,3,NULL),(16,3046010,'1989-04-21 00:00:00',2,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241116472731438621345124610124147',NULL,'592',11.08,4,3,NULL),(16,3046028,'1991-10-06 00:00:00',4,1,11,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215371731469713572122610126072',635,'273',74.65,1,3,NULL),(16,3046036,'1990-01-11 00:00:00',2,2,12,2007,'F','N','NAÇOES','INDAIAL','SC','124241241215472431467614475114610124077',6312,'88',55.65,1,3,NULL),(16,3046052,'1988-11-12 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSÉ','SC','124201201116372431243473475124610141147',4145,'9998',60.66,1,2,1),(16,3046060,'1991-09-15 00:00:00',4,1,12,2009,'M','S','DANIELA','FLORIANóPOLIS','SC','124242241217151431538611572124610167132',NULL,'1048',58.92,1,3,NULL),(16,3046079,'1991-06-15 00:00:00',2,7,11,2008,'F','N','CENTRO','CAPINZAL','SC','124241241215371431348931574122610146092',NULL,'1093',36.64,1,3,NULL),(16,3046087,'1991-07-20 00:00:00',4,1,11,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215112432465932572122610117132',692,'270',74.28,1,3,NULL),(16,3046095,'1989-12-06 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215371431469813575114610127062',13524,'272',42.58,4,3,NULL),(16,3046109,'1986-07-27 00:00:00',4,3,12,2003,'F','N','RIO PEQUENO','CAMBORIÚ','SC','124242242116142711447834215122331026193',5067,'129',58.47,1,3,NULL),(16,3046117,'1992-01-06 00:00:00',4,1,10,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124204248615371631367839591124610124142',NULL,'9997',23.56,1,3,NULL),(16,3046125,'1991-03-26 00:00:00',4,8,12,2008,'M','N','VILA NOVA','RIO NEGRINHO','SC','124242241236371331436933375122610158172',NULL,'666',0.00,1,3,NULL),(16,3046133,'1992-08-10 00:00:00',5,1,12,2008,'M','N','AREIAS','S JOSÉ','SC','124244242116131431456923575124610126057',4306,'129',60.22,1,3,NULL),(16,3046141,'1991-04-16 00:00:00',4,1,12,2008,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241116231431428819335122610114047',NULL,'941',20.66,1,2,1),(16,3046150,'1989-11-06 00:00:00',4,1,12,2007,'F','N','DANIELA','FLORIANóPOLIS','SC','124242241217373331538611572124131026132',367,'1048',77.21,1,3,NULL),(16,3046168,'1989-02-15 00:00:00',4,1,6,2007,'F','N','ZONA QUATRO','MARINGá','PR','116164161416371431688814574112610121113',5829,'9998',56.72,3,3,NULL),(16,3046176,'1988-05-13 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215575431488811575112122527141',749,'270',73.86,3,3,NULL),(16,3046184,'1991-01-17 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111431448911572114610168197',NULL,'1022',25.54,1,3,NULL),(16,3046192,'1991-07-29 00:00:00',4,2,12,2008,'F','N','DOS ESTADOS','INDAIAL','SC','124242241215271431489914275114610134181',10261,'855',48.33,1,3,NULL),(16,3046214,'1991-04-10 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124244241215111221533631275124610113147',8651,'442',51.16,1,3,NULL),(16,3046230,'1987-06-19 00:00:00',2,1,12,2008,'F','N','ARMAÇÃO','FLORIANóPOLIS','SC','124241241321112411236923375124610123087',NULL,'9999',27.77,1,3,NULL),(16,3046257,'1990-07-02 00:00:00',4,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124242241217472731489614575122610134042',5016,'457',58.57,3,3,NULL),(16,3046265,'1989-05-23 00:00:00',4,5,11,2006,'M','N','SÃO SIMAO','CRICIúMA','SC','124242241215371411378611345122610126123',2223,'210',66.33,1,3,NULL),(16,3046273,'1991-02-07 00:00:00',2,1,11,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241136271431533539392124610127077',NULL,'730',22.30,1,3,NULL),(16,3046281,'1988-10-16 01:00:00',4,1,12,2005,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124242241215574431468832572122610127091',104,'266',80.90,1,3,NULL),(16,3046290,'1991-07-20 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216222431467632475122613262097',14175,'1038',41.27,1,3,NULL),(16,3046303,'1989-05-02 00:00:00',2,1,11,2006,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241217131431525633486124610124147',11584,'1036',46.02,1,3,NULL),(16,3046311,'1990-07-07 00:00:00',2,1,12,2007,'M','N','JARDIM RUSSI','TAUBATÉ','SP','125252251216411431559823596124610117017',2501,'9998',65.33,1,3,NULL),(16,3046320,'1989-03-13 00:00:00',4,1,12,2007,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241243216131411128944345114610131197',6251,'1001',55.78,1,3,NULL),(16,3046338,'1991-01-30 00:00:00',4,1,12,2008,'F','N','JARDIM CHAPADÃO','CAMPINAS','SP','125252251217111731326634574112610123092',8686,'9998',51.10,1,3,NULL),(16,3046346,'1991-06-02 00:00:00',4,7,12,2008,'M','N','CENTRO','CAPINZAL','SC','124241246116131431423339375124610124052',NULL,'196',0.00,1,2,1),(16,3046354,'1988-12-05 00:00:00',4,1,12,2006,'M','N','OLIVEIRA BARROS','MIRACATU','SP','125254251217571411469611374124610127057',335,'9998',77.56,1,3,NULL),(16,3046362,'1983-05-13 00:00:00',4,8,12,2002,'F','N','JD AEROPORTO','ARAÇATUBA','SP','125253251126471721544319245123610164097',NULL,'9998',0.00,1,3,NULL),(16,3046370,'1986-08-17 00:00:00',2,1,12,2004,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124254251217273431326649492114610137182',10236,'9998',48.37,1,3,NULL),(16,3046397,'1991-01-17 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202241215111431436611475124610137075',4773,'270',59.12,1,3,NULL),(16,3046400,'1991-09-10 00:00:00',2,8,12,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241216121431446814575122610147142',7578,'1016',53.19,1,3,NULL),(16,3046427,'1991-03-03 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215131431569633572124610161072',13368,'269',42.85,1,3,NULL),(16,3046435,'1990-05-26 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216373431447711575124232444075',NULL,'1051',0.00,1,3,NULL),(16,3046443,'1990-12-14 00:00:00',4,10,12,2008,'M','N','REVOREDO','TUBARÃO','SC','124242241217142431467814571121610167072',10154,'1120',48.51,1,3,NULL),(16,3046451,'1992-02-06 00:00:00',4,8,12,2008,'M','N','CENTRO','CANOINHAS','SC','124242241215111231569613575122610167122',NULL,'154',23.51,1,3,NULL),(16,3046486,'1991-08-07 00:00:00',4,3,11,2008,'M','N','CANTO DA PRAIA','ITAPEMA','SC','124243241215371431336832572124610122127',NULL,'403',21.93,1,3,NULL),(16,3046494,'1990-07-10 00:00:00',4,10,11,2007,'M','N','SAO MIGUEL','GRAVATAL','SC','124241241316132431323416572224232434052',1150,'806',71.19,1,3,NULL),(16,3046508,'1989-01-07 00:00:00',4,1,12,2006,'M','N','ASA NORTE','BRASÍLIA','DF','107072071216572431458814585124610164047',7812,'9998',52.75,1,3,NULL),(16,3046516,'1992-12-05 00:00:00',4,1,12,2009,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241115151431569933575122610144097',NULL,'267',34.31,1,3,NULL),(16,3046532,'1992-07-24 00:00:00',4,1,12,2009,'M','S','CENTRO','JARAGUÁ SUL','SC','124243241217111431358611572122610137142',NULL,'424',46.23,1,3,NULL),(16,3046540,'1992-07-20 00:00:00',4,1,12,2009,'F','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217151431238929572124610133145',NULL,'262',35.56,1,3,NULL),(16,3046559,'1992-01-12 00:00:00',4,1,12,2010,'F','S','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124242241215171431468832574122610123071',NULL,'270',20.76,1,3,NULL),(16,3046567,'1990-02-13 00:00:00',4,1,12,2007,'M','N','VILA MADALENA','S PAULO','SP','125252251217471431238831575112610164047',NULL,'9998',31.58,1,3,NULL),(16,3046575,'1991-11-02 00:00:00',4,4,12,2008,'M','N','CENTRO','PINHALZINHO','SC','124241241117271411545834274111610167012',NULL,'616',30.80,1,3,NULL),(16,3046591,'1991-11-14 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248111131752626519572125610126197',12031,'295',45.22,1,2,1),(16,3046605,'1987-08-13 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241332373411248712572324610162042',5934,'307',56.48,1,3,NULL),(16,3046613,'1990-08-24 00:00:00',4,8,12,2007,'M','N','CENTRO','MEDIANEIRA','PR','116162161215472431468813572121610154132',3940,'9998',61.23,1,3,NULL),(16,3046621,'1991-08-15 00:00:00',2,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124241241115131431336414245124610144091',15609,'591',38.30,2,1,1),(16,3046630,'1991-09-09 00:00:00',4,1,12,2008,'F','N','ABRAAO','FLORIANOPOLIS','SC','124242241217271431489933575124610164147',8453,'262',51.48,1,3,NULL),(16,3046648,'1987-05-19 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215575731245963445124131464117',10338,'260',48.19,1,3,NULL),(16,3046656,'1984-09-06 00:00:00',2,1,11,2003,'F','N','PRAIA DA FERRUGEM','GAROPABA','SC','124202247122131441218849292121140663111',NULL,'9999',0.00,1,3,NULL),(16,3046664,'1992-02-12 00:00:00',4,7,11,2008,'F','N','CENTRO','CONCÓRDIA','SC','124242241215151431348732572122610161057',NULL,'1000',26.71,1,3,NULL),(16,3046672,'1991-09-01 00:00:00',4,8,12,2008,'M','N','BOM RETIRO','JOINVILLE','SC','124244246437131411238824585124610144127',NULL,'476',28.67,1,3,NULL),(16,3046699,'1990-11-14 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241215111431453314575121610127062',1003,'1038',72.05,1,3,NULL),(16,3046702,'1991-12-17 00:00:00',2,4,12,2008,'M','N','BELA VISTA','CHAPECÓ','SC','124241241335131231558613572124610127177',NULL,'185',33.40,1,3,NULL),(16,3046710,'1992-09-30 00:00:00',4,9,12,2009,'F','S','CENTRO','LAGES','SC','124243241215111231538716575122610124142',NULL,'1146',48.18,3,3,NULL),(16,3046729,'1992-09-16 00:00:00',4,4,11,2009,'M','S','CENTRO','ITAPIRANGA','SC','124241241221161431448613574122610137042',NULL,'1060',50.32,1,3,NULL),(16,3046745,'1991-06-03 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241211111731448712572122610141147',14874,'738',39.94,1,3,NULL),(16,3046753,'1981-10-24 00:00:00',2,1,12,1999,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244246416474431533634442124222327085',NULL,'300',31.63,4,1,2),(16,3046761,'1991-01-17 00:00:00',4,1,12,2008,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251217111431468834575121610162187',5390,'9998',57.68,1,3,NULL),(16,3046770,'1991-02-26 00:00:00',4,5,10,2008,'M','N','PRINCESA ISABEL','CRICIúMA','SC','124244241215111431447313395125610124142',12824,'226',43.81,1,3,NULL),(16,3046788,'1990-12-27 00:00:00',4,8,12,2008,'F','N','FLORESTA','JOINVILLE','SC','124244241216121431439914575124610126182',9452,'932',49.81,1,3,NULL),(16,3046796,'1980-02-15 00:00:00',2,1,12,1997,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124121241215235411429513385124131067117',NULL,'258',25.72,1,3,NULL),(16,3046818,'1987-05-25 00:00:00',4,1,12,2005,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124252241216272431457812572114131827061',2203,'883',66.40,1,3,NULL),(16,3046826,'1991-08-30 00:00:00',2,1,12,2008,'F','N','ARIRIÚ','PALHOÇA','SC','124241241112151721339923341324610111182',NULL,'733',20.89,1,2,1),(16,3046834,'1991-06-14 00:00:00',4,4,12,2008,'F','N','CENTRO','CLEVELÂNDIA','PR','116162161415271431436712575112610147047',14916,'9998',39.85,4,3,NULL),(16,3046842,'1991-02-05 00:00:00',4,7,12,2008,'F','N','ALVORADA','VIDEIRA','SC','124243241211171711558833571122610162197',NULL,'829',46.76,1,3,NULL),(16,3046850,'1989-05-12 00:00:00',2,1,11,2008,'M','N','CENTRO','S JOSÉ','SC','124242241217131431448923435124610166122',NULL,'1075',23.29,1,3,NULL),(16,3046877,'1991-01-03 00:00:00',4,9,12,2008,'M','N','OLARIA AMBRÓSIO','ANITA GARIBALDI','SC','124241241116161521433923482214610165177',NULL,'18',21.22,1,2,1),(16,3046885,'1991-07-24 00:00:00',4,1,11,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124203241216131551337913575114610162191',10665,'1022',47.63,1,3,NULL),(16,3046893,'1990-09-17 00:00:00',4,8,12,2008,'M','N','INDUSTRIAL SUL','RIO NEGRINHO','SC','124242241215111431444912175122610138057',10158,'666',48.51,1,3,NULL),(16,3046907,'1991-09-04 00:00:00',4,1,12,2008,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115142431443614245124610138052',NULL,'733',28.14,1,2,1),(16,3046915,'1966-01-21 00:00:00',4,1,12,1983,'M','N','INGLESES','FLORIANÓPOLIS','SC','624201208116141431421448212124610162187',NULL,'9998',33.31,4,3,NULL),(16,3046923,'1991-04-09 00:00:00',4,2,12,2008,'F','N','GARCIA','BLUMENAU','SC','124201241416121331567614475124610125142',15753,'87',37.91,4,3,NULL),(16,3046931,'1991-05-05 00:00:00',4,1,12,2008,'M','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241225131431433314575114610167042',NULL,'262',28.75,1,3,NULL),(16,3046940,'1991-09-21 00:00:00',4,4,12,2008,'M','N','ZONA RURAL','SEARA','SC','124241241145141431536314245121610147042',NULL,'764',0.00,1,2,1),(16,3046958,'1992-01-01 00:00:00',2,4,12,2008,'F','N','CENTRO','SUL BRASIL','SC','124241241116371431559613475122610167052',NULL,'775',35.55,1,2,1),(16,3046966,'1991-04-23 00:00:00',4,1,11,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215122431437712592124610136182',NULL,'1022',27.34,1,3,NULL),(16,3046974,'1990-05-02 00:00:00',4,1,11,2007,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124244241217472441469813434124610166092',7585,'270',53.18,4,3,NULL),(16,3046982,'1990-01-31 00:00:00',4,1,11,2006,'F','N','NOVO MUNDO','CURITIBA','PR','116163161316472411246923335124241026017',NULL,'9998',0.00,1,3,NULL),(16,3046990,'1991-05-25 00:00:00',4,8,12,2008,'M','N','AMIZADE','JARAGUÁ SUL','SC','124243241435111431346714245121610137042',NULL,'1061',24.78,2,1,2),(16,3047008,'1990-03-19 00:00:00',4,3,11,2007,'M','N','BATEL','CURITIBA','PR','116162161217412431438934595111610127072',NULL,'9998',37.17,1,3,NULL),(16,3047016,'1987-06-29 00:00:00',4,9,12,2004,'M','N','CENTRO','CURITIBANOS','SC','124241241116575431443313472112610168187',NULL,'239',32.21,1,2,1),(16,3047024,'1981-05-13 00:00:00',4,2,11,1998,'M','N','CENTRO','BLUMENAU','SC','125242241215471431237823385225130261117',8212,'909',51.97,1,3,NULL),(16,3047032,'1991-08-15 00:00:00',4,2,11,2008,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241214111431337624575112610131147',13712,'71',42.24,1,3,NULL),(16,3047040,'1988-06-12 00:00:00',2,1,12,2005,'M','N','AREIAS DE MACACU','GAROPABA','SC','124241248126131411423318192124610167052',NULL,'322',25.21,1,2,1),(16,3047059,'1991-08-05 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215112431569811575114610136042',4319,'109',60.21,1,3,NULL),(16,3047067,'1991-05-11 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241217321731458933575122610164142',7806,'499',52.75,1,3,NULL),(16,3047075,'1987-01-25 00:00:00',4,1,12,2005,'M','N','CECAP','TUPã','SP','125251257137571741326669495122610167057',NULL,'9998',28.18,1,3,NULL),(16,3047083,'1991-07-24 00:00:00',4,1,11,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215122431349934472124610155057',7038,'266',54.22,1,3,NULL),(16,3047105,'1990-11-05 00:00:00',4,1,11,2008,'M','N','AREIAS','S JOSÉ','SC','124241241415151431337723375124610168181',11299,'976',46.47,1,3,NULL),(16,3047130,'1988-07-12 00:00:00',4,8,7,2006,'M','N','AMERICA','JOINVILLE','SC','124242247436472231486612472122232662097',8445,'489',51.50,1,3,NULL),(16,3047148,'1991-09-10 00:00:00',2,1,12,2008,'F','N','CENTRO','FARTURA','SP','125252251217471411366612272115610162042',NULL,'9998',0.00,1,3,NULL),(16,3047156,'1990-02-22 00:00:00',4,2,12,2007,'F','N','TRIBESS','BLUMENAU','SC','124241241215372731569614571124610123147',2563,'88',65.12,1,3,NULL),(16,3047172,'1991-03-19 00:00:00',4,1,12,2007,'M','N','CENTRO','PALOTINA','PR','116164161416412431678632595122610167042',1695,'9998',68.44,4,3,NULL),(16,3047199,'1990-03-21 00:00:00',2,1,12,2007,'F','N','JARDIM AS ACÁCIAS','S JOSé','SC','124241241215472431526631385124610133143',6116,'1022',56.11,1,3,NULL),(16,3047202,'1985-02-03 00:00:00',2,5,12,2002,'F','N','SÃO CRISTOVÃO','TURVO','SC','124241248116131221533416442123331225077',NULL,'814',0.00,1,3,NULL),(16,3047210,'1991-05-06 00:00:00',4,7,12,2008,'M','N','FARROUPILHA','VIDEIRA','SC','124241241141161411526614241325610122177',11291,'831',46.48,4,2,1),(16,3047229,'1990-07-19 00:00:00',4,4,12,2007,'F','N','NATUREZA','ITÁ','SC','124241241115472431338614571125610125142',NULL,'384',23.25,1,2,1),(16,3047245,'1990-11-05 00:00:00',2,1,12,2007,'F','N','CENTRO','RIO SUL','SC','124242241215372431469412225124610162192',11156,'991',46.73,1,3,NULL),(16,3047253,'1990-01-27 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124241241116472421558413445124610124147',8241,'307',51.89,1,2,1),(16,3047261,'1990-12-27 00:00:00',4,1,12,2008,'F','N','ITAGUÁ','UBATUBA','SP','125252251217371431238814372211610128147',11446,'9998',46.27,1,3,NULL),(16,3047270,'1985-01-30 00:00:00',4,1,12,2002,'M','N','VILA REZENDE','GOIÂNIA','GO','109092091216571731558831572122240262092',109,'9998',80.77,1,3,NULL),(16,3047296,'1991-08-21 00:00:00',4,1,12,2008,'F','N','RIBEIRANIA','RIBEIRÃO PRETO','SP','125252251216111531449611575122610167012',NULL,'9998',34.60,1,3,NULL),(16,3047318,'1991-02-06 00:00:00',4,5,12,2008,'M','N','CENTRO','PR GRANDE','SC','124241241117271431458913295122610124042',2361,'641',65.83,1,2,1),(16,3047326,'1991-09-04 00:00:00',2,4,12,2008,'F','N','CENTRO','FLOR S SUL','PR','116113161336371731433639345125610144147',NULL,'9998',30.56,1,3,NULL),(16,3047334,'1975-03-30 00:00:00',2,1,12,1997,'F','N','FLORESTA','S JOSÉ','SC','124242247226274431435319572114131316197',NULL,'735',21.35,2,3,NULL),(16,3047342,'1989-06-02 00:00:00',2,7,11,2007,'M','N','CENTRO','CONCóRDIA','SC','124241241316371431446932445122141448122',15924,'1000',37.43,1,3,NULL),(16,3047350,'1990-01-11 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116244241215471411468832571122610166077',4486,'9998',59.81,1,3,NULL),(16,3047369,'1992-10-20 00:00:00',2,1,12,2008,'M','N','CENTRO','RIO SUL','SC','124242241215111431469412225122610162177',8180,'991',52.05,1,3,NULL),(16,3047377,'1990-08-08 00:00:00',2,4,12,2007,'M','N','CENTRO','SERRA ALTA','SC','124241241136162731323624382225231568147',NULL,'765',29.95,1,2,1),(16,3047385,'1991-04-22 00:00:00',4,1,12,2008,'M','N','MIGUEL COUTO','CPO GRANDE','MS','112122121217471431478814572122610138122',7590,'9998',53.17,3,3,NULL),(16,3047393,'1990-10-17 00:00:00',2,1,11,2008,'F','N','CENTRO','TIJUCAS','SC','124242241217111421547732345122610167047',NULL,'407',24.01,1,3,NULL),(16,3047407,'1975-03-03 00:00:00',4,1,7,1992,'F','N','CENTRO','FLORIANóPOLIS','SC','124201205116152411336642322112140727147',NULL,'9998',26.14,1,2,1),(16,3047415,'1990-03-10 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241248237132431357779345114610167115',NULL,'269',36.19,1,3,NULL),(16,3047423,'1991-11-01 00:00:00',4,1,11,2009,'M','S','LAGOA DA CONCEICAO','FLORIANóPOLIS','SC','124242241217111731337834595121610167052',NULL,'299',62.45,1,3,NULL),(16,3047440,'1991-05-09 00:00:00',2,4,12,2007,'F','N','HENRIQUE PANTE','S MARCOS','RS','120203201216472431549933472114610137147',2551,'9998',65.18,1,3,NULL),(16,3047458,'1985-07-23 00:00:00',5,1,11,2002,'F','N','CENTRO','TIJUCAS','SC','124242241216375421547732245124222267142',14278,'270',41.10,1,3,NULL),(16,3047474,'1991-06-05 00:00:00',4,7,11,2008,'F','N','FLORESTA','CONCóRDIA','SC','124242241216131431236924575122610144172',NULL,'1000',28.91,1,3,NULL),(16,3047482,'1990-04-02 00:00:00',2,1,12,2007,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241335212421438612342224610116047',12475,'1098',44.44,4,3,NULL),(16,3047490,'1988-04-21 00:00:00',2,1,12,2005,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241122134421423331382124222327147',10472,'307',47.96,1,2,1),(16,3047504,'1986-12-19 00:00:00',4,1,12,2006,'F','N','IPÊ I','MOGI GUAÇU','SP','125253258116471451338823575112142435177',4754,'9998',59.17,1,3,NULL),(16,3047512,'1991-06-11 00:00:00',4,8,11,2008,'F','N','CENTRO','MAFRA','SC','124241161215121431339513572122610137147',NULL,'9998',0.00,1,3,NULL),(16,3047520,'1990-04-09 00:00:00',4,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','124242241215271411456612375112610128122',15552,'168',38.43,1,3,NULL),(16,3047539,'1965-01-20 00:00:00',4,1,12,1982,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','224252251217371411368843335122343266143',7883,'9998',52.63,1,3,NULL),(16,3047555,'1990-12-07 00:00:00',4,3,12,2007,'M','N','CENTRO','PARANAVAÍ','PR','116164161215472431567716472112610168052',NULL,'9998',44.55,1,3,NULL),(16,3047563,'1988-01-21 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216575451259811575124220626185',1200,'88',70.92,1,3,NULL),(16,3047580,'1990-04-22 00:00:00',2,1,12,2007,'F','N','CENTRO','BIGUAçU','SC','124241241235372431534633575124610132147',NULL,'1098',35.66,1,3,NULL),(16,3047598,'1989-07-13 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241126374421336634245234610164187',NULL,'287',22.89,1,2,1),(16,3047610,'1988-08-27 00:00:00',4,1,11,2005,'M','N','CENTRO','BAL CAMBORIú','SC','124244241216273421368613345125131462197',NULL,'389',0.00,1,3,NULL),(16,3047636,'1990-12-29 00:00:00',2,1,12,2008,'F','N','JARDIM CIDADE DE FLO','S JOSÉ','SC','124242241215111751436632292124610112147',NULL,'1078',29.47,1,3,NULL),(16,3047652,'1987-05-26 00:00:00',4,1,12,2004,'F','N','CENTRO','S ROQUE','SP','125252251216574431479921571122610137092',1330,'9998',70.22,1,3,NULL),(16,3047660,'1985-02-01 00:00:00',2,1,7,2003,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124243247436141712331624445114333214091',NULL,'9999',23.71,1,3,NULL),(16,3047679,'1990-06-28 00:00:00',4,8,11,2007,'F','N','GUANABARA','JOINVILLE','SC','124242241217472531447914572122231432182',170,'461',79.73,1,3,NULL),(16,3047687,'1989-11-19 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241137471731537439214124610164195',NULL,'295',24.23,4,2,1),(16,3047695,'1987-03-20 00:00:00',2,3,12,2004,'F','N','PEREQUE','ITAPEMA','SC','124111111146161731324449392231610118147',NULL,'9998',28.81,1,3,NULL),(16,3047709,'1991-10-19 00:00:00',4,8,12,2008,'M','N','CENTRO','PARAGUAÇU PAULISTA','SP','125252251216111411667834375112610167142',8650,'9998',51.17,3,3,NULL),(16,3047717,'1990-09-06 00:00:00',2,7,12,2008,'F','N','CENTRO','CAPINZAL','SC','116241161215122431546711315124610167142',4448,'9998',59.90,1,3,NULL),(16,3047725,'1982-10-19 00:00:00',2,10,12,2001,'F','N','VILA MOEMA','TUBARÃO','SC','224241241137271731228659492124332828147',NULL,'524',25.55,1,2,1),(16,3047733,'1982-08-29 00:00:00',2,1,12,1999,'F','N','RATONES','FLORIANOPOLIS','SC','124241246136273741443379145234522532097',10167,'306',48.49,1,2,1),(16,3047741,'1991-04-26 00:00:00',4,8,12,2008,'M','N','CENTRO','BARRA VELHA','SC','124242243215141411438832572124610137072',10176,'1105',48.47,1,3,NULL),(16,3047768,'1992-07-24 00:00:00',4,1,11,2009,'F','S','JARDIM CARANDAÍ','BIGUAÇU','SC','124241241217131431443363434122610166192',NULL,'63',25.85,1,3,NULL),(16,3047784,'1962-05-24 00:00:00',2,1,12,1980,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241243127133421253349295132330866092',NULL,'190',0.00,1,2,1),(16,3047792,'1990-04-27 00:00:00',4,1,12,2007,'F','N','SANTA ROSA','CUIABÁ','MT','111112111237472431569931594122610164142',3454,'9998',62.51,3,3,NULL),(16,3047806,'1992-03-03 00:00:00',4,1,11,2009,'M','S','CóRREGO GRANDE','FLORIANóPOLIS','SC','116162241217151331368812572122610167072',NULL,'9998',47.78,1,3,NULL),(16,3047814,'1988-10-07 00:00:00',2,9,12,2005,'M','N','SALTO GRANDE','ITUPORANGA','SC','124241241135373531446514342212610137012',NULL,'415',28.41,1,3,NULL),(16,3047822,'1990-08-10 00:00:00',4,1,12,2007,'M','N','COAHB II','DOURADOS','MS','112121121214471431436634372121610117147',10052,'9998',48.68,1,3,NULL),(16,3047830,'1991-05-20 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115131431326419575113610117062',4471,'271',59.85,1,2,1),(16,3047865,'1992-05-31 00:00:00',4,4,12,2008,'F','N','FLORESTA','MARAVILHA','SC','124241241116151431323923575122610124147',NULL,'551',0.00,1,2,1),(16,3047873,'1990-08-31 00:00:00',4,8,12,2007,'F','N','CENTRO','ENG BELTRÃO','PR','116163161115471441436933574124610156142',NULL,'9998',0.00,1,3,NULL),(16,3047881,'1987-05-30 00:00:00',4,1,12,2004,'M','N','LIBERDADE','S PAULO','SP','125284251217572431489931571122140662097',152,'9998',79.98,1,3,NULL),(16,3047890,'1987-12-01 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124112211217472411559811491122231066042',7046,'9998',54.20,1,3,NULL),(16,3047903,'1991-01-25 00:00:00',4,1,12,2008,'F','N','PINHEIROS','S PAULO','SP','125252251217111411448832572114610162197',7298,'9998',53.71,3,3,NULL),(16,3047911,'1991-05-06 00:00:00',2,9,9,2008,'F','N','COAB I','S JOAQUIM','SC','124242241215131431428315375125610163147',NULL,'1035',28.39,1,3,NULL),(16,3047920,'1991-08-22 00:00:00',4,4,12,2008,'F','N','CENTRO','CURITIBA','PR','116163161217471231478734575124610124147',NULL,'9998',0.00,1,3,NULL),(16,3047938,'1988-02-14 00:00:00',4,1,12,2005,'F','N','INTERLAGOS','S PAULO','SP','125252251217572431458613575122142667057',1024,'9998',71.97,3,3,NULL),(16,3047946,'1991-03-05 00:00:00',4,6,11,2008,'F','N','SÃO JOÃO','ITAJAÍ','SC','124245241544141431336412245122610164112',15649,'388',38.19,1,3,NULL),(16,3047954,'1990-09-06 00:00:00',2,1,11,2007,'M','N','COMERCIARIO','CRICIúMA','SC','124242241212472431236924475344610167117',2283,'210',66.11,1,3,NULL),(16,3047962,'1991-05-28 00:00:00',4,1,12,2008,'F','N','COSTA NERY','MINEIROS','GO','109092091216111441648911375122610134182',NULL,'9998',0.00,1,3,NULL),(16,3047970,'1990-02-21 00:00:00',4,1,12,2007,'F','N','PINHEIROS','S PAULO','SP','125252251417471411336621575114610132197',NULL,'9998',30.85,3,3,NULL),(16,3047997,'1991-10-08 00:00:00',4,7,12,2008,'F','N','CINQUENTENÁRIO','CONCÓRDIA','SC','124241241117131431458934574122610141142',NULL,'858',25.41,1,3,NULL),(16,3048012,'1991-09-21 00:00:00',4,1,12,2008,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124241241115371731423534575124610148197',NULL,'733',33.38,1,2,1),(16,3048039,'1990-06-16 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242247417131431646614572124610127057',14312,'9999',41.02,1,3,NULL),(16,3048055,'1989-02-10 00:00:00',4,1,12,2006,'M','N','CENTRO','TAUBATÉ','SP','125252251211273411668811582112221467111',331,'9998',77.64,1,3,NULL),(16,3048063,'1979-10-22 00:00:00',2,1,12,2004,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','624251241126132411523859382244610168147',7852,'9999',52.68,1,2,1),(16,3048071,'1990-01-25 00:00:00',2,6,12,2007,'M','N','VIVENDAS DA LAGOA','MACAÉ','RJ','121212211217271731548711592344610127042',NULL,'9998',41.68,1,3,NULL),(16,3048080,'1990-10-09 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217372431668834395122610164162',7832,'1048',52.72,1,3,NULL),(16,3048098,'1990-04-04 00:00:00',4,2,12,2007,'M','N','VELHA CENTRAL','BLUMENAU','SC','124241241117151431236623341124233228052',11757,'77',45.72,1,2,1),(16,3048101,'1990-12-27 00:00:00',4,1,12,2007,'M','N','CENTRO','JARDIM','MS','112122121217472431478832472112610167042',6458,'9998',55.35,1,3,NULL),(16,3048110,'1991-07-13 00:00:00',4,8,11,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242241215371431469811575122610167082',1036,'491',71.82,1,3,NULL),(16,3048136,'1991-01-20 00:00:00',4,1,12,2008,'F','N','SANTO ANTONIO','CPO GRANDE','MS','112124121215111431569811475112610123012',5028,'9998',58.55,1,3,NULL),(16,3048144,'1990-05-19 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124241241117111721326923242124610164087',NULL,'306',19.12,1,2,1),(16,3048152,'1986-12-13 00:00:00',4,1,12,2003,'F','N','MANDAQUI','S PAULO','SP','125252254236571431439814275324610142092',1489,'9998',69.44,1,3,NULL),(16,3048160,'1991-04-05 00:00:00',4,4,11,2008,'F','N','ARI LUNARDI','XAXIM','SC','124241241216151431449913574124610126191',7060,'1081',54.18,1,3,NULL),(16,3048195,'1984-09-05 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217374431557813475112120364092',11151,'272',46.74,1,3,NULL),(16,3048209,'1989-03-29 00:00:00',4,1,6,2008,'M','N','ITAIGARA','SALVADOR','BA','105052051236371731388839594122610127042',NULL,'9998',41.81,1,3,NULL),(16,3048217,'1991-08-01 00:00:00',4,8,10,2008,'F','N','CENTRO','TERRA BOA','PR','116163161217121431348833472124610163172',NULL,'9998',0.00,1,3,NULL),(16,3048225,'1991-08-19 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124242241215131431466714582222610127092',12063,'944',45.17,1,3,NULL),(16,3048241,'1991-06-08 00:00:00',4,7,12,2008,'M','N','LIBERDADE','CONCóRDIA','SC','124241241116151711334631596125610134147',NULL,'192',36.79,1,2,1),(16,3048250,'1991-09-30 00:00:00',4,5,11,2008,'F','N','SAO LUIZ','CRICIÚMA','SC','124241241215131431327511572122610124197',7639,'920',53.08,2,1,2),(16,3048268,'1992-03-20 00:00:00',4,2,12,2008,'F','N','ASILO','BLUMENAU','SC','124052241215151431658814595114610146092',11502,'909',46.16,1,3,NULL),(16,3048276,'1991-05-13 00:00:00',4,1,12,2008,'M','N','GUAIUBA','GUARUJÁ','SP','125252251217321231478923576121610132112',NULL,'9998',0.00,1,3,NULL),(16,3048292,'1990-12-24 00:00:00',4,8,12,2008,'F','N','GLÓRIA','JOINVILLE','SC','124242241215371431458924572222610168072',10894,'932',47.20,1,3,NULL),(16,3048306,'1992-05-18 00:00:00',4,1,12,2009,'F','S','ARMAÇÃO','FLORIANÓPOLIS','SC','124242242112151731666613592112610114012',NULL,'662',19.10,1,3,NULL),(16,3048314,'1990-12-09 00:00:00',4,8,11,2008,'F','N','COMASA','JOINVILLE','SC','124242241215111421456631572122610123182',NULL,'486',34.31,1,3,NULL),(16,3048322,'1991-03-04 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241217272731468929275114221467052',2140,'1081',66.63,1,3,NULL),(16,3048330,'1992-07-07 00:00:00',4,1,11,2010,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217111431479912275112610167012',NULL,'262',31.14,1,3,NULL),(16,3048357,'1990-06-21 00:00:00',4,10,12,2007,'M','N','VILA NOVA','IMBITUBA','SC','124241241115131431324419245124610118142',15176,'359',39.26,3,2,1),(16,3048365,'1988-08-26 00:00:00',4,1,12,2006,'F','N','BROOKLIN','S PAULO','SP','125252258211571711468812575122241063092',NULL,'9998',0.00,1,3,NULL),(16,3048373,'1992-01-11 00:00:00',4,10,12,2008,'F','N','SANTA LUZIA','OSóRIO','RS','120201201117131432446933576114610165057',12265,'9998',44.79,1,2,1),(16,3048381,'1990-08-30 00:00:00',4,1,12,2007,'F','N','ALTO DA LAPA','S PAULO','SP','125252251217571431468931572124610135073',1142,'9998',71.23,1,3,NULL),(16,3048390,'1991-03-07 00:00:00',3,8,10,2008,'F','N','SAGUAÇÚ','JOINVILLE','SC','124242241215372431589931575122610122142',2191,'457',66.44,1,3,NULL),(16,3048403,'1991-06-11 00:00:00',4,2,12,2008,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241215271431548812575125610138147',9877,'107',49.01,1,3,NULL),(16,3048411,'1990-01-08 00:00:00',4,1,12,2007,'M','N','VILA MASCOTE','S PAULO','SP','125252251217371431488711375114140264047',NULL,'9998',0.00,1,3,NULL),(16,3048420,'1989-02-14 00:00:00',2,4,12,2006,'F','N','FLOR','XAXIM','SC','124241241116131731423414445112610128147',NULL,'847',24.91,1,3,NULL),(16,3048454,'1990-03-12 00:00:00',2,1,12,2007,'M','N','ITAGUAÇU II','FLORIANÓPOLIS','SC','124242241215473431538733592122610167081',2609,'262',64.99,1,3,NULL),(16,3048462,'1991-05-09 00:00:00',2,1,11,2008,'F','N','ARIRIÚ DA FORMIGA','PALHOçA','SC','124242241215112431546933472124610135092',6968,'1011',54.35,1,3,NULL),(16,3048470,'1990-03-15 00:00:00',2,1,12,2007,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241215472431566533574124610166077',8356,'1022',51.67,1,3,NULL),(16,3048489,'1989-09-24 00:00:00',4,1,12,2007,'M','N','FLAMENGO','RIO JANEIRO','RJ','121211217217471431357532372124610167095',14839,'9998',40.00,1,3,NULL),(16,3048497,'1990-02-23 00:00:00',4,2,12,2007,'F','N','CPS SANTO ANTONIO','ITU','SP','125252251217472431468834471112610167057',355,'9998',77.29,1,3,NULL),(16,3048500,'1991-06-09 00:00:00',2,7,12,2008,'F','N','CENTRO','PIRATUBA','SC','124241241136371431343823575124610128047',8470,'619',51.45,1,2,1),(16,3048519,'1991-07-29 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242241215121431338822575122610165141',6496,'723',55.29,4,1,2),(16,3048527,'1986-01-16 00:00:00',4,1,12,2003,'M','N','CENTRO','S JOÃO B VISTA','SP','125134131216573451466819571325610161047',1654,'9998',68.65,1,3,NULL),(16,3048535,'1990-08-31 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111411459911575124610135072',1527,'262',69.21,1,3,NULL),(16,3048543,'1991-11-07 00:00:00',2,1,12,2008,'M','N','CENTRO','JD OLINDA','PR','116161161345111431459713595112610127037',NULL,'9998',33.36,1,3,NULL),(16,3048551,'1991-04-29 00:00:00',4,1,12,2008,'M','N','SOBRADINHO','PATOS MINAS','MG','113132131217371441455812575122610134182',NULL,'9998',0.00,1,3,NULL),(16,3048560,'1990-02-18 00:00:00',4,1,12,2007,'M','N','VILA CLEMENTINO','S PAULO','SP','125252251215471331377929575125610167052',6836,'9998',54.60,1,3,NULL),(16,3048578,'1991-02-19 00:00:00',4,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124241241423111711643623394144610124077',NULL,'262',27.88,1,3,NULL),(16,3048594,'1991-05-10 00:00:00',2,1,12,2008,'M','N','PARQUE DAS MONTANHAS','CUNHA','SP','125251251217111431468813575122610134052',NULL,'9998',0.00,1,3,NULL),(16,3048616,'1988-03-27 00:00:00',2,1,6,2007,'M','N','PAGANI','PALHOÇA','SC','124241247217371431433421575124610114041',NULL,'9997',41.93,1,3,NULL),(16,3048624,'1986-01-25 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162161315574421536619571124610142097',1624,'9998',68.79,1,3,NULL),(16,3048640,'1991-06-28 00:00:00',4,6,12,2008,'F','N','FAZENDINHA','ITAJAÍ','SC','124244241217271731537732575124610152142',12951,'9997',43.59,1,3,NULL),(16,3048675,'1990-10-27 00:00:00',4,6,12,2008,'M','N','JARDIM SANTA RITA','MARINGÁ','PR','116162161215111431568823436122610146042',NULL,'9998',0.00,1,3,NULL),(16,3048683,'1990-04-01 00:00:00',2,1,12,2007,'F','N','SANTO ANTONIO','FLORIANóPOLIS','SC','124252251217472711448812495124610168181',6566,'9998',55.14,1,3,NULL),(16,3048713,'1992-04-25 00:00:00',2,1,11,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111311449911416114610137185',NULL,'270',0.00,1,3,NULL),(16,3048730,'1989-10-16 00:00:00',2,1,11,2006,'F','N','JARDIM ZANELLATO','S JOSÉ','SC','124241241226132421533611445134610134012',16062,'262',37.08,4,3,NULL),(16,3048748,'1991-02-15 00:00:00',4,1,12,2007,'F','N','BOTAFOGO','BENTO GONçALVES','RS','120202201217472451539511275124122338187',2270,'9998',66.14,1,3,NULL),(16,3048756,'1988-11-01 00:00:00',4,1,11,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161216152441267923445124221434092',1387,'9998',69.90,1,3,NULL),(16,3048764,'1993-07-13 00:00:00',4,9,12,2010,'F','S','CENTRO','LAGES','SC','124242241217111431369814572122610133187',NULL,'499',46.34,1,3,NULL),(16,3048780,'1988-11-11 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241116374431436633345123610147052',10585,'307',47.77,1,2,1),(16,3048799,'1980-10-23 00:00:00',2,1,12,1998,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241126374431113379275124231026197',15282,'564',39.01,1,2,1),(16,3048802,'1990-08-07 00:00:00',2,1,12,2007,'F','N','ARIRIU DA FORMIGA','PALHOçA','SC','124242241215473231556733475112610168192',10579,'270',47.78,1,3,NULL),(16,3048810,'1987-09-27 00:00:00',2,1,12,2004,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124203208117131431423834442324143264147',NULL,'9998',18.95,1,3,NULL),(16,3048829,'1989-06-21 00:00:00',4,1,12,2006,'F','N','KOBRASOL','S JOSé','SC','124242241215573231328324572124610138095',6327,'723',55.62,1,3,NULL),(16,3048837,'1987-01-10 00:00:00',4,1,12,2005,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124203241217574441438733585214610116035',5339,'1022',57.81,1,3,NULL),(16,3048845,'1989-08-10 00:00:00',4,4,12,2006,'F','N','CENTRO','PATO BRANCO','PR','116162161217512731478631574124610163097',NULL,'9998',0.00,1,3,NULL),(16,3048853,'1988-04-06 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241147133421226444242334610114045',9582,'542',49.57,4,2,1),(16,3048861,'1991-02-20 00:00:00',4,1,12,2008,'M','N','STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC','124242248215111431379711415122610117041',12785,'262',43.86,1,3,NULL),(16,3048888,'1989-05-12 00:00:00',4,8,12,2006,'F','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251215571411458931572122610163047',288,'9998',78.14,1,3,NULL),(16,3048896,'1990-05-30 00:00:00',4,1,12,2007,'M','N','CRISTO REI','CURITIBA','PR','116163161216571751457734575124132448187',6424,'9998',55.43,1,3,NULL),(16,3048900,'1990-12-19 00:00:00',4,1,12,2008,'M','N','CENTRO','LAGES','SC','124242241215112431479813332115610137042',10500,'270',47.91,1,3,NULL),(16,3048918,'1990-09-26 00:00:00',4,1,7,1990,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241117372442469913475114610124092',1149,'306',71.19,1,3,NULL),(16,3048926,'1990-08-13 00:00:00',4,1,12,2007,'M','N','LAGO PARQUE','LONDRINA','PR','116162161215472411468917575121610122182',61,'9998',81.93,1,3,NULL),(16,3048934,'1990-09-18 00:00:00',4,1,12,2007,'F','N','VISTA ALEGRE','PAULÍNIA','SP','125252256117371431436912395122610127087',7151,'9998',54.00,1,3,NULL),(16,3048942,'1992-08-05 00:00:00',4,2,11,2009,'F','S','SUMARÉ','RIO SUL','SC','124242241215112431489911575122610146092',NULL,'991',64.58,1,3,NULL),(16,3048950,'1989-09-23 00:00:00',2,1,12,2006,'F','N','EDU CHAVES','S PAULO','SP','125251251117471731526613332114610114093',NULL,'9998',0.00,4,2,1),(16,3048969,'1989-07-23 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124243241117132221516418585125233214197',NULL,'729',21.16,4,3,NULL),(16,3048977,'1989-01-20 00:00:00',4,8,11,2006,'M','N','PORTÃO','CURITIBA','PR','116252251235571751479814575124610161107',NULL,'9998',0.00,1,3,NULL),(16,3048985,'1991-03-07 00:00:00',4,1,11,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215471431478812575122610122182',2830,'270',64.29,1,3,NULL),(16,3048993,'1989-11-28 00:00:00',4,1,6,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','107074071117471751649833572124140968185',1992,'9998',67.21,1,3,NULL),(16,3049000,'1991-03-14 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115111431213337572124610126177',NULL,'564',21.38,1,2,1),(16,3049019,'1990-06-05 00:00:00',4,1,12,2008,'M','N','SERRARIA','S JOSÉ','SC','224241241136371411226612285124610148145',7733,'306',52.91,1,2,1),(16,3049035,'1991-10-12 00:00:00',4,3,12,2008,'F','N','MORRETES','ITAPEMA','SC','124243241116371431459814371124610127147',10184,'406',48.45,1,3,NULL),(16,3049043,'1986-03-12 00:00:00',4,8,11,2003,'F','N','ALTO DA XV','CURITIBA','PR','116163161116371431423339395124610168142',5123,'9998',58.31,1,3,NULL),(16,3049051,'1991-06-30 00:00:00',3,1,12,2008,'M','N','CHÁCARA DA REPÚBLICA','CAMPINAS','SP','125252251217111431259812471124610117097',NULL,'9998',0.00,1,3,NULL),(16,3049060,'1990-04-04 00:00:00',2,1,12,2007,'F','N','ROÇADO','S JOSÉ','SC','124242241215372431426914572124610123097',8647,'737',51.17,1,3,NULL),(16,3049086,'1986-07-31 00:00:00',4,1,12,2003,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','120202201217271411388821492124142222052',3550,'9998',62.21,1,3,NULL),(16,3049094,'1992-03-03 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241217111411468923576114610167117',NULL,'1022',32.50,1,3,NULL),(16,3049108,'1992-08-03 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431488933575112610132142',NULL,'270',67.13,1,3,NULL),(16,3049116,'1983-03-18 00:00:00',3,1,12,2000,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124202248346143411158843232122330263097',6044,'298',56.24,1,3,NULL),(16,3049132,'1989-09-25 00:00:00',4,1,12,2006,'M','N','ASA SUL','BRASÍLIA','DF','107072071217572731489854472122610166022',3948,'9998',61.20,4,3,NULL),(16,3049140,'1987-10-01 00:00:00',4,6,12,2005,'F','N','CENTRO','ITAJAÍ','SC','124243241216574431538614375122610163147',94,'1026',81.09,1,3,NULL),(16,3049159,'1989-08-18 00:00:00',4,1,12,2007,'F','N','JARDIM AMÉRICA','GOIÂNIA','GO','109092091215371231448812572122610164177',NULL,'9998',0.00,1,3,NULL),(16,3049167,'1989-12-04 00:00:00',4,1,12,2007,'M','N','VILA MASCOTE','S PAULO','SP','125072071217472431366812571124610167097',567,'9998',75.24,1,3,NULL),(16,3049175,'1992-04-27 00:00:00',2,4,12,2008,'M','N','LA SALLE','XANXERê','SC','124242241211111421459939295112610166052',9653,'836',49.43,1,3,NULL),(16,3049183,'1987-10-19 00:00:00',2,1,11,2004,'M','N','VILA NOVA','GOIÂNIA','GO','109143101216571441463636575114610162057',932,'9998',72.49,4,3,NULL),(16,3049205,'1991-04-17 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124254241116472431468613275122610132052',2506,'298',65.31,1,3,NULL),(16,3049213,'1987-02-13 00:00:00',4,1,12,2004,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241216574431378913575122133238092',5987,'499',56.38,1,3,NULL),(16,3049221,'1984-11-24 00:00:00',2,1,12,2002,'F','N','BARREIROS','S JOSé','SC','124242241216373431326611375124222267057',4853,'943',58.96,1,3,NULL),(16,3049248,'1991-07-12 00:00:00',4,1,12,2008,'M','N','MATA DA PRAIA','VITÓRIA','ES','108082081217111431268833575112610147042',2785,'9998',64.46,1,3,NULL),(16,3049256,'1991-02-13 00:00:00',2,6,12,2008,'F','N','CENTRO','ITAJAÍ','SC','124243241212111431538614272122610163177',NULL,'1026',23.85,1,3,NULL),(16,3049264,'1991-08-22 00:00:00',2,1,11,2008,'F','N','CENTRO','PALHOÇA','SC','124242241215372431463632174122610167076',1475,'1011',69.47,1,3,NULL),(16,3049272,'1989-12-15 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124072241215111431556979275125610147042',2648,'266',64.83,1,3,NULL),(16,3049280,'1992-11-25 00:00:00',4,9,12,2009,'F','S','CENTRO','LAGES','SC','124244241216111411349914175125610117037',NULL,'424',37.13,1,3,NULL),(16,3049310,'1990-12-17 00:00:00',4,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124242241215371431666571575122610137142',13093,'1010',43.34,1,3,NULL),(16,3049329,'1992-01-08 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431278933575112610168162',1775,'270',68.10,1,3,NULL),(16,3049337,'1989-10-23 00:00:00',4,6,12,2006,'M','N','CENTRO','ITAJAÍ','SC','124243241212372431538614241131133267047',NULL,'1026',32.24,1,3,NULL),(16,3049345,'1990-07-10 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241415372731433319574124230227141',5586,'1065',57.29,1,3,NULL),(16,3049361,'1990-02-01 00:00:00',2,8,12,2007,'M','N','BOA VISTA','JOINVILLE','SC','124241241225471441636312342124610137141',533,'457',75.53,1,3,NULL),(16,3049370,'1991-03-25 00:00:00',4,3,11,2007,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124241241216372751335923131321610162187',10288,'44',48.27,1,3,NULL),(16,3049388,'1990-08-01 00:00:00',2,1,12,2008,'M','N','PRAINHA','FLORIANÓPOLIS','SC','124241241315421731426624342224610127153',NULL,'1022',28.83,4,1,2),(16,3049396,'1990-02-20 00:00:00',4,1,11,2006,'M','N','VILA CONTANÇA','S PAULO','SP','125122121217571431358814274124610124127',1933,'9998',67.47,1,3,NULL),(16,3049400,'1991-03-21 00:00:00',2,1,12,2008,'F','N','JD DOS EUCALIPTOS','PORTÃO','RS','120201201217371731533832145122610162147',NULL,'9998',22.95,1,3,NULL),(16,3049418,'1991-04-30 00:00:00',4,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215111431466923375124610117057',NULL,'270',32.42,3,3,NULL),(16,3049426,'1990-08-15 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','125252251216472431638811575122610142017',1266,'9998',70.60,1,3,NULL),(16,3049434,'1975-09-19 00:00:00',2,1,12,2000,'F','N','SANTO ANT DE LISBOA','FLORIANÓPOLIS','SC','224241241127131411223353182124610166147',12049,'279',45.20,1,3,NULL),(16,3049450,'1991-01-17 00:00:00',4,1,12,2008,'F','N','JARDIM VITÓRIA','GOIÂNIA','GO','109252091215111431466619572112610124192',8968,'9998',50.63,1,3,NULL),(16,3049469,'1990-12-10 00:00:00',2,1,11,2008,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241217111511457613576124620117117',15102,'270',39.42,1,3,NULL),(16,3049477,'1990-06-17 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124072241216372431566614575124610144095',11856,'1133',45.54,4,3,NULL),(16,3049493,'1988-07-27 00:00:00',4,1,11,2005,'M','N','GUARATIBA','RIO JANEIRO','RJ','121211211136371431433314382124610162072',7280,'9998',53.75,1,2,1),(16,3049507,'1990-11-04 00:00:00',4,9,12,2007,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124243241215472431335933575122610125142',12986,'1065',43.52,1,3,NULL),(16,3049515,'1991-08-18 00:00:00',4,1,11,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124222241215111431469913575124610124011',10143,'270',48.54,2,3,NULL),(16,3049523,'1988-09-29 00:00:00',4,1,12,2005,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124121121112151432535514292124240262045',NULL,'9998',0.00,1,3,NULL),(16,3049531,'1988-02-17 00:00:00',2,8,12,2006,'F','N','GUARAITUBA','PARANAGUá','PR','116164161216311421337414575114142038142',NULL,'9998',26.14,1,3,NULL),(16,3049540,'1991-06-04 00:00:00',2,4,12,2008,'F','N','OS PIONEIROS','ITÁ','SC','124241246116131441426611211124610126177',9359,'196',49.97,1,2,1),(16,3049558,'1991-08-14 00:00:00',4,1,12,2008,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091216111431468836572122610112142',NULL,'9998',0.00,4,3,NULL),(16,3049566,'1989-08-14 00:00:00',4,1,12,2008,'M','N','PRAIA DANIELA','FLORIANóPOLIS','SC','124242241215111431369933574114610132062',15042,'270',39.56,1,3,NULL),(16,3049582,'1988-05-21 00:00:00',4,1,12,2005,'F','N','BELÉM NOVO','PTO ALEGRE','RS','120202201217471731338923474122610121176',2021,'9998',67.10,1,3,NULL),(16,3049590,'1988-06-24 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242243217132731478914492324223064047',16681,'456',33.96,2,1,2),(16,3049604,'1991-05-26 00:00:00',4,1,11,2008,'M','N','JARDIM EMILIA','BONFIM PAULISTA','SP','125092251217111431458816591122610167121',7093,'9998',54.11,1,3,NULL),(16,3049612,'1989-01-08 00:00:00',2,9,12,2007,'M','N','SAGRADO C DE JESUS','LAGES','SC','124243241215372441546914572122610134117',NULL,'499',36.85,1,3,NULL),(16,3049620,'1989-04-24 00:00:00',4,8,12,2006,'M','N','COMASA','JOINVILLE','SC','124241241136131431537534276111610132037',5537,'477',57.39,1,2,1),(16,3049639,'1993-03-10 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431459911572122610166012',NULL,'270',40.52,1,3,NULL),(16,3049647,'1989-11-13 00:00:00',4,3,12,2006,'F','N','CENTRO','VACARIA','RS','124202201216334431336816472124231562147',NULL,'9998',34.21,1,3,NULL),(16,3049655,'1990-06-18 00:00:00',4,8,12,2008,'F','N','BATEL','CURITIBA','PR','116242161215111431489811575122610122127',6946,'9998',54.40,1,3,NULL),(16,3049671,'1982-10-07 00:00:00',4,1,11,2001,'M','N','JARDIM JANAINA','BIGUAÇU','SC','124241248127132431246527345114123062187',12955,'9999',43.58,4,2,1),(16,3049680,'1991-03-05 00:00:00',4,10,7,2008,'M','N','CENTRO','TUBARÃO','SC','124242247412371532358812575122610167072',NULL,'9999',28.30,1,3,NULL),(16,3049698,'1992-03-05 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215121431379813495122610164142',5268,'270',57.94,1,3,NULL),(16,3049701,'1989-07-17 00:00:00',2,8,12,2006,'M','N','CENTRO','CIANORTE','PR','116163161211441221437832591145610164042',1190,'9998',71.00,1,3,NULL),(16,3049710,'1991-02-11 00:00:00',2,1,12,2007,'M','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124241241117162431436812342124610117042',NULL,'307',23.90,1,2,1),(16,3049736,'1990-02-06 00:00:00',4,1,12,2007,'F','N','NOVA IORQUE','ARAÇATUBA','SP','125252251215471431488934474122610162042',NULL,'9998',0.00,4,3,NULL),(16,3049744,'1990-09-14 00:00:00',4,4,11,2007,'M','N','CENTRO','ERECHIM','RS','120202201217271431456414575125610137182',NULL,'9998',0.00,1,3,NULL),(16,3049752,'1990-11-01 00:00:00',4,1,12,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241216474431433412575124610142092',3922,'970',61.27,1,3,NULL),(16,3049760,'1991-06-08 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241215112431227624295115610162052',NULL,'497',32.93,1,3,NULL),(16,3049779,'1992-01-04 00:00:00',4,1,12,2008,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241215111431354433575114613217042',16125,'1022',36.85,1,3,NULL),(16,3049787,'1986-12-14 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124201201116272431235574275112140334182',13424,'9998',42.76,1,2,1),(16,3049795,'1990-05-17 00:00:00',4,1,12,2007,'M','N','SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC','124242241215473731548831574144610112125',8,'270',85.16,1,3,NULL),(16,3049809,'1991-04-25 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124242241217372431488812476124610133055',3787,'262',61.64,1,3,NULL),(16,3049817,'1986-03-28 00:00:00',4,1,12,2003,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124251251126471231445823275121243224024',12694,'9998',44.01,1,2,1),(16,3049833,'1991-10-11 00:00:00',4,1,11,2008,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241217131431326622575124610127052',5684,'737',57.11,1,3,NULL),(16,3049841,'1989-07-26 00:00:00',4,8,12,2006,'M','N','CENTRO','ASSIS','SP','125252251211573431578813475135610122122',4794,'9998',59.08,1,3,NULL),(16,3049850,'1991-10-15 00:00:00',2,1,12,2008,'F','N','BAIRRO IPIRANGA','S JOSÉ','SC','124242241217151431433933572122610132152',7328,'1078',53.66,1,3,NULL),(16,3049868,'1990-02-24 00:00:00',4,1,12,2007,'M','N','CENTRO','PARANAVAí','PR','116161161415372411446823444113610132017',13233,'9998',43.09,1,3,NULL),(16,3049876,'1990-09-21 00:00:00',4,1,12,2007,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','125252251117471431349314472125610125186',913,'9998',72.60,1,3,NULL),(16,3049884,'1991-07-17 00:00:00',4,8,12,2008,'F','N','CENTRO','PNT GROSSA','PR','116164161217121411448519492145610164187',1724,'9998',68.33,1,3,NULL),(16,3049892,'1991-11-08 00:00:00',4,1,11,2008,'M','N','PLANALTO','GUARAÍ','TO','127272271217151411444732484125610166171',531,'9998',75.54,1,3,NULL),(16,3049906,'1989-05-19 00:00:00',2,1,11,2008,'M','N','CENTRO','ERECHIM','RS','120202201237371441485912572122610131122',NULL,'9998',21.12,1,3,NULL),(16,3049914,'1991-04-25 00:00:00',4,1,11,2008,'M','N','JD CIDADE VERDE','CASCAVEL','PR','116163161215372431246639474124610117044',7561,'9998',53.22,3,3,NULL),(16,3049922,'1992-04-21 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215421732365614572112610128092',NULL,'1022',27.52,1,3,NULL),(16,3049949,'1991-04-13 00:00:00',4,5,12,2008,'F','N','CENTRO','MELEIRO','SC','124241241132371431333636272121610138072',14099,'559',41.45,1,2,1),(16,3049957,'1991-10-08 00:00:00',4,8,12,2008,'F','N','CENTRO','NOVA CANTU','PR','116161161116271431446836575122610111177',NULL,'9998',0.00,1,2,1),(16,3049965,'1985-12-12 00:00:00',4,1,11,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216575431539933291124230246092',930,'989',72.51,4,3,NULL),(16,3049973,'1991-06-08 00:00:00',4,8,12,2008,'M','N','SANTO AMARO','S PAULO','SP','125252253217371431449812574124610167112',2442,'9998',65.56,1,3,NULL),(16,3049981,'1990-09-01 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472431468813575124610127062',NULL,'270',11.86,1,3,NULL),(16,3049990,'1989-05-12 00:00:00',4,4,11,2006,'M','N','BELA VISTA','ERECHIM','RS','120203201216141751436721245124141047052',NULL,'9998',26.59,1,3,NULL),(16,3050009,'1989-11-07 00:00:00',4,8,11,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124242241237372431468614432122131067152',4451,'491',59.89,1,3,NULL),(16,3050017,'1985-01-08 00:00:00',2,1,12,2004,'F','N','ESPLANADA','CAXIAS SUL','RS','120201205116131431533319242124140222177',NULL,'9998',24.51,1,2,1),(16,3050025,'1990-11-19 00:00:00',2,1,12,2008,'F','N','SANTA CRISTINA','HOLAMBRA II','SP','125252251215121411358834395122610112142',13938,'9998',41.78,1,3,NULL),(16,3050033,'1987-05-30 00:00:00',4,8,12,2004,'F','N','GLÓRIA','JOINVILLE','SC','124242241216573431266821575122142527122',3806,'457',61.58,1,3,NULL),(16,3050068,'1986-11-09 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124073241417152431368569431223121814092',3945,'269',61.21,1,3,NULL),(16,3050076,'1982-12-23 00:00:00',2,1,12,2000,'F','N','ESTREITO','FLORIANóPOLIS','SC','224243241216575451536374385124133263187',NULL,'259',29.65,1,3,NULL),(16,3050084,'1990-09-10 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244241117371431437611575124610164042',3495,'307',62.39,1,3,NULL),(16,3050092,'1978-09-13 00:00:00',4,8,12,1998,'M','N','ITAJUBA','BARRA VELHA','SC','124253258217134711448614592112121126057',NULL,'9998',41.24,1,3,NULL),(16,3050106,'1991-02-07 00:00:00',2,1,12,2008,'F','N','BARRA DO ARIRIÚ','PALHOçA','SC','124241241115151431333433272124610124047',NULL,'307',21.01,4,2,1),(16,3050114,'1991-10-25 00:00:00',4,1,12,2008,'F','N','VILA RENÔ','PNT PORÃ','MS','112122121216121441569933595125610122012',10381,'9998',48.11,5,3,NULL),(16,3050122,'1991-06-01 00:00:00',4,3,12,2008,'M','N','UNIVERSITARIO','TIJUCAS','SC','124242246215111431548514575121610127057',NULL,'1119',32.10,1,3,NULL),(16,3050130,'1991-10-07 00:00:00',4,1,12,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124242241215111432469934576122610134197',NULL,'1050',60.31,1,3,NULL),(16,3050157,'1990-10-08 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241215371431479911575112610162097',7383,'9997',53.55,1,3,NULL),(16,3050165,'1990-11-04 00:00:00',4,6,12,2008,'F','N','SÃO JOÃO','ITAPEVI','SP','125252251217371431556514245122610128117',NULL,'9998',27.27,4,3,NULL),(16,3050173,'1991-06-07 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431369913392112610166172',1811,'270',67.96,1,3,NULL),(16,3050181,'1992-03-19 00:00:00',2,1,11,2008,'M','N','UMARIZAL','BELÉM','PA','114142141234111441588812575124610144072',8509,'9998',51.40,1,3,NULL),(16,3050211,'1991-02-15 00:00:00',4,1,12,2007,'F','N','CENTRO','CIANORTE','PR','116162161215371431568831574125610134182',NULL,'9998',25.91,1,3,NULL),(16,3050246,'1991-05-29 00:00:00',4,7,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','124242161217471431468832574145610143097',NULL,'9998',0.00,1,3,NULL),(16,3050262,'1990-07-17 00:00:00',4,8,12,2007,'F','N','AGUA VERDE','CURITIBA','PR','116112161214471431326914575124610162197',8208,'9998',51.98,1,3,NULL),(16,3050289,'1962-09-28 00:00:00',4,1,12,1980,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224243248316475751559341115122321532047',6164,'260',56.00,1,3,NULL),(16,3050300,'1991-02-21 00:00:00',4,1,12,2008,'F','N','VILA ITAJUBÁ','FOZ IGUAçU','PR','116162161215111431643839572122610127147',3091,'9998',63.54,1,3,NULL),(16,3050319,'1989-05-04 00:00:00',2,1,12,2006,'F','N','CIANORTINHO','CIANORTE','PR','116252251216111711538839592125243232022',13703,'9998',42.26,1,3,NULL),(16,3050327,'1990-01-25 00:00:00',2,10,11,2006,'F','N','STO ANTONIO DE PÁDUA','TUBARãO','SC','124242241215573431437834571121610141147',381,'807',77.05,1,3,NULL),(16,3050335,'1991-10-12 00:00:00',2,8,11,2008,'F','N','FLORESTA','JOINVILLE','SC','124242241216131431226923572124610127077',5047,'486',58.51,1,3,NULL),(16,3050343,'1990-03-08 00:00:00',2,4,12,2008,'M','N','CENTRO','CHAPECÓ','SC','124242161417371531669611575124610128197',NULL,'9998',30.67,1,3,NULL),(16,3050351,'1991-02-22 00:00:00',4,5,11,2008,'F','N','PIO CORRÊA','CRICIúMA','SC','124242241215111431337714372125610144012',7152,'213',54.00,1,3,NULL),(16,3050360,'1988-05-30 00:00:00',4,1,11,2005,'F','N','BOA VISTA','JOINVILLE','SC','124242241217375431368932172124220662022',2427,'457',65.60,1,3,NULL),(16,3050378,'1990-05-06 00:00:00',4,1,12,2007,'F','N','MANDAQUI','S PAULO','SP','125252251216471431455833575124610122117',10943,'9998',47.13,1,3,NULL),(16,3050386,'1989-10-30 00:00:00',4,8,11,2007,'F','N','BATEL','CURITIBA','PR','616162161215522411356624145122610122117',2079,'9998',66.88,1,3,NULL),(16,3050394,'1989-03-31 00:00:00',4,1,12,2006,'M','N','VILA VERA CRUZ','APUCARANA','PR','116162161217571431358813572112610164072',9060,'9998',50.48,1,3,NULL),(16,3050408,'1991-12-07 00:00:00',4,4,12,2008,'F','N','ESPLANADA','CHAPECó','SC','124241241111371431334613475122610122143',10192,'174',48.44,1,3,NULL),(16,3050416,'1991-05-05 00:00:00',4,1,12,2008,'M','N','CENTRO','CASCAVEL','PR','116162161215411411246624471121610166182',NULL,'9998',0.00,1,3,NULL),(16,3050424,'1990-05-12 00:00:00',4,1,12,2007,'F','N','TAGUATINGA NORTE','TAGUATINGA','DF','107072071217471431589733175114610126184',1608,'9998',68.86,4,3,NULL),(16,3050432,'1990-08-17 00:00:00',4,1,12,2007,'F','N','JARDIM ELDORADO','PALHOçA','SC','124241241114152712343913577124610164147',5312,'739',57.85,4,2,1),(16,3050440,'1991-01-30 00:00:00',2,1,12,2008,'M','N','STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC','124241241125131731523314396124610127057',NULL,'279',28.41,1,2,1),(16,3050467,'1991-02-22 00:00:00',4,1,10,2008,'M','N','CENTRO','PALHOÇA','SC','124242241215321431468832574122610137072',10979,'1011',47.06,1,3,NULL),(16,3050475,'1993-01-27 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217171431536814475122610127147',NULL,'1022',26.30,1,3,NULL),(16,3050483,'1978-01-01 00:00:00',2,8,12,1995,'F','N','SÃO PEDRO','RIO NEGRINHO','SC','124241241111475431623339392124610164187',11044,'671',46.94,1,2,1),(16,3050505,'1982-08-17 00:00:00',2,8,12,1999,'F','N','SÃO PEDRO','RIO NEGRINHO','SC','124241241111475431623339392124610164187',4429,'670',59.94,1,2,1),(16,3050521,'1990-03-10 00:00:00',4,1,12,2007,'M','N','ESPLANADA MENDES','S ROQUE','SP','125252251417471431458824581125610117042',669,'9998',74.43,1,3,NULL),(16,3050530,'1989-11-06 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSé','SC','124243241215574121358513437114121464174',594,'738',74.98,1,3,NULL),(16,3050548,'1991-03-18 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241112271431469614573124610167097',13596,'292',42.46,1,2,1),(16,3050556,'1982-05-22 00:00:00',4,8,12,2000,'M','N','BOM RETIRO','JOINVILLE','SC','124241241126371431223444345124610137042',15812,'629',37.74,2,1,1),(16,3050564,'1989-03-15 00:00:00',4,1,12,2006,'M','N','PONTA NEGRA','MANAUS','AM','104162041216152411479933575124220767043',732,'9998',73.99,1,3,NULL),(16,3050602,'1983-11-04 00:00:00',4,1,12,2001,'M','N','CAMPINAS','S JOSé','SC','124243247227132731126619285133330816117',NULL,'9999',28.18,1,3,NULL),(16,3050629,'1984-02-17 00:00:00',4,1,12,2000,'F','N','VILA ASSUNÇÃO','PTO ALEGRE','RS','120204201217471431439811485122333238097',6195,'9998',55.92,1,3,NULL),(16,3050637,'1985-04-11 00:00:00',4,1,11,2003,'M','N','PARQUE CUIABÁ','CUIABá','MT','111121111146571751433711175114610122187',5281,'9998',57.90,2,1,1),(16,3050645,'1989-10-23 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241117471431433413375124610142017',7453,'307',53.40,1,2,1),(16,3050653,'1991-06-01 00:00:00',4,1,12,2008,'F','N','VILA LENZI','JARAGUÁ SUL','SC','124242241215271431336814575122610122142',NULL,'441',0.00,1,3,NULL),(16,3050688,'1986-09-16 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215374431335723385114610162147',9301,'269',50.07,1,3,NULL),(16,3050696,'1963-10-29 00:00:00',2,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224131247346472741444354395124133268097',13403,'967',42.79,4,3,NULL),(16,3050700,'1987-09-25 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211142431478832595122232826182',NULL,'1098',0.00,1,3,NULL),(16,3050718,'1990-11-12 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215123431469913435112610124123',16083,'270',36.99,1,3,NULL),(16,3050726,'1991-08-11 00:00:00',4,2,12,2008,'F','N','BELCHIOR BAIXO','GASPAR','SC','124242241215112431459614572122610137142',6729,'71',54.81,1,3,NULL),(16,3050734,'1988-12-19 00:00:00',4,1,12,2005,'M','N','GONZAGA','SANTOS','SP','125252251216573431588834575125610133051',201,'9998',79.19,1,3,NULL),(16,3050750,'1990-12-20 00:00:00',2,8,12,2008,'F','N','CAMBUÍ','CAMPINAS','SP','125254251215111431458814485124610167072',10068,'9998',48.65,1,3,NULL),(16,3050769,'1990-06-13 00:00:00',4,1,12,2008,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241415111431441729474122610146072',9588,'1022',49.55,1,3,NULL),(16,3050777,'1990-06-24 00:00:00',4,9,12,2008,'M','N','CENTRO','FRAIBURGO','SC','124241241325111431423554345124610127141',NULL,'314',14.76,1,3,NULL),(16,3050785,'1991-07-09 00:00:00',2,1,11,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241115271411256514375124610164155',1239,'267',70.74,1,3,NULL),(16,3050793,'1989-01-21 00:00:00',4,1,10,2006,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','111112111217471431247512574124610161012',7830,'9998',52.72,1,3,NULL),(16,3050807,'1991-01-17 00:00:00',4,1,11,2008,'F','N','CENTRO','ERECHIM','RS','120202201217371431588814572122610167142',6401,'9998',55.47,1,3,NULL),(16,3050823,'1989-04-14 00:00:00',2,1,12,2006,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241211153431523664485124231063077',4674,'213',59.36,1,3,NULL),(16,3050831,'1991-04-22 00:00:00',4,4,12,2008,'M','N','CENTRO','STA HELENA','PR','116162161217111431349923472122610124012',266,'9998',78.37,1,3,NULL),(16,3050840,'1991-06-19 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241231272711539814575114233261197',NULL,'1046',28.23,1,3,NULL),(16,3050858,'1992-02-27 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124122121217271431638711114124610167092',22,'9998',83.95,1,3,NULL),(16,3050866,'1992-02-27 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124122121217271431638711114124610167142',97,'9998',81.00,1,3,NULL),(16,3050874,'1990-12-17 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431369921571124610164092',582,'491',75.05,1,3,NULL),(16,3050882,'1989-04-27 00:00:00',4,8,12,2006,'F','N','CENTRO','JARAGUÁ SUL','SC','124242161217573431578811474122610147142',1598,'424',68.91,1,3,NULL),(16,3050890,'1988-06-23 00:00:00',4,3,12,2006,'M','N','CENTRO','BOTUCATU','SP','125252251217571411588811475122610138022',1004,'9999',72.05,4,3,NULL),(16,3050904,'1988-11-29 00:00:00',4,1,12,2006,'M','N','IDEAL','NOVO HAMBURGO','RS','120202201216151711437614574112610167053',NULL,'9998',0.00,1,3,NULL),(16,3050912,'1992-08-19 00:00:00',4,1,11,2008,'M','N','RIO DO CEDRO','ÁGUAS MORNAS','SC','124241241215131711546436252224610167045',9363,'1014',49.96,1,3,NULL),(16,3050920,'1992-02-26 00:00:00',4,8,11,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215271731688913575124610167146',3151,'461',63.39,1,3,NULL),(16,3050939,'1991-05-04 00:00:00',4,1,12,2008,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241115141432533431342124610114142',15195,'592',39.22,1,2,1),(16,3050947,'1990-10-26 00:00:00',4,7,12,2007,'M','N','SANTO ANTÔNIO','FRAIBURGO','SC','124243241211371731568634274122610164172',1277,'317',70.53,1,3,NULL),(16,3050955,'1991-05-09 00:00:00',4,4,11,2008,'M','N','TONIAL','XANXERÊ','SC','124243242246151441536714575122610144172',13230,'836',43.10,4,3,NULL),(16,3050971,'1991-06-11 00:00:00',4,4,11,2008,'F','N','SAIC','CHAPECÓ','SC','124244246216111431436614272122610163147',NULL,'1094',32.09,1,3,NULL),(16,3050980,'1989-02-12 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217473431338629572114610161092',NULL,'951',49.81,1,3,NULL),(16,3051005,'1990-10-03 00:00:00',2,1,12,2008,'F','N','REAL PARQUE','S JOSé','SC','124243241117151411333711171122610136192',15582,'734',38.36,1,3,NULL),(16,3051013,'1991-07-15 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124242241233122411447631215124610162097',6074,'1022',56.18,1,3,NULL),(16,3051021,'1988-05-25 00:00:00',4,1,12,2006,'F','N','PORTO DA LAGOA','FLORIANóPOLIS','SC','124242241415373431128831244324610124027',6677,'9999',54.91,4,3,NULL),(16,3051030,'1989-01-09 00:00:00',4,8,12,2005,'F','N','CENTRO','S JOÃO B GLÓRIA','MG','113131131116571111447834475114610134147',NULL,'9998',0.00,1,2,1),(16,3051048,'1990-03-07 00:00:00',2,1,11,2007,'M','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124242241216472441463833575124610122142',2525,'1048',65.25,1,3,NULL),(16,3051056,'1991-04-26 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431468633332122610127072',8294,'1022',51.80,1,3,NULL),(16,3051064,'1991-06-14 00:00:00',4,2,12,2008,'F','N','ÁGUAS CLARAS','BRUSQUE','SC','124242241215112231447613235122610137182',9906,'107',48.93,1,3,NULL),(16,3051072,'1991-06-22 00:00:00',4,8,12,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215111231446911595125610123012',12206,'1016',44.89,1,3,NULL),(16,3051080,'1991-10-28 00:00:00',2,1,12,2008,'M','N','BETÂNIA','ANGELINA','SC','124241241116161431323319192224610118147',6599,'17',55.04,1,2,1),(16,3051099,'1990-04-25 00:00:00',4,1,11,2007,'M','N','SETE DE SETEMBRO','GASPAR','SC','124242241416372431349823475124133232062',7045,'855',54.21,1,3,NULL),(16,3051102,'1988-03-09 00:00:00',2,1,12,2007,'M','N','TAPERA','FLORIANÓPOLIS','SC','124243241227272411533329142334610166047',13927,'9999',41.80,1,3,NULL),(16,3051129,'1990-12-19 00:00:00',4,1,11,2008,'F','N','JARDIM UNIVERSITÁRIO','CUIABá','MT','111112111217111432338711575124610123182',5100,'9998',58.39,3,3,NULL),(16,3051137,'1992-07-13 00:00:00',4,10,11,2008,'M','N','OFICINAS','TUBARÃO','SC','124241246215371631426911572111610164037',3675,'1120',61.89,1,3,NULL),(16,3051153,'1992-12-11 00:00:00',4,1,11,2008,'F','N','ITAGUACU','FLORIANÓPOLIS','SC','124242241212111731468633575124610163192',11654,'1022',45.90,1,3,NULL),(16,3051161,'1992-06-07 00:00:00',4,4,12,2009,'F','S','PRESIDENTE MÉDICE','CHAPECó','SC','124243241117131431438934572122610124077',NULL,'182',54.77,1,3,NULL),(16,3051170,'1989-12-02 00:00:00',2,1,12,2006,'F','N','RIO BRANCO','PTO ALEGRE','RS','120204201217572431448824571124610167017',84,'9998',81.44,1,3,NULL),(16,3051188,'1989-10-09 00:00:00',2,1,12,2007,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241116131431538734345114610167047',NULL,'257',25.61,1,2,1),(16,3051200,'1991-04-29 00:00:00',4,2,12,2008,'F','N','CENTRO','POMERODE','SC','124242241217111431468914275122610141052',12004,'624',45.26,1,3,NULL),(16,3051218,'1990-05-29 00:00:00',2,8,12,2007,'F','N','IRIRIÚ','JOINVILLE','SC','124241248217372431457923372124610162017',9290,'1105',50.09,1,3,NULL),(16,3051226,'1975-10-18 00:00:00',4,1,12,1993,'M','N','CAMPECHE','FLORIANóPOLIS','SC','624253161246135751226554382124120262127',2621,'9998',64.93,1,3,NULL),(16,3051234,'1989-10-29 00:00:00',4,1,12,2006,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124162161216573411469814375124221424182',961,'9998',72.26,1,3,NULL),(16,3051242,'1990-11-28 00:00:00',4,1,11,2008,'M','N','JARDIM AMÉRICA','FOZ IGUAÇU','PR','116161161117141731216624215124610134172',NULL,'9998',18.11,1,3,NULL),(16,3051269,'1989-02-17 00:00:00',2,1,12,2008,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124244241115371731446819371124610134072',10039,'267',48.71,4,3,NULL),(16,3051285,'1990-06-21 00:00:00',2,3,12,2007,'F','N','VILA ADYANA','S JOSÉ CAMPOS','SP','125253251216472411588714575112610141187',8238,'9998',51.89,1,3,NULL),(16,3051293,'1991-01-10 00:00:00',4,4,12,2007,'F','N','CENTRO','XAXIM','SC','124242161316371431469813572112130432126',11483,'9998',46.20,1,3,NULL),(16,3051307,'1985-12-26 00:00:00',4,1,12,2003,'M','N','SALGADO FILHO','CAXIAS SUL','RS','120202201317472411564312345124610167042',1623,'9998',68.79,1,3,NULL),(16,3051315,'1991-06-02 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241117131431438821575125610166097',15313,'267',38.94,1,2,1),(16,3051323,'1990-02-08 00:00:00',2,1,12,2007,'F','N','SÃO JOSÉ','S LEOPOLDO','RS','120201201117471431326621575124610134143',NULL,'9998',20.80,1,2,1),(16,3051331,'1990-06-29 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124221241115372411435714275224610166042',4346,'307',60.14,1,2,1),(16,3051340,'1991-01-12 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216111441479934495124610122127',3837,'270',61.49,1,3,NULL),(16,3051358,'1991-12-17 00:00:00',4,7,11,2008,'F','N','CENTRO','VIDEIRA','SC','116242161217121431247727574122610126047',12490,'9998',44.39,1,3,NULL),(16,3051374,'1989-12-18 00:00:00',4,1,11,2007,'F','N','SÃO BERNARDO','CAMPINAS','SP','125254251217472431449814374124610163177',3534,'9998',62.28,1,3,NULL),(16,3051382,'1991-05-28 00:00:00',4,3,12,2008,'M','N','AREIAS','CAMBORIú','SC','124243241215111431464312295121610137042',12154,'1045',44.98,1,3,NULL),(16,3051390,'1990-10-12 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431458612575112610124177',2553,'266',65.16,1,3,NULL),(16,3051404,'1991-06-23 00:00:00',2,8,12,2008,'M','N','PANCERA','TOLEDO','PR','116161161116271441459914575111610164012',1443,'9998',69.57,1,2,1),(16,3051412,'1989-09-26 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215472431586614575114610117045',NULL,'1022',28.11,1,3,NULL),(16,3051420,'1990-09-28 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215121431438624345114610122192',14107,'1022',41.44,1,3,NULL),(16,3051439,'1991-11-24 00:00:00',4,8,10,2008,'F','N','AMÉRICA','JOINVILLE','SC','124242241215112431369811374122610163142',6925,'486',54.45,1,3,NULL),(16,3051447,'1991-07-28 00:00:00',2,1,12,2008,'M','N','AREIAS','S JOSé','SC','124241241225372431423311385124610117177',7360,'262',53.60,1,3,NULL),(16,3051455,'1986-07-21 00:00:00',4,1,12,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241217154411448933475121233261181',NULL,'87',43.51,4,3,NULL),(16,3051463,'1990-07-10 00:00:00',4,1,12,2007,'F','N','SETOR UNIVERSITÁRIO','GOIÂNIA','GO','109094091117471411226621272124610162142',NULL,'9998',0.00,4,3,NULL),(16,3051471,'1990-07-15 00:00:00',2,8,12,2007,'F','N','ITAPOCU','ARAQUARI','SC','124241241344472731635335575114610128182',5159,'486',58.22,1,3,NULL),(16,3051498,'1991-04-11 00:00:00',4,8,10,2008,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242161215122431458832574122610162142',4417,'9998',59.98,1,3,NULL),(16,3051501,'1992-03-31 00:00:00',4,1,12,2009,'F','S','PICADAS DO SUL','S JOSÉ','SC','124242241212111431579933575122610124017',NULL,'270',24.27,1,3,NULL),(16,3051510,'1991-09-13 00:00:00',4,1,12,2008,'M','N','ANTONIO ZANAGA','AMERICANA','SP','125254251215121531538833571124610118047',NULL,'9998',0.00,4,3,NULL),(16,3051528,'1991-04-14 00:00:00',4,1,12,2008,'M','N','ABRAÃO','FLORIANóPOLIS','SC','124241241117471431459614376124610124142',3999,'307',61.07,1,2,1),(16,3051544,'1991-07-25 00:00:00',2,4,12,2008,'F','N','SETOR B','QUERÊNCIA','MT','111111091217111431449933574324610133012',8502,'9998',51.40,1,3,NULL),(16,3051552,'1990-06-13 00:00:00',4,9,11,2007,'M','N','BOA VISTA','POUSO REDONDO','SC','124241246217472441445923574114610132172',NULL,'1013',67.82,1,3,NULL),(16,3051579,'1991-05-28 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431488812572112610121192',9578,'270',49.57,1,3,NULL),(16,3051587,'1985-03-13 00:00:00',4,8,11,2002,'F','N','CENTRO','IRINEÓPOLIS','SC','124241241146141431323343332224240636097',NULL,'548',21.56,1,2,1),(16,3051595,'1991-06-20 00:00:00',2,1,10,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','116242161216111431459832575122610127147',NULL,'9998',0.00,1,3,NULL),(16,3051617,'1990-03-14 00:00:00',2,1,11,2008,'F','N','CAMPOS ELISEOS','RIBEIRÃO PRETO','SP','125252251217111431368912575112610161182',NULL,'9998',0.00,1,3,NULL),(16,3051625,'1992-03-07 00:00:00',3,1,11,2009,'F','S','CACUPÉ','FLORIANÓPOLIS','SC','124242241217111731238627272124610168047',NULL,'270',68.90,1,3,NULL),(16,3051650,'1990-04-25 00:00:00',4,1,12,2007,'F','N','CENTRO','CASCAVEL','PR','116162161415411411326712182222610162142',NULL,'9998',0.00,1,3,NULL),(16,3051668,'1990-02-22 00:00:00',4,1,9,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241116152731438634395124233266147',4697,'739',59.32,1,3,NULL),(16,3051676,'1990-05-10 00:00:00',2,8,12,2007,'F','N','CENTRO','RIO NEGRO','PR','116162241215471431646619592314610134057',NULL,'541',38.86,1,3,NULL),(16,3051684,'1991-12-02 00:00:00',4,4,12,2008,'F','N','INDUSTRIAL','SEARA','SC','124243241416111231358914574125610163072',NULL,'9997',0.00,1,3,NULL),(16,3051692,'1987-09-25 00:00:00',2,8,11,2008,'M','N','COMASA','JOINVILLE','SC','124243247441131732323319342324610128142',NULL,'9999',8.59,1,3,NULL),(16,3051706,'1991-06-26 00:00:00',4,1,11,2008,'M','N','SERRARIA','S JOSÉ','SC','124241241126141431546614345122610112052',16672,'730',34.08,3,3,NULL),(16,3051714,'1985-12-01 00:00:00',4,1,12,2003,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241117371431436514445114130227077',NULL,'257',30.51,1,2,1),(16,3051722,'1991-02-25 00:00:00',2,5,12,2008,'F','N','CENTRO','CERES','GO','109092091216111411334823492122610164142',NULL,'9998',0.00,1,3,NULL),(16,3051730,'1990-07-28 00:00:00',2,1,12,2007,'F','N','TINGUI','CURITIBA','PR','116161161317471451435812222114610163097',5807,'9998',56.79,1,3,NULL),(16,3051749,'1992-03-02 00:00:00',4,1,12,2009,'M','S','CENTRO','CANOINHAS','SC','124241241117151431548933392121610127047',NULL,'146',49.50,1,3,NULL),(16,3051757,'1988-08-19 00:00:00',4,1,12,2006,'F','N','MORUMBI','S PAULO','SP','125252251217571431579622575122610165017',3725,'9998',61.77,4,3,NULL),(16,3051765,'1991-12-11 00:00:00',2,3,11,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217112431368923572122610127052',1238,'1038',70.75,1,3,NULL),(16,3051773,'1991-03-18 00:00:00',4,4,11,2008,'F','N','MERCÊS','CURITIBA','PR','116162161216471441348821572124610167011',NULL,'9998',0.00,1,3,NULL),(16,3051781,'1988-10-24 00:00:00',4,1,12,2006,'M','N','NOVO AMPARO','AMPARO','SP','125252251216411431579931275122610162187',NULL,'9998',45.26,4,3,NULL),(16,3051790,'1991-04-05 00:00:00',4,8,12,2008,'M','N','VILA LENZI','JARAGUA DO SUL','SC','124243241215371411665532375122610147097',1420,'422',69.67,1,3,NULL),(16,3051803,'1991-09-12 00:00:00',4,1,11,2008,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241115131431426631372124610137052',4516,'271',59.73,4,1,1),(16,3051811,'1993-01-03 00:00:00',4,1,12,2009,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431369833575124610131112',NULL,'270',48.73,2,3,NULL),(16,3051820,'1991-12-25 00:00:00',4,1,12,2009,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111751366923475124610123107',NULL,'272',19.17,1,3,NULL),(16,3051838,'1988-09-04 00:00:00',3,1,12,2006,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215373431369731444132610126142',112,'270',80.71,4,3,NULL),(16,3051846,'1989-12-14 00:00:00',4,4,12,2007,'F','N','CENTRO','RONDINHA','RS','120201201116471431424634572124610137147',1652,'9998',68.65,1,2,1),(16,3051854,'1990-04-28 00:00:00',4,1,12,2007,'F','N','PENHA','S PAULO','SP','125252251116471431466834575125610142077',2943,'9998',63.98,1,3,NULL),(16,3051870,'1990-07-07 00:00:00',4,1,12,2007,'F','N','CIDADE UNIVERSITARIA','CAMPINAS','SP','125252251217471441379813435122610167111',NULL,'9998',33.99,1,3,NULL),(16,3051889,'1990-12-11 00:00:00',2,1,7,2008,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124241241115143431446631345124610121097',NULL,'739',43.40,4,2,1),(16,3051897,'1982-05-22 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431368779592122333262091',12270,'270',44.78,1,3,NULL),(16,3051900,'1990-03-07 00:00:00',2,1,11,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241135141431437624341124610134067',NULL,'257',22.71,1,3,NULL),(16,3051919,'1988-12-25 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241116372431536633381124610168147',6687,'733',54.89,1,2,1),(16,3051927,'1988-07-02 00:00:00',4,1,6,2006,'F','N','JARDIM ALVORADA','S CARLOS','SP','125252288117571321118815373214610161012',11548,'9998',46.09,1,3,NULL),(16,3051935,'1992-03-31 00:00:00',4,1,12,2009,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124241241217111431348612575124610122187',NULL,'1022',60.42,1,3,NULL),(16,3051943,'1991-05-24 00:00:00',4,1,11,2008,'M','N','TAPERA','FLORIANóPOLIS','SC','124243241115372431538823575124610164097',1006,'271',72.03,2,3,NULL),(16,3051960,'1990-09-04 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241417112431337814592124610162142',NULL,'1022',34.85,1,3,NULL),(16,3051986,'1992-01-03 00:00:00',4,9,12,2009,'F','S','CENTRO','S JOAQUIM','SC','124242241215151431435615455332610157077',NULL,'1035',34.26,3,3,NULL),(16,3052010,'1989-11-29 00:00:00',2,1,1,2007,'F','N','BOM VIVER','BIGUAÇU','SC','124241241116133751224624247124233222097',NULL,'267',28.77,1,2,1),(16,3052028,'1991-02-27 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241217272431458816472224610133097',8607,'270',51.24,1,3,NULL),(16,3052036,'1990-10-22 00:00:00',2,1,12,2007,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241115372431446815571114610144142',NULL,'772',36.40,1,2,1),(16,3052044,'1989-08-24 00:00:00',5,1,11,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124243241215472431446923475114610148187',4636,'270',59.46,1,3,NULL),(16,3052060,'1991-11-03 00:00:00',4,8,10,2009,'M','S','ANITA GARIBALDI','JOINVILLE','SC','124242241215111411468632572122610127042',NULL,'457',41.13,1,3,NULL),(16,3052079,'1990-10-30 00:00:00',4,8,11,2008,'M','N','AMÉRICA','JOINVILLE','SC','124245241217111431469813571122610144062',1367,'457',70.03,1,3,NULL),(16,3052095,'1991-04-13 00:00:00',2,1,11,2008,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241435111711446833481124610162112',NULL,'300',32.57,1,3,NULL),(16,3052109,'1990-11-13 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241215111431358833232122610121091',13917,'883',41.83,1,3,NULL),(16,3052117,'1989-12-07 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431378611572112610122147',5005,'270',58.60,1,3,NULL),(16,3052125,'1990-08-22 00:00:00',4,1,12,2008,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241116271411466834395124610167162',NULL,'306',52.53,1,3,NULL),(16,3052133,'1990-11-13 00:00:00',4,1,12,2007,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124243241115372341578612273124610134052',614,'306',74.82,1,3,NULL),(16,3052150,'1983-07-19 00:00:00',2,1,12,2001,'M','N','CENTRO','CAçADOR','SC','124243241416132411634412195111131467187',16519,'124',35.39,1,3,NULL),(16,3052168,'1991-07-10 00:00:00',4,6,12,2008,'M','N','PRIMO TACCA','XANXERÊ','SC','124242241215112431448933272122610125047',11256,'1038',46.55,4,3,NULL),(16,3052176,'1991-02-23 00:00:00',4,1,12,2008,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162161217151431579714375111610167182',1399,'9998',69.82,1,3,NULL),(16,3052184,'1991-04-25 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241217122431569932572124610127052',3653,'270',61.94,1,3,NULL),(16,3052192,'1986-11-18 00:00:00',4,1,12,2004,'M','N','JARDIM SÃO JOSÉ','JACAREí','SP','125251253435573111436744245324610137084',13229,'9998',43.10,2,1,2),(16,3052206,'1991-05-14 00:00:00',4,7,12,2008,'M','N','FLORESTA','VIDEIRA','SC','124241241146141331466313341125610127052',13069,'831',43.36,1,2,1),(16,3052214,'1989-03-12 00:00:00',2,1,12,2006,'M','N','CENTRO','MARAU','RS','120193201216572431449931575124610134122',1101,'9998',71.45,1,3,NULL),(16,3052222,'1991-04-06 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217112211488812572124610167112',129,'262',80.47,1,3,NULL),(16,3052230,'1991-08-17 00:00:00',4,5,11,2008,'F','N','CENTRO','CRICIÚMA','SC','124242241215121741458912574122610132142',8229,'226',51.92,1,3,NULL),(16,3052249,'1989-11-27 00:00:00',4,2,11,2006,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125112251216572421489831595122610137122',1400,'9998',69.81,1,3,NULL),(16,3052257,'1990-10-18 00:00:00',4,2,12,2008,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241216111711469914575124610164147',NULL,'909',41.91,1,3,NULL),(16,3052265,'1992-07-21 00:00:00',4,1,12,2009,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241217131431528732391124610126112',NULL,'300',19.64,1,3,NULL),(16,3052273,'1990-05-17 00:00:00',4,1,12,2007,'F','N','BROOKLIN','S PAULO','SP','125252251217471431248813431114610137052',14400,'9998',40.88,1,3,NULL),(16,3052281,'1989-04-23 00:00:00',4,1,12,2006,'F','N','CAMBUI','CAMPINAS','SP','125252281417471231377834575112610167052',969,'9998',72.22,1,3,NULL),(16,3052290,'1992-05-29 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111411467719595122610121182',7275,'270',53.75,4,3,NULL),(16,3052303,'1990-05-07 00:00:00',2,8,12,2007,'M','N','CENTRO','JAPURÁ','PR','116163161216372431448831572112610137052',2632,'9998',64.89,1,3,NULL),(16,3052311,'1989-10-23 00:00:00',4,1,11,2007,'F','N','SETOR MARISTA','GOIÂNIA','GO','109092091215111431578813394122610143182',3794,'9998',61.61,1,3,NULL),(16,3052320,'1992-10-10 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111431337319575124610134147',NULL,'1022',28.39,1,3,NULL),(16,3052338,'1992-01-28 00:00:00',4,1,12,2009,'F','S','ROÇADO','S JOSé','SC','124244241215111721434312575124610142092',NULL,'1118',44.51,1,3,NULL),(16,3052346,'1991-12-01 00:00:00',4,1,11,2008,'M','N','SANTA FÉ','CPO GRANDE','MS','112122121216111431488913576112610167057',NULL,'9998',34.99,1,3,NULL),(16,3052354,'1989-10-22 00:00:00',4,10,12,2006,'F','N','MAR GROSSO','LAGUNA','SC','124251241135373431536611571124610143147',6285,'524',55.72,1,3,NULL),(16,3052362,'1990-03-29 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241115131431426673291224610163097',15881,'306',37.52,1,2,1),(16,3052370,'1990-07-29 00:00:00',4,1,11,2007,'M','N','CENTRO','S JOSÉ','SC','124242241215472431548617475112610167042',2925,'724',64.03,1,3,NULL),(16,3052389,'1987-06-22 00:00:00',4,1,12,2008,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241115471431438513171224610162092',1769,'293',68.13,1,2,1),(16,3052397,'1991-03-03 00:00:00',4,1,11,2008,'M','N','MORADA DO OURO','CUIABÁ','MT','111112111237121431559932345122610127012',2108,'9998',66.76,1,3,NULL),(16,3052400,'1991-06-08 00:00:00',5,8,11,2008,'M','N','GUANABARA','JOINVILLE','SC','124241241215111711563311495114610146192',1274,'486',70.56,1,3,NULL),(16,3052427,'1989-09-04 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124202241335573451569919275124610124147',3556,'307',62.20,1,3,NULL),(16,3052435,'1987-12-26 00:00:00',2,1,12,2004,'F','N','SANTA ROSA','NITERÓI','RJ','121212211216571411469613574124140662047',NULL,'9998',0.00,1,3,NULL),(16,3052443,'1990-04-21 00:00:00',4,4,7,2008,'M','N','MARIA GORETTI','CHAPECÓ','SC','124242246217271432556839575122610167047',16340,'995',36.24,1,3,NULL),(16,3052451,'1988-03-17 00:00:00',2,4,12,2008,'F','N','UNIVERSITÁRIO','CHAPECó','SC','124243247242271431448414295124610135157',NULL,'1126',26.67,1,3,NULL),(16,3052460,'1990-11-17 00:00:00',4,8,12,2008,'M','N','CENTRO','RIO NEGRO','PR','116241161211111231459939391122610117044',12320,'9998',44.70,1,3,NULL),(16,3052478,'1983-03-24 00:00:00',2,1,8,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244246116375431537513285125220832057',NULL,'306',0.00,1,3,NULL),(16,3052486,'1991-11-21 00:00:00',4,1,12,2008,'M','N','CENTRO','UMUARAMA','PR','116162161215111411428831575124610162057',5526,'9998',57.41,1,3,NULL),(16,3052494,'1990-11-26 00:00:00',4,1,12,2008,'F','N','JARDIM ASTRO','SOROCABA','SP','125252251215121731368814576122610167147',7959,'9998',52.50,1,3,NULL),(16,3052508,'1977-09-23 00:00:00',4,1,12,1994,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215575421459532475124322562125',431,'272',76.45,4,1,2),(16,3052524,'1991-11-30 00:00:00',4,5,11,2008,'F','N','RIO BELO','ORLEANS','SC','124242241215121431446614442122610131147',11032,'226',46.97,1,3,NULL),(16,3052540,'1991-03-16 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115471432221379272324610167187',7534,'293',53.27,1,2,1),(16,3052559,'1990-01-29 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431227823372124610122147',4540,'270',59.68,1,3,NULL),(16,3052567,'1974-06-05 00:00:00',2,1,11,1996,'M','N','BOM FIM','PTO ALEGRE','RS','120251257215571441353312492125143264087',7893,'9999',52.61,3,3,NULL),(16,3052575,'1991-01-21 00:00:00',4,8,10,2008,'F','N','BOA VISTA','JOINVILLE','SC','124241241335411431336614345124610124072',NULL,'1016',25.15,1,3,NULL),(16,3052591,'1991-01-17 00:00:00',4,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215112431336624572124610142197',3882,'1022',61.38,1,3,NULL),(16,3052613,'1991-03-02 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111731469614572114610167182',14868,'1022',39.96,1,3,NULL),(16,3052630,'1990-08-15 00:00:00',4,1,5,2008,'F','N','LAGO SUL','LG SUL','DF','107072281217371431489934376122610133147',11632,'9998',45.94,4,3,NULL),(16,3052648,'1980-03-27 00:00:00',4,1,12,1998,'F','N','CENTRO','GAROPABA','SC','124241241126155431236622395114122934192',6224,'322',55.86,1,3,NULL),(16,3052656,'1992-08-24 00:00:00',4,1,12,2009,'M','S','CENTRO','MAFRA','SC','124246161217111731469933575125610122042',NULL,'9998',69.18,1,3,NULL),(16,3052664,'1988-06-16 00:00:00',2,1,12,2006,'F','N','CENTRO','BIGUAÇU','SC','124244241215273411538923484124610167047',6961,'1040',54.37,1,3,NULL),(16,3052672,'1990-10-29 00:00:00',4,1,11,2007,'M','N','VILA APRAZIVEL','JACAREí','SP','125252251215472431458821571124610137092',1202,'9998',70.90,1,3,NULL),(16,3052680,'1990-07-04 00:00:00',4,1,12,2007,'M','N','JD MARINGA','S JOSé CAMPOS','SP','125252251215413431478834575113610167122',3471,'9998',62.47,1,3,NULL),(16,3052699,'1990-07-31 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','113162161215473431458814572122610124145',2034,'9998',67.08,1,3,NULL),(16,3052702,'1992-01-09 00:00:00',4,8,11,2009,'F','S','CENTRO','JARAGUÁ SUL','SC','124242241211111531468934575122610164017',NULL,'424',43.72,1,3,NULL),(16,3052710,'1987-08-24 00:00:00',4,1,12,2006,'F','N','RECANTO AZUL','BOTUCATU','SP','125254251216573411469713175112610164092',NULL,'9998',43.28,1,3,NULL),(16,3052737,'1990-09-16 00:00:00',2,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116161161116471431549933475125610134147',10334,'9998',48.20,4,2,1),(16,3052745,'1991-02-07 00:00:00',4,1,12,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241115151441565823435122610166122',3252,'739',63.13,1,3,NULL),(16,3052753,'1990-12-20 00:00:00',4,8,12,2008,'M','N','AEROPORTO','LONDRINA','PR','116162161215111431469814274122610122112',NULL,'9998',0.00,1,3,NULL),(16,3052761,'1986-10-31 00:00:00',4,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117131441546833495124233254187',9446,'306',49.82,1,2,1),(16,3052770,'1989-01-06 00:00:00',4,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124244241215152431456613575122233266013',2106,'272',66.77,1,3,NULL),(16,3052796,'1989-07-09 00:00:00',4,1,6,2008,'M','N','BREJARÚ','PALHOÇA','SC','124243247435371431223427375324610124147',NULL,'9999',33.17,1,3,NULL),(16,3052818,'1983-07-08 00:00:00',4,1,12,2000,'M','N','JD CATANDUVA','S PAULO','SP','125252251216152411568619435134142944053',3748,'9998',61.70,3,3,NULL),(16,3052826,'1991-10-05 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241415111431348611375124610168052',2606,'1133',65.00,1,3,NULL),(16,3052834,'1989-05-17 00:00:00',4,1,12,2006,'M','N','FAZENDA','ITAJAí','SC','124202241215572431558611575122610167047',1742,'391',68.23,1,3,NULL),(16,3052842,'1990-04-07 00:00:00',4,1,11,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241115131431238823385114610133147',NULL,'307',23.71,4,3,NULL),(16,3052850,'1990-11-02 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244051217112431569933575124231024092',16027,'9998',37.17,1,3,NULL),(16,3052869,'1989-09-10 00:00:00',2,1,12,2008,'M','N','CENTRO','BEBEDOURO','SP','125252251115471411423823575122610114072',14998,'9998',39.66,1,3,NULL),(16,3052877,'1990-02-11 00:00:00',2,5,12,2007,'F','N','CENTRO','MRO FUMAÇA','SC','124243241115371432423614572124610161197',NULL,'567',27.82,1,3,NULL),(16,3052885,'1990-02-10 00:00:00',4,1,12,2007,'M','N','CENTRO','S ROQUE','SP','125252251217472411449814495125610167047',7484,'9998',53.35,3,3,NULL),(16,3052893,'1989-08-04 00:00:00',4,1,12,2006,'F','N','POMPÉIA','S PAULO','SP','125252251215571431369724571114610163097',1296,'9998',70.41,1,3,NULL),(16,3052907,'1990-11-24 00:00:00',4,8,11,2007,'M','N','CENTRO','JAGUAPITÃ','PR','116162161215272431458821592112610134042',7221,'9998',53.87,1,3,NULL),(16,3052915,'1991-05-07 00:00:00',4,8,12,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241216271431348722575122610168192',8161,'422',52.12,1,3,NULL),(16,3052923,'1991-07-21 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241335111431336614245122610125092',14900,'1118',39.88,1,3,NULL),(16,3052931,'1990-08-28 00:00:00',4,10,11,2008,'F','N','OFICINAS','TUBARÃO','SC','124242241215111431468614475112610128092',6181,'806',55.97,1,3,NULL),(16,3052940,'1989-10-03 00:00:00',2,1,12,2005,'F','N','MORADA DO SOL','VIDEIRA','SC','124241241211572431438811572324610126092',2238,'969',66.26,4,3,NULL),(16,3052958,'1991-08-22 00:00:00',4,1,12,2009,'M','S','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111431458819472122610137042',NULL,'1133',35.08,1,3,NULL),(16,3052966,'1987-11-04 00:00:00',4,1,12,2005,'F','N','MORUMBI SUL','S PAULO','SP','125252251217573431478311572114610162082',6142,'9998',56.04,1,3,NULL),(16,3052974,'1991-01-04 00:00:00',4,1,12,2008,'M','N','CENTRO','RIO FORTUNA','SC','124241241126131521536634245122610144172',13823,'665',42.00,1,2,1),(16,3052982,'1990-06-25 00:00:00',4,1,12,2008,'F','N','JARDIM DABRIL','OSASCO','SP','125241251217151431539724575324610111077',13167,'9998',43.20,1,3,NULL),(16,3052990,'1990-12-29 00:00:00',2,4,12,2007,'M','N','CENTRO','CIDADE GAúCHA','PR','116163161217471231548833192115610164176',2421,'9998',65.62,4,1,2),(16,3053008,'1991-08-22 00:00:00',2,1,12,2008,'M','N','JARDIM EUROPA','SANTANA LIVRAMENTO','RS','120201201117471431488831572112610164052',3498,'9998',62.38,1,2,1),(16,3053024,'1991-07-15 00:00:00',4,1,12,2008,'M','N','CENTRO','ÁGUAS S PEDRO','SP','125254251215271431489833575112610124117',NULL,'9998',33.89,4,3,NULL),(16,3053032,'1990-05-04 00:00:00',4,1,11,2007,'F','N','JARDIM CASA GRANDE','BEBEDOURO','SP','125252251217471431558837275122610143072',2949,'9998',63.97,1,3,NULL),(16,3053040,'1987-09-16 00:00:00',2,3,12,2005,'M','N','CRUZEIRO','S BENTO SUL','SC','124241241216274431444614575112121267112',13307,'974',42.96,1,3,NULL),(16,3053059,'1987-09-22 00:00:00',2,1,3,2006,'F','N','MARCO','BELÉM','PA','114142141316472431438613445234141836142',5485,'9998',57.50,1,3,NULL),(16,3053067,'1991-05-17 00:00:00',4,1,10,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217121411366813395122610141182',1267,'273',70.58,1,3,NULL),(16,3053075,'1976-03-14 00:00:00',4,8,12,1993,'M','N','JD CANADÁ','MARINGá','PR','216161161116271421243454412122341522047',4124,'9998',60.71,1,2,1),(16,3053083,'1991-03-25 00:00:00',4,1,11,2008,'F','N','MORRO DA BINA','BIGUAÇU','SC','124242241215111451336722375222610148142',3460,'266',62.50,1,3,NULL),(16,3053091,'1991-02-20 00:00:00',4,5,12,2008,'F','N','CENTRO','CRICIÚMA','SC','124243241435231751436634285115610134197',13236,'920',43.08,1,3,NULL),(16,3053113,'1990-10-10 00:00:00',4,1,12,2008,'M','N','BARRA DA TIJUCA','RIO JANEIRO','RJ','121212211217111442688833592111610164022',NULL,'9998',0.00,1,3,NULL),(16,3053121,'1991-04-25 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241115131431336729395124610166147',NULL,'307',27.88,1,2,1),(16,3053148,'1991-11-25 00:00:00',5,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117472431537923375124610134147',10084,'298',48.63,1,2,1),(16,3053156,'1988-12-29 00:00:00',3,1,11,2006,'F','N','JARDIM ESPERANÇA','CANOINHAS','SC','124241241211151441446933575124610168185',NULL,'154',0.00,1,3,NULL),(16,3053164,'1991-02-15 00:00:00',4,1,12,2008,'F','N','JARDIM DAS NACOES','TAUBATÉ','SP','125162251215152431468811474122610166013',274,'9998',78.32,1,3,NULL),(16,3053172,'1991-04-12 00:00:00',4,2,11,2008,'F','N','VELHA','BLUMENAU','SC','124242241215111431346711372124610124012',11310,'71',46.46,1,3,NULL),(16,3053202,'1990-05-05 00:00:00',2,9,12,2007,'F','N','MERCÊS','CURITIBA','PR','116162161216571451367833575112610163182',4096,'9998',60.79,1,3,NULL),(16,3053210,'1991-04-17 00:00:00',4,8,11,2008,'F','N','IRIRIÚ','JOINVILLE','SC','124242241216111431348921474124610164152',3800,'457',61.60,1,3,NULL),(16,3053237,'1976-12-08 00:00:00',4,1,12,1996,'M','N','JD HELENA','S PAULO','SP','125251251127131431534311245124610112142',NULL,'9998',27.42,1,2,1),(16,3053245,'1991-06-17 00:00:00',2,2,12,2008,'M','N','TAPAJÓS','INDAIAL','SC','124241241213131431443933175114610168037',5694,'88',57.09,1,3,NULL),(16,3053253,'1990-09-29 00:00:00',4,3,11,2007,'M','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161215471431469933572122610167117',NULL,'9998',0.00,1,3,NULL),(16,3053261,'1990-03-21 00:00:00',2,9,11,2007,'F','N','PETRÓPOLIS','LAGES','SC','124243241215471731346864572112610167147',5445,'1065',57.60,1,3,NULL),(16,3053270,'1988-02-08 00:00:00',2,3,12,2005,'M','N','VILA REAL','BAL CAMBORIÚ','SC','124164161216472411335627574322141524197',319,'9998',77.76,1,3,NULL),(16,3053288,'1989-09-01 00:00:00',4,1,11,2006,'M','N','COD VISTA ALEGRE','VINHEDO','SP','125254251211571311489931571122610166171',1046,'9998',71.76,1,3,NULL),(16,3053296,'1991-09-21 00:00:00',4,2,11,2008,'F','N','BELA VISTA','GASPAR','SC','124242241215111432435833575124610162187',7545,'71',53.24,1,3,NULL),(16,3053318,'1988-09-20 00:00:00',2,8,12,2005,'F','N','BOM RETIRO','JOINVILLE','SC','124251251116371431434414345124610122197',15170,'9998',39.27,1,2,1),(16,3053326,'1983-06-19 00:00:00',4,1,12,2002,'F','N','VARGEM BOM JESUS','FLORIANÓPOLIS','SC','124161161131141411421144341224610113187',NULL,'9998',21.88,1,2,1),(16,3053334,'1990-07-04 00:00:00',2,1,11,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217372431446614575124610133197',1214,'270',70.84,1,3,NULL),(16,3053342,'1991-07-21 00:00:00',4,1,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121411359834575122610133091',1301,'1038',70.36,1,3,NULL),(16,3053369,'1989-12-29 00:00:00',2,9,12,2006,'M','N','CENTRO','ABDON BATISTA','SC','124241241125371431424716172111610164057',NULL,'1',27.16,1,2,1),(16,3053385,'1991-07-14 00:00:00',4,1,11,2008,'M','N','CENTRO','S VICENTE','SP','125252251216111431238829382124610127042',NULL,'9998',0.00,1,3,NULL),(16,3053393,'1991-11-08 00:00:00',4,5,12,2008,'M','N','CENTRO','ORLEANS','SC','124242241217151431559931572122610156182',13129,'581',43.28,1,3,NULL),(16,3053407,'1991-06-13 00:00:00',4,1,12,2008,'F','N','CENTRO','CURITIBA','PR','116164161217151431469834575122610166112',NULL,'9998',0.00,1,3,NULL),(16,3053415,'1991-09-08 00:00:00',4,1,11,2008,'F','N','BOSQUE DA SAUDE','CUIABÁ','MT','111112111217111431568711474122610162142',NULL,'9998',0.00,1,3,NULL),(16,3053423,'1991-12-13 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241216271431568919275112610121142',13214,'515',43.12,1,3,NULL),(16,3053431,'1992-10-01 00:00:00',4,1,12,2009,'F','S','JARDIM DAS NACOES','TAUBATÉ','SP','125164251217151431468811474122610162012',NULL,'9998',61.68,1,3,NULL),(16,3053458,'1991-01-21 00:00:00',4,1,12,2008,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','624242241215121431337624572124610126096',5154,'1022',58.23,1,3,NULL),(16,3053466,'1989-10-25 00:00:00',4,8,12,2006,'M','N','AMÉRICA','JOINVILLE','SC','124242241215571711478611572122610162037',NULL,'457',0.00,3,3,NULL),(16,3053474,'1983-09-08 00:00:00',4,1,12,2000,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124211213317371421136649292124610162197',10179,'9998',48.46,2,3,NULL),(16,3053482,'1990-11-24 00:00:00',4,1,11,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215212531488814575112610134012',1996,'262',67.19,1,3,NULL),(16,3053490,'1992-01-06 00:00:00',4,4,12,2008,'F','N','CENTRO','RENASCENÇA','PR','116164161215271231546831574114610132177',3731,'9998',61.76,1,3,NULL),(16,3053504,'1990-12-18 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124244241137372431544834175124133221097',4753,'267',59.17,1,3,NULL),(16,3053512,'1989-08-20 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215573431458631574112610163192',44,'991',82.56,1,3,NULL),(16,3053539,'1990-11-13 00:00:00',4,1,12,2007,'F','N','AGORNOMICA','FLORIANÓPOLIS','SC','124244241215152411458512575124232766147',13686,'272',42.30,1,3,NULL),(16,3053547,'1985-05-10 00:00:00',1,1,12,2002,'F','N','VILA PRUDENTE','S PAULO','SP','125252251211524121458812571124610167123',NULL,'9998',38.64,1,3,NULL),(16,3053563,'1991-06-05 00:00:00',4,2,11,2008,'M','N','GARCIA','BLUMENAU','SC','124242241215111431459934575124610162171',NULL,'855',44.86,1,3,NULL),(16,3053571,'1990-03-14 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124252251211471411489911572111610111091',NULL,'9998',38.84,1,3,NULL),(16,3053580,'1991-10-22 00:00:00',4,4,12,2008,'F','N','ÁRVOREDO','CONCÓRDIA','SC','124242241215271731478814575122610121097',11234,'1047',46.58,1,3,NULL),(16,3053598,'1986-10-04 00:00:00',2,1,12,2003,'F','N','PQ DA FIGUEIRA','PAULÍNIA','SP','125254251216575431546714375124133267187',1729,'9998',68.30,1,3,NULL),(16,3053601,'1990-02-01 00:00:00',1,2,12,2008,'F','N','TAPAJOS','INDAIAL','SC','124241241125161731333321216322610138147',NULL,'365',20.78,1,2,1),(16,3053628,'1991-01-27 00:00:00',2,5,11,2008,'F','N','RIO MAINA','CRICIÚMA','SC','124241241215111431533412115122610118192',6061,'226',56.21,1,3,NULL),(16,3053636,'1990-12-27 00:00:00',2,1,12,2007,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241116372431434413175124610164187',NULL,'592',6.76,1,2,1),(16,3053644,'1991-09-10 00:00:00',4,1,12,2008,'M','N','TRAÇADO','URUBICI','SC','124243241115371531438613581124610127057',NULL,'818',26.02,1,3,NULL),(16,3053652,'1991-11-10 00:00:00',2,10,12,2008,'M','N','POÇOS','JAGUARUNA','SC','124241241122131731424315552115610124047',NULL,'1034',0.00,1,2,1),(16,3053687,'1992-02-26 00:00:00',4,1,12,2008,'M','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124242241217371431579933572124610137052',NULL,'1036',24.03,1,3,NULL),(16,3053695,'1991-05-10 00:00:00',4,8,12,2008,'M','N','CENTRO','MORRETES','PR','116164151416111731449913575122610112042',NULL,'9998',0.00,1,3,NULL),(16,3053709,'1984-10-16 00:00:00',4,1,11,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124132131217573411458824471114121456152',5140,'9998',58.27,4,3,NULL),(16,3053717,'1988-02-13 00:00:00',4,1,2,2006,'F','N','ASA NORTE','BRASÍLIA','DF','107072077216573431466833571124610167127',NULL,'9999',0.00,3,3,NULL),(16,3053725,'1980-03-18 00:00:00',2,1,8,1998,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224241246112375221658513492124321664087',6978,'306',54.33,1,2,1),(16,3053733,'1985-03-09 00:00:00',2,1,10,2002,'M','N','FORQUILHINHAS','S JOSÉ','SC','124201208117131331325361341334140762042',11634,'9998',45.94,4,2,1),(16,3053741,'1985-08-15 00:00:00',2,3,12,2002,'F','N','BOMBAS','BOMBINHAS','SC','124161161416371421343414242212610168197',11169,'9998',46.71,1,3,NULL),(16,3053750,'1989-10-03 00:00:00',4,8,12,2006,'F','N','JARDIM SANTA MARIA','JACAREÍ','SP','125252251215571431569614572122610167182',NULL,'9998',32.21,1,3,NULL),(16,3053768,'1985-06-02 00:00:00',4,1,12,2002,'M','N','CERAMARTE','RIO NEGRINHO','SC','124242241216131431459733345332333234017',13312,'974',42.94,1,3,NULL),(16,3053776,'1990-02-10 00:00:00',4,1,11,2007,'F','N','RIBEIRÂNIA','RIBEIRÃO PRETO','SP','125252251215371711379831275122610114182',NULL,'9998',0.00,1,3,NULL),(16,3053784,'1990-03-21 00:00:00',2,1,11,2007,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241215472731456633575124610168147',11665,'9997',45.88,1,3,NULL),(16,3053792,'1986-09-22 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431689933575112232131092',NULL,'270',32.44,1,3,NULL),(16,3053806,'1991-06-05 00:00:00',2,1,11,2008,'F','N','BAIRRO SÃO FRANCISCO','TRÊS MAIO','RS','120242201216111431236923575122610122147',NULL,'9998',0.00,1,3,NULL),(16,3053814,'1991-07-05 00:00:00',4,1,11,2008,'F','N','CENTRO','CAÇADOR','SC','124242161215471751468731475114610168187',5495,'9998',57.48,1,3,NULL),(16,3053822,'1991-05-05 00:00:00',2,1,12,2008,'M','N','BUENO','GOIâNIA','GO','109092091216111221447632575124610127047',933,'9998',72.48,1,3,NULL),(16,3053830,'1990-09-27 00:00:00',4,8,12,2007,'M','N','CENTRO','GUARATUBA','PR','116164161216471711448632575125610137127',1483,'9998',69.45,1,3,NULL),(16,3053849,'1987-05-17 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473441124647575124132836127',868,'1026',72.89,1,3,NULL),(16,3053857,'1991-07-15 00:00:00',2,7,12,2008,'F','N','UNIÃO','PINHEIRO PRETO','SC','124241241127131431433335135124610122147',12301,'618',44.73,1,2,1),(16,3053873,'1991-06-16 00:00:00',4,1,12,2008,'M','N','VILA NOVA','IMBITUBA','SC','124241241117371431649933575124610137172',9987,'359',48.79,1,2,1),(16,3053881,'1987-12-01 00:00:00',2,1,12,2004,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241117131421234421382313610168042',9518,'772',49.69,1,2,1),(16,3053890,'1991-05-01 00:00:00',4,8,10,2008,'M','N','GLORIA','JOINVILLE','SC','124242241215121431469914575122610122052',2368,'457',65.82,1,3,NULL),(16,3053903,'1991-09-21 00:00:00',2,4,12,2008,'F','N','BELA VISTA','CHAPECÓ','SC','124241241146131431223623245224610133057',NULL,'180',24.64,1,2,1),(16,3053911,'1988-11-16 00:00:00',2,1,6,2006,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117132431437612271124231247187',2557,'306',65.14,4,2,1),(16,3053920,'1985-03-13 00:00:00',2,1,12,2002,'M','N','IPIRANGA','S JOSé','SC','124241241122371411234343232133130244117',5380,'610',57.69,1,2,1),(16,3053938,'1990-07-29 00:00:00',2,1,12,2007,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124242241211272431246823571124610167097',5249,'1050',58.01,1,3,NULL),(16,3053946,'1991-02-14 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241412111441439613572124610114181',7631,'1022',53.10,1,3,NULL),(16,3053962,'1990-09-26 00:00:00',2,1,6,2008,'F','N','VENDAVAL','BIGUAçU','SC','124241241115271411433324245124610138187',6382,'306',55.52,1,2,1),(16,3053970,'1991-04-30 00:00:00',2,1,12,2008,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241215121431469933575124610163033',13292,'1048',42.99,1,3,NULL),(16,3053989,'1991-01-26 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124204241417473431349933374124610162187',691,'270',74.29,1,3,NULL),(16,3053997,'1992-01-14 00:00:00',4,1,11,2008,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124244241217111431489934575124610127122',701,'270',74.22,1,3,NULL),(16,3054004,'1990-07-31 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241415271431364812374124610167082',5279,'654',57.92,1,3,NULL),(16,3054012,'1986-10-14 00:00:00',4,1,12,2004,'F','N','VILA MARIA','BOTUCATU','SP','125253251217571451328823572325610168097',1797,'9998',68.02,1,3,NULL),(16,3054020,'1970-02-07 00:00:00',4,1,12,1987,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','524201201116431711234343432124610114047',NULL,'9998',0.00,1,3,NULL),(16,3054039,'1991-10-03 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215371431557812575124610126177',3158,'269',63.39,1,3,NULL),(16,3054047,'1990-02-15 00:00:00',4,3,12,2007,'M','N','PERDIZES','S PAULO','SP','125254251215472451268713575324610127042',341,'9998',77.47,4,3,NULL),(16,3054063,'1991-01-25 00:00:00',4,1,12,2008,'F','N','ST ANTÔNIO DE LISBOA','FLORIANÓPOLIS','SC','124242241215371731359934475122610127071',11694,'262',45.84,1,3,NULL),(16,3054071,'1989-05-08 00:00:00',2,1,12,2006,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241415573431341113274124610124142',4318,'1014',60.21,1,3,NULL),(16,3054080,'1990-11-14 00:00:00',4,1,12,2008,'F','N','LAGO SUL','LG SUL','DF','107072071217111431589933571122610162074',NULL,'9998',0.00,1,3,NULL),(16,3054098,'1990-08-27 00:00:00',2,6,12,2007,'F','N','CENTRO','BOA ESPERANÇA','PR','116161161216471451536933575124610135077',12547,'9998',44.27,1,3,NULL),(16,3054101,'1991-07-18 00:00:00',4,6,11,2008,'M','N','CABEÇUDAS','ITAJAÍ','SC','124242241215151731349931495124610127012',11646,'1026',45.92,1,3,NULL),(16,3054128,'1984-09-19 00:00:00',2,1,9,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241117575431536933372124121767187',3239,'306',63.17,1,3,NULL),(16,3054136,'1991-08-17 00:00:00',4,10,12,2008,'M','N','OFICINAS','TUBARÃO','SC','124242241215111451468811575122610142142',983,'797',72.18,1,3,NULL),(16,3054144,'1990-07-24 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431228923571122610114046',13856,'1133',41.93,1,3,NULL),(16,3054152,'1980-09-09 00:00:00',4,1,5,1999,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124212281317151431459933477115542833187',3841,'9998',61.48,1,3,NULL),(16,3054160,'1990-02-27 00:00:00',4,1,11,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215473431348821592122610164055',2702,'270',64.67,1,3,NULL),(16,3054179,'1981-11-28 00:00:00',2,1,5,2001,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241244126133421633311332212131326147',8319,'307',51.75,1,3,NULL),(16,3054187,'1989-05-03 00:00:00',2,1,12,2007,'M','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241215372431553412572124610117042',NULL,'270',30.20,1,3,NULL),(16,3054195,'1990-08-02 00:00:00',4,1,12,2008,'F','N','SETOR SUDOESTE','GOIÂNIA','GO','109092091215111431477823595122610163072',3991,'9998',61.08,1,3,NULL),(16,3054209,'1991-04-12 00:00:00',4,1,11,1991,'M','N','AEROPORTO','GOIÂNIA','GO','109092098215111731578833292122610167142',2929,'9998',64.03,2,3,NULL),(16,3054217,'1985-07-31 00:00:00',5,1,12,2003,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217475741258813572145133232092',10775,'1022',47.42,1,3,NULL),(16,3054233,'1990-07-18 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124243241217111731333339572124610135197',NULL,'266',27.41,1,3,NULL),(16,3054250,'1990-03-18 00:00:00',4,3,12,2007,'F','N','AGUA VERDE','CURITIBA','PR','116163161316112431348712575112610124181',NULL,'9998',0.00,1,3,NULL),(16,3054268,'1990-06-04 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215473431478831415112610124051',1780,'262',68.08,1,3,NULL),(16,3054276,'1991-06-24 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431428839192122610127142',NULL,'738',33.89,1,3,NULL),(16,3054284,'1990-05-12 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244248415111431448614375124610114117',NULL,'1022',27.50,1,3,NULL),(16,3054292,'1990-02-20 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472431468813574124610124091',NULL,'270',15.79,1,3,NULL),(16,3054314,'1989-12-02 00:00:00',4,8,12,2007,'F','N','CENTRO','CASCAVEL','PR','116162161216472441344619575112610134182',10104,'9998',48.60,1,3,NULL),(16,3054322,'1990-05-01 00:00:00',4,1,11,2007,'F','N','MIGUEL SUTIL','CUIABÁ','MT','111112111237372431368923592124231024043',4549,'9998',59.66,1,3,NULL),(16,3054330,'1989-02-15 00:00:00',4,3,12,2006,'F','N','COUNTRY','CASCAVEL','PR','116162161216472411358812572122140643183',2167,'9998',66.54,1,3,NULL),(16,3054357,'1991-07-22 00:00:00',4,1,12,2008,'M','N','VILA SEIXAS','RIBEIRÃO PRETO','SP','125252251215111731377912575122610164037',1807,'9998',67.97,1,3,NULL),(16,3054365,'1991-03-02 00:00:00',4,2,11,2008,'M','N','CAMPO GRANDE','SANTOS','SP','125252251117311741368823574121610167117',2980,'9998',63.88,1,3,NULL),(16,3054373,'1990-01-30 00:00:00',4,1,12,2007,'F','N','CENTRO','BOITUVA','SP','125251251215471431235624575122610136147',8653,'9998',51.16,1,3,NULL),(16,3054381,'1988-03-15 00:00:00',4,8,12,2005,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242246215572441356614274122610166142',2993,'1105',63.82,1,3,NULL),(16,3054390,'1991-01-09 00:00:00',4,8,12,2008,'M','N','SAGUAÇÚ','JOINVILLE','SC','124242241215372421469931575121610167182',4199,'491',60.49,1,3,NULL),(16,3054403,'1990-10-23 00:00:00',4,3,12,2007,'F','N','VILA MARIANA','S PAULO','SP','125244251237471731438829571125613263157',276,'9998',78.30,1,3,NULL),(16,3054411,'1991-02-11 00:00:00',2,1,12,2008,'F','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124243241116271731445633345124610131177',14598,'739',40.52,1,3,NULL),(16,3054420,'1990-11-23 00:00:00',2,10,12,2008,'F','N','ALVORADA','CAPIVARI BAIXO','SC','124241241115111431526639272124610116072',NULL,'1034',0.00,2,1,1),(16,3054446,'1990-08-30 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241215372431126644342324610157142',6877,'807',54.53,1,3,NULL),(16,3054454,'1987-07-19 00:00:00',4,1,12,2005,'M','N','LIBERDADE','S PAULO','SP','113132131216571431269921575112142467077',281,'9998',78.25,1,3,NULL),(16,3054462,'1991-12-27 00:00:00',4,7,11,2008,'M','N','CENTRO','CATANDUVAS','SC','124244241215151451566832275112610167042',NULL,'454',37.91,1,3,NULL),(16,3054470,'1989-10-10 00:00:00',4,1,12,2007,'F','N','VL ADYANA','S JOSÉ CAMPOS','SP','125252251217471431428913575122610137053',710,'9998',74.19,1,3,NULL),(16,3054489,'1990-10-15 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124243241112372431436514341124610127057',14943,'1116',39.80,1,3,NULL),(16,3054497,'1989-08-25 00:00:00',4,8,11,2006,'F','N','ATIRADORES','JOINVILLE','SC','124202201216572431448812481122610124142',1458,'9998',69.53,1,3,NULL),(16,3054500,'1989-11-07 00:00:00',4,1,11,2007,'M','N','COMITECO','BELO HORIZONTE','MG','113132131217371751478832574124610144142',68,'9998',81.73,1,3,NULL),(16,3054519,'1990-04-17 00:00:00',4,1,12,2007,'M','N','VILA MARIANA','GARÇA','SP','125254251216372532246614572122610124052',3780,'9998',61.65,1,3,NULL),(16,3054527,'1990-06-12 00:00:00',4,8,12,2007,'M','N','LAGOA BONITA','ENG COELHO','SP','125212251215471431458911572114610122091',9980,'9998',48.82,2,3,NULL),(16,3054543,'1989-08-03 00:00:00',4,2,12,2006,'F','N','JARDIM BRITÂNIA','MAL CÂNDIDO RONDON','PR','116162161216572431438831472125610141122',5098,'9998',58.40,1,3,NULL),(16,3054560,'1991-06-27 00:00:00',4,6,12,2008,'F','N','CENTRO','TIJUCAS','SC','124242241215111411434933574122610124092',13134,'948',43.27,1,3,NULL),(16,3054586,'1960-12-07 00:00:00',2,1,12,1984,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','524211211242372411354453234132122337067',NULL,'9998',30.98,4,3,NULL),(16,3054594,'1990-12-14 00:00:00',4,8,12,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215472431458613475122610136047',9580,'486',49.57,1,3,NULL),(16,3054608,'1989-06-26 00:00:00',4,8,12,2007,'M','N','VILA FORMOSA','S PAULO','SP','125252251216372451358811495124610141142',2908,'9998',64.09,1,3,NULL),(16,3054616,'1954-07-10 00:00:00',5,1,12,1972,'F','N','ABRAÃO','FLORIANóPOLIS','SC','124211211212132411156349472112342264183',10156,'9998',48.51,1,3,NULL),(16,3054624,'1989-10-08 00:00:00',4,1,12,2006,'F','N','JARDIM BONFIGLIOLI','S PAULO','SP','125252251216371711467719495124610124147',NULL,'9998',0.00,1,3,NULL),(16,3054632,'1989-02-22 00:00:00',2,1,12,2006,'F','N','COLONINHA','FLORIANóPOLIS','SC','124241241117272431237623345124610127077',NULL,'257',31.32,1,3,NULL),(16,3054640,'1990-06-12 00:00:00',4,8,12,2007,'M','N','BATEL','CURITIBA','PR','116242161215472431448811575124610167112',2497,'9998',65.34,1,3,NULL),(16,3054659,'1991-07-07 00:00:00',2,10,12,2008,'F','N','SÃO LUIS','S MARTINHO','SC','124241241137161431536614575124610133147',NULL,'750',24.46,1,2,1),(16,3054667,'1990-07-29 00:00:00',2,1,11,2007,'F','N','PRAIA COMPRIDA','S JOSé','SC','124241241117371451635313595124610167017',NULL,'733',24.11,1,2,1),(16,3054675,'1989-09-14 00:00:00',4,3,12,2006,'F','N','CENTRO','PASSO FUNDO','RS','120201241216572431468933471122610123012',4434,'109',59.92,1,3,NULL),(16,3054683,'1990-10-22 00:00:00',4,9,11,2008,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242248217113731479739492124610162195',662,'270',74.45,1,3,NULL),(16,3054691,'1990-11-02 00:00:00',2,1,11,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431448822572122610166142',10595,'270',47.74,1,3,NULL),(16,3054705,'1963-12-18 00:00:00',2,1,9,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','424244247425131431422244141134610118097',NULL,'9999',18.79,1,3,NULL),(16,3054713,'1990-08-24 00:00:00',2,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124242241215472431468613375124610128062',2015,'270',67.12,1,3,NULL),(16,3054721,'1981-05-10 00:00:00',2,1,12,2000,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','624241241117132431423311242324610127147',NULL,'922',28.27,3,2,1),(16,3054730,'1990-12-11 00:00:00',4,3,11,2008,'F','N','JARDIM SÃO DOMINGOS','MARÍLIA','SP','125252251215221431469913275122610166146',5996,'9998',56.36,1,3,NULL),(16,3054748,'1990-09-19 00:00:00',4,4,12,2007,'F','N','UNIVERSITÁRIO','CASCAVEL','PR','116162161216471431434614574122610164142',2957,'9998',63.96,1,3,NULL),(16,3054756,'1990-05-07 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115473431458711574114610136097',4707,'267',59.29,1,2,1),(16,3054764,'1991-06-04 00:00:00',2,1,12,2008,'M','N','PALHOÇA','PALHOÇA','SC','124241241135271431423327272324610124147',15244,'591',39.10,4,1,1),(16,3054772,'1984-08-13 00:00:00',4,1,12,2002,'F','N','COLÔNIA','JUNDIAÍ','SP','125251251217371441648714385122343262187',6071,'9998',56.19,1,3,NULL),(16,3054799,'1989-12-03 00:00:00',4,1,12,2007,'M','N','CINELÂNDIA','STA RITA P QUATRO','SP','125252251217472431546632221112610124192',1405,'9998',69.79,1,3,NULL),(16,3054802,'1991-08-28 00:00:00',4,6,11,2008,'M','N','COUNTRY','CASCAVEL','PR','116162161215121431469933376111610147067',410,'9998',76.69,1,3,NULL),(16,3054829,'1990-01-17 00:00:00',4,3,12,2007,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241217471411439832595125610164182',830,'751',73.20,1,3,NULL),(16,3054837,'1990-05-24 00:00:00',4,1,12,2007,'F','N','BROOKLIN','S PAULO','SP','125252251215472431367814572112610162142',4946,'9998',58.75,1,3,NULL),(16,3054845,'1990-09-13 00:00:00',4,8,12,2008,'F','N','VILA MILITAR','RIO NEGRO','PR','116161161136161431339723394234610168092',NULL,'9998',0.00,1,2,1),(16,3054853,'1986-07-14 00:00:00',4,1,12,2003,'F','N','NONOAI','PASSO FUNDO','RS','120201201117471431325611472125140238187',10314,'9998',48.23,4,2,1),(16,3054861,'1990-05-28 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216372731436831375124610164181',4804,'1022',59.06,1,3,NULL),(16,3054870,'1992-03-10 00:00:00',4,10,12,2008,'M','N','PROGRESSO','LAGUNA','SC','124243241117131431446613575124610127142',NULL,'1034',20.99,1,3,NULL),(16,3054888,'1990-09-20 00:00:00',2,2,12,2007,'F','N','AVIAÇÃO','PR GRANDE','SP','125243241215473431348923572122610164057',219,'776',78.92,1,3,NULL),(16,3054918,'1973-02-05 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224161241127131421563453232124610133187',NULL,'275',21.95,1,2,1),(16,3054926,'1990-12-01 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124252241215371431478813475122610127045',2547,'262',65.18,1,3,NULL),(16,3054934,'1991-08-15 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSé','SC','124241241115271432348412572112610165142',NULL,'734',27.36,1,2,1),(16,3054942,'1991-03-15 00:00:00',4,6,11,2008,'F','N','CENTRO','CURITIBA','PR','116163161416471431336629394124610162147',6557,'9998',55.15,1,3,NULL),(16,3054950,'1989-11-29 00:00:00',4,1,12,2007,'M','N','FREITAS','S JOSÉ CAMPOS','SP','125252251212472431459831572112610167042',6560,'9998',55.15,1,3,NULL),(16,3054969,'1991-01-24 00:00:00',4,10,12,2008,'F','N','SANTO INÁCIO','STA CRUZ SUL','RS','120201201117371431337824275122610142187',3912,'9998',61.29,1,2,1),(16,3054985,'1989-01-18 00:00:00',4,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116162241217473431548812575124610163072',NULL,'270',0.00,1,3,NULL),(16,3054993,'1991-05-14 00:00:00',4,4,12,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241215111431446613572122610132147',NULL,'751',27.37,1,3,NULL),(16,3055000,'1991-08-12 00:00:00',4,4,11,2008,'M','N','PALMITAL','CHAPECÓ','SC','124242241215371331379931475112610164017',3994,'168',61.08,1,3,NULL),(16,3055019,'1991-12-09 00:00:00',4,1,11,2008,'F','N','CENTRO','TEN PORTELA','RS','120203201316111441346839595122610125142',NULL,'9998',0.00,1,3,NULL),(16,3055027,'1990-08-14 00:00:00',4,8,11,2007,'M','N','GUANABARA','JOINVILLE','SC','124241241127271421437611345124610164187',NULL,'472',20.61,1,3,NULL),(16,3055035,'1990-05-28 00:00:00',2,4,12,2007,'F','N','INTERIOR','CONCÓRDIA','SC','124241246116272431432336444124610123077',NULL,'196',28.27,1,3,NULL),(16,3055043,'1990-06-15 00:00:00',2,1,12,2007,'F','N','PETROPOLIS','CAXIAS SUL','RS','120202201216371731648814475124141065097',10454,'9998',48.00,4,3,NULL),(16,3055051,'1990-12-26 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431358713575114610138042',1650,'262',68.66,1,3,NULL),(16,3055060,'1990-06-22 00:00:00',4,3,11,2007,'F','N','SANTA TERESA','ITAPIRANGA','SC','124241241137131711435514142124610124057',NULL,'412',0.00,4,2,1),(16,3055078,'1988-03-28 00:00:00',2,1,11,2006,'M','N','JARDIM MTILDE','OURINHOS','SP','125254251415511431333821195122610114192',8630,'9998',51.20,1,3,NULL),(16,3055086,'1992-02-03 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215122431369923575124610164185',NULL,'270',0.00,1,3,NULL),(16,3055094,'1989-09-02 00:00:00',4,1,12,2006,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124243241116573431636419195124610168192',3315,'307',62.95,4,3,NULL),(16,3055108,'1990-06-29 00:00:00',2,1,12,2007,'F','N','JARDIM AMERICA','GOIANIA','GO','109271271114471441338622392225610135097',6972,'9998',54.34,1,2,1),(16,3055116,'1990-09-26 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215211431448831572124610116147',2493,'270',65.35,1,3,NULL),(16,3055124,'1990-03-22 00:00:00',4,10,12,2007,'F','N','JD BRASILIA','S PAULO','SP','125253251217471731528823572112610162112',13176,'9998',43.19,1,3,NULL),(16,3055132,'1990-11-22 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112531258823575125610127062',3563,'270',62.17,1,3,NULL),(16,3055140,'1989-08-23 00:00:00',4,1,12,2006,'F','N','BATEL','CURITIBA','PR','116162161216573431438714575124141422142',NULL,'9998',0.00,1,3,NULL),(16,3055159,'1991-12-18 00:00:00',4,6,12,2008,'M','N','CANCELLI','CASCAVEL','PR','116162161217111431448932342122610124052',1426,'9998',69.65,1,3,NULL),(16,3055167,'1991-09-12 00:00:00',4,1,12,2008,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241115111431423427282224610126147',NULL,'592',26.64,1,2,1),(16,3055175,'1991-04-05 00:00:00',2,1,12,2008,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215111531568933435122610167052',6990,'270',54.31,1,3,NULL),(16,3055183,'1990-04-26 00:00:00',4,1,12,2007,'F','N','CENTRO','MARACAÍ','SP','125164161415272731449921274124121465187',NULL,'9998',0.00,1,3,NULL),(16,3055205,'1988-01-04 00:00:00',4,1,12,2004,'F','N','VILA LARSEN','LONDRINA','PR','116162161216271731438933572122142423146',NULL,'9998',0.00,1,3,NULL),(16,3055213,'1991-09-14 00:00:00',4,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','116162161215111431438814572212610144092',2389,'9998',65.73,1,3,NULL),(16,3055221,'1980-02-23 00:00:00',2,1,12,1997,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124203201136131421125544245124140237152',NULL,'9998',0.00,1,3,NULL),(16,3055230,'1991-12-13 00:00:00',4,4,12,2008,'F','N','LIDER','CHAPECÓ','SC','124242241217471441377911491122610161042',7510,'1046',53.31,4,3,NULL),(16,3055248,'1990-03-28 00:00:00',4,1,12,2007,'F','N','LARANJEIRAS','RIO SUL','SC','124241241132371451523314344341610162147',8336,'657',51.72,1,2,1),(16,3055256,'1990-05-15 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472431568714172124610134097',2589,'1022',65.04,1,3,NULL),(16,3055272,'1987-07-02 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241325574731323529245114610168117',13805,'262',42.05,4,3,NULL),(16,3055280,'1991-11-01 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241216112431473612291125610127142',16257,'1146',36.50,1,3,NULL),(16,3055302,'1990-04-01 00:00:00',4,1,12,2007,'M','N','CENTRO','SERRA NEGRA','SP','125252251215271431458912572122610117042',NULL,'9998',0.00,1,3,NULL),(16,3055310,'1991-09-27 00:00:00',4,3,12,2008,'F','N','CENTRO','PATO BRANCO','PR','116162161216371731448931572122610167012',12480,'9998',44.43,4,3,NULL),(16,3055329,'1991-07-12 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112411366923495122610164041',718,'270',74.11,1,3,NULL),(16,3055337,'1991-05-01 00:00:00',4,8,12,2008,'F','N','PASSO','MAFRA','SC','124163241216111331436639571122610132017',NULL,'541',28.68,1,3,NULL),(16,3055345,'1991-09-15 00:00:00',2,2,12,2008,'F','N','GARCIA','BLUMENAU','SC','124242241215121431477632575124610124197',8600,'87',51.26,1,3,NULL),(16,3055361,'1991-12-04 00:00:00',2,5,10,2008,'F','N','CENTRO','FORQUILHINHA','SC','124242241215121431564612575112610168182',8378,'226',51.64,1,3,NULL),(16,3055370,'1987-08-30 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215373431388812474122133222091',14066,'1022',41.52,1,3,NULL),(16,3055388,'1990-11-24 00:00:00',4,5,10,2008,'F','N','MICHEL','CRICIúMA','SC','124242241215272431569913572122610168147',11289,'213',46.49,1,3,NULL),(16,3055396,'1990-06-23 00:00:00',4,1,11,2007,'M','N','VILA ADYANA','S JOSÉ CAMPOS','SP','125252251217472411368812576112610137182',299,'9998',77.98,1,3,NULL),(16,3055400,'1972-08-19 00:00:00',2,1,4,1993,'M','N','CENTRO','FLORIANÓPOLIS','SC','624242246117273431367553432132320847041',9136,'306',50.35,1,3,NULL),(16,3055418,'1986-12-28 00:00:00',4,1,12,2005,'F','N','BOM VIVER','BIGUAÇU','SC','124241241127374121426311445114610121144',NULL,'66',28.68,4,2,1),(16,3055426,'1991-03-09 00:00:00',2,10,11,2008,'F','N','GAROPABA DO SUL','JAGUARUNA','SC','124241241125131431323611575124610144047',NULL,'421',0.00,1,2,1),(16,3055434,'1991-07-12 00:00:00',4,1,11,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241215111431239313572124610117055',10117,'270',48.59,1,3,NULL),(16,3055442,'1991-12-15 00:00:00',4,7,11,2008,'F','N','SÃO SEBASTIÃO','CAMPOS NOVOS','SC','124242241215371431538936572122610166072',6884,'962',54.51,1,3,NULL),(16,3055450,'1987-06-02 00:00:00',2,1,11,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241216575431443335495125231032012',296,'226',77.99,1,3,NULL),(16,3055469,'1991-04-03 00:00:00',4,8,12,2009,'M','S','JARDIM GUABIROTUBA','CURITIBA','PR','116162161217111411548811591124610162032',NULL,'9998',0.00,3,3,NULL),(16,3055477,'1990-08-27 00:00:00',2,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','125254251116371431356923575124610138052',10715,'9998',47.51,1,3,NULL),(16,3055485,'1987-02-17 00:00:00',2,1,6,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241147133511126644342325610117117',15711,'322',38.05,1,2,1),(16,3055493,'1992-10-14 00:00:00',4,7,12,2009,'F','S','CENTRO','VIDEIRA','SC','124244241411111731338832325122610121187',NULL,'829',38.03,1,3,NULL),(16,3055507,'1988-02-10 00:00:00',4,8,12,2005,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215271731537612315122133237117',13738,'457',42.19,1,3,NULL),(16,3055523,'1992-03-12 00:00:00',2,1,12,2009,'F','S','CENTRO','GAROPABA','SC','124241241145131731446913395122610144027',NULL,'322',29.77,4,3,NULL),(16,3055531,'1975-09-15 00:00:00',4,8,12,1992,'M','N','CIDADE JARDIM','S JOSé PINHAIS','PR','116161163136151431353923375114232462177',12842,'9998',43.77,1,2,1),(16,3055540,'1990-01-12 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116164161216472411468311471122610166092',11184,'9998',46.69,1,3,NULL),(16,3055558,'1990-02-27 00:00:00',4,1,12,2006,'F','N','NEVA','CASCAVEL','PR','116162161215572431548831575125143264097',1351,'9998',70.10,1,3,NULL),(16,3055566,'1985-06-20 00:00:00',4,1,12,2002,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124243246117151252446613432113610167115',10981,'306',47.05,1,3,NULL),(16,3055574,'1991-03-21 00:00:00',4,1,12,2008,'F','N','ZONA','MARINGÁ','PR','116162168215111431477814594122610167142',NULL,'9998',0.00,1,3,NULL),(16,3055582,'1989-10-10 00:00:00',4,1,12,2008,'M','N','JURERÊ','FLORIANóPOLIS','SC','124211211117471441468819375122610138042',6892,'9998',54.50,4,3,NULL),(16,3055590,'1991-02-04 00:00:00',4,8,11,2008,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431568612575122610167146',NULL,'486',0.00,1,3,NULL),(16,3055604,'1989-10-04 00:00:00',2,1,12,2006,'F','N','VILA MARIANA','S PAULO','SP','125251251117571411458834342124610123096',7976,'9998',52.47,1,2,1),(16,3055612,'1990-05-02 00:00:00',2,1,12,2007,'F','N','REAL PARQUE','S JOSé','SC','124241241115271731433314341124610167147',NULL,'257',32.68,1,2,1),(16,3055620,'1991-07-04 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111411366829475122610662192',7968,'1011',52.48,1,3,NULL),(16,3055639,'1991-10-18 00:00:00',4,1,12,2008,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241212111431439713272124610122182',NULL,'1022',35.07,1,3,NULL),(16,3055647,'1990-10-25 00:00:00',2,1,12,2008,'F','N','RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC','124242241215111531536613585122610122077',NULL,'1022',28.49,1,3,NULL),(16,3055655,'1990-11-27 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242201217121431359734575122610157052',NULL,'9998',26.38,1,3,NULL),(16,3055663,'1991-07-06 00:00:00',4,4,12,2008,'F','N','CENTRO','CHAPECó','SC','124244241215372431556832572122610162142',3980,'185',61.11,1,3,NULL),(16,3055671,'1991-05-11 00:00:00',4,1,12,2008,'F','N','JARDIM ORIENTAL','S PAULO','SP','125251251116371411358924571124610162042',11591,'9998',46.01,4,3,NULL),(16,3055680,'1988-02-18 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242248217574431566922575114610163197',9566,'270',49.59,1,3,NULL),(16,3055698,'1991-10-07 00:00:00',2,1,11,2008,'M','N','JARDIM FRANCANO','FRANCA','SP','125252258217151431536612572122610117187',NULL,'9998',0.00,4,3,NULL),(16,3055701,'1990-06-29 00:00:00',4,1,11,2008,'F','N','ZONA SETE','MARINGÁ','PR','116162161217111431458814592122610121142',16454,'9998',35.68,1,3,NULL),(16,3055728,'1990-02-20 00:00:00',4,9,5,2008,'F','N','CENTRO','LAGES','SC','124242241217371431368613572122610117092',NULL,'1146',25.27,1,3,NULL),(16,3055744,'1990-11-08 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431438812375122610127057',NULL,'1050',33.93,1,3,NULL),(16,3055752,'1991-06-18 00:00:00',2,1,12,2008,'F','N','BALNEARIO ESTREITO','FLORIANÓPOLIS','SC','124242241215111711668411392114610164077',14197,'1022',41.25,1,3,NULL),(16,3055760,'1991-07-22 00:00:00',4,8,12,2008,'M','N','IRIRIÚ','JOINVILLE','SC','124242241215141421437933345121610164112',NULL,'462',26.61,1,3,NULL),(16,3055779,'1989-04-03 00:00:00',4,1,7,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241115143731467613295122610168182',NULL,'306',26.56,1,3,NULL),(16,3055787,'1991-08-05 00:00:00',4,1,11,2008,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241217112431489812472122610166092',130,'270',80.44,1,3,NULL),(16,3055795,'1991-02-05 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215372531486612575124610117042',1103,'1050',71.45,1,3,NULL),(16,3055809,'1988-05-23 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124122121216574411447615574124610161142',1111,'9998',71.39,1,3,NULL),(16,3055817,'1990-10-04 00:00:00',2,5,12,2007,'F','N','MICHEL','CRICIÚMA','SC','124246248215311731553532395122133234072',NULL,'995',24.48,1,3,NULL),(16,3055841,'1986-05-24 00:00:00',4,1,11,2003,'M','N','OLIMPICO','S CAETANO SUL','SP','125251251115471411448812175122141447117',8471,'9998',51.45,1,2,1),(16,3055850,'1990-03-28 00:00:00',4,1,11,2007,'F','N','MORADA DO OURO','CUIABÁ','MT','111112111116372231489831574112610162142',3112,'9998',63.49,1,3,NULL),(16,3055868,'1993-05-24 00:00:00',4,7,11,2009,'F','S','VILA SIMONE','JOAÇABA','SC','124242241215111441268811575124610166012',NULL,'446',61.72,1,3,NULL),(16,3055876,'1985-01-18 00:00:00',4,1,12,2002,'F','N','CENTRO','VENÂNCIO AIRES','RS','120201201216371721358812215124342563093',10562,'9998',47.81,1,3,NULL),(16,3055884,'1992-04-30 00:00:00',4,1,11,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241217112751558813575122610167147',7688,'424',52.99,1,3,NULL),(16,3055892,'1990-08-24 00:00:00',2,1,12,2007,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124242241217373731454431594124610162147',3973,'1011',61.13,1,3,NULL),(16,3055906,'1991-04-23 00:00:00',4,1,12,2008,'F','N','CENTRO','CONCÓRDIA','SC','124241241117471441447613575122610126142',6415,'192',55.45,1,2,1),(16,3055914,'1989-11-14 00:00:00',4,8,12,2007,'F','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125251251216371431467619571122610127047',NULL,'9998',0.00,1,3,NULL),(16,3055922,'1987-09-19 00:00:00',4,6,12,2004,'F','N','CENTRO','ITAJAÍ','SC','124162241212575431456714575122610164141',488,'1058',75.88,1,3,NULL),(16,3055930,'1991-04-07 00:00:00',4,1,12,2008,'F','N','FÁTIMA','PANAMBI','RS','120202201216161731535916572122610163041',NULL,'9998',25.27,1,3,NULL),(16,3055949,'1986-04-25 00:00:00',2,1,12,2003,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241125471421523334446124610164147',NULL,'869',28.03,1,2,1),(16,3055965,'1990-06-30 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431528823575125610166147',7415,'270',53.49,1,3,NULL),(16,3055973,'1989-03-14 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241216475751463933574122610126097',143,'1022',80.12,1,3,NULL),(16,3055981,'1991-01-04 00:00:00',4,1,12,2008,'F','N','FLORESTA','S JOSé','SC','124243241217271431436824245122610126162',6295,'724',55.70,1,3,NULL),(16,3055990,'1989-07-08 00:00:00',2,1,9,2007,'M','N','SERRARIA','S JOSÉ','SC','124241241117272431535963285124231217187',14603,'739',40.51,1,2,1),(16,3056007,'1991-07-16 00:00:00',4,1,11,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215112411438614375124610147042',NULL,'270',37.05,1,3,NULL),(16,3056015,'1987-03-16 00:00:00',2,1,12,2004,'F','N','CAMPO DUNA','GAROPABA','SC','124241248126574431434312224124131524092',11517,'322',46.15,1,2,1),(16,3056031,'1991-04-10 00:00:00',4,2,11,2008,'F','N','CENTRO','BLUMENAU','SC','124242241216271411469934575122610137142',2292,'71',66.08,1,3,NULL),(16,3056058,'1991-11-29 00:00:00',4,1,11,2008,'F','N','KOBRASOL','S JOSÉ','SC','124243241114111412446713575124610165092',NULL,'733',20.52,2,3,NULL),(16,3056074,'1989-11-08 00:00:00',2,5,12,2006,'F','N','CENTRO','MELEIRO','SC','124242241217572431458931574122610124142',NULL,'32',0.00,1,3,NULL),(16,3056082,'1990-01-04 00:00:00',4,1,11,2007,'M','N','NOVA PETROPOLIS','S BERNARDO CAMPO','SP','125252251217471431438923581121610157112',NULL,'9998',35.51,1,3,NULL),(16,3056090,'1989-09-13 00:00:00',2,1,7,2008,'M','N','SERRARIA','S JOSÉ','SC','124241241115151431426674585114610164142',2691,'306',64.70,1,2,1),(16,3056104,'1991-09-19 00:00:00',2,5,12,2008,'F','N','CENTRO','CRICIÚMA','SC','124241241115271431528411572122610134097',12383,'209',44.57,1,2,1),(16,3056112,'1988-08-02 00:00:00',4,5,12,2007,'F','N','TRES PINHEIROS','ITATI','RS','120201201116131431223315212324232763057',NULL,'9998',23.64,1,2,1),(16,3056139,'1988-08-28 00:00:00',2,1,12,2005,'M','N','COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC','124241241146372531546923445124610126145',4951,'307',58.73,1,2,1),(16,3056147,'1991-11-21 00:00:00',4,7,11,2008,'F','N','CENTRO','HERVAL D OESTE','SC','124242241215271431437821575122610128017',7187,'446',53.94,1,3,NULL),(16,3056155,'1990-05-27 00:00:00',4,1,11,2008,'F','N','IPIRANGA','S JOSÉ','SC','124163161116111411556832575124610125017',3192,'9998',63.31,1,3,NULL),(16,3056163,'1987-08-22 00:00:00',4,1,12,2004,'M','N','CENTRO','S MIGUEL OESTE','SC','124102101216151431263611485125233262017',NULL,'9998',19.67,1,3,NULL),(16,3056171,'1991-08-26 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241217111431446632572112610137052',15442,'273',38.68,1,3,NULL),(16,3056201,'1991-06-11 00:00:00',4,2,12,2008,'M','N','SAO LUIS','BRUSQUE','SC','124242241215371431558812275121610117052',NULL,'107',30.15,1,3,NULL),(16,3056210,'1988-03-22 00:00:00',4,1,12,2005,'M','N','CENTRO','ITUMBIARA','GO','109092131217575731433819571125610164127',782,'9998',73.59,1,3,NULL),(16,3056228,'1989-11-06 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216472731366823575125610164057',NULL,'270',30.80,2,1,2),(16,3056236,'1991-06-08 00:00:00',4,5,11,2008,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215112431379814575122610137092',673,'226',74.38,1,3,NULL),(16,3056244,'1990-10-10 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431448811572122610167122',2858,'270',64.20,1,3,NULL),(16,3056252,'1990-04-24 00:00:00',4,1,12,2008,'M','N','VILA SOFIA','S PAULO','SP','125252251317371431468934573122610162023',3698,'9998',61.83,1,3,NULL),(16,3056260,'1990-05-16 00:00:00',2,1,11,2007,'F','N','CAMPINAS','S JOSÉ','SC','124242241215472431436613575124610164175',3223,'1022',63.23,4,3,NULL),(16,3056287,'1989-03-03 00:00:00',4,8,12,2006,'F','N','BARREIRINHA','CURITIBA','PR','116162161116571411437614472124610162097',NULL,'9998',0.00,1,3,NULL),(16,3056295,'1990-12-02 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241216272431259614575124610144092',2713,'269',64.65,1,3,NULL),(16,3056309,'1991-06-16 00:00:00',4,2,12,2008,'F','N','FORTALEZA','BLUMENAU','SC','124241241136131431336934575124610166042',13515,'83',42.59,1,2,1),(16,3056317,'1992-01-15 00:00:00',4,9,12,2008,'F','N','CENTRO','CORREIA PINTO','SC','124242241316161431369812575112610112057',NULL,'201',25.39,1,3,NULL),(16,3056325,'1991-05-27 00:00:00',4,5,10,2008,'F','N','CENTRO','CRICIÚMA','SC','124242241215272431375952572112610128182',NULL,'226',35.62,1,3,NULL),(16,3056333,'1990-04-24 00:00:00',4,2,11,2007,'M','N','MARGEM ESQUERDA','GASPAR','SC','124242241215371431459913595124130764062',NULL,'909',0.00,1,3,NULL),(16,3056350,'1990-12-23 00:00:00',2,1,11,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','624243241115131431323821582124610124092',NULL,'307',46.26,1,3,NULL),(16,3056368,'1983-05-13 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124124121416375411528613445114121166182',12027,'9998',45.22,1,3,NULL),(16,3056376,'1991-05-11 00:00:00',4,5,11,2008,'M','N','PRAIA GRANDE','TORRES','RS','120202201216472731446932225121610162117',2322,'9998',65.96,1,3,NULL),(16,3056384,'1988-09-26 00:00:00',4,2,12,2006,'F','N','JARDIM ROSANA','ARARAS','SP','125252251117571741379813171122610134092',3186,'9998',63.32,1,3,NULL),(16,3056392,'1989-11-06 00:00:00',4,1,11,2006,'F','N','CENTRO','ASTORGA','PR','116161161216572431434612171122610164097',NULL,'9998',0.00,1,3,NULL),(16,3056406,'1991-10-03 00:00:00',4,9,11,2008,'F','N','SÃO PAULO','LAGES','SC','124243241217122431338912422122610168192',8057,'497',52.31,1,3,NULL),(16,3056414,'1991-09-24 00:00:00',4,8,12,2008,'M','N','CAPÃO DA IMBUIA','CURITIBA','PR','116162161235111431353834272112610134147',NULL,'9998',0.00,1,3,NULL),(16,3056430,'1978-09-08 00:00:00',2,1,6,2004,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120204204411151711378833312122241332096',NULL,'9999',6.08,1,3,NULL),(16,3056449,'1990-12-28 00:00:00',2,1,12,2008,'M','N','PASSA VINTE','PALHOÇA','SC','124242241211112431466613371121610166052',5408,'1011',57.65,1,3,NULL),(16,3056457,'1989-11-14 00:00:00',4,1,12,2007,'M','N','PRAINHA','FLORIANÓPOLIS','SC','124241241117372431536634242124610127043',15168,'307',39.27,1,2,1),(16,3056465,'1989-03-01 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241212473411438614575112610113111',12745,'1050',43.93,1,3,NULL),(16,3056481,'1991-07-17 00:00:00',4,1,11,2008,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241216112431489612575114610167182',6969,'266',54.35,1,3,NULL),(16,3056490,'1991-10-11 00:00:00',4,1,11,2008,'M','N','CENTRO','CATUíPE','RS','120201201117371432328632472122610114053',NULL,'9998',0.00,1,3,NULL),(16,3056503,'1988-03-24 00:00:00',4,1,12,2005,'F','N','SETOR SUDOESTE','CRUZEIRO','DF','107072071217571431469833335122142512097',866,'9998',72.91,4,3,NULL),(16,3056511,'1990-01-12 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217272431478712572112610127131',12407,'1048',44.53,1,3,NULL),(16,3056520,'1991-07-12 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431469833572122610165092',5022,'270',58.56,1,3,NULL),(16,3056538,'1991-10-31 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215271731456812275122610167127',1592,'738',68.92,1,3,NULL),(16,3056546,'1989-12-20 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215272431456413572124121562182',10,'1022',84.93,1,3,NULL),(16,3056562,'1990-07-08 00:00:00',2,3,12,2007,'F','N','JARDIM PRIMAVERA','JACAREÍ','SP','125253251216472451456614145124610142144',11410,'9998',46.33,4,3,NULL),(16,3056589,'1981-07-12 00:00:00',4,1,12,1999,'M','N','SERRARIA','S JOSÉ','SC','124241246116145721565533445123610168013',NULL,'306',34.12,1,2,1),(16,3056597,'1992-12-04 00:00:00',4,1,11,2009,'F','S','CAMPINAS','S JOSÉ','SC','124242241215111432436613592124610163025',NULL,'1022',39.98,4,3,NULL),(16,3056600,'1989-08-14 00:00:00',4,1,12,2007,'F','N','SETOR AEROPORTO','GOIÂNIA','GO','109092091216471431379311575122610166147',5610,'9998',57.23,4,3,NULL),(16,3056619,'1991-03-01 00:00:00',4,8,12,2008,'F','N','GUANABARA','JOINVILLE','SC','124241241115371411435669575124610166147',10965,'465',47.08,4,2,1),(16,3056627,'1988-12-10 00:00:00',2,5,12,2005,'F','N','OURO NEGRO','FORQUILHINHA','SC','124241241117271411433311442124610144147',12505,'228',44.37,1,2,1),(16,3056635,'1992-12-18 00:00:00',2,8,12,2009,'F','S','AMÉRICA','JOINVILLE','SC','124242241215111411448722376122610136197',NULL,'1016',58.97,1,3,NULL),(16,3056643,'1990-03-29 00:00:00',4,1,12,2007,'M','N','VILA BERTIOGA','S PAULO','SP','125252251237271411356622385122610164057',NULL,'9998',29.11,1,3,NULL),(16,3056651,'1990-09-04 00:00:00',4,1,11,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217121731448832574122610122052',2963,'270',63.94,1,3,NULL),(16,3056660,'1990-12-03 00:00:00',4,6,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111231466631315124610127112',NULL,'389',25.97,1,3,NULL),(16,3056678,'1991-02-15 00:00:00',2,1,12,2008,'F','N','BALNEÁRIO ESTREITO','FLORIANóPOLIS','SC','124242241416131431636811375112610162047',NULL,'257',23.51,1,3,NULL),(16,3056686,'1990-04-10 00:00:00',2,1,12,2007,'F','N','IPIRANGA','S JOSÉ','SC','124243241211372741569813575124610146057',11535,'829',46.11,1,3,NULL),(16,3056694,'1986-01-17 00:00:00',4,1,12,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124202201217372231237822275111120767057',7502,'9998',53.33,1,3,NULL),(16,3056716,'1989-12-20 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215472751456413572124610122182',131,'1022',80.42,1,3,NULL),(16,3056724,'1988-08-10 00:00:00',4,8,12,2006,'F','N','VILA MAZZEI','S PAULO','SP','125252251417571431548711575124610127147',1177,'9998',71.05,3,3,NULL),(16,3056740,'1991-09-18 00:00:00',4,3,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161217471431228816575124610161112',NULL,'9998',0.00,1,3,NULL),(16,3056759,'1991-01-11 00:00:00',2,1,12,2008,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241246215111431336334572122610138097',15736,'1075',37.97,1,3,NULL),(16,3056767,'1989-07-15 00:00:00',4,1,12,2006,'F','N','VILA MARIETA','S PAULO','SP','125252251437372431536711243124610112117',NULL,'9998',29.38,1,3,NULL),(16,3056775,'1991-02-27 00:00:00',4,8,12,2008,'F','N','CENTRO','QUATRO PONTES','PR','116164161217161431449914241124610165142',10867,'9998',47.24,1,3,NULL),(16,3056783,'1989-08-08 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242248215472431476711275122610161187',11077,'262',46.88,1,3,NULL),(16,3056791,'1991-07-23 00:00:00',4,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242241215111431478813595122610124142',11937,'491',45.37,1,3,NULL),(16,3056805,'1991-09-17 00:00:00',4,8,12,2008,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215372431343824572121610164152',3950,'442',61.20,1,3,NULL),(16,3056813,'1990-07-10 00:00:00',4,8,12,2008,'M','N','IRIRIÚ','JOINVILLE','SC','124241247327131421426471185224610164147',15365,'9999',38.84,1,3,NULL),(16,3056821,'1991-09-26 00:00:00',4,1,11,2008,'M','N','MORRO DA CEGONHA','ERECHIM','RS','120202201216271431378811492122610168182',2399,'9998',65.69,1,3,NULL),(16,3056830,'1988-06-18 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216575441544933575124122925171',3711,'270',61.80,1,3,NULL),(16,3056848,'1991-08-27 00:00:00',2,4,11,2008,'F','N','BAIRRO DO PARQUE','ITAPIRANGA','SC','124241241226131411523327244122610128177',NULL,'1060',0.00,1,3,NULL),(16,3056856,'1990-07-02 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124163241215373431438614242124230227147',NULL,'269',39.64,1,3,NULL),(16,3056864,'1991-03-24 00:00:00',4,1,11,2008,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251216121411469614575112610164182',1498,'9998',69.38,1,3,NULL),(16,3056872,'1991-07-28 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111451467412595115610135187',15366,'1022',38.84,1,3,NULL),(16,3056880,'1991-04-19 00:00:00',4,3,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161217111431338813574122610168181',10480,'9998',47.94,1,3,NULL),(16,3056902,'1991-03-07 00:00:00',4,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241215151431586632275124610147182',NULL,'1075',0.00,1,3,NULL),(16,3056910,'1989-11-03 00:00:00',2,1,12,2007,'M','N','CENTRO','NOVA TRENTO','SC','124243241411473231556639171121610137187',5901,'109',56.58,1,3,NULL),(16,3056929,'1991-04-06 00:00:00',4,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSé','SC','124242241116151431359714575122610124142',3949,'739',61.20,1,3,NULL),(16,3056961,'1990-07-17 00:00:00',1,8,11,2008,'F','N','ANITA GAIBALDI','JOINVILLE','SC','124244241216111411458832595122610144092',8422,'486',51.54,1,3,NULL),(16,3056988,'1991-07-23 00:00:00',4,1,11,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215161531368932597114610167073',6618,'1050',55.01,1,3,NULL),(16,3056996,'1991-07-04 00:00:00',4,1,10,2008,'F','N','PIO CORREA','CRICIÚMA','SC','124242241217111431567931575112610148092',11897,'226',45.46,1,3,NULL),(16,3057003,'1990-12-01 00:00:00',2,1,11,2008,'F','N','CENTRO','LUÍS E MAGALHÃES','BA','105241051216151331335611572122610168145',NULL,'9998',33.98,1,3,NULL),(16,3057011,'1990-06-13 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472431468933575122610123092',8852,'883',50.81,1,3,NULL),(16,3057020,'1989-09-30 00:00:00',4,8,12,2007,'M','N','CENTRO','CASCAVEL','PR','116162161215471531288811575122610127067',NULL,'9998',0.00,3,3,NULL),(16,3057038,'1990-05-21 00:00:00',4,1,12,2007,'M','N','SANTO ANTÔNIO','ITUPORANGA','SC','124242241217472431139934574124610122077',2235,'959',66.30,1,3,NULL),(16,3057054,'1985-10-09 00:00:00',2,1,12,2002,'F','N','SETOR CENTAL','GOIâNIA','GO','109101101116371431323823385124140364177',NULL,'9998',0.00,2,1,1),(16,3057062,'1991-07-18 00:00:00',4,4,11,2008,'F','N','MERCES','CURITIBA','PR','116162161215171231437732392122610134142',NULL,'9998',31.90,1,3,NULL),(16,3057089,'1991-11-26 00:00:00',2,9,12,2008,'M','N','CENTRO','PALMEIRA','SC','124244246316371431435921375124610142142',NULL,'899',32.95,4,3,NULL),(16,3057097,'1990-12-14 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121431369833245114610124162',5246,'270',58.01,4,3,NULL),(16,3057100,'1979-12-26 00:00:00',4,1,12,1997,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215373411458714445124320246182',1700,'272',68.41,1,3,NULL),(16,3057119,'1991-03-11 00:00:00',4,4,11,2008,'M','N','CENTRO','CONCÓRDIA','SC','124242241215371431478814474122610127042',6014,'1047',56.33,1,3,NULL),(16,3057135,'1989-07-02 00:00:00',4,1,12,2006,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241137131532526923385114133222097',NULL,'153',18.22,1,2,1),(16,3057143,'1989-09-29 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216122411378713495124120267143',NULL,'270',35.22,4,3,NULL),(16,3057178,'1990-07-18 00:00:00',4,8,12,2008,'M','N','GLÓRIA','JOINVILLE','SC','124242241216131431549911584124610124122',NULL,'1105',27.06,1,3,NULL),(16,3057186,'1991-11-02 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215221431369834372122610124052',12571,'270',44.23,1,3,NULL),(16,3057194,'1991-05-01 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372431478912572124610164142',10973,'262',47.07,1,3,NULL),(16,3057208,'1991-03-18 00:00:00',4,1,12,2007,'F','N','AMÉRICA','APUCARANA','PR','116161161117571731336639585125242834142',NULL,'9998',41.63,1,2,1),(16,3057224,'1991-04-24 00:00:00',4,2,11,2008,'M','N','BAIRRO GARCIA','BLUMENAU','SC','124242241216111431458812575122610162072',2357,'87',65.85,1,3,NULL),(16,3057240,'1991-05-13 00:00:00',4,4,11,2008,'M','N','JARDIM PEPERI','S MIGUEL OESTE','SC','124242241215111531456812345122610167057',2686,'751',64.73,1,3,NULL),(16,3057259,'1991-04-26 00:00:00',2,8,12,2008,'M','N','JR REGINA','RANCHARIA','SP','125252251217121431447932575122610165152',NULL,'9998',0.00,1,3,NULL),(16,3057267,'1990-01-19 00:00:00',2,1,12,2007,'M','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124241241127131431413318445124610168183',7944,'649',52.52,1,2,1),(16,3057275,'1990-04-23 00:00:00',2,1,1,2008,'M','N','MÉIER','RIO JANEIRO','RJ','121212211235371431548811582144610164147',9805,'9998',49.15,1,3,NULL),(16,3057283,'1990-05-01 00:00:00',4,1,12,2007,'F','N','CENTRO','LONDRINA','PR','116111111437471431435416184124610133142',NULL,'9998',38.55,1,3,NULL),(16,3057291,'1990-12-17 00:00:00',2,1,11,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241215271431356611372124610127097',NULL,'269',28.08,1,3,NULL),(16,3057313,'1990-06-09 00:00:00',4,8,12,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124243246217461431468614575124610117067',NULL,'1105',28.65,1,3,NULL),(16,3057321,'1990-06-04 00:00:00',4,1,11,2007,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241117372411446823575124610144032',15078,'727',39.48,2,1,2),(16,3057348,'1989-11-10 00:00:00',4,2,12,2007,'M','N','LAGEADO BAIXO','GUABIRUBA','SC','124242241216112441439313285121610127057',4685,'925',59.35,4,3,NULL),(16,3057356,'1987-02-09 00:00:00',4,5,12,2004,'M','N','MARECHAL RONDON','CANOAS','RS','120201201116141411556611445125241428187',NULL,'9998',0.00,1,2,1),(16,3057364,'1992-02-08 00:00:00',4,1,11,2008,'M','N','BOSQUE DA SAÚDE','CUIABÁ','MT','111112111217111431256923472125610162092',2029,'9998',67.09,1,3,NULL),(16,3057372,'1988-02-28 00:00:00',4,2,12,2005,'F','N','ASILO','BLUMENAU','SC','124243241211472411247724575122133222122',NULL,'88',0.00,1,3,NULL),(16,3057380,'1990-04-01 00:00:00',4,1,12,2007,'F','N','JARDIM GUANABARA','RONDONÓPOLIS','MT','111111111116271431223923485121610148142',13592,'9998',42.46,4,2,1),(16,3057399,'1992-12-28 00:00:00',4,1,12,2009,'F','S','JURERÊ','FLORIANóPOLIS','SC','124242241216111431268923476114610137147',NULL,'270',56.06,1,3,NULL),(16,3057429,'1990-09-07 00:00:00',4,1,12,2007,'M','N','JD PEREIRA DO AMPARO','JACAREÍ','SP','125252251235472451278823572124610167046',2764,'9998',64.53,1,3,NULL),(16,3057437,'1990-05-09 00:00:00',4,8,11,2007,'F','N','LIMOEIRO','S PAULO','SP','125252251235471431336824342145610164147',7258,'9998',53.79,1,3,NULL),(16,3057445,'1989-03-21 00:00:00',4,2,12,2006,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241217212531478814492124231423092',11732,'855',45.76,1,3,NULL),(16,3057453,'1979-09-08 00:00:00',2,3,12,1997,'M','N','JOAIA','TIJUCAS','SC','124244241217131432443643235122331043177',NULL,'37',0.00,1,3,NULL),(16,3057461,'1988-05-04 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124252251216572441468814575125610167187',2200,'9998',66.41,1,3,NULL),(16,3057470,'1989-01-05 00:00:00',4,1,12,2005,'M','N','VILA SOBRINHO','CPO GRANDE','MS','112122121215571411458312175122142662057',791,'9998',73.53,1,3,NULL),(16,3057488,'1990-06-29 00:00:00',4,1,12,2007,'M','N','JARDIM EUROPA','CRUZEIRO','SP','125252251216231431237833445125243224042',NULL,'9998',0.00,1,3,NULL),(16,3057496,'1990-10-05 00:00:00',4,1,11,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241215371451457314394111610117072',1674,'1011',68.53,1,3,NULL),(16,3057526,'1988-05-12 00:00:00',2,1,2,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124246247617371421228624245121610137057',14369,'9999',40.93,4,1,2),(16,3057534,'1989-10-18 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','120202201217251431447832575124610237057',NULL,'9998',20.97,1,3,NULL),(16,3057542,'1990-05-10 00:00:00',2,3,12,2007,'F','N','CASA BRANCA','STO ANDRÉ','SP','125162161216472431568713475112610132142',8145,'9998',52.14,1,3,NULL),(16,3057577,'1990-09-01 00:00:00',4,1,12,2008,'M','N','JD BONANZA','STA RITA P QUATRO','SP','125252251216111411368713575122610167057',9983,'9998',48.81,1,3,NULL),(16,3057585,'1991-08-15 00:00:00',4,1,12,2008,'M','N','CENTRO','MAMBORÊ','PR','116161161415111431569711372114610164142',NULL,'9998',39.14,1,3,NULL),(16,3057593,'1988-08-10 00:00:00',4,1,8,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244247617372431236823285114610168067',NULL,'9999',31.57,1,3,NULL),(16,3057607,'1990-01-25 00:00:00',4,1,11,2007,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161215472431445739592122610138142',NULL,'9998',25.21,1,3,NULL),(16,3057615,'1986-05-21 00:00:00',4,1,6,2003,'M','N','LAGO NORTE','LG NORTE','DF','107074071211373451478823385112141462147',30,'9998',83.54,1,3,NULL),(16,3057623,'1988-03-03 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241416524411468813485114610136142',NULL,'269',34.16,1,3,NULL),(16,3057631,'1990-02-15 00:00:00',4,1,12,2007,'F','N','JARDIM BOTÂNICO','LG SUL','DF','107071071116271431448813572222141366147',4140,'9998',60.67,1,2,1),(16,3057640,'1990-07-18 00:00:00',4,4,12,2007,'M','N','CENTRO','MONDAÍ','SC','124241241136271431423631275122610164047',14887,'564',39.91,1,2,1),(16,3057658,'1990-07-13 00:00:00',2,1,11,2007,'F','N','REAL PARQUE','S JOSÉ','SC','124244241215372411536619295124610133047',4899,'976',58.86,1,3,NULL),(16,3057666,'1988-01-10 00:00:00',2,2,12,2005,'F','N','MARGEM ESQUERDA','GASPAR','SC','124241241116573431448733272124610168147',11396,'327',46.35,1,2,1),(16,3057674,'1991-03-19 00:00:00',4,1,12,2008,'M','N','COND MILIONI','SALTO','SP','125252251217111531568832575122610147042',11886,'9998',45.48,1,3,NULL),(16,3057682,'1989-01-06 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216573441579813571122231962172',454,'270',76.21,1,3,NULL),(16,3057690,'1991-10-19 00:00:00',4,1,12,2008,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241114271431333331575124610132145',11819,'307',45.60,1,2,1),(16,3057704,'1974-12-25 00:00:00',2,7,12,1992,'M','N','CENTRO','CURITIBA','PR','116241241126371421421134182324131026177',8756,'449',50.97,1,2,1),(16,3057712,'1991-02-13 00:00:00',4,1,11,2007,'M','N','IPIRANGA','S JOSÉ','SC','124243241117372411636631345134610122017',12706,'734',43.99,1,3,NULL),(16,3057720,'1991-02-19 00:00:00',2,1,11,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241121371431639413391334610166047',NULL,'1097',26.21,1,2,1),(16,3057747,'1990-07-13 00:00:00',2,5,6,2008,'F','N','PRIMEIRO DE MAIO','IçARA','SC','124241248212131431436619392124610112147',16459,'995',35.65,1,3,NULL),(16,3057755,'1992-01-11 00:00:00',4,1,12,2008,'M','N','SANTO INÁCIO','CURITIBA','PR','116162161217111431478832575122610127052',6945,'9998',54.40,1,3,NULL),(16,3057763,'1989-11-17 00:00:00',2,1,12,2006,'F','N','BELA VISTA I','S JOSÉ','SC','124241241115472411425533345134610144197',NULL,'257',27.61,1,2,1),(16,3057771,'1987-01-06 00:00:00',2,1,11,2005,'M','N','BARREIROS','S JOSé','SC','124241241124132721646429291114130224017',16608,'736',34.76,2,1,1),(16,3057780,'1990-01-04 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241211372431548311372314610166077',NULL,'270',43.81,1,3,NULL),(16,3057810,'1991-05-28 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124172241346132431458831292225233266097',4058,'639',60.90,1,3,NULL),(16,3057828,'1991-12-18 00:00:00',4,1,12,2008,'F','N','VILA DO PRATA','MARACAJU','MS','112123121216271431457711572122610164052',NULL,'9998',0.00,1,3,NULL),(16,3057836,'1985-04-15 00:00:00',2,1,12,2003,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241117132431334669485124610131015',NULL,'281',34.11,1,2,1),(16,3057852,'1989-09-09 00:00:00',1,6,11,2007,'F','N','FAZENDA','ITAJAÍ','SC','124244241215332451225879574124610161147',NULL,'9997',32.63,1,3,NULL),(16,3057860,'1986-01-25 00:00:00',2,1,12,2003,'F','N','INGLESES','FLORIANÓPOLIS','SC','224243241216472431233351472124342727077',3333,'988',62.90,1,3,NULL),(16,3057879,'1991-11-19 00:00:00',4,7,12,2008,'M','N','INTERIOR','SALTO VELOSO','SC','124241241131161431636614182221610166042',NULL,'684',37.44,1,2,1),(16,3057887,'1990-06-07 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241247312371431338612342114610132051',NULL,'9999',34.67,1,3,NULL),(16,3057895,'1987-07-13 00:00:00',5,1,12,2005,'M','N','LEONOR','LONDRINA','PR','116161167117372411347613285122143226112',15618,'9999',38.26,1,3,NULL),(16,3057909,'1990-11-25 00:00:00',2,1,7,2008,'M','N','ARIRIÚ','PALHOÇA','SC','124241241116131141544313575124610132197',1328,'739',70.22,1,2,1),(16,3057917,'1990-02-16 00:00:00',4,4,12,2007,'M','N','CENTRO','FOZ IGUAÇU','PR','116162161216273431568912382122241027057',NULL,'9998',0.00,1,3,NULL),(16,3057925,'1983-04-26 00:00:00',4,1,12,1999,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','224241248237132111225344342223130764027',15236,'9997',39.12,1,3,NULL),(16,3057933,'1990-02-12 00:00:00',2,1,6,2008,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241116372431546613575124610124147',NULL,'306',50.52,1,2,1),(16,3057950,'1986-08-23 00:00:00',2,1,12,2004,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241112472711436513332135610167047',4632,'271',59.47,1,2,1),(16,3057968,'1990-09-07 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241115472431334619272124610135142',4599,'271',59.57,1,3,NULL),(16,3057976,'1987-01-09 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247142111431445831345123610167022',15938,'9999',37.40,2,3,NULL),(16,3057984,'1989-12-15 00:00:00',4,1,12,2007,'F','N','ITAQUERA','S PAULO','SP','125102108214471431226924375124610118147',NULL,'9998',35.80,4,3,NULL),(16,3058000,'1973-05-02 00:00:00',4,1,12,1993,'F','N','SERRARIA','S JOSÉ','SC','124241203144132421124244245134140723077',NULL,'9998',25.31,2,1,1),(16,3058018,'1988-07-01 00:00:00',4,3,8,2006,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124244241117272431446514335123610127047',9138,'306',50.34,1,3,NULL),(16,3058034,'1976-11-05 00:00:00',2,1,11,1995,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241326133421546823415124321137187',13586,'307',42.48,1,3,NULL),(16,3058069,'1991-12-17 00:00:00',2,8,12,2008,'F','N','UBERABA','CURITIBA','PR','116162161211111431359714571122610125053',NULL,'9998',0.00,1,3,NULL),(16,3058085,'1990-04-29 00:00:00',2,1,12,2008,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241115472431523419472124610127145',NULL,'288',27.27,1,2,1),(16,3058107,'1990-03-20 00:00:00',4,4,7,2008,'M','N','CENTRO','CONCÓRDIA','SC','124243241316221431456422275122610164042',NULL,'190',0.00,1,3,NULL),(16,3058115,'1983-06-17 00:00:00',4,1,2,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202207436271431155812386111141436022',7817,'9998',52.74,1,3,NULL),(16,3058140,'1988-10-24 00:00:00',2,1,12,2005,'F','N','CENTRO','S JOAQUIM','SC','124242241216372411565612475114122764147',13356,'1022',42.87,1,3,NULL),(16,3058166,'1987-11-12 00:00:00',4,1,12,2004,'F','N','SÃO MIGUEL','BIGUAÇU','SC','124242241216372511358612342334132564177',8643,'424',51.17,1,3,NULL),(16,3058174,'1990-03-20 00:00:00',2,1,12,2007,'M','N','VILA NOVA','IMBITUBA','SC','124241241115472431335411585214610127117',6383,'1034',55.52,1,2,1),(16,3058182,'1991-12-22 00:00:00',2,1,12,2008,'M','N','PRIMAVERA','ARENÁPOLIS','MT','111111111116161431534416275121610142182',11288,'9998',46.49,1,2,1),(16,3058190,'1988-12-19 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241211373431548314241124610127042',8182,'259',52.05,1,3,NULL),(16,3058212,'1986-05-07 00:00:00',4,9,6,2004,'M','N','CENTRO','LAGES','SC','124241247414372731466911445112130268182',NULL,'9999',28.02,1,3,NULL),(16,3058220,'1991-04-22 00:00:00',2,1,11,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241117371531533311391124610168042',NULL,'293',26.82,1,2,1),(16,3058239,'1991-11-12 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115141431425331292124610112182',NULL,'292',22.05,3,2,1),(16,3058247,'1976-01-28 00:00:00',2,4,12,1994,'M','N','PERPÉTUO SOCORRO','STA MARIA','RS','120201208127131731422335186341610148187',3105,'9998',63.51,4,1,1),(16,3058255,'1987-08-19 00:00:00',2,1,12,2004,'F','N','RIO GRANDE','PALHOÇA','SC','224241241137141431223354245334610135057',15520,'96',38.50,1,2,1),(16,3058263,'1989-10-14 00:00:00',4,1,12,2006,'M','N','CONTA DINHEIRO','LAGES','SC','124242241215372431348652572124133268092',934,'499',72.48,1,3,NULL),(16,3058271,'1991-05-06 00:00:00',2,1,11,2008,'M','N','TRIANON','GUARAPUAVA','PR','116161161337371531525933275122610167047',NULL,'9998',28.83,4,3,NULL),(16,3058280,'1991-02-07 00:00:00',2,4,12,2008,'F','N','CENTRO','SUL BRASIL','SC','124241241115161431312226172324610123147',NULL,'775',27.88,4,2,1),(16,3058310,'1986-10-25 01:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241317472431569913372122610166187',9029,'306',50.53,4,3,NULL),(16,3058328,'1990-07-05 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215472431448923574322610132122',4781,'270',59.11,1,3,NULL),(16,3058336,'1988-07-28 00:00:00',2,5,11,2006,'F','N','MORRO ESTEVÃO','CRICIÚMA','SC','124242248215374431459634345124131534147',11851,'226',45.55,1,3,NULL),(16,3058344,'1988-03-21 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANOPOLIS','SC','124241241135133421446433245124610126092',NULL,'281',30.13,2,2,1),(16,3058352,'1991-12-26 00:00:00',2,4,12,2008,'F','N','CENTRO','SUL BRASIL','SC','124241241115161431536326372224610126147',NULL,'775',21.09,1,2,1),(16,3058360,'1986-06-10 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215575431666769594124121524072',210,'270',79.06,4,3,NULL),(16,3058379,'1987-07-01 00:00:00',2,1,11,2004,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124241241316575441457613431114610167187',3231,'943',63.20,1,3,NULL),(16,3058387,'1990-07-03 00:00:00',4,1,12,2008,'F','N','CENTRO','ANDRADAS','MG','113134131216111121536316261124610163187',NULL,'9998',0.00,1,3,NULL),(16,3058395,'1991-06-30 00:00:00',2,4,12,2008,'F','N','PQ DOM BOSCO','UMUARAMA','PR','116161161146131311632923572224610164147',11651,'9998',45.91,2,1,1),(16,3058417,'1990-02-24 00:00:00',4,1,12,2007,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241112131531423364482112610132181',8671,'591',51.12,1,3,NULL),(16,3058425,'1989-12-05 00:00:00',2,1,12,2007,'F','N','JARDIM','CPO GRANDE','MS','112121121117371731437534585124610128193',NULL,'9998',27.95,4,3,NULL),(16,3058433,'1990-12-05 00:00:00',2,1,12,2007,'M','N','BALNEARIO ESTREITO','FLORIANÓPOLIS','SC','124114241415471431558913382114610147052',13479,'259',42.65,1,3,NULL),(16,3058441,'1987-07-11 00:00:00',2,1,12,2006,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241136132431216644245124610124147',16378,'306',36.06,2,1,1),(16,3058450,'1991-07-05 00:00:00',4,3,11,2008,'M','N','PILARZINHO','CURITIBA','PR','116162161216121431358833572112610164047',NULL,'9998',0.00,1,3,NULL),(16,3058468,'1991-05-01 00:00:00',2,3,12,2008,'F','N','CENTRO','CASTRO','PR','116162161215121431458831372122610162017',NULL,'9998',27.46,1,3,NULL),(16,3058476,'1992-01-31 00:00:00',2,8,12,2008,'M','N','OFICINAS','PNT GROSSA','PR','116162161214111431446934572124610127042',NULL,'9998',0.00,1,3,NULL),(16,3058484,'1990-10-13 00:00:00',4,4,12,2008,'M','N','CENTRO','DOURADOS','MS','112122121215121431468613472112610164042',4510,'9998',59.74,1,3,NULL),(16,3058492,'1987-01-23 00:00:00',4,1,11,2005,'M','N','SARGENTO AMARAL','CPO GRANDE','MS','112122121216253411337831315112610124057',NULL,'9998',0.00,3,3,NULL),(16,3058506,'1990-04-04 00:00:00',4,8,12,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124242246215472431357624294112610121072',5625,'1006',57.21,1,3,NULL),(16,3058522,'1991-11-09 00:00:00',2,8,12,2008,'F','N','ITU SABARÁ','PORTO ALEGRE','RS','120242201215471431569934571122610161097',NULL,'9998',0.00,1,3,NULL),(16,3058530,'1988-07-10 00:00:00',4,8,1,2006,'M','N','IRIRIU','JOINVILLE','SC','124243241216371411558934345114610167181',NULL,'487',0.00,1,3,NULL),(16,3058557,'1989-01-21 00:00:00',4,1,12,2006,'F','N','JARDIM GUAPIRA','S PAULO','SP','125252251317271411559833485125610137097',8063,'9998',52.29,1,3,NULL),(16,3058565,'1990-05-04 00:00:00',4,1,12,2007,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125252251235471431488814572122610164142',81,'9998',81.47,1,3,NULL),(16,3058573,'1976-03-25 00:00:00',2,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241247127131421623523282224610123147',NULL,'297',18.75,1,2,1),(16,3058590,'1991-05-22 00:00:00',2,5,10,2008,'F','N','PIO CORREA','CRICIÚMA','SC','624202241215471431469514575122610167057',13947,'213',41.76,1,3,NULL),(16,3058603,'1991-06-01 00:00:00',4,8,11,2008,'F','N','JD ELDORADO','DRACENA','SP','125252251217111441468811472124610114142',9520,'9998',49.68,1,3,NULL),(16,3058620,'1986-01-11 00:00:00',2,1,12,2002,'M','N','CENTRO','CURITIBA','PR','116162161215472451368832395112343244047',NULL,'9998',30.80,1,3,NULL),(16,3058654,'1991-11-12 00:00:00',4,1,11,2009,'F','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431489911575112610133132',NULL,'270',62.64,1,3,NULL),(16,3058662,'1990-11-19 00:00:00',2,4,11,2007,'F','N','PASSO DOS FORTES','CHAPECó','SC','124242241214472751258732575124610137052',NULL,'1000',44.90,4,3,NULL),(16,3058670,'1991-10-16 00:00:00',4,1,12,2008,'M','N','CENTRO','S JOÃO BATISTA','SC','124242241215112431458612574112610146192',1089,'948',71.51,1,3,NULL),(16,3058689,'1991-03-26 00:00:00',2,1,12,2008,'F','N','CAMPESTRE','VIDAL RAMOS','SC','124241241125161712523315192124610127057',12404,'828',44.54,1,2,1),(16,3058697,'1991-09-30 00:00:00',4,10,12,2008,'M','N','MAR GROSSO','LAGUNA','SC','124242241216111431448829595122610124032',10421,'525',48.06,1,3,NULL),(16,3058700,'1989-03-16 00:00:00',2,1,12,2006,'F','N','IGUAÇU','ARAUCÁRIA','PR','116161161217271711634612372224610128147',NULL,'9998',29.95,1,3,NULL),(16,3058719,'1985-11-09 00:00:00',4,1,12,2003,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215474431347824371122333227092',2580,'270',65.06,1,3,NULL),(16,3058727,'1991-08-13 00:00:00',2,10,12,2008,'M','N','VILA NOVA','IMBITUBA','SC','124241241115161431446611272122610127147',NULL,'1034',25.29,4,3,NULL),(16,3058735,'1987-06-28 00:00:00',2,3,12,2005,'M','N','CENTRO','LGA VERMELHA','RS','120201201316432431336722591314610164082',14597,'9998',40.52,1,3,NULL),(16,3058743,'1989-03-08 00:00:00',4,1,12,2006,'F','N','ZONA II','MARINGÁ','PR','116162161215571431458832272122610165182',4272,'9998',60.32,1,3,NULL),(16,3058778,'1988-09-17 00:00:00',4,1,12,2006,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215473411248923575122131267042',810,'262',73.37,1,3,NULL),(16,3058786,'1991-04-25 00:00:00',2,1,11,2008,'F','N','CENTRO','CURITIBA','PR','116222161215111431366724575124610137053',NULL,'9998',0.00,1,3,NULL),(16,3058808,'1989-02-10 00:00:00',2,1,12,2006,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241317373411439732495121330237112',8692,'267',51.09,1,3,NULL),(16,3058816,'1989-07-19 00:00:00',4,1,12,2006,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124243241216142431436413345123133236182',11223,'63',46.60,1,3,NULL),(16,3058824,'1990-03-27 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472421369923575112610164017',1052,'270',71.72,1,3,NULL),(16,3058832,'1991-10-06 00:00:00',4,2,11,2008,'M','N','SANTANA','RIO SUL','SC','124242241215371431489921575121610167052',4334,'653',60.17,1,3,NULL),(16,3058840,'1992-01-27 00:00:00',2,6,11,2008,'F','N','NOVO MUNDO','CURITIBA','PR','116121164315471711235712291124610165147',NULL,'9998',0.00,1,3,NULL),(16,3058859,'1988-07-04 00:00:00',2,1,12,2006,'M','N','FUNCIONARIOS','BELO HORIZONTE','MG','113132131217573631668832575114610137097',145,'9998',80.07,4,3,NULL),(16,3058875,'1989-06-01 00:00:00',4,6,11,2008,'M','N','SÃO BRAZ','CURITIBA','PR','116162167217111741528634385124612964112',NULL,'9998',26.61,1,3,NULL),(16,3058891,'1990-09-22 00:00:00',2,1,11,2007,'F','N','PASSA VINTE','PALHOÇA','SC','124244241112272421436514342334610164143',NULL,'592',24.64,1,3,NULL),(16,3058905,'1990-05-04 00:00:00',4,1,11,2007,'F','N','GUABIROTUBA','CURITIBA','PR','116252161215472431487934574122610163142',4956,'9998',58.71,1,3,NULL),(16,3058913,'1991-01-04 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216271431336812595124610162015',15643,'1048',38.20,1,3,NULL),(16,3058921,'1991-08-13 00:00:00',2,10,12,2008,'M','N','VILA NOVA','IMBITUBA','SC','124241241115161431446611272122610117117',NULL,'1034',17.10,4,3,NULL),(16,3058956,'1991-06-16 00:00:00',4,2,11,2008,'F','N','TESTO ALTO','POMERODE','SC','124252241116271411437612575122610133097',NULL,'621',27.72,1,3,NULL),(16,3058964,'1991-07-24 00:00:00',4,2,11,2008,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241217272431358532375112610132092',5768,'107',56.92,1,3,NULL),(16,3058980,'1989-05-07 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115273731665613374124610167112',7672,'307',53.02,1,2,1),(16,3058999,'1987-02-04 00:00:00',4,1,12,2004,'F','N','ROÇADO','S JOSÉ','SC','124241241217375441448913442134610127117',6858,'1076',54.56,1,3,NULL),(16,3059006,'1991-12-03 00:00:00',4,5,12,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215112431379714375112610124197',879,'226',72.81,1,3,NULL),(16,3059014,'1990-05-24 00:00:00',2,9,11,2007,'F','N','BELA VISTA','S JOAQUIM','SC','124242241216471431449854595122610167012',NULL,'885',33.99,1,3,NULL),(16,3059022,'1991-03-20 00:00:00',4,8,12,2008,'M','N','VILA NOVA','ARAPONGAS','PR','116162161236111431449834575121610162047',552,'9998',75.39,1,3,NULL),(16,3059030,'1990-10-19 00:00:00',4,1,12,2008,'F','N','GUARDAMOR','S JOÃO D REI','MG','113132131217111431448812575122610168182',1647,'9998',68.66,1,3,NULL),(16,3059057,'1991-12-13 00:00:00',2,1,12,2008,'M','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124242241215111431434414575124610127052',NULL,'944',26.39,1,3,NULL),(16,3059065,'1991-03-21 00:00:00',4,1,11,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217471431489833575114610164041',2945,'270',63.98,1,3,NULL),(16,3059073,'1990-06-01 00:00:00',2,9,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124241241113161411636615572124610117052',8101,'505',52.22,1,2,1),(16,3059081,'1990-11-06 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212111431458719575122610127042',NULL,'270',37.97,1,3,NULL),(16,3059103,'1984-01-06 00:00:00',2,1,11,2002,'M','N','SANTO ANTONIO','GUARUJá','SP','125253251115571441241727275121140264047',13885,'9998',41.89,2,1,2),(16,3059111,'1990-06-14 00:00:00',4,1,12,2007,'M','N','ABRAÃO','FLORIANóPOLIS','SC','124244241435472431558613372124610127042',2206,'737',66.39,1,3,NULL),(16,3059120,'1988-02-26 00:00:00',2,1,12,2005,'M','N','SANTA FÉ','OURINHOS','SP','125253251316311431436614474123140841097',9076,'9998',50.46,1,3,NULL),(16,3059138,'1989-11-13 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215371431236329185124133222017',14646,'1031',40.39,1,3,NULL),(16,3059154,'1989-02-20 00:00:00',2,1,12,2006,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215473431557633342124610167142',12272,'272',44.77,1,3,NULL),(16,3059170,'1989-11-29 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215273231538813575124231267157',14679,'270',40.32,4,3,NULL),(16,3059189,'1991-01-10 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241215152431369314275122610162172',2624,'1146',64.92,1,3,NULL),(16,3059197,'1989-11-13 00:00:00',2,8,12,2006,'F','N','UVARANAS','PNT GROSSA','PR','116162161216572431456933575112142667017',NULL,'9998',0.00,1,3,NULL),(16,3059219,'1989-02-08 00:00:00',4,6,12,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241112371431326627242124610131197',NULL,'51',26.50,4,2,1),(16,3059227,'1991-04-19 00:00:00',4,10,12,2007,'F','N','MAR GROSSO','LAGUNA','SC','124242241215272431428717192112610144077',10121,'525',48.58,1,3,NULL),(16,3059235,'1991-03-02 00:00:00',4,10,11,2008,'F','N','CANOAS','RIO SUL','SC','124241241217131431117744145121610137147',10655,'653',47.64,1,3,NULL),(16,3059243,'1991-08-02 00:00:00',4,8,11,2008,'F','N','ITAUM','JOINVILLE','SC','124241241121141411226327315234610127142',NULL,'465',23.22,1,2,1),(16,3059251,'1991-07-30 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241215111431568733575124610133197',5615,'1022',57.22,1,3,NULL),(16,3059260,'1990-05-29 00:00:00',4,2,12,2007,'M','N','PARQUE VISTA ALEGRE','ITAPEVA','SP','125254251216272211369933214122610128144',7448,'9998',53.41,1,3,NULL),(16,3059278,'1979-05-27 00:00:00',2,4,12,1997,'M','N','CENTRO','STA MARIA','RS','120201201137571751346923445124343266157',4171,'9998',60.59,4,1,1),(16,3059286,'1992-02-22 00:00:00',4,4,12,2008,'F','N','LÍDER','CHAPECÓ','SC','124241241114371711425639374124610136147',5492,'182',57.49,1,2,1),(16,3059294,'1990-08-08 00:00:00',4,8,12,2007,'M','N','SEMINÁRIO','CURITIBA','PR','116162161217151431688819595124241427112',NULL,'9998',0.00,1,3,NULL),(16,3059308,'1989-01-13 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241116373431349933341134610165012',6045,'306',56.24,1,3,NULL),(16,3059316,'1991-09-04 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217121231229932495114610117042',10032,'270',48.72,1,3,NULL),(16,3059324,'1989-04-24 00:00:00',4,1,12,2007,'M','N','CENTRO','MARINGÁ','PR','116162161217471431336612445122610127187',6538,'9998',55.20,1,3,NULL),(16,3059332,'1990-05-31 00:00:00',4,2,12,2008,'F','N','ASILO','BLUMENAU','SC','124242241212412411525811292224610126012',5421,'88',57.63,1,3,NULL),(16,3059340,'1991-07-10 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241216111411448812575124610113147',12748,'1022',43.92,1,3,NULL),(16,3059359,'1989-01-06 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431437714574121610163015',6779,'262',54.70,1,3,NULL),(16,3059375,'1985-11-22 00:00:00',2,8,12,2003,'F','N','VERA CRUZ','MONTES CLAROS','MG','113131131116571341333413375124241316147',15639,'9998',38.21,2,1,1),(16,3059383,'1989-02-02 00:00:00',2,1,12,2007,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241245146371431426633342124610168147',13955,'307',41.74,1,2,1),(16,3059391,'1990-01-23 00:00:00',2,1,12,2007,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241112472432436319592114610164142',7324,'733',53.67,1,2,1),(16,3059405,'1991-11-11 00:00:00',4,6,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215211431478934395122610127122',13932,'44',41.80,1,3,NULL),(16,3059413,'1991-10-07 00:00:00',4,5,12,2008,'F','N','COMERCIÁRIO','CRICIúMA','SC','124242241215121431438812575122610132147',10427,'226',48.05,1,3,NULL),(16,3059421,'1991-11-11 00:00:00',2,10,12,2008,'M','N','OFICINAS','TUBARÃO','SC','124241241237272721449311295124610135187',13822,'797',42.01,4,1,2),(16,3059430,'1981-08-06 00:00:00',2,1,12,1998,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124243241311474431431679386214610167117',NULL,'300',26.03,1,3,NULL),(16,3059448,'1991-04-01 00:00:00',4,1,11,2008,'M','N','SÃO FRANCISCO','CPO GRANDE','MS','112122121216111431628834575124610137053',NULL,'9998',32.01,4,1,2),(16,3059456,'1990-12-13 00:00:00',4,1,12,2007,'M','N','ZONA QUATRO','MARINGá','PR','116162161217472431487919572122610167042',NULL,'9998',0.00,1,3,NULL),(16,3059464,'1992-05-17 00:00:00',4,7,11,2008,'M','N','CENTRO','CAPINZAL','SC','124242241217371431359713574122610162122',4185,'1093',60.52,1,3,NULL),(16,3059472,'1990-04-13 00:00:00',4,8,12,2007,'M','N','CENTRO','CASCAVEL','PR','116112111212411431446632572324510114182',13964,'9998',41.72,1,3,NULL),(16,3059499,'1991-10-23 00:00:00',2,8,12,2008,'F','N','CENTRO','PAPANDUVA','SC','124243241217111431366932425112610163012',7912,'541',52.58,1,3,NULL),(16,3059502,'1991-01-28 00:00:00',2,1,11,2008,'M','N','CENTRO','SORRISO','MT','111112111246111431545534135125610167072',NULL,'9998',31.24,1,3,NULL),(16,3059510,'1988-02-07 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124203201216154431348671596124223036122',10386,'9998',48.11,4,1,2),(16,3059529,'1990-12-31 00:00:00',2,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215112451529669595124610162042',7559,'272',53.22,1,3,NULL),(16,3059537,'1986-03-10 00:00:00',2,1,12,2003,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','124243241116373441333329322133610168197',3442,'739',62.53,1,3,NULL),(16,3059545,'1990-08-25 00:00:00',4,1,10,2008,'M','N','SÃO JOSÉ','S JOSÉ','SC','124244241215121431347853495124610124092',6306,'270',55.67,1,3,NULL),(16,3059561,'1984-09-03 00:00:00',2,1,12,2002,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241241137274431556734347134122327187',14162,'592',41.30,1,2,1),(16,3059570,'1991-09-16 00:00:00',2,9,12,2008,'F','N','PEREIRA ALVES','CORREIA PINTO','SC','124244241217132421446612222122610127147',NULL,'202',36.98,1,3,NULL),(16,3059588,'1988-09-28 00:00:00',4,7,11,2005,'M','N','SÃO VICENTE','HERVAL D OESTE','SC','124241241216572441367933571125610134182',NULL,'446',9.99,1,3,NULL),(16,3059596,'1991-05-12 00:00:00',2,4,11,2008,'M','N','MARIA GORETTI','CHAPECÓ','SC','124242241216471431369934575122610128052',NULL,'1046',10.85,1,3,NULL),(16,3059634,'1989-04-01 00:00:00',2,1,12,2009,'F','S','CATUÍRA','ALFREDO WAGNER','SC','124241241144161721524444242223610167065',NULL,'13',0.00,1,3,NULL),(16,3059642,'1985-05-11 00:00:00',2,1,12,2002,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201206126131431524644245334141146097',NULL,'9998',22.58,1,2,1),(16,3059669,'1992-06-08 00:00:00',2,1,11,2008,'F','N','JARDIM KARLA','FOZ IGUAÇU','PR','116164161215121751546839575122610168015',NULL,'9998',0.00,1,3,NULL),(16,3059677,'1986-01-17 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','624212216217471441327649345135610166047',12659,'9998',44.07,2,3,NULL),(16,3059685,'1990-09-04 00:00:00',4,1,11,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241215473441246923571124610125052',261,'270',78.41,1,3,NULL),(16,3059693,'1991-06-16 00:00:00',4,6,12,2008,'M','N','VISTA ALEGRE','ESPIGÃO D OESTE','RO','122222161217111231474812575122610164057',NULL,'9998',0.00,4,3,NULL),(16,3059707,'1991-01-14 00:00:00',4,8,11,2008,'M','N','CENTRO','S BENTO SUL','SC','124242241215171431568814595125610112052',NULL,'1114',0.00,1,3,NULL),(16,3059715,'1986-02-05 00:00:00',2,1,11,2003,'M','N','JARDIM AMÉRICA','GOIÂNIA','GO','109094091216571411436611592324610122047',1270,'9998',70.57,4,3,NULL),(16,3059723,'1985-04-03 00:00:00',4,1,6,2006,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242247227472441318813435121143266172',NULL,'9999',0.00,1,3,NULL),(16,3059731,'1989-04-19 00:00:00',4,8,12,2006,'F','N','SAGUAÇU','JOINVILLE','SC','124244241215471411458723275122610126096',1088,'489',71.51,1,3,NULL),(16,3059740,'1990-11-15 00:00:00',4,1,12,2008,'M','N','MUARAMA','PASSOS','MG','113132131216121431356722575112610167144',NULL,'9998',45.56,1,3,NULL),(16,3059766,'1990-07-28 00:00:00',4,1,12,2007,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215371231536632575124610167187',11266,'1014',46.53,1,3,NULL),(16,3059774,'1991-07-02 00:00:00',4,3,12,2008,'M','N','SANTA CRUZ','GUARAPUAVA','PR','116162168215111431568831571125610162042',NULL,'9998',23.21,1,3,NULL),(16,3059782,'1989-01-10 00:00:00',4,6,12,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215574431379914572122133266077',1323,'1038',70.25,1,3,NULL),(16,3059790,'1991-04-23 00:00:00',4,8,11,2008,'M','N','GUANABARA','JOINVILLE','SC','124241241127141431335514245124610137047',NULL,'465',22.86,1,2,1),(16,3059804,'1991-02-18 00:00:00',2,5,10,2008,'M','N','JARDIM MARISTELA','CRICIÚMA','SC','124242241215111431468913275112610127112',8582,'226',51.29,1,3,NULL),(16,3059812,'1991-08-29 00:00:00',2,1,11,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241215131731644913577314610123097',11782,'269',45.67,1,3,NULL),(16,3059820,'1991-10-15 00:00:00',2,3,12,2008,'F','N','BOMBAS','BOMBINHAS','SC','124241248137131431526719292322610126177',11280,'1089',46.50,4,3,NULL),(16,3059839,'1976-08-12 00:00:00',2,1,12,1993,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201203226372421238641315123141462092',7384,'9998',53.55,1,3,NULL),(16,3059847,'1991-08-11 00:00:00',4,1,12,2008,'M','N','GIOCONDO ORSI','CPO GRANDE','MS','112122121215111431488833572112610167052',544,'9998',75.44,1,3,NULL),(16,3059855,'1990-03-23 00:00:00',4,3,12,2008,'F','N','JARDIM UNIVERSITARIO','MARINGÁ','PR','116163161217372441536935394122610148172',NULL,'9998',0.00,1,3,NULL),(16,3059863,'1989-12-11 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241215112411331334375114610133097',NULL,'1022',25.23,1,3,NULL),(16,3059898,'1989-10-14 00:00:00',2,1,12,2007,'F','N','SACO GRANDE II','FLORIANÓPOLIS','SC','124242241215472441367923575124610135121',10072,'1022',48.64,1,3,NULL),(16,3059910,'1990-10-12 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111411569813595112610136145',13830,'1022',41.99,1,3,NULL),(16,3059928,'1977-09-05 00:00:00',4,1,12,1994,'M','N','CENTRO','FLORIANÓPOLIS','SC','224242241216475421328641312122121737062',NULL,'269',37.39,1,3,NULL),(16,3059936,'1990-11-22 00:00:00',4,1,11,2008,'F','N','BALNEÁRIO','FLORIANóPOLIS','SC','124242241215112431467733572112610164192',8136,'270',52.16,1,3,NULL),(16,3059952,'1991-09-30 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116112161216121431289911575122610137072',267,'9998',78.37,3,3,NULL),(16,3059960,'1988-06-10 00:00:00',4,10,12,2006,'M','N','CENTRO','CAPIVARI BAIXO','SC','124243247315211411425314245124133231027',NULL,'9997',18.95,1,3,NULL),(16,3059979,'1991-06-26 00:00:00',4,4,12,2008,'F','N','TACCA','XANXERÊ','SC','124242241216112431569932175122610144142',12458,'836',44.46,1,3,NULL),(16,3059987,'1990-12-03 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217112431669811412122610167042',4768,'737',59.14,1,3,NULL),(16,3059995,'1991-02-16 00:00:00',4,1,12,2008,'M','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124242241215112431548712575114610167042',2186,'1022',66.46,1,3,NULL),(16,3060039,'1988-07-02 00:00:00',4,2,12,2005,'F','N','CENTRO','RIO CEDROS','SC','124244241216573431489933475124131526122',4372,'37',60.09,1,3,NULL),(16,3060047,'1991-11-24 00:00:00',2,1,12,2008,'F','N','SACO GRANDE II','FLORIANÓPOLIS','SC','124242241215121731367923575124610147122',NULL,'1022',24.11,1,3,NULL),(16,3060063,'1989-03-06 00:00:00',1,8,12,2007,'F','N','AMÉRICA','JOINVILLE','SC','124243246217372441558814485124131463092',NULL,'1105',0.00,1,3,NULL),(16,3060080,'1991-08-04 00:00:00',4,2,11,2008,'M','N','ITOUPAVAZINHA','BLUMENAU','SC','124242246217141431467832174114610117182',NULL,'1018',35.44,1,3,NULL),(16,3060098,'1990-12-04 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241416372431569913375114610164055',16273,'269',36.46,1,3,NULL),(16,3060101,'1991-12-13 00:00:00',2,6,12,2008,'M','N','VISTA ALEGRE','ESPIGÃO D OESTE','RO','122222161217111531568813575122610168187',NULL,'9998',0.00,4,3,NULL),(16,3060128,'1990-05-27 00:00:00',2,1,12,2007,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241136272411544411275124130227042',7077,'306',54.14,1,2,1),(16,3060136,'1989-07-13 00:00:00',2,1,12,2006,'M','N','SANTA TEREZINHA','SOROCABA','SP','125242251217572431358824574114610135187',3216,'9998',63.25,1,3,NULL),(16,3060144,'1990-01-24 00:00:00',4,1,6,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242281215371431448831435134610127077',1732,'270',68.29,1,3,NULL),(16,3060152,'1989-10-06 00:00:00',4,3,12,2006,'M','N','JARDIM OSVALDO SELLA','CAMBé','PR','116252161215573431438814572112610167042',837,'9998',73.12,1,3,NULL),(16,3060160,'1989-02-11 00:00:00',2,10,12,2005,'F','N','VILA FLOR','CAPIVARI BAIXO','SC','124241241116372731445614215124610126152',15099,'1034',39.42,4,2,1),(16,3060179,'1987-02-04 00:00:00',4,1,12,2005,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243247415372411446613475114610167117',8634,'9999',51.19,1,3,NULL),(16,3060195,'1991-01-07 00:00:00',4,1,12,2008,'F','N','PASSAVINTE','PALHOÇA','SC','124241241227141431546424145124610138147',12535,'262',44.29,1,3,NULL),(16,3060209,'1991-08-29 00:00:00',4,6,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241317111441336623575125610166012',6534,'9997',55.21,1,3,NULL),(16,3060217,'1991-08-14 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124252241217111432268819574125610137187',6929,'270',54.45,3,3,NULL),(16,3060225,'1991-09-14 00:00:00',4,3,11,2008,'F','N','VILA ARAPONGUINHA','ARAPONGAS','PR','116132161215111412577912271122610164033',NULL,'9998',0.00,1,3,NULL),(16,3060233,'1992-04-07 00:00:00',2,1,12,2008,'F','N','TRES VENDAS','ERECHIM','RS','120201208117131731433336572224610128187',NULL,'9998',26.83,1,3,NULL),(16,3060268,'1991-10-04 00:00:00',4,2,12,2008,'F','N','VILA NOVA','TRÊS BARRAS','SC','124241241116151331436614375121610167042',9923,'789',48.91,1,2,1),(16,3060276,'1988-06-15 00:00:00',4,1,12,2006,'M','N','NOVA GERTY','S CAETANO SUL','SP','125253258147471411357614385124610164012',NULL,'9998',33.79,1,3,NULL),(16,3060284,'1988-10-02 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372731456924492124130468092',14239,'270',41.15,1,3,NULL),(16,3060292,'1986-08-10 00:00:00',4,1,12,2004,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124133131316132431457923286124221232077',8656,'9998',51.15,1,3,NULL),(16,3060306,'1991-10-27 00:00:00',4,1,10,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431569923572122610165062',7504,'266',53.32,1,3,NULL),(16,3060314,'1990-06-22 00:00:00',4,1,12,2007,'M','N','ZONA SETE','MARINGÁ','PR','116162161215471411458835575122610137052',4730,'9998',59.24,1,3,NULL),(16,3060322,'1990-06-07 00:00:00',4,1,12,2007,'M','N','ASA SUL','BRASÍLIA','DF','107072071213471751468839571122610125093',4932,'9998',58.79,1,3,NULL),(16,3060330,'1990-07-20 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241215471431434823495124610128167',15077,'269',39.48,1,3,NULL),(16,3060357,'1990-02-19 00:00:00',4,1,12,2007,'M','N','ITAGUÁ','UBATUBA','SP','125252251215471431468832442122610134012',NULL,'9998',40.59,1,3,NULL),(16,3060365,'1990-04-15 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241217473431348613395124610125147',NULL,'1124',43.05,1,3,NULL),(16,3060373,'1990-05-05 00:00:00',4,1,11,2008,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','624242241211151711489931285121610164182',4125,'1133',60.71,1,3,NULL),(16,3060381,'1991-02-14 00:00:00',4,1,12,2008,'M','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125252251217271231469811575122610137112',NULL,'9998',41.69,1,3,NULL),(16,3060390,'1992-05-29 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431248923375124610123182',9529,'1022',49.67,1,3,NULL),(16,3060403,'1991-11-08 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','624242241215111431446679595124610128042',12340,'1022',44.66,1,3,NULL),(16,3060411,'1989-07-22 00:00:00',4,8,12,2007,'F','N','SÃO BRAZ','CURITIBA','PR','116162168215472411479811571122610133092',3964,'9998',61.15,1,3,NULL),(16,3060420,'1989-07-19 00:00:00',2,1,12,2006,'F','N','ARIRIÚ','PALHOçA','SC','124241241116373431567912442112610127052',14261,'592',41.11,1,3,NULL),(16,3060438,'1984-05-02 00:00:00',2,1,12,2001,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241112273421554519235333333262187',6578,'307',55.11,1,2,1),(16,3060446,'1991-08-27 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151431488832571121610167142',65,'266',81.82,1,3,NULL),(16,3060454,'1990-04-10 00:00:00',4,7,11,2007,'M','N','SÃO FRANCISCO','LUZERNA','SC','124241241117372731436614485112610124187',NULL,'539',18.56,1,2,1),(16,3060462,'1984-12-22 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217154431469813472122221464092',4093,'262',60.80,1,3,NULL),(16,3060489,'1990-04-20 00:00:00',4,1,11,2006,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124253251216152441567731475124222145115',2594,'9998',65.03,1,3,NULL),(16,3060497,'1990-06-23 00:00:00',2,9,12,2007,'F','N','CENTRO','LAGES','SC','124203201216473431424716575112610147092',16500,'9998',35.46,1,3,NULL),(16,3060500,'1991-02-07 00:00:00',2,8,11,2008,'M','N','SETOR SUDOESTE','GOIâNIA','GO','109272091217111431576911581114610137042',16472,'9998',35.61,1,3,NULL),(16,3060527,'1987-12-22 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241426132751236469245334610136147',NULL,'307',19.20,1,3,NULL),(16,3060535,'1991-07-20 00:00:00',4,4,11,2008,'F','N','CENTRO','CHAPECÓ','SC','124242241217271431637924345122610122182',1788,'185',68.05,1,3,NULL),(16,3060543,'1989-11-17 00:00:00',2,1,12,2006,'M','N','CENTRO','BRUSQUE','SC','124201201117271431424631471124131662047',8171,'9998',52.07,1,2,1),(16,3060551,'1991-04-30 00:00:00',4,8,11,2008,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241211111321459814576121610167112',8575,'491',51.30,1,3,NULL),(16,3060560,'1992-02-09 00:00:00',4,1,11,2009,'M','S','CENTRO','FLORIANÓPOLIS','SC','124212241212111431378821475122610134062',NULL,'262',38.63,1,3,NULL),(16,3060578,'1988-04-21 00:00:00',2,4,12,2005,'M','N','CENTRO','MONDAÍ','SC','124241241116251431556652491122131424177',16592,'564',34.93,1,2,1),(16,3060594,'1991-08-02 00:00:00',4,6,12,2008,'M','N','CENTRO','CASCAVEL','PR','116162161215121441479831575122610146012',696,'9998',74.25,1,3,NULL),(16,3060608,'1987-12-16 00:00:00',4,1,11,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217373441476613275124221464062',248,'270',78.56,1,3,NULL),(16,3060616,'1987-12-12 00:00:00',2,1,12,2004,'M','N','CENTRO','S MATEUS SUL','PR','116162161217572431568613591122240428122',4407,'9998',59.99,1,3,NULL),(16,3060624,'1990-05-12 00:00:00',2,8,12,2007,'F','N','VILA DALVA','S PAULO','SP','125253251116171111334721185114610165147',14345,'9998',40.97,1,3,NULL),(16,3060640,'1988-02-11 00:00:00',4,6,12,2005,'F','N','CHACARA PAULISTA','MARINGÁ','PR','116111111441573431448434244124140222072',NULL,'9998',26.57,1,3,NULL),(16,3060659,'1990-06-28 00:00:00',4,8,12,2007,'M','N','GUAMIRANGA','GUARAMIRIM','SC','124241241124161431534314342221610162141',16321,'337',36.30,1,2,1),(16,3060675,'1990-10-09 00:00:00',4,1,12,2008,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241115151731437669576224610123077',8209,'267',51.97,1,2,1),(16,3060683,'1991-06-06 00:00:00',4,1,12,2008,'F','N','HAMBURGO VELHO','NOVO HAMBURGO','RS','120202201217271431439931113125610163097',9869,'9998',49.02,1,3,NULL),(16,3060705,'1992-02-27 00:00:00',2,1,12,2008,'F','N','CENTRO','PALHOÇA','SC','114111141127161431524336242323610118197',NULL,'9998',28.74,1,3,NULL),(16,3060713,'1985-08-26 00:00:00',4,8,11,2002,'F','N','AMÉRICA','JOINVILLE','SC','124242241215272451458611415112332628187',NULL,'491',14.56,1,3,NULL),(16,3060721,'1990-08-10 00:00:00',4,1,12,2008,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124241241125141431632211341334610146182',16008,'285',37.23,4,2,1),(16,3060730,'1992-03-28 00:00:00',4,1,12,2009,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241417111731369923475124610164075',NULL,'269',55.31,1,3,NULL),(16,3060756,'1991-03-28 00:00:00',2,1,12,2007,'M','N','UNIVERSITÁRIO','CURITIBANOS','SC','624241241115372751456514275124610137042',14404,'239',40.87,4,3,NULL),(16,3060764,'1987-07-05 00:00:00',4,1,12,2004,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215372431446619392324131032092',8245,'981',51.88,1,3,NULL),(16,3060772,'1991-08-15 00:00:00',2,4,12,2008,'M','N','CENTRO','ENÉAS MARQUES','PR','116161161146141431436811145131610122037',NULL,'9998',33.32,1,2,1),(16,3060780,'1990-03-15 00:00:00',2,1,12,2007,'F','N','RIO BRANCO','S LEOPOLDO','RS','120201201112132431116549391324610122147',NULL,'9998',42.32,1,2,1),(16,3060799,'1989-10-11 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431569613572122610127182',NULL,'1022',27.86,1,3,NULL),(16,3060802,'1986-11-17 00:00:00',4,1,12,2005,'M','N','CAMPINAS','S JOSé','SC','124241241312574432325631315114222367057',9894,'737',48.96,1,3,NULL),(16,3060829,'1989-08-22 00:00:00',4,7,12,2008,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','124241241346131311323318574124610166021',NULL,'341',22.06,4,3,NULL),(16,3060837,'1989-10-25 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215272431365532241125130212112',5544,'270',57.38,3,3,NULL),(16,3060845,'1989-11-22 00:00:00',4,1,11,2008,'F','N','BELA VISTA I','S JOSÉ','SC','124242243215111711456632376124610117113',NULL,'1078',15.51,1,3,NULL),(16,3060853,'1991-07-27 00:00:00',2,6,8,2008,'M','N','SANTA CASA','GOIOERÊ','PR','116162161236151431456632192122610168061',NULL,'9998',0.00,4,3,NULL),(16,3060861,'1989-07-06 00:00:00',4,1,12,2006,'F','N','VILA SAO JOAO','PASSO FUNDO','RS','120202201417271431457711415122240228091',12397,'9998',44.56,1,3,NULL),(16,3060870,'1993-03-29 00:00:00',4,5,11,2009,'M','S','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124242241215111411469619592122610132072',NULL,'210',44.33,1,3,NULL),(16,3060888,'1992-11-07 00:00:00',2,4,12,2009,'F','S','CENTRO','RIQUEZA','SC','124241241216111431636921575224610133147',NULL,'185',39.09,1,3,NULL),(16,3060896,'1988-09-11 00:00:00',2,1,12,2007,'M','N','RIO GRANDE','PALHOÇA','SC','124241241127271431653312245123610117195',NULL,'591',20.40,1,3,NULL),(16,3060900,'1991-02-20 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124252241215122431478833572124610134182',1546,'270',69.15,1,3,NULL),(16,3060926,'1991-01-26 00:00:00',4,1,12,2008,'M','N','CIDADE ALTA','ROLIM MOURA','RO','122224221216471221548716172122610132177',NULL,'9998',0.00,1,3,NULL),(16,3060934,'1988-08-12 00:00:00',2,1,12,2005,'F','N','RIACHO FUNDO','RIACHO FUNDO','DF','107072071217573731458933594124610142097',1031,'9998',71.87,4,3,NULL),(16,3060950,'1989-02-02 00:00:00',4,9,11,2006,'M','N','CENTRO','CURITIBANOS','SC','124244161217571441467932323125610167017',NULL,'9998',0.00,1,3,NULL),(16,3060969,'1992-11-07 00:00:00',2,4,12,2009,'F','S','CENTRO','RIQUEZA','SC','124241241216111431636921575224610133147',NULL,'185',38.82,1,3,NULL),(16,3060977,'1989-11-18 00:00:00',4,1,12,2007,'M','N','ALTO DA BOA VISTA','SOROCABA','SP','125252251215472431478612274112610167042',NULL,'9998',0.00,3,3,NULL),(16,3060985,'1990-02-26 00:00:00',4,7,12,2007,'M','N','MONTE BELO','JOAÇABA','SC','124241241116471431334624445132610114052',NULL,'449',29.51,1,2,1),(16,3060993,'1991-05-05 00:00:00',2,4,12,2008,'F','N','INTERIOR','GUARUJÁ SUL','SC','124241241115151431333916572124610127057',NULL,'339',32.15,1,2,1),(16,3061000,'1990-09-04 00:00:00',2,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124244241215111431339834571122610131172',7605,'737',53.14,1,3,NULL),(16,3061019,'1990-09-23 00:00:00',4,8,12,2007,'M','N','ROCIO PEQUENO','S FRANCISCO SUL','SC','124242241415572431468732572222610147047',1324,'867',70.24,1,3,NULL),(16,3061027,'1990-07-14 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','S JOSÉ','SC','124244241117272431434634346124610167012',8558,'733',51.33,1,3,NULL),(16,3061035,'1990-10-05 00:00:00',2,1,12,2007,'F','N','RIO GRANDE','PALHOÇA','SC','124241241147272731647513382225610134147',NULL,'591',25.84,1,3,NULL),(16,3061051,'1989-11-13 00:00:00',2,1,11,2007,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124243247337131132326644442324233262087',NULL,'9999',19.48,1,3,NULL),(16,3061060,'1989-02-04 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215373431478713571125610162192',NULL,'270',0.00,1,3,NULL),(16,3061086,'1989-11-17 00:00:00',2,7,11,2007,'F','N','SÃO CRISTÓVÃO','VIDEIRA','SC','124241246216132431438614275125233224142',15716,'1080',38.03,1,3,NULL),(16,3061094,'1990-01-19 00:00:00',2,1,11,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','624242241215372431348724575114610134191',4047,'1118',60.93,1,3,NULL),(16,3061108,'1991-08-17 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241135371731446612575122610132095',NULL,'283',26.87,1,3,NULL),(16,3061116,'1990-06-23 00:00:00',2,1,12,2007,'M','N','SERTãO','STO AMARO IMPERATRIZ','SC','124241241116371431335722445234610128142',NULL,'941',22.36,1,2,1),(16,3061124,'1987-06-10 00:00:00',4,1,12,2004,'M','N','FARROUPILHA','PTO ALEGRE','RS','120202201216271421359822345131141434117',NULL,'1',50.23,1,3,NULL),(16,3061140,'1990-09-22 00:00:00',2,1,11,2007,'F','N','IPIRANGA','S JOSÉ','SC','124244241215372431653312244122610123097',NULL,'868',31.04,1,3,NULL),(16,3061159,'1991-03-22 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111451368811395112610168122',5795,'270',56.83,1,3,NULL),(16,3061167,'1991-09-06 00:00:00',2,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124246241217271431457833575124610167042',NULL,'1075',26.30,1,3,NULL),(16,3061175,'1990-08-03 00:00:00',2,1,12,2007,'F','N','CENTRO','JALES','SP','125163161216371411458732592222241014042',NULL,'9998',0.00,3,3,NULL),(16,3061183,'1990-01-21 00:00:00',4,1,12,2007,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251217371431468811475122610127057',825,'9998',73.22,1,3,NULL),(16,3061191,'1990-07-16 00:00:00',4,1,12,2007,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124161241116272412425521372324610136047',9896,'288',48.96,4,2,1),(16,3061205,'1990-03-16 00:00:00',2,7,12,2008,'F','N','CENTRO','VARGEM BONITA','SC','124241245137141431423934375124610151142',NULL,'161',24.00,4,2,1),(16,3061213,'1992-04-24 00:00:00',2,9,12,2008,'F','N','CENTRO','PAINEL','SC','124231241315371441449334575124610166192',12069,'499',45.15,1,3,NULL),(16,3061221,'1989-10-26 00:00:00',4,1,11,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241216472431169831575124610137052',12690,'737',44.01,1,3,NULL),(16,3061230,'1991-01-18 00:00:00',4,6,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124162241216111431258814574122610127072',967,'1038',72.24,1,3,NULL),(16,3061248,'1990-03-12 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124203201117231431438621382314143242142',NULL,'9998',0.00,1,3,NULL),(16,3061256,'1991-02-22 00:00:00',4,8,11,2008,'F','N','AVENTUREIRO','JOINVILLE','SC','124244241235471411456923315124610137072',11139,'1016',46.76,1,3,NULL),(16,3061264,'1990-07-05 00:00:00',2,1,12,2007,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241125472721326624295121610132052',16149,'291',36.78,1,3,NULL),(16,3061272,'1991-09-04 00:00:00',4,3,11,2008,'F','N','HAUER','CURITIBA','PR','116162161211471431468813575122610112121',2210,'9998',66.38,4,3,NULL),(16,3061280,'1991-06-05 00:00:00',4,4,12,2008,'F','N','PRIMAVERA','XAXIM','SC','124241241116131431333331335122610167017',NULL,'848',21.16,1,2,1),(16,3061299,'1988-11-18 00:00:00',2,8,12,2006,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215573441537711574122610122187',154,'486',79.95,1,3,NULL),(16,3061302,'1988-11-15 00:00:00',2,1,11,2007,'M','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241217472432458731572124610137187',NULL,'266',34.05,1,3,NULL),(16,3061310,'1991-10-22 00:00:00',4,1,12,2008,'M','N','BOTAFOGO','RIO JANEIRO','RJ','121242211215111431379814575112610167012',2707,'9998',64.67,1,3,NULL),(16,3061329,'1989-10-30 00:00:00',4,8,12,2007,'M','N','JARDIM SATELITE','S JOSÉ CAMPOS','SP','125252256215471431367612175122610137052',3571,'9998',62.16,1,3,NULL),(16,3061337,'1990-02-22 00:00:00',4,8,12,2007,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124244241217372431468814574112231411012',7695,'491',52.98,1,3,NULL),(16,3061345,'1991-06-18 00:00:00',2,5,11,2008,'F','N','RIO MAINA','CRICIÚMA','SC','124241241215271441556612171124610124055',3566,'226',62.17,1,3,NULL),(16,3061353,'1984-04-04 00:00:00',4,1,12,2001,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241116375411353313432123122226187',4117,'271',60.72,4,3,NULL),(16,3061370,'1990-12-15 00:00:00',4,5,11,2008,'F','N','SANTA BÁRBARA','CRICIúMA','SC','124242241215112431369934574122610167092',10459,'210',47.99,1,3,NULL),(16,3061388,'1989-09-01 00:00:00',4,1,12,2006,'M','N','CENTRO','PALOTINA','PR','116161161215574221444812575124610162047',291,'9998',78.03,1,3,NULL),(16,3061396,'1989-12-28 00:00:00',4,1,12,2006,'M','N','JURERE TRADICIONAL','FLORIANÓPOLIS','SC','124202241211573431447823585124132836047',5212,'270',58.09,1,3,NULL),(16,3061418,'1990-05-07 00:00:00',4,1,12,2007,'F','N','CAMPO LIMPO','S PAULO','SP','125252251215471431488834574122610122147',7378,'9998',53.57,1,3,NULL),(16,3061434,'1991-06-28 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431559913472112610147092',2877,'262',64.16,1,3,NULL),(16,3061442,'1992-01-22 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217111411357731574125610136012',11284,'9997',46.50,1,3,NULL),(16,3061450,'1990-04-06 00:00:00',4,1,12,2007,'M','N','CENTRO TÉC AEROESPAC','S JOSÉ CAMPOS','SP','125252251215471441469833472112610123012',4095,'9998',60.79,1,3,NULL),(16,3061469,'1991-05-27 00:00:00',4,7,12,2008,'F','N','MATRIZ','VIDEIRA','SC','124241241237111431536615575122610164047',NULL,'829',25.23,1,3,NULL),(16,3061477,'1986-06-08 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241248117272421527413485314610164057',14901,'277',39.88,2,1,1),(16,3061485,'1986-12-15 00:00:00',2,1,12,2005,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241116372431459633442122132767147',NULL,'267',24.22,1,3,NULL),(16,3061493,'1989-10-02 00:00:00',4,1,12,2007,'M','N','CHÁCARA MACHADINHO I','AMERICANA','SP','125251251115472531358613374122610124017',NULL,'9998',0.00,1,2,1),(16,3061515,'1992-09-28 00:00:00',4,1,11,2009,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241217111431489933592112610147062',NULL,'270',48.86,1,3,NULL),(16,3061523,'1991-07-27 00:00:00',2,6,12,2008,'M','N','CENTRO','ITAPIRANGA','SC','124243241225111731544432574122610137017',NULL,'1060',28.47,1,3,NULL),(16,3061531,'1987-03-11 00:00:00',4,1,12,2004,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241217242731228723215124133234187',11235,'988',46.58,1,3,NULL),(16,3061566,'1991-11-19 00:00:00',4,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241215121431547731572224610157047',7821,'1022',52.73,1,3,NULL),(16,3061574,'1991-05-10 00:00:00',2,1,12,2008,'M','N','CENTRO','CERQUILHO','SP','125254251215151131459833272121610162044',NULL,'9998',44.46,1,3,NULL),(16,3061590,'1988-11-10 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215272731327631245332610117112',NULL,'724',31.09,1,3,NULL),(16,3061604,'1989-08-29 00:00:00',4,1,12,2006,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124243241127152411437613595124610164182',9336,'291',50.01,1,3,NULL),(16,3061612,'1983-02-26 00:00:00',4,1,12,2001,'M','N','KOBRASOL','S JOSÉ','SC','124171201116131431128441315134140712047',NULL,'9998',0.00,1,3,NULL),(16,3061620,'1991-04-11 00:00:00',4,1,12,2008,'F','N','ROÇADO','S JOSÉ','SC','124251241415131431224364242234610124147',NULL,'1036',26.62,1,3,NULL),(16,3061639,'1986-06-15 00:00:00',2,1,12,2004,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124091091127131231623311442334610167047',NULL,'9998',29.10,2,1,1),(16,3061655,'1989-01-12 00:00:00',4,1,12,2007,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241415372712358422575114610164077',15171,'307',39.27,1,3,NULL),(16,3061663,'1990-05-21 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215472411461923495115610165147',2338,'1022',65.92,1,3,NULL),(16,3061671,'1989-09-16 00:00:00',2,1,12,2006,'F','N','PASSA VINTE','PALHOÇA','SC','124243241116472431426612342112610164071',12346,'592',44.64,1,3,NULL),(16,3061710,'1990-08-25 00:00:00',4,8,12,2007,'M','N','ZONA NOVE','MARINGÁ','PR','116162161215371431467816375122610127093',NULL,'9998',31.73,1,3,NULL),(16,3061728,'1990-01-08 00:00:00',2,9,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124241241317472431586611574114610118182',9978,'237',48.82,1,3,NULL),(16,3061736,'1990-05-30 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215473231368911572124610137112',4811,'270',59.04,1,3,NULL),(16,3061744,'1988-08-12 00:00:00',2,1,12,2005,'M','N','TIJUCA','RIO JANEIRO','RJ','121253251216471411637313495124141464172',9003,'9998',50.58,1,3,NULL),(16,3061752,'1990-07-17 00:00:00',4,1,11,2008,'M','N','JURERÊ INTERNACIONAL','FLORIANóPOLIS','SC','124242241215121431366612564114610142182',1575,'270',68.99,1,3,NULL),(16,3061760,'1991-04-24 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO MÚQUEM','FLORIANóPOLIS','SC','124241241117131411225923575114610137047',NULL,'307',34.74,2,1,1),(16,3061795,'1988-01-28 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124091091121131431623311242334610117047',NULL,'9998',24.94,2,1,1),(16,3061809,'1991-07-04 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241215111431436311574122610128182',NULL,'515',18.34,1,3,NULL),(16,3061825,'1990-09-22 00:00:00',4,8,11,2007,'F','N','AMÉRICA','JOINVILLE','SC','124162161215472431358811571122610164197',6747,'9998',54.77,1,3,NULL),(16,3061833,'1989-09-14 00:00:00',2,9,12,2006,'F','N','COPACABANA','LAGES','SC','124243241231172431216629241322133266057',9914,'515',48.92,4,3,NULL),(16,3061850,'1991-01-15 00:00:00',4,1,12,2008,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124243241215112431458823475124610164037',2452,'262',65.51,1,3,NULL),(16,3061884,'1991-10-20 01:00:00',4,1,10,2008,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116162161215111411488812571122610167062',NULL,'9998',0.00,1,3,NULL),(16,3061892,'1989-08-23 00:00:00',4,1,11,2006,'F','N','BELA VISTA','S JOSÉ','SC','124242251216211731689814445122141014192',15136,'9998',39.33,1,3,NULL),(16,3061906,'1991-12-11 00:00:00',4,1,12,2008,'M','N','CENTRO','MAFRA','SC','124243241215111431358923472112610127062',NULL,'541',29.34,1,3,NULL),(16,3061914,'1989-11-13 00:00:00',2,5,12,2006,'M','N','CENTRO','MRO FUMAÇA','SC','124241241237573431135322542114610124052',1159,'211',71.16,1,3,NULL),(16,3061922,'1991-04-04 00:00:00',4,1,12,2008,'F','N','JARDIM FLORENÇA','PNT GROSSA','PR','116162161216111431337834472122610167017',7055,'9998',54.19,3,3,NULL),(16,3061930,'1991-10-08 00:00:00',2,5,11,2008,'M','N','QUARTA LINHA','CRICIÚMA','SC','124241241215121731343734395124610123182',7505,'226',53.32,4,3,NULL),(16,3061965,'1990-03-17 00:00:00',4,2,12,2007,'M','N','VELHA','BLUMENAU','SC','124241241117131751326414242234610167147',NULL,'73',28.03,1,2,1),(16,3061973,'1991-01-14 00:00:00',2,8,12,2008,'F','N','CHICO DE PAULO','JARAGUÁ SUL','SC','124244246216151411439933371122610135142',NULL,'1061',0.00,1,3,NULL),(16,3061981,'1990-08-22 00:00:00',2,1,12,2007,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241117162511516369242124610147097',NULL,'286',28.45,1,2,1),(16,3061990,'1984-07-05 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241146154431226353375124610168072',14108,'257',41.43,1,2,1),(16,3062015,'1963-04-08 00:00:00',2,1,12,1982,'F','N','BALNEÁRIO DOS AÇORES','FLORIANOPOLIS','SC','124253255116151441386659415122342866027',8546,'9998',51.34,1,3,NULL),(16,3062023,'1990-04-18 00:00:00',4,1,12,2007,'F','N','VINTE CINCO DE JULHO','S BENTO SUL','SC','124241241116131411458913385124610164142',NULL,'697',23.47,1,2,1),(16,3062031,'1989-01-27 00:00:00',2,1,12,2006,'M','N','CENTRO','JALES','SP','125252251215571731358831274124610167097',15955,'9998',37.35,1,3,NULL),(16,3062040,'1989-02-01 00:00:00',4,2,12,2006,'M','N','CENTRO','RIO SUL','SC','124242241217374431479833575122242664065',NULL,'991',0.00,1,3,NULL),(16,3062058,'1987-09-12 00:00:00',4,1,12,2005,'F','N','CAMPINAS','S JOSé','SC','124241241127332751334629396124610164147',NULL,'736',28.72,4,3,NULL),(16,3062066,'1989-11-04 00:00:00',2,8,12,2006,'M','N','ÁGUA VERDE','CURITIBA','PR','116162168237571431538732595114610116022',NULL,'9998',0.00,1,3,NULL),(16,3062082,'1989-02-03 00:00:00',4,1,11,2006,'F','N','BOSQUE DAS MANSOES','S JOSÉ','SC','124242241216573451468912575122122537127',686,'270',74.32,1,3,NULL),(16,3062090,'1984-06-21 00:00:00',2,1,12,2003,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242243115372421478814345124130233067',11690,'306',45.85,1,3,NULL),(16,3062104,'1992-04-24 00:00:00',4,1,11,2008,'M','N','CENTRO','PALHOÇA','SC','124242241212111211577731342134610164182',6486,'1011',55.30,1,3,NULL),(16,3062120,'1989-08-19 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124243247336133131457774275112610122197',NULL,'9999',26.92,1,3,NULL),(16,3062139,'1987-11-05 00:00:00',2,1,12,2007,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241127131731644619345124610168143',NULL,'594',13.87,1,2,1),(16,3062147,'1989-01-25 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124202241316372431368819495124233244141',9466,'1022',49.79,1,3,NULL),(16,3062155,'1966-11-12 00:00:00',4,1,12,1983,'M','N','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','124253244216374441228644445334321438187',1899,'389',67.58,1,3,NULL),(16,3062171,'1991-10-27 00:00:00',4,1,11,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215112431688833575122610167077',6738,'270',54.79,1,3,NULL),(16,3062180,'1991-06-22 00:00:00',2,7,12,2008,'M','N','FLORESTA','VIDEIRA','SC','124241241117141431336424345122610164097',13593,'831',42.46,1,2,1),(16,3062198,'1991-10-11 00:00:00',4,5,12,2008,'F','N','CEARÁ','CRICIÚMA','SC','124241241217121331437414242122610134077',12509,'920',44.36,1,3,NULL),(16,3062201,'1989-08-25 00:00:00',4,1,12,2006,'M','N','KOBRASOL','S JOSÉ','SC','124242241217372431565514575124230862067',4240,'724',60.40,1,3,NULL),(16,3062210,'1990-11-07 00:00:00',4,1,12,2007,'M','N','CENTRO','CANOAS','RS','120202201216471411368831271124610167112',3634,'9998',61.99,1,3,NULL),(16,3062228,'1992-01-07 00:00:00',4,4,11,2008,'F','N','CENTRO','XANXERê','SC','124243241235371431446611312122610137147',12392,'836',44.56,1,3,NULL),(16,3062236,'1985-02-25 00:00:00',2,8,12,2002,'M','N','JD MARILÚ','S PAULO','SP','125251251117133321433611445124610117057',NULL,'9998',0.00,4,2,1),(16,3062244,'1989-07-14 00:00:00',4,1,12,2006,'F','N','JARDIM','STO ANDRÉ','SP','125252251217571731458932575122610132182',736,'9998',73.96,1,3,NULL),(16,3062252,'1989-03-13 00:00:00',4,1,12,2006,'M','N','KOBRASOL','S JOSé','SC','124241241211374211327634375122131217011',5477,'723',57.52,1,3,NULL),(16,3062260,'1989-01-04 00:00:00',2,1,12,2006,'F','N','BELA VISTA','PALHOÇA','SC','124241241112372451543311472124232724181',13331,'591',42.91,1,2,1),(16,3062279,'1991-03-31 00:00:00',4,1,12,2008,'F','N','PONTA DE BAIXO','S JOSé','SC','124243241115131431438633242122610123052',14893,'733',39.90,1,3,NULL),(16,3062287,'1991-08-09 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115472441369823591125610124061',6021,'270',56.31,1,3,NULL),(16,3062295,'1989-12-22 00:00:00',4,3,12,2006,'F','N','CENTRO','TANGARÁ SERRA','MT','111162241415572431248921274224610126092',NULL,'967',0.00,1,3,NULL),(16,3062317,'1991-01-09 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','224241241117371411646533372124610114092',14766,'288',40.14,1,2,1),(16,3062325,'1990-01-15 00:00:00',4,1,12,2007,'F','N','VILA MARIANA','S PAULO','SP','125252251217471411568812171115610168072',6416,'9998',55.44,3,3,NULL),(16,3062333,'1968-11-25 00:00:00',4,1,12,1986,'F','N','INGLESES','FLORIANÓPOLIS','SC','124212211211161431326547391122143244097',8541,'9998',51.35,1,3,NULL),(16,3062341,'1990-03-28 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212111431488831215122610136087',NULL,'9999',24.84,1,3,NULL),(16,3062350,'1988-06-22 00:00:00',2,1,11,2005,'F','N','CENTRO','ERECHIM','RS','120202201216571431449834372124610132097',NULL,'9998',0.00,1,3,NULL),(16,3062368,'1992-06-12 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241215111431348912571112610137012',11987,'497',45.28,1,3,NULL),(16,3062376,'1992-03-13 00:00:00',4,1,11,2009,'F','S','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215111311446732385124610167042',NULL,'262',24.27,1,3,NULL),(16,3062384,'1976-04-28 00:00:00',4,8,12,1993,'M','N','VILA SOLENE','CPO LARGO','PR','416161163226472731123314282214142364147',3403,'9998',62.67,1,3,NULL),(16,3062392,'1991-06-20 00:00:00',4,1,12,2008,'M','N','JARDIM DOS LORDES','S JOSÉ','SC','124242241215272431466912575124610158162',518,'262',75.64,1,3,NULL),(16,3062406,'1991-06-10 00:00:00',4,8,11,2008,'M','N','ANITA GARIBALDE','JOINVILLE','SC','124242241215112411589912345112610114112',12236,'1063',44.83,1,3,NULL),(16,3062422,'1990-07-15 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124241241415472431446933282124610123052',5262,'724',57.96,1,3,NULL),(16,3062430,'1991-01-10 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431357819292124610163097',5650,'1022',57.16,1,3,NULL),(16,3062449,'1991-11-25 00:00:00',4,1,12,2008,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241111271532224429375121610127057',16589,'941',34.94,1,2,1),(16,3062457,'1991-05-03 00:00:00',4,1,9,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121431438811575122610166142',2642,'270',64.85,1,3,NULL),(16,3062465,'1985-09-17 00:00:00',4,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241127373411454612345134610134187',16180,'736',36.71,1,2,1),(16,3062503,'1991-10-31 00:00:00',2,7,11,2008,'F','N','SANTA CRUZ','CONCóRDIA','SC','124242241215111431443632395122610168017',NULL,'1000',0.00,1,3,NULL),(16,3062511,'1987-04-13 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201201117232711123443335123222227057',12657,'9998',44.07,1,2,1),(16,3062520,'1991-01-07 00:00:00',2,1,11,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431637711575124610126122',NULL,'272',34.53,1,3,NULL),(16,3062538,'1989-10-05 00:00:00',4,8,12,2007,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124242248217472431366632575112610144112',4760,'457',59.15,1,3,NULL),(16,3062546,'1988-10-29 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215573431666832572124133223017',140,'270',80.17,1,3,NULL),(16,3062554,'1991-09-27 00:00:00',4,8,11,2008,'M','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124244241217471231457612575122610128012',10905,'491',47.18,1,3,NULL),(16,3062562,'1991-08-20 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSÉ','SC','124242231215121431536732571122610135012',16685,'1118',33.84,1,3,NULL),(16,3062570,'1991-04-05 00:00:00',4,8,11,2008,'F','N','SANTA FELICIDADE','CURITIBA','PR','116252161215111432388814572112610162122',NULL,'9998',0.00,1,3,NULL),(16,3062597,'1990-02-26 00:00:00',4,8,12,2007,'F','N','NOVA BRASÍLIA','JARAGUÁ SUL','SC','124242241215472431349711575112610135092',2430,'491',65.59,1,3,NULL),(16,3062619,'1990-03-30 00:00:00',4,1,11,2008,'M','N','PICADAS DO SUL','SAO JOSE','SC','124241241217112431543632582124610154042',7469,'270',53.37,1,3,NULL),(16,3062643,'1981-07-19 00:00:00',4,1,12,2000,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241147132421446342225123610163027',16449,'727',35.71,1,2,1),(16,3062651,'1987-06-05 00:00:00',4,1,12,2005,'M','N','BOM FIM','PTO ALEGRE','RS','120204201116572211534823375115610162177',NULL,'9998',33.70,1,3,NULL),(16,3062660,'1981-01-17 00:00:00',4,1,12,2000,'M','N','FORQUILHINHAS','S JOSÉ','SC','224243241136231431356544445122230267047',NULL,'727',21.94,1,3,NULL),(16,3062678,'1990-03-03 00:00:00',4,1,12,2007,'F','N','CRISTO REI','CURITIBA','PR','116243248335371731436639371124610134097',NULL,'9998',0.00,1,3,NULL),(16,3062686,'1988-12-03 00:00:00',4,1,12,2006,'M','N','KOBRASOL','S JOSÉ','SC','124242241217373441468823585114130768072',NULL,'737',0.00,1,3,NULL),(16,3062694,'1989-05-31 00:00:00',2,4,12,2007,'F','N','JD SAN RAFAEL','FOZ IGUAÇU','PR','116161165116371431236813592224610126047',6222,'9998',55.86,4,2,1),(16,3062716,'1992-01-22 00:00:00',4,8,12,2008,'M','N','CENTRO','CORUPÁ','SC','124243241415271431678933575122610127047',NULL,'422',0.00,1,3,NULL),(16,3062724,'1991-05-24 00:00:00',4,8,11,2008,'M','N','ALTO DE MAFRA','MAFRA','SC','124241241215111231453912575122610124187',16571,'541',35.05,1,3,NULL),(16,3062732,'1990-05-20 00:00:00',4,1,12,2007,'M','N','VL BUENOS AIRES','S PAULO','SP','125253251216471431457613575124610122092',NULL,'9998',0.00,1,3,NULL),(16,3062740,'1991-07-15 00:00:00',2,1,12,2008,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241115111431546613345124610164147',15682,'288',38.11,1,2,1),(16,3062767,'1990-01-30 00:00:00',4,10,7,2008,'F','N','CENTRO','BENTO GONçALVES','RS','120201207336471431333324575224610162047',NULL,'9999',33.04,1,3,NULL),(16,3062775,'1991-06-19 00:00:00',4,8,12,2008,'M','N','FLORESTA','JOINVILLE','SC','124242241215111411447712572122610164042',1268,'1063',70.58,1,3,NULL),(16,3062783,'1985-05-27 00:00:00',4,1,12,2002,'M','N','MEDIANEIRA','PTO ALEGRE','RS','120201201116131431438823475124610137097',5224,'9998',58.07,1,2,1),(16,3062791,'1990-12-15 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241116472731456819275124610166052',4453,'271',59.89,1,3,NULL),(16,3062805,'1985-11-14 00:00:00',2,1,12,2002,'F','N','ARIRIÚ','PALHOÇA','SC','124241241117132331426514345134610143097',NULL,'307',16.63,1,2,1),(16,3062813,'1992-04-11 00:00:00',4,1,11,2009,'M','S','CENTRO','PALHOÇA','SC','124242241215111531447833595124610127112',NULL,'1011',32.84,1,3,NULL),(16,3062821,'1990-09-14 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124202241115132431359719371124610144057',6828,'267',54.61,1,3,NULL),(16,3062848,'1984-12-28 00:00:00',4,4,12,2001,'F','N','MARIA GORETTI','CHAPECó','SC','124244241216112441669933442122320244142',1841,'185',67.87,1,3,NULL),(16,3062864,'1990-09-18 00:00:00',4,4,11,2007,'F','N','CENTRO','FOZ IGUAçU','PR','116162161215472431228969395122610121142',NULL,'9998',29.13,1,3,NULL),(16,3062880,'1988-12-26 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241214573751568813575112610122153',6720,'273',54.84,1,3,NULL),(16,3062902,'1990-05-25 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116112161211472431439931591134610163142',NULL,'9998',0.00,1,3,NULL),(16,3062910,'1989-07-29 00:00:00',4,1,12,2006,'M','N','CENTRO','S JOSÉ','SC','124242241215472431425519275124133224047',6266,'723',55.75,1,3,NULL),(16,3062929,'1989-11-08 00:00:00',4,1,12,2007,'M','N','SETOR OESTE','GOIÂNIA','GO','109092091212471431478811572112610164187',721,'9998',74.09,3,3,NULL),(16,3062937,'1991-10-12 00:00:00',4,1,11,2008,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124244241315121431489533572124610132097',3755,'270',61.70,1,3,NULL),(16,3062945,'1991-11-26 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124241241115271431339724572124610134147',NULL,'732',34.66,1,3,NULL),(16,3062953,'1991-04-28 00:00:00',4,1,12,2008,'M','N','CENTRO','LOANDA','PR','116162161215111431246636371125610167057',NULL,'9998',0.00,1,3,NULL),(16,3062961,'1993-05-13 00:00:00',4,1,11,2009,'F','S','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124244241215111411356923592124610123142',NULL,'270',36.37,1,3,NULL),(16,3062970,'1992-01-31 00:00:00',4,1,11,2008,'F','N','KOBRASOL','S JOSÉ','SC','124243241315111712546833595122610163142',12039,'1076',45.21,2,3,NULL),(16,3062988,'1984-05-21 00:00:00',4,1,12,2001,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242246117574431533524475124223221197',NULL,'306',0.00,1,3,NULL),(16,3062996,'1990-09-29 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215472431559734572114610162012',10232,'270',48.37,1,3,NULL),(16,3063003,'1993-02-20 00:00:00',4,4,12,2009,'F','S','CENTRO','CHAPECÓ','SC','124241241117132731437734575122610128177',NULL,'169',40.35,1,3,NULL),(16,3063020,'1990-11-29 00:00:00',4,8,12,2008,'F','N','ITAUM','JOINVILLE','SC','124241241215111431438923575124610125092',4529,'486',59.70,1,3,NULL),(16,3063038,'1991-12-19 00:00:00',4,1,11,2008,'M','N','CENTRO','IMBITUBA','SC','124241241215111331358932472115610117052',NULL,'807',38.00,1,3,NULL),(16,3063046,'1991-02-17 00:00:00',4,2,12,2008,'F','N','PONTA AGUDA','BLUMENAU','SC','124241241315131431346823575124610146117',15749,'9997',37.92,1,3,NULL),(16,3063062,'1987-12-01 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217374431568614375112610148097',14194,'9997',41.25,1,3,NULL),(16,3063143,'1990-11-20 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215112431338921412114610128182',2671,'270',64.79,1,3,NULL),(16,3063151,'1988-07-02 00:00:00',4,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215374431368622374124231233017',5382,'270',57.69,1,3,NULL),(16,3063160,'1990-06-01 00:00:00',4,6,12,2007,'M','N','JD BANDEIRANTES','ARAPONGAS','PR','116162161215473421456611574125610127062',223,'9998',78.85,1,3,NULL),(16,3063178,'1988-03-30 00:00:00',4,6,11,2005,'F','N','ARIRIBA','BAL CAMBORIÚ','SC','125242241216575431488831575124242462012',NULL,'270',0.00,1,3,NULL),(16,3063186,'1992-02-19 00:00:00',4,5,11,2008,'F','N','CENTRO','ARARANGUÁ','SC','124242241215221431459832245122610134057',3309,'970',62.96,1,3,NULL),(16,3063194,'1990-09-07 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431278714575114610133186',5300,'1022',57.87,1,3,NULL),(16,3063208,'1981-09-11 00:00:00',4,1,12,1999,'F','N','AREIAS','S JOSé','SC','224243245146272421225443232122242724183',NULL,'734',27.52,1,3,NULL),(16,3063216,'1991-06-06 00:00:00',4,1,11,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215121431477812575122610167182',3517,'270',62.34,1,3,NULL),(16,3063224,'1991-06-16 00:00:00',4,1,12,2008,'F','N','CENTRO','AQUIDAUANA','MS','112122121216471431448712224122610124142',1507,'9998',69.33,1,3,NULL),(16,3063240,'1988-05-21 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124244248635111422338512486114110717017',NULL,'1022',15.96,1,3,NULL),(16,3063267,'1991-04-02 00:00:00',4,8,12,2008,'F','N','AVENTUREIRO','JOINVILLE','SC','124242241217271411345514374221610166142',9329,'1105',50.03,1,3,NULL),(16,3063283,'1991-02-28 00:00:00',4,7,11,2008,'M','N','CENTRO','STA MARIA','RS','120241201211111431538819595112610117017',NULL,'9998',0.00,1,3,NULL),(16,3063305,'1991-03-27 00:00:00',4,8,12,2008,'M','N','J SERIMBURA','S JOSÉ CAMPOS','SP','125252251215121731478831575122610127127',NULL,'9998',0.00,1,3,NULL),(16,3063321,'1979-12-18 00:00:00',4,1,12,1997,'M','N','AREIAS','S JOSÉ','SC','224241243116271431223344442114610127043',12613,'357',44.16,1,3,NULL),(16,3063330,'1986-08-08 00:00:00',2,1,12,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124201207126131411114444145324610127177',16304,'9999',36.37,4,3,NULL),(16,3063348,'1990-12-02 00:00:00',2,1,12,2007,'F','N','REAL PARQUE','S JOSÉ','SC','124201245127131411633463382224610122147',NULL,'9997',23.72,1,3,NULL),(16,3063356,'1990-09-23 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124092097215471411669814575114140443112',NULL,'9998',31.57,1,3,NULL),(16,3063364,'1992-01-27 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111441256933572114610142147',8580,'270',51.29,1,3,NULL),(16,3063372,'1991-06-26 00:00:00',4,8,12,2008,'M','N','CENTRO','BELA V PARAÍSO','PR','116162161215111431468711472122610134097',1779,'9998',68.09,3,3,NULL),(16,3063402,'1991-04-18 00:00:00',4,8,12,2008,'F','N','COMASA','JOINVILLE','SC','124243241217271431446419175121610166052',11295,'1105',46.47,1,3,NULL),(16,3063410,'1991-12-26 00:00:00',4,10,11,2008,'F','N','POUSO ALTO','GRAVATAL','SC','124244241215111431368714574124610127057',2000,'806',67.18,1,3,NULL),(16,3063429,'1981-06-17 00:00:00',4,1,12,1998,'M','N','GRAMADO','CASCAVEL','PR','216164161236351431326819191233341267182',4910,'9998',58.84,1,3,NULL),(16,3063437,'1991-04-03 00:00:00',4,8,12,2008,'M','N','JOAO PAULO II','TRêS BARRAS','SC','116242161217171441478834475114610114011',NULL,'9998',0.00,1,3,NULL),(16,3063445,'1990-04-19 00:00:00',2,1,12,2007,'F','N','JARDIM ELDORADO','PALHOçA','SC','124242241111472431235514571124610167142',6088,'307',56.15,1,3,NULL),(16,3063453,'1990-01-08 00:00:00',2,2,11,2007,'M','N','RIO MORTO','INDAIAL','SC','124241241146131741546534245115610162062',10298,'1055',48.26,1,3,NULL),(16,3063461,'1990-07-28 00:00:00',4,1,12,2007,'M','N','BOA VISTA','BOTUCATU','SP','125252251217372731439634575114142927047',9201,'9998',50.24,1,3,NULL),(16,3063470,'1985-09-12 00:00:00',2,1,12,2002,'M','N','FAZENDA STO ANTÔNIO','S JOSé','SC','124242241212134431569613375124121324042',10854,'269',47.27,1,3,NULL),(16,3063488,'1991-04-09 00:00:00',4,10,11,2008,'F','N','CENTRO','BRAÇO NORTE','SC','124241241215111431439953582112610128012',12274,'806',44.77,1,3,NULL),(16,3063496,'1990-03-15 00:00:00',2,4,12,2007,'F','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124241241215112411436612441134131044187',15746,'983',37.93,1,3,NULL),(16,3063500,'1991-08-01 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215132431327724295124610143147',9595,'266',49.53,1,3,NULL),(16,3063518,'1991-11-01 00:00:00',2,2,12,2008,'F','N','CANTA GALO','RIO SUL','SC','124241241416171451436923595121610168072',5345,'991',57.79,1,3,NULL),(16,3063534,'1989-05-26 00:00:00',2,1,12,2006,'M','N','JARDIM JUSSARA','S PAULO','SP','125252251116572711238929585124610164057',3146,'9998',63.40,3,3,NULL),(16,3063550,'1991-09-24 00:00:00',2,5,11,2008,'F','N','CENTRO','ARARANGUÁ','SC','124242241217121731357929375122610168077',6733,'32',54.81,1,3,NULL),(16,3063569,'1991-10-10 00:00:00',4,2,12,2008,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215271431479912575112610141122',7341,'909',53.63,1,3,NULL),(16,3063577,'1989-08-12 00:00:00',4,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215574431589819572122610123145',134,'270',80.35,1,3,NULL),(16,3063585,'1985-12-14 00:00:00',4,1,12,2003,'M','N','ZONA SETE','MARINGá','PR','116162161217571441458514572324241467182',4071,'9998',60.87,1,3,NULL),(16,3063607,'1990-12-23 00:00:00',4,3,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241211212411338822345122610126072',5346,'9997',57.79,1,3,NULL),(16,3063615,'1963-05-04 00:00:00',2,1,12,1988,'F','N','INGLESES','FLORIANÓPOLIS','SC','224241241426141731422249291122231518197',NULL,'9997',26.61,4,3,NULL),(16,3063623,'1989-03-15 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241215473431438611245124610162091',NULL,'1022',42.99,3,3,NULL),(16,3063631,'1991-01-10 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241112151411433319275124610124142',1022,'739',71.97,1,2,1),(16,3063640,'1990-07-05 00:00:00',4,1,11,2008,'M','N','ALTO DA LAPA','S PAULO','SP','125252251217371731469933571121610167022',NULL,'9998',0.00,1,3,NULL),(16,3063658,'1989-09-10 00:00:00',4,1,12,2006,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115132431553614252124610128147',10331,'307',48.20,1,2,1),(16,3063666,'1991-10-27 00:00:00',4,8,11,2008,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215111731266713575121610132182',NULL,'491',30.79,1,3,NULL),(16,3063674,'1991-08-02 00:00:00',4,1,12,2008,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241215372311467839574124610163145',19,'1022',84.12,1,3,NULL),(16,3063682,'1992-05-01 00:00:00',4,8,11,2009,'F','S','RAINHA DO MAR','ITAPOÁ','SC','124241241115161711426318245124610164157',NULL,'413',35.52,1,3,NULL),(16,3063704,'1992-05-21 00:00:00',4,8,12,2010,'F','S','VILA LENZI','JARAGUÁ SUL','SC','124242242117151431369914575124610164097',NULL,'662',47.09,1,3,NULL),(16,3063712,'1991-10-19 00:00:00',4,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241115152411459933576115610167142',7041,'739',54.22,4,3,NULL),(16,3063720,'1989-09-09 00:00:00',2,4,12,2007,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241115472431449831342122610127042',9040,'169',50.51,1,2,1),(16,3063739,'1991-09-17 00:00:00',4,5,11,2008,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241217111431253923375122610162112',9765,'26',49.22,1,3,NULL),(16,3063747,'1987-07-02 00:00:00',2,1,12,2004,'M','N','BELA VISTA','S JOSé','SC','124241241116154452325617342111610124142',13752,'732',42.16,1,2,1),(16,3063755,'1987-01-16 00:00:00',2,1,11,2003,'F','N','COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC','124241241127232731124344345324610122187',NULL,'9997',32.56,1,2,1),(16,3063763,'1989-12-03 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431268869572122610114092',13813,'262',42.03,1,3,NULL),(16,3063771,'1990-08-06 00:00:00',2,1,7,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241247215271431323667342124610134097',14643,'9999',40.39,1,3,NULL),(16,3063780,'1990-05-19 00:00:00',2,2,12,2006,'F','N','CENTRO','INáCIO MARTINS','PR','116164161216272431468613475112142423142',8719,'9998',51.04,1,3,NULL),(16,3063798,'1991-09-09 00:00:00',2,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215111431261824572112610132142',NULL,'226',20.91,1,3,NULL),(16,3063801,'1990-12-17 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248215111431466814174124610167077',8883,'1050',50.76,1,3,NULL),(16,3063828,'1990-07-10 00:00:00',4,1,7,2008,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242247217371232469912575122610123115',NULL,'9999',25.69,1,3,NULL),(16,3063844,'1991-10-23 00:00:00',2,8,11,2008,'F','N','PIRABEIRABA','JOINVILLE','SC','124244241215111431383732572112610135192',7953,'457',52.50,1,3,NULL),(16,3063860,'1991-09-24 00:00:00',4,1,12,2008,'M','N','COUNTRY','CASCAVEL','PR','116163168215121711465612295121610167042',10657,'9998',47.64,1,3,NULL),(16,3063887,'1990-05-28 00:00:00',2,1,12,2007,'F','N','CENTRO','SULINA','PR','116161161136471431436933245125610128147',6870,'9998',54.53,1,2,1),(16,3063895,'1991-05-07 00:00:00',4,1,12,2008,'M','N','SÃO DIMAS','PIRACICABA','SP','125252251215111431576712272122610147117',NULL,'9998',0.00,1,3,NULL),(16,3063917,'1991-02-07 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241235112431636634572122610137012',4341,'738',60.16,1,3,NULL),(16,3063925,'1991-04-29 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111431327624575122610127147',12684,'738',44.02,1,3,NULL),(16,3063933,'1990-02-18 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241226472431238934274124610142182',13188,'524',43.17,1,3,NULL),(16,3063941,'1991-10-01 00:00:00',4,1,3,2009,'F','S','CARIANOS','FLORIANÓPOLIS','SC','124242241215111411439952572122610137072',NULL,'1050',37.46,1,3,NULL),(16,3063950,'1992-06-22 00:00:00',4,3,12,2009,'M','S','CENTRO','BAL CAMBORIÚ','SC','124242241215111431444832575122610124197',NULL,'1038',28.60,1,3,NULL),(16,3063968,'1992-07-05 00:00:00',2,1,12,2008,'F','N','BARREIROS','SAO JOSE','SC','124242241215371431338924574124610132195',12534,'868',44.30,1,3,NULL),(16,3063976,'1985-12-30 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252281417472431478931475122211432123',NULL,'9998',0.00,1,3,NULL),(16,3063984,'1991-12-05 00:00:00',4,1,11,2008,'M','N','CENTRO','MEDIANEIRA','PR','116162161317121421568811571114610167052',2659,'9998',64.82,1,3,NULL),(16,3063992,'1990-11-30 00:00:00',2,5,10,2008,'F','N','COMERCIÁRIO','CRICIúMA','SC','124241248215111411455413435112610168172',NULL,'226',28.03,1,3,NULL),(16,3064000,'1992-04-04 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','124242241217111532548613592124610167062',6993,'299',54.30,4,3,NULL),(16,3064026,'1991-03-06 00:00:00',2,1,11,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241215372431568613575124133266082',7440,'1118',53.43,1,3,NULL),(16,3064034,'1991-11-04 00:00:00',4,1,11,2009,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241217111411356732572124610134092',NULL,'270',0.00,1,3,NULL),(16,3064042,'1992-07-22 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215111431645731594124610168197',1840,'270',67.87,4,3,NULL),(16,3064077,'1992-04-22 00:00:00',2,1,12,2008,'F','N','NOVA DESCOBERTA','TIJUCAS','SC','124241241217131431553372575124610144147',13865,'781',41.91,1,3,NULL),(16,3064093,'1991-09-18 00:00:00',4,1,12,2008,'F','N','AREIAS','TIJUCAS','SC','124242241215131441456414445124610122157',NULL,'781',25.33,1,3,NULL),(16,3064107,'1990-07-05 00:00:00',2,1,11,2007,'F','N','SANTA MONICA','FLORIANóPOLIS','SC','124242241215473431539932572124610124142',5069,'270',58.47,1,3,NULL),(16,3064115,'1990-09-18 00:00:00',4,1,12,2007,'F','N','AGUA VERDE','CURITIBA','PR','116241241215472731237824575124610167092',10376,'633',48.12,1,3,NULL),(16,3064123,'1990-10-10 00:00:00',4,1,12,2008,'F','N','JUNDIAÍ','ANÁPOLIS','GO','109092091217131431658831574112610132013',1626,'9998',68.77,1,3,NULL),(16,3064131,'1991-12-07 00:00:00',4,8,12,2008,'F','N','JOAO COSTA','JOINVILLE','SC','124245241515151411458414575122610126192',4252,'459',60.36,1,3,NULL),(16,3064140,'1989-08-18 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241315472431548413432124610142185',13509,'269',42.60,1,3,NULL),(16,3064158,'1990-09-15 00:00:00',4,8,12,2007,'F','N','GUAÍRA','CURITIBA','PR','116162161211472411648714571124610151057',NULL,'9998',0.00,3,3,NULL),(16,3064166,'1992-01-04 00:00:00',2,5,11,2008,'M','N','CENTRO','BAL ARROIO SILVA','SC','124244241215371431468931575112610167172',4183,'32',60.53,1,3,NULL),(16,3064174,'1991-02-27 00:00:00',4,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241216111411536412395121610134187',NULL,'63',25.45,1,3,NULL),(16,3064182,'1990-06-23 00:00:00',4,1,11,2007,'F','N','CENTRO','BIGUAÇU','SC','124283241215472431338624572124232345045',2973,'1098',63.90,1,3,NULL),(16,3064190,'1991-03-28 00:00:00',4,4,12,2008,'F','N','SAO FRANCISCO','S LOURENÇO OESTE','SC','124241241125131431546613285125610166147',NULL,'744',18.74,1,2,1),(16,3064212,'1981-05-03 00:00:00',2,1,12,1998,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241146132231213344242124133264197',NULL,'307',0.00,1,2,1),(16,3064220,'1980-07-12 00:00:00',4,1,12,1997,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124201201117271411126844142224141234177',11326,'9998',46.45,2,3,NULL),(16,3064239,'1992-04-01 00:00:00',2,1,12,2009,'F','S','PANTANAL','FLORIANÓPOLIS','SC','124242241212111431448821372122610124142',NULL,'1133',47.15,1,3,NULL),(16,3064255,'1992-06-06 00:00:00',4,4,12,2008,'M','N','CENTRO','SUL BRASIL','SC','124241241115161431446933475122610124147',10115,'775',48.59,1,2,1),(16,3064271,'1989-04-21 00:00:00',4,1,12,2006,'M','N','BOA VISTA','BOTUCATU','SP','125252251217572411438739575122141537052',564,'9998',75.27,1,3,NULL),(16,3064280,'1987-03-31 00:00:00',2,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241126142731546414282114610124077',NULL,'112',29.01,1,2,1),(16,3064301,'1990-03-23 00:00:00',4,2,11,2006,'F','N','VICTOR KONDER','BLUMENAU','SC','125172241216573431489814575124610166142',13000,'855',43.50,1,3,NULL),(16,3064310,'1991-10-31 00:00:00',4,1,12,2009,'F','S','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241217121331359713395122610134072',NULL,'269',27.93,1,3,NULL),(16,3064328,'1992-01-06 00:00:00',4,1,12,2008,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124162241217271431587832595122610167142',5064,'270',58.48,1,3,NULL),(16,3064336,'1991-03-25 00:00:00',4,1,12,2008,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124241248135141711426533335124610167045',NULL,'287',26.68,1,2,1),(16,3064344,'1992-03-03 00:00:00',2,10,12,2008,'F','N','CENTRO','LEBON RéGIS','SC','124243241315161751556732575112610134057',10831,'120',47.31,1,3,NULL),(16,3064379,'1990-11-05 00:00:00',4,7,11,2008,'F','N','UNIVERSITÁRIO','VIDEIRA','SC','124241241215111431469934572122610168047',14504,'969',40.69,1,3,NULL),(16,3064387,'1991-12-11 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215112431329614572122610167047',NULL,'738',38.43,3,3,NULL),(16,3064395,'1990-04-20 00:00:00',2,5,12,2007,'F','N','PRESIDENTE VARGAS','IÇARA','SC','124244241215472431356911575122610164092',7175,'210',53.96,1,3,NULL),(16,3064409,'1990-05-15 00:00:00',2,1,10,2008,'M','N','SETOR BUENO','GOIÂNIA','GO','109093091217111531466621286112610127017',6047,'9998',56.24,3,3,NULL),(16,3064417,'1990-01-25 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124241241137472431335633285124610123147',NULL,'734',33.08,1,3,NULL),(16,3064425,'1992-11-07 00:00:00',4,1,12,2009,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241211111431658639272122610122015',NULL,'1133',54.95,1,3,NULL),(16,3064433,'1991-05-05 00:00:00',4,1,12,2008,'F','N','BELA VISTA','S PAULO','SP','125242251215111441358972575115610164187',NULL,'9998',0.00,3,3,NULL),(16,3064441,'1991-08-23 00:00:00',2,1,12,2008,'F','N','S J RIO VERMELHO','FLORIANÓPOLIS','SC','120201201117131732423519572122610142147',NULL,'9998',0.00,1,2,1),(16,3064450,'1990-07-27 00:00:00',4,8,12,2008,'F','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251215111431468814476122610167147',4544,'9998',59.68,1,3,NULL),(16,3064468,'1988-06-16 00:00:00',4,1,12,2005,'F','N','AHHÚ','CURITIBA','PR','116132161216571411478714575124610163187',326,'9998',77.69,1,3,NULL),(16,3064476,'1991-04-10 00:00:00',4,2,12,2008,'M','N','CENTRO','PNT GROSSA','PR','116162161217271411348811572112610167042',4850,'9998',58.97,1,3,NULL),(16,3064484,'1990-09-30 00:00:00',2,1,12,2007,'F','N','PICADAS DO NORTE','S JOSÉ','SC','124241241115372431356833371124610166172',4184,'307',60.53,1,2,1),(16,3064492,'1991-05-06 00:00:00',4,1,11,2008,'M','N','JDM CID DE FPOLIS','S JOSÉ','SC','124242241217111751458833475114610168052',3893,'270',61.36,1,3,NULL),(16,3064514,'1989-04-11 00:00:00',2,8,12,2006,'F','N','VILA NOVA','JOINVILLE','SC','124213051215572431345614441224610128092',13316,'9998',42.93,1,3,NULL),(16,3064522,'1990-09-20 00:00:00',2,1,12,2007,'F','N','AUXILIADORA','PTO ALEGRE','RS','120202201317471741247723572124610123097',12625,'9998',44.13,1,3,NULL),(16,3064530,'1991-04-25 00:00:00',4,8,11,2008,'M','N','SAGUAÇÚ','JOINVILLE','SC','124244241215112411267929575112610126112',4985,'486',58.64,1,3,NULL),(16,3064549,'1991-05-08 00:00:00',4,8,11,2008,'M','N','ATIRADORES','JOINVILLE','SC','124242241215112751576814275122610167186',5237,'491',58.03,1,3,NULL),(16,3064557,'1990-07-14 00:00:00',2,8,12,2008,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241215271431469814572122610128092',NULL,'441',0.00,1,3,NULL),(16,3064565,'1990-03-22 00:00:00',4,3,12,2007,'M','N','CENTRO','CASCAVEL','PR','116162161416371731268811575122610164052',NULL,'9998',0.00,1,3,NULL),(16,3064581,'1990-10-04 00:00:00',2,1,12,2007,'M','N','SÃO JOSÉ','FRAIBURGO','SC','124241241435373431543314375124121127142',1282,'885',70.49,4,3,NULL),(16,3064603,'1970-11-06 00:00:00',2,4,12,1991,'M','N','DOM AQUINO','CUIABÁ','MT','111201201112131751311119192344610168192',5274,'9998',57.93,2,1,1),(16,3064620,'1991-04-08 00:00:00',4,5,11,2008,'M','N','IMIGRANTES','CRICIÚMA','SC','124242241215121731433823571124610167042',NULL,'210',29.90,2,3,NULL),(16,3064638,'1987-09-01 00:00:00',2,1,12,2004,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241211273431387923471114120817047',8108,'737',52.21,1,3,NULL),(16,3064646,'1990-10-17 00:00:00',4,6,12,2008,'M','N','CORDEIROS','ITAJAÍ','SC','124241241235211421446514345124610124057',14283,'388',41.08,1,3,NULL),(16,3064662,'1991-03-19 00:00:00',2,1,11,2008,'F','N','CAMPO DAGUA VERDE','CANOINHAS','SC','124241241215111411456933575112610123142',NULL,'154',0.00,1,3,NULL),(16,3064670,'1991-04-09 00:00:00',4,4,12,2008,'M','N','CENTRO','CHAPECó','SC','124244241215371431369934575112610167057',NULL,'185',24.43,1,3,NULL),(16,3064689,'1990-12-06 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372231558812342122610167057',11093,'270',46.85,1,3,NULL),(16,3064697,'1990-11-18 00:00:00',2,1,12,2007,'M','N','JARDIM DAS AMERICAS','CURITIBA','PR','116162161217472411568823116114610127017',8060,'9998',52.30,1,3,NULL),(16,3064700,'1991-08-02 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215271431469614574122610148182',11404,'1038',46.34,1,3,NULL),(16,3064719,'1990-10-10 00:00:00',4,1,12,2007,'F','N','LAGOÃO','PALMAS','PR','124161161116131431523539242325610163147',NULL,'9998',27.45,1,3,NULL),(16,3064727,'1989-07-25 00:00:00',2,1,12,2007,'F','N','CENTRO','TAQUARITINGA','SP','125252251216371731443612572114610162124',NULL,'1154',26.71,3,3,NULL),(16,3064735,'1991-03-22 00:00:00',2,5,11,2008,'F','N','PINHEIRINHO','CRICIúMA','SC','124244241215131231554431572114610162146',13743,'880',42.19,1,3,NULL),(16,3064743,'1990-09-09 00:00:00',2,8,12,2008,'F','N','CENTRO','S TIAGO','MG','113131131416271432547812472125610162142',12792,'9998',43.85,1,3,NULL),(16,3064778,'1988-07-07 00:00:00',2,1,7,2008,'M','N','SERRARIA','S JOSé','SC','124243248337271451336723345114610127067',NULL,'257',17.64,2,1,2),(16,3064786,'1989-08-27 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217574431456611575124131062082',844,'266',73.09,1,3,NULL),(16,3064794,'1990-11-29 00:00:00',4,1,11,2008,'M','N','SANTANA','RIO SUL','SC','124244241415111431257933575122610127042',NULL,'653',27.23,1,3,NULL),(16,3064816,'1988-09-05 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANóPOLIS','SC','124243241115271431426639472114610127073',13072,'307',43.36,2,3,NULL),(16,3064824,'1991-10-26 00:00:00',4,1,11,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241415111431558724575124610134071',11792,'1022',45.65,1,3,NULL),(16,3064840,'1988-12-15 00:00:00',2,1,12,2007,'M','N','CENTRO','ESPÍRITO STO PINHAL','SP','125251251135471431436811385124610118162',11240,'9998',46.58,1,2,1),(16,3064859,'1991-09-23 00:00:00',4,1,12,2008,'M','N','COLINA VERDE','LONDRINA','PR','116162161216371731468814575122610164092',NULL,'9998',41.16,1,3,NULL),(16,3064867,'1990-04-30 00:00:00',4,1,11,2007,'F','N','KOBRASOL','S JOSÉ','SC','124242241215372431568713575114610122057',9533,'723',49.66,1,3,NULL),(16,3064883,'1990-09-27 00:00:00',4,8,11,2007,'F','N','CENTRO','MARINGá','PR','116162161217471431387811274112610132076',NULL,'9998',0.00,1,3,NULL),(16,3064891,'1990-12-26 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215121431579613572124610167062',9182,'270',50.27,1,3,NULL),(16,3064905,'1988-12-29 00:00:00',2,1,12,2006,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215574431546622376114610123051',6133,'262',56.06,4,3,NULL),(16,3064913,'1991-07-22 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271441366623574124610163042',7302,'988',53.71,1,3,NULL),(16,3064930,'1990-03-01 00:00:00',4,8,12,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124242241212273431138634385124231464182',4195,'389',60.50,1,3,NULL),(16,3064948,'1991-10-09 00:00:00',2,2,11,2008,'F','N','COLONINHA','GASPAR','SC','124243241215111431435531315122610128022',NULL,'955',18.20,1,3,NULL),(16,3064956,'1990-06-11 00:00:00',2,1,12,2007,'F','N','UBERABA','CURITIBA','PR','116162161216471751358719571124610166077',1162,'9998',71.14,1,3,NULL),(16,3064964,'1981-12-02 00:00:00',4,5,12,1999,'M','N','CENTRO','TIMBÉ SUL','SC','124241243146473751243379381122121766147',755,'306',73.80,1,2,1),(16,3064972,'1989-02-21 00:00:00',4,1,12,2006,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251235571431338839491121610138112',5420,'9998',57.63,1,3,NULL),(16,3064980,'1991-01-17 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471421569813572122610122012',9493,'270',49.73,1,3,NULL),(16,3064999,'1992-06-11 00:00:00',2,1,12,2009,'F','S','KOBRASOL','S JOSÉ','SC','124242241215111731468934575115610128042',NULL,'723',27.66,1,3,NULL),(16,3065006,'1988-11-18 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124241241137371231346619245123130223077',NULL,'591',27.41,5,3,NULL),(16,3065014,'1990-04-26 00:00:00',4,1,12,2007,'F','N','ZONA CINCO','MARINGÁ','PR','116162161216471411479612574122613214122',11286,'9998',46.49,1,3,NULL),(16,3065022,'1989-05-04 00:00:00',2,9,12,2008,'M','N','SALTINHO','POUSO REDONDO','SC','124241241122161431344515352222610138047',NULL,'639',0.00,1,3,NULL),(16,3065030,'1990-10-04 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124204201215472431468914472124610127187',5325,'9998',57.82,1,3,NULL),(16,3065049,'1989-07-24 00:00:00',4,1,12,2006,'M','N','AREIAS','S JOSÉ','SC','124243241417374411338723385124231467065',NULL,'1022',38.49,1,3,NULL),(16,3065057,'1993-03-11 00:00:00',4,5,12,2009,'F','S','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215111431459834591122610124097',NULL,'970',33.85,1,3,NULL),(16,3065065,'1992-06-15 00:00:00',2,8,12,2008,'F','N','JARDIM AMÉRICA','MAFRA','SC','124242241217271431538823575122610163182',NULL,'541',36.01,4,3,NULL),(16,3065073,'1977-06-24 00:00:00',2,1,12,1999,'M','N','CARIANOS','FLORIANóPOLIS','SC','224213251347131421247843332124341562057',NULL,'9998',29.37,4,1,2),(16,3065081,'1991-01-10 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217121441479613336124610164182',7230,'270',53.85,1,3,NULL),(16,3065090,'1991-09-14 00:00:00',4,1,11,2008,'M','N','AGUA VERDE','CURITIBA','PR','116162161116471531338934595124610124087',NULL,'9998',0.00,4,3,NULL),(16,3065103,'1991-08-23 00:00:00',2,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','124244248215111431544521475122610124145',NULL,'185',34.48,1,3,NULL),(16,3065111,'1990-11-13 00:00:00',2,10,12,2008,'F','N','MAGALHÃES','LAGUNA','SC','124244241215121431326821595122610126147',16148,'525',36.79,1,3,NULL),(16,3065120,'1989-12-09 00:00:00',2,1,11,2008,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241217111432469973574124610124142',16144,'1022',36.79,4,3,NULL),(16,3065146,'1991-04-18 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241215111431368833572112610162122',5208,'497',58.10,1,3,NULL),(16,3065154,'1991-02-10 00:00:00',4,4,12,2007,'F','N','JARDIM CRISTAL','CASCAVEL','PR','116164161217471441426814571124610124077',9213,'9998',50.22,4,1,2),(16,3065170,'1989-12-08 00:00:00',4,1,12,2007,'M','N','CENTRO','ITAPIRA','SP','120252251215371431469614395122610127022',NULL,'9998',35.74,1,3,NULL),(16,3065189,'1991-07-03 00:00:00',4,8,12,2008,'M','N','CRUZEIRO','S BENTO SUL','SC','124243241216271441436612575115610127097',NULL,'974',0.00,1,3,NULL),(16,3065197,'1991-02-10 00:00:00',4,1,11,2008,'F','N','VILA NOVA','IMBITUBA','SC','124242241215111431488823572122610166143',9703,'362',49.34,1,3,NULL),(16,3065200,'1990-02-15 00:00:00',4,1,12,2007,'F','N','CENTRO','POÇOS CALDAS','MG','113132131217471431448829574112610144186',3138,'9998',63.43,1,3,NULL),(16,3065219,'1990-09-13 00:00:00',1,1,12,2008,'M','N','PARQUE SÃO QUIRINO','CAMPINAS','SP','125252251415111411469814575122610162087',8297,'9998',51.79,1,3,NULL),(16,3065235,'1991-08-26 00:00:00',2,4,12,2008,'F','N','INDUSTRIÁRIOS','CONCÓRDIA','SC','124241246117131431345314572124610126197',11131,'196',46.79,1,2,1),(16,3065243,'1992-08-15 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241215111431489614575122610137142',12661,'497',44.06,1,3,NULL),(16,3065251,'1991-02-25 00:00:00',2,5,11,2008,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241241235121411446833232223610126172',10002,'32',48.77,1,3,NULL),(16,3065260,'1990-11-09 00:00:00',4,1,12,2008,'F','N','JARDIM PAULISTA','S PAULO','SP','125252251237151451668912446122610125023',NULL,'9998',0.00,1,3,NULL),(16,3065278,'1990-06-18 00:00:00',4,5,7,2008,'F','N','VILA FRANCESA','CRICIÚMA','SC','124241246216111431456631445124610137112',5991,'995',56.37,1,3,NULL),(16,3065286,'1991-10-12 00:00:00',4,4,10,2008,'F','N','TROPICAL','CASCAVEL','PR','116162161215111431246922575112610116177',4138,'9998',60.68,4,3,NULL),(16,3065294,'1991-03-23 00:00:00',4,1,11,2007,'M','N','DUQUE DE CAXIAS','CUIABá','MT','111112111215471431356823472112610162017',3642,'9998',61.98,1,3,NULL),(16,3065308,'1986-04-23 00:00:00',2,1,12,2003,'F','N','BARRA DO ARIRIÚ','PALHOçA','SC','124241241115575431434331231113610127147',NULL,'592',30.93,1,2,1),(16,3065316,'1992-05-23 00:00:00',4,1,11,2009,'M','S','CAMPINAS','S JOSÉ','SC','124241241117111431478833575124610122072',NULL,'270',35.19,1,3,NULL),(16,3065324,'1986-10-17 00:00:00',2,1,12,2005,'M','N','CENTRO','JOÃO PINHEIRO','MG','113131137137131711335524391321142236187',15696,'9998',38.07,4,2,1),(16,3065332,'1989-01-03 00:00:00',2,1,7,2006,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124253247337374731448631585124610168055',6308,'263',55.67,1,3,NULL),(16,3065340,'1991-10-25 00:00:00',4,8,12,2008,'F','N','PROGRESSO','S BENTO SUL','SC','124241241215151431569814272122610132177',9542,'974',49.64,1,3,NULL),(16,3065359,'1991-11-18 00:00:00',4,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124203241417121431338833592114610165077',7848,'1022',52.68,4,3,NULL),(16,3065367,'1990-12-28 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201216371751467712375112610134142',1055,'9998',71.71,1,3,NULL),(16,3065375,'1991-08-19 00:00:00',4,1,12,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241211111431366629371124610168041',5870,'724',56.65,1,3,NULL),(16,3065383,'1986-06-28 00:00:00',2,1,6,2006,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124201207326132431135513215122221724057',NULL,'9998',35.21,1,3,NULL),(16,3065391,'1992-04-20 00:00:00',4,1,11,2009,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111432356833432124610127055',NULL,'270',43.39,1,3,NULL),(16,3065405,'1991-06-08 00:00:00',2,8,11,2008,'M','N','AVENTUREIRO','JOINVILLE','SC','124242241217111431559933575124610137052',NULL,'461',46.15,1,3,NULL),(16,3065413,'1991-07-26 00:00:00',4,8,12,2008,'M','N','ESTRADA NOVA','JARAGUá SUL','SC','124242241215111431365512575121610162182',NULL,'442',35.03,1,3,NULL),(16,3065421,'1991-05-21 00:00:00',2,9,12,2008,'F','N','N SENHORA APARECIDA','CURITIBANOS','SC','124241244135161611436634575123610134057',15857,'239',37.61,1,3,NULL),(16,3065430,'1990-12-06 00:00:00',4,1,12,2008,'F','N','RIBEIRÂNIA','RIBEIRÃO PRETO','SP','125252251217121231488932492112610144052',15018,'9998',39.61,1,3,NULL),(16,3065448,'1989-03-29 00:00:00',2,1,12,2006,'M','N','JOSE MENDES','FLORIANóPOLIS','SC','124241241117473431436421271122610132057',10750,'831',47.46,4,2,1),(16,3065456,'1992-01-04 00:00:00',4,9,12,2008,'M','N','CONTA DINHEIRO','LAGES','SC','124244241215111441446614275124610164012',6161,'1146',56.01,1,3,NULL),(16,3065464,'1992-06-02 00:00:00',4,9,11,2008,'F','N','UNIVERSITÁRIO','LAGES','SC','124242241215111731236611315122610112182',NULL,'497',0.00,1,3,NULL),(16,3065472,'1991-08-18 00:00:00',2,9,12,2008,'F','N','CENTRO','GR PARÁ','SC','124241241117132731526616285125610117052',NULL,'330',39.89,1,2,1),(16,3065480,'1987-04-13 00:00:00',4,8,12,2005,'M','N','CIDADE JARDIM','S PAULO','SP','125252251217571411388832575122610127182',NULL,'9998',0.00,1,3,NULL),(16,3065502,'1992-10-17 00:00:00',4,1,12,2009,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241237111751478813575122610162177',NULL,'270',66.34,1,3,NULL),(16,3065510,'1990-08-31 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431488813575122610138192',3692,'270',61.84,1,3,NULL),(16,3065529,'1991-06-29 00:00:00',2,10,12,2008,'M','N','CENTRO','RIO FORTUNA','SC','124241241215111421344633345121610116092',14864,'950',39.96,1,3,NULL),(16,3065537,'1991-09-03 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124244241215151431356911385112610167017',8682,'497',51.11,1,3,NULL),(16,3065545,'1992-11-22 00:00:00',2,1,12,2009,'F','S','BARREIROS','S JOSé','SC','124241241415111711325632295124610121082',NULL,'1118',29.68,4,3,NULL),(16,3065561,'1989-08-07 00:00:00',2,1,11,2006,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124243241315373431447923385124610167047',12607,'271',44.17,1,3,NULL),(16,3065588,'1991-02-26 00:00:00',4,1,11,2008,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241217471731488831592124610137112',15309,'270',38.95,1,3,NULL),(16,3065596,'1988-01-02 00:00:00',2,1,12,2008,'F','N','CACHOEIRA','FLORIANóPOLIS','SC','624161247426131431223351215124610168157',NULL,'977',23.43,1,3,NULL),(16,3065600,'1978-09-13 00:00:00',2,1,12,1997,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124161166125272441123334245124340745032',9707,'9998',49.33,1,3,NULL),(16,3065618,'1991-03-28 00:00:00',2,1,11,2008,'M','N','CAIXA POSTAL','LAGUNA','SC','124122241215421431469921575122610137182',NULL,'270',22.31,1,3,NULL),(16,3065626,'1990-05-27 00:00:00',4,1,11,2008,'M','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124242248215111731449611595112610167112',11664,'262',45.88,1,3,NULL),(16,3065634,'1992-09-30 00:00:00',4,1,11,2009,'F','S','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215111431488819595122610163122',NULL,'270',51.82,1,3,NULL),(16,3065642,'1987-08-18 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117574431665419572124121228147',5638,'307',57.18,1,2,1),(16,3065650,'1990-06-21 00:00:00',4,1,12,2007,'M','N','NOVA BRASÍLIA','JARAGUÁ SUL','SC','124243211416131431538733536125610164147',8523,'9998',51.38,1,3,NULL),(16,3065669,'1991-10-11 00:00:00',4,5,10,2008,'M','N','MINA BRASIL','CRICIÚMA','SC','124242241215111431489833572122610132042',918,'226',72.58,1,3,NULL),(16,3065677,'1991-12-14 00:00:00',2,4,12,2008,'F','N','NAÇÕES','CONCÓRDIA','SC','124241241115471431436611574122610137142',13840,'192',41.96,1,2,1),(16,3065707,'1991-08-10 00:00:00',4,1,11,2008,'M','N','SETOR JAO','GOIÂNIA','GO','109092108217111731669931595112610121047',577,'9998',75.12,1,3,NULL),(16,3065715,'1990-08-31 00:00:00',2,1,12,2007,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115372431658613575124130824042',9496,'306',49.73,1,2,1),(16,3065723,'1988-03-29 00:00:00',4,1,12,2005,'M','N','JD APOLO','S JOSÉ CAMPOS','SP','125252256215471411458834385121610134182',3058,'9998',63.63,1,3,NULL),(16,3065731,'1963-07-01 00:00:00',2,1,12,1981,'F','N','SANTANA','RIO SUL','SC','524241243126161451243443232122331021142',11649,'680',45.91,1,3,NULL),(16,3065740,'1990-06-20 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241215111731579831415122610112182',NULL,'497',19.48,1,3,NULL),(16,3065758,'1991-07-16 00:00:00',4,1,12,2008,'F','N','JARDIM GRUDTNER','MARIALVA','PR','116162161216371431358632572112610166092',11828,'9998',45.59,3,3,NULL),(16,3065766,'1988-07-22 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124211218211271421323344241124610166171',NULL,'9998',38.95,1,3,NULL),(16,3065774,'1991-08-09 00:00:00',4,1,12,2008,'F','N','TAPERAPUÃ','PTO SEGURO','BA','105052051217111411454614575124610168182',10710,'9998',47.53,1,3,NULL),(16,3065782,'1982-02-09 00:00:00',2,1,12,1999,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241248416411431248723485124331064192',NULL,'44',39.36,1,3,NULL),(16,3065790,'1992-08-28 00:00:00',2,1,11,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215111431566833575124610147052',NULL,'1022',26.57,1,3,NULL),(16,3065812,'1990-12-26 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252241215111411469912421122610147092',1229,'270',70.79,1,3,NULL),(16,3065820,'1985-10-15 00:00:00',4,3,12,2002,'F','N','SANTA CÂNDIDA','CURITIBA','PR','116161161316571741447821295124342723187',NULL,'9998',0.00,1,3,NULL),(16,3065839,'1991-08-16 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241214151421469833572124610168047',7012,'262',54.26,1,3,NULL),(16,3065847,'1989-09-04 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECÓ','SC','124241248145271451118349372223610138097',14472,'174',40.74,1,2,1),(16,3065855,'1990-08-14 00:00:00',4,8,11,2008,'M','N','FLORESTA','JOINVILLE','SC','124242241215371441357634575122610138092',3314,'932',62.96,4,3,NULL),(16,3065863,'1990-11-08 00:00:00',2,8,12,2008,'F','N','AMIZADE','JARAGUÁ SUL','SC','124244241217172431449933315124610164142',2991,'1061',63.82,1,3,NULL),(16,3065871,'1990-09-22 00:00:00',4,1,11,2008,'F','N','ZONA DOIS','MARINGá','PR','116162161215111431559933572122610141072',14368,'9998',40.93,1,3,NULL),(16,3065880,'1992-02-04 00:00:00',4,1,12,2008,'F','N','CENTRO','VERê','PR','116161161436421431448935254125610116073',9661,'9998',49.41,1,3,NULL),(16,3065898,'1990-06-19 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215111431477839595122610113182',NULL,'262',35.45,1,3,NULL),(16,3065901,'1990-02-15 00:00:00',4,2,12,2008,'M','N','SANTA RITA','BRUSQUE','SC','124242241215271432586819594122610127057',NULL,'107',35.46,1,3,NULL),(16,3065910,'1991-09-02 00:00:00',4,1,12,2008,'M','N','BOM VIVER','BIGUAÇU','SC','124051051217111431436614575124610127062',NULL,'9998',21.63,1,3,NULL),(16,3065944,'1991-09-03 00:00:00',4,8,12,2008,'M','N','RESIDENCIAL II','ARAPOTI','PR','116162161217111411428732345122610167042',4466,'9998',59.86,1,3,NULL),(16,3065960,'1989-04-01 00:00:00',2,1,12,2006,'M','N','CENTRO','NOVA TRENTO','SC','124241241216573431467631575125610124042',3396,'88',62.68,1,3,NULL),(16,3065987,'1989-04-28 00:00:00',2,6,12,2006,'M','N','JARDIM ÁGUA BOA','DOURADOS','MS','112123121415572731333823572112141327047',NULL,'9998',38.81,4,3,NULL),(16,3065995,'1982-07-01 00:00:00',4,1,6,2001,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124203201346151721655614495111141363177',NULL,'9999',0.00,2,1,2),(16,3066010,'1991-06-25 00:00:00',2,10,11,2008,'M','N','CENTRO','IMBITUBA','SC','124241241137131431448833275121610137117',NULL,'1034',29.65,1,3,NULL),(16,3066029,'1989-08-11 00:00:00',4,1,12,2006,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124242241216574441468923575122610164127',49,'168',82.41,1,3,NULL),(16,3066037,'1991-02-15 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216371431489933575112610137122',350,'299',77.35,1,3,NULL),(16,3066045,'1988-02-04 00:00:00',2,1,12,2005,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116134431344414445133610124057',11997,'307',45.27,1,2,1),(16,3066053,'1989-10-03 00:00:00',4,1,12,2007,'F','N','SETOR MARISTA','GOIâNIA','GO','109092097217471431489911575112610163142',NULL,'9998',23.68,1,3,NULL),(16,3066070,'1991-04-18 00:00:00',2,1,11,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124163241335472431363412342124610124092',5310,'1022',57.85,1,3,NULL),(16,3066096,'1991-12-05 00:00:00',4,9,12,2008,'M','N','CENTRO','ANITA GARIBALDI','SC','124251241115161431458613154121610127097',NULL,'18',26.61,1,3,NULL),(16,3066100,'1990-11-07 00:00:00',4,1,12,2008,'M','N','VISTA ALEGRE','VINHEDO','SP','125252251217271741469814575122610124143',NULL,'9998',0.00,1,3,NULL),(16,3066118,'1992-03-23 00:00:00',4,1,11,2008,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124243241415121431426821275114610124042',2924,'723',64.04,1,3,NULL),(16,3066126,'1965-03-10 00:00:00',3,1,12,1983,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243248316475731376419432122321431097',3166,'260',63.36,1,3,NULL),(16,3066134,'1989-06-30 00:00:00',4,1,12,2006,'M','N','VILA JÚLIA','GUARUJÁ','SP','125252251217571431437833112124142967142',7130,'9998',54.04,1,3,NULL),(16,3066142,'1990-09-12 00:00:00',4,1,11,2007,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251216472731458834571122610167047',NULL,'9998',0.00,3,3,NULL),(16,3066150,'1991-07-12 00:00:00',2,4,12,2008,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241116151731323534291124610121147',14698,'169',40.29,1,2,1),(16,3066185,'1991-08-22 00:00:00',2,1,12,2008,'M','N','JARDIM EUROPA','SANTANA LIVRAMENTO','RS','120201201117471431488833572122610167047',6461,'9998',55.35,1,2,1),(16,3066193,'1990-04-14 00:00:00',4,1,11,2007,'M','N','N S LURDES','CAMPOS NOVOS','SC','116242241211413421558831571124610164182',NULL,'270',0.00,1,3,NULL),(16,3066207,'1988-06-14 00:00:00',2,10,12,2005,'M','N','CIDADE NOVA','URUGUAIANA','RS','120201201116131431625823482324610138187',14640,'9998',40.40,1,2,1),(16,3066215,'1982-04-05 00:00:00',2,1,8,2006,'F','N','GUARDA DO CUBATAO','PALHOÇA','SC','224241247126131431423354212124610114047',NULL,'9997',29.63,1,2,1),(16,3066223,'1990-04-09 00:00:00',4,1,12,2007,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','120202201217471431468923575124610153112',NULL,'9998',0.00,4,3,NULL),(16,3066231,'1992-01-11 00:00:00',2,4,10,2008,'F','N','ESPERANÇA','ERECHIM','RS','120202201215111431648814342122610122147',8190,'9998',52.03,1,3,NULL),(16,3066240,'1990-06-16 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241216112231358813575122610162072',14972,'737',39.73,1,3,NULL),(16,3066258,'1989-07-04 00:00:00',2,1,11,2008,'M','N','OSWALDO CRUZ','RIO JANEIRO','RJ','121212213116131731546633575124610132082',9612,'9998',49.50,1,3,NULL),(16,3066266,'1978-09-06 00:00:00',4,1,12,1997,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216274421238642442124121964042',12879,'266',43.70,1,3,NULL),(16,3066274,'1991-08-05 00:00:00',4,5,11,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241215111411469813595122610164047',5765,'226',56.93,1,3,NULL),(16,3066282,'1992-04-16 00:00:00',4,3,11,2009,'F','S','CENTRO','TIJUCAS','SC','124242241214111431456632572122610128192',NULL,'9997',46.99,1,3,NULL),(16,3066290,'1988-02-17 00:00:00',2,1,12,2005,'F','N','JARDIM SÃO JOSÉ','BAURU','SP','125252251216571431548823572112610122197',NULL,'9998',0.00,1,3,NULL),(16,3066304,'1991-06-14 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122211487919575112610124052',1446,'266',69.56,1,3,NULL),(16,3066320,'1991-11-05 00:00:00',4,1,12,2008,'M','N','CENTRO','MARINGÁ','PR','116162161215311431368832572122610127057',15288,'9998',38.99,1,3,NULL),(16,3066339,'1991-03-07 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241227271431321314392124610124142',8636,'262',51.18,1,3,NULL),(16,3066347,'1992-02-21 00:00:00',4,1,10,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124242244215111431468612345122610142072',NULL,'273',23.21,1,3,NULL),(16,3066355,'1988-11-11 00:00:00',2,1,12,2007,'M','N','GUARDA DO CUBATAO','PALHOÇA','SC','124241241116131431433354232124610114067',NULL,'9997',0.00,1,2,1),(16,3066371,'1990-02-17 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124241241215372431449614572122610143181',12740,'723',43.94,3,3,NULL),(16,3066380,'1991-08-27 00:00:00',2,7,12,2008,'M','N','SÃO FRANCISCO','LUZERNA','SC','124241241147311421343614175123610134052',NULL,'539',0.00,1,3,NULL),(16,3066398,'1990-09-17 00:00:00',4,1,12,2008,'M','N','BACACHERI','CURITIBA','PR','116164168415271731458814345124610137012',NULL,'9998',0.00,4,3,NULL),(16,3066410,'1991-02-18 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124164241215471431367639496122610123182',3615,'270',62.04,1,3,NULL),(16,3066436,'1986-07-19 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372431488813276122221424092',386,'270',76.96,1,3,NULL),(16,3066444,'1991-10-28 00:00:00',4,8,12,2008,'M','N','CENTRO','JARAGUá SUL','SC','124242241217111411359932245122610127052',NULL,'1061',28.00,1,3,NULL),(16,3066452,'1991-09-21 00:00:00',4,3,12,2008,'F','N','CABRAL','CURITIBA','PR','116162161237421441468912572314610132117',11536,'9998',46.11,1,3,NULL),(16,3066460,'1977-10-15 00:00:00',2,1,12,2002,'F','N','N SENHORA DO ROSARI','S JOSÉ','SC','624241244637272421334443232122610112187',NULL,'9999',23.05,1,3,NULL),(16,3066479,'1990-10-14 00:00:00',3,6,12,2009,'F','S','UBERABA','CURITIBA','PR','116161165136141441338713391124610124077',NULL,'9998',0.00,4,3,NULL),(16,3066487,'1988-11-06 00:00:00',4,1,11,2005,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241216142411149914395124231066127',NULL,'118',30.30,1,3,NULL),(16,3066495,'1990-05-16 00:00:00',4,1,12,2007,'M','N','PIRITUBA','S PAULO','SP','125252251117471431566514272125610167042',2582,'9998',65.06,1,3,NULL),(16,3066509,'1990-12-08 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','105052051235111431568813574124610164112',9718,'1022',49.31,1,3,NULL),(16,3066517,'1985-04-23 00:00:00',4,1,12,2002,'F','N','CENTRO','MARINGÁ','PR','116162161217211421548632415122343262092',13535,'9998',42.56,1,3,NULL),(16,3066525,'1991-03-19 00:00:00',2,3,11,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124242247217131231438619372112610134147',NULL,'9999',24.29,1,3,NULL),(16,3066533,'1989-08-06 00:00:00',4,1,12,2007,'F','N','JARDIM DIAMANTE','S JOSÉ CAMPOS','SP','125251251137471431425823571122610164147',NULL,'9998',19.72,1,2,1),(16,3066541,'1975-06-25 00:00:00',4,1,12,1995,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','624241247426131411542343235124133267187',16252,'270',36.52,1,3,NULL),(16,3066550,'1990-05-06 00:00:00',2,4,11,2007,'F','N','CENTRO','CHAPECó','SC','124201201416132431427611574124610166187',8399,'9998',51.60,4,3,NULL),(16,3066584,'1988-03-21 00:00:00',2,1,12,2005,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241136272431636319495114610138182',13867,'733',41.91,1,2,1),(16,3066592,'1989-11-21 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431468813575124131166092',1968,'270',67.31,1,3,NULL),(16,3066606,'1991-05-02 00:00:00',2,1,12,2008,'M','N','JARDIM ATLÂNTICO','S JOSé','SC','124243241115131431647631572124610132077',NULL,'257',31.78,4,1,2),(16,3066614,'1987-11-13 00:00:00',4,1,7,2005,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124282281416242731589813495123231033184',7796,'9998',52.77,1,3,NULL),(16,3066630,'1986-04-04 00:00:00',4,1,12,2003,'M','N','BELA VISTA','S JOSé','SC','124242241215474231446313385124121162057',10014,'738',48.76,2,1,2),(16,3066657,'1991-09-11 00:00:00',4,2,12,2008,'M','N','VELHA','BLUMENAU','SC','124243241416111431666733572124610127092',NULL,'69',32.00,2,1,2),(16,3066681,'1990-06-27 00:00:00',4,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115271731426614241124613224147',15256,'592',39.08,1,2,1),(16,3066690,'1987-04-15 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSé','SC','124241241215573431348612575124610117042',NULL,'20',25.87,1,3,NULL),(16,3066703,'1991-07-11 00:00:00',4,1,12,2008,'F','N','GUIOMAR','ANTÔNIO CARLOS','SC','124241241111272431536335572224610167052',3375,'21',62.77,1,2,1),(16,3066711,'1989-01-08 00:00:00',2,1,12,2006,'F','N','METROPOLITANA','NUCLEO BANDEIRANTE','DF','107074071117151752686713472124141068187',NULL,'9998',0.00,4,3,NULL),(16,3066738,'1968-07-31 00:00:00',4,1,7,1995,'M','N','CAMINHO NOVO','PALHOÇA','SC','224241246146154421234443231133321124042',NULL,'306',35.86,4,2,1),(16,3066762,'1991-03-07 00:00:00',2,1,12,2008,'M','N','SERRARIA','S JOSé','SC','124244241127141431324414395124610162142',16253,'730',36.52,1,3,NULL),(16,3066789,'1988-05-30 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241232274431458833435134130434077',12201,'300',44.90,4,3,NULL),(16,3066797,'1990-10-16 00:00:00',4,5,11,2007,'F','N','CENTRO','SIDERÓPOLIS','SC','124242241215271451436632573322610164187',11962,'226',45.33,1,3,NULL),(16,3066800,'1990-05-14 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241216472431543311575124610127147',3,'720',86.25,1,3,NULL),(16,3066819,'1991-10-25 00:00:00',4,2,12,2008,'F','N','AZAMBUJA','BRUSQUE','SC','124241241147141441346624245122610124177',NULL,'110',26.80,1,2,1),(16,3066827,'1990-09-10 00:00:00',4,1,11,2008,'F','N','ESTEITO','FLORIANÓPOLIS','SC','124202241215472431359714474124610144142',808,'270',73.39,1,3,NULL),(16,3066835,'1991-12-17 00:00:00',4,5,12,2008,'F','N','LIVRAMENTO','TURVO','SC','124241241115371431433536285124610122177',4130,'814',60.69,1,2,1),(16,3066843,'1990-03-20 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241215473431356923572112610164092',NULL,'9997',38.88,1,3,NULL),(16,3066851,'1984-08-25 00:00:00',2,1,12,2002,'F','N','SION','BELO HORIZONTE','MG','113134131437572441367722571112140222127',4622,'9998',59.49,1,3,NULL),(16,3066860,'1990-10-02 00:00:00',2,1,12,2007,'F','N','CENTRO','NOVA PRATA','RS','120201201217271431546932275122243237147',10306,'9998',48.24,1,3,NULL),(16,3066878,'1990-07-21 00:00:00',4,1,12,2008,'M','N','JARDIM DAS ROSAS','ESPíRITO STO PINHAL','SP','125132251216471431446714475115610144082',5809,'9998',56.78,1,3,NULL),(16,3066916,'1989-11-01 00:00:00',2,4,12,2006,'M','N','CENTRO','SEARA','SC','124241242116575111534415435222610118041',14908,'196',39.87,1,2,1),(16,3066924,'1990-08-15 00:00:00',2,5,12,2007,'F','N','SÃO CRISTÓVÃO','TURVO','SC','124244241215372431423611384121610165077',7299,'813',53.71,1,3,NULL),(16,3066932,'1982-03-30 00:00:00',2,1,12,2002,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241246146373421546634345124133268181',NULL,'306',35.68,1,2,1),(16,3066940,'1989-12-28 00:00:00',4,1,11,2007,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241312272411336823385124132761195',5745,'1098',56.97,1,3,NULL),(16,3066983,'1984-11-30 00:00:00',2,1,11,2001,'M','N','INGLESES','FLORIANOPOLIS','SC','224213211117131411226441215124610134147',NULL,'9998',22.21,4,3,NULL),(16,3067009,'1990-09-20 00:00:00',2,8,12,2007,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161216372431638612574114610121196',15124,'9998',39.36,3,3,NULL),(16,3067017,'1990-06-14 00:00:00',4,8,12,2007,'F','N','JD BONGIOVANE','PRES PRUDENTE','SP','125252251216471441458833571125610132042',NULL,'9998',36.88,1,3,NULL),(16,3067041,'1990-05-09 00:00:00',2,1,11,2007,'F','N','SERRARIA','S JOSé','SC','124241241146272411323327345224231926142',NULL,'257',40.59,1,2,1),(16,3067050,'1984-07-02 00:00:00',4,1,12,2001,'M','N','FAZENDA PEDRA BRANCA','PALHOÇA','SC','124242241214374431456633475124331221091',2763,'271',64.53,1,3,NULL),(16,3067068,'1991-11-14 00:00:00',4,1,11,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241115151431536933585124610126051',9141,'307',50.34,1,2,1),(16,3067076,'1983-02-03 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241235152411388832442124320764057',NULL,'262',0.00,1,3,NULL),(16,3067084,'1990-07-25 00:00:00',2,6,12,2007,'F','N','FAZENDA','ITAJAÍ','SC','124242241216471431248821345122131066091',2380,'391',65.77,1,3,NULL),(16,3067092,'1990-01-06 00:00:00',4,1,12,2007,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215373741446814445124610162051',836,'909',73.14,1,3,NULL),(16,3067106,'1991-08-20 00:00:00',2,4,12,2008,'F','N','CENTRO','ITAPIRANGA','SC','124241241227121431428612272122610121182',NULL,'1060',36.90,1,3,NULL),(16,3067130,'1988-11-16 00:00:00',4,1,12,2006,'F','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124251251216472721234644445233610128147',10647,'9998',47.66,4,3,NULL),(16,3067157,'1990-07-19 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215372731579811375124610135186',7200,'270',53.91,1,3,NULL),(16,3067165,'1982-02-20 00:00:00',2,2,12,1999,'F','N','VELHA','BLUMENAU','SC','124243244331132411546739392224610162027',NULL,'69',24.48,1,3,NULL),(16,3067173,'1986-04-12 00:00:00',2,1,11,2004,'F','N','BARREIROS','S JOSÉ','SC','124244241217371411466629442124131044172',13321,'943',42.92,1,3,NULL),(16,3067181,'1987-03-30 00:00:00',2,1,12,2004,'F','N','BELA VISTA I','S JOSÉ','SC','124241241146273431336823395124240231077',NULL,'257',40.38,1,2,1),(16,3067203,'1981-10-06 00:00:00',2,1,12,2000,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241117371431533313442113610124042',NULL,'591',16.84,2,1,1),(16,3067211,'1991-09-09 00:00:00',4,10,12,2008,'F','N','MONTE CASTELO','TUBARãO','SC','124242241147141431223723215124610134147',NULL,'1034',0.00,1,3,NULL),(16,3067238,'1990-11-23 00:00:00',4,1,12,2007,'M','N','CRISTO REDENTOR','PTO ALEGRE','RS','120202201217471541569814575124610127062',5332,'9998',57.81,1,3,NULL),(16,3067246,'1991-07-17 00:00:00',4,1,12,2008,'F','N','JARDIM ARISTOCRATA','S JOSÉ PINHAIS','PR','116162161217271431337824572124610162077',NULL,'9998',30.79,1,3,NULL),(16,3067254,'1991-04-08 00:00:00',4,1,12,2008,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115241431335614342124610132182',NULL,'307',34.59,1,3,NULL),(16,3067262,'1991-11-30 00:00:00',2,1,12,2008,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241115471431346429572124610164147',9688,'257',49.36,1,2,1),(16,3067270,'1989-09-10 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215371431166712275122230237062',6209,'391',55.89,1,3,NULL),(16,3067297,'1988-07-19 00:00:00',2,5,12,2008,'M','N','CENTRO','ARARANGUÁ','SC','124243241117131431336631115211610167017',NULL,'29',28.03,1,3,NULL),(16,3067300,'1989-01-14 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215473431457733235124131037047',13597,'1022',42.46,1,3,NULL),(16,3067319,'1988-06-14 00:00:00',4,1,11,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124052051216273431569914475122141467092',NULL,'9998',0.00,1,3,NULL),(16,3067327,'1991-04-04 00:00:00',4,8,12,2008,'M','N','PORTÃO','CURITIBA','PR','116162161215121431257823574124610121147',NULL,'9998',0.00,1,3,NULL),(16,3067335,'1990-01-28 00:00:00',4,3,12,2007,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241215472431467632371125610162012',3207,'1038',63.27,1,3,NULL),(16,3067343,'1985-10-15 00:00:00',4,3,12,2003,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242247235371431458711341122230468047',13037,'1017',43.44,1,3,NULL),(16,3067351,'1990-03-14 00:00:00',2,8,12,2006,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116162161211571411588823571122610164092',NULL,'9998',37.64,4,3,NULL),(16,3067360,'1990-03-19 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241215372431356811345124610112072',16052,'1022',37.10,1,3,NULL),(16,3067378,'1991-10-27 00:00:00',2,4,12,2008,'F','N','BOM PASTOR','CHAPECó','SC','124241241126371431636723571224610166142',NULL,'179',28.50,1,2,1),(16,3067394,'1988-11-11 00:00:00',2,1,12,2005,'F','N','IPIRANGA','S JOSÉ','SC','124241241117374431448314342134610163142',9621,'307',49.47,1,2,1),(16,3067416,'1991-01-24 00:00:00',2,1,7,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117371431433633345124610117142',10255,'739',48.34,1,2,1),(16,3067424,'1989-03-01 00:00:00',4,1,12,2006,'M','N','JARDIM VITÓRIA','MARÍLIA','SP','125252251215571431458833275112610167037',NULL,'9998',0.00,3,3,NULL),(16,3067432,'1987-11-16 00:00:00',4,1,12,2005,'M','N','BARREIROS','S JOSÉ','SC','124242241217572711678613372124610137057',5449,'738',57.59,1,3,NULL),(16,3067467,'1990-05-05 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241135371732346414385114610117097',NULL,'285',29.72,1,2,1),(16,3067475,'1987-02-03 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241112153431356811385114121424112',15398,'307',38.77,2,1,2),(16,3067483,'1991-05-08 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241115121532535312472224610162071',14517,'307',40.66,1,2,1),(16,3067491,'1990-06-12 00:00:00',2,1,11,2007,'F','N','BELA VISTA DOIS','S JOSÉ','SC','124242241215472431536613375124610161127',3478,'738',62.43,1,3,NULL),(16,3067505,'1990-09-11 00:00:00',4,5,11,2008,'M','N','AURORA','IÇARA','SC','124243247426371331243311291122610166152',NULL,'920',15.09,1,3,NULL),(16,3067513,'1986-10-31 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241214475431238824374122130247077',4463,'272',59.86,1,3,NULL),(16,3067521,'1976-09-09 00:00:00',4,8,12,1993,'M','N','JARDIM BRASIL','BAURU','SP','125251251116573411123349485122610147057',8715,'9998',51.05,3,2,1),(16,3067548,'1990-11-23 00:00:00',4,8,12,2008,'F','N','IRIRIÚ','JOINVILLE','SC','124244246217171731243329175125610117142',NULL,'1105',25.46,1,3,NULL),(16,3067564,'1986-12-21 00:00:00',2,7,12,2003,'M','N','INTERIOR','CONCóRDIA','SC','124241251611472431333411342234610127057',5341,'9998',57.80,1,3,NULL),(16,3067572,'1980-03-16 00:00:00',4,1,12,1998,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241246116153421545611435122321767042',NULL,'306',41.29,1,2,1),(16,3067580,'1989-12-04 00:00:00',4,1,12,2007,'M','N','LUAR DO SERTÃO','ALAMBARI','SP','125254251417271411449933391244610164192',13017,'9998',43.47,1,3,NULL),(16,3067602,'1991-04-01 00:00:00',2,1,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241116371411466613595114610164192',10228,'49',48.38,1,3,NULL),(16,3067610,'1990-12-04 00:00:00',4,1,12,2008,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124243241117131431466923435122610147072',13913,'307',41.83,1,3,NULL),(16,3067629,'1991-08-29 00:00:00',2,3,12,2008,'F','N','CENTRO','CARAZINHO','RS','120202201216131431446611315122610127157',15173,'9998',39.26,1,3,NULL),(16,3067645,'1988-03-04 00:00:00',4,1,12,2005,'M','N','QUIRIRIM','TAUBATÉ','SP','125252251216523411688831512112121564145',NULL,'9998',0.00,1,3,NULL),(16,3067653,'1989-10-19 00:00:00',4,1,12,2006,'M','N','JARDIM FERRARI','ITAPEVA','SP','124252251216572411578834295125610114042',1877,'9998',67.69,1,3,NULL),(16,3067661,'1991-09-28 00:00:00',2,4,12,2008,'F','N','CENTRO','MARAVILHA','SC','124241241116131431213624575121610146057',NULL,'551',24.28,1,3,NULL),(16,3067670,'1989-10-20 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216143431458924335124232762147',12513,'262',44.36,1,3,NULL),(16,3067688,'1987-09-15 00:00:00',2,1,12,2005,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124241241137144431553513345122131424187',NULL,'281',29.60,1,2,1),(16,3067696,'1989-10-23 00:00:00',4,1,12,2007,'M','N','AREIAS','S JOSÉ','SC','124243241147472431557612376114610162012',1778,'734',68.09,1,3,NULL),(16,3067718,'1989-03-28 00:00:00',4,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215273731247621495124230268112',3528,'270',62.31,4,1,2),(16,3067726,'1989-12-30 00:00:00',4,8,12,2007,'M','N','CENTRO','JABOTI','PR','116161161146521432558513572124610127057',NULL,'9998',0.00,1,2,1),(16,3067734,'1990-02-22 00:00:00',4,1,12,2006,'M','N','CENTRO','PALHOÇA','SC','124243241215372421448833575124610114045',3705,'1011',61.81,1,3,NULL),(16,3067742,'1992-04-07 00:00:00',4,1,12,2009,'F','S','JARDIM ELDORADO','PALHOÇA','SC','124241241625131432333634572124610131012',NULL,'262',25.90,1,3,NULL),(16,3067750,'1991-08-30 00:00:00',4,8,12,2008,'F','N','CENTRO','PIACATU','SP','125251251215111432456619572322610164142',3752,'9998',61.70,1,3,NULL),(16,3067769,'1988-06-04 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANóPOLIS','SC','124252251215572431467834575112120768043',2947,'9998',63.97,1,3,NULL),(16,3067777,'1990-05-24 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECÓ','SC','124242241215371711558612595125610168187',NULL,'168',32.35,1,3,NULL),(16,3067807,'1990-05-21 00:00:00',2,1,10,2007,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241317372711522229345124610134141',9150,'300',50.32,1,3,NULL),(16,3067815,'1984-10-11 00:00:00',4,1,12,2005,'M','N','KOBRASOL','S JOSÉ','SC','224241247127271411234644441112610122062',10484,'9999',47.93,1,2,1),(16,3067831,'1990-04-23 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124251241415372431236623572114610122051',3400,'270',62.67,1,3,NULL),(16,3067840,'1988-06-18 00:00:00',4,6,12,2005,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217573441345823314121221438092',1518,'9997',69.28,1,3,NULL),(16,3067874,'1982-12-03 00:00:00',4,8,12,1999,'M','N','PETROPOLIS','JOINVILLE','SC','124161161117571731126544442224231514097',14907,'9998',39.87,1,2,1),(16,3067890,'1991-01-16 00:00:00',2,7,12,2008,'F','N','PARQUE JARDIM OURO','OURO','SC','124242241216371431433434145122610137147',10395,'1093',48.10,1,3,NULL),(16,3067912,'1990-06-10 00:00:00',4,8,12,2007,'F','N','TARUMÃ','CURITIBA','PR','116242241215471411339969575124610126072',1616,'457',68.82,1,3,NULL),(16,3067920,'1988-09-01 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241117152231463319495124610167112',NULL,'271',41.33,1,3,NULL),(16,3067939,'1987-03-21 00:00:00',2,1,12,2003,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215373741434629495122230267047',10787,'273',47.40,1,3,NULL),(16,3067955,'1990-11-26 00:00:00',4,1,12,2007,'F','N','NOVA BRASÍLIA','IMBITUBA','SC','124243241136141731356313341124610137147',NULL,'359',27.72,1,3,NULL),(16,3067963,'1989-05-12 00:00:00',2,7,12,2006,'F','N','SÃO MIGUEL DA SERRA','PTO UNIÃO','SC','124241241116151431444923495124243016197',10909,'634',47.17,1,2,1),(16,3067971,'1988-09-24 00:00:00',2,1,12,2005,'M','N','SERTÃO DO MARUIM','S JOSé','SC','124242241436133431534411211324222327052',NULL,'944',26.75,1,3,NULL),(16,3067980,'1991-03-12 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115371431434431112122610824147',15843,'592',37.64,1,2,1),(16,3067998,'1991-01-14 00:00:00',4,5,11,2008,'M','N','MICHEL','CRICIÚMA','SC','124242241215121431489931315122610138122',NULL,'226',0.00,1,3,NULL),(16,3068005,'1988-09-10 00:00:00',2,1,12,2006,'M','N','SÃO VICENTE','ITAJAÍ','SC','124241241213574451333364574314610165177',1470,'1058',69.48,1,3,NULL),(16,3068013,'1992-07-18 00:00:00',4,1,12,2009,'M','S','KOBRASOL','S JOSé','SC','124242241217152731379939495125610124012',NULL,'724',18.21,1,3,NULL),(16,3068021,'1983-06-24 00:00:00',4,1,12,2000,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124062061217373451149842421122141017112',NULL,'9998',0.00,1,3,NULL),(16,3068030,'1990-06-14 00:00:00',4,1,12,2008,'M','N','VILA COMERCIAL','PRES PRUDENTE','SP','125253251215111411336634375121610162092',4756,'9998',59.17,3,3,NULL),(16,3068048,'1989-05-09 00:00:00',4,1,12,2006,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215574431258713575124610164182',2755,'262',64.55,1,3,NULL),(16,3068056,'1992-02-21 00:00:00',2,3,12,2008,'M','N','NÃO TEM','UBIRATÃ','PR','116161161117271431426411212214610111147',NULL,'9998',0.00,1,2,1),(16,3068064,'1991-07-16 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242241216141232238613572112610145181',NULL,'724',28.53,1,3,NULL),(16,3068080,'1992-02-27 00:00:00',4,6,12,2008,'F','N','CENTRO','BRUSQUE','SC','124242241215111521448821575122610166197',8619,'109',51.21,1,3,NULL),(16,3068099,'1987-08-28 00:00:00',4,1,12,2005,'F','N','CENTRO','CURITIBA','PR','116252161216572411448839571111610164147',128,'9998',80.49,1,3,NULL),(16,3068110,'1984-12-09 00:00:00',2,1,12,2002,'M','N','ARMACAO DO P DO SUL','FLORIANóPOLIS','SC','124241241111133421246623232124231027117',13004,'281',43.49,1,3,NULL),(16,3068129,'1988-06-24 00:00:00',2,5,12,2005,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241216141431449333345124230661047',NULL,'26',30.73,1,3,NULL),(16,3068137,'1984-05-17 00:00:00',2,1,12,2001,'F','N','SÃO VICENTE','ITAJAÍ','SC','124242241215575431344639572314132462187',3589,'328',62.11,1,3,NULL),(16,3068145,'1973-07-21 00:00:00',2,1,7,1991,'M','N','PRAIA DO SONHO','PALHOÇA','SC','124244247411165411345541215332122967182',NULL,'9999',0.00,1,3,NULL),(16,3068153,'1990-09-27 00:00:00',4,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111731646612342124610163017',NULL,'272',30.16,1,3,NULL),(16,3068161,'1990-02-09 00:00:00',4,9,11,2007,'M','N','CENTRO','LAGES','SC','124244248416211731446814442125610164197',8441,'497',51.51,4,3,NULL),(16,3068170,'1991-05-29 00:00:00',4,1,12,2008,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124241241215111711324614572122610132092',14080,'781',41.49,1,3,NULL),(16,3068196,'1989-05-15 00:00:00',2,8,12,2006,'M','N','PROGRESSO','PARANAVAÍ','PR','116164161117471431546933575122610167182',NULL,'9998',30.88,1,3,NULL),(16,3068200,'1983-01-12 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216152731559931275122130265122',11600,'266',46.00,1,3,NULL),(16,3068218,'1992-01-18 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241215272431657719371112610138047',6606,'499',55.03,1,3,NULL),(16,3068226,'1989-06-14 00:00:00',4,1,12,2007,'F','N','BALNEÁRIO','FLORIANóPOLIS','SC','124241241116142431466633345124230264142',15212,'307',39.17,1,2,1),(16,3068234,'1992-09-04 00:00:00',4,5,11,2009,'F','S','CENTRO','ARARANGUÁ','SC','124244241415111431437614474122610135147',NULL,'32',42.91,1,3,NULL),(16,3068250,'1987-02-02 00:00:00',3,1,7,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124251247126133441328669575114610166092',NULL,'1020',33.20,1,3,NULL),(16,3068277,'1991-09-12 00:00:00',2,1,12,2008,'F','N','CENTRO','CURITIBA','PR','116162168217111231276612591325610117015',NULL,'9999',0.00,1,3,NULL),(16,3068285,'1987-12-29 00:00:00',5,8,12,2004,'M','N','PORTAO','CURITIBA','PR','116162161235272451467714375125143268045',6,'9998',85.40,4,3,NULL),(16,3068293,'1990-10-29 00:00:00',2,8,12,2008,'M','N','SÃO JOÃO','URUGUAIANA','RS','120201201116111211557619372122610114017',14791,'9998',40.09,1,3,NULL),(16,3068307,'1988-12-01 00:00:00',2,1,6,2008,'M','N','SACO DOS LIMÕES','FLORIANóPOLIS','SC','124251257417231431268923575124610132187',14292,'9999',41.06,1,3,NULL),(16,3068323,'1990-09-10 00:00:00',4,1,12,2008,'M','N','VILA MASCOTE','S PAULO','SP','125252251217371431468834572124610167047',7599,'9998',53.15,1,3,NULL),(16,3068340,'1990-04-10 00:00:00',4,7,11,2007,'M','N','SÃO FRANCISCO','LUZERNA','SC','124241241116372231436614445122610124187',NULL,'539',22.97,1,2,1),(16,3068358,'1989-09-26 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215472431346824575124231168047',6797,'270',54.67,1,3,NULL),(16,3068374,'1988-10-11 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215514431448822574122610163092',482,'266',75.93,1,3,NULL),(16,3068382,'1991-05-15 00:00:00',4,1,12,2008,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124244241415311431447533375124610163147',NULL,'300',28.28,1,3,NULL),(16,3068390,'1991-07-04 00:00:00',2,5,10,2008,'F','N','COMERCIÁRIO','CRICIúMA','SC','124242241215121431358514572122610138142',14124,'226',41.39,1,3,NULL),(16,3068404,'1990-07-22 00:00:00',2,1,12,2007,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241112373431644824345124610123143',16353,'307',36.18,4,2,1),(16,3068420,'1991-05-29 00:00:00',2,1,12,2008,'M','N','NOBRE','SORRISO','MT','111112111247151431346623375121610114072',NULL,'9998',0.00,1,3,NULL),(16,3068439,'1990-01-01 00:00:00',4,8,12,2007,'F','N','ATIRADORES','JOINVILLE','SC','124242241216152731338811575124231423197',2152,'932',66.58,4,3,NULL),(16,3068447,'1989-06-30 00:00:00',2,1,12,2006,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241215573431568632475124610127072',6703,'262',54.86,1,3,NULL),(16,3068455,'1990-08-29 00:00:00',4,8,11,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241217572411338831395124610144012',2613,'1006',64.97,1,3,NULL),(16,3068471,'1988-03-24 00:00:00',4,1,12,2005,'F','N','SAO LUIZ','BRUSQUE','SC','124242241215575431479534571112610145122',NULL,'981',27.05,1,3,NULL),(16,3068480,'1992-07-06 00:00:00',4,8,12,2008,'M','N','TIFA MARTINS','JARAGUÁ SUL','SC','120241204316131711436929575124610165057',12477,'9998',44.43,1,3,NULL),(16,3068498,'1989-10-05 00:00:00',2,1,3,2008,'F','N','RACHADEL','ANTÔNIO CARLOS','SC','124241241112131431323667286224610121167',NULL,'9999',31.89,1,3,NULL),(16,3068501,'1987-12-05 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241417134131336611215124132523097',NULL,'269',35.35,4,1,2),(16,3068510,'1992-03-27 00:00:00',2,8,12,2008,'M','N','COQUEIRAL','CASCAVEL','PR','116163161115151431564511375124610162032',8639,'9998',51.18,1,3,NULL),(16,3068528,'1980-09-23 00:00:00',2,1,6,2001,'M','N','CENTRO','S JOSÉ','SC','124203207226544421234444144233143261112',NULL,'9998',27.56,4,3,NULL),(16,3068536,'1989-09-26 00:00:00',2,1,12,2008,'F','N','BARRA DO ARIRIU','PALHOçA','SC','124241241115141731633364211321610137147',NULL,'591',19.10,1,2,1),(16,3068544,'1992-03-31 00:00:00',4,1,12,2009,'F','S','PINGUIRITO','GAROPABA','SC','124241248127171331323339375122610153072',NULL,'322',23.94,1,3,NULL),(16,3068552,'1991-04-27 00:00:00',2,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124242241215111431467713475122610112142',12974,'737',43.55,1,3,NULL),(16,3068560,'1991-11-03 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241215111441369833576125610127162',11316,'270',46.45,1,3,NULL),(16,3068579,'1991-03-25 00:00:00',4,1,12,2008,'M','N','CENTRO','ESPÍRITO STO DOURADO','MG','113134136237141751433833591324610128182',NULL,'9998',0.00,4,3,NULL),(16,3068587,'1989-04-23 00:00:00',4,1,12,2006,'M','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161237571731588611575112143264143',NULL,'9998',0.00,1,3,NULL),(16,3068595,'1990-09-15 00:00:00',4,2,11,2007,'M','N','FIGUEIRA','GASPAR','SC','124242241216472531467932572124610164042',1370,'909',70.01,1,3,NULL),(16,3068609,'1988-07-02 00:00:00',4,1,12,2005,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217373431468711474122123223122',5983,'270',56.39,1,3,NULL),(16,3068617,'1992-03-11 00:00:00',4,8,12,2008,'F','N','ZONA A','UMUARAMA','PR','116162161216121431558812574122610132042',5582,'9998',57.30,1,3,NULL),(16,3068625,'1983-01-06 00:00:00',2,1,12,2000,'F','N','PARAÍSO','S PAULO','SP','125252251217371431468831575122440633047',1627,'9998',68.77,1,3,NULL),(16,3068641,'1990-08-14 00:00:00',2,4,12,2007,'F','N','CENTRO','NOVA ERECHIM','SC','124241241116231451448613345125610166147',14557,'572',40.60,1,2,1),(16,3068676,'1991-09-10 00:00:00',4,1,11,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215122431669819411122610126172',3399,'270',62.68,1,3,NULL),(16,3068684,'1988-01-18 00:00:00',2,3,12,2005,'F','N','AREIAS','CAMBORIú','SC','124241241145272431323314241224610138097',14492,'130',40.71,4,1,1),(16,3068692,'1990-03-30 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241215273431568734571122610132097',10221,'266',48.38,1,3,NULL),(16,3068706,'1990-06-08 00:00:00',4,8,12,2007,'F','N','ZONA II','UMUARAMA','PR','116161161316121431447824174122610166147',14081,'9998',41.49,1,3,NULL),(16,3068714,'1991-04-15 00:00:00',4,1,11,2008,'M','N','CIDADE NOVA','INDAIATUBA','SP','125252251217111451448611315121610167042',10687,'9998',47.59,1,3,NULL),(16,3068722,'1990-02-14 00:00:00',4,1,11,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242161211371431238933571114610142182',12829,'9998',43.79,1,3,NULL),(16,3068730,'1990-08-19 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217372431237624575114610164097',4677,'273',59.36,1,3,NULL),(16,3068749,'1992-02-12 00:00:00',4,8,12,2008,'F','N','CENTRO','MEDIANEIRA','PR','116162161316111431449831575122610137147',2202,'9998',66.40,1,3,NULL),(16,3068757,'1985-06-09 00:00:00',4,1,12,2002,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241237373411448812485124230222015',4602,'260',59.56,1,3,NULL),(16,3068765,'1989-12-07 00:00:00',2,8,12,2007,'F','N','JARIVATUBA','JOINVILLE','SC','124241241135472441433313171324610137072',4312,'740',60.21,1,2,1),(16,3068773,'1988-07-25 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241245127131541623311283344610134097',NULL,'591',28.47,1,2,1),(16,3068781,'1990-09-12 00:00:00',4,1,11,2007,'F','N','CENTRO','NOVA TRENTO','SC','124244241215272411467739575112610122191',9598,'981',49.52,1,3,NULL),(16,3068790,'1991-05-25 00:00:00',4,8,11,2008,'M','N','BUCAREIN','JOINVILLE','SC','124252241215371432379914575112610127052',7327,'457',53.67,1,3,NULL),(16,3068811,'1990-02-06 00:00:00',4,6,12,2007,'M','N','POMPÉIA','SANTOS','SP','125252251215571431489714585122610167047',5163,'9998',58.21,1,3,NULL),(16,3068820,'1991-11-03 00:00:00',2,1,12,2008,'F','N','VILA BELMIRO','TIMBÉ SUL','SC','124241241126141631523334145124610124117',NULL,'9997',23.07,1,2,1),(16,3068838,'1990-06-26 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217372431359923575122610168037',7960,'1022',52.50,1,3,NULL),(16,3068846,'1991-05-23 00:00:00',4,5,11,2008,'M','N','MICHEL','CRICIÚMA','SC','124242241216112431444611575112610162187',5145,'226',58.26,1,3,NULL),(16,3068854,'1983-06-07 00:00:00',2,4,12,2000,'F','N','CENTRO','PATO BRANCO','PR','116241241116231441314436295324243267067',NULL,'321',28.42,1,2,1),(16,3068862,'1982-12-10 00:00:00',2,2,4,2004,'M','N','RIO MORTO','INDAIAL','SC','124241244127141421334444145122610168042',NULL,'9997',17.97,1,2,1),(16,3068919,'1989-12-24 00:00:00',2,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241216372431658834572112610137012',6256,'499',55.76,1,3,NULL),(16,3068927,'1990-08-23 00:00:00',2,7,12,2007,'M','N','ANZOLIN','JOAÇABA','SC','124241241215372431444731395124610167182',3199,'962',63.28,1,3,NULL),(16,3068943,'1990-06-04 00:00:00',2,3,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215473431478811585122131427042',9276,'1038',50.12,4,3,NULL),(16,3068951,'1990-07-05 00:00:00',2,8,12,2007,'M','N','IRIRIU','JOINVILLE','SC','124241241215472431433332212124610167052',11516,'462',46.15,1,3,NULL),(16,3068960,'1990-11-16 00:00:00',2,3,12,2007,'F','N','PINHEIRINHO','CURITIBA','PR','116201161116471431333923575124610163147',NULL,'9998',30.70,1,3,NULL),(16,3068978,'1992-01-22 00:00:00',4,2,12,2009,'M','S','VILA FORMOSA','BLUMENAU','SC','124242241217111431456924445124610124172',NULL,'71',33.35,1,3,NULL),(16,3068986,'1990-11-03 00:00:00',4,1,12,2008,'M','N','JD EMILIA','SOROCABA','SP','125254251226131431628471585224610162087',13967,'9998',41.71,1,3,NULL),(16,3068994,'1993-03-21 00:00:00',2,1,12,2009,'M','S','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215111431438712575124610127052',NULL,'1011',37.22,1,3,NULL),(16,3069028,'1989-10-24 00:00:00',2,1,12,2007,'F','N','ZONA UM','CIANORTE','PR','116161161116471431546611572113610142144',11135,'9998',46.78,1,2,1),(16,3069036,'1989-12-22 00:00:00',4,1,12,2007,'M','N','JARDIM SÃO MIGUEL','BIGUAÇU','SC','124241241117272431436814575124610131187',9605,'21',49.51,1,3,NULL),(16,3069044,'1991-09-30 00:00:00',2,1,12,2008,'F','N','ROÇADO','S JOSÉ','SC','124244241417111431537611145134610113057',13029,'9997',43.45,1,3,NULL),(16,3069052,'1990-09-06 00:00:00',4,8,12,2008,'F','N','BUCAREIN','JOINVILLE','SC','124242241217111431368814372122610134197',833,'491',73.16,1,3,NULL),(16,3069087,'1991-02-22 00:00:00',2,1,12,2008,'F','N','CENTRO','ITAPEVA','SP','125254251215271431446731115122610123142',9342,'9998',50.01,1,3,NULL),(16,3069095,'1980-03-05 00:00:00',4,9,12,1996,'M','N','MRECHAL FLORIANO','CAXIAS SUL','RS','120212221216151731165843432122141467187',2818,'9998',64.34,4,3,NULL),(16,3069117,'1988-06-27 00:00:00',4,4,12,2005,'F','N','CENTRO','MEDIANEIRA','PR','116161161115571731456931375122140668192',2860,'9998',64.20,1,2,1),(16,3069125,'1991-04-09 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124242241117271431437614282124610143117',9847,'592',49.07,1,3,NULL),(16,3069133,'1989-03-13 00:00:00',4,1,12,2006,'F','N','HIGIENOPOLIS','S PAULO','SP','125252251217571751576711191122610126072',11709,'9998',45.81,1,3,NULL),(16,3069150,'1986-03-11 00:00:00',5,2,7,2004,'F','N','CENTRO','LAVRAS','MG','113212217217571431126512575124610122147',NULL,'9998',0.00,1,3,NULL),(16,3069168,'1991-10-08 00:00:00',2,9,12,2008,'M','N','CENTRO','URUPEMA','SC','124244241215471431336713572214610167072',2856,'515',64.21,1,3,NULL),(16,3069176,'1989-05-19 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215332431328821382124233247112',10995,'299',47.03,1,3,NULL),(16,3069184,'1991-05-03 00:00:00',4,1,12,2008,'F','N','VARGEM GRANDE','ÁGUAS MORNAS','SC','124241241116131431424624472124610124147',NULL,'978',28.10,1,2,1),(16,3069192,'1990-03-28 00:00:00',4,1,12,2006,'M','N','PARQUE SÃO JORGE','FLORIANóPOLIS','SC','124242241215373411368931212112230264187',NULL,'883',38.47,1,3,NULL),(16,3069206,'1990-08-10 00:00:00',2,5,10,2007,'F','N','CENTRO','CRICIÚMA','SC','124242241215472431456611572122130463192',3426,'213',62.59,1,3,NULL),(16,3069222,'1986-08-01 00:00:00',2,1,12,2008,'M','N','PETROPOLIS','CAXIAS SUL','RS','120201207246131711235642225122610117041',NULL,'9999',24.75,2,1,2),(16,3069230,'1991-03-31 00:00:00',2,1,12,2008,'F','N','CENTRO','PAULO LOPES','SC','124241241215272431356611572122610137147',7913,'1011',52.58,1,3,NULL),(16,3069249,'1991-04-04 00:00:00',4,5,10,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215121431228923575124610134017',10938,'226',47.14,1,3,NULL),(16,3069265,'1990-02-02 00:00:00',2,1,12,2007,'F','N','CENTRO','GAROPABA','SC','124243241336112431526512295124232813097',13374,'270',42.84,1,3,NULL),(16,3069273,'1989-12-08 00:00:00',2,1,12,2006,'F','N','CENTRO','STA FÉ','PR','116161161115415411226379392344610163152',NULL,'9998',0.00,1,2,1),(16,3069281,'1991-11-08 00:00:00',2,4,12,2008,'F','N','CENTRO','FLOR S SUL','PR','116161161115371431434632574124610134147',NULL,'9998',13.09,1,3,NULL),(16,3069290,'1992-03-18 00:00:00',2,4,12,2009,'F','S','NOVA DIVINEIA','PINHALZINHO','SC','124241241116131431334614175125610126092',NULL,'616',28.22,1,3,NULL),(16,3069303,'1990-04-28 00:00:00',2,1,12,2007,'M','N','PASSA VINTE','PALHOçA','SC','124241241127471531334213345124610117042',8135,'607',52.16,1,2,1),(16,3069320,'1990-06-20 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215472731459633342123610123072',10302,'1022',48.25,1,3,NULL),(16,3069338,'1987-03-05 00:00:00',2,1,12,2004,'M','N','TONIAL','XANXERÊ','SC','124241241116133431439923375125121268057',3414,'840',62.63,1,2,1),(16,3069346,'1991-10-23 00:00:00',4,8,11,2008,'M','N','CENTRO','UMUARAMA','PR','116162161217151431488812322122610118142',8994,'9998',50.60,1,3,NULL),(16,3069354,'1988-09-30 00:00:00',4,1,11,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','124252251216372411138813395121220964042',4235,'9998',60.41,4,3,NULL),(16,3069362,'1989-11-26 00:00:00',4,1,12,2007,'M','N','PERDIZES','S PAULO','SP','125252251216471411468632481114610167047',5889,'9998',56.61,4,3,NULL),(16,3069389,'1991-12-09 00:00:00',4,1,12,2008,'M','N','FERRAZ','GAROPABA','SC','124244241215112431458832372114610164142',8234,'362',51.90,1,3,NULL),(16,3069397,'1990-12-13 00:00:00',2,4,12,2007,'F','N','CENTRO','ENTRE RIOS','SC','124241241116271431523612381124610133147',NULL,'249',24.00,1,2,1),(16,3069400,'1990-03-11 00:00:00',2,5,12,2007,'F','N','MICHEL','ORLEANS','SC','124241241131472431433631471124610125157',9907,'580',48.93,1,2,1),(16,3069427,'1993-03-12 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431367612474122610128142',NULL,'270',54.60,1,3,NULL),(16,3069435,'1990-10-09 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431476612575122610123192',6341,'262',55.59,1,3,NULL),(16,3069443,'1990-08-10 00:00:00',4,1,12,2007,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241216372531326732584124610163187',3154,'1118',63.39,1,3,NULL),(16,3069451,'1990-04-27 00:00:00',2,10,12,2007,'F','N','CAMPO DE FORA','LAGUNA','SC','124243241317231431667834475124610167047',NULL,'9997',18.25,1,3,NULL),(16,3069460,'1991-08-02 00:00:00',4,1,11,2008,'M','N','JOÃO PAULO','FLORIANóPOLIS','SC','124242241215111431468923575124610124162',1086,'1022',71.52,1,3,NULL),(16,3069478,'1991-10-12 00:00:00',2,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124254241115151431437714572124610137017',NULL,'271',0.00,1,3,NULL),(16,3069494,'1982-12-29 00:00:00',2,1,12,1999,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201208117131431226644245234133034093',NULL,'9998',31.89,1,3,NULL),(16,3069508,'1989-09-19 00:00:00',4,2,12,2006,'F','N','CAMPO DA ÁGUA VERDE','CANOINHAS','SC','124241241416571311213329395115610122142',6447,'973',55.38,1,3,NULL),(16,3069516,'1990-06-11 00:00:00',4,1,12,2007,'M','N','CENTRO','BAGÉ','RS','120202201117372431348919495124610117052',3388,'9998',62.72,1,3,NULL),(16,3069524,'1991-06-03 00:00:00',4,1,12,2008,'M','N','CANTO','FLORIANóPOLIS','SC','124242241215121431578712575124610147112',10168,'270',48.49,1,3,NULL),(16,3069532,'1990-04-06 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124162161116472411227934575114610147067',NULL,'9998',29.36,1,3,NULL),(16,3069540,'1991-05-27 00:00:00',2,1,12,2008,'M','N','COOPHAMIL','CUIABÁ','MT','111112111217111731336614245124610133042',NULL,'9998',18.75,1,3,NULL),(16,3069559,'1965-03-30 00:00:00',4,1,12,1982,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124241241112112441579613435124121467127',NULL,'267',0.00,1,3,NULL),(16,3069567,'1991-05-15 00:00:00',2,4,11,2008,'M','N','SÃO ROQUE','FOZ IGUAÇU','PR','116162164215471331356832582122610167042',NULL,'9998',26.12,1,3,NULL),(16,3069575,'1992-12-05 00:00:00',2,1,12,2009,'M','S','FAZENDA STO ANTÔNI','S JOSé','SC','124241241115131431326424372324610138147',NULL,'739',41.25,1,3,NULL),(16,3069583,'1990-03-24 00:00:00',2,8,12,2007,'F','N','IRIRIU','JOINVILLE','SC','124242241211471331556614275124610122077',13397,'462',42.80,1,3,NULL),(16,3069591,'1989-04-17 00:00:00',2,1,12,2006,'M','N','ARIRIU','PALHOçA','SC','124242241211374731336633282114610117042',4743,'1011',59.20,1,3,NULL),(16,3069605,'1989-09-20 00:00:00',2,1,12,2006,'F','N','SANTO ANTONIO','S ROQUE','SP','125251251216572431449711572112610128094',NULL,'9998',28.89,1,3,NULL),(16,3069613,'1991-05-08 00:00:00',4,6,12,2008,'M','N','FAZENDA','ITAJAÍ','SC','124244241217112411469934372121610127092',8380,'389',51.63,1,3,NULL),(16,3069621,'1991-03-29 00:00:00',4,8,12,2008,'F','N','AMÉRICA','JOINVILLE','SC','124242248215111451478611315112610111012',8700,'491',51.08,1,3,NULL),(16,3069656,'1990-03-02 00:00:00',4,4,12,2007,'F','N','CENTRO','PINHALZINHO','SC','124241241114272431433314172124610162017',14026,'616',41.60,1,2,1),(16,3069664,'1985-04-30 00:00:00',2,1,12,2002,'M','N','SANTA MÔNICA','FLORIANóPOLIS','SC','124241241116372431546616492114130334057',12261,'239',44.79,3,2,1),(16,3069672,'1991-02-07 00:00:00',2,4,12,2008,'F','N','SANTO ANTONIO','CHAPECó','SC','124161241336231531456954385122610167147',NULL,'169',30.17,1,3,NULL),(16,3069680,'1991-01-07 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472431488712472114610128072',5512,'1124',57.44,1,3,NULL),(16,3069699,'1979-03-11 00:00:00',4,1,12,1999,'M','N','JD CANAÃ','S JOSÉ R PRETO','SP','125131137126141421133644245123142266173',NULL,'9998',0.00,1,2,1),(16,3069710,'1989-02-24 00:00:00',4,4,11,2006,'F','N','CENTRO','TOLEDO','PR','116162161216571431547932572122610166197',2888,'9998',64.13,1,3,NULL),(16,3069737,'1991-11-12 00:00:00',2,3,12,2008,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124164241215371431348814275112610122122',NULL,'44',23.68,1,3,NULL),(16,3069753,'1988-12-07 00:00:00',2,1,12,2006,'F','N','JD SANTA RITA','DIADEMA','SP','125133251337471431346429442114610124194',NULL,'9998',0.00,2,1,2),(16,3069761,'1991-08-03 00:00:00',4,1,11,2008,'F','N','PEDRA BRANCA','PALHOÇA','SC','124243241111111431353513582224610164142',NULL,'271',27.74,1,3,NULL),(16,3069770,'1990-05-15 00:00:00',4,1,11,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217111231447823385122610167045',12629,'1022',44.13,1,3,NULL),(16,3069788,'1984-06-26 00:00:00',4,1,12,2003,'M','N','INGLESES','FLORIANóPOLIS','SC','124243241216133751366613385122122264042',9091,'882',50.42,1,3,NULL),(16,3069796,'1991-07-24 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122412468812275112610117092',2038,'270',67.06,1,3,NULL),(16,3069800,'1990-05-07 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124254251415472411448812395224610164187',12367,'9998',44.60,1,3,NULL),(16,3069818,'1990-10-22 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215473431477732342124630144195',11213,'1022',46.63,1,3,NULL),(16,3069826,'1990-11-23 00:00:00',5,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241417111731459914372112610163112',11753,'1022',45.72,1,3,NULL),(16,3069834,'1988-09-24 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242247215311421338824575114610113092',NULL,'270',31.85,1,3,NULL),(16,3069842,'1991-12-25 00:00:00',4,1,12,2008,'F','N','TIMBÉ NORTE','TIJUCAS','SC','124241241112111431322315552324610118047',NULL,'783',32.29,1,3,NULL),(16,3069850,'1990-05-02 00:00:00',4,1,11,2007,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241117152431338829392124610136185',NULL,'307',27.36,1,3,NULL),(16,3069869,'1970-07-15 00:00:00',4,1,12,1987,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241243126135431234443335334320667097',NULL,'29',0.00,1,3,NULL),(16,3069885,'1989-02-23 00:00:00',4,1,12,2006,'F','N','LIBERDADE','S PAULO','SP','125124121211531431426411571324141564174',8344,'9998',51.71,3,3,NULL),(16,3069893,'1989-08-06 00:00:00',4,1,12,2007,'F','N','NAÇÕES','INDAIAL','SC','124242241216372411457812574124132125182',2852,'909',64.22,1,3,NULL),(16,3069907,'1990-08-13 00:00:00',4,1,12,2008,'M','N','VILOTA SAO JOSE','GARçA','SP','125251251116471431336324375124610116147',NULL,'9998',20.42,4,1,1),(16,3069915,'1989-12-28 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248215412431348829495125610134072',10768,'270',47.43,1,3,NULL),(16,3069931,'1991-08-14 00:00:00',4,4,12,2008,'F','N','TRÊS PALMEIRAS','CEL FREITAS','SC','124241241136141431437911245122610134142',12586,'199',44.20,1,2,1),(16,3069958,'1991-02-27 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216121451468833575124610166042',3465,'270',62.48,1,3,NULL),(16,3069966,'1990-10-03 00:00:00',4,1,12,2007,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241217373531386824574122133237092',4614,'981',59.52,1,3,NULL),(16,3069974,'1991-02-28 00:00:00',4,6,12,2008,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124161241345131731535772245123610117057',NULL,'388',26.70,1,3,NULL),(16,3069982,'1983-04-07 00:00:00',2,1,12,2000,'M','N','ARIRIÚ','PALHOçA','SC','124241241136373721236544245124121864097',6517,'396',55.24,1,2,1),(16,3070000,'1991-04-23 00:00:00',4,1,12,2008,'M','N','GUIOMAR','ANTÔNIO CARLOS','SC','124241241115271432643536572224610132072',4035,'21',60.96,1,2,1),(16,3070034,'1991-09-12 00:00:00',2,5,11,2008,'F','N','CENTRO','SOMBRIO','SC','124242241217112531346611571122610116022',7571,'770',53.20,1,3,NULL),(16,3070042,'1990-07-27 00:00:00',4,8,12,2007,'F','N','CENTRO','RONDONóPOLIS','MT','111112111416471431438815575122610163072',NULL,'9998',0.00,1,3,NULL),(16,3070050,'1991-05-11 00:00:00',4,2,11,2008,'F','N','SETE DE SETEMBRO','GASPAR','SC','124242241416111431349823575124610128182',NULL,'855',37.16,1,3,NULL),(16,3070069,'1988-08-01 00:00:00',2,1,11,2006,'F','N','BELA VISTA','S JOSÉ','SC','124242241215372431456633435114610113097',NULL,'1022',30.16,1,3,NULL),(16,3070077,'1989-12-28 00:00:00',4,1,12,2008,'M','N','CANTO','S JOSé','SC','124242241215121431136614372114610117042',9990,'738',48.79,1,3,NULL),(16,3070085,'1989-05-02 00:00:00',2,1,12,2006,'F','N','FORQUILHINHAS','SAO JOSE','SC','124242241213374431436622142112610127187',11061,'1036',46.91,1,3,NULL),(16,3070093,'1991-10-13 00:00:00',4,9,10,2008,'M','N','CENTRO','LAGES','SC','124244241415372231568514472112610122052',12987,'497',43.52,1,3,NULL),(16,3070115,'1988-03-20 00:00:00',4,8,12,2004,'F','N','ATIRADORES','JOINVILLE','SC','124244241215575421479712175122610122197',3860,'1016',61.43,1,3,NULL),(16,3070123,'1989-04-04 00:00:00',2,5,12,2006,'M','N','FIGUEIRA','URUSSANGA','SC','124242241215372431233923342343610134047',8440,'820',51.51,1,3,NULL),(16,3070131,'1990-06-30 00:00:00',4,7,11,2008,'F','N','CAPELA VELHA','ARAUCÁRIA','PR','116161161126111731426414345234610165142',NULL,'9998',24.14,4,3,NULL),(16,3070158,'1992-08-10 00:00:00',4,1,12,2009,'F','S','CENTRO','CURITIBANOS','SC','124163161237111731259921535122613237055',NULL,'237',11.60,1,3,NULL),(16,3070174,'1990-09-14 00:00:00',1,1,12,2008,'F','N','VELEIROS','S PAULO','SP','125253251216171431568833315122610131093',NULL,'9998',30.51,1,3,NULL),(16,3070182,'1990-04-16 00:00:00',4,1,12,2007,'M','N','SOCORRO','S PAULO','SP','125254251217471441359932571124610166052',NULL,'9998',0.00,1,3,NULL),(16,3070204,'1991-07-08 00:00:00',4,4,12,2008,'F','N','INTERIOR','PINHALZINHO','SC','124241241115371431636316472124610122147',11577,'1032',46.05,1,2,1),(16,3070212,'1983-08-06 00:00:00',4,1,12,2000,'F','N','VILA GUARANI','S PAULO','SP','125252251216371431478823335125141942182',8794,'9998',50.91,1,3,NULL),(16,3070239,'1988-12-17 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217372431568834441124120932042',2926,'883',64.03,1,3,NULL),(16,3070255,'1990-12-03 00:00:00',2,1,10,2007,'M','N','VILLA ADYANA','S JOSÉ CAMPOS','SP','125252251217421531588832572122610167182',NULL,'9998',52.45,1,3,NULL),(16,3070271,'1987-10-13 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241117333751233823241224610126027',NULL,'295',34.07,4,2,1),(16,3070298,'1990-03-01 00:00:00',4,1,12,2008,'M','N','CENTRO','GUAXUPé','MG','113132131217111731468814572112610167047',8068,'9998',52.29,1,3,NULL),(16,3070301,'1992-11-30 00:00:00',4,5,11,2009,'F','S','CENTRO','NOVA VENEZA','SC','124242241215121411348812395124610144142',NULL,'226',26.12,1,3,NULL),(16,3070310,'1970-05-14 00:00:00',2,2,12,1990,'M','N','TABOÃO','RIO SUL','SC','224241248226271451453343235122610136097',10825,'9999',47.32,1,3,NULL),(16,3070328,'1990-05-08 00:00:00',2,1,12,2007,'F','N','VARZEA','PIRAJU','SP','125253251137471411433319285123610122147',NULL,'9998',21.87,1,3,NULL),(16,3070336,'1989-04-26 00:00:00',4,1,12,2007,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241216153731338829572124610168142',NULL,'9997',27.07,1,3,NULL),(16,3070379,'1991-05-13 00:00:00',4,1,12,2008,'M','N','JD LA SALLE','TOLEDO','PR','116162166217121431379812474121610142147',2616,'9998',64.94,1,3,NULL),(16,3070387,'1975-05-30 00:00:00',2,1,12,1994,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224252251236151751343354295122142768192',NULL,'9998',0.00,1,3,NULL),(16,3070395,'1990-02-13 00:00:00',4,4,6,2008,'F','N','CENTRO','CHAPECÓ','SC','124082281215271431448634442122610168127',NULL,'9998',30.13,1,3,NULL),(16,3070425,'1987-01-25 00:00:00',4,1,12,2003,'M','N','MATA DA PRAIA','VITÓRIA','ES','108082081217271431448811475122142432097',4705,'9998',59.30,1,3,NULL),(16,3070441,'1985-08-06 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241337135431447614115134121532092',9913,'807',48.92,1,3,NULL),(16,3070450,'1991-08-25 00:00:00',2,1,12,2008,'F','N','BARRA','TRAMANDAí','RS','120201201116371411313411285225610164117',NULL,'9998',26.32,2,1,1),(16,3070476,'1964-10-14 00:00:00',2,1,12,1981,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224244164216155711366443435132522932147',NULL,'9998',0.00,1,3,NULL),(16,3070492,'1982-11-08 00:00:00',2,1,12,2000,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241122271431536413485214610126082',15297,'307',38.98,4,3,NULL),(16,3070514,'1990-08-06 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124212241215472731468733392115610142191',3351,'262',62.84,1,3,NULL),(16,3070522,'1991-02-21 00:00:00',4,2,11,2008,'M','N','IMIGRANTES','TIMBÓ','SC','124242241215111411458732325121610168182',3359,'1157',62.81,1,3,NULL),(16,3070530,'1987-06-09 00:00:00',2,1,12,2004,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241216111411446332215132141664044',NULL,'813',37.77,1,3,NULL),(16,3070549,'1992-04-13 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111431278933574112610143187',14647,'270',40.39,4,3,NULL),(16,3070557,'1991-05-09 00:00:00',4,2,12,2008,'M','N','RIO DO BRAÇO','S JOÃO BATISTA','SC','124241241142161531454313242124610124042',NULL,'574',0.00,1,2,1),(16,3070573,'1990-06-29 00:00:00',4,1,12,2007,'F','N','JARDIM CARANDAI','BIGUAÇU','SC','124241241112132431436819292124222266191',NULL,'306',26.67,1,2,1),(16,3070581,'1990-07-23 00:00:00',4,1,12,2007,'M','N','CENTRO','BEBEDOURO','SP','125252251217472431448834475124610137014',834,'9998',73.16,1,3,NULL),(16,3070590,'1991-03-20 00:00:00',2,1,12,2008,'F','N','CENTRO','PTO BELO','SC','124252241215271731434869396222610127077',11685,'1111',45.85,1,3,NULL),(16,3070603,'1983-10-13 00:00:00',4,1,12,2001,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217273421578813475122220464185',2392,'272',65.72,1,3,NULL),(16,3070611,'1992-03-09 00:00:00',4,1,12,2009,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124164161416111431236724442325610134071',NULL,'9998',41.83,4,3,NULL),(16,3070620,'1990-04-28 00:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241212273411447639572125230267142',1465,'270',69.50,1,3,NULL),(16,3070638,'1989-11-03 00:00:00',4,5,11,2006,'M','N','COMERCIÁIO','CRICIúMA','SC','124244241211112431214641312124610164117',9406,'226',49.89,1,3,NULL),(16,3070646,'1990-07-05 00:00:00',4,1,12,2007,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124242241217372731458633572124610122057',3035,'270',63.70,1,3,NULL),(16,3070662,'1983-06-21 00:00:00',4,1,12,2000,'M','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120202201211111431489834431132540267042',1513,'9998',69.31,1,3,NULL),(16,3070670,'1990-11-07 00:00:00',4,8,12,2007,'F','N','CENTRO','NOVA ANDRADINA','MS','112122121215471431558711572112610147142',NULL,'9998',0.00,1,3,NULL),(16,3070697,'1990-03-22 00:00:00',4,8,11,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242241215271431356612575122610135072',11158,'491',46.73,1,3,NULL),(16,3070700,'1991-07-18 00:00:00',4,1,12,2008,'F','N','JARDIM DAS ACASSIAS','RIBEIRÃO PRETO','SP','125252251215121431348974575112610127143',2806,'9998',64.37,1,3,NULL),(16,3070751,'1991-06-07 00:00:00',4,9,12,2008,'F','N','CENTRO','CORREIA PINTO','SC','124242241215372431336632571224610166147',1630,'499',68.75,1,3,NULL),(16,3070760,'1989-09-15 00:00:00',4,1,11,2007,'F','N','PRAIA DO SANTINHO','FLORIANÓPOLIS','SC','124242241215373431239823581124131064132',13141,'1133',43.26,1,3,NULL),(16,3070778,'1992-03-31 00:00:00',4,1,12,2009,'F','S','ITAGUAÇU','FLORIANÓPOLIS','SC','124244241216111711466614195124610138182',NULL,'1022',27.12,4,3,NULL),(16,3070786,'1991-04-30 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241227122412458811395121610136147',5803,'1022',56.80,1,3,NULL),(16,3070794,'1991-10-04 00:00:00',2,1,11,2008,'F','N','CENTRO','NOVA TRENTO','SC','124241241215271431336613335124610126142',9889,'1123',48.98,1,3,NULL),(16,3070808,'1990-05-18 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215372411548512271124610127042',1429,'109',69.63,1,3,NULL),(16,3070816,'1990-09-16 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211372431476812325122610137085',7827,'1022',52.73,1,3,NULL),(16,3070824,'1991-01-22 00:00:00',2,1,11,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242248215112751356519595122610127042',8149,'262',52.14,1,3,NULL),(16,3070832,'1992-01-27 00:00:00',4,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANóPOLIS','SC','124203241117371431546619595122610122147',10535,'257',47.85,4,3,NULL),(16,3070840,'1991-05-03 00:00:00',4,1,11,2008,'M','N','SAMAMBAIA','GOIÂNIA','GO','109092091215151431469833574122610122022',1091,'9998',71.51,1,3,NULL),(16,3070859,'1992-08-10 00:00:00',4,1,12,2009,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111411469933571124610166192',NULL,'270',60.64,1,3,NULL),(16,3070867,'1991-08-15 00:00:00',4,1,11,2009,'M','S','RECANDO DO SALTO','LONDRINA','PR','116042161215111431669913575122610138147',NULL,'9998',41.49,4,3,NULL),(16,3070875,'1990-09-06 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241115371731445539345124610164142',NULL,'257',0.00,1,3,NULL),(16,3070891,'1984-01-10 00:00:00',4,1,6,2002,'M','N','PARK WAY','NUC BANDEIRANTE','DF','107071071117142431558933315123133222057',9532,'9998',49.67,3,2,1),(16,3070905,'1991-07-21 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215272431558831412122610128057',2350,'948',65.87,1,3,NULL),(16,3070921,'1988-12-28 00:00:00',4,1,12,2006,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125252251215472431348911575122610123147',7173,'9998',53.96,1,3,NULL),(16,3070930,'1982-11-18 00:00:00',4,1,11,2000,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241217152411158643432332322637115',3340,'226',62.87,1,3,NULL),(16,3070956,'1991-12-15 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124241241215131431246923572124610168057',12019,'1076',45.23,1,3,NULL),(16,3070964,'1991-01-25 00:00:00',2,4,12,2007,'F','N','BARRA DO SALTINHO','SEARA','SC','124241241147371731413435472344610124057',9541,'764',49.64,1,2,1),(16,3070972,'1978-05-15 00:00:00',2,8,12,1996,'M','N','VILA NOVA','LONDRINA','PR','116161161216571431676614411122343247057',1165,'9998',71.12,3,3,NULL),(16,3070980,'1988-03-12 00:00:00',4,1,11,2005,'F','N','VILAS BOAS','CPO GRANDE','MS','112122121215574411446634245122610131097',9947,'9998',48.87,1,3,NULL),(16,3070999,'1991-10-26 00:00:00',4,1,12,2008,'M','N','PATRONATO','SANTA MARIA','RS','120201201116471431448631475125610168192',6419,'9998',55.44,1,2,1),(16,3071006,'1989-02-20 00:00:00',2,1,11,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241216572431334429331222610167077',NULL,'1035',27.57,1,3,NULL),(16,3071014,'1991-04-29 00:00:00',4,3,12,2008,'M','N','CENTRO','PARANAVAí','PR','116164161217172431248832571122610124122',3643,'9998',61.98,1,3,NULL),(16,3071022,'1986-02-11 00:00:00',2,1,12,2003,'F','N','AREIAS','S JOSÉ','SC','124241241126271431424439345124610143117',16117,'730',36.88,1,2,1),(16,3071030,'1991-07-10 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215272431445934442122610126147',2979,'948',63.88,1,3,NULL),(16,3071049,'1990-12-22 00:00:00',2,1,12,2008,'M','N','ITACORUTI','FLORIANóPOLIS','SC','124242241216111411218812575124610167047',1537,'1022',69.19,1,3,NULL),(16,3071057,'1991-07-29 00:00:00',4,2,10,2008,'F','N','VORSTADT','BLUMENAU','SC','124242241215221431356822575122610142013',4716,'855',59.27,1,3,NULL),(16,3071065,'1990-06-27 00:00:00',4,1,6,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241117152422448924145124610115043',10966,'306',47.08,1,3,NULL),(16,3071081,'1991-12-16 00:00:00',2,7,12,2008,'M','N','FLORESTA','VIDEIRA','SC','124241241335111411434612375224610117147',NULL,'829',29.28,1,3,NULL),(16,3071090,'1991-06-11 00:00:00',4,1,12,2008,'F','N','JARDIM ESPLANADA','S JOSé CAMPOS','SP','125252251235111341469614445122610166192',NULL,'9998',0.00,1,3,NULL),(16,3071103,'1991-10-30 00:00:00',2,1,11,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241115471431426313575124610127142',NULL,'281',27.82,1,2,1),(16,3071111,'1991-09-21 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112431359612272114610136192',4848,'270',58.97,1,3,NULL),(16,3071120,'1989-09-03 00:00:00',2,1,12,2006,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124201201145132431533311271124220462055',12052,'9998',45.20,2,1,1),(16,3071138,'1989-09-05 00:00:00',4,2,12,2008,'F','N','DA VELHA','BLUMENAU','SC','124242241212111431456822595122610113186',NULL,'855',26.21,1,3,NULL),(16,3071146,'1988-05-08 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215574731347824572122610163147',116,'270',80.68,4,3,NULL),(16,3071154,'1991-06-12 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANOPOLIS','SC','124162241215122431478931572122610161192',207,'270',79.13,1,3,NULL),(16,3071162,'1990-12-02 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241216111141448822575124610164047',3521,'1022',62.32,1,3,NULL),(16,3071170,'1991-04-14 00:00:00',4,5,11,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241215271431436832345132610162042',4866,'226',58.94,1,3,NULL),(16,3071189,'1987-06-06 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244247116374431358832315124220864112',3614,'9999',62.05,1,3,NULL),(16,3071197,'1991-09-23 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241215111632434632292124610137187',NULL,'1022',31.63,1,3,NULL),(16,3071200,'1990-06-30 00:00:00',4,8,11,2007,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215371441388814574122141036131',314,'457',77.85,1,3,NULL),(16,3071219,'1992-06-24 00:00:00',2,4,11,2009,'F','S','CENTRO','XAXIM','SC','124244241214311431326632472122610136192',NULL,'994',13.14,1,3,NULL),(16,3071235,'1991-01-29 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115131441326669585124610128192',NULL,'281',25.13,2,1,1),(16,3071251,'1983-02-23 00:00:00',2,1,12,2000,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','624042241146372421533648385314131017057',NULL,'298',0.00,1,3,NULL),(16,3071260,'1992-04-24 00:00:00',2,4,11,2008,'M','N','CENTRO','XAXIM','SC','124242244215271531368824575124610114012',10839,'185',47.30,1,3,NULL),(16,3071278,'1991-04-09 00:00:00',4,1,12,2008,'F','N','LAGO NORTE','LG NORTE','DF','107072071217151731668831572122610133197',5165,'9998',58.20,1,3,NULL),(16,3071286,'1991-06-11 00:00:00',2,1,12,2008,'F','N','ANÁPOLIS CITY','ANÁPOLIS','GO','109092091417111411367723472212610162182',13517,'9998',42.59,4,3,NULL),(16,3071294,'1988-07-13 00:00:00',4,1,12,2006,'M','N','OURO BRANCO','NOVO HAMBURGO','RS','120203241125372431346434485115133264097',8985,'288',50.61,1,3,NULL),(16,3071308,'1972-01-21 00:00:00',2,1,12,1997,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241248127131411121144445114610152097',NULL,'356',21.29,1,3,NULL),(16,3071332,'1989-08-25 00:00:00',4,1,11,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241115372411446634442114610136042',11869,'271',45.52,1,3,NULL),(16,3071340,'1991-05-28 00:00:00',2,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241417271411448821596124610164096',10023,'9999',48.74,1,3,NULL),(16,3071359,'1992-01-22 00:00:00',2,1,11,2008,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124244241217121431438769472124610162042',NULL,'300',28.18,1,3,NULL),(16,3071367,'1990-11-13 00:00:00',4,1,12,2007,'M','N','CARANDÁ BOSQUE II','CPO GRANDE','MS','112282281417471411459833575122610162047',6598,'9998',55.05,1,3,NULL),(16,3071383,'1990-12-17 00:00:00',4,3,11,2008,'F','N','ESTADOS','BAL CAMBORIú','SC','124242241216371711479832575122610166192',NULL,'44',33.57,1,3,NULL),(16,3071391,'1982-03-26 00:00:00',4,2,12,1998,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241217574751579931315122331068042',5536,'855',57.39,1,3,NULL),(16,3071405,'1989-12-21 00:00:00',2,1,12,2007,'M','N','CARIANOS','FLORIANóPOLIS','SC','124242241235373421366623245132610137187',6307,'1022',55.67,1,3,NULL),(16,3071413,'1990-10-13 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124242241211352431459931215124231467072',720,'270',74.09,1,3,NULL),(16,3071421,'1984-07-23 00:00:00',2,1,12,2001,'F','N','CENTRO','LONTRAS','SC','124241241217371421454923475122332832012',4481,'959',59.83,1,3,NULL),(16,3071448,'1992-05-02 00:00:00',4,1,12,2009,'F','S','AGRONOMICA','FLORIANóPOLIS','SC','124242241217151431467722272114610137012',NULL,'270',47.08,1,3,NULL),(16,3071456,'1990-03-12 00:00:00',4,1,11,2007,'M','N','BARREIROS','S JOSé','SC','124242241215271431553632375122130217187',9350,'738',49.99,1,3,NULL),(16,3071464,'1991-09-28 00:00:00',4,1,12,2008,'M','N','CAPOIERAS','FLORIANóPOLIS','SC','124242241115271411248822271224610167032',992,'739',72.13,4,3,NULL),(16,3071480,'1991-04-15 00:00:00',4,1,11,2008,'F','N','AREIAS','S JOSé','SC','124241241225131431326644141124610132187',NULL,'262',21.18,1,3,NULL),(16,3071499,'1991-08-02 00:00:00',2,1,12,2008,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124244247647131731425719395124610166112',NULL,'9999',27.45,1,3,NULL),(16,3071502,'1991-06-25 00:00:00',4,3,12,2008,'F','N','SUMARé','RIO SUL','SC','124242241216111431258811575122610128072',NULL,'991',31.20,1,3,NULL),(16,3071510,'1990-03-09 00:00:00',4,10,11,2007,'F','N','RECIFE','TUBARãO','SC','124242248216132431327529572225610164097',NULL,'809',27.23,1,3,NULL),(16,3071529,'1990-07-03 00:00:00',4,10,6,2008,'M','N','CENTRO','IMARUí','SC','124244281415271431468833475112610167142',6155,'9998',56.02,1,3,NULL),(16,3071537,'1982-05-20 00:00:00',4,1,12,1999,'F','N','PANTANAL','FLORIANóPOLIS','SC','124251251216574411128944444124130262187',6746,'9998',54.77,4,3,NULL),(16,3071545,'1990-03-31 00:00:00',4,1,12,2007,'F','N','JARDIM FACULDADE','SOROCABA','SP','125251251237472311433311596125610162097',7867,'9998',52.66,1,3,NULL),(16,3071561,'1988-06-28 00:00:00',2,1,7,2007,'F','N','ASA SUL','BRASíLIA','DF','107073071111572431349823592222610137142',2032,'9998',67.08,4,3,NULL),(16,3071570,'1990-06-30 00:00:00',4,10,12,2007,'M','N','OFICINAS','TUBARãO','SC','124241241137131431335911212121610124057',NULL,'1034',0.00,3,2,1),(16,3071596,'1988-05-26 00:00:00',2,1,12,2006,'M','N','PLANO PILOTO','BRASíLIA','DF','107074071215472411478932575115240732042',9058,'9998',50.49,1,3,NULL),(16,3071618,'1989-04-03 00:00:00',4,1,12,2006,'F','N','CENTRO','S DOMINGOS','SC','124241241213573531469911572112610114147',NULL,'836',0.00,1,3,NULL),(16,3071626,'1991-06-12 00:00:00',4,1,12,2008,'M','N','CENTRO','NOVA E SUDOESTE','PR','116242161435152711489933575112610144092',6204,'9998',55.90,1,3,NULL),(16,3071634,'1992-06-07 00:00:00',4,1,12,2009,'M','S','PAPAGAIOS','CANELINHA','SC','124241241146141431435714235122610138172',NULL,'142',24.84,1,3,NULL),(16,3071642,'1991-05-15 00:00:00',2,1,11,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124242241215111731378833575112610128182',NULL,'270',27.67,1,3,NULL),(16,3071669,'1992-01-29 00:00:00',2,10,12,2009,'M','S','COLONINHA','ARARANGUá','SC','124244241416111531454633572115610162075',NULL,'32',0.00,1,3,NULL),(16,3071685,'1992-01-28 00:00:00',2,8,12,2008,'F','N','PROFIPO','JOINVILLE','SC','124241241115371731346623575124610164057',NULL,'479',34.56,2,1,1),(16,3071693,'1990-02-15 00:00:00',4,1,12,2007,'F','N','CENTRO','POçOS CALDAS','MG','113132131215471431438867575112142032097',2749,'9998',64.57,1,3,NULL),(16,3071707,'1972-02-25 00:00:00',2,1,12,1993,'F','N','CENTRO','FLORIANóPOLIS','SC','124241243226132421323674245334122237057',NULL,'445',0.00,1,3,NULL),(16,3071715,'1991-01-01 00:00:00',4,1,11,2008,'F','N','CENTRO','ANTôNIO CARLOS','SC','124241241215111431437411412121610123072',NULL,'20',28.34,1,3,NULL),(16,3071731,'1978-09-19 00:00:00',4,4,12,1995,'M','N','CENTRO','VARGEM BONITA','SC','124241243427573421453632145112610122182',5439,'160',57.61,1,3,NULL),(16,3071766,'1991-06-04 00:00:00',4,4,12,2008,'F','N','CENTRO','CONCóRDIA','SC','124241241117471431339633435122610164147',15147,'192',39.31,1,3,NULL),(16,3071774,'1991-06-12 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115371431336344345224610156057',NULL,'293',29.77,1,2,1),(16,3071782,'1991-06-23 00:00:00',4,1,11,2008,'M','N','CENTRO','CIANORTE','PR','116162161215121431469911572122610147052',36,'9998',83.20,1,3,NULL),(16,3071790,'1990-09-15 00:00:00',4,1,12,2008,'F','N','PONTA DE BAIXO','S JOSé','SC','124244241117141431437933185124610136147',9585,'739',49.56,1,3,NULL),(16,3071804,'1990-04-26 00:00:00',2,1,12,2006,'F','N','ALBARDãO','PALHOçA','SC','124241241114372231343923275114610132147',5916,'591',56.55,1,2,1),(16,3071812,'1985-03-31 00:00:00',2,1,12,2002,'F','N','JARDIM LIBERDADE','LONDRINA','PR','116161161126271431523411345114610124142',NULL,'9998',22.45,1,2,1),(16,3071839,'1978-04-09 00:00:00',2,1,11,2008,'F','N','AURORA','IçARA','SC','124241247132131731523354211324510166097',14909,'9997',39.87,1,2,1),(16,3071847,'1976-02-06 00:00:00',4,3,12,1993,'F','N','GUANABARA','LONDRINA','PR','516162161216471411368811345132343237097',8047,'9998',52.34,1,3,NULL),(16,3071855,'1990-02-13 00:00:00',4,5,12,2007,'M','N','PIO CORREA','CRICIúMA','SC','124242248215473731548814572112610166092',6367,'211',55.55,1,3,NULL),(16,3071863,'1988-05-16 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217273431526663371124230727052',NULL,'266',21.62,2,1,2),(16,3071871,'1990-07-01 00:00:00',4,1,12,2007,'M','N','NOVA MORADA','ROLIM MOURA','RO','122223221437471711445712471122610112117',13494,'9998',42.62,1,3,NULL),(16,3071898,'1990-06-26 00:00:00',2,1,12,2007,'M','N','PAGANI','PALHOçA','SC','124242248115371431345623432114610132042',NULL,'257',26.27,1,3,NULL),(16,3071901,'1991-01-20 00:00:00',2,1,11,2008,'M','N','CENTRO','IMBITUBA','SC','124244241215111431467833576114610127042',330,'270',77.64,1,3,NULL),(16,3071910,'1979-07-05 00:00:00',4,1,12,1996,'M','N','TRINDADE','FLORIANóPOLIS','SC','124162161235152751538631495124221437147',NULL,'9998',0.00,1,3,NULL),(16,3071928,'1989-06-16 00:00:00',4,1,11,2006,'M','N','VILA BETHANIA','S JOSé CAMPOS','SP','125252252216151411565839475112610164154',NULL,'9998',31.16,1,3,NULL),(16,3071944,'1991-06-28 00:00:00',4,4,11,2008,'F','N','JARDIM DAS AMéRICAS','PATO BRANCO','PR','116162161216112531546723571112610162097',NULL,'9998',0.00,1,3,NULL),(16,3071952,'1991-01-10 00:00:00',2,1,11,2008,'M','N','AGRONÔMICA','FLORIANóPOLIS','SC','124242241121141431469314232124610157062',13481,'307',42.64,1,3,NULL),(16,3071960,'1974-04-30 00:00:00',4,1,12,1991,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','224202201112141711372654244122341166182',13199,'9998',43.14,1,3,NULL),(16,3071979,'1990-04-30 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241111371431328374341124610125052',16065,'288',37.06,1,2,1),(16,3071987,'1990-12-06 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216151431467923575112610147067',NULL,'724',35.03,1,3,NULL),(16,3071995,'1992-04-02 00:00:00',4,1,12,2008,'F','N','ARAçATUBA','IMBITUBA','SC','124241241115131431449933435122610132082',NULL,'361',29.13,1,2,1),(16,3072002,'1989-11-13 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215111431478813395122610127185',NULL,'951',26.00,1,3,NULL),(16,3072010,'1991-03-13 00:00:00',2,4,12,2008,'M','N','CENTRO','CHAPECó','SC','124241241215371431469613245122610117057',14652,'185',40.38,1,3,NULL),(16,3072029,'1989-12-21 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124244241215574411353823492124230222142',8211,'909',51.97,1,3,NULL),(16,3072037,'1991-03-19 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217111431388922572115610117111',1645,'270',68.69,1,3,NULL),(16,3072045,'1992-04-30 00:00:00',4,1,12,2008,'F','N','CENTRO','BIGUAçU','SC','124242241215131411339614575122610162142',14966,'63',39.73,1,3,NULL),(16,3072053,'1986-11-19 00:00:00',2,2,12,2004,'M','N','PROGRESSO','BLUMENAU','SC','124241241125575441456419571124610131092',1416,'80',69.71,1,2,1),(16,3072061,'1991-01-30 00:00:00',2,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215111431458913435125610124147',8266,'1038',51.85,1,3,NULL),(16,3072096,'1986-03-14 00:00:00',2,1,7,2003,'M','N','CENTRO','S MIGUEL OESTE','SC','124243241136153711436724395124221768131',NULL,'757',0.00,1,3,NULL),(16,3072100,'1991-05-10 00:00:00',4,1,12,2008,'M','N','PRIMEIRO DISTRITO','STA CRUZ SUL','RS','120201201116131731446613575124610117147',NULL,'9998',24.84,1,2,1),(16,3072118,'1991-07-12 00:00:00',4,1,12,2008,'F','N','CENTRO','MARIALVA','PR','116162161217111431626436575124610162142',8359,'9998',51.67,3,3,NULL),(16,3072126,'1990-10-17 00:00:00',4,1,11,2007,'M','N','BARRO BRANCO','S PAULO','SP','125252251217472431578614375124610124181',6298,'9998',55.69,1,3,NULL),(16,3072134,'1991-06-14 00:00:00',4,4,12,2008,'F','N','BELA VISTA','CHAPECó','SC','124241241416372431347632575114610148052',5333,'1046',57.81,1,3,NULL),(16,3072142,'1990-05-13 00:00:00',2,4,11,2007,'M','N','PACAEMBU','CASCAVEL','PR','116162162611411611438831373112610135142',4931,'9998',58.79,1,3,NULL),(16,3072150,'1991-04-04 00:00:00',4,1,11,2008,'M','N','ZONA SETE','MARINGá','PR','116162161215171432468831175122610164142',3382,'9998',62.75,1,3,NULL),(16,3072177,'1988-11-21 00:00:00',4,1,12,2008,'F','N','SANTOS SARAIVA','S JOSé','SC','124241241137371431644431316234610162187',10729,'9999',47.49,1,3,NULL),(16,3072185,'1990-06-13 00:00:00',2,1,12,2007,'F','N','JARDIM DAS PALMEIRAS','S JOSé','SC','124251241136212431323624245124610117057',15053,'727',39.54,4,1,1),(16,3072193,'1990-08-14 00:00:00',4,1,12,2007,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215472431569612575122610167042',5502,'185',57.47,1,3,NULL),(16,3072207,'1990-10-03 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431479933572115610161142',13889,'270',41.87,1,3,NULL),(16,3072215,'1990-11-18 00:00:00',2,2,12,2007,'F','N','VELHA','BLUMENAU','SC','124201201316112431463612575114233247052',9669,'9998',49.39,1,3,NULL),(16,3072223,'1991-03-05 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241415311451488839382122610126077',1472,'270',69.48,1,3,NULL),(16,3072231,'1972-10-05 00:00:00',4,1,12,1989,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','224241241142152751423344245124610116185',NULL,'307',0.00,1,3,NULL),(16,3072240,'1990-10-22 00:00:00',4,2,11,2008,'F','N','VELHA','BLUMENAU','SC','124242241215111411539614572122610224042',13239,'909',43.08,1,3,NULL),(16,3072258,'1990-10-04 00:00:00',2,1,12,2007,'F','N','PONTA DE BAIXO','S JOSé','SC','124242241211272431426623242124610132077',6233,'1010',55.84,1,3,NULL),(16,3072274,'1987-02-03 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','109073043123342112223522262233430232086',11112,'9998',46.82,1,3,NULL),(16,3072282,'1992-06-15 00:00:00',2,9,12,2008,'F','N','CENTRO','CORREIA PINTO','SC','124242241215131431548614475122610127062',9140,'202',50.34,1,3,NULL),(16,3072290,'1990-06-04 00:00:00',4,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSé','SC','124242241215472411346313474124610124182',9396,'737',49.90,1,3,NULL),(16,3072304,'1988-06-28 00:00:00',4,1,9,2006,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115132431337374345114130267042',9625,'739',49.46,1,2,1),(16,3072312,'1992-08-03 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241217151431479813572122610122142',NULL,'262',54.43,1,3,NULL),(16,3072320,'1990-05-29 00:00:00',4,1,11,2007,'F','N','BIGORRILHO','CURITIBA','PR','116112111215472431436836472324610134147',NULL,'9998',43.66,1,3,NULL),(16,3072347,'1990-12-12 00:00:00',4,1,12,2007,'F','N','CENTRO','IPUMIRIM','SC','124042241216473451459931575124610162122',2274,'299',66.13,4,3,NULL),(16,3072355,'1990-12-11 00:00:00',4,10,11,2008,'M','N','CENTRO','TUBARAO','SC','124242241215111432479872326122610137112',5598,'807',57.27,1,3,NULL),(16,3072363,'1990-07-26 00:00:00',2,1,11,2007,'F','N','CENTRO','TAIó','SC','124242241215473431627611344124610127147',28,'991',83.79,1,3,NULL),(16,3072371,'1990-08-07 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243247437131411555829345124610114057',NULL,'9999',26.98,1,3,NULL),(16,3072380,'1989-02-14 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241216313411544712342124610164032',13618,'883',42.43,1,3,NULL),(16,3072398,'1989-06-10 00:00:00',2,1,12,2006,'F','N','KOBRASOL','S JOSé','SC','124242241215272431448612445122232134197',11678,'737',45.86,1,3,NULL),(16,3072401,'1991-07-02 00:00:00',2,3,12,2008,'M','N','CENTRO','APUCARANA','PR','616164161446111411214941215325610144192',NULL,'9998',30.85,4,3,NULL),(16,3072410,'1991-01-30 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215112431358821575122610161072',4589,'270',59.58,1,3,NULL),(16,3072428,'1989-11-06 00:00:00',4,1,12,2006,'M','N','MENINO DEUS','PTO ALEGRE','RS','120202201217571431226724572124610136187',NULL,'9998',0.00,1,3,NULL),(16,3072436,'1989-10-12 00:00:00',4,10,11,2007,'M','N','CENTRO','TUBARãO','SC','124244241217372741436823392112610164192',7493,'809',53.34,1,3,NULL),(16,3072444,'1990-06-02 00:00:00',2,3,12,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124242241236151431129916115124230237172',12439,'317',44.48,1,3,NULL),(16,3072452,'1989-08-11 00:00:00',4,1,12,2007,'M','N','ALTO DAS PAMEIRAS','CANOINHAS','SC','124242241217272721589513572115610124092',NULL,'154',0.00,1,3,NULL),(16,3072479,'1991-08-18 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124202201216151431367819395122610132075',NULL,'9998',0.00,1,3,NULL),(16,3072495,'1990-11-22 00:00:00',2,4,12,2007,'M','N','VILA MILITAR','GUAíRA','PR','116164161515471441458613571112610117047',2544,'9998',65.19,1,3,NULL),(16,3072517,'1991-09-05 00:00:00',4,4,11,2008,'M','N','CENTRO','CHAPECó','SC','124241241415271431566923575122610164052',NULL,'185',41.32,4,3,NULL),(16,3072525,'1991-09-05 00:00:00',2,8,11,2008,'F','N','CENTRO','CURITIBA','PR','116162161215111431358812575112610144147',14417,'9998',40.85,1,3,NULL),(16,3072533,'1990-10-29 00:00:00',4,1,10,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216471431469922575112610142091',8158,'270',52.12,1,3,NULL),(16,3072568,'1991-02-23 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241211112431677923572122610137012',6291,'1022',55.71,1,3,NULL),(16,3072576,'1989-07-24 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215473431468813394122610167052',5868,'270',56.66,1,3,NULL),(16,3072584,'1991-05-22 00:00:00',4,3,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241217521431436779575124610122017',9758,'1038',49.23,1,3,NULL),(16,3072592,'1990-10-01 00:00:00',4,1,12,2008,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241117371451569913572124610162182',4983,'739',58.65,1,3,NULL),(16,3072606,'1988-07-26 00:00:00',4,1,12,2005,'F','N','BRASíLIA','CRUZEIRO','DF','107072071212271441469933431123141237092',5700,'9998',57.08,4,3,NULL),(16,3072614,'1990-01-15 00:00:00',2,1,12,2008,'M','N','ZONA SETE','MARINGá','PR','125162166216111411468813131125610127042',NULL,'9998',37.27,4,3,NULL),(16,3072622,'1987-08-17 00:00:00',4,10,12,2004,'M','N','MAR GROSSO','LAGUNA','SC','124243241215373431568614444122131438112',6940,'807',54.41,1,3,NULL),(16,3072630,'1992-01-29 00:00:00',4,1,12,2009,'M','S','SACO GRANDE','FLORIANóPOLIS','SC','124242241215121542667761112124610124147',NULL,'1022',38.01,3,3,NULL),(16,3072649,'1987-09-22 00:00:00',4,1,11,2005,'M','N','VENDAVAL','BIGUAçU','SC','124241241113132431546611472124610167047',10780,'306',47.41,1,2,1),(16,3072657,'1990-08-16 00:00:00',4,1,11,2007,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124252258217371341539631412224610168112',NULL,'9998',41.29,4,3,NULL),(16,3072665,'1989-05-13 00:00:00',4,1,12,2006,'F','N','ASA NORTE','BRASíLIA','DF','107132071216571731483316365112610126142',NULL,'9998',0.00,1,3,NULL),(16,3072673,'1988-11-10 00:00:00',4,8,12,2006,'F','N','PARQUE NOVO MUNDO','S PAULO','SP','125253251116571741568933577114610126196',115,'9998',80.68,4,3,NULL),(16,3072690,'1988-05-10 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124252251217271411138812375122233224142',NULL,'9998',0.00,1,3,NULL),(16,3072703,'1990-09-15 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215372531388811475115132424042',15,'270',84.39,1,3,NULL),(16,3072711,'1990-10-19 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431368912575122610131142',2578,'270',65.07,1,3,NULL),(16,3072720,'1992-12-14 00:00:00',4,8,11,2009,'F','S','CENTRO','JOINVILLE','SC','124242241215111432278632575122610133182',NULL,'457',52.44,1,3,NULL),(16,3072738,'1990-12-04 00:00:00',4,2,12,2008,'F','N','VORSTADT','BLUMENAU','SC','124243241215271431338821474124610167142',12923,'88',43.63,1,3,NULL),(16,3072754,'1991-12-06 00:00:00',4,2,12,2008,'F','N','AZAMBUJA','BRUSQUE','SC','124241241215131231529514572125610161177',8842,'107',50.81,1,3,NULL),(16,3072762,'1991-04-27 00:00:00',2,1,12,2008,'M','N','CENTRO','APUCARANA','PR','116166168613151152438839592111610167054',5200,'9998',58.11,3,3,NULL),(16,3072770,'1991-05-06 00:00:00',4,5,11,2008,'F','N','CENTRO','SIDERóPOLIS','SC','124242241215122431328824372114610142197',1995,'226',67.20,1,3,NULL),(16,3072800,'1990-06-19 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOçA','SC','124244241215472131568613575124610128097',NULL,'1022',44.97,1,3,NULL),(16,3072819,'1991-02-02 00:00:00',4,1,11,2008,'M','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','124242241215112231668832572121610137185',3432,'1133',62.58,1,3,NULL),(16,3072827,'1990-04-22 00:00:00',2,1,12,2007,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124243241217472411448813575114610132042',11817,'1048',45.60,4,3,NULL),(16,3072835,'1989-01-18 00:00:00',2,6,12,2006,'M','N','CENTRO','PINHALZINHO','SC','124241241137372431426522372212142622127',10901,'1032',47.19,1,2,1),(16,3072843,'1992-07-19 00:00:00',4,1,12,2009,'M','S','COQUEIROS','FLORIANóPOLIS','SC','124242241215111711449932571124610118017',NULL,'262',26.86,1,3,NULL),(16,3072851,'1989-07-12 00:00:00',2,1,11,2006,'F','N','SEMINáRIO','TAIó','SC','124244241215573431456833574124610125087',249,'991',78.55,1,3,NULL),(16,3072860,'1991-06-01 00:00:00',4,8,12,2008,'F','N','PETROPOLIS','JOINVILLE','SC','124242241215122431539634571122610162092',NULL,'491',20.07,1,3,NULL),(16,3072878,'1987-07-09 00:00:00',2,1,12,2004,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124241241146274451558613272114610127091',13665,'298',42.33,1,2,1),(16,3072886,'1992-09-23 00:00:00',4,1,12,2009,'M','S','PARQUE SãO JORGE','FLORIANóPOLIS','SC','124242241216151441688933575114610132055',NULL,'883',60.63,1,3,NULL),(16,3072908,'1988-04-07 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241415372431343333575124122914092',5874,'445',56.63,4,3,NULL),(16,3072924,'1989-08-22 00:00:00',4,3,11,2006,'M','N','CENTRO','LONDRINA','PR','116162161217571431477832585122610162142',2075,'9998',66.90,1,3,NULL),(16,3072932,'1992-05-25 00:00:00',4,1,11,2009,'F','S','COQUEIROS','FLORIANóPOLIS','SC','124242241215111421468813575122610132147',NULL,'270',49.80,1,3,NULL),(16,3072940,'1991-06-18 00:00:00',2,8,12,2008,'M','N','INDUSTRIAL NORTE','RIO NEGRINHO','SC','124241241116131731421723575124610167142',NULL,'669',25.79,2,3,NULL),(16,3072959,'1985-12-29 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243241312475431557613475124233267047',7894,'298',52.61,1,3,NULL),(16,3072975,'1992-08-11 00:00:00',4,1,12,2009,'F','S','ABRAAO','FLORIANóPOLIS','SC','124242241417111431338924575122610166127',NULL,'262',45.99,1,3,NULL),(16,3072983,'1989-04-29 00:00:00',4,1,11,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124252251217122431348831475314121426172',861,'9998',72.96,1,3,NULL),(16,3072991,'1985-03-18 00:00:00',2,1,12,2006,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124131131216372431445679295124610143182',14716,'9998',40.24,4,3,NULL),(16,3073009,'1990-01-18 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215111431559831375122610121116',3805,'883',61.58,1,3,NULL),(16,3073033,'1988-08-05 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241111112331438667341124230222142',NULL,'307',27.36,2,3,NULL),(16,3073041,'1989-02-28 00:00:00',4,1,11,2006,'M','N','APARECIDA','SANTOS','SP','125252251216471431456814374111610162057',5331,'9998',57.82,1,3,NULL),(16,3073050,'1988-04-30 00:00:00',2,2,5,2006,'F','N','PROGRESSO','BLUMENAU','SC','124243247141131431225521111334610124147',NULL,'9999',20.05,1,3,NULL),(16,3073068,'1991-10-24 00:00:00',4,1,12,2009,'F','S','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241217111431477716576124610124092',NULL,'951',47.76,1,3,NULL),(16,3073076,'1991-11-07 00:00:00',4,3,11,2008,'F','N','SãO LOURENçO','CURITIBA','PR','116162161215111431359932576122610147072',NULL,'9998',0.00,1,3,NULL),(16,3073084,'1991-01-29 00:00:00',4,1,12,2008,'F','N','PERDIZES','S PAULO','SP','125212251211371431487921575124610135092',11002,'9998',47.01,1,3,NULL),(16,3073092,'1992-04-01 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216111431479813475122610147142',7554,'266',53.22,1,3,NULL),(16,3073106,'1991-08-16 00:00:00',2,7,12,2008,'F','N','CENTRO','ERVAL VELHO','SC','124241241117271731323335574222610118147',7037,'253',54.22,1,2,1),(16,3073122,'1989-10-12 00:00:00',4,4,11,2006,'F','N','CENTRO','CHAPECó','SC','124242241216471431438829474122610123097',14956,'185',39.77,4,3,NULL),(16,3073130,'1989-09-25 00:00:00',2,8,11,2007,'F','N','BIGORRILHO','CURITIBA','PR','116162161216471751558711472114610124147',NULL,'9998',39.90,1,3,NULL),(16,3073165,'1991-12-17 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241248315112431326632292125610136142',15395,'270',38.78,1,3,NULL),(16,3073173,'1990-03-12 00:00:00',4,1,12,2007,'F','N','CINQUENTENáRIO','CAXIAS SUL','RS','120201201116472411348834412124610162142',3404,'9998',62.66,4,2,1),(16,3073181,'1990-11-01 00:00:00',2,3,12,2007,'F','N','áGUA VERDE','CURITIBA','PR','116164161216471441448814572114610167097',1076,'9998',71.59,1,3,NULL),(16,3073203,'1991-03-31 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241315111432446513571124610127062',8943,'300',50.67,1,3,NULL),(16,3073211,'1991-02-12 00:00:00',2,1,12,2008,'F','N','SãO SEBASTIãO','PALHOçA','SC','124243241332121721333321272223610113097',NULL,'300',21.64,1,3,NULL),(16,3073220,'1991-10-02 00:00:00',2,1,12,2008,'M','N','CENTRO','VíTOR MEIRELES','SC','124241241126161431556631345122610137042',NULL,'834',23.97,1,2,1),(16,3073238,'1990-02-20 00:00:00',4,8,12,2007,'M','N','SAGUAçú','JOINVILLE','SC','124242241217472431489919575112121434192',4709,'491',59.29,1,3,NULL),(16,3073246,'1989-01-07 00:00:00',4,1,12,2006,'M','N','ATUBA','COLOMBO','PR','116161161347571411653473384124243218022',7759,'9998',52.85,1,3,NULL),(16,3073254,'1986-09-02 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','224201201137132731246744345125122166095',NULL,'9998',26.48,1,3,NULL),(16,3073270,'1991-05-07 00:00:00',2,4,12,2008,'F','N','CENTRO','BANDEIRANTE','SC','124241241215111251436723572222610114141',NULL,'751',35.72,1,3,NULL),(16,3073289,'1990-03-03 00:00:00',4,8,12,2006,'F','N','COSTA E SILVA','JOINVILLE','SC','124241246215573431457614572124610132147',3072,'1105',63.59,1,3,NULL),(16,3073297,'1988-06-03 00:00:00',2,1,12,2005,'F','N','CENTRO','S JOãO BATISTA','SC','124201201111372421443312482114610121147',12314,'9998',44.70,1,2,1),(16,3073319,'1991-03-22 00:00:00',4,1,12,2007,'F','N','CENTRO','DOURADINA','PR','116162161317271411547712575112610162192',13739,'9998',42.19,1,3,NULL),(16,3073327,'1991-09-06 00:00:00',4,7,12,2008,'M','N','CENTRO','LACERDóPOLIS','SC','124241241121161431436631241245610112057',15337,'496',38.90,1,2,1),(16,3073335,'1989-09-14 00:00:00',2,1,12,2006,'F','N','VILA VOTURUA','S VICENTE','SP','125252251217572431546731584124610162052',9714,'9998',49.31,1,3,NULL),(16,3073343,'1990-06-21 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124241241115471531446613575124610137112',6903,'307',54.48,1,2,1),(16,3073351,'1989-08-08 00:00:00',2,1,12,2006,'F','N','ALVORADA','BARRACãO','PR','116161161116133431426315385112610127077',16455,'9998',35.67,1,2,1),(16,3073378,'1990-07-03 00:00:00',4,1,12,2007,'M','N','JD PAULISTA','ATIBAIA','SP','125252251217471711558813576122610167092',1155,'9998',71.18,1,3,NULL),(16,3073394,'1988-11-24 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124252251217272431448618375114610127113',NULL,'9998',22.23,1,3,NULL),(16,3073408,'1990-04-11 00:00:00',4,8,12,2007,'F','N','VILA SãO PEDRO','PRES PRUDENTE','SP','125252251216471731469814572122610127152',NULL,'9998',33.20,1,3,NULL),(16,3073424,'1990-11-05 00:00:00',2,8,12,2007,'M','N','MIRANTE DAS ESTRELAS','VINHEDO','SP','125252251215272431459934575124143264172',8776,'9998',50.95,4,3,NULL),(16,3073432,'1991-04-26 00:00:00',2,4,12,2008,'M','N','CENTRO','CAXAMBU SUL','SC','124243241311131431533823372324610166157',4785,'185',59.10,1,3,NULL),(16,3073440,'1989-06-23 00:00:00',4,1,10,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242247117472531449931375124610168087',16351,'9999',36.20,1,3,NULL),(16,3073459,'1991-10-09 00:00:00',4,3,12,2008,'F','N','JARDIM TAROBá','FOZ IGUAçU','PR','116164161216411731233723435122610164052',16468,'9998',35.63,1,3,NULL),(16,3073467,'1990-05-31 00:00:00',4,1,12,2008,'F','N','VILA BRASíLIA','APARECIDA GOIâNIA','GO','109092091217111431265722575112610132071',4570,'9998',59.63,1,3,NULL),(16,3073475,'1989-06-13 00:00:00',2,1,12,2007,'M','N','CENTRO','BIGUAçU','SC','124241241335372431354823485124610137042',NULL,'65',22.33,4,3,NULL),(16,3073483,'1989-01-24 00:00:00',4,4,12,2006,'M','N','UNIVERSITARIO','CASCAVEL','PR','116224221216571431246819574124610124047',12198,'9998',44.91,4,1,2),(16,3073491,'1982-01-01 00:00:00',4,1,12,1998,'M','N','BARREIROS','S JOSé','SC','124242241213574721359833434122333266113',NULL,'266',0.00,1,3,NULL),(16,3073505,'1991-06-28 00:00:00',4,1,11,2008,'F','N','DIDO','STO ÂNGELO','RS','120202201216371731368924571124610148146',NULL,'9998',0.00,1,3,NULL),(16,3073513,'1991-04-03 00:00:00',2,4,12,2008,'M','N','CENTRO','SAUDADES','SC','124241241136271711447814575122610164012',10717,'761',47.51,1,3,NULL),(16,3073521,'1991-04-03 00:00:00',4,1,12,2008,'F','N','JARDIM ANDERE','VARGINHA','MG','125134251215271431478811592122610165012',NULL,'9998',0.00,1,3,NULL),(16,3073548,'1991-09-13 00:00:00',2,1,12,2008,'F','N','BELA VISTA','PALHOçA','SC','124241241115131431523469572324610161042',NULL,'592',32.29,3,2,1),(16,3073556,'1990-03-26 00:00:00',4,1,12,2007,'M','N','CENTRO','CERQUILHO','SP','125252251216411431446632575122610137062',NULL,'9998',26.70,4,3,NULL),(16,3073564,'1991-11-26 00:00:00',2,1,12,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241117151731437611575124610132097',14995,'406',39.67,1,3,NULL),(16,3073572,'1989-10-06 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124202201215272451448811592124221564042',2164,'9998',66.55,1,3,NULL),(16,3073580,'1990-11-20 00:00:00',4,1,6,2008,'F','N','JARDIM ITALIA','CHAPECó','SC','124282281215371411278932575122610148142',NULL,'9998',0.00,1,3,NULL),(16,3073599,'1984-03-15 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241146475721536635395124231067147',NULL,'127',21.03,1,2,1),(16,3073602,'1989-07-12 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243241116153521428712472122230811147',11060,'271',46.92,1,3,NULL),(16,3073610,'1955-09-30 00:00:00',3,1,8,1976,'M','N','SERRARIA','S JOSé','SC','224241246116133431427451111122120844042',NULL,'306',32.94,2,1,1),(16,3073637,'1991-03-01 00:00:00',4,1,11,2008,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124242241215111431476632125122610167052',12956,'270',43.58,1,3,NULL),(16,3073645,'1989-01-03 00:00:00',4,1,12,2006,'M','N','SANTO ANTONIO','MARINGá','PR','116161161112571431448711472122610162014',7752,'9998',52.87,1,3,NULL),(16,3073653,'1989-08-11 00:00:00',4,1,11,2006,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241215373451336831395224610123141',10828,'486',47.31,1,3,NULL),(16,3073661,'1991-02-21 00:00:00',4,1,12,2008,'F','N','COOPHASUL','CPO GRANDE','MS','112124121215471731363923585112610163091',11204,'9998',46.66,1,3,NULL),(16,3073688,'1990-09-12 00:00:00',4,10,12,2008,'F','N','ESPERANçA','LAGUNA','SC','124251248117371731226434572324610136197',NULL,'521',20.13,1,2,1),(16,3073700,'1990-01-06 00:00:00',4,1,12,2007,'M','N','NOVO MINAS GERAIS','CPO GRANDE','MS','112124121234313221358831575124610112041',1833,'9998',67.90,1,3,NULL),(16,3073718,'1991-06-27 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124204241215112411458861576124610167111',2775,'262',64.49,1,3,NULL),(16,3073734,'1990-01-11 00:00:00',4,7,11,2008,'M','N','CENTRO','CAPINZAL','SC','124243241235151431336523486242610137052',NULL,'1093',36.20,1,3,NULL),(16,3073742,'1993-05-24 00:00:00',4,1,12,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124242241215111431279831575124610111192',NULL,'270',56.27,1,3,NULL),(16,3073750,'1991-12-18 00:00:00',2,1,11,2008,'F','N','AREIAS','S JOSé','SC','124242241235321711566612221124610164092',6249,'270',55.78,3,3,NULL),(16,3073769,'1991-04-08 00:00:00',2,1,12,2008,'F','N','CIDADE ALTA','MEDIANEIRA','PR','116161161115111731425629595122610118072',NULL,'9998',0.00,1,2,1),(16,3073777,'1985-10-20 00:00:00',4,1,12,2004,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217272531346728485114130224112',NULL,'269',24.18,1,3,NULL),(16,3073793,'1991-04-09 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241212111431369933572124610167017',3034,'270',63.70,1,3,NULL),(16,3073831,'1990-08-03 00:00:00',2,1,12,2007,'F','N','ASA NORTE','BRASíLIA','DF','107072071211371411666834372114610163147',NULL,'9998',26.24,1,3,NULL),(16,3073858,'1990-12-05 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124244241215472531336816472114610126187',NULL,'723',25.14,1,3,NULL),(16,3073874,'1988-12-18 00:00:00',4,1,12,2006,'M','N','QUILOMBO','CUIABá','MT','111114111216471531429529572324610122047',NULL,'9998',25.33,1,3,NULL),(16,3073882,'1990-01-03 00:00:00',4,1,11,2006,'F','N','VILA GEA','S PAULO','SP','125252251217572431468611171122610157077',872,'9998',72.84,1,3,NULL),(16,3073912,'1989-10-04 00:00:00',4,1,12,2007,'M','N','CENTRO','MARINGá','PR','116162161215471431568832575122610124182',7965,'9998',52.49,1,3,NULL),(16,3073920,'1989-08-24 00:00:00',5,1,11,2008,'F','N','RIO VERMLHO','FLORIANóPOLIS','SC','124241248115111711443733275124610127147',NULL,'288',24.41,1,2,1),(16,3073939,'1991-05-13 00:00:00',4,4,11,2008,'F','N','PRESIDENTE KENNEDY','FRANCISCO BELTRãO','PR','116162161216151231678312575112610134057',11621,'9998',45.96,1,3,NULL),(16,3073955,'1990-08-07 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124243241215111411335312575122610114013',NULL,'1076',4.53,1,3,NULL),(16,3073963,'1988-11-27 00:00:00',4,2,12,2006,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215573431569811571121610146167',2562,'87',65.12,1,3,NULL),(16,3073971,'1990-03-25 00:00:00',4,1,11,2007,'F','N','JARDIM AMéRICA','GOIâNIA','GO','109094091217471431356623571124610125147',394,'9998',76.88,1,3,NULL),(16,3073980,'1991-07-01 00:00:00',4,1,12,2008,'F','N','CENTRO','PALHOçA','SC','124242241215272431478933574114610161142',7985,'1011',52.46,1,3,NULL),(16,3073998,'1991-09-20 00:00:00',4,1,12,2008,'F','N','HARMONIA','CANOAS','RS','120202201137131431327827282124610127082',NULL,'9998',0.00,1,3,NULL),(16,3074005,'1989-09-25 00:00:00',2,6,11,2006,'F','N','PRAIA BRAVA','ITAJAí','SC','124204201416373431323722311124232616142',9726,'9998',49.30,1,3,NULL),(16,3074013,'1990-12-13 00:00:00',4,1,12,2008,'M','N','ZONA NOVA','TRAMANDAí','RS','120204201216471731366813471124610167115',2995,'9998',63.81,1,3,NULL),(16,3074048,'1990-12-26 00:00:00',4,8,12,2008,'M','N','CENTRO','S FRANCISCO SUL','SC','124241241215271731443432192221610137052',NULL,'867',21.48,1,3,NULL),(16,3074056,'1991-12-25 00:00:00',2,10,12,2008,'F','N','MATA VERDE','STA ROSA LIMA','SC','124241241125131411523315576214610127057',NULL,'688',21.23,1,3,NULL),(16,3074064,'1989-03-30 00:00:00',4,1,12,2007,'F','N','VERGUEIRO','PASSO FUNDO','RS','120202201216473411479831571124142036152',3197,'9998',63.28,1,3,NULL),(16,3074080,'1991-04-13 00:00:00',4,10,12,2008,'F','N','PASSAGEM','TUBARãO','SC','124244241417471731568732341122610117057',NULL,'9997',25.33,1,3,NULL),(16,3074099,'1991-08-02 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111712236621295114610127017',4220,'270',60.44,1,3,NULL),(16,3074102,'1992-07-08 00:00:00',4,1,12,2009,'F','S','BARREIROS','S JOSé','SC','124244241226111431437823495124610133145',NULL,'944',28.57,1,3,NULL),(16,3074129,'1987-08-30 00:00:00',4,3,12,2004,'M','N','LAGO PARQUE','LONDRINA','PR','116162161216572431648811571122610147012',2354,'9998',65.87,1,3,NULL),(16,3074137,'1991-08-04 00:00:00',4,1,10,2008,'M','N','CENTRO','REALEZA','PR','116162161215211432478833575115610164052',NULL,'9998',0.00,1,3,NULL),(16,3074145,'1991-10-21 00:00:00',4,5,12,2008,'M','N','CIDADE ALTA','ARARANGUá','SC','124242241215271431356632222122610135092',5968,'970',56.43,1,3,NULL),(16,3074153,'1991-09-28 00:00:00',2,9,12,2008,'M','N','ATERRADO','POUSO REDONDO','SC','124241241114371411335916371224610127042',6682,'639',54.90,1,2,1),(16,3074161,'1991-01-17 00:00:00',4,2,12,2008,'F','N','CENTRO','LUIZ ALVES','SC','124241241211111431669932575124610164142',NULL,'855',32.52,1,3,NULL),(16,3074170,'1990-08-17 00:00:00',2,5,12,2007,'F','N','CENTRO','NOVA VENEZA','SC','124241241137472431425611111224610134147',5669,'576',57.14,1,2,1),(16,3074188,'1991-06-29 00:00:00',4,6,11,2008,'F','N','CABEçUDAS','ITAJAí','SC','124242241215371431458834472122610142052',12685,'394',44.02,1,3,NULL),(16,3074196,'1984-04-24 00:00:00',2,1,12,2002,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124241241126274721253363135124121763112',11377,'281',46.38,1,2,1),(16,3074200,'1991-10-15 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215152431336633575124610162192',6137,'1036',56.05,1,3,NULL),(16,3074226,'1991-05-20 00:00:00',4,1,12,2008,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124244241215271431656612575114610164012',3262,'1011',63.11,1,3,NULL),(16,3074234,'1990-01-22 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241211473411438811511124610127012',4723,'270',59.26,1,3,NULL),(16,3074250,'1991-02-03 00:00:00',2,5,12,2008,'F','N','SANGA DAS PEDRAS','MRO GRANDE','SC','124243241215271431643335152124610125142',5514,'970',57.43,1,3,NULL),(16,3074269,'1991-04-03 00:00:00',4,1,11,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215111431459913572114610123097',598,'270',74.95,1,3,NULL),(16,3074277,'1990-08-05 00:00:00',4,8,12,2008,'M','N','VILA ANDRADE','S PAULO','SP','125252251217111431359924575125610128057',NULL,'9998',21.26,1,3,NULL),(16,3074285,'1984-04-02 00:00:00',4,1,12,2001,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124161161317131411237644241334143224027',NULL,'9998',31.78,1,3,NULL),(16,3074323,'1991-10-10 00:00:00',4,1,12,2008,'F','N','CENTRO','VIDAL RAMOS','SC','124243241127161711648639245122610143147',NULL,'828',17.22,1,3,NULL),(16,3074331,'1991-01-26 00:00:00',4,1,12,2007,'M','N','REAL PARQUE','S JOSé','SC','124243241121271731533522341224610118197',NULL,'734',27.82,2,1,2),(16,3074340,'1989-04-18 00:00:00',4,10,12,2006,'F','N','MAR GROSSO','LAGUNA','SC','124242241215272431456912575114133222193',4816,'807',59.03,1,3,NULL),(16,3074358,'1989-03-24 00:00:00',2,1,12,2006,'M','N','JARDIM VILA NOVA','S BERNARDO CAMPO','SP','125251251147571431236314372324610127187',11506,'9998',46.16,4,1,1),(16,3074374,'1991-10-30 00:00:00',4,1,12,2008,'F','N','PRAIA DO ROSA','IMBITUBA','SC','124241241115111511313336275124610163142',NULL,'361',14.75,1,2,1),(16,3074382,'1990-05-05 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124202201215472431434839575124610137042',14183,'9998',41.26,1,3,NULL),(16,3074412,'1989-11-24 00:00:00',4,1,5,2008,'M','N','SETOR JAO','GOIâNIA','GO','109242247216111411379933575114610162012',NULL,'9999',33.73,4,3,NULL),(16,3074439,'1989-06-06 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215372431538319346224610168117',NULL,'269',23.20,1,3,NULL),(16,3074447,'1991-06-06 00:00:00',4,8,12,2008,'M','N','CHAPADA','PNT GROSSA','PR','116163161214111231483332125124610112014',NULL,'9998',45.03,1,3,NULL),(16,3074455,'1989-12-11 00:00:00',2,1,12,2006,'F','N','ZONA SETE','MARINGá','PR','116161161115471431546519575122610144077',11458,'9998',46.25,4,2,1),(16,3074463,'1991-03-09 00:00:00',4,3,11,2008,'M','N','CENTRO','TANGARá SERRA','MT','111112111236111751253534575123610127052',16206,'9998',36.66,1,3,NULL),(16,3074471,'1989-10-25 00:00:00',4,4,12,2006,'M','N','CENTRO','CONCóRDIA','SC','124241246417472741448939272122610114092',NULL,'192',36.76,1,3,NULL),(16,3074480,'1990-12-24 00:00:00',2,2,12,2008,'M','N','DAS NAçõES','TIMBó','SC','124243241127131441558614595124610132197',NULL,'870',0.00,1,3,NULL),(16,3074498,'1991-07-09 00:00:00',4,7,11,2008,'M','N','CENTRO','JOAçABA','SC','124242241216371431385616345122610167122',4110,'446',60.74,1,3,NULL),(16,3074501,'1979-11-19 00:00:00',2,1,12,2001,'F','N','CARIANOS','FLORIANóPOLIS','SC','224071247146132411436551245122610125097',NULL,'9998',24.94,1,3,NULL),(16,3074510,'1991-04-18 00:00:00',2,2,11,2008,'F','N','CARIJOS','INDAIAL','SC','124243241415271711438512585124610114141',11710,'37',45.80,1,3,NULL),(16,3074528,'1990-04-15 00:00:00',2,1,12,2007,'F','N','ARMAÇAO PANTANO SUL','FLORIANóPOLIS','SC','121212211217471431468814572114610134047',3331,'9998',62.90,1,3,NULL),(16,3074536,'1990-06-12 00:00:00',4,1,12,2008,'M','N','CENTRO','OSVALDO CRUZ','SP','125254251217121441467923215124610132142',4640,'9998',59.45,1,3,NULL),(16,3074544,'1987-01-22 00:00:00',2,3,10,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','124241247146131431446414135134610117067',NULL,'9997',0.00,1,2,1),(16,3074552,'1990-03-29 00:00:00',4,1,8,2008,'F','N','AREIAS','S JOSé','SC','124244241112271431633519242124610121192',5840,'306',56.70,1,3,NULL),(16,3074560,'1989-12-18 00:00:00',2,1,12,2007,'F','N','SETOR MARISTA','GOIâNIA','GO','109052051215471431436612571325610123072',7841,'9998',52.70,1,3,NULL),(16,3074579,'1991-09-22 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241211111431448833471124610134182',10022,'269',48.74,1,3,NULL),(16,3074587,'1992-04-19 00:00:00',2,4,12,2008,'F','N','CENTRO','XANXERê','SC','116242161217111411288832575122610164142',NULL,'9998',29.62,1,3,NULL),(16,3074595,'1989-12-26 00:00:00',4,1,11,2007,'M','N','URBANOVA','S JOSé CAMPOS','SP','125252251216472431479711585122610167042',1697,'9998',68.42,4,3,NULL),(16,3074609,'1991-11-04 00:00:00',4,3,12,2009,'F','S','CENTRO','RIO NEGRINHO','SC','124242241236111431447732575122610162052',NULL,'666',42.96,1,3,NULL),(16,3074617,'1989-02-15 00:00:00',4,1,12,2005,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241115575411468813272124610134072',421,'270',76.55,1,3,NULL),(16,3074625,'1989-10-31 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241317272411338823385114133224147',NULL,'1046',0.00,1,3,NULL),(16,3074641,'1991-06-30 00:00:00',4,1,12,2008,'M','N','CENTRO','STA VITóRIA','MG','113132131216371431467916575122610137092',323,'9998',77.72,1,3,NULL),(16,3074650,'1991-05-28 00:00:00',2,1,12,2008,'F','N','ARAUCáRIA','S JOSé','SC','124241241117131431233323392124610137077',14083,'307',41.48,2,1,1),(16,3074668,'1992-05-23 00:00:00',2,1,11,2008,'F','N','CENTRO','BIGUAçU','SC','124242241215151431456613572122610161072',8601,'63',51.26,1,3,NULL),(16,3074676,'1991-05-12 00:00:00',4,9,11,2008,'F','N','CORAL','LAGES','SC','124242241215111411357932345124610123147',NULL,'499',22.56,1,3,NULL),(16,3074684,'1990-04-12 00:00:00',4,1,12,2007,'F','N','PARQUE SAO JORGE','FLORIANóPOLIS','SC','124252241217474731347522375124610161072',10372,'262',48.13,1,3,NULL),(16,3074692,'1989-11-12 00:00:00',2,10,11,2007,'M','N','OFICINAS','TUBARãO','SC','124241241415311441456612225122610167052',5171,'1120',58.19,1,3,NULL),(16,3074706,'1990-01-04 00:00:00',4,1,12,2007,'M','N','JAGUARIBE','OSASCO','SP','125252251216572431458831571122610136051',2408,'9998',65.67,1,3,NULL),(16,3074714,'1990-12-18 00:00:00',4,8,12,2007,'M','N','CENTRO','POçOS CALDAS','MG','113132131217371411466911575112610164122',1748,'9998',68.20,1,3,NULL),(16,3074730,'1991-03-17 00:00:00',2,4,11,2008,'M','N','INTERIROR','S LOURENçO OESTE','SC','124241241116161431433816163124610124047',NULL,'579',0.00,1,2,1),(16,3074749,'1991-04-25 00:00:00',2,1,12,2008,'M','N','CENTRO','STA LúCIA','PR','116161161216272431348833572122610127047',NULL,'9998',0.00,1,3,NULL),(16,3074757,'1989-02-23 00:00:00',4,8,12,2006,'F','N','NOVA BRASÍLIA','JOINVILLE','SC','124241241211473431538719392122610132147',9608,'461',49.50,3,3,NULL),(16,3074765,'1987-12-19 00:00:00',4,4,12,2005,'M','N','CENTRO','CASCAVEL','PR','116112111235371451148831572324610124012',NULL,'9998',0.00,1,3,NULL),(16,3074773,'1991-09-17 00:00:00',2,1,12,2008,'F','N','UNIVERSITáRIO','TIJUCAS','SC','124241241117111531445614572224610134087',9339,'739',50.01,1,3,NULL),(16,3074790,'1991-07-12 00:00:00',4,1,11,2008,'F','N','FLOR DE NáPOLIS','S JOSé','SC','124244241216131431236724471114610123147',NULL,'1074',27.92,1,3,NULL),(16,3074803,'1991-06-09 00:00:00',2,1,11,2008,'F','N','PARQUE DAS NAçõES','AMERICANA','SP','125253251227111752334624245122610128032',NULL,'9998',0.00,1,3,NULL),(16,3074820,'1989-10-17 00:00:00',2,5,12,2007,'M','N','CENTRO','ARARANGUá','SC','124242241215474411457614374112610137182',1025,'32',71.95,1,3,NULL),(16,3074838,'1991-05-10 00:00:00',4,1,12,2008,'M','N','JARDIM DOS PIONEIROS','RONDONóPOLIS','MT','111112111216151431438832172122610167017',NULL,'9998',0.00,1,3,NULL),(16,3074854,'1972-05-15 00:00:00',4,8,12,1989,'M','N','BIGORRILHO','CURITIBA','PR','116162201116471521328744445113141022097',6001,'9998',56.35,1,3,NULL),(16,3074862,'1991-01-22 00:00:00',2,7,11,2008,'M','N','CENTRO','PINHEIRO PRETO','SC','124241241345111431459713281124610117052',10304,'969',48.25,1,3,NULL),(16,3074870,'1986-08-06 00:00:00',4,8,12,2005,'M','N','BOM JESUS','RIO NEGRO','PR','116161167415371441148819595122140722082',NULL,'9999',0.00,1,3,NULL),(16,3074889,'1989-07-12 00:00:00',4,1,12,2007,'M','N','BAIRRO HIGIENÓPOLIS','S PAULO','SP','125122121216471431469921574125610134122',506,'9998',75.72,4,3,NULL),(16,3074900,'1987-08-02 00:00:00',4,1,12,2005,'M','N','JARDIM SANTA CRUZ','CAMPINAS','SP','125251251146471411433723345334610114096',NULL,'9998',11.38,4,1,1),(16,3074919,'1989-02-13 00:00:00',4,1,12,2006,'M','N','ALTOS DE SANTANA','S JOSé CAMPOS','SP','125251251217572431435513575121610165092',3902,'9998',61.32,1,3,NULL),(16,3074927,'1988-01-13 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217152431678613575112121166123',5457,'262',57.58,1,3,NULL),(16,3074935,'1988-01-12 00:00:00',4,8,12,2005,'M','N','IRIRIÚ','JOINVILLE','SC','124242246215371431466312345122610137057',8664,'494',51.13,1,3,NULL),(16,3074943,'1990-04-10 00:00:00',4,1,12,2007,'M','N','JD ANALIA FRANCO','S PAULO','SP','125252251235472431468811595122610164147',7405,'9998',53.51,1,3,NULL),(16,3074951,'1991-02-11 00:00:00',4,6,12,2008,'F','N','CENTRO','RIO CLARO','SP','125254251216111731464811375122610126047',NULL,'9998',0.00,4,3,NULL),(16,3074960,'1987-09-05 00:00:00',2,1,12,2004,'F','N','ROçADO','S JOSé','SC','124242241217372431436833495122232843187',NULL,'723',26.31,1,3,NULL),(16,3074978,'1989-11-22 00:00:00',4,1,12,2007,'M','N','SANTO AGOSTINHO','FRANCA','SP','125252251217471431447614372112610162187',4499,'9998',59.76,1,3,NULL),(16,3074986,'1991-10-29 00:00:00',2,1,11,2008,'M','N','PALHOçA','PALHOçA','SC','124242241215111431556633575124610167042',14397,'1011',40.88,1,3,NULL),(16,3074994,'1990-10-31 00:00:00',4,2,12,2008,'M','N','VILA NOVA','BLUMENAU','SC','124242247215271731467812295122610127042',14462,'67',40.76,1,3,NULL),(16,3075001,'1990-12-21 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124242241212372731336534345124610127117',2961,'738',63.95,1,3,NULL),(16,3075010,'1989-03-09 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215573411579611591112132628092',5243,'270',58.02,1,3,NULL),(16,3075028,'1993-04-01 00:00:00',4,1,12,2010,'M','S','COQUEIROS','FLORIANóPOLIS','SC','124242248217151431448814575122610112042',NULL,'9997',32.52,1,3,NULL),(16,3075036,'1990-12-19 00:00:00',4,1,10,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124162161217472731257814572112610168195',4500,'9998',59.76,1,3,NULL),(16,3075044,'1991-10-28 00:00:00',4,8,10,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215111431469819574112610116142',5971,'491',56.42,1,3,NULL),(16,3075052,'1992-01-30 00:00:00',4,1,12,2009,'F','S','AREIAS','SAO JOSE','SC','124242241217111431436713572125610122057',NULL,'1078',27.11,1,3,NULL),(16,3075060,'1990-03-05 00:00:00',4,1,12,2007,'F','N','CENTRO','TANABI','SP','125252251215472431458834571124610118122',9433,'9998',49.84,1,3,NULL),(16,3075079,'1989-08-11 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241114272411447647375124130865043',NULL,'733',0.00,1,2,1),(16,3075087,'1991-10-12 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215112431345924572125610137127',1984,'1022',67.26,1,3,NULL),(16,3075095,'1991-07-20 00:00:00',4,1,10,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215151411448614575122610122142',452,'273',76.24,1,3,NULL),(16,3075117,'1989-08-15 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241317272431548813282124610134097',5322,'1022',57.83,1,3,NULL),(16,3075133,'1991-01-15 00:00:00',2,1,10,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241411111431333314571124610134087',6292,'1022',55.70,1,3,NULL),(16,3075141,'1990-12-12 00:00:00',4,8,11,2007,'F','N','CENTRO','CPO LARGO','PR','116162161216471731437732572122610123187',NULL,'9998',0.00,1,3,NULL),(16,3075150,'1990-09-20 00:00:00',4,1,11,2008,'F','N','GRAçA','SALVADOR','BA','105052051216111431449911572124610163082',3507,'9998',62.37,1,3,NULL),(16,3075168,'1992-03-31 00:00:00',4,4,12,2008,'F','N','CENTRO','CHAPECó','SC','124241241117371751336632572122610167142',NULL,'174',20.99,1,3,NULL),(16,3075176,'1987-10-13 00:00:00',2,1,12,2005,'F','N','IPIRANGA','S JOSé','SC','124241241132474421335324242333610164077',9053,'734',50.49,1,2,1),(16,3075184,'1990-03-29 00:00:00',4,1,12,2007,'F','N','SETOR BUENO','GOIâNIA','GO','109092091216471432567814572112610122122',5872,'9998',56.64,4,3,NULL),(16,3075192,'1991-03-29 00:00:00',4,4,12,2008,'F','N','CENTRO','ITAPIRANGA','SC','124241241117131431333823572342610168147',NULL,'412',30.93,1,2,1),(16,3075214,'1991-05-26 00:00:00',4,8,12,2008,'F','N','BOEHMERWALD','JOINVILLE','SC','624241241115131431428629281124610133117',NULL,'492',16.41,2,2,1),(16,3075222,'1992-01-27 00:00:00',4,2,12,2008,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241215111431468923374122610136182',875,'87',72.82,1,3,NULL),(16,3075230,'1991-12-16 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241215111732255821475124610162045',9331,'270',50.03,1,3,NULL),(16,3075257,'1990-11-16 00:00:00',2,1,12,2007,'M','N','BOA PARADA','S PEDRO ALCâNTARA','SC','124241241125372431433314175124610127142',6303,'869',55.67,1,2,1),(16,3075265,'1991-06-25 00:00:00',2,4,11,2008,'F','N','BATEL','CURITIBA','PR','116243161217111331478831414112610164182',NULL,'9998',0.00,1,3,NULL),(16,3075273,'1993-04-26 00:00:00',4,1,12,2009,'F','S','FERRAZ','GAROPABA','SC','124244241215111431458832372114610121142',NULL,'362',50.81,1,3,NULL),(16,3075281,'1988-03-29 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSé','SC','123241241127412751335629391343610162157',NULL,'257',27.83,1,2,1),(16,3075303,'1988-07-25 00:00:00',2,1,7,2006,'F','N','KOBRASOL','S JOSé','SC','124244247216372431348624442222610168047',NULL,'9999',0.00,1,3,NULL),(16,3075320,'1991-08-18 00:00:00',4,6,12,2008,'M','N','FAZENDA','ITAJAí','SC','124242241212112431349914275121610127092',4413,'389',59.98,1,3,NULL),(16,3075338,'1990-05-13 00:00:00',4,3,12,2007,'F','N','BATEL','CURITIBA','PR','116162161236471431468932574112610167142',13814,'9998',42.03,1,3,NULL),(16,3075346,'1991-11-14 00:00:00',4,7,12,2008,'M','N','CENTRO','CAMPOS NOVOS','SC','120242201215371431248914575124610167052',9833,'9998',49.10,1,3,NULL),(16,3075354,'1991-05-17 00:00:00',4,1,11,1991,'F','N','CENTRO','PAULO LOPES','SC','124243241216132531646529575114610133072',12594,'262',44.19,1,3,NULL),(16,3075370,'1991-09-04 00:00:00',4,4,12,2008,'F','N','INDUSTRIAL','SEARA','SC','124244241216131421239923232125610163072',6073,'1047',56.18,1,3,NULL),(16,3075389,'1991-09-07 00:00:00',2,9,12,2008,'M','N','CENTRO','LAGES','SC','124243241317111421328933376122610127012',NULL,'1146',53.35,1,3,NULL),(16,3075397,'1972-05-30 00:00:00',4,1,12,1992,'M','N','CENTRO','PALHOçA','SC','624241246126135721524443235124422327047',NULL,'306',0.00,1,2,1),(16,3075400,'1991-01-10 00:00:00',2,1,11,2008,'F','N','CENTRO','S JOSé','SC','124242241215111521446411315124610168181',NULL,'1022',31.84,1,3,NULL),(16,3075419,'1990-11-26 00:00:00',4,5,11,2008,'F','N','PIO CORRÊA','CRICIúMA','SC','124242241215121411678813372122610132122',6011,'226',56.33,1,3,NULL),(16,3075427,'1988-07-16 00:00:00',4,1,12,2005,'M','N','VILA NOVA','BLUMENAU','SC','124242241215374451489811475114121562192',3024,'855',63.72,1,3,NULL),(16,3075443,'1991-07-17 00:00:00',4,10,11,2008,'M','N','CENTRO','TUBARãO','SC','124241241215111431456631475112610127062',16594,'806',34.90,1,3,NULL),(16,3075451,'1988-07-18 00:00:00',4,1,11,2006,'F','N','CAMBUí','CAMPINAS','SP','125253251214571411456814475114610161057',6245,'9998',55.80,1,3,NULL),(16,3075460,'1989-02-21 00:00:00',4,4,12,2006,'M','N','CENTRO','XAXIM','SC','124241248215572431436632572122610162147',8231,'185',51.91,1,3,NULL),(16,3075486,'1983-02-11 00:00:00',2,1,12,2000,'M','N','KOBRASOL','S JOSé','SC','124242247235574431548711412124133261187',3856,'1036',61.44,1,3,NULL),(16,3075494,'1992-04-26 00:00:00',4,9,12,2008,'F','N','JARDIM AMéRICA','VACARIA','RS','120201201116371431457819595112610122097',NULL,'9998',0.00,1,2,1),(16,3075508,'1989-10-22 00:00:00',2,8,12,2007,'M','N','BOA VISTA','JOINVILLE','SC','124242241216271411456814445124133262092',NULL,'494',32.67,1,3,NULL),(16,3075516,'1991-12-19 00:00:00',4,1,12,2008,'M','N','ARIRIÚ','PALHOCA','SC','124242241215111431548632592124610117092',NULL,'1022',NULL,1,3,NULL),(16,3075524,'1991-04-21 00:00:00',2,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111431458511572122610128187',3019,'270',63.73,1,3,NULL),(16,3075532,'1987-03-17 00:00:00',4,8,12,2004,'M','N','CENTRO','S BENTO SUL','SC','124241241111271441425439372244343262032',NULL,'697',0.00,1,3,NULL),(16,3075540,'1991-03-31 00:00:00',4,1,12,2008,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124243241315111731359913432122610125092',NULL,'270',27.37,1,3,NULL),(16,3075559,'1991-10-28 00:00:00',4,1,12,2009,'M','S','JOãO PAULO','FLORIANóPOLIS','SC','124242241237111431348934575124610124017',NULL,'262',57.92,1,3,NULL),(16,3075567,'1992-04-20 00:00:00',4,1,11,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217111532438831575112610117092',NULL,'270',49.31,1,3,NULL),(16,3075575,'1991-03-29 00:00:00',2,5,12,2008,'F','N','VILA SãO JOSé','ARARANGUá','SC','124242241215121431459913572122610136142',738,'970',73.95,1,3,NULL),(16,3075591,'1990-11-01 00:00:00',2,1,12,2008,'M','N','PâNTANO DO SUL','FLORIANóPOLIS','SC','124242241115111431336739575124610137112',NULL,'1022',30.05,1,3,NULL),(16,3075605,'1990-04-26 00:00:00',4,3,12,2007,'F','N','BATEL','CURITIBA','PR','116162161215472411368912574122610124077',NULL,'9998',0.00,1,3,NULL),(16,3075613,'1991-01-30 00:00:00',4,1,12,2007,'M','N','TAVEIROPOLIS','CPO GRANDE','MS','112124121415272431558833575124610164172',1138,'9998',71.24,1,3,NULL),(16,3075621,'1989-12-27 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248113473431338852573115610162097',6087,'270',56.16,1,3,NULL),(16,3075648,'1991-03-25 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431479513472125610127072',5377,'270',57.70,1,3,NULL),(16,3075656,'1988-01-16 00:00:00',2,1,12,2005,'F','N','ARMAçãO P DO SUL','FLORIANóPOLIS','SC','124241241217375431338613472124231223147',4452,'269',59.89,1,3,NULL),(16,3075664,'1991-02-03 00:00:00',4,3,12,2007,'F','N','CENTRO','BAL CAMBORIú','SC','124242241216472431479913474124610136077',1211,'44',70.86,1,3,NULL),(16,3075672,'1992-06-17 00:00:00',2,9,11,2009,'F','S','CENTRO','LAGES','SC','124242241215111451339934572115610134017',NULL,'1146',36.09,1,3,NULL),(16,3075680,'1991-08-22 00:00:00',2,5,11,2008,'M','N','CENTRO','ARARANGUá','SC','124244241215131431436624575124610134187',13210,'26',43.13,1,3,NULL),(16,3075699,'1992-02-23 00:00:00',2,1,11,2008,'M','N','VILA CARLI','GUARAPUAVA','PR','116161161216371731436614575112610124182',NULL,'9998',0.00,1,3,NULL),(16,3075702,'1989-09-08 00:00:00',4,1,12,2007,'F','N','MONTE ALEGRE','RIBEIRãO PRETO','SP','125254251217471551458933571112610123027',NULL,'9998',0.00,1,3,NULL),(16,3075710,'1988-05-14 00:00:00',4,10,12,2005,'F','N','ABERTA DOS MORROS','PTO ALEGRE','RS','120204201217471431578819441124610116143',1643,'9998',68.69,1,3,NULL),(16,3075729,'1993-01-21 00:00:00',4,8,11,2010,'F','S','CENTRO','TAIó','SC','124242241214161431449719295125610123017',NULL,'776',23.42,1,3,NULL),(16,3075737,'1962-01-12 00:00:00',4,5,12,1988,'M','N','CENTRO','CRICIúMA','SC','524201207121131411438444145122331866047',NULL,'9998',0.00,1,3,NULL),(16,3075745,'1975-12-08 00:00:00',2,1,9,2003,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241247221232411216641373314610112092',NULL,'9',5.57,1,3,NULL),(16,3075753,'1991-10-21 00:00:00',2,1,10,2008,'M','N','ITACURUBI','FLORIANóPOLIS','SC','124204241215121531569614575124610127042',10286,'270',48.27,1,3,NULL),(16,3075770,'1991-08-03 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161216111411648832571345610126092',NULL,'9998',0.00,1,3,NULL),(16,3075788,'1987-11-30 00:00:00',2,1,11,2005,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124241241125372731333524342334133234142',NULL,'292',26.04,4,2,1),(16,3075796,'1991-05-06 00:00:00',4,1,12,2009,'F','S','PONTA AGUDA','BLUMENAU','SC','124242241216151431488933595122610168152',NULL,'855',0.00,1,3,NULL),(16,3075800,'1991-07-29 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217271431366712472112610132017',14290,'262',41.07,1,3,NULL),(16,3075818,'1990-07-29 00:00:00',2,1,11,2007,'F','N','SETOR SUDOESTE','CRUZEIRO','DF','107272271215371411269924574124610162126',NULL,'9998',0.00,1,3,NULL),(16,3075826,'1991-08-01 00:00:00',4,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124243241215111411655314575122610164077',16214,'226',36.64,1,3,NULL),(16,3075834,'1988-07-26 00:00:00',2,1,12,2005,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241217273431656613472122221264167',6516,'951',55.24,1,3,NULL),(16,3075842,'1990-07-23 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241212272431636619442124610168147',6438,'272',55.40,1,3,NULL),(16,3075850,'1991-03-13 00:00:00',4,1,10,2008,'M','N','VILA IZABEL','CURITIBA','PR','116162161235121411548833576124610161072',NULL,'9998',0.00,1,3,NULL),(16,3075869,'1991-08-24 00:00:00',4,8,12,2008,'M','N','CENTRO','NOVA CANTU','PR','116161161116271431446636575122610117057',NULL,'9998',0.00,1,2,1),(16,3075877,'1990-03-06 00:00:00',3,1,7,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241116372431226629372124610166077',490,'306',75.84,4,3,NULL),(16,3075885,'1991-05-30 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215271431258823375122610124071',2431,'270',65.58,1,3,NULL),(16,3075893,'1991-04-20 00:00:00',4,9,12,2008,'F','N','SÃO JOÃO','CORREIA PINTO','SC','124243241217132431333632342122610153177',15591,'499',38.33,1,3,NULL),(16,3075915,'1963-06-01 00:00:00',4,1,12,1980,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241216144411348549491122320266192',NULL,'262',0.00,1,3,NULL),(16,3075923,'1990-01-19 00:00:00',4,4,12,2007,'M','N','PLANALTO','PATO BRANCO','PR','116161168137471731548349391124610148052',NULL,'9998',24.62,1,3,NULL),(16,3075931,'1991-05-12 00:00:00',4,1,11,2008,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241215272631338614575114610116157',517,'272',75.64,3,3,NULL),(16,3075940,'1991-05-16 00:00:00',4,1,12,2008,'M','N','ITACURUBI','FLORIANóPOLIS','SC','124242241217111431479814375122610137112',NULL,'407',27.26,1,3,NULL),(16,3075958,'1983-05-31 00:00:00',4,1,12,2000,'M','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124242241215133411437542325122120264097',3671,'210',61.91,1,3,NULL),(16,3075966,'1990-07-31 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217373431359823572112230242012',479,'262',75.95,1,3,NULL),(16,3075974,'1990-10-22 00:00:00',2,1,12,2008,'F','N','CACHOEIRA B JESUS','FLORIANóPOLIS','SC','124241241115151431213318282124610126047',NULL,'288',27.26,1,2,1),(16,3075982,'1985-04-09 00:00:00',2,1,12,2003,'M','N','ASSIS BRASIL','IJUí','RS','120202201217372431536611285124140324013',8885,'9998',50.76,1,3,NULL),(16,3075990,'1991-12-26 00:00:00',4,1,12,2008,'M','N','DANIELA','FLORIANóPOLIS','SC','124242241435111752568619492114610137182',8317,'1022',51.76,1,3,NULL),(16,3076008,'1991-02-15 00:00:00',4,7,12,2008,'F','N','CENTRO','HERVAL D OESTE','SC','124242241217371431368814245122610147017',8932,'446',50.68,1,3,NULL),(16,3076016,'1989-10-29 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241116371731438614475114610168097',NULL,'307',20.69,1,2,1),(16,3076024,'1990-06-05 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241116152431438611473123610127147',12612,'257',44.16,1,2,1),(16,3076032,'1991-05-23 00:00:00',4,1,12,2008,'F','N','CENTRO','CAçADOR','SC','124242161132131441327632253112512222132',15981,'9998',37.28,1,3,NULL),(16,3076040,'1990-12-04 00:00:00',4,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111441456869575124610122181',15948,'1022',37.37,1,3,NULL),(16,3076059,'1991-09-12 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215271431487914572112610168113',NULL,'262',11.52,1,3,NULL),(16,3076075,'1991-06-22 00:00:00',4,6,12,2008,'M','N','PQ SANTA ROSA','SUZANO','SP','125253251116371431548723175125610166187',4320,'9998',60.20,1,3,NULL),(16,3076083,'1990-03-10 00:00:00',2,4,11,2007,'F','N','CENTRO','XANXERê','SC','124242241214473431466632574122610122142',8195,'836',52.02,1,3,NULL),(16,3076091,'1987-06-03 00:00:00',4,1,11,2004,'M','N','PANTANAL','FLORIANóPOLIS','SC','124252251211575431258911574124610124092',774,'9998',73.65,1,3,NULL),(16,3076113,'1990-08-14 00:00:00',2,1,12,2007,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124164241416372731439933575124222926072',958,'1133',72.28,1,3,NULL),(16,3076121,'1989-08-18 00:00:00',2,3,7,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124241244217311231365644275115310114192',NULL,'9999',23.28,1,3,NULL),(16,3076130,'1991-03-01 00:00:00',2,1,12,2008,'F','N','CENTRO','PASSO FUNDO','RS','124201241117111551457739575125610155047',NULL,'1133',0.00,1,2,1),(16,3076148,'1991-03-16 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241116151732546513572325610134073',NULL,'257',24.15,1,2,1),(16,3076156,'1990-02-25 00:00:00',2,1,11,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215472431458611572122610128142',1558,'270',69.08,1,3,NULL),(16,3076164,'1991-11-15 00:00:00',4,6,12,2008,'M','N','FAZENDA','ITAJAí','SC','124242241215121431437831492124610167042',NULL,'392',24.28,1,3,NULL),(16,3076180,'1991-03-14 00:00:00',5,7,12,2008,'F','N','IVO NERCI HARTAMANN','TREZE TíLIAS','SC','124241241116161711326624232125610164142',NULL,'795',28.62,1,2,1),(16,3076199,'1991-10-02 00:00:00',2,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124243241115131731333779572124610164097',NULL,'873',14.97,1,3,NULL),(16,3076202,'1991-07-20 00:00:00',4,7,11,2008,'M','N','VILA PEDRINI','JOAçABA','SC','124242241235371431366823375124610124142',5192,'446',58.12,4,3,NULL),(16,3076210,'1991-10-16 00:00:00',2,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSé','SC','124241241216371431445532575122610123187',12567,'1036',44.24,1,3,NULL),(16,3076229,'1991-10-13 00:00:00',4,1,12,2008,'M','N','VILA NONOAI','PASSO FUNDO','RS','120202201217111431479934575124610164042',8235,'9998',51.90,1,3,NULL),(16,3076237,'1984-08-25 00:00:00',4,1,12,2004,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124243248317371741357714225122133264112',NULL,'9997',25.04,1,3,NULL),(16,3076245,'1991-05-02 00:00:00',4,6,11,2008,'F','N','ANDORINHA','ITAPEMA','SC','124242241215112731368912375124610162142',4353,'1038',60.13,1,3,NULL),(16,3076253,'1990-06-16 00:00:00',2,1,12,2007,'M','N','CENTRO','PALHOçA','SC','124243241226212411433331115114610142177',9535,'262',49.64,1,3,NULL),(16,3076261,'1990-10-07 00:00:00',4,8,11,2008,'M','N','CENTRO','JOINVILLE','SC','124242241215471711439712572112610166076',3295,'491',63.01,1,3,NULL),(16,3076270,'1992-04-04 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241217111751558613372111610118017',10123,'299',48.58,1,3,NULL),(16,3076296,'1990-01-05 00:00:00',4,1,12,2007,'F','N','PQ BUTURUSSU','S PAULO','SP','125253251116471451447714385124610168097',16290,'9998',36.40,1,3,NULL),(16,3076300,'1992-06-28 00:00:00',4,1,12,2009,'F','S','VARGEM PEQUENA','FLORIANóPOLIS','SC','124242241216111431366632375124610167062',NULL,'270',43.46,1,3,NULL),(16,3076318,'1990-08-10 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124242241416473441367733575124610127142',8609,'1022',51.23,1,3,NULL),(16,3076326,'1991-11-27 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241117371431678712395124610167012',7129,'739',54.04,1,2,1),(16,3076334,'1990-04-27 00:00:00',4,1,12,2007,'F','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','125252251215471431449833575122610125142',7311,'9998',53.69,1,3,NULL),(16,3076342,'1991-02-15 00:00:00',4,1,12,2008,'M','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241215272431379934575114610167112',5861,'1022',56.68,1,3,NULL),(16,3076350,'1991-07-03 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124241241116271431225621375125610156177',10491,'49',47.92,1,2,1),(16,3076369,'1991-03-10 00:00:00',4,1,12,2008,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215112431478613475114610134052',7901,'1022',52.60,3,3,NULL),(16,3076377,'1990-12-06 00:00:00',4,1,12,2008,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241111221431336634375124610127047',NULL,'307',26.81,1,2,1),(16,3076385,'1989-03-10 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241117132431123944345314130227147',NULL,'616',17.17,4,2,1),(16,3076393,'1991-02-12 00:00:00',4,8,12,2008,'M','N','NOVO HORIZONTE','LINHARES','ES','108082081216111431456632572122610132032',NULL,'9998',0.00,4,3,NULL),(16,3076407,'1990-10-20 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431369732575112610167127',14246,'270',41.14,1,3,NULL),(16,3076415,'1990-10-23 00:00:00',2,1,12,2008,'F','N','VARGEM PEQUENA','FLORIANóPOLIS','SC','124242241217131451436624295124610164147',NULL,'1048',33.29,1,3,NULL),(16,3076423,'1990-05-05 00:00:00',4,1,11,2007,'F','N','JARDIM AMERICA','RIBEIRãO PRETO','SP','125092251215471431588814471122610123183',NULL,'9998',0.00,4,3,NULL),(16,3076431,'1990-05-19 00:00:00',5,1,12,2008,'F','N','SãO LEOPOLDO','CAXIAS SUL','RS','120202201212131411457921592124610131082',NULL,'9998',27.56,1,3,NULL),(16,3076440,'1991-02-27 00:00:00',4,1,11,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215111431469732575114610127142',5854,'270',56.68,1,3,NULL),(16,3076474,'1989-07-21 00:00:00',2,1,12,2008,'M','N','ABADIA','UBERABA','MG','113134131415131641428711385122610128092',NULL,'9998',0.00,1,3,NULL),(16,3076482,'1990-06-03 00:00:00',2,1,11,2007,'F','N','CENTRO','BIGUAçU','SC','124242241215472431469811592124610163012',5982,'270',56.40,1,3,NULL),(16,3076490,'1990-01-02 00:00:00',4,1,11,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124112251217472431156612572124233225177',NULL,'9998',27.56,1,3,NULL),(16,3076504,'1988-03-26 00:00:00',2,1,12,2005,'M','N','SãO JORGE','TAMBAú','SP','125253251217472431477821572114610137012',5031,'9998',58.55,1,3,NULL),(16,3076512,'1991-04-19 00:00:00',4,5,9,2008,'F','N','PRESIDENTE VARGAS','ICARA','SC','124244241214371732346632571114610168142',13558,'920',42.53,1,3,NULL),(16,3076520,'1989-08-26 00:00:00',4,1,12,2008,'M','N','URCA','RIO JANEIRO','RJ','121212211217271711358919494124610134022',4761,'9998',59.15,1,3,NULL),(16,3076539,'1991-10-13 00:00:00',4,5,11,2008,'F','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124243241215111731466617571112610145117',9232,'226',50.20,1,3,NULL),(16,3076547,'1990-12-03 00:00:00',4,5,11,2007,'F','N','COMERCIARIO','CRICIúMA','SC','124242241215272431557812575122132532097',15671,'226',38.13,1,3,NULL),(16,3076555,'1988-10-20 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241248315372711326639394124610154067',16463,'272',35.64,1,3,NULL),(16,3076563,'1991-07-08 00:00:00',4,8,12,2008,'F','N','CENTRO','UMUARAMA','PR','116162161235112451438821575125610134147',NULL,'9998',26.91,1,3,NULL),(16,3076571,'1986-11-04 00:00:00',2,1,12,2001,'F','N','RIO DO CEDRO','ÁGUAS MORNAS','SC','124241241115141411313325495324610111145',NULL,'978',23.41,1,2,1),(16,3076580,'1985-09-17 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANóPOLIS','SC','224163161216151431346813575122231366192',15143,'9998',39.32,1,3,NULL),(16,3076601,'1990-09-09 00:00:00',4,1,11,2007,'M','N','IPANEMA','PTO ALEGRE','RS','120202201217471431458811382124610136092',5182,'9998',58.15,1,3,NULL),(16,3076610,'1991-02-19 00:00:00',2,7,11,2008,'M','N','CENTRO','JOAçABA','SC','124161241432371431479913595122610141092',NULL,'446',29.94,1,3,NULL),(16,3076628,'1991-08-13 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124162241235111431536631395124610164047',10262,'1118',48.33,1,3,NULL),(16,3076636,'1990-01-30 00:00:00',2,1,11,2007,'F','N','JURERE INTERNACIONAL','FLORIANóPOLIS','SC','124242241215472431369831575112610166042',6853,'270',54.57,1,3,NULL),(16,3076644,'1991-06-04 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','120202201216111431227721476124610126145',5228,'9998',58.05,1,3,NULL),(16,3076652,'1991-10-23 00:00:00',4,1,11,2008,'F','N','CENTRO','CURITIBA','PR','116222161215111432458932575125610134052',NULL,'9998',0.00,1,3,NULL),(16,3076679,'1991-09-14 00:00:00',4,1,12,2008,'F','N','SÃO DOMINGOS','NITERóI','RJ','121211211311111431488833572114610164017',NULL,'9998',0.00,1,3,NULL),(16,3076687,'1989-10-13 00:00:00',2,1,12,2007,'M','N','TIJUQUINHAS','BIGUAçU','SC','124242241212372431356612472114610134092',3056,'270',63.64,1,3,NULL),(16,3076695,'1991-06-25 00:00:00',2,1,12,2008,'M','N','ELDORADO','CPO GRANDE','MS','112121121215121431666812171224610147012',4157,'9998',60.62,4,3,NULL),(16,3076709,'1991-07-15 00:00:00',2,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215111431438834472122610117077',NULL,'226',36.92,1,3,NULL),(16,3076717,'1990-09-07 00:00:00',2,1,11,2008,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124244241215371431466513575124610123112',8413,'272',51.56,1,3,NULL),(16,3076725,'1988-06-06 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124252251216273431458813495114120747032',2588,'9998',65.05,3,3,NULL),(16,3076733,'1992-01-24 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241216111431469934575124610121192',10245,'270',48.36,1,3,NULL),(16,3076741,'1989-08-01 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSé','SC','124242241217132431344319485124132067047',NULL,'9997',41.74,4,3,NULL),(16,3076750,'1992-07-31 00:00:00',4,1,11,2009,'F','S','CENTRO','S JOSé','SC','124241241215111731479833574124610126197',NULL,'1022',51.56,4,3,NULL),(16,3076768,'1991-06-04 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215131431468733575122610167057',14203,'724',41.24,1,3,NULL),(16,3076784,'1992-04-20 00:00:00',4,9,12,2008,'M','N','BOA VISTA','CURITIBA','PR','116241161147271431333419372124610126177',6166,'9998',56.00,1,2,1),(16,3076792,'1990-10-15 00:00:00',4,1,11,2008,'F','N','CENTRO HISTóRICO','S JOSé','SC','124242241215111441479933572124610122052',5475,'270',57.52,1,3,NULL),(16,3076806,'1986-04-10 00:00:00',2,1,12,2007,'M','N','FABRICAS','S JOãO D REI','MG','113131137126371112434611182211140764174',NULL,'9999',0.00,4,3,NULL),(16,3076814,'1989-10-20 00:00:00',4,1,12,2007,'F','N','JARDIM SUMARé','RIBEIRãO PRETO','SP','125254251211122431467811571122610162182',1469,'9998',69.48,1,3,NULL),(16,3076830,'1991-11-17 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124242241217111441436839275122610128182',14648,'1077',40.38,1,3,NULL),(16,3076857,'1989-02-13 00:00:00',4,1,12,2006,'M','N','CENTRO','MARAU','RS','120204201216472431437733371124610162093',3602,'9998',62.08,1,3,NULL),(16,3076865,'1990-08-26 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124243241117142451546633245124610138187',6611,'271',55.03,1,3,NULL),(16,3076873,'1991-01-25 00:00:00',4,1,12,2008,'M','N','PIONEIRO','LUCAS R VERDE','MT','111111111316371331438614345121610167147',NULL,'9998',35.76,1,3,NULL),(16,3076881,'1986-12-12 00:00:00',2,8,12,2004,'F','N','ALTO DA GLóRIA','LOANDA','PR','116162161216515431448933592122610122077',9497,'9998',49.72,1,3,NULL),(16,3076903,'1990-09-26 00:00:00',2,1,11,2007,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124242241215312431546732345124610162142',10988,'272',47.04,1,3,NULL),(16,3076911,'1990-10-07 00:00:00',2,1,11,2008,'F','N','PILARZINHO','CURITIBA','PR','116161161317471431425664292334610167027',NULL,'9998',22.28,1,3,NULL),(16,3076920,'1991-01-11 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241217112411568612574124610134082',1388,'991',69.89,1,3,NULL),(16,3076938,'1990-08-12 00:00:00',2,1,12,2007,'M','N','PICADAS DO SUL','S JOSé','SC','124244241115471441368633475114133224062',NULL,'733',23.95,1,3,NULL),(16,3076946,'1985-11-22 00:00:00',4,1,12,2003,'F','N','JARDIM MORUMBI','S JOSé R PRETO','SP','125252251212575411548814172122610122142',NULL,'9998',46.80,1,3,NULL),(16,3076954,'1989-09-07 00:00:00',4,1,12,2007,'M','N','JOãO MOTTA ESPEZIM','FLORIANóPOLIS','SC','124242241217312431538627494124610162057',10377,'1075',48.12,1,3,NULL),(16,3076970,'1990-11-12 00:00:00',4,1,11,2007,'F','N','CENTRO','STA MARIA','RS','120202201217471431136922472114610162187',5353,'9998',57.75,1,3,NULL),(16,3076989,'1991-01-07 00:00:00',4,10,12,2008,'F','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124244241214112431448832592124610112012',8481,'807',51.43,1,3,NULL),(16,3077004,'1991-06-13 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124164241217131431449624572124610122147',NULL,'1075',29.50,1,3,NULL),(16,3077012,'1991-01-15 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241215471431468813575124610137055',2287,'270',66.10,1,3,NULL),(16,3077020,'1990-11-04 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111431468911314124610121175',3663,'1022',61.92,1,3,NULL),(16,3077039,'1991-02-05 00:00:00',4,1,11,2009,'M','S','SANTA MONICA','FLORIANóPOLIS','SC','124242241217111431567832575124610127045',NULL,'1133',35.31,1,3,NULL),(16,3077047,'1991-05-20 00:00:00',4,8,12,2008,'M','N','ITAUM','JOINVILLE','SC','124241241415111231344424575124610137052',12519,'459',44.35,1,3,NULL),(16,3077055,'1990-07-04 00:00:00',2,1,10,2008,'M','N','SETOR AEROPORTO','GOIâNIA','GO','109091091217111731568912572122610167057',7783,'9998',52.81,1,3,NULL),(16,3077063,'1992-11-28 00:00:00',2,1,12,2009,'F','S','JARDIM AQUáRIUS','PALHOçA','SC','124241241215111431658613572124610122017',NULL,'1011',42.11,1,3,NULL),(16,3077071,'1991-12-22 00:00:00',4,1,11,2008,'F','N','SETOR BUENO','GOIâNIA','GO','109272091216111431588831575122610164092',9733,'9998',49.28,1,3,NULL),(16,3077080,'1991-03-29 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215371231468614575122610167051',10270,'259',48.30,1,3,NULL),(16,3077098,'1990-09-05 00:00:00',2,1,12,2008,'M','N','JD ESTRELA','FOZ IGUAçU','PR','116284281317131431416861471224610127047',6789,'9998',54.68,1,3,NULL),(16,3077110,'1982-04-08 00:00:00',2,1,1,2001,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124251251147374411331341315124610133147',10592,'9998',47.75,1,2,1),(16,3077128,'1990-03-29 00:00:00',4,8,12,2007,'F','N','AGUA VERDE','CURITIBA','PR','116242161215472431348714572124610134097',4111,'9998',60.74,1,3,NULL),(16,3077136,'1990-12-12 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111432478812572112610167185',3695,'270',61.84,1,3,NULL),(16,3077144,'1970-11-30 00:00:00',2,1,12,1994,'F','N','CENTRO','FLORIANóPOLIS','SC','224241245122274411463353292125610136145',8423,'281',51.54,1,3,NULL),(16,3077179,'1989-03-21 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241216472431363923575124610167182',NULL,'1051',32.58,1,3,NULL),(16,3077187,'1991-04-22 00:00:00',4,2,12,2008,'F','N','COLONINHA','GASPAR','SC','124243241215131511436923595124610164147',8223,'88',51.94,1,3,NULL),(16,3077195,'1987-12-05 00:00:00',4,1,12,2005,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215574751469633575114610136032',391,'269',76.94,3,3,NULL),(16,3077209,'1991-01-19 00:00:00',2,1,11,2008,'M','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','124243241315411411516612344124610147062',NULL,'269',25.08,1,3,NULL),(16,3077217,'1991-04-01 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243241315111731326634492124610114142',NULL,'1023',29.59,1,3,NULL),(16,3077225,'1990-03-01 00:00:00',4,1,12,2007,'F','N','ACLIMAçãO','S PAULO','SP','125252251116471731568831275124610136042',7816,'9998',52.74,1,3,NULL),(16,3077233,'1991-01-06 00:00:00',2,1,12,2007,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241116132431648933595122231457117',NULL,'146',0.00,1,2,1),(16,3077241,'1990-09-03 00:00:00',2,1,11,2009,'M','S','INGLESES','FLORIANóPOLIS','SC','124241241115151431445413575122610132147',NULL,'267',34.10,1,3,NULL),(16,3077250,'1990-02-22 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241216131231466611345122610161172',NULL,'259',17.88,1,3,NULL),(16,3077268,'1986-07-06 00:00:00',2,1,12,2003,'M','N','CACUPé','FLORIANóPOLIS','SC','124244241215574431349954572124133122112',3998,'270',61.07,1,3,NULL),(16,3077276,'1989-12-31 00:00:00',4,1,11,2007,'F','N','VILA ADYANNA','S JOSé CAMPOS','SP','125252254236471431458924384125610167072',7514,'9998',53.30,1,3,NULL),(16,3077284,'1991-07-16 00:00:00',4,1,12,2008,'F','N','PERDIZES','S PAULO','SP','125252251217111431589833575125610132097',NULL,'9998',0.00,1,3,NULL),(16,3077292,'1990-07-13 00:00:00',4,2,12,2007,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241217272431479913575124221467142',3297,'855',63.00,1,3,NULL),(16,3077306,'1987-09-20 00:00:00',4,1,12,2005,'F','N','GRANJA VIANA','COTIA','SP','125252251217571731488814195112610147186',NULL,'9998',0.00,1,3,NULL),(16,3077314,'1991-04-05 00:00:00',4,1,12,2008,'M','N','ALTO RIO FORTUNA','RIO FORTUNA','SC','124241241127131212433334162223610117042',NULL,'665',29.11,1,2,1),(16,3077322,'1991-03-02 00:00:00',2,8,12,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124241241117471411446514575122610128142',8595,'465',51.26,1,2,1),(16,3077330,'1991-09-20 00:00:00',2,4,12,2008,'F','N','CENTRO','CAIBI','SC','124241241137131731426614245125610124057',NULL,'127',21.91,1,2,1),(16,3077349,'1990-04-20 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217112441365823335124610136182',3574,'270',62.15,1,3,NULL),(16,3077357,'1991-05-04 00:00:00',4,8,12,2008,'M','N','PRAIA DE ITAPARICA','VL VELHA','ES','108082081216121431579912575111610167112',1073,'9998',71.61,4,3,NULL),(16,3077365,'1992-03-06 00:00:00',3,1,11,2008,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241215112441457413572124610128142',8386,'1022',51.62,1,3,NULL),(16,3077373,'1976-12-27 00:00:00',4,1,12,1994,'M','N','LAGOA DA CONCEICAO','FLORIANóPOLIS','SC','124242241216473412478837495124321424092',2163,'272',66.55,2,3,NULL),(16,3077381,'1989-12-14 00:00:00',4,1,6,2008,'F','N','BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP','125252257217371411246624375122610161097',NULL,'9999',37.77,1,3,NULL),(16,3077390,'1990-10-17 00:00:00',4,1,12,2008,'M','N','BOM PASTOR','VARGINHA','MG','113132131217111431648824575122610127047',8249,'9998',51.88,2,3,NULL),(16,3077403,'1989-08-31 00:00:00',4,6,12,2006,'M','N','CENTRO','BAL CAMBORIú','SC','124242241217574431458719382121610137122',407,'1038',76.73,1,3,NULL),(16,3077420,'1991-09-28 00:00:00',4,1,11,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124202241215122411233831594124610133147',10871,'1133',47.23,1,3,NULL),(16,3077438,'1990-05-04 00:00:00',4,6,11,2007,'M','N','VILA ROMANA','S PAULO','SP','125242241217372431558834345114610137052',5898,'829',56.58,1,3,NULL),(16,3077446,'1991-12-07 00:00:00',4,1,12,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215111411479924495114610163045',8170,'883',52.08,1,3,NULL),(16,3077454,'1990-01-08 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215372431338723575114610164182',7530,'272',53.27,1,3,NULL),(16,3077462,'1986-03-28 00:00:00',4,2,11,2005,'M','N','VICTOR KONDER','BLUMENAU','SC','124244241437271431357614315121132124182',NULL,'86',0.00,1,3,NULL),(16,3077470,'1991-05-24 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111431438613575124610137147',7031,'738',54.23,4,3,NULL),(16,3077489,'1990-06-25 00:00:00',4,4,12,2007,'F','N','CENTRO','STA MARIA','RS','120162161216472431168931575125610166092',541,'9998',75.48,1,3,NULL),(16,3077500,'1990-04-10 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241217272751448713295114131464045',7750,'270',52.87,1,3,NULL),(16,3077519,'1991-01-04 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216471431478812575122610112112',1851,'270',67.82,1,3,NULL),(16,3077527,'1991-09-08 00:00:00',4,1,12,2008,'M','N','CENTRO','PRES GETúLIO','SC','124242241216111431468619595124610124187',4994,'991',58.62,1,3,NULL),(16,3077535,'1991-08-22 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124241241215371431433611342114610134092',16483,'868',35.53,1,3,NULL),(16,3077551,'1992-01-31 00:00:00',2,5,12,2009,'F','S','VILA SãO JOSé','ARARANGUá','SC','124241241215111431234679572122610132192',NULL,'27',35.79,1,3,NULL),(16,3077578,'1990-01-26 00:00:00',2,10,12,2007,'F','N','MAGALHãES','LAGUNA','SC','124244241215132431427727495113610136097',11545,'525',46.09,1,3,NULL),(16,3077586,'1991-06-07 00:00:00',4,8,12,2008,'F','N','FáTIMA','JOINVILLE','SC','124243243216111431346314275124610124097',10297,'494',48.26,1,3,NULL),(16,3077594,'1989-08-04 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215274431578932572122610122182',2476,'270',65.42,1,3,NULL),(16,3077608,'1991-01-09 00:00:00',4,1,12,2008,'M','N','ALTO RIO FORTUNA','RIO FORTUNA','SC','124241241127131331445534242223610114142',15177,'665',39.25,1,2,1),(16,3077616,'1990-10-08 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215372431328721575124610168081',4315,'266',60.21,1,3,NULL),(16,3077632,'1989-02-15 00:00:00',4,1,12,2007,'M','N','LAGO SUL','LG SUL','DF','107072071217371631488833491112610124122',NULL,'9998',43.66,1,3,NULL),(16,3077640,'1990-10-19 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215112431448733375114610167112',12506,'262',44.37,1,3,NULL),(16,3077659,'1991-02-15 00:00:00',4,1,12,2008,'F','N','JARDIM CARDINALLI','S CARLOS','SP','125252251217111431438812424112610135117',12644,'9998',44.09,1,3,NULL),(16,3077667,'1990-06-25 00:00:00',4,1,12,2006,'M','N','BOM ABRIGO','FLORIANóPOLIS','SC','124251251116131431228823575114143222093',NULL,'9998',0.00,1,3,NULL),(16,3077675,'1990-11-21 00:00:00',4,1,11,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215121731378823491112610124141',5642,'270',57.18,1,3,NULL),(16,3077691,'1990-08-25 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217272411488614592112132865182',NULL,'1048',0.00,1,3,NULL),(16,3077705,'1989-06-22 00:00:00',2,8,11,2006,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242246211512431558813574124610117077',15637,'1105',38.22,1,3,NULL),(16,3077713,'1992-04-04 00:00:00',4,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124242241215111431347839395124610127142',8092,'272',52.25,1,3,NULL),(16,3077721,'1991-08-09 00:00:00',4,1,11,2008,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242248215111431546732576112610167145',8590,'270',51.27,1,3,NULL),(16,3077730,'1989-10-30 00:00:00',4,1,12,2007,'F','N','VILA NOVA','CAMPINAS','SP','125082251217471451469814574122610168151',NULL,'9998',0.00,1,3,NULL),(16,3077748,'1990-05-17 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215372752258933575124610167047',1023,'270',71.97,1,3,NULL),(16,3077756,'1989-06-29 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241217153411368933572122231067052',6864,'951',54.55,1,3,NULL),(16,3077764,'1990-05-27 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124241241112273421226373345124610136147',13262,'65',43.04,4,2,1),(16,3077772,'1992-02-04 00:00:00',4,7,12,2008,'F','N','CENTRO','MTE CARLO','SC','124241241215161431544933574124610134147',NULL,'317',20.93,1,3,NULL),(16,3077780,'1990-08-13 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124243241115111751568813575124610164161',14676,'267',40.32,1,3,NULL),(16,3077799,'1991-06-22 00:00:00',4,5,10,2008,'M','N','CENTRO','STA ROSA SUL','SC','124241241412111521365619592112610167057',NULL,'32',21.62,4,3,NULL),(16,3077802,'1991-09-02 00:00:00',4,8,11,2008,'M','N','AMéRICA','JOINVILLE','SC','124242241217112411368934575112610156192',78,'486',81.52,1,3,NULL),(16,3077810,'1991-12-21 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431427723575122610135097',12569,'1022',44.23,1,3,NULL),(16,3077829,'1991-09-27 00:00:00',4,3,12,2008,'F','N','ZONA','MARINGá','PR','116162161217151431478813572112610114012',8194,'9998',52.03,1,3,NULL),(16,3077837,'1990-12-05 00:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241217112731359923576124610137095',1967,'883',67.32,1,3,NULL),(16,3077845,'1990-12-22 00:00:00',4,5,12,2007,'M','N','CENTRO','GUARACIABA','SC','124242241215473431444612585124610137042',12083,'751',45.13,1,3,NULL),(16,3077853,'1990-03-17 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241235112431478713572125610145182',15174,'1022',39.26,1,3,NULL),(16,3077861,'1990-02-15 00:00:00',4,3,12,2007,'F','N','VALE DO SOL','S JOSé R PRETO','SP','125252251217472711469933575112610137097',4914,'9998',58.83,4,3,NULL),(16,3077870,'1991-03-21 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215471431368933575125610166141',4431,'270',59.93,1,3,NULL),(16,3077896,'1991-04-01 00:00:00',4,3,12,2008,'M','N','CENTRO','APUCARANA','PR','116162161216111431458913575122610128054',NULL,'9998',36.95,1,3,NULL),(16,3077900,'1992-03-18 00:00:00',2,1,11,2009,'F','S','JOãO PAULO','FLORIANóPOLIS','SC','124241241117111431438414575114610132012',NULL,'267',34.68,1,3,NULL),(16,3077918,'1990-03-09 00:00:00',2,8,12,2007,'F','N','GRAPIA','PARAíSO','SC','124241241135471431444923575224610128052',6637,'604',54.98,1,2,1),(16,3077926,'1991-05-19 00:00:00',4,1,11,2008,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241215122431348512575114610125077',4044,'270',60.94,1,3,NULL),(16,3077934,'1991-06-28 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124142241217271731438619574124610163141',5884,'988',56.62,4,3,NULL),(16,3077950,'1990-11-10 00:00:00',4,1,12,2008,'M','N','CENTRO','LONDRINA','PR','116162161216411431459714575112610164081',NULL,'9998',0.00,1,3,NULL),(16,3077969,'1990-04-28 00:00:00',4,8,11,2007,'F','N','AMéRICA','JOINVILLE','SC','124242241215472431439914285124610133147',5034,'1016',58.54,1,3,NULL),(16,3077977,'1988-09-26 00:00:00',4,1,12,2005,'M','N','KOBRASOL','S JOSé','SC','124241241215474731447912576114610122087',1126,'1076',71.31,1,3,NULL),(16,3077985,'1988-07-14 00:00:00',3,1,11,2006,'M','N','HIGIENOPOLIS','STA CRUZ SUL','RS','120281201216472431458831495122142162117',7942,'9998',52.52,1,3,NULL),(16,3077993,'1991-12-29 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241117371431333331575124610164057',NULL,'288',35.13,1,2,1),(16,3078000,'1990-04-19 00:00:00',5,1,12,2009,'M','S','PANTANAL','FLORIANóPOLIS','SC','124241241115111431348839375121610127072',NULL,'267',30.03,1,3,NULL),(16,3078019,'1990-04-15 00:00:00',4,1,12,2007,'F','N','SETOR BUENO','GOIâNIA','GO','109092091216471431476812574122610136042',5679,'9998',57.12,1,3,NULL),(16,3078027,'1990-09-03 00:00:00',4,2,11,2008,'M','N','ESTADOS','INDAIAL','SC','124242241135271431477932575124610117042',14696,'909',40.29,1,3,NULL),(16,3078035,'1991-05-27 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124202201215111431246812575124610124052',16399,'270',35.94,1,3,NULL),(16,3078043,'1990-05-25 00:00:00',4,2,12,2007,'M','N','DAS NAçõES','TIMBó','SC','124242241115412431377832594122610164052',4875,'1157',58.94,1,3,NULL),(16,3078051,'1990-06-01 00:00:00',4,8,12,2007,'F','N','VILA SACADURA CABRAL','STO ANDRé','SP','125252251216471431558813575112610166092',NULL,'9998',0.00,1,3,NULL),(16,3078060,'1984-12-29 00:00:00',4,1,11,2002,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215272231468813472124333237152',5306,'723',57.86,1,3,NULL),(16,3078078,'1974-11-30 00:00:00',2,1,12,2007,'M','N','SERRARIAS','S JOSé','SC','624241241126132732322244145112610128197',7526,'946',53.28,1,2,1),(16,3078086,'1991-02-05 00:00:00',4,1,10,2008,'M','N','CACUPé','FLORIANóPOLIS','SC','124242241216111432368813375124610127017',6359,'266',55.56,1,3,NULL),(16,3078094,'1977-09-15 00:00:00',2,1,12,1997,'M','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','224241248136135721333344441124322332117',9247,'9997',50.16,1,2,1),(16,3078108,'1988-09-01 00:00:00',4,8,11,2006,'F','N','BARRA DO RIO CERRO','JARAGUá SUL','SC','124242248215573751579811574125610148142',622,'491',74.76,1,3,NULL),(16,3078124,'1984-12-09 00:00:00',2,1,12,2002,'M','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241111115111111111111111112112171',NULL,'298',0.00,1,3,NULL),(16,3078132,'1991-11-16 00:00:00',2,1,12,2008,'F','N','OLARIAS','PNT GROSSA','PR','116162161216111431547923572112610134117',15296,'9998',38.98,3,3,NULL),(16,3078167,'1990-10-22 00:00:00',4,1,11,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124242241217113431569813476124610162077',13181,'1022',43.18,1,3,NULL),(16,3078175,'1991-01-09 00:00:00',4,1,11,2008,'F','N','ARMAçãO','FLORIANóPOLIS','SC','124242248235111431446632222122610123072',8648,'270',51.17,1,3,NULL),(16,3078183,'1992-12-02 00:00:00',2,1,11,2008,'F','N','CAMPO EXPERIMENTAL','VIDEIRA','SC','624243241315131431436939595125610134142',NULL,'831',0.00,1,3,NULL),(16,3078191,'1991-10-14 00:00:00',4,1,12,2008,'F','N','MATRIZ','MAUá','SP','125252251216371431448811575122610112072',NULL,'9998',0.00,1,3,NULL),(16,3078205,'1990-05-07 00:00:00',2,1,12,2007,'F','N','CENTRO','S LEOPOLDO','RS','620203201416471431456674372315610163197',NULL,'9998',21.11,1,3,NULL),(16,3078213,'1991-03-25 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217152431468923572112610147045',3682,'262',61.87,1,3,NULL),(16,3078221,'1991-10-03 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215111741358813585124610128116',8937,'1022',50.67,4,3,NULL),(16,3078230,'1988-12-18 00:00:00',2,1,12,2006,'M','N','PIATã','SALVADOR','BA','105052051217152431589933375122241464112',NULL,'9998',0.00,4,3,NULL),(16,3078248,'1990-11-14 00:00:00',4,1,12,2007,'F','N','VILA VILAS BOAS','CPO GRANDE','MS','112122121217471431459813574122610162071',10547,'9998',47.84,2,1,2),(16,3078256,'1991-04-14 00:00:00',4,1,12,2008,'M','N','ARMAçãO','FLORIANóPOLIS','SC','124241241135131731335614572124610127187',NULL,'291',6.68,1,2,1),(16,3078264,'1991-09-26 00:00:00',4,1,11,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124242246217131311548833575121610147057',NULL,'1075',28.46,1,3,NULL),(16,3078272,'1980-03-11 00:00:00',4,1,12,1998,'M','N','BALNEARIO','FLORIANóPOLIS','SC','124242257245234431447621311134610128012',NULL,'259',13.31,1,3,NULL),(16,3078280,'1990-02-20 00:00:00',4,1,11,2007,'F','N','ASA NORTE','BRASíLIA','DF','107072078214371431588913572112610166093',7035,'9998',54.22,1,3,NULL),(16,3078299,'1990-04-25 00:00:00',2,1,11,2007,'F','N','PROGRESSO','RIO DO SUL','SC','124242241215371431436412595122610126197',2447,'653',65.52,1,3,NULL),(16,3078310,'1989-02-11 00:00:00',4,1,12,2006,'M','N','PITUBA','SALVADOR','BA','105052051235152731479912472122241467082',NULL,'9998',0.00,4,3,NULL),(16,3078329,'1990-06-17 00:00:00',2,10,12,2007,'F','N','SãO MAURíCIO','BRAçO NORTE','SC','124241241117151431425535575124610163147',13415,'665',42.77,1,2,1),(16,3078337,'1990-09-13 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248215111431269913574112610164145',NULL,'1022',26.23,1,3,NULL),(16,3078345,'1990-03-19 00:00:00',4,1,12,2007,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124072071237272411379911575114122927027',1760,'9998',68.17,1,3,NULL),(16,3078361,'1988-07-20 00:00:00',4,8,11,2006,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161216572421278611572114610164032',NULL,'9998',0.00,1,3,NULL),(16,3078370,'1991-10-06 00:00:00',4,1,12,2009,'M','S','IPIRANGA','S JOSé','SC','124242241217151131457832375112610164062',NULL,'738',45.54,1,3,NULL),(16,3078388,'1988-01-25 00:00:00',4,1,6,2007,'F','N','JARDIM DAS COLINAS','S JOSé CAMPOS','SP','125283281316471411569714215121610141092',NULL,'9998',0.00,3,3,NULL),(16,3078396,'1992-05-19 00:00:00',4,8,11,2008,'M','N','JARDIM AMéRICA','S JOSé CAMPOS','SP','125252251215411431367631575122610127094',10921,'9998',47.16,1,3,NULL),(16,3078400,'1990-09-04 00:00:00',4,2,11,2007,'M','N','VELHA','BLUMENAU','SC','124241241216132411437614295124231464187',8475,'1093',51.44,1,3,NULL),(16,3078418,'1991-04-25 00:00:00',2,1,12,2008,'M','N','BOM JESUS','CPO GRANDE','MS','112122121217371431566714572112610164147',11064,'9998',46.91,1,3,NULL),(16,3078426,'1991-07-25 00:00:00',2,1,12,2008,'F','N','BOM VIVER','BIGUAçU','SC','124241241215212411548632295125610134073',NULL,'868',30.79,1,3,NULL),(16,3078434,'1989-09-09 00:00:00',2,1,12,2006,'F','N','SANTA MARIA','TOLEDO','PR','116163161316573441355934275123610133022',10027,'9998',48.73,1,3,NULL),(16,3078442,'1989-04-03 00:00:00',4,7,12,2006,'M','N','JARDIM DAS AMERICAS','PATO BRANCO','PR','116162161116573431456973575124232437047',3042,'9998',63.68,1,3,NULL),(16,3078450,'1988-12-28 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241217433431568813497124233267097',NULL,'270',0.00,1,3,NULL),(16,3078477,'1986-12-28 00:00:00',4,1,11,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','124162161216575431348831472124230242017',272,'9998',78.33,4,3,NULL),(16,3078485,'1991-02-19 00:00:00',2,1,11,2008,'F','N','CENTRO','RIO SUL','SC','124242241416131431434614475124610143147',NULL,'658',0.00,4,3,NULL),(16,3078493,'1988-09-23 00:00:00',2,1,11,2006,'M','N','CHACARA DA BARRA','CAMPINAS','SP','125252251212413441259834294121610167111',NULL,'9998',42.35,1,3,NULL),(16,3078507,'1992-07-18 00:00:00',2,10,12,2009,'M','S','BELA VISTA','S LUDGERO','SC','124242241211111431456934345122610164047',NULL,'950',47.40,1,3,NULL),(16,3078515,'1990-01-30 00:00:00',4,1,12,2007,'M','N','CENTRO','BRUSQUE','SC','124242241317272411549912225131610144162',9308,'111',50.06,1,3,NULL),(16,3078523,'1980-05-24 00:00:00',2,1,12,2000,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241247626132731333944241124610162097',NULL,'9999',27.42,1,3,NULL),(16,3078531,'1991-06-16 00:00:00',4,10,11,2008,'F','N','SANTO ANTONIO DE P','TUBARãO','SC','124241241145131431333713371121610163142',NULL,'1034',23.65,1,2,1),(16,3078540,'1982-05-07 00:00:00',4,1,12,2000,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124202241212152721366823372122321467117',7529,'272',53.27,1,3,NULL),(16,3078566,'1990-05-23 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSé','SC','124242241215473431466933574114230267042',1815,'1022',67.96,1,3,NULL),(16,3078574,'1991-03-01 00:00:00',2,1,12,2008,'F','N','MIGUEL COUTO','CPO GRANDE','MS','112122121217121431534832172214610164187',NULL,'9998',0.00,1,3,NULL),(16,3078582,'1991-01-02 00:00:00',4,10,12,2008,'M','N','VILA NOVA','IMBITUBA','SC','124243241117271451334611572124610128187',7216,'359',53.88,1,3,NULL),(16,3078590,'1990-02-02 00:00:00',4,1,12,2008,'M','N','CENTRO','S LEOPOLDO','RS','620203201217371431448711575115610122187',NULL,'9998',23.54,1,3,NULL),(16,3078604,'1986-07-15 00:00:00',2,1,12,2005,'M','N','SERRINHA','FLORIANóPOLIS','SC','124241241112134411523314242134610127187',15417,'298',38.74,1,2,1),(16,3078612,'1990-07-24 00:00:00',4,7,10,2007,'M','N','ÁGUA VERDE','CURITIBA','PR','116242161217471431558811514124142467042',NULL,'454',0.00,1,3,NULL),(16,3078620,'1990-09-29 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124243241135371531427514345122610127017',10142,'733',48.54,1,3,NULL),(16,3078639,'1990-09-09 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241117371411456923572124610167112',2485,'271',65.38,1,2,1),(16,3078647,'1990-04-04 00:00:00',2,4,11,2007,'F','N','CENTRO','CASCAVEL','PR','116162161215472431234811571114610124072',2438,'9998',65.57,1,3,NULL),(16,3078671,'1981-10-16 00:00:00',4,2,12,1998,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','224243241236272421233844443222343262187',5628,'441',57.21,1,3,NULL),(16,3078680,'1989-10-05 00:00:00',4,1,12,2006,'M','N','SãO JORGE','PARANAVAí','PR','116161161417571431356612475111140822017',10448,'9998',48.01,1,3,NULL),(16,3078698,'1991-01-26 00:00:00',4,1,12,2008,'F','N','SãO JOãO','SALTO','SP','125251251146471431333614345124610127097',NULL,'9998',0.00,1,2,1),(16,3078701,'1984-10-28 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215153422338834445124222224195',4666,'270',59.39,1,3,NULL),(16,3078728,'1990-09-25 00:00:00',4,8,11,2008,'F','N','UBATUBA','S FRANCISCO SUL','SC','124241241117271431446313375124610164147',NULL,'710',20.98,4,3,NULL),(16,3078736,'1991-03-03 00:00:00',4,1,12,2008,'M','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241241115271431321231315124610167142',10635,'307',47.67,1,2,1),(16,3078744,'1989-06-28 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241116373431434311385114610163091',13551,'257',42.53,1,3,NULL),(16,3078752,'1991-03-19 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSé R PRETO','SP','125252251215111431436631375122610166187',15655,'9998',38.18,1,3,NULL),(16,3078760,'1990-01-25 00:00:00',4,10,12,2007,'F','N','CONDE D EU','ORLEANS','SC','124241241136272431438611172124610163147',10911,'580',47.17,1,2,1),(16,3078779,'1987-06-22 00:00:00',2,1,12,2004,'M','N','DISTRITO INDUSTRIAL','JOINVILLE','SC','124241241137471431536612585111231467052',8540,'840',51.36,1,2,1),(16,3078787,'1990-11-06 00:00:00',4,1,11,2007,'F','N','ALVORADA','CUIABá','MT','111112111237472411548833575122610113097',9133,'9998',50.35,2,3,NULL),(16,3078795,'1989-07-09 00:00:00',4,1,12,2007,'F','N','BOA ESPERANçA','CUIABá','MT','111114111315472431268911574112610131197',1393,'9998',69.85,1,3,NULL),(16,3078809,'1991-06-09 00:00:00',4,1,12,2008,'F','N','BOM JESUS','S JOSé R PRETO','SP','125252251215111431336621375122610164077',NULL,'9998',24.51,1,3,NULL),(16,3078817,'1991-01-02 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241117471431239913232124610134177',6643,'307',54.97,1,2,1),(16,3078841,'1991-10-18 00:00:00',4,1,12,2008,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241241315211431236614575124610133147',16082,'1022',36.99,1,3,NULL),(16,3078850,'1990-04-29 00:00:00',2,8,12,2007,'M','N','ÁGUA VERDE','CANOINHAS','SC','124241241136271431334673385122610127047',NULL,'153',0.00,2,1,1),(16,3078868,'1991-01-13 00:00:00',4,2,12,2008,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124244241215371731466812571112610128092',NULL,'855',24.69,1,3,NULL),(16,3078884,'1981-05-20 00:00:00',4,1,11,1998,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241126135421244424235114321966182',7699,'307',52.96,1,2,1),(16,3078892,'1981-11-08 00:00:00',2,1,11,1998,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241136135711436627345134120935127',8389,'307',51.61,4,2,1),(16,3078914,'1991-05-09 00:00:00',2,1,11,2008,'M','N','JARDIM PROGRESSO','PRIMAVERA LESTE','MT','111111111216161431433631345123610127072',NULL,'9998',0.00,2,1,2),(16,3078922,'1984-10-28 00:00:00',4,1,12,2002,'M','N','PARAISO','S PAULO','SP','125252251216571431489921575122142422187',624,'9998',74.75,3,3,NULL),(16,3078930,'1991-01-24 00:00:00',4,1,12,2008,'F','N','JARDIM CONTINENTAL','MARíLIA','SP','125253251215111431436631574122610166194',NULL,'9998',40.72,1,3,NULL),(16,3078949,'1989-07-22 00:00:00',4,1,11,2006,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241115573431447613442134610163187',12979,'307',43.54,4,2,1),(16,3078957,'1989-09-21 00:00:00',4,1,12,2007,'F','N','VILA NOVA','TROMBUDO CENTRAL','SC','124241245147372411336814344135610123092',NULL,'659',0.00,1,2,1),(16,3078965,'1985-11-09 00:00:00',2,1,12,2002,'F','N','PASSA VINTE','PALHOçA','SC','124241241136135431544313335122230268187',5227,'592',58.06,1,2,1),(16,3078973,'1991-11-22 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215422531226829575325610127122',2169,'270',66.53,1,3,NULL),(16,3078981,'1990-05-05 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124241241415373431258929275122230434095',962,'270',72.26,1,3,NULL),(16,3079007,'1991-10-21 00:00:00',4,1,11,2008,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124244241217111231568613574112610166097',2433,'723',65.58,1,3,NULL),(16,3079015,'1992-01-04 00:00:00',2,1,12,2008,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124243241417151431466933572124610134147',11633,'1014',45.94,1,3,NULL),(16,3079031,'1990-01-30 00:00:00',4,1,2,2008,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241241111132431546924375124221768042',NULL,'739',0.00,4,1,1),(16,3079040,'1991-06-16 00:00:00',2,1,12,2008,'F','N','BARRA DO ARIRIU','PALHOçA','SC','124242241115271431636622244124610118142',16179,'592',36.71,1,3,NULL),(16,3079058,'1991-01-12 00:00:00',2,1,12,2008,'M','N','PRAIA DE FORA','PALHOçA','SC','124241241115141431425314372224610114147',16616,'592',34.68,1,2,1),(16,3079074,'1989-07-26 00:00:00',4,1,12,2008,'M','N','CAMINHO NOVO','PALHOçA','SC','124241241115141632621344442121610137142',NULL,'592',28.90,1,2,1),(16,3079082,'1979-10-21 00:00:00',2,1,10,1998,'M','N','FUNDOS','BIGUAçU','SC','124241241326133421236644342234130868187',NULL,'9999',30.88,1,3,NULL),(16,3079104,'1991-07-01 00:00:00',4,4,12,2008,'F','N','CENTRO','ALPESTRE','RS','120201201117161432627812242122610124147',NULL,'9998',31.50,1,2,1),(16,3079112,'1991-01-12 00:00:00',2,1,12,2007,'F','N','CENTRO','S PEDRO ALCâNTARA','SC','124241241215372431464923575124610127092',9424,'1074',49.85,1,3,NULL),(16,3079139,'1991-02-05 00:00:00',2,1,12,2008,'M','N','DOM MIELLE','RIBEIRAO PRETO','SP','125251251217111431456834575124610137187',2484,'9998',65.38,1,3,NULL),(16,3079147,'1991-08-01 00:00:00',4,1,12,2008,'M','N','FAZ SANTO ANTôNIO','S JOSé','SC','124241241117151431413319342224610162017',NULL,'739',34.33,1,2,1),(16,3079155,'1990-07-21 00:00:00',4,1,12,2007,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124243241216372431458632372124610124072',4766,'270',59.14,1,3,NULL),(16,3079171,'1990-01-26 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241217372431419713475124610167147',2028,'797',67.09,1,3,NULL),(16,3079180,'1992-03-02 00:00:00',4,1,12,2008,'F','N','NOVA REDENTORA','S JOSé R PRETO','SP','125252251215172431468831571122610112142',877,'9998',72.82,1,3,NULL),(16,3079198,'1976-09-12 00:00:00',4,1,12,1993,'M','N','SAO JOAO','TUBARãO','SC','124241241316475751535439485224221966182',4970,'806',58.68,1,3,NULL),(16,3079201,'1991-10-05 00:00:00',2,1,12,2008,'F','N','CENTRO','CRICIúMA','SC','124241241137131531514329572324610126057',NULL,'209',26.64,1,2,1),(16,3079210,'1990-03-26 00:00:00',4,6,11,2007,'F','N','JARDIM MARIA LUIZA','CASCAVEL','PR','116161161216471411435619515122610164187',NULL,'9998',0.00,1,3,NULL),(16,3079236,'1985-09-19 00:00:00',4,8,12,2002,'M','N','BATEL','CURITIBA','PR','116242163214571431458711292113131057187',13003,'9998',43.49,1,3,NULL),(16,3079244,'1979-02-27 00:00:00',2,1,12,1996,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','224241241126134431223344342324610166062',11920,'763',45.41,1,2,1),(16,3079260,'1990-03-06 00:00:00',4,1,12,2007,'M','N','MEDICINA','POUSO ALEGRE','MG','113132131216371231438613572122610127042',3330,'9998',62.91,4,3,NULL),(16,3079279,'1989-01-25 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241311372431636413371124610137147',11672,'1098',45.87,1,3,NULL),(16,3079287,'1991-03-03 00:00:00',4,1,12,2007,'M','N','JD PROGRESSO','PARANAVAí','PR','116163161316111131455712575112143238142',NULL,'9998',31.11,1,3,NULL),(16,3079295,'1991-05-08 00:00:00',2,1,12,2008,'F','N','PRESIDENTE VARGAS','IçARA','SC','124241241317131531425524342324610127097',NULL,'209',26.95,1,3,NULL),(16,3079309,'1989-05-19 00:00:00',4,4,12,2006,'M','N','CENTRO','CONCóRDIA','SC','124241242115151431447854242234610127052',NULL,'196',0.00,1,3,NULL),(16,3079317,'1989-08-19 00:00:00',2,1,12,2006,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','224161161126141721225352245332610124147',NULL,'9998',24.69,4,3,NULL),(16,3079333,'1982-11-28 00:00:00',4,1,12,2001,'M','N','CENTRO','STA MARIA','RS','120194207417572431446712195122140724047',NULL,'9998',46.39,1,3,NULL),(16,3079341,'1972-07-23 00:00:00',4,1,11,1989,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124252251216143731329961415122321237027',NULL,'9998',0.00,1,3,NULL),(16,3079368,'1991-09-09 00:00:00',4,1,12,2008,'F','N','CENTRO','BOM JESUS','RS','120201201117161431327623472325610124147',14725,'9998',40.22,1,2,1),(16,3079376,'1991-11-14 00:00:00',4,1,12,2008,'F','N','MARACANã','FOZ IGUAçU','PR','116163161217121231648611272122610132077',NULL,'9998',25.11,4,3,NULL),(16,3079384,'1990-04-21 00:00:00',4,1,4,2008,'M','N','PONTA DE BAIXO','S JOSé','SC','124244241216372411668719245122610167043',16676,'1075',34.02,1,3,NULL),(16,3079392,'1990-12-29 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241315372431226624395114610142142',10884,'1022',47.21,4,3,NULL),(16,3079406,'1990-08-10 00:00:00',2,9,12,2007,'F','N','SAO CRISTOVAO','LAGES','SC','124242241235572431556314571122610167017',NULL,'499',0.00,1,3,NULL),(16,3079414,'1991-04-05 00:00:00',4,1,11,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215111431666933575114610168192',8156,'266',52.13,1,3,NULL),(16,3079422,'1987-05-22 00:00:00',2,9,12,2004,'M','N','CENTRO','LAGES','SC','124242241214132431435834242121333247052',13965,'499',41.72,1,3,NULL),(16,3079430,'1990-08-16 00:00:00',2,1,12,2007,'M','N','SANTA TEREZA','S PEDRO ALCâNTARA','SC','124241241116271431443434245114610127053',NULL,'733',24.86,1,2,1),(16,3079449,'1990-01-10 00:00:00',4,1,12,2007,'F','N','JARDIM STABILE','BIRIGüI','SP','125251258227471431436614575122610131197',11416,'9998',46.32,1,3,NULL),(16,3079457,'1982-03-26 00:00:00',2,1,12,1999,'M','N','ITACORUBI','FLORIANóPOLIS','SC','624201201116131431126643335123140727147',9370,'9998',49.95,1,3,NULL),(16,3079465,'1989-11-04 00:00:00',2,1,12,2007,'M','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241136472731436632592124610162145',NULL,'281',24.40,1,2,1),(16,3079473,'1991-11-12 00:00:00',4,5,12,2008,'F','N','LINHA CONTESSI','TURVO','SC','124241241117161431635315572124610138147',NULL,'814',18.53,1,2,1),(16,3079490,'1988-04-24 00:00:00',4,1,12,2005,'F','N','CENTRO','CURITIBA','PR','116242161216574751369922572125242822193',NULL,'9998',0.00,1,3,NULL),(16,3079503,'1992-01-08 00:00:00',2,4,12,2008,'F','N','INTERIOR','CAXAMBU SUL','SC','124241241117271431423766576244610128053',13028,'162',43.46,4,2,1),(16,3079511,'1990-10-17 00:00:00',2,1,12,2007,'F','N','CENTRO','PATO BRANCO','PR','116114118216471431444435572125610168055',14873,'9998',39.94,4,3,NULL),(16,3079520,'1987-02-21 00:00:00',4,1,12,2005,'M','N','CENTRO','STO ANTôNIO POSSE','SP','125201201215573431153612585122610164052',4712,'9998',59.28,1,3,NULL),(16,3079538,'1988-09-04 00:00:00',2,2,12,2005,'F','N','EUROPISO','LONTRAS','SC','124241241127272731336524282224131152057',7621,'535',53.11,1,2,1),(16,3079554,'1989-09-03 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124214241215573751446339374124610138077',1859,'738',67.75,4,1,2),(16,3079562,'1986-03-28 00:00:00',4,8,12,2003,'F','N','BOM RETIRO','JOINVILLE','SC','124203201214273441345723382223231462047',2455,'9998',65.50,1,3,NULL),(16,3079570,'1990-12-11 00:00:00',2,4,12,2008,'M','N','INTERIOR','CAIBI','SC','124241241116131231512326365324610156077',NULL,'127',22.59,4,3,NULL),(16,3079589,'1989-10-27 00:00:00',2,1,12,2007,'F','N','BONFIM PAULISTA','BONFIM PAULISTA','SP','125252251216412431678831591122610123093',6822,'9998',54.63,1,3,NULL),(16,3079597,'1986-10-15 00:00:00',2,1,12,2003,'F','N','CAMPINAS','S JOSé','SC','124202201116151411255823275124342061097',4989,'9998',58.63,1,3,NULL),(16,3079619,'1990-01-10 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124202201216151411338644345124610165182',NULL,'9998',12.28,1,3,NULL),(16,3079627,'1990-06-26 00:00:00',2,1,12,2007,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241216372431343361575124610127072',NULL,'1133',34.01,1,3,NULL),(16,3079635,'1990-06-16 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248211372751159833571112610167012',16077,'270',37.01,1,3,NULL),(16,3079643,'1991-03-25 00:00:00',4,8,12,2008,'F','N','BOA VISTA','JOINVILLE','SC','124241241117271431434432345124610163112',NULL,'469',30.73,1,2,1),(16,3079651,'1990-09-03 00:00:00',2,1,12,2007,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215372411366533575122233261192',2968,'262',63.92,1,3,NULL),(16,3079678,'1991-03-08 00:00:00',4,9,12,2007,'M','N','CENTRO','VACARIA','RS','120202201417271431336519575111610164157',NULL,'9998',31.56,1,3,NULL),(16,3079686,'1991-01-25 00:00:00',4,1,12,2007,'F','N','ABERTA DOS MORROS','PTO ALEGRE','RS','120202201211471431479914472122610128041',NULL,'9998',0.00,4,3,NULL),(16,3079708,'1987-12-02 00:00:00',4,2,8,2006,'M','N','VELHA','BLUMENAU','SC','124241247122132431323319385124610164057',NULL,'9999',28.18,1,2,1),(16,3079724,'1990-12-10 00:00:00',2,1,12,2007,'F','N','JANSEN','GRAVATAí','RS','120222201216471431337933575114610162052',9730,'9998',49.29,1,3,NULL),(16,3079759,'1989-08-22 00:00:00',4,1,12,2006,'M','N','PARQUE IRACEMA','CATANDUVA','SP','125252251216471231467727575112610164142',6743,'9998',54.78,1,3,NULL),(16,3079775,'1953-02-26 00:00:00',4,1,12,1972,'M','N','CENTRO','FLORIANóPOLIS','SC','224242241216272411474641215122321437062',5614,'262',57.23,1,3,NULL),(16,3079783,'1988-06-26 00:00:00',4,1,12,2005,'F','N','ÁGUA VERDE','CURITIBA','PR','116164161216471411358739295122141331097',NULL,'9998',0.00,1,3,NULL),(16,3079791,'1989-10-13 00:00:00',4,2,12,2007,'F','N','CENTRO II','BRUSQUE','SC','124241241137141732446419143224610122097',NULL,'876',24.86,1,2,1),(16,3079805,'1989-11-01 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241417274421259923392324120913097',3385,'1022',62.73,1,3,NULL),(16,3079813,'1989-01-10 00:00:00',2,1,12,2006,'F','N','FATIMA','FLORIANóPOLIS','SC','124244241215373411445312575122610122072',11911,'1134',45.43,1,3,NULL),(16,3079821,'1989-08-23 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241217125411468821295122230263112',8001,'270',52.42,1,3,NULL),(16,3079830,'1988-01-15 00:00:00',2,1,11,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241215575431246612574124610123097',125,'499',80.58,1,3,NULL),(16,3079848,'1990-07-31 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241215572431489811572214610164042',991,'270',72.13,1,3,NULL),(16,3079856,'1989-08-14 00:00:00',2,5,12,2007,'M','N','VILA BEATRIZ','MARACAJá','SC','124241241137472431236529345122610116017',11088,'550',46.87,1,2,1),(16,3079864,'1987-05-21 00:00:00',2,1,6,2006,'M','N','VARGEM PEQUENA','FLORIANóPOLIS','SC','124241247411372731436613245124610168187',11245,'9999',46.57,1,3,NULL),(16,3079872,'1989-09-06 00:00:00',2,8,12,2006,'F','N','NEREU RAMOS','JARAGUá SUL','SC','124241241126271411443319242324610126141',12550,'429',44.26,1,2,1),(16,3079899,'1991-05-25 00:00:00',4,1,12,2008,'F','N','VIGOLO','NOVA TRENTO','SC','124241241137131431333624572124610145147',NULL,'574',26.83,1,2,1),(16,3079902,'1993-03-24 00:00:00',4,1,11,2010,'M','S','CENTRO','S JOAQUIM','SC','124242241215111432469613476322610134172',NULL,'720',54.93,1,3,NULL),(16,3079910,'1985-07-11 00:00:00',4,1,12,2002,'M','N','CENTRO','S JOSé R PRETO','SP','124162161217473411148824485324121467097',1445,'9998',69.56,1,3,NULL),(16,3079929,'1988-07-25 00:00:00',4,1,11,2005,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241216273451579713485114610167192',NULL,'266',0.00,1,3,NULL),(16,3079953,'1990-11-16 00:00:00',2,1,12,2007,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241116472441444612575324610121192',NULL,'192',33.94,1,2,1),(16,3079961,'1991-08-08 00:00:00',2,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215271431526823575122610122077',15233,'226',39.13,1,3,NULL),(16,3079988,'1991-11-22 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242248216111411448631274121610127092',12801,'1038',43.84,1,3,NULL),(16,3079996,'1991-04-05 00:00:00',2,10,12,2008,'F','N','SANTO ANTONIO','TUBARãO','SC','124241241115371431427414575112610161142',13646,'1034',42.38,1,2,1),(16,3080005,'1986-08-05 00:00:00',4,1,12,2003,'M','N','JD CIDADE FPOLIS','S JOSé','SC','124204201216375431458812375122230232097',668,'9998',74.43,1,3,NULL),(16,3080013,'1989-09-22 00:00:00',4,8,12,2006,'F','N','CENTRO','LONDRINA','PR','116162161216271431438814575122141066092',15452,'9998',38.64,3,3,NULL),(16,3080021,'1986-12-26 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','124204201212372431118444391114610163097',4950,'9998',58.73,1,3,NULL),(16,3080030,'1985-09-09 00:00:00',2,5,11,2003,'F','N','SAO LUIZ','CRICIúMA','SC','124242241215574731556513335122132621187',4554,'226',59.66,1,3,NULL),(16,3080048,'1990-12-25 00:00:00',4,1,11,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215122431378912472124610137046',537,'270',75.50,1,3,NULL),(16,3080056,'1990-08-20 00:00:00',4,1,12,2008,'M','N','GRAJAú','RIO JANEIRO','RJ','121211216137151431657872575124610167182',9799,'9998',49.16,4,3,NULL),(16,3080064,'1979-09-12 00:00:00',4,1,12,1997,'F','N','CENTRO','FLORIANóPOLIS','SC','224242241217473431256651571122132862182',6885,'725',54.51,1,3,NULL),(16,3080072,'1974-02-24 00:00:00',2,1,12,1999,'F','N','CENTRO','FLORIANóPOLIS','SC','124131131127131431124444142124610127187',NULL,'9998',28.82,2,1,1),(16,3080102,'1991-07-02 00:00:00',4,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','125252251217371411479933571122610123194',NULL,'9998',0.00,1,3,NULL),(16,3080110,'1990-10-25 00:00:00',4,1,11,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241117271431547613572124610162085',NULL,'286',32.52,1,2,1),(16,3080129,'1986-02-10 00:00:00',2,1,6,2008,'M','N','PONTA DE BAIXO','S JOSé','SC','124243247222211211331144242333610162097',15307,'1010',38.95,4,3,NULL),(16,3080137,'1991-10-22 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242246215471431368933575122610127042',3499,'262',62.38,1,3,NULL),(16,3080145,'1991-06-17 00:00:00',4,2,11,2008,'M','N','SOUZA CRUZ','BRUSQUE','SC','124242241215271731468814592112610167047',3827,'107',61.52,1,3,NULL),(16,3080153,'1991-01-07 00:00:00',2,1,12,2008,'M','N','CENTRO','UMUARAMA','PR','116161161315411431446632245122610124122',NULL,'9998',26.58,1,3,NULL),(16,3080170,'1991-04-23 00:00:00',2,4,12,2008,'M','N','CENTRO','FORMOSA SUL','SC','124241241135161431334411575125610131147',11832,'308',45.59,1,2,1),(16,3080188,'1989-10-22 00:00:00',2,1,12,2006,'M','N','BELA VISTA II','S JOSé','SC','124241241111271431326631215123610122062',NULL,'726',24.63,4,2,1),(16,3080196,'1991-08-14 00:00:00',2,6,12,2008,'F','N','SãO JOãO','ITAJAí','SC','124242241215371431347714274122610126142',3878,'1057',61.39,1,3,NULL),(16,3080200,'1991-05-08 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241117151431447513572122610167187',NULL,'257',15.56,1,2,1),(16,3080218,'1991-08-30 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111431569911575122610163075',NULL,'270',45.07,1,3,NULL),(16,3080226,'1991-01-09 00:00:00',2,1,12,2008,'F','N','BELA VISTA','S JOSé','SC','124244248115121431436632131124610127072',NULL,'307',29.36,1,3,NULL),(16,3080234,'1990-08-08 00:00:00',4,1,11,2007,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124243241217372431565823382324131032197',NULL,'807',9.87,1,3,NULL),(16,3080242,'1989-08-20 00:00:00',2,1,12,2006,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241217272431456819575124231027047',9734,'266',49.28,2,3,NULL),(16,3080250,'1990-07-18 00:00:00',2,8,12,2007,'M','N','CENTRO','CASCAVEL','PR','116163161416471431456631575225610167042',NULL,'9998',0.00,1,3,NULL),(16,3080269,'1989-05-29 00:00:00',4,6,12,2006,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215572431358629572115610163187',10704,'1026',47.55,1,3,NULL),(16,3080277,'1991-04-22 00:00:00',2,10,11,2008,'F','N','CENTRO','TUBARãO','SC','124243241215271232453511212112610127182',9728,'807',49.29,1,3,NULL),(16,3080285,'1990-08-20 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124242241615372411337923292124131216141',501,'737',75.75,1,3,NULL),(16,3080293,'1989-06-09 00:00:00',4,2,12,2007,'M','N','AZAMBUJA','BRUSQUE','SC','124243241215472411476822172315610162112',2185,'107',66.47,1,3,NULL),(16,3080307,'1987-01-20 00:00:00',4,1,12,2007,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124242247435471441328421271224230847012',NULL,'9999',33.79,1,3,NULL),(16,3080315,'1990-11-30 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111331447811392122610127055',15950,'1022',37.36,3,3,NULL),(16,3080323,'1989-04-27 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241147332731513544346114610127047',13997,'687',41.65,1,2,1),(16,3080331,'1989-08-18 00:00:00',4,1,12,2006,'F','N','CENTRO','CASA BRANCA','SP','125252251217571731438839592122610167147',NULL,'9998',37.91,1,3,NULL),(16,3080340,'1989-05-05 00:00:00',2,1,12,2006,'M','N','BARREIROS','S JOSé','SC','124241241315372431113349392334610116187',6153,'1134',56.02,2,1,2),(16,3080358,'1991-09-30 00:00:00',4,4,11,2008,'F','N','CENTRO','ITAPIRANGA','SC','124241241447161331466631574122610127147',11736,'1060',45.75,1,3,NULL),(16,3080366,'1989-07-18 00:00:00',4,1,12,2006,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241116373721546613375124610124057',8114,'307',52.20,4,2,1),(16,3080374,'1990-02-03 00:00:00',4,8,12,2007,'F','N','ZONA SETE','MARINGá','PR','116111111146471431433415275114610167142',NULL,'9998',29.86,1,2,1),(16,3080382,'1990-12-07 00:00:00',4,2,12,2007,'M','N','HIGIENóPOLIS','PTO ALEGRE','RS','120242241215273431488812577114141437042',165,'107',79.80,1,3,NULL),(16,3080390,'1990-07-13 00:00:00',2,1,12,2008,'M','N','BELéM VELHO','PTO ALEGRE','RS','120203201117571431448831485124610144172',NULL,'9998',0.00,1,3,NULL),(16,3080404,'1987-08-03 00:00:00',4,10,12,2004,'F','N','CENTRO','CAPIVARI BAIXO','SC','124241241117141731424723245113131044197',13550,'808',42.53,1,2,1),(16,3080412,'1991-02-11 00:00:00',2,1,12,2008,'M','N','IPIRANGA','S JOSé','SC','124242241211271731558633572124610144047',NULL,'738',29.01,1,3,NULL),(16,3080420,'1990-06-20 00:00:00',4,1,12,2007,'M','N','BOA VISTA','CURITIBA','PR','116161161117472431666632575124610166072',NULL,'9998',37.54,1,2,1),(16,3080439,'1991-01-05 00:00:00',2,5,11,2008,'M','N','ARGENTINA','CRICIúMA','SC','124243241215371431225529392124610167042',11952,'920',45.35,1,3,NULL),(16,3080447,'1990-12-17 00:00:00',2,1,12,2008,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162161215121431369911472121610167152',NULL,'9998',0.00,1,3,NULL),(16,3080455,'1989-05-15 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244241415572411649712581124610162041',NULL,'269',24.36,3,3,NULL),(16,3080463,'1983-04-07 00:00:00',4,1,12,2000,'M','N','PICADAS DO SUL','S JOSé','SC','124241241136133451126344245123610122187',NULL,'293',0.00,1,2,1),(16,3080480,'1988-03-12 00:00:00',4,2,11,2006,'F','N','IMIGRANTES','TIMBó','SC','124241247216132431329879485115610116177',NULL,'9999',0.00,1,3,NULL),(16,3080498,'1988-12-17 00:00:00',4,1,6,2007,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124241241212272721434923495114130767057',NULL,'9999',20.80,1,3,NULL),(16,3080501,'1990-08-09 00:00:00',2,1,11,2007,'F','N','CENTRO','CURITIBA','PR','116161161216471431578831575112610123072',6217,'9998',55.87,1,3,NULL),(16,3080510,'1988-08-18 00:00:00',4,8,12,2007,'M','N','REGIãO DO LAGO II','CASCAVEL','PR','116161161345471231435519275121143224177',12361,'9998',44.61,1,3,NULL),(16,3080528,'1990-11-12 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124242241225111731446679572124610162017',14092,'1048',41.46,1,3,NULL),(16,3080536,'1988-10-11 00:00:00',2,1,12,2005,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124202201217474451448771415124122261142',5343,'9998',57.79,1,3,NULL),(16,3080544,'1990-06-23 00:00:00',4,2,12,2007,'F','N','VILA NOVA','BLUMENAU','SC','124202241217271421346612345134610122072',6833,'88',54.60,1,3,NULL),(16,3080552,'1979-12-04 00:00:00',2,1,5,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124161167126132421236659395115132834187',11795,'9999',45.64,1,2,1),(16,3080560,'1988-07-21 00:00:00',2,1,12,2006,'M','N','PARQUE ALVORADA','DOURADOS','MS','112121121117471431443661395121610112057',9631,'9998',49.46,1,2,1),(16,3080579,'1990-11-21 00:00:00',4,1,12,2007,'M','N','CENTRO','CASCAVEL','PR','116162161227121531248723572122240817017',8118,'9998',52.19,3,3,NULL),(16,3080587,'1989-07-28 00:00:00',4,1,12,2007,'F','N','ARASOL','ARAXá','MG','125132251215472431468831591122610164142',190,'9998',79.39,1,3,NULL),(16,3080595,'1991-08-23 00:00:00',4,3,12,2008,'F','N','JARDIM AMéRICA','PNT GROSSA','PR','116162161217471432579813435122610121147',NULL,'9998',0.00,1,3,NULL),(16,3080609,'1989-03-29 00:00:00',4,1,8,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242247211152431468733385114610141112',NULL,'9999',34.36,1,3,NULL),(16,3080617,'1990-03-01 00:00:00',4,1,12,2007,'F','N','CENTRO','MASSARANDUBA','SC','124244241215473431336622571124610126152',7791,'855',52.78,1,3,NULL),(16,3080625,'1989-12-05 00:00:00',2,1,12,2006,'M','N','SAGRADO C DE JESUS','LAGES','SC','124241241111572441314824571115610134142',1686,'498',68.48,4,2,1),(16,3080633,'1991-03-04 00:00:00',4,8,12,2008,'M','N','SAGUAçU','JOINVILLE','SC','124242241237131412567721575122610127017',7124,'457',54.05,1,3,NULL),(16,3080641,'1990-08-19 00:00:00',4,1,12,2007,'F','N','CARANDá BOSQUE','CPO GRANDE','MS','112122121215471431489933575112610143182',730,'9998',74.01,1,3,NULL),(16,3080650,'1991-02-16 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124242246216151541446414275122610124053',16276,'1075',36.45,1,3,NULL),(16,3080668,'1990-06-17 00:00:00',4,9,12,2007,'F','N','UNIVERSITARIO','CURITIBANOS','SC','124241247645271431337613285122610162147',NULL,'9999',18.06,1,3,NULL),(16,3080684,'1983-10-11 00:00:00',2,1,11,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241146143411331144244234610132042',12518,'66',44.35,1,2,1),(16,3080706,'1991-02-06 00:00:00',4,8,12,2007,'M','N','ZONA CINCO','MARINGá','PR','116162161216471431478811575124610127062',1281,'9998',70.51,1,3,NULL),(16,3080722,'1991-08-25 00:00:00',4,4,11,2008,'F','N','CENTRO','CAXAMBU SUL','SC','124241241316111431546936571124610128057',NULL,'185',21.72,4,3,NULL),(16,3080749,'1990-08-10 00:00:00',2,8,12,2007,'F','N','BELA VISTA','RIO NEGRINHO','SC','124241241216131431646811572112610121142',16408,'666',35.88,1,3,NULL),(16,3080757,'1985-10-11 00:00:00',2,1,12,2003,'M','N','CENTRO','PALHOçA','SC','124242241215575431554832575124130267097',236,'589',78.68,1,3,NULL),(16,3080773,'1979-04-04 00:00:00',4,1,12,1997,'M','N','JD IMACULADA','TAUBATé','SP','525251251124572441536614185124610125097',NULL,'9998',23.37,1,2,1),(16,3080790,'1991-03-04 00:00:00',2,1,11,2007,'M','N','CENTRO','LONDRINA','PR','116224161411411431278713575115610164052',3559,'9998',62.19,1,3,NULL),(16,3080803,'1991-05-22 00:00:00',4,8,8,2007,'M','N','ATIRADORES','JOINVILLE','SC','124242241217472411436612195115610167057',5766,'932',56.92,4,3,NULL),(16,3080838,'1989-03-17 00:00:00',4,8,12,2007,'F','N','BOM RETIRO','JOINVILLE','SC','124242241213571431649923571114610134117',11496,'861',46.18,1,3,NULL),(16,3080846,'1989-03-05 00:00:00',2,1,12,2006,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','125252251217572411468833575122610166142',2987,'9998',63.84,4,3,NULL),(16,3080854,'1990-12-02 00:00:00',4,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241211152411379832396124230267047',NULL,'270',28.82,1,3,NULL),(16,3080862,'1991-01-19 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242231217121231468931571124610148185',4581,'226',59.59,1,3,NULL),(16,3080870,'1991-09-17 00:00:00',2,4,12,2008,'F','N','DOS INDUSTRIáRIOS','CONCóRDIA','SC','124241241111131431225623371324610123147',NULL,'192',20.61,1,2,1),(16,3080889,'1992-08-24 00:00:00',4,4,12,2008,'F','N','CENTRO','CHAPECó','SC','124242241215111411448832392222610137182',15396,'185',38.78,1,3,NULL),(16,3080897,'1991-09-16 00:00:00',4,3,12,2008,'M','N','PIONEIROS','BAL CAMBORIú','SC','124243241217131431367823185121610164187',8901,'53',50.74,1,3,NULL),(16,3080900,'1991-01-26 00:00:00',2,4,12,2008,'F','N','SÃO CRISTÓVÃO','CHAPECO','SC','124243241116371531536531475124610163147',16166,'170',36.74,4,3,NULL),(16,3080919,'1991-07-12 00:00:00',2,2,12,2008,'M','N','CENTRO','BRUSQUE','SC','124242241217271431349834345122610164042',7949,'107',52.51,1,3,NULL),(16,3080927,'1991-05-27 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111731436419372124610168197',10145,'1118',48.53,1,3,NULL),(16,3080935,'1991-03-31 00:00:00',2,1,12,2008,'F','N','SANTA TEREZA','S PEDRO ALCâNTARA','SC','124241241215111431553633472124610121197',15415,'1074',38.74,1,3,NULL),(16,3080943,'1990-08-21 00:00:00',2,1,12,2007,'M','N','PRAIA DE FORA','PALHOçA','SC','124241241117131431628623345124610164197',NULL,'592',27.88,1,2,1),(16,3080951,'1988-03-31 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241216273431343624345124610124142',NULL,'266',26.26,4,1,2),(16,3080960,'1991-10-02 00:00:00',2,8,12,2008,'F','N','VILA NOVA','JOINVILLE','SC','124244241215121431347512295112610138012',15944,'459',37.38,3,3,NULL),(16,3080978,'1991-01-13 00:00:00',4,1,12,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241111372431369923572122610121142',9964,'267',48.84,1,2,1),(16,3080986,'1991-05-13 00:00:00',2,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSé','SC','124244241215132431336614572122610127042',3194,'262',63.30,1,3,NULL),(16,3080994,'1985-12-02 00:00:00',4,1,12,2003,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241217373431469611575114221437047',1635,'226',68.74,1,3,NULL),(16,3081001,'1990-03-25 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124243241215371431437623294225610127052',1318,'26',70.26,1,3,NULL),(16,3081010,'1981-06-07 00:00:00',2,1,12,2001,'M','N','BARREIROS','S JOSé','SC','124243243322271421656619311123610124092',NULL,'725',27.92,1,3,NULL),(16,3081028,'1990-08-29 00:00:00',4,3,12,2007,'F','N','CENTRO','APUCARANA','PR','616164161436375711216548185124243266077',12667,'9998',44.05,1,3,NULL),(16,3081036,'1991-10-25 00:00:00',4,2,11,2008,'F','N','VILA NOVA','BLUMENAU','SC','124242241215161441569614375124610146177',NULL,'71',0.00,1,3,NULL),(16,3081044,'1991-06-11 00:00:00',4,5,12,2008,'M','N','SãO FRANCISCO','TORRES','RS','120202201216371431348933571121610167117',2864,'9998',64.19,1,3,NULL),(16,3081052,'1990-09-27 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124201201116132431346669571125610167142',9984,'9998',48.81,1,2,1),(16,3081060,'1990-08-21 00:00:00',4,1,12,2007,'M','N','SORGATTO','CAçADOR','SC','124241241317472421456813595124610167092',6464,'1124',55.34,1,3,NULL),(16,3081087,'1964-09-15 00:00:00',2,1,12,1987,'M','N','CENTRO','FLORIANóPOLIS','SC','224242163312153411366614342122231125122',15826,'9998',37.69,1,3,NULL),(16,3081095,'1985-06-08 00:00:00',2,8,12,2004,'M','N','BAIRRO ALTO','CURITIBA','PR','116241241116271441323644142244610127052',NULL,'387',27.93,1,2,1),(16,3081117,'1991-10-03 00:00:00',2,1,12,2008,'F','N','PENHA','PAULO LOPES','SC','124241241117161431324614382344610135197',NULL,'361',29.58,1,2,1),(16,3081125,'1992-02-22 00:00:00',2,7,12,2008,'F','N','FLOR DA SERRA','JOAçABA','SC','124242241216371432466623575122610127072',9132,'962',50.35,1,3,NULL),(16,3081133,'1990-09-10 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241216473441546432185114610162182',12906,'1048',43.66,1,3,NULL),(16,3081141,'1990-05-18 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215212441437911575112610164142',3939,'262',61.23,1,3,NULL),(16,3081150,'1991-11-07 00:00:00',4,4,12,2008,'M','N','CENTRO','S DOMINGOS','SC','124241241136271411336514575122610116042',NULL,'707',24.48,1,3,NULL),(16,3081176,'1991-07-26 00:00:00',4,6,12,2008,'M','N','CENTRO','ITAJAí','SC','124242241217171431388839572125610167042',NULL,'392',27.90,1,3,NULL),(16,3081184,'1981-10-20 00:00:00',4,1,12,2000,'M','N','ESTREITO','FLORIANóPOLIS','SC','224241243246151411487642225132130767042',NULL,'9997',24.75,1,3,NULL),(16,3081206,'1991-12-21 00:00:00',2,1,11,2008,'F','N','COND CIDADE JARDIM','PRIMAVERA LESTE','MT','111112111217121431358912475122610131072',NULL,'9998',0.00,1,3,NULL),(16,3081214,'1991-05-17 00:00:00',4,10,11,2008,'F','N','MAR GROSSO','LAGUNA','SC','124242241215112441448832575124610156192',1603,'807',68.89,1,3,NULL),(16,3081222,'1980-11-19 00:00:00',2,1,10,2002,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','624051057111472421227554345123610137117',NULL,'9999',45.65,1,2,1),(16,3081249,'1976-02-09 00:00:00',2,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241125131431222241112324610167182',NULL,'9997',33.58,1,2,1),(16,3081273,'1991-11-28 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124243241416131431544912295124610133142',NULL,'295',25.39,1,3,NULL),(16,3081281,'1990-09-26 00:00:00',4,2,11,2008,'M','N','JARDIM COLOMBO','S PAULO','SP','125254251217151411449913591122610134165',13326,'9998',42.91,1,3,NULL),(16,3081290,'1992-03-05 00:00:00',4,9,12,2009,'F','S','CORAL','LAGES','SC','124242241215111431548832575112610122192',NULL,'497',39.47,1,3,NULL),(16,3081311,'1990-03-13 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124242241215372411433419595112610168077',3714,'1011',61.80,1,3,NULL),(16,3081320,'1991-12-17 00:00:00',4,4,12,2008,'F','N','CENTRO','CHAPECó','SC','124242241215121431356612575122610134147',NULL,'185',0.00,1,3,NULL),(16,3081338,'1991-05-06 00:00:00',4,8,11,2008,'F','N','BOM RETIRO','JOINVILLE','SC','124241241215111431457714272114610123097',4828,'486',59.01,1,3,NULL),(16,3081346,'1988-05-22 00:00:00',4,1,12,2005,'F','N','JARDIM AMéRICA','S PAULO','SP','125252251217571431488914575114610166192',1212,'9998',70.85,1,3,NULL),(16,3081362,'1988-05-15 00:00:00',4,1,12,2005,'F','N','CAMAQUã','PTO ALEGRE','RS','120203201147471741344319395124610166147',11024,'9998',46.98,1,3,NULL),(16,3081370,'1987-07-07 00:00:00',4,8,10,2006,'M','N','JARIVATUBA','JOINVILLE','SC','124241247126271431443673285114610126057',NULL,'9999',0.00,1,3,NULL),(16,3081389,'1986-06-18 00:00:00',2,8,12,2003,'F','N','BAIRRO ALTO','CURITIBA','PR','116241241116131431323664345214610124182',NULL,'387',15.94,1,2,1),(16,3081400,'1990-10-06 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215372431459514472124610127057',14534,'270',40.63,1,3,NULL),(16,3081419,'1990-11-19 00:00:00',2,1,12,2008,'M','N','ITAGUAI II','CALDAS NOVAS','GO','109094091217371431234427375112610164112',NULL,'9998',0.00,1,3,NULL),(16,3081427,'1987-06-06 00:00:00',2,1,12,2004,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124241241136113431533439342124610164095',NULL,'298',23.21,1,2,1),(16,3081451,'1991-03-31 00:00:00',2,1,11,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241145141431434614344124610126142',9489,'592',49.74,1,3,NULL),(16,3081460,'1990-03-20 00:00:00',2,1,12,2007,'M','N','COSTEIRA PIRAJUBAÉ','FLORIANóPOLIS','SC','124241241136372431346614245124610127052',NULL,'295',28.61,4,2,1),(16,3081486,'1988-11-25 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124242241215472431434633574124232733097',10242,'738',48.36,1,3,NULL),(16,3081494,'1991-12-17 00:00:00',4,9,10,2008,'M','N','CENTRO','LAGES','SC','124242241215111431459912575112610164052',2603,'497',65.01,1,3,NULL),(16,3081516,'1990-06-20 00:00:00',2,1,7,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241117111431668813432124610167147',10367,'306',48.14,1,2,1),(16,3081524,'1991-08-30 00:00:00',4,1,12,2008,'F','N','CENTRO','CANELA','RS','120202201216371411256812245112610168147',NULL,'9998',0.00,1,3,NULL),(16,3081540,'1991-08-29 00:00:00',4,9,11,2008,'M','N','VILA NOVA','LAGES','SC','124242241215271441459933274122610127047',2705,'497',64.67,1,3,NULL),(16,3081583,'1988-11-09 00:00:00',2,1,12,2007,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241115272431458634445112610123142',14276,'267',41.10,1,2,1),(16,3081605,'1992-05-05 00:00:00',4,1,12,2009,'F','S','IPIRANGA','S JOSé','SC','124242241215131431353614475122610136077',NULL,'1078',48.48,1,3,NULL),(16,3081613,'1985-05-11 00:00:00',2,1,12,2003,'F','N','JOSé MENDES','FLORIANóPOLIS','SC','124242241216162721458612592122132022042',NULL,'269',0.00,1,3,NULL),(16,3081621,'1990-11-15 00:00:00',2,1,12,2008,'F','N','SãO SEBASTIãO','PALHOçA','SC','124241241215131131425411212344610114077',NULL,'1036',25.88,1,3,NULL),(16,3081630,'1990-06-17 00:00:00',4,4,11,2007,'F','N','CENTRO','XANXERê','SC','124244241216472731444634572112610124147',11449,'1081',46.27,1,3,NULL),(16,3081648,'1987-06-10 00:00:00',4,1,12,2005,'M','N','PLANO PILOTO','BRASíLIA','DF','107072071216371411469933275112141064112',NULL,'9998',31.43,1,3,NULL),(16,3081656,'1988-05-27 00:00:00',4,1,12,2005,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241217454431588832145125121168122',500,'262',75.76,1,3,NULL),(16,3081664,'1986-01-03 00:00:00',4,8,12,2003,'F','N','JD IMPERIAL','MARINGá','PR','116162161216572751668711575122610168012',NULL,'9998',0.00,3,3,NULL),(16,3081672,'1987-06-30 00:00:00',4,5,12,2004,'F','N','CRUZEIRO DO SUL','CRICIúMA','SC','124243241312572431449634432134130722182',4347,'213',60.14,1,3,NULL),(16,3081710,'1991-03-08 00:00:00',4,1,12,2008,'F','N','JARDIM PAULISTANO','S PAULO','SP','125252251217151431489814575122610132111',10610,'9998',47.71,1,3,NULL),(16,3081729,'1990-09-05 00:00:00',1,1,12,2007,'F','N','ABRAãO','FLORIANóPOLIS','SC','124241241115371731523611391314610168042',NULL,'978',21.38,1,2,1),(16,3081737,'1991-10-28 00:00:00',4,1,11,2008,'F','N','CURIÓ UTINGA','BELEM','PA','114141148235131441647814475125610124147',8539,'9998',51.36,3,3,NULL),(16,3081753,'1990-07-17 00:00:00',2,1,12,2007,'F','N','ALTO TAQUARAL','CAMPINAS','SP','125254251215471411468511575122610135092',9600,'9998',49.52,1,3,NULL),(16,3081761,'1992-08-28 00:00:00',4,10,12,2009,'M','S','CENTRO','TUBARãO','SC','124242241217121431378913575112610126072',NULL,'807',49.27,1,3,NULL),(16,3081770,'1991-05-07 00:00:00',2,1,12,2008,'F','N','CAMPO DO GADO','RIO NEGRO','PR','116161161116131731543336572122610131092',NULL,'9998',39.52,1,2,1),(16,3081796,'1991-02-22 00:00:00',4,1,11,2008,'M','N','JARDINS','ARACAJU','SE','126262261217111431469933592125610122187',3240,'9998',63.16,4,3,NULL),(16,3081800,'1989-12-15 00:00:00',4,3,12,2007,'M','N','JARDIM QUEBEC','LONDRINA','PR','116162161217371451448815575124610154097',NULL,'9998',0.00,1,3,NULL),(16,3081818,'1988-01-13 00:00:00',4,1,12,2006,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241115472731528819575124142825087',NULL,'707',21.99,2,3,NULL),(16,3081826,'1991-06-13 00:00:00',4,1,11,2008,'F','N','FLORESTA','S JOSé','SC','124242241215113431489913572122610123142',6985,'266',54.32,1,3,NULL),(16,3081834,'1987-12-07 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241122271411226421212314610117047',13698,'9999',42.27,2,1,1),(16,3081842,'1991-11-05 00:00:00',4,1,11,2008,'M','N','AREIAS','S JOSé','SC','124242241216271431236823575124610127053',9817,'1078',49.11,1,3,NULL),(16,3081869,'1991-03-12 00:00:00',4,2,11,2008,'M','N','PONTA AGUDA','BLUMENAU','SC','124102241215111431478814575122610112036',89,'909',81.19,1,3,NULL),(16,3081877,'1991-09-12 00:00:00',4,3,11,2008,'F','N','CENTRO','ITAPEMA','SC','124242241215131331337724315135610124177',16093,'403',36.96,1,3,NULL),(16,3081885,'1991-03-02 00:00:00',4,1,12,2008,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241135131411423319377124610127022',NULL,'307',25.03,3,3,NULL),(16,3081893,'1990-11-12 00:00:00',4,8,12,2008,'F','N','VILA NOVA','JARAGUá SUL','SC','124242241215121431468811575112610134142',6521,'491',55.23,1,3,NULL),(16,3081923,'1990-01-03 00:00:00',4,1,12,2007,'F','N','CENTRO','LONDRINA','PR','116162161217411431468714475122610163197',NULL,'9998',0.00,1,3,NULL),(16,3081931,'1985-08-18 00:00:00',4,1,5,2005,'F','N','PRAINHA','FLORIANóPOLIS','SC','124241241127433731225329372315610114142',NULL,'307',25.89,2,1,1),(16,3081940,'1991-10-11 00:00:00',2,1,12,2008,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124242241215271231456614572122610168097',NULL,'1048',25.93,1,3,NULL),(16,3081958,'1987-04-03 00:00:00',2,1,12,2008,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124161247131131431453341112324610135037',NULL,'9999',31.92,4,3,NULL),(16,3081966,'1990-07-17 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124162161316142411548611381224610133172',14947,'9998',39.79,4,3,NULL),(16,3081974,'1989-02-22 00:00:00',4,1,12,2006,'M','N','BELA VISTA','S PAULO','SP','125252251216571431469812575125610164047',144,'9998',80.08,4,3,NULL),(16,3081982,'1991-07-19 00:00:00',4,1,11,2008,'F','N','JARDIM IGUAçU','FOZ IGUAçU','PR','116162161215111431368712595122610132182',NULL,'9998',0.00,1,3,NULL),(16,3082008,'1990-08-28 00:00:00',4,1,12,2007,'F','N','VILA NOVA','IMBITUBA','SC','124241241116271231525723385124610127042',NULL,'359',20.60,1,3,NULL),(16,3082016,'1991-02-15 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124242241215111431336971575121610166122',NULL,'497',28.35,1,3,NULL),(16,3082024,'1989-10-27 00:00:00',4,1,12,2007,'F','N','LIBERDADE','S PAULO','SP','125132131215471431678811571322610142092',NULL,'9998',0.00,1,3,NULL),(16,3082032,'1988-02-09 00:00:00',4,1,11,2005,'F','N','JARDIM STéLITE','S JOSé CAMPOS','SP','125252251215573431466832574112610162052',233,'9998',78.75,1,3,NULL),(16,3082040,'1987-05-19 00:00:00',2,10,12,2004,'F','N','CENTRO','CAPIVARI BAIXO','SC','124241241137271431523319282324610167187',16086,'158',36.98,1,2,1),(16,3082059,'1989-01-24 00:00:00',4,1,11,2006,'M','N','BARREIROS','S JOSé','SC','124244241411372431445911415124131027112',NULL,'1118',17.65,1,3,NULL),(16,3082067,'1990-01-22 00:00:00',4,1,12,2007,'M','N','JOSé MENDES','FLORIANóPOLIS','SC','124244241435272451467852145122610127142',3135,'272',63.44,1,3,NULL),(16,3082075,'1991-04-09 00:00:00',2,1,12,2007,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124241161136371431114441211324610167092',13922,'9998',41.82,1,2,1),(16,3082083,'1992-09-03 00:00:00',4,9,11,2009,'F','S','CENTRO','LAGES','SC','124241241217111441246923335125610124092',NULL,'1065',24.87,1,3,NULL),(16,3082091,'1986-02-24 00:00:00',4,1,12,2003,'F','N','HIGIENOPOLIS','PIRACICABA','SP','125251251136131411333319345222143224182',NULL,'9998',17.47,1,3,NULL),(16,3082113,'1989-03-14 00:00:00',4,1,12,2007,'M','N','VILA UNIVERSITáRIA','BAURU','SP','125252251216271731468814575112610167052',12776,'9998',43.88,1,3,NULL),(16,3082121,'1990-12-08 00:00:00',2,4,12,2008,'M','N','CENTRO','ABELARDO LUZ','SC','124161241116371431658914575122610125172',16404,'4',35.91,1,3,NULL),(16,3082130,'1987-06-06 00:00:00',4,1,11,2005,'M','N','ARIRIU','PALHOçA','SC','124243244346151451238632325122131064052',NULL,'596',0.00,1,3,NULL),(16,3082148,'1990-04-29 00:00:00',1,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124164241336272431569911385112610127042',13560,'287',42.53,1,3,NULL),(16,3082156,'1990-02-25 00:00:00',2,1,11,2007,'F','N','CRISTO REDENTOR','PTO ALEGRE','RS','120203201417471451436422285124610124157',NULL,'9998',0.00,1,3,NULL),(16,3082202,'1990-02-13 00:00:00',4,3,12,2007,'M','N','CENTRO','CURITIBA','PR','116242161213472311449934572124131464022',46,'9998',82.45,1,3,NULL),(16,3082210,'1990-05-07 00:00:00',2,1,12,2007,'M','N','PINGUIRITO','GAROPABA','SC','124241241144372431356633185124610123047',8347,'322',51.70,1,2,1),(16,3082229,'1990-08-31 00:00:00',4,1,12,2007,'M','N','JARDIM JEQUITIBá','CAçAPAVA','SP','125252256217371531458814345124610168147',NULL,'9998',26.90,1,3,NULL),(16,3082237,'1990-02-04 00:00:00',2,1,12,2007,'M','N','PARQUE INDUSTRIAL','S JOSé CAMPOS','SP','125254256217372431358814595124610167052',8840,'9998',50.82,1,3,NULL),(16,3082245,'1990-03-21 00:00:00',4,1,12,2007,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124162241217472711469932574124610133181',2566,'270',65.11,1,3,NULL),(16,3082270,'1984-12-22 00:00:00',2,1,12,2003,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241247121133441337461342333610167082',6082,'307',56.17,1,3,NULL),(16,3082288,'1990-06-03 00:00:00',4,1,5,2007,'F','N','ATIRADORES','JOINVILLE','SC','124282281211312431258834345122132848181',5114,'9998',58.35,1,3,NULL),(16,3082296,'1990-09-11 00:00:00',2,1,12,2007,'M','N','SAVEIRO','BIGUAçU','SC','124244241116132431523311272124610127062',13451,'65',42.69,4,3,NULL),(16,3082318,'1991-01-10 00:00:00',4,1,11,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242248215112411458613572124610114011',14109,'272',41.42,1,3,NULL),(16,3082326,'1990-12-13 00:00:00',4,1,11,2007,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215573451478813575114610124111',6814,'270',54.63,1,3,NULL),(16,3082342,'1990-12-08 00:00:00',2,1,11,2008,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241215111432328869572112610164072',12240,'270',44.82,1,3,NULL),(16,3082350,'1987-09-22 00:00:00',2,1,12,2004,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124244241417244531458823245114610167065',NULL,'307',31.69,1,3,NULL),(16,3082369,'1990-08-21 00:00:00',4,1,12,2007,'M','N','JARDIM MATILDE','OURINHOS','SP','125251251435471441333811175115610166197',NULL,'9998',35.36,1,3,NULL),(16,3082377,'1991-04-24 00:00:00',2,4,11,2008,'F','N','CENTRO','PALMITOS','SC','124242241411161431328811492121610144097',13928,'1046',41.80,1,3,NULL),(16,3082385,'1991-10-16 00:00:00',4,1,12,2008,'F','N','JARDIM CARANDAÍ','BIGUACU','SC','124243241115141431338724395124610114182',12760,'9997',43.90,1,3,NULL),(16,3082407,'1990-12-24 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431566812325115610117042',NULL,'270',52.19,1,3,NULL),(16,3082415,'1979-01-15 00:00:00',4,1,12,1997,'M','N','KOBRASOL','S JOSé','SC','224192191116131731333343432122222967182',NULL,'9998',29.58,4,3,NULL),(16,3082431,'1991-01-23 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472711448834572122610124142',3883,'262',61.38,1,3,NULL),(16,3082440,'1963-06-09 00:00:00',4,1,12,1991,'F','N','CENTRO','FLORIANóPOLIS','SC','524203077217152451348872475114142761187',NULL,'9999',26.87,1,3,NULL),(16,3082458,'1990-11-11 00:00:00',4,1,12,2007,'F','N','CACUPé','FLORIANóPOLIS','SC','124242241215372431468831572122133224092',3083,'270',63.56,1,3,NULL),(16,3082466,'1990-08-12 00:00:00',4,4,12,2007,'F','N','MARIA GORETTI','CHAPECó','SC','124242241217471731558913572112610126097',2425,'1046',65.60,1,3,NULL),(16,3082474,'1993-03-27 00:00:00',4,4,11,2009,'F','S','CENTRO','XAXIM','SC','124242241217111431356716475122610132012',NULL,'185',39.34,1,3,NULL),(16,3082482,'1991-06-07 00:00:00',4,10,11,2008,'F','N','VILA MOEMA','TUBARãO','SC','124242241215122432478413472112610124077',15111,'807',39.39,1,3,NULL),(16,3082490,'1987-07-25 00:00:00',3,4,12,2005,'F','N','JARDIM ITáLIA','CHAPECó','SC','124242241215574411368833575124610132017',796,'168',73.45,1,3,NULL),(16,3082504,'1992-02-23 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215571231479913572114610162057',1882,'270',67.66,1,3,NULL),(16,3082512,'1987-10-26 00:00:00',4,1,12,2005,'M','N','JARDIM GUAPIRA','S PAULO','SP','125252251217571441569834575112243268127',7066,'9998',54.17,1,3,NULL),(16,3082520,'1991-02-04 00:00:00',2,1,12,2008,'M','N','JARDIM DAS ACACIAS','S JOSé','SC','124242241215112731327612425124610127017',14935,'1022',39.81,1,3,NULL),(16,3082539,'1982-06-07 00:00:00',2,1,12,2001,'M','N','ARMAÇÃO PANTANO SUL','FLORIANóPOLIS','SC','124241246112133731433373335233222367067',NULL,'306',40.73,1,2,1),(16,3082547,'1990-09-11 00:00:00',4,1,12,2007,'M','N','PRESIDENTE MéDICE','CHAPECó','SC','124241241214473431366833574225610167182',179,'270',79.58,4,3,NULL),(16,3082555,'1992-01-24 00:00:00',2,1,12,2009,'F','S','COQUEIROS','FLORIANóPOLIS','SC','124242241212111431458819575124610134147',NULL,'269',25.52,1,3,NULL),(16,3082563,'1955-12-09 00:00:00',4,10,12,1979,'F','N','SãO BERNARDO','TUBARãO','SC','224251253225412411233349292122140828142',16637,'9998',34.39,1,3,NULL),(16,3082571,'1988-07-26 00:00:00',2,1,12,2006,'F','N','PONTAS DAS CANAS','FLORIANóPOLIS','SC','124241246121131731125141242324610167042',NULL,'307',22.95,1,3,NULL),(16,3082580,'1991-05-17 00:00:00',4,2,10,2008,'M','N','ESCOLA AGRICOLA','BLUMENAU','SC','124242241215151431556611495114610167181',NULL,'909',28.81,1,3,NULL),(16,3082598,'1986-04-08 00:00:00',2,1,12,2003,'M','N','BOM JESUS','STA CRUZ SUL','RS','120204201116573431127813385323610142067',6086,'9998',56.16,1,3,NULL),(16,3082601,'1991-09-08 00:00:00',4,9,12,2008,'M','N','SãO SEBASTIãO','PTO ALEGRE','RS','120201201115471711348724575124610168042',8635,'9998',51.19,1,3,NULL),(16,3082610,'1991-10-31 00:00:00',4,7,11,2008,'F','N','CENTRO','CONCóRDIA','SC','124242241216471231478923394122610164147',11313,'1000',46.46,1,3,NULL),(16,3082628,'1990-11-16 00:00:00',2,1,12,2007,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117271432456934142224230816142',16291,'306',36.40,1,2,1),(16,3082636,'1990-07-04 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215371431337939572122610163187',8314,'138',51.76,1,3,NULL),(16,3082644,'1989-10-06 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215473431488611475124230226197',870,'262',72.88,1,3,NULL),(16,3082652,'1991-04-25 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241115111732268719476114610131141',8429,'270',51.53,1,3,NULL),(16,3082660,'1987-06-08 00:00:00',3,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242247217133752538511487115610168172',10539,'270',47.85,1,3,NULL),(16,3082679,'1988-01-19 00:00:00',4,1,12,2005,'F','N','CABRAL','CURITIBA','PR','116161161317572431469613171124143242162',8953,'9998',50.66,4,1,2),(16,3082687,'1991-07-13 00:00:00',4,8,12,2008,'F','N','CENTRO','ARAPOTI','PR','116162161215411231476939571124610132096',NULL,'9998',0.00,1,3,NULL),(16,3082695,'1990-11-16 00:00:00',4,1,11,2007,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215372211248812592124231167047',365,'270',77.22,1,3,NULL),(16,3082709,'1990-07-21 00:00:00',4,1,12,2006,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124243241215573431369414575124130266192',672,'270',74.39,4,3,NULL),(16,3082717,'1991-10-10 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241315122431346313575124610127152',2598,'1022',65.02,1,3,NULL),(16,3082725,'1990-03-05 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111731458631571112610123072',NULL,'270',28.35,1,3,NULL),(16,3082733,'1991-11-07 00:00:00',2,4,12,2008,'F','N','ARI LUNARDI','XAXIM','SC','124241241112131431433631572325610131077',16248,'847',36.53,1,3,NULL),(16,3082741,'1988-07-29 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANóPOLIS','SC','124204241316162441253829442114610168042',13653,'288',42.36,1,3,NULL),(16,3082768,'1993-04-26 00:00:00',4,1,11,2009,'M','S','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217111531467831375121610167042',NULL,'1051',16.04,1,3,NULL),(16,3082776,'1990-12-05 00:00:00',4,1,11,2007,'F','N','CAMPINAS','S JOSé','SC','124242241216112431358832575124220861077',6865,'262',54.55,1,3,NULL),(16,3082784,'1991-03-24 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215121411578833575124610166077',9066,'270',50.47,1,3,NULL),(16,3082792,'1991-10-04 00:00:00',4,1,12,2008,'F','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','124242241225311411578713475122610131146',NULL,'951',0.00,1,3,NULL),(16,3082806,'1990-02-28 00:00:00',2,2,12,2007,'M','N','NAçõES','INDAIAL','SC','124241241215372431343923575124610167057',NULL,'986',53.13,1,3,NULL),(16,3082814,'1992-02-01 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215111431465612596122610164012',NULL,'1038',20.89,1,3,NULL),(16,3082822,'1990-03-21 00:00:00',4,1,12,2006,'F','N','SERRINHA','FLORIANóPOLIS','SC','124242241217574431567933575124610122112',1506,'185',69.35,1,3,NULL),(16,3082830,'1990-08-11 00:00:00',4,8,11,2007,'F','N','ACARAí','S FRANCISCO SUL','SC','124244241216472431487732275122610164142',7836,'486',52.70,1,3,NULL),(16,3082849,'1990-02-25 00:00:00',2,8,12,2007,'F','N','VILA RIO BRANCO','CASTRO','PR','116161161117471431524419185115610162112',NULL,'9998',0.00,1,2,1),(16,3082857,'1989-02-07 00:00:00',4,1,12,2006,'M','N','REAL PARQUE','LIMEIRA','SP','125253251117371431438623575112610134152',1617,'9998',68.82,1,3,NULL),(16,3082881,'1990-12-21 00:00:00',4,1,12,2008,'M','N','JARDIM AQUARIUS','S JOSé CAMPOS','SP','125252251217111431489814575112610167047',6542,'9998',55.19,1,3,NULL),(16,3082890,'1989-06-26 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241335131411531923375124610118141',NULL,'285',22.57,1,3,NULL),(16,3082903,'1989-04-01 00:00:00',4,1,7,2007,'F','N','FLORESTA','S JOSé','SC','124244281437472431348613272114610117097',14920,'9998',39.84,1,3,NULL),(16,3082920,'1989-01-28 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124253253217472431548644345124610166145',NULL,'9998',35.89,1,3,NULL),(16,3082938,'1990-09-03 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124243241216372431364953575124610135147',16311,'1048',36.33,1,3,NULL),(16,3082946,'1990-12-27 00:00:00',2,1,12,2007,'F','N','VILA JANSEN','FARROUPILHA','RS','120201201117472411436615172114610144177',9816,'9998',49.12,1,3,NULL),(16,3082954,'1990-03-11 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124243241315471411443319371124610116181',11296,'257',46.47,1,3,NULL),(16,3082962,'1991-03-16 00:00:00',4,6,11,2008,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241216111751386616164124610164142',2859,'1038',64.20,1,3,NULL),(16,3082970,'1987-10-10 00:00:00',3,1,12,2004,'M','N','JOSE MENINO','SANTOS','SP','125251251147571431325369274321610162117',759,'9998',73.76,1,2,1),(16,3082989,'1991-02-20 00:00:00',4,1,11,2008,'M','N','FLOR DE NáPOLIS','S JOSé','SC','124242241215111431366632325122610162182',10037,'1074',48.71,3,3,NULL),(16,3082997,'1990-03-09 00:00:00',2,1,12,2007,'M','N','SãO GERALDO','PTO ALEGRE','RS','120202191117472711366614571124610168057',273,'9998',78.33,1,3,NULL),(16,3083020,'1991-06-03 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124243241216111431258827285114610114014',13757,'270',42.16,1,3,NULL),(16,3083063,'1992-01-28 00:00:00',4,1,12,2008,'M','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124242241217111431589813372124610117042',NULL,'299',21.35,1,3,NULL),(16,3083071,'1989-05-06 00:00:00',2,10,12,2006,'F','N','DEHON','TUBARãO','SC','124241244116132731315629574124231524077',16341,'822',36.24,1,2,1),(16,3083098,'1991-01-25 00:00:00',4,1,12,2008,'M','N','PORTAL DOS PáSSAROS','BOITUVA','SP','125254258217471431458839175122610137042',15217,'9998',39.16,1,3,NULL),(16,3083101,'1989-05-27 00:00:00',2,10,12,2006,'F','N','CENTRO','JAGUARUNA','SC','124241241117372431446611272224610126147',13383,'421',42.82,1,2,1),(16,3083110,'1991-01-13 00:00:00',2,1,11,2008,'M','N','ABRAãO','FLORIANóPOLIS','SC','124242241215132731447654475124610121042',1773,'270',68.11,1,3,NULL),(16,3083128,'1989-08-16 00:00:00',4,6,12,2006,'F','N','JD DAS PALMEIRAS','LONDRINA','PR','116161161115571431339612572114610164092',11943,'9998',45.37,4,1,1),(16,3083136,'1990-07-06 00:00:00',4,8,12,2007,'M','N','JARDIM SOFIA','JOINVILLE','SC','124241241116131432126679572124233214092',15890,'566',37.51,1,3,NULL),(16,3083144,'1984-05-10 00:00:00',4,1,12,2002,'M','N','GERSON FRANçA','BAURU','SP','125252251216372431447411495124140628087',NULL,'9998',30.34,1,3,NULL),(16,3083152,'1989-09-18 00:00:00',2,8,12,2006,'M','N','RIO HERN','SCHROEDER','SC','124241241146132431453311245133610147042',12811,'762',43.83,1,2,1),(16,3083160,'1988-11-22 00:00:00',2,1,12,2006,'F','N','CENTRO','CHOPINZINHO','PR','116161161126472431324923435115610127052',NULL,'9998',19.92,1,2,1),(16,3083179,'1991-03-25 00:00:00',4,1,12,2008,'F','N','CENTRO','RIO NEGRO','PR','116242241236271431346824575124610127147',NULL,'541',0.00,1,3,NULL),(16,3083187,'1987-12-11 00:00:00',2,1,11,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124251241127131431125744141314610133017',NULL,'729',28.90,1,2,1),(16,3083195,'1991-08-31 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241216111431448812342122610134187',15954,'497',37.35,1,3,NULL),(16,3083209,'1987-12-22 00:00:00',4,1,12,2005,'F','N','CENTRO','LONDRINA','PR','116162161215571431459821572122610121127',926,'9998',72.54,1,3,NULL),(16,3083217,'1991-03-13 00:00:00',4,8,12,2008,'F','N','CENTRO','PARANAGUá','PR','116162161215121432437811575124610134193',NULL,'9998',0.00,3,3,NULL),(16,3083225,'1990-09-27 00:00:00',4,1,12,2007,'F','N','BUENO','GOIâNIA','GO','109092091215471431337921571122610164142',237,'9998',78.67,4,3,NULL),(16,3083233,'1991-04-04 00:00:00',2,8,12,2008,'M','N','CENTRO','TRêS B PARANá','PR','116161161116311431116544345125610165097',NULL,'9998',0.00,1,2,1),(16,3083241,'1990-05-17 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241125472711423324282224610142147',2776,'274',64.49,1,2,1),(16,3083250,'1988-06-10 00:00:00',4,1,10,2007,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242247417572711548831495123610167042',493,'9999',75.81,1,3,NULL),(16,3083276,'1990-02-16 00:00:00',4,1,12,2007,'M','N','VILAS DO ATLANTICO','LAURO FREITAS','BA','105052051217471441458812576114610162082',NULL,'9998',0.00,1,3,NULL),(16,3083284,'1990-12-25 00:00:00',4,1,11,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','124242241215111431549911572122610133055',9769,'266',49.21,1,3,NULL),(16,3083292,'1988-07-30 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241212573451566827372125133268142',NULL,'1022',39.95,1,3,NULL),(16,3083314,'1991-05-15 00:00:00',4,8,11,2008,'F','N','CENTRO','S BENTO SUL','SC','124242241215111451347932175122610127011',NULL,'1114',0.00,1,3,NULL),(16,3083322,'1990-06-12 00:00:00',4,1,12,2008,'F','N','VILA RESENDE','PIRACICABA','SP','125263251215111731284512575112610166122',NULL,'9998',0.00,1,3,NULL),(16,3083349,'1988-07-05 00:00:00',2,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','123241241212111431455633591122610113061',NULL,'269',30.27,1,3,NULL),(16,3083357,'1987-11-22 00:00:00',4,1,7,2005,'M','N','CANTO','FLORIANóPOLIS','SC','124243241116152712346613495114221164133',NULL,'306',29.60,4,1,2),(16,3083365,'1989-03-21 00:00:00',2,1,12,2006,'F','N','JARDIM BIGUAçU','BIGUAçU','SC','124242241217473431333611576124222767097',NULL,'63',33.39,1,3,NULL),(16,3083373,'1987-12-30 00:00:00',4,1,12,2005,'M','N','VILA CAMARGO','BAURU','SP','125253251147371731556312385123610128087',NULL,'9998',28.57,1,3,NULL),(16,3083390,'1989-04-03 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241217373431458833495124231262065',1706,'272',68.39,1,3,NULL),(16,3083403,'1991-08-06 00:00:00',2,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215272431569823572112610164042',NULL,'262',26.24,1,3,NULL),(16,3083438,'1990-04-14 00:00:00',4,1,12,2007,'F','N','SANTO AMARO','S PAULO','SP','125252251217571431478811572122610165147',581,'9998',75.07,1,3,NULL),(16,3083446,'1990-04-06 00:00:00',4,10,12,2007,'F','N','PENHA','S PAULO','SP','125252251117371431546923575125610167117',NULL,'9998',0.00,1,3,NULL),(16,3083454,'1991-02-15 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241215111431448312122322610137017',14016,'497',41.62,1,3,NULL),(16,3083462,'1991-03-27 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124161241237121441488834494124610162052',2990,'1022',63.83,1,3,NULL),(16,3083470,'1991-11-30 00:00:00',2,1,10,2009,'M','S','RIO TAVARES','FLORIANóPOLIS','SC','124243251215111411336828246114610127047',NULL,'1022',35.00,1,3,NULL),(16,3083489,'1981-06-28 00:00:00',4,1,12,2000,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241412152751569813435122221414057',10359,'266',48.16,1,3,NULL),(16,3083497,'1991-12-05 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215122431477612572112610165055',8025,'1022',52.38,1,3,NULL),(16,3083500,'1990-07-17 00:00:00',4,1,12,2007,'F','N','JARDIM FLORENçA','LIMEIRA','SP','125252251215471432568934145122610165046',NULL,'9998',0.00,1,3,NULL),(16,3083519,'1991-09-10 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124242241235111431426632572121610124042',NULL,'1049',19.18,1,3,NULL),(16,3083535,'1991-09-21 00:00:00',2,1,12,2008,'F','N','CENTRO','LEOBERTO LEAL','SC','124241241146371441443734395124610163147',5235,'533',58.03,1,2,1),(16,3083543,'1991-01-13 00:00:00',4,1,11,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','125252251215111411489612471122610167142',2378,'9998',65.79,1,3,NULL),(16,3083551,'1991-08-19 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215111431369713595124610132182',7539,'1022',53.26,1,3,NULL),(16,3083560,'1991-04-08 00:00:00',4,3,12,2008,'M','N','VILA JOAQUIM PAULINO','STA CRUZ R PARDO','SP','125254251216121431458819475121610167052',NULL,'9998',0.00,1,3,NULL),(16,3083586,'1990-08-01 00:00:00',4,1,11,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124243241115161431436513571124610126042',NULL,'271',40.63,1,3,NULL),(16,3083594,'1990-07-30 00:00:00',4,1,12,2008,'F','N','CIDADE JARDIM','SOROCABA','SP','125252251216111431478814145112610142112',7014,'9998',54.25,1,3,NULL),(16,3083608,'1992-04-20 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242248211111431456732572122610128057',NULL,'262',45.93,1,3,NULL),(16,3083616,'1991-05-02 00:00:00',4,1,11,2008,'M','N','ALTO','PIRACICABA','SP','125252251217111712358832476125610124042',NULL,'9998',0.00,1,3,NULL),(16,3083624,'1990-02-14 00:00:00',4,1,12,2007,'F','N','MADUREIRA','CAXIAS SUL','RS','120202201217472431466733372124241467072',2989,'9998',63.83,1,3,NULL),(16,3083632,'1991-09-21 00:00:00',4,8,10,2008,'F','N','XAXIM','CURITIBA','PR','116161168117371531436613285114610124047',NULL,'9998',0.00,1,3,NULL),(16,3083659,'1992-03-18 00:00:00',4,5,10,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215141431468812175122610137092',12753,'226',43.92,1,3,NULL),(16,3083667,'1990-11-08 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111431537714395114610116182',12651,'1022',44.08,1,3,NULL),(16,3083675,'1991-09-26 00:00:00',3,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111731326519591114610137062',NULL,'1022',29.91,1,3,NULL),(16,3083683,'1991-02-15 00:00:00',4,7,12,2008,'M','N','INTERIOR','LACERDóPOLIS','SC','124241241121161431434336161224610114047',12023,'496',45.23,1,2,1),(16,3083691,'1985-04-30 00:00:00',2,1,11,2002,'F','N','JARDIM AMéRICA','CAXIAS SUL','RS','120243208217371311433431195122241034197',NULL,'9998',24.55,1,3,NULL),(16,3083705,'1976-04-12 00:00:00',2,1,12,1999,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','524241247212161511233344342214610157142',NULL,'9999',24.07,4,3,NULL),(16,3083713,'1990-03-29 00:00:00',2,8,12,2007,'F','N','ITINGA','JOINVILLE','SC','124241246215472431643511374124610127187',8992,'1006',50.60,1,3,NULL),(16,3083721,'1991-10-14 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242248215111731426639576125610134072',14608,'738',40.48,1,3,NULL),(16,3083730,'1992-02-11 00:00:00',4,1,12,2009,'F','S','CENTRO','CAçADOR','SC','124242241216111431469911575122610126147',NULL,'120',48.19,1,3,NULL),(16,3083748,'1989-03-03 00:00:00',2,1,11,2006,'M','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241216343431555513495124610137183',16654,'1036',34.28,1,3,NULL),(16,3083756,'1986-04-29 00:00:00',2,1,12,2003,'M','N','SERRARIA','S JOSé','SC','124241241117271431336923481124610137047',9004,'65',50.57,1,2,1),(16,3083764,'1983-02-15 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241415373431467913484114122364092',3503,'226',62.37,1,3,NULL),(16,3083772,'1990-04-06 00:00:00',4,8,12,2007,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116162161216411431548711573244610166017',5223,'9998',58.07,3,3,NULL),(16,3083780,'1991-04-24 00:00:00',4,1,11,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124244241216121431456813575122610124077',NULL,'273',25.71,1,3,NULL),(16,3083799,'1992-07-29 00:00:00',4,9,11,2010,'M','S','CENTRO','LAGES','SC','124242244217151531478811472121610162122',NULL,'497',45.72,1,3,NULL),(16,3083802,'1989-09-21 00:00:00',2,7,12,2007,'M','N','CENTRO','CAPINZAL','SC','124241247426372731336812245123610164082',NULL,'1093',30.17,1,3,NULL),(16,3083829,'1991-05-02 00:00:00',4,9,12,2008,'M','N','CENTRO','AGRONôMICA','SC','124224241215111451169913574124610142077',3077,'991',63.57,1,3,NULL),(16,3083837,'1991-11-17 00:00:00',4,4,11,2008,'M','N','CANGO','FRANCISCO BELTRãO','PR','116161161315471751468933574122610162097',NULL,'9998',26.98,1,3,NULL),(16,3083845,'1986-04-24 00:00:00',4,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124242241212474411467939572112610117141',NULL,'1011',14.49,1,3,NULL),(16,3083861,'1988-05-16 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241217134741433611172324610123042',6573,'1048',55.13,4,3,NULL),(16,3083870,'1991-06-30 00:00:00',4,1,11,2008,'M','N','CENTRO','CAARAPó','MS','112122161215173431448833135124610127062',1959,'9998',67.35,1,3,NULL),(16,3083888,'1991-01-15 00:00:00',2,4,12,2008,'F','N','CENTRO','MONDAí','SC','124241241116141231333369191332610128147',13314,'564',42.94,1,2,1),(16,3083896,'1991-10-31 00:00:00',4,1,12,2008,'M','N','AGUAS BELAS','S JOSé PINHAIS','PR','116161111116151731426511212122610167047',NULL,'9998',0.00,4,2,1),(16,3083900,'1990-12-15 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124242241215131431324419375122610126077',NULL,'944',27.90,1,3,NULL),(16,3083918,'1991-09-09 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124244241215271431438934395124610132097',11387,'262',46.36,1,3,NULL),(16,3083926,'1992-01-02 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111732488933575125610117042',16063,'270',37.08,1,3,NULL),(16,3083934,'1991-05-19 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124242241212111131447724577114610168185',15497,'988',38.56,1,3,NULL),(16,3083950,'1991-05-17 00:00:00',2,5,12,2008,'M','N','URUSSANGUINHA','ARARANGUá','SC','124243241215111431327632272121610137052',13153,'26',43.24,1,3,NULL),(16,3083969,'1991-03-22 00:00:00',4,1,12,2008,'M','N','SANTA CRUZ','RIBEIRãO PRETO','SP','125252251217121411468811571122610166052',NULL,'9998',0.00,1,3,NULL),(16,3083977,'1994-04-20 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111431477731412122610133142',NULL,'270',34.30,1,3,NULL),(16,3083985,'1989-10-17 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241217472431288912475114610137122',1677,'270',68.52,1,3,NULL),(16,3083993,'1990-07-15 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124163161117272431459914575124143227012',1288,'9998',70.46,1,3,NULL),(16,3084000,'1983-08-09 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241215373721436632482124321564187',1183,'394',71.03,1,3,NULL),(16,3084019,'1991-03-02 00:00:00',4,4,12,2008,'F','N','CRUZEIRO','S LOURENçO OESTE','SC','124243241145131431436923572342610166187',NULL,'744',0.00,1,3,NULL),(16,3084027,'1991-09-20 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124241241317131731435364272314610124142',NULL,'300',32.09,1,3,NULL),(16,3084035,'1990-07-11 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241114343732368914345124220232191',7950,'1022',52.51,1,3,NULL),(16,3084043,'1991-12-08 00:00:00',2,1,11,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215121431467832591121610145145',11961,'1133',45.33,1,3,NULL),(16,3084051,'1991-01-25 00:00:00',4,1,12,2007,'F','N','ARIRIú','PALHOçA','SC','124241241111272431433319241124610166012',8062,'592',52.30,1,2,1),(16,3084078,'1990-12-26 00:00:00',4,8,12,2008,'M','N','SAGUAçú','JOINVILLE','SC','124242241216141441469923595124610141187',7648,'1105',53.06,1,3,NULL),(16,3084086,'1991-02-11 00:00:00',4,2,11,2008,'M','N','FORTALEZA','BLUMENAU','SC','124241241215111431479512572124610167052',NULL,'87',40.95,1,3,NULL),(16,3084094,'1990-10-10 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241233372731439513576124610147042',NULL,'270',38.42,1,3,NULL),(16,3084124,'1991-11-24 00:00:00',4,1,12,2008,'F','N','VILA FERNANDES','S PAULO','SP','125252251215111432468814572122610133097',2677,'9998',64.76,3,3,NULL),(16,3084140,'1991-03-25 00:00:00',4,1,11,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215111441479911572124610167112',3804,'270',61.59,1,3,NULL),(16,3084159,'1990-10-30 00:00:00',2,1,12,2008,'F','N','SETOR SERRANO I','PARAíSO TOCANTINS','TO','109272091216472431558813435114610125142',NULL,'9998',0.00,1,3,NULL),(16,3084167,'1991-07-25 00:00:00',4,6,11,2008,'F','N','ANDORINHA','ITAPEMA','SC','124242241216112431368914475114610164147',10996,'1038',47.03,1,3,NULL),(16,3084175,'1987-09-21 00:00:00',2,1,11,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241222151721624631312213610164112',NULL,'977',26.63,4,3,NULL),(16,3084183,'1991-10-30 00:00:00',2,10,11,2008,'F','N','HUMAITá DE CIMA','TUBARãO','SC','124242241215111431455933572122610123142',8948,'807',50.66,1,3,NULL),(16,3084205,'1991-05-16 00:00:00',5,8,12,2008,'M','N','CAPAO DA IMBUIA','CURITIBA','PR','116162161315471421448921572124610164097',3734,'9998',61.75,1,3,NULL),(16,3084213,'1991-12-02 00:00:00',2,1,12,2008,'F','N','CENTRO','PETROLâNDIA','SC','124241241317111731478832295122610128052',7356,'9997',53.61,1,3,NULL),(16,3084221,'1991-04-16 00:00:00',2,1,12,2008,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124242248215132431347714575124610127117',10878,'1022',47.22,1,3,NULL),(16,3084230,'1991-07-06 00:00:00',4,1,11,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215132431446623575114610127157',3048,'272',63.65,1,3,NULL),(16,3084248,'1990-09-08 00:00:00',4,8,12,2007,'F','N','GUANABARA','JOINVILLE','SC','124244241215471431468832292114610121182',10961,'459',47.09,1,3,NULL),(16,3084256,'1991-09-15 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124241241217111431434923572124610134011',11805,'1074',45.62,1,3,NULL),(16,3084264,'1991-01-18 00:00:00',4,1,12,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215111431469813575124610163077',2555,'9998',65.15,1,3,NULL),(16,3084272,'1990-09-17 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241115151411565933335122610136112',NULL,'267',29.33,1,2,1),(16,3084280,'1970-02-24 00:00:00',4,1,11,1988,'F','N','CENTRO','FLORIANóPOLIS','SC','224252251211372451466854471125340246142',2874,'9998',64.17,1,3,NULL),(16,3084302,'1989-07-06 00:00:00',4,1,12,2006,'F','N','PARQUE IMPERIAL','S PAULO','SP','125252251237471731128912295122610167187',2596,'9998',65.02,1,3,NULL),(16,3084310,'1990-11-05 00:00:00',4,1,11,2007,'F','N','CAMPINAS','S JOSé','SC','124242241215372411368732421122231126012',3025,'723',63.71,1,3,NULL),(16,3084329,'1991-04-15 00:00:00',2,6,12,2008,'F','N','CENTRO','ITAJAí','SC','124243241215121431559934344122610124051',12251,'392',44.81,1,3,NULL),(16,3084337,'1990-03-09 00:00:00',4,4,11,2007,'M','N','MIGUEL SUTIL','CUIABá','MT','111112111217471431368614574112610162012',4064,'9998',60.89,1,3,NULL),(16,3084345,'1990-06-06 00:00:00',4,1,12,2007,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','125252051237472431489934571112610127147',2470,'9998',65.45,1,3,NULL),(16,3084353,'1990-04-11 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215472231488812572122610127112',15093,'270',39.44,1,3,NULL),(16,3084370,'1991-12-05 00:00:00',4,1,12,2009,'M','S','PONTA DE BAIXO','S JOSé','SC','124242241217111411589613575124610122142',NULL,'270',55.17,1,3,NULL),(16,3084388,'1990-03-03 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241217472431468837576124233225187',3264,'883',63.10,1,3,NULL),(16,3084396,'1990-05-21 00:00:00',2,1,12,2007,'F','N','ASA SUL','BRASíLIA','DF','107102101216371431479914472124610162142',NULL,'9998',0.00,1,3,NULL),(16,3084400,'1993-05-24 00:00:00',2,4,12,2009,'M','S','CENTRO','S MIGUEL OESTE','SC','124242241217151431485913477122610128042',NULL,'752',8.77,1,3,NULL),(16,3084418,'1990-04-18 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215572431469812575122610137042',1556,'262',69.10,1,3,NULL),(16,3084426,'1990-02-25 00:00:00',4,1,12,2007,'F','N','CONJUNTO TAUROS','CORNéLIO PROCóPIO','PR','116162161217271711236939492322610164197',14756,'9998',40.15,1,3,NULL),(16,3084434,'1990-03-23 00:00:00',4,1,12,2007,'M','N','VILA GUILHERMINA','S PAULO','SP','125252251217471711538814575125610162092',3766,'9998',61.67,1,3,NULL),(16,3084450,'1989-10-22 00:00:00',4,1,11,2007,'F','N','JARDIM SOLEMAR','S JOSé','SC','124241241126141431533314345324610116147',NULL,'734',30.26,1,2,1),(16,3084469,'1992-01-09 00:00:00',4,8,12,2009,'F','S','BOM RETIRO','JOINVILLE','SC','124242248233171131558812576114610117146',NULL,'457',28.59,1,3,NULL),(16,3084477,'1988-03-14 00:00:00',2,2,12,2005,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241235575431466419574114610162187',310,'991',77.90,1,3,NULL),(16,3084485,'1991-09-27 00:00:00',4,5,11,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215112431454833392125610127142',10277,'226',48.30,1,3,NULL),(16,3084507,'1989-08-15 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215574411458814575125610134102',12604,'266',44.17,1,3,NULL),(16,3084515,'1991-01-23 00:00:00',2,5,11,2008,'F','N','VILA BEATRIZ','MARACAJá','SC','124241241215372511447511416124610163142',4030,'970',60.97,1,3,NULL),(16,3084531,'1991-04-26 00:00:00',2,1,12,2008,'M','N','RECANTO DO SOL','CERQUILHO','SP','125252251214111131437734375122610144042',NULL,'9998',0.00,1,3,NULL),(16,3084558,'1991-08-04 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215122221486832275112610127052',619,'270',74.78,1,3,NULL),(16,3084566,'1989-08-15 00:00:00',2,1,12,2006,'F','N','AREIAS','S JOSé','SC','124121121117131311323869442124141322197',NULL,'9998',0.00,1,2,1),(16,3084574,'1990-05-23 00:00:00',4,1,11,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242248215372411466411392114610161052',9517,'270',49.69,1,3,NULL),(16,3084582,'1990-08-02 00:00:00',4,8,12,2007,'F','N','JD PROGRESSO','PARANAVAí','PR','116162161215371431648834575115610162097',6970,'9998',54.35,1,3,NULL),(16,3084590,'1992-11-19 00:00:00',4,1,12,2009,'M','S','COQUEIROS','FLORIANóPOLIS','SC','124244241217111751658819572112610167051',NULL,'270',5.82,1,3,NULL),(16,3084612,'1991-08-24 00:00:00',4,4,12,2008,'F','N','PALMITAL','CHAPECó','SC','124241241116471431447839572124610124141',7185,'169',53.94,4,2,1),(16,3084620,'1991-09-30 00:00:00',4,6,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241217151431449814575124610123092',NULL,'392',0.00,1,3,NULL),(16,3084639,'1989-06-24 00:00:00',2,1,12,2006,'F','N','FAZENDA STO ANTONIO','S JOSé','SC','124241241116472431316671275124610127052',11293,'739',46.48,1,2,1),(16,3084647,'1991-08-23 00:00:00',2,5,11,2008,'M','N','COMECIáRIO','CRICIúMA','SC','124242241215111431448933575122610168192',NULL,'226',32.92,1,3,NULL),(16,3084655,'1989-03-07 00:00:00',4,1,11,2007,'M','N','VILA ROMANA','S PAULO','SP','125252251216471331489833575114610162047',NULL,'9998',35.58,1,3,NULL),(16,3084663,'1991-09-05 00:00:00',4,1,12,2008,'F','N','SETOR PEDRO LUDOVICO','GOIâNIA','GO','109092098215111331428813574124610164097',NULL,'9998',0.00,1,3,NULL),(16,3084680,'1991-02-26 00:00:00',2,10,11,2008,'M','N','CENTRO','TUBARãO','SC','124244241215111731358614375321610127112',5559,'807',57.36,1,3,NULL),(16,3084698,'1987-08-25 00:00:00',2,1,12,2005,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241215574431356631575124133225112',353,'1022',77.33,1,3,NULL),(16,3084701,'1990-11-23 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244241215472431436617375124610117117',11132,'1022',46.78,1,3,NULL),(16,3084710,'1985-06-25 00:00:00',4,1,12,2003,'M','N','FLORESTA','JAGUARIúNA','SP','125252251216131431427721485112141467057',NULL,'9998',18.37,1,3,NULL),(16,3084728,'1991-02-03 00:00:00',4,6,12,2008,'F','N','CENTRO','ITAJAí','SC','124242241215111431478813575122610128182',NULL,'394',24.44,1,3,NULL),(16,3084736,'1991-10-09 00:00:00',4,1,10,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111431525527572122610137062',NULL,'273',27.49,1,3,NULL),(16,3084744,'1991-03-31 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217121411479911475115610166191',2316,'270',65.98,1,3,NULL),(16,3084752,'1989-01-25 00:00:00',4,1,12,2006,'F','N','CANASVIERAS','FLORIANóPOLIS','SC','124201201112131431637319282124610127155',14505,'9998',40.69,1,2,1),(16,3084779,'1991-04-09 00:00:00',2,1,11,2008,'F','N','FAZENDA STO ANTôNIO','S JOSé','SC','124241241215112431533311372114610167012',15777,'1022',37.84,1,3,NULL),(16,3084787,'1992-12-01 00:00:00',4,4,12,2008,'F','N','ENGENHO BRAUN','CHAPECó','SC','124242241211111111121221113211122713181',6488,'983',55.30,1,3,NULL),(16,3084795,'1991-04-15 00:00:00',4,9,11,2008,'F','N','GUADALUPE','LAGES','SC','124242241216111431336613475112610132012',12980,'497',43.53,1,3,NULL),(16,3084809,'1991-06-03 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431368933572122610131141',7549,'266',53.24,1,3,NULL),(16,3084817,'1989-12-26 00:00:00',4,1,12,1989,'M','N','MOEMA','S PAULO','SP','125252251216111441479914575121610167112',NULL,'9998',0.00,1,3,NULL),(16,3084825,'1988-08-27 00:00:00',2,1,12,2005,'F','N','RESIDENCIAL MORESCHI','MARINGá','PR','116162161215571431446913475112610124187',2415,'9998',65.66,1,3,NULL),(16,3084850,'1991-09-21 00:00:00',2,4,11,2008,'M','N','SAIC','CHAPECO','SC','124242241211471431469911411122610166182',NULL,'185',30.44,1,3,NULL),(16,3084868,'1989-08-18 00:00:00',4,1,12,2007,'F','N','VILA QUEIROZ','LIMEIRA','SP','125252251116131421436612342124610131117',NULL,'9998',0.00,1,3,NULL),(16,3084876,'1991-08-15 00:00:00',4,1,12,2008,'M','N','JARDIM AMERICA','DOURADOS','MS','112122121216271431448933575122610164092',12639,'9998',44.10,1,3,NULL),(16,3084884,'1992-03-03 00:00:00',4,4,12,2008,'F','N','ESPLANADA','CHAPECó','SC','124241241117131431434321245124610122142',NULL,'169',27.82,1,3,NULL),(16,3084906,'1991-02-22 00:00:00',4,2,11,2008,'M','N','SANTA TERESINHA','BRUSQUE','SC','124242241215271231368614272112610131057',4861,'107',58.96,1,3,NULL),(16,3084930,'1991-08-19 00:00:00',2,1,12,2008,'F','N','PARQUE SãO JORGE','FLORIANóPOLIS','SC','124242241215371431636613575114610115197',NULL,'951',22.51,1,3,NULL),(16,3084949,'1991-03-18 00:00:00',2,1,12,2007,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124163161116372431528612275124610137142',11106,'9998',46.83,1,3,NULL),(16,3084973,'1987-04-16 00:00:00',2,1,12,2004,'F','N','MATOSINHOS','S JOãO D REI','MG','113131131116371411624511112321241662186',13803,'9998',42.05,1,3,NULL),(16,3084981,'1991-04-07 00:00:00',2,4,12,2008,'F','N','ZONA RURAL','GUARUJá SUL','SC','124241241116161431433336292122610167147',NULL,'339',22.91,4,3,NULL),(16,3084990,'1991-09-09 00:00:00',4,1,11,2008,'F','N','COLINA DA LAGOA','LGA VERMELHA','RS','120201201217131431433611372322610163142',NULL,'9998',24.87,1,3,NULL),(16,3085007,'1991-08-20 00:00:00',5,1,12,2008,'F','N','CENTRO','ARROIO TRINTA','SC','124241241136151431459913385122610124142',10070,'853',48.65,1,2,1),(16,3085015,'1990-09-28 00:00:00',4,8,12,2007,'F','N','ZONA CINCO','MARINGá','PR','116162161235471431538815574122610123052',NULL,'9998',0.00,1,3,NULL),(16,3085023,'1986-02-23 00:00:00',4,1,12,2003,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124252161216273431578813585124131464072',8468,'9998',51.45,1,3,NULL),(16,3085031,'1991-06-24 00:00:00',4,1,11,2008,'F','N','SãO JOSé','S JOSé','SC','124242241215111431439652575124610132191',NULL,'270',29.01,1,3,NULL),(16,3085040,'1991-06-26 00:00:00',2,1,11,2008,'M','N','POCAO','CUIABá','MT','111112111217111431557631572212610134052',3871,'9998',61.41,4,3,NULL),(16,3085058,'1982-10-04 00:00:00',2,1,12,2003,'M','N','ITAIPU','MEDIANEIRA','PR','116161161126131441424411142124243257057',10325,'9998',48.21,1,2,1),(16,3085066,'1990-02-13 00:00:00',4,7,12,2006,'F','N','CENTRO','CAIBI','SC','124245241516474431536632195124232434127',5286,'126',57.89,1,3,NULL),(16,3085074,'1991-07-15 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215112431357932576124610164012',3544,'270',62.25,1,3,NULL),(16,3085082,'1988-07-21 00:00:00',4,1,12,2005,'M','N','BELA VISTA UM','S JOSé','SC','124241241216131731436429285324610114142',NULL,'943',26.54,1,3,NULL),(16,3085090,'1991-02-27 00:00:00',2,1,11,2008,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241214372731478913574124610164142',4871,'272',58.94,1,3,NULL),(16,3085104,'1991-07-08 00:00:00',4,8,12,2008,'F','N','ALEGRE','RIO NEGRINHO','SC','124244241215371411469814574122610141012',NULL,'666',31.67,1,3,NULL),(16,3085112,'1990-02-08 00:00:00',4,1,12,2007,'M','N','ZONA CINCO','MARINGá','PR','116252161217372411689919574122610164117',NULL,'9998',0.00,4,3,NULL),(16,3085139,'1991-01-17 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215122431458932295122610168042',4727,'270',59.25,1,3,NULL),(16,3085147,'1989-02-23 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215312732486613585114222262147',11062,'270',46.91,1,3,NULL),(16,3085155,'1991-08-12 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124244241215151231476322472124610127047',15470,'259',38.60,1,3,NULL),(16,3085163,'1990-10-12 00:00:00',4,1,12,2007,'M','N','CENTRO','MAUá','SP','125252256116471431458811575115610147092',888,'9998',72.78,1,3,NULL),(16,3085171,'1989-08-31 00:00:00',4,4,12,2006,'F','N','CENTRO','GETúLIO VARGAS','RS','120202201215573431478813575114610143127',1108,'9998',71.40,1,3,NULL),(16,3085180,'1991-11-14 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215121431578811475124610166172',891,'270',72.76,1,3,NULL),(16,3085198,'1989-03-28 00:00:00',2,1,12,2006,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241212473411468614375124230425072',NULL,'1022',28.76,1,3,NULL),(16,3085201,'1991-04-14 00:00:00',2,1,12,2007,'M','N','BALNEARIO','FLORIANóPOLIS','SC','124243241212372431437613572124610167142',5425,'1118',57.63,1,3,NULL),(16,3085210,'1991-05-24 00:00:00',4,1,11,2008,'F','N','PARQUE SãO JORGE','FLORIANóPOLIS','SC','124242241115371431336823575114610132077',NULL,'271',32.14,1,3,NULL),(16,3085228,'1990-12-28 00:00:00',2,8,12,2007,'F','N','VILA IVETE','MAFRA','SC','124241161115472431348611574122610126052',10728,'9998',47.49,1,2,1),(16,3085236,'1990-10-18 00:00:00',4,1,11,2007,'M','N','CENTRO','BRAçO NORTE','SC','124242241215472431358833575124610166057',56,'807',82.00,1,3,NULL),(16,3085244,'1988-12-27 00:00:00',4,1,12,2005,'M','N','APARECIDA','SANTOS','SP','125254251217143731589813411122610165112',NULL,'9998',0.00,1,3,NULL),(16,3085252,'1989-11-23 00:00:00',4,1,12,2007,'M','N','VILA IPOJUCA','S PAULO','SP','125252251217371741578913575124141934027',4683,'9998',59.35,1,3,NULL),(16,3085260,'1989-08-10 00:00:00',4,1,12,2007,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124244241216372431485812475114610127125',NULL,'270',26.83,1,3,NULL),(16,3085279,'1991-06-05 00:00:00',2,5,11,2008,'M','N','PROSPERA','CRICIúMA','SC','124164241215121411426519575124610124017',11599,'226',46.00,1,3,NULL),(16,3085287,'1989-02-07 00:00:00',4,1,12,2006,'M','N','VILA ADYANA','S JOSé CAMPOS','SP','125283251317572431479813571125610164057',5784,'9998',56.86,3,3,NULL),(16,3085295,'1990-10-14 00:00:00',4,1,12,2008,'F','N','CENTRO','LGA VERMELHA','RS','120201201147131631423811441122610168072',NULL,'9998',21.04,1,2,1),(16,3085309,'1991-07-25 00:00:00',2,10,11,2008,'F','N','CENTRO','BRAçO NORTE','SC','124244241215272431437912574124610124092',11656,'807',45.90,1,3,NULL),(16,3085317,'1991-01-17 00:00:00',4,2,11,2008,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124244241415111731658832275121612467047',NULL,'107',0.00,1,3,NULL),(16,3085333,'1991-08-29 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111731249834595112610167047',12912,'270',43.65,1,3,NULL),(16,3085341,'1991-08-15 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241216111411389923575114610162102',12334,'1022',44.67,1,3,NULL),(16,3085350,'1990-09-02 00:00:00',4,1,11,2007,'M','N','BALNEáRIO','FLORIANóPOLIS','SC','124242241215373431386613372124120744032',800,'270',73.44,1,3,NULL),(16,3085368,'1991-04-04 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241215111231347814575124610167042',768,'270',73.68,1,3,NULL),(16,3085376,'1991-05-25 00:00:00',4,1,11,2008,'M','N','PRESIDENTE ALTINO','OSASCO','SP','125252251217271411478611575122610144041',NULL,'9998',0.00,1,3,NULL),(16,3085392,'1986-03-09 00:00:00',4,1,12,2003,'M','N','CENTRO','CASCAVEL','PR','116162161215472431369934575122340664172',NULL,'9998',0.00,1,3,NULL),(16,3085406,'1991-05-22 00:00:00',4,1,12,2008,'M','N','GRANJA OLGA III','SOROCABA','SP','125252251216111431478832575112610137042',NULL,'9998',0.00,1,3,NULL),(16,3085414,'1990-11-13 00:00:00',4,1,12,2008,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161215111731579911595122610137012',NULL,'9998',0.00,1,3,NULL),(16,3085430,'1991-08-11 00:00:00',4,1,12,2008,'M','N','BOQUEIRãO','SANTOS','SP','125254251216471442438611575114610157047',NULL,'9998',0.00,1,3,NULL),(16,3085449,'1991-09-15 00:00:00',2,5,11,2008,'M','N','CENTRO','SOMBRIO','SC','124242241235111331439911242124610167097',9105,'32',50.40,1,3,NULL),(16,3085465,'1991-05-16 00:00:00',4,3,12,2008,'M','N','VILA MIRIM','PR GRANDE','SP','125252251216111431568734575122610124042',NULL,'9998',0.00,1,3,NULL),(16,3085481,'1956-11-05 00:00:00',2,1,11,1975,'F','N','SANTA MONICA','FLORIANóPOLIS','SC','224241245117273712576654372112321361181',10041,'449',48.70,1,3,NULL),(16,3085511,'1990-09-12 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215112431336613375122610144145',7120,'270',54.05,1,3,NULL),(16,3085520,'1988-06-14 00:00:00',2,1,12,2006,'M','N','JD BELA VISTA','LIMEIRA','SP','125254251415471431348716492123610127113',NULL,'9998',0.00,1,3,NULL),(16,3085538,'1990-10-17 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111432479831475122610161187',4742,'270',59.22,1,3,NULL),(16,3085546,'1991-08-04 00:00:00',4,1,12,2008,'F','N','KOLLER','ERECHIM','RS','120201201117131431348633172124610137097',NULL,'9998',36.59,1,2,1),(16,3085554,'1988-12-29 00:00:00',2,1,12,2006,'M','N','FUNDOS','BIGUAçU','SC','124241241117131431646613312123610132142',NULL,'65',30.57,1,2,1),(16,3085562,'1989-04-01 00:00:00',2,8,11,2006,'M','N','FATIMA','ERECHIM','RS','120202201235573431457931475124610117051',6317,'9998',55.65,1,3,NULL),(16,3085570,'1991-02-12 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215371431448623572124610111141',12989,'1022',43.52,1,3,NULL),(16,3085589,'1992-02-16 00:00:00',4,1,11,2009,'M','S','BAIRRO DER','CAçADOR','SC','124242241217111441389931574122610163146',NULL,'120',37.77,1,3,NULL),(16,3085597,'1992-01-26 00:00:00',2,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124242241215111431466814472112610167145',8240,'738',51.89,1,3,NULL),(16,3085619,'1988-11-03 00:00:00',2,1,12,2006,'M','N','PREVIDêNCIA','S PAULO','SP','125252251216152411468834495125241167143',NULL,'9998',0.00,1,3,NULL),(16,3085627,'1988-01-17 00:00:00',4,1,12,2005,'F','N','VILA SOBRINHO','CPO GRANDE','MS','112122121216371431358864572112610134182',NULL,'9998',0.00,1,3,NULL),(16,3085635,'1989-04-08 00:00:00',4,1,12,2006,'F','N','CENTRO','PASSO FUNDO','RS','120202201217572431437922475114610127017',1002,'9998',72.07,1,3,NULL),(16,3085643,'1986-03-20 00:00:00',2,1,12,2004,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241247322274441323379272124222362052',NULL,'9999',0.00,1,3,NULL),(16,3085651,'1991-11-22 00:00:00',2,1,12,2008,'M','N','RIO CAVEIRAS','BIGUAçU','SC','124241241115131431423669295124610127057',NULL,'65',24.34,1,3,NULL),(16,3085660,'1992-01-09 00:00:00',4,1,12,2008,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241217111441537831576124610126077',NULL,'1022',28.17,4,3,NULL),(16,3085678,'1971-05-10 00:00:00',5,1,6,1990,'F','N','TRINDADE','FLORIANóPOLIS','SC','224281288417151411428651475112142246123',NULL,'9998',0.00,1,3,NULL),(16,3085686,'1989-09-08 00:00:00',4,8,12,2006,'M','N','SAGUAçU','JOINVILLE','SC','124242246216272231667712345124141424121',10452,'1105',48.00,1,3,NULL),(16,3085694,'1991-03-07 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241216121431568812575124610114042',3558,'1022',62.19,1,3,NULL),(16,3085708,'1990-10-28 00:00:00',4,2,12,2008,'M','N','MORUMBI SUL','S PAULO','SP','125252253217371411367814575112610162122',7239,'9998',53.84,1,3,NULL),(16,3085716,'1983-09-16 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANóPOLIS','SC','224242161217575421338849495132122067047',986,'9998',72.16,1,3,NULL),(16,3085740,'1991-03-24 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124241241215111731535313475122610124052',NULL,'944',23.46,1,3,NULL),(16,3085759,'1991-05-15 00:00:00',4,3,12,2008,'M','N','CENTRO','COLIDER','MT','111111111132131431422211292321610117012',16542,'9998',35.24,2,1,2),(16,3085767,'1986-04-14 00:00:00',4,1,12,2004,'M','N','FEITORIA','S LEOPOLDO','RS','120201201126471411347674397124241632187',NULL,'9998',0.00,4,2,1),(16,3085775,'1991-09-06 00:00:00',4,5,11,2008,'M','N','CENTRO','FORQUILHINHA','SC','124244241215111431435619275124610137173',14871,'226',39.95,1,3,NULL),(16,3085783,'1991-04-12 00:00:00',2,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241215271441449933295125610168147',5580,'499',57.31,1,3,NULL),(16,3085791,'1991-03-26 00:00:00',4,6,11,2008,'F','N','PARQUE ITALIA','CAMPINAS','SP','125252251215111411278719575112610128071',9856,'9998',49.05,1,3,NULL),(16,3085805,'1987-05-07 00:00:00',4,2,12,2004,'M','N','DALBERGIA','IBIRAMA','SC','124241241216572751568911495112133167085',NULL,'653',0.00,1,3,NULL),(16,3085813,'1991-01-04 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEICAO','FLORIANóPOLIS','SC','124244241217271431578817495124610136052',9944,'951',48.88,1,3,NULL),(16,3085821,'1991-05-09 00:00:00',4,2,12,2008,'F','N','SUMARÉ','RIO SUL','SC','124242241215372331438914395122610128147',11761,'991',45.71,1,3,NULL),(16,3085830,'1991-03-16 00:00:00',2,1,12,2008,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124201241125141432243353241124610126192',16393,'296',35.97,4,3,NULL),(16,3085856,'1991-02-21 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124252241217111431356823575124610124171',4775,'270',59.12,1,3,NULL),(16,3085864,'1986-01-06 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANóPOLIS','SC','124112241213375431457821343224610122062',3420,'300',62.61,4,3,NULL),(16,3085872,'1991-12-03 00:00:00',4,5,10,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215112431469834572122610164142',3213,'226',63.25,1,3,NULL),(16,3085880,'1989-10-07 00:00:00',2,3,11,2006,'F','N','CANGO','FRANCISCO BELTRãO','PR','116164161217572431458833572112610164147',9318,'9998',50.04,1,3,NULL),(16,3085899,'1991-02-20 00:00:00',4,7,11,2008,'F','N','FREI BRUNO','JOAçABA','SC','124242241217371431238634574124610134092',15847,'446',37.63,1,3,NULL),(16,3085910,'1990-03-12 00:00:00',4,1,12,2007,'F','N','CANTA GALO','RIO SUL','SC','124241241115371531326529392323610125077',NULL,'659',30.37,1,2,1),(16,3085929,'1987-12-07 00:00:00',2,1,11,2008,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124241247327141431434654231112610167187',NULL,'9999',23.56,1,3,NULL),(16,3085937,'1990-12-19 00:00:00',4,4,10,2008,'M','N','FáTIMA','ERECHIM','RS','120203201216371311448834572122610144177',5338,'9998',57.81,1,3,NULL),(16,3085945,'1992-10-06 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124242241115111431566614575112610147052',12588,'739',44.20,1,3,NULL),(16,3085961,'1988-03-10 00:00:00',2,5,12,2005,'F','N','ENTRO','CRICIúMA','SC','124241241125132421424834241224231336112',13660,'1034',42.35,1,2,1),(16,3085970,'1990-06-11 00:00:00',2,8,11,2008,'M','N','COMASA','JOINVILLE','SC','124241241245111431336621575122610167047',14171,'1016',41.28,1,3,NULL),(16,3085988,'1991-05-14 00:00:00',2,8,11,2008,'M','N','JD PRESIDENTE DUTRA','LIMEIRA','SP','125252251216111411468813235122610146072',NULL,'9998',0.00,1,3,NULL),(16,3085996,'1988-06-16 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124244241416374421246621243124230262012',8122,'273',52.18,4,3,NULL),(16,3086003,'1991-08-22 00:00:00',4,2,12,2008,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241216112431559814575125610128012',NULL,'71',28.01,1,3,NULL),(16,3086011,'1990-04-15 00:00:00',4,1,12,2007,'M','N','DOM FELICIANO','GRAVATAí','RS','120202201217471431458811571114610167187',NULL,'9998',37.73,1,3,NULL),(16,3086020,'1990-07-19 00:00:00',4,1,12,2007,'F','N','ITANHANGA PARK','CPO GRANDE','MS','112122121216471431488911572112610132192',5384,'9998',57.69,1,3,NULL),(16,3086038,'1990-03-14 00:00:00',4,6,12,2007,'F','N','SANTA RITA','BRUSQUE','SC','124243241215272231233823572114121444172',2156,'981',66.56,1,3,NULL),(16,3086046,'1991-03-14 00:00:00',4,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215371431257923575125610144052',8574,'213',51.30,1,3,NULL),(16,3086070,'1990-05-17 00:00:00',4,5,11,2007,'F','N','MICHEL','CRICIúMA','SC','124242241215372441336734575125610126117',10564,'210',47.81,1,3,NULL),(16,3086089,'1990-10-24 00:00:00',4,1,10,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124244241217372431667831575124610136095',9338,'1023',50.01,1,3,NULL),(16,3086097,'1991-06-27 00:00:00',2,8,12,2008,'M','N','CENTRO','JOINVILLE','SC','124242241217271431369914471122610117042',2352,'457',65.87,1,3,NULL),(16,3086100,'1990-10-18 00:00:00',2,8,12,2007,'F','N','CZERNIEWICZ','JARAGUá SUL','SC','624242246217151531428832185121610161187',NULL,'1061',25.85,1,3,NULL),(16,3086119,'1990-11-29 00:00:00',2,4,11,2008,'M','N','CENTRO','ITAPIRANGA','SC','124243241337161431125424282124610136177',NULL,'1060',0.00,1,3,NULL),(16,3086127,'1986-09-16 00:00:00',2,1,12,2003,'M','N','PANTANAL','FLORIANóPOLIS','SC','124243241116375431559519574114610162147',5641,'307',57.18,1,3,NULL),(16,3086135,'1990-08-31 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241235472411388912271124610167182',3543,'1022',62.26,1,3,NULL),(16,3086143,'1991-12-30 00:00:00',4,9,12,2008,'F','N','SAGRADO CORAçãO DE J','LAGES','SC','124242241215271411489933575112610164122',14749,'1146',40.18,1,3,NULL),(16,3086151,'1988-07-07 00:00:00',4,1,12,2008,'M','N','DUQUE DE CAXIAS','CUIABá','MT','111113111216111731569713575122611414187',NULL,'9998',0.00,4,3,NULL),(16,3086160,'1990-12-14 00:00:00',2,3,12,2007,'F','N','NAçõES','BAL CAMBORIú','SC','124243241215371431453379575124610124142',NULL,'53',30.97,1,3,NULL),(16,3086178,'1987-03-07 00:00:00',4,1,12,2004,'M','N','INGLESES','FLORIANOPOLIS','SC','124241241117375411456967385124610114112',5513,'271',57.44,1,2,1),(16,3086194,'1989-11-09 00:00:00',2,1,12,2007,'F','N','JD OURO VERDE','OURINHOS','SP','125253251117471431546812312125610168182',NULL,'9998',32.71,1,3,NULL),(16,3086208,'1989-10-11 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIúMA','SC','124242241215372431246669575122610138112',8418,'226',51.56,1,3,NULL),(16,3086216,'1991-05-20 00:00:00',4,1,12,2007,'F','N','BATEL','CURITIBA','PR','116203161116471751457614592125610164187',9394,'9998',49.91,4,3,NULL),(16,3086224,'1990-06-25 00:00:00',4,1,12,2007,'M','N','FLORESTA','S JOSé','SC','124242241215472111239824345114610132147',4120,'1022',60.72,4,3,NULL),(16,3086232,'1991-01-03 00:00:00',4,8,12,2008,'M','N','CENTRO','JOINVILLE','SC','124242241217371431369814472122610166042',182,'457',79.54,1,3,NULL),(16,3086240,'1990-03-14 00:00:00',4,3,11,2006,'M','N','CENTRO','BAL CAMBORIú','SC','124244241215573231468913576112610162172',478,'44',75.96,1,3,NULL),(16,3086259,'1992-07-02 00:00:00',4,8,11,2008,'M','N','AMéRICA','JOINVILLE','SC','124244241215111411546832575121610167012',NULL,'1063',31.38,1,3,NULL),(16,3086267,'1990-06-21 00:00:00',2,1,12,2007,'M','N','CENTRO','CANOINHAS','SC','124241241135572721333316241214610165147',5736,'307',56.99,1,2,1),(16,3086283,'1991-02-19 00:00:00',4,1,12,2007,'F','N','CENTRO','MARAU','RS','124202201215373441334721574124610166072',250,'9998',78.55,1,3,NULL),(16,3086291,'1990-12-04 00:00:00',2,4,12,2007,'F','N','MATINHO','XANXERê','SC','120243241215372411556514175125610136017',4428,'1081',59.94,1,3,NULL),(16,3086305,'1991-04-09 00:00:00',4,1,12,2008,'F','N','GUIOMAR DE BAIXO','ANTôNIO CARLOS','SC','124241241115271431433335572224610167072',11043,'21',46.94,1,2,1),(16,3086313,'1991-07-27 00:00:00',4,8,12,2008,'M','N','BONECA DO IGUAçú','S JOSé PINHAIS','PR','116163161216121731348614375124610134092',15546,'9998',38.44,1,3,NULL),(16,3086321,'1990-08-05 00:00:00',4,1,12,2007,'M','N','FAZENDA STO ANTONIO','S JOSé','SC','124242241215372431456814591114610127142',4234,'270',60.42,1,3,NULL),(16,3086330,'1971-10-09 00:00:00',3,1,11,1990,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124212211216151731118619415122330421137',NULL,'9998',0.00,1,3,NULL),(16,3086348,'1978-11-17 00:00:00',4,1,12,1999,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124243246116372441346622395124321764095',2099,'306',66.80,1,3,NULL),(16,3086356,'1977-02-20 00:00:00',4,2,11,1997,'M','N','VELHA','BLUMENAU','SC','624241248121552721124444444324131252157',13824,'9997',42.00,1,3,NULL),(16,3086364,'1988-04-20 00:00:00',2,5,11,2005,'F','N','CENTRO','ARARANGUá','SC','124244241215574751455833475114610126072',5429,'32',57.62,1,3,NULL),(16,3086372,'1988-04-06 00:00:00',2,4,12,2008,'F','N','PALMITAL','CHAPECó','SC','124242241346271431653316275124610132187',12022,'169',45.23,1,3,NULL),(16,3086399,'1986-06-01 00:00:00',2,1,12,2003,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241126145431323319242134610123187',NULL,'307',23.67,1,2,1),(16,3086402,'1987-04-02 00:00:00',4,8,12,2004,'M','N','PETRóPOLIS','JOINVILLE','SC','124241241146151431343311345134333221147',NULL,'482',29.09,1,2,1),(16,3086429,'1990-07-04 00:00:00',4,1,11,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215111431659911471124610141112',7410,'262',53.50,1,3,NULL),(16,3086437,'1982-06-22 00:00:00',2,1,7,2003,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','224201208342131421436544342334610137033',13948,'9998',41.76,4,3,NULL),(16,3086445,'1989-01-26 00:00:00',2,1,11,2006,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201216573731443923575121610167012',9398,'9998',49.90,1,3,NULL),(16,3086453,'1983-08-23 00:00:00',2,1,12,2001,'F','N','SERRARIA','S JOSé','SC','124241241117143721446332435122122766122',11373,'271',46.38,1,2,1),(16,3086461,'1992-08-24 00:00:00',1,2,12,2008,'F','N','DAS NAçõES','TIMBó','SC','124241241215111431558811475122610137072',14925,'1157',39.83,1,3,NULL),(16,3086470,'1986-08-28 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124281241111434421638811181124231412142',NULL,'307',31.19,1,2,1),(16,3086488,'1991-04-11 00:00:00',4,8,12,2008,'F','N','CENTRO','MANOEL RIBAS','PR','116162161216421111234632574114610168072',NULL,'9998',30.94,1,3,NULL),(16,3086496,'1992-05-23 00:00:00',4,1,11,2009,'M','S','BOSQUE DAS MANSõES','S JOSé','SC','124242241215111431459824282122610138072',NULL,'723',58.71,1,3,NULL),(16,3086518,'1990-03-27 00:00:00',2,1,11,2007,'M','N','PRAIA COMPRIDA','S JOSé','SC','124242241215372431653831572314610167067',2579,'1022',65.07,1,3,NULL),(16,3086526,'1982-01-01 00:00:00',2,1,12,2001,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241136132431448629442111610167032',NULL,'307',0.00,1,2,1),(16,3086534,'1992-06-29 00:00:00',2,9,12,2008,'M','N','ESQUINA','URUBICI','SC','124241241416162431334939575122610144147',8431,'817',51.53,1,3,NULL),(16,3086542,'1990-04-04 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241117132751226764585124610166077',12679,'359',44.03,1,2,1),(16,3086550,'1989-06-06 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124243241115373441236911342124131227017',818,'804',73.30,1,3,NULL),(16,3086569,'1991-07-13 00:00:00',4,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124241241121131751523511112122610167077',NULL,'465',22.62,1,2,1),(16,3086577,'1988-07-07 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124172171317371731435664385124143222147',15821,'9998',37.71,2,3,NULL),(16,3086585,'1991-08-03 00:00:00',4,5,12,2008,'F','N','LIVRAMENTO','TURVO','SC','124241241115371431633316272124610127017',10957,'814',47.10,1,2,1),(16,3086593,'1988-11-17 00:00:00',2,1,12,2007,'F','N','FAZENDA STO ANTONIO','S JOSé','SC','124241248146131731423323275124610114067',NULL,'728',24.27,1,2,1),(16,3086607,'1992-01-27 00:00:00',4,1,12,2008,'M','N','SERRARIA','S JOSé','SC','124241241125141532216644345234610127057',NULL,'307',23.29,1,2,1),(16,3086623,'1991-01-13 00:00:00',4,6,12,2008,'F','N','ALTOS DO ESPLANADA','S JOSé CAMPOS','SP','125254251215151431267924575112610124197',3319,'9998',62.94,1,3,NULL),(16,3086631,'1990-09-08 00:00:00',4,1,12,2007,'F','N','JARDIM LIBERDADE','JACAREí','SP','125252251217471411539931475122610163072',14414,'9998',40.86,1,3,NULL),(16,3086658,'1982-04-07 00:00:00',2,8,12,2002,'M','N','CENTRO','JOINVILLE','SC','224173171236131411436663495221610126177',NULL,'9998',29.53,4,3,NULL),(16,3086666,'1979-08-08 00:00:00',4,1,12,1997,'M','N','CARIANOS','FLORIANóPOLIS','SC','224241241125472431144443234222610117042',12601,'277',44.18,1,2,1),(16,3086674,'1988-12-25 00:00:00',4,1,6,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124244247235371431467414445122610137042',NULL,'9999',26.79,1,3,NULL),(16,3086690,'1988-09-26 00:00:00',4,1,12,2006,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124241241132141431313349397114610116142',NULL,'151',26.33,3,2,1),(16,3086704,'1991-03-03 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243241316472411328721575114610123147',11879,'1022',45.50,1,3,NULL),(16,3086712,'1987-09-10 00:00:00',2,2,12,2004,'M','N','ASILO','BLUMENAU','SC','124241241215575431539514572124610162057',25,'87',83.81,1,3,NULL),(16,3086720,'1990-02-19 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241117151451543554346124610127055',NULL,'267',33.65,1,2,1),(16,3086739,'1989-01-19 00:00:00',2,1,12,2007,'M','N','AGUA VERDE','CURITIBA','PR','116163161326371411337644245134610164097',NULL,'9998',0.00,4,3,NULL),(16,3086755,'1990-06-10 00:00:00',4,1,12,2007,'F','N','MORADA DO SOL','MARAVILHA','SC','124244241217373432369613577314610122092',964,'1037',72.25,1,3,NULL),(16,3086763,'1989-09-16 00:00:00',4,8,12,2007,'M','N','VILA DUBOS','PRES PRUDENTE','SP','125251251215472551549814142113610162012',NULL,'9998',0.00,1,3,NULL),(16,3086771,'1990-04-01 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','S JOSé','SC','124243241216372431545611575124122321057',9151,'944',50.32,1,3,NULL),(16,3086780,'1990-05-02 00:00:00',4,4,12,2007,'F','N','CENTRO','CURITIBA','PR','116241161116472441424635594124610137057',5989,'9998',56.37,1,2,1),(16,3086801,'1988-01-26 00:00:00',4,1,12,2005,'M','N','RES LORENZO BALNEARI','FLORIANóPOLIS','SC','125214211215572431266924575114610132017',2144,'9998',66.60,1,3,NULL),(16,3086810,'1988-04-30 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124241241115472421436729342124610117057',NULL,'307',23.75,2,1,1),(16,3086828,'1991-03-03 00:00:00',2,1,11,2008,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241215112431247613572124610127082',NULL,'1022',31.70,1,3,NULL),(16,3086836,'1992-07-16 00:00:00',4,1,12,2009,'F','S','COQUEIROS','FLORIANóPOLIS','SC','124242241212111431467812572122610166192',NULL,'262',50.06,1,3,NULL),(16,3086844,'1989-06-06 00:00:00',4,5,12,2006,'F','N','SãO CRISTOVãO','CRICIúMA','SC','124242241216472411336632574124133264147',8547,'211',51.34,1,3,NULL),(16,3086860,'1990-03-17 00:00:00',2,1,12,2007,'M','N','CENTRO','ÁGUAS MORNAS','SC','124241241116162411445314575124610127042',NULL,'307',34.18,1,2,1),(16,3086887,'1991-04-26 00:00:00',5,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241215111431443823575124610167041',14530,'269',40.63,1,3,NULL),(16,3086895,'1991-10-13 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241115141421333632295122610124092',NULL,'592',22.07,1,2,1),(16,3086909,'1988-08-18 00:00:00',4,1,12,2005,'F','N','MORRO DA BINA','BIGUAçU','SC','124241241136152431545331275122232824144',NULL,'65',28.63,1,2,1),(16,3086917,'1980-04-04 00:00:00',2,1,12,1998,'M','N','GUARá','GUARá','DF','107093091436573751648814495122610167097',897,'9998',72.71,2,1,2),(16,3086925,'1991-11-29 00:00:00',4,4,11,2008,'M','N','CENTRO','ERECHIM','RS','120202201235271431379811475112610134012',1554,'9998',69.10,1,3,NULL),(16,3086933,'1978-12-02 00:00:00',2,1,11,1998,'F','N','PANTANAL','FLORIANóPOLIS','SC','124201241126271421114449295124330966197',NULL,'9998',0.00,4,2,1),(16,3086941,'1987-08-03 00:00:00',4,8,12,2006,'M','N','CIANORTINHO','CIANORTE','PR','116161161137311431431111195243610165177',12495,'9998',44.39,1,2,1),(16,3086968,'1988-03-20 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSé','SC','124244248216474421434411295124133248142',NULL,'943',23.58,1,3,NULL),(16,3086992,'1987-04-07 00:00:00',4,1,12,2004,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243241216133431337813492324231048177',14755,'266',40.17,1,3,NULL),(16,3087000,'1981-11-18 00:00:00',4,1,12,1999,'M','N','CENTRO','CPO MOURãO','PR','116162161215572451348836592112343268092',NULL,'9998',51.69,2,3,NULL),(16,3087034,'1986-02-14 00:00:00',2,1,12,2005,'F','N','CAJURU','CURITIBA','PR','116162161416272441457832415124233221112',NULL,'9998',0.00,1,3,NULL),(16,3087042,'1987-05-02 00:00:00',4,3,12,2004,'F','N','TATUAPé','S PAULO','SP','125252251211471731456912345121333267057',10551,'9998',47.83,1,3,NULL),(16,3087050,'1987-08-31 00:00:00',2,1,11,2004,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124243241316373421426614245124211358077',NULL,'307',30.30,1,3,NULL),(16,3087069,'1990-02-01 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241116313411658612495114610117142',14301,'552',41.04,1,2,1),(16,3087093,'1991-11-26 00:00:00',4,2,12,2009,'F','S','MARGEM ESQUERDA','GASPAR','SC','124242241216111731447934592124610123077',NULL,'855',31.00,1,3,NULL),(16,3087107,'1991-05-09 00:00:00',4,1,12,2008,'M','N','VILA MARIANA','TAIó','SC','124241241117131411334614572125610134197',NULL,'777',25.65,1,2,1),(16,3087115,'1991-06-22 00:00:00',4,1,11,2008,'M','N','BALNEARIO','FLORIANóPOLIS','SC','124242241216131431355667345125610127057',14917,'259',39.85,1,3,NULL),(16,3087131,'1989-11-07 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242247232111451246821575224610163192',NULL,'9999',25.47,1,3,NULL),(16,3087158,'1989-04-08 00:00:00',4,1,12,2006,'F','N','SERRARIA','S JOSé','SC','124241241327473531213367376124610131067',13015,'262',43.47,1,3,NULL),(16,3087174,'1988-07-02 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241115575431667632395112610167043',4356,'1022',60.12,1,3,NULL),(16,3087182,'1990-11-20 00:00:00',4,1,12,2007,'M','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','124242241215473441368732275124610134097',3329,'270',62.91,1,3,NULL),(16,3087190,'1991-03-15 00:00:00',2,3,12,2008,'M','N','CENTRO','JACAREZINHO','PR','116162251215171431368713574112610162142',NULL,'9998',31.43,1,3,NULL),(16,3087212,'1990-06-02 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215372431358823275124610115042',5515,'1022',57.43,1,3,NULL),(16,3087239,'1992-01-19 00:00:00',4,4,12,2008,'M','N','CENTRO','CHAPECó','SC','124242241215272431476832575122610134052',1467,'983',69.49,1,3,NULL),(16,3087247,'1989-02-07 00:00:00',4,8,11,2006,'F','N','BOM RETIRO','JOINVILLE','SC','624242241212473431543834572122230214013',14636,'461',40.42,1,3,NULL),(16,3087255,'1990-07-14 00:00:00',2,1,12,2007,'F','N','CENTRO','ITAJAí','SC','124241244112131731321424172344131317097',NULL,'395',18.37,1,2,1),(16,3087280,'1990-04-17 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124242241215572431466619594114610127182',895,'884',72.73,1,3,NULL),(16,3087298,'1989-12-11 00:00:00',2,1,12,2006,'F','N','ZONA SETE','MARINGá','PR','116161161116572431546519575115610124077',4670,'9998',59.38,4,2,1),(16,3087301,'1985-05-18 00:00:00',2,1,12,2005,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241217372421648831345124610124117',16580,'300',34.99,4,3,NULL),(16,3087310,'1986-09-06 00:00:00',4,1,12,2003,'M','N','OSVALDO ARANHA','IJUí','RS','120203201111131251545734472125241417157',8257,'9998',51.86,1,3,NULL),(16,3087328,'1990-08-22 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241115473431468832475124610163142',9170,'270',50.30,1,3,NULL),(16,3087336,'1990-03-27 00:00:00',4,8,11,2007,'M','N','ZONA SETE','MARINGá','PR','116222221216371431349932595111613264072',5363,'9998',57.74,1,3,NULL),(16,3087352,'1990-07-12 00:00:00',2,1,12,2007,'F','N','SERRINHA','FLORIANóPOLIS','SC','124242241215373431359613575124610127042',11382,'272',46.37,1,3,NULL),(16,3087360,'1991-09-26 00:00:00',4,1,11,2008,'F','N','CENTRO','CASCAVEL','PR','116162161216121431368833572112610122142',NULL,'9998',0.00,1,3,NULL),(16,3087379,'1990-04-24 00:00:00',4,1,12,2007,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241217271411389712572124133227042',NULL,'266',42.34,1,3,NULL),(16,3087387,'1982-12-25 00:00:00',4,1,12,2000,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241215152441179933112134322066177',NULL,'499',0.00,1,3,NULL),(16,3087395,'1991-02-11 00:00:00',2,8,10,2008,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215272731468833575122610147092',5992,'486',56.37,1,3,NULL),(16,3087409,'1990-04-14 00:00:00',2,1,7,2008,'F','N','CENTRO','S JOSé','SC','124242241116111431323417315334610127147',NULL,'739',28.95,1,3,NULL),(16,3087417,'1989-09-17 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215573431268729375124610147017',156,'457',79.94,1,3,NULL),(16,3087425,'1987-06-08 00:00:00',4,1,12,2007,'M','N','JARDIM MOREIRINHA','AMPARO','SP','125251251117471421333317385121610162197',5396,'9998',57.66,1,2,1),(16,3087441,'1990-09-13 00:00:00',2,1,12,2008,'F','N','BALNEARIO','FLORIANóPOLIS','SC','124244241213131711536524372224610115077',NULL,'259',28.69,1,3,NULL),(16,3087450,'1992-05-04 00:00:00',4,1,12,2009,'M','S','ABRAãO','FLORIANóPOLIS','SC','124242241235111431558613375122610122072',NULL,'737',45.35,1,3,NULL),(16,3087476,'1990-05-26 00:00:00',2,1,12,2007,'M','N','BELA VISTA II','S JOSé','SC','124241241225373731333119342124610134042',NULL,'262',27.71,1,3,NULL),(16,3087484,'1987-02-05 00:00:00',4,1,11,2004,'M','N','KOBRASOL','S JOSé','SC','124241241127271411547529492123610137067',13988,'736',41.66,1,2,1),(16,3087492,'1991-11-20 00:00:00',4,7,12,2008,'F','N','INTERIOR','LACERDóPOLIS','SC','124241241121161431435315371122610122147',NULL,'496',24.10,1,3,NULL),(16,3087506,'1984-08-25 00:00:00',4,1,11,2001,'F','N','IPIRANGA','S JOSé','SC','124244241116373431368614471124322937092',3645,'271',61.97,1,3,NULL),(16,3087514,'1991-08-19 00:00:00',4,5,10,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215112431336834472125610127012',47,'213',82.45,1,3,NULL),(16,3087522,'1991-05-27 00:00:00',2,1,12,2008,'M','N','PASSA VINTE','PALHOçA','SC','124243241217131431333319192222610124182',9886,'989',48.99,1,3,NULL),(16,3087530,'1991-04-29 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431279913474112610117142',3445,'270',62.53,1,3,NULL),(16,3087549,'1988-03-21 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANóPOLIS','SC','124252251225471431128831282214140464017',3616,'9998',62.04,1,3,NULL),(16,3087557,'1990-07-25 00:00:00',2,1,11,2007,'F','N','ABRAAO','FLORIANóPOLIS','SC','124242241215373431458613372114610121147',15614,'270',38.28,4,3,NULL),(16,3087565,'1989-02-02 00:00:00',2,1,12,2006,'F','N','SETOR G','ALTA FLORESTA','MT','111114111432133431337823572124241061127',NULL,'9998',0.00,4,1,2),(16,3087573,'1990-02-06 00:00:00',2,1,12,2007,'F','N','AREIAS','S JOSé','SC','124241241227372531547824341134610124197',14349,'262',40.97,1,3,NULL),(16,3087590,'1991-07-04 00:00:00',4,1,11,2008,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124202241215272431336411576112610145017',13713,'403',42.24,1,3,NULL),(16,3087603,'1990-07-31 00:00:00',4,1,11,2007,'F','N','ROçADO','S JOSé','SC','124243241212131521346612125122610124157',NULL,'9999',27.19,1,3,NULL),(16,3087611,'1991-05-13 00:00:00',4,9,10,2008,'F','N','CENTRO','LAGES','SC','124244241217111431658516572112610134147',4736,'497',59.23,1,3,NULL),(16,3087620,'1990-09-24 00:00:00',4,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242241215371531433319571112610167072',8614,'457',51.22,1,3,NULL),(16,3087638,'1991-09-24 00:00:00',2,1,12,2008,'F','N','CAMPO D UNA','GAROPABA','SC','124241241137131311536723272224610133142',NULL,'361',28.70,1,3,NULL),(16,3087646,'1990-04-25 00:00:00',4,10,11,2007,'M','N','MONTE CASTELO','TUBARãO','SC','124242241215372431477712575122610138092',1713,'806',68.36,1,3,NULL),(16,3087654,'1988-08-03 00:00:00',4,1,12,2006,'M','N','PARQUE LUCIAMAR','CAMPINAS','SP','125192191215571431368833582324610167177',9046,'9998',50.50,4,3,NULL),(16,3087662,'1990-07-22 00:00:00',2,1,11,2007,'F','N','CAPAO RASO','CURITIBA','PR','116162161217471431654432572122610168142',7846,'9998',52.68,1,3,NULL),(16,3087670,'1990-11-17 00:00:00',2,1,11,2007,'M','N','FAZENDA STO ANTONIO','S JOSé','SC','124244241215472431458814572124610164012',13691,'1077',42.29,1,3,NULL),(16,3087689,'1990-05-19 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248215373731387933571112132126121',5828,'270',56.72,1,3,NULL),(16,3087697,'1990-08-02 00:00:00',4,3,12,2007,'M','N','CENTRO','MARINGá','PR','116162161216372431458819575122610167042',NULL,'9998',0.00,1,3,NULL),(16,3087719,'1991-07-01 00:00:00',2,5,11,2008,'M','N','COLONINHA','ORLEANS','SC','124242241216111122433734575124610162117',15793,'208',37.80,1,3,NULL),(16,3087735,'1988-10-15 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124242241215373731239824475124131026042',1106,'270',71.43,1,3,NULL),(16,3087751,'1991-10-25 00:00:00',5,3,11,2008,'F','N','CENTRO','ERECHIM','RS','120202201216111411348911572122610151073',NULL,'9998',25.82,1,3,NULL),(16,3087760,'1988-09-28 00:00:00',2,1,12,2005,'F','N','JARDIM EUROPA','BIGUAçU','SC','124242241215573431656632575114610124117',13891,'1040',41.87,1,3,NULL),(16,3087778,'1985-05-23 00:00:00',2,1,12,2002,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241321134431423624245124610136067',16493,'307',35.50,2,3,NULL),(16,3087786,'1989-02-27 00:00:00',4,4,12,2006,'F','N','CENTRO','STA MARIA','RS','120203201216573751577931372122610138102',NULL,'9998',36.01,1,3,NULL),(16,3087794,'1990-10-08 00:00:00',4,1,12,2008,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124072241415122431567911372122610127113',3121,'270',63.48,1,3,NULL),(16,3087808,'1990-11-13 00:00:00',1,1,7,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242281216371451468821414125610168187',8738,'185',51.01,1,3,NULL),(16,3087816,'1988-06-07 00:00:00',2,1,12,2005,'F','N','BOM VIVER','BIGUAçU','SC','224242241312133411323654112324232246142',4637,'976',59.45,1,3,NULL),(16,3087824,'1990-09-04 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215471411256724575124610138185',5849,'270',56.68,1,3,NULL),(16,3087832,'1988-06-24 00:00:00',2,1,11,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216575431336823574122233227187',315,'262',77.85,1,3,NULL),(16,3087859,'1991-09-23 00:00:00',4,2,12,2008,'F','N','NAçõES','TIMBó','SC','124241241235111431424714211121610122097',NULL,'1157',27.34,1,3,NULL),(16,3087867,'1991-02-13 00:00:00',4,1,11,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215112431429924572114610165047',12043,'270',45.20,1,3,NULL),(16,3087891,'1991-11-29 00:00:00',2,4,11,2008,'M','N','CENTRO','CHAPECó','SC','124241241115131431566611575112610164197',5627,'185',57.21,1,3,NULL),(16,3087905,'1992-01-07 00:00:00',4,1,11,2008,'M','N','SETOR J','ALTA FLORESTA','MT','111112111216111431587712575122610132042',4603,'9998',59.56,1,3,NULL),(16,3087913,'1991-12-07 00:00:00',4,1,12,2008,'F','N','AMBROSIO','GAROPABA','SC','124241241117161431555632375122610135057',NULL,'322',29.91,1,2,1),(16,3087948,'1986-06-20 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241415373441426632485115133267187',3763,'237',61.68,1,3,NULL),(16,3087956,'1987-11-08 00:00:00',4,1,12,2005,'F','N','PROGRESSO','LAGUNA','SC','124241241116173431436923475124131366017',7417,'521',53.48,1,2,1),(16,3087964,'1986-10-08 00:00:00',4,1,12,2004,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201217472431448833211124610166047',2085,'9998',66.85,1,3,NULL),(16,3087972,'1991-06-27 00:00:00',4,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124241241117151431335534345124610123182',NULL,'307',24.91,1,3,NULL),(16,3087980,'1991-03-03 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241217121432588833575122610167042',532,'1038',75.54,3,3,NULL),(16,3088006,'1987-10-15 00:00:00',2,7,12,2004,'F','N','CENTRO','JOAçABA','SC','124241241145131441335923242134131024157',NULL,'777',0.00,1,2,1),(16,3088014,'1991-06-25 00:00:00',4,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215121731469833575122610164075',5101,'270',58.39,1,3,NULL),(16,3088022,'1990-03-12 00:00:00',4,1,11,2007,'F','N','CENTRO','LONDRINA','PR','116162161217471411448831574122610142142',NULL,'9998',0.00,3,3,NULL),(16,3088030,'1991-05-11 00:00:00',4,7,12,2008,'F','N','FREI BRUNO','JOAçABA','SC','124242241215472431555812595112610124142',15059,'446',39.54,1,3,NULL),(16,3088049,'1987-09-03 00:00:00',4,8,12,2006,'M','N','CENTRO','PNT GROSSA','PR','116161161136272421356612291132610134192',15113,'9998',39.39,1,2,1),(16,3088057,'1988-11-29 00:00:00',2,1,12,2006,'F','N','VILA ALVORADA','IMBITUBA','SC','124241241115572431536319495124610122142',12936,'9997',43.62,1,2,1),(16,3088065,'1991-06-25 00:00:00',4,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124242241115371431358854575124610167147',9735,'267',49.28,1,3,NULL),(16,3088073,'1988-04-30 00:00:00',1,1,12,2005,'F','N','JUVEVE','CURITIBA','PR','116162161217152331447931492112610124182',NULL,'9998',0.00,1,3,NULL),(16,3088090,'1990-07-14 00:00:00',4,10,11,2007,'M','N','VILA MOEMA','TUBARãO','SC','124242241216271711477732445112233264122',NULL,'806',28.56,1,3,NULL),(16,3088103,'1991-10-17 00:00:00',4,1,12,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242247215472451468814575112610143182',1756,'270',68.17,1,3,NULL),(16,3088120,'1991-05-13 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215271531358822395122610125012',3623,'723',62.02,1,3,NULL),(16,3088138,'1989-03-12 00:00:00',4,4,12,2005,'F','N','INTERIOR','QUILOMBO','SC','124241241112164431546335252223610137077',NULL,'648',16.66,1,2,1),(16,3088146,'1991-02-12 00:00:00',4,10,12,2008,'M','N','CENTRO','IMBITUBA','SC','124241241117271411531419192124610134147',6500,'359',55.28,1,2,1),(16,3088154,'1990-04-25 00:00:00',4,1,12,2007,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241217573431369613592124233268042',3361,'262',62.80,1,3,NULL),(16,3088170,'1988-06-07 00:00:00',2,1,12,2005,'F','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241135573431535731375124221356092',5778,'772',56.87,1,2,1),(16,3088189,'1990-06-14 00:00:00',4,8,12,2007,'F','N','VILA SANTANA','SOROCABA','SP','125251251126471431526621215334610127092',NULL,'9998',28.97,1,2,1),(16,3088197,'1986-06-14 00:00:00',2,1,12,2003,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241116373431347624445134610167147',6532,'307',55.21,2,1,1),(16,3088200,'1986-09-17 00:00:00',2,1,12,2003,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124243241116573421137741215124221363151',7442,'552',53.42,1,3,NULL),(16,3088219,'1991-07-20 00:00:00',2,1,12,2008,'F','N','CENTRO','IMBITUBA','SC','124241241215131231436624575122610112047',NULL,'362',27.64,1,3,NULL),(16,3088227,'1952-02-27 00:00:00',2,1,12,1987,'F','N','CARIANOS','FLORIANóPOLIS','SC','524241241112572441234449491324130221147',NULL,'512',24.97,1,2,1),(16,3088235,'1990-04-28 00:00:00',4,1,12,2007,'F','N','FAZENDA SANTO ANTôNI','S JOSé','SC','124242241116472441356818436124610145197',5267,'739',57.94,1,3,NULL),(16,3088251,'1991-07-17 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115471431526334475122610133077',NULL,'293',25.82,1,2,1),(16,3088260,'1991-01-22 00:00:00',4,1,10,2008,'M','N','RIO VERMELHO','SALVADOR','BA','105052051217111531289814572112610164182',1776,'9998',68.09,4,3,NULL),(16,3088294,'1982-08-04 00:00:00',2,1,12,2000,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243241116154731446413592124331862197',10859,'65',47.26,1,3,NULL),(16,3088316,'1990-08-06 00:00:00',4,1,11,2008,'F','N','MãE DE DEUS','CATALãO','GO','109092091217151751559931472122610128012',11567,'9998',46.06,1,3,NULL),(16,3088324,'1970-12-27 00:00:00',2,1,12,1990,'M','N','TAPERA','FLORIANóPOLIS','SC','224201201346272451433343232234142826047',8553,'9998',51.33,1,3,NULL),(16,3088332,'1990-12-26 00:00:00',4,1,11,2008,'M','N','JARDIM VIVENDAS','S JOSé R PRETO','SP','125252251217111411369933575112610162112',NULL,'9998',0.00,1,3,NULL),(16,3088340,'1986-02-18 00:00:00',2,1,9,2006,'F','N','FAROLâNDIA','ARACAJU','SE','126262267416151431556513435124241037026',NULL,'9999',0.00,4,3,NULL),(16,3088359,'1992-09-18 00:00:00',2,1,12,2009,'F','S','PRAIA DA DANIELA','FLORIANóPOLIS','SC','124242241216111731335823495122610121182',NULL,'262',24.88,1,3,NULL),(16,3088367,'1990-04-26 00:00:00',4,1,12,2007,'M','N','JARDIM SãO BENEDITO','CAMBUí','MG','113133138217572112356614195112610166197',NULL,'9998',0.00,1,3,NULL),(16,3088391,'1991-05-23 00:00:00',2,1,12,2007,'F','N','IPIRANGA','S JOSé','SC','124244241117132431334421381314610166113',NULL,'734',24.57,1,3,NULL),(16,3088405,'1991-12-10 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241115271431536314335124610127067',5091,'739',58.41,1,3,NULL),(16,3088413,'1990-05-26 00:00:00',4,8,12,2007,'F','N','NOVA BRASILIA','JOINVILLE','SC','124241241125151431426514241334610137057',2327,'465',65.95,4,2,1),(16,3088421,'1991-02-04 00:00:00',4,4,12,2008,'M','N','CIDADE ALTA','MEDIANEIRA','PR','116161161215371431558711575122610164052',NULL,'9998',22.82,1,3,NULL),(16,3088430,'1991-08-03 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241411471432548633575124610133017',10683,'1022',47.60,1,3,NULL),(16,3088456,'1991-05-06 00:00:00',4,1,12,2008,'M','N','FREGUESIA DO Ó','S PAULO','SP','125252251217111411569617371122610167042',NULL,'9998',0.00,1,3,NULL),(16,3088464,'1991-07-05 00:00:00',2,1,12,2008,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124242241212111431346524275124610167071',11609,'1036',45.98,1,3,NULL),(16,3088472,'1990-01-30 00:00:00',4,3,12,2008,'M','N','FAZENDINHA','CURITIBA','PR','116163161435121431446624245234610134047',NULL,'9998',25.23,1,3,NULL),(16,3088480,'1989-09-07 00:00:00',2,5,12,2007,'F','N','CENTRO','TORRES','RS','120202201212131431368833475124231462147',NULL,'9998',28.40,1,3,NULL),(16,3088499,'1991-09-05 00:00:00',2,3,12,2008,'M','N','MUNICíPIOS','BAL CAMBORIú','SC','124241241415151431257533575114610164041',NULL,'1086',0.00,1,3,NULL),(16,3088502,'1991-01-15 00:00:00',4,1,12,2008,'M','N','CENTRO','ÁGUA DOCE','SC','124242241216111431466816372124610117042',13958,'962',41.74,1,3,NULL),(16,3088510,'1991-01-18 00:00:00',4,1,12,2007,'F','N','JARDIM IPANEMA','MARINGá','PR','116162161217472431346831372312610162147',5583,'9998',57.30,1,3,NULL),(16,3088537,'1989-11-14 00:00:00',2,1,12,2007,'M','N','JARDIM LA SALLE','TOLEDO','PR','116161161114271431223347481111610147126',NULL,'9998',0.00,1,2,1),(16,3088545,'1992-04-22 00:00:00',4,7,12,2008,'F','N','CENATRO','IBIAM','SC','124241241125162721556819144122610138147',13275,'343',43.03,1,2,1),(16,3088553,'1991-06-06 00:00:00',4,7,11,2008,'F','N','JARDIM JOSE RUPP','HERVAL D OESTE','SC','124242241215271431438832572122610163017',16680,'446',33.96,1,3,NULL),(16,3088570,'1991-05-25 00:00:00',2,4,12,2008,'M','N','LINHA NERU RAMOS','ARVOREDO','SC','124241241127151431443416555124610148142',11397,'36',46.35,1,2,1),(16,3088588,'1990-12-02 00:00:00',2,8,12,2008,'F','N','GLóRIA','JOINVILLE','SC','124242241215131431326823572224610123197',9797,'461',49.16,1,3,NULL),(16,3088596,'1991-07-05 00:00:00',4,1,12,2008,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124241248347171431466411385124610124017',NULL,'1022',0.00,1,3,NULL),(16,3088600,'1992-05-17 00:00:00',2,4,12,2008,'F','N','CENTRO','TRINDADE SUL','RS','120201201117271431433335172212610128147',9994,'9998',48.78,4,2,1),(16,3088618,'1988-02-13 00:00:00',2,1,12,2004,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241212115441368732345122230267042',NULL,'272',41.36,1,3,NULL),(16,3088626,'1991-08-17 00:00:00',4,1,12,2008,'F','N','JD ESPLANADA I','INDAIATUBA','SP','125252251215371441448832575122610147183',11623,'9998',45.96,1,3,NULL),(16,3088634,'1990-04-07 00:00:00',4,1,11,2007,'F','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','124242241215373431438814376124123263191',3565,'270',62.17,1,3,NULL),(16,3088642,'1990-03-23 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241216372431556823575125610162187',4656,'1146',59.42,1,3,NULL),(16,3088669,'1990-04-20 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124241241116271431234821235134610137042',NULL,'739',27.30,1,2,1),(16,3088677,'1991-03-12 00:00:00',2,1,12,2008,'M','N','GRANJA VIANNA','COTIA','SP','125252251217211421559914275122610167077',NULL,'9998',0.00,1,3,NULL),(16,3088685,'1991-12-01 00:00:00',4,8,12,2008,'F','N','ILHA DA FIGUEIRA','JARAGUá SUL','SC','124241241117371331444634345124610162012',NULL,'430',20.46,1,2,1),(16,3088693,'1991-03-07 00:00:00',4,5,10,2008,'M','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124243241217111441558831576111610164012',5148,'880',58.25,1,3,NULL),(16,3088707,'1990-01-19 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124242241212313321336333442124610167167',7572,'1022',53.20,1,3,NULL),(16,3088715,'1992-01-28 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241236371531348932292124610167055',NULL,'262',46.73,1,3,NULL),(16,3088731,'1991-08-09 00:00:00',2,1,12,2008,'F','N','VILA OLíMPICA','MARIALVA','PR','116163161217111431346923575124610162057',9957,'9998',48.85,1,3,NULL),(16,3088740,'1992-06-22 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215131432326722575124610133077',NULL,'738',29.58,1,3,NULL),(16,3088758,'1990-03-17 00:00:00',2,1,12,2007,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241135472431335617275124610124122',12856,'298',43.75,1,2,1),(16,3088766,'1991-09-03 00:00:00',2,1,12,2008,'F','N','CENTRO','GAROPABA','SC','224241241125161431248752282122610168182',16601,'322',34.84,1,3,NULL),(16,3088774,'1977-11-28 00:00:00',2,1,12,1994,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241224252421234541214122342232052',8975,'647',50.62,4,3,NULL),(16,3088782,'1991-11-07 00:00:00',4,3,12,2008,'F','N','ANDORINHA','ITAPEMA','SC','124244241435371431424512125124610124185',NULL,'405',24.54,1,3,NULL),(16,3088790,'1988-02-19 00:00:00',4,1,12,2005,'F','N','CIDADE JARDIM','LIMEIRA','SP','125251251117572431329823572112610128047',NULL,'9998',0.00,1,3,NULL),(16,3088812,'1991-03-12 00:00:00',4,6,12,2008,'M','N','CENTRO','BRUSQUE','SC','124243241117271411648933575125610168082',12682,'111',44.03,1,3,NULL),(16,3088820,'1990-09-26 00:00:00',2,3,11,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124241243116152431328321215234610121192',9101,'129',50.40,4,2,1),(16,3088847,'1992-06-19 00:00:00',4,2,12,2009,'F','S','CENTRO','BENEDITO NOVO','SC','124244241216111431364932175122610133182',NULL,'1157',35.53,1,3,NULL),(16,3088855,'1990-12-04 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241417371431459813575122610124141',12646,'262',44.09,1,3,NULL),(16,3088863,'1990-04-30 00:00:00',2,1,12,2008,'M','N','SITIO ITACURUçA','ITAPEVI','SP','125252251237311431558711385122610167047',NULL,'9998',0.00,1,3,NULL),(16,3088871,'1990-06-29 00:00:00',4,1,12,2007,'M','N','BARIGUI','ARAUCáRIA','PR','116164161217472331459913335124610167042',6535,'9998',55.20,1,3,NULL),(16,3088880,'1987-02-19 00:00:00',4,1,12,2004,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241216273431166611575124221724172',1827,'407',67.91,1,3,NULL),(16,3088898,'1990-12-16 00:00:00',4,1,12,2007,'M','N','IPIRANGA','S JOSé','SC','124244241415132411128644145124610124172',NULL,'831',25.32,2,1,2),(16,3088901,'1988-12-08 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241216273431566614575124221724172',3150,'809',63.40,1,3,NULL),(16,3088910,'1991-03-07 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241215161711636312585122610165157',NULL,'977',15.50,1,3,NULL),(16,3088928,'1991-09-26 00:00:00',2,1,11,2008,'F','N','COLONIA SANTANA','S JOSé','SC','124246241322111731623624292134610165142',16330,'262',36.27,4,3,NULL),(16,3088936,'1991-01-10 00:00:00',2,1,12,2007,'F','N','JARDIN UNIVERSITARIO','MARINGá','PR','116162161217111531648811572324610165017',3417,'9998',62.62,1,3,NULL),(16,3088944,'1991-12-31 00:00:00',4,4,12,2008,'M','N','CENTRO','CHAPECó','SC','124201241115131431425373495124610122147',NULL,'175',26.26,1,2,1),(16,3088952,'1992-06-20 00:00:00',4,5,11,2008,'F','N','COLONINHA','ARARANGUá','SC','124242241216111431369914575122610161092',12065,'32',45.16,1,3,NULL),(16,3088960,'1989-04-01 00:00:00',2,1,12,2006,'F','N','ITAGUAI I','CALDAS NOVAS','GO','109091091116271741635511345325610166177',15612,'9998',38.28,1,2,1),(16,3088979,'1990-10-06 00:00:00',2,1,11,2008,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215411431368931472112610133152',7673,'270',53.01,1,3,NULL),(16,3088987,'1991-07-31 00:00:00',4,1,12,2008,'M','N','RIO GRANDE','PALHOçA','SC','124242241115271421434814575124610167062',4647,'739',59.44,1,3,NULL),(16,3088995,'1981-06-28 00:00:00',4,1,12,1998,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124114111216133431558832325124221267117',NULL,'9998',0.00,1,3,NULL),(16,3089002,'1990-11-19 00:00:00',2,6,12,2008,'F','N','CENTRO','ITAJAí','SC','124242241215271431439713575122610146077',11220,'392',46.61,1,3,NULL),(16,3089029,'1990-12-05 00:00:00',4,5,12,2008,'F','N','CENTRO','URUSSANGA','SC','124241241142371731426619342222610118142',NULL,'821',18.87,1,2,1),(16,3089037,'1991-03-07 00:00:00',2,1,11,2008,'F','N','CENTRO','PALHOçA','SC','124242248215112731458633275124610127077',NULL,'1011',39.59,1,3,NULL),(16,3089045,'1991-01-12 00:00:00',4,9,11,2008,'M','N','CENTRO','RIO SUL','SC','124242241216111411459711275125610126172',1259,'991',70.62,1,3,NULL),(16,3089053,'1975-07-11 00:00:00',4,1,12,1993,'M','N','ESTREITO','FLORIANóPOLIS','SC','224241241316153751368943435122321566017',NULL,'806',0.00,1,3,NULL),(16,3089061,'1982-09-18 00:00:00',2,1,12,2000,'F','N','CARIANOS','FLORIANóPOLIS','SC','624242241246235441545623285224131033147',5873,'270',56.64,1,3,NULL),(16,3089070,'1991-09-29 00:00:00',4,1,12,2008,'F','N','CENTRO','PRES GETúLIO','SC','124241241147161721436412245121610138052',NULL,'644',23.60,1,2,1),(16,3089088,'1987-11-10 00:00:00',3,1,11,2005,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241216574431658611571124230242012',382,'270',77.04,1,3,NULL),(16,3089096,'1990-12-01 00:00:00',4,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215121431459914475112610164142',2205,'270',66.39,1,3,NULL),(16,3089100,'1979-12-11 00:00:00',4,8,12,1997,'M','N','ALTO DA GLóRIA','CURITIBA','PR','116162161216472431348833435122340424012',NULL,'9998',0.00,1,3,NULL),(16,3089118,'1986-06-23 00:00:00',2,1,9,2004,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124244241112373441428838482124233217041',11657,'306',45.89,4,3,NULL),(16,3089126,'1989-09-14 00:00:00',2,1,12,2006,'F','N','RANCHO DE TáBOAS','ANGELINA','SC','124241241116372421443616272124231122142',10567,'17',47.80,1,2,1),(16,3089134,'1992-03-06 00:00:00',2,4,12,2008,'F','N','CENTRO','TRINDADE SUL','RS','120201201117271431634435272212610128147',14045,'9998',41.56,1,2,1),(16,3089142,'1991-04-22 00:00:00',2,1,12,2008,'F','N','ALTO DE MAFRA','MAFRA','SC','124241241116131711225823275125610128072',NULL,'542',21.85,1,2,1),(16,3089150,'1985-08-19 00:00:00',2,5,8,2004,'M','N','ESTAçãO','URUSSANGA','SC','124241246216171431453633431122231417052',15448,'995',38.65,1,3,NULL),(16,3089169,'1989-05-17 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215473431458813575122610132091',5549,'270',57.37,1,3,NULL),(16,3089185,'1991-08-11 00:00:00',2,1,11,2008,'F','N','POTECAS','S JOSé','SC','124241241116141721433311112234610122147',NULL,'278',23.75,4,2,1),(16,3089193,'1991-07-02 00:00:00',2,1,11,2008,'F','N','CENTRO','IMBITUBA','SC','124241241215121431323923574122610168192',7716,'270',52.93,1,3,NULL),(16,3089207,'1991-12-16 00:00:00',2,1,12,2008,'F','N','CENTRO','PAULO LOPES','SC','124241241215111431536612574114610165057',3717,'1011',61.79,1,3,NULL),(16,3089215,'1991-09-17 00:00:00',2,4,12,2008,'F','N','PALMITAL','CHAPECó','SC','124244241116471451464531575122610147147',10191,'169',48.44,1,3,NULL),(16,3089223,'1987-09-14 00:00:00',2,6,12,2004,'F','N','BOQUEIRãO','CURITIBA','PR','116164161216572751558613374124610132147',3322,'9998',62.94,1,3,NULL),(16,3089231,'1990-05-31 00:00:00',4,1,12,2008,'F','N','CENTRO','ANTôNIO CARLOS','SC','124241241115141431223342295222610126075',NULL,'21',0.00,1,2,1),(16,3089240,'1978-02-04 00:00:00',4,1,12,1995,'M','N','CARIANOS','FLORIANóPOLIS','SC','124133131116271751138879215224141164032',NULL,'9998',16.22,4,3,NULL),(16,3089258,'1988-09-01 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216574431449931575121610164082',260,'262',78.45,1,3,NULL),(16,3089266,'1990-11-06 00:00:00',4,8,12,2007,'F','N','BOA VIATA','JOINVILLE','SC','124242241212472441547812572124610167111',NULL,'461',35.23,1,3,NULL),(16,3089282,'1986-04-12 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','224204201136151431256759472124241327142',10195,'9998',48.44,1,3,NULL),(16,3089290,'1991-02-18 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124122241216471431368712475122610162113',NULL,'270',44.56,4,3,NULL),(16,3089304,'1984-01-31 00:00:00',2,8,12,2001,'F','N','CENTRO','S BENTO SUL','SC','124241241117131131548314485122230222197',NULL,'698',23.90,1,2,1),(16,3089312,'1991-02-25 00:00:00',4,2,12,2008,'F','N','CENTRO','DR MAURíCIO CARDOSO','RS','120201201416131431333434585124610123147',NULL,'9998',0.00,1,3,NULL),(16,3089320,'1986-04-29 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241217273431337813385112610166052',12797,'270',43.85,1,3,NULL),(16,3089339,'1992-07-05 00:00:00',4,1,10,2009,'M','S','BOM ABRIGO','FLORIANóPOLIS','SC','124242241217151431569921574124610153051',NULL,'262',53.96,1,3,NULL),(16,3089347,'1991-03-02 00:00:00',4,1,12,2008,'F','N','CENTRO','TIJUCAS','SC','124242241211141431438933211122610126097',7961,'1119',52.49,1,3,NULL),(16,3089355,'1989-11-29 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241117272751213334182124610137151',NULL,'96',27.41,1,2,1),(16,3089371,'1982-11-28 00:00:00',4,1,11,2001,'M','N','ACLIMAçãO','S PAULO','SP','125251258617131752238811281131342016187',NULL,'9998',0.00,1,3,NULL),(16,3089380,'1991-06-01 00:00:00',4,9,11,2008,'F','N','CENTRO','FAXINAL GUEDES','SC','124244241217122411458814574122610166171',2675,'1146',64.77,1,3,NULL),(16,3089401,'1991-06-16 00:00:00',4,5,10,2008,'M','N','SãO LUIS','CRICIúMA','SC','124242241215371431349971372122610134192',1447,'213',69.56,1,3,NULL),(16,3089410,'1990-04-02 00:00:00',2,5,11,2007,'F','N','PARAGUAI','JACINTO MACHADO','SC','124241241315472431456634372124610128147',15348,'32',38.88,1,3,NULL),(16,3089428,'1992-02-10 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215122431458832472122610127112',806,'270',73.40,1,3,NULL),(16,3089436,'1991-02-18 00:00:00',4,1,12,2008,'M','N','ROçADO','S JOSé','SC','124241241135131431526514281324610117057',NULL,'732',29.29,1,2,1),(16,3089444,'1990-07-09 00:00:00',4,1,12,2007,'F','N','SUL DOR RIO','STO AMARO IMPERATRIZ','SC','124242241316152711467622372124230461145',12854,'9997',43.75,1,3,NULL),(16,3089452,'1988-11-16 00:00:00',4,8,12,2007,'M','N','IRIRIU','JOINVILLE','SC','124242248215572451337623572211610164031',621,'494',74.78,1,3,NULL),(16,3089460,'1989-04-14 00:00:00',4,1,12,2006,'M','N','PINHEIRINHO','ITAJUBá','MG','113132131216471531369522575121241464127',NULL,'9998',0.00,1,3,NULL),(16,3089487,'1990-06-13 00:00:00',4,3,11,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124161241112372431446832344111610137012',14452,'49',40.78,4,3,NULL),(16,3089509,'1989-05-23 00:00:00',4,1,7,2007,'M','N','CENTRO','ANTôNIO CARLOS','SC','124241241116141421224342222232610124055',NULL,'21',0.00,1,2,1),(16,3089517,'1989-01-06 00:00:00',4,1,12,2006,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241217473431579932375124130425092',6533,'226',55.21,1,3,NULL),(16,3089525,'1990-04-20 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124062061115472441328821572114610135145',1461,'9998',69.51,4,3,NULL),(16,3089568,'1988-03-15 00:00:00',4,1,12,2005,'M','N','VILA SAO CRISTOVAM','LIMEIRA','SP','125251251117571431446313215122610162057',6343,'9998',55.59,1,2,1),(16,3089576,'1990-08-01 00:00:00',4,1,12,2007,'F','N','SUPER QUADRA MORUMBI','S PAULO','SP','125252251217471431368811572122610133073',NULL,'9998',0.00,1,3,NULL),(16,3089584,'1990-10-04 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124201241315111711636624582124610127142',13715,'1023',42.23,2,3,NULL),(16,3089592,'1990-12-13 00:00:00',2,1,11,2008,'M','N','FORQUILINHAS','S JOSé','SC','124243241217111431466812175122610147052',NULL,'1075',30.86,1,3,NULL),(16,3089606,'1986-04-28 00:00:00',4,1,12,2005,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124242241215573431248813385214132567157',14688,'1022',40.30,1,3,NULL),(16,3089614,'1991-02-19 00:00:00',2,8,11,2008,'F','N','BOM RETIRO','JOINVILLE','SC','124241241235111431535634241224610167147',15973,'461',37.31,1,3,NULL),(16,3089622,'1991-02-24 00:00:00',2,8,11,2008,'F','N','BUCAREIN','JOINVILLE','SC','124241241215271431334623492324610163082',10932,'461',47.15,4,3,NULL),(16,3089630,'1990-01-18 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431469952572122610133092',2817,'270',64.34,1,3,NULL),(16,3089649,'1991-07-18 00:00:00',4,1,12,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124241241115151431446513395124610134092',7154,'739',53.99,1,3,NULL),(16,3089657,'1990-08-02 00:00:00',2,1,12,2007,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217472431479914571122610127112',1845,'270',67.84,1,3,NULL),(16,3089665,'1986-08-22 00:00:00',4,2,12,2004,'M','N','CENTRO','INDAIAL','SC','124241241215374321346632485124610162047',11196,'88',46.67,1,3,NULL),(16,3089673,'1990-12-07 00:00:00',4,1,12,2008,'F','N','BARRA DO ARIRIú','PALHOçA','SC','124242241116131431523634372224610134142',NULL,'592',27.86,1,3,NULL),(16,3089681,'1983-05-31 00:00:00',4,1,12,2000,'F','N','KOBRASOL','S JOSé','SC','124201201112473431229939445124433246142',8395,'9998',51.60,1,3,NULL),(16,3089690,'1992-07-20 00:00:00',4,6,12,2008,'F','N','CENTRO','BRUSQUE','SC','124242248116111731589833195122610137182',NULL,'9997',22.17,1,3,NULL),(16,3089703,'1991-04-27 00:00:00',4,8,11,2008,'F','N','GLORIA','JOINVILLE','SC','124241241215211431223629294124610113077',NULL,'1006',32.17,1,3,NULL),(16,3089711,'1988-11-26 00:00:00',4,1,11,2005,'M','N','PRAIA DOS AMORES','BAL CAMBORIú','SC','124242241217574431538732572114610167045',4771,'1026',59.13,1,3,NULL),(16,3089720,'1980-05-07 00:00:00',2,1,12,2006,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241126131431331115282314610136172',NULL,'285',36.68,1,2,1),(16,3089738,'1990-01-30 00:00:00',4,1,12,2007,'M','N','PITUBA','SALVADOR','BA','105052051217471431389912422112610166172',1199,'9998',70.93,1,3,NULL),(16,3089746,'1980-05-20 00:00:00',4,1,12,1999,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241147165152256469285114610122147',NULL,'594',36.17,1,3,NULL),(16,3089754,'1984-09-27 00:00:00',4,1,12,2001,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241136131431126644345124130664033',11737,'69',45.75,1,3,NULL),(16,3089762,'1990-10-29 00:00:00',3,1,11,2007,'F','N','IATE CLUBE AMERICANA','AMERICANA','SP','125252251217111431366832125132610115077',13637,'9998',42.40,1,3,NULL),(16,3089770,'1987-10-22 00:00:00',4,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124241241315111441614471372221610167057',NULL,'272',32.21,1,3,NULL),(16,3089797,'1990-06-27 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124243241115142411468831392124231064147',10048,'271',48.69,1,3,NULL),(16,3089800,'1991-09-11 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215122731349833195122610134012',13490,'266',42.63,1,3,NULL),(16,3089819,'1991-06-10 00:00:00',4,8,12,2008,'F','N','ALEGRE','RIO NEGRINHO','SC','124241241116131731434624572125610138177',NULL,'669',21.65,1,2,1),(16,3089827,'1982-01-28 00:00:00',4,1,12,2000,'F','N','PRAIA DE FORA','PALHOçA','SC','524241241126132411333829345134130223117',NULL,'307',24.78,1,3,NULL),(16,3089835,'1991-12-12 00:00:00',4,1,12,2009,'M','S','JD IGUAçU','MARINGá','PR','116162161215111431488832575122610164142',NULL,'9998',62.55,1,3,NULL),(16,3089843,'1991-10-29 00:00:00',4,4,12,2008,'F','N','IMIGRANTES','CONCóRDIA','SC','124241241115471431439814275122610166142',15034,'192',39.59,1,2,1),(16,3089860,'1981-12-26 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124281281117371411224829175125610127112',14424,'9998',40.84,1,2,1),(16,3089878,'1988-12-22 00:00:00',5,1,12,2005,'F','N','CENTRO','ARROIO TRINTA','SC','124241241216574431459913575122133222142',147,'969',80.06,1,3,NULL),(16,3089886,'1982-04-09 00:00:00',4,1,12,2000,'F','N','RIO BRANCO','PTO ALEGRE','RS','120204201216472141439923315112342724117',15701,'9998',38.06,1,3,NULL),(16,3089894,'1991-06-21 00:00:00',4,8,12,2008,'F','N','CENTRO','APUCARANA','PR','116162161215121431458811574125610166112',277,'9998',78.29,1,3,NULL),(16,3089908,'1991-04-12 00:00:00',4,1,10,2008,'F','N','PORTAL DO SOL II','GOIâNIA','GO','109092091217111431489814572222141467082',8939,'9998',50.67,4,3,NULL),(16,3089916,'1990-11-14 00:00:00',4,1,12,2008,'M','N','VILLA VOLGA','PALMITAL','SP','125252251215151451456773571122610168042',2697,'9998',64.68,1,3,NULL),(16,3089932,'1992-10-27 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111731468834572112610132052',NULL,'1022',21.92,1,3,NULL),(16,3089959,'1991-12-12 00:00:00',4,1,12,2009,'M','S','JD IGUAçU','MARINGá','PR','116162161215111431488832575122610167142',NULL,'9998',47.38,1,3,NULL),(16,3089975,'1989-05-10 00:00:00',4,1,12,2006,'M','N','PAROLIN','CURITIBA','PR','124162161215373441388913475124121467182',373,'9998',77.11,1,3,NULL),(16,3089983,'1990-04-17 00:00:00',4,1,12,2007,'M','N','AUXILIADORA','PTO ALEGRE','RS','120202201217471751367732571124143266056',166,'9998',79.78,1,3,NULL),(16,3090000,'1990-06-07 00:00:00',2,1,12,2008,'M','N','JURERê','FLORIANóPOLIS','SC','124242241212111411339924245124610137147',16175,'270',36.72,1,3,NULL),(16,3090019,'1991-08-06 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241215121431356619375122610133192',1712,'270',68.37,1,3,NULL),(16,3090027,'1990-01-13 00:00:00',4,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124242241216572231248823595124620137117',3165,'1022',63.37,1,3,NULL),(16,3090035,'1985-03-10 00:00:00',4,1,12,2003,'M','N','BALNEARIO','FLORIANóPOLIS','SC','124243241215145441663723315124231462082',12176,'882',44.94,1,3,NULL),(16,3090051,'1988-03-22 00:00:00',4,6,12,2005,'F','N','FLORESTA','PTO ALEGRE','RS','120242241215572431249831275124132434192',82,'392',81.47,1,3,NULL),(16,3090060,'1990-03-30 00:00:00',4,1,2,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124242281217471741489933575122610162185',4492,'9998',59.78,1,3,NULL),(16,3090078,'1989-10-23 00:00:00',4,1,11,2007,'F','N','SETOR SUL','GOIâNIA','GO','109092091216371431589931571122610143147',NULL,'9998',37.13,1,3,NULL),(16,3090094,'1989-06-09 00:00:00',4,8,12,2006,'F','N','SAGUAçU','JOINVILLE','SC','124242241215371431469611495122610113181',3217,'491',63.24,1,3,NULL),(16,3090108,'1991-11-25 00:00:00',3,3,12,2008,'M','N','BRASILIA','S BENTO SUL','SC','124213241335151511335779575124610164122',15046,'697',39.56,2,3,NULL),(16,3090116,'1991-08-27 00:00:00',4,1,12,2009,'F','S','CAMPECHE','FLORIANóPOLIS','SC','124242241215111431468823595122610127125',NULL,'262',36.12,1,3,NULL),(16,3090140,'1988-09-22 00:00:00',2,10,12,2006,'M','N','CENTRO','BRAçO NORTE','SC','124242241216573431368811585124231444052',NULL,'807',33.68,1,3,NULL),(16,3090159,'1989-11-10 00:00:00',4,1,12,2008,'F','N','PARQUE INDUSTRIAL','S JOSé CAMPOS','SP','125253251335271431439934495121610141187',NULL,'9998',24.88,1,3,NULL),(16,3090175,'1991-03-21 00:00:00',4,1,12,2008,'F','N','CENTRO','ERECHIM','RS','124202241415111431468811575125610147042',2143,'270',66.62,1,3,NULL),(16,3090183,'1991-06-05 00:00:00',4,6,12,2008,'F','N','CENTRO','BAL PIçARRAS','SC','124243241217121431369913571124610147012',5068,'1026',58.47,1,3,NULL),(16,3090191,'1988-03-10 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANóPOLIS','SC','124244241212272431547619192124233235187',NULL,'300',0.00,1,3,NULL),(16,3090205,'1993-02-04 00:00:00',2,10,12,2009,'F','S','EVOLUçãO','S LUDGERO','SC','124242241217111432369914242112610125147',NULL,'807',43.54,1,3,NULL),(16,3090213,'1991-10-21 00:00:00',4,9,12,2008,'F','N','SANTO ANTONIO','ABDON BATISTA','SC','124241241126161431536923582122610137057',NULL,'1',26.20,1,2,1),(16,3090221,'1982-11-03 00:00:00',4,1,12,2000,'M','N','BARREIROS','S JOSé','SC','124243246116154431338673395123133234112',7089,'306',54.11,1,3,NULL),(16,3090248,'1991-02-01 00:00:00',2,2,12,2008,'M','N','SUMARé','RIO SUL','SC','124241242117151711334429175124610166197',13452,'662',42.69,4,3,NULL),(16,3090256,'1987-04-16 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124252251436371431258834475122143266182',10631,'9998',47.67,1,3,NULL),(16,3090280,'1991-10-01 00:00:00',4,8,11,2008,'M','N','REBOUçAS','CURITIBA','PR','116162161217471711478712575112610134042',1117,'9998',71.34,1,3,NULL),(16,3090302,'1991-11-28 00:00:00',4,5,11,2008,'M','N','JD MARISTELA','CRICIúMA','SC','124242241215111731448812475122610134042',2024,'226',67.10,1,3,NULL),(16,3090310,'1990-09-24 00:00:00',4,2,12,2008,'M','N','VELHA','BLUMENAU','SC','124242241115111431568814575124610167012',7190,'87',53.94,1,3,NULL),(16,3090329,'1991-04-08 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215132431538832572124610127077',NULL,'262',27.89,1,3,NULL),(16,3090345,'1992-10-16 00:00:00',4,1,11,2009,'F','S','ITAPIRUBá','IMBITUBA','SC','124242241215111431239631395124610127142',NULL,'362',58.31,1,3,NULL),(16,3090353,'1985-11-02 01:00:00',2,1,6,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124241247247135411633714242212610124047',NULL,'9999',27.71,1,3,NULL),(16,3090370,'1991-02-15 00:00:00',4,1,11,2008,'M','N','ROçADO','S JOSé','SC','124241241217151431479913574122610155182',292,'262',78.01,1,3,NULL),(16,3090388,'1990-06-04 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216311432259923475125610142112',NULL,'269',22.51,1,3,NULL),(16,3090396,'1989-10-16 00:00:00',4,1,12,2006,'M','N','CENTRO','PALOTINA','PR','116162161237473431366632572121241437092',3413,'9998',62.63,1,3,NULL),(16,3090418,'1991-02-13 00:00:00',2,8,12,2008,'M','N','VILA JUNQUEIRA','VINHEDO','SP','125251251216311431244824275112610114196',NULL,'9998',0.00,1,3,NULL),(16,3090426,'1984-09-14 00:00:00',2,1,1,2004,'M','N','CENTRO','STA MARIA','RS','120204207416371731523371275125610164181',NULL,'9999',17.43,1,3,NULL),(16,3090434,'1987-03-24 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANóPOLIS','SC','124262261217472231566821575113141136122',3306,'9998',62.97,1,3,NULL),(16,3090442,'1992-03-17 00:00:00',4,8,12,2009,'F','S','CENTRO','MARAU','RS','120202201215111431476831271114610126182',NULL,'9998',56.57,1,3,NULL),(16,3090450,'1991-02-01 00:00:00',4,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124242241215112431334634575222610122072',4791,'1010',59.08,1,3,NULL),(16,3090469,'1986-09-05 00:00:00',2,8,12,2004,'F','N','CENTRO','CANOINHAS','SC','124243241216575431338767585124131321182',4337,'486',60.17,1,3,NULL),(16,3090477,'1989-05-27 00:00:00',4,1,12,2006,'M','N','JARDIM ESMERALDA','LIMEIRA','SP','125252251215571431458611571112610164087',NULL,'9998',0.00,1,3,NULL),(16,3090485,'1991-09-05 00:00:00',4,10,12,2008,'F','N','OFICINAS','TUBARãO','SC','124242241217121411469922272115610143142',9273,'807',50.13,1,3,NULL),(16,3090493,'1988-05-17 00:00:00',2,9,12,2005,'M','N','CENTRO','CURITIBANOS','SC','124241241216153411454435575122230347112',NULL,'270',0.00,1,3,NULL),(16,3090507,'1993-03-11 00:00:00',4,1,12,2009,'F','S','BARREIROS','S JOSé','SC','124242248112151421448614572124610166197',NULL,'306',0.00,1,3,NULL),(16,3090523,'1970-04-02 00:00:00',5,2,12,1989,'M','N','CENTRO','BLUMENAU','SC','124251251126151411124249195122541666172',8707,'9998',51.07,4,2,1),(16,3090531,'1991-10-24 00:00:00',2,1,12,2008,'F','N','PAGANI','PALHOçA','SC','124161241416111431446924595122610136152',10703,'989',47.55,1,3,NULL),(16,3090540,'1990-08-02 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124122121215372431569933572122610134042',3272,'9998',63.09,1,3,NULL),(16,3090558,'1990-04-20 00:00:00',2,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111412466613375114610167017',13672,'1050',42.33,1,3,NULL),(16,3090574,'1990-12-29 00:00:00',4,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124242241216112411466812595124610168197',2766,'951',64.52,1,3,NULL),(16,3090582,'1990-05-29 00:00:00',2,1,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124243241415221751226624375223610162172',NULL,'1111',28.43,1,3,NULL),(16,3090590,'1991-08-11 00:00:00',4,8,12,2008,'M','N','CENTRO','MAL CâNDIDO RONDON','PR','116162161217471211469913571124610167122',10575,'9998',47.79,1,3,NULL),(16,3090604,'1986-06-18 00:00:00',2,1,6,2005,'M','N','FREI EUGêNIO','UBERABA','MG','113131137111131441437923571114610166097',NULL,'9998',0.00,4,2,1),(16,3090612,'1991-12-07 00:00:00',4,1,11,2008,'M','N','PONTA DE BAIXO','S JOSé','SC','124242241217111231537633335124610167092',5631,'270',57.20,1,3,NULL),(16,3090620,'1989-04-01 00:00:00',2,1,12,2006,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124242241215273431237621472324610161117',7181,'1022',53.95,1,3,NULL),(16,3090639,'1989-06-16 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241117352731523912476112610124047',NULL,'592',23.06,1,3,NULL),(16,3090647,'1989-09-02 00:00:00',4,1,12,2007,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241215372431569811595124610161052',15866,'270',37.59,1,3,NULL),(16,3090663,'1989-01-10 00:00:00',4,1,11,2006,'F','N','SAGRADO','LAGES','SC','124242241215573431448613574345132418147',2653,'499',64.83,1,3,NULL),(16,3090671,'1991-02-17 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241215112431569932475115610132042',2255,'1146',66.21,1,3,NULL),(16,3090680,'1984-06-26 00:00:00',2,1,2,2003,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124251251137231431116649342123143267052',11217,'9998',46.62,1,2,1),(16,3090701,'1990-02-27 00:00:00',4,1,12,2007,'F','N','VILA ADYANNA','S JOSé CAMPOS','SP','125254251216473451547814575121610162097',2601,'9998',65.01,1,3,NULL),(16,3090728,'1990-07-11 00:00:00',4,1,12,2007,'M','N','CAMPO GRANDE','SANTOS','SP','125254251217472731462232484114610162187',1299,'9998',70.39,3,3,NULL),(16,3090736,'1991-01-14 00:00:00',4,1,12,2007,'F','N','CENTRO','RONDONóPOLIS','MT','111111111416242731347724382212610122191',15277,'9998',39.03,1,3,NULL),(16,3090744,'1989-02-08 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241248126473431435329392114610134197',13963,'285',41.72,1,2,1),(16,3090752,'1991-01-18 00:00:00',4,10,11,2008,'M','N','DEHON','TUBARãO','SC','124242241216121431446837395132610117043',NULL,'806',23.17,1,3,NULL),(16,3090760,'1986-06-06 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124241281216573411378933315122333267042',811,'9998',73.37,1,3,NULL),(16,3090779,'1991-11-22 00:00:00',4,1,12,2008,'M','N','VILA IPOJUCA','S PAULO','SP','125252251215471441549832375124610164072',3061,'9998',63.63,1,3,NULL),(16,3090787,'1985-01-15 00:00:00',2,1,6,2006,'M','N','VILA OLíMPICA','UBERABA','MG','113131137136371751436471371125143268057',NULL,'9998',0.00,4,1,1),(16,3090809,'1991-09-02 00:00:00',4,1,12,2008,'M','N','CENTRO','JESUíTAS','PR','116161161216111241339613175112610167054',1432,'9998',69.62,1,3,NULL),(16,3090817,'1990-08-02 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124122121215372431569933572122610134042',4178,'9998',60.55,1,3,NULL),(16,3090825,'1990-04-02 00:00:00',4,1,12,2007,'M','N','IPIRANGA','S PAULO','SP','125251251216471431437931575111610137077',7364,'9998',53.60,1,3,NULL),(16,3090833,'1991-11-06 00:00:00',4,1,11,2008,'F','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241215111411468832575112610144142',2174,'270',66.50,1,3,NULL),(16,3090841,'1988-03-09 00:00:00',4,1,8,2006,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124242246217152421127944445124130762032',4382,'995',60.07,1,3,NULL),(16,3090850,'1988-08-15 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANóPOLIS','SC','124201201136131421123644241334610127047',13702,'9998',42.26,1,2,1),(16,3090868,'1991-03-20 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241215111331438911592124610167142',8082,'270',52.26,1,3,NULL),(16,3090876,'1991-05-27 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217112431359813572115610167041',684,'262',74.34,1,3,NULL),(16,3090884,'1990-04-24 00:00:00',2,1,12,2007,'F','N','JARDIM DAS COLINAS','S JOSé CAMPOS','SP','125252251217371431469834572122610133182',6041,'9998',56.25,1,3,NULL),(16,3090892,'1987-10-12 00:00:00',4,1,12,2005,'M','N','JARDIM PALERMO','S BERNARDO CAMPO','SP','125252251231571431468818571222610163047',5175,'9998',58.17,1,3,NULL),(16,3090906,'1991-05-14 00:00:00',4,2,11,2008,'F','N','GUARUJá','PTO ALEGRE','RS','120202201216471431356814141114610144197',12377,'9998',44.58,1,3,NULL),(16,3090914,'1990-07-18 00:00:00',4,1,12,2007,'M','N','CENTRO','PASSO FUNDO','RS','124202201216372741128631575125231466185',3966,'9998',61.15,1,3,NULL),(16,3090922,'1987-03-09 00:00:00',2,3,12,2005,'F','N','BELVEDERE II','FOZ IGUAçU','PR','116161161216472731466722245122243236097',NULL,'9998',23.94,1,3,NULL),(16,3090949,'1990-07-07 00:00:00',4,8,11,2007,'F','N','BELEM','SAO PAULO','SP','125252251217371411358813572112610163072',5320,'9998',57.84,1,3,NULL),(16,3090957,'1993-06-02 00:00:00',4,1,11,2009,'F','S','BALNEáRIO','FLORIANóPOLIS','SC','124242241215111332439933472124610165177',NULL,'1050',51.01,1,3,NULL),(16,3090965,'1989-07-29 00:00:00',4,1,12,2007,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241217372411368834575122220368185',4201,'943',60.48,1,3,NULL),(16,3090973,'1990-12-27 00:00:00',2,1,11,2007,'F','N','CENTRO','S LOURENçO OESTE','SC','124242161215472431438632572124610123147',16222,'9998',36.62,1,3,NULL),(16,3090981,'1989-07-01 00:00:00',4,1,12,2006,'M','N','PINHEIRA','PALHOçA','SC','124242241211153131447832572142610137042',NULL,'266',35.00,1,3,NULL),(16,3090990,'1991-09-14 00:00:00',2,4,12,2008,'F','N','SANTA LUZIA','ABELARDO LUZ','SC','124243241315371731547612275122610128197',15755,'1159',37.91,1,3,NULL),(16,3091007,'1990-09-26 00:00:00',2,1,11,2009,'F','S','CAMPECHE','FLORIANóPOLIS','SC','124242241215111111433139195124610117052',NULL,'270',26.21,1,3,NULL),(16,3091015,'1991-04-29 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124253241215151221457674345124610124017',7808,'259',52.75,3,3,NULL),(16,3091023,'1990-11-04 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241415122431558313575124610148095',14116,'1022',41.40,1,3,NULL),(16,3091031,'1990-02-25 00:00:00',4,1,6,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124282288417372431218972575112610165142',6254,'9998',55.77,1,3,NULL),(16,3091040,'1992-04-14 00:00:00',4,1,12,2009,'F','S','COQUEIROS','FLORIANóPOLIS','SC','124242241215112431358939575124610122097',NULL,'262',50.33,1,3,NULL),(16,3091058,'1992-07-12 00:00:00',4,1,11,2009,'F','S','BALNEáRIO','FLORIANóPOLIS','SC','124242241115111432439933472124610163147',NULL,'1050',49.38,3,3,NULL),(16,3091066,'1990-12-21 00:00:00',4,4,12,2007,'F','N','LA SALLE','PATO BRANCO','PR','116162161215472451477914574124610135147',1139,'9998',71.23,1,3,NULL),(16,3091074,'1991-06-14 00:00:00',2,4,12,2008,'M','N','CENTRO','PATO BRANCO','PR','116241161415371751424635592124610137047',16102,'9998',36.93,4,3,NULL),(16,3091082,'1991-11-11 00:00:00',4,4,12,2008,'F','N','CENTRO','PATO BRANCO','PR','116164168414271251525619581122610164193',NULL,'9998',0.00,1,3,NULL),(16,3091090,'1991-02-10 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242248217471431338611472114610128187',12131,'270',45.02,1,3,NULL),(16,3091104,'1990-08-08 00:00:00',4,6,12,2007,'M','N','EMBARÉ','SANTOS','SP','125252251215472431468814575122610127017',NULL,'9998',37.18,1,3,NULL),(16,3091112,'1991-10-15 00:00:00',4,5,12,2009,'M','S','MICHEL','CRICIúMA','SC','124244241215111431448834572122610142195',NULL,'210',36.26,1,3,NULL),(16,3091120,'1989-02-02 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124222241217372411148932574145610165196',NULL,'270',0.00,1,3,NULL),(16,3091139,'1991-03-26 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215112431446634571122610127042',6031,'738',56.28,1,3,NULL),(16,3091155,'1991-10-19 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161217111721544626571114610163147',NULL,'9998',25.85,1,3,NULL),(16,3091171,'1991-07-21 00:00:00',4,2,12,2008,'F','N','BRUSQUE','BRUSQUE','SC','124242241215271431448432574122610167142',2423,'107',65.62,1,3,NULL),(16,3091180,'1989-11-15 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216473431369913595122610167012',220,'270',78.89,1,3,NULL),(16,3091198,'1989-12-30 00:00:00',2,1,12,2006,'M','N','ABRAãO','FLORIANóPOLIS','SC','124244241211272421438613395124131037117',12552,'266',44.26,1,3,NULL),(16,3091201,'1991-11-26 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241215111431466636591124610162052',1206,'270',70.88,1,3,NULL),(16,3091210,'1990-08-18 00:00:00',4,1,12,2007,'M','N','CENTRO','ÂNGULO','PR','116163161215371411438833576122610127067',NULL,'9998',0.00,4,3,NULL),(16,3091228,'1987-10-23 00:00:00',4,8,12,2005,'F','N','GUANABARA','JOINVILLE','SC','124242241315573431545839375124610134072',1436,'463',69.60,2,3,NULL),(16,3091244,'1982-01-05 00:00:00',2,1,12,1999,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215373411378614112122220727187',6650,'270',54.97,1,3,NULL),(16,3091260,'1988-09-12 00:00:00',1,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115271331423314391334610136142',15994,'978',37.26,1,2,1),(16,3091287,'1986-10-29 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241122131431423411212334612762113',NULL,'257',21.89,1,2,1),(16,3091295,'1989-04-20 00:00:00',4,7,12,2006,'F','N','CENTRO','FRAIBURGO','SC','124242161216573431336934595124610126142',8438,'9998',51.52,1,3,NULL),(16,3091309,'1991-06-02 00:00:00',4,1,12,2008,'F','N','COLINA','LINHARES','ES','108082081217111231489933492112610167143',NULL,'9998',0.00,1,3,NULL),(16,3091325,'1989-11-28 00:00:00',4,1,7,2007,'F','N','ASA NORTE','BRASILIA','DF','107073071115573431468833572122610136197',198,'9998',79.26,1,3,NULL),(16,3091341,'1990-01-07 00:00:00',2,1,11,2007,'F','N','LAGO SUL','LG SUL','DF','107072071217471431478813595122610134074',5269,'9998',57.94,1,3,NULL),(16,3091350,'1979-05-15 00:00:00',4,10,12,1997,'M','N','PASSO DO GADO','TUBARAO','SC','224243243317151431335541312222610162067',15539,'808',38.45,1,3,NULL),(16,3091368,'1990-10-25 00:00:00',4,7,11,2007,'M','N','AGUA VERDE','CURITIBA','PR','116242241216471431349632275125610117072',7515,'454',53.30,1,3,NULL),(16,3091384,'1988-08-05 00:00:00',4,8,12,2006,'F','N','ACLIMAçãO','S PAULO','SP','125252251217571431457712571122610164187',NULL,'9998',0.00,1,3,NULL),(16,3091406,'1992-09-15 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241215111111468811575112610125075',14628,'1022',40.44,1,3,NULL),(16,3091414,'1979-05-07 00:00:00',4,1,12,1997,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124244241217215431645539432124320234017',5201,'307',58.11,1,3,NULL),(16,3091430,'1989-12-30 00:00:00',4,1,11,2007,'F','N','BARREIROS','S JOSé','SC','124242241215372431456613372124610125017',4017,'738',61.03,1,3,NULL),(16,3091449,'1990-01-08 00:00:00',2,5,11,2007,'F','N','DAS DAMAS','URUSSANGA','SC','124242241216472431454824441122610124072',5659,'820',57.15,1,3,NULL),(16,3091457,'1990-06-03 00:00:00',4,1,12,2007,'F','N','VILA TATETUBA','S JOSé CAMPOS','SP','125251251215471431355614572122610137047',NULL,'9998',25.33,1,3,NULL),(16,3091465,'1990-10-26 00:00:00',4,1,6,2010,'M','S','TRINDADE','FLORIANóPOLIS','SC','124244246117152431547513275124610167015',NULL,'306',28.02,1,3,NULL),(16,3091481,'1992-03-01 00:00:00',4,3,12,2009,'F','S','CENTRO','BAL CAMBORIú','SC','124242241217151411247731375122610136192',NULL,'44',41.40,1,3,NULL),(16,3091503,'1989-10-03 00:00:00',4,1,12,2006,'F','N','MOOCA','S PAULO','SP','125252251115571431231849572125610126097',2027,'9998',67.10,1,3,NULL),(16,3091511,'1991-11-14 00:00:00',4,1,12,2008,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241116131431436613575124610125197',16320,'773',36.31,1,2,1),(16,3091520,'1990-04-24 00:00:00',4,1,11,2007,'M','N','DO PARQUE','ITAPIRANGA','SC','124241241225472411346734375114610142052',12395,'1060',44.56,1,3,NULL),(16,3091554,'1989-02-17 00:00:00',2,1,11,2006,'F','N','BIGORRILHO','CURITIBA','PR','116252161217472431659813575124610164147',6160,'9998',56.01,1,3,NULL),(16,3091562,'1988-10-06 00:00:00',2,1,11,2005,'F','N','PINHEIRA','PALHOçA','SC','124241241126132331426311482124610167057',NULL,'595',27.59,2,1,1),(16,3091570,'1988-12-18 00:00:00',2,1,11,2008,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124242248215111411322338195113610114052',NULL,'951',14.80,2,1,2),(16,3091597,'1989-12-05 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215573511579831474112132446092',1065,'270',71.67,1,3,NULL),(16,3091600,'1990-11-22 00:00:00',4,1,7,2008,'F','N','BALNEARIO','FLORIANóPOLIS','SC','124242247247131432637619345122610113097',NULL,'9999',20.59,1,3,NULL),(16,3091619,'1989-08-03 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215574431358628472122133223147',2100,'270',66.79,1,3,NULL),(16,3091651,'1990-10-14 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124242241215372431336613235121610167053',5815,'738',56.76,1,3,NULL),(16,3091660,'1990-06-12 00:00:00',4,1,12,2007,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217372751368933275124610117042',20,'270',84.03,1,3,NULL),(16,3091678,'1992-06-18 00:00:00',2,4,12,2008,'F','N','BELA VISTA','CHAPECó','SC','124241241115271431425711375122610167187',15188,'169',39.24,4,3,NULL),(16,3091686,'1986-07-08 00:00:00',2,1,10,2008,'F','N','CENTRO','S JOãO BATISTA','SC','124241247127311711335321112122610114197',NULL,'9999',24.14,1,2,1),(16,3091708,'1984-05-07 00:00:00',4,1,3,2002,'M','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124241241115275421128944445124121964047',3880,'267',61.38,1,2,1),(16,3091716,'1992-02-02 00:00:00',2,5,12,2008,'F','N','ALTO FELIZ','ARARANGUá','SC','124242241215321631445923432122610122072',3483,'970',62.42,1,3,NULL),(16,3091732,'1982-02-23 00:00:00',4,1,11,1999,'F','N','CENTRO','FLORIANóPOLIS','SC','116162163217371411558811281124343261182',1895,'9998',67.61,1,3,NULL),(16,3091740,'1990-04-01 00:00:00',2,9,12,2007,'F','N','CENTRO','CURITIBANOS','SC','124241241116132711326629295124230264142',NULL,'239',31.45,1,3,NULL),(16,3091759,'1987-04-12 00:00:00',2,2,12,2004,'M','N','PEDRA BRANCA','S PAULO','SP','125251251135471441567813345124610124097',5196,'9998',58.12,1,2,1),(16,3091767,'1991-05-03 00:00:00',4,2,11,2008,'F','N','MERCES','CURITIBA','PR','116122161217471431469951572112610165097',1640,'9998',68.72,4,3,NULL),(16,3091775,'1991-03-31 00:00:00',4,1,12,2008,'M','N','CENTRO','RIO FORTUNA','SC','124241241146131431433333215122610116147',NULL,'665',24.17,1,2,1),(16,3091783,'1987-08-10 00:00:00',2,1,12,2005,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241211133431434953471124130864052',11809,'1022',45.61,3,3,NULL),(16,3091791,'1987-07-18 00:00:00',4,1,12,2004,'M','N','LIBERDADE','S PAULO','SP','125252251215571431568831575125143264047',57,'9998',81.98,4,3,NULL),(16,3091805,'1991-06-12 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111731578813572112610127072',15441,'270',38.68,1,3,NULL),(16,3091813,'1991-10-12 00:00:00',4,10,11,2007,'M','N','MAR GROSSO','LAGUNA','SC','124242241215413431459931595124232437122',NULL,'807',9.25,1,3,NULL),(16,3091821,'1991-02-09 00:00:00',4,1,12,2007,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241216112411337823375124230426057',7900,'1098',52.60,1,3,NULL),(16,3091830,'1985-07-25 00:00:00',2,4,12,2002,'M','N','PARTENON','PTO ALEGRE','RS','120241201216472441433444344124610167043',11853,'9998',45.55,1,3,NULL),(16,3091856,'1988-03-16 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215144431368812495122230267012',NULL,'270',0.00,1,3,NULL),(16,3091864,'1989-03-24 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215472431438711585122610157047',12994,'262',43.51,1,3,NULL),(16,3091880,'1988-08-06 00:00:00',4,1,12,2006,'F','N','REAL PARQUE','S JOSé','SC','124092241216433411457833181124610166181',4092,'269',60.80,4,3,NULL),(16,3091899,'1989-11-21 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124242241217272451443611442114610127042',NULL,'1118',29.34,1,3,NULL),(16,3091910,'1990-12-01 00:00:00',4,1,12,2008,'M','N','JARDIM ESTORIL','S JOSé CAMPOS','SP','125253251215151711479814175122610162041',7509,'9998',53.31,1,3,NULL),(16,3091937,'1991-02-09 00:00:00',4,1,11,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241215121431459924572125610123145',595,'266',74.96,1,3,NULL),(16,3091953,'1991-05-17 00:00:00',4,1,11,2008,'M','N','PAULICéIA','S BERNARDO CAMPO','SP','125252251217271411578834572124610127112',NULL,'9998',0.00,1,3,NULL),(16,3091961,'1990-12-28 00:00:00',4,1,12,2008,'M','N','CENTRO','INCONFIDENTES','MG','113132132117131431459913575125610127087',NULL,'9998',0.00,1,3,NULL),(16,3091970,'1987-03-17 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124162161215142431169931474122222042195',7218,'9998',53.87,1,3,NULL),(16,3091988,'1989-01-07 00:00:00',2,1,12,2005,'M','N','GUARA','GUARá','DF','107074091215572441636833572125610165027',NULL,'9998',0.00,4,3,NULL),(16,3092003,'1960-10-21 00:00:00',2,1,12,1979,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241248127475521623341332124321165197',NULL,'307',0.00,1,2,1),(16,3092011,'1991-12-21 00:00:00',4,10,11,2008,'M','N','OFICINAS','TUBARãO','SC','124241246215132431446511277121610167053',5033,'1120',58.54,1,3,NULL),(16,3092038,'1986-08-14 00:00:00',4,2,12,2003,'F','N','SãO MIGUEL PTA','S PAULO','SP','125252251215572431347714272124610124097',NULL,'9998',0.00,4,3,NULL),(16,3092046,'1989-12-22 00:00:00',4,1,12,2007,'M','N','AGUA VERDE','BLUMENAU','SC','124242241217372431369824475124610133052',3628,'87',62.01,1,3,NULL),(16,3092054,'1988-10-21 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','110102101217571741438831572122610163147',2370,'9998',65.82,1,3,NULL),(16,3092062,'1986-05-09 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','124241244126131431333344345124610124182',NULL,'702',0.00,1,3,NULL),(16,3092070,'1992-01-28 00:00:00',2,4,12,2007,'F','N','OLTRAMARI','PTE SERRADA','SC','124241241415472411437923575122610128187',10056,'1071',48.67,4,3,NULL),(16,3092089,'1979-10-28 00:00:00',2,1,11,2006,'M','N','JARDIM CIDADE','SAO JOSE','SC','224241247122371421545674342133610137042',NULL,'9999',20.67,1,3,NULL),(16,3092097,'1990-11-03 00:00:00',4,1,11,2008,'M','N','SANTO ANTôNIO','FLORIANóPOLIS','SC','124242241215122431558833572112610127042',4628,'270',59.48,1,3,NULL),(16,3092119,'1988-02-10 00:00:00',2,1,12,2007,'F','N','ALTO CAIçARAS','PATOS MINAS','MG','113212138227471731238814575122610146073',NULL,'9998',0.00,1,3,NULL),(16,3092127,'1988-11-05 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241216373431577839575124610131142',4422,'269',59.96,1,3,NULL),(16,3092135,'1989-09-17 00:00:00',4,1,12,2008,'F','N','ARAçATUBA','IMBITUBA','SC','624241241122131431223354285124610163142',9804,'322',49.15,1,2,1),(16,3092143,'1991-04-16 00:00:00',2,1,12,2008,'F','N','CRUZEIRO','CAXIAS SUL','RS','120202201217131732233923285124610124077',NULL,'9998',27.32,1,3,NULL),(16,3092151,'1990-05-29 00:00:00',2,2,12,2007,'M','N','ÁGUA VERDE','BLUMENAU','SC','124242241217472531558811392114610167042',5895,'88',56.59,1,3,NULL),(16,3092160,'1990-07-10 00:00:00',2,1,12,2007,'F','N','JD DAS INDUSTRIAS','S JOSé CAMPOS','SP','125254251216271431228714575114143231147',NULL,'9998',31.13,1,3,NULL),(16,3092178,'1990-11-07 00:00:00',2,8,12,2007,'M','N','VILA OPERáRIA II','APUCARANA','PR','116162161216371431438933575125610162042',5002,'9997',58.61,1,3,NULL),(16,3092186,'1989-12-29 00:00:00',4,8,12,2008,'M','N','CERQUEIRA CéSAR','S PAULO','SP','125253251415271431368861241325610124187',9745,'9998',49.26,1,3,NULL),(16,3092194,'1991-08-15 00:00:00',2,6,12,2008,'F','N','GUARANI','BRUSQUE','SC','124241241215131441226624242125610143157',11762,'106',45.71,1,3,NULL),(16,3092208,'1991-05-06 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241415122421446631275112610134192',11216,'1022',46.62,1,3,NULL),(16,3092224,'1985-03-23 00:00:00',2,1,12,2003,'M','N','ZONA NOVA','TRAMANDAí','RS','120201201136162721558613385121610137057',NULL,'9998',0.00,1,2,1),(16,3092232,'1989-09-08 00:00:00',4,1,12,2006,'M','N','JARDIM DAS PAINEIRAS','BRAGANçA PAULISTA','SP','125252251216473411566832571122610127047',1925,'9998',67.49,1,3,NULL),(16,3092240,'1987-05-28 00:00:00',2,1,12,2004,'F','N','LOURO','ANTôNIO CARLOS','SC','124241241116373441423336572224131324077',9846,'21',49.07,1,2,1),(16,3092259,'1991-01-23 00:00:00',4,1,12,2008,'M','N','PASSA VINTE','PALHOçA','SC','124241241226141121433519245124610112054',12216,'262',44.88,1,3,NULL),(16,3092267,'1989-01-20 00:00:00',2,1,12,2006,'F','N','SãO PEDRO','BRUSQUE','SC','124242241215272451456614372122610124142',16532,'109',35.30,1,3,NULL),(16,3092275,'1990-03-30 00:00:00',4,4,12,2007,'M','N','INTERIOR','S JOSé CEDRO','SC','124241241146111531424416342121610157042',NULL,'740',29.18,1,2,1),(16,3092283,'1990-07-22 00:00:00',4,1,12,2007,'F','N','CENTRO','DIVINOLâNDIA','SP','125251251215471431576821572112610142042',7543,'9998',53.25,1,3,NULL),(16,3092291,'1988-11-30 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243242115454431468831375124221431082',NULL,'662',49.27,1,3,NULL),(16,3092305,'1991-03-11 00:00:00',2,6,11,2008,'F','N','SãO JOãO','ITAJAí','SC','124242241215111431447932385122610137187',14095,'9997',41.46,1,3,NULL),(16,3092313,'1990-05-07 00:00:00',2,1,11,2007,'M','N','CENTRO','PALHOçA','SC','124162241217132431658832275124231424067',4547,'989',59.67,1,3,NULL),(16,3092321,'1991-05-29 00:00:00',4,3,12,2008,'F','N','JD NOVO HORIZONTE','PARANAVAí','PR','116162161217271431446933372122610116077',4533,'9998',59.69,1,3,NULL),(16,3092348,'1982-03-16 00:00:00',2,1,12,2000,'F','N','PONTE DE IMARUIM','PALHOçA','SC','124241241126274721328329492334610162157',12496,'592',44.39,1,2,1),(16,3092356,'1991-08-01 00:00:00',2,8,12,2008,'F','N','UVARANAS','PNT GROSSA','PR','116162161216111431463912572112610132142',NULL,'491',0.00,1,3,NULL),(16,3092372,'1991-07-12 00:00:00',4,1,12,2008,'F','N','SÃO LUIZ','S JOSé','SC','124241241126111721524129345124610116147',NULL,'729',21.83,1,2,1),(16,3092380,'1990-05-29 00:00:00',2,4,12,2007,'F','N','MARIA GORETTI','CHAPECó','SC','124114161217151412548519572125610167017',NULL,'9998',0.00,1,3,NULL),(16,3092399,'1990-03-07 00:00:00',2,1,12,2007,'M','N','ESTAçãO','URUSSANGA','SC','124241241215272412459933395124233214042',5349,'820',57.78,1,3,NULL),(16,3092402,'1989-01-07 00:00:00',2,6,12,2006,'F','N','FAZENDA','ITAJAí','SC','124241241516133731435639574224231464147',NULL,'119',30.39,1,3,NULL),(16,3092410,'1991-07-29 00:00:00',2,6,12,2008,'F','N','SANTA RITA','BRUSQUE','SC','124244241217152721448733395112610164092',NULL,'106',26.68,1,3,NULL),(16,3092437,'1990-03-05 00:00:00',2,1,11,2007,'M','N','CAMPINAS','S JOSé','SC','124241241116472421326623131134610167017',NULL,'306',40.78,1,2,1),(16,3092445,'1973-10-06 00:00:00',2,1,12,1989,'F','N','INGLESES','FLORIANóPOLIS','SC','224161165117131421333351342122332733097',NULL,'9998',0.00,1,2,1),(16,3092453,'1989-06-22 00:00:00',2,1,12,2006,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124161161137131531543363241124231026047',NULL,'9998',22.31,1,2,1),(16,3092461,'1990-11-26 00:00:00',4,1,12,2007,'F','N','CENTRO','S MIGUEL OESTE','SC','124241241315473731336665575124610164042',15192,'269',39.22,1,3,NULL),(16,3092470,'1991-08-26 00:00:00',2,1,11,2008,'F','N','ROçADO','S JOSé','SC','124241241217111431646624372112610123187',7132,'737',54.04,1,3,NULL),(16,3092488,'1986-05-09 00:00:00',4,1,12,2003,'M','N','TERRA NOVA','PIRACICABA','SP','125252251216131411336614345132340227057',NULL,'9998',0.00,1,3,NULL),(16,3092496,'1988-04-07 00:00:00',2,1,12,2005,'F','N','FUNDOS','BIGUAçU','SC','124241241135271421327624482324610123147',NULL,'65',23.06,1,2,1),(16,3092500,'1990-12-23 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431448814575122610147052',7083,'270',54.14,1,3,NULL),(16,3092518,'1991-04-26 00:00:00',4,1,11,2008,'M','N','JARDIM BELA VISTA','S JOSé R PARDO','SP','125252251217111421258819575122610137117',6672,'9998',54.93,1,3,NULL),(16,3092526,'1989-12-11 00:00:00',4,1,12,2008,'F','N','PARQUE PRADO','CAMPINAS','SP','125252254116111431465512575122610163141',NULL,'9998',0.00,1,3,NULL),(16,3092534,'1991-06-19 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','624242241215122431589813472122610134182',1349,'270',70.11,1,3,NULL),(16,3092542,'1991-01-12 00:00:00',4,1,12,2008,'F','N','CANTO','FLORIANóPOLIS','SC','124244241215111431623712592122610128052',NULL,'273',25.80,1,3,NULL),(16,3092550,'1991-10-12 00:00:00',4,7,11,2008,'M','N','CENTRO','HERVAL D OESTE','SC','124242241215111131454412275124610164147',13569,'454',42.51,1,3,NULL),(16,3092569,'1990-05-04 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216372441226923395124610167147',6349,'1022',55.58,1,3,NULL),(16,3092577,'1990-07-25 00:00:00',2,1,12,2007,'F','N','SARANDI','PTO ALEGRE','RS','120204201217131721326621315124610112027',NULL,'9998',28.11,1,3,NULL),(16,3092585,'1987-10-06 00:00:00',4,1,12,2004,'F','N','VISTA VERDE','S JOSé CAMPOS','SP','125252251237575431469833311124610144147',16332,'9998',36.27,1,3,NULL),(16,3092607,'1989-07-05 00:00:00',4,6,12,2006,'F','N','CENTRO','CURITIBA','PR','116242241215571411369933575124130422032',NULL,'446',0.00,1,3,NULL),(16,3092615,'1988-03-03 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242246217473441236412382124610142187',1541,'494',69.17,1,3,NULL),(16,3092623,'1990-05-22 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241216273431237829572124121246082',4004,'262',61.05,1,3,NULL),(16,3092640,'1990-11-23 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241115132211523634245112610117112',NULL,'595',23.98,1,2,1),(16,3092658,'1990-03-10 00:00:00',4,1,12,2007,'F','N','JARDIM NOVA IBIUNA','IBIúNA','SP','125254251216472411546839575125610131182',7054,'9998',54.20,1,3,NULL),(16,3092666,'1991-09-22 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215111731288824575112610114192',10930,'1038',47.15,4,3,NULL),(16,3092674,'1990-04-10 00:00:00',4,1,12,2007,'F','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','124242241215372411578811311122130242122',3650,'270',61.95,1,3,NULL),(16,3092682,'1991-06-07 00:00:00',4,1,11,2008,'M','N','VERDE','PIRACICABA','SP','125252251217111431346622374122610136092',NULL,'9998',0.00,1,3,NULL),(16,3092690,'1989-01-13 00:00:00',2,1,12,2006,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124074071417472711558614472124610137062',12238,'9998',44.83,4,3,NULL),(16,3092704,'1990-12-10 00:00:00',2,10,12,2007,'F','N','CENTRO','IMBITUBA','SC','124241241112472331436514572124610132091',15373,'359',38.82,3,3,NULL),(16,3092712,'1988-01-15 00:00:00',2,1,12,2005,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215274441326633445124231068041',11340,'1022',46.42,1,3,NULL),(16,3092739,'1992-11-19 00:00:00',4,1,12,2009,'F','S','GUABIRUBA SUL','GUABIRUBA','SC','124243241215111711448732575125610127073',NULL,'109',33.29,1,3,NULL),(16,3092755,'1992-07-28 00:00:00',2,1,11,2008,'M','N','SANTA CRUZ','CUIABá','MT','111112111217121431558933172122610127017',3776,'9998',61.66,3,3,NULL),(16,3092763,'1991-06-14 00:00:00',2,8,12,2008,'F','N','JARDIM DO LAGO','S BERNARDO CAMPO','SP','125252251416471431529311575124610165197',NULL,'9998',0.00,1,3,NULL),(16,3092771,'1990-03-09 00:00:00',2,10,12,2007,'F','N','CASCATA VERMELHA','JAGUARUNA','SC','124242241235372431556711372114610164152',9335,'806',50.02,1,3,NULL),(16,3092780,'1992-05-25 00:00:00',4,1,12,2008,'M','N','PAGANI','PALHOçA','SC','124242241215121431488913575114610145092',1924,'1011',67.49,1,3,NULL),(16,3092801,'1990-06-03 00:00:00',4,8,12,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124242241216471431458713574122610166183',NULL,'931',0.00,3,3,NULL),(16,3092810,'1991-10-23 00:00:00',2,1,11,2008,'M','N','VILA B','FOZ IGUAçU','PR','116162161217371431479919572112610167042',NULL,'9998',0.00,1,3,NULL),(16,3092828,'1987-08-27 00:00:00',2,1,9,2003,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241141211431423319382214610167042',NULL,'9999',29.63,2,1,1),(16,3092836,'1991-07-28 00:00:00',4,4,11,2008,'F','N','PRESIDENTE MéDICI','CHAPECó','SC','124242241215271431469532574122610122195',9001,'185',50.58,4,3,NULL),(16,3092844,'1983-08-05 00:00:00',4,1,11,2001,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124082081216272751128544245325141041032',6574,'9998',55.13,5,3,NULL),(16,3092852,'1989-05-05 00:00:00',4,3,12,2006,'F','N','ANDORINHA','ITAPEMA','SC','124241241416133441446613574125231467055',NULL,'403',0.00,1,3,NULL),(16,3092879,'1991-08-31 00:00:00',4,1,12,2008,'F','N','ITAGUAçU','FLORIANóPOLIS','SC','124284241215272431467911574114610147145',1837,'262',67.88,1,3,NULL),(16,3092887,'1990-04-14 00:00:00',4,1,12,2007,'F','N','JD ESTER','S PAULO','SP','125252251217472431466921571124610127072',NULL,'9998',8.13,1,3,NULL),(16,3092895,'1988-04-11 00:00:00',4,1,12,2008,'F','N','GUABIROTUBA','CURITIBA','PR','116161161146271411313729592224613267187',NULL,'9998',23.29,2,1,1),(16,3092909,'1989-10-07 00:00:00',4,1,12,2007,'F','N','VILA MARIANA','S PAULO','SP','125252251215471451348731571115610165097',3535,'9998',62.27,1,3,NULL),(16,3092917,'1989-10-29 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215473431438923594124610123012',NULL,'270',36.57,1,3,NULL),(16,3092925,'1991-10-19 00:00:00',4,1,12,2008,'M','N','CENTRO','IBIPORã','PR','116162161216111431448813575115610124122',NULL,'9998',0.00,1,3,NULL),(16,3092941,'1991-05-02 00:00:00',2,6,12,2008,'M','N','CONJ KARINA','MARINGá','PR','116162161217271231548932575112610127042',5836,'9998',56.71,1,3,NULL),(16,3092950,'1991-07-24 00:00:00',2,1,11,2008,'F','N','CENTRO','VARGEM BONITA','SC','124242241115111431464532475122610112142',7209,'270',53.89,1,3,NULL),(16,3092968,'1989-03-01 00:00:00',4,2,11,2008,'F','N','VELHA','BLUMENAU','SC','124243241217221731445313175124610138187',NULL,'86',28.08,1,3,NULL),(16,3092976,'1987-05-07 00:00:00',2,1,11,2004,'M','N','ESTREITO','FLORIANóPOLIS','SC','124202201216573411683673435124240334042',2353,'9998',65.87,1,3,NULL),(16,3092992,'1991-08-12 00:00:00',4,1,11,2008,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241215111431448614471122610133052',7196,'266',53.92,1,3,NULL),(16,3093000,'1991-06-20 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124242241216472431448831575124610166182',1029,'737',71.89,1,3,NULL),(16,3093018,'1990-08-18 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241215474431447332185124221462162',NULL,'1022',50.04,1,3,NULL),(16,3093026,'1991-01-25 00:00:00',4,2,11,2008,'M','N','VELHA','BLUMENAU','SC','124242241217131431345524575124610134142',10418,'1018',48.06,1,3,NULL),(16,3093034,'1971-05-27 00:00:00',4,1,12,1989,'F','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','524244241216142421256644445122333266091',NULL,'305',0.00,1,3,NULL),(16,3093042,'1990-08-19 00:00:00',2,4,12,2007,'M','N','SãO JOSé','PINHALZINHO','SC','124241241111471111448951371114610161191',4127,'616',60.71,1,2,1),(16,3093050,'1988-03-03 00:00:00',4,1,11,2005,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241316574431325529395124231227017',4404,'300',60.01,1,3,NULL),(16,3093069,'1981-04-05 00:00:00',2,2,12,1998,'M','N','VICTOR KONDER','BLUMENAU','SC','124201201147371411258679441121132066182',7438,'9998',53.43,1,2,1),(16,3093077,'1992-09-18 00:00:00',4,1,12,2009,'F','S','MONTE VERDE','FLORIANóPOLIS','SC','124242241217121431449939572122610134182',NULL,'270',51.34,1,3,NULL),(16,3093085,'1990-09-19 00:00:00',4,2,11,2008,'M','N','CENTRO','ILHOTA','SC','124243241316111431456931315122610127012',NULL,'354',20.55,1,3,NULL),(16,3093093,'1991-04-14 00:00:00',4,2,11,2008,'M','N','FORTALEZA','BLUMENAU','SC','124242241215111431324924575124610124072',5955,'88',56.44,1,3,NULL),(16,3093107,'1991-09-11 00:00:00',2,6,12,2008,'F','N','CENTRO','ITAJAí','SC','124241241116171421656934245122610111182',NULL,'401',28.07,1,3,NULL),(16,3093115,'1991-03-06 00:00:00',4,1,12,2008,'M','N','CENTRO','CRAVINHOS','SP','125254251215111431365516571122610217042',5600,'9998',57.27,1,3,NULL),(16,3093123,'1988-09-21 00:00:00',4,1,12,2005,'F','N','VILA INDUSTRIAL','S MANUEL','SP','125252251217573431549834471115612435077',2833,'9998',64.27,1,3,NULL),(16,3093131,'1992-06-13 00:00:00',2,8,12,2009,'F','S','ANITA GARIBALDI','JOINVILLE','SC','124242241215111431566612573115610127145',NULL,'491',47.60,1,3,NULL),(16,3093140,'1984-07-15 00:00:00',2,1,7,2003,'F','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','124243241316132411333871371114610111092',NULL,'269',25.52,1,3,NULL),(16,3093158,'1988-04-18 00:00:00',4,8,12,2005,'F','N','JARDIM SOCIAL','PALOTINA','PR','116161161214571432569913574122610132147',NULL,'9998',0.00,1,3,NULL),(16,3093166,'1990-07-31 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUá SUL','SC','124242241216372431449734572125610168147',5907,'1061',56.57,1,3,NULL),(16,3093174,'1991-03-13 00:00:00',4,1,12,2008,'F','N','BARRA DO ARIRIú','PALHOçA','SC','124241241216271431449413595124610124072',8407,'1022',51.57,1,3,NULL),(16,3093190,'1992-04-15 00:00:00',4,8,12,2008,'M','N','AMéRICA','JOINVILLE','SC','124241248232151431457714575124610117052',7215,'1105',53.88,1,3,NULL),(16,3093204,'1991-05-23 00:00:00',2,2,12,2008,'M','N','SANTANA','RIO SUL','SC','124242241215111431446634375122610124187',13450,'9997',42.70,1,3,NULL),(16,3093212,'1992-10-08 00:00:00',4,2,12,2009,'F','S','CENTRO','MASSARANDUBA','SC','124241241215111731227624372124610122057',NULL,'424',58.16,1,3,NULL),(16,3093220,'1990-08-08 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124243241315372431437732282114610137142',5609,'981',57.24,1,3,NULL),(16,3093239,'1989-11-08 00:00:00',2,4,12,2007,'F','N','CENTRO','XANXERê','SC','124242241236371431556612374112610153141',4268,'836',60.32,1,3,NULL),(16,3093247,'1991-03-27 00:00:00',4,1,11,2008,'F','N','JARDIM POLON','MARíLIA','SP','125252251217221431437832571122610165157',9803,'9998',49.15,1,3,NULL),(16,3093255,'1990-10-15 00:00:00',4,8,12,2008,'F','N','CONSOLAçãO','RIO CLARO','SP','125252251217111441268814594121610163096',12277,'9998',44.76,1,3,NULL),(16,3093263,'1988-05-02 00:00:00',4,1,11,2005,'F','N','TRISTEZA','PTO ALEGRE','RS','120202201216442431559933442124240421117',NULL,'9998',25.69,1,3,NULL),(16,3093271,'1991-12-21 00:00:00',4,10,12,2008,'M','N','CENTRO','TUBARãO','SC','124242241215111731459811575115610167047',11197,'807',46.67,1,3,NULL),(16,3093280,'1988-05-06 00:00:00',2,6,12,2007,'M','N','ITARARé','STA MARIA','RS','120201207136372431634439242114610127047',NULL,'9999',25.88,2,1,1),(16,3093298,'1991-06-18 00:00:00',2,1,12,2008,'F','N','CANTO','FLORIANóPOLIS','SC','124241241117141431437633346134610137042',12542,'733',44.28,1,2,1),(16,3093301,'1991-07-11 00:00:00',2,3,11,2008,'F','N','CENTRO','CAMBORIú','SC','124252241215111431438832295122610138187',7603,'1038',53.15,1,3,NULL),(16,3093310,'1991-07-04 00:00:00',4,1,11,2008,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241215112431336612272115610131185',6976,'266',54.34,1,3,NULL),(16,3093328,'1992-05-16 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124241241116271431357723572114610167112',7312,'733',53.68,1,2,1),(16,3093336,'1987-04-14 00:00:00',4,1,12,2005,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','124241241132151731536731395112610168037',NULL,'521',28.14,4,2,1),(16,3093344,'1991-02-19 00:00:00',4,1,11,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124244241215111431476619571112610126092',11641,'272',45.92,1,3,NULL),(16,3093352,'1990-08-10 00:00:00',4,8,12,2007,'M','N','CENTRO','BOM RETIRO','SC','124241241122372431334634345121610127187',11224,'95',46.60,1,2,1),(16,3093360,'1992-08-17 00:00:00',4,1,12,2009,'F','S','TRINDADE','FLORIANóPOLIS','SC','124241241317121431239923576114610125147',NULL,'1157',25.40,1,3,NULL),(16,3093379,'1988-04-28 00:00:00',2,1,11,2006,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124252251417131441128714285124142262182',NULL,'9998',0.00,1,3,NULL),(16,3093395,'1989-01-26 00:00:00',2,1,6,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244241117142431449733342214610163147',NULL,'306',48.94,4,3,NULL),(16,3093425,'1991-05-23 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217271421337931212124610124052',5682,'988',57.12,1,3,NULL),(16,3093433,'1984-11-11 00:00:00',2,1,12,2003,'F','N','FAZENDA STO ANTONIO','S JOSé','SC','124244241211575421469834575124610167112',6319,'1036',55.64,1,3,NULL),(16,3093441,'1991-06-19 00:00:00',4,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215132431648719575124610167012',841,'272',73.10,1,3,NULL),(16,3093450,'1991-11-06 00:00:00',2,4,12,2007,'F','N','CENTRO','PTE SERRADA','SC','124242241216472431446619275125610166187',12188,'1071',44.92,1,3,NULL),(16,3093468,'1992-01-24 00:00:00',4,1,11,2009,'F','S','COQUEIROS','FLORIANóPOLIS','SC','124242241215111431369713572122610143197',NULL,'270',37.56,1,3,NULL),(16,3093476,'1989-11-10 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241112272411433319395124233222012',NULL,'307',23.42,1,2,1),(16,3093484,'1985-12-01 00:00:00',2,1,12,2004,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124243241127374731458834371124130266187',5903,'307',56.57,1,3,NULL),(16,3093492,'1989-12-12 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241115272431424414245124610126147',NULL,'307',19.18,1,2,1),(16,3093506,'1992-02-04 00:00:00',4,1,12,2008,'F','N','CENTRO','CANOINHAS','SC','124244241216111431558921585122610163077',NULL,'154',0.00,1,3,NULL),(16,3093514,'1989-07-04 00:00:00',2,1,12,2006,'M','N','SãO BASíLIO MAGNO','UNIãO VITóRIA','PR','116242241215572231569913574114610127052',NULL,'632',44.02,1,3,NULL),(16,3093522,'1992-11-19 00:00:00',4,1,11,2009,'F','S','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241215111751434812585112610164141',NULL,'738',39.97,1,3,NULL),(16,3093530,'1991-10-04 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215122432259933572122610166197',4824,'270',59.02,1,3,NULL),(16,3093549,'1989-12-29 00:00:00',2,1,12,2007,'F','N','CENTRO','SALESóPOLIS','SP','125253251216471431456831272114610164197',NULL,'9998',30.46,1,3,NULL),(16,3093557,'1991-09-24 00:00:00',4,1,11,2008,'M','N','VILA SãO LUIZ','DOURADOS','MS','112122121217111431459831575125610167182',2630,'9998',64.90,1,3,NULL),(16,3093565,'1957-03-02 00:00:00',2,1,11,1988,'M','N','BARREIROS','S JOSé','SC','624241247117134721231353432114121364197',13756,'9999',42.16,2,1,1),(16,3093573,'1990-08-16 00:00:00',2,5,11,2007,'M','N','CRUZEIRO DO SUL','CRICIúMA','SC','124242241213473651448611592124230228186',414,'213',76.63,1,3,NULL),(16,3093590,'1986-01-14 00:00:00',4,1,12,2003,'F','N','POMPEIA','S PAULO','SP','125252251217573751478611575114610122097',1040,'9998',71.80,1,3,NULL),(16,3093603,'1989-04-18 00:00:00',4,1,11,2006,'F','N','ENSEADA','GUARUJá','SP','125252251217371431568813385122610127082',NULL,'9998',0.00,1,3,NULL),(16,3093611,'1987-12-06 00:00:00',2,10,12,2004,'M','N','JARDIM ITU SABARá','PTO ALEGRE','RS','120202201211572431569911275112610163093',340,'9998',77.47,1,3,NULL),(16,3093638,'1990-12-28 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111231548953575122610162057',5674,'270',57.13,1,3,NULL),(16,3093646,'1991-03-15 00:00:00',2,1,12,2007,'F','N','VILA IPIRANGA','PTO ALEGRE','RS','120202201217571431435719575124610134187',14985,'9998',39.70,1,3,NULL),(16,3093662,'1991-01-06 00:00:00',4,8,12,2007,'F','N','CHICO DE PAULA','JARAGUá SUL','SC','124241241235372441536612346141610127147',11292,'422',46.48,1,3,NULL),(16,3093670,'1990-06-21 00:00:00',4,10,12,2007,'M','N','OFICINAS','TUBARãO','SC','124244241316141731435944345125133264047',NULL,'804',26.07,1,3,NULL),(16,3093689,'1988-02-13 00:00:00',4,6,12,2005,'M','N','CORDEIROS','ITAJAí','SC','124241241315513411576611415112130217012',10898,'1026',47.19,4,3,NULL),(16,3093697,'1988-09-10 00:00:00',2,1,11,2005,'F','N','SAUDE','S PAULO','SP','125254251217574431336834571315610163017',9830,'9998',49.10,1,3,NULL),(16,3093700,'1991-06-20 00:00:00',4,1,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','116242161217471431589913271124610164122',NULL,'9998',0.00,1,3,NULL),(16,3093719,'1991-01-28 00:00:00',2,4,11,2008,'F','N','CENTRO','PASSOS MAIA','SC','124241241125131731623534293124610127147',NULL,'606',22.15,4,2,1),(16,3093727,'1990-01-18 00:00:00',4,7,11,2007,'F','N','CENTRO','JOAçABA','SC','124242241215572441456616581124610145142',6544,'454',55.19,1,3,NULL),(16,3093735,'1984-12-21 00:00:00',2,1,12,2005,'M','N','CENTRO','STA ROSA','RS','124201207436131442118844442324141422182',NULL,'9999',0.00,1,3,NULL),(16,3093743,'1989-06-26 00:00:00',2,1,12,2006,'M','N','VILLAGE','IMBITUBA','SC','124241241316573451446419574112610138112',2265,'1034',66.16,1,3,NULL),(16,3093751,'1991-09-15 00:00:00',4,1,12,2008,'M','N','VILA ROSA','ITAPETININGA','SP','125252251216111411458813272122610112142',NULL,'9998',0.00,1,3,NULL),(16,3093760,'1991-11-01 00:00:00',2,1,12,2008,'F','N','CENTRO','ESTRELA','RS','120203201116471431556619175122610167037',NULL,'9998',0.00,1,3,NULL),(16,3093786,'1990-08-21 00:00:00',2,1,12,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124244241115111431457519572122610113142',11622,'267',45.96,1,3,NULL),(16,3093794,'1990-09-02 00:00:00',2,8,12,2008,'F','N','PORTãO','CURITIBA','PR','116251161117471431464669276124610138017',NULL,'9998',0.00,1,2,1),(16,3093808,'1988-07-14 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241117132431633514485124610124057',NULL,'281',25.93,1,2,1),(16,3093816,'1983-12-08 00:00:00',4,1,12,2002,'M','N','PENHA','S PAULO','SP','125253251437471711636567341335143266187',11451,'9998',46.26,2,1,2),(16,3093824,'1991-02-03 00:00:00',4,1,12,2008,'M','N','COLINA','CAPINZAL','SC','124241241444131431623329292324610118187',NULL,'1093',25.11,4,3,NULL),(16,3093832,'1991-11-01 00:00:00',4,4,12,2008,'F','N','LINHA VISTA ALEGRE','BOM J OESTE','SC','124241241137131431534336152322610117147',NULL,'94',17.47,1,2,1),(16,3093840,'1991-03-29 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215122431468813572114610124052',1121,'270',71.32,1,3,NULL),(16,3093859,'1990-10-23 00:00:00',4,1,11,2007,'F','N','CENTRO','TUBARãO','SC','124244241211372431336611475122610137017',9574,'806',49.58,1,3,NULL),(16,3093883,'1992-01-03 00:00:00',2,1,11,2008,'F','N','CENTRO','BARRACãO','PR','116161161216272231366813575122610168172',11845,'9998',45.56,2,3,NULL),(16,3093905,'1990-01-08 00:00:00',4,1,12,2007,'M','N','CENTRO','LAGES','SC','124242241215473431268611415122610127052',4454,'499',59.89,1,3,NULL),(16,3093921,'1991-03-26 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111431368812574124610122142',2312,'270',66.00,1,3,NULL),(16,3093930,'1991-02-09 00:00:00',2,2,11,2008,'M','N','COBRAS','RIO SUL','SC','124242241215371331433612472124610127042',NULL,'663',44.82,1,3,NULL),(16,3093948,'1990-01-24 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215473431438933572124610128187',2916,'499',64.06,1,3,NULL),(16,3093956,'1988-11-05 00:00:00',2,1,12,2006,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241115572431336821575124610167143',NULL,'307',26.48,1,3,NULL),(16,3093964,'1991-08-28 00:00:00',4,10,11,2008,'F','N','CENTRO','BRAçO NORTE','SC','124241241417131431427814272124610168142',6918,'806',54.47,1,3,NULL),(16,3093972,'1991-03-18 00:00:00',2,6,12,2008,'M','N','SANTA RITA','BRUSQUE','SC','124244241215372431547933575122610127042',1958,'981',67.35,1,3,NULL),(16,3093980,'1991-01-06 00:00:00',2,8,11,2008,'F','N','ACARAí','S FRANCISCO SUL','SC','124204241116121431436513575122610168077',12700,'710',44.00,4,3,NULL),(16,3093999,'1989-08-17 00:00:00',2,1,12,2006,'M','N','SANTA ISABEL','ANáPOLIS','GO','109093091216173751556619571325231468187',3423,'9998',62.60,1,3,NULL),(16,3094006,'1990-02-20 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124072071217471431479913575122610162142',2333,'9998',65.93,1,3,NULL),(16,3094014,'1989-07-27 00:00:00',1,8,12,2006,'F','N','CENTRO','JARAGUá SUL','SC','124244241411371441343832345112610168187',9996,'422',48.78,1,3,NULL),(16,3094022,'1991-06-10 00:00:00',2,4,12,2008,'M','N','CENTRO','PTE SERRADA','SC','124243242117151231438914495125610114012',NULL,'8',22.48,1,3,NULL),(16,3094030,'1992-05-11 00:00:00',4,6,12,2009,'F','S','CENTRO','ITAJAí','SC','124242241217151451246829575122610134097',NULL,'394',38.58,4,3,NULL),(16,3094049,'1991-07-03 00:00:00',4,1,8,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124072071217151431479913575124241467082',2054,'9998',66.96,1,3,NULL),(16,3094065,'1989-03-18 00:00:00',2,1,11,2006,'M','N','PANTANAL','FLORIANóPOLIS','SC','124112111216475751556631572314613267047',2037,'9998',67.07,1,3,NULL),(16,3094073,'1991-10-30 00:00:00',4,4,11,2008,'F','N','CENTRO','CPO ERê','SC','124162161216111431568811575122610161142',NULL,'9998',26.66,1,3,NULL),(16,3094081,'1989-04-19 00:00:00',2,1,12,2006,'F','N','DOM BOSCO','ITAJAí','SC','124242241215474731558713472124610164147',1530,'1026',69.21,1,3,NULL),(16,3094103,'1991-08-13 00:00:00',4,4,12,2008,'F','N','CENTRO','PASSOS MAIA','SC','124241241146141431423315255122610127073',NULL,'606',20.69,1,2,1),(16,3094111,'1988-03-22 00:00:00',2,1,12,2005,'F','N','CAMPINAS','S JOSé','SC','124241241115473431334321275124610126147',5667,'307',57.15,1,2,1),(16,3094120,'1986-04-11 00:00:00',2,1,12,2004,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124241241126133431325331345121222222057',12086,'307',45.12,1,2,1),(16,3094138,'1992-04-07 00:00:00',4,1,12,2009,'M','S','COQUEIROS','FLORIANóPOLIS','SC','124241241227111421433621392334610167057',NULL,'262',26.28,1,3,NULL),(16,3094146,'1991-08-02 00:00:00',4,7,12,2008,'F','N','PARQUE LíVIA','ERECHIM','RS','120201201116271431448414575124610128147',NULL,'9998',23.03,1,2,1),(16,3094154,'1990-12-06 00:00:00',4,2,10,2008,'F','N','VELHA','BLUMENAU','SC','124242241215121231348834572122610122142',5756,'87',56.95,1,3,NULL),(16,3094162,'1991-02-28 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124132241215111431424827572122610122142',7916,'1118',52.57,1,3,NULL),(16,3094170,'1991-07-18 00:00:00',4,2,12,2008,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241217372431359931574122610134092',8507,'87',51.40,1,3,NULL),(16,3094189,'1991-02-05 00:00:00',4,1,12,2008,'F','N','CABRAL','CURITIBA','PR','116162161215471411378823571124610162122',NULL,'9998',0.00,1,3,NULL),(16,3094197,'1986-09-27 00:00:00',4,1,12,2004,'F','N','JARDIM VALKIRIA','S JOSé R PRETO','SP','125252251217411441458819211121142824096',NULL,'9998',0.00,3,3,NULL),(16,3094200,'1989-11-29 00:00:00',2,1,12,2006,'M','N','BELA VISTA','PALHOçA','SC','124161161112161711423341315124610128172',NULL,'9998',0.00,1,3,NULL),(16,3094219,'1991-11-05 00:00:00',2,1,11,2008,'M','N','VARGEM PEQUENA','FLORIANóPOLIS','SC','124241241132471231424434572344610127117',11597,'288',46.00,1,3,NULL),(16,3094227,'1991-06-05 00:00:00',4,1,11,2009,'M','S','KOBRASOL','S JOSé','SC','124241241112111411336937574124610167042',NULL,'271',40.83,1,3,NULL),(16,3094235,'1973-08-04 00:00:00',2,1,3,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241247114232731422143232344610162141',NULL,'9999',27.33,1,2,1),(16,3094243,'1990-02-16 00:00:00',2,4,12,2007,'M','N','JARDIN ITALIA','CHAPECó','SC','124241241115372411336613445122610136047',NULL,'169',44.56,1,2,1),(16,3094251,'1991-02-12 00:00:00',2,4,12,2008,'M','N','CENTRO','PéROLA D OESTE','PR','116161202116131431426436592325610164012',NULL,'9998',37.89,1,2,1),(16,3094286,'1992-03-03 00:00:00',2,4,12,2008,'M','N','CENTRO','XAXIM','SC','124241241115371431446714375122610164147',13319,'847',42.93,1,3,NULL),(16,3094294,'1987-01-24 00:00:00',2,9,12,2004,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241416574431369813572114130664092',6042,'498',56.25,1,3,NULL),(16,3094308,'1991-05-16 00:00:00',4,8,12,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124242246217151411449414572121610167052',9357,'1006',49.97,2,3,NULL),(16,3094316,'1989-05-28 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241415573431548733575124610121145',8042,'1022',52.34,1,3,NULL),(16,3094324,'1991-03-16 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241215372431446614575124610124017',5,'976',85.71,1,3,NULL),(16,3094340,'1990-11-27 00:00:00',4,4,12,2007,'M','N','CENTRO','PATO BRANCO','PR','116161161117471432133511285124610134047',6018,'9998',56.32,1,2,1),(16,3094359,'1990-04-18 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOCA','SC','124241241117272731434311245124610164047',10019,'592',48.74,1,2,1),(16,3094367,'1990-07-17 00:00:00',4,3,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124243241115371431118529375124610141077',NULL,'405',18.34,1,3,NULL),(16,3094375,'1987-10-02 00:00:00',4,2,12,2005,'F','N','CENTRO','BRUSQUE','SC','124242241216135431659811345124131525092',13998,'981',41.64,1,3,NULL),(16,3094383,'1991-09-19 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215111431368833575121610164072',2379,'1038',65.78,1,3,NULL),(16,3094391,'1991-09-14 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241216111731379911575122610124142',NULL,'270',54.87,1,3,NULL),(16,3094413,'1989-05-25 00:00:00',4,1,11,2006,'F','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','124241241316473431246719472124221822127',NULL,'270',0.00,1,3,NULL),(16,3094421,'1990-12-03 00:00:00',4,6,12,2007,'M','N','RIO DO PEIXE','LUIZ ALVES','SC','124241241125472431645332144222610137042',3363,'536',62.80,1,2,1),(16,3094448,'1991-09-13 00:00:00',4,8,11,2008,'F','N','VILA NOVA','JOINVILLE','SC','124202241215111411538919595124610164037',10078,'457',48.63,1,3,NULL),(16,3094464,'1990-09-16 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111711378833575122610167042',1261,'270',70.61,1,3,NULL),(16,3094472,'1989-02-20 00:00:00',4,1,11,2006,'M','N','BELA VISTA','S PAULO','SP','125252251216571341458631495115610168147',1335,'9998',70.20,3,3,NULL),(16,3094480,'1974-08-10 00:00:00',4,1,12,1992,'M','N','ÁGUAS CLARAS','TAGUATINGA','DF','107111111126571421163343135122240264182',4449,'9998',59.90,2,1,1),(16,3094502,'1989-08-09 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSé','SC','124242241217373431558814175114610132187',11781,'1118',45.68,1,3,NULL),(16,3094510,'1991-08-08 00:00:00',4,8,12,2008,'F','N','UBATUBA','S FRANCISCO SUL','SC','124241241115271441436911592124610127142',8323,'992',51.74,3,3,NULL),(16,3094537,'1990-01-18 00:00:00',2,1,12,2007,'F','N','CASSINO','RIO GRANDE','RS','120204207216371731366721472112610121183',NULL,'9999',0.00,1,3,NULL),(16,3094545,'1992-06-12 00:00:00',4,9,11,2008,'F','N','SAGRADO COR DE JESUS','LAGES','SC','124242241217111731479931412122610132092',9616,'497',49.49,1,3,NULL),(16,3094553,'1982-10-13 00:00:00',4,1,5,2005,'F','N','IPIRANGA','S JOSé','SC','124241244122131731323621482144610163197',NULL,'734',20.57,2,1,1),(16,3094561,'1989-12-04 00:00:00',4,4,12,2006,'M','N','CENTRO','S MIGUEL IGUAçU','PR','116162161116271431226334472125610134127',6926,'9998',54.45,1,3,NULL),(16,3094570,'1991-02-18 00:00:00',2,1,12,2008,'F','N','CENTRO','CANOINHAS','SC','124241241135371731546733572122610131197',NULL,'153',29.19,1,2,1),(16,3094588,'1992-03-17 00:00:00',5,10,11,2008,'F','N','DEHON','TUBARãO','SC','124244241215111431536724582122610125112',12033,'797',45.21,1,3,NULL),(16,3094596,'1991-07-01 00:00:00',2,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215111431358833572122610123073',5879,'262',56.62,1,3,NULL),(16,3094600,'1990-07-05 00:00:00',4,1,12,2007,'M','N','JARDIM PANORAMA','FOZ IGUAçU','PR','116162161217372312365915595114243264187',9499,'9998',49.72,1,3,NULL),(16,3094618,'1990-04-28 00:00:00',2,5,12,2007,'M','N','VILA SãO JOãO','TORRES','RS','120201242117471431223321342224610167017',10342,'690',48.18,1,2,1),(16,3094626,'1989-07-05 00:00:00',4,1,12,2006,'M','N','NOVA PIRACICABA','PIRACICABA','SP','125252251215572431458811391122610166047',62,'9998',81.91,3,3,NULL),(16,3094642,'1987-07-03 00:00:00',2,1,12,2005,'F','N','JARDIM PLANALTO','S SEBASTIãO PARAíSO','MG','113133131214571731533929572245610163097',NULL,'9998',29.02,1,3,NULL),(16,3094650,'1990-08-02 00:00:00',2,3,12,2008,'M','N','JARDIM AMERICA','VILHENA','RO','122224221136371431553532395321610126092',15972,'9998',37.31,1,3,NULL),(16,3094669,'1989-11-09 00:00:00',4,8,11,2007,'F','N','GLóRIA','JOINVILLE','SC','124242241215472431479813575122610158093',10738,'491',47.47,1,3,NULL),(16,3094677,'1990-08-18 00:00:00',4,1,12,2007,'M','N','CENTRO','CAMPO GRANDE','MS','112122121215472431469911575124610167012',798,'9998',73.45,1,3,NULL),(16,3094685,'1990-11-13 00:00:00',4,1,12,2007,'M','N','NOVA PIRACICABA','PIRACICABA','SP','125252251215471441468811571122610167047',3625,'9998',62.02,3,3,NULL),(16,3094693,'1963-03-15 00:00:00',4,1,12,1980,'F','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','525254251217161411368831415122341064182',14053,'9998',41.55,1,3,NULL),(16,3094707,'1991-07-30 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215121451459912195124610164092',778,'270',73.60,1,3,NULL),(16,3094715,'1977-03-15 00:00:00',4,1,12,2001,'M','N','AREIAS','S JOSé','SC','124171171411131421438633392324610124112',NULL,'9998',25.05,4,3,NULL),(16,3094723,'1987-09-18 00:00:00',2,3,12,2005,'M','N','CENTRO','RIO SUL','SC','124243241215412231446912245123130237022',9299,'663',50.08,1,3,NULL),(16,3094731,'1989-02-23 00:00:00',4,1,12,2006,'F','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241215574431686719575112610132182',1072,'270',71.61,1,3,NULL),(16,3094740,'1992-01-03 00:00:00',4,8,12,2008,'F','N','CENTRO','CASCAVEL','PR','116162161215471431479933574112610127126',NULL,'9998',0.00,1,3,NULL),(16,3094758,'1991-03-26 00:00:00',4,8,10,2008,'F','N','NOVA BRASILIA','JOINVILLE','SC','124244241411131231338814475124610117047',NULL,'459',0.00,1,3,NULL),(16,3094774,'1991-02-19 00:00:00',2,2,11,2008,'F','N','CANOAS','RIO SUL','SC','124242241215111731326634572125610166147',12736,'663',43.95,1,3,NULL),(16,3094782,'1991-04-12 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217371431468633571112610122111',4229,'270',60.43,1,3,NULL),(16,3094804,'1991-04-26 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124241241215121431527714382124610164022',16073,'738',37.02,1,3,NULL),(16,3094812,'1991-12-23 00:00:00',2,1,12,2008,'M','N','CENTRO','TURVO','PR','116161161317471731458832275112610167044',6510,'9998',55.25,1,3,NULL),(16,3094820,'1990-06-04 00:00:00',4,1,12,2007,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241215473431458823591122610126072',2273,'270',66.14,1,3,NULL),(16,3094839,'1991-07-06 00:00:00',4,1,11,2008,'F','N','CENTRO','STO ÂNGELO','RS','120202201216472431448833575122610146095',3581,'9998',62.13,1,3,NULL),(16,3094855,'1959-06-06 00:00:00',2,1,7,1987,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','224241246126155411446643235123121724093',10872,'306',47.23,1,3,NULL),(16,3094863,'1986-08-14 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243241215575431338833372124610163147',1832,'9997',67.90,1,3,NULL),(16,3094871,'1991-01-03 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241117371751569913485122610168092',1738,'306',68.26,1,3,NULL),(16,3094880,'1992-06-22 00:00:00',4,5,11,2009,'F','S','CRUZEIRO DO SUL','CRICIúMA','SC','124242241215111431379833575112610136182',NULL,'226',55.69,1,3,NULL),(16,3094898,'1990-07-26 00:00:00',2,9,12,2007,'M','N','COPACABANA','LAGES','SC','124241241137131431426979592124610164197',NULL,'498',22.58,1,2,1),(16,3094901,'1991-06-16 00:00:00',2,7,12,2008,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241235371741467631414122610165142',12005,'453',45.26,1,3,NULL),(16,3094928,'1991-06-30 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124241241117471431533314271124610122147',15098,'257',39.43,1,2,1),(16,3094936,'1991-11-21 00:00:00',4,1,12,2008,'M','N','PASSA VINTE','PALHOçA','SC','124241241115121411437933245124610122052',13711,'307',42.25,1,2,1),(16,3094944,'1989-07-15 00:00:00',2,1,12,2006,'M','N','SERRARIA','S JOSé','SC','124241241415272431445614345124610124187',7860,'868',52.67,1,3,NULL),(16,3094952,'1990-03-12 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215373431489911414112610133112',1154,'226',71.18,1,3,NULL),(16,3094979,'1990-08-17 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216472431585712175124231164091',5708,'270',57.04,1,3,NULL),(16,3094987,'1991-08-16 00:00:00',2,3,12,2008,'F','N','SAO PEDRO','BRUSQUE','SC','124241241317371431436414275122610163142',16316,'912',36.32,1,3,NULL),(16,3094995,'1989-05-29 00:00:00',2,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAçU','SC','124241247337141431433524285224610167032',NULL,'9999',17.80,1,3,NULL),(16,3095002,'1983-11-19 00:00:00',2,1,6,2006,'M','N','SERRARIA','S JOSé','SC','124241241121572451433314241134610128187',16231,'946',36.58,1,2,1),(16,3095010,'1990-12-18 00:00:00',2,1,12,2007,'F','N','ALTO ARIRIU','PALHOçA','SC','124241241111111431533331341124610145172',16110,'772',36.91,1,2,1),(16,3095029,'1989-01-19 00:00:00',4,1,12,2006,'M','N','PARQUE DA MOOCA','S PAULO','SP','125252251217571431478514571122610167057',NULL,'9998',0.00,1,3,NULL),(16,3095037,'1990-04-29 00:00:00',2,1,11,2007,'M','N','JARDIM CIDADE FPOLIS','S JOSé','SC','124242241215472431345379572124610137072',7319,'738',53.68,1,3,NULL),(16,3095045,'1991-09-26 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241115271431438534295125610126147',15901,'307',37.49,1,2,1),(16,3095053,'1991-08-23 00:00:00',4,9,12,2008,'M','N','SAGRADO','LAGES','SC','124242241212272431469917572122610127052',1849,'497',67.83,1,3,NULL),(16,3095070,'1989-09-18 00:00:00',4,3,12,2008,'M','N','SAO LUIZ','BRUSQUE','SC','124242241417371231534334572122610162052',NULL,'912',33.11,1,3,NULL),(16,3095088,'1966-06-09 00:00:00',2,1,12,1997,'M','N','SãO BENEDITO','CAMBUí','MG','213131134227151711323344245324610161197',NULL,'9998',0.00,4,3,NULL),(16,3095100,'1987-02-25 00:00:00',4,8,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241217122711458814491121233267062',7600,'491',53.15,1,3,NULL),(16,3095126,'1986-02-01 00:00:00',4,1,11,2003,'M','N','BELA VISTA','PALHOçA','SC','124242241216575431327639571124610166047',10950,'989',47.12,1,3,NULL),(16,3095134,'1990-06-18 00:00:00',4,1,11,2007,'M','N','KOBRASOL','S JOSé','SC','124241241136232431537619272314610127147',11030,'639',46.97,1,2,1),(16,3095142,'1991-07-19 00:00:00',4,1,12,2008,'M','N','JARDIM VILLAçA','S ROQUE','SP','125252251236111431456614575122610137047',NULL,'9998',26.97,1,3,NULL),(16,3095150,'1991-06-21 00:00:00',4,10,12,2008,'F','N','CENTRO','JAGUARUNA','SC','124241241217131431526834242124610133097',13648,'1120',42.37,1,3,NULL),(16,3095169,'1991-03-28 00:00:00',2,8,12,2008,'M','N','IPANEMA','ARAçATUBA','SP','125252251215131431334634175121610167082',NULL,'9998',44.67,1,3,NULL),(16,3095177,'1989-07-05 00:00:00',2,1,12,2006,'M','N','CENTRO','S JOSé','SC','124242241211274431445614581123131267113',3467,'737',62.48,4,3,NULL),(16,3095185,'1990-01-18 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241115371431233424342324610122147',NULL,'298',18.36,1,2,1),(16,3095193,'1988-01-12 00:00:00',4,1,12,2006,'F','N','CARIANOS','FLORIANóPOLIS','SC','124242248215572751456619595114610112147',14623,'270',40.45,1,3,NULL),(16,3095207,'1991-05-30 00:00:00',4,1,12,2008,'F','N','FLOR DE NáPOLIS','S JOSé','SC','124241241115151431424611575124610134191',14259,'733',41.12,1,2,1),(16,3095215,'1991-10-07 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241315372331238833575124610137075',8140,'271',52.15,1,3,NULL),(16,3095223,'1987-11-18 00:00:00',4,1,12,2005,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124242247215575431469813595112610166122',7634,'9997',53.09,1,3,NULL),(16,3095240,'1991-05-23 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241316321731343639574124610123142',14144,'299',41.34,1,3,NULL),(16,3095258,'1991-04-05 00:00:00',4,1,12,2008,'F','N','BOTAFOGO','CAMPINAS','SP','125252251237111431468713571212610121092',13106,'9998',43.32,1,3,NULL),(16,3095274,'1991-08-08 00:00:00',2,8,11,2008,'F','N','BATEL','CURITIBA','PR','116162161216471731239621571122610135172',10986,'9998',47.05,1,3,NULL),(16,3095282,'1988-06-06 00:00:00',4,1,11,2006,'M','N','ANáPOLIS CITY','ANáPOLIS','GO','107092091217571431478611595112610122127',1610,'9998',68.85,4,3,NULL),(16,3095290,'1992-03-24 00:00:00',2,1,12,2009,'F','S','PRAIA COMPRIDA','S JOSé','SC','124241241217111432566633475114610128146',NULL,'944',39.79,1,3,NULL),(16,3095304,'1991-05-26 00:00:00',2,1,12,2008,'M','N','RIO CAVEIRAS','BIGUAçU','SC','124241241116131731323529492224613228197',NULL,'1088',16.63,1,2,1),(16,3095312,'1991-04-10 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111411446712571112610124052',6332,'738',55.60,1,3,NULL),(16,3095320,'1991-10-16 00:00:00',4,1,12,2008,'M','N','JD PAINEIRAS','PARANAVAI','PR','116161161215111431558313575112610162142',NULL,'9998',18.14,1,3,NULL),(16,3095339,'1991-02-01 00:00:00',4,1,11,2008,'M','N','CENTRO','ITAJAí','SC','124242241215111521669932375114610166122',189,'270',79.39,1,3,NULL),(16,3095347,'1990-10-24 00:00:00',4,1,12,2007,'F','N','AEROPORTO','GOIâNIA','GO','109092091217471411589813575124610144172',3422,'9998',62.60,1,3,NULL),(16,3095355,'1991-02-16 00:00:00',2,9,11,2007,'M','N','CENTRO','PRES GETúLIO','SC','124244241215372331458933575112610128081',11290,'991',46.49,1,3,NULL),(16,3095371,'1991-04-17 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124241241111131431318327571224610166047',14415,'1116',40.85,1,2,1),(16,3095380,'1989-11-18 00:00:00',4,8,12,2006,'F','N','REGIãO LAGO','CASCAVEL','PR','116162161216471441558834574114141362097',NULL,'9998',0.00,1,3,NULL),(16,3095401,'1990-05-10 00:00:00',2,1,12,2006,'M','N','PANTANAL','FLORIANóPOLIS','SC','124243241115372431539813575124610137045',13346,'298',42.89,1,3,NULL),(16,3095410,'1992-04-03 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116242161215121531349931574122610135072',NULL,'9998',0.00,1,3,NULL),(16,3095428,'1990-02-18 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','624242241126131231227754372212610126147',NULL,'257',0.00,1,3,NULL),(16,3095444,'1992-04-06 00:00:00',4,8,12,2009,'M','S','FLORESTA','JOINVILLE','SC','124242241216111431357613575124610168047',NULL,'461',47.44,1,3,NULL),(16,3095452,'1991-07-01 00:00:00',2,4,11,2008,'M','N','JUVêVE','CURITIBA','PR','116242161215121731279914572124610126176',1794,'9998',68.02,1,3,NULL),(16,3095460,'1989-09-25 00:00:00',4,1,12,2006,'F','N','JARDINS','S PAULO','SP','125042041216573431579934575124610161012',1043,'9998',71.77,1,3,NULL),(16,3095479,'1990-08-12 00:00:00',4,1,12,2007,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121215471431488835574122610143092',8908,'9998',50.73,1,3,NULL),(16,3095487,'1989-01-30 00:00:00',4,1,12,2008,'M','N','CAMBOINHAS','NITERóI','RJ','121212211217471431688834575122610167112',NULL,'9998',42.33,1,3,NULL),(16,3095495,'1988-11-01 00:00:00',2,2,12,2007,'F','N','SANTA CECILIA','S PAULO','SP','125254251216271431338364442234610114097',NULL,'9998',0.00,1,3,NULL),(16,3095517,'1991-01-07 00:00:00',2,6,11,2008,'M','N','CENTRO','NAVEGANTES','SC','124242241215151431423514192121610142142',5150,'937',58.24,1,3,NULL),(16,3095525,'1990-03-09 00:00:00',2,1,12,2006,'M','N','INGLESES DO RIO VERM','FLORIANóPOLIS','SC','124201201112131441123944442224141767147',NULL,'9998',25.62,1,2,1),(16,3095533,'1990-04-01 00:00:00',2,1,12,2007,'F','N','ALTO ARIRIU','PALHOçA','SC','124251241117271431634311245124610148013',15112,'592',39.39,1,2,1),(16,3095541,'1991-02-17 00:00:00',2,5,12,2008,'M','N','CENTRO','CRICIúMA','SC','124242243215151431337532575124610162122',12072,'995',45.14,1,3,NULL),(16,3095550,'1992-05-26 00:00:00',2,1,12,2009,'F','S','CAMPINAS','S JOSé','SC','124242241212131411426613472122610133077',NULL,'737',24.54,1,3,NULL),(16,3095568,'1984-12-05 00:00:00',4,1,12,2003,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241216374731334623235124610154132',NULL,'266',43.44,1,3,NULL),(16,3095584,'1991-04-26 00:00:00',4,10,11,2008,'F','N','CENTRO','TUBARãO','SC','124242241217111751369623595112610161192',15728,'807',38.00,1,3,NULL),(16,3095592,'1987-03-26 00:00:00',4,1,12,2004,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124244241216572751569811575124132832181',3449,'168',62.51,3,3,NULL),(16,3095606,'1990-02-24 00:00:00',2,1,11,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241212271411466524572114610167111',NULL,'262',38.18,1,3,NULL),(16,3095614,'1990-07-14 00:00:00',2,1,12,2007,'F','N','RIO CAVEIRAS','BIGUAçU','SC','124241241116132131234411382123610123147',NULL,'65',29.49,1,2,1),(16,3095622,'1987-04-26 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSé','SC','124242241215573431523311214114610143092',11766,'868',45.71,1,3,NULL),(16,3095630,'1990-12-11 00:00:00',2,2,11,2008,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241215111441448614575124610124182',7418,'88',53.48,1,3,NULL),(16,3095657,'1990-09-02 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215132451568613575124610118061',2610,'270',64.99,1,3,NULL),(16,3095665,'1990-06-25 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124201201117472411479914585124610164042',2036,'9998',67.07,1,2,1),(16,3095673,'1991-01-29 00:00:00',2,1,11,2008,'F','N','CENTRO','IMBITUBA','SC','124244241415112431469811572112610163097',5906,'270',56.57,1,3,NULL),(16,3095681,'1991-11-06 00:00:00',4,3,11,2009,'M','S','MEIA PRAIA','ITAPEMA','SC','124242241217111531359711415124610148182',NULL,'1038',23.66,1,3,NULL),(16,3095690,'1991-01-17 00:00:00',4,2,12,2008,'F','N','FORTALEZA','BLUMENAU','SC','124241241117131431434314372124610132047',13873,'69',41.90,1,2,1),(16,3095703,'1991-05-06 00:00:00',4,8,12,2008,'M','N','VILA RAU','JARAGUá SUL','SC','124224241336131431245723585124610124012',NULL,'432',29.17,4,1,2),(16,3095711,'1990-09-11 00:00:00',2,1,12,2007,'M','N','CENTRO','CARAZINHO','RS','120202201216372431458833371121121734042',6191,'9998',55.94,1,3,NULL),(16,3095720,'1990-04-09 00:00:00',4,8,11,2007,'M','N','CIDADE JARDIM','UMUARAMA','PR','116162161213212411448631412113610127162',523,'9998',75.59,4,3,NULL),(16,3095738,'1990-08-27 00:00:00',2,1,11,2007,'F','N','KOBRASOL','S JOSé','SC','124242241215472431469614576124610121107',10985,'723',47.05,1,3,NULL),(16,3095754,'1990-01-25 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241215113121223915445124231016187',14781,'270',40.11,1,3,NULL),(16,3095762,'1991-07-25 00:00:00',2,1,11,2008,'F','N','JARDIM NOVO HORIZONT','MARINGá','PR','116162164217111151438812392122610124077',12090,'9998',45.11,1,3,NULL),(16,3095770,'1991-01-26 00:00:00',4,1,12,2008,'M','N','EUGêNIO SCHNEIDER','RIO SUL','SC','124242241215152411559813434112610126142',2679,'991',64.75,1,3,NULL),(16,3095789,'1989-04-14 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241146371431335324345124610166142',13641,'307',42.39,1,2,1),(16,3095797,'1992-02-24 00:00:00',4,9,12,2008,'F','N','SANTANA','PTO ALEGRE','RS','120202201211471711446911421124610166112',NULL,'9998',28.97,1,3,NULL),(16,3095827,'1991-03-04 00:00:00',4,2,12,2008,'M','N','GARCIA','BLUMENAU','SC','124241241117131411323334575112610166197',6891,'69',54.50,1,2,1),(16,3095835,'1991-04-18 00:00:00',2,10,12,2008,'F','N','CENTRO','TUBARãO','SC','124244241215121431565811575122610138152',1070,'797',71.61,1,3,NULL),(16,3095843,'1991-06-11 00:00:00',4,3,12,2008,'M','N','CENTRO','CAMBORIú','SC','124242241217161731447833592121610167052',12598,'1091',44.19,1,3,NULL),(16,3095851,'1989-03-10 00:00:00',4,1,11,2006,'F','N','CAMPINAS','S JOSé','SC','124244241412272431225824345114142045072',16618,'969',34.66,1,3,NULL),(16,3095860,'1991-01-09 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241217111751256612594124610166182',3892,'270',61.36,1,3,NULL),(16,3095878,'1991-06-16 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215111431536614594122610137073',16200,'1011',36.67,1,3,NULL),(16,3095886,'1991-04-05 00:00:00',4,4,12,2008,'M','N','JARDIM PETRóPOLIS','FOZ IGUAçU','PR','116162161216111411469813572122610132181',7754,'9998',52.87,1,3,NULL),(16,3095894,'1991-06-10 00:00:00',4,8,11,2008,'M','N','CENTRO','CURITIBA','PR','116242161217111531448811571125610167042',NULL,'9998',0.00,1,3,NULL),(16,3095908,'1991-03-20 00:00:00',2,1,12,2008,'M','N','PRAINHA','FLORIANóPOLIS','SC','124241241315211731436531395124610134142',NULL,'1022',27.22,1,3,NULL),(16,3095916,'1991-04-27 00:00:00',4,9,10,2008,'M','N','UNIVERSITáRIO','LAGES','SC','124232241215372321476911275112610124032',2382,'497',65.76,1,3,NULL),(16,3095924,'1989-07-18 00:00:00',4,1,7,2007,'F','N','CERQUEIRA CESAR','S PAULO','SP','125122281215571431488831572215610124142',14883,'9998',39.92,1,3,NULL),(16,3095940,'1990-07-17 00:00:00',2,1,9,2007,'F','N','BELA VISTA I','S JOSé','SC','124241241211472231658613591124132715142',3694,'270',61.84,1,3,NULL),(16,3095959,'1986-09-07 00:00:00',4,1,12,2003,'F','N','JARDIM PRIMAVERA','CAçAPAVA','SP','125251251116571411556613572124610147187',11587,'9998',46.02,1,2,1),(16,3095975,'1991-06-29 00:00:00',4,1,12,2008,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241217121431456916161122610127072',8243,'270',51.88,1,3,NULL),(16,3095983,'1990-11-17 00:00:00',2,1,12,2008,'M','N','CENTRO','PALHOçA','SC','124241245215112231448812575112610167047',NULL,'1011',0.00,1,3,NULL),(16,3095991,'1990-10-29 00:00:00',4,1,12,2007,'M','N','CENTRO','S JOSé','SC','124243241217373431569831575114610124112',NULL,'270',50.79,1,3,NULL),(16,3096009,'1988-11-15 00:00:00',2,8,11,2006,'M','N','ARISTOCRATA','S JOSé PINHAIS','PR','116163161315571431453469575114610167042',NULL,'9998',0.00,4,3,NULL),(16,3096017,'1970-05-05 00:00:00',2,1,7,1988,'M','N','SERRARIA','S JOSé','SC','224251256227131431326448285122142962057',NULL,'9998',25.27,1,3,NULL),(16,3096025,'1991-11-08 00:00:00',2,2,10,2008,'M','N','ESCOLA AGRíCOLA','BLUMENAU','SC','124242241216112431326619272124610167052',3681,'909',61.87,1,3,NULL),(16,3096033,'1990-09-14 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215113412448831575114610164092',2845,'270',64.25,1,3,NULL),(16,3096041,'1987-06-01 00:00:00',2,1,12,2005,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124243248221132411528319341124610164072',16337,'300',36.24,2,1,2),(16,3096050,'1989-10-01 00:00:00',4,1,12,2006,'M','N','VILA JULIA','MOGI GUAçU','SP','125252251217471441568931476114610137052',NULL,'9998',0.00,1,3,NULL),(16,3096076,'1981-11-16 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANóPOLIS','SC','624242241217273751259942322122420268042',6468,'269',55.33,1,3,NULL),(16,3096092,'1991-05-27 00:00:00',4,1,11,2008,'M','N','SANTANA','RIO SUL','SC','124242241215271431578632576122610167182',2628,'9997',64.91,1,3,NULL),(16,3096106,'1990-07-30 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241417474651338813471331610168187',1398,'1026',69.82,1,3,NULL),(16,3096114,'1991-09-03 00:00:00',2,1,12,2008,'M','N','PASSA VINTE','PALHOçA','SC','124242241215111431539814572122610167042',9305,'1011',50.06,1,3,NULL),(16,3096122,'1989-12-14 00:00:00',4,9,12,2006,'M','N','CENTRO','RIO SUL','SC','124241241217573431379413575122610167122',7518,'991',53.30,1,3,NULL),(16,3096149,'1991-07-24 00:00:00',4,4,12,2008,'M','N','CENTRO','CASCAVEL','PR','116163161415111641266921271124610132142',4409,'9998',59.99,1,3,NULL),(16,3096157,'1992-01-15 00:00:00',4,1,12,2008,'M','N','ALTOS MONTE ALEGRE','DOURADOS','MS','112121121316121411435933575121610162097',3824,'9998',61.54,1,3,NULL),(16,3096173,'1973-08-10 00:00:00',2,1,12,1990,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','224163161146153441533343332123230718057',8903,'9998',50.73,1,3,NULL),(16,3096181,'1990-02-17 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431358833275121610161182',9700,'262',49.34,1,3,NULL),(16,3096190,'1989-04-17 00:00:00',4,3,12,2007,'M','N','CENTRO','TIJUCAS','SC','124242241214132431438824485122233247042',NULL,'1119',22.34,1,3,NULL),(16,3096211,'1990-09-11 00:00:00',4,8,12,2007,'F','N','CAMPESTRE','STO ANDRé','SP','125252251215471431447839572114610167142',NULL,'9998',0.00,1,3,NULL),(16,3096238,'1992-05-04 00:00:00',4,5,12,2008,'M','N','CENTRO','BAL ARROIO SILVA','SC','124242241116371431333419375112610128032',3171,'30',63.35,1,3,NULL),(16,3096246,'1988-01-06 00:00:00',4,1,12,2005,'M','N','RIBEIRâNIA','RIBEIRãO PRETO','SP','125252251217571441468831571115610167047',470,'9998',76.03,1,3,NULL),(16,3096254,'1990-03-28 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215473731258513372115610124097',2146,'270',66.59,1,3,NULL),(16,3096289,'1988-06-04 00:00:00',2,1,9,2007,'M','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','124241241311133431428811211324610127047',13019,'306',43.47,1,3,NULL),(16,3096297,'1990-02-15 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215131732656672245114610167042',12281,'259',44.76,3,3,NULL),(16,3096300,'1991-12-08 00:00:00',4,2,12,2008,'M','N','VIKTOR KONDER','BLUMENAU','SC','124244241216151431437823585124610124047',5688,'1018',57.11,1,3,NULL),(16,3096319,'1985-10-26 00:00:00',4,1,12,2003,'M','N','PANTANAL','FLORIANóPOLIS','SC','124204201215373431478833575114121437127',1085,'9998',71.53,1,3,NULL),(16,3096327,'1991-10-16 00:00:00',4,1,11,2008,'F','N','SãO LUIZ','S MIGUEL OESTE','SC','124241241215111431449929375124610123147',777,'270',73.61,1,3,NULL),(16,3096343,'1979-07-19 00:00:00',5,1,10,1997,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241336133731634436495324133227037',NULL,'266',26.84,1,3,NULL),(16,3096351,'1991-11-04 00:00:00',2,9,12,2008,'M','N','CORAL','LAGES','SC','124241241114151431436934574121610124122',9838,'505',49.09,1,2,1),(16,3096360,'1991-06-27 00:00:00',4,8,10,2008,'M','N','SãO BRAZ','CURITIBA','PR','116162161112471431479933474112610117042',5838,'9998',56.71,1,3,NULL),(16,3096378,'1990-08-04 00:00:00',4,1,11,2007,'M','N','FAZENDA','ITAJAí','SC','124242241217371431455632572115610137051',2468,'1026',65.45,1,3,NULL),(16,3096386,'1989-01-08 00:00:00',4,1,12,2005,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','112122121213572431138823292221610138115',4026,'9998',60.99,1,3,NULL),(16,3096394,'1988-09-02 00:00:00',4,1,11,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124243241146132411438814285124130226147',NULL,'307',28.15,1,3,NULL),(16,3096408,'1989-02-13 00:00:00',4,1,7,2007,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241115472411447732372124610134097',213,'306',79.01,1,3,NULL),(16,3096416,'1990-01-03 00:00:00',4,2,12,2007,'F','N','VELHA','BLUMENAU','SC','124242241214253731548811572112230422142',NULL,'270',0.00,1,3,NULL),(16,3096424,'1991-02-13 00:00:00',2,1,12,2008,'M','N','VILA KURTZ','CAçADOR','SC','124242241217161431225427575112610137147',11530,'1124',46.12,1,3,NULL),(16,3096432,'1982-01-04 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241244132175731123374441214610147047',NULL,'552',0.00,4,2,1),(16,3096440,'1989-04-10 00:00:00',4,1,12,2007,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124213217216371711467819495124610116042',NULL,'9998',31.94,1,3,NULL),(16,3096467,'1982-12-24 00:00:00',4,1,12,1999,'F','N','POçO RICO','OTACíLIO COSTA','SC','124241241116375411444419475124331363147',8737,'583',51.01,1,2,1),(16,3096475,'1990-10-17 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124242241215273731448914345124610125017',12170,'738',44.95,1,3,NULL),(16,3096491,'1989-11-27 00:00:00',4,1,12,2007,'F','N','JARDIM FRANçA','S PAULO','SP','125252251215471431348612371122610167072',1860,'9998',67.75,1,3,NULL),(16,3096505,'1989-06-16 00:00:00',4,1,12,2006,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124243241316473431456533575124610164092',1095,'1022',71.50,1,3,NULL),(16,3096513,'1989-10-02 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217473431669813436125610168122',2975,'270',63.90,1,3,NULL),(16,3096530,'1988-10-09 00:00:00',2,1,12,2006,'F','N','ERMELINO MATARAZZO','S PAULO','SP','125253251217571431445812585112610134017',15561,'9998',38.40,1,3,NULL),(16,3096548,'1989-08-03 00:00:00',4,1,11,2006,'M','N','CENTRO','IMBITUBA','SC','124242241215573431468831572124610167052',6085,'807',56.17,1,3,NULL),(16,3096556,'1977-01-23 00:00:00',2,8,12,1994,'F','N','VILA NOVA','JOINVILLE','SC','124201161326131721233643432124610128187',NULL,'9998',6.81,1,3,NULL),(16,3096564,'1991-01-30 00:00:00',4,9,11,2007,'F','N','VILA NOVA','LAGES','SC','124241241137131431524614346325610165197',NULL,'498',22.55,1,3,NULL),(16,3096580,'1990-02-20 00:00:00',4,8,5,2008,'M','N','CONVIVA','VINHEDO','SP','125256257617311711366612394123610138182',NULL,'9998',0.00,1,3,NULL),(16,3096599,'1978-12-18 00:00:00',2,1,12,1997,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241246116374421143344145122221727142',8013,'306',52.40,1,2,1),(16,3096602,'1991-04-03 00:00:00',4,9,12,2008,'F','N','IPIRANGA','LAGES','SC','125241246217131431436634575122610147047',NULL,'1106',35.68,1,3,NULL),(16,3096629,'1985-07-16 00:00:00',4,1,12,2003,'M','N','JARDIM INDEPENDêNCIA','CAMPINAS','SP','125092091216451751438811491222242366047',2958,'9998',63.95,4,3,NULL),(16,3096637,'1990-07-24 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124243241215372731346639372122610124012',10017,'106',48.75,1,3,NULL),(16,3096645,'1992-03-14 00:00:00',2,5,10,2008,'F','N','SANTA ISABEL','FORQUILHINHA','SC','124244248435112431557614441124610143147',8396,'226',51.60,1,3,NULL),(16,3096670,'1991-12-03 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241215111411283316595124610146182',6062,'270',56.21,1,3,NULL),(16,3096688,'1992-02-14 00:00:00',4,1,12,2009,'F','S','BARREIROS','S JOSé','SC','124242241217151431438634575122610124077',NULL,'1078',50.88,1,3,NULL),(16,3096696,'1991-03-14 00:00:00',4,7,12,2008,'F','N','CENTRO','CAMPOS NOVOS','SC','124244241216161431445933375122610138017',15057,'138',39.54,1,3,NULL),(16,3096726,'1991-01-30 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215112431568931575124610163192',3176,'270',63.34,1,3,NULL),(16,3096734,'1989-01-03 00:00:00',4,3,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161216571441468911572112610162147',NULL,'9998',0.00,1,3,NULL),(16,3096742,'1992-07-18 00:00:00',2,2,12,2008,'F','N','PADRE MARTINHO STEIN','TIMBó','SC','124244241215111431334934575121610137142',NULL,'1157',34.68,1,3,NULL),(16,3096750,'1990-09-12 00:00:00',4,6,12,2007,'M','N','CENTRO','MARINGá','PR','116162161216472721248711472312610117057',10466,'9998',47.97,1,3,NULL),(16,3096777,'1985-04-01 00:00:00',2,1,12,2003,'M','N','RECREIO','VITóRIA CONQUISTA','BA','105233231117571751578719434122610164057',NULL,'9998',0.00,4,3,NULL),(16,3096785,'1989-06-05 00:00:00',2,5,12,2006,'F','N','SãO LUIZ','CRICIúMA','SC','124241241212473431333311412224610122142',14311,'227',41.02,1,3,NULL),(16,3096815,'1988-01-06 00:00:00',4,1,12,2005,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241215574411367613335114610166091',2637,'270',64.87,1,3,NULL),(16,3096823,'1990-09-03 00:00:00',4,8,12,2007,'M','N','BELA ALIANçA','S BENTO SUL','SC','124241241116152431638614342122610124147',6271,'697',55.75,1,3,NULL),(16,3096831,'1991-01-22 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124242241217151331543311572124610122182',6290,'737',55.71,1,3,NULL),(16,3096840,'1992-08-19 00:00:00',4,5,12,2009,'F','S','SESMARIAS','ORLEANS','SC','124241241112131431524336572124610116057',NULL,'580',21.14,1,3,NULL),(16,3096858,'1991-02-05 00:00:00',4,6,12,2008,'M','N','VILA OPERáRIA','ITAJAí','SC','124242241217371411438834475124610126177',1757,'392',68.17,1,3,NULL),(16,3096866,'1981-06-09 00:00:00',4,1,12,1998,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243241216132421139729342124422226177',9544,'185',49.63,1,3,NULL),(16,3096874,'1991-09-01 00:00:00',2,10,11,2008,'F','N','ORATóRIO','ORLEANS','SC','124241241315111411525514572122610113072',4774,'950',59.12,1,3,NULL),(16,3096882,'1990-04-13 00:00:00',4,1,11,2007,'M','N','CENTRO','BRUSQUE','SC','124242241212372411548712472124131444122',224,'270',78.84,1,3,NULL),(16,3096890,'1992-05-23 00:00:00',4,1,12,2009,'M','S','FORQUILHINHAS','S JOSé','SC','124242241217111431367839575124610122092',NULL,'270',56.00,1,3,NULL),(16,3096912,'1992-05-03 00:00:00',4,1,12,2008,'M','N','ARIRIú','PALHOçA','SC','124241241117131431444314572124610161047',6220,'591',55.87,1,2,1),(16,3096920,'1988-07-14 00:00:00',4,1,12,2005,'F','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','124242241215573431568813575124140632127',4293,'951',60.25,1,3,NULL),(16,3096939,'1991-04-28 00:00:00',2,1,11,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215121431458612575124610164095',1083,'270',71.54,1,3,NULL),(16,3096947,'1983-03-18 00:00:00',4,1,12,2000,'M','N','SANTINHO','FLORIANóPOLIS','SC','124252251217371711238614472214140237047',6335,'9998',55.60,1,3,NULL),(16,3096955,'1988-08-13 00:00:00',2,1,12,2005,'F','N','SãO LUíS','CRICIúMA','SC','124242241215574431456812572114610166192',2305,'210',66.04,1,3,NULL),(16,3096963,'1989-11-25 00:00:00',4,1,2,2008,'M','N','VICENTE PIRES','TAGUATINGA','DF','107072077215471441468713572112610125052',6628,'9999',54.99,1,3,NULL),(16,3096980,'1988-02-09 00:00:00',2,1,12,2005,'F','N','CENTRO','S MIGUEL OESTE','SC','124243201216473431538633495124230431055',NULL,'9998',0.00,1,3,NULL),(16,3096998,'1991-04-27 00:00:00',2,4,12,2008,'F','N','MORRADA DO SOL','SAUDADES','SC','124241241147131431225544346324610138057',NULL,'761',27.53,4,2,1),(16,3097005,'1989-11-25 00:00:00',4,1,11,2006,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215474431456632575113131227112',1862,'723',67.74,1,3,NULL),(16,3097013,'1991-08-19 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','116222161217121441449913575124610128032',NULL,'9998',0.00,1,3,NULL),(16,3097021,'1989-02-27 00:00:00',4,1,12,2006,'M','N','ATIRADORES','JOINVILLE','SC','124242248217573431658619575325610167127',2733,'1105',64.60,1,3,NULL),(16,3097030,'1986-07-18 00:00:00',2,1,12,2004,'M','N','FORQUILHAS','S JOSé','SC','124241241126131421323344145123140724017',4845,'744',58.98,4,1,1),(16,3097064,'1989-11-09 00:00:00',4,1,11,2006,'F','N','ÁGUAS CLARAS','TAGUATINGA','DF','107054051217571432536633341325610133187',2365,'9998',65.82,4,3,NULL),(16,3097072,'1990-09-03 00:00:00',4,1,12,2007,'F','N','SOUZA CRUZ','BRUSQUE','SC','124242241215473431678812574122610126142',142,'109',80.16,1,3,NULL),(16,3097080,'1991-01-23 00:00:00',4,1,11,2008,'F','N','SãO LUIZ','BRUSQUE','SC','124242241215112431448612174122610143092',8830,'270',50.83,1,3,NULL),(16,3097099,'1990-10-20 00:00:00',2,1,12,2007,'F','N','CENTRO','CPO BELO SUL','SC','124243241214473431466933575124610123112',7254,'1146',53.80,1,3,NULL),(16,3097110,'1985-11-21 00:00:00',2,1,12,2003,'M','N','RIO CAVEIRAS','BIGUAçU','SC','124241241113274421556913435113130866047',12431,'271',44.50,1,3,NULL),(16,3097137,'1992-09-27 00:00:00',4,1,11,2009,'F','S','FLOR DE NAPOLIS','S JOSé','SC','124242241215111411336411215122610164182',NULL,'1074',42.57,1,3,NULL),(16,3097145,'1988-09-11 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217153411546659495124231427187',6167,'262',56.00,1,3,NULL),(16,3097153,'1991-10-03 00:00:00',4,3,12,2008,'M','N','CENTRO','PALOTINA','PR','116164161217111531429934195115610127147',11837,'9998',45.58,1,3,NULL),(16,3097161,'1989-03-02 00:00:00',2,1,12,2006,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117374411547733341124610167077',10212,'772',48.41,1,2,1),(16,3097170,'1985-04-03 00:00:00',4,5,12,2003,'F','N','PIO CORREIA','CRICIúMA','SC','124244241417571431459611475124131526182',7406,'226',53.50,1,3,NULL),(16,3097188,'1989-01-10 00:00:00',2,5,12,2006,'F','N','CENTRO','IçARA','SC','124242241215573451434619372124610148077',1338,'226',70.17,1,3,NULL),(16,3097196,'1989-06-22 00:00:00',4,1,5,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242281417373431548819475121231467092',1424,'9998',69.66,1,3,NULL),(16,3097200,'1990-03-22 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241116371431436611245122610167057',12559,'592',44.24,3,2,1),(16,3097226,'1991-04-28 00:00:00',4,8,12,2008,'F','N','CENTRO','CASTRO','PR','116164168415211411536516272124610116187',5273,'9998',57.93,1,3,NULL),(16,3097234,'1980-12-30 00:00:00',4,1,12,1998,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124212211216372721268843435124340465182',2597,'9998',65.02,1,3,NULL),(16,3097242,'1990-01-21 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241127161431424319372112610127065',NULL,'283',12.59,1,3,NULL),(16,3097250,'1989-12-25 00:00:00',2,5,7,2008,'M','N','SANTO ANTONIO','CRICIúMA','SC','124242246215271431458613442124610128052',1772,'995',68.12,1,3,NULL),(16,3097269,'1990-02-21 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSé','SC','124241241115472712343629395114610164187',10594,'307',47.75,1,2,1),(16,3097277,'1992-04-11 00:00:00',4,2,11,2009,'M','S','SOUZA CRUZ','BRUSQUE','SC','124242241217111411658619575112610164182',NULL,'109',24.84,1,3,NULL),(16,3097285,'1990-09-23 00:00:00',4,1,11,2007,'F','N','FAZENDA','ITAJAí','SC','124242241215471731478711414122610164093',9699,'1026',49.34,1,3,NULL),(16,3097293,'1989-05-14 00:00:00',2,8,12,2006,'F','N','BOA VISTA','CURITIBA','PR','116161161416571451348837571114610138197',14765,'9998',40.14,3,3,NULL),(16,3097307,'1990-08-15 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215473431566714242122610167142',3756,'1026',61.69,1,3,NULL),(16,3097315,'1990-12-21 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241216121731436512375224610154177',9214,'299',50.22,1,3,NULL),(16,3097331,'1979-03-20 00:00:00',4,1,11,1997,'F','N','BELA VISTA','PALHOçA','SC','624241244137132421237343435124610137142',NULL,'307',0.00,2,1,1),(16,3097340,'1990-11-13 00:00:00',4,1,11,2007,'F','N','MARILú','MIRASSOL','SP','125252251217471431369931572122610127052',6392,'9998',55.49,1,3,NULL),(16,3097358,'1993-02-13 00:00:00',4,1,11,2010,'M','S','FLOR DE NAPOLIS','S JOSé','SC','124242241216111431453431115125610164042',NULL,'1074',42.90,1,3,NULL),(16,3097366,'1990-09-25 00:00:00',2,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241215111431436313575124610124042',12822,'1022',43.81,1,3,NULL),(16,3097374,'1991-08-21 00:00:00',2,1,11,2008,'F','N','CENTRO','CAçADOR','SC','124242241211161431536834585112610133012',12347,'1124',44.63,1,3,NULL),(16,3097382,'1991-10-28 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124162241217121411468813575124610122182',797,'270',73.45,1,3,NULL),(16,3097390,'1987-05-21 00:00:00',2,5,12,2004,'M','N','CENTRO','TURVO','SC','124241241316575431435634575124610167047',5472,'813',57.54,1,3,NULL),(16,3097404,'1984-04-19 00:00:00',2,1,12,2001,'M','N','FLOR DE NAPOLES','S JOSé','SC','124241241126573421122344345334610125161',NULL,'359',40.55,1,2,1),(16,3097412,'1991-05-27 00:00:00',4,6,12,2008,'M','N','RES ALPHA CLUB','CIANORTE','PR','116162161215472431356619595112610164012',NULL,'9998',42.02,1,3,NULL),(16,3097447,'1991-03-03 00:00:00',2,1,12,2008,'F','N','CENTRO','NOVA LONDRINA','PR','116162161215111431548639475112610117072',NULL,'9998',33.62,1,3,NULL),(16,3097455,'1991-03-05 00:00:00',4,2,12,2008,'M','N','ASILO','BLUMENAU','SC','124242241215131432238114342112610135147',7872,'71',52.65,2,3,NULL),(16,3097463,'1990-06-26 00:00:00',4,1,12,2007,'F','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','124212241215472411589931572114610166091',1291,'262',70.45,4,3,NULL),(16,3097471,'1988-05-19 00:00:00',2,1,12,2006,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124242241215373431456413572114131267092',2517,'1022',65.29,1,3,NULL),(16,3097480,'1989-06-16 00:00:00',4,1,12,2007,'F','N','JARDIM RECREIO','RIBEIRãO PRETO','SP','125252251217472431578816471122610142142',3605,'9998',62.07,1,3,NULL),(16,3097498,'1991-10-05 00:00:00',4,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124243241215112431343632245124610136142',472,'270',76.02,1,3,NULL),(16,3097501,'1990-09-03 00:00:00',4,5,12,2007,'M','N','BARRO VERMELHO','ORLEANS','SC','124241241315472421363312591122610167042',8392,'820',51.61,1,3,NULL),(16,3097510,'1991-03-20 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124242241215112431445923572122610133077',9791,'1011',49.17,1,3,NULL),(16,3097528,'1991-06-09 00:00:00',2,10,11,2008,'F','N','OFICINAS','TUBARãO','SC','124242241215111431348616572122610168192',3131,'807',63.45,1,3,NULL),(16,3097536,'1990-03-21 00:00:00',2,1,11,2007,'F','N','CAMPINAS','S JOSé','SC','124243241216132431346619345114610127147',11773,'737',45.69,1,3,NULL),(16,3097544,'1991-12-11 00:00:00',2,9,11,2008,'F','N','CANOAS','RIO SUL','SC','124242241215112431358923472122610142072',2672,'991',64.78,1,3,NULL),(16,3097552,'1990-06-21 00:00:00',2,2,12,2007,'F','N','VICTOR KONDER','BLUMENAU','SC','124241241217473731336621574114610123147',2047,'154',67.00,1,3,NULL),(16,3097560,'1987-12-09 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241247337271411445329236114610147047',NULL,'9999',9.06,1,3,NULL),(16,3097579,'1990-09-18 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241216472421438711572114610122092',8705,'262',51.07,1,3,NULL),(16,3097587,'1990-03-23 00:00:00',4,3,12,2007,'F','N','PIRITUBA','S PAULO','SP','125252251215471431458834572125610127147',1609,'9998',68.85,1,3,NULL),(16,3097595,'1991-03-02 00:00:00',4,5,12,2008,'F','N','CENTRO','MRO GRANDE','SC','124241241115131531437911312124610157057',NULL,'30',22.49,1,2,1),(16,3097609,'1990-04-23 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431668814472122610166143',2730,'262',64.60,1,3,NULL),(16,3097617,'1990-03-01 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124242241215471431228913345124232743091',11894,'1022',45.47,1,3,NULL),(16,3097625,'1990-08-23 00:00:00',4,1,12,2008,'F','N','SOUSAS','CAMPINAS','SP','125254251215111411578813575124610133167',9326,'9998',50.04,1,3,NULL),(16,3097633,'1990-09-19 00:00:00',4,8,12,2007,'F','N','JARDIM OASIS','MARINGá','PR','116243241127371431537614175124610162147',16348,'9997',36.20,1,3,NULL),(16,3097641,'1991-02-19 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111131469814572114610127047',1503,'270',69.35,1,3,NULL),(16,3097650,'1988-08-03 00:00:00',2,1,12,2005,'F','N','GUAJUVIRA','GUAJUVIRA','PR','116161161235572431436415374124610132142',4122,'9998',60.72,1,3,NULL),(16,3097668,'1986-03-14 00:00:00',2,1,12,2003,'F','N','FORQUILHINHAS','S JOSé','SC','124241241147375431645434445134610167057',13166,'727',43.20,1,2,1),(16,3097676,'1988-07-04 00:00:00',4,1,12,2005,'M','N','VILA NUNES','LORENA','SP','125254251217572431338732575115610162037',780,'9998',73.59,1,3,NULL),(16,3097684,'1991-03-09 00:00:00',4,4,11,2008,'M','N','CENTRO','OURO VERDE','SC','124241241236111751445316595124610164182',10882,'836',47.22,1,3,NULL),(16,3097692,'1992-05-11 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124244241214111431566371474122610167187',NULL,'9997',22.57,1,3,NULL),(16,3097706,'1989-11-29 00:00:00',4,8,12,2006,'M','N','JARDIM PAULICEIA','CAMPINAS','SP','125252251216471431348823572114241434042',3666,'9998',61.92,1,3,NULL),(16,3097714,'1987-10-01 00:00:00',4,1,12,2004,'M','N','JD DAS FLORES','OSASCO','SP','125254251116574431343312571122610167017',1194,'9998',70.96,1,3,NULL),(16,3097722,'1992-08-19 00:00:00',2,1,11,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215111431538811212124610127182',7267,'299',53.77,1,3,NULL),(16,3097730,'1991-03-28 00:00:00',2,1,11,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215272411538831212124610134072',2383,'299',65.76,1,3,NULL),(16,3097749,'1990-02-19 00:00:00',2,1,12,2007,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241241116374452436823445124610123147',9795,'307',49.16,1,2,1),(16,3097757,'1991-08-04 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241115271431536413382124610124147',15832,'307',37.67,1,2,1),(16,3097765,'1991-10-31 00:00:00',4,1,12,2009,'M','S','ITACORUBI','FLORIANóPOLIS','SC','124242241215111431467832575122610134012',NULL,'883',58.94,1,3,NULL),(16,3097773,'1988-03-20 00:00:00',2,1,12,2005,'M','N','SANTA ISABEL','ANáPOLIS','GO','109093091216574751556619595312610163027',3370,'9998',62.78,1,3,NULL),(16,3097790,'1990-09-05 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241216473431479934572244610167052',728,'1026',74.02,1,3,NULL),(16,3097803,'1986-08-30 00:00:00',2,1,11,2003,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241122275431543531112124231036147',8752,'288',50.98,1,2,1),(16,3097811,'1987-08-18 00:00:00',2,1,11,2005,'F','N','HIGIENOPOLIS','S PAULO','SP','125132251211572431446813571344613263072',5038,'9998',58.53,1,3,NULL),(16,3097820,'1991-10-20 01:00:00',4,9,12,2008,'M','N','CENTRO','CURITIBANOS','SC','124243241212131431359933572112610167057',NULL,'237',35.77,1,3,NULL),(16,3097838,'1991-11-21 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215121431526631575122610163187',7768,'723',52.83,1,3,NULL),(16,3097846,'1991-04-02 00:00:00',4,1,12,2008,'M','N','SANTA TEREZA','AURORA','SC','124241241117131441436923575124610136142',3078,'40',63.57,1,2,1),(16,3097854,'1990-03-05 00:00:00',4,1,12,2007,'F','N','JARDIM VIRGINIA','TABOãO SERRA','SP','125253251126371711439834375124610122113',NULL,'9998',19.27,1,3,NULL),(16,3097862,'1990-07-14 00:00:00',4,1,12,2007,'F','N','INDAIá','NOVA TRENTO','SC','124241241126161431433314342312610162047',NULL,'574',22.04,1,2,1),(16,3097889,'1987-01-21 00:00:00',2,1,12,2004,'F','N','PARQUE ORTOLâNDIA','HORTOLâNDIA','SP','125252251212572431459932572124610137017',5189,'9998',58.13,1,3,NULL),(16,3097897,'1989-11-15 00:00:00',4,1,11,2007,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124242241215372431326631445124610142097',13058,'1023',43.38,1,3,NULL),(16,3097900,'1991-03-20 00:00:00',4,7,12,2008,'M','N','JDM DAS HORTENCIAS','FRAIBURGO','SC','124243241215111731466618375122610137042',8473,'885',51.45,1,3,NULL),(16,3097919,'1991-04-26 00:00:00',4,8,11,2008,'F','N','ATIRADORES','JOINVILLE','SC','124241241215371431439813475122610162147',637,'461',74.62,1,3,NULL),(16,3097927,'1986-07-28 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241235474431468911475124221467042',1791,'752',68.03,1,3,NULL),(16,3097943,'1989-12-18 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124162161216573431449911575124610167092',2401,'9998',65.69,1,3,NULL),(16,3097951,'1991-02-02 00:00:00',2,6,12,2008,'M','N','CORDEIROS','ITAJAí','SC','124242246216111432336314575121610127052',NULL,'1059',32.85,1,3,NULL),(16,3097960,'1991-06-09 00:00:00',2,9,11,2008,'F','N','CENTRO','S JOAQUIM','SC','124242241215111431448913435122610121017',NULL,'1035',19.54,1,3,NULL),(16,3097978,'1990-03-13 00:00:00',4,8,12,2007,'F','N','CENTRO','CPO LARGO','PR','116162161211471431468933571122610164147',NULL,'9998',0.00,1,3,NULL),(16,3097986,'1991-07-22 00:00:00',2,10,12,2008,'F','N','JARDIM PADROEIRA','GUARATINGUETá','SP','125252251217271431653933575122610124182',NULL,'9998',27.31,1,3,NULL),(16,3098001,'1991-05-07 00:00:00',2,1,11,2008,'M','N','IPIRANGA','S JOSé','SC','124241241145141431336432341234610118057',NULL,'734',19.56,1,2,1),(16,3098028,'1986-02-12 00:00:00',2,1,12,2003,'F','N','VILA BANDEIRANTES','CPO GRANDE','MS','112122121215374431236823572224141061093',9551,'9998',49.62,2,3,NULL),(16,3098036,'1991-06-14 00:00:00',4,7,12,2008,'M','N','TOBIAS','JOAçABA','SC','124201241315271411458713475125610142142',11494,'962',46.18,1,3,NULL),(16,3098044,'1990-01-16 00:00:00',4,1,12,2007,'M','N','VILA RESENDE','CAçAPAVA','SP','125254256216141231556814445121240227057',NULL,'9998',0.00,1,3,NULL),(16,3098052,'1990-10-17 00:00:00',4,8,12,2007,'M','N','JD TRÊS MARIAS','TUBARAO','SC','116162161215471731366811575122610117052',NULL,'9998',39.48,1,3,NULL),(16,3098060,'1992-03-17 00:00:00',4,1,12,2008,'M','N','SANTA TEREZA','AURORA','SC','124241241117131431639923315114610167042',NULL,'40',30.96,1,2,1),(16,3098079,'1990-03-01 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241217373431538933395124221642177',13796,'499',42.07,1,3,NULL),(16,3098087,'1987-10-17 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217473431468837374124221225012',3555,'262',62.20,1,3,NULL),(16,3098095,'1991-12-20 00:00:00',4,1,12,2008,'F','N','PONTA DE BAIXO','S JOSé','SC','124241241135131711323636175124610112142',NULL,'733',28.67,1,2,1),(16,3098117,'1991-01-23 00:00:00',4,8,11,2008,'M','N','AMIZADE','JARAGUá SUL','SC','124242241216411431489931574111610124172',4046,'486',60.94,1,3,NULL),(16,3098125,'1991-08-09 00:00:00',4,2,12,2008,'F','N','CENTRO','GASPAR','SC','124242241236111431226923275114610124142',5164,'71',58.20,1,3,NULL),(16,3098133,'1991-06-03 00:00:00',4,1,10,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217271431568934395125610123017',4370,'266',60.09,1,3,NULL),(16,3098141,'1988-02-06 00:00:00',4,1,12,2005,'F','N','ZONA DOIS','MARINGá','PR','116162161216571431478821572122610133147',436,'9998',76.42,1,3,NULL),(16,3098150,'1990-07-16 00:00:00',4,1,12,2007,'M','N','SERTãO DO MARUIM','S JOSé','SC','124242241212473441349923485114610144187',110,'270',80.76,1,3,NULL),(16,3098168,'1991-02-26 00:00:00',2,8,12,2008,'M','N','CENTRO','RONDON','PR','116161161115471431549933575124610162032',4308,'9998',60.22,1,2,1),(16,3098176,'1990-01-04 00:00:00',4,1,12,2007,'M','N','ESTIVA','TAUBATé','SP','125251251125471431458613282111610122052',4049,'9998',60.93,1,2,1),(16,3098184,'1990-01-12 00:00:00',2,1,11,2007,'F','N','CENTRO','BRUSQUE','SC','124242241215473431458612575122610111197',7104,'107',54.10,1,3,NULL),(16,3098206,'1988-10-23 00:00:00',2,1,12,2006,'F','N','CENTRO','S BENTO SUL','SC','124242247212571731479911571122610124012',5748,'9999',56.97,1,3,NULL),(16,3098214,'1991-03-27 00:00:00',4,1,12,2008,'F','N','VILA TATETUBA','S JOSé CAMPOS','SP','125252251215111431438832595112610163182',9788,'9998',49.17,1,3,NULL),(16,3098222,'1991-06-19 00:00:00',4,3,12,2008,'F','N','CENTRO','RIO SUL','SC','124242241215371431456812574122610137147',11719,'959',45.79,1,3,NULL),(16,3098230,'1991-12-23 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111431436923372124610123077',1525,'270',69.23,1,3,NULL),(16,3098249,'1990-06-06 00:00:00',4,1,12,2007,'F','N','VILA MARIANA','S PAULO','SP','125252251217471231478813572125610137072',6465,'9998',55.34,1,3,NULL),(16,3098257,'1991-02-27 00:00:00',2,8,12,2008,'M','N','CENTRO','RONDON','PR','116161161117151431546616575122610147144',NULL,'9998',37.99,1,2,1),(16,3098265,'1991-08-19 00:00:00',4,1,11,2008,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241215122431468933575124610122142',638,'270',74.62,1,3,NULL),(16,3098281,'1991-05-18 00:00:00',4,8,12,2008,'F','N','GUANABARA','JOINVILLE','SC','124242241217151412359923571122610166072',11206,'1105',46.65,1,3,NULL),(16,3098290,'1990-07-30 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215272431359817575112610128127',6765,'262',54.73,1,3,NULL),(16,3098303,'1989-12-28 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215472531436822445134610117143',5668,'273',57.15,1,3,NULL),(16,3098311,'1990-05-19 00:00:00',4,1,12,2007,'M','N','OFICINAS','TUBARãO','SC','124242241211372211436931575124132464057',1614,'806',68.84,1,3,NULL),(16,3098320,'1991-12-12 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431479814585125610167096',31,'262',83.52,1,3,NULL),(16,3098338,'1990-02-26 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241211472431556919171325610166182',162,'270',79.84,1,3,NULL),(16,3098346,'1991-03-14 00:00:00',4,10,12,2008,'F','N','OFICINAS','TUBARãO','SC','124244241215111431238913572112610147077',NULL,'809',24.53,1,3,NULL),(16,3098354,'1992-02-22 00:00:00',2,1,12,2008,'M','N','ZONA SETE','MARINGá','PR','116162161215111431348914472112610168012',NULL,'9998',0.00,1,3,NULL),(16,3098362,'1991-04-25 00:00:00',2,5,11,2008,'F','N','VILA SãO JOSé','ARARANGUá','SC','124243241215371731457933472122610131196',2881,'970',64.14,1,3,NULL),(16,3098370,'1990-11-27 00:00:00',4,1,11,2008,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215111731379612475112610167062',10275,'270',48.30,1,3,NULL),(16,3098389,'1990-10-25 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124244241215472531356612392324610116191',4159,'273',60.61,1,3,NULL),(16,3098397,'1991-10-14 00:00:00',2,8,12,2008,'M','N','CENTRO','RONDON','PR','116161161137151431436614345122610164144',NULL,'9998',37.01,1,2,1),(16,3098419,'1991-05-05 00:00:00',4,6,12,2008,'F','N','SAO LUIZ','BRUSQUE','SC','124242241215211431489832225122610126097',15064,'109',39.52,1,3,NULL),(16,3098435,'1985-08-06 00:00:00',4,1,12,2004,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241116473731546621345134610155095',15243,'271',39.10,1,2,1),(16,3098443,'1991-08-07 00:00:00',2,9,12,2008,'F','N','CENTRO','ANITA GARIBALDI','SC','124242241115471431326923572322610134057',10416,'498',48.06,1,3,NULL),(16,3098451,'1991-03-28 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241215111421336913475124610127147',3876,'270',61.40,1,3,NULL),(16,3098460,'1989-09-28 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241248126472431433919245124610134143',NULL,'277',20.83,1,2,1),(16,3098478,'1990-05-06 00:00:00',4,1,12,2007,'M','N','SETOR BUENO','GOIâNIA','GO','109092091216372431427932572122610167022',NULL,'9998',0.00,1,3,NULL),(16,3098486,'1989-03-27 00:00:00',2,1,7,2007,'M','N','ABRAAO','FLORIANóPOLIS','SC','124241248415272431538624424122610127145',NULL,'9999',30.46,1,3,NULL),(16,3098494,'1989-12-28 00:00:00',4,1,11,2007,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124243241115572431366813472112610162102',1975,'271',67.30,1,3,NULL),(16,3098508,'1988-11-16 00:00:00',2,1,7,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242243215372411448631444115610121197',9867,'995',49.03,1,3,NULL),(16,3098524,'1990-09-17 00:00:00',4,5,11,2007,'F','N','ANGELO GUOLLO','COCAL SUL','SC','124241241117162431433319572114610133147',NULL,'189',24.21,1,2,1),(16,3098532,'1990-09-17 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241215472751469834372124610124122',328,'624',77.66,1,3,NULL),(16,3098540,'1980-07-31 00:00:00',2,1,12,2000,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124243247216574451537933481114610146093',14742,'1003',40.19,1,3,NULL),(16,3098559,'1991-04-03 00:00:00',4,2,12,2008,'M','N','CENTRO','SALETE','SC','124241242115371231668632574124610147077',6503,'662',55.27,1,3,NULL),(16,3098567,'1991-08-27 00:00:00',4,9,12,2008,'M','N','CENTRO','PETROLâNDIA','SC','124241241215221231368911575112610132122',1633,'991',68.74,1,3,NULL),(16,3098575,'1958-11-25 00:00:00',2,1,10,2002,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','224251258122153411332241212124223066197',12287,'9998',44.74,4,1,1),(16,3098583,'1990-01-25 00:00:00',4,1,6,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242281415371431469913572112610127057',7034,'270',54.23,1,3,NULL),(16,3098605,'1988-10-31 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANóPOLIS','SC','124241241122131422445513272124610166142',NULL,'277',14.24,1,3,NULL),(16,3098613,'1991-01-21 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241217122431468933572124610121175',4462,'270',59.86,1,3,NULL),(16,3098621,'1990-05-14 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116163161215471451446812571314610168147',10907,'9998',47.18,1,3,NULL),(16,3098630,'1993-03-14 00:00:00',4,5,12,2009,'F','S','COM COM','SOMBRIO','SC','124242241215111432436923575122610127147',NULL,'770',23.06,1,3,NULL),(16,3098656,'1990-07-06 00:00:00',4,1,12,2007,'M','N','CENTRO','AMPARO','SP','125251251347472441336513145112610112142',10671,'9998',47.62,1,3,NULL),(16,3098664,'1991-04-11 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215121421458852575125610147042',6860,'270',54.56,1,3,NULL),(16,3098672,'1991-04-21 00:00:00',2,1,12,2008,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124241241115141431534314495124610162073',NULL,'287',30.34,1,2,1),(16,3098680,'1988-12-20 00:00:00',4,1,12,2006,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241215473431479812575112610127065',446,'270',76.27,1,3,NULL),(16,3098699,'1990-04-24 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241116372731454472345124610164141',9345,'307',50.00,1,2,1),(16,3098702,'1989-11-04 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124202241212372431344429495124613247097',5059,'185',58.49,1,3,NULL),(16,3098710,'1991-01-30 00:00:00',2,2,12,2008,'F','N','CENTRO','SALETE','SC','124241241145131231426331215122610146147',14958,'680',39.77,1,3,NULL),(16,3098729,'1991-06-15 00:00:00',4,1,11,2008,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124243241117371431578854572114610117112',4790,'271',59.08,1,3,NULL),(16,3098737,'1989-12-15 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215574431469913575124610167091',2043,'109',67.02,1,3,NULL),(16,3098745,'1990-12-12 00:00:00',4,4,12,2008,'M','N','CENTRO','XANXERê','SC','124244241416111431448811115125613227177',10974,'836',47.07,1,3,NULL),(16,3098761,'1990-11-20 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215272431558932575124610124121',383,'270',77.03,1,3,NULL),(16,3098770,'1990-06-21 00:00:00',2,10,12,2007,'F','N','CENTRO','TUBARãO','SC','124242241215471731348822572112610164142',9420,'807',49.86,1,3,NULL),(16,3098788,'1992-02-03 00:00:00',4,1,10,2008,'F','N','ALPHAVILLE','PTO VELHO','RO','122222221216111431469933572122610164182',NULL,'9998',0.00,4,3,NULL),(16,3098800,'1990-06-01 00:00:00',4,6,12,2007,'F','N','CENTRO','SALETE','SC','124241241126272431335629272222610123187',10124,'680',48.57,1,2,1),(16,3098818,'1992-09-29 00:00:00',4,8,11,2008,'F','N','AMéRICA','JOINVILLE','SC','124242241217111731457834492122610127142',9644,'491',49.44,1,3,NULL),(16,3098826,'1992-07-29 00:00:00',4,9,10,2008,'F','N','CENTRO','LAGES','SC','124244241216122441469913575122610144142',5186,'497',58.14,1,3,NULL),(16,3098834,'1991-06-21 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241215371731366823575115610167117',8661,'1118',51.14,1,3,NULL),(16,3098842,'1990-08-11 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215272451436711375124610124147',8518,'1022',51.38,1,3,NULL),(16,3098877,'1990-01-27 00:00:00',4,1,10,2007,'F','N','CAMPINAS','S JOSé','SC','124242241211472751448729575124610164191',1752,'9997',68.18,1,3,NULL),(16,3098885,'1990-04-07 00:00:00',2,4,11,2008,'F','N','CENTRO','CHAPECó','SC','124202241215271431469814275112610132047',6159,'185',56.01,1,3,NULL),(16,3098893,'1991-05-24 00:00:00',4,1,11,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241215111431446632575122610148145',6512,'270',55.25,1,3,NULL),(16,3098907,'1982-10-19 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANóPOLIS','SC','124202151216372731269813335123131227125',11989,'9998',45.28,1,3,NULL),(16,3098915,'1991-06-17 00:00:00',2,1,11,2008,'M','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124242241215411431389833575122610117042',8133,'270',52.16,1,3,NULL),(16,3098923,'1989-06-06 00:00:00',4,1,7,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241115371411666612575124610167142',2586,'306',65.05,1,2,1),(16,3098931,'1990-03-29 00:00:00',2,1,12,2007,'F','N','PâNTANO DO SUL','FLORIANóPOLIS','SC','124241241117472411526313575124510127052',NULL,'281',20.00,3,3,NULL),(16,3098940,'1988-09-18 00:00:00',2,1,12,2005,'F','N','VILA INDUSTRIAL','TOLEDO','PR','116163161315514431348924575124610162077',6685,'9998',54.90,1,3,NULL),(16,3098958,'1989-12-29 00:00:00',4,2,11,2007,'M','N','VORSTADT','BLUMENAU','SC','124241241217271411568713372124610164181',270,'88',78.36,1,3,NULL),(16,3098966,'1990-03-24 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124242241215372431356934574124610125142',4163,'262',60.61,1,3,NULL),(16,3098974,'1987-04-13 00:00:00',4,1,12,2004,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','104044041117471431356619395112142822092',14683,'9998',40.31,1,3,NULL),(16,3098982,'1989-11-01 00:00:00',4,1,12,2006,'F','N','SANTA TERESA','S PEDRO ALCâNTARA','SC','124241241211573431346824374124610123097',5482,'270',57.50,1,3,NULL),(16,3098990,'1992-02-20 00:00:00',2,1,12,2008,'F','N','CENTRO','LEBON RéGIS','SC','124241241211111411336923571124610127072',7755,'120',52.86,1,3,NULL),(16,3099008,'1990-06-11 00:00:00',4,1,12,2007,'M','N','SANTA CRUZ','ÁGUAS MORNAS','SC','124241241127131122433319395114610168147',NULL,'12',25.50,1,2,1),(16,3099024,'1990-11-29 00:00:00',2,9,12,2008,'M','N','CENTRO','URUBICI','SC','124242241215371431346633575122610112142',7637,'817',53.08,1,3,NULL),(16,3099032,'1990-09-18 00:00:00',2,1,12,2007,'F','N','ZONA DOIS','CIANORTE','PR','116164161217472731558611295112610142072',7192,'9998',53.93,1,3,NULL),(16,3099040,'1992-03-25 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241215171431469719595122610124017',NULL,'262',52.49,1,3,NULL),(16,3099059,'1991-04-09 00:00:00',2,1,11,2008,'M','N','CENTRO','CACULé','BA','105054051216111431558511375122610142082',NULL,'9998',0.00,1,3,NULL),(16,3099067,'1989-02-21 00:00:00',4,1,6,2007,'M','N','PANTANAL','FLORIANóPOLIS','SC','124243241117152411149949575114122266193',5570,'306',57.33,1,3,NULL),(16,3099075,'1991-10-24 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124244241215371431337931572114610124197',439,'272',76.34,4,3,NULL),(16,3099091,'1990-04-11 00:00:00',2,5,12,2007,'F','N','SãO JOãO','COCAL SUL','SC','124244246615272431469814342124610163112',8153,'188',52.13,1,3,NULL),(16,3099113,'1991-10-16 00:00:00',2,8,12,2008,'F','N','CENTRO','MTE CASTELO','SC','124241241435211431437833585224610126051',NULL,'541',31.40,1,3,NULL),(16,3099121,'1987-12-26 00:00:00',4,2,9,2005,'M','N','SETE DE SETEMBRO','GASPAR','SC','124242241211473431468614575122610167082',5723,'855',57.01,1,3,NULL),(16,3099130,'1991-05-06 00:00:00',4,1,12,2008,'M','N','JARDIM EUROPA','SOROCABA','SP','125252251217111431536924575122610164097',3236,'9998',63.18,1,3,NULL),(16,3099148,'1990-02-15 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215473431566812374122610122012',184,'981',79.52,1,3,NULL),(16,3099156,'1989-09-09 00:00:00',4,1,12,2006,'M','N','PRAIA DE FORA','PALHOçA','SC','124241241117253121443339242124610147047',12371,'591',44.59,1,2,1),(16,3099164,'1990-08-05 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124242241217473431436619571114610131145',6511,'1022',55.25,1,3,NULL),(16,3099172,'1988-02-03 00:00:00',4,1,12,2005,'M','N','CENTRO','BRUSQUE','SC','124242241216474431346923575124610167111',1293,'981',70.43,1,3,NULL),(16,3099180,'1985-11-23 00:00:00',2,1,12,2004,'M','N','MEDIANEIRA','PTO ALEGRE','RS','120201201131131431235644341324610167047',NULL,'9998',20.55,4,1,1),(16,3099199,'1991-05-31 00:00:00',4,1,11,2008,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241215111431458923575114610137115',2738,'270',64.59,1,3,NULL),(16,3099202,'1987-04-30 00:00:00',4,1,12,2004,'F','N','VILA TATETUBA','S JOSé CAMPOS','SP','125251251116571411538829371244610165097',11980,'9998',45.29,1,2,1),(16,3099210,'1987-06-18 00:00:00',4,4,12,2004,'F','N','FLORESTA','CASCAVEL','PR','116161161116132431526415242344610136052',NULL,'9998',39.17,1,2,1),(16,3099229,'1990-09-09 00:00:00',4,1,12,2007,'F','N','CENTRO','BRAúNA','SP','125253251217471431468813574122610126192',1736,'9998',68.27,1,3,NULL),(16,3099237,'1991-09-28 00:00:00',2,8,12,2008,'F','N','MOSSUNGUê','CURITIBA','PR','116162161216471431446834575114610166147',5792,'9998',56.84,1,3,NULL),(16,3099245,'1982-04-20 00:00:00',4,5,11,1999,'M','N','CENTRO','CRICIúMA','SC','124242241211475721458831571115123262056',289,'213',78.11,1,3,NULL),(16,3099253,'1991-10-05 00:00:00',2,5,12,2008,'M','N','CENTRO','ARARANGUá','SC','124242241215271431346712572122610164112',8113,'970',52.20,1,3,NULL),(16,3099270,'1990-09-11 00:00:00',4,8,12,2008,'F','N','SAGUAçU','JOINVILLE','SC','124242161217111421479712422122610137122',1997,'9998',67.19,1,3,NULL),(16,3099288,'1990-01-05 00:00:00',4,1,12,2007,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124244241415472411446832572124131242077',4982,'271',58.65,1,3,NULL),(16,3099300,'1988-12-30 00:00:00',2,1,12,2006,'M','N','FAZENDA STO ANTôNIO','S JOSé','SC','124241241116473431433331275124610168182',7979,'733',52.46,1,2,1),(16,3099318,'1990-09-15 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241215111411489833575122610126182',3765,'270',61.67,1,3,NULL),(16,3099326,'1985-06-26 00:00:00',2,10,12,2002,'M','N','HUMAITA DE CIMA','TUBARãO','SC','124241241116131431433414442123132031092',NULL,'804',18.26,1,2,1),(16,3099334,'1990-08-18 00:00:00',4,1,12,2007,'M','N','JARDIM EUROPA','ITAPEVA','SP','125252251215471711458631575112610162011',2388,'9998',65.74,1,3,NULL),(16,3099342,'1990-01-18 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431459911412115230267094',1544,'270',69.16,1,3,NULL),(16,3099350,'1990-04-14 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124201201141131232123544142124610167017',NULL,'9998',0.00,1,3,NULL),(16,3099369,'1991-01-26 00:00:00',4,6,12,2008,'M','N','VILA OPERARIA','ITAJAí','SC','124242241215111431548924575122610167072',NULL,'389',39.44,1,3,NULL),(16,3099377,'1985-10-18 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241117155411247711215124230266177',1180,'737',71.04,1,3,NULL),(16,3099385,'1992-04-30 00:00:00',4,1,12,2008,'F','N','SANTINHO','FLORIANóPOLIS','SC','124214241215122431457769572124610163182',5063,'272',58.48,1,3,NULL),(16,3099393,'1988-07-17 00:00:00',4,2,12,2005,'F','N','GLóRIA','BLUMENAU','SC','124241241136371442438311342134610128147',NULL,'69',27.48,1,2,1),(16,3099407,'1983-03-20 00:00:00',4,1,12,2000,'M','N','CARVALHO','CPO GRANDE','MS','112122121216331411337831415123141444117',NULL,'9998',0.00,3,3,NULL),(16,3099415,'1987-04-17 00:00:00',4,1,12,2004,'F','N','JARDIM PLANALTO','BAURU','SP','125252251317471531537833572112610161142',NULL,'9998',26.88,1,3,NULL),(16,3099423,'1992-02-06 00:00:00',4,8,12,2009,'M','S','SAGUACU','JOINVILLE','SC','124242241217111131488831572122610164015',NULL,'491',24.84,1,3,NULL),(16,3099431,'1986-02-08 00:00:00',2,1,12,2003,'F','N','JARDIM CARUMBé','S PAULO','SP','113251251117571411433527472124243237097',14210,'9998',41.22,4,1,1),(16,3099440,'1991-03-31 00:00:00',4,1,12,2008,'F','N','CENTRO','JARAGUá SUL','SC','124242241217152411339714575125610164017',7283,'422',53.74,1,3,NULL),(16,3099458,'1989-04-27 00:00:00',2,1,7,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124243241116271421527738482124610167072',6106,'306',56.12,1,3,NULL),(16,3099466,'1991-10-19 00:00:00',4,1,12,2009,'M','S','CARVOEIRA','FLORIANóPOLIS','SC','124242241215111411489833574122610137122',NULL,'270',46.77,1,3,NULL),(16,3099474,'1989-05-25 00:00:00',4,6,11,2008,'F','N','CENTRO','ITAJAí','SC','124281241215111431565722374124610162012',4851,'1026',58.97,3,3,NULL),(16,3099482,'1990-09-27 00:00:00',2,1,11,2008,'F','N','PONTA DE BAIXO','S JOSé','SC','124242241217112431568934441122610166097',3632,'270',62.01,1,3,NULL),(16,3099490,'1991-09-15 00:00:00',4,6,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124244241415111431436834574124610134147',NULL,'1038',24.80,1,3,NULL),(16,3099504,'1992-01-13 00:00:00',4,4,11,2008,'F','N','VISTA ALEGRE','CONCóRDIA','SC','124241161216111431568812574115610122142',9208,'9998',50.23,1,3,NULL),(16,3099512,'1990-02-26 00:00:00',4,1,12,2007,'F','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','124242241215472431588833575122610122127',7006,'270',54.28,1,3,NULL),(16,3099520,'1989-06-13 00:00:00',4,1,11,2007,'F','N','CENTRO','GAROPABA','SC','124241247145372431643869484124610126097',NULL,'9999',27.31,1,2,1),(16,3099539,'1991-05-19 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217121411468833575124610124092',3130,'270',63.45,1,3,NULL),(16,3099547,'1990-02-08 00:00:00',4,8,12,2006,'M','N','CENTRO','BARRA VELHA','SC','124242241216573441589731595122610167182',902,'1058',72.67,1,3,NULL),(16,3099555,'1989-02-11 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241116472431626621115124610123072',13575,'9997',42.50,1,2,1),(16,3099563,'1992-10-29 00:00:00',2,5,11,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215371751443312275125610132177',974,'226',72.21,1,3,NULL),(16,3099571,'1988-02-12 00:00:00',2,5,12,2005,'F','N','PINHEIRINHO','CRICIúMA','SC','124242248215573751429839491324610165177',12081,'995',45.13,1,3,NULL),(16,3099580,'1983-09-13 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216133511466611215132331068047',15943,'9997',37.38,1,3,NULL),(16,3099598,'1990-02-15 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431567812374122610134147',5845,'981',56.69,1,3,NULL),(16,3099601,'1992-05-11 00:00:00',2,1,12,2008,'F','N','SUMARé','RIO SUL','SC','124241241215371441335532571125610122097',5205,'991',58.10,1,3,NULL),(16,3099628,'1987-03-19 00:00:00',2,1,6,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241135141531538613344234610125047',NULL,'257',31.01,2,1,1),(16,3099636,'1990-01-10 00:00:00',4,8,12,2007,'F','N','VILA NOVA','TRêS LAGOAS','MS','112122121211271431644461571321241452144',6040,'9998',56.26,1,3,NULL),(16,3099652,'1989-04-29 00:00:00',2,8,12,2006,'F','N','JARDIM PORTO ALEGRE','TOLEDO','PR','116162161116471431435332345122140631197',NULL,'9998',0.00,1,3,NULL),(16,3099687,'1991-05-07 00:00:00',4,1,12,2008,'M','N','DOIS PINHEIROS','VIDEIRA','SC','124241241317161431343931572122610137047',NULL,'829',30.98,1,3,NULL),(16,3099695,'1991-06-25 00:00:00',4,1,12,2008,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215111431436814272124610168145',40,'270',82.83,1,3,NULL),(16,3099709,'1984-11-11 00:00:00',2,1,7,2003,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124072211217152411655612125124231967047',NULL,'9997',0.00,1,3,NULL),(16,3099725,'1991-10-11 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431458639575122610117062',3364,'270',62.80,1,3,NULL),(16,3099733,'1989-11-05 00:00:00',4,8,11,2006,'F','N','SAGUAçU','JOINVILLE','SC','124242241215373421548632575122610124142',3831,'491',61.50,1,3,NULL),(16,3099741,'1992-08-20 00:00:00',4,8,12,2009,'F','S','VILA LENZI','JARAGUá SUL','SC','124242241217111731589814575122610123047',NULL,'1063',42.32,1,3,NULL),(16,3099750,'1989-12-27 00:00:00',4,5,6,2008,'M','N','BRASILIA','CRICIúMA','SC','124243246215371431336613475124610132052',6571,'995',55.14,1,3,NULL),(16,3099776,'1992-09-27 00:00:00',4,1,12,2008,'F','N','RIO GRANDE','PALHOçA','SC','124241241115151431453933575124610164192',NULL,'592',30.38,1,2,1),(16,3099784,'1992-11-07 00:00:00',4,1,12,2008,'M','N','RIO GRANDE','PALHOçA','SC','124242241115111431353332575124610134192',NULL,'989',27.78,1,3,NULL),(16,3099792,'1990-10-15 00:00:00',2,9,11,2007,'F','N','CENTRO','ABDON BATISTA','SC','124241241127271431435633282214610144057',14906,'1',39.87,1,3,NULL),(16,3099806,'1991-07-26 00:00:00',4,10,10,2008,'M','N','VILA MOEMA','TUBARãO','SC','124242241215111431558811475122610127112',6228,'807',55.85,1,3,NULL),(16,3099814,'1991-01-04 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124241241315131431438813574121610141172',16527,'110',35.34,1,3,NULL),(16,3099822,'1991-05-29 00:00:00',2,1,12,2008,'F','N','JURERE','FLORIANóPOLIS','SC','124242241215171431458621572124610167187',14310,'1022',41.02,1,3,NULL),(16,3099830,'1988-09-11 00:00:00',4,1,12,2005,'F','N','ITAGUACU','FLORIANóPOLIS','SC','124242241217574431368839575114610163187',3790,'270',61.62,1,3,NULL),(16,3099849,'1988-05-06 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124254256213372431668732376124610166052',9036,'9998',50.52,1,3,NULL),(16,3099857,'1991-09-08 00:00:00',2,5,12,2008,'M','N','GáVEA','JACINTO MACHADO','SC','124242241211371431439914571121610134172',4625,'970',59.48,1,3,NULL),(16,3099865,'1990-05-31 00:00:00',4,1,12,2007,'F','N','RECREIO DOS CAFEZAIS','VALINHOS','SP','125252251215471451479932472122610146147',371,'9998',77.11,1,3,NULL),(16,3099873,'1991-01-02 00:00:00',4,1,12,2008,'M','N','SANTA MONICA','FLORIANóPOLIS','SC','124242241215111441469933575124610164182',5503,'270',57.47,1,3,NULL),(16,3099881,'1990-11-09 00:00:00',4,8,12,2008,'M','N','JARDIM DAS AMéRICAS','CURITIBA','PR','116162163135271741356931294114610168017',4245,'9998',60.38,1,3,NULL),(16,3099890,'1989-10-20 00:00:00',4,1,10,2007,'M','N','ROçADO','S JOSé','SC','124242241316372411448613331124610167143',13587,'9997',42.48,1,3,NULL),(16,3099903,'1990-03-17 00:00:00',4,3,12,2007,'F','N','JARDIM DO LAGO','CAMBé','PR','116161161116471431336733572221610166097',14583,'9998',40.55,1,2,1),(16,3099911,'1992-03-02 00:00:00',4,1,12,2008,'F','N','ALTO ARROIO','IMBITUBA','SC','124241241145131421446613335124610134077',15686,'361',38.10,1,2,1),(16,3099938,'1991-05-30 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124242241216131431423639575121610127057',NULL,'944',35.25,1,3,NULL),(16,3099946,'1988-08-05 00:00:00',4,8,12,2007,'M','N','AMéRICA','JOINVILLE','SC','124052051217371411237722443131610137097',15268,'9998',39.04,1,3,NULL),(16,3099954,'1990-06-07 00:00:00',4,1,12,2007,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217472431468831574124610122042',346,'270',77.39,1,3,NULL),(16,3099962,'1991-08-27 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124244241116131531458734575112610124142',11642,'267',45.92,1,3,NULL),(16,3099997,'1982-08-28 00:00:00',4,1,12,2000,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','424244248216275731469933475123130224163',8393,'272',51.61,1,3,NULL),(16,3100006,'1988-11-03 00:00:00',2,1,12,2006,'F','N','MENINO DEUS','PTO ALEGRE','RS','120284288116471411138829571324610136017',4412,'9998',59.98,1,3,NULL),(16,3100014,'1990-07-22 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124212241215473431379813575122610163072',1213,'262',70.84,1,3,NULL),(16,3100022,'1989-12-14 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215473411456831575125610122141',4392,'262',60.04,1,3,NULL),(16,3100030,'1991-12-19 00:00:00',4,1,11,2008,'F','N','MEIRELES','FORTALEZA','CE','106062061216421431668834472122610122142',722,'9998',74.07,1,3,NULL),(16,3100049,'1991-07-15 00:00:00',2,1,12,2008,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241115111431554319595124610117142',13408,'307',42.79,1,2,1),(16,3100065,'1989-12-19 00:00:00',4,1,12,2007,'M','N','FORQUILHAS','S JOSé','SC','124241241115372411256613375114610143012',15800,'307',37.77,2,1,1),(16,3100073,'1988-05-10 00:00:00',4,1,12,2005,'M','N','SãO JOSé','S JOSé','SC','124241241137132431546414245134610127042',NULL,'307',26.33,1,3,NULL),(16,3100081,'1991-06-09 00:00:00',4,3,12,2008,'M','N','DAS NAÇÕES','BAL CAMBORIú','SC','124244241316111411447614575124610148197',NULL,'49',24.70,1,3,NULL),(16,3100103,'1990-12-16 00:00:00',2,5,6,2008,'F','N','CENTRO','COCAL SUL','SC','124241246215371431626672475124610124152',15764,'995',37.88,1,3,NULL),(16,3100111,'1990-03-19 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215473431136623274115610147012',10282,'983',48.28,1,3,NULL),(16,3100120,'1991-11-25 00:00:00',2,1,12,2008,'M','N','PASSA VINTE','PALHOçA','SC','124241241117271431433614246124610167027',8237,'592',51.89,1,3,NULL),(16,3100138,'1990-02-10 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241214472731623326394124610157147',NULL,'525',30.37,1,3,NULL),(16,3100146,'1991-03-22 00:00:00',2,4,12,2008,'M','N','BAIRRO SãO JOãO','SEARA','SC','124241241415111431538829472125610165092',NULL,'1156',29.60,1,3,NULL),(16,3100154,'1991-12-28 00:00:00',4,6,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215111431438831474124610128052',1715,'1038',68.35,1,3,NULL),(16,3100162,'1991-07-02 00:00:00',2,10,11,2008,'M','N','VILA NOVA','IMBITUBA','SC','124241241216111441547834115121610147112',NULL,'807',28.37,1,3,NULL),(16,3100170,'1991-05-15 00:00:00',4,7,12,2008,'M','N','TABAJARA','CAçADOR','SC','124241241116161431424623242125610117047',NULL,'122',0.00,1,2,1),(16,3100189,'1991-05-07 00:00:00',4,2,12,2008,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241215121431569614575122610127097',10345,'855',48.17,1,3,NULL),(16,3100197,'1990-10-15 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','120202201215472431557814572124610124197',1945,'9998',67.40,1,3,NULL),(16,3100200,'1988-11-03 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124242241215273731436734475124232024072',3676,'270',61.89,1,3,NULL),(16,3100219,'1990-02-11 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215473731268924575121610167045',4386,'1022',60.06,1,3,NULL),(16,3100227,'1991-05-04 00:00:00',4,1,12,2008,'F','N','JUVENTUDE','BENTO GONçALVES','RS','120201201117371231523314195124610134147',NULL,'9998',0.00,4,3,NULL),(16,3100243,'1990-01-10 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124242241215373531468724395114610167062',5297,'262',57.88,1,3,NULL),(16,3100251,'1990-12-03 00:00:00',4,6,12,2007,'F','N','FIUZA LIMA','ITAJAí','SC','124242241215471431427622375124610167147',6466,'391',55.33,1,3,NULL),(16,3100260,'1991-06-13 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124112241415271431358834575124610143182',7717,'1038',52.93,1,3,NULL),(16,3100278,'1991-02-03 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111431468833575124610137111',5931,'1050',56.49,1,3,NULL),(16,3100294,'1989-08-11 00:00:00',4,1,12,2006,'F','N','CENTRO','PALHOçA','SC','124242241215575431579813574114610162197',503,'270',75.74,1,3,NULL),(16,3100308,'1989-10-30 00:00:00',2,10,12,2006,'F','N','CENTRO','FORQUILHINHA','SC','124243241436572431433311592114232616142',NULL,'226',0.00,1,3,NULL),(16,3100316,'1991-04-08 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124243241215272431558811372124610167053',7567,'1118',53.20,1,3,NULL),(16,3100324,'1990-04-30 00:00:00',4,1,12,2007,'M','N','VILA MARIA','S PAULO','SP','125252251117472431389924585124610127052',NULL,'9998',50.18,1,3,NULL),(16,3100332,'1991-02-28 00:00:00',4,1,12,2008,'F','N','REAL PARQUE','S JOSé','SC','106064061117112431459819572122610144142',591,'9998',75.01,1,3,NULL),(16,3100340,'1990-10-01 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241415472451548732472115610127052',7703,'13',52.95,1,3,NULL),(16,3100359,'1985-07-24 00:00:00',4,1,12,2003,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124254251415472231347832375114142137117',8307,'9998',51.78,4,3,NULL),(16,3100367,'1982-10-01 00:00:00',4,10,12,1999,'M','N','VILA MOEMA','TUBARãO','SC','124244241212133431538939492122230462011',NULL,'806',30.02,1,3,NULL),(16,3100375,'1991-09-28 00:00:00',4,1,12,2008,'M','N','CENTRO','PALHOçA','SC','124242241215111441449811575124610144182',957,'1022',72.28,1,3,NULL),(16,3100383,'1989-06-26 00:00:00',4,1,12,2006,'M','N','JURERE','FLORIANóPOLIS','SC','124242241215272431458834495122120837112',2972,'270',63.91,1,3,NULL),(16,3100391,'1990-06-11 00:00:00',2,1,12,2007,'F','N','NOSSA SRA DO ROSáRIO','S JOSé','SC','124242241215472431458513172124232723141',3350,'723',62.84,1,3,NULL),(16,3100405,'1991-06-12 00:00:00',4,1,12,2008,'M','N','ITAGUAçú','FLORIANóPOLIS','SC','124242241215271731467612575122610127127',6737,'262',54.80,1,3,NULL),(16,3100413,'1988-05-16 00:00:00',4,4,12,2005,'M','N','CENTRO','PINHALZINHO','SC','124244241412272711458924575124133212052',3238,'185',63.18,1,3,NULL),(16,3100421,'1991-08-07 00:00:00',4,3,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241217371431456832572112610124015',5552,'403',57.36,1,3,NULL),(16,3100430,'1991-04-10 00:00:00',4,8,11,2008,'F','N','BOM RETIRO','JOINVILLE','SC','124242241216271431569614575124610167124',9716,'1006',49.31,1,3,NULL),(16,3100456,'1990-12-27 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124244241215372431558839375114121964185',4099,'272',60.77,4,3,NULL),(16,3100472,'1991-01-31 00:00:00',4,9,12,2008,'F','N','SANTANA','RIO SUL','SC','124241241112371431434624575124610162143',NULL,'659',31.87,1,2,1),(16,3100480,'1987-04-15 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241215472431548612475124610124127',11239,'515',46.58,1,3,NULL),(16,3100502,'1990-10-27 00:00:00',2,4,11,2007,'M','N','CENTRO','S MIGUEL OESTE','SC','124241241217471431334733575112610167052',16471,'752',35.62,1,3,NULL),(16,3100510,'1990-03-12 00:00:00',4,1,12,2007,'M','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','124241241117371432444414372114610112142',NULL,'278',28.54,1,3,NULL),(16,3100529,'1990-09-05 00:00:00',4,10,11,2008,'M','N','BRAçO DO NORTE','BRAçO NORTE','SC','124242241215111431443619382124610138067',12046,'806',45.20,1,3,NULL),(16,3100537,'1991-01-07 00:00:00',4,1,12,2008,'F','N','BELA VISTA','S JOSé','SC','124242241215122431478813575122610133142',NULL,'266',28.83,4,1,2),(16,3100545,'1990-06-10 00:00:00',4,8,12,2007,'M','N','CENTRO','ASSAí','PR','116161161216371431248939282215610164057',NULL,'9998',0.00,3,3,NULL),(16,3100561,'1988-09-08 00:00:00',4,1,12,2005,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241216574431468914572112610122147',259,'270',78.45,1,3,NULL),(16,3100570,'1990-08-21 00:00:00',2,1,12,2007,'M','N','VILA MOEMA','TUBARãO','SC','124242241215472431558714475124610127092',12400,'807',44.55,1,3,NULL),(16,3100588,'1989-09-13 00:00:00',4,4,10,2008,'M','N','MARECHAL BORMANN','MAL BORMANN','SC','124243247336271431546714445124610164112',15461,'169',38.63,4,3,NULL),(16,3100596,'1990-04-26 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANOPOLIS','SC','124242241215373431467824572114610127042',3515,'270',62.34,1,3,NULL),(16,3100600,'1988-09-19 00:00:00',4,1,12,2007,'F','N','CENTRO','BAL CAMBORIú','SC','124242241217472411388831371124610116092',4048,'270',60.93,1,3,NULL),(16,3100618,'1991-12-09 00:00:00',4,2,12,2008,'F','N','FIGUEIRA','GASPAR','SC','124242241217271431389912575122610166142',7220,'955',53.87,1,3,NULL),(16,3100626,'1991-06-11 00:00:00',2,5,10,2008,'M','N','PRóSPERA','CRICIúMA','SC','124242241215111431457731574112610137052',7126,'210',54.05,1,3,NULL),(16,3100642,'1988-09-24 00:00:00',4,1,12,2006,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124242241216153531356823485124133212092',NULL,'1048',28.26,1,3,NULL),(16,3100650,'1991-01-03 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241117271731569833476122610163195',6105,'306',56.12,1,3,NULL),(16,3100669,'1990-04-19 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215472431457832574124610134147',231,'270',78.77,1,3,NULL),(16,3100677,'1991-07-20 00:00:00',4,6,12,2008,'F','N','CIDADE NOVA','ITAJAí','SC','124241241112371451546329272224610136142',NULL,'395',24.43,1,2,1),(16,3100685,'1990-05-03 00:00:00',2,8,12,2007,'F','N','ILHA DA FIGUEIRA','JARAGUá SUL','SC','124242241217472431568913474124610122112',1201,'422',70.91,1,3,NULL),(16,3100693,'1988-10-31 00:00:00',4,1,12,2006,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217574431469813572114610144142',8556,'262',51.33,1,3,NULL),(16,3100707,'1989-06-07 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215572451349832574122610162182',1553,'109',69.11,1,3,NULL),(16,3100723,'1991-05-20 00:00:00',4,8,11,2008,'M','N','VILA IZABEL','CURITIBA','PR','116162161217111731467934575124610167032',NULL,'9998',0.00,1,3,NULL),(16,3100731,'1991-12-08 00:00:00',4,1,11,2008,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124244241217111431366923372122610162112',11455,'270',46.25,1,3,NULL),(16,3100758,'1992-04-17 00:00:00',4,7,12,2008,'F','N','CENTRO II','CAMPOS NOVOS','SC','124242241217111731479611572122610168042',NULL,'962',33.54,1,3,NULL),(16,3100766,'1990-06-21 00:00:00',4,1,12,2007,'F','N','CENTRO','BAL PIçARRAS','SC','124242241216472431455712585124610167092',5915,'1057',56.55,1,3,NULL),(16,3100782,'1987-10-09 00:00:00',4,1,12,2004,'F','N','MIRANDOPOLIS','S PAULO','SP','125252251217571431469931472122142864112',829,'9998',73.20,3,3,NULL),(16,3100790,'1992-02-17 00:00:00',4,1,12,2008,'F','N','PINGUIRITO','GAROPABA','SC','124241241136132441315611285121610134147',8283,'322',51.81,1,2,1),(16,3100812,'1985-01-28 00:00:00',2,1,12,2002,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124243241117133421647633442124610147047',NULL,'307',38.53,1,3,NULL),(16,3100820,'1990-11-03 00:00:00',4,8,12,2008,'M','N','ANITA GARIBALDE','JOINVILLE','SC','124242246216151721479914575124610114182',NULL,'1105',0.00,1,3,NULL),(16,3100839,'1991-11-23 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111431458832572122610128185',NULL,'270',41.88,1,3,NULL),(16,3100847,'1988-05-23 00:00:00',2,1,12,2005,'F','N','CAMPINAS','S JOSé','SC','124241241135271421533319342324610131142',9430,'361',49.84,1,2,1),(16,3100855,'1990-12-30 00:00:00',4,1,11,2008,'F','N','CENTRO','PALHOçA','SC','124242241215112411445921572124610136087',571,'270',75.19,1,3,NULL),(16,3100863,'1991-10-19 00:00:00',4,2,12,2008,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215371711368612275124610164042',4378,'909',60.08,1,3,NULL),(16,3100871,'1991-07-11 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124163241315131431337411195125610127117',NULL,'44',26.62,1,3,NULL),(16,3100880,'1992-05-22 00:00:00',4,1,11,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124242241215111431568831572124610117032',NULL,'270',41.48,1,3,NULL),(16,3100901,'1991-08-20 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241215272431467832575122610168172',2276,'497',66.13,1,3,NULL),(16,3100910,'1989-03-22 00:00:00',2,1,12,2006,'M','N','JARDIM ZANELATO','S JOSé','SC','124241241117372411333633475124610122022',10964,'257',47.08,1,2,1),(16,3100928,'1990-07-16 00:00:00',2,1,12,2008,'M','N','TAPERA','FLORIANóPOLIS','SC','124242241215111731556619495124610123022',5213,'269',58.09,2,1,2),(16,3100936,'1992-04-15 00:00:00',4,1,12,2009,'M','S','CAPOEIRAS','FLORIANóPOLIS','SC','124242241216111431446512475125610124042',NULL,'9997',41.78,1,3,NULL),(16,3100944,'1991-03-23 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217111431568834572114610124042',2884,'270',64.13,1,3,NULL),(16,3100952,'1983-06-05 00:00:00',4,1,12,2000,'F','N','GONZAGA','SANTOS','SP','125253251216572431468833471125342863192',NULL,'9998',0.00,1,3,NULL),(16,3100960,'1991-07-09 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241235272431456831575122610167072',12766,'723',43.89,1,3,NULL),(16,3100979,'1990-10-10 00:00:00',4,10,11,2007,'M','N','CENTRO','BRAçO NORTE','SC','124241241215373431234631295124610162097',2314,'807',65.99,1,3,NULL),(16,3100987,'1992-05-23 00:00:00',4,9,12,2008,'M','N','BEATRIZ','LAGES','SC','124242241211111711448814572124610167012',NULL,'499',32.48,1,3,NULL),(16,3100995,'1991-09-26 00:00:00',2,1,11,2008,'F','N','GRUTA','ITUPORANGA','SC','124243241317161431259614576112610143145',NULL,'416',19.74,1,3,NULL),(16,3101002,'1992-05-14 00:00:00',2,4,12,2008,'M','N','CENTRO','PLANALTO ALEGRE','SC','124241241415111431356933572124610137057',NULL,'185',31.05,1,3,NULL),(16,3101010,'1990-06-07 00:00:00',4,1,12,2007,'F','N','JD AQUARIUS','S JOSé CAMPOS','SP','125252251217471431368834574122610162142',1114,'9998',71.34,1,3,NULL),(16,3101029,'1990-04-11 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSé','SC','116161168116131731633624495124610123047',NULL,'9998',20.13,4,2,1),(16,3101037,'1987-01-26 00:00:00',4,1,12,2004,'F','N','ACLIMAÇAO','S PAULO','SP','124252251237374531558831412225232417077',5000,'9998',58.61,3,3,NULL),(16,3101045,'1990-03-29 00:00:00',4,1,11,2007,'F','N','JARDIM LEONOR','CAMPINAS','SP','125252251216471411439834575122610168197',NULL,'9998',0.00,1,3,NULL),(16,3101053,'1992-07-14 00:00:00',4,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124244241215111431449933575122610126095',2,'270',88.47,1,3,NULL),(16,3101061,'1966-09-21 00:00:00',2,1,8,2006,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241247122271431321344242144610127147',NULL,'9999',21.60,2,1,1),(16,3101070,'1991-04-21 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431488931572112610167052',NULL,'270',34.67,1,3,NULL),(16,3101088,'1991-02-23 00:00:00',2,1,12,2008,'M','N','BARRA DO ARIRIU','PALHOçA','SC','124241241137141411533314345124610168162',14961,'592',39.76,3,2,1),(16,3101096,'1991-01-17 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111431456813575124610163147',2540,'270',65.20,1,3,NULL),(16,3101100,'1990-02-16 00:00:00',4,4,12,2007,'F','N','CENTRO','GUARACIABA','SC','124241241116161431536832242124143223147',13011,'334',43.48,1,2,1),(16,3101118,'1990-01-06 00:00:00',4,1,12,2007,'M','N','SANTA TEREZINHA','PAULíNIA','SP','125252256115471431579814495122610127042',9796,'9998',49.16,1,3,NULL),(16,3101126,'1990-02-08 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','S JOSé','SC','124243241112372232445514272114333267122',6906,'739',54.48,1,3,NULL),(16,3101134,'1991-09-22 00:00:00',4,4,12,2008,'M','N','JARDIM GISELA','TOLEDO','PR','116161161137111431428636395134610126142',NULL,'9998',27.82,1,2,1),(16,3101142,'1990-11-25 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124244241215111411457611245124610143182',2704,'883',64.67,5,3,NULL),(16,3101150,'1990-11-18 00:00:00',4,1,11,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124242241215472431469814475114610127063',NULL,'270',27.39,4,3,NULL),(16,3101177,'1990-12-13 00:00:00',4,8,12,2007,'M','N','SãO MARCOS','JOINVILLE','SC','124241241145471432466629571124610154187',NULL,'465',26.37,1,2,1),(16,3101185,'1992-11-04 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241211111741459714372124610114197',13892,'988',41.87,1,3,NULL),(16,3101193,'1990-07-01 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161216472131458833574325610164196',NULL,'9998',0.00,1,3,NULL),(16,3101207,'1991-06-10 00:00:00',4,1,12,2008,'M','N','CENTRO','TANGARá','SC','124244241415161411439864341325610164182',NULL,'779',31.31,1,3,NULL),(16,3101215,'1991-04-27 00:00:00',2,8,12,2008,'F','N','CENTRO','PéROLA D OESTE','PR','116161161416121431458933575122610166177',11390,'9998',46.36,1,3,NULL),(16,3101223,'1990-12-13 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215473431478633572122610123147',620,'270',74.78,4,3,NULL),(16,3101231,'1987-04-16 00:00:00',4,1,12,2004,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241115572431348823575124220748197',3129,'306',63.45,1,3,NULL),(16,3101240,'1991-03-07 00:00:00',4,3,11,2008,'M','N','CENTRO','CARAMBEí','PR','116164161215111431458933571121610167052',4040,'9998',60.95,1,3,NULL),(16,3101258,'1991-10-04 00:00:00',2,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124242241215151411569931575122610122012',6239,'738',55.82,1,3,NULL),(16,3101266,'1991-01-21 00:00:00',4,8,12,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124241241215111431458613572122610164055',NULL,'1016',47.77,1,3,NULL),(16,3101274,'1991-01-09 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124244241216372431333331345134610164077',6947,'1118',54.40,1,3,NULL),(16,3101282,'1990-09-04 00:00:00',2,1,11,2007,'F','N','BARREIROS','S JOSé','SC','124242241215472431476631472114610123192',2599,'270',65.02,1,3,NULL),(16,3101290,'1990-11-20 00:00:00',2,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241216112431547919575124610137157',NULL,'1118',35.32,1,3,NULL),(16,3101304,'1988-09-26 00:00:00',2,1,12,2005,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241135271711523333235124133235057',11159,'278',46.73,1,2,1),(16,3101320,'1991-08-30 00:00:00',4,8,11,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241245371431449912575124610164127',5645,'461',57.17,1,3,NULL),(16,3101339,'1991-03-29 00:00:00',4,1,11,2008,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124242241216112431566613595122610164092',60,'270',81.94,1,3,NULL),(16,3101347,'1991-05-29 00:00:00',4,8,12,2008,'F','N','AMéRICA','JOINVILLE','SC','124252244215111431469839474122610163092',NULL,'491',0.00,1,3,NULL),(16,3101371,'1983-04-20 00:00:00',4,9,12,2001,'M','N','SãO JOSé','FRAIBURGO','SC','124241241126131431422217442114231427041',NULL,'315',22.02,1,3,NULL),(16,3101380,'1991-10-31 00:00:00',4,1,11,2008,'F','N','ARIRIU DA FORMIGA','PALHOçA','SC','124241241225112431427414285124610162052',15356,'262',38.86,1,3,NULL),(16,3101398,'1991-11-25 00:00:00',4,1,12,2008,'F','N','RIO BRANCO','CAXIAS SUL','RS','120203201216571411436734574124610168192',NULL,'9998',0.00,1,3,NULL),(16,3101401,'1993-06-30 00:00:00',4,6,11,2009,'M','S','CORDEIROS','ITAJAí','SC','124242241215151732336824475124610137047',NULL,'389',47.29,1,3,NULL),(16,3101428,'1985-11-01 00:00:00',4,1,12,2004,'M','N','INGLESES','FLORIANóPOLIS','SC','124282241217372451458911115124133262181',8765,'299',50.96,1,3,NULL),(16,3101436,'1991-03-21 00:00:00',2,10,12,2008,'F','N','CAPãO','GAROPABA','SC','124243241215112411456912576122610161047',8702,'362',51.07,1,3,NULL),(16,3101444,'1991-10-16 00:00:00',4,4,11,2008,'M','N','PINDORAMA','IJUí','RS','120202201217111441459933372122610127042',108,'9998',80.87,1,3,NULL),(16,3101452,'1990-05-11 00:00:00',4,1,12,2007,'M','N','FORQUILHAS','S JOSé','SC','124243241115472431633723275124610126142',7342,'733',53.63,1,3,NULL),(16,3101479,'1991-12-14 00:00:00',4,1,12,2008,'F','N','CIDADE NOVA','MARINGá','PR','116162161115111431459932575112610134192',NULL,'9998',0.00,1,3,NULL),(16,3101487,'1990-02-24 00:00:00',4,8,11,2007,'M','N','ALTO DA XV','CURITIBA','PR','116162168215471431458831575124610165112',1417,'9998',69.71,1,3,NULL),(16,3101495,'1984-06-03 00:00:00',3,1,12,2001,'F','N','ROçADO','S JOSé','SC','224211241117474411268752372124610144091',3779,'293',61.65,1,2,1),(16,3101509,'1984-09-03 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','224282247437271321343644345124610167045',9175,'9999',50.29,1,3,NULL),(16,3101517,'1991-12-26 00:00:00',4,1,12,2008,'F','N','JARDIM FERRARI','ITAPEVA','SP','125252251217121431568833575122610122182',2098,'9998',66.81,1,3,NULL),(16,3101525,'1989-04-19 00:00:00',4,1,12,2006,'M','N','BALNEARIO DOS ACORES','FLORIANóPOLIS','SC','124252251216571421127849395124141267036',NULL,'9998',0.00,1,3,NULL),(16,3101533,'1989-07-01 00:00:00',4,1,12,2006,'F','N','JARDIM FRANçA','S PAULO','SP','125252251217571731477714571122610133077',294,'9998',78.00,1,3,NULL),(16,3101541,'1990-11-01 00:00:00',4,1,12,2008,'F','N','DOM JOAQUIM','BRUSQUE','SC','124242241215372431469912572122610132142',2513,'109',65.29,1,3,NULL),(16,3101550,'1989-08-29 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124244247215574431366613472112610127042',5009,'270',58.59,1,3,NULL),(16,3101568,'1992-01-01 00:00:00',4,4,12,2008,'F','N','ESPLANADA','CHAPECó','SC','124243241137471711357923372122610162017',3670,'169',61.91,1,3,NULL),(16,3101576,'1975-12-22 00:00:00',4,1,9,1994,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','624202207337271431535352312124610132187',13184,'9998',43.18,1,3,NULL),(16,3101584,'1991-09-12 00:00:00',4,3,12,2008,'F','N','VILA FLAMBOYANT','APUCARANA','PR','116162161236151431668911275122610114142',10984,'9998',47.05,3,3,NULL),(16,3101592,'1990-06-10 00:00:00',3,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124283201116271441258921575114232714121',NULL,'9998',40.19,1,3,NULL),(16,3101606,'1990-04-26 00:00:00',4,1,11,2007,'F','N','KOBRASOL','S JOSé','SC','124242251215372431458812144124610146142',10545,'270',47.84,1,3,NULL),(16,3101614,'1990-08-19 00:00:00',2,10,12,2007,'M','N','OFICINAS','TUBARãO','SC','124241241137152731223624385121610137047',10516,'804',47.89,1,2,1),(16,3101622,'1990-07-05 00:00:00',4,1,12,2008,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241215111451468813575114610117055',15189,'270',39.23,1,3,NULL),(16,3101630,'1991-05-27 00:00:00',4,6,12,2008,'M','N','CABEçUDAS','ITAJAí','SC','124242241217171431448512375122610167042',NULL,'392',28.04,1,3,NULL),(16,3101649,'1992-03-09 00:00:00',4,1,11,2009,'M','S','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241217121431469933571122610167077',NULL,'270',50.07,1,3,NULL),(16,3101657,'1989-03-16 00:00:00',2,1,12,2006,'F','N','CENTRO','ERECHIM','RS','120201201417371411336923475114133266187',NULL,'9998',0.00,1,3,NULL),(16,3101665,'1993-05-18 00:00:00',4,4,12,2009,'F','S','CENTRO','CAXAMBU SUL','SC','124241241215151431454833475124610126152',NULL,'185',1.67,1,3,NULL),(16,3101681,'1992-06-17 00:00:00',2,1,12,2009,'F','S','ITACORUBI','FLORIANóPOLIS','SC','124243241215111431336534575124610124142',NULL,'1048',26.08,1,3,NULL),(16,3101690,'1989-10-28 00:00:00',4,1,12,2006,'M','N','SAUSALITO','MAIRIPORã','SP','125252251216571431368813435115141434186',1946,'9998',67.40,1,3,NULL),(16,3101703,'1991-03-15 00:00:00',2,1,12,2008,'M','N','CPA IV','CUIABá','MT','111113111415111431438924592124610167092',NULL,'9998',0.00,4,1,2),(16,3101720,'1991-03-31 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215271431369813375122610167112',6126,'262',56.08,1,3,NULL),(16,3101746,'1983-10-10 00:00:00',4,6,12,2000,'F','N','SãO JOãO','ITAJAí','SC','124243241117371431448614472112232832192',NULL,'400',15.24,1,3,NULL),(16,3101754,'1992-01-12 00:00:00',2,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111731446954575112610167145',912,'270',72.60,1,3,NULL),(16,3101762,'1991-12-30 00:00:00',2,1,12,2008,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241215111431358933572122610167091',1325,'270',70.24,1,3,NULL),(16,3101770,'1988-12-22 00:00:00',4,1,12,2006,'F','N','ASA SUL','BRASíLIA','DF','107072071216571431468833575122610162126',1914,'9998',67.53,1,3,NULL),(16,3101789,'1991-09-09 00:00:00',4,1,11,2009,'F','S','AGRONOMICA','FLORIANóPOLIS','SC','124242241217111731476823495112610124052',NULL,'270',65.10,1,3,NULL),(16,3101797,'1991-07-30 00:00:00',2,1,12,2008,'F','N','CENTRO','PRES GETúLIO','SC','124243241215111431466632572124610134157',6247,'991',55.79,1,3,NULL),(16,3101800,'1990-10-27 00:00:00',4,1,12,2007,'M','N','JOÃO PAULO','FLORIANóPOLIS','SC','124202201417272411458832591123142337167',NULL,'9998',0.00,1,3,NULL),(16,3101819,'1989-09-16 00:00:00',2,1,3,2008,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242247215373431359833575124133248125',15845,'9999',37.64,1,3,NULL),(16,3101827,'1991-08-01 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241117131431436613572124610136192',13722,'307',42.22,1,2,1),(16,3101835,'1991-12-06 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111711269924585122610134012',NULL,'270',21.90,1,3,NULL),(16,3101843,'1988-06-16 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124241247425272421421311245124610116092',9628,'300',49.46,1,3,NULL),(16,3101860,'1988-01-18 00:00:00',2,1,12,2005,'M','N','CENTRO','PETROLâNDIA','SC','124241241126573431533312585122610128052',10530,'613',47.87,1,2,1),(16,3101894,'1990-11-10 00:00:00',4,8,11,2008,'F','N','BUCARIEN','JOINVILLE','SC','124241241215371431435612575122610134147',3003,'461',63.79,1,3,NULL),(16,3101916,'1991-12-21 00:00:00',4,1,12,2008,'M','N','CENTRO','CPO GRANDE','MS','112122121237121431458911575122610164042',2698,'9998',64.68,1,3,NULL),(16,3101924,'1991-04-08 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431446632482112610133047',10672,'1050',47.62,1,3,NULL),(16,3101932,'1989-05-24 00:00:00',4,1,12,2006,'F','N','VILA GUMERCINDO','S PAULO','SP','125252251216472431357924575112140644152',3620,'9998',62.03,1,3,NULL),(16,3101959,'1988-12-26 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANóPOLIS','SC','124251253236131711536923345124233267092',NULL,'9998',0.00,1,3,NULL),(16,3101967,'1989-01-21 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241212133411468813475114231032061',6810,'266',54.64,1,3,NULL),(16,3101975,'1991-08-24 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431379912475122610126182',1131,'270',71.28,1,3,NULL),(16,3101983,'1991-04-21 00:00:00',2,4,12,2008,'F','N','MARIA GORETTI','CHAPECó','SC','124241241111371411558934441112610136017',11615,'169',45.97,1,2,1),(16,3101991,'1991-10-06 00:00:00',2,1,12,2008,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124241241117141531533311245124610164042',NULL,'287',35.81,1,2,1),(16,3102017,'1990-08-03 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241216372421556332475114230233051',2695,'1061',64.68,1,3,NULL),(16,3102025,'1990-07-17 00:00:00',4,8,12,2008,'M','N','áGUA VERDE','CURITIBA','PR','116162161346571711448923571125610162187',NULL,'9998',0.00,3,3,NULL),(16,3102033,'1991-11-06 00:00:00',4,4,12,2008,'M','N','PASSO DOS FORTES','CHAPECó','SC','124241241116471431359913572122610132097',8282,'169',51.82,4,2,1),(16,3102041,'1991-04-05 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124243241115121411438813175114610126197',1305,'307',70.32,1,3,NULL),(16,3102050,'1991-05-31 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217121451468813475125610167052',240,'266',78.63,1,3,NULL),(16,3102068,'1990-10-22 00:00:00',2,8,12,2007,'M','N','CENTRO','TERRA BOA','PR','116161161115411431635611575121610167047',5587,'9998',57.29,1,2,1),(16,3102076,'1990-10-10 00:00:00',4,1,12,2008,'F','N','PQ DIMAS C OMETTO','IRACEMáPOLIS','SP','126252251215371431568812585122610122072',NULL,'9998',0.00,1,3,NULL),(16,3102092,'1991-07-15 00:00:00',4,10,11,2008,'M','N','CENTRO','TUBARãO','SC','124242241215111431369914582112610137112',13291,'807',42.99,1,3,NULL),(16,3102106,'1990-10-29 00:00:00',4,1,12,2008,'F','N','JARDIM PAULISTA','OURINHOS','SP','125252251217111431569933575122610167042',4555,'9998',59.66,1,3,NULL),(16,3102114,'1989-06-16 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','105052051237572411575621575122610167112',230,'9998',78.79,1,3,NULL),(16,3102122,'1990-07-21 00:00:00',4,1,12,2008,'M','N','ABRAãO','FLORIANóPOLIS','SC','124242241217131441367924575122610117047',NULL,'262',28.09,1,3,NULL),(16,3102130,'1987-06-11 00:00:00',4,1,12,2004,'F','N','VILA GUMERCINDO','S PAULO','SP','125252251216571431357924571112610136152',634,'9998',74.66,1,3,NULL),(16,3102149,'1992-06-06 00:00:00',4,6,11,2008,'M','N','SãO JOãO','ITAJAí','SC','124242241217371411468811575122610162092',6992,'392',54.31,1,3,NULL),(16,3102157,'1991-08-21 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124244241215121411369923474114610132092',1017,'270',71.99,1,3,NULL),(16,3102165,'1991-06-01 00:00:00',4,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241217112741478913232124610124112',2861,'270',64.20,1,3,NULL),(16,3102173,'1990-02-21 00:00:00',5,3,12,2008,'M','N','SãO PELEGRINO','CAXIAS SUL','RS','120202201215371411569813575114610127042',4575,'9998',59.61,1,3,NULL),(16,3102181,'1990-06-01 00:00:00',2,8,12,2007,'F','N','VILA SANTA CATARINA','S PAULO','SP','125252251217572131336712424114610166122',13367,'9998',42.86,1,3,NULL),(16,3102190,'1992-04-03 00:00:00',4,4,12,2008,'M','N','VENEZA','XANXERê','SC','124243241216111431337814575122610137047',3287,'836',63.04,1,3,NULL),(16,3102203,'1988-04-07 00:00:00',4,1,6,2007,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242247215472431478612472124610137043',NULL,'270',26.65,1,3,NULL),(16,3102211,'1990-03-10 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124201241215372431248734475122610121092',3854,'270',61.45,1,3,NULL),(16,3102238,'1991-02-07 00:00:00',4,2,10,2008,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111431479614472122610127052',6235,'70',55.83,1,3,NULL),(16,3102246,'1991-05-15 00:00:00',4,1,12,2008,'M','N','JARDIM MáRCIA','CAMPOS JORDãO','SP','125254251216271431438831371122610167092',4482,'9998',59.83,1,3,NULL),(16,3102254,'1991-06-08 00:00:00',4,7,12,2008,'F','N','FLOR DA SERRA','JOAçABA','SC','124243241316111441569914575122610121143',6740,'454',54.78,1,3,NULL),(16,3102262,'1991-04-29 00:00:00',2,1,11,2008,'F','N','CENTRO','MARINGá','PR','116162161217111431318821575121610123187',13269,'9998',43.03,1,3,NULL),(16,3102270,'1990-10-13 00:00:00',4,8,11,2008,'M','N','VILA NOVA','RIO NEGRINHO','SC','124242241217311511348932575125610114072',NULL,'541',29.36,1,3,NULL),(16,3102289,'1991-07-27 00:00:00',4,1,11,2008,'M','N','SERRARIA','S JOSé','SC','124244241426111752333319275124610167045',NULL,'262',26.35,1,3,NULL),(16,3102297,'1986-07-04 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241416174431469933575112221467052',NULL,'541',0.00,1,3,NULL),(16,3102319,'1990-05-02 00:00:00',4,8,12,2007,'M','N','AGUA VERDE','CURITIBA','PR','116162161217471721468813494124610114097',2404,'9998',65.68,1,3,NULL),(16,3102327,'1990-01-22 00:00:00',4,1,12,2008,'F','N','BELA VISTA','S JOSé','SC','124242241217121432348812222112610164141',NULL,'270',30.42,1,3,NULL),(16,3102343,'1991-12-16 00:00:00',4,1,11,2008,'M','N','SENHOR DOS PASSOS','CUIABá','MT','111112111216111541338821475124610144152',4536,'9998',59.69,4,3,NULL),(16,3102351,'1991-06-25 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217121431236832275115610124047',5699,'270',57.08,1,3,NULL),(16,3102360,'1990-04-19 00:00:00',4,1,6,2008,'M','N','RESIDENCIAL NARDINI','AMERICANA','SP','125252251215471751578712571121610137044',2221,'9998',66.34,1,3,NULL),(16,3102378,'1991-10-15 00:00:00',4,2,12,2008,'F','N','CENTRO','GASPAR','SC','124242241212112431558832342122610123012',3522,'955',62.32,1,3,NULL),(16,3102386,'1990-07-06 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124242241217471431256621375122610147046',10517,'270',47.89,1,3,NULL),(16,3102394,'1990-05-30 00:00:00',4,8,12,2008,'M','N','FLORESTA','JOINVILLE','SC','124242241211111431239821311321610167092',10431,'931',48.04,1,3,NULL),(16,3102408,'1992-04-13 00:00:00',4,2,10,2009,'F','S','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111431479614572122610122142',NULL,'70',52.59,1,3,NULL),(16,3102416,'1991-10-23 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241217271431369912595124610128043',6561,'883',55.15,1,3,NULL),(16,3102459,'1991-10-11 00:00:00',2,1,12,2008,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124201241112131431634623345124610114147',15687,'288',38.10,1,2,1),(16,3102475,'1991-11-16 00:00:00',4,3,12,2009,'M','S','CENTRO','BAL CAMBORIú','SC','124252241215111431368514574124610137142',NULL,'1038',65.71,1,3,NULL),(16,3102483,'1991-02-09 00:00:00',2,1,11,2008,'M','N','CONJUNTO CALIFORNIA','GOIâNIA','GO','109092091235111431587834575122610117042',NULL,'9998',0.00,2,3,NULL),(16,3102505,'1992-05-20 00:00:00',4,4,12,2009,'F','S','ESPORTES','XANXERê','SC','124241248135131711326619345122610134147',NULL,'840',0.00,1,3,NULL),(16,3102513,'1990-04-07 00:00:00',4,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215112731468914572122610137045',NULL,'262',20.75,1,3,NULL),(16,3102521,'1986-05-04 00:00:00',2,1,12,2004,'M','N','PRAIA COMPRIDA','S JOSé','SC','124211218212132431543611585124231462112',NULL,'9998',16.41,1,3,NULL),(16,3102530,'1990-03-18 00:00:00',2,4,12,2007,'M','N','CENTRO','NOVO HORIZONTE','SC','124243241126472711455716575114610135032',10147,'579',48.53,1,3,NULL),(16,3102556,'1992-10-03 00:00:00',4,8,12,2009,'F','S','IRIRIú','JOINVILLE','SC','124242241217111441469934574122610161142',NULL,'457',46.18,1,3,NULL),(16,3102564,'1990-08-03 00:00:00',2,2,11,2008,'M','N','CENTRO','BRUSQUE','SC','124242241215272431569634574122610127062',2532,'107',65.24,1,3,NULL),(16,3102572,'1990-08-14 00:00:00',4,8,12,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241211111431457714242121610167052',NULL,'931',32.21,1,3,NULL),(16,3102580,'1991-12-16 00:00:00',4,1,12,2008,'F','N','SANTA MONICA','FLORIANóPOLIS','SC','124244241215122431469712275124610124135',6492,'270',55.29,1,3,NULL),(16,3102599,'1991-09-06 00:00:00',4,1,11,2008,'M','N','SETOR AEROPORTO','GOIâNIA','GO','109092091215111231258811415122610127072',NULL,'9998',0.00,4,3,NULL),(16,3102610,'1987-05-27 00:00:00',4,1,12,2004,'M','N','INGLESES','FLORIANóPOLIS','SC','124242241216275431368923495122220567187',5045,'269',58.52,1,3,NULL),(16,3102629,'1991-09-13 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241215111411448614372122610144127',14964,'1022',39.74,1,3,NULL),(16,3102645,'1990-03-26 00:00:00',2,1,11,2007,'F','N','CENTRO','S JOSé','SC','124243241315471712435911395124610144053',12864,'300',43.74,1,3,NULL),(16,3102661,'1988-08-03 00:00:00',4,1,12,2005,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241216472431478923445124121742172',8887,'269',50.76,1,3,NULL),(16,3102670,'1990-11-16 00:00:00',4,1,12,2007,'M','N','VILA NOVA','IMBITUBA','SC','124244241115472431449933572112610114072',7524,'359',53.29,1,3,NULL),(16,3102688,'1990-05-30 00:00:00',1,8,7,2008,'M','N','GLóRIA','JOINVILLE','SC','124242241217222431478931474111610147097',549,'9997',75.41,1,3,NULL),(16,3102700,'1988-11-12 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215573431589911575124610122142',252,'270',78.52,1,3,NULL),(16,3102718,'1989-04-02 00:00:00',4,8,12,2006,'M','N','ACLIMAçãO','S JOSé R PRETO','SP','125162251217572441468814571112610137052',NULL,'9998',0.00,1,3,NULL),(16,3102726,'1989-02-27 00:00:00',4,1,12,2006,'F','N','JARDIM ELITE','PIRACICABA','SP','125252251216571131358831571122610112184',3296,'9998',63.01,1,3,NULL),(16,3102734,'1990-06-05 00:00:00',4,8,12,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124241246217471431456314575124610137122',4028,'1105',60.98,1,3,NULL),(16,3102742,'1989-06-15 00:00:00',4,1,12,2006,'F','N','VILA BOCAINA','MAUá','SP','125252251215371431438832572124141438097',NULL,'9998',0.00,1,3,NULL),(16,3102750,'1990-11-05 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215111421436731575122610137187',13852,'1038',41.94,1,3,NULL),(16,3102769,'1990-11-04 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241211151431478821275124610131097',4136,'883',60.68,1,3,NULL),(16,3102777,'1992-02-07 00:00:00',4,1,12,2009,'M','S','CAMPINAS','S JOSé','SC','124242241215111431477613575124610134182',NULL,'270',36.08,4,3,NULL),(16,3102785,'1989-04-06 00:00:00',4,1,12,2006,'F','N','ITAGUAÇU','FLORIANóPOLIS','SC','124242241215574431356933575122121532142',1505,'270',69.35,1,3,NULL),(16,3102793,'1990-05-31 00:00:00',4,1,11,2007,'F','N','CENTRO','S BONIFáCIO','SC','124241241126362411436615571124610167142',NULL,'702',28.57,1,2,1),(16,3102807,'1990-08-05 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241216152431459911575121221163147',5827,'1051',56.72,1,3,NULL),(16,3102815,'1990-10-26 00:00:00',4,10,11,2007,'F','N','MAGALHãES','LAGUNA','SC','124244241216372431468819572124610166187',10405,'806',48.08,1,3,NULL),(16,3102823,'1966-01-24 00:00:00',4,1,12,1983,'M','N','COQUEIROS','FLORIANóPOLIS','SC','224242246216155751368549494122320268072',NULL,'260',0.00,1,3,NULL),(16,3102831,'1991-07-24 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241215111131469837575112610167022',NULL,'262',37.41,1,3,NULL),(16,3102858,'1991-09-07 00:00:00',2,10,10,2008,'F','N','CENTRO','BRAçO NORTE','SC','124242241215111431437632572122610138142',6081,'807',56.17,1,3,NULL),(16,3102866,'1990-05-21 00:00:00',4,1,12,2007,'M','N','JARDIM DAS NAçõES','TAUBATé','SP','125252251217472431579914582111610127042',3080,'9998',63.57,1,3,NULL),(16,3102882,'1990-09-21 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124242241215472431477613572124133244072',2104,'737',66.78,4,3,NULL),(16,3102890,'1991-07-02 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241135141731433423392122610127042',NULL,'287',0.00,1,2,1),(16,3102904,'1989-02-09 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431468923494112131032182',16512,'270',35.42,1,3,NULL),(16,3102912,'1989-09-20 00:00:00',4,4,12,2007,'M','N','JARDIM','S JOSé CEDRO','SC','124241241116472431433933382325610152057',6678,'740',54.91,1,2,1),(16,3102920,'1989-03-31 00:00:00',3,1,12,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215472431238823575114610164093',7001,'1098',54.29,1,3,NULL),(16,3102939,'1989-07-01 00:00:00',2,10,12,2006,'M','N','VILA NOVA','IMBITUBA','SC','124241241145371331621614142114610134057',16559,'359',35.11,1,2,1),(16,3102955,'1989-11-30 00:00:00',4,3,12,2006,'F','N','SUMARé','PARANAVAí','PR','116163161215574431548914574124610124192',5481,'9998',57.51,1,3,NULL),(16,3102963,'1991-04-07 00:00:00',4,1,12,2008,'M','N','JARDIM CAMPO BELO','LONDRINA','PR','116162161217171431269924371112610144012',9437,'9998',49.84,1,3,NULL),(16,3102971,'1990-07-26 00:00:00',4,1,5,2008,'F','N','CENTRO','S JOAQUIM','SC','124282281415371731566816575124610162142',NULL,'9998',41.68,3,3,NULL),(16,3102980,'1991-12-30 00:00:00',4,4,11,2008,'F','N','SãO CRISTóVãO','CHAPECó','SC','124241241135371531436634372124610138092',10826,'169',47.32,3,3,NULL),(16,3102998,'1988-08-29 00:00:00',4,3,12,2006,'F','N','CENTRO','BAL CAMBORIú','SC','124251251116131411426621575124141026092',NULL,'9998',27.36,1,2,1),(16,3103021,'1989-01-23 00:00:00',4,1,7,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242251221472431387932575122230237122',1185,'9998',71.01,1,3,NULL),(16,3103030,'1984-12-21 00:00:00',2,1,8,2002,'M','N','BARREIROS','S JOSé','SC','124241247226134431333623145132130218182',NULL,'300',28.99,1,3,NULL),(16,3103048,'1989-01-30 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124241241214143431347714391124610167072',13198,'270',43.14,1,3,NULL),(16,3103056,'1982-07-12 00:00:00',4,1,12,1999,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241247337134441126344342133230267057',NULL,'270',20.92,1,3,NULL),(16,3103072,'1991-04-22 00:00:00',4,8,11,2008,'F','N','RIBEIRóPOLIS','REGISTRO','SP','125252251214471411568832572122610167072',10076,'9998',48.64,3,3,NULL),(16,3103080,'1991-01-17 00:00:00',4,10,12,2008,'M','N','CENTRO','BRAçO NORTE','SC','124242246217132431359914575122610122111',NULL,'1120',29.03,1,3,NULL),(16,3103099,'1987-10-09 00:00:00',2,1,12,2005,'M','N','CONCEIçAO','GUAPORé','RS','120201201111272411326611241121610167042',NULL,'9998',31.12,1,2,1),(16,3103110,'1991-09-25 00:00:00',2,1,12,2008,'F','N','SANTO ANTôNIO DE LIS','FLORIANóPOLIS','SC','124241241136131731218329242124610134185',NULL,'288',18.99,1,2,1),(16,3103129,'1986-06-18 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANOPOLIS','SC','121214211117471431321129441124243012072',NULL,'9998',23.00,2,3,NULL),(16,3103137,'1991-11-28 00:00:00',4,1,12,2008,'M','N','CPA III','CUIABá','MT','111112111117271431558932595124610166142',NULL,'9998',0.00,4,3,NULL),(16,3103145,'1992-09-09 00:00:00',4,6,12,2009,'M','S','FAZENDA','ITAJAí','SC','124242241212111451489813575122610144042',NULL,'1026',27.27,1,3,NULL),(16,3103153,'1991-09-21 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241215122431448639575122610167042',5981,'270',56.40,1,3,NULL),(16,3103161,'1988-11-14 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124072241215472411486812571124610162042',7594,'270',53.16,1,3,NULL),(16,3103170,'1991-05-03 00:00:00',2,1,11,2007,'M','N','ABRAÃO','FLORIANOPOLIS','SC','124243241316372431458454595124610128052',2346,'18',65.89,1,3,NULL),(16,3103188,'1991-01-18 00:00:00',4,6,11,2008,'M','N','SAO JUDAS TADEU','ITAJAí','SC','124242241215471431558931295122610167057',5805,'1026',56.79,1,3,NULL),(16,3103200,'1991-11-01 00:00:00',4,9,12,2009,'M','S','JARDIM ESPERANçA','CANOINHAS','SC','124242241217111221479933246112610128012',NULL,'154',43.69,1,3,NULL),(16,3103218,'1990-09-21 00:00:00',4,1,12,2007,'F','N','FORQUILHINHAS','S JOSé','SC','124241241117132431533311592124610166187',NULL,'727',18.41,1,2,1),(16,3103226,'1990-05-24 00:00:00',4,8,12,2007,'M','N','CENTRO','REGISTRO','SP','125251251111131311313319571125610118197',NULL,'9998',49.17,1,2,1),(16,3103234,'1975-03-15 00:00:00',4,1,12,1991,'M','N','PETROPOLIS','PORTO ALEGRE','RS','220202201217153431358711311122221765012',2016,'9998',67.12,1,3,NULL),(16,3103242,'1991-06-25 00:00:00',4,1,11,2008,'M','N','JARDIM LAMBRETA','COTIA','SP','125252251217111731578934571122610128092',8820,'9998',50.86,1,3,NULL),(16,3103250,'1989-07-13 00:00:00',2,5,12,2007,'M','N','CENTRO','TORRES','RS','120203201217371431447933575124610167117',4402,'9998',60.01,1,3,NULL),(16,3103269,'1983-02-27 00:00:00',4,1,12,2000,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241316134421468713345124321524197',NULL,'270',27.51,1,3,NULL),(16,3103285,'1991-10-31 00:00:00',4,2,11,2008,'F','N','CENTRO','MASSARANDUBA','SC','124242241215111431438832572124610163197',9152,'855',50.32,1,3,NULL),(16,3103293,'1986-07-17 00:00:00',4,1,12,2004,'F','N','CENTRO','ARARAS','SP','125252251217111431424829475122343265192',8927,'9998',50.69,1,3,NULL),(16,3103307,'1988-04-26 00:00:00',2,1,12,2005,'F','N','CACHOEIRA','FLORIANóPOLIS','SC','124241241141272431533311312114610126147',NULL,'307',23.57,1,2,1),(16,3103315,'1990-10-19 00:00:00',2,8,12,2007,'M','N','CENTRO','CORUPá','SC','124242241215472431448932572114610167117',6149,'442',56.03,1,3,NULL),(16,3103323,'1983-08-21 00:00:00',2,8,12,2000,'M','N','CENTRO','JAGUARIAíVA','PR','116161161116573751323444142214610167042',NULL,'9998',35.25,2,1,1),(16,3103331,'1976-10-31 00:00:00',4,1,7,1995,'M','N','CARIANOS','FLORIANóPOLIS','SC','124201206117243731136643435123220838197',6479,'9998',55.32,1,3,NULL),(16,3103340,'1990-08-21 00:00:00',4,1,12,2007,'M','N','ITAPEVA III','ITAPEVA','SP','125251251115271731424517572112610114052',NULL,'9998',0.00,1,3,NULL),(16,3103358,'1989-12-26 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217472431569811476112610134063',8769,'262',50.95,1,3,NULL),(16,3103366,'1991-01-31 00:00:00',4,1,11,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241146131211336933475112610124047',14960,'57',39.76,1,2,1),(16,3103374,'1991-04-17 00:00:00',4,10,12,2008,'M','N','ANITA GARIBALDI','TUBARãO','SC','124241246215111431436911572124610127042',NULL,'1120',34.28,1,3,NULL),(16,3103382,'1991-05-02 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431377931572124610132187',8521,'270',51.38,1,3,NULL),(16,3103390,'1989-04-16 00:00:00',4,1,12,2006,'M','N','JD BOA ESPERANÇA','FRANCA','SP','125252251215371331357829575112141465054',NULL,'9998',28.88,1,3,NULL),(16,3103404,'1990-08-04 00:00:00',4,1,11,2008,'F','N','JOSé MENDES','FLORIANóPOLIS','SC','124241241116371431539419575124610138147',NULL,'307',22.93,1,2,1),(16,3103412,'1991-06-03 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124243241112131531547713572244610137052',NULL,'307',23.16,1,3,NULL),(16,3103420,'1989-06-19 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124243241112373431548813342234610137142',NULL,'307',35.77,1,3,NULL),(16,3103439,'1990-03-12 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241115241731223574395124140737013',NULL,'307',22.55,1,3,NULL),(16,3103447,'1967-07-09 00:00:00',2,1,12,1986,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','224243241337374411473353312122133061182',NULL,'260',29.91,1,3,NULL),(16,3103455,'1985-10-29 00:00:00',2,1,12,2003,'M','N','CENTRO','PALHOçA','SC','124134133236152431128844345124121836047',636,'9998',74.63,1,3,NULL),(16,3103463,'1987-12-01 00:00:00',2,1,12,2006,'F','N','SãO CRISTOVãO','PASSO FUNDO','RS','120201201316572411456723445114142825012',NULL,'9998',29.74,1,3,NULL),(16,3103471,'1987-03-02 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215373431457723472124120811115',6450,'266',55.37,1,3,NULL),(16,3103480,'1990-01-29 00:00:00',4,1,12,2007,'F','N','PICADAS DO SUL','S JOSé','SC','124202201217271441336631375122141065182',NULL,'9998',30.36,1,3,NULL),(16,3103498,'1988-09-21 00:00:00',4,1,11,2005,'M','N','CENTRO','ANTôNIO CARLOS','SC','124241241516161441426414275123233237187',NULL,'20',23.92,1,3,NULL),(16,3103501,'1987-03-08 00:00:00',2,3,12,2004,'F','N','VILA NOVA','JARAGUá SUL','SC','124242241217571451669711592124232662187',NULL,'491',0.00,1,3,NULL),(16,3103510,'1990-04-15 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241116373421423331341124610134152',5589,'281',57.29,1,3,NULL),(16,3103536,'1991-02-11 00:00:00',4,8,11,2008,'M','N','CENTRO','CURITIBA','PR','116112161217471431288712574112610122182',556,'9998',75.32,1,3,NULL),(16,3103552,'1989-04-25 00:00:00',2,1,12,2006,'F','N','JARDIM ELDORADO','PALHOçA','SC','124241241116153431656613445112610144097',NULL,'9997',22.18,1,2,1),(16,3103560,'1991-06-08 00:00:00',4,10,12,2008,'F','N','CENTRO','TUBARãO','SC','124241241125141751423414372124610168157',NULL,'1034',13.28,1,2,1),(16,3103579,'1990-09-20 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241315372431558613385124610124093',NULL,'300',48.40,1,3,NULL),(16,3103587,'1990-07-22 00:00:00',4,3,12,2007,'M','N','CAPIM MACIO','NATAL','RN','119162191216371431466923575122610137183',NULL,'9998',25.06,1,3,NULL),(16,3103595,'1970-09-18 00:00:00',2,1,12,1988,'M','N','PANTANAL','FLORIANóPOLIS','SC','524094091216222411179843335122321762072',2734,'9998',64.59,4,3,NULL),(16,3103617,'1985-07-23 00:00:00',4,1,12,2002,'M','N','CIDADE SERODIO','GUARULHOS','SP','125251253227131441646414245224343262187',NULL,'9998',0.00,4,3,NULL),(16,3103633,'1983-11-21 00:00:00',2,1,12,2001,'M','N','INGLESES','FLORIANóPOLIS','SC','124241251127133431524414142124610114047',15031,'239',39.59,1,3,NULL),(16,3103641,'1988-09-20 00:00:00',4,1,12,2006,'F','N','CENTRO','PALHOçA','SC','124242241212273431368619575122610134171',16300,'270',36.38,1,3,NULL),(16,3103676,'1990-02-19 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241415472431536313575114610167112',8658,'1022',51.15,1,3,NULL),(16,3103684,'1990-02-18 00:00:00',4,1,12,2007,'M','N','CENTRO','CRAVINHOS','SP','125252251217471112558739495141610168195',3699,'9998',61.83,1,3,NULL),(16,3103692,'1987-06-26 00:00:00',4,10,1,2005,'M','N','TRêS DE MAIO','CAPIVARI BAIXO','SC','124241246217141431348413391123610138182',11538,'974',46.10,1,3,NULL),(16,3103706,'1982-10-14 00:00:00',2,1,12,2000,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124241241126154411133343335123122921057',10215,'307',48.40,1,2,1),(16,3103714,'1987-08-14 00:00:00',4,6,12,2004,'F','N','CENTRO','NAVEGANTES','SC','124241241317131441546812325123230226112',NULL,'1008',0.00,1,3,NULL),(16,3103722,'1982-09-26 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241116575422418813432114133264191',7243,'307',53.83,1,3,NULL),(16,3103730,'1985-04-18 00:00:00',4,1,12,2003,'F','N','CHAC DAS FLORES','BAURU','SP','125252251216511411348923412124610162142',NULL,'9998',25.49,3,3,NULL),(16,3103757,'1987-10-29 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241312373441438919581124130867167',NULL,'1118',39.33,1,3,NULL),(16,3103765,'1990-07-14 00:00:00',2,10,11,2007,'F','N','CENTRO','TUBARãO','SC','124241241216373431424311575125132625047',10733,'226',47.48,1,3,NULL),(16,3103773,'1990-05-15 00:00:00',4,10,11,2007,'F','N','RIO BONITO','BRAçO NORTE','SC','124241241215271431528619172124610167142',7927,'806',52.55,1,3,NULL),(16,3103781,'1982-07-06 00:00:00',4,10,12,1999,'F','N','CENTRO','BRAçO NORTE','SC','224204241217212421268854442224321237012',8492,'403',51.41,1,3,NULL),(16,3103790,'1989-07-10 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124212211236473411368719575124221566142',13278,'9998',43.02,2,1,2),(16,3103803,'1990-10-18 00:00:00',4,1,12,2007,'M','N','FORQUILHINHAS','S JOSé','SC','124242241215142431225823395124231024042',NULL,'1074',30.76,1,3,NULL),(16,3103820,'1985-10-21 00:00:00',4,1,12,2003,'F','N','CENTRO','BRAGANçA PAULISTA','SP','125255251117573431336933445134240736097',15855,'9998',37.62,1,3,NULL),(16,3103838,'1990-05-28 00:00:00',4,1,12,2007,'M','N','JARDIM DAS ACACIAS','CRAVINHOS','SP','125252251217471431468835482114610162102',NULL,'9998',44.18,1,3,NULL),(16,3103846,'1980-12-24 00:00:00',2,1,12,1999,'M','N','CENTRO','VACARIA','RS','124201201122272431321319295331133217042',NULL,'9998',21.16,4,2,1),(16,3103854,'1990-01-04 00:00:00',4,4,12,2006,'M','N','IMIGRANTES','CONCóRDIA','SC','124242241215573431334512595122610132032',6192,'1047',55.93,1,3,NULL),(16,3103862,'1989-08-09 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124244248316372431547613182124610117117',9657,'272',49.42,1,3,NULL),(16,3103870,'1989-08-18 00:00:00',2,7,12,2006,'F','N','CENTRO','CONCóRDIA','SC','124241241116371711434634425332610134147',10110,'192',48.59,1,2,1),(16,3103889,'1991-10-23 00:00:00',2,1,12,2008,'F','N','GUARDA DO CUBATãO','PALHOçA','SC','124242241117141432356713335124610124097',14490,'739',40.71,4,3,NULL),(16,3103897,'1983-02-04 00:00:00',4,1,12,2000,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124162161416371421458931415124331536172',2111,'9998',66.76,1,3,NULL),(16,3103919,'1990-10-12 00:00:00',2,1,12,2008,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241126131721323664245134610137047',NULL,'291',29.43,1,2,1),(16,3103927,'1988-03-05 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124242241217472431338933575124233125091',11383,'262',46.36,1,3,NULL),(16,3103935,'1986-03-18 00:00:00',2,1,7,2004,'M','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124241241127132431434919282114610164162',10951,'329',47.11,1,2,1),(16,3103943,'1990-07-22 00:00:00',4,4,12,2007,'M','N','CENTRO','ITAPIRANGA','SC','124241248111272431548614571122610134077',NULL,'412',27.30,1,2,1),(16,3103951,'1984-04-12 00:00:00',4,1,12,2001,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241211153411579932221122320267043',NULL,'270',0.00,1,3,NULL),(16,3103960,'1989-03-24 00:00:00',4,1,12,2006,'M','N','PASSA VINTE','PALHOçA','SC','124241241217272431536632275123610144052',8972,'1010',50.63,1,3,NULL),(16,3103978,'1983-08-17 00:00:00',2,1,12,1999,'F','N','SERRARIA','SAO JOSE','SC','224163161116141451239754445124142764012',NULL,'9998',26.71,1,3,NULL),(16,3103986,'1986-12-22 00:00:00',2,1,12,2004,'M','N','CENTRO','URUBICI','SC','124242241215472431346621592124131367057',9235,'817',50.19,1,3,NULL),(16,3103994,'1990-06-15 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124242241215372731336614375112610167067',4978,'1118',58.66,1,3,NULL),(16,3104001,'1991-05-27 00:00:00',2,4,12,2008,'F','N','CENTRO','ITAPIRANGA','SC','124241241225111431467612575122610128042',11489,'1060',46.19,1,3,NULL),(16,3104010,'1989-10-23 00:00:00',4,8,11,2007,'F','N','CENTRO','SOROCABA','SP','125252251217471431438838571124610146197',2242,'9998',66.25,1,3,NULL),(16,3104028,'1979-05-13 00:00:00',4,1,11,1996,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124243241116375451655544345122331267092',1755,'307',68.18,1,3,NULL),(16,3104036,'1991-08-05 00:00:00',4,5,12,2008,'F','N','CENTRO','COCAL SUL','SC','124241241117131431326534572122610167142',NULL,'189',25.97,1,2,1),(16,3104044,'1986-05-05 00:00:00',2,1,12,2003,'F','N','BELEM NOVO','PTO ALEGRE','RS','120201201117471431536313471124610132197',NULL,'9998',26.36,1,2,1),(16,3104052,'1989-12-08 00:00:00',2,5,11,2007,'M','N','JARDIM SILVANA','IçARA','SC','124242241217472431448834574124610164172',945,'226',72.38,1,3,NULL),(16,3104060,'1991-03-03 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241316472411338729575114610137143',16505,'1022',35.44,1,3,NULL),(16,3104087,'1982-06-23 00:00:00',2,1,12,2001,'M','N','RIO GRANDE','PALHOçA','SC','224241248121275431223644441321610137067',8763,'591',50.96,1,3,NULL),(16,3104095,'1990-12-22 00:00:00',2,1,12,2007,'M','N','CENTRO','RONDONóPOLIS','MT','111111111215211731455832225132610164092',NULL,'9998',0.00,1,3,NULL),(16,3104117,'1991-03-12 00:00:00',4,1,12,2008,'M','N','CAEIRA DO SACO DOS L','FLORIANóPOLIS','SC','124241241115171431635612592224610112142',NULL,'281',25.31,1,3,NULL),(16,3104133,'1990-09-23 00:00:00',4,1,12,2008,'F','N','PARQUE PROGRESSO','FRANCA','SP','125254251211111451326624572324610123092',3097,'9998',63.53,1,3,NULL),(16,3104141,'1990-02-28 00:00:00',4,1,12,2006,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124071071116372411129833581214610131187',NULL,'9998',9.79,1,3,NULL),(16,3104168,'1990-03-10 00:00:00',4,1,5,2007,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124242027315372431358923575124240421185',1787,'9998',68.05,1,3,NULL),(16,3104176,'1989-06-09 00:00:00',2,9,12,2006,'M','N','BORGES','ANITA GARIBALDI','SC','124241241112213431333623574214610144187',NULL,'581',34.04,1,3,NULL),(16,3104184,'1991-02-09 00:00:00',2,5,11,2007,'F','N','COMERCIARIO','CRICIúMA','SC','124244241215472431439811574112610168192',5119,'210',58.33,1,3,NULL),(16,3104192,'1977-05-24 00:00:00',4,1,12,1999,'M','N','INGLESES','FLORIANóPOLIS','SC','224252253221141721238741315124143226112',NULL,'9998',0.00,1,3,NULL),(16,3104206,'1989-03-24 00:00:00',4,1,12,2006,'F','N','COSTEIRA','FLORIANóPOLIS','SC','124241241315573731469923316114610163092',3254,'272',63.12,1,3,NULL),(16,3104214,'1990-11-17 00:00:00',2,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124121241215112531479913275112610124052',2363,'270',65.83,1,3,NULL),(16,3104222,'1990-02-23 00:00:00',2,10,12,2007,'M','N','CENTRO','JACINTO MACHADO','SC','124242241211432451466915151125610132117',8533,'970',51.37,1,3,NULL),(16,3104230,'1980-05-19 00:00:00',2,1,12,1997,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241124132721123443331124331642147',NULL,'170',25.58,1,2,1),(16,3104257,'1988-08-09 00:00:00',4,7,12,2005,'M','N','TOBIAS','JOAçABA','SC','124242248216574431454832245132131467092',6330,'454',55.61,1,3,NULL),(16,3104273,'1992-06-23 00:00:00',4,1,12,2010,'F','S','JD ATLANTICO','FLORIANóPOLIS','SC','124243241314111531447931585124610137051',NULL,'307',25.33,1,3,NULL),(16,3104281,'1993-01-03 00:00:00',2,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111431236823575124610134192',NULL,'1022',42.97,1,3,NULL),(16,3104290,'1990-04-25 00:00:00',2,4,12,2007,'F','N','PRESIDENTE MéDICE','CHAPECó','SC','124241241215371231438612422122610127142',NULL,'1021',22.99,1,3,NULL),(16,3104303,'1988-01-05 00:00:00',4,1,12,2005,'F','N','BOQUEIRãO','SANTOS','SP','125251251216572411556669485124610142077',7903,'9998',52.59,4,1,2),(16,3104311,'1991-05-24 00:00:00',2,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAçU','SC','124241241115161431426613572114610113147',NULL,'257',0.00,4,3,NULL),(16,3104338,'1981-01-21 00:00:00',2,1,12,1998,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241116135431446919435334333224197',NULL,'307',34.07,1,2,1),(16,3104362,'1990-03-29 00:00:00',2,9,12,2007,'F','N','CENTRO','CURITIBANOS','SC','124241241116372431336612391224610127177',6600,'239',55.04,4,2,1),(16,3104389,'1987-01-20 00:00:00',2,1,12,2004,'F','N','CAMPO DUNA','GAROPABA','SC','124241241123131432331351185213610132147',NULL,'322',20.91,1,2,1),(16,3104400,'1991-03-09 00:00:00',4,4,12,2008,'F','N','NAçõES','CONCóRDIA','SC','124241241126131421624414245124610128197',NULL,'192',25.59,3,2,1),(16,3104419,'1991-09-13 00:00:00',4,1,12,2008,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241215112431236821595124610128012',3302,'883',62.98,1,3,NULL),(16,3104435,'1990-08-21 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIúMA','SC','124242241115572411468811341122130626147',11552,'226',46.08,1,3,NULL),(16,3104451,'1989-11-20 00:00:00',4,1,12,2006,'F','N','VILA SANTO ANTONIO','BAURU','SP','125252251215572431468813571122612463097',2921,'9998',64.05,1,3,NULL),(16,3104478,'1979-09-05 00:00:00',4,1,12,1998,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124202207217272411368934315124341063127',NULL,'9999',24.29,3,3,NULL),(16,3104494,'1991-03-03 00:00:00',2,1,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241115131431525313311122610121143',NULL,'405',28.98,1,3,NULL),(16,3104508,'1988-03-30 00:00:00',4,1,11,2005,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124243241417272451643611181321221762187',2115,'1022',66.75,1,3,NULL),(16,3104516,'1991-09-05 00:00:00',4,1,12,2008,'M','N','CENTRO HISTóRICO','S JOSé','SC','124241241127151432546823575124610134182',9908,'728',48.93,1,2,1),(16,3104524,'1991-10-25 00:00:00',4,1,11,2008,'M','N','CENTRO','CASCAVEL','PR','116162161215111231569932292122610112052',14159,'9998',41.31,1,3,NULL),(16,3104532,'1988-03-18 00:00:00',4,1,12,2008,'M','N','PALHOçA','PALHOçA','SC','124243247446372441337714575124610137182',NULL,'9999',24.73,1,3,NULL),(16,3104559,'1990-10-19 00:00:00',2,1,12,2008,'F','N','ARMAçãO DO PANTANO','FLORIANóPOLIS','SC','124241241126141731443319292122610121147',NULL,'291',24.38,1,2,1),(16,3104567,'1987-02-26 00:00:00',2,1,12,2004,'F','N','FUNDOS','BIGUAçU','SC','124241241216143411436513345134242726183',13394,'270',42.81,1,3,NULL),(16,3104583,'1981-12-29 00:00:00',2,1,12,1999,'F','N','TAPERA','FLORIANóPOLIS','SC','224241241112275431243359435234610168097',10599,'281',47.74,1,2,1),(16,3104605,'1989-10-27 00:00:00',4,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124243241216312431436624345134610166147',NULL,'1036',0.00,1,3,NULL),(16,3104613,'1984-10-15 00:00:00',2,1,12,2002,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124251251116573431223344245124610166062',8129,'9998',52.17,1,2,1),(16,3104621,'1978-07-29 00:00:00',2,1,12,2007,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','224241247422121411534354445134131924193',NULL,'9999',19.10,2,3,NULL),(16,3104648,'1989-12-01 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215574431458822575122610164182',3283,'266',63.06,1,3,NULL),(16,3104656,'1988-09-15 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241216133431467924335124230268147',6651,'273',54.97,1,3,NULL),(16,3104672,'1991-04-04 00:00:00',2,1,12,2008,'F','N','AREIAS','S JOSé','SC','124241241317471431226923575124610163147',NULL,'734',29.00,4,3,NULL),(16,3104680,'1990-05-19 00:00:00',4,8,11,2007,'M','N','PQ CALIFORNIA','CAMPOS GOYTACAZES','RJ','121212211216471431468833575111610127053',8265,'9998',51.85,1,3,NULL),(16,3104699,'1963-05-10 00:00:00',4,1,12,1980,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','424211216114272441354341411122141752172',NULL,'9998',0.00,4,3,NULL),(16,3104702,'1990-12-05 00:00:00',4,1,12,2008,'M','N','SANTANA','S PAULO','SP','125251251116471321539814575115610167057',5904,'9998',56.57,1,3,NULL),(16,3104710,'1989-09-27 00:00:00',4,1,12,2007,'M','N','CENTRO','S ROQUE','SP','125252251236411411537672242335610118127',NULL,'9998',35.59,1,3,NULL),(16,3104737,'1990-09-27 00:00:00',4,1,12,2007,'M','N','JARDIM CAMPOS ELISEO','CAMPINAS','SP','125251251116141411433464241124610162142',NULL,'9998',0.00,1,2,1),(16,3104745,'1992-02-05 00:00:00',4,3,11,2008,'M','N','MONTE ALEGRE','CAMBORIú','SC','124242241215111431446632575122610167017',NULL,'1045',21.97,1,3,NULL),(16,3104761,'1991-01-23 00:00:00',2,1,11,2008,'F','N','BELA VISTA','S JOSé','SC','124241241115471431647514582124610121147',NULL,'734',26.16,1,2,1),(16,3104770,'1988-10-23 00:00:00',4,8,12,2006,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116162161215471431458833572124241024092',15367,'9998',38.84,1,3,NULL),(16,3104788,'1987-07-09 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124244247432131431258723382114610115017',NULL,'9999',16.54,1,3,NULL),(16,3104796,'1989-05-19 00:00:00',4,1,12,2006,'F','N','BARRA DO ARIRIU','PALHOçA','SC','124242241216143421239849495124230266117',5975,'270',56.41,1,3,NULL),(16,3104818,'1987-07-04 00:00:00',4,2,12,2004,'M','N','CENTRO','ASCURRA','SC','124243241216372231466612485112131464057',8726,'956',51.03,1,3,NULL),(16,3104826,'1989-05-29 00:00:00',4,1,12,2007,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124212217217471411249934575124610125187',NULL,'9999',20.45,1,3,NULL),(16,3104834,'1987-09-23 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241115133411323324575114610166097',NULL,'521',0.00,1,2,1),(16,3104850,'1990-08-08 00:00:00',4,1,12,2007,'F','N','CENTRO','FRAIBURGO','SC','124242241216372431539813572125610126097',982,'885',72.19,1,3,NULL),(16,3104869,'1990-08-05 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241214472431239717572224610117145',3005,'1022',63.78,1,3,NULL),(16,3104877,'1990-09-07 00:00:00',4,1,12,2007,'M','N','CENTRO','NOVA TRENTO','SC','124242241215473431466933572114610144047',2940,'981',63.99,1,3,NULL),(16,3104893,'1991-05-01 00:00:00',4,1,12,2008,'F','N','VENDAVAL','BIGUAçU','SC','124241241417111431336923345114610114192',NULL,'20',27.85,1,3,NULL),(16,3104907,'1983-01-09 00:00:00',2,1,12,2004,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241126471711423417475124610168172',NULL,'283',27.05,1,2,1),(16,3104915,'1989-03-28 00:00:00',2,5,12,2006,'F','N','CENTRO','PR GRANDE','SC','124241241121131431324112291334610162147',10202,'641',48.43,1,2,1),(16,3104931,'1990-09-19 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORES CUNHA','RS','120201201117131431433334575122610124147',15363,'9998',38.84,1,2,1),(16,3104940,'1992-10-30 00:00:00',4,7,12,2009,'F','S','CENTRO','JOAçABA','SC','124242241215111431459912572122610117012',NULL,'454',42.55,1,3,NULL),(16,3104958,'1991-05-02 00:00:00',4,7,11,2008,'F','N','CENTRO','HERVAL D OESTE','SC','124242241215371431346812474122610133192',7955,'962',52.50,1,3,NULL),(16,3104966,'1990-07-24 00:00:00',4,1,12,2007,'M','N','CENTRO','MARINGá','PR','116162161211572231469933175125141744196',NULL,'9998',0.00,1,3,NULL),(16,3104974,'1990-04-17 00:00:00',4,1,12,2007,'M','N','BELA VISTA','S JOSé','SC','113131131117471731224422575125610167163',8288,'9998',51.80,1,2,1),(16,3104982,'1989-10-17 00:00:00',2,5,11,2006,'M','N','COMERCIáRIO','CRICIúMA','SC','124242241213574731558612421112610167042',1702,'210',68.40,1,3,NULL),(16,3104990,'1971-09-08 00:00:00',4,1,12,1989,'M','N','ESTREITO','FLORIANóPOLIS','SC','224054071316151431468644345134321434047',NULL,'9998',0.00,1,3,NULL),(16,3105008,'1991-06-17 00:00:00',2,1,12,2008,'M','N','SCHROEDER I','SCHROEDER','SC','124241241127151431436632375124610168191',10649,'427',47.65,1,2,1),(16,3105016,'1991-02-18 00:00:00',4,8,12,2008,'F','N','CENTRO','JANDAIA SUL','PR','116162161215121431336636265122610137092',NULL,'9998',0.00,1,3,NULL),(16,3105024,'1990-01-03 00:00:00',4,4,11,2008,'F','N','UNIVERSITARIO','CHAPECó','SC','124244247415371431428614342122610133182',NULL,'1126',20.49,1,3,NULL),(16,3105032,'1991-11-01 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215121431336639495122610142092',11784,'1038',45.67,1,3,NULL),(16,3105040,'1991-03-21 00:00:00',2,1,11,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215112411448723575122610166092',NULL,'1022',33.46,1,3,NULL),(16,3105059,'1990-11-19 00:00:00',2,5,6,2008,'F','N','CENTRO','MRO FUMAçA','SC','124241243211372431345633572124610136142',5290,'995',57.88,1,3,NULL),(16,3105075,'1989-04-19 00:00:00',4,1,12,2006,'M','N','ZONA DOIS','CIANORTE','PR','116161161216572411566932591112610134182',658,'9998',74.49,1,3,NULL),(16,3105083,'1989-11-29 00:00:00',2,8,12,2006,'F','N','CENTRO','RIVERSUL','SP','125251251315571411338821475125610124142',6122,'9998',56.09,1,3,NULL),(16,3105091,'1992-05-13 00:00:00',2,2,12,2008,'F','N','DALBÉRGIA','IBIRAMA','SC','124242241215111751479932395122610162142',NULL,'346',23.49,3,3,NULL),(16,3105105,'1992-03-05 00:00:00',4,3,12,2008,'F','N','PORTO DO ITINGA','TIJUCAS','SC','124242242115131431426439592224610125147',13735,'129',42.20,1,3,NULL),(16,3105113,'1992-09-19 00:00:00',2,10,12,2008,'F','N','GLóRIA','OSóRIO','RS','120203201117131431437531575122610167092',15904,'9998',37.48,1,3,NULL),(16,3105121,'1992-06-22 00:00:00',4,8,12,2009,'F','S','SANTO ANTONIO','JOINVILLE','SC','124242241215111731476631575122610132142',NULL,'457',0.00,1,3,NULL),(16,3105130,'1991-04-15 00:00:00',4,4,11,2008,'M','N','CENTRO','MARCELINO RAMOS','RS','120204201415111431449931575122610117042',16323,'9998',36.29,3,3,NULL),(16,3105148,'1982-02-25 00:00:00',2,1,12,2000,'F','N','ABRAãO','FLORIANóPOLIS','SC','124242241217113411259914385122133214197',NULL,'270',0.00,1,3,NULL),(16,3105156,'1989-10-25 00:00:00',4,1,12,2006,'F','N','NOVA SUíçA','GOIâNIA','GO','109092091215571431468611575122610164187',484,'9998',75.91,1,3,NULL),(16,3105164,'1989-04-27 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241312372411436619245124610164017',NULL,'300',7.87,1,3,NULL),(16,3105172,'1991-01-05 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124242241215221451486612375112610138181',NULL,'1146',36.30,1,3,NULL),(16,3105199,'1989-09-04 00:00:00',2,1,12,2007,'F','N','ITAIPU','NITERóI','RJ','121212211217471431336831575114610161194',10630,'9998',47.67,1,3,NULL),(16,3105202,'1992-05-01 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111721367824572112610128197',NULL,'270',30.85,1,3,NULL),(16,3105210,'1991-02-16 00:00:00',2,4,11,2008,'F','N','CENTRO','IPORã OESTE','SC','124243241226271731437833235122610146157',NULL,'370',29.51,1,3,NULL),(16,3105229,'1990-03-06 00:00:00',4,1,11,2007,'F','N','PARQUE IMPERADOR','CAMPINAS','SP','125252251215472431469833571122610137053',2324,'9998',65.96,1,3,NULL),(16,3105237,'1979-10-13 00:00:00',2,1,10,2005,'F','N','AREIAS','S JOSé','SC','124241247131233431526611342324610114142',NULL,'403',24.51,1,3,NULL),(16,3105245,'1990-11-26 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124242241215122431459619575112610124167',2228,'738',66.31,1,3,NULL),(16,3105253,'1991-10-12 00:00:00',2,4,11,2008,'F','N','INTERIOR','S LOURENçO OESTE','SC','124241241115261732525619592314610116186',NULL,'9997',30.78,1,3,NULL),(16,3105270,'1988-03-10 00:00:00',2,8,12,2005,'M','N','BOM RETIRO','JOINVILLE','SC','124241241416273411128644145124233267147',NULL,'258',0.00,1,3,NULL),(16,3105288,'1991-02-07 00:00:00',2,1,11,2008,'M','N','PRAIA COMPRIDA','S JOSé','SC','124242248215111411647732571121610114052',NULL,'723',36.04,1,3,NULL),(16,3105296,'1991-05-21 00:00:00',4,1,11,2008,'M','N','PICADAS DO SUL','S JOSé','SC','124241241115131432538413341124610127042',NULL,'293',27.87,1,2,1),(16,3105300,'1991-11-21 00:00:00',2,8,12,2008,'F','N','CENTRO','MANOEL RIBAS','PR','116162161316221531458612275122610137072',NULL,'9998',0.00,1,3,NULL),(16,3105318,'1972-07-19 00:00:00',2,1,7,1998,'F','N','PRADO','BIGUAçU','SC','224241248326375421234349492234123227141',NULL,'185',31.91,1,3,NULL),(16,3105326,'1990-05-16 00:00:00',4,6,12,2007,'M','N','VILA OPERÁRIA','ITAJAI','SC','124242241215272441458811475122120744172',1649,'392',68.66,1,3,NULL),(16,3105334,'1991-01-11 00:00:00',4,4,12,2008,'F','N','DOS ESPORTES','XANXERê','SC','124241241136131441435634575125610154142',14804,'840',40.05,1,2,1),(16,3105342,'1990-10-08 00:00:00',2,1,11,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241116372411535511175114610167082',3410,'307',62.64,1,2,1),(16,3105350,'1989-09-25 00:00:00',4,6,12,2007,'F','N','SANTO ANTõNIO','BAL PIçARRAS','SC','124241241215111731546322575124232667017',13951,'394',41.75,1,3,NULL),(16,3105369,'1988-09-01 00:00:00',2,1,12,2005,'M','N','CENTRO','CPO GRANDE','MS','112124121215573431357822575122610164072',NULL,'9998',50.10,4,3,NULL),(16,3105377,'1988-12-15 00:00:00',4,5,12,2006,'M','N','CENTRO','CRICIúMA','SC','124242241215473751458831211125610167182',1063,'213',71.68,1,3,NULL),(16,3105385,'1991-02-12 00:00:00',4,3,12,2008,'F','N','HIGIENÓPOLIS','BAURU','SP','125252251215121411458833274122610125143',10025,'9998',48.73,1,3,NULL),(16,3105393,'1991-04-12 00:00:00',4,1,12,2008,'M','N','CLAUDETE','CASCAVEL','PR','116162161214151232468813574112610164182',3573,'9998',62.15,1,3,NULL),(16,3105407,'1991-05-08 00:00:00',2,3,12,2008,'F','N','CENTRO','CAMBORIU','SC','124241242116371721433321292124610122117',4714,'129',59.28,4,2,1),(16,3105415,'1990-09-28 00:00:00',4,8,12,2007,'F','N','JARDIM ROSA MARIA','S PAULO','SP','125252251216471431448834575122610137142',7208,'9998',53.90,1,3,NULL),(16,3105423,'1989-10-02 00:00:00',4,1,12,2007,'M','N','RESIDENCIAL TIVOLI','SOROCABA','SP','125252251217471431388912575112610127042',6123,'9998',56.09,1,3,NULL),(16,3105431,'1991-01-22 00:00:00',4,8,10,2008,'F','N','CENTRO','CASCAVEL','PR','116162161216471131368923572112610112093',15665,'9998',38.14,1,3,NULL),(16,3105440,'1990-11-06 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANóPOLIS','SC','124122121237272711168832575124120767012',320,'9998',77.74,1,3,NULL),(16,3105458,'1987-08-23 00:00:00',2,1,12,2004,'M','N','PRAI COMPRIDA','S JOSé','SC','124241248117144421236624275114220737062',NULL,'498',26.65,2,1,1),(16,3105466,'1991-06-10 00:00:00',4,10,11,2008,'M','N','DEHON','TUBARãO','SC','124242241215121411448653295125610137082',15744,'806',37.94,1,3,NULL),(16,3105474,'1990-03-02 00:00:00',4,4,12,2007,'F','N','MARIA GORETTI','CHAPECó','SC','124242241216572431348812325122610136142',8402,'185',51.59,1,3,NULL),(16,3105482,'1990-08-03 00:00:00',4,7,12,2007,'M','N','CENTRO','JOAçABA','SC','124162161216572731238819575114610167047',7212,'9998',53.89,1,3,NULL),(16,3105490,'1991-04-02 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241215111431457813575124610137182',10353,'738',48.16,1,3,NULL),(16,3105504,'1990-03-12 00:00:00',4,5,12,2006,'F','N','URUSSANGUINHA','ARARANGUá','SC','124243241212573431457939592122610134097',3583,'970',62.13,1,3,NULL),(16,3105512,'1988-07-15 00:00:00',4,3,12,2005,'F','N','JARDIM UNIVERSO','CAMBé','PR','116162161215571431447914574122610135122',5240,'9998',58.02,1,3,NULL),(16,3105520,'1991-04-24 00:00:00',4,7,12,2008,'M','N','CIDADE NOVA','PTO UNIãO','SC','124241241116131431336712275112610127047',10968,'635',47.08,1,2,1),(16,3105539,'1990-12-31 00:00:00',4,1,11,2008,'F','N','ZONA QUATRO','MARINGá','PR','116162161216121431549911214122610166012',NULL,'9998',0.00,1,3,NULL),(16,3105547,'1991-08-19 00:00:00',4,5,12,2008,'M','N','VOLTA REDONDA','MRO GRANDE','SC','124241241116161431423915452222610134142',NULL,'30',29.72,1,2,1),(16,3105555,'1990-08-06 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANóPOLIS','SC','124142241211373411458613571114610142072',4242,'1022',60.39,4,3,NULL),(16,3105563,'1990-11-14 00:00:00',4,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241126131421336614241124610123177',14986,'471',39.70,1,2,1),(16,3105580,'1990-11-07 00:00:00',4,1,12,2007,'F','N','JARDIM DO FORTE','CAMAQUã','RS','120202201236471451459911391122610124182',7970,'9998',52.48,1,3,NULL),(16,3105598,'1991-06-06 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215151411457613572124610161057',6614,'724',55.02,1,3,NULL),(16,3105601,'1989-05-22 00:00:00',2,1,11,2006,'M','N','CENTRO','CONCóRDIA','SC','124242241217574431469714475114610112162',6143,'1000',56.04,3,3,NULL),(16,3105610,'1991-01-22 00:00:00',4,4,12,2008,'F','N','ZONA RURAL','FREDERICO WESTPHALEN','RS','120201201116131431423335514224610146142',11260,'9998',46.54,1,3,NULL),(16,3105628,'1990-03-03 00:00:00',1,8,12,2007,'F','N','áMéRICA','JOINVILLE','SC','124242241214372431448832591124233262124',4780,'457',59.11,1,3,NULL),(16,3105636,'1991-04-02 00:00:00',4,9,12,2008,'M','N','CONTA DINHEIRO','LAGES','SC','124241241137131431338613185124610124147',NULL,'505',38.35,1,2,1),(16,3105644,'1990-11-28 00:00:00',4,1,12,2008,'F','N','JARDIM LA SALLE','TOLEDO','PR','116164161217151431369933574112610164197',4746,'9998',59.19,1,3,NULL),(16,3105652,'1990-01-06 00:00:00',4,1,11,2007,'M','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','124242241215372431669811412112610112141',1533,'270',69.20,1,3,NULL),(16,3105660,'1990-09-04 00:00:00',4,1,12,2007,'F','N','AGUA VERDE','CURITIBA','PR','116162161117271741358529596114620165097',NULL,'9998',0.00,1,3,NULL),(16,3105679,'1983-10-28 00:00:00',4,10,12,2000,'M','N','VILA NOVA','IMBITUBA','SC','124241241116112411237429432134610124182',12998,'359',43.51,1,2,1),(16,3105687,'1989-12-06 00:00:00',2,8,12,2006,'F','N','ÁGUA VERDE','JARAGUá SUL','SC','124241241215573411456933575124131431177',1966,'1061',67.32,1,3,NULL),(16,3105695,'1992-04-15 00:00:00',4,8,12,2008,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215371431479934492122610127057',2375,'457',65.80,1,3,NULL),(16,3105717,'1991-05-10 00:00:00',4,8,11,2008,'F','N','SAGUAçU','JOINVILLE','SC','124242241215121431479912595122610144042',NULL,'457',0.00,1,3,NULL),(16,3105725,'1991-06-29 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215272751526623371124610127052',9121,'738',50.38,1,3,NULL),(16,3105733,'1992-03-08 00:00:00',4,1,11,2009,'M','S','COQUEIROS','FLORIANóPOLIS','SC','124242241215111231569831295112610122092',NULL,'266',59.75,1,3,NULL),(16,3105741,'1986-09-21 00:00:00',2,1,7,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','224241247627142331323344141112610127042',NULL,'9999',30.50,1,3,NULL),(16,3105750,'1991-09-19 00:00:00',2,9,11,2008,'F','N','INDEPENDENCIA','POUSO REDONDO','SC','124243241345111231443532575112610127147',15385,'9997',38.80,1,3,NULL),(16,3105768,'1990-09-20 00:00:00',4,4,12,2007,'F','N','CENTRO','XANXERê','SC','120244241215571431457915172125610128147',4031,'1159',60.97,1,3,NULL),(16,3105776,'1991-12-28 00:00:00',4,1,11,2008,'M','N','BARREIOS','S JOSé','SC','124242241215111431237312395122610112147',14258,'738',41.12,1,3,NULL),(16,3105792,'1987-12-03 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANóPOLIS','SC','124243241326371721336919292112610167112',16659,'307',34.21,1,3,NULL),(16,3105806,'1991-05-30 00:00:00',4,8,11,2008,'M','N','PARQUE CIDADE JARDIM','UMUARAMA','PR','116162168216111521538831495121610114087',13848,'9998',41.95,3,3,NULL),(16,3105814,'1991-06-28 00:00:00',2,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124204241435122331587532276122610164115',9806,'270',49.14,1,3,NULL),(16,3105822,'1990-04-20 00:00:00',4,1,2,2008,'M','N','NOSSA SRA DO ROSáRIO','S JOSé','SC','124241241115372431536511294121121724067',1493,'739',69.41,1,2,1),(16,3105830,'1979-03-28 00:00:00',2,1,12,1997,'M','N','JARDIM SâO MIGUEL','BIGUAçU','SC','124164161436131411138843335112331067147',15070,'9998',39.49,1,3,NULL),(16,3105849,'1991-03-03 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241216271431533411575124610127097',1604,'299',68.89,1,3,NULL),(16,3105857,'1985-08-10 00:00:00',4,1,11,2002,'M','N','JARDIM DA GLóRIA','COTIA','SP','125252251217471451468911215124340267097',58,'9998',81.98,1,3,NULL),(16,3105865,'1991-06-23 00:00:00',2,1,12,2008,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241217121431386833572112610167042',13151,'1133',43.24,1,3,NULL),(16,3105873,'1991-02-12 00:00:00',4,1,12,2007,'F','N','ALTO ARROIO','IMBITUBA','SC','124241241117131431433319145233132723077',NULL,'361',28.22,1,2,1),(16,3105890,'1990-01-27 00:00:00',4,1,12,2007,'F','N','FORQUILHINHAS','S JOSé','SC','125251251146471431624613385124610123097',NULL,'9998',31.65,1,2,1),(16,3105903,'1989-07-20 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241217274411478819492124230228055',NULL,'270',40.31,3,3,NULL),(16,3105911,'1991-03-09 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215371231466623392125610147053',13078,'262',43.36,1,3,NULL),(16,3105920,'1991-06-11 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241216152431439922572224610122092',9564,'1057',49.59,1,3,NULL),(16,3105938,'1990-04-14 00:00:00',4,1,12,2007,'M','N','PARQUE SãO JORGE','FLORIANóPOLIS','SC','124242241216372431559713575124610134117',6140,'883',56.05,1,3,NULL),(16,3105946,'1988-11-07 00:00:00',2,8,12,2006,'F','N','SAGUAçU','JOINVILLE','SC','124163161217571751367927575122610132047',6093,'9998',56.15,1,3,NULL),(16,3105954,'1985-12-03 00:00:00',2,1,12,2003,'M','N','BARREIROS','S JOSé','SC','624242248211134421628544441333610162187',NULL,'738',28.89,1,3,NULL),(16,3105962,'1992-03-08 00:00:00',4,4,11,2008,'F','N','CENTRO','XAVANTINA','SC','124241241212131431354332295124610144152',3970,'1081',61.14,1,3,NULL),(16,3105970,'1990-12-05 00:00:00',2,5,6,2008,'F','N','CENTRO','IçARA','SC','124242246217371411459923375122610127141',15876,'230',37.54,1,3,NULL),(16,3105997,'1986-05-23 00:00:00',4,1,12,2004,'M','N','CENTRO','CAMPINAS','SP','125252251217573441579811577114610164097',1434,'9998',69.61,1,3,NULL),(16,3106004,'1980-10-18 00:00:00',4,1,12,1998,'M','N','CAMPINAS','S JOSé','SC','124244241215154431256623475114221437042',6437,'737',55.41,1,3,NULL),(16,3106012,'1988-09-22 00:00:00',2,1,8,2008,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241131272411318619582124610162142',NULL,'306',35.24,1,3,NULL),(16,3106020,'1991-02-06 00:00:00',4,1,11,2008,'F','N','JARDIM SATéLITE','S JOSé CAMPOS','SP','125254251215121411648714573124610123157',NULL,'9998',0.00,1,3,NULL),(16,3106039,'1990-08-16 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217152411629832291335230217097',NULL,'1022',25.14,3,3,NULL),(16,3106047,'1989-12-15 00:00:00',2,1,12,2007,'F','N','PETRóPOLIS','PTO ALEGRE','RS','120202201217471431368833575124610164147',6902,'9998',54.49,1,3,NULL),(16,3106055,'1990-08-03 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472711575612571122610126192',2061,'983',66.93,1,3,NULL),(16,3106063,'1991-03-06 00:00:00',4,1,11,2008,'F','N','PARQUE DOM ANTONIO R','STA MARIA','RS','120202201216371431568832392124610121142',NULL,'9998',0.00,1,3,NULL),(16,3106071,'1987-01-01 00:00:00',2,1,12,2004,'M','N','IPIRANGA','S JOSé','SC','124242241211373531237813385133220267057',2838,'269',64.26,1,3,NULL),(16,3106101,'1992-01-13 00:00:00',4,6,12,2009,'F','S','VILA OPERáRIA','ITAJAí','SC','124242241217151411448811474122610165187',NULL,'392',21.73,1,3,NULL),(16,3106110,'1991-09-21 00:00:00',3,1,12,2008,'F','N','RATONES','FLORIANóPOLIS','SC','124283241215111431579911472114610162091',2986,'270',63.84,4,3,NULL),(16,3106128,'1991-12-13 00:00:00',4,1,12,2008,'F','N','BUCAREIN','JOINVILLE','SC','124244201216131411469832225124610166097',NULL,'9998',0.00,1,3,NULL),(16,3106136,'1988-10-04 00:00:00',4,1,12,2005,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241416243421466623445122233268042',NULL,'257',41.96,1,3,NULL),(16,3106144,'1979-03-03 00:00:00',4,1,12,1998,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124244241435272431456713385112133268097',15797,'272',37.78,1,3,NULL),(16,3106160,'1991-03-06 00:00:00',4,7,12,2008,'M','N','REGINA','CATANDUVAS','SC','124241241116131431434634342332610114052',NULL,'161',23.53,1,2,1),(16,3106179,'1991-05-21 00:00:00',4,6,12,2008,'M','N','CENTRO','ITAJAí','SC','124164241216121431458619245122610124142',7774,'1026',52.82,1,3,NULL),(16,3106187,'1989-07-20 00:00:00',4,1,12,2006,'F','N','SERRARIA','S JOSé','SC','124243241115471711223319375114610144072',12157,'257',44.97,1,3,NULL),(16,3106195,'1988-06-30 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215573431346662575122610123147',491,'270',75.82,1,3,NULL),(16,3106209,'1991-05-18 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124242241215112431438832275124610122147',13305,'738',42.97,1,3,NULL),(16,3106217,'1977-01-04 00:00:00',4,4,12,1995,'M','N','CENTRO','ERECHIM','RS','120204207416151421247643435122140236043',NULL,'9999',0.00,1,3,NULL),(16,3106225,'1991-01-15 00:00:00',4,1,12,2008,'M','N','JARDIM SAMELLO','FRANCA','SP','125252251215131431436631573121610127047',NULL,'9998',0.00,1,3,NULL),(16,3106233,'1991-10-29 00:00:00',2,8,12,2008,'F','N','RONDINHA','CPO LARGO','PR','116161161116131731434639335124610161042',NULL,'9998',0.00,1,3,NULL),(16,3106241,'1991-05-17 00:00:00',2,4,12,2008,'M','N','PROGRESSO','MARAVILHA','SC','124241241126131431233344242334610112147',14454,'551',40.78,1,2,1),(16,3106250,'1990-12-07 00:00:00',4,1,12,2008,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124243241215111441568879575124610164045',1586,'1050',68.94,1,3,NULL),(16,3106268,'1990-04-11 00:00:00',4,1,7,2008,'M','N','JARDIM NIAGARA','JARDINóPOLIS','SP','125252281216371431488814575122610162143',NULL,'9998',0.00,1,3,NULL),(16,3106284,'1991-02-04 00:00:00',4,8,11,2008,'F','N','CENTRO','GUARAMIRIM','SC','124242241215111431435812575124610128097',15085,'491',39.46,1,3,NULL),(16,3106306,'1992-05-13 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431579911412122610126092',7560,'270',53.22,1,3,NULL),(16,3106314,'1991-07-05 00:00:00',2,1,12,2008,'F','N','FAZENDA STO ANTôNIO','S JOSé','SC','124242241115271431637614575124610142147',15718,'733',38.02,1,3,NULL),(16,3106322,'1989-05-17 00:00:00',4,1,12,2006,'F','N','JD SANTA CLARA','TAUBATé','SP','125252251211571411358623571121141066147',1798,'9998',68.00,1,3,NULL),(16,3106330,'1989-02-20 00:00:00',2,1,7,2008,'F','N','BARREIROS','S JOSé','SC','624251247127131432623654282323610123157',NULL,'729',22.01,1,2,1),(16,3106349,'1992-09-22 00:00:00',4,7,12,2009,'M','S','CENTRO','CAMPOS NOVOS','SC','124242241216111412469514575125610127057',NULL,'446',14.58,1,3,NULL),(16,3106357,'1991-09-08 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242248215111251449614492122610127072',15627,'738',38.24,1,3,NULL),(16,3106365,'1991-10-28 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431366623575124610166097',5381,'1022',57.69,1,3,NULL),(16,3106373,'1987-06-15 00:00:00',4,2,12,2005,'F','N','FORTALEZA','BLUMENAU','SC','124241241116573441323519375324132062172',7879,'83',52.64,1,2,1),(16,3106381,'1991-08-30 00:00:00',4,1,11,2008,'F','N','CENTRO','UMUARAMA','PR','116164161216421431355516595122613262142',NULL,'9998',0.00,1,3,NULL),(16,3106390,'1992-08-22 00:00:00',4,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242248215111731546629291124610138185',15026,'1022',39.60,1,3,NULL),(16,3106403,'1989-12-04 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242248215472431466633572124610131092',10272,'272',48.30,1,3,NULL),(16,3106411,'1986-10-17 00:00:00',2,1,12,2003,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241216143431433311385123232525092',12699,'737',44.00,1,3,NULL),(16,3106420,'1957-10-30 00:00:00',4,8,12,1983,'M','N','CENTRO','CURITIBA','PR','416162167221131431326641211124341064041',14617,'9998',40.46,1,3,NULL),(16,3106438,'1965-10-03 00:00:00',2,1,12,1983,'M','N','COQUEIROS','FLORIANóPOLIS','SC','224241241132135421439643432124331267097',NULL,'307',37.44,1,2,1),(16,3106446,'1990-12-20 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241217171311376612595124610117097',3104,'270',63.52,1,3,NULL),(16,3106454,'1992-01-05 00:00:00',4,1,12,2009,'M','S','ALTO ARIRIU','PALHOçA','SC','124242241217111311448619575122610127042',NULL,'989',26.86,1,3,NULL),(16,3106470,'1990-08-07 00:00:00',4,1,11,2007,'M','N','CENTRO','S GABRIEL OESTE','MS','112122121216271331446736275124140428057',5360,'9998',57.75,1,3,NULL),(16,3106489,'1989-04-28 00:00:00',2,4,12,2006,'F','N','ALVORADA','CHAPECó','SC','124102101216573431656631575124610147042',15359,'9998',38.86,1,3,NULL),(16,3106500,'1991-07-23 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431248867572122610161112',NULL,'951',0.00,1,3,NULL),(16,3106519,'1990-10-09 00:00:00',2,1,12,2008,'F','N','PARQUE ESTER','COSMóPOLIS','SP','125251251115471331336314575121610124117',6631,'9998',54.99,2,3,NULL),(16,3106527,'1991-01-25 00:00:00',4,6,12,2008,'M','N','STELLA MARIS','ANDRADINA','SP','125252251215171431468611575122610168042',NULL,'9998',0.00,1,3,NULL),(16,3106535,'1990-09-11 00:00:00',2,1,12,2007,'M','N','CALHEIROS','GOV CELSO RAMOS','SC','124241241117372531426913572114610127057',5777,'307',56.87,1,2,1),(16,3106543,'1988-07-23 00:00:00',2,1,12,2005,'F','N','COQUEIROS','FLORIANóPOLIS','SC','120202201216571431547823575124610137017',10709,'9998',47.54,1,3,NULL),(16,3106551,'1991-03-08 00:00:00',2,10,12,2008,'F','N','CENTRO','STA ROSA LIMA','SC','124241241125271431324413272325610164147',12948,'688',43.60,4,2,1),(16,3106560,'1991-08-17 00:00:00',4,5,12,2008,'F','N','CENTRO','ARARANGUá','SC','124241241215121431426613572112610121192',12538,'970',44.29,1,3,NULL),(16,3106578,'1989-02-05 00:00:00',4,1,12,2006,'F','N','BUTANTÃ','SAO PAULO','SP','125252251237471751388812572125610162092',71,'9998',81.70,1,3,NULL),(16,3106586,'1985-09-13 00:00:00',5,1,12,2003,'M','N','TRINDADE','FLORIANóPOLIS','SC','124051052116153411136621445121222222182',13064,'9998',43.37,1,2,1),(16,3106594,'1991-02-21 00:00:00',2,4,12,2008,'F','N','SANTA MARIA','CHAPECó','SC','124244241215131711438513585122610167017',NULL,'1046',27.87,1,3,NULL),(16,3106608,'1991-01-19 00:00:00',2,1,11,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241215371411459913574122610164182',10308,'270',48.24,3,3,NULL),(16,3106616,'1989-12-13 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215112431558834475124233212015',7715,'624',52.93,1,3,NULL),(16,3106632,'1991-07-16 00:00:00',4,4,12,2008,'F','N','BURU','SALTO','SP','125252251217111431358814572122610128047',NULL,'9998',30.65,1,3,NULL),(16,3106640,'1990-03-15 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241212373431335634575112610162142',4534,'270',59.69,1,3,NULL),(16,3106659,'1989-12-09 00:00:00',2,8,12,2007,'F','N','SAGUAçU','JOINVILLE','SC','124244241217471451323924282124610163187',15828,'1006',37.68,1,3,NULL),(16,3106667,'1991-08-30 00:00:00',4,1,11,2008,'M','N','PRAIA DE FORA','PALHOçA','SC','124246241117171431636711572324610121187',9637,'591',49.45,1,3,NULL),(16,3106675,'1990-04-20 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124252251215372431459831571114121127182',1401,'9998',69.81,1,3,NULL),(16,3106705,'1991-10-16 00:00:00',4,8,12,2008,'F','N','CENTRO','JARAGUá SUL','SC','124242241216152431579813572122610144046',10486,'424',47.93,1,3,NULL),(16,3106721,'1990-12-31 00:00:00',4,8,12,2008,'M','N','CENTRO','BIRIGüI','SP','125252251215171431446611515122610168042',NULL,'9998',0.00,1,3,NULL),(16,3106748,'1991-04-24 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241215131432346629281124610167023',14101,'738',41.44,1,3,NULL),(16,3106756,'1981-09-21 00:00:00',2,1,12,1999,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','224251251126574422243651285124232766097',12810,'9998',43.83,2,1,1),(16,3106764,'1990-05-29 00:00:00',2,1,12,2008,'F','N','ITARARé','STA MARIA','RS','120202207417141431428812345124610124142',NULL,'9998',0.00,1,3,NULL),(16,3106772,'1991-05-06 00:00:00',2,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','624242241215271431549814572124610133182',10004,'272',48.77,1,3,NULL),(16,3106780,'1992-02-11 00:00:00',4,1,11,2009,'M','S','ESTREITO','FLORIANóPOLIS','SC','124242241215112431568813575124610127067',NULL,'1022',55.53,1,3,NULL),(16,3106799,'1991-04-25 00:00:00',4,2,11,2008,'M','N','CAPITAIS','TIMBó','SC','124241251215111331383612575122610166142',5225,'1157',58.06,1,3,NULL),(16,3106810,'1992-09-26 00:00:00',4,10,12,2009,'F','S','CENTRO','BRAçO NORTE','SC','124242241215111431486832274122610124182',NULL,'806',53.22,1,3,NULL),(16,3106829,'1990-05-07 00:00:00',2,1,12,2007,'M','N','PONTE DE IMARUIM','PALHOçA','SC','124242241216472431358513575114230247042',795,'262',73.46,1,3,NULL),(16,3106837,'1991-09-03 00:00:00',4,3,12,2008,'F','N','PONTE ALTA','VOLTA REDONDA','RJ','121212211217111431388769575112610116187',NULL,'9998',0.00,5,3,NULL),(16,3106845,'1990-09-19 00:00:00',4,8,12,2007,'M','N','JD BRASILIA','ARAçATUBA','SP','125252251215323431458711515122610168042',7381,'9998',53.56,1,3,NULL),(16,3106853,'1988-09-08 00:00:00',4,1,12,2006,'M','N','JAO','GOIANIA','GO','109072071216571411567734572112610162077',654,'9998',74.53,1,3,NULL),(16,3106870,'1988-10-13 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241217372431568619385124220268095',4611,'270',59.54,1,3,NULL),(16,3106888,'1991-04-19 00:00:00',4,1,11,2008,'M','N','CENTRO','ERECHIM','RS','120202201215271431466732571125610167052',1421,'9998',69.67,1,3,NULL),(16,3106896,'1989-11-23 00:00:00',4,8,11,2007,'M','N','CENTRO','S FRANCISCO SUL','SC','124242246216311431568819395124610117041',NULL,'1105',23.21,1,3,NULL),(16,3106900,'1990-05-15 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124252251214472431138611574121610142012',6289,'9998',55.71,1,3,NULL),(16,3106918,'1988-04-19 00:00:00',4,1,12,2005,'F','N','GRANJA OLGA','SOROCABA','SP','125252251216571431443832571122610167097',9261,'9998',50.14,1,3,NULL),(16,3106926,'1991-05-22 00:00:00',4,8,12,2008,'M','N','VILA SãO FRANCISCO','S PAULO','SP','125252251215111751458834175114610167071',185,'9998',79.52,1,3,NULL),(16,3106934,'1986-10-31 00:00:00',2,1,12,2004,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241212154411549814242124133234192',9646,'272',49.43,1,3,NULL),(16,3106977,'1991-03-06 00:00:00',4,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAçU','SC','124242241217151431556714175122610122172',9881,'63',49.00,1,3,NULL),(16,3106985,'1989-09-11 00:00:00',4,1,12,2007,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124244241114372411446779442124610128057',8549,'267',51.34,1,3,NULL),(16,3106993,'1989-03-12 00:00:00',2,1,11,2007,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241142152431538513335124610124147',NULL,'283',0.00,4,3,NULL),(16,3107019,'1991-03-03 00:00:00',4,2,12,2008,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241217151431359924574115610136187',5592,'855',57.28,1,3,NULL),(16,3107027,'1988-02-09 00:00:00',2,1,12,2005,'F','N','KOBRASOL','S JOSé','SC','124242241216272431356633572122121438052',1688,'270',68.47,1,3,NULL),(16,3107035,'1991-10-27 00:00:00',2,1,12,2008,'F','N','JOAO PAULO','FLORIANóPOLIS','SC','124242241215271431575513592124610127055',2915,'270',64.07,1,3,NULL),(16,3107043,'1990-04-19 00:00:00',4,1,12,2007,'F','N','JARDIM PAULISTA','S PAULO','SP','125092091215472231488732575115610144092',4098,'9998',60.78,1,3,NULL),(16,3107051,'1991-10-14 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431267821575122610146147',NULL,'262',15.85,1,3,NULL),(16,3107060,'1990-10-25 00:00:00',2,5,11,2008,'M','N','JARDIM DAS AVENIDAS','ARARANGUá','SC','124241241215271331439739475122610167042',15628,'32',38.24,1,3,NULL),(16,3107078,'1991-05-20 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241215111431358677571124610127052',2729,'1118',64.61,4,3,NULL),(16,3107086,'1991-01-13 00:00:00',4,1,11,2008,'M','N','TIJUCO PRETO','CAçAPAVA','SP','125252251215111411479934275122610157052',6899,'9998',54.49,1,3,NULL),(16,3107094,'1991-02-20 00:00:00',2,1,12,2008,'F','N','VILA MATILDE','S PAULO','SP','125254251417131431366514115124610135112',NULL,'9998',0.00,1,3,NULL),(16,3107108,'1991-10-29 00:00:00',4,1,12,2008,'F','N','SãO SEBASTIãO','PALHOçA','SC','124241241146131431633311245124610124197',16164,'307',36.74,1,3,NULL),(16,3107116,'1991-09-15 00:00:00',4,5,12,2008,'F','N','BORTOLOTTO','NOVA VENEZA','SC','124241241117161731436614471112610138197',NULL,'576',27.72,1,2,1),(16,3107124,'1990-09-19 00:00:00',4,8,12,2007,'M','N','JD BRASILIA','ARAçATUBA','SP','125252251215322431456611515122610128043',9503,'9998',49.72,1,3,NULL),(16,3107132,'1991-07-02 00:00:00',4,8,11,2008,'M','N','GLóRIA','JOINVILLE','SC','124242241215111531479932595122610167112',NULL,'1016',39.41,1,3,NULL),(16,3107140,'1990-06-10 00:00:00',4,1,12,2008,'M','N','JARDIM SãO GABRIEL','CAMPINAS','SP','125252251217111731437833575124610137042',NULL,'9998',32.30,1,3,NULL),(16,3107175,'1990-10-06 00:00:00',4,8,12,2008,'M','N','AMéRICA','JOINVILLE','SC','124245248536111431358419575122610132187',NULL,'459',0.00,1,3,NULL),(16,3107213,'1991-08-03 00:00:00',2,4,12,2008,'M','N','CENTRO','XANXERê','SC','124243248215131411436624272125610132147',12539,'836',44.29,1,3,NULL),(16,3107230,'1990-07-02 00:00:00',4,1,12,2008,'M','N','JARDIM DA PENHA','VITóRIA','ES','108082081217111431468816575111610127042',773,'9998',73.66,1,3,NULL),(16,3107248,'1991-05-07 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217122431389914575112610125186',8460,'270',51.47,1,3,NULL),(16,3107256,'1988-08-27 00:00:00',4,1,12,2006,'M','N','CIDADE UNIVERSITARIA','CAMPINAS','SP','125252251216571431469613475122610137042',2789,'9998',64.46,1,3,NULL),(16,3107264,'1991-10-01 00:00:00',2,1,12,2008,'M','N','PRADO','S JOSé','SC','124241241416111411337652275124610137142',8674,'738',51.11,4,3,NULL),(16,3107280,'1991-05-29 00:00:00',4,6,12,2008,'F','N','FAZENDA','ITAJAí','SC','124243241517371442539633392122610144181',4935,'388',58.78,1,3,NULL),(16,3107299,'1990-11-06 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215112411468632572112610137122',3405,'270',62.66,1,3,NULL),(16,3107302,'1992-05-06 00:00:00',2,6,12,2009,'M','S','TATUAPE','S PAULO','SP','125252251212111431387812375122610117042',NULL,'9998',0.00,1,3,NULL),(16,3107310,'1991-07-24 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215111431456914572122610123097',8164,'737',52.09,1,3,NULL),(16,3107329,'1989-10-25 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215272431336723372124221236182',3584,'213',62.12,1,3,NULL),(16,3107337,'1991-06-28 00:00:00',4,6,12,2008,'M','N','ZONA QUATRO','CIANORTE','PR','116163161216111431345614575122610127042',7032,'9998',54.23,1,3,NULL),(16,3107345,'1984-12-02 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANóPOLIS','SC','124251251127374411335873282324610164072',NULL,'9998',26.88,1,2,1),(16,3107353,'1991-07-15 00:00:00',4,1,12,2008,'F','N','JARDIM PAGLIATTO','SOROCABA','SP','125252251216121431569813575122610128012',NULL,'9998',43.10,1,3,NULL),(16,3107361,'1990-03-14 00:00:00',4,10,12,2007,'M','N','AEROPORTO','TUBARãO','SC','124242241217372431459819282122130327112',11013,'806',46.99,4,3,NULL),(16,3107370,'1991-05-28 00:00:00',4,1,12,2008,'M','N','VILA NOVA','FRANCISCO BELTRãO','PR','116162161215371431458613172115610122194',4594,'9998',59.58,1,3,NULL),(16,3107396,'1990-04-16 00:00:00',2,10,12,2007,'M','N','PORTINHO','LAGUNA','SC','124241241126131431433613182341610117047',NULL,'521',16.46,1,3,NULL),(16,3107400,'1990-08-06 00:00:00',4,8,12,2007,'F','N','CENTRO','MIRANDóPOLIS','SP','125252251215475431456611515122610168181',NULL,'9998',0.00,1,3,NULL),(16,3107426,'1990-11-23 00:00:00',4,8,12,2008,'F','N','GUANABARA','JOINVILLE','SC','124242241215121431568919595122610127187',7143,'1016',54.01,1,3,NULL),(16,3107442,'1990-09-12 00:00:00',4,5,11,2007,'F','N','RIO MAINA','CRICIúMA','SC','124244241215472441346934374122610121092',12185,'995',44.93,1,3,NULL),(16,3107469,'1991-02-13 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241217112431336313572122610137075',6279,'1023',55.73,1,3,NULL),(16,3107477,'1991-07-05 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124241241146161412525419345114610115042',NULL,'66',26.60,1,3,NULL),(16,3107485,'1989-04-22 00:00:00',4,1,11,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241216573431446632375124610167142',13,'881',84.70,1,3,NULL),(16,3107493,'1989-08-11 00:00:00',4,1,12,2006,'M','N','BOSQUE DA SAUDE','CUIABá','MT','111114111437575411478811575124610114042',NULL,'9998',0.00,1,3,NULL),(16,3107507,'1990-03-23 00:00:00',4,7,11,2007,'M','N','CENTRO','TRêS PASSOS','RS','120202201217471431588814595124610147052',NULL,'9998',0.00,1,3,NULL),(16,3107515,'1985-11-25 00:00:00',2,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241247127131431524313142213610167117',NULL,'9999',4.87,1,2,1),(16,3107523,'1988-12-15 00:00:00',4,1,12,2006,'F','N','JD STO ANTONIO','OSASCO','SP','125252251217572431468812571114610123117',NULL,'9998',0.00,1,3,NULL),(16,3107531,'1991-03-16 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124243248215112431335633435124610116043',NULL,'1022',25.54,1,3,NULL),(16,3107540,'1990-12-11 00:00:00',4,4,12,2007,'F','N','ARI LUNARDI','XAXIM','SC','124241241116131731325434345124610123147',NULL,'847',21.48,1,3,NULL),(16,3107558,'1990-06-19 00:00:00',4,1,7,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124073071116272411148933572124610128184',8779,'9998',50.94,1,3,NULL),(16,3107566,'1991-06-29 00:00:00',4,1,11,2008,'F','N','PARQUE SãO JORGE','FLORIANóPOLIS','SC','124242241217122431553612412122610124182',11979,'270',45.29,1,3,NULL),(16,3107574,'1990-04-11 00:00:00',4,1,11,2006,'M','N','JURERê','FLORIANóPOLIS','SC','125202201217472431449932572122610164172',NULL,'9998',47.97,1,3,NULL),(16,3107582,'1984-04-11 00:00:00',4,1,12,2002,'F','N','ROçADO','S JOSé','SC','124241241127131431118349391211610127067',NULL,'729',23.06,4,2,1),(16,3107604,'1986-04-29 00:00:00',4,2,12,2003,'F','N','CENTRO','BLUMENAU','SC','124242241216523431487814372122132514155',4215,'855',60.45,1,3,NULL),(16,3107612,'1990-10-30 00:00:00',4,10,12,2008,'M','N','VILA ALVORADA','IMBITUBA','SC','124241241113111411213514572131610117042',7456,'359',53.39,1,2,1),(16,3107620,'1988-06-26 00:00:00',4,8,12,2005,'F','N','CABRAL','CURITIBA','PR','116162161216574751647614571124610164037',7638,'9998',53.08,1,3,NULL),(16,3107647,'1989-10-27 00:00:00',4,1,12,2006,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215372431468832572122121434142',218,'270',78.92,1,3,NULL),(16,3107655,'1991-02-08 00:00:00',4,5,11,2008,'F','N','MARIA CEU','CRICIúMA','SC','124242248215131431433319595122610136073',16596,'213',34.89,3,3,NULL),(16,3107663,'1991-01-02 00:00:00',2,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124243241416121431356613575124610146147',13737,'1022',42.20,1,3,NULL),(16,3107671,'1991-08-23 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124241241115371431467814575124610167182',11051,'739',46.93,1,2,1),(16,3107680,'1990-08-29 00:00:00',4,1,7,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241117151431468912342124230737012',1689,'9997',68.46,1,3,NULL),(16,3107701,'1989-11-22 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124161163116132431436769395124610123143',13204,'9998',43.14,1,2,1),(16,3107728,'1986-01-04 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241116212431526413245121230217047',NULL,'298',34.62,1,3,NULL),(16,3107736,'1991-04-08 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216112431479834575112610142071',735,'266',73.96,1,3,NULL),(16,3107744,'1990-02-23 00:00:00',4,6,11,2007,'M','N','OURO VERDE','ASSIS','SP','125252251235471431248823374121610114033',1304,'9998',70.33,1,3,NULL),(16,3107760,'1993-01-14 00:00:00',4,3,11,2009,'F','S','CENTRO','BAL CAMBORIú','SC','124162244215151731439931575122610124123',NULL,'9997',29.51,1,3,NULL),(16,3107779,'1990-11-27 00:00:00',4,1,12,2008,'F','N','CENTRO','TAUBATé','SP','125252251215111431357923575125610125142',14600,'9998',40.51,1,3,NULL),(16,3107795,'1991-04-17 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217111431368833574122610167067',3428,'270',62.59,1,3,NULL),(16,3107809,'1991-06-30 00:00:00',4,5,12,2008,'F','N','JARDIM ANGéLICA','CRICIúMA','SC','124242241215111431464712272124610133052',6666,'226',54.95,1,3,NULL),(16,3107817,'1983-10-17 00:00:00',4,1,12,2003,'M','N','JARDIM DAS AMéRICAS','CURITIBA','PR','116241241126142421345574445334610124047',13983,'772',41.68,1,2,1),(16,3107825,'1991-04-26 00:00:00',4,5,11,2008,'M','N','RIO MAINA','CRICIúMA','SC','124242241215111531327831574224610164092',11601,'213',46.00,1,3,NULL),(16,3107833,'1991-07-28 00:00:00',2,1,11,2008,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241212112411646619572114610128147',707,'266',74.20,1,3,NULL),(16,3107841,'1978-11-16 00:00:00',2,1,12,2008,'M','N','SANTOS DUMONT','S JOSé','SC','124243247131132422237644245324610118187',NULL,'9997',32.56,1,3,NULL),(16,3107850,'1986-02-17 00:00:00',4,1,12,2003,'F','N','PARQUE SãO DIOGO','S BERNARDO CAMPO','SP','125252251217573431539811571122610123077',2737,'9998',64.59,3,3,NULL),(16,3107868,'1977-08-22 00:00:00',2,1,12,1995,'F','N','JURERê','FLORIANóPOLIS','SC','124201206116141421147844445224343238091',6830,'9998',54.61,4,3,NULL),(16,3107876,'1991-04-20 00:00:00',4,1,11,2008,'F','N','ARIRIú DA FORMIGA','PALHOçA','SC','124243241115131431533314572124610123197',NULL,'592',26.81,1,3,NULL),(16,3107884,'1991-11-01 00:00:00',4,5,11,2008,'M','N','LIRI','IçARA','SC','124242241217121431454335175114610142142',893,'226',72.75,1,3,NULL),(16,3107892,'1992-06-06 00:00:00',2,1,12,2009,'F','S','CAMPECHE','FLORIANóPOLIS','SC','124242241215151431468613275124610126192',NULL,'269',30.48,4,3,NULL),(16,3107906,'1991-02-15 00:00:00',4,4,12,2007,'F','N','CENTRO','ENéAS MARQUES','PR','116164161435571431448833575122232443157',4519,'9998',59.73,1,3,NULL),(16,3107914,'1978-07-17 00:00:00',3,1,12,1996,'F','N','PANTANAL','FLORIANóPOLIS','SC','224162168217152411269852415122341056125',8934,'9998',50.67,1,3,NULL),(16,3107922,'1991-08-09 00:00:00',4,6,12,2008,'M','N','VILA OPERáRIA','ITAJAí','SC','124242241215371431477933572121610164042',1718,'392',68.35,1,3,NULL),(16,3107930,'1986-07-31 00:00:00',2,1,12,2004,'F','N','COQUEIROS','FLORIANóPOLIS','SC','224212041137141421246653342124340662197',13433,'9998',42.73,4,3,NULL),(16,3107949,'1988-07-30 00:00:00',4,1,4,2006,'F','N','PONTA DE BAIXO','S JOSé','SC','124242241117574431478834392124230247142',8501,'739',51.40,1,3,NULL),(16,3107965,'1990-07-05 00:00:00',4,1,12,2008,'F','N','CENTRO','CPO GRANDE','MS','112122121216271431569833574122610163142',3858,'9998',61.43,1,3,NULL),(16,3107973,'1990-11-01 00:00:00',4,1,11,2008,'F','N','PORTãO','CURITIBA','PR','116162161217131431548611472122610134075',6878,'9998',54.52,1,3,NULL),(16,3107981,'1990-10-29 00:00:00',2,1,12,2007,'M','N','SERRARIA','S JOSé','SC','124243241212112431348934245124610167057',NULL,'63',42.19,1,3,NULL),(16,3108007,'1989-11-18 00:00:00',2,1,12,2006,'F','N','BELA VISTA III','S JOSé','SC','124244241215372431546613395124130237147',5528,'943',57.41,1,3,NULL),(16,3108015,'1983-05-22 00:00:00',4,1,12,2000,'F','N','SãO GERALDO','MANAUS','AM','104041041116141411633521214224610122162',NULL,'9998',0.00,4,2,1),(16,3108023,'1991-07-17 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241111271321268821571124610132181',458,'267',76.14,1,2,1),(16,3108058,'1985-05-16 00:00:00',4,1,12,2003,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','424202201211211411238811222132240226115',NULL,'9998',0.00,1,3,NULL),(16,3108066,'1991-11-30 00:00:00',2,8,11,2008,'M','N','BIGORRILHO','CURITIBA','PR','116221161315111331458814475314610132142',NULL,'9998',53.79,3,3,NULL),(16,3108074,'1991-07-01 00:00:00',4,1,11,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124244241215121431678813375124610127045',NULL,'270',35.75,2,1,2),(16,3108082,'1987-10-05 00:00:00',2,1,12,2004,'M','N','CENTRO','BIGUAçU','SC','124241241117131721347812245123131065097',NULL,'110',24.58,1,2,1),(16,3108104,'1989-11-29 00:00:00',2,10,12,2007,'F','N','TIRANDENTE','GRAVATAL','SC','124241248125271421233319346134610168047',12178,'332',44.94,1,2,1),(16,3108112,'1988-05-25 00:00:00',4,3,12,2005,'F','N','JARDIM SãO JOSé','CAçAPAVA','SP','125251251116151431433629575144610163187',NULL,'9998',24.32,1,2,1),(16,3108120,'1991-07-19 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241235111431137932472114610147085',12818,'1022',43.82,2,3,NULL),(16,3108139,'1989-08-05 00:00:00',4,1,11,2007,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124244241217272731479517375114133267065',13073,'270',43.36,1,3,NULL),(16,3108147,'1988-03-24 00:00:00',2,1,11,2005,'F','N','INGLESES','FLORIANóPOLIS','SC','124243241212113441234424442124610126147',NULL,'1003',35.64,1,3,NULL),(16,3108155,'1990-08-30 00:00:00',4,4,12,2007,'M','N','VILA ISABEL','PATO BRANCO','PR','116163161315471751448714575125610167142',7144,'9998',54.01,1,3,NULL),(16,3108171,'1992-04-11 00:00:00',4,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215111431569813596122610142147',4782,'211',59.11,1,3,NULL),(16,3108180,'1991-01-16 00:00:00',4,2,11,2008,'F','N','GARCIA','BLUMENAU','SC','124242241215121411548831275122610132142',2678,'855',64.76,1,3,NULL),(16,3108198,'1989-08-31 00:00:00',4,1,12,2006,'F','N','VILA SANTA CLARA','BAURU','SP','125252251416572431559832575112610142092',3812,'9998',61.56,1,3,NULL),(16,3108201,'1989-03-08 00:00:00',4,1,12,2006,'M','N','CAMAQUã','PTO ALEGRE','RS','120202201115571431558933475124610134112',NULL,'9998',0.00,1,3,NULL),(16,3108210,'1991-02-25 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215131431348832245111610137107',10990,'44',47.04,1,3,NULL),(16,3108228,'1991-10-12 00:00:00',2,9,12,2008,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124242241217111431459811575122610164182',15690,'1146',38.09,1,3,NULL),(16,3108236,'1991-03-20 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111431448811475124610167011',3270,'1022',63.09,1,3,NULL),(16,3108244,'1990-06-30 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241217372731666913292124610137077',12635,'1118',44.11,1,3,NULL),(16,3108252,'1990-08-23 00:00:00',4,1,11,2008,'F','N','BOM FIM','PTO ALEGRE','RS','120202201317371731647832572124610164017',NULL,'9998',28.24,1,3,NULL),(16,3108260,'1989-07-29 00:00:00',2,8,12,2006,'F','N','CRISTO REI','CAPANEMA','PR','116161161117571411446612574324610146077',NULL,'9998',0.00,1,2,1),(16,3108279,'1991-11-08 00:00:00',4,1,12,2008,'M','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241211111431469813572124610122062',NULL,'262',30.45,1,3,NULL),(16,3108287,'1989-10-04 00:00:00',2,1,12,2006,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124252241215574431468823572124610121142',2965,'270',63.93,1,3,NULL),(16,3108295,'1991-08-29 00:00:00',4,5,11,2008,'M','N','COMERCIáRIO','CRICIúMA','SC','124242241215271411336811572122610167182',4461,'210',59.87,1,3,NULL),(16,3108309,'1989-12-03 00:00:00',4,1,12,2006,'M','N','CENTRO','TREZE TíLIAS','SC','125244241211571711458913192112610168022',5967,'270',56.43,1,3,NULL),(16,3108317,'1991-08-20 00:00:00',2,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215111431648923431122610115121',6570,'737',55.14,1,3,NULL),(16,3108333,'1988-10-25 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241116573411323313345114610132053',NULL,'281',24.79,1,2,1),(16,3108341,'1991-06-28 00:00:00',4,1,11,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215271431379923575122610117072',4701,'270',59.30,1,3,NULL),(16,3108368,'1990-05-02 00:00:00',4,3,12,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241122131731348621515225610114177',13727,'405',42.21,1,3,NULL),(16,3108376,'1992-03-12 00:00:00',4,6,12,2008,'M','N','ITAIPAVA','ITAJAí','SC','124243241215121731446619575125610167062',9610,'392',49.50,1,3,NULL),(16,3108384,'1991-07-11 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215471731367924575114610127057',NULL,'1022',0.00,1,3,NULL),(16,3108392,'1984-06-08 00:00:00',4,1,12,2001,'M','N','JARDIM BRASIL','BAURU','SP','125253251216371431568831475122341037042',7824,'9998',52.73,1,3,NULL),(16,3108406,'1990-04-10 00:00:00',4,1,12,2007,'F','N','VILA CIPA','PNT GROSSA','PR','116162161216371451568812575324610128147',3325,'9998',62.92,1,3,NULL),(16,3108414,'1988-10-28 00:00:00',4,1,12,2005,'M','N','VILA VERDE','ANáPOLIS','GO','109092091416472431558833484121610167047',3627,'9998',62.01,1,3,NULL),(16,3108422,'1989-05-24 00:00:00',2,1,12,2006,'M','N','FLOR DE NáPOLIS','S JOSé','SC','124243241216372532433619495124610137065',12517,'944',44.35,1,3,NULL),(16,3108430,'1989-02-12 00:00:00',4,1,12,2006,'M','N','SANTA CRUZ','MOGI MIRIM','SP','125252251215571411568712415122610114092',886,'9998',72.79,1,3,NULL),(16,3108449,'1991-04-26 00:00:00',2,5,12,2008,'F','N','ILHAS','ARARANGUá','SC','124243241215371731334923595124610128072',NULL,'970',34.65,1,3,NULL),(16,3108457,'1981-03-08 00:00:00',2,5,11,2001,'M','N','CEARá','CRICIúMA','SC','124241241217373441346311112225331232117',NULL,'229',29.26,1,3,NULL),(16,3108465,'1991-07-08 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241117131731636334392224610126192',NULL,'281',24.76,1,3,NULL),(16,3108473,'1986-06-25 00:00:00',4,1,12,2003,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241115372431459812475121221447045',2181,'267',66.49,1,2,1),(16,3108481,'1989-06-22 00:00:00',4,1,12,2006,'F','N','JD CIDADE DE FPOLIS','S JOSé','SC','124243241217573331356849271114610168077',9351,'943',49.98,1,3,NULL),(16,3108511,'1991-03-01 00:00:00',4,8,11,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215111431479814582122610167147',1161,'486',71.15,1,3,NULL),(16,3108520,'1990-11-15 00:00:00',2,1,11,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124242241215131431456839575124610134147',NULL,'9997',22.83,1,3,NULL),(16,3108538,'1991-07-04 00:00:00',4,8,12,2008,'M','N','CENTRO','OSVALDO CRUZ','SP','125252251216271321548612175122610138017',NULL,'9998',0.00,1,3,NULL),(16,3108546,'1991-08-09 00:00:00',4,4,12,2008,'F','N','CENTRO','GAURAMA','RS','120204201217121431348831572124610124142',11610,'9998',45.98,1,3,NULL),(16,3108554,'1990-06-28 00:00:00',4,6,12,2007,'F','N','ITAJUBA','BARRA VELHA','SC','124242241214471431568812592122610166157',9540,'392',49.64,1,3,NULL),(16,3108562,'1985-09-03 00:00:00',2,8,4,2003,'F','N','CENTRO','CURITIBA','PR','116161161117574721448812572111613217077',NULL,'9998',0.00,1,3,NULL),(16,3108570,'1988-05-10 00:00:00',4,1,11,2005,'M','N','JARDIM SANTO ANTôNIO','LONDRINA','PR','116162161217571441469921575112610134016',860,'9998',73.00,4,3,NULL),(16,3108589,'1964-06-14 00:00:00',4,6,12,1980,'F','N','CENTRO','ITAJAí','SC','224202201217151441388951412122442462182',5813,'9998',56.77,1,3,NULL),(16,3108597,'1991-01-25 00:00:00',2,1,12,2008,'F','N','BELA VISTA','S JOSé','SC','124241241211211411424534185124610134147',13768,'1036',42.13,1,3,NULL),(16,3108600,'1987-04-20 00:00:00',2,1,12,2005,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241142133531127329282323610127187',11984,'290',45.29,1,2,1),(16,3108619,'1991-06-23 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242243211111431356631571124610117147',NULL,'738',0.00,1,3,NULL),(16,3108635,'1990-01-16 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241211112431355512271124231047047',12177,'270',44.94,4,1,2),(16,3108643,'1990-02-02 00:00:00',4,7,11,2007,'F','N','BATEL','CURITIBA','PR','116241161216473431477632274122610133092',NULL,'9998',0.00,1,3,NULL),(16,3108651,'1991-05-06 00:00:00',4,8,12,2008,'M','N','IGREJINHA','APUCARANA','PR','116161161116271431436634282122610168147',NULL,'9998',0.00,3,2,1),(16,3108660,'1990-09-17 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124162241214134752326819591324230262174',745,'991',73.88,3,3,NULL),(16,3108678,'1991-01-12 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241415131251456933385114610144147',13659,'269',42.35,1,3,NULL),(16,3108686,'1991-09-06 00:00:00',2,1,11,2008,'M','N','FLOR DE NAPOLIS','S JOSé','SC','124242241216141421333311575111610167172',16545,'1074',35.22,1,3,NULL),(16,3108694,'1988-12-14 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241248117144431536614392124230862081',14521,'257',40.65,1,3,NULL),(16,3108708,'1990-09-29 00:00:00',4,8,12,2008,'M','N','GLóRIA','JOINVILLE','SC','124242241416371431457732575121610137042',NULL,'491',26.34,1,3,NULL),(16,3108716,'1991-01-11 00:00:00',4,5,11,2008,'F','N','NOVA DIVINéIA','ARARANGUá','SC','124241241115131431423324392321610161057',NULL,'30',27.04,3,2,1),(16,3108724,'1989-09-21 00:00:00',2,1,12,2007,'M','N','CENTRO','LAJEADO','RS','120204201416371431339931293135610117043',8696,'9998',51.08,1,3,NULL),(16,3108732,'1992-07-14 00:00:00',4,1,12,2009,'F','S','CENTRO','TIJUCAS','SC','124242241215171431333532575124610141092',NULL,'270',35.56,1,3,NULL),(16,3108740,'1991-04-29 00:00:00',4,1,11,2008,'M','N','JURERE INTERNACIONAL','FLORIANóPOLIS','SC','124242241215471441369923575114610127052',6473,'270',55.32,1,3,NULL),(16,3108759,'1991-12-11 00:00:00',4,1,12,2008,'M','N','CAXAMBú','JUNDIAí','SP','125252251214111431439614575114610167187',NULL,'9998',0.00,1,3,NULL),(16,3108775,'1991-08-29 00:00:00',4,10,10,2008,'F','N','AEROPORTO','TUBARãO','SC','124242241217121431559811472122610163077',6431,'807',55.42,1,3,NULL),(16,3108783,'1986-03-14 00:00:00',2,1,12,2005,'M','N','SANTO ANTONIO','ARACAJU','SE','126262268216414721356929572122610127112',10462,'9999',47.98,4,3,NULL),(16,3108791,'1987-06-12 00:00:00',4,2,11,2004,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124162161216574731559933575122232444017',4613,'9998',59.52,1,3,NULL),(16,3108805,'1991-03-25 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124242241215111431436913291124610127057',NULL,'944',22.27,1,3,NULL),(16,3108830,'1990-05-07 00:00:00',4,1,12,2007,'F','N','SANTA CRUZ','RIBEIRãO PRETO','SP','125252251217471411276923581112610134127',1629,'9998',68.75,4,3,NULL),(16,3108848,'1985-02-11 00:00:00',2,8,12,2002,'F','N','CAPãO DA IMBUíA','CURITIBA','PR','116161161116472431339933572124610162182',5075,'9998',58.46,1,3,NULL),(16,3108856,'1987-10-18 00:00:00',4,1,7,2005,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124073071117572731468832575115220667112',NULL,'9998',14.54,2,3,NULL),(16,3108872,'1990-10-02 00:00:00',4,7,12,2008,'M','N','SãO CRISTóVãO','CAPINZAL','SC','124241247226131431233317245334610135097',NULL,'1093',0.00,1,3,NULL),(16,3108880,'1991-01-10 00:00:00',4,2,12,2008,'F','N','ASILO','BLUMENAU','SC','124241241215111432538814575122610167147',9690,'87',49.36,4,3,NULL),(16,3108899,'1989-11-16 00:00:00',2,5,12,2007,'F','N','SANTO ANTONIO','CRICIúMA','SC','124244241215472441437614372124610122077',4553,'210',59.66,4,3,NULL),(16,3108902,'1990-02-20 00:00:00',4,1,12,2007,'F','N','JARDIM SHANGRILA','ITAPETININGA','SP','125252251217471431438916575122610124123',NULL,'9998',25.86,1,3,NULL),(16,3108910,'1988-04-16 00:00:00',4,1,12,2005,'F','N','GRANJA JULIETA','S PAULO','SP','125172091215571431268824574124610167157',483,'9998',75.92,1,3,NULL),(16,3108937,'1991-01-11 00:00:00',2,1,12,2008,'F','N','CENTRO','CAçADOR','SC','124242241215111531428823475122610164077',NULL,'1124',35.46,1,3,NULL),(16,3108945,'1992-09-20 00:00:00',4,1,11,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217111531489911575121610162062',NULL,'270',52.84,1,3,NULL),(16,3108953,'1989-11-27 00:00:00',4,1,12,2007,'M','N','JARDIM CENTRAL','FOZ IGUAçU','PR','116162161217471731646529585114610142177',NULL,'9999',33.36,3,3,NULL),(16,3108961,'1991-08-11 00:00:00',2,1,11,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241415112431546623572124610141187',14427,'1022',40.83,1,3,NULL),(16,3108970,'1991-11-13 00:00:00',4,1,11,2008,'M','N','CENTRO','CURITIBA','PR','116162161416211431448414575125610117042',9899,'9998',48.95,2,1,2),(16,3108988,'1988-01-02 00:00:00',2,1,12,2005,'F','N','PRAIA COMPRIDA','S JOSé','SC','124242241215374732457623572114610167072',10845,'1036',47.28,1,3,NULL),(16,3108996,'1988-01-29 00:00:00',4,1,12,2005,'M','N','CORAL','LAGES','SC','124241241116273431538821215324221434061',1801,'498',67.99,1,2,1),(16,3109003,'1989-05-22 00:00:00',4,8,12,2006,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215572431348729594122610145097',NULL,'9998',0.00,1,3,NULL),(16,3109011,'1991-03-29 00:00:00',4,1,10,2008,'M','N','CENTRO','S JOSé','SC','124242241215112431259923572124610127141',8070,'266',52.29,1,3,NULL),(16,3109020,'1989-03-25 00:00:00',4,1,12,2006,'M','N','CHáCARA MONTE ALEGRE','S PAULO','SP','125252251215572431458612574124610162052',2478,'9998',65.41,1,3,NULL),(16,3109038,'1992-03-08 00:00:00',4,1,11,2009,'F','S','COQUEIROS','FLORIANóPOLIS','SC','124242241217111731379833571124610142192',NULL,'262',45.52,1,3,NULL),(16,3109046,'1987-07-26 00:00:00',4,1,12,2005,'F','N','BARREIROS','S JOSé','SC','124201201422111321223765442334610125073',NULL,'9998',14.55,1,3,NULL),(16,3109054,'1991-12-23 00:00:00',4,4,12,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241217131431438611412322610134012',5844,'751',56.69,1,3,NULL),(16,3109062,'1991-04-21 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111431478613575112610167147',NULL,'738',31.18,1,3,NULL),(16,3109070,'1981-06-11 00:00:00',2,1,12,1999,'F','N','CAMPINAS','S JOSé','SC','124242241216145411346621415122131046187',12832,'1036',43.79,1,3,NULL),(16,3109089,'1988-02-17 00:00:00',4,8,12,2005,'M','N','BOM RETIRO','JOINVILLE','SC','124242241217574421258923485125231464185',NULL,'270',0.00,4,3,NULL),(16,3109097,'1991-12-15 00:00:00',4,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215131431439919575124610165112',NULL,'995',18.48,1,3,NULL),(16,3109100,'1987-12-03 00:00:00',2,3,12,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124192247215574431167833575114131434132',769,'9999',73.68,1,3,NULL),(16,3109119,'1991-06-22 00:00:00',4,1,11,2008,'M','N','ARAéS','CUIABá','MT','111112111216111741258823432212610164172',7138,'9998',54.03,4,3,NULL),(16,3109127,'1991-10-07 00:00:00',4,4,12,2008,'M','N','MARIA GORETTI','CHAPECó','SC','124242241215111431366814271122610146052',7641,'168',53.07,1,3,NULL),(16,3109135,'1991-07-05 00:00:00',4,3,12,2008,'F','N','GLEBA PALHANO','LONDRINA','PR','116162161216111421369912344112610163147',NULL,'9998',0.00,1,3,NULL),(16,3109143,'1990-08-18 00:00:00',2,1,7,2008,'F','N','SãO SEBASTIãO','PALHOçA','SC','124244241117131331335614385124610134057',13358,'739',42.87,1,3,NULL),(16,3109151,'1992-04-20 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215122431449832572122610163192',3716,'1038',61.79,1,3,NULL),(16,3109178,'1987-09-22 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241211373431468833573121130262161',1307,'270',70.31,1,3,NULL),(16,3109186,'1991-02-11 00:00:00',4,2,10,2008,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241215273431447611594124610168012',4139,'855',60.68,3,3,NULL),(16,3109194,'1988-07-14 00:00:00',4,1,11,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215574411379813225112131062042',1376,'266',69.97,1,3,NULL),(16,3109208,'1991-07-17 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111431336932592114610162141',NULL,'270',51.29,1,3,NULL),(16,3109216,'1990-10-04 00:00:00',4,1,12,2008,'F','N','CAXAMBú','JUNDIAí','SP','125252251237111431439614575114610165197',NULL,'9998',0.00,2,3,NULL),(16,3109224,'1990-02-16 00:00:00',4,1,12,2006,'M','N','VILA MENCK','OSASCO','SP','125252251217571431476611571125610162142',12572,'9998',44.23,1,3,NULL),(16,3109232,'1990-10-29 00:00:00',4,1,11,2008,'M','N','JURERE','FLORIANóPOLIS','SC','124242241217122431469827372124610164091',4204,'270',60.47,1,3,NULL),(16,3109259,'1991-07-19 00:00:00',4,1,12,2008,'M','N','SAO QUIRINO','CAMPINAS','SP','125252251216371431578811272122610167012',5921,'9998',56.53,1,3,NULL),(16,3109267,'1987-07-15 00:00:00',4,1,12,2004,'M','N','JARDIM ANA EMILIA','TAUBATé','SP','125252253247472131437532282212140237047',11799,'9998',45.63,2,3,NULL),(16,3109283,'1990-07-10 00:00:00',4,8,11,1997,'M','N','CRISTO REI','CURITIBA','PR','116162161217471441448811571114610167057',NULL,'9998',0.00,1,3,NULL),(16,3109291,'1979-01-12 00:00:00',4,1,12,1996,'M','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','224241248126272431235544245124610122067',13804,'295',42.05,1,3,NULL),(16,3109305,'1990-05-16 00:00:00',4,8,12,2007,'F','N','CENTRO','REGISTRO','SP','116251251216371431436832575124610161097',NULL,'9998',37.48,3,3,NULL),(16,3109313,'1991-09-27 00:00:00',4,1,12,2008,'F','N','PRAIA DA ARMAçãO','FLORIANóPOLIS','SC','124243241237111441349813374124610121181',4909,'1022',58.84,4,3,NULL),(16,3109321,'1991-09-15 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431379813575112610167042',10774,'266',47.42,1,3,NULL),(16,3109330,'1988-09-20 00:00:00',4,1,11,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124243247427141431653332341124610123077',NULL,'9999',21.51,4,1,2),(16,3109348,'1985-03-18 00:00:00',4,1,12,2002,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241214152431369631575112121468191',2907,'44',64.09,1,3,NULL),(16,3109356,'1990-01-10 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124202241215373431486612575112610163071',NULL,'270',0.00,1,3,NULL),(16,3109364,'1983-02-01 00:00:00',2,1,12,2000,'F','N','CAMPINAS','S JOSé','SC','124242247216142411346621415122130224187',NULL,'9999',0.00,1,3,NULL),(16,3109380,'1990-11-09 00:00:00',4,8,12,2007,'F','N','GUABIROTUBA','CURITIBA','PR','116162161215571731448834592122610165142',NULL,'9998',0.00,1,3,NULL),(16,3109399,'1991-12-27 00:00:00',2,1,12,2008,'F','N','AREIAS','S JOSé','SC','124241241245122411343531572124610126192',7971,'1022',52.48,1,3,NULL),(16,3109402,'1991-09-15 00:00:00',4,6,12,2008,'F','N','SãO JUDAS','ITAJAí','SC','124242241215222431479933435112610166192',9228,'1026',50.20,1,3,NULL),(16,3109410,'1991-08-20 00:00:00',4,8,11,2008,'M','N','CENTRO','GARUVA','SC','124164241215111231366824575122610167062',12749,'486',43.92,4,3,NULL),(16,3109429,'1993-05-22 00:00:00',2,1,11,2009,'F','S','AMBRóSIO','GAROPABA','SC','124241241415161431546312277124610134152',NULL,'362',42.38,1,3,NULL),(16,3109437,'1991-06-09 00:00:00',4,10,12,2008,'M','N','VILA MOEMA','TUBARãO','SC','124242241237152431468831575122610124112',180,'797',79.56,1,3,NULL),(16,3109445,'1991-03-14 00:00:00',2,1,12,2008,'F','N','SANTOS DUMONT','S JOSé','SC','124244241115111411545812375114610163163',NULL,'959',20.37,1,3,NULL),(16,3109453,'1990-06-12 00:00:00',4,3,11,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215371731538811594112142264173',1224,'44',70.80,1,3,NULL),(16,3109461,'1991-09-04 00:00:00',5,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124242241415372441489914575124610164093',441,'270',76.31,1,3,NULL),(16,3109470,'1991-07-25 00:00:00',4,8,11,2008,'M','N','PARANAGUAMIRIM','JOINVILLE','SC','124243241215371411446314585214610164147',2796,'1016',64.41,3,3,NULL),(16,3109496,'1986-03-19 00:00:00',4,1,12,2003,'F','N','SANTA MONICA','FLORIANóPOLIS','SC','124242241217272731469914434122321233097',7219,'270',53.87,1,3,NULL),(16,3109500,'1991-02-02 00:00:00',4,6,11,2008,'F','N','ITAIPAVA','ITAJAí','SC','124243241215111431436412572122610148092',NULL,'392',26.48,1,3,NULL),(16,3109518,'1991-09-09 00:00:00',4,3,11,2008,'F','N','CENTRO','CURITIBA','PR','116162161216111431459931575112610134147',4180,'9998',60.53,1,3,NULL),(16,3109526,'1992-11-18 00:00:00',4,1,11,2009,'F','S','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124243248217111431456534595114610148057',NULL,'270',49.92,1,3,NULL),(16,3109534,'1991-12-10 00:00:00',4,1,12,2009,'F','S','SANTA MôNICA','FLORIANóPOLIS','SC','124244241212111431669613572124610126057',NULL,'266',22.54,1,3,NULL),(16,3109550,'1991-08-02 00:00:00',4,3,12,2008,'M','N','CENTRO','CASCA','RS','120201201116141431325629394125610168187',NULL,'9998',40.72,1,2,1),(16,3109569,'1976-08-08 00:00:00',2,1,11,2007,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124281247126151411347611575124610136047',10185,'9999',48.45,1,2,1),(16,3109577,'1991-03-11 00:00:00',4,8,11,2008,'F','N','BUCAREIN','JOINVILLE','SC','124242248216111751379919595122610161077',NULL,'1063',21.08,1,3,NULL),(16,3109585,'1991-11-13 00:00:00',4,1,12,2008,'M','N','CORRéGO GRANDE','FLORIANóPOLIS','SC','124242241215111531448833572112610167045',6357,'270',55.56,1,3,NULL),(16,3109593,'1990-04-29 00:00:00',4,1,12,2007,'F','N','JARDIM DAS NAçõES','TAUBATé','SP','125252251215471411447914345112610125194',5311,'9998',57.85,1,3,NULL),(16,3109615,'1991-02-05 00:00:00',4,1,12,2008,'M','N','SANTA TEREZINHA','BAURU','SP','125254251217171431449731475122610137047',NULL,'9998',0.00,1,3,NULL),(16,3109623,'1990-12-18 00:00:00',4,1,12,2008,'F','N','JARDIM ANA EMíLIA','TAUBATé','SP','125252251217121431437532342212610134182',NULL,'9998',36.57,4,3,NULL),(16,3109631,'1990-08-14 00:00:00',4,8,12,2008,'M','N','JARDIM COOLAPA','S SEBASTIãO PARAíSO','MG','113134131216111431348824572112610127052',5405,'9998',57.65,1,3,NULL),(16,3109640,'1991-09-26 00:00:00',4,2,11,2008,'M','N','BNH SEGUNDO PLANO','DOURADOS','MS','112122121217171231238615475112610164044',NULL,'9998',35.18,1,3,NULL),(16,3109674,'1991-05-15 00:00:00',2,2,12,2008,'F','N','GARCIA','BLUMENAU','SC','124241241116131431425929345124610133142',NULL,'69',0.00,1,2,1),(16,3109682,'1989-09-02 00:00:00',2,1,12,2008,'M','N','PONTA DE BAIXO','S JOSé','SC','124203248316371431346614575124610114052',13519,'270',42.59,1,3,NULL),(16,3109704,'1991-09-02 00:00:00',2,7,12,2008,'F','N','MENINO DEUS','JOAçABA','SC','124242248216371531536923572122610111147',NULL,'454',30.55,1,3,NULL),(16,3109712,'1988-01-05 00:00:00',2,1,12,2006,'F','N','FUNDOS','BIGUAçU','SC','124242241215573431363612575114610126072',4908,'270',58.84,4,3,NULL),(16,3109720,'1989-02-04 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124202241214112431157622275124121437067',3982,'820',61.10,1,3,NULL),(16,3109739,'1990-07-18 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217473731478612575122230267045',5957,'270',56.44,1,3,NULL),(16,3109755,'1988-08-28 00:00:00',4,4,12,2005,'M','N','CENTRO','BARRACãO','PR','116241241115572441668613475124610126092',11549,'245',46.09,1,2,1),(16,3109763,'1988-09-05 00:00:00',2,1,12,2008,'F','N','LARANJEIRAS','BIGUAçU','SC','124241241115131431333315251224610127047',4100,'65',60.77,1,2,1),(16,3109771,'1991-10-04 00:00:00',4,3,12,2008,'F','N','NITERóI','CANOAS','RS','120202201215371411459914175125610115147',8955,'9998',50.65,1,3,NULL),(16,3109780,'1991-09-06 00:00:00',4,1,12,2008,'F','N','OFICINAS','PNT GROSSA','PR','116162161216111731488913575112610164072',13723,'9998',42.22,1,3,NULL),(16,3109798,'1991-09-10 00:00:00',2,1,11,2008,'F','N','CENTRO','S JOSé','SC','124242241212111431566631592122610161147',11479,'723',46.21,1,3,NULL),(16,3109801,'1991-07-27 00:00:00',4,1,12,2008,'F','N','TESTO REGA','POMERODE','SC','124242241217161411457933574122610133142',3500,'624',62.38,1,3,NULL),(16,3109828,'1991-05-15 00:00:00',2,10,10,2008,'M','N','CENTRO','TUBARãO','SC','124242241215121231557514395115610167082',9069,'807',50.47,1,3,NULL),(16,3109836,'1992-05-27 00:00:00',4,1,12,2008,'F','N','BOSQUE DA SAUDE','CUIABá','MT','111114111236111411478831575112610164142',NULL,'9998',0.00,1,3,NULL),(16,3109844,'1991-01-23 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124244241217472432358921572114610127142',4585,'1022',59.59,1,3,NULL),(16,3109852,'1987-10-18 00:00:00',4,1,12,2005,'F','N','ASTURIAS','GUARUJá','SP','125252251215572721448814572112610122157',827,'9998',73.21,1,3,NULL),(16,3109860,'1991-12-21 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124162161217111431469911411122610127042',509,'9998',75.68,1,3,NULL),(16,3109879,'1991-02-17 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124244241217122431569933575124610147067',10229,'1022',48.38,1,3,NULL),(16,3109887,'1989-02-16 00:00:00',4,1,12,2006,'F','N','CENTRO','TAUBATé','SP','125252253217572431345924572112610134097',11698,'9998',45.83,4,3,NULL),(16,3109895,'1975-03-14 00:00:00',4,1,12,1992,'M','N','COQUIROS','FLORIANóPOLIS','SC','224241241117272531228843435122321267147',6389,'267',55.50,1,2,1),(16,3109909,'1991-01-21 00:00:00',4,1,11,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241216131431446631376124610128097',15835,'403',37.67,1,3,NULL),(16,3109917,'1961-04-09 00:00:00',4,1,12,1979,'F','N','CENTRO','FLORIANóPOLIS','SC','224203201226171431363353271122442822147',NULL,'9998',36.36,1,3,NULL),(16,3109925,'1991-01-15 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217111531273312126124610118047',NULL,'266',33.87,1,3,NULL),(16,3109933,'1992-09-15 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215112431556634282121610127027',NULL,'1022',28.04,1,3,NULL),(16,3109941,'1988-07-18 00:00:00',2,1,12,2005,'F','N','PINHEIRA','PALHOçA','SC','124202201217471431336734271114141327077',NULL,'9998',29.30,1,3,NULL),(16,3109950,'1990-08-24 00:00:00',2,1,12,2007,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124244241215472431465567572124610127141',13748,'951',42.17,1,3,NULL),(16,3109968,'1987-03-30 00:00:00',2,1,12,2008,'F','N','SERTÃO','STO AMARO IMPERATRIZ','SC','124241247145371431536313282124610123147',1679,'9999',68.51,1,2,1),(16,3109976,'1964-11-25 00:00:00',2,1,12,1982,'M','N','BARREIROS','S JOSé','SC','224241248114144421351344242122321966043',9510,'293',49.71,1,3,NULL),(16,3109984,'1990-02-26 00:00:00',1,1,12,2008,'M','N','SANTA MONICA','FLORIANóPOLIS','SC','124242241215111451548832592122610128052',3899,'883',61.34,1,3,NULL),(16,3109992,'1992-03-26 00:00:00',2,5,11,2008,'F','N','COMERCIARIO','CRICIúMA','SC','124244241215111411439811574112610168192',15658,'210',38.17,1,3,NULL),(16,3110001,'1991-05-17 00:00:00',4,1,11,2008,'M','N','PARZIANELLO','PATO BRANCO','PR','116162161215111331448811175122610167047',NULL,'9998',35.24,1,3,NULL),(16,3110010,'1991-03-05 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241216121442469831572122610114192',7829,'270',52.72,1,3,NULL),(16,3110028,'1991-07-01 00:00:00',4,1,12,2008,'M','N','PEDREIRA','BELéM','PA','114142141217111551468932575114610167142',2542,'9998',65.20,1,3,NULL),(16,3110036,'1988-02-05 00:00:00',4,1,12,2005,'F','N','LEOPOLDINA','S PAULO','SP','125251251117571431243563572114610266187',10786,'9998',47.40,3,2,1),(16,3110044,'1991-12-20 00:00:00',2,9,9,2008,'M','N','PRADINHO','S JOAQUIM','SC','124244241216271441456931575122610167012',NULL,'1035',28.26,1,3,NULL),(16,3110052,'1992-08-03 00:00:00',4,10,12,2009,'M','S','CENTRO','ARMAZéM','SC','124242241217111731469811575124610167042',NULL,'807',42.79,1,3,NULL),(16,3110060,'1991-10-25 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215111431344923575124610131052',3881,'737',61.38,4,3,NULL),(16,3110079,'1990-03-24 00:00:00',4,6,12,2007,'M','N','CENTRO','NAVEGANTES','SC','124242241215272531438823575112610137042',4102,'87',60.77,1,3,NULL),(16,3110095,'1991-12-23 00:00:00',4,7,11,2008,'M','N','CENTRO','ARROIO TRINTA','SC','124241241215111431446639585122610137042',3430,'969',62.58,1,3,NULL),(16,3110117,'1991-07-05 00:00:00',4,1,12,2008,'M','N','MONTE CASTELO','CPO GRANDE','MS','112121121236371431446823575124610127187',4839,'9998',59.00,4,3,NULL),(16,3110125,'1990-09-08 00:00:00',4,1,12,2007,'F','N','VILA BELMIRO','SANTOS','SP','125254251117572431468814571112610144042',NULL,'9998',24.59,1,3,NULL),(16,3110133,'1991-09-11 00:00:00',4,1,12,2008,'M','N','JARDIM SãO LUIZ','PARANAVAí','PR','116163161116131431337614575123610137012',7305,'9998',53.69,1,3,NULL),(16,3110150,'1991-04-03 00:00:00',2,2,12,2008,'F','N','JARDIM MACAé','COLOMBO','PR','116162161316131431333931575124610162077',NULL,'9998',40.70,1,3,NULL),(16,3110168,'1990-12-19 00:00:00',4,3,12,2008,'F','N','AREIAS','CAMBORIú','SC','124241242115111411346817575122610144097',9463,'129',49.79,4,2,1),(16,3110176,'1992-01-30 00:00:00',4,2,11,2009,'F','S','NAçõES','INDAIAL','SC','124244241217151531469931496124610118182',NULL,'909',51.22,1,3,NULL),(16,3110184,'1992-09-27 00:00:00',4,1,12,2008,'M','N','AREIAS PALHOCINHA','GAROPABA','SC','124241241117151531436612575122610127092',9372,'322',49.95,1,2,1),(16,3110192,'1989-04-22 00:00:00',4,8,12,2006,'F','N','VILA MADALENA','JOINVILLE','SC','125252248217572751359912575122610161147',4642,'1105',59.45,1,3,NULL),(16,3110206,'1991-07-22 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124244241435111431326723585124610166147',NULL,'266',24.49,1,3,NULL),(16,3110222,'1991-07-21 00:00:00',2,1,12,2008,'F','N','FAZENDA SANTOANTôNIO','S JOSé','SC','124241241215111411223524572125610124141',15988,'944',37.26,1,3,NULL),(16,3110230,'1988-12-17 00:00:00',2,1,12,2007,'F','N','ARMAçãO P DO SUL','FLORIANóPOLIS','SC','124241241127172541523414245214610114041',NULL,'291',23.90,1,2,1),(16,3110249,'1991-08-16 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124243241117371431437611576124610134142',1710,'271',68.38,1,3,NULL),(16,3110265,'1991-08-02 00:00:00',4,1,11,2008,'M','N','FLORESTA','S JOSé','SC','124242241215111431459622375124610164162',5764,'270',56.93,4,3,NULL),(16,3110273,'1991-01-26 00:00:00',4,1,11,2008,'M','N','BELA VISTA','PTO ALEGRE','RS','120202201217371232588914575122610167052',3844,'9998',61.47,1,3,NULL),(16,3110281,'1992-03-18 00:00:00',4,2,11,2008,'M','N','CENTRO','BLUMENAU','SC','124242241217271431589913272121610167022',5823,'855',56.74,1,3,NULL),(16,3110290,'1990-12-26 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111431455833475124610124067',9507,'269',49.71,1,3,NULL),(16,3110303,'1991-07-31 00:00:00',4,1,12,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124244241215111531489913472122610114142',7995,'270',52.43,1,3,NULL),(16,3110311,'1992-09-25 00:00:00',4,1,11,2009,'M','S','CAPOEIRAS','FLORIANóPOLIS','SC','124242241211151431368613572122610136077',NULL,'273',56.51,1,3,NULL),(16,3110320,'1979-07-27 00:00:00',4,1,10,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124243247227131431126744442322610122112',NULL,'9999',0.00,1,3,NULL),(16,3110338,'1991-09-03 00:00:00',2,2,12,2008,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241215121231329813435124610127147',NULL,'86',29.74,1,3,NULL),(16,3110346,'1990-02-08 00:00:00',2,1,11,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215472431466612225114610167052',NULL,'1022',43.23,1,3,NULL),(16,3110354,'1986-08-12 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217275751488813595122230227043',2149,'262',66.59,1,3,NULL),(16,3110362,'1990-02-10 00:00:00',4,1,11,2007,'F','N','GUARA','GUARá','DF','107072071216472751433739575122143267116',6585,'9998',55.09,3,3,NULL),(16,3110370,'1977-07-17 00:00:00',2,1,12,2003,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124243241227371431227361481324610166127',NULL,'664',33.02,1,3,NULL),(16,3110389,'1984-09-08 00:00:00',2,1,12,2002,'F','N','SERRARIA','S JOSé','SC','124241247327372431445439285123610134037',14923,'9999',39.84,1,3,NULL),(16,3110397,'1991-04-05 00:00:00',4,1,11,2008,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124243241315471441227731572124610167187',NULL,'270',43.87,1,3,NULL),(16,3110427,'1990-08-23 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S PAULO','SP','125252251237371311468811572124610168132',NULL,'9998',0.00,1,3,NULL),(16,3110443,'1992-03-06 00:00:00',4,1,11,2008,'F','N','ABRAãO','FLORIANóPOLIS','SC','124242241215111431459813592122610124012',NULL,'270',33.12,1,3,NULL),(16,3110451,'1989-01-04 00:00:00',2,8,6,2007,'F','N','CENTRO','JOINVILLE','SC','124246241437371321328169391125131025182',NULL,'487',6.47,1,3,NULL),(16,3110478,'1992-05-28 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124042241215111231489713575122610134192',NULL,'270',38.56,1,3,NULL),(16,3110486,'1991-02-05 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124242241217111231458813575112610112142',1403,'497',69.80,1,3,NULL),(16,3110494,'1991-06-15 00:00:00',4,1,12,2008,'M','N','BELA VISTA','S PAULO','SP','125252251216121731479813575115610167052',1829,'9998',67.91,1,3,NULL),(16,3110516,'1991-06-11 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431468714475112610128012',8760,'270',50.96,1,3,NULL),(16,3110524,'1991-09-03 00:00:00',2,10,11,2008,'F','N','OFICINAS','TUBARãO','SC','124243241215111431656923174122610167017',4667,'806',59.39,1,3,NULL),(16,3110532,'1986-01-03 00:00:00',4,1,11,2003,'M','N','CAVINATO','LIMEIRA','SP','125251251116431711524311485121610122171',NULL,'9998',43.84,1,2,1),(16,3110540,'1986-03-10 00:00:00',2,1,12,2003,'F','N','HíPICA','PASSO FUNDO','RS','120201201117271421333624442124610127052',NULL,'9998',25.50,1,3,NULL),(16,3110559,'1990-11-01 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241215112431558811475124610133052',1867,'262',67.72,1,3,NULL),(16,3110575,'1990-08-28 00:00:00',2,1,11,2008,'F','N','PRAIA TREZE DE JULHO','ARACAJU','SE','126262261117111531478832572122610167092',824,'9998',73.25,1,3,NULL),(16,3110583,'1989-10-17 00:00:00',4,8,12,2007,'M','N','AMéRICA','JOINVILLE','SC','124242241215372431558921475122610162017',7211,'486',53.89,1,3,NULL),(16,3110591,'1991-08-24 00:00:00',2,5,12,2008,'F','N','CENTRO','LAURO MüLLER','SC','124243241216161531357622575112610142197',5446,'581',57.60,1,3,NULL),(16,3110605,'1990-09-15 00:00:00',4,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241216111431448829571124610134182',8629,'988',51.20,1,3,NULL),(16,3110613,'1990-09-06 00:00:00',4,6,12,2008,'M','N','CIDADE JARDIM','RIO CLARO','SP','125252251217111431468812575122610127112',NULL,'9998',32.94,1,3,NULL),(16,3110621,'1989-06-13 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124241241116372431533631295124610124042',11883,'21',45.49,1,2,1),(16,3110630,'1990-12-25 00:00:00',4,6,12,2007,'F','N','CENTRO','PENHA','SC','124242241216372431448832381121610124112',NULL,'1057',23.76,1,3,NULL),(16,3110648,'1990-06-07 00:00:00',2,1,12,2007,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241315472431469953572124610147147',8757,'272',50.97,1,3,NULL),(16,3110656,'1990-08-24 00:00:00',2,1,12,2007,'M','N','XV DE NOVEMBRO','TIJUCAS','SC','124244241215373731426614575122610127057',9032,'781',50.53,1,3,NULL),(16,3110664,'1989-05-25 00:00:00',4,1,12,2006,'M','N','PARAISO','S PAULO','SP','125252251215571431248828575124610132042',12473,'9998',44.44,1,3,NULL),(16,3110680,'1991-10-30 00:00:00',4,2,10,2008,'M','N','VELHA','BLUMENAU','SC','124244241215121131468824575114610167062',9277,'855',50.12,1,3,NULL),(16,3110699,'1989-10-14 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241411472431226321215124610164182',12436,'298',44.49,1,3,NULL),(16,3110710,'1991-08-20 00:00:00',4,3,11,2008,'M','N','AEROPORTO','LONDRINA','PR','116162161235111232458812575122610167057',7348,'9998',53.62,1,3,NULL),(16,3110729,'1991-04-19 00:00:00',4,1,12,2008,'F','N','PAES LEME','IMBITUBA','SC','124241241116151431423629395121610117147',NULL,'359',22.75,1,3,NULL),(16,3110737,'1991-07-22 00:00:00',4,6,12,2008,'M','N','SETOR CENTRAL','GOIâNIA','GO','109133091215111432459814375122610117042',NULL,'9998',0.00,1,3,NULL),(16,3110745,'1966-11-28 00:00:00',2,1,12,1983,'F','N','CARIANOS','FLORIANóPOLIS','SC','224244241317133441336642425132522066047',9760,'260',49.23,1,3,NULL),(16,3110753,'1991-03-01 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241216112411648612375124610122052',9465,'1022',49.79,1,3,NULL),(16,3110770,'1992-05-06 00:00:00',4,1,11,2009,'M','S','CENTRO','LAGUNA','SC','124242241217111531289911411124610122192',NULL,'270',66.38,1,3,NULL),(16,3110788,'1991-12-02 00:00:00',4,8,12,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161216471331336814175124610168097',NULL,'9998',0.00,1,3,NULL),(16,3110796,'1990-05-31 00:00:00',4,1,11,2007,'F','N','VILA RESENDE','CAçAPAVA','SP','125252251216471431446833574122610133187',1012,'9998',72.01,1,3,NULL),(16,3110800,'1992-05-12 00:00:00',4,1,12,2009,'M','S','ABRAãO','FLORIANóPOLIS','SC','124244241317131411528833435124610117067',NULL,'307',25.36,1,3,NULL),(16,3110818,'1991-08-23 00:00:00',4,2,11,2008,'F','N','JD COM DA BANDEIRA','FOZ IGUAçU','PR','116162161215111731559819225122610141142',NULL,'9998',27.06,1,3,NULL),(16,3110834,'1991-02-05 00:00:00',2,10,12,2008,'F','N','CENTRO','GR PARá','SC','124243241215131431534615572124610128052',11368,'950',46.39,1,3,NULL),(16,3110842,'1990-07-30 00:00:00',2,7,12,2007,'F','N','CENTRO','FARROUPILHA','RS','120201201217271431465514342122610138192',NULL,'9998',0.00,1,3,NULL),(16,3110850,'1989-08-30 00:00:00',2,3,12,2006,'F','N','VILA ROSA','ITAPETININGA','SP','125252251216572731447839575122610124127',NULL,'9998',0.00,1,3,NULL),(16,3110869,'1990-03-23 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124042241215372231489713574112122327042',2890,'270',64.12,1,3,NULL),(16,3110877,'1989-12-03 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124242241215372731356934595114610167117',NULL,'1022',36.49,1,3,NULL),(16,3110885,'1953-01-05 00:00:00',2,1,12,1973,'M','N','BARREIROS','S JOSé','SC','224244243226174721568443431122120524032',NULL,'9997',36.95,1,3,NULL),(16,3110893,'1989-09-12 00:00:00',4,1,12,2007,'M','N','JARDIM PINHEIRO','S PAULO','SP','125254251217472451389933473114610166196',8627,'9998',51.20,1,3,NULL),(16,3110907,'1991-06-22 00:00:00',4,3,11,2008,'F','N','CRISTAL','PTO ALEGRE','RS','120202201217371731479934572114610167077',10091,'9998',48.62,1,3,NULL),(16,3110915,'1989-01-30 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','116164161117371411439914395124240664017',10718,'9998',47.51,1,3,NULL),(16,3110923,'1990-07-08 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124242241215371432437812394124610123077',13570,'269',42.51,1,3,NULL),(16,3110931,'1988-03-26 00:00:00',4,8,11,2005,'F','N','ZONA CINCO','MARINGá','PR','116162161216575431369912572122243262142',NULL,'9998',0.00,1,3,NULL),(16,3110940,'1991-03-07 00:00:00',4,1,11,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242246216471431226939575124610167117',12403,'767',44.54,1,3,NULL),(16,3110958,'1988-03-10 00:00:00',2,1,12,2005,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124241241215374411449611415124610167097',13465,'1036',42.67,1,3,NULL),(16,3110966,'1991-12-27 00:00:00',4,1,12,2008,'F','N','NEVA','CASCAVEL','PR','116162161217121431378732575112610135142',4211,'9998',60.45,1,3,NULL),(16,3110974,'1991-01-27 00:00:00',4,5,12,2008,'M','N','COMERCIARIO','CRICIúMA','SC','124242241215111431458932572122610162042',8076,'213',52.27,1,3,NULL),(16,3110982,'1991-02-08 00:00:00',2,1,11,2008,'M','N','ANA RITA','PNT GROSSA','PR','116203161217121432337614485122610127147',NULL,'9998',23.52,1,3,NULL),(16,3111008,'1991-03-08 00:00:00',4,1,12,2008,'F','N','CENTRO','SALETE','SC','624241241117121731323634571125610122142',NULL,'680',0.00,1,3,NULL),(16,3111016,'1992-07-04 00:00:00',4,4,12,2009,'F','S','CENTRO','REALEZA','PR','116162161416131431436823575122610126092',NULL,'9998',49.15,1,3,NULL),(16,3111024,'1991-10-05 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241217121411369811572122610166192',2569,'1038',65.10,1,3,NULL),(16,3111032,'1990-05-29 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241115272721546623245344610168181',NULL,'288',41.59,1,3,NULL),(16,3111040,'1987-11-10 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244241117272421457711395114610167112',NULL,'307',33.88,1,3,NULL),(16,3111059,'1991-08-05 00:00:00',4,10,11,2008,'F','N','OFICINAS','TUBARãO','SC','124241241117131731557711572122610127077',NULL,'804',20.55,1,2,1),(16,3111067,'1990-12-28 00:00:00',4,8,12,2007,'F','N','MARIA LUIZA','CASCAVEL','PR','116161161115471411453312495125141122076',5757,'9998',56.94,3,3,NULL),(16,3111075,'1963-05-08 00:00:00',4,1,12,1981,'M','N','CAMPINAS','S JOSé','SC','224241246126151731333341412123610164193',NULL,'359',30.35,1,2,1),(16,3111083,'1991-02-28 00:00:00',2,1,11,2008,'F','N','CENTRO','RIO NEGRINHO','SC','124242247215111731427834575122610145077',NULL,'666',36.39,1,3,NULL),(16,3111091,'1992-10-19 00:00:00',4,1,12,2008,'M','N','TAPéRA','FLORIANóPOLIS','SC','124241241115371431466413275124610164067',1329,'307',70.22,1,2,1),(16,3111105,'1990-11-27 00:00:00',4,1,12,2008,'F','N','PASSA VINTE','PALHOçA','SC','124242241215111431367511572124610122092',10169,'1022',48.48,1,3,NULL),(16,3111113,'1989-02-18 00:00:00',4,1,12,2006,'F','N','CARIANOS','FLORIANóPOLIS','SC','124203201116373431466613475114610164092',1989,'9998',67.22,4,3,NULL),(16,3111130,'1991-02-25 00:00:00',4,8,12,2008,'M','N','CENTRO','JARAGUá SUL','SC','124242241215151431369814272122610134012',7746,'441',52.88,1,3,NULL),(16,3111148,'1991-06-17 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241315121431426314172124610134013',NULL,'1022',48.96,4,3,NULL),(16,3111156,'1993-01-30 00:00:00',4,1,12,2009,'F','S','CENTRO','PALHOçA','SC','124242241215111411459923572122610166172',NULL,'270',56.66,1,3,NULL),(16,3111164,'1990-08-10 00:00:00',2,7,12,2007,'F','N','DOS ESTUDANTES','IPIRA','SC','124241241111132121332219593324232618052',NULL,'619',0.00,1,3,NULL),(16,3111172,'1991-10-05 00:00:00',4,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215121431378814472124610124042',313,'270',77.86,1,3,NULL),(16,3111180,'1991-11-05 00:00:00',4,8,12,2009,'F','S','ANITA GARIBALDI','JOINVILLE','SC','124242244215111331578814572112610122012',NULL,'1063',40.47,1,3,NULL),(16,3111199,'1991-04-08 00:00:00',4,1,11,2008,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241215121431469922321122610127182',1865,'270',67.74,1,3,NULL),(16,3111202,'1991-11-09 00:00:00',4,1,11,2008,'M','N','CENTRO','PALHOçA','SC','124242241217271431484712195122610164052',12094,'989',45.11,3,3,NULL),(16,3111210,'1991-05-06 00:00:00',4,8,11,2008,'F','N','CENTRO','JOINVILLE','SC','124241241415471531356823574122610126052',NULL,'1016',0.00,1,3,NULL),(16,3111229,'1991-08-15 00:00:00',4,8,11,2008,'F','N','SAGUAçU','JOINVILLE','SC','124242241216111411558412382112610122077',15518,'1063',38.50,1,3,NULL),(16,3111237,'1988-03-28 00:00:00',4,1,12,2005,'F','N','ZONA DOIS','CIANORTE','PR','116162161212573431448821592125610164092',596,'9998',74.96,3,3,NULL),(16,3111245,'1991-01-17 00:00:00',4,1,12,2007,'M','N','PARQUE SãO JORGE','FLORIANóPOLIS','SC','124242241217372431459831575122131027046',5843,'270',56.70,1,3,NULL),(16,3111253,'1984-12-31 00:00:00',4,1,11,2001,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124162161217151711236314445122341564122',4813,'9998',59.03,1,3,NULL),(16,3111261,'1988-12-28 00:00:00',4,8,12,2005,'M','N','SAGUAçU','JOINVILLE','SC','124242241216474431358612595122231427052',1582,'932',68.95,1,3,NULL),(16,3111288,'1989-11-20 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215473531459819595125610166031',3536,'266',62.27,1,3,NULL),(16,3111296,'1990-12-13 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','S JOSé','SC','124241241136131531646634572124610122092',NULL,'729',31.90,1,2,1),(16,3111300,'1992-08-22 00:00:00',4,2,12,2009,'F','S','GARCIA','BLUMENAU','SC','124242241217111431438632275124610137012',NULL,'71',49.49,1,3,NULL),(16,3111318,'1991-05-10 00:00:00',4,1,11,2008,'F','N','VARGEM PEQUENA','FLORIANóPOLIS','SC','124242241217121431488812422122610131142',7156,'270',53.99,1,3,NULL),(16,3111326,'1991-12-05 00:00:00',4,1,12,2008,'F','N','VILA ANNES','PASSO FUNDO','RS','120202201217371751668939575125610168052',NULL,'9998',0.00,1,3,NULL),(16,3111334,'1987-02-25 00:00:00',4,1,12,2004,'M','N','FLORESTA','S JOSé','SC','124243241211334431228621445134121727067',NULL,'943',12.54,1,3,NULL),(16,3111342,'1989-11-29 00:00:00',4,1,12,2007,'M','N','CITY BOAçAVA','S PAULO','SP','125252251217471441468613471114610124052',5131,'9998',58.30,1,3,NULL),(16,3111350,'1990-10-26 00:00:00',4,10,11,2007,'F','N','CENTRO','TUBARãO','SC','124242241217372431478831574114132445142',287,'807',78.14,1,3,NULL),(16,3111369,'1991-05-03 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S JOSé','SC','124242241215111431455912272124610122057',11568,'738',46.06,1,3,NULL),(16,3111377,'1991-03-12 00:00:00',4,8,12,2007,'F','N','VILA TOLENTINO','CASCAVEL','PR','116162161215311751446912275115610118183',NULL,'9998',0.00,1,3,NULL),(16,3111385,'1990-01-16 00:00:00',4,8,12,2007,'F','N','VILA CLEMENTINO','S PAULO','SP','125252251216571411447731571114610136147',1681,'9998',68.50,1,3,NULL),(16,3111393,'1988-06-05 00:00:00',4,1,12,2005,'F','N','ACLIMAÇÃO','S PAULO','SP','125082081216572431168811571345610162092',172,'9998',79.72,1,3,NULL),(16,3111407,'1991-06-11 00:00:00',4,3,11,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161215111431579824572122610134042',5885,'9998',56.62,1,3,NULL),(16,3111415,'1991-01-28 00:00:00',4,1,11,2008,'M','N','VARJOTA','FORTALEZA','CE','106062061217471231449934575122610137112',NULL,'9998',36.09,1,3,NULL),(16,3111423,'1990-07-16 00:00:00',4,4,12,2007,'M','N','JARDIM PRIMAVERA','PATO BRANCO','PR','116162161216472431356912575114610124182',15358,'9998',38.86,1,3,NULL),(16,3111440,'1991-02-11 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215112431258623575124610126042',2561,'262',65.12,1,3,NULL),(16,3111458,'1991-10-12 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431369813571125610167132',1637,'270',68.73,1,3,NULL),(16,3111466,'1987-08-25 00:00:00',2,1,12,2004,'M','N','DISTRITO INDUSTRIAL','JOINVILLE','SC','124252251117131731548719385124230747057',NULL,'9998',33.96,2,1,2),(16,3111474,'1991-08-05 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215372431369923572114610125077',7837,'1050',52.70,1,3,NULL),(16,3111482,'1992-10-27 00:00:00',4,1,12,2009,'F','S','AREIAS','S JOSé','SC','124241241216111431326612572124610114195',NULL,'259',26.04,1,3,NULL),(16,3111490,'1985-05-29 00:00:00',2,1,12,2002,'F','N','CENTRO','VERA CRUZ','RS','120202201146132431534319281113610124147',13943,'9998',41.77,1,3,NULL),(16,3111504,'1990-02-25 00:00:00',4,1,12,2008,'F','N','PASSO DAREIA','PTO ALEGRE','RS','120202201237111411268822371124610168047',NULL,'9998',0.00,1,3,NULL),(16,3111512,'1989-04-22 00:00:00',2,5,12,2006,'M','N','SãO LUIZ','CRICIúMA','SC','124241241147271431438451445114610137047',12891,'209',43.68,1,2,1),(16,3111520,'1983-12-05 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241116273421457514245122130827047',NULL,'307',27.54,1,3,NULL),(16,3111539,'1979-08-14 00:00:00',4,1,11,1998,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124162168117151741233743435122342567122',1699,'9998',68.41,3,3,NULL),(16,3111555,'1986-11-15 00:00:00',2,1,12,2003,'F','N','ITAIBA','CONCóRDIA','SC','124241241116132431426544445115230217147',13790,'193',42.08,1,2,1),(16,3111580,'1991-01-25 00:00:00',2,10,11,2008,'M','N','CENTRO','TUBARãO','SC','124242241215111431549933432125610167117',12540,'807',44.29,4,3,NULL),(16,3111598,'1991-04-02 00:00:00',4,2,11,2008,'M','N','FORTALEZA','BLUMENAU','SC','124242241215111432469834175124610144052',1092,'87',71.51,1,3,NULL),(16,3111601,'1977-10-05 00:00:00',4,1,5,2007,'M','N','FLOR DE NÁPOLIS','S JOSé','SC','124241247147152731444434145123610166194',NULL,'9999',27.10,1,2,1),(16,3111610,'1989-11-25 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124242241217472431456934575114610132147',15942,'1022',37.39,1,3,NULL),(16,3111628,'1991-03-02 00:00:00',4,1,12,2008,'M','N','BARRANCO','TAUBATé','SP','125251251215111411457814275114610142012',1916,'9998',67.53,1,3,NULL),(16,3111636,'1990-06-25 00:00:00',4,10,12,2007,'M','N','OFICINAS','TUBARãO','SC','124242241215372331467911575122610164172',646,'807',74.58,1,3,NULL),(16,3111644,'1992-03-06 00:00:00',4,1,12,2009,'M','S','TRINDADE','FLORIANóPOLIS','SC','124242241215111431469833572122610147115',NULL,'270',42.32,1,3,NULL),(16,3111652,'1990-12-13 00:00:00',4,1,12,2008,'M','N','OURO VERDE','OURINHOS','SP','125251251215111431538514375112610137042',1990,'9998',67.22,1,3,NULL),(16,3111679,'1987-09-28 00:00:00',4,1,7,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124121121114575431348633375322610124077',118,'9998',80.64,1,2,1),(16,3111687,'1990-02-21 00:00:00',4,5,12,2007,'F','N','CAPAO BONITO','CRICIúMA','SC','124241241111432431446419192324610124187',12148,'209',44.99,1,2,1),(16,3111695,'1991-10-24 00:00:00',4,1,12,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217111431659813372124610147147',11381,'270',46.37,1,3,NULL),(16,3111709,'1992-06-09 00:00:00',4,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241216112411367724575124610144192',376,'270',77.08,1,3,NULL),(16,3111717,'1992-12-05 00:00:00',4,1,12,2009,'M','S','CENTRO','NOVA TRENTO','SC','124242241215111431456933575114610137057',NULL,'109',37.24,1,3,NULL),(16,3111725,'1990-02-25 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124252251215372431238829572324610124142',10424,'9998',48.05,1,3,NULL),(16,3111750,'1991-12-02 00:00:00',4,1,11,2008,'F','N','NOSSA SRA DO ROSáRIO','S JOSé','SC','124242241316371411459513435122610164142',12119,'1036',45.05,1,3,NULL),(16,3111768,'1991-03-10 00:00:00',2,1,12,2008,'M','N','FASENDA STO ANTONIO','S JOSé','SC','124241241213112311564412125122610127047',9113,'270',50.39,1,3,NULL),(16,3111776,'1991-06-05 00:00:00',4,2,12,2008,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241217271431459831312112610147092',2042,'855',67.02,1,3,NULL),(16,3111784,'1991-06-21 00:00:00',4,1,12,2008,'M','N','JOSé DE O MARTINS','MINEIROS','GO','109092091215111231566813572122610164057',NULL,'9998',0.00,1,3,NULL),(16,3111792,'1992-12-02 00:00:00',4,1,11,2009,'F','S','BELA VISTA I','S JOSé','SC','124252241217111431669811375122610121182',NULL,'1118',36.85,1,3,NULL),(16,3111806,'1991-04-28 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431446616365125610121123',NULL,'270',25.55,1,3,NULL),(16,3111814,'1991-10-15 00:00:00',3,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217111431488933572122610127142',11333,'270',46.44,1,3,NULL),(16,3111822,'1991-06-27 00:00:00',3,1,12,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241215111431469913436124610126012',655,'262',74.51,1,3,NULL),(16,3111830,'1990-04-25 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241215372712436631385124233235043',10947,'666',47.12,1,3,NULL),(16,3111857,'1991-07-29 00:00:00',4,2,11,2008,'F','N','CENTRO','BRUSQUE','SC','124242241215152431479819572112610136092',7206,'909',53.90,1,3,NULL),(16,3111873,'1990-05-04 00:00:00',4,8,12,2007,'M','N','BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP','125252251217572411469614345122610132182',6048,'9998',56.23,1,3,NULL),(16,3111881,'1988-05-11 00:00:00',4,1,12,2005,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124212211216141431116819445124243248112',NULL,'9998',34.63,4,3,NULL),(16,3111890,'1991-07-01 00:00:00',4,8,12,2008,'F','N','TERCEIRO CENTENARIO','ATIBAIA','SP','125252251615371431338822575122610162047',NULL,'9998',0.00,1,3,NULL),(16,3111903,'1989-11-28 00:00:00',2,1,12,2007,'M','N','SERTAO DO MARUIM','S JOSé','SC','124241241117132431223324245234610125057',10809,'307',47.34,4,2,1),(16,3111911,'1989-08-27 00:00:00',4,3,12,2006,'M','N','ANNES','PASSO FUNDO','RS','120202201216473411438614595125610147142',3931,'9998',61.25,1,3,NULL),(16,3111920,'1990-05-30 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241217371751433311281325610126185',2331,'1038',65.94,1,3,NULL),(16,3111938,'1988-02-17 00:00:00',4,1,12,2004,'F','N','CENTRO','CANOAS','RS','120202201217572731338829375122610132037',2519,'9998',65.28,1,3,NULL),(16,3111946,'1991-01-07 00:00:00',4,8,12,2007,'M','N','VILA EUNICE NOVA','CACHOEIRINHA','RS','120202201216471431367812571114610164042',4491,'9998',59.78,1,3,NULL),(16,3111962,'1988-05-28 00:00:00',4,1,12,2005,'M','N','SHANGRI LÁ','SERTãOZINHO','SP','125251251115572431534664295112610137042',NULL,'9998',34.64,1,2,1),(16,3111970,'1991-10-16 00:00:00',2,1,12,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241215271731425313172125610141187',5070,'299',58.46,1,3,NULL),(16,3111989,'1991-07-22 00:00:00',4,2,12,2008,'F','N','SANTANA','RIO SUL','SC','124242241217131431336639575121610137057',15482,'654',38.59,1,3,NULL),(16,3111997,'1990-10-18 00:00:00',4,8,12,2007,'M','N','CENTRO','UMUARAMA','PR','116162161217471431436634275122610124092',1451,'9998',69.55,1,3,NULL),(16,3112004,'1990-09-12 00:00:00',4,1,11,2007,'M','N','ROçADO','S JOSé','SC','124242241215372431463612342122610124052',5011,'1036',58.58,1,3,NULL),(16,3112012,'1989-10-17 00:00:00',4,1,12,2006,'M','N','CENTRO','PASSO FUNDO','RS','120202201217472431548811372121610164092',NULL,'9998',40.27,1,3,NULL),(16,3112020,'1989-12-02 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215574431368714575114610167077',136,'273',80.32,1,3,NULL),(16,3112039,'1992-03-20 00:00:00',4,1,12,2008,'M','N','ARIRIú','PALHOçA','SC','124242241416111431436614575114610164192',14050,'1075',41.55,1,3,NULL),(16,3112055,'1984-10-19 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANóPOLIS','SC','124243243616473451468613395114221924057',8032,'303',52.36,1,3,NULL),(16,3112071,'1989-04-27 00:00:00',2,1,12,2006,'F','N','CENTRO HISTóRICO','S JOSé','SC','124242241337573431346814342114610165197',7671,'737',53.02,1,3,NULL),(16,3112098,'1990-12-15 00:00:00',2,1,12,2008,'F','N','QUIRIRIM','TAUBATE','SP','125252251217171431588813572122610167111',NULL,'9998',0.00,4,3,NULL),(16,3112101,'1992-01-25 00:00:00',4,1,12,2009,'M','S','N SRA DO ROSáRIO','S JOSé','SC','124242241212151731458834575124610167172',NULL,'738',58.37,1,3,NULL),(16,3112128,'1990-11-11 00:00:00',4,5,12,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215121431458824572122610134122',1486,'226',69.44,1,3,NULL),(16,3112136,'1989-10-25 00:00:00',4,1,12,2006,'M','N','CENTRO','TAQUARA','RS','120202201217571711458833575124610164112',NULL,'9998',0.00,1,3,NULL),(16,3112144,'1989-03-21 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215473431488819492122130424182',1908,'266',67.55,1,3,NULL),(16,3112152,'1992-01-15 00:00:00',4,8,12,2008,'F','N','CENTRO','JARAGUá SUL','SC','124244241217161431469914345122610133147',NULL,'1061',31.77,1,3,NULL),(16,3112160,'1990-03-02 00:00:00',4,1,12,2007,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124243241115373411438933565112610124187',700,'271',74.23,1,3,NULL),(16,3112179,'1991-07-25 00:00:00',2,5,12,2008,'M','N','SANTA LUZIA','CRICIúMA','SC','124242245217271431544334572124610114147',NULL,'995',31.99,1,3,NULL),(16,3112195,'1990-04-07 00:00:00',2,1,12,2007,'M','N','VILA SANTA CRUZ','S JOSé R PRETO','SP','125251251117471431546611271124610126092',12705,'9998',43.99,1,2,1),(16,3112209,'1990-03-15 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241125372732233624385124610117077',NULL,'295',20.97,1,3,NULL),(16,3112217,'1991-04-08 00:00:00',4,1,12,2008,'M','N','BELA VISTA I','S JOSé','SC','124242241212131431426414575112610144053',NULL,'738',27.72,2,3,NULL),(16,3112225,'1989-12-28 00:00:00',4,1,12,2007,'F','N','VILA SUIçA','INDAIATUBA','SP','125252251215471431468719575115610148192',6845,'9998',54.58,1,3,NULL),(16,3112233,'1991-02-28 00:00:00',2,7,11,2008,'F','N','SANTA TEREZA','JOAçABA','SC','124242241216371431455924575122610147073',NULL,'454',24.76,1,3,NULL),(16,3112241,'1986-02-09 00:00:00',2,10,12,2002,'F','N','DEHON','TUBARãO','SC','124054251215572431535711315122243262017',4325,'9998',60.19,1,3,NULL),(16,3112268,'1990-03-06 00:00:00',2,4,12,2006,'F','N','CENTRO','MARAVILHA','SC','124241241416513421447632572124610124192',8563,'1037',51.32,1,3,NULL),(16,3112276,'1990-08-25 00:00:00',4,1,8,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124242241115131431334524295124610164057',13658,'739',42.35,1,3,NULL),(16,3112284,'1990-08-16 00:00:00',4,8,12,2007,'M','N','PINHEIROS','S PAULO','SP','125252251211471421369831571114610164042',NULL,'9998',0.00,1,3,NULL),(16,3112292,'1990-04-03 00:00:00',2,1,11,2007,'F','N','PARQUE SAO JORGE','FLORIANóPOLIS','SC','124241241115473431459931494124610123091',1104,'270',71.44,1,3,NULL),(16,3112306,'1992-01-19 00:00:00',2,1,12,2008,'F','N','HUMAITA','PTO ALEGRE','RS','120202208216141431346633391124610164141',NULL,'9998',0.00,4,3,NULL),(16,3112314,'1991-08-30 00:00:00',4,1,12,2008,'M','N','CENTENáRIO','JARAGUá SUL','SC','124242241217151411357824575114610134141',8789,'424',50.93,1,3,NULL),(16,3112322,'1989-12-18 00:00:00',4,1,12,2007,'M','N','HIGIENóPOLIS','STA CRUZ SUL','RS','120202201217471431448714382122610122122',1303,'9998',70.35,1,3,NULL),(16,3112330,'1991-10-14 00:00:00',4,4,12,2008,'F','N','PALMITAL','CHAPECó','SC','124242241212111431438833575122610137097',5825,'168',56.73,1,3,NULL),(16,3112349,'1992-03-26 00:00:00',4,7,12,2009,'F','S','CENTRO','LACERDóPOLIS','SC','124242161212121431558812474124610166172',NULL,'446',47.54,1,3,NULL),(16,3112357,'1991-01-03 00:00:00',4,1,12,2008,'F','N','ALTO BIGUAçU','BIGUAçU','SC','124242241215111441536912575124610161147',127,'270',80.52,1,3,NULL),(16,3112365,'1990-06-26 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215372751478813566122610124142',11188,'1050',46.68,1,3,NULL),(16,3112373,'1990-02-16 00:00:00',4,1,12,2008,'M','N','JARDIM ITAGUAçU','FLORIANóPOLIS','SC','124242247212131431557912495124610164073',NULL,'9999',15.48,1,3,NULL),(16,3112381,'1988-05-02 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANóPOLIS','SC','124242241216142221446613495124230248193',NULL,'988',25.88,1,3,NULL),(16,3112390,'1989-09-04 00:00:00',2,1,12,2007,'F','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','124244241217474431446632345124610121015',5283,'272',57.90,3,3,NULL),(16,3112403,'1988-09-08 00:00:00',4,1,12,2005,'M','N','JAGUARé','S PAULO','SP','125252251215571211369733577112610164176',NULL,'9998',0.00,1,3,NULL),(16,3112411,'1990-08-14 00:00:00',4,1,12,2007,'M','N','BREJARú','PALHOçA','SC','124242241215272431458712345123131037052',7761,'1011',52.85,1,3,NULL),(16,3112420,'1991-04-14 00:00:00',4,1,12,2008,'F','N','JARDIM GUANABARA','CUIABá','MT','111114111435221431469913586112610165182',6912,'9998',54.47,4,3,NULL),(16,3112446,'1993-01-23 00:00:00',4,9,10,2009,'F','S','UNIVERSITáRIO','LAGES','SC','124242241215121431469933574122610144142',NULL,'497',52.48,1,3,NULL),(16,3112454,'1989-09-12 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241215474431557631575124610123187',589,'855',75.01,1,3,NULL),(16,3112462,'1991-05-08 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124122241217121431337632375124610162012',7286,'1022',53.74,1,3,NULL),(16,3112470,'1990-11-20 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124212241215112451689932575124610132112',697,'270',74.24,1,3,NULL),(16,3112489,'1990-07-09 00:00:00',2,5,12,2008,'M','N','CENTRO','ORLEANS','SC','124242241215111421536612575122610127182',NULL,'581',24.90,1,3,NULL),(16,3112497,'1986-06-11 00:00:00',2,1,12,2004,'M','N','JARDIM VIANA','S PAULO','SP','125252251216571431438831395112610167102',NULL,'9998',0.00,1,3,NULL),(16,3112500,'1991-05-12 00:00:00',4,2,12,2008,'F','N','SALTO DO NORTE','BLUMENAU','SC','124241241212112331569834575112610167157',7371,'855',53.58,1,3,NULL),(16,3112519,'1991-09-03 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241115251231366613575124610122145',12866,'288',43.73,1,2,1),(16,3112527,'1989-06-28 00:00:00',2,1,12,2006,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241132142431433313345114610133047',NULL,'307',24.15,1,2,1),(16,3112535,'1985-09-13 00:00:00',4,10,12,2003,'F','N','BOM FIM','PTO ALEGRE','RS','120243241217472431126849496214132534013',9238,'807',50.18,1,3,NULL),(16,3112543,'1991-11-05 00:00:00',4,8,11,2008,'M','N','TRICOLIN','CANOINHAS','SC','124243241211111731468713574112610162012',NULL,'154',0.00,1,3,NULL),(16,3112551,'1990-01-09 00:00:00',4,1,12,2007,'F','N','MOEMA','S PAULO','SP','125251251215472431366939572114610134047',8490,'9998',51.42,1,3,NULL),(16,3112586,'1991-08-11 00:00:00',4,2,12,2008,'F','N','QUINTINO','TIMBó','SC','124241241126271731245524575122610122147',NULL,'870',23.10,1,2,1),(16,3112594,'1991-05-29 00:00:00',2,1,12,2008,'F','N','SANTA CLARA DO INGAÍ','QUINZE NOVEMBRO','RS','120201201117131431433315572212610136092',NULL,'9998',36.39,1,2,1),(16,3112608,'1990-08-29 00:00:00',4,10,11,2007,'M','N','VILA MOEMA','TUBARãO','SC','124242241215272431579831595112131467052',3421,'807',62.61,1,3,NULL),(16,3112616,'1961-02-27 00:00:00',2,1,12,2008,'M','N','SERRARIA','S JOSé','SC','224201247327131421333344242122610167057',13332,'946',42.91,1,3,NULL),(16,3112624,'1990-12-14 00:00:00',2,6,12,2008,'F','N','PORTãO','CURITIBA','PR','116161161215471431428633275114610134117',NULL,'9998',0.00,4,3,NULL),(16,3112632,'1990-03-25 00:00:00',2,1,12,2007,'F','N','CENTRO','GRAMADO','RS','120202201217271431428811292124243228187',7581,'9998',53.18,1,3,NULL),(16,3112640,'1989-06-23 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124244247437271411465521572112610137045',NULL,'977',22.81,1,3,NULL),(16,3112659,'1991-10-30 00:00:00',4,1,12,2009,'M','S','CARVOEIRA','FLORIANóPOLIS','SC','124242241217111722459913572122610124043',NULL,'951',45.17,1,3,NULL),(16,3112667,'1990-08-20 00:00:00',2,1,12,2008,'F','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','124242241215272431536932275122610137142',NULL,'1048',14.97,1,3,NULL),(16,3112683,'1980-09-18 00:00:00',4,1,12,1997,'F','N','MORUMBI','S PAULO','SP','125252251216371431668811415122341066192',7924,'9998',52.56,1,3,NULL),(16,3112691,'1990-09-20 00:00:00',4,1,12,2008,'M','N','BAIRRO DA USINA','ATIBAIA','SP','125252251217211431656612192122610162042',9504,'9998',49.72,1,3,NULL),(16,3112713,'1991-05-04 00:00:00',2,1,12,2008,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124242241217371531449914574122610161152',5946,'262',56.46,1,3,NULL),(16,3112721,'1990-05-10 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSé','SC','124242241215373431457934575114610167057',1907,'1077',67.55,1,3,NULL),(16,3112730,'1990-12-24 00:00:00',4,7,11,2008,'F','N','CENTRO','JOAçABA','SC','124162161212471731448612575122610144015',15553,'9998',38.42,1,3,NULL),(16,3112748,'1991-05-31 00:00:00',2,1,12,2008,'F','N','CENTRO','CAçADOR','SC','124243241415111432226823375115610113147',14511,'1124',40.67,1,3,NULL),(16,3112756,'1989-07-10 00:00:00',4,1,12,2007,'M','N','PINHEIROS','S PAULO','SP','125252257337471712369833592114610164187',11015,'9999',46.99,1,3,NULL),(16,3112764,'1990-08-30 00:00:00',4,1,11,2008,'M','N','ÁGUA VERDE','CURITIBA','PR','116164161217121412448814272112610147182',NULL,'9998',0.00,3,3,NULL),(16,3112772,'1986-05-25 00:00:00',4,1,12,2003,'M','N','MOOCA','S PAULO','SP','125252251235571431457811415112610127117',NULL,'9998',0.00,1,3,NULL),(16,3112802,'1991-12-17 00:00:00',4,2,11,2008,'M','N','CENTRO','RIO SUL','SC','120242201217271431469831475121610122012',2528,'9998',65.24,4,3,NULL),(16,3112810,'1986-01-25 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124253256337371451346343435123610167043',13623,'9998',42.43,1,3,NULL),(16,3112829,'1978-05-22 00:00:00',4,1,12,1998,'M','N','AMERICANO','LAJEADO','RS','120201201116211211433819185124141611027',NULL,'204',0.00,1,2,1),(16,3112837,'1990-02-10 00:00:00',2,8,12,2007,'F','N','FRAGOSOS','CPO ALEGRE','SC','124241241415472441459532342124610126122',5882,'974',56.62,1,3,NULL),(16,3112853,'1985-08-20 00:00:00',2,1,2,2004,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241127141411434419391114610122092',NULL,'298',23.81,2,1,1),(16,3112861,'1991-06-09 00:00:00',2,5,10,2008,'F','N','DIVINéIA','ARARANGUá','SC','124242241215131731437933572122610134072',7309,'32',53.69,1,3,NULL),(16,3112870,'1974-02-26 00:00:00',2,1,8,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241247126131421123344245124610112097',NULL,'9999',22.26,1,2,1),(16,3112888,'1991-04-03 00:00:00',1,9,7,2008,'M','N','JARDIM DAS CAMéLIAS','LAGES','SC','124243281415271431368831572122610167042',7803,'9998',52.75,1,3,NULL),(16,3112896,'1990-06-05 00:00:00',4,4,12,2007,'F','N','CENTRO','CONCóRDIA','SC','124241241116571431458839215122610136097',4287,'192',60.27,1,2,1),(16,3112900,'1991-07-17 00:00:00',4,9,12,2008,'F','N','PANAZZOLO','CAXIAS SUL','RS','120202201216471431478831575122610133092',2230,'9998',66.31,1,3,NULL),(16,3112934,'1990-03-05 00:00:00',4,1,12,2007,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124244241117151731426639495124230214187',NULL,'257',24.43,1,3,NULL),(16,3112942,'1991-09-24 00:00:00',4,1,12,2008,'M','N','SãO ROQUE','BENTO GONçALVES','RS','120204201117131431448931242332610127042',11763,'9998',45.71,1,3,NULL),(16,3112950,'1991-10-30 00:00:00',2,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241115471231436633571124610112052',14254,'307',41.13,2,1,1),(16,3112969,'1991-08-06 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124244241117131411333923432124610164157',4939,'307',58.77,1,3,NULL),(16,3112977,'1968-10-17 00:00:00',2,1,11,1989,'M','N','CENTRO','FLORIANOPOLIS','SC','224251251347131421234443235122610127117',12815,'9998',43.82,1,3,NULL),(16,3112985,'1990-09-12 00:00:00',2,1,12,2007,'M','N','CENTRO','FOZ IGUAçU','PR','116162161215371431448711475112610137095',NULL,'9998',0.00,1,3,NULL),(16,3113000,'1991-04-26 00:00:00',4,4,11,2008,'M','N','CENTRO','FRANCISCO BELTRãO','PR','116161161317111451437411274125610164172',1516,'9998',69.29,1,3,NULL),(16,3113019,'1991-11-05 00:00:00',4,1,12,2008,'M','N','BRASíLIA','CERRO LARGO','RS','120204201216161431348939192122610137057',8746,'9998',50.99,1,3,NULL),(16,3113027,'1979-10-14 00:00:00',4,1,12,1997,'M','N','ITACORUBI','FLORIANóPOLIS','SC','224201251116131721238643332112131068097',NULL,'9998',28.56,1,2,1),(16,3113043,'1991-11-24 00:00:00',4,1,12,2008,'M','N','CENTRO','GUAíRA','PR','116162161217161431467919595122610168092',9953,'9998',48.86,1,3,NULL),(16,3113051,'1991-07-19 00:00:00',4,6,12,2008,'F','N','VILA OPERáRIA','ITAJAí','SC','124242161216121411479914575122610127142',1692,'9998',68.45,1,3,NULL),(16,3113060,'1991-05-27 00:00:00',2,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243241415112441356613471124610165112',7785,'1022',52.80,1,3,NULL),(16,3113078,'1989-06-21 00:00:00',2,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116124121115571231437912572224610164187',NULL,'9998',0.00,4,3,NULL),(16,3113086,'1991-06-23 00:00:00',4,8,11,2008,'M','N','JARDIM AVIAçãO','PRES PRUDENTE','SP','125252251215111431468912275112610167017',4016,'9998',61.03,3,3,NULL),(16,3113094,'1988-08-02 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241116473721359633295122610132117',11787,'307',45.67,1,3,NULL),(16,3113108,'1991-12-27 00:00:00',4,9,12,2008,'M','N','CENTRO','BOM RETIRO','SC','124241241127161331548833475122610164191',15269,'95',39.04,1,3,NULL),(16,3113116,'1990-03-29 00:00:00',4,10,12,2006,'M','N','INDEPENDêNCIA','PTO ALEGRE','RS','120202201116471731358833595124610137047',805,'9998',73.40,1,3,NULL),(16,3113124,'1991-10-07 00:00:00',2,9,11,2008,'F','N','CENTRO','S JOAQUIM','SC','124244241215131451316929591325610133072',15730,'1035',37.99,1,3,NULL),(16,3113132,'1988-08-30 00:00:00',4,1,7,2005,'F','N','INGLESES','FLORIANóPOLIS','SC','124241247331133751636833242341610167046',5334,'9999',57.81,1,3,NULL),(16,3113140,'1986-09-14 00:00:00',2,1,12,2004,'M','N','FAZENDA RIO TAVARES','FLORIANóPOLIS','SC','124241241125374431453632295124131027057',8010,'11',52.41,1,2,1),(16,3113159,'1986-02-21 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241122371521333944243123143237067',NULL,'757',39.22,3,2,1),(16,3113167,'1989-06-22 00:00:00',4,1,11,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241115272431536519345122610167042',10998,'276',47.02,1,2,1),(16,3113175,'1990-08-22 00:00:00',4,1,12,2007,'M','N','URBANOVA','S JOSé CAMPOS','SP','125252256416371411568824345124610164092',NULL,'9998',34.88,1,3,NULL),(16,3113183,'1991-10-04 00:00:00',4,1,12,2008,'F','N','GUARANI','NOVO HAMBURGO','RS','120201201417131431438814272122610131057',NULL,'9998',26.11,1,3,NULL),(16,3113191,'1991-05-17 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','120201201437111431434923292124610138111',NULL,'9998',20.50,1,3,NULL),(16,3113205,'1986-05-19 00:00:00',4,8,11,2003,'M','N','SANTO ANTôNIO','JOINVILLE','SC','124242241215371441576611345122132537112',2446,'486',65.53,1,3,NULL),(16,3113213,'1990-02-10 00:00:00',2,1,11,2007,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124242241215372731466654575124610167097',5413,'1011',57.64,1,3,NULL),(16,3113221,'1991-07-25 00:00:00',4,2,12,2008,'M','N','CENTRO','BRUSQUE','SC','124241241117131411434334151121610132171',14535,'111',40.63,3,2,1),(16,3113230,'1987-02-17 00:00:00',4,1,12,2004,'F','N','STELLA MARIS','SALVADOR','BA','105052051217571431448718285124142643097',6734,'9998',54.80,4,1,2),(16,3113256,'1988-01-16 00:00:00',2,1,12,2005,'F','N','KOBRASOL','S JOSé','SC','624241241115472431243551375124610122147',14079,'17',41.49,1,2,1),(16,3113272,'1991-06-10 00:00:00',4,8,12,2008,'F','N','VILA NOVA','JOINVILLE','SC','124241241411131431437611571124610126077',NULL,'461',35.01,1,3,NULL),(16,3113280,'1991-09-18 00:00:00',5,10,11,2008,'F','N','CENTRO','TUBARãO','SC','124244241216271431548912295112610135192',11598,'809',46.00,1,3,NULL),(16,3113299,'1990-01-27 00:00:00',4,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124241241122142721335469345124232824097',NULL,'736',25.46,1,2,1),(16,3113302,'1989-10-30 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241215573431358811472124610163157',2489,'270',65.36,4,3,NULL),(16,3113310,'1984-03-24 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241146373421433733342124222918187',NULL,'277',9.14,4,1,1),(16,3113329,'1991-07-12 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161215111411438816575125610133127',6831,'9998',54.61,1,3,NULL),(16,3113337,'1989-06-20 00:00:00',4,4,12,2006,'M','N','SALGADO FILHO','ARACAJU','SE','126262261216472431348912272122241417182',4653,'9998',59.43,4,3,NULL),(16,3113345,'1991-09-25 00:00:00',4,3,11,2008,'F','N','CENTRO','FRANCISCO BELTRãO','PR','116162161235121411228724472125610136012',8900,'9998',50.74,1,3,NULL),(16,3113353,'1991-09-18 00:00:00',4,1,12,2008,'F','N','CAMPO D UNA','GAROPABA','SC','124241241131131721433639572122610146047',NULL,'1136',19.17,1,2,1),(16,3113388,'1990-04-13 00:00:00',4,1,12,2007,'F','N','JARDIM LONDRILAR','LONDRINA','PR','116162161216472432668823475113610144012',9835,'9998',49.09,3,3,NULL),(16,3113396,'1990-09-04 00:00:00',2,1,12,2007,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241215372411556612375124610164182',14475,'1048',40.73,1,3,NULL),(16,3113426,'1990-03-27 00:00:00',4,1,12,2007,'M','N','JARDIM RENE','S ROQUE','SP','125251251117131431444619375112610162082',NULL,'9998',26.84,4,3,NULL),(16,3113434,'1989-01-11 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215372411348939372124121122113',5944,'226',56.47,1,3,NULL),(16,3113442,'1989-02-17 00:00:00',2,1,3,2007,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241116132731546619392124610167017',NULL,'267',36.60,1,3,NULL),(16,3113450,'1989-12-03 00:00:00',4,1,12,2007,'F','N','SANTA MONICA','FLORIANóPOLIS','SC','124241241215373451468823385124610162091',11827,'1022',45.59,1,3,NULL),(16,3113469,'1990-04-03 00:00:00',4,10,12,2007,'M','N','MAGALHãES','LAGUNA','SC','124243241345372431436833575112610128143',11021,'524',46.98,4,3,NULL),(16,3113477,'1980-08-29 00:00:00',4,1,12,1996,'M','N','CRISTO REI','CURITIBA','PR','216162161236241451258743432122143168046',NULL,'9998',0.00,1,3,NULL),(16,3113485,'1989-09-12 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215372431358811475114610122075',8276,'9997',51.82,1,3,NULL),(16,3113493,'1977-11-24 00:00:00',4,1,11,1995,'F','N','TAPERA','FLORIANóPOLIS','SC','124242241214473441256613432334122262091',10556,'262',47.82,4,3,NULL),(16,3113507,'1988-01-12 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241235274141543379575122133225095',15156,'1022',39.29,1,3,NULL),(16,3113523,'1989-10-04 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124242241211372431326633335124610133097',2260,'723',66.18,2,1,2),(16,3113566,'1991-02-15 00:00:00',4,1,12,2008,'F','N','RACHADEL','ANTôNIO CARLOS','SC','124241241115161431553436274122610124043',NULL,'21',25.53,1,2,1),(16,3113574,'1990-11-08 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241216111431388814495122610168092',NULL,'266',25.95,1,3,NULL),(16,3113582,'1988-07-23 00:00:00',4,1,12,2005,'F','N','NOSSA S DO ROSARIO','S JOSé','SC','124242241217374441368729484112610125091',5373,'270',57.71,1,3,NULL),(16,3113590,'1974-05-25 00:00:00',4,1,12,1994,'M','N','INGLESES RIO VERMELH','FLORIANóPOLIS','SC','124201207423131411124644245334610116057',14852,'9999',39.98,1,3,NULL),(16,3113604,'1987-11-13 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124252251214272731549811495114121462045',279,'9998',78.28,1,3,NULL),(16,3113612,'1988-06-06 00:00:00',2,8,12,2005,'F','N','BOM RETIRO','JOINVILLE','SC','124254251216572731437834575122610134197',NULL,'9998',41.01,1,3,NULL),(16,3113620,'1989-10-24 00:00:00',2,5,11,2006,'M','N','SANTA LUZIA','CRICIúMA','SC','124241243416133441536634345134610164077',NULL,'995',0.00,1,3,NULL),(16,3113647,'1979-12-28 00:00:00',2,1,8,2004,'F','N','BARREIROS','S JOSé','SC','224241247216473431223354245334610157097',16365,'9999',36.13,1,3,NULL),(16,3113655,'1985-10-18 00:00:00',2,1,11,2003,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124243241127373431435721145134610162187',11407,'288',46.34,1,3,NULL),(16,3113663,'1991-03-27 00:00:00',4,7,11,2008,'M','N','INTERIOR','VIDEIRA','SC','124242241215111431569613432124610127072',NULL,'969',35.40,1,3,NULL),(16,3113671,'1956-09-10 00:00:00',2,1,12,1976,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','224244243222155421543341415122120862093',16009,'264',37.23,1,3,NULL),(16,3113680,'1991-01-06 00:00:00',4,1,12,2008,'F','N','RACHADEL','ANTôNIO CARLOS','SC','124241248115111731433835192124610168045',NULL,'21',22.82,1,2,1),(16,3113698,'1991-06-20 00:00:00',4,7,11,2008,'M','N','CENTRO','ARROIO TRINTA','SC','124241241215111431565823432124610128051',12328,'969',44.68,1,3,NULL),(16,3113701,'1991-07-07 00:00:00',4,1,12,2008,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124243241217131431338714575124610161027',10900,'1048',47.19,1,3,NULL),(16,3113710,'1990-03-20 00:00:00',4,1,12,2007,'M','N','AREIAS','S JOSé','SC','124242241215371431424614575124610127042',10219,'1078',48.39,1,3,NULL),(16,3113728,'1990-07-06 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124202201217371431258912472114610161142',985,'9998',72.17,1,3,NULL),(16,3113736,'1990-06-28 00:00:00',4,8,12,2007,'F','N','CENTRO','S CARLOS','SP','125252251217471441479913571121610126022',NULL,'9998',0.00,1,3,NULL),(16,3113744,'1987-03-05 00:00:00',2,1,12,2004,'F','N','BARREIROS','S JOSé','SC','124242241215472431557814496124231223181',1810,'270',67.96,1,3,NULL),(16,3113752,'1990-01-16 00:00:00',2,1,11,2007,'F','N','FAZ SANTO ANTONIO','S JOSé','SC','124161161216474431545614573324610137057',10439,'9998',48.03,1,3,NULL),(16,3113760,'1983-05-27 00:00:00',2,1,12,2004,'M','N','GUARDA DO CUBATãO','PALHOçA','SC','124241241117112441246444245122610127172',10356,'739',48.16,1,2,1),(16,3113779,'1960-04-24 00:00:00',2,1,12,1980,'M','N','JARDIM ITAGUAÇU','FLORIANóPOLIS','SC','224211211131135411244443434224232825092',13705,'9998',42.26,2,1,1),(16,3113787,'1984-05-04 00:00:00',2,1,12,2002,'M','N','ARMAçãO DO PANT SUL','FLORIANóPOLIS','SC','124201201147131431124641315112140867067',NULL,'9998',10.14,1,3,NULL),(16,3113795,'1989-08-02 00:00:00',4,1,2,2008,'M','N','CAMPINAS','S JOSé','SC','224241241112132421423514242314610117141',NULL,'739',0.00,4,3,NULL),(16,3113809,'1989-07-20 00:00:00',4,1,11,2006,'F','N','IPIRANGA','S JOSé','SC','124242241217273431436823242224231027052',NULL,'738',23.79,1,3,NULL),(16,3113825,'1990-03-06 00:00:00',2,6,12,2007,'M','N','BUENO','GOIâNIA','GO','109091091216471751258839575324610168187',3813,'9998',61.56,1,3,NULL),(16,3113833,'1989-03-25 00:00:00',4,8,12,2006,'F','N','JD ESTORIL','S JOSé CAMPOS','SP','125252256237571631438611345114610123147',8747,'9998',50.99,2,1,2),(16,3113841,'1990-03-07 00:00:00',4,1,12,2007,'F','N','ABRAãO','FLORIANóPOLIS','SC','124241241115372431558823495124610167187',NULL,'307',27.88,1,3,NULL),(16,3113850,'1970-01-18 00:00:00',4,1,12,1989,'F','N','RIO GRANDE','PALHOçA','SC','524241243626332421223344145124130244147',NULL,'9997',27.40,4,1,2),(16,3113876,'1989-07-27 00:00:00',4,6,12,2006,'M','N','CENTRO','NAVEGANTES','SC','124242241327271431436914245133133214182',5132,'570',58.29,1,3,NULL),(16,3113892,'1977-08-23 00:00:00',2,1,6,2001,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','224161247221274411233242322324610141167',NULL,'9999',24.75,1,3,NULL),(16,3113914,'1951-10-10 00:00:00',4,1,7,1975,'M','N','CENTRO','FLORIANóPOLIS','SC','424242201437371411253442422132531067185',NULL,'9999',0.00,1,3,NULL),(16,3113922,'1988-05-07 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124251251116273431126344245235610124187',NULL,'9998',18.88,2,1,1),(16,3113930,'1992-02-09 00:00:00',2,1,11,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124242241215271751344823575124610128142',NULL,'1074',27.71,1,3,NULL),(16,3113949,'1991-10-18 00:00:00',4,1,11,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124242241216131731434653575124610138142',NULL,'1074',28.56,1,3,NULL),(16,3113957,'1991-09-19 00:00:00',4,5,12,2008,'M','N','JARDIM MARISTELA','CRICIúMA','SC','124242241215151431265923491224610127047',14879,'211',39.93,1,3,NULL),(16,3113965,'1990-04-12 00:00:00',4,1,12,2007,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124243241317232431326514575124610137017',13241,'462',43.08,1,3,NULL),(16,3113981,'1988-06-06 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241117271411214329582224131223011',15571,'192',38.38,1,3,NULL),(16,3113990,'1992-11-06 00:00:00',4,4,12,2009,'F','S','INTERIOR','SUL BRASIL','SC','124241241115161111443316172224610146147',NULL,'775',49.54,1,3,NULL),(16,3114007,'1990-07-02 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124243241217272431526729392124233262142',8783,'1036',50.94,1,3,NULL),(16,3114015,'1990-05-07 00:00:00',4,1,12,2007,'F','N','CENTRO','MARíLIA','SP','125253251216271431328677575112142563181',NULL,'9998',21.29,1,3,NULL),(16,3114031,'1989-02-18 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','124244241211372421346629445124610117041',2604,'262',65.00,1,3,NULL),(16,3114040,'1992-08-04 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111431229513272124610135016',11705,'1022',45.81,1,3,NULL),(16,3114066,'1990-08-29 00:00:00',2,4,11,2007,'F','N','CENTRO','PINHALZINHO','SC','120202201215473431569611572124241464147',5146,'9998',58.26,1,3,NULL),(16,3114074,'1989-06-17 00:00:00',2,1,12,2006,'M','N','SERRARIA','S JOSé','SC','124242248217473711466633595124231427042',9088,'270',50.43,1,3,NULL),(16,3114090,'1984-04-28 00:00:00',4,1,7,2004,'M','N','PRAIA COMPRIDA','S JOSé','SC','124244247337153711365612115334610164095',NULL,'9997',0.00,2,3,NULL),(16,3114112,'1991-09-10 00:00:00',2,1,11,2008,'F','N','PASSAGEM DO RIO DUNA','IMARUí','SC','124241241434111411224823571325610136092',2978,'362',63.88,1,3,NULL),(16,3114120,'1990-04-10 00:00:00',2,8,12,2007,'F','N','CENTRO','MEDIANEIRA','PR','116163161115471431445616175224610164117',10206,'9998',48.42,1,3,NULL),(16,3114139,'1991-02-27 00:00:00',2,1,11,2009,'F','S','ALTO ARIRIU','PALHOçA','SC','124241241127131411324321572224610113147',NULL,'818',21.42,1,3,NULL),(16,3114147,'1990-12-14 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSé','SC','124242241215472411257831571114220727052',3334,'723',62.90,1,3,NULL),(16,3114171,'1991-04-23 00:00:00',4,1,12,2008,'M','N','AREIAS','S JOSé','SC','124242241217141431437624345124610128013',NULL,'1078',37.18,1,3,NULL),(16,3114180,'1979-11-13 00:00:00',4,1,12,1999,'F','N','BALNEARIO ESTREITO','FLORIANóPOLIS','SC','124243241332132731446827275114120968117',12770,'270',43.88,2,1,2),(16,3114201,'1986-04-02 00:00:00',2,1,12,2004,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124203161115272721656363495134610128092',NULL,'9998',24.51,1,3,NULL),(16,3114210,'1986-10-12 00:00:00',4,1,12,2004,'F','N','CENRO','FLORIANóPOLIS','SC','124242241215572721588719574122130236187',5136,'270',58.28,1,3,NULL),(16,3114228,'1988-10-17 00:00:00',2,8,11,2005,'M','N','CABRAL','CURITIBA','PR','116162161211471411468813585122610126116',NULL,'9998',0.00,1,3,NULL),(16,3114236,'1978-01-13 00:00:00',4,1,12,1995,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241116153441136943435122320822045',NULL,'69',0.00,1,3,NULL),(16,3114260,'1991-10-04 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241135151451566613345122610126142',12899,'574',43.67,1,2,1),(16,3114279,'1988-04-09 00:00:00',4,1,12,2005,'M','N','CENTRO','BAL CAMBORIú','SC','124252251216571431368732575124610167082',NULL,'9998',32.91,1,3,NULL),(16,3114287,'1989-12-10 00:00:00',2,1,12,2007,'F','N','PONTA DE BAIXO','S JOSé','SC','124244241111372431348823445134610134112',10660,'733',47.63,1,3,NULL),(16,3114309,'1989-10-20 00:00:00',2,9,12,2006,'M','N','CENTRO','AGROLâNDIA','SC','124241242116471431456835355124610128072',NULL,'662',39.19,1,2,1),(16,3114317,'1990-07-13 00:00:00',4,8,12,2008,'M','N','CAPUAVA','EMBU','SP','125252253217371731478934392114610117042',NULL,'9998',28.53,1,3,NULL),(16,3114325,'1992-04-26 00:00:00',2,1,12,2008,'F','N','CENTRO','PAULO LOPES','SC','124241241147131551437814245224610134187',NULL,'607',24.04,1,2,1),(16,3114333,'1990-02-20 00:00:00',4,10,11,2007,'M','N','CENTRO','BRAçO NORTE','SC','124243241215372431436612325124610134142',13311,'807',42.94,1,3,NULL),(16,3114341,'1991-03-23 00:00:00',4,4,12,2008,'F','N','CENTRO','PAULO BENTO','RS','120201201326121731346933575124610123147',14257,'9998',41.12,1,3,NULL),(16,3114350,'1990-12-11 00:00:00',4,1,12,2007,'F','N','JARDIM COPACABANA','CPO GRANDE','MS','112122121217471431559914574122610135072',1765,'9998',68.14,1,3,NULL),(16,3114368,'1990-09-22 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241316472441446933295121610126052',15564,'1000',38.40,1,3,NULL),(16,3114376,'1988-02-25 00:00:00',2,1,12,2006,'F','N','CAMINHO NOVO','PALHOçA','SC','124241241116372431436424471122610136142',NULL,'591',31.81,1,2,1),(16,3114384,'1979-08-14 00:00:00',4,5,12,1998,'M','N','NOVA ESPERANçA','CRICIúMA','SC','124242241216272411336329385124333255047',6067,'229',56.20,1,3,NULL),(16,3114406,'1986-05-16 00:00:00',2,1,12,2005,'M','N','CENTRO','STA MARIA','RS','120201207137231411626619381124610118047',NULL,'9998',0.00,1,3,NULL),(16,3114414,'1990-10-30 00:00:00',2,1,12,2008,'F','N','ARMAçãO','FLORIANóPOLIS','SC','124241241137272711227611375114610162077',15180,'307',39.25,1,2,1),(16,3114449,'1987-05-20 00:00:00',2,1,12,2004,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124161161126131731225443135333613267187',11473,'9998',46.21,1,2,1),(16,3114457,'1991-03-06 00:00:00',2,2,12,2008,'F','N','CENTRO','STA CRUZ SUL','RS','120204201417131431328824345124610144147',12634,'9998',44.11,1,3,NULL),(16,3114465,'1990-02-15 00:00:00',4,1,12,2008,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124241241115131431538611575124610122117',NULL,'307',23.23,1,2,1),(16,3114473,'1986-09-16 00:00:00',4,1,11,2004,'M','N','CENTRO','S JOSé R PARDO','SP','125253051216511411337721475124241767052',3678,'9998',61.88,1,3,NULL),(16,3114481,'1988-12-03 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124251251132132432423364245114610117067',NULL,'9998',26.37,1,2,1),(16,3114490,'1988-09-30 00:00:00',2,1,11,2006,'M','N','INGLESES','FLORIANóPOLIS','SC','124111111121272431633114382224610118047',NULL,'9998',18.75,1,2,1),(16,3114503,'1991-02-16 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241116141731448614392122610167147',12759,'257',43.90,1,3,NULL),(16,3114520,'1991-11-07 00:00:00',4,1,11,2008,'M','N','RODOVIARIA PARQUE','CUIABá','MT','111112111236111411578813575122610117182',NULL,'9998',0.00,1,3,NULL),(16,3114538,'1988-08-26 00:00:00',4,10,12,2005,'F','N','AIURê','GR PARá','SC','124241241115574431433923576124231324147',6939,'330',54.41,1,2,1),(16,3114546,'1987-07-31 00:00:00',4,1,12,2003,'M','N','KOBRASOL','S JOSé','SC','124241241116274431529623245124610122097',16266,'307',36.47,1,3,NULL),(16,3114554,'1988-02-15 00:00:00',4,2,12,2005,'F','N','BOM RETIRO','BLUMENAU','SC','124242241215573421447833572122610126142',502,'909',75.74,1,3,NULL),(16,3114562,'1990-10-01 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124161245125241431526634342224610122147',NULL,'307',24.25,4,3,NULL),(16,3114570,'1991-09-06 00:00:00',4,1,12,2008,'F','N','CENTRO','PALHOçA','SC','124242241215371431356832574114610136172',1009,'270',72.02,1,3,NULL),(16,3114589,'1988-09-30 00:00:00',2,1,7,2008,'F','N','JOSé MENDES','FLORIANóPOLIS','SC','124243247317341431223424345124610123052',NULL,'9999',20.22,1,3,NULL),(16,3114597,'1989-09-10 00:00:00',4,1,12,2006,'F','N','RIBEIRãO PRETO','RIBEIRãO PRETO','SP','125251258111471231435714471125610164142',NULL,'9998',25.28,1,2,1),(16,3114600,'1988-11-07 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241116132431426724575124233238017',9761,'257',49.23,2,1,1),(16,3114619,'1991-10-07 00:00:00',4,2,11,2009,'F','S','NAçõES','TIMBó','SC','124242241215121331358812575122610162192',NULL,'1157',55.85,1,3,NULL),(16,3114627,'1985-04-26 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241217574751547313576344141324071',2313,'752',66.00,1,3,NULL),(16,3114635,'1991-07-04 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241436131431526631375124610124147',15691,'282',38.09,1,3,NULL),(16,3114651,'1968-09-08 00:00:00',2,1,11,1986,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','224241241121375421463353232124122226147',11063,'307',46.91,1,2,1),(16,3114660,'1989-11-03 00:00:00',2,1,12,2007,'M','N','JARDIM AMALIA','CAçAPAVA','SP','125254251416421441558833572122610127147',1331,'9998',70.22,1,3,NULL),(16,3114686,'1982-09-08 00:00:00',2,1,7,2001,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241247347371431426324344234610123097',14678,'294',40.32,4,3,NULL),(16,3114694,'1981-11-27 00:00:00',2,8,11,1998,'F','N','LEBLON','PARANAGUá','PR','116162161216411421458814435122343263147',NULL,'9998',0.00,1,3,NULL),(16,3114708,'1989-12-12 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215372331479931575125610162182',1543,'270',69.16,1,3,NULL),(16,3114716,'1991-03-16 00:00:00',4,8,12,2007,'F','N','AGUA VERDE','CURITIBA','PR','116163161114471351436823572124610164147',6612,'9998',55.03,1,3,NULL),(16,3114724,'1990-12-07 00:00:00',4,5,12,2008,'F','N','CENTRO','CRICIúMA','SC','124242248215211431359831572122610138142',13256,'226',43.05,1,3,NULL),(16,3114732,'1989-08-28 00:00:00',2,1,12,2006,'F','N','BELA VISTA','FRAIBURGO','SC','116242161215574431468632581224610167042',2765,'9998',64.52,1,3,NULL),(16,3114775,'1984-09-21 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124111091136143421658843335132231064052',11921,'9998',45.41,4,1,1),(16,3114783,'1991-04-04 00:00:00',2,1,12,2008,'F','N','IPIRANGA','FREDERICO WESTPHALEN','RS','120201201115131431326824375122610134057',15227,'9998',39.14,1,2,1),(16,3114791,'1973-09-06 00:00:00',2,3,12,2004,'M','N','CENTRO','BAL CAMBORIú','SC','324204207421131441326519281324610136117',16593,'9998',34.90,2,1,2),(16,3114805,'1989-12-23 00:00:00',4,1,11,2007,'F','N','MORRO GRANDE','CAIEIRAS','SP','125253251237471431436611384124610124032',6127,'9998',56.08,1,3,NULL),(16,3114813,'1986-09-15 00:00:00',4,8,12,2005,'M','N','AMERICA','JOINVILLE','SC','124241247126131431336511215122610124077',NULL,'9999',NULL,1,3,NULL),(16,3114821,'1989-01-17 00:00:00',2,1,11,2006,'F','N','JARDIM ELDORADO','PALHOçA','SC','124244248417112221536313345124230816022',NULL,'1011',0.00,1,3,NULL),(16,3114830,'1986-06-16 00:00:00',4,1,12,2003,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241211374441467933385124222964147',14075,'9997',41.50,2,1,2),(16,3114856,'1991-03-22 00:00:00',4,1,12,2008,'M','N','PASSO DA AREIA','PTO ALEGRE','RS','120202201217371431336729295124610127042',NULL,'9998',27.48,1,3,NULL),(16,3114864,'1991-10-19 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111411478612572124610138191',4737,'270',59.23,1,3,NULL),(16,3114872,'1989-11-13 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','S JOSé','SC','124242248212212211656422582122610117045',11472,'737',46.22,1,3,NULL),(16,3114880,'1988-06-04 00:00:00',4,1,6,2007,'M','N','TORRES DE SãO JOSé','JUNDIAí','SP','125252253216231341428811275124610137072',NULL,'9998',0.00,4,3,NULL),(16,3114899,'1990-11-01 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242247215121431366932575124610128181',8435,'270',51.52,1,3,NULL),(16,3114910,'1981-12-06 00:00:00',4,1,12,2000,'M','N','PICADAS DO SUL','S JOSé','SC','124244241237132711348423345334610164112',14770,'1036',40.13,1,3,NULL),(16,3114929,'1982-12-08 00:00:00',2,1,12,2001,'M','N','PINHEIRA','PALHOçA','SC','124241241126233511313139382124131457147',NULL,'595',14.26,1,2,1),(16,3114937,'1992-03-01 00:00:00',4,1,12,2008,'F','N','CENTRO','PASSO FUNDO','RS','120202201215471431457816585122610141197',NULL,'9998',27.70,1,3,NULL),(16,3114945,'1991-02-06 00:00:00',2,8,12,2008,'F','N','JARDIM PRIMAVERA','LONTRAS','SC','124241241147131131523414286344610156177',NULL,'535',32.87,1,2,1),(16,3114953,'1987-06-12 00:00:00',4,2,12,2003,'M','N','VICTOR KONDER','BLUMENAU','SC','124243241216151711258443235124332334052',NULL,'87',0.00,1,3,NULL),(16,3114970,'1991-05-24 00:00:00',4,3,11,2008,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124243241215111431459814475112610162142',10793,'1038',47.38,1,3,NULL),(16,3114988,'1990-09-08 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431469913575115610148192',11475,'446',46.21,1,3,NULL),(16,3114996,'1992-03-23 00:00:00',4,7,11,2009,'F','S','NOSSA SR DE LURDES','JOAçABA','SC','124241248215111431469614495122610128092',NULL,'446',22.91,1,3,NULL),(16,3115003,'1990-08-18 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241217272431565724495122610131012',NULL,'1022',0.00,1,3,NULL),(16,3115011,'1989-04-06 00:00:00',2,1,12,2005,'F','N','PRAINHA','FLORIANóPOLIS','SC','124243241117574431558733572122231237122',2891,'307',64.12,1,3,NULL),(16,3115020,'1991-09-17 00:00:00',4,10,12,2008,'M','N','HUMAITá DE CIMA','TUBARãO','SC','124241241115131431423379577324610137147',7714,'798',52.93,1,2,1),(16,3115038,'1988-03-31 00:00:00',4,1,12,2006,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215573431476613575112230237072',2009,'272',67.14,1,3,NULL),(16,3115046,'1990-03-23 00:00:00',2,5,12,2007,'F','N','IMBIRAPUERA','MRO FUMAçA','SC','124244241216152531667612575122230864042',7315,'226',53.68,1,3,NULL),(16,3115054,'1990-08-29 00:00:00',2,1,12,2008,'M','N','CENTRO','GAROPABA','SC','124244241436273441465923391124610164142',11821,'322',45.60,1,3,NULL),(16,3115062,'1991-07-16 00:00:00',2,1,12,2008,'M','N','BARREIROS','SAO JOSE','SC','124241241111211431339633572124610117012',NULL,'257',29.07,2,1,1),(16,3115070,'1991-01-31 00:00:00',2,4,12,2008,'M','N','PALMITAL','CHAPECó','SC','124241241112111721554933331332610114042',NULL,'169',24.64,1,3,NULL),(16,3115089,'1989-09-10 00:00:00',2,1,12,2007,'M','N','ENSEADA DE BRITO','PALHOçA','SC','124241241236122331423512442123610124057',NULL,'989',17.71,1,3,NULL),(16,3115097,'1991-11-15 00:00:00',4,2,12,2008,'F','N','ESCOLA AGRíCOLA','BLUMENAU','SC','124242241235131431336624575122610162147',9556,'909',49.61,1,3,NULL),(16,3115100,'1990-10-02 00:00:00',4,1,11,2007,'M','N','JARDIN LANCASTER','FOZ IGUAçU','PR','116162161216271231368912575122610167042',NULL,'9998',0.00,1,3,NULL),(16,3115127,'1990-12-12 00:00:00',4,1,12,2008,'M','N','BARRA DO ARIRIú','PALHOçA','SC','124241241147131432557734241224610131012',NULL,'591',19.94,2,3,NULL),(16,3115143,'1991-06-14 00:00:00',4,1,12,2008,'F','N','SACO GRANDE II','FLORIANóPOLIS','SC','124241241116371441436613572224610147117',8907,'307',50.73,2,1,1),(16,3115151,'1987-12-20 00:00:00',4,9,11,2005,'M','N','GUARUJA','LAGES','SC','124243247241513431534734275122231517057',NULL,'9999',21.24,1,3,NULL),(16,3115178,'1991-09-12 00:00:00',2,7,11,2008,'M','N','CENTRO','JOAçABA','SC','124243241215151731566932222122610127012',13654,'446',42.36,1,3,NULL),(16,3115186,'1991-10-09 00:00:00',4,1,12,2008,'F','N','NOVA BRASíLIA','IMBITUBA','SC','124241241117131431436613432124610135197',NULL,'359',25.62,1,2,1),(16,3115194,'1987-07-03 00:00:00',4,1,12,2006,'M','N','CENTRO','BAL CAMBORIú','SC','124242241211333411368811371114233212051',11226,'270',46.60,1,3,NULL),(16,3115208,'1990-06-19 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215473431488833575114610162042',3520,'270',62.33,1,3,NULL),(16,3115216,'1989-10-27 00:00:00',2,1,12,2006,'F','N','SERRARIA','S JOSé','SC','124241241336473431436521371114233227017',2903,'307',64.09,1,3,NULL),(16,3115224,'1990-06-11 00:00:00',4,2,11,2008,'M','N','DAS NAçõES','TIMBó','SC','124241241215111431228822575322610124097',6340,'1157',55.59,1,3,NULL),(16,3115232,'1992-01-16 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111431228821595122610123172',12138,'738',45.01,1,3,NULL),(16,3115240,'1991-01-19 00:00:00',2,1,10,2008,'M','N','KOBRASOL','S JOSé','SC','124242248215111531527623575121610167065',3352,'723',62.84,1,3,NULL),(16,3115259,'1992-03-13 00:00:00',2,1,11,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241115471431523329575224610114052',15045,'281',39.56,1,2,1),(16,3115267,'1991-03-13 00:00:00',4,10,11,2008,'M','N','DEHON','TUBARãO','SC','124242241217111431539814575122610112052',NULL,'807',41.04,1,3,NULL),(16,3115275,'1989-03-02 00:00:00',4,10,12,2006,'M','N','CENTRO','TUBARãO','SC','124242241215374431176832575114131438052',1439,'806',69.59,1,3,NULL),(16,3115283,'1991-10-03 00:00:00',2,1,11,2008,'F','N','COLôNIA SANTANA','S JOSé','SC','124242241212151431456512345122610137053',15279,'1074',39.02,1,3,NULL),(16,3115291,'1988-08-13 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124254241215372431158616475224610126177',15688,'300',38.10,1,3,NULL),(16,3115305,'1991-07-03 00:00:00',4,3,12,2008,'F','N','BARRA','BAL CAMBORIú','SC','124241241315141431345323142214610135057',NULL,'44',27.19,1,3,NULL),(16,3115313,'1988-11-30 00:00:00',4,8,12,2006,'M','N','DISTRITO INDUSTRIAL','JOINVILLE','SC','124241241215473431337611575114231437042',2558,'88',65.14,1,3,NULL),(16,3115321,'1991-12-10 00:00:00',2,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215121431333629575124610127042',NULL,'1022',35.12,1,3,NULL),(16,3115330,'1992-05-19 00:00:00',2,1,11,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124162241215111731225624472224610143117',12660,'1022',44.06,4,3,NULL),(16,3115348,'1991-02-26 00:00:00',2,5,11,2008,'M','N','SÃO CRISTOVÃO','CRICIUMA','SC','124242241217111431449613372122610124052',5239,'213',58.02,1,3,NULL),(16,3115364,'1990-06-19 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215473431488813575114610162042',935,'270',72.45,1,3,NULL),(16,3115372,'1992-05-30 00:00:00',2,4,12,2008,'M','N','CENTRO','S MIGUEL OESTE','SC','124243241117161431438919372122610168182',NULL,'757',28.28,1,3,NULL),(16,3115380,'1989-12-28 00:00:00',2,1,12,2008,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124243241115131431568713372124610147187',NULL,'271',34.54,1,3,NULL),(16,3115399,'1990-03-23 00:00:00',2,5,12,2007,'F','N','IMBIRAPUERA','MRO FUMAçA','SC','124244241215111731667612425122230214052',10218,'226',48.39,1,3,NULL),(16,3115402,'1988-06-27 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217271441344839574124231422092',6659,'880',54.96,1,3,NULL),(16,3115410,'1989-10-26 00:00:00',2,1,12,2007,'M','N','BALNEáRIO','FLORIANóPOLIS','SC','125252251217471751645632371122610131142',1384,'9998',69.91,1,3,NULL),(16,3115429,'1990-02-15 00:00:00',2,1,12,2008,'F','N','FORQUILHAS','S JOSé','SC','124241241111132711545514391114610112147',NULL,'733',42.72,4,2,1),(16,3115437,'1987-11-18 00:00:00',4,1,12,2005,'F','N','SANTO ANTONIO','FLORIANóPOLIS','SC','124242241215372431468911575122131922197',4085,'270',60.82,1,3,NULL),(16,3115453,'1991-10-28 00:00:00',4,1,11,2008,'M','N','CENTRO','RIO SUL','SC','124242241215111731159932272125610167182',13372,'653',42.84,4,3,NULL),(16,3115461,'1991-02-25 00:00:00',4,1,12,2008,'F','N','SÃO MIGUEL','MARíLIA','SP','125252251212111411435531574312610137122',14188,'9998',41.26,3,3,NULL),(16,3115470,'1975-12-05 00:00:00',2,1,12,2005,'M','N','DE FÁTIMA','FLORIANóPOLIS','SC','124241247136131431633324281124333266107',NULL,'9999',30.36,2,1,1),(16,3115488,'1990-03-30 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215151431379923395122610144197',NULL,'273',29.89,1,3,NULL),(16,3115496,'1992-02-23 00:00:00',4,4,12,2008,'M','N','BELA VISTA','CONCóRDIA','SC','124241241111471431439633331122610167187',14564,'192',40.59,4,3,NULL),(16,3115500,'1990-03-16 00:00:00',4,1,11,2007,'F','N','CENTRO','LONDRINA','PR','116162161217471731468833575112610167097',16056,'9998',37.10,1,3,NULL),(16,3115526,'1982-03-29 00:00:00',2,1,12,1999,'F','N','VILA DAMáSIO','S BERNARDO CAMPO','SP','125252251216515411226619315122343267097',NULL,'9998',0.00,1,3,NULL),(16,3115534,'1989-04-06 00:00:00',4,1,12,2007,'M','N','SUDOESTE','CRUZEIRO','DF','107072071215472431489833575114610134192',7724,'9998',52.92,1,3,NULL),(16,3115550,'1991-04-18 00:00:00',4,1,10,2008,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241217121731366712222224610123092',NULL,'909',0.00,1,3,NULL),(16,3115569,'1990-10-15 00:00:00',2,1,11,2008,'F','N','MONTE KEMEL','S PAULO','SP','125252251216131431348714571145610124142',NULL,'9998',0.00,1,3,NULL),(16,3115577,'1991-03-11 00:00:00',4,3,12,2008,'F','N','CENTRO','CURITIBA','PR','116163161215111731438913444122610126142',NULL,'9998',0.00,1,3,NULL),(16,3115585,'1991-09-19 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124162248415471331557631571224610162142',8376,'270',51.64,1,3,NULL),(16,3115623,'1985-04-21 00:00:00',4,1,12,2002,'F','N','JARDIM CARVALHO','PNT GROSSA','PR','116164161216572431648831375122142423077',282,'9998',78.24,1,3,NULL),(16,3115631,'1991-08-20 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANOPOLIS','SC','124242248211111451489812575122610167043',NULL,'270',37.80,1,3,NULL),(16,3115640,'1988-06-04 00:00:00',4,1,12,2005,'M','N','CENTRO','TAUBATé','SP','125252251217471731468712575112140242142',NULL,'9998',0.00,1,3,NULL),(16,3115658,'1991-04-28 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241117371731446633572122610135147',15245,'307',39.10,1,2,1),(16,3115666,'1992-05-11 00:00:00',4,8,12,2009,'F','S','BUCAREIN','JOINVILLE','SC','124242241215111431489912572122610123197',NULL,'491',44.53,1,3,NULL),(16,3115674,'1989-09-06 00:00:00',2,1,10,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215112431138632582223610167045',NULL,'266',27.98,1,3,NULL),(16,3115682,'1990-11-26 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241212111421526614472324610135172',NULL,'9997',30.95,1,3,NULL),(16,3115704,'1991-10-23 00:00:00',4,1,12,2008,'F','N','POçO FUNDO','STO AMARO IMPERATRIZ','SC','124241241125111711433314345122610128012',NULL,'12',21.31,1,3,NULL),(16,3115712,'1989-01-22 00:00:00',4,1,11,2006,'M','N','SERRARIA','S JOSé','SC','124241241127132231664313485114610164052',12966,'730',43.56,1,2,1),(16,3115720,'1990-04-05 00:00:00',4,1,12,2006,'F','N','KOBRASOL','S JOSé','SC','124202201217472431328729372114121133117',5564,'9998',57.35,1,3,NULL),(16,3115739,'1991-03-11 00:00:00',4,8,11,2008,'M','N','GLóRIA','JOINVILLE','SC','124244241215112732469912376122610137041',NULL,'491',0.00,1,3,NULL),(16,3115747,'1988-05-06 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241217574431234611375124130231092',7213,'270',53.88,1,3,NULL),(16,3115755,'1990-11-01 00:00:00',4,1,12,2007,'F','N','TAPERA','FLORIANóPOLIS','SC','124133241315372431448613591124610137097',NULL,'300',36.98,1,3,NULL),(16,3115763,'1990-04-24 00:00:00',2,4,12,2008,'F','N','CENTRO','BOM JESUS','SC','124242241217311431435632375124610131192',NULL,'1159',18.39,1,3,NULL),(16,3115771,'1991-04-19 00:00:00',4,2,12,2008,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241215111431369931472112610247142',3732,'909',61.75,1,3,NULL),(16,3115798,'1990-08-27 00:00:00',2,1,11,2008,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241217111411336821445114610117042',13413,'270',42.77,1,3,NULL),(16,3115801,'1991-02-19 00:00:00',2,4,12,2008,'M','N','SALETE','S MIGUEL OESTE','SC','124241241146131431556613295125610167047',NULL,'757',0.00,1,3,NULL),(16,3115828,'1990-03-20 00:00:00',4,1,12,2007,'M','N','JOQUEI CLUBE','CPO GRANDE','MS','112122121217472431652821275122610162187',2711,'9998',64.66,1,3,NULL),(16,3115836,'1991-10-25 00:00:00',4,1,12,2008,'F','N','VILA OLíMPICA','UBERABA','MG','113132131216111711368713592112610167077',NULL,'9998',0.00,1,3,NULL),(16,3115844,'1989-12-23 00:00:00',4,1,12,2007,'F','N','CENTRO','STA MARIA','RS','120203201146371231444623382124640123157',NULL,'9998',29.67,1,3,NULL),(16,3115852,'1991-06-21 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124244241215111431449611572124610163142',15317,'943',38.93,1,3,NULL),(16,3115860,'1991-10-14 00:00:00',2,4,11,2008,'M','N','CENTRO','PALMITOS','SC','124244241211111431438939575112610114042',NULL,'1046',38.41,1,3,NULL),(16,3115879,'1987-12-27 00:00:00',2,8,12,2004,'F','N','JARDIM BOTANICO','CURITIBA','PR','116162161316572431444412415122240721092',11137,'9998',46.77,1,3,NULL),(16,3115887,'1991-04-26 00:00:00',4,3,11,2008,'F','N','CENTRO','CPO GRANDE','MS','112122121215111431274934492122610116197',8566,'9998',51.32,1,3,NULL),(16,3115895,'1990-02-17 00:00:00',4,1,12,2007,'F','N','CABREUVA','CPO GRANDE','MS','112122121212471431534816572324610114197',14355,'9998',40.96,1,3,NULL),(16,3115909,'1991-03-21 00:00:00',4,1,11,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124242241217112431469933575114610133072',599,'270',74.95,1,3,NULL),(16,3115917,'1991-07-24 00:00:00',2,1,12,2008,'F','N','TABAJARA','CAçADOR','SC','124242241211131431447933571122610122011',7241,'120',53.83,1,3,NULL),(16,3115925,'1989-12-24 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241214373431247913375115133212172',2549,'1022',65.18,1,3,NULL),(16,3115933,'1990-03-02 00:00:00',4,1,12,2008,'F','N','VILA PLANALTO','DOURADOS','MS','112122121217121752549914375124610142197',NULL,'9998',35.66,1,3,NULL),(16,3115941,'1990-12-20 00:00:00',4,3,12,2008,'M','N','UVARANAS','PNT GROSSA','PR','116162168114151431566822275122610127017',NULL,'9998',0.00,1,3,NULL),(16,3115968,'1989-04-19 00:00:00',4,5,12,2006,'F','N','SANTO ANJO DA GUARDA','TRêS CACHOEIRAS','RS','120201203227371711456512572124610162047',11927,'9998',45.40,1,3,NULL),(16,3115976,'1990-07-29 00:00:00',2,1,11,2007,'F','N','CENTRO','BIGUAçU','SC','124242241215473231568732372124610124072',4161,'270',60.61,1,3,NULL),(16,3115984,'1991-12-10 00:00:00',4,1,12,2008,'F','N','CENTRO','CANELINHA','SC','124241241131141431349313345121610124017',12742,'142',43.93,1,2,1),(16,3115992,'1986-04-09 00:00:00',4,1,12,2004,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241145273431447823285124131027017',9119,'234',50.38,1,2,1),(16,3116000,'1990-04-20 00:00:00',4,1,12,2007,'F','N','PLANALTO DO SOL','STA BáRBARA D OESTE','SP','125251251116472431226629271124610134187',6620,'9998',55.01,4,2,1),(16,3116018,'1990-07-29 00:00:00',1,1,12,2008,'M','N','PERDIZES','S PAULO','SP','125252257216371431478914571124610124042',5969,'9998',56.42,1,3,NULL),(16,3116026,'1990-05-29 00:00:00',2,6,12,2008,'M','N','JACAREPAGUá','RIO JANEIRO','RJ','121213211216471441428712575114610164141',NULL,'9998',0.00,1,3,NULL),(16,3116034,'1990-01-22 00:00:00',2,1,11,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124252241215372431439831214124610124082',246,'262',78.59,1,3,NULL),(16,3116042,'1990-03-04 00:00:00',4,1,6,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124062241215371431368619595125610167123',NULL,'9999',15.01,1,3,NULL),(16,3116050,'1990-05-30 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124252251215471431478834574124610117117',2778,'9998',64.48,1,3,NULL),(16,3116069,'1991-05-08 00:00:00',4,1,12,2008,'M','N','COOPHAMAT','CPO GRANDE','MS','112122121215471731249833575112610162047',5272,'9998',57.93,1,3,NULL),(16,3116077,'1991-12-12 00:00:00',4,1,12,2008,'F','N','CENTRO BIGUAçU','BIGUAçU','SC','124242241215111431347734575124610123052',12433,'1022',44.50,1,3,NULL),(16,3116085,'1990-02-25 00:00:00',4,1,7,2008,'M','N','STA ROSALIA','SOROCABA','SP','125252257147571431448811575112610164012',16059,'9999',37.09,1,3,NULL),(16,3116093,'1991-04-06 00:00:00',4,1,12,2008,'M','N','BOA PARADA','S PEDRO ALCâNTARA','SC','124244241237111431548831574124610127142',10994,'1050',47.03,1,3,NULL),(16,3116107,'1991-01-05 00:00:00',2,1,11,2008,'F','N','COQUEIRAL','CASCAVEL','PR','116162161215111431518329585124610124142',NULL,'9998',26.97,1,3,NULL),(16,3116115,'1991-02-13 00:00:00',4,1,12,2008,'F','N','JARDIM VALERI','REGISTRO','SP','125252251226111441436823575125610133147',NULL,'9998',24.21,1,3,NULL),(16,3116123,'1989-09-02 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215514731656714145234610123141',13687,'273',42.30,1,3,NULL),(16,3116131,'1987-08-12 00:00:00',2,1,12,2004,'M','N','BOA VISTA','S VICENTE','SP','125252251216371451343624375114610162197',1931,'9998',67.47,1,3,NULL),(16,3116140,'1991-02-06 00:00:00',4,1,12,2008,'F','N','PROGRESSO','BENTO GONçALVES','RS','120202201237271731366634571122610162192',10544,'9998',47.84,1,3,NULL),(16,3116158,'1991-05-23 00:00:00',4,8,11,2008,'F','N','FLORESTA','JOINVILLE','SC','124242241216111431439822275122610134182',14867,'486',39.96,4,3,NULL),(16,3116166,'1989-08-27 00:00:00',4,1,12,2006,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124251254116152431118849292324222564147',4514,'9998',59.73,1,2,1),(16,3116174,'1991-10-01 00:00:00',2,1,12,2008,'F','N','CAMINHO NOVO','PALHOçA','SC','124241241215271431433611572324610116147',3377,'988',62.76,1,3,NULL),(16,3116182,'1984-10-27 00:00:00',4,2,11,2003,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241116372421536614385222610137052',7393,'659',53.53,1,2,1),(16,3116190,'1991-06-17 00:00:00',2,1,12,2008,'F','N','MEIA PRAIA ITAPEMA','ITAPEMA','SC','124241241115271711425512575122610148147',NULL,'405',0.00,1,3,NULL),(16,3116204,'1991-06-17 00:00:00',4,1,12,2008,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124243248415131411236733575224610122052',NULL,'1075',25.93,1,3,NULL),(16,3116212,'1990-04-05 00:00:00',2,1,12,2007,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124242248215372411446613592112610123192',NULL,'1022',24.91,1,3,NULL),(16,3116220,'1992-11-27 00:00:00',4,4,12,2009,'M','S','PRESIDENTE MéDICI','CHAPECó','SC','124242241212111431468812242122610127062',NULL,'185',38.33,1,3,NULL),(16,3116239,'1988-01-22 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241117135751233544442344610167047',NULL,'277',23.87,1,3,NULL),(16,3116247,'1991-09-19 00:00:00',4,8,11,2008,'M','N','CENTRO','CASCAVEL','PR','116162161215174411247933371122610167022',NULL,'9998',0.00,1,3,NULL),(16,3116255,'1991-06-06 00:00:00',4,1,12,2008,'F','N','JARDIM ESMERALDA','STA BáRBARA D OESTE','SP','125251251117131431437733575124610121144',NULL,'9998',27.46,4,2,1),(16,3116263,'1991-02-12 00:00:00',4,2,12,2007,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124202241117271411336629273224132937057',11756,'715',45.72,1,3,NULL),(16,3116280,'1991-12-24 00:00:00',4,6,12,2008,'M','N','LIBERDADE','CONCóRDIA','SC','124241241117131431437315575122610137067',NULL,'9997',24.99,1,2,1),(16,3116301,'1991-09-30 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215372431347834574122610164052',2400,'44',65.69,1,3,NULL),(16,3116310,'1987-04-11 00:00:00',2,4,12,2005,'M','N','PRESIDENTE MEDICE','CHAPECó','SC','124243241315271411369611375112610165187',8354,'1046',51.68,1,3,NULL),(16,3116328,'1989-09-13 00:00:00',4,1,12,2006,'F','N','BELA VISTA','S JOSé','SC','124243247212133431436633571124610132082',NULL,'9999',29.19,4,1,2),(16,3116344,'1979-12-09 00:00:00',2,6,12,1996,'M','N','CENTRO','ITAJAí','SC','112124121436271411218848285121141022017',2754,'9998',64.56,1,3,NULL),(16,3116352,'1988-11-01 00:00:00',4,1,6,2006,'F','N','CENTRO','RIBEIRãO PRETO','SP','125122281211514211468834571112610123122',3317,'9998',62.95,4,3,NULL),(16,3116387,'1990-09-25 00:00:00',4,5,12,2007,'F','N','MICHEL','CRICIúMA','SC','124163161116472451423611172325610148187',9715,'9998',49.31,1,3,NULL),(16,3116395,'1991-05-18 00:00:00',2,1,12,2008,'F','N','RATONES','FLORIANóPOLIS','SC','124241241215111431423311572324610116147',NULL,'988',30.75,1,3,NULL),(16,3116409,'1991-07-29 00:00:00',4,1,12,2008,'F','N','CENTRO OESTE','CATANDUVAS','SC','124241241115131431325521571122610167052',NULL,'161',0.00,1,2,1),(16,3116425,'1989-08-13 00:00:00',3,1,8,2006,'F','N','JURERE INTERNACIONAL','FLORIANóPOLIS','SC','124242284115471431489912395122130268145',NULL,'9998',35.38,1,3,NULL),(16,3116433,'1992-01-13 00:00:00',4,8,12,2009,'M','S','AMERICA','JOINVILLE','SC','124242241216151431456612492121610122062',NULL,'457',30.07,4,3,NULL),(16,3116450,'1991-11-25 00:00:00',2,1,12,2008,'F','N','ALTO ARROIO','IMBITUBA','SC','124241241115131531536653572124610127057',NULL,'361',18.72,1,2,1),(16,3116476,'1990-11-02 00:00:00',4,6,11,2008,'F','N','SANTA RITA','BRUSQUE','SC','124241241116471431435314345112610137077',14830,'876',40.01,1,2,1),(16,3116484,'1991-06-27 00:00:00',4,1,12,2008,'M','N','CENTRO','GUAíRA','PR','116162161216271731468833395124610116052',NULL,'9998',38.53,1,3,NULL),(16,3116492,'1990-04-13 00:00:00',2,1,12,2008,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124243241335271431536313575124610163147',16433,'271',35.78,1,3,NULL),(16,3116506,'1987-05-22 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANOPOLIS','SC','124242241236132421334529385124610134077',NULL,'272',24.15,2,1,2),(16,3116514,'1980-04-17 00:00:00',4,1,12,1999,'M','N','JARDIM ELDORADO','PALHOçA','SC','124241241126133411646664445132610134047',NULL,'728',23.72,1,2,1),(16,3116522,'1985-06-05 00:00:00',2,1,7,2003,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241147231522126643236114610151197',3452,'605',62.51,1,2,1),(16,3116530,'1991-08-23 00:00:00',4,7,12,2008,'F','N','CENTRO','PINHEIRO PRETO','SC','124241241125131431333723575122610167057',NULL,'618',26.38,1,2,1),(16,3116549,'1990-12-03 00:00:00',2,9,12,2008,'M','N','MARTORANO','S JOAQUIM','SC','124241242116111431356923575124610116052',NULL,'662',20.48,1,2,1),(16,3116557,'1991-08-07 00:00:00',2,1,12,2008,'F','N','PASSA VINTE','PALHOçA','SC','124241241215111431623811572224610116147',15922,'988',37.43,1,3,NULL),(16,3116565,'1987-07-20 00:00:00',2,1,12,2004,'F','N','IPIRANGA','S JOSé','SC','124241241117272431446579374123130846142',NULL,'734',19.04,1,2,1),(16,3116573,'1988-12-20 00:00:00',4,1,12,2006,'F','N','JARDIM COLONIAL','CPO GRANDE','MS','112122121216132751336723275124140962072',NULL,'9998',0.00,1,3,NULL),(16,3116581,'1991-04-03 00:00:00',2,7,11,2008,'M','N','CENTRO','VIDEIRA','SC','124241241416111731456719375112610167057',7376,'829',53.57,1,3,NULL),(16,3116590,'1992-03-17 00:00:00',2,9,12,2008,'F','N','TRIANGULO','LAGES','SC','124241241116371431433619572124610124142',NULL,'498',26.87,1,2,1),(16,3116603,'1982-07-23 00:00:00',4,1,12,1999,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124254251216152431128819393122221127117',NULL,'9998',27.10,3,3,NULL),(16,3116611,'1992-01-13 00:00:00',4,7,11,2008,'M','N','SETOR RESID NORTE','SINOP','MT','111114111216251432456631275122610122092',1220,'9998',70.82,1,3,NULL),(16,3116620,'1990-07-21 00:00:00',4,3,12,2007,'M','N','JARDIN ESTORIL','CORNéLIO PROCóPIO','PR','116162161117132431458813575124610164012',NULL,'9998',28.59,1,3,NULL),(16,3116638,'1991-05-25 00:00:00',4,6,12,2008,'F','N','ELDORADO','ASSAí','PR','116164161216111431467732575122610145072',NULL,'9998',0.00,1,3,NULL),(16,3116646,'1991-11-05 00:00:00',4,3,12,2008,'M','N','SERTãO DO TROMBUDO','ITAPEMA','SC','124241241116131431333923345131610137017',13628,'406',42.41,1,2,1),(16,3116654,'1991-09-04 00:00:00',2,10,11,2008,'F','N','MAR GROSSO','LAGUNA','SC','124243251217111421469931474122610166182',9873,'807',49.01,1,3,NULL),(16,3116662,'1987-09-05 00:00:00',5,2,12,2005,'F','N','CENTRO','POMERODE','SC','124246248142131451527549292334610138147',15862,'9997',37.59,1,3,NULL),(16,3116670,'1991-05-28 00:00:00',4,4,12,2008,'F','N','INTERIOR','CONCóRDIA','SC','124241241117131451526616573224610164197',NULL,'192',28.88,1,2,1),(16,3116689,'1990-03-21 00:00:00',4,1,12,2008,'F','N','VILA NOVA','PTO ALEGRE','RS','120202201437371721553861575124610131117',15921,'9998',37.44,4,3,NULL),(16,3116697,'1989-09-23 00:00:00',4,1,7,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','120201201445371231367832475112610134192',NULL,'9998',4.04,1,3,NULL),(16,3116719,'1986-12-03 00:00:00',2,1,12,2004,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124242241217273441468813491124230224182',8090,'269',52.25,1,3,NULL),(16,3116727,'1989-12-21 00:00:00',2,4,12,2006,'M','N','SANTO AMARO','S PAULO','SP','125254251411471421433772471112610118192',NULL,'9998',0.00,1,3,NULL),(16,3116735,'1989-09-08 00:00:00',4,1,12,2006,'F','N','SANTO ANTãO','BENTO GONçALVES','RS','120201201117472431465312272222610163042',9050,'9998',50.49,1,2,1),(16,3116743,'1989-09-04 00:00:00',4,1,12,2006,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241215573431264823345114610122067',11748,'272',45.74,1,3,NULL),(16,3116751,'1991-03-19 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241115131431336814572114610134192',12941,'267',43.61,1,2,1),(16,3116760,'1990-03-30 00:00:00',4,1,11,2007,'F','N','JARDIM SANTA GENEBRA','CAMPINAS','SP','125253251217371431439921444114610137054',NULL,'9998',0.00,1,3,NULL),(16,3116778,'1989-11-28 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215572751459824395114610168187',12467,'1022',44.45,1,3,NULL),(16,3116786,'1991-06-20 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111731279933572112610138183',6422,'270',55.43,1,3,NULL),(16,3116794,'1991-08-24 00:00:00',4,10,12,2008,'M','N','CENTRO','CAPAO DA CANOA','RS','120203201111161441236823171124610142072',10394,'9998',48.10,1,3,NULL),(16,3116808,'1987-12-23 00:00:00',2,1,12,2004,'M','N','TAPERA','FLORIANóPOLIS','SC','124241241116273451346613392124221744057',3177,'281',63.34,1,2,1),(16,3116816,'1991-05-02 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216121411378823595122610163127',12599,'266',44.18,1,3,NULL),(16,3116824,'1990-03-30 00:00:00',4,5,11,2007,'M','N','MINA BRASIL','CRICIúMA','SC','124242241215372751478832574122131067072',919,'211',72.58,1,3,NULL),(16,3116832,'1988-10-21 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215473431577611372122233222142',1442,'270',69.58,1,3,NULL),(16,3116840,'1991-07-25 00:00:00',2,3,11,2008,'F','N','CENTRO','CAçADOR','SC','124242241215161531577732272122610133077',NULL,'1124',34.93,1,3,NULL),(16,3116859,'1991-03-10 00:00:00',4,6,12,2008,'F','N','CENTRO','PAPANDUVA','SC','124162161217111731458731572124610124142',NULL,'9998',24.08,1,3,NULL),(16,3116875,'1991-04-09 00:00:00',2,1,12,2008,'F','N','JARDIM ATLâNTICO','S JOSé','SC','124242241216121731426413575124610123057',10283,'738',48.28,1,3,NULL),(16,3116883,'1992-03-07 00:00:00',2,3,12,2008,'M','N','JARDIM SãO VICENTE','PARANAVAí','PR','116162161215271431368821576112610114092',NULL,'9998',49.69,1,3,NULL),(16,3116891,'1990-07-15 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241117131431633531146224610133145',14851,'298',39.98,4,2,1),(16,3116905,'1990-07-23 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124252251217372411358812575114610127043',NULL,'9998',0.00,1,3,NULL),(16,3116913,'1993-04-03 00:00:00',1,1,12,2010,'F','S','PILARZINHO','CURITIBA','PR','116162161217111411359812575122610167072',NULL,'9998',53.66,1,3,NULL),(16,3116921,'1991-11-26 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S JOSé','SC','124241248112131431426411572125610164062',NULL,'734',41.31,1,2,1),(16,3116948,'1968-11-25 00:00:00',2,1,12,1986,'F','N','ABRAãO','FLORIANóPOLIS','SC','224243246337271432313353185124610161152',NULL,'9999',33.67,1,3,NULL),(16,3116956,'1992-05-01 00:00:00',2,1,11,2009,'F','S','CAPOEIRAS','FLORIANóPOLIS','SC','124242241217111331538612295122610126052',NULL,'273',36.71,1,3,NULL),(16,3116964,'1991-01-27 00:00:00',4,1,11,2008,'F','N','CENTRO','BIGUAçU','SC','124242241215141432546624245123610168072',16057,'63',37.10,1,3,NULL),(16,3116972,'1988-12-27 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241217573411459913572124610124017',5276,'992',57.92,1,3,NULL),(16,3117006,'1987-12-08 00:00:00',4,1,12,2005,'M','N','ASA NORTE','BRASíLIA','DF','107072071217571411279913434122240461166',NULL,'9998',0.00,1,3,NULL),(16,3117030,'1982-07-02 00:00:00',4,1,8,2000,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242246116575721267817432234131936047',NULL,'306',0.00,1,3,NULL),(16,3117049,'1990-09-12 00:00:00',4,1,12,2008,'M','N','JARDIM ESMERALDA','LIMEIRA','SP','125252251217111411455531575124610134042',4841,'9998',58.99,4,3,NULL),(16,3117057,'1989-01-23 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241121141431646614345124610112052',NULL,'282',29.56,2,1,1),(16,3117073,'1976-02-28 00:00:00',4,1,12,1992,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','624241243142134421263444345122322325052',10369,'331',48.14,1,2,1),(16,3117081,'1988-06-12 00:00:00',4,10,11,2005,'F','N','MATO ALTO','LAGUNA','SC','124251251332142431126844342324142236182',15332,'9998',38.91,1,3,NULL),(16,3117090,'1992-05-06 00:00:00',4,1,12,2010,'M','S','CENTRO','ANTôNIO CARLOS','SC','124241241217112331358614576214610117042',NULL,'270',31.69,1,3,NULL),(16,3117103,'1988-09-02 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241217273431468833495111121422055',1947,'270',67.39,1,3,NULL),(16,3117111,'1986-03-04 00:00:00',4,1,11,2003,'F','N','CENTRO','CPO MOURãO','PR','116162161216153431468913472124243262097',6397,'9998',55.48,1,3,NULL),(16,3117138,'1987-09-23 00:00:00',2,1,12,2005,'M','N','FATIMA UM','POUSO ALEGRE','MG','113132131211572751448813576314610116122',1015,'9998',72.00,1,3,NULL),(16,3117146,'1991-08-14 00:00:00',4,4,11,2008,'F','N','CENTRO','IPORã OESTE','SC','124243248226371431338833335122610143017',NULL,'370',28.76,1,3,NULL),(16,3117162,'1992-05-07 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124244241215111731465663175124610133186',NULL,'1022',27.23,1,3,NULL),(16,3117170,'1991-04-07 00:00:00',2,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124244241215111431434411272121610117097',16558,'967',35.11,1,3,NULL),(16,3117189,'1989-12-06 00:00:00',4,3,12,2007,'M','N','CENTRO','LONDRINA','PR','116162161216272431468811575122610164121',NULL,'9998',0.00,1,3,NULL),(16,3117197,'1984-02-08 00:00:00',4,1,12,2001,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241336153421236313285123232642035',NULL,'735',43.10,1,3,NULL),(16,3117200,'1991-05-28 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111431558814582122610137057',NULL,'259',29.44,1,3,NULL),(16,3117219,'1992-01-19 00:00:00',4,3,12,2009,'F','S','SãO LUIZ','BRUSQUE','SC','124242241215111732576632215122610124093',NULL,'109',21.87,1,3,NULL),(16,3117227,'1991-05-29 00:00:00',2,8,12,2008,'F','N','CENTRO','PIêN','PR','116161161116161431247713375124610113052',14288,'9998',41.07,1,3,NULL),(16,3117235,'1987-09-01 00:00:00',4,1,5,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124244248416151721329921185114610166175',NULL,'9999',29.82,1,3,NULL),(16,3117243,'1991-12-25 00:00:00',2,4,12,2008,'F','N','SãO CRISTóVãO','CHAPECó','SC','124241241135471732336339572122610127092',10849,'170',47.27,1,3,NULL),(16,3117251,'1990-09-30 00:00:00',4,1,11,2007,'F','N','BARREIROS','S JOSé','SC','124242248215372431546414275124610137092',16177,'738',36.71,1,3,NULL),(16,3117278,'1985-01-21 00:00:00',2,1,7,2003,'F','N','CENTRO','CURITIBA','PR','116201207446471751134419592124241033187',NULL,'9999',20.73,1,3,NULL),(16,3117286,'1992-06-27 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111431469614575122610113192',NULL,'270',48.97,1,3,NULL),(16,3117294,'1992-04-07 00:00:00',4,5,12,2008,'F','N','CENTRO','MRO GRANDE','SC','124241241116131431536616575124610165142',NULL,'30',0.00,1,2,1),(16,3117308,'1990-06-09 00:00:00',4,4,12,2007,'F','N','SAIC','CHAPECó','SC','124243241215472441469812571122231468142',1870,'1046',67.70,1,3,NULL),(16,3117316,'1991-03-07 00:00:00',4,8,12,2008,'M','N','SAGUAçU','JOINVILLE','SC','124244241215111431567611375122610134012',11006,'457',47.01,1,3,NULL),(16,3117324,'1984-09-22 00:00:00',4,1,12,2001,'M','N','LAGO NORTE','LG NORTE','DF','107072071211371421578813341122341267096',10268,'259',48.31,3,3,NULL),(16,3117332,'1991-03-17 00:00:00',4,1,12,2008,'M','N','SAO LOURENCO','CPO GRANDE','MS','112122121217371531369933575122610167056',NULL,'9998',35.08,4,3,NULL),(16,3117340,'1992-11-01 00:00:00',4,1,12,2009,'F','S','CENTRO','JOAçABA','SC','124241241217131431469712575122610164142',NULL,'962',27.30,1,3,NULL),(16,3117359,'1987-03-21 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241212575421426914245124610164147',11331,'724',46.44,1,3,NULL),(16,3117367,'1987-08-10 00:00:00',2,1,12,2004,'M','N','KOBRASOL','S JOSé','SC','124241241417471731435419245124610127117',NULL,'944',28.65,1,3,NULL),(16,3117375,'1991-05-16 00:00:00',4,1,12,2008,'M','N','MOEMA','S PAULO','SP','125252251217111431479711575122610144047',2219,'9998',66.35,4,3,NULL),(16,3117383,'1990-10-10 00:00:00',4,1,12,2007,'M','N','CHAC VALE RIO COTIA','CARAPICUíBA','SP','125252251237571752589911597115610164182',NULL,'9998',0.00,3,3,NULL),(16,3117391,'1991-02-20 00:00:00',4,1,11,2008,'F','N','CENTRO','S JOãO BATISTA','SC','124244241215111531368911572112610167127',8542,'270',51.35,1,3,NULL),(16,3117405,'1990-05-12 00:00:00',4,1,11,2007,'M','N','JARDIM DAS PALMEIRAS','BRAGANçA PAULISTA','SP','125132251216472431573812272122610124042',2641,'9998',64.86,1,3,NULL),(16,3117413,'1990-04-26 00:00:00',2,1,12,2007,'F','N','JARDIM ELDORADO','PALHOçA','SC','124241241316142411445412321122230224192',NULL,'737',29.24,1,3,NULL),(16,3117430,'1991-12-23 00:00:00',4,1,10,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124244241215111731257823575124610137042',12378,'1022',44.58,1,3,NULL),(16,3117456,'1987-08-19 00:00:00',4,1,12,2003,'F','N','TATUAPE','S PAULO','SP','125252251216111431469934285124440262052',NULL,'9998',0.00,1,3,NULL),(16,3117472,'1991-05-06 00:00:00',4,1,12,2008,'M','N','CIDADE TIRADENTES','S PAULO','SP','125251251116131711555613245124610168092',16079,'9998',37.00,4,3,NULL),(16,3117480,'1988-01-21 00:00:00',4,1,12,2005,'M','N','JARDIM AVAí','INDAIATUBA','SP','125252256127471411568819375122610112187',NULL,'9998',0.00,3,3,NULL),(16,3117499,'1989-09-22 00:00:00',4,3,11,2006,'M','N','CENTRO','CAMBé','PR','116162161215143431548812295122610117052',6078,'9998',56.18,1,3,NULL),(16,3117502,'1989-12-27 00:00:00',4,1,12,2007,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124241241126472431446613444134610127052',3798,'95',61.60,1,2,1),(16,3117510,'1991-04-12 00:00:00',2,1,12,2008,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124243241315121111586834242224610167067',12413,'1022',44.52,1,3,NULL),(16,3117537,'1991-02-07 00:00:00',2,1,12,2008,'M','N','CENTRO','LEOBERTO LEAL','SC','124241242117161721323316162214610167057',NULL,'662',24.78,1,3,NULL),(16,3117545,'1990-01-31 00:00:00',2,9,12,2007,'M','N','VOLTA GRANDE','MIRIM DOCE','SC','124241241115471431436416574214610147052',14975,'560',39.72,1,2,1),(16,3117553,'1991-06-13 00:00:00',2,1,12,2008,'F','N','CENTRO','BIGUAçU','SC','124243241417131631226624572344610166167',9971,'63',48.83,1,3,NULL),(16,3117561,'1986-10-28 00:00:00',4,1,12,2004,'F','N','JD DAS INDUSTRIAS','S JOSé CAMPOS','SP','125252251216575441357734571122610135127',412,'9998',76.65,1,3,NULL),(16,3117570,'1991-04-22 00:00:00',4,8,11,2008,'F','N','BOEHMERWALD','S BENTO SUL','SC','124244241215111431364924571122610132097',13802,'1073',42.05,1,3,NULL),(16,3117588,'1991-03-17 00:00:00',2,1,12,2008,'M','N','SãO LUIS','SEBERI','RS','120201201117271411458614472124610127047',4021,'9998',61.01,1,2,1),(16,3117600,'1990-08-16 00:00:00',4,1,12,2007,'F','N','FRAGATA','MARíLIA','SP','125252251215371431437914342122610132142',NULL,'9998',31.66,1,3,NULL),(16,3117618,'1991-09-03 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242247226151431358811375122610154092',NULL,'9999',10.88,1,3,NULL),(16,3117626,'1989-03-15 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241117474431313335475124221762177',8457,'1015',51.48,1,2,1),(16,3117634,'1992-01-06 00:00:00',4,4,11,2008,'M','N','CENTRO','FRANCISCO BELTRãO','PR','616162161216271431566839272125610168182',NULL,'9998',49.77,1,3,NULL),(16,3117642,'1990-04-25 00:00:00',4,1,12,2008,'M','N','VILA MELO','S VICENTE','SP','125252251117471731468913575122610164057',3059,'9998',63.63,1,3,NULL),(16,3117650,'1966-01-01 00:00:00',4,1,12,1983,'F','N','CIDADE TIRADENTES','S PAULO','SP','125101105116131411554673245114610167092',NULL,'9998',25.38,4,3,NULL),(16,3117669,'1991-07-27 00:00:00',4,2,12,2008,'F','N','PROGRESSO','BLUMENAU','SC','124241241215111451346639575124610143141',1225,'88',70.80,1,3,NULL),(16,3117677,'1992-12-29 00:00:00',4,1,11,2009,'M','S','BARRA DO ARIRIU','PALHOçA','SC','124242241131131331536534581124610124092',NULL,'592',25.76,1,3,NULL),(16,3117685,'1989-05-12 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241211144431557912342124230242147',NULL,'1022',31.52,1,3,NULL),(16,3117693,'1990-07-06 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124242241215472431476612591124610166142',3987,'270',61.09,1,3,NULL),(16,3117715,'1991-04-07 00:00:00',4,1,12,2008,'M','N','AREIAS','S JOSé','SC','124161241117151431457914575122610137012',NULL,'730',37.48,1,2,1),(16,3117723,'1984-10-31 00:00:00',4,1,12,2006,'M','N','JARDIM DAS PALMEIRAS','S JOSé','SC','224241247126131231223654245223610114041',NULL,'9999',28.15,1,2,1),(16,3117731,'1991-03-30 00:00:00',4,1,12,2007,'M','N','SERRARIA','S JOSé','SC','124241241111131411213624575111233262017',NULL,'1116',27.60,4,1,1),(16,3117740,'1990-08-07 00:00:00',4,6,12,2008,'M','N','CENTRO','NOVO HAMBURGO','RS','120201201117131451336739392114610137052',NULL,'9998',31.99,1,3,NULL),(16,3117758,'1985-03-28 00:00:00',2,1,12,2002,'M','N','JARDIM IRAJá','RIBEIRãO PRETO','SP','125252251217471411468834475124343242187',NULL,'9998',0.00,1,3,NULL),(16,3117766,'1991-09-14 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124241241216111411423311375124610124197',16678,'1078',33.98,1,3,NULL),(16,3117782,'1983-09-06 00:00:00',2,1,12,2001,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241214133631343312115125222964077',8821,'499',50.85,1,3,NULL),(16,3117790,'1992-12-09 00:00:00',2,1,12,2009,'F','S','PONTA DE BAIXO','S JOSé','SC','124244248436111411446729235124610145072',NULL,'1010',24.90,1,3,NULL),(16,3117804,'1991-03-28 00:00:00',4,1,11,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241215112431369819272124610124192',751,'270',73.83,1,3,NULL),(16,3117812,'1987-08-06 00:00:00',2,1,12,2005,'M','N','CAMPINAS','S JOSé','SC','124241241112373431423315342344610127042',NULL,'357',40.38,1,2,1),(16,3117820,'1990-11-29 00:00:00',4,1,11,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124242241215121431459911582124610121095',4823,'270',59.02,1,3,NULL),(16,3117839,'1991-08-26 00:00:00',2,5,11,2008,'F','N','CENTRO','TREVISO','SC','124242241215111731537739572124610163062',9813,'226',49.13,1,3,NULL),(16,3117847,'1991-02-27 00:00:00',4,7,12,2007,'F','N','CENTRO','BITURUNA','PR','116161161215471441368611574122610162172',NULL,'9998',0.00,1,3,NULL),(16,3117855,'1984-02-13 00:00:00',4,1,12,2004,'M','N','INGLESES','FLORIANóPOLIS','SC','124241247426271721443332145124131067097',NULL,'977',43.61,1,3,NULL),(16,3117863,'1990-02-21 00:00:00',4,1,11,2007,'M','N','CAMBUI','CAMPINAS','SP','125252251235471431449822574121610127092',NULL,'9998',0.00,1,3,NULL),(16,3117871,'1989-03-07 00:00:00',2,1,12,2008,'F','N','BARãO GERALDO','CAMPINAS','SP','125253257637471411434531382224610162171',NULL,'9999',27.77,1,3,NULL),(16,3117880,'1986-01-22 00:00:00',2,1,12,2002,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124202201216153411213672275124133263117',12743,'9998',43.93,1,3,NULL),(16,3117910,'1987-11-06 00:00:00',4,1,12,2004,'F','N','CENTRO','RANCHO QUEIMADO','SC','124243244215132711354712294124233262147',8871,'807',50.77,1,3,NULL),(16,3117936,'1982-04-02 00:00:00',2,1,12,1999,'F','N','INGLESES','FLORIANóPOLIS','SC','224241241216134431434351345332122345187',11663,'258',45.89,1,3,NULL),(16,3117944,'1988-11-30 00:00:00',4,1,12,2006,'M','N','AREIAS DO CAMPECHE','FLORIANóPOLIS','SC','124244241112313431446713491124610145147',9481,'271',49.76,1,3,NULL),(16,3117952,'1990-03-21 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','125252251217121431468772381342610121187',NULL,'9998',40.19,1,3,NULL),(16,3117960,'1991-07-02 00:00:00',4,8,11,2008,'F','N','ATIRADORES','JOINVILLE','SC','124244241217112431349923472112610114147',14279,'1016',41.09,1,3,NULL),(16,3117979,'1989-01-23 00:00:00',4,1,5,2007,'F','N','JARDIM ESPLANADA','S JOSé CAMPOS','SP','125254281417471431379834271122610167042',7873,'9998',52.65,1,3,NULL),(16,3117987,'1990-04-23 00:00:00',4,1,11,2007,'F','N','BARREIROS','S JOSé','SC','124241248111471431323624271124610123141',NULL,'257',28.20,1,2,1),(16,3118002,'1990-03-01 00:00:00',4,3,11,2007,'M','N','VILA CLEMENTINO','S PAULO','SP','125162161415471431269931571125610134183',1374,'9998',69.99,3,3,NULL),(16,3118010,'1989-04-17 00:00:00',4,3,12,2006,'F','N','JARDIM JUDITH','LONDRINA','PR','116162161216471731348833575122610162146',NULL,'9998',0.00,1,3,NULL),(16,3118029,'1990-12-27 00:00:00',4,8,11,2008,'F','N','CENTRO','S BENTO SUL','SC','124242241216121411489914595122610163182',14178,'1073',41.27,1,3,NULL),(16,3118045,'1991-08-10 00:00:00',4,3,12,2008,'M','N','CENTRO','S BENTO SUL','SC','124242241216371431336612575122610124012',7575,'974',53.20,1,3,NULL),(16,3118053,'1992-04-02 00:00:00',2,1,11,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124242241215111431445521472124610136147',NULL,'1022',27.44,1,3,NULL),(16,3118088,'1991-02-13 00:00:00',4,1,12,2008,'M','N','BOA VISTA','S JOSé R PRETO','SP','125092251216121731268612595112610167182',10659,'9998',47.64,1,3,NULL),(16,3118118,'1989-08-18 00:00:00',2,8,11,2008,'M','N','CENTRO','TRêS BARRAS','SC','124241241136131431426213185321610128177',NULL,'789',0.00,1,3,NULL),(16,3118126,'1991-06-12 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241116151431456422275124610124032',NULL,'298',27.00,1,3,NULL),(16,3118134,'1991-10-06 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124203241212122411459933571124610118012',6741,'44',54.78,1,3,NULL),(16,3118177,'1985-10-09 00:00:00',2,1,12,2002,'F','N','ITAGUACU','FLORIANóPOLIS','SC','124201241317134441438831575124222267086',6635,'292',54.98,1,3,NULL),(16,3118185,'1991-08-15 00:00:00',4,8,11,2008,'F','N','CENTRO','SCHROEDER','SC','124242241215111451456612175114610128185',NULL,'491',29.88,1,3,NULL),(16,3118193,'1991-06-14 00:00:00',2,1,12,2008,'M','N','SERRARIA','S JOSé','SC','124243241145141431543311295112610117047',NULL,'730',27.07,1,3,NULL),(16,3118207,'1989-07-23 00:00:00',4,8,12,2006,'M','N','SAGUAçU','JOINVILLE','SC','124242241115413331489911474112610137091',3952,'1016',61.20,1,3,NULL),(16,3118215,'1992-04-07 00:00:00',4,1,12,2009,'F','S','VILA PARAíSO','CAçADOR','SC','124242241217111431248923571122610134142',NULL,'120',50.04,1,3,NULL),(16,3118223,'1991-11-18 00:00:00',2,1,12,2008,'F','N','JOáIA','TIJUCAS','SC','124243246215131431425331271124610164097',9789,'1119',49.17,1,3,NULL),(16,3118231,'1989-04-13 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115373431536724372124610128082',6772,'307',54.72,4,2,1),(16,3118240,'1988-03-16 00:00:00',4,1,12,2005,'M','N','JARDIM PRIMAVERA','GUARUJá','SP','125253251117572431236811272321610144187',3455,'9998',62.51,4,1,2),(16,3118258,'1991-03-19 00:00:00',4,1,11,2008,'M','N','RIBEIRANIA','RIBEIRãO PRETO','SP','125252251215111431478932575112610137017',2942,'9998',63.99,1,3,NULL),(16,3118266,'1990-08-18 00:00:00',4,1,12,2008,'M','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241241112141412623219392334610137042',15920,'293',37.44,1,2,1),(16,3118282,'1993-05-26 00:00:00',2,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSé','SC','124242241212111431459713572122610113197',11163,'723',46.72,1,3,NULL),(16,3118290,'1991-06-17 00:00:00',4,1,12,2008,'F','N','CENTRO','SARANDI','PR','116162161137111431444436465122610122076',NULL,'9998',0.00,1,3,NULL),(16,3118304,'1991-03-26 00:00:00',4,8,11,2008,'M','N','AMéRICA','JOINVILLE','SC','124242241216421431369913575115610164042',12246,'1016',44.81,1,3,NULL),(16,3118312,'1992-01-31 00:00:00',4,8,12,2008,'M','N','CZERNIEWICZ','JARAGUá SUL','SC','124243241215161431468811575122610167012',7330,'424',53.66,1,3,NULL),(16,3118320,'1989-06-17 00:00:00',2,9,11,2006,'F','N','CENTRO','LAGES','SC','124241241315371431424921575125610167142',15184,'499',39.25,1,3,NULL),(16,3118339,'1991-06-01 00:00:00',4,3,11,2008,'M','N','TABULEIRO','CAMBORIú','SC','124242241215111431346932575122610127042',4087,'1038',60.82,1,3,NULL),(16,3118347,'1990-02-21 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217372431568722574124610164112',3224,'211',63.23,1,3,NULL),(16,3118355,'1989-10-21 00:00:00',2,1,12,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241217111731546633271114610167187',4740,'270',59.22,1,3,NULL),(16,3118363,'1991-01-04 00:00:00',4,1,12,2008,'M','N','VILA ITAPURA','CAMPINAS','SP','125252251215111431468834445112610167057',13128,'9998',43.28,1,3,NULL),(16,3118380,'1989-07-19 00:00:00',4,1,12,2007,'F','N','BONFIM','CAMPINAS','SP','116252258216411411326764474124610118182',NULL,'9998',19.13,1,3,NULL),(16,3118398,'1991-12-02 00:00:00',4,1,12,2008,'F','N','JARDIM DOM BOSCO','LONDRINA','PR','116162161216111751248831472112610122117',3958,'9998',61.18,1,3,NULL),(16,3118401,'1992-02-03 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111431547412572122610114177',NULL,'270',35.63,1,3,NULL),(16,3118410,'1991-12-21 00:00:00',4,3,12,2008,'F','N','JARDIM PROGRESSO','PARANAVAí','PR','116162161215151431443912222122610134147',12296,'9998',44.73,1,3,NULL),(16,3118428,'1971-03-24 00:00:00',4,1,12,1987,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241416575751279943235123422848182',1520,'267',69.26,1,3,NULL),(16,3118436,'1991-06-11 00:00:00',2,2,12,2008,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241215272431558611142124610164157',10963,'109',47.08,1,3,NULL),(16,3118444,'1986-03-31 00:00:00',2,1,8,2004,'F','N','CAMPINAS','S JOSé','SC','124241241137272421324429445125610137057',13280,'306',43.02,1,3,NULL),(16,3118452,'1987-11-03 00:00:00',4,10,5,2008,'M','N','AEROPORTO','TUBARAO','SC','124241241134131431535579345324610164117',NULL,'9997',25.80,1,3,NULL),(16,3118460,'1991-01-15 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216371431467912575122610117051',4835,'270',59.01,1,3,NULL),(16,3118479,'1991-08-16 00:00:00',4,2,12,2008,'M','N','CENTRO','DA EMMA','SC','124241241126161331434312345122610166042',5871,'247',56.65,1,2,1),(16,3118487,'1990-06-08 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124244241415111431336823575114610167063',12532,'270',44.30,1,3,NULL),(16,3118541,'1991-10-23 00:00:00',4,9,11,2008,'F','N','MORRO DO POSTO','LAGES','SC','124241241116151431535714215125610136187',12218,'512',44.87,4,2,1),(16,3118550,'1990-03-15 00:00:00',4,9,12,2007,'F','N','CENTRO','CURITIBANOS','SC','124242241116161451449911445122610165032',NULL,'239',0.00,1,3,NULL),(16,3118568,'1990-04-28 00:00:00',4,1,12,2007,'M','N','SALIOLA','MARíLIA','SP','125252251215271431558912315122141424092',NULL,'1133',36.44,1,3,NULL),(16,3118576,'1988-05-18 00:00:00',2,1,12,2005,'M','N','RIO DO SINOS','S LEOPOLDO','RS','120201201212131521324314582111610114047',9938,'9998',48.89,1,3,NULL),(16,3118584,'1989-01-25 00:00:00',4,1,12,2006,'F','N','SERRINHA','FLORIANóPOLIS','SC','124112111217433731468813572124230267182',9159,'9998',50.30,4,3,NULL),(16,3118592,'1990-08-05 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241212161731368834575112610168187',NULL,'270',39.37,1,3,NULL),(16,3118622,'1972-01-29 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124254256427371431135348485324141664182',8479,'9998',51.43,1,3,NULL),(16,3118630,'1982-09-01 00:00:00',4,8,12,2000,'M','N','CHAC SANTO ANTONIO','S PAULO','SP','125252251211471441477823473122340262127',607,'9998',74.89,1,3,NULL),(16,3118649,'1988-11-09 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124244241217374431471923385124230232041',4808,'270',59.05,1,3,NULL),(16,3118657,'1989-03-21 00:00:00',2,4,12,2006,'F','N','CENTRO','S BORJA','RS','120201201112273431528833572324243033147',11904,'9998',45.45,1,2,1),(16,3118665,'1991-03-14 00:00:00',4,8,12,2008,'M','N','CENTRO','CPO ALEGRE','SC','124241241135151431425614181124610117182',NULL,'132',28.89,1,3,NULL),(16,3118673,'1992-04-04 00:00:00',4,3,11,2008,'M','N','JARDIM AQUARIUS','S JOSé CAMPOS','SP','125252251215111431288831575122610161197',NULL,'9998',0.00,1,3,NULL),(16,3118681,'1990-02-14 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241212372431547412572124610141077',5019,'1098',58.57,1,3,NULL),(16,3118690,'1991-10-09 00:00:00',4,1,11,2008,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241215373431377814575124610142091',6540,'270',55.19,1,3,NULL),(16,3118703,'1988-09-23 00:00:00',4,8,12,2006,'M','N','COSTA E SILVA','JOINVILLE','SC','124243241317371432337614445124610168011',NULL,'464',0.00,1,3,NULL),(16,3118711,'1991-04-06 00:00:00',4,1,12,2008,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241115161431536923575124610127112',NULL,'307',27.62,4,2,1),(16,3118720,'1990-09-09 00:00:00',4,5,11,2007,'F','N','PIO CORRÊA','CRICIúMA','SC','124242241215373431366933572112610143092',3757,'211',61.69,1,3,NULL),(16,3118746,'1987-09-28 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124163161216373431338923572112141032092',5917,'9998',56.54,1,3,NULL),(16,3118754,'1989-09-12 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124242241215132431435769382124610168187',NULL,'1076',28.77,1,3,NULL),(16,3118762,'1987-10-20 00:00:00',4,1,12,2004,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124163161336372411335664375124142528142',2469,'9998',65.45,1,3,NULL),(16,3118789,'1991-04-19 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124244241415112231586813575124610127072',NULL,'1022',38.07,4,3,NULL),(16,3118797,'1988-02-11 00:00:00',2,1,12,2005,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124244241217151431466513475112133224112',11983,'1022',45.29,1,3,NULL),(16,3118800,'1991-11-14 00:00:00',4,2,11,2009,'F','S','JARDIM BLUMENAU','BLUMENAU','SC','124242241216111432458813572122610132147',NULL,'70',49.41,1,3,NULL),(16,3118819,'1991-08-19 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241217122431569814571122610134182',2539,'270',65.20,1,3,NULL),(16,3118827,'1989-09-22 00:00:00',4,1,12,2006,'M','N','JARDIM PARAISO','S JOSé CAMPOS','SP','125252251213571651568439573112610167047',NULL,'9998',49.20,1,3,NULL),(16,3118835,'1990-06-23 00:00:00',4,1,12,2007,'F','N','BALNEáRIO','FLORIANóPOLIS','SC','124242241215373431458614592124610127077',14993,'1022',39.67,1,3,NULL),(16,3118843,'1991-07-06 00:00:00',4,8,12,2008,'F','N','PIRABEIRABA','JOINVILLE','SC','124242241217161411445532574124610168147',2660,'932',64.81,1,3,NULL),(16,3118851,'1991-03-12 00:00:00',4,1,12,2008,'F','N','CENTRO','CAXIAS SUL','RS','120202201217471531389931574122610134147',7732,'9998',52.91,1,3,NULL),(16,3118860,'1989-06-16 00:00:00',4,1,12,2006,'M','N','JARDIM FLÓRIDA','MOGI MIRIM','SP','125251132116151431543623575124610122177',NULL,'9998',27.32,2,2,1);
INSERT INTO candidato VALUES (16,3118878,'1990-10-04 00:00:00',2,8,12,2008,'M','N','CENTRO','RIO NEGRINHO','SC','124242241215371411245921474112610147092',NULL,'666',0.00,1,3,NULL),(16,3118886,'1991-01-10 00:00:00',4,5,11,2008,'F','N','NASPOLINI','CRICIúMA','SC','124244241212112731449834372124610127072',14446,'226',40.80,1,3,NULL),(16,3118894,'1991-01-08 00:00:00',4,1,12,2008,'M','N','CENTRO','TOLEDO','PR','116162161215121431379919575111610162042',4381,'9998',60.07,1,3,NULL),(16,3118908,'1989-10-18 00:00:00',4,5,12,2005,'F','N','NOVA ROMA','MRO GRANDE','SC','124241241316574731466933492124610144192',758,'980',73.77,1,3,NULL),(16,3118916,'1978-03-22 00:00:00',4,1,12,1998,'M','N','ROçADO','S JOSé','SC','224241241146131721343343235123610112047',13764,'729',42.14,1,2,1),(16,3118924,'1991-04-28 00:00:00',2,1,11,2008,'F','N','RATONES','FLORIANóPOLIS','SC','124242241215121431569933575112610114142',14184,'270',41.26,1,3,NULL),(16,3118940,'1991-09-13 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217121431489933576122610133182',133,'270',80.38,1,3,NULL),(16,3118959,'1991-08-29 00:00:00',2,1,12,2008,'M','N','FORQUILINHAS','S JOSé','SC','124242241216111731466614345124610127057',NULL,'9997',12.30,1,3,NULL),(16,3118967,'1989-12-20 00:00:00',4,5,11,2006,'M','N','BOM FIM','PTO ALEGRE','RS','120202201216572711458933575114610167042',2196,'9998',66.42,1,3,NULL),(16,3118983,'1990-05-10 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124242241215374441328679572124610134177',733,'266',73.99,1,3,NULL),(16,3118991,'1988-09-01 00:00:00',4,1,11,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241215473431589834575124610167122',8072,'270',52.28,1,3,NULL),(16,3119009,'1988-07-20 00:00:00',4,1,11,2006,'M','N','BARREIROS','S JOSé','SC','124242241216333431425621442114610122147',6863,'738',54.55,1,3,NULL),(16,3119017,'1991-01-05 00:00:00',4,1,12,2008,'F','N','COND RECANTO REAL','S JOSé R PRETO','SP','125252251216121731276823592112610163142',NULL,'9998',36.32,4,3,NULL),(16,3119025,'1990-09-11 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124242241216132431458833275124610162092',4855,'1118',58.96,1,3,NULL),(16,3119033,'1991-03-26 00:00:00',4,1,12,2008,'M','N','BALNEáRIO','FLORIANóPOLIS','SC','124242241215111431437613592122610127187',NULL,'884',23.75,1,3,NULL),(16,3119041,'1991-09-10 00:00:00',2,10,11,2008,'F','N','EVOLUçãO','S LUDGERO','SC','124242241215111431468812575122610127042',NULL,'950',0.00,1,3,NULL),(16,3119050,'1984-11-04 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216153431368934575122321634122',5394,'807',57.67,1,3,NULL),(16,3119068,'1991-01-31 00:00:00',2,2,11,2008,'F','N','PAQUETá','BRUSQUE','SC','124241241215131431234821372124610147012',7738,'1123',52.90,1,3,NULL),(16,3119076,'1991-02-15 00:00:00',2,1,12,2008,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241115131532413335372124610127147',NULL,'592',24.70,1,2,1),(16,3119084,'1988-01-25 00:00:00',2,8,12,2005,'F','N','UVARANAS','PNT GROSSA','PR','116162161216571431558833575124610165147',NULL,'9998',0.00,1,3,NULL),(16,3119092,'1991-07-03 00:00:00',4,7,11,2008,'M','N','CENTRO','BARRACãO','RS','120201201416111451233824571124610127042',8933,'9998',50.68,1,3,NULL),(16,3119106,'1988-09-14 00:00:00',4,10,12,2005,'F','N','CENTRO','IMBITUBA','SC','124241241212375411333334485122610112181',12877,'362',43.71,1,3,NULL),(16,3119114,'1991-04-13 00:00:00',2,1,11,2008,'F','N','ITAGUAçU','FLORIANóPOLIS','SC','124244241116371731346632575124610137072',12620,'271',44.14,1,3,NULL),(16,3119122,'1984-11-25 00:00:00',2,3,12,2002,'M','N','DAS NAÇÕES','BAL CAMBORIú','SC','124251241126133431233461215323610144123',NULL,'49',7.64,4,2,1),(16,3119130,'1992-02-26 00:00:00',4,4,12,2008,'F','N','CENTRO','CHAPECó','SC','124243241117111731265923572124610133142',NULL,'169',29.46,1,3,NULL),(16,3119149,'1990-10-28 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215111431336613475122610127077',13248,'723',43.06,1,3,NULL),(16,3119181,'1990-03-01 00:00:00',2,4,12,2007,'F','N','JARDIM ITALIA','CHAPECó','SC','124241241125472431238819475124610132097',NULL,'169',46.79,1,2,1),(16,3119190,'1991-10-01 00:00:00',4,1,12,2008,'M','N','CENTRO','PALHOçA','SC','124241241112161431426615592124610167042',15290,'595',38.99,1,2,1),(16,3119203,'1991-11-12 00:00:00',4,8,12,2008,'F','N','BAIRRO AHU','CURITIBA','PR','116162161215121431569812572122610167042',NULL,'9998',0.00,1,3,NULL),(16,3119211,'1991-01-16 00:00:00',4,1,11,2008,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241217121431579814475124610127112',2055,'270',66.96,1,3,NULL),(16,3119238,'1991-08-23 00:00:00',4,2,12,2008,'F','N','CENTRO','BRAçO TROMBUDO','SC','124242241212141531563632575124610137057',NULL,'654',0.00,1,3,NULL),(16,3119246,'1988-09-25 00:00:00',4,1,12,2005,'M','N','INGLESES','FLORIANóPOLIS','SC','124243241231273431456613421114121467122',6652,'266',54.96,1,3,NULL),(16,3119254,'1992-01-17 00:00:00',4,3,12,2008,'M','N','JARDIM SINUELO','ASTORGA','PR','116163161317111231438716575112610166172',NULL,'9998',0.00,1,3,NULL),(16,3119262,'1990-08-08 00:00:00',2,1,12,2007,'F','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241146131431521314345114610124187',NULL,'322',25.47,1,2,1),(16,3119270,'1982-12-18 00:00:00',2,1,5,2002,'F','N','RATONES','FLORIANóPOLIS','SC','124241248136375421133343235124231064187',NULL,'306',0.00,1,2,1),(16,3119289,'1986-04-02 00:00:00',4,1,12,2003,'F','N','INGLESES','FLORIANóPOLIS','SC','124242241215575451676963444124131324077',3959,'266',61.18,1,3,NULL),(16,3119297,'1991-06-04 00:00:00',2,8,12,2008,'F','N','CENTRO','MAFRA','SC','124162168215111731433827435122610164127',NULL,'9998',0.00,1,3,NULL),(16,3119300,'1992-07-24 00:00:00',2,4,12,2008,'F','N','CENTRO','GAURAMA','RS','120201205117131411333931571134610142097',11848,'9998',45.55,1,2,1),(16,3119319,'1991-04-30 00:00:00',4,1,12,2008,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124243241117371431468614475124610164192',3303,'271',62.97,1,3,NULL),(16,3119327,'1990-06-01 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215372331478611472112130227117',11564,'1022',46.07,1,3,NULL),(16,3119351,'1991-09-27 00:00:00',4,4,12,2008,'M','N','ESPLANADA','CHAPECó','SC','124241241215371411336633575124610124192',10954,'983',47.11,1,3,NULL),(16,3119360,'1989-05-05 00:00:00',4,1,12,2006,'F','N','JARDIM MORUMBI I','SOROCABA','SP','125252251216572431458811475112610162192',4687,'9998',59.35,1,3,NULL),(16,3119378,'1991-01-31 00:00:00',4,1,12,2008,'F','N','PLANO DIRETOR SUL','PALMAS','TO','127274271417111441368939577122610135075',86,'9998',81.37,1,3,NULL),(16,3119386,'1991-11-28 00:00:00',2,1,12,2008,'F','N','PINGUIRITO','GAROPABA','SC','124241241124161531333312245122610136142',NULL,'322',35.40,1,2,1),(16,3119394,'1988-01-04 00:00:00',4,1,12,2005,'F','N','CAMPO GRANDE','SANTOS','SP','125254251215573431433619595124610162147',6966,'9998',54.36,1,3,NULL),(16,3119408,'1988-03-20 00:00:00',4,9,12,2005,'M','N','CENTRO','LAGES','SC','124242241212573431559834574124131427097',603,'499',74.93,1,3,NULL),(16,3119416,'1990-02-06 00:00:00',2,8,11,2007,'F','N','JARDIM QUISSISANA','POçOS CALDAS','MG','113132161217471341454811575122610167092',13315,'9998',42.93,1,3,NULL),(16,3119432,'1989-09-17 00:00:00',2,1,11,2008,'F','N','SANTA MONICA','FLORIANóPOLIS','SC','124073241215111411477924572124610128147',15629,'270',38.23,1,3,NULL),(16,3119440,'1989-10-27 00:00:00',4,1,12,2007,'M','N','JARDIM SôNIA','S PAULO','SP','125252251215472511466921575122610166057',NULL,'9998',0.00,4,3,NULL),(16,3119459,'1990-11-12 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215112431416512572122610162077',NULL,'270',29.98,1,3,NULL),(16,3119467,'1990-07-31 00:00:00',4,1,12,2007,'M','N','CENTRO','STA MARIA','RS','120202201217371431269813595122610137187',11205,'9998',46.66,1,3,NULL),(16,3119475,'1990-04-16 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215111431467834572124610125141',16674,'270',34.05,1,3,NULL),(16,3119483,'1991-12-16 00:00:00',4,3,11,2009,'F','S','SãO LUIZ','BRUSQUE','SC','124242241215111731383312595112610122152',NULL,'109',35.03,1,3,NULL),(16,3119491,'1990-08-06 00:00:00',4,1,12,2007,'F','N','TERRA NOVA I','S BERNARDO CAMPO','SP','125252251217471431468831573112610164057',NULL,'9998',0.00,1,3,NULL),(16,3119505,'1990-11-18 00:00:00',4,1,12,2007,'F','N','SANTA TEREZA','VIDEIRA','SC','124241241215472431556632595325610131192',NULL,'969',22.85,1,3,NULL),(16,3119521,'1989-07-06 00:00:00',2,1,12,2006,'M','N','CAMPINAS','S JOSé','SC','124241241142372421223624382123610124042',13090,'736',43.34,1,2,1),(16,3119530,'1992-04-18 00:00:00',4,1,11,2009,'M','S','CAMINHO NOVO','PALHOçA','SC','124242241215121232543611575114610137042',NULL,'270',45.11,4,3,NULL),(16,3119548,'1991-08-15 00:00:00',4,7,12,2008,'M','N','CENTRO II','CAMPOS NOVOS','SC','124242241215111731467936165122610167032',NULL,'446',17.97,1,3,NULL),(16,3119556,'1991-01-31 00:00:00',2,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215111431325514375112610122142',NULL,'1038',32.50,1,3,NULL),(16,3119564,'1988-12-10 00:00:00',4,8,12,2005,'F','N','CHAMPAGNAT','CURITIBA','PR','116252251216571431588714575122610123147',1917,'9998',67.52,1,3,NULL),(16,3119572,'1984-09-16 00:00:00',4,1,12,2002,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241214474431468823143334121724117',6758,'270',54.75,4,3,NULL),(16,3119599,'1988-09-20 00:00:00',3,1,12,2007,'F','N','LAGO NORTE','LG NORTE','DF','107072071215371431589914572122141525097',2523,'9998',65.25,1,3,NULL),(16,3119602,'1992-06-14 00:00:00',4,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124242248215271431446832571122610126017',13349,'211',42.88,1,3,NULL),(16,3119610,'1991-03-27 00:00:00',2,1,12,2008,'M','N','CENTRO','NOVO HAMBURGO','RS','120202201216371431569833575124610167047',NULL,'9998',0.00,1,3,NULL),(16,3119629,'1990-08-11 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217112431467834575115610167075',12310,'270',44.71,1,3,NULL),(16,3119637,'1990-04-02 00:00:00',4,8,11,2007,'F','N','FLORESTA','JOINVILLE','SC','124242241211152431558613571122220263117',8465,'486',51.46,1,3,NULL),(16,3119645,'1990-09-11 00:00:00',2,1,12,2008,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241248415111431223321212224610131077',NULL,'1022',27.05,1,3,NULL),(16,3119688,'1992-03-20 00:00:00',4,4,12,2008,'M','N','ANXIETA','MARAVILHA','SC','124244241436111431468814475125610162041',10049,'1037',48.69,1,3,NULL),(16,3119696,'1991-10-11 00:00:00',4,2,11,2008,'M','N','WARNOW','INDAIAL','SC','124241241215111431524923355124610127017',NULL,'986',33.43,1,3,NULL),(16,3119700,'1991-05-01 00:00:00',2,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241144161532326311272222610156142',NULL,'322',29.94,1,2,1),(16,3119718,'1990-04-30 00:00:00',4,3,11,2007,'M','N','VILA RICA','CAMBé','PR','116162161217371431568833595112610167062',NULL,'9998',32.60,1,3,NULL),(16,3119726,'1989-06-14 00:00:00',2,1,12,2006,'M','N','KOBRASOL','S JOSé','SC','124242241215373431438633482122610167052',NULL,'738',30.56,1,3,NULL),(16,3119734,'1991-10-22 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215111431358933592122610127047',15152,'262',39.30,1,3,NULL),(16,3119742,'1992-04-01 00:00:00',4,5,11,2009,'F','S','CENTRO','IçARA','SC','124242241215111431459914572122610146182',NULL,'226',56.23,1,3,NULL),(16,3119750,'1993-01-18 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111431348832472125610163112',NULL,'270',47.68,1,3,NULL),(16,3119769,'1989-12-04 00:00:00',4,1,12,2006,'F','N','PASSA VINTE','PALHOçA','SC','124241241316373711633661441124610125117',16150,'983',36.78,4,3,NULL),(16,3119777,'1992-10-28 00:00:00',4,4,12,2009,'M','S','CENTRO','CHAPECó','SC','124244241215151431369933572122610138142',NULL,'9997',39.60,1,3,NULL),(16,3119793,'1991-04-23 00:00:00',2,1,12,2008,'F','N','SERRARIA','SAO JOSE','SC','124242241215111431434627572122610116092',NULL,'868',22.86,1,3,NULL),(16,3119807,'1992-08-16 00:00:00',4,1,11,2009,'M','S','TRINDADE','FLORIANóPOLIS','SC','124242241215111431468813592122610137185',NULL,'272',27.92,1,3,NULL),(16,3119815,'1990-11-03 00:00:00',4,10,10,2008,'F','N','HUMAITá DE CIMA','TUBARãO','SC','124243241215211431348812575124610164142',5689,'807',57.10,1,3,NULL),(16,3119823,'1991-01-07 00:00:00',4,8,12,2008,'F','N','CENTRO','ARAQUARI','SC','124241241217421451556933571114610163092',13440,'486',42.71,1,3,NULL),(16,3119831,'1984-09-24 00:00:00',2,1,11,2002,'F','N','KOBRASOL','S JOSé','SC','124242241216153231326424272124221223077',11409,'723',46.33,4,3,NULL),(16,3119858,'1991-04-14 00:00:00',4,6,12,2008,'F','N','CENTRO','BRUSQUE','SC','124246241435111431637832242112610144017',15028,'981',39.59,1,3,NULL),(16,3119866,'1987-01-19 00:00:00',4,2,12,2004,'M','N','JARDIN ALEXANDRO','RIO SUL','SC','124241241111131411334414442124231262187',NULL,'658',28.58,1,2,1),(16,3119874,'1991-03-12 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124242241217111431569614574112610163147',1981,'1022',67.27,1,3,NULL),(16,3119882,'1991-05-13 00:00:00',4,2,12,2008,'F','N','VELHA','BLUMENAU','SC','124242248215111731468933594122610168111',11495,'87',46.18,1,3,NULL),(16,3119890,'1989-08-15 00:00:00',2,1,11,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241215373431678613312122133234117',7564,'266',53.21,1,3,NULL),(16,3119904,'1991-04-10 00:00:00',4,7,12,2008,'M','N','ESCOLAR','SALTO VELOSO','SC','124243241116161431456833375122610167057',NULL,'1113',18.57,1,3,NULL),(16,3119912,'1991-02-18 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124242241215111231336913395122610134147',3638,'1022',61.98,1,3,NULL),(16,3119920,'1991-11-17 00:00:00',4,8,12,2008,'M','N','GLóRIA','JOINVILLE','SC','124241241116131431539913575124610168043',NULL,'475',28.01,1,3,NULL),(16,3119939,'1991-01-04 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215472451266923392124610121142',8579,'270',51.29,1,3,NULL),(16,3119947,'1990-08-04 00:00:00',2,4,11,2007,'F','N','RECANTO DOS PÁSSAROS','CUIABá','MT','111112111216371431443832572114141443142',NULL,'9998',0.00,1,3,NULL),(16,3119955,'1991-05-18 00:00:00',4,1,11,2008,'F','N','SANTO ANT DE LISBOA','FLORIANóPOLIS','SC','124242241215112431558832585122610163111',3718,'270',61.79,1,3,NULL),(16,3119963,'1989-04-24 00:00:00',4,5,12,2006,'F','N','CENTRO','CRICIúMA','SC','124242241215574431448834572122610162072',173,'210',79.72,1,3,NULL),(16,3119971,'1991-09-25 00:00:00',2,6,12,2008,'F','N','CENTRO','ITAJAí','SC','124242241335111431356813272112610133077',NULL,'391',30.63,1,3,NULL),(16,3119980,'1989-04-20 00:00:00',2,1,12,2007,'M','N','ZONA I A','UMUARAMA','PR','116162161217472411469811575124610147052',11302,'9998',46.47,1,3,NULL),(16,3119998,'1990-12-06 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111431469619376124610136122',10332,'262',48.20,1,3,NULL),(16,3120007,'1991-10-24 00:00:00',4,5,12,2008,'F','N','CERAMICA','ERECHIM','RS','120201201115131431435615152224610146147',8374,'9998',51.64,1,2,1),(16,3120015,'1991-11-27 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111421427631572124610164183',15478,'1036',38.59,1,3,NULL),(16,3120023,'1991-07-22 00:00:00',4,4,12,2008,'M','N','PASSO DOS FORTES','CHAPECó','SC','124241241215121741358611575112610124081',3884,'983',61.37,1,3,NULL),(16,3120031,'1991-03-14 00:00:00',2,8,12,2007,'F','N','SANTO ANTôNIO','JOINVILLE','SC','124204201216272431443821575122610124142',10892,'9998',47.21,1,3,NULL),(16,3120074,'1991-05-25 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241215321431348731572114610162197',6752,'299',54.75,1,3,NULL),(16,3120082,'1989-02-13 00:00:00',4,1,12,2007,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241137272431456414345124610164177',12893,'288',43.68,1,2,1),(16,3120090,'1991-03-08 00:00:00',4,1,12,2008,'M','N','SANTO ANT DE LISBOA','FLORIANóPOLIS','SC','124241241127151432333634275114610164057',11086,'279',46.87,1,2,1),(16,3120104,'1988-12-28 00:00:00',2,1,12,2006,'M','N','ABRAãO','FLORIANóPOLIS','SC','124242241216372431446634272114610164187',7081,'300',54.14,1,3,NULL),(16,3120112,'1988-07-17 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124131131237133751536611345121222825097',6493,'9998',55.29,4,3,NULL),(16,3120120,'1990-10-28 00:00:00',2,3,12,2007,'M','N','RESIDENCIAL FURNAS','IVAIPORã','PR','116163161216151431558833375124241467052',2113,'9998',66.75,1,3,NULL),(16,3120139,'1990-08-27 00:00:00',2,4,12,2007,'F','N','ARI LUNARDI','XAXIM','SC','124241241112131231635514242224610123147',NULL,'847',0.00,1,3,NULL),(16,3120147,'1988-09-22 00:00:00',4,8,11,2006,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216373411469813475112130444197',7472,'457',53.37,1,3,NULL),(16,3120163,'1989-01-11 00:00:00',2,1,12,2007,'F','N','AREIAS','S JOSé','SC','124241241142371431333314342234610152057',13675,'734',42.32,1,2,1),(16,3120171,'1989-01-02 00:00:00',2,1,11,2006,'M','N','RIO GRANDE','PALHOçA','SC','124241241126131431666633315112610117062',NULL,'591',28.53,1,3,NULL),(16,3120180,'1991-07-29 00:00:00',4,1,12,2008,'M','N','COLINAS DE IBIúNA','IBIúNA','SP','125252251216161432345611215121610167147',NULL,'9998',0.00,1,3,NULL),(16,3120198,'1990-01-22 00:00:00',4,1,7,2008,'M','N','JARDIM ATLãNTICO','FLORIANóPOLIS','SC','124243248312272451426314345114610162157',NULL,'733',25.99,1,3,NULL),(16,3120201,'1990-10-31 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241217473431479833574122610134142',333,'273',77.59,1,3,NULL),(16,3120210,'1991-12-30 00:00:00',2,5,11,2009,'F','S','PAULO FRONTIM','CRICIúMA','SC','624242241215121431337824574122610132152',NULL,'213',23.75,1,3,NULL),(16,3120228,'1990-09-20 00:00:00',4,1,11,2007,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241217371431549933342122610164055',2689,'270',64.70,1,3,NULL),(16,3120236,'1991-09-07 00:00:00',4,1,11,2008,'M','N','CENTRO','CURITIBA','PR','116162161216111431388831595124610167182',NULL,'9998',0.00,1,3,NULL),(16,3120260,'1991-05-12 00:00:00',2,1,11,2008,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124244241217151431666313575124610121075',4838,'269',59.00,1,3,NULL),(16,3120279,'1978-03-18 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124251247317131431633314142344610124067',12359,'1003',44.61,2,1,2),(16,3120287,'1991-10-24 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241215111451413516494114610167142',4509,'1050',59.74,1,3,NULL),(16,3120295,'1989-11-20 00:00:00',4,1,12,2007,'F','N','CASA VERDE','S PAULO','SP','125252251214471431469611575124610122147',4892,'9998',58.88,1,3,NULL),(16,3120309,'1991-11-09 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCAIçãO','FLORIANóPOLIS','SC','124242241217111431458913475124610142073',8247,'883',51.88,1,3,NULL),(16,3120317,'1990-09-20 00:00:00',2,2,12,2007,'F','N','VILA TOLENTINO','CASCAVEL','PR','116164161215471431558814572122610126172',11120,'9998',46.80,1,3,NULL),(16,3120325,'1991-05-10 00:00:00',4,1,12,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241415131411443334275114610164171',6236,'1048',55.83,1,3,NULL),(16,3120333,'1990-12-31 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241116141721533624345124610133147',NULL,'307',29.27,1,3,NULL),(16,3120341,'1991-08-10 00:00:00',2,9,12,2008,'F','N','PINHEIRO','VACARIA','RS','120203201216111431426614441124610147147',NULL,'9998',22.05,1,3,NULL),(16,3120350,'1991-05-02 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241435111431436613572114610168197',8761,'1022',50.96,1,3,NULL),(16,3120368,'1989-07-18 00:00:00',4,1,12,2006,'F','N','BOM RETIRO','S PAULO','SP','125252251217571432346529284145610134192',NULL,'9998',0.00,3,3,NULL),(16,3120376,'1991-04-16 00:00:00',4,1,12,2008,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241217121731356661586114610163182',10553,'1022',47.83,1,3,NULL),(16,3120384,'1992-01-21 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217151431489933335122610147042',11189,'262',46.68,1,3,NULL),(16,3120392,'1991-11-29 00:00:00',2,1,12,2008,'F','N','CENTRO','BIGUAçU','SC','124243241212151731333911572124610121142',12713,'63',43.98,1,3,NULL),(16,3120406,'1990-12-22 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215112431468833572122610123147',8751,'262',50.98,1,3,NULL),(16,3120414,'1986-12-26 00:00:00',2,1,12,2003,'M','N','MONTE REALE','CAXIAS SUL','RS','120201201116131411433319295124240262047',NULL,'9998',30.35,1,2,1),(16,3120430,'1990-08-15 00:00:00',4,4,12,2007,'F','N','CIVEMARA','MARAVILHA','SC','124241241116162431534632575122610136077',13674,'551',42.33,1,2,1),(16,3120449,'1988-08-25 00:00:00',2,1,12,2005,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124244241215373431443631395124610162192',5232,'262',58.04,4,3,NULL),(16,3120457,'1991-03-09 00:00:00',4,8,12,2008,'M','N','SãO LUIS','JARAGUá SUL','SC','124241241217131741456634575121610127182',4084,'1061',60.83,1,3,NULL),(16,3120465,'1991-01-12 00:00:00',4,1,11,2008,'M','N','CENTRO','RIO JANEIRO','RJ','121214211216111431445531575124610117042',NULL,'9998',22.52,1,3,NULL),(16,3120473,'1992-06-16 00:00:00',2,2,12,2009,'F','S','CENTRO','RIO CEDROS','SC','124243241215161431346629575122610123143',NULL,'1157',26.11,1,3,NULL),(16,3120481,'1990-06-20 00:00:00',4,1,12,2007,'F','N','CENTRO','ARAçATUBA','SP','125252251216472431438831415124610127093',1875,'9998',67.69,1,3,NULL),(16,3120490,'1991-10-22 00:00:00',4,1,11,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241235112431458633572124610122117',8565,'270',51.32,1,3,NULL),(16,3120503,'1990-11-25 00:00:00',4,1,11,2007,'F','N','PRAIA COMPRIDA','S JOSé','SC','124242241216371531339923575124610144097',NULL,'1036',20.86,2,3,NULL),(16,3120511,'1990-10-06 00:00:00',4,1,12,2007,'M','N','CRISTAL','PTO ALEGRE','RS','120202201216471431368922172124610137086',12283,'9998',44.75,1,3,NULL),(16,3120538,'1989-12-08 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215374431359814575112133262127',1542,'270',69.17,1,3,NULL),(16,3120546,'1989-08-13 00:00:00',4,1,12,2007,'M','N','RESID PAINEIRAS','POçOS CALDAS','MG','113132131216271431566612572122610124147',NULL,'9998',0.00,1,3,NULL),(16,3120554,'1991-07-20 00:00:00',2,1,12,2008,'M','N','OPERáRIO','NOVO HAMBURGO','RS','120202201217471431357821475122610167042',10385,'9998',48.11,1,3,NULL),(16,3120562,'1989-04-22 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241215373431368811594112610163111',3125,'1022',63.46,1,3,NULL),(16,3120570,'1991-01-02 00:00:00',2,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124244241212151731339524582114610132147',9173,'724',50.29,1,3,NULL),(16,3120589,'1980-11-30 00:00:00',4,1,12,2000,'M','N','VILA ALEXANDRIA','S PAULO','SP','125251251117573431335664472112610162057',12255,'9998',44.80,3,2,1),(16,3120597,'1993-01-26 00:00:00',2,1,12,2009,'F','S','AGRONOMICA','FLORIANóPOLIS','SC','124243241217121431468914575124610166092',NULL,'270',45.95,1,3,NULL),(16,3120600,'1991-01-21 00:00:00',4,8,11,2008,'M','N','GUANABRA','JOINVILLE','SC','124242241215111431448931595124610124012',10382,'459',48.11,1,3,NULL),(16,3120619,'1991-07-17 00:00:00',4,2,12,2008,'F','N','VILA NOVA','BLUMENAU','SC','122222221216121431448913575122610124147',16090,'9998',36.98,1,3,NULL),(16,3120627,'1992-06-02 00:00:00',2,1,12,2008,'M','N','CENTRO','PALHOçA','SC','124242241215151431537633245122610122073',16182,'9997',36.71,1,3,NULL),(16,3120635,'1991-01-31 00:00:00',4,1,12,2007,'M','N','PASSA VINTE','PALHOçA','SC','124242246217272711346839345124610162053',10432,'1075',48.04,1,3,NULL),(16,3120643,'1991-01-10 00:00:00',4,10,11,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241416211432536916375122610127077',NULL,'807',23.77,1,3,NULL),(16,3120651,'1986-03-10 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215372731558831421125230267182',6177,'262',55.98,1,3,NULL),(16,3120660,'1992-03-26 00:00:00',4,1,12,2008,'F','N','SãO GOTARDO','FLORES CUNHA','RS','120202201217371731367812574124610166122',9321,'9998',50.04,1,3,NULL),(16,3120686,'1991-07-01 00:00:00',4,9,12,2008,'M','N','SAGRAD CORACAO JESUS','LAGES','SC','124242246236111431375712375122610137042',8873,'1106',50.77,1,3,NULL),(16,3120694,'1990-08-18 00:00:00',2,10,11,2008,'M','N','VILA FLOR','CAPIVARI BAIXO','SC','124242241215111431386771572112610168182',NULL,'807',35.98,1,3,NULL),(16,3120708,'1986-02-17 00:00:00',4,1,11,2004,'F','N','LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC','124242241216374431567721475114122234092',5027,'272',58.55,1,3,NULL),(16,3120716,'1991-05-14 00:00:00',4,1,12,2008,'M','N','UBERABA','CURITIBA','PR','116162161217111431446734595112610144042',15040,'9998',39.57,1,3,NULL),(16,3120724,'1989-06-21 00:00:00',5,1,11,2006,'F','N','VILA RICA','CPO GRANDE','MS','112122288416271411549911445124243242143',6430,'9998',55.42,1,3,NULL),(16,3120732,'1991-10-26 00:00:00',2,1,12,2008,'F','N','CENTRO','CEL SAPUCAIA','MS','112121121416161431337732572124610131147',NULL,'9998',0.00,1,3,NULL),(16,3120759,'1989-03-20 00:00:00',2,1,12,2006,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124243241114143431436714345114123067062',12881,'298',43.70,1,3,NULL),(16,3120767,'1989-07-01 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124243241215573751376821574124610144142',3736,'270',61.75,1,3,NULL),(16,3120775,'1990-03-19 00:00:00',2,1,12,2007,'F','N','ROçADO','S JOSé','SC','124244241211472431449934575124610127077',5966,'1022',56.43,1,3,NULL),(16,3120783,'1991-02-01 00:00:00',4,1,11,2008,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241217111732468838575124610164192',297,'270',77.98,4,3,NULL),(16,3120805,'1991-02-15 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124243248215131431228823575121610114142',9606,'738',49.51,4,3,NULL),(16,3120821,'1991-03-18 00:00:00',4,1,11,2008,'M','N','JD NAZARETH','S JOSé R PRETO','SP','125252251215471711468813575125610166184',14558,'9998',40.59,1,3,NULL),(16,3120830,'1991-08-14 00:00:00',4,4,11,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124241241211111431449913232122610132057',3030,'752',63.71,1,3,NULL),(16,3120864,'1991-06-15 00:00:00',4,3,12,2008,'M','N','CENTRO','ITAIóPOLIS','SC','124241161215111431469939572112610167057',NULL,'9998',27.70,1,3,NULL),(16,3120872,'1989-06-27 00:00:00',4,1,12,2007,'M','N','LOT PORTAL DO SOL','GOIâNIA','GO','109092281415471231548832572122610122142',NULL,'9998',31.63,1,3,NULL),(16,3120880,'1991-09-17 00:00:00',4,1,12,2008,'M','N','CENTRO','FARROUPILHA','RS','120202201216371731447814575112610117052',4924,'9998',58.81,1,3,NULL),(16,3120899,'1989-02-12 00:00:00',2,1,12,2007,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241136372731434435445114610137057',NULL,'12',28.06,1,2,1),(16,3120902,'1989-12-01 00:00:00',4,1,12,2006,'F','N','MENINO DEUS','PATO BRANCO','PR','116161161117572411334614575122610166097',13594,'9998',42.46,1,2,1),(16,3120910,'1990-09-16 00:00:00',4,1,12,2008,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241215111531489813574112610166192',580,'270',75.08,1,3,NULL),(16,3120929,'1991-04-26 00:00:00',4,1,11,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124242241217122451356939575124610123117',1941,'270',67.41,4,1,2),(16,3120945,'1991-05-28 00:00:00',2,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215121431478614575112610147045',NULL,'1022',33.05,4,3,NULL),(16,3120961,'1991-06-08 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215121431448734475125610167042',7429,'1038',53.46,1,3,NULL),(16,3120970,'1991-07-03 00:00:00',2,1,12,2008,'F','N','CENTRO','PALHOçA','SC','124244241215131731555834342222610164177',11004,'939',47.01,1,3,NULL),(16,3120996,'1989-01-17 00:00:00',2,1,7,2007,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124243241211472431558514575114610168147',14302,'995',41.04,1,3,NULL),(16,3121003,'1991-02-02 00:00:00',4,3,11,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124243241215472731368913575122610164042',NULL,'270',40.69,1,3,NULL),(16,3121011,'1982-11-04 00:00:00',2,1,12,2006,'M','N','ITACORUBI','FLORIANóPOLIS','SC','224201207146132331223344245114610167057',NULL,'9998',29.68,1,2,1),(16,3121020,'1990-10-30 00:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241111271431458924442124610167041',NULL,'307',28.09,1,2,1),(16,3121038,'1989-06-08 00:00:00',4,1,11,2008,'F','N','JARDIM RIVA','PRIMAVERA LESTE','MT','111112117216413431587712122122610132072',12006,'9998',45.26,1,3,NULL),(16,3121046,'1991-07-11 00:00:00',4,6,12,2008,'M','N','CIDADE CLARET','RIO CLARO','SP','125252251216371431478812425112610144043',NULL,'9998',40.72,1,3,NULL),(16,3121054,'1988-12-05 00:00:00',4,4,12,2005,'F','N','VILA NOVA','FRANCISCO BELTRãO','PR','116162161216574431438411574122610166092',3234,'9998',63.19,1,3,NULL),(16,3121062,'1991-11-07 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241215122431458613575124610124017',15534,'738',38.47,1,3,NULL),(16,3121070,'1990-05-04 00:00:00',4,8,12,2007,'M','N','J PETROPOLIS','LONDRINA','PR','116162161216472431468812575112610167042',NULL,'9998',0.00,1,3,NULL),(16,3121097,'1991-09-10 00:00:00',4,7,12,2008,'M','N','PIONEIROS','ITá','SC','124241241115111431434953574221610127062',15240,'383',39.11,1,2,1),(16,3121100,'1990-06-27 00:00:00',4,1,12,2007,'F','N','CENTRO','S BERNARDO CAMPO','SP','125252251217471331478814575122610114112',NULL,'9998',0.00,1,3,NULL),(16,3121119,'1986-03-22 00:00:00',4,1,12,2004,'F','N','ARMAçAO DO PANTANO','FLORIANóPOLIS','SC','124202207237231421336811245134610164117',NULL,'9998',24.25,1,3,NULL),(16,3121135,'1993-02-06 00:00:00',4,1,12,2009,'F','S','TRINDADE','FLORIANóPOLIS','SC','124241241215111231346131572122610124142',NULL,'1133',28.00,1,3,NULL),(16,3121143,'1991-06-28 00:00:00',4,1,11,2008,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241216111431547774575121610134037',6169,'951',56.00,1,3,NULL),(16,3121151,'1991-08-29 00:00:00',4,1,11,2008,'M','N','JARDIM PETROPOLIS','CUIABá','MT','111112111216111431458833275122610137012',8587,'9998',51.28,4,3,NULL),(16,3121178,'1990-02-12 00:00:00',2,2,10,2008,'F','N','AGUA VERDE','CURITIBA','PR','116242161215122411159732576125610147141',5364,'9998',57.73,1,3,NULL),(16,3121186,'1993-06-09 00:00:00',4,1,11,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241215111431336921572114610142017',8905,'9997',50.73,1,3,NULL),(16,3121194,'1990-09-16 00:00:00',4,8,12,2008,'M','N','BUTANTã','S PAULO','SP','125252251212471411458612212124610145127',NULL,'9998',0.00,4,3,NULL),(16,3121208,'1990-11-24 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241415472431566812574114610131092',2278,'1000',66.12,1,3,NULL),(16,3121216,'1990-11-08 00:00:00',2,1,12,2007,'F','N','SãO JOSé','SOMBRIO','SC','124242241217372431446411575122131328077',NULL,'770',0.00,1,3,NULL),(16,3121224,'1982-12-06 00:00:00',4,3,12,2001,'M','N','ARIRIBA','CAMBORIú','SC','124241242126131721635314245123610117047',NULL,'873',32.71,1,2,1),(16,3121232,'1991-11-30 00:00:00',4,1,12,2008,'F','N','CEJNTRO','CANOAS','RS','120202201215471431247824572124610165047',6983,'9998',54.33,1,3,NULL),(16,3121240,'1991-09-05 00:00:00',4,10,11,2008,'F','N','MONTE CASTELO','TUBARãO','SC','124243241215121431436632174122610125147',4388,'806',60.05,1,3,NULL),(16,3121259,'1989-09-20 00:00:00',4,1,12,2007,'F','N','GRANJA VIANA','CARAPICUíBA','SP','125252251217471411558811575112610111143',3004,'9998',63.78,1,3,NULL),(16,3121267,'1991-07-12 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241211111431458934572114610127142',11487,'1022',46.20,1,3,NULL),(16,3121275,'1977-05-29 00:00:00',4,1,12,1995,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241236554751478912492112531034152',9694,'270',49.35,1,3,NULL),(16,3121283,'1988-09-30 00:00:00',2,1,12,2006,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241112273531556513342124610124157',12500,'9997',44.38,1,2,1),(16,3121291,'1988-09-07 00:00:00',4,8,12,2005,'M','N','VILA RICA','S PAULO','SP','125251251216371431538923375124140234042',NULL,'9998',27.00,1,3,NULL),(16,3121305,'1991-02-21 00:00:00',4,1,12,2008,'M','N','SANTA CRUZ','RIBEIRãO PRETO','SP','125252251217111431258924592121610167057',11974,'9998',45.30,1,3,NULL),(16,3121313,'1991-06-11 00:00:00',2,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124161241215111631256616585122610166147',NULL,'1063',0.00,1,3,NULL),(16,3121321,'1990-08-03 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215472431468833575114610127042',4764,'270',59.14,1,3,NULL),(16,3121348,'1991-06-12 00:00:00',4,1,12,2008,'M','N','CENTRO','STA MARIA','RS','120202201217272431468813595122610162142',1896,'9998',67.61,1,3,NULL),(16,3121356,'1986-02-02 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124204201117371711547614495125610144042',13716,'9998',42.23,1,3,NULL),(16,3121364,'1990-07-14 00:00:00',2,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215372531436824392114610167115',NULL,'270',26.69,1,3,NULL),(16,3121372,'1990-08-22 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241236472431569911575114610137042',9858,'654',49.05,1,3,NULL),(16,3121399,'1991-04-25 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215122431364921592124610124067',13016,'270',43.47,1,3,NULL),(16,3121402,'1987-04-19 00:00:00',2,1,12,2004,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124205201517573431656824445124143227077',NULL,'9998',36.28,1,3,NULL),(16,3121429,'1990-10-29 00:00:00',4,8,12,2008,'M','N','SAGUAçú','JOINVILLE','SC','124242241217271411668814595121610137052',4692,'462',59.34,1,3,NULL),(16,3121437,'1990-07-25 00:00:00',4,4,12,2007,'F','N','AEROPORTO','ERECHIM','RS','120201201116131431423311472124610122152',NULL,'9998',18.88,1,2,1),(16,3121445,'1990-02-06 00:00:00',3,8,11,2008,'F','N','BOA VISTA','CURITIBA','PR','116162161215121411588932575114610162057',13797,'9998',42.06,1,3,NULL),(16,3121461,'1990-04-27 00:00:00',4,3,11,2008,'F','N','CENTRO','ITAPEMA','SC','124242242115151431483652395122610123072',NULL,'129',0.00,1,3,NULL),(16,3121500,'1989-11-13 00:00:00',2,4,11,2006,'F','N','CENTRO','DIONíSIO CERQUEIRA','SC','124162161237571651339929575124610136147',NULL,'9998',0.00,1,3,NULL),(16,3121518,'1983-05-26 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANóPOLIS','SC','624203203216131431236544342124140226097',12666,'9998',44.05,1,3,NULL),(16,3121526,'1986-03-25 00:00:00',4,1,12,2003,'M','N','ESTREITO','FLORIANóPOLIS','SC','124244241217273431368831572112121434115',NULL,'270',0.00,1,3,NULL),(16,3121534,'1991-01-17 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124244241415111431348413572122610166142',3706,'1022',61.81,1,3,NULL),(16,3121542,'1991-01-25 00:00:00',4,2,10,2008,'F','N','SãO PEDRO','GASPAR','SC','124242241215111431574412375122610162067',13320,'855',42.92,1,3,NULL),(16,3121550,'1991-02-22 00:00:00',4,1,12,2008,'F','N','ROçADO','S JOSé','SC','124242241215111431469614475112610131072',2373,'270',65.80,1,3,NULL),(16,3121569,'1990-01-27 00:00:00',4,1,12,2007,'F','N','JD VILLA ROMANA','INDAIATUBA','SP','125252251215371751478811575122610167142',4205,'9998',60.47,1,3,NULL),(16,3121577,'1987-12-27 00:00:00',4,1,12,2005,'M','N','CARIANOS','FLORIANóPOLIS','SC','124242241215374431669613575122121434012',702,'272',74.21,4,3,NULL),(16,3121585,'1991-12-10 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215112731648612572224610134072',8862,'1022',50.79,1,3,NULL),(16,3121593,'1990-08-23 00:00:00',2,8,12,2008,'F','N','NOVA BRASILIA','JOINVILLE','SC','124241241215472451346514471124610166097',8621,'1016',51.21,1,3,NULL),(16,3121607,'1989-12-31 00:00:00',4,1,12,2006,'M','N','CAMAQüã','PTO ALEGRE','RS','120202201216571431466813575124610164042',NULL,'9998',0.00,1,3,NULL),(16,3121615,'1989-06-24 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217573431437767572125233267017',6584,'266',55.09,1,3,NULL),(16,3121623,'1986-10-27 00:00:00',2,1,8,2005,'F','N','CENTRO','GAROPABA','SC','124241241116154431223354275124122963147',NULL,'306',3.37,1,2,1),(16,3121631,'1991-08-13 00:00:00',4,4,11,2008,'M','N','CENTRO','STA MARIA','RS','120242201116211431459911472112610134082',9710,'9998',49.33,1,3,NULL),(16,3121640,'1982-04-19 00:00:00',4,1,12,1999,'M','N','BALNEARIO DANIELA','FLORIANóPOLIS','SC','124201201217151711169943431122340267042',NULL,'9998',0.00,1,3,NULL),(16,3121658,'1991-08-09 00:00:00',4,1,12,2008,'M','N','SANTA MONICA','FLORIANóPOLIS','SC','124242241215121431469931472124610122092',NULL,'270',0.00,1,3,NULL),(16,3121674,'1987-12-04 00:00:00',2,7,12,2004,'F','N','CENTRO','ÁGUA DOCE','SC','124241111347151431346829395122243228194',NULL,'9998',25.58,1,3,NULL),(16,3121682,'1991-01-03 00:00:00',4,4,12,2008,'F','N','PRIMAVERA','XAXIM','SC','124241241116131731433934572125610137187',16508,'847',35.43,1,3,NULL),(16,3121690,'1991-12-12 00:00:00',2,4,12,2008,'F','N','NOVA DIVINÉIA','PINHALZINHO','SC','124244241216111431455614274122610145142',14074,'1070',41.51,1,3,NULL),(16,3121704,'1990-03-23 00:00:00',2,8,12,2007,'F','N','RONDA','PNT GROSSA','PR','116164161217472431538714592125610122017',6325,'9998',55.64,1,3,NULL),(16,3121712,'1990-06-22 00:00:00',4,1,11,2007,'F','N','KOBRASOL','S JOSé','SC','124242241212141431236821345114610127072',16208,'724',36.65,1,3,NULL),(16,3121720,'1990-12-08 00:00:00',2,1,11,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241212111431226629475114610133142',12523,'270',44.32,1,3,NULL),(16,3121747,'1990-01-11 00:00:00',4,8,12,2007,'F','N','VILLE CHAMONIX','ITATIBA','SP','125242251217472531368812575112610163144',5540,'9998',57.39,1,3,NULL),(16,3121755,'1992-03-25 00:00:00',4,2,12,2009,'F','S','VILA NOVA','BLUMENAU','SC','124242248215111731569612582124610133142',NULL,'71',46.71,1,3,NULL),(16,3121763,'1991-03-18 00:00:00',4,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124243246216141431535812595122610131142',NULL,'1006',30.34,1,3,NULL),(16,3121771,'1991-01-04 00:00:00',4,1,11,2008,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124242241215471451548812292122610167017',6342,'270',55.59,1,3,NULL),(16,3121780,'1991-03-15 00:00:00',4,4,10,2008,'F','N','CENTRO','ERECHIM','RS','120202201215111431458814574122610124147',NULL,'9998',22.49,1,3,NULL),(16,3121798,'1991-06-23 00:00:00',2,8,12,2008,'M','N','CENTRO','CANOINHAS','SC','124241241116151531445413475122610127042',NULL,'146',0.00,1,2,1),(16,3121801,'1990-05-02 00:00:00',4,1,12,2007,'M','N','JARDINS VIENA','APARECIDA GOIâNIA','GO','109092091217473431488812575122610167043',NULL,'9998',0.00,1,3,NULL),(16,3121810,'1991-07-14 00:00:00',2,5,11,2008,'F','N','SANTA BARBARA','CRICIúMA','SC','124242248235111431349633394124613262077',8804,'213',50.89,1,3,NULL),(16,3121828,'1979-12-15 00:00:00',2,9,12,1996,'M','N','CENTRO','CPO BELO SUL','SC','624241241146131711234643235123332737067',NULL,'430',0.00,4,2,1),(16,3121836,'1991-09-30 00:00:00',4,1,11,2007,'M','N','VILA AURORA','RONDONóPOLIS','MT','111112111217471431466715574124610137043',10040,'9998',48.71,1,3,NULL),(16,3121844,'1992-04-29 00:00:00',4,1,12,2009,'M','S','ESTREITO','FLORIANóPOLIS','SC','124242241216111411469813575124610127067',NULL,'266',23.22,1,3,NULL),(16,3121852,'1991-09-20 00:00:00',2,1,12,2008,'M','N','BOM VVEVER','BIGUAçU','SC','124241241111471411531315175123610132147',NULL,'1116',30.75,1,2,1),(16,3121860,'1991-04-24 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124242241215111431534411275124610127055',NULL,'1118',36.65,1,3,NULL),(16,3121879,'1987-10-27 00:00:00',2,1,12,2004,'M','N','ROçADO','S JOSé','SC','124241241126273721337613245124230822057',9303,'736',50.07,4,1,1),(16,3121887,'1991-09-15 00:00:00',2,8,12,2008,'M','N','ZONA II','UMUARAMA','PR','116122161215121431258813476114610167052',2065,'9998',66.92,1,3,NULL),(16,3121909,'1991-03-12 00:00:00',2,1,12,2008,'F','N','SãO MIGUEL','BIGUAçU','SC','124241241117131431633314572124610134147',NULL,'739',27.73,1,3,NULL),(16,3121917,'1992-02-15 00:00:00',2,1,11,2008,'F','N','FáTIMA','VACARIA','RS','120202201217121451649933571122610135197',8730,'9998',51.02,1,3,NULL),(16,3121925,'1985-09-23 00:00:00',4,5,6,2004,'M','N','CENTRO','URUSSANGA','SC','124243246216475751436639595121610168187',NULL,'995',13.09,1,3,NULL),(16,3121933,'1989-01-15 00:00:00',2,1,12,2008,'M','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124241247125131321346344245124610137047',12360,'9999',44.61,1,3,NULL),(16,3121941,'1990-07-11 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241215272731258823472124232824187',8357,'1022',51.67,1,3,NULL),(16,3121950,'1990-05-07 00:00:00',4,8,11,2007,'F','N','BATEL','CURITIBA','PR','116242161215471731456712575122610166143',8679,'9998',51.11,1,3,NULL),(16,3121968,'1990-07-22 00:00:00',2,5,12,2007,'M','N','CRUZEIRO DO SUL','CRICIúMA','SC','124244241214472431459834575122610167042',6064,'211',56.20,1,3,NULL),(16,3121976,'1989-10-12 00:00:00',4,1,12,2006,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241215573231569911484122613266042',3229,'497',63.21,1,3,NULL),(16,3121984,'1991-03-26 00:00:00',2,5,12,2008,'F','N','CENTRO','FORQUILHINHA','SC','124242241215111731448619572125610127142',7382,'226',53.56,1,3,NULL),(16,3121992,'1991-04-26 00:00:00',4,1,12,2008,'M','N','VILLA BASTOS','STO ANDRé','SP','125252251215111431488814575121610167012',9652,'9998',49.43,1,3,NULL),(16,3122000,'1990-10-15 00:00:00',4,1,12,2008,'M','N','FLAMBOYANT','ATIBAIA','SP','125252251216111431567631315112610137042',12499,'9998',44.38,1,3,NULL),(16,3122018,'1988-03-23 00:00:00',2,6,11,2005,'F','N','UBERABA','CURITIBA','PR','116163161215573111546634572124610117187',NULL,'9998',0.00,3,3,NULL),(16,3122034,'1990-08-26 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124241241117172431434833382121610112147',NULL,'734',20.90,1,2,1),(16,3122042,'1992-06-06 00:00:00',2,1,12,2009,'F','S','BELA VISTA','S JOSé','SC','124242241215111731433332572122610128182',NULL,'738',49.31,1,3,NULL),(16,3122050,'1991-08-05 00:00:00',2,4,11,2008,'M','N','CENTRO','CHAPECó','SC','124241241212111431455914572122610164057',NULL,'185',27.51,1,3,NULL),(16,3122069,'1990-12-14 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115111431545413342124610133042',NULL,'257',26.73,1,3,NULL),(16,3122085,'1987-03-25 00:00:00',4,1,12,2004,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215372731446819472114132825092',11764,'723',45.71,1,3,NULL),(16,3122093,'1989-09-03 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241217373441436621572114610163051',9038,'1022',50.51,1,3,NULL),(16,3122107,'1988-03-02 00:00:00',4,1,12,2005,'F','N','MENINO DEUS','PTO ALEGRE','RS','120201201137471421436831345124610166027',NULL,'9998',37.74,1,2,1),(16,3122115,'1990-11-10 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215371431636713575111610167015',10953,'44',47.11,4,3,NULL),(16,3122123,'1990-07-01 00:00:00',4,1,12,2008,'F','N','LARANJEIRAS','RIO JANEIRO','RJ','121052211217111751459914576124610161023',2826,'9998',64.29,1,3,NULL),(16,3122140,'1992-01-08 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124243241335111431536611275114610133147',13143,'1022',43.25,1,3,NULL),(16,3122174,'1989-10-24 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124243241214112441348823475124230621092',12638,'300',44.10,1,3,NULL),(16,3122204,'1989-09-13 00:00:00',2,1,12,2007,'M','N','CAMBUI','CAMPINAS','SP','125254251116471431256923375112610167117',NULL,'9998',NULL,4,3,NULL),(16,3122212,'1989-07-15 00:00:00',4,1,11,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241135272731523316342124610127147',NULL,'818',0.00,1,2,1),(16,3122220,'1991-07-11 00:00:00',2,1,12,2008,'F','N','PARQUE BELéM','FRANCISCO MORATO','SP','125252251216121431336624472125610144044',NULL,'9998',35.78,1,3,NULL),(16,3122239,'1988-03-10 00:00:00',4,4,11,2007,'M','N','PASSO DOS FORTES','CHAPECó','SC','124241241127371421436652285113610124057',11563,'9997',46.07,1,2,1),(16,3122247,'1989-12-24 00:00:00',4,8,12,2007,'F','N','JOSé MODENEZ','IRACEMáPOLIS','SP','125254251215472431448814571124610125097',9594,'9998',49.53,1,3,NULL),(16,3122255,'1988-12-26 00:00:00',2,5,11,2006,'M','N','JARDIM UNIãO','CRICIúMA','SC','124244246215573411548734241124610167042',390,'995',76.94,1,3,NULL),(16,3122263,'1989-01-16 00:00:00',2,1,12,2006,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241247316273421436621385124610132057',15333,'9999',38.91,1,3,NULL),(16,3122271,'1988-10-21 00:00:00',2,10,12,2006,'M','N','RECIFE','TUBARãO','SC','124241241136371441436623445125130727022',7098,'1034',54.10,1,2,1),(16,3122280,'1990-05-02 00:00:00',4,5,12,2007,'F','N','RIO MAINA','CRICIúMA','SC','124242241216472431357939375124610125077',9197,'995',50.24,1,3,NULL),(16,3122301,'1991-11-01 00:00:00',4,1,12,2008,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241215271431446639595122610121147',13116,'259',43.30,1,3,NULL),(16,3122310,'1991-08-02 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215271431453623575125610164147',8517,'1118',51.38,1,3,NULL),(16,3122344,'1991-11-11 00:00:00',4,1,12,2008,'M','N','CENTRO','JúLIO CASTILHOS','RS','120202201416271431467835575115610117042',NULL,'9998',0.00,1,3,NULL),(16,3122379,'1990-08-22 00:00:00',4,1,12,2008,'M','N','JURERê','FLORIANóPOLIS','SC','124242241213172231479911415124610167112',15462,'1048',38.63,1,3,NULL),(16,3122387,'1955-10-11 00:00:00',4,1,12,1975,'M','N','CENTRO','FLORIANóPOLIS','SC','124201206116152751388849492122321167045',NULL,'9998',0.00,1,3,NULL),(16,3122395,'1988-11-08 00:00:00',2,1,12,2006,'F','N','BARRA DO RIO','BRUSQUE','SC','124241241235251451322124571324610136142',NULL,'1025',28.38,2,1,2),(16,3122409,'1990-07-26 00:00:00',4,1,12,2007,'M','N','JARDIM GERMANIA','S PAULO','SP','125252251217471432446823315114610167117',9912,'9998',48.93,1,3,NULL),(16,3122417,'1990-07-02 00:00:00',4,1,12,2007,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242261217472431278922575114610146097',2275,'9998',66.13,1,3,NULL),(16,3122425,'1980-09-22 00:00:00',4,1,12,1997,'F','N','PANTANAL','FLORIANóPOLIS','SC','124201201116371421238641415124343237187',4350,'9998',60.14,4,3,NULL),(16,3122433,'1991-09-04 00:00:00',4,10,11,2008,'F','N','SANTA AUGUSTA','BRAçO NORTE','SC','124242241215121431548632275122610147147',5143,'9997',58.26,1,3,NULL),(16,3122441,'1989-05-22 00:00:00',4,1,12,2006,'M','N','VILA DOS MéDICOS','BOTUCATU','SP','125252251216571431579613575122610167082',NULL,'9998',0.00,1,3,NULL),(16,3122476,'1991-02-22 00:00:00',4,1,12,2008,'M','N','NOSSA SRA DO ROSáRIO','S JOSé','SC','124242241216121431435923395121610122197',15509,'1036',38.53,1,3,NULL),(16,3122484,'1983-09-27 00:00:00',4,1,12,2002,'M','N','KOBRASOL','S JOSé','SC','124241241146133431238813285124610164142',NULL,'307',0.00,1,2,1),(16,3122492,'1983-03-17 00:00:00',2,1,12,2000,'F','N','CENTRO','S JOSé','SC','124243241216271741635939472124333241187',9254,'185',50.14,1,3,NULL),(16,3122506,'1990-08-10 00:00:00',4,1,11,2008,'M','N','JUNDIAI','ANáPOLIS','GO','109092091217111431458811575125610137092',NULL,'9998',0.00,1,3,NULL),(16,3122514,'1987-05-15 00:00:00',2,1,6,2007,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124251247247132411116844241314610163177',NULL,'9999',41.39,1,3,NULL),(16,3122522,'1990-03-23 00:00:00',2,1,12,2007,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124241241116132231445511242134610137047',NULL,'307',26.74,1,2,1),(16,3122530,'1988-06-08 00:00:00',2,1,12,2005,'M','N','SERRINHA','FLORIANóPOLIS','SC','124112111216472431366614575114141467072',NULL,'9998',44.55,1,3,NULL),(16,3122549,'1988-09-20 00:00:00',4,1,7,2006,'M','N','ASA SUL','BRASíLIA','DF','107072077217572441689823575122140723052',9386,'9999',49.92,2,1,2),(16,3122557,'1989-11-16 00:00:00',4,1,6,2007,'M','N','VILA NOVA','IMBITUBA','SC','124244241225371441558712115122610164114',9526,'9999',49.67,1,3,NULL),(16,3122565,'1991-05-26 00:00:00',4,1,11,2008,'M','N','JARDIM ELDORADO','VILHENA','RO','122222221237151531338812575111610124057',NULL,'9998',0.00,1,3,NULL),(16,3122573,'1987-09-11 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215374421446513442124610124142',15762,'269',37.89,1,3,NULL),(16,3122581,'1986-12-07 00:00:00',4,5,12,2004,'M','N','CENTRO','CRICIúMA','SC','124242241337131411358634345121230247052',NULL,'228',29.93,1,3,NULL),(16,3122590,'1990-11-28 00:00:00',4,1,11,2007,'M','N','CAPIM MACIO','NATAL','RN','119192191217272431578933572122141427082',13013,'9998',43.47,1,3,NULL),(16,3122662,'1990-01-05 00:00:00',4,1,12,2007,'M','N','CENTRO','IPUMIRIM','SC','124241242116472431356631592124233265152',1494,'196',69.41,4,2,1),(16,3122670,'1991-04-13 00:00:00',4,8,12,2008,'M','N','JOãO COSTA','JOINVILLE','SC','124241241147131411323314182124610147142',NULL,'465',25.41,1,2,1),(16,3122689,'1990-03-23 00:00:00',2,1,12,2008,'M','N','CENTRO','STO ANTôNIO PINHAL','SP','125253251315161331648611585124610167112',NULL,'9998',0.00,3,3,NULL),(16,3122700,'1990-09-20 00:00:00',2,1,11,2007,'M','N','INDEPENDENCIA','TAUBATé','SP','125252251227371431663612145132610137017',2112,'9998',66.76,1,3,NULL),(16,3122719,'1990-12-10 00:00:00',2,4,12,2007,'F','N','CENTRO','PINHALZINHO','SC','124243241216121431544712242122231062157',NULL,'185',0.00,1,3,NULL),(16,3122743,'1989-07-05 00:00:00',2,1,12,2006,'F','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241415333431447611572124232832091',NULL,'1022',25.47,1,3,NULL),(16,3122751,'1989-08-14 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC','124242241216371751289919575112610117131',5215,'883',58.08,1,3,NULL),(16,3122760,'1991-02-21 00:00:00',4,1,12,2008,'M','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','124242241216271431469813575124610127181',11528,'262',46.13,1,3,NULL),(16,3122778,'1990-02-07 00:00:00',2,1,12,2007,'F','N','BALNEáRIO ESTREITO','FLORIANóPOLIS','SC','124242241215472421277713575114610161197',4264,'87',60.33,1,3,NULL),(16,3122786,'1990-02-23 00:00:00',2,1,12,2007,'F','N','PALHOçA','PALHOçA','SC','624241241311372431335311372124610124147',9548,'1011',49.62,1,3,NULL),(16,3122808,'1988-11-17 00:00:00',4,7,11,2006,'M','N','CENTRO','AT BELA VISTA','SC','124254256137573411458814571121610147027',105,'9998',80.90,1,3,NULL),(16,3122816,'1992-01-21 00:00:00',2,5,12,2008,'F','N','ULTIMO RIO','JACINTO MACHADO','SC','124243241115271431526619292124610123147',NULL,'250',21.77,1,3,NULL),(16,3122824,'1985-12-04 00:00:00',4,1,12,2003,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217273431459923441112121464112',2435,'270',65.57,1,3,NULL),(16,3122832,'1991-06-25 00:00:00',2,1,12,2008,'F','N','BALNEáRIO','FLORIANóPOLIS','SC','124241241116131431626679292124610134147',NULL,'257',23.13,1,2,1),(16,3122840,'1986-04-29 00:00:00',2,1,12,2003,'M','N','BARREIROS','S JOSé','SC','124241241117134431436924342114610163057',15103,'257',39.41,1,2,1),(16,3122859,'1991-10-06 00:00:00',4,1,12,2008,'F','N','USINA','ANTôNIO CARLOS','SC','124241241115131431423435372324610138147',NULL,'21',32.91,1,2,1),(16,3122867,'1991-04-22 00:00:00',4,6,12,2008,'F','N','VILA RICA','ATIBAIA','SP','125251251117271731436624275124610134097',NULL,'9998',7.21,4,2,1),(16,3122875,'1991-03-07 00:00:00',4,10,12,2008,'F','N','PROGRESSO','LAGUNA','SC','124241241112171731625715571324610134077',NULL,'521',28.40,1,2,1),(16,3122883,'1986-08-01 00:00:00',4,4,12,2003,'M','N','JARDIM ITALIA','CHAPECó','SC','124242241215271411138743336225132066174',1806,'185',67.97,1,3,NULL),(16,3122905,'1990-01-12 00:00:00',2,1,12,2008,'F','N','ARAUCARIA','S JOSé','SC','124243241115131431326834241124613228077',NULL,'307',21.87,3,3,NULL),(16,3122913,'1991-07-21 00:00:00',2,5,12,2008,'M','N','VISTA ALEGRE','ERMO','SC','124241241115171431433619292114610127067',16566,'250',35.08,1,2,1),(16,3122921,'1989-09-14 00:00:00',2,1,7,2007,'M','N','PâNTANO DO SUL','FLORIANóPOLIS','SC','124243247316352731333619346224610166147',NULL,'9999',26.60,1,3,NULL),(16,3122930,'1991-04-10 00:00:00',4,1,12,2008,'M','N','USINA','ANTôNIO CARLOS','SC','124241241117161531424436572124610124043',NULL,'21',26.92,1,2,1),(16,3122956,'1978-06-11 00:00:00',2,1,12,1996,'M','N','CAMPINAS','S JOSé','SC','224241241117133721233143132224231327047',12655,'306',44.08,1,2,1),(16,3122972,'1990-03-02 00:00:00',4,1,12,2007,'M','N','SUMARé','RIO SUL','SC','124242246215372411348814571124610134017',4248,'1013',60.37,1,3,NULL),(16,3122980,'1985-10-17 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241112475731346533485125230623072',10373,'307',48.13,1,2,1),(16,3122999,'1991-10-01 00:00:00',4,2,11,2008,'M','N','CENTRO','TIMBó','SC','124241241215112431448832595121610127187',NULL,'1157',34.32,1,3,NULL),(16,3123006,'1991-01-06 00:00:00',4,1,11,2008,'M','N','PORTO DA LAGOA','FLORIANóPOLIS','SC','124241241114111431326618572224610114175',14819,'307',40.03,1,2,1),(16,3123014,'1989-11-05 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124244241417372731428813344124610124092',4355,'1098',60.12,1,3,NULL),(16,3123022,'1990-06-29 00:00:00',4,1,12,2007,'M','N','VILA DAS ACáCIAS','S JOSé CAMPOS','SP','125252251215571431469834342121610167047',37,'9998',83.05,1,3,NULL),(16,3123030,'1992-02-26 00:00:00',4,1,12,2009,'F','S','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121216112431458812572112610134117',NULL,'9998',0.00,1,3,NULL),(16,3123049,'1989-10-03 00:00:00',4,1,11,2006,'F','N','CAMPECHE','FLORIANOPOLIS','SC','124201201415373431546923241314610134032',NULL,'9998',43.82,1,3,NULL),(16,3123057,'1991-10-05 00:00:00',2,1,10,2008,'F','N','VILA LAURA','SALVADOR','BA','105052051217111431338822471115610167022',6848,'262',54.57,5,3,NULL),(16,3123065,'1992-01-23 00:00:00',4,5,12,2008,'F','N','JARDIM MARISTELA','CRICIúMA','SC','124242241217111431454632275122610135182',15247,'211',39.10,1,3,NULL),(16,3123073,'1990-12-01 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242244215472431469712571122610136092',13460,'807',42.67,1,3,NULL),(16,3123111,'1985-12-29 00:00:00',2,1,12,2003,'M','N','SANTO ANTONIO','CACHOEIRO ITAPEMIRIM','ES','108081081316151421434339445124340237077',7929,'9998',52.55,2,1,2),(16,3123138,'1991-10-17 00:00:00',2,7,11,2008,'F','N','JARDIM ALVORADA','PARANAGUá','PR','116162161215471431626612274345610167187',NULL,'9998',0.00,1,3,NULL),(16,3123146,'1991-01-29 00:00:00',4,3,12,2008,'M','N','TERRA BONITA','LONDRINA','PR','116162161216111431466923575122610127012',NULL,'9998',0.00,1,3,NULL),(16,3123154,'1991-09-05 00:00:00',4,8,11,2008,'M','N','CENTRO','MAL CâNDIDO RONDON','PR','116162161217371331548813371121610122052',5718,'9998',57.03,1,3,NULL),(16,3123162,'1990-01-30 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217472431225824572324610133097',6915,'213',54.47,1,3,NULL),(16,3123189,'1990-04-17 00:00:00',4,3,12,2007,'F','N','CRUZEIROS','PASSO FUNDO','RS','120201201116271431446813574124610123097',2483,'9998',65.39,1,2,1),(16,3123197,'1990-10-16 00:00:00',2,1,12,2007,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241115132412536833215122610164042',NULL,'1014',34.60,1,3,NULL),(16,3123200,'1990-02-02 00:00:00',4,1,12,2007,'M','N','CACUPé','FLORIANóPOLIS','SC','124112241214472711448819595124610167122',1910,'272',67.54,1,3,NULL),(16,3123219,'1991-01-31 00:00:00',2,1,11,2007,'F','N','PICADAS DO SUL','S JOSé','SC','124241241215472441446623382124230223042',11775,'1074',45.68,1,3,NULL),(16,3123227,'1990-01-04 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124241241227132441436512111124610167111',NULL,'262',32.00,1,3,NULL),(16,3123235,'1987-09-17 00:00:00',4,1,12,2005,'F','N','VILA THAíS','ATIBAIA','SP','125251251136141431525711445125610121012',NULL,'9998',0.00,1,2,1),(16,3123243,'1989-11-20 00:00:00',2,8,12,2006,'F','N','CAPãO RASO','CURITIBA','PR','116162161216572431358811572124610167047',NULL,'9998',0.00,1,3,NULL),(16,3123251,'1993-03-30 00:00:00',4,5,11,2008,'M','N','COMERCIARIO','CRICIúMA','SC','124242241215111111339831572122610117042',NULL,'211',27.98,1,3,NULL),(16,3123260,'1992-02-11 00:00:00',4,5,11,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215152411239912375122610154082',8094,'211',52.24,3,3,NULL),(16,3123278,'1992-03-07 00:00:00',2,5,12,2008,'F','N','PRóSPERA','CRICIúMA','SC','124242241215151432338929575122610124082',16098,'211',36.94,3,3,NULL),(16,3123286,'1992-11-26 00:00:00',2,5,12,2008,'F','N','CENTRO','CRICIúMA','SC','124242241217151431436612572122610136042',9186,'211',50.27,1,3,NULL),(16,3123294,'1991-12-16 00:00:00',4,5,12,2008,'F','N','PIO CORREA','CRICIúMA','SC','124242241215111631334412572122610113142',15801,'211',37.77,1,3,NULL),(16,3123316,'1987-06-23 00:00:00',2,1,12,2005,'M','N','LIBERDADE','ALTAMIRA','PA','114141141116371721526573445124610134187',NULL,'9998',25.20,4,2,1),(16,3123324,'1990-06-27 00:00:00',4,9,12,2007,'M','N','GALóPOLIS','CAXIAS SUL','RS','120201203217271431468734575114141057047',7577,'9998',53.19,1,3,NULL),(16,3123332,'1989-11-13 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124241241116111131343344342334610124192',NULL,'341',0.00,1,3,NULL),(16,3123340,'1990-03-29 00:00:00',4,1,12,2007,'F','N','JARDIM AQUARIUS','S JOSé CAMPOS','SP','125252251217472431558924596112610163117',8358,'9998',51.67,3,3,NULL),(16,3123359,'1990-05-07 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241146131431248823275124610167062',NULL,'307',22.70,1,3,NULL),(16,3123375,'1986-01-23 00:00:00',4,10,11,2003,'M','N','CENTRO','IMBITUBA','SC','124172171216271411468814475122531447062',6276,'9998',55.74,1,3,NULL),(16,3123383,'1989-01-18 00:00:00',2,9,12,2005,'F','N','CRISTO REI','S CARLOS','SC','124241241146472451436611374124610166142',13588,'704',42.47,1,2,1),(16,3123391,'1989-10-16 00:00:00',2,1,12,2007,'F','N','BIGUAçU','BIGUAçU','SC','124213241416132431455613572222610123097',NULL,'65',37.27,1,3,NULL),(16,3123405,'1990-08-04 00:00:00',2,1,12,2008,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241115111231477633575124610112062',7595,'267',53.16,1,2,1),(16,3123421,'1989-07-21 00:00:00',2,8,12,2006,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161115471431428812495124243267052',3941,'9998',61.23,1,3,NULL),(16,3123430,'1990-10-25 00:00:00',4,1,12,2008,'M','N','VILA FORMOSA','S PAULO','SP','125254251215111431466823333121610162177',1834,'9998',67.90,1,3,NULL),(16,3123448,'1987-10-29 00:00:00',1,8,12,2004,'F','N','BOM RETIRO','JOINVILLE','SC','124242241216273441468711345121131026187',10305,'861',48.24,1,3,NULL),(16,3123456,'1991-07-16 00:00:00',2,4,12,2008,'F','N','CENTRO','CEL VIVIDA','PR','116162161216471411446611575112610163012',13155,'9998',43.23,1,3,NULL),(16,3123464,'1988-05-26 00:00:00',2,1,12,2005,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241215474431458729472124610163097',3829,'262',61.51,4,3,NULL),(16,3123472,'1991-10-15 00:00:00',4,1,11,2008,'F','N','CENTRO','SINOP','MT','111112111216111221346822594122610132147',10387,'9998',48.11,1,3,NULL),(16,3123480,'1984-03-09 00:00:00',4,1,12,2001,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124242241215373451468713235122231061047',NULL,'9997',43.22,1,3,NULL),(16,3123499,'1990-07-07 00:00:00',2,10,12,2007,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124243251215271431436414382212610137057',13059,'362',43.38,1,3,NULL),(16,3123502,'1991-10-05 00:00:00',4,5,11,2008,'F','N','MICHEL','CRICIúMA','SC','124242241215271411344311214122610147057',10361,'210',48.15,1,3,NULL),(16,3123529,'1990-10-28 00:00:00',2,10,12,2007,'M','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124241241147132441533314245114610124042',NULL,'332',0.00,1,3,NULL),(16,3123537,'1989-03-08 00:00:00',2,1,12,2006,'M','N','VILA REGIE','VIRADOURO','SP','125252251215571431437813575112610114097',6165,'9998',56.00,1,3,NULL),(16,3123561,'1962-02-15 00:00:00',2,1,12,1981,'M','N','FLÔR DE NÁPOLIS','S JOSé','SC','224241246227271431354454345133130226017',5869,'624',56.66,1,3,NULL),(16,3123570,'1990-03-09 00:00:00',2,1,12,2007,'M','N','CENTRO','JARAGUá SUL','SC','124244248212272431448814375134610167047',11497,'1105',46.18,1,3,NULL),(16,3123588,'1991-11-25 00:00:00',4,1,11,2008,'F','N','CENTRO','CASCAVEL','PR','116162161215111431478831572112610126097',2732,'9998',64.60,1,3,NULL),(16,3123596,'1989-09-27 00:00:00',4,6,12,2007,'F','N','VILA DAS BELEZAS','S PAULO','SP','125252251217571431317624441114610136077',4146,'9998',60.66,1,3,NULL),(16,3123600,'1958-07-24 00:00:00',4,1,7,1978,'F','N','INGLESES','FLORIANóPOLIS','SC','124201203127132341123849392214140212187',NULL,'9998',22.22,1,3,NULL),(16,3123618,'1981-07-30 00:00:00',4,1,12,2000,'M','N','COSTEIRA PIRAJUBAE','FLORIANóPOLIS','SC','124241241116573441633329575114222317061',NULL,'281',29.63,1,3,NULL),(16,3123626,'1991-04-03 00:00:00',4,4,12,2007,'F','N','NITEROI','SEARA','SC','124241241116111731423834275122210122142',NULL,'763',20.29,1,2,1),(16,3123634,'1988-04-23 00:00:00',4,1,12,2007,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217252431489713412122610133142',15349,'1133',38.88,1,3,NULL),(16,3123642,'1989-12-04 00:00:00',4,8,12,2007,'M','N','GLóRIA','JOINVILLE','SC','124244247236371731247514575114610137112',NULL,'487',21.20,4,3,NULL),(16,3123650,'1990-11-17 00:00:00',2,1,11,2008,'M','N','PICADAS DO SUL','S JOSé','SC','124241241215111531659833292124610167077',12041,'1074',45.21,1,3,NULL),(16,3123677,'1991-01-30 00:00:00',4,4,12,2007,'M','N','CENTRO','VERê','PR','116161161115311441323434245124610167147',1734,'9998',68.28,1,2,1),(16,3123685,'1990-04-22 00:00:00',4,1,12,2007,'F','N','CENTRO','CORUPá','SC','124241248315472431346627274224610125147',16380,'270',36.06,4,3,NULL),(16,3123693,'1991-05-09 00:00:00',4,2,12,2008,'M','N','CENTRO','PRES GETúLIO','SC','124241241146141721546823315122610114047',NULL,'644',21.10,4,2,1),(16,3123715,'1991-01-24 00:00:00',4,2,11,2008,'M','N','DIVINéIA','IMBITUBA','SC','124241241131131431427631342122610131172',14270,'359',41.10,4,3,NULL),(16,3123723,'1989-07-17 00:00:00',2,6,12,2007,'F','N','MURTA','ITAJAí','SC','124246242116371441346823485124610128147',4332,'129',60.17,1,3,NULL),(16,3123731,'1990-05-04 00:00:00',2,1,12,2007,'F','N','CENTRO','PTO ALEGRE','RS','120201204117371431326621575124610164183',8196,'9998',52.02,4,2,1),(16,3123740,'1989-02-03 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124243241113132431436611112114610164045',NULL,'307',26.78,1,3,NULL),(16,3123758,'1987-08-25 00:00:00',4,8,12,2005,'F','N','COSTA E SILVA','JOINVILLE','SC','124243241117573751468931482124610144187',627,'464',74.73,1,3,NULL),(16,3123766,'1990-08-20 00:00:00',4,1,12,2007,'F','N','JD FERNANDES','S JOSé R PRETO','SP','125252251215471431468831571122610117092',11267,'9998',46.53,1,3,NULL),(16,3123774,'1985-01-12 00:00:00',4,1,12,2002,'F','N','CARIANOS','FLORIANóPOLIS','SC','124251251127271221136344242334610137187',NULL,'9998',24.69,1,2,1),(16,3123782,'1990-05-31 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241117272411537331212124610128081',16668,'288',34.13,1,3,NULL),(16,3123790,'1991-10-26 00:00:00',4,1,10,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215112411449914392122610124115',4815,'723',59.03,1,3,NULL),(16,3123804,'1984-04-13 00:00:00',4,1,12,2001,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241212275431657812341122120766057',10289,'9997',48.27,1,3,NULL),(16,3123820,'1990-01-31 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241215372431236713495124610123147',NULL,'272',0.00,1,3,NULL),(16,3123839,'1991-07-04 00:00:00',4,1,12,2008,'F','N','JD TRIANON','JALES','SP','125252251215113431467832575222610126182',5387,'9998',57.68,1,3,NULL),(16,3123847,'1988-02-17 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241212375431558712375123231417055',1978,'262',67.28,1,3,NULL),(16,3123855,'1990-10-24 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241215473411469711392124610116011',4166,'499',60.60,1,3,NULL),(16,3123863,'1989-04-09 00:00:00',4,1,11,2004,'M','N','ROçADO','S JOSé','SC','624242241215373431566812482112610124017',9893,'737',48.97,1,3,NULL),(16,3123871,'1990-08-23 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215472431368921572122610167041',12508,'266',44.36,1,3,NULL),(16,3123880,'1989-10-16 00:00:00',2,5,6,2007,'M','N','PRESIDENTE VARGAS','IçARA','SC','124241246217371431433319345224610167182',3597,'995',62.10,1,3,NULL),(16,3123901,'1990-04-17 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215373431569813574125610146092',5244,'797',58.01,1,3,NULL),(16,3123910,'1990-03-23 00:00:00',4,2,12,2007,'F','N','VICTOR KONDER','BLUMENAU','SC','124241241215371431334563575124130664012',15408,'88',38.76,1,3,NULL),(16,3123936,'1991-07-05 00:00:00',4,1,11,2008,'M','N','CENTRO','S JOAQUIM','SC','124244241216111431437735575112610167052',3693,'720',61.84,1,3,NULL),(16,3123944,'1990-05-30 00:00:00',4,1,12,2006,'M','N','JOAIA','TIJUCAS','SC','124245241217371441557633572124610137097',NULL,'1022',23.30,1,3,NULL),(16,3123952,'1991-05-21 00:00:00',2,9,12,2008,'F','N','SãO JOSé','CURITIBANOS','SC','124244241215121431464823574122610164141',NULL,'881',32.57,1,3,NULL),(16,3123960,'1989-11-15 00:00:00',4,9,12,2006,'F','N','CENTRO','BENTO GONçALVES','RS','120202201217572431548932571125610166197',434,'9998',76.42,1,3,NULL),(16,3123979,'1990-04-17 00:00:00',4,10,12,2007,'M','N','ALTO RIO FORTUNA','RIO FORTUNA','SC','124241241126141531323521245113610164192',NULL,'665',21.40,1,3,NULL),(16,3123995,'1991-06-08 00:00:00',4,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241216411411449633575124610114047',NULL,'1022',29.62,1,3,NULL),(16,3124002,'1991-06-28 00:00:00',4,1,11,2008,'F','N','CENTRO','BIGUAçU','SC','124243241235111311533414275121610135143',NULL,'63',23.61,1,3,NULL),(16,3124010,'1981-09-15 00:00:00',2,1,7,2004,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241135372751423623212324610164182',15037,'306',39.58,1,2,1),(16,3124029,'1991-08-30 00:00:00',4,1,11,2008,'M','N','CENTRO','BIGUAçU','SC','124242241212131431426714385121610127047',NULL,'63',27.95,1,3,NULL),(16,3124037,'1984-12-31 00:00:00',4,1,12,2002,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215272421358819425122321437117',3820,'270',61.54,1,3,NULL),(16,3124045,'1991-09-29 00:00:00',4,1,12,2009,'M','S','AGRONOMICA','FLORIANóPOLIS','SC','124244241417111432569811575124610134051',NULL,'262',48.37,3,3,NULL),(16,3124053,'1991-10-02 00:00:00',2,1,11,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241215421231448712575124610125187',NULL,'270',0.00,4,3,NULL),(16,3124061,'1991-04-30 00:00:00',2,1,11,2008,'F','N','PONTA DE BAIXO','S JOSé','SC','124241241215111431439614472124610167052',NULL,'737',32.32,1,3,NULL),(16,3124070,'1991-10-31 00:00:00',2,7,12,2008,'M','N','CENTRO','PAIM FILHO','RS','120201201136161431436619295122610127057',NULL,'9998',31.49,1,2,1),(16,3124088,'1990-09-24 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217111431579612575122610127123',10326,'262',48.21,1,3,NULL),(16,3124096,'1989-10-26 00:00:00',2,2,12,2007,'M','N','CENTRO','ITUPORANGA','SC','124241241125361731433354295124610124073',NULL,'415',21.36,1,3,NULL),(16,3124100,'1975-05-23 00:00:00',4,1,7,1994,'M','N','CAMPECHE','FLORIANóPOLIS','SC','624132131231211411248843431124341136047',8822,'9999',50.85,1,3,NULL),(16,3124118,'1991-11-28 00:00:00',2,5,12,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215111431355832575124610128142',NULL,'995',22.02,1,3,NULL),(16,3124134,'1983-01-29 00:00:00',4,1,12,2001,'M','N','ESTREITO','FLORIANóPOLIS','SC','124244241216273411149823385122131064072',14430,'259',40.83,1,3,NULL),(16,3124142,'1987-09-28 00:00:00',2,1,12,2005,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241115374421456923194134610127097',12885,'9997',43.69,1,3,NULL),(16,3124150,'1993-09-09 00:00:00',4,1,11,2009,'F','S','KOBRASOL','S JOSé','SC','124242081215111431357923575124610136042',NULL,'723',59.01,1,3,NULL),(16,3124177,'1991-05-22 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242248215111731348319475112610136042',NULL,'1118',21.19,1,3,NULL),(16,3124185,'1989-10-18 00:00:00',2,10,12,2006,'F','N','CENTRO','TUBARãO','SC','124242241216273431446839345112610134177',10164,'809',48.49,1,3,NULL),(16,3124193,'1990-10-07 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241117131731348823572324610142147',11126,'307',46.80,1,2,1),(16,3124223,'1990-02-21 00:00:00',4,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124243241116471431446679395124610164193',NULL,'257',0.00,1,3,NULL),(16,3124240,'1992-09-11 00:00:00',2,1,11,2008,'F','N','CENTRO','BIGUAçU','SC','124241241212131431346934575122610134142',NULL,'63',28.47,1,3,NULL),(16,3124258,'1992-02-25 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241248215112431469613572222610164147',6996,'270',54.30,1,3,NULL),(16,3124266,'1990-03-19 00:00:00',4,2,12,2007,'M','N','PINHEIRO','PRES GETúLIO','SC','124241241136372431344532325122610136042',NULL,'644',24.90,1,2,1),(16,3124282,'1990-08-23 00:00:00',4,2,11,2008,'M','N','POMERANOS','TIMBó','SC','124241241215121431546613245122610142092',911,'1157',72.61,1,3,NULL),(16,3124290,'1991-06-18 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124201241315151411339734575122610124077',16303,'724',36.37,1,3,NULL),(16,3124304,'1991-05-29 00:00:00',2,1,12,2008,'M','N','VILA NOVA','TRêS COROAS','RS','120201201147131731323331145131610124177',12895,'9998',43.68,1,2,1),(16,3124312,'1991-09-16 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124241241215111431437613335122610167057',NULL,'943',20.59,1,3,NULL),(16,3124320,'1989-12-26 00:00:00',2,1,12,2007,'F','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124243241117472411436923576124610125112',13092,'298',43.34,1,3,NULL),(16,3124347,'1979-09-27 00:00:00',2,1,12,1997,'M','N','ARMAçAO DO PANTANO','FLORIANóPOLIS','SC','124241241121152431443313441112610162185',NULL,'291',36.41,1,2,1),(16,3124355,'1990-11-16 00:00:00',4,2,12,2007,'F','N','MERCêS','CURITIBA','PR','116162161215471431358833574122610167147',NULL,'9998',0.00,3,3,NULL),(16,3124371,'1990-08-18 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241248215473431469613572222610163147',968,'807',72.23,1,3,NULL),(16,3124380,'1987-07-07 00:00:00',2,1,12,2005,'M','N','ASSUNçãO','PTO ALEGRE','RS','120202207417571441338811476121610128182',NULL,'9999',31.09,1,3,NULL),(16,3124398,'1989-02-07 00:00:00',4,1,12,2006,'M','N','CENTRO','LONDRINA','PR','116252251216571411458811575124610117057',NULL,'9998',0.00,3,3,NULL),(16,3124401,'1986-09-28 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241116471431621124445224610144053',NULL,'257',30.17,2,3,NULL),(16,3124410,'1991-07-24 00:00:00',4,1,12,2008,'M','N','CENTRO','SERTãOZINHO','SP','125252251217111431359831295122610166042',430,'9998',76.48,1,3,NULL),(16,3124428,'1990-12-30 00:00:00',4,7,12,2008,'F','N','CENTRO','VIDEIRA','SC','124241241116131431533631572122610162092',8889,'831',50.75,1,2,1),(16,3124436,'1993-01-16 00:00:00',4,2,12,2009,'M','S','JARDIM BLUMENAU','BLUMENAU','SC','124242241217111431489932571121610137062',NULL,'87',64.61,1,3,NULL),(16,3124452,'1990-08-14 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215473431338614591122610123172',10936,'270',47.14,1,3,NULL),(16,3124460,'1992-01-20 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431546614475112610123142',11903,'9997',45.45,4,3,NULL),(16,3124479,'1991-07-26 00:00:00',4,1,11,2008,'F','N','FáTIMA','FORTALEZA','CE','106252061217111411338814246324610153187',11938,'9998',45.37,1,3,NULL),(16,3124487,'1992-04-07 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241216111731569913575112610164077',NULL,'270',50.98,1,3,NULL),(16,3124495,'1989-08-06 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241227513431651129595125610167095',NULL,'9999',27.62,3,3,NULL),(16,3124509,'1991-04-27 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161216471421258916475114610134127',NULL,'9998',30.43,1,3,NULL),(16,3124517,'1991-10-02 00:00:00',4,2,12,2008,'M','N','ITOUPAVAZINHA','BLUMENAU','SC','124241241127131431334532575124610127147',NULL,'25',22.30,1,3,NULL),(16,3124525,'1988-03-28 00:00:00',4,10,12,2005,'M','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124241241125273441525321285114610124057',6110,'332',56.11,1,2,1),(16,3124533,'1991-06-23 00:00:00',4,1,12,2008,'M','N','JARDIM JANAíNA','BIGUAçU','SC','124241241115271231546311572214610114055',13657,'307',42.35,1,2,1),(16,3124550,'1988-01-02 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215113641349837215122220767125',NULL,'737',0.00,1,3,NULL),(16,3124568,'1991-05-25 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANOPOLIS','SC','124101241111131231623719342124610112047',NULL,'307',25.07,4,3,NULL),(16,3124576,'1991-07-18 00:00:00',4,7,12,2008,'M','N','INTERIOR','TANGARá','SC','124241241114131231423316162222610137053',13276,'779',43.03,1,3,NULL),(16,3124584,'1991-10-18 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241215371431438821392114610164145',15025,'270',39.60,1,3,NULL),(16,3124606,'1985-12-20 00:00:00',4,1,12,2003,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244241117372721357614285124610167197',15440,'286',38.68,1,3,NULL),(16,3124614,'1988-07-31 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124252241247171431651129392125610167185',NULL,'9999',0.00,3,3,NULL),(16,3124622,'1990-11-01 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431558923572112610167072',2786,'1050',64.46,1,3,NULL),(16,3124630,'1989-07-04 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217574431588823575122610165117',5122,'270',58.31,1,3,NULL),(16,3124649,'1991-02-25 00:00:00',2,8,12,2008,'F','N','CAMPO DO GADO','RIO NEGRO','PR','116243241331141751448514345125610162092',NULL,'542',22.91,4,3,NULL),(16,3124673,'1991-04-08 00:00:00',2,8,12,2008,'F','N','VILA NOVA','RIO NEGRINHO','SC','124241241117171431536534225122610167147',NULL,'669',34.59,1,3,NULL),(16,3124690,'1990-09-02 00:00:00',2,7,11,2007,'F','N','CENTRO','CONCóRDIA','SC','116162161211472431578831592144610136077',NULL,'190',0.00,1,3,NULL),(16,3124703,'1991-01-10 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472411488813571122610123012',5742,'270',56.97,1,3,NULL),(16,3124711,'1990-12-08 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSé','SC','124242241215372631443311575114610127062',10114,'1022',48.59,1,3,NULL),(16,3124720,'1986-02-21 00:00:00',4,1,11,2003,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241211133431436813391334222224097',5936,'237',56.48,1,3,NULL),(16,3124738,'1985-11-27 00:00:00',2,1,11,2003,'M','N','FLOR DO SOL','S JOSé','SC','124242241217575431556614275112131237042',3278,'270',63.07,1,3,NULL),(16,3124746,'1990-12-28 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216122231479911492122610162072',4900,'262',58.86,1,3,NULL),(16,3124754,'1991-03-12 00:00:00',4,8,12,2008,'M','N','GUANABARA','JOINVILLE','SC','124243241215371431357634245112610127012',1662,'457',68.61,1,3,NULL),(16,3124762,'1984-05-24 00:00:00',4,1,12,2001,'M','N','CÓRREGO GRANDE','FLORIANóPOLIS','SC','124242241216374231468619475122221417052',1646,'262',68.68,1,3,NULL),(16,3124770,'1991-05-12 00:00:00',4,1,12,2008,'F','N','ITAGUá','UBATUBA','SP','125254251217111731448711295121610127077',NULL,'9998',35.63,1,3,NULL),(16,3124789,'1988-09-01 00:00:00',4,4,12,2005,'F','N','CENTRO','PINHALZINHO','SC','124241241212353431568812572112610135047',NULL,'616',0.00,1,3,NULL),(16,3124797,'1990-07-13 00:00:00',4,9,12,2007,'M','N','CENTRO','CONCóRDIA','SC','124241246112372441659913572124610144012',14825,'196',40.02,1,2,1),(16,3124800,'1991-07-27 00:00:00',2,1,11,2008,'F','N','MERCêS','CURITIBA','PR','116252161216121431669514575112610141197',NULL,'9998',0.00,1,3,NULL),(16,3124819,'1990-11-30 00:00:00',2,1,12,2007,'F','N','PâNTANO DO SUL','FLORIANóPOLIS','SC','124241241112132411524421281224610125182',NULL,'307',27.33,1,2,1),(16,3124835,'1989-06-10 00:00:00',2,1,12,2007,'M','N','SERRARIA','S JOSé','SC','124241241127131731423164242323610167047',NULL,'66',19.55,2,1,1),(16,3124843,'1988-07-23 00:00:00',4,1,12,2005,'M','N','CAMPINAS','S JOSé','SC','124242241215373431373319372122121466182',1191,'723',71.00,1,3,NULL),(16,3124851,'1988-12-19 00:00:00',4,1,12,2006,'F','N','NOVA PIRACICABA','PIRACICABA','SP','125252251215471731559614571112140267072',6370,'9998',55.54,1,3,NULL),(16,3124860,'1989-11-19 00:00:00',2,1,12,2007,'M','N','MOINHOS','LAJEADO','RS','120202201216211411323923225112141267107',10398,'9998',48.10,1,3,NULL),(16,3124878,'1991-05-22 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217111431366631375115610164072',NULL,'226',42.59,1,3,NULL),(16,3124886,'1991-04-16 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124243241117371431456723575124610127012',5367,'267',57.72,1,3,NULL),(16,3124894,'1990-10-16 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215573421249613575114610164172',1599,'270',68.90,1,3,NULL),(16,3124908,'1989-02-10 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124243241116373231456633575214131263047',6818,'271',54.63,1,3,NULL),(16,3124924,'1991-05-13 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248217121431458811575122610127097',14347,'1050',40.97,1,3,NULL),(16,3124932,'1990-12-10 00:00:00',4,8,11,2008,'M','N','GLORIA','JOINVILLE','SC','124242241213112752469932275122610168187',4285,'491',60.28,1,3,NULL),(16,3124940,'1991-05-14 00:00:00',4,1,11,2008,'M','N','FORQUILHAS','S JOSé','SC','124241241117131411426319145124610144092',NULL,'733',26.57,4,3,NULL),(16,3124959,'1989-12-06 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124244241215472731458823575124610127117',9654,'1022',49.42,1,3,NULL),(16,3124975,'1991-12-11 00:00:00',4,4,11,2008,'M','N','PASSO DOS FORTES','CHAPECó','SC','124242241217111451468612592125610167062',6329,'983',55.62,1,3,NULL),(16,3124983,'1985-05-09 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241127133421121319245123610124185',NULL,'922',27.87,4,2,1),(16,3124991,'1985-06-25 00:00:00',2,1,12,2002,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124241163215152731139732295122321567067',NULL,'9998',0.00,1,3,NULL),(16,3125009,'1991-04-30 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124282241215211431647811575112610122192',3957,'262',61.19,3,3,NULL),(16,3125017,'1990-05-26 00:00:00',2,1,11,2007,'F','N','PRAIA COMPRIDA','S JOSé','SC','124241241137272431436621585124610164017',14835,'733',40.00,1,2,1),(16,3125025,'1989-06-10 00:00:00',2,1,12,2006,'F','N','JARDIM JANAINA','BIGUAçU','SC','124241241116372411536733385124610124097',16069,'307',37.04,1,2,1),(16,3125033,'1992-07-29 00:00:00',4,1,12,2009,'F','S','MADRI','PALHOçA','SC','124241241215161431538579575124610124142',NULL,'1011',42.57,1,3,NULL),(16,3125041,'1991-08-08 00:00:00',4,5,12,2008,'F','N','CENTRO','PR GRANDE','SC','124241241116131411449913292222610166142',NULL,'641',28.00,1,3,NULL),(16,3125050,'1991-02-28 00:00:00',4,1,11,2008,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241213112431378914275112610167042',1433,'270',69.61,1,3,NULL),(16,3125076,'1991-01-10 00:00:00',4,1,12,2008,'M','N','GUARACIABA','CPO GRANDE','MS','112122128432211111368831592122610117151',670,'9998',74.42,1,3,NULL),(16,3125084,'1989-11-14 00:00:00',2,1,12,2007,'F','N','BAIRRO DE FATIMA','FLORIANóPOLIS','SC','124241241117131732434311282312610148187',10572,'257',47.79,1,2,1),(16,3125092,'1988-09-22 00:00:00',4,1,12,2005,'F','N','CENTRO','STA CRUZ R PARDO','SP','125251251117271431333623471311610167152',14465,'9998',40.75,1,2,1),(16,3125106,'1990-03-15 00:00:00',2,1,12,2007,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215472712578813572122610138196',NULL,'951',25.33,1,3,NULL),(16,3125114,'1987-06-08 00:00:00',4,1,12,2004,'F','N','CENTRO','MARINGá','PR','116162161216471431349923575122143232017',NULL,'9998',40.44,1,3,NULL),(16,3125122,'1989-07-17 00:00:00',4,10,12,2006,'M','N','CENTRO','TUBARãO','SC','124242241214373431575839572124121437052',1412,'809',69.72,1,3,NULL),(16,3125130,'1992-08-23 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217111431568833575121610128092',NULL,'270',46.32,1,3,NULL),(16,3125149,'1991-08-02 00:00:00',2,10,11,2008,'M','N','SãO FRANCISCO','BRAçO NORTE','SC','124241241116471431556514375122610127042',NULL,'100',26.12,1,2,1),(16,3125165,'1971-04-07 00:00:00',2,1,12,1988,'M','N','JARDIM ITú','PTO ALEGRE','RS','620202201216371431436523445232140827047',NULL,'9998',24.42,5,3,NULL),(16,3125173,'1990-02-14 00:00:00',2,1,6,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241247317141431358613345122610123142',NULL,'9999',13.93,1,3,NULL),(16,3125181,'1990-07-08 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241215472431656463594122610133187',2953,'1022',63.96,1,3,NULL),(16,3125203,'1991-03-28 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124241241415111731439831416124610164142',981,'723',72.19,1,3,NULL),(16,3125211,'1991-02-15 00:00:00',2,9,12,2008,'F','N','FREI ROGERIO','LAGES','SC','124241241215212431234411592124610124013',6223,'499',55.86,1,3,NULL),(16,3125220,'1988-02-04 00:00:00',4,1,12,2005,'F','N','OPERáRIO','NOVO HAMBURGO','RS','120202201217572431328629372114610168187',9180,'9998',50.28,1,3,NULL),(16,3125246,'1991-01-21 00:00:00',4,2,12,2008,'F','N','CENTRO','GASPAR','SC','124242241215112231458912575122610128182',13227,'109',43.10,1,3,NULL),(16,3125254,'1992-04-13 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124242161217111431579911592122610127057',14164,'497',41.29,1,3,NULL),(16,3125270,'1989-03-04 00:00:00',4,1,12,2006,'M','N','PARQUE RINCãO','COTIA','SP','125252251217571411478814575112140964043',NULL,'9998',0.00,1,3,NULL),(16,3125297,'1963-09-10 00:00:00',2,1,12,2008,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','224241241125121131331351112124610126057',NULL,'278',17.85,1,2,1),(16,3125319,'1991-06-29 00:00:00',4,1,12,2008,'M','N','VILA EMA','S PAULO','SP','125252251216131431336612215134610137047',14448,'9998',40.79,1,3,NULL),(16,3125327,'1991-01-20 00:00:00',4,2,12,2008,'M','N','BOA VISTA','BLUMENAU','SC','124243241236111431438811575124610117067',NULL,'88',16.56,1,3,NULL),(16,3125360,'1991-08-08 00:00:00',2,10,12,2008,'M','N','MAR GROSSO','LAGUNA','SC','124241241115371421443414242224610147042',2481,'521',65.39,1,2,1),(16,3125378,'1990-01-09 00:00:00',2,1,11,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241117472431446313476114610121197',NULL,'307',28.49,4,2,1),(16,3125386,'1990-12-17 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244241215111431368814375124610122042',11948,'270',45.36,1,3,NULL),(16,3125394,'1988-07-25 00:00:00',2,1,11,2005,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124253251116232411226644345334610136157',12995,'9998',43.51,1,3,NULL),(16,3125408,'1992-02-06 00:00:00',4,2,12,2008,'M','N','NAÇÕES','INDAIAL','SC','124242241215111741465619575122610124122',15667,'1157',38.14,1,3,NULL),(16,3125416,'1989-08-17 00:00:00',2,1,12,2006,'F','N','PICADAS DO SUL','S JOSé','SC','124242241216142711436611495135222242097',5385,'944',57.68,1,3,NULL),(16,3125424,'1991-02-20 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215471431237521572125610132051',NULL,'270',49.09,1,3,NULL),(16,3125432,'1991-12-17 00:00:00',2,4,12,2008,'M','N','CENTRO','ITAPIRANGA','SC','124241241222111431543611272122610124057',NULL,'1060',37.09,1,3,NULL),(16,3125440,'1991-04-26 00:00:00',4,1,12,2008,'M','N','CANUDOS','S MARTINHO','SC','124241241122161411426636152123610137057',NULL,'750',27.35,1,2,1),(16,3125459,'1991-01-31 00:00:00',4,5,12,2007,'F','N','SãO BENTO','BENTO GONçALVES','RS','120202201215471431458912571122610124052',10410,'9998',48.08,1,3,NULL),(16,3125467,'1988-06-20 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124092091217371411237623475124142864097',NULL,'9998',22.21,4,3,NULL),(16,3125475,'1983-12-15 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241416273731569711485121123267063',1774,'213',68.11,1,3,NULL),(16,3125483,'1990-12-08 00:00:00',4,1,11,2008,'M','N','BOSQUE DAS MANSõES','S JOSé','SC','124242241215121431488832575112610164152',3161,'270',63.38,1,3,NULL),(16,3125491,'1991-01-24 00:00:00',2,1,12,2008,'F','N','CENTRO','S JOãO BATISTA','SC','124244241415121731536632572122610167142',NULL,'9997',31.34,1,3,NULL),(16,3125505,'1990-07-31 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124242241216472431568823585114610137067',NULL,'1022',40.32,1,3,NULL),(16,3125513,'1991-02-12 00:00:00',2,8,11,2008,'F','N','AGUA VERDE','CURITIBA','PR','116091161415111431538613571122610134143',NULL,'9998',36.89,4,3,NULL),(16,3125521,'1991-06-19 00:00:00',2,1,12,2008,'M','N','ESTRADA NOVA','JARAGUá SUL','SC','124241241416121431333623372121610137147',10139,'442',48.55,1,3,NULL),(16,3125530,'1985-08-23 00:00:00',2,4,12,2002,'M','N','ALVORADA','FRANCISCO BELTRãO','PR','116161161116271451635611395122343244152',7937,'9998',52.54,4,3,NULL),(16,3125548,'1991-09-30 00:00:00',4,4,12,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241215111431479913572122610166177',15506,'751',38.54,1,3,NULL),(16,3125556,'1991-08-25 00:00:00',2,9,12,2008,'F','N','FREI ROGéRIO','LAGES','SC','124244241117371431533912292122610127147',13887,'498',41.88,1,3,NULL),(16,3125572,'1991-03-22 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241217131431437933332132610138057',11000,'499',47.02,1,3,NULL),(16,3125580,'1991-09-25 00:00:00',4,1,12,2008,'F','N','UNIVERSITáRIO','TIJUCAS','SC','124244241415132431458612244222610136117',NULL,'948',22.82,1,3,NULL),(16,3125599,'1990-06-19 00:00:00',4,2,12,2007,'M','N','VILA NOVA','BLUMENAU','SC','124241241117132431457612321125610147042',6656,'855',54.96,1,3,NULL),(16,3125602,'1991-07-16 00:00:00',2,7,12,2008,'F','N','CENTRO','MTE CARLO','SC','124241241116371431526616585124610134147',NULL,'936',28.87,4,2,1),(16,3125610,'1990-01-09 00:00:00',2,1,12,2007,'F','N','BELA VISTA','PALHOçA','SC','124241241125372431433334342134610164041',NULL,'9997',32.73,1,2,1),(16,3125629,'1990-10-24 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116164161217471431554832571322610124142',NULL,'9998',0.00,1,3,NULL),(16,3125653,'1988-02-19 00:00:00',4,1,11,2005,'F','N','ELDORADO','TREMEMBé','SP','125251251215472431548632493122143263092',13685,'9998',42.30,3,3,NULL),(16,3125661,'1990-11-01 00:00:00',2,3,12,2007,'M','N','JARDIM IPIRANGA','PTO ALEGRE','RS','120201201215471231233521575122610132127',10999,'9998',47.02,1,3,NULL),(16,3125670,'1989-01-30 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215412411447813472114610117117',11878,'883',45.50,4,3,NULL),(16,3125688,'1990-12-24 00:00:00',2,8,12,2008,'F','N','AVENTUREIRO','JOINVILLE','SC','124244241216371421553312245124610136072',9371,'462',49.95,1,3,NULL),(16,3125700,'1992-09-29 00:00:00',4,1,11,2009,'F','S','CENTRO','PATO BRANCO','PR','116162161217111411358833575112610114142',NULL,'9998',23.83,1,3,NULL),(16,3125718,'1989-06-09 00:00:00',4,1,12,2006,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124241241116271431467912375112130224031',13962,'110',41.73,1,2,1),(16,3125726,'1991-03-28 00:00:00',2,1,11,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241215121431536613572124610122152',NULL,'1023',31.77,1,3,NULL),(16,3125734,'1971-07-31 00:00:00',4,8,12,1988,'M','N','SAGUAçU','JOINVILLE','SC','524211211215272431428348382224122967017',7318,'9998',53.68,4,3,NULL),(16,3125742,'1991-03-26 00:00:00',2,1,11,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241215121431638613572124610128012',NULL,'1023',27.34,1,3,NULL),(16,3125750,'1989-02-28 00:00:00',4,6,12,2006,'F','N','JARDIM IMPERIAL','MARINGá','PR','116162161217572431558611574125610124142',NULL,'9998',0.00,3,3,NULL),(16,3125769,'1991-10-12 00:00:00',4,3,12,2008,'F','N','SAO JOAO','ITAJAí','SC','124243242116132411457934595122610168072',6398,'129',55.48,4,3,NULL),(16,3125777,'1991-04-30 00:00:00',4,9,12,2008,'M','N','CENTRO','VACARIA','RS','120201201237121231456833152112610132047',9708,'9998',49.33,1,3,NULL),(16,3125785,'1988-12-08 00:00:00',2,8,11,2005,'F','N','CURITIBA','CURITIBA','PR','116161161115471731336614344122610168197',NULL,'9998',34.56,1,2,1),(16,3125793,'1989-08-15 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215373431344811342122610137157',3915,'270',61.29,4,3,NULL),(16,3125807,'1986-04-25 00:00:00',2,1,12,2003,'F','N','JARDIM ATLÂNTICO','FLORIANóPOLIS','SC','124242241316374431448933472124222327057',NULL,'882',30.55,1,3,NULL),(16,3125823,'1986-07-27 00:00:00',4,1,12,2003,'F','N','CENTRO','PALHOçA','SC','124242241216574431346623442124233233097',8364,'270',51.65,1,3,NULL),(16,3125831,'1988-09-23 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124132131217371711234839396114141322147',13950,'9998',41.75,1,3,NULL),(16,3125840,'1990-05-08 00:00:00',2,6,12,2007,'M','N','SãO VICENTE','ITAJAí','SC','124241241216151431368614375124233264142',15765,'388',37.88,1,3,NULL),(16,3125858,'1970-01-13 00:00:00',4,1,12,1986,'M','N','PAMPULHA','BELO HORIZONTE','MG','213202201216151721263342222132340242183',NULL,'9998',0.00,1,3,NULL),(16,3125866,'1977-02-02 00:00:00',2,1,12,1994,'M','N','FUNDOS','BIGUAçU','SC','224241241126163712333143335134121817047',15477,'65',38.59,1,3,NULL),(16,3125874,'1986-05-18 00:00:00',4,1,12,2004,'M','N','CENTRO','BIGUAçU','SC','124243241217151411356929435124232064042',14630,'1040',40.44,1,3,NULL),(16,3125882,'1990-05-27 00:00:00',4,10,12,2007,'M','N','NAVEGANTES','LAGUNA','SC','124241248126151431438533395221232254142',NULL,'524',7.23,1,3,NULL),(16,3125890,'1991-01-04 00:00:00',4,8,12,2008,'M','N','AMéRICA','JOINVILLE','SC','124244241215111431369933572125610124056',4630,'1063',59.47,1,3,NULL),(16,3125904,'1990-05-23 00:00:00',4,9,11,2007,'F','N','PITUBA','SALVADOR','BA','105052051211471431469931574124610112142',NULL,'9998',0.00,1,3,NULL),(16,3125920,'1991-11-27 00:00:00',2,1,12,2008,'F','N','JURERê','FLORIANóPOLIS','SC','124203241415131431235811175124610132141',NULL,'300',21.99,1,3,NULL),(16,3125939,'1990-08-16 00:00:00',4,8,6,2008,'M','N','SAO MARCOS','JOINVILLE','SC','124242241237141511489914575124231412017',NULL,'457',24.87,4,3,NULL),(16,3125947,'1990-10-15 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241127271431423413272114610167042',NULL,'290',21.72,1,2,1),(16,3125955,'1991-03-23 00:00:00',4,8,12,2008,'M','N','AMIZADE','JARAGUá SUL','SC','124242241215271531446632292112610124112',NULL,'441',35.67,1,3,NULL),(16,3125963,'1990-12-23 00:00:00',2,1,12,2007,'F','N','SANTA BARBARA','CRICIúMA','SC','124243241215472431466631572122610127043',1314,'226',70.27,1,3,NULL),(16,3126013,'1983-12-27 00:00:00',4,1,12,2002,'F','N','JOAO PAULO','FLORIANóPOLIS','SC','124242247235152431368833412132131038195',NULL,'9999',10.79,1,3,NULL),(16,3126030,'1987-12-18 00:00:00',2,1,12,2004,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124161241212135132453619485124133228055',15768,'266',37.87,1,3,NULL),(16,3126048,'1991-11-18 00:00:00',4,2,11,2008,'F','N','PROGRESSO','BLUMENAU','SC','124241241137271711436514175124610124177',7306,'80',53.69,1,2,1),(16,3126056,'1991-07-17 00:00:00',4,4,12,2008,'F','N','JOãO BATISTA TONIAL','XANXERê','SC','124241241116271731425319195122610135097',8860,'840',50.79,1,2,1),(16,3126064,'1991-03-21 00:00:00',4,9,12,2008,'M','N','CENTRO','ABDON BATISTA','SC','124241241126161231436615245122610134057',NULL,'1',31.16,1,2,1),(16,3126072,'1991-02-25 00:00:00',2,1,12,2008,'M','N','CENTRO','SALTO GRANDE','SP','125251251215111431448613475112610164042',3792,'9998',61.62,1,3,NULL),(16,3126099,'1991-05-01 00:00:00',4,9,12,2008,'M','N','N SENHORA APARECIDA','PTE ALTA','SC','124241241436211441449933275124610124092',NULL,'499',30.80,1,3,NULL),(16,3126102,'1990-08-16 00:00:00',2,1,12,2007,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241212372431466613575124610167045',13957,'272',41.74,1,3,NULL),(16,3126137,'1991-05-15 00:00:00',4,3,11,2008,'F','N','CENTRO','PORTO UNIAO','SC','124242241215472431568712575122610127092',451,'1038',76.25,1,3,NULL),(16,3126145,'1989-11-28 00:00:00',4,1,12,2007,'M','N','CAMPO GRANDE','SANTOS','SP','125252251217471441349833475115610162047',8559,'9998',51.33,1,3,NULL),(16,3126153,'1990-09-26 00:00:00',4,1,12,2008,'M','N','OESTE','GOIâNIA','GO','109092091214111431579931571112610162077',NULL,'9998',0.00,4,3,NULL),(16,3126170,'1989-10-29 00:00:00',2,1,12,2006,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241121131131123314246324610124187',NULL,'182',23.39,1,3,NULL),(16,3126188,'1991-07-13 00:00:00',4,1,12,2008,'M','N','JARDIM DA PENHA','VITóRIA','ES','108082081215111451358924575112610167097',NULL,'9998',0.00,4,3,NULL),(16,3126196,'1987-01-13 00:00:00',4,1,12,2004,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124243241215373431446832475124610168043',5209,'300',58.10,1,3,NULL),(16,3126218,'1991-09-10 00:00:00',2,1,12,2008,'F','N','CENTRO','S MARCOS','RS','120201201215111131446912372124610133194',NULL,'9998',31.61,1,3,NULL),(16,3126234,'1989-05-07 00:00:00',2,5,12,2007,'M','N','CIDADE MINERA NOVA','CRICIúMA','SC','124241241125471411433351172123610117017',15305,'223',38.95,1,2,1),(16,3126250,'1992-01-02 00:00:00',2,5,12,2008,'F','N','DIVINéIA','ARARANGUá','SC','124241241115131431424431272322610133142',NULL,'30',0.00,1,3,NULL),(16,3126285,'1991-01-06 00:00:00',4,3,12,2008,'F','N','SANTA GENEBRA','CAMPINAS','SP','125253251117111431246621575124610127182',NULL,'9998',27.67,1,3,NULL),(16,3126293,'1989-05-25 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241211574421349931575124610144014',2712,'270',64.65,1,3,NULL),(16,3126307,'1991-01-24 00:00:00',4,1,12,2008,'M','N','CENTRO','CPO GRANDE','MS','112122121216271751348831575122610168197',3113,'9998',63.49,1,3,NULL),(16,3126315,'1991-04-29 00:00:00',4,1,11,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124112241215112431238823575124610167112',7029,'270',54.23,1,3,NULL),(16,3126323,'1991-04-16 00:00:00',2,9,11,2008,'F','N','BRASILIA','CPO BELO SUL','SC','124241241315111431336413575122610127147',NULL,'9997',0.00,3,3,NULL),(16,3126331,'1991-02-23 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215121432367712575124610164183',7434,'270',53.44,1,3,NULL),(16,3126340,'1992-01-09 00:00:00',4,8,12,2008,'F','N','JARDIM CARVALHO','PNT GROSSA','PR','116163161215121431368816572122610161042',NULL,'9998',38.06,1,3,NULL),(16,3126374,'1983-08-17 00:00:00',4,1,12,2000,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124203121116272431225833385124240624147',8197,'9998',52.01,1,3,NULL),(16,3126382,'1991-06-23 00:00:00',4,8,11,2008,'F','N','CENTRO','MAL CâNDIDO RONDON','PR','116162161216271731226621595121610127142',NULL,'9998',0.00,1,3,NULL),(16,3126390,'1991-03-02 00:00:00',2,1,11,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124241241216371432446532585114610134142',NULL,'269',24.46,1,3,NULL),(16,3126404,'1991-03-04 00:00:00',4,4,12,2008,'M','N','DOS ESPORTES','XANXERê','SC','124241241117271432333631275125610134147',10521,'840',47.89,1,2,1),(16,3126412,'1990-08-24 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124244241215111431466613372124610152142',6355,'270',55.56,2,1,2),(16,3126420,'1987-11-21 00:00:00',4,1,11,2005,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215153431118839295124221427052',225,'226',78.82,1,3,NULL),(16,3126439,'1991-10-03 00:00:00',2,3,12,2008,'M','N','BANCARIOS','LONDRINA','PR','116164161217111751266831472122610118052',NULL,'9998',0.00,1,3,NULL),(16,3126447,'1992-08-14 00:00:00',2,1,12,2009,'F','S','MORADA DO SOL','PALHOçA','SC','124242241215111421535833231122610125052',NULL,'1010',40.77,1,3,NULL),(16,3126455,'1991-01-03 00:00:00',2,4,11,2008,'F','N','CENTRO','S JOSé CEDRO','SC','124241161215171431536834371124610126197',16107,'9998',36.91,1,3,NULL),(16,3126463,'1989-09-15 00:00:00',2,1,11,2006,'F','N','JARDIM BOTANICO','RIBEIRãO PRETO','SP','125252251216572431458832572122610127142',8603,'9998',51.25,1,3,NULL),(16,3126471,'1990-12-27 00:00:00',2,3,12,2008,'F','N','MARISCAL','BOMBINHAS','SC','124241241114131731324324142324610168197',NULL,'96',27.57,4,2,1),(16,3126480,'1987-11-04 00:00:00',2,1,11,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124243247216131721326633282124610142197',NULL,'9999',27.39,2,3,NULL),(16,3126501,'1989-01-25 00:00:00',4,1,12,2006,'M','N','JARDIM DAS AMERICAS','CUIABá','MT','111132131211471751458719591345610122147',NULL,'9998',0.00,1,3,NULL),(16,3126510,'1988-04-14 00:00:00',4,1,12,2005,'F','N','VILA MARIANA','S PAULO','SP','125253251216571431645511575122610146047',3611,'9998',62.06,1,3,NULL),(16,3126528,'1991-10-18 00:00:00',4,8,11,2008,'M','N','BOQUERÃO','CURITIBA','PR','116222161217471432449814574124610127147',8850,'9998',50.81,3,3,NULL),(16,3126536,'1988-06-15 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124224221432273411689833472212610142042',11089,'9998',46.87,4,3,NULL),(16,3126552,'1989-03-12 00:00:00',2,1,12,2007,'F','N','BOM VIVER','BIGUAçU','SC','124241241122471731527314342124610114097',NULL,'66',34.85,1,2,1),(16,3126560,'1989-07-20 00:00:00',2,1,12,2006,'F','N','FAZENDA STO ANTONIO','S JOSé','SC','124241241117273441457613272124220325147',10653,'307',47.65,1,2,1),(16,3126579,'1987-08-15 00:00:00',2,1,12,2004,'F','N','JARDIM ELDORADO','PALHOçA','SC','124244241315574431125344245233610121142',12047,'592',45.20,1,3,NULL),(16,3126587,'1989-10-16 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215111431448632575124610113112',NULL,'723',28.09,1,3,NULL),(16,3126617,'1991-10-03 00:00:00',4,4,12,2008,'F','N','CENTRO','S JOSé CEDRO','SC','124241241115271441436612342122610137072',12471,'740',44.44,1,3,NULL),(16,3126625,'1991-07-04 00:00:00',4,7,12,2008,'F','N','NOSSA SRA DE LURDES','CAMPOS NOVOS','SC','124241241136131441543916245122610126177',6881,'140',54.52,1,2,1),(16,3126633,'1986-02-06 00:00:00',4,1,11,2004,'M','N','PRAIA COMPRIDA','S JOSé','SC','124241241626374411346729485124610137047',NULL,'262',30.32,1,3,NULL),(16,3126641,'1991-06-25 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215121431555632245124610124092',11520,'737',46.14,1,3,NULL),(16,3126650,'1990-04-25 00:00:00',3,1,11,2007,'F','N','CENTRO FLORIANóPOLIS','FLORIANóPOLIS','SC','124242241216372431438619495122610124017',12734,'270',43.96,1,3,NULL),(16,3126668,'1990-10-22 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217471431468921575125610137057',6388,'262',55.51,1,3,NULL),(16,3126676,'1991-05-05 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217373431469913572122610128122',8592,'262',51.27,1,3,NULL),(16,3126684,'1990-07-22 00:00:00',2,5,12,2007,'F','N','CIDADE ALTA','TURVO','SC','124243241315272431328429145121610167147',NULL,'814',28.70,1,3,NULL),(16,3126692,'1991-03-16 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241136151411447439292124610137142',11415,'283',46.33,1,3,NULL),(16,3126706,'1978-10-26 00:00:00',4,1,1,2004,'M','N','CANTO','FLORIANóPOLIS','SC','124251256142271251328844341134140867097',NULL,'9998',22.31,1,3,NULL),(16,3126714,'1990-06-25 00:00:00',2,1,7,2008,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124241241117271431338852575122610137142',NULL,'306',0.00,1,2,1),(16,3126722,'1987-09-30 00:00:00',2,1,12,2007,'M','N','RETIRO DAS PEDRAS','BELO HORIZONTE','MG','113132131217322431588711575122610167187',10945,'9998',47.13,1,3,NULL),(16,3126730,'1991-03-26 00:00:00',4,1,12,2008,'F','N','TV MORENA','CPO GRANDE','MS','112122121217471431458811414112610138142',10005,'9998',48.77,3,3,NULL),(16,3126749,'1991-01-06 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241216272711446831272124610118181',13851,'1079',41.94,1,3,NULL),(16,3126757,'1989-11-10 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241215413431436833575122610137052',NULL,'1048',25.63,1,3,NULL),(16,3126773,'1982-07-17 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124134138217131411448813445124240266147',15472,'9998',38.60,1,3,NULL),(16,3126781,'1990-03-22 00:00:00',4,1,12,2007,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124281241115572431345419345122133232182',8105,'275',52.21,1,2,1),(16,3126790,'1987-09-18 00:00:00',4,8,12,2006,'F','N','BOM RETIRO','JOINVILLE','SC','124242245212172721228831575124231568147',NULL,'499',29.06,1,3,NULL),(16,3126803,'1989-12-04 00:00:00',4,8,12,2007,'M','N','MORUMBI','S PAULO','SP','125252251216471431457734475124610135093',6079,'9998',56.17,3,3,NULL),(16,3126811,'1989-09-08 00:00:00',4,8,12,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124243241215373451448623571121610132057',1577,'486',68.98,1,3,NULL),(16,3126820,'1992-05-11 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215151731559613595122610134182',NULL,'270',47.78,1,3,NULL),(16,3126838,'1991-03-09 00:00:00',2,8,11,2008,'M','N','VILA ISABEL','CURITIBA','PR','116121161215111752146614596122610167043',11009,'9998',47.00,1,3,NULL),(16,3126846,'1974-10-24 00:00:00',2,1,12,1993,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124201201316231421149843432124240424097',3120,'9998',63.48,1,3,NULL),(16,3126854,'1990-07-24 00:00:00',4,1,12,2007,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241215273731467622292114610164047',3265,'270',63.10,1,3,NULL),(16,3126862,'1991-08-19 00:00:00',4,4,11,2008,'F','N','CENTRO','CHAPECó','SC','124241241116141411446619395122610117142',16185,'169',36.70,1,2,1),(16,3126870,'1992-11-11 00:00:00',4,4,12,2009,'F','S','CENTRO','CHAPECó','SC','124242241212111431478814472122610132092',NULL,'185',54.47,1,3,NULL),(16,3126889,'1990-11-22 00:00:00',4,1,11,2008,'F','N','VILA ITAPURA','CAMPINAS','SP','125252251217371431469912475122610162197',5554,'9998',57.36,4,3,NULL),(16,3126900,'1991-05-27 00:00:00',4,6,12,2008,'F','N','CENTRO','PRES GETúLIO','SC','124243241114131431438619575122610163057',15913,'644',37.46,1,3,NULL),(16,3126919,'1990-02-22 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124241241216472431328831575114121537041',3188,'738',63.31,1,3,NULL),(16,3126935,'1990-04-23 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431657652375112220717045',7235,'270',53.85,1,3,NULL),(16,3126943,'1983-08-19 00:00:00',2,1,12,2000,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124212211212112111659921311121142614081',2321,'9998',65.97,1,3,NULL),(16,3126951,'1988-09-15 00:00:00',4,1,12,2006,'F','N','PRAIA COMPRIDA','S JOSé','SC','124241241144131431224644345114610137057',NULL,'733',17.68,1,2,1),(16,3126960,'1990-09-23 00:00:00',2,3,12,2007,'M','N','MORRETES','ITAPEMA','SC','124241241147131411526324242332610125147',NULL,'405',27.61,1,3,NULL),(16,3126978,'1988-10-07 00:00:00',4,8,11,2005,'M','N','BATEL','CURITIBA','PR','116162161215572211469931515122610167041',1619,'9998',68.81,1,3,NULL),(16,3126986,'1991-06-12 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124243241215112431557614172112610124077',16344,'943',36.23,1,3,NULL),(16,3126994,'1991-03-09 00:00:00',4,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215371451238721574124610123187',6907,'1022',54.48,1,3,NULL),(16,3127001,'1990-03-11 00:00:00',4,3,12,2007,'M','N','JUSCELINO KUBITSCHEK','POMPéIA','SP','125251251434471331558622322122610167012',NULL,'9998',39.62,1,3,NULL),(16,3127010,'1984-12-21 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242247217133721468823445122610167047',NULL,'272',25.84,1,3,NULL),(16,3127028,'1992-04-12 00:00:00',4,1,12,2009,'M','S','JURERê','FLORIANóPOLIS','SC','124242241215111431677714475124610127047',NULL,'270',40.17,2,3,NULL),(16,3127036,'1990-12-11 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215112431477713575124610127112',5886,'270',56.61,1,3,NULL),(16,3127044,'1990-07-01 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215372431568834374112610167042',1825,'262',67.92,1,3,NULL),(16,3127079,'1990-08-22 00:00:00',4,1,12,2008,'M','N','LINHA OLINDA','NOVA PETRóPOLIS','RS','120203208211471211445813572124610164112',7248,'9998',53.82,1,3,NULL),(16,3127095,'1990-07-06 00:00:00',2,1,12,2007,'F','N','BAIRRO BAú','CUIABá','MT','111111111116371431137735592324610127077',13689,'9998',42.29,1,3,NULL),(16,3127109,'1993-01-14 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241217111431568812345122610146045',NULL,'262',57.27,1,3,NULL),(16,3127117,'1992-01-22 00:00:00',4,1,12,2008,'F','N','PANAZZOLO','CAXIAS SUL','RS','120202201212371411224824281124610128177',9753,'9998',49.24,1,3,NULL),(16,3127133,'1991-05-07 00:00:00',2,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124244241216111731346723375124610167142',11553,'723',46.08,1,3,NULL),(16,3127141,'1991-03-14 00:00:00',4,1,10,2007,'F','N','CATARINA FONTANA','CONCóRDIA','SC','124241241217471431436832174114610166092',3600,'1047',62.09,1,3,NULL),(16,3127150,'1987-02-03 00:00:00',2,1,12,2004,'F','N','INGLESES DO RIO VERM','FLORIANóPOLIS','SC','124241241127372431533379296224610128142',3050,'946',63.65,4,2,1),(16,3127168,'1982-11-19 00:00:00',2,4,12,2001,'M','N','CENTRO','PASSOS MAIA','SC','124241241124141342622636342343341667067',NULL,'606',26.64,4,2,1),(16,3127176,'1986-12-27 00:00:00',2,9,12,2003,'F','N','MENINO DEUS','PTO ALEGRE','RS','120201201116571411334411575124610127042',13549,'9998',42.54,1,3,NULL),(16,3127192,'1991-10-07 00:00:00',4,2,12,2008,'F','N','VILA LALAU','JARAGUá SUL','SC','124241241215111431336532374112610142092',NULL,'442',0.00,1,3,NULL),(16,3127206,'1991-11-14 00:00:00',2,1,12,2008,'F','N','PACHECOS','PALHOçA','SC','124243241215111431466639572124610163095',5639,'1011',57.18,1,3,NULL),(16,3127214,'1991-12-30 00:00:00',2,8,12,2008,'F','N','ROCIO GRANDE','S FRANCISCO SUL','SC','124241241115271411434323575125610117097',NULL,'710',36.17,4,3,NULL),(16,3127222,'1990-05-03 00:00:00',2,1,12,2007,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124072241212152431566834575122233264045',11028,'1022',46.97,1,3,NULL),(16,3127230,'1990-11-12 00:00:00',4,1,12,2007,'F','N','NOVA AMERICANA','AMERICANA','SP','125251251217471721328829292124610167147',14105,'9998',41.44,1,3,NULL),(16,3127249,'1990-05-09 00:00:00',2,8,12,2007,'F','N','VILA IVETE','MAFRA','SC','124241248116471431543615582222610134143',10934,'544',47.15,1,2,1),(16,3127265,'1989-09-16 00:00:00',4,1,12,2006,'F','N','CARIANOS','FLORIANóPOLIS','SC','124243241312272431459833445114610122037',13732,'209',42.20,1,3,NULL),(16,3127273,'1971-12-28 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124201247127131421123344345124610125197',9221,'736',50.21,1,2,1),(16,3127281,'1991-01-07 00:00:00',4,1,12,2008,'M','N','USINA','ANTôNIO CARLOS','SC','124241241117161231523311112123610127053',NULL,'21',0.00,1,3,NULL),(16,3127290,'1990-11-29 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124244241115111231538634475124610127042',NULL,'267',20.29,1,3,NULL),(16,3127311,'1991-02-07 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124243241137131411537613375124610135047',15783,'257',37.83,1,3,NULL),(16,3127320,'1989-10-26 00:00:00',2,1,12,2006,'F','N','LAGOA DOURADA','LONDRINA','PR','116164161216571441336432575122610124183',NULL,'9998',0.00,4,3,NULL),(16,3127346,'1991-02-27 00:00:00',4,1,10,2008,'F','N','CAMPO GRANDE','SALVADOR','BA','105052058217211431468831575122610162096',NULL,'9998',0.00,1,3,NULL),(16,3127354,'1981-11-27 00:00:00',2,1,11,1999,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241122131431223644345333610124047',NULL,'194',0.00,1,2,1),(16,3127362,'1990-05-03 00:00:00',4,4,12,2007,'F','N','ARCO ÍRIS','PANAMBI','RS','120201201117471411423737572122610124197',NULL,'9998',0.00,1,2,1),(16,3127370,'1989-06-01 00:00:00',4,8,10,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124242241211212211449911575111231434091',411,'213',76.67,1,3,NULL),(16,3127389,'1991-07-15 00:00:00',4,4,12,2008,'F','N','CENTRO','GETúLIO VARGAS','RS','120202201217121431478813572114610123072',12715,'9998',43.98,1,3,NULL),(16,3127397,'1991-09-13 00:00:00',4,1,12,2008,'F','N','TAQUARAS','IBIRAMA','SC','124241241116131411114643332324610148057',NULL,'348',17.98,1,2,1),(16,3127400,'1991-04-30 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431456815262122610163142',10836,'270',47.30,1,3,NULL),(16,3127419,'1991-11-08 00:00:00',4,4,10,2008,'F','N','CENTRO','ERECHIM','RS','120202201215111731446632571125610164012',14642,'9998',40.40,1,3,NULL),(16,3127427,'1986-09-14 00:00:00',2,1,12,2004,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124074071236151411236823345114142832117',13444,'9998',42.71,3,3,NULL),(16,3127435,'1990-09-01 00:00:00',4,1,12,2007,'M','N','PQ FRANCESCHINE','SUMARé','SP','125252251216471431258812575124610166172',10479,'9998',47.95,1,3,NULL),(16,3127443,'1988-03-02 00:00:00',2,1,11,2006,'F','N','SACO DOS LEMõES','FLORIANóPOLIS','SC','124243247315472431436619345134610124152',NULL,'9999',29.07,1,3,NULL),(16,3127451,'1991-11-11 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215372231347832574125610165192',3341,'44',62.87,4,3,NULL),(16,3127478,'1987-04-21 00:00:00',2,1,12,2004,'F','N','JOÃO PAULO','FLORIANóPOLIS','SC','124242241212555431148634345124230234097',7833,'226',52.71,1,3,NULL),(16,3127486,'1990-12-03 00:00:00',4,8,11,2008,'F','N','GLORIA','JOINVILLE','SC','124242241215111731367712575122610137142',13205,'491',43.13,1,3,NULL),(16,3127494,'1992-03-10 00:00:00',2,1,12,2008,'F','N','SANTA MONICA','FLORIANóPOLIS','SC','125284241435121731268919175124610163057',13215,'1022',43.12,1,3,NULL),(16,3127508,'1991-09-02 00:00:00',2,1,11,2008,'M','N','ARMAÇAO DO PANTANO D','FLORIANOPOLIS','SC','124244241215111731336633345114610117111',NULL,'1022',34.37,1,3,NULL),(16,3127516,'1992-02-14 00:00:00',4,4,12,2009,'M','S','CENTRO','CHAPECó','SC','124243241115112441426611575125610166142',NULL,'169',55.11,1,3,NULL),(16,3127524,'1991-10-10 00:00:00',4,8,12,2008,'M','N','CENTRO','RIO NEGRINHO','SC','124243241515111431548616472222610128192',6780,'666',54.70,1,3,NULL),(16,3127540,'1990-03-16 00:00:00',2,1,12,2007,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215372431548713372124610127147',10278,'270',48.29,1,3,NULL),(16,3127559,'1991-09-04 00:00:00',2,1,11,2009,'F','S','PONTE DO IMARUIM','PALHOçA','SC','124242248235111431423411272122610166077',NULL,'1011',36.11,1,3,NULL),(16,3127567,'1990-09-17 00:00:00',4,1,12,2007,'M','N','MEIRELES','FORTALEZA','CE','106062061216111431266821575124241422147',793,'9998',73.48,1,3,NULL),(16,3127575,'1990-12-13 00:00:00',4,1,11,2008,'M','N','SAMBAQUI','FLORIANóPOLIS','SC','124243241215111432458939575124610127062',1605,'270',68.88,1,3,NULL),(16,3127583,'1991-10-29 00:00:00',2,4,11,2008,'M','N','PALMITAL','CHAPECó','SC','124242241415151411457832212122610167042',14885,'1046',39.92,1,3,NULL),(16,3127621,'1983-08-27 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243247315574432448633575114610134173',5460,'9999',57.58,1,3,NULL),(16,3127630,'1986-09-02 00:00:00',2,1,11,2005,'M','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124134132436232431226644442324610112117',6980,'9998',54.33,1,3,NULL),(16,3127648,'1991-03-09 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215111531459912572122610167062',NULL,'44',30.64,1,3,NULL),(16,3127656,'1991-03-08 00:00:00',2,1,12,2007,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241117272431537734575124610167082',NULL,'307',11.59,1,2,1),(16,3127664,'1993-05-12 00:00:00',4,1,2,2009,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215151411469931575122610145012',10490,'262',47.92,1,3,NULL),(16,3127672,'1991-07-30 00:00:00',4,7,12,2008,'F','N','CENTRO','CELSO RAMOS','SC','124241241112161431426912572122610114142',NULL,'163',20.77,1,2,1),(16,3127680,'1987-10-25 01:00:00',2,1,11,2005,'M','N','VISTA ALEGRE','BARRA MANSA','RJ','121212216237111741456834471121610118112',NULL,'9998',0.00,1,3,NULL),(16,3127699,'1990-02-09 00:00:00',4,1,12,2007,'F','N','SOBRADINHO','SOBRADINHO','DF','107072071215371441679623575122610132092',3839,'9998',61.48,3,3,NULL),(16,3127702,'1991-03-26 00:00:00',2,1,11,2008,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241215122441649824472112610133142',2225,'270',66.32,1,3,NULL),(16,3127710,'1989-08-28 00:00:00',4,8,12,2006,'F','N','PIRABEIRABA','JOINVILLE','SC','124241241136371431343316575112132534047',NULL,'933',0.00,1,2,1),(16,3127729,'1989-02-28 00:00:00',4,8,7,2008,'M','N','SAGUAçú','JOINVILLE','SC','124242288327371431359814572221610134047',3491,'9999',62.40,1,3,NULL),(16,3127737,'1972-05-04 00:00:00',4,1,12,1989,'M','N','TRINDADE','FLORIANóPOLIS','SC','124201201216471431266342421114140732042',3916,'9998',61.29,1,3,NULL),(16,3127745,'1989-08-18 00:00:00',4,8,12,2006,'F','N','PIRABEIRABA','JOINVILLE','SC','124241241345371431546439575124610126047',16218,'459',36.63,1,3,NULL),(16,3127753,'1988-07-28 00:00:00',4,9,12,2005,'F','N','CENTRO','LAGES','SC','124201201116151431523534382114143262042',NULL,'9998',0.00,1,3,NULL),(16,3127761,'1990-12-31 00:00:00',4,1,12,2007,'M','N','JARDIM PORTO ALEGRE','TOLEDO','PR','116164161215472441557933576121610123172',6338,'9998',55.60,1,3,NULL),(16,3127770,'1989-09-15 00:00:00',4,1,12,2007,'M','N','PINHEIRA','PALHOçA','SC','124241241137472431326521176214610127182',NULL,'595',29.43,1,2,1),(16,3127788,'1989-09-20 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241215131431548633572124610121147',NULL,'1022',21.97,1,3,NULL),(16,3127796,'1990-06-29 00:00:00',2,1,11,2008,'M','N','PORTO DA LAGOA','FLORIANóPOLIS','SC','124242241215271431466313475114610121092',NULL,'299',35.26,1,3,NULL),(16,3127800,'1991-03-02 00:00:00',2,1,12,2008,'F','N','FURADINHO','PALHOçA','SC','124241241115111141635634242124610145117',NULL,'592',27.34,1,2,1),(16,3127818,'1991-02-14 00:00:00',4,1,11,2008,'F','N','FLORESTA','PTO ALEGRE','RS','120202201217121431358831572124610146157',1891,'9998',67.62,1,3,NULL),(16,3127826,'1990-08-08 00:00:00',2,1,6,2008,'F','N','AREIAS','S JOSé','SC','124242241316142431635311341234610133052',NULL,'9997',26.90,1,3,NULL),(16,3127834,'1986-01-22 00:00:00',4,1,12,2002,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124202201216471431366814375122140262185',8346,'9998',51.70,1,3,NULL),(16,3127842,'1991-03-09 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217272311458914342122610114012',10758,'262',47.45,1,3,NULL),(16,3127850,'1990-09-30 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241217111531356814472114610123115',8210,'270',51.97,1,3,NULL),(16,3127869,'1989-06-18 00:00:00',4,1,12,2006,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124132131417573741547839577114143268192',7496,'9998',53.33,1,3,NULL),(16,3127877,'1988-09-13 00:00:00',4,1,12,2005,'F','N','AMéRICA','JOINVILLE','SC','124242241215574431458717572124610164187',3781,'457',61.65,1,3,NULL),(16,3127885,'1991-04-14 00:00:00',4,1,12,2008,'M','N','BOM FIM','PTO ALEGRE','RS','120202201216471431577632575124610127053',5177,'9998',58.17,3,3,NULL),(16,3127893,'1990-09-25 00:00:00',4,1,12,2007,'F','N','LíDER','CHAPECó','SC','124242241215473451338633171125610147142',5060,'983',58.49,1,3,NULL),(16,3127907,'1989-11-16 00:00:00',2,1,12,2006,'M','N','CENTRO','QUEDAS IGUAçU','PR','116161161116151132538923595112610166097',NULL,'89',0.00,1,2,1),(16,3127915,'1991-11-18 00:00:00',4,1,12,2008,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241115271431534614472124610133147',NULL,'307',27.89,1,2,1),(16,3127923,'1991-03-31 00:00:00',4,1,11,2008,'F','N','OPERáRIO','NOVO HAMBURGO','RS','120202201217471431337831372122610128143',7882,'9998',52.63,1,3,NULL),(16,3127931,'1977-09-19 00:00:00',4,1,12,1996,'M','N','PANTANAL','FLORIANóPOLIS','SC','624243246126151411247649396124141964095',6481,'306',55.31,1,3,NULL),(16,3127940,'1991-08-31 00:00:00',4,6,12,2008,'F','N','CENTRO','NAVEGANTES','SC','124242248232372441379934435121610167092',NULL,'394',34.44,1,3,NULL),(16,3127958,'1992-08-15 00:00:00',4,1,12,2009,'F','S','BARREIROS','S JOSé','SC','124242241215111451468831592124610137072',NULL,'270',40.05,1,3,NULL),(16,3127966,'1991-11-18 00:00:00',2,7,12,2008,'F','N','CENTRO','ERVAL VELHO','SC','124241247215371431439933574112610161077',15543,'962',38.45,1,3,NULL),(16,3127974,'1992-04-17 00:00:00',4,1,12,2008,'F','N','JARDIM ELDORADO','PALHOçA','SC','124243248216121712544934571125610135062',NULL,'1010',35.56,1,3,NULL),(16,3127982,'1988-08-01 00:00:00',4,1,12,2005,'M','N','ITAQUERA','S PAULO','SP','125251251127471441223329345124141034192',NULL,'9998',10.22,1,2,1),(16,3127990,'1990-09-27 00:00:00',2,1,11,2008,'F','N','PRAIA BRAVA','FLORIANóPOLIS','SC','124242241215112431456813575122610163077',5077,'270',58.45,1,3,NULL),(16,3128008,'1990-10-30 00:00:00',2,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124244241215111431646511374122610168092',4484,'723',59.82,1,3,NULL),(16,3128016,'1991-06-05 00:00:00',4,5,12,2008,'F','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124242248215221431586812595122610132112',NULL,'226',21.71,1,3,NULL),(16,3128024,'1989-12-04 00:00:00',4,1,12,2007,'F','N','JARDIM SOLIEL','VALINHOS','SP','125252251217472731467832575122610167076',2022,'9998',67.10,1,3,NULL),(16,3128032,'1992-08-21 00:00:00',4,1,12,2009,'M','S','CAMPECHE','FLORIANóPOLIS','SC','124242244215111431588812575112610142195',NULL,'262',49.37,1,3,NULL),(16,3128040,'1987-10-04 00:00:00',2,1,12,2004,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241122142751426411242114610148147',NULL,'288',31.04,1,2,1),(16,3128059,'1988-06-17 00:00:00',2,1,12,2005,'F','N','BARRA DO ARIRIU','PALHOçA','SC','124241241113273441437613575124610122017',NULL,'307',31.47,1,3,NULL),(16,3128067,'1991-01-29 00:00:00',4,4,12,2008,'F','N','CENTRO','CEL FREITAS','SC','124243241215111431468634372122610168147',11888,'168',45.48,1,3,NULL),(16,3128075,'1982-05-11 00:00:00',2,1,12,1999,'M','N','JARDIM EUCALYPTOS','PALHOçA','SC','124241241126134411326429434111610137057',9949,'592',48.86,1,3,NULL),(16,3128083,'1991-07-08 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','116161161117271331523513145122610157047',NULL,'9998',30.07,4,2,1),(16,3128091,'1991-02-10 00:00:00',4,1,10,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241115111731488862575122610133142',11247,'266',46.56,3,3,NULL),(16,3128105,'1990-01-07 00:00:00',4,1,11,2007,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241215373411439933575124121064067',101,'270',80.92,1,3,NULL),(16,3128113,'1990-05-25 00:00:00',4,1,10,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215271751489912575122610162042',2288,'270',66.10,1,3,NULL),(16,3128121,'1992-05-29 00:00:00',4,5,12,2009,'M','S','VILA SãO JOSé','ARARANGUá','SC','124242241217111432448819582115610137012',NULL,'970',54.69,1,3,NULL),(16,3128130,'1990-10-31 00:00:00',4,3,12,2007,'M','N','CAMPOS ELISEOS','S PAULO','SP','125252251216571431456611174124610127042',NULL,'9998',0.00,1,3,NULL),(16,3128148,'1990-02-02 00:00:00',4,1,12,2008,'F','N','PITUBA','SALVADOR','BA','105052051217111431588815475122610164182',7584,'9998',53.18,1,3,NULL),(16,3128156,'1990-08-14 00:00:00',4,1,11,2008,'M','N','PARQUE SãO JORGE','FLORIANóPOLIS','SC','124243241417113531469912572122610164045',8206,'883',51.98,1,3,NULL),(16,3128164,'1987-02-11 00:00:00',4,1,12,2004,'F','N','JARDIM MORUMBI','S JOSé CAMPOS','SP','125251251116572411338611282323610134097',4961,'9998',58.69,1,2,1),(16,3128172,'1990-06-15 00:00:00',4,1,12,2007,'F','N','JD DAS AROEIRAS','GOIâNIA','GO','109092091216371731358823572224143232142',8080,'9998',52.26,1,3,NULL),(16,3128180,'1991-08-29 00:00:00',2,7,12,2008,'F','N','NAçõES','FRAIBURGO','SC','124244241215112411447611572222610146012',NULL,'885',35.54,1,3,NULL),(16,3128199,'1991-10-05 00:00:00',2,5,12,2008,'F','N','CENTRO','SOMBRIO','SC','124242241215111431344823572122610128192',NULL,'770',0.00,1,3,NULL),(16,3128202,'1991-01-27 00:00:00',2,1,12,2008,'F','N','PARQUE SãO JORGE','FLORIANóPOLIS','SC','124244241216111411449633572124610163053',NULL,'269',36.32,1,3,NULL),(16,3128210,'1991-07-02 00:00:00',4,1,12,2008,'F','N','JARDIM SIMUS','SOROCABA','SP','125252258217121431249823575122610132187',13907,'9998',41.84,1,3,NULL),(16,3128237,'1990-06-23 00:00:00',4,9,12,2007,'M','N','IGARAS','OTACíLIO COSTA','SC','124241241311272421448934245112610164051',7057,'499',54.18,3,3,NULL),(16,3128245,'1991-12-10 00:00:00',2,3,11,2008,'F','N','BARRA','BAL CAMBORIú','SC','124242241215111431445631215122610121192',16154,'1045',36.77,1,3,NULL),(16,3128253,'1992-01-01 00:00:00',4,2,10,2008,'F','N','GARCIA','BLUMENAU','SC','124242241215111431334319272124610132187',4039,'909',60.95,1,3,NULL),(16,3128261,'1991-01-29 00:00:00',2,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124242241215111432537732572322610121147',12739,'362',43.95,4,3,NULL),(16,3128270,'1991-08-28 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217471431469939595122610167057',NULL,'270',30.80,1,3,NULL),(16,3128288,'1990-03-06 00:00:00',4,1,12,2007,'F','N','BOM RETIRO','CURITIBA','PR','116162161216472431447413572124610137157',2927,'9998',64.03,1,3,NULL),(16,3128296,'1979-12-25 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','624161247341151431331159185124610161093',NULL,'9999',29.68,1,3,NULL),(16,3128300,'1991-11-21 00:00:00',4,1,11,2009,'M','S','AGRONôMICA','FLORIANóPOLIS','SC','124242241217111431339833572124610162037',NULL,'883',54.85,1,3,NULL),(16,3128318,'1989-03-15 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANóPOLIS','SC','124251241136374421433311275124610167042',3387,'288',62.73,4,3,NULL),(16,3128326,'1991-12-18 00:00:00',2,4,12,2008,'F','N','INTERIOR','CEL FREITAS','SC','124241241116111431633315572222610127057',NULL,'199',19.09,1,3,NULL),(16,3128342,'1983-07-22 00:00:00',4,1,1,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124213087115142431118849295124222368082',11074,'9998',46.89,1,3,NULL),(16,3128350,'1989-12-18 00:00:00',4,1,11,2006,'F','N','CENTRO','BAL CAMBORIú','SC','124122241217573431476712575124610112092',3859,'1038',61.43,1,3,NULL),(16,3128369,'1986-03-16 00:00:00',4,1,12,2003,'F','N','SãO LUCAS','MAL CâNDIDO RONDON','PR','116161161117131451423373395221241916157',NULL,'9998',20.66,1,3,NULL),(16,3128377,'1983-08-04 00:00:00',2,1,12,2000,'M','N','CARIANOS','FLORIANóPOLIS','SC','124201201216271721138649492124141436182',7207,'9998',53.90,1,3,NULL),(16,3128385,'1992-10-21 00:00:00',4,1,12,2009,'F','S','CENTRO PALHOçA','PALHOçA','SC','124241241217111511553313575114610122147',NULL,'1011',22.13,1,3,NULL),(16,3128393,'1990-04-17 00:00:00',4,1,12,2007,'F','N','IPIRANGA','S JOSé','SC','124241241215472431456613575124610145147',13595,'1118',42.46,1,3,NULL),(16,3128407,'1991-08-28 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248217172431388832572112610124122',10476,'270',47.95,1,3,NULL),(16,3128415,'1991-04-18 00:00:00',4,8,12,2008,'F','N','SERRA ALTA','S BENTO SUL','SC','124241241116131431436613575124610134147',15259,'697',39.07,1,2,1),(16,3128423,'1992-11-23 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124244241215111421358619245125610114187',16176,'1146',36.71,4,3,NULL),(16,3128431,'1988-03-24 00:00:00',4,8,12,2005,'F','N','IRIRIU','JOINVILLE','SC','124241241315574451436832371124610165092',3968,'9997',61.14,1,3,NULL),(16,3128440,'1990-01-06 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124244241415111431336623575122610126077',15523,'1023',38.49,1,3,NULL),(16,3128458,'1989-10-26 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215274741238821575114133262172',7455,'1022',53.39,1,3,NULL),(16,3128474,'1990-10-19 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124242241236121532339912372124610125047',NULL,'1049',27.59,2,3,NULL),(16,3128482,'1991-02-28 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124244241216211431436511215114610113022',NULL,'737',29.41,1,3,NULL),(16,3128490,'1991-10-18 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111431448911472112610133112',NULL,'9997',42.88,1,3,NULL),(16,3128504,'1990-10-31 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215271231368317172112610127042',6987,'1050',54.32,1,3,NULL),(16,3128512,'1990-08-20 00:00:00',2,5,11,2007,'F','N','COLONINHA','ARARANGUá','SC','124242241216472431466811595114610164142',6623,'32',55.00,1,3,NULL),(16,3128520,'1989-09-22 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241215573431367732222124610116172',1763,'855',68.15,1,3,NULL),(16,3128539,'1992-02-24 00:00:00',2,9,12,2009,'F','S','CENTRO','LAGES','SC','124242241217151731369611572122610122012',NULL,'1065',21.71,1,3,NULL),(16,3128547,'1991-04-10 00:00:00',2,5,11,2008,'F','N','QUARTA LINHA','CRICIúMA','SC','124244241215151231546419574122610167187',NULL,'210',30.89,1,3,NULL),(16,3128555,'1990-06-17 00:00:00',4,1,11,2007,'M','N','BARREIROS','S JOSé','SC','124242241216472431566713475122610167077',7002,'738',54.29,4,3,NULL),(16,3128563,'1992-09-14 00:00:00',2,5,11,2009,'F','S','MICHEL','CRICIúMA','SC','124242248211111222326612575112610118012',NULL,'210',36.11,1,3,NULL),(16,3128580,'1990-04-30 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241115372421423331372124610144055',13977,'288',41.70,1,3,NULL),(16,3128598,'1990-09-16 00:00:00',4,8,12,2007,'F','N','SãO MARCOS','JOINVILLE','SC','124244244216471431558812571114610167052',3294,'1105',63.01,1,3,NULL),(16,3128601,'1990-04-27 00:00:00',4,3,12,2007,'F','N','CENTRO','S SEBASTIãO CAí','RS','120201201217472411447931574114610167097',NULL,'9998',33.56,1,3,NULL),(16,3128610,'1990-02-03 00:00:00',4,8,12,2007,'F','N','BIGORRILHO','CURITIBA','PR','116221221216471352235514575114610125017',NULL,'9998',0.00,1,3,NULL),(16,3128628,'1991-03-20 00:00:00',4,1,11,2008,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124164241217111432378833572124610168112',492,'270',75.82,1,3,NULL),(16,3128636,'1990-10-09 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242248215472441578613235125610117072',7189,'270',53.94,1,3,NULL),(16,3128644,'1990-06-29 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124243241315122431348829392124610137117',NULL,'1022',0.00,4,3,NULL),(16,3128652,'1988-11-10 00:00:00',2,4,12,2005,'F','N','VILA IPIRANGA','PTO ALEGRE','RS','120241241114573711119949392114610163197',5726,'169',57.00,1,2,1),(16,3128660,'1991-08-03 00:00:00',4,1,11,2008,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241241117371431468613576124610134055',4363,'271',60.11,1,2,1),(16,3128679,'1991-03-07 00:00:00',2,1,12,2008,'F','N','COLôNIA SANTANA','S JOSé','SC','124242241212131431435514375114610114042',16324,'944',36.29,1,3,NULL),(16,3128709,'1991-09-10 00:00:00',4,10,12,2008,'F','N','VILA MOEMA','TUBARãO','SC','124242241215111431363732575112610164096',8193,'797',52.03,1,3,NULL),(16,3128717,'1990-04-26 00:00:00',2,1,12,2007,'F','N','BELA VISTA','S JOSé','SC','124241241112232432323329243324610112142',NULL,'726',27.77,1,2,1),(16,3128725,'1989-04-10 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124241241212112331626313492234610114067',NULL,'1036',15.09,2,3,NULL),(16,3128733,'1991-01-11 00:00:00',2,1,12,2008,'F','N','CENTRO','CAçADOR','SC','124242241211111431428823471122610122077',NULL,'1124',34.05,1,3,NULL),(16,3128741,'1990-05-31 00:00:00',2,1,12,2007,'F','N','BREMER','RIO SUL','SC','124242241215272431369933572122610124097',NULL,'991',37.83,1,3,NULL),(16,3128750,'1991-07-19 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124241241215151411546411575112610141055',8879,'724',50.76,1,3,NULL),(16,3128768,'1991-04-22 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','125244241415111712669832422114610167073',11951,'270',45.36,1,3,NULL),(16,3128776,'1991-07-21 00:00:00',4,1,12,2008,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241115131311326414575114610132147',11136,'307',46.78,4,1,1),(16,3128784,'1992-02-28 00:00:00',4,4,12,2009,'F','S','ALVORADA','XAXIM','SC','124241241217111751568713575122610126012',NULL,'836',0.00,1,3,NULL),(16,3128792,'1992-08-06 00:00:00',4,1,12,2009,'F','S','BOMBAS','BOMBINHAS','SC','124242241215271531365934444124610113182',NULL,'1111',30.51,1,3,NULL),(16,3128806,'1991-05-16 00:00:00',4,7,11,2008,'F','N','CENTRO','CATANDUVAS','SC','124243241215111431448616475122610162077',NULL,'454',25.62,1,3,NULL),(16,3128814,'1991-07-28 00:00:00',4,2,12,2008,'M','N','JARDIN MALUCHE','BRUSQUE','SC','124244241215111112466931572122610167147',14822,'109',40.02,1,3,NULL),(16,3128830,'1992-05-07 00:00:00',4,1,11,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124243241216111431448511572122610162157',NULL,'1022',25.26,1,3,NULL),(16,3128849,'1992-04-16 00:00:00',4,1,11,2009,'M','S','SANTA MôNICA','FLORIANóPOLIS','SC','124242241215121431349814575124610134037',NULL,'262',50.30,1,3,NULL),(16,3128857,'1991-11-20 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111441348831472122610118017',NULL,'1050',34.26,1,3,NULL),(16,3128873,'1990-06-16 00:00:00',2,1,11,2007,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242248235372431457512495124610124052',10464,'269',47.97,1,3,NULL),(16,3128890,'1992-01-29 00:00:00',2,10,12,2008,'M','N','VILA SANTO ANTôNIO','IMBITUBA','SC','124241241113131231513314172321610127047',NULL,'359',0.00,1,3,NULL),(16,3128903,'1989-10-06 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEICAO','FLORIANóPOLIS','SC','124242241217573431578812575122122467132',814,'270',73.34,1,3,NULL),(16,3128911,'1993-01-04 00:00:00',4,10,12,2009,'F','S','MAGALHãES','LAGUNA','SC','124242241437151231328632575122610122142',NULL,'525',36.79,1,3,NULL),(16,3128920,'1990-02-22 00:00:00',4,1,12,2007,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241215573431567831575122610127142',157,'262',79.92,1,3,NULL),(16,3128946,'1992-05-25 00:00:00',4,1,11,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124242241215111431459814574124610154012',13643,'1022',42.38,1,3,NULL),(16,3128954,'1973-05-02 00:00:00',2,1,10,2002,'F','N','CENTRO','FLORIANóPOLIS','SC','124241247137375411324144345121610117182',NULL,'9999',21.43,1,2,1),(16,3128962,'1981-08-18 00:00:00',4,5,11,1998,'F','N','COMERCIáRIO','CRICIúMA','SC','224242241215372411224751475122333266197',NULL,'210',0.00,1,3,NULL),(16,3128970,'1980-06-15 00:00:00',4,1,12,1997,'M','N','VILA RIO BRANCO','CASTRO','PR','116161161117234422123314235135121414012',NULL,'9998',0.00,1,3,NULL),(16,3128989,'1991-10-06 00:00:00',4,1,12,2008,'M','N','PIO X','CAXIAS SUL','RS','120203201117371411448834415124610137087',14501,'9998',40.70,1,3,NULL),(16,3128997,'1992-10-15 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217111431469933475112610123192',5867,'270',56.66,1,3,NULL),(16,3129012,'1991-01-05 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANóPOLIS','SC','124242241215112231368823572111610127045',6988,'272',54.32,1,3,NULL),(16,3129020,'1991-11-17 00:00:00',4,2,11,2009,'M','S','ÁGUA VERDE','BLUMENAU','SC','124242241217111411479711571112610124122',NULL,'71',59.12,1,3,NULL),(16,3129039,'1991-02-24 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215411411458814574122610144042',863,'270',72.94,1,3,NULL),(16,3129055,'1991-02-16 00:00:00',2,1,11,2008,'M','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241215111411538611414124610167023',12243,'1050',44.81,1,3,NULL),(16,3129071,'1992-04-03 00:00:00',4,2,10,2009,'F','S','IMIGRANTES','TIMBó','SC','124241241215111431476614377121610161012',NULL,'1157',56.16,1,3,NULL),(16,3129080,'1990-03-05 00:00:00',4,1,12,2007,'M','N','PINHEIROS','S PAULO','SP','125252251217371711589813575114610167043',9210,'9998',50.23,1,3,NULL),(16,3129098,'1990-07-27 00:00:00',4,8,12,2007,'F','N','JD AQUARIUS','S JOSé CAMPOS','SP','125062061217471231558832575112610122042',2172,'9998',66.52,1,3,NULL),(16,3129101,'1992-08-02 00:00:00',2,9,11,2009,'F','S','CENTRO','POUSO REDONDO','SC','124242241215131431346924574124610134147',NULL,'991',19.63,1,3,NULL),(16,3129110,'1991-08-21 00:00:00',2,1,12,2008,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124241241112131431626613472324610167042',NULL,'281',33.86,1,2,1),(16,3129128,'1991-01-28 00:00:00',4,4,12,2008,'M','N','CENTRO','ITAPIRANGA','SC','124241241115161432348614345122610125182',12002,'412',45.26,1,2,1),(16,3129136,'1990-03-27 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215372431338733575124610126172',1969,'270',67.31,1,3,NULL),(16,3129144,'1990-05-21 00:00:00',2,8,11,2007,'M','N','AMéRICA','JOINVILLE','SC','124242241215471431489923572112610126092',440,'457',76.34,1,3,NULL),(16,3129152,'1990-08-14 00:00:00',2,1,12,2007,'M','N','CARIANOS','FLORIANóPOLIS','SC','124242241415252412566639377114610124047',15142,'1022',39.32,1,3,NULL),(16,3129160,'1989-09-15 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215372431459911472112610117121',1394,'270',69.85,1,3,NULL),(16,3129179,'1990-04-08 00:00:00',2,1,11,2007,'M','N','CARIANOS','FLORIANóPOLIS','SC','124244241212272431359513435113122364043',NULL,'269',38.34,1,3,NULL),(16,3129187,'1988-11-14 00:00:00',2,1,11,2007,'M','N','BARREIROS','S JOSé','SC','124242241215132711435712583112610114053',8425,'738',51.54,1,3,NULL),(16,3129195,'1989-05-07 00:00:00',4,1,11,2007,'F','N','BALNEáRIO ESTREITO','FLORIANóPOLIS','SC','124242241315272431349823595124133245097',7902,'270',52.59,1,3,NULL),(16,3129209,'1991-03-28 00:00:00',4,1,12,2008,'M','N','TAPERA','FLORIANóPOLIS','SC','124241241417111411236623575124610166177',NULL,'300',26.90,1,3,NULL),(16,3129217,'1989-10-24 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431458811572122230217052',NULL,'262',35.75,1,3,NULL),(16,3129225,'1991-04-02 00:00:00',2,1,12,2008,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124242241217112431466834475112610127052',5307,'270',57.86,1,3,NULL),(16,3129233,'1990-06-17 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241315131711426629395124610143185',NULL,'307',29.58,1,3,NULL),(16,3129250,'1993-05-03 00:00:00',4,1,11,2009,'M','S','ESTREITO','FLORIANóPOLIS','SC','124242241215111431434631245124610147042',NULL,'1022',42.97,1,3,NULL),(16,3129268,'1991-11-14 00:00:00',4,1,12,2009,'M','S','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','124242241217111431577934574121610168027',NULL,'270',53.56,1,3,NULL),(16,3129292,'1991-05-29 00:00:00',2,1,11,2007,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215272411447833572124610167147',756,'807',73.79,1,3,NULL),(16,3129322,'1992-04-19 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111431475359595122610123012',11985,'1118',45.28,2,1,2),(16,3129330,'1991-07-10 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241217111431548912575224610111112',14269,'270',41.10,1,3,NULL),(16,3129349,'1991-01-16 00:00:00',2,4,11,2008,'F','N','SãO CRISTOVãO','CHAPECó','SC','124241241416111431336614575122610124142',11631,'1021',45.95,1,3,NULL),(16,3129365,'1991-08-11 00:00:00',4,1,12,2008,'M','N','JARDIM ATLâNTICO','S JOSé','SC','124242241215272431468613575124610127052',2428,'738',65.60,1,3,NULL),(16,3129373,'1985-10-09 00:00:00',2,1,12,2003,'F','N','ALTO ARIRIú','PALHOçA','SC','124241241116472431663434441124610122147',9774,'592',49.21,1,2,1),(16,3129381,'1991-08-27 00:00:00',2,1,11,2008,'M','N','CENTRO','IBIRAMA','SC','624242241217111431448612295114610117062',14483,'991',40.72,1,3,NULL),(16,3129403,'1991-04-16 00:00:00',4,1,12,2008,'M','N','MOOCA','S PAULO','SP','125254251431471331458814575124610117012',10260,'9998',48.33,4,3,NULL),(16,3129411,'1989-08-30 00:00:00',4,1,12,2006,'F','N','CENTRO','ITAPEVA','SP','125253251217572431456633575324610123082',8202,'9998',52.00,1,3,NULL),(16,3129420,'1991-10-18 00:00:00',4,2,11,2008,'F','N','BELCHIOR ALTO','GASPAR','SC','124241241237111431349933432124610121052',NULL,'88',0.00,1,3,NULL),(16,3129438,'1990-08-08 00:00:00',2,1,11,2007,'M','N','CENTRO','BIRIGüI','SP','124252251216472431368934475124610144047',7471,'9998',53.37,1,3,NULL),(16,3129454,'1989-03-17 00:00:00',4,6,10,2006,'F','N','CENTRO','ERECHIM','RS','120204201216572431248824572122610144192',NULL,'9998',0.00,1,3,NULL),(16,3129470,'1989-09-25 00:00:00',2,8,12,2006,'M','N','MERCêS','CURITIBA','PR','116162161215572331589931595122610167092',2583,'9998',65.06,1,3,NULL),(16,3129489,'1988-07-20 00:00:00',2,1,12,2005,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241115373431636631146124610128182',12235,'307',44.83,1,2,1),(16,3129497,'1990-04-11 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSé','SC','124242241216132411438913575114610136092',1565,'737',69.03,1,3,NULL),(16,3129500,'1986-11-06 00:00:00',4,1,12,2004,'M','N','UNIVERSITARIO','TIJUCAS','SC','124241241137171731436634245111130222087',NULL,'783',21.77,3,3,NULL),(16,3129519,'1987-01-15 00:00:00',4,6,12,2004,'M','N','PIONEIROS','BAL CAMBORIú','SC','124242241216272731168931495122231466112',3621,'486',62.02,1,3,NULL),(16,3129535,'1991-02-03 00:00:00',4,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124242241215151411349924575112510111111',7072,'883',54.15,1,3,NULL),(16,3129543,'1991-10-12 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215211711447728585114610124176',1919,'270',67.52,1,3,NULL),(16,3129551,'1991-05-06 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124244241215131431568814375124610124161',8912,'1048',50.72,1,3,NULL),(16,3129560,'1990-07-08 00:00:00',4,3,12,2006,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241216472451479814595122610166012',8375,'403',51.64,1,3,NULL),(16,3129586,'1991-01-19 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217112231568867576124610167112',2222,'270',66.33,1,3,NULL),(16,3129594,'1990-02-09 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217111431356939572124610122012',NULL,'1022',21.84,1,3,NULL),(16,3129608,'1991-04-11 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215112431479812572122610127142',9122,'270',50.38,1,3,NULL),(16,3129616,'1989-01-31 00:00:00',2,8,11,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215472441529564171322610126171',12596,'486',44.19,1,3,NULL),(16,3129659,'1991-09-22 00:00:00',2,4,12,2008,'F','N','CRISTO REI','CHAPECó','SC','124241241114151431449933572122610131147',16217,'180',36.63,1,2,1),(16,3129667,'1992-11-26 00:00:00',4,1,11,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124242241215111411369634442124613214042',NULL,'270',44.74,1,3,NULL),(16,3129675,'1990-06-24 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215372431588831474122610133142',2187,'270',66.46,1,3,NULL),(16,3129683,'1986-03-29 00:00:00',4,1,12,2003,'F','N','STA CRUZ','CUIABá','MT','111253251216133431239844445124121863027',6799,'9998',54.66,4,3,NULL),(16,3129691,'1990-08-23 00:00:00',4,8,11,2007,'M','N','CENTRO','FOZ IGUAçU','PR','116162161216472321479931575114610164172',NULL,'9998',56.93,1,3,NULL),(16,3129705,'1991-12-30 00:00:00',4,1,12,2008,'M','N','CENTRO','NOVA PALMA','RS','120201201116351431546639395124610127052',NULL,'9998',0.00,1,3,NULL),(16,3129713,'1989-02-16 00:00:00',4,8,12,2006,'F','N','CENTRO','PINHAIS','PR','116162161216371451377832474122141032172',6499,'9998',55.28,4,3,NULL),(16,3129721,'1992-01-24 00:00:00',4,1,11,2010,'F','S','JOãO PAULO','FLORIANóPOLIS','SC','124241241215111331558833576124610123092',NULL,'270',40.16,1,3,NULL),(16,3129730,'1991-08-31 00:00:00',2,1,11,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124243241215122741425434475124610146187',11666,'266',45.88,1,3,NULL),(16,3129764,'1991-03-23 00:00:00',2,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241435111751566411575124610137077',13642,'1022',42.39,1,3,NULL),(16,3129772,'1989-08-12 00:00:00',2,1,12,2006,'F','N','CENTRO','BIGUAçU','SC','124241241117472431523313495114610134182',NULL,'65',25.42,1,3,NULL),(16,3129780,'1992-01-31 00:00:00',4,1,11,2009,'M','S','BARREIROS','S JOSé','SC','124242241215111431348924576124610164037',NULL,'1022',45.00,1,3,NULL),(16,3129799,'1985-09-11 00:00:00',4,1,12,2003,'M','N','JARDIM CEREJEIRAS','ATIBAIA','SP','125252251217471732556734485112342164122',14461,'9998',40.76,3,3,NULL),(16,3129802,'1990-01-30 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241127372531343431274112610127057',2056,'651',66.95,1,2,1),(16,3129810,'1989-04-11 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124202201215574431138612392324610167157',NULL,'9998',40.08,1,3,NULL),(16,3129829,'1991-02-08 00:00:00',4,1,12,2008,'M','N','IPANEMA','PTO ALEGRE','RS','120204201231471731448939571122610167147',NULL,'9998',0.00,1,3,NULL),(16,3129837,'1991-07-04 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215122211566769372122610163072',13435,'1038',42.72,1,3,NULL),(16,3129845,'1991-03-11 00:00:00',2,1,12,2008,'F','N','ABRAAO','FLORIANóPOLIS','SC','124241241112271431536823235124610128142',NULL,'307',31.21,1,2,1),(16,3129853,'1991-09-19 00:00:00',2,1,11,2008,'F','N','CENTRO','PALHOçA','SC','124242241215112731467814572122610138182',6026,'1022',56.29,1,3,NULL),(16,3129861,'1991-05-04 00:00:00',2,4,12,2008,'F','N','CENTRO','IPORã OESTE','SC','124112241216111431538933572124610131142',NULL,'752',25.84,1,3,NULL),(16,3129870,'1987-03-25 00:00:00',4,1,12,2005,'M','N','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','124243243315473431626413435122610137053',NULL,'1022',24.67,1,3,NULL),(16,3129888,'1992-12-16 00:00:00',4,4,12,2009,'M','S','CENTRO','XAXIM','SC','124242241416121151469913576121610164176',NULL,'994',43.50,1,3,NULL),(16,3129896,'1977-10-11 00:00:00',2,1,12,1995,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241126375421634441215124333225062',1294,'288',70.43,1,2,1),(16,3129900,'1990-09-13 00:00:00',2,5,12,2008,'M','N','RAIZEIRA','SOMBRIO','SC','124244241215121421345611575122610147042',7986,'770',52.46,1,3,NULL),(16,3129918,'1992-10-13 00:00:00',4,10,12,2009,'F','S','CENTRO','CAPIVARI BAIXO','SC','124242241217111431458633574124610127142',NULL,'806',31.38,1,3,NULL),(16,3129926,'1990-05-27 00:00:00',2,1,12,2007,'F','N','CENTRO','VENâNCIO AIRES','RS','120202201214472431444617171114610124147',8038,'9998',52.34,1,3,NULL),(16,3129934,'1991-02-09 00:00:00',4,1,12,2008,'M','N','CACUPé','FLORIANóPOLIS','SC','124242241215122431588831595122610124042',4284,'270',60.28,1,3,NULL),(16,3129969,'1991-02-22 00:00:00',4,1,12,2008,'F','N','ROçADO','S JOSé','SC','124242241215121731468614576112610134073',1585,'270',68.94,1,3,NULL),(16,3129977,'1991-08-22 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215131431316613232122610131197',15935,'273',37.40,1,3,NULL),(16,3129985,'1991-03-23 00:00:00',2,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241415111431565611595124610131077',15789,'1022',37.81,1,3,NULL),(16,3129993,'1991-02-24 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241112372431468813574114610164117',8759,'271',50.96,1,3,NULL),(16,3130002,'1991-07-20 00:00:00',4,2,10,2008,'F','N','ASILO','BLUMENAU','SC','124242241211372431479814574122610133142',5709,'909',57.04,1,3,NULL),(16,3130010,'1991-04-25 00:00:00',2,5,12,2008,'F','N','SãO LUíS','SOMBRIO','SC','124241241212111431446414592122610168142',NULL,'770',30.62,1,3,NULL),(16,3130029,'1989-04-07 00:00:00',2,1,12,2006,'M','N','ALVINOPOLIS','ATIBAIA','SP','125252251217571431448819474122141417042',12089,'9998',45.12,3,3,NULL),(16,3130045,'1991-05-11 00:00:00',4,5,11,2008,'M','N','MINA BRASIL','CRICIúMA','SC','124242241215111431558812472122610167062',NULL,'226',62.12,1,3,NULL),(16,3130053,'1990-07-11 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124284241235111431347823575124610117112',16646,'273',34.32,1,3,NULL),(16,3130061,'1986-05-22 00:00:00',4,1,12,2007,'M','N','FAZENDA STO ANTONIO','S JOSé','SC','124241247146132711126644341324610127054',NULL,'9999',0.00,4,2,1),(16,3130070,'1990-04-04 00:00:00',4,1,12,2008,'M','N','RIO PEQUENO','SAO PAULO','SP','125252251216151731458823575122610164072',NULL,'9998',27.06,1,3,NULL),(16,3130096,'1987-09-13 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124201201117554431364331595121221437182',705,'9998',74.21,1,2,1),(16,3130118,'1991-07-01 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215122431487832575122610132092',4310,'270',60.22,1,3,NULL),(16,3130126,'1987-06-06 00:00:00',4,10,12,2004,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241241116131431437934495124233228052',13911,'158',41.83,1,2,1),(16,3130134,'1990-10-28 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241115271431229821342124610143141',2268,'271',66.15,1,3,NULL),(16,3130142,'1992-09-11 00:00:00',4,1,11,2009,'F','S','CENTRO','PALHOçA','SC','124242241215111731467814572122610168172',NULL,'1022',46.01,1,3,NULL),(16,3130150,'1990-08-12 00:00:00',4,1,12,2008,'M','N','INTERIOR','LACERDóPOLIS','SC','124241241121141231433335352224610137047',NULL,'496',24.99,1,2,1),(16,3130169,'1991-03-19 00:00:00',4,8,12,2008,'M','N','SAGUAçú','JOINVILLE','SC','124242246217151411446612575122610167142',NULL,'1105',0.00,1,3,NULL),(16,3130177,'1992-07-11 00:00:00',2,1,12,2009,'M','S','CARIANOS','FLORIANóPOLIS','SC','124242241215111431669932572112610127045',NULL,'270',37.60,3,3,NULL),(16,3130185,'1991-04-14 00:00:00',2,5,12,2008,'F','N','SANGãO','CRICIúMA','SC','124242241215111431533316262122610126192',6701,'226',54.86,1,3,NULL),(16,3130193,'1992-01-11 00:00:00',4,1,12,2009,'F','S','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215121751369914595122610134122',NULL,'1133',49.45,1,3,NULL),(16,3130215,'1992-09-02 00:00:00',4,8,12,2009,'F','S','CENTRO','CANOINHAS','SC','124241241116161731438634245122610111077',NULL,'153',26.34,1,3,NULL),(16,3130223,'1990-08-16 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215473431358674572114610134072',7773,'270',52.82,3,3,NULL),(16,3130231,'1992-04-29 00:00:00',4,1,11,2008,'F','N','D E R','CAçADOR','SC','124242241214111431578612572122610163182',389,'120',76.95,1,3,NULL),(16,3130240,'1991-02-17 00:00:00',2,5,11,2008,'F','N','CENTRO','URUSSANGA','SC','124242241235111411368613175112610134097',15205,'820',39.19,1,3,NULL),(16,3130258,'1992-03-31 00:00:00',4,1,11,2009,'M','S','ITAGUAçU','FLORIANóPOLIS','SC','124242241215111231568619395122610122011',NULL,'270',10.18,1,3,NULL),(16,3130266,'1976-10-08 00:00:00',4,1,12,1993,'M','N','CACHOEIRA','FLORIANóPOLIS','SC','124202201216133411129944445124123222197',3782,'9998',61.65,1,3,NULL),(16,3130274,'1989-07-21 00:00:00',4,1,12,2007,'M','N','TAQUARAL','CAMPINAS','SP','125132131217371432289811475114141432092',NULL,'9998',46.58,1,3,NULL),(16,3130290,'1987-12-10 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241211154421566832572122230267152',3696,'266',61.84,1,3,NULL),(16,3130312,'1990-10-23 00:00:00',4,5,11,2007,'M','N','URUSSANGUINHA','ARARANGUá','SC','124241241117131411446513275122610162151',NULL,'30',0.00,1,2,1),(16,3130320,'1991-09-30 00:00:00',4,7,12,2008,'M','N','CENTRO','JOAçABA','SC','124242241215112431459814582122610128182',842,'454',73.10,1,3,NULL),(16,3130339,'1991-04-17 00:00:00',4,6,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215372411549912372125610134092',9280,'44',50.11,1,3,NULL),(16,3130347,'1991-05-07 00:00:00',4,2,12,2008,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241111131751456912572124610167047',NULL,'69',32.92,1,3,NULL),(16,3130355,'1991-12-22 00:00:00',2,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124242241215111431448619572124610117042',14602,'738',40.51,4,3,NULL),(16,3130363,'1991-04-23 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124201241115472441468613271124610134092',468,'307',76.04,1,2,1),(16,3130371,'1991-09-27 00:00:00',4,10,11,2008,'F','N','CENTRO','TUBARAO','SC','124241241215131731437939575121610136187',NULL,'806',29.55,1,3,NULL),(16,3130380,'1992-01-20 00:00:00',4,9,12,2008,'F','N','VILA CRISTINA','VACARIA','RS','120202201216121431474712575122610162177',10151,'9998',48.52,1,3,NULL),(16,3130398,'1991-08-21 00:00:00',4,1,12,2008,'M','N','COLONIA SANTANA','S JOSé','SC','124242241217131421336779275124610164197',10714,'1074',47.52,1,3,NULL),(16,3130401,'1991-10-14 00:00:00',4,1,11,2008,'M','N','GUAIRA','CURITIBA','PR','116162161215121431338724175122610132017',NULL,'9998',0.00,1,3,NULL),(16,3130410,'1981-03-14 00:00:00',2,1,12,2002,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124201201126131421213341212114610147165',NULL,'9998',22.99,1,2,1),(16,3130428,'1990-12-18 00:00:00',4,1,12,2008,'F','N','BOQUEIRAO','SANTOS','SP','125252251211471411379931586124610142182',7465,'9998',53.38,1,3,NULL),(16,3130436,'1979-09-07 00:00:00',4,1,12,1998,'F','N','COSTEIRA','FLORIANóPOLIS','SC','124241244136472421666339435124610166097',8515,'307',51.38,1,2,1),(16,3130444,'1990-03-17 00:00:00',4,1,12,2007,'F','N','VILA TATETUBA','S JOSé CAMPOS','SP','125254251216471431226823576124610135142',NULL,'9998',28.06,2,1,2),(16,3130460,'1991-06-19 00:00:00',4,9,11,2008,'M','N','CENTRO','S JOAQUIM','SC','124244241415111731426631395321610128012',NULL,'719',21.89,1,3,NULL),(16,3130479,'1991-12-21 00:00:00',2,1,12,2008,'F','N','POçO FUNDO','STO AMARO IMPERATRIZ','SC','124241241411371431548913592124610163141',14412,'772',40.86,1,3,NULL),(16,3130487,'1989-09-22 00:00:00',4,1,12,2007,'F','N','ASSUNçãO','S BERNARDO CAMPO','SP','125254251216471431356413372112610157042',3241,'9998',63.16,1,3,NULL),(16,3130495,'1989-07-19 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','624252071137131411458813342224610127087',NULL,'9998',0.00,4,1,2),(16,3130509,'1986-08-28 00:00:00',2,1,12,2005,'M','N','CORRéGO GRANDE','FLORIANóPOLIS','SC','124204207317131731527711345124141267042',NULL,'9999',20.12,1,3,NULL),(16,3130533,'1990-04-29 00:00:00',2,1,12,2007,'F','N','PORTO DA LAGOA','FLORIANóPOLIS','SC','124242241217272431489933572122230427052',4126,'951',60.71,1,3,NULL),(16,3130541,'1990-01-01 00:00:00',2,10,12,2007,'M','N','CENTRO','TUBARãO','SC','124242248212372732228329572114610167057',NULL,'809',34.76,1,3,NULL),(16,3130550,'1991-05-28 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIúMA','SC','124242241415112451438632592124610167072',1337,'226',70.18,1,3,NULL),(16,3130576,'1989-08-07 00:00:00',4,8,12,2007,'M','N','VILA NOVA','JOINVILLE','SC','124241243216271221338614342122610137042',13301,'1006',42.98,1,3,NULL),(16,3130584,'1987-09-29 00:00:00',4,1,12,2004,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124121121116142441126744345124241427052',NULL,'9998',0.00,1,2,1),(16,3130592,'1991-05-24 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431356711274124610137047',8833,'1050',50.83,1,3,NULL),(16,3130606,'1991-04-02 00:00:00',4,8,11,2008,'M','N','BIGORRILHO','CURITIBA','PR','116162161217471411579819474122610134122',NULL,'9998',0.00,1,3,NULL),(16,3130614,'1991-09-06 00:00:00',2,1,12,2008,'F','N','CENTRO','S JOSé','SC','124241241116131431335833575124610125147',16396,'733',35.96,4,2,1),(16,3130622,'1990-03-30 00:00:00',4,1,7,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241117271731439933572114233234052',3954,'9997',61.19,1,3,NULL),(16,3130630,'1992-03-25 00:00:00',4,1,10,2008,'F','N','CENTRO','SOMBRIO','SC','124242243217111431568832575122610166182',16258,'32',36.49,1,3,NULL),(16,3130649,'1992-01-29 00:00:00',4,1,12,2008,'M','N','CENTRO','VENâNCIO AIRES','RS','120202201217121431444617172112610124057',2758,'9998',64.55,1,3,NULL),(16,3130657,'1993-02-22 00:00:00',4,10,11,2009,'F','S','SÃO MARTINHO','TUBARãO','SC','124242241215111431533832576124610133077',NULL,'806',41.47,1,3,NULL),(16,3130665,'1986-06-06 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241248117371731426413382124610164147',15586,'281',38.34,1,2,1),(16,3130673,'1991-07-14 00:00:00',4,1,12,2008,'M','N','MARTELLI','VIDEIRA','SC','124243241217111431569819572122610162017',9332,'829',50.03,4,3,NULL),(16,3130681,'1991-01-22 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241215111431436634575115610167047',7683,'738',53.00,1,3,NULL),(16,3130690,'1990-09-16 00:00:00',2,1,12,2007,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241121272431323327281324610164057',11121,'329',46.80,1,2,1),(16,3130711,'1990-05-10 00:00:00',4,1,1,2009,'M','N','JARDIN ARIZONA','SETE LAGOAS','MG','113284131217111741379613475112610164085',9744,'9998',49.26,1,3,NULL),(16,3130720,'1991-09-16 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124241241215111731336923592125610133142',15805,'737',37.76,1,3,NULL),(16,3130738,'1972-10-30 00:00:00',2,1,12,2008,'F','N','ITAGUAÇU','FLORIANóPOLIS','SC','224244247621141431341353395122610127182',NULL,'9999',28.54,1,3,NULL),(16,3130746,'1989-02-13 00:00:00',4,1,12,2006,'F','N','BELA VISTA','S PAULO','SP','125262251215571411248879575115610127032',613,'9998',74.83,4,3,NULL),(16,3130754,'1992-03-16 00:00:00',4,2,11,2009,'M','S','JARDIM ITAMBE','COLOMBO','PR','116162161216141311366611315114610125022',NULL,'9998',44.56,1,3,NULL),(16,3130762,'1991-01-07 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241217111431468314572122610167075',2158,'723',66.56,1,3,NULL),(16,3130770,'1991-10-16 00:00:00',4,1,12,2008,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241241212271431459613575124610168197',12175,'259',44.94,1,3,NULL),(16,3130797,'1988-01-13 00:00:00',4,1,12,2006,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124242247331474711327523292124610164097',4217,'9999',60.45,2,3,NULL),(16,3130800,'1991-12-24 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124242241216131431438614575121610162077',3345,'738',62.86,1,3,NULL),(16,3130819,'1975-07-21 00:00:00',2,1,12,1995,'F','N','ITACORUBI','FLORIANóPOLIS','SC','224161168147151421353954285122431068092',10762,'9998',47.44,1,2,1),(16,3130827,'1990-04-09 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124162241215111431238724575124610126182',13599,'266',42.45,1,3,NULL),(16,3130835,'1993-06-09 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217111431479933575122610124092',NULL,'270',51.31,1,3,NULL),(16,3130843,'1985-11-18 00:00:00',4,8,12,2003,'M','N','SANTANA','S PAULO','SP','125252251217571431368814581112141162047',NULL,'9998',0.00,1,3,NULL),(16,3130851,'1984-07-08 00:00:00',2,1,12,2002,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124201201142272731323344242324610127147',12387,'9998',44.56,1,2,1),(16,3130860,'1991-01-13 00:00:00',4,9,10,2008,'M','N','CENTRO','LAGES','SC','124242241215111431469811415122610127042',NULL,'497',39.79,1,3,NULL),(16,3130878,'1989-07-18 00:00:00',1,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124242241216472711236624195124230566182',6497,'723',55.29,1,3,NULL),(16,3130894,'1989-03-17 00:00:00',4,10,6,2007,'M','N','CENTRO','CAPIVARI BAIXO','SC','128281281116161431436731315122610126182',9438,'9998',49.84,1,3,NULL),(16,3130908,'1980-01-05 00:00:00',2,1,12,1998,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124241245113132431536313242134610164072',NULL,'307',27.90,1,2,1),(16,3130916,'1985-10-26 00:00:00',2,3,11,2003,'M','N','NAçõES','CAMBORIú','SC','124241244116373431636311442332610128042',15274,'130',39.03,1,3,NULL),(16,3130932,'1988-11-30 00:00:00',4,8,12,2006,'F','N','BIGORRILHO','CURITIBA','PR','116242241216472731379914575125242424147',NULL,'422',0.00,1,3,NULL),(16,3130940,'1988-12-19 00:00:00',4,1,12,2005,'F','N','CENTRO CíVICO','CURITIBA','PR','116162161215573411468833595124610145147',6638,'9998',54.98,1,3,NULL),(16,3130959,'1982-02-19 00:00:00',2,1,12,2002,'M','N','MARACANAZINHO','ANáPOLIS','GO','109091091136571211533613272123142962087',354,'9998',77.33,2,1,1),(16,3130967,'1990-12-27 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241416472431269714215124221424012',318,'1046',77.77,1,3,NULL),(16,3130975,'1991-03-01 00:00:00',2,1,12,2008,'M','N','FAZENDA STO ANTONIO','S JOSé','SC','124241241147131122624379345114610167054',NULL,'733',0.00,3,3,NULL),(16,3130991,'1991-07-24 00:00:00',2,2,12,2008,'F','N','SETE DE SETEMBRO','GASPAR','SC','124241241215131431447833575122610133092',8711,'1137',51.06,1,3,NULL),(16,3131009,'1991-07-18 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241117372431348834591124610121192',3533,'267',62.29,1,2,1),(16,3131017,'1990-07-13 00:00:00',4,5,10,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215372711458934245122610167042',NULL,'226',33.42,1,3,NULL),(16,3131041,'1991-05-27 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241215112431458833572124610126142',1836,'270',67.88,1,3,NULL),(16,3131068,'1989-04-26 00:00:00',4,1,11,2006,'F','N','BARREIROS','S JOSé','SC','124242241216272431453633575114610167147',14371,'1118',40.92,1,3,NULL),(16,3131076,'1989-07-03 00:00:00',2,10,12,2006,'M','N','FABIO SILVA','TUBARãO','SC','124241241112473431459934372125610137117',6823,'1034',54.62,1,2,1),(16,3131084,'1990-11-13 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241247217131431654623575124610134097',NULL,'9999',25.05,1,3,NULL),(16,3131092,'1990-09-20 00:00:00',2,7,12,2008,'F','N','CENTRO','CAPINZAL','SC','124244241335151431556812572122610137142',NULL,'1093',24.88,1,3,NULL),(16,3131106,'1988-03-08 00:00:00',2,9,12,2005,'F','N','SANTA RITA','LAGES','SC','124241241117473431539914345125610165147',14434,'498',40.82,1,2,1),(16,3131114,'1987-02-10 00:00:00',2,1,12,2004,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241127372431231344342124610136197',12267,'322',44.78,1,2,1),(16,3131122,'1986-08-16 00:00:00',2,5,12,2003,'M','N','MICHEL','CRICIúMA','SC','124241246216175431457639491134231457042',7789,'995',52.79,1,3,NULL),(16,3131149,'1991-12-06 00:00:00',2,1,12,2008,'M','N','CENTRO','IMBITUBA','SC','124241241315111231666932585122610127051',NULL,'362',23.26,1,3,NULL),(16,3131157,'1992-01-12 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241115151431313319572124610134142',NULL,'307',31.59,1,2,1),(16,3131165,'1991-03-07 00:00:00',4,6,11,2008,'F','N','VILA OPERáRIA','ITAJAí','SC','124244241215271432568834577114610134052',4403,'391',60.01,1,3,NULL),(16,3131181,'1985-07-18 00:00:00',2,1,12,2003,'M','N','CENTRO','DR CAMARGO','PR','116161161137131431435315345124141364147',NULL,'9998',0.00,1,3,NULL),(16,3131190,'1990-09-27 00:00:00',4,9,12,2008,'M','N','REGIAO DO LAGO','CASCAVEL','PR','116164168217121431467833111125610138122',13604,'9998',42.45,2,1,2),(16,3131220,'1990-06-19 00:00:00',2,4,12,2007,'F','N','ESPORTES','XANXERê','SC','124241241116271431335529572123610166057',NULL,'840',24.12,1,3,NULL),(16,3131238,'1990-10-13 00:00:00',2,1,12,2008,'M','N','VILA DALILA','S PAULO','SP','125252251437141431453332215124610135012',NULL,'9998',0.00,1,3,NULL),(16,3131246,'1991-07-30 00:00:00',2,1,12,2008,'M','N','PACHECOS','PALHOçA','SC','124241241117371431336639572124610127047',NULL,'592',29.37,1,2,1),(16,3131254,'1990-09-16 00:00:00',4,5,11,2007,'M','N','BORGO','BENTO GONçALVES','RS','120202201215371431567819375122140737042',12096,'9998',45.11,1,3,NULL),(16,3131270,'1990-06-17 00:00:00',2,7,12,2007,'M','N','INTERIOR','CONCóRDIA','SC','124241242116111431526923575124610127047',NULL,'196',0.00,1,3,NULL),(16,3131289,'1990-05-11 00:00:00',4,1,12,2007,'M','N','CENTRO','BENTO GONçALVES','RS','120201201117271111366614475112610144197',NULL,'9998',6.52,1,2,1),(16,3131297,'1989-04-11 00:00:00',2,1,11,2006,'F','N','CAIçARAS','LONDRINA','PR','116162161215571711566332574112610141187',1049,'9998',71.75,3,3,NULL),(16,3131327,'1989-10-02 00:00:00',4,1,12,2006,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241216273431443532445124230234097',13484,'774',42.64,1,3,NULL),(16,3131335,'1989-07-09 00:00:00',4,10,11,2007,'M','N','BELA VISTA','GRAVATAL','SC','124241241147111331328424372125233222052',NULL,'332',23.16,1,2,1),(16,3131343,'1988-12-08 00:00:00',4,1,12,2006,'M','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124242241215373431246521572114610167145',12732,'300',43.96,1,3,NULL),(16,3131360,'1990-04-01 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241127471431635644345124610125062',NULL,'922',25.74,1,2,1),(16,3131378,'1990-09-20 00:00:00',4,8,12,2007,'M','N','GUANABARA','JOINVILLE','SC','124241241211271421326429312111610167127',NULL,'494',44.12,1,3,NULL),(16,3131386,'1990-07-16 00:00:00',4,5,12,2007,'M','N','PIO CORREA','CRICIúMA','SC','124242241216472432555512395122610124144',6581,'226',55.10,1,3,NULL),(16,3131394,'1987-03-16 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241122272441623714231234610136183',NULL,'279',25.09,4,2,1),(16,3131408,'1990-12-15 00:00:00',4,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124241241115471331544534575124610136047',NULL,'298',15.78,4,2,1),(16,3131416,'1991-05-21 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215371431447817575114610162142',1977,'1050',67.28,1,3,NULL),(16,3131424,'1991-06-29 00:00:00',2,1,12,2008,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241125151431546923291124610132182',NULL,'12',25.50,4,2,1),(16,3131432,'1992-06-13 00:00:00',4,2,12,2009,'F','S','ITOUPAVA NORTE','BLUMENAU','SC','224241241215111431655512585122610127142',NULL,'909',33.96,1,3,NULL),(16,3131440,'1991-12-29 00:00:00',4,2,12,2009,'F','S','PONTA AGUDA','BLUMENAU','SC','124242241217111531449712586112610132042',NULL,'909',42.72,1,3,NULL),(16,3131459,'1991-03-05 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241235111431446824475122610127112',10494,'1050',47.92,1,3,NULL),(16,3131467,'1990-08-23 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241235111531379912225122610137066',15742,'1050',37.95,1,3,NULL),(16,3131475,'1991-01-02 00:00:00',2,8,11,2008,'F','N','CENTRO','CURITIBA','PR','116244161416471431337921315124610125142',9671,'9998',49.39,1,3,NULL),(16,3131483,'1991-03-16 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241235111431367613375124610127052',14697,'1050',40.29,1,3,NULL),(16,3131491,'1991-02-21 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217371531448833572112610167057',4333,'1050',60.17,1,3,NULL),(16,3131505,'1990-05-22 00:00:00',4,1,11,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124244241217111431228811295124610131147',6792,'1050',54.67,1,3,NULL),(16,3131513,'1991-05-02 00:00:00',4,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124242241215372431366933576124610137047',6099,'1022',56.13,1,3,NULL),(16,3131521,'1986-12-09 00:00:00',2,1,12,2004,'F','N','SãO JOSé','VACARIA','RS','120201205117373411225544345123141266143',NULL,'9998',30.85,1,3,NULL),(16,3131548,'1991-09-04 00:00:00',2,1,11,2008,'F','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','124241241117131421324319582344610114187',NULL,'278',21.67,1,2,1),(16,3131556,'1989-07-28 00:00:00',4,1,12,2007,'F','N','ASA NORTE','BRASILIA','DF','107072071211471431269823531142610166097',3147,'9998',63.40,1,3,NULL),(16,3131564,'1987-12-02 00:00:00',4,1,12,2004,'M','N','CENTRO','RIBEIRãO PRETO','SP','125252251215571431453816572125610127082',NULL,'9998',0.00,3,3,NULL),(16,3131580,'1990-09-23 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241217271731357923572112610148111',9090,'1050',50.42,1,3,NULL),(16,3131599,'1986-05-05 00:00:00',4,1,12,2003,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241112374421457933341124610124047',14104,'307',41.44,1,2,1),(16,3131602,'1965-11-20 00:00:00',4,1,12,1982,'F','N','CENTRO','FLORIANóPOLIS','SC','524244241217372711264644445132320726097',12349,'210',44.63,1,3,NULL),(16,3131610,'1983-10-23 00:00:00',2,1,12,2001,'M','N','KOBRASOL','S JOSé','SC','124241241316145231236643335124120234097',1431,'525',69.63,1,3,NULL),(16,3131629,'1990-11-30 00:00:00',4,1,12,2008,'M','N','PICADAS DO NORTE','S JOSé','SC','124242241136131421428611345124610134012',NULL,'733',26.71,1,3,NULL),(16,3131637,'1984-01-17 00:00:00',2,1,10,2002,'F','N','ARMAÇÃO','FLORIANóPOLIS','SC','124243248332133431123319245333610128187',14373,'272',40.92,1,3,NULL),(16,3131645,'1991-02-04 00:00:00',4,3,12,2007,'F','N','CENTRO','ITAPEMA','SC','124244241215473431459933294124610146097',3439,'403',62.54,1,3,NULL),(16,3131653,'1970-07-26 00:00:00',2,1,12,1990,'M','N','BELA VISTA','S JOSé','SC','624241243122131421226351342334610127047',NULL,'257',26.55,2,1,1),(16,3131661,'1982-07-04 00:00:00',2,1,12,2000,'M','N','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','124201201136271221126644245125130727057',12335,'9998',44.67,1,2,1),(16,3131688,'1990-05-29 00:00:00',4,1,12,2007,'F','N','CENTRO','QUEDAS IGUAçU','PR','116161161416271731454632345122610121012',15916,'9998',37.45,1,3,NULL),(16,3131696,'1990-03-23 00:00:00',2,8,12,2006,'M','N','INTERIOR','S JOSé OURO','RS','120201201137371441436629275124231737042',NULL,'9998',0.00,1,2,1),(16,3131700,'1989-02-19 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215373431558833571124610127042',1593,'262',68.92,1,3,NULL),(16,3131718,'1990-01-24 00:00:00',2,5,12,2007,'F','N','CENTRO','CRICIúMA','SC','124242241215472431438834592124610136147',2013,'226',67.13,1,3,NULL),(16,3131726,'1990-08-06 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECó','SC','124242241216371751437823575125233225143',8228,'1046',51.92,1,3,NULL),(16,3131734,'1991-09-30 00:00:00',4,1,12,2008,'M','N','JARDIM EUROPA','BIGUAçU','SC','124242241216111431566614575114610167042',NULL,'63',26.09,1,3,NULL),(16,3131742,'1991-07-01 00:00:00',2,4,12,2008,'M','N','INTERIOR','CAIBI','SC','124241241116131231313316575324610127057',15750,'127',37.92,1,3,NULL),(16,3131750,'1990-05-05 00:00:00',2,1,12,2007,'M','N','CAMINHO NOVO','PALHOçA','SC','124241241215272712536633485122610164057',NULL,'1022',25.76,1,3,NULL),(16,3131777,'1991-10-02 00:00:00',2,4,12,2008,'F','N','CENTRO','CHAPECó','SC','124161241417111431356634525122610166072',1799,'185',68.00,1,3,NULL),(16,3131785,'1990-06-19 00:00:00',2,10,11,2007,'F','N','SAO MAURICIO','BRAçO NORTE','SC','124241241116161431323514472122610112147',NULL,'100',26.08,1,3,NULL),(16,3131793,'1987-11-17 00:00:00',4,1,6,2004,'M','N','CENTRO','S JOSé','SC','124242247333132421226629385114131017051',NULL,'728',0.00,1,3,NULL),(16,3131807,'1989-01-15 00:00:00',4,1,11,2006,'F','N','COND STA ANGELA','BONFIM PAULISTA','SP','125252251216571431367832572122610122142',5202,'9998',58.11,1,3,NULL),(16,3131815,'1969-01-08 00:00:00',2,1,12,1987,'M','N','COQUEIROS','FLORIANóPOLIS','SC','224242241215155752456843435123321468137',10801,'9997',47.36,1,3,NULL),(16,3131823,'1970-11-19 00:00:00',2,1,12,1988,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241245211133431223643482124130737147',16141,'238',36.80,1,3,NULL),(16,3131840,'1989-01-14 00:00:00',2,1,8,2007,'F','N','JARDIM JANAINA','BIGUAçU','SC','124241241112142431538613345122230232147',13430,'739',42.73,1,2,1),(16,3131858,'1990-03-21 00:00:00',4,2,12,2007,'F','N','CENTRO','ITUPORANGA','SC','124241241216471431373322574112610122142',9353,'654',49.97,1,3,NULL),(16,3131866,'1989-12-13 00:00:00',2,1,12,2006,'M','N','IPIRANGA','S JOSé','SC','124242241216373431348613395124230227143',11418,'1118',46.32,1,3,NULL),(16,3131874,'1990-03-27 00:00:00',4,8,12,2007,'F','N','MERCêS','CURITIBA','PR','116161161116471411343335472124610136097',6154,'9998',56.02,1,2,1),(16,3131882,'1987-08-29 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242248211142421548813142124230823052',NULL,'1022',27.23,1,3,NULL),(16,3131890,'1991-12-10 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124241241115151731345524395114610162147',NULL,'281',26.60,1,2,1),(16,3131904,'1967-09-23 00:00:00',4,1,12,1986,'M','N','CAMPINAS','S JOSé','SC','224241241116132411246343432124330237167',NULL,'271',25.54,1,2,1),(16,3131912,'1982-10-05 00:00:00',2,1,12,2000,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','624241241116274431324558282114610127087',10343,'307',48.18,1,2,1),(16,3131920,'1991-08-31 00:00:00',4,1,5,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124242281412371431568612592124610127041',7133,'9998',54.03,1,3,NULL),(16,3131939,'1990-07-28 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241215312431556932575124610152147',2608,'270',64.99,1,3,NULL),(16,3131947,'1990-08-09 00:00:00',4,1,12,2007,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241216372431679914574121230224053',4626,'1133',59.48,1,3,NULL),(16,3131955,'1991-11-20 00:00:00',4,1,11,2008,'F','N','NOVA MATãO','MATãO','SP','125252251217111531488811491112610164122',7921,'9998',52.56,1,3,NULL),(16,3131998,'1991-06-15 00:00:00',4,8,11,2008,'M','N','CENTRO','JOINVILLE','SC','124242241217111411467932575122610167062',10163,'486',48.50,1,3,NULL),(16,3132005,'1990-03-26 00:00:00',4,1,12,2007,'M','N','JARDIM TRUSSARDI','S PAULO','SP','125254251217471431559914385111610167047',10357,'9998',48.16,1,3,NULL),(16,3132013,'1989-09-22 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241216473731548611572124610165142',9225,'1022',50.21,1,3,NULL),(16,3132021,'1982-03-11 00:00:00',2,1,12,2001,'M','N','CAPÃO','GAROPABA','SC','124241241127275711631229435234132867117',8205,'322',51.98,1,2,1),(16,3132030,'1991-09-07 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241117141431446614242124610127142',15062,'307',39.53,1,2,1),(16,3132056,'1979-07-27 00:00:00',4,1,12,1999,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','624202201116141431248944445134240718012',NULL,'9998',0.00,1,3,NULL),(16,3132064,'1990-04-04 00:00:00',2,4,12,2007,'M','N','MARIA GORRETE','CHAPECO','SC','124201201144471441447915371325610147041',14977,'9998',39.71,1,2,1),(16,3132072,'1989-07-30 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124243241316273411459613375124231046092',9470,'1022',49.78,1,3,NULL),(16,3132080,'1990-03-29 00:00:00',4,2,12,2007,'F','N','CENTRO','TIMBó','SC','124241241215372431338831344332610167072',11361,'9997',46.39,1,3,NULL),(16,3132099,'1979-06-11 00:00:00',4,1,12,2000,'F','N','TRINDADE','FLORIANóPOLIS','SC','624131131147272431323373112324610131162',8706,'9998',51.07,4,1,1),(16,3132102,'1974-07-01 00:00:00',5,8,12,1991,'M','N','BOA VISTA','JOINVILLE','SC','124242241216273411359514445122321527097',NULL,'461',0.00,1,3,NULL),(16,3132110,'1989-09-29 00:00:00',4,5,12,2006,'M','N','SãO LUIS','SOMBRIO','SC','124242241217373431547812215122610162012',NULL,'770',24.95,1,3,NULL),(16,3132129,'1990-04-20 00:00:00',2,10,12,2007,'M','N','TERMAS','GRAVATAL','SC','124241161411112431436614342122232367032',10073,'9998',48.64,1,3,NULL),(16,3132137,'1990-04-28 00:00:00',2,1,12,2006,'M','N','VILA NOVA','TROMBUDO CENTRAL','SC','124241241116373431348823344123610124147',11500,'796',46.17,1,2,1),(16,3132145,'1983-04-28 00:00:00',4,1,12,2000,'F','N','COQUEIROS','FLORIANóPOLIS','SC','224201203236374431246653375122610125187',7067,'9998',54.16,1,3,NULL),(16,3132161,'1994-03-10 00:00:00',4,9,11,2008,'F','N','CORAL','LAGES','SC','124242241215131431339921475122610133012',NULL,'497',27.43,1,3,NULL),(16,3132170,'1991-08-18 00:00:00',4,7,12,2008,'F','N','CENTRO','PAIM FILHO','RS','120201201147131431357639595125610137077',NULL,'9998',24.68,1,3,NULL),(16,3132188,'1989-11-18 00:00:00',2,1,11,2007,'M','N','CÓRREGO GRANDE','FLORIANóPOLIS','SC','124112111417471411126811174114610122187',4583,'9998',59.59,1,3,NULL),(16,3132196,'1988-11-10 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241212121122425534481212232634166',14579,'967',40.55,1,3,NULL),(16,3132200,'1991-07-19 00:00:00',4,7,12,2008,'F','N','ESTAçãO LUZERNA','HERVAL D OESTE','SC','124241241136111431633314245122610133142',NULL,'539',0.00,1,2,1),(16,3132218,'1990-01-16 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124244241215372431468832342124610127126',1476,'1048',69.47,1,3,NULL),(16,3132226,'1989-09-21 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241211513431567611571125232412097',NULL,'270',45.07,1,3,NULL),(16,3132242,'1986-07-31 00:00:00',2,1,12,2003,'F','N','BELA VISTA','S JOSé','SC','124241241116134431447411341124610162097',9487,'739',49.75,1,2,1),(16,3132269,'1990-09-17 00:00:00',2,1,12,2007,'M','N','CAMPINAS','S JOSé','SC','124242241212142412467714345124610114143',NULL,'1036',29.24,1,3,NULL),(16,3132293,'1989-03-04 00:00:00',2,1,12,2006,'F','N','FAZENDA SANTO ANTôNI','S JOSé','SC','124241241415372231443531225333130827142',16520,'1074',35.39,1,3,NULL),(16,3132307,'1990-04-28 00:00:00',2,4,12,2007,'F','N','CENTRO','ESTAçãO','RS','120201201246472712346839574124610128187',4972,'9998',58.67,1,3,NULL),(16,3132315,'1990-07-05 00:00:00',2,8,12,2007,'F','N','CENTRO','CAMBARá','PR','116162161116371431337923575125610126097',14133,'9998',41.37,1,3,NULL),(16,3132323,'1991-10-16 00:00:00',4,1,11,2008,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124244241115371431627611275124610167117',10896,'271',47.20,1,3,NULL),(16,3132358,'1987-01-20 00:00:00',2,1,12,2005,'F','N','CENTRO','CANDELáRIA','RS','120201201137131131423117342311610154187',NULL,'9998',20.24,1,3,NULL),(16,3132366,'1989-03-25 00:00:00',4,6,12,2006,'M','N','CENTRO','CURITIBA','PR','116162161235471411369923412125141012117',1746,'9998',68.22,1,3,NULL),(16,3132374,'1983-10-12 00:00:00',2,1,12,2001,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241248121134731121444241334231068147',NULL,'283',0.00,1,3,NULL),(16,3132390,'1990-07-12 00:00:00',4,1,12,2008,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112124128432212211378831594122610114141',2879,'9998',64.15,1,3,NULL),(16,3132404,'1985-08-02 00:00:00',4,7,12,2002,'M','N','CENTRO','HERVAL D OESTE','SC','124254251226151731268843135122231067187',1283,'9998',70.49,1,3,NULL),(16,3132420,'1990-04-16 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124243241215111431416614572122610128112',NULL,'1038',26.94,1,3,NULL),(16,3132439,'1991-06-27 00:00:00',4,6,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242248215111431436932595122610144142',NULL,'1038',35.08,1,3,NULL),(16,3132463,'1963-01-19 00:00:00',2,9,12,1980,'M','N','EXPOSIçãO','CAXIAS SUL','RS','120204206236471431333343332322241067047',NULL,'9998',0.00,1,3,NULL),(16,3132471,'1989-09-18 00:00:00',2,1,12,2005,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124202201216153431115649395224222323147',14707,'9998',40.26,1,3,NULL),(16,3132480,'1990-07-06 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241315432421521344242124610135147',6753,'1050',54.75,1,3,NULL),(16,3132498,'1989-05-31 00:00:00',4,5,12,2006,'F','N','COLONINHA','ARARANGUá','SC','124242241217473751368811471245610167017',2487,'970',65.37,1,3,NULL),(16,3132501,'1987-01-22 00:00:00',2,1,11,2005,'F','N','AREIAS','S JOSé','SC','124242241232273431535519145134130264091',15260,'976',39.07,1,3,NULL),(16,3132510,'1988-01-27 00:00:00',4,1,12,2005,'M','N','TAPERA','FLORIANóPOLIS','SC','124102247245373441238913176114610137096',11399,'9999',46.35,1,3,NULL),(16,3132528,'1991-09-06 00:00:00',2,3,12,2008,'M','N','VíGOLO','NOVA TRENTO','SC','124241241146131431534639575122610152017',15033,'574',39.59,1,2,1),(16,3132536,'1986-04-07 00:00:00',4,1,12,2003,'M','N','VILA NOGUEIRA','DIADEMA','SP','125251251147131431367829485122610164192',NULL,'9998',0.00,1,2,1),(16,3132552,'1990-12-03 00:00:00',2,4,12,2007,'F','N','BELA VISTA','CHAPECó','SC','124241241335372431333932385124610127052',9749,'1046',49.25,1,3,NULL),(16,3132560,'1992-12-21 00:00:00',4,1,12,2009,'F','S','JARDIM AQUáRIUS','PALHOçA','SC','124241248225111431527531572124610124067',NULL,'262',27.66,3,3,NULL),(16,3132579,'1990-08-23 00:00:00',4,6,12,2007,'F','N','SANTO ANTôNIO','BAL PIçARRAS','SC','124242241416151431355919175115610168192',NULL,'614',28.13,1,3,NULL),(16,3132587,'1991-08-05 00:00:00',4,1,11,2008,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241116371411338334272124610161142',4852,'307',58.96,1,2,1),(16,3132595,'1991-08-03 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241117271411444833573124610136192',6529,'267',55.21,1,2,1),(16,3132609,'1985-12-14 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241117473511428729385125133212027',NULL,'307',26.08,1,3,NULL),(16,3132617,'1991-03-18 00:00:00',4,8,11,2008,'F','N','AMERICA','JOINVILLE','SC','124242241215321431569913475122610134052',11571,'486',46.06,1,3,NULL),(16,3132625,'1991-10-29 00:00:00',4,6,12,2008,'M','N','CENTRO','BAL PIçARRAS','SC','124242241216151431449833375122610144142',6974,'1031',54.34,1,3,NULL),(16,3132633,'1990-08-14 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124202201216272431168823495324610122182',3376,'9998',62.77,1,3,NULL),(16,3132641,'1988-07-19 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANóPOLIS','SC','124243241311241531627542125124610134043',NULL,'288',22.47,4,3,NULL),(16,3132650,'1991-08-24 00:00:00',2,1,12,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241215122431469952575114610144122',6649,'270',54.97,1,3,NULL),(16,3132668,'1992-11-23 00:00:00',4,1,12,2009,'F','S','CENTRO','STO AMARO IMPERATRIZ','SC','124243241415151412224622591122610164197',NULL,'1014',23.62,1,3,NULL),(16,3132676,'1985-01-30 00:00:00',4,1,12,2002,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241111153421535533432114133262197',7483,'307',53.35,1,2,1),(16,3132684,'1988-03-08 00:00:00',2,1,12,2005,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124241241346153431448414242133610137047',NULL,'737',25.82,1,3,NULL),(16,3132706,'1991-04-02 00:00:00',4,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242241215271431467932576112610126122',1018,'457',71.98,1,3,NULL),(16,3132722,'1988-12-10 00:00:00',2,9,12,2006,'F','N','BOTAFOGO','BENTO GONçALVES','RS','120201201116572431448669385124140627112',13785,'9998',42.09,1,2,1),(16,3132749,'1991-02-07 00:00:00',2,1,11,2008,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241115151411668624345125610162062',8772,'267',50.95,3,3,NULL),(16,3132765,'1987-05-26 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124252251216474431547823575124221725095',7586,'9998',53.18,1,3,NULL),(16,3132773,'1991-11-12 00:00:00',4,1,11,2008,'F','N','FUNDOS','BIGUAçU','SC','124243241515111431436934282124610147087',NULL,'20',26.05,4,3,NULL),(16,3132781,'1991-04-03 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111431366832572124610163012',NULL,'270',31.39,1,3,NULL),(16,3132790,'1989-10-01 00:00:00',2,10,12,2006,'F','N','PROGRESSO','LAGUNA','SC','124241241111271331423629571224131516147',14895,'521',39.89,1,2,1),(16,3132803,'1989-11-25 00:00:00',4,3,12,2007,'M','N','CAPãO RASO','CURITIBA','PR','116162161317331431426311585114610162192',NULL,'9998',27.47,1,3,NULL),(16,3132811,'1985-10-07 00:00:00',2,1,6,2004,'M','N','FLORESTA','S JOSé','SC','124242241111133431666813342124610164187',NULL,'739',25.77,2,1,2),(16,3132820,'1992-07-07 00:00:00',4,1,12,2009,'F','S','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215111411349913594122610141012',NULL,'262',43.96,1,3,NULL),(16,3132838,'1992-02-21 00:00:00',4,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241212111431266923575122610123092',NULL,'723',28.24,1,3,NULL),(16,3132854,'1991-03-23 00:00:00',2,1,12,2008,'F','N','DEER','CAçADOR','SC','124244241214121431358812575122610132141',NULL,'120',0.00,1,3,NULL),(16,3132862,'1990-05-04 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215372731426714572124610167142',2840,'1057',64.25,1,3,NULL),(16,3132870,'1991-01-07 00:00:00',4,1,12,2008,'M','N','VILA PENTEADO','S PAULO','SP','125252251217151431449614575124610124092',NULL,'9998',0.00,1,3,NULL),(16,3132889,'1988-02-28 00:00:00',4,9,11,2005,'F','N','FREI ROGÉRIO','LAGES','SC','124242241214573431468954571112610162147',NULL,'497',36.65,1,3,NULL),(16,3132897,'1991-07-11 00:00:00',4,1,12,2008,'F','N','NOSSA SRA DO ROSáRIO','S JOSé','SC','124243241315121431466611276124610167142',9954,'270',48.85,4,3,NULL),(16,3132900,'1990-08-07 00:00:00',4,8,1,2007,'M','N','BOA VISTA','JOINVILLE','SC','124242241217371411466632575111610127092',938,'459',72.43,1,3,NULL),(16,3132919,'1992-08-07 00:00:00',2,2,12,2008,'F','N','CENTRO','BENEDITO NOVO','SC','124243241215111431438831315124610144187',NULL,'1157',28.71,1,3,NULL),(16,3132927,'1990-12-13 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSé','SC','124242241215471431378713375124610127172',16405,'737',35.91,1,3,NULL),(16,3132935,'1975-04-02 00:00:00',2,1,12,1998,'F','N','CAMPECHE','FLORIANóPOLIS','SC','524252251236272751139641414124342633117',4847,'9998',58.98,1,3,NULL),(16,3132951,'1990-11-27 00:00:00',4,8,12,2007,'M','N','BOA VISTA','CURITIBA','PR','116254161415371431539813575114143222047',NULL,'9998',0.00,1,3,NULL),(16,3132960,'1991-01-10 00:00:00',2,1,12,2008,'F','N','CENTRO','CAçADOR','SC','124242241214151431464632574112610146052',NULL,'1124',31.08,1,3,NULL),(16,3132978,'1991-06-14 00:00:00',4,2,12,2008,'F','N','SãO LUIZ','BRUSQUE','SC','124242241215272511369911575122610142147',4202,'107',60.48,1,3,NULL),(16,3132986,'1991-10-03 00:00:00',2,10,12,2008,'F','N','PROGRESSO','LAGUNA','SC','124241241116371431446619575122610128147',12207,'521',44.89,1,2,1),(16,3132994,'1990-07-12 00:00:00',2,1,12,2008,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241115111451568923572122610132145',11866,'267',45.53,1,2,1),(16,3133001,'1992-06-02 00:00:00',4,7,12,2009,'F','S','MARTELI','VIDEIRA','SC','124241241216151531473311475122610133147',NULL,'1080',32.05,1,3,NULL),(16,3133010,'1991-06-18 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242251211132431332219595124610167072',10474,'1118',47.96,1,3,NULL),(16,3133028,'1991-09-16 00:00:00',4,3,12,2008,'M','N','JARDIM PETRóPOLIS','LONDRINA','PR','116162161215271431379519572122610137042',13235,'9998',43.09,1,3,NULL),(16,3133036,'1991-05-25 00:00:00',2,8,12,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241217131731468839572114610167062',11162,'457',46.72,1,3,NULL),(16,3133060,'1991-05-03 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241117371731428933575124610127042',4893,'739',58.88,1,3,NULL),(16,3133079,'1985-08-06 00:00:00',2,8,12,2002,'M','N','VILA NOVA MAZZEI','S PAULO','SP','125251251117371411433629431114143262047',NULL,'9998',35.79,1,2,1),(16,3133087,'1990-08-03 00:00:00',3,1,8,2008,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124242247215372431548812424124610137077',9937,'9999',48.89,1,3,NULL),(16,3133109,'1989-10-14 00:00:00',4,1,12,2007,'M','N','COLINAS','S JOSé CAMPOS','SP','125252251215471441468833371122610164132',8165,'9998',52.09,1,3,NULL),(16,3133117,'1992-07-13 00:00:00',4,10,11,2009,'F','S','MAR GROSSO','LAGUNA','SC','124242244215111431449619495124610162077',NULL,'807',0.00,1,3,NULL),(16,3133125,'1982-07-22 00:00:00',4,1,12,1999,'M','N','PETROPOLIS','PTO ALEGRE','RS','120204201216571731359929311112541267117',1705,'9998',68.39,2,3,NULL),(16,3133133,'1990-10-25 00:00:00',4,1,12,2007,'M','N','GUIOMAR DE FORA','ANTôNIO CARLOS','SC','124241241114132431533435172224610146047',11742,'21',45.74,1,2,1),(16,3133141,'1990-05-08 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124242241215412411577933575122610127141',6395,'270',55.48,1,3,NULL),(16,3133150,'1991-07-17 00:00:00',4,1,12,2008,'M','N','BRIGIDA','VENâNCIO AIRES','RS','120202201216151411424833295121610162097',9306,'9998',50.06,1,3,NULL),(16,3133168,'1989-11-26 00:00:00',2,1,12,2007,'F','N','ASA NORTE','BRASíLIA','DF','107072071215371412568713572112610121077',9239,'9998',50.18,1,3,NULL),(16,3133184,'1993-05-26 00:00:00',4,1,12,2010,'M','S','BARREIROS','S JOSé','SC','124242241215211431458614592124610136142',NULL,'1118',26.94,1,3,NULL),(16,3133192,'1991-03-03 00:00:00',4,8,11,2008,'F','N','SAGUAçU','JOINVILLE','SC','124242241215121431339812575122610131123',7256,'1063',53.80,1,3,NULL),(16,3133206,'1987-10-18 00:00:00',4,1,12,2005,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124241241147371731426614291134610167047',12398,'1005',44.56,2,1,1),(16,3133214,'1991-04-25 00:00:00',2,1,11,2008,'M','N','BALNEáRIO ESTREITO','FLORIANóPOLIS','SC','124242241215111431469711575124610127112',NULL,'270',41.84,1,3,NULL),(16,3133222,'1991-11-19 00:00:00',4,1,12,2009,'F','S','COQUEIROS','FLORIANóPOLIS','SC','124242241215111411378823432112610162092',NULL,'262',38.75,1,3,NULL),(16,3133230,'1991-11-25 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241217112431466639272124610165147',8277,'270',51.82,1,3,NULL),(16,3133249,'1986-04-18 00:00:00',2,1,12,2003,'F','N','RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC','124241241121131411323624281224330833057',NULL,'1',38.19,1,2,1),(16,3133265,'1990-12-30 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124132241315111731348924575121610127092',2524,'267',65.25,1,3,NULL),(16,3133281,'1990-11-12 00:00:00',2,1,12,2007,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','624204201217471431528674143224610135057',NULL,'9998',15.94,1,3,NULL),(16,3133303,'1991-06-13 00:00:00',2,4,12,2008,'F','N','INTERIOR','CRISSIUMAL','RS','120201201117371721533335596324610167052',NULL,'9998',32.08,1,3,NULL),(16,3133320,'1990-01-06 00:00:00',4,3,11,2007,'M','N','CENTRO','CURITIBA','PR','116242248245442451458912295124610167012',NULL,'9997',43.34,1,3,NULL),(16,3133338,'1990-04-13 00:00:00',4,1,12,2007,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241332271331436624342124610135152',NULL,'1075',22.96,1,3,NULL),(16,3133346,'1989-04-22 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124161161117131421429644212224610167183',NULL,'9998',0.00,1,2,1),(16,3133354,'1989-09-24 00:00:00',2,1,12,2008,'M','N','FLORESTA','LAJEADO','RS','120203201217271431446834585122610127047',NULL,'9998',0.00,1,3,NULL),(16,3133362,'1989-10-17 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241414573431439413574122610167147',1595,'499',68.92,1,3,NULL),(16,3133370,'1989-06-10 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANóPOLIS','SC','124212211217471441479819575111610167117',NULL,'9998',28.29,1,3,NULL),(16,3133397,'1990-05-27 00:00:00',4,1,12,2007,'F','N','OURO FINO','SOROCABA','SP','125253251216372431447834592114610131147',NULL,'9998',26.13,1,3,NULL),(16,3133419,'1991-06-18 00:00:00',4,8,12,2008,'M','N','ATIRADORES','JOINVILLE','SC','124242241216272751369912575111610164122',4059,'1063',60.90,1,3,NULL),(16,3133427,'1991-07-23 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215131421557813572122610127047',NULL,'1077',28.36,1,3,NULL),(16,3133435,'1991-06-19 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANóPOLIS','SC','124242241215111231377923242122610127092',5826,'272',56.72,1,3,NULL),(16,3133443,'1988-06-29 00:00:00',4,2,12,2005,'F','N','ALTO DA BOA VISTA','ROLANDIA','PR','116162161216571431358712475122610123077',2082,'9998',66.87,1,3,NULL),(16,3133460,'1991-12-07 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215151431468814574112610167142',2410,'737',65.67,1,3,NULL),(16,3133478,'1990-12-17 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241216111411238829575124610112017',5894,'1022',56.59,1,3,NULL),(16,3133486,'1989-10-18 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241217473431447833472344610166177',4503,'270',59.75,1,3,NULL),(16,3133494,'1992-02-12 00:00:00',4,4,12,2008,'M','N','CENTRO','CEL FREITAS','SC','124242241216111431356612275124610127052',5085,'168',58.43,1,3,NULL),(16,3133508,'1989-01-30 00:00:00',2,1,12,2007,'M','N','BOSQUE DA SAÚDE','S PAULO','SP','125252251217371741336723471125141767117',NULL,'9998',0.00,1,3,NULL),(16,3133516,'1991-02-21 00:00:00',2,6,12,2007,'F','N','TABULEIRO','ITAPEMA','SC','124241241147131431533369187121231467157',13044,'406',43.43,1,2,1),(16,3133524,'1992-06-01 00:00:00',2,6,12,2009,'M','S','CENTRO','BAL CAMBORIú','SC','124242241211111431356639596124610162181',NULL,'1057',47.51,1,3,NULL),(16,3133532,'1991-10-24 00:00:00',4,4,12,2008,'M','N','ALVORADA','FRANCISCO BELTRãO','PR','616161168215111731429932272122613264147',NULL,'9998',34.47,1,3,NULL),(16,3133559,'1990-06-29 00:00:00',4,3,12,2007,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215471431469911492125610127182',4106,'1038',60.76,1,3,NULL),(16,3133567,'1991-05-19 00:00:00',4,7,12,2008,'M','N','BOA VISTA','JOAçABA','SC','124241241116371432444614575124610127057',12396,'449',44.56,1,2,1),(16,3133575,'1983-02-07 00:00:00',4,1,9,2000,'M','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','124242241237151411559833475121143264047',9130,'262',50.35,4,3,NULL),(16,3133583,'1987-07-24 00:00:00',4,1,12,2004,'F','N','JARDIM CRISTINA','MOGI GUAçU','SP','125251251136572431535414185112610162042',4251,'9998',60.36,1,2,1),(16,3133591,'1989-12-08 00:00:00',2,1,12,2008,'M','N','VILA SANTO ANTONIO','MARINGá','PR','116161161315271331665532345122610127052',NULL,'9998',0.00,1,3,NULL),(16,3133605,'1989-10-30 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241217372421458713572124610113142',11798,'1022',45.63,1,3,NULL),(16,3133613,'1991-12-07 00:00:00',4,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAçU','SC','124241241146131431533611575121610124092',NULL,'1088',21.93,1,3,NULL),(16,3133621,'1989-02-27 00:00:00',4,3,12,2006,'M','N','FLORESTA','PTO ALEGRE','RS','120242241237373731359814375114610162042',11108,'44',46.82,1,3,NULL),(16,3133630,'1988-05-01 00:00:00',4,1,12,2006,'M','N','KOBRASOL','S JOSé','SC','124241247322371332434339385124610114092',16223,'1076',36.62,1,3,NULL),(16,3133648,'1992-03-05 00:00:00',4,1,12,2008,'M','N','SANTA MARIA','ANTôNIO CARLOS','SC','124241241115131431423414172324610124142',NULL,'21',30.28,1,2,1),(16,3133656,'1991-10-12 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','614143141415111211446613372224610124192',487,'9998',75.88,1,3,NULL),(16,3133664,'1989-04-02 00:00:00',4,1,11,2007,'M','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241215473411349954574112610167047',NULL,'270',34.93,1,3,NULL),(16,3133672,'1989-04-07 00:00:00',4,1,12,2006,'F','N','RATONES','FLORIANóPOLIS','SC','124202201216471711248866475114610124191',7102,'9998',54.10,4,3,NULL),(16,3133680,'1990-04-26 00:00:00',4,4,5,2008,'F','N','SAO FRANCISCO','S LOURENçO OESTE','SC','124242161215271411348833171114610133151',7943,'9998',52.52,1,3,NULL),(16,3133710,'1991-01-31 00:00:00',4,8,12,2008,'F','N','CENTRO','CANOINHAS','SC','124241241115151451437619575125610167143',NULL,'146',27.63,1,2,1),(16,3133737,'1991-10-14 00:00:00',4,8,12,2010,'M','S','BUCAREIN','JOINVILLE','SC','124242241215111431469832575112610127042',NULL,'457',0.00,1,3,NULL),(16,3133745,'1989-12-17 00:00:00',4,8,12,2006,'F','N','BOM RETIRO','JOINVILLE','SC','124242241235473431489813342124231461015',405,'270',76.75,1,3,NULL),(16,3133761,'1991-10-10 00:00:00',4,1,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241235111231338869571122610167117',13894,'1038',41.87,1,3,NULL),(16,3133788,'1991-06-07 00:00:00',4,1,11,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124244241315121731469813375124610127142',2717,'270',64.63,1,3,NULL),(16,3133796,'1988-07-05 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124233241115232431336623382124610133141',11127,'295',46.79,4,3,NULL),(16,3133800,'1989-11-07 00:00:00',4,8,12,2007,'M','N','RIO BANDEIRA','PRES NEREU','SC','124241241127112411423615554224610134057',NULL,'645',44.73,1,2,1),(16,3133818,'1987-10-04 00:00:00',2,1,12,2004,'F','N','PANTANAL','FLORIANóPOLIS','SC','124243241312143411459713315124230263147',11350,'269',46.41,1,3,NULL),(16,3133826,'1980-03-10 00:00:00',2,1,12,1999,'M','N','FORQUILHINHAS','S JOSé','SC','124241241127173451348624342112610124095',NULL,'736',29.90,1,2,1),(16,3133834,'1991-03-02 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241211372411447734572114610132147',4524,'1022',59.71,1,3,NULL),(16,3133842,'1990-06-13 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111411489834572124610164175',13548,'270',42.54,1,3,NULL),(16,3133850,'1987-12-29 00:00:00',4,1,6,2006,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241242122333331425449193131130224042',NULL,'9999',9.35,1,3,NULL),(16,3133869,'1991-02-16 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124243241215112431458811575112610164197',7964,'723',52.49,1,3,NULL),(16,3133885,'1988-10-15 00:00:00',4,1,11,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241217574431369814575124610124092',10007,'270',48.77,1,3,NULL),(16,3133907,'1989-10-12 00:00:00',4,3,12,2006,'F','N','ZONA UM A','UMUARAMA','PR','116164161215571431436714575122610134017',12426,'9998',44.51,1,3,NULL),(16,3133923,'1991-06-06 00:00:00',4,1,12,2008,'M','N','JACARECICA','MACEIó','AL','102022021217111731487933575112610138112',10412,'9998',48.07,1,3,NULL),(16,3133940,'1963-10-03 00:00:00',2,8,12,1990,'F','N','TIFA MARTINS','JARAGUá SUL','SC','524201207126131431431149492224342762147',NULL,'9999',23.27,3,2,1),(16,3133958,'1991-07-11 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215112431357933592114610127057',4276,'1022',60.31,1,3,NULL),(16,3133966,'1991-03-21 00:00:00',2,5,12,2008,'F','N','ÚLTIMO RIO','JACINTO MACHADO','SC','124241241115271431423315571124610125177',10967,'420',47.08,1,2,1),(16,3133974,'1989-07-22 00:00:00',4,8,11,2007,'F','N','SãO JOSé','POçOS CALDAS','MG','113134131217371431445832274112610124142',6832,'9998',54.60,1,3,NULL),(16,3133982,'1990-12-05 00:00:00',4,2,12,2008,'F','N','SAO LUIZ','BRUSQUE','SC','124242241215272431377912275122610126192',1441,'107',69.58,1,3,NULL),(16,3133990,'1989-08-02 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSé','SC','124242241217371731368819375112610167062',NULL,'9997',17.04,1,3,NULL),(16,3134008,'1989-02-14 00:00:00',2,1,11,2005,'F','N','CENTRO','FLORIANOPOLIS','SC','124244247417131432337869592114610112187',NULL,'9999',17.65,1,3,NULL),(16,3134016,'1990-06-12 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241115152431568933475112220737052',10846,'267',47.28,1,2,1),(16,3134024,'1992-02-14 00:00:00',4,6,12,2009,'F','S','JARDIM IGUAçU','PARANAVAí','PR','116164161217111431338832572113610126097',NULL,'9998',53.90,1,3,NULL),(16,3134032,'1991-06-06 00:00:00',4,1,11,2008,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241215511751468852575124610133022',685,'270',74.32,1,3,NULL),(16,3134059,'1991-03-11 00:00:00',4,2,10,2008,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241215131431446814572124610165142',6782,'909',54.69,1,3,NULL),(16,3134067,'1989-10-16 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOçA','SC','124242241215372431644479272124610125052',6432,'1011',55.42,1,3,NULL),(16,3134075,'1986-12-11 00:00:00',2,1,12,2004,'M','N','JARDIM LAURA','S PAULO','SP','125251253116131431221127485115610164084',3211,'9998',63.26,4,1,1),(16,3134083,'1991-12-19 00:00:00',2,4,12,2008,'M','N','BORTOLON','XANXERê','SC','124244241216271431325524575122610115192',12468,'983',44.45,1,3,NULL),(16,3134091,'1987-06-26 00:00:00',2,1,12,2005,'F','N','ITAGUAÇU','FLORIANóPOLIS','SC','124242241337131431316744242334130623147',15241,'818',39.10,1,3,NULL),(16,3134105,'1990-09-19 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124242241211272451469913594125610168042',9945,'723',48.87,1,3,NULL),(16,3134113,'1991-10-28 00:00:00',4,1,11,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124242241215112711448833572114610128187',10160,'270',48.50,4,3,NULL),(16,3134121,'1991-04-24 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124242247216131411446677572124610165047',13680,'9999',42.31,1,3,NULL),(16,3134130,'1991-12-27 00:00:00',4,8,12,2008,'M','N','CENTRO','ENG BELTRãO','PR','116161161136271432633935592125610122041',NULL,'9998',0.00,1,2,1),(16,3134148,'1991-06-25 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431223721575125610132172',13858,'270',41.92,1,3,NULL),(16,3134156,'1990-07-09 00:00:00',4,1,12,2007,'F','N','SERTãO DO MARUIN','S JOSé','SC','124241241116131421436614495124230227052',NULL,'307',21.85,1,3,NULL),(16,3134164,'1987-08-09 00:00:00',4,2,12,2005,'F','N','IMIGRANTES','TIMBó','SC','124241241215372431434614374122131321127',NULL,'956',0.00,1,3,NULL),(16,3134180,'1988-03-12 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242247115171431558633575124610124047',NULL,'9999',20.63,1,3,NULL),(16,3134199,'1991-08-05 00:00:00',2,4,12,2008,'M','N','CENTRO','BOM JESUS','SC','124243241415131431333332175124610168057',8588,'836',51.28,1,3,NULL),(16,3134202,'1983-12-19 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANóPOLIS','SC','624161161116112431354754375122141731095',6270,'9998',55.75,1,2,1),(16,3134210,'1991-08-31 00:00:00',4,8,12,2008,'F','N','VILA FERROVIARIA','MAFRA','SC','124241168415151731255813371122610127013',NULL,'9998',32.61,1,3,NULL),(16,3134229,'1990-04-02 00:00:00',4,1,12,2007,'M','N','SãO LOURENçO','CPO GRANDE','MS','112254258447271431447611275124610134117',13676,'9998',42.32,1,3,NULL),(16,3134237,'1991-06-12 00:00:00',4,1,12,2008,'M','N','NOVA ALIANCA','RIBEIRãO PRETO','SP','125252251215111432448611315122610166122',NULL,'9998',0.00,1,3,NULL),(16,3134245,'1991-10-22 00:00:00',4,1,12,2008,'F','N','SETOR BUENO','GOIâNIA','GO','109092091216111431368313575125610116142',5725,'9998',57.00,1,3,NULL),(16,3134253,'1990-09-27 00:00:00',5,10,11,2008,'M','N','CENTRO','TUBARãO','SC','124244241217132431127621345134610144067',15788,'809',37.81,1,3,NULL),(16,3134261,'1988-12-07 00:00:00',4,3,12,2006,'M','N','CENTRO','BAL CAMBORIú','SC','124251251117161431336631445124143227042',NULL,'9998',16.28,1,2,1),(16,3134270,'1991-09-02 00:00:00',2,1,12,2008,'F','N','CENTRO','PORTãO','RS','120201201234111431338631571124610118193',NULL,'9998',29.39,1,3,NULL),(16,3134288,'1989-06-19 00:00:00',4,1,12,2008,'F','N','VILA SOBRINHO','CPO GRANDE','MS','112124128434313211267834592122610114141',575,'9998',75.14,1,3,NULL),(16,3134296,'1991-12-13 00:00:00',4,1,12,2008,'F','N','UBERABA','CURITIBA','PR','116162161216111431658972175124610142144',NULL,'9998',0.00,1,3,NULL),(16,3134300,'1990-02-07 00:00:00',4,1,11,2008,'F','N','CENTRO','CASCAVEL','PR','116162161217111431246929575122610133142',NULL,'9998',0.00,1,3,NULL),(16,3134318,'1990-09-03 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215472221468811575124610167082',6345,'109',55.59,1,3,NULL),(16,3134326,'1986-09-17 00:00:00',4,1,12,2003,'F','N','CENTRO','PTO ALEGRE','RS','120254251216574431138714575124120266194',380,'9998',77.05,1,3,NULL),(16,3134334,'1991-02-03 00:00:00',4,4,11,2008,'M','N','CENTRO','CORONEL FREITAS','SC','124243241215111431438331395125610138057',NULL,'168',28.06,1,3,NULL),(16,3134342,'1992-05-14 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241117151421456634245122610122147',NULL,'732',26.91,1,2,1),(16,3134350,'1991-07-25 00:00:00',2,5,12,2008,'M','N','JARDIM DAS AVENIDAS','ARARANGUá','SC','124241241215111431559313432122610123147',5430,'32',57.62,1,3,NULL),(16,3134377,'1989-01-21 00:00:00',2,9,12,2006,'M','N','CENTRO','CURITIBANOS','SC','124241241117153431337619572125610148012',6020,'239',56.31,1,2,1),(16,3134393,'1991-03-11 00:00:00',4,1,12,2008,'M','N','CENTRO','SOROCABA','SP','125252251217111431378831575124610136172',NULL,'9998',47.62,1,3,NULL),(16,3134407,'1988-11-23 00:00:00',2,8,12,2005,'M','N','CENTRO','JOINVILLE','SC','124241241126131121123341212324610133057',NULL,'1082',28.86,1,2,1),(16,3134423,'1991-04-13 00:00:00',4,4,12,2008,'F','N','CENTRO','PALMA SOLA','SC','124241241125131431523635292122610137057',NULL,'598',0.00,1,2,1),(16,3134440,'1966-11-23 00:00:00',2,1,12,1984,'M','N','CARIANOS','FLORIANóPOLIS','SC','224201206126133421533349192132122332067',NULL,'9998',34.35,1,2,1),(16,3134466,'1990-02-06 00:00:00',2,6,12,2007,'F','N','LIMEIRA BAIXA','BRUSQUE','SC','124241241217371431543324244124610124092',NULL,'106',26.65,1,3,NULL),(16,3134474,'1985-01-22 00:00:00',4,1,12,2002,'M','N','ARRAIAL DA JUDA','PTO SEGURO','BA','105052051217575711368832495122240214182',NULL,'9998',0.00,1,3,NULL),(16,3134482,'1984-12-02 00:00:00',4,1,12,2002,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124252251216273411268812311122530244072',9982,'9998',48.81,1,3,NULL),(16,3134490,'1990-02-03 00:00:00',4,1,12,2007,'M','N','JD SANTANA','LIMEIRA','SP','125254251216472731448831315114610124017',7602,'9998',53.15,4,3,NULL),(16,3134504,'1986-04-15 00:00:00',1,4,12,2003,'M','N','INTERIOR','ARABUTã','SC','124241241116151431434415451212131064047',10141,'979',48.54,1,2,1),(16,3134512,'1991-11-06 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241215121431338611575122610127042',2064,'1118',66.92,1,3,NULL),(16,3134539,'1991-10-12 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124244241215111431458634592122610127042',3106,'1118',63.51,1,3,NULL),(16,3134547,'1991-10-03 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241248215111431356412595124610166097',7756,'1022',52.86,1,3,NULL),(16,3134563,'1990-09-13 00:00:00',4,1,11,2008,'F','N','VILA CARVALHO','S JOãO B VISTA','SP','125252251216111751248879575125610162177',9216,'9998',50.22,1,3,NULL),(16,3134571,'1991-10-02 00:00:00',4,8,12,2008,'F','N','FLORESTA','JOINVILLE','SC','124242241215151431446639271125610167147',8839,'459',50.83,1,3,NULL),(16,3134598,'1990-12-24 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215111431478832575122610167152',9296,'1038',50.09,1,3,NULL),(16,3134601,'1991-10-21 00:00:00',4,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241215111431536614572124610127112',13912,'269',41.83,1,3,NULL),(16,3134628,'1991-02-09 00:00:00',4,6,12,2008,'F','N','PIONEIROS','BAL CAMBORIú','SC','124241241316131431526611372124610127017',NULL,'1085',22.59,1,3,NULL),(16,3134636,'1979-06-20 00:00:00',2,1,7,2000,'F','N','INGLESES','FLORIANóPOLIS','SC','124201205116131431333344445134242733147',10637,'9998',47.67,1,3,NULL),(16,3134652,'1991-04-14 00:00:00',4,1,11,2008,'M','N','JARDIM ANA EMILIA','TAUBATé','SP','125251251126131711538823575111610117117',NULL,'9998',22.80,1,2,1),(16,3134660,'1986-06-12 00:00:00',2,1,12,2000,'F','N','ITACORUBI','FLORIANóPOLIS','SC','624241241116132451228653132234610134182',12042,'787',45.21,1,2,1),(16,3134679,'1992-07-20 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124242241215111321446613571123610167117',NULL,'723',25.18,1,3,NULL),(16,3134687,'1991-01-02 00:00:00',2,4,12,2008,'F','N','SANTO ANTONIO','CHAPECó','SC','124243241215111411338931375124610118177',NULL,'1021',18.27,1,3,NULL),(16,3134695,'1988-05-13 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124201207316272431526623382124610122141',NULL,'9999',20.33,1,3,NULL),(16,3134709,'1989-09-02 00:00:00',4,3,12,2008,'F','N','CENTRO','MARAU','RS','120203201126111222647613235123610168142',NULL,'9998',0.00,1,3,NULL),(16,3134717,'1991-08-31 00:00:00',4,1,12,2008,'F','N','CAIEIRA SACO LIMOES','FLORIANóPOLIS','SC','124241241116131411426613342122610113017',16210,'281',36.65,1,3,NULL),(16,3134725,'1989-12-23 00:00:00',4,8,12,2007,'M','N','GLORIA','JOINVILLE','SC','124243241135372431555612172214131447047',14704,'475',40.27,1,3,NULL),(16,3134733,'1990-10-17 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431448734572125610123197',9302,'270',50.07,1,3,NULL),(16,3134741,'1985-09-15 00:00:00',2,1,12,2002,'F','N','FAZENDA STO ANTONIO','S JOSé','SC','124241241116145421448623445134130862197',12805,'307',43.84,1,2,1),(16,3134750,'1992-10-03 00:00:00',2,5,11,2009,'F','S','CENTRO','SOMBRIO','SC','124242241215111431448912471122610166172',NULL,'970',43.68,1,3,NULL),(16,3134768,'1990-07-28 00:00:00',2,1,12,2007,'M','N','CIDADE JARDIM','AMERICANA','SP','125252251215471731445533392112610162057',9490,'9998',49.74,1,3,NULL),(16,3134776,'1991-07-23 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124032241217111411589932575114610166022',7495,'1022',53.33,1,3,NULL),(16,3134784,'1991-05-23 00:00:00',4,1,7,2008,'M','N','CANTRO','CPO GRANDE','MS','112122281216371431469932575124610162042',13257,'9998',43.05,1,3,NULL),(16,3134792,'1989-07-20 00:00:00',4,8,12,2006,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215573431369813575122610132015',832,'457',73.16,1,3,NULL),(16,3134814,'1990-10-29 00:00:00',4,1,11,2007,'F','N','TATUAPÉ','S PAULO','SP','125252251217371411668934375121610142097',NULL,'9998',0.00,1,3,NULL),(16,3134822,'1990-07-03 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124242241215372731666614372114610124117',4633,'943',59.47,1,3,NULL),(16,3134849,'1991-06-07 00:00:00',2,1,12,2008,'F','N','CODESPAULO','PIRAJU','SP','125252251216111411347814575122610134147',NULL,'9998',0.00,1,3,NULL),(16,3134857,'1987-04-07 00:00:00',4,1,12,2004,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124162161347272411226713472314223033182',6931,'9998',54.44,1,3,NULL),(16,3134865,'1987-03-05 00:00:00',2,1,8,2008,'M','N','GUARDA DO CUBATãO','PALHOçA','SC','124241248124131431621139156321610117147',NULL,'593',23.41,1,3,NULL),(16,3134873,'1992-06-05 00:00:00',2,8,12,2009,'F','S','ENGENIO SCHINEIDER','RIO SUL','SC','124242241215111431336512595122610134185',NULL,'991',27.47,1,3,NULL),(16,3134881,'1991-02-07 00:00:00',4,6,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215111431644621275124610126072',8034,'1038',52.35,1,3,NULL),(16,3134890,'1979-01-25 00:00:00',2,1,12,2002,'M','N','RIO GRANDE','PALHOçA','SC','124241248126133711526633345334610111047',14001,'739',41.64,4,1,1),(16,3134903,'1991-11-15 00:00:00',2,1,11,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244248215111751489912195124610127052',15831,'270',37.67,1,3,NULL),(16,3134911,'1987-01-16 00:00:00',2,1,12,2004,'F','N','FUNDOS','BIGUAçU','SC','124241241112131411336313472224610168187',NULL,'65',26.34,1,2,1),(16,3134920,'1990-04-10 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241115231431236829375114610128072',NULL,'307',33.93,5,3,NULL),(16,3134938,'1990-07-19 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241145151531336621215234610127045',NULL,'287',29.83,1,2,1),(16,3134946,'1990-11-06 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124252251215471711568814575122610123012',251,'9998',78.55,3,3,NULL),(16,3134954,'1992-02-10 00:00:00',2,1,12,2008,'F','N','GUARDA DO CUBATãO','PALHOçA','SC','124241241124131731521124295124610134147',NULL,'593',17.88,1,3,NULL),(16,3134989,'1960-02-26 00:00:00',4,1,12,1979,'M','N','CENTRO','FLORIANóPOLIS','SC','224241241236151421468643432132120916042',NULL,'262',0.00,1,3,NULL),(16,3134997,'1991-05-20 00:00:00',4,1,12,2008,'M','N','BELA VISTA','PTO ALEGRE','RS','120202201212471432369832572122610164117',11797,'9998',45.64,1,3,NULL),(16,3135004,'1991-06-04 00:00:00',4,2,12,2008,'F','N','CRISTAL','PTO ALEGRE','RS','120202201217421431367924572124610134042',NULL,'9998',0.00,1,3,NULL),(16,3135020,'1991-05-18 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','128284281417161411318972345122610163142',6956,'9998',54.37,1,3,NULL),(16,3135039,'1990-03-07 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215372551459831571144233236157',1793,'270',68.03,1,3,NULL),(16,3135055,'1981-05-25 00:00:00',4,1,12,2000,'M','N','BARREIROS','S JOSé','SC','124202201211374441227542424222131421053',NULL,'9998',24.22,1,3,NULL),(16,3135063,'1991-11-21 00:00:00',4,7,12,2008,'M','N','CENTRO','CATANDUVAS','SC','124241241115131431449833572125610127057',15355,'161',38.86,1,3,NULL),(16,3135071,'1993-01-04 00:00:00',4,9,12,2008,'F','N','CENTRO','IMBITUBA','SC','124244241415131431338723375124610168097',9271,'362',50.13,1,3,NULL),(16,3135080,'1991-01-29 00:00:00',2,1,12,2008,'F','N','CENTRO','AGROLâNDIA','SC','124163241515131431423319574224610156187',14571,'991',40.57,1,3,NULL),(16,3135098,'1986-09-18 00:00:00',4,1,11,2004,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241241117152431326663475124122868047',2087,'306',66.85,1,3,NULL),(16,3135101,'1989-01-22 00:00:00',4,1,12,2006,'M','N','SANTA TEREZINHA','PAULíNIA','SP','125251256117131331338674382124143217147',4945,'9998',58.75,2,1,1),(16,3135110,'1991-10-22 00:00:00',2,4,12,2008,'F','N','CENTRO','UNIãO OESTE','SC','124241241215111431466812572124610133142',NULL,'185',33.85,1,3,NULL),(16,3135128,'1991-07-24 00:00:00',2,8,12,2008,'M','N','ZONA RURAL','TRêS B PARANá','PR','116161161115171431534336271222610143172',2757,'9998',64.55,1,2,1),(16,3135136,'1991-03-14 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241215113431445612572124610123097',NULL,'300',29.24,1,3,NULL),(16,3135144,'1991-04-30 00:00:00',4,7,12,2008,'F','N','FLORESTA','VIDEIRA','SC','124241241114131431336923572322610166097',13144,'831',43.25,4,1,1),(16,3135152,'1988-11-24 00:00:00',2,1,12,2006,'F','N','ASA SUL','BRASíLIA','DF','107092091216571431468723575112610144147',NULL,'11',0.00,1,3,NULL),(16,3135160,'1990-11-23 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241415371431259923575124610122167',12710,'269',43.98,1,3,NULL),(16,3135179,'1992-11-30 00:00:00',2,1,11,2009,'F','S','BARREIROS','S JOSé','SC','124242241215111751347933175124610166072',NULL,'1118',40.77,1,3,NULL),(16,3135195,'1955-02-06 00:00:00',4,1,12,1974,'M','N','TRINDADE','FLORIANóPOLIS','SC','224242244216153441466549495122330264055',NULL,'805',23.04,1,3,NULL),(16,3135209,'1991-05-02 00:00:00',4,2,11,2008,'F','N','CENTRO','MAJ VIEIRA','SC','124013248315111231236633272122610126147',NULL,'973',0.00,1,3,NULL),(16,3135217,'1990-11-14 00:00:00',4,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSé','SC','124242248137131411438621312124613237047',NULL,'307',4.57,4,3,NULL),(16,3135225,'1985-08-10 00:00:00',2,1,12,2004,'M','N','PORTO DA LAGOA','FLORIANóPOLIS','SC','124243241127375231538611245124610162187',8207,'285',51.98,1,3,NULL),(16,3135233,'1987-12-18 00:00:00',4,7,12,2008,'F','N','FARROUPILHA','VIDEIRA','SC','124241241116132411323514575125610143147',NULL,'831',17.90,1,2,1),(16,3135250,'1991-09-28 00:00:00',4,7,11,2008,'M','N','CENTRO','HERVAL D OESTE','SC','124242241215371431458814575122610167072',9061,'962',50.48,1,3,NULL),(16,3135268,'1990-03-09 00:00:00',4,8,12,2007,'M','N','CENTRO','PACAEMBU','SP','125253251216411412438833595345610147057',NULL,'9998',0.00,3,3,NULL),(16,3135276,'1990-06-22 00:00:00',4,10,12,2008,'M','N','VILA MOEMA','TUBARãO','SC','124244241216151431466613572321610117022',16114,'1120',36.89,1,3,NULL),(16,3135284,'1991-08-31 00:00:00',4,1,12,2008,'F','N','PQ DOM ANTONEO REIS','STA MARIA','RS','120203201417371431426611315124610137052',NULL,'9998',0.00,1,3,NULL),(16,3135292,'1991-08-31 00:00:00',2,5,10,2008,'F','N','SÃO PEREGRINO','TURVO','SC','124241241115131431433319293224610158187',NULL,'814',29.87,1,2,1),(16,3135314,'1990-06-26 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124241241215372731236639595122610124147',NULL,'1076',33.80,1,3,NULL),(16,3135322,'1990-05-02 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124252241415372431433619345124610163192',NULL,'1076',22.53,1,3,NULL),(16,3135330,'1991-05-10 00:00:00',2,2,12,2008,'F','N','CENTRO','RIO CEDROS','SC','124241241215112731458613472122610127142',661,'1157',74.45,1,3,NULL),(16,3135349,'1992-01-08 00:00:00',4,1,12,2008,'M','N','CENTRO','CERRO LARGO','RS','120202201217371431459934575112610167052',1905,'9998',67.56,1,3,NULL),(16,3135357,'1990-12-27 00:00:00',2,10,12,2008,'F','N','CENTRO','TUBARãO','SC','124242241215111431359923574122610147047',9930,'797',48.90,1,3,NULL),(16,3135365,'1988-03-01 00:00:00',4,1,11,2006,'F','N','CENTRO','IJUí','RS','120202204217573431479911575122610132043',NULL,'9998',29.89,1,3,NULL),(16,3135373,'1992-07-08 00:00:00',2,1,11,2009,'F','S','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241216111132536614592114610118077',NULL,'1014',20.31,4,3,NULL),(16,3135381,'1991-11-25 00:00:00',4,8,12,2008,'M','N','CENTRO','GARUVA','SC','124244241217372431558632574124610166017',2626,'461',64.91,1,3,NULL),(16,3135390,'1991-04-13 00:00:00',4,1,12,2008,'M','N','CENTRO','S JOSé','SC','124242241216122431466831575124610126182',6426,'724',55.42,1,3,NULL),(16,3135403,'1990-09-15 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217473431138863572112610122072',1171,'270',71.10,1,3,NULL),(16,3135411,'1991-09-18 00:00:00',4,1,12,2008,'F','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','124241241115271431445312245124610132097',16621,'307',34.65,1,2,1),(16,3135420,'1986-07-03 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241126154411433311245123333214082',9511,'274',49.70,1,2,1),(16,3135438,'1990-10-26 00:00:00',4,9,12,2007,'M','N','CRISTAL','PTO ALEGRE','RS','120204201417471431446923571124610137057',NULL,'9998',40.30,4,3,NULL),(16,3135446,'1990-10-19 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241215473411469954571124610133092',5652,'270',57.16,1,3,NULL),(16,3135454,'1991-11-15 00:00:00',2,5,11,2008,'F','N','BARRO VERMELHO','ORLEANS','SC','124242241211111411459924571124610124092',6012,'820',56.33,1,3,NULL),(16,3135462,'1988-07-19 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243241217574411456613375124220364187',7322,'266',53.67,1,3,NULL),(16,3135470,'1991-09-27 00:00:00',4,1,11,2009,'F','S','FLORESTA','S JOSé','SC','124242241215112731477914572122610122192',NULL,'266',42.75,1,3,NULL),(16,3135489,'1991-07-02 00:00:00',4,1,11,2008,'M','N','CENTRO','IJUí','RS','120202201217271431479911575122610127043',NULL,'9998',43.71,1,3,NULL),(16,3135497,'1991-04-27 00:00:00',2,1,11,2008,'F','N','BAIRRO IPIRANGA','S JOSé','SC','124241241115471431336613576224610126147',NULL,'734',29.12,4,2,1),(16,3135500,'1991-09-15 00:00:00',2,10,11,2008,'M','N','SANTO ANTONIO PáDUA','TUBARãO','SC','124243241215111431446823495111610167042',NULL,'807',34.00,1,3,NULL),(16,3135527,'1990-09-24 00:00:00',4,1,12,2007,'F','N','PASSA VINTE','PALHOçA','SC','124241241215472431446511375124610164142',3411,'1011',62.64,1,3,NULL),(16,3135535,'1991-12-30 00:00:00',4,8,11,2008,'M','N','RIO BONITO','JOINVILLE','SC','124242241216161731458811371124610164142',12486,'457',44.41,1,3,NULL),(16,3135543,'1992-02-06 00:00:00',4,4,11,2008,'M','N','JARDIM SANTA MARIA','TOLEDO','PR','116164161411121431358936572125613237052',3972,'9998',61.14,4,3,NULL),(16,3135551,'1977-03-20 00:00:00',5,1,12,1997,'F','N','INGLESES','FLORIANóPOLIS','SC','224241061122371731423369282112610154097',NULL,'9998',28.57,4,3,NULL),(16,3135560,'1985-07-25 00:00:00',2,1,12,2004,'F','N','TAPERA','FLORIANóPOLIS','SC','124161161126131231523449195124610144042',NULL,'9998',19.01,1,2,1),(16,3135578,'1989-08-26 00:00:00',2,1,12,2006,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241217273431454619575122230213113',6859,'270',54.56,1,3,NULL),(16,3135586,'1990-02-22 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124252251216471731458814215124610127142',3494,'9998',62.39,1,3,NULL),(16,3135608,'1979-08-04 00:00:00',4,1,12,1998,'M','N','ITACORUBI','FLORIANóPOLIS','SC','424251256136141731143344345122341467115',15734,'9998',37.98,1,2,1),(16,3135616,'1990-12-28 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243241216372411457613215124610131182',11441,'1022',46.28,4,3,NULL),(16,3135624,'1991-04-25 00:00:00',4,1,11,2008,'M','N','CENTRO','S JOSé','SC','124242241215112431554412575124610128062',3722,'270',61.78,1,3,NULL),(16,3135632,'1989-11-08 00:00:00',2,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124242241235372431446914575124610114092',NULL,'270',34.60,1,3,NULL),(16,3135640,'1990-12-23 00:00:00',4,3,12,2008,'M','N','ESTADOS','BAL CAMBORIú','SC','124241241215121431486631214112610134042',NULL,'1038',0.00,3,3,NULL),(16,3135659,'1983-09-14 00:00:00',2,1,12,2001,'F','N','PASSA VINTE','PALHOçA','SC','124242241131375711653323431134221262047',781,'591',73.59,2,1,2),(16,3135667,'1992-07-07 00:00:00',4,8,12,2009,'F','S','GUANABARA','JOINVILLE','SC','124242241217111411479933575122610117042',NULL,'457',28.98,1,3,NULL),(16,3135675,'1991-06-15 00:00:00',2,7,12,2008,'M','N','CENTRO','HERVAL D OESTE','SC','124241241116111431336834345124610126142',NULL,'449',23.26,1,2,1),(16,3135683,'1991-04-15 00:00:00',4,5,12,2008,'F','N','MATO ALTO','ARARANGUá','SC','124241241115131431523314295114610122112',15075,'30',39.48,1,2,1),(16,3135705,'1991-07-04 00:00:00',4,7,11,2008,'F','N','CRUZEIRO DO SUL','JOAçABA','SC','124242241215111431447632175112610127142',NULL,'454',35.63,1,3,NULL),(16,3135713,'1988-04-07 00:00:00',2,1,12,2005,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241112134431437629372124610132037',9851,'281',49.06,1,2,1),(16,3135721,'1991-07-17 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSé','SC','124244241225371431458513375122610124052',5191,'724',58.12,1,3,NULL),(16,3135756,'1989-10-11 00:00:00',2,1,12,2007,'M','N','KOBRASOL','S JOSé','SC','124242241216272711447813342134610167012',NULL,'262',33.70,1,3,NULL),(16,3135772,'1984-08-04 00:00:00',4,1,12,2001,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241216134441576813345132230214042',13483,'883',42.64,1,3,NULL),(16,3135780,'1989-06-18 00:00:00',4,1,12,2006,'M','N','BAUXITA','OURO PRETO','MG','113252251216473231478831575122241464042',4562,'9998',59.65,4,3,NULL),(16,3135799,'1986-05-11 00:00:00',2,8,12,2003,'F','N','BUCAREIN','JOINVILLE','SC','124201204216271431126643434234610163017',9781,'9998',49.19,4,3,NULL),(16,3135802,'1992-06-27 00:00:00',4,6,12,2009,'M','S','CENTRO','BAL CAMBORIú','SC','124242241216111431457632475122610127052',NULL,'44',33.02,1,3,NULL),(16,3135829,'1990-05-07 00:00:00',2,1,6,2008,'M','N','SAMBAQUI','FLORIANóPOLIS','SC','124212247237131432338914395124610118047',NULL,'9999',20.03,4,3,NULL),(16,3135837,'1988-07-11 00:00:00',2,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116162164212512521358812575124610144093',8951,'9998',50.66,1,3,NULL),(16,3135845,'1989-11-11 00:00:00',4,1,12,2007,'M','N','FUNDINHO','UBERLâNDIA','MG','113132281215271711478831574112610124072',2372,'9998',65.81,1,3,NULL),(16,3135853,'1990-10-19 00:00:00',4,10,11,2008,'M','N','CENTRO','BRAçO NORTE','SC','124242241235151531366932574124610168182',921,'806',72.56,1,3,NULL),(16,3135861,'1989-03-28 00:00:00',4,1,12,2006,'M','N','FLORADAS DE SAO JOSE','S JOSé CAMPOS','SP','125252253217472431536633335124610137077',NULL,'9998',0.00,1,3,NULL),(16,3135888,'1988-08-08 00:00:00',2,9,12,2007,'M','N','GLORIA','VACARIA','RS','124201242116132431326823155321610117097',15280,'960',39.02,4,3,NULL),(16,3135896,'1985-10-28 00:00:00',4,1,12,2003,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124112111212133311135943432334122967042',6451,'9998',55.37,1,3,NULL),(16,3135900,'1991-03-03 00:00:00',4,8,11,2008,'F','N','JARDIM SOCIAL','CURITIBA','PR','116162161225121441358732594112610124112',NULL,'9998',0.00,1,3,NULL),(16,3135918,'1989-09-15 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241215472411578913572114610167112',9364,'262',49.96,4,3,NULL),(16,3135926,'1990-11-28 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124112111215472431438934572114610127042',1887,'9998',67.65,1,3,NULL),(16,3135934,'1985-10-15 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANóPOLIS','SC','111241111146162431343923242123240837022',8870,'9998',50.77,1,2,1),(16,3135942,'1991-02-06 00:00:00',4,6,10,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215111731455632572112610128197',4397,'1038',60.03,1,3,NULL),(16,3135950,'1992-06-21 00:00:00',3,1,12,2009,'M','S','AGRONôMICA','FLORIANóPOLIS','SC','124242241212111432588831472124610167122',NULL,'262',51.45,1,3,NULL),(16,3135977,'1991-07-06 00:00:00',4,8,11,2008,'F','N','CENTRO','JOINVILLE','SC','124242241235221431468831572112610124142',467,'486',76.05,1,3,NULL),(16,3135985,'1992-07-23 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111432368814392122610162092',6804,'988',54.66,1,3,NULL),(16,3136000,'1990-01-03 00:00:00',4,1,12,2007,'F','N','GUARá','GUARá','DF','107072071216371411258823575112610162057',11703,'9998',45.81,4,3,NULL),(16,3136019,'1991-05-27 00:00:00',4,3,12,2008,'F','N','ZONA DOIS','MARINGá','PR','116162161216111431488814475122610163113',5359,'9998',57.75,1,3,NULL),(16,3136027,'1991-11-01 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241117151731436832291124610131072',NULL,'9997',20.08,1,2,1),(16,3136035,'1986-12-20 00:00:00',2,1,12,2004,'F','N','ALTO ARIRIU','PALHOçA','SC','124241241115471431525314392124610114142',NULL,'772',27.84,1,2,1),(16,3136043,'1992-07-04 00:00:00',4,10,12,2009,'M','S','VILA NOVA','IMBITUBA','SC','124243241115131411524419375124610127042',NULL,'359',27.24,1,3,NULL),(16,3136051,'1990-04-23 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241115272411533514244224610112142',NULL,'307',28.21,2,2,1),(16,3136060,'1991-03-06 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124242241215271431439613584122610127097',2812,'723',64.35,1,3,NULL),(16,3136078,'1990-06-01 00:00:00',4,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124243241135372431344624595114610122042',11242,'307',46.57,1,3,NULL),(16,3136094,'1992-05-27 00:00:00',4,1,11,2008,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124244241215112431469914572122610132092',4441,'270',59.91,1,3,NULL),(16,3136108,'1989-04-15 00:00:00',4,1,8,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241117111741324424345124610162147',11619,'306',45.97,1,3,NULL),(16,3136116,'1989-12-09 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSé','SC','124243241115371431433311572124610122042',4440,'257',59.91,1,3,NULL),(16,3136124,'1989-10-21 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241217472431458832592124130462092',5474,'270',57.53,1,3,NULL),(16,3136167,'1986-12-16 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241216132431326941115124220938047',10086,'653',48.62,1,3,NULL),(16,3136175,'1991-01-02 00:00:00',4,9,10,2008,'F','N','CENTRO','LAGES','SC','124242241215111431368613475122610131187',11714,'497',45.80,1,3,NULL),(16,3136183,'1992-06-16 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241215121231348931571124610127092',NULL,'270',26.69,1,3,NULL),(16,3136191,'1988-10-04 00:00:00',4,1,12,2005,'F','N','JARDIM AMAZONAS','CAMPINAS','SP','125253256117571411455623181114610163087',5973,'9998',56.42,1,3,NULL),(16,3136205,'1990-10-06 00:00:00',2,1,11,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241215121431435633592124610164187',3819,'270',61.54,1,3,NULL),(16,3136213,'1989-09-07 00:00:00',4,3,12,2007,'F','N','CENTRO','BAL CAMBORIú','SC','124202201334131432226849292344610163047',NULL,'9998',0.00,1,3,NULL),(16,3136221,'1990-04-30 00:00:00',2,1,12,2007,'F','N','SERTãO DO MARUIM','S JOSé','SC','124251251146271431523321145224610168174',12771,'9998',43.88,1,2,1),(16,3136230,'1990-02-23 00:00:00',4,1,12,2007,'F','N','PERDIZES','S PAULO','SP','125252251217471411356931591124610162112',6248,'9998',55.78,1,3,NULL),(16,3136248,'1990-06-06 00:00:00',1,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124214241215111731358632575112610134193',NULL,'9997',28.64,5,3,NULL),(16,3136256,'1990-11-26 00:00:00',4,1,11,2008,'F','N','NAçõES','BAL CAMBORIú','SC','124243241215271431348829594125610126185',8174,'1038',52.06,1,3,NULL),(16,3136264,'1991-08-23 00:00:00',2,1,12,2008,'F','N','FLORESTA','CERRO LARGO','RS','120202201217271431436313232325610142012',4221,'9998',60.44,4,3,NULL),(16,3136272,'1987-03-21 00:00:00',4,1,12,2004,'F','N','CENTRO','CPO MOURãO','PR','116163161215574411577732572115610164142',9043,'9998',50.51,1,3,NULL),(16,3136280,'1991-05-27 00:00:00',2,3,12,2008,'F','N','C H ENES BARBOSA','TAMARANA','PR','116163161211111731469814572122610168187',NULL,'9998',0.00,1,3,NULL),(16,3136299,'1986-08-31 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241137133731323329292314610127077',NULL,'359',32.89,1,2,1),(16,3136302,'1991-07-01 00:00:00',4,3,11,1991,'M','N','CENTRO','MAL CâNDIDO RONDON','PR','116162161216151731349611295111610162122',NULL,'9998',0.00,3,3,NULL),(16,3136310,'1989-09-14 00:00:00',2,1,12,2006,'M','N','SãO CRISTOVãO','PASSO FUNDO','RS','120201201117272431323524345334610167042',15541,'9998',38.45,1,2,1),(16,3136329,'1990-10-30 00:00:00',4,1,7,2008,'M','N','CANTO','FLORIANóPOLIS','SC','124243241116372731269713345124610124122',1119,'306',71.33,1,3,NULL),(16,3136337,'1989-03-13 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','S JOSé','SC','124242241142371421447923342124610163147',NULL,'733',0.00,1,3,NULL),(16,3136345,'1987-10-15 00:00:00',2,1,12,2005,'M','N','RIO GRANDE','PALHOçA','SC','124241241133211411543311213214610128172',5619,'591',57.22,4,2,1),(16,3136353,'1985-06-07 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241117373431456634245134323022147',6589,'307',55.07,1,3,NULL),(16,3136361,'1992-02-14 00:00:00',4,8,11,2009,'M','S','GUANABARA','JOINVILLE','SC','624242241215111431487732595121610167091',NULL,'457',19.77,1,3,NULL),(16,3136370,'1990-10-09 00:00:00',2,1,11,2007,'F','N','JOSé NAZáRIO','ARMAZéM','SC','124241242217112741456821575124223227142',3433,'809',62.57,1,3,NULL),(16,3136388,'1990-06-06 00:00:00',2,1,12,2007,'F','N','VILA JUNCKES','S PEDRO ALCâNTARA','SC','124241241127132721533314346134613267057',13284,'869',43.00,1,2,1),(16,3136396,'1988-04-07 00:00:00',2,1,12,2005,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241117134431447629382114610122187',10788,'281',47.40,1,2,1),(16,3136400,'1991-06-17 00:00:00',4,1,11,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241117131432356513472124610134147',11982,'257',45.29,4,2,1),(16,3136426,'1988-11-17 00:00:00',4,8,12,2007,'M','N','CENTRO','BILAC','SP','125251251135271441445623245122610118094',NULL,'9998',19.96,1,3,NULL),(16,3136434,'1991-07-05 00:00:00',2,5,11,2008,'F','N','HORIZONTE','COCAL SUL','SC','124241241215271431456614575124610112157',16663,'226',34.18,1,3,NULL),(16,3136442,'1990-06-27 00:00:00',2,1,11,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124242241215111451357632441122610162122',NULL,'1010',0.00,1,3,NULL),(16,3136450,'1989-01-11 00:00:00',4,4,12,2006,'M','N','PROGRESSO','S MIGUEL OESTE','SC','124241241134372231623316392321610136057',NULL,'371',32.62,1,2,1),(16,3136477,'1988-09-03 00:00:00',2,1,12,2005,'M','N','CENTRO','CAARAPó','MS','112124128417571721466619592135610148042',NULL,'9998',0.00,1,3,NULL),(16,3136485,'1991-09-16 00:00:00',4,1,12,2008,'M','N','CENTRO','BOITUVA','SP','125252251217111431556812571124610147057',12479,'9998',44.43,1,3,NULL),(16,3136493,'1990-03-02 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124243241115272431438634345112610137047',15968,'307',37.32,1,3,NULL),(16,3136515,'1991-06-19 00:00:00',2,1,12,2008,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124241241117131431424339572114610168147',14857,'307',39.97,1,2,1),(16,3136523,'1984-08-23 00:00:00',4,9,12,2001,'M','N','SANTA HELENA','LAGES','SC','124241241131575441447814435112131127042',14542,'498',40.62,1,2,1),(16,3136531,'1990-06-08 00:00:00',2,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124241241315111311546612342124610124012',NULL,'1022',23.69,4,1,2),(16,3136540,'1992-02-14 00:00:00',4,10,12,2009,'F','S','CENTRO','LAURO MüLLER','SC','124241241215131431538833471124610164197',NULL,'9997',51.18,1,3,NULL),(16,3136558,'1991-07-13 00:00:00',4,1,12,2008,'F','N','TROPICAL','CASCAVEL','PR','116162168217111431437812475122210125092',NULL,'9998',0.00,3,3,NULL),(16,3136566,'1991-06-25 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111231345633332122610134142',11514,'738',46.15,1,3,NULL),(16,3136574,'1987-04-17 00:00:00',2,3,12,2004,'M','N','VILA REAL','BAL CAMBORIú','SC','124243241331473431113348182211131563147',13770,'1017',42.12,4,3,NULL),(16,3136590,'1974-04-25 00:00:00',2,1,12,1992,'F','N','CENTRO','ANTôNIO CARLOS','SC','124241243126113421233342425124610121147',14551,'284',40.61,2,1,1),(16,3136604,'1990-11-21 00:00:00',2,1,11,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215112431468936592124610127047',1716,'270',68.35,1,3,NULL),(16,3136612,'1993-03-08 00:00:00',4,4,12,2009,'F','S','SÃO CRISTÓVÃO','S DOMINGOS','SC','124241241116161431426936265125610154097',NULL,'707',0.00,1,3,NULL),(16,3136620,'1992-09-01 00:00:00',4,1,12,2009,'F','S','SANTA CRUZ DO TIMBó','STA CRUZ TIMBó','SC','124241248215111431533632575122610125097',NULL,'633',22.56,1,3,NULL),(16,3136639,'1991-07-20 00:00:00',4,1,12,2008,'F','N','NOSSA SRA DO ROSARIO','S JOSé','SC','124243241415131431228623572124610126057',5686,'738',57.11,1,3,NULL),(16,3136655,'1983-07-17 00:00:00',4,1,12,2000,'F','N','BARRA DO ARIRIú','PALHOçA','SC','224241241117373411323354485124610127147',NULL,'591',7.90,1,2,1),(16,3136663,'1991-01-23 00:00:00',4,1,12,2008,'F','N','JARDIM SOARES','ITAPIRA','SP','125252251415111411468821575122610123092',NULL,'489',0.00,1,3,NULL),(16,3136671,'1989-03-13 00:00:00',5,8,12,2007,'F','N','CENTRO','MARINGá','PR','116162161215471751468831572122610165187',NULL,'9998',0.00,1,3,NULL),(16,3136680,'1992-04-09 00:00:00',4,1,12,2009,'F','S','CORREGO GRANDE','FLORIANóPOLIS','SC','124244241217111732457933572122610127147',NULL,'883',34.79,1,3,NULL),(16,3136698,'1992-09-20 00:00:00',2,10,11,2009,'F','S','CENTRO','TUBARãO','SC','124244241215111732448614575115610166077',NULL,'807',32.35,1,3,NULL),(16,3136701,'1991-04-28 00:00:00',4,4,11,2008,'F','N','PRESIDENTE MéDICE','CHAPECó','SC','124243241216121431468834575122610137142',6565,'185',55.15,1,3,NULL),(16,3136710,'1992-12-23 00:00:00',2,7,12,2009,'F','S','CENTRO','CAMPOS NOVOS','SC','124242241214141431337922141122610126072',NULL,'138',45.51,1,3,NULL),(16,3136728,'1991-10-11 00:00:00',4,4,12,2008,'M','N','INTERIOR','CAIBI','SC','124241241116141751523335255124610167047',NULL,'127',22.85,1,2,1),(16,3136736,'1978-11-23 00:00:00',4,1,12,1996,'M','N','CARIANOS','FLORIANóPOLIS','SC','224241241116143411233343432122122727042',NULL,'271',22.69,1,2,1),(16,3136744,'1986-12-26 00:00:00',4,1,12,2004,'M','N','JARDIM MARMARITA','ITAPECERICA SERRA','SP','125252251216511211577732575124610113026',2639,'9998',64.86,1,3,NULL),(16,3136752,'1991-03-13 00:00:00',4,9,11,2008,'M','N','VILA NOVA','LAGES','SC','124244241215111431466514572122610124097',NULL,'497',41.93,4,3,NULL),(16,3136779,'1984-01-21 00:00:00',4,1,12,2001,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241216152712458819425122321462192',10543,'270',47.84,1,3,NULL),(16,3136787,'1991-04-20 00:00:00',2,1,10,2008,'M','N','BARREIROS','S JOSé','SC','124241241115371441636619371324610164012',NULL,'257',26.29,1,2,1),(16,3136795,'1989-07-25 00:00:00',4,7,12,2008,'M','N','CENTRO','CAMPOS NOVOS','SC','124243241214141431326579242322610162052',NULL,'138',27.80,1,3,NULL),(16,3136809,'1982-08-28 00:00:00',2,1,12,1999,'F','N','ROÇADO','S JOSé','SC','124241241146135711443319245124610124097',NULL,'729',0.00,1,2,1),(16,3136817,'1991-12-08 00:00:00',4,1,12,2008,'F','N','JARDIM AURORA','APIAí','SP','125252251216371411559934575122610134057',NULL,'9998',27.10,1,3,NULL),(16,3136825,'1990-06-29 00:00:00',4,3,12,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215372431337317385114610124112',5414,'44',57.64,1,3,NULL),(16,3136833,'1990-09-10 00:00:00',4,1,12,2008,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','120204201217131431447823575124610141182',NULL,'9998',0.00,1,3,NULL),(16,3136841,'1991-01-17 00:00:00',4,8,12,2008,'F','N','JARDIM DAS NAÇOES','CASTRO','PR','116162161215111731468835574122610127057',NULL,'9998',0.00,1,3,NULL),(16,3136850,'1990-10-07 00:00:00',4,8,11,2007,'M','N','ALPHAVILLE','SANTANA PARNAíBA','SP','125252251216471431478932371124610137017',221,'9998',78.89,1,3,NULL),(16,3136884,'1978-02-20 00:00:00',4,1,12,1995,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','224202201212273731268843435125320767047',NULL,'9998',0.00,1,3,NULL),(16,3136892,'1990-08-06 00:00:00',2,1,12,2007,'F','N','SANTA TEREZA','S LEOPOLDO','RS','120201201211371431458811581125610132112',NULL,'9998',24.29,1,3,NULL),(16,3136906,'1991-03-24 00:00:00',2,8,11,2008,'F','N','CENTRO','SAO BENTO DO SUL','SC','124243248215311431224923385125610126187',10267,'1073',48.31,1,3,NULL),(16,3136914,'1991-02-14 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215122411387923575114610116192',29,'270',83.76,1,3,NULL),(16,3136922,'1990-09-24 00:00:00',2,2,12,2007,'F','N','FORTALEZA','BLUMENAU','SC','124241241137132431636634142134130225097',5133,'69',58.29,1,3,NULL),(16,3136930,'1990-08-19 00:00:00',4,1,12,2007,'M','N','PINHEIROS','S PAULO','SP','125252281217471451469814575124610167057',NULL,'9998',0.00,1,3,NULL),(16,3136957,'1990-08-03 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241216423431488613575124610137112',1453,'270',69.54,4,3,NULL),(16,3136965,'1990-12-16 00:00:00',2,1,11,2008,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241215111431466912572114610117043',9864,'270',49.04,1,3,NULL),(16,3136973,'1985-11-03 00:00:00',2,1,11,2003,'F','N','PANTANAL','FLORIANóPOLIS','SC','124163161335473721137616395124610167112',8017,'9998',52.40,1,3,NULL),(16,3136981,'1990-12-21 00:00:00',4,1,12,2008,'M','N','JARDIM ITáLIA','AMPARO','SP','125252251217111431458834575122610167122',5079,'9998',58.44,1,3,NULL),(16,3136990,'1991-02-10 00:00:00',2,4,12,2008,'F','N','ALVORADA','CHAPECó','SC','124241241215131431438612521324610128197',NULL,'168',27.39,1,3,NULL),(16,3137007,'1990-09-17 00:00:00',4,1,11,2008,'M','N','SETOR OESTE','GOIâNIA','GO','109092091237111431679931575122610167122',NULL,'9998',0.00,1,3,NULL),(16,3137015,'1991-01-25 00:00:00',4,8,11,2008,'F','N','VILA LENZI','JARAGUá SUL','SC','124242241235111411468612572112610127012',NULL,'422',39.72,1,3,NULL),(16,3137023,'1992-07-27 00:00:00',4,6,2,2009,'F','N','PRAIA BRAVA','ITAJAí','SC','124242241215151431569914394122610164117',NULL,'1057',30.33,1,3,NULL),(16,3137031,'1991-09-30 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215111431469614445124610168142',14220,'737',41.20,1,3,NULL),(16,3137058,'1991-11-13 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216111431359833575112610124185',12444,'270',44.48,1,3,NULL),(16,3137066,'1989-12-15 00:00:00',4,1,12,2007,'M','N','JARDIM PAULISTANO','S PAULO','SP','125244241215472151146847475112610147047',1664,'32',68.59,1,3,NULL),(16,3137074,'1986-11-10 00:00:00',4,1,12,2004,'F','N','NOSSA SRA DO ROSARIO','S JOSé','SC','124243241216133421525623345124610164077',NULL,'1076',30.74,1,3,NULL),(16,3137082,'1989-04-23 00:00:00',4,1,12,2006,'M','N','VILA TESORURO','S JOSé CAMPOS','SP','125251253215471411578614285124610162093',11586,'9998',46.02,1,3,NULL),(16,3137090,'1991-07-20 00:00:00',4,1,12,2008,'M','N','BOQUEIRÃO','GUARAPUAVA','PR','116161161316371431455514575112610167062',7404,'9998',53.51,1,3,NULL),(16,3137112,'1991-02-28 00:00:00',2,1,11,2008,'F','N','CENTRO','BIGUAçU','SC','124242241215411431348633572112610152092',10722,'270',47.50,1,3,NULL),(16,3137120,'1989-12-28 00:00:00',4,1,12,2007,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241215472431668912472114610144147',5352,'270',57.76,1,3,NULL),(16,3137139,'1990-07-15 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECó','SC','124242248216113731355632595122233222142',NULL,'185',25.78,3,3,NULL),(16,3137147,'1992-02-03 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241217111711467714576122610162142',12553,'738',44.26,1,3,NULL),(16,3137155,'1991-03-28 00:00:00',4,1,10,2008,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241215111431368813575124610134012',4526,'266',59.71,1,3,NULL),(16,3137163,'1990-10-29 00:00:00',4,3,12,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124244161216371411436519575124610164172',1929,'9998',67.48,1,3,NULL),(16,3137171,'1991-08-08 00:00:00',4,10,12,2008,'M','N','BELA VISTA','S LUDGERO','SC','124242241215271731478922294122610164042',NULL,'950',0.00,1,3,NULL),(16,3137198,'1992-02-01 00:00:00',4,1,11,2009,'F','S','AGRONôMICA','FLORIANóPOLIS','SC','124242241215111432577811574124610124142',NULL,'270',51.46,1,3,NULL),(16,3137201,'1990-03-18 00:00:00',2,5,12,2007,'M','N','CENTRO','FORQUILHINHA','SC','124242248216371451458513391124610128111',10860,'995',47.26,1,3,NULL),(16,3137210,'1991-01-27 00:00:00',4,1,12,2008,'F','N','CENTRO','ANTôNIO CARLOS','SC','124241241115371431643511254124610137072',11887,'21',45.48,1,2,1),(16,3137228,'1991-11-20 00:00:00',4,1,11,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215112431458912575122610132092',2058,'1050',66.94,1,3,NULL),(16,3137236,'1991-01-16 00:00:00',2,1,12,2008,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124242241217111431563532222114610167112',NULL,'270',35.22,1,3,NULL),(16,3137244,'1991-04-08 00:00:00',4,1,12,2008,'M','N','CENTRO','PALHOçA','SC','124242241217151432448912575125610167042',1980,'989',67.27,1,3,NULL),(16,3137252,'1990-04-19 00:00:00',4,3,11,2007,'M','N','BARRA','BAL CAMBORIú','SC','124243241215572731456633575122610164152',1262,'44',70.61,1,3,NULL),(16,3137279,'1988-03-02 00:00:00',4,1,11,2004,'M','N','JURERê','FLORIANóPOLIS','SC','124243241415371431463732345124230724042',NULL,'307',0.00,1,3,NULL),(16,3137287,'1991-06-13 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431588812575124610137045',1602,'1022',68.90,1,3,NULL),(16,3137295,'1990-05-26 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241237373431238614315114610124017',2220,'909',66.34,1,3,NULL),(16,3137309,'1989-05-26 00:00:00',4,1,12,2008,'M','N','ZONA','MARINGá','PR','116164161217111431558712322112610164147',6269,'9998',55.75,1,3,NULL),(16,3137317,'1992-04-02 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241215131431326629492124610128197',8267,'988',51.85,1,3,NULL),(16,3137325,'1991-05-07 00:00:00',2,1,12,2008,'F','N','CENTRO','S JOSé PINHAIS','PR','116162161216271731335438572124610138092',NULL,'9998',0.00,1,3,NULL),(16,3137333,'1988-04-11 00:00:00',4,1,12,2005,'F','N','OURO VERDE','LIMEIRA','SP','125251251136471731426339571111610132197',13516,'9998',42.59,1,2,1),(16,3137341,'1990-10-21 01:00:00',2,1,12,2008,'M','N','SAMBAQUI','FLORIANóPOLIS','SC','124242241215111431458614442124610127042',9168,'262',50.30,1,3,NULL),(16,3137350,'1989-11-20 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215472431458834275124610167042',6188,'270',55.95,1,3,NULL),(16,3137368,'1991-04-28 00:00:00',4,4,12,2008,'M','N','APARECIDA','ABELARDO LUZ','SC','124241241135131441644323442125610117047',13538,'4',42.56,4,3,NULL),(16,3137384,'1990-10-05 00:00:00',4,8,12,2008,'M','N','SAGUAçU','JOINVILLE','SC','124244241215111431479914572112610162062',2071,'457',66.91,1,3,NULL),(16,3137392,'1991-01-21 00:00:00',4,8,12,2008,'M','N','MIRANTE DA LAGOA','MACAé','RJ','121212211216151451469919595124610168012',4793,'9998',59.08,1,3,NULL),(16,3137406,'1991-06-23 00:00:00',4,6,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124252241215121431269814475122610164042',10807,'1038',47.35,1,3,NULL),(16,3137414,'1989-05-29 00:00:00',3,1,12,2006,'F','N','CENTRO','PALHOçA','SC','124241241125373431348619574124133221097',5863,'524',56.68,1,2,1),(16,3137422,'1975-08-08 00:00:00',4,1,8,1996,'M','N','PICADAS DO SUL','S JOSé','SC','224243247227132431223344242233130222183',13412,'9999',42.78,1,3,NULL),(16,3137430,'1990-12-07 00:00:00',4,1,12,2007,'M','N','PâNTANO DO SUL','FLORIANóPOLIS','SC','124244247216132411457813215124610137037',15126,'9999',39.36,1,3,NULL),(16,3137449,'1992-06-25 00:00:00',4,1,12,2009,'M','S','AGRONôMICA','FLORIANóPOLIS','SC','124242241215111511389933575122610114062',NULL,'951',60.10,1,3,NULL),(16,3137457,'1989-02-05 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSé','SC','124242248212131732428619341122230267067',NULL,'1036',20.68,1,3,NULL),(16,3137465,'1991-12-16 00:00:00',4,2,12,2008,'F','N','VILA FORMOSA','BLUMENAU','SC','124242241215121431349913572112610123186',NULL,'87',0.00,1,3,NULL),(16,3137473,'1986-01-30 00:00:00',2,1,12,2003,'M','N','KAYSER','CAXIAS SUL','RS','120201201147571431444619192114610167117',9500,'9998',49.72,2,1,1),(16,3137481,'1988-12-23 00:00:00',4,1,12,2006,'F','N','PARAíSO','RESENDE','RJ','121212217436371431246822395122142564047',NULL,'9999',0.00,1,3,NULL),(16,3137490,'1991-12-29 00:00:00',4,4,12,2008,'M','N','INTERIOR','FLOR SERTãO','SC','124241242114131431433936572225610127147',16572,'758',35.04,1,2,1),(16,3137503,'1991-12-09 00:00:00',4,1,12,2009,'M','S','CAMPECHE','FLORIANóPOLIS','SC','124242241216111731469933595122610117057',NULL,'988',46.47,1,3,NULL),(16,3137511,'1991-05-07 00:00:00',4,4,12,2008,'F','N','SANTA MARIA','CHAPECó','SC','124244241215371431356612392122610128147',NULL,'185',33.91,1,3,NULL),(16,3137520,'1991-04-15 00:00:00',2,5,10,2008,'F','N','PINHEIRINHO','CRICIúMA','SC','124244248212111731536419375112610128146',NULL,'880',20.87,1,3,NULL),(16,3137538,'1991-04-13 00:00:00',4,10,12,2008,'M','N','MORADA DO SOL','RIO VERDE','GO','109092091217121431458811572112610147147',NULL,'9998',39.93,1,3,NULL),(16,3137546,'1988-10-16 01:00:00',2,8,12,2005,'F','N','CENTRO','CANOINHAS','SC','124241241215573411339914571324610166177',6065,'154',56.20,1,3,NULL),(16,3137554,'1988-07-16 00:00:00',2,3,12,2005,'F','N','CENTRO','LONDRINA','PR','116162161216571751678811575124610163197',NULL,'9998',0.00,3,3,NULL),(16,3137562,'1991-10-05 00:00:00',4,1,11,2008,'M','N','BARREIRO','S JOSé','SC','124242241215111431566837572124610167052',1158,'270',71.16,1,3,NULL),(16,3137570,'1988-04-02 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215573441448633572125610123147',99,'266',80.99,1,3,NULL),(16,3137589,'1991-11-28 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124242241215112231539814372112610167042',4720,'737',59.26,1,3,NULL),(16,3137597,'1991-06-13 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217111431589912575125610128122',6049,'1022',56.23,1,3,NULL),(16,3137600,'1989-01-26 00:00:00',4,1,12,2006,'F','N','JAGUARE','S PAULO','SP','125252251215573431258824571112610134187',465,'9998',76.05,1,3,NULL),(16,3137619,'1991-07-08 00:00:00',4,1,12,2008,'M','N','SANTA MARIA','AMERICANA','SP','125252251216131431568913575112610167097',NULL,'9998',0.00,1,3,NULL),(16,3137627,'1991-01-07 00:00:00',4,9,12,2008,'F','N','COLINA DE FLORES','FLORES CUNHA','RS','120201201215271431359612595124610112072',5923,'9998',56.52,1,3,NULL),(16,3137635,'1992-01-07 00:00:00',2,10,11,2008,'F','N','BELA VISTA','BRAçO NORTE','SC','124242241216111431664412392122610128142',14428,'950',40.83,1,3,NULL),(16,3137651,'1990-10-31 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243241215273431446614572124610126077',9512,'1118',49.70,1,3,NULL),(16,3137660,'1991-05-14 00:00:00',4,1,10,2008,'M','N','CAMPINAS','S JOSé','SC','124243241112112411228321575122610167012',6603,'737',55.04,1,3,NULL),(16,3137678,'1989-11-11 00:00:00',4,1,12,2007,'M','N','FORQUILHINHAS','S JOSé','SC','124242241211371431259933591124610166032',12861,'9999',43.75,1,3,NULL),(16,3137686,'1993-12-28 00:00:00',2,1,12,2010,'F','S','CENTRO','BIGUAçU','SC','124244241415111431435611375124610115112',NULL,'1118',23.41,1,3,NULL),(16,3137694,'1991-11-11 00:00:00',4,9,12,2008,'F','N','CENTRO','ANITA GARIBALDI','SC','124242241116151431348813245122610134052',NULL,'18',25.10,1,3,NULL),(16,3137708,'1990-08-09 00:00:00',4,1,11,2007,'F','N','MARISTELA','PRES PRUDENTE','SP','116252161216574431539814575124610162092',7881,'9998',52.64,1,3,NULL),(16,3137716,'1990-11-19 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215471431448814572122610133142',956,'270',72.29,1,3,NULL),(16,3137724,'1989-01-06 00:00:00',2,3,12,2006,'M','N','CENTRO','BAL CAMBORIú','SC','124112111215371421434614245124141026187',NULL,'9998',39.74,1,3,NULL),(16,3137740,'1991-06-16 00:00:00',4,8,12,2008,'M','N','SAGUAçU','JOINVILLE','SC','124244246213141431479914343124610117142',NULL,'1105',26.32,1,3,NULL),(16,3137759,'1990-12-31 00:00:00',2,1,11,2008,'F','N','COSTEIRA','FLORIANóPOLIS','SC','124242241215121432346923432124610127077',14850,'1022',39.98,1,3,NULL),(16,3137767,'1989-08-16 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241435271631469912385114133268082',NULL,'272',42.51,1,3,NULL),(16,3137775,'1991-06-17 00:00:00',2,1,11,2008,'F','N','DANIELA','FLORIANóPOLIS','SC','124242241415151431548919575124610131012',NULL,'288',24.93,1,3,NULL),(16,3137791,'1989-11-17 00:00:00',4,1,12,2007,'F','N','JARDIM AMERIA','BAURU','SP','125252251417571431568811575112610132126',NULL,'9998',0.00,1,3,NULL),(16,3137805,'1992-08-30 00:00:00',4,1,2,2009,'M','N','CAMPINAS','S JOSé','SC','123244241437111411445811575122610166171',3492,'737',62.39,1,3,NULL),(16,3137813,'1988-12-26 00:00:00',2,1,12,2006,'M','N','PIONEIRO','CAXIAS SUL','RS','120201201117571431436534271124610116057',3727,'9998',61.76,1,2,1),(16,3137821,'1991-05-30 00:00:00',4,8,12,2008,'F','N','VILA MARIANA','S PAULO','SP','125244258217471731467614572125610166082',7601,'9998',53.15,1,3,NULL),(16,3137848,'1985-12-19 00:00:00',4,3,5,2003,'F','N','CENTRO','BAL CAMBORIú','SC','124242281215411432647872345125140665097',5525,'9998',57.41,1,3,NULL),(16,3137856,'1991-08-14 00:00:00',2,1,12,2008,'M','N','COSTEIRA DO RIBEIRÃO','FLORIANóPOLIS','SC','124241241112131732549614592124610117067',9116,'278',50.39,1,2,1),(16,3137864,'1992-05-23 00:00:00',4,1,12,2009,'M','S','ITAGUAçU','FLORIANóPOLIS','SC','124242241215111431477811572124610122112',NULL,'270',41.30,1,3,NULL),(16,3137872,'1991-03-25 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215132441558829276124610122017',6834,'738',54.60,1,3,NULL),(16,3137899,'1990-05-31 00:00:00',2,10,12,2008,'F','N','HUMAITA DE CIMA','TUBARãO','SC','124244241215111431326429392122610158142',NULL,'807',23.47,1,3,NULL),(16,3137910,'1992-01-24 00:00:00',2,1,11,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124242241215111431544632574124610134142',3913,'270',61.29,1,3,NULL),(16,3137929,'1988-12-09 00:00:00',2,1,12,2006,'F','N','REAL PARQUE','S JOSé','SC','124243241314372411534611345114610136012',13632,'734',42.41,1,3,NULL),(16,3137937,'1991-01-29 00:00:00',2,1,12,2007,'F','N','PONTE DE IMARUIM','PALHOçA','SC','124242241215472431534639574124610152187',5107,'1011',58.37,1,3,NULL),(16,3137953,'1991-02-20 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124204241215111431348614215124610127142',16349,'1022',36.20,1,3,NULL),(16,3137961,'1990-03-07 00:00:00',4,1,12,2008,'M','N','BATEL','CURITIBA','PR','116162161215121431589814291122610127042',NULL,'9998',0.00,1,3,NULL),(16,3137988,'1990-03-21 00:00:00',2,1,12,2007,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241211372411569614442124130422142',9356,'262',49.97,1,3,NULL),(16,3137996,'1991-10-26 00:00:00',2,4,12,2008,'F','N','CIVEMARA','MARAVILHA','SC','124243241316111231549739195112613268093',NULL,'1037',20.81,1,3,NULL),(16,3138003,'1991-05-29 00:00:00',4,5,12,2008,'M','N','CENTRO','NOVA VENEZA','SC','124242241215111411588714371112610127112',11048,'226',46.93,1,3,NULL),(16,3138011,'1991-05-21 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241216112431376922422112610145092',8748,'270',50.99,1,3,NULL),(16,3138038,'1990-06-12 00:00:00',4,8,12,2007,'M','N','PORTAO','CURITIBA','PR','116162161215571431368611345114610161112',NULL,'9998',0.00,1,3,NULL),(16,3138062,'1990-10-28 00:00:00',4,1,12,2007,'F','N','ASILO','BLUMENAU','SC','124242241217472431468831574114610162187',NULL,'270',53.05,1,3,NULL),(16,3138070,'1991-12-26 00:00:00',4,1,11,2008,'F','N','CENTRO','PALHOçA','SC','124242241215222431549833572114610125147',3564,'270',62.17,1,3,NULL),(16,3138097,'1984-10-19 00:00:00',4,1,12,2002,'M','N','INGLESES','FLORIANóPOLIS','SC','124242247237141421128849392312610167082',NULL,'977',0.00,1,3,NULL),(16,3138119,'1990-03-22 00:00:00',4,1,12,2007,'F','N','JARDIM DAS AMéRICAS','CUIABá','MT','111114111416472431458712294122610138177',785,'9998',73.56,1,3,NULL),(16,3138127,'1991-03-17 00:00:00',4,8,12,2008,'M','N','CENTRO','ASSIS CHATEAUBRIAND','PR','116161161217152431548832295121610127062',11688,'9998',45.85,1,3,NULL),(16,3138135,'1989-01-30 00:00:00',2,5,12,2006,'F','N','FIGUEIRA','URUSSANGA','SC','124241241111372431558613571124131426142',8902,'821',50.74,1,2,1),(16,3138143,'1991-10-01 00:00:00',4,7,12,2008,'M','N','CENTRO','MACHADINHO','RS','120201201116161431434914342122610167017',NULL,'9998',0.00,1,2,1),(16,3138151,'1991-02-11 00:00:00',4,1,11,2008,'M','N','PLANO DIRETOR SUL','PALMAS','TO','127272271237371231578831575122610127047',NULL,'9998',0.00,1,3,NULL),(16,3138160,'1992-01-28 00:00:00',4,1,12,2009,'F','S','CENTRO','MARINGá','PR','116162161217111751358631592122610115112',NULL,'9998',0.00,1,3,NULL),(16,3138178,'1991-08-12 00:00:00',4,10,11,2008,'F','N','SANTO ANDRé','CAPIVARI BAIXO','SC','124242241235111431369823572114610142192',6282,'806',55.72,1,3,NULL),(16,3138186,'1991-06-21 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215472411548613575124610144092',1208,'270',70.87,1,3,NULL),(16,3138208,'1991-10-30 00:00:00',2,1,12,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124244241415111431456633275124610122042',16622,'267',34.65,1,3,NULL),(16,3138224,'1991-05-20 00:00:00',4,1,12,2008,'M','N','BELA VISTA','GOIâNIA','GO','109092091214111411368814574122610142122',3955,'9998',61.19,1,3,NULL),(16,3138240,'1992-11-05 00:00:00',4,5,12,2009,'F','S','PIO CORREA','CRICIúMA','SC','124242241215371431489932272112610128122',NULL,'226',29.10,1,3,NULL),(16,3138259,'1991-05-13 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217111431336612292115610124092',10603,'266',47.73,1,3,NULL),(16,3138275,'1991-03-27 00:00:00',4,5,7,2008,'F','N','PIO CORREA','CRICIúMA','SC','124242241215111431536513412122610122142',2492,'226',65.35,1,3,NULL),(16,3138283,'1990-10-26 00:00:00',4,6,11,2008,'M','N','CENTRO','ITAJAí','SC','124242241217111331458812572122610127057',NULL,'392',27.31,1,3,NULL),(16,3138291,'1990-01-24 00:00:00',4,8,11,2007,'M','N','CAVALHADA','PTO ALEGRE','RS','120204201217472431566674575124610162147',NULL,'9998',0.00,1,3,NULL),(16,3138321,'1962-11-26 00:00:00',3,1,12,1981,'M','N','CENTRO','FLORIANóPOLIS','SC','224241243116153421463441415122520847047',15699,'306',38.06,1,2,1),(16,3138330,'1991-11-01 00:00:00',4,2,11,2008,'F','N','COUNTRY','CASCAVEL','PR','116162161217111411458913571122610121157',NULL,'9998',0.00,4,3,NULL),(16,3138348,'1990-05-26 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124201201337131431535611245121610134092',NULL,'9998',0.00,1,3,NULL),(16,3138356,'1991-12-31 00:00:00',4,5,10,2008,'M','N','PARQUE ROSITA','STA ROSA SUL','SC','124241241315111432534612595124610124182',10529,'32',47.87,1,3,NULL),(16,3138364,'1989-05-13 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241217373411558613396124230734017',NULL,'272',39.24,1,3,NULL),(16,3138372,'1990-10-22 00:00:00',2,1,11,2007,'M','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','124242241116472431446613572114610147062',2299,'271',66.06,1,3,NULL),(16,3138380,'1992-04-08 00:00:00',4,5,12,2008,'M','N','SãO LUIS','SOMBRIO','SC','124242241215111421547812295122610144012',NULL,'770',21.41,1,3,NULL),(16,3138402,'1991-05-01 00:00:00',2,3,12,2008,'F','N','JARDIM JUPIÁ','PIRACICABA','SP','125251251236111411337311575124610132142',6102,'9998',56.13,1,3,NULL),(16,3138410,'1989-07-24 00:00:00',2,9,12,2007,'M','N','CENTRO','S JOAQUIM','SC','124242241216372431546712575122610114187',NULL,'1035',32.51,1,3,NULL),(16,3138429,'1991-05-05 00:00:00',4,1,12,2008,'M','N','VILA SãO CARLOS','TAUBATé','SP','125251251215121751447619275122610124017',8050,'9998',52.33,1,3,NULL),(16,3138437,'1991-04-11 00:00:00',4,2,12,2008,'F','N','CENTRO','POMERODE','SC','124242241215111431569934572122610147071',889,'624',72.77,1,3,NULL),(16,3138445,'1990-07-18 00:00:00',2,5,11,2007,'F','N','SANTA BARBARA','CRICIúMA','SC','124242241215372431436631215122610123142',9786,'226',49.18,1,3,NULL),(16,3138453,'1991-04-25 00:00:00',4,1,11,2008,'M','N','RESTINGA','MAFRA','SC','124241241216131431233923575124610137042',8802,'541',50.90,1,3,NULL),(16,3138461,'1989-03-22 00:00:00',2,1,11,2006,'M','N','CENTRO','CPO GRANDE','MS','112122121217573311348823472122610164082',976,'9998',72.21,1,3,NULL),(16,3138470,'1991-08-26 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111431459813572114610128052',6393,'1133',55.49,1,3,NULL),(16,3138488,'1990-12-20 00:00:00',2,5,12,2008,'F','N','CENTRO','SOMBRIO','SC','124244241216111431443324475122610122142',11412,'770',46.33,1,3,NULL),(16,3138496,'1991-06-07 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124243241215111411368833572122610168187',11481,'1038',46.21,1,3,NULL),(16,3138500,'1990-11-30 00:00:00',2,5,12,2008,'M','N','ORATóRIO','ORLEANS','SC','124241241115161232546614572124610142052',NULL,'580',25.01,1,3,NULL),(16,3138518,'1990-02-03 00:00:00',2,1,12,2008,'F','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124242241215132411239834275124610164142',6835,'1048',54.60,1,3,NULL),(16,3138526,'1989-01-23 00:00:00',2,1,12,2006,'M','N','CAMPINAS','S JOSé','SC','124242241216474731467934395122231437052',NULL,'737',0.00,1,3,NULL),(16,3138534,'1990-12-31 00:00:00',4,8,12,2007,'F','N','CENTRO','UMUARAMA','PR','116161161315471432468833575115610122092',3919,'9998',61.29,4,3,NULL),(16,3138542,'1991-01-18 00:00:00',4,2,12,2008,'F','N','BELA VISTA','GASPAR','SC','124241241111271421438823571124610117142',7925,'69',52.56,2,1,1),(16,3138577,'1991-07-07 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124243241117272431458614572124610126142',227,'271',78.81,1,3,NULL),(16,3138585,'1991-05-20 00:00:00',4,8,12,2008,'F','N','VILA NOVA','JARAGUá SUL','SC','124243241217112411459912575122610126172',NULL,'422',48.76,1,3,NULL),(16,3138593,'1989-04-23 00:00:00',2,1,11,2006,'F','N','ROçADO','S JOSé','SC','124242241215575431588811575122610125017',5180,'270',58.16,1,3,NULL),(16,3138607,'1991-06-29 00:00:00',4,1,12,2008,'M','N','JARDIM BELA VISTA','FOZ IGUAçU','PR','116162161236111441456823295124610167142',NULL,'9998',33.47,1,3,NULL),(16,3138615,'1980-12-26 00:00:00',4,5,11,1998,'M','N','CENTRO','CRICIUMA','SC','124242241215373751487812284122421744112',324,'226',77.69,1,3,NULL),(16,3138623,'1987-08-12 00:00:00',2,2,12,2004,'M','N','CAMINHO PINHAL','DA EMMA','SC','124241241125131421111141195325610167057',NULL,'247',25.32,2,1,1),(16,3138631,'1986-06-19 00:00:00',2,4,9,2008,'M','N','COLATTO','XANXERê','SC','124241241122271421323314142223610162197',NULL,'9999',15.41,1,3,NULL),(16,3138658,'1991-08-08 00:00:00',4,1,11,2008,'M','N','CENTRO','ERECHIM','RS','120204201215271431243815574125610162093',9056,'9998',50.49,1,3,NULL),(16,3138674,'1990-04-20 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215372431469913592122610167052',920,'262',72.57,1,3,NULL),(16,3138682,'1990-07-16 00:00:00',4,1,12,2007,'M','N','AGRôNOMICA','FLORIANóPOLIS','SC','124201201117372441225649492134610124052',9737,'9998',49.27,1,2,1),(16,3138690,'1990-08-28 00:00:00',4,1,12,2008,'M','N','SANTA CRUZ','RIBEIRãO PRETO','SP','125252251217471431378921472122610134153',NULL,'9998',0.00,1,3,NULL),(16,3138704,'1989-03-16 00:00:00',4,1,12,2007,'M','N','BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP','125252251217471431458912375112610124017',NULL,'9998',31.40,1,3,NULL),(16,3138712,'1988-12-17 00:00:00',4,1,12,2007,'M','N','VARZEA GRANDE','GRAMADO','RS','124201201147271241425525412324610124177',7726,'9998',52.92,1,2,1),(16,3138720,'1993-03-12 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241217111431459919594124610124142',NULL,'9997',47.10,1,3,NULL),(16,3138739,'1988-06-24 00:00:00',2,1,12,2005,'M','N','CENTRO','CANOINHAS','SC','124241161216375331368823572112132024053',7027,'9998',54.23,1,3,NULL),(16,3138747,'1987-02-23 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124252251216151731489819395122241124192',NULL,'9998',0.00,1,3,NULL),(16,3138755,'1991-05-17 00:00:00',2,1,12,2008,'F','N','CENTRO','PTO ALEGRE','RS','120202208217151431447614375122610131187',NULL,'9998',30.31,4,3,NULL),(16,3138763,'1991-01-25 00:00:00',4,1,9,2008,'F','N','PEDRA BRANCA','PALHOçA','SC','124242281415371432469819575124610122197',6973,'9998',54.34,1,3,NULL),(16,3138771,'1991-09-06 00:00:00',4,8,12,2008,'F','N','VILA LUCINDA','STO ANDRé','SP','125252251215371431459834375122610167072',1368,'9998',70.01,1,3,NULL),(16,3138780,'1990-11-29 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124242241215473431468713575114610167012',1912,'738',67.53,1,3,NULL),(16,3138798,'1991-06-08 00:00:00',4,1,12,2008,'M','N','CENTRO','VACARIA','RS','120202201217271431356831575122610122147',8131,'9998',52.16,1,3,NULL),(16,3138810,'1991-05-09 00:00:00',4,1,10,2008,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241217151431558813574124610137057',3062,'266',63.62,1,3,NULL),(16,3138836,'1987-05-07 00:00:00',2,1,12,2006,'F','N','TAPERA','FLORIANóPOLIS','SC','124242241231375431448613382124610123052',11944,'269',45.36,4,3,NULL),(16,3138844,'1989-03-13 00:00:00',4,2,12,2006,'M','N','CENTRO','ATALANTA','SC','124241241116573441344633571124610128197',5057,'39',58.49,1,2,1),(16,3138852,'1991-03-24 00:00:00',2,1,12,2008,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241115131431426514452124610123147',8166,'64',52.09,1,2,1),(16,3138860,'1991-10-10 00:00:00',4,1,12,2009,'F','S','FLOR DE NáPOLIS','S JOSé','SC','124241241221131752443639472124610134187',NULL,'262',43.38,1,3,NULL),(16,3138895,'1989-12-07 00:00:00',2,1,11,2008,'F','N','AREIAS','S JOSé','SC','124242241215151431653623575122610166172',5509,'976',57.45,1,3,NULL),(16,3138909,'1990-09-06 00:00:00',4,4,12,2007,'F','N','INTERIOR','FORMOSA SUL','SC','124241241147161431524316382342610123057',NULL,'308',22.99,1,2,1),(16,3138917,'1989-03-26 00:00:00',4,8,12,2006,'M','N','JD RADIO CLUB','SANTOS','SP','125252253435571431236614585124610127042',3073,'9998',63.58,4,3,NULL),(16,3138925,'1987-03-24 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215173431447754495124230727183',12911,'262',43.65,4,1,2),(16,3138933,'1989-03-14 00:00:00',4,8,12,2006,'F','N','SANTA MARIA','SANTOS','SP','125252251116571431238623575124610126047',4006,'9998',61.05,4,3,NULL),(16,3138941,'1990-08-09 00:00:00',4,8,12,2007,'M','N','SANTA LUZIA','JARAGUá SUL','SC','124241241117472431446622375124610147032',1315,'433',70.27,1,2,1),(16,3138950,'1990-12-02 00:00:00',4,8,11,2008,'M','N','AMéRICA','JOINVILLE','SC','124242241215371411476912245121610147046',NULL,'486',0.00,1,3,NULL),(16,3138968,'1981-07-21 00:00:00',2,1,12,1998,'F','N','CENTRO','CHAPECO','SC','124242241216111421324429482124332036197',11511,'168',46.15,1,3,NULL),(16,3138976,'1962-04-30 00:00:00',4,1,12,1983,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','224253251322131441633342122114610146097',9204,'9999',50.24,1,3,NULL),(16,3138984,'1986-08-19 00:00:00',4,1,12,2004,'F','N','SETOR AEROPORTO','GOIâNIA','GO','109092091215572451138821576115142565096',2309,'9998',66.02,1,3,NULL),(16,3138992,'1962-10-07 00:00:00',2,1,12,1981,'M','N','JOSÉ MENDES','FLORIANóPOLIS','SC','224243243211272711353333431134321266047',6995,'653',54.30,1,3,NULL),(16,3139000,'1992-03-02 00:00:00',2,5,12,2008,'F','N','ITAPUã','BAL GAIVOTA','SC','124241241315111431446823595122610133147',13746,'770',42.17,1,3,NULL),(16,3139018,'1990-05-19 00:00:00',4,1,12,2007,'F','N','ABRAãO','FLORIANóPOLIS','SC','124244247436371731327521295124610122197',NULL,'9999',0.00,1,3,NULL),(16,3139034,'1990-11-11 00:00:00',2,1,8,2008,'F','N','PALHOçA','PALHOçA','SC','124241241115271431538534345124610126152',NULL,'739',26.98,1,2,1),(16,3139042,'1990-06-18 00:00:00',2,4,12,2007,'M','N','INTERIOIR','CAIBI','SC','124241241117271411453355155122140227047',NULL,'127',33.50,1,2,1),(16,3139050,'1989-03-28 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124244161415572411446634575125610164145',NULL,'9998',0.00,1,3,NULL),(16,3139069,'1991-01-22 00:00:00',2,1,12,2007,'F','N','CALEMBA','STO AMARO IMPERATRIZ','SC','124243241215473431465312575122610124092',5776,'270',56.87,1,3,NULL),(16,3139077,'1990-04-04 00:00:00',2,1,12,2007,'M','N','SERRARIA','S JOSé','SC','124243241317371731578612245124610162052',NULL,'65',23.39,1,3,NULL),(16,3139085,'1991-08-17 00:00:00',4,2,12,2009,'F','S','PONTA AGUDA','BLUMENAU','SC','124244241216111431358719375122610127182',NULL,'909',40.42,1,3,NULL),(16,3139093,'1991-02-14 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124243247317111731323312272224610115147',NULL,'9999',26.08,1,3,NULL),(16,3139107,'1990-10-14 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124252251215471431258822572124610133122',3843,'9998',61.47,1,3,NULL),(16,3139115,'1990-04-06 00:00:00',2,1,12,2008,'F','N','RATONES','FLORIANóPOLIS','SC','124241241115111411533321592324610117042',NULL,'288',24.02,2,1,1),(16,3139140,'1989-05-12 00:00:00',2,3,12,2006,'F','N','SãO LUíS','BRUSQUE','SC','124243241216272431458632575124231036072',4696,'107',59.32,1,3,NULL),(16,3139166,'1992-05-06 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215151431469933571122610132122',12563,'723',44.24,1,3,NULL),(16,3139174,'1979-12-23 00:00:00',2,1,12,2001,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241325371431356529342243610112197',NULL,'771',37.49,1,3,NULL),(16,3139182,'1991-09-18 00:00:00',4,1,12,2008,'F','N','SÃO FRANCISCO','CPO GRANDE','MS','112124128434211131368731592122610113141',2153,'9998',66.57,1,3,NULL),(16,3139190,'1988-12-13 00:00:00',4,5,12,2006,'F','N','SAO LUIZ','TIMBé SUL','SC','124241241116132721526319282124231062051',NULL,'785',0.00,1,3,NULL),(16,3139204,'1987-08-23 00:00:00',4,1,12,2004,'M','N','FLORESTA','S JOSé','SC','124242241215333431488913372114131017117',10935,'266',47.15,1,3,NULL),(16,3139212,'1989-10-05 00:00:00',4,1,12,2008,'F','N','SETOR BUENO','GOIâNIA','GO','109092091217111431378811575124610146092',1129,'9998',71.30,1,3,NULL),(16,3139220,'1962-03-12 00:00:00',3,1,12,1979,'F','N','JURERÊ','FLORIANóPOLIS','SC','224252253217141411586543331122341066197',4398,'9998',60.02,1,3,NULL),(16,3139247,'1964-09-15 00:00:00',3,1,12,1982,'F','N','INGLESES','FLORIANóPOLIS','SC','524203206132151411231343332124542866187',13453,'9998',42.68,1,3,NULL),(16,3139255,'1991-02-24 00:00:00',2,3,12,2008,'M','N','BAIRRO DAS NAçõES','BAL CAMBORIú','SC','124164241215151431567414275122610168112',10253,'1086',48.34,1,3,NULL),(16,3139263,'1990-04-10 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215312431329933575122610133057',6879,'270',54.52,1,3,NULL),(16,3139280,'1988-11-07 00:00:00',2,1,12,2005,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241248122131431235324342114610112141',NULL,'9997',27.22,1,3,NULL),(16,3139298,'1954-02-15 00:00:00',5,1,12,1973,'M','N','PANTANAL','FLORIANóPOLIS','SC','124244248126135441123348315324221616047',7107,'306',54.09,1,3,NULL),(16,3139301,'1990-08-10 00:00:00',2,1,12,2007,'F','N','CENTRO','S JOSé','SC','124242241215372731246614372122610126147',1437,'1036',69.59,4,3,NULL),(16,3139310,'1988-03-27 00:00:00',2,1,12,2005,'F','N','CAMPINAS','S JOSé','SC','124201201122471431225344441114610128143',15748,'9998',37.92,1,2,1),(16,3139328,'1991-03-02 00:00:00',4,8,12,2008,'M','N','CENTRO','PTO UNIãO','SC','124241241212111431556822582125610127042',14151,'633',41.33,1,3,NULL),(16,3139344,'1989-07-13 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241315373431346613395124610126112',NULL,'1098',36.55,1,3,NULL),(16,3139352,'1991-12-12 00:00:00',4,1,12,2008,'M','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124241241117131531433514475114610162147',8262,'307',51.85,3,2,1),(16,3139379,'1988-11-22 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241311471731539634371344610168097',13677,'757',42.32,1,3,NULL),(16,3139387,'1974-04-27 00:00:00',4,1,12,1990,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','224201206126151751457659445124341462187',NULL,'9998',0.00,1,3,NULL),(16,3139395,'1990-08-18 00:00:00',4,3,12,2008,'F','N','CENTRO','CAMBORIú','SC','124241241114271411434412385124610144147',16272,'130',36.46,1,3,NULL),(16,3139409,'1988-12-17 00:00:00',2,1,12,2006,'F','N','CENTRO','PALHOçA','SC','124241247341132411238312241112132567187',NULL,'596',24.01,1,3,NULL),(16,3139417,'1989-08-25 00:00:00',4,9,11,2006,'M','N','BEATRIZ','LAGES','SC','124243241215573431548812575112610134067',NULL,'499',39.30,1,3,NULL),(16,3139425,'1989-05-23 00:00:00',2,1,12,2006,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217112411528832243122230225182',NULL,'270',34.38,1,3,NULL),(16,3139433,'1990-02-23 00:00:00',4,1,12,2007,'M','N','IBITI DO PAçO','SOROCABA','SP','125252251216471431568832475122610142193',5535,'9998',57.40,3,3,NULL),(16,3139441,'1991-07-28 00:00:00',4,4,12,2008,'F','N','INTERIOR','NOVO HORIZONTE','SC','124241241117161431424916572344610126172',13893,'579',41.87,1,2,1),(16,3139450,'1991-05-05 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124241241137271411526711575124610161197',13979,'734',41.70,1,3,NULL),(16,3139476,'1988-04-12 00:00:00',2,1,12,2005,'M','N','JARDIM ZANELATO','S JOSé','SC','124241241225273711526834345124610127057',13633,'262',42.40,1,3,NULL),(16,3139484,'1989-08-04 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241117163531536732341124230814067',NULL,'257',3.56,1,2,1),(16,3139492,'1989-11-23 00:00:00',4,10,12,2007,'M','N','MAGALHãES','LAGUNA','SC','124246241217372431457713492112610151062',NULL,'525',28.08,1,3,NULL),(16,3139506,'1990-08-26 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217131431458412582112610111091',NULL,'9999',30.68,1,3,NULL),(16,3139522,'1991-09-21 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215371441479711592122610168142',5920,'262',56.53,1,3,NULL),(16,3139530,'1969-12-19 00:00:00',2,1,12,1987,'M','N','KOBRASOL','S JOSé','SC','224241241127335411443542322112121134042',15887,'307',37.51,1,2,1),(16,3139549,'1991-01-08 00:00:00',2,5,10,2008,'F','N','NOVA VENEZA','NOSSA SRA CARAVAGGIO','SC','124244248417222531425512595122610126182',NULL,'9997',0.00,1,3,NULL),(16,3139565,'1985-07-09 00:00:00',4,1,12,2002,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215142421237832595122233267047',NULL,'269',27.34,1,3,NULL),(16,3139581,'1989-10-23 00:00:00',4,1,12,2007,'M','N','CAPITAIS','TIMBó','SC','124241241215272431455631392221121724127',2510,'1157',65.31,1,3,NULL),(16,3139590,'1987-07-13 00:00:00',2,1,11,2004,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','524241241145474111223449395122610164047',11607,'298',45.99,1,3,NULL),(16,3139603,'1988-09-16 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124243241137372731448823385124610124132',9477,'288',49.76,1,3,NULL),(16,3139620,'1986-10-20 00:00:00',2,1,12,2003,'F','N','JD CIADADE FPOLIS','S JOSé','SC','124242241216473431366733392124131032097',NULL,'943',32.14,2,1,2),(16,3139638,'1991-01-26 00:00:00',4,3,12,2007,'F','N','ALTO DA GLóRIA','CURITIBA','PR','116242161317571751448639574124610163147',1130,'9998',71.29,1,3,NULL),(16,3139646,'1990-01-16 00:00:00',4,8,12,2007,'M','N','SOUSAS','CAMPINAS','SP','125252251216472441448834445133610167052',NULL,'9998',33.36,1,3,NULL),(16,3139654,'1990-12-22 00:00:00',4,5,11,2007,'M','N','VILA SãO JOSé','ARARANGUá','SC','124204241415373531436732272125610124047',2417,'32',65.65,1,3,NULL),(16,3139662,'1988-01-25 00:00:00',4,1,11,2005,'F','N','KOBRASOL','S JOSé','SC','124242241216373431338923595124133223183',NULL,'9997',5.79,2,1,2),(16,3139670,'1989-11-04 00:00:00',4,5,12,2007,'M','N','CENTRO','PASSO TORRES','SC','124241242117472431435923572121610127052',8426,'690',51.54,1,2,1),(16,3139689,'1989-05-24 00:00:00',2,1,12,2006,'F','N','IPANEMA','PTO ALEGRE','RS','120202201116371731436813372114610162077',NULL,'9998',24.80,1,3,NULL),(16,3139697,'1978-01-08 00:00:00',2,1,1,2000,'F','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','124161161145474421223329475124610123182',NULL,'9998',28.04,1,2,1),(16,3139700,'1987-05-07 00:00:00',4,2,11,2004,'M','N','PROGRESSO','BLUMENAU','SC','124242242524155451618921577214610162164',543,'855',75.48,1,3,NULL),(16,3139735,'1990-11-12 00:00:00',4,5,12,2007,'F','N','SãO JOãO','COCAL SUL','SC','124241246215371431347614345122610127052',13598,'188',42.45,1,3,NULL),(16,3139743,'1988-08-05 00:00:00',2,1,12,2005,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241112572431423312375122610134147',13721,'772',42.22,1,2,1),(16,3139760,'1991-10-19 00:00:00',4,1,11,2008,'F','N','REAL PARQUE','S PAULO','SP','125252251215111431388822575122610124072',3012,'9998',63.75,1,3,NULL),(16,3139786,'1991-02-05 00:00:00',2,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215121431538534372112610122012',15663,'272',38.15,1,3,NULL),(16,3139794,'1976-12-22 00:00:00',2,1,1,1998,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124073073446133431128744245121141414112',NULL,'9998',9.13,4,3,NULL),(16,3139824,'1990-05-11 00:00:00',2,3,12,2007,'F','N','CENTRO','S JOãO BATISTA','SC','124241241147471432433823132132610145197',11327,'712',46.44,1,2,1),(16,3139859,'1990-03-14 00:00:00',2,5,7,2008,'M','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124241246215111431356614445132610137042',10165,'995',48.49,1,3,NULL),(16,3139867,'1990-09-06 00:00:00',2,1,12,2007,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124244241215273431566639575124230264142',NULL,'991',43.83,1,3,NULL),(16,3139883,'1990-01-17 00:00:00',2,8,11,2006,'F','N','TINDIQUERA','ARAUCáRIA','PR','116162161216571451466612585122610161182',1379,'9998',69.96,1,3,NULL),(16,3139891,'1986-05-05 00:00:00',4,1,12,2005,'M','N','POTECAS','S JOSé','SC','124241241147371421544414312134610168043',NULL,'727',33.11,1,3,NULL),(16,3139913,'1990-03-18 00:00:00',2,1,11,2007,'F','N','CENTRO','RIO SUL','SC','124052051216132431434634475124610143077',NULL,'9998',0.00,4,3,NULL),(16,3139921,'1967-06-03 00:00:00',4,1,12,1985,'F','N','BARREIROS','S JOSé','SC','124241241126134421235544145134610121077',NULL,'307',22.62,1,2,1),(16,3139948,'1991-03-30 00:00:00',4,8,12,2008,'M','N','AMéRICA','JOINVILLE','SC','124242243215111411485924575124610168152',5997,'1105',56.36,1,3,NULL),(16,3139956,'1991-01-14 00:00:00',2,8,12,2007,'M','N','ZONA UM','CIANORTE','PR','116161161231471411366632345112610167057',14563,'9998',40.59,1,3,NULL),(16,3139972,'1989-07-07 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215373431359811575125610137152',7489,'262',53.34,1,3,NULL),(16,3139980,'1990-09-03 00:00:00',4,1,12,2007,'F','N','GARIBALDI','CRUZ ALTA','RS','120202201217271531245512575125143267187',15107,'9998',39.40,1,3,NULL),(16,3139999,'1988-05-20 00:00:00',4,1,12,2005,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242251215571731369614575112610162043',NULL,'9998',12.44,1,3,NULL),(16,3140016,'1990-06-01 00:00:00',2,1,12,2007,'M','N','ITACORUMBI','FLORIANóPOLIS','SC','224243241117272411447613472214610134017',3513,'124',62.35,1,3,NULL),(16,3140032,'1991-04-01 00:00:00',4,7,11,2008,'F','N','JARDIM CIDADE ALTA','JOAçABA','SC','124244241215111431465934595122610168142',NULL,'962',24.77,1,3,NULL),(16,3140040,'1990-08-30 00:00:00',4,4,12,2007,'M','N','CENTRO','TOLEDO','PR','116162161216471411457923332112610146192',910,'9998',72.62,1,3,NULL),(16,3140059,'1987-07-20 00:00:00',2,1,11,2005,'M','N','VIANELO','JUNDIAí','SP','125252253216573421446614276114610163111',4612,'9998',59.53,1,3,NULL),(16,3140067,'1988-12-17 00:00:00',4,1,12,2007,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124242241115271431323629245234610122147',7270,'306',53.77,1,3,NULL),(16,3140075,'1991-10-13 00:00:00',4,8,11,2008,'M','N','BRITANIA','MAL CâNDIDO RONDON','PR','116164161216271431337316275121610127043',13619,'9998',42.43,1,3,NULL),(16,3140091,'1990-12-07 00:00:00',4,8,12,2008,'F','N','CENTRO','S BENTO SUL','SC','124241241217271431568812575112610137011',7520,'974',53.29,1,3,NULL),(16,3140105,'1991-09-25 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241146141732656631315124610113152',NULL,'285',29.34,1,3,NULL),(16,3140113,'1983-09-04 00:00:00',4,1,7,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241116323721121177441125132812176',4772,'306',59.13,1,3,NULL),(16,3140121,'1990-10-02 00:00:00',4,1,12,2008,'F','N','CRISTO REDENTOR','PTO ALEGRE','RS','120204201411151431469614272124610124097',NULL,'9998',23.06,1,3,NULL),(16,3140130,'1988-05-24 00:00:00',2,1,12,2005,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124212211217573431448312475124231127042',1844,'9998',67.84,1,3,NULL),(16,3140156,'1990-09-05 00:00:00',4,1,12,2007,'F','N','VILA COSTA E SILVA','CAMPINAS','SP','125254251217371711469812571112610123146',NULL,'9998',0.00,4,3,NULL),(16,3140172,'1990-02-21 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241211473431567712394124612633142',2635,'497',64.88,1,3,NULL),(16,3140180,'1981-08-16 00:00:00',4,1,12,1999,'M','N','CENTRO','ROLâNDIA','PR','124161167142131411123351145324610147112',NULL,'9999',0.00,1,3,NULL),(16,3140199,'1977-07-04 00:00:00',2,1,12,1997,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124202201213134451126913295234221466117',7740,'9998',52.90,2,1,2),(16,3140202,'1991-02-05 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241115272411356414374124230237042',3601,'257',62.08,1,2,1),(16,3140210,'1989-04-02 00:00:00',4,8,11,2006,'F','N','SAGUAçú','JOINVILLE','SC','124242241215373411588912572112133242122',2473,'486',65.43,4,3,NULL),(16,3140229,'1991-07-04 00:00:00',4,1,11,2008,'M','N','CENTRO','STA MARIA','RS','120202201217371431479833591112610164012',928,'9998',72.53,1,3,NULL),(16,3140237,'1990-02-01 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215473431278713372112610136187',5834,'1022',56.71,1,3,NULL),(16,3140245,'1991-06-03 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215111431565732172122610138094',NULL,'724',29.66,1,3,NULL),(16,3140253,'1990-06-06 00:00:00',2,9,12,2007,'M','N','VáRZEA','LAGES','SC','124241241116472431556533575123610167147',7026,'935',54.24,1,2,1),(16,3140261,'1990-10-31 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241117472731436633342344610143142',15513,'278',38.51,1,2,1),(16,3140270,'1990-10-05 00:00:00',4,2,12,2008,'M','N','ASILO','BLUMENAU','SC','124242241216111731438922281122610127072',NULL,'71',29.04,1,3,NULL),(16,3140296,'1989-09-09 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215573732263323571322133267045',6745,'988',54.77,1,3,NULL),(16,3140300,'1990-11-02 00:00:00',4,9,12,2007,'F','N','CORAL','LAGES','SC','124242241215471731479914572112610123147',9459,'446',49.80,1,3,NULL),(16,3140318,'1991-02-11 00:00:00',4,3,12,2008,'M','N','SãO LUIZ','BRUSQUE','SC','124242241215272431558812575112610137122',593,'109',74.99,1,3,NULL),(16,3140326,'1989-04-26 00:00:00',4,1,12,2006,'M','N','CENTRO','JARAGUá SUL','SC','124242241217372411448814575124121467122',1639,'270',68.72,1,3,NULL),(16,3140334,'1989-03-13 00:00:00',2,9,12,2006,'M','N','VILA CACHOEIRINHA','CACHOEIRINHA','RS','120202201217572331435816475324610157016',2439,'9998',65.57,1,3,NULL),(16,3140342,'1987-06-23 00:00:00',4,10,11,2004,'M','N','CENTRO','TUBARãO','SC','124242241212114141458719274112233267111',NULL,'809',0.00,1,3,NULL),(16,3140350,'1991-12-17 00:00:00',2,4,12,2008,'F','N','MARIA GORETI','CHAPECó','SC','124241241115371431335723235122610166197',NULL,'169',31.79,1,2,1),(16,3140369,'1987-04-10 00:00:00',2,1,12,2005,'F','N','JOSé MENDES','FLORIANóPOLIS','SC','124241241111171411123344341214610116141',NULL,'286',6.35,1,2,1),(16,3140385,'1989-03-28 00:00:00',4,1,7,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124244247437371431233917375124610167042',10811,'9999',47.34,1,3,NULL),(16,3140393,'1986-01-21 00:00:00',4,8,11,2003,'F','N','CENTRO','PIRACICABA','SP','125252251216574751579817475122143263187',427,'9998',76.49,1,3,NULL),(16,3140407,'1991-08-07 00:00:00',4,5,10,2008,'M','N','PAULO DE FRONTIN','CRICIúMA','SC','124241241215131431434511274124610122097',606,'213',74.89,1,3,NULL),(16,3140415,'1990-10-16 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124243241316471431337824285224610124187',12093,'239',45.11,1,3,NULL),(16,3140431,'1991-08-23 00:00:00',2,2,11,2008,'M','N','SUMARÉ','RIO SUL','SC','124242241215151451457814575122610147057',NULL,'654',38.83,1,3,NULL),(16,3140440,'1985-08-03 00:00:00',2,1,7,2004,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241116471421433313482124610161197',11411,'592',46.33,1,2,1),(16,3140458,'1992-02-14 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215111431466629572211610147062',15659,'44',38.17,1,3,NULL),(16,3140474,'1984-07-01 00:00:00',4,1,12,2001,'M','N','CÓRREGO GRANDE','FLORIANóPOLIS','SC','124242161117473721468827445124521547092',4266,'9998',60.33,1,3,NULL),(16,3140482,'1991-11-08 00:00:00',2,4,12,2008,'F','N','CENTRO','ENTRE R SUL','RS','120201201126151431438613435122610166047',15306,'9998',38.95,1,2,1),(16,3140490,'1991-07-15 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215111752468834442112610124181',11858,'1022',45.54,1,3,NULL),(16,3140504,'1991-11-19 00:00:00',2,1,12,2008,'M','N','CENTRO','PALHOçA','SC','124242241217151432438839472121610167087',NULL,'989',27.19,1,3,NULL),(16,3140512,'1991-08-29 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215112731239911596125610164117',8345,'270',51.70,1,3,NULL),(16,3140520,'1993-01-20 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215111431379933574124610123192',NULL,'270',20.78,1,3,NULL),(16,3140547,'1990-10-02 00:00:00',2,9,12,2007,'F','N','SãO BETO','BENTO GONçALVES','RS','120203201217472431437412271125610167042',1589,'9998',68.93,1,3,NULL),(16,3140555,'1991-03-25 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241317111431526354572124610123147',11366,'1022',46.39,2,1,2),(16,3140563,'1991-03-01 00:00:00',2,5,12,2008,'F','N','TENENTE','JACINTO MACHADO','SC','124241241116161731446315571122610168187',16677,'420',33.99,1,2,1),(16,3140598,'1990-11-04 00:00:00',2,3,11,2007,'F','N','SANTO ANTONIO','CURITIBANOS','SC','124242241236131431466719574122610124077',2619,'881',64.93,1,3,NULL),(16,3140601,'1991-05-08 00:00:00',1,4,12,2008,'M','N','INTERIOR','TUNáPOLIS','SC','124241241116131431453636262224610147047',7825,'812',52.73,1,2,1),(16,3140610,'1991-07-18 00:00:00',2,3,12,2008,'M','N','SAO FRANCISCO','CURITIBA','PR','116164168416121411447812582121610124092',NULL,'9998',42.46,1,3,NULL),(16,3140628,'1991-07-22 00:00:00',4,1,12,2008,'M','N','CENTRO','GUARAPUAVA','PR','116163161116371431558912575122610127052',6056,'9998',56.22,1,3,NULL),(16,3140644,'1991-12-23 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215111431467812575124610123192',10269,'1022',48.31,1,3,NULL),(16,3140660,'1991-06-17 00:00:00',4,8,12,2008,'M','N','CENTRO','MAFRA','SC','124241241217371231448612222121610122152',NULL,'541',19.08,1,3,NULL),(16,3140679,'1990-08-08 00:00:00',4,3,12,2007,'F','N','JARDIM SINUELO','ASTORGA','PR','116163161416411131458716572112610133157',NULL,'9998',0.00,1,3,NULL),(16,3140687,'1991-03-01 00:00:00',2,5,12,2008,'F','N','TENENTE','JACINTO MACHADO','SC','124241241112161731446315572122610168197',NULL,'420',31.04,1,2,1),(16,3140695,'1990-09-05 00:00:00',2,9,12,2007,'F','N','VILA KURTZ','CAçADOR','SC','124242241216372431466611575112610164141',NULL,'1124',0.00,1,3,NULL),(16,3140709,'1990-02-09 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241112372431346612341124610135097',NULL,'287',24.51,1,2,1),(16,3140717,'1984-01-30 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','224242247446142131226544445334610121017',NULL,'9999',0.00,1,3,NULL),(16,3140725,'1990-04-20 00:00:00',4,7,12,2008,'F','N','JARDIM DAS HORTENCIA','FRAIBURGO','SC','124242161215112451579911572125610168017',NULL,'9998',28.21,1,3,NULL),(16,3140733,'1991-07-05 00:00:00',4,7,11,2008,'F','N','CENTRO','LACERDóPOLIS','SC','124241241435132431548612171124610164057',11194,'446',46.67,1,3,NULL),(16,3140741,'1973-01-28 00:00:00',2,1,4,2007,'M','N','BARREIROS','S JOSé','SC','124161247121313721331144342343610168197',7697,'9999',52.97,1,2,1),(16,3140750,'1985-03-18 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124254251237151741138941315124141261182',NULL,'9998',0.00,1,3,NULL),(16,3140768,'1989-06-23 00:00:00',2,1,12,2008,'F','N','SãO JORGE','PANAMBI','RS','120201201346161421343312255122610161192',NULL,'9998',0.00,1,3,NULL),(16,3140776,'1986-07-31 00:00:00',2,1,12,2003,'F','N','TAPERA','FLORIANóPOLIS','SC','124201201112372421234315432334610128187',12798,'9998',43.85,1,2,1),(16,3140784,'1991-07-29 00:00:00',2,1,12,2008,'F','N','BALNéARIO ESTREITO','FLORIANóPOLIS','SC','124242241215131431356714175124610137117',16181,'259',36.71,1,3,NULL),(16,3140822,'1989-08-08 00:00:00',2,1,7,2008,'M','N','BARREIROS','S JOSé','SC','124241247121311531336514382343610114047',NULL,'9999',23.96,1,2,1),(16,3140849,'1991-07-09 00:00:00',4,1,11,2008,'M','N','LARANJEIRAS','RIO SUL','SC','124242241217111431458832575122610167055',NULL,'654',36.33,1,3,NULL),(16,3140857,'1982-08-14 00:00:00',4,1,12,2000,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241312271721123343432223333263151',NULL,'469',26.94,1,3,NULL),(16,3140865,'1992-01-24 00:00:00',4,9,12,2008,'M','N','SANTA CATARINA','LAGES','SC','124243241215151441236923375124610144196',2676,'515',64.77,1,3,NULL),(16,3140903,'1988-02-20 00:00:00',2,9,11,2005,'F','N','MARTORANO','S JOAQUIM','SC','124243241211133431526411392334131327077',10673,'720',47.62,1,3,NULL),(16,3140911,'1985-08-07 00:00:00',2,1,12,2002,'M','N','VALE DA BOA ESPERANç','PINHAIS','PR','116201201116572411333629575125232437062',10346,'9998',48.17,1,2,1),(16,3140920,'1989-07-20 00:00:00',4,4,11,2006,'F','N','SOBRADINHO','SOBRADINHO','DF','107074071116471431466631576114242723182',NULL,'9998',0.00,1,3,NULL),(16,3140938,'1991-06-08 00:00:00',4,4,11,2008,'F','N','LOEFF','CARAZINHO','RS','120202201215111431379919394122610167143',12075,'9998',45.14,1,3,NULL),(16,3140946,'1989-11-28 00:00:00',2,2,12,2007,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241215372431669913391124130238011',16475,'1048',35.59,1,3,NULL),(16,3140954,'1991-08-08 00:00:00',4,3,11,2008,'M','N','CASTELO BRANCO','ITAPEMA','SC','124244241215131441416532215121610167017',NULL,'403',32.04,1,3,NULL),(16,3140962,'1990-11-04 00:00:00',2,3,11,2007,'F','N','SANTO ANTONIO','CURITIBANOS','SC','124242241212131431466714594122610134077',3997,'881',61.07,1,3,NULL),(16,3140970,'1989-07-03 00:00:00',4,1,12,2005,'F','N','SETOR JAO','GOIâNIA','GO','109092091217571411458732574112610166047',188,'9998',79.40,1,3,NULL),(16,3140989,'1991-05-05 00:00:00',2,1,12,2008,'M','N','SANTANA','RIO SUL','SC','124242241215111431326529492321610167142',NULL,'654',26.09,1,3,NULL),(16,3140997,'1988-10-19 00:00:00',2,9,12,2006,'M','N','UNIVERSITáRIO','LAGES','SC','124244241115131431256836292121610137052',12827,'719',43.80,1,3,NULL),(16,3141004,'1990-09-30 00:00:00',4,1,11,2008,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124242241215111411238821572124610124112',7926,'262',52.55,1,3,NULL),(16,3141012,'1990-09-02 00:00:00',2,4,12,2007,'M','N','SãO CRISTóVãO','FRANCISCO BELTRãO','PR','116161161111371431455512271125610162177',NULL,'9998',27.65,1,2,1),(16,3141020,'1989-10-16 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124244241117373421348629345124610166145',10765,'267',47.43,1,3,NULL),(16,3141039,'1977-10-08 00:00:00',4,8,7,1998,'M','N','ADHEMAR GARCIA','JOINVILLE','SC','124241247346135431335543132244131024127',NULL,'486',0.00,4,3,NULL),(16,3141055,'1992-02-06 00:00:00',4,1,12,2008,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124243241135111431459933575124610127065',NULL,'271',37.50,1,3,NULL),(16,3141063,'1992-02-17 00:00:00',4,8,12,2008,'M','N','SAO JOAQUIM','UNIãO VITóRIA','PR','116161161116251431469914572122610138012',10747,'9998',47.46,1,2,1),(16,3141071,'1991-10-03 00:00:00',2,1,12,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124242241216111431226634575124610124147',NULL,'270',26.53,1,3,NULL),(16,3141080,'1990-09-21 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241217372721537923385124610167111',10493,'951',47.92,1,3,NULL),(16,3141098,'1989-11-17 00:00:00',2,1,12,2008,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241115471431326213335124610154147',NULL,'298',22.64,2,1,1),(16,3141101,'1991-12-12 00:00:00',4,3,12,2008,'M','N','LA SALLE','PATO BRANCO','PR','116164161216371411343934144122610124057',4733,'9998',59.23,1,3,NULL),(16,3141110,'1990-06-18 00:00:00',4,1,11,2007,'M','N','CENTRO','CAçAPAVA','SP','125252251415471532568814572121610127117',NULL,'9998',36.28,1,3,NULL),(16,3141128,'1990-04-26 00:00:00',4,9,11,2008,'F','N','SãO CRISTóVãO','LAGES','SC','124242241215371431458912575112610133122',13386,'499',42.82,1,3,NULL),(16,3141136,'1985-07-19 00:00:00',4,3,12,2005,'F','N','CENTRO','BAL CAMBORIú','SC','124161244142272741436341316225610146182',15304,'49',38.95,4,2,1),(16,3141144,'1990-12-23 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241115151431335832575222610126042',NULL,'295',20.89,4,3,NULL),(16,3141152,'1990-05-06 00:00:00',4,1,11,2007,'M','N','CAMPINAS','S JOSé','SC','124242241215372731458913475114610167147',2600,'1022',65.02,1,3,NULL),(16,3141179,'1991-06-10 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124241241215111431443611192112610127042',13104,'1118',43.32,1,3,NULL),(16,3141187,'1991-04-05 00:00:00',4,1,12,2008,'F','N','JD MARIA DO CARMO','SOROCABA','SP','125254251227111431448614575122610122072',NULL,'9998',28.70,1,3,NULL),(16,3141195,'1992-08-30 00:00:00',4,1,5,2009,'F','S','MAR GROSSO','LAGUNA','SC','124244248242121711335824575124610148117',NULL,'9999',11.06,1,3,NULL),(16,3141217,'1992-02-03 00:00:00',4,1,12,2008,'M','N','CENTRO','FRAIBURGO','SC','124162241216111431338734575122610137042',12271,'885',44.78,3,3,NULL),(16,3141225,'1991-03-27 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161216111441376923595122610113093',NULL,'9998',0.00,1,3,NULL),(16,3141233,'1991-01-22 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241215121431488932325122610127126',1671,'270',68.55,1,3,NULL),(16,3141241,'1985-09-16 00:00:00',4,1,12,2003,'F','N','AGONOMICA','FLORIANóPOLIS','SC','124242241216152531248922445132330264072',10869,'262',47.24,1,3,NULL),(16,3141250,'1990-07-27 00:00:00',2,9,12,2007,'M','N','CENTRO','S JOAQUIM','SC','124242248111131431435715392121610156187',NULL,'9997',24.72,1,3,NULL),(16,3141268,'1984-03-14 00:00:00',2,1,12,2005,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124131137127131451346663385124610144187',NULL,'9998',23.44,1,2,1),(16,3141292,'1988-12-18 00:00:00',4,1,11,2005,'F','N','VILA YOLANDA','FOZ IGUAçU','PR','116162161217573431443811572112610167052',13567,'9998',42.52,1,3,NULL),(16,3141306,'1991-08-31 00:00:00',2,4,10,2008,'M','N','CENTRO','ERECHIM','RS','120203201215111411328561595125610148057',NULL,'9998',4.97,1,3,NULL),(16,3141314,'1988-05-14 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124253241215274421137644442112132512127',5606,'262',57.25,1,3,NULL),(16,3141322,'1992-03-15 00:00:00',4,8,12,2009,'F','S','BARRA DO RIO CERRO','JARAGUá SUL','SC','124244241417121431458914575122610136072',NULL,'422',24.55,1,3,NULL),(16,3141330,'1991-03-15 00:00:00',2,1,11,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124122241215111531328811596314610117147',NULL,'270',0.00,1,3,NULL),(16,3141349,'1988-08-12 00:00:00',4,8,12,2006,'F','N','COSTA E SILVA','JOINVILLE','SC','124243248415372431556512345124130234147',NULL,'861',20.86,1,3,NULL),(16,3141357,'1987-03-16 00:00:00',4,1,12,2004,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124243241116144421329643445134220567182',NULL,'430',33.99,1,3,NULL),(16,3141365,'1989-03-25 00:00:00',4,1,12,2006,'M','N','NOVA POUSO ALEGRE','POUSO ALEGRE','MG','113132131215571531448911575114610117122',13574,'9998',42.50,1,3,NULL),(16,3141373,'1989-11-08 00:00:00',2,8,12,2007,'F','N','CHICO DE PAULA','JARAGUá SUL','SC','124242241214372451425819394122610161172',11570,'422',46.06,1,3,NULL),(16,3141381,'1986-05-10 00:00:00',4,1,12,2003,'F','N','LIBERDADE','S PAULO','SP','125252251215572431446631472315610134147',8014,'9998',52.40,3,3,NULL),(16,3141390,'1991-12-12 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217152431488714575122610127122',NULL,'262',39.49,1,3,NULL),(16,3141403,'1991-09-18 00:00:00',4,4,11,2008,'F','N','PANORAMA II','FOZ IGUAçU','PR','116162161215371131458911575125610164184',8591,'9998',51.27,1,3,NULL),(16,3141411,'1991-02-04 00:00:00',4,3,12,2008,'M','N','GLóRIA','IJUí','RS','120201201117371431336632575122610167052',8349,'9998',51.69,1,3,NULL),(16,3141420,'1991-08-04 00:00:00',4,1,12,2008,'F','N','SANTINHO','FLORIANóPOLIS','SC','124241241415111231236612575124610162145',16189,'1048',36.69,1,3,NULL),(16,3141438,'1991-11-05 00:00:00',2,1,12,2008,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241217111451538911296122610133017',15757,'988',37.91,4,1,2),(16,3141446,'1991-09-05 00:00:00',4,8,11,2008,'M','N','JARIVATUBA','JOINVILLE','SC','124244241345121431455412575124610127042',NULL,'1016',0.00,1,3,NULL),(16,3141462,'1990-11-10 00:00:00',2,3,12,2008,'M','N','ACAPULCO','GUARARAPES','SP','125252251216111731548811575122610122072',NULL,'9998',27.65,3,3,NULL),(16,3141489,'1990-04-19 00:00:00',4,4,12,2007,'M','N','CENTRO','PLANALTO ALEGRE','SC','124241241116161731544516395324610124067',NULL,'620',18.76,3,2,1),(16,3141497,'1991-04-04 00:00:00',4,1,11,2008,'F','N','TAQUARAL','CAMPINAS','SP','125252251217111431454419245122610123092',12762,'9998',43.90,1,3,NULL),(16,3141500,'1992-06-29 00:00:00',4,1,12,2008,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241212111431567833575122610112147',6495,'270',55.29,1,3,NULL),(16,3141519,'1991-04-16 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124202201117471731368639375114610162197',16058,'9998',37.10,1,3,NULL),(16,3141543,'1989-10-04 00:00:00',4,1,12,2006,'M','N','JARDIM DOS ESTADOS','SOROCABA','SP','125253251215571451368827282125610121017',2041,'9998',67.03,1,3,NULL),(16,3141551,'1990-06-24 00:00:00',4,1,12,2007,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124222241215472431468913585124610124042',9304,'1022',50.06,4,3,NULL),(16,3141560,'1988-12-11 00:00:00',4,1,12,2008,'M','N','CENTRO','IMBITUBA','SC','124251241135122431348833385124610124147',NULL,'307',30.78,4,1,1),(16,3141578,'1990-11-30 00:00:00',2,1,11,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215112431467713336124610137112',11341,'1022',46.42,1,3,NULL),(16,3141586,'1991-03-22 00:00:00',4,3,12,2007,'M','N','CENTRO','CONCóRDIA','SC','124243241216472431458832575124610147042',9185,'1000',50.27,1,3,NULL),(16,3141594,'1991-06-12 00:00:00',2,1,12,2008,'M','N','BALNEáRIO','FLORIANóPOLIS','SC','124244241215131431423314575122610127047',8051,'1134',52.33,1,3,NULL),(16,3141608,'1990-08-14 00:00:00',4,1,12,2007,'F','N','FLORESTA','S JOSé','SC','124242241215472731446613575112610124011',10498,'270',47.91,1,3,NULL),(16,3141624,'1992-03-06 00:00:00',4,8,12,2008,'M','N','SãO BRáZ','CURITIBA','PR','116162161217371541458931271124610157067',6771,'9998',54.72,1,3,NULL),(16,3141632,'1990-12-18 00:00:00',4,8,12,2008,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241217371431479813475112610164047',5372,'457',57.71,1,3,NULL),(16,3141659,'1990-08-07 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241415473441455637384125610143097',680,'1000',74.35,1,3,NULL),(16,3141667,'1982-03-30 00:00:00',2,1,12,2000,'M','N','CENTRO','FLORIANóPOLIS','SC','124161161126131711223144182124610164147',NULL,'9998',37.11,4,1,1),(16,3141675,'1991-12-26 00:00:00',4,1,12,2008,'M','N','LAPA','TRêS LAGOAS','MS','112122251216111631438612575122610127142',9142,'9998',50.34,1,3,NULL),(16,3141683,'1986-09-29 00:00:00',4,1,12,2003,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124222221216573431468913495124230524182',4675,'9998',59.36,4,3,NULL),(16,3141691,'1986-10-30 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241161311134451526823141124610124117',NULL,'9998',35.24,1,3,NULL),(16,3141705,'1990-04-10 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241415332731336624185124610164121',NULL,'1022',23.53,1,3,NULL),(16,3141730,'1989-08-10 00:00:00',2,1,12,2006,'F','N','SERRARIA','S JOSé','SC','124244248217434731356623575123231324077',NULL,'9997',26.82,1,3,NULL),(16,3141756,'1990-05-08 00:00:00',4,1,12,2007,'F','N','CONSOLAçãO','S PAULO','SP','125242241216411431358813432125610134181',5448,'9997',57.59,1,3,NULL),(16,3141764,'1991-05-14 00:00:00',4,6,12,2008,'F','N','VILA BELMIRO','SANTOS','SP','125254251217161411639831291122610134112',NULL,'9998',0.00,1,3,NULL),(16,3141772,'1992-05-09 00:00:00',4,8,12,2008,'M','N','CENTRO','RIO NEGRINHO','SC','124242241215371431489931575115610127172',361,'666',77.24,1,3,NULL),(16,3141780,'1990-03-21 00:00:00',2,1,7,2007,'F','N','IBIRAQUERA','GAROPABA','SC','124241241116112431425934145234610167047',NULL,'306',24.82,1,2,1),(16,3141799,'1988-01-11 00:00:00',4,1,12,2005,'F','N','ROçADO','S JOSé','SC','124241241122274751633413195124610166077',NULL,'729',0.00,1,2,1),(16,3141802,'1991-01-08 00:00:00',4,9,12,2007,'M','N','COPACABANA','LAGES','SC','124243241215371731466611575112610167047',15923,'515',37.43,1,3,NULL),(16,3141810,'1992-02-10 00:00:00',4,2,11,2009,'F','S','VORSTADT','BLUMENAU','SC','124241241216131431346619392234610128147',NULL,'90',39.86,1,3,NULL),(16,3141829,'1992-09-04 00:00:00',2,1,12,2009,'F','S','BARREIROS','S JOSé','SC','124243241215111531664632325124610132127',NULL,'1118',38.47,1,3,NULL),(16,3141837,'1991-03-12 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124201241113471431323923471324610137182',NULL,'307',0.00,4,3,NULL),(16,3141845,'1991-09-19 00:00:00',2,5,11,2008,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124243241446141411423514245121610127057',NULL,'1033',0.00,1,3,NULL),(16,3141853,'1971-09-19 00:00:00',4,1,10,1992,'M','N','PRAIA COMPRIDA','S JOSé','SC','124241246146154411353343235322221767047',12938,'306',43.61,2,1,1),(16,3141861,'1968-03-22 00:00:00',2,1,12,1988,'F','N','INGLESES','FLORIANóPOLIS','SC','224201208126372441364451485122340522181',13751,'9998',42.16,4,3,NULL),(16,3141870,'1963-06-03 00:00:00',2,1,12,1981,'M','N','CAMPECHE','FLORIANóPOLIS','SC','224246246146273721363643332112120365045',5156,'306',58.23,1,3,NULL),(16,3141888,'1989-07-07 00:00:00',4,1,12,2008,'M','N','CENTRO','CHAP SUL','MS','112252121216371431546814575122610124012',NULL,'9998',0.00,1,3,NULL),(16,3141896,'1988-10-07 00:00:00',4,8,12,2006,'F','N','VILA NOVA','JOINVILLE','SC','124241241136371411354619345124610123047',NULL,'475',28.69,1,2,1),(16,3141918,'1992-07-18 00:00:00',4,1,11,2009,'F','S','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217111431458833572124610133182',NULL,'271',44.69,1,3,NULL),(16,3141926,'1987-07-31 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANóPOLIS','SC','124132131216371751448871595124240664177',200,'9998',79.20,1,3,NULL),(16,3141934,'1987-10-23 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216575431366312572124132222122',9300,'1063',50.07,1,3,NULL),(16,3141942,'1991-01-29 00:00:00',2,1,12,2008,'F','N','VENDAVAL','BIGUAçU','SC','124241241111141331526612392122610143052',NULL,'65',27.30,1,2,1),(16,3141969,'1985-03-16 00:00:00',4,1,12,2009,'F','S','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241245127141722643369145124233264075',NULL,'307',24.54,1,3,NULL),(16,3141985,'1991-12-15 00:00:00',2,5,12,2008,'F','N','CENTRO','TURVO','SC','124242241216111431336624575122610124142',11430,'32',46.30,1,3,NULL),(16,3141993,'1990-04-27 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241211472431478812472122610117132',2911,'883',64.08,1,3,NULL),(16,3142000,'1982-06-13 00:00:00',4,1,6,2008,'M','N','ALTO ARIRIú','PALHOçA','SC','124241247227371731423314382124610114187',NULL,'9999',0.00,1,3,NULL),(16,3142027,'1992-05-11 00:00:00',2,4,11,2008,'F','N','CENTRO','UNIãO OESTE','SC','124241241215112431443832472124610128057',6156,'185',56.02,1,3,NULL),(16,3142043,'1991-03-14 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242251216271431548814575122610122142',7237,'9998',53.84,1,3,NULL),(16,3142051,'1991-06-29 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241216112431546611395124610167183',3022,'270',63.73,1,3,NULL),(16,3142060,'1990-02-22 00:00:00',4,8,12,2007,'F','N','ABERNESSIA','CAMPOS JORDãO','SP','125252241215411431459811575122610125112',12608,'491',44.17,1,3,NULL),(16,3142078,'1991-12-03 00:00:00',4,9,12,2008,'M','N','SãO CRISTóVãO','LAGES','SC','124242241217111411333729572125610168172',NULL,'497',39.59,1,3,NULL),(16,3142086,'1990-04-10 00:00:00',4,10,12,2007,'F','N','PROGRESSO','LAGUNA','SC','124241241135372431634673435124610128187',NULL,'521',19.68,1,2,1),(16,3142094,'1992-01-22 00:00:00',2,8,12,2008,'F','N','JD DAS INDUSTRIAS','JACAREí','SP','125252251217111451558614375124510161182',10861,'9998',47.26,4,3,NULL),(16,3142108,'1992-02-22 00:00:00',4,4,11,2008,'M','N','CENTRO','PALMITOS','SC','124242241217211431446912575112610167052',NULL,'1046',24.35,1,3,NULL),(16,3142116,'1990-09-21 00:00:00',4,1,11,2008,'F','N','PERPéTUO SOCORRO','S LOURENçO OESTE','SC','124242161215472431343332571114610168152',NULL,'9998',0.00,1,3,NULL),(16,3142132,'1989-07-13 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241215312431436639595124610127147',4860,'270',58.96,1,3,NULL),(16,3142140,'1992-03-14 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241237111411459912576122610122177',NULL,'262',35.03,1,3,NULL),(16,3142159,'1991-04-01 00:00:00',4,1,12,2008,'M','N','CENTRO','UBIRATã','PR','116161161116161511223634272341610167052',13086,'9998',43.35,1,2,1),(16,3142167,'1990-05-18 00:00:00',2,1,12,2007,'F','N','VILA ALBERTINA','RIBEIRãO PIRES','SP','125252251216471731568833572122610137052',NULL,'9998',32.21,1,3,NULL),(16,3142175,'1990-04-25 00:00:00',2,1,12,2007,'M','N','CENTRO SãO JOSé','S JOSé','SC','124242241215372432435733372124610127052',9407,'737',49.89,1,3,NULL),(16,3142183,'1991-01-01 00:00:00',4,1,12,2008,'F','N','RESIDENCIAL DO PRADO','VOTUPORANGA','SP','125262251216111532548812574122610162012',NULL,'9998',0.00,1,3,NULL),(16,3142191,'1990-04-09 00:00:00',4,10,12,2007,'F','N','PAES LEME','IMBITUBA','SC','124241241115151531335619392123232837147',NULL,'359',23.95,1,2,1),(16,3142213,'1991-01-29 00:00:00',4,4,12,2008,'F','N','DIVISA DAS AGUAS','XAVANTINA','SC','124241241126131531623315562122610124052',NULL,'844',0.00,1,2,1),(16,3142221,'1988-11-28 00:00:00',4,1,12,2006,'M','N','CRMéIA LESTE','GOIâNIA','GO','109094091435472431678511575122610147042',4566,'9998',59.64,1,3,NULL),(16,3142230,'1988-06-13 00:00:00',4,1,12,2005,'F','N','CENTRO','CPO GRANDE','MS','112124128432212131468832593122610112141',862,'9998',72.94,3,3,NULL),(16,3142248,'1989-06-18 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241217112431456833575114233233075',NULL,'1133',27.14,1,3,NULL),(16,3142256,'1991-04-03 00:00:00',2,5,12,2008,'M','N','PRIMEIRA LINHA','CRICIúMA','SC','124242246215111332478732282112610137062',NULL,'226',27.09,1,3,NULL),(16,3142264,'1985-11-19 00:00:00',2,1,3,2005,'F','N','SACO GRANDE II','FLORIANóPOLIS','SC','224241247147371431223359175124610126142',NULL,'9999',27.83,1,2,1),(16,3142272,'1987-07-04 00:00:00',4,8,12,2007,'F','N','CENTRO','JOINVILLE','SC','124242241215472431369811575122610167072',14085,'461',41.48,1,3,NULL),(16,3142280,'1991-08-11 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241216111431448614495124610162092',8615,'270',51.22,1,3,NULL),(16,3142299,'1986-12-15 00:00:00',4,4,12,2004,'F','N','CENTRO','CHAPECó','SC','124241241115575451537614572112610144197',1181,'169',71.04,1,2,1),(16,3142302,'1990-12-30 00:00:00',2,1,12,2008,'F','N','FUNDOS','BIGUAçU','SC','124241241117151432334311375224610161057',12470,'306',44.44,1,2,1),(16,3142310,'1990-12-26 00:00:00',2,8,12,2007,'F','N','JD DAS INDUSTRIAS','JACAREí','SP','125252251217471431558614395124610162092',NULL,'9998',34.59,4,3,NULL),(16,3142329,'1988-05-02 00:00:00',2,1,12,2005,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215132431433521216224222663147',3740,'44',61.73,4,3,NULL),(16,3142337,'1991-03-10 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241237111431426431591124610128085',NULL,'988',25.12,1,3,NULL),(16,3142345,'1990-02-03 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124201201137271411226611241334610123047',14137,'9998',41.35,1,2,1),(16,3142353,'1989-04-19 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217143531578817572112230235077',1783,'262',68.07,1,3,NULL),(16,3142370,'1982-03-24 00:00:00',2,1,12,2000,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241212135431433334142114610122145',14938,'270',39.81,1,3,NULL),(16,3142388,'1988-12-14 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124243241116272431536611575114610137112',8864,'306',50.79,1,3,NULL),(16,3142396,'1991-04-17 00:00:00',4,3,10,2008,'F','N','SãO CRISTóVãO II','RIO PEDRAS','SP','125252251217121431448832272122610113171',14006,'9998',41.64,1,3,NULL),(16,3142400,'1988-03-06 00:00:00',4,1,12,2006,'M','N','PENHA','S PAULO','SP','125252251216572431478844241124610122042',6036,'9998',56.27,1,3,NULL),(16,3142418,'1991-03-23 00:00:00',4,4,11,2008,'F','N','SALETE','S MIGUEL OESTE','SC','124241241416111431446733585122610127052',14468,'752',40.75,1,3,NULL),(16,3142426,'1991-09-04 00:00:00',4,3,10,2008,'F','N','CENTRO','LARANJEIRAS SUL','PR','116162161216111431433832252112610162147',16221,'9997',36.62,1,3,NULL),(16,3142434,'1990-10-07 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241415272431224429572214610137047',10499,'299',47.91,1,3,NULL),(16,3142442,'1991-05-24 00:00:00',2,8,11,2008,'F','N','FLORESTA','JOINVILLE','SC','124241241215112731467819292122610162097',NULL,'491',0.00,1,3,NULL),(16,3142469,'1991-06-01 00:00:00',2,8,12,2008,'M','N','JARIVATUBA','JOINVILLE','SC','124111241235131431544731245124610142072',9009,'932',50.56,1,3,NULL),(16,3142477,'1986-05-24 00:00:00',4,1,12,2002,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124253258336473751526832495121610113181',NULL,'9998',0.00,4,3,NULL),(16,3142485,'1988-09-10 00:00:00',2,5,12,2005,'M','N','CENTRO','URUSSANGA','SC','124242241215571731538933575124610167092',NULL,'820',22.18,1,3,NULL),(16,3142493,'1986-02-26 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241115332421426673372114610137185',NULL,'298',32.75,2,1,1),(16,3142507,'1968-10-03 00:00:00',2,1,7,2005,'M','N','AREIAS','S JOSé','SC','224241247122131532422454142114610124023',NULL,'9999',0.00,2,1,1),(16,3142515,'1991-02-06 00:00:00',2,10,11,2008,'F','N','CENTRO','TUBARãO','SC','124242241215111411438932435122610118042',NULL,'807',28.42,1,3,NULL),(16,3142523,'1991-11-08 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241211371431336824572124610133097',NULL,'1036',30.92,1,3,NULL),(16,3142540,'1988-10-29 00:00:00',2,8,12,2006,'M','N','PORTãO','CURITIBA','PR','116161161116312411639819485214610134041',7204,'9998',53.91,2,1,1),(16,3142558,'1990-03-23 00:00:00',2,1,12,2007,'M','N','CENTRO','CRICIúMA','SC','124242241215472411468832372112610167062',1764,'226',68.15,1,3,NULL),(16,3142566,'1991-05-31 00:00:00',2,10,10,2008,'M','N','SANTO ANDRé','CAPIVARI BAIXO','SC','124242248215111451456614172112610137042',6019,'807',56.31,1,3,NULL),(16,3142574,'1991-01-23 00:00:00',2,5,12,2008,'F','N','UNIVERSITáRIO','CRICIúMA','SC','124244241215121431438613475114610127072',10915,'226',47.17,1,3,NULL),(16,3142582,'1991-09-09 00:00:00',4,1,12,2008,'M','N','JARDIM AUTONOMISTA','CPO GRANDE','MS','112124128414212211368832412112610127121',9915,'9998',48.92,1,3,NULL),(16,3142590,'1991-08-10 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241126141231443331145122610123142',NULL,'274',31.57,1,2,1),(16,3142604,'1990-07-20 00:00:00',4,1,12,2007,'M','N','JARDIM PANORAMA','S JOSé R PRETO','SP','125252251215471431559834595122610132042',4214,'9998',60.45,1,3,NULL),(16,3142612,'1991-06-26 00:00:00',4,2,12,2008,'F','N','CARIJóS','INDAIAL','SC','124243241215371421466612595112610112077',8593,'855',51.27,1,3,NULL),(16,3142620,'1989-11-11 00:00:00',2,8,12,2007,'F','N','IPIRANGA','S PAULO','SP','125252251217371432469614572224610115193',6046,'9998',56.24,1,3,NULL),(16,3142647,'1990-07-13 00:00:00',2,10,12,2007,'F','N','SAMUEL SANDRINI','ORLEANS','SC','124241241117132451635611346132130264142',NULL,'580',28.03,1,2,1),(16,3142655,'1991-10-11 00:00:00',2,1,12,2008,'F','N','FAZENDA STO ANTONIO','S JOSé','SC','124242241215122431456634574122610124092',5750,'1011',56.96,1,3,NULL),(16,3142663,'1990-06-02 00:00:00',4,8,12,2007,'F','N','SAGUAçU','JOINVILLE','SC','124241243217271331438421345124610125017',NULL,'494',28.72,1,3,NULL),(16,3142698,'1989-12-01 00:00:00',4,1,12,2007,'M','N','VILA SANTA IZABEL','S ROQUE','SP','125251251217131431458314441114610164047',2631,'9998',64.90,4,3,NULL),(16,3142701,'1990-05-20 00:00:00',4,1,12,2008,'M','N','CENTRO','MAL CâNDIDO RONDON','PR','116162161216111411457931345121610142192',NULL,'9998',33.36,1,3,NULL),(16,3142710,'1992-03-01 00:00:00',4,3,11,2008,'F','N','NOVA EPERANçA','BAL CAMBORIú','SC','124243241315131431435313275114610132097',15526,'44',38.48,1,3,NULL),(16,3142728,'1991-04-26 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124242241215131731426523292334610137047',14840,'944',40.00,1,3,NULL),(16,3142736,'1991-04-25 00:00:00',4,1,12,2008,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241211211431347922572114610128112',7272,'951',53.77,1,3,NULL),(16,3142744,'1985-11-19 00:00:00',4,1,12,2003,'F','N','CAMPINAS','S JOSé','SC','124241241312135411326631342124132027157',NULL,'515',33.73,1,3,NULL),(16,3142752,'1990-11-13 00:00:00',2,1,12,2008,'F','N','CAMPINAS','GOIâNIA','GO','109092091215111231656614572344610164092',NULL,'9998',0.00,1,3,NULL),(16,3142779,'1990-06-04 00:00:00',1,1,12,2007,'F','N','CENTRO','RIBEIRãO PRETO','SP','125132137217271431454712172124610163092',10021,'9999',48.74,4,3,NULL),(16,3142787,'1987-02-20 00:00:00',2,1,12,2004,'F','N','ARMAçãO DO PANTANO','FLORIANóPOLIS','SC','124241241121273411223344442244610164187',NULL,'294',21.98,1,2,1),(16,3142795,'1990-01-14 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215473431469913572114610167183',6952,'270',54.38,1,3,NULL),(16,3142809,'1992-08-15 00:00:00',2,5,11,2008,'F','N','IMBIRAPUERA','MRO FUMAçA','SC','124242241215371751456612374122610116052',12556,'226',44.25,1,3,NULL),(16,3142817,'1956-09-03 00:00:00',2,1,12,1978,'F','N','CENTRO','FLORIANóPOLIS','SC','424251251133474412231149292114143211182',14758,'9998',40.15,1,2,1),(16,3142825,'1992-06-13 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124243248215112431577614575124610137142',15283,'1022',39.01,1,3,NULL),(16,3142841,'1990-11-14 00:00:00',4,1,12,2007,'F','N','VILA PLANALTO','CPO GRANDE','MS','112124128435211111478832425122610117121',NULL,'9998',38.83,1,3,NULL),(16,3142850,'1990-10-02 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241217122431258811415124610164172',1423,'270',69.67,1,3,NULL),(16,3142868,'1990-08-20 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241216372431437831572124610146092',6107,'1022',56.12,1,3,NULL),(16,3142884,'1990-06-26 00:00:00',4,1,11,2007,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','624244248216131431469613371114610136142',NULL,'461',0.00,1,3,NULL),(16,3142892,'1984-10-15 00:00:00',4,1,12,2002,'F','N','ARMAçãO','FLORIANóPOLIS','SC','624252251211573751125371215121610168197',NULL,'9998',0.00,1,3,NULL),(16,3142906,'1989-01-27 00:00:00',4,1,12,2006,'F','N','VILA COSTA E SILVA','CAMPINAS','SP','125254251215571431469832571122610127076',6443,'9998',55.40,4,3,NULL),(16,3142914,'1991-02-22 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241126141731633331141324610125142',16184,'274',36.70,1,2,1),(16,3142957,'1989-11-24 00:00:00',4,1,12,2006,'F','N','ZONA DOIS','MARINGá','PR','116162161215571731458812395122610168092',NULL,'9998',0.00,1,3,NULL),(16,3142965,'1991-09-09 00:00:00',4,1,11,2008,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124242241216271431338833575122610123142',15867,'270',37.58,1,3,NULL),(16,3142973,'1987-12-29 00:00:00',4,1,12,2005,'F','N','TRENTINI','PANAMBI','RS','120201201117371411336629485224242724197',NULL,'9998',28.52,1,2,1),(16,3142981,'1991-05-25 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241116131431446931575124610123095',5415,'267',57.64,1,2,1),(16,3142990,'1991-06-06 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124244241215112431339913573122610124097',1460,'1050',69.52,1,3,NULL),(16,3143007,'1991-01-22 00:00:00',2,5,12,2008,'F','N','VILA FRANCESA','CRICIúMA','SC','124242241215111431484632121122610166072',15308,'226',38.95,1,3,NULL),(16,3143015,'1973-05-13 00:00:00',4,1,11,1992,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124253256417151411227741211121143227112',NULL,'9998',0.00,1,3,NULL),(16,3143023,'1989-05-31 00:00:00',4,1,12,2007,'M','N','CABREUVA','CPO GRANDE','MS','112124128434221451468832595122610117102',NULL,'9998',0.00,1,3,NULL),(16,3143031,'1986-12-26 00:00:00',4,1,11,2004,'M','N','CENTRO','GUARAREMA','SP','125253251215472431348811575122141461077',NULL,'9998',49.01,1,3,NULL),(16,3143040,'1991-04-11 00:00:00',2,3,12,2008,'M','N','CAIçARAS','LONDRINA','PR','116282161215111431468814575124610137052',NULL,'9998',0.00,1,3,NULL),(16,3143074,'1988-08-16 00:00:00',2,1,12,2006,'M','N','RIO BRANCO','CANOAS','RS','120202201116571721443332575125610164042',6548,'9998',55.17,1,3,NULL),(16,3143082,'1990-07-14 00:00:00',4,1,12,2007,'M','N','JARDIM','S JOSé CEDRO','SC','124241241116472431426624392125610147042',NULL,'740',24.85,1,3,NULL),(16,3143090,'1989-08-21 00:00:00',2,3,12,2006,'F','N','CENTRO','BAL CAMBORIú','SC','124202201215572431546632575125610143152',2148,'9998',66.59,1,3,NULL),(16,3143104,'1982-05-01 00:00:00',2,1,12,2001,'F','N','CARIANOS','FLORIANóPOLIS','SC','224211211122131431233354285114610162042',NULL,'9998',31.36,4,1,1),(16,3143112,'1988-05-22 00:00:00',4,1,12,2005,'M','N','PERDIZES','S PAULO','SP','125252251217571431337839495124610124112',3006,'9998',63.77,1,3,NULL),(16,3143139,'1991-03-14 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216122711478933575122610134091',586,'270',75.03,1,3,NULL),(16,3143147,'1988-08-19 00:00:00',2,8,12,2005,'M','N','CENTRO','CURITIBA','PR','116162161215573751446632275124610167067',2343,'9998',65.90,1,3,NULL),(16,3143155,'1987-11-08 00:00:00',4,1,6,2005,'M','N','RIO AMERICA ALTO','URUSSANGA','SC','124242246216111431466412345132610114093',13337,'995',42.90,1,3,NULL),(16,3143163,'1963-09-23 00:00:00',4,1,12,1983,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','224241246131153421333343435122122961042',13626,'306',42.41,1,2,1),(16,3143180,'1991-01-01 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215111431334812142122610163142',13056,'737',43.38,1,3,NULL),(16,3143198,'1990-12-03 00:00:00',4,8,11,2008,'M','N','AMéRICA','JOINVILLE','SC','124242241217111431689833572311610134112',885,'491',72.79,1,3,NULL),(16,3143201,'1990-08-02 00:00:00',4,8,12,2007,'F','N','JARDIM PAULISTA','S PAULO','SP','125242241217472411268811372124610127072',1898,'1105',67.59,1,3,NULL),(16,3143210,'1991-12-25 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111431349613472122610133112',NULL,'9997',47.25,1,3,NULL),(16,3143228,'1992-01-28 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124242241212112431356633372115610122072',12727,'737',43.97,1,3,NULL),(16,3143236,'1989-11-23 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241237472411356824575124610124047',2176,'273',66.49,1,3,NULL),(16,3143252,'1991-10-07 00:00:00',2,1,12,2008,'M','N','PICADAS DO SUL','S JOSé','SC','124242241216121431446924575124610144052',NULL,'1074',21.33,1,3,NULL),(16,3143260,'1991-08-13 00:00:00',4,8,12,2008,'M','N','PASSO','MAFRA','SC','124243241215371731368833575122610132192',NULL,'541',32.65,1,3,NULL),(16,3143287,'1992-02-29 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431469911572124610122052',6313,'1022',55.65,1,3,NULL),(16,3143295,'1990-05-24 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241416272711246623575114610114192',NULL,'1022',28.44,2,1,2),(16,3143309,'1991-03-03 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124244241315111411349923575122610127047',6505,'737',55.27,1,3,NULL),(16,3143317,'1991-05-23 00:00:00',4,4,12,2008,'M','N','BELA VISTA','CHAPECó','SC','124241241125131731323629482324610126047',NULL,'178',23.20,1,2,1),(16,3143325,'1990-11-19 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217112751469813572114610127077',6186,'270',55.95,1,3,NULL),(16,3143350,'1990-05-29 00:00:00',4,1,11,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241217111231539952575124610127072',15853,'1050',37.62,1,3,NULL),(16,3143368,'1990-12-11 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111311369933574125610163142',539,'270',75.50,1,3,NULL),(16,3143376,'1990-12-23 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215111431436817592114610127077',NULL,'724',26.22,1,3,NULL),(16,3143384,'1988-09-02 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241117573431425622572124133268192',7278,'257',53.75,1,2,1),(16,3143392,'1983-01-12 00:00:00',2,1,12,2000,'M','N','KOBRASOL','S JOSé','SC','124243241216275431236524435124220222191',7999,'723',52.42,1,3,NULL),(16,3143414,'1990-05-08 00:00:00',2,1,12,2006,'F','N','CENTRO','HERVAL D OESTE','SC','124242241215513731568923492344610167177',13055,'962',43.39,1,3,NULL),(16,3143422,'1991-12-18 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124243241115131431428824474124610126147',13939,'271',41.78,1,3,NULL),(16,3143430,'1990-06-10 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161211472411438812573111610131092',NULL,'9998',0.00,4,3,NULL),(16,3143449,'1990-10-23 00:00:00',2,4,12,2008,'M','N','INTERIOR','CAIBI','SC','124241241116131231623416365224610124057',NULL,'127',21.00,1,3,NULL),(16,3143457,'1992-04-03 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215121412646932575114610124181',13398,'270',42.80,1,3,NULL),(16,3143465,'1990-11-19 00:00:00',4,1,11,2008,'F','N','SãO PEDRO','PTO UNIãO','SC','124241241111371311428833375114610164092',NULL,'638',29.17,1,3,NULL),(16,3143473,'1988-08-20 00:00:00',2,4,12,2008,'M','N','INTERIOR','CAIBI','SC','124241241116131231623416365224610124057',NULL,'127',13.33,1,3,NULL),(16,3143490,'1991-07-02 00:00:00',4,1,12,2008,'M','N','SANTINHO','FLORIANóPOLIS','SC','124201241117371411358611575124610164175',4751,'288',59.18,1,2,1),(16,3143503,'1986-10-20 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241211271431534614482124133221197',8728,'118',51.02,1,3,NULL),(16,3143511,'1990-11-28 00:00:00',4,6,10,2007,'F','N','CENTRO','PASSO FUNDO','RS','120222221216471432335623575115610132016',4598,'9998',59.57,4,3,NULL),(16,3143520,'1993-05-28 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241216152731369613575124610162125',2880,'270',64.15,1,3,NULL),(16,3143538,'1991-09-23 00:00:00',2,4,12,2008,'F','N','INTERIOR','CAIBI','SC','124241241116131231536611575124610127057',16423,'127',35.82,4,3,NULL),(16,3143546,'1991-07-30 00:00:00',2,1,11,2008,'F','N','FORQUILHAS','S JOSé','SC','124241241116131431425319185124610138097',NULL,'727',20.97,2,1,1),(16,3143554,'1991-12-01 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241211151231458913395112610135141',13165,'273',43.21,1,3,NULL),(16,3143562,'1991-10-05 00:00:00',4,2,12,2008,'F','N','CENTRO','RIO SUL','SC','124242241215111431469833574112610123072',4143,'991',60.66,1,3,NULL),(16,3143570,'1989-01-09 00:00:00',4,1,12,2006,'M','N','CENTRO','CANELA','RS','120203201336112421448618391114240264047',NULL,'119',0.00,1,3,NULL),(16,3143589,'1990-02-06 00:00:00',4,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161215471411448831412122610125077',7680,'9998',53.00,1,3,NULL),(16,3143600,'1981-09-18 00:00:00',2,3,12,2000,'F','N','NITEROI','SEARA','SC','124241241126272431324629374124610166012',6318,'764',55.64,1,2,1),(16,3143619,'1989-09-20 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241215573431336663275124610158147',1694,'820',68.44,1,3,NULL),(16,3143627,'1991-03-19 00:00:00',2,10,12,2008,'M','N','CENTRO','RIO FORTUNA','SC','124241241412111431536634472114610137043',15223,'950',39.15,1,3,NULL),(16,3143635,'1986-12-05 00:00:00',4,1,12,2003,'M','N','JARDIM SUMARE','SERTãOZINHO','SP','125252251215571411448614471124141564182',NULL,'9998',0.00,4,3,NULL),(16,3143643,'1991-01-06 00:00:00',4,1,12,2008,'F','N','VALPARAíSO','PATOS MINAS','MG','113132131216151431478832575112610111182',12317,'9998',44.70,1,3,NULL),(16,3143651,'1988-05-27 00:00:00',4,1,5,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124244247436272332234821215312610138192',NULL,'266',25.85,1,3,NULL),(16,3143660,'1990-01-15 00:00:00',4,8,11,2007,'F','N','CENTRO','CURITIBA','PR','116162161215511731358813572125610162077',3541,'9998',62.26,1,3,NULL),(16,3143678,'1988-08-23 00:00:00',2,1,11,2005,'M','N','PICADAS DO SUL','S JOSé','SC','124242241212474431469713472221610167115',8485,'269',51.43,1,3,NULL),(16,3143686,'1991-04-05 00:00:00',5,5,12,2008,'F','N','FIGUEIRA','URUSSANGA','SC','124242241115121431363332575114610124147',2198,'226',66.42,1,3,NULL),(16,3143694,'1991-11-11 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124203205116141421447811245122610161113',NULL,'9998',24.97,1,3,NULL),(16,3143708,'1981-01-24 00:00:00',2,1,12,1997,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','624174171217131421326644342334142324172',NULL,'9998',0.00,2,1,2),(16,3143716,'1990-08-18 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215211411488832592122610137182',9449,'270',49.82,1,3,NULL),(16,3143724,'1989-08-10 00:00:00',3,1,12,2006,'M','N','JD AMéRICA','JUNDIAí','SP','125252251216473441458411575124610164042',7145,'9998',54.01,4,3,NULL),(16,3143732,'1991-10-05 00:00:00',4,1,12,2009,'F','S','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215151431468814575124610137057',NULL,'270',56.28,1,3,NULL),(16,3143740,'1992-10-20 00:00:00',4,1,11,2009,'F','S','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215111431446612571122610133072',NULL,'737',23.55,1,3,NULL),(16,3143767,'1992-06-29 00:00:00',4,1,12,2008,'F','N','BAIRRO DOM JOAQUIM','BRUSQUE','SC','124241241215111441439713475124610126077',13774,'109',42.12,1,3,NULL),(16,3143775,'1992-02-11 00:00:00',4,3,10,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242248217151731576632577122610117187',7763,'1038',52.84,1,3,NULL),(16,3143783,'1991-06-28 00:00:00',4,1,10,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241216122431589811212122610137012',3514,'266',62.35,1,3,NULL),(16,3143791,'1991-12-13 00:00:00',2,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215121731458913572124610124042',3402,'270',62.67,1,3,NULL),(16,3143805,'1990-02-23 00:00:00',2,1,6,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124251247224442422266436223314330135152',16547,'9999',35.22,1,3,NULL),(16,3143821,'1991-07-09 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215211431547912475122610111133',NULL,'951',28.67,1,3,NULL),(16,3143830,'1974-10-20 00:00:00',4,1,12,1991,'M','N','ESTREITO','FLORIANóPOLIS','SC','123242241416374431458639445134122834097',1392,'262',69.86,1,3,NULL),(16,3143848,'1991-04-04 00:00:00',4,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124243241216111431453335572122610168142',12663,'723',44.06,1,3,NULL),(16,3143856,'1986-07-15 00:00:00',4,1,7,2005,'M','N','SANTA CECILIA','S PAULO','SP','125252257116574431358814341122143247012',12971,'9998',43.56,4,3,NULL),(16,3143864,'1990-12-19 00:00:00',4,1,12,2007,'F','N','CIDADE NOVA','PTO UNIãO','SC','116242161237472731358931571114610133122',1569,'9998',69.02,1,3,NULL),(16,3143872,'1990-07-05 00:00:00',3,1,11,2007,'F','N','CACUPÉ','FLORIANóPOLIS','SC','124242241215572751589931571122610121182',3075,'884',63.57,1,3,NULL),(16,3143880,'1977-12-14 00:00:00',4,1,12,1994,'M','N','BARREIROS','S JOSé','SC','224242241332132531557644345132120867042',12147,'307',44.99,2,1,2),(16,3143899,'1990-04-08 00:00:00',4,1,11,2008,'F','N','BARãO GERALDO','CAMPINAS','SP','125252251215111431589913575122610164112',NULL,'9998',0.00,1,3,NULL),(16,3143902,'1992-04-01 00:00:00',4,1,12,2008,'M','N','RIO BRANCO','PTO ALEGRE','RS','120243201215371411227834475114610124057',7325,'9998',53.67,4,3,NULL),(16,3143910,'1992-11-05 00:00:00',2,4,12,2008,'F','N','CENTRO','ABELARDO LUZ','SC','124243241317131731438831571322610161177',15084,'4',39.46,1,3,NULL),(16,3143929,'1990-06-08 00:00:00',4,1,11,2007,'M','N','CENTRO','PITANGUEIRAS','SP','125252251215411411456833575122610132171',NULL,'9998',0.00,1,3,NULL),(16,3143937,'1990-06-27 00:00:00',4,7,12,2008,'F','N','INTERIOR','LACERDóPOLIS','SC','124241241126161432423335152124610123057',NULL,'496',28.23,1,3,NULL),(16,3143953,'1985-02-12 00:00:00',4,1,7,2005,'M','N','CARIANOS','FLORIANóPOLIS','SC','124243247227272751317321485114610114177',16207,'9999',36.65,1,3,NULL),(16,3143961,'1984-02-20 00:00:00',4,1,12,2002,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215374431268613445134122222092',5229,'269',58.05,1,3,NULL),(16,3143970,'1991-05-02 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124242241212111731449913435122610161071',NULL,'737',28.60,1,3,NULL),(16,3143996,'1987-06-12 00:00:00',4,1,11,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217574751378931575124231464182',4067,'270',60.88,1,3,NULL),(16,3144003,'1991-03-13 00:00:00',4,1,12,2009,'M','S','CENTRO','PALHOçA','SC','124244241415151122456931574124610162012',NULL,'1011',42.08,2,3,NULL),(16,3144038,'1991-05-19 00:00:00',4,5,12,2008,'M','N','CENTRO','ARARANGUá','SC','124242241215271431434714145122610162057',5914,'970',56.55,1,3,NULL),(16,3144046,'1982-12-01 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANóPOLIS','SC','124246241627342721236349392124610132047',15676,'524',38.12,1,3,NULL),(16,3144054,'1990-09-20 00:00:00',4,1,11,2008,'M','N','DAMHA I','S JOSé R PRETO','SP','125252251217111431589933575122610142012',NULL,'9998',40.09,1,3,NULL),(16,3144062,'1991-03-01 00:00:00',4,1,12,2008,'F','N','JARDIM PAULISTA','OURINHOS','SP','125252251217111431349811572122610162142',1753,'9998',68.18,1,3,NULL),(16,3144070,'1991-12-22 00:00:00',2,1,11,2008,'F','N','JARDIM ELDORADO','PALHOçA','SC','124242241215112431536613575122610134047',6803,'989',54.66,1,3,NULL),(16,3144089,'1990-12-10 00:00:00',4,8,12,2008,'F','N','JARDIM SãO DIMAS','S JOSé CAMPOS','SP','125252251215111431338811375122610123145',11547,'9998',46.09,1,3,NULL),(16,3144100,'1990-11-27 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215121431248723475124610162122',4925,'270',58.80,1,3,NULL),(16,3144127,'1990-12-03 00:00:00',1,1,12,2008,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124243241215161431336831315124610164185',9462,'884',49.80,1,3,NULL),(16,3144135,'1992-10-23 00:00:00',2,1,12,2009,'F','S','ALTO ARIRIÚ','PALHOçA','SC','124243241215111431433619492122610124042',NULL,'1011',47.13,1,3,NULL),(16,3144143,'1991-04-19 00:00:00',2,1,11,2008,'M','N','BANDEIRANTES','CALDAS NOVAS','GO','109092091215171731568923595112610167124',NULL,'9998',40.44,1,3,NULL),(16,3144151,'1990-12-22 00:00:00',4,8,12,2008,'M','N','AMéRICA','JOINVILLE','SC','124242241215111431468814445112610127042',5839,'457',56.71,1,3,NULL),(16,3144186,'1990-09-15 00:00:00',4,2,12,2007,'F','N','CENTRO','POMERODE','SC','124244231435111431443811585124610143091',12965,'624',43.57,1,3,NULL),(16,3144194,'1989-10-04 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124262261217471431339938575124610122011',NULL,'9998',26.16,1,3,NULL),(16,3144208,'1988-07-19 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241117273431331321242124610137142',NULL,'267',28.20,1,2,1),(16,3144216,'1991-07-25 00:00:00',4,1,11,2008,'F','N','CASCATA','MARíLIA','SP','125254251215111411349931574125610144012',NULL,'9998',0.00,1,3,NULL),(16,3144224,'1991-04-02 00:00:00',2,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241215371231459933575114610167042',3200,'269',63.28,1,3,NULL),(16,3144232,'1991-04-23 00:00:00',4,6,12,2008,'F','N','FAZENDA','ITAJAí','SC','124242241216131751336631572125610134092',7828,'389',52.72,1,3,NULL),(16,3144240,'1989-04-28 00:00:00',2,1,12,2006,'F','N','LIMPA','GAROPABA','SC','124241241127113711424414375124610117047',NULL,'322',27.03,4,2,1),(16,3144259,'1991-02-02 00:00:00',4,4,12,2007,'F','N','CENTRO','S LOURENçO OESTE','SC','124241241135472431356914145124610123037',8218,'745',51.95,1,3,NULL),(16,3144267,'1991-04-05 00:00:00',4,4,11,2008,'M','N','CENTRO','S JOSé CEDRO','SC','124243241216111731366832275122610127182',NULL,'752',28.02,1,3,NULL),(16,3144283,'1983-11-20 00:00:00',2,1,11,2002,'M','N','PANTANAL','FLORIANOPOLIS','SC','124241241116575421448831432114122327047',15159,'267',39.28,4,1,1),(16,3144291,'1990-10-12 00:00:00',4,3,12,2008,'F','N','VILA NOVA','ITU','SP','125252251215111431486812574122610124142',NULL,'9998',0.00,1,3,NULL),(16,3144305,'1990-02-26 00:00:00',4,8,11,2007,'F','N','JABAQUARA','S PAULO','SP','125252251217472451366814576115610148076',2017,'9998',67.12,3,3,NULL),(16,3144313,'1987-09-29 00:00:00',4,8,12,2004,'F','N','BACACHERI','CURITIBA','PR','116161161116274751447933571112610166047',NULL,'9998',42.90,1,2,1),(16,3144321,'1991-05-11 00:00:00',4,1,12,2008,'M','N','SETOR PEDRO LUDOVICO','GOIâNIA','GO','109094091217111431468933575122610112012',NULL,'9998',0.00,4,3,NULL),(16,3144348,'1991-02-24 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431368921472122610124017',5649,'270',57.17,1,3,NULL),(16,3144356,'1991-06-19 00:00:00',4,1,12,2008,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124244241115151411668813575124610127042',11052,'271',46.93,1,3,NULL),(16,3144364,'1990-03-28 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124252251217472431448811574124610121147',1217,'9998',70.83,1,3,NULL),(16,3144372,'1987-08-09 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124242241217373411449813475124230232192',8293,'270',51.80,1,3,NULL),(16,3144380,'1981-10-05 00:00:00',4,7,12,1999,'M','N','BELA VISTA','FRAIBURGO','SC','224241242126161431434453245132610114057',14748,'316',40.18,1,2,1),(16,3144399,'1991-09-03 00:00:00',2,4,11,2008,'F','N','SãO CRISTóVãO','CONCóRDIA','SC','124241241116471431436312441122610138077',NULL,'858',32.51,1,2,1),(16,3144402,'1979-11-26 00:00:00',2,1,12,1999,'F','N','STO ANTôNIO LISBOA','FLORIANóPOLIS','SC','124241241127371431633319345114610133187',14607,'307',40.48,1,2,1),(16,3144410,'1985-09-15 00:00:00',2,2,7,2003,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124243241146131411437833485124610124017',NULL,'83',26.35,1,3,NULL),(16,3144429,'1991-02-25 00:00:00',4,1,11,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124242241215131431568514571114610127077',12214,'737',44.88,1,3,NULL),(16,3144437,'1990-03-26 00:00:00',2,1,11,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241212372411468913572122131447041',908,'270',72.63,1,3,NULL),(16,3144445,'1991-07-29 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111421339931594112610123163',16573,'1050',35.04,2,1,2),(16,3144453,'1987-01-06 00:00:00',4,1,12,2003,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124164161217143741128944345334610161027',NULL,'9998',38.70,4,3,NULL),(16,3144461,'1982-07-15 00:00:00',2,1,12,1999,'M','N','JARDIM DA PENHA','VITóRIA','ES','108082081216471411448611594124610126192',2774,'9998',64.49,1,3,NULL),(16,3144470,'1984-10-09 00:00:00',4,1,12,2002,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124072071216272431346612375121143224027',9257,'9998',50.14,1,3,NULL),(16,3144488,'1991-06-07 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124244241215111431467612575122610122052',8714,'1118',51.05,1,3,NULL),(16,3144496,'1990-10-01 00:00:00',2,4,11,2008,'M','N','JABOTICABAL','ERECHIM','RS','120202201217371412439711595112610122186',NULL,'9998',26.76,1,3,NULL),(16,3144500,'1991-09-23 00:00:00',2,10,11,2008,'M','N','CENTRO','BRAçO NORTE','SC','124241241214111431436619575121610117052',13220,'102',43.11,1,3,NULL),(16,3144518,'1991-08-15 00:00:00',2,4,12,2008,'F','N','CENTRO','CHAPECó','SC','124243241315111431539933585122610123177',NULL,'1046',20.56,1,3,NULL),(16,3144542,'1991-03-19 00:00:00',4,1,12,2008,'F','N','DE LAZZER','CAXIAS SUL','RS','120202201217371431466631311122610147142',6769,'9998',54.72,1,3,NULL),(16,3144550,'1991-03-26 00:00:00',2,7,12,2008,'M','N','SãO FRANCISCO','VIDEIRA','SC','124241241215112431546814575122610127042',6887,'829',54.51,1,3,NULL),(16,3144569,'1972-08-22 00:00:00',2,8,12,2008,'M','N','SERRA ALTA','S BENTO SUL','SC','224241247125371411343342124232610126047',8848,'9999',50.81,1,3,NULL),(16,3144577,'1991-04-06 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124241241215111431476913475124610168172',3885,'1118',61.37,1,3,NULL),(16,3144607,'1990-04-08 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','120201201116371431447811575122610114124',NULL,'9998',0.00,1,3,NULL),(16,3144615,'1990-04-26 00:00:00',4,1,12,2007,'M','N','CRISTO REI','CURITIBA','PR','116162161215472431338814574124243267051',NULL,'9998',0.00,3,3,NULL),(16,3144623,'1991-06-07 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241214371231459713572114610117047',NULL,'1118',36.34,1,3,NULL),(16,3144631,'1989-12-18 00:00:00',4,1,12,2006,'F','N','CASCATA','MARíLIA','SP','125253251215511441466512572124610133142',4112,'9998',60.74,1,3,NULL),(16,3144640,'1989-05-17 00:00:00',4,1,12,2006,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124242241215373431358613475122230724092',NULL,'270',39.64,1,3,NULL),(16,3144666,'1992-01-06 00:00:00',4,1,11,2008,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124202241417111431458912572124610127012',899,'270',72.70,1,3,NULL),(16,3144674,'1991-08-10 00:00:00',4,2,11,2008,'M','N','VELHA','BLUMENAU','SC','124242241235271431269914574121610137182',NULL,'909',0.00,1,3,NULL),(16,3144682,'1991-04-20 00:00:00',4,7,12,2008,'F','N','CENTRO','RIO ANTAS','SC','124241241315111411433332575122610128052',397,'885',76.82,1,3,NULL),(16,3144690,'1988-11-24 00:00:00',2,1,12,2005,'M','N','CENTRO','BRUSQUE','SC','124241241215374431247322345124122364052',NULL,'67',40.88,1,3,NULL),(16,3144704,'1991-01-01 00:00:00',4,1,11,2008,'M','N','SETOR BUENO','GOIâNIA','GO','109092091216111431488816574122610162127',NULL,'9998',41.56,3,3,NULL),(16,3144712,'1970-06-20 00:00:00',3,1,12,1988,'M','N','BARREIROS','S JOSé','SC','224201208116271441453443435122333226187',9361,'9998',49.96,1,2,1),(16,3144720,'1991-12-20 00:00:00',4,4,11,2008,'M','N','ESPIRITO SANTO','ERECHIM','RS','120204201215271411446634574122610166052',7685,'9998',53.00,1,3,NULL),(16,3144739,'1991-03-23 00:00:00',4,8,12,2008,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241216111431448612495124610166047',10858,'459',47.26,1,3,NULL),(16,3144747,'1992-02-25 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215111341458814275121610166082',4410,'226',59.98,1,3,NULL),(16,3144755,'1991-12-08 00:00:00',4,1,11,2008,'M','N','CENTRO','CATUíPE','RS','120201201214111111536916575124610127052',NULL,'9998',0.00,1,3,NULL),(16,3144763,'1989-09-08 00:00:00',4,1,11,2007,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124244241412132432326333575124610123181',NULL,'9997',29.38,1,3,NULL),(16,3144771,'1988-02-19 00:00:00',4,1,12,2006,'M','N','CENTRO','JARAGUá SUL','SC','124241241127151431536832345123610157053',NULL,'430',17.07,1,2,1),(16,3144798,'1989-08-30 00:00:00',2,1,12,2006,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241126372411334319345114610115147',16060,'296',37.09,1,2,1),(16,3144801,'1992-01-20 00:00:00',2,7,12,2008,'F','N','FREI BRUNO','JOAçABA','SC','124243241415111731446912594124610121142',16134,'962',36.82,1,3,NULL),(16,3144828,'1990-09-10 00:00:00',2,9,12,2007,'F','N','CENTRO','AT BELA VISTA','SC','124241241126271431446512322122231447052',NULL,'14',25.54,1,2,1),(16,3144836,'1991-01-05 00:00:00',4,1,12,2008,'F','N','VILA NOVA','REG FEIJó','SP','125256251337131431626631171122610135052',NULL,'9998',30.82,1,3,NULL),(16,3144844,'1991-01-02 00:00:00',3,1,12,2008,'F','N','COSTEIRA','FLORIANóPOLIS','SC','124241241115151431448813472124610131147',11682,'307',45.85,1,2,1),(16,3144852,'1991-02-08 00:00:00',2,1,12,2008,'F','N','MONTE CRISTO','FLORIANóPOLIS','SC','124244241215131711435331575122610138097',NULL,'944',27.17,1,3,NULL),(16,3144879,'1991-06-13 00:00:00',2,1,12,2008,'F','N','ROçADO','S JOSé','SC','124241241217112431543311575122610166182',9236,'1076',50.19,1,3,NULL),(16,3144895,'1991-02-15 00:00:00',4,1,11,2008,'F','N','JOSé MENINO','SANTOS','SP','125252251216111231229769382224610164147',NULL,'9998',0.00,4,3,NULL),(16,3144909,'1987-03-06 00:00:00',2,1,12,2004,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','624241241147473431364954171242131065072',3235,'828',63.18,1,2,1),(16,3144925,'1992-08-19 00:00:00',4,1,11,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241212111431477712225112610112142',NULL,'270',37.73,1,3,NULL),(16,3144933,'1989-09-05 00:00:00',4,8,11,2008,'M','N','LA SALLE','TOLEDO','PR','116012161236261411349819375125610128141',NULL,'9998',40.69,1,3,NULL),(16,3144941,'1991-10-01 00:00:00',2,7,12,2008,'F','N','BELA VISTA','CONCóRDIA','SC','124241241116471641333511175124610122177',12959,'192',43.58,1,2,1),(16,3144976,'1991-07-02 00:00:00',4,1,12,2008,'M','N','NOVO HORIZONTE','SAPUCAIA SUL','RS','120201206117111731535419575124610126057',13724,'9998',42.22,1,2,1),(16,3144984,'1989-02-12 00:00:00',2,1,12,2006,'M','N','CENTRO','LUZERNA','SC','124242241215373431236621375124610127042',4601,'962',59.56,1,3,NULL),(16,3144992,'1973-03-25 00:00:00',4,1,12,1990,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','224211211116151421366643435134141462185',4949,'9998',58.74,4,3,NULL),(16,3145000,'1990-08-07 00:00:00',4,1,12,2007,'M','N','PRAIA DE FORA','PALHOçA','SC','124241241147131421343824346124610145187',NULL,'594',20.73,1,2,1),(16,3145026,'1980-10-02 00:00:00',2,1,12,1997,'M','N','VILA UNIVERSITáRIA','BAURU','SP','125251251216573431379512475122342627042',725,'9998',74.06,1,3,NULL),(16,3145034,'1991-08-21 00:00:00',4,1,12,2008,'F','N','POçO FUNDO','STO AMARO IMPERATRIZ','SC','124241241125161711536735572224610131157',NULL,'941',22.96,1,2,1),(16,3145077,'1991-06-07 00:00:00',4,4,12,2008,'F','N','PRIMAVERA','XAXIM','SC','124241241214271431433911572122610136057',12205,'994',44.90,1,3,NULL),(16,3145093,'1991-01-30 00:00:00',2,1,12,2008,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124244241215111431237614595114610128041',9911,'1022',48.93,1,3,NULL),(16,3145107,'1983-03-05 00:00:00',2,1,12,2004,'M','N','BARREIROS','S JOSé','SC','124201201612131732223544242314140427042',NULL,'9999',0.00,4,3,NULL),(16,3145115,'1991-11-05 00:00:00',4,1,12,2009,'M','S','SANTA MONICA','FLORIANóPOLIS','SC','124242241215111431478811475122610164182',NULL,'262',49.31,1,3,NULL),(16,3145123,'1989-06-04 00:00:00',4,1,12,2006,'F','N','JARDIM SãO PAULO','S PAULO','SP','125252251217111431468814571122241445142',NULL,'9998',0.00,1,3,NULL),(16,3145140,'1991-04-13 00:00:00',2,1,11,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241315111422636613372114610117112',4128,'1022',60.70,1,3,NULL),(16,3145158,'1990-03-31 00:00:00',3,1,11,2008,'F','N','JURERê','FLORIANóPOLIS','SC','124281241215151451536612575124610162012',NULL,'1048',30.24,1,3,NULL),(16,3145166,'1991-05-28 00:00:00',4,1,12,2008,'M','N','VILA GLORIA','CPO GRANDE','MS','112124121432211131468831592122610117121',5547,'9998',57.37,1,3,NULL),(16,3145174,'1988-06-20 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241147132431233923385124233214042',NULL,'288',36.06,1,2,1),(16,3145182,'1991-03-02 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215112431436614572124610163142',5671,'1118',57.14,1,3,NULL),(16,3145190,'1993-04-17 00:00:00',4,4,11,2008,'M','N','INTERIOR','MAREMA','SC','124241242235151732536536575222610167047',8788,'836',50.93,1,3,NULL),(16,3145204,'1991-01-17 00:00:00',4,1,12,2008,'F','N','TAQUARAL','CAMPINAS','SP','125252251217131411458811211122610135077',8606,'9998',51.24,1,3,NULL),(16,3145212,'1992-08-12 00:00:00',4,1,12,2008,'F','N','CENTRO','ÁGUAS MORNAS','SC','124242241217151712536829575124610166195',6923,'1075',54.45,1,3,NULL),(16,3145239,'1991-01-08 00:00:00',2,4,12,2008,'F','N','CENTRO','CUNHA PORã','SC','124243241315112431338639315122610161196',16458,'1037',35.66,1,3,NULL),(16,3145247,'1991-11-03 00:00:00',4,8,12,2008,'M','N','AGUA VERDE','JARAGUá SUL','SC','124241241345141431533414241121610167172',NULL,'425',28.20,4,3,NULL),(16,3145255,'1991-07-27 00:00:00',2,1,12,2008,'F','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124242241217111431458813435122610165182',15382,'884',38.81,1,3,NULL),(16,3145263,'1990-11-16 00:00:00',2,10,12,2008,'M','N','SãO FRANCISCO','BENTO GONçALVES','RS','120202201216272411466832241112610133196',1102,'9998',71.45,1,3,NULL),(16,3145280,'1974-03-16 00:00:00',2,1,12,1990,'F','N','KOBRASOL','S JOSé','SC','224241241335473431356623485124320663147',6326,'735',55.63,1,3,NULL),(16,3145298,'1992-09-25 00:00:00',4,8,12,2009,'F','S','ATIRADORES','JOINVILLE','SC','124242241217111432449813592125610127072',NULL,'1063',49.87,1,3,NULL),(16,3145328,'1985-04-07 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241115211411323344441124610112097',NULL,'790',23.21,4,2,1),(16,3145336,'1988-01-15 00:00:00',2,1,12,2005,'M','N','VILA MUQUI','TERESóPOLIS','RJ','121212211216574712447611375114141426177',3598,'9998',62.09,1,3,NULL),(16,3145344,'1984-08-29 00:00:00',4,1,12,2001,'M','N','ABRAAO','FLORIANóPOLIS','SC','124241241127231431626344245114610124057',12778,'292',43.88,2,1,1),(16,3145352,'1988-04-20 00:00:00',2,1,12,2005,'F','N','RESIDENCIAL ITATIAIA','CPO GRANDE','MS','112122121217471431358821475122140467187',3822,'9998',61.54,1,3,NULL),(16,3145360,'1987-10-04 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215373411457769345124610166072',9887,'266',48.99,1,3,NULL),(16,3145379,'1989-01-13 00:00:00',4,1,12,2005,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124243241114135311446613492114610164175',9222,'307',50.21,1,3,NULL),(16,3145387,'1992-06-04 00:00:00',4,5,11,2009,'M','S','SANTA BáRBARA','CRICIúMA','SC','124242241415131431438813581324610168042',NULL,'226',46.40,1,3,NULL),(16,3145409,'1990-05-31 00:00:00',2,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241127271731223344355124610127047',NULL,'290',19.59,1,2,1),(16,3145417,'1989-12-22 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124042041237371431488933435114141163192',9586,'9998',49.56,4,3,NULL),(16,3145425,'1991-11-24 00:00:00',5,1,12,2009,'F','S','CENTRO DE SãO JOSé','S JOSé','SC','124242241215111551431923575124610161194',NULL,'737',27.72,1,3,NULL),(16,3145433,'1988-07-14 00:00:00',4,1,12,2007,'M','N','RUDGE RAMOS','S BERNARDO CAMPO','SP','125252257617371431589614571122610137042',NULL,'9999',11.72,1,3,NULL),(16,3145441,'1977-11-10 00:00:00',2,1,8,1997,'F','N','SANTINHO','FLORIANóPOLIS','SC','624242247226474421225544115324121764142',14383,'1003',40.91,1,3,NULL),(16,3145450,'1990-02-27 00:00:00',4,8,12,2007,'F','N','IMIGRANTES','GUARAMIRIM','SC','124241241116151331348614445122231427092',NULL,'335',0.00,1,2,1),(16,3145468,'1988-04-27 00:00:00',4,8,12,2005,'M','N','AMéRICA','JOINVILLE','SC','124242241215373731488711575114121734092',2391,'491',65.72,1,3,NULL),(16,3145476,'1990-06-16 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241115372431437513575124610166197',5181,'267',58.16,1,2,1),(16,3145484,'1990-08-22 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIúMA','SC','124242241215472431558614595122610124057',13923,'226',41.81,4,3,NULL),(16,3145506,'1990-10-24 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','125252251217111751488933575124610165022',7369,'9998',53.59,1,3,NULL),(16,3145514,'1988-10-03 00:00:00',4,3,11,2005,'F','N','SCHRAMM','S BENTO SUL','SC','124244241416272751348639575125142661187',1173,'974',71.08,1,3,NULL),(16,3145530,'1992-02-25 00:00:00',4,10,12,2008,'F','N','OFICINAS','TUBARãO','SC','124162241215111431359932595122610136092',14649,'807',40.38,1,3,NULL),(16,3145549,'1990-03-11 00:00:00',4,1,12,2007,'F','N','CENTRO','SOROCABA','SP','125252251215472411668939476124610132022',4758,'9998',59.16,1,3,NULL),(16,3145557,'1990-03-09 00:00:00',2,8,12,2008,'M','N','PANORAMA','TOLEDO','PR','116161161115371731426611212121610168182',NULL,'9998',32.29,1,2,1),(16,3145565,'1990-12-25 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215122431358833572122610122122',4591,'270',59.58,1,3,NULL),(16,3145573,'1978-11-05 00:00:00',2,1,12,1999,'F','N','CAMPECHE','FLORIANóPOLIS','SC','224251255146474751434453275114610168097',11395,'9998',46.35,1,2,1),(16,3145581,'1991-02-10 00:00:00',4,1,12,2008,'F','N','JARDIM JARAGUA','ATIBAIA','SP','125252251217131431525724142222610163147',16078,'9998',37.00,1,3,NULL),(16,3145590,'1990-11-29 00:00:00',4,2,12,2007,'F','N','NAçõES','INDAIAL','SC','124241241215372711456617345134610164127',2424,'1157',65.60,1,3,NULL),(16,3145611,'1989-12-16 00:00:00',2,1,12,2006,'F','N','PANTANO DO SUL','FLORIANóPOLIS','SC','124241241115373421336621341134610134147',13438,'307',42.71,1,2,1),(16,3145620,'1990-02-28 00:00:00',4,7,12,2007,'F','N','CENTRO','SALTO VELOSO','SC','124243241335132431343622372225232664187',NULL,'1113',25.25,1,3,NULL),(16,3145638,'1990-08-26 00:00:00',4,1,12,2007,'F','N','VILA SANTA RITA','SOROCABA','SP','125252251215471731326823592142610114144',15460,'9998',38.63,1,3,NULL),(16,3145646,'1988-05-12 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241137573431444319492314610114197',13607,'307',42.44,4,3,NULL),(16,3145654,'1991-06-11 00:00:00',4,1,11,2008,'M','N','SERRARIA','S JOSé','SC','124244241215111431656933295121610127147',NULL,'976',33.61,1,3,NULL),(16,3145662,'1991-04-17 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124243241215111731446832572122610138142',14921,'737',39.84,1,3,NULL),(16,3145670,'1991-06-05 00:00:00',4,1,12,2008,'M','N','CENTRO','S JOãO BATISTA','SC','124242241235161421426716272124610127177',6075,'948',56.18,1,3,NULL),(16,3145689,'1990-08-29 00:00:00',4,5,11,2007,'M','N','BUSSOLO','ORLEANS','SC','124241241215272721337933574124610117067',NULL,'820',52.17,1,3,NULL),(16,3145700,'1992-08-08 00:00:00',2,1,12,2009,'F','S','CAMPINAS','S JOSé','SC','124242241215131431456614575124610136142',NULL,'1077',42.90,1,3,NULL),(16,3145719,'1986-12-31 00:00:00',4,7,12,2004,'M','N','VILA ALEMANHA','LUZERNA','SC','124241241113473751423411282123232424037',3139,'539',63.42,1,2,1),(16,3145727,'1991-10-08 00:00:00',2,1,12,2008,'M','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124243241215111221427633595124610167041',14198,'1048',41.25,1,3,NULL),(16,3145743,'1991-01-17 00:00:00',4,1,12,2007,'M','N','SALGADO FILHO','STA MARIA','RS','120242201217373431659931591125610137042',4984,'9998',58.64,4,3,NULL),(16,3145751,'1991-03-21 00:00:00',4,1,12,2009,'F','S','PANATANAL','FLORIANóPOLIS','SC','124242241217111411459934595122610118017',NULL,'883',50.36,1,3,NULL),(16,3145760,'1991-10-27 00:00:00',4,9,11,2008,'M','N','COPACABANA','LAGES','SC','124242241215111711448834575112610132147',4541,'1146',59.68,1,3,NULL),(16,3145778,'1988-11-23 00:00:00',2,1,7,2007,'F','N','SAMAMBAIA NORTE','SAMAMBAIA','DF','107071077316571731433623275115610165097',NULL,'9999',28.32,4,3,NULL),(16,3145786,'1987-08-17 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241512372441536331575124233231183',15739,'781',37.96,2,1,2),(16,3145794,'1994-02-05 00:00:00',2,1,12,2010,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217111712326823472124610114185',NULL,'988',29.99,1,3,NULL),(16,3145808,'1992-09-07 00:00:00',4,1,11,2009,'F','S','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124242241215111431456933475124610114072',NULL,'1022',44.35,1,3,NULL),(16,3145816,'1984-08-15 00:00:00',2,8,11,2001,'F','N','BIGORRILHO','CURITIBA','PR','116223221315572411343823574124141563012',NULL,'9998',22.00,1,3,NULL),(16,3145824,'1991-05-31 00:00:00',2,4,12,2008,'M','N','COHAB','S DOMINGOS','SC','124241241125131431433813345125610124052',NULL,'707',24.96,1,3,NULL),(16,3145832,'1991-04-09 00:00:00',4,1,12,2008,'F','N','JOAO PAULO II','PRES PRUDENTE','SP','125252251217273431466612575122610127092',2335,'9998',65.92,4,1,2),(16,3145840,'1988-11-06 00:00:00',4,8,12,2006,'F','N','AGUA BRANCA','S FRANCISCO SUL','SC','124241246115472431646319271124610124097',9283,'494',50.10,1,3,NULL),(16,3145859,'1991-06-05 00:00:00',4,1,12,2008,'M','N','CENTRO','LARANJEIRAS SUL','PR','116162161217321531456614575122610164067',8408,'9998',51.57,1,3,NULL),(16,3145867,'1992-03-12 00:00:00',4,9,11,2008,'F','N','SANTA HELENA','LAGES','SC','124244241216111431338931595112613228012',NULL,'497',23.02,1,3,NULL),(16,3145875,'1990-05-02 00:00:00',2,1,12,2007,'F','N','PACHECO','PALHOçA','SC','124241241111372421325411345124610124142',NULL,'732',23.74,1,2,1),(16,3145891,'1990-09-27 00:00:00',4,8,12,2007,'M','N','CENTRO','CANOINHAS','SC','124241241116371231546413575124610167012',11178,'153',46.70,1,3,NULL),(16,3145921,'1990-10-17 00:00:00',4,3,12,2008,'F','N','SANTA RITA','BRUSQUE','SC','124242241215271431348834574112610122192',3148,'109',63.40,1,3,NULL),(16,3145930,'1990-10-24 00:00:00',2,1,12,2008,'F','N','CENTRO','GUARATINGUETá','SP','125252251217111411568931571123610135182',7030,'9998',54.23,1,3,NULL),(16,3145948,'1988-07-13 00:00:00',4,1,12,2005,'F','N','JOAO PAULO II','PRES PRUDENTE','SP','125252251217374431464412495122122022092',176,'9998',79.62,1,3,NULL),(16,3145956,'1990-07-29 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241117111431578933571124610127047',NULL,'267',28.76,1,2,1),(16,3145964,'1991-04-10 00:00:00',4,8,12,2008,'M','N','MOGILAR','MOGI CRUZES','SP','125252251211111211488811571112610111152',2020,'9999',67.11,1,3,NULL),(16,3145972,'1991-08-05 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215111431437839392122610163147',6054,'723',56.22,1,3,NULL),(16,3145980,'1991-06-18 00:00:00',4,4,10,2008,'M','N','CENTRO','ERECHIM','RS','120204201235371431466614576122610164182',4799,'9998',59.07,1,3,NULL),(16,3145999,'1991-04-22 00:00:00',2,1,12,2008,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124244241215141431559613242122610121155',NULL,'1048',39.13,1,3,NULL),(16,3146006,'1991-10-02 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSé','SC','124243241215111431237613572324610124147',7323,'723',53.67,1,3,NULL),(16,3146014,'1987-10-12 00:00:00',4,1,12,2004,'F','N','CIDADE EDSON','SUZANO','SP','125252251211473411589911571122610111152',10349,'9999',48.17,1,2,1),(16,3146030,'1991-01-10 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215471431579713232122610126072',12560,'951',44.24,1,3,NULL),(16,3146049,'1990-03-24 00:00:00',4,8,12,2007,'F','N','MOGI MODERNO','MOGI CRUZES','SP','125252251211473211488811571112610121062',NULL,'9999',23.22,1,3,NULL),(16,3146073,'1988-05-05 00:00:00',2,1,11,2006,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241245134431459824371122221166067',4014,'270',61.04,1,3,NULL),(16,3146081,'1991-02-25 00:00:00',4,1,11,2008,'M','N','SãO BASILIO','BRAçO NORTE','SC','124242241211131432444624492124610161147',11195,'806',46.67,1,3,NULL),(16,3146090,'1991-12-28 00:00:00',4,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215122431237833572122610123147',14582,'272',40.55,1,3,NULL),(16,3146103,'1991-03-01 00:00:00',4,4,12,2008,'M','N','CENTRO','CHAPECó','SC','124242241216151431359919575122610168195',9778,'185',49.20,1,3,NULL),(16,3146111,'1990-10-27 00:00:00',4,1,12,2008,'M','N','VILA OLIVEIRA','MOGI CRUZES','SP','125252251213111211589914574112610121102',NULL,'9999',35.17,3,3,NULL),(16,3146120,'1991-01-18 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124243241117131431433623572121610127142',NULL,'592',39.92,1,3,NULL),(16,3146138,'1989-08-10 00:00:00',4,1,12,2007,'M','N','VILA NATAL','MOGI CRUZES','SP','125252251211473311589911571112610112032',NULL,'9999',0.00,1,3,NULL),(16,3146146,'1991-02-12 00:00:00',4,1,12,2008,'M','N','PERQUê','PTO BELO','SC','124242241235271431658821471121610167182',10295,'1111',48.26,1,3,NULL),(16,3146154,'1992-09-10 00:00:00',4,10,12,2010,'M','S','CENTRO','TUBARãO','SC','124242241215111431378812295122610128142',NULL,'797',39.63,1,3,NULL),(16,3146189,'1990-03-28 00:00:00',4,1,12,2007,'F','N','ALTO DO IPIRANGA','MOGI CRUZES','SP','125252251211471211469911571122610133152',10601,'9999',47.73,1,3,NULL),(16,3146197,'1991-11-18 00:00:00',2,10,11,2008,'F','N','OFICINAS','TUBARãO','SC','124242241215122431458814575122610124142',8230,'807',51.91,1,3,NULL),(16,3146200,'1988-06-30 00:00:00',2,1,12,2005,'F','N','AREIAS','S JOSé','SC','124242241216573431438632282124610141097',6250,'1022',55.78,1,3,NULL),(16,3146219,'1991-01-06 00:00:00',2,1,12,2008,'F','N','ROçADO','S JOSé','SC','124241241216121431433633572124610133147',NULL,'1036',24.30,1,3,NULL),(16,3146227,'1991-12-22 00:00:00',4,5,12,2008,'F','N','PINHEIRINHO','CRICIúMA','SC','124242241214112431459911574122610121192',14992,'208',39.67,1,3,NULL),(16,3146235,'1988-02-23 00:00:00',4,1,12,2005,'M','N','EUGENIO SCHNEIDER','RIO SUL','SC','124242241212575431356933242125232467057',NULL,'270',0.00,1,3,NULL),(16,3146251,'1991-12-02 00:00:00',4,4,11,2008,'M','N','VILA NOVA','FRANCISCO BELTRãO','PR','116161161317111431336628582121610133062',2938,'9998',63.99,1,3,NULL),(16,3146260,'1990-10-28 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241415112431348613572114610117057',4546,'1022',59.68,1,3,NULL),(16,3146278,'1989-12-23 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124243241216273431476863585124610132147',12784,'724',43.86,1,3,NULL),(16,3146286,'1987-05-15 00:00:00',2,1,10,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241647271411333341115122610156182',NULL,'9999',34.68,1,3,NULL),(16,3146294,'1990-04-30 00:00:00',2,2,11,2007,'F','N','ITAIM','TAUBATé','SP','125074211114471431568813272122610124147',4123,'9998',60.72,1,3,NULL),(16,3146308,'1967-03-05 00:00:00',2,1,12,1984,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241245432144721536544342124122228183',NULL,'9997',33.56,1,3,NULL),(16,3146316,'1991-03-07 00:00:00',4,2,12,2008,'M','N','TESTO SALTO','BLUMENAU','SC','124241241127141731444611342121610117052',NULL,'78',18.66,1,3,NULL),(16,3146324,'1990-12-22 00:00:00',2,7,12,2008,'F','N','SANTA CRUZ','CONCóRDIA','SC','124241241115133431538811574122610138057',NULL,'192',22.01,1,3,NULL),(16,3146340,'1991-06-27 00:00:00',2,9,12,2008,'M','N','CENTRO','LAGES','SC','124201241117151431463719575112610167187',NULL,'513',33.70,4,3,NULL),(16,3146359,'1992-11-04 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111431538833475122610127142',NULL,'270',41.23,1,3,NULL),(16,3146375,'1991-12-06 00:00:00',2,5,12,2008,'F','N','ESTREITO','MELEIRO','SC','124241241215121431456311475122610164052',6675,'970',54.92,1,3,NULL),(16,3146383,'1990-02-01 00:00:00',4,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124242241217372431428653372124610164112',15619,'9997',38.26,1,3,NULL),(16,3146391,'1991-05-07 00:00:00',2,4,11,2008,'F','N','CENTRO','CUNHA PORã','SC','124241241415111431546614275122610142147',14436,'185',40.82,1,3,NULL),(16,3146405,'1991-05-24 00:00:00',4,1,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161217111431379813574122610114192',4651,'9998',59.43,1,3,NULL),(16,3146413,'1992-12-11 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241215111432536822575124610117077',NULL,'1022',34.72,1,3,NULL),(16,3146421,'1988-12-17 00:00:00',2,1,12,2005,'M','N','ABRAAO','FLORIANóPOLIS','SC','124241241316273431346613445114120767042',3762,'774',61.68,1,3,NULL),(16,3146448,'1987-05-14 00:00:00',4,1,12,2004,'F','N','JARDIM GODOY','BAURU','SP','125112111115271751556831495123141022147',NULL,'9998',28.73,1,3,NULL),(16,3146456,'1986-12-01 00:00:00',4,1,12,2005,'M','N','ARMAçãO DO PâNTANO','FLORIANóPOLIS','SC','124241241141373751457432311145610165172',11668,'257',45.88,1,2,1),(16,3146464,'1990-12-29 00:00:00',2,1,11,2008,'F','N','JARDIM ELDORADO','PALHOçA','SC','124244241215111531569933575122610138195',NULL,'1010',32.38,1,3,NULL),(16,3146472,'1991-01-08 00:00:00',2,1,12,2008,'M','N','VILA SãO JOSé','TAUBATé','SP','125253251217271431539867582121610138142',NULL,'9998',21.55,1,3,NULL),(16,3146502,'1965-06-23 00:00:00',4,1,12,1982,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','624201206115132421228841213124222224012',NULL,'9998',0.00,1,2,1),(16,3146510,'1992-07-31 00:00:00',1,2,12,2009,'F','S','POMERODE FUNDOS','POMERODE','SC','124242241216131431536624572112610134047',NULL,'624',56.43,1,3,NULL),(16,3146529,'1986-04-08 00:00:00',2,1,9,2004,'F','N','CAMPINAS','S JOSé','SC','124241241116143431546434442124122961193',13333,'739',42.91,1,2,1),(16,3146537,'1992-01-20 00:00:00',4,2,12,2008,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124244241415111711489951575122610164122',NULL,'109',30.91,1,3,NULL),(16,3146545,'1991-07-08 00:00:00',4,4,12,2008,'F','N','CENTRO','VIADUTOS','RS','120202201225111731434624444124610123057',NULL,'9998',22.66,1,3,NULL),(16,3146553,'1991-09-05 00:00:00',4,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215111411568674575112610137042',12482,'262',44.42,1,3,NULL),(16,3146570,'1990-10-27 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243241312372431449923335122610127042',NULL,'298',24.23,1,3,NULL),(16,3146588,'1970-12-07 00:00:00',4,1,12,1990,'F','N','AREIAS','S JOSé','SC','224041048126161431456654215122333224092',NULL,'9998',23.56,1,2,1),(16,3146596,'1991-11-21 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215121431326963472122610122117',NULL,'273',30.66,1,3,NULL),(16,3146618,'1987-12-11 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241212373431667924475112130462122',9775,'270',49.20,1,3,NULL),(16,3146626,'1990-11-05 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241315472211239913575124233221197',3934,'737',61.24,1,3,NULL),(16,3146634,'1985-01-09 00:00:00',4,1,12,2003,'F','N','ABRAãO','FLORIANóPOLIS','SC','124242241215372431338823472114131425092',NULL,'269',30.33,1,3,NULL),(16,3146642,'1990-04-23 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124153121216151431447613575124220664147',14726,'9998',40.22,1,3,NULL),(16,3146650,'1991-05-28 00:00:00',2,1,12,2008,'F','N','ARMAçãO DO P DO SUL','FLORIANóPOLIS','SC','124244241215111431568833372114610131112',12106,'1022',45.09,1,3,NULL),(16,3146669,'1992-02-18 00:00:00',4,2,12,2009,'M','S','CENTRO','VIDAL RAMOS','SC','124241242115131451536733431124610136142',NULL,'662',0.00,1,3,NULL),(16,3146685,'1992-02-21 00:00:00',4,8,12,2008,'M','N','ROCIO GRANDE','S FRANCISCO SUL','SC','124241246215131431636613575124610137147',15770,'1105',37.86,2,1,2),(16,3146693,'1991-04-26 00:00:00',4,1,12,2008,'M','N','FLOR DE NáPOLIS','S JOSé','SC','124242243215121431437612145122610138112',NULL,'1074',0.00,1,3,NULL),(16,3146707,'1987-03-09 00:00:00',2,3,12,2004,'F','N','CENTRO','ITAPEMA','SC','124243248116134711456632475122131042143',16356,'406',36.17,1,3,NULL),(16,3146715,'1989-03-28 00:00:00',4,8,12,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124162161217474431469913575124231427092',3746,'9998',61.71,1,3,NULL),(16,3146723,'1990-09-05 00:00:00',2,8,12,2007,'F','N','PORTãO','CURITIBA','PR','116161161215121751628711572324610168187',15013,'9998',39.62,2,1,2),(16,3146740,'1988-05-22 00:00:00',4,1,12,2006,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124244241137373431439823575125610134182',10296,'307',48.26,1,3,NULL),(16,3146758,'1991-03-26 00:00:00',2,1,11,2008,'M','N','KOBRASSOL','S JOSé','SC','124242243215131531337711472124610167147',10705,'723',47.55,1,3,NULL),(16,3146766,'1991-09-02 00:00:00',2,3,12,2008,'M','N','PEREQUê','PTO BELO','SC','124241247327131431436632245131610164117',NULL,'9999',23.86,1,3,NULL),(16,3146774,'1972-01-26 00:00:00',4,1,12,1988,'F','N','TRINDADE','FLORIANóPOLIS','SC','524241241115134521126644442324321515197',5404,'307',57.65,1,2,1),(16,3146782,'1988-01-19 00:00:00',2,1,12,2005,'F','N','SERRARIA','S JOSé','SC','124241241112152431436629382124131037027',NULL,'257',27.63,4,1,1),(16,3146790,'1965-01-13 00:00:00',4,1,12,1983,'M','N','BREJARU','PALHOçA','SC','224241243122144721323671112124320214145',13208,'9997',43.13,1,3,NULL),(16,3146804,'1989-08-16 00:00:00',4,1,11,2006,'F','N','VILA LIBERDADE','PRES PRUDENTE','SP','125252251215571431578812571324610161097',422,'9998',76.55,3,3,NULL),(16,3146812,'1987-10-07 00:00:00',4,5,12,2004,'M','N','CENTRO','BAL ARROIO SILVA','SC','124202201211463231333629481222231427052',8904,'9998',50.73,1,3,NULL),(16,3146820,'1990-01-04 00:00:00',2,8,12,2007,'F','N','BOM JESUS','RIO NEGRO','PR','116161161116572431449813192122610136075',12863,'9998',43.74,1,2,1),(16,3146847,'1992-01-26 00:00:00',4,1,12,2009,'M','S','CENTRO','PALHOçA','SC','124242241216111732568814495124610137057',NULL,'1011',50.65,1,3,NULL),(16,3146855,'1990-04-06 00:00:00',4,1,11,2008,'M','N','JARDIM ESTORIL','BAURU','SP','125253251216131731426729441321610117052',NULL,'9998',24.24,4,3,NULL),(16,3146880,'1992-11-30 00:00:00',4,1,12,2009,'F','S','CENTRO','NOVA TRENTO','SC','124244241215121431463512272124610137142',NULL,'109',41.45,1,3,NULL),(16,3146898,'1989-10-29 00:00:00',2,1,12,2006,'M','N','IPIRANGA','S JOSé','SC','124241241112472421436431582214610117097',9558,'734',49.61,4,2,1),(16,3146901,'1991-07-25 00:00:00',4,1,12,2008,'M','N','SANTO ANTONIO','FLORIANóPOLIS','SC','124242241217121451368811211122610114181',12453,'266',44.46,1,3,NULL),(16,3146910,'1990-12-03 00:00:00',2,1,12,2007,'F','N','ESTRADA NOVA','JARAGUá SUL','SC','124161241112372411333811575122610166142',NULL,'425',30.11,1,2,1),(16,3146928,'1990-02-05 00:00:00',4,1,12,2007,'F','N','SãO DOMINGOS','AMERICANA','SP','125252251327131431558814382122140624017',NULL,'9998',28.57,4,3,NULL),(16,3146944,'1991-07-12 00:00:00',4,1,11,2008,'F','N','ALDEIA DA SERRA','SANTANA PARNAíBA','SP','125252251215371431478814575122610163142',NULL,'9998',0.00,1,3,NULL),(16,3146960,'1991-02-15 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242248215111451446629371324610167162',NULL,'738',39.06,1,3,NULL),(16,3146979,'1990-09-05 00:00:00',4,1,11,2007,'F','N','CENTRO','MARAU','RS','120202201216472431445924592124610132072',2556,'9998',65.15,1,3,NULL),(16,3146987,'1979-07-25 00:00:00',4,1,12,1997,'F','N','CENTRO','FLORIANóPOLIS','SC','224241245117474431243652471112323068072',8424,'192',51.54,1,2,1),(16,3147010,'1991-03-02 00:00:00',4,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124242241215572431479814572122610167182',4479,'1105',59.83,1,3,NULL),(16,3147029,'1968-07-19 00:00:00',4,1,11,1985,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241212273431256641411312320662047',3935,'260',61.24,1,3,NULL),(16,3147037,'1991-05-13 00:00:00',2,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241216151431468612424124610167061',3366,'1050',62.79,1,3,NULL),(16,3147045,'1988-01-27 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241211474411268823474112610147182',NULL,'269',0.00,1,3,NULL),(16,3147070,'1990-01-05 00:00:00',4,1,12,2007,'F','N','FORQUILHINHAS','S JOSé','SC','124243241416112431516823345124610166142',NULL,'269',26.74,2,1,2),(16,3147088,'1991-03-03 00:00:00',4,1,11,2008,'M','N','CAMPO GRANDE','SANTOS','SP','125252251215271431246914575122610167142',NULL,'9998',52.95,1,3,NULL),(16,3147096,'1987-08-02 00:00:00',2,1,12,2004,'F','N','TATUAPE','S PAULO','SP','125252251217574431248314492125640165097',2651,'9998',64.83,1,3,NULL),(16,3147100,'1992-05-26 00:00:00',2,9,12,2008,'F','N','CENTRO','ANITA GARIBALDI','SC','124243241315131431525512321224610137147',NULL,'499',29.80,1,3,NULL),(16,3147118,'1990-04-05 00:00:00',2,4,12,2007,'F','N','CENTRO','NONOAI','RS','120203208315471711638416241124610123143',NULL,'9998',0.00,1,3,NULL),(16,3147134,'1991-04-09 00:00:00',2,5,11,2008,'M','N','CIDADE ALTA','ARARANGUá','SC','124242241215221731548713572122610167147',12344,'970',44.64,1,3,NULL),(16,3147150,'1991-07-31 00:00:00',2,4,12,2008,'M','N','CENTRO','NOVO MACHADO','RS','120201201111151431458933432121610122057',NULL,'9998',33.37,1,2,1),(16,3147169,'1989-01-10 00:00:00',4,1,12,2005,'M','N','MONTE CARLO','CPO GRANDE','MS','112122121211572321488811572122610125092',NULL,'9998',0.00,1,3,NULL),(16,3147185,'1988-06-11 00:00:00',2,1,12,2006,'M','N','CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC','124241241111472431435421441324610167042',NULL,'288',33.71,1,3,NULL),(16,3147193,'1990-01-29 00:00:00',2,1,12,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241215112431369933432122610133045',NULL,'262',36.81,1,3,NULL),(16,3147207,'1991-12-20 00:00:00',2,5,10,2008,'F','N','CENTRO','CRICIúMA','SC','124244241215111731554413392112610137077',16553,'226',35.17,1,3,NULL),(16,3147215,'1968-02-09 00:00:00',4,1,11,1985,'F','N','JARDIM CIDADE FLORIA','S JOSé','SC','224241241216155721333341315124323066097',NULL,'71',33.32,1,3,NULL),(16,3147223,'1991-02-18 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124244241315112431367924575124610147067',1935,'267',67.46,1,3,NULL),(16,3147231,'1991-07-23 00:00:00',4,2,12,2008,'F','N','CENTRO','BRUSQUE','SC','124242241215271431487714572122610124182',10874,'107',47.23,1,3,NULL),(16,3147240,'1990-05-09 00:00:00',4,1,8,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241411372411348629491324610166117',NULL,'307',32.58,1,3,NULL),(16,3147258,'1991-04-14 00:00:00',2,1,12,2008,'F','N','CENTRO','CAXIAS SUL','RS','120203201216111431456832575122610135122',NULL,'9998',26.75,1,3,NULL),(16,3147266,'1980-06-12 00:00:00',2,1,12,1999,'F','N','BOM VIVER','BIGUAçU','SC','124241241141142431623324241224332224143',15635,'66',38.22,1,3,NULL),(16,3147274,'1990-10-20 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241215112431436434575124610121147',3724,'1076',61.77,1,3,NULL),(16,3147282,'1991-08-07 00:00:00',4,4,12,2008,'F','N','N SRA DE LOURDES','CAMPOS NOVOS','SC','124242241211271431358833574125610166187',9007,'185',50.56,1,3,NULL),(16,3147290,'1989-07-14 00:00:00',4,1,12,2006,'F','N','STO ANTONIO LISBOA','FLORIANóPOLIS','SC','124201201116141451123544241314610127147',16569,'9998',35.06,1,2,1),(16,3147304,'1989-07-19 00:00:00',4,6,11,2006,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215473431339824572122610144147',5020,'1038',58.57,1,3,NULL),(16,3147312,'1990-07-09 00:00:00',4,2,12,2008,'M','N','WARNOW','INDAIAL','SC','124241241115161711443324372324610167147',NULL,'365',0.00,4,3,NULL),(16,3147320,'1989-03-31 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124244241115131441558833231124610146057',NULL,'306',25.03,4,3,NULL),(16,3147339,'1990-12-15 00:00:00',4,8,12,2008,'F','N','SAGUAçU','JOINVILLE','SC','124243241416371431437631312124610136147',15048,'478',39.55,1,3,NULL),(16,3147347,'1987-03-17 00:00:00',2,1,12,2007,'M','N','SAMBAQUI','FLORIANóPOLIS','SC','124243247222131721433116242114610167047',NULL,'9999',28.89,2,3,NULL),(16,3147355,'1989-10-26 00:00:00',2,1,12,2007,'M','N','CASA','FLORIANóPOLIS','SC','124241241112132411313317342114610112142',15886,'293',37.52,2,1,1),(16,3147363,'1991-12-17 00:00:00',4,1,2,2009,'M','N','CENTRO','MARINGá','PR','116162161217151531368819475112610134012',5147,'9998',58.26,1,3,NULL),(16,3147371,'1987-12-22 00:00:00',3,1,12,2005,'M','N','JARDIM BONFIGLIOLI','S PAULO','SP','125092091217572311389914597114142452036',839,'9998',73.11,1,3,NULL),(16,3147380,'1991-04-29 00:00:00',4,2,11,2008,'M','N','VALPARAíSO','BLUMENAU','SC','124242241215111431549834575122610127092',4042,'71',60.94,1,3,NULL),(16,3147398,'1991-10-23 00:00:00',2,1,12,2008,'M','N','FLORESTA','S JOSé','SC','124242241215371721368813575124610167052',5417,'724',57.64,1,3,NULL),(16,3147401,'1990-02-07 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241215322231467614432114232734142',4530,'1022',59.70,1,3,NULL),(16,3147428,'1987-06-12 00:00:00',4,1,10,2006,'M','N','CENTRO','LONDRINA','PR','116162167336341431269939485124610134181',NULL,'9999',0.00,1,3,NULL),(16,3147436,'1991-07-15 00:00:00',2,4,11,2008,'F','N','CENTRO','XANXERê','SC','124243241435112431656532574122610137122',579,'836',75.11,1,3,NULL),(16,3147452,'1991-07-07 00:00:00',2,4,12,2008,'M','N','BERTE','PTE SERRADA','SC','124243241117271331434612271122610124057',16161,'629',36.75,2,1,2),(16,3147460,'1990-06-21 00:00:00',4,1,10,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244248215151411468613375124610137045',NULL,'269',31.29,1,3,NULL),(16,3147479,'1991-09-29 00:00:00',4,7,12,2008,'M','N','SALETE','CONCóRDIA','SC','124241241116131441424614241222610144042',7263,'192',53.78,1,2,1),(16,3147487,'1990-05-26 00:00:00',4,1,12,2007,'M','N','SERTÃO DO MARUIM','S JOSé','SC','124241241121472421424319345124610122182',4693,'1155',59.33,1,2,1),(16,3147495,'1991-11-04 00:00:00',4,10,12,2008,'M','N','CENTRO','LAGUNA','SC','124244241225111431638313295124610146092',9256,'524',50.14,1,3,NULL),(16,3147509,'1988-10-04 00:00:00',2,1,12,2006,'M','N','BELA VISTA II','S JOSé','SC','124242241217142431366633445122233268075',NULL,'738',31.31,2,1,2),(16,3147517,'1991-04-13 00:00:00',2,4,12,2008,'F','N','INTERIOR','XANXERê','SC','124241241116271411447923475122610137092',12610,'840',44.16,1,2,1),(16,3147533,'1990-01-06 00:00:00',2,1,12,2007,'M','N','TAPERA','FLORIANóPOLIS','SC','124241241113471711446713576124610162013',4186,'307',60.52,1,2,1),(16,3147541,'1990-11-20 00:00:00',4,4,12,2007,'F','N','GLóRIA','CARAZINHO','RS','120202201216471731458839592122610148187',3742,'9998',61.71,1,3,NULL),(16,3147550,'1990-12-22 00:00:00',4,8,12,2008,'F','N','JARDIM ESPERANçA','CANOINHAS','SC','124241241136131431437714372124610136177',NULL,'153',0.00,1,2,1),(16,3147568,'1977-02-02 00:00:00',4,1,12,1998,'F','N','PACHECOS','PALHOçA','SC','624241244126132431431173232124610122147',NULL,'307',29.19,1,2,1),(16,3147584,'1990-07-29 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241212272431468933572124230441147',5935,'499',56.48,1,3,NULL),(16,3147592,'1990-04-30 00:00:00',4,1,11,2007,'F','N','CARIANOS','FLORIANóPOLIS','SC','124242241215472431332823575114610164042',7658,'270',53.04,1,3,NULL),(16,3147606,'1992-10-14 00:00:00',4,1,11,2008,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124242241215111231479913572114610164182',6588,'299',55.08,4,3,NULL),(16,3147614,'1991-05-01 00:00:00',4,1,11,2008,'M','N','CENTRO','CUIABá','MT','111112117217111431438832575124610162182',7349,'9998',53.62,1,3,NULL),(16,3147630,'1990-11-10 00:00:00',4,1,12,2008,'M','N','RINCãO','ETN VELHA','RS','120202201216271231445511592122610127042',NULL,'9998',0.00,1,3,NULL),(16,3147657,'1990-01-05 00:00:00',2,1,7,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241117132431438933275124610123147',NULL,'306',28.37,1,2,1),(16,3147673,'1991-08-24 00:00:00',4,4,12,2008,'M','N','PINHEIRINHO','PATO BRANCO','PR','116162161216371431469932575122610167052',9366,'9998',49.96,1,3,NULL),(16,3147681,'1990-12-29 00:00:00',4,1,12,2008,'M','N','ALTO DO IPIRANGA','MOGI CRUZES','SP','125254251117151431448714575124610134147',8543,'9998',51.35,1,3,NULL),(16,3147690,'1991-05-10 00:00:00',2,1,9,2009,'F','S','FLORESTA','S JOSé','SC','124242241215111431569833575122610127097',NULL,'262',36.81,1,3,NULL),(16,3147711,'1991-06-28 00:00:00',4,6,12,2008,'F','N','PRAIA DOS AMORES','BAL CAMBORIú','SC','124244241117131431436834575124610134147',NULL,'401',24.82,1,3,NULL),(16,3147720,'1991-11-21 00:00:00',2,1,12,2008,'M','N','TAPERA','FLORIANóPOLIS','SC','124241241112131431323424282121610126077',12925,'278',43.63,1,2,1),(16,3147738,'1990-04-18 00:00:00',4,1,11,2007,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241235273431449933575124233262097',8865,'806',50.78,1,3,NULL),(16,3147746,'1989-10-10 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124242241217372231238313575114610127077',4563,'737',59.64,1,3,NULL),(16,3147754,'1985-08-23 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANóPOLIS','SC','124161161116473721434911485122240864012',14211,'9998',41.21,1,2,1),(16,3147770,'1991-07-08 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217121551378933577112610167052',13421,'270',42.76,1,3,NULL),(16,3147789,'1991-09-10 00:00:00',4,1,12,2009,'M','S','CAMPECHE','FLORIANóPOLIS','SC','124242241217111431357932585122610121181',NULL,'270',47.70,1,3,NULL),(16,3147797,'1987-06-25 00:00:00',4,1,12,2004,'M','N','JARDIM SANTO ANTONIO','STO ANDRé','SP','125251251146571431368814375122610167056',NULL,'9998',0.00,1,2,1),(16,3147800,'1981-09-06 00:00:00',2,1,12,1999,'M','N','SANTINHO','FLORIANóPOLIS','SC','124252251237271431228641311324343267112',3904,'9998',61.31,1,3,NULL),(16,3147819,'1986-08-03 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124243247337574421228744243122610166187',8073,'9999',52.28,1,3,NULL),(16,3147827,'1991-01-27 00:00:00',4,1,12,2008,'M','N','CARDOSO','S JOãO BATISTA','SC','124241241115142751434519335121610167082',NULL,'712',27.53,1,2,1),(16,3147835,'1988-06-08 00:00:00',2,1,12,2005,'F','N','SAO GABRIEL','COLOMBO','PR','116163161316573441455811575112610164092',NULL,'9998',0.00,2,3,NULL),(16,3147843,'1987-05-22 00:00:00',2,1,12,2004,'M','N','PâNTANO DO SUL','FLORIANóPOLIS','SC','124201201137131411343473445124610164182',12229,'9998',44.85,1,2,1),(16,3147851,'1989-03-21 00:00:00',2,1,11,2006,'M','N','CENTRO','ELDORADO','SP','125252251216573431456623574124610134047',NULL,'9998',0.00,4,3,NULL),(16,3147860,'1989-08-17 00:00:00',4,1,11,2007,'M','N','CECAP II','PIRACICABA','SP','125252251215472431357611572114610124047',5318,'9998',57.84,1,3,NULL),(16,3147878,'1991-07-19 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241216121431245624215122610123147',5245,'270',58.01,1,3,NULL),(16,3147886,'1990-10-16 00:00:00',4,1,12,2008,'F','N','CENTRO','RIO CLARO','SP','125252251216111431479814275122610161012',2215,'9998',66.36,1,3,NULL),(16,3147916,'1988-12-06 00:00:00',4,1,12,2005,'F','N','BRAS','S PAULO','SP','125204241317574441258762292325610143012',645,'307',74.59,1,3,NULL),(16,3147932,'1991-09-21 00:00:00',4,1,1,2009,'M','N','ARIRIú','PALHOçA','SC','124243241117131441436923575124610126097',5418,'739',57.64,1,3,NULL),(16,3147940,'1993-04-30 00:00:00',4,1,12,2008,'M','N','JARDIM BERLEZE','STA MARIA','RS','120201201116151231436836151124610167042',4755,'9998',59.17,1,2,1),(16,3147959,'1989-12-26 00:00:00',4,8,12,2006,'M','N','GLóRIA','JOINVILLE','SC','124242241211471431469931572121510117042',8367,'491',51.65,1,3,NULL),(16,3147967,'1989-11-16 00:00:00',4,1,12,2007,'F','N','GARCIA','BLUMENAU','SC','124162168215472431569912595122131468072',6445,'9998',55.39,1,3,NULL),(16,3147975,'1990-12-03 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215271431469811574122610167042',1170,'270',71.10,1,3,NULL),(16,3147983,'1985-03-08 00:00:00',2,1,12,2003,'F','N','VILA IPIRANGA','CPO GRANDE','MS','112121121216131431423723475124241464192',NULL,'9998',14.77,2,1,2),(16,3147991,'1990-07-01 00:00:00',4,4,12,2007,'M','N','CENTRO','PATO BRANCO','PR','116241161315471441464415595125610168047',11617,'9998',45.97,1,3,NULL),(16,3148017,'1992-09-28 00:00:00',4,5,11,2009,'F','S','CENTRO','CRICIúMA','SC','124242241215371731458832272122610132147',NULL,'226',42.80,1,3,NULL),(16,3148025,'1992-01-26 00:00:00',4,1,12,2008,'M','N','CANTO GRANDE','BOMBINHAS','SC','124244241235131431438933142124610125087',NULL,'1111',42.59,4,3,NULL),(16,3148033,'1977-06-19 00:00:00',2,1,12,1996,'F','N','CARIANOS','FLORIANóPOLIS','SC','224241246126132431423351242124232717147',NULL,'306',28.21,1,2,1),(16,3148041,'1988-08-30 00:00:00',4,1,11,2006,'M','N','BARREIROS','S JOSé','SC','124242241212132711336629342122123267117',NULL,'738',0.00,1,3,NULL),(16,3148050,'1991-01-08 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124162241215472431488814174122610137112',11693,'44',45.84,1,3,NULL),(16,3148076,'1991-11-04 00:00:00',4,2,11,2008,'M','N','SALTO DO NORTE','BLUMENAU','SC','124242241217152431369934275122610164161',462,'71',76.11,1,3,NULL),(16,3148084,'1990-03-28 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','120204121216471411345811114112610154142',1750,'9998',68.19,1,3,NULL),(16,3148092,'1977-10-31 00:00:00',4,1,12,2008,'F','N','TAPERA','FLORIANóPOLIS','SC','224241247417131131463354572114610147187',NULL,'9999',18.80,1,3,NULL),(16,3148106,'1990-02-20 00:00:00',4,1,11,2007,'M','N','BUENO','GOIâNIA','GO','109092091211471731439931571115610166052',12,'9998',84.84,3,3,NULL),(16,3148122,'1991-05-15 00:00:00',2,5,10,2008,'F','N','ESTAçãO','URUSSANGA','SC','124242241215113431648719575112610162042',9757,'820',49.24,1,3,NULL),(16,3148130,'1989-10-31 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241117473431466933442123610167117',NULL,'288',28.17,1,2,1),(16,3148149,'1990-09-21 00:00:00',2,8,12,2007,'F','N','VILA LENZI','JARAGUá SUL','SC','124241241115271411433319344132610165017',NULL,'425',0.00,1,2,1),(16,3148157,'1985-09-15 00:00:00',2,1,12,2004,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124243241115374731423611245124610163097',16061,'281',37.08,1,3,NULL),(16,3148173,'1991-08-05 00:00:00',2,1,12,2008,'F','N','PONTE DE IMARUIM','PALHOçA','SC','124242241216111731458313575124610117097',11922,'1010',45.41,1,3,NULL),(16,3148181,'1975-07-02 00:00:00',4,1,12,1992,'F','N','INGLESES','FLORIANóPOLIS','SC','124204247435142731621419442124610162197',NULL,'977',30.02,1,3,NULL),(16,3148190,'1990-02-10 00:00:00',4,1,12,2007,'M','N','ROçADO','S JOSé','SC','124241241117471431448933275114610138017',8049,'307',52.33,1,2,1),(16,3148211,'1992-02-14 00:00:00',2,1,11,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244248115271331469933571124610127042',5108,'271',58.37,1,3,NULL),(16,3148220,'1992-04-10 00:00:00',4,1,12,2009,'M','S','INGLESES','FLORIANóPOLIS','SC','124242241215111731312112595122610117057',NULL,'1049',30.10,1,3,NULL),(16,3148238,'1985-06-27 00:00:00',4,1,12,2005,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124242241216211431446714475122233223057',NULL,'269',22.93,1,3,NULL),(16,3148246,'1989-11-09 00:00:00',2,1,12,2006,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124201241132142431336614342124610167017',NULL,'288',26.10,1,2,1),(16,3148254,'1985-03-23 00:00:00',2,1,12,2002,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124243241116273731335629475124233224197',14030,'521',41.59,1,3,NULL),(16,3148262,'1988-12-02 00:00:00',2,1,12,2005,'F','N','CAMPINAS','S JOSé','SC','124201201132131331323413442324610127042',NULL,'9998',19.46,4,2,1),(16,3148270,'1991-04-24 00:00:00',2,5,12,2008,'F','N','RIO MAINA','CRICIúMA','SC','124242241217121431335933572124610137057',7368,'226',53.59,1,3,NULL),(16,3148297,'1992-07-18 00:00:00',4,8,12,2009,'F','S','VILA NOVA','JARAGUá SUL','SC','124242241215151531588811575112610132182',NULL,'422',54.41,1,3,NULL),(16,3148319,'1992-02-19 00:00:00',4,10,11,2008,'M','N','VILA MOEMA','TUBARãO','SC','124242241215111331459931572112613267012',1146,'807',71.21,1,3,NULL),(16,3148327,'1990-04-30 00:00:00',4,1,12,2006,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241211373431379921481122610161172',8188,'270',52.04,1,3,NULL),(16,3148335,'1988-10-10 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241216574431468912572122231464032',NULL,'262',42.99,1,3,NULL),(16,3148343,'1992-01-12 00:00:00',4,5,12,2008,'M','N','COLONINHA','ARARANGUá','SC','124242246217271441388912575124610161112',3109,'995',63.49,1,3,NULL),(16,3148351,'1991-12-24 00:00:00',4,1,12,2009,'F','S','VARGEM PEQUENA','FLORIANóPOLIS','SC','124241241217111431368933575124610167142',NULL,'300',13.35,1,3,NULL),(16,3148360,'1991-06-24 00:00:00',4,10,11,2008,'F','N','VILA MOEMA','TUBARãO','SC','124242241215171431488811595122610121182',9941,'807',48.89,1,3,NULL),(16,3148378,'1991-11-15 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241217111731469933574122610163147',NULL,'270',60.61,1,3,NULL),(16,3148386,'1990-09-24 00:00:00',4,8,12,2007,'M','N','CENTRO','JARAGUá SUL','SC','124242241212153411269929393114220268192',10798,'491',47.37,1,3,NULL),(16,3148394,'1989-11-04 00:00:00',2,1,12,2006,'F','N','ESTREITO','ALFREDO WAGNER','SC','124243241112132411648933441124230764057',15140,'13',39.33,1,3,NULL),(16,3148408,'1990-09-18 00:00:00',4,1,11,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124242241215111431227334575124610134182',5053,'1022',58.50,2,1,2),(16,3148416,'1990-04-11 00:00:00',4,2,12,2008,'M','N','VELHA','BLUMENAU','SC','124242241215111431378612572124610132182',NULL,'855',33.38,1,3,NULL),(16,3148424,'1989-06-02 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEICAO','FLORIANóPOLIS','SC','124252251216572431458711471124140267111',5858,'9998',56.68,1,3,NULL),(16,3148440,'1983-03-14 00:00:00',2,1,8,2006,'F','N','CANASVEIIERAS','FLORIANóPOLIS','SC','124281207116131431323544342334610166037',NULL,'9998',0.00,1,3,NULL),(16,3148459,'1991-04-17 00:00:00',4,1,12,2008,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215112731479923573124610167185',729,'883',74.02,1,3,NULL),(16,3148467,'1991-08-29 00:00:00',5,10,12,2008,'F','N','MATO ALTO','ARARANGUá','SC','124241241135131731423429575224610167077',NULL,'29',6.67,1,3,NULL),(16,3148475,'1991-10-05 00:00:00',4,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215111711368739492124610124012',4015,'723',61.03,1,3,NULL),(16,3148483,'1991-08-09 00:00:00',4,1,12,2008,'M','N','CENTRO','TIJUCAS','SC','124242241215111431568814574124610124182',NULL,'262',33.84,1,3,NULL),(16,3148491,'1990-10-20 00:00:00',4,1,12,2007,'M','N','VILA RICA','MARINGá','PR','116162161215472431458811575124610137082',3155,'9998',63.39,1,3,NULL),(16,3148505,'1990-10-30 00:00:00',2,5,12,2007,'F','N','CIDADE ALTA','ARARANGUá','SC','124241241115132431323311275111610137047',14341,'30',40.98,1,2,1),(16,3148513,'1991-07-26 00:00:00',4,3,11,2008,'F','N','BAIRRO DOS ESTADOS','BAL CAMBORIú','SC','124201241415271231436511171122610122197',11976,'44',45.30,4,3,NULL),(16,3148521,'1984-08-03 00:00:00',4,1,12,2003,'M','N','CANTO','FLORIANóPOLIS','SC','124244243115372421455824345124123263173',11626,'739',45.96,1,3,NULL),(16,3148530,'1990-10-17 00:00:00',2,2,12,2007,'F','N','PONTA FINA NORTE','NOVA TRENTO','SC','124241244117371431454923375114610161187',NULL,'574',30.96,1,2,1),(16,3148548,'1990-07-25 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124203241215472431476814492325610134075',1321,'962',70.26,1,3,NULL),(16,3148556,'1991-09-20 00:00:00',4,5,12,2008,'M','N','PREDIAL','TORRES','RS','120204201217271431568913471122610144117',10333,'9998',48.20,1,3,NULL),(16,3148564,'1991-07-20 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215111431466612571112610122042',NULL,'1038',0.00,1,3,NULL),(16,3148572,'1988-10-31 00:00:00',4,1,12,2006,'F','N','FORQUILHINHAS','S JOSé','SC','124242241212473411449913434124232034077',7727,'269',52.92,1,3,NULL),(16,3148602,'1990-05-25 00:00:00',2,6,12,2007,'M','N','CENTRO','MINAçU','GO','109091091436472431336411575321610122052',2612,'9998',64.97,4,3,NULL),(16,3148629,'1990-08-24 00:00:00',1,3,2,2010,'M','S','PRAIA DOS AMORES','BAL CAMBORIú','SC','124242241215111431468612574114610166112',NULL,'262',40.56,1,3,NULL),(16,3148637,'1991-06-29 00:00:00',4,1,7,2009,'M','S','VARGEM GRANDE','FLORIANóPOLIS','SC','124243247217151431446731242124610167181',NULL,'9999',26.27,1,3,NULL),(16,3148645,'1992-02-12 00:00:00',4,3,12,2008,'F','N','JARDIM CALIFóRNIA','LONDRINA','PR','116162161215111411439931575112610132011',NULL,'9998',0.00,1,3,NULL),(16,3148653,'1991-12-11 00:00:00',4,10,11,2008,'F','N','VILA MOEMA','TUBARãO','SC','124242241217121512458932242122610144142',6567,'807',55.14,1,3,NULL),(16,3148661,'1990-06-28 00:00:00',4,4,12,2007,'M','N','CENTRO','JARDINóPOLIS','SC','124241242117472431456933444334610144057',10109,'8',48.59,1,2,1),(16,3148670,'1990-10-29 00:00:00',4,1,12,2007,'F','N','JARDIM EDORADOIII','PALHOCA','SC','124241241122372331321333342124610164147',NULL,'728',20.14,1,3,NULL),(16,3148688,'1989-01-20 00:00:00',2,1,12,2008,'M','N','CAMPO LIMPO','FRA SANTANA','BA','105051051136211441521327485311610112022',NULL,'9998',0.00,2,1,1),(16,3148696,'1991-09-13 00:00:00',2,10,11,2008,'M','N','ZONA RURAL','CANAVIEIRAS','BA','105052051216111431564732375122610167052',NULL,'9998',41.44,1,3,NULL),(16,3148700,'1990-01-26 00:00:00',4,1,12,2007,'F','N','SãO FRANCISCO','CPO GRANDE','MS','112122121117471411368929574115610142112',12262,'9998',44.79,4,3,NULL),(16,3148718,'1985-09-22 00:00:00',4,1,12,2002,'F','N','VILA PADRE DONIZETTI','TAMBAú','SP','125251251117371431458314475122343243147',3464,'9998',62.48,1,2,1),(16,3148726,'1988-08-06 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241135271731233179182124610124047',NULL,'9997',27.82,1,2,1),(16,3148734,'1989-08-05 00:00:00',4,4,12,2008,'F','N','INTERIOR','XANXERê','SC','124241241136131411623315495322610127042',NULL,'840',22.99,1,2,1),(16,3148742,'1991-01-11 00:00:00',2,9,11,2008,'F','N','BELA VISTA','S JOAQUIM','SC','124241241137131431426413584112610124012',9560,'720',49.60,1,3,NULL),(16,3148750,'1991-02-22 00:00:00',2,1,11,2009,'F','S','JARDIM ELDORADO','PALHOçA','SC','124242241216111431536832125124610147057',NULL,'270',20.45,1,3,NULL),(16,3148769,'1990-01-12 00:00:00',4,2,6,2008,'M','N','ALTO DA LAPA','S PAULO','SP','125252281217271411369914576124610127082',6680,'9998',54.91,1,3,NULL),(16,3148777,'1991-11-03 00:00:00',2,4,11,2008,'F','N','NOSSA SENHORA DE FáT','BARRACãO','PR','116164161215222451359933571122610167142',15371,'9998',38.83,1,3,NULL),(16,3148785,'1990-11-14 00:00:00',2,1,12,2008,'F','N','CENTRO','PALHOçA','SC','124242241217132431436517584114610112147',14667,'1011',40.36,1,3,NULL),(16,3148793,'1990-11-03 00:00:00',4,1,11,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242247217112431458711572114610164167',1348,'1022',70.12,1,3,NULL),(16,3148831,'1987-12-07 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243241216152421479613245134220266097',NULL,'1022',0.00,1,3,NULL),(16,3148858,'1991-11-18 00:00:00',2,1,12,2008,'M','N','SERRARIA','S JOSé','SC','124244241217111431468513572125610127182',625,'868',74.74,4,1,2),(16,3148866,'1987-05-26 00:00:00',2,1,12,2004,'M','N','KOBRASOL','S JOSé','SC','124242241216575421437634445124610123181',NULL,'737',31.72,1,3,NULL),(16,3148874,'1989-04-29 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215573431458933575124610126142',5664,'1159',57.15,1,3,NULL),(16,3148882,'1992-11-07 00:00:00',4,3,11,2009,'M','S','CENTRO','BAL CAMBORIú','SC','124242241215111411337934595125610168182',NULL,'1038',51.84,1,3,NULL),(16,3148890,'1991-06-18 00:00:00',4,8,12,2008,'F','N','TIFA MARTINS','JARAGUá SUL','SC','124241241137151231336624245124610126027',NULL,'891',0.00,1,2,1),(16,3148904,'1991-10-12 00:00:00',2,1,12,2008,'F','N','PALMAS','GOV CELSO RAMOS','SC','124241241146271451525523392122610144147',NULL,'329',22.82,1,2,1),(16,3148912,'1990-04-17 00:00:00',2,9,12,2007,'M','N','MARTORANO','S JOAQUIM','SC','124243242117372411326823285124610137043',12983,'960',43.53,4,3,NULL),(16,3148920,'1986-04-24 00:00:00',2,1,10,2004,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241116572431444328145123610127047',6705,'306',54.86,1,2,1),(16,3148939,'1991-07-26 00:00:00',4,7,11,2008,'F','N','CENTRO','JOAçABA','SC','124242248215132712556919595125610163077',14604,'446',40.50,1,3,NULL),(16,3148963,'1989-06-19 00:00:00',2,3,12,2007,'F','N','BOMBAS','BOMBINHAS','SC','124241241135271231522321285311610135017',NULL,'96',24.72,4,2,1),(16,3148971,'1991-07-22 00:00:00',4,3,12,2008,'M','N','CENTRO CIVICO','CURITIBA','PR','116162161215371331558714174124610167047',NULL,'9998',0.00,1,3,NULL),(16,3148980,'1986-09-20 00:00:00',2,9,12,2004,'M','N','JARDIM PANORâMICO','LAGES','SC','124241241116151741423311375124130262177',5705,'500',57.05,1,2,1),(16,3148998,'1987-12-26 00:00:00',4,7,12,2004,'M','N','INDUSTRIARIOS','CONCóRDIA','SC','124241241126131431426824245123333238187',NULL,'584',29.36,1,3,NULL),(16,3149005,'1989-08-08 00:00:00',4,10,2,2007,'M','N','REVOREDO','TUBARãO','SC','124143241236211431347919392111133234031',NULL,'806',30.88,1,3,NULL),(16,3149013,'1987-02-07 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241217155431436529595124233267141',5317,'269',57.84,1,3,NULL),(16,3149021,'1993-02-01 00:00:00',4,7,12,2009,'F','S','CENTRO','CAPINZAL','SC','124241241217131732446734572122610124147',NULL,'446',43.48,1,3,NULL),(16,3149030,'1987-10-20 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANóPOLIS','SC','124244241215173711258414436114610124111',6119,'724',56.09,1,3,NULL),(16,3149048,'1985-05-22 00:00:00',4,1,12,2003,'M','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124243241335373421438617241124610167057',13544,'1003',42.55,1,3,NULL),(16,3149056,'1990-04-03 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241211572431586939575124230267183',1066,'270',71.65,1,3,NULL),(16,3149064,'1990-07-19 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241112472431458913572122610123072',13282,'492',43.01,1,3,NULL),(16,3149072,'1990-12-16 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241415472231457834372124610136197',917,'1000',72.59,1,3,NULL),(16,3149080,'1990-12-27 00:00:00',4,1,12,2007,'M','N','ABRAãO','FLORIANóPOLIS','SC','116161161116131731538619375124610162142',14952,'9998',39.78,3,2,1),(16,3149099,'1990-11-24 00:00:00',4,6,12,2007,'F','N','VILA AMARAL','S MATEUS SUL','PR','116164161217371431468614571112610162172',NULL,'9998',34.30,1,3,NULL),(16,3149102,'1992-04-14 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124244241215151431266924572124610164192',14543,'738',40.62,1,3,NULL),(16,3149110,'1991-12-19 00:00:00',2,1,12,2008,'M','N','TIJUQUINHAS','BIGUAçU','SC','124241241115151431536513575124610137027',NULL,'64',27.29,1,2,1),(16,3149129,'1991-02-17 00:00:00',2,8,12,2008,'M','N','CRUZEIRO','RIO NEGRINHO','SC','124241241115131431425514172321610127057',4569,'669',59.63,1,2,1),(16,3149137,'1991-04-05 00:00:00',2,8,12,2008,'F','N','CRUZEIRO','RIO NEGRINHO','SC','124242241117131431323329281122610126047',NULL,'669',27.37,1,3,NULL),(16,3149161,'1991-06-14 00:00:00',2,7,12,2008,'F','N','INTERIOR','VIDEIRA','SC','124241241116161431423315575122610132052',9245,'831',50.17,1,2,1),(16,3149170,'1989-09-24 00:00:00',2,1,12,2006,'F','N','CENTRO','PALHOçA','SC','124241241147272451544833574124610168042',5555,'750',57.36,1,2,1),(16,3149188,'1990-10-13 00:00:00',2,9,12,2008,'F','N','CENTRO','LAGES','SC','124241241147271431477936575125610123142',15602,'498',38.31,1,3,NULL),(16,3149200,'1990-09-11 00:00:00',2,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124242244215111421337614395124610117012',NULL,'269',22.14,1,3,NULL),(16,3149226,'1991-04-19 00:00:00',2,1,12,2008,'F','N','BALNEARIO','FLORIANóPOLIS','SC','124244241215131731545933431122610124143',10256,'1134',48.34,1,3,NULL),(16,3149242,'1992-12-26 00:00:00',4,6,12,2010,'F','S','SãO JOãO','ITAJAí','SC','124243241516111431448533572122610126012',NULL,'388',38.69,4,3,NULL),(16,3149250,'1988-07-01 00:00:00',4,1,12,2005,'M','N','SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC','124242241215474431368923472122610136147',497,'270',75.80,1,3,NULL),(16,3149269,'1985-07-24 00:00:00',2,1,12,2002,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241216575431348639196132231237082',1164,'262',71.13,1,3,NULL),(16,3149277,'1991-11-06 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111431365633574122610126172',NULL,'270',54.42,1,3,NULL),(16,3149285,'1992-10-08 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241215171431469833275122610164095',NULL,'266',39.46,1,3,NULL),(16,3149307,'1992-09-13 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241217151432447812572122610128182',NULL,'262',47.81,1,3,NULL),(16,3149315,'1991-10-01 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215122411448831574125610144012',5783,'270',56.86,1,3,NULL),(16,3149323,'1986-02-22 00:00:00',4,1,12,2003,'F','N','LAGO NORTE','LG NORTE','DF','107072071214471431569933572122340663147',NULL,'9998',0.00,1,3,NULL),(16,3149331,'1988-03-05 00:00:00',2,1,12,2005,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241241117133531344623442124132723017',NULL,'498',24.91,2,1,1),(16,3149340,'1990-05-06 00:00:00',4,1,11,2007,'M','N','PANTANAL','FLORIANóPOLIS','SC','124244241117472431367633575114610125052',547,'271',75.42,1,3,NULL),(16,3149358,'1990-12-27 00:00:00',2,1,12,2007,'F','N','FLORESTA','VIDEIRA','SC','124241241111472431446933581124610133147',10016,'831',48.75,1,2,1),(16,3149366,'1990-11-19 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111411468613575122610166092',7587,'270',53.18,1,3,NULL),(16,3149374,'1991-10-22 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215131421348823595124610127147',NULL,'259',30.87,1,3,NULL),(16,3149382,'1991-07-26 00:00:00',2,5,11,2008,'M','N','CENTRO','TURVO','SC','124241241135131441544316247124610167142',13130,'814',43.28,1,2,1),(16,3149390,'1991-11-20 00:00:00',4,9,12,2008,'F','N','IMPERIAL','VACARIA','RS','120202201215271431336839472122610144097',NULL,'9998',27.91,1,3,NULL),(16,3149412,'1990-04-26 00:00:00',2,1,12,2007,'M','N','STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC','124241241121142721433314341214610124027',NULL,'12',27.91,1,2,1),(16,3149420,'1990-07-24 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124244241216272431256824575124610164187',12521,'1022',44.34,1,3,NULL),(16,3149439,'1990-10-11 00:00:00',2,1,11,2008,'F','N','PRAINHA','FLORIANóPOLIS','SC','124241241117472431568733572122610133077',783,'307',73.58,1,2,1),(16,3149447,'1990-07-21 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111431448531275124610127052',NULL,'1022',30.67,1,3,NULL),(16,3149455,'1988-08-27 00:00:00',2,1,11,2007,'F','N','CENTRO','IBOTIRAMA','BA','105052051117471412526833576114610165027',13164,'9998',43.21,2,1,2),(16,3149463,'1987-09-29 00:00:00',2,1,12,2004,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124212211216241721138643435124610137087',13579,'9998',42.50,1,3,NULL),(16,3149471,'1991-08-22 00:00:00',2,1,12,2008,'M','N','SAO MARCOS','FARROUPILHA','RS','120201201116371131433335575124610114092',14991,'9998',39.68,1,2,1),(16,3149480,'1982-08-18 00:00:00',4,1,12,1999,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','616162161217151751369949491122341062057',7167,'9998',53.97,1,3,NULL),(16,3149498,'1991-11-23 00:00:00',4,6,12,2008,'M','N','VILA OPERáRIA','ITAJAí','SC','124243241317151531569713575112610124012',8451,'388',51.48,1,3,NULL),(16,3149510,'1991-01-31 00:00:00',4,1,12,2008,'M','N','PIONEIRO','LUCAS R VERDE','MT','111112241217111451446615295124610168012',4288,'1022',60.27,1,3,NULL),(16,3149528,'1984-04-13 00:00:00',2,3,12,2002,'F','N','MEIA PRAIA','ITAPEMA','SC','124244247426472431123742125122130225187',NULL,'9999',0.00,4,3,NULL),(16,3149536,'1991-06-21 00:00:00',4,1,12,2008,'M','N','VILA SãO JOSé','CERQUILHO','SP','125254251215111411428813372121610124041',4734,'9998',59.23,1,3,NULL),(16,3149544,'1991-10-15 00:00:00',4,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215272431489812574122610138182',351,'723',77.34,1,3,NULL),(16,3149560,'1990-03-06 00:00:00',2,1,12,2007,'F','N','JURERE','FLORIANóPOLIS','SC','124242241217274731458811291124233243147',NULL,'1048',0.00,1,3,NULL),(16,3149579,'1993-01-05 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241217121732489913595122610167092',NULL,'951',30.68,1,3,NULL),(16,3149587,'1989-09-06 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124242241215573431453923574324610167142',816,'497',73.32,1,3,NULL),(16,3149595,'1988-11-24 00:00:00',4,5,11,2006,'M','N','CENTRO','PTO ALEGRE','RS','120201201211511211678813571114610164142',393,'9998',76.88,1,3,NULL),(16,3149609,'1988-03-23 00:00:00',4,1,9,2007,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124202201436131431355621445124610137047',NULL,'9999',0.00,1,3,NULL),(16,3149617,'1991-10-05 00:00:00',4,9,12,2008,'F','N','BRUSQUE','LAGES','SC','124244241215111431569514472122610162192',NULL,'515',28.29,1,3,NULL),(16,3149676,'1990-10-24 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124244241217223431468813572124233223157',1241,'270',70.72,1,3,NULL),(16,3149684,'1990-05-22 00:00:00',4,1,12,2007,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241215472231688811595114610127047',508,'270',75.70,4,3,NULL),(16,3149692,'1991-01-25 00:00:00',4,1,11,2008,'F','N','SERRARIA','S JOSé','SC','124242241215122431286723575112610123012',1122,'270',71.32,1,3,NULL),(16,3149722,'1991-06-16 00:00:00',4,4,12,2008,'F','N','BELA VISTA','ITAPIRANGA','SC','124241241115161431423625571225610156057',12015,'408',45.24,1,2,1),(16,3149749,'1991-03-07 00:00:00',4,1,12,2008,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124242241215112231338711572124610164077',2892,'272',64.12,1,3,NULL),(16,3149757,'1991-07-09 00:00:00',4,1,11,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124243241215111431359913575114610162052',NULL,'1022',29.54,1,3,NULL),(16,3149765,'1990-12-21 00:00:00',4,1,12,2008,'F','N','PRAIA DE BAIXO','BIGUAçU','SC','124242241215372431328613574114610122142',7353,'1118',53.61,1,3,NULL),(16,3149773,'1989-07-11 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217372751445844245125610138077',7862,'270',52.67,1,3,NULL),(16,3149781,'1992-05-20 00:00:00',2,1,12,2009,'M','S','KOBRASOL','S JOSé','SC','124244241211111421446613572122610117063',NULL,'723',17.86,4,3,NULL),(16,3149790,'1990-08-02 00:00:00',4,5,11,2008,'F','N','LOTE SEIS','CRICIúMA','SC','124242241216111431357833575122610127182',14684,'213',40.31,1,3,NULL),(16,3149803,'1991-11-13 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111731569833585125610137143',9314,'270',50.05,1,3,NULL),(16,3149811,'1990-05-16 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215473431448831475124610114072',9618,'770',49.48,1,3,NULL),(16,3149820,'1991-11-30 00:00:00',4,1,12,2008,'M','N','CENTRO','PASSO FUNDO','RS','120204201217121411369933575114610136172',3013,'9998',63.74,1,3,NULL),(16,3149846,'1992-12-02 00:00:00',4,1,12,2009,'F','S','GUIOMAR','ANTôNIO CARLOS','SC','124241241112151431536335571224610167072',NULL,'21',47.70,1,3,NULL),(16,3149854,'1989-03-26 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241115372441667832575112610134145',2049,'712',67.00,1,2,1),(16,3149862,'1990-10-06 00:00:00',4,8,12,2008,'M','N','SAGUAçU','JOINVILLE','SC','124241241316151311457919242124610144012',14494,'478',40.71,1,3,NULL),(16,3149870,'1990-06-08 00:00:00',2,1,11,2007,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124242241215372431423312572124610122182',11388,'270',46.36,1,3,NULL),(16,3149889,'1989-03-19 00:00:00',2,4,12,2006,'M','N','CENTRO','S MIGUEL OESTE','SC','124241241217472431568913572311130667107',13565,'752',42.52,1,3,NULL),(16,3149900,'1977-07-17 00:00:00',2,10,12,1995,'M','N','CABEÇUDAS','LAGUNA','SC','124241243122135421223244142324331314017',NULL,'520',30.01,1,2,1),(16,3149919,'1963-02-28 00:00:00',2,1,12,1981,'M','N','SERRARIA','SAO JOSE','SC','124241243126374431236343435124231352092',NULL,'264',33.61,1,2,1),(16,3149927,'1992-06-06 00:00:00',4,1,2,2009,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111431458612575112610122186',NULL,'270',36.87,1,3,NULL),(16,3149935,'1989-12-27 00:00:00',4,1,12,2007,'M','N','JARDIM DAS NACOES','TAUBATé','SP','125254251215471431478913572112610137116',1519,'9998',69.28,1,3,NULL),(16,3149943,'1989-01-18 00:00:00',2,1,12,2006,'F','N','ASA SUL','BRASíLIA','DF','107072071217571451688831572112610122147',8077,'9998',52.27,1,3,NULL),(16,3149951,'1989-12-11 00:00:00',2,4,12,2006,'M','N','INTERIOR','CONCóRDIA','SC','124241242111131431535336562224610128052',NULL,'196',26.85,1,3,NULL),(16,3149960,'1989-10-25 00:00:00',2,6,10,2006,'M','N','SãO JUDAS','ITAJAí','SC','124242161215473431459813575124610134017',238,'9998',78.67,1,3,NULL),(16,3149978,'1982-03-02 00:00:00',5,1,12,1999,'F','N','CAMPINAS','S JOSé','SC','224244241216475411258751495122130221187',8162,'270',52.10,4,1,2),(16,3149986,'1989-07-14 00:00:00',4,2,11,2007,'M','N','FORTALEZA','BLUMENAU','SC','124242243215142431347633435112131431142',10241,'909',48.36,1,3,NULL),(16,3149994,'1982-04-18 00:00:00',4,1,7,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124242247217152411358823487112121633197',NULL,'9999',23.71,4,3,NULL),(16,3150003,'1992-10-23 00:00:00',4,1,12,2009,'M','S','ITACORUBI','FLORIANóPOLIS','SC','124242241217111751448834572111610127042',NULL,'262',48.35,1,3,NULL),(16,3150011,'1991-12-28 00:00:00',4,5,12,2008,'F','N','CENTRO','IçARA','SC','124242241215271431469814572122610126142',1115,'226',71.34,1,3,NULL),(16,3150046,'1991-09-06 00:00:00',4,4,11,2008,'F','N','BELA VISTA','CHAPECó','SC','124241241116371751336924371122610127027',16617,'169',34.68,1,2,1),(16,3150054,'1991-07-05 00:00:00',2,8,12,2008,'F','N','ALTO','RIO NEGRO','PR','116241161215151431345834572122610134097',16395,'9998',35.96,1,3,NULL),(16,3150062,'1990-09-26 00:00:00',4,1,12,2007,'M','N','VILA MARIANA','S PAULO','SP','125252251215472431459832592124610144042',2451,'9998',65.52,1,3,NULL),(16,3150070,'1991-03-09 00:00:00',4,1,11,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241117112431448713375124610132125',2420,'271',65.63,1,2,1),(16,3150089,'1988-02-21 00:00:00',2,1,12,2005,'F','N','JARDIM SãO MIGUEL','BIGUAçU','SC','124242241415471431556929282224133228015',11054,'499',46.92,1,3,NULL),(16,3150097,'1991-01-30 00:00:00',4,8,12,2008,'M','N','BARRA DO RIO CERRO','JARAGUá SUL','SC','124241241217111411456731245121610147182',4144,'1061',60.66,1,3,NULL),(16,3150100,'1991-08-01 00:00:00',4,4,11,2008,'M','N','CENTRO','CONCóRDIA','SC','124242241215152431233611272112610164012',900,'1000',72.68,1,3,NULL),(16,3150119,'1991-06-08 00:00:00',2,2,11,2008,'F','N','CENTRO','BOTUVERá','SC','124244241215271431366734572122610123142',2240,'107',66.25,1,3,NULL),(16,3150127,'1987-11-25 00:00:00',2,8,12,2004,'F','N','MERCES','CURITIBA','PR','116161161315573411553511571122610167097',4330,'9998',60.18,1,3,NULL),(16,3150135,'1987-04-05 00:00:00',4,1,12,2005,'F','N','CHACARA FLORA','S PAULO','SP','125252251216111431349923575122241428142',NULL,'9998',0.00,1,3,NULL),(16,3150143,'1990-02-08 00:00:00',2,1,12,2007,'M','N','CENTRO','NOVA TRENTO','SC','124242241215472421488811572122610167052',8984,'981',50.61,1,3,NULL),(16,3150151,'1978-08-05 00:00:00',2,5,12,1995,'M','N','SANTA TEREZINHA','PELOTAS','RS','224201201115574421333651285122341257047',NULL,'9998',0.00,1,2,1),(16,3150160,'1990-09-07 00:00:00',4,1,12,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','124202201217272431448914574122140237047',7706,'9998',52.95,1,3,NULL),(16,3150178,'1990-05-11 00:00:00',4,1,11,2007,'F','N','CENTRO','TUBARãO','SC','124243241235272411426819395125610166032',12102,'806',45.09,1,3,NULL),(16,3150186,'1990-08-31 00:00:00',4,1,12,2007,'M','N','BALNEARIO','FLORIANóPOLIS','SC','124242241217472431368923575124231564192',7225,'262',53.86,1,3,NULL),(16,3150194,'1991-08-02 00:00:00',4,9,12,2008,'F','N','S C DE JESUS','LAGES','SC','124242241215112451459931572122610168142',13396,'497',42.80,1,3,NULL),(16,3150208,'1991-09-19 00:00:00',4,4,12,2008,'M','N','PARQUE DAS PALMEIRAS','CHAPECó','SC','124241242115151411436313591324610167057',10006,'196',48.77,1,2,1),(16,3150216,'1991-04-16 00:00:00',2,1,12,2008,'M','N','JARDIM VISTA ALEGRE','RIBEIRãO PRETO','SP','125254251446141431468833245124610137042',14013,'9998',41.63,1,3,NULL),(16,3150232,'1990-09-17 00:00:00',2,1,12,2008,'F','N','FLOR DO SOL','S JOSé','SC','124242241217131411336624392122610115022',13180,'738',43.18,1,3,NULL),(16,3150240,'1989-07-13 00:00:00',2,1,9,2007,'M','N','CENTRO','MARINGá','PR','116163168335271431238723295123610128012',NULL,'9999',0.00,1,3,NULL),(16,3150259,'1991-09-09 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSé','SC','124242241215111431446662572124610114072',8488,'270',51.42,1,3,NULL),(16,3150267,'1990-07-31 00:00:00',2,1,11,2008,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242247226472431489813575122610164182',NULL,'9999',29.50,1,3,NULL),(16,3150275,'1990-10-26 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124242241212221431468713345124610164012',NULL,'1022',35.86,1,3,NULL),(16,3150283,'1993-02-15 00:00:00',4,1,12,2009,'F','S','PONTA DE BAIXO','S JOSé','SC','124242241215111431376632575114610124172',NULL,'737',48.55,1,3,NULL),(16,3150291,'1991-04-30 00:00:00',4,8,12,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161211111431438933571114610164092',NULL,'9998',0.00,1,3,NULL),(16,3150305,'1990-07-01 00:00:00',4,8,9,2007,'F','N','FLORESTA','JOINVILLE','SC','124242241216472431548934575115610137147',NULL,'459',0.00,1,3,NULL),(16,3150313,'1991-04-20 00:00:00',4,1,11,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215111231569834575112610126142',1749,'270',68.19,1,3,NULL),(16,3150321,'1991-07-15 00:00:00',2,1,12,2008,'M','N','SãO SEBASTIãO','PALHOçA','SC','124241241215111431455911575114610127052',10997,'1011',47.02,1,3,NULL),(16,3150348,'1983-11-03 00:00:00',2,6,12,2001,'F','N','CENTRO','BAL CAMBORIú','SC','124201201126131751236873142124242266192',9697,'9998',49.34,1,3,NULL),(16,3150356,'1974-03-24 00:00:00',4,1,12,1991,'F','N','ARMAçãO','FLORIANóPOLIS','SC','124242241336132421643213431334321118093',NULL,'270',35.34,1,3,NULL),(16,3150364,'1983-06-17 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124252251237153411486611342122230436092',6937,'9998',54.42,1,3,NULL),(16,3150372,'1990-11-07 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124242241215112411378613572114610167112',6278,'723',55.73,1,3,NULL),(16,3150399,'1990-07-20 00:00:00',2,3,11,2007,'F','N','CENTRO','LONDRINA','PR','116162161216471411448819571122610163072',5666,'9998',57.15,1,3,NULL),(16,3150402,'1987-04-06 00:00:00',4,1,12,2004,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241215152441459614315124221767181',4167,'269',60.60,1,3,NULL),(16,3150410,'1992-01-26 00:00:00',2,4,12,2008,'M','N','SANTO INáCIO','CURITIBA','PR','116161161215112431463831574144610162197',1189,'9998',71.00,1,3,NULL),(16,3150437,'1991-02-11 00:00:00',4,1,11,2008,'F','N','VILA BAEPENDI','JARAGUá SUL','SC','124242241215112431469514275124610124122',7884,'270',52.63,1,3,NULL),(16,3150445,'1975-01-31 00:00:00',2,1,12,1992,'M','N','STO ANTONIO LISBOA','FLORIANóPOLIS','SC','124212218217142411142444445124343238083',NULL,'9998',32.01,1,3,NULL),(16,3150453,'1991-09-26 00:00:00',2,3,12,2008,'M','N','JARDIM ELDORADO','DRACENA','SP','125252251217111411469913575112610127047',NULL,'9998',42.70,1,3,NULL),(16,3150488,'1990-05-30 00:00:00',4,1,12,2007,'M','N','CENTRO','LONDRINA','PR','116162161217471431569914275125610152042',NULL,'9998',0.00,1,3,NULL),(16,3150526,'1986-07-04 00:00:00',2,1,12,2003,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241136371732555414341112610167047',NULL,'773',30.44,1,2,1),(16,3150534,'1990-06-22 00:00:00',4,1,12,2007,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124202241217472431238921575112610162182',NULL,'951',39.05,1,3,NULL),(16,3150542,'1990-03-18 00:00:00',2,1,11,2007,'F','N','JURERê','FLORIANóPOLIS','SC','124242241215372431538714572124231166142',1413,'270',69.71,1,3,NULL),(16,3150550,'1992-03-18 00:00:00',4,8,12,2009,'F','S','AMéRICA','JOINVILLE','SC','124242241215121431565812175122610131142',NULL,'491',35.41,1,3,NULL),(16,3150569,'1991-11-02 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111731358833572115610166097',11008,'270',47.00,1,3,NULL),(16,3150577,'1985-10-12 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241127271721533316495224331567052',NULL,'10',41.14,1,3,NULL),(16,3150585,'1990-09-06 00:00:00',2,1,12,2008,'M','N','GRANJA VIANA','COTIA','SP','125252251217141751458832425125610128131',NULL,'9998',34.74,1,3,NULL),(16,3150593,'1989-05-17 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241217273411368832475112233222017',NULL,'1036',48.14,4,1,2),(16,3150607,'1985-10-23 00:00:00',4,1,12,2004,'F','N','VICTOR KONDER','BLUMENAU','SC','124244241236133451336823585124221441017',2091,'855',66.82,1,3,NULL),(16,3150615,'1962-05-21 00:00:00',4,1,12,1979,'F','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','524251251127142411336444345122320961092',9026,'9998',50.54,1,2,1),(16,3150623,'1990-05-11 00:00:00',2,1,12,2007,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241121271431526611241121610126051',NULL,'12',27.42,1,2,1),(16,3150640,'1992-01-26 00:00:00',2,1,11,2008,'M','N','SERRARIA','S JOSé','SC','124242241215151732336822582125610167045',10920,'868',47.16,1,3,NULL),(16,3150658,'1991-04-04 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241217112431479913432114610137122',11998,'270',45.27,1,3,NULL),(16,3150666,'1958-12-06 00:00:00',2,1,12,1976,'F','N','CAMPECHE','FLORIANóPOLIS','SC','224241241116152411363452445132321442142',7304,'307',53.70,1,2,1),(16,3150674,'1991-02-08 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124241241217271431449714575114610166017',3450,'724',62.51,1,3,NULL),(16,3150682,'1990-12-10 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215371431379933572124610117112',13127,'951',43.28,1,3,NULL),(16,3150690,'1990-12-26 00:00:00',4,8,12,2007,'F','N','CENTRO','S BENTO SUL','SC','124243241215271431468931572125130417142',3259,'974',63.11,1,3,NULL),(16,3150704,'1991-04-16 00:00:00',2,8,12,2008,'M','N','BOEHMERWALDT','JOINVILLE','SC','124163241127371451423911575124610147047',NULL,'482',8.14,1,3,NULL),(16,3150712,'1990-11-11 00:00:00',4,1,12,2009,'M','S','JARDIM ANCHIETA','FLORIANóPOLIS','SC','124242241215151732337824382122610115112',NULL,'951',33.95,1,3,NULL),(16,3150720,'1991-09-16 00:00:00',2,1,11,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241217112421356533575112610117062',4405,'299',60.00,1,3,NULL),(16,3150739,'1988-09-17 00:00:00',2,1,12,2006,'F','N','PINHEIRA','PALHOçA','SC','124241241125372431423311242124610138147',NULL,'595',25.20,1,2,1),(16,3150747,'1992-01-10 00:00:00',4,1,12,2008,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241216111231478813575114610118191',NULL,'270',32.93,1,3,NULL),(16,3150755,'1990-01-13 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215373411189831575125610148072',2762,'807',64.53,1,3,NULL),(16,3150763,'1990-08-06 00:00:00',4,1,11,2007,'F','N','SAúDE','S PAULO','SP','125252251215471431568634375125610164077',NULL,'9998',0.00,1,3,NULL),(16,3150771,'1991-11-12 00:00:00',2,1,12,2008,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124242241215112731573823595124610167052',12717,'1022',43.98,1,3,NULL),(16,3150780,'1990-10-13 00:00:00',4,1,11,2008,'M','N','CID UNIVERSITARIA','CAMPINAS','SP','125252251215111431589833595114610114072',8956,'9998',50.65,1,3,NULL),(16,3150798,'1990-09-26 00:00:00',2,1,11,2007,'F','N','VILA NOVA','IMBITUBA','SC','124242241215372431357913575124132636112',3524,'807',62.31,1,3,NULL),(16,3150801,'1992-04-06 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431237823572122610141197',7814,'1022',52.74,1,3,NULL),(16,3150810,'1990-06-22 00:00:00',4,8,12,2008,'F','N','FLORESTA','JOINVILLE','SC','124241241115131431324369591224610127147',NULL,'466',32.79,1,3,NULL),(16,3150828,'1990-08-16 00:00:00',2,1,12,2008,'M','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124243241117111231448611272124610132063',16003,'288',37.24,1,3,NULL),(16,3150836,'1989-03-17 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241217573431679929595124233164187',NULL,'270',0.00,1,3,NULL),(16,3150844,'1991-06-10 00:00:00',4,1,11,2008,'M','N','VILAGGIO I','BAURU','SP','125251251117111731479811575122610138011',NULL,'9998',44.90,1,3,NULL),(16,3150852,'1991-05-20 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242248215111752566612591111613214047',16410,'738',35.88,1,3,NULL),(16,3150860,'1989-10-24 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241117131411535519395124230264142',NULL,'288',20.52,1,3,NULL),(16,3150879,'1989-05-10 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215574421348711475124610162171',3027,'270',63.71,1,3,NULL),(16,3150887,'1960-05-20 00:00:00',2,1,11,1977,'F','N','KOBRASOL','S JOSé','SC','424201205111131431566454395114142226147',NULL,'9998',31.20,1,3,NULL),(16,3150895,'1986-09-01 00:00:00',2,1,12,2004,'F','N','JOSE MENDES','FLORIANóPOLIS','SC','124241241116574411456513395124610126142',9013,'286',50.56,1,2,1),(16,3150917,'1993-02-02 00:00:00',4,1,12,2009,'F','S','BORGES DE MEDEIROS','MARAU','RS','120201201117141431445314245122610137077',NULL,'9998',14.09,3,3,NULL),(16,3150933,'1990-03-21 00:00:00',4,8,11,2008,'M','N','AMéRICA','JOINVILLE','SC','124242241215121431458814595114610117187',NULL,'486',32.23,1,3,NULL),(16,3150941,'1992-03-28 00:00:00',4,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242248217111431338812592124610133047',11841,'1022',45.58,1,3,NULL),(16,3150950,'1987-05-11 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215374441349923574124121237121',4158,'269',60.61,1,3,NULL),(16,3150968,'1986-04-10 00:00:00',2,1,12,2003,'F','N','URLANDIA','STA MARIA','RS','120201201111271431326823571124240266187',687,'9998',74.31,1,2,1),(16,3150976,'1991-06-22 00:00:00',2,1,11,2008,'M','N','SETOR RURAL','STA LUZIA D OESTE','RO','122222221212271732426336572124610167067',7178,'9998',53.96,2,3,NULL),(16,3150984,'1987-08-08 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','125253251217572732449621571324141468117',149,'9998',80.00,1,3,NULL),(16,3150992,'1991-09-08 00:00:00',4,8,12,2008,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242246217141412435514372121610124012',15007,'1006',39.63,1,3,NULL),(16,3151000,'1990-12-07 00:00:00',4,1,12,2008,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241115141331324529245114610158142',14694,'307',40.29,3,2,1),(16,3151018,'1989-03-24 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216573431537614574124610128187',565,'1035',75.26,1,3,NULL),(16,3151026,'1991-05-30 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124243241115151431546514172124610168142',16224,'262',36.61,1,3,NULL),(16,3151042,'1988-11-19 00:00:00',4,1,12,2005,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124201201137372431235314275124221364147',NULL,'9998',25.67,2,1,1),(16,3151050,'1991-12-18 00:00:00',2,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161215111431358823575124610134097',NULL,'9998',0.00,1,3,NULL),(16,3151069,'1991-10-23 00:00:00',4,1,12,2009,'M','S','ESTREITO','FLORIANOPOLIS','SC','124242241215111431468813575122610122092',NULL,'266',52.43,1,3,NULL),(16,3151077,'1989-05-12 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241126373431646933275325222518187',9162,'336',50.30,1,2,1),(16,3151085,'1979-03-28 00:00:00',4,6,12,1998,'M','N','JARDIM MARIA LUÍZA','CASCAVEL','PR','116241241125472431134443232123141767117',4496,'395',59.78,1,2,1),(16,3151093,'1990-06-13 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216373441459932272125131434067',1660,'270',68.62,1,3,NULL),(16,3151107,'1991-07-05 00:00:00',4,3,12,2008,'F','N','JARDIM OURO BRANCO','PARANAVAí','PR','116163161216111431356923572112610131172',4731,'9998',59.24,1,3,NULL),(16,3151115,'1991-01-29 00:00:00',4,1,10,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241217111431378913475114610168182',2290,'270',66.09,4,3,NULL),(16,3151123,'1990-01-11 00:00:00',4,1,12,2007,'F','N','URBANOVA','S JOSé CAMPOS','SP','125252251215412331337631176142610163022',11956,'9998',45.34,1,3,NULL),(16,3151131,'1991-08-18 00:00:00',2,1,12,2008,'M','N','BELA VISTA','S JOSé','SC','124242241236111711358813385112610112041',NULL,'738',24.62,1,3,NULL),(16,3151158,'1991-12-03 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111431516831114114610148111',3032,'270',63.70,1,3,NULL),(16,3151166,'1992-02-02 00:00:00',4,7,12,2008,'F','N','SÃO CRISTOVÃO','VIDEIRA','SC','124241201115371711435714344125610164177',12375,'9998',44.58,4,1,1),(16,3151174,'1987-02-23 00:00:00',2,1,12,2004,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241116134432333443435124610134117',15314,'361',38.94,1,3,NULL),(16,3151182,'1989-05-09 00:00:00',4,8,12,2006,'M','N','BOA VISTA','CURITIBA','PR','116163161215571231479813575124610167057',NULL,'9998',0.00,3,3,NULL),(16,3151190,'1990-09-16 00:00:00',4,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116112111212471411548832572115610123146',9742,'9998',49.26,1,3,NULL),(16,3151204,'1991-10-06 00:00:00',4,8,11,2008,'M','N','SAGUAçU','JOINVILLE','SC','124243241215111431566414575121610127112',3917,'486',61.29,1,3,NULL),(16,3151212,'1991-07-11 00:00:00',2,3,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241115271411433623575124610166197',9045,'405',50.50,1,2,1),(16,3151220,'1991-01-14 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124241241217271411534733572122610132192',11022,'499',46.98,1,3,NULL),(16,3151239,'1990-01-14 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241222372232431113243124610164187',NULL,'262',28.76,1,3,NULL),(16,3151247,'1990-10-23 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431569813572124610127112',7721,'270',52.92,1,3,NULL),(16,3151255,'1991-12-25 00:00:00',4,9,12,2008,'M','N','SãO JOSé','CURITIBANOS','SC','124242246217151431526529294124610147097',NULL,'1106',31.08,1,3,NULL),(16,3151263,'1983-11-25 00:00:00',4,1,12,2001,'F','N','COLONINHA','FLORIANóPOLIS','SC','124243241216135732429519474124131366147',11865,'185',45.53,1,3,NULL),(16,3151271,'1991-09-23 00:00:00',4,1,12,2008,'F','N','ITAGUAçU','FLORIANóPOLIS','SC','124241241315121431449634575124610124093',NULL,'9997',28.88,1,3,NULL),(16,3151280,'1990-03-29 00:00:00',4,3,12,2007,'F','N','JARDIM AQUARIUS','S JOSé CAMPOS','SP','125252251215472441433924592112610123112',8977,'9998',50.62,3,3,NULL),(16,3151298,'1991-05-04 00:00:00',2,1,12,2008,'M','N','BALNEARIO ESTREITO','FLORIANóPOLIS','SC','124242241215371731458811572124610117011',4639,'1134',59.45,1,3,NULL),(16,3151301,'1991-05-22 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241415111431436931595124610164192',1474,'270',69.47,1,3,NULL),(16,3151310,'1991-01-30 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241112161711518411572324610118142',NULL,'307',17.88,1,2,1),(16,3151336,'1990-10-16 00:00:00',2,1,12,2007,'M','N','PONTA DE BAIXO','S JOSé','SC','124241241435472431646822292214610128112',13849,'1074',41.95,1,3,NULL),(16,3151344,'1989-10-22 00:00:00',2,9,12,2006,'F','N','CENTRO','CURITIBANOS','SC','124243241316573431468933495124610124012',6444,'237',55.40,1,3,NULL),(16,3151352,'1989-01-27 00:00:00',4,1,12,2005,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124244241212574751589712574124610122052',1800,'270',67.99,1,3,NULL),(16,3151387,'1991-10-02 00:00:00',4,1,12,2008,'F','N','JARDIM MIRANTE','S PAULO','SP','125251253136271711326821285124610126077',10776,'9998',47.42,1,3,NULL),(16,3151417,'1991-03-03 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241212111732556612472122613234047',NULL,'262',27.83,1,3,NULL),(16,3151425,'1992-02-26 00:00:00',2,1,12,2008,'F','N','CENTRO','BELA V PARAíSO','PR','116162161217111431448816472112610168012',NULL,'9998',24.81,1,3,NULL),(16,3151433,'1991-04-05 00:00:00',4,1,11,2008,'F','N','PRAIA COMPRIDA','S JOSé','SC','124242241215122431468812571122610123072',6645,'270',54.97,1,3,NULL),(16,3151441,'1989-09-22 00:00:00',4,8,12,2006,'M','N','CENTRO','PARANAGUá','PR','116162168211471451259931585113610154187',NULL,'9998',26.86,1,3,NULL),(16,3151450,'1988-05-13 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241212134431336629442114610164097',12961,'266',43.57,1,3,NULL),(16,3151468,'1991-10-31 00:00:00',4,1,11,2008,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241215471431488932325124610114082',835,'270',73.15,1,3,NULL),(16,3151476,'1990-12-13 00:00:00',4,3,12,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124242241217472411449931372114610167172',NULL,'1038',31.21,1,3,NULL),(16,3151484,'1991-02-14 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215112731358833432122610127127',10643,'270',47.66,1,3,NULL),(16,3151492,'1991-02-20 00:00:00',4,7,12,2008,'M','N','CENTRO','HERVAL D OESTE','SC','124242241215371431438612174121610161147',6688,'446',54.89,1,3,NULL),(16,3151506,'1990-06-09 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431589811474122610133182',444,'109',76.29,1,3,NULL),(16,3151514,'1991-11-15 00:00:00',4,4,12,2008,'F','N','CENTRO','XANXERê','SC','124241241216131431337727575125610123182',8897,'836',50.74,1,3,NULL),(16,3151522,'1982-11-18 00:00:00',2,1,12,2000,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124251251117573411233341295124121767167',NULL,'9998',0.00,1,2,1),(16,3151530,'1992-01-07 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124242241215121431346614371122610168187',7819,'1118',52.74,1,3,NULL),(16,3151549,'1971-03-09 00:00:00',4,1,11,2003,'M','N','INGLESES','FLORIANóPOLIS','SC','524201207126131431422451284114140266047',13673,'9999',42.33,1,2,1),(16,3151557,'1992-02-12 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115111432221179572324610134057',NULL,'307',24.23,2,1,1),(16,3151565,'1992-10-05 00:00:00',4,1,11,2009,'F','S','TRINDADE','FLORIANóPOLIS','SC','124242245215111411259613575122610124147',NULL,'262',48.61,1,3,NULL),(16,3151573,'1991-10-21 00:00:00',2,1,12,2008,'M','N','BUTANTã','S PAULO','SP','125252251217471431438834571224610117112',10584,'9998',47.77,1,3,NULL),(16,3151590,'1989-06-04 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124203201416271411249929572115231034187',2472,'9998',65.43,1,3,NULL),(16,3151611,'1987-06-20 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215575431338522575112610167017',1687,'497',68.48,1,3,NULL),(16,3151638,'1990-06-22 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124241241317271431336729572124610163013',NULL,'306',24.33,1,3,NULL),(16,3151646,'1988-08-20 00:00:00',4,1,12,2006,'F','N','VILA ROMANA','S PAULO','SP','125252251217572451326821595125610136097',NULL,'9998',0.00,4,3,NULL),(16,3151654,'1991-07-06 00:00:00',2,6,11,2008,'M','N','CABEçUDAS','ITAJAí','SC','124242241215111431236823314124610147047',9391,'1026',49.92,1,3,NULL),(16,3151662,'1987-09-21 00:00:00',4,1,12,2004,'F','N','COLONIA CASTROLANDA','COL CASTROLâNDA','PR','116162161215471431358612375122143224042',NULL,'9998',0.00,1,3,NULL),(16,3151670,'1991-05-23 00:00:00',2,4,12,2008,'M','N','CENTRO','PALMITOS','SC','124242241215111431468311295122610167057',NULL,'1046',21.01,1,3,NULL),(16,3151689,'1992-03-16 00:00:00',4,1,12,2008,'M','N','CENTRO','GUAPORé','RS','120203201215111431568933575122610134012',15389,'9998',38.79,1,3,NULL),(16,3151697,'1990-07-08 00:00:00',4,1,7,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124242241115472441449813372124610144095',2700,'306',64.67,1,3,NULL),(16,3151700,'1989-03-14 00:00:00',2,1,12,2006,'M','N','JARDIM COIMASA','DOURADOS','MS','112123121216572432457733435114610122092',NULL,'9998',0.00,1,3,NULL),(16,3151719,'1991-05-10 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124243241317471431269934572124610117042',3244,'270',63.16,1,3,NULL),(16,3151727,'1978-11-02 00:00:00',4,1,12,1996,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','624241245117353711343343434124332763097',13880,'307',41.89,1,2,1),(16,3151735,'1990-03-23 00:00:00',4,4,12,2007,'M','N','ATLâNTICO','ERECHIM','RS','120201201126131431324524385124610132182',NULL,'9998',25.74,1,2,1),(16,3151743,'1980-06-26 00:00:00',2,1,12,1998,'M','N','BARREIROS','S JOSé','SC','124241243122132411633344342114610117057',NULL,'764',26.48,1,3,NULL),(16,3151751,'1989-04-01 00:00:00',2,8,12,2006,'M','N','GRANJA VIANA','COTIA','SP','125223161412571431468864572114610135042',NULL,'9998',0.00,1,3,NULL),(16,3151760,'1991-06-09 00:00:00',4,7,12,2007,'M','N','CENTRO','ERVAL VELHO','SC','124243247317141531549933345121131414042',NULL,'9999',0.00,1,3,NULL),(16,3151778,'1991-10-08 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242248215371431488829572112610137052',NULL,'270',0.00,4,3,NULL),(16,3151794,'1992-11-18 00:00:00',4,1,12,2009,'F','S','CARVOEIRO','FLORIANóPOLIS','SC','124162161217111531357834572122610162196',NULL,'9998',59.53,3,3,NULL),(16,3151816,'1981-12-07 00:00:00',2,1,2,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124244244226133431559814575122130112092',NULL,'9999',0.00,1,3,NULL),(16,3151840,'1988-05-01 00:00:00',2,1,12,2008,'F','N','JARDIM ELDORADO','PALHOçA','SC','124241241316171411323311442124610116197',NULL,'9999',21.29,1,3,NULL),(16,3151859,'1991-01-17 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215111431637732195124610133072',11913,'1022',45.42,1,3,NULL),(16,3151867,'1990-06-07 00:00:00',2,1,11,2007,'F','N','SãO CRISTóVãO','TURVO','SC','124241241111312431654939492124610167142',13929,'814',41.80,1,2,1),(16,3151875,'1989-09-18 00:00:00',2,1,12,2006,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241111271711533314342124610124187',NULL,'65',21.70,1,2,1),(16,3151883,'1990-12-15 00:00:00',4,2,12,2008,'F','N','GUARANI','BRUSQUE','SC','124242241215272431468814572122610136057',601,'107',74.93,1,3,NULL),(16,3151891,'1978-05-12 00:00:00',4,1,12,1995,'M','N','ITACORUBI','FLORIANóPOLIS','SC','624201201217472411639844341124341064047',5222,'9998',58.07,1,3,NULL),(16,3151905,'1986-01-04 00:00:00',2,1,11,2004,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124242241315373441488833211122232137022',12868,'272',43.73,4,3,NULL),(16,3151913,'1991-03-05 00:00:00',2,4,6,2008,'F','N','MARIA GORETTI','CHAPECó','SC','124243241437211431533732292122610135177',NULL,'1126',0.00,1,3,NULL),(16,3151921,'1989-05-15 00:00:00',4,1,12,2006,'F','N','CENTRO','CONCóRDIA','SC','124112111216572711368812595124610117091',7205,'9998',53.91,1,3,NULL),(16,3151930,'1989-08-02 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124212241215372431288929595122610137072',6005,'262',56.35,1,3,NULL),(16,3151948,'1981-01-12 00:00:00',4,1,12,1996,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124242247221373431466472375122610161072',5399,'486',57.66,1,3,NULL),(16,3151964,'1987-02-13 00:00:00',4,1,12,2004,'F','N','JARDIM MARINGÁ','ITAPEVA','SP','125253251215571431348821474124610166186',79,'9998',81.50,3,3,NULL),(16,3151972,'1987-12-30 00:00:00',2,8,12,2004,'F','N','BIGORRILHO','CURITIBA','PR','116163161317572751237619371115610163147',7326,'9998',53.67,1,3,NULL),(16,3151980,'1988-09-21 00:00:00',2,5,11,2005,'M','N','COMERCIARIO','CRICIúMA','SC','124242241215574411378814592112610167042',6351,'211',55.57,1,3,NULL),(16,3151999,'1990-11-05 00:00:00',4,2,12,2008,'M','N','CENTRO','JARAGUá SUL','SC','124242241216371731469614575122610128112',12230,'441',44.85,1,3,NULL),(16,3152006,'1991-01-24 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124244241217271411536713575125610127057',10481,'724',47.94,4,3,NULL),(16,3152014,'1989-01-28 00:00:00',2,5,12,2007,'M','N','NOVA SUIÇA','GOIANIA','GO','109092241212472731343621475124610162117',1675,'210',68.53,1,3,NULL),(16,3152022,'1984-11-04 00:00:00',4,4,12,2003,'M','N','SâO JOâO','SEARA','SC','124241241115271411533319495122610138057',NULL,'764',0.00,1,3,NULL),(16,3152030,'1989-12-01 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241215372431486612172122610127047',4232,'270',60.42,1,3,NULL),(16,3152049,'1990-08-05 00:00:00',2,1,12,2007,'F','N','ARIRIú','PALHOçA','SC','124243241116372431423419575124610161177',13125,'772',43.29,1,3,NULL),(16,3152057,'1989-12-27 00:00:00',2,1,12,2007,'F','N','CENTRO','BIGUAçU','SC','124242241216152432547619495112610168182',NULL,'63',21.07,1,3,NULL),(16,3152065,'1991-12-26 00:00:00',4,9,12,2008,'F','N','CENTRO','FRAIBURGO','SC','124244241415111411558616395125610127097',NULL,'885',25.98,4,3,NULL),(16,3152073,'1990-12-21 00:00:00',4,1,11,2007,'F','N','CENTRO','S JOSé CAMPOS','SP','125204201217472751657933271324610164141',NULL,'9998',0.00,1,3,NULL),(16,3152081,'1990-03-13 00:00:00',2,1,11,2007,'M','N','SãO CRISTóVãO','TURVO','SC','124241241111472431333319492124610147147',9196,'814',50.24,1,2,1),(16,3152090,'1983-12-19 00:00:00',2,1,12,2001,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124251251137371721336644445124610134147',11936,'9998',45.37,1,2,1),(16,3152120,'1990-12-15 00:00:00',4,8,12,2008,'F','N','CZERNIEWICZ','JARAGUá SUL','SC','124241241217121431338933575122610164092',15726,'422',38.01,1,3,NULL),(16,3152138,'1991-07-27 00:00:00',4,8,11,2008,'F','N','CENTRO','S FRANCISCO SUL','SC','124242241215112431458819594124610126072',15215,'486',39.16,1,3,NULL),(16,3152146,'1991-01-18 00:00:00',4,1,12,2008,'F','N','VILA NOVA','JARAGUá SUL','SC','124242241217111431479912575112610127142',15407,'422',38.76,1,3,NULL),(16,3152154,'1991-01-23 00:00:00',4,1,12,2008,'F','N','VISTA ALEGRE','CONCóRDIA','SC','124241241115571431237624584122610126092',14332,'192',40.99,1,2,1),(16,3152162,'1987-05-11 00:00:00',2,1,12,2004,'M','N','CENTRO','PTO BELO','SC','124244241312373451336619272114131067047',NULL,'630',30.29,1,3,NULL),(16,3152189,'1991-08-27 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241212111431258629572122610143092',NULL,'273',27.63,1,3,NULL),(16,3152227,'1991-03-14 00:00:00',4,7,12,2008,'F','N','CENTRO','S JOSé OURO','RS','120201201116471411449713575122610137057',NULL,'9998',19.04,1,2,1),(16,3152235,'1990-09-13 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124244241216151431659811575124610127063',2031,'883',67.09,1,3,NULL),(16,3152243,'1989-10-27 00:00:00',4,1,11,2008,'M','N','PRIMAVERA II','PRIMAVERA LESTE','MT','111114111217151431558813282125610124017',NULL,'9998',17.44,4,3,NULL),(16,3152251,'1993-07-29 00:00:00',4,7,12,2009,'F','S','DEER','CAçADOR','SC','124243241117151731568933575122610132182',NULL,'122',29.89,1,3,NULL),(16,3152260,'1991-01-30 00:00:00',2,1,12,2008,'F','N','PRAIA JOÃO ROSA','BIGUAçU','SC','124241241115131431423823572224610124042',NULL,'21',24.86,1,3,NULL),(16,3152278,'1990-07-02 00:00:00',4,1,7,2007,'M','N','FORQUILHINHAS','S JOSé','SC','124244241216153431337714495124220768097',5755,'1074',56.95,1,3,NULL),(16,3152286,'1991-05-13 00:00:00',2,3,12,2008,'M','N','CENTRO','TIJUCAS','SC','124242241216111431356632395121610137042',NULL,'1119',0.00,1,3,NULL),(16,3152294,'1990-05-31 00:00:00',2,9,12,2007,'F','N','CAMOBI','STA MARIA','RS','120201201216371431433319595114610124042',12222,'9998',44.86,1,3,NULL),(16,3152316,'1990-10-29 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215372431245361372315610127097',5378,'270',57.70,1,3,NULL),(16,3152324,'1987-09-20 00:00:00',2,1,8,2008,'M','N','SERRARIA','S JOSé','SC','124241248145131431425319345123610164042',6508,'9997',55.26,1,2,1),(16,3152340,'1992-05-11 00:00:00',5,7,12,2008,'M','N','SALTO','SALTO VELOSO','SC','124241241117141431558612345121610147187',NULL,'1113',19.83,1,3,NULL),(16,3152359,'1990-03-13 00:00:00',4,1,12,2007,'M','N','COLONINHA','ARARANGUá','SC','124242241215472431489911572112130431112',NULL,'32',50.90,1,3,NULL),(16,3152367,'1985-12-01 00:00:00',2,1,7,2004,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124092248115273311533511342124133234127',13448,'257',42.70,1,3,NULL),(16,3152375,'1991-11-05 00:00:00',4,1,12,2008,'F','N','ALTO ARROIO','IMBITUBA','SC','124241241135131431625519245224610131077',15469,'361',38.60,1,2,1),(16,3152383,'1989-04-25 00:00:00',4,1,12,2006,'M','N','CENTRO','LONDRINA','PR','125162161215471431568934271124610164042',NULL,'9998',0.00,3,3,NULL),(16,3152391,'1989-02-04 00:00:00',4,1,12,2006,'F','N','VILA NOVA','JARAGUá SUL','SC','124242241215573431479912572112610123012',1479,'422',69.47,1,3,NULL),(16,3152413,'1991-05-08 00:00:00',4,2,12,2008,'F','N','CRISTAL','VACARIA','RS','120201201116371431446413575122610164047',NULL,'9998',27.87,1,2,1),(16,3152421,'1990-11-03 00:00:00',4,1,11,2008,'M','N','COLONINHA','FLORIANóPOLIS','SC','124241241115141432236663275121610167047',NULL,'257',20.43,1,2,1),(16,3152430,'1988-04-01 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124242131215574431559912575122132532092',15250,'9998',39.09,1,3,NULL),(16,3152456,'1991-07-15 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124241241215112411358632345122610122142',3102,'737',63.52,1,3,NULL),(16,3152464,'1989-09-16 00:00:00',4,1,12,2006,'F','N','ALTO BIGUAçU','BIGUAçU','SC','124241241136162431553315571124232617077',NULL,'21',24.46,1,2,1),(16,3152472,'1991-05-26 00:00:00',5,1,12,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241215271411467923392122610162072',9932,'262',48.90,1,3,NULL),(16,3152499,'1991-10-20 01:00:00',4,1,11,2008,'F','N','BELA VISTA II','S JOSé','SC','124241241215131731336433572124610144147',9328,'738',50.03,1,3,NULL),(16,3152510,'1990-08-02 00:00:00',4,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124242241215111431456633572122610132092',1151,'1050',71.19,1,3,NULL),(16,3152529,'1990-08-28 00:00:00',4,1,11,2007,'F','N','VILA NOVA','LAGES','SC','124242241215473431467832342122610124011',2502,'499',65.32,1,3,NULL),(16,3152537,'1989-01-08 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241115373431445619495114610133147',15194,'307',39.22,1,3,NULL),(16,3152545,'1990-01-14 00:00:00',4,1,12,2007,'M','N','CENTRO','ANáPOLIS','GO','109091091216471211566632574124610161187',1172,'9998',71.08,1,3,NULL),(16,3152553,'1989-07-13 00:00:00',4,8,12,2007,'M','N','CENTRO','MAFRA','SC','124241241215472431446911595135610167012',8446,'541',51.50,1,3,NULL),(16,3152561,'1980-11-15 00:00:00',2,1,12,1999,'M','N','BARREIROS','S JOSé','SC','124244243426473411666421345122130243052',13639,'9997',42.40,1,3,NULL),(16,3152570,'1990-12-30 00:00:00',2,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124241248131131431523679382324610117147',NULL,'257',15.45,1,2,1),(16,3152588,'1990-11-23 00:00:00',2,1,12,2008,'F','N','RESID STHALBERG','LIMEIRA','SP','125252256126141411456414345122610131072',15315,'9998',38.93,1,3,NULL),(16,3152596,'1990-04-05 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431479814575122610134141',2663,'270',64.81,1,3,NULL),(16,3152600,'1989-05-27 00:00:00',4,3,12,2006,'M','N','CIDADE JARDIM','PRES PRUDENTE','SP','125251251111574431643411271125610165042',75,'9998',81.60,1,2,1),(16,3152618,'1990-06-25 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241117372431434423375224610117057',NULL,'281',24.97,3,2,1),(16,3152626,'1990-03-13 00:00:00',4,1,12,2007,'F','N','JARDIM BOA ESPERANÇA','CAMPINAS','SP','125252251115471431558834575122610163047',892,'9998',72.75,1,3,NULL),(16,3152634,'1990-07-27 00:00:00',2,1,12,2008,'M','N','VILLAGE','IMBITUBA','SC','124241241117161431246624572212610116183',NULL,'9999',25.08,1,2,1),(16,3152642,'1991-04-24 00:00:00',4,1,12,2008,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241117131132535633575122610132147',15724,'307',38.01,1,3,NULL),(16,3152650,'1991-02-04 00:00:00',2,1,12,2008,'F','N','CENTRO','PALHOçA','SC','124242241317271331447914575122610134017',11097,'989',46.84,1,3,NULL),(16,3152669,'1990-01-13 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIúMA','SC','124242241215473231459814575122610144192',1028,'213',71.89,1,3,NULL),(16,3152677,'1989-08-08 00:00:00',4,1,12,2007,'M','N','SUDOESTE','CRUZEIRO','DF','107072078617472752688979597345240168182',653,'9998',74.53,5,3,NULL),(16,3152685,'1988-08-05 00:00:00',4,8,12,2005,'F','N','JARDIM PROGRESSO','PARANAVAí','PR','116164161216471431436833272125141555047',1454,'9998',69.53,4,3,NULL),(16,3152693,'1980-02-08 00:00:00',2,1,11,1998,'M','N','PANTANAL','FLORIANóPOLIS','SC','124162161216114421239714215124120237057',13503,'9998',42.62,1,3,NULL),(16,3152707,'1992-05-15 00:00:00',4,1,11,2009,'F','S','JOãO PAULO','FLORIANóPOLIS','SC','124242241217111422558914572122610146186',NULL,'262',45.84,1,3,NULL),(16,3152715,'1988-10-18 00:00:00',2,1,12,2005,'M','N','BARRA FUNDA','BERNARDINO CAMPOS','SP','125251251115571431323314375112142327147',2317,'9998',65.98,1,2,1),(16,3152723,'1989-09-27 00:00:00',2,1,12,2007,'M','N','FLORADAS DE SãO JOSé','S JOSé CAMPOS','SP','125252251217472431268923575122610124012',NULL,'9998',0.00,1,3,NULL),(16,3152740,'1989-09-08 00:00:00',4,8,12,2006,'F','N','FLORESTA','JOINVILLE','SC','124162161217152411458812591124242462057',NULL,'9998',0.00,1,3,NULL),(16,3152758,'1989-02-25 00:00:00',2,1,12,2006,'M','N','SERRARIAS','S JOSé','SC','124241241117572431536314575114610117047',10607,'734',47.72,1,2,1),(16,3152766,'1991-05-29 00:00:00',2,1,12,2008,'F','N','PRAIA DE FORA','PALHOçA','SC','124241241112151131423631575124610118147',10893,'592',47.20,1,2,1),(16,3152774,'1986-06-05 00:00:00',2,1,6,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241311152531238513372124231024192',NULL,'9999',5.66,1,3,NULL),(16,3152782,'1991-11-20 00:00:00',4,9,11,2009,'M','S','VILA NOVA','LAGES','SC','124242241217111431467812375121610134182',NULL,'499',45.68,1,3,NULL),(16,3152790,'1984-05-24 00:00:00',4,1,11,2002,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241217372731363711195122221268197',1364,'266',70.05,1,3,NULL),(16,3152804,'1989-03-23 00:00:00',4,1,12,2006,'F','N','CAMPINAS','S JOSé','SC','124252251217572731258611582124610134142',8334,'9998',51.73,3,3,NULL),(16,3152812,'1991-12-27 00:00:00',2,10,12,2008,'F','N','HUMAITá','TUBARãO','SC','124241241115371731536614294124610127142',NULL,'798',31.36,1,2,1),(16,3152820,'1960-07-13 00:00:00',2,3,12,1984,'F','N','CENTRO','TIJUCAS','SC','124241245212132111433352312112131226027',NULL,'781',27.23,1,3,NULL),(16,3152839,'1990-10-20 00:00:00',4,1,11,2007,'F','N','BARREIROS','S JOSé','SC','124242241217412431468813594114610121145',3307,'270',62.97,1,3,NULL),(16,3152847,'1990-10-16 00:00:00',4,1,12,2008,'F','N','NAçõES','TIMBó','SC','124241241117131431346939195122610124147',NULL,'787',22.32,1,2,1),(16,3152855,'1992-05-16 00:00:00',4,8,12,2009,'F','S','ATIRADORES','JOINVILLE','SC','124242241225111431467812572122610127072',NULL,'491',41.95,1,3,NULL),(16,3152871,'1989-10-26 00:00:00',2,1,11,2007,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124011241136232421236629345114610132147',14687,'307',40.30,1,2,1),(16,3152880,'1990-07-25 00:00:00',4,1,12,2007,'F','N','ENSEADA DE BRITO','ENS BRITO','SC','124241241136131331336313585124610164147',NULL,'594',20.52,1,2,1),(16,3152901,'1989-12-21 00:00:00',4,8,12,2006,'F','N','FLORESTA','JOINVILLE','SC','124242241235471311466622571124610162077',9822,'1016',49.11,1,3,NULL),(16,3152910,'1988-01-26 00:00:00',4,1,12,2005,'M','N','CALIFORNIA','MTE ALTO','SP','125254251216571411568813571112610116042',5539,'9998',57.39,1,3,NULL),(16,3152928,'1991-04-02 00:00:00',4,4,12,2008,'M','N','AGUA VERDE','CURITIBA','PR','116162161216471451466839574122610127011',NULL,'9998',0.00,1,3,NULL),(16,3152936,'1991-12-14 00:00:00',4,1,12,2008,'F','N','INTERIOR','ENTRE R OESTE','PR','116161161315371431333335172324610123142',NULL,'9998',0.00,1,3,NULL),(16,3152944,'1962-03-20 00:00:00',4,1,12,1986,'M','N','CENTRO','BIGUAçU','SC','524252257247141721474441221122610162052',NULL,'9999',0.00,1,3,NULL),(16,3152952,'1991-01-12 00:00:00',4,1,12,2008,'F','N','PALHOçA','FLORIANóPOLIS','SC','124243241415151431524923572124610127072',NULL,'989',26.24,1,3,NULL),(16,3152960,'1990-02-14 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215473451588833574114610163047',4948,'991',58.74,1,3,NULL),(16,3152979,'1991-01-18 00:00:00',4,1,12,2007,'F','N','ALTO DA BRONZE','ESTRELA','RS','120201201117132751636619295114610167072',NULL,'9998',25.43,1,2,1),(16,3152987,'1991-10-21 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241115141431658923235125610167142',14326,'307',41.00,4,3,NULL),(16,3152995,'1990-07-31 00:00:00',3,1,12,2008,'F','N','CACUPé','FLORIANóPOLIS','SC','124242241217112431478933375122610164182',4485,'270',59.82,1,3,NULL),(16,3153002,'1987-09-01 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215574431578832391125610127052',4009,'211',61.05,1,3,NULL),(16,3153010,'1986-10-22 00:00:00',2,2,12,2003,'F','N','CENTRO','VACARIA','RS','120201201116131431126644345235240264047',15322,'9998',38.93,1,2,1),(16,3153029,'1991-06-21 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124242241215112431439674575124610132142',2486,'737',65.37,4,3,NULL),(16,3153037,'1985-06-30 00:00:00',4,1,5,2003,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241116375411536814445124610167092',15086,'306',39.46,1,3,NULL),(16,3153045,'1989-10-04 00:00:00',4,8,12,2007,'F','N','GLEBA PALHANO','LONDRINA','PR','116162161217471431438833596112610136047',NULL,'9998',0.00,1,3,NULL),(16,3153053,'1991-04-14 00:00:00',2,9,11,2008,'F','N','CENTRO','S JOAQUIM','SC','124243241215131411323629292124610116147',NULL,'1035',18.54,3,3,NULL),(16,3153061,'1982-09-03 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANóPOLIS','SC','124201206136155441336823325124221422092',6301,'9998',55.69,1,2,1),(16,3153070,'1991-01-15 00:00:00',2,5,12,2007,'F','N','CENTRO','NOVA VENEZA','SC','124241241217412441545514474125610122142',10795,'226',47.38,1,3,NULL),(16,3153088,'1990-08-25 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124241241215472431526921471324610164147',16284,'737',36.42,1,3,NULL),(16,3153096,'1991-03-29 00:00:00',2,1,12,2008,'M','N','ZONA UM','CIANORTE','PR','116162161217271731449712475112610167087',NULL,'9998',57.73,1,3,NULL),(16,3153100,'1991-01-12 00:00:00',4,6,11,2008,'M','N','CENTRO','CAMPOS NOVOS','SC','124242241215112431456612575114610162147',1068,'1038',71.64,1,3,NULL),(16,3153126,'1990-11-24 00:00:00',4,1,12,2008,'M','N','SANTA MONICA','FLORIANóPOLIS','SC','124242241215112431358823572124610132172',12551,'262',44.26,1,3,NULL),(16,3153134,'1991-01-04 00:00:00',4,8,12,2008,'M','N','PROGRESSO','S BENTO SUL','SC','124242168216471431569931572124610138031',519,'9998',75.63,1,3,NULL),(16,3153150,'1991-03-29 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124243241115371432326638295124610126015',13714,'307',42.23,1,3,NULL),(16,3153169,'1989-09-18 00:00:00',2,2,12,2006,'M','N','CENTRO','ITUPORANGA','SC','124241241116472431424611372122610167097',6593,'416',55.07,1,2,1),(16,3153177,'1987-06-08 00:00:00',2,1,12,2004,'M','N','UTINGA','STO ANDRé','SP','125251251137272411563419285124610164097',12671,'9998',44.04,1,2,1),(16,3153185,'1992-05-16 00:00:00',4,8,12,2009,'F','S','ATIRADORES','JOINVILLE','SC','124242241215111431467812572122610138072',NULL,'491',46.20,1,3,NULL),(16,3153193,'1991-08-07 00:00:00',4,1,12,2008,'F','N','ROçADO','S JOSé','SC','124241241122131731633319242114610168092',NULL,'729',24.81,1,2,1),(16,3153207,'1989-10-17 00:00:00',2,1,12,2006,'F','N','JARDIM NAZARETH','S BERNARDO CAMPO','SP','125253251217571411355314574112610126087',NULL,'9998',0.00,1,3,NULL),(16,3153215,'1991-12-08 00:00:00',2,8,12,2008,'M','N','CENTRO','CACOAL','RO','122222221216161431466611195125610167067',NULL,'9998',0.00,4,3,NULL),(16,3153223,'1991-05-31 00:00:00',2,1,12,2008,'F','N','CAMINHO NOVO','PALHOçA','SC','124244241215112431448413574124610123077',2886,'1011',64.13,1,3,NULL),(16,3153231,'1989-07-10 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472451579911575124610163071',5350,'270',57.78,1,3,NULL),(16,3153240,'1991-06-04 00:00:00',2,3,12,2008,'M','N','CANTA GALO','RIO SUL','SC','124244241437141411456734345121610137047',NULL,'659',23.77,1,3,NULL),(16,3153258,'1986-08-22 00:00:00',4,8,12,2003,'M','N','CENTRO','CURITIBA','PR','116161161415511731458713572125141564047',NULL,'9998',0.00,1,3,NULL),(16,3153266,'1986-11-05 00:00:00',2,8,12,2003,'M','N','CENTRO','PTO VITóRIA','PR','116161161126571711433329294114141314172',10883,'9998',47.22,1,2,1),(16,3153274,'1987-01-23 00:00:00',4,1,12,2004,'F','N','JUVEVE','CURITIBA','PR','116162161216571411367931575124242464122',2007,'9998',67.15,1,3,NULL),(16,3153282,'1991-03-27 00:00:00',4,1,12,2008,'M','N','TRINTA RéIS','NOVA TRENTO','SC','124241241137141431246624345121610132057',12773,'574',43.88,1,2,1),(16,3153290,'1980-07-08 00:00:00',4,1,11,1999,'M','N','BALNÁRIO DOS AÇORES','FLORIANOPOLIS','SC','124213216247471111446613332123142227114',10852,'9998',47.27,1,3,NULL),(16,3153304,'1989-01-14 00:00:00',2,1,7,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241116371731223629472114610123092',6673,'306',54.92,2,1,1),(16,3153312,'1982-12-07 00:00:00',4,1,12,2000,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124253251116372711148944445122340762187',NULL,'9998',42.21,1,3,NULL),(16,3153320,'1988-07-11 00:00:00',4,1,7,2006,'F','N','JADIM JANAINA','BIGUAçU','SC','124241241117132431423531112224610137053',12195,'306',44.91,4,2,1),(16,3153339,'1992-05-06 00:00:00',4,1,11,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241216141212268914275124610167047',NULL,'262',26.86,1,3,NULL),(16,3153347,'1991-04-08 00:00:00',2,1,11,2008,'M','N','PRAIA COMPRIDA','S JOSé','SC','124241241212111432236623272314610124047',15287,'737',39.00,1,3,NULL),(16,3153355,'1990-11-29 00:00:00',4,1,12,2008,'F','N','JD MADALENA','CAMPINAS','SP','125252256117111431468833375122610147052',4859,'9998',58.96,1,3,NULL),(16,3153371,'1989-12-26 00:00:00',4,1,12,2006,'F','N','GUIOMAR DE FORA','ANTôNIO CARLOS','SC','124241241216373431553412382124232726197',NULL,'20',0.00,1,3,NULL),(16,3153380,'1989-07-30 00:00:00',2,6,12,2006,'M','N','PAULICEIA','S PAULO','SP','125252251417471431446711571115610167117',9755,'9998',49.24,4,3,NULL),(16,3153398,'1991-08-20 00:00:00',4,3,11,2008,'F','N','SERTãOZINHO','BOMBINHAS','SC','124241241112161712423315292121610164147',NULL,'96',23.92,1,3,NULL),(16,3153401,'1988-11-19 00:00:00',2,5,11,2006,'F','N','CENTRO','URUSSANGA','SC','124243241213453711546611573114613267112',8123,'820',52.18,1,3,NULL),(16,3153410,'1990-05-05 00:00:00',4,8,12,2007,'M','N','VILA SANTA HELENA','PRES PRUDENTE','SP','125252251415472531568814595112610127047',15761,'9998',37.89,3,3,NULL),(16,3153428,'1989-02-19 00:00:00',4,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116251251216572411463611271114610165147',NULL,'9998',35.66,1,3,NULL),(16,3153436,'1991-07-26 00:00:00',2,1,12,2008,'F','N','PONTA DE BAIXO','S JOSé','SC','124241241117131411426814582124610124147',13510,'733',42.60,1,2,1),(16,3153444,'1989-05-01 00:00:00',4,1,12,2007,'M','N','ARMAçAO','FLORIANóPOLIS','SC','124241248216372711448613345124610147052',NULL,'1023',22.51,1,3,NULL),(16,3153452,'1991-06-07 00:00:00',4,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215371431268821592122610164092',7758,'1022',52.85,1,3,NULL),(16,3153479,'1989-11-03 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215372431636834445114610164141',14569,'272',40.57,1,3,NULL),(16,3153487,'1991-01-16 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124243241211371411437612241122610122071',6948,'1075',54.40,1,3,NULL),(16,3153495,'1991-12-07 00:00:00',2,1,11,2008,'F','N','CENTRO','LAGES','SC','124241241215222731346914575112610123147',12681,'497',44.03,1,3,NULL),(16,3153509,'1991-08-24 00:00:00',4,1,12,2008,'F','N','PARQUE SãO JORGE','FLORIANóPOLIS','SC','124242211217171411459933571112610123145',NULL,'9998',27.12,1,3,NULL),(16,3153517,'1984-12-12 00:00:00',2,1,7,2003,'M','N','PRAIA DO FORTE','FLORIANóPOLIS','SC','124241241112372431434411332124610167067',9924,'306',48.91,1,2,1),(16,3153525,'1991-08-05 00:00:00',2,3,12,2008,'M','N','CENTRO','APUCARANA','PR','116162161236111431336932175122610137057',NULL,'9998',37.88,1,3,NULL),(16,3153533,'1991-10-04 00:00:00',4,1,11,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215111431469932575124610166052',2432,'262',65.58,1,3,NULL),(16,3153541,'1990-06-24 00:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241115472751466611575114131962195',2066,'271',66.91,1,3,NULL),(16,3153550,'1987-01-04 00:00:00',4,5,8,2005,'M','N','CENTRO','URUSSANGA','SC','124243243215154411546611575114610162172',750,'995',73.83,1,3,NULL),(16,3153568,'1991-03-13 00:00:00',2,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124241241415371411427731215124610168011',10207,'300',48.42,1,3,NULL),(16,3153576,'1990-07-21 00:00:00',4,6,11,2007,'F','N','ALPHAVILLE GRACIOSA','PINHAIS','PR','116162161216471431458712575112610144142',2568,'9998',65.10,1,3,NULL),(16,3153584,'1991-09-10 00:00:00',4,4,11,2008,'M','N','CENTRO','GALVãO','SC','124241161315271431438811475124610132012',5110,'9998',58.36,1,3,NULL),(16,3153592,'1990-12-27 00:00:00',4,1,11,2007,'M','N','CENTRO','ALTôNIA','PR','116162161216412731348613375111610164047',NULL,'9998',0.00,1,3,NULL),(16,3153606,'1991-11-22 00:00:00',2,3,11,2008,'F','N','CENTRO','CURITIBA','PR','116164161217111342125716572322610164114',NULL,'9997',22.64,1,3,NULL),(16,3153614,'1989-05-06 00:00:00',4,4,12,2006,'F','N','CENTRO','XANXERê','SC','124242241111372431546614381124131568142',11281,'836',46.50,1,3,NULL),(16,3153622,'1991-06-30 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215471421466832394124610147187',1517,'270',69.29,1,3,NULL),(16,3153630,'1990-08-17 00:00:00',3,1,12,2007,'F','N','LAGO NORTE','LG NORTE','DF','107072071215471711579933471124610134186',278,'9998',78.29,1,3,NULL),(16,3153649,'1991-08-14 00:00:00',2,10,11,2008,'F','N','VILA MOEMA','TUBARãO','SC','124244241216121431556314375122610117143',14370,'797',40.93,1,3,NULL),(16,3153657,'1985-11-28 00:00:00',4,1,12,2004,'M','N','ITAPUAN','SALVADOR','BA','105052058131111111148811291111613211192',NULL,'9998',0.00,1,3,NULL),(16,3153665,'1990-04-14 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124214131417472421458813235122610167012',12190,'9998',44.92,1,3,NULL),(16,3153681,'1982-07-31 00:00:00',2,1,12,1999,'F','N','ENCANTADA','GAROPABA','SC','224201201117271421223844342123141327147',16133,'9998',36.83,1,2,1),(16,3153690,'1990-09-02 00:00:00',4,1,10,2008,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241417271731436624376114610165112',NULL,'300',27.17,1,3,NULL),(16,3153703,'1990-02-09 00:00:00',2,1,12,2007,'F','N','SãO SEBASTIãO','PALHOçA','SC','124241241115371431533319382114610133147',NULL,'592',32.45,1,2,1),(16,3153711,'1990-11-11 00:00:00',4,1,11,2008,'M','N','CACUPé','FLORIANóPOLIS','SC','124242241215121431558831571124610167052',2012,'270',67.13,1,3,NULL),(16,3153746,'1989-07-22 00:00:00',2,1,12,2006,'F','N','AZENHA','PTO ALEGRE','RS','120204201437271431438913412124610164142',16314,'9998',36.32,1,3,NULL),(16,3153754,'1991-02-20 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431379814575122610128182',14089,'270',41.48,1,3,NULL),(16,3153762,'1988-11-05 00:00:00',4,1,12,2006,'M','N','PLANALTO PAULISTA','S PAULO','SP','125252251217571411478833571124610134042',NULL,'9998',44.88,1,3,NULL),(16,3153770,'1989-07-30 00:00:00',4,8,12,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124042241117472431559933575122230726012',10681,'267',47.60,1,3,NULL),(16,3153789,'1990-07-18 00:00:00',4,2,12,2007,'M','N','ASILO','BLUMENAU','SC','124242241215472411459911595124610166062',826,'71',73.22,1,3,NULL),(16,3153800,'1988-01-11 00:00:00',2,1,12,2004,'F','N','CENTRO','PASSO FUNDO','RS','120201204316111731334427245124610118142',16441,'9998',35.74,1,3,NULL),(16,3153819,'1991-02-17 00:00:00',4,1,12,2008,'F','N','VARGEM GRANDE','ÁGUAS MORNAS','SC','124241241115111731633412572125610134047',NULL,'978',25.90,1,2,1),(16,3153827,'1990-07-07 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124252251217471442246614371124610168057',2511,'9998',65.30,2,3,NULL),(16,3153835,'1986-06-22 00:00:00',2,1,6,2004,'F','N','ITACORUBI','FLORIANóPOLIS','SC','224243247312272131326454382114610124187',14325,'9999',41.00,1,3,NULL),(16,3153843,'1992-05-11 00:00:00',4,10,11,2009,'F','S','CENTRO','S LUDGERO','SC','124244248215121431456612572124610127062',NULL,'807',36.41,1,3,NULL),(16,3153851,'1990-05-19 00:00:00',4,1,7,2008,'F','N','JURERê','FLORIANóPOLIS','SC','124242241117372731349813494124610126092',254,'306',78.51,1,3,NULL),(16,3153860,'1991-05-05 00:00:00',4,2,12,2008,'M','N','LIMOEIRO','BRUSQUE','SC','124242241215271731538619572122610122047',1511,'107',69.31,1,3,NULL),(16,3153878,'1990-02-08 00:00:00',4,8,12,2008,'F','N','PARQUE REGINA','S BENTO SUL','SC','124242241216111431224611272122610127072',15932,'974',37.42,1,3,NULL),(16,3153886,'1990-10-24 00:00:00',4,1,12,2008,'M','N','CENTRO','BIGUAçU','SC','124212241317371431337719345124610137092',7845,'306',52.69,1,3,NULL),(16,3153894,'1990-04-04 00:00:00',2,1,12,2007,'F','N','CALHEIROS','GOV CELSO RAMOS','SC','124241241126141412623314395124610113052',NULL,'329',23.23,1,2,1),(16,3153908,'1989-10-26 00:00:00',2,1,12,2007,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124243241415472431336624575124610137182',11103,'1022',46.83,1,3,NULL),(16,3153916,'1989-09-03 00:00:00',2,1,12,2006,'M','N','CENTRO','S MATEUS SUL','PR','116162161236471421558613575122242627122',NULL,'9998',27.81,1,3,NULL),(16,3153924,'1991-08-09 00:00:00',4,2,11,2008,'M','N','VELHA','BLUMENAU','SC','124242241214122431439911471122610124092',940,'71',72.42,1,3,NULL),(16,3153932,'1991-05-16 00:00:00',2,1,10,2008,'F','N','CENTRO','FLORIANOPOLIS','SC','124134241215111431479614575122610144092',3662,'266',61.92,1,3,NULL),(16,3153940,'1991-12-20 00:00:00',4,5,11,2008,'M','N','CENTRO','TORRES','RS','120203201215271232339833477221610167057',4955,'9998',58.71,4,1,2),(16,3153959,'1991-03-01 00:00:00',4,2,11,2008,'M','N','CENTRO','RIO CEDROS','SC','124241241217111331468832575124610134052',3651,'1157',61.95,1,3,NULL),(16,3153967,'1990-12-22 00:00:00',4,1,12,2008,'F','N','FLOR DE NAPOLES','S JOSé','SC','124241241117271431433633572122610162147',15960,'727',37.33,1,2,1),(16,3153975,'1988-08-30 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217373431458821342122131022187',3256,'270',63.12,1,3,NULL),(16,3153983,'1990-04-23 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANóPOLIS','SC','124243241215372231583432245124610164042',2867,'270',64.19,1,3,NULL),(16,3154009,'1991-11-22 00:00:00',2,1,11,2008,'M','N','RATONES','FLORIANóPOLIS','SC','124241241115371431443612591124610137042',2870,'271',64.18,1,2,1),(16,3154025,'1991-07-07 00:00:00',4,3,11,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','124244241214142731458933445122610162192',NULL,'403',0.00,1,3,NULL),(16,3154033,'1992-05-23 00:00:00',4,1,11,2008,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241411111431378932572124610127046',NULL,'270',0.00,1,3,NULL),(16,3154041,'1991-08-23 00:00:00',4,1,12,2008,'M','N','BALNEáRIO','FLORIANóPOLIS','SC','124242241215372431489912575124610127143',2234,'1134',66.30,1,3,NULL),(16,3154050,'1990-07-07 00:00:00',2,1,12,2007,'F','N','RODRIGES','LGA VERMELHA','RS','124203201211472431328624392324610167072',2652,'9998',64.83,1,3,NULL),(16,3154068,'1990-01-06 00:00:00',2,1,12,2007,'M','N','CACHOEIRA','FLORIANóPOLIS','SC','124241241115272232433334342224610127182',9876,'307',49.01,1,2,1),(16,3154076,'1991-03-01 00:00:00',4,5,11,2008,'M','N','CENTRO','MONGAGUá','SP','125252251217371531489811375112610164046',NULL,'9998',0.00,1,3,NULL),(16,3154092,'1989-07-10 00:00:00',4,1,12,2006,'M','N','KOBRASOL','S JOSé','SC','624242241214473251328819487114122264134',3690,'737',61.84,1,3,NULL),(16,3154106,'1984-06-23 00:00:00',4,1,12,2004,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241117243431546731342124130867183',NULL,'307',29.92,1,3,NULL),(16,3154122,'1990-03-05 00:00:00',2,1,11,2007,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124243241135231431426624341244610118097',NULL,'957',NULL,1,3,NULL),(16,3154130,'1992-05-10 00:00:00',4,1,11,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124242241215111511459813572122610113117',NULL,'262',41.25,1,3,NULL),(16,3154149,'1990-04-06 00:00:00',4,3,11,2007,'M','N','CENTRO','JARAGUá SUL','SC','124162241212112431459933571124232467017',3337,'9998',62.88,1,3,NULL),(16,3154165,'1991-12-01 00:00:00',4,3,12,2008,'M','N','CENTRO','CAMBORIú','SC','124241241217131431559833572112610137017',NULL,'1091',17.55,1,3,NULL),(16,3154181,'1986-10-03 00:00:00',2,1,12,2003,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124161241116153451536829494114610165182',7317,'293',53.68,1,2,1),(16,3154190,'1989-12-15 00:00:00',4,8,12,2007,'F','N','PETRóPOLIS','JOINVILLE','SC','124241248225371431465532272124610161092',NULL,'459',0.00,1,3,NULL),(16,3154203,'1988-07-27 00:00:00',4,1,12,2005,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241216273411439613572124230214147',1464,'270',69.50,1,3,NULL),(16,3154211,'1989-11-03 00:00:00',4,1,12,2006,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124243241216573751538611595124610168147',5048,'781',58.51,1,3,NULL),(16,3154220,'1991-10-14 00:00:00',4,2,12,2008,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241215111431459713574124610111147',4474,'71',59.84,1,3,NULL),(16,3154238,'1987-06-01 00:00:00',4,1,11,2005,'F','N','VILA ADYANNA','S JOSé CAMPOS','SP','125252251217572421538819272122610112147',168,'9998',79.76,1,3,NULL),(16,3154246,'1989-06-08 00:00:00',2,1,12,2006,'M','N','LAGOINHA','RIBEIRãO PRETO','SP','125132138212571321538814575124610112092',6796,'9998',54.67,3,3,NULL),(16,3154254,'1990-02-20 00:00:00',4,8,11,2007,'F','N','CAPAO RASO','CURITIBA','PR','116162161215512411469934371114610164182',3476,'9998',62.44,1,3,NULL),(16,3154270,'1989-06-18 00:00:00',2,8,12,2007,'M','N','REBOUçAS','CURITIBA','PR','116161241315471411123312172321610165057',2241,'632',66.25,4,3,NULL),(16,3154289,'1991-05-03 00:00:00',4,1,12,2008,'M','N','ABRAãO','FLORIANóPOLIS','SC','124242241215112431347827475114610127052',3493,'270',62.39,1,3,NULL),(16,3154297,'1991-10-18 00:00:00',4,1,12,2008,'F','N','JARDIM CARANDAí','BIGUAçU','SC','124241241112131431325631572121610111147',NULL,'65',19.09,1,3,NULL),(16,3154300,'1990-11-14 00:00:00',4,1,12,2008,'F','N','JD SãO DIMAS','S JOSé CAMPOS','SP','125251251217131431536611275124610137147',8159,'9998',52.12,4,3,NULL),(16,3154319,'1990-08-24 00:00:00',2,9,12,2007,'M','N','CENTRO','ABDON BATISTA','SC','124241241346372431436814145124610137062',16577,'269',35.00,1,3,NULL),(16,3154327,'1977-06-29 00:00:00',4,1,12,1996,'F','N','ARMAÇAO','FLORIANóPOLIS','SC','124241247417142411333643335334610136097',11257,'9999',46.55,1,3,NULL),(16,3154335,'1978-06-06 00:00:00',2,1,12,1995,'M','N','AR DO PâNTANO DO SUL','FLORIANóPOLIS','SC','624152241217143431459843337132533227183',NULL,'269',33.53,1,3,NULL),(16,3154343,'1987-12-11 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANóPOLIS','SC','124243241216474431458917485124131267072',6184,'541',55.96,1,3,NULL),(16,3154351,'1990-04-29 00:00:00',4,1,11,2008,'F','N','RATONES','FLORIANóPOLIS','SC','124244241416111431346615575114610134112',NULL,'300',23.39,1,3,NULL),(16,3154360,'1987-10-06 00:00:00',2,1,12,2006,'M','N','N S DO ROSARIO','S JOSé','SC','124242241215373431446823485122121867072',7908,'1022',52.59,4,1,2),(16,3154378,'1989-03-13 00:00:00',2,5,11,2006,'F','N','CENTRO','CRICIúMA','SC','124242241215574431458934575122610126092',3773,'213',61.66,1,3,NULL),(16,3154386,'1990-11-21 00:00:00',4,10,11,2008,'M','N','ST ANTôNIO DE PáDUA','TUBARãO','SC','124243246215272411448711292125610118172',6210,'1120',55.89,4,3,NULL),(16,3154394,'1989-01-14 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215373432447831495112131267117',8311,'1022',51.77,1,3,NULL),(16,3154408,'1992-10-10 00:00:00',4,7,12,2009,'M','S','CENTRO','JOAçABA','SC','124242241216111731344619275122610134077',NULL,'446',31.39,1,3,NULL),(16,3154416,'1991-05-26 00:00:00',4,4,12,2008,'F','N','CENTRO','CONCóRDIA','SC','124241241115371431634435572224610134077',10577,'192',47.78,1,2,1),(16,3154424,'1990-12-08 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215121731358712445124610167015',NULL,'738',0.00,1,3,NULL),(16,3154432,'1983-09-01 00:00:00',4,1,12,2000,'F','N','TRINDADE','FLORIANóPOLIS','SC','124123121217473431568811576124321461057',11,'9998',84.89,1,3,NULL),(16,3154440,'1985-10-28 00:00:00',2,1,7,2004,'M','N','RIO CAVEIRAS','BIGUAçU','SC','124241247225473431445313484124233261177',NULL,'63',43.91,1,3,NULL),(16,3154459,'1991-04-26 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217121431579613576122610123145',119,'270',80.64,1,3,NULL),(16,3154467,'1992-07-24 00:00:00',4,1,11,2009,'F','S','BOM ABRIGO','FLORIANóPOLIS','SC','124242248215111421459933492112610148192',NULL,'270',25.38,1,3,NULL),(16,3154475,'1987-01-29 00:00:00',4,1,12,2004,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124201201112371431126444343124143224142',NULL,'9998',25.78,1,3,NULL),(16,3154483,'1985-01-12 00:00:00',4,1,12,2003,'M','N','INGLESES','FLORIANóPOLIS','SC','124243247347372441438661395224142152015',NULL,'9999',50.75,1,3,NULL),(16,3154491,'1992-04-17 00:00:00',4,5,11,2008,'F','N','BORTOLATTO','MRO FUMAçA','SC','124243241217121411557813375124610124192',11478,'210',46.21,1,3,NULL),(16,3154505,'1989-04-08 00:00:00',4,1,12,2006,'F','N','ACLIMAçãO','S PAULO','SP','125252251217571431479814571122610137122',632,'9998',74.69,1,3,NULL),(16,3154513,'1990-02-22 00:00:00',4,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124242241217472411479913475124231427062',3617,'457',62.04,1,3,NULL),(16,3154521,'1990-12-11 00:00:00',4,2,12,2008,'M','N','VELHA','BLUMENAU','SC','124242241215111431449912375124610147141',NULL,'88',26.54,1,3,NULL),(16,3154530,'1991-04-12 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124164241115141731458714245124610162142',NULL,'733',32.52,1,3,NULL),(16,3154556,'1989-12-27 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124281241412111511648812281122610147112',NULL,'1022',30.81,1,3,NULL),(16,3154564,'1991-03-17 00:00:00',4,7,12,2008,'M','N','CENTRO','JOAçABA','SC','124241241217471431438613575122610168172',1254,'962',70.64,1,3,NULL),(16,3154572,'1992-03-23 00:00:00',4,3,12,2010,'F','S','SãO LUIZ','BRUSQUE','SC','124242241217111411369611315122610134172',NULL,'109',33.86,1,3,NULL),(16,3154580,'1991-10-25 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124242241217111431467832472122610147127',14585,'270',40.54,1,3,NULL),(16,3154599,'1990-01-30 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124241241217131131535632572214610121191',7228,'270',53.86,4,1,2),(16,3154602,'1979-08-27 00:00:00',4,1,12,1998,'M','N','BARREIROS','S JOSé','SC','224244241116135411238653235222122327097',11384,'307',46.36,2,1,2),(16,3154645,'1991-08-14 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124243241317111231458613376125610147147',11529,'1146',46.12,1,3,NULL),(16,3154653,'1989-10-31 00:00:00',4,1,12,2007,'M','N','MORUMBI','S PAULO','SP','125252251217471221469932572122610142182',6009,'9998',56.34,1,3,NULL),(16,3154661,'1989-10-02 00:00:00',4,1,12,2006,'M','N','BOM VIVER','BIGUAçU','SC','124241241137471431524634341314610128043',NULL,'66',25.85,3,2,1),(16,3154670,'1991-09-26 00:00:00',4,9,11,2008,'M','N','UNIVERSITáRIO','LAGES','SC','124244241215111731369954392122610127052',9905,'497',48.93,1,3,NULL),(16,3154688,'1990-04-22 00:00:00',4,1,12,2007,'F','N','OFICINAS','PNT GROSSA','PR','116162161215571431487811474122610126182',1535,'9998',69.19,1,3,NULL),(16,3154696,'1992-08-28 00:00:00',4,2,12,2008,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241216111431458934575125610124072',11504,'855',46.16,1,3,NULL),(16,3154700,'1990-08-30 00:00:00',4,1,11,2007,'F','N','AREIAS','S JOSé','SC','124242241215372431479933574122233227141',1276,'737',70.53,1,3,NULL),(16,3154718,'1991-09-03 00:00:00',4,5,11,2008,'M','N','CENTRO','CRICIúMA','SC','124242161215112431458934575122610127142',NULL,'9998',0.00,1,3,NULL),(16,3154726,'1990-07-24 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241111471431536412571114610167012',NULL,'21',36.36,1,2,1),(16,3154734,'1991-05-17 00:00:00',4,1,11,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241215112431356934592112610127077',4170,'272',60.59,1,3,NULL),(16,3154742,'1985-03-26 00:00:00',4,9,12,2006,'M','N','SANTA CATARINA','OTACíLIO COSTA','SC','124241247321133741533529184121610138147',NULL,'190',28.83,1,3,NULL),(16,3154750,'1990-04-05 00:00:00',2,4,12,2007,'M','N','CENTRO','XANXERê','SC','124241241416111431534624245122610162057',NULL,'1081',23.03,1,3,NULL),(16,3154769,'1987-03-30 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241415574441466612575125610126182',2974,'185',63.90,1,3,NULL),(16,3154777,'1990-01-03 00:00:00',4,8,12,2007,'F','N','HIGIANOPOLIS','S PAULO','SP','125252251215471431579911596122610163182',2124,'9998',66.68,1,3,NULL),(16,3154785,'1992-11-12 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241212111411648812281122610115072',NULL,'1022',26.85,4,3,NULL),(16,3154793,'1990-11-29 00:00:00',4,8,12,2008,'M','N','PIRABEIRABA','JOINVILLE','SC','124242241215111421469814275122610127057',15328,'1016',38.92,1,3,NULL),(16,3154807,'1987-12-18 00:00:00',4,1,12,2005,'M','N','TATUAPE','S PAULO','SP','125252251212521222468839593112613236197',420,'9998',76.58,1,3,NULL),(16,3154815,'1991-05-29 00:00:00',2,9,12,2008,'M','N','PINHEIROS','POUSO REDONDO','SC','124241241122131721633719342121610117057',NULL,'639',18.74,1,3,NULL),(16,3154823,'1988-12-15 00:00:00',2,1,6,2008,'M','N','RATONES','FLORIANOPOLIS','SC','124244241416472451346614475114610168182',15983,'270',37.28,1,3,NULL),(16,3154831,'1990-11-14 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIúMA','SC','124241241235272441447614345112610166172',13568,'227',42.51,1,3,NULL),(16,3154840,'1988-06-10 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124092091215573431266614571122610164191',126,'9998',80.56,4,3,NULL),(16,3154858,'1991-09-17 00:00:00',4,7,11,2008,'F','N','SANTA TERESA','JOAçABA','SC','124244241217372731439634572122610164147',9921,'962',48.92,1,3,NULL),(16,3154866,'1991-06-08 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216111431449911415125610127112',11608,'270',45.99,1,3,NULL),(16,3154882,'1981-02-22 00:00:00',4,1,11,1998,'M','N','CENTRO','PNT GROSSA','PR','116161161216151411557741215124141764182',NULL,'9998',42.99,1,3,NULL),(16,3154890,'1989-03-22 00:00:00',4,1,12,2006,'F','N','JARDIM TOPáZIO','S JOSé CAMPOS','SP','125252251215572431478933571122610163182',2794,'9998',64.43,1,3,NULL),(16,3154904,'1991-09-10 00:00:00',4,10,11,1991,'F','N','DEHON','TUBARãO','SC','124241241417151431455412572122610128052',10701,'1120',47.55,1,3,NULL),(16,3154912,'1991-11-01 00:00:00',5,2,11,2008,'F','N','CENTRO','NOVA TRENTO','SC','124244241215372431346632571124610136182',7279,'109',53.75,1,3,NULL),(16,3154920,'1991-05-12 00:00:00',2,8,12,2008,'M','N','PITANGUINHA','PITANGA','PR','116162168216111231476612375122610124042',NULL,'9998',0.00,1,3,NULL),(16,3154939,'1991-01-26 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431459931415115610167182',7865,'270',52.66,1,3,NULL),(16,3154947,'1990-01-12 00:00:00',4,2,12,2007,'F','N','ESCOLA AGRíCOLA','BLUMENAU','SC','124242241215111441467532245124132226192',10159,'855',48.50,1,3,NULL),(16,3154955,'1990-11-21 00:00:00',4,8,11,2008,'M','N','BOM RETIRO','JOINVILLE','SC','124242241213122241389814572114610167011',NULL,'1063',0.00,1,3,NULL),(16,3154963,'1991-07-21 00:00:00',4,1,11,2008,'M','N','BUENO','GOIâNIA','GO','109092091215121451449931592125610167057',2253,'9998',66.22,3,3,NULL),(16,3154971,'1989-12-21 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124244241115372431548814376114610144192',4172,'267',60.58,1,3,NULL),(16,3154980,'1989-08-11 00:00:00',2,1,12,2006,'F','N','INTERIOR','FLORES CUNHA','RS','120201201116573731634416571124610137142',6418,'9998',55.44,1,2,1),(16,3154998,'1987-09-05 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216155431368923595121231043097',5388,'270',57.68,1,3,NULL),(16,3155013,'1990-03-14 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124122241217472431458831574124610168147',199,'1022',79.23,1,3,NULL),(16,3155021,'1990-10-02 00:00:00',4,8,12,2008,'F','N','CENTRO','LONDRINA','PR','116162161217111431488811574112610122182',NULL,'9998',0.00,1,3,NULL),(16,3155030,'1988-10-12 00:00:00',4,1,12,2006,'M','N','VILA MARIANA','S PAULO','SP','125252251215572241269833595122610167112',247,'9998',78.58,1,3,NULL),(16,3155048,'1992-03-27 00:00:00',2,10,12,2009,'M','S','MATO ALTO','LAGUNA','SC','124242248215111431336931495122610117052',NULL,'525',37.55,1,3,NULL),(16,3155064,'1989-12-23 00:00:00',4,9,12,2007,'M','N','CENTRO','MAFRA','SC','124241241216132431536612572112230227047',9413,'541',49.88,1,3,NULL),(16,3155080,'1991-07-15 00:00:00',4,5,10,2008,'F','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124241241215111431458612472124610121142',10323,'213',48.21,1,3,NULL),(16,3155099,'1991-09-27 00:00:00',2,4,12,2008,'F','N','SãO FRANSCISCO','CEL FREITAS','SC','124241241116371431334632295122610128147',NULL,'199',27.65,4,2,1),(16,3155102,'1990-09-01 00:00:00',4,1,6,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242281415371411489811572112610167055',5841,'9998',56.70,1,3,NULL),(16,3155110,'1991-02-21 00:00:00',4,7,12,2008,'F','N','FLORESTA','VIDEIRA','SC','124241241117131431548933342122610133142',NULL,'831',22.44,1,3,NULL),(16,3155129,'1992-08-30 00:00:00',4,1,11,2008,'M','N','SANTO ANTONIO DE LIS','FLORIANóPOLIS','SC','124242248217121411549832271124610127062',12697,'262',44.01,1,3,NULL),(16,3155145,'1989-04-07 00:00:00',4,6,12,2006,'F','N','PARQUE AVENIDA','LIMEIRA','SP','125252251217572731448832575122610124097',7119,'9998',54.06,1,3,NULL),(16,3155153,'1989-10-12 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215373431358823375115122222097',5527,'269',57.41,1,3,NULL),(16,3155170,'1991-03-27 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124244241216111431238931575124610127043',NULL,'269',29.30,1,3,NULL),(16,3155188,'1991-05-21 00:00:00',4,2,10,2008,'F','N','VORSTADT','BLUMENAU','SC','124242241215111731568632472122610122122',NULL,'855',32.20,1,3,NULL),(16,3155196,'1990-08-08 00:00:00',4,1,12,2007,'F','N','ALVORADA','XAXIM','SC','124241241216372431559913574124610121142',4134,'185',60.69,1,3,NULL),(16,3155200,'1991-07-08 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241215372431366913572122610167042',4669,'738',59.39,1,3,NULL),(16,3155218,'1991-01-03 00:00:00',2,1,12,2008,'M','N','JARDIM SãO PAULO','S JOãO BATISTA','SC','124241241412111231333933572122610117097',NULL,'948',20.71,1,3,NULL),(16,3155226,'1991-02-15 00:00:00',4,3,12,2008,'M','N','JARDIM AMéRICA','PARANAVAí','PR','116162161217111231455923572222610142052',1563,'9998',69.03,1,3,NULL),(16,3155234,'1991-05-16 00:00:00',5,5,11,2008,'F','N','SãO LUIZ','CRICIúMA','SC','124244241215131431568834574122610126182',13761,'210',42.15,1,3,NULL),(16,3155250,'1991-11-05 00:00:00',4,2,12,2008,'F','N','VELHA','BLUMENAU','SC','124243241217371431356933595124610162187',NULL,'86',29.91,1,3,NULL),(16,3155269,'1985-12-19 00:00:00',4,1,12,2003,'F','N','CANTO','FLORIANóPOLIS','SC','124242241215374711426633342114610164117',NULL,'266',33.84,1,3,NULL),(16,3155277,'1990-09-03 00:00:00',4,1,12,2007,'F','N','IPIRANGA','S JOSé','SC','124241241113272431433334342224610123187',15558,'734',38.40,1,2,1),(16,3155285,'1990-05-02 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215473431479413574124230225037',211,'270',79.05,1,3,NULL),(16,3155293,'1986-06-09 00:00:00',4,5,12,2003,'M','N','PRóSPERA','CRICIúMA','SC','124242241215472431349611571124130627042',4029,'211',60.98,1,3,NULL),(16,3155315,'1989-09-25 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124241248415371421426311316124610147097',15814,'1075',37.72,1,3,NULL),(16,3155323,'1990-10-16 00:00:00',2,1,12,2007,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241214372431336414574124610132097',11219,'269',46.61,4,3,NULL),(16,3155340,'1990-07-16 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241248215472731457512392134610124042',NULL,'270',32.81,1,3,NULL),(16,3155358,'1990-09-24 00:00:00',4,1,12,2008,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241217112431479933575124610137052',3853,'270',61.45,1,3,NULL),(16,3155366,'1981-03-30 00:00:00',2,1,12,1998,'F','N','CENTRO','FLORIANóPOLIS','SC','224242241447575431256653372145133225017',2683,'63',64.73,1,3,NULL),(16,3155374,'1988-05-01 00:00:00',2,8,12,2005,'F','N','ALTO DA XV','CURITIBA','PR','116161161311371451446732471133610163186',2376,'9998',65.79,1,3,NULL),(16,3155382,'1990-07-21 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','121212211217111431389933571124610127112',4906,'9998',58.85,1,3,NULL),(16,3155390,'1991-12-15 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S JOSé','SC','124243241225111731533514375124610168172',11305,'262',46.47,1,3,NULL),(16,3155404,'1991-02-17 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111532368923595112610162112',7352,'270',53.61,1,3,NULL),(16,3155412,'1990-05-30 00:00:00',4,3,11,2007,'F','N','AMERICA','JOINVILLE','SC','124242241215372431348821572124232432152',2701,'486',64.67,1,3,NULL),(16,3155420,'1988-08-04 00:00:00',2,1,12,2005,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242247317474431438923572122130233017',12704,'9999',43.99,1,3,NULL),(16,3155439,'1989-05-19 00:00:00',2,1,12,2006,'F','N','TRINTA RÉIS','NOVA TRENTO','SC','124241241146553431433433575122610127142',6711,'574',54.85,1,2,1),(16,3155447,'1989-11-16 00:00:00',4,1,11,2007,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241217472431349923574124610112012',7377,'272',53.57,1,3,NULL),(16,3155455,'1992-01-15 00:00:00',2,9,12,2008,'F','N','SAO CRISTOVAO','LAGES','SC','124244241215471331455512575122610123117',5116,'515',58.34,1,3,NULL),(16,3155463,'1991-03-27 00:00:00',2,6,12,2008,'F','N','CENTRO','S JOSé CEDRO','SC','124243241316141731337723245122610126097',15795,'740',37.79,1,3,NULL),(16,3155471,'1991-04-04 00:00:00',4,2,11,2008,'M','N','PONTA AGUDA','BLUMENAU','SC','124241241135271451533411285221610148172',14736,'69',40.20,1,2,1),(16,3155480,'1992-01-18 00:00:00',4,8,12,2008,'M','N','CENTRO','CORUPá','SC','124241241415111431469613271124610168047',9868,'442',49.03,1,3,NULL),(16,3155498,'1991-04-03 00:00:00',4,3,12,2008,'M','N','JARDIM PAULISTANO','CAMPINAS','SP','125252251216111431458912471122610117056',1696,'9998',68.43,1,3,NULL),(16,3155501,'1991-03-25 00:00:00',4,1,12,2008,'M','N','CENTRO','S JOãO BATISTA','SC','124241246214111432355733375124610124187',4817,'1119',59.03,4,3,NULL),(16,3155510,'1990-10-19 00:00:00',2,1,12,2008,'M','N','CAMPO DUNA','GAROPABA','SC','124244241215131431636611291124610124182',6324,'362',55.64,1,3,NULL),(16,3155536,'1982-02-26 00:00:00',2,3,12,1999,'F','N','AREIAS','TIJUCAS','SC','124241241116132721336419435123610112077',16480,'768',35.55,1,2,1),(16,3155544,'1990-10-19 00:00:00',2,1,12,2008,'M','N','REAL PARQUE','S JOSé','SC','124242241211111131423431292124610167072',NULL,'976',29.68,1,3,NULL),(16,3155552,'1991-05-04 00:00:00',2,5,11,2008,'F','N','CENTRO','ARARANGUá','SC','124242241215122431448919375122610128142',8936,'970',50.67,1,3,NULL),(16,3155560,'1988-06-26 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241116132431448723445114610164182',10055,'267',48.68,1,2,1),(16,3155579,'1992-01-29 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124244241112371431355923574125610166012',12117,'498',45.06,1,3,NULL),(16,3155587,'1992-09-26 00:00:00',2,1,12,2009,'F','S','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215111431434914575114610162185',NULL,'273',34.79,1,3,NULL),(16,3155595,'1985-05-14 00:00:00',4,1,12,2003,'M','N','PANTANAL','FLORIANóPOLIS','SC','124051051136133331233923575114120728097',13730,'9998',42.20,4,2,1),(16,3155609,'1990-09-27 00:00:00',2,1,12,2008,'F','N','FLORESTAL','LAJEADO','RS','120204201417111421343712322112610127147',NULL,'9998',30.57,1,3,NULL),(16,3155617,'1991-08-11 00:00:00',4,8,12,2008,'M','N','COMASA','JOINVILLE','SC','124243246217151431228811372125610142182',NULL,'1105',30.80,4,3,NULL),(16,3155625,'1990-09-21 00:00:00',4,1,11,2007,'M','N','JARDIM AQUARIUS','S JOSé CAMPOS','SP','125252251215472431378712575114610167042',NULL,'9998',0.00,1,3,NULL),(16,3155633,'1992-03-01 00:00:00',4,1,12,2009,'M','S','CANTO','FLORIANóPOLIS','SC','124244241117111412456621415124610137175',NULL,'9997',28.14,1,3,NULL),(16,3155641,'1990-09-03 00:00:00',4,8,11,2008,'F','N','AMIZADE','JARAGUA DO SUL','SC','124242241215121431448933575122610162017',10210,'441',48.41,1,3,NULL),(16,3155650,'1992-01-13 00:00:00',4,1,11,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241217111722349933576124610128102',11413,'272',46.33,1,3,NULL),(16,3155668,'1985-05-19 00:00:00',4,1,12,2004,'M','N','SERRA ALTA','S BENTO SUL','SC','124241248636131731333623182124613238097',NULL,'9999',28.98,1,3,NULL),(16,3155676,'1991-01-07 00:00:00',4,1,11,2008,'F','N','BELA VISTA','S JOSé','SC','124242241215112411477713574122610133142',8427,'266',51.53,4,1,2),(16,3155692,'1990-10-22 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215372431459912272122232442092',2944,'226',63.98,1,3,NULL),(16,3155714,'1991-09-27 00:00:00',4,1,12,2008,'M','N','CENTRO','S JOSé','SC','124242241235151431458412572124610167041',7947,'724',52.51,1,3,NULL),(16,3155722,'1991-04-10 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124241248115271431336634481124610134197',NULL,'733',26.18,1,3,NULL),(16,3155730,'1991-05-08 00:00:00',4,1,11,2008,'M','N','SãO SEBASTIãO','PALHOçA','SC','124242241215111431456613272111610167067',NULL,'989',25.93,1,3,NULL),(16,3155749,'1988-01-16 00:00:00',2,3,12,2005,'F','N','REBOUçAS','CURITIBA','PR','116162161336573751448639292125610147057',1745,'9998',68.22,1,3,NULL),(16,3155757,'1990-12-03 00:00:00',4,8,11,2008,'M','N','SAGUAçU','JOINVILLE','SC','124242241217111731458912592112610164177',NULL,'486',0.00,1,3,NULL),(16,3155765,'1991-12-27 00:00:00',2,3,11,2008,'F','N','CENTRO','ITAPEMA','SC','124202241416111431369913575124610163187',2650,'1038',64.83,1,3,NULL),(16,3155773,'1991-06-13 00:00:00',2,1,12,2008,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124244241415111431445811175114610117141',NULL,'1133',46.00,1,3,NULL),(16,3155781,'1993-05-20 00:00:00',4,4,12,2009,'F','S','PRESIDENTE MéDICI','CHAPECó','SC','124242241212111751453934242122610124182',NULL,'1021',25.87,1,3,NULL),(16,3155803,'1989-08-04 00:00:00',4,1,7,2008,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124242241215371411448834572112610137181',10976,'1133',47.06,1,3,NULL),(16,3155811,'1990-06-01 00:00:00',4,1,11,2007,'M','N','VILA EMA','S JOSé CAMPOS','SP','125252251217471331479812471122610162012',7070,'9998',54.16,1,3,NULL),(16,3155838,'1989-04-10 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124201201435371231218712342324610117182',NULL,'9998',25.56,1,3,NULL),(16,3155846,'1992-01-07 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124162241216271231458714275125610122187',NULL,'44',29.39,1,3,NULL),(16,3155854,'1992-11-27 00:00:00',2,1,12,2009,'F','S','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124244241116131411446513572124610132197',NULL,'307',27.36,1,3,NULL),(16,3155870,'1991-02-05 00:00:00',2,1,12,2008,'M','N','MORRO DA CRUZ','FLORIANóPOLIS','SC','124241241117131431436338575124610118117',14003,'307',41.64,1,2,1),(16,3155889,'1989-05-12 00:00:00',4,3,12,2007,'F','N','GRANJA VIANA','CARAPICUíBA','SP','125252251217471431458811441122610144142',10959,'9998',47.10,1,3,NULL),(16,3155897,'1989-10-14 00:00:00',2,1,12,2006,'F','N','PRAIA COMPRIDA','S JOSé','SC','124241241115473431433519396214610134077',10396,'733',48.10,1,2,1),(16,3155900,'1991-07-24 00:00:00',4,1,11,2008,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241215121431464823476114610138085',5744,'270',56.97,1,3,NULL),(16,3155919,'1991-10-04 00:00:00',4,3,11,2008,'F','N','CENTRO','ITAPEMA','SC','124241241215131431349711395124610168077',13806,'403',42.05,1,3,NULL),(16,3155927,'1990-01-31 00:00:00',4,8,12,2007,'M','N','DAMHA I','PRES PRUDENTE','SP','125254251215151411466814585111610162187',3539,'9998',62.27,1,3,NULL),(16,3155935,'1990-04-04 00:00:00',4,8,12,2007,'F','N','MORADA DO SOL','CASTRO','PR','116162161216371431546614572122610121092',15585,'9998',38.35,1,3,NULL),(16,3155943,'1991-04-11 00:00:00',5,1,12,2008,'M','N','MARAPé','SANTOS','SP','125254251215121431556674245131610144047',NULL,'9998',0.00,1,3,NULL),(16,3155951,'1990-01-07 00:00:00',2,10,12,2008,'F','N','BARRA DE IBIRAQUERA','IMBITUBA','SC','124241241215111431326511575124610127117',NULL,'362',0.00,1,3,NULL),(16,3155960,'1990-02-17 00:00:00',4,1,11,2007,'M','N','CENTRO','ROLâNDIA','PR','116163161217271731623319192334610163142',NULL,'9998',0.00,1,3,NULL),(16,3155978,'1992-09-25 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241215111431469833575122610127052',NULL,'270',47.69,1,3,NULL),(16,3155986,'1988-01-03 00:00:00',2,1,12,2005,'F','N','INTERCAP','PTO ALEGRE','RS','120244241416471751458831315114133214197',NULL,'781',0.00,1,3,NULL),(16,3155994,'1990-04-12 00:00:00',4,1,12,2007,'M','N','JARDIM ESTORIL','OURINHOS','SP','116252251211471411549833574112610164127',NULL,'9998',0.00,1,3,NULL),(16,3156001,'1987-02-11 00:00:00',4,1,12,2005,'M','N','BALNEARIO','FLORIANóPOLIS','SC','124161241415143451336624345124610124187',13054,'1022',43.39,4,3,NULL),(16,3156010,'1992-03-14 00:00:00',4,10,11,2009,'M','S','CENTRO','TUBARãO','SC','124242246212141232236617375112610167052',NULL,'1120',26.74,1,3,NULL),(16,3156028,'1991-03-30 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111451489913575124610164075',39,'270',83.04,1,3,NULL),(16,3156036,'1991-03-08 00:00:00',2,1,12,2008,'M','N','BALNEARIO ESTREITO','FLORIANóPOLIS','SC','124244241215271411445312342122610127052',3823,'1134',61.54,1,3,NULL),(16,3156044,'1986-02-20 00:00:00',4,1,12,2003,'F','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241212575431469911172124221422015',301,'262',77.95,1,3,NULL),(16,3156052,'1988-12-15 00:00:00',2,2,11,2005,'M','N','CENTRO','DOURADOS','MS','112124121212431111328822181111141361176',NULL,'9998',7.96,4,3,NULL),(16,3156060,'1991-07-04 00:00:00',2,1,12,2008,'M','N','BALNEARIO ESTREITO','FLORIANóPOLIS','SC','124242248217151531588614225122610127053',12870,'258',43.72,1,3,NULL),(16,3156079,'1989-04-18 00:00:00',2,3,12,2006,'F','N','VILA ISABEL','CURITIBA','PR','116161161347573431443833574114610122172',1060,'9998',71.69,1,3,NULL),(16,3156087,'1990-11-23 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241216372532529936575124610113193',2377,'969',65.79,1,3,NULL),(16,3156095,'1990-02-21 00:00:00',4,6,12,2007,'F','N','FAZENDA','ITAJAí','SC','124242241215472431346923372122610124052',9940,'1038',48.89,1,3,NULL),(16,3156109,'1992-06-23 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241217111712456833571124610147042',15154,'1022',39.29,1,3,NULL),(16,3156117,'1988-05-28 00:00:00',2,1,11,2005,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241126374431436434345124610127172',NULL,'922',27.46,1,2,1),(16,3156125,'1989-08-11 00:00:00',4,1,11,2006,'M','N','COLINA VERDE','LONDRINA','PR','116162161217471711558611312122613267047',4895,'9998',58.87,1,3,NULL),(16,3156133,'1991-12-03 00:00:00',4,8,12,2009,'F','S','ATIRADORES','JOINVILLE','SC','124242241217111531389833574122610126132',NULL,'457',59.94,1,3,NULL),(16,3156141,'1991-04-11 00:00:00',2,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111431377619572124610137112',8177,'270',52.06,1,3,NULL),(16,3156150,'1991-03-21 00:00:00',4,1,11,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161215411531468632572122610167076',NULL,'9998',0.00,1,3,NULL),(16,3156168,'1989-05-24 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241315473431569923496114610127147',3990,'267',61.08,1,3,NULL),(16,3156176,'1991-09-09 00:00:00',4,2,12,2008,'M','N','CENTRO','JARAGUá SUL','SC','124243241217111431368933432122610137052',8146,'422',52.14,1,3,NULL),(16,3156184,'1991-03-21 00:00:00',2,8,12,2008,'M','N','CENTRO','CPO LARGO','PR','116162161215111411467911575114610162047',9203,'9998',50.24,1,3,NULL),(16,3156192,'1989-05-25 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241117471431124414272124610167052',16020,'298',37.19,1,2,1),(16,3156206,'1989-09-20 00:00:00',4,3,12,2007,'F','N','HIGIENOPOLIS','S PAULO','SP','125252251216271751387911385124243262197',NULL,'9998',0.00,1,3,NULL),(16,3156214,'1990-10-22 00:00:00',4,1,12,2007,'M','N','VILA SIQUEIRA','S PAULO','SP','125252251217471511458834575124610113187',8869,'9998',50.78,3,3,NULL),(16,3156222,'1990-05-18 00:00:00',2,10,12,2007,'M','N','VILA NOVA','IMBITUBA','SC','124241241315112431435514575112610137147',13815,'797',42.02,1,3,NULL),(16,3156230,'1992-03-22 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124163241215111431658611572124610167142',12357,'270',44.62,1,3,NULL),(16,3156249,'1991-08-13 00:00:00',4,1,12,2008,'M','N','BOSQUE DAS MANSõES','S JOSé','SC','124242241215271431389913575122610167072',944,'738',72.39,1,3,NULL),(16,3156257,'1987-04-01 00:00:00',2,1,12,2006,'M','N','PONTA DE BAIXO','S JOSé','SC','124244247322312731427611242124610164047',14362,'9999',40.94,1,3,NULL),(16,3156265,'1991-07-12 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124243241215112431548919574122610126097',8248,'1118',51.88,1,3,NULL),(16,3156273,'1991-02-14 00:00:00',4,5,11,2008,'M','N','LOTE SEIS','CRICIúMA','SC','124242246217151451459832435124610144182',12497,'995',44.39,1,3,NULL),(16,3156281,'1991-08-30 00:00:00',2,4,11,2008,'F','N','LIDER','CHAPECó','SC','124244241215371451435634245124610126097',10355,'1021',48.16,4,3,NULL),(16,3156290,'1991-05-17 00:00:00',4,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215121411457714572124610162192',9999,'1022',48.78,1,3,NULL),(16,3156303,'1990-09-01 00:00:00',4,1,11,2007,'F','N','MEIRELES','FORTALEZA','CE','106252061217471431668834572122610121142',3110,'9998',63.49,1,3,NULL),(16,3156311,'1990-12-18 00:00:00',4,9,12,2008,'M','N','BOM JESUS','CURITIBANOS','SC','124241248125141431568513192122610118057',NULL,'240',24.11,2,1,1),(16,3156346,'1987-09-23 00:00:00',4,1,11,2006,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241116573431558412575124610153017',NULL,'281',20.06,1,3,NULL),(16,3156354,'1988-09-01 00:00:00',4,1,5,2007,'M','N','JARDIM BOA VISTA','AVARé','SP','125282281217471111466914175123610137047',4718,'9998',59.27,1,3,NULL),(16,3156362,'1991-05-12 00:00:00',4,2,11,2008,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241215111431356634575124610122147',12263,'909',44.79,1,3,NULL),(16,3156370,'1992-03-07 00:00:00',4,3,12,2008,'F','N','MOINHOS','LAJEADO','RS','120201201116131431545714575124610134057',NULL,'9998',29.60,1,2,1),(16,3156389,'1992-06-30 00:00:00',4,1,12,2009,'F','S','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217111411569933572125610127052',NULL,'951',61.22,1,3,NULL),(16,3156397,'1991-08-21 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215131431448817572122610136072',2217,'273',66.35,1,3,NULL),(16,3156400,'1978-04-12 00:00:00',4,1,12,1995,'M','N','JARDIM AQUARIUS','S JOSé CAMPOS','SP','225212201217113731279844441132441466196',21,'9998',84.01,1,3,NULL),(16,3156419,'1992-12-22 00:00:00',2,1,12,2009,'F','S','AREIAS','S JOSé','SC','124242241215111431437534574122610136182',NULL,'738',24.39,1,3,NULL),(16,3156427,'1991-10-28 00:00:00',2,5,12,2008,'F','N','PIO CORREA','CRICIúMA','SC','124242241215112431459934472122610168192',1818,'226',67.94,1,3,NULL),(16,3156435,'1990-05-15 00:00:00',2,1,12,2008,'F','N','MADRI','PALHOçA','SC','124241241115372431331339143124610134147',NULL,'257',30.25,1,2,1),(16,3156443,'1991-09-10 00:00:00',2,4,12,2008,'M','N','JARDIM SANTA ROSA','FOZ IGUAçU','PR','116162161216271231363615574112610127084',7158,'9998',53.99,1,3,NULL),(16,3156451,'1991-11-27 00:00:00',2,4,12,2008,'M','N','PETRóPOLIS','PTO ALEGRE','RS','120201201117131431323636572344610127047',NULL,'9998',31.26,1,2,1),(16,3156460,'1983-11-27 00:00:00',4,1,12,2000,'F','N','JARDIM IDEAL','CANOAS','RS','120203201417472431477934571122241428182',1704,'9998',68.39,1,3,NULL),(16,3156478,'1991-08-03 00:00:00',4,3,12,2008,'F','N','PINHEIROS','PATO BRANCO','PR','116162161217271431458712572122610142142',NULL,'9998',0.00,1,3,NULL),(16,3156486,'1991-09-21 00:00:00',4,8,12,2008,'M','N','CENTRO','UNIãO VITóRIA','PR','116163161212111431478933572115610147042',8405,'9998',51.59,1,3,NULL),(16,3156494,'1991-04-02 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242248115371431469714275121610147051',11575,'129',46.05,1,3,NULL),(16,3156508,'1991-08-22 00:00:00',4,10,12,2008,'M','N','CENTRO','PEDRAS GRANDES','SC','124241241217111431435932145124610167052',4336,'809',60.17,1,3,NULL),(16,3156524,'1988-11-25 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124282241215372431478612575122230247042',316,'270',77.83,1,3,NULL),(16,3156532,'1983-09-03 00:00:00',2,1,12,2001,'M','N','CENTRO','FLORIANóPOLIS','SC','124131131217474421357614481224231914052',NULL,'9998',23.74,4,3,NULL),(16,3156540,'1990-06-09 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124244247336372431326821376224610125147',13905,'270',41.84,1,3,NULL),(16,3156559,'1992-05-28 00:00:00',4,5,11,2009,'F','S','CENTRO','ARARANGUá','SC','124242241215121431466713495122610138142',NULL,'970',42.47,1,3,NULL),(16,3156567,'1990-06-10 00:00:00',2,5,12,2007,'M','N','REBOUçAS','CURITIBA','PR','116164161215471431538611374115610147047',NULL,'9998',0.00,1,3,NULL),(16,3156575,'1976-03-25 00:00:00',4,1,11,1995,'M','N','SERRARIA','S JOSé','SC','224243247147233421236653345123131048197',11080,'9999',46.88,1,3,NULL),(16,3156583,'1981-11-24 00:00:00',4,1,12,1999,'M','N','VILA DOS LAVRADORES','BOTUCATU','SP','125252251217571411556611285121440667047',NULL,'9998',0.00,1,3,NULL),(16,3156605,'1991-07-17 00:00:00',2,1,10,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215121731436519575124610127073',9643,'266',49.44,1,3,NULL),(16,3156613,'1985-03-03 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124241247417121431323679392314610147047',NULL,'9999',24.21,1,3,NULL),(16,3156621,'1991-11-13 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241216111431457933572124610122182',11374,'1022',46.38,1,3,NULL),(16,3156630,'1992-07-06 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124241241217111431568912572145610128052',NULL,'270',20.64,4,3,NULL),(16,3156648,'1990-10-17 00:00:00',4,3,12,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','124244241217371431466916582124610167067',NULL,'1111',35.96,1,3,NULL),(16,3156656,'1991-10-15 00:00:00',2,7,12,2008,'M','N','JARDIM CENTRAL','FOZ IGUAçU','PR','116164161215371451368923375112610162124',7946,'9998',52.52,1,3,NULL),(16,3156664,'1990-11-25 00:00:00',2,1,12,2007,'M','N','DORES','STA MARIA','RS','120202204217371731468811415124610167127',4324,'9998',60.19,1,3,NULL),(16,3156672,'1989-01-10 00:00:00',4,1,11,2006,'M','N','CIDADE JARDIM','JACAREí','SP','125252251212511121468612116111610164161',5721,'9998',57.02,1,3,NULL),(16,3156680,'1982-02-15 00:00:00',5,1,12,1999,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124252251147371431689814275124141037057',7441,'9998',53.43,1,3,NULL),(16,3156699,'1991-09-11 00:00:00',2,8,11,2008,'F','N','BUCAREIN','JOINVILLE','SC','124242241217111431358934595122610138092',9022,'1063',50.55,1,3,NULL),(16,3156702,'1991-11-18 00:00:00',4,1,12,2009,'F','S','CAPOEIRAS','FLORIANóPOLIS','SC','124241241227131751424421372224610133147',NULL,'262',18.35,1,3,NULL),(16,3156729,'1991-02-28 00:00:00',4,1,12,2008,'M','N','CENTRO','PALHOçA','SC','124241241115131431443329392125610164042',15819,'591',37.71,1,2,1),(16,3156737,'1988-07-26 00:00:00',4,1,12,2005,'F','N','JARDIM ISMêNIA','S JOSé CAMPOS','SP','125251251216572431436934575122610163142',12394,'9998',44.56,2,1,2),(16,3156745,'1990-03-04 00:00:00',4,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124244241215413431248811592124610142012',6633,'807',54.98,1,3,NULL),(16,3156761,'1985-07-28 00:00:00',4,1,12,2004,'M','N','CENTRO','ITUPORANGA','SC','124241241127471431336619395122610134182',NULL,'416',35.10,1,2,1),(16,3156770,'1987-04-26 00:00:00',2,1,12,2004,'M','N','BOM JESUS','CURITIBANOS','SC','124241241142575431568513272124610117097',5722,'239',57.01,1,2,1),(16,3156788,'1992-08-18 00:00:00',4,1,12,2009,'F','S','TRINDADE','FLORIANóPOLIS','SC','124244241215111431269714575124610134145',NULL,'1022',46.80,1,3,NULL),(16,3156796,'1990-12-21 00:00:00',2,10,12,2008,'M','N','REPRESA','BRAçO NORTE','SC','124241241115151422539633345122610137067',NULL,'100',18.52,1,3,NULL),(16,3156800,'1990-03-09 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242248215111751426619395124610117042',NULL,'269',26.43,1,3,NULL),(16,3156818,'1991-06-04 00:00:00',4,1,12,2008,'F','N','PRAIA DE FORA','PALHOçA','SC','124242241215111431355629275124610121172',13760,'989',42.15,1,3,NULL),(16,3156826,'1988-09-09 00:00:00',2,1,6,2007,'M','N','SÃO J RIO VERMELHO','FLORIANOPOLIS','SC','124244247217112421426821292124610114092',NULL,'977',31.80,1,3,NULL),(16,3156834,'1991-02-24 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215111231548511345122610114052',NULL,'737',26.69,1,3,NULL),(16,3156842,'1990-07-10 00:00:00',4,9,12,2007,'F','N','MENINO DEUS','PTO ALEGRE','RS','120202201217271431236629572125610114012',16292,'9998',36.40,1,3,NULL),(16,3156850,'1991-09-27 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241217112451559614495122610167052',4913,'270',58.84,1,3,NULL),(16,3156869,'1988-02-28 00:00:00',2,8,12,2005,'M','N','FLORESTA','JOINVILLE','SC','124241241127374431433331382124610127042',NULL,'465',37.20,1,2,1),(16,3156877,'1990-03-20 00:00:00',2,1,12,2008,'F','N','JARDIM ELDORADO','PALHOçA','SC','124241241116131431436413392124610123147',NULL,'591',34.71,1,2,1),(16,3156885,'1990-08-20 00:00:00',4,6,12,2008,'M','N','JARDIM IMPERIAL','MARINGá','PR','116164161416311411233616591122610164173',NULL,'9998',27.59,1,3,NULL),(16,3156893,'1989-10-12 00:00:00',2,1,12,2006,'F','N','RATONES','FLORIANóPOLIS','SC','124243241116372431245624442124610121093',12384,'307',44.57,1,3,NULL),(16,3156907,'1991-05-10 00:00:00',2,3,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241417111431458612574124610121037',14067,'1038',41.52,1,3,NULL),(16,3156915,'1990-05-30 00:00:00',2,5,12,2007,'F','N','MINA DO MATO','CRICIúMA','SC','124241246416272731546314445124610164057',NULL,'995',0.00,1,3,NULL),(16,3156923,'1991-01-14 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124242241217371431248824575124610136042',2465,'269',65.46,1,3,NULL),(16,3156931,'1992-07-27 00:00:00',2,1,12,2009,'F','S','BARREIROS','S JOSé','SC','124244241216111441569613575122610124141',NULL,'738',29.44,1,3,NULL),(16,3156940,'1992-06-16 00:00:00',4,1,11,2009,'F','S','PONTE DO IMARUIM','PALHOçA','SC','124244241215111411436913575124610165112',NULL,'1010',29.83,1,3,NULL),(16,3156966,'1960-01-18 00:00:00',4,1,11,1983,'M','N','ABRAãO','FLORIANóPOLIS','SC','524201206136154431253344342122233262193',8117,'9998',52.19,1,3,NULL),(16,3156974,'1991-11-07 00:00:00',4,1,11,2008,'F','N','CENTRO','ERECHIM','RS','120202201217271231438913574112610162197',NULL,'9998',0.00,1,3,NULL),(16,3156990,'1977-09-02 00:00:00',2,1,12,1995,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','224241243522271431543459184124610121182',16014,'743',37.22,1,3,NULL),(16,3157016,'1989-05-15 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242248231471711336829572124133218042',15310,'817',38.94,1,3,NULL),(16,3157024,'1989-02-17 00:00:00',4,8,12,2006,'F','N','JARDIM CARVALHO','PNT GROSSA','PR','116164161216271731437923575122243266147',6632,'9998',54.99,1,3,NULL),(16,3157032,'1992-09-01 00:00:00',4,1,12,2009,'F','S','TRINDADE','FLORIANóPOLIS','SC','124242241215111431489433572112610124142',NULL,'270',0.00,1,3,NULL),(16,3157040,'1990-11-26 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124202201215411441426614291324610125142',NULL,'9998',33.31,1,3,NULL),(16,3157067,'1991-07-30 00:00:00',4,8,12,2008,'M','N','BOA VISTA','JOINVILLE','SC','124243243217111431444411585122610127072',NULL,'494',27.83,1,3,NULL),(16,3157075,'1991-06-30 00:00:00',2,4,12,2008,'M','N','BELA VISTA','CHAPECó','SC','124241241126131131443634242123610127047',NULL,'180',12.64,1,3,NULL),(16,3157083,'1990-09-13 00:00:00',4,10,11,2007,'F','N','STO ANTôNIO DE PáDUA','TUBARãO','SC','124242241215372431367914575122232417077',NULL,'806',0.00,1,3,NULL),(16,3157091,'1991-07-23 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','125252251217111431458813275112610123127',13682,'9998',42.31,1,3,NULL),(16,3157105,'1990-05-22 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124244241237573231379936575124610164192',120,'270',80.63,1,3,NULL),(16,3157113,'1992-02-09 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241415111431466632275124610137142',12603,'270',44.17,1,3,NULL),(16,3157148,'1990-10-30 00:00:00',4,1,11,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215111431278921575122610123145',1240,'270',70.72,1,3,NULL),(16,3157156,'1985-12-24 00:00:00',4,1,12,2003,'F','N','VILLAGE','IMBITUBA','SC','224244241116473441338654475124610122092',11040,'359',46.95,1,3,NULL),(16,3157164,'1990-05-02 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215472751438833595114610165077',3914,'737',61.29,1,3,NULL),(16,3157172,'1990-04-14 00:00:00',4,6,12,2007,'M','N','CABEçUDAS','ITAJAí','SC','124245241217372711459931572324610164052',3117,'1026',63.48,1,3,NULL),(16,3157180,'1992-01-22 00:00:00',2,1,12,2009,'F','S','CAMPINAS','S JOSé','SC','124242241217111431479933372124610163192',NULL,'270',42.38,1,3,NULL),(16,3157202,'1990-03-04 00:00:00',4,1,11,2008,'M','N','FLORESTA','S JOSé','SC','124241241117121431527624335124610117177',NULL,'307',3.75,4,1,1),(16,3157229,'1989-07-02 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241116312731226823445124610117072',15060,'271',39.53,2,3,NULL),(16,3157237,'1989-03-19 00:00:00',2,1,12,2006,'F','N','SERRARIAS','S JOSé','SC','124201201112272731533379385114610163197',11691,'9998',45.84,1,2,1),(16,3157245,'1990-02-12 00:00:00',2,1,12,2007,'F','N','VILA SOBRINHO','CPO GRANDE','MS','112121121117371431438531575124610164012',NULL,'9998',22.23,1,2,1),(16,3157253,'1990-05-23 00:00:00',4,1,5,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242281215371431469919575124610117045',415,'9998',76.61,1,3,NULL),(16,3157261,'1991-03-01 00:00:00',2,9,12,2008,'F','N','GUARUJA','LAGES','SC','124241241112131431333923572124610167147',NULL,'500',16.56,1,2,1),(16,3157270,'1991-11-04 00:00:00',4,8,12,2008,'M','N','ADHEMAR GARCIA','JOINVILLE','SC','124241241117271431535412272121610134057',9970,'467',48.83,4,3,NULL),(16,3157288,'1987-06-05 00:00:00',4,1,12,2004,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215575421479613375114610163147',3463,'270',62.49,1,3,NULL),(16,3157296,'1985-11-24 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124252251211573431469713491121613227092',232,'9998',78.76,1,3,NULL),(16,3157300,'1987-11-22 00:00:00',2,1,12,2004,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241115174321446614495124230227047',NULL,'307',0.00,1,2,1),(16,3157318,'1986-10-14 00:00:00',2,1,11,2004,'M','N','PRAINHA','FLORIANóPOLIS','SC','124241241132143421548733432112231217051',4366,'307',60.10,1,3,NULL),(16,3157342,'1986-07-09 00:00:00',2,1,12,2003,'M','N','NOSSA SRA DO ROSáRIO','S JOSé','SC','124242241215574431534853372122610162117',9691,'723',49.36,1,3,NULL),(16,3157350,'1989-12-04 00:00:00',4,2,12,2006,'M','N','CENTRO','CONCóRDIA','SC','124242241217473431465732192125232464047',NULL,'270',0.00,1,3,NULL),(16,3157369,'1991-08-21 00:00:00',4,9,11,2008,'M','N','SãO CRISTOVãO','LAGES','SC','124241241217121741458824342122610164192',NULL,'1065',44.48,1,3,NULL),(16,3157377,'1991-05-29 00:00:00',4,1,12,2008,'F','N','VILA BRASILEIRA','ITATIBA','SP','125253251116141412468813295122610117142',NULL,'9998',0.00,1,3,NULL),(16,3157385,'1989-10-13 00:00:00',4,1,11,2007,'F','N','DOM BOSCO','ITAJAí','SC','124242241215572431568831394122610162122',5203,'1026',58.11,1,3,NULL),(16,3157407,'1990-02-18 00:00:00',4,4,12,2007,'F','N','NEVA','CASCAVEL','PR','116163161415471731339514595122610162187',NULL,'9998',0.00,1,3,NULL),(16,3157415,'1981-04-16 00:00:00',2,1,12,1998,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241231475431346512345122331267187',663,'262',74.45,1,3,NULL),(16,3157423,'1989-05-27 00:00:00',2,8,11,2007,'F','N','BARREIRINHA','CURITIBA','PR','116161161317471431436811571224610166077',7080,'9998',54.14,1,3,NULL),(16,3157431,'1991-09-16 00:00:00',2,2,12,2008,'M','N','CENTRO','ITUPORANGA','SC','124241241115471731435511275122610127097',6564,'416',55.15,1,2,1),(16,3157440,'1990-03-08 00:00:00',2,1,11,2007,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124244241417372411358919445124610128091',4864,'359',58.95,1,3,NULL),(16,3157466,'1990-06-18 00:00:00',2,1,12,2007,'F','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','124242241217272731458812572114610123015',10292,'270',48.27,1,3,NULL),(16,3157474,'1991-01-24 00:00:00',4,1,12,2008,'F','N','CHACARA CACHOEIRA','CPO GRANDE','MS','112122121236271431568911374125610133093',568,'9998',75.23,1,3,NULL),(16,3157482,'1984-12-15 00:00:00',4,10,12,2002,'F','N','CENTRO','CAPIVARI BAIXO','SC','124243241216152441548619495122233221127',NULL,'806',29.04,1,3,NULL),(16,3157490,'1979-05-26 00:00:00',4,1,12,1999,'F','N','FLORESTA','S JOSé','SC','624243247437131431566554292122610134147',NULL,'515',17.64,1,3,NULL),(16,3157504,'1984-05-03 00:00:00',2,1,12,2002,'F','N','CAMPINAS','S JOSé','SC','624242243316135421337944245124130461197',14876,'306',39.93,1,3,NULL),(16,3157520,'1985-04-09 00:00:00',2,1,11,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241111132411325319292124230262147',NULL,'307',25.19,1,3,NULL),(16,3157539,'1991-02-14 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124241241116271711344624275124610132182',11035,'1116',46.95,1,2,1),(16,3157547,'1991-10-01 00:00:00',4,4,12,2008,'M','N','INTERIOR','PALMITOS','SC','124241242417111731324435572224610124047',NULL,'758',18.91,1,3,NULL),(16,3157563,'1989-07-28 00:00:00',4,5,12,2006,'M','N','FIGUEIRA','URUSSANGA','SC','124242241215372431446721495122610137042',3063,'820',63.62,1,3,NULL),(16,3157580,'1991-09-21 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124241248116371432514639375114610167117',NULL,'307',26.04,1,2,1),(16,3157628,'1988-02-07 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124072071216472411579914575122241434092',1559,'9998',69.08,4,3,NULL),(16,3157636,'1988-04-19 00:00:00',4,1,12,2005,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215374411479813595124231424042',762,'491',73.72,1,3,NULL),(16,3157644,'1990-02-28 00:00:00',2,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124242241217132731448629585114610137067',NULL,'1022',32.91,1,3,NULL),(16,3157660,'1985-05-23 00:00:00',4,1,12,2006,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241247247133751226621145234610124047',NULL,'977',26.05,1,3,NULL),(16,3157679,'1984-08-14 00:00:00',2,1,8,2003,'M','N','CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC','124242247215572411148621515124610148182',NULL,'9999',29.87,1,3,NULL),(16,3157687,'1981-09-09 00:00:00',4,1,12,1998,'F','N','SÃO FRANCISCO DE ASS','STO AMARO IMPERATRIZ','SC','124241244325371451533319232344610124147',NULL,'772',30.09,1,3,NULL),(16,3157709,'1990-02-17 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241116472431326923375124610137057',NULL,'137',30.21,1,2,1),(16,3157717,'1989-03-26 00:00:00',2,1,12,2008,'M','N','PETROPOLIS','PTO ALEGRE','RS','120202201217471431448831575124610127187',NULL,'9998',25.84,1,3,NULL),(16,3157725,'1986-10-09 00:00:00',4,1,12,2003,'M','N','BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP','125254251126571751546414182114610167111',6379,'9998',55.53,1,3,NULL),(16,3157733,'1969-11-20 00:00:00',2,1,12,2007,'F','N','SERTAO DO IMARUIM','S JOSé','SC','224241241125131431536144142344610127147',NULL,'1155',0.00,1,2,1),(16,3157741,'1989-07-21 00:00:00',4,6,11,2006,'M','N','CENTRO','BAL CAMBORIú','SC','124242241216373431226823575124610148097',NULL,'1058',43.38,1,3,NULL),(16,3157750,'1982-11-01 00:00:00',4,1,12,2000,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124201201111131411143344442123330237092',NULL,'9998',17.20,1,3,NULL),(16,3157768,'1987-10-01 00:00:00',4,1,12,2008,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241241117111431453623385124610126187',NULL,'9997',29.78,1,2,1),(16,3157776,'1990-04-07 00:00:00',2,1,12,2007,'F','N','ROCADO','S JOSé','SC','124241241132132431533314342124610116142',NULL,'729',26.02,1,2,1),(16,3157784,'1989-08-01 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANóPOLIS','SC','124202201217275431248833575114610162047',7333,'9998',53.65,1,3,NULL),(16,3157792,'1991-01-03 00:00:00',2,1,12,2008,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215111431228634575122610136042',2151,'107',66.58,1,3,NULL),(16,3157806,'1989-03-23 00:00:00',2,1,12,2006,'F','N','MAR GROSSO','LAGUNA','SC','124244241416371431338611385124132838182',NULL,'521',21.76,4,3,NULL),(16,3157822,'1985-07-24 00:00:00',4,1,12,2004,'F','N','CENTRO','PALHOçA','SC','124241247137132411125543135134133226197',NULL,'9999',0.00,1,2,1),(16,3157830,'1990-01-03 00:00:00',2,7,12,2008,'F','N','NAçõES','CONCóRDIA','SC','124241241116572431444614445112610124177',12982,'194',43.53,4,2,1),(16,3157849,'1990-06-02 00:00:00',4,1,12,2007,'M','N','CACUPE','FLORIANóPOLIS','SC','124244241215412431269811575124610124012',1082,'270',71.55,1,3,NULL),(16,3157857,'1990-11-16 00:00:00',2,7,12,2007,'F','N','CENTRO','CONCóRDIA','SC','124241241117471431433614472222610135097',NULL,'192',0.00,1,2,1),(16,3157873,'1988-12-09 00:00:00',4,5,7,2007,'M','N','DEMOCRATA','JZ FORA','MG','113132137217471431468634375122610147042',NULL,'9998',24.82,1,3,NULL),(16,3157881,'1964-12-31 00:00:00',2,1,12,1996,'M','N','COLôNIA SANTANA','S JOSé','SC','124201247423474411336343433114121864027',13795,'9999',42.07,4,3,NULL),(16,3157911,'1976-04-05 00:00:00',2,1,3,2005,'M','N','SERRINHA','FLORIANóPOLIS','SC','224251247227134431423344442344610116047',NULL,'1003',36.34,2,3,NULL),(16,3157920,'1984-07-07 00:00:00',2,1,12,2002,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241141475411434619345124610167187',13888,'307',41.88,1,2,1),(16,3157938,'1992-06-30 00:00:00',4,5,12,2009,'M','S','CENTRO','ORLEANS','SC','124241241215131431436631174122610164097',NULL,'820',55.83,1,3,NULL),(16,3157946,'1988-11-28 00:00:00',2,1,7,2006,'M','N','CARIANOS','FLORIANóPOLIS','SC','124243241117131431445933331134610134047',5648,'306',57.17,1,3,NULL),(16,3157954,'1989-09-16 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241217334431439614291124221466072',1134,'855',71.26,1,3,NULL),(16,3157962,'1992-06-05 00:00:00',4,5,12,2008,'M','N','CENTRO','URUSSANGA','SC','124242241217111411466812575122610122092',3825,'820',61.53,1,3,NULL),(16,3157970,'1990-07-10 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124242241216112421434923475114610167051',NULL,'1022',19.40,1,3,NULL),(16,3157997,'1989-10-28 00:00:00',2,1,12,2006,'M','N','SANTA MôNICA','COLORADO','PR','116161161117571431549614572112610167057',5847,'9998',56.69,1,2,1),(16,3158004,'1988-09-15 00:00:00',2,1,12,2006,'F','N','PANTâNO DO SUL','FLORIANóPOLIS','SC','124241248126471431435513435122610128047',NULL,'291',36.43,1,2,1),(16,3158012,'1993-03-17 00:00:00',4,9,12,2009,'F','S','CENTRO','LAGES','SC','124242241215111731368613575122610124092',NULL,'1146',59.55,1,3,NULL),(16,3158020,'1990-08-13 00:00:00',4,1,12,2007,'M','N','CENTRO','CPO GRANDE','MS','112124128436213331468832492122610117151',4703,'9998',59.30,1,3,NULL),(16,3158047,'1989-07-25 00:00:00',4,1,12,2006,'M','N','JARDIM JULIA','BEBEDOURO','SP','125251251217571751438819491112610112012',2647,'9998',64.84,1,3,NULL),(16,3158063,'1990-10-30 00:00:00',4,8,12,2008,'F','N','BAETA NEVES','S BERNARDO CAMPO','SP','125252251215111431367811571122610162193',2001,'9998',67.17,1,3,NULL),(16,3158071,'1990-01-18 00:00:00',4,1,12,2008,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241317372731448934572114133267182',14015,'9997',41.63,1,3,NULL),(16,3158080,'1991-09-05 00:00:00',4,1,12,2008,'M','N','FLORESTA','S JOSé','SC','124241248222111421427638592124610114047',NULL,'262',31.70,1,3,NULL),(16,3158098,'1991-05-13 00:00:00',4,1,12,2008,'F','N','CENTRO','CPO GRANDE','MS','112124121414111231368839592122610115141',7135,'9998',54.03,1,3,NULL),(16,3158101,'1992-09-07 00:00:00',4,1,11,2009,'F','S','BARREIROS','S JOSé','SC','124242241215111732468939472122610132092',NULL,'738',27.91,1,3,NULL),(16,3158110,'1954-04-20 00:00:00',2,1,11,1985,'M','N','TRINDADE','FLORIANóPOLIS','SC','224201247146133411422259295124120567067',NULL,'9999',34.58,1,2,1),(16,3158128,'1987-01-28 00:00:00',2,1,12,2004,'F','N','PROGRESSO','RIO DO SUL','SC','124201201117271431334629444334133263097',NULL,'9998',28.11,4,2,1),(16,3158136,'1990-01-07 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242246211272421336529445344610168077',13683,'230',42.31,4,3,NULL),(16,3158152,'1988-02-10 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124242241215273431447833312122610147057',12546,'1022',44.27,1,3,NULL),(16,3158160,'1992-06-10 00:00:00',4,5,12,2008,'M','N','PIO CORRêA','CRICIúMA','SC','124242241212111711358832595122633212122',16263,'211',36.49,1,3,NULL),(16,3158179,'1960-11-07 00:00:00',2,1,6,1982,'F','N','CARIANOS','FLORIANóPOLIS','SC','224281283137141421464453395122140866182',NULL,'9998',0.00,1,3,NULL),(16,3158187,'1990-06-22 00:00:00',2,1,6,2008,'F','N','FAZENDA STO ANTÔNIO','S JOSé','SC','124242241116131441439613395124610137057',NULL,'739',26.25,1,3,NULL),(16,3158195,'1953-06-07 00:00:00',2,1,12,1972,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','524244241436155421533551485124521926172',NULL,'307',39.04,1,3,NULL),(16,3158209,'1990-04-16 00:00:00',2,1,12,2007,'M','N','JULIA KUBITSCHEK','CEL FABRICIANO','MG','113134131216472411466314574124610131193',NULL,'9998',0.00,1,3,NULL),(16,3158217,'1988-07-11 00:00:00',4,5,11,2005,'F','N','CENTRO','CRICIúMA','SC','124242241215273731468614395122132036097',7422,'226',53.47,1,3,NULL),(16,3158225,'1985-01-05 00:00:00',2,1,12,2002,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124091091116131411225641311324142855182',6135,'9998',56.05,4,2,1),(16,3158233,'1990-03-15 00:00:00',4,1,12,2007,'M','N','CENTRO','CIANORTE','PR','116162161216451431478835575125610162092',NULL,'9998',0.00,1,3,NULL),(16,3158241,'1990-08-03 00:00:00',2,1,12,2007,'F','N','STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC','124241241116132731634413475114610128013',NULL,'978',24.85,1,2,1),(16,3158250,'1991-05-21 00:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241215111431467722575122610117042',2213,'299',66.36,1,3,NULL),(16,3158276,'1991-03-27 00:00:00',4,7,12,2008,'F','N','CAMPINA DA ALEGRIA','VARGEM BONITA','SC','124241241126161731346614245122610164147',NULL,'826',20.32,1,3,NULL),(16,3158284,'1987-09-07 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243245336313431566823442114231417047',NULL,'9999',27.92,1,3,NULL),(16,3158306,'1991-02-22 00:00:00',4,1,12,2008,'F','N','CENTRO','PALHOçA','SC','124242241215111431336313575122610112057',NULL,'9997',25.77,1,3,NULL),(16,3158314,'1988-05-06 00:00:00',4,1,11,2005,'M','N','PAES LEME','IMBITUBA','SC','124242241214372431458931415124132024087',2615,'806',64.95,1,3,NULL),(16,3158322,'1986-03-14 00:00:00',2,1,12,2003,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241112145421433314442234610117042',NULL,'307',0.00,1,2,1),(16,3158330,'1987-08-26 00:00:00',2,1,4,2007,'M','N','PASSA VINTE','PALHOçA','SC','124241247111131411434629291123610164057',NULL,'739',19.63,1,3,NULL),(16,3158365,'1991-11-20 00:00:00',4,1,11,2008,'M','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124242241215121431346611115114610134042',4818,'1022',59.03,1,3,NULL),(16,3158373,'1991-06-18 00:00:00',4,6,12,2008,'M','N','RIO BRANCO','BRUSQUE','SC','124241241147141731453514345124610144057',NULL,'108',39.25,1,2,1),(16,3158381,'1990-02-07 00:00:00',4,1,12,2007,'M','N','CENTRO NORTE','STO ÂNGELO','RS','120202201216472411579931195121610142042',NULL,'9998',0.00,4,3,NULL),(16,3158390,'1987-04-04 00:00:00',4,1,12,2004,'F','N','AREIAS','S JOSé','SC','124243241212275421467513475124132735032',6283,'738',55.72,1,3,NULL),(16,3158403,'1987-10-04 00:00:00',4,1,12,2004,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241116272431523311345234610124192',15918,'64',37.45,1,2,1),(16,3158411,'1983-09-16 00:00:00',4,1,11,2003,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241117151411336314245124610124182',NULL,'307',27.64,1,3,NULL),(16,3158420,'1989-05-15 00:00:00',4,1,12,2007,'F','N','PATAMARES','SALVADOR','BA','105052051216471731537839571124610164147',14699,'9998',40.28,2,1,2),(16,3158454,'1990-02-04 00:00:00',2,1,11,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124243241435111732328619592124613237112',NULL,'1022',20.30,1,3,NULL),(16,3158462,'1990-07-09 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241217153431358834576112221547131',2739,'9999',64.59,1,3,NULL),(16,3158470,'1985-04-18 00:00:00',4,1,11,2002,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124252253117443431457824245122122365087',9373,'9998',49.95,1,3,NULL),(16,3158489,'1989-12-06 00:00:00',4,1,12,2007,'M','N','SERRINHA','FLORIANóPOLIS','SC','124242246216473731458911345124610124042',1312,'1018',70.29,1,3,NULL),(16,3158497,'1991-06-04 00:00:00',4,4,11,2008,'M','N','MARIA GORETTI','CHAPECó','SC','124241241117271431458614345114610138052',NULL,'169',33.03,1,2,1),(16,3158500,'1990-12-17 00:00:00',4,4,11,2007,'M','N','JARDIM ITáLIA','CHAPECó','SC','124244241415471451569952575124610167127',9098,'9997',50.41,1,3,NULL),(16,3158519,'1988-09-26 00:00:00',2,1,12,2005,'M','N','CAMPINAS','S JOSé','SC','124243241216133441346624395124231862187',4537,'270',59.69,1,3,NULL),(16,3158527,'1991-10-19 00:00:00',2,1,12,2008,'F','N','POTECAS','S JOSé','SC','124244241215111412236933575124610114172',15292,'944',38.99,1,3,NULL),(16,3158535,'1991-05-24 00:00:00',2,4,10,2008,'M','N','CENTRO','ERECHIM','RS','120204201417131431544424572125610137097',9104,'9998',50.40,1,3,NULL),(16,3158543,'1991-10-16 00:00:00',2,8,11,2008,'F','N','SOSSEGO','CANOINHAS','SC','124243241235111231647611575112610134142',15489,'154',38.57,3,3,NULL),(16,3158551,'1989-10-05 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANóPOLIS','SC','125242241217473411669913575124610144046',5471,'270',57.54,1,3,NULL),(16,3158560,'1987-07-12 00:00:00',4,6,12,2004,'F','N','GRAVATá','NAVEGANTES','SC','124241241215575431446411314124610133197',2141,'1026',66.62,1,3,NULL),(16,3158578,'1984-01-05 00:00:00',2,1,8,2003,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124204201416131431433313382112140634197',7362,'9998',53.60,1,3,NULL),(16,3158586,'1987-10-07 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241246115143431444912485122133227042',NULL,'840',19.83,1,2,1),(16,3158594,'1990-12-07 00:00:00',2,1,12,2008,'F','N','BARREIROS','SAO JOSE','SC','124242248215272531434812244122610153092',NULL,'738',24.34,1,3,NULL),(16,3158608,'1973-12-04 00:00:00',4,1,12,1992,'M','N','CAMPINAS','S JOSé','SC','124244246416442421244643335134121062142',2503,'494',65.32,2,1,2),(16,3158616,'1988-12-17 00:00:00',2,3,12,2006,'F','N','BELA VISTA','LEME','SP','125252251216571331438711572112610167157',NULL,'9998',0.00,4,3,NULL),(16,3158632,'1990-12-14 00:00:00',2,2,12,2007,'M','N','SEM BAIRRO','SALETE','SC','124243242136272421526636395221610158147',NULL,'662',28.94,1,3,NULL),(16,3158640,'1987-04-19 00:00:00',4,10,11,2004,'F','N','CENTRO','TUBARãO','SC','124242241217374731456514572122232422147',7039,'807',54.22,1,3,NULL),(16,3158667,'1989-12-28 00:00:00',4,1,12,2008,'F','N','FORQUILHAS','S JOSé','SC','124241241117371411533313476124610144092',NULL,'733',23.50,1,2,1),(16,3158675,'1991-07-29 00:00:00',4,1,11,2008,'M','N','IPIRANGA','S JOSé','SC','124242241217111431568619575114610124162',5369,'1022',57.72,1,3,NULL),(16,3158683,'1989-01-07 00:00:00',2,9,12,2006,'M','N','BOA VISTA','ITUPORANGA','SC','124241241115472431459933382124610124182',3660,'416',61.92,1,2,1),(16,3158691,'1991-06-04 00:00:00',4,5,12,2008,'M','N','CENTRO','CPO BOM','RS','120203201217131431438619392122610128057',NULL,'9998',0.00,1,3,NULL),(16,3158705,'1989-10-24 00:00:00',4,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124243241215371431336611244114610121152',6562,'403',55.15,1,3,NULL),(16,3158713,'1988-10-24 00:00:00',4,8,12,2005,'M','N','JARDIM SOFIA','JOINVILLE','SC','124243241417135411125841215124231467115',7088,'270',54.12,1,3,NULL),(16,3158721,'1990-07-14 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124243247216111731258352472122610128182',NULL,'9999',0.00,1,3,NULL),(16,3158730,'1991-06-10 00:00:00',4,6,11,2008,'M','N','FAZENDA','ITAJAí','SC','124242241237112731478839595112232467047',NULL,'388',0.00,1,3,NULL),(16,3158748,'1990-05-03 00:00:00',4,1,12,2007,'F','N','JARDIM COPACABANA','CPO GRANDE','MS','112122121216473731348831575122610168197',NULL,'9998',29.58,1,3,NULL),(16,3158756,'1988-07-04 00:00:00',4,1,12,2005,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241215574431489914442122220634142',8562,'270',51.32,1,3,NULL),(16,3158764,'1991-01-17 00:00:00',2,6,12,2007,'F','N','ESPINHEIROS','ITAJAí','SC','124201241112131431333611245124230263097',15275,'395',39.03,1,2,1),(16,3158772,'1981-04-23 00:00:00',4,1,12,2000,'M','N','CAMPINAS','S JOSé','SC','124242247246574331148817435134131067082',NULL,'9999',0.00,1,3,NULL),(16,3158780,'1991-06-26 00:00:00',4,8,12,2008,'M','N','CHÁCARAS MANTOVANI','AMERICANA','SP','125254251215111431368824575122610127042',5665,'9998',57.15,1,3,NULL),(16,3158799,'1984-05-17 00:00:00',2,1,7,2002,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241312373431438611292122131065097',NULL,'1076',21.87,4,3,NULL),(16,3158845,'1992-03-01 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215112211468814375124610146091',5138,'737',58.27,1,3,NULL),(16,3158853,'1991-07-01 00:00:00',4,1,12,2008,'F','N','GONZAGA','SANTOS','SP','125252251217111431338667572111610134114',3332,'9998',62.90,1,3,NULL),(16,3158861,'1990-01-25 00:00:00',4,1,12,2007,'M','N','JARDIM MARISTELA','ATIBAIA','SP','125242251217471431367614375122610162012',11765,'9998',45.71,1,3,NULL),(16,3158870,'1991-05-08 00:00:00',4,1,12,2008,'M','N','BELA VISTA','PANAMBI','RS','120202201316131441427623345134610162172',NULL,'9998',0.00,1,3,NULL),(16,3158888,'1976-09-06 00:00:00',4,1,12,1993,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241211375751366679435115322866112',4423,'269',59.95,1,3,NULL),(16,3158896,'1991-01-01 00:00:00',2,1,12,2008,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124242241215111431446629372124610132052',NULL,'1023',27.11,1,3,NULL),(16,3158900,'1991-02-02 00:00:00',2,4,12,2008,'F','N','INTERIOR','ENTRE R SUL','RS','120201201126151731433315352122610166057',NULL,'9998',23.82,1,2,1),(16,3158918,'1990-06-06 00:00:00',4,1,12,2007,'M','N','BOSQUE DAS MANSõES','S JOSé','SC','124242241216272431469933575124221067062',489,'1050',75.85,4,3,NULL),(16,3158926,'1991-12-29 00:00:00',4,9,12,2008,'M','N','PENHA','LAGES','SC','124241241117471411266615495124610134172',10506,'505',47.90,1,3,NULL),(16,3158942,'1990-08-10 00:00:00',2,1,12,2007,'M','N','JD EUROPA','FOZ IGUAçU','PR','116281161216411422653314575114610167042',4225,'9998',60.43,1,3,NULL),(16,3158950,'1990-10-11 00:00:00',4,2,12,2007,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124242241115372431679921474124132844096',6196,'88',55.92,1,3,NULL),(16,3158977,'1990-07-03 00:00:00',2,1,11,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215372431476823595124610164062',4834,'270',59.01,1,3,NULL),(16,3158985,'1988-04-10 00:00:00',4,1,12,2005,'F','N','ARMACAO DO P DO SUL','FLORIANóPOLIS','SC','124241241137374431338823342123610134187',13201,'307',43.14,1,2,1),(16,3159000,'1992-04-28 00:00:00',4,1,12,2009,'M','S','ESTREITO','FLORIANóPOLIS','SC','124242241217111431358631571114610167017',NULL,'738',42.59,1,3,NULL),(16,3159019,'1988-11-18 00:00:00',4,1,12,2006,'M','N','MEIRELES','FORTALEZA','CE','106062061216571411477611572124610167186',NULL,'9998',0.00,1,3,NULL),(16,3159027,'1981-12-19 00:00:00',2,10,12,2000,'F','N','MORROTES','TUBARAO','SC','124241248126131731323324242334610124147',NULL,'800',0.00,1,2,1),(16,3159035,'1990-01-17 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215472411466611575122610164195',1184,'270',71.03,1,3,NULL),(16,3159043,'1990-10-22 00:00:00',4,1,11,2007,'M','N','CENTRO','SORRISO','MT','124111111216472431543314172122610122052',4643,'9998',59.45,1,3,NULL),(16,3159051,'1992-04-24 00:00:00',4,10,12,2009,'F','S','AEROPORTO','TUBARãO','SC','124242241215111431359914575122610124142',NULL,'797',29.80,1,3,NULL),(16,3159060,'1992-04-30 00:00:00',4,1,12,2008,'F','N','ESTREITO','S JOSé','SC','124242241215111431468813572122610166142',16623,'738',34.65,1,3,NULL),(16,3159086,'1989-05-14 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217374731668831395124231125193',3708,'1022',61.81,1,3,NULL),(16,3159094,'1990-03-02 00:00:00',2,4,11,2007,'F','N','PRIMAVERA','XAXIM','SC','124243241316141731327511315135613224012',NULL,'994',0.00,1,3,NULL),(16,3159108,'1989-11-14 00:00:00',2,5,12,2007,'M','N','CENTRO','CRICIúMA','SC','120242241211472211438811572124610166052',1591,'211',68.92,1,3,NULL),(16,3159116,'1985-04-22 00:00:00',4,1,12,2002,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124252251216273711368819495122322137185',6851,'9998',54.57,1,3,NULL),(16,3159124,'1990-09-18 00:00:00',4,1,11,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124112241217371731558614575124610168187',NULL,'272',45.62,1,3,NULL),(16,3159132,'1990-03-12 00:00:00',2,3,12,2007,'F','N','CENTRO','CPO MOURãO','PR','116162161236271531468819595115610114114',NULL,'9998',0.00,1,3,NULL),(16,3159140,'1987-07-09 00:00:00',5,1,12,2004,'F','N','JURERE','FLORIANóPOLIS','SC','124244241215574431468833572124121431182',3861,'262',61.43,1,3,NULL),(16,3159159,'1988-05-10 00:00:00',4,1,12,2005,'M','N','CENTRO','BRUSQUE','SC','124242241217374431457914375124121464012',449,'109',76.25,1,3,NULL),(16,3159167,'1991-04-25 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215131441346639572122610141017',13038,'738',43.44,1,3,NULL),(16,3159175,'1991-06-14 00:00:00',4,2,11,2008,'F','N','SãO VIRGILIO','RODEIO','SC','124241241215111431559813575122610133147',8178,'1157',52.06,1,3,NULL),(16,3159183,'1988-03-03 00:00:00',2,1,12,2004,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241316272431343943435124230828197',NULL,'307',32.99,1,3,NULL),(16,3159191,'1988-04-18 00:00:00',4,3,11,2005,'M','N','CENTRO','BAL CAMBORIú','SC','124241241216573432668913475124221434047',NULL,'44',0.00,1,3,NULL),(16,3159205,'1991-07-17 00:00:00',2,8,11,2008,'F','N','ACARAI','S FRANCISCO SUL','SC','124241241115271431336624172121610131017',13678,'710',42.32,1,2,1),(16,3159213,'1991-09-30 00:00:00',4,7,12,2008,'F','N','CENTRO','TREZE TíLIAS','SC','124241241116151431257923345122610132142',9841,'795',49.08,1,3,NULL),(16,3159221,'1983-04-08 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','124203201327371421123341215124142937187',NULL,'9998',14.91,1,3,NULL),(16,3159230,'1992-09-25 00:00:00',4,1,2,2008,'F','N','BARREIROS','S JOSé','SC','124112241216115531345823175321610161177',15155,'1118',39.29,1,3,NULL),(16,3159256,'1992-03-19 00:00:00',4,1,2,2009,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124242248215112431448713575124610124082',NULL,'266',23.85,1,3,NULL),(16,3159264,'1991-03-08 00:00:00',2,7,12,2008,'M','N','INTERIOR','VIDEIRA','SC','124241241415111431413616572324610137042',10409,'829',48.08,1,3,NULL),(16,3159272,'1990-02-27 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124244241112372431523311145134610167147',NULL,'734',25.88,1,3,NULL),(16,3159280,'1990-09-23 00:00:00',4,1,11,2008,'F','N','POTECAS SãO JOSé','S JOSé','SC','124241241115151431325611572214610147042',15530,'307',38.47,1,3,NULL),(16,3159299,'1991-09-04 00:00:00',2,10,11,2008,'F','N','DEHON','TUBARãO','SC','124243248215111751558611492112610118142',14245,'806',41.15,1,3,NULL),(16,3159302,'1991-07-12 00:00:00',2,5,12,2008,'F','N','CENTRO','URUBICI','SC','124241241215151411428933572122610164197',14123,'817',41.39,1,3,NULL),(16,3159310,'1990-12-11 00:00:00',4,1,11,2008,'M','N','BELA VISTA II','S JOSé','SC','124242241212111431649733335124610168017',NULL,'1118',25.39,1,3,NULL),(16,3159329,'1988-04-20 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSé','SC','124242241216374411348812572214133143152',1013,'270',72.01,1,3,NULL),(16,3159337,'1954-09-21 00:00:00',2,1,12,1976,'M','N','CENTRO','MARINGá','PR','216161167121571441252249191122343267187',6739,'9999',54.79,1,3,NULL),(16,3159345,'1980-11-08 00:00:00',4,8,12,1996,'M','N','PETROPOLIS','JOINVILLE','SC','124161161121231441421124181341610167092',NULL,'9998',23.12,4,2,1),(16,3159353,'1987-08-13 00:00:00',2,1,12,2005,'F','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241241337132431323311342214230235147',NULL,'262',28.66,1,3,NULL),(16,3159361,'1990-02-26 00:00:00',2,1,12,2007,'F','N','FIGUEIRA','URUSSANGA','SC','124241241215473431339613574124610123182',2207,'270',66.39,1,3,NULL),(16,3159370,'1989-04-13 00:00:00',4,9,12,2006,'M','N','GUADALUPE','LAGES','SC','124241247345272431336519572224610124017',NULL,'9999',29.96,1,3,NULL),(16,3159388,'1990-01-30 00:00:00',4,1,12,2007,'F','N','PINEVILLE','PINHAIS','PR','116161161316471731547714391124610163187',14858,'9998',39.97,1,3,NULL),(16,3159396,'1988-06-05 00:00:00',4,1,12,2005,'F','N','JARDIM GOIAS','GOIÂNIA','GO','109092091212511411268724592112242862197',954,'9998',72.31,1,3,NULL),(16,3159400,'1992-06-01 00:00:00',2,1,11,2009,'F','S','BARREIROS','S JOSé','SC','124242241215111731444312292124610127013',NULL,'738',36.11,1,3,NULL),(16,3159418,'1990-04-01 00:00:00',4,8,12,2007,'F','N','IRIRIU','JOINVILLE','SC','124244246217151411439631442121610134077',NULL,'494',24.81,1,3,NULL),(16,3159426,'1988-12-17 00:00:00',2,1,12,2006,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241247617271221556419342114610164067',NULL,'9999',3.29,1,3,NULL),(16,3159434,'1991-10-14 00:00:00',4,10,12,2008,'F','N','CENTRO','CAPIVARI BAIXO','SC','124244241216111231356739575124610124077',9807,'797',49.14,1,3,NULL),(16,3159450,'1988-08-15 00:00:00',4,1,12,2008,'F','N','MORRO DA BINA','BIGUAçU','SC','124241241145161731526633492224610123187',NULL,'1088',20.49,2,1,1),(16,3159469,'1991-12-11 00:00:00',4,2,12,2008,'F','N','GASPARINHO','GASPAR','SC','124242241215111431449634572122610166142',3962,'955',61.16,1,3,NULL),(16,3159477,'1989-03-20 00:00:00',4,1,12,2007,'M','N','BAIRRO ALTO','CURITIBA','PR','116161161116371441447332241124610122097',8731,'622',51.02,1,2,1),(16,3159485,'1989-04-30 00:00:00',2,1,12,2006,'M','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124243241117372431456313345122610117157',12850,'307',43.75,1,3,NULL),(16,3159493,'1990-01-06 00:00:00',2,5,12,2007,'M','N','FIGUEIRA','URUSSANGA','SC','123244246216372431458829475124610127112',2257,'995',66.20,1,3,NULL),(16,3159507,'1990-03-07 00:00:00',4,5,12,2007,'F','N','PINHEIRINHO','CRICIúMA','SC','124241241215272431346611375124610145167',4277,'920',60.31,1,3,NULL),(16,3159515,'1990-12-13 00:00:00',4,2,12,2007,'M','N','PROGRESSO','BLUMENAU','SC','124242241216152431456913391124610166177',2543,'71',65.19,1,3,NULL),(16,3159523,'1991-08-18 00:00:00',4,1,11,2008,'M','N','REBOUCAS','CURITIBA','PR','124162161216472431478811575114610164062',NULL,'9998',0.00,1,3,NULL),(16,3159531,'1979-02-20 00:00:00',4,1,11,1992,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241236275431125443235334222336092',10888,'272',47.21,1,3,NULL),(16,3159540,'1991-05-07 00:00:00',4,1,12,2008,'F','N','METZLER','CPO BOM','RS','120204201217271431458811411122610165147',NULL,'9998',42.36,1,3,NULL),(16,3159558,'1990-04-18 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124201241116271431338713475124610124141',NULL,'307',27.58,1,2,1),(16,3159566,'1991-02-18 00:00:00',4,6,11,2008,'M','N','FAZENDA','ITAJAí','SC','124242241215151431456631575122610124097',6770,'1026',54.72,4,3,NULL),(16,3159574,'1991-10-08 00:00:00',2,4,11,2008,'F','N','FAXINAL GRANDE','FAXINALZINHO','RS','120201241214151711456636575121610113167',2418,'185',65.65,1,3,NULL),(16,3159582,'1991-11-28 00:00:00',4,3,12,2008,'M','N','PRAIA DOS AMORES','BAL CAMBORIú','SC','124242241215111431449824385122610122197',NULL,'391',44.11,1,3,NULL),(16,3159590,'1989-08-17 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241217572431369934572124610132012',395,'185',76.87,1,3,NULL),(16,3159612,'1991-09-11 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124242241215111431436613571122610165097',NULL,'1074',23.25,1,3,NULL),(16,3159620,'1992-02-17 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124243241215112431545723575124610168197',14969,'1022',39.73,1,3,NULL),(16,3159647,'1990-09-30 00:00:00',4,1,11,2007,'F','N','CARIANOS','FLORIANóPOLIS','SC','124244241115374431336633392124610127092',8065,'271',52.29,1,3,NULL),(16,3159655,'1990-12-05 00:00:00',4,4,12,2008,'M','N','CENTRO','S JOSé CEDRO','SC','124241241147141431237823395125610147047',15705,'740',38.06,1,2,1),(16,3159663,'1987-09-10 00:00:00',4,1,9,2005,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242281415574411588813574114132467112',76,'9998',81.56,1,3,NULL),(16,3159671,'1988-11-16 00:00:00',4,6,12,2005,'M','N','CENTRO','PENHA','SC','124244241216153231579913595112131467052',11491,'392',46.19,1,3,NULL),(16,3159698,'1989-09-10 00:00:00',4,1,11,2007,'M','N','SANTO ANTôNIO','JOINVILLE','SC','124242241215472431458814575112610117047',4517,'491',59.73,1,3,NULL),(16,3159701,'1991-10-06 00:00:00',4,10,11,2008,'M','N','MONTE CASTELO','TUBARãO','SC','624244241217151732437624575122610114012',NULL,'1120',0.00,1,3,NULL),(16,3159710,'1991-03-01 00:00:00',4,6,12,2008,'F','N','SÃO JOÃO','ITAJAí','SC','124241241215371431533521275122610167041',NULL,'392',30.81,1,3,NULL),(16,3159728,'1977-11-30 00:00:00',4,1,12,1997,'M','N','CAMPECHE','FLORIANOPOLIS','SC','224201207127131431325549395122141241097',NULL,'9998',0.00,1,3,NULL),(16,3159736,'1991-04-05 00:00:00',2,1,12,2007,'F','N','JOSE MENINO','SANTOS','SP','125114111216472431133631372324610127072',1100,'9998',71.46,1,3,NULL),(16,3159752,'1992-07-17 00:00:00',4,3,11,2008,'M','N','ANDORINHA','ITAPEMA','SC','124241241217371431447629372122610136052',873,'403',72.84,1,3,NULL),(16,3159760,'1988-04-30 00:00:00',2,1,12,2005,'M','N','BARREIROS','S JOSé','SC','124172241337373411336619442114121636047',9425,'257',49.85,1,3,NULL),(16,3159779,'1988-04-12 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241117374431446714582124610137057',11958,'384',45.34,1,2,1),(16,3159787,'1990-07-05 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSé','SC','124242241216472431256823395124610134042',11372,'724',46.38,1,3,NULL),(16,3159795,'1992-07-07 00:00:00',4,1,12,2009,'M','S','ESTREITO','FLORIANóPOLIS','SC','124241241115131431536711575124610117047',NULL,'257',0.00,1,3,NULL),(16,3159809,'1989-03-20 00:00:00',3,1,6,2007,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241117153431338611216124133266142',5741,'306',56.97,1,2,1),(16,3159817,'1991-02-22 00:00:00',4,1,12,2008,'F','N','CENTRO','AURORA','SC','124241241137141731336332245122610133147',16042,'40',37.14,1,2,1),(16,3159825,'1968-07-14 00:00:00',2,1,7,1995,'F','N','SANTA TEREZA','S PEDRO ALCâNTARA','SC','224241247127141421552143435122610131197',NULL,'9999',21.70,1,3,NULL),(16,3159833,'1990-08-13 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241117371441543511315114610164111',7734,'306',52.90,1,2,1),(16,3159841,'1987-08-13 00:00:00',4,1,7,2005,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124243247431273411526825411122610164115',NULL,'9999',22.30,1,3,NULL),(16,3159850,'1989-04-21 00:00:00',2,1,12,2006,'F','N','JARDIM AQUARIUS','S JOSé CAMPOS','SP','125252251416571711679831575122610142152',1903,'9998',67.57,1,3,NULL),(16,3159868,'1990-12-12 00:00:00',4,2,11,2007,'F','N','VILA FORMOSA','BLUMENAU','SC','124242241215472431468924575112610148192',1237,'87',70.76,1,3,NULL),(16,3159876,'1989-12-22 00:00:00',2,4,11,2008,'M','N','UNIVERSITáRIO','CHAPECó','SC','124243242415111731368923574122610157067',NULL,'185',0.00,1,3,NULL),(16,3159884,'1991-08-08 00:00:00',4,2,11,2008,'M','N','CARIJóS','INDAIAL','SC','124241241215111531446834245124610167052',12958,'1157',43.58,1,3,NULL),(16,3159906,'1969-10-08 00:00:00',4,1,12,1986,'F','N','CENTRO','FLORIANóPOLIS','SC','524244241215375411248871474122121466191',NULL,'262',13.29,1,3,NULL),(16,3159914,'1991-06-02 00:00:00',2,1,12,2008,'F','N','CENTRO','NOVA LONDRINA','PR','116162161217271411329923235122610117077',16112,'9998',36.90,1,3,NULL),(16,3159922,'1990-12-07 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124162241215272751658819575124610168091',374,'270',77.10,1,3,NULL),(16,3159930,'1989-09-17 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215372421448811475122610161097',13855,'1022',41.93,1,3,NULL),(16,3159949,'1981-06-28 00:00:00',2,1,6,2000,'F','N','SAO JOSE','S JOSé','SC','124243241322374441343311445124510166092',NULL,'9999',28.53,1,3,NULL),(16,3159965,'1990-02-15 00:00:00',2,8,12,2007,'F','N','JARDIM AMÉRICA','PNT GROSSA','PR','116162161216471411579911575124610126192',5043,'9998',58.52,1,3,NULL),(16,3159973,'1986-09-17 00:00:00',2,1,7,2005,'M','N','BELA VISTA I','S JOSé','SC','124243247441141421356679392224231056047',NULL,'9999',0.00,2,1,2),(16,3159981,'1991-08-26 00:00:00',4,10,11,2009,'F','S','CENTRO','TUBARãO','SC','624242241216151411339913375122610164097',NULL,'807',17.26,1,3,NULL),(16,3159990,'1990-12-05 00:00:00',4,5,12,2008,'F','N','CENTRO','IçARA','SC','124243241215111431468811575122610164092',2306,'226',66.03,1,3,NULL),(16,3160009,'1990-09-18 00:00:00',2,10,11,2008,'M','N','CENTRO','BRAçO NORTE','SC','124242241216272731436652375124610147062',NULL,'950',26.10,1,3,NULL),(16,3160017,'1989-12-12 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241214473431326814572324610114097',13325,'1057',42.91,1,3,NULL),(16,3160025,'1962-07-11 00:00:00',2,1,12,1983,'F','N','COQUEIROS','FLORIANóPOLIS','SC','224241245216152431426659412114610148143',NULL,'266',35.04,1,3,NULL),(16,3160033,'1989-03-24 00:00:00',2,8,11,2006,'F','N','DONATOS','STA VITóRIA PALMAR','RS','120203201131371431426623381211610124077',NULL,'9998',0.00,1,3,NULL),(16,3160041,'1991-04-11 00:00:00',4,4,12,2008,'F','N','INTERIOR','QUILOMBO','SC','124241241115131321436635472224610127052',NULL,'648',16.36,1,3,NULL),(16,3160050,'1989-01-14 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124244241217372751446679342222610127047',NULL,'1076',24.80,1,3,NULL),(16,3160068,'1991-07-03 00:00:00',2,1,12,2008,'F','N','CENTRO','S JOãO BATISTA','SC','124244241115371431346932575122610138172',14965,'712',39.74,1,3,NULL),(16,3160076,'1991-08-09 00:00:00',4,8,11,2008,'M','N','VILA FERROVIARIA','MAFRA','SC','124162241216111431566812585112610124011',NULL,'541',40.01,1,3,NULL),(16,3160092,'1985-12-13 00:00:00',4,1,12,2006,'M','N','TAPERA','FLORIANóPOLIS','SC','124242241117153421333313445114610164144',15810,'306',37.75,1,3,NULL),(16,3160106,'1985-10-21 00:00:00',2,1,12,2003,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241112373431236473335123610162047',7024,'281',54.25,1,2,1),(16,3160114,'1988-10-06 00:00:00',4,1,12,2006,'M','N','CANTO','FLORIANóPOLIS','SC','124241254136131131466923585112610117047',16010,'9998',37.23,1,3,NULL),(16,3160122,'1989-05-14 00:00:00',4,1,7,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242247215231431238823395124610127042',NULL,'9999',19.60,2,1,2),(16,3160130,'1990-01-10 00:00:00',4,1,7,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241117371711458728312114610137015',271,'306',78.35,1,3,NULL),(16,3160157,'1990-12-04 00:00:00',4,7,12,2008,'M','N','VILA ALEMANHA','LUZERNA','SC','124242241116271431459933574125610167012',4721,'446',59.26,1,3,NULL),(16,3160165,'1990-02-15 00:00:00',4,1,12,2007,'M','N','ZONA SETE','MARINGá','PR','116161161115471431539613572115610162177',NULL,'9998',0.00,1,2,1),(16,3160173,'1989-08-04 00:00:00',4,1,12,2007,'M','N','CENTRO','S MARCOS','RS','120201201116141431446814445132610127142',16632,'9998',34.50,1,3,NULL),(16,3160181,'1990-07-23 00:00:00',2,5,12,2007,'M','N','SANTA CRUZ','FORQUILHINHA','SC','124241246125411231343322371212610127052',NULL,'214',19.53,1,3,NULL),(16,3160190,'1984-01-15 00:00:00',4,1,3,2005,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241127131421336327295122610124047',NULL,'307',27.87,1,3,NULL),(16,3160203,'1991-09-14 00:00:00',2,4,12,2008,'M','N','INTERIOR','QUILOMBO','SC','124241241116151432433412472224610134157',NULL,'648',39.10,1,3,NULL),(16,3160220,'1991-04-11 00:00:00',4,1,12,2008,'F','N','ENGENHO SECO','LOUVEIRA','SP','125252251217151711668711575124610167097',NULL,'9998',0.00,1,3,NULL),(16,3160238,'1990-10-17 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','S JOSé','SC','124244241215372431426633372124610167112',9390,'944',49.92,1,3,NULL),(16,3160254,'1990-12-13 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241117471431424411475124610122141',14744,'288',40.19,1,2,1),(16,3160262,'1989-09-22 00:00:00',4,3,12,2008,'M','N','ANDORINHA','ITAPEMA','SC','124242241127372431448514292324610162177',6146,'405',56.04,1,3,NULL),(16,3160270,'1991-09-24 00:00:00',2,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124242241115111431468614575122610137042',1182,'723',71.03,1,3,NULL),(16,3160289,'1990-03-21 00:00:00',4,2,12,2008,'M','N','FORTALEZA','BLUMENAU','SC','124241241416111431553314315124610148182',12977,'88',43.54,1,3,NULL),(16,3160300,'1990-05-07 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241315472411366931572124610138052',2010,'1098',67.14,1,3,NULL),(16,3160319,'1987-04-04 00:00:00',4,1,12,2004,'M','N','JARDIM BONGIOVANE','PRESIDENTE PRUDENTE','SP','125251251416471731478812485122143235097',14984,'9998',39.70,1,3,NULL),(16,3160327,'1993-04-02 00:00:00',2,4,12,2009,'M','S','SãO CRISTóVãO','CHAPECó','SC','124242241215111431346614372122610117045',NULL,'185',26.91,1,3,NULL),(16,3160335,'1980-08-31 00:00:00',4,1,11,2000,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242246337134421228841315224221421082',4923,'306',58.81,1,3,NULL),(16,3160343,'1991-05-20 00:00:00',2,1,11,2008,'M','N','FLORESTA','S JOSé','SC','124242243215111331468834575122610117052',15931,'723',37.42,1,3,NULL),(16,3160351,'1991-08-02 00:00:00',4,8,11,2008,'F','N','JARDIM SOCIAL','CURITIBA','PR','116162161215111431469914572122610137072',NULL,'9998',0.00,1,3,NULL),(16,3160386,'1991-04-05 00:00:00',2,1,12,2007,'F','N','ROçADO','S JOSé','SC','124243241215471431226624272124610163197',5452,'724',57.58,1,3,NULL),(16,3160394,'1988-08-13 00:00:00',4,1,11,2006,'M','N','SUMAREZINHO','S PAULO','SP','125252251417471731668834481124610167047',4309,'9998',60.22,1,3,NULL),(16,3160408,'1989-07-19 00:00:00',4,9,12,2006,'M','N','CENTRO','CPO BELO SUL','SC','124241241116131532435623472124232264057',10172,'745',48.47,1,2,1),(16,3160416,'1991-01-23 00:00:00',4,1,11,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241115131431336823175124610127111',16683,'288',33.92,1,2,1),(16,3160424,'1990-09-21 00:00:00',4,5,12,2008,'F','N','CENTRO','CRICIúMA','SC','124132241215111411579814395112610127075',9641,'226',49.44,1,3,NULL),(16,3160432,'1990-09-11 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215162411549713572112610161065',15089,'737',39.44,1,3,NULL),(16,3160440,'1991-02-20 00:00:00',4,8,10,2008,'F','N','VILA NOVA','JOINVILLE','SC','124241241215131411425669391224610165077',9392,'456',49.91,1,3,NULL),(16,3160459,'1991-03-01 00:00:00',4,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241217112731466619575112610135172',3487,'270',62.41,1,3,NULL),(16,3160467,'1990-05-16 00:00:00',4,1,12,2007,'M','N','ZONA OITO','MARINGá','PR','116162161215371432457731372112610167082',NULL,'9998',41.73,1,3,NULL),(16,3160475,'1991-09-24 00:00:00',4,8,12,2009,'F','S','CENTRO','S BENTO SUL','SC','124242241215111311369614275122610138172',NULL,'1073',30.55,1,3,NULL),(16,3160483,'1989-07-17 00:00:00',4,2,12,2006,'F','N','JARDIM DAS HORTENSIA','RIO OESTE','SC','124192191436131531428734571222610136097',NULL,'9998',0.00,1,3,NULL),(16,3160491,'1988-02-13 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241137131711536629245124131013057',NULL,'281',25.39,1,2,1),(16,3160505,'1987-06-20 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241417572431489334575112131414097',15786,'666',37.83,1,3,NULL),(16,3160521,'1972-05-01 00:00:00',5,1,12,1989,'F','N','COQUEIROS','FLORIANóPOLIS','SC','524241243122131431626313282124333243097',NULL,'228',31.12,1,2,1),(16,3160530,'1991-04-14 00:00:00',4,1,12,2008,'F','N','CENTRO','CURITIBA','PR','116133161417111431224931572122610122097',NULL,'9998',29.69,1,3,NULL),(16,3160548,'1992-04-21 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431468914574122610122127',13422,'270',42.76,1,3,NULL),(16,3160556,'1992-01-23 00:00:00',4,2,11,2008,'F','N','POÇO GRANDE','GASPAR','SC','124242241217111431458832572124610126192',13050,'909',43.40,1,3,NULL),(16,3160564,'1984-12-21 00:00:00',4,1,12,2002,'F','N','ITAGUAçú','FLORIANóPOLIS','SC','124244241211134451326629291124131344097',15703,'596',38.06,4,1,2),(16,3160572,'1993-02-13 00:00:00',4,3,11,2009,'F','S','CENTRO','BAL CAMBORIú','SC','124242241215111431434632575123610122142',NULL,'1038',49.03,1,3,NULL),(16,3160580,'1990-12-19 00:00:00',2,10,11,2008,'F','N','CENTRO','BRAçO NORTE','SC','124242241217131431443332272122610143147',12365,'950',44.60,1,3,NULL),(16,3160610,'1989-10-12 00:00:00',4,5,12,2007,'F','N','CRISTO REDENTOR','CRICIúMA','SC','120201201116131431513331281124610144117',NULL,'9998',26.60,2,2,1),(16,3160637,'1991-05-07 00:00:00',4,2,11,2008,'M','N','BADENFURT','BLUMENAU','SC','124241241215271431435534576114610118012',345,'855',77.41,1,3,NULL),(16,3160645,'1991-06-18 00:00:00',4,10,12,2008,'M','N','CENTRO','TUBARãO','SC','124242246236271431536614574122610128117',14313,'1120',41.02,1,3,NULL),(16,3160661,'1990-10-03 00:00:00',1,9,12,2007,'F','N','CENTRO','AGRONôMICA','SC','124242241415371711459714275124610127092',NULL,'654',28.40,1,3,NULL),(16,3160670,'1988-11-19 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215423321469813575122130217042',12645,'270',44.09,1,3,NULL),(16,3160688,'1988-02-24 00:00:00',4,1,12,2005,'M','N','SANTANA','RIO SUL','SC','124242241216232411459613475112133216192',7316,'663',53.68,1,3,NULL),(16,3160696,'1991-09-16 00:00:00',4,2,12,2008,'F','N','TESTO CENTRAL','POMERODE','SC','124241241217131431457933575122610147147',13219,'88',43.11,1,3,NULL),(16,3160700,'1992-05-18 00:00:00',4,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215111731456619572114610134117',NULL,'270',41.34,1,3,NULL),(16,3160718,'1990-11-19 00:00:00',4,7,12,2008,'F','N','CIDADE ALTA','VIDEIRA','SC','124241241116131431534414292224610164187',NULL,'831',0.00,1,2,1),(16,3160726,'1990-12-09 00:00:00',4,1,12,2008,'F','N','BARRA DO ARIRIú','PALHOçA','SC','124242241215131431558613572124610124147',14670,'989',40.34,1,3,NULL),(16,3160734,'1991-03-08 00:00:00',4,1,12,2008,'M','N','ABRAÃO','FLORIANóPOLIS','SC','124242241215132431448831575122610122097',NULL,'273',36.41,1,3,NULL),(16,3160742,'1990-10-05 00:00:00',4,1,12,2007,'F','N','LAGOA DO PERI','FLORIANóPOLIS','SC','124243241315472431338923345124610127021',12050,'1098',45.20,4,3,NULL),(16,3160750,'1985-01-05 00:00:00',2,7,12,2008,'M','N','NAçõES','CONCóRDIA','SC','124246247637131431523322484225610126042',NULL,'9999',0.00,4,3,NULL),(16,3160769,'1991-07-20 00:00:00',4,1,12,2008,'M','N','ARCADAS','AMPARO','SP','125252251117111431446619275124610127053',12150,'9998',44.99,1,3,NULL),(16,3160777,'1991-01-07 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215422231589812342132610113077',NULL,'270',26.92,1,3,NULL),(16,3160785,'1990-05-22 00:00:00',2,7,11,2007,'F','N','INTERIOR','LACERDóPOLIS','SC','124241241211372431326555573214610147057',NULL,'454',31.13,1,3,NULL),(16,3160793,'1991-05-07 00:00:00',4,1,12,2008,'F','N','CENTRO','TIJUCAS','SC','124242241215111431448831245122610123142',12687,'1119',44.02,1,3,NULL),(16,3160807,'1992-08-01 00:00:00',4,10,11,2008,'F','N','PARQUE DAS ACáCIAS','S LUDGERO','SC','124242241215111411556612574114610136092',16267,'807',36.47,1,3,NULL),(16,3160815,'1992-03-15 00:00:00',4,1,11,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124244241217111431434419472124610134147',NULL,'1022',33.31,1,3,NULL),(16,3160823,'1990-11-25 00:00:00',4,1,12,2008,'F','N','BIGUAÇU','BIGUAçU','SC','124241241112131131535519572124610124047',NULL,'65',20.71,1,2,1),(16,3160831,'1991-05-24 00:00:00',4,1,11,2008,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124244241216211431468932575124610162197',6825,'1022',54.62,1,3,NULL),(16,3160840,'1991-11-25 00:00:00',2,1,12,2008,'M','N','BARRA DO ARIRIú','PALHOçA','SC','124241241116131421423334445124610137067',NULL,'591',25.04,1,2,1),(16,3160858,'1986-04-14 00:00:00',4,1,12,2005,'M','N','BUTANTAN','S PAULO','SP','125252253126141431458811351124141422161',NULL,'9998',27.96,1,3,NULL),(16,3160890,'1991-06-05 00:00:00',4,1,12,2008,'M','N','INTERIOR','ITAPIRANGA','SC','124241241117161441433336272214610164042',3193,'412',63.31,1,2,1),(16,3160912,'1991-07-29 00:00:00',2,1,12,2008,'M','N','MONTE CASTELO','CPO GRANDE','MS','112122121216171751348831575122610168197',14896,'9998',39.89,1,3,NULL),(16,3160920,'1991-08-19 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124242241115131231535624342124610163147',9837,'739',49.09,1,3,NULL),(16,3160939,'1982-07-09 00:00:00',2,1,12,1999,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241248425372431113314242124130824147',14644,'319',40.39,1,3,NULL),(16,3160947,'1988-07-08 00:00:00',4,1,11,2006,'F','N','CENTRO','CAMPOS NOVOS','SC','124243247346351411428519395324332826042',NULL,'140',0.00,1,3,NULL),(16,3160955,'1990-07-16 00:00:00',2,1,11,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124252251215472431476812575124610167062',12851,'9998',43.75,1,3,NULL),(16,3160963,'1988-02-19 00:00:00',2,1,12,2006,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241116144431336534345134610137187',NULL,'281',29.28,4,3,NULL),(16,3160971,'1986-05-27 00:00:00',4,1,12,2003,'M','N','CENTRO','TIJUCAS','SC','124242241217122431448831215122233264092',NULL,'784',26.99,1,3,NULL),(16,3160980,'1986-12-17 00:00:00',4,1,12,2005,'F','N','CENTRO','S JOSé CAMPOS','SP','125252257215372711548924382124243247147',NULL,'9999',28.43,1,3,NULL),(16,3160998,'1989-11-17 00:00:00',2,1,12,2007,'F','N','AREIAS','S JOSé','SC','124241161116131231323569475114610162187',NULL,'9998',20.93,1,2,1),(16,3161005,'1991-10-15 00:00:00',4,4,12,2008,'M','N','JARDIM ITáLIA','CHAPECó','SC','124242241217151431468812425112610127052',NULL,'185',28.58,1,3,NULL),(16,3161013,'1989-10-04 00:00:00',4,1,12,2007,'F','N','CENTRO','BELA V GOIáS','GO','109092091215371431557739571322610163092',5758,'9998',56.94,1,3,NULL),(16,3161021,'1991-07-06 00:00:00',4,4,12,2008,'F','N','CENTRO','AMPéRE','PR','116164161217152431539913475125610161147',8476,'9998',51.44,1,3,NULL),(16,3161048,'1990-04-23 00:00:00',2,1,12,2007,'F','N','CENTRO','ITAQUI','RS','120203201314471731216729572122610128147',16436,'9998',35.78,1,3,NULL),(16,3161056,'1990-01-15 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124243248335112431326669592124610123141',13258,'723',43.04,1,3,NULL),(16,3161064,'1989-10-03 00:00:00',4,5,11,2006,'F','N','CENTRO','CRICIúMA','SC','124262241216473431438919395124230433142',12545,'995',44.27,1,3,NULL),(16,3161072,'1990-12-16 00:00:00',2,1,11,2007,'M','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124154248116272431526611382114610134047',NULL,'288',33.90,1,3,NULL),(16,3161080,'1992-03-16 00:00:00',4,5,11,2008,'F','N','CENTRO','MRO FUMAçA','SC','124242241215151431458811575124610136097',9474,'210',49.77,1,3,NULL),(16,3161099,'1990-08-12 00:00:00',2,1,12,2007,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215272332689713592122233212142',13360,'1022',42.87,1,3,NULL),(16,3161102,'1992-05-08 00:00:00',2,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124243241217272431458831572124610134092',7899,'724',52.60,1,3,NULL),(16,3161110,'1992-02-22 00:00:00',4,8,12,2008,'M','N','RES SANTA CLARA','LONDRINA','PR','116161161216171431449933575124610124187',NULL,'9998',44.86,1,3,NULL),(16,3161129,'1991-07-20 00:00:00',4,1,12,2008,'M','N','SANT ANT DE LISBOA','FLORIANóPOLIS','SC','124242241215272431379813575122610127041',2590,'262',65.03,1,3,NULL),(16,3161137,'1990-09-03 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124241241115131431336633375124610117087',13541,'306',42.56,1,2,1),(16,3161145,'1989-11-13 00:00:00',4,5,12,2006,'F','N','BARRANCA','ARARANGUá','SC','124241241146472441328324295224131942172',NULL,'717',23.70,4,2,1),(16,3161153,'1988-05-04 00:00:00',2,1,12,2006,'M','N','KOBRASOL','S JOSé','SC','124244241212472431338622272124610167183',5818,'737',56.76,1,3,NULL),(16,3161161,'1989-11-06 00:00:00',4,4,12,2006,'M','N','CENTRO','CHAPECó','SC','124244241217573431557834575115610162042',9017,'185',50.56,1,3,NULL),(16,3161170,'1980-09-27 00:00:00',4,1,12,1998,'F','N','FORQUILHINHAS','S JOSé','SC','124241241216371431356623432122131922142',6762,'590',54.74,1,3,NULL),(16,3161188,'1990-04-26 00:00:00',4,2,12,2007,'M','N','MUNICíPIOS','CAçADOR','SC','124241241117161411325833241324231464177',10822,'122',47.32,1,2,1),(16,3161196,'1989-09-02 00:00:00',4,1,12,2006,'M','N','CHACARA CACHOEIRA','CPO GRANDE','MS','112122121216474731348831575122610168197',7490,'9998',53.34,1,3,NULL),(16,3161200,'1990-09-28 00:00:00',4,1,12,2007,'M','N','BARRA FUNDA','GUARUJá','SP','125252251217471431448632574114610147042',906,'9998',72.65,1,3,NULL),(16,3161218,'1989-12-15 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241217373441256923475112231432197',4153,'266',60.63,1,3,NULL),(16,3161226,'1988-08-30 00:00:00',2,5,11,2005,'F','N','BAIXADA','NOSSA SRA CARAVAGGIO','SC','124241241415574431556732272122610127147',442,'226',76.29,1,3,NULL),(16,3161234,'1989-01-28 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124242241215472431338814595124610168017',7858,'737',52.67,1,3,NULL),(16,3161242,'1990-10-19 00:00:00',2,1,12,2007,'M','N','BELA VISTA','S JOSé','SC','124241241112272431325929172224610127112',NULL,'734',34.72,3,3,NULL),(16,3161250,'1992-04-08 00:00:00',2,1,12,2009,'F','S','CENTRO','S PEDRO ALCâNTARA','SC','124242248115111431444811575124610424197',NULL,'737',36.59,1,3,NULL),(16,3161269,'1990-04-22 00:00:00',4,1,11,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241217121521337732325124610124184',NULL,'272',28.73,1,3,NULL),(16,3161277,'1991-07-08 00:00:00',2,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124241243115141431447511575125610122192',10220,'129',48.38,1,2,1),(16,3161285,'1991-10-04 00:00:00',4,8,12,2008,'F','N','VILA ESTRELA','PNT GROSSA','PR','116162161216471431336931374122610166122',1492,'9998',69.42,1,3,NULL),(16,3161293,'1991-10-20 01:00:00',4,1,2,2010,'M','S','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','124242241215111432468833595124610118072',NULL,'883',47.41,1,3,NULL),(16,3161307,'1979-08-06 00:00:00',4,1,12,1999,'M','N','ITACORUBI','FLORIANóPOLIS','SC','125244166126153441247642225122330236143',NULL,'9998',0.00,1,3,NULL),(16,3161315,'1991-11-20 00:00:00',2,1,12,2008,'F','N','BARRA DO ARIRIU','PALHOçA','SC','124241241137131732446613246124610118117',NULL,'592',20.98,1,2,1),(16,3161323,'1992-02-13 00:00:00',4,1,12,2009,'F','S','BARREIROS','S JOSé','SC','124242241215111431447613472124610127147',NULL,'738',23.80,1,3,NULL),(16,3161331,'1990-08-18 00:00:00',4,1,12,2007,'F','N','INGLESES RIO VERMELH','FLORIANóPOLIS','SC','124252251217371431446813572124610143077',12129,'9998',45.02,1,3,NULL),(16,3161340,'1985-07-24 00:00:00',4,1,12,2002,'F','N','CENTRO','CPO GRANDE','MS','112122121216575731348831575122610168197',NULL,'9998',0.00,1,3,NULL),(16,3161358,'1991-04-01 00:00:00',4,1,12,2008,'F','N','CENTRO','ÁGUAS MORNAS','SC','124242241217131711536833575124610168057',16234,'1075',36.58,1,3,NULL),(16,3161366,'1991-05-02 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241115131431436813395124610144182',NULL,'287',24.11,1,3,NULL),(16,3161374,'1990-06-10 00:00:00',4,8,12,2007,'M','N','SANTA CLARA','LONDRINA','PR','116161161216471431449933575121610124012',8419,'9998',51.55,1,3,NULL),(16,3161382,'1987-04-14 00:00:00',2,1,11,2005,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241416473411336713395124610126062',6033,'9999',56.27,1,3,NULL),(16,3161390,'1991-11-24 00:00:00',4,2,10,2008,'M','N','VELHA','BLUMENAU','SC','124242241215111531368854575123610128122',5506,'87',57.46,1,3,NULL),(16,3161404,'1992-01-17 00:00:00',4,3,12,2008,'F','N','BOMBAS','BOMBINHAS','SC','124242241215372431458831475122610167012',NULL,'403',47.78,1,3,NULL),(16,3161412,'1991-11-20 00:00:00',4,3,12,2008,'F','N','MORRETES','ITAPEMA','SC','124241241215141731456833345122610163142',NULL,'403',31.92,1,3,NULL),(16,3161420,'1988-11-16 00:00:00',2,1,6,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124244247315371431326611372124610166197',13482,'9999',42.64,1,3,NULL),(16,3161447,'1990-09-04 00:00:00',4,1,11,2008,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215111441356922442122610137032',NULL,'1133',24.25,1,3,NULL),(16,3161455,'1991-07-30 00:00:00',4,1,11,2008,'F','N','CENTRO','BIGUAçU','SC','124244241415111711548622295124610163147',NULL,'1022',31.12,1,3,NULL),(16,3161471,'1991-04-23 00:00:00',4,8,12,2008,'M','N','CENTRO','JUNQUEIRóPOLIS','SP','125252251237111431368831595111610127057',1918,'9998',67.52,1,3,NULL),(16,3161480,'1991-05-13 00:00:00',4,1,11,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241217111431469813435124610137127',NULL,'266',31.46,1,3,NULL),(16,3161498,'1990-05-30 00:00:00',2,5,11,2007,'M','N','CRUZEIRO DO SUL','CRICIúMA','SC','124242247215472431224624595122610128092',11238,'211',46.58,1,3,NULL),(16,3161501,'1991-07-23 00:00:00',2,10,11,2008,'F','N','N SENHORA APARECIDA','ARMAZéM','SC','124243241215273431538632242122610133147',15522,'806',38.49,1,3,NULL),(16,3161510,'1991-12-06 00:00:00',4,1,12,2008,'F','N','SãO SEBASTIãO','PALHOçA','SC','124241241225111231434623242324610127147',NULL,'262',27.00,1,3,NULL),(16,3161536,'1990-01-26 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241216472711568513575124610167097',NULL,'270',30.98,4,3,NULL),(16,3161552,'1991-03-28 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241415272431435933182224610127097',NULL,'307',34.29,1,3,NULL),(16,3161560,'1990-05-15 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124202201217472431468823575114610162012',569,'9998',75.22,1,3,NULL),(16,3161579,'1970-03-19 00:00:00',4,1,12,1987,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241217114511258843435132321062052',2057,'262',66.95,1,3,NULL),(16,3161587,'1989-06-23 00:00:00',2,6,12,2006,'F','N','PARTENON','PTO ALEGRE','RS','120242241216573441358732572124610134092',12329,'1008',44.68,1,3,NULL),(16,3161595,'1984-12-11 00:00:00',2,1,12,2001,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124243241216374431458823575124222866177',402,'270',76.77,1,3,NULL),(16,3161609,'1991-09-13 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111411328319595122610123072',16431,'1118',35.79,2,1,2),(16,3161617,'1990-01-10 00:00:00',2,1,12,2007,'M','N','ALTO DA SAUDADE','ARAçATUBA','SP','125252257225371431474931575112610122012',NULL,'9999',18.04,1,3,NULL),(16,3161625,'1990-08-20 00:00:00',4,8,12,2007,'M','N','FÁTIMA','JOINVILLE','SC','124241241216372411646931272114610164012',7281,'932',53.75,2,1,2),(16,3161633,'1992-01-31 00:00:00',4,8,11,2008,'F','N','TROPICAL','CASCAVEL','PR','116162168216121441568415592122610164142',NULL,'9998',34.52,1,3,NULL),(16,3161641,'1990-12-29 00:00:00',4,1,12,2007,'M','N','TRÊS RIACHOS','BIGUAçU','SC','124241241116141711333436285114610164144',NULL,'65',20.07,1,3,NULL),(16,3161650,'1977-07-28 00:00:00',4,1,12,1998,'M','N','IPIRANGA','S JOSé','SC','124241247427131421334369115122133222041',NULL,'9999',0.00,1,3,NULL),(16,3161668,'1990-06-08 00:00:00',4,3,12,2008,'F','N','VILA IORIO','CAMPINAS','SP','125252251215111411437719375125612862147',NULL,'9998',0.00,1,3,NULL),(16,3161676,'1985-04-23 00:00:00',4,6,12,2002,'M','N','SANTA TEREZINHA','BRUSQUE','SC','124242241216272431455312225332332035153',NULL,'981',0.00,1,3,NULL),(16,3161684,'1988-06-15 00:00:00',2,1,12,2006,'M','N','VILA PLANALTO','CPO GRANDE','MS','112124128434221231368831585122610117181',NULL,'9998',31.56,1,3,NULL),(16,3161692,'1991-08-12 00:00:00',2,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124242241215111431526611291122610137042',NULL,'723',39.31,1,3,NULL),(16,3161706,'1991-07-11 00:00:00',4,6,12,2008,'F','N','SANTA TERREZINHA','BRUSQUE','SC','124242241216371431363532275122610162092',NULL,'106',29.36,1,3,NULL),(16,3161714,'1991-05-26 00:00:00',4,9,11,2008,'M','N','SAGRADO CORAçAO DE J','LAGES','SC','124242241217111431469713475111610132182',10009,'1146',48.76,1,3,NULL),(16,3161722,'1990-02-02 00:00:00',2,1,11,2006,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241215273731639923582114131426142',4385,'737',60.06,1,3,NULL),(16,3161730,'1990-08-17 00:00:00',4,1,12,2008,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121216473731348831575122610168197',NULL,'9998',0.00,1,3,NULL),(16,3161749,'1991-12-26 00:00:00',4,1,12,2008,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124241241115131431439534485114610127042',15998,'292',37.25,1,2,1),(16,3161757,'1991-07-20 00:00:00',2,1,11,2008,'F','N','SETOR BUENO','GOIâNIA','GO','109092098217111731469936572324610147072',NULL,'9998',0.00,1,3,NULL),(16,3161765,'1992-01-17 00:00:00',4,1,12,2008,'F','N','BELA VISTA','PANAMBI','RS','120202208216131731556611392122610134047',15803,'9998',37.76,1,3,NULL),(16,3161773,'1990-03-20 00:00:00',2,1,6,2008,'M','N','PRAIA COMPRIDA','S JOSé','SC','124243247225371721236623245134610164052',NULL,'1076',27.04,1,3,NULL),(16,3161781,'1990-08-04 00:00:00',4,1,12,2007,'F','N','VILA SONIA','S PAULO','SP','125252251216271412338631375124140222087',9451,'9998',49.81,1,3,NULL),(16,3161790,'1991-10-18 00:00:00',4,4,12,2008,'M','N','SÃO SEBASTIÃO','JACIARA','MT','111114111215111411543532175122610143147',NULL,'9998',39.94,4,3,NULL),(16,3161803,'1991-10-21 00:00:00',4,1,12,2008,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241415111751223429595124610138047',NULL,'269',29.46,1,3,NULL),(16,3161811,'1990-04-21 00:00:00',4,1,12,2008,'F','N','HIDRÁULICA','LAJEADO','RS','120202201215111431568832575122610114182',NULL,'9998',0.00,1,3,NULL),(16,3161820,'1988-02-18 00:00:00',2,1,12,2006,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','624241247446132131633813385313610161095',NULL,'1003',0.00,1,3,NULL),(16,3161838,'1990-01-02 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215122431358814575124122262192',5490,'1022',57.49,1,3,NULL),(16,3161846,'1989-08-06 00:00:00',4,8,12,2006,'F','N','BATEL','CURITIBA','PR','116241241216571731429814574345610162177',15900,'632',37.49,1,3,NULL),(16,3161854,'1991-10-14 00:00:00',4,8,12,2008,'M','N','CENTRO','JUNQUEIRóPOLIS','SP','125252251217371442458732596315610137057',NULL,'9998',0.00,1,3,NULL),(16,3161870,'1991-04-25 00:00:00',4,2,12,2008,'M','N','CENTRO','BRUSQUE','SC','124241241116131431447923475122610122092',3045,'111',63.67,1,2,1),(16,3161889,'1990-05-14 00:00:00',4,8,12,2007,'M','N','SÃO PEDRO','VALPARAíSO','SP','125253251215471441226669372124610131142',NULL,'9998',0.00,1,3,NULL),(16,3161897,'1991-09-12 00:00:00',2,1,12,2008,'F','N','PRAIA JOãO ROSA','BIGUAçU','SC','124241241115131431424314575124610124142',NULL,'21',21.14,1,3,NULL),(16,3161900,'1991-09-24 00:00:00',4,1,12,2008,'M','N','MIGUEL COUTO','CPO GRANDE','MS','112122121216371731348831575122610168197',3415,'9998',62.63,1,3,NULL),(16,3161927,'1991-07-09 00:00:00',4,3,11,2008,'F','N','SOUSAS','CAMPINAS','SP','125252251215111431468831475122610164182',NULL,'9998',0.00,1,3,NULL),(16,3161935,'1988-12-22 00:00:00',2,1,11,2008,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124241247137151411525534285114610164052',NULL,'9999',33.45,2,1,1),(16,3161943,'1989-11-24 00:00:00',4,3,11,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124242241212472431448811575112610124127',NULL,'1038',34.22,1,3,NULL),(16,3161951,'1990-10-05 00:00:00',4,1,12,2007,'M','N','QUILOMBO','CUIABá','MT','111112201217272711436932474122610165092',1581,'9998',68.97,4,3,NULL),(16,3161978,'1982-06-10 00:00:00',4,6,12,1999,'M','N','VILA OPERARIA','ITAJAí','SC','124244241432573451545574435224133263042',2535,'389',65.22,1,3,NULL),(16,3161986,'1991-06-10 00:00:00',1,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215211431569813572125610144182',3557,'262',62.19,1,3,NULL),(16,3161994,'1992-03-10 00:00:00',4,9,12,2008,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241232121431548854592222610166092',12345,'499',44.64,1,3,NULL),(16,3162010,'1990-07-12 00:00:00',4,1,12,2007,'M','N','CARANDA BOSQUE I','CPO GRANDE','MS','112124128434211121368831592122110118111',524,'9998',75.57,1,3,NULL),(16,3162028,'1992-07-15 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111751379929572122610168092',NULL,'262',32.11,1,3,NULL),(16,3162036,'1989-11-06 00:00:00',4,1,12,2006,'F','N','ESTRELA DO SUL','CPO GRANDE','MS','112122121216473731348831575122610168197',15209,'9998',39.18,1,3,NULL),(16,3162044,'1981-06-05 00:00:00',4,5,12,1999,'M','N','CENTRO','PASSO TORRES','SC','224241241127131421323643232332610168117',NULL,'605',0.00,4,2,1),(16,3162060,'1991-03-15 00:00:00',4,8,12,2008,'F','N','GLóRIA','JOINVILLE','SC','124242248216472411458812422112610121072',NULL,'491',0.00,1,3,NULL),(16,3162087,'1991-03-07 00:00:00',2,8,12,2008,'M','N','ATIRADORES','JOINVILLE','SC','124244247341471751223663171121610137055',NULL,'9999',29.16,4,3,NULL),(16,3162095,'1991-11-19 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111751489933572122610168071',NULL,'262',31.81,1,3,NULL),(16,3162109,'1990-02-08 00:00:00',2,1,11,2007,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241116372411636631172214610144187',11899,'9997',45.46,1,2,1),(16,3162117,'1976-01-16 00:00:00',4,1,12,2007,'F','N','BELA VISTA QUATRO','S JOSé','SC','124241247121131421434444441334610124043',NULL,'9999',27.08,2,1,1),(16,3162125,'1990-11-02 00:00:00',4,8,12,2007,'M','N','ROCIO GRANDE','S FRANCISCO SUL','SC','124242241215472431556612575122610167052',352,'486',77.34,1,3,NULL),(16,3162141,'1991-02-13 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124203201212372431149934375124610164072',9505,'9998',49.71,1,3,NULL),(16,3162150,'1990-08-24 00:00:00',2,8,12,2007,'M','N','COMASA','JOINVILLE','SC','124241241215471711268913572114610164061',NULL,'154',0.00,2,3,NULL),(16,3162184,'1990-09-10 00:00:00',4,8,10,2008,'F','N','SAGUAçU','JOINVILLE','SC','124244248215111431349832575122610162077',NULL,'491',36.22,1,3,NULL),(16,3162192,'1992-03-13 00:00:00',2,1,12,2009,'F','S','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241213121431656611575112610167057',NULL,'273',41.99,1,3,NULL),(16,3162206,'1990-06-05 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124244241416111431458934572122610122187',NULL,'1065',24.01,1,3,NULL),(16,3162214,'1987-06-02 00:00:00',4,4,12,2004,'F','N','VILA SãO JOãO','ARAPONGAS','PR','116162161216572431557811342122610166047',NULL,'9998',0.00,1,3,NULL),(16,3162222,'1986-08-13 00:00:00',5,8,12,2003,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124281131335471431336771375224132433097',1514,'9998',69.30,1,3,NULL),(16,3162230,'1991-03-26 00:00:00',4,8,12,2008,'M','N','CENTRO','JUNQUEIRóPOLIS','SP','125252251217111431468833595121610127097',12116,'9998',45.07,4,3,NULL),(16,3162249,'1991-08-28 00:00:00',4,5,12,2008,'F','N','VILA SANTA CATARINA','S JOãO SUL','SC','124241241135132431633929572124610138177',9756,'717',49.24,1,2,1),(16,3162257,'1990-07-31 00:00:00',2,1,12,2008,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241215111411366913435124610167115',13959,'270',41.73,1,3,NULL),(16,3162265,'1990-04-19 00:00:00',4,1,11,2008,'F','N','PANTANL','FLORIANóPOLIS','SC','124242241215372532236822292122133268077',13872,'270',41.90,1,3,NULL),(16,3162273,'1989-02-24 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241115271731336624282134610163187',14275,'288',41.10,1,2,1),(16,3162281,'1990-12-04 00:00:00',4,1,12,2008,'M','N','PONTA DE BAIXO','S JOSé','SC','124242241215371451438713575124610148182',NULL,'944',22.83,1,3,NULL),(16,3162303,'1987-09-21 00:00:00',4,1,11,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215574431559813572125610146182',667,'262',74.43,1,3,NULL),(16,3162311,'1989-10-16 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215122431448614575122610132042',NULL,'1022',33.64,1,3,NULL),(16,3162320,'1987-09-12 00:00:00',4,1,12,2004,'F','N','SARANDI','PTO ALEGRE','RS','120202201217471431469931391122241434192',4844,'9998',58.98,1,3,NULL),(16,3162346,'1991-02-14 00:00:00',4,5,11,2008,'F','N','CENTRO','ARARANGUá','SC','124242241215321431458813571122610124142',9379,'970',49.94,1,3,NULL),(16,3162354,'1990-11-25 00:00:00',4,3,12,2008,'F','N','CENTRO','BRUSQUE','SC','124242241215372231368711574122610125092',2836,'109',64.26,1,3,NULL),(16,3162370,'1991-05-05 00:00:00',4,8,11,2008,'F','N','AMéRICA','JOINVILLE','SC','124242241215112731436814574122610145117',2245,'486',66.24,1,3,NULL),(16,3162389,'1970-10-28 00:00:00',2,1,12,1987,'M','N','PANTANAL','FLORIANOPOLIS','SC','224161161121132431433641111132131017127',NULL,'9998',0.00,1,2,1),(16,3162397,'1990-12-17 00:00:00',2,8,12,2008,'F','N','CENTRO','JACAREí','SP','125254251216131411324411115125610122077',NULL,'9998',26.05,4,3,NULL),(16,3162400,'1989-05-16 00:00:00',2,1,12,2006,'F','N','PICADAS DO SUL','S JOSé','SC','124241241216472441486832275122133267095',NULL,'266',0.00,1,3,NULL),(16,3162419,'1990-09-08 00:00:00',4,1,11,2007,'M','N','BARREIROS','S JOSé','SC','124201201217271431335664342234610167057',5282,'9998',57.90,1,3,NULL),(16,3162427,'1988-12-06 00:00:00',4,1,12,2006,'F','N','BONFIM','CAMPINAS','SP','125252251137572752348821387124610162057',NULL,'9998',0.00,1,3,NULL),(16,3162435,'1989-09-29 00:00:00',2,1,12,2006,'F','N','CENTRO','PR GRANDE','SC','124241241215472431239924495124130624197',4034,'970',60.97,1,3,NULL),(16,3162460,'1985-02-22 00:00:00',2,1,12,2004,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241121132431413344342224610113142',NULL,'298',27.98,1,2,1),(16,3162478,'1971-11-10 00:00:00',2,1,12,1988,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241248147152711354363335124320863192',4789,'449',59.08,1,2,1),(16,3162486,'1991-05-15 00:00:00',4,1,12,2008,'M','N','SãO GERALDO','ARARAQUARA','SP','125253251217111431568814572112610164051',NULL,'9998',0.00,1,3,NULL),(16,3162494,'1989-10-25 00:00:00',4,4,12,2006,'M','N','ALVORADA','FRANCISCO BELTRãO','PR','116162161216574431459713571124610128012',NULL,'9998',33.65,1,3,NULL),(16,3162508,'1991-07-24 00:00:00',4,7,12,2008,'F','N','INTERIOR','VIDEIRA','SC','124241241115161431526315572322610128142',NULL,'831',22.16,1,2,1),(16,3162516,'1991-11-22 00:00:00',4,1,2,2009,'F','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','124242241217111411438613272124610123057',NULL,'266',25.44,1,3,NULL),(16,3162524,'1991-11-10 00:00:00',4,1,12,2009,'F','S','ITACORUBI','FLORIANóPOLIS','SC','124242241216111721447719472122610123057',NULL,'1050',47.70,1,3,NULL),(16,3162532,'1991-08-07 00:00:00',4,4,12,2008,'F','N','COLATTO','XANXERê','SC','124242241215111431466832575112610127186',13274,'836',43.03,1,3,NULL),(16,3162540,'1991-08-03 00:00:00',2,9,12,2008,'F','N','CENTRO','CURITIBANOS','SC','124242241215111411559814574122610135092',11527,'881',46.13,1,3,NULL),(16,3162559,'1992-10-13 00:00:00',4,1,12,2009,'M','S','JOãO PAULO','FLORIANóPOLIS','SC','124244241217111441656923575114610162172',NULL,'951',55.77,1,3,NULL),(16,3162567,'1990-07-18 00:00:00',4,3,11,2007,'M','N','CENTRO','CURITIBA','PR','116222221236471531488833575125610164057',NULL,'9998',0.00,1,3,NULL),(16,3162575,'1991-10-02 00:00:00',4,2,11,2008,'F','N','CENTRO','BLUMENAU','SC','124242241215111531567812595125610123192',NULL,'87',31.41,1,3,NULL),(16,3162583,'1988-09-29 00:00:00',4,1,12,2005,'F','N','AGUA VERDE','JARAGUá SUL','SC','124244241216574411478813575112610124187',12898,'442',43.67,1,3,NULL),(16,3162591,'1989-01-16 00:00:00',4,1,11,2006,'M','N','CHACARA INGLESA','S BERNARDO CAMPO','SP','125252251215472231438814575112610167112',NULL,'9998',0.00,1,3,NULL),(16,3162605,'1991-07-26 00:00:00',2,1,12,2008,'M','N','LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC','124242241215111431336612395124613217112',NULL,'266',39.58,4,3,NULL),(16,3162613,'1988-11-03 00:00:00',4,8,11,2006,'M','N','CENTRO','JOINVILLE','SC','124242241216113431458812445122230227112',13708,'486',42.26,1,3,NULL),(16,3162621,'1991-09-17 00:00:00',4,1,12,2008,'M','N','CENTRO','ARARAQUARA','SP','125253251217111211469812572112610164052',NULL,'9998',0.00,1,3,NULL),(16,3162630,'1988-11-13 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124152151216111731327419445324240246102',12128,'9998',45.03,1,3,NULL),(16,3162648,'1990-03-01 00:00:00',2,1,12,2008,'M','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241313151431448833572124610127012',NULL,'306',39.73,1,3,NULL),(16,3162656,'1990-06-25 00:00:00',2,1,12,2007,'F','N','CAMINHO NOVO','PALHOçA','SC','124241241137331531536312291234610124071',NULL,'592',28.15,1,2,1),(16,3162664,'1983-10-12 00:00:00',2,1,12,2002,'M','N','JARDIM DAS PALMEIRAS','S JOSé','SC','124242241217132411446624335124610127117',14165,'1036',41.29,2,1,2),(16,3162672,'1986-02-01 00:00:00',4,1,12,2005,'M','N','PAGANI','PALHOçA','SC','124162167226131421335764291333141012097',NULL,'9998',26.59,2,1,2),(16,3162680,'1989-10-06 00:00:00',2,1,12,2006,'M','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','124244241115112731453613482114610117047',12300,'271',44.73,1,3,NULL),(16,3162702,'1991-10-21 00:00:00',4,1,12,2008,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124242241215221431468711372122610127075',11029,'299',46.97,1,3,NULL),(16,3162710,'1986-10-06 00:00:00',4,1,12,2005,'M','N','CHACARA MONTE ALEGRE','S PAULO','SP','125252251215571431479711571112610117017',53,'9998',82.27,4,3,NULL),(16,3162729,'1989-09-30 00:00:00',4,1,12,2007,'F','N','CAMPOS ELISEOS','RIBEIRãO PRETO','SP','125251251135371431536833345124610131077',NULL,'9998',0.00,1,2,1),(16,3162737,'1990-08-15 00:00:00',2,3,12,2007,'F','N','ESTAçãO','ITAQUI','RS','120201201116161731427319372222610113157',NULL,'9998',21.12,4,3,NULL),(16,3162745,'1990-10-14 00:00:00',4,1,12,2008,'M','N','VILA VELOSA','ARARAQUARA','SP','125254251217471431439812472112610111057',NULL,'9998',0.00,1,3,NULL),(16,3162753,'1990-06-25 00:00:00',4,1,12,2007,'F','N','CENTRO','S JOSé R PRETO','SP','125251251225471431347724472124610121092',NULL,'9998',33.75,1,3,NULL),(16,3162761,'1991-08-08 00:00:00',4,6,12,2008,'M','N','AZAMBUJA','BRUSQUE','SC','124241241116131431238923595115610167057',NULL,'115',27.34,1,3,NULL),(16,3162788,'1989-12-15 00:00:00',4,1,12,2006,'F','N','BELA VISTA','CAXIAS SUL','RS','120203201117131221428724285124141524157',NULL,'9998',24.36,1,3,NULL),(16,3162796,'1990-11-28 00:00:00',2,1,10,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215111731449813495114610157111',9898,'270',48.95,1,3,NULL),(16,3162800,'1990-05-30 00:00:00',2,1,12,2007,'M','N','CENTRO','BENTO GONçALVES','RS','120201201117131431238724185124241067042',NULL,'9998',0.00,1,2,1),(16,3162826,'1990-10-02 00:00:00',2,9,12,2007,'F','N','APARECIDA','CURITIBANOS','SC','124241241116371431646613595125610138037',NULL,'239',0.00,4,2,1),(16,3162834,'1984-07-29 00:00:00',4,1,12,2001,'F','N','ROçADO','S JOSé','SC','124241241114131741636519245134131066147',NULL,'757',25.15,1,2,1),(16,3162842,'1990-09-26 00:00:00',2,9,12,2007,'F','N','CENTRO','CURITIBANOS','SC','124241241115372431528616292122610137147',NULL,'239',29.33,1,2,1),(16,3162850,'1991-05-16 00:00:00',2,9,12,2008,'F','N','SAO CRISTOVAO','LAGES','SC','124242241215371451333923395122610164142',9492,'515',49.73,1,3,NULL),(16,3162869,'1991-05-21 00:00:00',2,1,11,2008,'F','N','IPIRANGA','S JOSé','SC','124242248215111431466734575112610164197',NULL,'723',27.65,1,3,NULL),(16,3162877,'1991-01-16 00:00:00',2,4,12,2007,'F','N','CENTRO','PINHALZINHO','SC','124241241115271431559833372122610162091',5998,'1032',56.36,1,2,1),(16,3162885,'1991-07-06 00:00:00',2,1,11,2008,'F','N','AMERICANO','LAJEADO','RS','120202201216111431457812571122610161182',11419,'9998',46.32,1,3,NULL),(16,3162893,'1985-10-09 00:00:00',4,1,12,2002,'M','N','VILA ANDRADE','S PAULO','SP','125252251215571431469731472112140241027',NULL,'9998',0.00,1,3,NULL),(16,3162907,'1991-08-03 00:00:00',4,6,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215111431349626575112610162195',4676,'1038',59.36,1,3,NULL),(16,3162915,'1986-05-26 00:00:00',2,10,11,2004,'M','N','REVOREDO','TUBARãO','SC','124241248144272731623431195132610117187',16451,'158',35.70,2,1,1),(16,3162923,'1989-03-28 00:00:00',4,1,12,2006,'F','N','CZERNIEWIZC','JARAGUá SUL','SC','124244241235271431268613345122130421017',6958,'442',54.37,1,3,NULL),(16,3162931,'1982-04-20 00:00:00',4,1,12,2000,'M','N','PANTANAL','FLORIANóPOLIS','SC','124243241417275441459814485114221427042',2134,'499',66.65,1,3,NULL),(16,3162940,'1989-03-06 00:00:00',2,1,12,2006,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124244241215273231458631445112121837047',3637,'270',61.99,1,3,NULL),(16,3162958,'1992-01-05 00:00:00',2,1,12,2008,'M','N','CENTRO','IMBITUBA','SC','124204241215112431437813472112610167143',NULL,'362',27.34,1,3,NULL),(16,3162966,'1991-10-29 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124243241315131221424424142121610167047',NULL,'1076',35.54,1,3,NULL),(16,3162974,'1991-09-17 00:00:00',4,8,12,2008,'F','N','ÁGUA VERDE','JARAGUá SUL','SC','124242241215111331365332275122610162177',7610,'441',53.12,1,3,NULL),(16,3162982,'1991-07-04 00:00:00',4,1,12,2008,'M','N','SãO MIGUEL','URUGUAIANA','RS','120201201117371431437522315121610165197',7742,'9998',52.89,4,2,1),(16,3162990,'1988-12-13 00:00:00',4,1,11,2007,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124203201317131431128848485125133212087',NULL,'9998',0.00,1,3,NULL),(16,3163008,'1991-08-31 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241217151431456614476122610168172',3347,'1118',62.85,1,3,NULL),(16,3163024,'1991-12-20 00:00:00',4,9,11,2008,'F','N','CENTRO','TANGARá','SC','124244241215121431336823574124610144077',9315,'969',50.05,1,3,NULL),(16,3163032,'1991-05-31 00:00:00',2,5,12,2008,'M','N','JARDIM ITáLIA','MELEIRO','SC','124242241215371431468731572124610117065',2721,'970',64.63,1,3,NULL),(16,3163040,'1989-10-03 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124243241315372431346822375124610124197',12693,'632',44.01,1,3,NULL),(16,3163059,'1986-02-18 00:00:00',2,1,12,2003,'F','N','CIDADE UNIVERSITáRIA','CAMPINAS','SP','125144141236271411228824345324142862122',7550,'9998',53.23,4,3,NULL),(16,3163083,'1977-04-03 00:00:00',2,1,12,1995,'M','N','CAMPECHE','FLORIANóPOLIS','SC','224254251447371421269641412123342637117',NULL,'9998',0.00,1,3,NULL),(16,3163091,'1990-08-06 00:00:00',2,1,12,2007,'F','N','SANTANA','PTO ALEGRE','RS','120202201217471431346921596114610161077',NULL,'9998',0.00,1,3,NULL),(16,3163105,'1992-03-03 00:00:00',2,8,12,2008,'F','N','JARDIM SANTA MARIA','TOLEDO','PR','116164161215371432449933572121610127152',13347,'9998',42.89,1,3,NULL),(16,3163113,'1992-07-03 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215121431479733575122610124172',8724,'970',51.03,1,3,NULL),(16,3163130,'1990-11-24 00:00:00',4,4,12,2008,'F','N','INTERIOR','QUILOMBO','SC','124241241116131411523316175122610147047',16171,'648',36.73,1,2,1),(16,3163148,'1990-11-08 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215111732368412372114610127047',13213,'270',43.12,1,3,NULL),(16,3163156,'1990-07-23 00:00:00',4,6,12,2007,'M','N','VILA NOVA','MARINGá','PR','116162161216471431467814575122610167182',NULL,'9998',0.00,1,3,NULL),(16,3163164,'1991-11-10 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124244241215111431478813472122610128092',10504,'1022',47.90,1,3,NULL),(16,3163172,'1991-11-05 00:00:00',2,9,12,2008,'F','N','TRIBUTO','LAGES','SC','124241241117131431433914282124610124142',NULL,'505',14.91,1,2,1),(16,3163180,'1992-03-06 00:00:00',4,10,11,2009,'M','S','CENTRO','TUBARãO','SC','124242241215111431359933592122610127112',NULL,'806',26.65,1,3,NULL),(16,3163199,'1989-11-13 00:00:00',2,1,12,2007,'M','N','SUMARé','RIO SUL','SC','124241241215472431436633595125610144072',996,'991',72.09,1,3,NULL),(16,3163202,'1991-07-26 00:00:00',2,5,11,2008,'F','N','COMERCIáRIO','CRICIúMA','SC','124241241215121451566934245122610124172',3116,'210',63.49,1,3,NULL),(16,3163210,'1989-09-14 00:00:00',2,1,11,2006,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215153431238812575124230226072',NULL,'807',0.00,1,3,NULL),(16,3163229,'1992-01-13 00:00:00',4,1,11,2009,'M','S','MONTANHA','LAJEADO','RS','120201201117131531323314245121610124057',NULL,'9998',23.56,4,3,NULL),(16,3163237,'1985-11-10 00:00:00',4,1,12,2003,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124242241147131432436334492211610117067',11999,'140',45.26,1,3,NULL),(16,3163245,'1991-11-27 00:00:00',2,1,12,2008,'F','N','BAIRRO NOVO B','CURITIBA','PR','116161161211111431334414575114610167147',NULL,'9998',13.53,1,3,NULL),(16,3163253,'1990-08-13 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241115472731536614574114610122092',6131,'298',56.07,1,2,1),(16,3163261,'1991-07-02 00:00:00',2,1,12,2008,'F','N','CENTRO','IMBITUBA','SC','124243241215111731336631575122610156072',9962,'362',48.84,1,3,NULL),(16,3163270,'1991-06-14 00:00:00',3,1,6,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242281417371431559933496122610126157',8564,'9998',51.32,1,3,NULL),(16,3163288,'1989-10-15 01:00:00',4,10,12,2007,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124242241216162751568712595122230427132',14669,'270',40.35,1,3,NULL),(16,3163296,'1987-04-24 00:00:00',4,1,11,2004,'F','N','CENTRO','BIGUAçU','SC','124241241127371441424414242225130664147',NULL,'658',22.04,1,2,1),(16,3163318,'1991-09-23 00:00:00',4,1,12,2008,'F','N','AZENHA','PTO ALEGRE','RS','120201201416111431436829592124610138043',NULL,'9998',28.10,4,3,NULL),(16,3163326,'1988-08-10 00:00:00',2,1,11,2005,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124243241215372411368833575123123267022',3668,'299',61.91,1,3,NULL),(16,3163334,'1991-05-07 00:00:00',4,4,12,2008,'F','N','PRESIDENTE MEDICE','CHAPECó','SC','124241241116151531236549595122610136012',12070,'182',45.14,1,2,1),(16,3163342,'1988-09-21 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','125252258217272431557514583124610167057',14011,'9998',41.63,1,3,NULL),(16,3163350,'1990-04-15 00:00:00',4,1,12,2007,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124202241215472411668512421124610128042',6197,'262',55.92,1,3,NULL),(16,3163369,'1990-10-20 00:00:00',4,1,12,2008,'F','N','ABRAãO','FLORIANóPOLIS','SC','124243241115141431546411392114610127077',5221,'271',58.07,1,3,NULL),(16,3163377,'1991-03-02 00:00:00',4,2,11,2008,'M','N','VELHA','BLUMENAU','SC','124242241217111431469813575114610167057',1767,'855',68.13,1,3,NULL),(16,3163385,'1991-05-29 00:00:00',4,1,12,2008,'F','N','CENTRO','CANOINHAS','SC','124241241216111521449811595122610136147',13728,'973',42.21,4,3,NULL),(16,3163393,'1990-05-11 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124242241215373431488813572122221421091',1357,'262',70.09,1,3,NULL),(16,3163407,'1991-09-02 00:00:00',2,4,11,2008,'F','N','CENTRO','CHAPECó','SC','124241241215111431436923585124610124147',13265,'983',43.04,1,3,NULL),(16,3163415,'1990-09-04 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215472431355923472124610137142',6203,'751',55.90,1,3,NULL),(16,3163423,'1990-02-11 00:00:00',2,1,12,2007,'M','N','KOBRASOL','S JOSé','SC','124241241111272431546833392123610127027',NULL,'733',27.89,1,2,1),(16,3163431,'1991-12-04 00:00:00',2,9,12,2008,'F','N','CENTRO','POUSO REDONDO','SC','124244241416271431448914574114610127012',NULL,'9997',41.16,1,3,NULL),(16,3163440,'1991-10-16 00:00:00',2,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111431468931592124610128042',NULL,'270',38.79,1,3,NULL),(16,3163458,'1991-06-11 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124062241236111431567919575122610137147',4295,'262',60.25,2,3,NULL),(16,3163466,'1991-03-18 00:00:00',2,1,12,2008,'F','N','CANGUERI DE FORA','IMARUí','SC','124241241127371731429813371124610163057',NULL,'295',27.66,2,1,1),(16,3163474,'1990-04-10 00:00:00',2,1,12,2007,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241115272431323664372124610127142',NULL,'831',33.41,4,3,NULL),(16,3163490,'1989-10-16 00:00:00',4,1,12,2007,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215472412479913571122610136142',1027,'270',71.89,1,3,NULL),(16,3163504,'1990-08-19 00:00:00',2,8,12,2007,'F','N','BOM RETIRO','JOINVILLE','SC','124242241216371451444512575124610168092',7661,'1105',53.03,1,3,NULL),(16,3163512,'1992-05-30 00:00:00',4,1,12,2009,'M','S','COQUEIROS','FLORIANóPOLIS','SC','124242241215111431469813576112610127122',NULL,'738',38.69,1,3,NULL),(16,3163520,'1992-01-17 00:00:00',4,4,11,2008,'M','N','CENTRO','CHAPECó','SC','124242241215131431468934575124610134057',9552,'185',49.62,1,3,NULL),(16,3163539,'1991-06-20 00:00:00',4,3,11,2008,'F','N','CENTRO','ITAPEMA','SC','124241248215211221438813432122610168092',NULL,'403',25.11,1,3,NULL),(16,3163547,'1991-09-18 00:00:00',4,7,12,2008,'M','N','CENTRO','LACERDóPOLIS','SC','124241241125161431339613575121610127082',11675,'496',45.86,1,2,1),(16,3163555,'1992-09-07 00:00:00',2,5,12,2009,'F','S','VILA SãO JOSé','ARARANGUá','SC','124242241215111431558832575115610128077',NULL,'970',44.54,1,3,NULL),(16,3163563,'1990-10-14 00:00:00',2,1,12,2007,'F','N','ARMAÇÃO DO PÂNTANO D','FLORIANóPOLIS','SC','124241241121172431433311241234610161147',NULL,'291',24.74,1,2,1),(16,3163571,'1991-01-29 00:00:00',4,8,11,2008,'M','N','CENTRO','CURITIBA','PR','116114161217471431386616176112610167072',NULL,'9998',0.00,1,3,NULL),(16,3163580,'1990-12-04 00:00:00',4,8,12,2008,'M','N','AVENQUINHA','CPO ALEGRE','SC','124241241215111312559614377122610132197',NULL,'974',20.90,1,3,NULL),(16,3163598,'1989-09-18 00:00:00',4,7,12,2008,'M','N','CENTRO','CATANDUVAS','SC','124241241115171731435634575122610128052',NULL,'161',21.54,1,3,NULL),(16,3163601,'1992-10-30 00:00:00',2,9,12,2008,'M','N','DANTE MARTORANO','S JOAQUIM','SC','124242201217111431349621315121610168072',NULL,'9998',0.00,1,3,NULL),(16,3163610,'1990-10-16 00:00:00',4,1,12,2008,'F','N','CENTRO','CORDEIRóPOLIS','SP','125252251217111731568812574122610166142',2521,'9998',65.27,1,3,NULL),(16,3163652,'1991-07-31 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216472431366632575125610167142',1397,'1046',69.82,1,3,NULL),(16,3163660,'1990-03-14 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241116272431336629382124610137182',6038,'288',56.26,1,2,1),(16,3163679,'1991-01-10 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215121431448824472112610127042',8480,'270',51.43,1,3,NULL),(16,3163687,'1989-11-23 00:00:00',2,5,11,2007,'M','N','SãO LUIS','SOMBRIO','SC','124243241436132411333314245123610137117',NULL,'1033',25.66,4,3,NULL),(16,3163695,'1984-09-27 00:00:00',4,1,12,2002,'M','N','TRUJILO','SOROCABA','SP','125251251416471411444311315122340964047',4086,'9998',60.82,1,3,NULL),(16,3163709,'1989-11-22 00:00:00',4,1,12,2007,'F','N','CANDANGOLâNDIA DF','CANDANGOLâNDIA','DF','107072071217371431358434572122141062097',12139,'9998',45.01,1,3,NULL),(16,3163717,'1991-09-23 00:00:00',4,1,12,2008,'F','N','CENTRO','PATO BRANCO','PR','116162161217151431356611472122610164147',3290,'9998',63.03,1,3,NULL),(16,3163733,'1990-02-17 00:00:00',4,3,12,2007,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215472731436631592125610167077',15090,'44',39.44,1,3,NULL),(16,3163741,'1990-12-30 00:00:00',4,2,12,2008,'M','N','CENTRO','JARAGUá SUL','SC','124242241215271431326732575122610167112',NULL,'422',29.31,1,3,NULL),(16,3163750,'1991-08-22 00:00:00',2,1,12,2008,'F','N','CENTRO','IMBITUBA','SC','124243241315111411528611412122610136081',9125,'1022',50.37,1,3,NULL),(16,3163768,'1990-09-07 00:00:00',2,1,12,2006,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124202201215374211346614574224610118142',222,'9998',78.87,1,3,NULL),(16,3163776,'1989-05-26 00:00:00',4,6,7,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124162241217274751469814595122230667127',11450,'1038',46.27,1,3,NULL),(16,3163784,'1990-04-07 00:00:00',4,2,11,2008,'M','N','CHACARA KLABIN','S PAULO','SP','125252251237111431488832425122610166042',10749,'9998',47.46,1,3,NULL),(16,3163792,'1986-01-31 00:00:00',2,1,11,2004,'M','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124241248121141411124349391223231067047',NULL,'288',19.72,1,2,1),(16,3163806,'1991-09-06 00:00:00',4,1,12,2009,'F','S','LAGOA','FLORIANóPOLIS','SC','124242241217111431468831572122610138147',NULL,'883',40.87,1,3,NULL),(16,3163814,'1991-03-02 00:00:00',4,1,12,2008,'M','N','BELA VISTA','ERECHIM','RS','120202201215271231548933571112610164057',922,'9998',72.56,1,3,NULL),(16,3163830,'1992-10-22 00:00:00',2,5,12,2009,'F','S','CENTRO','TURVO','SC','124243241217111431458933572121610125072',NULL,'813',44.35,1,3,NULL),(16,3163849,'1988-10-20 00:00:00',4,1,12,2007,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215473431459512442124610128122',9929,'226',48.90,1,3,NULL),(16,3163857,'1984-04-16 00:00:00',4,1,12,2001,'F','N','PARQUE SãO JORGE','FLORIANóPOLIS','SC','124242241216143421557514445124332062187',NULL,'260',0.00,1,3,NULL),(16,3163865,'1987-08-02 00:00:00',2,1,8,2008,'F','N','ESTREITO','FLORIANOPOLIS','SC','124243241436471441556533145114610126197',NULL,'9999',33.93,1,3,NULL),(16,3163873,'1987-10-26 00:00:00',4,1,12,2005,'F','N','ITACORUBI','FLORIANóPOLIS','SC','624242241212152331446624375122610128112',NULL,'272',25.96,1,3,NULL),(16,3163881,'1992-01-22 00:00:00',4,1,12,2009,'M','S','CENTRO','PAULO LOPES','SC','124243241217111731448612575114610162197',NULL,'1011',54.37,1,3,NULL),(16,3163890,'1990-12-21 00:00:00',2,6,12,2008,'F','N','CABEçUDAS','ITAJAí','SC','124242241215111431379922595124610141047',NULL,'392',30.65,1,3,NULL),(16,3163903,'1991-05-29 00:00:00',4,4,12,2008,'F','N','IMIGRANTES','CONCóRDIA','SC','124241241115471431434611345122610126147',14709,'192',40.26,1,3,NULL),(16,3163911,'1991-07-22 00:00:00',4,7,12,2008,'F','N','DAS HORTêNCIAS','FRAIBURGO','SC','124244241215111421453924575124610127012',2827,'885',64.29,1,3,NULL),(16,3163938,'1990-11-20 00:00:00',2,1,12,2008,'F','N','SãO RAFAEL','CRUZEIRO SUL','RS','120201201216111431336514175114610124097',14296,'9998',41.05,1,3,NULL),(16,3163946,'1990-01-03 00:00:00',2,8,11,2007,'F','N','ZONA OITO','MARINGá','PR','116164161216371431227824575124610127027',7511,'9998',53.31,3,3,NULL),(16,3163954,'1988-04-29 00:00:00',2,1,12,2005,'M','N','CENTRO','PITANGUI','MG','113131131116131431427611385135241432092',NULL,'9998',0.00,4,3,NULL),(16,3163962,'1988-04-13 00:00:00',2,8,12,2007,'M','N','JARDIM SANTO ELIAS','S PAULO','SP','125252251337571711459714372324610114047',15700,'9998',38.06,1,3,NULL),(16,3163970,'1991-02-27 00:00:00',2,1,12,2008,'F','N','PALHOçA','PALHOçA','SC','124242241216271731225532575124610162072',12339,'1036',44.66,1,3,NULL),(16,3163989,'1991-03-11 00:00:00',4,8,11,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215122451569913575112610166041',6112,'486',56.11,1,3,NULL),(16,3163997,'1990-04-04 00:00:00',2,3,12,2007,'F','N','INDUSTRIAL NORTE','RIO NEGRINHO','SC','124242241216471751344923445124610128147',15394,'666',38.78,1,3,NULL),(16,3164004,'1991-05-25 00:00:00',2,3,12,2008,'F','N','CENTRO','PNT GROSSA','PR','116163161216111731358839174122610168187',2450,'9998',65.52,1,3,NULL),(16,3164012,'1991-10-04 00:00:00',4,4,11,2008,'M','N','CENTRO','S MIGUEL OESTE','SC','124241241217131431468913575122610137052',10621,'752',47.70,1,3,NULL),(16,3164020,'1991-08-03 00:00:00',4,1,12,2008,'F','N','CENTRO CíVICO','CURITIBA','PR','116162161215111431479933572122610127112',5287,'9998',57.89,1,3,NULL),(16,3164039,'1990-07-11 00:00:00',4,1,12,2007,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241415472731347833575124610127045',2912,'270',64.07,1,3,NULL),(16,3164055,'1991-03-29 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124242241215121431466639295125610127047',NULL,'9997',26.15,1,3,NULL),(16,3164063,'1991-04-27 00:00:00',2,2,12,2008,'F','N','GARCIA','BLUMENAU','SC','124241241215131731459933592114610167147',NULL,'88',37.66,1,3,NULL),(16,3164071,'1991-12-01 00:00:00',4,1,11,2009,'M','S','PONTE DO IMARUIM','PALHOçA','SC','124244241215111431334931245121610144117',NULL,'1011',6.38,1,3,NULL),(16,3164080,'1992-04-09 00:00:00',4,1,12,2009,'M','S','CAMPECHE','FLORIANóPOLIS','SC','124242247212151212458833575112610167046',NULL,'9999',17.58,1,3,NULL),(16,3164098,'1989-09-22 00:00:00',2,1,12,2007,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241117372411623434385124610126142',NULL,'287',24.06,1,2,1),(16,3164101,'1988-12-30 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241117141221236313442124610122192',NULL,'281',27.57,3,2,1),(16,3164110,'1988-11-04 00:00:00',2,1,12,2007,'M','N','CAJURU','CURITIBA','PR','116162161217131431536414242234610117047',NULL,'9998',22.54,1,3,NULL),(16,3164128,'1992-01-10 00:00:00',4,1,12,2008,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241215112431433631575122610133072',15773,'1014',37.85,1,3,NULL),(16,3164136,'1988-03-23 00:00:00',4,5,11,2006,'M','N','SANTA LUZIA','CRICIUMA','SC','124242241212372711384512222122131562123',15435,'226',38.69,3,3,NULL),(16,3164144,'1991-08-29 00:00:00',4,1,12,2008,'M','N','CANTO DO FORTE','PR GRANDE','SP','125252251216131431467714145124610118117',NULL,'9998',0.00,1,3,NULL),(16,3164152,'1991-12-06 00:00:00',4,8,11,2008,'M','N','CENTRO','S BENTO SUL','SC','124242241212111431457713475122610127052',6404,'1114',55.46,1,3,NULL),(16,3164160,'1991-02-25 00:00:00',4,10,11,2008,'M','N','CENTRO','GRAVATAL','SC','124242241217111431465934572124610164052',3038,'807',63.69,1,3,NULL),(16,3164187,'1991-11-10 00:00:00',2,6,12,2008,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215111431468831415122610118112',NULL,'109',34.72,1,3,NULL),(16,3164195,'1991-07-16 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215111431469811175124610137057',16507,'1022',35.43,1,3,NULL),(16,3164209,'1991-01-20 00:00:00',4,2,12,2008,'M','N','VELHA','BLUMENAU','SC','124244241216112431459714575114610161172',4181,'71',60.53,1,3,NULL),(16,3164217,'1991-08-31 00:00:00',2,5,11,2008,'M','N','JARDIM MARISTELA','CRICIúMA','SC','124242241215121431466911415114610167062',NULL,'210',20.38,1,3,NULL),(16,3164225,'1991-07-26 00:00:00',4,4,11,2008,'F','N','INDUSTRIAL','SORRISO','MT','111113118236111411436634242124610143142',NULL,'9998',24.19,1,3,NULL),(16,3164233,'1989-12-02 00:00:00',4,1,12,2007,'F','N','SANTA TERESA','S PEDRO ALCâNTARA','SC','124241241122372731631333435124610165052',NULL,'869',25.95,1,2,1),(16,3164241,'1990-03-22 00:00:00',4,1,7,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241117152451337624375124221966195',5618,'306',57.22,1,2,1),(16,3164250,'1990-04-27 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215472431556711574114610161142',1951,'1022',67.37,1,3,NULL),(16,3164268,'1991-06-25 00:00:00',4,4,12,2008,'F','N','SãO GOTARDO','S MIGUEL OESTE','SC','124241241116211731436613575122610124142',NULL,'757',25.73,1,3,NULL),(16,3164276,'1991-02-14 00:00:00',4,2,12,2008,'F','N','CANTA GALO','RIO SUL','SC','124241241117271431458913335122610144147',11767,'659',45.70,1,2,1),(16,3164292,'1991-04-08 00:00:00',4,1,11,2008,'M','N','ALPHAVILLE','SANTANA PARNAíBA','SP','125252251217271432389634476112610132052',3002,'9998',63.79,1,3,NULL),(16,3164306,'1990-02-22 00:00:00',4,4,12,2007,'M','N','MERCES','CURITIBA','PR','116162161215472431479912575112610164092',NULL,'9998',0.00,1,3,NULL),(16,3164314,'1988-09-30 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217573731489913595112120767055',4661,'270',59.40,1,3,NULL),(16,3164322,'1989-03-22 00:00:00',2,1,12,2006,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124241247312372431448513395112130227052',14898,'9999',39.89,1,3,NULL),(16,3164330,'1991-04-13 00:00:00',2,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241436111431345532215122610125052',NULL,'362',24.09,1,3,NULL),(16,3164349,'1991-05-24 00:00:00',4,3,12,2008,'M','N','CENTRO','NOVA TRENTO','SC','124242241215112121378813572114610117062',14353,'109',40.96,1,3,NULL),(16,3164357,'1990-12-05 00:00:00',4,1,11,2007,'M','N','JARDINS','S PAULO','SP','125202201416471211189913482115610167186',909,'9998',72.63,1,3,NULL),(16,3164365,'1991-03-23 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111432288832572114610164122',12098,'270',45.10,1,3,NULL),(16,3164373,'1990-10-29 00:00:00',2,5,12,2007,'M','N','CENTRO','MRO FUMAçA','SC','124243241215142431323512342124231467112',9325,'1107',50.04,1,3,NULL),(16,3164381,'1991-09-13 00:00:00',4,4,11,1991,'F','N','PRESIDENTE MéDICI','CHAPECó','SC','124243241215131331466619595122610164097',16562,'185',35.10,1,3,NULL),(16,3164390,'1990-02-11 00:00:00',4,1,11,2007,'M','N','BIGORRILHO','CURITIBA','PR','116162161215572231357419575115610127057',6935,'9998',54.43,1,3,NULL),(16,3164411,'1986-05-25 00:00:00',2,1,12,2004,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124244241216135431346623345124232766077',16664,'1022',34.16,1,3,NULL),(16,3164420,'1992-04-07 00:00:00',2,1,12,2008,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124242241215121331336533575122610167042',16296,'1023',36.39,1,3,NULL),(16,3164438,'1992-12-14 00:00:00',4,1,11,2009,'F','S','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241217111432457834575112610132142',NULL,'1133',41.78,1,3,NULL),(16,3164446,'1990-04-16 00:00:00',4,3,12,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124244241215472431569914572112610164062',6002,'1038',56.35,1,3,NULL),(16,3164454,'1990-09-14 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241317371431547814575122610126093',13591,'300',42.46,1,3,NULL),(16,3164462,'1991-04-26 00:00:00',4,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124242243215371431463612375122610127143',NULL,'226',28.37,1,3,NULL),(16,3164489,'1989-11-10 00:00:00',4,1,12,2006,'F','N','CENTRO','LIMEIRA','SP','125252251216471431579911572124610115022',13961,'9998',41.73,1,3,NULL),(16,3164500,'1988-11-10 00:00:00',4,1,12,2006,'M','N','PIATã','SALVADOR','BA','105052051216571431468821575112610168027',NULL,'9998',0.00,1,3,NULL),(16,3164527,'1992-05-22 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241215111432489834435124610112062',NULL,'951',56.21,1,3,NULL),(16,3164543,'1991-02-14 00:00:00',4,8,12,2008,'M','N','CENTRO','CORUPá','SC','124244241215211231568912375124610167047',12040,'441',45.21,1,3,NULL),(16,3164551,'1980-06-06 00:00:00',2,1,12,1997,'F','N','INGLESES','FLORIANóPOLIS','SC','124121121126131431335553482114143263097',15493,'9998',38.56,2,1,1),(16,3164560,'1992-01-24 00:00:00',4,3,12,2008,'F','N','SANTA TEREZINHA','BRUSQUE','SC','124242241215111431435631242122610137147',NULL,'109',37.59,1,3,NULL),(16,3164578,'1991-03-27 00:00:00',2,1,12,2008,'F','N','CENTRO','CAçADOR','SC','124242241235111421339621371342610124113',NULL,'120',0.00,4,3,NULL),(16,3164586,'1989-12-06 00:00:00',4,1,11,2008,'F','N','PROGRESSO','RIO SUL','SC','124244241215373431457412576122610124142',9584,'991',49.56,1,3,NULL),(16,3164594,'1992-08-17 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241211111331588933572122610164147',NULL,'270',57.74,1,3,NULL),(16,3164608,'1991-05-09 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431377812325125610166061',NULL,'270',42.98,4,3,NULL),(16,3164616,'1991-07-24 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241216111732489932575122610168142',NULL,'499',22.30,1,3,NULL),(16,3164624,'1990-12-29 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241127371411336313282224610145142',13146,'290',43.25,1,2,1),(16,3164632,'1990-11-14 00:00:00',2,1,12,2008,'F','N','COPACABANA','RIO JANEIRO','RJ','121212211236121431578839575114610133117',NULL,'9998',0.00,1,3,NULL),(16,3164640,'1991-06-03 00:00:00',4,6,12,2008,'F','N','CENTRO','ITUPORANGA','SC','124244241415131441557911472122610162177',7877,'991',52.64,1,3,NULL),(16,3164659,'1990-01-17 00:00:00',4,1,12,2007,'F','N','JARDIM SãO DIMAS','S JOSé CAMPOS','SP','125254251237472431287812275115610162113',4738,'9998',59.23,1,3,NULL),(16,3164675,'1991-03-19 00:00:00',2,5,10,2008,'F','N','CENTRO','SOMBRIO','SC','124242241215121411457912172124610122192',15636,'32',38.22,1,3,NULL),(16,3164683,'1991-08-23 00:00:00',4,6,11,2008,'F','N','CIDADE NOVA','PTO UNIãO','SC','124242241215121411359832125122610134117',NULL,'1026',0.00,1,3,NULL),(16,3164691,'1992-07-17 00:00:00',4,6,11,2009,'F','S','CENTRO','BRUSQUE','SC','124243241215111511368823575125610122192',NULL,'107',59.86,1,3,NULL),(16,3164705,'1983-03-20 00:00:00',4,1,12,2000,'F','N','BARRA FUNDA','S PAULO','SP','125252251217371431348834243122241824147',NULL,'9998',0.00,1,3,NULL),(16,3164713,'1990-03-21 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215343431469313572124233222187',5942,'270',56.47,1,3,NULL),(16,3164730,'1989-08-20 00:00:00',2,1,12,2006,'F','N','KOBRASOL','S JOSé','SC','124242241212473731439611572124610112142',NULL,'737',24.05,1,3,NULL),(16,3164748,'1991-07-04 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217121411469923575112610123192',6846,'270',54.58,1,3,NULL),(16,3164756,'1991-08-14 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431473969572122610133143',3356,'270',62.81,1,3,NULL),(16,3164802,'1991-09-05 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241217151731579913472112610162042',6287,'262',55.72,1,3,NULL),(16,3164810,'1991-08-18 00:00:00',4,9,12,2008,'F','N','SANTA HELENA','LAGES','SC','124241241116131431458613275122610154017',NULL,'512',25.47,1,3,NULL),(16,3164829,'1991-12-19 00:00:00',2,3,12,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','124244241415311731464912315122610168042',NULL,'403',29.01,1,3,NULL),(16,3164845,'1991-12-20 00:00:00',2,1,12,2009,'F','S','CARVOEIRA','FLORIANóPOLIS','SC','124242241212111731456633592122610138182',NULL,'270',43.35,1,3,NULL),(16,3164853,'1992-03-28 00:00:00',4,1,12,2008,'M','N','CENTRO','STO ÂNGELO','RS','120202201216151431359813575112610128187',5141,'9998',58.27,1,3,NULL),(16,3164870,'1992-11-03 00:00:00',5,8,12,2008,'M','N','GLORIA','JOINVILLE','SC','124244241417111431459612495122610165127',8618,'486',51.22,4,3,NULL),(16,3164888,'1991-03-16 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124241241115271431436317482124610162082',NULL,'733',24.86,1,2,1),(16,3164896,'1991-09-01 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111231469911572122610137112',14367,'262',40.93,1,3,NULL),(16,3164900,'1992-04-24 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217111531488833431122610168062',NULL,'270',2.05,1,3,NULL),(16,3164918,'1990-02-10 00:00:00',2,8,12,2007,'F','N','ADHEMAR GARCIA','JOINVILLE','SC','124241241112131431536414282124130836147',14587,'467',40.53,1,2,1),(16,3164926,'1991-07-04 00:00:00',4,8,11,2008,'M','N','CENTRO','S VICENTE','SP','125252251217111411388914575114610167182',9441,'9998',49.83,1,3,NULL),(16,3164934,'1990-03-17 00:00:00',4,1,12,2007,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124243241116371431326614585124610164192',16319,'278',36.31,1,3,NULL),(16,3164942,'1991-07-23 00:00:00',4,1,12,2008,'M','N','SANTOS DUMONT','S JOSé','SC','124241241117141412635514381124610127012',NULL,'732',19.02,1,2,1),(16,3164950,'1991-09-16 00:00:00',4,8,11,2008,'M','N','BARRA DO RIO CERRO','JARAGUá SUL','SC','124242241215151431359931472124610127017',14685,'424',40.31,1,3,NULL),(16,3164977,'1991-05-09 00:00:00',2,1,12,2008,'M','N','BALNEARIO','FLORIANóPOLIS','SC','124243241215131431538473575122610124053',6556,'1134',55.16,1,3,NULL),(16,3164985,'1992-07-30 00:00:00',4,6,12,2008,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124242241215111411459634242122610132142',14588,'109',40.53,1,3,NULL),(16,3164993,'1990-09-19 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124162161215472431158813571114610137042',8348,'9998',51.69,4,3,NULL),(16,3165000,'1990-05-23 00:00:00',4,3,12,2008,'M','N','DOS ESTADOS','BAL CAMBORIú','SC','124242241215371431468814575112610137042',295,'1038',77.99,1,3,NULL),(16,3165019,'1990-11-05 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241211111411489812572112610122092',8187,'270',52.04,1,3,NULL),(16,3165027,'1992-02-02 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241211112411229919192115610117042',771,'270',73.67,1,3,NULL),(16,3165035,'1986-02-10 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472421468632494122130262097',14281,'270',41.08,1,3,NULL),(16,3165043,'1989-06-24 00:00:00',2,1,12,2006,'F','N','PETRóPOLIS','CAXIAS SUL','RS','120202201216571431648814385112142535182',6708,'9998',54.85,4,3,NULL),(16,3165051,'1991-07-03 00:00:00',4,6,11,2008,'M','N','SãO JUDAS','ITAJAí','SC','124242241215111431678834575122610124052',8628,'391',51.20,1,3,NULL),(16,3165060,'1992-01-16 00:00:00',4,1,12,2009,'F','S','CENTRO','BAL CAMBORIú','SC','124242241215111431359812575122610111012',NULL,'1038',32.31,1,3,NULL),(16,3165078,'1990-05-03 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','125252251217371431478911572122610133122',NULL,'9998',0.00,1,3,NULL),(16,3165086,'1990-08-12 00:00:00',4,8,12,2008,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241215151431248824575124610168197',NULL,'1105',14.57,1,3,NULL),(16,3165094,'1992-02-26 00:00:00',2,1,12,2009,'F','S','PANTANAL','FLORIANóPOLIS','SC','124241241115111411444623471125610116145',NULL,'267',38.26,1,3,NULL),(16,3165108,'1992-04-15 00:00:00',4,4,11,2008,'F','N','LIBERDADE','CONCóRDIA','SC','124242241215111431476812575122610167122',NULL,'1000',26.86,1,3,NULL),(16,3165116,'1992-04-14 00:00:00',2,1,11,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124244241315111431448831575122610138142',13228,'270',43.10,1,3,NULL),(16,3165124,'1991-07-02 00:00:00',4,4,11,2008,'M','N','LA SALLE','PATO BRANCO','PR','116162161215271751446839375122610147127',NULL,'9998',0.00,1,3,NULL),(16,3165132,'1992-02-23 00:00:00',4,8,11,2008,'F','N','CENTRO','S FRANCISCO SUL','SC','124242241216372431358823435124610126072',13298,'486',42.98,1,3,NULL),(16,3165140,'1990-08-15 00:00:00',2,1,12,2008,'M','N','AREIAS','S JOSé','SC','124244241117131431434711345124610124052',NULL,'739',36.15,1,3,NULL),(16,3165159,'1991-05-20 00:00:00',4,1,12,2009,'M','S','STO ANTôNIO DE LISBO','FLORIANóPOLIS','SC','624242241217112411679833571122610127092',NULL,'262',49.11,1,3,NULL),(16,3165167,'1991-06-20 00:00:00',4,9,12,2008,'M','N','CORAL','LAGES','SC','124241241116131431438822575124610167052',NULL,'935',28.70,1,2,1),(16,3165191,'1992-08-09 00:00:00',4,10,12,2009,'M','S','CENTRO','GR PARá','SC','124244241415111431425916165124610134142',NULL,'950',20.03,1,3,NULL),(16,3165205,'1990-01-23 00:00:00',4,1,11,2007,'M','N','VILA ALBERTINA','S PAULO','SP','125252251115471431488833575122610117042',NULL,'9998',0.00,1,3,NULL),(16,3165213,'1987-10-14 00:00:00',4,8,12,2005,'F','N','SANTA TEREZINHA','SOROCABA','SP','125252251216571431669611571125610138192',NULL,'9998',0.00,1,3,NULL),(16,3165230,'1989-09-01 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216472331568853385124610117062',6583,'270',55.09,1,3,NULL),(16,3165248,'1987-03-17 00:00:00',4,1,11,2004,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241116152421456313335122610127187',4883,'271',58.92,4,1,1),(16,3165256,'1992-07-08 00:00:00',4,1,11,2010,'M','S','JOãO PAULO','FLORIANóPOLIS','SC','124242241211131121224566464222232634173',NULL,'1098',23.21,1,3,NULL),(16,3165272,'1992-02-05 00:00:00',4,1,12,2009,'F','S','BELA VISTA I','S JOSé','SC','124242241215111431437814275122610162037',NULL,'738',54.26,1,3,NULL),(16,3165280,'1980-03-18 00:00:00',4,1,12,1997,'M','N','CENTRO','FLORIANóPOLIS','SC','124202201216472731124843135224141442052',NULL,'9998',0.00,1,3,NULL),(16,3165299,'1991-09-27 00:00:00',2,5,11,2008,'M','N','JARDIM ANGéLICA','CRICIúMA','SC','124242241212111121336433175124611227052',NULL,'213',26.72,1,3,NULL),(16,3165302,'1984-10-23 00:00:00',2,1,8,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124203207126271431446944345134610126052',NULL,'9999',9.07,1,3,NULL),(16,3165329,'1991-04-22 00:00:00',2,9,12,2008,'F','N','NAçõES I','FAZ RIO GRANDE','PR','116162161217111431567932595114610167147',NULL,'9998',0.00,1,3,NULL),(16,3165337,'1991-05-28 00:00:00',4,1,11,2008,'M','N','QUEBEC','LONDRINA','PR','116162161217111412478814472122610162032',NULL,'9998',0.00,3,3,NULL),(16,3165345,'1991-04-24 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241214121431583612575122610121092',7757,'1038',52.86,1,3,NULL),(16,3165353,'1991-12-23 00:00:00',4,1,12,2008,'M','N','REAL PARQUE','S JOSé','SC','124241241117131532625329572324610137047',NULL,'734',0.00,1,2,1),(16,3165361,'1991-08-08 00:00:00',4,9,12,2008,'M','N','CINQUENTENARIO','CAXIAS SUL','RS','120202201217471731479839475122610147042',NULL,'9998',0.00,1,3,NULL),(16,3165370,'1990-01-02 00:00:00',2,4,12,2007,'F','N','CENTRO','CAIBI','SC','124241241125161421513324472324610128147',13098,'127',43.33,1,2,1),(16,3165388,'1991-09-14 00:00:00',2,1,12,2008,'F','N','SANTA TERESA','S PEDRO ALCâNTARA','SC','124241241215131431456953571124610147077',13992,'18',41.65,1,3,NULL),(16,3165396,'1991-10-14 00:00:00',2,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124242241217111431466652245124610127182',NULL,'9997',26.54,1,3,NULL),(16,3165400,'1990-08-31 00:00:00',4,1,12,2008,'M','N','PARQUE ANHANGUERA','GOIâNIA','GO','109092091216111731388823575112610167042',6455,'9998',55.36,3,3,NULL),(16,3165426,'1991-07-29 00:00:00',2,9,11,2008,'F','N','BARRA DO TROMBUDO','RIO SUL','SC','124242241215131431438833395124610146072',13344,'663',42.89,3,3,NULL),(16,3165442,'1991-03-04 00:00:00',4,6,12,2008,'F','N','CABEçUDAS','ITAJAí','SC','124242241215111431578613575124610146142',NULL,'392',0.00,1,3,NULL),(16,3165469,'1989-09-15 00:00:00',3,1,6,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242281217472431148811472114610133077',1361,'9998',70.07,1,3,NULL),(16,3165477,'1982-11-29 00:00:00',4,7,12,1999,'M','N','ALVORADA','VIDEIRA','SC','124241248141351421358713371112333268065',NULL,'830',36.25,1,3,NULL),(16,3165493,'1991-01-21 00:00:00',4,1,11,2008,'M','N','RIBEIRâNEA','RIBEIRãO PRETO','SP','125252251215111431469831471112610136197',3821,'9998',61.54,1,3,NULL),(16,3165515,'1991-07-02 00:00:00',4,8,12,2008,'F','N','VILA NOVA','IMBITUBA','SC','124241241116131731323621575124610137147',NULL,'1034',23.95,1,3,NULL),(16,3165523,'1988-04-05 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241116142232434413385124610112167',NULL,'574',26.17,1,2,1),(16,3165531,'1989-08-06 00:00:00',4,5,11,2008,'M','N','ESTAçãO COCAL','ETC COCAL','SC','124243241317131431333616244121610126147',10433,'822',48.04,1,3,NULL),(16,3165540,'1991-03-18 00:00:00',4,1,10,2008,'M','N','KOBRASOL','S JOSé','SC','124244241215111431368819575122610164142',3434,'723',62.57,1,3,NULL),(16,3165566,'1989-11-13 00:00:00',4,1,12,2007,'F','N','ASA NORTE','BRASíLIA','DF','107072071216471741488933572122610163182',6296,'9998',55.70,1,3,NULL),(16,3165574,'1990-06-23 00:00:00',4,1,10,2007,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241212372431278812492114610167042',4038,'270',60.95,1,3,NULL),(16,3165582,'1991-12-09 00:00:00',4,1,12,2008,'M','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124243241215221731565332595125610127112',1683,'299',68.50,1,3,NULL),(16,3165590,'1991-05-20 00:00:00',2,2,12,2008,'F','N','IMIGRANTES','TIMBó','SC','124241241215112731446933432121610137117',6108,'1157',56.12,1,3,NULL),(16,3165612,'1992-06-17 00:00:00',4,1,12,2009,'F','S','BALNEáRIO','FLORIANóPOLIS','SC','124242241215121431569933575124610114145',NULL,'266',45.87,1,3,NULL),(16,3165620,'1991-04-01 00:00:00',4,1,10,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111431469933575114610162043',9166,'270',50.30,1,3,NULL),(16,3165639,'1989-01-07 00:00:00',4,1,12,2006,'M','N','CENTRO','RIBEIRãO PRETO','SP','125092091215571221489811591124610126056',570,'9998',75.19,1,3,NULL),(16,3165647,'1984-01-15 00:00:00',4,1,6,2002,'M','N','SAMBAQUI','FLORIANóPOLIS','SC','124244241112575711347933492124610117067',NULL,'307',34.97,1,3,NULL),(16,3165655,'1988-04-05 00:00:00',2,3,12,2005,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241117132441365833445112610124117',NULL,'405',22.59,1,2,1),(16,3165663,'1989-12-23 00:00:00',4,8,12,2007,'M','N','VILA IZABEL','CURITIBA','PR','116202161216471731459419572114610167046',NULL,'9998',0.00,1,3,NULL),(16,3165671,'1989-08-15 00:00:00',4,1,3,2007,'F','N','CÓRREGO GRANDE','FLORIANóPOLIS','SC','124243241112373431427814572124610133035',10103,'267',48.60,1,3,NULL),(16,3165698,'1992-10-29 00:00:00',4,1,12,2009,'M','S','CAMPECHE','FLORIANóPOLIS','SC','124244241215111732469913575124610117042',NULL,'1022',30.13,1,3,NULL),(16,3165728,'1990-02-06 00:00:00',2,1,12,2007,'F','N','TRUJILO','SOROCABA','SP','125251251216471411454414274114610126042',NULL,'9998',24.33,1,3,NULL),(16,3165736,'1983-07-01 00:00:00',4,3,12,2000,'M','N','CENTRO','BAL CAMBORIú','SC','124242161216372431558811445124331537042',16219,'9998',36.63,1,3,NULL),(16,3165744,'1974-12-16 00:00:00',2,1,12,1992,'M','N','SãO LUIS CANOAS RS','NOVO HAMBURGO','RS','120201201116271121434443332125141248187',NULL,'9998',29.21,1,3,NULL),(16,3165760,'1990-04-05 00:00:00',4,1,12,2007,'M','N','SãO JOãO','PTO ALEGRE','RS','120202201216371411246923341134610147053',2783,'9998',64.47,1,3,NULL),(16,3165787,'1991-10-03 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215151431489831575122610164042',1243,'266',70.69,1,3,NULL),(16,3165795,'1991-02-03 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215121431456713571122610135142',NULL,'1076',22.59,1,3,NULL),(16,3165809,'1992-08-21 00:00:00',4,1,12,2009,'M','S','BARREIROS','S JOSé','SC','124242241215111741266523214112610134115',NULL,'1118',32.76,1,3,NULL),(16,3165817,'1991-07-03 00:00:00',4,1,12,2008,'M','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241111131731349934571122610127047',NULL,'146',24.63,1,2,1),(16,3165825,'1991-11-18 00:00:00',2,10,12,2008,'M','N','CENTRO','IMBITUBA','SC','124241241215151711258713595122610147052',NULL,'362',0.00,1,3,NULL),(16,3165841,'1992-09-16 00:00:00',4,8,11,2009,'F','S','CENTRO','CORUPá','SC','124243241215151531556612572124610128146',NULL,'424',32.10,1,3,NULL),(16,3165850,'1987-10-15 00:00:00',2,1,11,2005,'M','N','ARMAçãO','FLORIANóPOLIS','SC','124241241115273431468613495124231267052',1690,'270',68.46,1,3,NULL),(16,3165868,'1991-07-06 00:00:00',4,1,12,2008,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','125252251217111431479911572122610134092',2409,'9998',65.67,1,3,NULL),(16,3165876,'1992-10-30 00:00:00',4,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215111411479933572122610122072',NULL,'270',31.30,1,3,NULL),(16,3165884,'1990-04-18 00:00:00',4,1,11,2007,'M','N','CASTALIA','ITABUNA','BA','105052051216471431359833575122610137042',NULL,'9998',0.00,3,3,NULL),(16,3165892,'1991-07-15 00:00:00',2,1,11,2008,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124243241215111431436632272124330727042',7061,'270',54.18,1,3,NULL),(16,3165906,'1988-10-20 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124242241216272731336614485112610118113',NULL,'1022',28.21,1,3,NULL),(16,3165914,'1991-11-04 00:00:00',4,3,12,2008,'M','N','JARDIM PARIS','MARINGá','PR','116162161215151431457531575112610167182',NULL,'9998',41.62,3,3,NULL),(16,3165930,'1989-03-23 00:00:00',2,1,11,2008,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241215131431428823592124610121182',13602,'272',42.45,1,3,NULL),(16,3165949,'1988-12-10 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241111272731447679295124220764122',5113,'307',58.35,1,2,1),(16,3165965,'1991-04-20 00:00:00',4,6,12,2008,'M','N','DOM BOSCO','ITAJAí','SC','124253241116131732436823345124610147017',8500,'401',51.41,1,3,NULL),(16,3165973,'1990-12-10 00:00:00',4,1,12,2007,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241116472411469913372124610133181',2138,'267',66.63,4,3,NULL),(16,3165981,'1991-06-26 00:00:00',4,6,12,2008,'M','N','VILA OPERáRIA','ITAJAí','SC','124242241215111411448812571121610154092',576,'1026',75.13,1,3,NULL),(16,3165990,'1988-09-26 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215574431468933572112610164147',615,'270',74.82,1,3,NULL),(16,3166007,'1991-06-19 00:00:00',4,1,12,2007,'F','N','CENTRO','CONCóRDIA','SC','120241241116151431447933575124610162117',4450,'192',59.90,1,2,1),(16,3166015,'1992-06-15 00:00:00',4,2,12,2009,'M','S','VILA NOVA','BLUMENAU','SC','124242241217111231467934575111610142051',NULL,'909',53.05,1,3,NULL),(16,3166023,'1992-11-11 00:00:00',2,3,11,2009,'F','S','MEIA PRAIA','ITAPEMA','SC','124241241215121531449611585124610124142',NULL,'403',24.28,1,3,NULL),(16,3166031,'1990-10-25 00:00:00',2,1,12,2007,'M','N','CASNASVIEIRAS','FLORIANOPOLIS','SC','124243241136142421433639245124610168142',NULL,'288',26.22,1,3,NULL),(16,3166040,'1988-03-29 00:00:00',4,1,9,2006,'M','N','PANTANAL','FLORIANóPOLIS','SC','124243248315373441448633575114610118182',6694,'1022',54.88,1,3,NULL),(16,3166066,'1986-02-07 00:00:00',2,1,7,2004,'M','N','TAPERA','FLORIANóPOLIS','SC','124241241147142421248823345133233267047',NULL,'295',20.15,1,2,1),(16,3166074,'1991-08-12 00:00:00',4,8,12,2008,'F','N','COMASA','JOINVILLE','SC','124241241115221531526634572122610127147',NULL,'469',24.08,1,3,NULL),(16,3166082,'1989-08-22 00:00:00',2,1,12,2007,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215372431469913572124220727052',2694,'270',64.68,1,3,NULL),(16,3166090,'1993-04-07 00:00:00',2,1,12,2010,'M','S','CAMPECHE','FLORIANóPOLIS','SC','124242241215111431469933574124610137042',NULL,'1022',44.44,1,3,NULL),(16,3166104,'1992-09-09 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111431469812472122610127092',NULL,'270',37.00,1,3,NULL),(16,3166112,'1992-01-28 00:00:00',2,1,12,2008,'F','N','BARRA DO ARIRIU','PALHOçA','SC','124242241115371431536613114124610163142',14520,'592',40.65,1,3,NULL),(16,3166120,'1991-06-07 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241137141431446313575124610137017',15841,'307',37.65,1,3,NULL),(16,3166139,'1989-08-28 00:00:00',4,1,12,2005,'F','N','LIBERDADE','S PAULO','SP','125122121216572441486816572122610164092',4077,'9998',60.85,1,3,NULL),(16,3166147,'1989-02-17 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241115131711424914481244610138192',16116,'288',36.89,1,2,1),(16,3166155,'1990-12-20 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215152751567921572112610133192',5489,'266',57.50,1,3,NULL),(16,3166163,'1984-08-24 00:00:00',2,1,12,2004,'F','N','STO DE LISBOA','FLORIANóPOLIS','SC','124241241132162731522319392344610166147',NULL,'505',26.80,2,1,1),(16,3166171,'1990-07-26 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','S JOSé','SC','124242241215472732436731312134610118057',12424,'944',44.51,1,3,NULL),(16,3166198,'1986-12-19 00:00:00',4,1,12,2003,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124162161235475431446831572114610167017',34,'9998',83.25,1,3,NULL),(16,3166201,'1991-05-24 00:00:00',4,1,11,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241217122411469913574124610164095',3448,'270',62.52,1,3,NULL),(16,3166228,'1981-12-21 00:00:00',4,1,12,1998,'F','N','CENTRO','CAMBORIú','SC','124241241216152751453639395124330667197',NULL,'53',0.00,1,3,NULL),(16,3166236,'1962-05-11 00:00:00',1,1,12,1978,'F','N','TRINDADE','FLORIANóPOLIS','SC','524241241227152411436643232142132866144',15122,'409',39.37,1,3,NULL),(16,3166244,'1991-02-08 00:00:00',4,4,11,2008,'M','N','BELA VISTA','ERECHIM','RS','120202201217111431436819595125610127182',6477,'9998',55.32,1,3,NULL),(16,3166252,'1991-03-24 00:00:00',2,1,12,2008,'F','N','JARDIM EUCALIPTUS','PALHOçA','SC','124241241135131451534514245125610128141',10794,'592',47.38,1,2,1),(16,3166260,'1990-08-30 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124241241216131431456813595122610164187',NULL,'724',30.92,1,3,NULL),(16,3166279,'1991-10-05 00:00:00',4,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124244241217111431327311472124610162017',14375,'724',40.92,1,3,NULL),(16,3166287,'1988-03-27 00:00:00',4,1,12,2006,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241135271431224321245124610126177',NULL,'727',21.49,2,1,1),(16,3166295,'1991-05-30 00:00:00',2,5,11,2008,'M','N','COMERCIáRIO','CRICIúMA','SC','124242241216272431666632275112610167063',6815,'210',54.63,1,3,NULL),(16,3166309,'1986-09-20 00:00:00',2,8,12,2003,'F','N','VILA ESTRELA','PNT GROSSA','PR','116251251117271431433612272124341166147',6893,'9998',54.50,1,3,NULL),(16,3166317,'1990-02-09 00:00:00',4,8,11,2008,'M','N','AMéRICA','JOINVILLE','SC','124242241211111431358921575112610167042',12146,'486',45.00,1,3,NULL),(16,3166325,'1985-12-04 00:00:00',4,1,12,2003,'M','N','CIDADE PATRIARCA','S PAULO','SP','125252251237571751548611572325610168037',117,'9998',80.67,4,3,NULL),(16,3166333,'1989-08-23 00:00:00',2,1,12,2007,'M','N','SANTOS DUMONT','S JOSé','SC','124241241425372721433324341323610127047',NULL,'295',26.23,2,1,2),(16,3166341,'1990-08-29 00:00:00',4,1,11,2007,'F','N','BALNEáRIO DOS AçORES','FLORIANóPOLIS','SC','124242241217372411248847575124131061192',8525,'270',51.38,1,3,NULL),(16,3166350,'1989-05-17 00:00:00',4,1,11,2006,'M','N','CENTRO','CAMPINAS','SP','125252251217571131469832246122610164054',4187,'9998',60.52,1,3,NULL),(16,3166368,'1990-09-11 00:00:00',4,1,12,2008,'M','N','PIRATININGA','NITERóI','RJ','121212211217131751636819575124610137172',NULL,'9998',23.52,4,3,NULL),(16,3166376,'1991-10-30 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241115131431343923575114610127017',NULL,'307',22.89,1,2,1),(16,3166384,'1960-09-16 00:00:00',2,1,12,1981,'M','N','CAMPECHE','FLORIANóPOLIS','SC','224241243221275411463149311114321926183',13102,'303',43.32,1,3,NULL),(16,3166392,'1984-12-20 00:00:00',4,1,12,2004,'M','N','BARRA DO ARIRIU','PALHOçA','SC','124243241116243431448614145123610167047',NULL,'307',22.36,1,3,NULL),(16,3166406,'1988-12-28 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215472531668614575112610165045',12561,'270',44.24,1,3,NULL),(16,3166414,'1991-09-18 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111431438632572122610144072',9664,'738',49.40,1,3,NULL),(16,3166422,'1990-01-01 00:00:00',4,1,12,2007,'M','N','CENTRO','MARINGá','PR','116164161436472431478812575122610167042',NULL,'9998',0.00,1,3,NULL),(16,3166430,'1991-06-22 00:00:00',2,8,12,2008,'F','N','SAGUAçU','JOINVILLE','SC','124242241215111431469914575122610124147',9427,'1016',49.85,1,3,NULL),(16,3166449,'1987-09-15 00:00:00',4,1,11,2005,'M','N','CENTRO','PALHOçA','SC','124242241216373431679813495114230762127',NULL,'589',28.86,1,3,NULL),(16,3166457,'1991-08-09 00:00:00',2,1,12,2008,'M','N','CENTRO','BIGUAçU','SC','124242241212131731546919492114610127047',12454,'737',44.46,1,3,NULL),(16,3166465,'1987-03-21 00:00:00',2,1,12,2004,'M','N','PINGUIRITO','GAROPABA','SC','124241241126373421541131145223610116012',NULL,'322',31.28,1,2,1),(16,3166473,'1986-03-08 00:00:00',2,1,12,2003,'M','N','BARREIROS','S JOSé','SC','124252251216573431468834374124141427043',10196,'9998',48.44,1,3,NULL),(16,3166481,'1991-04-24 00:00:00',4,1,12,2008,'M','N','BALNEARIO','FLORIANóPOLIS','SC','124242241212111431656829172124610117042',NULL,'1022',42.44,1,3,NULL),(16,3166490,'1991-07-09 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215151431469833575122610123077',8675,'273',51.11,1,3,NULL),(16,3166520,'1991-05-28 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215112431469933575114610127042',NULL,'1022',45.51,1,3,NULL),(16,3166546,'1991-08-05 00:00:00',2,1,10,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215111431466933335112610164047',4739,'723',59.22,1,3,NULL),(16,3166554,'1990-09-22 00:00:00',2,1,12,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241117151431456931475114610164017',10790,'307',47.39,1,2,1),(16,3166562,'1991-02-24 00:00:00',4,1,12,2008,'M','N','CENTRO','RIO FORTUNA','SC','124241241115161431436613475124610111142',13267,'665',43.04,1,2,1),(16,3166570,'1991-01-24 00:00:00',2,4,12,2008,'M','N','BARRA GRANDE','FAXINAL GUEDES','SC','124241241335161731447619175122610144047',12459,'255',44.46,1,3,NULL),(16,3166589,'1991-03-08 00:00:00',2,1,12,2008,'M','N','GOPIUVA','CARAPICUíBA','SP','125251251116271431333631575124610122097',NULL,'9998',29.71,1,2,1),(16,3166597,'1987-04-05 00:00:00',4,2,12,2004,'F','N','VELHA','BLUMENAU','SC','124241241116132421436733495134132034147',12291,'79',44.73,1,2,1),(16,3166600,'1989-09-02 00:00:00',2,5,12,2006,'F','N','ESTAçãO COCAL','MRO FUMAçA','SC','124241241122371711656634575122132538187',NULL,'822',33.79,1,2,1),(16,3166627,'1991-04-24 00:00:00',4,1,11,2008,'M','N','CHáCARA CACHOEIRA','CPO GRANDE','MS','112122121217371431435823475122610142147',2866,'9998',64.19,1,3,NULL),(16,3166635,'1990-08-08 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124243241215471731467614395124610137047',NULL,'1022',20.52,1,3,NULL),(16,3166643,'1991-12-26 00:00:00',4,2,12,2008,'M','N','VILA MARIANA','TAIó','SC','124241241116131731438923117241610114177',1731,'777',68.29,1,2,1),(16,3166651,'1990-07-07 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431468823575112610124022',943,'270',72.39,1,3,NULL),(16,3166660,'1990-12-05 00:00:00',4,9,12,2008,'F','N','SANTA HELENA','LAGES','SC','124241248215271431533319195124610164097',NULL,'515',24.82,1,3,NULL),(16,3166678,'1991-12-17 00:00:00',2,1,11,2008,'M','N','ROçADO','S JOSé','SC','101222011217271431345912575122610167182',NULL,'9998',0.00,4,3,NULL),(16,3166694,'1990-10-05 00:00:00',2,1,12,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241147131451455569392124610128192',NULL,'298',20.97,1,2,1),(16,3166708,'1990-02-15 00:00:00',4,1,12,2008,'M','N','TAPERA','FLORIANóPOLIS','SC','124243247215151431445633372212610167042',NULL,'9999',24.04,2,3,NULL),(16,3166716,'1977-04-08 00:00:00',2,1,12,1995,'F','N','COLONINHA','FLORIANóPOLIS','SC','224241247327131431454153372112610127147',NULL,'9999',22.55,2,1,2),(16,3166724,'1991-02-09 00:00:00',4,1,12,2008,'M','N','PARQUE BANDEIRANTES','RIBEIRãO PRETO','SP','125254251315271431358812575124610162092',9027,'9998',50.54,1,3,NULL),(16,3166732,'1991-05-30 00:00:00',2,5,11,2008,'M','N','COMERCIARIO','CRICIúMA','SC','124242241217372731653412425122610117042',NULL,'210',45.82,1,3,NULL),(16,3166740,'1988-11-14 00:00:00',4,1,12,2006,'M','N','CIDADE PATRIARCA','S PAULO','SP','125252251214571411548611575125610162097',338,'9998',77.53,4,3,NULL),(16,3166759,'1992-02-24 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANóPOLIS','SC','124241241112111411337812575124610123015',NULL,'307',30.29,1,3,NULL),(16,3166767,'1991-01-01 00:00:00',4,6,11,2008,'M','N','NAçõES','BAL CAMBORIú','SC','124241241116131451443314345124610162171',NULL,'873',24.59,4,2,1),(16,3166783,'1989-07-25 00:00:00',4,1,10,2007,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124242241215472431449613272124130627052',1838,'262',67.88,1,3,NULL),(16,3166805,'1990-03-26 00:00:00',2,1,12,2007,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241212372431343824575122610143072',12054,'1118',45.19,4,1,2),(16,3166821,'1992-01-17 00:00:00',2,7,12,2008,'F','N','GUARUJá','CASCAVEL','PR','116162161215111731637923475114610127032',NULL,'9998',28.99,1,3,NULL),(16,3166830,'1991-07-14 00:00:00',4,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124242241215271431553734246124610167053',10173,'1010',48.47,1,3,NULL),(16,3166848,'1991-08-23 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124242241215131411644811145124610167057',NULL,'1010',26.82,1,3,NULL),(16,3166856,'1990-12-31 00:00:00',2,1,10,2007,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241316272431318724341224610124142',NULL,'362',34.39,1,3,NULL),(16,3166872,'1983-02-02 00:00:00',2,1,12,2000,'M','N','SERRARIA','S JOSé','SC','124241241127373221351324245124131034083',14017,'66',41.62,1,2,1),(16,3166880,'1991-04-30 00:00:00',4,5,11,2007,'M','N','CENTRO','ARARANGUá','SC','124242241215372411346823315122132034171',2706,'32',64.67,1,3,NULL),(16,3166899,'1988-08-11 00:00:00',2,1,12,2006,'M','N','IPIRANGA','S JOSé','SC','124242241115373411459832415124433263141',4867,'306',58.94,1,3,NULL),(16,3166902,'1991-01-30 00:00:00',2,3,11,2008,'F','N','CENTRO','S JOãO BATISTA','SC','124241241132371431434923172122610114147',NULL,'712',27.35,1,2,1),(16,3166910,'1991-05-05 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124244241115472731424923586114610146031',5897,'733',56.58,4,3,NULL),(16,3166929,'1988-10-12 00:00:00',4,1,12,2006,'M','N','VILA MATHIAS','SANTOS','SP','125252251117572421569814585112143217182',1751,'9998',68.19,1,3,NULL),(16,3166937,'1989-04-15 00:00:00',2,4,12,2006,'F','N','CENTRO','BOA V MISSõES','RS','120201201136371751323316595125143068147',NULL,'9998',30.59,1,3,NULL),(16,3166945,'1991-08-03 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124244248215111731549919495122610127142',8987,'270',50.60,1,3,NULL),(16,3166953,'1986-10-20 00:00:00',2,1,12,2003,'F','N','JOAO PAULO','FLORIANóPOLIS','SC','124252241217371431578813575122610137122',9333,'260',50.02,1,3,NULL),(16,3166961,'1991-07-11 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241116111431436633575124610127052',NULL,'287',14.33,1,2,1),(16,3166988,'1986-11-06 00:00:00',4,1,12,2003,'M','N','IPIRANGA','S JOSé','SC','124242241215152412459634475124233267057',8808,'725',50.89,1,3,NULL),(16,3167011,'1976-06-14 00:00:00',2,1,12,1995,'M','N','BOCA DO RIO','SALVADOR','BA','105051058136271711233343232124610138027',13502,'9998',42.62,4,1,1),(16,3167020,'1988-01-09 00:00:00',2,5,12,2004,'F','N','MADRE TEREZA','S LUDGERO','SC','124241241137271431426314495121142723047',NULL,'748',25.83,1,3,NULL),(16,3167038,'1987-03-24 00:00:00',2,5,12,2005,'M','N','RIO MAINA','CRICIúMA','SC','124241248127371431643319395123610124197',NULL,'223',0.00,1,3,NULL),(16,3167046,'1988-11-28 00:00:00',4,1,12,2006,'M','N','JARDIM ACAPULCO','GUARUJá','SP','125252251217471511658811485122140214117',4480,'9998',59.83,1,3,NULL),(16,3167054,'1986-05-10 00:00:00',2,1,12,2003,'M','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241125273421434413345124610167055',6857,'294',54.56,1,2,1),(16,3167062,'1990-10-01 00:00:00',4,1,11,2008,'F','N','SãO JOãO','VOTUPORANGA','SP','125252251216161431568914241121610111152',NULL,'9998',17.97,1,3,NULL),(16,3167070,'1991-10-06 00:00:00',4,2,12,2008,'F','N','FORTALEZA','BLUMENAU','SC','124241241217131731547914241124610143177',10089,'88',48.62,1,3,NULL),(16,3167089,'1983-09-28 00:00:00',2,1,11,2001,'M','N','PANTANAL','FLORIANóPOLIS','SC','224243247346274731251343235123130214047',NULL,'185',40.59,4,1,2),(16,3167097,'1987-12-07 00:00:00',4,8,12,2004,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161216372431478933575122141034012',4650,'9998',59.43,1,3,NULL),(16,3167100,'1987-01-16 00:00:00',2,1,12,2004,'M','N','LAGO SUL','LG SUL','DF','107072071415572431477633572122241227182',984,'9998',72.18,1,3,NULL),(16,3167119,'1983-09-23 00:00:00',2,9,12,2000,'M','N','BOTAFOGO','BENTO GONçALVES','RS','120204201216131711558612371122142326092',4175,'9998',60.58,1,3,NULL),(16,3167127,'1983-07-03 00:00:00',5,1,8,2002,'M','N','PANTANAL','FLORIANóPOLIS','SC','124161168137144751234949315124122212181',15096,'9998',39.43,1,2,1),(16,3167135,'1992-01-05 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215121431358813575112610163186',7389,'262',53.54,1,3,NULL),(16,3167143,'1989-12-25 00:00:00',4,1,11,2007,'F','N','JARDIM DAS AMERICAS','CUIABá','MT','111112111235471231436814595122610162092',NULL,'9998',0.00,4,3,NULL),(16,3167151,'1988-12-09 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241217374431268829345122610162145',NULL,'272',38.39,1,3,NULL),(16,3167160,'1990-05-18 00:00:00',4,1,12,2007,'M','N','JARDIM VALE DO SOL','S JOSé CAMPOS','SP','125251251216471431539413235124610122053',9620,'9998',49.47,4,3,NULL),(16,3167186,'1989-11-09 00:00:00',4,3,12,2008,'F','N','DAS NAÇÕES','BALNEARIO CAMBORIU','SC','124241241115131731528811312122610135147',NULL,'873',22.20,4,2,1),(16,3167208,'1991-02-04 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241216111431578612275112610166171',4419,'270',59.97,1,3,NULL),(16,3167216,'1987-12-04 00:00:00',4,1,11,2005,'F','N','JARDIM DAS AMERICAS','CUIABá','MT','111112111235571531447819575122610163177',NULL,'9997',0.00,4,3,NULL),(16,3167224,'1988-04-14 00:00:00',4,1,11,2005,'M','N','JARDIM ITALIA','CUIABá','MT','111112111216471411369923594122140764092',NULL,'9998',0.00,4,3,NULL),(16,3167232,'1985-10-12 00:00:00',2,1,12,2005,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241347373431626619444124610147157',1728,'278',68.31,1,3,NULL),(16,3167259,'1990-11-03 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124241241412372431456313172112610121052',NULL,'724',28.99,1,3,NULL),(16,3167267,'1991-05-03 00:00:00',4,4,12,2008,'M','N','VENEZA','XANXERê','SC','124242241217111431437923575125610137057',NULL,'836',39.22,1,3,NULL),(16,3167275,'1990-04-23 00:00:00',4,6,11,2007,'F','N','EMBARE','SANTOS','SP','125252251215371431428721575121610124111',NULL,'9998',25.87,4,3,NULL),(16,3167305,'1988-08-27 00:00:00',2,9,12,2006,'M','N','GUADALUPE','LAGES','SC','124241241114472431436711371125131346047',NULL,'498',30.69,1,3,NULL),(16,3167313,'1990-06-20 00:00:00',4,1,12,2007,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217152421457612575124220764062',5337,'806',57.81,1,3,NULL),(16,3167330,'1990-05-22 00:00:00',4,1,12,2008,'M','N','LAGOINHA','RIBEIRãO PRETO','SP','125254251317131731458811345124610137043',NULL,'9998',31.85,4,3,NULL),(16,3167348,'1988-07-27 00:00:00',2,1,12,2005,'M','N','SERRA ALTA','S BENTO SUL','SC','124241241114152411223416275124221467057',11330,'697',46.44,1,2,1),(16,3167356,'1986-11-18 00:00:00',4,1,12,2003,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124133241216372711369913393124521925182',4411,'9997',59.98,1,3,NULL),(16,3167364,'1985-03-14 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','224201247127371431226644442124610132095',NULL,'9999',20.94,1,3,NULL),(16,3167372,'1964-09-02 00:00:00',4,1,12,1982,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','624243243447134411334453132125610116092',NULL,'257',26.29,2,1,2),(16,3167402,'1990-11-05 00:00:00',4,5,11,2007,'M','N','CRUZEIRO DO SUL','CRICIúMA','SC','124244241215272411558832395125132868113',NULL,'226',40.51,1,3,NULL),(16,3167410,'1990-08-10 00:00:00',4,1,12,2007,'M','N','VILA OLIVEIRA','MOGI CRUZES','SP','125252251211474211489914571121610112022',3248,'9999',63.14,1,3,NULL),(16,3167429,'1991-10-13 00:00:00',2,1,12,2008,'F','N','FAZENDA STO ANTÔNIO','S JOSé','SC','124243241116131431448613345124610132182',NULL,'739',30.22,1,3,NULL),(16,3167437,'1991-09-07 00:00:00',4,5,12,2008,'M','N','COMERCIáRIO','CRICIúMA','SC','224242241215152431347733475112610117117',4261,'211',60.34,1,3,NULL),(16,3167445,'1989-05-20 00:00:00',2,1,12,2006,'F','N','SILVIA REGINA','CPO GRANDE','MS','112124121137571441326824571124610136092',12796,'9998',43.85,4,3,NULL),(16,3167453,'1982-05-07 00:00:00',2,1,12,2005,'M','N','KOBRASOL','S JOSé','SC','124101098112262421323344442124610167067',NULL,'9998',17.07,1,3,NULL),(16,3167461,'1986-08-21 00:00:00',4,1,12,2004,'M','N','VILA ANDRADE','S PAULO','SP','125252251217573731467939575122610137047',307,'9998',77.92,1,3,NULL),(16,3167470,'1991-07-29 00:00:00',4,1,12,2008,'F','N','PâNTANO DO SUL','FLORIANóPOLIS','SC','124202241215111431379713575122610122017',NULL,'1133',23.57,1,3,NULL),(16,3167496,'1987-06-20 00:00:00',4,1,11,2005,'M','N','NUCLEO BANDEIRANTE','NUC BANDEIRANTE','DF','107244241217573431479933445131521422185',4710,'855',59.29,1,3,NULL),(16,3167500,'1991-08-02 00:00:00',4,1,12,2008,'F','N','IPIRANGA','S JOSé','SC','124243241315411451226624572124610116182',NULL,'976',29.05,1,3,NULL),(16,3167518,'1991-04-02 00:00:00',2,5,12,2008,'F','N','IMIGRANTES','CRICIúMA','SC','124242241215131411537619492122610124147',7540,'211',53.26,1,3,NULL),(16,3167526,'1991-05-17 00:00:00',4,1,12,2008,'F','N','CENTRO','CPO GRANDE','MS','112122121216171731348831575122610168197',12449,'9998',44.47,1,3,NULL),(16,3167534,'1989-07-22 00:00:00',4,1,8,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124241241317132431237624375114610141147',10559,'9999',47.82,1,3,NULL),(16,3167550,'1990-08-22 00:00:00',2,5,12,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215111411539614442122610122111',NULL,'211',26.32,4,3,NULL),(16,3167569,'1987-01-29 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241246416274442633318445234610134052',11889,'995',45.48,1,3,NULL),(16,3167577,'1991-02-14 00:00:00',4,6,12,2008,'M','N','FAZENDA','ITAJAí','SC','124212241117271431446619372124610127117',8785,'395',50.93,1,3,NULL),(16,3167585,'1991-01-25 00:00:00',4,1,12,2007,'M','N','SANTA MARIA','ANTôNIO CARLOS','SC','124241241114162142543311586111231467117',11166,'21',46.72,1,2,1),(16,3167593,'1991-04-17 00:00:00',4,2,12,2008,'F','N','CENTRO','POMERODE','SC','124242241237271431479912575124610167052',10578,'624',47.78,1,3,NULL),(16,3167607,'1990-07-05 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241116131431433331445124610166052',15404,'287',38.76,4,2,1),(16,3167615,'1989-12-08 00:00:00',2,1,12,2007,'M','N','NOVA BAHIA','CPO GRANDE','MS','112122121216372731448831575122610168197',9820,'9998',49.11,1,3,NULL),(16,3167623,'1976-08-21 00:00:00',2,1,12,1995,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243245127133421326644145134610126197',14741,'734',40.19,1,3,NULL),(16,3167631,'1987-09-19 00:00:00',4,1,12,2004,'F','N','VILA SÃO JOSÉ','S JOSé R PRETO','SP','125252251217572431326824581344610121177',3440,'9998',62.54,1,3,NULL),(16,3167658,'1963-07-12 00:00:00',2,1,4,1985,'M','N','CENTRO','FLORIANóPOLIS','SC','124243247327134431436623135124610138147',NULL,'9999',32.11,2,1,2),(16,3167682,'1979-06-06 00:00:00',4,1,12,2000,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124241241146331411126544145224230224042',NULL,'307',26.93,1,2,1),(16,3167690,'1990-09-26 00:00:00',4,1,12,2008,'F','N','JOSé MENDES','FLORIANóPOLIS','SC','124244241116152411448413575124610124052',1047,'271',71.75,1,3,NULL),(16,3167704,'1991-05-26 00:00:00',4,1,12,2008,'F','N','CENTRO','ITUPORANGA','SC','124243241145371431348611475122610122192',13701,'416',42.26,1,3,NULL),(16,3167712,'1990-02-24 00:00:00',4,1,11,2007,'F','N','COSTEIRA','FLORIANóPOLIS','SC','124242241215372431457634395122610124052',NULL,'270',35.37,1,3,NULL),(16,3167720,'1992-04-09 00:00:00',4,2,12,2009,'M','S','VILA NOVA','BLUMENAU','SC','124242241212111431468922575124610164132',NULL,'909',53.36,1,3,NULL),(16,3167739,'1961-11-30 00:00:00',2,1,12,1979,'F','N','SERRARIA','S JOSé','SC','224241244412133121443643332122610161144',NULL,'266',26.53,1,3,NULL),(16,3167747,'1964-07-23 00:00:00',4,1,12,1984,'M','N','BARREIROS','S JOSé','SC','224201201122211421453344242134140867047',13532,'9998',42.57,1,3,NULL),(16,3167755,'1990-09-18 00:00:00',2,6,12,2007,'M','N','MORRETES','ITAPEMA','SC','124241241211112431531911372124231427057',NULL,'403',33.51,1,3,NULL),(16,3167763,'1986-02-10 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','124252251212572411423621571324142468157',348,'9998',77.36,1,3,NULL),(16,3167771,'1984-05-20 00:00:00',2,1,11,2001,'F','N','SERRARIA','S JOSé','SC','124241241114153411436414181134330546197',6590,'257',55.07,1,2,1),(16,3167798,'1978-05-11 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANóPOLIS','SC','124241247422134721634654285124230236147',16350,'9999',36.20,1,3,NULL),(16,3167801,'1983-03-31 00:00:00',4,1,11,2000,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241216373751588672415122220868182',9997,'9999',48.78,1,3,NULL),(16,3167810,'1987-06-06 00:00:00',4,6,12,2004,'F','N','CENTRO','ITAJAí','SC','124201201116371451336923211125232448177',14094,'9998',41.46,1,3,NULL),(16,3167828,'1991-04-18 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANOPOLIS','SC','124243241415131431226624572124610137127',11468,'1036',46.23,1,3,NULL),(16,3167836,'1984-08-23 00:00:00',4,1,12,2002,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241126271711244544445124133227123',16642,'9997',34.37,1,2,1),(16,3167852,'1991-09-01 00:00:00',2,1,12,2008,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241112111431424624245124610168035',NULL,'288',29.33,1,2,1),(16,3167860,'1989-03-07 00:00:00',4,1,12,2006,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124243241217373441456832395114132834112',8028,'1022',52.37,1,3,NULL),(16,3167879,'1985-05-18 00:00:00',2,1,11,2003,'M','N','CENTRO','S JOSé','SC','124244246117154441433923245124232724092',9878,'306',49.01,1,3,NULL),(16,3167887,'1982-03-26 00:00:00',4,1,12,1999,'F','N','TRINDADE','FLORIANóPOLIS','SC','224241241126275431258752292133122227182',9692,'307',49.35,1,2,1),(16,3167895,'1991-07-03 00:00:00',4,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241127151712447812145124610164117',NULL,'290',19.95,1,2,1),(16,3167909,'1991-01-21 00:00:00',2,1,12,2007,'M','N','KOBRASOL','S JOSé','SC','124242241215372431346629385114610167067',3869,'1035',61.41,1,3,NULL),(16,3167917,'1989-02-22 00:00:00',4,3,12,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124241241126371431326369245231610141047',NULL,'49',37.45,1,2,1),(16,3167925,'1989-03-22 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217573431588932272112230267182',NULL,'262',51.30,1,3,NULL),(16,3167933,'1986-01-11 00:00:00',4,5,11,2002,'F','N','CENTRO','CRICIúMA','SC','124242241216213731338923345122522112147',NULL,'270',0.00,1,3,NULL),(16,3167950,'1990-02-17 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215372431456933575124610125142',11360,'270',46.40,1,3,NULL),(16,3167968,'1990-05-28 00:00:00',2,1,6,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242247615371411458877375122610143142',NULL,'9999',20.53,1,3,NULL),(16,3167976,'1990-07-14 00:00:00',4,6,11,2007,'F','N','FáTIMA','ERECHIM','RS','124204201215271411336723485125613268077',NULL,'9998',0.00,1,3,NULL),(16,3168018,'1991-10-26 00:00:00',4,1,11,2009,'F','S','TRINDADE','FLORIANóPOLIS','SC','124242241215111431549932376122610164192',NULL,'270',54.27,1,3,NULL),(16,3168034,'1992-10-06 00:00:00',2,5,11,2009,'M','S','FIGUEIRA','URUSSANGA','SC','124242241213111131559934312111610114072',NULL,'820',53.70,1,3,NULL),(16,3168042,'1990-03-08 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','S JOSé','SC','124201201116371431222612575324610138197',NULL,'9998',24.58,1,2,1),(16,3168050,'1961-05-01 00:00:00',3,1,12,1978,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124202201216151411446342322132140762187',9374,'9998',49.95,1,3,NULL),(16,3168069,'1989-01-07 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124244241415474411548712441124610164057',10992,'1036',47.03,2,1,2),(16,3168085,'1989-07-24 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241116133411535364345124232726097',11891,'289',45.48,1,3,NULL),(16,3168093,'1989-02-11 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215273441438624175114123024113',5636,'266',57.18,1,3,NULL),(16,3168107,'1988-10-12 00:00:00',2,1,12,2006,'M','N','JARDIM AQUARIUS','PALHOçA','SC','124241241117372431549413446114610134147',12358,'592',44.62,1,2,1),(16,3168115,'1988-04-24 00:00:00',4,1,12,2005,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241115372431238623371124231427095',9378,'271',49.94,1,3,NULL),(16,3168123,'1990-07-06 00:00:00',2,1,12,2007,'F','N','JOAIA','TIJUCAS','SC','124241241115272431426411281124610126147',13084,'783',43.35,1,2,1),(16,3168131,'1990-04-18 00:00:00',4,9,12,2007,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241212372431558854391222610122142',10330,'499',48.20,1,3,NULL),(16,3168140,'1988-11-13 00:00:00',4,1,12,2005,'F','N','ZONA SETE','MARINGá','PR','116162161216565431469833575122610164187',NULL,'9998',0.00,1,3,NULL),(16,3168158,'1993-01-24 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124244241215131431323631392124610163187',NULL,'1074',34.00,1,3,NULL),(16,3168166,'1992-09-29 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124242241216131411527619575124610168177',8638,'1074',51.18,1,3,NULL),(16,3168174,'1989-06-16 00:00:00',4,1,12,2008,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241235271431678612335122610128142',NULL,'9997',17.30,1,3,NULL),(16,3168204,'1989-10-05 00:00:00',2,9,12,2006,'M','N','INTERITOR','CORREIA PINTO','SC','124241241113472431411316564224610128047',8411,'201',51.57,1,2,1),(16,3168212,'1986-11-27 00:00:00',2,1,12,2004,'M','N','CENTRO','PENHA','SC','124242242117175431128831445124232834112',NULL,'24',42.72,1,3,NULL),(16,3168220,'1984-07-05 00:00:00',4,1,7,2003,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124281281117151431216441415124143261017',6696,'9999',54.87,1,3,NULL),(16,3168239,'1991-08-19 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124162241315131431448714575124610127047',NULL,'307',24.86,1,3,NULL),(16,3168247,'1978-05-21 00:00:00',2,1,12,1999,'M','N','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','124201247326271431354353212124141922057',3816,'9999',61.55,4,3,NULL),(16,3168255,'1990-01-03 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124082241217112531268923575122230237117',NULL,'269',25.91,1,3,NULL),(16,3168263,'1989-07-08 00:00:00',2,4,2,2007,'M','N','INTERIOR','VITORINO','PR','116161161116472431453336575124610164057',8815,'9998',50.87,1,2,1),(16,3168271,'1989-02-21 00:00:00',2,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124244241215573431443319575124610121197',521,'270',75.60,1,3,NULL),(16,3168280,'1991-03-21 00:00:00',4,4,12,2008,'M','N','PRESIDENTE MEDICE','CHAPECó','SC','124242241216371431467939575122610127052',15737,'1046',37.97,1,3,NULL),(16,3168301,'1991-10-19 00:00:00',2,1,12,2008,'M','N','BARRA DO ARIRIU','PALHOçA','SC','124241241137131431434833435124610137042',NULL,'9997',27.66,1,2,1),(16,3168310,'1989-02-14 00:00:00',2,1,12,2008,'M','N','SãO MIGUEL','BIGUAçU','SC','124243241315131431632332295124610117047',NULL,'9999',0.00,1,3,NULL),(16,3168328,'1992-02-25 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124164241117271431338314332124610162017',NULL,'307',37.78,1,3,NULL),(16,3168336,'1988-07-18 00:00:00',4,10,12,2006,'M','N','CENTRO','TUBARãO','SC','124242241216412431489914575124230217122',1427,'807',69.65,1,3,NULL),(16,3168344,'1989-01-19 00:00:00',4,1,12,2006,'F','N','TERRAS STA ELISA','LIMEIRA','SP','125252251215571411678511575122610161112',9748,'9998',49.25,1,3,NULL),(16,3168352,'1990-01-18 00:00:00',2,7,11,2007,'F','N','PETRóPOLIS','CONCóRDIA','SC','124241241115471431436614495324610124187',10817,'192',47.33,1,2,1),(16,3168360,'1990-06-08 00:00:00',2,1,11,2007,'F','N','SERTÃO DO MARUIM','S JOSé','SC','124241241117131731434631245124610124147',NULL,'733',28.59,1,2,1),(16,3168379,'1986-03-07 00:00:00',4,1,12,2003,'M','N','SANTA CATARINA','BIGUAçU','SC','224252241333214421338844442132122237012',10835,'734',47.31,1,3,NULL),(16,3168387,'1988-07-16 00:00:00',4,1,12,2006,'M','N','DOM JOAQUIM','BRUSQUE','SC','124252251236573411569934275114610162015',6246,'9998',55.80,1,3,NULL),(16,3168395,'1987-10-28 00:00:00',2,1,12,2005,'M','N','ITACURUBI','FLORIANóPOLIS','SC','124241241117275431568313436112610134097',6916,'307',54.47,4,2,1),(16,3168409,'1990-10-15 00:00:00',2,1,12,2007,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124244241117272731227729575124610134021',3122,'267',63.47,1,3,NULL),(16,3168417,'1990-03-13 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215372431348511275114610167062',13159,'1022',43.22,1,3,NULL),(16,3168425,'1990-08-25 00:00:00',2,1,8,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241417371531258812172114610144042',12385,'9999',44.57,1,3,NULL),(16,3168433,'1982-12-25 00:00:00',2,1,12,1999,'M','N','CENTRO','PIRACICABA','SP','125251251125574411434344245234610132171',NULL,'9998',33.00,1,2,1),(16,3168441,'1988-08-13 00:00:00',2,1,12,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241117272731546713395114610128147',NULL,'307',31.20,2,1,1),(16,3168450,'1991-01-01 00:00:00',2,1,12,2008,'M','N','USINA','ANTôNIO CARLOS','SC','124241248115131721563636162114610117047',NULL,'21',25.93,1,2,1),(16,3168468,'1987-09-04 00:00:00',4,1,12,2005,'M','N','CIDADE ALTA','CUNHA PORã','SC','124241241316574431458813575124610164067',2121,'260',66.71,1,3,NULL),(16,3168476,'1990-09-12 00:00:00',2,10,12,2008,'F','N','HUMAITá','TUBARãO','SC','124242241217111431437424595112610127092',NULL,'797',28.12,1,3,NULL),(16,3168484,'1991-09-10 00:00:00',2,1,12,2008,'F','N','LOURO','ANTôNIO CARLOS','SC','124241248115131431643319192324610164147',14922,'21',39.84,1,2,1),(16,3168492,'1989-07-29 00:00:00',4,1,12,2006,'M','N','DIVINéIA','PERDIZES','MG','113131131116571431333923575125610144057',4915,'9998',58.83,1,2,1),(16,3168506,'1991-05-08 00:00:00',4,1,12,2008,'M','N','TRINTA RÉIS','NOVA TRENTO','SC','124241241135131411436414282121610167052',NULL,'574',0.00,1,3,NULL),(16,3168514,'1988-08-05 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241116472431544633375114610137092',NULL,'307',22.54,1,3,NULL),(16,3168522,'1990-01-21 00:00:00',4,1,12,2007,'M','N','BOM VIVER','BIGUAçU','SC','124242241115371731225621575124610112047',15869,'257',37.56,1,3,NULL),(16,3168530,'1989-03-25 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241417272431457652342134610125197',14918,'1022',39.85,1,3,NULL),(16,3168549,'1990-02-06 00:00:00',4,1,12,2007,'M','N','ARCADAS','AMPARO','SP','125252251215112731436839395124222938185',5323,'9998',57.83,1,3,NULL),(16,3168557,'1989-04-20 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241232372421316544445324610128182',NULL,'995',21.55,1,3,NULL),(16,3168565,'1985-04-09 00:00:00',2,1,7,2004,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241125475431453314245124610116047',NULL,'922',40.65,1,2,1),(16,3168573,'1990-10-14 00:00:00',2,4,12,2007,'M','N','SãO VICENTE','PATO BRANCO','PR','116161161215372421237824375114243237047',NULL,'9998',43.56,4,3,NULL),(16,3168581,'1989-03-03 00:00:00',2,3,12,2006,'M','N','AEROPORTO','LONDRINA','PR','116161161116571411435416391324610167032',NULL,'9998',0.00,1,2,1),(16,3168590,'1988-12-05 00:00:00',2,8,12,2006,'F','N','CENTRO','CURITIBA','PR','124241161316573441536333572122610126052',942,'9998',72.41,1,3,NULL),(16,3168603,'1990-11-03 00:00:00',4,5,10,2008,'M','N','CRUZEIRO DO SUL','CRICIúMA','SC','124242241215112431449912575125610134112',9087,'226',50.43,1,3,NULL),(16,3168611,'1990-10-13 00:00:00',4,9,12,2007,'F','N','CENTRO','CURITIBA','PR','116163241415471411338815274314610144157',6218,'237',55.87,1,3,NULL),(16,3168620,'1989-04-24 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215152451466613392114130234032',9825,'273',49.11,1,3,NULL),(16,3168638,'1990-01-31 00:00:00',4,1,12,2007,'M','N','JARDIM DAS PALMEIRAS','PALHOçA','SC','124241241316372731436613395121610124057',2939,'1075',63.99,1,3,NULL),(16,3168646,'1991-02-06 00:00:00',2,5,12,2008,'F','N','JARDIM ANGéLICA','CRICIúMA','SC','124244241216471431446314175122610123142',9464,'995',49.79,1,3,NULL),(16,3168654,'1991-10-13 00:00:00',4,5,12,2008,'F','N','NOVA ROMA','MRO GRANDE','SC','124241241125131431523923572124610127057',NULL,'568',27.18,1,2,1),(16,3168662,'1990-11-06 00:00:00',2,6,11,2007,'F','N','VILA SAO JOAO','IRATI','PR','116161161431371441425519372141610124177',5657,'9998',57.16,4,3,NULL),(16,3168670,'1991-07-07 00:00:00',4,4,12,2008,'M','N','CENTRO','ERECHIM','RS','120202201216111431438632575122610167057',6373,'9998',55.54,1,3,NULL),(16,3168689,'1990-11-13 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241216271431555512595124130427097',NULL,'809',26.59,1,3,NULL),(16,3168700,'1991-12-17 00:00:00',4,1,12,2008,'F','N','BETâNIA','ANGELINA','SC','124241241112131431413336162224610126147',NULL,'17',27.56,1,2,1),(16,3168719,'1991-12-03 00:00:00',2,1,12,2008,'M','N','SERTAO DO MARUIM','S JOSé','SC','124242248212131731436519392121610127057',14619,'944',40.46,1,3,NULL),(16,3168727,'1990-04-21 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241215472431335732395124610161182',7689,'951',52.99,1,3,NULL),(16,3168743,'1988-12-15 00:00:00',4,5,11,2006,'M','N','SANTA BARBARA','CRICIúMA','SC','124242248215573431438913575125610122012',2719,'880',64.63,1,3,NULL),(16,3168751,'1986-07-07 00:00:00',4,1,12,2003,'F','N','JARDIM SãO PAULO','AMERICANA','SP','125252251217111411458732341122342162147',5501,'9998',57.47,1,3,NULL),(16,3168760,'1990-06-27 00:00:00',2,1,12,2008,'M','N','RIO VACARIANO','NOVA VENEZA','SC','124241241115161431323416352224610127043',NULL,'818',28.96,1,2,1),(16,3168778,'1991-01-16 00:00:00',4,1,12,2008,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241115141431546713295124610131046',NULL,'307',33.19,2,1,1),(16,3168786,'1991-05-13 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242247316151731338613575124610167047',NULL,'9999',26.11,1,3,NULL),(16,3168794,'1988-06-21 00:00:00',2,8,12,2005,'F','N','CENTRO','RIO AZUL','PR','116161161214522411638431572124610166012',NULL,'9998',0.00,1,3,NULL),(16,3168808,'1988-10-12 00:00:00',2,1,12,2005,'M','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124241241126234431353312111311610136111',NULL,'288',32.17,1,3,NULL),(16,3168816,'1987-01-01 00:00:00',5,8,12,2004,'F','N','VILA LENZI','JARAGUá SUL','SC','224241241136161431436674395231610166147',NULL,'430',0.00,1,2,1),(16,3168824,'1991-08-22 00:00:00',2,1,11,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241115151731323613575124610128142',NULL,'307',20.56,1,3,NULL),(16,3168832,'1990-03-05 00:00:00',4,8,12,2008,'M','N','CENTRO','JARAGUá SUL','SC','124242241235151431279921445122610147092',12290,'442',44.74,1,3,NULL),(16,3168840,'1990-12-23 00:00:00',4,8,12,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242246215271431326611345124610166042',NULL,'1105',17.42,1,3,NULL),(16,3168867,'1985-01-15 00:00:00',2,1,11,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','124203204315271431226574245125610127142',NULL,'2',12.60,1,3,NULL),(16,3168875,'1987-01-02 00:00:00',4,1,12,2004,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241114275751458812244124610164143',9347,'307',50.00,1,3,NULL),(16,3168883,'1990-11-19 00:00:00',2,1,12,2007,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124243241217373411458923375224610123185',8926,'272',50.70,1,3,NULL),(16,3168905,'1989-05-04 00:00:00',4,1,12,2006,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','125252251217371431468821574114610161142',8030,'9998',52.36,1,3,NULL),(16,3168921,'1987-06-17 00:00:00',2,1,8,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241247222133431323129142134610162037',NULL,'9999',24.46,1,3,NULL),(16,3168930,'1990-12-15 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431479914575325610134012',998,'1026',72.08,1,3,NULL),(16,3168948,'1991-02-25 00:00:00',4,1,12,2008,'F','N','SãO LOURENçO','CURITIBA','PR','116162161236111431448911574124610127042',NULL,'9998',0.00,1,3,NULL),(16,3168956,'1991-11-08 00:00:00',4,1,12,2008,'F','N','JURERê','FLORIANóPOLIS','SC','124242241215111431579613575114610112192',11303,'270',46.47,1,3,NULL),(16,3168964,'1990-05-07 00:00:00',4,5,12,2008,'F','N','CENTRO','FORQUILHINHA','SC','124241241135131431525311274324610164197',13989,'30',41.66,1,2,1),(16,3168972,'1991-10-15 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215111431356832475124610121192',8792,'737',50.92,1,3,NULL),(16,3168980,'1986-11-05 00:00:00',2,5,7,2005,'M','N','VILA ZULEIMA','CRICIúMA','SC','124244246231331411538533285124131044037',12264,'995',44.79,3,3,NULL),(16,3168999,'1991-09-15 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241417141431338933574124610126141',6551,'988',55.16,1,3,NULL),(16,3169006,'1989-03-26 00:00:00',2,1,12,2006,'F','N','PASSA VINTE','PALHOçA','SC','124241241132273431646521445124610118167',NULL,'591',28.02,1,2,1),(16,3169014,'1991-04-05 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241243217111431335332595124610127012',10864,'1022',47.25,1,3,NULL),(16,3169022,'1990-08-18 00:00:00',2,1,12,2007,'F','N','CENTRO','TAIó','SC','124241241116411431258823375124610134147',11243,'777',46.57,1,2,1),(16,3169030,'1988-03-30 00:00:00',2,8,12,2005,'M','N','SANTA CATARINA','JOINVILLE','SC','124241241121271431653614325122610127067',NULL,'480',35.89,1,3,NULL),(16,3169065,'1981-10-06 00:00:00',2,1,12,2001,'M','N','BARREIROS','S JOSé','SC','124241247126573421334343135122610164097',10925,'9999',47.16,1,2,1),(16,3169073,'1991-01-06 00:00:00',4,10,12,2007,'F','N','OFICINAS','TUBARãO','SC','124244241215362431446934575122610117057',12781,'806',43.87,1,3,NULL),(16,3169081,'1989-03-02 00:00:00',4,8,11,2006,'F','N','GUANABARA','JOINVILLE','SC','124242241215373431469833575112231044182',5013,'457',58.58,1,3,NULL),(16,3169090,'1989-01-06 00:00:00',4,1,12,2006,'F','N','JURERê','FLORIANóPOLIS','SC','124242241217453431579613575122232422192',7335,'270',53.65,1,3,NULL),(16,3169103,'1991-01-12 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124243241115371231423614575124610147053',NULL,'733',21.06,1,3,NULL),(16,3169120,'1989-09-06 00:00:00',2,1,11,2006,'F','N','SETOR RES NORTE','SINOP','MT','111141141236161411126316585121241066142',NULL,'9998',0.00,4,3,NULL),(16,3169138,'1982-06-12 00:00:00',2,1,12,2000,'M','N','SãO MIGUEL','BIGUAçU','SC','224161161142133431226444141224221424042',NULL,'9998',28.54,2,1,1),(16,3169146,'1991-10-10 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124204241216111411557612375122610126042',8095,'1022',52.24,1,3,NULL),(16,3169154,'1985-12-24 00:00:00',5,8,6,2008,'M','N','VILA LENZI','JARAGUá SUL','SC','224241241126161531433674442221610167057',NULL,'9999',0.00,1,2,1),(16,3169162,'1985-10-07 00:00:00',4,3,12,2003,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241215132721348823445131133267067',9100,'403',50.41,1,3,NULL),(16,3169189,'1991-03-13 00:00:00',5,2,12,2008,'F','N','VALPARAíSO','BLUMENAU','SC','124241241146161421424434245124610113197',NULL,'69',19.35,1,3,NULL),(16,3169197,'1989-07-14 00:00:00',4,8,11,2006,'F','N','SANTO AMARO','S PAULO','SP','125252251216471431328671445134610162096',10066,'9998',48.66,1,3,NULL),(16,3169200,'1989-10-25 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241216112431356823395122231467067',NULL,'1022',20.63,1,3,NULL),(16,3169219,'1991-06-17 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241115131432447723392114610164057',NULL,'307',32.66,1,3,NULL),(16,3169235,'1984-10-27 00:00:00',2,1,12,2002,'F','N','JOÃO PAULO','FLORIANóPOLIS','SC','124201201127151431143343135124610127147',15430,'9998',38.70,1,2,1),(16,3169243,'1987-11-12 00:00:00',2,1,12,2005,'F','N','CENTRO','TANABI','SP','124251251114571431426316461224610147143',NULL,'9998',31.31,1,2,1),(16,3169260,'1991-06-07 00:00:00',4,1,12,2008,'M','N','CENTRO','ESMERALDA','RS','120201201147161432443933395131610133147',NULL,'9998',26.43,1,3,NULL),(16,3169286,'1991-05-03 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','105241051112471731446619375114610134143',NULL,'298',26.49,1,2,1),(16,3169294,'1991-10-09 00:00:00',4,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241117151431556833435124610127147',NULL,'307',29.49,1,2,1),(16,3169308,'1991-05-04 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215122411343829175124610166077',11462,'1022',46.23,1,3,NULL),(16,3169316,'1992-09-11 00:00:00',4,1,12,2010,'M','S','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241216151431559911595122610137017',NULL,'269',28.65,1,3,NULL),(16,3169324,'1988-09-03 00:00:00',4,8,12,2006,'F','N','VILA LEIS','ITU','SP','125252251216571431558811572122610122097',525,'9998',75.57,1,3,NULL),(16,3169332,'1987-01-21 00:00:00',2,8,12,2004,'M','N','AGUA VERDE','CURITIBA','PR','116122121216515331558611595125610152057',NULL,'9998',0.00,1,3,NULL),(16,3169340,'1975-09-25 00:00:00',2,1,12,1992,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241116154731353343335134321766187',1607,'449',68.88,1,2,1),(16,3169359,'1989-01-14 00:00:00',4,1,11,2006,'F','N','CENTRO','LAGES','SC','124242241216573431338412375124610121147',9979,'499',48.82,1,3,NULL),(16,3169367,'1979-12-18 00:00:00',4,1,12,1997,'M','N','FLORESTA','S JOSé','SC','624243246112133431248643395134131234084',NULL,'306',7.22,2,1,2),(16,3169383,'1989-04-26 00:00:00',4,1,12,2006,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124242241115271231546833475124131428012',6145,'306',56.04,1,3,NULL),(16,3169391,'1992-05-07 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241216121431478813577115610127045',NULL,'270',29.91,1,3,NULL),(16,3169405,'1984-02-02 00:00:00',4,1,12,2001,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124131131215114431469911215123221467182',2178,'9998',66.49,1,3,NULL),(16,3169413,'1984-12-01 00:00:00',4,8,12,2002,'M','N','VILA NOVA','JOINVILLE','SC','124242246212371441459923145134131731032',NULL,'1105',33.06,1,3,NULL),(16,3169430,'1984-06-22 00:00:00',4,1,12,2001,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241216152421459613375124230264092',8442,'266',51.50,1,3,NULL),(16,3169448,'1991-02-10 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241217111431459613575122610128143',NULL,'269',24.41,1,3,NULL),(16,3169456,'1990-05-23 00:00:00',4,4,12,2007,'M','N','AGOSTINI','S MIGUEL OESTE','SC','124241241116372431436723275122610137057',11116,'757',46.81,1,2,1),(16,3169464,'1989-02-10 00:00:00',4,1,12,2005,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241214374431248929572124121534147',95,'515',81.07,1,3,NULL),(16,3169472,'1988-04-15 00:00:00',4,9,11,2005,'F','N','CORAL','LAGES','SC','124242241216372731436612495332131544142',4432,'497',59.93,1,3,NULL),(16,3169480,'1980-11-27 00:00:00',4,1,12,1998,'M','N','ALTO RIBEIRÃO','FLORIANóPOLIS','SC','624202201217575731238644245134610137047',10059,'9998',48.67,1,3,NULL),(16,3169499,'1990-08-24 00:00:00',4,1,11,2007,'F','N','CENTRO','CRICIúMA','SC','124242241215472431438812592124610138182',15575,'213',38.38,1,3,NULL),(16,3169502,'1982-08-11 00:00:00',4,1,12,2000,'F','N','ACLIMACAO','S PAULO','SP','125254253116131712438611282114343246187',NULL,'9998',0.00,1,3,NULL),(16,3169510,'1988-01-08 00:00:00',2,2,12,2005,'F','N','CENTRO','CURITIBA','PR','116164161216572431437933572122610162197',NULL,'9998',0.00,1,3,NULL),(16,3169529,'1990-08-20 00:00:00',2,1,7,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124244281115371411469931576124610164111',2157,'9998',66.56,1,3,NULL),(16,3169545,'1991-07-26 00:00:00',2,1,12,2008,'F','N','CENTRO','SALETE','SC','124242241215111431446623474114610134122',7866,'991',52.66,1,3,NULL),(16,3169553,'1989-09-02 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217372432558414572224610137057',14788,'1077',40.09,1,3,NULL),(16,3169561,'1980-05-30 00:00:00',4,1,12,1997,'F','N','ITACORUBI','FLORIANóPOLIS','SC','224241243446372431264453235122330263072',3170,'317',63.35,1,3,NULL),(16,3169588,'1991-06-25 00:00:00',2,4,12,2008,'F','N','JARDIM BELA VISTA','ITAPIRANGA','SC','124241241442131431466613292122610127147',15224,'1060',39.15,1,3,NULL),(16,3169596,'1990-11-20 00:00:00',4,5,11,2008,'M','N','CENTRO','CRICIúMA','SC','124242241217271431559911572122610127012',4383,'213',60.06,1,3,NULL),(16,3169600,'1988-11-25 00:00:00',2,1,12,2006,'F','N','SãO SEBASTIãO','PALHOçA','SC','124241241132133431431324342234610164177',10785,'592',47.40,4,2,1),(16,3169618,'1991-09-01 00:00:00',4,1,12,2007,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241214312641323831385122230411112',14844,'1014',39.99,1,3,NULL),(16,3169634,'1992-02-29 00:00:00',4,4,12,2009,'M','S','CENTRO','CHAPECó','SC','124241241112111431458912395122610127017',NULL,'169',24.57,1,3,NULL),(16,3169642,'1991-10-14 00:00:00',2,1,11,2008,'F','N','CENTRO','LGA VERMELHA','RS','120204201211121751433439291124610128187',11991,'9998',45.27,4,3,NULL),(16,3169650,'1980-08-29 00:00:00',4,1,12,1997,'F','N','SERRARIA','S JOSé','SC','124241248436131411243344345124330762187',13514,'102',42.59,1,3,NULL),(16,3169669,'1990-07-12 00:00:00',4,4,11,2007,'M','N','CPA I','CUIABá','MT','111222111217372431459913572124610168192',7446,'9998',53.41,1,3,NULL),(16,3169677,'1991-05-09 00:00:00',4,1,12,2008,'F','N','FERRAZ','GAROPABA','SC','124241241147131731325428342121610168157',NULL,'322',25.22,1,2,1),(16,3169685,'1991-08-13 00:00:00',4,3,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241215131431229921375124610165157',6180,'403',55.97,1,3,NULL),(16,3169693,'1986-09-29 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241247317132131326623382224610114087',16101,'9999',36.93,1,3,NULL),(16,3169707,'1990-07-02 00:00:00',4,8,12,2007,'F','N','PEDRO DEMETERCO','PINHAIS','PR','116163161114471431446834324124610166182',15321,'9998',38.93,1,3,NULL),(16,3169715,'1976-04-03 00:00:00',4,1,12,1994,'M','N','KOBRASOL','S JOSé','SC','124241246116274521526633212112330767117',NULL,'306',29.50,1,3,NULL),(16,3169723,'1989-07-08 00:00:00',4,1,11,2006,'M','N','BARREIROS','S JOSé','SC','124243241215373431446513312114130224067',11278,'738',46.51,1,3,NULL),(16,3169731,'1984-03-24 00:00:00',4,1,7,2005,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243247246134431558629285124133267047',NULL,'9999',33.29,2,1,2),(16,3169740,'1990-05-17 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124244241237212751566614442112130267057',16051,'1036',37.11,1,3,NULL),(16,3169766,'1985-01-16 00:00:00',2,1,12,2002,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124162241215272431447714342124320647112',1128,'270',71.30,1,3,NULL),(16,3169774,'1991-02-18 00:00:00',4,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241116131431433461114124610127182',NULL,'307',25.76,1,2,1),(16,3169782,'1990-06-29 00:00:00',4,8,11,2007,'F','N','VALE DA BOA ESPERANç','PINHAIS','PR','116162161215471431436832594114610167097',10336,'9998',48.19,1,3,NULL),(16,3169790,'1989-04-15 00:00:00',2,1,11,2006,'F','N','BARREIROS','S JOSé','SC','124242241211374431446632371112232714142',NULL,'1022',38.51,1,3,NULL),(16,3169804,'1991-04-04 00:00:00',2,10,12,2008,'M','N','CABEçUDA','LAGUNA','SC','124241241316161731435933575121610137057',NULL,'523',0.00,1,3,NULL),(16,3169812,'1990-09-22 00:00:00',2,5,12,2007,'F','N','COMERCIARIO','CRICIúMA','SC','124241246416272431326824342234610127077',9316,'995',50.05,1,3,NULL),(16,3169820,'1985-05-18 00:00:00',4,1,11,2004,'F','N','PANTANAL','FLORIANóPOLIS','SC','124201241147373431135374475124610122197',9385,'298',49.93,1,2,1),(16,3169847,'1989-04-03 00:00:00',2,9,12,2006,'F','N','SãO CRISTóVãO','LAGES','SC','624241248112131731328429475111610137147',NULL,'498',26.66,1,3,NULL),(16,3169855,'1987-08-12 00:00:00',4,7,11,2004,'M','N','FLOR DA SERRA','JOAçABA','SC','124243241416471431133343435122131066197',NULL,'185',27.66,4,3,NULL),(16,3169863,'1991-02-28 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215371431336827475124610115072',3247,'273',63.15,1,3,NULL),(16,3169871,'1985-03-12 00:00:00',4,1,11,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124242248232335731536619385125610114047',NULL,'300',22.16,2,1,2),(16,3169880,'1991-09-14 00:00:00',4,4,11,2008,'M','N','CENTRO','S MIGUEL OESTE','SC','120242201217271431256924494115610118082',NULL,'9998',0.00,1,3,NULL),(16,3169898,'1991-02-22 00:00:00',2,1,11,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241215111431446834575122610138142',15583,'270',38.36,1,3,NULL),(16,3169901,'1983-07-01 00:00:00',4,1,12,2000,'F','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241217372431487719445122330226142',12350,'269',44.63,1,3,NULL),(16,3169910,'1991-01-23 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215271431369937575122610127112',12605,'270',44.17,1,3,NULL),(16,3169928,'1991-10-10 00:00:00',2,6,12,2008,'M','N','ARIRIBA','BAL CAMBORIú','SC','124241241123131732536411241122610127072',NULL,'873',21.20,1,2,1),(16,3169936,'1990-09-22 00:00:00',2,1,12,2007,'F','N','CAMAQUã','PTO ALEGRE','RS','120202201111471431258923381122610133014',8922,'9998',50.70,1,3,NULL),(16,3169944,'1992-01-24 00:00:00',4,2,11,2008,'M','N','DO SOL','INDAIAL','SC','124242241215112452249631575125610168172',114,'1157',80.70,1,3,NULL),(16,3169952,'1958-07-21 00:00:00',4,1,12,1978,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124251258122531421333343332334610162097',NULL,'9998',1.60,1,3,NULL),(16,3169960,'1986-06-26 00:00:00',2,10,12,2003,'M','N','VILA FLOR','CAPIVARI BAIXO','SC','124241241136133431433311572114610157047',NULL,'158',26.69,1,2,1),(16,3169979,'1991-05-04 00:00:00',4,1,12,2008,'F','N','IDEAL','NOVO HAMBURGO','RS','120203201217371231348811315122610167147',12502,'9998',44.38,1,3,NULL),(16,3169987,'1989-02-06 00:00:00',4,1,12,2006,'M','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241241117471432636374345112610134043',NULL,'293',29.80,1,3,NULL),(16,3169995,'1992-04-26 00:00:00',2,5,11,2009,'F','S','LIVRAMENTO','TURVO','SC','124242248216171731568616475122610138183',NULL,'813',24.44,1,3,NULL),(16,3170004,'1980-11-10 00:00:00',4,1,11,1998,'F','N','SERRARIA','S JOSé','SC','124243241115131431636511245134133234027',NULL,'307',35.42,4,1,2),(16,3170020,'1972-05-05 00:00:00',2,1,12,1993,'F','N','INGLESES','FLORIANóPOLIS','SC','524201207426132421223344245124142011097',NULL,'9999',25.59,1,3,NULL),(16,3170039,'1982-01-22 00:00:00',4,1,12,2001,'M','N','FAZENDA STO ANTONIO','S JOSé','SC','124244287336131431345623345134610126172',NULL,'9998',33.19,1,3,NULL),(16,3170047,'1983-02-08 00:00:00',4,1,12,2000,'M','N','COLONINHA','FLORIANóPOLIS','SC','124241241117155431656613232114122237062',12074,'307',45.14,4,1,1),(16,3170055,'1990-07-10 00:00:00',2,1,12,2007,'F','N','LIVRAMENTO','TURVO','SC','124242241216573431544715575124610162097',7005,'270',54.28,1,3,NULL),(16,3170063,'1990-08-03 00:00:00',4,4,12,2008,'M','N','JARDIM','S JOSé CEDRO','SC','124241241146131431433337245122610167057',NULL,'740',23.59,1,2,1),(16,3170071,'1990-08-14 00:00:00',4,8,12,2007,'F','N','CENTRO','CNSO MAIRINCK','PR','116161161115471431446813272125610164182',7835,'9998',52.71,1,2,1),(16,3170080,'1990-07-03 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241215472331426622574124610127072',6454,'855',55.36,1,3,NULL),(16,3170098,'1992-03-11 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124244241215111431688652372124610118092',NULL,'1038',0.00,1,3,NULL),(16,3170101,'1990-06-26 00:00:00',2,7,11,2007,'F','N','FLOR DA SERRA','JOAçABA','SC','124241241116131431333312575122132668187',NULL,'384',21.02,1,2,1),(16,3170110,'1991-09-12 00:00:00',4,4,11,2008,'F','N','MARIA GORETTI','CHAPECó','SC','124241241117271331543824575125610124147',9421,'169',49.86,1,3,NULL),(16,3170128,'1989-01-26 00:00:00',1,1,12,2006,'F','N','VILA BARTH','ITAPETININGA','SP','125252251216471431588851575112610166122',NULL,'9998',0.00,1,3,NULL),(16,3170136,'1991-11-21 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217111431358669496114610123072',15208,'270',39.18,1,3,NULL),(16,3170144,'1980-04-25 00:00:00',4,1,11,2004,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124073247141131431128644241324133267117',NULL,'307',33.57,1,3,NULL),(16,3170152,'1991-07-26 00:00:00',4,5,11,2008,'M','N','SãO SIMãO','CRICIúMA','SC','124242241215111431466612575124610164197',916,'226',72.59,1,3,NULL),(16,3170160,'1990-10-18 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124162241215372451588825575122610164112',7166,'262',53.97,1,3,NULL),(16,3170179,'1988-08-30 00:00:00',2,1,7,2006,'F','N','BELA VISTA I','S JOSé','SC','624242241116141431463671345132610144127',NULL,'306',31.49,1,3,NULL),(16,3170187,'1991-03-26 00:00:00',2,1,12,2008,'M','N','CENTRO','PALHOçA','SC','124242241215121431353312575124610117097',NULL,'1022',25.43,1,3,NULL),(16,3170195,'1987-01-28 00:00:00',2,1,12,2004,'M','N','BARREIROS','S JOSé','SC','124242241127132221456613235124610164017',16038,'736',37.14,2,1,2),(16,3170209,'1988-09-02 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124162241215513431469411575122610132182',4694,'226',59.33,1,3,NULL),(16,3170217,'1990-06-24 00:00:00',2,1,12,2008,'M','N','CENTRO','AMPéRE','PR','116161161117131411536923145122610164012',NULL,'9998',30.95,1,2,1),(16,3170225,'1991-03-12 00:00:00',2,3,12,2008,'M','N','CLARAÍBA','NOVA TRENTO','SC','124241241125141431343331245124610117182',7593,'574',53.17,1,2,1),(16,3170233,'1991-02-07 00:00:00',2,1,12,2007,'M','N','FLORESTA','S JOSé','SC','124244241417142431328913145124230864042',12260,'1036',44.79,1,3,NULL),(16,3170241,'1989-07-11 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215111431468613475124610137077',NULL,'1022',27.23,2,3,NULL),(16,3170250,'1991-07-05 00:00:00',4,2,11,2008,'F','N','VELHA','BLUMENAU','SC','124241241216111411236739575122610162144',16238,'1018',36.56,1,3,NULL),(16,3170268,'1991-03-12 00:00:00',4,4,12,2008,'F','N','NITERóI','SEARA','SC','124241241136131431433614395122610133017',NULL,'763',28.39,1,2,1),(16,3170276,'1983-03-17 00:00:00',2,1,12,2000,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241243417374431336427245224610163147',NULL,'303',25.72,1,3,NULL),(16,3170284,'1987-03-13 00:00:00',4,1,12,2004,'M','N','ABRAãO','FLORIANóPOLIS','SC','124242241216372431348613375122231267057',NULL,'956',33.05,2,1,2),(16,3170292,'1991-06-18 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215371231536633572124610127122',4011,'738',61.04,1,3,NULL),(16,3170306,'1986-10-02 00:00:00',4,1,7,2008,'M','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241247147271331523221316334610157027',NULL,'9999',23.32,4,2,1),(16,3170314,'1984-01-03 00:00:00',4,10,7,2001,'M','N','CENTRO','IMBITUBA','SC','124243246136373411168643435122231044042',NULL,'306',15.73,1,3,NULL),(16,3170322,'1988-08-25 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241116573431331827574112610147185',8315,'307',51.76,1,2,1),(16,3170357,'1991-09-21 00:00:00',4,8,12,2008,'M','N','BOM RETIRO','CURITIBA','PR','116162164215471731468931575122610122093',3938,'9998',61.23,1,3,NULL),(16,3170365,'1989-06-03 00:00:00',2,1,12,2007,'F','N','VENDAVAL','BIGUAçU','SC','124241241117132731446613385124233262057',15588,'306',38.33,1,2,1),(16,3170373,'1991-11-26 00:00:00',2,1,11,2008,'M','N','CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC','124241241137141431425414245324610127042',NULL,'288',29.13,1,2,1),(16,3170381,'1992-01-05 00:00:00',4,5,12,2008,'M','N','COLONINHA','ARARANGUá','SC','124242241215111531438912295122610131032',9343,'32',50.00,1,3,NULL),(16,3170390,'1988-12-21 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANóPOLIS','SC','124244241216373431433532575114122364011',1473,'770',69.48,1,3,NULL),(16,3170403,'1989-01-24 00:00:00',2,1,12,2005,'F','N','SANTINHO','FLORIANóPOLIS','SC','124242241215374431438612341124131023042',16634,'1022',34.45,1,3,NULL),(16,3170411,'1988-10-28 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242248235572431457934271115133227047',7771,'1058',52.83,1,3,NULL),(16,3170420,'1992-01-16 00:00:00',4,3,12,2007,'F','N','CENTRO','BAL CAMBORIú','SC','124241241215373431454432225122610127141',11592,'1038',46.01,1,3,NULL),(16,3170438,'1987-12-18 00:00:00',2,1,12,2005,'M','N','SERRARIA','S JOSé','SC','124241241117163431245443432122610157092',4008,'257',61.05,1,2,1),(16,3170454,'1993-01-26 00:00:00',4,1,11,2009,'F','S','MAR DAS PEDRAS','BIGUAçU','SC','124242241215111451456834572124610144187',NULL,'738',25.71,1,3,NULL),(16,3170470,'1992-04-03 00:00:00',4,1,11,2008,'F','N','CENTRO HISTóRICO','S JOSé','SC','124242241217121131456723575122610116055',NULL,'723',32.14,1,3,NULL),(16,3170489,'1990-10-31 00:00:00',2,1,11,2008,'M','N','SETOR COIMBRA','GOIâNIA','GO','109094098215111431688713392121610167042',7974,'9998',52.47,1,3,NULL),(16,3170497,'1991-09-06 00:00:00',4,4,12,2008,'M','N','BELA VISTA','CHAPECó','SC','124241241127131631424611272124610147057',NULL,'178',21.60,3,2,1),(16,3170500,'1988-04-05 00:00:00',2,1,12,2006,'M','N','CENTRO','ÁGUAS MORNAS','SC','124241241111272441546933445134133267057',NULL,'306',0.00,1,2,1),(16,3170519,'1991-01-19 00:00:00',2,6,12,2008,'M','N','CENTRO','ITAJAí','SC','124201241116151441443934575122610164052',NULL,'401',54.31,1,3,NULL),(16,3170527,'1991-09-17 00:00:00',2,7,11,2008,'F','N','CARAVAGIO','OURO','SC','124241241216271431424612575124610128147',10834,'1093',47.31,1,3,NULL),(16,3170535,'1991-03-04 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124244241215112431556617575124610167061',9916,'1118',48.92,1,3,NULL),(16,3170560,'1991-05-04 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215112411466934572122610127047',1491,'270',69.43,1,3,NULL),(16,3170578,'1992-03-26 00:00:00',4,1,12,2008,'F','N','ARIRIú DA FORMIGA','PALHOçA','SC','124242241235111431328513235122610126197',NULL,'1011',25.74,1,3,NULL),(16,3170586,'1991-01-06 00:00:00',4,1,10,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124244248216111431356623575122610127062',7040,'270',54.22,1,3,NULL),(16,3170594,'1991-07-13 00:00:00',2,7,12,2008,'F','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124242241216371431358911574124610162052',12894,'962',43.68,1,3,NULL),(16,3170616,'1991-06-17 00:00:00',4,3,12,2008,'F','N','ZONA I A','UMUARAMA','PR','116161161215121431366914575112610124012',10383,'9998',48.11,1,3,NULL),(16,3170624,'1991-02-17 00:00:00',2,1,11,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124243241215271432653431372124610125015',849,'299',73.07,1,3,NULL),(16,3170632,'1990-12-31 00:00:00',2,4,12,2007,'F','N','CENTRO','FAXINAL GUEDES','SC','124241241346372431436614575122610126092',9702,'255',49.34,1,3,NULL),(16,3170640,'1988-07-12 00:00:00',2,9,12,2005,'M','N','PROGRESSO','RIO SUL','SC','124242241315472431449823485125130864012',1098,'991',71.48,3,3,NULL),(16,3170667,'1991-11-12 00:00:00',2,1,11,2008,'F','N','AGONOMICA','FLORIANóPOLIS','SC','124242241215112731448614572124610124073',9344,'272',50.00,1,3,NULL),(16,3170683,'1990-12-24 00:00:00',2,4,12,2007,'F','N','JARDIM ITALIA','CHAPECó','SC','124241241315372231456632245122610161057',10816,'1046',47.33,1,3,NULL),(16,3170691,'1987-03-20 00:00:00',2,1,12,2005,'F','N','BARRA DO ARIRIU','PALHOçA','SC','624273278146131731223354142234610134097',NULL,'9998',24.01,1,3,NULL),(16,3170705,'1991-03-19 00:00:00',4,1,12,2008,'M','N','ARMAÇÃO DO PANTANO','FLORIANóPOLIS','SC','124241241115371431348823575124610124117',14996,'307',39.67,1,2,1),(16,3170713,'1991-07-11 00:00:00',2,1,11,2008,'F','N','SãO JOSé','S JOSé','SC','124241241215121231439831572124610143097',13425,'1022',42.75,1,3,NULL),(16,3170721,'1991-08-31 00:00:00',2,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241235111431426619574121610167012',7778,'1038',52.82,1,3,NULL),(16,3170730,'1992-05-17 00:00:00',4,1,12,2009,'F','S','INGLESES','FLORIANóPOLIS','SC','124242241215151432468619575122610168125',NULL,'1049',37.15,1,3,NULL),(16,3170748,'1991-06-20 00:00:00',4,4,11,2008,'F','N','CENTRO','XANXERê','SC','124242241211121431468911472122610124072',13695,'836',42.28,1,3,NULL),(16,3170756,'1988-09-30 00:00:00',2,1,12,2006,'F','N','PONTA DE BAIXO','S JOSé','SC','124242241212373731568611572112610167047',NULL,'989',36.75,1,3,NULL),(16,3170764,'1990-03-21 00:00:00',2,10,12,2007,'F','N','VILA MOEMA','TUBARãO','SC','124241241116132431438934441134230637117',NULL,'1034',31.33,2,1,1),(16,3170772,'1991-10-12 00:00:00',2,4,12,2008,'M','N','RURAL','SEARA','SC','124241241116131431414415252324610127042',NULL,'383',0.00,1,2,1),(16,3170780,'1991-06-18 00:00:00',4,1,12,2008,'F','N','CENTRO','MARíLIA','SP','125122251215111431478814475122610122072',NULL,'9998',26.34,1,3,NULL),(16,3170799,'1990-11-06 00:00:00',2,1,12,2007,'F','N','PETROPOLIS','PTO ALEGRE','RS','120203201217471431446811471114610262147',15210,'9998',39.18,1,3,NULL),(16,3170802,'1985-09-18 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241127131731633619245134610138145',NULL,'283',21.98,1,2,1),(16,3170810,'1987-12-13 00:00:00',4,1,12,2005,'M','N','SETOR BUENO','GOIâNIA','GO','109094091216373431488811574125220762042',2999,'9998',63.80,4,3,NULL),(16,3170829,'1990-11-22 00:00:00',2,1,12,2008,'M','N','BARRA DO ARIRIU','PALHOçA','SC','124243241135151421334431375124610167045',NULL,'592',26.65,1,3,NULL),(16,3170837,'1991-10-16 00:00:00',4,2,12,2008,'M','N','PADRE MARTINHO STEIN','TIMBó','SC','124241241215121431358612275122610128192',14816,'1157',40.03,1,3,NULL),(16,3170845,'1983-02-21 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241216155721649324475115610167015',775,'270',73.63,1,3,NULL),(16,3170853,'1990-07-10 00:00:00',2,8,12,2007,'F','N','BALNEARIO SOLYMAR','MATINHOS','PR','116163161216311731647333572112610162077',NULL,'9998',0.00,1,3,NULL),(16,3170861,'1991-11-03 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124244241415121431448514571114610125097',10485,'1022',47.93,1,3,NULL),(16,3170870,'1991-06-10 00:00:00',4,5,12,2008,'F','N','SANTA BáRBARA','CRICIúMA','SC','124242248215121751447711415112610128012',8583,'226',51.29,1,3,NULL),(16,3170896,'1991-02-19 00:00:00',4,1,12,2008,'M','N','BOA VISTA','MARíLIA','SP','225252251217371431568812425112610127042',5717,'9998',57.03,1,3,NULL),(16,3170900,'1991-03-06 00:00:00',4,1,12,2008,'M','N','CACHOEIRA DO BJ','FLORIANóPOLIS','SC','124242241237122431548711372124610127182',779,'262',73.60,1,3,NULL),(16,3170918,'1960-05-02 00:00:00',5,8,12,1982,'F','N','ANITA GARIBALDI','JOINVILLE','SC','224131135147131431334451182222142246147',NULL,'9998',7.28,1,3,NULL),(16,3170926,'1991-04-15 00:00:00',4,4,11,2008,'M','N','VILA A','FOZ IGUAçU','PR','116162161217151431336319572142610137182',7663,'9998',53.03,1,3,NULL),(16,3170934,'1989-12-05 00:00:00',4,1,6,2008,'F','N','KOBRASOL','S JOSé','SC','124242241237251411337621345114610122197',NULL,'270',11.56,1,3,NULL),(16,3170942,'1991-04-03 00:00:00',2,1,12,2008,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124243248615111751357739575124533067081',NULL,'1022',36.73,1,3,NULL),(16,3170950,'1988-12-21 00:00:00',4,1,12,2006,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241216142731459834315124230221187',14772,'1022',40.13,1,3,NULL),(16,3170977,'1986-06-04 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','124253251136271411637762272122142266022',6986,'9998',54.32,1,3,NULL),(16,3170985,'1988-04-08 00:00:00',2,8,12,2005,'F','N','CENTRO','PARANAVAí','PR','116164161316571731456833575122610154187',NULL,'9998',0.00,1,3,NULL),(16,3170993,'1991-06-30 00:00:00',4,1,12,2008,'M','N','CENTRO','PALMAS','PR','116161161117131431233923595125610167147',NULL,'9998',28.35,1,3,NULL),(16,3171000,'1990-05-08 00:00:00',2,9,12,2007,'M','N','JARDIM AMéRICA','RIO SUL','SC','124242241212472431365932585122610127042',9615,'1013',49.49,1,3,NULL),(16,3171019,'1990-12-03 00:00:00',4,6,12,2008,'M','N','CENTRO','ITAJAí','SC','124242241216141431356614245122610127052',NULL,'388',0.00,4,3,NULL),(16,3171027,'1989-05-28 00:00:00',2,1,12,2006,'F','N','AMBROSIO','GAROPABA','SC','124241241122272731424314342121610113051',NULL,'322',0.00,1,2,1),(16,3171035,'1980-06-22 00:00:00',2,1,12,1997,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124242241212374421364313431122331937062',2715,'271',64.63,1,3,NULL),(16,3171043,'1991-03-05 00:00:00',2,10,11,2008,'M','N','OFICINAS','TUBARãO','SC','124242241215111431449813572122610127042',4335,'807',60.17,1,3,NULL),(16,3171051,'1989-12-05 00:00:00',4,1,12,2006,'M','N','JARDIM NOVA BOITUVA','BOITUVA','SP','125254251116472411433634572222610162042',1858,'9998',67.77,1,3,NULL),(16,3171078,'1991-11-12 00:00:00',2,4,12,2008,'M','N','CENTRO','CHAPECó','SC','124241241117371431457923572124610137042',9770,'182',49.21,4,1,1),(16,3171086,'1988-01-11 00:00:00',2,1,12,2005,'F','N','CENTRO','RIO SUL','SC','124242241217574441326634475122613264147',7339,'991',53.64,1,3,NULL),(16,3171094,'1991-01-28 00:00:00',2,1,11,2008,'F','N','FUNDOS DE BIGUAçU','BIGUAçU','SC','124242241215111431513679592124610127057',10669,'270',47.62,1,3,NULL),(16,3171108,'1990-07-16 00:00:00',4,7,11,2008,'M','N','TOBIAS','JOAçABA','SC','124241241116131521523527275125610167017',NULL,'449',32.39,1,2,1),(16,3171116,'1987-09-22 00:00:00',4,8,12,2005,'M','N','BOA VISTA','JOINVILLE','SC','124242241216273431456414475114133232042',3162,'489',63.37,1,3,NULL),(16,3171124,'1990-02-19 00:00:00',4,1,5,2008,'M','N','CENTRO','MAFRA','SC','124241281417131431358933575124610132077',NULL,'9998',44.67,1,3,NULL),(16,3171132,'1990-11-22 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111431458632275124610163147',7355,'270',53.61,1,3,NULL),(16,3171140,'1991-09-14 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241215111741238622195124610163057',16249,'1022',36.53,1,3,NULL),(16,3171159,'1991-10-05 00:00:00',4,1,9,2008,'M','N','MOSQUEIRO','ARACAJU','SE','126262261237111432327813375122610137057',NULL,'9998',0.00,2,3,NULL),(16,3171175,'1991-03-12 00:00:00',4,4,12,2008,'F','N','PRIMAVERA','XAXIM','SC','124241241117131731433436572324610111147',NULL,'846',24.38,1,2,1),(16,3171183,'1992-11-13 00:00:00',4,10,11,2009,'M','S','RECIFE','TUBARãO','SC','124242241217171531479931572112610167042',NULL,'806',30.22,1,3,NULL),(16,3171191,'1990-10-25 00:00:00',2,9,12,2008,'F','N','ESQUINA','URUBICI','SC','124242241215271431424612342344610137042',NULL,'817',NULL,1,3,NULL),(16,3171205,'1990-06-26 00:00:00',4,1,12,2007,'M','N','CERAMARTE','RIO NEGRINHO','SC','124242241216372231478811571125230234122',5174,'666',58.18,1,3,NULL),(16,3171213,'1991-06-02 00:00:00',4,1,12,2008,'M','N','SETOR OESTE','GOIâNIA','GO','109092091211113221172321224122610127047',7447,'9998',53.41,4,3,NULL),(16,3171221,'1992-01-31 00:00:00',2,1,12,2008,'F','N','JOSé MENDES','FLORIANóPOLIS','SC','124244241415111251348814145124610128077',14818,'1022',40.03,2,3,NULL),(16,3171248,'1989-07-01 00:00:00',4,9,12,2006,'F','N','CENTRO','LAGES','SC','124242241216473431459613575125131464187',3891,'499',61.37,1,3,NULL),(16,3171256,'1987-02-16 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241316372411246823345122131427083',NULL,'307',25.19,1,3,NULL),(16,3171280,'1991-08-21 00:00:00',4,8,11,2008,'F','N','PROFIPO','JOINVILLE','SC','124241241215111431558919575124610133147',1233,'457',70.77,1,3,NULL),(16,3171299,'1990-01-06 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124244241217131231323369482124610145147',NULL,'1022',18.69,1,3,NULL),(16,3171302,'1991-03-18 00:00:00',4,8,12,2008,'M','N','CENTENARIO','S BENTO SUL','SC','124242241211371731584412231121610167182',6435,'974',55.41,1,3,NULL),(16,3171310,'1991-11-28 00:00:00',4,1,12,2007,'F','N','BALNEARIO','FLORIANóPOLIS','SC','124242241215132451336923575124610127077',14155,'1022',41.32,1,3,NULL),(16,3171329,'1990-10-11 00:00:00',4,4,12,2007,'M','N','RECANTO TROPICAL','CASCAVEL','PR','116162161215472231558814215125610162187',135,'9998',80.33,1,3,NULL),(16,3171337,'1990-07-01 00:00:00',3,1,11,2008,'F','N','LAGOA DA CONCEICAO','FLORIANóPOLIS','SC','124242241215121431479923573112610123091',2565,'270',65.12,1,3,NULL),(16,3171345,'1991-10-05 00:00:00',4,6,11,2008,'F','N','CENTRO','ITAJAí','SC','124242241215111431459911495122610162122',11681,'1038',45.86,1,3,NULL),(16,3171353,'1990-07-02 00:00:00',2,8,12,2007,'F','N','CENTRO','BARRA VELHA','SC','124241241215472411445931574122610127077',9047,'459',50.50,1,3,NULL),(16,3171361,'1991-07-15 00:00:00',4,1,12,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117271532535514576122610117047',NULL,'772',21.20,1,2,1),(16,3171370,'1980-11-03 00:00:00',4,1,12,1997,'F','N','CENTRO','ARARANGUá','SC','124241241214151721465639412122331012092',16525,'32',35.36,1,3,NULL),(16,3171396,'1991-01-17 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241115471731637431575124610164097',14519,'298',40.65,1,2,1),(16,3171400,'1989-06-13 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215473431346733595124610147067',3872,'751',61.41,1,3,NULL),(16,3171418,'1991-08-15 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111431168612572122610124147',NULL,'738',24.55,1,3,NULL),(16,3171434,'1971-10-07 00:00:00',2,1,11,1990,'M','N','JOâO PAULO','FLORIANóPOLIS','SC','124243247311575421612223271114131217062',NULL,'9999',21.52,1,3,NULL),(16,3171442,'1991-07-15 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215271431438934571124610124092',8444,'262',51.50,1,3,NULL),(16,3171450,'1989-06-25 00:00:00',4,8,12,2007,'M','N','AMéRICA','JOINVILLE','SC','124242246217271742568839385124610116192',3510,'494',62.35,1,3,NULL),(16,3171469,'1987-06-13 00:00:00',2,1,12,2004,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124252258216172431648832495122230247113',12474,'9998',44.44,1,3,NULL),(16,3171485,'1988-06-20 00:00:00',2,1,12,2006,'F','N','CENTRO','PINHãO','PR','116163161116161432553316572114610137147',NULL,'9998',0.00,1,3,NULL),(16,3171493,'1983-01-25 00:00:00',4,8,11,2000,'M','N','CAPAO RASO','CURITIBA','PR','116162161125574431456611575124610142081',NULL,'9998',0.00,3,3,NULL),(16,3171507,'1990-11-13 00:00:00',2,1,11,2008,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124244241215272731674611574112610167095',3093,'299',63.54,1,3,NULL),(16,3171515,'1988-12-27 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124164241435471431328612571122610157042',1419,'491',69.68,1,3,NULL),(16,3171523,'1989-12-26 00:00:00',4,1,12,2007,'M','N','CENTRO','S JOSé CAMPOS','SP','125252251217471431538639572122610132016',5814,'9998',56.77,3,3,NULL),(16,3171531,'1981-09-12 00:00:00',2,1,12,1999,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241116235431336711572124230824187',NULL,'307',21.52,1,2,1),(16,3171540,'1989-01-20 00:00:00',2,1,12,2006,'F','N','PANTANO DO SUL','FLORIANóPOLIS','SC','124241241415373731446439372214133267181',10856,'270',47.26,1,3,NULL),(16,3171558,'1991-09-14 00:00:00',5,10,10,2008,'F','N','MAGALHãES','LAGUNA','SC','124242241215111411448919472124610164181',2629,'807',64.91,1,3,NULL),(16,3171566,'1990-09-13 00:00:00',2,1,11,2007,'F','N','BARREIROS','S JOSé','SC','124241241215473421656314594124610146147',5621,'738',57.22,1,3,NULL),(16,3171574,'1986-07-20 00:00:00',2,1,12,2003,'M','N','BARREIROS','S JOSé','SC','124241241214372411256823432122333222147',10233,'1036',48.37,4,3,NULL),(16,3171590,'1985-08-29 00:00:00',2,1,8,2003,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124241243347132411454819381323130264115',15573,'232',38.38,1,3,NULL),(16,3171604,'1991-12-28 00:00:00',2,5,11,2008,'F','N','MICHEL','CRICIúMA','SC','124242241215111431368832575112610124012',10106,'210',48.60,1,3,NULL),(16,3171612,'1991-01-22 00:00:00',2,2,12,2008,'F','N','CENTRO','GASPAR','SC','124243241215111431445411272122610134142',NULL,'1137',36.10,1,3,NULL),(16,3171620,'1991-05-07 00:00:00',4,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111431467914115124610126032',9736,'270',49.28,1,3,NULL),(16,3171639,'1991-01-24 00:00:00',4,8,12,2008,'M','N','JARDIM COLINA','AMERICANA','SP','125253251217121411457931345121610167043',NULL,'9998',33.76,1,3,NULL),(16,3171647,'1991-06-04 00:00:00',4,1,11,2008,'F','N','ITAGUAçú','FLORIANóPOLIS','SC','124242241215121431468712471122610124187',15548,'270',38.44,1,3,NULL),(16,3171655,'1989-11-16 00:00:00',4,1,12,2005,'M','N','MOEMA','S PAULO','SP','125252251216571431368821575122610163042',NULL,'9998',0.00,1,3,NULL),(16,3171663,'1974-01-21 00:00:00',2,1,12,1995,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241311135711113279141321610114022',NULL,'9997',29.30,4,3,NULL),(16,3171680,'1989-03-26 00:00:00',2,1,12,2006,'M','N','FORQUILHINHAS','S JOSé','SC','124242241216573431436613315134610127147',10522,'1036',47.89,1,3,NULL),(16,3171698,'1991-08-12 00:00:00',4,6,12,2008,'F','N','CENTRO','ITAJAí','SC','624242246215111731468819595115610167182',7933,'9997',52.55,1,3,NULL),(16,3171701,'1990-09-29 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241211272411326624275122610125143',13234,'1022',43.09,1,3,NULL),(16,3171736,'1988-11-04 00:00:00',4,3,12,2005,'F','N','SãO CRISTóVãO','PASSO FUNDO','RS','120202201216471531347824391314143167047',4722,'9998',59.26,1,3,NULL),(16,3171744,'1990-01-26 00:00:00',2,1,12,2007,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241215372431358512374124610127187',10209,'1022',48.42,1,3,NULL),(16,3171752,'1991-04-16 00:00:00',2,4,12,2007,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241215132731346913582324230446177',10335,'752',48.20,1,3,NULL),(16,3171760,'1977-07-02 00:00:00',2,1,12,1998,'F','N','KOBRASOL','S JOSé','SC','124241241127371431443362245124610126142',14682,'93',40.31,1,3,NULL),(16,3171779,'1990-11-01 00:00:00',2,4,12,2007,'F','N','CAMOBI','STA MARIA','RS','620243201215471451543432596124610167012',7476,'9998',53.36,1,3,NULL),(16,3171787,'1986-04-09 00:00:00',4,1,12,2003,'M','N','REC DOS EUCALIPTOS','MAIRINQUE','SP','125251251215573431537611181124610162077',16139,'9998',36.80,1,3,NULL),(16,3171809,'1991-11-04 00:00:00',2,4,12,2008,'M','N','JARDIM ITÁLIA','CHAPECó','SC','124243241317471431459813575122610122187',NULL,'177',34.40,1,3,NULL),(16,3171817,'1991-06-04 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124242241215121331356612392122610133071',NULL,'1048',21.72,1,3,NULL),(16,3171825,'1990-04-26 00:00:00',4,1,5,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242281411271431349612275114610148187',NULL,'9998',24.49,1,3,NULL),(16,3171833,'1991-10-17 00:00:00',4,1,1,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215122411349911572112610123012',2851,'270',64.22,1,3,NULL),(16,3171841,'1990-09-12 00:00:00',4,1,12,2008,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241315271431321634572224610122147',NULL,'288',23.56,2,1,2),(16,3171850,'1990-11-11 00:00:00',4,8,12,2008,'F','N','VILA RAU','JARAGUá SUL','SC','124242246217142431458711575122610166093',10443,'1105',48.01,1,3,NULL),(16,3171868,'1992-03-17 00:00:00',2,3,12,2008,'F','N','CENTRO','STO AUGUSTO','RS','120201201117151411428714572322610126147',NULL,'9998',27.15,1,2,1),(16,3171876,'1992-04-29 00:00:00',4,4,12,2008,'F','N','MARIA GORETTI','CHAPECó','SC','124242241215111431336432574122610122047',2180,'983',66.49,1,3,NULL),(16,3171892,'1991-04-25 00:00:00',4,1,12,2008,'F','N','ST GERAL LOMBA ALTA','ALFREDO WAGNER','SC','124241241327161431436914345334610134147',14665,'13',40.36,1,3,NULL),(16,3171906,'1991-12-16 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241215111431448931575122610167122',NULL,'499',31.31,1,3,NULL),(16,3171914,'1991-04-23 00:00:00',4,1,11,2008,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215112221469931572122610167122',3263,'270',63.11,4,1,2),(16,3171922,'1991-01-30 00:00:00',4,1,11,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215111431449713275122610121017',15758,'270',37.90,1,3,NULL),(16,3171930,'1992-03-14 00:00:00',4,1,12,2008,'F','N','JARDIM ELDORADO','PALHOçA','SC','124241241115131431556613575124610162057',NULL,'733',20.10,1,3,NULL),(16,3171949,'1985-02-20 00:00:00',2,1,6,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241127472711555734345124132227067',NULL,'307',46.88,1,2,1),(16,3171957,'1992-07-09 00:00:00',2,8,12,2009,'F','S','GLóRIA','JOINVILLE','SC','124241248615121331436634175125610135172',NULL,'486',62.64,1,3,NULL),(16,3171965,'1991-05-13 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124243241116371431457614585124610157047',11611,'733',45.98,1,3,NULL),(16,3171973,'1988-05-18 00:00:00',4,1,12,2005,'M','N','CENTRO','CAMPINAS','SP','125252253216471431336638381124610162092',9762,'9998',49.23,1,3,NULL),(16,3171981,'1982-08-24 00:00:00',2,1,12,2003,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124203207327371421326823382114142817047',NULL,'9998',26.91,1,3,NULL),(16,3171990,'1985-03-13 00:00:00',4,1,6,2005,'M','N','CENTRO','PTO ALEGRE','RS','120202207246171431127649215124243221027',NULL,'9999',0.00,1,3,NULL),(16,3172007,'1992-01-08 00:00:00',4,6,12,2008,'F','N','CENTRO','ITAJAí','SC','124242241215271751469914345122610134186',NULL,'392',46.50,1,3,NULL),(16,3172023,'1991-01-21 00:00:00',4,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241215151731238713576124610122017',8844,'273',50.81,1,3,NULL),(16,3172031,'1990-08-25 00:00:00',2,1,12,2007,'M','N','PANTANAL','FLORIANóPOLIS','SC','124201201117132431448934475124610138072',7574,'9998',53.20,1,2,1),(16,3172040,'1988-06-17 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124163241312272421348729575122610128167',4447,'1038',59.90,4,1,2),(16,3172058,'1989-05-15 00:00:00',4,1,12,2007,'M','N','ASA SUL','BRASíLIA','DF','107072071216371711459931575124610167182',1167,'9998',71.11,1,3,NULL),(16,3172066,'1991-08-14 00:00:00',4,7,12,2008,'F','N','CENTRO','NONOAI','RS','120204201336141331239921345122610164142',NULL,'9998',21.90,1,3,NULL),(16,3172074,'1989-07-23 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSé','SC','124241241436141431236323195114610122017',15020,'1076',39.61,1,3,NULL),(16,3172082,'1991-06-12 00:00:00',2,10,11,2008,'F','N','CENTRO','ARMAZéM','SC','124242241215311431557632575112610122142',15508,'9997',38.53,1,3,NULL),(16,3172104,'1992-11-15 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241215111432423413375122610138142',NULL,'1022',22.97,1,3,NULL),(16,3172112,'1990-10-22 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241117373431423439385124610144077',15721,'307',38.02,1,3,NULL),(16,3172120,'1991-06-10 00:00:00',2,1,12,2008,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124246241211111431323612271124610123077',16492,'1022',35.50,1,3,NULL),(16,3172147,'1989-09-12 00:00:00',4,1,1,2008,'M','N','LAGO SUL BRASÍLIA','LG SUL','DF','107072077217371441578933572122142048142',6856,'9999',54.56,1,3,NULL),(16,3172155,'1981-06-19 00:00:00',2,1,6,2005,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124241247211233431223344242222610127092',13647,'9999',42.38,1,3,NULL),(16,3172163,'1991-04-30 00:00:00',4,3,12,2008,'F','N','IGUATEMI','RIBEIRãO PRETO','SP','125252251216121431359924475122610163182',NULL,'9998',0.00,1,3,NULL),(16,3172171,'1990-02-17 00:00:00',4,6,12,2007,'F','N','FAZENDA','ITAJAí','SC','124242241215132431433734385115610164176',1874,'389',67.69,4,3,NULL),(16,3172180,'1991-06-24 00:00:00',4,1,12,2009,'F','S','SACO GRANDE','FLORIANóPOLIS','SC','124242241217131731356632422324610138057',NULL,'266',42.43,1,3,NULL),(16,3172210,'1992-07-16 00:00:00',4,1,12,2009,'M','S','BARREIROS','S JOSé','SC','124241248415171441255923575124610117041',NULL,'1118',26.91,1,3,NULL),(16,3172228,'1991-02-01 00:00:00',4,5,10,2008,'M','N','SãO CRISTóVãO','CRICIúMA','SC','124242241217131431333821275125610164012',8213,'210',51.97,1,3,NULL),(16,3172236,'1991-03-08 00:00:00',4,10,12,2008,'M','N','MAR GROSSO','LAGUNA','SC','124253251337111411536611275125610167181',3796,'9998',61.61,1,3,NULL),(16,3172244,'1992-10-14 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248215111431469611412122610142072',NULL,'1022',23.83,1,3,NULL),(16,3172260,'1991-08-09 00:00:00',2,9,12,2008,'F','N','FERROVIA','LAGES','SC','124244241215311531246923372324610134147',15479,'515',38.59,1,3,NULL),(16,3172279,'1990-04-28 00:00:00',4,1,11,2007,'F','N','KOBRASOL','S JOSÉ','SC','124203208311272432336619491124610113142',NULL,'9998',26.65,1,3,NULL),(16,3172287,'1991-05-30 00:00:00',2,9,12,2008,'F','N','CENTRO','SALETE','SC','124241241215371711456612275111610167112',NULL,'991',22.05,1,3,NULL),(16,3172295,'1991-10-02 00:00:00',4,1,11,2008,'F','N','SERRARIA','S JOSé','SC','124241241315121431556632572112610128142',9423,'738',49.85,4,3,NULL),(16,3172317,'1990-02-18 00:00:00',4,1,12,2007,'M','N','CON CON','SOMBRIO','SC','124243241216272231216611215124610167041',7782,'770',52.81,1,3,NULL),(16,3172325,'1990-04-19 00:00:00',4,1,11,2007,'M','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','628286288631572751611179157315610167176',2815,'270',64.35,1,3,NULL),(16,3172341,'1990-10-15 00:00:00',4,1,12,2007,'F','N','REAL PARQUE','S JOSé','SC','124244241213271431459613575121610162127',6315,'1118',55.65,1,3,NULL),(16,3172350,'1988-08-12 00:00:00',2,1,12,2005,'M','N','CENTRO','BAL CAMBORIú','SC','124241241136152451334619295124231064177',13622,'374',42.43,1,3,NULL),(16,3172368,'1990-08-02 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241125372231442831345124610167142',NULL,'274',24.25,1,3,NULL),(16,3172376,'1989-11-17 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431338823582122610134012',1444,'262',69.56,1,3,NULL),(16,3172384,'1991-05-07 00:00:00',4,2,12,2008,'F','N','CAPITAIS','TIMBó','SC','124241245416111331566614365122610126142',15732,'1157',37.98,1,3,NULL),(16,3172392,'1990-08-11 00:00:00',4,2,12,2007,'M','N','TESTO ALTO','POMERODE','SC','124241241215273732366814275114131424042',7082,'624',54.14,1,3,NULL),(16,3172406,'1991-06-17 00:00:00',2,1,12,2007,'F','N','PANTANO DO SUL','FLORIANóPOLIS','SC','124241241312112431428624372124610124042',6391,'269',55.50,1,3,NULL),(16,3172414,'1988-08-11 00:00:00',2,4,12,2005,'F','N','CENTRO','CHAPECó','SC','124241241125573731334326572224610126197',10080,'11',48.63,1,2,1),(16,3172422,'1990-04-30 00:00:00',2,1,11,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124244241215413421477934575124610114111',13272,'270',43.03,1,3,NULL),(16,3172430,'1986-05-06 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','124252241212133211457532395124231034077',12080,'262',45.13,1,3,NULL),(16,3172449,'1990-10-15 00:00:00',4,3,12,2007,'F','N','CENTRO','BAL CAMBORIú','SC','124241241117371731538611212121610136117',9727,'49',49.29,1,2,1),(16,3172457,'1992-09-13 00:00:00',4,1,12,2010,'F','S','CAMPINAS','S JOSé','SC','124242241215111431488823594124610124182',NULL,'270',27.00,1,3,NULL),(16,3172465,'1990-04-19 00:00:00',2,2,11,2007,'F','N','EDGAR TRANCOSO','EUNáPOLIS','BA','105052051116471431248621432325610168146',NULL,'9998',33.70,4,3,NULL),(16,3172473,'1984-04-29 00:00:00',2,1,4,2004,'M','N','PASSA VINTE','PALHOçA','SC','124241241127331411436311282213610138187',NULL,'9999',29.58,1,3,NULL),(16,3172481,'1993-03-24 00:00:00',4,1,12,2009,'F','S','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124244241435131431448633575114510114117',NULL,'271',28.11,1,3,NULL),(16,3172490,'1991-05-19 00:00:00',2,3,12,2008,'F','N','CENTRO','STO AUGUSTO','RS','120201201117151431525624242322610127147',NULL,'9998',26.22,1,2,1),(16,3172511,'1988-06-28 00:00:00',2,8,12,2005,'M','N','CENTRO','UMUARAMA','PR','116162163214571731368619371315142114042',10955,'9999',47.11,1,3,NULL),(16,3172520,'1991-10-29 00:00:00',2,8,12,2008,'F','N','CENTRO','JARAGUá SUL','SC','124242241417371711339733472222610164192',NULL,'425',28.93,1,3,NULL),(16,3172538,'1991-09-25 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124121241117131741535711272124610124192',NULL,'288',29.76,1,2,1),(16,3172546,'1990-11-29 00:00:00',4,1,12,2007,'M','N','SANTOS DUMONT','PARANAVAí','PR','116161161217471431548611572112610167012',NULL,'9998',26.41,1,3,NULL),(16,3172554,'1991-02-20 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431377823575122610168192',8381,'262',51.63,1,3,NULL),(16,3172562,'1990-02-14 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215271421558713575112610168017',NULL,'499',43.16,1,3,NULL),(16,3172570,'1990-08-15 00:00:00',4,5,12,2007,'M','N','URUSSANGUINHA','ARARANGUá','SC','124242241215371431436934375112610132172',7198,'27',53.91,1,3,NULL),(16,3172589,'1988-01-05 00:00:00',2,1,6,2005,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124243247345474411228321111234610147045',9337,'9999',50.01,1,3,NULL),(16,3172600,'1991-03-22 00:00:00',4,4,12,2008,'F','N','PASSO DA AREIA','CEL FREITAS','SC','124241241135131431326623432325610126147',14021,'199',41.61,1,2,1),(16,3172619,'1991-05-28 00:00:00',2,1,11,2008,'M','N','IPIRANGA','S JOSé','SC','124242241215111431236823472114610167147',13898,'1022',41.86,1,3,NULL),(16,3172643,'1992-05-18 00:00:00',4,1,12,2009,'F','S','SACO GRANDE','FLORIANóPOLIS','SC','124242241215111431366923575122610166072',NULL,'262',44.44,1,3,NULL),(16,3172651,'1991-04-14 00:00:00',4,4,12,2008,'F','N','INTERIOR','S JOSé CEDRO','SC','124241241114161431634335292224610137077',15397,'740',38.77,1,2,1),(16,3172660,'1990-07-14 00:00:00',4,1,12,2007,'M','N','JARDIM ESTOURIL','OURINHOS','SP','125252251216271431466619385112610136093',10627,'9998',47.68,4,3,NULL),(16,3172678,'1989-07-20 00:00:00',4,1,12,2006,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124243241415573431439811172122133261147',12245,'1022',44.81,1,3,NULL),(16,3172686,'1991-02-20 00:00:00',4,1,9,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111431466724275124610137097',13034,'1118',43.44,1,3,NULL),(16,3172694,'1990-07-29 00:00:00',2,1,12,2008,'F','N','GORREGO GRANDE','FLORIANóPOLIS','SC','124244241317161431469923572124610143142',NULL,'307',22.40,4,1,2),(16,3172708,'1989-03-24 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241217273431324424575124222267047',NULL,'1022',36.81,1,3,NULL),(16,3172716,'1991-09-23 00:00:00',2,1,11,2008,'M','N','RIO MAINA','CRICIúMA','SC','124011241112151431636534192112610117047',13984,'223',41.68,1,2,1),(16,3172724,'1989-12-13 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241117132431333314282114240227055',NULL,'298',0.00,1,2,1),(16,3172732,'1990-06-27 00:00:00',4,2,12,2007,'F','N','CENTRO','POMERODE','SC','124242241215473411477911475114610124192',1835,'624',67.88,1,3,NULL),(16,3172740,'1992-03-26 00:00:00',4,1,12,2008,'M','N','CENTRO','MAL CâNDIDO RONDON','PR','116164168215471731363612475115610167122',NULL,'9998',34.24,1,3,NULL),(16,3172759,'1989-01-17 00:00:00',2,8,12,2006,'M','N','CENTRO','CRUZEIRO OESTE','PR','116161161115571231464914275122610124147',4427,'9998',59.94,1,2,1),(16,3172767,'1991-01-01 00:00:00',2,4,12,2008,'F','N','CENTRO','SALTINHO','SC','124241241115161731333633572222610117057',NULL,'682',26.44,1,2,1),(16,3172775,'1991-05-21 00:00:00',4,7,12,2008,'F','N','CENTRO','SALTO VELOSO','SC','124245241116131411446832575112610141197',NULL,'1113',29.01,1,3,NULL),(16,3172783,'1974-03-26 00:00:00',2,1,12,1993,'F','N','KOBRASOL','S JOSé','SC','624241241127135421458643335122231023097',NULL,'297',0.00,1,3,NULL),(16,3172791,'1990-11-11 00:00:00',4,1,11,2008,'F','N','APARECIDA','SANTOS','SP','125254251212141431348829332121610124017',10927,'9998',47.15,3,3,NULL),(16,3172805,'1982-02-03 00:00:00',2,1,12,2000,'M','N','JOSE MENDES','FLORIANóPOLIS','SC','224221223146135431333644345124221116187',3358,'9998',62.81,4,2,1),(16,3172813,'1986-03-06 00:00:00',4,1,12,2003,'M','N','ABRAAO','FLORIANóPOLIS','SC','124242241216272421366624332124120737092',4812,'272',59.04,1,3,NULL),(16,3172821,'1991-03-20 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241115141731553332342124610125075',NULL,'9997',22.46,1,2,1),(16,3172830,'1991-01-28 00:00:00',2,1,12,2007,'M','N','TRINDANDE','FLORIANóPOLIS','SC','124242091211571441558614575114610117075',3040,'9998',63.69,1,3,NULL),(16,3172848,'1991-03-13 00:00:00',1,1,11,2008,'F','N','CENTRO','S JOSé','SC','124242241216131731446611295122610164011',NULL,'988',29.25,1,3,NULL),(16,3172856,'1992-10-01 00:00:00',4,5,12,2009,'M','S','CENTRO','CRICIúMA','SC','124242241215111431468832575122610137142',NULL,'213',54.11,1,3,NULL),(16,3172864,'1990-08-17 00:00:00',2,10,11,2008,'M','N','RIO BONITO','BRAçO NORTE','SC','124241241127131421526631371211610137047',NULL,'998',28.44,1,3,NULL),(16,3172872,'1983-03-08 00:00:00',2,1,12,2001,'M','N','BARREIROS','S JOSé','SC','124241248316433711427729495124333262062',NULL,'272',29.32,1,3,NULL),(16,3172880,'1990-07-10 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215372431348833335124232728052',11724,'403',45.78,1,3,NULL),(16,3172899,'1990-02-07 00:00:00',2,1,10,2007,'M','N','MONTE CRISTO','FLORIANóPOLIS','SC','124243247217131731343819495114610163047',NULL,'9999',21.81,2,1,2),(16,3172902,'1990-03-10 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241215473431336634372122610133012',6336,'1057',55.60,1,3,NULL),(16,3172910,'1991-09-17 00:00:00',4,1,11,2008,'F','N','FLORESTA','S JOSé','SC','124242241215121431669933595124610167112',NULL,'269',27.27,1,3,NULL),(16,3172929,'1991-12-06 00:00:00',4,1,11,2008,'F','N','FLORESTA','S JOSé','SC','124242241215111731669813336124610143187',8008,'269',52.41,1,3,NULL),(16,3172937,'1992-02-16 00:00:00',4,3,12,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161216471431458933572124610121177',NULL,'9998',0.00,1,3,NULL),(16,3172945,'1988-08-18 00:00:00',4,1,11,2006,'M','N','JARDIM PAULISTA','RIBEIRãO PRETO','SP','125252251211571431366811571114610117057',10186,'9998',48.45,1,3,NULL),(16,3172953,'1991-11-13 00:00:00',4,4,11,2008,'F','N','IMPERIAL','CONCóRDIA','SC','124241241217131431436832596122610131147',6057,'190',56.21,1,3,NULL),(16,3172961,'1992-12-10 00:00:00',4,1,12,2009,'F','S','IPIRANGA','S JOSé','SC','124242241215111731468632575122610126192',NULL,'738',24.63,1,3,NULL),(16,3172988,'1986-02-24 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241248216472421544532575114133212197',NULL,'872',29.29,1,3,NULL),(16,3172996,'1987-05-27 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124132133217371421448831395124140764052',1284,'9998',70.48,1,3,NULL),(16,3173003,'1992-06-03 00:00:00',2,1,11,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241215111411533331572124610115145',15272,'988',39.04,1,3,NULL),(16,3173011,'1989-06-21 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241212372751368821492122120267052',3163,'270',63.37,1,3,NULL),(16,3173020,'1991-07-18 00:00:00',4,4,12,2008,'F','N','LINHA CORDILHEIRA','ITAPIRANGA','SC','124241241117151431433532574124610135012',15725,'412',38.01,1,2,1),(16,3173046,'1990-07-13 00:00:00',1,8,11,2008,'F','N','BOM RETIRO','JOINVILLE','SC','124242241235121431448714575124610125117',5949,'486',56.45,1,3,NULL),(16,3173062,'1990-12-18 00:00:00',4,1,6,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242281414271431359912375122610117042',9935,'9998',48.89,1,3,NULL),(16,3173070,'1979-10-03 00:00:00',4,1,12,1997,'F','N','ARIRIú','PALHOçA','SC','524133211212161711538374495122342733092',11394,'9998',46.35,1,3,NULL),(16,3173089,'1987-05-09 00:00:00',4,1,12,2006,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124242247432133231425811472314133237112',9527,'9999',49.67,1,3,NULL),(16,3173097,'1990-08-19 00:00:00',4,1,11,2007,'M','N','REVOREDO','TUBARãO','SC','124242247215472431244823572114130338192',NULL,'809',34.82,1,3,NULL),(16,3173100,'1990-11-14 00:00:00',4,10,12,2008,'M','N','MAR GROSSO','LAGUNA','SC','124212241446111431337739375124610162177',3353,'524',62.84,1,3,NULL),(16,3173119,'1990-08-10 00:00:00',2,6,11,2008,'M','N','CENTRO','CIDADE GAúCHA','PR','116163167336161531465512275122610147054',NULL,'398',0.00,1,3,NULL),(16,3173135,'1990-06-11 00:00:00',2,1,11,2007,'F','N','CAMPINAS','S JOSé','SC','124243241212272431555624572124610164147',12342,'266',44.65,1,3,NULL),(16,3173143,'1986-05-15 00:00:00',4,3,12,2004,'F','N','RIO BRANCO','CAXIAS SUL','RS','120201201116231711635519397124242514187',NULL,'9998',0.00,1,2,1),(16,3173160,'1990-04-11 00:00:00',2,4,12,2007,'F','N','PADRE ANTONIO','MARAVILHA','SC','120241241114373431436529577244610126027',9926,'552',48.91,1,2,1),(16,3173178,'1991-11-16 00:00:00',4,5,10,2008,'F','N','JARDIM SILVANA','IçARA','SC','124242241215112431474612472122610127072',5179,'213',58.16,4,3,NULL),(16,3173186,'1990-07-27 00:00:00',4,2,12,2007,'F','N','VILA NOVA','BLUMENAU','SC','124241241115131231458933395124232127032',7987,'693',52.45,1,2,1),(16,3173194,'1989-11-13 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241211272751268811595122131463182',2162,'270',66.55,1,3,NULL),(16,3173208,'1991-01-17 00:00:00',2,1,12,2008,'M','N','PICADAS DO SUL','S JOSé','SC','124242248216111431546632295122610117042',NULL,'1074',21.21,1,3,NULL),(16,3173216,'1984-08-29 00:00:00',2,1,12,2002,'M','N','SAO GERALDO','PTO ALEGRE','RS','120201201147131411426344241331141416092',NULL,'9998',0.00,3,2,1),(16,3173224,'1987-11-24 00:00:00',2,1,7,2005,'M','N','AREIAS','S JOSé','SC','124241241127213441548529481124610117141',10488,'361',47.93,1,2,1),(16,3173232,'1988-04-05 00:00:00',4,1,12,2005,'F','N','PARQUE MANDAQUI','S PAULO','SP','125254251216471431359611572124610122187',5007,'9998',58.60,1,3,NULL),(16,3173240,'1991-09-27 00:00:00',2,5,10,2008,'M','N','MICHEL','CRICIúMA','SC','124242241215372431368814472122610136042',4238,'210',60.40,1,3,NULL),(16,3173259,'1990-11-06 00:00:00',5,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241235371741348839345125610148183',NULL,'44',33.58,1,3,NULL),(16,3173267,'1991-02-12 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215121732369933595122610114127',8151,'270',52.13,1,3,NULL),(16,3173283,'1985-07-22 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241216131431434431485124331034187',NULL,'654',29.13,1,3,NULL),(16,3173291,'1990-04-06 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217112431457532345124131434017',NULL,'262',35.20,1,3,NULL),(16,3173305,'1991-03-18 00:00:00',4,2,11,2008,'F','N','VILA NOVA','BLUMENAU','SC','124244241217111431557612392124610143092',8259,'88',51.86,1,3,NULL),(16,3173313,'1990-04-25 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124244248415473751579613571121610117187',1093,'9997',71.50,4,3,NULL),(16,3173321,'1986-04-20 00:00:00',2,1,12,2003,'F','N','BREJARU','PALHOçA','SC','124241241117142451126544245223233225097',8890,'808',50.75,1,2,1),(16,3173330,'1991-01-04 00:00:00',4,1,11,2008,'M','N','SETOR BUENO','GOIâNIA','GO','109092091215111431468814572122610162042',3838,'9998',61.48,1,3,NULL),(16,3173348,'1991-06-21 00:00:00',2,8,12,2008,'F','N','IRIRIú','JOINVILLE','SC','124243241215131431444639394122610136172',6139,'462',56.05,1,3,NULL),(16,3173356,'1991-12-30 00:00:00',4,4,12,2008,'F','N','CENTRO','PALMA SOLA','SC','124241241126131431434316395222610135147',16488,'598',35.52,1,3,NULL),(16,3173364,'1988-01-28 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241245112131421433329392224610132141',NULL,'307',28.46,2,1,1),(16,3173372,'1990-11-12 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215372431479811275122131034092',NULL,'262',41.81,1,3,NULL),(16,3173380,'1987-01-12 00:00:00',2,1,12,2004,'M','N','BARRA DO ARIRIú','PALHOçA','SC','124241241115371111226444345333130262143',11916,'739',45.42,1,3,NULL),(16,3173399,'1991-09-02 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248215111732335611475122610133142',12234,'270',44.83,1,3,NULL),(16,3173402,'1991-10-04 00:00:00',4,4,12,2008,'F','N','CENTRO','CONCóRDIA','SC','124244241116131431449934575122610123197',NULL,'194',33.68,1,3,NULL),(16,3173410,'1990-01-28 00:00:00',2,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111431456613572124610127041',NULL,'269',28.50,1,3,NULL),(16,3173429,'1988-12-04 00:00:00',2,1,11,2005,'F','N','CENTRO','NOVA LONDRINA','PR','116161161111131411426714242335610142012',NULL,'9998',12.15,1,2,1),(16,3173437,'1991-06-15 00:00:00',2,7,12,2008,'F','N','INTERIOR','TREZE TíLIAS','SC','124242241116371331443966575122610163147',16156,'962',36.76,1,3,NULL),(16,3173445,'1991-05-09 00:00:00',2,1,12,2008,'M','N','BARREIROS','SAO JOSE','SC','124244241215111431258613591114610168067',16686,'738',33.83,1,3,NULL),(16,3173453,'1992-02-27 00:00:00',4,1,12,2008,'F','N','CENTRO','VERê','PR','116161161236471431458832475122610147072',7260,'9998',53.79,1,3,NULL),(16,3173461,'1988-02-12 00:00:00',4,1,12,2005,'M','N','PAPICU','FORTALEZA','CE','106062061216371431358924475212141464187',NULL,'9998',41.33,4,3,NULL),(16,3173470,'1991-04-12 00:00:00',2,8,11,2007,'F','N','ICARAI','BARRA VELHA','SC','124241241126161421422616182223610137077',NULL,'57',20.78,1,3,NULL),(16,3173488,'1991-07-27 00:00:00',4,1,11,2008,'F','N','CENTRO','SUMARé','SP','125252251217111431588656575112610167043',9739,'9998',49.27,1,3,NULL),(16,3173496,'1987-12-21 00:00:00',2,1,12,2006,'M','N','BOM VIVER','BIGUAçU','SC','124241248117271431646314245132610114042',NULL,'257',0.00,1,2,1),(16,3173500,'1989-11-13 00:00:00',4,7,12,2006,'F','N','CENTRO','JOAçABA','SC','124242241216575721458939572112610124072',15331,'446',38.91,1,3,NULL),(16,3173518,'1992-08-24 00:00:00',2,1,12,2008,'M','N','ARMAçãO','FLORIANóPOLIS','SC','124241241125131141533311112322610167042',NULL,'291',24.77,1,3,NULL),(16,3173526,'1992-02-06 00:00:00',2,1,12,2008,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241117271221335923595124610133147',NULL,'359',23.22,1,2,1),(16,3173542,'1988-03-29 00:00:00',2,8,6,2007,'F','N','SAGUAçU','JOINVILLE','SC','124244247226371531549614275112610146147',NULL,'9999',0.00,1,3,NULL),(16,3173550,'1991-01-17 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124243247317131432426614282114613227051',NULL,'307',26.56,1,3,NULL),(16,3173569,'1990-07-21 00:00:00',2,1,12,2007,'F','N','JURERê','FLORIANóPOLIS','SC','124241241116472431434419295114610126197',3274,'307',63.08,1,2,1),(16,3173593,'1990-04-30 00:00:00',4,1,11,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217372531368812325122610162073',NULL,'269',31.71,1,3,NULL),(16,3173607,'1991-07-14 00:00:00',4,8,12,2008,'F','N','SAGUAçú','JOINVILLE','SC','124242241231111431548613271111610163012',11992,'931',45.27,1,3,NULL),(16,3173615,'1991-08-05 00:00:00',4,8,12,2008,'F','N','PALMEIRAS I','DRACENA','SP','125254251216161431536931275122610127187',NULL,'9998',21.35,1,3,NULL),(16,3173623,'1991-01-17 00:00:00',4,10,11,2008,'F','N','CENTRO','TUBARãO','SC','124241241315111751436612274122610124182',11620,'807',45.97,1,3,NULL),(16,3173631,'1990-10-21 01:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124244241415111431455519272122610165147',NULL,'1118',30.57,1,3,NULL),(16,3173640,'1991-05-08 00:00:00',2,8,12,2008,'F','N','VILA NOVA','TRêS BARRAS','SC','124243241116131732533923292121610125187',NULL,'789',24.07,1,3,NULL),(16,3173658,'1987-09-06 00:00:00',2,1,12,2004,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241141272421116544245334610126097',14486,'542',40.72,2,1,1),(16,3173666,'1985-09-15 00:00:00',4,1,12,2004,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241216172411338828475124233243097',NULL,'269',35.46,1,3,NULL),(16,3173674,'1991-01-11 00:00:00',2,6,11,2007,'M','N','CENTRO','CONCóRDIA','SC','124242241215472411358811571112610167042',6076,'1038',56.18,1,3,NULL),(16,3173682,'1991-08-16 00:00:00',4,1,12,2009,'F','S','RIO CAVEIRAS','BIGUAçU','SC','124241241215111421426419296122610131102',NULL,'63',21.94,1,3,NULL),(16,3173690,'1991-08-10 00:00:00',2,1,11,2008,'M','N','SETOR JAO','GOIâNIA','GO','109092091215111431569931572122610162042',674,'9998',74.38,1,3,NULL),(16,3173704,'1991-07-18 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215112431456833472124610134152',2165,'1022',66.54,1,3,NULL),(16,3173712,'1988-01-10 00:00:00',2,1,12,2005,'F','N','SUMERé','RIO SUL','SC','124241241235574431248413572325610137077',7855,'654',52.68,4,1,2),(16,3173720,'1988-10-29 00:00:00',4,3,12,2005,'F','N','PEREQUê','PTO BELO','SC','124241241121371431524411381324610137087',NULL,'405',26.51,4,2,1),(16,3173747,'1989-04-02 00:00:00',4,1,12,2006,'M','N','SUMARé','RIBEIRãO PRETO','SP','125252251217571411258811211321610167187',NULL,'9998',0.00,1,3,NULL),(16,3173755,'1989-11-12 00:00:00',2,1,12,2006,'F','N','SETOR BUENO','GOIâNIA','GO','109092091212571431468619572322610132182',8269,'9998',51.84,1,3,NULL),(16,3173771,'1982-05-15 00:00:00',4,1,12,1999,'M','N','BARREIROS','S JOSé','SC','624241241146273431333344445134333267047',14576,'293',40.56,1,2,1),(16,3173780,'1991-05-21 00:00:00',2,4,12,2008,'F','N','CENTRO NORTE','DOIS VIZINHOS','PR','116162161236111431457732345321610146147',5478,'9998',57.52,1,3,NULL),(16,3173798,'1990-04-21 00:00:00',2,1,12,2007,'F','N','SAO LUCAS','VIAMãO','RS','120201201116271321428713375124610148147',NULL,'9998',24.08,1,2,1),(16,3173801,'1991-02-03 00:00:00',2,1,12,2008,'M','N','JARDIM ELDORADO','PALHOçA','SC','124242241215111431559613575124610166097',5355,'1022',57.75,1,3,NULL),(16,3173810,'1991-03-03 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241211112321248823432122610124072',12788,'270',43.86,1,3,NULL),(16,3173828,'1991-04-16 00:00:00',2,4,12,2007,'F','N','CENTRO','XAXIM','SC','124242241212571431344931315122610166192',10320,'994',48.22,1,3,NULL),(16,3173836,'1989-01-06 00:00:00',4,1,12,2006,'M','N','GOIABEIRAS','CUIABá','MT','111112111315571431478923572124610126047',2897,'9998',64.11,1,3,NULL),(16,3173844,'1990-10-02 00:00:00',2,1,12,2008,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241235111431236823282214610133147',7457,'1022',53.39,1,3,NULL),(16,3173852,'1972-11-06 00:00:00',2,1,12,1992,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124243241332272421358313442213131017095',14445,'9999',40.80,1,3,NULL),(16,3173860,'1983-07-13 00:00:00',2,5,12,2000,'F','N','JARDIM IPIRANGA','PTO ALEGRE','RS','120203201111271431547813491124242065077',12658,'9998',44.07,2,1,2),(16,3173887,'1990-07-03 00:00:00',4,1,12,2007,'M','N','CENTRO','GOIâNIA','GO','109092091212471431468839572122610132182',NULL,'9998',0.00,2,3,NULL),(16,3173895,'1991-07-17 00:00:00',2,2,12,2008,'F','N','DAS NAçõES','TIMBó','SC','124241241215111421549911575122610124142',NULL,'1157',34.37,1,3,NULL),(16,3173909,'1989-06-14 00:00:00',2,1,11,2006,'M','N','CENTRO','STA MARIA','RS','120241201417571432554632576115610167055',7864,'9998',52.67,1,3,NULL),(16,3173917,'1991-04-04 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215112431579813575122610124182',8963,'270',50.64,1,3,NULL),(16,3173925,'1982-01-22 00:00:00',2,8,11,2003,'M','N','CENTRO','BARRA VELHA','SC','124242241226161431435612125332610167052',16254,'459',36.52,1,3,NULL),(16,3173941,'1990-02-22 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241116153411228728281324610135147',13378,'267',42.83,1,2,1),(16,3173950,'1990-07-19 00:00:00',2,6,11,2008,'F','N','GRANJA JULIETA','S PAULO','SP','125252251217141441578812575122610163024',13237,'9998',43.08,4,3,NULL),(16,3173968,'1989-11-04 00:00:00',4,1,11,2007,'M','N','LIBERDADE','S PAULO','SP','125172171217471411478811575115610167057',4992,'9998',58.62,4,3,NULL),(16,3173976,'1989-07-24 00:00:00',2,1,12,2007,'F','N','STA CRUZ DOS PINHAIS','VíTOR MEIRELES','SC','124241241125211431623315353324610147047',15068,'834',39.49,1,2,1),(16,3173984,'1991-08-20 00:00:00',2,1,12,2008,'M','N','PARQUE INDUSTRIAL','S JOSé CAMPOS','SP','125254251436111431458632175122610127117',NULL,'9998',0.00,1,3,NULL),(16,3173992,'1992-01-15 00:00:00',2,8,12,2008,'F','N','ALTO DA XV','CURITIBA','PR','116162161215471431349914572124610137147',714,'9998',74.14,1,3,NULL),(16,3174000,'1987-07-20 00:00:00',4,1,12,2004,'F','N','MANDAQUI','S PAULO','SP','125252251211573431455812571124610163072',1215,'9998',70.83,1,3,NULL),(16,3174018,'1991-07-10 00:00:00',2,8,12,2008,'F','N','JARDIM KIRI','APUCARANA','PR','116162161216371431347933585122610127147',9811,'9998',49.13,1,3,NULL),(16,3174026,'1991-07-01 00:00:00',2,1,11,2008,'F','N','SãO SEBASTIãO','PALHOçA','SC','124242241215131431326611575112610135072',13459,'989',42.67,1,3,NULL),(16,3174034,'1990-01-24 00:00:00',2,1,12,2006,'F','N','CONJ RIVIERA','GOIâNIA','GO','109092091217572431568619572322610132182',3715,'9998',61.79,4,3,NULL),(16,3174050,'1974-04-05 00:00:00',2,1,12,1991,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','224202201216375751232444145124340868197',10404,'9998',48.08,1,3,NULL),(16,3174069,'1991-11-08 00:00:00',4,5,11,2008,'M','N','ANA MARIA','CRICIúMA','SC','124243241217151431347923594112610167052',4922,'210',58.81,1,3,NULL),(16,3174093,'1989-04-23 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241213112411358833335112121427052',7003,'270',54.29,1,3,NULL),(16,3174107,'1968-04-25 00:00:00',4,1,12,1985,'M','N','TRINDADE','FLORIANóPOLIS','SC','624241246346135431535543235235332734095',2529,'511',65.24,1,3,NULL),(16,3174115,'1991-06-04 00:00:00',2,1,12,2008,'F','N','BESENELLO','NOVA TRENTO','SC','124241241215161431567823575114610167152',14806,'1123',40.05,1,3,NULL),(16,3174158,'1988-02-19 00:00:00',4,1,12,2005,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124254241417371431357821386114610142087',7698,'1048',52.96,1,3,NULL),(16,3174174,'1985-07-18 00:00:00',2,1,12,2002,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241116134321356564345124130218012',NULL,'307',36.80,1,3,NULL),(16,3174182,'1990-05-21 00:00:00',4,1,12,2007,'F','N','SETOR BUENO','GOIâNIA','GO','109092091217471431568831572322610132182',206,'9998',79.13,1,3,NULL),(16,3174220,'1989-03-18 00:00:00',4,1,12,2006,'M','N','PERDIZES','S PAULO','SP','125252251217272411468732575114141267042',14467,'9998',40.75,1,3,NULL),(16,3174239,'1991-02-25 00:00:00',2,1,12,2007,'F','N','PALHOçA','PALHOçA','SC','124242248215472751448412295112610128187',NULL,'1011',13.77,1,3,NULL),(16,3174247,'1990-08-19 00:00:00',4,6,12,2008,'M','N','FAZENDA','ITAJAí','SC','124244241215371431346619575122610134043',8516,'392',51.38,1,3,NULL),(16,3174255,'1982-09-26 00:00:00',2,1,12,2001,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241247236272451427644445224610166182',8971,'9999',50.63,1,3,NULL),(16,3174263,'1987-06-10 00:00:00',4,1,12,2004,'M','N','BELA VISTA','S JOSé','SC','124242241136132441222267145123610162057',15006,'726',39.63,1,3,NULL),(16,3174271,'1991-01-19 00:00:00',4,1,12,2008,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215112431378932292122610122182',13580,'1133',42.49,1,3,NULL),(16,3174301,'1990-09-12 00:00:00',4,1,12,2008,'F','N','PARQUE SANTA CANDIDA','ARARAS','SP','125252251217371431478819575122610165092',15864,'9998',37.59,1,3,NULL),(16,3174310,'1990-08-28 00:00:00',4,1,11,2008,'M','N','SOL NASCENTE','GOIâNIA','GO','109092091215111431468611574122610132183',578,'9998',75.11,1,3,NULL),(16,3174328,'1989-08-14 00:00:00',4,1,12,2007,'M','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241241117272411525311315134610117027',NULL,'293',26.53,1,2,1),(16,3174336,'1991-09-08 00:00:00',4,1,12,2008,'M','N','JARDIM ÁUREA','MOGI MIRIM','SP','125162251217111431547714392122610164063',NULL,'9998',34.63,3,3,NULL),(16,3174344,'1991-07-20 00:00:00',4,1,12,2008,'M','N','JARDIM ATLANTICO','S JOSé','SC','124242241215111411479939471124610164082',6852,'738',54.57,1,3,NULL),(16,3174360,'1993-01-29 00:00:00',4,1,11,2008,'M','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124242241215131431436771575124610168147',3807,'262',61.58,1,3,NULL),(16,3174395,'1991-01-16 00:00:00',2,5,12,2008,'M','N','COMERCIARIO','CRICIúMA','SC','124242241215111431469812575122610164092',4297,'226',60.25,1,3,NULL),(16,3174409,'1990-07-31 00:00:00',2,5,12,2007,'F','N','IGRA','TORRES','RS','120201242117272731225414572324610127056',12843,'690',43.76,1,2,1),(16,3174417,'1991-05-15 00:00:00',4,4,12,2008,'M','N','CENTRO','ITAPEJARA D OESTE','PR','116163161216371431468724574124610142197',NULL,'9998',0.00,1,3,NULL),(16,3174425,'1989-03-03 00:00:00',2,1,12,2006,'F','N','JARDIM AMERICA','GOIâNIA','GO','109092091215572431348629572322610132182',5062,'9998',58.48,1,3,NULL),(16,3174433,'1991-10-18 00:00:00',2,5,11,2008,'F','N','CONDE D EU','ORLEANS','SC','124242241215221751344712572122610136142',11788,'820',45.66,1,3,NULL),(16,3174441,'1990-02-28 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124142241215111431247822295112610127052',NULL,'262',20.94,1,3,NULL),(16,3174450,'1989-08-03 00:00:00',4,1,12,2007,'F','N','BARRA DO ARIRIU','PALHOçA','SC','124243241116131432326513132124610124172',NULL,'591',26.59,4,3,NULL),(16,3174468,'1991-05-16 00:00:00',2,4,12,2008,'F','N','CENTRO','DESCANSO','SC','124242241215111732546631345322610164052',NULL,'241',41.72,1,3,NULL),(16,3174476,'1985-05-27 00:00:00',2,1,12,2002,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241248316275431526519385114610142077',NULL,'300',22.26,1,3,NULL),(16,3174492,'1991-05-04 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431468612575122610137182',4977,'270',58.66,1,3,NULL),(16,3174506,'1993-03-18 00:00:00',4,1,11,2009,'F','S','CENTRO','PAPANDUVA','SC','124243161215111731469831575112610123142',NULL,'9998',48.18,1,3,NULL),(16,3174522,'1991-08-06 00:00:00',2,1,12,2008,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241115141211515924242324610127142',NULL,'9997',23.18,1,2,1),(16,3174530,'1980-10-11 00:00:00',5,1,12,1999,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','224241245137131511263353512124333234147',NULL,'156',24.98,1,3,NULL),(16,3174549,'1991-03-02 00:00:00',4,1,12,2008,'F','N','SãO LUIZ','S JOSé','SC','124241241125131432323329292324610116147',NULL,'729',21.35,1,2,1),(16,3174557,'1989-06-01 00:00:00',4,1,7,2007,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241247211132431326334175124610128057',NULL,'9999',24.14,4,1,2),(16,3174565,'1988-09-24 00:00:00',4,1,6,2006,'M','N','LAGOA DA CONCEIçãO','PTO ALEGRE','RS','624202207433132411236371396321231964111',7140,'9999',54.02,1,3,NULL),(16,3174573,'1991-09-10 00:00:00',4,8,12,2008,'M','N','CENTRO','LAPA','PR','116161161116471231446819572125610137012',NULL,'9998',0.00,1,3,NULL),(16,3174581,'1991-06-16 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241116131431523311245324610127142',15590,'288',38.33,1,2,1),(16,3174590,'1989-01-08 00:00:00',4,1,12,2006,'M','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','124242241215372431557814475114133227112',12602,'270',44.18,1,3,NULL),(16,3174603,'1984-07-16 00:00:00',4,1,12,2003,'M','N','PROMORAR','FLORIANóPOLIS','SC','124121121126131421126641115324140813052',16595,'9998',34.90,1,3,NULL),(16,3174611,'1983-09-09 00:00:00',4,1,12,2001,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215125431589811235122121437132',6092,'270',56.15,1,3,NULL),(16,3174620,'1987-05-27 00:00:00',2,1,12,2004,'F','N','ASILO','BLUMENAU','SC','124241241136131451336449397113610148142',NULL,'614',31.29,1,3,NULL),(16,3174638,'1989-04-05 00:00:00',4,1,12,2006,'F','N','SANTA CRUZ','RIBEIRãO PRETO','SP','125132131216572431559714572114610162142',15316,'9998',38.93,1,3,NULL),(16,3174646,'1989-07-26 00:00:00',4,1,12,2007,'M','N','JARDIN ATLANTICO','FLORIANóPOLIS','SC','124241241115471431426613575114610162047',NULL,'257',18.92,1,2,1),(16,3174654,'1990-05-15 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSé','SC','124203201415211431656516195123610167052',NULL,'9998',23.82,1,3,NULL),(16,3174662,'1989-04-12 00:00:00',4,8,12,2006,'M','N','VILA LARSEN I','LONDRINA','PR','116162161216571431448832571112610164097',5878,'9998',56.62,1,3,NULL),(16,3174670,'1988-10-16 01:00:00',4,8,12,2006,'M','N','IRIRIú','JOINVILLE','SC','124241248217371221321117285124130725127',NULL,'1105',0.00,1,3,NULL),(16,3174689,'1990-04-06 00:00:00',4,1,12,2007,'M','N','AEROPORTO','LONDRINA','PR','116163161215471431468713575112610167047',12564,'9998',44.24,1,3,NULL),(16,3174697,'1989-11-01 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241212372431436923475124121126142',2128,'1050',66.67,1,3,NULL),(16,3174700,'1985-07-18 00:00:00',2,1,12,2002,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201217471731236821315124143262187',14051,'9998',41.55,1,3,NULL),(16,3174719,'1992-03-06 00:00:00',2,7,12,2008,'F','N','CENTRO','LEBON RéGIS','SC','124244241217161431456623575122610137042',8974,'1124',50.62,1,3,NULL),(16,3174727,'1991-01-31 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124164241215121431466514375121610167187',9383,'1038',49.93,1,3,NULL),(16,3174735,'1984-03-29 00:00:00',2,1,7,2003,'F','N','CAMPECHE','FLORIANóPOLIS','SC','224241241146375721225654345112610164147',NULL,'281',24.88,1,2,1),(16,3174743,'1976-12-08 00:00:00',4,1,12,1994,'F','N','CARIANOS','FLORIANóPOLIS','SC','224251251146131431234353385124142724147',NULL,'9998',25.43,1,2,1),(16,3174751,'1989-02-23 00:00:00',2,1,12,2007,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241241111272711336611375114610168057',9928,'306',48.90,1,2,1),(16,3174778,'1992-04-06 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241116161431423723572224610127042',NULL,'818',26.35,1,2,1),(16,3174786,'1991-03-21 00:00:00',4,8,11,2008,'F','N','SAGUAçU','JOINVILLE','SC','124242241215372431547721571122610138187',3901,'486',61.33,1,3,NULL),(16,3174794,'1991-08-16 00:00:00',4,5,12,2008,'F','N','CIDADE ALTA','ARARANGUá','SC','124242241217221431349923575125610164172',3036,'970',63.69,1,3,NULL),(16,3174808,'1987-12-12 00:00:00',2,1,12,2005,'F','N','JOSé MENDES','FLORIANóPOLIS','SC','124241241122132431534834242124610161142',NULL,'307',27.61,1,2,1),(16,3174816,'1992-08-20 00:00:00',4,1,11,2008,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121217111432478832572122610133072',NULL,'9998',36.79,1,3,NULL),(16,3174824,'1986-08-22 00:00:00',4,1,11,2005,'M','N','PINHEIROS','PATO BRANCO','PR','116164161436373441469933275115142866042',12780,'9998',43.88,1,3,NULL),(16,3174859,'1990-07-19 00:00:00',2,1,7,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117372431325621574124610166187',1930,'306',67.48,4,2,1),(16,3174875,'1984-02-03 00:00:00',2,1,11,2005,'M','N','CANTO','FLORIANóPOLIS','SC','124241241133371711326769243324610134047',9747,'9997',49.25,1,2,1),(16,3174883,'1990-12-30 00:00:00',4,4,12,2007,'M','N','CENTRO','S CARLOS','SC','124241241135472431434923272114610137062',5654,'704',57.16,1,2,1),(16,3174891,'1991-07-11 00:00:00',4,5,11,2008,'F','N','FIGUEIRA','URUSSANGA','SC','124242242217321731438613575112610114194',NULL,'820',25.26,1,3,NULL),(16,3174905,'1991-05-02 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215471451389811475112610167182',3687,'270',61.84,1,3,NULL),(16,3174921,'1987-09-20 00:00:00',4,1,6,2007,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241247126132431546513195122230814165',NULL,'9999',22.94,1,3,NULL),(16,3174930,'1989-04-10 00:00:00',4,1,12,2006,'M','N','ALTO ARIRIU','PALHOçA','SC','124242241216113411466613475114222268192',10341,'1014',48.18,1,3,NULL),(16,3174948,'1991-04-16 00:00:00',4,1,11,2008,'F','N','SANTA MONICA','FLORIANóPOLIS','SC','124242241215121411469914441112610167127',9852,'270',49.06,1,3,NULL),(16,3174972,'1990-01-31 00:00:00',2,1,11,2007,'F','N','SANTA ROSA II','CUIABá','MT','111112111217371431558933572122610132197',7049,'9998',54.20,4,3,NULL),(16,3174980,'1986-07-07 00:00:00',4,1,12,2003,'F','N','CAMPINAS','S JOSé','SC','124162161237372421459632215124333264097',11248,'9998',46.56,1,3,NULL),(16,3174999,'1990-12-08 00:00:00',4,3,11,2007,'F','N','CENTRO','CANOINHAS','SC','124242241215472431489814574125610143142',1081,'1038',71.55,1,3,NULL),(16,3175006,'1990-04-05 00:00:00',2,1,12,2007,'M','N','SANTA CECILIA','PIRACICABA','SP','125252251217471432556914482111610164097',NULL,'9998',43.29,1,3,NULL),(16,3175014,'1970-01-17 00:00:00',4,1,12,1987,'F','N','ITAGUAçU','FLORIANóPOLIS','SC','124243241122133421255544241122131063197',NULL,'307',27.78,1,3,NULL),(16,3175022,'1991-07-21 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124244241115151411457832145124610128182',11211,'267',46.64,1,3,NULL),(16,3175030,'1989-05-02 00:00:00',2,8,11,2007,'M','N','CENTRO','JOINVILLE','SC','124241241216472431114444445125610118142',NULL,'1022',21.47,4,3,NULL),(16,3175049,'1985-06-01 00:00:00',4,2,12,2002,'F','N','ASILO','BLUMENAU','SC','124241241216545751436634491132610132147',1250,'86',70.66,1,3,NULL),(16,3175057,'1992-09-12 00:00:00',4,1,12,2009,'F','S','COQUEIROS','FLORIANóPOLIS','SC','124242241217111432327922372122610112071',NULL,'273',40.36,1,3,NULL),(16,3175081,'1991-09-28 00:00:00',4,1,12,2009,'M','S','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215111431369933575122610164183',NULL,'270',53.67,1,3,NULL),(16,3175103,'1988-02-02 00:00:00',2,1,12,2006,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241135131411434114382111610164115',NULL,'298',26.88,1,3,NULL),(16,3175111,'1991-04-24 00:00:00',2,5,12,2008,'M','N','CIDADE JARDIM','RIO CLARO','SP','125252251215111431448611392122610168097',NULL,'9998',0.00,1,3,NULL),(16,3175120,'1989-10-06 00:00:00',2,1,12,2006,'M','N','CAMOBI','STA MARIA','RS','120201206117371431438811375114241227057',4391,'9998',60.04,1,2,1),(16,3175146,'1990-08-16 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472751446612575125610168122',1118,'32',71.33,1,3,NULL),(16,3175162,'1991-08-15 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242248212111731548613335122610117072',NULL,'951',27.43,1,3,NULL),(16,3175170,'1991-01-03 00:00:00',2,9,12,2008,'F','N','CENTRO','LONTRAS','SC','124241241415111231435923575124610126147',13137,'991',43.27,1,3,NULL),(16,3175200,'1988-08-22 00:00:00',2,6,12,2007,'F','N','CENTRO','NAVEGANTES','SC','124241241147371431423529331324610128187',NULL,'570',13.99,1,2,1),(16,3175219,'1991-09-28 00:00:00',4,1,11,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215111431346631372124610134091',7655,'737',53.04,1,3,NULL),(16,3175227,'1988-06-11 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216474411268823575234120467011',3691,'262',61.84,1,3,NULL),(16,3175235,'1991-02-21 00:00:00',4,1,11,2008,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241217472431449814395124610144012',3068,'270',63.60,1,3,NULL),(16,3175243,'1991-07-26 00:00:00',4,1,9,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241216371411569913472124610116182',6721,'262',54.84,1,3,NULL),(16,3175260,'1987-02-09 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241212272421559931395112610163037',14217,'884',41.20,1,3,NULL),(16,3175278,'1988-09-06 00:00:00',4,1,12,2006,'M','N','SANTA TEREZINHA','S PAULO','SP','125252251115571431469811592124610167112',977,'9998',72.20,1,3,NULL),(16,3175286,'1980-07-26 00:00:00',4,1,12,1997,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124242241237112421678822245132320434147',5087,'262',58.42,1,3,NULL),(16,3175294,'1991-01-18 00:00:00',2,1,12,2007,'F','N','MARIA AP PEDROSSIAN','CPO GRANDE','MS','112122121236271431238913215124610125183',16524,'9998',35.36,5,3,NULL),(16,3175308,'1990-01-12 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANóPOLIS','SC','124242241215474431347913595124610164042',6006,'270',56.34,1,3,NULL),(16,3175316,'1991-08-30 00:00:00',4,1,11,2008,'F','N','CENTRO','CPO GRANDE','MS','112122121217371431477836375122610128075',NULL,'9998',0.00,1,3,NULL),(16,3175324,'1989-03-07 00:00:00',4,4,12,2006,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241216131431446633275124230244193',8667,'752',51.12,1,3,NULL),(16,3175332,'1982-11-07 00:00:00',4,2,12,2000,'M','N','TESTE SALTO','BLUMENAU','SC','124242241217144411489912441122421467042',4148,'262',60.65,1,3,NULL),(16,3175340,'1992-10-03 00:00:00',4,8,12,2009,'F','S','IRIRIú','JOINVILLE','SC','124242241216111411449934575122610164145',NULL,'457',52.70,1,3,NULL),(16,3175359,'1990-11-28 00:00:00',2,1,11,2007,'F','N','PINHEIRA','PALHOçA','SC','124241241127272431336513391114610124187',NULL,'595',19.10,1,2,1),(16,3175367,'1989-12-19 00:00:00',4,1,12,2008,'F','N','PROENçA','CAMPINAS','SP','125252251211111431458819571122610162182',13238,'9998',43.08,1,3,NULL),(16,3175375,'1991-08-06 00:00:00',2,1,12,2008,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241126151451458933272122610134191',4735,'12',59.23,1,2,1),(16,3175383,'1989-09-13 00:00:00',4,1,11,2006,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242248215373431468819492124610124112',11716,'226',45.79,1,3,NULL),(16,3175391,'1989-12-09 00:00:00',2,1,11,2007,'F','N','PâNTANO DO SUL','FLORIANóPOLIS','SC','124242241215372431456923372324610121077',9676,'270',49.38,1,3,NULL),(16,3175413,'1993-03-05 00:00:00',4,2,12,2008,'F','N','VELHA','BLUMENAU','SC','124242241215112451358733575114610128197',9381,'855',49.94,1,3,NULL),(16,3175421,'1988-06-03 00:00:00',4,8,12,2005,'F','N','CENTRO','CORUPá','SC','124241244122132431335619582311610148147',14381,'203',40.91,1,2,1),(16,3175430,'1991-06-16 00:00:00',2,1,12,2008,'M','N','BEIRAMAR CENTRO','FLORIANóPOLIS','SC','624242244217111411488719572112613212042',NULL,'262',0.00,1,3,NULL),(16,3175448,'1989-09-20 00:00:00',2,1,7,2008,'F','N','CENTRO','PASSO FUNDO','RS','120201201217371221544636575115610113146',NULL,'9998',0.00,1,3,NULL),(16,3175456,'1991-04-28 00:00:00',2,10,9,2008,'M','N','CENTRO','JAGUARUNA','SC','124241247211271431535532572124610128052',NULL,'807',33.39,1,3,NULL),(16,3175464,'1991-02-04 00:00:00',4,1,12,2008,'M','N','MORRETES','ITAPEMA','SC','124242241217131411559631376124610164043',11509,'1085',46.15,1,3,NULL),(16,3175472,'1989-06-17 00:00:00',2,1,12,2007,'M','N','PONTA DE BAIXO','S JOSé','SC','124242247217271732537611315114610127053',NULL,'9999',16.74,1,3,NULL),(16,3175480,'1986-03-11 00:00:00',2,1,8,2005,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124241247132433311324629382124610124097',NULL,'9999',22.92,1,2,1),(16,3175499,'1990-04-04 00:00:00',2,1,12,2008,'M','N','TAPERA','FLORIANóPOLIS','SC','124241241117111432466933332124610167033',9460,'306',49.80,1,2,1),(16,3175502,'1990-06-09 00:00:00',2,9,12,2008,'M','N','DONA PAULA','LONTRAS','SC','124241241117141231533316351224610127057',NULL,'535',18.61,1,2,1),(16,3175529,'1990-11-12 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215112431456823575114610137042',8325,'273',51.74,4,3,NULL),(16,3175537,'1989-02-10 00:00:00',4,1,12,2006,'F','N','JD BRASILIA','MOGI GUAçU','SP','125252251215111431456619571112610168187',NULL,'9998',25.14,1,3,NULL),(16,3175545,'1986-04-30 00:00:00',4,8,12,2003,'F','N','ATIRADORES','JOINVILLE','SC','124162161236571431576814572122232462187',1659,'9998',68.62,1,3,NULL),(16,3175553,'1991-02-03 00:00:00',4,1,12,2008,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241126161531435923572122610127057',NULL,'13',25.17,1,2,1),(16,3175561,'1982-12-08 00:00:00',4,1,12,1999,'F','N','VILA NOVA JAGUARA','S PAULO','SP','125252251216473431447711571122343117091',554,'9998',75.37,1,3,NULL),(16,3175570,'1991-03-04 00:00:00',4,1,7,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241317371431334444345124610127057',NULL,'307',23.65,1,3,NULL),(16,3175588,'1990-10-11 00:00:00',4,1,12,2008,'M','N','ABRAãO','FLORIANóPOLIS','SC','124242241215111431438613575114610127052',2655,'270',64.82,1,3,NULL),(16,3175596,'1991-04-20 00:00:00',2,9,12,2008,'F','N','BARRAGEM','RIO SUL','SC','124242241415111431559914244124610168072',13895,'991',41.87,1,3,NULL),(16,3175600,'1991-05-06 00:00:00',4,1,12,2007,'M','N','CENTRO','CANOAS','RS','120202201217471751338622575114610122181',4884,'9998',58.92,1,3,NULL),(16,3175626,'1987-08-05 00:00:00',4,1,12,2004,'F','N','JARDIM DA SAúDE','S PAULO','SP','125253251216572431568613372124610163097',520,'9998',75.62,1,3,NULL),(16,3175634,'1990-03-01 00:00:00',4,2,12,2008,'F','N','CANTA GALO','RIO SUL','SC','124243241416111411458611585122610128073',NULL,'663',20.42,1,3,NULL),(16,3175642,'1991-06-26 00:00:00',4,6,12,2008,'F','N','SATéLITE','S JOSé CAMPOS','SP','125251251215111431564834245124610167142',6232,'9998',55.84,1,3,NULL),(16,3175650,'1991-10-16 00:00:00',4,1,12,2008,'F','N','RIBEIRAO','ITUPEVA','SP','125252251215111431458819591112610162187',6575,'9998',55.12,1,3,NULL),(16,3175669,'1991-06-21 00:00:00',4,1,12,2008,'M','N','BELA VISTA','RIO CLARO','SP','125252251415111431239814575121610127057',NULL,'9998',49.98,1,3,NULL),(16,3175677,'1991-01-22 00:00:00',2,1,12,2008,'M','N','CENTRO','STO ANTôNIO PINHAL','SP','125254251116161431548822245122610137112',NULL,'9998',0.00,1,3,NULL),(16,3175685,'1990-11-08 00:00:00',4,8,12,2007,'F','N','AMERICA','JOINVILLE','SC','124244241415471431539921472124610124157',NULL,'478',22.38,1,3,NULL),(16,3175693,'1987-03-15 00:00:00',4,1,12,2004,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124252241326473421435841215124130764023',12108,'307',45.08,1,3,NULL),(16,3175707,'1990-07-08 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241115111431559614572114610137115',NULL,'267',22.42,1,2,1),(16,3175715,'1990-07-16 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSé','SC','124242241212272731348623592114610137052',12068,'724',45.16,1,3,NULL),(16,3175723,'1991-02-18 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSé','SC','624242241217271431336622571122610118182',NULL,'738',22.44,1,3,NULL),(16,3175740,'1991-04-11 00:00:00',2,9,12,2008,'M','N','CENTRO','PETROLâNDIA','SC','124241248215112451436333334124610167042',11323,'9997',46.45,1,3,NULL),(16,3175758,'1991-09-02 00:00:00',4,1,12,2008,'F','N','V VICTORIA','INDAIATUBA','SP','125252251215111431458819571112610162187',9848,'9998',49.07,1,3,NULL),(16,3175766,'1989-03-03 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124202201217131431436623575122610111157',NULL,'9998',0.00,1,3,NULL),(16,3175774,'1990-08-02 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241215111731325321575124610127147',NULL,'977',20.14,4,3,NULL),(16,3175790,'1992-02-25 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241212111231358714275124610136095',8371,'1022',51.64,4,3,NULL),(16,3175804,'1991-04-25 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124152241215111531348812421125610168152',NULL,'270',37.96,1,3,NULL),(16,3175820,'1990-08-11 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215371731569812172122610164182',4460,'262',59.87,1,3,NULL),(16,3175839,'1991-03-05 00:00:00',4,8,11,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241215111751436332491114610132057',15556,'932',38.41,1,3,NULL),(16,3175847,'1992-09-19 00:00:00',4,1,12,2009,'M','S','SANTA MôNICA','FLORIANóPOLIS','SC','124242241217121431468833575121610128065',NULL,'951',30.51,1,3,NULL),(16,3175855,'1991-05-27 00:00:00',4,1,12,2008,'F','N','CAMPO D UNA','GAROPABA','SC','124241241145141451423319292324610167147',NULL,'1136',21.53,1,2,1),(16,3175863,'1988-02-18 00:00:00',4,1,12,2007,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124242241317372431568933594124233221012',8637,'1022',51.18,1,3,NULL),(16,3175880,'1991-12-06 00:00:00',4,2,12,2008,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124243241217111331578634292114610167092',6876,'88',54.53,1,3,NULL),(16,3175898,'1991-01-03 00:00:00',4,5,11,2008,'F','N','CRISTO REI','COCAL SUL','SC','124241241435111411434632225124610125142',16239,'820',36.56,1,3,NULL),(16,3175936,'1991-05-02 00:00:00',2,1,12,2008,'M','N','POçO FUNDO','ÁGUAS MORNAS','SC','124243241437372231469633475114610167052',7898,'12',52.60,1,3,NULL),(16,3175944,'1991-10-09 00:00:00',4,4,12,2008,'F','N','CENTRO','S MARTINHO','RS','120201201117141431526613142222610133142',NULL,'9998',32.18,4,3,NULL),(16,3175952,'1991-04-23 00:00:00',4,8,12,2008,'M','N','BUCAREIN','JOINVILLE','SC','124242241215161631468614375125610137052',12937,'459',43.62,1,3,NULL),(16,3175960,'1992-01-26 00:00:00',2,2,12,2007,'F','N','VELHA','BLUMENAU','SC','124201241217111411449933285124233262057',NULL,'168',0.00,1,3,NULL),(16,3175979,'1990-08-23 00:00:00',4,1,11,2007,'F','N','CATIAPOã','S VICENTE','SP','125252251216472431327823575124610164147',8084,'9998',52.26,4,3,NULL),(16,3175987,'1986-01-15 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241211144421228811412114430214091',8754,'270',50.97,1,3,NULL),(16,3175995,'1990-12-15 00:00:00',2,6,7,2008,'F','N','CENTRO','ITAJAí','SC','124201205211131431323329595224610124057',NULL,'9998',32.83,4,3,NULL),(16,3176002,'1988-05-06 00:00:00',4,1,12,2006,'M','N','FLORESTA','PTO ALEGRE','RS','120201201217571711659813575124610126047',NULL,'9998',0.00,1,3,NULL),(16,3176010,'1991-07-11 00:00:00',2,1,12,2008,'F','N','CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC','124241241215112411323621572124610152097',5850,'1048',56.68,1,3,NULL),(16,3176029,'1991-05-05 00:00:00',4,3,12,2008,'M','N','CENTRO','TIJUCAS','SC','124242246215111431334616572321610137045',16115,'1119',36.89,1,3,NULL),(16,3176037,'1990-12-12 00:00:00',4,1,12,2008,'F','N','VILA SãO FRANCISCO','S PAULO','SP','125252251217371431357612571214610165077',4121,'9998',60.72,1,3,NULL),(16,3176045,'1992-01-30 00:00:00',4,9,12,2008,'M','N','VáRZEA','LAGES','SC','124242241216111411469911575122610124042',7932,'499',52.55,1,3,NULL),(16,3176053,'1987-10-08 00:00:00',2,1,12,2005,'M','N','SãO SEBASTIãO','PALHOçA','SC','124241241126132431433313345113610127063',NULL,'592',27.08,1,3,NULL),(16,3176061,'1990-06-13 00:00:00',4,1,12,2007,'M','N','TATUAPE','S PAULO','SP','125252251217471431378712325122610162122',4052,'9998',60.93,3,3,NULL),(16,3176088,'1991-08-01 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217371451359923174122610167112',6013,'270',56.33,1,3,NULL),(16,3176096,'1989-08-28 00:00:00',4,1,12,2006,'F','N','GRAMADO','CAMPINAS','SP','125252251215111431458819571112610162187',7886,'9998',52.63,1,3,NULL),(16,3176100,'1991-04-01 00:00:00',2,1,11,2008,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124242241217111411366829572114610127042',4280,'1022',60.29,1,3,NULL),(16,3176126,'1990-01-15 00:00:00',2,1,12,2007,'M','N','ARMAçãO PANTANO SUL','FLORIANóPOLIS','SC','124243241215372431245619595124610127112',9435,'1022',49.84,1,3,NULL),(16,3176134,'1991-07-12 00:00:00',4,8,12,2008,'F','N','AMéRICA','JOINVILLE','SC','124242241215111421458831372122610114127',10166,'1016',48.49,1,3,NULL),(16,3176142,'1990-03-26 00:00:00',2,9,12,2007,'F','N','FUNDO CANOAS','RIO SUL','SC','124244241215473431434619575125610163112',657,'991',74.51,1,3,NULL),(16,3176150,'1991-08-19 00:00:00',4,10,12,2008,'F','N','VILA MOEMA','TUBARãO','SC','124242241217111731469813572122610121192',9207,'797',50.23,1,3,NULL),(16,3176169,'1988-01-27 00:00:00',4,1,12,2005,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241217373431469811572114133134195',7978,'266',52.46,1,3,NULL),(16,3176177,'1991-09-08 00:00:00',2,1,12,2008,'F','N','ALTO ARROIO','IMBITUBA','SC','124241241112131732524611572324610124187',NULL,'361',23.68,1,2,1),(16,3176185,'1990-03-18 00:00:00',2,1,12,2007,'F','N','AREIAS','S JOSé','SC','124243241146372431433311472114610124142',13650,'730',42.36,1,3,NULL),(16,3176193,'1989-08-09 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215373431479931575122230224052',626,'262',74.74,1,3,NULL),(16,3176207,'1990-08-07 00:00:00',4,1,12,2007,'F','N','AREIAS','S JOSé','SC','124242241112472431324314341234610123187',13471,'307',42.66,4,3,NULL),(16,3176215,'1990-10-02 00:00:00',4,1,11,2007,'F','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','124242241217472431586819575124610164122',2136,'262',66.64,1,3,NULL),(16,3176223,'1990-11-09 00:00:00',4,1,12,2008,'M','N','JD PAULISTA','OURINHOS','SP','125252251215171431546824585112610127072',5562,'9998',57.35,1,3,NULL),(16,3176231,'1990-07-27 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241215472431348614575114610137052',1531,'1000',69.21,1,3,NULL),(16,3176274,'1991-08-28 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','125252251215111431438839575222610122052',8924,'9998',50.70,3,3,NULL),(16,3176282,'1990-08-03 00:00:00',4,6,11,2007,'F','N','HIGIENÓPOLIS','RIBEIRãO PRETO','SP','125252251215471411476313571112610164152',NULL,'9998',0.00,1,3,NULL),(16,3176290,'1977-08-07 00:00:00',4,1,3,1996,'M','N','TRINDADE','FLORIANóPOLIS','SC','124163161116475431133943435124221422012',7273,'9998',53.77,1,3,NULL),(16,3176304,'1989-12-05 00:00:00',4,1,12,2008,'F','N','NOTRE DAME','CAMPINAS','SP','125252251215111431448819591115610162187',388,'9998',76.95,1,3,NULL),(16,3176312,'1991-11-23 00:00:00',4,8,11,2008,'F','N','ALEGRE','RIO NEGRINHO','SC','124244248215131431455614576122613237147',NULL,'666',21.90,1,3,NULL),(16,3176320,'1991-01-08 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215122431478832571125610127047',5241,'270',58.02,1,3,NULL),(16,3176339,'1991-09-13 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217151431448924572114610122052',4757,'262',59.16,1,3,NULL),(16,3176347,'1992-01-05 00:00:00',2,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241145131421623419272321610117057',15933,'322',37.40,1,2,1),(16,3176363,'1991-05-02 00:00:00',4,1,11,2008,'F','N','SãO CRISTóVãO','PASSO FUNDO','RS','120202201216371421546712574122610147146',NULL,'9998',0.00,1,3,NULL),(16,3176371,'1991-08-26 00:00:00',4,1,12,2008,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124244241217272431327613571124610162092',867,'272',72.90,1,3,NULL),(16,3176380,'1991-03-07 00:00:00',4,2,11,2008,'M','N','FORTALEZA','BLUMENAU','SC','124242241215111431346627572112610124182',NULL,'855',40.23,1,3,NULL),(16,3176398,'1990-09-14 00:00:00',4,1,12,2008,'M','N','SANTA CATARINA','AMERICANA','SP','125254251415111731558612571122610137042',NULL,'9998',0.00,1,3,NULL),(16,3176410,'1989-05-15 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241216473231348731415114610168142',NULL,'299',42.70,1,3,NULL),(16,3176428,'1991-02-03 00:00:00',2,1,11,2008,'F','N','ROçADO','S JOSé','SC','124242241215111711427634242122610122117',11706,'723',45.81,1,3,NULL),(16,3176436,'1986-07-30 00:00:00',2,1,12,2003,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124241244115273421555524342114610167185',13240,'267',43.08,1,2,1),(16,3176452,'1990-11-16 00:00:00',4,5,12,2007,'F','N','CENTRO','ARARANGUá','SC','124242241215472431558934586122610146192',NULL,'26',0.00,1,3,NULL),(16,3176460,'1990-01-26 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSé','SC','124242241215152431469914472112231264072',7583,'737',53.18,1,3,NULL),(16,3176479,'1990-06-28 00:00:00',4,1,12,2007,'M','N','CABREUVA','PAULíNIA','SP','125252251215111431458819571122610162187',14849,'9998',39.99,1,3,NULL),(16,3176487,'1989-06-15 00:00:00',4,1,12,2006,'F','N','ARBORETO JEQUITIBAS','CAMPINAS','SP','125252251217161431458862587112610168195',4209,'9998',60.46,1,3,NULL),(16,3176495,'1990-04-28 00:00:00',4,4,11,2008,'F','N','CENTRO','CHAPECó','SC','124244241217121431689719396122610144182',NULL,'185',0.00,1,3,NULL),(16,3176509,'1991-04-18 00:00:00',4,5,11,2008,'F','N','ARIZONA','LAURO MüLLER','SC','124242241212111112467832575112610164143',NULL,'820',31.22,1,3,NULL),(16,3176517,'1991-03-28 00:00:00',2,5,12,2008,'M','N','TENENTE','JACINTO MACHADO','SC','124241242116111431435435452122610127042',NULL,'690',27.24,1,3,NULL),(16,3176525,'1986-03-11 00:00:00',2,2,12,2004,'F','N','BOTUCARAI','SOLEDADE','RS','120201201116371431446712275124240423107',14059,'9998',41.53,1,2,1),(16,3176533,'1992-02-22 00:00:00',4,1,12,2009,'F','S','ABRAãO','FLORIANóPOLIS','SC','124242241637151451246869572122610128017',NULL,'262',47.75,1,3,NULL),(16,3176541,'1990-03-07 00:00:00',1,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241116141751534336445214610127045',NULL,'978',26.63,1,2,1),(16,3176550,'1991-07-15 00:00:00',2,6,11,2008,'F','N','FAZENDA','ITAJAí','SC','124242241215111431367734345122610124092',6501,'1038',55.28,1,3,NULL),(16,3176568,'1991-10-24 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241215111431466724245122610168072',12158,'270',44.97,1,3,NULL),(16,3176576,'1990-03-29 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431468813595114610167055',1883,'262',67.65,1,3,NULL),(16,3176584,'1987-03-16 00:00:00',4,9,12,2004,'M','N','CENTRO','URUBICI','SC','124241241117161731336823392112130767187',NULL,'818',25.72,1,2,1),(16,3176592,'1990-07-04 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472441476923574125610164072',2887,'270',64.13,1,3,NULL),(16,3176606,'1991-01-10 00:00:00',2,5,11,2008,'M','N','OPERáRIA NOVA','CRICIúMA','SC','124242241215111431379614575122610147017',NULL,'226',21.19,1,3,NULL),(16,3176614,'1983-12-11 00:00:00',2,1,12,2001,'M','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241127574412533611346214133224053',NULL,'329',34.61,1,2,1),(16,3176622,'1989-06-26 00:00:00',4,1,12,2007,'M','N','JARDIM DAS AMéRICAS','CURITIBA','PR','116161161316311411435823292124610164043',NULL,'9998',0.00,1,3,NULL),(16,3176630,'1990-12-22 00:00:00',4,2,12,2008,'M','N','CENTRO','TROMBUDO CENTRAL','SC','124243241217152431359935252124610164052',6227,'991',55.85,1,3,NULL),(16,3176649,'1989-12-08 00:00:00',4,1,12,2007,'F','N','TIJUCO DAS TELHAS','CAMPINAS','SP','125252251215111431458819571112610162187',3554,'9998',62.20,1,3,NULL),(16,3176657,'1991-07-08 00:00:00',4,1,12,2008,'M','N','CENTRO','PALHOçA','SC','124244241115131431323314595124613267042',10721,'739',47.50,1,3,NULL),(16,3176665,'1988-11-18 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241216574751446811345124610163145',9417,'1022',49.87,1,3,NULL),(16,3176673,'1990-04-11 00:00:00',4,1,11,2007,'M','N','JARDIM BOA ESPERANçA','CAMPINAS','SP','125252251215472441389714495121610167112',2461,'9998',65.47,1,3,NULL),(16,3176681,'1990-10-04 00:00:00',4,2,11,2008,'M','N','ESTADOS','INDAIAL','SC','124242241211111731456812392121610162112',NULL,'855',31.30,1,3,NULL),(16,3176690,'1991-03-21 00:00:00',4,4,12,2008,'F','N','CENTRO','S MARTINHO','RS','120201201117271431423411172122610122142',6032,'9998',56.28,1,3,NULL),(16,3176703,'1990-05-04 00:00:00',4,1,12,2007,'M','N','SANTO ANTONIO','S CAETANO SUL','SP','125252251217471431469934572122610167017',NULL,'9998',0.00,1,3,NULL),(16,3176711,'1989-02-13 00:00:00',4,1,12,2006,'M','N','VILA CLEMENTINO','S PAULO','SP','125252251217572441488914571124610131041',5111,'9998',58.35,1,3,NULL),(16,3176720,'1987-09-18 00:00:00',4,1,12,2005,'M','N','JOSé MENDES','FLORIANóPOLIS','SC','124242241215574431466811572122230234142',3875,'262',61.40,1,3,NULL),(16,3176738,'1989-08-09 00:00:00',4,1,12,2007,'M','N','CHACARA DA BARRA','CAMPINAS','SP','125252251217161652458862587112610168195',2848,'9998',64.23,1,3,NULL),(16,3176746,'1978-07-11 00:00:00',2,7,12,2008,'M','N','SORGATTO','CAçADOR','SC','124241245146161441433443335122331247142',15190,'629',39.23,1,3,NULL),(16,3176754,'1989-11-29 00:00:00',4,1,12,2007,'M','N','V CAPELETO','ITATIBA','SP','125252251215111431558819571112610162187',2453,'9998',65.51,1,3,NULL),(16,3176762,'1991-09-21 00:00:00',4,1,12,2008,'M','N','JD MARIA SILVEIRA','JALES','SP','125252251215111431468831575122610127042',NULL,'9998',0.00,1,3,NULL),(16,3176770,'1991-04-27 00:00:00',4,1,11,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241212111431547813571124610167162',3071,'270',63.60,2,3,NULL),(16,3176789,'1992-03-16 00:00:00',4,2,12,2009,'F','S','SANTANA','PTO ALEGRE','RS','120204201117111431339813372122610163092',NULL,'9998',48.39,1,3,NULL),(16,3176797,'1992-01-06 00:00:00',4,1,12,2008,'F','N','SAGRADA FAMíLIA','CAXIAS SUL','RS','120202201217151431459811571124610131052',6850,'9998',54.57,1,3,NULL),(16,3176800,'1991-06-11 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111411366667575125610127045',9892,'266',48.97,1,3,NULL),(16,3176819,'1991-07-09 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124242241337141431453332111121610117113',14802,'592',40.06,1,3,NULL),(16,3176827,'1990-02-09 00:00:00',2,1,11,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215472431454933572124610125052',4291,'270',60.26,1,3,NULL),(16,3176835,'1991-04-18 00:00:00',4,1,12,2008,'M','N','REAL PARQUE','S JOSé','SC','124241247437131431346633372114610114141',NULL,'9999',25.96,1,3,NULL),(16,3176843,'1991-01-17 00:00:00',4,8,11,2008,'F','N','AMéRICA','JOINVILLE','SC','124242241215111631336312572122610167017',13353,'1016',42.88,1,3,NULL),(16,3176851,'1991-06-11 00:00:00',4,1,12,2008,'M','N','CENTRO','IMBITUBA','SC','124241241435121431524669572221610167027',NULL,'362',36.53,4,3,NULL),(16,3176860,'1992-03-08 00:00:00',4,4,10,2008,'M','N','CENTRO','CURITIBA','PR','116162161215111442568834575114610164012',7065,'9998',54.17,4,3,NULL),(16,3176878,'1988-05-12 00:00:00',2,2,12,2005,'F','N','BOTUCARAI','SOLEDADE','RS','120201201117371431332234282114141528147',NULL,'9998',0.00,1,2,1),(16,3176886,'1991-02-06 00:00:00',2,1,12,2008,'F','N','TRINTA RéIS','NOVA TRENTO','SC','124241241215122431456412575124610168142',12702,'981',43.99,1,3,NULL),(16,3176894,'1990-08-02 00:00:00',4,6,12,2007,'F','N','DOM BOSCO','ITAJAí','SC','124241241125371431433414375124610126197',9034,'401',50.52,1,2,1),(16,3176908,'1990-06-04 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241215472431456612571124610122115',8510,'1022',51.39,1,3,NULL),(16,3176916,'1987-10-22 00:00:00',2,1,12,2005,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124233241415273751467719495122610168197',10303,'307',48.25,1,3,NULL),(16,3176924,'1992-01-09 00:00:00',4,1,12,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124242241217111431469633575124610156077',NULL,'262',39.57,2,3,NULL),(16,3176932,'1991-08-17 00:00:00',4,4,11,2008,'F','N','AGOSTINI','S MIGUEL OESTE','SC','124241241215211431445612472122610144147',NULL,'752',25.72,1,3,NULL),(16,3176940,'1991-09-24 00:00:00',4,1,11,2008,'M','N','ENSEADA DE BRITO','PALHOçA','SC','124244241413111531468874593124610146112',NULL,'723',42.28,1,3,NULL),(16,3176959,'1991-03-20 00:00:00',4,1,12,2008,'F','N','PINHEIRA','PALHOçA','SC','124241241115161731523311272124610167057',NULL,'595',20.77,1,2,1),(16,3176967,'1988-04-15 00:00:00',4,1,12,2005,'F','N','SANTANA','S PAULO','SP','125252253116571431546513574125610133017',1587,'9998',68.94,4,3,NULL),(16,3176975,'1991-07-18 00:00:00',4,4,12,2008,'F','N','CENTRO','S MARTINHO','RS','120201201117271431435812174122610133147',NULL,'9998',30.57,1,3,NULL),(16,3176983,'1991-10-02 00:00:00',2,5,12,2008,'F','N','CENTRO','CRICIúMA','SC','124241241215111431446914342112610115097',13161,'226',43.22,1,3,NULL),(16,3176991,'1991-09-06 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217151431359939575112610122047',12724,'262',43.97,1,3,NULL),(16,3177009,'1991-01-12 00:00:00',4,1,11,2008,'F','N','CENTRO','BIGUAçU','SC','124242241212161431457533595122610121192',15774,'63',37.85,1,3,NULL),(16,3177017,'1990-09-10 00:00:00',4,8,12,2007,'F','N','CENTRO','FRANCISCO ALVES','PR','116161161117471431639912572114610164072',NULL,'9998',0.00,4,2,1),(16,3177025,'1991-06-17 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANóPOLIS','SC','124242241215142731469713575122610127045',NULL,'262',29.64,1,3,NULL),(16,3177041,'1988-07-06 00:00:00',2,4,12,2007,'M','N','INTERIOR','DIONíSIO CERQUEIRA','SC','124241242135131411313335152324610155177',NULL,'314',38.59,1,2,1),(16,3177050,'1991-09-21 00:00:00',2,1,12,2008,'F','N','PENHA','PAULO LOPES','SC','124241241116131431436613245124610134052',15974,'361',37.30,1,2,1),(16,3177068,'1991-04-29 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215151431448831472122610143011',6580,'262',55.10,1,3,NULL),(16,3177076,'1987-09-04 00:00:00',2,1,12,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124242241116474711335333442124232764147',13117,'307',43.30,1,3,NULL),(16,3177084,'1991-08-18 00:00:00',4,8,11,2008,'F','N','VILA NOVA','MAFRA','SC','124241241216111432558613575115610137017',13838,'541',41.97,1,3,NULL),(16,3177092,'1991-05-13 00:00:00',4,1,12,2008,'F','N','SANTO EXPEDITO','JALES','SP','125252251215111431458831575122610122142',NULL,'9998',36.35,3,3,NULL),(16,3177106,'1988-01-16 00:00:00',2,1,12,2005,'F','N','SERTAO DO MARUIM','S JOSé','SC','124241241212143431443331395124610124033',NULL,'266',27.28,1,3,NULL),(16,3177114,'1991-09-01 00:00:00',4,8,12,2008,'M','N','SAGUAçU','JOINVILLE','SC','124242241215111431339833215121610137142',13260,'456',43.04,1,3,NULL),(16,3177122,'1991-05-05 00:00:00',2,1,12,2008,'F','N','RIO GRANDE','PALHOçA','SC','124241241117271731556833571124610126147',NULL,'592',23.53,1,2,1),(16,3177130,'1991-09-05 00:00:00',2,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215121431558713572124610122182',5740,'270',56.97,1,3,NULL),(16,3177149,'1991-05-01 00:00:00',2,1,12,2008,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241126131431423444142323610127057',NULL,'941',27.93,1,2,1),(16,3177157,'1990-12-07 00:00:00',4,4,12,2008,'F','N','OPERARIO','CARAZINHO','RS','120111201116111711433611245124610114057',NULL,'9998',0.00,1,2,1),(16,3177165,'1991-04-06 00:00:00',4,10,12,2008,'M','N','SãO JOãO','TUBARãO','SC','124241248115111411423319572324610137141',NULL,'798',29.79,1,2,1),(16,3177173,'1988-03-05 00:00:00',2,5,12,2006,'F','N','CENTRO','CRICIúMA','SC','124242241247141411115844445124610137047',NULL,'227',24.05,1,3,NULL),(16,3177181,'1991-12-12 00:00:00',2,1,11,2008,'M','N','SERRARIA','S JOSé','SC','124241241135131421424414525124610167017',15005,'734',39.63,4,2,1),(16,3177190,'1989-02-15 00:00:00',2,4,12,2006,'F','N','CASTELO BRANCO','XANXERê','SC','124241241146231421333714345124610123147',NULL,'838',25.28,1,2,1),(16,3177211,'1990-09-14 00:00:00',4,1,12,2008,'M','N','QUINTINO','TIMBó','SC','124242241215271431558811572124610117182',652,'270',74.54,1,3,NULL),(16,3177220,'1980-07-30 00:00:00',2,1,6,1997,'F','N','CENTRO','FLORIANóPOLIS','SC','224281281115472431378852345122140222182',1538,'9997',69.19,1,3,NULL),(16,3177238,'1990-09-17 00:00:00',4,1,12,2008,'M','N','SAN CONRADO','CAMPINAS','SP','125252251217471431478814572112610144057',9561,'9998',49.60,1,3,NULL),(16,3177246,'1988-05-31 00:00:00',4,1,12,2006,'M','N','NOVA PETROPOLIS','S BERNARDO CAMPO','SP','125252251217571441468811575112610162187',NULL,'9998',45.92,1,3,NULL),(16,3177254,'1989-07-22 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215373431366613272112610165097',NULL,'270',28.11,1,3,NULL),(16,3177270,'1992-08-16 00:00:00',4,1,12,2009,'M','S','BOM ABRIGO','FLORIANóPOLIS','SC','124242241215111431478933435122610167042',NULL,'262',52.46,1,3,NULL),(16,3177289,'1988-06-28 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSé','SC','124241241115271232655319235124610127047',NULL,'257',42.40,2,1,1),(16,3177297,'1991-09-12 00:00:00',2,5,11,2008,'M','N','CENTRO','ARARANGUá','SC','124241241315111431444614572221610121127',13773,'32',42.12,1,3,NULL),(16,3177300,'1991-10-06 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248415111431358823575122610113177',9687,'270',49.37,1,3,NULL),(16,3177319,'1991-06-19 00:00:00',4,1,12,2008,'M','N','PALMAS','GOV CELSO RAMOS','SC','124241241126141431626624571121610117147',15379,'329',38.81,1,3,NULL),(16,3177327,'1988-06-27 00:00:00',4,1,12,2006,'M','N','MANTO AZUL','APARECIDA','SP','125251251116471431533411345223610137054',NULL,'9998',22.43,1,3,NULL),(16,3177335,'1992-04-20 00:00:00',4,2,11,2009,'F','S','VILA NOVA','BLUMENAU','SC','124242241215111431357824575124610133147',NULL,'855',43.97,1,3,NULL),(16,3177343,'1991-12-29 00:00:00',2,1,12,2008,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124243241116151311336424575124610127047',NULL,'278',15.43,1,3,NULL),(16,3177351,'1991-12-19 00:00:00',4,1,12,2008,'M','N','PONTA DE BAIXO','S JOSé','SC','124242248215111241438814345124610167117',10541,'270',47.85,1,3,NULL),(16,3177360,'1991-02-26 00:00:00',4,8,12,2008,'F','N','CENTRO','RIO NEGRINHO','SC','124241241235171731527823575122610167147',13781,'666',42.10,1,3,NULL),(16,3177378,'1992-09-28 00:00:00',4,1,12,2008,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241212111432468812472112610111142',NULL,'270',24.89,1,3,NULL),(16,3177386,'1988-11-27 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241211373431388824171112131027092',4041,'270',60.95,1,3,NULL),(16,3177394,'1989-08-30 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241248217272721226339476224131065145',NULL,'881',25.57,1,3,NULL),(16,3177416,'1990-08-22 00:00:00',4,1,12,2008,'M','N','VILA SãO PEDRO','S JOSé CAMPOS','SP','125251251235111411646414571114610144052',8478,'9998',51.44,1,3,NULL),(16,3177424,'1989-12-15 00:00:00',4,1,11,2007,'M','N','AGUA BRANCA','S PAULO','SP','125252251217471411576833432114610162097',2696,'9998',64.68,1,3,NULL),(16,3177432,'1992-04-15 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241232111751339923595114610128147',NULL,'1022',19.87,1,3,NULL),(16,3177440,'1992-07-30 00:00:00',4,7,12,2009,'F','S','SãO VICENTE','HERVAL D OESTE','SC','124242161215111431458934475122610164142',NULL,'9998',27.16,1,3,NULL),(16,3177459,'1988-12-08 00:00:00',4,1,4,2007,'F','N','FORQUILHINHAS','S JOSé','SC','124241241115373431535511474124122227147',5051,'739',58.50,1,2,1),(16,3177467,'1981-09-16 00:00:00',4,8,12,2001,'M','N','ITAUM','JOINVILLE','SC','124241241136152741454379444224132332186',NULL,'472',0.00,1,3,NULL),(16,3177475,'1991-09-04 00:00:00',4,1,12,2008,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124242241215151751368739575121610147142',2611,'883',64.98,1,3,NULL),(16,3177483,'1991-11-01 00:00:00',2,1,10,2008,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241215111432445613572124610117057',NULL,'300',22.30,1,3,NULL),(16,3177491,'1991-05-14 00:00:00',4,9,11,2008,'M','N','CENTRO','CURITIBANOS','SC','124241241215111411438813572112610122172',NULL,'237',41.48,1,3,NULL),(16,3177505,'1991-06-20 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431589833374112610126182',1456,'270',69.53,1,3,NULL),(16,3177513,'1991-02-26 00:00:00',2,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124242241212151431456837575122610128057',11371,'213',46.38,1,3,NULL),(16,3177521,'1992-03-16 00:00:00',2,1,12,2008,'F','N','FLOR DE NáPOLIS','S JOSé','SC','124242241217111731424614575122610146117',12228,'944',44.85,1,3,NULL),(16,3177530,'1991-07-23 00:00:00',4,1,10,2008,'M','N','BARREIROS','S JOSé','SC','124242241235111431566832395124610167042',NULL,'723',38.20,1,3,NULL),(16,3177548,'1979-03-27 00:00:00',2,1,12,1996,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241116151411223351195122610167142',8739,'307',51.01,1,2,1),(16,3177556,'1990-08-19 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241217131431328824591124610134117',NULL,'269',23.44,1,3,NULL),(16,3177564,'1990-04-21 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215152411446774575124231035172',8363,'270',51.65,1,3,NULL),(16,3177580,'1989-03-23 00:00:00',4,1,12,2006,'F','N','SAúDE','S PAULO','SP','125252251216571331348834585122610112057',13578,'9998',42.50,1,3,NULL),(16,3177599,'1986-08-29 00:00:00',2,1,12,2004,'M','N','JARDIM DOS ESTADOS','POçOS CALDAS','MG','124131131231174431458713495225221467062',3703,'9998',61.82,1,3,NULL),(16,3177602,'1991-05-23 00:00:00',4,1,10,2008,'M','N','KOBRASOL','S JOSé','SC','124242241212121431466633574112610168012',4597,'723',59.57,1,3,NULL),(16,3177610,'1988-05-18 00:00:00',2,1,12,2006,'M','N','JD EUROPA','S JOSé R PRETO','SP','125251251116471431233821295224610112042',NULL,'9998',34.54,1,2,1),(16,3177629,'1991-05-03 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124241241435141431436634342124610122147',16629,'733',34.53,1,3,NULL),(16,3177637,'1986-06-28 00:00:00',4,1,12,2003,'M','N','CENTRO','ARARANGUá','SC','124242241216133711228619385125610146187',12857,'970',43.75,1,3,NULL),(16,3177645,'1990-05-29 00:00:00',2,1,12,2007,'M','N','ROçADO','S JOSé','SC','124244241117271431346834335122610168092',11628,'729',45.96,1,3,NULL),(16,3177653,'1992-11-23 00:00:00',2,1,11,2009,'M','S','CENTRO','S JOãO BATISTA','SC','124242246217161411546917275124610154092',NULL,'1090',41.45,1,3,NULL),(16,3177661,'1992-05-12 00:00:00',4,1,12,2008,'M','N','SERRARIAS','BIGUAçU','SC','124242241215371232438632475114610127112',NULL,'868',24.99,1,3,NULL),(16,3177670,'1990-07-13 00:00:00',5,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124241242116132431535511574124610126142',6182,'129',55.96,1,2,1),(16,3177688,'1987-01-23 00:00:00',4,1,12,2004,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215372431438813245124221427067',1869,'269',67.71,1,3,NULL),(16,3177696,'1991-04-22 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242247215141431546632345124610138147',NULL,'270',23.18,1,3,NULL),(16,3177700,'1991-09-29 00:00:00',2,1,11,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215112411469913575122610162082',10971,'270',47.07,1,3,NULL),(16,3177718,'1991-07-28 00:00:00',4,2,12,2008,'F','N','SANTA TEREZINHA','BRUSQUE','SC','124243241117131431537534285124610124157',NULL,'116',0.00,1,3,NULL),(16,3177726,'1991-03-15 00:00:00',4,7,12,2008,'F','N','SANTO ANTÔNIO','CELSO RAMOS','SC','124241241117161431436923572122610136147',NULL,'163',28.08,4,3,NULL),(16,3177734,'1990-12-04 00:00:00',4,8,11,2008,'M','N','SAGUAçU','JOINVILLE','SC','124242241212271431467931575112610132047',6933,'486',54.44,1,3,NULL),(16,3177742,'1991-10-19 00:00:00',2,1,12,2008,'F','N','SERTãO DO MARUIM','S JOSé','SC','124242241216131431536314575124610144077',7062,'944',54.17,1,3,NULL),(16,3177769,'1989-12-14 00:00:00',2,1,12,2007,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241117132431633313495114610144147',NULL,'288',26.27,2,1,1),(16,3177777,'1990-01-29 00:00:00',4,1,11,2008,'M','N','ALTO BIGUAçU','BIGUAçU','SC','124241242114131431333314571124610134182',NULL,'129',25.75,4,2,1),(16,3177785,'1991-03-05 00:00:00',4,8,12,2008,'F','N','BATEL','CURITIBA','PR','116162161215471411369911574112610164012',NULL,'9998',0.00,1,3,NULL),(16,3177807,'1989-01-10 00:00:00',4,1,12,2006,'M','N','PQ RES LOURENçãO','AREIóPOLIS','SP','125251251137171731626414344224610114182',NULL,'9998',25.42,4,3,NULL),(16,3177815,'1990-04-27 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124242241215372431456933575124610124112',3343,'737',62.86,1,3,NULL),(16,3177823,'1991-06-08 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241415121411366613572114610144075',1109,'1022',71.40,4,3,NULL),(16,3177831,'1981-08-11 00:00:00',2,1,12,1998,'F','N','TRINDADE','FLORIANóPOLIS','SC','124122121116134721126444445124610167187',12940,'9998',43.61,1,3,NULL),(16,3177840,'1991-08-02 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217111431268913572122610124012',5157,'270',58.22,1,3,NULL),(16,3177866,'1989-10-22 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215473431548633572114610128051',9583,'262',49.57,1,3,NULL),(16,3177874,'1991-05-30 00:00:00',2,4,11,2008,'F','N','CENTRO','DERRUBADAS','RS','120201201216131231323614575124610146012',7380,'9998',53.56,1,3,NULL),(16,3177890,'1988-09-15 00:00:00',4,1,12,2005,'M','N','CENTRO','MAJ VIEIRA','SC','124243241411574711458936575125610164187',3090,'154',63.55,1,3,NULL),(16,3177904,'1992-10-26 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241215111411578812592122610128142',NULL,'266',32.82,1,3,NULL),(16,3177912,'1990-09-29 00:00:00',4,1,12,2007,'F','N','PONTA DE BAIXO','S JOSé','SC','124242241215473431469811572114610162192',807,'270',73.39,1,3,NULL),(16,3177939,'1992-03-26 00:00:00',4,1,12,2009,'F','S','TRINDADE','FLORIANóPOLIS','SC','124242241217111431467813572122610127042',NULL,'270',38.52,1,3,NULL),(16,3177947,'1991-09-15 00:00:00',4,10,12,2008,'F','N','SãO JOãO','TUBARãO','SC','124241241112131431459533275124610132012',NULL,'798',24.03,1,2,1),(16,3177955,'1992-07-27 00:00:00',4,1,12,2009,'F','S','KOBRASOL','S JOSé','SC','124242248215111311566613572114610112071',NULL,'270',32.22,1,3,NULL),(16,3177963,'1990-09-03 00:00:00',4,1,12,2007,'F','N','VILA ARGOS NOVA','JUNDIAí','SP','125253251216471441245723575114610164037',11203,'9998',46.66,1,3,NULL),(16,3177971,'1979-03-24 00:00:00',2,8,12,1998,'F','N','PORTãO','CURITIBA','PR','116161164116572411123543235112141322097',1872,'9998',67.70,1,2,1),(16,3177980,'1989-04-09 00:00:00',2,1,12,2007,'M','N','PANTANAL','FLORIANóPOLIS','SC','124244241435272431327728245124610167045',7736,'1022',52.90,1,3,NULL),(16,3177998,'1991-10-29 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124244241215131431536632325125610162147',NULL,'738',27.79,1,3,NULL),(16,3178005,'1991-07-15 00:00:00',1,2,12,2008,'F','N','CENTRO','POMERODE','SC','124242241215111431469832222122610143052',3552,'624',62.20,1,3,NULL),(16,3178013,'1989-08-06 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124241241115273432336614342114610112197',13826,'257',42.00,1,2,1),(16,3178021,'1991-07-03 00:00:00',4,1,12,2008,'M','N','DA GLóRIA','MACAé','RJ','121212211217111441348614341112610167052',NULL,'9998',0.00,1,3,NULL),(16,3178030,'1992-01-11 00:00:00',4,1,12,2008,'F','N','ROçADO','S JOSé','SC','124242241215111431359833575114610128012',15731,'269',37.98,1,3,NULL),(16,3178048,'1990-05-15 00:00:00',4,1,12,2007,'M','N','CENTRO','ANTôNIO CARLOS','SC','124241241436142432436923442124233262042',14666,'1022',40.36,1,3,NULL),(16,3178056,'1990-08-09 00:00:00',4,6,12,2008,'M','N','JARDIM DINDINHA','JACAREí','SP','125251251235111431426618475124610127052',11871,'9998',45.52,1,3,NULL),(16,3178064,'1989-10-13 00:00:00',4,4,12,2006,'M','N','PARQUE SãO PAULO','CASCAVEL','PR','116162161217572431268827375122610126072',1735,'9998',68.28,1,3,NULL),(16,3178080,'1990-12-28 00:00:00',2,2,11,2007,'M','N','CENTRO','ERECHIM','RS','120202201215472411458911572114610167052',1534,'9998',69.19,1,3,NULL),(16,3178102,'1991-11-19 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241215111431479934572112610127075',11199,'270',46.66,1,3,NULL),(16,3178110,'1990-09-24 00:00:00',4,1,12,2008,'F','N','CENTRO','CANARANA','MT','111112071217271431438932275124610122092',12614,'9998',44.16,1,3,NULL),(16,3178129,'1991-07-15 00:00:00',4,10,11,2008,'F','N','HUMAITA','TUBARãO','SC','124242241215111431546933272124610164147',16491,'809',35.50,1,3,NULL),(16,3178137,'1991-11-04 00:00:00',4,1,12,2008,'F','N','BELA VISTA','CAXIAS SUL','RS','120201208116141431324429592124610162142',NULL,'9998',0.00,1,2,1),(16,3178145,'1991-02-09 00:00:00',4,10,11,2008,'F','N','CENTRO','BRAçO NORTE','SC','124242241216151431456532394124610164182',1796,'806',68.02,1,3,NULL),(16,3178153,'1992-05-20 00:00:00',4,1,11,2009,'F','S','TRINDADE','FLORIANóPOLIS','SC','124241241115131731346634242124610134012',NULL,'271',56.62,1,3,NULL),(16,3178161,'1989-06-01 00:00:00',4,8,6,2007,'F','N','BOA VISTA','JOINVILLE','SC','124242241211372411555933341134131427051',NULL,'1105',40.51,1,3,NULL),(16,3178170,'1986-03-27 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241212274431559614435124221523147',7392,'269',53.53,1,3,NULL),(16,3178188,'1991-12-01 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241117131431646634245124610167147',15634,'288',38.23,1,2,1),(16,3178196,'1990-02-05 00:00:00',2,1,12,2008,'M','N','CENTRO','PAULO LOPES','SC','124241241215121411566414575124610128022',14774,'1011',40.12,1,3,NULL),(16,3178200,'1991-01-31 00:00:00',4,7,12,2008,'F','N','FARROUPILHA','VIDEIRA','SC','124241241115151431434734575125610128147',11650,'831',45.91,1,2,1),(16,3178218,'1991-12-10 00:00:00',4,8,12,2008,'F','N','CENTRO','JOINVILLE','SC','124242241217111431568813571122610162172',5522,'1063',57.42,1,3,NULL),(16,3178226,'1989-08-11 00:00:00',4,8,12,2006,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215571411558933475124610165147',NULL,'9998',0.00,1,3,NULL),(16,3178234,'1989-06-24 00:00:00',4,1,12,2008,'M','N','BELA VISTA','GOIâNIA','GO','109092091216111411468713195115610134047',15624,'9998',38.25,1,3,NULL),(16,3178242,'1970-02-01 00:00:00',2,1,11,1997,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124101241322471421311344141344610166187',NULL,'270',24.61,2,1,2),(16,3178250,'1992-12-02 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217111211379833575112610157092',NULL,'262',51.76,1,3,NULL),(16,3178269,'1991-10-08 00:00:00',4,3,12,2008,'F','N','TABULEIRO','ITAPEMA','SC','124241242115142431426414271124610122142',13973,'129',41.70,1,2,1),(16,3178277,'1991-11-19 00:00:00',4,8,11,2008,'F','N','ALTO DA XV','CURITIBA','PR','116163161237571431558823472124610144057',6017,'9998',56.32,1,3,NULL),(16,3178293,'1991-03-06 00:00:00',2,4,12,2008,'M','N','TRêS PALMEIRAS','CEL FREITAS','SC','124244241216111431488732572112610167052',NULL,'185',34.85,1,3,NULL),(16,3178307,'1992-06-02 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241217111531579913435114610127077',6716,'262',54.84,1,3,NULL),(16,3178315,'1991-06-08 00:00:00',2,1,12,2008,'F','N','PONTA DE BAIXO','S JOSé','SC','124242241215271411688813575112610145072',5469,'1011',57.55,1,3,NULL),(16,3178323,'1990-12-21 00:00:00',4,1,12,2008,'M','N','CENTRO','IBIRUBá','RS','120202201217141431458914241223610137092',9656,'9998',49.42,1,3,NULL),(16,3178331,'1991-12-01 00:00:00',2,1,11,2009,'M','S','CANTO DA LAGOA','FLORIANóPOLIS','SC','124242241215111731676621574112610167055',NULL,'299',43.28,1,3,NULL),(16,3178340,'1989-09-20 00:00:00',4,1,12,2006,'M','N','CENTRO','ERECHIM','RS','120202201211113111446919595124123267147',NULL,'9998',0.00,1,3,NULL),(16,3178358,'1991-06-17 00:00:00',4,1,12,2008,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241116141721324333145124610133142',NULL,'772',27.12,1,3,NULL),(16,3178366,'1991-11-15 00:00:00',2,1,12,2008,'F','N','FAZENDA DA ARMAçãO','GOV CELSO RAMOS','SC','124241241316131431536419475124610164145',14743,'64',40.19,1,3,NULL),(16,3178374,'1990-08-12 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241215572431489934572124221427042',2192,'270',66.44,1,3,NULL),(16,3178382,'1992-03-24 00:00:00',4,4,12,2008,'M','N','CENTRO','CHAPECó','SC','124242241216111431466632374122610122191',9895,'185',48.96,1,3,NULL),(16,3178390,'1990-11-10 00:00:00',4,1,12,2007,'M','N','CENTRO','BLUMENAU','SC','124242241212372431369632275124121137042',2490,'87',65.36,1,3,NULL),(16,3178404,'1990-03-09 00:00:00',4,1,12,2007,'F','N','CAVALHADA','PTO ALEGRE','RS','120202201217471431549813572124610124046',NULL,'9998',25.74,1,3,NULL),(16,3178412,'1986-07-29 00:00:00',2,1,12,2004,'M','N','FORQUILHINHAS','S JOSé','SC','124242241217274742534644442124610164042',NULL,'944',33.12,1,3,NULL),(16,3178420,'1991-03-24 00:00:00',4,8,12,2008,'F','N','FLORESTA','JOINVILLE','SC','124242241217411431459913575124610125097',NULL,'1016',26.42,1,3,NULL),(16,3178439,'1988-08-24 00:00:00',4,4,12,2005,'F','N','SANTA MARIA','CHAPECó','SC','124241241112131431553315342123610126052',NULL,'177',23.66,1,2,1),(16,3178455,'1991-12-20 00:00:00',2,1,12,2008,'F','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124244241142131231323329582124610164147',NULL,'322',22.86,1,3,NULL),(16,3178463,'1991-12-04 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241215131431446933575124610123097',11386,'959',46.36,1,3,NULL),(16,3178471,'1992-09-21 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124241241315151711459833575124610162092',9082,'271',50.45,1,3,NULL),(16,3178498,'1988-10-29 00:00:00',2,1,10,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242247215372431479812595122610164112',5924,'9999',56.51,1,3,NULL),(16,3178501,'1987-05-19 00:00:00',2,1,12,2007,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124251241112372411223344442314610126147',NULL,'298',18.60,4,3,NULL),(16,3178510,'1990-11-28 00:00:00',4,1,12,2008,'M','N','VILA PETRóPOLIS','ATIBAIA','SP','125252251217111232558812171142610167072',NULL,'9998',35.46,3,3,NULL),(16,3178536,'1991-08-10 00:00:00',4,1,11,2008,'M','N','LAGOA','FLORIANóPOLIS','SC','124242241216271431568719574114610167127',NULL,'262',33.17,1,3,NULL),(16,3178544,'1990-11-20 00:00:00',2,1,11,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215111431436513574124610127052',15429,'269',38.70,1,3,NULL),(16,3178552,'1988-02-16 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124132131217231431338831245124142014012',NULL,'9998',24.50,1,3,NULL),(16,3178560,'1990-06-04 00:00:00',4,10,11,2008,'F','N','HUMAITA','TUBARãO','SC','124242241217111411343833572112610167012',9939,'806',48.89,1,3,NULL),(16,3178579,'1991-09-04 00:00:00',4,1,12,2008,'F','N','SAMBAQUI','IMBITUBA','SC','124241241135111431426614342322610123042',NULL,'359',20.41,1,3,NULL),(16,3178587,'1991-01-09 00:00:00',4,1,11,2008,'M','N','JABURUNA','VL VELHA','ES','108082081216111431348632372112610142187',NULL,'9998',0.00,1,3,NULL),(16,3178595,'1992-01-02 00:00:00',4,1,12,2008,'M','N','CAMPO D UNA','GAROPABA','SC','124241241145141411436923275324610116047',NULL,'1136',28.44,1,2,1),(16,3178609,'1992-02-19 00:00:00',2,5,12,2008,'F','N','COMERCIáRIO','CRICIúMA','SC','124243241215151431558514575122610136072',5802,'995',56.81,1,3,NULL),(16,3178617,'1992-03-14 00:00:00',2,1,11,2008,'F','N','BUENO','GOIâNIA','GO','109092098214111731558833472122610135183',NULL,'9998',0.00,1,3,NULL),(16,3178625,'1990-08-13 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124243241235111431468713575122610167137',NULL,'262',45.47,1,3,NULL),(16,3178633,'1991-06-13 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241214111431568811495112613267112',6537,'270',55.20,1,3,NULL),(16,3178641,'1989-08-07 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241217112411479633572124231033092',8455,'270',51.48,1,3,NULL),(16,3178650,'1991-12-21 00:00:00',4,1,12,2009,'M','S','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241212111531468812572124610144062',NULL,'270',51.46,1,3,NULL),(16,3178668,'1991-01-21 00:00:00',4,1,12,2008,'M','N','JARDIM ATLANTICO','S JOSé','SC','124242241215111711488833575112610168185',11376,'738',46.38,1,3,NULL),(16,3178676,'1992-01-18 00:00:00',2,4,12,2009,'F','S','CENTRO','XAXIM','SC','124241241216111411458834395122610167012',NULL,'185',45.70,1,3,NULL),(16,3178684,'1991-09-27 00:00:00',4,4,12,2008,'F','N','CRISTO REI','CHAPECó','SC','124243241435372431336712272224610164012',7379,'185',53.56,1,3,NULL),(16,3178692,'1992-12-30 00:00:00',4,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124241241215171731534923575124610135147',NULL,'1074',23.45,1,3,NULL),(16,3178706,'1978-05-15 00:00:00',4,1,8,1997,'M','N','CENTRO','FLORIANóPOLIS','SC','124243243317475431348717235133431631185',NULL,'306',37.53,1,3,NULL),(16,3178714,'1991-07-01 00:00:00',4,9,12,2008,'M','N','PETROPOLIS','LAGES','SC','124242241236151431536634575112610167057',NULL,'515',22.84,1,3,NULL),(16,3178722,'1990-12-06 00:00:00',4,2,12,2008,'F','N','CENTRO','JARAGUá SUL','SC','124242241215111731518832574122210168017',NULL,'86',0.00,1,3,NULL),(16,3178730,'1991-09-03 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124221241315111451235532375124610122142',NULL,'1118',23.29,1,3,NULL),(16,3178749,'1990-08-20 00:00:00',4,1,11,2007,'F','N','CENTRO','CURITIBA','PR','116222221216471431446625575125610141072',NULL,'9998',0.00,4,3,NULL),(16,3178773,'1991-06-25 00:00:00',2,1,11,2008,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217121431347723575115610127187',8684,'270',51.10,1,3,NULL),(16,3178781,'1989-09-09 00:00:00',2,1,11,2007,'M','N','HIGIENOPOLIS','S PAULO','SP','125252251217371441478714572114143267041',NULL,'9998',40.22,1,3,NULL),(16,3178790,'1989-05-14 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSé','SC','124243241215473731548833475124610164187',NULL,'737',37.12,1,3,NULL),(16,3178803,'1988-12-22 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241114473431468811492122610144147',6489,'271',55.30,1,3,NULL),(16,3178811,'1991-08-02 00:00:00',4,2,11,2008,'F','N','VELHA','BLUMENAU','SC','124244241215111431579614572122610125192',6555,'855',55.16,1,3,NULL),(16,3178820,'1991-05-08 00:00:00',2,1,11,2008,'F','N','FLORESTA','S JOSé','SC','124242241215112431437714575124610133142',8764,'270',50.96,1,3,NULL),(16,3178838,'1991-10-10 00:00:00',2,8,12,2008,'M','N','BIGORRILHO','CURITIBA','PR','116162161215311431667736511111610167042',2627,'9998',64.91,1,3,NULL),(16,3178846,'1991-12-14 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241211121532468613572114610117015',6242,'1022',55.81,1,3,NULL),(16,3178854,'1992-04-10 00:00:00',4,3,11,2009,'F','S','CENTRO','TIJUCAS','SC','124242241212111431668832375122610147052',NULL,'948',47.69,1,3,NULL),(16,3178862,'1991-12-03 00:00:00',4,4,12,2008,'M','N','LINHA FLORESTA','S MARTINHO','RS','120201201116271131426616572322610137052',5970,'9998',56.42,1,2,1),(16,3178889,'1990-09-14 00:00:00',2,1,11,2008,'M','N','BALNEáRIO','S JOSé','SC','124244241415121411447712272124610137057',13662,'738',42.35,4,3,NULL),(16,3178897,'1991-04-29 00:00:00',4,1,11,2008,'M','N','FLOR DE NáPOLIS','S JOSé','SC','124242241215111411456613575122610162042',8022,'1074',52.39,1,3,NULL),(16,3178900,'1991-05-24 00:00:00',4,1,12,2008,'F','N','CAPISTRANO','BOM RETIRO','SC','124241241125161441424623245123610124142',NULL,'95',18.38,1,2,1),(16,3178919,'1989-07-21 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','120202241215513431236812575124610167047',2567,'403',65.11,1,3,NULL),(16,3178927,'1987-01-02 00:00:00',2,1,12,2004,'F','N','ALTO DA LAPA','S PAULO','SP','125252251215574231278713575122222963186',3877,'9998',61.39,2,1,2),(16,3178935,'1992-10-07 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241217111431459933472112610144013',NULL,'262',45.44,1,3,NULL),(16,3178943,'1991-07-30 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241216151421548813575124610122042',15516,'269',38.51,1,3,NULL),(16,3178951,'1991-08-05 00:00:00',2,1,11,2008,'F','N','SERRARIA','S JOSé','SC','124241241115131331423428175124610162142',15002,'257',39.64,4,2,1),(16,3178960,'1990-05-25 00:00:00',4,1,12,2007,'F','N','JARDIM BRASIL','BAURU','SP','125252251216471431578813572112610142142',5905,'9998',56.57,1,3,NULL),(16,3178978,'1990-02-05 00:00:00',4,1,11,2007,'M','N','JARDIM COLINAS','S JOSé CAMPOS','SP','125252251217471431468833472112610137042',4748,'9998',59.19,1,3,NULL),(16,3178986,'1991-02-20 00:00:00',4,5,10,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215271411236823475112610164172',11629,'226',45.95,1,3,NULL),(16,3178994,'1990-11-27 00:00:00',4,1,11,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215471431277619572122610117072',10623,'270',47.69,1,3,NULL),(16,3179001,'1986-03-30 00:00:00',2,2,12,2003,'M','N','ELDORADO','DIADEMA','SP','125251251126271451223524345112143262012',NULL,'9998',22.53,1,3,NULL),(16,3179010,'1988-10-09 00:00:00',2,10,12,2005,'M','N','REVOREDO','TUBARãO','SC','124241241142112731323512574112132147182',NULL,'808',27.19,1,2,1),(16,3179028,'1993-05-28 00:00:00',4,1,12,2009,'F','S','ITACORUBI','FLORIANóPOLIS','SC','124242241215111731469813375122610138187',NULL,'272',45.23,1,3,NULL),(16,3179044,'1990-04-18 00:00:00',4,1,12,2007,'F','N','CENTRO','LGA VERMELHA','RS','120201201215471411343623572124610126142',3713,'9998',61.80,1,3,NULL),(16,3179052,'1988-07-24 00:00:00',4,1,12,2005,'M','N','JARDIM UNIVERSITáRIO','ARARAS','SP','125252251216311431588814575122142367142',NULL,'9998',32.28,1,3,NULL),(16,3179060,'1990-03-02 00:00:00',4,6,12,2007,'M','N','JD MONTE AZUL','S PAULO','SP','125252251217471431567923245121610162182',NULL,'9998',34.46,1,3,NULL),(16,3179079,'1991-05-27 00:00:00',2,8,12,2008,'F','N','CERAMARTE','RIO NEGRINHO','SC','124241241215371431326312574123610131012',5402,'666',57.66,1,3,NULL),(16,3179087,'1990-11-12 00:00:00',2,2,12,2008,'F','N','ELDORADO','DIADEMA','SP','125252251217371731527734385124610122027',NULL,'9998',29.80,1,3,NULL),(16,3179095,'1990-01-27 00:00:00',4,8,12,2006,'F','N','AGUA VERDE','CURITIBA','PR','116164201215271431459813575124610166147',NULL,'9998',0.00,3,3,NULL),(16,3179109,'1991-07-03 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241225122431359933244122610126092',2768,'1022',64.51,4,3,NULL),(16,3179117,'1991-04-15 00:00:00',4,1,12,2008,'M','N','CIDADE JARDIM','AMERICANA','SP','125252251217111431447823571122610167027',NULL,'9998',0.00,1,3,NULL),(16,3179125,'1988-01-17 00:00:00',4,5,12,2004,'M','N','CENTRO','CAXIAS SUL','RS','120202201217472731467814572112141427052',1231,'9998',70.78,1,3,NULL),(16,3179133,'1992-10-26 00:00:00',4,9,12,2009,'M','S','PINHEIROS','OTACíLIO COSTA','SC','124242241215151731369914245124610134072',NULL,'497',46.49,1,3,NULL),(16,3179141,'1991-06-03 00:00:00',2,1,12,2008,'M','N','PINHEIRA','PALHOçA','SC','124243241217111431436431242124610117057',NULL,'989',26.07,1,3,NULL),(16,3179168,'1991-06-09 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','125252258216121531457516262112610134057',NULL,'9998',31.00,3,3,NULL),(16,3179176,'1991-09-24 00:00:00',2,2,12,2008,'F','N','VELHA','BLUMENAU','SC','124241241215151731339913435124610125072',15651,'86',38.19,1,3,NULL),(16,3179184,'1990-02-07 00:00:00',4,1,11,2007,'F','N','JARDIM BOTâNICO','CURITIBA','PR','116092091216471431336924575112610142097',NULL,'9998',0.00,4,3,NULL),(16,3179192,'1991-06-15 00:00:00',4,3,12,2008,'F','N','ALTO SAO BENTO','ITAPEMA','SC','124241241115131411437433372221610137077',NULL,'405',28.15,1,3,NULL),(16,3179222,'1990-05-19 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSé','SC','124242241215272731235624245124610117043',6331,'262',55.61,1,3,NULL),(16,3179230,'1990-07-24 00:00:00',4,1,11,2007,'M','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','124242241211472431489933575114610164052',13053,'270',43.40,1,3,NULL),(16,3179257,'1990-09-02 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124242241215373431343314172124231227062',1327,'1011',70.23,1,3,NULL),(16,3179265,'1982-07-07 00:00:00',2,1,6,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241311371431521414391124610138197',NULL,'9999',27.14,1,3,NULL),(16,3179273,'1991-06-02 00:00:00',2,1,11,2008,'M','N','BELA VISTA I','S JOSé','SC','124242241215111731436629472114610137117',NULL,'1022',34.31,1,3,NULL),(16,3179281,'1991-07-15 00:00:00',4,1,12,2008,'F','N','JARDIM ATLANTICO','S JOSé','SC','124242241215121431556813475124610166027',3132,'738',63.44,1,3,NULL),(16,3179290,'1989-10-26 00:00:00',4,1,12,2007,'M','N','CACHOEIRA','FLORIANóPOLIS','SC','124241241116372431658613477124233234042',9248,'307',50.16,1,2,1),(16,3179303,'1984-08-11 00:00:00',4,1,12,2002,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124243241217475431338643332121130614117',NULL,'970',43.06,1,3,NULL),(16,3179311,'1990-03-29 00:00:00',4,1,12,2007,'F','N','JARDIM SANTA MARIA','JACAREí','SP','125252251216471431458923575114610146022',NULL,'9998',0.00,1,3,NULL),(16,3179320,'1990-03-03 00:00:00',4,8,12,2007,'M','N','REBOUçAS','CURITIBA','PR','116162161235471431358811472114610127047',NULL,'9998',0.00,3,3,NULL),(16,3179338,'1989-08-09 00:00:00',2,1,12,2006,'F','N','CENTRO','S JOSé','SC','124241241117272731523339572124610128097',10000,'733',48.78,1,2,1),(16,3179346,'1991-01-07 00:00:00',4,1,11,2008,'M','N','SANTINHO','FLORIANóPOLIS','SC','124242241217121431336823376124610137112',9981,'270',48.82,3,3,NULL),(16,3179354,'1986-03-26 00:00:00',4,1,12,2003,'M','N','ESTREITO','FLORIANóPOLIS','SC','124201201116373441533513445134141262187',5081,'9998',58.43,4,2,1),(16,3179370,'1991-06-20 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124242241235111431458813475122610164012',717,'723',74.12,1,3,NULL),(16,3179389,'1977-03-27 00:00:00',2,1,12,1997,'F','N','BARREIROS','S JOSé','SC','124241241121271411224823342124610116181',NULL,'734',33.64,1,2,1),(16,3179397,'1989-07-14 00:00:00',4,5,12,2006,'M','N','COMERCIáRIO','CRICIúMA','SC','124242241216272431336924495112131427182',16422,'210',35.83,1,3,NULL),(16,3179400,'1989-05-06 00:00:00',4,1,12,2008,'M','N','CENTRO','S MIGUEL OESTE','SC','124241248115131431336613232125610137057',NULL,'757',0.00,1,2,1),(16,3179419,'1990-10-05 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215112411479633572124610132172',2633,'270',64.89,1,3,NULL),(16,3179427,'1991-09-29 00:00:00',2,1,12,2008,'M','N','JARDIM PRANá','ASSIS CHATEAUBRIAND','PR','116164161215111431436933215121610164011',11179,'9998',46.70,4,3,NULL),(16,3179435,'1992-06-08 00:00:00',4,1,12,2009,'F','S','BARREIROS','S JOSé','SC','124242241217111431436923572122610137182',NULL,'738',24.65,1,3,NULL),(16,3179443,'1988-03-16 00:00:00',2,1,11,1996,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241122162421433614345113610164147',NULL,'941',25.15,1,3,NULL),(16,3179451,'1989-06-25 00:00:00',4,1,11,2007,'M','N','LAPA','S PAULO','SP','125252251217471731448812371124610164127',7787,'9998',52.79,1,3,NULL),(16,3179460,'1986-08-10 00:00:00',2,1,12,2003,'M','N','AREIAS','S JOSé','SC','124241241137373421223329342123130264147',10573,'257',47.79,1,2,1),(16,3179478,'1989-06-12 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241216473431446623572124610127047',4980,'751',58.66,1,3,NULL),(16,3179486,'1988-10-02 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124201241416372231446614275124610127077',14263,'272',41.11,2,3,NULL),(16,3179508,'1991-09-01 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431444822145112610124042',15551,'270',38.43,1,3,NULL),(16,3179516,'1990-09-04 00:00:00',4,1,12,2007,'F','N','GUARá I','GUARá','DF','107072071217371751569613372125610166077',3502,'9998',62.37,4,3,NULL),(16,3179532,'1990-07-01 00:00:00',2,8,12,2007,'F','N','JARIVATUBA','JOINVILLE','SC','124241241122472431456614342124610122032',2302,'465',66.05,4,2,1),(16,3179540,'1962-04-22 00:00:00',2,1,12,1979,'M','N','TRINDADE','FLORIANóPOLIS','SC','224241243421154421473443231132321027095',8847,'99',50.81,1,3,NULL),(16,3179559,'1989-06-11 00:00:00',2,3,11,2007,'F','N','BIGORRILHO','CURITIBA','PR','116164161217472431368823571124610164097',8443,'9998',51.50,1,3,NULL),(16,3179567,'1963-10-10 00:00:00',4,1,12,1981,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','224241245116133411323351332124522236197',NULL,'307',25.73,1,2,1),(16,3179575,'1990-11-04 00:00:00',2,10,11,2008,'F','N','PASSAGEM','TUBARãO','SC','124242241215121431439413435124610133117',NULL,'807',29.30,1,3,NULL),(16,3179583,'1991-01-22 00:00:00',4,4,12,2008,'M','N','CENTRO','S MARTINHO','RS','120201201117371431337612321112610134047',NULL,'9998',25.64,1,3,NULL),(16,3179605,'1990-10-30 00:00:00',4,1,11,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124242241235111431478819575124610132147',10337,'270',48.19,2,1,2),(16,3179613,'1990-01-12 00:00:00',4,1,12,2007,'M','N','PARQUE NOVO MUNDO','S PAULO','SP','125252251211471451348824472114610138196',NULL,'9998',48.70,3,3,NULL),(16,3179621,'1990-01-14 00:00:00',4,1,12,2007,'F','N','JARDIM LINCOLN','SUZANO','SP','125252251215411431555821571122610167052',NULL,'9998',0.00,1,3,NULL),(16,3179648,'1985-10-19 00:00:00',2,1,12,2002,'F','N','SANTOS DUMONT','S JOSé','SC','124241241117132421446633341124131014017',11644,'307',45.92,2,1,1),(16,3179656,'1990-08-09 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244246216112411236621312114221764042',3646,'995',61.97,1,3,NULL),(16,3179664,'1991-04-15 00:00:00',4,8,11,2008,'F','N','IRIRIú','JOINVILLE','SC','124241241217371731454924375124610126182',15872,'1006',37.55,1,3,NULL),(16,3179672,'1992-08-22 00:00:00',4,4,12,2009,'F','S','JARDIM ITALIA','CHAPECó','SC','124241241215271231516612572122610167042',NULL,'185',41.08,1,3,NULL),(16,3179680,'1990-01-18 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124203201216272431456632275114610167062',8942,'9998',50.67,1,3,NULL),(16,3179699,'1992-03-04 00:00:00',4,10,12,2008,'F','N','HUMAITá','TUBARãO','SC','124243241215131431548614575112610142182',15640,'809',38.21,1,3,NULL),(16,3179702,'1978-01-19 00:00:00',2,1,12,1995,'M','N','TRINDADE','FLORIANóPOLIS','SC','224201203116373441246644342133133247047',8273,'9998',51.83,1,2,1),(16,3179729,'1991-03-12 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215112431436732572124610163012',5595,'270',57.27,1,3,NULL),(16,3179737,'1973-01-17 00:00:00',2,1,1,1991,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','224241248122131751246343135124610118187',NULL,'306',33.85,1,2,1),(16,3179745,'1991-05-05 00:00:00',4,2,12,2008,'M','N','SUMARé','RIO SUL','SC','124242241215111331369513572112610147042',NULL,'991',30.73,1,3,NULL),(16,3179753,'1990-03-06 00:00:00',1,1,6,2008,'F','N','CENTRO','PALHOçA','SC','124243241317271431435731291124610163142',NULL,'592',29.99,1,3,NULL),(16,3179761,'1988-08-27 00:00:00',4,1,12,2005,'F','N','ABRAãO','FLORIANóPOLIS','SC','624201201146131521236644345114610116177',NULL,'9998',0.00,1,3,NULL),(16,3179788,'1991-06-30 00:00:00',4,6,11,2008,'M','N','CENTRO','ITAJAí','SC','124242246216131431637931385124610164182',13508,'1059',42.61,1,3,NULL),(16,3179796,'1991-03-17 00:00:00',4,1,11,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242244215111331468814545115610127141',NULL,'270',17.61,1,3,NULL),(16,3179800,'1990-08-24 00:00:00',4,1,12,2007,'F','N','RUDGE RAMOS','S BERNARDO CAMPO','SP','125252251216472731443431572114610137142',6717,'9998',54.84,1,3,NULL),(16,3179826,'1991-03-25 00:00:00',2,5,12,2008,'M','N','MATO ALTO','ARARANGUá','SC','124242241215322431555912275122610127117',2804,'970',64.38,1,3,NULL),(16,3179842,'1990-12-04 00:00:00',4,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241415411531448823575114610113147',NULL,'1016',28.49,4,3,NULL),(16,3179850,'1983-05-18 00:00:00',4,1,12,2001,'F','N','SERRARIA','S JOSé','SC','124241241116132331434314445124610116192',NULL,'293',23.20,1,2,1),(16,3179869,'1991-10-03 00:00:00',4,7,11,2008,'M','N','MATRIZ','VIDEIRA','SC','124241241215131431558813572122610167057',NULL,'829',37.03,1,3,NULL),(16,3179877,'1991-05-19 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242281217371432487732575122610127045',7334,'9998',53.65,1,3,NULL),(16,3179885,'1992-09-28 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215111411566632244122610115017',NULL,'723',26.07,1,3,NULL),(16,3179907,'1990-09-29 00:00:00',4,9,12,2007,'M','N','BOA VISTA','JOINVILLE','SC','124242241215472411138913575114231462172',NULL,'1146',39.54,1,3,NULL),(16,3179915,'1991-07-22 00:00:00',2,10,10,2008,'F','N','CENTRO','TUBARãO','SC','124242248215111251329932572122610113077',13468,'807',42.66,1,3,NULL),(16,3179923,'1989-11-22 00:00:00',4,10,2,2008,'M','N','PROGRESSO','LAGUNA','SC','124244246216151431456634585111610132092',NULL,'9999',37.44,1,3,NULL),(16,3179931,'1990-12-28 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241214371731337631576124610164165',10273,'269',48.30,1,3,NULL),(16,3179940,'1991-06-15 00:00:00',2,1,10,2008,'M','N','ARMAçãO P DO SUL','FLORIANóPOLIS','SC','124241241315111451453615562124610137142',2658,'1022',64.82,1,3,NULL),(16,3179958,'1990-09-27 00:00:00',2,1,11,2007,'F','N','SERRARIA','S JOSé','SC','124241241117271731323311342124610144147',NULL,'257',23.78,4,2,1),(16,3179966,'1989-03-28 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241217472431377923575124610131187',8827,'270',50.84,1,3,NULL),(16,3179982,'1986-01-18 00:00:00',4,1,6,2004,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124243241115234621327829213133130217187',11367,'1003',46.39,4,3,NULL),(16,3179990,'1992-11-21 00:00:00',2,4,12,2008,'F','N','BELA VISTA','CHAPECó','SC','124243241117131441449933575124610127017',16377,'963',36.07,1,3,NULL),(16,3180000,'1991-10-09 00:00:00',4,1,12,2008,'F','N','CENTRO','VERê','PR','116161161117371731435616574122610147077',NULL,'9998',22.52,1,2,1),(16,3180018,'1992-02-19 00:00:00',4,4,11,2008,'F','N','CENTRO','ERECHIM','RS','120202201215121431559812574122610144042',7931,'9998',52.55,1,3,NULL),(16,3180034,'1992-02-29 00:00:00',4,5,12,2008,'M','N','BELA VISTA','COCAL SUL','SC','124252246617141431436919175125610164112',NULL,'188',19.34,1,3,NULL),(16,3180042,'1986-06-23 00:00:00',2,1,12,2004,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124244241217135531455319482124231227182',NULL,'269',48.20,1,3,NULL),(16,3180050,'1990-02-18 00:00:00',2,1,12,2007,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215472431589731595112610167042',11432,'262',46.30,1,3,NULL),(16,3180069,'1991-08-22 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215271431563814575122610137147',6420,'738',55.43,1,3,NULL),(16,3180077,'1991-08-09 00:00:00',4,7,11,2008,'M','N','CENTRO','HERVAL D OESTE','SC','124242241215111431554612375122610122092',3855,'454',61.45,1,3,NULL),(16,3180085,'1991-03-26 00:00:00',2,10,11,2008,'F','N','VILA FLOR','CAPIVARI BAIXO','SC','124241241115271431428612571124610162077',15239,'158',39.11,1,2,1),(16,3180093,'1989-05-17 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241216133411446823345123233262117',NULL,'1022',43.19,1,3,NULL),(16,3180107,'1991-04-02 00:00:00',4,1,11,2008,'F','N','COSTEIRA DOPIRAJUBAÉ','FLORIANóPOLIS','SC','124241241116141431446321342124610164142',15340,'307',38.89,1,2,1),(16,3180115,'1986-08-28 00:00:00',4,7,12,2003,'F','N','CENTRO','CONCóRDIA','SC','124241241112151721446411595112231512056',12963,'192',43.57,1,2,1),(16,3180123,'1988-07-11 00:00:00',2,1,12,2006,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124244241411132431336624381124610158147',NULL,'1022',19.60,4,3,NULL),(16,3180131,'1990-05-29 00:00:00',2,3,12,2007,'F','N','CENTRO','S JOãO BATISTA','SC','124241241141131431436514241123610111142',12058,'712',45.18,1,2,1),(16,3180140,'1989-07-31 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124241241137141431323311192124610152047',NULL,'733',22.92,1,2,1),(16,3180158,'1991-04-04 00:00:00',4,1,11,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215111411449812425112610164072',11695,'737',45.83,1,3,NULL),(16,3180166,'1991-11-29 00:00:00',4,7,11,2008,'M','N','CENTRO','IPUMIRIM','SC','124241241117471731556612194124610164057',3965,'374',61.15,1,2,1),(16,3180174,'1982-12-22 00:00:00',2,1,12,2001,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241122475432333311315124610127057',NULL,'281',26.57,1,2,1),(16,3180182,'1989-02-14 00:00:00',4,8,12,2006,'F','N','JD MONTE KEMEL','S PAULO','SP','125253251216572751634311194124610164077',2364,'9998',65.83,4,3,NULL),(16,3180190,'1986-03-06 00:00:00',2,1,11,2004,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124241247116234421444333141124610126077',16382,'9999',36.06,1,3,NULL),(16,3180204,'1990-08-28 00:00:00',2,1,12,2008,'M','N','PALHOçA','PALHOçA','SC','124241241112111411424623485114610112187',NULL,'592',29.55,1,2,1),(16,3180212,'1990-09-17 00:00:00',2,1,12,2008,'F','N','JARDIM SATéLITE','S JOSé CAMPOS','SP','125254251417141431446611342122610122197',NULL,'9998',30.93,1,3,NULL),(16,3180220,'1991-11-07 00:00:00',4,2,12,2008,'F','N','ASILO','BLUMENAU','SC','124242241216271431476932575122610163186',959,'909',72.27,1,3,NULL),(16,3180239,'1990-04-17 00:00:00',4,8,11,2007,'M','N','BAIRRO ALTO','CURITIBA','PR','116163161217471231446874345224610134117',NULL,'9998',0.00,4,3,NULL),(16,3180247,'1991-02-14 00:00:00',4,1,12,2008,'M','N','CENTRO','BEBEDOURO','SP','125251251236271511451325574122610117042',NULL,'9998',25.07,1,3,NULL),(16,3180255,'1988-04-26 00:00:00',2,1,12,2005,'F','N','SANTA CRUZ','RONDONóPOLIS','MT','111201111136133431225829385114610134142',NULL,'9998',0.00,1,3,NULL),(16,3180263,'1991-01-06 00:00:00',4,8,12,2008,'M','N','FLORESTA','JOINVILLE','SC','124241241115371231326614575124610124147',NULL,'479',0.00,1,2,1),(16,3180280,'1992-02-04 00:00:00',2,1,12,2008,'F','N','BELA VISTA','S JOSé','SC','124244241215131411423614572124610134077',6901,'988',54.49,1,3,NULL),(16,3180298,'1992-01-16 00:00:00',4,1,12,2008,'F','N','JURERê','FLORIANóPOLIS','SC','124243241117371431426631575124610126142',13877,'288',41.90,1,3,NULL),(16,3180301,'1988-01-07 00:00:00',4,4,11,2005,'M','N','CENTRO','IPORã','PR','116161161415471721426812247332610168197',NULL,'9998',0.00,1,3,NULL),(16,3180310,'1991-09-05 00:00:00',4,4,12,2008,'M','N','CENTRO','TRINDADE SUL','RS','120201191116131231223826175122610128184',NULL,'9998',20.63,1,2,1),(16,3180328,'1978-10-04 00:00:00',4,1,12,2006,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','224251256142131431338644245132610167047',NULL,'9998',24.28,2,1,1),(16,3180336,'1990-11-16 00:00:00',2,1,10,2007,'M','N','BELA VISTA','ERECHIM','RS','124202201217372431356823575124610127057',7555,'9998',53.22,1,3,NULL),(16,3180344,'1991-05-10 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','S JOSé','SC','124242241216271731378713375124610132117',2413,'738',65.66,1,3,NULL),(16,3180352,'1991-06-11 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241217112421428911412114610163072',NULL,'1022',45.25,1,3,NULL),(16,3180379,'1990-04-25 00:00:00',4,1,11,2007,'F','N','UNIVERSITARIO','TIJUCAS','SC','124241241117171721456639241111610117087',NULL,'783',25.22,1,2,1),(16,3180387,'1984-04-06 00:00:00',2,1,12,2001,'M','N','BARREIROS','S JOSé','SC','124241241116372231545314335114610167047',NULL,'293',22.09,4,2,1),(16,3180395,'1988-01-20 00:00:00',4,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116162161215574411489931411122610167092',5309,'9998',57.86,1,3,NULL),(16,3180409,'1989-09-14 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111431446612295124610131117',NULL,'270',45.10,1,3,NULL),(16,3180417,'1979-03-02 00:00:00',4,1,12,1997,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124251255126471431246619475122610122145',NULL,'9998',0.00,1,3,NULL),(16,3180425,'1991-03-07 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOçA','SC','124241241211372432326933595124610123092',9968,'1011',48.83,1,3,NULL),(16,3180433,'1985-12-02 00:00:00',4,1,12,2004,'M','N','BUTANTã','S PAULO','SP','125251251147572411646633145124610166077',15100,'9998',39.42,1,2,1),(16,3180441,'1991-02-16 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241217121131447614575124610157067',13525,'738',42.58,1,3,NULL),(16,3180450,'1991-03-13 00:00:00',4,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124243241115131431433632425122610133057',15393,'592',38.78,1,3,NULL),(16,3180468,'1991-02-17 00:00:00',4,1,11,2008,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241112151451436413332122610133017',NULL,'281',35.76,1,2,1),(16,3180476,'1989-04-05 00:00:00',4,1,12,2007,'M','N','FLORESTA','S JOSé','SC','124242241211141431465617375121132537047',NULL,'9999',3.78,1,3,NULL),(16,3180484,'1991-03-21 00:00:00',2,3,12,2008,'F','N','GETULIO VARGAS','STO AUGUSTO','RS','120201201117131431327612572322610133147',NULL,'9998',24.91,1,2,1),(16,3180492,'1980-01-22 00:00:00',4,1,12,2001,'F','N','CENTRO','ANTôNIO CARLOS','SC','124241248127141411333519495114610168197',NULL,'146',26.61,1,2,1),(16,3180506,'1990-02-01 00:00:00',4,1,12,2007,'M','N','GARCIA','BLUMENAU','SC','124242241217472431338611575124610162192',2533,'87',65.23,1,3,NULL),(16,3180514,'1986-01-30 00:00:00',2,1,12,2003,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241216575751449819495124230223187',5236,'270',58.03,1,3,NULL),(16,3180522,'1989-03-05 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241142273431545333445114610114093',NULL,'283',25.83,1,2,1),(16,3180530,'1991-06-16 00:00:00',4,1,12,2007,'F','N','CENTRO','BIGUAçU','SC','124241241125471431559313172124610127057',NULL,'900',16.85,1,2,1),(16,3180557,'1991-08-16 00:00:00',2,5,12,2008,'M','N','VILA NOVA','IçARA','SC','124241241115131431436314472124610137147',NULL,'209',33.26,4,1,1),(16,3180565,'1985-06-01 00:00:00',2,1,11,2002,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124244241116154741218744245121132866117',10187,'904',48.44,1,3,NULL),(16,3180581,'1991-11-26 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215111431356722294122610163072',16383,'723',36.06,1,3,NULL),(16,3180590,'1991-05-08 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215121431459833572122610123182',1,'270',88.87,1,3,NULL),(16,3180611,'1990-04-22 00:00:00',4,3,12,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124242248215372411266632325125610148042',NULL,'1085',28.20,1,3,NULL),(16,3180638,'1990-01-31 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIúMA','SC','124242246215372431226644342124610167182',5950,'995',56.45,1,3,NULL),(16,3180646,'1989-06-01 00:00:00',2,1,11,2007,'M','N','JD MOSTEIRO','RIBEIRãO PRETO','SP','125252251214231421346832275124610167112',NULL,'9998',38.79,1,3,NULL),(16,3180654,'1991-05-09 00:00:00',2,10,12,2008,'F','N','SãO JOãO','PTO ALEGRE','RS','120202201216121431339634571124610127072',NULL,'9998',27.64,1,3,NULL),(16,3180670,'1989-12-05 00:00:00',2,1,12,2006,'F','N','ZONA SETE','MARINGá','PR','116162168215571731568612174122610161097',NULL,'9998',0.00,1,3,NULL),(16,3180697,'1988-04-08 00:00:00',2,1,11,2006,'M','N','CARIANOS','FLORIANóPOLIS','SC','124142241211473431448613435114610132187',NULL,'1022',30.85,4,3,NULL),(16,3180700,'1990-11-22 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124241248115372732436614346114610137042',NULL,'257',24.97,1,2,1),(16,3180727,'1992-05-15 00:00:00',4,3,12,2008,'M','N','TABOLEIRO','CAMBORIú','SC','124243248417131431428834575121610147017',NULL,'1045',25.63,1,3,NULL),(16,3180735,'1989-09-06 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431656621391124610116082',7233,'1048',53.85,1,3,NULL),(16,3180743,'1986-03-28 00:00:00',2,1,12,2003,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241117375221346413345124610164042',NULL,'307',29.48,1,3,NULL),(16,3180751,'1992-06-30 00:00:00',2,10,10,2010,'F','S','CENTRO','ARMAZéM','SC','124241248234131711446631375124610122172',NULL,'807',34.18,1,3,NULL),(16,3180760,'1990-04-08 00:00:00',4,1,12,2007,'M','N','SãO JUDAS TADEU','PRES PRUDENTE','SP','125252251317151431558831275122143212043',10085,'9998',48.63,1,3,NULL),(16,3180778,'1982-02-02 00:00:00',4,1,12,1999,'F','N','TRINDADE','FLORIANóPOLIS','SC','124133131236152431579931315124321461017',6113,'9997',56.11,1,3,NULL),(16,3180816,'1989-05-04 00:00:00',4,1,7,2008,'M','N','COLONINHA','FLORIANóPOLIS','SC','124241247247271131248823446114610117061',NULL,'9999',24.27,1,3,NULL),(16,3180824,'1991-07-10 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241217151432557933576112610114022',4664,'515',59.40,1,3,NULL),(16,3180832,'1990-11-06 00:00:00',2,1,8,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241111372441548813575122610126097',7622,'306',53.11,1,3,NULL),(16,3180859,'1989-11-08 00:00:00',4,1,12,2007,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241215372431669813575124230222092',4022,'262',61.00,1,3,NULL),(16,3180867,'1987-07-05 00:00:00',2,1,12,2004,'F','N','NAVEGANTES','PTO ALEGRE','RS','120201201117131431523335341124610132122',NULL,'9998',28.72,1,2,1),(16,3180875,'1990-03-18 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSé','SC','124241241217132711553374445124610168037',8046,'1076',52.34,1,3,NULL),(16,3180883,'1988-01-07 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241115572431656621392124610117042',10881,'307',47.22,1,2,1),(16,3180891,'1984-03-22 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216272711268929495114132856197',1005,'262',72.03,1,3,NULL),(16,3180905,'1991-07-30 00:00:00',4,4,12,2008,'F','N','JD BELA VISTA','FOZ IGUAçU','PR','116163161216121731327973572124610167142',5336,'9998',57.81,1,3,NULL),(16,3180913,'1989-12-05 00:00:00',2,1,12,2006,'F','N','ZONA SETE','MARINGá','PR','116162161216571731568612175112610122147',NULL,'9998',0.00,1,3,NULL),(16,3180930,'1990-03-01 00:00:00',4,5,11,2007,'M','N','PIO CORREA','CRICIúMA','SC','124242246211372431439912392124610162092',4109,'995',60.75,1,3,NULL),(16,3180964,'1991-05-27 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215111532458831575114610167047',9288,'270',50.10,1,3,NULL),(16,3180972,'1990-03-21 00:00:00',2,1,12,2007,'F','N','JARDIM BOTANICO','SINOP','MT','124112111216112741334419395114610134181',15892,'9998',37.50,1,3,NULL),(16,3180980,'1991-10-22 00:00:00',4,1,12,2008,'F','N','PORTãO','CURITIBA','PR','116163161145271411469713575122610124042',NULL,'9998',0.00,1,3,NULL),(16,3180999,'1991-03-21 00:00:00',4,1,12,2008,'F','N','PASSA VINTE','PALHOçA','SC','124241241225131711536624342334610127142',11593,'262',46.01,4,3,NULL),(16,3181006,'1989-07-18 00:00:00',4,1,8,2008,'M','N','CENTRO','TRES DE MAIO','RS','120201208227111731427514385124610137052',NULL,'9999',26.09,4,3,NULL),(16,3181014,'1989-02-23 00:00:00',2,1,6,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124241247316133741436414375124610163197',NULL,'9999',28.89,1,3,NULL),(16,3181022,'1990-09-15 00:00:00',2,5,12,2008,'M','N','SANTO ANJO DA GUARDA','TRêS CACHOEIRAS','RS','120201208527131731433619255124610162172',12368,'9998',44.60,1,3,NULL),(16,3181030,'1987-06-26 00:00:00',4,1,12,2004,'F','N','PENHA','S PAULO','SP','125251251146131411446329345125243268171',NULL,'9998',0.00,1,2,1),(16,3181049,'1986-06-03 00:00:00',2,1,12,2004,'M','N','SãO SEBATIãO','PALHOçA','SC','124241241112471411423344442133610124042',NULL,'357',30.96,1,2,1),(16,3181073,'1991-06-27 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124244241312131411343963572114610114145',NULL,'739',33.95,1,3,NULL),(16,3181081,'1989-12-06 00:00:00',4,8,12,2007,'M','N','REBELO','GARçA','SP','125251251116131411325611581121610128097',NULL,'9998',28.13,1,2,1),(16,3181090,'1990-10-16 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','S JOSé','SC','124251251126272431447621385124610128037',7412,'9998',53.50,1,2,1),(16,3181103,'1986-08-18 00:00:00',4,1,12,2005,'M','N','INGLESES','FLORIANóPOLIS','SC','124204207416151731348713441124140666032',NULL,'9999',36.92,1,3,NULL),(16,3181111,'1985-11-15 00:00:00',2,1,12,2001,'F','N','INGLESES','FLORIANóPOLIS','SC','124201202116151731446811345123340665093',5893,'9998',56.59,1,3,NULL),(16,3181120,'1971-06-24 00:00:00',2,1,6,2003,'M','N','JURERÊ','FLORIANóPOLIS','SC','124163167146371451255473492114610162193',NULL,'9998',20.14,1,3,NULL),(16,3181138,'1990-11-26 00:00:00',4,1,11,2007,'F','N','BALNEáRIO','FLORIANóPOLIS','SC','124242241215473431468834576114610131197',4645,'738',59.44,1,3,NULL),(16,3181146,'1987-07-07 00:00:00',2,1,12,2004,'F','N','BARREIROS','S JOSé','SC','124242241212275731553633442124610127147',NULL,'943',30.95,2,1,2),(16,3181162,'1988-04-26 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241115132421435923285121610164062',12064,'267',45.16,2,1,1),(16,3181170,'1978-04-20 00:00:00',4,1,12,1995,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241216275421464814485122121464082',5340,'272',57.80,1,3,NULL),(16,3181189,'1987-10-07 00:00:00',4,3,12,2005,'M','N','CENTRO','PIRACICABA','SP','125252251211471431558819572122142514042',NULL,'9998',0.00,1,3,NULL),(16,3181197,'1988-12-15 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215373431358914385122610122017',7798,'1022',52.77,1,3,NULL),(16,3181219,'1991-09-02 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S JOSé','SC','124243241347131431327723496124610127167',NULL,'733',25.92,1,3,NULL),(16,3181235,'1980-12-13 00:00:00',4,1,12,1998,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241143165331524439293114343216172',NULL,'291',24.04,1,2,1),(16,3181251,'1969-03-08 00:00:00',2,1,12,2003,'F','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','624123121326141411223354312134141936183',NULL,'9998',25.55,1,3,NULL),(16,3181260,'1985-12-18 00:00:00',3,1,12,2002,'F','N','JARDIM DAS TRADIçõES','PELOTAS','RS','120201201116132411228324385124342226182',14584,'9998',40.54,4,3,NULL),(16,3181278,'1988-12-01 00:00:00',4,1,12,2006,'M','N','FORQUILHINHAS','S JOSé','SC','124241241316142431233613245124233227127',NULL,'737',28.64,1,3,NULL),(16,3181286,'1991-03-26 00:00:00',4,1,12,2008,'M','N','SANTO ANTONIO','FLORIANóPOLIS','SC','124242241215371431578934595112610168052',NULL,'262',45.82,1,3,NULL),(16,3181294,'1990-01-03 00:00:00',4,2,12,2006,'F','N','RIBEIRãO FRESCO','BLUMENAU','SC','124241241217473431468914475122132664197',NULL,'499',23.67,1,3,NULL),(16,3181308,'1990-02-16 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124162161237142711548712575114222044186',3832,'9998',61.50,1,3,NULL),(16,3181316,'1989-01-02 00:00:00',2,1,12,2006,'M','N','CENTRO','DOIS IRMãOS','RS','120201201115271431428619445132141434184',12725,'9998',43.97,1,2,1),(16,3181332,'1991-01-10 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111431258933332115610134183',9334,'1133',50.02,1,3,NULL),(16,3181340,'1991-04-05 00:00:00',2,9,12,2008,'F','N','RONDINHA','PTE ALTA NORTE','SC','124242241237111431448914345122610122197',NULL,'881',26.22,1,3,NULL),(16,3181359,'1987-07-15 00:00:00',4,1,12,2004,'M','N','PADRE ANCHIETA','DIADEMA','SP','125252251234571431346619571124110125047',1339,'9998',70.17,4,3,NULL),(16,3181367,'1990-05-06 00:00:00',2,10,12,2007,'M','N','MORROTES','TUBARãO','SC','124241241122311431423231142123610137047',NULL,'800',27.91,1,3,NULL),(16,3181375,'1988-07-05 00:00:00',4,4,12,2006,'M','N','CRUZEIRO','S LOURENçO OESTE','SC','124243161116473331438734235133610167057',7022,'9998',54.25,4,3,NULL),(16,3181391,'1989-01-12 00:00:00',4,1,12,2006,'F','N','CARANDá BOSQUE','CPO GRANDE','MS','112122121211572751438839574122143168012',3894,'9998',61.36,4,3,NULL),(16,3181405,'1990-05-29 00:00:00',2,8,11,2007,'M','N','UVARANAS','PNT GROSSA','PR','116242241115472731466833475114610127091',5261,'1124',57.96,1,3,NULL),(16,3181413,'1989-09-12 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124241241116272431524723345234610163147',16209,'306',36.65,1,2,1),(16,3181421,'1991-07-02 00:00:00',2,10,11,2008,'F','N','POUSO ALTO','GRAVATAL','SC','124241241215131431434334345124610137142',11740,'807',45.75,1,3,NULL),(16,3181430,'1988-05-09 00:00:00',2,1,11,2005,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241242112131431223344142344610133142',NULL,'733',20.54,1,2,1),(16,3181448,'1987-02-17 00:00:00',4,1,12,2005,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124161161317371431445432342124140217152',13899,'9998',41.85,1,3,NULL),(16,3181456,'1991-06-11 00:00:00',4,1,12,2008,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124242241217161431589933165122610134021',NULL,'1048',30.81,1,3,NULL),(16,3181480,'1977-10-16 00:00:00',2,1,12,1997,'M','N','VENDAVAL','BIGUAçU','SC','224241242131132421336643332223610116045',NULL,'129',27.98,1,2,1),(16,3181499,'1991-04-04 00:00:00',2,5,12,2008,'F','N','SãO FELIPE','TURVO','SC','124241241111371431443616572124610137142',NULL,'814',17.24,1,2,1),(16,3181502,'1976-07-03 00:00:00',2,1,12,1993,'F','N','IPIRANGA','S JOSé','SC','124243243226272421133544344334130823142',11104,'409',46.83,1,3,NULL),(16,3181510,'1987-07-24 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241216241431326644242214610142072',NULL,'9997',20.84,1,3,NULL),(16,3181529,'1989-12-06 00:00:00',4,1,7,2007,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','124241201417571431366674575124610134092',2323,'9998',65.96,1,3,NULL),(16,3181537,'1991-12-26 00:00:00',4,1,12,2008,'F','N','CENTRO','CPO GRANDE','MS','112124128435211121378832592212610117121',NULL,'9998',37.12,1,3,NULL),(16,3181545,'1987-11-09 00:00:00',2,1,12,2004,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124203201116151431235629385114133234027',NULL,'9998',32.14,1,3,NULL),(16,3181553,'1989-08-27 00:00:00',2,1,12,2006,'M','N','KOBRASOL','S JOSé','SC','124242241215373431335621312124610167097',7834,'724',52.71,1,3,NULL),(16,3181561,'1990-11-21 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215372431436939572114133268147',4063,'273',60.89,1,3,NULL),(16,3181588,'1989-06-26 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111431443329575124610137053',NULL,'1050',25.66,1,3,NULL),(16,3181596,'1990-08-10 00:00:00',4,1,12,2007,'M','N','CERQUEIRA CESAR','S PAULO','SP','125252251215472431479714575124610142042',2074,'9998',66.90,1,3,NULL),(16,3181600,'1989-10-25 00:00:00',2,1,8,2007,'M','N','BARREIROS','S JOSé','SC','124243247437142431366623345122610167181',15019,'9999',39.61,3,3,NULL),(16,3181618,'1991-02-26 00:00:00',4,1,11,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124244241235111431226624572324610127072',12304,'1050',44.72,1,3,NULL),(16,3181626,'1988-03-21 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241117372221123644445334610127042',6894,'306',54.49,1,3,NULL),(16,3181634,'1990-08-31 00:00:00',4,4,12,2007,'F','N','CENTRO','PéROLA','PR','116161161134371421666923574122610117057',8853,'9998',50.80,4,2,1),(16,3181642,'1990-02-17 00:00:00',4,1,12,2007,'F','N','BUENO','GOIâNIA','GO','101091011122213211236213233112111623112',NULL,'9998',0.00,1,3,NULL),(16,3181650,'1986-02-20 00:00:00',4,1,12,2004,'M','N','ARIRIU','PALHOçA','SC','124241241226274752433311235224133264017',4937,'262',58.78,1,3,NULL),(16,3181669,'1989-04-06 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215272431486812575112130264062',13603,'270',42.45,1,3,NULL),(16,3181677,'1989-05-29 00:00:00',2,1,12,2006,'M','N','CENTRO','CPO GRANDE','MS','112124128434211321478831575122610117121',NULL,'9998',36.22,1,3,NULL),(16,3181685,'1989-03-16 00:00:00',4,8,12,2006,'F','N','CENTRO','JESUíTAS','PR','116162161416571431368833574114610166197',460,'9998',76.13,1,3,NULL),(16,3181707,'1991-07-23 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215112431238823575124610115057',NULL,'9997',26.53,1,3,NULL),(16,3181715,'1990-02-18 00:00:00',4,1,11,2007,'F','N','BARREIROS','S JOSé','SC','124242241217152431329924372124610167015',11512,'738',46.15,3,3,NULL),(16,3181723,'1991-02-24 00:00:00',4,1,12,2008,'F','N','VILA TONANI','DOURADOS','MS','112122121216371431456812222122610127013',9955,'9998',48.85,1,3,NULL),(16,3181731,'1990-11-15 00:00:00',4,2,11,2008,'M','N','CENTRO','MARIALVA','PR','116162161215421231448831212112610127087',3107,'9998',63.51,1,3,NULL),(16,3181758,'1985-12-20 00:00:00',4,1,12,2002,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215575431458714175122132164187',NULL,'943',0.00,1,3,NULL),(16,3181782,'1992-04-30 00:00:00',4,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124241241215111431443633575124610147182',13627,'1074',42.41,1,3,NULL),(16,3181804,'1990-03-25 00:00:00',3,1,11,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241217472731466813375122231932197',3429,'1022',62.58,1,3,NULL),(16,3181812,'1990-01-23 00:00:00',4,1,12,2006,'M','N','SETOR SUL','GOIANéSIA','GO','127222222222221221273113122122222524143',901,'9998',72.67,1,3,NULL),(16,3181820,'1983-03-29 00:00:00',4,8,2,2003,'M','N','BOM RETIRO','JOINVILLE','SC','124242248236352411476612475122121636172',9674,'489',49.38,1,3,NULL),(16,3181839,'1992-02-04 00:00:00',4,3,12,2008,'M','N','JARDIM MARGARIDA','LORENA','SP','125252251215171431268831295122610127093',11670,'9998',45.87,1,3,NULL),(16,3181847,'1990-08-10 00:00:00',4,1,12,2007,'M','N','CENTRO','PALHOçA','SC','124241241127121431224624342124610154047',NULL,'591',25.84,1,2,1),(16,3181855,'1986-02-19 00:00:00',2,8,12,2006,'M','N','GLORIA','JOINVILLE','SC','128281288127213731524439375121613228047',NULL,'9998',0.00,1,3,NULL),(16,3181863,'1989-11-29 00:00:00',2,1,12,2008,'M','N','JARDIM SÃO DIMAS','SAO JOSE DOS CAMPOS','SP','125252251215111431447824575122610127047',NULL,'9998',32.32,1,3,NULL),(16,3181871,'1986-12-04 00:00:00',4,1,12,2004,'M','N','SERRINHA','FLORIANóPOLIS','SC','124242251232373731338933575124133224171',2072,'9998',66.91,1,3,NULL),(16,3181880,'1991-11-13 00:00:00',4,1,12,2008,'M','N','JARDIM BELA VISTA','CPO GRANDE','MS','112124121434211121378831595122610117181',1333,'9998',70.21,1,3,NULL),(16,3181901,'1991-05-23 00:00:00',4,3,12,2008,'F','N','JARDIM KARAíBA','UBERLâNDIA','MG','113132131216111411348812325122610147122',9844,'9998',49.08,1,3,NULL),(16,3181910,'1991-07-22 00:00:00',2,1,12,2008,'M','N','JARDIM ANCHIETA','PEDERNEIRAS','SP','125254251235111421446624575124610164093',9126,'9998',50.37,4,3,NULL),(16,3181928,'1980-05-25 00:00:00',4,1,12,2000,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124271278136131711123519575324231066172',NULL,'9998',27.69,4,3,NULL),(16,3181936,'1988-03-24 00:00:00',4,1,12,2006,'F','N','JARDIM LEBLON','CPO GRANDE','MS','112121121316571431469714574122610132147',1523,'9998',69.26,1,3,NULL),(16,3181944,'1989-11-27 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241217272431446623341124610131182',6300,'272',55.69,1,3,NULL),(16,3181952,'1972-08-30 00:00:00',4,1,12,1989,'M','N','PANTANAL','FLORIANóPOLIS','SC','124252251217131451238842485121343137117',1954,'9998',67.36,1,3,NULL),(16,3181960,'1983-07-27 00:00:00',2,1,12,2001,'F','N','BALNEÁRIO','FLORIANOPOLIS','SC','124243241216575441456412235124230267187',5833,'270',56.71,1,3,NULL),(16,3181987,'1992-08-04 00:00:00',4,1,12,2009,'M','S','PONTE DO IMARUIM','PALHOçA','SC','124241241215111432435434372122610144015',NULL,'1011',40.30,1,3,NULL),(16,3181995,'1989-03-03 00:00:00',4,5,12,2005,'M','N','CENTRO','CAXIAS SUL','RS','120202201217573431467814171112610127052',358,'9998',77.26,1,3,NULL),(16,3182002,'1990-12-13 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215473431468614575122610122097',6366,'270',55.55,1,3,NULL),(16,3182010,'1991-08-12 00:00:00',4,1,12,2008,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112124121434221121478831575122610117141',NULL,'9998',0.00,1,3,NULL),(16,3182029,'1988-08-08 00:00:00',4,1,12,2005,'F','N','ABRAãO','FLORIANóPOLIS','SC','124241261435271431538823392124141437187',4027,'9998',60.98,3,3,NULL),(16,3182045,'1980-05-10 00:00:00',4,1,2,2006,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241247227131512228839192314610123112',16610,'270',34.74,1,3,NULL),(16,3182053,'1976-07-03 00:00:00',4,8,12,2001,'M','N','CENTRO','CAMBé','PR','116164167147141431623431382344610164057',7436,'9999',53.44,1,3,NULL),(16,3182061,'1991-06-15 00:00:00',4,1,11,2008,'F','N','SETOR BUENO','GOIâNIA','GO','109092091216111431566619574322610132182',NULL,'9998',0.00,1,3,NULL),(16,3182070,'1991-02-06 00:00:00',2,4,12,2008,'F','N','INTERIOR','CEL FREITAS','SC','124241241111111411433336572322610114142',NULL,'199',28.26,1,3,NULL),(16,3182096,'1991-09-19 00:00:00',4,10,12,2008,'M','N','MAR GROSSO','LAGUNA','SC','124242241225111531436811575123610127187',NULL,'524',0.00,1,3,NULL),(16,3182126,'1986-08-19 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241235575431466517572124221467042',NULL,'262',49.94,1,3,NULL),(16,3182134,'1985-07-02 00:00:00',4,1,12,2003,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241248136133111423313445123130242112',NULL,'291',0.00,4,3,NULL),(16,3182142,'1991-08-30 00:00:00',4,1,11,2008,'M','N','NORTE FERROVIARIO','GOIâNIA','GO','109092091217111431458619572122610138182',NULL,'9998',30.97,1,3,NULL),(16,3182150,'1989-11-16 00:00:00',4,1,12,2007,'M','N','JARDIM IRAJá','RIBEIRãO PRETO','SP','125252251212471331588835472112610117122',NULL,'9998',39.13,1,3,NULL),(16,3182169,'1991-10-05 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124242241215111411554934572122610167142',2905,'499',64.09,1,3,NULL),(16,3182177,'1985-06-10 00:00:00',2,1,12,2004,'M','N','SAGRADA FAMILIA','NOVA PRATA','RS','120201201131231441323331481124141464197',10213,'9998',48.41,1,2,1),(16,3182193,'1982-07-15 00:00:00',2,1,12,1999,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241115473431538629446125610121073',NULL,'257',26.85,1,3,NULL),(16,3182207,'1991-09-15 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124203241132271431535731572124610132187',NULL,'288',24.34,1,3,NULL),(16,3182215,'1989-03-02 00:00:00',4,1,12,2006,'M','N','JARDIM GIRASSOL','DOURADOS','MS','112122121216511431469911572122610122092',NULL,'9998',0.00,1,3,NULL),(16,3182223,'1990-10-20 00:00:00',2,1,11,2007,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124242241212472431456674342124610123047',12321,'262',44.69,1,3,NULL),(16,3182231,'1990-06-24 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124161161137471411534516372224610327052',10340,'9998',48.18,4,2,1),(16,3182240,'1991-08-06 00:00:00',4,1,12,2008,'M','N','RENATO GONCALVES','BARREIRAS','BA','101022242222143321422117423212512522151',7265,'9998',53.78,1,3,NULL),(16,3182258,'1982-04-12 00:00:00',2,1,12,2000,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241248136132431443444245112610137047',NULL,'739',0.00,1,2,1),(16,3182266,'1990-01-22 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124242241232372431236621382124610162142',NULL,'9999',29.51,1,3,NULL),(16,3182274,'1981-12-24 00:00:00',2,1,1,1998,'F','N','CENTRO','CAMBé','PR','116164161316141431433823315122343266027',NULL,'9998',0.00,1,3,NULL),(16,3182290,'1989-01-16 00:00:00',4,8,7,2007,'M','N','VILA LALAU','JARAGUá SUL','SC','124241246215371431443319445134610127042',11556,'995',46.08,1,3,NULL),(16,3182304,'1990-10-09 00:00:00',2,9,12,2007,'F','N','CORAL','LAGES','SC','124241241115372432323327242124610162147',NULL,'505',29.78,1,2,1),(16,3182312,'1989-02-23 00:00:00',2,1,12,2006,'F','N','SETOR OESTE','GOIâNIA','GO','109092091217571431458831574122610132182',239,'9998',78.64,1,3,NULL),(16,3182339,'1980-08-12 00:00:00',4,1,12,1997,'M','N','PANTANAL','FLORIANóPOLIS','SC','124252251217131431258812225121341437097',426,'9998',76.50,1,3,NULL),(16,3182347,'1988-05-24 00:00:00',2,1,12,2005,'M','N','VILA SãO JORGE','PR GRANDE','SP','125251251134471731333738245124610125042',NULL,'9998',0.00,1,2,1),(16,3182363,'1992-01-16 00:00:00',2,1,12,2008,'M','N','BELA VISTA','PALHOçA','SC','124241241125131412223524242224610124177',NULL,'1108',24.48,1,2,1),(16,3182371,'1967-05-31 00:00:00',4,1,12,1985,'F','N','N SRA DO ROSARIO','SAO JOSE','SC','120241245124155751143479334234420468183',1221,'356',70.81,1,2,1),(16,3182380,'1988-03-06 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANóPOLIS','SC','124111118116271531436624442114340721177',NULL,'9998',26.26,1,2,1),(16,3182398,'1992-01-28 00:00:00',2,8,12,2008,'F','N','JARDIM BAL CURITIBA','S FRANCISCO SUL','SC','124161241135141742533314295124610153192',NULL,'710',20.58,1,2,1),(16,3182401,'1991-11-25 00:00:00',4,3,11,2008,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215271431469911572122610148097',NULL,'109',29.12,1,3,NULL),(16,3182428,'1988-12-22 00:00:00',2,1,12,2005,'F','N','AMBRóSIO','GAROPABA','SC','124241241121472431435923245121610165097',NULL,'322',20.62,1,2,1),(16,3182436,'1990-09-26 00:00:00',4,1,11,2008,'M','N','SETOR OESTE','GOIâNIA','GO','109092091216111431568811572122610132182',NULL,'9998',0.00,4,3,NULL),(16,3182460,'1991-01-26 00:00:00',4,7,12,2008,'F','N','SANTA TEREZA','VIDEIRA','SC','124241241115131431425614292124610168097',2150,'831',66.58,1,2,1),(16,3182479,'1991-01-18 00:00:00',4,1,11,2008,'M','N','SETOR SUL','ITUIUTABA','MG','109132091217111431458619572122610132182',2917,'9998',64.06,1,3,NULL),(16,3182487,'1991-01-23 00:00:00',4,8,12,2008,'F','N','JAGUARE','S PAULO','SP','125244251215151411656619341124610136175',NULL,'9998',22.97,1,3,NULL),(16,3182495,'1991-05-13 00:00:00',2,5,12,2008,'F','N','RIO BELO','ORLEANS','SC','124242241215111331533312575222610127077',16131,'581',36.83,1,3,NULL),(16,3182509,'1991-07-07 00:00:00',2,4,12,2008,'F','N','INTERIOR','BARRA R AZUL','RS','120201201417131431432933571124610126047',15481,'9998',38.59,1,3,NULL),(16,3182517,'1990-07-14 00:00:00',2,1,12,2007,'M','N','CENTRO','TAIó','SC','125242241217472411656632272114610162187',3438,'776',62.56,1,3,NULL),(16,3182525,'1991-11-02 00:00:00',4,1,11,2008,'M','N','SETOR BUENO','GOIâNIA','GO','109092091216111431468811572122610132182',1971,'9998',67.31,1,3,NULL),(16,3182541,'1990-07-12 00:00:00',2,5,7,2008,'F','N','AURORA','IçARA','SC','124242248215271751326614575112610144012',16597,'995',34.88,2,3,NULL),(16,3182550,'1989-10-07 00:00:00',4,1,12,2007,'M','N','JARDIM IRAJA','RIBEIRãO PRETO','SP','125252251212471331488831572122610167042',NULL,'9998',40.32,1,3,NULL),(16,3182576,'1985-09-23 00:00:00',2,1,12,2003,'M','N','RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC','124241241127452421454313444114610164147',12677,'278',44.04,1,3,NULL),(16,3182584,'1991-06-22 00:00:00',4,1,12,2008,'F','N','JARDIM IPIRANGA','BIGUAçU','SC','124241241115131432533312572124610133142',16338,'307',36.24,1,2,1),(16,3182592,'1991-12-22 00:00:00',2,1,12,2008,'F','N','BARRA DO ARIRIU','PALHOçA','SC','124241241126131411428921272234610112147',NULL,'727',24.10,1,3,NULL),(16,3182606,'1991-08-13 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241111131751438633575124610114042',NULL,'288',27.88,1,3,NULL),(16,3182614,'1987-09-22 00:00:00',4,1,12,2004,'M','N','JD DAS BELEZAS','CARAPICUíBA','SP','125252251215571431446632575124610126097',191,'9998',79.38,1,3,NULL),(16,3182622,'1990-09-17 00:00:00',4,1,12,2007,'M','N','RIBEIRANIA','RIBEIRãO PRETO','SP','125252251212471431488831572122610167042',3047,'9998',63.66,1,3,NULL),(16,3182630,'1991-05-15 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124252241215122432326824595124610164046',6023,'1022',56.31,1,3,NULL),(16,3182649,'1983-06-16 00:00:00',2,1,6,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124243247225144451533335395124610117183',NULL,'9999',15.67,1,3,NULL),(16,3182657,'1990-10-22 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIúMA','SC','124242241217271431456524172124231437052',4470,'210',59.85,1,3,NULL),(16,3182665,'1988-12-25 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124243241217272431339821312114131253142',1961,'269',67.34,1,3,NULL),(16,3182673,'1988-09-15 00:00:00',2,1,11,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124224221217573431549913572124610133147',11378,'9998',46.37,4,3,NULL),(16,3182681,'1989-07-19 00:00:00',2,3,12,2006,'M','N','VILA ISABEL','CURITIBA','PR','116164161211572411569812571124610166112',NULL,'9998',0.00,1,3,NULL),(16,3182690,'1990-12-16 00:00:00',4,10,12,2007,'F','N','KM SESSENTA','TUBARãO','SC','124241241115471411346923275124610117047',15148,'798',39.31,1,2,1),(16,3182703,'1982-12-31 00:00:00',4,1,12,1998,'M','N','SANTINHO','FLORIANóPOLIS','SC','124251251141151331228644142314141267122',NULL,'9998',24.76,1,2,1),(16,3182720,'1991-05-06 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124243241317252341237634395122231267147',12537,'272',44.29,1,3,NULL),(16,3182754,'1991-05-07 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241135131221434313275124610115141',NULL,'257',17.84,1,3,NULL),(16,3182762,'1987-08-16 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216114441228613574124230266092',618,'1022',74.79,1,3,NULL),(16,3182789,'1989-11-07 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124202208212472731458832415125610127112',16673,'9998',34.05,1,3,NULL),(16,3182819,'1992-11-25 00:00:00',4,1,11,2009,'F','S','BARREIROS','S JOSé','SC','124242241215111531338711595122610125142',NULL,'1118',29.61,1,3,NULL),(16,3182827,'1988-07-30 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124252251217373431377614572122120737042',1759,'9998',68.17,1,3,NULL),(16,3182835,'1990-09-20 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241215472431468913472124610137062',6862,'991',54.56,4,3,NULL),(16,3182843,'1988-10-31 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241215473431378733372112122664142',854,'270',73.03,1,3,NULL),(16,3182851,'1984-06-20 00:00:00',2,1,12,2005,'F','N','KOBRASOL','S JOSé','SC','124243247446273431124824245334131037147',NULL,'9999',8.70,1,3,NULL),(16,3182860,'1991-09-10 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241217111511488812575122610113072',NULL,'262',0.00,1,3,NULL),(16,3182878,'1990-08-06 00:00:00',4,1,12,2007,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124242241217472431448921572124230611167',NULL,'1022',37.58,1,3,NULL),(16,3182886,'1990-01-27 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124242241217412531466812171123610118182',8689,'9997',51.10,1,3,NULL),(16,3182908,'1985-02-19 00:00:00',2,8,12,2003,'M','N','FLORESTA','JOINVILLE','SC','124241241112131451321623112224333262187',NULL,'492',27.89,1,3,NULL),(16,3182916,'1990-03-06 00:00:00',4,6,12,2007,'M','N','CENTRO','CLáUDIA','MT','111112111236271431445612285122610167042',7336,'9998',53.65,1,3,NULL),(16,3182924,'1991-01-24 00:00:00',2,10,12,2008,'F','N','MORROTES','TUBARãO','SC','124241241145141711544312245122610137147',NULL,'800',32.00,1,3,NULL),(16,3182940,'1991-01-03 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215272411656612145112133247182',8074,'266',52.28,1,3,NULL),(16,3182967,'1981-10-15 00:00:00',4,1,12,1999,'F','N','JD CID DE FPOLIS','S JOSé','SC','124241241132155431654344245334122221147',11868,'307',45.52,1,2,1),(16,3182975,'1986-06-02 00:00:00',2,1,11,2003,'M','N','CAMPINAS','S JOSé','SC','124242241216473431458614385122130727047',NULL,'1036',34.34,1,3,NULL),(16,3183009,'1991-07-11 00:00:00',4,2,12,2008,'F','N','CENTRO','POMERODE','SC','124241241137371431533532395121610135142',16152,'621',36.77,1,2,1),(16,3183017,'1989-10-18 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215372431468811572114610133077',8786,'1048',50.93,1,3,NULL),(16,3183025,'1988-04-22 00:00:00',4,1,12,2005,'M','N','CENTRO','RIO SUL','SC','124241241127271441568611275122131422042',NULL,'891',0.00,1,2,1),(16,3183033,'1987-06-11 00:00:00',4,1,12,2006,'M','N','ROçADO','S JOSé','SC','124242241216372531468933575122121763037',7915,'1022',52.58,1,3,NULL),(16,3183041,'1985-09-03 00:00:00',1,1,3,2005,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124164167437373441128972195123120464172',869,'9999',72.88,1,3,NULL),(16,3183050,'1988-04-16 00:00:00',4,1,12,2006,'F','N','FORQUILHINHAS','S JOSé','SC','624241137146131411125544342334610116177',NULL,'9998',0.00,1,3,NULL),(16,3183068,'1991-06-26 00:00:00',4,4,12,2008,'M','N','CRUZEIRO','S LOURENçO OESTE','SC','124244241335131321434434245121613211057',NULL,'9997',19.86,4,3,NULL),(16,3183076,'1978-06-20 00:00:00',4,1,12,1995,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241215235431236844445124121446181',2617,'213',64.94,1,3,NULL),(16,3183084,'1973-04-02 00:00:00',4,1,12,1997,'M','N','JARDIM CLEóPATRA','MARINGá','PR','124163247126272421226924245124140566194',12166,'9998',44.96,1,3,NULL),(16,3183092,'1970-05-18 00:00:00',4,1,12,1991,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124071076226141721433344245124610167027',NULL,'9999',33.63,2,3,NULL),(16,3183122,'1992-06-03 00:00:00',4,1,12,2009,'M','S','AREIAS','S JOSé','SC','124242248216111731486632575121613268182',NULL,'868',48.79,1,3,NULL),(16,3183130,'1989-04-17 00:00:00',2,1,12,2006,'F','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124241241111273431354414245124610137072',11452,'307',46.26,1,2,1),(16,3183149,'1989-07-14 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215573431558611592322131427012',545,'1035',75.43,1,3,NULL),(16,3183157,'1988-05-07 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANóPOLIS','SC','224241241111141211646613141224610123027',NULL,'277',26.19,2,1,1),(16,3183165,'1988-10-27 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241136371431226614495115610127012',NULL,'307',20.84,1,3,NULL),(16,3183173,'1992-01-20 00:00:00',2,4,12,2008,'M','N','CENTRO','QUILOMBO','SC','124164241536161431434624391122610166197',2799,'647',64.40,1,3,NULL),(16,3183181,'1990-08-07 00:00:00',4,6,12,2007,'M','N','BARRA DO RIO','ITAJAí','SC','124242241217413431449833582214610164012',5099,'1026',58.40,1,3,NULL),(16,3183190,'1988-09-11 00:00:00',4,8,12,2006,'M','N','ILHA DA FIGUEIRA','JARAGUá SUL','SC','124241241125471431235313485111130236147',14132,'524',41.37,1,2,1),(16,3183203,'1989-08-01 00:00:00',4,2,12,2006,'M','N','CAPITAIS','TIMBó','SC','124243241217271411334429275122233214052',NULL,'956',35.31,1,3,NULL),(16,3183211,'1981-10-19 00:00:00',2,1,12,2000,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','224241241122132721521444342334131014072',NULL,'9997',32.33,2,1,1),(16,3183220,'1988-12-09 00:00:00',4,1,7,2007,'F','N','LAGO NORTE','LG NORTE','DF','107076071117571751678834472122610147147',27,'9998',83.79,1,3,NULL),(16,3183238,'1989-03-11 00:00:00',5,5,11,2006,'F','N','PINHEIRINHO','CRICIúMA','SC','124244246215374431346619441134610122077',12156,'995',44.98,1,3,NULL),(16,3183246,'1990-10-09 00:00:00',4,8,8,2008,'F','N','CENTRO','CURITIBA','PR','116162288116271411449934394115610142073',8712,'9998',51.05,4,3,NULL),(16,3183254,'1981-07-24 00:00:00',2,1,12,1998,'M','N','PRAIA DOS INGLESES','FLORIANóPOLIS','SC','124241241126132421224244145224131157047',NULL,'170',24.27,2,1,1),(16,3183262,'1991-10-08 00:00:00',4,1,11,2008,'F','N','COSTEIRA DO RIBEIRãO','FLORIANóPOLIS','SC','124241241115141731533413332324610164182',16095,'307',36.95,1,3,NULL),(16,3183297,'1984-04-11 00:00:00',4,4,12,2001,'M','N','INDUSTRIARIOS','CONCóRDIA','SC','124253251316151421533614342125333234147',NULL,'9998',26.08,2,3,NULL),(16,3183300,'1989-12-21 00:00:00',2,1,11,2007,'M','N','BARREIROS','S JOSé','SC','124241248416373131524439492124610117117',14481,'1118',40.73,1,3,NULL),(16,3183319,'1990-06-29 00:00:00',2,1,12,2008,'F','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124241241116372531623319372214610136197',7165,'288',53.97,1,2,1),(16,3183327,'1991-06-28 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124241241117271441434329392134610168147',3721,'739',61.78,1,2,1),(16,3183335,'1990-08-02 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','125254251216471311448823371324610167142',13005,'9998',43.48,1,3,NULL),(16,3183343,'1990-12-23 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','S JOSé','SC','124242241415272711534614575124610144052',3764,'1074',61.67,1,3,NULL),(16,3183351,'1986-05-16 00:00:00',2,1,12,2003,'M','N','JARDIM CRISTINA II','MANDAGUARI','PR','116161161116311411433614485214340664047',NULL,'9998',0.00,1,2,1),(16,3183360,'1983-12-28 00:00:00',2,1,12,2001,'F','N','INGLESES','FLORIANóPOLIS','SC','124201201136273721336434385124610127147',NULL,'9998',21.76,1,3,NULL),(16,3183378,'1990-11-14 00:00:00',4,4,11,2007,'F','N','CENTRO','IPORã','PR','116161161215471721426812112324610164147',NULL,'9998',0.00,1,3,NULL),(16,3183386,'1988-08-14 00:00:00',2,1,12,2006,'F','N','CENTRO','BIGUAçU','SC','124241241115574411546631575124133248011',1390,'306',69.88,1,2,1),(16,3183394,'1991-09-01 00:00:00',4,4,11,2008,'M','N','UNIVERSITÁRIO','CHAPECó','SC','124242241223221221389913122113610123044',3629,'1021',62.01,1,3,NULL),(16,3183408,'1991-12-20 00:00:00',2,4,12,2008,'M','N','CENTRO','SAUDADES','SC','124243241216111431456821595112610164042',8787,'1070',50.93,1,3,NULL),(16,3183416,'1991-01-24 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241116371432434311595124610137047',NULL,'281',18.23,1,2,1),(16,3183424,'1992-03-21 00:00:00',4,1,11,2008,'M','N','ROçADO','S JOSé','SC','124241248225111431536639572114610118187',NULL,'262',32.04,1,3,NULL),(16,3183440,'1984-06-28 00:00:00',2,1,12,2001,'F','N','PRAIA DOS INGLESES','FLORIANóPOLIS','SC','124241241126132421224444245224610151157',NULL,'170',18.69,4,2,1),(16,3183459,'1990-02-13 00:00:00',4,6,12,2007,'M','N','FAZENDA','ITAJAí','SC','124242241215371712426869375125610164092',8338,'389',51.72,1,3,NULL),(16,3183467,'1991-01-14 00:00:00',4,1,12,2008,'M','N','JARDIM ELDORADO','PALHOçA','SC','124241241116131711634364385121610124187',NULL,'591',25.92,1,2,1),(16,3183475,'1976-11-26 00:00:00',2,1,12,1993,'F','N','CENTRO','FLORIANóPOLIS','SC','524243241116133421237343335122131026197',NULL,'307',0.00,1,3,NULL),(16,3183483,'1991-11-15 00:00:00',4,4,12,2008,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162161231271431568932575125610168092',362,'9998',77.24,1,3,NULL),(16,3183491,'1991-03-15 00:00:00',4,1,12,2008,'M','N','JARDIM FLóRIDA','CPO MOURãO','PR','116162161117271431549511571124610166182',11433,'9998',46.30,1,3,NULL),(16,3183505,'1991-09-25 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241211422411366812375124610112187',9922,'270',48.91,1,3,NULL),(16,3183521,'1990-02-10 00:00:00',4,1,12,2007,'M','N','CENTRO','RIBEIRãO PRETO','SP','125252251212471331488831572122610167042',9614,'9998',49.50,1,3,NULL),(16,3183530,'1990-03-01 00:00:00',4,8,12,2007,'F','N','COMASA','JOINVILLE','SC','124241241145131732526614582114610122187',NULL,'469',27.40,1,3,NULL),(16,3183548,'1987-01-15 00:00:00',4,1,11,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241116374421556633442334610167047',10057,'306',48.67,4,2,1),(16,3183556,'1991-09-12 00:00:00',2,5,11,2008,'F','N','MINA DO MATO','CRICIúMA','SC','124244241215111431486432372112610154092',3214,'226',63.25,1,3,NULL),(16,3183564,'1992-09-05 00:00:00',4,1,12,2008,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241112131431224529572214610116047',NULL,'278',26.45,1,2,1),(16,3183572,'1984-11-10 00:00:00',4,1,12,2002,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241116471421434311445124610127047',15249,'281',39.09,1,2,1),(16,3183580,'1988-04-20 00:00:00',2,6,11,2005,'F','N','BARRA DO RIO','ITAJAí','SC','124242241217574431448933395112610125087',4969,'391',58.68,1,3,NULL),(16,3183599,'1992-02-10 00:00:00',4,1,12,2008,'F','N','CENTRAL','STA ROSA','RS','120201201116151431333923575122610122077',15455,'9998',38.64,1,3,NULL),(16,3183602,'1991-03-20 00:00:00',2,10,11,2008,'F','N','OFICINAS','TUBARãO','SC','124242241212121431568611575122610118143',NULL,'807',28.91,1,3,NULL),(16,3183610,'1991-06-21 00:00:00',4,1,12,2008,'M','N','CENTRO DE PALHOçA','PALHOçA','SC','124242241216151732676872575115610138183',5155,'939',58.23,1,3,NULL),(16,3183629,'1991-10-10 00:00:00',2,10,11,2008,'F','N','CABEçUDA','LAGUNA','SC','124244241215121531228833572112610121142',10555,'807',47.82,1,3,NULL),(16,3183637,'1982-12-25 00:00:00',2,1,11,2001,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241135374431333344241344610125057',NULL,'293',37.63,1,2,1),(16,3183645,'1991-01-15 00:00:00',4,1,6,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124242247215131411359614575112610167187',NULL,'9999',21.95,1,3,NULL),(16,3183653,'1990-11-03 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124241241116212431323324241114610125147',14827,'732',40.02,1,2,1),(16,3183661,'1989-01-18 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124242241215272431556614345124122227057',7053,'738',54.20,4,3,NULL),(16,3183670,'1981-08-12 00:00:00',2,1,12,2000,'F','N','CAMPECHE','FLORIANóPOLIS','SC','624251257226413731126319212324142216097',NULL,'9998',18.33,4,3,NULL),(16,3183688,'1991-01-30 00:00:00',4,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241417211711328749591124610144142',NULL,'300',22.87,1,3,NULL),(16,3183696,'1979-07-03 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124244247127271721224644345334610114147',NULL,'9999',27.07,1,3,NULL),(16,3183718,'1990-03-07 00:00:00',4,1,12,2007,'M','N','JARDIM AMéRICA','GOIâNIA','GO','109131091217471421556911315124610162057',309,'9998',77.91,3,3,NULL),(16,3183726,'1988-05-23 00:00:00',2,8,12,2005,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241211371711469911345122132166017',4671,'456',59.38,1,3,NULL),(16,3183734,'1990-07-25 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215412431558611412322610126017',1853,'1035',67.80,1,3,NULL),(16,3183742,'1983-06-20 00:00:00',4,1,12,2004,'M','N','AREIAS','CAçADOR','SC','224241243226131421333344245224133262197',13850,'119',41.94,1,3,NULL),(16,3183750,'1990-01-28 00:00:00',4,1,1,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242247415472431338813472122610168052',NULL,'9999',39.44,1,3,NULL),(16,3183769,'1973-06-21 00:00:00',2,1,11,1999,'M','N','CENTRO','FLORIANóPOLIS','SC','124111167121375431143149191122610162092',NULL,'9999',24.33,4,2,1),(16,3183777,'1989-02-19 00:00:00',4,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116164161415471211448834575125610167142',NULL,'9998',0.00,1,3,NULL),(16,3183793,'1977-03-23 00:00:00',2,1,12,1994,'F','N','COQUEIROS','FLORIANóPOLIS','SC','224243241112375511253343232134320826182',NULL,'307',0.00,1,3,NULL),(16,3183807,'1986-11-29 00:00:00',4,1,12,2004,'F','N','ABRAAO','FLORIANóPOLIS','SC','124242241216574451337823575124233236077',1540,'988',69.17,1,3,NULL),(16,3183815,'1991-08-27 00:00:00',2,1,11,2008,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241236111411448612395124610127053',NULL,'1023',37.45,1,3,NULL),(16,3183823,'1990-02-19 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215373431589811595132231067072',6671,'270',54.93,1,3,NULL),(16,3183831,'1982-03-14 00:00:00',2,1,12,2000,'M','N','JARDIM CALIFORNIA','LONDRINA','PR','116161161446141431533311212124140262062',NULL,'9998',0.00,4,1,2),(16,3183840,'1992-10-06 00:00:00',4,3,11,2009,'F','S','XV DE NOVEMBRO','TIJUCAS','SC','124242241217111431548832285122610137092',NULL,'948',30.94,1,3,NULL),(16,3183858,'1991-06-13 00:00:00',4,7,11,2008,'M','N','CENTRO','IPUMIRIM','SC','124241241236111321426413575124610117147',NULL,'1047',30.81,1,3,NULL),(16,3183866,'1990-01-18 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215472431346512395122610127143',6764,'988',54.73,1,3,NULL),(16,3183874,'1990-03-19 00:00:00',2,1,12,2007,'F','N','CENTRO','SINOP','MT','124112111212371711447712345122141013142',NULL,'9998',19.14,1,3,NULL),(16,3183882,'1990-05-02 00:00:00',2,6,12,2007,'M','N','SãO DOMINGOS','NAVEGANTES','SC','124223221434271431333779445321610127042',3277,'9998',63.07,1,3,NULL),(16,3183890,'1987-03-08 00:00:00',4,1,12,2005,'F','N','PRAIA DE ITAPARICA','VL VELHA','ES','108082081416411131435612415323142067117',NULL,'9998',35.74,1,3,NULL),(16,3183904,'1990-12-23 00:00:00',4,1,12,2008,'M','N','BOM VIVER','BIGUAçU','SC','124241241126131731423324245121610111052',NULL,'66',24.79,4,1,1),(16,3183912,'1990-07-31 00:00:00',2,8,12,2007,'M','N','CENTRO','PITANGA','PR','116162161216372411348622142135610163142',NULL,'9998',0.00,1,3,NULL),(16,3183920,'1991-04-26 00:00:00',2,1,12,2008,'M','N','JURERê','FLORIANóPOLIS','SC','124244241217111431458933572124610132187',1820,'262',67.94,1,3,NULL),(16,3183939,'1988-12-12 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241212131321546419315124133215072',NULL,'300',19.50,4,3,NULL),(16,3183947,'1988-09-13 00:00:00',4,8,11,2007,'M','N','GLóRIA','JOINVILLE','SC','124242241416412751248823575111610114092',12733,'491',43.96,1,3,NULL),(16,3183963,'1988-05-19 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241247417131531446623475112610117057',NULL,'9999',29.23,1,3,NULL),(16,3183998,'1991-02-18 00:00:00',4,6,12,2008,'M','N','CENTRO','NAVEGANTES','SC','124241241415111431433614575122610167057',15199,'392',39.21,1,3,NULL),(16,3184005,'1980-03-24 00:00:00',4,1,5,2000,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124223221317131411124163442334610166193',NULL,'9998',36.61,1,3,NULL),(16,3184021,'1985-03-24 00:00:00',2,1,12,2003,'M','N','SAO JOSE','S JOSé','SC','124244241111473411456812341112610114043',11707,'306',45.81,3,3,NULL),(16,3184030,'1990-10-05 00:00:00',4,1,12,2007,'F','N','SANTA PAULA','S CAETANO SUL','SP','125253251116471431438814575124610125142',9713,'9998',49.31,1,3,NULL),(16,3184048,'1990-08-12 00:00:00',2,1,11,2007,'M','N','KOBRASOL','S JOSé','SC','124242241215472431536612272124610122097',1487,'723',69.44,1,3,NULL),(16,3184064,'1985-09-11 00:00:00',2,1,12,2003,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124204201216471111226732245124140267047',10157,'9998',48.51,1,3,NULL),(16,3184072,'1992-04-24 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124243241215111431568819595124610167012',15836,'1118',37.66,3,3,NULL),(16,3184080,'1988-04-08 00:00:00',2,1,12,2006,'M','N','CAMPINAS','S JOSé','SC','124212241215273431446614341124610127042',5061,'1036',58.49,1,3,NULL),(16,3184099,'1991-02-14 00:00:00',4,6,11,2008,'M','N','SANTA CRUZ','CASCAVEL','PR','116162161217271532678814475122610137067',5581,'9998',57.30,1,3,NULL),(16,3184102,'1990-03-13 00:00:00',4,1,12,2007,'F','N','SANTANA','ARARAQUARA','SP','125252251216371411338823215124610132092',2829,'9998',64.29,1,3,NULL),(16,3184110,'1991-03-30 00:00:00',2,1,12,2008,'F','N','CAMINHO NOVO','PALHOçA','SC','124241241115161431425331282124610121147',NULL,'592',27.77,1,2,1),(16,3184137,'1990-09-20 00:00:00',2,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215112431549729272114610163057',7523,'272',53.29,1,3,NULL),(16,3184145,'1990-03-12 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216272431527731315124610127142',10211,'632',48.41,1,3,NULL),(16,3184153,'1990-11-11 00:00:00',4,4,12,2007,'M','N','EFAPI','CHAPECó','SC','124241241136131431539613385124233227057',NULL,'94',26.23,1,2,1),(16,3184161,'1991-08-02 00:00:00',4,1,12,2008,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124241241117131431423314292124610137047',NULL,'307',26.62,1,2,1),(16,3184170,'1991-06-18 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215571231378813572114610116112',7863,'270',52.67,1,3,NULL),(16,3184188,'1992-09-02 00:00:00',4,1,12,2009,'F','S','COSTEIRA','FLORIANóPOLIS','SC','124242241211111431468632572112610117092',NULL,'270',37.83,1,3,NULL),(16,3184200,'1987-12-25 00:00:00',4,8,12,2006,'M','N','COMASA','JOINVILLE','SC','124221241127571431536511285123610164187',NULL,'477',46.62,4,1,1),(16,3184218,'1985-07-12 00:00:00',2,1,12,2003,'M','N','JARDIM ELDORADO','PALHOçA','SC','124241241217131111323822441224141614177',NULL,'767',21.18,1,3,NULL),(16,3184226,'1992-01-05 00:00:00',4,5,11,2008,'M','N','OPERARIA NOVA','CRICIúMA','SC','124241241215121431458432572112610137062',NULL,'920',28.47,4,3,NULL),(16,3184234,'1991-03-14 00:00:00',2,1,12,2008,'M','N','CENTRO','TIJUCAS','SC','124242241217111431453834245122610122142',NULL,'1119',45.58,1,3,NULL),(16,3184242,'1980-03-25 00:00:00',2,1,12,2003,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241125133431535314342334610127077',14659,'9999',40.36,4,1,1),(16,3184250,'1993-06-19 00:00:00',4,1,12,2008,'M','N','ABRAAO','FLORIANóPOLIS','SC','124242241217111751337823572124610127057',NULL,'988',27.86,4,3,NULL),(16,3184269,'1989-08-04 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241215573431228724372125610123077',1245,'270',70.69,1,3,NULL),(16,3184277,'1991-07-26 00:00:00',4,2,12,2009,'F','S','PROGRESSO','BLUMENAU','SC','124244248217111431543614572124610127142',NULL,'71',23.01,1,3,NULL),(16,3184285,'1990-11-23 00:00:00',2,1,12,2008,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241215111431559613272114610167057',14235,'272',41.17,1,3,NULL),(16,3184293,'1989-09-11 00:00:00',4,1,12,2008,'M','N','CENTRO','MINEIROS','GO','109092091216111211111811212212322611171',5643,'9998',57.18,4,3,NULL),(16,3184307,'1991-05-03 00:00:00',4,1,12,2008,'M','N','CENTRO','BIGUAçU','SC','124241241115151431428833572121610117112',NULL,'65',24.63,4,3,NULL),(16,3184315,'1990-05-09 00:00:00',2,1,12,2007,'M','N','JARDIM CIDADE','S JOSé','SC','124241241135122441446714375124610132122',5066,'734',58.47,1,2,1),(16,3184323,'1989-08-21 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241211273431224829474124231027012',3846,'270',61.46,4,1,2),(16,3184331,'1991-03-15 00:00:00',1,2,11,2008,'F','N','CENTRO','BRUSQUE','SC','124242241215271231538614272122610167122',2759,'107',64.54,1,3,NULL),(16,3184340,'1989-03-21 00:00:00',4,1,12,2006,'F','N','ABRAãO','FLORIANóPOLIS','SC','124242241215454431458813572114130524197',13255,'259',43.05,1,3,NULL),(16,3184358,'1991-12-12 00:00:00',4,6,12,2008,'F','N','GRAVATA','NAVEGANTES','SC','124241241217131432443632575124610142072',5743,'1057',56.97,1,3,NULL),(16,3184366,'1985-07-08 00:00:00',4,1,12,2003,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','224201206137131421226544345334231967057',12640,'9998',44.10,1,2,1),(16,3184374,'1975-12-09 00:00:00',2,1,11,2001,'M','N','TRINDADE','FLORIANóPOLIS','SC','224282286117133211226544341234133262182',10832,'9998',47.31,1,3,NULL),(16,3184382,'1971-12-04 00:00:00',2,6,11,1993,'M','N','CORDEIRO','ITAJAí','SC','124111113124211431333319184123610155057',NULL,'9998',26.92,1,2,1),(16,3184390,'1990-10-28 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241215271411369913475124610127062',1148,'883',71.19,1,3,NULL),(16,3184404,'1992-01-19 00:00:00',2,1,12,2009,'F','S','KOBRASOL','S JOSé','SC','124241248217111531569833572122610126062',NULL,'262',39.89,1,3,NULL),(16,3184412,'1988-08-16 00:00:00',2,1,5,2006,'F','N','SERTÃO','STO AMARO IMPERATRIZ','SC','124241241111134751536313295124221068147',8403,'739',51.59,1,2,1),(16,3184420,'1991-04-29 00:00:00',2,1,12,2008,'F','N','CENTRO','CAXIAS SUL','RS','120202201217151431246733375122610124147',11779,'9998',45.68,1,3,NULL),(16,3184439,'1991-02-21 00:00:00',4,2,11,2008,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215272431488831575112610147042',1256,'855',70.64,1,3,NULL),(16,3184447,'1987-05-18 00:00:00',4,1,11,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217473431348823415124610162197',8290,'1022',51.80,1,3,NULL),(16,3184455,'1991-06-13 00:00:00',2,1,12,2008,'M','N','FAZENDA STO ANTôNIO','S JOSé','SC','124241241115271431333339372124610134187',10716,'733',47.51,1,2,1),(16,3184463,'1991-01-08 00:00:00',2,1,12,2008,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241116151231458313575122610112142',NULL,'278',21.94,1,3,NULL),(16,3184471,'1981-01-10 00:00:00',2,1,12,1998,'F','N','ARMAçãO','FLORIANóPOLIS','SC','124201201116131711148443335333340523073',11844,'9998',45.56,1,3,NULL),(16,3184480,'1990-02-13 00:00:00',2,1,12,2007,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241216372431446613575124610127152',10596,'1118',47.74,1,3,NULL),(16,3184501,'1985-11-07 00:00:00',2,1,12,2003,'M','N','CENTRO','HERVAL D OESTE','SC','124241241215372431458833592324131427092',8303,'962',51.79,1,3,NULL),(16,3184510,'1989-03-27 00:00:00',2,1,12,2006,'M','N','ESTRERITO','FLORIANóPOLIS','SC','124244241416272411434434371124233236182',11153,'1134',46.74,1,3,NULL),(16,3184528,'1989-03-17 00:00:00',4,3,12,2006,'F','N','CENTRO','BENTO GONçALVES','RS','120203201116132421328831484115610161197',NULL,'9998',0.00,1,3,NULL),(16,3184536,'1991-10-21 00:00:00',4,9,12,2008,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124242241215372411447913575122610135017',9233,'499',50.19,1,3,NULL),(16,3184544,'1990-03-18 00:00:00',2,1,11,2007,'F','N','KOBRASOL','S JOSé','SC','124244241216272431466611575124132726042',4881,'723',58.92,1,3,NULL),(16,3184552,'1991-03-05 00:00:00',4,1,12,2008,'M','N','CENTRO','S CAETANO SUL','SP','125253251116151431438621345125610124047',NULL,'9998',27.74,1,3,NULL),(16,3184560,'1989-08-16 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241116232431446619571124610167047',NULL,'307',32.01,1,2,1),(16,3184579,'1988-04-25 00:00:00',2,1,12,2005,'F','N','CENTRO','LONDRINA','PR','116283161116271731468814391122141042121',NULL,'9998',0.00,1,3,NULL),(16,3184587,'1991-07-01 00:00:00',2,1,12,2008,'M','N','CENRO','BIGUAçU','SC','124243241317111431423319295122610167042',NULL,'63',21.63,1,3,NULL),(16,3184595,'1990-11-14 00:00:00',4,6,11,2007,'M','N','CENTRO','ITAJAí','SC','124242241217372431239911575122610127052',4559,'394',59.65,1,3,NULL),(16,3184609,'1991-06-12 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241211271431537934145122610165077',3328,'883',62.91,1,3,NULL),(16,3184617,'1991-11-11 00:00:00',4,4,12,2008,'F','N','CENTRO','CéU AZUL','PR','116161161316131411223328595124610161192',NULL,'9998',22.62,1,3,NULL),(16,3184625,'1991-01-17 00:00:00',4,7,11,2007,'M','N','BELA VISTA','CONCóRDIA','SC','116242161211472451469911572122610167042',NULL,'9998',0.00,1,3,NULL),(16,3184633,'1989-05-18 00:00:00',2,4,12,2006,'M','N','INTERIOR','CUNHA PORã','SC','124241241117271431634335252342610127057',NULL,'234',30.18,1,2,1),(16,3184641,'1988-11-03 00:00:00',2,1,12,2005,'F','N','SERRARIA','S JOSé','SC','124242241112275431526514342334610116195',NULL,'257',24.32,1,3,NULL),(16,3184650,'1992-02-14 00:00:00',4,4,12,2008,'M','N','SAIC','CHAPECó','SC','124242241215271431488612275112610124092',7800,'185',52.76,1,3,NULL),(16,3184668,'1993-03-09 00:00:00',4,1,12,2009,'M','S','CENTRO','JOAçABA','SC','124242241217111211258912592122610168042',NULL,'446',7.55,1,3,NULL),(16,3184676,'1990-08-15 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241315472431448713372124610133147',13253,'1098',43.06,1,3,NULL),(16,3184684,'1988-12-16 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241126133421223424282124222367047',10638,'287',47.67,1,2,1),(16,3184692,'1985-11-20 00:00:00',4,1,12,2003,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124251251137131731126644245114610128192',NULL,'9998',3.21,1,2,1),(16,3184706,'1991-01-22 00:00:00',4,1,12,2008,'M','N','CENTRO','PANAMBI','RS','120202201217111431347823575112610167147',8797,'9998',50.90,1,3,NULL),(16,3184714,'1988-05-04 00:00:00',4,1,6,2005,'F','N','PRAIA DA JOAQUINA','FLORIANóPOLIS','SC','124202207217371441216727373321143226111',12223,'9998',44.86,1,3,NULL),(16,3184722,'1990-05-15 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241415472721434611575112610112042',10254,'269',48.34,1,3,NULL),(16,3184730,'1978-05-29 00:00:00',2,1,12,1997,'F','N','SERRINHA','FLORIANóPOLIS','SC','124241241126145751532529195124133262142',NULL,'726',0.00,1,2,1),(16,3184749,'1990-02-24 00:00:00',4,1,12,2008,'M','N','CENTRO','CAMBé','PR','116164167416311431583316155122610154182',NULL,'9999',0.00,1,3,NULL),(16,3184757,'1988-09-07 00:00:00',4,8,11,2006,'F','N','AMéRICA','JOINVILLE','SC','124242241215472411339933475121231461187',9023,'491',50.55,1,3,NULL),(16,3184765,'1992-08-10 00:00:00',4,10,12,2009,'M','S','PORTINHO','LAGUNA','SC','124242241415151431469939572122610127092',NULL,'525',25.27,1,3,NULL),(16,3184773,'1989-04-22 00:00:00',4,8,12,2006,'M','N','MORRO DO MEIO','JOINVILLE','SC','124241246217371121423334225122610114017',NULL,'1105',0.00,1,3,NULL),(16,3184781,'1991-04-09 00:00:00',4,1,12,2008,'F','N','SANTA CRUZ','CASTRO','PR','116163205216131411564435575124610135017',NULL,'9998',0.00,1,3,NULL),(16,3184790,'1983-06-28 00:00:00',2,10,12,2000,'F','N','MORROTES','TUBARãO','SC','124241241137133431426634282344610116097',NULL,'726',0.00,1,2,1),(16,3184803,'1977-07-09 00:00:00',2,1,12,2006,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241247146131411436619395124610115147',NULL,'9997',16.34,4,1,1),(16,3184811,'1991-09-28 00:00:00',2,9,12,2008,'F','N','SãO PEDRO','LAGES','SC','124241241117371431423533392122610124172',12844,'512',43.76,4,2,1),(16,3184820,'1982-01-20 00:00:00',2,1,12,2001,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124201207226471431453312312122343263155',15760,'9999',37.89,1,3,NULL),(16,3184838,'1990-01-17 00:00:00',4,1,7,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241115132431326631375114610146051',8557,'306',51.33,1,2,1),(16,3184846,'1991-09-17 00:00:00',4,1,6,2008,'M','N','ITACORRUBI','FLORIANóPOLIS','SC','124242281417271411326634575114610124185',2083,'9998',66.87,1,3,NULL),(16,3184854,'1990-09-03 00:00:00',4,3,12,2007,'M','N','SANTA TEREZINHA','GáLIA','SP','125254251216472441367722575121610154012',2011,'9998',67.14,1,3,NULL),(16,3184862,'1992-01-15 00:00:00',2,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241216151431469911495122613224012',6778,'270',54.71,1,3,NULL),(16,3184870,'1989-10-11 00:00:00',2,1,12,2008,'F','N','BARRA DO ARIRIU','PALHOçA','SC','124241241115271731523334295334610124052',12284,'306',44.75,4,2,1),(16,3184897,'1990-10-05 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241217372431658869345124610131152',12348,'1022',44.63,1,3,NULL),(16,3184900,'1989-11-04 00:00:00',4,1,12,2008,'M','N','CENTRO','TAUBATé','SP','125252251215111431458819571112610162187',NULL,'9998',38.21,4,3,NULL),(16,3184919,'1985-04-14 00:00:00',4,1,12,2002,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124252251217274431249911471122121427092',NULL,'9998',0.00,1,3,NULL),(16,3184927,'1991-08-02 00:00:00',4,1,11,2008,'M','N','CENTRO','BIGUAçU','SC','124242241215111431449933575112610142017',5476,'270',57.52,1,3,NULL),(16,3184935,'1991-05-27 00:00:00',4,7,12,2008,'M','N','KOKI','CAMPOS NOVOS','SC','124242247226161431358814445122610164012',NULL,'9997',16.24,1,3,NULL),(16,3184943,'1989-06-05 00:00:00',2,9,12,2006,'F','N','CORAL','LAGES','SC','124242241212573431337727572112610132013',9178,'499',50.28,1,3,NULL),(16,3184951,'1991-04-20 00:00:00',2,4,12,2008,'M','N','CENTRO','VARGEãO','SC','124244241235121431338833235112610137062',NULL,'836',43.27,1,3,NULL),(16,3184960,'1987-04-02 00:00:00',4,1,12,2006,'M','N','HIGIENOPOLIS','PTO ALEGRE','RS','120202201217371431158621475222140247112',NULL,'9998',0.00,1,3,NULL),(16,3184978,'1992-10-18 00:00:00',4,1,12,2009,'F','S','ITACORUBI','FLORIANóPOLIS','SC','124162241215111431279823572124610143142',NULL,'1133',47.41,1,3,NULL),(16,3184986,'1991-11-21 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124241241115131731328629575321610124012',6439,'732',55.40,1,2,1),(16,3185001,'1991-05-12 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215271431378832574122610132112',4414,'883',59.98,1,3,NULL),(16,3185028,'1991-03-04 00:00:00',4,1,11,2008,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124244241315111331238512593124610127041',14760,'270',40.15,1,3,NULL),(16,3185036,'1990-03-27 00:00:00',4,1,12,2007,'M','N','PQ DAS FLORES','TAUBATé','SP','125251251115271431436619571344610162187',7242,'9998',53.83,4,1,1),(16,3185044,'1990-01-18 00:00:00',4,1,12,2008,'F','N','ESTORIL','CORNéLIO PROCóPIO','PR','116162161216111431436712575122610128147',NULL,'9998',0.00,1,3,NULL),(16,3185052,'1981-04-09 00:00:00',2,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124243241216111751556631345124610168042',NULL,'1036',17.41,4,3,NULL),(16,3185060,'1991-11-27 00:00:00',4,1,11,2008,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241215132431549911574122610132182',10378,'270',48.12,1,3,NULL),(16,3185079,'1991-11-29 00:00:00',4,1,12,2008,'M','N','FREITAS','PAULO LOPES','SC','124241241145271431334714475124610122192',11207,'607',46.65,1,3,NULL),(16,3185087,'1991-11-29 00:00:00',4,10,11,2009,'M','S','CAMPESTRE','TUBARãO','SC','124242241212111731359913572122610137042',NULL,'797',41.33,1,3,NULL),(16,3185117,'1989-07-05 00:00:00',4,1,12,2006,'M','N','BIGUAçU','BIGUAçU','SC','124242241212473431657712245124231024143',6610,'1040',55.03,1,3,NULL),(16,3185125,'1991-05-14 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215111431458833432124610124097',10684,'737',47.59,1,3,NULL),(16,3185133,'1991-09-26 00:00:00',4,1,11,2008,'M','N','CENTRO','GASPAR','SC','124241241417371531425923584124610124053',9123,'9997',50.38,3,3,NULL),(16,3185141,'1990-11-27 00:00:00',4,1,12,2007,'M','N','MONTE VERDE','CáCERES','MT','124112111216472431457834575114610132092',3157,'9998',63.39,1,3,NULL),(16,3185168,'1985-12-10 00:00:00',4,1,12,2003,'M','N','SETOR SUL','GOIâNIA','GO','109092091117571441438824372324143224177',103,'9998',80.90,1,3,NULL),(16,3185176,'1991-04-21 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215411431337823332122610124147',NULL,'1022',29.28,1,3,NULL),(16,3185192,'1987-12-22 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241217572431369833575115610144052',NULL,'270',44.69,4,3,NULL),(16,3185206,'1986-02-20 00:00:00',4,1,12,2004,'M','N','JD BARONESA','TAUBATé','SP','125251251115271431446619571344610162187',NULL,'9998',18.71,1,2,1),(16,3185214,'1991-09-06 00:00:00',4,3,12,2008,'M','N','BARRA SUL','CAMBORIú','SC','124252251216111431346614575122610117092',5447,'9998',57.60,1,3,NULL),(16,3185222,'1990-06-07 00:00:00',2,4,12,2007,'F','N','INTERIOR','BARRA R AZUL','RS','120201201117472431436923572224610164147',NULL,'9998',26.94,1,2,1),(16,3185230,'1989-11-12 00:00:00',4,8,12,2007,'F','N','ITAUM','JOINVILLE','SC','124241241117271751436623482324610123182',NULL,'478',29.34,1,2,1),(16,3185249,'1989-01-18 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241115151411646513331124610117092',9642,'307',49.44,1,2,1),(16,3185273,'1990-07-20 00:00:00',4,4,12,2007,'M','N','SãO JOSé','MARAVILHA','SC','124241246215272411446919275121141467042',4513,'185',59.74,1,3,NULL),(16,3185281,'1990-12-07 00:00:00',4,10,12,2008,'F','N','BELA VISTA','RIO NEGRINHO','SC','124243241315151431436923572322610132197',13809,'669',42.04,1,3,NULL),(16,3185290,'1990-12-11 00:00:00',2,4,12,2007,'F','N','TRES PALMEIRAS','CEL FREITAS','SC','124241241213132431426634242212610134187',11143,'185',46.75,1,3,NULL),(16,3185303,'1990-06-21 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241232473431458714472112610167052',4854,'270',58.96,1,3,NULL),(16,3185311,'1991-09-22 00:00:00',2,7,12,2008,'M','N','DA GRUTA','ERVAL VELHO','SC','124241241315131431336936462222610124097',NULL,'253',22.32,1,3,NULL),(16,3185320,'1989-11-19 00:00:00',2,6,12,2007,'F','N','CENTRO','ITUPORANGA','SC','124241241111132431425923575124610126147',NULL,'416',23.34,1,2,1),(16,3185338,'1984-07-15 00:00:00',4,1,12,2001,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124081201121131721434331145113610124097',NULL,'9998',34.63,1,3,NULL),(16,3185346,'1991-09-28 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215122431466811575112610167182',4247,'1022',60.37,1,3,NULL),(16,3185354,'1990-09-11 00:00:00',2,1,12,2008,'M','N','ARMAçãO DO PANTANO','FLORIANóPOLIS','SC','124241241115141421556933472124610147182',14722,'271',40.23,1,2,1),(16,3185362,'1991-03-27 00:00:00',4,6,10,2008,'M','N','CENTRO','ITAJAí','SC','124242241215111421538662574125610136187',5149,'270',58.25,1,3,NULL),(16,3185370,'1991-09-09 00:00:00',4,1,12,2009,'F','S','CÓRREGO GRANDE','FLORIANóPOLIS','SC','124242241215111731469813232124610166145',NULL,'262',28.19,1,3,NULL),(16,3185397,'1990-08-30 00:00:00',4,1,12,2007,'F','N','ALTO DA GLóRIA','GOIâNIA','GO','109092091215311441259926575112610163177',4749,'9998',59.19,1,3,NULL),(16,3185400,'1989-12-01 00:00:00',4,1,12,2007,'M','N','TAQUARAL','CAMPINAS','SP','125252251215111431458819571112610162187',NULL,'9998',0.00,1,3,NULL),(16,3185419,'1991-02-04 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215121432469613291122610164122',12333,'270',44.67,1,3,NULL),(16,3185427,'1987-09-16 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241216133421448813342124131027187',NULL,'1022',35.58,1,3,NULL),(16,3185435,'1990-02-01 00:00:00',2,1,11,2007,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124211241117232431556613445114610114147',16503,'257',35.45,1,3,NULL),(16,3185443,'1988-10-02 00:00:00',2,1,12,2006,'M','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124241241115232411333311342114610122195',NULL,'307',31.15,1,2,1),(16,3185451,'1989-02-27 00:00:00',2,4,12,2006,'F','N','COLATTO','XANXERê','SC','124242241216572441448632572344610167017',2475,'1159',65.43,1,3,NULL),(16,3185460,'1990-12-06 00:00:00',4,2,12,2008,'F','N','VELHA','BLUMENAU','SC','124243248217421431344914344124610141072',11505,'90',46.16,1,3,NULL),(16,3185486,'1984-07-14 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANóPOLIS','SC','124121121437151411243653271122342065146',11826,'9998',45.59,5,3,NULL),(16,3185494,'1991-09-26 00:00:00',4,1,12,2008,'F','N','CENTRO','CPO MOURãO','PR','116162161217371751458733572122610164042',NULL,'9998',0.00,1,3,NULL),(16,3185508,'1988-08-11 00:00:00',4,1,12,2006,'F','N','JURERê','FLORIANóPOLIS','SC','124242241212153431469833475122232723182',7969,'266',52.48,1,3,NULL),(16,3185524,'1990-09-29 00:00:00',4,7,12,2007,'F','N','CENTRO','CAMPOS NOVOS','SC','124244241215472431548933592112610163147',8343,'138',51.71,1,3,NULL),(16,3185532,'1992-05-13 00:00:00',4,1,11,2009,'M','S','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242248217111752459912497122610164047',NULL,'262',43.00,1,3,NULL),(16,3185540,'1989-03-17 00:00:00',2,4,12,2008,'F','N','NOSSA SENHORA DE FáT','BARRACãO','PR','116163161337221412528614571122610162147',NULL,'9998',22.68,1,3,NULL),(16,3185559,'1991-09-03 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241216272731458912574122610163052',1203,'883',70.89,3,3,NULL),(16,3185567,'1990-11-27 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124243241135371421647511342124610124052',11725,'307',45.78,3,3,NULL),(16,3185575,'1990-03-17 00:00:00',4,8,12,2007,'F','N','MOEMA','S PAULO','SP','125252251217271431489814575122610164182',2459,'9998',65.47,1,3,NULL),(16,3185583,'1989-02-21 00:00:00',4,1,7,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124252247435372431349934595125610122097',NULL,'9999',48.96,1,3,NULL),(16,3185591,'1981-08-31 00:00:00',2,8,12,1999,'M','N','BOM RETIRO','JOINVILLE','SC','124201203346372411623418285124233236187',12174,'9998',44.95,1,3,NULL),(16,3185613,'1989-04-01 00:00:00',4,1,12,2007,'M','N','CAMBUI','CAMPINAS','SP','125252251115271431458819571122610162187',NULL,'9998',0.00,1,3,NULL),(16,3185621,'1988-07-03 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241115131441435733281124610167113',3761,'9997',61.68,4,3,NULL),(16,3185630,'1989-12-15 00:00:00',2,1,12,2008,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124244241215121731328724575124610146092',10042,'299',48.70,1,3,NULL),(16,3185656,'1985-05-28 00:00:00',2,8,12,2002,'F','N','CENTRO','CPO ALEGRE','SC','124241241435271441433624242124610145147',12888,'829',43.69,1,3,NULL),(16,3185672,'1990-03-22 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124244241211272431349923592124610137052',8681,'883',51.11,1,3,NULL),(16,3185680,'1990-04-08 00:00:00',4,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124243241412472431436614571124610133147',10810,'1022',47.34,4,3,NULL),(16,3185699,'1990-03-01 00:00:00',4,1,12,2007,'F','N','ZONA CINCO','MARINGá','PR','116162161216271731568912495112140631052',NULL,'9998',19.49,1,3,NULL),(16,3185702,'1991-02-08 00:00:00',4,1,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124244241217371431464915422121610167142',8417,'44',51.56,1,3,NULL),(16,3185710,'1991-12-01 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241115111411326429575124610118197',14329,'281',40.99,1,2,1),(16,3185729,'1986-01-31 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124203201217231431546831432334610167047',8632,'9998',51.19,1,3,NULL),(16,3185737,'1992-02-26 00:00:00',4,1,12,2008,'M','N','ITAGUAçú','FLORIANóPOLIS','SC','124244241215112231535611572124610127017',14337,'1022',40.99,1,3,NULL),(16,3185761,'1990-02-27 00:00:00',4,1,11,2007,'F','N','JARDIM ESMERALDA','S PAULO','SP','125252251217471431358813596114610134117',7868,'9998',52.66,1,3,NULL),(16,3185788,'1990-10-24 00:00:00',4,1,11,2007,'M','N','ALPHAVILLE','SANTANA PARNAíBA','SP','125252251216411421368811215124613227042',715,'9998',74.13,1,3,NULL),(16,3185818,'1974-09-22 00:00:00',4,1,12,1991,'M','N','CENTRO','FLORIANóPOLIS','SC','124214211216575711373417431131241064097',NULL,'9998',0.00,1,3,NULL),(16,3185826,'1990-02-08 00:00:00',4,1,12,2008,'M','N','CHACARA DA BARRA','CAMPINAS','SP','125252251215111431458819571112610162187',11474,'9998',46.21,1,3,NULL),(16,3185834,'1985-03-17 00:00:00',2,1,7,2002,'F','N','CENTRO','FLORIANóPOLIS','SC','124201205617471421346823392114133222187',16549,'9998',35.21,1,3,NULL),(16,3185842,'1991-01-14 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','120243241116131431546613575124610127057',NULL,'307',31.00,1,3,NULL),(16,3185850,'1985-03-31 00:00:00',4,1,12,2002,'M','N','CAMPINAS','S JOSé','SC','124251251117271431436314482124610164197',12809,'9998',43.83,1,2,1),(16,3185869,'1991-06-18 00:00:00',4,3,12,2008,'F','N','NAçõES','BAL CAMBORIú','SC','124243241215372431357632375112610126197',5563,'44',57.35,1,3,NULL),(16,3185877,'1990-08-05 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217371411239923592124610143022',9020,'270',50.55,1,3,NULL),(16,3185893,'1991-07-17 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241115111111324619575112610168197',NULL,'281',29.53,1,2,1),(16,3185915,'1991-01-28 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241116471411438723575122610163151',NULL,'298',27.02,1,2,1),(16,3185923,'1984-06-01 00:00:00',2,1,12,2001,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241127131431123344342114130224057',NULL,'812',27.75,1,2,1),(16,3185931,'1991-07-28 00:00:00',4,2,12,2008,'F','N','VELHA','BLUMENAU','SC','124243241315111431356923575124610117112',NULL,'855',31.15,1,3,NULL),(16,3185940,'1991-11-12 00:00:00',2,1,11,2009,'M','S','ESQUINA','URUBICI','SC','124242241217131432528619282121610147182',NULL,'817',32.93,1,3,NULL),(16,3185958,'1989-12-16 00:00:00',2,1,12,2006,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241116271431113316216214610123147',NULL,'750',28.11,1,2,1),(16,3185966,'1981-08-30 00:00:00',4,7,12,1998,'M','N','MATRIZ','VIDEIRA','SC','124241241216375431489814335122330767012',NULL,'833',0.00,1,3,NULL),(16,3185974,'1990-11-24 00:00:00',2,3,12,2008,'M','N','BOQUEIRÃO','PASSO FUNDO','RS','120204201412411231426414495222610127142',7421,'9998',53.47,1,3,NULL),(16,3185982,'1987-11-10 00:00:00',2,1,12,2006,'F','N','CENTRO','PR GRANDE','SC','124241241125132431436823391314610122147',14824,'641',40.02,1,2,1),(16,3185990,'1991-11-03 00:00:00',2,5,12,2008,'M','N','URUSSANGUINHA','ARARANGUá','SC','124244241215271331547613335122610112142',10972,'970',47.07,1,3,NULL),(16,3186008,'1990-10-31 00:00:00',4,8,11,2006,'M','N','CENTRO','CURITIBA','PR','116163161315472752366631593122610168183',4958,'9998',58.71,1,3,NULL),(16,3186016,'1978-04-21 00:00:00',4,1,12,2001,'M','N','AREIAS','S JOSé','SC','524241247142241711133543232312610164042',NULL,'9999',0.00,1,3,NULL),(16,3186040,'1990-12-15 00:00:00',2,1,11,2007,'F','N','SERRARIA','S JOSé','SC','124243241125471231336414392124610167147',NULL,'730',27.44,1,3,NULL),(16,3186059,'1991-12-23 00:00:00',2,10,12,2008,'F','N','CENTRO','IMARUí','SC','124241241135161431439834475122610137097',12916,'356',43.64,1,2,1),(16,3186075,'1991-06-12 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124243241117271751535619192122610168047',NULL,'734',30.41,1,3,NULL),(16,3186083,'1987-07-31 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216575431468931375114231026092',2086,'266',66.85,1,3,NULL),(16,3186091,'1985-06-11 00:00:00',2,7,12,2001,'M','N','CENTRO','JABORá','SC','224241241146131731423333245344610124051',NULL,'9997',0.00,1,3,NULL),(16,3186105,'1990-05-14 00:00:00',2,1,6,2008,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241137271731336823375124610134147',10033,'306',48.72,4,3,NULL),(16,3186113,'1990-02-04 00:00:00',2,3,12,2007,'F','N','TABULEIRO','ITAPEMA','SC','124112161216412731456932575112610164187',NULL,'9998',26.02,1,3,NULL),(16,3186130,'1986-02-20 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242247312132421336811441114333214045',13170,'9997',43.20,4,1,2),(16,3186164,'1990-05-17 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241247435131431436531275114610167117',NULL,'9999',26.72,1,3,NULL),(16,3186172,'1989-11-10 00:00:00',2,1,11,2008,'F','N','FREITAS','PAULO LOPES','SC','124241241417131411544923575124610128057',9264,'1022',50.13,1,3,NULL),(16,3186180,'1990-08-16 00:00:00',4,3,11,2007,'F','N','CENTRO','BANDEIRANTES','PR','116162161217472731479811472122610167182',2014,'9998',67.12,1,3,NULL),(16,3186199,'1991-03-19 00:00:00',2,1,12,2008,'F','N','SãO JUDAS TADEU','BAL CAMBORIú','SC','124241241114131431535363592122610136147',NULL,'50',0.00,4,2,1),(16,3186202,'1989-05-13 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241115572431438824382124233237097',2127,'307',66.67,1,3,NULL),(16,3186210,'1991-06-25 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241248116131411337723571124610145045',NULL,'267',27.40,1,2,1),(16,3186229,'1992-03-04 00:00:00',2,2,12,2009,'F','S','BREMER','RIO SUL','SC','124242241215111411336532245122610121152',NULL,'991',43.39,1,3,NULL),(16,3186237,'1990-09-28 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124243241312232311525614372112610117057',NULL,'1076',24.69,4,3,NULL),(16,3186253,'1972-10-27 00:00:00',3,1,12,1989,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','224242241213122751468653482112322564092',8767,'272',50.96,1,3,NULL),(16,3186261,'1991-05-24 00:00:00',2,1,12,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241135141531653364242134610132145',16021,'298',37.19,1,2,1),(16,3186270,'1987-07-03 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241121471431523324282124610127047',7608,'322',53.13,4,2,1),(16,3186288,'1991-01-18 00:00:00',4,8,11,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241217111431459813474122610124187',2871,'457',64.18,1,3,NULL),(16,3186296,'1990-12-28 00:00:00',4,1,11,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215111411468612475122610138092',9779,'270',49.20,1,3,NULL),(16,3186300,'1990-12-26 00:00:00',4,1,11,2008,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124242241217111432479933331124610117112',1273,'270',70.56,1,3,NULL),(16,3186318,'1989-12-01 00:00:00',4,1,12,2006,'F','N','PASSO DA AREIA','PTO ALEGRE','RS','120201201216572431349824271122610163042',NULL,'9998',37.72,1,3,NULL),(16,3186326,'1988-11-07 00:00:00',4,1,8,2007,'M','N','TARUMã','CURITIBA','PR','116243161117152411657814284222131064047',6485,'739',55.30,1,3,NULL),(16,3186334,'1990-06-07 00:00:00',2,1,12,2008,'F','N','PENHA','RIO JANEIRO','RJ','121214214217111421428469285124610122142',NULL,'9998',27.01,1,3,NULL),(16,3186342,'1989-03-14 00:00:00',4,8,12,2006,'M','N','FLORESTA','JOINVILLE','SC','124242241215512431589933475124231412012',4810,'486',59.05,1,3,NULL),(16,3186350,'1991-06-23 00:00:00',4,1,12,2008,'M','N','FORQUILHAS','S JOSé','SC','124241241116131331645613395124610138092',NULL,'733',25.73,1,3,NULL),(16,3186369,'1991-05-14 00:00:00',2,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241125131231336823385124610112112',NULL,'290',18.88,4,3,NULL),(16,3186385,'1991-07-31 00:00:00',4,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241115161432547911295322610113197',NULL,'322',27.24,1,2,1),(16,3186393,'1982-03-08 00:00:00',2,1,10,2002,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241436135411335711245121610127113',NULL,'298',33.42,1,3,NULL),(16,3186407,'1958-04-20 00:00:00',4,3,11,1976,'F','N','AGUA VERDE','CURITIBA','PR','124241248117251441154443436334331063173',13489,'9997',42.63,1,2,1),(16,3186415,'1953-05-19 00:00:00',5,1,12,1971,'F','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','224243245126151411343349292112330964182',10214,'697',48.40,1,3,NULL),(16,3186423,'1991-01-15 00:00:00',4,1,11,2007,'F','N','SHANGAI','MOGI CRUZES','SP','125252251215471731358832592112610143122',NULL,'9998',23.53,1,3,NULL),(16,3186431,'1990-12-10 00:00:00',4,4,12,2008,'F','N','CENTRO','CAIBI','SC','124241241131161431544414571122610112147',NULL,'127',19.36,1,3,NULL),(16,3186440,'1990-03-19 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','S JOSé','SC','124241241132372431435534312123610167047',NULL,'733',27.84,1,2,1),(16,3186458,'1988-12-26 00:00:00',4,1,12,2006,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124243241316373431434419272114141464197',7935,'1118',52.55,1,3,NULL),(16,3186466,'1992-12-18 00:00:00',4,1,12,2009,'F','S','CENTRO','PALHOçA','SC','124242241215111731467712475122610167042',NULL,'989',41.39,1,3,NULL),(16,3186474,'1987-03-05 00:00:00',2,3,12,2008,'M','N','TABULEIRO','CAMBORIú','SC','124241248122131421633411142211610118052',14987,'51',39.69,4,3,NULL),(16,3186482,'1991-03-01 00:00:00',2,2,12,2008,'F','N','CANTA GALO','RIO SUL','SC','124241241411112411324816585125610164042',NULL,'991',0.00,1,3,NULL),(16,3186490,'1991-06-25 00:00:00',2,1,12,2008,'F','N','CUMBATA','STO AMARO IMPERATRIZ','SC','124241241125271521534314341124610124072',11589,'941',46.02,1,2,1),(16,3186504,'1991-08-30 00:00:00',4,1,12,2008,'F','N','VILA MARLENE','S BERNARDO CAMPO','SP','125253251447121431537632575125610135047',NULL,'9998',0.00,4,3,NULL),(16,3186512,'1989-03-05 00:00:00',4,1,6,2007,'F','N','ASA SUL','BRASíLIA','DF','107072281214471231366713576112610126144',235,'9998',78.69,1,3,NULL),(16,3186520,'1991-06-17 00:00:00',2,1,12,2008,'M','N','JARDIM CONTINENTAL','LONDRINA','PR','116161161117271431443311145124610117052',15630,'9998',38.23,1,2,1),(16,3186539,'1981-09-02 00:00:00',2,8,12,2000,'M','N','JARDIM IMPERIAL','MARINGá','PR','116251256226572631444432115122610161087',NULL,'9998',38.20,3,3,NULL),(16,3186547,'1990-11-20 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215112411536732245124610128182',NULL,'1022',32.48,3,3,NULL),(16,3186555,'1988-11-14 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241131131711324544241224610142041',NULL,'307',31.07,1,2,1),(16,3186563,'1988-10-19 00:00:00',4,1,12,2005,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124254258413572141232842157341130217175',NULL,'9998',27.48,1,3,NULL),(16,3186571,'1991-07-02 00:00:00',4,3,11,2008,'F','N','CENTRO','SANANDUVA','RS','120203201416161431558411391124610162052',NULL,'9998',24.01,1,3,NULL),(16,3186598,'1991-07-09 00:00:00',4,8,12,2008,'M','N','ALTO DA XV','CURITIBA','PR','116162161217121731668736475114610167017',13410,'9998',42.78,1,3,NULL),(16,3186601,'1991-12-20 00:00:00',2,4,12,2008,'F','N','CENTRO NORTE','DOIS VIZINHOS','PR','116161161117471411525625354225612426187',NULL,'9998',45.33,1,2,1),(16,3186610,'1982-10-18 00:00:00',2,1,12,2001,'F','N','BELA VISTA','S JOSé','SC','124241247111242421336354242224610126142',13245,'9999',43.07,1,2,1),(16,3186628,'1989-01-09 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241211412731368623571124231016192',10940,'270',47.14,1,3,NULL),(16,3186636,'1971-05-12 00:00:00',4,1,12,1987,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','224242241216122741468443432132320466112',4468,'266',59.85,1,3,NULL),(16,3186644,'1983-12-17 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANóPOLIS','SC','224241241326273431365451575114222922147',5046,'371',58.51,1,3,NULL),(16,3186652,'1991-09-25 00:00:00',2,9,12,2008,'F','N','CENTRO','PTE ALTA','SC','124244248435151531437832575122610138042',NULL,'202',24.13,1,3,NULL),(16,3186660,'1990-01-02 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217473431546632573124610166092',4713,'948',59.28,1,3,NULL),(16,3186679,'1989-07-16 00:00:00',4,5,11,2006,'M','N','COLONINHA','ARARANGUá','SC','124241241115131431523411185121610121047',NULL,'29',23.50,1,2,1),(16,3186687,'1992-04-28 00:00:00',4,3,12,2010,'F','S','CENTRO','BAL CAMBORIú','SC','124242248215131431139923575124610168147',NULL,'1086',19.45,1,3,NULL),(16,3186695,'1990-02-05 00:00:00',2,1,12,2007,'F','N','FAZENDA STO ANTONIO','S JOSé','SC','124241241132271431327521312314610137017',NULL,'733',20.10,1,2,1),(16,3186717,'1990-09-29 00:00:00',4,1,11,2008,'M','N','KOBRASSOL','S JOSé','SC','124242241215112431338933472122610114117',2811,'723',64.35,1,3,NULL),(16,3186725,'1963-03-01 00:00:00',4,1,6,1986,'M','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','624251247146152441246343231123320936117',13786,'9999',42.09,1,2,1),(16,3186733,'1991-11-18 00:00:00',4,4,12,2008,'F','N','CENTRO','XAXIM','SC','124242241215371431654432575122610137187',15226,'185',39.14,1,3,NULL),(16,3186741,'1991-08-17 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124212241215111231458813575122610127032',9683,'272',49.37,1,3,NULL),(16,3186750,'1989-10-01 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215212431438813375224610167112',7232,'270',53.85,1,3,NULL),(16,3186776,'1992-03-25 00:00:00',4,1,12,2009,'F','S','KOBRASOL','S JOSé','SC','124242241217151732558832576122610123073',NULL,'1077',36.41,1,3,NULL),(16,3186792,'1991-02-19 00:00:00',4,1,12,2008,'M','N','JARDIM VILA RICA','APARECIDA TABOADO','MS','112122121216211411454411595115610147084',13209,'9998',43.13,1,3,NULL),(16,3186806,'1982-11-08 00:00:00',2,1,12,2001,'M','N','CENTRO','FLORIANóPOLIS','SC','124243247317131431526619281124610167042',NULL,'9999',18.99,2,1,2),(16,3186814,'1990-07-26 00:00:00',4,8,11,2007,'F','N','GUAIçARA','ÁLVARES MACHADO','SP','125254251416371431453434272224610126192',14143,'9998',41.34,1,3,NULL),(16,3186822,'1991-02-16 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215121431436731275324610143077',14686,'1022',40.30,1,3,NULL),(16,3186830,'1991-07-11 00:00:00',4,1,12,2008,'F','N','IPIRANGA','S JOSé','SC','124241241115371431433314575124610166042',16111,'734',36.90,1,2,1),(16,3186865,'1991-08-20 00:00:00',4,1,11,2009,'F','S','COQUEIROS','FLORIANóPOLIS','SC','124241241115131752335779585124610168177',NULL,'271',37.52,1,3,NULL),(16,3186873,'1984-10-12 00:00:00',2,1,12,2002,'F','N','BELA VISTA I','S JOSé','SC','124241241147272431323411382124610122197',NULL,'736',29.11,1,2,1),(16,3186881,'1991-05-08 00:00:00',4,8,12,2008,'M','N','ORFAS','PNT GROSSA','PR','116162161215111731468832572122610164092',2909,'9998',64.09,1,3,NULL),(16,3186903,'1982-04-05 00:00:00',4,1,12,1999,'F','N','TRINDADE','FLORIANóPOLIS','SC','524243241217274421338729416132333267147',1861,'270',67.74,1,3,NULL),(16,3186911,'1991-04-02 00:00:00',4,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124243241215111111443334275124610123185',9972,'272',48.83,1,3,NULL),(16,3186920,'1990-08-16 00:00:00',2,1,12,2008,'F','N','ABRAãO','FLORIANóPOLIS','SC','124244241212111431248833275123610128192',NULL,'724',26.57,1,3,NULL),(16,3186938,'1991-06-04 00:00:00',2,8,12,2008,'M','N','CENTO','S BENTO SUL','SC','124242241214111431459812572122610127047',7179,'1114',53.96,1,3,NULL),(16,3186946,'1992-07-06 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111311468832591122610127052',16346,'738',36.22,1,3,NULL),(16,3186954,'1991-04-23 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124242241345121431438821415124610151187',10351,'307',48.16,1,3,NULL),(16,3186962,'1978-10-29 00:00:00',4,1,12,1995,'M','N','JARDIM UNIVERSITáRIO','CASCAVEL','PR','116062061214572411469611595112141531181',1550,'9998',69.14,1,3,NULL),(16,3186970,'1990-02-28 00:00:00',4,10,12,2006,'F','N','PORTINHO','LAGUNA','SC','124201241116131431234923572224231063077',16040,'1034',37.14,2,3,NULL),(16,3186989,'1991-03-31 00:00:00',2,4,12,2008,'F','N','CENTRO','ENTRE R SUL','RS','120201201126131431436634575124610165057',NULL,'9998',29.69,1,2,1),(16,3186997,'1990-05-29 00:00:00',4,1,12,2007,'F','N','CARANDA BOSQUE III','CPO GRANDE','MS','112124128434211111478832572222610115151',NULL,'9998',0.00,1,3,NULL),(16,3187004,'1990-03-03 00:00:00',2,1,12,2007,'F','N','LISBOA','S JOSé','SC','124241241127371431225619292114610127147',15775,'736',37.85,1,3,NULL),(16,3187012,'1989-07-30 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215573431389912575122130234122',2232,'270',66.30,1,3,NULL),(16,3187020,'1991-04-29 00:00:00',4,1,12,2008,'F','N','ALTO BIGAçU','BIGUAçU','SC','124241241115161431323421572224610127142',16476,'21',35.59,4,2,1),(16,3187039,'1989-10-28 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241335373431427369271244610144187',NULL,'270',34.66,1,3,NULL),(16,3187047,'1969-04-28 00:00:00',2,4,12,2004,'F','N','CENTRO','CRISSIUMAL','RS','120201201116131421323341112122242738187',NULL,'9998',20.04,1,3,NULL),(16,3187063,'1991-09-24 00:00:00',4,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241115131431525514215121610127142',NULL,'592',27.34,1,2,1),(16,3187071,'1987-09-15 00:00:00',4,1,12,2005,'F','N','INGLESES','FLORIANóPOLIS','SC','124241248123131411113344342334610136047',NULL,'91',24.73,4,2,1),(16,3187080,'1989-11-17 00:00:00',4,8,11,2007,'M','N','VILA SUZANA','S PAULO','SP','125252251217471441479934573124610147012',399,'9998',76.81,1,3,NULL),(16,3187098,'1991-01-06 00:00:00',2,2,12,2008,'M','N','CENTRO','LARANJEIRAS SUL','PR','116161161137371211557614271115610147142',NULL,'9998',7.01,1,2,1),(16,3187110,'1985-07-02 00:00:00',2,1,7,2008,'F','N','INTERIOR','SINIMBU','RS','124201207336131411413315452314610164057',NULL,'9999',0.00,3,3,NULL),(16,3187128,'1987-03-18 00:00:00',2,8,12,2004,'M','N','SANTA FELICIA','S CARLOS','SP','125251251116371441433311474225610164182',NULL,'9998',0.00,1,2,1),(16,3187144,'1991-10-21 00:00:00',4,3,11,2008,'M','N','SUMARé','RIO SUL','SC','124242241217271411348923575122610134142',5391,'653',57.68,1,3,NULL),(16,3187160,'1988-09-26 00:00:00',2,1,12,2006,'M','N','CENTRO','ARARANGUá','SC','124243241441162411126844441344131264072',NULL,'29',31.74,1,3,NULL),(16,3187179,'1991-10-29 00:00:00',2,1,12,2008,'F','N','BETâNIA','ANGELINA','SC','124241241112131431323336162224610127147',NULL,'17',27.58,1,2,1),(16,3187187,'1987-07-27 00:00:00',4,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSé','SC','124083241115141631445833444125610126027',15437,'733',38.69,1,3,NULL),(16,3187195,'1992-05-14 00:00:00',4,1,11,2009,'F','S','PEDRA BRANCA','PALHOçA','SC','124242241217111511559811582124610163192',NULL,'262',36.69,1,3,NULL),(16,3187209,'1990-06-15 00:00:00',4,10,11,2007,'M','N','SANTO ANDRé','CAPIVARI BAIXO','SC','124241248217271431447614445124610134012',14631,'1120',40.43,4,3,NULL),(16,3187217,'1988-11-22 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241112133431424411572124610137092',NULL,'298',26.98,1,2,1),(16,3187225,'1991-08-16 00:00:00',2,6,12,2008,'M','N','VILA DO SALTO','LUIZ ALVES','SC','124241248215111441438933592124610167052',NULL,'1026',26.69,1,3,NULL),(16,3187233,'1991-04-29 00:00:00',4,8,11,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215111431445911575122610122142',2731,'486',64.60,1,3,NULL),(16,3187241,'1992-03-11 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215151451558831575122610127053',NULL,'262',30.86,1,3,NULL),(16,3187250,'1991-07-08 00:00:00',4,5,12,2008,'F','N','CIDADE MINEIRA NOVA','CRICIúMA','SC','124241241346151431426931575124610126141',NULL,'220',23.65,2,1,2),(16,3187268,'1988-10-09 00:00:00',4,4,12,2005,'M','N','SANTA MARIA','CHAPECó','SC','124252241215574431578814575112610124041',3834,'270',61.50,1,3,NULL),(16,3187284,'1989-02-03 00:00:00',4,3,12,2006,'F','N','BATEL','CURITIBA','PR','116162161216573431338829575122610168147',1817,'9998',67.95,1,3,NULL),(16,3187292,'1990-09-07 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124244241435112411488812572124610137082',10400,'272',48.09,1,3,NULL),(16,3187306,'1991-10-09 00:00:00',4,1,12,2009,'F','S','ITAGUAçU','FLORIANóPOLIS','SC','124242241217111551489811572112610167072',NULL,'9999',17.81,1,3,NULL),(16,3187314,'1976-12-14 00:00:00',5,1,9,2000,'F','N','CENTRO','URUSSANGA','SC','124286281317131431233831242224610134097',NULL,'820',29.83,1,3,NULL),(16,3187322,'1988-01-31 00:00:00',4,1,12,2005,'F','N','JARDIM ESPLANADA','S JOSé CAMPOS','SP','125251251215472431556832375121610161027',NULL,'9998',0.00,1,3,NULL),(16,3187330,'1991-03-19 00:00:00',4,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124242241417131731337733585124610135012',NULL,'257',22.33,1,3,NULL),(16,3187349,'1988-11-14 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSé','SC','124241241211273711228719495124610162117',NULL,'1076',22.63,1,3,NULL),(16,3187357,'1991-01-11 00:00:00',4,5,12,2008,'F','N','CAMPESTRE','LAJEADO','RS','120203201317151431546823571124610148051',NULL,'9998',25.40,1,3,NULL),(16,3187373,'1991-03-08 00:00:00',1,1,11,2008,'F','N','BREMER','RIO SUL','SC','124242241212111731337879572112610144142',NULL,'654',26.52,1,3,NULL),(16,3187381,'1990-03-12 00:00:00',2,8,11,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241211472751536711591122610167127',10495,'486',47.92,1,3,NULL),(16,3187390,'1992-05-12 00:00:00',4,1,11,2008,'M','N','SUMARé','RIO SUL','SC','124244241235122441346923275122610145097',2347,'654',65.88,1,3,NULL),(16,3187403,'1991-01-25 00:00:00',4,1,12,2008,'M','N','SUMARé','RIO SUL','SC','124242241214131732459434595124610168147',11187,'654',46.68,1,3,NULL),(16,3187411,'1991-04-24 00:00:00',2,1,11,2008,'M','N','SUMARé','RIO SUL','SC','124242241215131431336324345122610147057',13036,'654',43.44,1,3,NULL),(16,3187420,'1991-11-15 00:00:00',4,1,11,2008,'F','N','SUMARé','RIO SUL','SC','124242241217121431546924295122610123147',12674,'654',44.04,1,3,NULL),(16,3187438,'1991-03-25 00:00:00',2,1,12,2008,'F','N','CENTRO','ASTORGA','PR','116162161215111431338634572122610116142',NULL,'9998',0.00,1,3,NULL),(16,3187446,'1988-11-22 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241112131431424411572124610137092',NULL,'298',19.69,1,2,1),(16,3187454,'1992-03-30 00:00:00',2,1,12,2009,'F','S','LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC','124241241115111431458813575124610122017',NULL,'267',29.97,1,3,NULL),(16,3187462,'1986-02-24 00:00:00',4,2,12,2003,'M','N','SãO DIMAS','PIRACICABA','SP','125252251216574431468834115121240364113',2795,'9998',64.41,1,3,NULL),(16,3187470,'1991-01-11 00:00:00',2,8,12,2008,'M','N','CENTRO','ARAQUARI','SC','124241242115151431436614575344610162147',16696,'24',33.11,1,2,1),(16,3187489,'1989-04-19 00:00:00',2,1,8,2007,'M','N','CAMPINAS','S JOSé','SC','124242241115572531658514572124610162042',5004,'739',58.60,2,1,2),(16,3187500,'1991-06-28 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215151411338824475112610162122',5443,'883',57.60,1,3,NULL),(16,3187519,'1991-03-15 00:00:00',4,10,11,2008,'M','N','OFICINAS','TUBARãO','SC','124242241215111431666863575112610137042',11282,'807',46.50,1,3,NULL),(16,3187527,'1991-05-09 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241115131431626321371224610133187',NULL,'307',29.37,3,2,1),(16,3187535,'1991-11-13 00:00:00',4,1,12,2008,'F','N','CENTRO','ANTôNIO CARLOS','SC','124241241115161731426334572223610133147',13718,'21',42.23,1,2,1),(16,3187543,'1991-04-26 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241147111731331923575124610167057',NULL,'257',23.22,1,2,1),(16,3187551,'1991-03-06 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','624242241213512721368632282124610117052',1822,'270',67.93,1,3,NULL),(16,3187560,'1990-10-23 00:00:00',2,1,12,2007,'F','N','JARDIM TANGARá','STA ADéLIA','SP','125254251217272431428711385124610168112',14459,'9998',40.77,1,3,NULL),(16,3187578,'1992-07-08 00:00:00',4,1,12,2009,'F','S','FORQUILHAS','S JOSé','SC','124242241215111731568711572122610137057',NULL,'262',52.60,1,3,NULL),(16,3187586,'1983-06-06 00:00:00',4,1,12,2000,'F','N','MORADAS DA COLINA','GUAíBA','RS','120201201116471421635344345334610132097',NULL,'9998',0.00,1,2,1),(16,3187594,'1987-09-24 00:00:00',4,1,12,2004,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241226154331456613282124122226127',8949,'414',50.66,1,3,NULL),(16,3187608,'1959-04-22 00:00:00',4,1,12,1983,'M','N','TRINDADE','FLORIANóPOLIS','SC','624243247226134421225444341334321626097',NULL,'497',0.00,4,1,2),(16,3187616,'1989-08-03 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124201205117321711446652571124610124142',NULL,'9998',27.03,4,2,1),(16,3187624,'1990-03-18 00:00:00',2,1,12,2007,'F','N','CACHOEIRA','FLORIANóPOLIS','SC','124241241112142411524624341234610145144',NULL,'288',27.74,1,3,NULL),(16,3187632,'1990-03-06 00:00:00',2,5,11,2007,'F','N','CENTRO','IçARA','SC','124242241214472321234812495122610137013',14681,'226',40.31,1,3,NULL),(16,3187640,'1987-01-29 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241248117271431336624342234610132047',13936,'257',41.78,1,2,1),(16,3187659,'1989-12-05 00:00:00',4,1,12,2006,'M','N','CENTRO','MANDAGUARI','PR','116164161217572431468932572115610164052',7905,'9998',52.59,1,3,NULL),(16,3187667,'1991-05-02 00:00:00',4,6,11,2008,'M','N','PRAIA DOS AMORES','BAL CAMBORIú','SC','124242241215111431478619571122610127072',776,'1038',73.63,1,3,NULL),(16,3187683,'1989-06-05 00:00:00',4,1,12,2006,'M','N','AFONSO PENA','S JOSé PINHAIS','PR','116162161236371711438639492122241417182',NULL,'9998',0.00,1,3,NULL),(16,3187691,'1991-09-30 00:00:00',2,4,12,2008,'F','N','INTERIOR','ENTRE RIOS','SC','124241241112111211456616572212610118057',NULL,'249',22.74,1,2,1),(16,3187705,'1989-12-06 00:00:00',5,1,7,2008,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','612122281216271551468816464121610132142',NULL,'9998',0.00,1,3,NULL),(16,3187713,'1989-05-03 00:00:00',4,8,11,2006,'M','N','CENTRO','CURITIBA','PR','116162161415571431256823575125610127047',NULL,'9998',0.00,1,3,NULL),(16,3187730,'1990-08-26 00:00:00',4,1,12,2008,'F','N','BOM VIVER','BIGUAçU','SC','124243248217141231536313395124610127147',NULL,'63',0.00,1,3,NULL),(16,3187748,'1985-09-23 00:00:00',2,1,11,2005,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124251251147471631113344445324610116182',NULL,'9998',24.03,2,1,1),(16,3187756,'1988-09-23 00:00:00',4,8,12,2006,'M','N','OFICINAS CAJURU','CURITIBA','PR','116161161336571411346614471124610126032',5427,'9998',57.62,1,3,NULL),(16,3187764,'1990-04-26 00:00:00',4,6,12,2007,'F','N','ÁGUAS CLARAS','BRUSQUE','SC','124241241117371431544431575122610122147',8007,'113',52.41,1,2,1),(16,3187772,'1990-03-02 00:00:00',2,1,7,2007,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242248217371431456414472124133237187',NULL,'9999',23.30,1,3,NULL),(16,3187780,'1991-07-26 00:00:00',4,5,11,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215151431468831574122610164077',7017,'213',54.25,1,3,NULL),(16,3187799,'1990-06-04 00:00:00',2,1,11,2007,'F','N','CENTRO','S JOAQUIM','SC','124243241215132431436613315122610148077',NULL,'1035',27.43,1,3,NULL),(16,3187802,'1984-01-12 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215272431548623485124321664092',4149,'272',60.64,1,3,NULL),(16,3187810,'1989-12-10 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241212272431546612571134610165097',NULL,'883',34.44,1,3,NULL),(16,3187829,'1991-05-15 00:00:00',4,1,12,2008,'F','N','SERRARIAS','S JOSé','SC','124241241115251731223329375124610164013',16465,'307',35.64,4,2,1),(16,3187837,'1983-10-11 00:00:00',2,10,12,2002,'M','N','CENTRO','STA MARIA','RS','120201201116131711336621291125240267027',NULL,'9998',0.00,1,2,1),(16,3187845,'1990-11-05 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124243247436131231336624575124610137052',NULL,'9999',26.92,4,1,2),(16,3187861,'1991-07-14 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241115111411669514576124610167081',NULL,'1022',30.70,1,3,NULL),(16,3187870,'1992-04-11 00:00:00',4,3,12,2010,'F','S','CENTRO','BAL CAMBORIú','SC','124242241217411431458711311122610134092',NULL,'44',24.62,1,3,NULL),(16,3187888,'1991-04-05 00:00:00',2,1,11,2008,'M','N','CENTRO','CURITIBA','PR','116162161215471431589912575114610117017',NULL,'9998',38.89,4,1,2),(16,3187896,'1991-11-21 00:00:00',2,5,12,2008,'M','N','SANTA BáRBARA','CRICIúMA','SC','124244241115131431446934575122610137067',2052,'226',66.98,1,3,NULL),(16,3187900,'1991-07-12 00:00:00',2,8,11,2008,'M','N','NOVA BRASíLIA','JOINVILLE','SC','124244241147371431436611375124610127182',14739,'481',40.20,4,3,NULL),(16,3187918,'1990-10-29 00:00:00',2,1,11,2008,'F','N','PONTA DE BAIXO','S JOSé','SC','124242241215111431428614495124610117147',15179,'1011',39.25,1,3,NULL),(16,3187926,'1991-06-24 00:00:00',4,5,12,2008,'F','N','VILA BEATRIZ','MARACAJá','SC','124241241116131411456913575124610147147',NULL,'30',29.72,1,2,1),(16,3187934,'1992-02-22 00:00:00',2,1,11,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111731248734572124610127152',NULL,'1086',39.22,1,3,NULL),(16,3187942,'1992-06-05 00:00:00',4,8,12,2010,'F','S','ANITA GARIBALDI','JOINVILLE','SC','124242241217111411589812592122610133132',NULL,'491',37.40,1,3,NULL),(16,3187950,'1988-09-30 00:00:00',2,3,12,2005,'F','N','SELMI DEY','ARARAQUARA','SP','125092241216573431526521472112610164011',5436,'9997',57.62,4,3,NULL),(16,3187969,'1987-06-01 00:00:00',4,1,12,2005,'F','N','COPACABANA','RIO JANEIRO','RJ','121211211116131431449831471124141035147',NULL,'9998',0.00,1,2,1),(16,3187977,'1987-09-11 00:00:00',4,1,12,2004,'F','N','CENTRO','RIBEIRãO PRETO','SP','125134131416571751549819575325610113147',1594,'9998',68.92,1,3,NULL),(16,3187985,'1991-08-31 00:00:00',4,1,11,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217111432468833592112610127185',NULL,'270',52.89,1,3,NULL),(16,3187993,'1991-03-12 00:00:00',4,1,11,2008,'M','N','CHAMPAGNAT','CURITIBA','PR','116162161217111712379934575115610167182',NULL,'9998',0.00,1,3,NULL),(16,3188000,'1982-04-21 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241126131122126648285324130267147',NULL,'804',28.87,1,2,1),(16,3188019,'1991-08-20 00:00:00',2,1,12,2008,'F','N','ABRAãO','FLORIANóPOLIS','SC','124241241415121221536911491114610123142',NULL,'269',24.17,1,3,NULL),(16,3188027,'1989-08-16 00:00:00',2,2,12,2006,'F','N','BARRAAGEM','RIO SUL','SC','124241241346131431446923141124131322177',15342,'864',38.89,1,3,NULL),(16,3188035,'1990-04-20 00:00:00',4,5,11,2007,'M','N','PROSPERA','CRICIúMA','SC','124241241217111311445633235112233218182',11501,'226',46.17,1,3,NULL),(16,3188043,'1991-08-23 00:00:00',2,1,12,2008,'M','N','ALTO ARROIO','IMBITUBA','SC','124241241117371711423317286224610164197',NULL,'361',26.72,1,2,1),(16,3188051,'1990-07-16 00:00:00',4,1,12,2008,'F','N','JARDIM TANZI','S ROQUE','SP','125252251216111431458833572115610122097',15341,'9998',38.89,1,3,NULL),(16,3188060,'1989-02-27 00:00:00',4,1,12,2006,'M','N','SUMARé','S PAULO','SP','125252251215521431458821571125610164047',5035,'9998',58.54,1,3,NULL),(16,3188078,'1990-07-15 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124246241616372431349933575124610116197',NULL,'271',0.00,1,3,NULL),(16,3188086,'1991-11-29 00:00:00',4,4,12,2008,'F','N','CENTROO','S CARLOS','SC','124241241145471731538933575122610138047',NULL,'704',15.48,1,3,NULL),(16,3188116,'1992-11-02 00:00:00',4,5,12,2009,'F','S','BARRO VERMELHO','ORLEANS','SC','124242241215111431347914475122610132092',NULL,'226',41.32,1,3,NULL),(16,3188124,'1991-03-27 00:00:00',4,2,11,2008,'F','N','BENJAMIN CONSTANT','MASSARANDUBA','SC','124241241217111431336614345124610167057',9191,'855',50.26,1,3,NULL),(16,3188132,'1974-02-24 00:00:00',5,1,6,1994,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241346153731364479392122322234042',8959,'263',50.65,1,3,NULL),(16,3188140,'1992-05-23 00:00:00',2,1,12,2009,'M','S','ROçADO','S JOSé','SC','124242241212111731558632572122610167072',NULL,'738',27.64,1,3,NULL),(16,3188159,'1988-03-09 00:00:00',4,1,12,2006,'M','N','VILA MARIANA','S PAULO','SP','125252251217471411368829495111143267047',7314,'9998',53.68,1,3,NULL),(16,3188167,'1990-07-12 00:00:00',2,9,12,2007,'M','N','SAGRADO','LAGES','SC','124243241415271431536933471215610168187',7939,'1065',52.53,1,3,NULL),(16,3188175,'1991-04-18 00:00:00',2,8,12,2008,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116161161135471441333363272224610164187',NULL,'9998',0.00,1,2,1),(16,3188183,'1983-07-07 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241216272431468711415122333164117',6718,'882',54.84,5,3,NULL),(16,3188191,'1991-08-28 00:00:00',2,1,12,2008,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','116242241216122431358821215114610162141',1113,'270',71.36,1,3,NULL),(16,3188205,'1988-02-08 00:00:00',4,3,12,2005,'F','N','CENTRO','BAL CAMBORIú','SC','124242241212513231289922575122130222172',5532,'9999',57.40,1,3,NULL),(16,3188213,'1991-02-23 00:00:00',4,1,11,2008,'M','N','UNIVERSITáRIO','TIJUCAS','SC','124242241215111431533812271122610167042',16000,'948',37.25,1,3,NULL),(16,3188221,'1992-05-28 00:00:00',2,5,12,2008,'F','N','LINHA TORRENS','MRO FUMAçA','SC','124241241236111421436933592122610114142',8043,'226',52.34,1,3,NULL),(16,3188230,'1988-11-01 00:00:00',2,5,12,2005,'F','N','CENTRO','PR GRANDE','SC','124241241136574431548631575124610127141',1636,'641',68.73,1,2,1),(16,3188248,'1988-09-03 00:00:00',4,3,12,2006,'M','N','ABRANCHES','CURITIBA','PR','116162161216371431488812575112143217042',NULL,'9998',0.00,1,3,NULL),(16,3188256,'1981-10-13 00:00:00',4,1,12,1999,'F','N','TRINDADE','FLORIANóPOLIS','SC','124204208214153431126643235124340664117',NULL,'9998',20.13,1,3,NULL),(16,3188264,'1983-08-25 00:00:00',4,1,12,2000,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244241116274731466623432122121227117',10174,'307',48.47,1,3,NULL),(16,3188272,'1992-10-07 00:00:00',4,1,12,2009,'F','S','SAMBAQUI','FLORIANóPOLIS','SC','124241241112171432446623572124610167142',NULL,'307',22.55,1,3,NULL),(16,3188280,'1983-06-14 00:00:00',4,1,12,2000,'F','N','TRINDADE','FLORIANOPOLIS','SC','124201201116132431123349342314140212145',12673,'9998',44.04,1,3,NULL),(16,3188299,'1989-03-22 00:00:00',4,1,12,2006,'M','N','BACURI','IMPERATRIZ','MA','110102101217572431468713575222610126082',NULL,'9998',36.70,1,3,NULL),(16,3188302,'1992-05-23 00:00:00',1,8,12,2009,'M','S','CENTRO','JOINVILLE','SC','124242241217111431459924375122610127067',NULL,'457',56.96,1,3,NULL),(16,3188310,'1990-03-04 00:00:00',4,3,12,2008,'M','N','VILA NOVA','FRANCISCO BELTRãO','PR','116162161216371431578812575122610164064',8024,'9998',52.39,1,3,NULL),(16,3188329,'1989-11-19 00:00:00',4,8,12,2006,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161215471431566412575114610147047',7580,'9998',53.19,1,3,NULL),(16,3188337,'1991-08-03 00:00:00',2,1,11,2008,'F','N','CENTRO','NOVA TRENTO','SC','124242241215111431533812271122610167072',15993,'948',37.26,1,3,NULL),(16,3188345,'1990-03-14 00:00:00',2,1,12,2008,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124244241431111431454419395124610167057',NULL,'272',33.51,1,3,NULL),(16,3188353,'1991-04-25 00:00:00',4,1,11,2008,'M','N','URBANOVA','S JOSé CAMPOS','SP','125252251215121431368611575111610167042',9285,'9998',50.10,1,3,NULL),(16,3188361,'1991-05-20 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215271421327829573114610167045',9882,'262',49.00,1,3,NULL),(16,3188370,'1991-04-20 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124244248415412431466624572124610117042',14544,'1118',40.62,1,3,NULL),(16,3188388,'1990-01-08 00:00:00',2,1,11,2008,'M','N','PRAIA COMPRIDA','S JOSé','SC','124241241115111632326313392124610117181',NULL,'307',32.59,2,1,1),(16,3188396,'1981-09-22 00:00:00',4,1,12,1998,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215372421438822345122332822071',10706,'272',47.54,1,3,NULL),(16,3188418,'1991-09-03 00:00:00',4,1,12,2008,'M','N','AREIAS','S JOSé','SC','124242241215111431448823432111610167052',14779,'976',40.11,1,3,NULL),(16,3188426,'1990-05-10 00:00:00',4,10,12,2008,'F','N','STO ANTONIO DE PADUA','TUBARãO','SC','124242241211111431459914242112610168192',3864,'806',61.42,1,3,NULL),(16,3188442,'1991-10-12 00:00:00',4,7,2,2006,'F','N','SANTA CRUZ','CONCóRDIA','SC','124241241114151531346613574215610144047',13376,'192',42.83,4,2,1),(16,3188450,'1991-02-05 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241217131431223321375125610155077',13952,'738',41.75,1,3,NULL),(16,3188469,'1988-04-05 00:00:00',2,1,12,2005,'M','N','GONZAGA','SANTOS','SP','116161161112545531336511591122610164142',6909,'9998',54.48,1,3,NULL),(16,3188477,'1991-11-13 00:00:00',4,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124242241216272431436632245122610127042',NULL,'989',33.02,1,3,NULL),(16,3188493,'1993-05-14 00:00:00',4,10,12,2010,'F','S','CERAMARTE','RIO NEGRINHO','SC','124242241215111431458631575112610123012',NULL,'541',54.87,1,3,NULL),(16,3188507,'1991-05-30 00:00:00',4,1,11,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215131351467934575124610163016',6750,'883',54.77,1,3,NULL),(16,3188515,'1989-06-04 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124241241133271231536613295314610123047',16213,'730',36.64,1,2,1),(16,3188523,'1989-01-25 00:00:00',4,1,12,2007,'M','N','CENTRO','PETRóPOLIS','RJ','125102211216471411369913575114610127052',NULL,'9998',0.00,4,3,NULL),(16,3188531,'1991-02-18 00:00:00',2,5,12,2007,'F','N','NOVA DIVINEIA','ARARANGUá','SC','124241241116142431536312242112610112141',NULL,'30',22.13,1,2,1),(16,3188540,'1982-04-30 00:00:00',2,1,11,2008,'F','N','MORRO DA CRUZ','FLORIANóPOLIS','SC','124241247145131421336653382124610114097',NULL,'9999',0.00,1,3,NULL),(16,3188566,'1989-01-08 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124162161216473411566619295125223017145',12722,'9998',43.97,1,3,NULL),(16,3188574,'1992-09-12 00:00:00',4,5,11,2009,'M','S','CENTRO','CRICIúMA','SC','124242241215111451369611575122610164172',NULL,'213',59.34,1,3,NULL),(16,3188582,'1990-11-14 00:00:00',1,1,12,2008,'F','N','JARDIM COLINA','PRES PRUDENTE','SP','125252251225111431577832572122610127182',12441,'9998',44.48,1,3,NULL),(16,3188590,'1991-06-07 00:00:00',4,1,12,2008,'M','N','SANTO ANT DE LISBOA','FLORIANóPOLIS','SC','124241241135141421544319242124610137047',NULL,'279',26.39,1,3,NULL),(16,3188612,'1990-10-25 00:00:00',4,1,12,2007,'F','N','IPIRANGA','S JOSé','SC','124242241215272431454823342134610167057',16132,'738',36.83,1,3,NULL),(16,3188620,'1989-08-02 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124122121217574431359811475124610132042',726,'9998',74.05,3,3,NULL),(16,3188639,'1988-07-27 00:00:00',5,1,12,2005,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241116133411433311395124222926147',10645,'245',47.66,1,2,1),(16,3188647,'1991-08-19 00:00:00',4,1,11,2008,'F','N','III PLANO','DOURADOS','MS','112122121217111731446834375122610131192',1560,'9998',69.06,1,3,NULL),(16,3188663,'1983-03-07 00:00:00',4,1,12,2000,'M','N','PANTANAL','FLORIANóPOLIS','SC','124162161216371431238642325124140227042',403,'9998',76.76,1,3,NULL),(16,3188671,'1989-03-04 00:00:00',4,1,12,2007,'M','N','CENTRO','TOLEDO','PR','116164161217471441438812576144610164042',876,'9998',72.82,1,3,NULL),(16,3188680,'1990-02-01 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','224161161137131431437459341234610143057',16394,'9998',35.97,3,2,1),(16,3188698,'1990-11-17 00:00:00',4,1,11,2007,'F','N','KOBRASOL','S JOSé','SC','124243248216152751263327575114610112057',NULL,'1036',25.70,1,3,NULL),(16,3188710,'1987-04-24 00:00:00',4,1,12,2004,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215275751468933572124222662147',337,'269',77.53,1,3,NULL),(16,3188728,'1992-07-29 00:00:00',4,1,12,2009,'M','S','AREIAS','S JOSé','SC','124242248212111431467712575124610127052',NULL,'270',38.19,1,3,NULL),(16,3188744,'1990-03-23 00:00:00',2,5,11,2007,'F','N','MINA DO MATO','CRICIúMA','SC','124241241215372431443534572112610143072',NULL,'226',0.00,1,3,NULL),(16,3188752,'1991-05-08 00:00:00',4,1,12,2008,'M','N','JARDIM PALERMO','S BERNARDO CAMPO','SP','125252251214111431568812245123610167072',13042,'9998',43.43,1,3,NULL),(16,3188787,'1990-07-16 00:00:00',2,1,11,2007,'M','N','JD CIDADE DE FPOLIS','S JOSé','SC','124203241117371421456613345114610117047',NULL,'257',32.34,1,3,NULL),(16,3188809,'1991-05-04 00:00:00',4,3,12,2008,'M','N','CENTRO','TIJUCAS','SC','124242241217111431578812572122610162052',4543,'1119',59.68,1,3,NULL),(16,3188825,'1988-09-08 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSé','SC','124241241147273431433624294124610124111',NULL,'307',37.42,4,1,1),(16,3188833,'1984-07-23 00:00:00',2,1,12,2004,'F','N','JARDIM DAS ACáCIAS','S JOSé','SC','124241241126372421224344245334610124147',15056,'295',39.54,1,3,NULL),(16,3188841,'1990-09-05 00:00:00',4,1,12,2008,'F','N','CENTRO','NATéRCIA','MG','113131131117131431426723575125610117147',NULL,'9998',13.64,1,2,1),(16,3188850,'1991-05-17 00:00:00',2,1,12,2008,'F','N','FLOR DE NAPOLIS','S JOSé','SC','124243241136131411225571315224610163147',NULL,'733',34.64,1,3,NULL),(16,3188868,'1990-01-09 00:00:00',4,1,12,2007,'M','N','VILA BASTOS','STO ANDRé','SP','125252251215371711488932575122610146112',NULL,'9998',0.00,1,3,NULL),(16,3188876,'1988-02-19 00:00:00',2,1,12,2005,'M','N','JD ANáPOLIS','BIGUAçU','SC','124241241147371441526411242113330254051',5646,'50',57.17,1,3,NULL),(16,3188884,'1992-01-08 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241117371431558933577122610114072',5193,'267',58.12,1,2,1),(16,3188892,'1967-03-11 00:00:00',2,1,12,1985,'F','N','CAMPINAS','S JOSé','SC','124242243326144721344441315124121142097',10444,'446',48.01,1,3,NULL),(16,3188914,'1990-06-10 00:00:00',2,5,12,2007,'F','N','COMERCIáRIO','CRICIúMA','SC','124242241215272431658814575112610114097',7236,'213',53.84,1,3,NULL),(16,3188930,'1990-07-17 00:00:00',4,1,7,2008,'M','N','ITAIM BIBI','S PAULO','SP','125252257217271441489911585124610167076',6525,'9998',55.23,1,3,NULL),(16,3188949,'1988-06-23 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANóPOLIS','SC','124241247212172331338819395124133222017',NULL,'9999',8.07,1,3,NULL),(16,3188957,'1988-11-19 00:00:00',2,1,12,2005,'M','N','CENTRO','PALHOçA','SC','124162161217273431658812345124233217031',6719,'9998',54.84,1,3,NULL),(16,3188965,'1990-05-21 00:00:00',2,2,12,2007,'M','N','CENTRO','CEL FREITAS','SC','124243241312131431646914585121230736187',NULL,'185',30.69,1,3,NULL),(16,3188981,'1987-06-09 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241117132431225424342334610117047',NULL,'298',25.43,1,2,1),(16,3188990,'1991-07-26 00:00:00',2,4,12,2008,'M','N','INTERIOR','PALMITINHO','RS','120201201115131631423823572324610116057',NULL,'9998',25.18,1,3,NULL),(16,3189015,'1977-03-04 00:00:00',4,1,12,1995,'F','N','VILA THAíS','ATIBAIA','SP','125252251216151421115641215325340217022',NULL,'9998',0.00,1,3,NULL),(16,3189023,'1991-02-05 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215111431458814392112610135142',13960,'226',41.73,1,3,NULL),(16,3189040,'1991-05-28 00:00:00',4,2,11,2008,'M','N','CENTRO','BRUSQUE','SC','124242244215271731579811475122610167092',4043,'109',60.94,1,3,NULL),(16,3189058,'1990-08-20 00:00:00',4,8,11,2007,'F','N','CENTRO','JOINVILLE','SC','124242241215372331376831575122231026072',767,'457',73.68,1,3,NULL),(16,3189066,'1991-03-12 00:00:00',2,9,11,2008,'M','N','FREI ROGERIO','LAGES','SC','124242241216112231368813575125610117052',10958,'497',47.10,1,3,NULL),(16,3189074,'1991-11-18 00:00:00',2,1,12,2008,'F','N','CENTRO','IMBITUBA','SC','124241241215111231225633575122610122071',15169,'362',39.27,1,3,NULL),(16,3189104,'1991-10-17 00:00:00',4,10,11,2008,'F','N','STO ANTôNIO DE PáDUA','TUBARãO','SC','124241241215111431423311571345610134172',1590,'807',68.92,1,3,NULL),(16,3189112,'1991-03-08 00:00:00',4,3,12,2008,'M','N','CENTRO','S BENTO SUL','SC','124241241117131751446823575112610114052',NULL,'697',27.62,1,2,1),(16,3189120,'1991-05-21 00:00:00',4,1,11,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124242241216121711443623575124610162042',15778,'723',37.84,2,3,NULL),(16,3189139,'1991-09-12 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124201241417131411338869596121610123182',7536,'269',53.26,4,3,NULL),(16,3189147,'1990-07-19 00:00:00',4,1,12,2007,'F','N','IPANEMA','MONDAí','SC','124241241416271431468813575122610124182',NULL,'752',26.34,1,3,NULL),(16,3189155,'1991-07-15 00:00:00',4,7,12,2008,'F','N','CENTRO','HERVAL D OESTE','SC','124241241115471431433511274124610134097',15745,'341',37.93,1,3,NULL),(16,3189163,'1991-08-27 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215371711566612575112610168104',5409,'1118',57.65,1,3,NULL),(16,3189171,'1989-04-04 00:00:00',4,8,12,2006,'F','N','ATIRADORES','JOINVILLE','SC','124244241215571431347633595125232462087',11971,'491',45.31,1,3,NULL),(16,3189180,'1987-08-16 00:00:00',4,8,12,2004,'F','N','ALTO DA XV','CURITIBA','PR','116162161215572751548832575122242467187',NULL,'9998',0.00,3,3,NULL),(16,3189198,'1988-01-12 00:00:00',2,1,12,2005,'M','N','BATEL','CURITIBA','PR','116161161436571411479912335124241132162',NULL,'9998',0.00,4,3,NULL),(16,3189201,'1991-04-25 00:00:00',4,4,12,2008,'M','N','CENTRO','LIBERATO SALZANO','RS','120201201116151731336629575122610126147',16048,'9998',37.11,1,2,1),(16,3189210,'1992-09-17 00:00:00',4,1,11,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124243241215111431348724475124610142122',4769,'1022',59.13,1,3,NULL),(16,3189228,'1987-04-02 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241216152431444934375224321734072',3923,'317',61.27,1,3,NULL),(16,3189236,'1991-10-01 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431468923575112610167042',3951,'270',61.20,1,3,NULL),(16,3189252,'1987-02-04 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242247221131411128449312335610122197',NULL,'9997',22.70,1,3,NULL),(16,3189260,'1991-11-19 00:00:00',4,1,12,2008,'M','N','PARQUE CIDADE JARDIM','UMUARAMA','PR','116162161215471431468831575122610167082',1730,'9998',68.30,1,3,NULL),(16,3189279,'1990-11-01 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124241241117141431536623145124610167047',NULL,'307',31.74,2,1,1),(16,3189287,'1991-12-19 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241127111231446712142124610167052',NULL,'285',24.82,1,2,1),(16,3189295,'1991-07-04 00:00:00',4,2,10,2008,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241217271411589611572122610144122',4872,'855',58.94,1,3,NULL),(16,3189309,'1990-03-22 00:00:00',4,1,12,2007,'M','N','ICARAí','NITERóI','RJ','121212211216471431658819575112610134127',6476,'9998',55.32,1,3,NULL),(16,3189317,'1988-03-29 00:00:00',4,1,7,2006,'M','N','BARREIROS','S JOSé','SC','124241241127372411623316292123221465057',NULL,'947',29.23,1,3,NULL),(16,3189325,'1990-05-25 00:00:00',4,1,11,2007,'F','N','CENTRO','ESTEIO','RS','120203201215471541225524177141241463157',3835,'9998',61.49,1,3,NULL),(16,3189333,'1988-12-05 00:00:00',4,1,12,2005,'F','N','BAIRRO IPIRANGA','S JOSé','SC','124241241216273441248823372124610144147',11201,'943',46.66,2,3,NULL),(16,3189341,'1990-05-08 00:00:00',4,1,11,2007,'F','N','ALPHAVILLE','BARUERI','SP','125252251115371431456712322122610164147',NULL,'9998',32.98,1,3,NULL),(16,3189368,'1990-12-19 00:00:00',4,1,12,2007,'M','N','FAZENDA SANTO ANTôNI','S JOSé','SC','124241241212132431236424341122230244142',5351,'1075',57.78,1,3,NULL),(16,3189376,'1991-10-17 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124242241217121431467834484112610134112',3028,'262',63.71,1,3,NULL),(16,3189384,'1991-03-22 00:00:00',2,1,12,2008,'M','N','COHAB NOVA','POCONé','MT','111114111217161431355912572121610134052',8532,'9998',51.37,4,3,NULL),(16,3189392,'1992-02-22 00:00:00',4,4,11,2008,'M','N','CENTRO','FRANCISCO BELTRãO','PR','116162161215371431358831275112610164072',5730,'9998',57.00,1,3,NULL),(16,3189406,'1980-02-26 00:00:00',4,1,12,2008,'M','N','RATONES','FLORIANóPOLIS','SC','124221247222141411123336292244610147047',NULL,'9997',32.55,1,3,NULL),(16,3189414,'1991-10-03 00:00:00',4,8,11,2008,'F','N','CENTRO','CURITIBA','PR','116162161215111231548613375124610166097',NULL,'9998',0.00,1,3,NULL),(16,3189422,'1989-01-08 00:00:00',2,9,11,2006,'F','N','CENTRO','S JOAQUIM','SC','124242241215313731443912592112610167092',NULL,'1038',25.79,1,3,NULL),(16,3189449,'1991-06-30 00:00:00',2,1,11,2008,'F','N','CENTRO','AGRONôMICA','SC','124243241215111531444616575124610126147',13584,'663',42.48,1,3,NULL),(16,3189457,'1990-12-07 00:00:00',4,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116242168217472431579911572124610167042',1676,'9998',68.52,3,3,NULL),(16,3189465,'1990-04-21 00:00:00',4,8,10,2007,'F','N','MERCES','CURITIBA','PR','116162161215411731228829575214610164097',2119,'9998',66.72,1,3,NULL),(16,3189473,'1991-08-07 00:00:00',4,1,12,2008,'F','N','ALTO ARIRIú','PALHOçA','SC','124242241216152431446614572124610123042',9581,'1014',49.57,1,3,NULL),(16,3189481,'1991-09-26 00:00:00',4,2,12,2008,'M','N','VILA NOVA','BLUMENAU','SC','124243241215111431689714246124610168182',8914,'88',50.72,1,3,NULL),(16,3189490,'1989-08-11 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124163247215241431588834575122610145095',NULL,'9999',34.95,1,3,NULL),(16,3189503,'1989-08-23 00:00:00',4,1,12,2006,'M','N','PINHEIROS','S PAULO','SP','125122121217572431189911571122610127042',5342,'9998',57.80,1,3,NULL),(16,3189511,'1990-11-19 00:00:00',4,3,12,2008,'F','N','CENTRO','FREDERICO WESTPHALEN','RS','120204201117131431448933575122610111157',NULL,'9998',24.92,1,3,NULL),(16,3189520,'1987-06-28 00:00:00',4,1,12,2007,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241145472411336613445224610114097',NULL,'307',44.59,1,2,1),(16,3189538,'1989-08-28 00:00:00',4,8,12,2006,'F','N','CENTRO','JARAGUá SUL','SC','124241241215573411346923474122610162147',9573,'441',49.59,1,3,NULL),(16,3189546,'1991-08-02 00:00:00',4,8,11,2008,'M','N','GLORIA','JOINVILLE','SC','124242241217271431478732575112610164012',4624,'457',59.48,1,3,NULL),(16,3189554,'1988-04-21 00:00:00',2,1,12,2005,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124093091216411431326527475124130241192',10865,'9998',47.25,4,3,NULL),(16,3189562,'1991-07-31 00:00:00',4,5,12,2008,'M','N','BARRO VERMELHO','ORLEANS','SC','124242241211112431459911415125610148122',1125,'226',71.31,1,3,NULL),(16,3189570,'1990-10-31 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111711446632575122610164077',5523,'9997',57.41,1,3,NULL),(16,3189597,'1989-02-21 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241215373231339724492124230217041',NULL,'260',34.19,1,3,NULL),(16,3189600,'1981-03-19 00:00:00',4,1,12,1997,'F','N','AMERICA','JOINVILLE','SC','124242241212475421127643332233321331182',NULL,'272',0.00,1,3,NULL),(16,3189619,'1990-10-14 00:00:00',2,8,11,2007,'F','N','CAPAO RASO','CURITIBA','PR','116162168214572541448632572122610167182',NULL,'9998',0.00,1,3,NULL),(16,3189627,'1991-10-23 00:00:00',4,8,11,2008,'F','N','VILA BANCARIA','CPO LARGO','PR','116162161215111431456616462124610164097',NULL,'9998',0.00,1,3,NULL),(16,3189635,'1991-11-02 00:00:00',4,6,12,2008,'F','N','DOM BOSCO','ITAJAí','SC','124242241217111231564931215122610122072',NULL,'1057',28.80,1,3,NULL),(16,3189651,'1991-02-07 00:00:00',4,4,12,2008,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162161235271332566612275112610147042',1880,'9998',67.67,1,3,NULL),(16,3189660,'1991-06-19 00:00:00',4,1,12,2008,'F','N','MEDIANEIRA','PANAMBI','RS','120202201217161431347835175125610167047',NULL,'9998',21.85,1,3,NULL),(16,3189678,'1992-01-29 00:00:00',4,7,11,2008,'M','N','CENTRO','IRANI','SC','124241241217111431566613292122610128052',NULL,'446',35.30,1,3,NULL),(16,3189686,'1991-07-28 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242248215111731456412472222610138057',13101,'738',43.32,1,3,NULL),(16,3189694,'1991-07-23 00:00:00',4,1,12,2008,'F','N','FORQUILHAS','S JOSé','SC','124241241115141731333334345124610124142',NULL,'733',25.42,1,2,1),(16,3189708,'1991-11-07 00:00:00',4,1,11,2008,'M','N','PEDRO LUDOVICO','GOIâNIA','GO','109092091215171451589911571122610144032',NULL,'9998',0.00,1,3,NULL),(16,3189716,'1991-12-16 00:00:00',4,1,2,2009,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241216111432438613575124610134197',14068,'723',41.52,4,1,2),(16,3189724,'1990-07-12 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241212372511226821595124231167052',3673,'270',61.90,1,3,NULL),(16,3189732,'1990-09-12 00:00:00',4,8,12,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241215471432458314572114610162142',7018,'489',54.25,1,3,NULL),(16,3189740,'1988-06-27 00:00:00',2,3,12,2005,'F','N','CENTRO','BAL CAMBORIú','SC','124241241116371731534324245115610113097',16089,'51',36.98,2,3,NULL),(16,3189759,'1990-06-11 00:00:00',2,3,12,2007,'F','N','JARDIM ELDORADO','PARANAGUá','PR','116162161215472751637814571224243234127',NULL,'9998',40.39,1,3,NULL),(16,3189767,'1991-01-04 00:00:00',2,1,12,2008,'M','N','CENTRO','ANTôNIO CARLOS','SC','124241241115152431433631242122610117142',11314,'21',46.46,1,2,1),(16,3189791,'1990-02-19 00:00:00',4,1,12,2007,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124252251217372731436612392124610167017',NULL,'9998',23.50,1,3,NULL),(16,3189805,'1992-01-28 00:00:00',4,8,12,2008,'F','N','PQ DAS BANDEIRAS','MARINGá','PR','116161161216271431626811595112610167186',4210,'9998',60.45,1,3,NULL),(16,3189813,'1987-01-09 00:00:00',2,1,12,2003,'F','N','ABRAãO','FLORIANóPOLIS','SC','124241241112373421547639243134610167147',NULL,'307',32.66,2,2,1),(16,3189821,'1991-12-03 00:00:00',2,4,12,2008,'M','N','INTERIOR','PALMITINHO','RS','120201201117131621623515572324610116042',NULL,'9998',20.63,1,3,NULL),(16,3189848,'1989-11-13 00:00:00',2,1,11,2006,'F','N','CENTRO','IMBITUBA','SC','124241241117132431537933575124610127187',NULL,'359',35.83,1,2,1),(16,3189856,'1991-09-07 00:00:00',5,8,11,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161216411451457823311124610111182',NULL,'9998',0.00,1,3,NULL),(16,3189864,'1992-12-21 00:00:00',4,4,12,2009,'M','S','CENTRO','CHAPECó','SC','124242241115151531556732575115610147127',NULL,'185',59.04,1,3,NULL),(16,3189872,'1984-10-15 00:00:00',4,9,6,2003,'M','N','PASSO FUNDO','LAGES','SC','124074077417142431458611491124230364095',6490,'9999',55.29,1,3,NULL),(16,3189880,'1991-03-14 00:00:00',4,5,11,2008,'M','N','RIO MAINA','CRICIúMA','SC','124242241215111731449939575122610164072',13108,'210',43.31,1,3,NULL),(16,3189899,'1990-01-28 00:00:00',4,10,11,2007,'M','N','CENTRO','GRAVATAL','SC','124242241217272411477612245114121714172',8463,'9997',51.47,1,3,NULL),(16,3189902,'1991-09-06 00:00:00',4,5,11,2008,'F','N','CANUDO','ORLEANS','SC','124241241215111431245832571124610148182',11612,'226',45.98,1,3,NULL),(16,3189910,'1991-10-16 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431289823572114610127182',7989,'270',52.45,1,3,NULL),(16,3189929,'1988-06-29 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215473431469613477124220767047',7669,'270',53.02,1,3,NULL),(16,3189937,'1991-10-18 00:00:00',4,1,11,2008,'M','N','RESIDENCIAL DO LAGO','LONDRINA','PR','116162161215141751589819474122610144083',NULL,'9998',0.00,1,3,NULL),(16,3189945,'1987-05-28 00:00:00',4,5,12,2004,'F','N','LOTE SEIS','CRICIúMA','SC','124242241211155431369724571122232424147',4271,'213',60.32,1,3,NULL),(16,3189953,'1991-09-05 00:00:00',4,1,12,2008,'M','N','PASSA VINTE','PALHOçA','SC','124241241115111431223623372124610117055',NULL,'592',32.94,1,3,NULL),(16,3189961,'1991-05-07 00:00:00',2,3,12,2008,'M','N','CENTRO','CAçAPAVA SUL','RS','120204201217121431537814572122610138147',15350,'9998',38.87,1,3,NULL),(16,3189970,'1988-01-01 00:00:00',4,1,11,2005,'M','N','PEDRO LUDOVICO','GOIâNIA','GO','109092091215371451489911571122143234042',NULL,'9998',0.00,1,3,NULL),(16,3189996,'1989-11-16 00:00:00',2,6,12,2007,'M','N','ITAIPAVA','ITAJAí','SC','124241241325372431323314344124610166047',4558,'1038',59.66,1,3,NULL),(16,3190005,'1989-04-16 00:00:00',4,1,12,2006,'F','N','ZONA','MARINGá','PR','116162161215571431568519471112610163093',2984,'9998',63.85,1,3,NULL),(16,3190013,'1991-05-04 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241112131431534514342124610147142',NULL,'287',35.68,1,2,1),(16,3190021,'1991-12-05 00:00:00',4,1,12,2009,'F','S','CAPOEIRAS','FLORIANóPOLIS','SC','124242241216171431436627572124610163071',NULL,'273',29.46,1,3,NULL),(16,3190030,'1991-03-24 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124251241147131431321319381324610124147',NULL,'307',29.87,1,2,1),(16,3190056,'1991-09-14 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215131431236821572114610124122',10138,'1022',48.55,1,3,NULL),(16,3190064,'1990-05-16 00:00:00',2,1,11,2007,'M','N','BOM VIVER','BIGUAçU','SC','124242241212342431446634245124610167012',8993,'738',50.60,1,3,NULL),(16,3190072,'1990-04-19 00:00:00',4,5,11,2007,'F','N','JARDIM ELIZABETE','IçARA','SC','124242241215473431534624475122610145092',1062,'226',71.68,1,3,NULL),(16,3190102,'1982-01-15 00:00:00',4,1,6,2004,'M','N','PICADAS DO NORTE','S JOSé','SC','124241247127371431224444341223610122042',NULL,'9999',12.99,1,2,1),(16,3190110,'1992-05-30 00:00:00',4,1,2,2009,'M','N','BARREIROS','S JOSé','SC','124242247215151432659811475122610127047',8851,'738',50.81,1,3,NULL),(16,3190129,'1992-02-27 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241115131411448714577114610167147',6494,'273',55.29,1,3,NULL),(16,3190137,'1991-09-26 00:00:00',2,1,12,2008,'F','N','BARREIROS','SAO JOSE','SC','124241241135131131326629385124610133117',NULL,'257',22.67,1,2,1),(16,3190145,'1987-03-04 00:00:00',2,1,9,2005,'F','N','BELA VISTA II','S JOSé','SC','124242247317272411457811382124610144117',16031,'9999',37.16,1,3,NULL),(16,3190153,'1988-11-28 00:00:00',2,1,11,2007,'F','N','PEDRO LUDOVICO','GOIâNIA','GO','109092091215371451488611571122610133182',NULL,'9998',0.00,1,3,NULL),(16,3190161,'1987-04-11 00:00:00',4,1,11,2004,'F','N','ADRIANOPOLIS','MANAUS','AM','104042041216141431558814435132240233092',NULL,'9998',0.00,4,3,NULL),(16,3190170,'1990-10-26 00:00:00',2,1,12,2007,'M','N','UNIVERSITARIO','TIJUCAS','SC','124241241134132221535334285224221767053',NULL,'783',36.29,1,2,1),(16,3190188,'1951-02-09 00:00:00',2,1,5,1981,'F','N','INGLESES','FLORIANóPOLIS','SC','124241247112153411343149392112122266187',NULL,'9999',39.49,1,2,1),(16,3190196,'1988-07-05 00:00:00',4,1,11,2006,'F','N','PAULISTA','PIRACICABA','SP','125252251217572331558811575122610122072',4564,'9998',59.64,1,3,NULL),(16,3190218,'1991-11-14 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241217122431569832575122610143122',7191,'262',53.93,1,3,NULL),(16,3190226,'1992-09-18 00:00:00',4,1,12,2009,'M','S','BARRA DA LAGOA','FLORIANóPOLIS','SC','124242241215111431358923572112610112112',NULL,'883',34.51,1,3,NULL),(16,3190234,'1991-04-11 00:00:00',4,1,11,2008,'F','N','CREMAçãO','BELéM','PA','114142141237111431678831576122610124012',1077,'9998',71.58,1,3,NULL),(16,3190277,'1991-03-31 00:00:00',4,1,12,2008,'F','N','MARECHAL FLORIANO','CAXIAS SUL','RS','120202201216131431568732146124610147077',NULL,'9998',26.70,1,3,NULL),(16,3190285,'1991-06-14 00:00:00',4,1,12,2008,'M','N','PASSA VINTE','PALHOçA','SC','124241241114111431434723235121610127142',16474,'592',35.60,1,2,1),(16,3190293,'1991-03-17 00:00:00',4,1,12,2008,'F','N','SãO SEBASTIãO','PALHOçA','SC','124241241115161431446413492124610166147',15514,'307',38.51,1,2,1),(16,3190307,'1991-02-17 00:00:00',4,1,12,2008,'M','N','INTERIOR','MARCELINO RAMOS','RS','120206202617111732453336575125610168047',NULL,'9998',24.12,1,3,NULL),(16,3190315,'1992-06-19 00:00:00',4,5,10,2009,'F','S','PIO CORRêA','CRICIúMA','SC','124242241215121431469814196112610144072',NULL,'226',36.43,1,3,NULL),(16,3190323,'1992-02-05 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124214241417111732469713475115610128011',NULL,'262',40.95,1,3,NULL),(16,3190331,'1992-10-03 00:00:00',4,1,12,2009,'F','S','COQUEIROS','IMBé','RS','120203201116111431443813235122610126042',NULL,'9998',27.56,1,3,NULL),(16,3190340,'1991-08-25 00:00:00',2,1,11,2008,'F','N','CENTRO','TRêS PASSOS','RS','120201201415371731336923572122610163097',NULL,'9998',11.65,1,3,NULL),(16,3190358,'1990-11-28 00:00:00',4,1,12,2008,'M','N','PICADAS DO SUL','S JOSé','SC','124242241215111431447933575124610127047',NULL,'1074',43.98,1,3,NULL),(16,3190366,'1991-06-28 00:00:00',4,6,11,2008,'M','N','CENTRO','BAL PIçARRAS','SC','124241241117131431525634242121610127147',8642,'614',51.18,4,2,1),(16,3190374,'1987-11-01 00:00:00',4,8,12,2004,'M','N','COSTA E SILVA','JOINVILLE','SC','124241246217371431336511385124333245142',1440,'494',69.58,1,3,NULL),(16,3190382,'1991-04-21 00:00:00',2,5,11,2008,'M','N','SAO LUIZ','SOMBRIO','SC','124242247217111431568713585121610137012',NULL,'770',31.22,1,3,NULL),(16,3190404,'1989-01-29 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215574411258923595122131237142',4200,'262',60.48,1,3,NULL),(16,3190412,'1979-06-08 00:00:00',4,1,12,1999,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241336132411119841315134120968177',8597,'185',51.26,1,3,NULL),(16,3190420,'1990-05-11 00:00:00',2,5,12,2007,'F','N','AREIAS BRANCAS','ARROIO SAL','RS','120201201117471731323411181242610132197',NULL,'9998',31.87,1,2,1),(16,3190439,'1986-11-23 00:00:00',2,7,12,2006,'F','N','BOQUEIRAO','CURITIBA','PR','116163027145571431326621375314610113042',12275,'9999',44.77,1,3,NULL),(16,3190447,'1986-12-30 00:00:00',4,1,12,2007,'F','N','MAURO RAMOS','FLORIANóPOLIS','SC','124241241121471731424414431324610132142',NULL,'729',25.75,3,2,1),(16,3190455,'1983-06-29 00:00:00',2,1,12,2001,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241336145431556664445124232067047',13817,'300',42.02,2,1,2),(16,3190463,'1992-05-03 00:00:00',2,4,12,2008,'M','N','CENTRO','CAIBI','SC','124244242115161431459913572122610132172',NULL,'758',0.00,1,3,NULL),(16,3190471,'1993-05-01 00:00:00',4,1,12,2009,'F','S','BARRA','BAL CAMBORIú','SC','124244241217111431449934575124610124172',NULL,'1038',46.67,4,3,NULL),(16,3190480,'1991-12-11 00:00:00',4,4,12,2009,'M','S','CENTRO','MARAVILHA','SC','124241248135141432334634341332610133057',NULL,'552',27.15,1,3,NULL),(16,3190498,'1989-01-24 00:00:00',4,1,11,2006,'M','N','ADRIANOPOLIS','MANAUS','AM','104042041216141431558814442132240837122',NULL,'9998',0.00,1,3,NULL),(16,3190501,'1987-10-08 00:00:00',2,1,6,2006,'M','N','SãO JOSé','S JOSé','SC','124243247335572431226623592124610167182',9884,'9999',49.00,1,3,NULL),(16,3190528,'1991-12-26 00:00:00',4,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215111432489714375122610132042',11680,'1133',45.86,1,3,NULL),(16,3190536,'1991-10-31 00:00:00',4,1,11,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241217111411438633572124610125075',9018,'270',50.55,1,3,NULL),(16,3190544,'1990-03-10 00:00:00',4,1,12,2007,'F','N','NOVA SUIçA','VALINHOS','SP','125252251215471431486612575112610112182',NULL,'9998',0.00,1,3,NULL),(16,3190552,'1991-08-15 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','120202201236211431445832225122610123156',NULL,'9998',0.00,1,3,NULL),(16,3190560,'1991-03-20 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124161241115371431557634572124610144057',NULL,'732',25.05,1,2,1),(16,3190579,'1991-01-10 00:00:00',4,1,12,2008,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124202241217111431579914575122610127012',8823,'1133',50.85,1,3,NULL),(16,3190587,'1991-11-22 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215121431358814344122610162122',8200,'1038',52.01,1,3,NULL),(16,3190595,'1991-01-21 00:00:00',2,8,12,2008,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242246217151331559612575122610137182',NULL,'1105',28.30,1,3,NULL),(16,3190609,'1989-03-01 00:00:00',4,1,6,2007,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241247217471731338639495122610123147',15369,'9999',38.84,1,3,NULL),(16,3190617,'1989-07-20 00:00:00',2,1,11,2008,'M','N','BELA VISTA I','S JOSé','SC','124241241116111431534524475124610122017',NULL,'726',35.94,1,3,NULL),(16,3190625,'1989-06-24 00:00:00',2,1,10,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241417111431424614575114610114067',9528,'269',49.67,1,3,NULL),(16,3190633,'1991-10-21 00:00:00',4,8,12,2008,'M','N','COLONIAL','S BENTO SUL','SC','124241241217151431468913235112610114052',7301,'974',53.71,1,3,NULL),(16,3190650,'1993-03-10 00:00:00',4,1,11,2009,'M','S','TRINDADE','FLORIANóPOLIS','SC','124242241215121411579713575122610116122',NULL,'1133',36.68,4,3,NULL),(16,3190668,'1986-11-14 00:00:00',2,1,12,2003,'M','N','CARIANOS','FLORIANóPOLIS','SC','124201201136271411538823432314142327013',NULL,'9998',40.51,1,2,1),(16,3190676,'1991-05-30 00:00:00',4,1,12,2008,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241115111431469931175114610127112',10266,'262',48.31,1,3,NULL),(16,3190684,'1990-12-14 00:00:00',4,1,12,2007,'M','N','AGOSTINI','S MIGUEL OESTE','SC','124244241235372431479933575123121157052',2051,'752',66.98,1,3,NULL),(16,3190692,'1987-06-15 00:00:00',2,1,12,2004,'M','N','ARTUR ALVIM','S PAULO','SP','125252251216573411444633445114141942042',6187,'9998',55.95,4,3,NULL),(16,3190706,'1990-09-03 00:00:00',4,6,12,2008,'F','N','JARDIM PEDRA MAR','JACAREí','SP','125251251515121431223329572324610154147',NULL,'9998',0.00,1,3,NULL),(16,3190714,'1991-04-26 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241415111431458614575122610126147',9596,'1022',49.53,1,3,NULL),(16,3190749,'1978-08-04 00:00:00',2,8,11,1995,'M','N','CENTRO','GUARAPUAVA','PR','116163161116571431568831174122340268017',NULL,'9998',0.00,1,3,NULL),(16,3190757,'1991-09-27 00:00:00',2,5,11,2008,'M','N','COLONINHA','ARARANGUá','SC','124244241215121431449813575112610167052',NULL,'32',25.29,1,3,NULL),(16,3190765,'1991-03-24 00:00:00',2,2,11,2008,'F','N','CENTRO','STO CRISTO','RS','120202201216161431469714575124610131097',NULL,'9998',23.89,1,3,NULL),(16,3190781,'1991-01-11 00:00:00',4,1,11,2008,'M','N','JUNDIAí','ANáPOLIS','GO','109092091215111441549931295122610167187',2518,'9998',65.28,3,3,NULL),(16,3190790,'1990-12-26 00:00:00',4,1,12,2008,'F','N','POMPEIA','S PAULO','SP','125252251215251431578831575122610165147',NULL,'9998',0.00,1,3,NULL),(16,3190811,'1990-03-20 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215372431358834595124610126092',8983,'269',50.61,1,3,NULL),(16,3190838,'1990-06-21 00:00:00',4,1,11,2007,'F','N','JURERE INTERNACIONAL','FLORIANóPOLIS','SC','124242241216371431378819575124610122121',NULL,'270',37.79,1,3,NULL),(16,3190862,'1991-06-10 00:00:00',2,1,12,2008,'F','N','SANTA CATARINA','BIGUAçU','SC','124241241115141431336311346124610164077',13668,'21',42.33,1,2,1),(16,3190889,'1989-12-27 00:00:00',2,8,12,2007,'F','N','BUCAREIN','JOINVILLE','SC','124241246216271441446614345124610166042',14613,'494',40.47,1,3,NULL),(16,3190897,'1991-06-14 00:00:00',4,1,12,2007,'F','N','CENTRO','ASTORGA','PR','116162161215372431665531572122610164097',13486,'9998',42.64,1,3,NULL),(16,3190919,'1989-01-06 00:00:00',2,1,12,2006,'M','N','CANTO','FLORIANóPOLIS','SC','124243241415373221556823245114610167072',6260,'1022',55.76,1,3,NULL),(16,3190927,'1988-01-16 00:00:00',4,1,12,2004,'F','N','CAMPINAS','S JOSé','SC','124202201213271431638823472314140264047',8530,'9998',51.37,1,3,NULL),(16,3190935,'1991-10-09 00:00:00',4,2,11,2008,'M','N','VILA FORMOSA','BLUMENAU','SC','124242241215111411453633575112610166042',2791,'87',64.44,1,3,NULL),(16,3190943,'1988-05-28 00:00:00',2,1,12,2008,'M','N','SAMBAQUI','FLORIANóPOLIS','SC','124222241216131311469931585124610137042',NULL,'1048',23.96,1,3,NULL),(16,3190951,'1991-12-10 00:00:00',4,4,12,2008,'M','N','CENTRO','BOM J OESTE','SC','124241241115161531323336572225610122057',NULL,'94',27.76,1,3,NULL),(16,3190978,'1989-11-07 00:00:00',4,1,11,2006,'M','N','LAGOINHA','RIBEIRãO PRETO','SP','125252251217471531468812571122610137043',3321,'9998',62.94,1,3,NULL),(16,3190986,'1988-09-22 00:00:00',4,4,12,2005,'M','N','MENGES','STO ÂNGELO','RS','120202201216571421578813275112140727042',NULL,'9998',0.00,1,3,NULL),(16,3190994,'1992-08-10 00:00:00',2,1,11,2008,'F','N','PARQUE SãO JORGE','FLORIANóPOLIS','SC','124242241215111411446933571124610128042',11561,'1133',46.07,1,3,NULL),(16,3191001,'1988-12-18 00:00:00',2,9,12,2005,'F','N','CENTRO','LAGES','SC','116244241215513431247923572225610126097',1210,'499',70.86,1,3,NULL),(16,3191010,'1991-05-16 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215122431456511492122610125111',12689,'270',44.01,1,3,NULL),(16,3191028,'1991-12-23 00:00:00',2,7,11,2008,'F','N','CENTRO','CAMPOS NOVOS','SC','124242247215112431453312154122610132092',NULL,'962',28.65,1,3,NULL),(16,3191036,'1991-07-24 00:00:00',4,2,12,2008,'F','N','CENTRO','INDAIAL','SC','124242241216371431238824575124610162122',5173,'909',58.18,1,3,NULL),(16,3191044,'1991-11-28 00:00:00',2,1,11,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124243241417111751458733272114610167022',9752,'269',49.24,1,3,NULL),(16,3191052,'1992-06-29 00:00:00',4,4,11,2008,'M','N','NAçõES','CONCóRDIA','SC','124242241235151431364822575112610162012',10800,'1000',47.36,1,3,NULL),(16,3191060,'1990-05-27 00:00:00',4,9,12,2007,'M','N','CABRAL','CURITIBA','PR','116163161215471431456812574114610167017',159,'9998',79.86,3,3,NULL),(16,3191079,'1991-01-31 00:00:00',2,5,12,2007,'F','N','COMERCIáRIO','CRICIúMA','SC','124244201215471441638834574122610127042',NULL,'9998',40.02,1,3,NULL),(16,3191087,'1982-09-07 00:00:00',2,1,12,1999,'M','N','CAMPINAS','S JOSé','SC','124201201147131431254461382113610167052',14247,'9998',41.14,1,2,1),(16,3191095,'1990-05-11 00:00:00',2,1,11,2007,'F','N','BARREIROS','S JOSé','SC','124241241215572421368913392122610127157',NULL,'1118',28.89,1,3,NULL),(16,3191109,'1986-02-22 00:00:00',4,1,11,2003,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243241417135411556819491125221467182',8397,'270',51.60,1,3,NULL),(16,3191117,'1990-01-23 00:00:00',4,1,12,2008,'M','N','SANTO ANTONIO','S CAETANO SUL','SP','125252251216111431489834272122610167042',NULL,'9998',0.00,1,3,NULL),(16,3191125,'1989-05-20 00:00:00',2,1,12,2006,'M','N','JD SANTA MARIA','SUMARé','SP','125251251145571431426611572224610161052',2530,'9998',65.24,1,2,1),(16,3191133,'1990-10-10 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242248215472731356619495114610123145',NULL,'300',21.74,1,3,NULL),(16,3191141,'1990-03-17 00:00:00',4,1,12,2007,'M','N','PARQUE SãO DOMINGOS','S PAULO','SP','125252251211471431478633375112610168056',NULL,'9998',0.00,4,3,NULL),(16,3191168,'1991-07-06 00:00:00',4,5,12,2008,'F','N','CENTRO','IçARA','SC','124242241215121431477731475112610146092',2868,'226',64.18,1,3,NULL),(16,3191184,'1991-09-20 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124244241217271431446653575122610127117',8669,'738',51.12,1,3,NULL),(16,3191192,'1989-11-10 00:00:00',4,1,11,2006,'F','N','TAMBORé','SANTANA PARNAíBA','SP','125252251217571731358821474114610164192',NULL,'9998',38.25,1,3,NULL),(16,3191206,'1991-03-20 00:00:00',4,10,11,2008,'M','N','CENTRO','S MARTINHO','SC','124241246216111431538733474114610137062',16494,'1120',35.49,1,3,NULL),(16,3191214,'1985-02-12 00:00:00',4,1,12,2002,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241345375431548633215124233267147',15238,'95',39.11,1,3,NULL),(16,3191222,'1991-01-28 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124251241315272431336734572114610143147',13171,'1074',43.19,1,3,NULL),(16,3191230,'1990-09-07 00:00:00',4,1,11,2008,'F','N','SERRARIA','S JOSé','SC','111112111216111431468815475122610146142',11337,'9998',46.43,1,3,NULL),(16,3191249,'1991-02-08 00:00:00',4,1,12,2008,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241215111431248821175114610162047',NULL,'270',46.92,1,3,NULL),(16,3191257,'1991-05-05 00:00:00',4,5,10,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215271411356823574122610116042',6162,'213',56.00,1,3,NULL),(16,3191265,'1991-03-09 00:00:00',4,4,12,2008,'F','N','CENTRO','S LOURENçO OESTE','SC','124241241116131431434414245125610143057',NULL,'745',20.27,1,2,1),(16,3191273,'1986-10-07 00:00:00',2,3,12,2004,'F','N','BOA VISTA','CURITIBA','PR','116042041415571431155612575324140265017',8835,'9998',50.83,4,3,NULL),(16,3191290,'1991-08-05 00:00:00',2,1,12,2008,'F','N','FORQUILHAS','S JOSé','SC','124241241112151431616313572124610123145',NULL,'733',17.56,1,3,NULL),(16,3191311,'1991-04-21 00:00:00',4,1,12,2008,'F','N','SANTA GENOVEVA','GOIâNIA','GO','109092091217131311558719585124610165097',15708,'9998',38.05,1,3,NULL),(16,3191320,'1991-11-02 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124241241117161431436611572124610113051',NULL,'257',32.28,1,2,1),(16,3191338,'1990-08-25 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215112431488819572111610122092',6407,'262',55.46,3,3,NULL),(16,3191346,'1990-09-20 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241116151731423314575124610127042',NULL,'307',31.23,1,2,1),(16,3191354,'1990-05-17 00:00:00',2,1,11,2007,'F','N','ARMAçãO','FLORIANóPOLIS','SC','124244241415272421458634346124610124092',NULL,'300',29.55,1,3,NULL),(16,3191362,'1990-11-16 00:00:00',2,1,12,2008,'F','N','AREIAS','S JOSé','SC','124241241212111431623311592342610136142',NULL,'976',27.04,1,3,NULL),(16,3191370,'1991-06-15 00:00:00',4,1,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161215111211558814475122610166042',NULL,'9998',0.00,1,3,NULL),(16,3191389,'1984-01-31 00:00:00',4,1,6,2002,'M','N','PANTANAL','FLORIANóPOLIS','SC','124281288131151431225341415224542246042',9291,'9998',50.09,1,3,NULL),(16,3191397,'1992-07-24 00:00:00',2,5,11,2008,'F','N','CENTRO','ERMO','SC','124244241216131411436624442122610161077',NULL,'813',35.17,1,3,NULL),(16,3191400,'1991-06-16 00:00:00',2,10,11,2008,'F','N','CENTRO','TUBARãO','SC','124241241215111432436929572125610127142',4141,'806',60.67,1,3,NULL),(16,3191419,'1990-03-16 00:00:00',4,1,12,2007,'M','N','JARDIM DAS OLIVEIRAS','CAMPINAS','SP','125251251116371432456614575114610137082',NULL,'9998',34.43,1,2,1),(16,3191427,'1991-01-29 00:00:00',4,1,12,2008,'F','N','CANASVIERIAS','FLORIANóPOLIS','SC','124243241215121411437613432124610135147',11614,'1022',45.97,1,3,NULL),(16,3191435,'1991-06-26 00:00:00',4,8,12,2008,'F','N','NOVA BRASíLIA','JARAGUá SUL','SC','124243241215111431446414275122610143072',16265,'422',36.48,1,3,NULL),(16,3191443,'1991-10-15 00:00:00',2,1,12,2008,'F','N','BELA VISTA','PALHOçA','SC','124241241125231222524314592124610164097',NULL,'1108',27.01,1,2,1),(16,3191451,'1992-10-17 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANóPOLIS','SC','124242241212111431457713472124610113051',NULL,'1022',24.38,1,3,NULL),(16,3191460,'1992-05-28 00:00:00',4,1,11,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124244241217111431569914371122610164142',NULL,'723',37.48,1,3,NULL),(16,3191478,'1991-03-15 00:00:00',4,6,11,2008,'M','N','JARDIM RIVA','PRIMAVERA LESTE','MT','111112111216111731358934572121610162187',NULL,'9998',31.41,1,3,NULL),(16,3191486,'1989-03-10 00:00:00',4,1,12,2006,'F','N','JARDIM AQUARIUS','S JOSé CAMPOS','SP','125251251215473431458714575124610134097',5779,'9998',56.86,1,3,NULL),(16,3191494,'1984-03-15 00:00:00',2,7,11,2002,'M','N','BATEL','CURITIBA','PR','116241247647574431336579282324610115042',NULL,'1093',36.11,1,3,NULL),(16,3191508,'1991-11-14 00:00:00',2,8,10,2008,'F','N','CENTRO','CPO NOVO PARECIS','MT','111111111216111731231923432222610138147',NULL,'9998',22.66,1,3,NULL),(16,3191516,'1987-03-27 00:00:00',2,1,11,2005,'M','N','JARDIM ABC','CIDADE OCIDENTAL','GO','107071071117131431513666386324140217046',NULL,'9998',0.00,1,3,NULL),(16,3191524,'1990-07-30 00:00:00',2,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116164161414471431148911575122610143142',NULL,'9998',0.00,1,3,NULL),(16,3191532,'1990-03-23 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115131231469834492124610167047',NULL,'733',23.98,1,2,1),(16,3191540,'1991-09-07 00:00:00',4,1,12,2008,'M','N','SANTA CRUZ','GUARAPUAVA','PR','116162161216121231468936575124610134047',4344,'9998',60.15,1,3,NULL),(16,3191559,'1990-02-27 00:00:00',2,8,12,2008,'M','N','COHAPAR','PIRAQUARA','PR','116161161315411731544823371124610167142',NULL,'9998',0.00,2,3,NULL),(16,3191567,'1992-08-07 00:00:00',4,1,2,2010,'M','S','COQUEIROS','FLORIANóPOLIS','SC','624244248417111411658612325114610127042',NULL,'262',26.75,1,3,NULL),(16,3191575,'1990-04-10 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215151652586311275112610164117',NULL,'299',45.44,1,3,NULL),(16,3191583,'1990-10-30 00:00:00',2,1,12,2007,'F','N','CENTRO','SANTIAGO','RS','120201201417472431346723472124610133192',11047,'9998',46.93,1,3,NULL),(16,3191591,'1993-04-15 00:00:00',2,6,11,2009,'M','S','PIONEIROS','BAL CAMBORIú','SC','124242241215151431426639575122610163047',NULL,'44',26.00,1,3,NULL),(16,3191605,'1991-06-11 00:00:00',2,4,12,2008,'F','N','CENTRO','FREDERICO WESTPHALEN','RS','120201201115131731546923575122610138147',NULL,'9998',0.00,1,2,1),(16,3191613,'1990-02-27 00:00:00',4,8,10,2008,'M','N','GLóRIA','JOINVILLE','SC','124242241215111431578711572112610145097',13040,'491',43.43,4,3,NULL),(16,3191621,'1990-10-20 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241216111431446633492124610127115',13334,'269',42.91,1,3,NULL),(16,3191648,'1990-07-09 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241212111331447633332122610123097',NULL,'269',19.60,1,3,NULL),(16,3191664,'1991-01-29 00:00:00',4,2,12,2008,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124242241216112411678914345124610148112',2770,'71',64.50,1,3,NULL),(16,3191680,'1991-12-15 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217111411248627375114610142192',308,'270',77.92,1,3,NULL),(16,3191699,'1992-06-16 00:00:00',4,1,11,2009,'F','S','JARDIM COLINAS','S JOSé CAMPOS','SP','125252251217111531379919292124610144112',NULL,'9998',0.00,1,3,NULL),(16,3191702,'1991-11-04 00:00:00',4,5,11,2008,'M','N','MINA BRASIL','CRICIúMA','SC','124242241215111431538711475112610162062',3046,'226',63.67,1,3,NULL),(16,3191710,'1990-01-03 00:00:00',2,1,12,2007,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241217572431578831572124610127052',11073,'270',46.89,1,3,NULL),(16,3191729,'1991-01-14 00:00:00',4,4,12,2008,'M','N','CENTRO','PALMITINHO','RS','120201201116131431535923575121610164047',NULL,'9998',25.56,1,2,1),(16,3191745,'1991-08-09 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','123233241215111531625512575122610133197',16579,'9997',35.00,1,3,NULL),(16,3191753,'1990-10-22 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124242248217111431248811475111610117047',9829,'499',49.10,1,3,NULL),(16,3191761,'1991-04-24 00:00:00',4,1,11,2008,'F','N','GRANJA VIANA','COTIA','SP','125252251217111431578812571122610161077',NULL,'9998',0.00,1,3,NULL),(16,3191770,'1991-08-13 00:00:00',4,10,11,2008,'M','N','HUMAITA','TUBARãO','SC','124241241215151431348514575122610121171',5763,'809',56.93,1,3,NULL),(16,3191788,'1991-09-27 00:00:00',4,10,11,2008,'F','N','CENTRO','TUBARãO','SC','124242241215122431468712475112610164092',12828,'807',43.80,1,3,NULL),(16,3191796,'1984-04-30 00:00:00',4,1,12,2001,'F','N','JD AUREA','POá','SP','125251251117572411323843432224141036097',2381,'9998',65.76,1,2,1),(16,3191800,'1989-11-13 00:00:00',4,1,12,1989,'M','N','BOM ABRIGO','FLORIANóPOLIS','SC','124241241115151432338619572114610127067',9400,'271',49.90,4,1,1),(16,3191818,'1989-12-15 00:00:00',4,1,12,2007,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124244241215473431369613572114610123192',15222,'1022',39.15,1,3,NULL),(16,3191826,'1991-04-26 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215171431466614575124610123182',9590,'270',49.55,1,3,NULL),(16,3191834,'1990-10-12 00:00:00',4,8,7,2007,'M','N','CENTRO','S BENTO SUL','SC','124243241216271411368823475114610125147',2107,'974',66.77,1,3,NULL),(16,3191842,'1979-11-21 00:00:00',2,1,12,1999,'F','N','PANTANAL','FLORIANóPOLIS','SC','224241241141574431463353175124610113187',12233,'49',44.83,1,2,1),(16,3191869,'1991-04-26 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124241241217111431336916362122610127141',NULL,'515',22.94,1,3,NULL),(16,3191877,'1991-05-26 00:00:00',2,6,12,2008,'M','N','INTERLAGOS','S PAULO','SP','125252251217131431456834575122610167072',NULL,'9998',23.39,1,3,NULL),(16,3191893,'1990-04-01 00:00:00',2,1,12,2007,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241132131751329629395124231022117',NULL,'83',0.00,1,3,NULL),(16,3191907,'1990-12-27 00:00:00',4,1,12,2008,'M','N','SãO DIMAS','PIRACICABA','SP','125253251216111431468634595125610134182',11994,'9998',45.27,1,3,NULL),(16,3191915,'1988-12-09 00:00:00',4,1,12,2006,'F','N','SERRINHA','FLORIANóPOLIS','SC','124072071217573431487834575124610132132',5790,'9998',56.84,1,3,NULL),(16,3191923,'1989-01-31 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241215573431449833571124610146051',747,'486',73.87,1,3,NULL),(16,3191931,'1991-11-22 00:00:00',4,4,12,2008,'F','N','PASSO DOS FORTES','CHAPECó','SC','124242241316131431438833572124610167037',14029,'1046',41.59,1,3,NULL),(16,3191940,'1983-05-13 00:00:00',4,1,12,2000,'F','N','PICADAS DO SUL','S JOSé','SC','224244241215153431258852312132321267057',8333,'724',51.73,1,3,NULL),(16,3191958,'1991-06-19 00:00:00',2,1,12,2008,'F','N','PIO X','CAXIAS SUL','RS','120202201217371231357823376125610133147',NULL,'9998',23.20,1,3,NULL),(16,3191966,'1990-02-03 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215473431479813572124610167042',98,'270',81.00,1,3,NULL),(16,3191974,'1992-02-02 00:00:00',4,1,12,2008,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124243241216111411446619292124610168092',NULL,'259',23.53,1,3,NULL),(16,3191990,'1990-09-27 00:00:00',4,1,12,2008,'M','N','JARDIM NOVO CHAPADãO','CAMPINAS','SP','125254251216111411446972375124610136092',3738,'9998',61.73,3,3,NULL),(16,3192016,'1991-05-23 00:00:00',4,2,12,2008,'F','N','VILA NOVA','BLUMENAU','SC','124242241215111431457734472122610124142',11148,'87',46.75,1,3,NULL),(16,3192024,'1989-07-27 00:00:00',4,1,12,2007,'F','N','VILA MADALENA','S PAULO','SP','125252251215471431468831572122610167052',NULL,'9998',0.00,1,3,NULL),(16,3192032,'1991-01-08 00:00:00',4,1,11,2008,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241217121421449913472114610163142',NULL,'270',28.47,1,3,NULL),(16,3192040,'1991-03-06 00:00:00',2,1,12,2008,'F','N','ARMAÇÃO PÂNTANO SUL','FLORIANóPOLIS','SC','124241241115271431224524375124610167147',NULL,'307',27.11,3,2,1),(16,3192059,'1991-05-26 00:00:00',4,5,11,2008,'M','N','VILA SãO JOSé','ARARANGUá','SC','124242241215371431369811575122610144051',2885,'970',64.13,1,3,NULL),(16,3192067,'1991-04-04 00:00:00',2,1,11,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124243241117111431336623376224610137077',12960,'271',43.57,1,3,NULL),(16,3192075,'1989-12-28 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431289823572125610132122',6941,'270',54.41,1,3,NULL),(16,3192083,'1991-05-27 00:00:00',4,2,12,2008,'F','N','CENTRO','AURORA','SC','124241241134131731323369572324610125077',NULL,'40',20.71,1,2,1),(16,3192091,'1991-11-10 00:00:00',2,8,12,2008,'M','N','ATIRADORES','JOINVILLE','SC','124242241215111431367814575122610137047',10458,'457',47.99,1,3,NULL),(16,3192105,'1991-10-21 00:00:00',4,1,11,2008,'M','N','JARDIM BOA VISTA','CAIEIRAS','SP','125252251216151411546662575115610166072',13798,'9998',42.06,4,3,NULL),(16,3192113,'1992-07-25 00:00:00',4,3,11,2009,'F','S','MEIA PRAIA','ITAPEMA','SC','124242241217121441439912441122610136042',NULL,'403',49.73,1,3,NULL),(16,3192121,'1990-12-01 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124212241217111431346912475114610134172',NULL,'270',36.74,1,3,NULL),(16,3192130,'1991-01-16 00:00:00',4,5,11,2008,'F','N','CENTRO','ARARANGUá','SC','124242241217122431468613492122610164072',4250,'970',60.36,1,3,NULL),(16,3192148,'1989-07-07 00:00:00',4,1,12,2007,'M','N','FLORESTA','BELO HORIZONTE','MG','113134136236271431447611415124610164096',NULL,'9998',0.00,4,3,NULL),(16,3192156,'1992-10-22 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215121431479933572112610125142',NULL,'1022',35.34,1,3,NULL),(16,3192164,'1991-06-02 00:00:00',4,8,12,2008,'M','N','JARAGUá ESQUERDO','JARAGUá SUL','SC','124242246215111431436624345121610148142',NULL,'1061',31.31,1,3,NULL),(16,3192172,'1959-11-15 00:00:00',2,8,12,1977,'F','N','NOVOS HORIZONTES','CPO MAGRO','PR','216161161115573441234349492122342664187',1074,'9998',71.59,1,2,1),(16,3192180,'1992-12-25 00:00:00',2,1,12,2009,'F','S','ITACORUBI','FLORIANóPOLIS','SC','124242241217111431468833574114610133147',NULL,'270',53.17,1,3,NULL),(16,3192199,'1990-01-04 00:00:00',4,1,1,2009,'M','N','JARDIM DAS INDUSTRIA','S JOSé CAMPOS','SP','125254251416111431366823336111610137087',NULL,'9998',0.00,4,3,NULL),(16,3192202,'1990-06-05 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215473431277923574122610164183',5698,'1022',57.08,1,3,NULL),(16,3192210,'1965-03-25 00:00:00',4,1,12,1983,'M','N','TRINDADE','FLORIANóPOLIS','SC','224241246113131411443341412112610162047',NULL,'306',10.64,1,2,1),(16,3192229,'1992-04-18 00:00:00',4,8,12,2009,'F','S','AMéRICA','JOINVILLE','SC','124242241217121731379913274122610163192',NULL,'457',40.16,1,3,NULL),(16,3192237,'1992-01-27 00:00:00',4,4,12,2008,'F','N','BELA VISTA','ITAPIRANGA','SC','124241241146161431633312215122610124057',NULL,'412',25.54,1,2,1),(16,3192245,'1992-11-30 00:00:00',2,7,12,2008,'F','N','CENTRO','BARRACãO','RS','120243201316471731465921575122610124142',NULL,'9998',0.00,1,3,NULL),(16,3192253,'1989-01-05 00:00:00',4,1,11,2006,'M','N','CAMPINAS','S JOSé','SC','124241241136172432238621445124610168031',NULL,'733',36.67,1,2,1),(16,3192261,'1990-06-06 00:00:00',4,1,12,2007,'M','N','PARQUE TAQUARAL','CAMPINAS','SP','125252251217572431479913571122610164013',2110,'9998',66.76,1,3,NULL),(16,3192270,'1990-07-10 00:00:00',4,1,12,2008,'M','N','CENTRO','PALHOçA','SC','124241241116131432556613375114610144197',16540,'592',35.26,1,2,1),(16,3192288,'1986-05-28 00:00:00',2,1,12,2006,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124131241125573741544662274124610167047',6170,'294',56.00,1,3,NULL),(16,3192296,'1983-11-09 00:00:00',4,3,12,2001,'M','N','TABULEIRO','ITAPEMA','SC','224241241126131411227343235224343264052',15360,'870',38.85,1,2,1),(16,3192300,'1991-02-02 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241215112431549713572122610124073',6942,'738',54.41,1,3,NULL),(16,3192318,'1991-08-24 00:00:00',2,4,12,2008,'F','N','CENTRO','SERRA ALTA','SC','124241241125161511426614146224610125147',NULL,'765',0.00,1,2,1),(16,3192326,'1989-08-21 00:00:00',2,4,12,2006,'F','N','CENTRO','FRANCISCO ALVES','PR','116161161117515431525316592324610134077',7373,'9998',53.57,1,2,1),(16,3192334,'1988-08-04 00:00:00',4,8,12,2006,'M','N','FLORESTA','JOINVILLE','SC','124242241216574431366638571124231467072',1717,'457',68.35,1,3,NULL),(16,3192342,'1992-09-27 00:00:00',4,1,11,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124244248415111531448613492124610123057',NULL,'1022',35.46,1,3,NULL),(16,3192350,'1990-06-21 00:00:00',4,8,12,2007,'F','N','BACACHERI','CURITIBA','PR','116162161216371711479933575114610145042',NULL,'9998',0.00,4,3,NULL),(16,3192369,'1991-03-12 00:00:00',2,1,10,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111712359839572124610114147',15995,'1022',37.26,1,3,NULL),(16,3192377,'1991-06-24 00:00:00',4,5,12,2008,'M','N','COMERCIáRIO','CRICIúMA','SC','124242241215111431469913572124610132142',9991,'995',48.79,1,3,NULL),(16,3192385,'1991-12-24 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124244241117271431448614572124610137067',14455,'739',40.77,1,3,NULL),(16,3192393,'1992-02-19 00:00:00',4,8,12,2008,'M','N','IRIRIU','JOINVILLE','SC','124212241212151231437612575122610137047',NULL,'932',28.27,4,3,NULL),(16,3192415,'1991-09-03 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124242241217121432268923575122610167047',2089,'737',66.83,1,3,NULL),(16,3192423,'1988-12-07 00:00:00',2,1,12,2006,'M','N','SETOR OESTE','GOIâNIA','GO','109092091215411721546631575122143137057',NULL,'9998',0.00,4,3,NULL),(16,3192431,'1991-09-15 00:00:00',2,1,12,2008,'F','N','ABRAãO','FLORIANóPOLIS','SC','124242241212111431446634272114610164077',8777,'1022',50.95,1,3,NULL),(16,3192440,'1984-02-21 00:00:00',4,1,12,2001,'M','N','JOSé MENDES','FLORIANóPOLIS','SC','124241248114133321523344342215613236167',NULL,'286',26.77,1,2,1),(16,3192458,'1990-05-10 00:00:00',2,1,12,2007,'F','N','PRAIA DE BAIXO','BIGUAçU','SC','124241241217372531546614572114610135147',14639,'1118',40.41,1,3,NULL),(16,3192466,'1989-12-30 00:00:00',2,1,12,2007,'M','N','CAMPINAS','S JOSé','SC','124242241215273431466614395114610127117',10224,'1098',48.38,1,3,NULL),(16,3192474,'1991-07-15 00:00:00',4,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124241241415131421334923572124610134077',NULL,'868',17.48,1,3,NULL),(16,3192482,'1992-06-17 00:00:00',4,1,10,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215111431355631576111610167112',NULL,'1022',32.04,1,3,NULL),(16,3192490,'1990-10-09 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241212373431478614485114610162047',6368,'270',55.55,1,3,NULL),(16,3192504,'1989-09-29 00:00:00',2,1,12,2006,'M','N','CRISTO REI','S LEOPOLDO','RS','120202201216471431466614575122243224122',3085,'9998',63.56,1,3,NULL),(16,3192512,'1992-07-24 00:00:00',4,1,11,2009,'M','S','PRAIA COMPRIDA','S JOSé','SC','124241241135111231326534575121610137187',NULL,'733',13.05,1,3,NULL),(16,3192520,'1992-05-20 00:00:00',4,1,12,2009,'F','S','AGRONôMICA','FLORIANóPOLIS','SC','124242241215111531469812575122610123142',NULL,'266',39.92,1,3,NULL),(16,3192539,'1990-02-15 00:00:00',5,2,12,2007,'F','N','TROPICAL','CASCAVEL','PR','116162161217471431468811574124610143147',9099,'9998',50.41,1,3,NULL),(16,3192547,'1991-09-04 00:00:00',4,1,12,2008,'M','N','PONTA DE BAIXO','S JOSé','SC','124242241115131432557613575122610124047',16544,'733',35.23,1,3,NULL),(16,3192555,'1989-01-31 00:00:00',4,1,11,2006,'M','N','NOSSA SRA DO ROSÁRIO','S JOSé','SC','124244241416372231459413475122610164012',5076,'539',58.45,1,3,NULL),(16,3192580,'1989-04-24 00:00:00',4,1,11,2007,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124281241415372431328829295114133212187',14212,'1048',41.21,1,3,NULL),(16,3192598,'1987-07-09 00:00:00',4,1,7,2005,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124243247212132721426319215112610137047',NULL,'9999',20.95,2,1,2),(16,3192601,'1992-04-04 00:00:00',4,1,12,2009,'F','S','COQUEIROS','FLORIANóPOLIS','SC','124242241215111432467923575124610123071',NULL,'270',38.17,1,3,NULL),(16,3192610,'1991-02-05 00:00:00',4,1,12,2008,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241215111431588912582122610135065',3209,'883',63.26,1,3,NULL),(16,3192628,'1991-04-12 00:00:00',4,1,12,2008,'F','N','JARDIM ALEXANDER','RIO SUL','SC','124242241215111211365831592122610128142',10620,'654',47.70,1,3,NULL),(16,3192644,'1989-04-21 00:00:00',2,1,12,2006,'F','N','CENTRO','CAçADOR','SC','124242241216471421536914375124610127142',14322,'1124',41.00,1,3,NULL),(16,3192652,'1991-06-01 00:00:00',4,1,12,2008,'M','N','PARQUE ALVORADA','DOURADOS','MS','112122121216371411679933272121610162051',2396,'9998',65.69,1,3,NULL),(16,3192660,'1991-06-02 00:00:00',4,1,12,2008,'F','N','ARAçATUBA','IMBITUBA','SC','124241241115131631424814572124610124147',NULL,'361',23.25,1,2,1),(16,3192679,'1990-10-15 00:00:00',4,1,12,2007,'F','N','PARQUE RECREIO','S MANUEL','SP','125254251415471731434824591124610167147',NULL,'9998',30.73,4,3,NULL),(16,3192687,'1992-03-22 00:00:00',4,1,11,2008,'M','N','BALNEARIO','FLORIANóPOLIS','SC','124242241235111531346624371124610134047',9226,'1022',50.21,1,3,NULL),(16,3192695,'1991-09-21 00:00:00',4,2,10,2008,'F','N','VILA NOVA','BLUMENAU','SC','124242241216112431338914572112610127141',1409,'87',69.75,1,3,NULL),(16,3192709,'1989-11-30 00:00:00',2,1,12,2007,'F','N','PARQUE AMAZôNIA','GOIâNIA','GO','109091091215371431445812214124610166092',7889,'9998',52.62,1,3,NULL),(16,3192717,'1991-02-14 00:00:00',2,5,11,2008,'M','N','CIDADE ALTA','ARARANGUá','SC','124242241215111231476912495112610127042',10634,'32',47.67,1,3,NULL),(16,3192725,'1991-08-02 00:00:00',4,9,11,2008,'M','N','SAGRADO C DE JESUS','LAGES','SC','124241241216112431459611575122610167062',NULL,'499',16.20,1,3,NULL),(16,3192741,'1991-09-04 00:00:00',4,2,12,2008,'F','N','NEREU RAMOS','JARAGUá SUL','SC','124242241217111431456914575112610133187',9183,'424',50.27,1,3,NULL),(16,3192750,'1990-11-15 00:00:00',2,9,12,2007,'F','N','REBOUçAS','CURITIBA','PR','116244168417471431588811575114610164142',NULL,'9998',0.00,3,3,NULL),(16,3192768,'1990-07-27 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243241316131431646316475224610147067',NULL,'1022',27.21,4,3,NULL),(16,3192776,'1989-02-17 00:00:00',2,1,12,2008,'F','N','SETOR BUENO','GOIâNIA','GO','109092091217131411528812574124610132172',NULL,'9998',40.94,4,3,NULL),(16,3192784,'1992-05-12 00:00:00',4,1,12,2009,'F','S','TRINDADE','FLORIANóPOLIS','SC','124242241215471431457834575124610132145',NULL,'262',56.36,1,3,NULL),(16,3192806,'1991-04-24 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111431468834575124610123052',6667,'270',54.94,1,3,NULL),(16,3192814,'1991-05-01 00:00:00',2,8,12,2008,'M','N','AMERICA','JOINVILLE','SC','124242241215211221229931575122610167057',14262,'459',41.11,1,3,NULL),(16,3192822,'1990-10-08 00:00:00',2,1,12,2008,'F','N','NOSSA SRA DO ROSáRIO','S JOSé','SC','124242241215111431356913575112610164191',14305,'270',41.03,1,3,NULL),(16,3192830,'1991-05-23 00:00:00',4,2,11,2008,'F','N','DAS NAçõES','TIMBó','SC','124243241217111431468934472122610121182',NULL,'1157',26.69,1,3,NULL),(16,3192849,'1990-06-29 00:00:00',4,8,12,2008,'M','N','CABRAL','CURITIBA','PR','116162168211471431548832571122610117092',NULL,'9998',0.00,1,3,NULL),(16,3192857,'1991-03-13 00:00:00',4,2,11,2008,'M','N','SãO LUIZ','BRUSQUE','SC','124242241215271431267724575122610127012',754,'107',73.80,1,3,NULL),(16,3192865,'1989-05-11 00:00:00',2,1,12,2006,'F','N','FORQUILHINHAS','S JOSé','SC','124242241216513731458149575114610163142',NULL,'270',30.43,1,3,NULL),(16,3192873,'1985-05-01 00:00:00',4,6,12,2002,'F','N','TARUMã','CURITIBA','PR','116203201316572731527713475124141567097',NULL,'9998',0.00,1,3,NULL),(16,3192881,'1990-04-07 00:00:00',4,1,11,2007,'M','N','PARQUE DAS BANDEIRAS','MARINGá','PR','116162161216472431478939573112610162093',NULL,'9998',0.00,1,3,NULL),(16,3192890,'1985-10-12 00:00:00',2,1,12,2003,'F','N','CAMPINAS','S JOSé','SC','124243248116132721336479145124610163147',NULL,'732',0.00,1,3,NULL),(16,3192903,'1991-07-02 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241217112731558619575122610167142',NULL,'499',25.17,1,3,NULL),(16,3192911,'1991-04-23 00:00:00',2,5,12,2008,'F','N','CENTRO','TURVO','SC','124243241115371531536634575122610127077',15524,'814',38.49,3,3,NULL),(16,3192920,'1991-02-04 00:00:00',2,5,11,2008,'M','N','SANTA BARBARA','CRICIúMA','SC','124242241216151711268823572125610167067',8497,'210',51.41,1,3,NULL),(16,3192938,'1990-03-15 00:00:00',5,2,12,2008,'M','N','PROGRESSO','BLUMENAU','SC','124241241436151331346629375124610127097',NULL,'80',8.85,1,3,NULL),(16,3192946,'1990-06-19 00:00:00',2,8,12,2007,'F','N','GLóRIA','JOINVILLE','SC','124242241217371431458614573114610123011',NULL,'1105',0.00,1,3,NULL),(16,3192962,'1991-05-13 00:00:00',2,1,12,2008,'M','N','PARQUE MUNHOZ','S PAULO','SP','125252258216151411478814575112610162052',8649,'9998',51.17,1,3,NULL),(16,3192970,'1987-03-30 00:00:00',4,1,12,2006,'F','N','COLONINHA','FLORIANóPOLIS','SC','124242241216133731526623485124610152172',16477,'943',35.59,4,3,NULL),(16,3192989,'1987-09-18 00:00:00',2,1,9,2005,'M','N','ESTREITO','FLORIANóPOLIS','SC','124201247335272431337729345124610124177',14237,'9999',41.16,4,3,NULL),(16,3192997,'1990-06-21 00:00:00',4,1,6,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124282281217271432228834575124610153097',14692,'9997',40.29,1,3,NULL),(16,3193012,'1989-04-10 00:00:00',2,1,12,2007,'M','N','JARDIM ATLâNTICO','NIQUELâNDIA','GO','109094091216111431456434244124610164187',NULL,'9998',0.00,4,3,NULL),(16,3193020,'1956-04-15 00:00:00',1,1,11,1976,'F','N','CENTRO','ÁGUAS MORNAS','SC','224241151121132511532847191112333261177',NULL,'771',27.20,1,3,NULL),(16,3193039,'1991-11-28 00:00:00',2,5,12,2008,'M','N','PARAGUAI','JACINTO MACHADO','SC','124242241217152431469834574114610112062',5288,'813',57.89,1,3,NULL),(16,3193047,'1991-09-13 00:00:00',2,1,10,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215121431458952574125610123072',3647,'723',61.96,1,3,NULL),(16,3193055,'1991-01-28 00:00:00',4,8,12,2008,'M','N','ÁGUA VERDE','JARAGUá SUL','SC','124241241435141431436619242124610167077',NULL,'425',0.00,1,3,NULL),(16,3193063,'1981-06-25 00:00:00',2,1,12,2000,'F','N','AREIAS','S JOSé','SC','524241248146141411333274245134132266072',NULL,'359',25.98,1,2,1),(16,3193098,'1986-11-07 00:00:00',2,1,12,2003,'F','N','VILA GARCIA','PATOS MINAS','MG','113131131137131431323321345334142162057',15486,'9998',38.57,1,2,1),(16,3193101,'1991-03-17 00:00:00',4,2,11,2008,'F','N','CENTRO','BRUSQUE','SC','124244241215272731233811212122610132192',7246,'107',53.82,1,3,NULL),(16,3193128,'1990-10-12 00:00:00',4,8,12,2007,'M','N','CENTRO','HERVAL D OESTE','SC','124242241217272441335923584124241414042',1792,'454',68.03,1,3,NULL),(16,3193136,'1990-03-09 00:00:00',4,9,12,2007,'M','N','CENTRO','PTE ALTA','SC','124242241216271411556652345114610134052',11380,'499',46.37,4,3,NULL),(16,3193144,'1991-06-17 00:00:00',4,10,12,2008,'M','N','BELA VISTA','GRAVATAL','SC','124241241127141721333339245124610124047',NULL,'798',28.16,1,2,1),(16,3193152,'1990-10-20 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124243241115111751348923575124610127042',11935,'271',45.38,1,3,NULL),(16,3193160,'1991-01-05 00:00:00',2,4,12,2008,'F','N','CENTRO','ABELARDO LUZ','SC','124241241116371431443832275122610123192',12935,'4',43.62,1,2,1),(16,3193179,'1991-07-16 00:00:00',4,6,12,2008,'M','N','RESSACADA','ITAJAí','SC','124242241215111431469813335122610167042',5284,'389',57.89,1,3,NULL),(16,3193187,'1991-02-22 00:00:00',4,7,12,2008,'M','N','CENTRO','FRAIBURGO','SC','124241241116161431454912375112610122057',NULL,'314',17.93,1,3,NULL),(16,3193195,'1989-07-25 00:00:00',4,1,11,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124243241411112431536627375121610117147',NULL,'1023',24.96,1,3,NULL),(16,3193209,'1985-07-02 00:00:00',4,1,12,2003,'M','N','BARREIROS','S JOSé','SC','124243247333131411346613395114132012192',NULL,'300',27.67,1,3,NULL),(16,3193217,'1991-10-28 00:00:00',4,4,12,2008,'M','N','PARQUE SãO PAULO','CASCAVEL','PR','116164161117371432466821575122610137147',NULL,'9998',0.00,1,3,NULL),(16,3193225,'1990-11-06 00:00:00',4,2,12,2008,'M','N','CANTA GALO','RIO SUL','SC','124242241215271431379514495122610167052',NULL,'959',25.08,1,3,NULL),(16,3193233,'1983-02-02 00:00:00',2,1,6,2003,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124201207417471731426464142334140266177',NULL,'1',32.94,1,3,NULL),(16,3193241,'1990-12-29 00:00:00',4,1,12,2008,'M','N','CENTRO','VENâNCIO AIRES','RS','120201201117371431347922242122610164044',NULL,'9998',0.00,1,2,1),(16,3193250,'1990-02-01 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241214373451559914576124131467155',1223,'32',70.80,3,3,NULL),(16,3193268,'1991-02-05 00:00:00',4,6,12,2008,'F','N','CORDEIROS','ITAJAí','SC','124242241212132431333311572124610124147',9102,'1057',50.40,1,3,NULL),(16,3193276,'1991-02-07 00:00:00',4,1,11,2008,'M','N','BALNEáRIO','FLORIANóPOLIS','SC','124242241211371731468614572122610117091',NULL,'259',31.66,1,3,NULL),(16,3193284,'1990-11-07 00:00:00',2,4,11,2008,'F','N','CENTRO','S CARLOS','SC','124241241115111431368814575124610127084',13390,'983',42.81,1,3,NULL),(16,3193306,'1991-07-24 00:00:00',4,1,11,2008,'F','N','JARDIM LINDóIA','PTO ALEGRE','RS','120202201217311431469914575122610137057',NULL,'9998',0.00,1,3,NULL),(16,3193314,'1990-05-29 00:00:00',2,1,12,2007,'M','N','ABRAãO','FLORIANóPOLIS','SC','124242241216372731567614595124221267042',8169,'737',52.08,1,3,NULL),(16,3193322,'1992-05-09 00:00:00',4,1,11,2008,'F','N','BALNEÁRIO','FLORIANóPOLIS','SC','124242241217111431546814272124610128192',15702,'1022',38.06,1,3,NULL),(16,3193330,'1982-02-02 00:00:00',2,1,12,1998,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','120201208117574231533419445124113028147',NULL,'9998',0.00,4,3,NULL),(16,3193349,'1991-06-20 00:00:00',4,2,12,2008,'F','N','VELHA','BLUMENAU','SC','124242241215131751369919575124610165142',15854,'909',37.62,1,3,NULL),(16,3193357,'1990-06-02 00:00:00',4,1,12,2007,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','624242241215272431436764472114610167047',13749,'1118',42.17,1,3,NULL),(16,3193365,'1990-02-08 00:00:00',4,2,12,2008,'F','N','CENTRO','SINOP','MT','111112111217251431369919575122610138187',4806,'9998',59.05,1,3,NULL),(16,3193373,'1990-11-22 00:00:00',4,2,11,2008,'M','N','SANTANA','RIO SUL','SC','124242241215111431336632575121610124052',NULL,'991',0.00,1,3,NULL),(16,3193381,'1991-07-24 00:00:00',2,2,11,2008,'M','N','AZAMBUJA','BRUSQUE','SC','124242241215271431335811175112610118142',5124,'107',58.31,1,3,NULL),(16,3193411,'1991-05-22 00:00:00',4,4,12,2008,'M','N','CENTRO','CONCóRDIA','SC','124241241115471431356812594122610137052',NULL,'192',28.05,1,3,NULL),(16,3193420,'1991-09-24 00:00:00',2,4,12,2008,'F','N','SANTO ANTôNIO','CHAPECó','SC','124241241415131231429314574124610162197',14128,'1021',41.38,1,3,NULL),(16,3193438,'1989-05-17 00:00:00',4,1,12,2006,'F','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','124242241215473431588832242114610164182',13860,'266',41.91,1,3,NULL),(16,3193446,'1991-08-23 00:00:00',4,2,12,2008,'F','N','ESTADOS','TIMBó','SC','124244241215131431438413432125610136052',3701,'1157',61.82,1,3,NULL),(16,3193454,'1991-04-18 00:00:00',4,1,10,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215122331369923594122610116092',1166,'270',71.11,1,3,NULL),(16,3193462,'1992-06-04 00:00:00',4,8,12,2009,'M','S','SAGUAçU','JOINVILLE','SC','124242241217111431369814575122610167182',NULL,'457',27.53,1,3,NULL),(16,3193470,'1992-12-07 00:00:00',4,5,11,2009,'F','S','CENTRO','CRICIúMA','SC','124242241212271431446834575122610134182',NULL,'226',43.11,1,3,NULL),(16,3193489,'1974-03-03 00:00:00',4,1,12,1991,'M','N','CAMPECHE','FLORIANóPOLIS','SC','224242246117574421458953215122230422147',NULL,'306',0.00,1,3,NULL),(16,3193497,'1992-08-27 00:00:00',2,1,12,2009,'M','S','BELA VISTA','S JOSé','SC','124244241217111431635514572121610144142',NULL,'738',26.91,1,3,NULL),(16,3193527,'1988-11-10 00:00:00',4,10,12,2006,'F','N','OFICINAS','TUBARãO','SC','124242241214473731546814572122130626092',2657,'806',64.82,1,3,NULL),(16,3193535,'1986-09-03 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124244241337272711356833585114610154055',NULL,'804',39.76,1,3,NULL),(16,3193543,'1989-05-13 00:00:00',4,1,12,2006,'M','N','CENTRO','CAMPINAS','SP','125252251215572431589833575112610144042',2330,'9998',65.95,1,3,NULL),(16,3193551,'1990-08-25 00:00:00',4,6,12,2008,'M','N','JARDIM FLORIDA','CPO MOURãO','PR','116162161137111451349811575124610165123',5607,'9998',57.25,1,3,NULL),(16,3193560,'1991-04-14 00:00:00',2,1,11,2008,'M','N','COLONINHA','FLORIANóPOLIS','SC','124244241215112431457622575124610137042',NULL,'269',27.59,2,1,2),(16,3193578,'1984-07-25 00:00:00',4,1,12,2002,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124201201116331431223343235124610144017',NULL,'9998',20.93,1,3,NULL),(16,3193586,'1989-10-26 00:00:00',4,1,12,2006,'F','N','FAZENDA','CAMPINAS SUL','RS','120202241216573411355816575114610124012',1371,'270',70.00,1,3,NULL),(16,3193594,'1990-01-22 00:00:00',2,10,12,2007,'F','N','DEHON','TUBARãO','SC','124244247416371431646611575124610143092',NULL,'9999',22.80,1,3,NULL),(16,3193608,'1992-11-09 00:00:00',4,10,11,2009,'F','S','CENTRO','TUBARãO','SC','124242241217111431469913576122610133092',NULL,'809',47.18,1,3,NULL),(16,3193616,'1989-01-25 00:00:00',2,1,12,2006,'F','N','CENTRO','GAROPABA','SC','124241241142143431534631212122232017047',NULL,'322',32.85,1,2,1),(16,3193624,'1991-09-17 00:00:00',2,2,12,2008,'F','N','CENTRO','PRES GETúLIO','SC','124241241115131431433435353344610166177',6838,'192',54.59,1,2,1),(16,3193632,'1991-06-19 00:00:00',4,1,11,2008,'F','N','CAMPINAS','S JOSé','SC','124242241217111231438833574114610166192',1501,'723',69.37,1,3,NULL),(16,3193640,'1991-03-15 00:00:00',2,1,11,2008,'F','N','KOBRASOL','SAO JOSE','SC','124242241215111421556932585114610163191',10077,'723',48.63,1,3,NULL),(16,3193667,'1988-10-22 00:00:00',4,1,12,2005,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241415112411459633275124221412082',3636,'270',61.99,4,3,NULL),(16,3193675,'1991-06-21 00:00:00',2,2,12,2008,'F','N','CENTRO','BRUSQUE','SC','124242241235272431489811475112610132192',2820,'107',64.32,1,3,NULL),(16,3193683,'1988-06-01 00:00:00',2,1,12,2005,'M','N','POTECAS','S JOSé','SC','124241241122274431436734445124610124057',4704,'736',59.30,1,2,1),(16,3193691,'1992-06-17 00:00:00',4,1,12,2009,'M','S','CZERNIEWICZ','JARAGUá SUL','SC','124242246217111751469814574122610128187',NULL,'1061',39.78,1,3,NULL),(16,3193721,'1992-02-06 00:00:00',2,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241216111431359931575114610127042',16354,'654',36.18,1,3,NULL),(16,3193730,'1991-03-08 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215111431348814574122610121072',4281,'723',60.29,1,3,NULL),(16,3193748,'1991-04-18 00:00:00',4,8,12,2008,'M','N','CENTRO','S BENTO SUL','SC','124241241116131431548819575124610124017',13645,'697',42.38,1,2,1),(16,3193756,'1991-02-07 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124244241215111731643669575124610167042',11970,'1022',45.31,1,3,NULL),(16,3193764,'1987-05-17 00:00:00',2,1,12,2007,'F','N','ROçADO','S JOSé','SC','124241247142131412328349392344610123187',NULL,'57',2.38,2,1,1),(16,3193772,'1991-06-21 00:00:00',4,5,11,2008,'F','N','CRUZEIRO DO SUL','CRICIúMA','SC','124242241216271431369831572122610161122',11453,'213',46.26,1,3,NULL),(16,3193780,'1991-07-19 00:00:00',4,9,12,2008,'M','N','COPACABANA','LAGES','SC','124242241212371431658819575112610162057',NULL,'515',34.69,1,3,NULL),(16,3193799,'1990-07-28 00:00:00',4,1,12,2007,'F','N','TATUAPE','S PAULO','SP','125252251215471431268821572125610128027',NULL,'9998',0.00,5,3,NULL),(16,3193802,'1990-05-28 00:00:00',4,1,12,2007,'F','N','GOIABEIRAS','CUIABá','MT','111112111216371431479933571125610124187',2454,'9998',65.51,1,3,NULL),(16,3193810,'1983-03-21 00:00:00',2,2,12,2000,'M','N','CENTRO','PRES GETúLIO','SC','124201201312375741234473415122321568097',1402,'9998',69.81,1,3,NULL),(16,3193829,'1988-05-26 00:00:00',4,1,12,2006,'M','N','SANTA QUITERIA','CURITIBA','PR','116162161217471431438812475124241464052',NULL,'9998',0.00,1,3,NULL),(16,3193837,'1989-02-27 00:00:00',3,8,11,2007,'F','N','ZONA OITO','MARINGá','PR','116162251415471411359814575122610133187',3185,'9998',63.33,3,3,NULL),(16,3193845,'1991-07-01 00:00:00',4,5,12,2008,'F','N','PROSPERA','CRICIúMA','SC','124241241217131431436614572125610168187',NULL,'920',18.47,1,3,NULL),(16,3193853,'1989-03-13 00:00:00',2,5,12,2006,'M','N','MINA BRASIL','CRICIúMA','SC','124242241217141331453933342124610167182',15030,'995',39.59,1,3,NULL),(16,3193861,'1991-08-10 00:00:00',2,1,12,2008,'M','N','JARDIM ELDORADO','PALHOçA','SC','124241241217141431326613395124610124041',NULL,'1075',23.58,1,3,NULL),(16,3193896,'1991-01-15 00:00:00',4,1,12,2008,'F','N','BOM FIM','PTO ALEGRE','RS','120201201416121431389612571122610125042',NULL,'9998',0.00,1,3,NULL),(16,3193900,'1989-11-06 00:00:00',2,1,11,2007,'M','N','JD ESPLANADA II','S JOSé CAMPOS','SP','125252251217472231577832342132610127113',8141,'9998',52.15,1,3,NULL),(16,3193926,'1991-12-18 00:00:00',4,1,11,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241225111441548614372124610122073',13416,'270',42.77,1,3,NULL),(16,3193934,'1989-09-17 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124092091216572431368613375124610164121',2674,'9998',64.78,1,3,NULL),(16,3193942,'1986-07-01 00:00:00',4,1,12,2004,'M','N','CIDADE FLORIANóPOLIS','S JOSé','SC','124241241117371231333313345114610164142',NULL,'734',22.26,1,2,1),(16,3193950,'1990-12-21 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124244241215271411336829292114610161172',NULL,'44',32.49,4,3,NULL),(16,3193969,'1991-08-09 00:00:00',4,8,12,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124241246212151721438833575124610162177',NULL,'494',29.28,1,3,NULL),(16,3193993,'1990-10-26 00:00:00',4,4,10,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','116242161217121431456933595124610148142',8855,'9998',50.80,1,3,NULL),(16,3194000,'1991-06-21 00:00:00',4,1,11,2008,'M','N','PARQUE SãO JORGE','FLORIANóPOLIS','SC','124242241215121431488812574122610127012',NULL,'266',22.13,1,3,NULL),(16,3194019,'1990-03-20 00:00:00',4,1,11,2007,'F','N','VILA AURORA','DOURADOS','MS','112122124216471731458933294121610167077',183,'9998',79.54,1,3,NULL),(16,3194027,'1989-10-16 00:00:00',2,1,12,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241311131431468518281124610157117',NULL,'941',16.05,1,3,NULL),(16,3194051,'1990-03-13 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115131732436514345114610133142',NULL,'257',22.78,1,3,NULL),(16,3194060,'1992-03-01 00:00:00',4,3,11,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241415151451579812275111610164181',3516,'403',62.34,1,3,NULL),(16,3194078,'1989-03-06 00:00:00',4,1,12,2007,'F','N','NOVA MARABá','MARABá','PA','114142141336131131336331577124610163094',13829,'9998',42.00,1,3,NULL),(16,3194086,'1989-10-07 00:00:00',4,1,12,2006,'F','N','CAPãO DA IMBUIA','CURITIBA','PR','116162161216471731349831571124610166187',NULL,'9998',0.00,1,3,NULL),(16,3194094,'1992-06-06 00:00:00',4,5,10,2008,'F','N','COMERCIáRIO','CRICIúMA','SC','124242241215371131478932575122610116017',13883,'226',41.89,1,3,NULL),(16,3194108,'1988-04-19 00:00:00',2,8,12,2005,'M','N','SãO CRISTóVãO','LAJEADO','RS','120201201127131411423424242331140267186',NULL,'9998',0.00,1,3,NULL),(16,3194116,'1990-10-10 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215412431488819575124610121092',727,'185',74.02,1,3,NULL),(16,3194124,'1990-11-11 00:00:00',4,8,11,2008,'F','N','ANITA GARIBALDE','JOINVILLE','SC','124242241215471431368924375122610166182',NULL,'459',27.43,1,3,NULL),(16,3194132,'1991-08-21 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124072242417131431544864275124610165143',6807,'307',54.64,4,3,NULL),(16,3194140,'1991-06-30 00:00:00',4,10,11,2008,'F','N','HUMAITá','TUBARãO','SC','124242241217271431547819292122610163145',12308,'806',44.71,1,3,NULL),(16,3194159,'1992-12-02 00:00:00',4,4,12,2009,'M','S','PRESIDENTE MEDICI','CHAPECó','SC','124241241217131231558923572112610167047',NULL,'185',32.57,1,3,NULL),(16,3194167,'1992-03-24 00:00:00',4,7,11,2008,'M','N','IMPERIAL','CONCóRDIA','SC','124241241412111411448614572112610117171',6320,'1000',55.64,1,3,NULL),(16,3194175,'1984-05-10 00:00:00',4,1,12,2001,'F','N','TRINDADE','FLORIANóPOLIS','SC','124251251117231431123111395124610164117',12297,'9998',44.73,1,3,NULL),(16,3194183,'1992-04-21 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124244241215371431438613572124610117142',NULL,'1036',37.88,1,3,NULL),(16,3194205,'1989-07-11 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241213152351389912576112220268161',2822,'270',64.31,4,3,NULL),(16,3194213,'1991-01-02 00:00:00',4,1,12,2007,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124243241415371441324923572124233211097',NULL,'1075',0.00,1,3,NULL),(16,3194221,'1990-12-03 00:00:00',2,4,12,2008,'F','N','ALVORADA','XAXIM','SC','124243241215271431446614345122610166192',11171,'994',46.71,1,3,NULL),(16,3194230,'1990-01-05 00:00:00',2,5,12,2007,'M','N','GUANABARA','COCAL SUL','SC','124243244212371411455313441122610124052',10519,'188',47.89,1,3,NULL),(16,3194248,'1991-12-08 00:00:00',4,1,12,2008,'F','N','CENTRO','LEOBERTO LEAL','SC','124241241126131431336932471122610124147',14578,'533',40.56,1,2,1),(16,3194256,'1990-03-25 00:00:00',4,1,11,2008,'F','N','JOSé MENDES','FLORIANóPOLIS','SC','124243248115151531646313575124610127142',NULL,'307',15.18,1,3,NULL),(16,3194264,'1991-05-28 00:00:00',2,7,12,2008,'F','N','IMIGRANTES','ZORTéA','SC','124241241216141331536622375124610128142',14000,'1093',41.64,1,3,NULL),(16,3194272,'1988-07-19 00:00:00',4,1,11,2005,'F','N','CHACARA INGLESA','S PAULO','SP','125252251216571431556734575125141468147',10162,'9998',48.50,3,3,NULL),(16,3194280,'1976-09-14 00:00:00',4,1,12,1995,'F','N','FORQUILHAS','S JOSé','SC','124241248125135431223349295124610132142',13758,'726',42.15,1,2,1),(16,3194299,'1987-09-29 00:00:00',2,1,12,2005,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124092091212574431469811495124221468182',4090,'9998',60.81,1,3,NULL),(16,3194302,'1991-04-08 00:00:00',4,10,11,2008,'F','N','PASSAGEM','TUBARãO','SC','124242241235151432458632325122610132192',NULL,'809',5.19,1,3,NULL),(16,3194310,'1992-01-16 00:00:00',4,1,11,2008,'M','N','CONCEIçãO','CRUZ ALTA','RS','120201201217471431358934574122610167012',3304,'9998',62.97,1,3,NULL),(16,3194329,'1992-02-26 00:00:00',4,8,12,2008,'F','N','ITINGA','JOINVILLE','SC','124241241145471331668814371114610137092',NULL,'465',27.12,1,2,1),(16,3194345,'1990-10-06 00:00:00',2,1,12,2007,'F','N','ALTO RIBEIRãO','FLORIANóPOLIS','SC','124244241216152431359513395124610137057',NULL,'951',37.01,1,3,NULL),(16,3194353,'1991-02-05 00:00:00',2,1,11,2008,'F','N','CAMPO BELO','S PAULO','SP','125252251217271731268814291122610137112',NULL,'9998',0.00,1,3,NULL),(16,3194370,'1990-08-23 00:00:00',4,1,7,2008,'M','N','CENTRO','IBIRAMA','SC','124244247436371411337632275125233214182',NULL,'9999',0.00,1,3,NULL),(16,3194388,'1991-06-11 00:00:00',2,5,11,2008,'M','N','NOVA BRASíLIA','SOMBRIO','SC','124242241215151411566832325112610144052',NULL,'770',47.68,1,3,NULL),(16,3194396,'1988-01-11 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241217374451459633572124231066142',9494,'269',49.73,1,3,NULL),(16,3194400,'1989-10-25 00:00:00',4,1,12,2006,'F','N','BIGORRILHO','CURITIBA','PR','116162161217471431456816374124610143146',NULL,'9998',0.00,1,3,NULL),(16,3194418,'1991-06-22 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241217371431236632425124610127072',NULL,'1075',37.12,1,3,NULL),(16,3194426,'1987-11-22 00:00:00',4,1,12,2005,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241217372731549934371124133224052',8198,'266',52.01,4,3,NULL),(16,3194434,'1991-11-30 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241212111431569614572114610137042',NULL,'1048',32.12,1,3,NULL),(16,3194442,'1978-04-08 00:00:00',4,1,11,1996,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241436133411329417215125233251077',11595,'270',46.01,1,3,NULL),(16,3194450,'1990-06-15 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','S JOSé','SC','124241241117271431645339345124610123187',NULL,'733',22.65,4,2,1),(16,3194469,'1990-09-22 00:00:00',4,1,12,2008,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124241241115371431458834575122610138147',9611,'267',49.50,1,2,1),(16,3194477,'1991-01-31 00:00:00',4,7,12,2007,'F','N','BELA VISTA','FRAIBURGO','SC','124241241126151431356414245124231428142',NULL,'314',21.19,1,2,1),(16,3194493,'1991-04-05 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241215211531589731572114610164142',12372,'1022',44.59,1,3,NULL),(16,3194515,'1990-04-09 00:00:00',4,1,6,2008,'M','N','ARMAçãO','FLORIANóPOLIS','SC','124246241117271421118941315124610148042',4778,'306',59.11,1,3,NULL),(16,3194523,'1990-11-14 00:00:00',4,1,6,2008,'M','N','ENSEADA DE BRITO','PALHOçA','SC','124241241115371431459933575124610127042',12225,'739',44.86,1,2,1),(16,3194531,'1984-01-06 00:00:00',4,1,12,2000,'M','N','CENTRO','PALHOçA','SC','124241241136134421333542325132121767047',NULL,'591',0.00,1,2,1),(16,3194540,'1988-10-29 00:00:00',4,1,11,2006,'M','N','PEDRA BRANCA','PALHOçA','SC','124242241217212431479714447124220767042',4074,'486',60.86,1,3,NULL),(16,3194558,'1990-09-07 00:00:00',4,1,11,2007,'F','N','SANTA MONICA','FLORIANóPOLIS','SC','124252241215472431565811321124610137141',8139,'270',52.15,1,3,NULL),(16,3194566,'1990-06-08 00:00:00',4,4,12,2007,'F','N','CENTRO','XANXERê','SC','124241241216422431338923472122230423142',12162,'1022',44.97,1,3,NULL),(16,3194574,'1991-04-05 00:00:00',2,5,11,2008,'M','N','DIVINéIA','ARARANGUá','SC','124243241315271431468911575122610167042',4942,'970',58.76,4,3,NULL),(16,3194604,'1991-04-18 00:00:00',4,1,12,2008,'M','N','CENTRO','PALHOçA','SC','124242241217271432457833575124610164187',4380,'1011',60.07,1,3,NULL),(16,3194612,'1991-11-13 00:00:00',4,4,12,2008,'F','N','NITERóI','SEARA','SC','124241241135131331224329575122610138047',NULL,'763',33.68,1,2,1),(16,3194639,'1984-09-04 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241216272711548619495124133227047',13753,'272',42.16,1,3,NULL),(16,3194647,'1984-11-10 00:00:00',2,1,12,2002,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241122371431433412142124333237047',8997,'307',50.59,1,2,1),(16,3194663,'1991-07-24 00:00:00',4,1,12,2008,'M','N','CINQUENTENáRIO','CAXIAS SUL','RS','120201201117271431427624375122610134147',NULL,'9998',28.69,1,2,1),(16,3194671,'1985-04-06 00:00:00',4,3,12,2002,'M','N','BOA VISTA','CARAZINHO','RS','120202201217151731436631395113143264127',NULL,'9998',35.57,1,3,NULL),(16,3194680,'1991-08-22 00:00:00',4,1,11,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241215271431335923572112610127052',4698,'1014',59.32,1,3,NULL),(16,3194698,'1989-05-29 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','121213213217151411436723345124240267152',11307,'9998',46.47,1,3,NULL),(16,3194701,'1990-10-09 00:00:00',4,8,6,2008,'M','N','ATIRADORES','JOINVILLE','SC','124244281417271431689911434112610162081',NULL,'9998',0.00,1,3,NULL),(16,3194710,'1991-01-09 00:00:00',4,8,11,2008,'M','N','CENTRO','CANOINHAS','SC','124241241236111431359914575122610124053',NULL,'9997',0.00,1,3,NULL),(16,3194736,'1984-04-13 00:00:00',4,1,12,2000,'F','N','LAGOA DA CONCEICAO','FLORIANóPOLIS','SC','624202201116151731258952345122230238195',NULL,'9998',0.00,1,3,NULL),(16,3194744,'1985-05-02 00:00:00',2,1,12,2002,'M','N','RIO CHAPEU','RIO FORTUNA','SC','124241241127161431323336492124610167057',NULL,'665',30.21,1,2,1),(16,3194752,'1991-04-23 00:00:00',4,1,11,2008,'F','N','COSTEIRA','FLORIANóPOLIS','SC','124241241115131431438528575124610147052',14706,'281',40.26,1,2,1),(16,3194760,'1990-08-22 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','116164161217472411379812115122610167092',4686,'9998',59.35,1,3,NULL),(16,3194779,'1989-06-01 00:00:00',2,1,12,2007,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','116162161217152411579812575122241067042',NULL,'9998',28.17,1,3,NULL),(16,3194809,'1987-12-25 00:00:00',4,6,12,2004,'M','N','CENTRO','ITAQUIRAí','MS','112122121216371751468833495121610127052',6412,'9998',55.45,4,3,NULL),(16,3194833,'1974-12-27 00:00:00',4,1,12,1994,'F','N','BELA VISTA','S JOSé','SC','124241241147132421123343236124230266147',NULL,'156',24.60,1,2,1),(16,3194841,'1990-07-12 00:00:00',4,1,10,2008,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124243241215371431368611575124610122045',9092,'270',50.42,1,3,NULL),(16,3194850,'1990-02-14 00:00:00',2,1,12,2007,'F','N','PONTA DE BAIXO','S JOSé','SC','124242241215372431666519372124610132042',NULL,'1036',31.01,1,3,NULL),(16,3194868,'1989-06-07 00:00:00',4,1,12,2007,'M','N','DANIELA','FLORIANóPOLIS','SC','124242241415372431248821575124610127092',4223,'270',60.44,1,3,NULL),(16,3194876,'1960-03-27 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','224243247447151111465454112122610168194',NULL,'9999',31.71,1,3,NULL),(16,3194884,'1972-06-04 00:00:00',4,1,11,1990,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124201201216131441443344242122333222187',NULL,'9998',19.43,1,3,NULL),(16,3194892,'1988-04-11 00:00:00',2,1,12,2005,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241126471431633312495124613227043',8744,'274',50.99,1,2,1),(16,3194906,'1991-07-27 00:00:00',4,4,12,2008,'M','N','INTERIOR','MONDAí','SC','124241241115131431643923574124610137057',9630,'408',49.46,1,2,1),(16,3194914,'1990-08-03 00:00:00',2,1,7,2008,'M','N','SERTAO DO MARUIM','S JOSé','SC','124242241115371431436524395124610168062',9317,'306',50.05,1,3,NULL),(16,3194922,'1991-04-12 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241117271451658631385122610125177',3683,'498',61.87,1,3,NULL),(16,3194949,'1989-02-17 00:00:00',2,1,12,2006,'M','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241124373421331331142124230232047',9722,'307',49.30,1,2,1),(16,3194957,'1989-09-27 00:00:00',4,1,12,2006,'F','N','BOQUEIRãO','SANTOS','SP','125252251217371431358931315124610134182',6403,'9998',55.47,1,3,NULL),(16,3194965,'1990-04-07 00:00:00',4,10,6,2008,'F','N','OFICINAS','TUBARãO','SC','124242281415371431228924491122610122097',7598,'9998',53.15,1,3,NULL),(16,3194973,'1989-02-02 00:00:00',2,1,12,2007,'M','N','JARDIM BOTANICO','CURITIBA','PR','116162161216131431337517385122143236187',NULL,'9998',0.00,1,3,NULL),(16,3194981,'1990-09-12 00:00:00',2,4,12,2007,'F','N','SANTA TEREZINHA','PATO BRANCO','PR','116161161116371531334413235123610112012',NULL,'9998',18.99,1,2,1),(16,3194990,'1983-07-27 00:00:00',4,1,7,2002,'F','N','FLOR DE NAPOLIS','S JOSé','SC','624243244222131732338751375124610122077',NULL,'9997',6.72,1,3,NULL),(16,3195007,'1982-02-12 00:00:00',4,1,11,2002,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241247144133431113344142334130747177',NULL,'9999',22.11,4,1,1),(16,3195015,'1991-03-17 00:00:00',4,1,12,2008,'F','N','GUARDA DO EMBAU','PALHOçA','SC','124241241125131431123351372124610123097',NULL,'595',25.76,1,2,1),(16,3195031,'1988-08-24 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241122331431523339385111610168051',NULL,'277',32.05,2,1,1),(16,3195040,'1990-05-25 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124072241215111431479821595122610137047',NULL,'262',44.12,1,3,NULL),(16,3195066,'1986-02-05 00:00:00',4,8,12,2004,'M','N','BARAO GERALDO','CAMPINAS','SP','125252251347231231338824245121141167047',NULL,'9998',18.35,2,1,2),(16,3195074,'1976-06-20 00:00:00',4,1,12,1996,'M','N','CIDADE JARDIM','MARINGá','PR','216164167326571411344853296123140218187',NULL,'9998',28.78,1,3,NULL),(16,3195090,'1987-04-18 00:00:00',2,7,12,2004,'M','N','CINQUENTENÁRIO','CONCóRDIA','SC','124241241116471441356319445121333218052',12248,'192',44.81,1,2,1),(16,3195112,'1991-11-27 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124241241112141751436514242124610142147',NULL,'307',27.22,1,2,1),(16,3195120,'1990-01-14 00:00:00',2,1,12,2006,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241215373431445614495124610126142',7776,'774',52.82,1,3,NULL),(16,3195139,'1990-10-24 00:00:00',2,1,12,2007,'F','N','BELA VISTA','PALHOçA','SC','124241241126272431547924342124610111071',8215,'1108',51.95,1,2,1),(16,3195163,'1991-04-15 00:00:00',2,1,11,2008,'F','N','JARDIM MAR DAS PEDRA','BIGUAçU','SC','124243248215111421316411572224610128141',NULL,'1040',27.29,1,3,NULL),(16,3195171,'1991-08-20 00:00:00',4,4,12,2008,'F','N','BOA VISTA','CHAPECó','SC','124241241136111431433314241324610127057',NULL,'179',23.57,4,3,NULL),(16,3195180,'1989-12-11 00:00:00',2,1,12,2006,'M','N','CENTRO','AURORA','SC','124241241137471731425711345122610128042',NULL,'40',28.46,1,2,1),(16,3195198,'1989-08-14 00:00:00',2,1,12,2007,'M','N','STO ANTONIO LISBOA','FLORIANóPOLIS','SC','124242241215372711659933475122610137067',4249,'266',60.37,1,3,NULL),(16,3195210,'1991-07-28 00:00:00',4,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124243241347121411337832576124610163187',8561,'1022',51.32,1,3,NULL),(16,3195228,'1989-03-26 00:00:00',2,1,12,2006,'F','N','IPIRANGA','S JOSé','SC','124242241216573751457732575112233224113',4151,'270',60.64,1,3,NULL),(16,3195236,'1990-04-19 00:00:00',4,8,12,2007,'M','N','CENTRO','PALOTINA','PR','116162161215311442468834574114610137121',NULL,'9998',0.00,1,3,NULL),(16,3195244,'1990-07-30 00:00:00',2,1,12,2007,'F','N','PEDREGULHO','GUARATINGUETá','SP','125252251215373411436721571122610164097',NULL,'9998',28.84,1,3,NULL),(16,3195252,'1988-06-21 00:00:00',2,1,10,2008,'F','N','JARDIM JANAINA','BIGUAçU','SC','124243241115112431628432375124610156057',NULL,'266',34.89,1,3,NULL),(16,3195260,'1989-05-20 00:00:00',2,3,12,2006,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241116134731548723141224233238117',NULL,'405',15.18,4,2,1),(16,3195279,'1988-06-23 00:00:00',4,1,11,2008,'M','N','SANTA MONICA','FLORIANóPOLIS','SC','124131241136131431658614375124610168187',9251,'298',50.15,1,2,1),(16,3195295,'1991-01-25 00:00:00',2,1,12,2008,'F','N','CENTRO','LIMEIRA','SP','125251256127141432336634245132610127092',15225,'9998',39.14,1,2,1),(16,3195309,'1991-04-18 00:00:00',2,1,12,2008,'F','N','PRADO','BIGUAçU','SC','124242241217112431556919282124610137142',4762,'1022',59.15,1,3,NULL),(16,3195317,'1973-07-02 00:00:00',4,1,12,1992,'F','N','BARREIROS','S JOSé','SC','224242247336132431536953335124122331147',13835,'9999',41.98,1,3,NULL),(16,3195325,'1989-03-27 00:00:00',2,9,12,2006,'F','N','CENTRO','S MARCOS','RS','120201201116371751533914295114610163197',NULL,'9998',38.97,1,2,1),(16,3195333,'1989-02-28 00:00:00',4,5,6,2007,'M','N','CENTRO','IçARA','SC','124242246216372411358812125122610147112',NULL,'995',0.00,1,3,NULL),(16,3195341,'1991-05-07 00:00:00',4,7,12,2008,'M','N','CENTRO','JOAçABA','SC','124241241217131431539714342225310127057',8602,'454',51.25,1,3,NULL),(16,3195350,'1991-09-10 00:00:00',2,1,12,2008,'F','N','COLONIA SANTANA','S JOSé','SC','124244241415111431443334345124610124072',NULL,'944',25.05,1,3,NULL),(16,3195368,'1989-11-22 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124203201215573431327723575124610116142',1703,'9998',68.40,1,3,NULL),(16,3195376,'1991-10-25 00:00:00',2,1,12,2008,'F','N','BELA VISTA','S JOSé','SC','124241241115131431223321572324610133147',NULL,'726',26.32,1,2,1),(16,3195384,'1986-11-27 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215574231456713385112133227042',10726,'269',47.49,1,3,NULL),(16,3195392,'1991-04-08 00:00:00',2,8,11,2007,'F','N','NOVA BRASÍLIA','JOINVILLE','SC','124242241215572411334312575112610123182',1878,'461',67.68,1,3,NULL),(16,3195406,'1990-05-10 00:00:00',4,8,12,2007,'F','N','NOVO MUNDO','CURITIBA','PR','116161161117471431445614571124610134147',13202,'9998',43.14,1,2,1),(16,3195414,'1991-03-12 00:00:00',4,5,11,2008,'M','N','VILA SAO PEDRO','PIRAí SUL','PR','116162161217111431578811575114610167012',5050,'9998',58.51,1,3,NULL),(16,3195422,'1990-09-24 00:00:00',2,1,11,2008,'M','N','FUNDAçãO BRADESCO','IRECê','BA','105051058216371431326613585121613237012',11996,'9998',45.27,4,3,NULL),(16,3195430,'1955-04-28 00:00:00',2,1,12,1972,'M','N','ESTREITO','FLORIANóPOLIS','SC','224241241312151421433353411124341467047',11464,'497',46.23,2,1,2),(16,3195449,'1991-07-02 00:00:00',2,1,12,2008,'F','N','ROçADO','S JOSé','SC','124241241135141731436614342334610125147',NULL,'726',26.94,1,3,NULL),(16,3195457,'1990-03-24 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANóPOLIS','SC','124242241215372741468633575124610162112',NULL,'300',30.78,1,3,NULL),(16,3195465,'1990-08-14 00:00:00',4,6,7,2008,'F','N','CENTRO','GUARAPUAVA','PR','116162167116131431538613575124610124147',NULL,'9999',25.35,1,3,NULL),(16,3195473,'1991-05-06 00:00:00',4,3,10,2008,'F','N','CENTRO','CURITIBA','PR','116112168217111431566632571122610113142',NULL,'9998',0.00,3,3,NULL),(16,3195490,'1989-10-30 00:00:00',4,1,12,2007,'M','N','CENTRO','MIRASSOL','SP','125251251316325431547711595112610167042',NULL,'9998',29.19,4,1,2),(16,3195503,'1989-01-27 00:00:00',4,1,12,2006,'F','N','QUINTA DAS VIDEIRAS','JUNDIAí','SP','125252251217471421569911295112141267142',NULL,'9998',0.00,1,3,NULL),(16,3195520,'1989-09-18 00:00:00',4,8,12,2005,'M','N','PIRABEIRABA','JOINVILLE','SC','124241242116471431346619595124610117172',10451,'24',48.00,1,2,1),(16,3195538,'1988-06-15 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANóPOLIS','SC','124243241211372431338629281114610168187',16235,'300',36.57,1,3,NULL),(16,3195546,'1990-04-12 00:00:00',2,4,12,2007,'F','N','CENTRO','AMPéRE','PR','116163161316371431478611574124142612032',NULL,'9998',0.00,1,3,NULL),(16,3195554,'1984-12-29 00:00:00',2,1,12,2003,'F','N','ITACURUBI','FLORIANóPOLIS','SC','124071071137431131447413385124142534097',NULL,'9998',27.77,4,1,1),(16,3195562,'1991-01-31 00:00:00',2,1,12,2008,'M','N','COLONIA SANTANA','S JOSé','SC','124244241235152711436613575124610117091',14518,'1074',40.66,1,3,NULL),(16,3195570,'1989-03-04 00:00:00',4,1,12,2006,'M','N','CENTRO','PALHOçA','SC','124242241215373431568833475124131464082',1621,'737',68.80,1,3,NULL),(16,3195589,'1991-03-25 00:00:00',4,1,12,2008,'F','N','PASSA VINTE','PALHOçA','SC','124241241315271731646914241224610161147',16446,'307',35.73,1,3,NULL),(16,3195597,'1990-03-29 00:00:00',4,8,12,2007,'F','N','ENGORDADOURO','JUNDIAí','SP','125252251215471431478814375112610125127',10071,'9998',48.64,1,3,NULL),(16,3195600,'1990-09-21 00:00:00',4,1,12,2007,'F','N','CENTRO','AQUIDAUANA','MS','112122121216271751448813592122610164147',10863,'9998',47.25,1,3,NULL),(16,3195619,'1991-06-17 00:00:00',4,5,12,2008,'M','N','SãO LUIZ','SOMBRIO','SC','124241241147131431323621282321610137172',NULL,'1033',24.86,1,2,1),(16,3195635,'1992-02-18 00:00:00',4,5,12,2008,'M','N','CRUZEIRO DO SUL','CRICIúMA','SC','124242241215151731368834575112610127052',NULL,'211',35.34,1,3,NULL),(16,3195643,'1989-08-28 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241117271431436511382124610133077',NULL,'257',27.01,1,2,1),(16,3195651,'1992-01-10 00:00:00',4,4,11,2008,'F','N','CENTRO','CARAZINHO','RS','120203201216371431449919291114610162112',3669,'9998',61.91,1,3,NULL),(16,3195660,'1991-10-16 00:00:00',4,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241132151431626634572224610127147',NULL,'592',23.88,1,3,NULL),(16,3195678,'1991-09-18 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241116131431339623592124610162147',11928,'307',45.39,1,2,1),(16,3195686,'1989-01-25 00:00:00',4,1,11,2006,'F','N','JUVEVê','CURITIBA','PR','116162161216373411458932572114140431012',4426,'9998',59.94,1,3,NULL),(16,3195694,'1991-07-15 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124244241115221421336639392124610134187',NULL,'307',20.37,2,3,NULL),(16,3195708,'1992-07-20 00:00:00',4,1,11,2008,'F','N','CACUPé','FLORIANóPOLIS','SC','124242241215111431568811572124610124147',NULL,'270',22.48,1,3,NULL),(16,3195716,'1987-04-21 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANóPOLIS','SC','124092097236131431549924575124140434097',NULL,'9998',28.19,1,3,NULL),(16,3195732,'1991-11-19 00:00:00',2,9,12,2008,'F','N','RIO VACARIANO','URUBICI','SC','124241241212111411413335572224610127142',NULL,'817',NULL,1,3,NULL),(16,3195740,'1992-03-13 00:00:00',2,4,11,2008,'F','N','CENTRO','IPORã OESTE','SC','124243241226271451348632125122610137047',12574,'370',44.23,1,3,NULL),(16,3195775,'1981-03-22 00:00:00',2,1,6,2002,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','224241246121174411431144341334610167047',9509,'306',49.71,1,2,1),(16,3195783,'1990-01-03 00:00:00',2,1,11,2008,'M','N','TAPERA','FLORIANóPOLIS','SC','124241241216111731367633325112610167052',13296,'300',42.98,1,3,NULL),(16,3195821,'1992-05-01 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111431367824575122610122187',NULL,'270',41.44,1,3,NULL),(16,3195830,'1990-08-17 00:00:00',2,1,10,2007,'M','N','JARDIN ATLÂNTICO','FLORIANOPOLIS','SC','124242241217111411545833342122610126097',NULL,'976',30.09,1,3,NULL),(16,3195848,'1983-07-05 00:00:00',2,1,12,2001,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241216274731258823495124131033147',NULL,'272',28.79,1,3,NULL),(16,3195856,'1988-10-20 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215372411558834575122220267043',2094,'270',66.82,1,3,NULL),(16,3195864,'1991-06-08 00:00:00',4,1,11,2008,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241316111451338934275114610167052',16447,'300',35.72,1,3,NULL),(16,3195872,'1985-01-08 00:00:00',4,1,12,2004,'F','N','ALVORADA','VIDEIRA','SC','124241241136112211523434275224230637052',NULL,'831',17.79,1,3,NULL),(16,3195880,'1990-05-18 00:00:00',4,6,12,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215474431476514575122131427122',1551,'107',69.13,1,3,NULL),(16,3195899,'1991-11-30 00:00:00',4,1,12,2008,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124244241237131431456613575124610137067',NULL,'1049',32.00,1,3,NULL),(16,3195902,'1991-07-05 00:00:00',2,2,12,2008,'F','N','CENTRO','BARRACãO','PR','116161161116131431333923432224610167057',NULL,'9998',27.79,1,3,NULL),(16,3195929,'1986-07-14 00:00:00',2,1,12,2004,'M','N','CANTO','FLORIANóPOLIS','SC','124244247217272431456721485124130764161',NULL,'270',27.61,1,3,NULL),(16,3195945,'1988-06-11 00:00:00',4,5,12,2005,'F','N','COMERCIáRIO','CRICIúMA','SC','124242241215573431387411375122232427142',5461,'226',57.57,1,3,NULL),(16,3195953,'1988-05-20 00:00:00',2,1,12,2006,'M','N','CENTRO','MEDIANEIRA','PR','116164161427271431579932345122141032127',NULL,'9998',18.45,1,3,NULL),(16,3195970,'1982-04-06 00:00:00',4,1,12,1999,'M','N','JARDIM PAULISTANO','CAMPINAS','SP','125251256246271411336364345114610137047',9455,'9998',49.81,4,3,NULL),(16,3195988,'1991-11-08 00:00:00',4,4,12,2008,'F','N','CENTRO','ITAPIRANGA','SC','124241241145162431446632585122610122197',16625,'412',34.65,1,3,NULL),(16,3195996,'1987-06-11 00:00:00',2,1,12,2004,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241216163212526633495124232017117',NULL,'724',36.67,1,3,NULL),(16,3196003,'1982-08-12 00:00:00',4,1,12,2000,'M','N','RIO GRANDE','PALHOçA','SC','124241241127153711258613344123330217042',NULL,'592',0.00,1,3,NULL),(16,3196011,'1987-12-11 00:00:00',2,1,12,2004,'M','N','LAGOA DA CONCEçãO','FLORIANóPOLIS','SC','124114201117473751436512395124230212157',12526,'9998',44.31,1,3,NULL),(16,3196020,'1988-08-31 00:00:00',4,1,12,2005,'M','N','VISTA VERDE','S JOSé CAMPOS','SP','125252251217471421459812375114142648172',6272,'9998',55.75,1,3,NULL),(16,3196038,'1985-08-01 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124161161217574411346628485124221462052',5080,'9998',58.43,1,3,NULL),(16,3196046,'1987-12-03 00:00:00',2,1,12,2004,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124202241346233441526479385124122264037',NULL,'307',40.67,1,3,NULL),(16,3196054,'1990-08-04 00:00:00',2,1,12,2007,'M','N','FLOR DE NáPOLIS','S JOSé','SC','124242248211372431566832315214613217061',NULL,'1074',26.59,1,3,NULL),(16,3196062,'1991-04-27 00:00:00',4,7,12,2007,'F','N','CENTRO','VIDEIRA','SC','124244161214472431458832575114610136182',2998,'9998',63.80,1,3,NULL),(16,3196070,'1989-01-12 00:00:00',4,8,12,2006,'M','N','VILA OPERáRIA','ITAJAí','SC','124242241215413451344412571114231465092',NULL,'388',0.00,1,3,NULL),(16,3196089,'1990-02-04 00:00:00',2,1,12,2007,'F','N','ARIRIÚ','PALHOCA','SC','124246241116372431435723575124233264197',6402,'307',55.47,1,3,NULL),(16,3196097,'1991-08-12 00:00:00',4,10,11,2008,'M','N','REVOREDO','TUBARãO','SC','124241241117131431436611575121610117047',16326,'798',36.28,1,2,1),(16,3196100,'1991-08-17 00:00:00',2,1,12,2008,'F','N','BELA VISTA','PALHOçA','SC','124241241117141211445334572122610122142',NULL,'592',30.30,1,2,1),(16,3196119,'1988-04-28 00:00:00',2,1,11,2006,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124243245311163411459919492124231062055',NULL,'951',11.78,2,3,NULL),(16,3196127,'1991-02-19 00:00:00',4,4,12,2008,'F','N','INTERIOR','XAXIM','SC','124241241115151431445933345224610124047',14331,'846',40.99,1,2,1),(16,3196135,'1991-05-18 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241216112432468833575124610114072',12887,'270',43.69,1,3,NULL),(16,3196143,'1983-04-20 00:00:00',4,1,12,2002,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241117275451366639245124122265197',NULL,'307',27.70,1,2,1),(16,3196151,'1991-02-18 00:00:00',4,8,12,2008,'M','N','NSA DE LOURDES','CAXIAS SUL','RS','120202201216471531457614595112610167042',6172,'9998',55.99,1,3,NULL),(16,3196160,'1990-11-27 00:00:00',4,4,12,2008,'M','N','INTERIOR','ANCHIETA','SC','124241241115161431323314572324610112047',NULL,'16',37.89,1,2,1),(16,3196178,'1986-03-27 00:00:00',4,1,12,2003,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124242241217575431376633472122130467182',4304,'262',60.22,1,3,NULL),(16,3196186,'1984-10-12 00:00:00',5,1,11,2001,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241216152431367672442114122824017',NULL,'226',0.00,1,3,NULL),(16,3196194,'1992-06-22 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','128282281217161431458712575124610164042',NULL,'9998',35.18,4,3,NULL),(16,3196208,'1985-12-26 00:00:00',4,1,12,2004,'M','N','BARREIROS','S JOSé','SC','124114111437421531136612472112231422062',NULL,'9998',25.02,1,3,NULL),(16,3196224,'1989-12-07 00:00:00',2,1,12,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC','124241241122472431444313482114610164147',9270,'278',50.13,1,2,1),(16,3196232,'1992-01-12 00:00:00',4,1,12,2008,'F','N','CENTRO','CAXIAS DO SUL','RS','120241201147471411544612575124610147072',10919,'9998',47.16,1,2,1),(16,3196240,'1989-03-02 00:00:00',4,1,12,2008,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241125111132234623292124610114144',NULL,'12',17.43,1,3,NULL),(16,3196259,'1991-10-12 00:00:00',2,10,11,2008,'F','N','TERMAS','GRAVATAL','SC','124242241215122431358831572124610134182',NULL,'807',38.99,1,3,NULL),(16,3196267,'1984-09-24 00:00:00',2,1,8,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241127142731328513342114610127057',NULL,'140',0.00,1,3,NULL),(16,3196275,'1989-10-14 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124241241116273411446633395124610136147',NULL,'257',24.25,1,3,NULL),(16,3196283,'1988-07-28 00:00:00',4,1,12,2006,'M','N','GIOCONDO ORSI','CPO GRANDE','MS','112124128436211111378832595122610117061',NULL,'9998',0.00,1,3,NULL),(16,3196291,'1988-12-13 00:00:00',4,5,12,2005,'M','N','URUSSANGUINHA','ARARANGUá','SC','124242248215372531488732145122130625182',5961,'970',56.44,4,3,NULL),(16,3196305,'1979-06-24 00:00:00',4,1,12,1999,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124201201126331431223343235123610144097',NULL,'9998',23.82,1,3,NULL),(16,3196313,'1988-04-19 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241116471731628321385124610164147',NULL,'257',25.25,4,2,1),(16,3196321,'1962-11-09 00:00:00',2,1,12,1993,'F','N','CAMPECHE','FLORIANóPOLIS','SC','224241244127473411533353382124510164187',NULL,'804',29.99,1,3,NULL),(16,3196330,'1991-11-04 00:00:00',4,1,12,2008,'F','N','PENHA','PAULO LOPES','SC','124241241114131431415614572124610161147',NULL,'361',33.53,1,2,1),(16,3196348,'1991-09-22 00:00:00',4,1,12,2008,'F','N','PENHA','PAULO LOPES','SC','124241241114131632413529572324610137147',NULL,'361',27.19,1,2,1),(16,3196356,'1987-04-18 00:00:00',2,8,11,2005,'M','N','ALTO DA XV','CURITIBA','PR','116164251235571431363616591124610126042',8160,'9998',52.12,1,3,NULL),(16,3196364,'1990-07-25 00:00:00',2,1,12,2008,'F','N','ROçADO','S JOSé','SC','124244247346131431426431575124610128077',NULL,'1117',23.62,1,3,NULL),(16,3196372,'1989-01-12 00:00:00',2,1,7,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241117271411458813576114610134012',4801,'306',59.06,4,2,1),(16,3196380,'1991-03-18 00:00:00',2,1,12,2008,'F','N','CENTRO','LEOBERTO LEAL','SC','124241241122161731359333312122610138147',13799,'533',42.06,1,2,1),(16,3196399,'1982-02-11 00:00:00',4,1,12,2003,'F','N','CENTRO','S BENTO SUL','SC','124241167616532431423336295124610136147',NULL,'9999',25.21,1,3,NULL),(16,3196410,'1992-03-18 00:00:00',2,9,12,2008,'M','N','RIO DE AREIA','RIO RUFINO','SC','124241242112161431643419572222610164047',10468,'662',47.97,1,2,1),(16,3196429,'1962-01-26 00:00:00',2,1,12,1979,'M','N','COQUEIROS','FLORIANóPOLIS','SC','224202201216154421446641312122120817047',NULL,'9998',36.44,1,3,NULL),(16,3196437,'1984-03-27 00:00:00',4,1,12,2003,'F','N','REBOUÇAS','CURITIBA','PR','116251161426471431448663285114141034047',NULL,'9998',0.00,1,3,NULL),(16,3196445,'1990-01-22 00:00:00',2,8,12,2007,'F','N','CENTRO','RIO NEGRO','PR','116241241215471731338933532114610128077',NULL,'541',29.64,1,3,NULL),(16,3196453,'1991-07-10 00:00:00',2,1,12,2008,'F','N','INTERLAGOS','TRêS LAGOAS','MS','112122121216111531558812575122610164142',NULL,'9998',0.00,1,3,NULL),(16,3196470,'1990-07-26 00:00:00',2,8,12,2007,'M','N','BAIRRO PRETO','PRUDENTóPOLIS','PR','116162161216241121526932422122610111064',NULL,'9998',0.00,1,3,NULL),(16,3196488,'1991-09-19 00:00:00',2,5,11,2008,'F','N','GUATá','LAURO MüLLER','SC','124241241215112431443314575114610128072',2445,'820',65.54,1,3,NULL),(16,3196496,'1983-01-26 00:00:00',4,1,11,2000,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241216372731468823415122320424067',3232,'272',63.19,1,3,NULL),(16,3196500,'1989-08-25 00:00:00',4,1,12,2006,'F','N','PARQUE CIDADE JARDIM','UMUARAMA','PR','116164161214571431568913574112610114187',243,'9998',78.62,3,3,NULL),(16,3196518,'1988-03-17 00:00:00',4,9,12,2005,'M','N','UNIVERSITARIO','LAGES','SC','124242241216575431538911595122610167042',13656,'497',42.36,1,3,NULL),(16,3196542,'1985-09-30 00:00:00',2,1,12,2003,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124251241127132421424444141214141964022',NULL,'277',27.25,4,2,1),(16,3196550,'1990-12-29 00:00:00',4,3,12,2008,'F','N','CENTRO','BIRIGüI','SP','125252251216121431449813575122610122012',NULL,'9998',0.00,1,3,NULL),(16,3196569,'1973-06-12 00:00:00',4,1,11,1999,'M','N','CARIANO','FLORIANóPOLIS','SC','224241086122233311224212121112110223043',NULL,'693',18.34,1,3,NULL),(16,3196577,'1990-12-22 00:00:00',2,1,12,2007,'F','N','BELA VISTA','S JOSé','SC','124241241117271752645669572124610162147',NULL,'726',27.19,2,1,1),(16,3196585,'1991-07-25 00:00:00',4,4,12,2008,'F','N','INTERIOR','RIO ÍNDIOS','RS','120201201117161751536336162222610113057',NULL,'9998',0.00,1,3,NULL),(16,3196593,'1985-07-31 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANóPOLIS','SC','224201201116131431243359345122610118195',NULL,'9998',24.03,1,2,1),(16,3196607,'1989-12-31 00:00:00',2,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215472431558964572122610167147',NULL,'1146',39.36,4,3,NULL),(16,3196615,'1990-03-15 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241417121741228923282114610142187',4572,'1022',59.62,1,3,NULL),(16,3196631,'1989-06-05 00:00:00',1,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124252168635152431129949395124220767095',5010,'9998',58.59,1,3,NULL),(16,3196640,'1991-02-21 00:00:00',4,1,12,2008,'F','N','CENTRO VILA NOVA','TRêS LAGOAS','MS','112122121216111731538614575122610163142',10651,'9998',47.65,1,3,NULL),(16,3196674,'1983-05-17 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANóPOLIS','SC','124123121137371411223353345125610144185',NULL,'9998',34.23,4,3,NULL),(16,3196690,'1987-05-08 00:00:00',4,1,12,2004,'M','N','AREIAS','S JOSé','SC','124241241415135421646669345134610164147',6436,'976',55.41,1,3,NULL),(16,3196704,'1982-11-06 00:00:00',4,1,12,1999,'M','N','PANTANAL','FLORIANóPOLIS','SC','224201208116113331245913415122610113043',NULL,'9998',26.99,1,2,1),(16,3196720,'1980-11-19 00:00:00',4,1,12,1998,'M','N','CARIANOS','FLORIANóPOLIS','SC','224241241116131431225641415122332828172',NULL,'658',39.47,1,3,NULL),(16,3196739,'1986-04-12 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','116161161116471741547631475124243236173',7670,'9998',53.02,3,2,1),(16,3196747,'1981-06-07 00:00:00',4,1,12,1999,'M','N','DANIELA','FLORIANóPOLIS','SC','124074071216152421378733285122140222181',2467,'9998',65.45,4,3,NULL),(16,3196755,'1985-09-04 00:00:00',2,1,6,2005,'M','N','TAPERA','FLORIANóPOLIS','SC','624251241127134451223441112224221768197',NULL,'277',40.85,1,2,1),(16,3196763,'1987-04-08 00:00:00',4,1,7,2008,'M','N','BREMER','RIO SUL','SC','124241247147271231434329445221610147142',12247,'659',44.81,1,2,1),(16,3196771,'1991-05-18 00:00:00',4,1,11,2008,'F','N','CASCATINHA','PALMAS','PR','116162168212111431428519572122610117143',NULL,'9998',0.00,1,3,NULL),(16,3196780,'1991-06-11 00:00:00',2,1,11,2008,'M','N','RIO BELO','ORLEANS','SC','124241241116151431546632275125233214142',NULL,'580',28.02,1,3,NULL),(16,3196798,'1987-01-28 00:00:00',2,1,12,2004,'F','N','CASCATINHA','POçOS CALDAS','MG','113131131116131731643614345234142724182',NULL,'9998',27.14,1,2,1),(16,3196801,'1990-08-12 00:00:00',4,1,12,2007,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215572411489912372122230242103',3644,'262',61.97,1,3,NULL),(16,3196810,'1989-04-21 00:00:00',2,1,12,2006,'M','N','INTERIOR','CâNDIDO GODóI','RS','120201201116271431423336462222610127057',NULL,'9998',25.95,1,2,1),(16,3196828,'1981-09-16 00:00:00',2,8,11,1998,'F','N','AGUA VERDE','CURITIBA','PR','116243241116573431248829472124341522182',1754,'542',68.18,1,3,NULL),(16,3196844,'1990-01-26 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241217373431568814475114610121112',6676,'724',54.92,1,3,NULL),(16,3196852,'1986-01-10 00:00:00',4,1,12,2004,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124252161317473431559811475123220724177',3942,'9998',61.22,1,3,NULL),(16,3196860,'1990-08-07 00:00:00',4,3,12,2007,'F','N','BATEL','CURITIBA','PR','116112111216471451346532595125610163197',7137,'9998',54.03,1,3,NULL),(16,3196879,'1989-08-16 00:00:00',2,1,12,2006,'F','N','PRAIA COMPRIDA','S JOSé','SC','124241245112132421434623145124232717052',NULL,'733',24.22,1,2,1),(16,3196887,'1976-10-10 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','224241244216131421223359345122610164147',16660,'266',34.21,1,3,NULL),(16,3196895,'1990-10-21 01:00:00',4,9,12,2007,'M','N','AZENHA','PTO ALEGRE','RS','120201201217472411358933571125610134187',2360,'9998',65.84,1,3,NULL),(16,3196909,'1990-07-16 00:00:00',2,1,12,2007,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124242241216371731338519585114610167057',NULL,'9999',35.13,1,3,NULL),(16,3196917,'1990-12-26 00:00:00',2,8,12,2007,'M','N','SETOR RODOVIÁRIO','SANCLERLâNDIA','GO','109092091216471431479911575122610162047',NULL,'9998',24.61,4,3,NULL),(16,3196925,'1990-11-02 00:00:00',2,1,12,2008,'F','N','JD DAS INDUSTRIAS','S JOSé CAMPOS','SP','125254251116471431435614275124610137147',NULL,'9998',0.00,4,3,NULL),(16,3196933,'1990-06-27 00:00:00',2,8,12,2007,'M','N','JD PREF MARIO SANTOS','NOVA FáTIMA','PR','116161161211471751526824592124610147057',14470,'9998',40.75,1,3,NULL),(16,3196950,'1990-07-28 00:00:00',4,1,12,2007,'M','N','NOVA SUíçA','GOIâNIA','GO','109092091217471431468819575122610137051',1733,'9998',68.28,1,3,NULL),(16,3196968,'1985-08-11 00:00:00',4,1,6,2004,'M','N','SãO SEBASTIãO','PALHOçA','SC','124241241116273421456313445114610137042',15402,'591',38.77,1,3,NULL),(16,3196976,'1991-09-27 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241134472431427823576124610164197',7374,'307',53.57,1,2,1),(16,3196984,'1989-11-29 00:00:00',2,1,11,2008,'M','N','LARANJEIRAS','RIO SUL','SC','124241241116131431225629395125610122172',14241,'658',41.15,1,3,NULL),(16,3197000,'1991-10-08 00:00:00',4,1,12,2008,'M','N','CENTRO','TERRA RICA','PR','116241161117271231538719585111610124057',12633,'9998',44.11,1,2,1),(16,3197018,'1991-07-22 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241116131431323312575124610143145',NULL,'307',25.70,1,2,1),(16,3197026,'1990-03-01 00:00:00',2,4,12,2007,'F','N','JUVEVE','CURITIBA','PR','116244247446472411546611271124610124042',7391,'1126',53.53,1,3,NULL),(16,3197034,'1991-05-07 00:00:00',2,7,12,2008,'F','N','CENTRO','TANGARá','SC','124241243137132431447811175122610164197',NULL,'779',0.00,1,2,1),(16,3197042,'1992-07-22 00:00:00',4,8,12,2008,'M','N','SETOR RODOVIÁRIO','SANCLERLâNDIA','GO','109092091216111431479911475122610167047',10877,'9998',47.22,4,3,NULL),(16,3197050,'1992-03-22 00:00:00',4,1,12,2009,'F','S','CAMPECHE','FLORIANóPOLIS','SC','124244241117131431349924472124610162117',NULL,'298',31.86,1,3,NULL),(16,3197069,'1987-12-15 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243247227131421636614245122610134117',NULL,'9999',27.81,1,3,NULL),(16,3197077,'1983-08-30 00:00:00',2,1,12,2002,'M','N','IPIRANGA','S JOSé','SC','124241241117133431336413442214610127052',NULL,'307',28.64,4,1,1),(16,3197085,'1991-10-29 00:00:00',4,3,10,2008,'F','N','AGUA VERDE','CURITIBA','PR','116112161235475431466636571125610163142',NULL,'9998',0.00,1,3,NULL),(16,3197093,'1992-08-04 00:00:00',4,5,11,2009,'M','S','CENTRO','CRICIúMA','SC','124242241215111431228824572121610137047',NULL,'226',41.02,1,3,NULL),(16,3197107,'1991-10-11 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111751457811595125610118181',NULL,'262',22.45,1,3,NULL),(16,3197131,'1988-12-12 00:00:00',2,1,12,2006,'F','N','PRAIA COMPRIDA','S JOSé','SC','124242248216273431346924345124132863157',NULL,'1098',32.09,1,3,NULL),(16,3197158,'1987-12-01 00:00:00',2,1,12,2006,'M','N','PASSA VINTE','PALHOçA','SC','124241241622272421423318342333610144147',NULL,'262',26.27,4,3,NULL),(16,3197166,'1988-06-26 00:00:00',4,1,6,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124243241112132431565913485112610122092',NULL,'271',30.13,1,3,NULL),(16,3197174,'1991-07-29 00:00:00',2,1,12,2008,'F','N','IMIGRANTES','CONCóRDIA','SC','124241241117471431559953575122610133172',14351,'192',40.96,1,2,1),(16,3197182,'1980-11-18 00:00:00',2,1,7,2000,'F','N','PRAIA COMPRIDA','S JOSé','SC','624241241132334431623344341224630226147',NULL,'733',27.08,2,1,1),(16,3197190,'1975-08-24 00:00:00',2,1,12,1995,'M','N','CENTRO','GAROPABA','SC','124281286317255731125841315134121736097',7085,'9998',54.13,1,3,NULL),(16,3197220,'1990-05-15 00:00:00',4,10,12,2007,'F','N','RIVIERA FLUMINENSE','MACAé','RJ','121214218417231431458614572122610164097',14651,'9998',40.38,1,3,NULL),(16,3197239,'1984-01-11 00:00:00',4,1,12,2001,'M','N','SACO DOS LIMÕES','FLORIANóPOLIS','SC','124203203226131431236644242124140234187',15466,'9998',38.62,1,3,NULL),(16,3197247,'1990-07-09 00:00:00',2,5,11,2007,'M','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124244241411472221474932372122610164047',2046,'226',67.00,1,3,NULL),(16,3197255,'1982-02-07 00:00:00',2,1,7,2001,'M','N','CARIANOS','FLORIANóPOLIS','SC','124243246116175431467613445122221767122',NULL,'306',0.00,1,3,NULL),(16,3197263,'1991-08-09 00:00:00',4,4,12,2008,'F','N','MARIA GORETTI','CHAPECó','SC','124242241235112431348831575122610134097',14570,'168',40.57,1,3,NULL),(16,3197271,'1973-09-05 00:00:00',4,1,12,1993,'F','N','VILA GILDA','STO ANDRé','SP','125251251216272751238319382122340461147',11353,'9998',46.40,1,3,NULL),(16,3197298,'1992-01-02 00:00:00',4,1,12,2008,'M','N','BOA PARADA','S PEDRO ALCâNTARA','SC','124241241215111411216812571124610124042',NULL,'1022',43.11,1,3,NULL),(16,3197310,'1991-04-09 00:00:00',4,1,12,2008,'M','N','CENTRO','VANINI','RS','120201208117111331333931572122610127052',NULL,'9998',26.19,1,3,NULL),(16,3197328,'1993-01-03 00:00:00',2,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124241241215111751344912395122610116152',14070,'226',41.52,1,3,NULL),(16,3197336,'1988-07-29 00:00:00',2,1,12,2005,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241146272431633324245234610114093',7975,'592',52.47,1,2,1),(16,3197344,'1989-02-21 00:00:00',2,1,12,1996,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241115153431436613572114610135187',10258,'267',48.34,1,2,1),(16,3197360,'1990-08-20 00:00:00',2,10,11,2008,'F','N','HUMAITA DE CIMA','TUBARãO','SC','124242241215111431448612345122610137147',16574,'797',35.04,1,3,NULL),(16,3197379,'1989-06-18 00:00:00',4,1,12,2006,'F','N','CENTRO','TELêMACO BORBA','PR','116161161216371431348833445122142624087',NULL,'9998',26.66,1,3,NULL),(16,3197387,'1989-07-27 00:00:00',2,1,12,2006,'M','N','CENTRO','AT BELA VISTA','SC','124241241126473731343312395124610127052',NULL,'14',32.35,1,2,1),(16,3197425,'1992-02-15 00:00:00',4,9,12,2008,'F','N','CENTRO','BOM JD SERRA','SC','124241241215371431566733572124610127147',8379,'515',51.64,1,3,NULL),(16,3197468,'1988-08-03 00:00:00',2,1,12,2005,'M','N','AREIAS','S JOSé','SC','124161161345573431126631175224610164097',2248,'9998',66.24,4,1,2),(16,3197476,'1988-05-17 00:00:00',4,6,12,2005,'M','N','ÁGUAS CLARAS','BRUSQUE','SC','124241241115151431524431475121610168047',5658,'113',57.15,1,2,1),(16,3197484,'1991-05-23 00:00:00',2,8,12,2008,'M','N','CENTRO','STA VITóRIA PALMAR','RS','124202242115141441358833572124610167147',NULL,'24',34.28,1,3,NULL),(16,3197492,'1992-03-18 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241235111421558933472122610137052',NULL,'270',31.99,1,3,NULL),(16,3197506,'1991-11-18 00:00:00',2,1,12,2008,'F','N','COLONINHA','FLORIANóPOLIS','SC','124241241216111411446624575114610167057',NULL,'1022',26.94,1,3,NULL),(16,3197514,'1989-02-09 00:00:00',4,8,11,2006,'M','N','GUANABARA','JOINVILLE','SC','124242247215371411456814375124610116067',NULL,'9999',41.58,1,3,NULL),(16,3197522,'1988-01-25 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242248216234531525523485214610112077',NULL,'273',20.43,1,3,NULL),(16,3197530,'1991-12-11 00:00:00',2,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241216151731456632592122610127141',12208,'1146',44.89,1,3,NULL),(16,3197549,'1991-07-05 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124244241217111431457614575124610154072',13863,'977',41.91,1,3,NULL),(16,3197557,'1988-06-04 00:00:00',4,1,12,2006,'M','N','PERDIZES','S PAULO','SP','125252251217141311478834385124243227117',10960,'9998',47.09,1,3,NULL),(16,3197565,'1991-09-18 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124202241215111421368619595122610167042',NULL,'44',28.64,1,3,NULL),(16,3197581,'1993-01-25 00:00:00',4,9,12,2009,'F','S','POPULAR','LAGES','SC','124242241217111731356513575112610162142',NULL,'1146',52.62,1,3,NULL),(16,3197590,'1992-01-15 00:00:00',4,1,11,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217111431438813572122610117052',NULL,'262',42.45,1,3,NULL),(16,3197603,'1990-11-28 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241248115131431424519191221610125077',NULL,'592',24.59,1,2,1),(16,3197611,'1990-10-18 00:00:00',4,1,11,2008,'F','N','FáTIMA','FLORIANóPOLIS','SC','124241241117131431325524382124610154052',NULL,'9997',27.59,1,3,NULL),(16,3197620,'1988-01-02 00:00:00',2,1,12,2006,'M','N','BARREIROS','S JOSé','SC','124244241436313711336622345123610167067',10328,'738',48.21,1,3,NULL),(16,3197638,'1989-06-29 00:00:00',2,1,12,2006,'F','N','COSTEIRA','FLORIANóPOLIS','SC','124242241215373431336514442122610125142',8928,'269',50.69,1,3,NULL),(16,3197646,'1991-07-10 00:00:00',4,2,12,2008,'M','N','VILA NOVA','BLUMENAU','SC','124242241211112431468934571122610147042',NULL,'87',0.00,1,3,NULL),(16,3197654,'1982-01-01 00:00:00',2,1,12,1999,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','224241161115431411646349372124610122142',9951,'175',48.86,1,3,NULL),(16,3197662,'1990-07-09 00:00:00',4,4,12,2007,'M','N','CENTRO','STA TEREZINHA ITAIPU','PR','116162161235471412448912575124610164092',9910,'9998',48.93,1,3,NULL),(16,3197689,'1990-09-09 00:00:00',2,1,12,2007,'F','N','PANAZZOLO','CAXIAS SUL','RS','120202201215472431457611114122610133142',NULL,'9998',0.00,3,3,NULL),(16,3197697,'1990-04-02 00:00:00',4,1,11,2007,'M','N','CENTRO','SORRISO','MT','124112111216472431264832175112610132182',11285,'9998',46.50,1,3,NULL),(16,3197700,'1990-01-11 00:00:00',2,9,12,2006,'F','N','CENTRO','CURITIBANOS','SC','124243248336271731538913575114133268113',NULL,'881',33.96,1,3,NULL),(16,3197727,'1971-10-18 00:00:00',2,1,12,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','624243247327271431223379382124610111197',NULL,'9999',0.00,1,3,NULL),(16,3197735,'1991-03-05 00:00:00',4,1,11,2008,'M','N','TAPERA','FLORIANóPOLIS','SC','124242241215111432326628472124610117047',14185,'1022',41.26,1,3,NULL),(16,3197743,'1991-06-13 00:00:00',2,1,12,2007,'M','N','CENTRO','LADáRIO','MS','112124121215411432348879572214610164057',1915,'9998',67.53,1,3,NULL),(16,3197751,'1984-10-14 00:00:00',2,1,12,2005,'M','N','MADRI','PALHOçA','SC','124241241322131431427718192124231037042',16080,'592',37.00,5,4,NULL),(16,3197786,'1991-07-15 00:00:00',4,10,11,2008,'M','N','DEHON','TUBARãO','SC','124242241215171431479823575121610117042',6670,'806',54.93,1,3,NULL),(16,3197794,'1990-10-23 00:00:00',2,1,12,2008,'F','N','PQ ITAIPU','MARINGá','PR','116162161217371752359613575112610161117',14084,'270',41.48,1,3,NULL),(16,3197808,'1991-12-08 00:00:00',2,1,11,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241248215112431366632571114610127065',NULL,'1022',21.53,1,3,NULL),(16,3197816,'1987-12-04 00:00:00',2,1,12,2004,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241111272431344413375124610167042',7308,'281',53.69,1,2,1),(16,3197824,'1990-07-20 00:00:00',4,1,12,2007,'M','N','CENTRO','AT PARANá','PR','116161161235372411446616395114610147077',6252,'9998',55.78,1,3,NULL),(16,3197832,'1990-05-29 00:00:00',4,1,12,2007,'M','N','CANTO','FLORIANóPOLIS','SC','124242241215472432258613575114610164197',7525,'1022',53.28,1,3,NULL),(16,3197840,'1991-12-19 00:00:00',2,1,12,2008,'F','N','MORADA DO SOL','VIDEIRA','SC','124241241216171531559831472122610121117',12750,'1022',43.92,1,3,NULL),(16,3197859,'1975-12-15 00:00:00',2,1,12,1992,'F','N','BARREIROS','S JOSé','SC','124201208126131431123344245134140862092',15532,'9998',38.47,1,3,NULL),(16,3197867,'1991-06-27 00:00:00',4,1,12,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241117372451268823576122610164142',1248,'267',70.67,1,2,1),(16,3197875,'1989-04-04 00:00:00',1,1,8,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242281415572431479931575122121134182',874,'9998',72.83,1,3,NULL),(16,3197891,'1987-06-12 00:00:00',4,1,12,2004,'M','N','JARDIM CIDADE','S JOSé','SC','124241241216133411436512345112610166191',NULL,'943',0.00,1,3,NULL),(16,3197905,'1990-09-08 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124161161126241132423314145321610126047',NULL,'9998',31.04,4,3,NULL),(16,3197921,'1991-06-10 00:00:00',4,1,12,2008,'F','N','SANTANA','URUGUAIANA','RS','120201201116471431546511572123610122042',NULL,'9998',27.95,1,2,1),(16,3197948,'1975-07-25 00:00:00',4,1,12,1989,'M','N','CENTRO','FLORIANóPOLIS','SC','124064066136151421165343432334440252097',4747,'9998',59.19,4,3,NULL),(16,3197956,'1992-01-11 00:00:00',2,4,12,2008,'F','N','SANTA MARIA','CHAPECó','SC','124241241215371431543932275125610128057',13828,'1046',42.00,1,3,NULL),(16,3197964,'1991-04-04 00:00:00',4,1,12,2008,'M','N','JARDIM ELDORADO','PALHOçA','SC','124242241215111451533632141122610164147',12825,'9997',43.80,1,3,NULL),(16,3197999,'1990-03-29 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124242241217372721658623575122132837062',10622,'515',47.70,1,3,NULL),(16,3198006,'1989-09-20 00:00:00',2,1,12,2007,'M','N','CENTRO','SORRISO','MT','124111111147371441533315375122610114182',12325,'9998',44.69,1,2,1),(16,3198014,'1990-02-23 00:00:00',2,1,12,2007,'F','N','SANTO ANTONIO DE LIS','FLORIANóPOLIS','SC','124243241215372431453611592224610167057',7940,'44',52.52,1,3,NULL),(16,3198022,'1989-03-17 00:00:00',4,8,12,2006,'M','N','JARDIM IRIRIU','JOINVILLE','SC','124241246215271441643311315124610122052',13536,'1105',42.56,1,3,NULL),(16,3198030,'1991-09-04 00:00:00',2,5,11,2008,'M','N','SANTRA AUGUSTA','CRICIúMA','SC','124244246217141332336833572121610114042',NULL,'995',31.57,1,3,NULL),(16,3198049,'1988-09-07 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241216152431389714575122221424042',2226,'909',66.32,2,3,NULL),(16,3198057,'1991-10-18 00:00:00',4,4,11,2008,'M','N','JARDIM ITáLIA','CHAPECó','SC','124241241115132431238933272212610164051',13818,'169',42.02,1,2,1),(16,3198065,'1991-03-08 00:00:00',4,1,12,2008,'M','N','SANTO AGOSTINHO','FRANCA','SP','125252251215131431336621571224610137042',NULL,'9998',0.00,1,3,NULL),(16,3198073,'1989-05-09 00:00:00',2,1,12,2006,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124254251217572431664612445114610161097',NULL,'9998',33.35,1,3,NULL),(16,3198081,'1993-09-22 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215111431327764575124610114072',10393,'1022',48.10,1,3,NULL),(16,3198090,'1992-06-26 00:00:00',2,9,12,2008,'F','N','CENTRO','URUBICI','SC','124241241216371431438631595122610164187',14718,'817',40.24,1,3,NULL),(16,3198103,'1987-07-12 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241248122471431624111482344610167157',NULL,'593',31.27,1,3,NULL),(16,3198111,'1990-09-20 00:00:00',2,1,12,2007,'F','N','SAO SEBASTIAO','PALHOçA','SC','124241241116131411523323572114610124147',NULL,'592',24.53,1,2,1),(16,3198138,'1991-02-16 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124243241115271431348714575114610162142',8758,'271',50.97,1,3,NULL),(16,3198146,'1983-09-22 00:00:00',4,1,12,2001,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124251251117233421623619415234141462047',14004,'9998',41.64,4,1,1),(16,3198154,'1989-07-30 00:00:00',4,1,12,2006,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241216372411433712245123121717045',12168,'272',44.96,1,3,NULL),(16,3198162,'1985-04-28 00:00:00',4,7,12,2002,'M','N','CENTRO OESTE','CATANDUVAS','SC','124241241116473411436412394124542922172',1048,'161',71.75,4,2,1),(16,3198170,'1990-12-28 00:00:00',4,8,12,2007,'M','N','CASTROLANDA','COL CASTROLâNDA','PR','116162161217271431536615595124610134197',NULL,'9998',0.00,1,3,NULL),(16,3198197,'1991-09-24 00:00:00',4,1,11,2008,'M','N','BAIRRO IPIRANGA','S JOSé','SC','624244241416131731466619595125610144187',NULL,'1078',22.33,1,3,NULL),(16,3198200,'1990-07-18 00:00:00',4,4,12,2007,'F','N','MORADA DO SOL','MARAVILHA','SC','124241241116132431456933585122610134077',16530,'552',35.32,1,2,1),(16,3198219,'1991-02-01 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241116131431323624445224610138147',NULL,'288',32.43,1,2,1),(16,3198227,'1985-05-09 00:00:00',2,1,12,2000,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241116131721125544345124230813077',NULL,'521',19.63,1,2,1),(16,3198235,'1990-01-05 00:00:00',4,1,12,2007,'M','N','CENTRO','JARAGUá SUL','SC','124242241215273531489932575112121424052',4699,'270',59.32,1,3,NULL),(16,3198243,'1990-03-20 00:00:00',2,5,11,2007,'F','N','PIO CORRêA','CRICIúMA','SC','124242241215273431456632495122231448092',12193,'226',44.92,1,3,NULL),(16,3198251,'1990-05-29 00:00:00',2,1,12,2007,'F','N','BOM VIVER','BIGUAçU','SC','124242248212472431567419575124610126077',NULL,'1036',30.29,1,3,NULL),(16,3198260,'1991-12-26 00:00:00',4,1,12,2008,'M','N','CENTRO','CASCAVEL','PR','116162161217411431348631345122610122157',7310,'9998',53.69,1,3,NULL),(16,3198278,'1989-04-30 00:00:00',2,10,11,2006,'M','N','CENTRO','GR PARá','SC','124244241217372431337614445124610144142',NULL,'102',25.05,1,3,NULL),(16,3198286,'1990-06-02 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124242241217272432486832435122231067042',7920,'1022',52.56,1,3,NULL),(16,3198294,'1958-04-10 00:00:00',4,1,11,1980,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124201203126131431126644142124140236197',NULL,'9998',26.56,1,3,NULL),(16,3198316,'1991-07-10 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215112431466612572122610127052',1428,'723',69.64,1,3,NULL),(16,3198324,'1991-12-14 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215171431438832422112610122072',8089,'9997',52.25,1,3,NULL),(16,3198332,'1988-10-13 00:00:00',4,1,12,2005,'M','N','CIDADE NOVA','MARINGá','PR','116162161215571221578811572112610167182',5578,'9998',57.31,3,3,NULL),(16,3198340,'1981-04-03 00:00:00',4,1,12,2000,'F','N','ESTREITO','FLORIANóPOLIS','SC','124062061216375451129644445124141446121',11122,'9998',46.80,1,3,NULL),(16,3198367,'1991-08-06 00:00:00',4,4,12,2008,'F','N','INTERIOR','S CARLOS','SC','124241241115471431324435572342610115147',NULL,'704',27.22,1,2,1),(16,3198375,'1991-04-03 00:00:00',4,10,12,2008,'M','N','CABECUDA','LAGUNA','SC','124242241226131431436633571124610134147',NULL,'524',29.56,1,3,NULL),(16,3198383,'1978-08-10 00:00:00',2,2,11,1998,'F','N','PASSO MANSO','BLUMENAU','SC','224243244325141221236353292123131215097',NULL,'67',27.20,1,3,NULL),(16,3198391,'1989-04-18 00:00:00',4,1,12,2006,'M','N','JARDIM DA GLóRIA','COTIA','SP','125252251215471751368832395122610144177',NULL,'9998',0.00,1,3,NULL),(16,3198413,'1970-07-16 00:00:00',5,1,12,1990,'M','N','TRINTA RÉIS','NOVA TRENTO','SC','224241246136141721436344342122610167047',NULL,'306',0.00,1,3,NULL),(16,3198421,'1989-01-18 00:00:00',2,1,12,2007,'F','N','SILVA','SAPUCAIA SUL','RS','120204206116371441435711295122241425147',6749,'9998',54.77,1,3,NULL),(16,3198430,'1991-07-12 00:00:00',4,4,12,2008,'F','N','CENTRO','MARAVILHA','SC','124241241114141711345923245122610113187',NULL,'552',15.29,1,2,1),(16,3198448,'1991-07-18 00:00:00',4,7,12,2008,'M','N','MONTE BELO','JOAçABA','SC','124241241116471731464514335122610144057',NULL,'449',28.14,2,1,1),(16,3198456,'1991-07-16 00:00:00',2,1,12,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124242241215121431338734575124610124062',NULL,'1022',29.21,1,3,NULL),(16,3198464,'1985-10-29 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241116133411333611245225610147182',NULL,'359',27.06,1,2,1),(16,3198472,'1991-05-01 00:00:00',4,2,12,2008,'F','N','CENTRO','BOTUVERá','SC','124241241124161732536639395122610133147',NULL,'98',0.00,1,2,1),(16,3198480,'1991-12-06 00:00:00',4,4,12,2008,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162161217371431453923572121610127042',8150,'9998',52.14,1,3,NULL),(16,3198499,'1989-08-10 00:00:00',4,1,12,2007,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124241241212132131344631445114610117073',NULL,'1134',38.75,3,3,NULL),(16,3198502,'1978-03-08 00:00:00',4,1,12,2002,'M','N','FLORESTA','S JOSé','SC','624243241422141431356642225133610117062',NULL,'270',0.00,2,1,2),(16,3198510,'1988-02-24 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215574412389933575122231934117',NULL,'262',0.00,1,3,NULL),(16,3198529,'1989-10-05 00:00:00',2,1,12,2007,'F','N','BARRA DO ARIRIU','PALHOçA','SC','124241241112262411644433571124610124142',NULL,'592',24.35,1,3,NULL),(16,3198537,'1991-04-02 00:00:00',2,7,12,2008,'M','N','PARQUE JARDIM OURO','OURO','SC','124241241116111731426411595124610125142',NULL,'156',0.00,1,3,NULL),(16,3198545,'1986-03-20 00:00:00',4,1,12,2004,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244247226372441329874375124132822147',3707,'1036',61.81,1,3,NULL),(16,3198553,'1991-04-16 00:00:00',4,1,12,2008,'F','N','BELéM','TAUBATé','SP','125252251215121431249933575122610121142',9609,'9998',49.50,1,3,NULL),(16,3198570,'1989-01-28 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSé','SC','124201201116212431538539445224610138072',NULL,'9998',29.98,1,3,NULL),(16,3198588,'1990-06-23 00:00:00',4,1,11,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241217372431578814595124131467112',12133,'723',45.02,1,3,NULL),(16,3198596,'1992-10-08 00:00:00',4,1,11,2009,'M','S','MICHEL','CRICIúMA','SC','124242241217121431458714275122610167147',NULL,'210',22.97,1,3,NULL),(16,3198600,'1987-07-23 00:00:00',2,1,12,2004,'F','N','BARREIROS','S JOSé','SC','124242241217472431227824375124610161097',NULL,'9997',33.22,1,3,NULL),(16,3198618,'1992-01-30 00:00:00',4,6,12,2008,'F','N','CORDEIROS','ITAJAí','SC','124241241217141731453911345114610126192',11355,'1059',46.40,1,3,NULL),(16,3198626,'1979-08-23 00:00:00',4,1,12,1996,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241212374421568811475124422431097',NULL,'272',48.06,1,3,NULL),(16,3198642,'1990-07-19 00:00:00',4,1,12,2007,'F','N','ABRAãO','FLORIANóPOLIS','SC','124242241212153431473612595124610168187',9354,'1022',49.97,1,3,NULL),(16,3198650,'1991-02-01 00:00:00',4,9,12,2007,'F','N','GLóRIA','CARAZINHO','RS','120202201215471431459933342212610121176',3031,'9998',63.70,4,3,NULL),(16,3198669,'1992-05-28 00:00:00',4,4,12,2009,'F','S','JARDIM ITALIA','CHAPECó','SC','124242241215111431449622325122610132142',NULL,'185',29.44,1,3,NULL),(16,3198677,'1992-10-16 00:00:00',4,1,1,2010,'F','S','AREIAS','S JOSé','SC','124244241214151231534612575114610144057',NULL,'976',51.08,1,3,NULL),(16,3198685,'1980-02-19 00:00:00',2,1,7,2000,'F','N','CENTRO','S LEOPOLDO','RS','120244207447133751228728382224141817177',NULL,'9999',0.00,1,3,NULL),(16,3198693,'1991-06-08 00:00:00',4,1,12,2008,'F','N','CUBATãO','S PEDRO ALCâNTARA','SC','124241241126161431426313475124610124142',NULL,'869',0.00,1,2,1),(16,3198707,'1990-12-20 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124244241215111441456611575114610167011',7772,'270',52.82,2,1,2),(16,3198715,'1978-06-04 00:00:00',4,1,6,1999,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124244257426232411566513395122142047047',NULL,'9999',26.30,1,3,NULL),(16,3198723,'1991-04-05 00:00:00',4,1,11,2008,'M','N','AREIAS','S JOSé','SC','124242241215272231558812575114610127052',7784,'738',52.80,1,3,NULL),(16,3198731,'1990-12-27 00:00:00',4,1,12,2008,'F','N','CENTRO','TIJUCAS','SC','124242241215112431468613434122612527147',11123,'948',46.80,1,3,NULL),(16,3198740,'1991-06-06 00:00:00',4,8,12,2008,'M','N','JARDIM DAS AMERICAS','CURITIBA','PR','116163161215411731478814591114610167193',NULL,'9998',0.00,1,3,NULL),(16,3198766,'1985-05-04 00:00:00',2,1,12,2002,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124242241215374431447832342124122322185',4784,'883',59.10,1,3,NULL),(16,3198774,'1990-09-13 00:00:00',4,1,12,2008,'F','N','JARDIM CONCEIçãO','CAMPINAS','SP','125251251117271411326631575124610132012',NULL,'9998',0.00,1,2,1),(16,3198782,'1991-05-20 00:00:00',2,1,12,2008,'F','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','124241241146131731336524235124610127147',NULL,'278',0.00,1,2,1),(16,3198790,'1990-08-23 00:00:00',4,3,12,2008,'M','N','MOOCA','S PAULO','SP','125242241215151431579712315121610167112',NULL,'9997',0.00,1,3,NULL),(16,3198804,'1990-02-13 00:00:00',2,4,12,2007,'F','N','CENTRO','CONCóRDIA','SC','124241241117471431446814572122610142197',12865,'192',43.73,1,2,1),(16,3198812,'1990-04-11 00:00:00',4,8,12,2007,'M','N','GLóRIA','JOINVILLE','SC','124242241217271531468934342114131462092',737,'486',73.96,1,3,NULL);
INSERT INTO candidato VALUES (16,3198820,'1980-04-11 00:00:00',2,10,1,1999,'M','N','ENCANTADA','GAROPABA','SC','124201207416571741553531195122143228117',NULL,'9998',0.00,1,3,NULL),(16,3198839,'1991-07-11 00:00:00',4,6,12,2008,'M','N','CASTELO BRANCO','ITAPEMA','SC','124242246217151431356832272124610134182',5653,'1119',57.16,1,3,NULL),(16,3198847,'1990-03-23 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124222241314272751456614474214610162187',NULL,'185',22.40,1,3,NULL),(16,3198855,'1989-10-08 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241135474731421462375214610114053',8296,'818',51.79,4,2,1),(16,3198863,'1991-04-10 00:00:00',4,5,12,2008,'F','N','RAIZEIRA','SOMBRIO','SC','124242241215111431433723341222610127077',14902,'770',39.87,1,3,NULL),(16,3198871,'1990-05-09 00:00:00',4,1,12,2007,'F','N','JARDIM ESPLANADA','BEBEDOURO','SP','125251251416371431426411572342610168057',16563,'9998',35.09,1,3,NULL),(16,3198898,'1988-02-03 00:00:00',2,1,12,2005,'F','N','INGLESES DO RIO VERM','FLORIANóPOLIS','SC','124123241112134731646824481124232027147',15166,'289',39.28,1,3,NULL),(16,3198901,'1992-07-04 00:00:00',4,4,12,2008,'F','N','CENTRO','GETúLIO VARGAS','RS','120202201215371431539919494124610124192',16288,'9998',36.41,1,3,NULL),(16,3198910,'1990-02-17 00:00:00',2,1,12,2007,'F','N','JARDIM ATLãNTICO','FLORIANóPOLIS','SC','124241241312222431336414475114610118187',14339,'1022',40.98,1,3,NULL),(16,3198936,'1982-01-14 00:00:00',2,1,12,2000,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124163241137133721123244445334130868147',8201,'298',52.01,4,1,2),(16,3198944,'1992-03-19 00:00:00',2,10,12,2009,'F','S','CENTRO','IMARUí','SC','124244241311171711458833475122610163147',NULL,'356',18.22,1,3,NULL),(16,3198952,'1988-07-22 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241217241431434644146114142525097',15662,'752',38.15,1,3,NULL),(16,3198960,'1990-04-09 00:00:00',4,1,12,2007,'F','N','RIO COMPRIDO','RIO JANEIRO','RJ','121212211216471431349812485114143233147',NULL,'9998',0.00,1,3,NULL),(16,3198979,'1990-12-25 00:00:00',4,8,11,2008,'F','N','JARDIM IRIRIU','JOINVILLE','SC','124241241215131431428314574224610167147',NULL,'461',25.82,1,3,NULL),(16,3198995,'1982-09-22 00:00:00',4,1,12,1999,'M','N','CENTRO','S JOãO BATISTA','SC','124241241136371421134444245222610134092',12196,'712',44.91,1,2,1),(16,3199002,'1990-07-23 00:00:00',2,8,12,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241117372731249913492224230464057',6763,'640',54.74,1,2,1),(16,3199010,'1989-12-31 00:00:00',4,4,12,2006,'M','N','SãO MIGUEL','CONCóRDIA','SC','124243241115573411456711175112610167057',7739,'192',52.90,1,3,NULL),(16,3199029,'1991-01-25 00:00:00',4,8,12,2008,'M','N','AGUA VERDE','CURITIBA','PR','116242161314111431248832426315610167183',10604,'9998',47.73,1,3,NULL),(16,3199037,'1991-04-13 00:00:00',4,1,11,2008,'F','N','ALTO ARIRIú','PALHOçA','SC','124241241215131431427814572114610164147',8384,'1014',51.63,1,3,NULL),(16,3199045,'1989-08-07 00:00:00',2,1,6,2007,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124242281437372431369932475224510117112',8625,'9998',51.20,1,3,NULL),(16,3199053,'1991-02-25 00:00:00',2,2,12,2008,'M','N','JARDIM AMéRICA','RIO SUL','SC','124242241316131411326923284125610162042',16628,'659',34.54,4,3,NULL),(16,3199070,'1989-08-23 00:00:00',2,1,12,2006,'M','N','JARDIM CIDADE FPOLIS','S JOSé','SC','124241241117273431559933575114221218097',6609,'734',55.03,1,2,1),(16,3199100,'1987-01-20 00:00:00',2,1,12,2003,'M','N','IPIRANGA','S JOSé','SC','124242241211272421334743335112610127067',NULL,'943',26.87,1,3,NULL),(16,3199118,'1987-04-20 00:00:00',4,1,12,2004,'M','N','PRAIA DAS PALMEIRAS','CARAGUATATUBA','SP','125252251217371441346811575121143162092',2592,'9998',65.03,1,3,NULL),(16,3199126,'1988-03-14 00:00:00',2,1,12,2005,'M','N','LUTHER KING','FRANCISCO BELTRãO','PR','116161161136371441343444145124141022153',NULL,'9998',0.00,4,2,1),(16,3199134,'1981-07-05 00:00:00',2,1,12,1998,'M','N','JARDIM FADEL','NOVA ODESSA','SP','125251251117131431535314341323610166057',7226,'9998',53.86,1,2,1),(16,3199142,'1990-03-16 00:00:00',2,1,12,2007,'F','N','ALTO ARIRIU','PALHOçA','SC','124241241117471431334335444224610127147',13139,'592',43.26,1,2,1),(16,3199150,'1985-04-15 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANóPOLIS','SC','124201201145273431128941111344222866182',5817,'9998',56.76,3,2,1),(16,3199177,'1991-11-21 00:00:00',4,4,10,2008,'M','N','CENTRO','ERECHIM','RS','120204201217131431458814595122610138192',2296,'9998',66.08,1,3,NULL),(16,3199185,'1991-01-23 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241315141121526624345124610124145',NULL,'298',22.92,1,3,NULL),(16,3199193,'1989-11-27 00:00:00',4,1,11,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124243241417121431455933572224610163142',NULL,'269',19.87,1,3,NULL),(16,3199215,'1992-06-12 00:00:00',4,1,12,2009,'F','S','AGRONOMICA','FLORIANóPOLIS','SC','124242241215111712336833472112610134077',NULL,'272',21.77,1,3,NULL),(16,3199223,'1988-02-15 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241225574431333435212324610127147',2261,'683',66.18,1,3,NULL),(16,3199240,'1991-03-26 00:00:00',4,1,12,2008,'F','N','VILA TOLENTINO','CASCAVEL','PR','116162161215111431549912575122610123113',NULL,'9998',0.00,3,3,NULL),(16,3199258,'1990-11-13 00:00:00',4,3,12,2008,'M','N','COLONIAL','S BENTO SUL','SC','124243241215141431426632345125610144017',NULL,'974',39.83,1,3,NULL),(16,3199266,'1987-03-21 00:00:00',2,1,12,2004,'F','N','BOA VISTA','CURITIBA','PR','116161161136572731546923485124610124117',8665,'9998',51.13,1,2,1),(16,3199274,'1982-10-15 00:00:00',2,1,5,2000,'M','N','CARIANOS','FLORIANóPOLIS','SC','124161161117231711424529245334610122097',9821,'9998',49.11,1,2,1),(16,3199282,'1991-05-28 00:00:00',4,8,12,2007,'M','N','CENTRO','DOIS VIZINHOS','PR','116163161315111431456632592125610164127',NULL,'9998',17.66,1,3,NULL),(16,3199290,'1989-05-16 00:00:00',4,6,11,2006,'F','N','CENTRO','ITAPEMA','SC','124254241217373411437821391124610163097',3140,'53',63.42,4,3,NULL),(16,3199304,'1990-04-04 00:00:00',2,1,11,2008,'F','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124242241215151431238733271124610162012',NULL,'1048',27.33,1,3,NULL),(16,3199312,'1990-05-30 00:00:00',4,1,11,2007,'F','N','JARDIM BELA SUIçA','LONDRINA','PR','116162161215471431467833571122610122097',NULL,'9998',0.00,1,3,NULL),(16,3199320,'1988-04-11 00:00:00',4,1,12,2005,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215575731358822421124233267143',6344,'262',55.59,1,3,NULL),(16,3199339,'1991-08-24 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242247215171431454414574124610127012',NULL,'1022',19.67,1,3,NULL),(16,3199347,'1991-08-12 00:00:00',4,6,12,2008,'M','N','SãO DOMINGOS','NAVEGANTES','SC','124242241415111431537823575222610167047',NULL,'937',32.20,1,3,NULL),(16,3199355,'1991-03-24 00:00:00',2,1,11,2008,'F','N','ROçA GRANDE','COLOMBO','PR','116162161216471431353933575124610163142',NULL,'9998',0.00,1,3,NULL),(16,3199371,'1987-06-06 00:00:00',2,1,11,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241117141721168843431323140935197',4025,'123',60.99,1,2,1),(16,3199398,'1988-12-20 00:00:00',2,1,12,2005,'M','N','CENTRO','TIJUCAS','SC','124243241211131441534669342331133261087',7116,'781',54.07,3,3,NULL),(16,3199401,'1983-05-24 00:00:00',2,1,12,2001,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241217472321223321415112610112047',NULL,'9999',25.69,1,3,NULL),(16,3199428,'1991-06-04 00:00:00',2,7,11,2008,'M','N','CENTRO','HERVAL D OESTE','SC','124244241216271731436512575122610127182',NULL,'446',24.72,1,3,NULL),(16,3199436,'1974-10-30 00:00:00',4,3,12,1994,'M','N','CENTRO','CURITIBA','PR','116162161217471231548831382211143257182',NULL,'9998',0.00,1,3,NULL),(16,3199444,'1989-11-08 00:00:00',2,1,12,2007,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241435272431436724345122133227112',NULL,'287',28.87,1,3,NULL),(16,3199452,'1991-03-20 00:00:00',4,1,12,2008,'F','N','CENTRO','TIJUCAS','SC','124242241215162431446932242122610121112',15733,'948',37.98,1,3,NULL),(16,3199460,'1987-12-04 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215573431639513442125610123097',2507,'962',65.31,1,3,NULL),(16,3199479,'1992-09-25 00:00:00',4,1,11,2009,'F','S','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217111431468823575122610128012',NULL,'262',61.68,1,3,NULL),(16,3199487,'1986-07-15 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241235473131462212575112130224182',6840,'266',54.59,1,3,NULL),(16,3199495,'1988-02-22 00:00:00',2,1,11,2007,'F','N','KOBRASOL','S JOSé','SC','124242241216252411349933571114610114012',NULL,'724',25.71,1,3,NULL),(16,3199509,'1989-12-28 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124242241216272421438731394124610123145',10100,'737',48.61,1,3,NULL),(16,3199517,'1989-03-13 00:00:00',2,1,12,2006,'M','N','FLORESTA','S JOSé','SC','124242241216313431446519445124610167072',NULL,'1036',38.70,1,3,NULL),(16,3199525,'1991-01-06 00:00:00',4,1,11,2008,'F','N','JARDIM SãO MIGUEL','BIGUAçU','SC','124242241215411411438632272121610166142',NULL,'63',24.70,1,3,NULL),(16,3199533,'1990-09-11 00:00:00',4,2,11,2008,'F','N','CENTRO','TIMBO','SC','124241241216111431628839391122610145142',15934,'1157',37.40,1,3,NULL),(16,3199541,'1987-09-09 00:00:00',2,1,12,2005,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215274431546811572124610134047',7177,'269',53.96,1,3,NULL),(16,3199550,'1991-10-14 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124244241217112431469933575112610127042',6027,'737',56.29,1,3,NULL),(16,3199568,'1992-04-30 00:00:00',4,10,10,2009,'F','S','PRAIA DO SOL','LAGUNA','SC','124252248317151431355514575122610124112',NULL,'521',25.84,1,3,NULL),(16,3199584,'1991-11-05 00:00:00',2,7,11,2008,'F','N','CENTRO','ÁGUA DOCE','SC','124241241215111431227969572322610128147',14361,'454',40.95,1,3,NULL),(16,3199606,'1982-09-14 00:00:00',4,1,12,1999,'M','N','CENTRO','MANDAGUARI','PR','116161161216571431368923472122140337097',NULL,'9998',0.00,1,3,NULL),(16,3199614,'1987-07-02 00:00:00',4,1,12,2005,'M','N','DANIELA','FLORIANOPOLIS','SC','124242241212573431688813572122131037185',7792,'262',52.78,4,3,NULL),(16,3199622,'1991-07-29 00:00:00',2,1,12,2008,'F','N','AREIAS','PAULO LOPES','SC','124241241225371431536514445124610125052',13266,'262',43.04,1,3,NULL),(16,3199630,'1981-09-11 00:00:00',4,1,11,2005,'M','N','PRADO','BIGUAçU','SC','124241241326153411436844445124610134037',NULL,'737',28.17,1,3,NULL),(16,3199649,'1991-08-05 00:00:00',4,1,11,2008,'F','N','CENTRO','CURITIBA','PR','116164161137411731466621575115610161144',7775,'9998',52.82,1,3,NULL),(16,3199657,'1991-03-30 00:00:00',4,1,11,2008,'M','N','BOSQUE DAS MANSõES','S JOSé','SC','124244241215111531479614344122610162195',5218,'723',58.07,1,3,NULL),(16,3199665,'1992-01-06 00:00:00',2,1,12,2008,'M','N','PRAIO COMPRIDA','S JOSé','SC','124242241217131431646631485124610114077',NULL,'559',37.01,4,3,NULL),(16,3199673,'1989-12-01 00:00:00',2,1,12,2007,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122128416411731546815454124610112142',NULL,'9998',27.47,1,3,NULL),(16,3199681,'1992-05-26 00:00:00',4,4,12,2008,'M','N','CENTRO','MARAVILHA','SC','124241241112131431326621295124610167187',15185,'552',39.24,1,2,1),(16,3199703,'1988-05-25 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216134431459939435112231064012',3720,'270',61.79,1,3,NULL),(16,3199720,'1990-01-22 00:00:00',2,1,12,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241112471431327724371124610165092',NULL,'298',16.31,1,3,NULL),(16,3199738,'1992-04-07 00:00:00',2,1,12,2008,'F','N','PARQUE DOS RODEIOS','VACARIA','RS','120202121217151431224821575122610132142',NULL,'9998',25.82,1,3,NULL),(16,3199746,'1990-02-08 00:00:00',2,1,12,2006,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241215473431566612572114610137047',4018,'1011',61.02,1,3,NULL),(16,3199754,'1989-12-20 00:00:00',4,1,12,2007,'F','N','ASA NORTE','BRASíLIA','DF','107072071216471441466729572112610127147',4820,'9998',59.03,4,3,NULL),(16,3199762,'1990-07-07 00:00:00',2,9,12,2007,'F','N','CENTRO','LAGES','SC','124241241311312431335322571222610124097',13281,'515',43.01,1,3,NULL),(16,3199770,'1992-01-30 00:00:00',4,4,12,2008,'M','N','MARIA GORETTI','CHAPECó','SC','124246241215151751438834595111610117061',13047,'1021',43.41,1,3,NULL),(16,3199789,'1991-02-28 00:00:00',2,4,12,2008,'F','N','PROGRESSO','S LOURENçO OESTE','SC','124241241147151431356434396122610148051',10802,'744',47.35,1,2,1),(16,3199797,'1992-02-27 00:00:00',4,3,12,2008,'F','N','VILA A','FOZ IGUAçU','PR','116162161216111531528313572124610126187',NULL,'9998',0.00,1,3,NULL),(16,3199800,'1976-04-08 00:00:00',5,6,12,1998,'M','N','PORTAO','CURITIBA','PR','116164161216372441578613215122340464127',NULL,'9998',0.00,1,3,NULL),(16,3199819,'1984-11-17 00:00:00',4,1,12,2002,'F','N','CENTRO','CURITIBA','PR','116042041217371431459924572324343268167',NULL,'9998',0.00,1,3,NULL),(16,3199827,'1991-04-06 00:00:00',4,8,10,2008,'F','N','CENTRO','CURITIBA','PR','116162161215271411257926574115610166142',4605,'9998',59.55,1,3,NULL),(16,3199835,'1988-11-14 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241236143411425714495124230545093',11463,'1098',46.23,1,3,NULL),(16,3199843,'1991-06-03 00:00:00',2,1,12,2008,'F','N','VILA GUARANI','JUNDIAí','SP','125252251215111431248933375112610123097',NULL,'9998',0.00,1,3,NULL),(16,3199851,'1988-04-16 00:00:00',4,1,12,2005,'M','N','CENTRO','ITU','SP','125251251115571431356719575112610137182',4959,'9998',58.70,1,2,1),(16,3199860,'1990-06-24 00:00:00',4,3,11,2007,'M','N','CENTRO','ITARARé','SP','125252251216471431488811575124610167042',9645,'9998',49.43,1,3,NULL),(16,3199886,'1991-04-29 00:00:00',4,1,12,2008,'F','N','ITAPOAN','PAULíNIA','SP','125252251215111431348834575124610126147',2508,'9998',65.31,1,3,NULL),(16,3199894,'1991-08-02 00:00:00',4,8,11,2008,'F','N','CENTRO','CURITIBA','PR','116162161237111731458811574112610124112',11750,'9998',45.73,1,3,NULL),(16,3199908,'1989-01-05 00:00:00',4,1,12,2005,'F','N','ASA SUL','BRASíLIA','DF','107071071216571751558833413122610164147',NULL,'9998',0.00,4,3,NULL),(16,3199916,'1992-07-16 00:00:00',1,2,12,2008,'F','N','ARAPONGUINHAS','TIMBó','SC','124241241215111331454612574122610125143',NULL,'1157',29.92,1,3,NULL),(16,3199924,'1991-04-26 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124244241417132431434911395112610122057',NULL,'818',27.44,1,3,NULL),(16,3199932,'1990-11-17 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431368821572122610118122',12813,'270',43.83,1,3,NULL),(16,3199940,'1991-11-06 00:00:00',2,4,12,2008,'F','N','CENTRO','RENASCENçA','PR','116161161117371731533626575114610164072',NULL,'9998',0.00,1,2,1),(16,3199967,'1991-07-13 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124244248215121721536532291124610163142',NULL,'1118',0.00,2,3,NULL),(16,3199975,'1985-08-28 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241116145451136443235124231063092',5014,'521',58.57,1,2,1),(16,3199983,'1991-01-28 00:00:00',2,1,12,2008,'F','N','CENTRO','PETROLâNDIA','SC','124241241416111431446412275122610117052',7499,'991',53.33,1,3,NULL),(16,3199991,'1990-01-01 00:00:00',4,1,12,2007,'M','N','CIDADE ALTA','MEDIANEIRA','PR','116164161116371431249933574122610137122',9665,'9998',49.40,1,3,NULL),(16,3200000,'1990-12-12 00:00:00',5,3,11,2008,'M','N','CENTRO','LAGOA VERMELHA','RS','120202201216111431334432215122610142152',NULL,'9998',30.19,1,3,NULL),(16,3200019,'1992-09-21 00:00:00',4,2,12,2008,'F','N','PADRE MARTINHO STEIN','TIMBó','SC','124241241215111431358611572122610122143',NULL,'1157',36.10,1,3,NULL),(16,3200027,'1990-02-10 00:00:00',2,1,12,2007,'F','N','ARMAçãO DO PâNTANO D','FLORIANóPOLIS','SC','124241241136372431433514245112610164195',NULL,'291',27.98,1,2,1),(16,3200035,'1992-03-04 00:00:00',4,7,12,2009,'M','S','AEROPORTO','VIDEIRA','SC','124242241215121431469934575122610114012',NULL,'969',58.18,1,3,NULL),(16,3200060,'1988-01-09 00:00:00',2,1,11,2005,'M','N','KOBRASOL','S JOSé','SC','124242243215574231248923345134230263054',NULL,'270',0.00,1,3,NULL),(16,3200078,'1990-02-11 00:00:00',2,1,12,2008,'M','N','BALNEARIO ESTREITO','FLORIANóPOLIS','SC','124241241115472451227721382244610168011',5395,'267',57.67,1,2,1),(16,3200086,'1990-01-03 00:00:00',2,1,12,2007,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124241241115472731326621282224233264077',12250,'307',44.81,1,2,1),(16,3200108,'1989-09-24 00:00:00',3,1,12,2007,'F','N','TIJUCA','RIO JANEIRO','RJ','121213211416251451469923575124240944187',6812,'9999',54.63,4,3,NULL),(16,3200116,'1990-06-12 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215371431356823575124610137047',10035,'1022',48.71,1,3,NULL),(16,3200124,'1991-03-28 00:00:00',4,7,12,2008,'M','N','CENTRO','IRANI','SC','124241241115171731436612572124610127057',NULL,'379',28.06,1,2,1),(16,3200132,'1991-02-15 00:00:00',4,8,11,2008,'M','N','FLORESTA','JOINVILLE','SC','124241248142141431228823392124223247052',NULL,'465',0.00,1,3,NULL),(16,3200140,'1990-03-10 00:00:00',4,1,12,2007,'F','N','CENTRO','MARTINóPOLIS','SP','125252251216415431468811572114610162197',2982,'9998',63.86,3,3,NULL),(16,3200159,'1945-02-01 00:00:00',2,1,12,1964,'M','N','JURERE INTERNACIONAL','FLORIANóPOLIS','SC','224244248241151421264341112132320822042',NULL,'70',0.00,1,3,NULL),(16,3200167,'1992-02-20 00:00:00',2,1,12,2009,'F','S','TRAçADO','URUBICI','SC','124244241216161411334412575122610145142',NULL,'817',19.41,4,3,NULL),(16,3200175,'1991-02-19 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215271431368923575122610162117',2171,'988',66.52,1,3,NULL),(16,3200183,'1991-10-22 00:00:00',2,5,11,2008,'F','N','MORRO ESTEVAO','CRICIúMA','SC','124243241216271431326619575124610127077',15625,'920',38.24,1,3,NULL),(16,3200191,'1992-05-28 00:00:00',4,1,12,2009,'F','S','CAMPINAS','SAO JOSE','SC','124242248217111232259823292125610132092',NULL,'1077',30.28,1,3,NULL),(16,3200205,'1991-01-28 00:00:00',2,1,12,2008,'F','N','CENTRO','PETROLANDIA','SC','124241241416111431446412375122610117052',9754,'991',49.24,1,3,NULL),(16,3200213,'1991-02-09 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124241244215111431363332295122612528197',NULL,'1118',28.34,1,3,NULL),(16,3200221,'1991-06-10 00:00:00',2,8,11,2008,'M','N','SANTO ANTôNIO','JOINVILLE','SC','124241241216131511556614575122610127052',13505,'1016',42.61,1,3,NULL),(16,3200230,'1990-10-11 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124242241215472431329611572124610148187',12514,'724',44.36,1,3,NULL),(16,3200248,'1991-03-08 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124241241117161411626632572222610133147',NULL,'17',27.15,1,2,1),(16,3200256,'1990-12-26 00:00:00',4,2,12,2008,'F','N','PONTA AGUDA','BLUMENAU','SC','124241241215271431567619375125610127153',4903,'855',58.85,1,3,NULL),(16,3200272,'1989-03-17 00:00:00',4,9,12,2008,'M','N','BOA VISTA','POUSO REDONDO','SC','124241241125131731423554142221610117042',NULL,'639',28.44,4,3,NULL),(16,3200299,'1962-11-28 00:00:00',2,1,12,1983,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','624201203124272421322331412122133211097',13447,'9998',42.70,1,2,1),(16,3200302,'1990-07-21 00:00:00',4,1,11,2008,'F','N','CACHOEIRA','FLORIANóPOLIS','SC','124242241217121431324514272324610143091',15496,'269',38.56,1,3,NULL),(16,3200310,'1988-11-23 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANóPOLIS','SC','124202201115572431235364372124231227143',10833,'9998',47.31,1,3,NULL),(16,3200337,'1991-04-18 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241126131441333313285115610124052',15806,'592',37.75,4,2,1),(16,3200345,'1986-05-04 00:00:00',4,2,12,2003,'M','N','ESTAçãO','ASCURRA','SC','124241241126151442626414345132330822142',NULL,'22',25.79,1,2,1),(16,3200353,'1991-08-29 00:00:00',4,6,11,2008,'F','N','CORDEIROS','ITAJAí','SC','124241241215271431436734572124610165197',845,'391',73.09,1,3,NULL),(16,3200370,'1992-07-05 00:00:00',2,1,12,2009,'M','S','COMERCIARIOS','VOTUPORANGA','SP','125251248117131431428813232121610147072',NULL,'9998',0.00,1,3,NULL),(16,3200400,'1990-02-09 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241112132431224629592114610128051',14611,'307',40.47,1,2,1),(16,3200418,'1983-07-06 00:00:00',4,1,12,2000,'M','N','MANSõES STO ANTôNIO','CAMPINAS','SP','125251251116141431327479335122340624047',NULL,'9998',0.00,2,2,1),(16,3200426,'1990-03-21 00:00:00',4,1,12,2007,'M','N','SANTA CATARINA','CAXIAS SUL','RS','120201201117471221438613391344610167047',NULL,'9998',24.25,1,3,NULL),(16,3200434,'1991-01-04 00:00:00',2,1,12,2007,'F','N','BELA VISTA III','S JOSé','SC','124243241135272431434714571124133237052',2068,'734',66.91,1,3,NULL),(16,3200442,'1991-11-19 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124242241115151431363314372124610124142',NULL,'733',28.29,1,3,NULL),(16,3200469,'1991-11-04 00:00:00',4,10,12,2008,'M','N','CENTRO','TUBARãO','SC','124242241217111731478914472122610124082',644,'806',74.59,1,3,NULL),(16,3200477,'1989-05-22 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241217573431336613132124610127017',5304,'273',57.86,2,1,2),(16,3200515,'1989-10-15 01:00:00',4,1,9,2007,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124243241415412431556732372114610112112',5913,'307',56.56,1,3,NULL),(16,3200523,'1991-06-05 00:00:00',4,1,12,2008,'F','N','SANTA ISABEL','ÁGUAS MORNAS','SC','124241241115131431423636172224610137047',14695,'978',40.29,1,2,1),(16,3200531,'1991-08-24 00:00:00',4,8,12,2008,'F','N','SAGUAçU','JOINVILLE','SC','124242241215111441456932592112610162097',8805,'458',50.89,1,3,NULL),(16,3200540,'1991-11-25 00:00:00',2,7,12,2008,'M','N','SAO JOSE','FRAIBURGO','SC','124241241215111231456313312212610112057',14798,'885',40.07,1,3,NULL),(16,3200558,'1990-06-15 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217152431489814385122230247122',NULL,'262',36.09,1,3,NULL),(16,3200574,'1991-08-30 00:00:00',4,1,12,2008,'M','N','SUMARé','RIO SUL','SC','124242241215112231348911572122610162097',8782,'991',50.94,1,3,NULL),(16,3200582,'1991-05-15 00:00:00',2,1,12,2008,'M','N','CENTRO','PALHOçA','SC','124242241217151431437711572114610127057',NULL,'989',16.42,1,3,NULL),(16,3200604,'1979-08-27 00:00:00',2,1,11,2002,'M','N','INGLESES DO RIO VERM','FLORIANóPOLIS','SC','124203201126132421124641341214143244177',NULL,'9998',39.58,1,3,NULL),(16,3200612,'1990-04-20 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215472431335923595124610163192',9575,'273',49.58,1,3,NULL),(16,3200620,'1990-04-16 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241112132441525319245224230232147',9409,'288',49.88,1,2,1),(16,3200639,'1989-08-04 00:00:00',4,1,7,2007,'M','N','ABRAãO','FLORIANóPOLIS','SC','124243241137573431267819592124610127182',585,'306',75.03,1,3,NULL),(16,3200647,'1987-08-14 00:00:00',2,1,12,2005,'F','N','SANTO ANTONIO','FLORIANóPOLIS','SC','124241241127371711223344341344610137043',NULL,'9',28.98,1,2,1),(16,3200655,'1988-12-15 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124241241112271431535539342124610127077',NULL,'257',25.91,1,3,NULL),(16,3200663,'1989-01-14 00:00:00',2,1,12,2006,'F','N','FORQUILHINHAS','S JOSé','SC','124242241211313431536614585124610127187',NULL,'1022',30.51,1,3,NULL),(16,3200671,'1991-09-08 00:00:00',4,1,12,2008,'F','N','TRUJILO','SOROCABA','SP','125252251216121431578834575122610122142',NULL,'9998',0.00,1,3,NULL),(16,3200680,'1991-05-22 00:00:00',2,1,11,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','113132131416121751557832575122610168142',NULL,'9998',39.40,1,3,NULL),(16,3200698,'1991-06-16 00:00:00',2,1,12,2008,'F','N','JARDIM PINHEIROS','S JOSé','SC','124242241225151431226624295124610127145',14232,'262',41.17,1,3,NULL),(16,3200701,'1981-05-27 00:00:00',2,1,12,2000,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241141131411346579334123131912092',11488,'360',46.19,1,3,NULL),(16,3200710,'1976-07-04 00:00:00',4,1,12,1996,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124202201216151411288843335132341015112',NULL,'9998',0.00,1,3,NULL),(16,3200728,'1989-11-03 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSé','SC','124242241215372431456913482124610167122',8474,'723',51.44,1,3,NULL),(16,3200736,'1991-05-05 00:00:00',2,8,12,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241212111331428933572124610142142',6664,'861',54.95,1,3,NULL),(16,3200744,'1990-05-16 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241115171731325624572244610162067',NULL,'298',28.49,1,3,NULL),(16,3200752,'1990-10-26 00:00:00',5,8,12,2007,'F','N','BRASILIA','S BENTO SUL','SC','124241241116371311336413475124610142147',NULL,'697',25.46,1,2,1),(16,3200760,'1990-03-09 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241111372411326321585124610127147',NULL,'257',32.22,1,2,1),(16,3200779,'1991-06-21 00:00:00',4,7,12,2008,'M','N','CENTRO','IRANI','SC','124241241116151731436923395125610117012',NULL,'379',26.95,1,2,1),(16,3200787,'1991-10-25 00:00:00',2,5,10,2008,'F','N','CENTRO','URUSSANGA','SC','124242241215111731366511371122610164142',3774,'820',61.66,1,3,NULL),(16,3200795,'1991-09-28 00:00:00',4,3,11,2008,'F','N','JARDIM MARINGá','SINOP','MT','111112161217471431557812372122610127122',NULL,'9998',0.00,1,3,NULL),(16,3200809,'1990-06-02 00:00:00',4,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124244241215372431556621345134610162017',14008,'1118',41.64,1,3,NULL),(16,3200817,'1987-08-27 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241235373431567734475124230217057',14801,'262',40.06,1,3,NULL),(16,3200833,'1991-04-13 00:00:00',4,2,12,2008,'M','N','CENTRO','TIMBó','SC','124241241415111531436831232221610117142',10956,'1157',47.11,1,3,NULL),(16,3200841,'1990-07-17 00:00:00',2,4,12,2007,'M','N','ARROIO UMBú','EREBANGO','RS','120201201127472431333335572125610242052',2390,'9998',65.72,1,2,1),(16,3200850,'1991-08-02 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124241241127151232367611575125610114142',NULL,'379',0.00,1,3,NULL),(16,3200868,'1989-04-10 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241111272421326644245124610137012',NULL,'757',28.91,4,2,1),(16,3200884,'1991-11-19 00:00:00',4,1,12,2008,'F','N','BUENO','GOIâNIA','GO','109092091215111431448833232125610163092',NULL,'9998',0.00,4,3,NULL),(16,3200906,'1990-09-27 00:00:00',4,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241217152431579713572124610111187',6979,'884',54.33,1,3,NULL),(16,3200914,'1980-08-24 00:00:00',2,1,12,2001,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124201207122131411333349195314610124117',15294,'9999',38.99,1,2,1),(16,3200922,'1985-01-20 00:00:00',2,1,12,2003,'F','N','INGLESES','FLORIANóPOLIS','SC','124201241121332731223644341224610164057',11683,'288',45.85,1,2,1),(16,3200930,'1990-11-12 00:00:00',4,2,11,2007,'M','N','GARCIA','BLUMENAU','SC','124242241217472411463933335122610164067',1902,'71',67.57,1,3,NULL),(16,3200949,'1992-02-24 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124241241115271421336823575121610114012',12498,'935',44.38,1,2,1),(16,3200957,'1992-02-04 00:00:00',4,1,12,2008,'F','N','PâNTANO DO SUL','FLORIANóPOLIS','SC','124242241215122411458833572124610112097',9010,'1022',50.56,1,3,NULL),(16,3200965,'1989-05-12 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSé','SC','124241241215374431244619315114610122142',14950,'1036',39.79,1,3,NULL),(16,3201007,'1991-08-11 00:00:00',4,6,12,2008,'M','N','ALTO SãO BENTO','ITAPEMA','SC','124244241417121431566834345124610121147',6175,'1038',55.99,1,3,NULL),(16,3201015,'1991-02-19 00:00:00',4,8,11,2008,'F','N','GLóRIA','JOINVILLE','SC','124242241215112431336512572112610128092',10652,'491',47.65,1,3,NULL),(16,3201023,'1980-07-22 00:00:00',2,1,12,2001,'F','N','BELA VISTA II','S JOSé','SC','124243241212271431427621492334610161147',NULL,'9997',15.71,1,3,NULL),(16,3201040,'1988-12-23 00:00:00',4,1,12,2006,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124162164217373441358514395122610164062',10928,'9998',47.15,1,3,NULL),(16,3201058,'1991-03-25 00:00:00',4,9,12,2008,'F','N','PETROPOLIS','LAGES','SC','124243241215111431226624375124610147092',8216,'1146',51.95,1,3,NULL),(16,3201090,'1984-03-07 00:00:00',4,1,12,2001,'F','N','LAGOA DA CONCEICAO','FLORIANóPOLIS','SC','124282281217131731239422245122142813117',NULL,'9998',0.00,1,3,NULL),(16,3201104,'1991-01-23 00:00:00',2,4,12,2008,'F','N','GUANABARA','FRANCISCO BELTRãO','PR','116161161116471431446619575122610162052',NULL,'9998',24.66,1,2,1),(16,3201120,'1989-12-06 00:00:00',2,1,12,2006,'F','N','LA SALLE','PATO BRANCO','PR','116162161216573711448711595122610163147',NULL,'9998',0.00,1,3,NULL),(16,3201139,'1991-05-25 00:00:00',4,1,12,2008,'M','N','GLEBA PAIçANDU','IVATUBA','PR','116151168337131431523619175324610118047',NULL,'9998',0.00,4,3,NULL),(16,3201147,'1988-11-09 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','125252251216471431355812292122610167042',9572,'9998',49.59,1,3,NULL),(16,3201155,'1990-10-23 00:00:00',2,1,12,2007,'F','N','SANTA MARIA','ANTôNIO CARLOS','SC','124241241115432431546613432124610122077',13537,'21',42.56,1,2,1),(16,3201163,'1991-12-05 00:00:00',4,9,12,2008,'M','N','COAB II','S JOAQUIM','SC','124241241115161732326635572324610167047',NULL,'719',0.00,1,2,1),(16,3201171,'1991-02-16 00:00:00',4,8,12,2008,'M','N','CENTRO','MAFRA','SC','124241241214221431537613372112610164117',9706,'541',49.34,1,3,NULL),(16,3201180,'1989-09-22 00:00:00',4,3,11,2008,'M','N','GLEBA PALHANO','LONDRINA','PR','116162168217111431458832442122610168182',NULL,'9998',0.00,1,3,NULL),(16,3201198,'1991-07-12 00:00:00',4,9,12,2008,'M','N','ITARARÉ','S JOSé CERRITO','SC','124201242115161431538313572324610137172',NULL,'960',28.51,1,3,NULL),(16,3201201,'1985-02-04 00:00:00',4,9,12,2002,'F','N','SANTA HELENA','LAGES','SC','124241241117131711533413282121610137057',12883,'512',43.69,1,2,1),(16,3201210,'1990-09-14 00:00:00',4,1,12,2007,'F','N','CASCATA','MARíLIA','SP','125252251216411431546811572122610142141',10568,'9998',47.80,1,3,NULL),(16,3201236,'1951-04-29 00:00:00',2,9,12,1999,'F','N','CENTRO','LAURENTINO','SC','124091095127371421611141212124140221092',NULL,'9998',20.18,5,3,NULL),(16,3201244,'1991-01-27 00:00:00',4,10,12,2008,'F','N','SANTA CRUZ','TREZE MAIO','SC','124241241147371431426332345124610124152',NULL,'793',24.27,1,2,1),(16,3201260,'1975-09-14 00:00:00',2,1,6,2001,'M','N','REAL PARK','S JOSé','SC','124201207427271421143343132134610144183',NULL,'9998',7.04,4,3,NULL),(16,3201279,'1986-11-14 00:00:00',4,8,12,2003,'F','N','CENTRO','ITAPECERICA SERRA','SP','125252251214573411559611171125142466097',538,'9998',75.50,1,3,NULL),(16,3201287,'1991-07-25 00:00:00',4,1,12,2008,'F','N','CENTRO','STA CRUZ SUL','RS','120072201217471431348823571122610164017',NULL,'9998',0.00,1,3,NULL),(16,3201295,'1987-02-18 00:00:00',4,1,12,2004,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241227273321431621342234130234147',10693,'262',47.57,1,3,NULL),(16,3201309,'1990-05-14 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241214111411268613575124610137012',10730,'270',47.49,1,3,NULL),(16,3201317,'1975-06-08 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANóPOLIS','SC','224244247246132431438444445124143264183',NULL,'9997',24.63,1,3,NULL),(16,3201333,'1990-06-28 00:00:00',4,1,11,2007,'M','N','PERDIZES','S PAULO','SP','125252251215571431689811572114610127041',3680,'9998',61.88,1,3,NULL),(16,3201341,'1988-06-21 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSé','SC','124243241115373431446613245124130226142',16097,'257',36.94,1,3,NULL),(16,3201350,'1990-02-14 00:00:00',4,5,11,2008,'M','N','CENTRO','TIMBé SUL','SC','124244248437331231368812422124121557012',NULL,'970',18.40,1,3,NULL),(16,3201368,'1991-03-22 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215131431426614572124610167057',8976,'1118',50.62,1,3,NULL),(16,3201376,'1990-11-10 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241117152411338631575114232726191',NULL,'307',28.55,1,3,NULL),(16,3201384,'1990-09-17 00:00:00',2,10,12,2008,'F','N','CABEçUDAS','LAGUNA','SC','124242241222131731439923292324610136027',NULL,'524',26.40,4,3,NULL),(16,3201392,'1990-03-10 00:00:00',3,1,12,2006,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124244241415573431368822575124610166117',610,'262',74.86,1,3,NULL),(16,3201406,'1983-07-26 00:00:00',4,1,12,2000,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124253251217112451369874435132321127047',3548,'9998',62.23,1,3,NULL),(16,3201414,'1988-12-14 00:00:00',2,1,12,2005,'F','N','LA SALLE','PATO BRANCO','PR','116162161216574411448711595222121464147',NULL,'9998',0.00,1,3,NULL),(16,3201422,'1990-11-08 00:00:00',4,2,12,2008,'F','N','CENTRO','BENEDITO NOVO','SC','124241241215112531326623572122610123052',9109,'1157',50.40,1,3,NULL),(16,3201430,'1987-12-08 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124242241212133412437331482114610147071',NULL,'1022',32.95,1,3,NULL),(16,3201457,'1980-10-10 00:00:00',2,1,12,1998,'F','N','PANTANAL','FLORIANóPOLIS','SC','124251251146131741236673285121610166187',NULL,'9998',28.01,1,3,NULL),(16,3201473,'1992-01-16 00:00:00',4,1,11,2009,'F','S','TRINDADE','FLORIANóPOLIS','SC','124242241215111431459934572122610125093',NULL,'806',36.19,1,3,NULL),(16,3201481,'1990-05-30 00:00:00',2,1,12,2007,'M','N','MORADA DO SOL','PALHOçA','SC','124241241115272711338631212124610168122',13559,'592',42.53,1,2,1),(16,3201490,'1991-12-27 00:00:00',4,6,12,2008,'F','N','VILA OPERáRIA','ITAJAí','SC','124242241212371431248829572112610146092',5185,'391',58.14,1,3,NULL),(16,3201503,'1992-12-14 00:00:00',2,1,12,2009,'F','S','INGLESES','FLORIANóPOLIS','SC','124242241215111431426611575112610127072',NULL,'738',40.83,1,3,NULL),(16,3201511,'1991-07-11 00:00:00',4,1,12,2008,'M','N','PONTA DE BAIXO','S JOSé','SC','124242241215111431468833572112610161117',9888,'270',48.99,1,3,NULL),(16,3201520,'1991-06-27 00:00:00',4,5,12,2008,'M','N','MINA BRASIL','CRICIúMA','SC','124242248215151411338822575112610167147',NULL,'211',23.51,1,3,NULL),(16,3201538,'1989-03-28 00:00:00',4,1,12,2006,'F','N','GETúLIO VARGAS','RIO GRANDE','RS','120201208117471141223334372123610168047',NULL,'267',13.35,2,3,NULL),(16,3201546,'1989-12-16 00:00:00',4,1,12,2007,'M','N','CELINA PARK','GOIâNIA','GO','109092091217471531479811575112610162122',6998,'9998',54.29,1,3,NULL),(16,3201554,'1991-12-25 00:00:00',4,1,12,2008,'F','N','CENTRO','ANTôNIO CARLOS','SC','124241241116131731427623192121610127047',NULL,'21',26.49,1,2,1),(16,3201562,'1991-06-13 00:00:00',4,1,10,2008,'M','N','BARREIROS','S JOSé','SC','124242241215111431568812595114610167092',13246,'1118',43.07,1,3,NULL),(16,3201570,'1991-02-13 00:00:00',2,1,12,2008,'F','N','RATONES','FLORIANóPOLIS','SC','124241241112371731536379395224610137072',15871,'307',37.55,1,2,1),(16,3201589,'1991-10-24 00:00:00',4,10,11,2008,'F','N','VILA ESPERANçA','TUBARãO','SC','124242241215131421533914595124610126142',NULL,'809',19.96,1,3,NULL),(16,3201597,'1990-11-12 00:00:00',4,8,12,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215121431328723575114610133077',12056,'457',45.19,3,3,NULL),(16,3201600,'1992-07-01 00:00:00',2,1,12,2008,'F','N','CENTRO','CONCóRDIA','SC','124241241116471231557612575122610163187',NULL,'192',23.48,1,2,1),(16,3201619,'1987-02-23 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124203201316575751368814475114610164127',181,'9998',79.55,1,3,NULL),(16,3201627,'1987-05-23 00:00:00',1,4,12,2004,'F','N','INTERIOR','MONDAí','SC','124241241116162431444512245122230231197',NULL,'408',0.00,1,2,1),(16,3201635,'1989-03-06 00:00:00',2,1,12,2006,'F','N','SANTA MARIA','ANTôNIO CARLOS','SC','124243241115173711546613572124610163072',1244,'21',70.69,1,3,NULL),(16,3201651,'1990-10-20 00:00:00',2,1,12,2008,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241115141231644311391124610117182',NULL,'307',23.86,1,2,1),(16,3201660,'1980-11-06 00:00:00',2,1,12,1998,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124241241114274221435514445124610167143',NULL,'281',28.32,1,3,NULL),(16,3201678,'1987-12-14 00:00:00',2,1,11,2005,'M','N','FORQUILHAS','S JOSé','SC','124241241134132441425429391334610166147',NULL,'307',38.54,2,2,1),(16,3201686,'1990-02-18 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241315151441338823316124610124187',5190,'267',58.13,1,3,NULL),(16,3201694,'1991-02-16 00:00:00',2,1,11,2008,'M','N','JARDIM EUROPA','GOIâNIA','GO','109092091217111431456614572312610138182',10189,'9998',48.44,1,3,NULL),(16,3201708,'1988-05-06 00:00:00',4,1,7,2008,'M','N','PRADO','BIGUAçU','SC','124243247335131421546624445132610117042',NULL,'9999',0.00,4,3,NULL),(16,3201716,'1989-05-05 00:00:00',2,1,11,2006,'F','N','CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC','124243241115472431337619395224610122072',14408,'465',40.87,1,3,NULL),(16,3201724,'1989-12-16 00:00:00',4,1,12,2007,'M','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','124244247427371411446632372124610128032',NULL,'9999',21.52,1,3,NULL),(16,3201732,'1991-12-15 00:00:00',2,6,12,2008,'F','N','RESSACADA','ITAJAí','SC','124243241417372431439913375125610124142',NULL,'401',45.61,1,3,NULL),(16,3201740,'1991-08-02 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242248215111751456612371124610124052',7813,'1050',52.74,1,3,NULL),(16,3201759,'1990-03-25 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241242112131411314315572324610118057',NULL,'960',20.27,1,3,NULL),(16,3201767,'1992-01-19 00:00:00',4,1,12,2008,'M','N','PARQUE AMAZôNIA','GOIâNIA','GO','109092091244111731438724375124610137097',5830,'9998',56.72,1,3,NULL),(16,3201775,'1991-03-01 00:00:00',2,5,12,2008,'F','N','SãO CRISTOVãO','TURVO','SC','124244241116151431455723375122610134192',NULL,'814',26.56,1,3,NULL),(16,3201805,'1991-10-31 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217111431465811375122610124147',4472,'120',59.85,1,3,NULL),(16,3201813,'1991-12-11 00:00:00',2,1,11,2008,'F','N','ARMAçãO','FLORIANóPOLIS','SC','124241241115241421423624342334610125143',NULL,'298',22.51,1,3,NULL),(16,3201821,'1987-11-11 00:00:00',4,1,12,2005,'F','N','SETOR OESTE','GOIâNIA','GO','109092091217572431468811572122610132182',5433,'9998',57.62,1,3,NULL),(16,3201830,'1990-03-17 00:00:00',2,4,11,2008,'M','N','CENTRO','CEL MARTINS','SC','124241241137161331336916472122610117057',NULL,'200',30.44,1,2,1),(16,3201848,'1991-09-21 00:00:00',2,5,12,2008,'F','N','JARDIM DAS AVENIDAS','ARARANGUá','SC','124241241415111431546631475122610111187',9569,'32',49.59,1,3,NULL),(16,3201856,'1990-10-15 00:00:00',4,2,11,2008,'F','N','VELHA','BLUMENAU','SC','124242241217111431569714575122610166182',3082,'71',63.56,1,3,NULL),(16,3201864,'1991-07-03 00:00:00',4,8,12,2008,'M','N','CENTRO','GARUVA','SC','124243241145271511446823345114610167047',13497,'923',42.62,1,3,NULL),(16,3201872,'1991-03-03 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215111431456312575122610164185',12947,'1077',43.60,1,3,NULL),(16,3201880,'1987-07-17 00:00:00',2,10,11,2004,'M','N','VILA FLOR','CAPIVARI BAIXO','SC','124241241115211431435619372123610127062',9153,'1034',50.32,1,2,1),(16,3201899,'1990-03-05 00:00:00',4,6,12,2007,'M','N','CENTRO CIVICO','CURITIBA','PR','116162161215422431348814571114610167057',3412,'9998',62.64,3,3,NULL),(16,3201902,'1991-02-23 00:00:00',4,1,11,2008,'M','N','LIMOEIRO','BRUSQUE','SC','124243241312111231468933475121610117047',NULL,'1123',28.95,1,3,NULL),(16,3201910,'1991-03-30 00:00:00',2,4,12,2008,'F','N','ZONA RURAL','CEL MARTINS','SC','124241241115161411323315552342610121147',NULL,'200',34.03,1,2,1),(16,3201929,'1986-09-27 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241134372411347824442223233232017',NULL,'544',39.91,1,2,1),(16,3201937,'1987-02-02 00:00:00',2,1,12,2004,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124244241311275431257521345112122247052',9249,'267',50.15,1,3,NULL),(16,3201945,'1992-04-22 00:00:00',4,1,11,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124244241217111711468923432124610135187',15601,'1022',38.31,1,3,NULL),(16,3201953,'1990-03-23 00:00:00',1,1,12,2008,'F','N','SANTANA','RIO SUL','SC','124242241211121431546414571125610142012',6280,'991',55.73,1,3,NULL),(16,3201961,'1985-03-24 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124201201316371411138813575124132141187',15410,'9998',38.75,1,3,NULL),(16,3201970,'1990-06-18 00:00:00',4,10,11,2007,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241241215372731466814345124610114012',12105,'1120',45.09,1,3,NULL),(16,3201996,'1991-10-25 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241217111431436623245114610123117',NULL,'1118',33.17,1,3,NULL),(16,3202003,'1991-09-23 00:00:00',4,1,11,2008,'F','N','CRUZEIRO','S LOURENçO OESTE','SC','125242251217111431578811575125610168042',NULL,'9998',0.00,1,3,NULL),(16,3202011,'1991-04-01 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241217112411259911416124610118195',7743,'270',52.89,1,3,NULL),(16,3202020,'1991-05-20 00:00:00',4,8,12,2008,'M','N','AMéRICA','JOINVILLE','SC','124242241215371431236724372124610167012',NULL,'932',34.03,1,3,NULL),(16,3202038,'1989-04-09 00:00:00',4,1,12,2006,'M','N','CENTRO','PARANAPOEMA','PR','116161161415571431573912574112610162097',1019,'9998',71.98,1,3,NULL),(16,3202046,'1991-01-02 00:00:00',4,2,12,2008,'F','N','PONTA AGUDA','BLUMENAU','SC','124243241215121431469934575122610138192',3225,'855',63.23,1,3,NULL),(16,3202054,'1990-05-10 00:00:00',4,8,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116161161136131431546823175124241325147',6999,'9998',54.29,1,2,1),(16,3202070,'1991-12-05 00:00:00',4,4,11,2008,'M','N','CENTRO','CHAPECó','SC','124241246312131431239923395124610167122',NULL,'182',39.64,1,3,NULL),(16,3202089,'1990-10-01 00:00:00',2,9,12,2007,'F','N','COPACABANA','LAGES','SC','124241241116371431425711571122610128142',16295,'498',36.39,4,2,1),(16,3202097,'1991-08-30 00:00:00',2,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241417113711336623371124610134151',NULL,'269',31.83,1,3,NULL),(16,3202100,'1990-02-21 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124242241215472421358823574124610167047',2512,'270',65.30,1,3,NULL),(16,3202119,'1992-08-17 00:00:00',2,5,10,2009,'F','S','SÃO LUIZ','CRICIUMA','SC','124242241215271131348939471122610114194',NULL,'226',38.88,1,3,NULL),(16,3202127,'1990-05-07 00:00:00',4,1,12,1990,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124244241211372411456631571114610167097',8224,'1118',51.94,1,3,NULL),(16,3202135,'1988-01-29 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANóPOLIS','SC','624243243217272751636619482314610132072',10857,'1105',47.26,1,3,NULL),(16,3202143,'1990-01-13 00:00:00',2,1,12,2006,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124244241415371411456611175124610134097',5842,'1048',56.70,1,3,NULL),(16,3202160,'1970-04-18 00:00:00',2,1,12,1990,'M','N','TAPERA','FLORIANóPOLIS','SC','224241241122233421223144142113121642197',NULL,'281',27.80,1,3,NULL),(16,3202178,'1991-09-19 00:00:00',4,1,11,2008,'F','N','CENTRO','STA ROSA','RS','120202201216151431348613575122610161192',NULL,'9998',0.00,1,3,NULL),(16,3202186,'1991-09-19 00:00:00',2,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215111431336812572122610117012',5247,'213',58.01,1,3,NULL),(16,3202194,'1992-05-01 00:00:00',2,4,12,2008,'F','N','ZONA RURAL','CEL MARTINS','SC','124241241115161431436615572222610117057',15162,'200',39.28,1,2,1),(16,3202208,'1991-04-15 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215271531358912375334610164182',7522,'270',53.29,1,3,NULL),(16,3202216,'1992-02-02 00:00:00',4,1,11,2008,'M','N','COLONIA SANTANA','S JOSé','SC','124243241112151431425812422124610127041',NULL,'733',17.03,1,3,NULL),(16,3202224,'1990-08-27 00:00:00',2,3,11,2007,'M','N','PARQUE DO CARMO','S PAULO','SP','125252251217472431437619572314610167082',NULL,'9998',47.10,1,3,NULL),(16,3202240,'1988-04-24 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241115572311414423492214610114017',16135,'281',36.82,1,2,1),(16,3202259,'1979-12-22 00:00:00',2,1,6,2007,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','524241248126271511623241215124610116187',NULL,'306',23.04,1,2,1),(16,3202267,'1990-09-20 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124244241215472431436831241124610122142',12575,'262',44.22,1,3,NULL),(16,3202275,'1991-04-24 00:00:00',2,5,12,2008,'M','N','CIDADE JARDIM','RIO CLARO','SP','125254251217111431467674575122610164187',4658,'9998',59.41,1,3,NULL),(16,3202283,'1989-12-14 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOçA','SC','124242241217372731446612592112610123147',NULL,'1075',16.42,1,3,NULL),(16,3202291,'1990-02-20 00:00:00',4,8,11,2007,'M','N','BUTIATUVINHA','CURITIBA','PR','116162161215272431468713445124130467042',NULL,'9998',0.00,1,3,NULL),(16,3202313,'1991-02-20 00:00:00',4,1,11,2007,'F','N','CENTRO','LAGES','SC','124242241215112431469813572124221524092',8775,'497',50.95,1,3,NULL),(16,3202321,'1985-03-04 00:00:00',4,5,12,2002,'M','N','MINA DO MATO','CRICIúMA','SC','124243061216152721549839441123121664091',NULL,'9998',0.00,1,3,NULL),(16,3202330,'1961-05-11 00:00:00',4,1,12,1978,'F','N','TRINDADE','FLORIANóPOLIS','SC','124252251216152411325341315124341126187',5804,'9998',56.79,1,3,NULL),(16,3202348,'1986-07-19 00:00:00',2,1,12,2003,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241312475441445823572244121967047',45,'1022',82.52,1,3,NULL),(16,3202356,'1982-01-31 00:00:00',4,1,11,1999,'M','N','SETOR NOVA SUIÇA','GOIâNIA','GO','109222221216573121576923485112141057047',NULL,'9998',0.00,4,3,NULL),(16,3202372,'1991-10-06 00:00:00',4,1,12,2008,'F','N','CENTRO','SALTO LONTRA','PR','116163161217471431459832572122610162073',15895,'9998',37.49,1,3,NULL),(16,3202380,'1991-08-21 00:00:00',4,1,12,2008,'F','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241135161421533311242345610167147',NULL,'772',20.26,1,2,1),(16,3202402,'1991-07-08 00:00:00',2,10,11,2008,'F','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124243241215121431587631275114610122142',10360,'807',48.15,1,3,NULL),(16,3202410,'1985-12-10 00:00:00',2,8,12,2004,'F','N','VILA NOVA','RIO NEGRINHO','SC','124243241312131331434629445124610123147',NULL,'669',21.18,2,3,NULL),(16,3202429,'1991-03-28 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241217111431568513575124610118044',13359,'1022',42.87,1,3,NULL),(16,3202437,'1976-12-22 00:00:00',4,1,11,1998,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241332374432338823575114121636197',8945,'272',50.67,1,3,NULL),(16,3202453,'1988-08-11 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242247431371721233435315115130227057',NULL,'9999',24.46,1,3,NULL),(16,3202461,'1991-01-14 00:00:00',4,1,12,2008,'F','N','ARIRIú','PALHOçA','SC','124243241116151731435734575122610161141',NULL,'592',24.30,1,3,NULL),(16,3202470,'1991-04-08 00:00:00',2,4,12,2008,'F','N','CENTRO','CEL MARTINS','SC','124241241115161431423313572325610117057',14767,'200',40.14,1,2,1),(16,3202496,'1991-03-15 00:00:00',4,6,12,2008,'M','N','CENTRO','ITAJAí','SC','124242241215371231379934572121610137182',NULL,'389',25.56,1,3,NULL),(16,3202500,'1988-05-05 00:00:00',4,1,12,2004,'M','N','CENTRO','CONCóRDIA','SC','124242241216155421469839595122121436042',280,'1047',78.25,1,3,NULL),(16,3202518,'1991-06-26 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124243241215111331336614575122610162141',NULL,'1118',26.72,1,3,NULL),(16,3202526,'1984-09-14 00:00:00',2,5,12,2002,'F','N','MINA DO MATO','CRICIúMA','SC','124064061216141431546679441113142965147',NULL,'9998',0.00,1,3,NULL),(16,3202534,'1991-09-03 00:00:00',2,1,11,2008,'M','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241117131731536511242314610117042',NULL,'288',25.58,1,3,NULL),(16,3202550,'1986-10-05 00:00:00',4,1,12,2004,'M','N','MOEMA','S PAULO','SP','125252251217471421326821342124142142017',NULL,'9998',0.00,1,3,NULL),(16,3202569,'1989-04-03 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124201201117373431533314274124610127097',10760,'9998',47.44,1,2,1),(16,3202577,'1990-01-15 00:00:00',2,4,12,2007,'M','N','LIDER','CHAPECO','SC','124241241111131431423311381221610168047',NULL,'169',26.09,1,2,1),(16,3202585,'1989-08-30 00:00:00',2,2,12,2006,'F','N','STEFFEN','BRUSQUE','SC','124241241416373421343311274124610124082',7397,'107',53.52,1,3,NULL),(16,3202607,'1991-02-27 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124243241216112731326611576122610121097',NULL,'1074',26.25,1,3,NULL),(16,3202615,'1961-01-24 00:00:00',2,1,12,1977,'F','N','LAGOA DA CONCEICAO','FLORIANóPOLIS','SC','124204208216131421466873315132141564097',9292,'9998',50.09,1,3,NULL),(16,3202623,'1990-03-29 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241215372411468834575124610164043',4278,'272',60.31,1,3,NULL),(16,3202631,'1991-06-13 00:00:00',2,5,11,2008,'F','N','CENTRO','BAL ARROIO SILVA','SC','124241241316171431427619575124610127072',14556,'26',40.60,1,3,NULL),(16,3202640,'1990-04-22 00:00:00',4,1,7,2008,'F','N','BARREIROS','S JOSé','SC','124243241111271731458632371122610163197',4094,'306',60.79,1,3,NULL),(16,3202658,'1991-06-06 00:00:00',4,10,12,2008,'M','N','HUMAITA DE CIMA','TUBARãO','SC','124241241137131431538612175124610167147',10188,'798',48.44,1,2,1),(16,3202666,'1991-01-15 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241345371731268733574124610146032',3897,'307',61.34,1,3,NULL),(16,3202674,'1991-05-27 00:00:00',2,1,12,2008,'F','N','CENTRO','CPO NOVO PARECIS','MT','111114161216161431156923275122610164142',8189,'9998',52.03,1,3,NULL),(16,3202682,'1991-09-24 00:00:00',4,7,11,2008,'F','N','CENTRO','CATANDUVAS','SC','124243241317261431336819572124610167077',NULL,'454',23.99,1,3,NULL),(16,3202690,'1989-01-20 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124242241216573431457514472124610163187',4886,'1022',58.91,1,3,NULL),(16,3202704,'1992-10-08 00:00:00',4,9,11,2009,'F','S','CENTRO','POUSO REDONDO','SC','124243241415111431446634214124610123197',NULL,'991',24.76,1,3,NULL),(16,3202712,'1990-02-21 00:00:00',4,2,12,2007,'M','N','PROGRESSO','BLUMENAU','SC','124241241117271431333659282311610168142',11523,'80',46.13,1,3,NULL),(16,3202739,'1988-05-29 00:00:00',4,5,11,2005,'F','N','MINA BRASIL','CRICIúMA','SC','124242241217573411448811594122610146047',4438,'226',59.91,1,3,NULL),(16,3202747,'1991-12-23 00:00:00',2,1,1,2009,'M','N','PARQUE MARAJOARA II','STO ANDRé','SP','125252251216151411446614575122610167071',NULL,'9998',0.00,1,3,NULL),(16,3202755,'1991-01-07 00:00:00',4,8,11,2008,'F','N','BOA VISTA','JOINVILLE','SC','124242241215371731579911572122610138192',3374,'457',62.77,1,3,NULL),(16,3202763,'1990-03-24 00:00:00',2,1,8,2008,'F','N','FUNDO CANOAS','RIO SUL','SC','124243241435271441439813385124610135052',NULL,'654',32.90,1,3,NULL),(16,3202771,'1990-07-25 00:00:00',4,8,12,2007,'F','N','VILA SANTA CRUZ','CASTRO','PR','116162161216471411568934574124610168052',NULL,'9998',0.00,1,3,NULL),(16,3202780,'1989-07-23 00:00:00',4,1,12,2006,'F','N','ZONA CINCO','MARINGá','PR','116162161217472431468711575122610134012',NULL,'9998',0.00,1,3,NULL),(16,3202798,'1991-12-26 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111441267823572124610127052',10489,'266',47.92,1,3,NULL),(16,3202810,'1986-01-09 00:00:00',2,1,12,2003,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241112274741535534442334610114147',14386,'307',40.90,1,2,1),(16,3202836,'1991-03-18 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241235411432528511595121610137053',NULL,'270',21.94,1,3,NULL),(16,3202844,'1991-12-25 00:00:00',4,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124243241216111431558613595114610117047',NULL,'1074',24.03,1,3,NULL),(16,3202852,'1991-02-02 00:00:00',4,1,11,2008,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','123242241217121431479813435112610127122',1207,'270',70.87,1,3,NULL),(16,3202860,'1991-04-04 00:00:00',2,9,12,2008,'M','N','SAGRADO C DE JESUS','LAGES','SC','124242241215131451344612272122610128017',11050,'515',46.93,1,3,NULL),(16,3202879,'1992-04-22 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215112731558932472122610162146',1768,'262',68.13,1,3,NULL),(16,3202887,'1989-12-05 00:00:00',2,1,11,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215273431568839575114230267047',2160,'1118',66.56,1,3,NULL),(16,3202895,'1991-02-11 00:00:00',4,8,12,2008,'F','N','SANTO INACIO','CURITIBA','PR','116242161216111411468814572114610163012',NULL,'9998',0.00,1,3,NULL),(16,3202909,'1992-03-19 00:00:00',2,1,12,2008,'F','N','ENSEADA DE BRITO','PALHOçA','SC','124244241217131431336814242124610128147',9367,'989',49.96,1,3,NULL),(16,3202917,'1977-08-18 00:00:00',4,1,6,1998,'M','N','PONTE DE IMARUIM','PALHOçA','SC','624243241347162521234343435113131017052',NULL,'9997',22.62,1,3,NULL),(16,3202925,'1990-05-15 00:00:00',3,1,7,2008,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124242247437151441549824472124610163027',12026,'270',45.22,1,3,NULL),(16,3202933,'1990-10-28 00:00:00',2,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124242241217121431436823572124610127012',5365,'737',57.72,1,3,NULL),(16,3202941,'1988-09-07 00:00:00',4,8,12,2007,'M','N','CENTRO','GUAPIARA','SP','124254241215271431458639375122610167142',NULL,'459',34.91,1,3,NULL),(16,3202950,'1989-10-18 00:00:00',4,1,12,2006,'M','N','CENTRO','CHAPECó','SC','124242241217573431488613573114610167127',5574,'185',57.32,1,3,NULL),(16,3202968,'1991-02-16 00:00:00',4,2,11,2008,'F','N','VICTOR KONDER','BLUMENAU','SC','124241241117131432533719292122610164057',NULL,'83',17.37,1,2,1),(16,3202976,'1992-03-25 00:00:00',2,4,12,2008,'F','N','CENTRO','CEL MARTINS','SC','124241241117161431556916575322610117057',7106,'200',54.09,1,2,1),(16,3202984,'1991-02-28 00:00:00',4,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAçU','SC','124241241117371231535339275124610134142',15499,'1088',38.55,1,2,1),(16,3202992,'1990-11-03 00:00:00',2,3,11,2008,'F','N','SETOR TRÊS','ARIQUEMES','RO','122222221216471231468753575122610128097',NULL,'9998',0.00,1,3,NULL),(16,3203018,'1991-06-24 00:00:00',4,2,12,2008,'F','N','SUMARé','RIO SUL','SC','124242241215121531469714375122610124012',NULL,'991',27.21,1,3,NULL),(16,3203026,'1992-03-27 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111431366712575114610167017',5029,'270',58.55,1,3,NULL),(16,3203034,'1978-09-30 00:00:00',2,1,12,1997,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241222134721123335342224222937187',NULL,'9997',35.12,1,3,NULL),(16,3203042,'1992-02-11 00:00:00',4,1,12,2009,'F','S','BELA VISTA','S JOSé','SC','124244241215151732658613571124612727142',NULL,'1118',30.67,1,3,NULL),(16,3203050,'1991-03-27 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215151431466613575122610134047',11855,'273',45.54,1,3,NULL),(16,3203069,'1991-02-11 00:00:00',4,1,12,2008,'F','N','FLORESTA','VIDEIRA','SC','124241241115371421433334385122610164142',NULL,'831',27.81,1,2,1),(16,3203077,'1991-12-17 00:00:00',2,1,11,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241111131431526311382324610164077',14567,'288',40.58,1,2,1),(16,3203093,'1990-01-06 00:00:00',3,1,12,2007,'M','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124244241215472751557923495134610117045',3427,'270',62.59,1,3,NULL),(16,3203107,'1991-10-31 00:00:00',4,1,12,2008,'F','N','BOA PARADA','S PEDRO ALCâNTARA','SC','124241241117131431439723372124610127147',NULL,'739',26.24,1,2,1),(16,3203115,'1989-12-20 00:00:00',4,1,12,2006,'F','N','INTERIOR','ITAPIRANGA','SC','124241241117473431448814495124610121152',2117,'408',66.73,1,2,1),(16,3203123,'1990-04-12 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241212514231586612575124610167052',8910,'270',50.73,1,3,NULL),(16,3203131,'1992-07-20 00:00:00',4,1,11,2008,'M','N','MORRO DS PEDRAS','FLORIANóPOLIS','SC','124241241317111431549934575124610161017',13049,'269',43.41,1,3,NULL),(16,3203140,'1991-02-26 00:00:00',4,4,11,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124243241216111431456612442122610135182',NULL,'752',0.00,1,3,NULL),(16,3203166,'1990-09-13 00:00:00',4,5,12,2008,'M','N','MICHEL','CRICIúMA','SC','124242246216151411469832212124610164072',NULL,'995',44.00,1,3,NULL),(16,3203174,'1984-04-01 00:00:00',2,1,12,2001,'F','N','AREIAS','S JOSé','SC','224241241126373411223359395222231064147',10685,'257',47.59,1,2,1),(16,3203182,'1992-05-07 00:00:00',4,1,12,2009,'F','S','KOBRASOL','S JOSé','SC','125252251217151431378514575112610132146',NULL,'9998',62.57,1,3,NULL),(16,3203190,'1986-10-09 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243241417145211337822395124220814112',NULL,'185',13.36,1,3,NULL),(16,3203204,'1990-06-02 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124244241215272431426619392112610168141',15611,'1118',38.29,1,3,NULL),(16,3203212,'1990-11-08 00:00:00',4,1,11,2007,'F','N','MOOCA','S PAULO','SP','125252251216471431366512575122610143147',NULL,'9998',0.00,1,3,NULL),(16,3203220,'1991-01-13 00:00:00',2,1,11,2008,'M','N','CACUPé','FLORIANóPOLIS','SC','124242241215111431353823575112610167047',NULL,'1048',23.55,1,3,NULL),(16,3203239,'1981-04-11 00:00:00',2,1,12,2001,'M','N','FLOR DE NAPOLIS','S JOSé','SC','224241247621132411223644241334131226182',16230,'9999',36.58,2,1,2),(16,3203247,'1990-11-30 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215111431558634245122610138147',15426,'1077',38.71,1,3,NULL),(16,3203255,'1992-10-24 00:00:00',4,1,11,2009,'F','S','SANTA MÔNICA','FLORIANóPOLIS','SC','124242241215111712489914572112610127122',NULL,'262',43.28,1,3,NULL),(16,3203263,'1990-08-19 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241435111711469933575114610167041',NULL,'1048',23.33,1,3,NULL),(16,3203271,'1991-04-19 00:00:00',4,2,12,2008,'M','N','BELA VISTA','AMERICANA','SP','125252251217151432449614245134610164182',NULL,'9998',0.00,1,3,NULL),(16,3203280,'1991-06-28 00:00:00',2,8,11,2008,'F','N','ATIRADORES','JOINVILLE','SC','124122241235111431369923575121610164022',4944,'461',58.75,1,3,NULL),(16,3203298,'1991-05-29 00:00:00',4,9,11,2008,'F','N','CENTRO','IMBUIA','SC','124241241315471431454422375122610121072',13432,'991',42.73,1,3,NULL),(16,3203301,'1991-05-13 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124244241415111731337624182124610133057',7558,'1022',53.22,1,3,NULL),(16,3203310,'1992-09-12 00:00:00',4,1,12,2009,'F','S','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124242241217171732468933575122610134012',NULL,'270',27.56,1,3,NULL),(16,3203328,'1989-10-03 00:00:00',4,8,11,2007,'F','N','CENTRO','JOINVILLE','SC','124242241216473431369813572122610141012',3562,'486',62.18,1,3,NULL),(16,3203336,'1991-01-23 00:00:00',4,1,12,2008,'F','N','PARANÁ','PALMITAL','SP','125254251214161431333319195122610148051',NULL,'9998',0.00,1,3,NULL),(16,3203344,'1991-11-04 00:00:00',2,9,12,2008,'F','N','SAO JOAO','CORREIA PINTO','SC','124241241115271411324419572124610127052',NULL,'201',18.82,1,2,1),(16,3203352,'1991-08-29 00:00:00',4,1,11,2008,'F','N','PORTO DA LAGOA','FLORIANóPOLIS','SC','124241241115271431534413575124610143092',10983,'271',47.05,1,2,1),(16,3203360,'1990-07-22 00:00:00',4,4,12,2008,'F','N','JD LA SALLE','TOLEDO','PR','116162161215471731454835275122610146072',NULL,'9998',34.79,1,3,NULL),(16,3203409,'1990-08-13 00:00:00',2,1,12,2008,'F','N','RATONES','FLORIANóPOLIS','SC','124241241115471711446511572124610115147',NULL,'288',32.77,1,2,1),(16,3203417,'1988-08-15 00:00:00',4,8,12,2007,'M','N','BOA VISTA','JOINVILLE','SC','124072247416371431233329184224610124047',8750,'1105',50.98,1,3,NULL),(16,3203433,'1991-11-12 00:00:00',4,1,12,2008,'M','N','CENTRO','S LEOPOLDO','RS','120202201217371431338811575112610147017',5135,'9998',58.29,1,3,NULL),(16,3203441,'1964-01-15 00:00:00',2,1,12,1981,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','424251258127142711253342422132322667063',NULL,'9998',0.00,1,3,NULL),(16,3203450,'1991-06-12 00:00:00',2,1,12,2008,'F','N','BOM JESUS','JALES','SP','125252251215111431458631575122610122142',6429,'9998',55.42,1,3,NULL),(16,3203468,'1990-09-17 00:00:00',4,1,12,2007,'F','N','JARDIM SABIA','COTIA','SP','125252251217471431333614575122610164187',1634,'9998',68.74,1,3,NULL),(16,3203476,'1991-07-06 00:00:00',2,5,10,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215121431336923474122610141097',8019,'210',52.39,1,3,NULL),(16,3203484,'1992-09-10 00:00:00',4,1,12,2009,'M','S','CENTRO','MASSARANDUBA','SC','124244241417111321368814395114610142146',NULL,'9997',43.59,1,3,NULL),(16,3203492,'1988-07-14 00:00:00',2,1,12,2005,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241212272441545614342124221768077',12730,'1036',43.96,1,3,NULL),(16,3203514,'1989-02-19 00:00:00',4,1,6,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242247225372431466619172124610167045',5412,'300',57.64,1,3,NULL),(16,3203549,'1991-02-20 00:00:00',2,1,11,2008,'F','N','PEDRA BRANCA','PALHOçA','SC','124242241215111431558814342122610127092',9794,'1011',49.17,1,3,NULL),(16,3203557,'1992-02-02 00:00:00',4,1,12,2009,'F','S','SANTA MONICA','FLORIANóPOLIS','SC','124242241217111431359933572114610161146',NULL,'262',40.02,4,3,NULL),(16,3203565,'1992-05-09 00:00:00',4,1,11,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241212111431443511572112610127012',15654,'1133',38.18,1,3,NULL),(16,3203573,'1979-09-04 00:00:00',4,1,12,1997,'M','N','JARDIM AMERICA','RIO SUL','SC','124241243122372531338729282323321417017',4339,'658',60.17,1,2,1),(16,3203581,'1991-07-17 00:00:00',4,2,11,2008,'M','N','FORTALEZA','BLUMENAU','SC','124242241216112431467811372122610132147',2008,'71',67.15,1,3,NULL),(16,3203590,'1989-11-06 00:00:00',4,1,11,2006,'M','N','KOBRASOL','S JOSé','SC','124243241215273431468519295112121062012',2752,'723',64.56,1,3,NULL),(16,3203603,'1991-10-10 00:00:00',4,8,12,2008,'M','N','BIGORRILHHO','CURITIBA','PR','116254161216171751346834572125610168187',5166,'9998',58.20,3,3,NULL),(16,3203620,'1990-09-30 00:00:00',4,1,12,2008,'M','N','CENTRO','STA ALBERTINA','SP','125254251215111431458831575122610122142',NULL,'9998',32.66,4,3,NULL),(16,3203638,'1991-10-04 00:00:00',4,1,12,2008,'M','N','CENTRO','MARINGá','PR','116162161211161311478831571122610117043',5541,'9998',57.39,1,3,NULL),(16,3203654,'1991-04-19 00:00:00',4,8,12,2007,'F','N','AREAO','CUIABá','MT','111112161215471131346822572312610144147',10182,'9998',48.46,1,3,NULL),(16,3203662,'1990-08-08 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241115131431327514475124610131147',NULL,'267',33.14,1,2,1),(16,3203670,'1989-08-22 00:00:00',2,10,12,2008,'M','N','REVOREDO','TUBARãO','SC','124242241217111431458812341122610127042',NULL,'809',26.07,1,3,NULL),(16,3203697,'1989-07-04 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115471731623314441334610118187',NULL,'293',26.00,1,2,1),(16,3203700,'1992-05-23 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241216131121333623215121610167094',NULL,'724',34.16,1,3,NULL),(16,3203719,'1987-09-11 00:00:00',2,1,12,2004,'M','N','BARREIROS','S JOSé','SC','124243241127372431437823242224610135117',NULL,'736',24.36,1,3,NULL),(16,3203735,'1989-12-27 00:00:00',2,1,12,2007,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124244248215372451557933345124610127047',NULL,'1048',30.06,1,3,NULL),(16,3203743,'1983-07-27 00:00:00',2,1,11,2001,'F','N','SANTOS DUMONT','S JOSé','SC','224241241126272431321159275114610132142',NULL,'257',22.25,1,2,1),(16,3203751,'1991-08-12 00:00:00',2,1,11,2008,'F','N','ARMAçãO DO P DO SUL','FLORIANóPOLIS','SC','124242241215121432426619595114610133141',NULL,'269',22.22,1,3,NULL),(16,3203760,'1987-08-26 00:00:00',4,1,12,2005,'M','N','CENTRO','S LOURENçO OESTE','SC','116162161415574431549811375124121467122',1809,'9998',67.97,3,3,NULL),(16,3203786,'1989-01-08 00:00:00',2,1,12,2006,'M','N','CENTRO','MARINGá','PR','116162161211412211478837571122141413043',1030,'9998',71.89,1,3,NULL),(16,3203794,'1991-08-01 00:00:00',2,4,12,2008,'F','N','CENTRO','PASSOS MAIA','SC','124241241134131441623635575324610161147',NULL,'606',26.83,1,2,1),(16,3203808,'1990-09-26 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111411468812475122610123193',4646,'270',59.44,1,3,NULL),(16,3203816,'1991-03-02 00:00:00',4,9,12,2008,'F','N','CENTRO','CURITIBANOS','SC','124242241215111431368932572122610167142',8220,'881',51.94,1,3,NULL),(16,3203824,'1987-01-13 00:00:00',2,1,12,2004,'M','N','CENTRO','STA MARIA','RS','120251251116471731436419344324610162047',2084,'9998',66.86,1,2,1),(16,3203832,'1991-05-18 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215112431478834575114610147142',2893,'270',64.12,1,3,NULL),(16,3203840,'1991-03-01 00:00:00',4,6,11,2008,'M','N','VILA OPERARIA','ITAJAí','SC','124242241215111431459826575112610117112',7202,'9997',53.91,1,3,NULL),(16,3203867,'1992-02-06 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124244241112371431447824572114610124172',6467,'307',55.33,1,3,NULL),(16,3203875,'1991-09-24 00:00:00',2,1,11,2008,'F','N','AREIAS','S JOSé','SC','124241241317371531433332226122610134142',NULL,'976',27.62,1,3,NULL),(16,3203883,'1989-03-06 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANóPOLIS','SC','124202241215474431357811575114610132192',10654,'9997',47.65,1,3,NULL),(16,3203891,'1990-02-17 00:00:00',4,1,11,2007,'F','N','BELA VISTA','S PAULO','SP','125252253216371431159829592125610134182',4459,'9998',59.88,4,3,NULL),(16,3203905,'1988-04-27 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSé','SC','124244248411132431348624341314131464092',NULL,'1036',22.07,1,3,NULL),(16,3203913,'1988-10-12 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217573431388813576122232523142',NULL,'270',33.69,1,3,NULL),(16,3203921,'1991-11-27 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','624242241115121431458811572114610167077',7624,'1022',53.11,1,3,NULL),(16,3203930,'1990-11-20 00:00:00',2,1,12,2008,'F','N','PRESIDENTE MéDICE','PAULíNIA','SP','125254251216131231527634395124610168197',NULL,'9998',0.00,1,3,NULL),(16,3203948,'1991-10-04 00:00:00',4,5,10,2008,'F','N','COMECIáRIO','CRICIúMA','SC','124242241215211431467833475112610128147',15885,'213',37.52,1,3,NULL),(16,3203956,'1991-09-01 00:00:00',2,1,11,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124241241217111431638414572125610133052',8004,'1074',52.42,1,3,NULL),(16,3203972,'1982-10-01 00:00:00',2,1,12,1999,'F','N','PASSA VINTE','PALHOçA','SC','124243241215575441436614471122330226127',8677,'737',51.11,1,3,NULL),(16,3203980,'1991-02-03 00:00:00',2,1,12,2008,'F','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124241241117271411433819172224610164142',10609,'288',47.71,1,2,1),(16,3203999,'1991-08-14 00:00:00',4,1,11,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124244241412111431358731572124610137182',NULL,'272',21.70,1,3,NULL),(16,3204006,'1986-10-05 00:00:00',5,1,12,2003,'F','N','SAO ROQUE','NOVA TRENTO','SC','124241241136573431336634215124131048187',7400,'574',53.51,1,2,1),(16,3204014,'1991-04-06 00:00:00',4,1,12,2008,'M','N','ALDEOTA','FORTALEZA','CE','106062061217471231468921485124610137112',NULL,'9998',30.63,1,3,NULL),(16,3204022,'1992-01-18 00:00:00',2,6,12,2008,'M','N','SãO VICENTE','ITAJAí','SC','124241241114141431425529242321610117117',NULL,'395',0.00,1,2,1),(16,3204030,'1992-05-31 00:00:00',4,8,12,2009,'F','S','CENTRO','JARAGUá SUL','SC','124242241215111431489932575122610131052',NULL,'424',53.71,1,3,NULL),(16,3204049,'1991-03-02 00:00:00',2,1,12,2008,'F','N','ÍNDIA','CANELINHA','SC','124241241116141131411429235114610118142',NULL,'142',26.38,1,2,1),(16,3204057,'1988-05-03 00:00:00',4,1,3,2007,'M','N','AREIAS','S JOSé','SC','124241248121311321626373341124610124142',NULL,'9997',12.46,4,2,1),(16,3204065,'1991-02-25 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124243241215271751468832575112610164012',2937,'737',63.99,1,3,NULL),(16,3204081,'1991-05-07 00:00:00',2,6,12,2008,'M','N','CRISTO REI','S LEOPOLDO','RS','120242201117271431459514475122610137172',3316,'9998',62.95,1,3,NULL),(16,3204090,'1987-09-24 00:00:00',4,1,12,2005,'M','N','BARRA DO SAMBAQUI','FLORIANóPOLIS','SC','124203241347153731357821245124610134042',5738,'307',56.98,1,3,NULL),(16,3204103,'1989-08-02 00:00:00',2,3,11,2006,'M','N','ESTADOS','BAL CAMBORIú','SC','124241247427131431436612582225610118117',9502,'9999',49.72,1,3,NULL),(16,3204111,'1990-08-10 00:00:00',2,1,12,2008,'M','N','CENTRO','TATUí','SP','125252251216111431456612575122610167097',NULL,'9998',23.47,1,3,NULL),(16,3204120,'1981-08-21 00:00:00',2,1,12,2008,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241247111271421433351311344610167185',14621,'9999',40.46,1,3,NULL),(16,3204138,'1989-06-17 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241117574441433614172124231234147',4104,'307',60.77,1,2,1),(16,3204146,'1990-01-31 00:00:00',4,1,11,2007,'M','N','CAMPOLIM','SOROCABA','SP','125252251215472431388833475122610164052',4415,'9998',59.98,1,3,NULL),(16,3204154,'1990-07-07 00:00:00',4,8,12,2007,'M','N','SAGUAçU','JOINVILLE','SC','124242241215471411449634575114610167042',695,'931',74.25,1,3,NULL),(16,3204162,'1991-05-22 00:00:00',4,1,12,2008,'F','N','CENTRO','JALES','SP','125252251215111431558831575122610122142',11344,'9998',46.42,1,3,NULL),(16,3204170,'1991-01-03 00:00:00',4,1,12,2007,'M','N','ALDEOTA','FORTALEZA','CE','106062061217111431468831315122243264113',5604,'9998',57.26,1,3,NULL),(16,3204189,'1986-10-01 00:00:00',2,1,12,2003,'M','N','BARCELOS','CACHOEIRA SUL','RS','120202201212571731468811571124140267047',6886,'9998',54.51,1,3,NULL),(16,3204200,'1991-02-06 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215271431579913475122610167052',8332,'9997',51.73,1,3,NULL),(16,3204219,'1981-07-02 00:00:00',4,1,12,1999,'F','N','JARDIM LUIZA','S PAULO','SP','125252251217371511368811241132142066097',14374,'9998',40.92,1,3,NULL),(16,3204235,'1992-09-07 00:00:00',2,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241215111411378813572122610144017',NULL,'1146',34.41,1,3,NULL),(16,3204243,'1981-05-01 00:00:00',2,1,5,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124161241325271411428444445124610148192',13985,'9999',41.67,1,3,NULL),(16,3204251,'1992-10-14 00:00:00',4,1,12,2008,'M','N','ARIRIU DA FORMIGA','PALHOçA','SC','124241241416111431463612195123610117047',NULL,'1011',25.64,1,3,NULL),(16,3204260,'1989-12-23 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241117471711535414347344610166147',15228,'307',39.13,1,2,1),(16,3204278,'1992-07-17 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241217111431489913572122610131075',NULL,'262',60.29,1,3,NULL),(16,3204286,'1986-02-01 00:00:00',4,1,11,2003,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241231271421356613475112132864097',14538,'9999',40.63,1,3,NULL),(16,3204294,'1989-07-15 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124243241217573431556632142224610127052',12793,'943',43.85,1,3,NULL),(16,3204308,'1991-05-02 00:00:00',2,8,11,2008,'F','N','PETRóPOLIS','JOINVILLE','SC','124241241215111731445623372124610166092',9874,'461',49.01,1,3,NULL),(16,3204316,'1990-05-19 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431547874572112610168196',NULL,'269',37.98,1,3,NULL),(16,3204324,'1989-08-07 00:00:00',4,1,6,2007,'M','N','PIQUERI','S PAULO','SP','125252281431471431358812175112610117152',1186,'9998',71.01,1,3,NULL),(16,3204332,'1991-02-21 00:00:00',4,10,11,2008,'M','N','CENTRO','BRAçO NORTE','SC','124242241215111531367932375124610127062',NULL,'806',34.97,1,3,NULL),(16,3204340,'1988-11-09 00:00:00',4,8,11,2006,'F','N','SAO LOURENCO','CURITIBA','PR','116162161217571431669514571122610167157',NULL,'9998',0.00,1,3,NULL),(16,3204359,'1990-06-26 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124241241116151431429463471124610116132',NULL,'257',20.69,2,3,NULL),(16,3204367,'1992-01-24 00:00:00',2,1,12,2008,'M','N','JARDIM AMÉRICA','RIO DO SUL','SC','124242241217131231429924242125610127142',NULL,'653',39.28,1,3,NULL),(16,3204375,'1990-02-06 00:00:00',4,1,12,2007,'M','N','ZONA DOIS','MARINGá','PR','116162161215471431537632575121610166012',3406,'9998',62.66,4,3,NULL),(16,3204383,'1991-04-19 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIúMA','SC','124242241211472431368932371112610122182',8214,'210',51.97,1,3,NULL),(16,3204391,'1991-06-13 00:00:00',2,10,12,2008,'F','N','MAR GROSSO','LAGUNA','SC','124241241216111431443514575122610121097',12159,'525',44.97,1,3,NULL),(16,3204413,'1992-02-02 00:00:00',2,10,11,2009,'F','S','CENTRO','BRAçO NORTE','SC','124242248215121431457332572124610133042',NULL,'807',40.44,1,3,NULL),(16,3204421,'1990-01-10 00:00:00',4,8,12,2007,'M','N','XAXIM','CURITIBA','PR','116162161346471741448714195122610167077',NULL,'9998',0.00,1,3,NULL),(16,3204448,'1990-09-21 00:00:00',4,1,12,2007,'F','N','SETOR OESTE','GOIâNIA','GO','109092091215371431468613574122610142092',NULL,'9998',0.00,1,3,NULL),(16,3204456,'1980-05-08 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241122131722121141312324610114142',NULL,'292',25.67,4,3,NULL),(16,3204472,'1992-06-07 00:00:00',4,5,1,2010,'M','S','PIO CORREA','CRICIúMA','SC','124242241217111431448734495114610117012',NULL,'995',29.71,1,3,NULL),(16,3204480,'1990-02-22 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217472431478913275121610127052',4137,'270',60.68,1,3,NULL),(16,3204499,'1987-08-10 00:00:00',4,1,12,2004,'M','N','CENTRO','SOBRADINHO','RS','120201201116573531568911415124222667092',5508,'9998',57.46,1,2,1),(16,3204502,'1988-03-21 00:00:00',4,1,12,2005,'M','N','VILA LESSA','PRES PRUDENTE','SP','125252251217371431358831475112610137112',NULL,'9998',0.00,1,3,NULL),(16,3204510,'1991-07-27 00:00:00',4,4,12,2008,'M','N','NAZARé','CONCóRDIA','SC','124243241317161431328834145122610162057',NULL,'194',23.28,4,3,NULL),(16,3204529,'1990-12-15 00:00:00',2,1,12,2007,'M','N','POçO FUNDO','STO AMARO IMPERATRIZ','SC','124241241216372741578913495124610124041',5546,'774',57.37,1,3,NULL),(16,3204537,'1990-10-05 00:00:00',4,1,11,2008,'F','N','INTERLAGOS','S PAULO','SP','125252251216471331446632572122610125157',NULL,'9998',17.44,1,3,NULL),(16,3204545,'1986-08-27 00:00:00',4,1,12,2003,'M','N','PAULICéIA','S BERNARDO CAMPO','SP','125122121216474431437734572124141436147',NULL,'9998',0.00,3,3,NULL),(16,3204553,'1991-09-21 00:00:00',4,8,12,2009,'F','S','VILA NOVA','JOINVILLE','SC','124242241215111431456833575122610148097',NULL,'491',37.89,1,3,NULL),(16,3204570,'1992-01-22 00:00:00',2,1,12,2008,'M','N','CENTRO','VANINI','RS','120201201115131432423512125122610137042',NULL,'9998',15.99,4,3,NULL),(16,3204588,'1991-10-14 00:00:00',2,1,11,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124244241215121431237824575124610123142',9810,'266',49.13,1,3,NULL),(16,3204600,'1990-07-07 00:00:00',4,1,12,2007,'F','N','SANTA TEREZINHA','CâNDIDO MOTA','SP','125254251215471431467829575112610122017',10924,'9998',47.16,1,3,NULL),(16,3204618,'1990-10-29 00:00:00',4,1,11,2008,'M','N','VISTA ALEGRE SEDE','VINHEDO','SP','125252251216151751368833575115610168163',NULL,'9998',0.00,1,3,NULL),(16,3204626,'1991-08-17 00:00:00',2,9,12,2008,'F','N','PETRóPOLIS','LAGES','SC','124244241117151231449814575124610147142',16002,'498',37.24,1,3,NULL),(16,3204634,'1990-12-19 00:00:00',2,1,12,2007,'F','N','PROGRESSO','LAGUNA','SC','124242241215473431467734575112610168182',650,'9997',74.55,1,3,NULL),(16,3204650,'1981-12-16 00:00:00',2,1,12,1999,'F','N','CARIANOS','FLORIANóPOLIS','SC','224161161312472431236554342124610163157',14073,'9998',41.51,1,3,NULL),(16,3204669,'1990-06-16 00:00:00',2,1,11,2007,'F','N','JURERê','FLORIANóPOLIS','SC','224244241215132431225544245124231347097',NULL,'266',31.21,1,3,NULL),(16,3204677,'1988-11-23 00:00:00',4,1,12,2005,'F','N','KOBRASOL','S JOSé','SC','124243241211144431428813341124610166057',16511,'1036',35.43,4,3,NULL),(16,3204685,'1990-08-26 00:00:00',4,8,12,2008,'M','N','CENTRO','S BENTO SUL','SC','124241241117151421437631315122610126012',NULL,'697',35.58,1,2,1),(16,3204693,'1991-01-31 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217111432588731475111610167062',NULL,'262',44.06,1,3,NULL),(16,3204707,'1990-03-30 00:00:00',4,1,12,2007,'M','N','SETOR SUDOESTE','CRUZEIRO','DF','107072071215371211377923394122141667182',NULL,'9998',0.00,2,3,NULL),(16,3204715,'1991-04-01 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215131431358869574112610137052',NULL,'262',34.44,1,3,NULL),(16,3204723,'1991-07-11 00:00:00',2,1,12,2008,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241215111431345714595122610124072',12092,'1050',45.11,1,3,NULL),(16,3204731,'1990-05-01 00:00:00',2,3,9,2007,'F','N','CENTRO','CAMBé','PR','116252161215471451436821574112610137012',12412,'9998',44.52,1,3,NULL),(16,3204740,'1991-07-16 00:00:00',4,1,12,2008,'F','N','ÁGUAS NEGRAS','BOTUVERá','SC','124241241126161411535314575124610132052',NULL,'98',0.00,1,2,1),(16,3204758,'1991-04-18 00:00:00',2,5,10,2008,'F','N','MAE LUZIA','CRICIúMA','SC','124242241215131431456834195124610123152',11519,'213',46.14,1,3,NULL),(16,3204766,'1990-06-06 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124243247217131731348624346334610168187',NULL,'9999',30.36,1,3,NULL),(16,3204774,'1988-07-19 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSé','SC','124241241111373431636621445134610136197',NULL,'257',25.77,1,2,1),(16,3204782,'1991-08-11 00:00:00',4,2,12,2008,'M','N','CENTRO','BRUSQUE','SC','124242241217111431388813475112610122122',11058,'109',46.92,1,3,NULL),(16,3204790,'1992-07-04 00:00:00',4,1,11,2008,'F','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','124242241215121411469712346122610134052',10030,'266',48.72,1,3,NULL),(16,3204804,'1990-05-23 00:00:00',4,7,12,2008,'M','N','CENTRO','CONCóRDIA','SC','124243241311132431439914231145610137047',NULL,'193',14.38,1,3,NULL),(16,3204812,'1990-10-06 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215111431248617592124610138077',NULL,'724',26.24,1,3,NULL),(16,3204820,'1990-02-10 00:00:00',4,8,11,2007,'F','N','CIRO NARDI','CASCAVEL','PR','116161161216471431559933572122610132142',1124,'9998',71.31,1,3,NULL),(16,3204839,'1991-05-19 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124252241217271411468714472115610168182',5632,'270',57.19,1,3,NULL),(16,3204847,'1990-10-31 00:00:00',4,3,12,2008,'M','N','PRAIA DOS AMORES','ITAJAí','SC','124244241216131431336829595114610162127',NULL,'1085',34.97,1,3,NULL),(16,3204855,'1991-03-09 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241215111431446613575124610117047',7934,'269',52.55,1,3,NULL),(16,3204863,'1990-04-06 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECó','SC','124241241117272731449933575112132042054',NULL,'169',48.18,1,3,NULL),(16,3204871,'1991-02-23 00:00:00',4,1,12,2008,'M','N','VILA OLIVEIRA','MOGI CRUZES','SP','125252251215111431569814575112610124097',NULL,'9998',0.00,1,3,NULL),(16,3204880,'1990-11-30 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241117372431524414172214610137112',6653,'307',54.96,4,2,1),(16,3204898,'1987-11-27 00:00:00',2,8,12,2005,'F','N','FLORESTA','JOINVILLE','SC','124241241117271231323639342234132161197',NULL,'472',17.48,2,1,1),(16,3204901,'1991-02-14 00:00:00',2,9,11,2008,'M','N','CENTRO','TAIó','SC','124242241215111431468812586121610167052',12945,'9997',43.60,1,3,NULL),(16,3204910,'1991-07-26 00:00:00',4,8,12,2008,'F','N','JARDIM CAçAPAVA','CAçAPAVA','SP','125252251216111731548511495124610164197',NULL,'9998',24.23,1,3,NULL),(16,3204928,'1990-10-07 00:00:00',4,1,12,2007,'F','N','COSTEIRA','FLORIANóPOLIS','SC','124241241115272411358622342132610134142',NULL,'783',27.12,1,3,NULL),(16,3204936,'1989-03-08 00:00:00',2,1,12,2006,'F','N','VENDAVAL','BIGUAçU','SC','124241241125131331323524242134610131147',14829,'65',40.01,1,2,1),(16,3204944,'1991-03-24 00:00:00',2,1,12,2008,'F','N','CENTRO','PALHOçA','SC','124242241212112431236724572124610146092',10193,'1011',48.44,1,3,NULL),(16,3204952,'1985-12-22 00:00:00',4,1,3,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241117275431356811345122220767063',7351,'306',53.62,1,3,NULL),(16,3204960,'1991-10-27 00:00:00',4,1,11,2008,'F','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','124242241215112431569813575124610124127',5752,'270',56.96,1,3,NULL),(16,3204979,'1991-03-04 00:00:00',2,1,12,2008,'F','N','FORQUILINHAS','S JOSé','SC','124241241121151431323321281124610112142',NULL,'727',26.27,1,3,NULL),(16,3204995,'1990-05-22 00:00:00',4,1,11,2007,'M','N','PQ DAS FLORES','CAMPINAS','SP','125252251215471431378931575122610118042',NULL,'9998',0.00,1,3,NULL),(16,3205002,'1992-01-03 00:00:00',4,1,12,2008,'M','N','PRAçA','TIJUCAS','SC','124241242115111431423311175124610137017',NULL,'129',29.23,1,2,1),(16,3205010,'1991-08-18 00:00:00',4,5,11,2008,'M','N','CENTRO','CRICIúMA','SC','124242241216271421336929495122610127112',6083,'226',56.17,1,3,NULL),(16,3205029,'1989-03-05 00:00:00',4,1,11,2006,'M','N','KOBRASOL','S JOSé','SC','124241241415373421356613572114123217042',2839,'723',64.26,1,3,NULL),(16,3205037,'1991-07-10 00:00:00',4,8,12,2008,'M','N','ZONA SEIS','MARINGá','PR','116252161215111431348826572122610127057',NULL,'9998',0.00,3,3,NULL),(16,3205045,'1991-03-12 00:00:00',2,4,12,2008,'M','N','CENTRO','S MARTINHO','RS','120201201116131731228823575124610128057',NULL,'9998',35.92,1,2,1),(16,3205061,'1976-01-30 00:00:00',4,6,4,1999,'M','N','BOM JESUS','POUSO ALEGRE','MG','113133137446151451118948195121133264112',NULL,'9998',36.77,1,3,NULL),(16,3205070,'1986-04-09 00:00:00',4,1,12,2003,'M','N','MARIA AP PEDROSSIAN','CPO GRANDE','MS','112122121217571431548719572132141366092',NULL,'9998',0.00,1,3,NULL),(16,3205088,'1985-07-30 00:00:00',2,1,12,2003,'F','N','FORQUILHAS','S JOSé','SC','124241241131142731123344241123610143147',16379,'812',36.06,1,2,1),(16,3205096,'1992-04-27 00:00:00',2,7,12,2008,'M','N','BELA VISTA','FRAIBURGO','SC','124241241215111431424434572124610127017',12143,'885',45.00,1,3,NULL),(16,3205100,'1992-10-02 00:00:00',4,1,12,2009,'M','S','PANTANAL','FLORIANóPOLIS','SC','124244241215111431368611195122610147052',NULL,'270',30.61,1,3,NULL),(16,3205126,'1992-12-15 00:00:00',4,1,11,2009,'M','S','CAMPINAS','S JOSé','SC','124241241217111411447732125124610134197',NULL,'723',52.82,4,3,NULL),(16,3205134,'1990-09-18 00:00:00',4,1,10,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241216111731647821575124610165171',4192,'1022',60.51,4,3,NULL),(16,3205142,'1983-07-07 00:00:00',4,1,12,2001,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124244241247472431358719472124333223027',NULL,'272',38.33,1,3,NULL),(16,3205150,'1992-10-10 00:00:00',4,1,12,2009,'M','S','AGRONôMICA','FLORIANóPOLIS','SC','124242241216111431368931575122610167012',NULL,'262',36.67,1,3,NULL),(16,3205169,'1989-04-13 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215372231658813372124610137042',16482,'273',35.53,1,3,NULL),(16,3205177,'1988-04-17 00:00:00',2,1,11,2005,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241117131732434311342124610127017',NULL,'281',12.34,1,3,NULL),(16,3205185,'1989-06-26 00:00:00',4,1,12,2007,'M','N','PARQUE CENTENARIO','JUNDIAí','SP','125252251211472411579913591122610154083',NULL,'9998',35.41,1,3,NULL),(16,3205193,'1992-09-22 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241212111431439912425124610127047',14745,'1022',40.19,1,3,NULL),(16,3205207,'1987-12-23 00:00:00',4,1,12,2004,'M','N','CENTRO','LONDRINA','PR','116162161215575431488811575112610164047',3733,'9998',61.75,1,3,NULL),(16,3205215,'1991-02-07 00:00:00',4,1,10,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241215111751368819334122610164092',5479,'266',57.52,1,3,NULL),(16,3205223,'1991-05-14 00:00:00',2,4,11,2008,'F','N','CENTRO','CHOPINZINHO','PR','116161161216131431429935575122610134147',13027,'9998',43.46,1,3,NULL),(16,3205231,'1989-06-15 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215373431568813581122231847047',5280,'272',57.90,1,3,NULL),(16,3205240,'1991-01-26 00:00:00',4,1,12,2008,'F','N','JARDIM AQUARIUS','S JOSé CAMPOS','SP','125252251235211431569834572122610144127',8874,'9998',50.77,1,3,NULL),(16,3205258,'1985-07-21 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216153751469934575124221466052',1236,'262',70.76,1,3,NULL),(16,3205266,'1991-11-22 00:00:00',2,1,12,2008,'F','N','BALNEARIO ESTREITO','FLORIANóPOLIS','SC','124251241215131431434439272122610227147',15498,'1134',38.55,1,3,NULL),(16,3205282,'1991-09-15 00:00:00',2,1,12,2008,'F','N','CENTRO','S JOSé','SC','124242241215131431327624572324610126142',11209,'1075',46.64,1,3,NULL),(16,3205290,'1990-02-11 00:00:00',4,1,12,2007,'M','N','GUARANI','BRUSQUE','SC','124242241215472431379314294122610127182',950,'109',72.33,1,3,NULL),(16,3205304,'1984-11-22 00:00:00',4,1,12,2001,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124202201216472421189933341122242032113',NULL,'9998',0.00,1,3,NULL),(16,3205312,'1991-08-03 00:00:00',2,1,12,2008,'M','N','SANTO ANTôNIO','FRAIBURGO','SC','124242241215111431336815575122610167077',NULL,'885',0.00,1,3,NULL),(16,3205320,'1990-09-14 00:00:00',2,1,12,2007,'F','N','JARDIM CIDADE','S JOSé','SC','124243241115371431335821275114610121142',15091,'257',39.44,1,3,NULL),(16,3205347,'1991-12-30 00:00:00',4,1,12,2009,'F','S','SACO GRANDE','FLORIANóPOLIS','SC','124242241215111432546913576114610124057',NULL,'266',40.15,1,3,NULL),(16,3205355,'1989-11-07 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIúMA','SC','124242241215473451289914575122610124072',1145,'226',71.21,4,3,NULL),(16,3205371,'1989-04-28 00:00:00',4,1,11,2006,'M','N','PORTãO','CURITIBA','PR','116112161216572431476814475114610164062',6446,'9998',55.39,1,3,NULL),(16,3205380,'1988-12-17 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSé','SC','124242241212143411666823442114610122112',9319,'1036',50.04,4,3,NULL),(16,3205398,'1991-09-03 00:00:00',2,4,11,2008,'M','N','JARDIM ITáLIA','CHAPECó','SC','124242241215271711569911372122610167052',13022,'185',43.46,1,3,NULL),(16,3205401,'1993-03-08 00:00:00',4,1,11,2009,'F','S','ABRAAO','FLORIANóPOLIS','SC','124244241217111731249933572124610133097',NULL,'270',53.70,1,3,NULL),(16,3205410,'1990-06-29 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124241241216111751447923395122610168192',NULL,'724',20.90,1,3,NULL),(16,3205428,'1991-10-18 00:00:00',4,4,12,2008,'M','N','INTERIOR','MONDAí','SC','124241241116131531345532345124610167055',NULL,'408',28.90,1,2,1),(16,3205436,'1991-03-29 00:00:00',4,4,12,2008,'M','N','INTERIOR','ITAPIRANGA','SC','124241241115131431424335572124610136057',NULL,'408',28.25,1,2,1),(16,3205444,'1992-03-31 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124203241136131431525519485122610128187',NULL,'727',24.64,1,3,NULL),(16,3205452,'1992-06-28 00:00:00',4,5,11,2008,'M','N','CENTRO','TURVO','SC','124241241117131531449516573122610138182',NULL,'814',29.42,1,2,1),(16,3205460,'1982-05-03 00:00:00',4,1,12,2000,'F','N','COQUEIROS','FLORIANóPOLIS','SC','224201201316141411256343435122610132047',NULL,'9998',27.05,1,3,NULL),(16,3205479,'1991-07-25 00:00:00',4,1,12,2008,'F','N','VILA EMA','S JOSé CAMPOS','SP','125252251215111532578913476122610147143',NULL,'9998',60.45,1,3,NULL),(16,3205487,'1984-08-14 00:00:00',2,1,7,2003,'M','N','CARá CARá','PNT GROSSA','PR','116161161446572711553312495122610138187',7983,'9998',52.46,1,3,NULL),(16,3205509,'1992-01-02 00:00:00',4,1,12,2008,'F','N','CENTRO','PASSO FUNDO','RS','120202201217341531448812575122610127147',10003,'9998',48.77,1,3,NULL),(16,3205517,'1991-08-22 00:00:00',4,3,12,2008,'F','N','PIO X','CAXIAS SUL','RS','120203201116271731546831215122610164147',16352,'9998',36.19,1,3,NULL),(16,3205525,'1992-10-28 00:00:00',2,1,11,2009,'F','S','JOAO PAULO','FLORIANóPOLIS','SC','124242241217111431458831575122610161182',NULL,'270',26.27,1,3,NULL),(16,3205533,'1991-09-05 00:00:00',4,4,12,2008,'M','N','PARQUE SãO PAULO','CASCAVEL','PR','116164161217111431349634471124610114182',NULL,'9998',0.00,1,3,NULL),(16,3205541,'1991-12-16 00:00:00',2,8,11,2008,'F','N','AMéRICA','JOINVILLE','SC','124242241215211431343632276125610142072',5463,'456',57.56,1,3,NULL),(16,3205550,'1990-11-24 00:00:00',4,1,11,2008,'F','N','VILLAGE','IMBITUBA','SC','124243241215151431458913575122610142097',3123,'362',63.47,1,3,NULL),(16,3205568,'1991-05-28 00:00:00',4,8,12,2008,'M','N','COMASA','JOINVILLE','SC','124241241116371411447711495122610146052',6104,'469',56.12,1,2,1),(16,3205576,'1986-09-26 00:00:00',4,1,12,2004,'F','N','CENTRO','LONDRINA','PR','116162161215575331488811572112610167022',NULL,'9999',23.54,1,3,NULL),(16,3205592,'1991-11-14 00:00:00',4,1,12,2008,'F','N','BUTUCA','MASSARANDUBA','SC','124242241211161421448923575124610165017',4770,'422',59.13,1,3,NULL),(16,3205606,'1991-04-24 00:00:00',2,1,12,2008,'F','N','SALETE','CONCóRDIA','SC','124241241116571731556664574122610161092',NULL,'192',39.75,1,2,1),(16,3205614,'1989-03-28 00:00:00',1,1,12,2007,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124243251416471431338811495114610132183',5660,'9998',57.15,1,3,NULL),(16,3205622,'1992-02-06 00:00:00',4,1,12,2009,'M','S','COQUEIROS','FLORIANóPOLIS','SC','124242241211111712468614471122610157062',NULL,'262',41.54,1,3,NULL),(16,3205649,'1989-11-01 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSé','SC','124242241217374431436822575114610127057',2488,'738',65.37,1,3,NULL),(16,3205657,'1992-12-27 00:00:00',4,10,11,2009,'F','S','CENTRO','TUBARãO','SC','124242241215111331448813574122610112142',NULL,'806',46.20,1,3,NULL),(16,3205665,'1990-07-03 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241217273431467719572124221424042',3436,'270',62.56,1,3,NULL),(16,3205673,'1991-12-07 00:00:00',4,1,12,2009,'F','S','JARDIM DAS NAçõES','TAUBATé','SP','125252251236111331468913575124610123014',NULL,'9998',22.13,1,3,NULL),(16,3205681,'1991-08-23 00:00:00',4,1,12,2008,'M','N','CAMPINAS','SAO JOSE','SC','124241241215111431441663576112610168051',NULL,'737',32.39,1,3,NULL),(16,3205690,'1989-06-27 00:00:00',4,1,12,2006,'M','N','PETRóPOLIS','PTO ALEGRE','RS','120202201216571411269823571122143266041',NULL,'9998',0.00,1,3,NULL),(16,3205703,'1991-07-31 00:00:00',2,5,11,2008,'M','N','SANTA BARBARA','CRICIúMA','SC','124242241235111431355934345125610127142',14980,'210',39.71,1,3,NULL),(16,3205711,'1989-12-30 00:00:00',4,1,11,2008,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241135371431646619475124610136187',8000,'307',52.42,1,2,1),(16,3205720,'1991-07-11 00:00:00',4,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241117472431428719592224610137147',NULL,'307',26.75,1,3,NULL),(16,3205738,'1991-07-15 00:00:00',4,1,11,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124212241215111431158824495124610128045',13530,'1022',42.57,4,3,NULL),(16,3205746,'1992-07-04 00:00:00',4,9,11,2009,'M','S','SANTA HELENA','LAGES','SC','124244241215111431334734575122610122172',NULL,'499',57.89,4,3,NULL),(16,3205754,'1990-12-24 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215372431448713372114610164012',8041,'403',52.34,1,3,NULL),(16,3205770,'1990-05-28 00:00:00',4,1,12,2007,'F','N','CENTRO','S JOSé CAMPOS','SP','125082081215471431555712572122610124072',NULL,'9998',0.00,1,3,NULL),(16,3205789,'1991-07-05 00:00:00',4,1,12,2008,'F','N','JARDIM MODELO','S PAULO','SP','125252251217111431446812575114610131142',NULL,'9998',0.00,1,3,NULL),(16,3205797,'1990-04-17 00:00:00',4,1,5,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124286288117271431546619175124610164147',NULL,'9998',25.51,1,3,NULL),(16,3205800,'1988-11-25 00:00:00',4,1,12,2006,'F','N','JARDIM AEROPORTO','ALFENAS','MG','113131131111471711556873385124610162147',NULL,'9998',0.00,1,2,1),(16,3205819,'1990-06-04 00:00:00',4,1,12,2007,'M','N','MARAMBAIA','BELéM','PA','114142141217471431346923574124610162092',5207,'9998',58.10,4,3,NULL),(16,3205827,'1987-09-20 00:00:00',2,5,11,2005,'F','N','PIO CORREA','CRICIúMA','SC','124242241215574431466711572122232632142',9967,'226',48.83,1,3,NULL),(16,3205835,'1991-02-25 00:00:00',2,2,12,2008,'F','N','GARCIA','BLUMENAU','SC','124243241417111431338814575124610124092',10918,'88',47.17,1,3,NULL),(16,3205843,'1989-05-22 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215373731456612374124131246092',4556,'270',59.66,1,3,NULL),(16,3205851,'1987-11-21 00:00:00',4,1,12,2005,'M','N','JARDIM CASTANHEIRAS','FLORIANóPOLIS','SC','124243241317373431553823575124133164097',5462,'267',57.57,1,3,NULL),(16,3205860,'1991-01-06 00:00:00',4,1,12,2008,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','125242251216151732458832575122610164045',NULL,'9998',33.68,1,3,NULL),(16,3205878,'1991-04-10 00:00:00',4,3,11,2008,'F','N','SAN CONRADO','CAMPINAS','SP','125252251217111431468814575112610165122',3741,'9998',61.72,1,3,NULL),(16,3205886,'1989-11-12 00:00:00',4,1,11,2007,'M','N','JARDIM CANADA','RIBEIRãO PRETO','SP','125251281432471311469931571122610168182',NULL,'9998',0.00,1,3,NULL),(16,3205894,'1991-01-29 00:00:00',4,1,11,2008,'M','N','VARGEM BOM JESUS','FLORIANóPOLIS','SC','124241241342131431336679372324610144142',10887,'307',47.21,4,3,NULL),(16,3205908,'1990-09-30 00:00:00',4,1,12,2007,'F','N','CENTRO','MOGI CRUZES','SP','125252251215473211488811514122610116122',NULL,'9999',0.00,1,3,NULL),(16,3205916,'1991-06-03 00:00:00',4,1,12,2008,'M','N','BELA VISTA','S JOSé','SC','124242241212121531366631575112610167043',NULL,'943',37.17,1,3,NULL),(16,3205924,'1992-04-23 00:00:00',2,8,11,2008,'F','N','ALVORADA','CAFELâNDIA','PR','116161161415111431534632371122610163012',6541,'9998',55.19,1,3,NULL),(16,3205932,'1991-07-31 00:00:00',4,1,11,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241115151432526314572124610117112',NULL,'307',24.12,1,2,1),(16,3205940,'1990-02-06 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241211473431557613574124610114192',6806,'1022',54.65,4,3,NULL),(16,3205959,'1992-05-24 00:00:00',4,1,12,2009,'F','S','STO ANT DE LISBOA','FLORIANóPOLIS','SC','124242244215111531468811412124610167072',NULL,'270',25.21,1,3,NULL),(16,3205967,'1989-12-15 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECó','SC','124243247312111411536611591342610167051',NULL,'182',33.36,1,3,NULL),(16,3205975,'1991-09-24 00:00:00',2,10,12,2008,'F','N','MAR GROSSO','LAGUNA','SC','124242241215111431537814575122610136117',14638,'525',40.41,1,3,NULL),(16,3205983,'1989-01-22 00:00:00',4,8,12,2006,'M','N','PARANá','PALMITAL','SP','125252251217571431468812575122610127042',2173,'9998',66.51,1,3,NULL),(16,3205991,'1981-12-10 00:00:00',2,7,12,2008,'M','N','FLORESTA','VIDEIRA','SC','124241247122131731123339493315610133142',NULL,'9999',0.00,4,2,1),(16,3206009,'1988-11-22 00:00:00',2,1,11,2006,'M','N','LAGOA DA CONCEICAO','FLORIANóPOLIS','SC','124202241214472732578939495124610167042',NULL,'951',30.37,1,3,NULL),(16,3206017,'1990-03-03 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124243241215132431226623342114610133182',NULL,'1022',34.72,1,3,NULL),(16,3206025,'1991-07-30 00:00:00',4,1,12,2008,'M','N','BELA VISTA I','S JOSé','SC','124241241335111531433312322114610134047',NULL,'1118',30.94,1,3,NULL),(16,3206033,'1991-09-27 00:00:00',4,1,11,2008,'M','N','CENTRO','BIGUAçU','SC','124242241215111732488833572115610127112',1041,'270',71.79,1,3,NULL),(16,3206041,'1991-05-07 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124242241215111431446829485122610161121',8495,'723',51.41,1,3,NULL),(16,3206050,'1991-05-08 00:00:00',2,1,11,2008,'F','N','GUARANI','NOVO HAMBURGO','RS','120204201216335241538724385124610162177',NULL,'9998',0.00,5,3,NULL),(16,3206068,'1990-05-12 00:00:00',4,10,12,2007,'F','N','LOMBA','ORLEANS','SC','124241241117372431433939595122610124142',NULL,'580',31.02,1,2,1),(16,3206076,'1991-12-16 00:00:00',4,1,11,2008,'M','N','JOSé MENDES','FLORIANóPOLIS','SC','124242243217111521548839572124610137032',15792,'1022',37.80,1,3,NULL),(16,3206084,'1988-12-07 00:00:00',4,1,12,2006,'F','N','SETOR OESTE','GOIâNIA','GO','109092091215571431566632572112610126072',NULL,'9998',0.00,1,3,NULL),(16,3206092,'1990-10-09 00:00:00',2,1,12,2008,'M','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241217121431458911595114610127125',15833,'1050',37.67,1,3,NULL),(16,3206106,'1990-12-12 00:00:00',4,1,12,2008,'M','N','CENTRO','CORUMBá','MS','112122121217111431449933575112610164044',NULL,'9998',0.00,3,3,NULL),(16,3206114,'1992-04-27 00:00:00',4,3,11,2009,'M','S','CENTRO','TIJUCAS','SC','124242241215111231466912475121610117041',NULL,'948',37.26,1,3,NULL),(16,3206122,'1991-05-11 00:00:00',2,6,12,2008,'F','N','CENTRO','TIJUCAS','SC','124242248215161431535823572121610137097',16411,'1119',35.88,1,3,NULL),(16,3206157,'1988-08-26 00:00:00',4,1,7,2008,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','624242241211372441348823475112610164045',NULL,'9999',31.36,1,3,NULL),(16,3206165,'1990-05-31 00:00:00',4,4,12,2007,'F','N','VILA INDUSTRIAL','TOLEDO','PR','116165161216471431459933574112610124092',3652,'9998',61.95,4,1,2),(16,3206173,'1988-12-22 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241217272431338829485124231067112',8952,'737',50.66,1,3,NULL),(16,3206181,'1991-06-26 00:00:00',4,4,11,2008,'F','N','CENTRO','SEARA','SC','124243241435111431465512572122610166052',NULL,'1047',32.29,1,3,NULL),(16,3206190,'1989-09-30 00:00:00',2,1,12,2007,'F','N','JARDIM CASTANHEIRAS','FLORIANóPOLIS','SC','124241241115372431564823575112610137057',14691,'267',40.29,1,2,1),(16,3206203,'1990-02-26 00:00:00',4,4,12,2007,'M','N','JARDIM AMéRICA','CHAPECó','SC','124241241113131431323629342324610132047',NULL,'181',0.00,1,2,1),(16,3206211,'1991-01-02 00:00:00',2,8,12,2008,'M','N','SAGUAçU','JOINVILLE','SC','124242241215111711468813495124610134172',8892,'457',50.75,4,3,NULL),(16,3206220,'1991-10-01 00:00:00',4,1,11,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124244241215111431369933575114610166032',477,'270',75.98,1,3,NULL),(16,3206238,'1982-01-10 00:00:00',4,1,12,1999,'M','N','JD PARAíSO','S CARLOS','SP','125251251416572731336313415122342366047',369,'9998',77.16,1,3,NULL),(16,3206246,'1990-02-11 00:00:00',4,1,12,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241216151741469833375124610164182',4822,'883',59.02,1,3,NULL),(16,3206254,'1992-02-16 00:00:00',2,1,12,2008,'F','N','IIMIGRANTES','ZORTéA','SC','124241241125161411544933315122610126147',NULL,'849',0.00,1,2,1),(16,3206262,'1989-12-31 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241212573431378912492112610167132',3685,'270',61.85,1,3,NULL),(16,3206270,'1991-03-09 00:00:00',4,2,11,2008,'F','N','VILA MAIA','GUARUJá','SP','125252251216271431448811214112610126197',NULL,'9998',0.00,1,3,NULL),(16,3206289,'1991-09-24 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241248112111431523514575125610134112',NULL,'257',27.82,1,3,NULL),(16,3206297,'1980-06-11 00:00:00',2,1,12,1998,'M','N','COSTEIRA D PIRAJUBAÉ','FLORIANóPOLIS','SC','124203241136152711136549395124333262097',NULL,'276',28.64,1,3,NULL),(16,3206300,'1990-04-28 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215473731469834576115610167122',851,'270',73.04,4,1,2),(16,3206319,'1977-08-09 00:00:00',4,1,12,1995,'F','N','JD CIDADE DE FLORIAN','S JOSé','SC','124201201115473421658643331122610162097',10088,'9998',48.62,2,1,1),(16,3206327,'1990-05-12 00:00:00',4,8,12,2007,'F','N','FLORESTA','JOINVILLE','SC','124241241126371231556434445124133236077',NULL,'466',0.00,1,3,NULL),(16,3206335,'1990-01-03 00:00:00',4,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215111431466613575124610144182',9323,'272',50.04,1,3,NULL),(16,3206351,'1990-10-02 00:00:00',2,1,11,2008,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124243241115131441449833575124610125097',6816,'267',54.63,1,3,NULL),(16,3206360,'1990-12-09 00:00:00',4,1,12,2008,'M','N','JD TELESPARK','S JOSé CAMPOS','SP','125251251215111411325514372124610167047',6198,'9998',55.92,4,3,NULL),(16,3206378,'1992-07-11 00:00:00',4,1,12,2009,'M','S','CACHOEIRA','FLORIANóPOLIS','SC','124242241212111432238711172124610167057',NULL,'262',43.71,1,3,NULL),(16,3206394,'1990-06-06 00:00:00',2,1,6,1990,'M','N','TAGUATINGA','TAGUATINGA','DF','107074071216271431448613585124610162171',NULL,'9998',0.00,1,3,NULL),(16,3206408,'1983-02-03 00:00:00',2,1,12,2004,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241247217371111333144346334610124147',NULL,'9999',23.07,1,3,NULL),(16,3206416,'1990-03-20 00:00:00',2,1,12,2008,'M','N','CENTRO','ARAPONGAS','PR','116162161437171231369834595122610117047',NULL,'9998',0.00,1,3,NULL),(16,3206432,'1988-11-20 00:00:00',4,1,11,2006,'F','N','CENTRO','PIRACICABA','SP','125252251215571431448832571122610132092',NULL,'9998',0.00,1,3,NULL),(16,3206440,'1990-07-23 00:00:00',4,5,11,2008,'F','N','CENTRO','MELEIRO','SC','124241241125371431424614175124610127057',NULL,'559',18.16,1,2,1),(16,3206467,'1991-02-28 00:00:00',4,2,12,2008,'F','N','NAçõES','INDAIAL','SC','124243241216131441336724495122610166152',3512,'925',62.35,1,3,NULL),(16,3206475,'1990-04-22 00:00:00',4,1,12,2007,'M','N','BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP','125252251237472432458814575112610167057',NULL,'9998',58.92,1,3,NULL),(16,3206483,'1989-06-08 00:00:00',4,2,12,2007,'M','N','SANTANA','S JOSé CAMPOS','SP','125252258235471431426634272124610136194',NULL,'9998',0.00,1,3,NULL),(16,3206491,'1991-11-04 00:00:00',4,2,10,2008,'F','N','VILA NOVA','BLUMENAU','SC','124242241215111221339827575114610134172',9255,'855',50.14,1,3,NULL),(16,3206505,'1991-04-29 00:00:00',4,3,12,2008,'F','N','VELHA','BLUMENAU','SC','124242241217111431559914172122610118141',3020,'909',63.73,1,3,NULL),(16,3206521,'1989-11-27 00:00:00',2,1,12,2007,'F','N','BARRA DO ARIRIú','PALHOçA','SC','124241241116372431437613575124610124142',15928,'592',37.43,1,2,1),(16,3206530,'1984-11-22 00:00:00',2,1,7,2005,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124241247316132412123444441114610111142',NULL,'9999',27.82,1,3,NULL),(16,3206548,'1991-12-17 00:00:00',4,1,12,2008,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122124217471411469911572122610137127',11115,'9998',46.81,1,3,NULL),(16,3206556,'1991-09-05 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431528812572122610123141',10502,'1022',47.90,1,3,NULL),(16,3206564,'1991-07-02 00:00:00',2,5,10,2008,'M','N','DIVINEIA','ARARANGUá','SC','124244241215211711445332112121610164142',15050,'32',39.55,1,3,NULL),(16,3206572,'1989-12-15 00:00:00',4,4,12,2007,'F','N','NOSSA SRA DE LOURDES','STA MARIA','RS','120242241216471431288811576112610142143',2231,'185',66.31,1,3,NULL),(16,3206599,'1989-04-27 00:00:00',2,1,11,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124246241316411721334617275224610153147',NULL,'300',23.31,1,3,NULL),(16,3206602,'1989-01-12 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241215121431246623575124610164142',1372,'270',70.00,1,3,NULL),(16,3206610,'1987-12-16 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241216473411458811572122610124042',9224,'737',50.21,1,3,NULL),(16,3206629,'1991-02-06 00:00:00',4,8,12,2008,'M','N','NOVA BRASíLIA','JARAGUá SUL','SC','124242241216471431468932572124610127092',4708,'491',59.29,3,3,NULL),(16,3206637,'1988-06-27 00:00:00',4,1,11,2008,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124243241117151431236623373124610164047',NULL,'307',0.00,1,3,NULL),(16,3206645,'1991-03-29 00:00:00',2,1,12,2008,'M','N','ABRAãO','FLORIANóPOLIS','SC','124243241215111432436413572124610137117',14671,'1075',40.34,1,3,NULL),(16,3206653,'1991-09-24 00:00:00',4,1,11,2008,'F','N','CENTRO','BIGUAçU','SC','124242241216161431446833575122610128142',14945,'63',39.79,1,3,NULL),(16,3206661,'1991-10-05 00:00:00',4,1,12,2008,'F','N','CENTRO','AURORA','SC','124241241137131431525414245124610137147',NULL,'40',22.34,1,2,1),(16,3206670,'1991-09-07 00:00:00',4,1,11,2008,'M','N','RIO CAVEIRAS','BIGUAçU','SC','124242241215141331373312245122610117112',NULL,'63',22.74,1,3,NULL),(16,3206700,'1992-05-29 00:00:00',4,1,12,2009,'F','S','COQUEIROS','FLORIANóPOLIS','SC','124241241111111431557613574124610134072',NULL,'271',49.14,4,3,NULL),(16,3206718,'1992-12-16 00:00:00',4,4,12,2009,'F','S','CENTRO','CHAPECó','SC','124241241217271431456611472122610163187',NULL,'185',47.34,1,3,NULL),(16,3206726,'1992-07-10 00:00:00',4,1,11,2009,'F','S','SãO FRANCISCO','CURITIBANOS','SC','124241241216151611323333375122610128141',NULL,'881',23.73,1,3,NULL),(16,3206734,'1992-09-25 00:00:00',4,1,12,2009,'M','S','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241216111431469913575122610137042',NULL,'262',63.98,1,3,NULL),(16,3206742,'1988-08-31 00:00:00',4,3,12,2006,'M','N','CENTRO','BAL CAMBORIú','SC','125242241215573751668813575125610164041',3431,'9997',62.58,3,3,NULL),(16,3206750,'1986-09-29 00:00:00',2,1,12,2004,'F','N','PRAIA COMPRIDA','S JOSé','SC','124241241127375431331311285124610164091',12331,'592',44.68,1,2,1),(16,3206769,'1990-07-23 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241126271421353364282124610124172',NULL,'315',23.64,1,2,1),(16,3206777,'1991-02-03 00:00:00',2,10,11,2008,'F','N','DEHON','TUBARãO','SC','124162241215111411348811275122610127182',10626,'807',47.68,1,3,NULL),(16,3206785,'1990-09-13 00:00:00',4,8,12,2008,'F','N','GUANABARA','JOINVILLE','SC','124241241215121431338513572124610136143',8340,'486',51.71,1,3,NULL),(16,3206793,'1991-03-11 00:00:00',4,1,11,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215111432488933432124610167112',987,'270',72.16,1,3,NULL),(16,3206807,'1973-05-23 00:00:00',2,1,11,1990,'M','N','CARIANOS','FLORIANóPOLIS','SC','224244248216135741426643435121120867187',7861,'272',52.67,1,3,NULL),(16,3206815,'1991-08-30 00:00:00',4,2,11,2008,'M','N','CARAVáGIO','RIO CEDROS','SC','124241241216171431456935575125610137072',2033,'1157',67.08,1,3,NULL),(16,3206823,'1958-11-30 00:00:00',4,1,11,1977,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','224241243212133131356454382112610168144',NULL,'303',28.44,1,3,NULL),(16,3206831,'1991-08-04 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215122431478613575114610112192',5466,'1022',57.56,4,3,NULL),(16,3206840,'1992-06-27 00:00:00',4,1,11,2008,'F','N','SACO DOS LIMÕES','FLORIANóPOLIS','SC','124242248215111731357723592124610127142',NULL,'266',29.44,1,3,NULL),(16,3206858,'1990-06-26 00:00:00',2,1,11,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241217472431538834371124610167047',7363,'269',53.60,1,3,NULL),(16,3206866,'1990-11-02 00:00:00',4,3,12,2007,'M','N','SANTA ROSA','PTO UNIãO','SC','124242241215371431447934572122243237012',NULL,'632',26.78,1,3,NULL),(16,3206874,'1988-11-24 00:00:00',2,1,12,2006,'F','N','SERRARIA','S JOSé','SC','124241241112131131636614342334610122097',NULL,'184',21.18,1,3,NULL),(16,3206882,'1992-06-25 00:00:00',2,1,11,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241215111731368933595122610124042',NULL,'262',42.17,1,3,NULL),(16,3206890,'1991-06-12 00:00:00',2,1,12,2008,'F','N','BELA VISTA','S JOSé','SC','124242241215121231444614345114610125147',12649,'1022',44.08,1,3,NULL),(16,3206904,'1990-09-28 00:00:00',4,1,12,2007,'M','N','PRAINHA','FLORIANóPOLIS','SC','124244241215372431454623142112610124062',7176,'1050',53.96,1,3,NULL),(16,3206912,'1990-05-02 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241117152412446314382124610112145',NULL,'257',21.99,4,1,1),(16,3206920,'1991-12-08 00:00:00',2,1,12,2008,'M','N','VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC','124243243216111431434334345124610117147',NULL,'1014',20.13,1,3,NULL),(16,3206939,'1990-03-16 00:00:00',4,1,11,2007,'M','N','JD DAS INDúSTRIAS','S JOSé CAMPOS','SP','125252256216151441479914442121610127092',2135,'9998',66.65,1,3,NULL),(16,3206947,'1982-06-09 00:00:00',2,1,12,1999,'M','N','JARDIM CARANDAI','BIGUAçU','SC','124133131117574111457644245132141012051',NULL,'9998',32.05,1,3,NULL),(16,3206955,'1991-06-02 00:00:00',4,2,12,2008,'F','N','VALPARAíSO','BLUMENAU','SC','124242241217111431666632175122610122147',6096,'87',56.14,1,3,NULL),(16,3206971,'1992-05-05 00:00:00',4,8,12,2008,'M','N','ATIRADORES','JOINVILLE','SC','124242241215111431459513575112610132092',41,'491',82.62,1,3,NULL),(16,3206980,'1987-07-03 00:00:00',4,1,12,2004,'M','N','SANTA MONICA','FLORIANóPOLIS','SC','124242241215573431489914575122120267097',1230,'270',70.79,1,3,NULL),(16,3206998,'1991-12-12 00:00:00',4,4,12,2008,'M','N','GISELA','TOLEDO','PR','116162161215121431364824272121610124062',1892,'9998',67.62,1,3,NULL),(16,3207005,'1991-06-14 00:00:00',4,4,12,2008,'M','N','JARDIM ITALIA','CHAPECó','SC','124241241117131431458832425125610128186',16602,'169',34.78,1,2,1),(16,3207013,'1989-05-05 00:00:00',2,1,12,2006,'M','N','CEDRO','JUQUIá','SP','125252251217571431553412575124610137017',2129,'9998',66.67,1,3,NULL),(16,3207021,'1988-06-09 00:00:00',4,1,12,2005,'F','N','GONZAGA','SANTOS','SP','125252251217571431348824595112143264187',NULL,'9998',0.00,1,3,NULL),(16,3207030,'1992-10-17 00:00:00',4,5,12,2009,'M','S','CENTRO','CRICIúMA','SC','124242241215151432468712577115610167071',NULL,'213',53.44,1,3,NULL),(16,3207048,'1991-11-12 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124241241215141231341121292115610167117',NULL,'44',36.02,4,3,NULL),(16,3207056,'1990-02-07 00:00:00',2,4,12,2007,'M','N','EFAPI','CHAPECó','SC','124241241137131431543339195124610167147',NULL,'184',26.12,4,2,1),(16,3207064,'1991-01-12 00:00:00',4,7,7,2008,'M','N','CENTRO','CAMPOS NOVOS','SC','124244241436151721447612315122230262142',NULL,'138',18.61,1,3,NULL),(16,3207072,'1991-09-01 00:00:00',4,8,12,2008,'F','N','COMASA','JOINVILLE','SC','124243241141271331436664295124610162147',NULL,'469',26.37,1,3,NULL),(16,3207080,'1991-03-31 00:00:00',2,5,12,2008,'F','N','CENTRO','CRICIúMA','SC','124241241215111431633419575124610144147',5662,'226',57.15,1,3,NULL),(16,3207099,'1992-09-25 00:00:00',4,1,11,2009,'M','S','CAMPINAS','S JOSé','SC','124242241215111431336631575114610127092',NULL,'270',39.70,1,3,NULL),(16,3207102,'1990-04-17 00:00:00',2,1,12,2008,'M','N','SERRARIA','S JOSé','SC','124244241415111431456914345124610137112',16624,'868',34.65,1,3,NULL),(16,3207110,'1990-11-09 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124241241112371432423314575124230722013',15490,'257',38.57,1,2,1),(16,3207137,'1991-04-14 00:00:00',4,8,12,2008,'M','N','ATIRADORES','JOINVILLE','SC','124242241215111231478834572112610127042',8071,'1063',52.28,1,3,NULL),(16,3207145,'1990-09-08 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215234431635673391324610126092',10533,'1022',47.86,1,3,NULL),(16,3207153,'1991-07-02 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215473431566812572112610121192',923,'270',72.56,1,3,NULL),(16,3207161,'1992-05-16 00:00:00',4,10,12,2008,'F','N','AEROPORTO','TUBARãO','SC','124242241215111441489812572112610136196',8353,'807',51.68,1,3,NULL),(16,3207170,'1991-07-12 00:00:00',4,1,12,2008,'M','N','ZONA SETE','MARINGá','PR','116162161217111432569934175114610161092',3709,'9998',61.81,3,3,NULL),(16,3207188,'1991-10-30 00:00:00',4,10,12,2008,'F','N','OFICINAS','TUBARãO','SC','124242241214151431459713572122610164142',10680,'809',47.60,2,1,2),(16,3207196,'1989-04-30 00:00:00',4,1,12,2006,'M','N','MORRO DA BINA','BIGUAçU','SC','124241241116132431433619495122231414062',11070,'65',46.89,1,2,1),(16,3207200,'1986-03-07 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241216155411238823385124230267047',10791,'262',47.39,1,3,NULL),(16,3207218,'1991-09-21 00:00:00',4,1,11,2008,'M','N','CENTRO','CONCóRDIA','SC','124242241214131531448619274115610126182',7103,'1000',54.10,1,3,NULL),(16,3207234,'1991-09-06 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215111731436619372124610128077',14048,'723',41.55,1,3,NULL),(16,3207242,'1990-09-23 00:00:00',2,7,10,2008,'F','N','BELA VISTA','PIMENTA BUENO','RO','122222221217151431449714372122610141142',8577,'9998',51.30,1,3,NULL),(16,3207250,'1989-10-25 00:00:00',2,1,11,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241144471731526621381124610164041',NULL,'225',21.72,3,3,NULL),(16,3207269,'1991-05-24 00:00:00',4,1,12,2008,'F','N','PROGRESSO','RIO SUL','SC','124242241215123411456522274122610153097',631,'991',74.70,1,3,NULL),(16,3207277,'1991-04-04 00:00:00',4,1,12,2008,'M','N','CENTRO','RIO BRILHANTE','MS','112122121216111331248833575124610167012',1642,'9998',68.72,1,3,NULL),(16,3207285,'1991-01-28 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244247217151731458729395124610127056',NULL,'9999',23.63,1,3,NULL),(16,3207293,'1991-08-31 00:00:00',4,2,12,2008,'M','N','CENTRO','TIMBó','SC','124241241215111431488812595121610136172',11846,'1157',45.56,1,3,NULL),(16,3207307,'1991-05-21 00:00:00',4,1,12,2008,'F','N','COLONIA SANTANA','S JOSé','SC','124241241125151431423313342124610124052',NULL,'869',25.47,1,2,1),(16,3207315,'1990-05-14 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANóPOLIS','SC','124243241415472431456712575124610111191',4155,'269',60.62,1,3,NULL),(16,3207331,'1991-10-04 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124203247211111431325624571124610166042',NULL,'9999',31.97,1,3,NULL),(16,3207340,'1987-10-24 00:00:00',4,4,12,2004,'M','N','CENTRO','ERECHIM','RS','120201201116371531325335435114140827047',13345,'9998',42.89,1,2,1),(16,3207382,'1991-06-19 00:00:00',4,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117271431536639271122610133072',NULL,'772',21.69,1,3,NULL),(16,3207390,'1991-12-16 00:00:00',4,5,12,2008,'F','N','FIGUEIRA','URUSSANGA','SC','124241246216131431558913575124610166077',NULL,'188',23.36,1,3,NULL),(16,3207404,'1991-09-22 00:00:00',4,9,11,2008,'M','N','CENTRO','VIDEIRA','SC','124242241416151431247923125122610167142',6882,'831',54.52,1,3,NULL),(16,3207420,'1984-07-27 00:00:00',2,1,12,2002,'M','N','KOBRASOL','S JOSé','SC','124241247424373441445313235114131057185',NULL,'9999',22.12,2,1,2),(16,3207439,'1991-12-28 00:00:00',2,1,12,2008,'F','N','FORQUILHAS','S JOSé','SC','124241241115151431523434572124610137052',14847,'733',39.99,1,3,NULL),(16,3207447,'1990-10-16 00:00:00',4,1,11,2008,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124242241235271431456631575124610162191',3866,'262',61.42,1,3,NULL),(16,3207455,'1989-10-14 00:00:00',4,1,12,2006,'F','N','RIO BRANCO','PTO ALEGRE','RS','120202201217571431469911571122140443182',937,'9998',72.43,1,3,NULL),(16,3207463,'1988-10-12 00:00:00',4,1,12,2005,'F','N','CENTRO','BIGUAçU','SC','124243241212373431544631375124120767032',8962,'270',50.65,1,3,NULL),(16,3207471,'1990-03-22 00:00:00',4,1,12,2007,'M','N','SETOR BELA VISTA','GOIâNIA','GO','109092271216471441568921575122610132092',6744,'9998',54.78,1,3,NULL),(16,3207480,'1991-02-15 00:00:00',4,1,10,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241215131431436631172124610164017',3291,'723',63.02,1,3,NULL),(16,3207498,'1990-04-26 00:00:00',2,9,12,2007,'M','N','PROGRESSO','BENTO GONçALVES','RS','120202201216471431459914472112610137042',6699,'9998',54.86,1,3,NULL),(16,3207501,'1990-09-27 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241345141331626528286224610137077',16281,'257',36.42,1,3,NULL),(16,3207510,'1990-08-13 00:00:00',4,6,12,2008,'M','N','BOMBAS','BOMBINHAS','SC','124244241417131411536821575121610144097',11901,'781',45.46,4,3,NULL),(16,3207536,'1991-04-23 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241115272431369913591124610127052',1204,'267',70.89,1,2,1),(16,3207544,'1991-08-21 00:00:00',4,1,11,2008,'M','N','IPIRANGA','S JOSé','SC','124241241115211411537319491122610142147',NULL,'734',16.95,1,3,NULL),(16,3207552,'1989-07-06 00:00:00',2,4,12,2006,'F','N','CENTRO','IVATé','PR','116161161117571431546823585122610146197',10698,'9998',47.56,1,2,1),(16,3207560,'1990-04-24 00:00:00',4,1,12,2007,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241117372731558413475124610114012',3909,'306',61.30,1,3,NULL),(16,3207579,'1990-11-28 00:00:00',4,1,12,2008,'M','N','JD N CAMPOS ELISEOS','CAMPINAS','SP','125252256117371431645614385124610167087',NULL,'9998',24.48,4,1,2),(16,3207587,'1956-08-14 00:00:00',2,1,12,1975,'F','N','INGLESES','FLORIANóPOLIS','SC','224203201516152441555551495125543052144',14218,'9998',41.20,1,3,NULL),(16,3207595,'1989-10-26 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215473431446614574114223226182',3778,'270',61.65,1,3,NULL),(16,3207609,'1991-04-26 00:00:00',2,10,11,2008,'M','N','OFICINAS','TUBARAO','SC','124242241415111431566632225125610137043',8944,'807',50.67,1,3,NULL),(16,3207617,'1991-08-06 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431488911574122610145142',2444,'270',65.55,1,3,NULL),(16,3207625,'1989-12-11 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124252251216271741256611575124610164011',7751,'9998',52.87,1,3,NULL),(16,3207633,'1990-06-30 00:00:00',2,1,12,2008,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241217272431458834345124610128052',8709,'737',51.06,1,3,NULL),(16,3207641,'1989-10-11 00:00:00',4,1,12,2007,'F','N','ABRAãO','FLORIANóPOLIS','SC','124244241116372411338632341124610165143',8814,'267',50.87,1,3,NULL),(16,3207650,'1991-09-09 00:00:00',2,9,12,2008,'F','N','SãO CRISTóVãO','LAGES','SC','124241241115371451446613275122610132177',NULL,'513',31.51,1,3,NULL),(16,3207668,'1991-02-16 00:00:00',4,1,12,2008,'F','N','FRAGATA','PELOTAS','RS','120204201237131311358817275122610164123',NULL,'9998',24.14,1,3,NULL),(16,3207676,'1991-12-27 00:00:00',2,1,12,2008,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124243241215371421648613575124610133112',15246,'262',39.10,1,3,NULL),(16,3207684,'1990-07-19 00:00:00',4,5,7,2008,'M','N','CENTRO','CRICIúMA','SC','124244241415271431459513375122610162177',13563,'995',42.52,1,3,NULL),(16,3207692,'1991-08-16 00:00:00',2,4,12,2008,'M','N','CENTRO','FAXINAL GUEDES','SC','124241241347131441225624242125610138052',NULL,'255',31.16,1,3,NULL),(16,3207706,'1990-01-18 00:00:00',2,5,12,2007,'M','N','SãO LUIZ','CRICIúMA','SC','124241241117472431328624545125610167042',8031,'209',52.36,1,2,1),(16,3207714,'1991-05-15 00:00:00',2,1,12,2008,'M','N','BARRA DO SAMBAQUI','FLORIANóPOLIS','SC','124241241315121431437613575124610128182',NULL,'1022',21.59,1,3,NULL),(16,3207722,'1991-01-23 00:00:00',4,4,12,2008,'F','N','JARDIM PRIMAVERA','PATO BRANCO','PR','116161161136271431437534385122610135057',NULL,'9998',26.63,1,3,NULL),(16,3207730,'1991-09-09 00:00:00',4,10,11,2008,'M','N','PROGRESSO','LAGUNA','SC','124242241215111431268923471124610134171',4649,'807',59.44,1,3,NULL),(16,3207749,'1989-01-22 00:00:00',4,1,12,2006,'M','N','ASA NORTE','BRASíLIA','DF','107072071217573411358933375124610147052',3305,'9998',62.97,3,3,NULL),(16,3207757,'1989-02-19 00:00:00',4,8,12,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124241241114271431456623345124610137043',15545,'476',38.44,1,2,1),(16,3207765,'1991-01-02 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241217472411538632142124610133017',4257,'258',60.35,1,3,NULL),(16,3207773,'1991-09-29 00:00:00',2,1,11,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241217121431457933572124610137147',3490,'1022',62.40,1,3,NULL),(16,3207781,'1991-05-01 00:00:00',4,1,11,2008,'F','N','IRIRIU','JOINVILLE','SC','124242241235111531246834275124610127147',8066,'486',52.29,1,3,NULL),(16,3207790,'1987-12-29 00:00:00',4,8,11,2005,'M','N','BARRA SUL','BAL CAMBORIú','SC','124202241215514431369712572122232414092',4013,'1026',61.04,1,3,NULL),(16,3207803,'1990-10-15 00:00:00',2,4,12,2007,'M','N','MIRANTE','ITA','SC','124241246116141431536631381122230817057',NULL,'196',35.51,1,3,NULL),(16,3207811,'1990-05-25 00:00:00',4,1,12,2007,'M','N','PARQUE SãO PAULO','CASCAVEL','PR','116162161217141231559914345124241964012',NULL,'9998',39.08,1,3,NULL),(16,3207820,'1988-11-23 00:00:00',4,1,11,2005,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','624242241215372732229834375114610164047',3989,'229',61.08,1,3,NULL),(16,3207838,'1991-09-22 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241215171431557613572124610161072',NULL,'988',0.00,1,3,NULL),(16,3207846,'1990-09-10 00:00:00',2,10,11,2007,'M','N','CENTRO','TUBARãO','SC','124242241215372431356614575122610127053',10312,'809',48.23,1,3,NULL),(16,3207854,'1991-08-12 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124241241115161431634511575324610127147',NULL,'17',15.69,1,2,1),(16,3207870,'1989-05-14 00:00:00',4,1,11,2006,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','110011032122332211333254122222322814163',306,'781',77.92,4,3,NULL),(16,3207889,'1984-02-05 00:00:00',2,1,10,2002,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241122135411523411344234610168192',NULL,'307',0.00,3,2,1),(16,3207897,'1990-04-15 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124241241417372751438623575124610128117',NULL,'1036',31.42,1,3,NULL),(16,3207900,'1991-03-27 00:00:00',2,1,12,2008,'M','N','SANTA MONICA','FLORIANóPOLIS','SC','124242241215112411437634385112610127117',14195,'1022',41.25,1,3,NULL),(16,3207919,'1987-09-26 00:00:00',2,1,12,2005,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241116232431325329245123230262182',NULL,'307',26.07,1,2,1),(16,3207927,'1985-09-06 00:00:00',4,1,6,2005,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124252241337323212238829292124610164097',NULL,'306',0.00,1,3,NULL),(16,3207935,'1990-02-07 00:00:00',4,1,12,2007,'F','N','VILA PRUDENTE','S PAULO','SP','125252251215471411458811385112610151077',14789,'9998',40.09,1,3,NULL),(16,3207943,'1991-03-14 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215212432446623572222610114192',11906,'1022',45.44,1,3,NULL),(16,3207951,'1970-02-04 00:00:00',2,1,12,1989,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','224241245127163421466153372112610164145',NULL,'158',22.14,1,2,1),(16,3207978,'1986-06-26 00:00:00',2,2,12,2003,'F','N','ENCANO','INDAIAL','SC','124241241117272421334614382124133231097',7474,'365',53.36,1,2,1),(16,3207986,'1991-01-24 00:00:00',2,7,12,2008,'F','N','IMIGRANTES','ZORTéA','SC','124241241125151731357933335122610137053',NULL,'849',19.65,1,3,NULL),(16,3208001,'1989-12-13 00:00:00',4,7,11,2008,'M','N','SANTA TEREZINHA','NOVA ANDRADINA','MS','112121121217371421548439392222610112032',NULL,'9998',0.00,1,3,NULL),(16,3208010,'1991-05-14 00:00:00',4,3,12,2008,'F','N','JARDIM HARMONIA','UMUARAMA','PR','116162161215121531245823572112610123197',10146,'9998',48.53,3,3,NULL),(16,3208028,'1989-12-13 00:00:00',2,7,12,2006,'F','N','REBOUçAS','CURITIBA','PR','116201241217513751456613576125610162147',3735,'446',61.75,4,3,NULL),(16,3208036,'1990-07-27 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124244241235132421246923575124610147042',7607,'266',53.13,1,3,NULL),(16,3208044,'1985-10-03 00:00:00',4,1,12,2003,'F','N','BALNEARIO','FLORIANóPOLIS','SC','124251251117573431436614472124610124042',3486,'9998',62.41,1,2,1),(16,3208052,'1974-12-24 00:00:00',2,1,12,1994,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','224201208127271411333443232132610136187',3575,'9998',62.15,1,2,1),(16,3208060,'1991-03-18 00:00:00',2,1,12,2008,'M','N','CAIEIRA BARRA SUL','FLORIANóPOLIS','SC','124241241215111431558733575124610124043',NULL,'1022',38.33,1,3,NULL),(16,3208079,'1991-06-14 00:00:00',4,1,12,2007,'F','N','CENTRO','CONCóRDIA','SC','124242241215472431459934575124610113182',666,'1047',74.44,1,3,NULL),(16,3208087,'1988-06-22 00:00:00',4,2,12,2005,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241116372431334614575114143262141',2229,'69',66.31,1,2,1),(16,3208095,'1989-12-29 00:00:00',2,1,12,2007,'M','N','SERRINHA','FLORIANóPOLIS','SC','124241248136331411426634345234610164191',NULL,'298',32.96,4,3,NULL),(16,3208109,'1991-07-29 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241115131431333334242221610127187',NULL,'288',0.00,1,2,1),(16,3208117,'1982-06-27 00:00:00',4,1,1,2006,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124243247321132731425513211324610124092',NULL,'9999',21.09,2,1,2),(16,3208125,'1991-04-12 00:00:00',4,4,12,2008,'F','N','INDUSTRIAL','SEARA','SC','124241241126371731556612395122610126072',NULL,'169',30.56,1,2,1),(16,3208133,'1991-05-12 00:00:00',2,4,12,2008,'F','N','CENTRO','NOVA ITABERABA','SC','124241241126141431428832345122610124147',15615,'573',38.27,1,2,1),(16,3208141,'1990-09-06 00:00:00',2,1,12,2008,'F','N','BELA VISTA','S JOSé','SC','124241241135131431335621492224612236142',NULL,'257',29.07,1,2,1),(16,3208150,'1990-11-14 00:00:00',2,1,12,2008,'F','N','ITACURUBI','FLORIANóPOLIS','SC','124242241215572451355824571122133227097',10688,'1118',47.59,1,3,NULL),(16,3208168,'1988-06-13 00:00:00',2,1,12,2005,'F','N','CENTRO','ITUPORANGA','SC','124241241226374431536611345122610161147',11297,'414',46.47,1,3,NULL),(16,3208176,'1984-11-06 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241316274411626618485124222956172',14595,'471',40.52,1,3,NULL),(16,3208184,'1992-04-24 00:00:00',4,1,12,2009,'F','S','CENTRO','TIJUCAS','SC','124242241212151431469914575122610136147',NULL,'1119',45.05,1,3,NULL),(16,3208192,'1979-11-21 00:00:00',4,1,10,2005,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124243217247271431536833382224610128167',NULL,'9998',26.25,1,3,NULL),(16,3208214,'1991-09-04 00:00:00',4,4,12,2008,'F','N','INTERIOR','BOM J OESTE','SC','124241241115161751513379582324610126057',14206,'94',41.23,1,2,1),(16,3208222,'1990-04-15 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124241241232372431426311495134610123057',15592,'1036',38.33,1,3,NULL),(16,3208230,'1992-01-06 00:00:00',2,9,12,2008,'M','N','CENTRO','CALMON','SC','124241242116371441656913575124610116052',NULL,'662',25.97,1,2,1),(16,3208257,'1989-02-22 00:00:00',4,1,12,2006,'F','N','JD DO LAGO','CAMPINAS','SP','125251253417571431457911385124610164144',NULL,'9998',0.00,1,3,NULL),(16,3208265,'1991-07-18 00:00:00',2,4,12,2008,'M','N','INTERIOR','CEL MARTINS','SC','124241241117151431533316572224610127147',NULL,'200',22.93,1,2,1),(16,3208273,'1978-11-14 00:00:00',2,7,12,1996,'M','N','MARAFON','VIDEIRA','SC','124241243126152411324436292122120512012',NULL,'831',44.84,1,2,1),(16,3208281,'1990-12-09 00:00:00',2,4,12,2008,'F','N','JARDIM BELA VISTA','ITAPIRANGA','SC','125241241335131431426354345125610123057',NULL,'1060',23.64,1,3,NULL),(16,3208290,'1990-09-12 00:00:00',4,1,11,2007,'F','N','BORTOT','PATO BRANCO','PR','116162161416371431335612275114143242173',NULL,'9998',0.00,1,3,NULL),(16,3208303,'1991-04-21 00:00:00',2,5,11,2008,'F','N','CENTRO','BAL ARROIO SILVA','SC','124242241215111431324659595114610164072',NULL,'32',26.78,1,3,NULL),(16,3208320,'1991-06-10 00:00:00',2,5,11,2008,'M','N','MORRO DOS CONVENTOS','ARARANGUá','SC','124242241215111321436833572112610117082',NULL,'32',23.92,1,3,NULL),(16,3208338,'1983-12-07 00:00:00',4,1,12,2001,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241144155421333314281112331864091',NULL,'307',0.00,1,2,1),(16,3208346,'1987-09-13 00:00:00',4,1,12,2004,'M','N','CENTRO','CARLóPOLIS','PR','116161161136151411543523445121242262141',NULL,'9998',25.53,1,3,NULL),(16,3208354,'1987-01-06 00:00:00',4,1,12,2004,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217274431358821481124133236182',10079,'269',48.63,1,3,NULL),(16,3208362,'1990-10-09 00:00:00',2,10,12,2008,'M','N','RIO DO MEIO','STA ROSA LIMA','SC','124241241125271431523315152324610127057',NULL,'688',30.35,1,2,1),(16,3208370,'1987-11-26 00:00:00',4,1,12,2004,'M','N','MONTE CASTELO','CPO GRANDE','MS','112124128436212131458832495122610117091',NULL,'9998',0.00,1,3,NULL),(16,3208389,'1991-02-05 00:00:00',4,6,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215112431458914575122610124142',13035,'1038',43.44,1,3,NULL),(16,3208397,'1991-05-23 00:00:00',4,9,12,2008,'F','N','COLINA VERDE','VIDEIRA','SC','124242241212111431459614572122610146092',4273,'969',60.31,1,3,NULL),(16,3208400,'1990-01-29 00:00:00',2,5,11,2007,'M','N','CENTRO','CRICIúMA','SC','124072241216152431479714435124231064042',NULL,'9997',0.00,4,3,NULL),(16,3208419,'1985-11-24 00:00:00',4,1,12,2002,'F','N','KOBRASOL','S JOSé','SC','124243241216374431536613395134221118117',3659,'1076',61.93,1,3,NULL),(16,3208427,'1991-12-27 00:00:00',2,1,12,2008,'M','N','FORQUILHINHA','S JOSé','SC','124241241117131431624311292224610137142',15431,'941',38.70,1,3,NULL),(16,3208435,'1989-07-26 00:00:00',4,8,12,2006,'M','N','ILHA DA FIGUEIRA','JARAGUá SUL','SC','124241241116372431346314345113610135147',15167,'430',39.27,1,2,1),(16,3208443,'1990-02-20 00:00:00',4,1,12,2007,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124241241316372441334623345124610166147',10375,'300',48.12,1,3,NULL),(16,3208451,'1991-06-20 00:00:00',2,4,12,2008,'M','N','CENTRO','MISSAL','PR','116165161136131431426632222222610137141',13926,'9998',41.80,1,3,NULL),(16,3208460,'1990-04-08 00:00:00',4,1,12,2007,'F','N','JARDIM ELDORADO','PALHOçA','SC','124241241225132711533334341333610124097',NULL,'262',27.20,1,3,NULL),(16,3208478,'1992-03-10 00:00:00',2,1,12,2008,'F','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124241241115271731434613571124610138142',13606,'288',42.45,1,2,1),(16,3208486,'1976-08-03 00:00:00',2,1,12,1996,'M','N','ROçADO','S JOSé','SC','124241051227171731436844341334141037067',NULL,'9998',22.95,1,3,NULL),(16,3208494,'1990-05-17 00:00:00',4,8,12,2007,'M','N','VILA PROGRESSO','JUNDIAí','SP','125252251217472431477614571112610167102',14734,'9998',40.21,1,3,NULL),(16,3208508,'1990-12-10 00:00:00',4,1,12,2008,'M','N','JARDIM DAS COLINAS','S JOSé CAMPOS','SP','125252251217111431536612325122610167051',11977,'9998',45.30,1,3,NULL),(16,3208516,'1984-09-03 00:00:00',4,1,12,2003,'F','N','RIO CAVEIRAS','BIGUAçU','SC','124241241217133751515311442344610161081',NULL,'63',27.30,1,3,NULL),(16,3208524,'1990-07-23 00:00:00',4,8,12,2007,'M','N','CENTRO','S BENTO SUL','SC','124243241416272412437613475124610162127',NULL,'974',0.00,1,3,NULL),(16,3208532,'1989-04-17 00:00:00',2,1,12,2006,'M','N','ASA NORTE','BRASíLIA','DF','107073071217572231558833272122610132097',1071,'9998',71.61,1,3,NULL),(16,3208540,'1991-09-05 00:00:00',4,1,11,2008,'M','N','SETOR BUENO','GOIâNIA','GO','109092091217111431558811572122610132182',1144,'9998',71.23,1,3,NULL),(16,3208559,'1991-04-17 00:00:00',4,5,12,2008,'M','N','PIO CORREA','CRICIúMA','SC','124242241215111431468832475112610164112',11652,'211',45.91,1,3,NULL),(16,3208567,'1991-09-09 00:00:00',2,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241237271431589713275124610167057',8991,'273',50.60,1,3,NULL),(16,3208583,'1986-09-18 00:00:00',4,1,11,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241211372411387814595122231467042',5095,'269',58.40,1,3,NULL),(16,3208591,'1991-03-07 00:00:00',2,1,12,2008,'F','N','SANTA CRUZ','RIBEIRãO PRETO','SP','125252251217111431238524272122610144097',NULL,'9998',42.43,1,3,NULL),(16,3208605,'1991-12-02 00:00:00',4,1,11,2008,'F','N','JARDIM AQUáRIUS','PALHOçA','SC','124241241115371412423431215122610134012',NULL,'591',19.33,1,2,1),(16,3208613,'1980-05-13 00:00:00',1,1,2,1999,'F','N','SAO LOURENçO','CURITIBA','PR','116164161436131731248823385124140264147',NULL,'9999',35.17,1,3,NULL),(16,3208621,'1991-04-26 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215373411445612172122610117062',4361,'273',60.11,1,3,NULL),(16,3208630,'1990-01-22 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431237923572122610154092',13778,'1022',42.11,1,3,NULL),(16,3208656,'1986-08-07 00:00:00',2,1,12,2003,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124244241216272721229813412124333237067',NULL,'752',40.74,1,3,NULL),(16,3208672,'1981-03-23 00:00:00',2,1,12,1998,'F','N','CóRREGOS GRANDE','FLORIANóPOLIS','SC','224242241217271411358652374123132826187',6304,'44',55.67,1,3,NULL),(16,3208680,'1989-02-08 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124242241417111732426612472212610116092',NULL,'592',24.84,1,3,NULL),(16,3208699,'1989-07-21 00:00:00',4,1,12,2007,'F','N','PROLONG PALMITAL','MARíLIA','SP','125251251214471231347833575122610127142',NULL,'9998',0.00,1,3,NULL),(16,3208702,'1988-10-23 00:00:00',2,5,12,2007,'M','N','BAIRRO ENCRUZO','JAGUARUNA','SC','124243248344141431535511242112610117061',NULL,'1096',28.03,1,3,NULL),(16,3208710,'1991-10-09 00:00:00',4,4,12,2008,'F','N','INTERIOR','BOM J OESTE','SC','124241241135161751536416572224610127147',NULL,'94',21.15,1,3,NULL),(16,3208729,'1986-08-02 00:00:00',4,1,12,2006,'M','N','BELA VISTA I','S JOSé','SC','124243241337111711554634435122610164112',NULL,'726',23.10,1,3,NULL),(16,3208737,'1973-07-22 00:00:00',4,1,12,1990,'M','N','TRINDADE','FLORIANóPOLIS','SC','224241241126232711237343235122610134147',NULL,'297',0.00,1,2,1),(16,3208745,'1990-12-29 00:00:00',2,5,12,2008,'F','N','LINHA TORRENS','MRO FUMAçA','SC','124241241145131431423516376324610134142',NULL,'567',26.24,1,2,1),(16,3208753,'1990-02-13 00:00:00',4,1,12,2008,'M','N','SAMBAQUI','FLORIANóPOLIS','SC','124242241232411411558931575124610117082',NULL,'272',37.55,1,3,NULL),(16,3208761,'1988-12-14 00:00:00',4,8,10,2005,'M','N','ATUBA','CURITIBA','PR','116251251115471741357614575114620166187',NULL,'9998',45.26,1,2,1),(16,3208770,'1980-11-07 00:00:00',4,1,12,1998,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124162161212153751138614295122221462181',11160,'9998',46.73,1,3,NULL),(16,3208788,'1990-08-31 00:00:00',2,9,12,2007,'F','N','CENTRO','S JOAQUIM','SC','124242241417472731448853592314610127077',7255,'1022',53.80,1,3,NULL),(16,3208800,'1989-10-07 00:00:00',4,1,12,2006,'M','N','CACUPé','FLORIANóPOLIS','SC','124244241317153431459931385124231867061',3021,'1098',63.73,1,3,NULL),(16,3208818,'1991-12-20 00:00:00',4,1,12,2008,'F','N','VIGOLO','NOVA TRENTO','SC','124241241136161731533329192224610167057',NULL,'574',18.87,1,3,NULL),(16,3208826,'1991-09-27 00:00:00',4,8,12,2008,'F','N','REBOUçAS','CURITIBA','PR','116163161215111431246834574344610144027',NULL,'9998',0.00,1,3,NULL),(16,3208834,'1990-11-22 00:00:00',4,7,12,2007,'M','N','FLORESTA','VIDEIRA','SC','124241241116331731438824575124610147093',12465,'831',44.45,1,2,1),(16,3208850,'1984-06-27 00:00:00',2,1,11,2004,'M','N','JARDIM ELCALIPTOS','PALHOçA','SC','124241241225331732326644246332610116142',NULL,'596',35.23,4,3,NULL),(16,3208869,'1989-04-12 00:00:00',2,3,11,2007,'F','N','CENTRO','CPO LARGO','PR','116162167215411431436614442114610114092',NULL,'9998',21.76,1,3,NULL),(16,3208877,'1990-03-14 00:00:00',2,8,12,2007,'F','N','CAJURU','CURITIBA','PR','116163161115471451636733575114610166097',NULL,'9998',42.03,1,3,NULL),(16,3208885,'1989-03-20 00:00:00',4,3,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161217371741547835575124140324092',11099,'9998',46.84,1,3,NULL),(16,3208893,'1988-08-21 00:00:00',4,1,12,2005,'M','N','JD NS SRA AUXILIADOR','CAMPINAS','SP','125254256117571331469934385124143267187',9448,'9998',49.82,1,3,NULL),(16,3208915,'1980-12-24 00:00:00',2,1,12,2000,'F','N','CAEIRA SACO LIMõES','FLORIANóPOLIS','SC','124241241137471412333329441334610141145',NULL,'281',29.78,2,1,1),(16,3208923,'1990-11-27 00:00:00',2,7,12,2008,'M','N','CENTRO','OURO','SC','124241242117131411224329392324610137187',NULL,'196',29.28,1,2,1),(16,3208931,'1981-08-13 00:00:00',2,1,12,2000,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','524241241116272421126348282314610112097',NULL,'307',0.00,1,2,1),(16,3208940,'1989-08-02 00:00:00',4,4,12,2006,'F','N','CENTRO','CHAPECó','SC','124161241117131242638319382124610147077',NULL,'169',21.99,1,2,1),(16,3208974,'1991-10-31 00:00:00',2,4,12,2008,'M','N','COHAB','RIQUEZA','SC','124241241115131431334923332124610127157',NULL,'674',16.55,1,2,1),(16,3208990,'1989-01-20 00:00:00',2,1,12,2006,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241146133721523314342124610166147',NULL,'288',29.29,1,3,NULL),(16,3209008,'1982-06-05 00:00:00',2,1,11,1999,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124201203127151431423344342334610164077',12079,'9998',45.13,4,1,1),(16,3209016,'1987-09-29 00:00:00',4,1,11,2004,'F','N','PIO CORREIA','CRICIúMA','SC','124242241212374431546712282324132668047',15324,'211',38.92,1,3,NULL),(16,3209024,'1991-11-24 00:00:00',4,1,12,2008,'M','N','ROçADO','S JOSé','SC','124241241215121431236923575124610134067',15515,'1036',38.51,1,3,NULL),(16,3209032,'1990-08-15 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124114201316371431243815271124610147072',NULL,'9998',0.00,1,3,NULL),(16,3209040,'1971-08-24 00:00:00',4,1,8,1996,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124241247116143411327273341124610111181',NULL,'289',21.61,1,3,NULL),(16,3209075,'1991-06-06 00:00:00',4,4,12,2008,'M','N','SAO FCO DE ASSIS','DOIS VIZINHOS','PR','116164161236371411436616571125610167044',NULL,'9998',0.00,1,3,NULL),(16,3209091,'1991-07-13 00:00:00',4,1,12,2008,'F','N','JARDIM MARINGá','ITAPEVA','SP','125253251217131451428614472123610122142',16418,'9998',35.83,1,3,NULL),(16,3209105,'1990-03-30 00:00:00',4,1,12,2007,'M','N','SETOR OESTE','GOIâNIA','GO','109092091217471431468611572122610168182',NULL,'9998',0.00,1,3,NULL),(16,3209113,'1951-05-04 00:00:00',2,1,6,2008,'M','N','CENTRO','PALHOçA','SC','224241247632141751223343432334610157047',NULL,'9999',0.00,4,3,NULL),(16,3209121,'1979-12-01 00:00:00',4,8,12,1996,'F','N','ACARAI','S FRANCISCO SUL','SC','124241241116131411325743231124332228142',NULL,'425',0.00,1,3,NULL),(16,3209130,'1991-04-08 00:00:00',2,10,12,2008,'F','N','MATA VERDE','STA ROSA LIMA','SC','124241241115161431436336262123610147057',NULL,'688',22.90,1,2,1),(16,3209156,'1990-11-26 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241147212431433633172114610117047',16667,'285',34.13,2,3,NULL),(16,3209180,'1986-08-26 00:00:00',2,1,1,2004,'F','N','CENTRO','ITAARA','RS','120203201116131411317621391324242725057',11776,'9998',45.68,4,3,NULL),(16,3209210,'1992-03-13 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241215112431438714575124610163112',6457,'1022',55.35,1,3,NULL),(16,3209229,'1958-05-07 00:00:00',4,1,12,1977,'F','N','CENTRO','FLORIANóPOLIS','SC','524202201216151711477574445132141061195',NULL,'9998',27.27,1,3,NULL),(16,3209237,'1991-06-17 00:00:00',4,2,11,2008,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241125151432448413342124610143182',15727,'83',38.00,1,3,NULL),(16,3209245,'1990-03-14 00:00:00',4,1,12,2006,'F','N','VILA ORIENTE','CPO GRANDE','MS','112121121237261331457923575122610163182',9049,'9998',50.50,1,3,NULL),(16,3209261,'1991-10-08 00:00:00',4,6,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215371431458912595124610126042',14027,'1038',41.60,4,3,NULL),(16,3209270,'1988-11-01 00:00:00',2,1,2,2005,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241417262431538561572112610123017',15692,'299',38.09,1,3,NULL),(16,3209300,'1990-02-08 00:00:00',2,1,11,2007,'M','N','BARREIROS','S JOSé','SC','124242241212142732448314342124610147047',NULL,'738',29.76,2,3,NULL),(16,3209318,'1990-04-06 00:00:00',4,1,1,2009,'F','N','CENTRO','CRUZ ALTA','RS','120202201317371431338631572122610154052',14653,'9998',40.38,1,3,NULL),(16,3209326,'1976-11-23 00:00:00',4,1,12,1993,'F','N','TRINDADE','FLORIANóPOLIS','SC','224201241116233421347854485122321564112',15830,'307',37.67,3,2,1),(16,3209350,'1989-12-02 00:00:00',4,1,11,2007,'M','N','RESERVA','S SEBASTIãO','SP','125252251216473431269831571342610167057',4933,'9998',58.79,4,3,NULL),(16,3209377,'1990-10-06 00:00:00',2,9,12,2007,'M','N','GLORIA','VACARIA','RS','120204201416362231356614572122610114047',NULL,'9998',32.55,1,3,NULL),(16,3209385,'1991-03-04 00:00:00',2,3,12,2008,'F','N','LARANJEIRAS','RIO SUL','SC','124241241115371731633632191122610124145',NULL,'657',0.00,1,2,1),(16,3209393,'1988-11-07 00:00:00',4,1,12,2006,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241216213711356674295124231024042',NULL,'270',10.08,1,3,NULL),(16,3209407,'1989-10-20 00:00:00',2,8,12,2006,'M','N','ORFANS','PNT GROSSA','PR','116162161214571431466732571122610122142',NULL,'9998',0.00,1,3,NULL),(16,3209415,'1991-08-29 00:00:00',4,8,11,2008,'F','N','IRIRIU','JOINVILLE','SC','124242241215111432469631575124610114041',3029,'486',63.71,1,3,NULL),(16,3209423,'1987-02-18 00:00:00',2,1,12,2005,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124243241145473431668613472114610121145',NULL,'298',16.34,3,3,NULL),(16,3209431,'1982-05-22 00:00:00',4,1,12,2000,'M','N','BARREIROS','S JOSé','SC','124241241122271431443634382223610168181',NULL,'257',39.99,1,3,NULL),(16,3209440,'1989-07-24 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124242241215574431438813592124610122141',3648,'270',61.96,1,3,NULL),(16,3209458,'1990-06-12 00:00:00',4,10,11,2008,'M','N','CENTRO','CAPIVARI BAIXO','SC','124244241216111411656812575124610114142',NULL,'797',42.50,1,3,NULL),(16,3209466,'1989-02-12 00:00:00',2,4,12,2006,'M','N','INDUSTRIARIOS','CONCóRDIA','SC','124241241116133431333614375114610138052',8484,'194',51.43,1,2,1),(16,3209474,'1987-10-31 00:00:00',4,1,11,2005,'F','N','ICARAI','NITERóI','RJ','121212211216571431458819492124242432187',NULL,'9998',0.00,1,3,NULL),(16,3209482,'1989-02-20 00:00:00',4,2,11,2006,'F','N','ATIRADORES','JOINVILLE','SC','124242241211573411468811572122232462012',3346,'461',62.86,1,3,NULL),(16,3209490,'1989-01-09 00:00:00',2,5,12,2006,'F','N','CENTRO','ARARANGUá','SC','124242241217574731678812445122231032146',NULL,'32',0.00,1,3,NULL),(16,3209512,'1990-07-22 00:00:00',2,7,12,2007,'F','N','VILA PEDRINI','JOAçABA','SC','124244241211372431436614572224130433077',6007,'962',56.34,1,3,NULL),(16,3209539,'1991-10-24 00:00:00',4,8,12,2008,'F','N','W RAU','JARAGUá SUL','SC','124241241125151431456534275112610142012',NULL,'432',25.89,1,2,1),(16,3209555,'1990-08-22 00:00:00',4,6,11,2007,'F','N','CENTRO','ITAJAí','SC','124052051216372431379914572122610167092',2781,'9998',64.48,4,3,NULL),(16,3209563,'1987-08-02 00:00:00',4,7,12,2004,'M','N','CENTRO','OURO','SC','124241246116151421333623482112610144147',NULL,'585',27.25,1,3,NULL),(16,3209571,'1991-05-03 00:00:00',4,4,11,2008,'M','N','NOSSA SENHORA APAREC','FRANCISCO BELTRãO','PR','116162161216271731547831575122610167012',10317,'9998',48.23,1,3,NULL),(16,3209580,'1991-08-09 00:00:00',2,6,11,2008,'F','N','CENTRO','S JOAQUIM','SC','124242241216161431458513275122610126017',NULL,'1035',25.72,1,3,NULL),(16,3209598,'1978-11-19 00:00:00',4,1,12,1995,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124201208116472421333344445234140226117',8121,'9998',52.18,1,2,1),(16,3209601,'1991-01-03 00:00:00',2,10,11,2008,'F','N','SãO MARTINHO','TUBARãO','SC','124243241216111411436614575124610166197',NULL,'797',0.00,1,3,NULL),(16,3209610,'1988-08-26 00:00:00',2,1,12,2005,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124201201112374441636721382124610123182',12543,'9998',44.27,1,2,1),(16,3209636,'1990-10-31 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124244247415371431247929575122610112013',NULL,'9999',15.63,1,3,NULL),(16,3209644,'1990-03-31 00:00:00',2,7,12,2007,'F','N','VILA ALEMANHA','LUZERNA','SC','124241241116272431426613575124230631187',4911,'539',58.84,1,2,1),(16,3209652,'1990-06-30 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241215372221568613495114131422095',5453,'1022',57.58,1,3,NULL),(16,3209660,'1990-04-05 00:00:00',4,5,12,2006,'M','N','JARDIM DAS PALMEIRAS','COCAL SUL','SC','124241246215372431343634372122231064092',5092,'188',58.41,1,3,NULL),(16,3209679,'1988-09-24 00:00:00',4,1,12,2005,'F','N','ASA NORTE','BRASILIA','DF','107052051216571431168923474122610123092',364,'9998',77.22,1,3,NULL),(16,3209687,'1964-10-17 00:00:00',2,6,12,1982,'M','N','CENTRO','BAL CAMBORIú','SC','624071073122152711382243137112341168062',NULL,'9998',0.00,4,3,NULL),(16,3209695,'1991-04-07 00:00:00',4,5,12,2008,'F','N','SANGA DA TOCA','ARARANGUá','SC','124241241115111632623336261324610127057',NULL,'29',23.47,1,2,1),(16,3209709,'1989-04-29 00:00:00',2,1,12,2006,'F','N','PASSA VINTE','PALHOçA','SC','124244241212373432355711572124610134182',10625,'1011',47.68,4,3,NULL),(16,3209717,'1992-05-09 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124244241315121431237823572324610124047',6409,'270',55.45,1,3,NULL),(16,3209725,'1990-08-04 00:00:00',2,1,12,2007,'F','N','ALTOS DE IPEUNA','IPEúNA','SP','125252251215371431337839495122610114097',NULL,'9998',0.00,2,3,NULL),(16,3209733,'1990-03-28 00:00:00',2,1,12,2007,'M','N','ARMAçãO','FLORIANóPOLIS','SC','124241241115472431453613485124610127117',NULL,'307',34.59,1,3,NULL),(16,3209741,'1974-10-08 00:00:00',4,1,12,1993,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124241247626271411123343145131610127147',NULL,'9999',25.05,1,3,NULL),(16,3209768,'1990-04-15 00:00:00',2,7,12,2008,'M','N','MORADA DO SOL','CAMPOS NOVOS','SC','124241248215271431438812375122610162052',NULL,'138',0.00,1,3,NULL),(16,3209776,'1986-04-25 00:00:00',4,1,12,2004,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241212145431359939445124230227042',NULL,'270',25.77,1,3,NULL),(16,3209784,'1991-11-26 00:00:00',2,1,12,2008,'M','N','ROçADO','S JOSé','SC','124241241136371431533311585122610127057',12024,'729',45.23,1,2,1),(16,3209806,'1985-08-19 00:00:00',4,8,12,2002,'M','N','ÁGUA SECA','PIRACICABA','SP','125252251216572431566512375122141437182',6802,'9998',54.66,1,3,NULL),(16,3209814,'1991-11-04 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124202241215421431326812576114610133077',14078,'1022',41.49,1,3,NULL),(16,3209822,'1985-07-03 00:00:00',2,1,12,2002,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124241241116271431123448382224132214157',11613,'69',45.97,1,3,NULL),(16,3209857,'1990-02-17 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215473431446514595122610164147',311,'226',77.90,1,3,NULL),(16,3209865,'1955-08-17 00:00:00',2,1,12,1973,'F','N','FLORIANÓPOLIS','FLORIANóPOLIS','SC','524241241316155421232341415134120766097',6185,'307',55.96,1,3,NULL),(16,3209873,'1981-11-29 00:00:00',4,1,11,1999,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241137142421143343435124610162052',11076,'542',46.88,1,2,1),(16,3209881,'1992-01-22 00:00:00',4,1,11,2008,'F','N','JARDIM ATâNTICO','FLORIANóPOLIS','SC','124242241217112431469613572122610137092',1632,'270',68.75,1,3,NULL),(16,3209890,'1982-05-28 00:00:00',2,1,11,2000,'M','N','PANTANAL','FLORIANóPOLIS','SC','124161161126275431311115215334221424057',7570,'9998',53.20,4,2,1),(16,3209903,'1983-04-01 00:00:00',2,1,12,2001,'M','N','RATONES','FLORIANóPOLIS','SC','124202201217271411226628392341143267187',NULL,'9998',8.50,1,3,NULL),(16,3209911,'1991-09-16 00:00:00',2,1,12,2008,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241215271421425514242225610128182',NULL,'1022',30.35,1,3,NULL),(16,3209920,'1991-11-14 00:00:00',4,3,12,2008,'F','N','JARDIM YOLANDA','S JOSé R PRETO','SP','125252251215112421478832575122610111182',NULL,'9998',0.00,1,3,NULL),(16,3209946,'1992-09-17 00:00:00',4,1,12,2009,'F','S','CENTRO','RANCHO QUEIMADO','SC','124241241126151711326613245121610135142',NULL,'649',37.57,1,3,NULL),(16,3209954,'1991-10-02 00:00:00',4,4,11,2008,'F','N','SEMINáRIO','CHAPECó','SC','124244241435271731477932271122610137147',4051,'983',60.93,1,3,NULL),(16,3209962,'1992-02-07 00:00:00',4,1,12,2009,'F','S','BARREIROS','S JOSé','SC','624201241215111731338614125124610133187',NULL,'1118',28.15,1,3,NULL),(16,3209970,'1991-05-21 00:00:00',4,1,12,2008,'M','N','CENTRO','GAROPABA','SC','124241241127161431438313432124610127042',14620,'322',40.46,1,2,1),(16,3209997,'1991-03-01 00:00:00',4,1,12,2008,'F','N','JD AQUARIUS','S JOSé CAMPOS','SP','125042251215471431579811575112610137052',6522,'9998',55.23,4,3,NULL),(16,3210006,'1986-07-09 00:00:00',4,1,12,2003,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215573431437613492124610167055',3014,'262',63.74,1,3,NULL),(16,3210014,'1988-07-03 00:00:00',2,6,12,2005,'M','N','CENTRO','NAVEGANTES','SC','124242241216573431358923575122232427052',NULL,'392',0.00,1,3,NULL),(16,3210022,'1991-04-17 00:00:00',4,1,12,2008,'F','N','JARDIM DOS PRINCIPES','UMUARAMA','PR','116162161215111431378914575122610122192',NULL,'9998',39.57,1,3,NULL),(16,3210057,'1985-04-04 00:00:00',2,1,12,2002,'F','N','MONTE LIBANO','CPO GRANDE','MS','112122121216471431468811482122341346092',5018,'9998',58.57,1,3,NULL),(16,3210065,'1992-03-24 00:00:00',4,4,12,2008,'F','N','MARIA GORETTI','CHAPECó','SC','124242241215271431449812572122610127147',8813,'168',50.87,1,3,NULL),(16,3210073,'1990-07-23 00:00:00',2,1,12,2007,'M','N','SERRARIA','S JOSé','SC','124244241117372431548631222112610118182',NULL,'1116',23.38,1,3,NULL),(16,3210090,'1991-10-20 01:00:00',4,1,11,2008,'F','N','BARREIROS','SAO JOSE','SC','124242245217111331427814572124610137077',NULL,'1078',16.35,1,3,NULL),(16,3210103,'1990-03-07 00:00:00',2,1,12,2007,'F','N','CHACARA CACHOEIRA','CPO GRANDE','MS','112122121216472751456816575122610162093',NULL,'9998',0.00,1,3,NULL),(16,3210111,'1990-04-08 00:00:00',4,1,12,2007,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124241241115271331537614572114610128142',14869,'307',39.95,1,3,NULL),(16,3210120,'1990-05-06 00:00:00',4,8,12,2007,'M','N','CENTRO','LONDRINA','PR','116162161214112431468839571122610117067',13896,'9998',41.86,1,3,NULL),(16,3210146,'1991-04-18 00:00:00',2,1,12,2008,'F','N','CENTRO','ANTôNIO CARLOS','SC','124241241117131431543322576112610137072',NULL,'21',26.52,1,2,1),(16,3210154,'1990-11-01 00:00:00',2,1,11,2008,'M','N','BELA VISTA','S JOSé','SC','124241241215111632344612575122610127143',NULL,'724',0.00,1,3,NULL),(16,3210162,'1991-02-05 00:00:00',4,1,12,2008,'F','N','GUARDA DO CUBATãO','PALHOçA','SC','124243241116271731424659575124610121077',NULL,'307',18.46,1,3,NULL),(16,3210170,'1988-05-12 00:00:00',4,5,12,2005,'F','N','CENTRO','CRICIúMA','SC','124242241215574431568614575112610117092',3397,'226',62.68,1,3,NULL),(16,3210189,'1992-10-22 00:00:00',4,6,12,2009,'M','S','CENTRO','ITAJAí','SC','124242241212151431338833572112610161097',NULL,'394',59.18,1,3,NULL),(16,3210197,'1990-05-18 00:00:00',4,8,12,2007,'M','N','PIRABEIRABA','JOINVILLE','SC','124242241215222431469812572124231427112',5673,'457',57.13,1,3,NULL),(16,3210200,'1991-02-24 00:00:00',3,1,11,2008,'F','N','VILA PROOST DE SOUZA','CAMPINAS','SP','125252251215111731358914595125610112172',NULL,'9998',37.77,1,3,NULL),(16,3210243,'1989-11-13 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124244241215472431434821575124610167052',7579,'270',53.19,1,3,NULL),(16,3210251,'1991-10-12 00:00:00',4,1,12,2008,'F','N','RIO FARIAS','ANTôNIO CARLOS','SC','124241241115131432423436572224610124072',9469,'21',49.78,1,2,1),(16,3210260,'1992-02-10 00:00:00',2,1,12,2008,'M','N','WILSON','SANTANA LIVRAMENTO','RS','120201201117271431436814141124610127057',13222,'9998',43.11,1,3,NULL),(16,3210278,'1990-05-02 00:00:00',2,1,12,2006,'M','N','SERRARIA','S JOSé','SC','124243241112131431453312245123230267052',NULL,'257',24.05,1,3,NULL),(16,3210286,'1980-03-28 00:00:00',2,1,12,2001,'F','N','FORQUILHINHAS','S JOSé','SC','124241247326134411436844145324122264187',10982,'9997',47.05,1,3,NULL),(16,3210294,'1990-08-23 00:00:00',2,1,12,2007,'F','N','CENTRO','S LOURENçO OESTE','SC','124242161211472431446633572124610124147',14014,'9998',41.63,1,3,NULL),(16,3210308,'1990-12-20 00:00:00',4,1,12,2008,'F','N','CENTRO','PALHOçA','SC','124241241135131431526324345124610132182',NULL,'592',20.74,1,2,1),(16,3210316,'1988-08-23 00:00:00',4,9,12,2005,'F','N','CENTRO','LAGES','SC','124242241216574731227923595122610132097',5772,'499',56.89,1,3,NULL),(16,3210324,'1990-12-07 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241212271431458529592122610138092',NULL,'738',21.71,1,3,NULL),(16,3210332,'1990-09-02 00:00:00',4,1,12,2007,'M','N','CENTRO','LAGES','SC','124242241211372431248831495124610167057',641,'270',74.61,1,3,NULL),(16,3210340,'1991-01-04 00:00:00',4,10,12,2008,'F','N','PROGRESSO','LAGUNA','SC','124242241225131731234933245124610136142',NULL,'524',27.94,1,3,NULL),(16,3210367,'1991-11-04 00:00:00',4,1,11,2008,'M','N','CENTRO','CURITIBA','PR','116162161213471731368834575112610124042',NULL,'9998',36.85,1,3,NULL),(16,3210375,'1991-04-19 00:00:00',2,4,12,2008,'M','N','ENGENHO BRAUM','CHAPECó','SC','124241241146131431626314345125610136172',NULL,'177',32.53,1,2,1),(16,3210383,'1991-03-22 00:00:00',2,9,10,2008,'M','N','MARTORANO','S JOAQUIM','SC','124244241215111411444411575122610137052',NULL,'1035',28.11,1,3,NULL),(16,3210391,'1975-02-10 00:00:00',2,1,12,1994,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','224131131116131421223341115134143024057',12478,'9998',44.43,1,2,1),(16,3210405,'1990-12-25 00:00:00',4,1,12,2008,'M','N','ROçADO','S JOSé','SC','124241241145131431543331212124610117067',NULL,'729',19.18,1,2,1),(16,3210413,'1991-09-23 00:00:00',4,1,12,2008,'M','N','ROçADO','S JOSé','SC','124241241136371431536663285122610127057',NULL,'729',30.84,1,2,1),(16,3210421,'1991-07-23 00:00:00',4,2,12,2008,'F','N','VILA NOVA','BLUMENAU','SC','124242241216271731268921572112610126182',10063,'909',48.66,1,3,NULL),(16,3210448,'1991-11-28 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215131431368823575114610138182',2496,'270',65.34,4,3,NULL),(16,3210456,'1991-12-16 00:00:00',4,1,11,2009,'M','S','PARQUE SãO JORGE','FLORIANóPOLIS','SC','124242241217111752449932576114610167012',NULL,'270',55.49,1,3,NULL),(16,3210464,'1987-05-28 00:00:00',2,1,12,2004,'M','N','GUARDA DO CUBATãO','PALHOçA','SC','124241241127161431423319292324610127057',12126,'594',45.04,1,2,1),(16,3210472,'1991-03-20 00:00:00',4,2,11,2008,'F','N','CENTRO','BRUSQUE','SC','124242241216271531455532575122610128193',5672,'107',57.13,4,3,NULL),(16,3210499,'1984-12-06 00:00:00',4,1,12,2002,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241117135431436614396124231024017',NULL,'307',9.74,1,3,NULL),(16,3210502,'1988-08-06 00:00:00',4,8,11,2006,'F','N','AMéRICA','JOINVILLE','SC','124242241214573731334629372125610127187',NULL,'457',0.00,4,3,NULL),(16,3210510,'1991-04-12 00:00:00',2,5,11,2008,'F','N','IMIGRANTE','TURVO','SC','124241241117131431525334142121610124197',13221,'814',43.11,1,2,1),(16,3210529,'1988-11-10 00:00:00',2,1,11,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215374421344513492124610137013',6754,'266',54.75,1,3,NULL),(16,3210537,'1991-05-21 00:00:00',4,1,11,2008,'F','N','BALNEáRIO','FLORIANóPOLIS','SC','124242241215131431567714575114610144195',14343,'259',40.97,1,3,NULL),(16,3210545,'1987-05-23 00:00:00',2,1,12,2004,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124121121146371421123444245334343224097',NULL,'9998',22.28,1,3,NULL),(16,3210553,'1986-09-16 00:00:00',2,1,11,2004,'M','N','INGLESES','FLORIANóPOLIS','SC','124134138315472511558831495114141567044',15416,'9998',38.74,1,3,NULL),(16,3210561,'1989-05-31 00:00:00',2,1,11,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124244241216373431436653375124230227072',10873,'272',47.23,1,3,NULL),(16,3210570,'1989-02-05 00:00:00',2,1,12,2006,'F','N','REAL PARQUE','S JOSé','SC','124243241215272431336831496124131032032',8622,'259',51.21,1,3,NULL),(16,3210596,'1960-03-22 00:00:00',2,1,12,1981,'F','N','CAMPECHE','FLORIANóPOLIS','SC','224241248127474431333349396124610125147',15082,'718',39.47,1,2,1),(16,3210600,'1990-06-17 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215572731489831492122610167112',3910,'270',61.30,1,3,NULL),(16,3210618,'1991-10-02 00:00:00',2,4,10,2008,'F','N','ALVORADA','CHAPECó','SC','124103101216211411656631575122610124047',NULL,'9998',26.94,4,3,NULL),(16,3210626,'1990-01-09 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241217472531384854576112610158037',2901,'270',64.10,1,3,NULL),(16,3210634,'1990-09-02 00:00:00',1,1,12,2007,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124243241115371431478931575124610134092',924,'267',72.56,1,3,NULL),(16,3210642,'1991-05-22 00:00:00',4,1,12,2008,'M','N','BOSQUE DAS MANSõES','S JOSé','SC','124242241215272431468812575122610124012',1292,'738',70.44,1,3,NULL),(16,3210650,'1991-12-03 00:00:00',4,7,12,2008,'M','N','CENTRO','JOAçABA','SC','124241241217111431337434275115610166172',NULL,'454',41.80,1,3,NULL),(16,3210669,'1971-12-11 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241247226133751123341115124221762097',6309,'9999',55.66,1,3,NULL),(16,3210677,'1992-06-16 00:00:00',2,4,12,2008,'M','N','APARECIDA','ABELARDO LUZ','SC','124241241116161431456835575124610124092',NULL,'4',27.97,1,2,1),(16,3210685,'1986-08-01 00:00:00',4,4,12,2003,'M','N','INTERIOR','ANCHIETA','SC','124241241147131231223326352344610127047',NULL,'16',20.57,2,1,1),(16,3210693,'1992-02-16 00:00:00',4,10,12,2008,'M','N','NOVA FAZENDA','LAGUNA','SC','124243241117131431428711372122610166012',NULL,'521',26.94,1,3,NULL),(16,3210707,'1992-02-07 00:00:00',2,9,2,2006,'F','N','SAGARADO CORAçãO J','LAGES','SC','124242241212111411436635254122610131142',NULL,'1146',20.18,1,3,NULL),(16,3210715,'1981-03-30 00:00:00',2,1,12,1998,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124253251117131451126744342324233227117',NULL,'9998',32.99,1,3,NULL),(16,3210723,'1990-11-29 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124202241215472431459913595124610142157',7592,'988',53.17,1,3,NULL),(16,3210731,'1985-08-03 00:00:00',2,1,12,2003,'M','N','CENTRO','STA MARIA','RS','120251251141575411443724274114610162197',3527,'9998',62.31,2,1,1),(16,3210740,'1990-02-05 00:00:00',2,1,12,2007,'M','N','MORRO SANTANA','PTO ALEGRE','RS','120201202115161411226621475324610167057',NULL,'9998',19.85,2,2,1),(16,3210766,'1991-02-20 00:00:00',4,1,12,2008,'M','N','JARDIM TROPICAL','OURINHOS','SP','125252251216111431347831415122610147147',16018,'9998',37.20,4,3,NULL),(16,3210774,'1993-05-21 00:00:00',4,9,11,2009,'F','S','CENTRO','LAGES','SC','124242241215112431468732594112610136092',NULL,'497',26.10,1,3,NULL),(16,3210790,'1991-06-19 00:00:00',2,1,11,2008,'F','N','VILA LIZABEL','CRUZ ALTA','RS','120202201216271711655923572122610163072',NULL,'9998',0.00,1,3,NULL),(16,3210804,'1991-11-20 00:00:00',2,1,12,2008,'F','N','CENTRO','MONTENEGRO','RS','120204201216111431445819372122610131147',NULL,'9998',0.00,1,3,NULL),(16,3210812,'1991-09-09 00:00:00',4,6,12,2008,'M','N','SãO JOãO','ITAJAí','SC','124241241215271431436711345124610137142',4897,'391',58.86,1,3,NULL),(16,3210820,'1983-10-11 00:00:00',2,3,12,2000,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215473431446841215222331566057',2889,'120',64.13,1,3,NULL),(16,3210839,'1991-09-02 00:00:00',4,1,11,2008,'F','N','BELA VISTA I','S JOSé','SC','124242241215131431468814575124610124195',16364,'259',36.14,4,3,NULL),(16,3210847,'1988-08-27 00:00:00',4,1,7,2007,'M','N','SAMBAQUI','FLORIANóPOLIS','SC','124243247215371431437613481124610122142',NULL,'9999',23.33,1,3,NULL),(16,3210855,'1990-11-01 00:00:00',4,2,12,2008,'M','N','CENTRO','LONTRAS','SC','124242248215151732565612575112610162197',NULL,'654',33.68,1,3,NULL),(16,3210863,'1985-06-05 00:00:00',4,8,12,2002,'M','N','CENTRO','CURITIBA','PR','116161168111371751246923395125341318187',6077,'9998',56.18,1,3,NULL),(16,3210871,'1986-02-04 00:00:00',2,1,12,2004,'F','N','LINDóIA','CURITIBA','PR','116161161117474751326629291123243265147',9717,'9998',49.31,1,2,1),(16,3210880,'1991-02-06 00:00:00',2,4,12,2008,'M','N','CENTRO','TAQUARUçU SUL','RS','120201201116471431338624575124610127042',16169,'9998',36.73,1,2,1),(16,3210898,'1991-01-14 00:00:00',4,8,11,2008,'F','N','SAGUAçU','JOINVILLE','SC','124242241215121431438619392122610164092',10105,'931',48.60,1,3,NULL),(16,3210901,'1957-08-28 00:00:00',2,1,12,1975,'F','N','CENTRO','FLORIANóPOLIS','SC','524241244112155421363443431122320662143',13286,'307',43.00,1,2,1),(16,3210910,'1991-10-11 00:00:00',4,4,11,2008,'M','N','PALMITAL','CHAPECó','SC','124243241117131431416311576325610166012',3183,'169',63.34,1,3,NULL),(16,3210936,'1991-03-05 00:00:00',4,1,12,2008,'M','N','JARDIM ESPERANçA','CANOINHAS','SC','124241241117131431435614185122610122147',NULL,'146',0.00,1,2,1),(16,3210944,'1990-12-28 00:00:00',2,1,12,2008,'F','N','PONTA DE BAIXO','S JOSé','SC','124242241215112431468824574122610124077',9120,'738',50.38,1,3,NULL),(16,3210952,'1992-05-20 00:00:00',4,8,12,2008,'F','N','SANTO ANTôNIO','JOINVILLE','SC','124242241215111731447712372122610123182',12440,'491',44.48,1,3,NULL),(16,3210960,'1984-08-04 00:00:00',2,1,12,2001,'M','N','CAMPINAS','S JOSé','SC','124201201216142431458833252122230262023',9684,'9998',49.37,1,3,NULL),(16,3210979,'1992-08-18 00:00:00',4,1,12,2009,'F','S','CENTRO','ITAPEMA','SC','124243241217111751538711575122610128147',NULL,'1111',42.74,1,3,NULL),(16,3210987,'1990-09-27 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241215143451236624575124233237117',9772,'1022',49.21,1,3,NULL),(16,3210995,'1990-08-02 00:00:00',4,4,12,2007,'F','N','CENTRO','XANXERê','SC','124243241216372411449933244124610146097',3128,'1081',63.45,4,3,NULL),(16,3211002,'1990-04-22 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124162161215472431488713571112610164042',1641,'9998',68.72,1,3,NULL),(16,3211010,'1992-03-01 00:00:00',4,1,11,2009,'M','S','VILA VELHA','PALMEIRA MISSõES','RS','120202201236131431237934475122610142017',NULL,'9998',0.00,1,3,NULL),(16,3211029,'1992-05-22 00:00:00',4,9,12,2009,'M','S','SAGRADO C DE JESUS','LAGES','SC','124242241215111411568612574122610122037',NULL,'497',52.79,1,3,NULL),(16,3211037,'1991-06-07 00:00:00',4,9,11,2008,'M','N','UNIVERSITáRIO','LAGES','SC','124242241215111431588811572122610167112',14855,'497',39.98,1,3,NULL),(16,3211045,'1961-07-03 00:00:00',4,1,10,1978,'M','N','JURERê','FLORIANóPOLIS','SC','224202201213152411487641321122141437132',6150,'9998',56.03,3,3,NULL),(16,3211053,'1992-10-18 00:00:00',2,1,12,2009,'F','S','IPIRANGA','S JOSé','SC','124244241215111421459933572122610147142',NULL,'738',33.14,1,3,NULL),(16,3211061,'1990-01-04 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241216472431456612575124610115073',2951,'262',63.97,1,3,NULL),(16,3211070,'1991-09-21 00:00:00',4,1,11,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215122411438713374122610126077',9577,'723',49.57,1,3,NULL),(16,3211096,'1991-04-10 00:00:00',4,1,11,2008,'M','N','CENTRO','MAL CâNDIDO RONDON','PR','116162161217271432579811574112610167042',10628,'9998',47.68,1,3,NULL),(16,3211100,'1991-10-25 00:00:00',4,9,12,2008,'M','N','CORAL','LAGES','SC','124242241217111431338924585122610167012',NULL,'497',36.90,1,3,NULL),(16,3211118,'1991-08-07 00:00:00',2,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSé','SC','124211211217421431523611572224610166152',12565,'9998',44.24,1,3,NULL),(16,3211126,'1991-06-10 00:00:00',2,5,12,2008,'M','N','CRUZEIRO DO SUL','CRICIúMA','SC','124242241215152431445431375122610122142',8081,'211',52.26,1,3,NULL),(16,3211142,'1989-06-14 00:00:00',4,1,12,2007,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241215373431546632395122610142147',5677,'738',57.13,1,3,NULL),(16,3211150,'1991-06-13 00:00:00',4,3,12,2008,'M','N','SAN CONRADO','CAMPINAS','SP','125252251215111441386812575112610124192',681,'9998',74.34,1,3,NULL),(16,3211169,'1990-09-03 00:00:00',2,9,12,2008,'M','N','POçO RICO','OTACíLIO COSTA','SC','124241241217111431469834575122610137142',14817,'499',40.03,1,3,NULL),(16,3211177,'1987-10-21 00:00:00',2,1,12,2004,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124244241216212431466821415124130431142',NULL,'269',31.04,1,3,NULL),(16,3211185,'1989-08-02 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242248212412431426622592124610123147',NULL,'1022',22.49,1,3,NULL),(16,3211193,'1992-04-04 00:00:00',2,1,12,2008,'F','N','RITA LUCRÉCIA PINTO','CRUZEIRO','SP','125252251216111431434634575112610167122',NULL,'9998',0.00,1,3,NULL),(16,3211207,'1978-01-26 00:00:00',2,1,10,1999,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124253247425232431229649311124610157097',NULL,'290',29.18,4,3,NULL),(16,3211215,'1990-02-22 00:00:00',4,1,12,2007,'M','N','FUNDOS','BIGUAçU','SC','124241241117372431433611185124610164172',NULL,'65',24.88,1,2,1),(16,3211223,'1991-04-23 00:00:00',4,4,12,2008,'F','N','INTERIOR','ARABUTã','SC','124241241114161431323366582344610124057',NULL,'979',14.04,1,2,1),(16,3211231,'1990-05-07 00:00:00',2,1,11,2007,'F','N','VILA NOVA','IMBITUBA','SC','124241241215473431546313572122610132182',11485,'807',46.20,1,3,NULL),(16,3211240,'1991-06-03 00:00:00',4,1,12,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124242241115111431324633472124610147072',14293,'1022',41.06,1,3,NULL),(16,3211258,'1991-01-25 00:00:00',4,1,12,2008,'M','N','CENTRO','APUCARANA','PR','116162161215111331467633575122610147182',NULL,'9998',0.00,1,3,NULL),(16,3211266,'1990-07-21 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241115271731436613575124610137043',NULL,'288',21.55,1,2,1),(16,3211274,'1986-04-28 00:00:00',2,1,9,2004,'M','N','VARGEN DO BOM JESUS','FLORIANóPOLIS','SC','124243248323152751334611195124610134042',16694,'9997',33.31,1,3,NULL),(16,3211282,'1989-04-05 00:00:00',4,10,12,2006,'F','N','NOSSA SR DE LURDES','CAMPOS NOVOS','SC','124242241212473431436916495124230444142',2843,'962',64.25,1,3,NULL),(16,3211290,'1987-08-02 00:00:00',4,1,12,2005,'M','N','KOBRASOL','S JOSé','SC','124243241437142431666622435122133267017',NULL,'943',38.35,1,3,NULL),(16,3211304,'1988-07-08 00:00:00',4,1,11,2006,'F','N','LIBERDADE','S PAULO','SP','125254257416512451267724575114610114047',229,'9999',78.79,1,3,NULL),(16,3211312,'1988-12-28 00:00:00',4,1,11,2006,'M','N','CAMPINAS','S JOSé','SC','124241241215153431548619475124610164012',NULL,'737',0.00,1,3,NULL),(16,3211320,'1992-01-27 00:00:00',2,10,11,2009,'F','S','RIO PINHEIROS','S LUDGERO','SC','124243241215151731466516572113610137142',NULL,'950',43.26,1,3,NULL),(16,3211339,'1991-06-20 00:00:00',4,5,11,2008,'M','N','CENTRO','CRICIúMA','SC','124242241217371411559933574122610164012',688,'210',74.31,1,3,NULL),(16,3211347,'1991-05-16 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241117131711456633382222610117047',NULL,'298',18.38,1,3,NULL),(16,3211355,'1990-01-12 00:00:00',4,7,12,2008,'M','N','FARROUPILHA','VIDEIRA','SC','124241241115111431546316572122610147052',16366,'831',36.13,1,2,1),(16,3211363,'1987-10-01 00:00:00',4,8,12,2004,'M','N','CENTRO','CASCAVEL','PR','116162161216571431459814575124140667096',2102,'9998',66.79,1,3,NULL),(16,3211371,'1988-03-26 00:00:00',4,1,12,2004,'M','N','SãO JOSé','FRAIBURGO','SC','124243241246272431437521145134133227047',NULL,'317',25.86,1,3,NULL),(16,3211398,'1993-01-06 00:00:00',4,5,11,2009,'F','S','CENTRO','CRICIúMA','SC','124242241215371431265932572122610132142',NULL,'226',51.63,1,3,NULL),(16,3211401,'1991-11-05 00:00:00',4,9,12,2008,'M','N','CONTA DINHEIRO','LAGES','SC','124242241217371412448932575111610134012',13470,'515',42.66,1,3,NULL),(16,3211410,'1992-08-19 00:00:00',3,1,12,2009,'F','S','CARVOEIRA','FLORIANóPOLIS','SC','124242241117111441458923575122610134192',NULL,'267',52.01,1,3,NULL),(16,3211428,'1991-01-29 00:00:00',4,1,12,2008,'M','N','ROçADO','S JOSé','SC','124242248215111431446634315122610244043',NULL,'1118',26.27,1,3,NULL),(16,3211436,'1990-12-22 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124244247337131532236633572114613216117',16501,'9999',35.46,1,3,NULL),(16,3211444,'1991-07-04 00:00:00',4,3,12,2008,'F','N','PRESIDENTE KENNEDY','APUCARANA','PR','116164161216111431448834594122610137142',7956,'9998',52.50,1,3,NULL),(16,3211452,'1993-01-13 00:00:00',4,1,12,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124242241217111431379713572124610154147',NULL,'1118',37.74,1,3,NULL),(16,3211460,'1991-03-05 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215112731366612575122610137122',10549,'262',47.83,1,3,NULL),(16,3211479,'1990-10-28 00:00:00',2,2,12,2008,'F','N','DAS NAçõES','TIMBó','SC','124241241215112431436632592122610127012',12802,'1157',43.84,1,3,NULL),(16,3211487,'1990-04-24 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215372441369833575122610137052',3233,'883',63.19,2,1,2),(16,3211495,'1991-08-31 00:00:00',4,3,12,2008,'M','N','ALTO PEREQUE','PTO BELO','SC','124241242115151441556615352322610127075',NULL,'129',27.72,1,3,NULL),(16,3211509,'1990-06-25 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241237271431546712325124610164063',5880,'299',56.62,1,3,NULL),(16,3211517,'1991-02-03 00:00:00',4,1,9,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124204241215121431546622575112610134142',11038,'1022',46.95,1,3,NULL),(16,3211533,'1990-02-10 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241115472431268923592114610138065',7386,'267',53.55,1,2,1),(16,3211541,'1991-10-01 00:00:00',4,1,11,2008,'F','N','BARREIROS','SAO JOSE','SC','124242241215111731445412472125610144072',9195,'738',50.24,1,3,NULL),(16,3211550,'1987-02-10 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241317575451358611495124230247097',NULL,'362',0.00,1,3,NULL),(16,3211568,'1989-12-26 00:00:00',2,8,12,2006,'F','N','JARDIM LEBLON','CPO GRANDE','MS','112281121115312431423631115324610132142',NULL,'9998',11.70,4,2,1),(16,3211576,'1991-04-04 00:00:00',2,1,11,2008,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241217111431443812575122610147187',NULL,'1014',23.41,1,3,NULL),(16,3211584,'1991-01-17 00:00:00',4,8,12,2008,'F','N','SCHRAMM','S BENTO SUL','SC','124242241215271431438418282122610122097',5042,'974',58.52,1,3,NULL),(16,3211592,'1990-02-12 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124242241217142431546622345124610122092',NULL,'1074',28.41,1,3,NULL),(16,3211606,'1991-12-22 00:00:00',4,1,12,2008,'M','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241241225111431446629275124610124142',NULL,'262',33.68,4,1,2),(16,3211614,'1988-12-03 00:00:00',2,8,12,2006,'M','N','COSTA E SILVA','JOINVILLE','SC','124243241216573431336632572124231427142',2272,'155',66.14,1,3,NULL),(16,3211622,'1984-05-17 00:00:00',4,1,12,2001,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241214555431378823475124233214097',629,'269',74.73,1,3,NULL),(16,3211649,'1991-12-23 00:00:00',2,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215112431578813575122610123052',11379,'1133',46.37,4,3,NULL),(16,3211657,'1989-08-16 00:00:00',2,1,11,2006,'F','N','IPIRANGA','S JOSé','SC','124244241416372431445624245124610121073',NULL,'868',30.65,1,3,NULL),(16,3211665,'1987-05-17 00:00:00',3,1,12,2005,'F','N','LAGOA DA CONCEICAO','FLORIANóPOLIS','SC','124244241217574731559933491122230463112',12430,'270',44.50,1,3,NULL),(16,3211673,'1991-05-21 00:00:00',2,1,12,2008,'F','N','UNIVERSITáRIO','TIJUCAS','SC','124242241211131431434715392235610124147',13211,'781',43.12,3,3,NULL),(16,3211681,'1992-05-14 00:00:00',4,1,12,2009,'M','S','MONTE VERDE','FLORIANóPOLIS','SC','124242241217111431468639572122610128045',NULL,'1133',46.29,1,3,NULL),(16,3211690,'1992-08-01 00:00:00',4,7,12,2009,'F','S','CENTRO','CAMPOS NOVOS','SC','124244241215111421236833395122610128142',NULL,'138',27.31,1,3,NULL),(16,3211703,'1991-05-17 00:00:00',4,2,12,2008,'M','N','JARDIM AMéRICA','ITUPORANGA','SC','124241241127131421534312142322610137187',16499,'415',35.46,1,2,1),(16,3211711,'1990-12-16 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241417111431336827472124610128052',12978,'1022',43.54,1,3,NULL),(16,3211720,'1990-08-02 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241214373431579812342122231014142',12448,'262',44.47,1,3,NULL),(16,3211738,'1990-11-24 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431238823572122610134182',NULL,'270',27.04,1,3,NULL),(16,3211746,'1986-02-28 00:00:00',2,1,12,2003,'F','N','ARMACAO DO PANTANO','FLORIANóPOLIS','SC','124243248117135431536639341134610134077',NULL,'307',22.45,1,3,NULL),(16,3211754,'1990-03-13 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124241241332271432426618282114610124187',14199,'732',41.25,1,3,NULL),(16,3211762,'1988-05-11 00:00:00',4,1,12,2005,'F','N','JARDIM MEDITERRANEO','LIMEIRA','SP','125254256117472731436719391122610111147',16006,'9998',37.23,1,3,NULL),(16,3211770,'1977-03-18 00:00:00',2,1,11,1994,'M','N','PRAIA COMPRIDA','S JOSé','SC','224153156617141431276953392125130724187',11391,'9998',46.36,4,3,NULL),(16,3211789,'1986-12-03 00:00:00',2,1,12,2003,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241116275421434411245124610122157',10820,'281',47.32,1,2,1),(16,3211797,'1986-06-19 00:00:00',2,1,7,2005,'M','N','PARQUE SãO QUIRINO','CAMPINAS','SP','125252257346173431339864345124140627112',NULL,'9999',23.86,1,3,NULL),(16,3211800,'1986-07-22 00:00:00',2,1,12,2003,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241124573731446714222122131037057',6118,'11',56.11,1,2,1),(16,3211819,'1991-10-31 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241216151751456633575224610128042',14201,'1075',41.24,2,3,NULL),(16,3211827,'1982-04-17 00:00:00',4,1,12,1999,'M','N','CENTRO','S JOSé','SC','124242241215273311553619295124323267061',7091,'590',54.11,1,3,NULL),(16,3211835,'1986-03-14 00:00:00',4,1,12,2004,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242247217574451369923595114610164171',6066,'9999',56.20,1,3,NULL),(16,3211843,'1990-12-17 00:00:00',2,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124242241416371441237622375124610167092',NULL,'478',46.65,3,3,NULL),(16,3211851,'1991-03-31 00:00:00',4,1,11,2008,'F','N','FLORESTA','JOINVILLE','SC','124241241115371421534514272224610126142',NULL,'466',0.00,1,2,1),(16,3211878,'1975-03-31 00:00:00',4,1,12,1992,'M','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','624242241217143441348644445122320266187',5706,'272',57.04,1,3,NULL),(16,3211886,'1988-12-31 00:00:00',2,9,12,2006,'F','N','CENTENáRIO','LAGES','SC','124244241136371431526663372222230327097',8863,'498',50.79,1,3,NULL),(16,3211908,'1991-01-16 00:00:00',4,1,10,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124244241217111431465614581124610127042',16627,'1022',34.56,4,3,NULL),(16,3211916,'1989-08-27 00:00:00',4,2,12,2006,'F','N','RODEIO DOZE','RODEIO','SC','124243241216573431546912275124610166042',3418,'37',62.61,1,3,NULL),(16,3211924,'1992-02-28 00:00:00',2,1,12,2008,'F','N','MACIAMBú','PALHOçA','SC','124241241116161431433834575124610124147',NULL,'592',27.73,1,2,1),(16,3211932,'1982-01-25 00:00:00',4,1,11,2000,'F','N','JURERE TRADICIONAL','FLORIANóPOLIS','SC','124251257121271431264571185124140721142',NULL,'9999',25.47,1,2,1),(16,3211959,'1977-03-28 00:00:00',2,3,12,1994,'F','N','INTERIOR','CRUZEIRO SUL','RS','120201201117131411329319282224241626187',9988,'9998',48.79,1,2,1),(16,3211975,'1987-12-26 00:00:00',4,1,12,2005,'M','N','TAPERA','FLORIANóPOLIS','SC','124241241116131411425621242323610147092',13350,'257',42.88,1,3,NULL),(16,3211983,'1990-08-27 00:00:00',2,5,11,2007,'M','N','COMERCIARIO','CRICIúMA','SC','124242241211472441436619291114610167112',4726,'226',59.25,1,3,NULL),(16,3212009,'1989-12-22 00:00:00',4,1,12,2007,'F','N','SANTA TEREZINHA','ITU','SP','125252251215471731338711374125610124072',4345,'9998',60.15,1,3,NULL),(16,3212017,'1991-06-29 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215112431358624572125610163077',13694,'1022',42.28,1,3,NULL),(16,3212033,'1991-01-25 00:00:00',4,6,12,2008,'M','N','VILA NOVA','ILHOTA','SC','124241241115271431643631292122610162197',14894,'354',39.89,1,2,1),(16,3212041,'1991-06-05 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241212151231468633572112610137111',NULL,'273',34.91,1,3,NULL),(16,3212050,'1991-05-03 00:00:00',2,8,11,2008,'M','N','AMERICA','JOINVILLE','SC','124242241215471432358632575122610137012',NULL,'486',11.15,4,3,NULL),(16,3212068,'1991-03-07 00:00:00',4,10,12,2008,'F','N','HUMAITá DE CIMA','TUBARãO','SC','124241241136131431433414285124610131147',NULL,'798',29.44,1,2,1),(16,3212084,'1989-02-02 00:00:00',4,3,12,2008,'M','N','VILA APARECIDA','ITAPEVA','SP','125254251215111431348933595112610127142',NULL,'9998',0.00,1,3,NULL),(16,3212106,'1991-05-03 00:00:00',4,4,12,2008,'F','N','CENTRO','BELMONTE','SC','124241244126151331425426572322610123142',NULL,'9997',14.28,1,3,NULL),(16,3212122,'1991-04-06 00:00:00',4,1,11,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124243241115131431433611175124610122197',4832,'271',59.01,1,3,NULL),(16,3212130,'1990-08-30 00:00:00',4,1,12,2008,'M','N','TUTUNAS','UBERABA','MG','113132131217111431433819585121610165087',NULL,'9998',0.00,1,3,NULL),(16,3212149,'1985-06-26 00:00:00',4,3,12,2003,'F','N','CENTRO','AVARé','SP','125252251216571731238823575125610162097',NULL,'9998',0.00,1,3,NULL),(16,3212157,'1991-09-18 00:00:00',2,7,11,2008,'M','N','SANTO ANTONIO','CAPINZAL','SC','124242241216111431456512595112610117122',NULL,'1093',0.00,1,3,NULL),(16,3212165,'1991-12-19 00:00:00',4,5,11,2008,'F','N','SANTA ISABEL','FORQUILHINHA','SC','120271254233161111219911192112110117144',6597,'226',55.05,1,3,NULL),(16,3212173,'1989-07-05 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241247147151411634334292114610164157',NULL,'9999',39.06,1,2,1),(16,3212181,'1985-03-20 00:00:00',2,1,12,2003,'F','N','PALHOÇA','PALHOçA','SC','524241241116273431234854382343610138197',16194,'306',36.68,1,3,NULL),(16,3212190,'1990-12-21 00:00:00',4,1,12,2008,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241247215271532226624345124610124042',NULL,'9999',19.38,1,3,NULL),(16,3212203,'1985-11-25 00:00:00',4,1,12,2002,'M','N','CENTRO','S MIGUEL OESTE','SC','124243241116153321458923445122223265062',3196,'757',63.29,1,3,NULL),(16,3212211,'1992-01-20 00:00:00',2,1,11,2008,'M','N','SERRARIA','S JOSé','SC','124243241116251431636861475124610124045',12839,'307',43.78,1,3,NULL),(16,3212220,'1990-09-05 00:00:00',4,8,11,2007,'M','N','GUABIROTUBA','CURITIBA','PR','116162161215471731368834575124610134097',NULL,'9998',0.00,1,3,NULL),(16,3212238,'1991-05-21 00:00:00',4,1,12,2008,'M','N','BELA VISTA I','S JOSé','SC','124241241225272431535314345124610124022',6829,'262',54.61,1,3,NULL),(16,3212254,'1988-01-13 00:00:00',2,1,6,2008,'M','N','BOM VIVER','BIGUAçU','SC','124241241336131411226923241124610117062',NULL,'9999',28.07,2,1,2),(16,3212262,'1991-09-17 00:00:00',4,4,12,2007,'M','N','JARDIM ITú SABARá','PTO ALEGRE','RS','120241241115471431335923572214610162042',1457,'984',69.53,1,2,1),(16,3212270,'1991-08-15 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241215121531588823575122610154182',13528,'499',42.58,1,3,NULL),(16,3212289,'1968-02-22 00:00:00',2,1,12,1986,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124201201111471441115642423115610167011',NULL,'9998',12.18,1,3,NULL),(16,3212297,'1992-07-23 00:00:00',2,5,12,2008,'F','N','JARDIM MARISTELA','CRICIúMA','SC','124242241215371411388832572112610137122',8888,'226',50.76,1,3,NULL),(16,3212300,'1979-01-04 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124201247425131751116541115124610121177',NULL,'9999',23.66,1,3,NULL),(16,3212319,'1991-12-06 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241212171431478833572122610164077',NULL,'262',27.21,1,3,NULL),(16,3212327,'1991-04-03 00:00:00',4,1,12,2008,'M','N','JURERE INTERNACIONAL','FLORIANóPOLIS','SC','124242241215151451466632575122610167042',NULL,'1048',0.00,1,3,NULL),(16,3212335,'1991-12-03 00:00:00',4,1,12,2008,'M','N','SANTA CATARINA','CAçADOR','SC','124241241116131731526314395122610123017',15281,'123',39.02,4,2,1),(16,3212343,'1991-04-25 00:00:00',4,10,11,2008,'M','N','CENTRO','TUBARãO','SC','124242241217111531469811576121610162092',11261,'809',46.53,1,3,NULL),(16,3212351,'1990-12-06 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242247215131431258417575124610168182',NULL,'9999',32.69,1,3,NULL),(16,3212360,'1991-09-24 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241215121431438611575124610117047',16611,'948',34.71,1,3,NULL),(16,3212378,'1991-05-11 00:00:00',4,1,12,2008,'F','N','CENTRO','POUSO ALEGRE','MG','113131131117111311657311595122610162182',NULL,'9998',36.89,1,2,1),(16,3212386,'1991-11-07 00:00:00',4,1,12,2008,'M','N','VILLAGE PAINEIRAS','PINDAMONHANGABA','SP','125252251216111411359821572121610117042',14627,'9998',40.45,1,3,NULL),(16,3212394,'1990-08-10 00:00:00',4,1,11,2007,'F','N','SANTA ROSA','CUIABá','MT','111112111217471431468813575112610144182',10321,'9998',48.22,1,3,NULL),(16,3212408,'1987-03-17 00:00:00',2,1,12,2005,'M','N','CENTRO','PTO ALEGRE','RS','124204247426154431226541315124613228111',13616,'9999',42.43,4,1,2),(16,3212416,'1990-04-18 00:00:00',4,8,11,2007,'F','N','AMéRICA','JOINVILLE','SC','124242241215473431466512572122610121072',4053,'486',60.92,1,3,NULL),(16,3212424,'1991-04-18 00:00:00',2,9,12,2008,'F','N','SãO PELEGRINO','CAXIAS SUL','RS','120202201215161432449811572122610161142',NULL,'9998',0.00,2,3,NULL),(16,3212432,'1991-10-25 00:00:00',4,3,12,2008,'F','N','ANDORINHA','ITAPEMA','SC','124204241215111431538614575122610112197',3975,'403',61.12,1,3,NULL),(16,3212440,'1983-12-31 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANóPOLIS','SC','624243241142341431326654182314610132147',13133,'732',43.27,1,3,NULL),(16,3212459,'1992-02-01 00:00:00',4,2,11,2008,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241217111731456931575122610167042',14561,'1018',40.59,1,3,NULL),(16,3212467,'1991-06-23 00:00:00',2,1,12,2008,'F','N','TROMBINE','RIO BRILHANTE','MS','112122161217111431536923435125610167142',NULL,'9998',0.00,1,3,NULL),(16,3212475,'1986-06-25 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241131134431636679482324610122067',NULL,'307',24.92,2,1,1),(16,3212483,'1992-05-05 00:00:00',4,3,12,2009,'F','S','CENTRO','BAL CAMBORIú','SC','124243241215111731426612271124610138127',NULL,'44',26.77,1,3,NULL),(16,3212505,'1991-06-18 00:00:00',4,1,11,2008,'F','N','CAMPINAS','S JOSé','SC','124241241415111431568812375122610124142',NULL,'737',35.99,1,3,NULL),(16,3212513,'1986-11-27 00:00:00',2,9,12,2004,'F','N','CENTRO','LAGES','SC','124241241326274431528819395121610164047',3817,'499',61.55,1,3,NULL),(16,3212521,'1980-05-09 00:00:00',2,1,12,2008,'F','N','REAL PARQUE','S JOSé','SC','224241247432171431433153272124610128077',15936,'9999',37.40,4,1,2),(16,3212530,'1989-10-25 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124242241212473431458613572114610137017',9879,'1022',49.01,1,3,NULL),(16,3212548,'1966-10-31 00:00:00',2,1,12,2000,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','224244247137155121533351144122131021117',11210,'9999',46.64,1,3,NULL),(16,3212556,'1990-04-22 00:00:00',2,5,12,2007,'F','N','CENTRO','CRICIúMA','SC','124242241215272431445632245122610165193',6760,'213',54.74,1,3,NULL),(16,3212564,'1991-08-21 00:00:00',4,1,12,2008,'F','N','CENTRO','TIJUCAS','SC','124245241437131311554729572122610144097',12662,'1119',44.06,1,3,NULL),(16,3212572,'1990-12-27 00:00:00',4,8,11,2008,'M','N','ILHA DA FIGUEIRA','JARAGUá SUL','SC','124242248217111421469914594144610164032',NULL,'9998',0.00,1,3,NULL),(16,3212580,'1990-07-06 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','120202201217471751488932427124610163092',4831,'9998',59.01,1,3,NULL),(16,3212599,'1991-02-18 00:00:00',2,3,11,2008,'M','N','SCHRAMM','S BENTO SUL','SC','124242241215111431366632575115610147182',7682,'1114',53.00,1,3,NULL),(16,3212602,'1990-09-18 00:00:00',2,1,12,2007,'M','N','BELA VISTA','CANOAS','RS','120204201217471431437714142114610134112',12415,'9998',44.52,1,3,NULL),(16,3212610,'1985-05-15 00:00:00',4,1,12,2002,'F','N','JD JAPãO','S PAULO','SP','125251253211571441668714591125141524087',423,'9998',76.53,4,3,NULL),(16,3212629,'1988-10-18 00:00:00',2,1,12,2006,'M','N','AREIAS DE CIMA','BIGUAçU','SC','124241241117131731533329291124610128147',NULL,'64',0.00,1,3,NULL),(16,3212637,'1991-01-22 00:00:00',2,10,12,2007,'F','N','CENTRO','CAPIVARI BAIXO','SC','124243241117131431523619395114130664147',NULL,'1034',25.95,1,3,NULL),(16,3212645,'1991-08-14 00:00:00',4,1,11,2008,'M','N','COLONINIHA','FLORIANóPOLIS','SC','124242241215122431389914574114610134042',3865,'1022',61.42,1,3,NULL),(16,3212653,'1992-02-20 00:00:00',2,1,11,2008,'F','N','MARTORANO','S JOAQUIM','SC','124242241215161431538656594112610164077',NULL,'9997',33.18,1,3,NULL),(16,3212661,'1990-09-03 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124202248215112431347813385124610168047',NULL,'262',32.49,1,3,NULL),(16,3212670,'1991-03-03 00:00:00',2,1,11,2008,'F','N','CRUZEIRO','RIO NEGRINHO','SC','124244241215131411235869595121610166077',6130,'666',56.07,1,3,NULL),(16,3212688,'1989-02-01 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124012011216474431186632472124143247042',6691,'9998',54.89,4,1,2),(16,3212696,'1989-03-18 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215574431448833575124610131147',689,'270',74.31,1,3,NULL),(16,3212718,'1989-03-23 00:00:00',3,1,11,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124051051115472412428827475114610134023',14832,'9998',40.01,4,3,NULL),(16,3212726,'1991-10-31 00:00:00',2,10,12,2008,'M','N','CENTRO','SANGãO','SC','124241241122131431433923342121610167057',NULL,'685',0.00,1,3,NULL),(16,3212734,'1991-07-17 00:00:00',2,1,10,2008,'F','N','SãO CRISTãOVãO','CASCAVEL','PR','116161168115171711526619575124610117072',NULL,'9998',0.00,1,2,1),(16,3212742,'1991-04-08 00:00:00',4,1,12,2007,'M','N','JARDIM AEROPORTO III','FRANCA','SP','125252251116471431358933575112610166042',5419,'9998',57.63,4,3,NULL),(16,3212750,'1990-12-22 00:00:00',4,1,12,2008,'M','N','CNASVIEIRAS','FLORIANóPOLIS','SC','124242241215111331238823575124610122193',NULL,'1022',23.04,1,3,NULL),(16,3212769,'1990-02-25 00:00:00',2,4,6,2008,'F','N','CENTRO','CHAPECó','SC','124244247316121131559932425122312426011',NULL,'1126',2.00,1,3,NULL),(16,3212777,'1992-07-01 00:00:00',2,7,12,2009,'F','S','VILA PEDRINE','JOAçABA','SC','124241241216111431446614415122610164192',NULL,'445',40.67,1,3,NULL),(16,3212785,'1988-02-22 00:00:00',2,1,12,2006,'F','N','CENTRO','PALHOçA','SC','124244241236374431336649492122610122157',13217,'989',43.11,2,3,NULL),(16,3212793,'1979-10-20 00:00:00',2,1,12,1999,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124241241126211221221227295124610112147',NULL,'733',24.82,2,1,1),(16,3212807,'1990-09-10 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124204201317472431546611395125610134047',1803,'9998',67.99,1,3,NULL),(16,3212823,'1989-10-28 00:00:00',2,1,6,2008,'M','N','CAIçARA','BIRIGüI','SP','124243247212422431678812591125610167182',NULL,'9999',40.29,4,3,NULL),(16,3212831,'1991-07-11 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241117131331338834392124610164147',NULL,'257',18.30,1,3,NULL),(16,3212840,'1991-09-15 00:00:00',4,5,12,2008,'F','N','CENTRO','NOVA VENEZA','SC','124243241315111431345911111124610133063',16567,'226',35.07,1,3,NULL),(16,3212858,'1988-04-12 00:00:00',4,10,12,2006,'F','N','CENTRO','TUBARãO','SC','124244241415371431321728212225131217093',15377,'807',38.81,1,3,NULL),(16,3212866,'1992-07-29 00:00:00',4,4,12,2008,'F','N','EFAPI','CHAPECó','SC','124241241116131431434931572124610127057',NULL,'184',31.21,1,2,1),(16,3212874,'1990-02-03 00:00:00',2,8,12,2007,'F','N','CAJURU','CURITIBA','PR','116161161116471431424614272124610162143',NULL,'9998',0.00,1,2,1),(16,3212882,'1985-05-12 00:00:00',4,1,12,2004,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243247335371441226627385124133255147',9513,'9999',49.70,1,3,NULL),(16,3212890,'1991-04-26 00:00:00',2,5,12,2008,'F','N','PARAGUAI','JACINTO MACHADO','SC','124241241125131431433911575122610142092',NULL,'420',15.77,1,2,1),(16,3212904,'1989-12-18 00:00:00',2,1,12,2007,'F','N','ABRRãO','FLORIANóPOLIS','SC','124241241115371431326571382114610114077',NULL,'257',17.68,1,3,NULL),(16,3212920,'1991-05-02 00:00:00',4,1,12,2008,'M','N','JARDIM TAMOYO','UMUARAMA','PR','116162161237211431469912572122610127042',NULL,'9998',0.00,1,3,NULL),(16,3212939,'1973-03-21 00:00:00',2,1,7,1993,'M','N','REAL PAQUE','S JOSé','SC','224241246146145721433443235124610164097',14320,'306',41.01,2,1,1),(16,3212947,'1990-07-16 00:00:00',4,1,11,2007,'F','N','PICO DO AMOR','CUIABá','MT','111112111232371431439631592324613234172',NULL,'9998',20.70,2,3,NULL),(16,3212955,'1991-09-18 00:00:00',4,1,11,2008,'M','N','FLORESTA','S JOSé','SC','124242241215112232567412374112610127012',1741,'738',68.23,1,3,NULL),(16,3212980,'1990-03-19 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241247415131731523359342324610132147',NULL,'977',21.58,1,3,NULL),(16,3212998,'1991-03-01 00:00:00',4,3,12,2008,'M','N','CIDADE UNIVERSITáRIA','CAMPINAS','SP','125122251215111431469811215122610147052',5321,'1129',57.84,1,3,NULL),(16,3213013,'1991-04-12 00:00:00',4,5,12,2008,'M','N','AREIAS BRANCAS','BAL ARROIO SILVA','SC','124241242117111731438933435124610167177',NULL,'690',29.13,1,2,1),(16,3213021,'1991-12-09 00:00:00',4,1,12,2008,'M','N','CENTRO','LAGES','SC','124242241216271451339933572122610134045',171,'497',79.73,1,3,NULL),(16,3213048,'1991-05-25 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241122152431333321472124610167147',NULL,'283',31.87,1,3,NULL),(16,3213056,'1991-02-23 00:00:00',4,1,12,2008,'M','N','BELA VISTA I','S JOSé','SC','124241241116111431443633245111610117112',NULL,'726',24.80,1,2,1),(16,3213064,'1990-12-24 00:00:00',4,2,12,2008,'F','N','OXFORD','S BENTO SUL','SC','124241241416371451449614595122610128143',NULL,'974',33.93,1,3,NULL),(16,3213072,'1991-01-20 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216111411448833575124610115112',NULL,'270',23.96,1,3,NULL),(16,3213099,'1990-07-26 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241117152321326679575124610134142',NULL,'288',27.16,1,2,1),(16,3213102,'1991-09-27 00:00:00',2,1,11,2008,'F','N','VARGEM PEQUENA','FLORIANóPOLIS','SC','124243241112371431445611575114610162147',9626,'307',49.46,1,3,NULL),(16,3213110,'1991-07-10 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124241241215371431435414282124610168012',7346,'868',53.62,1,3,NULL),(16,3213129,'1958-07-26 00:00:00',2,1,12,1979,'F','N','CENTRO','FLORIANóPOLIS','SC','224251255147272111243351216124341222187',NULL,'9998',35.21,1,2,1),(16,3213145,'1991-12-05 00:00:00',4,8,11,2008,'M','N','RECANTO TROPICAL','CASCAVEL','PR','116162161217371431346613574125610128122',1067,'9998',71.65,1,3,NULL),(16,3213153,'1987-05-14 00:00:00',4,1,12,2005,'F','N','JARDIM AQUARIUS','S JOSé CAMPOS','SP','125203201117571431457833572112610162197',540,'9998',75.50,1,3,NULL),(16,3213161,'1991-07-21 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241445372431324421571124610126052',NULL,'262',37.65,1,3,NULL),(16,3213170,'1979-02-08 00:00:00',4,1,12,1996,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241216135421448832445122122322092',11711,'269',45.80,3,3,NULL),(16,3213200,'1990-10-01 00:00:00',4,8,12,2007,'F','N','JARDIM SOCIAL','FOZ IGUAçU','PR','116162161216471431468833571122610126127',8768,'9998',50.96,1,3,NULL),(16,3213218,'1992-04-08 00:00:00',4,1,12,2009,'F','S','KOBRASOL','S JOSé','SC','124241241117131451336374292324610164182',NULL,'739',27.11,1,3,NULL),(16,3213226,'1984-07-06 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124243247327131431326923215111610124097',NULL,'9999',0.00,1,3,NULL),(16,3213234,'1988-07-28 00:00:00',2,1,10,2006,'M','N','CENTRO','FáTIMA SUL','MS','116121161211151511487832345124141027093',NULL,'9998',0.00,1,3,NULL),(16,3213242,'1991-09-27 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111441238832374124610125057',13357,'262',42.87,1,3,NULL),(16,3213269,'1990-10-05 00:00:00',2,1,12,2007,'M','N','CENTRO','NOVA ESPERANçA','PR','116161161317131431423823282324610142072',10024,'9998',48.74,1,3,NULL),(16,3213277,'1965-09-14 00:00:00',5,1,12,1986,'M','N','CENTRO','FLORIANóPOLIS','SC','124161168127131411524479495334610132097',NULL,'9998',30.51,1,3,NULL),(16,3213285,'1990-11-05 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124161247316371121328721292124610115115',NULL,'9999',14.80,1,3,NULL),(16,3213307,'1992-01-05 00:00:00',4,6,11,2008,'F','N','CENTRO','BAL PIçARRAS','SC','124241241117131431435831212325610136177',NULL,'614',28.29,4,2,1),(16,3213315,'1989-01-19 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241116473131556632325124610137147',6069,'307',56.20,4,3,NULL),(16,3213323,'1991-03-22 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111431435614575122610164072',633,'738',74.67,1,3,NULL),(16,3213331,'1991-03-07 00:00:00',4,8,12,2007,'M','N','CENTRO','RIO AZUL','PR','116163161215572731488833575122610168012',NULL,'9998',0.00,1,3,NULL),(16,3213340,'1984-07-19 00:00:00',2,1,12,2003,'F','N','SERRARIAS','SAO JOSE','SC','124241241121371431313424441324610125197',NULL,'726',26.34,2,1,1),(16,3213358,'1991-03-08 00:00:00',2,1,12,2007,'F','N','HERMANS M BARROS','MARINGá','PR','116162168214372431436624574114610134187',7475,'9998',53.36,4,3,NULL),(16,3213366,'1991-04-27 00:00:00',4,5,12,2008,'M','N','MATO ALTO','ARARANGUá','SC','124243241115411431549611575121610118012',7569,'30',53.20,1,3,NULL),(16,3213374,'1987-02-16 00:00:00',4,1,12,2004,'M','N','PARQUE GLORIA','CATANDUVA','SP','125252251216573731368867575124610167042',2320,'9998',65.97,1,3,NULL),(16,3213390,'1990-10-31 00:00:00',4,1,11,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215111411359923572122610111152',13976,'270',41.70,1,3,NULL),(16,3213404,'1989-10-23 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241332131431323628395234610164042',NULL,'9999',13.29,2,3,NULL),(16,3213412,'1990-12-20 00:00:00',2,9,12,2008,'M','N','BRUSQUE','LAGES','SC','124243241215111431556619482125610134052',NULL,'515',28.42,2,1,2),(16,3213420,'1990-12-19 00:00:00',2,1,12,2008,'F','N','BALNEARIO ESTREITO','FLORIANóPOLIS','SC','124242241216131431327824242224610136193',15335,'1134',38.91,4,3,NULL),(16,3213439,'1991-07-01 00:00:00',2,1,12,2008,'M','N','AREIAS','S JOSé','SC','124241241117111331556312342124610127147',NULL,'257',20.08,1,3,NULL),(16,3213447,'1991-04-01 00:00:00',4,1,11,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161236171411578913574112610164122',NULL,'9998',0.00,1,3,NULL),(16,3213455,'1992-02-28 00:00:00',2,4,12,2008,'F','N','CENTRO','QUILOMBO','SC','124246241626161432338811295122610134147',NULL,'647',21.08,1,3,NULL),(16,3213463,'1990-03-30 00:00:00',4,1,12,2007,'M','N','AREIAS','TIJUCAS','SC','124243241132232711426614445131610168172',NULL,'783',0.00,1,3,NULL),(16,3213480,'1991-02-05 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215471431489934591112610124182',3355,'270',62.82,1,3,NULL),(16,3213498,'1988-04-14 00:00:00',4,1,12,2005,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241248212234431669933575124230224097',15392,'270',38.79,2,1,2),(16,3213501,'1990-08-17 00:00:00',2,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241215111431338414572123610167147',NULL,'269',26.39,1,3,NULL),(16,3213510,'1991-05-02 00:00:00',4,2,11,2008,'F','N','SANTANA','RIO SUL','SC','124243241315131451427824571225610162067',8494,'653',51.41,1,3,NULL),(16,3213528,'1990-12-06 00:00:00',4,1,12,2007,'M','N','IMBUI','CACHOEIRINHA','RS','120201201217471531268719395114610167055',8522,'9998',51.38,1,3,NULL),(16,3213544,'1989-02-09 00:00:00',2,3,12,2006,'M','N','CENTRO','ITAPEMA','SC','124241241115271431536913371114131427057',NULL,'406',41.60,1,2,1),(16,3213560,'1986-12-30 00:00:00',4,1,11,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216142411589612492122241022122',NULL,'270',43.12,1,3,NULL),(16,3213579,'1991-01-03 00:00:00',2,4,12,2008,'M','N','CENTRO','XANXERê','SC','124244241416211631466652272124610117044',14703,'9997',40.27,1,3,NULL),(16,3213587,'1987-11-21 00:00:00',2,1,8,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241247436371431435639342224610137043',NULL,'9999',23.26,1,3,NULL),(16,3213595,'1989-01-16 00:00:00',4,8,12,2006,'F','N','JARDIM BONGIOVANI','PRES PRUDENTE','SP','116252251315471431668831574122610124091',NULL,'9998',0.00,1,3,NULL),(16,3213609,'1990-07-01 00:00:00',4,6,12,2008,'F','N','CENTRO','NAVEGANTES','SC','124251241146371431436612575122610132192',4269,'570',60.32,1,2,1),(16,3213617,'1991-05-20 00:00:00',2,4,12,2008,'F','N','GUILHERME REICH','CONCóRDIA','SC','124241241115471431643331574122610122147',8571,'192',51.30,1,2,1),(16,3213625,'1990-07-26 00:00:00',2,1,11,2008,'M','N','PRADO','BIGUAçU','SC','124243247325131111113548282324610127052',NULL,'9999',0.00,1,3,NULL),(16,3213633,'1990-10-30 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215231431366824575124610137072',5656,'883',57.16,1,3,NULL),(16,3213641,'1991-11-19 00:00:00',4,4,12,2008,'M','N','MARIA GORETTI','CHAPECó','SC','124241241117271431227711274225610137177',7470,'169',53.37,1,2,1),(16,3213650,'1991-09-19 00:00:00',2,4,11,2008,'F','N','CENTRO','PALMITOS','SC','124242241215271431446631572125610138192',NULL,'1046',0.00,1,3,NULL),(16,3213668,'1991-08-30 00:00:00',4,8,11,2008,'M','N','VILA NOVA','JOINVILLE','SC','124111241116131411436532244121610166047',12544,'473',44.27,1,2,1),(16,3213676,'1989-04-13 00:00:00',4,1,12,2006,'M','N','FORTALEZA','BARRETOS','SP','125252251217572411548713572114610162157',NULL,'9998',0.00,1,3,NULL),(16,3213692,'1990-10-10 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241137141431457633295122610117062',NULL,'818',41.94,1,3,NULL),(16,3213706,'1991-03-21 00:00:00',2,1,12,2007,'F','N','SERRARIAS','S JOSé','SC','124243241111471431313424581324610114197',NULL,'1116',27.51,2,1,2),(16,3213714,'1991-08-25 00:00:00',4,3,12,2008,'F','N','BATEL','CURITIBA','PR','116162161215371411678912575124610125122',NULL,'9998',0.00,1,3,NULL),(16,3213722,'1991-01-19 00:00:00',2,7,12,2008,'F','N','CENTRO','ÁGUA DOCE','SC','124241241217161431448929572122610141142',NULL,'962',26.40,1,3,NULL),(16,3213730,'1990-03-21 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124243241112572431648714575114610122097',14963,'729',39.74,2,1,2),(16,3213749,'1991-04-20 00:00:00',2,4,11,2008,'F','N','N SRA APARECIDA','FRANCISCO BELTRãO','PR','116241161337371431126579574125610167147',9885,'9998',48.99,1,3,NULL),(16,3213757,'1982-10-16 00:00:00',2,1,12,2000,'F','N','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','224251251336131441233644241224143266157',7847,'9998',52.68,1,3,NULL),(16,3213773,'1982-04-05 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANóPOLIS','SC','124203241111313311162543332122231121172',1075,'9998',71.59,1,3,NULL),(16,3213781,'1990-11-15 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124242241215472431487532222124610166092',8191,'723',52.03,4,3,NULL),(16,3213790,'1992-01-16 00:00:00',4,1,12,2008,'F','N','PEDRA BRANCA','PALHOçA','SC','124242241215111431369959292124610143042',8398,'1011',51.60,4,3,NULL),(16,3213803,'1989-12-06 00:00:00',2,1,12,2007,'M','N','BOM VIVER','BIGUAçU','SC','124243241322161431126544345334610127057',NULL,'295',26.82,1,3,NULL),(16,3213811,'1991-08-05 00:00:00',4,10,11,2008,'F','N','CENTRO','BRAçO NORTE','SC','124241241116131431349933574124610124097',7015,'100',54.25,1,2,1),(16,3213820,'1991-01-22 00:00:00',4,2,12,2008,'F','N','TRIBESS','BLUMENAU','SC','124241241215141411563312341124610121072',12985,'88',43.53,1,3,NULL),(16,3213846,'1982-01-29 00:00:00',2,1,12,2000,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241246111115352535613442131130111011',10508,'307',47.90,1,3,NULL),(16,3213854,'1992-03-01 00:00:00',4,1,11,2008,'M','N','SANTA MôNICA','FRA SANTANA','BA','105052051215111431579932272122610162052',1378,'9998',69.96,1,3,NULL),(16,3213862,'1979-09-02 00:00:00',2,1,12,1996,'M','N','PANTANAL','FLORIANóPOLIS','SC','124171171112131421236349445134142267142',NULL,'9998',22.42,4,2,1),(16,3213870,'1990-02-14 00:00:00',4,1,11,2007,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217472431469811172114610137042',1408,'262',69.75,1,3,NULL),(16,3213889,'1990-12-26 00:00:00',4,2,12,2008,'M','N','INDEPENDENCIA','POUSO REDONDO','SC','124241241315161431446822575122610134062',NULL,'639',17.39,1,3,NULL),(16,3213897,'1991-09-26 00:00:00',4,1,12,2009,'F','S','JOãO PAULO','FLORIANóPOLIS','SC','124243241215111431667833575122610137047',NULL,'272',37.40,1,3,NULL),(16,3213900,'1989-12-26 00:00:00',2,2,11,2007,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124243241215212451327614141135610161092',12144,'88',45.00,1,3,NULL),(16,3213919,'1991-04-15 00:00:00',2,4,12,2008,'F','N','CENTRO','CHAPADA','RS','120201201116151431446912575122610164047',NULL,'9998',36.84,4,2,1),(16,3213927,'1985-09-05 00:00:00',2,2,12,2003,'F','N','CENTRO','BAL CAMBORIú','SC','124131212117371431247611372124343222187',4437,'9998',59.91,1,2,1),(16,3213935,'1993-01-05 00:00:00',2,10,12,2010,'F','S','MAGALHãES','LAGUNA','SC','124243241217111431656823275122610126097',NULL,'9997',28.25,1,3,NULL),(16,3213943,'1991-08-25 00:00:00',4,3,12,2008,'F','N','BATEL','CURITIBA','PR','116162161215371411678912575124610125093',NULL,'9998',0.00,1,3,NULL),(16,3213951,'1991-05-23 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124241241212111431323329392122610124142',14273,'1118',41.10,1,3,NULL),(16,3213960,'1989-12-16 00:00:00',4,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241247435472331556619291324610123147',NULL,'300',21.60,2,3,NULL),(16,3213978,'1992-06-24 00:00:00',4,4,12,2008,'F','N','INTERIOR','SUL BRASIL','SC','124241241125131531522436575224610136146',NULL,'775',27.20,1,2,1),(16,3213986,'1991-06-07 00:00:00',4,1,12,2008,'M','N','SANTA CRUZ','RIBEIRAO PRETO','SP','125252251215111411468931575124610164033',NULL,'9999',44.99,1,3,NULL),(16,3213994,'1956-12-04 00:00:00',2,1,7,1980,'M','N','CENTRO','FLORIANóPOLIS','SC','124241247222144751646329432334122326117',NULL,'9999',0.00,1,3,NULL),(16,3214001,'1988-11-27 00:00:00',4,6,12,2006,'M','N','CORDEIROS','ITAJAí','SC','124244241215111411366613572111133125092',5348,'1058',57.78,1,3,NULL),(16,3214010,'1991-03-13 00:00:00',2,1,12,2007,'F','N','PRAIA COMPRIDA','S JOSé','SC','124242241217372431336414275124230824143',4870,'944',58.94,1,3,NULL),(16,3214028,'1989-09-14 00:00:00',4,1,12,2006,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124242241232112431328621342112132726042',13391,'1022',42.81,1,3,NULL),(16,3214036,'1990-05-30 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244161215272411467561486121122324025',12656,'9998',44.07,1,3,NULL),(16,3214044,'1991-01-09 00:00:00',4,8,12,2008,'M','N','CENTRO','CACOAL','RO','122222221217271431338833572215610127184',NULL,'9998',0.00,4,3,NULL),(16,3214052,'1988-11-25 00:00:00',4,8,12,2007,'M','N','CABRAL','CURITIBA','PR','116162161217571411388831475122141064091',10908,'9998',47.18,1,3,NULL),(16,3214060,'1990-12-07 00:00:00',4,8,11,2008,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241217111431547711312122610141017',NULL,'457',32.04,1,3,NULL),(16,3214079,'1990-02-08 00:00:00',2,1,12,2007,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124241241146212411636613382324610167057',NULL,'294',23.69,1,2,1),(16,3214087,'1990-02-08 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241216472731468317575114610164017',2526,'1022',65.25,1,3,NULL),(16,3214095,'1990-04-23 00:00:00',4,1,11,2008,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241241215151432433312571122610134187',NULL,'273',22.98,1,3,NULL),(16,3214109,'1989-02-09 00:00:00',2,1,12,2006,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241126371431633331245324610124143',10026,'274',48.73,1,2,1),(16,3214117,'1991-10-26 00:00:00',2,9,12,2008,'F','N','TAIOZINHO','RIO CAMPO','SC','124241241121161531425615332134610134057',NULL,'651',30.32,1,3,NULL),(16,3214133,'1990-12-28 00:00:00',2,1,12,2008,'M','N','DOM BOSCO','ITAJAí','SC','124242241217131732236612385111610167183',10663,'388',47.63,4,3,NULL),(16,3214141,'1990-01-24 00:00:00',4,1,11,2007,'F','N','CENTRO','S JOSé','SC','124242241212142432458833492124220868092',NULL,'270',0.00,1,3,NULL),(16,3214150,'1990-05-05 00:00:00',2,1,11,2007,'M','N','GLUCOSTARK','CRUZEIRO SUL','RS','120201201116371511327813435114610127117',9931,'9998',48.90,1,3,NULL),(16,3214168,'1991-06-22 00:00:00',4,1,12,2008,'F','N','JARDIM CENTRAL','FOZ IGUAçU','PR','116162161215171431438712572324610142142',NULL,'9998',34.88,3,3,NULL),(16,3214176,'1988-09-18 00:00:00',4,1,12,2007,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241122331431534314382224610112142',NULL,'296',22.02,1,2,1),(16,3214184,'1987-07-13 00:00:00',2,1,12,2004,'M','N','BALNEáRIO','FLORIANóPOLIS','SC','124242241217272431446814482122610124112',16371,'259',36.09,1,3,NULL),(16,3214192,'1991-09-14 00:00:00',2,2,12,2008,'F','N','PROGRESSO','POUSO REDONDO','SC','124241241315111431345912575122610137052',NULL,'991',29.40,1,3,NULL),(16,3214206,'1990-12-07 00:00:00',2,3,7,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124241247636372431234623575124610112172',11852,'9999',45.55,4,3,NULL),(16,3214214,'1990-11-08 00:00:00',2,1,12,2008,'F','N','JARDIM ALVORADA','VOTUPORANGA','SP','125253251215111411568721575122610122092',12652,'9998',44.08,1,3,NULL),(16,3214222,'1989-10-24 00:00:00',2,1,12,2007,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215472411338614572114610143147',6866,'1022',54.55,1,3,NULL),(16,3214230,'1991-11-08 00:00:00',4,1,12,2008,'M','N','JARDIM BIGUAçU','BIGUAçU','SC','124241241112111431546412122221610137047',NULL,'65',28.77,1,2,1),(16,3214249,'1991-07-18 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215111431468811375121610162092',7249,'226',53.82,1,3,NULL),(16,3214257,'1989-01-18 00:00:00',4,1,12,2006,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241215573431369813574124610127055',573,'951',75.15,1,3,NULL),(16,3214265,'1981-04-17 00:00:00',4,1,12,1998,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124132131215372431437614375123343122192',12637,'9998',44.10,1,3,NULL),(16,3214273,'1989-04-24 00:00:00',2,4,12,2006,'F','N','CENTRO','XANXERê','SC','124244241217472431424432292112131547187',NULL,'836',31.31,1,3,NULL),(16,3214281,'1991-02-26 00:00:00',4,1,11,2008,'F','N','VERENA','STA CRUZ SUL','RS','120202201216131431466614575122610133187',9627,'9998',49.46,1,3,NULL),(16,3214290,'1991-02-21 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244241215111411356924576124610127045',4457,'269',59.88,1,3,NULL),(16,3214303,'1989-06-17 00:00:00',2,1,12,2006,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241335153431333419292124121464042',2902,'1011',64.10,1,3,NULL),(16,3214311,'1990-12-21 00:00:00',4,1,12,2008,'F','N','CENTRO','FRUTAL','MG','125132251215111431586612594122610163122',11011,'9998',46.99,1,3,NULL),(16,3214338,'1989-11-23 00:00:00',2,2,12,2008,'F','N','VILA NOVA','BLUMENAU','SC','124242241216111411229813395124610136122',14513,'1018',40.67,1,3,NULL),(16,3214354,'1985-09-25 00:00:00',4,1,7,2005,'F','N','JOAO PAULO','FLORIANóPOLIS','SC','124242247215142421328612312124133221187',NULL,'9999',0.00,1,3,NULL),(16,3214362,'1965-09-20 00:00:00',4,1,12,1984,'M','N','PORTO DA LAGOA','FLORIANóPOLIS','SC','624253138117132421418848385122121767187',NULL,'9998',0.00,1,3,NULL),(16,3214370,'1991-03-18 00:00:00',2,1,12,2008,'F','N','CENTRO','S BONIFáCIO','SC','124241241126161531353823575121610147142',NULL,'702',18.88,1,2,1),(16,3214389,'1990-12-22 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124252241215111231588612412114610132142',15719,'1022',38.02,1,3,NULL),(16,3214397,'1990-07-21 00:00:00',2,10,12,2007,'M','N','NOVA SAPUCAIA','SAPUCAIA SUL','RS','120203246215472431357814272115243244052',1579,'1120',68.97,1,3,NULL),(16,3214427,'1955-11-28 00:00:00',4,1,12,1980,'F','N','PRAIA DOS INGLESES','FLORIANóPOLIS','SC','124201208126133741136649395124133225177',NULL,'9998',24.78,1,2,1),(16,3214435,'1991-07-12 00:00:00',2,1,12,2008,'M','N','RIO GRANDE','PALHOçA','SC','124241241112151431334413272124610167142',13762,'592',42.14,1,2,1),(16,3214443,'1986-07-08 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANOPOLIS','SC','124242241217141411579913215122610131015',NULL,'270',28.89,1,3,NULL),(16,3214451,'1990-08-13 00:00:00',2,1,12,2008,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124243241415111441369813475124610167011',14352,'1022',40.96,1,3,NULL),(16,3214460,'1991-12-16 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241117142731466619345123610127055',14733,'298',40.21,1,2,1),(16,3214478,'1990-02-07 00:00:00',4,1,6,2008,'M','N','CAMBUí','CAMPINAS','SP','125252257137371411479933372122610147056',NULL,'9998',0.00,1,3,NULL),(16,3214486,'1987-01-03 00:00:00',4,1,7,2006,'F','N','BARREIROS','S JOSé','SC','124242247215471411436612572124130218097',NULL,'9999',18.05,1,3,NULL),(16,3214494,'1990-05-21 00:00:00',4,1,12,2007,'F','N','CRISTO REDENTOR','PTO ALEGRE','RS','120203241315472731437611575124610166047',NULL,'267',39.39,1,3,NULL),(16,3214508,'1991-11-27 00:00:00',4,1,11,2009,'M','S','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215111731459613572122610112017',NULL,'951',49.20,1,3,NULL),(16,3214516,'1988-12-30 00:00:00',4,1,12,2006,'M','N','PARAíSO','S PAULO','SP','125252251215571441479932475112610162142',9453,'647',49.81,1,3,NULL),(16,3214524,'1989-01-25 00:00:00',4,1,12,2006,'F','N','VILA MARIANA','S PAULO','SP','125252251217471431348822371112610134097',NULL,'9998',0.00,1,3,NULL),(16,3214532,'1990-09-04 00:00:00',2,3,12,2007,'F','N','CENTRO','PTO BELO','SC','124241241142131431323111282312610166197',NULL,'630',22.50,1,3,NULL),(16,3214540,'1987-04-04 00:00:00',2,1,3,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241311133411446733575115610117187',10917,'267',47.17,1,3,NULL),(16,3214559,'1992-06-22 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241116131411456613375114610136172',12306,'307',44.72,1,2,1),(16,3214567,'1987-09-13 00:00:00',4,1,12,2004,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124122121217375431569813575114121466185',4243,'9998',60.39,3,3,NULL),(16,3214583,'1991-08-14 00:00:00',4,1,12,2008,'F','N','CENTRO','ARARANGUá','SC','124243241315471431333319572125610114142',NULL,'29',0.00,1,3,NULL),(16,3214591,'1991-11-29 00:00:00',4,1,11,2008,'M','N','VILA BRENNER','CRUZ ALTA','RS','120202201217371431358616571122610127042',6358,'9998',55.56,1,3,NULL),(16,3214605,'1992-05-12 00:00:00',4,1,12,2009,'F','S','TRINDADE','FLORIANóPOLIS','SC','124243241115131431236829572122610123191',NULL,'271',49.41,1,3,NULL),(16,3214613,'1990-02-23 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242242213323231244425455111232527162',3456,'1022',62.51,4,3,NULL),(16,3214630,'1990-03-12 00:00:00',1,1,12,2007,'M','N','VILA VERA CRUZ','APUCARANA','PR','616162161417271431349951476312610142077',11919,'9998',45.42,1,3,NULL),(16,3214648,'1990-07-03 00:00:00',2,3,12,2007,'F','N','CENTRO','BOMBINHAS','SC','124241241117131431426619392114610134197',15882,'96',37.52,1,2,1),(16,3214656,'1991-02-14 00:00:00',4,1,11,2008,'M','N','IMIRIM','S PAULO','SP','125252251215111431578812475132610147042',9958,'9998',48.84,1,3,NULL),(16,3214664,'1991-09-07 00:00:00',4,1,12,2009,'M','S','RIO TAVARES','FLORIANóPOLIS','SC','124242241415111431357922475124610135012',NULL,'270',30.47,1,3,NULL),(16,3214672,'1991-05-03 00:00:00',2,7,12,2008,'M','N','CENTRO','JABORá','SC','124243241217111341468812575115610165052',NULL,'446',18.31,1,3,NULL),(16,3214680,'1990-06-13 00:00:00',4,1,12,2007,'M','N','JARDIM IRACEMA','BARUERI','SP','125252251217571411446612571111610134097',1353,'9998',70.10,4,3,NULL),(16,3214699,'1991-10-24 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241212111431446612222124610117042',NULL,'9997',23.82,1,3,NULL),(16,3214702,'1989-05-08 00:00:00',4,1,11,2006,'M','N','GRANVILLE','TAUBATé','SP','125252251217471431568713575112610122142',NULL,'9998',0.00,1,3,NULL),(16,3214729,'1992-03-27 00:00:00',2,1,12,2009,'M','S','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215111431346924572122610128082',NULL,'266',36.82,1,3,NULL),(16,3214737,'1990-12-20 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124211241117132431326524282334610137052',NULL,'281',26.10,1,3,NULL),(16,3214745,'1991-03-07 00:00:00',4,10,11,2008,'F','N','PASSAGEM','TUBARãO','SC','124242241215111721367712325112610164057',9484,'807',49.75,1,3,NULL),(16,3214753,'1985-12-21 00:00:00',2,1,12,2003,'M','N','PRAINHA','FLORIANóPOLIS','SC','124241241215373731536434442123610137117',8809,'300',50.89,1,3,NULL),(16,3214761,'1988-12-31 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124201205116133211467614482325610167142',NULL,'9998',26.39,1,2,1),(16,3214770,'1989-08-17 00:00:00',4,1,12,2007,'F','N','TATUAPé','S PAULO','SP','125254251216471331539713272112610122092',NULL,'9998',0.00,1,3,NULL),(16,3214796,'1985-08-27 00:00:00',2,1,12,2002,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241121154721443312132124233247122',NULL,'307',41.18,1,2,1),(16,3214800,'1991-07-24 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111431458818572114610167042',2480,'270',65.40,1,3,NULL),(16,3214818,'1992-09-13 00:00:00',4,1,12,2008,'M','N','BARREIROS','SAO JOSE','SC','124242241217111431247819575124610147047',9619,'738',49.47,1,3,NULL),(16,3214826,'1991-06-24 00:00:00',4,1,12,2008,'F','N','VILA SãO JOãO','FLORIANóPOLIS','SC','124242241215371431645723575124610124097',12315,'300',44.70,1,3,NULL),(16,3214834,'1990-06-16 00:00:00',4,9,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124241241116132431346923594124610116092',NULL,'239',28.43,4,1,1),(16,3214842,'1991-04-18 00:00:00',4,8,12,2008,'M','N','JARIVATUBA','JOINVILLE','SC','124243248217111431568632575112610117122',NULL,'494',27.06,3,3,NULL),(16,3214850,'1991-04-23 00:00:00',4,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241316111431437634115124610124147',9084,'1014',50.44,4,1,2),(16,3214869,'1991-01-08 00:00:00',4,5,11,2008,'F','N','CENTRO','URUSSANGA','SC','124242241216121731426514375122610168184',5386,'820',57.68,1,3,NULL),(16,3214877,'1985-08-06 00:00:00',2,1,12,2004,'M','N','AREIAS','TIJUCAS','SC','124241241146131531333513182212133212117',NULL,'783',27.23,1,3,NULL),(16,3214885,'1989-06-27 00:00:00',2,1,11,2006,'M','N','PETRóPOLIS','PTO ALEGRE','RS','120201201116131731228513575121610166197',10299,'9998',48.26,4,1,1),(16,3214893,'1990-12-26 00:00:00',4,1,12,2007,'F','N','VILA CONCEIçãO','PTO ALEGRE','RS','120202201216571431468812591112610137117',NULL,'9998',0.00,1,3,NULL),(16,3214907,'1991-05-23 00:00:00',2,1,12,2008,'M','N','JARDIM SATéLITE','S JOSé CAMPOS','SP','125253251215111231324334375122610167047',8534,'9998',51.37,4,1,2),(16,3214915,'1988-11-10 00:00:00',4,1,12,2006,'M','N','CENTRO','JUNDIAí','SP','125251256227471431344621575122610127052',5328,'9998',57.82,3,3,NULL),(16,3214923,'1987-05-07 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124243247315111431323631242234610124182',NULL,'9999',18.82,4,1,2),(16,3214931,'1991-06-21 00:00:00',2,9,12,2008,'F','N','CENTRO','ITUPORANGA','SC','124244241415111451566511582124610168152',5049,'991',58.51,1,3,NULL),(16,3214940,'1989-12-29 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANOPOLIS','SC','124163161115573431466739174124610167187',1490,'9998',69.44,4,3,NULL),(16,3214958,'1990-12-15 00:00:00',2,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','116163161415111431459722575122610162183',NULL,'723',39.50,1,3,NULL),(16,3214966,'1991-05-14 00:00:00',2,2,12,2008,'M','N','LARANJEIRAS','RIO SUL','SC','124243241215151411226923172124610168042',NULL,'959',46.74,1,3,NULL),(16,3214974,'1991-09-26 00:00:00',2,4,12,2008,'M','N','CENTRO','CONSTANTINA','RS','120201208127161731533314245125610117047',NULL,'9998',20.65,1,2,1),(16,3214982,'1991-02-25 00:00:00',2,1,12,2008,'M','N','TABOãO','RIO SUL','SC','124242247215411431336632345122610127182',11926,'991',45.40,1,3,NULL),(16,3214990,'1991-09-10 00:00:00',2,1,12,2008,'F','N','ST ANTONIO DE LISBOA','FLORIANóPOLIS','SC','124241241115131731335513595114610144117',NULL,'271',26.67,1,2,1),(16,3215008,'1986-04-18 00:00:00',2,1,12,2005,'F','N','BOQUEIRãO','CURITIBA','PR','116163241146273431447614375112610121187',12675,'580',44.04,1,3,NULL),(16,3215032,'1990-08-29 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241132131431453334442124610147187',16429,'307',35.79,1,2,1),(16,3215059,'1990-06-18 00:00:00',4,1,12,2007,'F','N','ZONA DOIS','MARINGá','PR','116162161216471431469932574122610124012',3847,'9998',61.46,1,3,NULL),(16,3215067,'1990-09-21 00:00:00',4,1,12,2008,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217112411369933575122610136037',8125,'951',52.18,1,3,NULL),(16,3215075,'1983-08-09 00:00:00',2,1,11,2000,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241211273431349614582214133216177',8690,'489',51.10,1,3,NULL),(16,3215083,'1989-07-13 00:00:00',2,3,12,2006,'M','N','JARDIM PIONEIROS','PAIçANDU','PR','116161161136131431436514445124242623142',7297,'9998',53.71,4,1,1),(16,3215091,'1991-08-21 00:00:00',4,1,12,2008,'M','N','RIO GRANDE','PALHOçA','SC','124243246115141731433314242334610125052',NULL,'592',22.00,4,3,NULL),(16,3215105,'1991-03-11 00:00:00',2,1,11,2008,'F','N','RACHADEL','ANTôNIO CARLOS','SC','124241241117111431445329596124610127042',10094,'9997',48.62,1,3,NULL),(16,3215113,'1991-03-03 00:00:00',4,9,12,2008,'M','N','VILA NOVA','LAGES','SC','124241241116131411554833395121610127182',14413,'935',40.86,1,2,1),(16,3215121,'1981-04-17 00:00:00',4,1,1,2000,'M','N','BARRA DA TIJUCA','RIO JANEIRO','RJ','121212211216471731378879471122341026187',3497,'9998',62.38,4,3,NULL),(16,3215130,'1991-09-09 00:00:00',4,1,12,2008,'M','N','PICO DO AMOR','CUIABá','MT','111112113117111541656822175112610162182',NULL,'9998',49.67,4,3,NULL),(16,3215148,'1990-10-28 00:00:00',2,1,12,2008,'F','N','CENTRO','PALHOçA','SC','124242241215141431436313575122610122077',NULL,'989',26.36,1,3,NULL),(16,3215156,'1992-04-06 00:00:00',4,1,11,2009,'M','S','BARRA DA LAGOA','FLORIANóPOLIS','SC','124242241215151431358631575122610167127',NULL,'1133',0.00,1,3,NULL),(16,3215164,'1990-11-18 00:00:00',2,1,12,2008,'M','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124241241115131431436614175124610132015',NULL,'288',25.20,1,2,1),(16,3215172,'1978-11-19 00:00:00',2,1,6,1997,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241246116142421343343432232131462042',8115,'306',52.19,1,2,1),(16,3215180,'1991-05-11 00:00:00',4,1,11,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215121431487921472112610127132',1839,'270',67.87,1,3,NULL),(16,3215199,'1990-02-15 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124134241415272431546832572122231467092',4719,'1022',59.27,1,3,NULL),(16,3215202,'1991-07-22 00:00:00',4,8,12,2008,'M','N','BUCAREIM','JOINVILLE','SC','124242241217151441369834575122610168092',3946,'1105',61.21,1,3,NULL),(16,3215210,'1992-02-16 00:00:00',4,1,11,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217151411588813275114610167017',NULL,'262',39.63,1,3,NULL),(16,3215229,'1980-03-29 00:00:00',4,2,12,1999,'F','N','BELA VISTA','GASPAR','SC','124241241122271441333429242122331237067',NULL,'69',21.50,1,2,1),(16,3215237,'1991-04-04 00:00:00',2,2,12,2008,'F','N','GARCIA','BLUMENAU','SC','124241241215111431536532572114610168141',NULL,'86',22.14,1,3,NULL),(16,3215245,'1991-12-12 00:00:00',4,8,12,2008,'M','N','FLORESTA','JOINVILLE','SC','124242241215111431559932575125610144052',5153,'932',58.24,1,3,NULL),(16,3215253,'1991-07-02 00:00:00',2,1,12,2008,'M','N','IPIRANGA','S JOSé','SC','124242241215111231456622475122610117147',NULL,'976',23.50,1,3,NULL),(16,3215261,'1991-05-25 00:00:00',4,1,12,2008,'M','N','VILA HARMONIA','ARARAQUARA','SP','125252251217111531579932295122610147043',NULL,'9998',0.00,1,3,NULL),(16,3215270,'1990-02-03 00:00:00',2,4,11,2007,'F','N','NSA SRA APARECID','FRANCISCO BELTRãO','PR','116162161212472731456833572325610134181',3201,'9998',63.28,1,3,NULL),(16,3215288,'1991-04-27 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215121731368833575125610147035',2304,'270',66.05,1,3,NULL),(16,3215300,'1991-09-26 00:00:00',4,3,11,2008,'F','N','CENTRO','PATO BRANCO','PR','116164161415111731246823575112610131122',13498,'9998',42.62,1,3,NULL),(16,3215318,'1991-10-16 00:00:00',2,1,12,2008,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241115161431423331575124610138012',NULL,'288',29.79,3,2,1),(16,3215342,'1989-03-23 00:00:00',4,1,12,2006,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124242241215573431369834575124230227062',706,'883',74.21,1,3,NULL),(16,3215350,'1989-11-22 00:00:00',2,4,12,2007,'F','N','PRESIDENTE MéDICE','CHAPECó','SC','124241241117471231524335454324610136147',NULL,'601',33.20,4,2,1),(16,3215369,'1991-05-22 00:00:00',2,1,11,2008,'F','N','BELA VISTA','S JOSé','SC','124242241215111431346411592112610127111',14158,'738',41.32,1,3,NULL),(16,3215377,'1986-07-27 00:00:00',4,1,11,2003,'M','N','PARQUE SãO LUCAS','S PAULO','SP','125251251111471431567714345122610164037',NULL,'9998',0.00,1,2,1),(16,3215385,'1989-11-09 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSé','SC','124243241323114111425614343124613267167',4303,'738',60.23,1,3,NULL),(16,3215393,'1990-06-05 00:00:00',2,1,12,2007,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215472431468813575114610127043',9784,'262',49.18,4,1,2),(16,3215407,'1991-07-20 00:00:00',2,10,11,2008,'F','N','CENTRO','TUBARãO','SC','124244241215121431549933274125610127072',NULL,'807',40.20,1,3,NULL),(16,3215415,'1990-11-29 00:00:00',2,4,12,2007,'M','N','INTERIOR','TIGRINHOS','SC','124241241116161431443513475122231515142',16470,'551',35.62,1,3,NULL),(16,3215423,'1991-07-04 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215272431568614575122610131092',10020,'1038',48.74,3,3,NULL),(16,3215431,'1991-01-09 00:00:00',4,1,11,2007,'F','N','PARAISO','S PAULO','SP','125252251217471411488811572115610124192',NULL,'9998',0.00,1,3,NULL),(16,3215440,'1992-02-04 00:00:00',4,8,10,2008,'M','N','JARDIM PALMEIRAS','CASCAVEL','PR','116272161215121431458822271124610164052',970,'9998',72.22,1,3,NULL),(16,3215458,'1991-08-31 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124204241217111751428614575114610124197',16328,'1022',36.27,1,3,NULL),(16,3215466,'1991-04-14 00:00:00',2,1,12,2008,'M','N','CENTRO','LARANJEIRAS SUL','PR','116161161115131431548935572222610127072',NULL,'9998',0.00,1,3,NULL),(16,3215474,'1990-05-14 00:00:00',4,8,12,2007,'F','N','GUANABARA','JOINVILLE','SC','124242241215471431437639441114610127187',NULL,'1105',0.00,1,3,NULL),(16,3215482,'1991-02-02 00:00:00',2,3,12,2007,'F','N','MARAGATINHO','PALMEIRA MISSõES','RS','120201201115471411443611112124610122092',13783,'9998',42.10,1,2,1),(16,3215490,'1991-03-04 00:00:00',4,1,12,2008,'M','N','JARDIM NOVA AMERICA','ARARAQUARA','SP','125252251217111531468714295122610127043',NULL,'9998',0.00,1,3,NULL),(16,3215504,'1991-05-31 00:00:00',2,3,11,2008,'F','N','CENTRO','JARU','RO','122221221116131431443836145125610134177',NULL,'9998',0.00,4,2,1),(16,3215512,'1985-07-06 00:00:00',2,8,12,2002,'F','N','CENTRO','CURITIBA','PR','116221161316572451554433572115610162077',NULL,'9998',0.00,1,3,NULL),(16,3215520,'1990-10-26 00:00:00',2,10,12,2007,'M','N','CENTRO','GRAVATAL','SC','124241248122161731446639295332610147017',NULL,'331',17.44,1,2,1),(16,3215539,'1990-07-17 00:00:00',4,1,12,2007,'M','N','CIDADE UNIVERSITARIA','CAMPINAS','SP','125252251215472431379913331122610124076',1415,'9998',69.71,1,3,NULL),(16,3215547,'1991-03-11 00:00:00',4,5,12,2008,'M','N','ALTO FELIZ','ARARANGUá','SC','124241242115111431546714575122610147042',NULL,'690',25.97,1,3,NULL),(16,3215555,'1990-11-19 00:00:00',4,1,12,2008,'F','N','ZONA RURAL','LIMEIRA','SP','125251251116271421558614575124610121093',NULL,'9998',24.68,1,2,1),(16,3215563,'1992-11-18 00:00:00',4,1,12,2009,'F','S','CENTRO','TIJUCAS','SC','124241241216111751325724345222610118192',NULL,'1119',27.63,1,3,NULL),(16,3215571,'1983-07-03 00:00:00',2,1,7,2003,'M','N','CAMINHO NOVO','PALHOçA','SC','124243241127133431443419145114610114052',15439,'591',38.68,1,3,NULL),(16,3215580,'1990-05-17 00:00:00',4,8,12,2007,'F','N','CAPAO RASO','CURITIBA','PR','116162161216471431358914574124610122182',NULL,'9998',0.00,1,3,NULL),(16,3215598,'1987-11-30 00:00:00',4,1,12,2005,'M','N','VILA MARIANA','SAO PAULO','SP','125252251215572451479819572112610167047',1994,'9998',67.20,1,3,NULL),(16,3215601,'1991-05-17 00:00:00',2,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241147131411536631345134610132057',NULL,'322',32.77,1,2,1),(16,3215610,'1992-10-08 00:00:00',4,7,12,2008,'F','N','FLOR DA SERRA','JOAçABA','SC','124244241217131431444814573222610164147',10436,'454',48.03,1,3,NULL),(16,3215628,'1990-11-01 00:00:00',2,1,12,2007,'M','N','SERRARIA','S JOSé','SC','124241241115372431236923345334610167052',NULL,'65',37.54,1,2,1),(16,3215636,'1984-04-27 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241121131412523311181324610137027',NULL,'287',0.00,1,2,1),(16,3215644,'1991-04-04 00:00:00',2,2,12,2008,'F','N','GARCIA','BLUMENAU','SC','124241241212111431536532572124610123142',NULL,'86',32.52,1,3,NULL),(16,3215652,'1982-02-22 00:00:00',2,1,4,2001,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124201206126271431133344345124143265043',14090,'9998',41.47,1,2,1),(16,3215660,'1992-05-28 00:00:00',2,5,12,2009,'F','S','CENTRO','TURVO','SC','124244241215111431423319495122610118097',NULL,'813',29.45,1,3,NULL),(16,3215679,'1987-12-17 00:00:00',4,1,12,2007,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124201201116271431333361245124610132142',NULL,'258',25.27,1,2,1),(16,3215687,'1991-10-29 00:00:00',2,7,12,2008,'M','N','VILA ALEMANHA','LUZERNA','SC','124241241137142431456624346124610134077',NULL,'539',36.01,1,2,1),(16,3215695,'1992-04-06 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217111411279833572125610134012',16523,'270',35.36,1,3,NULL),(16,3215709,'1991-07-17 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIúMA','SC','124242241217111431549814575124610164142',8225,'995',51.94,1,3,NULL),(16,3215717,'1991-03-22 00:00:00',4,8,12,2007,'M','N','CAPAO RASO','CURITIBA','PR','116161161216471431365612575124610122042',NULL,'9998',0.00,1,3,NULL),(16,3215725,'1991-01-27 00:00:00',4,8,12,2008,'F','N','JARDIM GUAPORé','MARINGá','PR','116161161217111431566924474122610114043',6692,'9998',54.88,1,3,NULL),(16,3215733,'1991-02-18 00:00:00',4,8,11,2008,'M','N','JD GUANABARA','S CARLOS','SP','125252251217171431568811475122610162124',NULL,'9998',0.00,1,3,NULL),(16,3215741,'1986-04-29 00:00:00',2,1,11,2005,'M','N','CARIANOS','FLORIANóPOLIS','SC','124243247311154421456633445134610126115',NULL,'9999',28.46,1,3,NULL),(16,3215750,'1992-01-23 00:00:00',4,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124244241215111411326712595124610124142',12701,'1022',43.99,1,3,NULL),(16,3215768,'1992-03-03 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124162161215111732458814594124610133047',6798,'9998',54.66,1,3,NULL),(16,3215776,'1992-02-19 00:00:00',4,1,12,2008,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242246215111731536811415122610124142',NULL,'1133',27.65,1,3,NULL),(16,3215784,'1990-08-16 00:00:00',2,1,12,2008,'M','N','FLOR DE NáPOLIS','S JOSé','SC','124241241215131231326613431224610138177',NULL,'724',25.66,1,3,NULL),(16,3215792,'1991-02-08 00:00:00',4,1,11,2008,'M','N','FORQUILHAS','S JOSé','SC','124241241115371431434624345124610126197',NULL,'733',24.43,1,3,NULL),(16,3215806,'1991-08-25 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124244241215111431646412245122610168185',7777,'723',52.82,1,3,NULL),(16,3215814,'1992-10-23 00:00:00',4,2,12,2009,'F','S','EUGENIO SCHNEIDER','RIO SUL','SC','624242241215111431569833295125610164052',NULL,'9997',38.89,1,3,NULL),(16,3215822,'1985-09-01 00:00:00',2,8,12,2002,'M','N','VISTA ALEGRE','CURITIBA','PR','116031031117131411228644345121143267052',NULL,'9998',0.00,2,1,1),(16,3215830,'1988-05-02 00:00:00',2,1,12,2005,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124243241215271731428621285124610164187',15131,'1022',39.35,1,3,NULL),(16,3215849,'1992-04-01 00:00:00',4,1,12,2009,'M','S','RACHADEL','ANTôNIO CARLOS','SC','124241241116131231433436192322610137047',NULL,'21',42.81,1,3,NULL),(16,3215857,'1990-11-19 00:00:00',4,1,8,2008,'M','N','PONTA DE BAIXO','S JOSé','SC','124242241115371231226624575114610114042',14463,'739',40.76,2,1,2),(16,3215865,'1988-05-03 00:00:00',2,1,12,2005,'M','N','REQUIãO III','MARINGá','PR','116161161117271411436623145124610115147',NULL,'9998',27.06,4,1,1),(16,3215873,'1992-08-25 00:00:00',4,1,12,2009,'M','S','DOM JOAQUIM','BRUSQUE','SC','124243241217171431556616472122610138192',NULL,'109',51.07,1,3,NULL),(16,3215881,'1991-09-15 00:00:00',4,1,11,2008,'M','N','LAGOA DA CONCEIçãP','FLORIANóPOLIS','SC','124242241215111431489952442112610167112',2834,'270',64.27,1,3,NULL),(16,3215890,'1992-05-14 00:00:00',4,1,10,2009,'F','S','CACUPé','FLORIANóPOLIS','SC','124242241215111731558813472112610163142',NULL,'266',39.20,1,3,NULL),(16,3215920,'1990-09-27 00:00:00',2,1,12,2007,'F','N','ESTREITO BALNEáRIO','FLORIANóPOLIS','SC','124242241215372731456924572112610126072',14759,'266',40.15,1,3,NULL),(16,3215938,'1992-01-04 00:00:00',4,1,12,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124242241215111431454452572122610162197',NULL,'1022',36.97,1,3,NULL),(16,3215946,'1991-12-30 00:00:00',2,5,12,2008,'F','N','CENTRO','ARARANGUá','SC','124241241217111431556414575122610148147',5264,'26',57.95,1,3,NULL),(16,3215954,'1989-08-13 00:00:00',4,5,11,2007,'F','N','SÃO LUIZ','CRICIUMA','SC','124242241231472431558612572112610122092',5953,'226',56.44,1,3,NULL),(16,3215970,'1991-08-07 00:00:00',4,1,11,2008,'F','N','FLORESTA','S JOSé','SC','124241241115141732547424392124610115187',NULL,'307',4.71,4,1,1),(16,3215989,'1991-11-24 00:00:00',4,8,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','116164161415111431379914574322610127097',NULL,'9998',0.00,1,3,NULL),(16,3215997,'1981-07-01 00:00:00',2,1,12,2008,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','224241247325272431224654376224610123157',14477,'9999',40.73,1,3,NULL),(16,3216004,'1991-06-09 00:00:00',2,1,11,2008,'M','N','PRAIA DE FORA','PALHOçA','SC','124241241416111431536312415124610117041',11867,'1011',45.53,1,3,NULL),(16,3216012,'1990-01-28 00:00:00',2,8,12,2007,'M','N','VILA MARIANA','S PAULO','SP','125252251216471431459931312123610127052',14191,'9998',41.25,1,3,NULL),(16,3216047,'1986-10-21 00:00:00',2,1,11,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241247227271431446613292122610127027',NULL,'9997',32.82,4,3,NULL),(16,3216055,'1990-08-16 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANóPOLIS','SC','124242241215372431446874375124610163141',5687,'1022',57.11,1,3,NULL),(16,3216063,'1989-11-25 00:00:00',4,1,12,2007,'F','N','SETOR BELA VISTA','GOIâNIA','GO','109092091217471411388833572112610123097',5762,'9998',56.93,4,3,NULL),(16,3216071,'1991-11-20 00:00:00',4,3,11,2008,'M','N','JARDIM DAS AMÉRICAS','CUIABA','MT','111112111217121431468834575114610137072',6417,'9998',55.44,1,3,NULL),(16,3216080,'1990-03-18 00:00:00',4,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241115131432536634342112610144057',NULL,'592',27.66,1,3,NULL),(16,3216098,'1989-12-08 00:00:00',4,8,12,2006,'F','N','CENTRO','PATO BRANCO','PR','116162161217571231536632176344610163177',NULL,'9998',45.42,1,3,NULL),(16,3216101,'1991-11-25 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241117371431525511575124610134147',11036,'288',46.95,1,2,1),(16,3216110,'1988-11-03 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241126132431549513345124610116052',16120,'922',36.88,1,3,NULL),(16,3216136,'1990-09-15 00:00:00',4,8,12,2008,'F','N','CENTRO','ENG BELTRãO','PR','116163161316111411468932572122610146142',NULL,'9998',0.00,1,3,NULL),(16,3216144,'1991-05-03 00:00:00',2,1,11,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124242241215111231566434245124610124147',NULL,'1048',31.37,1,3,NULL),(16,3216152,'1991-02-15 00:00:00',4,2,12,2008,'M','N','VILA NOVA','BLUMENAU','SC','124242241215111431389811474112610136112',3339,'855',62.88,1,3,NULL),(16,3216160,'1990-12-10 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124242241215112431465614372122610137052',2640,'262',64.86,1,3,NULL),(16,3216179,'1991-07-25 00:00:00',4,5,11,2008,'M','N','CENTRO','NOVO HAMBURGO','RS','120203201217272731479834575125610167047',8716,'9998',51.05,1,3,NULL),(16,3216217,'1989-01-04 00:00:00',4,1,11,2005,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215473441456639375124610134052',10512,'272',47.89,1,3,NULL),(16,3216225,'1991-03-11 00:00:00',4,9,12,2008,'M','N','IPIRANGA','LAGES','SC','124242241215111432558812425121610167042',10510,'499',47.90,1,3,NULL),(16,3216233,'1990-08-20 00:00:00',4,1,12,2007,'M','N','MADUREIRA','CAXIAS SUL','RS','120202201215471431448832575112240367057',6120,'9998',56.09,1,3,NULL),(16,3216241,'1991-04-09 00:00:00',4,8,11,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215112411358319595124610127182',9471,'457',49.78,1,3,NULL),(16,3216250,'1990-07-09 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241117141711545313342122610122141',NULL,'298',24.77,1,2,1),(16,3216276,'1991-05-15 00:00:00',4,10,11,2008,'M','N','REVOREDO','TUBARãO','SC','124242241215111531656612225112610137042',12491,'807',44.39,1,3,NULL),(16,3216284,'1990-10-11 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124212241215111412379613595124610163092',4024,'270',61.00,1,3,NULL),(16,3216292,'1990-04-14 00:00:00',4,5,12,2007,'F','N','CENTRO','CRICIúMA','SC','124242241215472431468812421122610124182',11400,'226',46.34,1,3,NULL),(16,3216306,'1990-08-05 00:00:00',4,8,12,2007,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161216371431388821574122610162042',890,'9998',72.76,1,3,NULL),(16,3216314,'1991-04-27 00:00:00',4,5,11,2008,'F','N','COMERCIARIO','CRICIúMA','SC','124242241217111411369834575122610138142',14488,'210',40.72,1,3,NULL),(16,3216322,'1984-01-08 00:00:00',4,1,12,2001,'M','N','JAQUELINE','BELO HORIZONTE','MG','113133131115131411421923445124240667182',10808,'9998',47.34,2,3,NULL),(16,3216330,'1990-03-22 00:00:00',4,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241217121731468934575122610164197',NULL,'272',31.26,1,3,NULL),(16,3216349,'1987-02-13 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241216132431549313345123610126043',NULL,'977',21.02,1,3,NULL),(16,3216357,'1992-10-15 00:00:00',4,1,11,2008,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124242241215111431323319245124610132145',8995,'266',50.60,1,3,NULL),(16,3216365,'1990-10-27 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241217111431449613572114610167045',1886,'270',67.65,1,3,NULL),(16,3216373,'1986-10-27 00:00:00',4,1,12,2005,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241217134431227921115124230237117',NULL,'951',0.00,1,3,NULL),(16,3216381,'1963-05-20 00:00:00',3,1,7,1983,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242246317474451455679495135330451196',NULL,'306',26.86,1,3,NULL),(16,3216403,'1989-02-17 00:00:00',4,1,12,2008,'F','N','VILA NOVA','IMBITUBA','SC','124242241215111731367414275122610123186',16128,'362',36.84,1,3,NULL),(16,3216411,'1991-10-14 00:00:00',4,1,12,2007,'F','N','ABRAãO','FLORIANóPOLIS','SC','124242241215472431356832572124610126097',1373,'1022',69.99,1,3,NULL),(16,3216420,'1991-03-23 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124241241232111441337711575114610168017',9220,'737',50.21,1,3,NULL),(16,3216438,'1989-11-14 00:00:00',4,6,12,2007,'F','N','CENTRO','ITAJAí','SC','120242241213271432436834382124132563111',7095,'392',54.11,1,3,NULL),(16,3216446,'1990-01-10 00:00:00',2,1,12,2007,'F','N','TRISTEZA','PTO ALEGRE','RS','120203201317471431446712571114610124047',NULL,'9998',32.48,1,3,NULL),(16,3216462,'1979-07-26 00:00:00',4,1,12,1997,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124124121236153441668831295124241032097',4901,'9998',58.86,1,3,NULL),(16,3216470,'1986-09-19 00:00:00',2,1,12,2004,'F','N','STO ANTONIO LISBOA','FLORIANOPOLIS','SC','124202208417571431128649392324143128112',NULL,'9998',0.00,1,3,NULL),(16,3216489,'1986-07-19 00:00:00',4,1,12,2003,'F','N','VICENTE PIRES','TAGUATINGA','DF','107251251117571731436861575124610167097',456,'9998',76.19,1,2,1),(16,3216497,'1991-06-30 00:00:00',4,1,11,2008,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241215151531558812572112610167046',NULL,'262',39.60,1,3,NULL),(16,3216500,'1990-08-28 00:00:00',4,9,11,2008,'M','N','CORAL','LAGES','SC','124092241215151431488814475122610118052',NULL,'497',41.99,1,3,NULL),(16,3216519,'1990-09-11 00:00:00',2,4,12,2007,'M','N','INTERIOR','IRACEMINHA','SC','124241241116132731323316242311610127057',NULL,'377',34.77,1,2,1),(16,3216527,'1991-08-06 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241216372431288823575124131924172',3284,'1022',63.05,2,3,NULL),(16,3216535,'1991-04-17 00:00:00',4,1,12,2008,'M','N','JARDIM SANTO ELIAS','S PAULO','SP','125254251417111431337731572122610147042',NULL,'9998',0.00,1,3,NULL),(16,3216543,'1990-04-24 00:00:00',4,3,12,2007,'M','N','CENTRO','CAMBORIú','SC','124201201117131431646662345221230247057',NULL,'9998',29.04,1,2,1),(16,3216551,'1992-04-03 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241115151431338831572122610125042',11801,'271',45.63,1,3,NULL),(16,3216560,'1991-09-28 00:00:00',4,1,12,2008,'F','N','SETOR UNIVERSITARIO','GOIâNIA','GO','109112098215111751578734592122610168112',NULL,'9998',0.00,1,3,NULL),(16,3216578,'1990-02-21 00:00:00',4,1,12,2007,'M','N','JARDIM ALVORADA','AMERICANA','SP','125254251245471731546614575114610132174',NULL,'9998',0.00,1,3,NULL),(16,3216586,'1991-01-06 00:00:00',2,10,12,2008,'F','N','CENTRO','TUBARãO','SC','124244241215172431446814345122610134147',11905,'807',45.44,1,3,NULL),(16,3216594,'1987-11-21 00:00:00',2,8,12,2004,'M','N','VILA IZABEL','CURITIBA','PR','116164161116571731338834572124610147067',550,'9998',75.41,1,3,NULL),(16,3216608,'1991-07-19 00:00:00',4,4,12,2008,'F','N','CENTRO','MEDIANEIRA','PR','116162161215111711357512275122610164017',12135,'9998',45.02,1,3,NULL),(16,3216616,'1990-11-06 00:00:00',4,1,12,2007,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215212311427711175114132167065',9131,'270',50.35,1,3,NULL),(16,3216624,'1992-01-15 00:00:00',4,1,9,2009,'F','S','ABRAãO','FLORIANóPOLIS','SC','124242241215111431679923472122610147172',NULL,'737',44.37,1,3,NULL),(16,3216632,'1988-11-01 00:00:00',2,1,11,2006,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241211223731458912572111130262172',675,'270',74.37,5,3,NULL),(16,3216640,'1992-10-11 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','125244258211122211549813571114610157052',1054,'270',71.71,1,3,NULL),(16,3216659,'1992-07-27 00:00:00',4,1,11,2009,'F','S','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242243236111732446632375122610152197',NULL,'259',21.11,4,3,NULL),(16,3216667,'1991-07-11 00:00:00',2,1,11,2008,'M','N','JARDIM JANAíNA','BIGUAçU','SC','124241241216161332369513571124610117041',NULL,'63',20.69,1,3,NULL),(16,3216675,'1992-02-18 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241212111431268833572112610117072',NULL,'270',51.60,1,3,NULL),(16,3216683,'1990-02-12 00:00:00',2,1,12,2007,'M','N','MACACU','GAROPABA','SC','124241241147232431425511574324610147042',15149,'322',39.30,1,2,1),(16,3216691,'1991-12-05 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431468813572112610134042',4442,'262',59.91,1,3,NULL),(16,3216705,'1990-12-13 00:00:00',2,1,12,2008,'M','N','FURADINHO','PALHOçA','SC','124241241115131411334314595124610162177',NULL,'592',31.61,1,2,1),(16,3216713,'1991-10-10 00:00:00',4,9,12,2008,'F','N','NOVA PETROPOLIS','LAGES','SC','124242241215372431456619371122610162142',1949,'499',67.38,1,3,NULL),(16,3216721,'1991-02-13 00:00:00',4,5,10,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215111431368833375122610128052',9275,'213',50.12,1,3,NULL),(16,3216730,'1989-08-16 00:00:00',4,1,7,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215472731469913575124610122141',3473,'9997',62.46,1,3,NULL),(16,3216756,'1991-12-07 00:00:00',4,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241216151732426612575124610164145',14170,'1014',41.28,1,3,NULL),(16,3216764,'1989-06-16 00:00:00',2,3,12,2006,'F','N','CENTRO','SORRISO','MT','111112111216242431563831575124240432142',5102,'9998',58.39,1,3,NULL),(16,3216780,'1990-03-27 00:00:00',5,7,12,2007,'M','N','CENTRO','TREZE TíLIAS','SC','124241241137131711358933315112610167077',NULL,'795',21.92,1,2,1),(16,3216799,'1991-08-17 00:00:00',4,9,12,2008,'M','N','EXPOSIçãO','CAXIAS SUL','RS','120202201215371431469914575112610167042',NULL,'9998',0.00,1,3,NULL),(16,3216802,'1991-09-22 00:00:00',2,8,12,2008,'F','N','SAGUAçú','JOINVILLE','SC','124244241211141431649812342124610167077',NULL,'1105',28.48,1,3,NULL),(16,3216810,'1991-03-12 00:00:00',2,1,11,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124246241215111431435623574124610167115',6755,'270',54.75,1,3,NULL),(16,3216837,'1991-01-09 00:00:00',2,2,12,2008,'F','N','SALTO DO NORTE','BLUMENAU','SC','124241241217111431445511571124610164072',NULL,'88',19.18,1,3,NULL),(16,3216845,'1991-11-29 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111411436612591122610124012',NULL,'738',24.86,1,3,NULL),(16,3216853,'1992-03-20 00:00:00',2,4,12,2008,'F','N','JARDIM IGUAçU','ARAUCáRIA','PR','116162161216131431437734275112610122144',NULL,'9998',0.00,1,3,NULL),(16,3216870,'1992-02-04 00:00:00',4,9,12,2009,'F','S','SAGRADO C DE JESUS','LAGES','SC','124241241215111731438934272125610128182',NULL,'1146',35.34,1,3,NULL),(16,3216888,'1991-06-20 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241215371731438734575122610128142',6735,'499',54.80,1,3,NULL),(16,3216896,'1991-04-29 00:00:00',4,8,12,2008,'M','N','SAGUAçú','JOINVILLE','SC','124241241215111732566711575122610144012',12037,'1006',45.21,1,3,NULL),(16,3216900,'1993-01-03 00:00:00',4,4,12,2009,'F','S','CINQUENTENáRIO','CONCóRDIA','SC','124244241216111731448812427112610162152',NULL,'1047',24.01,1,3,NULL),(16,3216918,'1991-06-09 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124241241215111431456771172125610168187',11447,'1017',46.27,1,3,NULL),(16,3216926,'1981-05-12 00:00:00',4,2,3,2002,'M','N','ESCOLA AGRíCOLA','BLUMENAU','SC','124241247147131411346811415114610122182',NULL,'9999',35.43,1,3,NULL),(16,3216934,'1988-11-16 00:00:00',2,4,12,2006,'M','N','JARDIM','S JOSé CEDRO','SC','124241241216572731569314591112610167052',14113,'752',41.41,3,3,NULL),(16,3216942,'1990-04-22 00:00:00',2,1,12,2007,'F','N','JURERE TRADICIONAL','FLORIANóPOLIS','SC','124201201115472431437933475124610144187',8305,'9998',51.78,1,2,1),(16,3216950,'1992-05-22 00:00:00',2,1,12,2009,'F','S','SACO DOS LIMOES','FLORIANóPOLIS','SC','124241241112111752446633395124610167077',NULL,'307',42.27,1,3,NULL),(16,3216977,'1989-04-11 00:00:00',4,1,12,2006,'F','N','IPANEMA','RIO JANEIRO','RJ','121252211216572441379814495114610167092',764,'9998',73.71,1,3,NULL),(16,3216985,'1991-10-09 00:00:00',4,9,11,2008,'M','N','SANTA HELENA','LAGES','SC','124242241215111532479813571111610137082',15330,'497',38.91,1,3,NULL),(16,3216993,'1991-08-10 00:00:00',2,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111431446613575124610137052',6847,'270',54.58,1,3,NULL),(16,3217000,'1991-05-30 00:00:00',4,8,12,2008,'M','N','VILA MARIANA','S PAULO','SP','125244251217121631467614572115610167082',15962,'9998',37.33,1,3,NULL),(16,3217019,'1988-08-17 00:00:00',2,8,12,2005,'M','N','CENTRO','CIANORTE','PR','116163161317371422456832572122140267042',3378,'9998',62.76,1,3,NULL),(16,3217027,'1988-12-30 00:00:00',2,1,11,2005,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241336474121436832445114233226084',NULL,'969',28.22,1,3,NULL),(16,3217035,'1990-10-21 01:00:00',4,1,7,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215371411469913575124610122012',NULL,'262',23.11,1,3,NULL),(16,3217043,'1989-05-26 00:00:00',2,1,12,2006,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241117133431323334412324610127057',NULL,'9997',32.18,1,3,NULL),(16,3217051,'1991-02-07 00:00:00',2,5,11,2008,'M','N','CENTRO','TURVO','SC','124242241217111431456613475121610137047',6025,'813',56.30,1,3,NULL),(16,3217078,'1991-10-28 00:00:00',4,4,11,2008,'M','N','SãO MIGUEL','CONCóRDIA','SC','124241241316471431366829575112610162013',NULL,'192',42.02,1,3,NULL),(16,3217086,'1987-04-20 00:00:00',4,1,12,2003,'F','N','JURERê','FLORIANóPOLIS','SC','124242241217373431559932375124222061042',6660,'9998',54.95,1,3,NULL),(16,3217094,'1989-12-05 00:00:00',2,8,12,2007,'F','N','COMASA','JOINVILLE','SC','124243241115471731456833574124610133042',6016,'478',56.32,1,3,NULL),(16,3217116,'1989-09-13 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124201211416272731239813575113142823147',5398,'9998',57.66,1,3,NULL),(16,3217124,'1991-03-21 00:00:00',2,1,10,2008,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124243241415121431436933575124610144092',5596,'1022',57.27,1,3,NULL),(16,3217132,'1991-01-14 00:00:00',2,4,12,2007,'M','N','VILA NOVA','FRANCISCO BELTRãO','PR','116163161216272431348833595122141427057',6212,'9998',55.88,4,3,NULL),(16,3217159,'1991-05-23 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242248215111431358931575114610128192',5161,'270',58.21,1,3,NULL),(16,3217167,'1984-07-09 00:00:00',4,1,12,2001,'M','N','LOT FERNANDA','CAPINZAL','SC','124243241216372711457516345124323268183',312,'155',77.89,1,3,NULL),(16,3217175,'1990-04-11 00:00:00',4,7,12,2007,'F','N','CENTRO','MACHADINHO','RS','120201201116272431434912572114610163097',5585,'9998',57.29,1,2,1),(16,3217213,'1989-03-04 00:00:00',4,1,12,2005,'F','N','JD NOVO HORIZONTE','MARINGá','PR','116162161216572731569933572112610163147',8570,'9998',51.31,1,3,NULL),(16,3217230,'1987-08-15 00:00:00',4,1,12,2005,'F','N','VILA INDUSTRIAL','CAMPINAS','SP','125252251225574451348729175125610164042',9771,'9998',49.21,1,3,NULL),(16,3217248,'1991-11-25 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241215112431469834145122610127127',NULL,'273',35.22,1,3,NULL),(16,3217272,'1992-02-26 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124132248211111642466732291112613218197',NULL,'1022',26.93,1,3,NULL),(16,3217280,'1991-07-26 00:00:00',4,1,11,2008,'F','N','CENTRO','STO AUGUSTO','RS','120202201217271741466931574122610144142',12067,'9998',45.16,1,3,NULL),(16,3217299,'1990-02-10 00:00:00',4,9,12,2007,'M','N','CARAVáGIO','LAGES','SC','124241241316122431466413135122610117047',NULL,'1146',0.00,1,3,NULL),(16,3217302,'1986-10-20 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241247416371331234623345124610137047',NULL,'9999',24.64,4,3,NULL),(16,3217329,'1990-04-07 00:00:00',4,1,11,2007,'M','N','VILA REDENTORA','S JOSé R PRETO','SP','125122121415471431458832475122610137127',NULL,'9998',38.12,4,1,2),(16,3217337,'1990-07-12 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241216372331476812575114223267051',3551,'737',62.21,1,3,NULL),(16,3217361,'1990-11-16 00:00:00',2,4,12,2007,'M','N','ALTO PARAíSO','PANAMBI','RS','120203201216472431439913572115610137012',2527,'9998',65.25,1,3,NULL),(16,3217370,'1990-02-02 00:00:00',4,1,12,2007,'M','N','CENTRO','S BERNARDO CAMPO','SP','125252251217471431389834575112610167132',1395,'9998',69.85,1,3,NULL),(16,3217388,'1987-04-15 00:00:00',4,1,12,2008,'M','N','GARCIA','ANGELINA','SC','124241241135212531323435292324610118062',NULL,'17',0.00,1,2,1),(16,3217396,'1991-04-01 00:00:00',2,10,11,2008,'M','N','MAR GROSSO','LAGUNA','SC','124241241215121431568632225112610167042',NULL,'807',42.79,1,3,NULL),(16,3217400,'1989-07-01 00:00:00',2,1,12,2006,'M','N','JOSé MENDES','FLORIANóPOLIS','SC','124241241117272431555823345124610121087',6546,'307',55.18,1,2,1),(16,3217418,'1990-08-31 00:00:00',2,1,12,2007,'F','N','IPIRANGA','S PAULO','SP','125252251217471431456832342125610164017',NULL,'9998',0.00,1,3,NULL),(16,3217426,'1992-04-16 00:00:00',4,9,12,2008,'M','N','CORAL','LAGES','SC','124241241116111431459933572124610168187',NULL,'935',31.77,1,2,1),(16,3217434,'1978-04-16 00:00:00',4,1,11,1997,'F','N','COSTEIRA','FLORIANóPOLIS','SC','124241244127131431328544345124610126157',NULL,'9997',0.00,1,3,NULL),(16,3217442,'1991-01-19 00:00:00',4,1,12,2008,'F','N','CENTRO','GOIâNIA','GO','109091091117111411338821572122610133092',2792,'9998',64.44,1,3,NULL),(16,3217450,'1989-08-16 00:00:00',4,8,12,2006,'F','N','CENTRO','IPORã','PR','116161161115571731539631575125610165077',NULL,'9998',0.00,1,2,1),(16,3217469,'1987-08-13 00:00:00',4,1,12,2005,'F','N','PARQUE SãO JORGE','FLORIANóPOLIS','SC','124242241215274431558733475124133232042',5789,'883',56.84,1,3,NULL),(16,3217477,'1991-10-24 00:00:00',4,8,12,2008,'M','N','CENTRO','GUARATUBA','PR','116161246215111431346923575122610117077',NULL,'1105',29.45,1,3,NULL),(16,3217485,'1988-04-02 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241216373431388613475124221422142',3015,'270',63.74,1,3,NULL),(16,3217493,'1988-03-16 00:00:00',4,1,12,2005,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241212474431579813575124243224183',2092,'269',66.82,1,3,NULL),(16,3217507,'1991-09-12 00:00:00',2,1,12,2008,'F','N','MADRI','PALHOçA','SC','124241241116161431625514185124610133012',NULL,'591',28.42,1,2,1),(16,3217515,'1991-07-21 00:00:00',4,10,11,2008,'F','N','SãO LUíS','TREZE MAIO','SC','124241241115131431626426574224610168147',NULL,'793',23.44,1,3,NULL),(16,3217531,'1992-10-28 00:00:00',4,10,10,2009,'M','S','S ANTôNIO DE PáDUA','TUBARãO','SC','124241246237111531548613575125610134182',NULL,'1120',26.38,2,3,NULL),(16,3217540,'1991-03-25 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215131731436821575122610138177',NULL,'273',32.48,1,3,NULL),(16,3217558,'1991-08-26 00:00:00',2,4,12,2008,'M','N','MIRANTE','ITá','SC','124241247215111431459613295121610117057',10290,'384',48.27,1,3,NULL),(16,3217566,'1981-12-06 00:00:00',2,1,12,2001,'M','N','CAEIRA SACO LIMOES','FLORIANóPOLIS','SC','124241241126575711532214141124610164187',8806,'307',50.89,4,2,1),(16,3217574,'1989-08-18 00:00:00',2,1,12,2007,'M','N','BELA VISTA','SORRISO','MT','111114111434271231356676335112610167052',NULL,'9998',0.00,1,3,NULL),(16,3217582,'1991-10-12 00:00:00',4,1,12,2008,'F','N','BALNEáRIO','FLORIANóPOLIS','SC','124242241215111431455611375122610128147',NULL,'259',25.62,1,3,NULL),(16,3217590,'1991-01-22 00:00:00',4,5,12,2008,'M','N','JARDIM SãO LUíS','MONTES CLAROS','MG','113242131235111431569833575121610127072',12021,'9998',45.23,4,3,NULL),(16,3217612,'1990-09-03 00:00:00',2,1,12,2007,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124245247416151451647312112124610134157',NULL,'9999',21.36,2,3,NULL),(16,3217647,'1990-03-31 00:00:00',2,1,12,2007,'F','N','PASSA VINTE','PALHOçA','SC','124241241135472731425631242124610144147',16462,'592',35.64,1,2,1),(16,3217655,'1991-05-12 00:00:00',4,9,12,2008,'F','N','CARAVAGIO','LAGES','SC','124242241215131431444614595122610133147',14460,'515',40.76,1,3,NULL),(16,3217663,'1985-03-20 00:00:00',4,1,8,2007,'M','N','JARDIM JANAINA','BIGUAçU','SC','124241247617472431544613345123610126057',NULL,'9999',28.35,1,3,NULL),(16,3217671,'1988-09-22 00:00:00',2,1,12,2006,'M','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','124241241216272751423319485124610147047',10746,'262',47.46,1,3,NULL),(16,3217680,'1991-04-08 00:00:00',2,1,12,2008,'M','N','JOSE MENDES','FLORIANóPOLIS','SC','124242241215121431468613392122610121042',4999,'270',58.61,1,3,NULL),(16,3217698,'1973-01-01 00:00:00',2,1,12,2001,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','224241247346133731333349195113610137047',12259,'9999',44.80,1,3,NULL),(16,3217736,'1987-06-06 00:00:00',4,1,9,2008,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','224241247126131421523644245124610134087',NULL,'9999',25.14,1,3,NULL),(16,3217744,'1992-01-11 00:00:00',4,6,12,2008,'F','N','CENTRO','BARRA VELHA','SC','124162241346141731534412295122610118042',NULL,'57',26.68,1,3,NULL),(16,3217752,'1991-11-18 00:00:00',4,1,11,2009,'M','S','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217111431488913575121610167052',NULL,'272',37.81,1,3,NULL),(16,3217779,'1987-12-24 00:00:00',2,1,12,2006,'F','N','PRAINHA','FLORIANóPOLIS','SC','124241241117133411513424591225610127187',NULL,'307',24.61,1,2,1),(16,3217787,'1990-03-16 00:00:00',4,1,12,2007,'M','N','CHACARA SANTA MARIA','VOTORANTIM','SP','125252251214472431368834571112610164012',3101,'9998',63.53,1,3,NULL),(16,3217809,'1990-11-27 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241215272431466614345114610167042',9750,'266',49.25,4,3,NULL),(16,3217817,'1991-09-16 00:00:00',4,6,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215371431658612242122610132142',NULL,'9997',28.14,1,3,NULL),(16,3217825,'1992-03-05 00:00:00',4,1,11,2008,'F','N','JARDIM ATLâNTICO','S JOSé','SC','124242241217171732526638572122613218087',NULL,'738',26.12,1,3,NULL),(16,3217833,'1991-07-30 00:00:00',2,1,12,2008,'M','N','MORIN','PETRóPOLIS','RJ','121212211216121431668931571122610161022',NULL,'9998',0.00,1,3,NULL),(16,3217841,'1989-07-12 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215114431248619492124231032045',5335,'266',57.81,1,3,NULL),(16,3217868,'1990-09-12 00:00:00',4,1,11,2008,'F','N','JATIUCA','MACEIó','AL','102022021217121431589612572122610122122',NULL,'9998',0.00,1,3,NULL),(16,3217876,'1975-10-19 00:00:00',2,1,12,1993,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','224241191126133441336559495123222736147',NULL,'9998',0.00,4,3,NULL),(16,3217892,'1990-08-19 00:00:00',2,1,12,2008,'M','N','PONTA DE BAIXO','S JOSé','SC','124241241117131431423314382121610167052',NULL,'592',32.68,1,3,NULL),(16,3217906,'1989-04-23 00:00:00',2,1,7,2008,'M','N','AEROPORTO','CORUMBá','MS','112123127646131741426624575125610136187',NULL,'9998',31.29,4,3,NULL),(16,3217914,'1991-05-17 00:00:00',4,1,11,2008,'M','N','SANTA CECíLIA','PTO ALEGRE','RS','120203201117271431558823575114610137147',1901,'9998',67.57,1,3,NULL),(16,3217922,'1990-10-31 00:00:00',4,1,12,2007,'M','N','NOVA BRASILIA','IMBITUBA','SC','124241241217171431538839345124233264097',NULL,'880',0.00,1,3,NULL),(16,3217949,'1989-01-03 00:00:00',2,3,12,2006,'M','N','CENTRO','S JOãO BATISTA','SC','124251241126472451535412375122610167052',2541,'712',65.20,4,2,1),(16,3217957,'1990-08-22 00:00:00',4,1,12,2007,'M','N','TERRA NOVA II','S BERNARDO CAMPO','SP','125252251215471431468834381114610167047',12557,'9998',44.25,1,3,NULL),(16,3217965,'1986-07-22 00:00:00',2,1,12,2003,'F','N','ASA SUL','BRASíLIA','DF','107071071216571731358724575122242563187',3053,'9998',63.64,1,3,NULL),(16,3217973,'1991-06-13 00:00:00',2,1,12,2008,'M','N','ILHA DA FIGUEIRA','JARAGUá SUL','SC','124241241125131711633311345122610137047',NULL,'436',0.00,1,2,1),(16,3217981,'1988-08-28 00:00:00',2,1,12,2006,'M','N','PONTA DE BAIXO','S JOSé','SC','124243241117131431438633445114610127047',NULL,'733',26.75,4,3,NULL),(16,3217990,'1991-03-07 00:00:00',4,1,11,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241415111431326623572114610134055',4936,'1022',58.78,1,3,NULL),(16,3218007,'1991-06-02 00:00:00',4,1,12,2008,'M','N','PARQUE SãO JORGE','FLORIANóPOLIS','SC','124242241217111731457613575112610137117',NULL,'951',26.32,1,3,NULL),(16,3218015,'1988-06-05 00:00:00',4,6,12,2005,'M','N','CENTRO','NAVEGANTES','SC','124242241216272431367712445122131068037',1571,'109',69.01,1,3,NULL),(16,3218031,'1989-08-21 00:00:00',4,6,12,2006,'M','N','CENTRO','PENHA','SC','124241241114471331323419291134610154057',NULL,'609',25.77,1,2,1),(16,3218040,'1990-06-24 00:00:00',4,1,11,2007,'F','N','JARDIM AMéRICA','MARíLIA','SP','125252251217471431558814574122610164182',NULL,'9998',0.00,3,3,NULL),(16,3218058,'1991-09-03 00:00:00',2,10,12,2008,'F','N','VILA NOVA','IMBITUBA','SC','124241241127131431448933382124610123077',16155,'1034',36.76,4,2,1),(16,3218074,'1989-12-11 00:00:00',4,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116222161215471431448933575114610164092',4842,'9998',58.99,1,3,NULL),(16,3218082,'1987-12-30 00:00:00',4,1,12,2005,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','125251251135572411426814571125610132092',7851,'9998',52.68,1,2,1),(16,3218090,'1982-02-05 00:00:00',4,1,12,2000,'F','N','RIBEIRAO','FLORIANóPOLIS','SC','124201201127131121223351115123142031187',NULL,'9998',16.99,1,3,NULL),(16,3218104,'1984-12-03 00:00:00',2,1,12,2002,'M','N','SERRARIA','S JOSé','SC','124241248146132721433314345124610167057',13750,'946',42.16,1,2,1),(16,3218112,'1991-06-19 00:00:00',4,2,10,2008,'F','N','GASPARINHO','GASPAR','SC','124242241215161731268824272122610162182',9399,'909',49.90,1,3,NULL),(16,3218120,'1989-07-20 00:00:00',2,1,7,2007,'M','N','COLONIA VITóRIA','VITóRIA','PR','116162167227311431478811575112610157042',NULL,'9999',0.00,1,3,NULL),(16,3218139,'1983-10-10 00:00:00',4,1,7,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','224161247137131431457544245122133232047',NULL,'9999',33.49,1,2,1),(16,3218155,'1992-10-12 00:00:00',2,1,12,2009,'F','S','ESTREITO','ALFREDO WAGNER','SC','124243241112131232648913592125610128017',NULL,'13',21.36,1,3,NULL),(16,3218171,'1984-09-28 00:00:00',4,1,12,2001,'M','N','BELA VISTA','S PAULO','SP','125252251231572421546619571324610117052',153,'9998',79.96,3,3,NULL),(16,3218180,'1989-10-12 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124203201117372721336629572124610123157',14309,'9998',41.02,1,3,NULL),(16,3218198,'1975-01-25 00:00:00',2,1,12,1993,'F','N','PANTANAL','FLORIANóPOLIS','SC','124161163116131431223348382124610132147',15362,'9998',38.85,1,2,1),(16,3218201,'1990-09-08 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115372431344313572124610137057',3369,'307',62.79,1,2,1),(16,3218210,'1986-07-29 00:00:00',5,1,8,2005,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241237146131431228844445114610118077',NULL,'9999',32.01,1,3,NULL),(16,3218228,'1991-09-06 00:00:00',4,1,12,2008,'M','N','BALNEáRIO','FLORIANóPOLIS','SC','624242241215111431568724472124610164012',NULL,'1022',34.68,1,3,NULL),(16,3218236,'1990-10-27 00:00:00',4,1,12,2007,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241113131711434431572122610162147',NULL,'941',20.40,1,2,1),(16,3218279,'1989-11-15 00:00:00',2,1,11,2006,'F','N','CANTA GALO','RIO SUL','SC','124242241212414431456411392124610116062',6243,'991',55.80,1,3,NULL),(16,3218287,'1992-11-19 00:00:00',4,1,12,2009,'F','S','SãO SEBASTIãO','PALHOçA','SC','124241241227131431333319375124610146142',NULL,'9997',25.25,1,3,NULL),(16,3218309,'1989-12-25 00:00:00',2,10,12,2006,'M','N','OFICINAS','TUBARãO','SC','124242246217133411466614371122241417112',14032,'995',41.58,1,3,NULL),(16,3218325,'1991-09-14 00:00:00',4,1,12,2008,'F','N','FORQUILIHAS','S JOSé','SC','124244248215131732526639192124610137057',NULL,'1075',26.29,1,3,NULL),(16,3218333,'1972-02-04 00:00:00',4,1,12,1990,'M','N','CENTRO','FLORIANóPOLIS','SC','224252251216145751248842425112130238042',11165,'9998',46.72,1,3,NULL),(16,3218341,'1992-10-25 01:00:00',2,4,11,2009,'M','S','MARIA GORETI','CHAPECO','SC','124241241117151411545932245121610128182',NULL,'182',23.71,1,3,NULL),(16,3218376,'1991-01-21 00:00:00',4,1,11,2009,'F','S','VILLAGE','GAROPABA','SC','124244241437131431431829575124610132147',NULL,'362',40.42,1,3,NULL),(16,3218384,'1990-10-15 00:00:00',4,1,12,2008,'M','N','CENTRO','ARARAQUARA','SP','125252251215111431568714494112610117052',7938,'9998',52.54,1,3,NULL),(16,3218406,'1991-04-05 00:00:00',2,8,12,2008,'F','N','JOãO COSTA','JOINVILLE','SC','124241241121131751422354341124610141147',NULL,'482',28.64,1,2,1),(16,3218414,'1989-11-24 00:00:00',2,1,12,2008,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241115472441539823394114610167087',NULL,'298',36.64,4,2,1),(16,3218422,'1991-09-06 00:00:00',4,1,12,2008,'M','N','PITANGUEIRAS','STO ANTôNIO PATRULHA','RS','120201201137271411443614172215610124147',NULL,'9998',0.00,1,2,1),(16,3218430,'1989-10-03 00:00:00',4,3,11,2006,'F','N','CENTRO','CASCAVEL','PR','116162161217572132648834395235610165147',9327,'9998',50.04,1,3,NULL),(16,3218449,'1986-02-18 00:00:00',4,1,12,2004,'M','N','SAPETINGA','ILHéUS','BA','105163168417132711367929295121610167181',4317,'9998',60.21,1,3,NULL),(16,3218457,'1990-04-25 00:00:00',4,4,12,1990,'M','N','LA SALLE','PATO BRANCO','PR','116161161213472211543831114122610164122',NULL,'9998',26.91,1,3,NULL),(16,3218465,'1991-04-05 00:00:00',2,8,12,2008,'F','N','JOãO COSTA','JOINVILLE','SC','124241241121131711421354241124610147147',NULL,'482',30.04,1,2,1),(16,3218481,'1981-01-20 00:00:00',4,1,7,2001,'M','N','CENTRO','FLORIANóPOLIS','SC','124241217342134121126213142124132814052',15187,'9998',39.24,1,3,NULL),(16,3218503,'1989-07-04 00:00:00',4,1,12,2007,'M','N','VILA ESTRELA','AMAMBAí','MS','112121121316151751221923594215610162195',6003,'9998',56.35,1,3,NULL),(16,3218511,'1991-07-16 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241217111441479933575121610134142',481,'883',75.94,1,3,NULL),(16,3218520,'1985-07-01 00:00:00',2,1,12,2002,'F','N','CENTRO','RIBEIRãO PRETO','SP','116161161136471421424813595314610165182',2777,'9998',64.49,3,2,1),(16,3218538,'1990-10-26 00:00:00',2,4,12,2007,'M','N','CENTRO','IPORã OESTE','SC','124241241227472432439614482112610167072',2398,'370',65.69,1,3,NULL),(16,3218546,'1990-06-26 00:00:00',2,1,11,2008,'F','N','SAMBUGARO','PATO BRANCO','PR','116161168116151731444614295122610137097',NULL,'9998',24.16,1,3,NULL),(16,3218554,'1991-04-14 00:00:00',4,6,11,2008,'M','N','SãO JUDAS','ITAJAí','SC','124242241215111231556612572122610162052',13279,'1026',43.02,1,3,NULL),(16,3218562,'1991-05-13 00:00:00',4,4,12,2008,'M','N','MONTE CASTELO','SEARA','SC','124241241147141531434614242321610117047',NULL,'764',28.93,1,2,1),(16,3218570,'1990-08-24 00:00:00',4,2,10,2008,'F','N','VILA NOVA','BLUMENAU','SC','124242248215111411359911335124610137157',3977,'855',61.11,1,3,NULL),(16,3218589,'1991-07-19 00:00:00',2,4,12,2008,'F','N','TRêS VENDAS','ERECHIM','RS','120203201115371412334316272124610166077',7136,'9998',54.03,1,3,NULL),(16,3218600,'1991-07-04 00:00:00',4,8,11,2008,'M','N','JARDIM NOVO HORIZONT','MARINGá','PR','116162161217271451479933575122610157042',2900,'9998',64.10,1,3,NULL),(16,3218619,'1984-11-14 00:00:00',4,1,12,2002,'M','N','PALMITAL','MARíLIA','SP','124252251217574411334831475121221437042',NULL,'9998',39.22,3,3,NULL),(16,3218627,'1992-03-31 00:00:00',4,1,12,2009,'F','S','SANTA CATARINA','BIGUAçU','SC','124241241111161431536619392124610136147',NULL,'21',54.06,1,3,NULL),(16,3218635,'1990-04-30 00:00:00',2,1,4,2008,'M','N','ASA SUL','BRASíLIA','DF','107074077417371411448739595124610132142',10483,'9999',47.94,1,3,NULL),(16,3218643,'1991-01-28 00:00:00',1,1,12,2008,'M','N','JOÃO PAULO','FLORIANóPOLIS','SC','124241241117131452413336593344610167057',5984,'564',56.39,1,2,1),(16,3218651,'1989-10-05 00:00:00',2,1,12,2006,'M','N','AZAMBUJA','BRUSQUE','SC','124242241216374441547812175324121464192',392,'109',76.92,1,3,NULL),(16,3218660,'1990-02-19 00:00:00',2,1,12,2007,'F','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124162241315472411664321595112610162187',NULL,'1022',35.37,1,3,NULL),(16,3218678,'1986-09-03 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241116154741625339492124221722097',5588,'732',57.29,1,2,1),(16,3218686,'1991-11-30 00:00:00',4,8,11,2009,'F','S','ITAUM','JOINVILLE','SC','124242241215111431347714575124610124142',NULL,'486',27.86,1,3,NULL),(16,3218708,'1989-10-04 00:00:00',2,1,12,2007,'M','N','SAO DOMINGOS','PAULíNIA','SP','125251253115571441643614345124610148177',8886,'9998',50.76,1,2,1),(16,3218716,'1986-04-15 00:00:00',2,4,12,2005,'M','N','INTERIOR','CORONEL FREITAS','SC','124241241111112711424426341323610126041',NULL,'199',19.40,1,2,1),(16,3218724,'1989-12-16 00:00:00',2,1,12,2007,'F','N','MADUREIRA','CAXIAS SUL','RS','120204201337571431229831373112610162147',4190,'9998',60.51,1,3,NULL),(16,3218732,'1990-12-08 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124243241111371331448811375114610117017',3484,'267',62.42,1,3,NULL),(16,3218740,'1986-10-09 00:00:00',4,1,12,2003,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241417133711236643432124220364172',NULL,'809',36.39,1,3,NULL),(16,3218759,'1988-10-22 00:00:00',2,5,11,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215211431523417411222610167112',NULL,'226',23.27,1,3,NULL),(16,3218767,'1991-07-27 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215172431366833576124610124097',3933,'1022',61.24,1,3,NULL),(16,3218775,'1991-06-28 00:00:00',4,1,12,2008,'M','N','AREAL','PELOTAS','RS','120202201217471431546619595112610137042',7856,'9998',52.68,1,3,NULL),(16,3218783,'1981-12-16 00:00:00',4,1,12,1999,'F','N','SANTO ANT DE LISBOA','FLORIANóPOLIS','SC','124242248116254421546634435112222366017',14626,'306',40.45,1,3,NULL),(16,3218791,'1991-09-06 00:00:00',2,1,12,2008,'M','N','PRAçA','TIJUCAS','SC','124241246215111731433639575121610114182',13195,'1119',43.15,1,3,NULL),(16,3218805,'1991-06-23 00:00:00',2,3,12,2008,'F','N','ANDORINHA','ITAPEMA','SC','124242241215131431638731272124610137187',5793,'1111',56.84,1,3,NULL),(16,3218821,'1992-02-08 00:00:00',2,8,12,2008,'M','N','SíTIO SANTO ANTONIO','RONDON','PR','116161161117311441325939575124610116142',NULL,'9998',0.00,1,2,1),(16,3218830,'1991-04-13 00:00:00',4,1,12,2008,'M','N','JARDIM VILLAGE','TREMEMBé','SP','125254251217111431558619495114610167042',2456,'9998',65.49,1,3,NULL),(16,3218848,'1983-09-26 00:00:00',2,1,12,2001,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241248126134721436619345124610127067',NULL,'306',32.23,3,2,1),(16,3218856,'1991-10-31 00:00:00',4,1,12,2008,'F','N','JD INDEPENDENCIA','FRANCA','SP','125252251217151431563311315122610164017',NULL,'9998',0.00,1,3,NULL),(16,3218864,'1989-07-02 00:00:00',2,4,12,2006,'M','N','CENTRO','PINHALZINHO','SC','124241241116152431323619244122610137052',12918,'616',43.64,1,2,1),(16,3218880,'1984-05-20 00:00:00',4,1,8,2003,'M','N','FAZENDA SANTO ANTôNI','S JOSé','SC','124243241135133731446713472122133266097',12115,'9999',45.07,2,1,2),(16,3218899,'1991-09-27 00:00:00',4,4,11,2008,'F','N','DOUTOR ARI LUNARDI','XAXIM','SC','124243241415371331439913375122610126012',15707,'1081',38.05,1,3,NULL),(16,3218902,'1991-03-27 00:00:00',4,6,12,2008,'F','N','SãO JUDAS','ITAJAí','SC','124242241215151731467814572124610138183',4208,'392',60.46,1,3,NULL),(16,3218937,'1990-10-21 01:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242241215473431256317572122610123091',2602,'262',65.01,1,3,NULL),(16,3218945,'1992-03-22 00:00:00',4,1,11,2008,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241215111431358621572124610124042',11823,'1022',45.60,1,3,NULL),(16,3218953,'1990-12-02 00:00:00',4,8,11,2008,'F','N','VILA CHARLOTE','PRES PRUDENTE','SP','125252251215111431447614272122610152147',NULL,'9998',34.60,1,3,NULL),(16,3218970,'1990-11-28 00:00:00',4,1,12,2007,'F','N','FORQUILHINHAS','S JOSé','SC','124241241115371451456319345114610138142',NULL,'733',24.26,1,3,NULL),(16,3218988,'1968-04-30 00:00:00',2,1,12,1985,'F','N','JD CIDADE FLORIANOPO','S JOSé','SC','224241241146131431443359235114233023147',11661,'18',45.89,1,2,1),(16,3218996,'1991-01-30 00:00:00',4,3,11,2008,'M','N','PIONEIROS','BAL CAMBORIú','SC','124242241215151442445612374111610114197',216,'44',78.98,3,3,NULL),(16,3219003,'1990-11-18 00:00:00',4,8,12,2008,'F','N','VILA NOVA','JARAGUá SUL','SC','124243241215111431389734572114610123142',NULL,'1063',19.10,1,3,NULL),(16,3219011,'1991-09-09 00:00:00',4,8,12,2008,'M','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241114111431348419395125610168142',NULL,'146',18.17,1,3,NULL),(16,3219020,'1991-01-18 00:00:00',4,3,12,2008,'F','N','JARDIM PETRóPOLIS','LONDRINA','PR','116162161235111431548834575125610144012',6922,'9998',54.46,1,3,NULL),(16,3219038,'1988-12-16 00:00:00',4,1,12,1988,'F','N','SANTA MARIA','JATAí','GO','109093091214571431558816571121610124097',787,'9998',73.56,1,3,NULL),(16,3219046,'1981-02-27 00:00:00',4,1,12,1997,'F','N','ESTREITO','FLORIANóPOLIS','SC','124161161317142421135544141334141043097',12073,'9998',45.14,1,3,NULL),(16,3219054,'1992-03-31 00:00:00',2,1,12,2009,'F','S','BARREIROS','S JOSé','SC','124242241215111431458614572122610136042',NULL,'1118',48.61,1,3,NULL),(16,3219062,'1988-05-14 00:00:00',4,1,12,2006,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241137141431436614481124610144055',NULL,'1097',18.20,4,3,NULL),(16,3219070,'1991-09-18 00:00:00',2,1,12,2008,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241215111331448812595124610127182',NULL,'272',26.64,1,3,NULL),(16,3219089,'1991-10-11 00:00:00',4,1,11,2009,'M','S','SANTA MONICA','FLORIANóPOLIS','SC','124243241115111431657839575125610138057',NULL,'271',30.34,1,3,NULL),(16,3219097,'1990-02-28 00:00:00',4,1,12,2007,'M','N','SAO JUDAS TADEU','CRUZEIRO','SP','125253251217371411537632125121610135092',NULL,'9998',0.00,1,3,NULL),(16,3219100,'1990-05-11 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241116131431537711345124610147172',NULL,'307',30.84,4,3,NULL),(16,3219127,'1988-05-20 00:00:00',4,1,12,2005,'M','N','VILA MARIA','BOTUCATU','SP','125252251217571431458814471124610162097',NULL,'9998',0.00,1,3,NULL),(16,3219135,'1989-12-26 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124202241216113411538714575122610127031',NULL,'270',31.88,1,3,NULL),(16,3219143,'1990-12-10 00:00:00',2,1,12,2007,'F','N','CENTRO','STA HELENA','PR','124161161115152431438823572224222533097',12410,'9998',44.53,4,1,1),(16,3219151,'1988-12-07 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241145473431334923172124610124077',4927,'564',58.80,1,3,NULL),(16,3219160,'1991-09-15 00:00:00',4,8,11,2008,'F','N','SANTO ANTôNIO','JOINVILLE','SC','124242241215151431239933572124610137117',15620,'461',38.26,1,3,NULL),(16,3219178,'1991-01-19 00:00:00',4,4,12,2008,'M','N','LOTEAMENTO MENZEN','S CARLOS','SC','124241248136371732626619292121610147067',NULL,'704',17.99,3,3,NULL),(16,3219186,'1983-08-14 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANóPOLIS','SC','524131131127271421145344244124142161112',NULL,'9998',38.36,1,2,1),(16,3219194,'1991-02-01 00:00:00',4,1,12,2008,'F','N','ALVORADA','CARAZINHO','RS','120201201116371731323534575124610114047',NULL,'9998',0.00,1,2,1),(16,3219208,'1986-01-29 00:00:00',2,1,12,2002,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241147132431435614342134610137052',NULL,'329',32.60,1,2,1),(16,3219216,'1989-12-07 00:00:00',2,4,12,2007,'F','N','ESPLANADA','CHAPECó','SC','116244241412472731569611581115610167091',494,'168',75.80,1,3,NULL),(16,3219224,'1965-10-25 00:00:00',2,1,12,2008,'F','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','224241247227111411441252121112610153142',NULL,'9999',19.06,1,3,NULL),(16,3219232,'1987-08-10 00:00:00',2,10,12,2004,'F','N','PARQUE SANTA Fé','PTO ALEGRE','RS','120202201136574431446639575122610166047',4283,'9998',60.28,1,3,NULL),(16,3219259,'1992-03-23 00:00:00',4,1,12,2008,'M','N','SERTãO DO MARUI','S JOSé','SC','124241248215131431233724575124610124047',NULL,'1075',21.92,4,1,2),(16,3219267,'1989-08-18 00:00:00',2,8,12,2006,'M','N','REBOUÇAS','CURITIBA','PR','116121161115571411135333571322610167047',2247,'9998',66.24,1,2,1),(16,3219275,'1977-09-08 00:00:00',4,1,12,1995,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241243126332711446523285113130227047',NULL,'591',19.63,1,3,NULL),(16,3219283,'1990-08-31 00:00:00',2,1,12,2007,'F','N','CENTRO','S LOURENçO OESTE','SC','124242161417472751436519272324610167097',15443,'9998',38.67,1,3,NULL),(16,3219291,'1991-05-19 00:00:00',4,3,12,2008,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215131221438434575121610127017',NULL,'1090',15.74,1,3,NULL),(16,3219305,'1991-02-26 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216472431468933575114610117042',10097,'300',48.61,1,3,NULL),(16,3219313,'1990-08-29 00:00:00',2,3,12,2007,'F','N','CENTRO','TOLEDO','PR','116163161216272432248923572121610124012',3115,'9998',63.49,1,3,NULL),(16,3219321,'1977-06-23 00:00:00',4,1,12,1995,'F','N','BALNEáRIO','FLORIANóPOLIS','SC','224241243126132421233352236124610126187',14485,'477',40.72,1,2,1),(16,3219330,'1991-05-22 00:00:00',4,8,12,2008,'M','N','JARDIM SANTANA','CALIFóRNIA','PR','116162161217151411446939494114610132182',3561,'9998',62.19,1,3,NULL),(16,3219348,'1991-06-03 00:00:00',4,10,12,2008,'F','N','HUMAITA','TUBARãO','SC','124241241115131731416628315124610148147',NULL,'798',25.74,1,2,1),(16,3219356,'1992-05-05 00:00:00',2,1,11,2009,'F','S','KOBRASOL','S JOSé','SC','124242241215171431437923575122610134142',NULL,'723',39.47,1,3,NULL),(16,3219364,'1991-06-01 00:00:00',2,1,12,2008,'F','N','CENTRO','NOVA TRENTO','SC','124241241215372431448714275124610123147',12318,'981',44.70,1,3,NULL),(16,3219372,'1981-07-01 00:00:00',2,1,5,2002,'F','N','CENTRO','FLORIANóPOLIS','SC','124101101111131711211164282334610116142',NULL,'9998',0.00,4,1,1),(16,3219380,'1983-05-07 00:00:00',2,8,12,2004,'M','N','JD SHANGRI LA','LONDRINA','PR','116161161316571741428814442113143268092',NULL,'9998',0.00,3,3,NULL),(16,3219399,'1982-05-14 00:00:00',2,1,10,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241247626151452435529385124612824142',NULL,'1003',0.00,1,3,NULL),(16,3219402,'1989-04-10 00:00:00',2,8,12,2006,'F','N','ATIRADORES','JOINVILLE','SC','124122241235372431369923572114130461122',7568,'461',53.20,1,3,NULL),(16,3219410,'1989-07-19 00:00:00',2,9,12,2006,'F','N','CONTA DINHEIRO','LAGES','SC','124241241436371732334679395114610111181',16389,'1065',36.02,1,3,NULL),(16,3219429,'1991-03-18 00:00:00',4,2,11,2008,'M','N','VILA NOVA','BLUMENAU','SC','124242241215121541278821575122610126036',1198,'855',70.94,1,3,NULL),(16,3219437,'1991-09-29 00:00:00',4,1,11,2008,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241212111431489913575112610162045',10122,'270',48.58,1,3,NULL),(16,3219445,'1991-08-08 00:00:00',2,6,11,2008,'F','N','FAZENDA','ITAJAí','SC','124242241215131411337713475124610124147',12615,'1026',44.16,1,3,NULL),(16,3219453,'1988-10-28 00:00:00',4,1,12,2005,'M','N','INGLESES','FLORIANóPOLIS','SC','124201201116151441225344145314610138182',NULL,'9998',0.00,4,3,NULL),(16,3219461,'1986-09-13 00:00:00',2,1,12,2003,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241217274431459613446124610127147',4641,'272',59.45,1,3,NULL),(16,3219470,'1990-02-28 00:00:00',2,7,12,2007,'F','N','CENTRO','RONDON','PR','116162161416271231428619575112610166197',NULL,'9998',0.00,3,3,NULL),(16,3219488,'1990-09-29 00:00:00',2,5,11,2007,'M','N','COMERCIARIO','CRICIúMA','SC','124242241215472431246823372122610132182',11466,'226',46.23,1,3,NULL),(16,3219496,'1991-09-24 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215121431589923275112610127142',3879,'1038',61.39,1,3,NULL),(16,3219500,'1990-02-08 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124242241215111431635634585112610128192',NULL,'270',36.22,1,3,NULL),(16,3219518,'1985-06-12 00:00:00',4,1,12,2002,'M','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241147132421423315242224610132042',7654,'772',53.04,1,2,1),(16,3219526,'1991-03-17 00:00:00',4,8,12,2008,'M','N','CONDOMÍNIO POUSADA','QUATRO BARRAS','PR','116162161217111431468823434124610137042',NULL,'9998',0.00,1,3,NULL),(16,3219534,'1991-07-22 00:00:00',2,1,12,2008,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124244241117111411446419572112610121092',NULL,'257',24.75,1,3,NULL),(16,3219542,'1990-05-19 00:00:00',4,10,11,2007,'F','N','VILA RICA','GOV VALADARES','MG','113141241316272451466514475122610164142',15540,'807',38.45,4,3,NULL),(16,3219550,'1960-09-21 00:00:00',2,1,12,1997,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','524243247146142751433343432134610161147',NULL,'9999',25.77,1,3,NULL),(16,3219585,'1991-07-03 00:00:00',2,2,12,2008,'F','N','AGUA VERDE','BLUMENAU','SC','124241241145141431534514341124610148092',16085,'73',36.99,1,2,1),(16,3219593,'1991-01-06 00:00:00',4,10,11,2008,'F','N','CENTRO','TUBARãO','SC','124242241215111431359814472122610131192',3786,'807',61.64,1,3,NULL),(16,3219607,'1989-03-06 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241415472711458819575114610164037',NULL,'1022',0.00,1,3,NULL),(16,3219615,'1989-11-06 00:00:00',2,1,11,2007,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124242241217272731546439385112610114052',NULL,'266',23.79,1,3,NULL),(16,3219623,'1991-06-25 00:00:00',2,8,11,2008,'F','N','ITAUM','JOINVILLE','SC','124241241215131431426624275124610163147',9080,'461',50.45,1,3,NULL),(16,3219631,'1990-09-10 00:00:00',2,3,12,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','124243241216373731358313575124610167187',1500,'9997',69.37,1,3,NULL),(16,3219658,'1985-12-22 00:00:00',4,1,12,2005,'M','N','KOBRASOL','S JOSé','SC','124241241417141431447629145122230762017',16541,'1003',35.25,2,1,2),(16,3219674,'1981-09-28 00:00:00',2,4,12,2002,'M','N','AMADORI','PATO BRANCO','PR','116161167147171331364959292115610168197',NULL,'9999',0.00,1,3,NULL),(16,3219682,'1991-07-06 00:00:00',2,4,12,2008,'M','N','CENTRO','FORMOSA SUL','SC','124241241326161431435611582214610127052',NULL,'380',25.50,1,3,NULL),(16,3219690,'1985-07-29 00:00:00',2,10,12,2002,'F','N','BATEL','CURITIBA','PR','116243241415473731445631175122610143147',6058,'807',56.21,1,3,NULL),(16,3219704,'1991-01-04 00:00:00',4,1,11,2008,'F','N','ALTO DO PARQUE','LAJEADO','RS','120202201217111431569711494122610131187',10181,'9998',48.46,1,3,NULL),(16,3219712,'1991-09-11 00:00:00',4,10,11,2009,'M','S','CENTRO','BRAçO NORTE','SC','124242241217111411588972575114610164042',NULL,'806',60.03,1,3,NULL),(16,3219720,'1985-10-28 00:00:00',4,3,12,2002,'M','N','CENTRO','BAL CAMBORIú','SC','124241241416574431558819575124232467067',8421,'185',51.55,1,3,NULL),(16,3219739,'1991-06-02 00:00:00',4,7,11,2008,'M','N','CENTRO','IPUMIRIM','SC','124241241146271431343632574124610162172',NULL,'374',26.19,1,2,1),(16,3219747,'1990-09-12 00:00:00',4,10,11,2008,'F','N','CENTRO','TUBARãO','SC','124242241216271431467627575112610111072',NULL,'809',19.11,1,3,NULL),(16,3219755,'1992-06-13 00:00:00',4,1,12,2009,'F','S','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241211111431568633575114610112195',NULL,'270',23.49,1,3,NULL),(16,3219771,'1989-09-09 00:00:00',2,1,11,2006,'M','N','SERRARIA','S JOSé','SC','124242241311131411446521331124610124077',NULL,'307',33.94,4,1,2),(16,3219780,'1991-08-24 00:00:00',4,5,12,2008,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124241241115131432328823245121610124017',NULL,'1033',25.68,1,2,1),(16,3219801,'1980-10-29 00:00:00',2,1,12,1997,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124203208116131431426644345334143268117',NULL,'9998',0.00,4,3,NULL),(16,3219810,'1991-02-14 00:00:00',4,8,12,2008,'M','N','LAGEADO DOS VIEIRAS','RIO NEGRO','PR','116242162117151431435632595123610144057',NULL,'9998',0.00,1,3,NULL),(16,3219828,'1990-06-16 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242247215131411328833575124610134192',13980,'9999',41.69,1,3,NULL),(16,3219836,'1990-12-01 00:00:00',4,3,12,2008,'F','N','CENTRO','CANOINHAS','SC','116241168416411331437713575124610123052',NULL,'9998',29.09,1,3,NULL),(16,3219844,'1992-02-28 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111421447614475124610134047',14336,'1022',40.99,1,3,NULL),(16,3219852,'1992-04-06 00:00:00',4,1,11,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124246241617151431468933572124610167051',6152,'262',56.02,1,3,NULL),(16,3219860,'1987-12-12 00:00:00',2,8,12,2004,'F','N','BIGORRILHO','CURITIBA','PR','116161161121273431334823212124141363147',NULL,'9998',0.00,1,2,1),(16,3219879,'1990-02-16 00:00:00',4,4,12,2007,'F','N','CENTRO','NOVA MUTUM','MT','111112111216111441459812245121240334142',NULL,'9998',0.00,1,3,NULL),(16,3219887,'1991-10-07 00:00:00',2,7,12,2008,'F','N','CENTRO','CAçADOR','SC','124242241215111431427814475122610122147',3152,'120',63.39,1,3,NULL),(16,3219895,'1968-07-08 00:00:00',4,1,12,1985,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','224212211216131731457653485112140613187',9016,'9998',50.56,1,3,NULL),(16,3219925,'1991-06-08 00:00:00',4,8,12,2008,'M','N','BARRA DO RIO MOLHA','JARAGUá SUL','SC','124242241217111431569912575122610118172',14842,'424',40.00,1,3,NULL),(16,3219933,'1989-09-08 00:00:00',2,1,12,2007,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241146271731445919395122610128142',NULL,'358',20.84,1,3,NULL),(16,3219941,'1992-04-02 00:00:00',4,1,11,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241217111331348632575124610127092',NULL,'270',29.87,1,3,NULL),(16,3219950,'1991-09-28 00:00:00',2,1,12,2009,'F','S','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241116151411233329575124610124142',NULL,'307',24.73,1,3,NULL),(16,3219968,'1988-01-23 00:00:00',4,1,11,2006,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124244241447371431658314342114132625117',14701,'920',40.28,2,1,2),(16,3219984,'1990-02-06 00:00:00',2,1,12,2007,'M','N','BOM ABRIGO','FLORIANóPOLIS','SC','124243241212372431464819391124610168047',7452,'1022',53.40,4,3,NULL),(16,3219992,'1992-02-14 00:00:00',4,1,12,2010,'M','S','SERRINHA','FLORIANóPOLIS','SC','624242248217151231458931582111610134042',NULL,'1090',33.99,1,3,NULL),(16,3220001,'1991-01-12 00:00:00',4,8,11,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215112431468813572122610168112',7962,'491',52.49,1,3,NULL),(16,3220010,'1991-06-05 00:00:00',4,2,2,2009,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124244241215111431467631574122610127096',NULL,'88',24.99,1,3,NULL),(16,3220028,'1991-02-02 00:00:00',4,4,12,2008,'M','N','VENEZA','XANXERê','SC','124242241217111751437839312125610167027',NULL,'836',42.11,1,3,NULL),(16,3220044,'1991-02-12 00:00:00',4,1,12,2008,'M','N','CENTRO','CAXIAS SUL','RS','120203201436131431338822395134610147042',13919,'9998',41.82,1,3,NULL),(16,3220052,'1992-03-19 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217111431589937575122610137042',NULL,'270',0.00,1,3,NULL),(16,3220060,'1988-10-14 00:00:00',4,8,12,2006,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241217373431367919276124221237187',2803,'457',64.38,1,3,NULL),(16,3220079,'1984-08-27 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANóPOLIS','SC','124252251216272441368879345122333228092',485,'9998',75.90,1,3,NULL),(16,3220087,'1991-10-20 01:00:00',4,2,11,2008,'M','N','VELHA','BLUMENAU','SC','124242241214122431333311575121610122012',7096,'71',54.11,1,3,NULL),(16,3220095,'1990-06-24 00:00:00',2,1,12,2007,'M','N','CZERNIEWICZ','JARAGUá SUL','SC','124243241217372431466314274125610166157',363,'441',77.23,1,3,NULL),(16,3220109,'1991-08-29 00:00:00',4,1,12,2009,'F','S','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241214111431458833575122610122017',NULL,'951',13.34,1,3,NULL),(16,3220117,'1983-09-18 00:00:00',4,10,3,2003,'M','N','CAMPINAS','S JOSé','SC','124243286112213431148813415124232438187',NULL,'9997',0.00,1,3,NULL),(16,3220125,'1992-06-25 00:00:00',4,7,11,2009,'F','S','CENTRO','CAPINZAL','SC','124241241216111431444919574124610126142',NULL,'446',29.49,1,3,NULL),(16,3220133,'1984-12-20 00:00:00',2,1,12,2001,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124201201116131411636623385124141034057',NULL,'9998',27.78,1,2,1),(16,3220141,'1989-09-29 00:00:00',4,1,12,2006,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162168215572411439931575122610127082',NULL,'9998',0.00,1,3,NULL),(16,3220150,'1991-05-14 00:00:00',4,4,12,2008,'F','N','CENTRO','CAIçARA','RS','120201201417371731556921572125610137142',NULL,'9998',25.22,1,3,NULL),(16,3220168,'1982-09-05 00:00:00',4,4,12,1999,'F','N','BELA VISTA','CHAPECó','SC','124241241126141431433831495124330224047',NULL,'178',27.31,1,2,1),(16,3220176,'1991-04-28 00:00:00',4,1,12,2008,'M','N','BELA VISTA','SAO JOSE','SC','124241241116111731536614572124610114012',16347,'307',36.21,1,2,1),(16,3220192,'1991-06-10 00:00:00',2,1,10,2008,'F','N','BARREIROS','S JOSé','SC','124242241215411421524633575122610117142',NULL,'738',31.90,1,3,NULL),(16,3220206,'1991-06-22 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124241241215111431449832574122610167117',5480,'1038',57.52,1,3,NULL),(16,3220214,'1991-02-18 00:00:00',4,2,12,2008,'F','N','SANTA TEREZINHA','GASPAR','SC','124241241145131431553331245122610118052',NULL,'325',25.45,1,2,1),(16,3220222,'1987-06-07 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241115133431336653574114610166052',15132,'257',39.35,1,2,1),(16,3220230,'1987-09-20 00:00:00',4,1,9,2005,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124243241116133741638571215224133266182',11939,'306',45.37,1,3,NULL),(16,3220249,'1990-09-21 00:00:00',4,1,12,2008,'M','N','CENTRO','BIGUAçU','SC','124244241217131431447731575122610127097',NULL,'63',21.90,1,3,NULL),(16,3220257,'1989-08-24 00:00:00',2,1,12,2007,'M','N','CAMPINAS','S JOSé','SC','124241241215212451336714445134610117047',14177,'1076',41.27,1,3,NULL),(16,3220273,'1987-08-12 00:00:00',2,2,12,2005,'M','N','CENTRO','TAIó','SC','124243241146375411446619272122232618182',4364,'777',60.11,1,3,NULL),(16,3220290,'1991-07-28 00:00:00',2,1,12,2008,'M','N','SERRARIA','S JOSé','SC','124241241215111411457619595114610117042',NULL,'1022',28.26,1,3,NULL),(16,3220303,'1991-05-30 00:00:00',2,4,12,2008,'M','N','CENTRO','CHAPECó','SC','124242241215121431438814272112610164051',NULL,'983',43.63,1,3,NULL),(16,3220311,'1990-03-17 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241117132732534411342124610137067',NULL,'278',22.97,1,2,1),(16,3220320,'1975-11-08 00:00:00',2,1,11,1997,'M','N','NOSSA SRA DO ROSARIO','S JOSé','SC','124241248126271421333344245122610138187',5801,'729',56.81,1,2,1),(16,3220338,'1991-09-09 00:00:00',4,5,11,2008,'F','N','COMERCIáRIO','CRICIúMA','SC','124242241215112411468923576112610161077',9250,'226',50.15,1,3,NULL),(16,3220346,'1988-06-05 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124211211117572431333629445124610114027',12313,'9998',44.70,1,2,1),(16,3220362,'1991-12-08 00:00:00',4,4,11,2008,'M','N','CENTRO','NAVIRAí','MS','112122121217371411577715575121610138045',NULL,'9999',0.00,1,3,NULL),(16,3220370,'1992-09-29 00:00:00',2,1,11,2009,'F','S','BELA VISTA','PALHOçA','SC','124242241216111431356614145122610134092',NULL,'989',20.34,1,3,NULL),(16,3220389,'1990-06-30 00:00:00',4,1,12,2007,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124242241215272432468613575112131434057',4833,'270',59.01,1,3,NULL),(16,3220397,'1991-07-30 00:00:00',4,9,12,2008,'M','N','INTERIOR','ABDON BATISTA','SC','124241248122131431513315592324610157047',NULL,'1',21.92,2,1,1),(16,3220400,'1990-02-01 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215111431227612573122610163143',16153,'723',36.77,1,3,NULL),(16,3220419,'1989-09-24 00:00:00',4,1,11,2006,'F','N','SAGRADO C DE JESUS','LAGES','SC','124243241216574431449614572112610122097',12761,'499',43.90,1,3,NULL),(16,3220427,'1990-05-24 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124242248212132431568823492124610124177',NULL,'272',29.75,1,3,NULL),(16,3220435,'1990-08-13 00:00:00',4,1,12,2008,'F','N','STO ANTONIO DELISBOA','FLORIANóPOLIS','SC','124241241125131411223324243124610124147',NULL,'9997',21.32,1,3,NULL),(16,3220443,'1983-11-13 00:00:00',4,1,12,2004,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124242241216153711668832345122123212083',3509,'272',62.35,3,3,NULL),(16,3220451,'1989-04-24 00:00:00',2,1,7,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124223247345371432446472375124610168093',16561,'9999',35.10,1,3,NULL),(16,3220460,'1992-01-20 00:00:00',4,1,12,2009,'F','S','JOãO PAULO','FLORIANóPOLIS','SC','124242241217111432468619475122610138072',NULL,'270',27.96,1,3,NULL),(16,3220478,'1990-05-26 00:00:00',4,1,12,2007,'M','N','JARDIM EUROPA','AVARé','SP','125252251316371431468811475123610137092',NULL,'9998',45.32,1,3,NULL),(16,3220486,'1991-03-26 00:00:00',4,3,11,2008,'M','N','CENTRO','TANGARá','SC','124242241215111431369931475124610164042',NULL,'446',28.24,1,3,NULL),(16,3220494,'1990-07-19 00:00:00',4,1,12,2007,'M','N','BOM RETIRO','S PAULO','SP','125254251215371731557752575114610167057',3519,'9998',62.33,3,3,NULL),(16,3220508,'1990-07-17 00:00:00',4,1,12,2008,'M','N','PARQUE SAO JORGE','FLORIANóPOLIS','SC','124242241215111431479812575124610122173',NULL,'883',40.51,1,3,NULL),(16,3220516,'1988-05-28 00:00:00',2,4,12,2005,'M','N','BELA VISTA','CHAPECó','SC','124241241127132421643319345134610124057',11594,'180',46.01,1,2,1),(16,3220524,'1991-07-17 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124244241115372431458852392124610137097',3007,'271',63.77,1,3,NULL),(16,3220532,'1991-09-09 00:00:00',4,4,12,2007,'M','N','CENTRO','MARAVILHA','SC','124241201437572431564412375125610146147',2863,'9998',64.19,1,3,NULL),(16,3220559,'1991-06-11 00:00:00',2,3,12,2008,'F','N','CENTRO','TIJUCAS','SC','124242241215111751336611572122610123147',NULL,'1119',21.24,1,3,NULL),(16,3220575,'1991-10-07 00:00:00',4,10,11,2008,'M','N','CENTRO','BRAçO NORTE','SC','124244241215112431436632245121610167052',6714,'807',54.84,1,3,NULL),(16,3220583,'1991-08-23 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241215371431389813571122610135072',13846,'499',41.95,1,3,NULL),(16,3220591,'1991-08-14 00:00:00',4,1,11,2008,'M','N','ABRAãO','FLORIANóPOLIS','SC','124241241415141431236621245124610164117',NULL,'300',32.43,1,3,NULL),(16,3220621,'1991-05-23 00:00:00',4,5,12,2008,'F','N','CENTRO','LAURO MüLLER','SC','124241241215111431436934575124610127147',9977,'581',48.82,1,3,NULL),(16,3220648,'1990-02-20 00:00:00',2,1,7,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124223247215371431457612575124610168052',NULL,'9999',44.76,4,3,NULL),(16,3220664,'1990-12-08 00:00:00',4,1,11,2007,'F','N','BAIRRO UNIVERSITáRIO','TIJUCAS','SC','124242241214112741327923591125230623182',NULL,'948',27.13,4,3,NULL),(16,3220672,'1986-10-02 00:00:00',4,1,11,2004,'F','N','VILA OLIMPIA','S PAULO','SP','125042041216571431258832571114141022097',NULL,'9998',0.00,1,3,NULL),(16,3220680,'1983-04-14 00:00:00',4,1,12,2000,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241212273711455912492222330234187',6674,'1036',54.92,1,3,NULL),(16,3220699,'1992-03-24 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241217111421459931572112610138195',NULL,'262',49.60,1,3,NULL),(16,3220702,'1988-09-20 00:00:00',4,1,12,2005,'M','N','JARDIM APOLO','S JOSé CAMPOS','SP','125252251216572431479813571112141035147',522,'9998',75.60,1,3,NULL),(16,3220710,'1991-12-20 00:00:00',2,1,12,2008,'F','N','FLORESTA','S JOSé','SC','124241241115131431346933345124610125017',NULL,'733',26.16,1,2,1),(16,3220729,'1991-12-03 00:00:00',2,1,12,2008,'M','N','PRAIA DA CAL','TORRES','RS','120201201117131431216528285125610112037',NULL,'9998',23.46,1,3,NULL),(16,3220737,'1991-05-29 00:00:00',4,1,11,2009,'M','S','COQUEIROS','FLORIANóPOLIS','SC','124244241415111431468831572124610122117',NULL,'270',24.90,1,3,NULL),(16,3220745,'1987-10-14 00:00:00',4,1,12,2005,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241216575231359823572122232522145',NULL,'270',30.37,1,3,NULL),(16,3220753,'1990-02-01 00:00:00',2,1,11,2008,'F','N','ALTO ARIRIU','PALHOçA','SC','124241241145141331536614342124610122142',NULL,'772',0.00,1,2,1),(16,3220761,'1990-08-24 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241216472411435636572224231966047',4732,'446',59.23,1,3,NULL),(16,3220770,'1991-09-12 00:00:00',2,5,11,2008,'F','N','CENTRO','LAURO MüLLER','SC','124241241215121431447611575112610125192',NULL,'820',23.90,1,3,NULL),(16,3220788,'1991-08-16 00:00:00',4,1,12,2008,'M','N','RIO CAVEIRAS','BIGUAçU','SC','124241241116131431624311472124610167042',NULL,'1088',22.79,1,2,1),(16,3220800,'1989-07-17 00:00:00',4,1,12,2006,'F','N','CENTRO','GARIBALDI','RS','120202251217571751457912572244610165127',NULL,'9998',0.00,1,3,NULL),(16,3220818,'1991-05-21 00:00:00',2,4,11,2008,'F','N','NAZARé','CONCóRDIA','SC','124242241215112431446931574122610141147',11071,'190',46.89,1,3,NULL),(16,3220826,'1991-07-21 00:00:00',4,8,11,2008,'M','N','CENTRO','JOINVILLE','SC','124242241215271332238824375124610132012',13355,'461',42.88,1,3,NULL),(16,3220834,'1991-08-09 00:00:00',4,2,12,2008,'M','N','JARDIM PARATY','FRANCA','SP','125251251116151711436927575122610124047',NULL,'9998',0.00,1,2,1),(16,3220842,'1991-08-22 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124244241117371432478814572114610137042',5250,'271',58.00,1,3,NULL),(16,3220850,'1991-01-27 00:00:00',4,8,12,2008,'M','N','FLORESTA','JOINVILLE','SC','124242241217141431379813575124610127042',NULL,'1105',0.00,1,3,NULL),(16,3220869,'1989-11-08 00:00:00',2,9,12,2007,'F','N','COPACABANA','LAGES','SC','116243241215132441444414576124610162182',7147,'515',54.01,4,3,NULL),(16,3220877,'1990-12-28 00:00:00',4,1,12,2007,'M','N','CENTRO','PASSO FUNDO','RS','120201201116472431338823571124610125097',10437,'9998',48.03,1,2,1),(16,3220885,'1991-07-02 00:00:00',1,8,12,2008,'M','N','GLORIA','JOINVILLE','SC','124244248417141431447824325124610127147',NULL,'1105',18.23,1,3,NULL),(16,3220893,'1991-03-22 00:00:00',2,1,12,2008,'F','N','SANTA TERESA','PTO ALEGRE','RS','120202201216111411256824595124610122191',NULL,'9998',0.00,1,3,NULL),(16,3220907,'1988-09-07 00:00:00',2,1,12,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241116141711623339472124610147057',NULL,'298',15.58,2,1,1),(16,3220915,'1991-06-24 00:00:00',4,1,11,2008,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241212111711468832572124610146143',2076,'270',66.90,1,3,NULL),(16,3220923,'1989-08-19 00:00:00',4,8,12,2006,'M','N','CASCATINHA','CURITIBA','PR','116161161211471751657832591122610168182',NULL,'9998',0.00,3,3,NULL),(16,3220940,'1988-11-09 00:00:00',4,1,12,2006,'M','N','SAO FRANCISCO','CATANDUVA','SP','125252251211571711538814575125610166047',1156,'9998',71.17,1,3,NULL),(16,3220958,'1992-06-02 00:00:00',4,1,11,2009,'M','S','ABRAãO','FLORIANóPOLIS','SC','124242241217111431358772575124610167042',NULL,'270',44.88,1,3,NULL),(16,3220974,'1991-05-28 00:00:00',4,1,12,2008,'M','N','BOM JESUS','CAçADOR','SC','124242247216111421444424575124610167072',8015,'120',52.40,1,3,NULL),(16,3220982,'1965-12-04 00:00:00',4,1,12,1985,'M','N','JD STA CANDIDA','CAMPINAS','SP','525254256117471441248841412123343267097',14125,'9998',41.39,1,3,NULL),(16,3221008,'1987-08-31 00:00:00',2,4,11,2004,'M','N','CENTRO','PATO BRANCO','PR','116162161216135721437711591125610162187',1205,'9998',70.89,1,3,NULL),(16,3221016,'1985-08-23 00:00:00',4,1,6,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124244247436132451254623412224122934187',12241,'9999',44.82,1,3,NULL),(16,3221032,'1988-01-29 00:00:00',2,1,12,2006,'F','N','CENTRO','S PEDRO ALCâNTARA','SC','124241241126371431422627375124610166142',13297,'869',42.98,1,2,1),(16,3221040,'1988-12-02 00:00:00',4,1,8,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241317152751548833492125233224193',4997,'306',58.62,1,3,NULL),(16,3221083,'1991-09-25 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241415121231536312325124610162187',NULL,'1022',28.11,1,3,NULL),(16,3221091,'1990-03-25 00:00:00',2,1,10,2007,'F','N','CENTRO','HUMAITá','RS','120203201415371431236923594214610135141',8287,'9998',51.81,1,3,NULL),(16,3221105,'1991-08-12 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242248215272751457612572124610128143',7251,'738',53.81,1,3,NULL),(16,3221113,'1991-09-24 00:00:00',4,8,12,2009,'F','S','SANTA CATARINA','JOINVILLE','SC','124242241215111431458823574112610121072',NULL,'491',22.04,1,3,NULL),(16,3221121,'1988-10-02 00:00:00',2,1,12,2006,'M','N','BARREIROS','S JOSé','SC','124203201117231231457614585114610144177',NULL,'9998',18.21,1,3,NULL),(16,3221130,'1990-03-25 00:00:00',4,4,12,2007,'F','N','SETOR OESTE','GAMA','DF','107074071217471411336623285124610132097',NULL,'9998',0.00,1,3,NULL),(16,3221148,'1990-11-14 00:00:00',2,4,11,2007,'F','N','CENTRO','ERECHIM','RS','120202201216412431558619595124610133013',4644,'9998',59.45,1,3,NULL),(16,3221156,'1991-03-16 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215121431458834375114610157145',9843,'1022',49.08,1,3,NULL),(16,3221164,'1991-06-11 00:00:00',2,4,12,2008,'M','N','LINHA GRUTA','BOM S SUL','PR','116161161113271431223379373224610164172',7193,'9998',53.92,1,2,1),(16,3221172,'1992-09-10 00:00:00',4,8,12,2009,'F','S','ATIRADORES','JOINVILLE','SC','124242241217111431469814572122610124147',NULL,'491',64.30,1,3,NULL),(16,3221180,'1991-01-12 00:00:00',4,1,11,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241211471431489919591122610138147',15599,'270',38.32,1,3,NULL),(16,3221199,'1990-09-22 00:00:00',4,1,11,2007,'F','N','JARDIM DAS LARANJEIR','ITATIBA','SP','125252251217171441568833342122141067053',NULL,'9998',0.00,1,3,NULL),(16,3221202,'1990-03-19 00:00:00',2,1,11,2007,'M','N','COLONIA SANTANA','S JOSé','SC','124242241217132421446614442124610167047',6627,'1074',54.99,1,3,NULL),(16,3221210,'1990-10-26 00:00:00',4,10,12,2008,'M','N','CENTRO','TUBARãO','SC','124242241215121431546814575121610137057',12783,'797',43.87,1,3,NULL),(16,3221229,'1991-01-21 00:00:00',2,1,12,2008,'M','N','BALNEáRIO ESTREITO','FLORIANóPOLIS','SC','124241241235251451346613591122610134147',12934,'1134',43.62,1,3,NULL),(16,3221237,'1989-12-20 00:00:00',4,1,12,2006,'M','N','AREIAS','S JOSé','SC','124241241134272431434314146134610167047',14233,'734',41.17,1,2,1),(16,3221245,'1990-03-18 00:00:00',2,1,11,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241212473431336612572114610137012',3542,'226',62.26,1,3,NULL),(16,3221253,'1991-09-08 00:00:00',2,9,11,2008,'M','N','POPULAR','LAGES','SC','124241241115151431448613372124610144177',5798,'512',56.82,1,2,1),(16,3221270,'1991-02-16 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241415112431438836575125610154187',11343,'270',46.42,1,3,NULL),(16,3221288,'1990-12-15 00:00:00',2,1,12,2008,'M','N','CDHU','TATUí','SP','125251251336111441334319572322610134017',14025,'9998',41.60,1,3,NULL),(16,3221296,'1990-01-08 00:00:00',4,1,12,2007,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241217272712478811575124230266071',2397,'262',65.69,1,3,NULL),(16,3221300,'1991-11-05 00:00:00',4,4,12,2008,'M','N','JARDIM ITALIA','CHAPECó','SC','124242241117271531548912572122610127057',13940,'169',41.77,4,3,NULL),(16,3221318,'1988-12-07 00:00:00',2,1,11,2006,'F','N','JD DAS INDUSTRIAS','S JOSé CAMPOS','SP','125252251216573431568313572112610127052',2904,'9998',64.09,4,3,NULL),(16,3221326,'1991-03-25 00:00:00',4,5,12,2008,'F','N','CORRIDAS','ORLEANS','SC','124241241215111431546934575122610123187',11498,'581',46.18,1,3,NULL),(16,3221342,'1987-10-10 00:00:00',2,4,12,2004,'M','N','CANGO','FRANCISCO BELTRãO','PR','116161161116371431328631345132610162182',NULL,'9998',32.89,1,2,1),(16,3221350,'1980-09-25 00:00:00',2,1,12,2001,'M','N','KOBRASOL','S JOSé','SC','124241241126153431333344245324610123057',15672,'733',38.13,1,2,1),(16,3221369,'1989-02-10 00:00:00',4,1,12,2006,'F','N','PIRITUBA','S PAULO','SP','125252251216471431448831575122610117047',NULL,'9998',0.00,1,3,NULL),(16,3221377,'1992-04-29 00:00:00',4,1,11,2009,'M','S','BAIRRO UNIVERSITáRIO','TIJUCAS','SC','124244241212111531327823571124610117012',NULL,'948',22.23,4,3,NULL),(16,3221385,'1989-08-12 00:00:00',4,8,11,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124243241212372431366621574124231427052',7182,'270',53.95,1,3,NULL),(16,3221393,'1991-08-02 00:00:00',4,2,10,2008,'M','N','VILA NOVA','BLUMENAU','SC','124242241215111431469814595124610134012',14865,'909',39.96,1,3,NULL),(16,3221407,'1989-05-09 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241212474431338833592124230464145',9160,'273',50.30,1,3,NULL),(16,3221415,'1990-01-31 00:00:00',2,6,12,2008,'M','N','TABULEIRO','ITAPEMA','SC','124241241127131431533338245121610167147',NULL,'406',28.17,1,2,1),(16,3221423,'1991-05-09 00:00:00',4,10,11,2008,'M','N','MORROTES','TUBARãO','SC','124242241215111431256532574121610127052',15135,'809',39.34,1,3,NULL),(16,3221458,'1990-11-09 00:00:00',2,3,12,2007,'M','N','MORRETES','ITAPEMA','SC','124241241117131431436334245121610162147',15846,'406',37.64,1,2,1),(16,3221466,'1982-03-27 00:00:00',4,4,12,2001,'F','N','CENTRO','PASSO FUNDO','RS','120203207226153541256829445124132026097',14002,'9999',41.64,1,3,NULL),(16,3221474,'1991-05-15 00:00:00',4,1,12,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124241241115371751526519592214610167011',NULL,'727',34.61,1,3,NULL),(16,3221482,'1972-05-19 00:00:00',2,1,11,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','224241247332131421653354112124610127117',13431,'9999',42.73,1,3,NULL),(16,3221504,'1988-10-22 00:00:00',2,8,12,2005,'M','N','JARDIM BRASIL','BAURU','SP','124241161415573431436823575224231434092',6225,'9998',55.86,1,3,NULL),(16,3221512,'1988-04-04 00:00:00',4,1,12,2005,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124252251216472431458833575122221442182',2348,'9998',65.88,1,3,NULL),(16,3221520,'1990-02-26 00:00:00',4,1,12,2008,'M','N','UNIVERSITáRIO','TIJUCAS','SC','124242241216111431334824575121610137047',NULL,'948',0.00,1,3,NULL),(16,3221539,'1991-05-28 00:00:00',2,1,12,2008,'M','N','VARGEM PEQUENA','FLORIANóPOLIS','SC','124243241315111211426419495124610134042',NULL,'1022',30.16,1,3,NULL),(16,3221547,'1987-05-19 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124172171216131712389833575224141017184',13082,'9998',43.35,1,3,NULL),(16,3221555,'1988-10-18 00:00:00',2,1,12,2005,'F','N','REAL PARQUE','S JOSé','SC','124241241116374431436634342324610126147',10435,'257',48.03,1,2,1),(16,3221563,'1988-11-09 00:00:00',2,1,11,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124243247445272431648731375124610134095',NULL,'269',28.57,1,3,NULL),(16,3221580,'1991-06-05 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124244241215112511367712242114610117045',7125,'1022',54.05,1,3,NULL),(16,3221598,'1991-11-04 00:00:00',2,2,12,2008,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241117161741438613575124610168197',NULL,'84',27.90,1,3,NULL),(16,3221601,'1990-10-26 00:00:00',4,10,12,2008,'M','N','CENTRO','TUBARãO','SC','124242241215111431546814572121610137052',10503,'797',47.90,1,3,NULL),(16,3221610,'1992-03-23 00:00:00',4,8,12,2008,'F','N','SEMINáRIO','CURITIBA','PR','116162161215111431458834571112610163142',4874,'9998',58.94,1,3,NULL),(16,3221628,'1989-10-20 00:00:00',2,1,12,2007,'F','N','NEGRÃO DE LIMA','GOIâNIA','GO','109091091116231711535631572122610122097',NULL,'9998',0.00,4,2,1),(16,3221636,'1991-06-27 00:00:00',4,1,11,2008,'F','N','JURERE','FLORIANóPOLIS','SC','124244241215111431578811475124610132132',6518,'266',55.24,3,3,NULL),(16,3221644,'1992-01-12 00:00:00',2,1,11,2008,'M','N','TRêS VENDAS','ERECHIM','RS','120204201317131431335514375124610147047',14735,'9998',40.20,1,3,NULL),(16,3221652,'1991-01-09 00:00:00',4,8,12,2008,'M','N','REBOUÇAS','CURITIBA','PR','116162161216471431568839595125610127042',NULL,'9998',30.55,1,3,NULL),(16,3221679,'1990-10-13 00:00:00',4,1,11,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124012241215121431678619595122610132012',NULL,'266',0.00,1,3,NULL),(16,3221687,'1991-01-14 00:00:00',2,1,11,2008,'F','N','FORQUILHINHAS','S JOSé','SC','224241241132131431324331341224610138142',NULL,'727',20.06,4,3,NULL),(16,3221695,'1989-10-02 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111521438612325124610162142',NULL,'738',21.79,1,3,NULL),(16,3221709,'1990-09-10 00:00:00',2,1,12,2007,'M','N','SãO SEBASTIãO','PALHOçA','SC','124241241117372431446319582114610118092',14531,'592',40.63,1,2,1),(16,3221717,'1991-10-24 00:00:00',4,8,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161216111431478823575114610132122',NULL,'9998',0.00,1,3,NULL),(16,3221725,'1991-07-20 00:00:00',2,5,11,2008,'F','N','CENTRO','PR GRANDE','SC','124244241217112431468912175124610124147',5242,'32',58.02,1,3,NULL),(16,3221733,'1990-02-01 00:00:00',4,1,11,2007,'M','N','MARISTELA','PRES PRUDENTE','SP','125252251217471431448834592122610117062',NULL,'9998',25.93,1,3,NULL),(16,3221741,'1989-11-25 00:00:00',4,1,12,2007,'M','N','ASA SUL','BRASíLIA','DF','107072071216271731567933575122142462197',1345,'9998',70.13,1,3,NULL),(16,3221750,'1991-08-31 00:00:00',4,1,12,2008,'M','N','CENTRO','CPO GRANDE','MS','112122121215111431369933215115610132092',13079,'9998',43.36,4,3,NULL),(16,3221776,'1991-05-28 00:00:00',4,6,12,2008,'M','N','SOUZA CRUZ','BRUSQUE','SC','124242246417121431459823572121610134112',NULL,'1090',22.33,3,3,NULL),(16,3221784,'1990-08-10 00:00:00',2,1,11,2007,'F','N','MORRETES II','PALHOçA','SC','124241241125371411523371342324610124197',10230,'595',48.37,1,2,1),(16,3221792,'1991-02-20 00:00:00',4,4,11,2008,'M','N','BORTOT','PATO BRANCO','PR','116164161215371431546516362122610137052',NULL,'9998',35.89,1,3,NULL),(16,3221806,'1988-03-04 00:00:00',2,1,12,2005,'M','N','VILA TUPY','PR GRANDE','SP','125251251116571431228628582124610115187',4489,'9998',59.79,1,2,1),(16,3221814,'1991-04-28 00:00:00',2,5,12,2008,'F','N','CENTRO','ORLEANS','SC','124242241215111731538732575122610136072',16173,'581',36.72,1,3,NULL),(16,3221822,'1992-04-29 00:00:00',4,7,12,2009,'M','S','COLINA VERDE','VIDEIRA','SC','124241241237121431536912124122610162141',NULL,'969',48.93,4,3,NULL),(16,3221830,'1992-05-20 00:00:00',2,1,12,2008,'F','N','CENTRO','SANANDUVA','RS','120201208116161431348811375125610116042',NULL,'451',25.36,1,3,NULL),(16,3221857,'1991-02-07 00:00:00',4,1,12,2008,'M','N','PâNTANO DO SUL','FLORIANóPOLIS','SC','124242241215112431366312142112610132147',997,'266',72.08,1,3,NULL),(16,3221865,'1988-03-13 00:00:00',4,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116192191215311631278811572114610142181',NULL,'9998',0.00,1,3,NULL),(16,3221873,'1989-03-28 00:00:00',2,6,12,2006,'M','N','CENTRO','BRUSQUE','SC','124244241411373411569913492122230227042',8142,'107',52.15,1,3,NULL),(16,3221881,'1989-10-16 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215372431349934575112610167042',4681,'270',59.35,1,3,NULL),(16,3221903,'1991-12-02 00:00:00',4,6,12,2008,'F','N','CABEçUDAS','ITAJAí','SC','124242241217111431479911475122610124142',5640,'1026',57.18,1,3,NULL),(16,3221911,'1991-05-08 00:00:00',2,5,12,2008,'F','N','PIRAGO','URUSSANGA','SC','124242241235111431433611472322610161072',13203,'226',43.14,1,3,NULL),(16,3221920,'1990-04-26 00:00:00',4,9,12,2006,'F','N','CENTRO','PTE ALTA','SC','124241241114131451338819571222231526057',12707,'625',43.99,1,2,1),(16,3221938,'1989-07-11 00:00:00',4,1,12,2006,'M','N','CENTRO','DOIS CóRREGOS','SP','125252251217461732237712342112610167032',NULL,'9998',0.00,1,3,NULL),(16,3221946,'1991-11-20 00:00:00',4,4,12,2008,'F','N','ALVORADA','XAXIM','SC','124243241315271711436512475122610147047',NULL,'994',26.86,1,3,NULL),(16,3221954,'1990-03-17 00:00:00',2,1,12,2007,'M','N','CENTRO','STO ÂNGELO','RS','120242241215273431367731215124610162075',2310,'1048',66.01,1,3,NULL),(16,3221970,'1991-06-06 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241212121331458832593214610163175',14469,'1022',40.75,1,3,NULL),(16,3221989,'1991-09-13 00:00:00',4,6,12,2008,'M','N','CENTRO','ITAJAí','SC','124242241217121431436822575121610137052',NULL,'392',25.56,1,3,NULL),(16,3221997,'1991-08-26 00:00:00',4,5,12,2008,'M','N','LOT ANTONIO LIMA','IçARA','SC','124241241127131531513314242224610114077',NULL,'1005',17.27,2,1,1),(16,3222012,'1988-04-23 00:00:00',4,1,12,2005,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124242241417372421368923331122610167092',4678,'1022',59.36,1,3,NULL),(16,3222020,'1990-09-11 00:00:00',4,8,12,2007,'F','N','JARAGUá ESQUERDO','JARAGUá SUL','SC','116242241216471731478832572115610164142',NULL,'491',0.00,1,3,NULL),(16,3222039,'1991-06-10 00:00:00',4,1,11,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215111431326933431122610126072',12103,'737',45.09,1,3,NULL),(16,3222047,'1991-06-21 00:00:00',2,8,12,2008,'M','N','CENTRO','ADAMANTINA','SP','125253251116271431536631272124610168097',NULL,'9998',0.00,4,3,NULL),(16,3222055,'1987-05-20 00:00:00',4,8,12,2004,'M','N','CENTRO','CURITIBA','PR','116162161216573421478812121122610117042',3371,'9998',62.78,3,3,NULL),(16,3222063,'1989-06-16 00:00:00',4,1,12,2006,'F','N','JARDIM PIRES DE MELO','SOROCABA','SP','125252251215571431638814574124610123092',3457,'9998',62.51,1,3,NULL),(16,3222071,'1988-05-14 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241137133431358727392124610117167',12161,'306',44.97,1,2,1),(16,3222080,'1991-02-24 00:00:00',2,6,12,2008,'F','N','CENTRO','BRUSQUE','SC','124242246217141431558934294222610147147',NULL,'1090',29.56,1,3,NULL),(16,3222101,'1990-06-01 00:00:00',2,1,12,2007,'F','N','COSTA DO IPIRANGA','GRAVATAí','RS','120193201215471731549933572124610146187',2109,'9998',66.76,1,3,NULL),(16,3222110,'1991-02-20 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242248115111431389934571112610142052',NULL,'271',0.00,1,3,NULL),(16,3222128,'1992-03-23 00:00:00',4,1,11,2009,'F','S','RANCHO QUEIMADO','RANCHO QUEIMADO','SC','124241241435111431227732295122610135197',NULL,'1118',22.08,1,3,NULL),(16,3222144,'1984-04-18 00:00:00',4,1,12,2004,'M','N','INGLESES','FLORIANóPOLIS','SC','124202241126132721236723412114610124187',NULL,'307',25.14,1,3,NULL),(16,3222152,'1979-02-02 00:00:00',2,1,6,1997,'M','N','AREIAS','S JOSé','SC','624243247337133421366354432134131067067',NULL,'9999',12.46,1,3,NULL),(16,3222160,'1990-09-16 00:00:00',4,5,12,2008,'F','N','VERA CRUZ','CRICIúMA','SC','124241241117131412536321572225610126197',NULL,'209',36.68,1,2,1),(16,3222179,'1990-09-28 00:00:00',4,1,12,2008,'F','N','MACIAMBU PEQUENO','PALHOçA','SC','124241241117131431533234486224610137147',15616,'595',38.27,1,2,1),(16,3222195,'1991-05-04 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111411586852592112610144182',NULL,'270',0.00,1,3,NULL),(16,3222209,'1991-11-17 00:00:00',4,1,12,2008,'M','N','CENTRO','GUAPORé','RS','120202201217111411456822395125610134077',NULL,'9998',0.00,1,3,NULL),(16,3222217,'1991-12-05 00:00:00',2,1,12,2008,'F','N','BELA VISTA','S PAULO','SP','125252251215111731438824572112610161117',NULL,'9998',0.00,1,3,NULL),(16,3222225,'1990-02-16 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241317272431477612385114610167042',6394,'300',55.48,1,3,NULL),(16,3222233,'1991-05-20 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215372631466919576124610134072',59,'273',81.96,1,3,NULL),(16,3222241,'1974-05-09 00:00:00',2,1,12,1992,'M','N','CAMPECHE','FLORIANOPOLIS','SC','624241203126155731235353435124320962187',1932,'9998',67.47,1,2,1),(16,3222268,'1992-07-30 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111231468814372112610137122',NULL,'270',25.28,1,3,NULL),(16,3222276,'1989-10-30 00:00:00',4,1,12,2007,'M','N','SãO JOAQUIM','VINHEDO','SP','125252251216471431568611275112610167127',NULL,'9998',0.00,1,3,NULL),(16,3222292,'1981-11-22 00:00:00',4,1,12,1998,'M','N','TRINDADE','FLORIANóPOLIS','SC','124161161315133731125923395124221414185',5584,'9998',57.30,3,3,NULL),(16,3222306,'1991-07-23 00:00:00',4,1,12,2009,'F','S','CARVOEIRA','FLORIANóPOLIS','SC','124241241112151451268924572122610137142',NULL,'267',39.65,1,3,NULL),(16,3222314,'1990-09-16 00:00:00',4,5,12,2008,'F','N','VERA CRUZ','CRICIúMA','SC','124241241117131412535321572225610124197',NULL,'209',25.69,1,2,1),(16,3222322,'1991-02-17 00:00:00',4,1,12,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124243241117271731236923575124610132142',4326,'739',60.19,1,3,NULL),(16,3222330,'1982-06-23 00:00:00',2,1,12,1999,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124203041216371431379713472122142414122',NULL,'9998',34.16,1,3,NULL),(16,3222349,'1989-01-15 00:00:00',2,8,12,2006,'F','N','CENTRO','PAPANDUVA','SC','124241241112571431433933573214610134147',7194,'603',53.92,4,2,1),(16,3222357,'1989-03-21 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANóPOLIS','SC','124244241435133121429818192324610161057',12442,'272',44.48,1,3,NULL),(16,3222373,'1989-05-29 00:00:00',4,2,12,2006,'F','N','VELHA','BLUMENAU','SC','124242241215573431668614471122610167177',121,'71',80.62,1,3,NULL),(16,3222381,'1989-03-21 00:00:00',2,1,12,2006,'F','N','SãO SEBASTIãO','PALHOçA','SC','124241241125142431523311395124230232147',NULL,'592',29.83,1,2,1),(16,3222390,'1989-07-20 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241215472421469711572112610154147',NULL,'1146',23.37,1,3,NULL),(16,3222403,'1988-11-02 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241217212411353639575122221464015',4446,'424',59.90,1,3,NULL),(16,3222411,'1990-05-04 00:00:00',4,5,12,2007,'F','N','CENTRO','FORQUILHINHA','SC','120242241215372431348522271124132433152',559,'226',75.30,1,3,NULL),(16,3222420,'1990-09-18 00:00:00',4,2,12,2008,'M','N','GARCIA','BLUMENAU','SC','124242241215111412468931575122610132182',1711,'87',68.37,1,3,NULL),(16,3222438,'1989-02-09 00:00:00',2,1,11,2007,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241115372412433339385124610126142',NULL,'288',22.91,4,2,1),(16,3222446,'1991-07-21 00:00:00',4,1,12,2008,'M','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242248215112711489814572124610144057',NULL,'1022',39.62,1,3,NULL),(16,3222454,'1988-05-20 00:00:00',2,1,12,2005,'F','N','PQ HIPOLITO EXP I','LIMEIRA','SP','125252251111371441426674375224610144182',NULL,'9998',29.13,1,3,NULL),(16,3222462,'1972-12-18 00:00:00',4,1,12,1992,'F','N','CIDADE DE FPOLIS','SAO JOSE','SC','224246241346144421262354435122321962092',8320,'521',51.75,1,3,NULL),(16,3222470,'1990-10-23 00:00:00',2,4,11,2007,'F','N','VENEZA','XANXERê','SC','124241241216272431324614575124132838097',1477,'1081',69.47,1,3,NULL),(16,3222489,'1990-03-05 00:00:00',4,1,12,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241248415141711436632192124610162145',NULL,'1022',0.00,1,3,NULL),(16,3222497,'1989-02-11 00:00:00',4,8,12,2006,'F','N','CENTRO','S BENTO SUL','SC','124242241226573431558914574124610166142',4174,'974',60.58,1,3,NULL),(16,3222500,'1991-08-04 00:00:00',2,5,12,2008,'M','N','CENTRO','MELEIRO','SC','124242248215111511458931392114610117047',NULL,'32',27.72,1,3,NULL),(16,3222519,'1991-03-06 00:00:00',2,10,11,2008,'M','N','VILA MOEMA','TUBARãO','SC','124242241215121431438814245121610167055',NULL,'807',27.94,1,3,NULL),(16,3222535,'1992-02-14 00:00:00',4,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241217111411469313195124610132045',10324,'270',48.21,1,3,NULL),(16,3222551,'1991-02-15 00:00:00',4,1,12,2008,'M','N','BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP','125252251215111431458631415124610127052',NULL,'9998',0.00,1,3,NULL),(16,3222560,'1989-07-12 00:00:00',4,1,12,2007,'F','N','JOAO DE VASCONCELOS','SUMARé','SP','125251251437471431436311574124610162092',4349,'9998',60.14,1,3,NULL),(16,3222586,'1989-12-14 00:00:00',4,1,11,2007,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215372431569823572122131227072',2823,'270',64.31,1,3,NULL),(16,3222594,'1989-10-21 00:00:00',2,10,12,2006,'F','N','CENTRO','ARMAZéM','SC','124243241415374431425721315124122244147',4654,'806',59.42,1,3,NULL),(16,3222608,'1977-02-19 00:00:00',2,1,12,1994,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241127373111243644145122330237145',13589,'136',42.47,1,2,1),(16,3222616,'1991-10-01 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215111431444833572124610124152',NULL,'1022',21.63,1,3,NULL),(16,3222624,'1989-03-07 00:00:00',2,1,12,2006,'F','N','SãO ROQUE','NOVA TRENTO','SC','124241241117371711554613445122610121193',14577,'574',40.56,1,3,NULL),(16,3222632,'1991-05-22 00:00:00',2,1,12,2008,'M','N','AREIAS','S JOSé','SC','124241241116371431433331575124610127052',NULL,'732',30.52,2,2,1),(16,3222640,'1990-11-15 00:00:00',4,1,12,2007,'M','N','SAN REMO','LONDRINA','PR','116162161237272711359979575124610164042',5238,'9998',58.03,1,3,NULL),(16,3222659,'1990-08-19 00:00:00',2,4,12,2007,'F','N','CENTRO','PLANALTO','RS','120201201116372431348823472112610145147',13080,'9998',43.36,1,3,NULL),(16,3222667,'1990-09-28 00:00:00',4,3,12,2008,'F','N','GUARANI','BRUSQUE','SC','124242241215111421548634571122610137142',NULL,'109',25.56,1,3,NULL),(16,3222683,'1992-07-02 00:00:00',2,1,12,2009,'F','S','STO ANTôNIO LISBOA','FLORIANóPOLIS','SC','124242247215111711464412345114610123072',NULL,'1050',21.88,1,3,NULL),(16,3222691,'1990-05-22 00:00:00',2,7,7,2008,'F','N','RUPP','HERVAL D OESTE','SC','124243241326131431228624341234610126142',NULL,'962',0.00,1,3,NULL),(16,3222705,'1991-03-21 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','624242241215111431326629572124610138182',15202,'976',39.20,2,3,NULL),(16,3222721,'1981-12-10 00:00:00',2,1,12,1999,'M','N','ROCADO','S JOSé','SC','124241241125471721435311442212610168197',14500,'729',40.70,1,2,1),(16,3222730,'1991-05-13 00:00:00',4,2,12,2008,'M','N','GABIROBA','ITUPORANGA','SC','124241241115131731214625162114610167087',NULL,'416',0.00,1,2,1),(16,3222756,'1990-09-09 00:00:00',4,1,11,2008,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215111731369913575124610122015',3311,'266',62.96,1,3,NULL),(16,3222764,'1991-03-25 00:00:00',4,1,12,2008,'F','N','VILA CARMEM','PASSO FUNDO','RS','120203201117471431578813574124610122117',6043,'9998',56.24,1,3,NULL),(16,3222772,'1990-07-03 00:00:00',4,4,12,2007,'M','N','CENTRO','PATO BRANCO','PR','116162161115472411458832575112610118127',NULL,'9998',0.00,1,3,NULL),(16,3222780,'1991-03-06 00:00:00',2,7,12,2007,'F','N','SANTA TEREZA','VIDEIRA','SC','124241241117152431549914472124232626147',15743,'831',37.95,1,3,NULL),(16,3222799,'1990-10-22 00:00:00',4,1,11,2008,'M','N','JARDIM SãO BENTO','CPO GRANDE','MS','112122121237121431679931575122610117047',7859,'9998',52.67,1,3,NULL),(16,3222802,'1989-09-25 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241132131432321143232344610124145',NULL,'287',0.00,1,2,1),(16,3222829,'1990-08-10 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241415372431536713431124610136142',14405,'270',40.87,1,3,NULL),(16,3222837,'1992-05-10 00:00:00',2,1,12,2009,'F','S','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241117131412415611272124610127142',NULL,'278',25.01,1,3,NULL),(16,3222845,'1991-01-21 00:00:00',4,1,11,2008,'M','N','CENTRO','CAMPINAS','SP','125252251216111431269923575115610112057',4070,'9998',60.87,1,3,NULL),(16,3222853,'1991-02-23 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241216131431636669572122610132057',12353,'259',44.63,1,3,NULL),(16,3222861,'1991-08-12 00:00:00',2,5,12,2008,'M','N','PEDREIRAS','IçARA','SC','124241241116151431423312192224610135093',NULL,'1005',0.00,1,2,1),(16,3222870,'1992-05-18 00:00:00',4,5,10,2009,'M','S','PRóSPERA','CRICIúMA','SC','124242241215111731356632572124610138142',NULL,'226',50.64,1,3,NULL),(16,3222888,'1989-11-03 00:00:00',2,1,12,2006,'F','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124244241111374331549613241134610166147',NULL,'288',26.23,1,3,NULL),(16,3222896,'1969-07-14 00:00:00',2,1,12,1986,'M','N','BOSQUE DAS MANSõES','S JOSé','SC','224243248346131431236641275123130767187',15235,'524',39.12,1,3,NULL),(16,3222900,'1991-03-26 00:00:00',4,1,11,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215121431369823575122610147142',10120,'266',48.58,1,3,NULL),(16,3222918,'1990-11-05 00:00:00',4,1,12,2008,'F','N','CENTRO','CARAZINHO','RS','120201201114471431235729575122610124147',15196,'9998',39.21,1,2,1),(16,3222926,'1992-08-19 00:00:00',4,5,11,2009,'F','S','GUATá','LAURO MüLLER','SC','124244241415111431449912571124610124073',NULL,'820',21.82,1,3,NULL),(16,3222934,'1991-08-25 00:00:00',4,1,12,2008,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241215111432326514575124610167057',NULL,'63',27.93,1,3,NULL),(16,3222950,'1991-07-12 00:00:00',4,1,12,2008,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124243241415122431447712575124610124142',2985,'270',63.84,1,3,NULL),(16,3222977,'1992-04-22 00:00:00',4,2,12,2009,'M','S','SALTO DO NORTE','BLUMENAU','SC','124242241215151532366614575122610137052',NULL,'87',48.97,1,3,NULL),(16,3222993,'1984-12-03 00:00:00',4,1,12,2002,'M','N','SERRINHA','FLORIANóPOLIS','SC','124162161216574451368619575124221434052',1280,'9998',70.51,1,3,NULL),(16,3223000,'1991-07-31 00:00:00',4,2,10,2008,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241217111431485512575112610132192',NULL,'909',32.06,1,3,NULL),(16,3223019,'1988-10-15 00:00:00',2,1,12,2005,'F','N','ABRAãO','FLORIANóPOLIS','SC','124241244236374431356433394124610162147',NULL,'269',36.49,1,3,NULL),(16,3223027,'1990-11-06 00:00:00',2,1,12,2008,'M','N','CANTO','FLORIANóPOLIS','SC','124242241212121711488332242114610137052',16036,'1022',37.15,1,3,NULL),(16,3223035,'1990-04-26 00:00:00',2,1,12,2007,'M','N','JD CIDADE DE FPOLIS','S JOSé','SC','124244241316472431335624385124610134142',5121,'734',58.32,1,3,NULL),(16,3223043,'1986-09-19 00:00:00',4,8,12,2003,'M','N','LONDRILAR','LONDRINA','PR','116162161211573551364432595115121447057',NULL,'9998',0.00,1,3,NULL),(16,3223051,'1991-03-12 00:00:00',2,5,12,2008,'F','N','PRóSPERA','CRICIúMA','SC','124242241215111451438834591114610166177',3688,'226',61.84,1,3,NULL),(16,3223060,'1978-08-28 00:00:00',2,1,12,1997,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241243127374711238649291124330236147',7628,'295',53.11,4,1,1),(16,3223078,'1985-11-01 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','124244241216575451459614474124133226097',293,'737',78.01,4,3,NULL),(16,3223086,'1989-10-13 00:00:00',4,8,12,2006,'F','N','VITóRIA RéGIA','CORNéLIO PROCóPIO','PR','116164161215571431468813472122610122187',5233,'9998',58.04,1,3,NULL),(16,3223094,'1989-11-01 00:00:00',4,1,11,2007,'F','N','SãO LUIZ','CRICIúMA','SC','124242241212373431438912572124131022142',5170,'210',58.19,1,3,NULL),(16,3223108,'1990-08-09 00:00:00',2,1,11,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215111411688852572112610134092',NULL,'270',0.00,1,3,NULL),(16,3223124,'1990-09-22 00:00:00',4,1,7,2007,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124244241215472431338833575124610162147',2280,'270',66.12,1,3,NULL),(16,3223140,'1991-09-23 00:00:00',2,7,12,2008,'M','N','CENTRO','PAIM FILHO','RS','120201201146111431323319492345610137057',NULL,'9998',34.95,1,2,1),(16,3223159,'1990-11-01 00:00:00',4,1,12,2008,'F','N','CIDADE JARDIM','CPO GRANDE','MS','112123121117571411479911594112613226072',4596,'9998',59.58,1,3,NULL),(16,3223175,'1991-03-14 00:00:00',4,8,12,2008,'F','N','BOM RETIRO','JOINVILLE','SC','124241241217271432458619572122610128147',13096,'1006',43.33,1,3,NULL),(16,3223183,'1989-09-04 00:00:00',2,9,12,2006,'M','N','CENTRO','S JOAQUIM','SC','124241241121172731427933341322610114172',NULL,'903',23.16,1,2,1),(16,3223205,'1988-08-17 00:00:00',2,1,12,2007,'M','N','RIO GRANDE','PALHOçA','SC','124241241142131451536624345123610127042',8016,'592',52.40,1,2,1),(16,3223213,'1988-04-18 00:00:00',4,1,12,2005,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241216272431565812572124233254012',14672,'270',40.34,1,3,NULL),(16,3223221,'1983-01-17 00:00:00',2,1,11,2000,'M','N','JARDIM CARVALHO','PNT GROSSA','PR','116162168216151711343672295122140227091',NULL,'988',0.00,1,3,NULL),(16,3223230,'1991-11-28 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241217111431346639375122610127147',NULL,'262',43.62,1,3,NULL),(16,3223248,'1991-08-30 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217151431568619595122610122142',15648,'262',38.20,1,3,NULL),(16,3223256,'1988-09-19 00:00:00',4,1,4,2008,'M','N','JARDIM SANTA GENEBRA','CAMPINAS','SP','125252257116151411466834241114610162121',14182,'9999',41.26,1,3,NULL),(16,3223264,'1989-03-14 00:00:00',2,6,12,2006,'M','N','CENTRO','ITAJAí','SC','124242241216374431466614375122233264122',6053,'1026',56.22,1,3,NULL),(16,3223299,'1984-07-11 00:00:00',2,1,12,2000,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241117131121124348382314610162187',14848,'175',39.99,1,3,NULL),(16,3223310,'1987-04-03 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216474441458713575125131514141',8112,'948',52.20,1,3,NULL),(16,3223329,'1984-01-25 00:00:00',2,1,12,2001,'F','N','PACHECOS','PALHOCA','SC','124241241112474421345313445124610134012',6141,'591',56.05,1,2,1),(16,3223337,'1989-12-25 00:00:00',4,1,12,2007,'M','N','PARAíSO','S PAULO','SP','125252251217471431488831575122610147093',11457,'9998',46.25,3,3,NULL),(16,3223345,'1989-12-27 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','116241161316471611126674315124142864097',12113,'9998',45.07,1,3,NULL),(16,3223361,'1979-03-07 00:00:00',2,1,12,1998,'M','N','CENTRO','FLORIANóPOLIS','SC','124162161221141711414341212214643213022',10265,'9998',48.32,1,3,NULL),(16,3223370,'1991-05-07 00:00:00',2,1,10,2008,'F','N','SOROCABA','PAULO LOPES','SC','124243247435271421683312146122610138195',NULL,'9999',18.80,1,3,NULL),(16,3223388,'1990-04-09 00:00:00',4,8,12,2007,'F','N','ALTOS DE SANTANA','S JOSé CAMPOS','SP','125251256236471731456419345124610127092',NULL,'9998',28.13,1,3,NULL),(16,3223396,'1988-05-19 00:00:00',4,1,12,2005,'F','N','BOM JESUS','CURITIBANOS','SC','124244241416372411345522275124610168091',10083,'499',48.63,1,3,NULL),(16,3223400,'1990-09-17 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241115112231224424572124610138077',10198,'738',48.43,1,3,NULL),(16,3223418,'1991-02-05 00:00:00',2,1,12,2007,'F','N','MENINO DEUS','JOAçABA','SC','124242241216371431448833575124131048072',12341,'962',44.65,1,3,NULL),(16,3223426,'1991-05-03 00:00:00',2,10,11,2008,'F','N','CENTRO','TUBARãO','SC','124241241215131431646631575325610134142',3168,'806',63.35,1,3,NULL),(16,3223434,'1989-09-15 00:00:00',2,1,12,2007,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124242241217272431458733372113610134187',10741,'1048',47.47,1,3,NULL),(16,3223442,'1991-10-09 00:00:00',4,1,11,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124244241215111431449914445124610127182',12531,'270',44.30,1,3,NULL),(16,3223450,'1991-04-25 00:00:00',2,1,11,2008,'F','N','GUABIROTUBA','CURITIBA','PR','116161161217111411359831345122610163092',NULL,'9998',0.00,1,3,NULL),(16,3223477,'1990-06-23 00:00:00',4,4,12,2007,'F','N','NITERóI','SEARA','SC','124241241111132431533933372124230464177',NULL,'763',19.08,1,2,1),(16,3223493,'1991-09-06 00:00:00',4,5,12,2008,'M','N','PINHEIRINHO','CRICIúMA','SC','124244246214151411244823572124610144091',2869,'995',64.18,4,3,NULL),(16,3223507,'1990-07-31 00:00:00',4,8,12,2007,'M','N','CENTRO','PARAíSO NORTE','PR','116162161215471431563614144125610167062',3398,'9998',62.68,1,3,NULL),(16,3223515,'1989-03-20 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241117471752526924345124610123147',NULL,'307',19.86,1,2,1),(16,3223523,'1993-04-07 00:00:00',4,1,12,2009,'F','S','JOãO PAULO','FLORIANóPOLIS','SC','124243241116111711459913572124610164147',NULL,'271',30.05,1,3,NULL),(16,3223531,'1989-12-08 00:00:00',4,4,12,2006,'F','N','CENTRO','CHAPECó','SC','124242241215574431468933574122610162127',2876,'1046',64.16,1,3,NULL),(16,3223540,'1986-01-28 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243137416142411239944316131222916187',7201,'9998',53.91,1,3,NULL),(16,3223558,'1985-12-01 00:00:00',4,1,12,2003,'M','N','CENTRO','ITAPEVI','SP','125251251146331441326374282314610163082',4577,'9998',59.60,1,2,1),(16,3223566,'1989-11-02 00:00:00',4,8,12,2006,'M','N','CENTRO','UBIRATã','PR','116161162216471431438614575122610157057',NULL,'9998',13.57,1,3,NULL),(16,3223574,'1990-03-07 00:00:00',4,1,12,2007,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124214241117132731648813445124610167047',4352,'306',60.13,1,3,NULL),(16,3223582,'1987-10-16 00:00:00',2,1,12,2005,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124201241337131431124643232314233262087',16522,'269',35.38,1,3,NULL),(16,3223590,'1991-10-11 00:00:00',2,1,11,2008,'F','N','SãO LUIZ','S JOSé','SC','124241248115131431424833342124610127047',NULL,'733',29.01,1,3,NULL),(16,3223604,'1989-06-05 00:00:00',2,1,12,2006,'M','N','XANGRILA','REGISTRO','SP','125252251217575431464312472115610112186',7289,'9998',53.74,1,3,NULL),(16,3223612,'1991-05-02 00:00:00',4,2,10,2008,'M','N','CENTRO','BLUMENAU','SC','124242241215111531468811472122610137012',7229,'909',53.86,1,3,NULL),(16,3223620,'1991-10-27 00:00:00',4,10,11,2008,'F','N','PARAíSO','CAPIVARI BAIXO','SC','124242241215271231568824575124610132147',12463,'806',44.45,1,3,NULL),(16,3223639,'1990-09-17 00:00:00',2,1,11,2007,'F','N','CENTRO','TIMBé SUL','SC','124243241215572431456612572124610167147',7010,'813',54.27,1,3,NULL),(16,3223647,'1990-09-03 00:00:00',2,1,12,2007,'M','N','ABRAãO','FLORIANóPOLIS','SC','124241241116151731426331295124610167085',NULL,'292',25.70,1,2,1),(16,3223655,'1991-01-30 00:00:00',4,1,11,2008,'M','N','SERRARIA','S JOSé','SC','124241241215141231466853345124610122043',14330,'269',40.99,2,3,NULL),(16,3223663,'1990-07-28 00:00:00',4,4,12,2008,'M','N','CENTRO','CHAPECO','SC','124243247317111411343639595122610162047',11079,'9999',46.88,1,3,NULL),(16,3223671,'1990-12-06 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANOPOLIS','SC','124242248216111311358819575122610112195',15370,'270',38.84,1,3,NULL),(16,3223698,'1988-04-28 00:00:00',2,1,12,2005,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241136275221324644245114610127047',13330,'592',42.91,1,2,1),(16,3223701,'1990-03-26 00:00:00',2,1,12,2008,'M','N','CACHOEIRA DO BJ','FLORIANóPOLIS','SC','124242241215111431456621372324610137047',NULL,'884',19.99,1,3,NULL),(16,3223728,'1991-09-28 00:00:00',4,1,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161217111511489834474122610132181',1722,'9998',68.34,3,3,NULL),(16,3223736,'1989-11-02 00:00:00',4,1,12,2007,'M','N','CENTRO','VOTUPORANGA','SP','125252251215471731358812575114610167182',11072,'9998',46.89,1,3,NULL),(16,3223744,'1992-05-31 00:00:00',2,9,12,2009,'F','S','ESQUINA','URUBICI','SC','124242241215121431456912595122610127142',NULL,'807',24.06,1,3,NULL),(16,3223779,'1992-01-03 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241315111441563312225122610165125',NULL,'1022',0.00,1,3,NULL),(16,3223787,'1978-08-30 00:00:00',4,1,12,1996,'M','N','ITAGUAÇU','FLORIANóPOLIS','SC','124241241316142431436642422122321416122',1987,'270',67.25,1,3,NULL),(16,3223795,'1991-01-08 00:00:00',4,10,11,2008,'F','N','OFICINAS','TUBARãO','SC','124242241415271441335612272122610167072',14658,'809',40.36,1,3,NULL),(16,3223809,'1989-05-14 00:00:00',2,1,12,2007,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124243241117132521648973393124610167144',8416,'306',51.56,1,3,NULL),(16,3223817,'1990-04-20 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124244241215373431479833395122231067042',6706,'1051',54.85,1,3,NULL),(16,3223825,'1990-05-01 00:00:00',4,1,12,2007,'M','N','VILA ZELINA','S PAULO','SP','125252251117371131377834574115610137111',3381,'9998',62.75,1,3,NULL),(16,3223833,'1989-12-13 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243248127271731325624285224610126077',NULL,'736',29.01,1,3,NULL),(16,3223841,'1991-10-17 00:00:00',4,4,12,2008,'F','N','INTERIOR','IPUAçU','SC','124241241115161431533316162222610131142',NULL,'372',24.34,1,3,NULL),(16,3223850,'1989-08-04 00:00:00',4,3,11,2006,'F','N','FLORESTA','PORTO ALEGRE','RS','120202201217571431569814271125610164197',990,'9998',72.14,1,3,NULL),(16,3223868,'1988-09-11 00:00:00',4,1,11,2006,'M','N','HIGIENóPOLIS','S PAULO','SP','125252251217571712578619571114610112186',NULL,'9998',0.00,3,3,NULL),(16,3223876,'1991-01-14 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431466672572115610134142',5612,'270',57.23,1,3,NULL),(16,3223884,'1991-11-26 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124243241112121531424511212124610133141',16362,'734',36.14,1,3,NULL),(16,3223892,'1993-04-02 00:00:00',4,1,12,2008,'M','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','124242241217111531459813572112610167042',NULL,'270',38.66,1,3,NULL),(16,3223914,'1989-12-08 00:00:00',4,1,11,2007,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215572531589831572114610124182',137,'270',80.28,1,3,NULL),(16,3223922,'1989-09-18 00:00:00',2,8,12,2006,'F','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161215411431558936575124141334182',NULL,'9998',0.00,1,3,NULL),(16,3223930,'1988-07-22 00:00:00',2,8,12,2006,'M','N','BIGORRILHO','CURITIBA','PR','116162161215572432288714575124610167066',NULL,'9998',0.00,1,3,NULL),(16,3223949,'1988-06-25 00:00:00',2,4,12,2005,'F','N','MARIA GORETTI','CHAPECó','SC','124241241135133421226421285124232822027',12332,'182',44.68,1,2,1),(16,3223957,'1991-10-21 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241211151431358812572122610161187',NULL,'497',35.63,1,3,NULL),(16,3223965,'1990-05-23 00:00:00',4,1,12,2007,'M','N','HIGIENOPOLIS','RIBEIRãO PRETO','SP','125252251217471411288821571112610112092',8946,'9998',50.67,1,3,NULL),(16,3223973,'1990-06-29 00:00:00',2,4,12,2007,'F','N','CENTRO','CONSTANTINA','RS','120201201111131431425723383324610132187',NULL,'9998',18.81,1,2,1),(16,3223981,'1959-05-31 00:00:00',3,1,12,1976,'F','N','BALNEáRIO','FLORIANóPOLIS','SC','224251251217131721458854211122341963197',4776,'9998',59.12,1,3,NULL),(16,3223990,'1989-11-08 00:00:00',2,1,3,2008,'M','N','CAMPINAS','S JOSé','SC','124242241117371431546814492124133262037',4998,'739',58.61,3,3,NULL),(16,3224007,'1991-04-23 00:00:00',2,5,12,2008,'F','N','CENTRO','IçARA','SC','124241241317141431324414275124610135057',13914,'995',41.83,1,3,NULL),(16,3224015,'1991-12-21 00:00:00',4,1,12,2009,'F','S','REAL PARQUE','S JOSé','SC','124243241215111531346333572122610124197',NULL,'944',21.93,1,3,NULL),(16,3224023,'1990-07-18 00:00:00',4,5,12,2008,'F','N','CENTRO','TRêS CACHOEIRAS','RS','120201203226131431435315395121610167057',NULL,'9998',24.36,1,3,NULL),(16,3224031,'1992-06-18 00:00:00',4,5,12,2009,'F','S','CENTRO','ORLEANS','SC','124242241215151431449933392122610134177',NULL,'581',46.70,1,3,NULL),(16,3224040,'1990-06-28 00:00:00',4,1,12,2007,'F','N','BOM RETIRO','CURITIBA','PR','116162161115271411569613581224610164012',NULL,'9998',31.97,1,3,NULL),(16,3224058,'1991-10-29 00:00:00',4,4,12,2008,'F','N','LIDER','CHAPECó','SC','124241241145151431223621395224610124057',NULL,'171',31.89,1,3,NULL),(16,3224082,'1990-11-05 00:00:00',2,1,11,2008,'F','N','FLORESTA','S JOSé','SC','124242241215111431436569292124610137052',NULL,'723',41.39,1,3,NULL),(16,3224112,'1990-10-22 00:00:00',4,1,11,2008,'M','N','SANTO ANTôNIO DE LIS','FLORIANóPOLIS','SC','224242241215111431358829575124610126132',1864,'270',67.74,1,3,NULL),(16,3224120,'1991-05-18 00:00:00',2,4,12,2008,'F','N','CENTRO','PASSOS MAIA','SC','124241241145161431324412242222610133147',NULL,'606',24.38,1,2,1),(16,3224139,'1987-07-20 00:00:00',4,2,12,2004,'F','N','BELA VISTA','GASPAR','SC','124121121122261411644311211224232826147',NULL,'9998',24.85,3,2,1),(16,3224147,'1990-12-14 00:00:00',4,1,12,2008,'F','N','CIDADE NOVA','INDAIATUBA','SP','125254251215171431448812195122610167117',NULL,'9998',39.38,1,3,NULL),(16,3224155,'1991-09-21 00:00:00',2,4,12,2008,'M','N','AMADORI','PATO BRANCO','PR','116161161116471731563634342122610137057',NULL,'9998',37.87,1,2,1),(16,3224171,'1991-12-21 00:00:00',2,6,12,2008,'M','N','MONTE CASTELO','CPO GRANDE','MS','112124127215371431537814114124610127012',15780,'9998',37.83,1,3,NULL),(16,3224198,'1990-07-25 00:00:00',2,1,12,2007,'M','N','ITAGUá','UBATUBA','SP','125252256237471431658933445144610164194',NULL,'9998',43.95,4,1,2),(16,3224201,'1990-06-25 00:00:00',2,1,12,2008,'F','N','SANTINHO','FLORIANóPOLIS','SC','124242241212121431448612372114610134112',NULL,'1022',28.51,1,3,NULL),(16,3224210,'1990-07-18 00:00:00',4,1,12,2007,'F','N','CACUPé','FLORIANóPOLIS','SC','124264241417472431468713574122610123012',915,'272',72.59,1,3,NULL),(16,3224236,'1988-10-08 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124204201212372411446813581124610168117',3767,'9998',61.67,1,3,NULL),(16,3224244,'1990-11-10 00:00:00',2,1,12,2007,'M','N','RESIDENCIAL DA LAGOA','CAXIAS SUL','RS','120202201213572441436711572124610128142',802,'9998',73.44,1,3,NULL),(16,3224260,'1983-11-15 00:00:00',4,1,12,2001,'M','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','616166167646131741326841315324610126173',NULL,'9999',36.71,1,3,NULL),(16,3224279,'1992-05-07 00:00:00',2,8,11,2008,'F','N','TRIâNGULO','ERECHIM','RS','120202201215111731428632295122610127012',NULL,'9998',0.00,1,3,NULL),(16,3224287,'1989-12-11 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241216573441559833591124610134042',4045,'266',60.94,1,3,NULL),(16,3224295,'1992-01-05 00:00:00',4,1,12,2009,'M','S','BARREIROS','S JOSé','SC','124242241215111432338923575114610167047',NULL,'738',21.28,1,3,NULL),(16,3224317,'1991-12-15 00:00:00',4,4,11,2008,'F','N','JARDIM ITALIA','CHAPECó','SC','124242241211111712458712591122610164182',13097,'983',43.33,1,3,NULL),(16,3224325,'1986-08-14 00:00:00',2,1,12,2005,'F','N','KOBRASOL','S JOSé','SC','124241247241272431454611345122612624111',NULL,'1036',21.11,1,3,NULL),(16,3224333,'1991-11-09 00:00:00',2,1,12,2008,'F','N','FORQUILHAS','S JOSé','SC','124241241115131731424534472324610144042',NULL,'733',30.01,1,2,1),(16,3224350,'1991-08-31 00:00:00',4,1,12,2008,'M','N','ESQUINA','URUBICI','SC','124241241115161232424331342221610124053',16094,'818',36.96,1,3,NULL),(16,3224368,'1992-04-17 00:00:00',4,1,12,2009,'F','S','AGRONôMICA','FLORIANóPOLIS','SC','124241241225111431435634245124610123142',NULL,'262',28.17,1,3,NULL),(16,3224376,'1992-12-07 00:00:00',4,9,12,2009,'M','S','CORAL','LAGES','SC','124242241215111431479933175122610122012',NULL,'497',45.32,1,3,NULL),(16,3224384,'1989-05-30 00:00:00',4,1,12,2006,'F','N','PARQUE REAL','RONDONóPOLIS','MT','111112111217572441459933574122610125072',788,'9998',73.56,1,3,NULL),(16,3224392,'1990-12-28 00:00:00',2,1,11,2008,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241215111731585612275122610118042',NULL,'270',36.67,4,3,NULL),(16,3224406,'1988-07-07 00:00:00',4,1,12,2005,'F','N','SãO VICENTE','ITAJAí','SC','124241241415575431446616575114610166197',4003,'391',61.05,1,3,NULL),(16,3224414,'1991-07-15 00:00:00',4,3,12,2008,'F','N','CENTRO','S JOSé AUSENTES','RS','120201201216271531468833572122610127142',11914,'9998',45.42,1,3,NULL),(16,3224422,'1988-05-02 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241116273431437614241134610127117',11700,'307',45.82,1,2,1),(16,3224430,'1991-09-14 00:00:00',4,1,11,2008,'F','N','TREZE DE JULHO','ARACAJU','SE','126262261217111431578923572112610124142',6781,'9998',54.70,4,3,NULL),(16,3224465,'1991-03-08 00:00:00',2,6,11,2008,'M','N','CENTRO','S JOAQUIM','SC','124242241211111231548921174321610164077',11850,'1026',45.55,1,3,NULL),(16,3224473,'1991-02-20 00:00:00',4,2,10,2008,'M','N','GARCIA','BLUMENAU','SC','124244241237111422119613574125610123145',6055,'87',56.22,1,3,NULL),(16,3224481,'1984-11-04 00:00:00',4,1,12,2001,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124122121216272431379933475122221434042',461,'9998',76.12,3,3,NULL),(16,3224490,'1988-01-02 00:00:00',2,5,11,2005,'F','N','MINA DO MATO','CRICIúMA','SC','124241241137271431526814315124610135187',9458,'209',49.80,1,2,1),(16,3224503,'1987-08-25 00:00:00',4,8,12,2004,'M','N','UNIVERSITARIO','GOIâNIA','GO','109111252116131431323614175124143137077',NULL,'9998',0.00,4,2,1),(16,3224511,'1992-04-04 00:00:00',4,9,12,2008,'M','N','CENTRO','CRUZ ALTA','RS','120202201217161431469911574125610127012',3723,'9998',61.78,1,3,NULL),(16,3224538,'1991-07-02 00:00:00',4,1,11,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241217272731589933575112610162145',2976,'262',63.90,1,3,NULL),(16,3224546,'1975-01-28 00:00:00',2,1,12,2003,'F','N','SANTA TEREZA','S PEDRO ALCâNTARA','SC','224241247127131431621354382124232723147',NULL,'9999',25.08,1,3,NULL),(16,3224554,'1991-04-04 00:00:00',2,1,11,2008,'M','N','RATONES','FLORIANóPOLIS','SC','124244241215111411238339575114610144142',NULL,'1048',30.75,2,3,NULL),(16,3224562,'1991-09-11 00:00:00',4,7,12,2008,'F','N','CENTRO','PINHEIRO PRETO','SC','124241241126131531424915292124610167097',NULL,'618',0.00,1,3,NULL),(16,3224570,'1990-01-02 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124242241216372431236629375114123042197',15804,'269',37.76,1,3,NULL),(16,3224589,'1991-01-24 00:00:00',2,1,11,2008,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241116371431433639585124610132147',NULL,'772',28.41,2,1,1),(16,3224597,'1990-12-19 00:00:00',4,1,12,2008,'M','N','OTAVIO PECORA','CPO GRANDE','MS','112122121212121411468812572122610124052',10818,'9998',47.32,1,3,NULL),(16,3224600,'1962-11-16 00:00:00',2,1,12,1978,'M','N','CARIANOS','FLORIANóPOLIS','SC','224161164116141441333341314122340666091',NULL,'9998',45.10,1,3,NULL),(16,3224627,'1990-04-06 00:00:00',4,1,12,2007,'F','N','SANTINHO','FLORIANóPOLIS','SC','124202201117232431642711242324610136072',14936,'9998',39.81,1,3,NULL),(16,3224635,'1991-01-23 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241216112431368813575122610118142',640,'270',74.61,1,3,NULL),(16,3224643,'1983-02-04 00:00:00',2,1,6,2005,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124244247212471751628719445114610164147',NULL,'1003',23.71,1,3,NULL),(16,3224651,'1987-01-17 00:00:00',4,8,12,2004,'M','N','CENTRO','CASCAVEL','PR','116163161116572431579714574114610162147',NULL,'9998',0.00,1,3,NULL),(16,3224660,'1991-10-05 00:00:00',4,1,11,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124244241115371411476654572124610114162',NULL,'271',38.93,1,3,NULL),(16,3224678,'1990-03-15 00:00:00',4,1,11,2007,'M','N','MICHEL','CRICIúMA','SC','124242241215473431459912572124610142041',3737,'270',61.74,1,3,NULL),(16,3224686,'1981-09-12 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241217375231346617575122130265016',NULL,'262',13.54,1,3,NULL),(16,3224694,'1975-08-22 00:00:00',2,1,12,1994,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124053055111171441327654242124141667143',NULL,'9998',24.99,2,1,2),(16,3224708,'1967-08-29 00:00:00',2,1,12,1993,'F','N','CACUPé','FLORIANóPOLIS','SC','224241247127471731372359182124610127037',NULL,'9999',36.93,1,2,1),(16,3224724,'1989-12-07 00:00:00',2,3,12,2006,'F','N','CENTRO','ITAPEMA','SC','124243248215473351426631182111610136117',16373,'9997',36.09,1,3,NULL),(16,3224732,'1990-06-07 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242248217472411558733435114610167042',4218,'262',60.45,1,3,NULL),(16,3224740,'1989-11-05 00:00:00',2,1,11,2007,'F','N','SERRARIAS','S JOSé','SC','124241241115272431324664442134610124142',NULL,'257',22.76,1,2,1),(16,3224759,'1991-01-09 00:00:00',4,7,12,2008,'F','N','CENTRO','CAPINZAL','SC','124241241215131431436923572124610116197',4745,'446',59.19,1,3,NULL),(16,3224767,'1988-11-28 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241132132431613335342345610134057',NULL,'298',23.90,1,2,1),(16,3224775,'1991-09-10 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111752346824572112610124112',12590,'738',44.20,1,3,NULL),(16,3224783,'1992-01-12 00:00:00',4,7,12,2008,'F','N','CENTRO','MISSAL','PR','116162161417271431446616572122610153142',10402,'9998',48.09,1,3,NULL),(16,3224791,'1990-02-20 00:00:00',4,8,12,2007,'F','N','CENTRO','CASCAVEL','PR','116163161116471431579713574114610162147',NULL,'9998',0.00,1,3,NULL),(16,3224805,'1972-03-14 00:00:00',2,1,12,1991,'F','N','CAMPINAS','S JOSé','SC','124243241217142451136444245122331966097',11882,'272',45.49,1,3,NULL),(16,3224813,'1991-05-10 00:00:00',2,1,12,2008,'F','N','VARGEM PEQUENA','FLORIANóPOLIS','SC','124241241111131432326313582224610124147',NULL,'288',27.29,1,2,1),(16,3224821,'1989-11-09 00:00:00',4,1,11,2006,'F','N','BARREIROS','S JOSé','SC','124241241113273111436624345134610134144',NULL,'733',23.85,1,2,1),(16,3224830,'1992-02-22 00:00:00',4,3,11,2008,'F','N','CENTRO','SANANDUVA','RS','120201201216111431458519575122610141017',NULL,'9998',0.00,1,3,NULL),(16,3224848,'1992-11-02 00:00:00',4,3,12,2009,'F','S','CENTRO','BAL CAMBORIú','SC','124202241214151431369912292122610164195',NULL,'1038',0.00,1,3,NULL),(16,3224856,'1991-07-30 00:00:00',2,1,12,2008,'F','N','SANTINHO','FLORIANóPOLIS','SC','124204241117131431642711342324610138072',NULL,'9998',26.38,1,3,NULL),(16,3224864,'1989-12-31 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215472531437812575112610124017',2807,'226',64.37,1,3,NULL),(16,3224872,'1989-01-19 00:00:00',4,1,12,2006,'M','N','JARDIM AQUARIUS','S JOSé CAMPOS','SP','125252251235571431359923575125610132046',NULL,'9998',0.00,4,3,NULL),(16,3224880,'1990-02-10 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215472731566933595122132424057',3995,'9997',61.07,1,3,NULL),(16,3224902,'1971-05-05 00:00:00',4,1,12,1988,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','224241243126135431233343335124122321053',15467,'831',38.62,1,2,1),(16,3224910,'1978-01-13 00:00:00',2,1,12,1995,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124201201112141431132443232134341362057',4750,'9998',59.18,1,2,1),(16,3224929,'1991-03-28 00:00:00',4,1,12,2008,'M','N','BELA VISTA','S JOSé','SC','124242241215131711534614375124610137187',10322,'1036',48.22,1,3,NULL),(16,3224945,'1992-02-02 00:00:00',2,5,12,2009,'F','S','JARDIM DAS AVENIDAS','ARARANGUá','SC','124241241215111231435914241122610127057',NULL,'26',24.58,1,3,NULL),(16,3224953,'1989-07-29 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124132251215231431328823572114610111077',NULL,'9998',30.50,1,3,NULL),(16,3224961,'1991-08-26 00:00:00',4,1,12,2008,'M','N','TERRA NOVA','S BERNARDO CAMPO','SP','125251251117271451527711576124610167017',NULL,'9998',0.00,4,2,1),(16,3224970,'1991-08-07 00:00:00',2,5,11,2008,'F','N','CENTRO','SOMBRIO','SC','124244241215371411459413432124610136092',12631,'970',44.12,1,3,NULL),(16,3225003,'1985-01-25 00:00:00',2,8,12,2002,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116164161116174411648612315123141417042',9839,'9998',49.09,1,3,NULL),(16,3225011,'1991-03-17 00:00:00',4,1,12,2008,'F','N','LINHA DOS CHAVES','ANGELINA','SC','124241241135111531323324342224610111142',NULL,'17',19.88,1,2,1),(16,3225020,'1991-09-16 00:00:00',4,1,11,2009,'M','S','BARREIROS','S JOSé','SC','124242241237111711658834592125610137012',NULL,'1118',31.56,1,3,NULL),(16,3225038,'1991-01-18 00:00:00',4,1,12,2008,'F','N','ICARAí','NITERóI','RJ','121212211217111431579819576124610132077',5488,'9998',57.50,1,3,NULL),(16,3225046,'1988-06-15 00:00:00',4,1,12,2005,'M','N','CENTRO','GARIBALDI','RS','120201202117271441344811414122140746177',3674,'9998',61.89,1,2,1),(16,3225054,'1975-01-17 00:00:00',4,1,12,1995,'M','N','PARAISO','S PAULO','SP','125254251217241741168729483232141437182',NULL,'9998',0.00,1,3,NULL),(16,3225062,'1985-04-21 00:00:00',2,1,7,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','624241241146371451236479445125610128147',NULL,'334',29.43,1,2,1),(16,3225089,'1990-07-11 00:00:00',2,1,12,2008,'F','N','VILLAGE','IMBITUBA','SC','124241241135271431643619575124610162197',14591,'359',40.52,4,2,1),(16,3225097,'1992-04-23 00:00:00',4,1,12,2009,'M','S','ITAGUAçú','FLORIANóPOLIS','SC','124242241217151431658613436114610163077',NULL,'270',28.26,1,3,NULL),(16,3225100,'1992-07-16 00:00:00',2,5,12,2009,'F','S','COLONINHA','ARARANGUá','SC','124244241217131511469513575122610118192',NULL,'26',30.29,1,3,NULL),(16,3225119,'1990-04-04 00:00:00',4,1,12,2006,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124242241214574431458913435124610167032',NULL,'1010',0.00,1,3,NULL),(16,3225127,'1991-03-21 00:00:00',4,8,12,2008,'M','N','GLÓRIA','JOINVILLE','SC','124242241215131431549931595122610167042',NULL,'459',28.36,1,3,NULL),(16,3225135,'1992-07-06 00:00:00',4,6,12,2008,'F','N','SãO VICENTE','ITAJAí','SC','124241241217111431423911492124610134142',11262,'388',46.53,1,3,NULL),(16,3225143,'1990-11-27 00:00:00',4,8,11,2008,'M','N','AMéRICA','JOINVILLE','SC','124242241217112431468914475112610162122',NULL,'457',39.82,1,3,NULL),(16,3225151,'1986-07-10 00:00:00',4,1,12,2004,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241217132732246623285124610113167',11442,'269',46.28,1,3,NULL),(16,3225160,'1991-03-06 00:00:00',4,2,11,2008,'F','N','VELHA','BLUMENAU','SC','124243241217131711247723497124610132092',8430,'90',51.53,1,3,NULL),(16,3225178,'1990-04-28 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','116162161216113431369914574124241416122',NULL,'9998',0.00,1,3,NULL),(16,3225194,'1987-12-11 00:00:00',4,6,12,2004,'F','N','CENTRO','CURITIBA','PR','116242241217153411458932475124243262132',6354,'44',55.56,1,3,NULL),(16,3225216,'1990-07-12 00:00:00',2,4,12,2007,'F','N','DC NAVEGANTES','PTO ALEGRE','RS','120201201116371431346933571324610168047',14545,'9998',40.62,1,2,1),(16,3225224,'1990-02-26 00:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241117131532565823575122610161057',NULL,'307',25.95,1,2,1),(16,3225240,'1991-03-04 00:00:00',2,5,11,2008,'F','N','COMERCIARIO','CRICIúMA','SC','124241241215111431428819495125610133157',16641,'226',34.37,1,3,NULL),(16,3225267,'1991-11-29 00:00:00',4,1,12,2008,'M','N','AREAL','PELOTAS','RS','120202203217111321338711585112610167047',NULL,'9998',0.00,1,3,NULL),(16,3225275,'1992-05-29 00:00:00',4,1,12,2009,'F','S','AREIAS','S JOSé','SC','124242241325131231433311575124610117057',NULL,'262',26.77,1,3,NULL),(16,3225283,'1990-09-23 00:00:00',2,1,12,2007,'F','N','ZONA DOIS','CIANORTE','PR','116121161217371731447434375122610163147',NULL,'9998',0.00,3,3,NULL),(16,3225291,'1988-01-31 00:00:00',4,4,12,2005,'M','N','CENTRO','CHAPECó','SC','124241241116154441328617575125232467047',NULL,'169',0.00,1,2,1),(16,3225305,'1985-04-19 00:00:00',2,1,6,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124244247426145421439619395124610164073',NULL,'270',16.19,2,1,2),(16,3225313,'1991-11-29 00:00:00',4,3,12,2008,'F','N','BATEL','CURITIBA','PR','116162161217471431588931572122610165147',NULL,'9998',0.00,3,3,NULL),(16,3225321,'1991-06-22 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241446111431643411245124610167113',15735,'262',37.97,4,3,NULL),(16,3225330,'1991-10-03 00:00:00',2,4,12,2008,'F','N','CENTRO','PTE SERRADA','SC','124243241116131431428824592124610122147',NULL,'629',30.71,1,3,NULL),(16,3225348,'1991-09-03 00:00:00',2,5,12,2008,'M','N','CENTRO','PR GRANDE','SC','124241242115131431436923575124610127047',NULL,'690',0.00,1,2,1),(16,3225356,'1982-03-30 00:00:00',4,1,12,2000,'F','N','BELA VISTA','S JOSé','SC','224243241116133421226654342124230837187',NULL,'293',19.86,1,3,NULL),(16,3225364,'1990-09-05 00:00:00',2,1,12,2007,'F','N','PACHECOS','PALHOçA','SC','124241241117372731433313295124610163052',14287,'592',41.07,1,2,1),(16,3225372,'1990-12-16 00:00:00',2,4,12,2008,'M','N','CENTRO','PALMITOS','SC','124241241346131731633314242124610124157',16536,'127',35.28,4,3,NULL),(16,3225380,'1991-01-15 00:00:00',2,1,11,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124201241117151431547631592124610137092',13793,'288',42.07,1,3,NULL),(16,3225399,'1990-02-21 00:00:00',4,6,12,2007,'M','N','CENTRO','NAVEGANTES','SC','124244241415371431446933274124610127142',5877,'1026',56.62,1,3,NULL),(16,3225402,'1990-12-07 00:00:00',2,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSé','SC','124241248217111431437929572124610137047',NULL,'1075',24.42,1,3,NULL),(16,3225410,'1987-07-30 00:00:00',2,1,8,2008,'M','N','IPANEMA','PTO ALEGRE','RS','120241207316271431359613332124610147092',NULL,'9999',13.93,1,3,NULL),(16,3225453,'1985-09-27 00:00:00',2,10,6,2004,'M','N','CENTRO','TUBARãO','SC','124241241117131232243827242121230612042',NULL,'1034',28.15,1,3,NULL),(16,3225461,'1990-04-27 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124243241215111731676613332122610126142',12302,'737',44.73,1,3,NULL),(16,3225470,'1989-04-17 00:00:00',4,5,11,2006,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124242241215373441557732574122231444112',1583,'770',68.95,1,3,NULL),(16,3225488,'1990-01-01 00:00:00',4,1,11,2007,'F','N','CENTRO','S JOAQUIM','SC','124242241215272431466616572124130364127',8433,'270',51.52,1,3,NULL),(16,3225496,'1989-09-14 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','125252251216471431568716571125610143187',NULL,'9998',0.00,3,3,NULL),(16,3225500,'1988-09-26 00:00:00',2,1,7,2006,'F','N','ARIRIU DA FORMIGA','PALHOçA','SC','124241247321132431216641211124610136047',14877,'596',39.93,1,3,NULL),(16,3225518,'1989-03-23 00:00:00',2,9,12,2007,'F','N','SãO LEOPOLDO','CAXIAS SUL','RS','120201201116271431434579571124132626147',NULL,'9998',22.38,2,2,1),(16,3225526,'1992-04-15 00:00:00',2,1,11,2009,'F','S','CENTRO','TAIó','SC','124242241215111421419612296122610124171',NULL,'776',44.23,1,3,NULL),(16,3225534,'1987-12-12 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241215473431364933315122333232097',8931,'525',50.69,1,3,NULL),(16,3225542,'1989-08-17 00:00:00',2,10,12,2008,'F','N','AEROPORTO','TUBARAO','SC','124241241412111431549813572122610135082',NULL,'797',26.02,1,3,NULL),(16,3225550,'1991-06-12 00:00:00',4,8,12,2008,'F','N','RECANTO TROPICAL','CASCAVEL','PR','116162161215111411457934572122610166097',6665,'9998',54.95,1,3,NULL),(16,3225569,'1989-02-22 00:00:00',4,8,11,2006,'F','N','CAMPOLIM','SOROCABA','SP','125252251216572421478814572122610117147',NULL,'9998',0.00,1,3,NULL),(16,3225577,'1992-08-30 00:00:00',2,7,11,2009,'F','S','CENTRO','CAMPOS NOVOS','SC','124242241217111431586632372122610138076',NULL,'962',37.94,1,3,NULL),(16,3225585,'1990-09-01 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124244241215272431339679346224610127112',8969,'738',50.63,4,3,NULL),(16,3225593,'1984-01-29 00:00:00',4,1,12,2001,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124243248317144431436631245124233261051',11671,'306',45.87,1,3,NULL),(16,3225607,'1991-07-13 00:00:00',4,8,12,2008,'F','N','SANTA CATARINA','JOINVILLE','SC','124241241216131431538923282124610122017',NULL,'1105',28.38,5,3,NULL),(16,3225615,'1990-02-27 00:00:00',4,1,10,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241214272711449813485124231167067',3360,'226',62.81,1,3,NULL),(16,3225640,'1990-04-13 00:00:00',4,2,12,2007,'M','N','BOM RETIRO','BLUMENAU','SC','124243241117271641338624344125610137142',13601,'84',42.45,1,3,NULL),(16,3225658,'1990-11-21 00:00:00',2,5,12,2007,'F','N','CENTRO','MAQUINé','RS','120201201111472241426324571124610166147',5727,'9998',57.00,1,3,NULL),(16,3225666,'1990-11-27 00:00:00',4,8,12,2008,'M','N','JARDIM MABILIA','EMBU','SP','125252251217151431647821575122610124014',8116,'9998',52.19,2,1,2),(16,3225674,'1992-04-05 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124274271616271431547967475122610134147',NULL,'9998',28.97,4,3,NULL),(16,3225682,'1991-01-23 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124142241215151441559933575122610127057',2190,'262',66.45,1,3,NULL),(16,3225690,'1989-02-01 00:00:00',4,1,12,2007,'M','N','SAO LEOPOLDO','CAXIAS SUL','RS','120201204117151431454654445124243232097',NULL,'9998',16.75,1,3,NULL),(16,3225704,'1989-06-12 00:00:00',4,1,12,2006,'M','N','CENTRO','TUBARãO','SC','124242241215571531489911415112610168104',8662,'807',51.13,1,3,NULL),(16,3225712,'1986-12-31 00:00:00',4,1,12,2004,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241136132431435439485124230724097',NULL,'278',0.00,1,2,1),(16,3225747,'1989-10-27 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124201241147141421333311392124610123147',NULL,'298',2.51,1,2,1),(16,3225755,'1989-12-08 00:00:00',4,8,11,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215122431356839142122610132037',2356,'1016',65.85,3,3,NULL),(16,3225763,'1991-01-22 00:00:00',4,1,11,2008,'M','N','CENTRO','S JOSé CAMPOS','SP','125252251216111431457712575122610122112',NULL,'9998',0.00,1,3,NULL),(16,3225780,'1991-04-01 00:00:00',4,1,11,2008,'M','N','CENTRO','FáTIMA SUL','MS','112121121216471431458613375124610122032',122,'9998',80.61,1,3,NULL),(16,3225798,'1990-05-27 00:00:00',2,2,12,2008,'M','N','ITOUPAVAZINHA','BLUMENAU','SC','124241241125141321456634242123231428062',NULL,'83',31.61,1,3,NULL),(16,3225801,'1989-11-27 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124206241415271731237829345124131654052',8762,'110',50.96,1,3,NULL),(16,3225810,'1991-09-30 00:00:00',2,1,11,2008,'F','N','STO ANTO DE LISBOA','FLORIANóPOLIS','SC','124242241115112431449813575124610135077',12853,'271',43.75,1,3,NULL),(16,3225844,'1989-09-01 00:00:00',4,10,12,2006,'M','N','ESPERANÇA','LAGUNA','SC','124241241116132431325614572124232044142',7531,'521',53.27,4,1,1),(16,3225852,'1991-06-12 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIúMA','SC','124244241215151531478813385115610137042',13247,'920',43.07,1,3,NULL),(16,3225860,'1987-01-23 00:00:00',4,1,12,2003,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124072071217274441379813575124123227045',NULL,'9998',60.72,4,3,NULL),(16,3225879,'1992-06-25 00:00:00',4,6,11,2009,'F','S','CENTRO','ITAJAí','SC','124242241217111741546824572122610125017',NULL,'392',41.80,1,3,NULL),(16,3225887,'1991-07-26 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111431568712242114610137011',516,'270',75.64,1,3,NULL),(16,3225895,'1988-11-26 00:00:00',4,2,11,2006,'F','N','ASILO','BLUMENAU','SC','124242241226472431468932572122232424042',5630,'87',57.20,1,3,NULL),(16,3225917,'1991-07-01 00:00:00',4,4,12,2008,'M','N','SANTA MARIA','CHAPECó','SC','124242241211271311347732246122610164057',4607,'168',59.54,1,3,NULL),(16,3225925,'1989-11-02 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217272431558811392124230227112',1038,'270',71.80,1,3,NULL),(16,3225941,'1989-04-02 00:00:00',4,1,7,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124243247347371431276923571114610124042',14106,'9999',41.44,1,3,NULL),(16,3225950,'1966-01-24 00:00:00',2,1,12,1986,'M','N','ESTREITO','FLORIANóPOLIS','SC','224161161126131441524141312113140257177',NULL,'9998',0.00,5,3,NULL),(16,3225968,'1990-08-30 00:00:00',2,1,12,2008,'M','N','PALMAS','GOV CELSO RAMOS','SC','124241241147141431444614355124610134097',NULL,'329',16.15,1,2,1),(16,3225976,'1987-01-04 00:00:00',4,1,12,2004,'M','N','PRAIA DE FORA','PALHOçA','SC','124241241117272431346631335124610164027',8330,'739',51.73,1,2,1),(16,3225984,'1990-03-15 00:00:00',2,1,11,2007,'F','N','PAES LEME','IMBITUBA','SC','124241241215372431356914572124131027092',9096,'806',50.42,1,3,NULL),(16,3225992,'1980-08-23 00:00:00',4,1,11,1996,'F','N','JARDIM BELA VISTA','CPO GRANDE','MS','112122121215471411566836415122343222182',11687,'9998',45.85,1,3,NULL),(16,3226000,'1991-08-16 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215112431348869572125610166122',4551,'270',59.66,1,3,NULL),(16,3226026,'1988-11-22 00:00:00',4,1,6,2007,'F','N','CENTRO','VIDEIRA','SC','124242281216111411679931435124240916193',14618,'9998',40.46,1,3,NULL),(16,3226050,'1991-03-08 00:00:00',4,1,11,2008,'F','N','FAZENDA STO ANTONIO','S JOSé','SC','124242241117131431116674282324610124017',16279,'733',36.44,1,3,NULL),(16,3226077,'1979-07-19 00:00:00',4,6,12,1997,'F','N','FAZENDA','ITAJAí','SC','624252251436373431335454495125222923187',11130,'9998',46.79,4,1,2),(16,3226085,'1989-01-16 00:00:00',2,1,12,2006,'F','N','CAMOBI','STA MARIA','RS','120201201216271731443315164114610122097',15412,'9998',38.75,1,3,NULL),(16,3226093,'1989-07-19 00:00:00',4,1,12,2006,'F','N','SãO CRISTóVãO','TURVO','SC','124241241114473431446923372124223266057',10108,'814',48.60,1,2,1),(16,3226107,'1988-11-29 00:00:00',2,1,12,2005,'F','N','SETOR BELA VISTA','GOIâNIA','GO','109091091215572422456812574112610113097',NULL,'9998',0.00,1,3,NULL),(16,3226115,'1986-09-11 00:00:00',2,8,12,2005,'M','N','AGUA VERDE','CURITIBA','PR','116214211437571731358514471114610122047',NULL,'9998',0.00,1,3,NULL),(16,3226123,'1985-07-23 00:00:00',2,1,12,2003,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241315372731468734445122130227182',14596,'269',40.52,1,3,NULL),(16,3226131,'1989-04-19 00:00:00',4,1,12,2006,'F','N','CAMPO DA AGUA VERDE','CANOINHAS','SC','124244161215372431368923575122610166072',4055,'9998',60.91,1,3,NULL),(16,3226140,'1991-03-29 00:00:00',2,1,12,2007,'F','N','IPIRANGA','S JOSé','SC','124243241117371431436811571122610127142',4921,'257',58.81,1,3,NULL),(16,3226158,'1991-04-11 00:00:00',4,7,11,2008,'M','N','TOBIAS','JOAçABA','SC','124242261216271431566933172124610164057',NULL,'9998',0.00,1,3,NULL),(16,3226166,'1991-11-01 00:00:00',4,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242248215111431466615394125610144017',16220,'1146',36.62,1,3,NULL),(16,3226174,'1989-01-07 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124122121216572431569831241124610137097',NULL,'9998',64.09,3,3,NULL),(16,3226182,'1991-01-25 00:00:00',4,1,12,2008,'F','N','VILA NOVA','IMBITUBA','SC','124241241135111421424524312124610118191',NULL,'359',22.76,1,3,NULL),(16,3226190,'1990-12-31 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215472431438921575122610146182',2550,'262',65.18,1,3,NULL),(16,3226204,'1990-01-22 00:00:00',4,8,12,2007,'F','N','DERE','CAçADOR','SC','124242241215472431447911572124610137097',11900,'1124',45.46,1,3,NULL),(16,3226212,'1989-10-05 00:00:00',4,4,12,2006,'F','N','SAGRADO CORAçãO DE J','S MIGUEL OESTE','SC','124241241116112431428439474125610126182',NULL,'757',26.40,1,2,1),(16,3226239,'1990-01-22 00:00:00',4,4,11,2007,'F','N','CENTRO','PTO ALEGRE','RS','120201201216472431536932271124610124092',1468,'9998',69.49,1,3,NULL),(16,3226247,'1992-02-23 00:00:00',4,5,12,2008,'F','N','PATRIMONIO','SIDERóPOLIS','SC','124243241417151231236824585124610164017',NULL,'920',0.00,1,3,NULL),(16,3226255,'1991-06-02 00:00:00',4,5,11,2008,'F','N','JARDIM MARISTELA','CRICIúMA','SC','124242241215111411533412122122610136052',5437,'213',57.61,1,3,NULL),(16,3226263,'1990-05-26 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241415472731326614342344610127055',5374,'270',57.71,1,3,NULL),(16,3226271,'1990-01-30 00:00:00',2,4,12,2008,'F','N','CENTRO NORTE','DOIS VIZINHOS','PR','116161165116411431543912422122610166177',14196,'9998',41.25,4,2,1),(16,3226298,'1991-05-14 00:00:00',2,2,12,2008,'F','N','BOA VISTA','RIO SUL','SC','124242246215141431333723372122610131187',NULL,'1013',0.00,1,3,NULL),(16,3226301,'1991-12-04 00:00:00',4,1,12,2009,'M','S','COQUEIROS','FLORIANóPOLIS','SC','124242241215171712368831575124610162012',NULL,'262',51.06,1,3,NULL),(16,3226310,'1992-06-20 00:00:00',4,4,11,2009,'F','S','JARDIM','S JOSé CEDRO','SC','124241241117161412333639575125610133197',NULL,'740',15.96,1,3,NULL),(16,3226328,'1991-08-30 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111451238932582124610167043',NULL,'1022',35.17,1,3,NULL),(16,3226336,'1991-05-21 00:00:00',2,6,12,2008,'F','N','JD DAS HORTENCIAS','RIO OESTE','SC','124241241136141411523619342221610145072',NULL,'652',0.00,1,2,1),(16,3226344,'1991-05-09 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115131731424669575124610144142',NULL,'257',21.59,1,2,1),(16,3226352,'1991-09-06 00:00:00',4,9,12,2008,'M','N','JARDIM SANTANA','VACARIA','RS','120201242116111211433833575125610127172',NULL,'960',21.82,1,3,NULL),(16,3226360,'1989-12-28 00:00:00',2,1,11,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241415473431226564245124133264151',12922,'807',43.63,1,3,NULL),(16,3226387,'1988-05-17 00:00:00',2,1,12,2005,'F','N','CENTRO','S MARCOS','RS','120201201116531431427418374114610126147',NULL,'9998',0.00,1,2,1),(16,3226395,'1991-10-26 00:00:00',4,1,12,2009,'F','S','JOãO PAULO','FLORIANóPOLIS','SC','124242241217151431567611595112610163142',NULL,'1048',24.27,1,3,NULL),(16,3226409,'1991-01-04 00:00:00',5,8,10,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215271731469713575122610124172',7086,'491',54.12,1,3,NULL),(16,3226417,'1989-06-09 00:00:00',4,1,12,2007,'M','N','SHIS','LUZIâNIA','GO','109092071215411121589814471122610164182',NULL,'9998',0.00,2,3,NULL),(16,3226425,'1982-03-30 00:00:00',4,1,12,1999,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241436135731349444242334133233077',8278,'736',51.82,1,3,NULL),(16,3226433,'1991-05-20 00:00:00',4,1,12,2008,'F','N','JARDIM CIDADE','S JOSé','SC','124241241115211511323319152112610124147',NULL,'734',13.77,1,3,NULL),(16,3226441,'1992-05-12 00:00:00',4,3,12,2008,'M','N','ALTO SÃO BENTO','ITAPEMA','SC','124243241315371431438612175121610124012',NULL,'406',36.10,1,3,NULL),(16,3226450,'1991-04-01 00:00:00',4,1,12,2008,'M','N','CENTRO','POMPéIA','SP','125254251215111431336721471111610164092',3292,'9998',63.02,3,3,NULL),(16,3226476,'1990-12-16 00:00:00',4,8,12,2008,'M','N','CAPãO RASO','CURITIBA','PR','116252161214271412569874282114610162047',NULL,'9998',0.00,1,3,NULL),(16,3226484,'1991-03-15 00:00:00',2,1,12,2008,'M','N','AREIAS','S JOSé','SC','124243241115221331423512572121610117052',15909,'734',37.47,1,3,NULL),(16,3226506,'1991-02-04 00:00:00',2,6,12,2008,'M','N','CENTRO','NAVEGANTES','SC','124241241136131411623364185121610127182',NULL,'570',38.63,1,2,1),(16,3226514,'1984-07-23 00:00:00',2,1,11,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241247317272431226544245114610125145',16191,'9999',36.69,1,3,NULL),(16,3226522,'1984-12-04 00:00:00',4,1,12,2001,'F','N','JARDIM ESPLANADA','MANDAGUARI','PR','216161161116271431326354375122140732012',14376,'9998',40.92,1,2,1),(16,3226530,'1988-05-13 00:00:00',4,1,1,2007,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242248217212431525539492114610117025',NULL,'1022',28.42,3,3,NULL),(16,3226549,'1991-04-16 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111411469814572122610132042',NULL,'270',28.06,1,3,NULL),(16,3226557,'1991-03-16 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124244241215371731467812575122610133142',9506,'1133',49.71,1,3,NULL),(16,3226565,'1990-08-08 00:00:00',2,5,12,2007,'F','N','CENTRO','TURVO','SC','124241241116472731445634571114610164197',14550,'814',40.61,1,2,1),(16,3226573,'1989-11-23 00:00:00',4,1,12,2007,'F','N','STO ANTÔNIO DE LISBO','FLORIANOPOLIS','SC','124241241215372731338923472124610134147',6683,'1048',54.90,1,3,NULL),(16,3226581,'1989-11-21 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241235574311559939585111610167111',683,'270',74.34,1,3,NULL),(16,3226590,'1991-10-07 00:00:00',4,5,12,2008,'F','N','OPERáRIA NOVA','CRICIúMA','SC','124242241215131441445923575124610127077',6396,'995',55.48,1,3,NULL),(16,3226603,'1990-05-03 00:00:00',4,3,11,2007,'F','N','CENTRO','PASSO FUNDO','RS','120112114216371431333615592125610137142',5257,'9998',57.99,1,3,NULL),(16,3226611,'1991-02-18 00:00:00',4,2,12,2008,'F','N','JARDIM MACEDO','RIBEIRãO PRETO','SP','125242251216121751569613475122610126096',NULL,'9998',0.00,1,3,NULL),(16,3226620,'1990-05-06 00:00:00',4,8,12,2007,'M','N','CENTRO','PEDRINHAS PAULISTA','SP','125253251415472411448931575122610127042',4805,'9998',59.06,1,3,NULL),(16,3226638,'1991-01-27 00:00:00',4,8,11,2008,'F','N','SAGUAçU','JOINVILLE','SC','124244241216151431469924582122610135182',8837,'457',50.83,1,3,NULL),(16,3226654,'1985-07-26 00:00:00',2,4,12,2003,'F','N','CENTRO','CARAZINHO','RS','120201201116141521323336485124610118057',NULL,'9998',23.23,1,3,NULL),(16,3226662,'1989-08-31 00:00:00',4,8,12,2008,'M','N','CHáCARA STO ANTôNIO','S PAULO','SP','125254251217111431478924571114610162092',NULL,'9998',22.79,1,3,NULL),(16,3226689,'1991-10-10 00:00:00',4,1,11,2008,'F','N','CENTRO','STO CRISTO','RS','120204201216271731549812572122610148182',10823,'9998',47.32,1,3,NULL),(16,3226697,'1980-01-04 00:00:00',4,1,11,1997,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241217372721178843435132321467112',2246,'907',66.24,1,3,NULL),(16,3226700,'1991-06-03 00:00:00',4,8,12,2008,'F','N','CENTRO NORTE','SCHROEDER','SC','124243241215151431448314575124610123182',NULL,'441',27.60,4,3,NULL),(16,3226719,'1991-03-30 00:00:00',4,6,12,2008,'F','N','GABIROBA','RIO OESTE','SC','124243241146141431554314345122610143142',16658,'652',34.21,1,3,NULL),(16,3226727,'1990-04-11 00:00:00',4,5,12,2008,'M','N','VILA RICA','SIDERóPOLIS','SC','124241241115131431439933575124610128052',NULL,'768',0.00,1,2,1),(16,3226735,'1990-02-09 00:00:00',4,1,12,2004,'F','N','PARQUE UNIãO','BAURU','SP','125251251117471231425631341124610166147',14910,'9998',39.87,1,3,NULL),(16,3226743,'1990-01-28 00:00:00',4,8,12,2007,'F','N','PROGRESSO','S BENTO SUL','SC','124241241215371311558414572124131433052',NULL,'974',0.00,1,3,NULL),(16,3226751,'1991-03-07 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111431457634592112610124187',14354,'738',40.96,1,3,NULL),(16,3226760,'1986-10-28 00:00:00',2,1,12,2004,'M','N','JARDIM JANAíNA','BIGUAçU','SC','124161161127131431331444292344131024142',NULL,'9998',0.00,2,1,1),(16,3226778,'1988-09-24 00:00:00',2,1,12,2005,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124243241212474431456623495124222527147',NULL,'270',0.00,1,3,NULL),(16,3226786,'1991-04-06 00:00:00',4,3,12,2008,'F','N','NAçõES','BAL CAMBORIú','SC','124244241415131631325534592112610127017',NULL,'1085',24.35,1,3,NULL),(16,3226794,'1993-08-11 00:00:00',4,9,12,2008,'F','N','SãO CRISTóVãO','LAGES','SC','124243241116151431459913595122610167122',8691,'688',51.10,1,3,NULL),(16,3226808,'1990-06-11 00:00:00',4,8,12,2007,'F','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161215471431448612574125610123097',12181,'9998',44.94,1,3,NULL),(16,3226816,'1988-08-14 00:00:00',2,1,9,2006,'F','N','CENTRO','CANELINHA','SC','124241247336131732343634445114610123142',NULL,'307',29.35,1,3,NULL),(16,3226824,'1991-10-15 00:00:00',4,3,12,2008,'M','N','CASTELO BRANCO','ITAPEMA','SC','124241241114131732423339182121610132147',15715,'405',38.04,4,2,1),(16,3226832,'1991-07-08 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215112431368713271114610136097',13364,'1022',42.86,1,3,NULL),(16,3226840,'1990-07-20 00:00:00',4,10,11,2008,'F','N','CENTRO','TUBARãO','SC','124242241215111411458614346125610154187',NULL,'807',26.53,1,3,NULL),(16,3226859,'1992-02-19 00:00:00',4,8,12,2008,'F','N','SANTA LUZIA','JARAGUá SUL','SC','124241241117161431559934574124610137147',11910,'433',45.43,1,2,1),(16,3226867,'1991-04-02 00:00:00',4,1,12,2008,'M','N','JARDIM LARSEN','LONDRINA','PR','116162161217111431448714575122610167152',NULL,'9998',0.00,1,3,NULL),(16,3226875,'1990-02-11 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215372431437832575124610123142',2458,'270',65.49,1,3,NULL),(16,3226891,'1990-03-14 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241215471451356613292124610137142',11146,'185',46.75,1,3,NULL),(16,3226905,'1965-08-04 00:00:00',2,1,7,2001,'F','N','ABRAAO','FLORIANóPOLIS','SC','224241247111132721431153572114610166157',NULL,'9999',25.95,1,3,NULL),(16,3226913,'1988-08-08 00:00:00',2,8,12,2005,'F','N','CENTRO','LGA VERMELHA','RS','120201201116572731445911575124610128147',10766,'9998',47.43,1,2,1),(16,3226921,'1992-05-15 00:00:00',4,1,12,2009,'F','S','CAMPECHE','FLORIANóPOLIS','SC','124242241217111711568712372122610137145',NULL,'270',35.36,1,3,NULL),(16,3226930,'1991-04-18 00:00:00',2,1,12,2008,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241115151431554333232112610124052',NULL,'267',35.30,1,2,1),(16,3226948,'1984-02-27 00:00:00',4,1,12,2006,'M','N','SETOR UNIVERSITáRIO','CATALãO','GO','109091097147141431323379292323241227043',NULL,'9998',29.13,1,2,1),(16,3226964,'1992-04-19 00:00:00',2,10,12,2008,'F','N','SANTO ANTôNIO','TUBARãO','SC','124243241116371131326922575122610125012',12422,'1034',44.51,1,3,NULL),(16,3226972,'1990-06-29 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215473431568712375122610167143',941,'270',72.41,1,3,NULL),(16,3226980,'1991-02-11 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241217111731556539395122610111096',12199,'1038',44.91,1,3,NULL),(16,3226999,'1986-05-09 00:00:00',4,1,12,2003,'M','N','ALTOS DA CIDADE','BAURU','SP','125251251447371431424722116223143264097',NULL,'9998',19.45,1,3,NULL),(16,3227006,'1989-10-03 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124252251217143431238833395122221566185',1322,'9998',70.25,1,3,NULL),(16,3227030,'1992-10-12 00:00:00',4,5,11,2008,'M','N','CENTRO','SIDERóPOLIS','SC','124242241216111411438612492122610112092',10178,'767',48.47,1,3,NULL),(16,3227049,'1991-05-28 00:00:00',4,6,12,2008,'F','N','GABIROBA','RIO OESTE','SC','124241241116141431233321582124610135057',NULL,'652',22.11,1,2,1),(16,3227065,'1990-08-31 00:00:00',4,9,12,2007,'F','N','CENTRO','CANOINHAS','SC','124241241116272431535611575124610164152',NULL,'146',30.98,1,2,1),(16,3227073,'1990-06-09 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','120201201117471721423514371124610136097',NULL,'9998',25.65,1,2,1),(16,3227081,'1992-03-08 00:00:00',2,3,12,2009,'F','S','DAS NAçõES','BAL CAMBORIú','SC','124241248115111731447923575124610132027',NULL,'129',44.38,1,3,NULL),(16,3227090,'1990-03-22 00:00:00',4,4,12,2007,'M','N','CENTRO','TRINDADE SUL','RS','120242201217472531449831575124610167042',878,'9998',72.81,4,3,NULL),(16,3227103,'1991-09-17 00:00:00',4,1,11,2008,'M','N','LIBERDADE','CONCóRDIA','SC','124242241217171331469612275121610167012',14039,'1000',41.57,1,3,NULL),(16,3227111,'1992-05-15 00:00:00',4,2,12,2009,'M','S','GARCIA','BLUMENAU','SC','124244241217112431478832575124610164012',NULL,'855',57.27,4,3,NULL),(16,3227120,'1986-01-03 00:00:00',4,1,11,2003,'M','N','JARDIM TAROBá','FOZ IGUAçU','PR','116162161216272731636631235122141424147',15504,'9998',38.54,2,3,NULL),(16,3227138,'1991-07-12 00:00:00',4,6,12,2008,'F','N','PAROLIN','CURITIBA','PR','116163161117371331539611575124610121097',NULL,'9998',0.00,1,3,NULL),(16,3227146,'1986-08-27 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANóPOLIS','SC','124242241215153431348923485124221262047',NULL,'270',0.00,1,3,NULL),(16,3227154,'1992-08-05 00:00:00',4,9,12,2009,'M','S','CENTRO','LAGES','SC','124242241215111431328914245122610134097',NULL,'499',23.72,1,3,NULL),(16,3227162,'1990-06-29 00:00:00',4,4,12,2008,'M','N','CRISTO REI','CHAPECó','SC','124241241146141531546614342124610148052',NULL,'180',23.22,1,2,1),(16,3227189,'1990-08-16 00:00:00',4,8,11,2007,'M','N','JOãO GUALBERTO','PARANAGUá','PR','116162161215471751478611575112610164192',NULL,'9998',0.00,1,3,NULL),(16,3227197,'1983-07-27 00:00:00',4,1,11,1999,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241217272231438713485132321427127',8935,'271',50.67,1,3,NULL),(16,3227200,'1991-08-04 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215121431458711574112610163092',6775,'491',54.71,1,3,NULL),(16,3227219,'1990-11-20 00:00:00',2,1,12,2007,'M','N','CENTRO','GUARAPUAVA','PR','116162161217471431568834585112610134052',NULL,'9998',0.00,1,3,NULL),(16,3227227,'1990-10-02 00:00:00',4,1,11,2008,'F','N','AREIAS','S JOSé','SC','124244241215122111336313395122610123144',NULL,'1078',26.86,1,3,NULL),(16,3227235,'1990-10-23 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431367712422122610131142',9405,'270',49.89,1,3,NULL),(16,3227243,'1987-09-14 00:00:00',2,1,11,2005,'F','N','MICHEL','CRICIúMA','SC','124242241215574431634612595124610142147',4619,'226',59.50,1,3,NULL),(16,3227251,'1991-03-24 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241116371431446624375124610126142',14082,'288',41.48,1,2,1),(16,3227260,'1992-06-22 00:00:00',4,8,12,2009,'F','S','SAGUAÇU','JOINVILLE','SC','124242241217111431488919592122610134182',NULL,'491',36.79,1,3,NULL),(16,3227278,'1991-09-03 00:00:00',4,1,12,2008,'F','N','HUGO LANGE','CURITIBA','PR','116162161216111431468824475122610163042',NULL,'9998',0.00,1,3,NULL),(16,3227286,'1991-06-12 00:00:00',2,1,12,2008,'M','N','BALNEARIO ESTREITO','FLORIANóPOLIS','SC','124244241415111431337814394122610168052',11225,'1134',46.60,1,3,NULL),(16,3227294,'1990-06-21 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217112431348613572124230447042',NULL,'270',36.01,1,3,NULL),(16,3227308,'1989-10-14 00:00:00',4,3,12,2006,'M','N','CENTRO','CURITIBA','PR','116161161415371441458613275125241424142',3204,'9998',63.28,1,3,NULL),(16,3227316,'1991-08-30 00:00:00',4,1,12,2008,'F','N','AEROPORTO','GOIâNIA','GO','109092091217111431456612574112610127182',NULL,'9998',43.26,1,3,NULL),(16,3227324,'1992-08-24 00:00:00',4,2,12,2009,'F','S','VILA FORMOSA','BLUMENAU','SC','124242241215111731478832472122610143147',NULL,'71',31.75,1,3,NULL),(16,3227359,'1982-06-18 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241117133431226621115124121267185',NULL,'307',22.67,1,3,NULL),(16,3227367,'1991-12-15 00:00:00',4,5,12,2008,'M','N','CENTRO','ICARA','SC','124242241215111431489911575112610134042',2434,'226',65.57,1,3,NULL),(16,3227375,'1991-01-12 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124241241115371431433614372124610127017',11931,'257',45.39,4,2,1),(16,3227383,'1989-08-26 00:00:00',2,2,12,2006,'F','N','CENTRO','ITAJAí','SC','124242242117243411338911212124231417142',NULL,'129',35.93,1,3,NULL),(16,3227391,'1987-02-02 00:00:00',2,1,11,2004,'F','N','FORQUILHAS','S JOSé','SC','224241241117132731225454342334610164077',NULL,'307',0.00,1,2,1),(16,3227405,'1989-10-06 00:00:00',2,3,12,2006,'F','N','CENTRO','JARAGUá SUL','SC','124244241217371431559814576122133221192',3479,'422',62.43,1,3,NULL),(16,3227413,'1987-07-15 00:00:00',2,1,12,2004,'F','N','COLONINHA','FLORIANóPOLIS','SC','124244241216473451468413575124221262117',12582,'266',44.21,1,3,NULL),(16,3227421,'1990-04-04 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241117271431633636495124610127047',8663,'412',51.13,1,2,1),(16,3227430,'1991-05-15 00:00:00',4,1,11,2008,'M','N','CENTRO','S JOAQUIM','SC','124244241415111431388915575122610137012',NULL,'1035',26.28,1,3,NULL),(16,3227448,'1986-07-03 00:00:00',4,1,12,2003,'M','N','JADIM OLIMPIA','S PAULO','SP','125252251217472441258831395124610137182',8037,'9998',52.35,1,3,NULL),(16,3227456,'1991-05-15 00:00:00',2,5,11,2008,'F','N','SAO LUIZ','CRICIúMA','SC','124241241147371411334634572124610152047',14479,'879',40.73,1,2,1),(16,3227480,'1987-01-05 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241117153711267713571114223247112',856,'306',73.03,1,3,NULL),(16,3227499,'1991-04-22 00:00:00',4,10,12,2008,'F','N','DEHON','TUBARãO','SC','124241246215131431546933575121610128147',NULL,'1120',25.90,1,3,NULL),(16,3227502,'1991-07-02 00:00:00',4,6,12,2008,'F','N','SãO VICENTE','ITAJAí','SC','124244241215111231536712185122610132067',15494,'391',38.56,1,3,NULL),(16,3227510,'1990-12-30 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111421288969572122610127042',NULL,'262',27.95,1,3,NULL),(16,3227529,'1990-05-15 00:00:00',4,4,12,2008,'M','N','CENTRO','CONCóRDIA','SC','124242241126141431455312345122610122072',NULL,'192',22.83,3,3,NULL),(16,3227537,'1991-07-02 00:00:00',4,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120202201216371431458833572122610126142',2680,'9998',64.75,1,3,NULL),(16,3227545,'1990-01-29 00:00:00',4,1,7,2008,'M','N','ASA SUL','BRASíLIA','DF','107072288415271431489833575122610164142',302,'9998',77.94,4,3,NULL),(16,3227553,'1991-05-08 00:00:00',2,5,11,2008,'F','N','NOVA BRASíLIA','SOMBRIO','SC','124243241315111331333314175122610136112',NULL,'770',24.24,1,3,NULL),(16,3227570,'1990-04-03 00:00:00',4,1,12,2007,'F','N','CENTRO','BRAGANçA PAULISTA','SP','125251251417471431437331281115610166197',NULL,'9998',0.00,1,3,NULL),(16,3227588,'1988-05-20 00:00:00',4,1,12,2005,'F','N','CENTRO','CARAZINHO','RS','120202201216271431249819295125141327052',9859,'9998',49.04,1,3,NULL),(16,3227596,'1990-12-28 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215473111111211121112613261191',855,'270',73.03,1,3,NULL),(16,3227626,'1989-04-02 00:00:00',2,1,12,2006,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124242241212213431338833445134132834142',16600,'1022',34.85,1,3,NULL),(16,3227642,'1990-10-10 00:00:00',4,6,12,2008,'F','N','CAPãO DA IMBUIA','CURITIBA','PR','116162161216471411448633471122143265187',NULL,'9998',0.00,1,3,NULL),(16,3227650,'1990-08-07 00:00:00',4,4,11,2008,'M','N','CENTRO','XAXIM','SC','124242242234141711456923575124610167017',NULL,'836',0.00,1,3,NULL),(16,3227669,'1986-01-25 00:00:00',4,6,12,2003,'M','N','DOM BOSCO','ITAJAí','SC','124242241215574431458831475122133164047',3976,'394',61.12,1,3,NULL),(16,3227677,'1989-01-20 00:00:00',2,1,7,2007,'M','N','ESTREITO BALNEARIO','FLORIANóPOLIS','SC','124241247315271331348822472124610127042',NULL,'307',0.00,1,3,NULL),(16,3227685,'1990-09-02 00:00:00',4,8,11,2007,'M','N','AGUA VERDE','CURITIBA','PR','116162161216472431474832592325610164016',NULL,'9998',0.00,1,3,NULL),(16,3227693,'1985-07-11 00:00:00',2,1,12,2003,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124241241127131131525514582114610117141',NULL,'298',25.64,2,3,NULL),(16,3227715,'1982-12-03 00:00:00',4,1,7,2006,'M','N','AREIAS','S JOSé','SC','124243247127142421336634342314610166187',15604,'9999',38.31,2,1,2),(16,3227723,'1985-12-02 00:00:00',4,1,12,2003,'M','N','FRANCIOSI','VACARIA','RS','124201201117153431256511375124221764047',9389,'9998',49.92,1,2,1),(16,3227731,'1975-06-14 00:00:00',4,1,12,1993,'M','N','CENTRO','FLORIANóPOLIS','SC','224211211126141421276943434122340462172',NULL,'9998',0.00,1,2,1),(16,3227740,'1988-08-22 00:00:00',2,4,12,2005,'F','N','CENTRO','OURO VERDE','SC','124241241216574411446416574324610164142',1866,'836',67.73,1,3,NULL),(16,3227758,'1991-12-27 00:00:00',2,4,12,2008,'F','N','SAO PEDRO','XANXERê','SC','124241241117131432546612582222610123142',NULL,'949',26.31,1,2,1),(16,3227766,'1991-01-23 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431457613432112610118187',15779,'270',37.84,1,3,NULL),(16,3227790,'1990-05-19 00:00:00',2,1,12,2007,'F','N','ESTREITO BALNEARIO','FLORIANóPOLIS','SC','124242248215272331446612472124610127072',10695,'1022',47.56,1,3,NULL),(16,3227804,'1991-12-22 00:00:00',4,9,12,2008,'M','N','SãO CRISTóVãO','LAGES','SC','124242241215131431234829345125610128177',NULL,'515',23.36,1,3,NULL),(16,3227812,'1991-09-22 00:00:00',4,4,12,2008,'F','N','JARDIM ITALIA','CHAPECó','SC','124241241215271431546632472122610134187',15488,'1046',38.57,1,3,NULL),(16,3227820,'1990-01-30 00:00:00',4,9,12,2006,'M','N','VILA COMBONI','LAGES','SC','124241241116131431436514345122610167042',NULL,'512',19.12,1,3,NULL),(16,3227839,'1981-09-17 00:00:00',4,5,11,1998,'M','N','COMERCIáRIO','CRICIúMA','SC','124242241215472241369831575115241664187',1275,'229',70.55,1,3,NULL),(16,3227847,'1991-07-02 00:00:00',4,1,11,2008,'M','N','ASA NORTE','BRASíLIA','DF','107072071217371431449813575124610167052',8644,'9998',51.17,1,3,NULL),(16,3227863,'1991-05-11 00:00:00',4,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSé','SC','124243241115131431344623575114610144047',15043,'739',39.56,1,3,NULL),(16,3227871,'1991-10-02 00:00:00',4,1,12,2008,'F','N','ROçADO','S JOSé','SC','124241241217111431445833375124610124052',10552,'1076',47.83,1,3,NULL),(16,3227880,'1990-12-10 00:00:00',4,2,12,2008,'M','N','CENTRO','BRUSQUE','SC','124241241116141232446613345112610167047',6844,'111',54.59,1,2,1),(16,3227898,'1976-04-14 00:00:00',2,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241247146133431443319342124610132092',NULL,'9999',26.64,2,1,1),(16,3227901,'1957-02-21 00:00:00',4,1,12,1977,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','624202208117271751435559482314141464142',NULL,'9998',0.00,1,3,NULL),(16,3227928,'1992-02-18 00:00:00',2,1,12,2008,'F','N','UNIVERSITáRIO','TIJUCAS','SC','124244241215111412548632575112610114142',NULL,'948',23.14,1,3,NULL),(16,3227936,'1990-04-27 00:00:00',4,1,12,2007,'M','N','TUCURUVI','S PAULO','SP','125252251415471431467931384115610134184',2170,'9998',66.53,1,3,NULL),(16,3227944,'1991-04-08 00:00:00',4,4,12,2008,'F','N','INTERIOR','XAXIM','SC','124241241117161751424635273224610144146',NULL,'846',26.21,1,3,NULL),(16,3227952,'1992-02-21 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124241241117131431548939295122610167112',NULL,'130',34.63,1,2,1),(16,3227960,'1989-04-18 00:00:00',2,1,12,2007,'F','N','BARREIROS','SAO JOSE','SC','124244241215472321448413375124610127147',NULL,'1118',29.31,1,3,NULL),(16,3227979,'1989-10-25 00:00:00',4,1,12,2007,'M','N','CENTRO','S BENTO SUL','SC','124242241211271511458912272314610167102',6174,'1073',55.99,1,3,NULL),(16,3227995,'1991-02-28 00:00:00',4,1,12,2009,'M','S','CAMPINAS','S JOSé','SC','124241242115131411353973572124610124092',NULL,'129',45.03,1,3,NULL),(16,3228002,'1984-10-29 00:00:00',4,3,12,2003,'M','N','CENTRO','ITAPEMA','SC','124242247216152432346619475112120726197',7268,'9999',53.77,1,3,NULL),(16,3228010,'1988-08-27 00:00:00',4,1,12,2005,'M','N','JARDIM PATENTE','S PAULO','SP','125254251216471731447833595114140738187',4497,'9998',59.77,1,3,NULL),(16,3228029,'1985-03-28 00:00:00',2,3,12,2002,'F','N','CENTRO','BAL CAMBORIú','SC','124241241212575731229313215124233263072',NULL,'389',0.00,1,3,NULL),(16,3228037,'1990-02-02 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241211473431458831572125610136142',228,'855',78.81,1,3,NULL),(16,3228045,'1991-10-17 00:00:00',4,9,12,2009,'M','S','VILA MARIA','LAGES','SC','124241241215131411558933572242610167042',NULL,'499',43.75,1,3,NULL),(16,3228070,'1990-06-08 00:00:00',4,1,3,2008,'F','N','FAZENDA SANTO ANTONI','S JOSé','SC','124241241116273431433311441114610135147',14719,'739',40.23,1,2,1),(16,3228088,'1991-11-23 00:00:00',2,4,12,2008,'M','N','CENTRO','ENTRE R SUL','RS','120201201126161431457933375122610164177',8256,'9998',51.86,1,2,1),(16,3228096,'1989-08-03 00:00:00',4,1,12,2006,'F','N','SERRARIA','S JOSé','SC','124214248415273131636613385124610163052',12692,'734',44.01,4,3,NULL),(16,3228100,'1991-02-06 00:00:00',4,9,12,2008,'M','N','CENTRO','PTE ALTA','SC','124243241215161431436616572122610132092',15562,'202',38.40,1,3,NULL),(16,3228118,'1989-08-31 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241315373441424319375124610137182',14495,'1065',40.71,1,3,NULL),(16,3228126,'1990-05-08 00:00:00',2,8,12,2007,'M','N','CENTRO','ASSIS CHATEAUBRIAND','PR','116164161415471431445632574115610117057',5902,'9998',56.58,1,3,NULL),(16,3228142,'1992-06-20 00:00:00',2,1,11,2009,'F','S','BARREIROS','S JOSé','SC','124244241215111431359713595122610143092',NULL,'723',25.90,1,3,NULL),(16,3228150,'1988-11-16 00:00:00',2,1,12,2006,'F','N','CENTRO','CANOAS','RS','120244201217271741326679432324610114117',13062,'9998',43.37,1,3,NULL),(16,3228169,'1989-11-10 00:00:00',4,1,12,2007,'M','N','IGARA','CANOAS','RS','120203201416271431468934371124141267047',8251,'9998',51.87,1,3,NULL),(16,3228177,'1991-06-19 00:00:00',4,6,12,2008,'F','N','FAZENDA','ITAJAí','SC','124242241216371732355632391123610137072',16193,'389',36.69,4,3,NULL),(16,3228185,'1991-10-06 00:00:00',4,4,12,2008,'F','N','NATUREZA','ITá','SC','124241241132171431436923281121610125057',NULL,'383',30.62,1,2,1),(16,3228207,'1991-10-01 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217111431378933575122610127057',NULL,'262',41.90,1,3,NULL),(16,3228215,'1992-05-02 00:00:00',4,1,11,2009,'F','S','PONTA DE BAIXO','S JOSé','SC','124242241217111411436632591122610128187',NULL,'270',48.09,1,3,NULL),(16,3228223,'1989-12-02 00:00:00',4,5,11,2007,'M','N','CENTRO','ORLEANS','SC','124242241215472431456833195114610127052',7337,'226',53.64,1,3,NULL),(16,3228231,'1990-10-15 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215131531588811575122610166187',15364,'270',38.84,1,3,NULL),(16,3228258,'1989-08-24 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241215573431546713572114610123147',16033,'1118',37.16,1,3,NULL),(16,3228266,'1991-05-14 00:00:00',4,1,12,2008,'F','N','CENTRO','ITAPETININGA','SP','125252251217271411467831575122610128092',NULL,'9998',25.28,1,3,NULL),(16,3228282,'1989-12-24 00:00:00',4,9,12,2007,'F','N','LARANJEIRAS','RIO SUL','SC','124242241213273751358913492125132663117',13375,'654',42.83,1,3,NULL),(16,3228290,'1988-10-26 00:00:00',2,2,12,2005,'F','N','CLARAIBA','NOVA TRENTO','SC','124241241115472731333331472124610163147',16025,'574',37.17,1,2,1),(16,3228304,'1990-08-24 00:00:00',4,1,6,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241115371231587832575124610127042',1298,'306',70.39,1,3,NULL),(16,3228320,'1992-03-16 00:00:00',4,4,12,2008,'F','N','CENTRO','CURITIBA','PR','124162167217271731439832574124610134092',NULL,'9998',24.16,1,3,NULL),(16,3228339,'1991-12-01 00:00:00',4,1,12,2008,'F','N','BAU','CUIABA','MT','111111111225111431445916152324610122171',NULL,'9998',0.00,1,3,NULL),(16,3228347,'1991-11-16 00:00:00',2,4,12,2008,'F','N','CENTRO','CLEVELâNDIA','PR','116164161216111711333619572125610164077',6469,'9998',55.33,1,3,NULL),(16,3228355,'1991-07-11 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124243241215371331489931271221610162062',9571,'1085',49.59,1,3,NULL),(16,3228363,'1991-05-28 00:00:00',2,4,12,2008,'M','N','INTERIOR','PALMITINHO','RS','120201202117111432449933581223610137047',NULL,'9998',34.79,1,3,NULL),(16,3228371,'1991-07-02 00:00:00',4,1,11,2008,'M','N','BALNEARIO','FLORIANóPOLIS','SC','124242241215151431336833575122610137063',16639,'259',34.37,1,3,NULL),(16,3228380,'1991-09-26 00:00:00',2,1,11,2008,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124241241215121431344923572114610122187',9467,'1022',49.78,1,3,NULL),(16,3228401,'1988-08-16 00:00:00',2,1,12,2006,'M','N','VILA BANDEIRANTES','S JOSé CAMPOS','SP','125251257237131411444624375121610127013',NULL,'9999',0.00,1,3,NULL),(16,3228410,'1986-11-04 00:00:00',2,1,12,2004,'M','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241241116372711336823342124231267142',NULL,'293',29.60,2,3,NULL),(16,3228428,'1988-09-01 00:00:00',2,1,12,2005,'M','N','PARQUE CUIABA','CUIABá','MT','111112111215571411223621575114610164047',242,'9998',78.62,2,1,2),(16,3228436,'1992-06-17 00:00:00',4,1,12,2009,'M','S','AGRONôMICA','FLORIANóPOLIS','SC','124242241217111542369933576122610127112',NULL,'883',57.75,1,3,NULL),(16,3228444,'1992-01-20 00:00:00',2,6,12,2008,'F','N','BARRA DO RIO','ITAJAí','SC','120203201117231451225611292224610124147',NULL,'9998',0.00,1,3,NULL),(16,3228452,'1990-09-14 00:00:00',2,2,12,2008,'M','N','HAMMARSTROM','IJUí','RS','120201201117131441335829576124610162177',NULL,'9998',35.83,1,3,NULL),(16,3228460,'1992-07-07 00:00:00',2,1,12,2009,'F','S','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215151431454312221122610126187',NULL,'1134',39.44,1,3,NULL),(16,3228479,'1989-06-02 00:00:00',4,4,12,2006,'M','N','CENTRO','PINHALZINHO','SC','124241241111372431556432345112610118142',4253,'616',60.36,1,2,1),(16,3228487,'1991-06-18 00:00:00',4,2,11,2008,'F','N','ÁGUAS CLARAS','BRUSQUE','SC','124244241215272451356632574124610132042',2155,'109',66.57,1,3,NULL),(16,3228495,'1991-07-13 00:00:00',4,1,12,2008,'M','N','PRAIA MOLE','FLORIANóPOLIS','SC','124244241415221531347831412121610167117',7344,'299',53.62,1,3,NULL),(16,3228509,'1989-08-04 00:00:00',4,1,12,2006,'F','N','ITAPURA','CAMPINAS','SP','125251251215572431546823474122610121087',7958,'9998',52.50,1,3,NULL),(16,3228517,'1990-11-30 00:00:00',4,2,11,2008,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241217272232479834375122610127012',766,'855',73.69,1,3,NULL),(16,3228525,'1986-08-05 00:00:00',4,4,11,2008,'M','N','PASSO DOS FORTES','CHAPECó','SC','624241248312151431423429392334610142182',NULL,'9999',27.38,1,3,NULL),(16,3228533,'1988-06-22 00:00:00',2,1,12,2005,'F','N','CENTRO','LAGES','SC','124242241216575441356712372324610146017',473,'499',76.02,1,3,NULL),(16,3228541,'1986-07-10 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241132271431422519181324133236187',NULL,'592',0.00,3,2,1),(16,3228550,'1988-09-01 00:00:00',4,3,12,2006,'F','N','IMIGRANTES','TIMBó','SC','124241241215473411337823376125133243187',2994,'1038',63.82,1,3,NULL),(16,3228568,'1988-06-03 00:00:00',4,8,12,2005,'F','N','NOVO HORIZONTE','MARíLIA','SP','125254251216571431559831575122610132047',2646,'9998',64.85,1,3,NULL),(16,3228584,'1988-08-28 00:00:00',4,1,12,2005,'M','N','CENTRO','STA INêS','PR','116161161137471431548611374122610162043',6261,'9998',55.76,1,2,1),(16,3228592,'1984-03-04 00:00:00',4,1,12,2001,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124241241216253431239913215123221467181',3889,'300',61.37,3,3,NULL),(16,3228606,'1992-01-23 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242248215111431447923575122610168072',NULL,'1118',23.57,4,3,NULL),(16,3228614,'1991-03-21 00:00:00',4,1,11,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215371431679814415124610167042',14282,'270',41.08,1,3,NULL),(16,3228622,'1991-11-20 00:00:00',4,1,12,2008,'F','N','COSTEIRA','FLORIANóPOLIS','SC','124241241225141431446314442124610147057',NULL,'262',27.08,1,3,NULL),(16,3228630,'1985-03-06 00:00:00',2,8,12,2002,'F','N','JARDIM DAS AMéRICAS','CURITIBA','PR','116162161214472431329923572122342545193',NULL,'9998',0.00,1,3,NULL),(16,3228649,'1992-05-14 00:00:00',2,1,12,2008,'M','N','RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC','124241241117111411448333575124610137097',NULL,'307',25.42,1,2,1),(16,3228657,'1984-09-10 00:00:00',2,1,12,2003,'M','N','VILA SâO BENTO','S JOSé CAMPOS','SP','125251256217271431426639481224610127057',11727,'9998',45.78,2,1,2),(16,3228673,'1990-04-12 00:00:00',4,5,11,2007,'F','N','PIO CORREA','CRICIúMA','SC','120242241217373411469934575114610162181',486,'226',75.89,1,3,NULL),(16,3228681,'1991-03-21 00:00:00',1,2,12,2008,'F','N','HIGIENóPOLIS','PTO ALEGRE','RS','120202201217471731569813234122610131072',6911,'9998',54.47,1,3,NULL),(16,3228690,'1987-01-26 00:00:00',4,1,12,2004,'M','N','VILA NOVA BOTUCATU','BOTUCATU','SP','125252251215573411489813271125610168187',3956,'9998',61.19,1,3,NULL),(16,3228703,'1991-10-15 00:00:00',4,1,12,2009,'M','S','MONTE VERDE','FLORIANóPOLIS','SC','124242241217111132479814575122610124145',NULL,'883',48.74,1,3,NULL),(16,3228711,'1990-03-20 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216472431534422572124610122092',12423,'499',44.51,1,3,NULL),(16,3228720,'1992-01-22 00:00:00',4,9,12,2008,'M','N','SANTA HELENA','LAGES','SC','124243241415131411458611275111610127022',3179,'515',63.34,1,3,NULL),(16,3228738,'1992-09-27 00:00:00',4,1,12,2009,'M','S','ESTREITO','FLORIANóPOLIS','SC','124242241215151751468811475124610164017',NULL,'270',56.17,1,3,NULL),(16,3228746,'1992-06-15 00:00:00',4,1,11,2009,'F','S','JURERê','FLORIANóPOLIS','SC','124242241215111431229623175122610134052',NULL,'270',0.00,1,3,NULL),(16,3228754,'1990-12-31 00:00:00',4,8,12,2008,'F','N','GLóRIA','JOINVILLE','SC','124242241215371431459814574122610133182',1842,'1063',67.86,1,3,NULL),(16,3228762,'1986-10-11 00:00:00',4,1,12,2004,'F','N','PARQUE IGLESIAS','JANDIRA','SP','125251251126571431521311172324610126147',7115,'9998',54.07,2,1,1),(16,3228770,'1990-05-12 00:00:00',4,1,12,2008,'M','N','SERRINHA','FLORIANóPOLIS','SC','120204201117131231338931571112610167042',16302,'9998',36.38,1,3,NULL),(16,3228789,'1990-05-30 00:00:00',2,1,12,2007,'F','N','JARDIM VENEZA','S JOSé CAMPOS','SP','125252251217371411338614375124610127073',NULL,'9998',0.00,1,3,NULL),(16,3228797,'1991-03-26 00:00:00',2,8,12,2008,'F','N','AREIãO','GUIRATINGA','MT','111111111112131411435724294221610136187',NULL,'9998',0.00,4,1,1),(16,3228800,'1991-10-06 00:00:00',4,4,11,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124242161115111431468633571114610162182',9072,'9998',50.46,1,3,NULL),(16,3228827,'1989-11-17 00:00:00',4,8,12,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124164161236473411339833575114231464052',1272,'9998',70.57,1,3,NULL),(16,3228835,'1992-03-09 00:00:00',2,1,12,2009,'M','S','CARIANOS','FLORIANóPOLIS','SC','124244241215111431456833575124610127097',NULL,'1022',36.45,1,3,NULL),(16,3228851,'1987-01-20 00:00:00',4,9,12,2004,'M','N','PITANGUEIRA','AGROLâNDIA','SC','124243241116331331446614575124610164092',9369,'850',49.95,1,3,NULL),(16,3228860,'1989-03-20 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241215574431569917575112610137145',3759,'270',61.68,1,3,NULL),(16,3228878,'1990-12-19 00:00:00',4,1,12,2008,'M','N','BALNEÁRIO','FLORIANóPOLIS','SC','124204241117151431517731412122230737167',NULL,'257',28.10,1,3,NULL),(16,3228894,'1990-03-08 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241215272411538639443114610167075',14366,'1022',40.93,1,3,NULL),(16,3228916,'1989-06-08 00:00:00',4,8,12,2006,'M','N','VILA MOEMA','TUBARãO','SC','124242241215573731669834575122230724115',NULL,'807',46.85,1,3,NULL),(16,3228924,'1987-04-16 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124244241217374111479813492114131062052',NULL,'1036',31.73,1,3,NULL),(16,3228932,'1991-09-24 00:00:00',4,7,11,2008,'F','N','NAçõES','CONCóRDIA','SC','124244241416121411514432275124610116097',NULL,'1047',25.09,1,3,NULL),(16,3228940,'1979-09-30 00:00:00',2,1,12,1999,'F','N','COQUEIROS','FLORIANóPOLIS','SC','224204201212111211217713113231610112167',NULL,'9998',4.21,1,3,NULL),(16,3228959,'1992-02-05 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241127131431348611575124610138147',NULL,'592',24.28,1,2,1),(16,3228975,'1989-05-21 00:00:00',2,8,12,2006,'F','N','BOM REITIRO','JOINVILLE','SC','124241241115472421233364345114610124142',12554,'50',44.25,3,2,1),(16,3228983,'1989-11-21 00:00:00',4,1,12,2006,'M','N','CENTRO','MAFRA','SC','116242241216572431489613575122241437112',2581,'541',65.06,1,3,NULL),(16,3228991,'1989-05-11 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242247136142441457723345132610164182',9601,'9997',49.52,1,3,NULL),(16,3229009,'1988-10-01 00:00:00',4,8,12,2005,'M','N','REUNIDAS','CAçADOR','SC','124242241216573221469811573114631465171',NULL,'118',0.00,1,3,NULL),(16,3229025,'1990-08-11 00:00:00',4,8,11,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215111712445623592124610136012',5719,'1016',57.02,1,3,NULL),(16,3229033,'1988-09-07 00:00:00',2,1,12,2007,'M','N','ROçADO','S JOSé','SC','124244241217272131558813575112130714047',11101,'1036',46.84,1,3,NULL),(16,3229041,'1989-09-20 00:00:00',4,4,11,2006,'F','N','CENTRO','S MIGUEL OESTE','SC','124244241214572431458633471345610162182',4424,'751',59.95,4,3,NULL),(16,3229050,'1990-02-19 00:00:00',2,4,12,2007,'F','N','CENTRO','PALMITINHO','RS','120201205117131431526933372124610125147',NULL,'9998',0.00,1,2,1),(16,3229068,'1990-05-31 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216412431538832592122610137147',15289,'9997',38.99,1,3,NULL),(16,3229076,'1991-08-23 00:00:00',2,1,12,2008,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241112161231323631575124610128057',NULL,'288',19.94,1,3,NULL),(16,3229084,'1991-04-11 00:00:00',2,3,11,2008,'F','N','VILA VELHA','PALMEIRA MISSõES','RS','120201201216131731536916465122610167147',NULL,'9998',27.06,1,3,NULL),(16,3229106,'1990-03-02 00:00:00',2,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241137372431336923215124610125077',NULL,'464',28.57,1,2,1),(16,3229114,'1981-09-15 00:00:00',2,1,12,1999,'M','N','COQUEIROS','FLORIANóPOLIS','SC','224195274327325531211178183345610167177',NULL,'9998',0.00,1,3,NULL),(16,3229130,'1991-04-09 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSé R PRETO','SP','125252251211111411468811571122610162192',NULL,'9998',0.00,1,3,NULL),(16,3229149,'1986-04-17 00:00:00',4,8,11,2003,'F','N','BATEL','CURITIBA','PR','116162161216471431579833594122340662142',1147,'9998',71.21,1,3,NULL),(16,3229157,'1991-09-20 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215131331326513272122610123142',NULL,'738',25.64,1,3,NULL),(16,3229165,'1989-07-28 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241142573411457613395224232732142',11834,'295',45.58,1,2,1),(16,3229181,'1982-05-25 00:00:00',4,1,12,2000,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241127332431536614345122610114182',13890,'307',41.87,1,3,NULL),(16,3229190,'1991-05-18 00:00:00',4,1,11,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241235111431469613575124610122082',8355,'270',51.68,1,3,NULL),(16,3229211,'1991-11-28 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431689811572125610168095',12507,'270',44.37,1,3,NULL),(16,3229220,'1991-09-25 00:00:00',4,1,12,2008,'F','N','FLORESTA','CERRO LARGO','RS','120203201217271431337933271122610126072',10329,'9998',48.20,1,3,NULL),(16,3229238,'1988-04-04 00:00:00',2,8,12,2005,'F','N','AGUA VERDE','CURITIBA','PR','116161161145471531156511171124610126097',2039,'9998',67.05,1,2,1),(16,3229246,'1990-06-22 00:00:00',4,8,11,2007,'F','N','VILA FANNY','CURITIBA','PR','116162161211472411549812371124610164053',NULL,'9998',0.00,1,3,NULL),(16,3229254,'1989-06-17 00:00:00',2,5,11,2007,'M','N','AURORA','IçARA','SC','124241241432271431334314445114610112177',12213,'1053',44.88,4,3,NULL),(16,3229270,'1990-02-21 00:00:00',2,1,12,2007,'F','N','RIO CAVEIRAS','BIGUAçU','SC','124241241216472431633331341124610127072',7357,'63',53.61,1,3,NULL),(16,3229289,'1986-03-08 00:00:00',4,8,11,2003,'F','N','BATEL','CURITIBA','PR','116162161215471431466816474122343223092',NULL,'9998',0.00,1,3,NULL),(16,3229297,'1989-04-28 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244241215273731567613571124610122117',9440,'262',49.83,1,3,NULL),(16,3229300,'1990-06-19 00:00:00',2,1,12,2007,'M','N','BELA VISTA TRêS','S JOSé','SC','124241241117272231454923575115610167042',10779,'734',47.41,1,2,1),(16,3229319,'1991-12-11 00:00:00',4,8,11,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241217151431456614242122610137042',11117,'1006',46.81,1,3,NULL),(16,3229327,'1990-08-10 00:00:00',4,1,11,2007,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241215372431589712575124230763095',10113,'266',48.59,1,3,NULL),(16,3229335,'1991-08-19 00:00:00',2,4,12,2008,'M','N','AGUA AZUL','MARIóPOLIS','PR','116163161216271331445816272122610137042',NULL,'9998',28.80,1,3,NULL),(16,3229351,'1991-04-20 00:00:00',4,1,12,2008,'M','N','PALHOçA','PALHOçA','SC','124241241116131132426519572122610137064',NULL,'592',28.75,1,3,NULL),(16,3229360,'1989-12-15 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241215471741156614572124231243187',3392,'486',62.70,1,3,NULL),(16,3229378,'1990-01-19 00:00:00',4,8,12,2007,'F','N','GUANABARA','JOINVILLE','SC','224241241113132411224654341124610164142',NULL,'467',28.45,1,3,NULL),(16,3229386,'1987-05-02 00:00:00',4,10,12,2005,'M','N','PASSO DO GADO','TUBARãO','SC','124241246126131641456434145125610166142',NULL,'1034',27.98,1,2,1),(16,3229394,'1991-08-08 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241215111431546734575122610127092',NULL,'883',33.90,1,3,NULL),(16,3229408,'1989-11-12 00:00:00',4,1,12,2006,'M','N','ROYAL PARK','LONDRINA','PR','116162161217572431489931592112611424053',NULL,'9998',0.00,1,3,NULL),(16,3229416,'1982-05-10 00:00:00',2,1,12,1999,'M','N','ESTREITO','FLORIANóPOLIS','SC','124201203116373421123343332123230822147',15902,'9998',37.49,1,3,NULL),(16,3229424,'1991-01-26 00:00:00',4,4,12,2008,'F','N','JARDIM AMéRICA','CHAPECó','SC','124241241116271431436614195124610126167',NULL,'169',27.87,1,2,1),(16,3229440,'1990-12-03 00:00:00',2,1,12,2008,'F','N','CIDADE JARDIM','ALTINóPOLIS','SP','125253251316171411323311571222610136042',NULL,'9998',0.00,1,3,NULL),(16,3229467,'1991-05-22 00:00:00',4,1,12,2008,'M','N','BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP','125254251215251331458834572124610117047',14841,'9998',40.00,4,3,NULL),(16,3229475,'1991-05-05 00:00:00',2,1,12,2008,'M','N','CENTRO','NOVA LONDRINA','PR','116162161217111431557912572111610147082',1362,'9998',70.07,1,3,NULL),(16,3229483,'1990-02-10 00:00:00',2,8,12,2007,'M','N','ZONA RURAL','MARIALVA','PR','116162168215371431458636574114610128052',NULL,'9998',40.50,3,3,NULL),(16,3229491,'1985-07-05 00:00:00',2,1,12,2003,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124201241117144421237824245124610114047',11364,'257',46.39,1,2,1),(16,3229505,'1990-03-04 00:00:00',2,1,12,2007,'F','N','ROçADO','S JOSé','SC','124241241137132431426324342224610121147',15519,'729',38.50,1,2,1),(16,3229513,'1991-12-15 00:00:00',4,2,10,2008,'M','N','ENCANO BAXIO','INDAIAL','SC','125241241215111431558632575114610117042',2081,'855',66.88,1,3,NULL),(16,3229521,'1986-06-30 00:00:00',2,8,12,2008,'M','N','GUANABARA','JOINVILLE','SC','224241247443131441224444341124610164092',12831,'9999',43.79,4,3,NULL),(16,3229530,'1991-05-12 00:00:00',2,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124243241117471431526432575124610162062',7153,'257',54.00,1,3,NULL),(16,3229548,'1990-12-29 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431538833572122610137141',11947,'262',45.36,1,3,NULL),(16,3229556,'1983-05-08 00:00:00',2,1,12,2000,'F','N','SERRARIA','S JOSé','SC','124241241116154431534439242124322246097',NULL,'257',34.45,1,2,1),(16,3229564,'1989-07-10 00:00:00',4,1,7,2007,'M','N','LAGOA DA CONCEICAO','FLORIANóPOLIS','SC','124242241215272411587742175122322463177',6869,'1098',54.54,1,3,NULL),(16,3229580,'1988-08-17 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124202241316472431158811385124610124045',NULL,'298',34.85,1,3,NULL),(16,3229599,'1990-12-24 00:00:00',4,2,11,2008,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111751476829575112610163182',13475,'855',42.65,1,3,NULL),(16,3229602,'1988-09-02 00:00:00',2,1,12,2006,'F','N','ASA SUL','BRASíLIA','DF','107052051216571431548611271134610126177',8390,'9998',51.61,4,3,NULL),(16,3229610,'1990-04-18 00:00:00',4,8,12,2007,'F','N','BIGORRILHO','CURITIBA','PR','116152161217271431479714575122140234157',NULL,'9998',0.00,1,3,NULL),(16,3229629,'1992-03-14 00:00:00',4,1,11,2008,'M','N','JARDIM ATLÂNTICO','FLORIANOPOLIS','SC','124242241235111531468831572122610124147',13322,'723',42.92,1,3,NULL),(16,3229637,'1991-02-18 00:00:00',2,5,12,2008,'F','N','CENTRO','CRICIúMA','SC','124242241217111431445732572115610111077',13991,'226',41.66,1,3,NULL),(16,3229645,'1989-04-26 00:00:00',4,1,12,2006,'F','N','LIBERDADE','S PAULO','SP','125252251217571411657822571345610141097',743,'9998',73.90,3,3,NULL),(16,3229653,'1991-08-17 00:00:00',4,8,12,2008,'M','N','VILA IZABEL','CURITIBA','PR','116164163217271431457833575122610167112',13534,'9998',42.56,1,3,NULL),(16,3229661,'1989-07-24 00:00:00',4,1,12,2006,'M','N','CENTRO','STA CRUZ SUL','RS','120202201217271431438913572115243237117',8449,'9998',51.49,1,3,NULL),(16,3229670,'1991-08-31 00:00:00',4,1,12,2009,'F','S','JOSé MENDES','FLORIANóPOLIS','SC','124242241215111431466811572112610137072',NULL,'270',44.91,1,3,NULL),(16,3229688,'1991-03-29 00:00:00',2,5,11,2008,'M','N','SãO FRANCISCO','TORRES','RS','120201201217111431436632142321610137047',NULL,'9998',33.96,1,3,NULL),(16,3229696,'1991-11-20 00:00:00',4,4,12,2008,'F','N','UNIVERSSITáRIO','CHAPECó','SC','124241241112131431459933572124610123147',12838,'174',43.78,1,3,NULL),(16,3229700,'1989-09-19 00:00:00',2,1,12,2007,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241216152411659933475122610127111',5678,'270',57.13,1,3,NULL),(16,3229718,'1990-05-06 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124252241215372441248612471124122764072',5696,'270',57.08,1,3,NULL),(16,3229726,'1989-08-22 00:00:00',4,1,12,2006,'F','N','ALEGRE','RIO NEGRINHO','SC','124243241215573431564612571224610127097',NULL,'1022',0.00,1,3,NULL),(16,3229734,'1991-03-07 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241315111452635531297124610117147',14624,'1022',40.45,1,3,NULL),(16,3229742,'1991-12-03 00:00:00',2,8,11,2008,'M','N','CENTRO','CANOINHAS','SC','124242241211111431466814375122610168187',NULL,'154',0.00,1,3,NULL),(16,3229750,'1985-11-25 00:00:00',2,5,12,2003,'F','N','CENTRO','OSóRIO','RS','120201201116471731429613431324142864187',11774,'9998',45.69,1,2,1),(16,3229769,'1989-07-07 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124241241115131752233311312234610114047',NULL,'733',24.35,1,2,1),(16,3229777,'1988-02-11 00:00:00',2,1,12,2005,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124241241122142711444314285114610124157',NULL,'279',31.64,1,2,1),(16,3229785,'1989-05-17 00:00:00',2,4,12,2007,'F','N','CENTRO','PATO BRANCO','PR','116161161114471431443339572112610164147',NULL,'9998',0.00,1,2,1),(16,3229793,'1990-04-16 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241117131212426617375114610134017',8655,'307',51.15,1,2,1),(16,3229807,'1991-01-12 00:00:00',4,1,11,2008,'F','N','ELIZABETH','IJUI','RS','120202201216111431467914575124610114142',15449,'9998',38.65,1,3,NULL),(16,3229815,'1991-03-14 00:00:00',2,1,12,2008,'M','N','RATONES','FLORIANóPOLIS','SC','124243241216131431438419382124610128182',NULL,'1048',30.78,1,3,NULL),(16,3229823,'1990-09-14 00:00:00',4,1,12,2007,'F','N','SãO FRANCISCO','CPO GRANDE','MS','112122121216472431567933574122610127077',8002,'9998',52.42,1,3,NULL),(16,3229840,'1991-11-09 00:00:00',2,1,11,2008,'F','N','SãO FRANCISCO','STO AMARO IMPERATRIZ','SC','124202241415151451436714571112610126142',10600,'1014',47.74,1,3,NULL),(16,3229866,'1990-06-05 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248236131711325721415125610113147',15044,'262',39.56,1,3,NULL),(16,3229874,'1991-11-25 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215131431359814574125610136092',11895,'1038',45.47,1,3,NULL),(16,3229882,'1990-12-20 00:00:00',4,1,12,2008,'F','N','JARDIM GUAPORé','MARINGá','PR','116162161215471431448811571122610164142',3501,'9998',62.37,3,3,NULL),(16,3229890,'1989-02-04 00:00:00',2,5,12,2006,'F','N','CENTRO','OSóRIO','RS','120201201116471711429613574344610164057',9635,'9998',49.45,1,2,1),(16,3229904,'1991-08-12 00:00:00',4,4,11,2008,'M','N','BOM JESUS','CAçADOR','SC','124242241216131431467934575122610127142',6095,'120',56.14,1,3,NULL),(16,3229912,'1991-05-16 00:00:00',4,1,12,2008,'F','N','VILA ROSA PIRES','CPO GRANDE','MS','112122121215111431478932572122610144032',NULL,'9998',0.00,1,3,NULL),(16,3229947,'1990-07-17 00:00:00',4,8,12,2007,'F','N','JD VL MARIANA','S PAULO','SP','125252251217571431568812372112610114077',2040,'9998',67.05,1,3,NULL),(16,3229955,'1987-07-19 00:00:00',4,1,12,2005,'F','N','ABRAAO','FLORIANóPOLIS','SC','124242241212134431328823382114610128142',NULL,'270',27.31,1,3,NULL),(16,3229963,'1991-10-31 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241216111431438834575124630167092',7402,'270',53.51,1,3,NULL),(16,3229971,'1991-03-08 00:00:00',4,3,12,2008,'M','N','CENTRO','JARAGUá SUL','SC','124242241217371431559814575122610164012',948,'422',72.34,1,3,NULL),(16,3229980,'1990-07-09 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241415212431459933575114220717042',1515,'270',69.30,1,3,NULL),(16,3229998,'1990-03-21 00:00:00',4,8,2,2008,'M','N','CENTRO','JOINVILLE','SC','124072077411371331488833572122142063143',NULL,'9999',27.45,1,3,NULL),(16,3230007,'1990-09-09 00:00:00',4,1,12,2008,'M','N','IMIGRANTES','TIMBó','SC','124241241215111411445712372124610134092',12324,'855',44.69,1,3,NULL),(16,3230015,'1981-02-15 00:00:00',4,1,12,1998,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','224242241216153431456619571124320316072',10259,'258',48.33,1,3,NULL),(16,3230023,'1990-06-12 00:00:00',4,8,12,2007,'M','N','ICARAY','ARAçATUBA','SP','125252251216471731358811475122610164142',NULL,'9998',0.00,1,3,NULL),(16,3230031,'1991-07-19 00:00:00',4,4,12,2008,'M','N','CENTRO','CHAPECó','SC','124213241215151731476923575125610137096',10390,'168',48.11,1,3,NULL),(16,3230074,'1990-02-26 00:00:00',4,1,12,2007,'F','N','JARDIM ITALIA','CHAPECó','SC','124241241214472411358833475124610123197',7615,'185',53.12,1,3,NULL),(16,3230082,'1970-09-01 00:00:00',4,1,8,1991,'M','N','CENTRO','FLORIANóPOLIS','SC','124131136117151411256643435123440768092',5126,'9998',58.30,4,3,NULL),(16,3230090,'1991-10-29 00:00:00',2,3,12,2008,'F','N','JARDIM APUCARANA','APUCARANA','PR','116162161215111431448833572112610123182',NULL,'9998',31.66,1,3,NULL),(16,3230104,'1990-09-26 00:00:00',4,1,12,2007,'F','N','CENTRO','S JOSé','SC','124241248116141732434319295122610118052',NULL,'733',3.51,1,2,1),(16,3230112,'1989-10-27 00:00:00',2,5,11,2007,'M','N','SANTA BáRBARA','CRICIúMA','SC','124242241217473231568812572112121464042',1279,'226',70.51,1,3,NULL),(16,3230120,'1989-10-01 00:00:00',2,9,12,2007,'M','N','CENTRO','AT BELA VISTA','SC','124241241126371412446512322112610137052',NULL,'14',0.00,1,2,1),(16,3230139,'1986-12-20 00:00:00',4,3,12,2004,'F','N','JARDIM RICETTI','S CARLOS','SP','125252251216571431458814572122242963197',14702,'9998',40.28,1,3,NULL),(16,3230147,'1981-07-18 00:00:00',4,1,12,1999,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124243244127135431459813485114133224097',NULL,'306',32.76,1,3,NULL),(16,3230155,'1991-03-04 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215271431266924595125610127032',931,'883',72.49,1,3,NULL),(16,3230163,'1991-06-04 00:00:00',5,4,12,2008,'F','N','CENTRO','XAXIM','SC','124241241215271431333613574344610164197',9720,'983',49.30,1,3,NULL),(16,3230171,'1991-08-14 00:00:00',4,5,10,2008,'F','N','LINHA BATISTA','CRICIúMA','SC','124242241235111431426614594124610124077',15015,'213',39.61,1,3,NULL),(16,3230180,'1963-09-29 00:00:00',4,1,8,1986,'M','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','224251257126151711233349295124341162042',7765,'9999',52.84,1,2,1),(16,3230198,'1991-02-05 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217111731459811575112610127067',8179,'270',52.06,1,3,NULL),(16,3230201,'1991-04-23 00:00:00',4,8,11,2008,'F','N','VILA NOVA','JARAGUá SUL','SC','124242241215121431479923575122610162181',882,'491',72.80,4,3,NULL),(16,3230210,'1991-10-26 00:00:00',4,1,12,2008,'M','N','JARDIM GUTIERRES','CPO MOURãO','PR','316162168216171432568931595124610124012',NULL,'9998',38.15,1,3,NULL),(16,3230228,'1990-03-27 00:00:00',2,1,12,2007,'F','N','CENTRO','DOIS IRMãOS','RS','120203201216272431346721345114610163197',4488,'9998',59.80,1,3,NULL),(16,3230236,'1992-08-29 00:00:00',4,1,11,2009,'F','S','BARREIROS','S JOSé','SC','124241241217131432336923572114610138197',NULL,'724',27.84,1,3,NULL),(16,3230244,'1987-11-02 00:00:00',2,1,12,2004,'M','N','SOUZA CRUZ','BRUSQUE','SC','124242241217271431376812276112132524092',NULL,'109',0.00,1,3,NULL),(16,3230252,'1990-05-10 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217372731469814342124220962047',4920,'806',58.82,1,3,NULL),(16,3230260,'1990-01-11 00:00:00',2,1,12,2008,'M','N','CACUPé','FLORIANóPOLIS','SC','124244243416112531459714345124133227042',NULL,'1048',18.00,1,3,NULL),(16,3230279,'1990-07-25 00:00:00',4,1,11,2009,'M','S','STELLA MARIS','SALVADOR','BA','105051051117111431459933571114610164032',NULL,'9998',0.00,4,3,NULL),(16,3230287,'1990-08-17 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431426512572122610122097',3018,'807',63.74,1,3,NULL),(16,3230309,'1991-06-18 00:00:00',2,5,12,2008,'M','N','SãO LUIS','SOMBRIO','SC','124241241145151431535516572124610126017',16233,'1033',36.58,1,2,1),(16,3230317,'1971-12-14 00:00:00',2,1,12,1991,'M','N','PâNTANO DO SUL','FLORIANóPOLIS','SC','624251258327471631423344343234610127047',12952,'9998',43.59,1,3,NULL),(16,3230333,'1990-07-02 00:00:00',4,6,12,2008,'M','N','BARRA DO RIO','ITAJAí','SC','124242241217212431448839175112610164187',7078,'391',54.14,1,3,NULL),(16,3230341,'1984-09-12 00:00:00',2,1,11,2004,'M','N','PANTANAL','FLORIANóPOLIS','SC','124161241111234441256631476244122925137',13381,'9998',42.83,1,2,1),(16,3230350,'1989-07-03 00:00:00',4,1,12,2007,'M','N','LOMBA GRANDE','NOVO HAMBURGO','RS','120203201117141411468612346122240247117',NULL,'9998',0.00,1,3,NULL),(16,3230368,'1991-10-14 00:00:00',4,1,11,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124243241216111431569933242124610124145',106,'270',80.89,1,3,NULL),(16,3230384,'1991-04-09 00:00:00',2,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111431467823575112610167112',NULL,'1022',26.90,1,3,NULL),(16,3230392,'1991-10-17 00:00:00',4,1,11,2008,'M','N','BALNEáRIO','FLORIANóPOLIS','SC','124242241215151531458813575112610132012',NULL,'273',14.10,1,3,NULL),(16,3230406,'1973-08-29 00:00:00',2,1,2,2002,'M','N','CAMPINAS','S JOSé','SC','224201247144135421233444244114610164091',NULL,'9999',0.00,2,2,1),(16,3230414,'1991-07-17 00:00:00',4,4,11,2008,'M','N','JARDIM','S JOSé CEDRO','SC','124241241112161411623335152224610167047',NULL,'740',26.19,1,3,NULL),(16,3230422,'1990-12-29 00:00:00',2,1,12,2007,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124243241215472431434613574124610167142',2449,'836',65.52,1,3,NULL),(16,3230430,'1989-05-30 00:00:00',4,2,12,2006,'M','N','VELHA','BLUMENAU','SC','124242241215373431278629575124610116092',7401,'855',53.51,1,3,NULL),(16,3230449,'1987-08-04 00:00:00',2,1,12,2004,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124242241316134451516713441112610162172',12691,'307',44.01,1,3,NULL),(16,3230457,'1990-08-21 00:00:00',4,9,11,2007,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241216373431438712571122610128197',10368,'497',48.14,1,3,NULL),(16,3230465,'1990-09-14 00:00:00',2,1,11,2008,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241217111431548833572124610123072',9368,'270',49.95,1,3,NULL),(16,3230473,'1991-07-06 00:00:00',2,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124243241215111431556513472124610124052',13377,'1022',42.83,1,3,NULL),(16,3230481,'1990-08-23 00:00:00',4,1,12,2007,'F','N','RAINHA','LOUVEIRA','SP','125252251217471431338811575122610147097',3318,'9998',62.95,1,3,NULL),(16,3230490,'1993-05-12 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241212111431448923571114610137052',12036,'1022',45.21,1,3,NULL),(16,3230511,'1989-12-30 00:00:00',4,8,12,2007,'F','N','JD NOVA IPANEMA','PRES VENCESLAU','SP','125254258415471132534733575112610113057',NULL,'9998',0.00,3,3,NULL),(16,3230520,'1990-11-13 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217112431358814475122610117111',9680,'270',49.38,1,3,NULL),(16,3230538,'1989-07-21 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124202201432121431337814575124243224092',13857,'9998',41.92,1,3,NULL),(16,3230546,'1990-06-30 00:00:00',2,8,12,2008,'M','N','CENTRO','IRATI','PR','116163161415421731545613574114610167077',NULL,'9998',35.02,1,3,NULL),(16,3230554,'1991-10-25 00:00:00',2,1,12,2008,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124244241215111731458614242124610117051',NULL,'259',19.15,1,3,NULL),(16,3230562,'1987-06-26 00:00:00',4,8,12,2004,'M','N','JARDIM SãO JORGE','S JOãO B VISTA','SP','125253251217571431478933572112141435017',NULL,'9998',0.00,4,3,NULL),(16,3230570,'1966-05-20 00:00:00',5,1,12,1982,'F','N','PORTO DA LAGOA','FLORIANóPOLIS','SC','224242241217142411468652411122333121183',8599,'262',51.26,1,3,NULL),(16,3230589,'1991-05-24 00:00:00',2,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241215112231389812425122610167142',NULL,'270',0.00,1,3,NULL),(16,3230597,'1990-08-26 00:00:00',4,8,12,2007,'F','N','ALTO DE MAFRA','MAFRA','SC','124241241216471431346823574124610118072',3051,'541',63.65,1,3,NULL),(16,3230619,'1990-08-02 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241248212472751448931572324610147142',2837,'855',64.26,1,3,NULL),(16,3230627,'1991-03-10 00:00:00',2,1,11,2008,'F','N','CENTRO','PNT PORã','MS','112122121217111431535832575122610167097',7967,'9998',52.49,1,3,NULL),(16,3230635,'1986-03-25 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124254251415411711125544345224610163111',NULL,'9998',37.71,1,3,NULL),(16,3230643,'1992-01-27 00:00:00',2,1,12,2008,'M','N','PLANALTO PARAISO','S CARLOS','SP','125252251215111431688811571122610147047',1824,'9998',67.93,1,3,NULL),(16,3230660,'1991-02-26 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241212271431468514575122610167047',12087,'262',45.12,1,3,NULL),(16,3230678,'1982-02-22 00:00:00',4,1,11,2000,'F','N','CAMPINAS','S JOSé','SC','124221251136132441124444445124121766127',NULL,'9998',33.76,1,2,1),(16,3230686,'1988-02-27 00:00:00',4,2,12,2005,'M','N','VILA MASCOTE','S PAULO','SP','125252251217471431478711471122610137012',1059,'9998',71.70,1,3,NULL),(16,3230694,'1990-01-15 00:00:00',4,1,12,2008,'M','N','CENTRO','TOLEDO','PR','116162161237111431479933575114610164012',4974,'9998',58.67,1,3,NULL),(16,3230708,'1985-01-07 00:00:00',2,1,6,2008,'M','N','TAPERA','FLORIANóPOLIS','SC','424241241445271752623339343344610164022',NULL,'9999',24.92,2,3,NULL),(16,3230716,'1992-06-25 00:00:00',4,1,12,2009,'F','S','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215111431556832592125610127092',NULL,'273',37.57,1,3,NULL),(16,3230724,'1991-10-05 00:00:00',4,1,12,2008,'F','N','BALNEáRIO ESTREITO','FLORIANóPOLIS','SC','124244241415371431368814175124610137142',2716,'1134',64.63,1,3,NULL),(16,3230740,'1989-09-14 00:00:00',4,1,12,2006,'F','N','CENTRO','S JOSé','SC','124243241316373431348924595123123223047',7428,'737',53.46,1,3,NULL),(16,3230759,'1991-10-07 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215111431326714575214610124017',NULL,'9997',29.64,1,3,NULL),(16,3230767,'1989-02-20 00:00:00',4,1,1,2007,'M','N','CENTRO','GURUPI','TO','127271271316151431686719575122142624042',15459,'9998',38.63,2,1,2),(16,3230775,'1988-12-16 00:00:00',4,1,12,2006,'M','N','LIBERDADE','S PAULO','SP','125252251214571431478831575112610144147',789,'9998',73.55,1,3,NULL),(16,3230783,'1990-01-30 00:00:00',4,8,11,2007,'M','N','CENTRO','CONCóRDIA','SC','124242241215273441569912595114231468055',4662,'1000',59.40,1,3,NULL),(16,3230791,'1985-08-07 00:00:00',2,1,8,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241335371411558714285124610148117',NULL,'9999',28.12,1,3,NULL),(16,3230805,'1988-02-14 00:00:00',4,8,12,2005,'M','N','FLORESTA','JOINVILLE','SC','124241246216371751436619445122610148197',11229,'1105',46.59,1,3,NULL),(16,3230813,'1985-05-02 00:00:00',2,1,12,2003,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','224242241217272411223874442334141047077',NULL,'988',28.70,1,3,NULL),(16,3230821,'1991-05-04 00:00:00',2,8,12,2008,'F','N','CENTRO','STA MARIA','RS','120202201212271431369614572142610144192',7645,'9998',53.07,1,3,NULL),(16,3230830,'1987-09-10 00:00:00',2,2,12,2005,'M','N','VILA NOVA','BLUMENAU','SC','124241241137271431324329242124610118057',NULL,'79',36.86,4,2,1),(16,3230848,'1990-04-16 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124243241217152431556513472124610167052',8826,'1022',50.85,1,3,NULL),(16,3230856,'1978-12-19 00:00:00',2,1,12,2004,'M','N','CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC','624201201124134431323315142324610127047',NULL,'9998',38.81,4,2,1),(16,3230864,'1991-04-23 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111431467811372122610137112',NULL,'262',25.45,1,3,NULL),(16,3230872,'1986-02-25 00:00:00',2,8,12,2003,'M','N','CENTRO','CORUPá','SC','124161161347132431126644342121610137057',14981,'9998',39.71,1,3,NULL),(16,3230880,'1991-03-12 00:00:00',4,5,12,2008,'M','N','SãO DEFENDE','CRICIúMA','SC','124242241217112431436919475124610116052',12755,'230',43.91,1,3,NULL),(16,3230899,'1988-09-21 00:00:00',2,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116161161415571451336839592225610163182',3279,'491',63.07,1,3,NULL),(16,3230902,'1992-06-13 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124202241217111431469814575125610164197',NULL,'1022',41.25,1,3,NULL),(16,3230910,'1991-08-05 00:00:00',2,1,10,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215151431238821475125610143187',3529,'266',62.30,1,3,NULL),(16,3230929,'1990-12-28 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241211472431459613575122610127187',13736,'270',42.20,1,3,NULL),(16,3230937,'1991-05-20 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241115371431533513372124610123047',NULL,'307',19.87,4,2,1),(16,3230945,'1989-12-11 00:00:00',4,1,11,2007,'F','N','BONFIM PAULISTA','BONFIM PAULISTA','SP','125252251215412431585812371122610136182',2591,'9998',65.03,1,3,NULL),(16,3230953,'1990-03-08 00:00:00',4,1,12,2007,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241216132431436614445121610128057',14978,'1014',39.71,1,3,NULL),(16,3230961,'1992-02-25 00:00:00',4,4,12,2009,'F','S','PASSO DOS FORTES','CHAPECó','SC','124242241215111531569932422122610134072',NULL,'185',30.02,1,3,NULL),(16,3230970,'1989-05-14 00:00:00',4,1,12,2006,'M','N','CENTRO','CARAZINHO','RS','120202201216572711566615472215610136092',NULL,'9998',0.00,1,3,NULL),(16,3230996,'1986-08-16 00:00:00',4,1,12,2004,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124244241215274431387619595122231134093',3195,'270',63.29,1,3,NULL),(16,3231003,'1987-04-29 00:00:00',4,4,12,2004,'M','N','NAçõES','CONCóRDIA','SC','124241241147131731444434245124610144057',10661,'192',47.63,1,2,1),(16,3231020,'1987-10-01 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241247122131721111149482344610167042',NULL,'9999',1.00,1,3,NULL),(16,3231046,'1987-01-31 00:00:00',4,1,12,2003,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124201201216132431458823395124133243097',NULL,'9998',31.64,1,3,NULL),(16,3231054,'1990-01-20 00:00:00',2,1,11,2006,'M','N','CENTRO','CONCóRDIA','SC','124242241215573731489911575114121467165',853,'1000',73.03,1,3,NULL),(16,3231062,'1990-04-20 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124162241111313731648734492122610114097',3257,'269',63.12,1,3,NULL),(16,3231070,'1992-08-19 00:00:00',4,2,12,2009,'F','S','ESCOLA AGRíCOLA','BLUMENAU','SC','124242241217151431428811575122610127182',NULL,'71',57.82,1,3,NULL),(16,3231097,'1990-07-17 00:00:00',4,1,11,2007,'M','N','ROçADO','S JOSé','SC','124241241116271431444413392114610118062',12909,'729',43.66,1,2,1),(16,3231100,'1991-07-05 00:00:00',4,10,11,2008,'F','N','SANTA AUGUSTA','BRAçO NORTE','SC','124243241215111231556932575122610134142',588,'807',75.01,1,3,NULL),(16,3231119,'1968-09-08 00:00:00',2,1,12,1991,'F','N','TRINDADE','FLORIANóPOLIS','SC','224161165116372421434351145122542942187',11861,'9998',45.53,1,3,NULL),(16,3231127,'1989-09-12 00:00:00',4,9,12,2006,'M','N','CENTRO','LAGES','SC','116242161217572411579914571124610117047',NULL,'9998',0.00,1,3,NULL),(16,3231135,'1991-09-10 00:00:00',2,8,12,2008,'F','N','IRIRIú','JOINVILLE','SC','124241241215371751426624575121610127142',16159,'1105',36.76,1,3,NULL),(16,3231143,'1990-09-25 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241213121431279923572124610168052',263,'270',78.39,1,3,NULL),(16,3231151,'1992-06-18 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241216111511584832575122610168186',NULL,'262',47.05,1,3,NULL),(16,3231160,'1988-02-15 00:00:00',4,1,11,2005,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215574451276879572114610162091',4618,'270',59.51,1,3,NULL),(16,3231178,'1991-03-02 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124241241225371411226724575124610118147',9670,'262',49.39,4,3,NULL),(16,3231186,'1991-11-15 00:00:00',4,9,11,2008,'F','N','POçO RICO','OTACíLIO COSTA','SC','124122241215121431459933575122610164172',4865,'499',58.95,1,3,NULL),(16,3231194,'1987-04-01 00:00:00',4,8,12,2004,'M','N','BARRA DO RIO MOLHA','JARAGUá SUL','SC','124242241217575431459636472112610122017',2369,'442',65.82,1,3,NULL),(16,3231208,'1989-02-19 00:00:00',4,8,6,2007,'M','N','BARRIROS','S JOSé','SC','124242241216472431569914575122231424175',5900,'273',56.58,1,3,NULL),(16,3231224,'1991-11-26 00:00:00',2,1,12,2008,'F','N','VILA CABRAL','REGISTRO','SP','125251251116471431423923572122610124147',14974,'9998',39.72,1,2,1),(16,3231240,'1988-01-04 00:00:00',4,1,12,2005,'M','N','KOBRASOL','S JOSé','SC','124241241117574431567613345122121827082',9287,'307',50.10,1,2,1),(16,3231259,'1991-12-27 00:00:00',4,1,11,2008,'M','N','JD NOVO HORIZONTE','MARINGá','PR','116162161216271431469934475112610162142',1685,'9998',68.49,1,3,NULL),(16,3231267,'1991-10-21 00:00:00',4,10,11,2008,'M','N','CENTRO','TUBARãO','SC','124242241215122431469811572122610164052',649,'807',74.56,1,3,NULL),(16,3231275,'1991-11-25 00:00:00',4,2,12,2008,'M','N','BOM RETIRO','BLUMENAU','SC','124242241214111431336629275121610164167',2780,'87',64.48,1,3,NULL),(16,3231283,'1989-04-26 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241115372431558714572124610123027',6234,'267',55.83,1,2,1),(16,3231291,'1992-06-15 00:00:00',2,1,12,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124242241217111431558714572122610112192',NULL,'273',35.90,1,3,NULL),(16,3231305,'1984-07-03 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANóPOLIS','SC','124252251137141411489813245112341162092',NULL,'9998',30.99,1,3,NULL),(16,3231313,'1991-05-29 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124243241115372431446632575124610168142',2504,'271',65.32,1,3,NULL),(16,3231321,'1992-07-07 00:00:00',4,8,11,2008,'M','N','GLóRIA','JOINVILLE','SC','124242241215111411567933575112610162081',NULL,'491',22.69,1,3,NULL),(16,3231330,'1988-05-01 00:00:00',4,8,11,2005,'M','N','VILA NOVA','JARAGUá SUL','SC','124242241215372431366722574122131444097',450,'422',76.25,1,3,NULL),(16,3231348,'1983-11-14 00:00:00',2,1,12,2001,'F','N','INGLESES','FLORIANóPOLIS','SC','124111251136273421446531342124230247047',NULL,'9998',0.00,4,3,NULL),(16,3231356,'1990-05-07 00:00:00',4,3,12,2007,'M','N','CENTRO','XANXERê','SC','124242241216371431369933575122231437042',NULL,'1081',0.00,1,3,NULL),(16,3231364,'1990-04-11 00:00:00',4,1,12,2007,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116163161217471731468614575124610162097',4072,'9998',60.87,1,3,NULL),(16,3231372,'1989-01-20 00:00:00',4,1,12,2006,'M','N','SERRINHA','FLORIANóPOLIS','SC','124242241215573431568913331124610167017',NULL,'751',45.14,1,3,NULL),(16,3231399,'1991-01-16 00:00:00',4,1,12,2008,'F','N','SANTOS DUMONT','S JOSé','SC','124243241116151431569913345124610128142',15689,'739',38.09,1,3,NULL),(16,3231402,'1992-08-08 00:00:00',4,1,12,2009,'M','S','ESTREITO','FLORIANóPOLIS','SC','124242241217171231388932595114610114052',NULL,'270',20.96,1,3,NULL),(16,3231410,'1990-12-27 00:00:00',2,4,11,2008,'M','N','PASSO DOS FORTES','CHAPECó','SC','124241247214371432436519395122610134182',NULL,'1126',26.03,1,3,NULL),(16,3231429,'1991-08-08 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242248215312411228923341124610127012',NULL,'269',29.33,1,3,NULL),(16,3231437,'1991-12-16 00:00:00',2,1,11,2008,'F','N','CENTRO','S JOãO BATISTA','SC','124242241215221431356612124124610128092',14382,'1123',40.91,1,3,NULL),(16,3231445,'1990-02-08 00:00:00',4,1,12,2007,'F','N','POMPéIA','SANTOS','SP','125252251216371131446811571124610152094',NULL,'9998',0.00,3,3,NULL),(16,3231453,'1989-06-24 00:00:00',4,9,12,2006,'M','N','MEDIANEIRA','CAXIAS SUL','RS','120203201312571641447834382124140727047',6984,'9998',54.33,1,3,NULL),(16,3231461,'1984-09-02 00:00:00',2,1,12,2003,'M','N','N S DO ROSARIO','S JOSé','SC','124201201127151752643314342124610136187',12466,'9998',44.45,4,2,1),(16,3231470,'1988-10-27 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241115473431348823285125610124097',4826,'271',59.02,1,3,NULL),(16,3231488,'1991-04-29 00:00:00',4,1,12,2008,'M','N','JARDIM ESTORIL','OURINHOS','SP','125253251217111431433531572121610137092',1855,'9998',67.77,1,3,NULL),(16,3231496,'1991-08-01 00:00:00',4,5,12,2008,'F','N','CENTRO','ORLEANS','SC','124242241215121731556832322122610164092',5184,'226',58.14,1,3,NULL),(16,3231500,'1991-07-15 00:00:00',4,9,11,2008,'M','N','SAO JOSE','STA CECíLIA','SC','124241168436411731244632572114610112057',NULL,'9998',0.00,1,3,NULL),(16,3231518,'1988-05-02 00:00:00',4,1,12,2008,'M','N','CAPOEIRA','FLORIANóPOLIS','SC','124241247317141731537814345124610137162',14515,'9999',40.66,1,3,NULL),(16,3231526,'1989-12-12 00:00:00',4,1,12,2007,'F','N','VALE VERDE','LEME','SP','125252251217471431688711571122610124142',NULL,'9998',46.45,1,3,NULL),(16,3231542,'1987-09-29 00:00:00',4,8,12,2005,'F','N','CENTRO','GUARANéSIA','MG','124132241217574431468833574114610167097',939,'457',72.42,1,3,NULL),(16,3231550,'1971-09-07 00:00:00',2,1,12,1990,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','224241243126473431463353284112610121187',9468,'65',49.78,1,2,1),(16,3231569,'1984-05-11 00:00:00',2,1,12,2003,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241121234311326629245114610167117',NULL,'9999',43.74,1,2,1),(16,3231577,'1987-12-14 00:00:00',4,1,12,2007,'F','N','STA RITA','OLíMPIA','SP','125253257331131431438829575112610162092',NULL,'9999',28.74,1,3,NULL),(16,3231585,'1989-10-27 00:00:00',2,1,11,2007,'M','N','PALU','S PEDRO','SP','125252251216472521655932315124610167117',8778,'9998',50.94,2,3,NULL),(16,3231593,'1989-01-25 00:00:00',4,1,12,2006,'M','N','VILA GILDA','STO ANDRé','SP','125252251116471451338819591124610166172',NULL,'9998',0.00,1,3,NULL),(16,3231607,'1978-09-08 00:00:00',2,1,12,1998,'M','N','BARREIROS','S JOSé','SC','224252253427131431326644245124130214057',NULL,'9998',21.20,4,1,2),(16,3231615,'1990-01-04 00:00:00',4,4,12,2007,'F','N','CENTRO','DIONíSIO CERQUEIRA','SC','124241161112471431433632242124610141097',NULL,'9998',0.00,1,2,1),(16,3231623,'1991-03-26 00:00:00',4,2,12,2008,'M','N','CENTRO','TIMBó','SC','124241241215151731458813395124610122052',5464,'88',57.56,1,3,NULL),(16,3231631,'1986-03-15 00:00:00',4,1,12,2004,'F','N','CACH DO BOM JESUS','FLORIANóPOLIS','SC','124132241216374431458839591124610135097',11328,'9997',46.44,1,3,NULL),(16,3231658,'1990-09-01 00:00:00',4,1,12,2007,'F','N','GRANJA VIANA','COTIA','SP','125252251217371411589931575112610124187',3639,'9998',61.98,1,3,NULL),(16,3231666,'1992-08-29 00:00:00',4,8,11,2009,'F','S','ANITA GARIBALDI','JOINVILLE','SC','124242241215111431479932572125610117147',NULL,'459',36.85,3,3,NULL),(16,3231674,'1985-08-19 00:00:00',4,8,12,2002,'F','N','MONTE ALEGRE','S PAULO','SP','125242241216372421338511345135322024142',2767,'932',64.51,1,3,NULL),(16,3231682,'1992-01-13 00:00:00',4,1,12,2010,'M','S','JARDIM FLORENçA II','LIMEIRA','SP','125252256126151431338911241124610114037',NULL,'9998',15.83,1,3,NULL),(16,3231690,'1991-01-10 00:00:00',2,8,12,2008,'M','N','CAJURU','CURITIBA','PR','116162161215471431549613572122610167077',NULL,'9998',0.00,1,3,NULL),(16,3231704,'1985-02-28 00:00:00',4,1,7,2003,'M','N','JARDIM CIDADE','S JOSé','SC','124242243115271431448919445112610134053',NULL,'306',30.32,4,3,NULL),(16,3231712,'1988-03-10 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241615574431569613572124610124077',14888,'362',39.91,1,3,NULL),(16,3231747,'1990-06-23 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241243212232431536734385224610122177',NULL,'1075',20.11,1,3,NULL),(16,3231755,'1988-05-22 00:00:00',2,1,12,2005,'F','N','VILA MATILDE','S PAULO','SP','125252251217571431458813575122610145146',2607,'9998',64.99,1,3,NULL),(16,3231763,'1993-01-06 00:00:00',4,1,12,2009,'F','S','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241212151431649665451124610123072',NULL,'299',28.91,1,3,NULL),(16,3231771,'1990-05-04 00:00:00',4,1,11,2007,'F','N','VILA MARARI','S PAULO','SP','125252251215471431557612372122610137147',NULL,'9998',0.00,1,3,NULL),(16,3231798,'1991-09-26 00:00:00',2,2,12,2008,'M','N','PASSO MANSO','BLUMENAU','SC','124241241215111431469934275124610134112',NULL,'88',28.51,1,3,NULL),(16,3231801,'1989-07-18 00:00:00',2,1,12,2006,'F','N','SANTA CATARINA','CAXIAS SUL','RS','120201201117471431457814374124140431097',11704,'9998',45.81,1,2,1),(16,3231810,'1990-10-15 00:00:00',4,1,11,2007,'M','N','PONTA DE BAIXO','S JOSé','SC','124242241216152411376819595124230262042',3066,'1011',63.61,1,3,NULL),(16,3231828,'1991-08-04 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431468931235124610132043',8796,'262',50.90,1,3,NULL),(16,3231844,'1989-02-01 00:00:00',4,6,12,2006,'F','N','CENTRO','CURITIBA','PR','116162164215212431549931571224610127147',NULL,'9998',0.00,1,3,NULL),(16,3231852,'1992-09-07 00:00:00',2,1,11,2009,'M','S','CENTRO','S JOSé','SC','124244241411111731353614572124610127052',NULL,'723',45.84,1,3,NULL),(16,3231860,'1984-09-01 00:00:00',2,1,12,2003,'F','N','CENTRO','S JOSé','SC','124241241436273431436624345124333263147',12950,'596',43.60,2,1,2),(16,3231887,'1991-11-06 00:00:00',2,1,12,2009,'M','S','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241117151442559613276125610144085',NULL,'267',52.65,1,3,NULL),(16,3231895,'1990-09-12 00:00:00',4,5,12,2008,'M','N','CENTRO','TUBARãO','SC','124242241217111331356679274121610164057',NULL,'708',25.96,1,3,NULL),(16,3231909,'1990-12-18 00:00:00',4,1,12,2008,'M','N','JARDIM CONCEIçãO','CAMPINAS','SP','125252251117471431368813575122610147047',11365,'9998',46.39,1,3,NULL),(16,3231917,'1991-01-04 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124243241115141451327923395124610123147',15578,'306',38.37,1,3,NULL),(16,3231941,'1988-09-01 00:00:00',4,1,12,2006,'F','N','COQUEIRO','FLORIANóPOLIS','SC','125251251117131431416628171324610165097',NULL,'9998',24.73,1,3,NULL),(16,3231950,'1991-09-26 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124244241215121711448829575124610134122',2790,'1022',64.44,1,3,NULL),(16,3231968,'1991-08-06 00:00:00',4,3,12,2008,'M','N','CENTENáRIO','S BENTO SUL','SC','124242241216271411446619276122610164042',5892,'974',56.60,1,3,NULL),(16,3231976,'1992-04-30 00:00:00',4,1,12,2009,'M','S','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241217151451357614495112610168085',NULL,'1133',47.65,1,3,NULL),(16,3231984,'1989-04-05 00:00:00',4,1,12,2006,'F','N','JARDIM PARAíSO','BOTUCATU','SP','125252251215571431469931571122610162077',2018,'9998',67.12,1,3,NULL),(16,3231992,'1991-12-15 00:00:00',4,2,12,2008,'F','N','VELHA','BLUMENAU','SC','124244241215131431236629275122610136077',10096,'855',48.61,1,3,NULL),(16,3232018,'1990-11-13 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSé','SC','121242241215472441646679475112610164071',8368,'1118',51.64,1,3,NULL),(16,3232026,'1992-02-27 00:00:00',4,6,12,2009,'F','S','JARDIM MALUCHE','BRUSQUE','SC','124242241215111712446611572122610117142',NULL,'109',24.43,1,3,NULL),(16,3232034,'1991-04-10 00:00:00',4,1,12,2008,'M','N','SERRARIA','S JOSé','SC','124241241215141531466612245114610127062',16322,'269',36.29,1,3,NULL),(16,3232042,'1991-02-21 00:00:00',4,1,12,2008,'F','N','PALHOçA','PALHOçA','SC','124243248337131431447714341124610126071',11933,'592',45.38,1,3,NULL),(16,3232050,'1988-09-03 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215573431548514491222610163147',12904,'807',43.67,1,3,NULL),(16,3232069,'1989-01-02 00:00:00',2,1,12,2006,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215112511458612475122221417111',8466,'226',51.46,1,3,NULL),(16,3232085,'1991-03-08 00:00:00',4,4,12,2008,'F','N','CENTRO','ITAPIRANGA','SC','124241241146131441544631347122610165147',9891,'412',48.97,1,2,1),(16,3232093,'1985-02-10 00:00:00',4,1,12,2003,'F','N','VILA SANTO ANTONIO','MARINGá','PR','116161161136311731323324345123610135012',NULL,'9998',0.00,3,3,NULL),(16,3232107,'1991-03-04 00:00:00',3,1,6,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124242281415371431346821572114610167145',7930,'9998',52.55,1,3,NULL),(16,3232123,'1988-07-14 00:00:00',4,10,11,2005,'M','N','DEHON','TUBARãO','SC','124242241217271431677714442142131464067',NULL,'806',0.00,1,3,NULL),(16,3232131,'1990-11-29 00:00:00',4,1,12,2007,'M','N','CENTRO','S MATEUS SUL','PR','116162161216372431457934442124610127052',NULL,'9998',0.00,1,3,NULL),(16,3232140,'1990-07-20 00:00:00',4,1,11,2008,'M','N','PARQUE NOVA CAMPINAS','CAMPINAS','SP','125252251217151451478813375122610167042',NULL,'9998',0.00,1,3,NULL),(16,3232158,'1990-09-28 00:00:00',2,7,11,2007,'F','N','TOBIAS','JOAçABA','SC','116162168216572431578811574124612422142',5258,'9998',57.98,1,3,NULL),(16,3232166,'1990-09-21 00:00:00',4,3,12,2007,'M','N','TABOLEIRO','CAMBORIú','SC','124241241117131431343311145121130214177',NULL,'130',19.64,4,3,NULL),(16,3232174,'1990-04-16 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124213241217472331336873371144610147027',1265,'270',70.60,1,3,NULL),(16,3232182,'1991-07-28 00:00:00',2,2,11,2008,'F','N','AGUA VERDE','BLUMENAU','SC','124144241115111331423736572224610122147',12405,'69',44.54,3,3,NULL),(16,3232190,'1991-04-06 00:00:00',4,8,12,2008,'M','N','SÃO RAFAEL','RIO NEGRINHO','SC','124241241215111411333933572121610127042',3057,'666',63.64,1,3,NULL),(16,3232212,'1991-02-14 00:00:00',4,1,12,2008,'F','N','MALUCHE','BRUSQUE','SC','124242241215112431479511575125610125112',NULL,'270',0.00,1,3,NULL),(16,3232220,'1991-06-18 00:00:00',4,1,11,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124242241215112431338733572122610118192',5734,'270',56.99,1,3,NULL),(16,3232239,'1990-10-18 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124072241415121431478313575122610163177',13511,'1038',42.60,1,3,NULL),(16,3232247,'1991-02-28 00:00:00',4,10,12,2008,'M','N','HUMAITá','TUBARãO','SC','124243241215111431458914575122610127182',2622,'797',64.92,1,3,NULL),(16,3232255,'1990-12-25 00:00:00',2,1,12,2007,'F','N','CENTRO','BOM J SUL','PR','116161161212472431468913572114610137052',NULL,'9998',0.00,1,3,NULL),(16,3232263,'1989-12-11 00:00:00',4,1,12,2007,'M','N','NOVA PIRACICABA','PIRACICABA','SP','125252251211471431468814571122610126042',NULL,'9998',0.00,1,3,NULL),(16,3232271,'1992-01-01 00:00:00',4,3,12,2009,'F','S','PIONEIROS','BAL CAMBORIú','SC','124241242115161431426335572124610137057',NULL,'129',24.16,1,3,NULL),(16,3232280,'1990-07-03 00:00:00',4,6,12,2007,'F','N','CENTRO','RIO SUL','SC','124242241215572431555823595122610136097',6384,'663',55.52,4,1,2),(16,3232298,'1988-01-04 00:00:00',4,1,12,2004,'M','N','SANTINHO','FLORIANóPOLIS','SC','124202201217131431437923495122231267057',NULL,'9998',0.00,1,3,NULL),(16,3232301,'1989-03-04 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215573431588812575112130264112',2941,'270',63.99,1,3,NULL),(16,3232310,'1988-12-01 00:00:00',4,1,12,2006,'M','N','ZONA','MARINGá','PR','116162161216571431667732212115610118182',3511,'9998',62.35,1,3,NULL),(16,3232328,'1991-04-05 00:00:00',4,1,11,2008,'M','N','PICADAS DO SUL','S JOSé','SC','124242241217271431456613573121610124112',7642,'1048',53.07,1,3,NULL),(16,3232336,'1991-03-01 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124243248115271531438639595124610137043',NULL,'271',32.75,1,3,NULL),(16,3232344,'1990-05-10 00:00:00',2,5,12,2007,'F','N','PASSO DAS PEDRAS','GRAVATAí','RS','120202201216471751436829492124610168147',5519,'9998',57.42,1,3,NULL),(16,3232352,'1991-01-07 00:00:00',4,3,11,2008,'F','N','MUNICIPIOS','BAL CAMBORIú','SC','124243241216111311443511575114610137182',NULL,'44',26.77,1,3,NULL),(16,3232360,'1990-01-17 00:00:00',4,1,12,2007,'F','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','124241241216472431348912574324610141092',7320,'446',53.68,1,3,NULL),(16,3232379,'1989-09-25 00:00:00',2,1,12,2006,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241212133441658811572124231232127',7686,'1022',53.00,3,3,NULL),(16,3232387,'1991-03-09 00:00:00',4,8,12,2008,'M','N','JARDIM MORUMBI','JABOTICABAL','SP','125252251216111431367714575124610127042',NULL,'9998',0.00,1,3,NULL),(16,3232409,'1989-03-07 00:00:00',2,1,12,2006,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124243241316513431456613385124610137142',9475,'1022',49.77,1,3,NULL),(16,3232417,'1990-09-19 00:00:00',4,1,12,2007,'M','N','PONTA DE BAIXO','S JOSé','SC','124242241217473431469613175124610167051',2956,'724',63.96,1,3,NULL),(16,3232425,'1986-12-05 00:00:00',2,1,12,2004,'M','N','BARREIROS','S JOSé','SC','124242241212133731348833395124131018143',NULL,'943',22.18,1,3,NULL),(16,3232433,'1982-08-09 00:00:00',2,1,1,2003,'M','N','MEDIANEIRA','PTO ALEGRE','RS','120203201136371431433579435124141434097',NULL,'9998',0.00,1,3,NULL),(16,3232441,'1992-03-23 00:00:00',2,1,12,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124242241215111432467814575122610117077',NULL,'262',28.17,1,3,NULL),(16,3232450,'1989-06-15 00:00:00',2,1,12,2006,'F','N','CENTRO','S BONIFáCIO','SC','124241241122153431446919472124231026072',10227,'702',48.38,1,2,1),(16,3232468,'1991-11-16 00:00:00',2,8,11,2008,'F','N','COHAPAR','GUARATUBA','PR','116162161216471431327629572122610167097',NULL,'9998',0.00,1,3,NULL),(16,3232476,'1990-02-14 00:00:00',4,1,12,2007,'F','N','GUANABARA','CAMPINAS','SP','125252258235471411458611572122610132147',NULL,'9998',0.00,1,3,NULL),(16,3232484,'1990-04-20 00:00:00',4,1,12,2007,'M','N','BOSQUE DA SAUDE','CUIABá','MT','111112111216451741358812575115610168092',1320,'9998',70.26,3,3,NULL),(16,3232492,'1984-02-07 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217132431339921445124231062097',NULL,'272',21.40,1,3,NULL),(16,3232506,'1991-03-26 00:00:00',4,8,11,2008,'M','N','BOM RETIRO','JOINVILLE','SC','124242241217121731468614292112610147142',1495,'486',69.39,4,3,NULL),(16,3232514,'1990-10-07 00:00:00',4,4,12,2007,'F','N','POÇÃO','CUIABá','MT','111112111116471431338714372224610166087',NULL,'9998',0.00,4,3,NULL),(16,3232522,'1990-04-07 00:00:00',3,4,12,2007,'F','N','LíDER','CHAPECó','SC','124241241417133431448914495124231066182',6813,'185',54.63,1,3,NULL),(16,3232530,'1991-07-14 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215412431359821475124610124112',1195,'270',70.96,1,3,NULL),(16,3232549,'1992-09-15 00:00:00',4,7,12,2009,'M','S','DISTRITO INDUSTRIAL','CAMPOS NOVOS','SC','124242241216161431448811575122610134197',NULL,'138',48.47,3,3,NULL),(16,3232557,'1991-07-01 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241115151431337313372124610126147',16113,'307',36.89,1,2,1),(16,3232573,'1991-11-25 00:00:00',4,1,12,2009,'F','S','NOSSA S DO ROSáRIO','S JOSé','SC','124242248415111732436729292125610112071',NULL,'9997',0.00,1,3,NULL),(16,3232581,'1990-09-20 00:00:00',2,5,11,2008,'M','N','CENTRO','CRICIúMA','SC','124244241415111521436622195122610147072',NULL,'226',31.46,1,3,NULL),(16,3232590,'1973-09-30 00:00:00',4,1,12,1990,'F','N','CARIANOS','FLORIANóPOLIS','SC','124242241211474431338833171114321344092',10411,'262',48.07,1,3,NULL),(16,3232603,'1991-10-29 00:00:00',4,2,12,2008,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215271431358833342122610132187',1295,'109',70.41,1,3,NULL),(16,3232611,'1987-09-29 00:00:00',4,1,12,2004,'M','N','BOSQUE','S JOSé','SC','124242241212573731346713492124223247162',7445,'738',53.41,1,3,NULL),(16,3232620,'1986-09-19 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124092097436471411266823375114143218187',3932,'9999',61.25,4,3,NULL),(16,3232638,'1986-10-06 00:00:00',2,1,12,2005,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241427514431587619445124233248185',9666,'1022',49.40,1,3,NULL),(16,3232654,'1979-01-31 00:00:00',2,1,12,1996,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124205206527131431433574342114610121145',NULL,'9998',31.07,1,3,NULL),(16,3232662,'1987-04-09 00:00:00',4,1,12,2004,'M','N','ABRAãO','FLORIANóPOLIS','SC','124243241112572431449613445124610132092',1188,'271',71.00,1,3,NULL),(16,3232670,'1985-01-28 00:00:00',2,1,12,2002,'F','N','ARIRIU','PALHOçA','SC','124241241117275421434419445124610161147',9587,'591',49.56,1,2,1),(16,3232689,'1990-01-05 00:00:00',2,1,12,2007,'M','N','AREIAS','S JOSé','SC','124242241112472431546613345114610114057',3971,'739',61.14,1,3,NULL),(16,3232700,'1987-11-12 00:00:00',4,9,12,2005,'F','N','CENTRO','LAGES','SC','124242241212574431236619291122610127017',6337,'499',55.60,1,3,NULL),(16,3232719,'1992-08-29 00:00:00',4,2,10,2008,'F','N','CENTRO','BLUMENAU','SC','124242248415111731443312572125610164142',15454,'909',38.64,1,3,NULL),(16,3232727,'1992-07-19 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124242241211111211564612571124610112055',3783,'737',61.65,1,3,NULL),(16,3232735,'1989-10-14 00:00:00',4,1,12,2006,'M','N','CENTRO','TERRA AREIA','RS','120203201126572231546313375115610164057',10602,'9998',47.73,1,3,NULL),(16,3232743,'1991-05-18 00:00:00',4,4,12,2008,'M','N','VILA NOVA','FRANCISCO BELTRAO','PR','116161161116131431223923215124610124057',7625,'9998',53.11,1,2,1),(16,3232751,'1990-05-07 00:00:00',2,1,11,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124244241215111231636311575124610167013',11100,'737',46.84,4,3,NULL),(16,3232760,'1991-07-28 00:00:00',2,3,11,2008,'M','N','JARDIM UNIVERSITARIO','MARINGá','PR','116223161317471731267813172114610147197',NULL,'9998',33.03,1,3,NULL),(16,3232778,'1989-10-17 00:00:00',4,1,12,2006,'M','N','SAGRADO C DE JESUS','LAGES','SC','124242241211373411438931242124220724047',3081,'497',63.57,1,3,NULL),(16,3232786,'1987-04-22 00:00:00',4,1,12,2004,'F','N','LAGO NORTE','LG NORTE','DF','107072071217572411469933431122610167097',971,'9998',72.22,1,3,NULL),(16,3232794,'1989-12-24 00:00:00',4,1,12,2008,'M','N','PARQUE SÃO JORGE','FLORIANOPOLIS','SC','124243241117111711645619595114610117042',NULL,'271',18.64,1,3,NULL),(16,3232808,'1990-10-13 00:00:00',2,1,12,2007,'F','N','TRISTEZA','PTO ALEGRE','RS','120202208217471731346619575124610123197',5940,'9998',56.47,1,3,NULL),(16,3232816,'1988-04-22 00:00:00',2,1,12,2005,'M','N','CARIANOS','FLORIANóPOLIS','SC','124244241415573431648619592124610124187',7170,'1022',53.97,1,3,NULL),(16,3232824,'1990-07-25 00:00:00',4,10,11,2008,'F','N','ACASSIAS','S LUDGERO','SC','124241241114111411433327395124610147147',NULL,'748',15.80,4,1,1),(16,3232832,'1991-07-18 00:00:00',4,9,12,2008,'F','N','CORAL','LAGES','SC','124242241215112431369412575125610134092',4512,'497',59.74,1,3,NULL),(16,3232840,'1990-08-01 00:00:00',4,1,12,2008,'F','N','BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP','125252251235471411568864575122610166182',139,'9998',80.20,1,3,NULL),(16,3232859,'1990-02-16 00:00:00',4,8,6,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162281215371411459931575124610166092',NULL,'9998',0.00,1,3,NULL),(16,3232867,'1987-08-16 00:00:00',4,1,11,2005,'M','N','AREIAS','S JOSé','SC','124241241117131411437619245124132567057',NULL,'9999',22.04,1,2,1),(16,3232875,'1987-12-07 00:00:00',4,1,12,2004,'F','N','SAO JOAO CLIMACO','S PAULO','SP','125252251217571411566614572112610164092',NULL,'9998',0.00,1,3,NULL),(16,3232883,'1989-11-16 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124212241215271431458813575112610127087',8246,'262',51.88,4,3,NULL),(16,3232891,'1988-07-29 00:00:00',2,5,12,2005,'M','N','SAO CRISTOVAO','CRICIúMA','SC','124244241212474431436411312114610164047',3074,'213',63.58,1,3,NULL),(16,3232905,'1983-08-06 00:00:00',2,1,12,1998,'M','N','IPIRANGA','S JOSé','SC','124241241127372431234654145134610162117',NULL,'595',28.42,1,2,1),(16,3232913,'1992-09-15 00:00:00',4,2,10,2009,'M','S','VELHA','BLUMENAU','SC','124242241217111431336932325122610144047',NULL,'909',50.90,4,3,NULL),(16,3232948,'1990-10-25 00:00:00',4,1,11,2008,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124244241117371431468831571112610141092',803,'271',73.42,1,3,NULL),(16,3232956,'1990-01-04 00:00:00',2,1,12,2007,'F','N','ARIRIU','PALHOçA','SC','124241241317142431436313345113610143077',NULL,'739',0.00,1,3,NULL),(16,3232964,'1991-03-21 00:00:00',4,1,11,2008,'M','N','PQ ALTO TAQUARAL','CAMPINAS','SP','125253251217421441357814572124610148122',11270,'9998',46.53,1,3,NULL),(16,3232972,'1989-06-13 00:00:00',4,3,12,2006,'M','N','LIBERDADE','S PAULO','SP','125252251217571431126614575125610164177',NULL,'9998',0.00,3,3,NULL),(16,3232980,'1992-02-03 00:00:00',4,8,11,2008,'F','N','AGUA VERDE','CURITIBA','PR','116163161312471211557612575122610167142',13077,'9998',43.36,3,3,NULL),(16,3232999,'1992-01-04 00:00:00',4,1,12,2009,'F','S','CANTO DA LAGOA','FLORIANóPOLIS','SC','124242241215111431469511575122610127092',NULL,'270',39.53,1,3,NULL),(16,3233006,'1990-10-25 00:00:00',4,1,12,2007,'F','N','CENTRO','PETROLâNDIA','SC','124241241116131711435312575122233231147',NULL,'613',0.00,1,2,1),(16,3233014,'1990-09-19 00:00:00',4,1,12,2007,'F','N','JARDIM AQUARIUS','S JOSé CAMPOS','SP','125252251235471431468831472122610164097',NULL,'9998',0.00,1,3,NULL),(16,3233022,'1989-06-08 00:00:00',2,1,12,2007,'M','N','CENTRO','CRUZ ALTA','RS','120201201237151431468831442124610167012',NULL,'9998',31.29,1,3,NULL),(16,3233030,'1988-03-04 00:00:00',4,8,12,2005,'M','N','GUANABARA','JOINVILLE','SC','124241241226474411456639395124231032124',NULL,'932',44.24,1,3,NULL),(16,3233057,'1991-08-18 00:00:00',4,1,12,2008,'F','N','VILA RODRIGUES','PASSO FUNDO','RS','120202201217271431568924575122610138092',10425,'9998',48.05,1,3,NULL),(16,3233065,'1983-12-17 00:00:00',2,1,12,2000,'M','N','SERRARIA','S JOSé','SC','124241241127374431633314145334610124053',NULL,'257',27.53,1,2,1),(16,3233073,'1991-03-29 00:00:00',4,3,12,2008,'F','N','AREIAS','CAMBORIú','SC','124241241215131421546714241124610134097',NULL,'1091',28.99,1,3,NULL),(16,3233081,'1988-02-14 00:00:00',2,1,12,2004,'M','N','BARREIROS','S JOSé','SC','124242241217134511444424343134610164047',6784,'1036',54.69,1,3,NULL),(16,3233090,'1992-09-10 00:00:00',4,1,12,2009,'F','S','TRINDADE','FLORIANóPOLIS','SC','124242241217171431386933575124610122145',NULL,'262',33.98,1,3,NULL),(16,3233103,'1991-08-16 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124241241215112431326631272222610138097',10784,'737',47.40,1,3,NULL),(16,3233111,'1980-08-01 00:00:00',4,1,12,1998,'M','N','JARDIM CIDADE FPOLIS','S JOSé','SC','124243241213274421356979341122131464067',NULL,'725',29.99,1,3,NULL),(16,3233120,'1992-04-27 00:00:00',4,2,11,2009,'F','S','CENTRO','ERECHIM','RS','120203201211111731347932574122610138077',NULL,'9998',54.58,1,3,NULL),(16,3233138,'1990-12-20 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124242241137131431346734572114610167112',NULL,'592',0.00,1,3,NULL),(16,3233146,'1985-02-12 00:00:00',4,1,11,2001,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241216273411335434445122322064147',3567,'738',62.16,1,3,NULL),(16,3233154,'1991-10-14 00:00:00',4,2,11,2008,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124244241217111431469933591122610137142',8687,'71',51.10,1,3,NULL),(16,3233162,'1991-06-29 00:00:00',4,1,10,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215122431468611571112610136091',NULL,'226',35.05,1,3,NULL),(16,3233170,'1991-07-18 00:00:00',2,1,11,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215112431457821571124610131072',2025,'262',67.10,1,3,NULL),(16,3233197,'1991-09-05 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241217131411468614392112610164147',16240,'273',36.56,1,3,NULL),(16,3233200,'1987-08-26 00:00:00',4,9,12,2005,'M','N','CENTRO','LAGES','SC','124242241217574731456832592115132447067',4608,'497',59.54,1,3,NULL),(16,3233219,'1991-11-20 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215372431363639575124610133197',14878,'1022',39.93,1,3,NULL),(16,3233227,'1990-09-17 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241217373431477932595124230266113',3288,'1026',63.04,1,3,NULL),(16,3233235,'1991-01-20 00:00:00',4,10,12,2008,'F','N','VILA MOEMA','TUBARãO','SC','124242248215112751445733575112610164072',NULL,'797',14.34,1,3,NULL),(16,3233243,'1990-03-20 00:00:00',4,1,12,2007,'F','N','NH LIMA E SILVA','OCAUçU','SP','125254251417471311334611574122610127183',NULL,'9998',20.47,1,3,NULL),(16,3233260,'1991-06-13 00:00:00',2,5,11,2008,'M','N','VILA FRANCESA','CRICIúMA','SC','124242246211111431324531575124610127042',NULL,'995',30.48,1,3,NULL),(16,3233278,'1991-08-24 00:00:00',2,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111431468934172124610127042',14242,'270',41.15,1,3,NULL),(16,3233286,'1989-11-23 00:00:00',2,1,12,2006,'M','N','SANTINHO','FLORIANóPOLIS','SC','124241241111372421433933312124610127112',14071,'288',41.51,1,2,1),(16,3233294,'1990-01-11 00:00:00',4,1,12,2007,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215372411369933571124233261092',6657,'262',54.96,4,3,NULL),(16,3233308,'1983-03-18 00:00:00',4,4,12,2000,'F','N','SãO MIGUEL','CONCóRDIA','SC','124241241126131421123346345123610138187',NULL,'192',20.97,1,3,NULL),(16,3233316,'1992-03-12 00:00:00',4,6,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124163241415111411456632145112610137061',NULL,'44',0.00,1,3,NULL),(16,3233324,'1979-01-08 00:00:00',2,1,12,1996,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','224243241122134421323454242124610114187',NULL,'257',23.84,3,3,NULL),(16,3233332,'1991-05-21 00:00:00',4,2,11,2008,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215271431668812374122610153123',5937,'87',56.48,1,3,NULL),(16,3233340,'1962-08-10 00:00:00',5,1,12,1982,'M','N','CAMPINAS','S JOSé','SC','224241248222131411453344242132610157055',NULL,'9997',33.30,1,3,NULL),(16,3233359,'1991-06-04 00:00:00',2,1,12,2008,'F','N','FLORESTA','CONCóRDIA','SC','124241241117371431535419345122610121057',NULL,'192',32.00,1,2,1),(16,3233367,'1991-02-14 00:00:00',4,3,11,2008,'M','N','REBOUÇAS','CURITIBA','PR','116164161235171751366632575112610162091',NULL,'9998',0.00,1,3,NULL),(16,3233375,'1991-03-10 00:00:00',4,8,11,2008,'M','N','AMéRICA','JOINVILLE','SC','124242241217371712479814572112610144047',3357,'457',62.81,1,3,NULL),(16,3233383,'1990-11-24 00:00:00',2,1,12,2007,'F','N','SERTÃO DO MARUIM','S JOSé','SC','124242241415372431649874345134610167187',NULL,'1036',25.83,1,3,NULL),(16,3233391,'1990-05-18 00:00:00',2,1,12,2007,'M','N','CARIANOS','FLORIANóPOLIS','SC','124242241215472431566612575124230264012',3033,'1022',63.70,1,3,NULL),(16,3233405,'1991-05-21 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217371431587933572122610127142',14098,'262',41.45,1,3,NULL),(16,3233413,'1988-07-26 00:00:00',2,1,12,2006,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241212273431457713172222610134042',8436,'1040',51.52,1,3,NULL),(16,3233421,'1992-07-28 00:00:00',4,1,11,2009,'F','S','CAMPINAS','S JOSé','SC','124243241217111412569839372124610128012',NULL,'737',49.01,1,3,NULL),(16,3233430,'1989-08-03 00:00:00',2,1,12,2006,'M','N','CENTRO','JARAGUá SUL','SC','124242161216171411489711515112233212045',NULL,'9998',34.81,1,3,NULL),(16,3233448,'1983-06-20 00:00:00',4,4,11,2000,'M','N','TRINDADE','FLORIANóPOLIS','SC','224242241217152221339953485124321566197',2325,'168',65.96,1,3,NULL),(16,3233456,'1981-10-01 00:00:00',4,1,12,2001,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241116131421423334345133610117047',NULL,'293',28.97,1,2,1),(16,3233464,'1977-04-29 00:00:00',2,1,12,1995,'F','N','TRINDADE','FLORIANóPOLIS','SC','224212213227154421246453474124222242092',9763,'9998',49.23,1,3,NULL),(16,3233472,'1991-09-19 00:00:00',4,1,12,2008,'M','N','SAMBAQUI','FLORIANóPOLIS','SC','124202241215151731358814475124610167041',NULL,'1048',33.24,1,3,NULL),(16,3233480,'1987-10-15 00:00:00',4,9,12,2005,'M','N','BUTANTã','S PAULO','SP','125254251414571431537811144124610167012',NULL,'9998',0.00,2,3,NULL),(16,3233499,'1992-07-26 00:00:00',4,1,12,2010,'M','S','STO ANTôNIO DE LISBO','FLORIANóPOLIS','SC','124241241217111432338923575124610137045',NULL,'1048',38.00,1,3,NULL),(16,3233502,'1991-11-29 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215151431688631575112610164047',13968,'724',41.71,1,3,NULL),(16,3233510,'1990-12-28 00:00:00',4,1,12,2008,'F','N','NOVA AMÉRICA','PIRACICABA','SP','125162251217121431469814472112610142182',10279,'9998',48.28,1,3,NULL),(16,3233529,'1976-10-10 00:00:00',4,1,12,1997,'M','N','CóRREGO GRANGE','FLORIANóPOLIS','SC','124161161136151411168613425122522968122',NULL,'9998',0.00,1,3,NULL),(16,3233537,'1987-04-10 00:00:00',2,2,11,2004,'F','N','VICTOR KONDER','BLUMENAU','SC','124201201211573731447932575124232428077',2932,'9998',64.02,1,3,NULL),(16,3233545,'1993-01-22 00:00:00',4,1,12,2009,'F','S','PONTA DAS CANAS','FLORIANóPOLIS','SC','124242241215131431528834572124610135095',NULL,'269',31.19,1,3,NULL),(16,3233553,'1990-04-04 00:00:00',4,2,12,2007,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241217372411569814175112131437152',2295,'981',66.08,1,3,NULL),(16,3233561,'1980-09-02 00:00:00',4,1,12,1997,'M','N','SUPER QUADRA MORUMBI','S PAULO','SP','125252251217471431358834482122343267082',3190,'9998',63.31,3,3,NULL),(16,3233570,'1990-10-13 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217472431568813572122610162142',5735,'262',56.99,1,3,NULL),(16,3233588,'1985-06-11 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216115431489713575122221412042',3286,'262',63.04,1,3,NULL),(16,3233596,'1987-03-22 00:00:00',4,1,12,2004,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241212275431457513172212610132092',1478,'1040',69.47,1,3,NULL),(16,3233600,'1988-11-14 00:00:00',4,1,11,2006,'F','N','BROTAS','SALVADOR','BA','105052051216572431467914572112610123182',NULL,'9998',0.00,1,3,NULL),(16,3233618,'1988-05-01 00:00:00',2,1,12,2006,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241241212154441538511395122221162187',8366,'270',51.65,1,3,NULL),(16,3233626,'1991-03-22 00:00:00',2,1,12,2008,'M','N','JARDIM ITU','PTO ALEGRE','RS','120203201421471721368613241124613268047',14335,'1',40.99,1,3,NULL),(16,3233634,'1990-11-25 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215111421337929575124610168187',NULL,'737',0.00,1,3,NULL),(16,3233642,'1989-03-23 00:00:00',4,3,12,2006,'M','N','VILA MARIANA','S PAULO','SP','125252251211571241368817571112610117181',NULL,'9998',0.00,1,3,NULL),(16,3233650,'1993-01-11 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124242241215111431566612575124610164032',NULL,'1022',16.72,1,3,NULL),(16,3233669,'1992-03-24 00:00:00',4,8,11,2008,'F','N','CENTRO','STA TEREZINHA ITAIPU','PR','116162161215411431458812575122610168096',11807,'9998',45.62,1,3,NULL),(16,3233677,'1991-05-12 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANOPOLIS','SC','124242241215471431468833575122610147122',7606,'270',53.14,1,3,NULL),(16,3233707,'1989-09-02 00:00:00',2,8,12,2006,'M','N','CENTRO','LAGES','SC','124242241216373411427738575114231467125',NULL,'499',16.51,1,3,NULL),(16,3233715,'1990-01-17 00:00:00',4,1,12,2007,'M','N','FUNDACAO','S CAETANO SUL','SP','125251251117371431438624282125610147147',NULL,'9998',0.00,1,2,1),(16,3233723,'1989-03-03 00:00:00',2,1,12,2006,'M','N','JARDIM ALTANTICO','FLORIANóPOLIS','SC','124244241116144431536834325132133234027',12817,'1098',43.82,1,3,NULL),(16,3233731,'1991-03-16 00:00:00',4,7,12,2008,'M','N','SãO MIGUEL','CONCóRDIA','SC','124241241116131431436431575125610128147',NULL,'192',26.83,1,2,1),(16,3233740,'1976-11-30 00:00:00',4,1,12,2008,'F','N','TAPERA','FLORIANóPOLIS','SC','124241245325141731326369492124610138182',NULL,'281',3.76,1,3,NULL),(16,3233758,'1991-12-20 00:00:00',2,2,12,2008,'F','N','VILA NOVA','BLUMENAU','SC','124242241217121451467733334124610167112',6478,'87',55.32,1,3,NULL),(16,3233766,'1982-07-31 00:00:00',4,1,12,1999,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124243247337575741343439245125610152183',NULL,'9999',31.48,1,3,NULL),(16,3233774,'1990-05-04 00:00:00',1,8,12,2007,'M','N','PAIQUERE','VALINHOS','SP','125252251111471331458934445112610127042',9740,'9998',49.27,1,3,NULL),(16,3233790,'1987-07-13 00:00:00',2,3,12,2004,'F','N','NACOES','BAL CAMBORIú','SC','124161161141141431523544241334143236097',NULL,'9998',23.17,1,3,NULL),(16,3233804,'1990-04-09 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124201241125141431315344342325610137147',NULL,'298',15.52,1,2,1),(16,3233812,'1989-03-03 00:00:00',4,1,12,2006,'F','N','JARDIM ÁUREA','MOGI MIRIM','SP','125162161217572431657719172125143264147',178,'9998',79.58,3,3,NULL),(16,3233820,'1979-05-12 00:00:00',4,1,12,2001,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241247213272441354313432114332742097',NULL,'9999',22.50,1,3,NULL),(16,3233839,'1988-12-09 00:00:00',4,1,12,2006,'F','N','JARDIM STA TEREZINA','S BENTO SAPUCAí','SP','125132131216571431448833572114610112142',9179,'9998',50.28,1,3,NULL),(16,3233855,'1983-04-04 00:00:00',2,6,12,2001,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124241241116373411435639341121130248147',NULL,'110',0.00,1,2,1),(16,3233871,'1991-09-18 00:00:00',4,1,11,2008,'F','N','ROçADO','S JOSé','SC','124242248226111131446612292122610114147',NULL,'1076',21.19,1,3,NULL),(16,3233880,'1990-06-20 00:00:00',2,4,12,2007,'F','N','JOSE OLIVEIRA MARTIN','MINEIROS','GO','109091091116131431425455242125243224072',NULL,'520',27.31,1,3,NULL),(16,3233898,'1991-09-16 00:00:00',2,4,11,2008,'F','N','CENTRO','S JOSé CEDRO','SC','124166161216111431236912475124610136187',NULL,'9998',35.86,1,3,NULL),(16,3233901,'1991-10-21 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217151231479933574112610137042',NULL,'262',64.80,1,3,NULL),(16,3233910,'1990-05-26 00:00:00',2,7,12,2007,'M','N','CENTRO','GUARAPUAVA','PR','116161161115112431458834472124610162042',3818,'9998',61.55,1,3,NULL),(16,3233936,'1992-01-09 00:00:00',4,1,12,2009,'M','S','CENTRO','S JOSé','SC','124133241117151432469913295124610112162',NULL,'271',49.59,1,3,NULL),(16,3233944,'1989-11-20 00:00:00',4,8,12,2007,'F','N','VILA A','FOZ IGUAçU','PR','116162151216271411346613371122610136172',NULL,'9998',18.92,4,3,NULL),(16,3233952,'1990-10-26 00:00:00',4,1,12,2008,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124243241317151412476413435124610134142',NULL,'278',20.42,1,3,NULL),(16,3233960,'1985-02-01 00:00:00',2,1,12,2002,'F','N','ITACORUBI','FLORIANóPOLIS','SC','224134131216272411226844445134610164142',1665,'9998',68.59,1,3,NULL),(16,3233987,'1991-02-28 00:00:00',4,9,11,2008,'M','N','CORAL','LAGES','SC','124242241215112231459913432112610132092',13075,'497',43.36,1,3,NULL),(16,3233995,'1991-08-07 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241217112431446923574124610123197',447,'270',76.26,1,3,NULL),(16,3234010,'1990-11-03 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431579833574114610128145',9067,'262',50.47,1,3,NULL),(16,3234029,'1992-04-24 00:00:00',4,1,11,2009,'M','S','CAMPINAS','S JOSé','SC','124252241215111631456514572122610167067',NULL,'737',33.32,1,3,NULL),(16,3234037,'1990-06-26 00:00:00',4,3,7,2007,'M','N','NOVA LIMA','CPO GRANDE','MS','112123121117572231458931576112610137077',NULL,'9998',0.00,1,3,NULL),(16,3234045,'1968-12-06 00:00:00',4,1,12,1989,'F','N','JURERE','FLORIANóPOLIS','SC','224252243226131751424352315122610167182',15985,'9998',37.27,1,3,NULL),(16,3234053,'1983-12-05 00:00:00',4,4,12,2000,'M','N','CENTRO','VITORINO','PR','116161161117571451444316435122543242147',1911,'9998',67.54,1,2,1),(16,3234070,'1990-11-21 00:00:00',4,2,12,2008,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242248215271431455613374122610134012',11990,'109',45.27,1,3,NULL),(16,3234088,'1991-10-13 00:00:00',4,4,12,2008,'M','N','CENTRO','CHAPECó','SC','124242241215371421459811575125610168012',5579,'168',57.31,1,3,NULL),(16,3234096,'1992-08-31 00:00:00',4,2,12,2009,'F','S','CENTRO','BRUSQUE','SC','124242241215111711569931572122610138042',NULL,'109',29.18,1,3,NULL),(16,3234100,'1991-08-17 00:00:00',4,3,12,2008,'F','N','SãO JOãO','CURITIBA','PR','116162161217471451489814571122610164042',6483,'9998',55.31,1,3,NULL),(16,3234118,'1992-06-22 00:00:00',4,1,11,2010,'F','S','BOM ABRIGO','FLORIANóPOLIS','SC','124282241215151432478813475114610167145',NULL,'262',27.61,1,3,NULL),(16,3234126,'1990-11-26 00:00:00',2,1,10,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217111431456622422122610137142',14140,'266',41.35,1,3,NULL),(16,3234142,'1984-04-24 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANóPOLIS','SC','124253211416134431318848185124222334045',11923,'9998',45.40,1,3,NULL),(16,3234150,'1988-12-20 00:00:00',4,3,12,2006,'F','N','ZONA QUATRO','MARINGá','PR','116162161216571411437814375124610162046',NULL,'9998',0.00,1,3,NULL),(16,3234169,'1980-12-06 00:00:00',2,1,12,1999,'M','N','CENTRO','FLORIANóPOLIS','SC','124201201122131411111144342234610116147',NULL,'9998',26.19,4,2,1),(16,3234185,'1991-05-29 00:00:00',4,1,12,2008,'M','N','SERTÃO DO MARUIM','S JOSé','SC','124244241117371531643374572144610117042',10639,'739',47.67,1,3,NULL),(16,3234193,'1981-03-14 00:00:00',4,1,8,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','224241247216132121536153145114610133197',NULL,'9999',0.00,1,3,NULL),(16,3234207,'1989-11-18 00:00:00',2,1,11,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241217141731489833171124610168182',13007,'273',43.48,1,3,NULL),(16,3234215,'1984-11-10 00:00:00',4,6,11,2001,'M','N','VILA OPERáRIA','ITAJAí','SC','124204201215142441368923445123141441097',NULL,'9998',0.00,4,3,NULL),(16,3234223,'1992-04-29 00:00:00',4,8,12,2009,'F','S','CENTRO','PNT GROSSA','PR','116162161216111732219911575124610126142',NULL,'9998',54.55,1,3,NULL),(16,3234231,'1991-12-23 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241116271431448614271124610167052',14808,'306',40.04,1,3,NULL),(16,3234240,'1991-09-12 00:00:00',4,4,11,2008,'M','N','CENTRO','STA MARIA','RS','120201201217111731559813572114610127067',5450,'9998',57.59,1,3,NULL),(16,3234258,'1980-04-03 00:00:00',2,1,12,1998,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241112135431121179491114120518047',11875,'307',45.51,1,3,NULL),(16,3234266,'1992-09-15 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241237111431338714572122610167032',NULL,'1050',53.93,1,3,NULL),(16,3234274,'1991-09-23 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124242241217111732444711572124610147057',14886,'1022',39.92,1,3,NULL),(16,3234290,'1984-08-17 00:00:00',2,2,12,2001,'F','N','VICTOR KONDER','BLUMENAU','SC','124241241417575431333319274121232467147',2393,'663',65.72,1,3,NULL),(16,3234304,'1991-05-21 00:00:00',4,8,11,2008,'M','N','VILA NOVA','JARAGUá SUL','SC','124242241215211431458932595122610167053',NULL,'1063',22.32,1,3,NULL),(16,3234312,'1990-04-16 00:00:00',2,9,12,2007,'F','N','CENTRO','BRAçO TROMBUDO','SC','124241241126141421457933445122230268197',NULL,'103',0.00,1,3,NULL),(16,3234320,'1990-01-16 00:00:00',4,5,12,2007,'M','N','PIO CORREA','CRICIúMA','SC','124242241215322431579934375122610137122',11312,'226',46.46,1,3,NULL),(16,3234347,'1989-10-05 00:00:00',2,1,12,2006,'M','N','SANTA MARIA','ANTôNIO CARLOS','SC','124241241117271431423435282123133244047',2334,'21',65.92,1,2,1),(16,3234355,'1990-09-13 00:00:00',4,4,12,2007,'F','N','CENTRO','XAXIM','SC','124241241211472431539715574124610136172',4741,'185',59.22,1,3,NULL),(16,3234363,'1989-10-12 00:00:00',2,5,11,2006,'M','N','COMERCIáRIO','CRICIúMA','SC','124242241215372311468923475124131467042',7718,'210',52.93,1,3,NULL),(16,3234371,'1991-01-13 00:00:00',5,8,11,2008,'M','N','RECANTO TROPICAL','CASCAVEL','PR','116162161216471431569612372122610134122',1974,'9998',67.30,1,3,NULL),(16,3234380,'1990-12-10 00:00:00',4,5,11,2008,'F','N','CENTRO','FORQUILHINHA','SC','124242241215112431473612155125610166142',7887,'226',52.62,1,3,NULL),(16,3234398,'1992-03-07 00:00:00',4,9,11,2008,'F','N','CORAL','LAGES','SC','124242241215111431479932575122610126052',11902,'497',45.45,1,3,NULL),(16,3234401,'1984-12-26 00:00:00',2,5,12,2003,'M','N','COLONINHA','ARARANGUá','SC','124243248215131521365513445122340217067',NULL,'26',0.00,1,3,NULL),(16,3234410,'1990-05-16 00:00:00',2,1,12,2007,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124243241215272431446631572114610167047',9456,'269',49.81,1,3,NULL),(16,3234436,'1991-06-11 00:00:00',4,1,11,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124244241217122431358829574114610122097',1192,'270',70.98,1,3,NULL),(16,3234444,'1990-02-16 00:00:00',4,7,12,2008,'M','N','CENTRO','OURO','SC','124241248126111211643923495111610167012',NULL,'1093',17.47,1,3,NULL),(16,3234452,'1988-09-25 00:00:00',4,1,8,2008,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124244247217141411333339342124610127042',NULL,'9999',19.51,2,1,2),(16,3234460,'1990-09-15 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSé CAMPOS','SP','125254251215121431448934472124610121112',NULL,'9998',0.00,1,3,NULL),(16,3234487,'1991-09-28 00:00:00',4,1,11,2008,'M','N','ALDEIA DA SERRA','SANTANA PARNAíBA','SP','125252251217371431578934575112610127052',379,'9998',77.06,1,3,NULL),(16,3234509,'1991-02-20 00:00:00',4,1,11,2008,'M','N','JARDIM LAS PALMAS','GUARUJá','SP','125252251216111431448834576121610144114',4819,'9998',59.03,1,3,NULL),(16,3234517,'1982-08-05 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124244247225111431226644241123610164172',16543,'9999',35.24,1,3,NULL),(16,3234533,'1982-09-25 00:00:00',4,1,11,1999,'M','N','TRINDADE','FLORIANóPOLIS','SC','124202241217574421688933495124321567042',2825,'461',64.30,1,3,NULL),(16,3234550,'1980-02-23 00:00:00',4,1,11,1997,'M','N','TRINDADE','FLORIANóPOLIS','SC','224244241416135431644643235134120267042',6491,'267',55.29,1,3,NULL),(16,3234568,'1990-02-24 00:00:00',4,1,12,2007,'M','N','BIGORRILHO','CURITIBA','PR','116164161217371731589913476111141267042',NULL,'9998',0.00,1,3,NULL),(16,3234576,'1993-04-06 00:00:00',4,8,12,2009,'F','S','AMIZADE','JARAGUá SUL','SC','124242241216111731438912341122610147143',NULL,'424',29.54,1,3,NULL),(16,3234584,'1981-11-29 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241111133411332643234124610166182',NULL,'271',0.00,1,2,1),(16,3234606,'1990-05-01 00:00:00',4,1,12,2008,'F','N','BARREIROS','SAO JOSE','SC','124244241216111431368614592122610133142',11177,'1118',46.70,3,3,NULL),(16,3234614,'1990-01-31 00:00:00',4,1,11,2007,'M','N','JARDIM CRUZEIRO','MAIRINQUE','SP','125252251217471431459811594112610163122',2063,'9998',66.92,1,3,NULL),(16,3234622,'1991-05-06 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241212111441448531575124610117052',6241,'262',55.81,1,3,NULL),(16,3234630,'1957-12-16 00:00:00',2,1,12,1976,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','624201201111152421546343332122322362147',3424,'9998',62.59,1,3,NULL),(16,3234649,'1987-04-19 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124241241315575431448523575124221432097',5888,'1022',56.61,1,3,NULL),(16,3234657,'1992-06-13 00:00:00',4,1,11,2009,'F','S','NOSSA SRA DO ROSáRIO','S JOSé','SC','124242241217111331455631316112610114097',NULL,'737',22.16,1,3,NULL),(16,3234665,'1991-07-01 00:00:00',4,2,12,2008,'F','N','JUVEVê','CURITIBA','PR','116162161215471431238633572122610137057',NULL,'9998',0.00,1,3,NULL),(16,3234673,'1990-02-20 00:00:00',4,1,12,2007,'M','N','VORSTADT','BLUMENAU','SC','124242241213372431588611575124610164062',741,'909',73.93,4,3,NULL),(16,3234681,'1991-08-17 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215111431468924375122610132057',3182,'226',63.34,1,3,NULL),(16,3234690,'1985-08-12 00:00:00',4,1,12,2003,'F','N','JARDIM MIRIAM','S PAULO','SP','125251251147573731323321285224610167187',NULL,'9998',21.59,2,1,1),(16,3234703,'1991-06-18 00:00:00',4,1,12,2008,'F','N','ANGELINA','ANGELINA','SC','124241241115161731326613575124610127042',15784,'17',37.83,1,2,1),(16,3234711,'1990-11-08 00:00:00',4,8,11,2008,'F','N','AMéRICA','JOINVILLE','SC','124242241215271531669914475122610135142',14333,'457',40.99,1,3,NULL),(16,3234720,'1991-07-19 00:00:00',4,3,12,2008,'M','N','MALUCHE','BRUSQUE','SC','124242241215112752438833575122610167017',NULL,'109',24.76,1,3,NULL),(16,3234738,'1991-10-03 00:00:00',2,7,12,2008,'M','N','JARDIM','CONCóRDIA','SC','124241241116131431559614174122610164042',15594,'192',38.33,1,2,1),(16,3234746,'1991-02-11 00:00:00',4,7,11,2007,'F','N','CENTRO','CURITIBA','PR','116222221215471431468832574122610114017',7753,'9998',52.87,1,3,NULL),(16,3234754,'1992-07-22 00:00:00',4,5,12,2009,'F','S','PIO CORREA','CRICIúMA','SC','124242241215151531489813572122610138122',NULL,'226',42.47,1,3,NULL),(16,3234762,'1990-10-29 00:00:00',4,9,11,2008,'M','N','SAGRADO CORAçãO','LAGES','SC','124242241217111431369932472112610132146',11625,'497',45.96,1,3,NULL),(16,3234770,'1987-08-25 00:00:00',2,10,12,2004,'M','N','TRêS DE MAIO','CAPIVARI BAIXO','SC','124241241127132431336679345124610124057',12929,'1034',43.62,2,1,1),(16,3234789,'1985-12-26 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241121371411214321171124610124187',NULL,'736',16.71,1,3,NULL),(16,3234797,'1952-04-15 00:00:00',2,1,12,1969,'M','N','CARIANOS','FLORIANóPOLIS','SC','224161041116232721436649291134610138182',NULL,'9998',36.33,1,2,1),(16,3234800,'1977-01-20 00:00:00',2,3,9,2007,'M','N','GASPAR MIRIM','GASPAR','SC','124241247117131411321379242333610151047',NULL,'9999',29.35,4,3,NULL),(16,3234827,'1991-03-25 00:00:00',4,1,12,2008,'M','N','VILA YARA','OSASCO','SP','125252251217272431448711571114610114087',NULL,'9998',41.93,1,3,NULL),(16,3234835,'1991-07-16 00:00:00',2,1,12,2008,'M','N','ARMAçãO PANTANO SUL','FLORIANóPOLIS','SC','124261241137111431535631292224610167047',NULL,'307',34.74,1,2,1),(16,3234843,'1986-08-04 00:00:00',4,4,12,2003,'M','N','JARDIM PANORAMA','FOZ IGUAçU','PR','116162161211112411338833571124542264172',NULL,'9998',0.00,1,3,NULL),(16,3234851,'1990-02-19 00:00:00',2,1,11,2007,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124243241115131431557711295124610137187',NULL,'288',27.60,1,3,NULL),(16,3234878,'1991-12-01 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215111431226924575125610132147',11746,'737',45.74,1,3,NULL),(16,3234886,'1983-11-17 00:00:00',2,1,12,2003,'M','N','CENTRO','VARGEãO','SC','124241168126134411423319282224610162057',NULL,'9998',29.13,1,2,1),(16,3234894,'1990-07-09 00:00:00',2,1,11,2007,'F','N','ITACURUBI','FLORIANóPOLIS','SC','124242241215372311434434174124610124077',11747,'1118',45.74,1,3,NULL),(16,3234908,'1991-04-01 00:00:00',4,2,12,2008,'M','N','FORTALEZA','BLUMENAU','SC','124241241216111221348511595122610167147',13487,'71',42.64,1,3,NULL),(16,3234916,'1992-11-15 00:00:00',4,2,12,2009,'F','S','VILA NOVA','BLUMENAU','SC','124242241215111431458812494124610138177',NULL,'855',36.02,1,3,NULL),(16,3234924,'1991-01-17 00:00:00',4,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSé','SC','124131248135111331333314335124610138147',NULL,'732',20.02,4,3,NULL),(16,3234932,'1990-05-19 00:00:00',2,3,11,2007,'M','N','CENTRO','FIGUEIRA','PR','116162161311111321161524123111612612151',NULL,'9998',48.91,1,3,NULL),(16,3234959,'1992-05-19 00:00:00',4,1,12,2009,'F','S','CóRREGO GRANDE','FLORIANóPOLIS','SC','124243241217111731459614572124610147012',NULL,'1022',48.34,1,3,NULL),(16,3234967,'1983-01-24 00:00:00',2,1,12,2002,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241248113133711212126182324613266147',NULL,'139',25.95,1,3,NULL),(16,3234975,'1990-08-20 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241235472431538939592325610134142',5094,'454',58.41,1,3,NULL),(16,3234983,'1990-09-25 00:00:00',4,1,12,2007,'M','N','CENTRO','SALES OLIVEIRA','SP','125252251216471451346829491124610141177',600,'9998',74.94,1,3,NULL),(16,3234991,'1987-05-02 00:00:00',2,1,7,2007,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124243247412151431447923395114233266147',NULL,'9999',15.89,2,1,2),(16,3235009,'1990-11-07 00:00:00',4,4,12,2008,'F','N','INTERIOR','IPORã OESTE','SC','124241241116131431435326262124610165077',NULL,'371',25.11,1,2,1),(16,3235017,'1990-10-10 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241217372431348629575124610124012',13531,'1048',42.57,1,3,NULL),(16,3235025,'1988-07-27 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124241247225111431524441311114610167142',NULL,'9999',20.71,1,3,NULL),(16,3235033,'1985-12-10 00:00:00',4,8,12,2003,'M','N','VISTA ALEGRE','RIO NEGRINHO','SC','116241241116132431126442431223341732182',2923,'669',64.04,1,2,1),(16,3235041,'1989-04-18 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241115112731534134492114610168062',NULL,'271',33.08,4,2,1),(16,3235050,'1992-12-16 00:00:00',4,2,12,2009,'F','S','VELHA','BLUMENAU','SC','124242241217111431468833572124610127012',NULL,'71',55.26,1,3,NULL),(16,3235076,'1986-07-28 00:00:00',4,1,12,2004,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124254251216132411127811495223221934047',3569,'9998',62.16,1,3,NULL),(16,3235084,'1993-04-06 00:00:00',4,3,12,2009,'F','S','CENTRO','BRUSQUE','SC','124242241215111411448814172122610125142',NULL,'109',49.71,1,3,NULL),(16,3235092,'1988-03-04 00:00:00',2,3,11,2005,'M','N','CENTRO','BAL CAMBORIú','SC','124241241216133751434519595125230264142',7911,'968',52.58,1,3,NULL),(16,3235106,'1991-06-26 00:00:00',4,8,12,2008,'F','N','ALTO DA GLóRIA','CURITIBA','PR','116162161216471411458933575121610122117',NULL,'9998',0.00,1,3,NULL),(16,3235114,'1990-12-01 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124242247215111231438614175124610167147',16225,'1048',36.61,1,3,NULL),(16,3235122,'1990-12-06 00:00:00',2,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124241241115271431515519392114610127052',NULL,'732',27.34,1,2,1),(16,3235130,'1989-01-24 00:00:00',4,1,12,2006,'M','N','CENTRO','IRINEóPOLIS','SC','124241241141133711545839241121242967047',14891,'381',39.91,1,2,1),(16,3235149,'1992-01-22 00:00:00',4,7,12,2008,'F','N','CENTRO','CONCóRDIA','SC','124241241416111431347634575122610133147',15589,'1000',38.33,1,3,NULL),(16,3235157,'1982-03-19 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANóPOLIS','SC','524252257217131421236644445324343263147',NULL,'9999',0.00,1,3,NULL),(16,3235165,'1991-11-10 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124242241215111411478613595115610167057',10422,'723',48.06,1,3,NULL),(16,3235173,'1993-05-16 00:00:00',4,1,12,2010,'F','S','PRAIA COMPRIDA','S JOSé','SC','124242241117151731377612572112610134184',NULL,'739',35.92,1,3,NULL),(16,3235181,'1988-09-27 00:00:00',4,8,12,2005,'M','N','VILA IZABEL','CURITIBA','PR','116162161214571751348614574114610148047',6874,'9998',54.53,4,3,NULL),(16,3235190,'1991-04-14 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124162241215111441358914275114610124077',6615,'1022',55.02,4,3,NULL),(16,3235211,'1992-10-01 00:00:00',4,1,12,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124242241217171731557812196114610123147',NULL,'270',41.60,1,3,NULL),(16,3235220,'1989-03-18 00:00:00',2,4,12,2006,'F','N','PANORâMICO','MARAVILHA','SC','124241241116473431424624474122610123147',NULL,'9997',34.31,1,2,1),(16,3235238,'1986-06-28 00:00:00',2,1,12,2003,'F','N','STO ANTONIO DELISBOA','FLORIANóPOLIS','SC','124241241127134431644413342124133227067',10676,'279',47.61,1,2,1),(16,3235246,'1980-07-17 00:00:00',4,1,8,2008,'M','N','COLONINHA','FLORIANóPOLIS','SC','124201207317371411319448385122610127047',16638,'9999',34.37,4,1,2),(16,3235254,'1991-08-05 00:00:00',4,8,11,2008,'F','N','BAEPENDI','JARAGUá SUL','SC','124242241215271431346933432122610132142',NULL,'441',26.59,1,3,NULL),(16,3235262,'1988-03-14 00:00:00',2,1,12,2005,'M','N','JOSE MENDES','FLORIANóPOLIS','SC','124242241216273231456823375122220864183',5918,'272',56.54,4,3,NULL),(16,3235270,'1990-11-16 00:00:00',4,2,12,2007,'F','N','PARQUE ALVORADA','JACAREZINHO','PR','116161168216371451667619594125610152012',NULL,'9998',0.00,1,3,NULL),(16,3235289,'1991-10-03 00:00:00',2,7,12,2008,'M','N','JARDIM','CONCóRDIA','SC','124241241116131431559614175122610164042',NULL,'192',30.53,1,2,1),(16,3235297,'1990-09-17 00:00:00',2,8,12,2007,'F','N','BOQUEIRãO','CURITIBA','PR','116163161215471411436624575124610127047',NULL,'9998',37.94,1,3,NULL),(16,3235300,'1969-04-08 00:00:00',2,2,12,1986,'F','N','CENTRO','BARBOSA FERRAZ','PR','116161161216141441443832241121342228186',NULL,'9998',0.00,1,3,NULL),(16,3235319,'1990-08-30 00:00:00',2,4,12,2007,'F','N','CENTRO','ESPIGãO AT IGUAçU','PR','116161161416471431323336575125610122187',NULL,'9998',41.01,1,3,NULL),(16,3235327,'1986-01-10 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','124243247627131421217644345124610162147',16467,'9999',35.63,1,3,NULL),(16,3235335,'1989-09-27 00:00:00',2,1,11,2006,'M','N','SAMBAQUI','FLORIANóPOLIS','SC','124242241215212411436653592122610167042',NULL,'1048',48.34,1,3,NULL),(16,3235351,'1992-10-07 00:00:00',4,1,11,2009,'F','S','KOBRASOL','S JOSé','SC','124242241212111421337923575122610167072',NULL,'724',20.95,1,3,NULL),(16,3235378,'1989-05-04 00:00:00',4,4,12,2006,'F','N','N S APARECIDA','FRANCISCO BELTRãO','PR','116162161217573451456814575114610168172',NULL,'9998',25.23,1,3,NULL),(16,3235386,'1989-11-07 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANóPOLIS','SC','124242241215472431558814375114131464097',NULL,'1022',33.14,1,3,NULL),(16,3235394,'1989-12-23 00:00:00',4,3,12,2006,'M','N','PRAçA','TIJUCAS','SC','124241241135272431434414242111610127047',NULL,'971',24.62,1,3,NULL),(16,3235416,'1987-09-21 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241236141431236721335124610137057',13542,'9999',42.55,1,3,NULL),(16,3235424,'1992-08-12 00:00:00',4,4,12,2009,'F','S','FLORESTA','CONCóRDIA','SC','124242241216151331468912572124610121142',NULL,'1047',40.84,1,3,NULL),(16,3235432,'1991-10-23 00:00:00',4,2,9,2008,'F','N','GARCIA','BLUMENAU','SC','124242241215111431356734574124610166147',NULL,'88',0.00,1,3,NULL),(16,3235440,'1990-10-23 00:00:00',4,1,12,2008,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241115371431537513372124610138011',NULL,'307',29.95,1,2,1),(16,3235459,'1990-10-09 00:00:00',2,1,12,2007,'F','N','CARIANO','FLORIANóPOLIS','SC','124244241212472111568713592124610168197',NULL,'1022',28.28,1,3,NULL),(16,3235467,'1990-07-08 00:00:00',4,8,11,2007,'M','N','TRÊS FIGUEIRAS','PTO ALEGRE','RS','120242241215373711379614575124241464146',3475,'457',62.45,1,3,NULL),(16,3235475,'1991-12-23 00:00:00',4,5,12,2008,'M','N','ESTADOS','CONCóRDIA','SC','124241241416271731536823575122610167112',NULL,'1000',34.38,1,3,NULL),(16,3235483,'1983-11-26 00:00:00',1,1,12,2002,'M','N','BELA VISTA','S JOSé','SC','624241241127152751654372135122610127047',NULL,'946',0.00,1,2,1),(16,3235491,'1990-11-30 00:00:00',4,2,12,2007,'M','N','VELHA','BLUMENAU','SC','124242241215311731569714372112610167172',4311,'87',60.22,1,3,NULL),(16,3235505,'1962-09-29 00:00:00',2,8,12,1982,'M','N','GLORIA','JOINVILLE','SC','224161168126321751444159292122140257042',NULL,'9998',27.86,1,3,NULL),(16,3235513,'1980-07-10 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANóPOLIS','SC','124244243434141411429944145122131444192',NULL,'457',36.49,1,3,NULL),(16,3235521,'1991-02-12 00:00:00',4,4,12,2008,'F','N','CAMPOS DO IGUAçU','FOZ IGUAçU','PR','116162161217111411326923232124610147097',NULL,'9998',24.93,1,3,NULL),(16,3235548,'1990-10-01 00:00:00',4,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215373431438819492124231447122',NULL,'829',0.00,1,3,NULL),(16,3235556,'1991-04-15 00:00:00',2,5,12,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215111431469934572122610127112',NULL,'226',23.30,1,3,NULL),(16,3235564,'1981-12-10 00:00:00',4,2,12,1999,'F','N','FORTALEZA','BLUMENAU','SC','124241241116151431652647445122230252092',NULL,'69',0.00,1,2,1),(16,3235572,'1991-08-25 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124241241117131411426621346124610168187',NULL,'733',20.62,1,2,1),(16,3235580,'1990-11-26 00:00:00',2,2,12,2008,'F','N','SãO FRANCISCO','ASCURRA','SC','124243241217141231431311494125610146147',NULL,'37',23.76,1,3,NULL),(16,3235599,'1989-12-01 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241426372131526524241315610111177',13025,'262',43.46,1,3,NULL),(16,3235602,'1989-04-19 00:00:00',4,1,12,2006,'F','N','BELA VISTA','BARRETOS','SP','125252251216571431449931594123610143057',NULL,'9998',0.00,4,3,NULL),(16,3235629,'1990-05-10 00:00:00',4,8,12,2007,'M','N','VILA SUMARE','PRES VENCESLAU','SP','125253251115571432448819475122610168094',9617,'9998',49.49,3,3,NULL),(16,3235637,'1987-07-07 00:00:00',2,1,12,2006,'M','N','JOSE MENDES','FLORIANóPOLIS','SC','124203201216371731226811375124140267047',NULL,'9998',30.98,1,3,NULL),(16,3235645,'1980-08-07 00:00:00',2,1,12,1998,'M','N','FORQUILHINHAS','S JOSé','SC','124161161127145421123344145124610117057',NULL,'9998',36.15,1,2,1),(16,3235653,'1990-07-07 00:00:00',4,8,11,2007,'F','N','AMéRICA','JOINVILLE','SC','124242241215473331468619572112610134147',9592,'486',49.54,4,3,NULL),(16,3235661,'1993-07-12 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111431489931574122610114092',NULL,'270',54.69,1,3,NULL),(16,3235670,'1988-12-18 00:00:00',3,1,6,2006,'M','N','ARMACAO DO P DO SUL','FLORIANóPOLIS','SC','124241247337131411536631415124610137117',15621,'9999',38.26,4,3,NULL),(16,3235696,'1991-07-22 00:00:00',2,5,12,2008,'F','N','CENTRO','TURVO','SC','124241248115371731546413572115610138052',NULL,'814',22.25,1,3,NULL),(16,3235700,'1990-04-12 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241211111741448923571121610128183',4890,'226',58.89,4,3,NULL),(16,3235718,'1991-07-08 00:00:00',4,6,11,2008,'F','N','CENTRO','ITAJAí','SC','124242241215111431444832575124610124072',14265,'1026',41.10,1,3,NULL),(16,3235726,'1986-11-14 00:00:00',4,1,12,2004,'M','N','PRAIA COMPRIDA','S JOSé','SC','124242241216113431568823495122230224042',NULL,'1022',27.90,1,3,NULL),(16,3235734,'1990-05-02 00:00:00',2,8,12,2007,'M','N','AMERICA','JOINVILLE','SC','124241241116272431646612375124131412097',NULL,'478',0.00,1,2,1),(16,3235742,'1991-09-16 00:00:00',4,1,12,2008,'F','N','PIO CORREA','CRICIúMA','SC','124242241215272731469911495122610161182',9732,'226',49.28,1,3,NULL),(16,3235750,'1989-05-14 00:00:00',2,1,11,2006,'F','N','JD DAS INDUSTRIAS','S JOSé CAMPOS','SP','125254251217571431348624275114610165197',7990,'9998',52.44,1,3,NULL),(16,3235769,'1991-11-15 00:00:00',2,1,11,2008,'F','N','VILA SANTA CATARINA','CAçADOR','SC','124242241216131231359434245122610127077',9118,'1124',50.39,1,3,NULL),(16,3235777,'1988-02-08 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216133431237829495124232833147',11133,'262',46.78,1,3,NULL),(16,3235785,'1991-02-20 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124281241115472431227821315124610144012',5928,'288',56.49,1,2,1),(16,3235793,'1988-10-23 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241217373451568814572114121468192',1920,'270',67.52,3,3,NULL),(16,3235807,'1991-01-18 00:00:00',4,1,12,2008,'F','N','JARDIM ESPLANADA II','S JOSé CAMPOS','SP','125252251217111431448823574122610123117',16030,'9998',37.17,1,3,NULL),(16,3235815,'1991-03-02 00:00:00',2,1,12,2007,'M','N','VILA OLíMPICA','ESTEIO','RS','120203201136131431525718575124610137047',9432,'9998',49.84,1,3,NULL),(16,3235831,'1989-11-17 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124242241215371431368822575122610164182',NULL,'499',19.17,1,3,NULL),(16,3235858,'1992-03-16 00:00:00',4,1,11,2009,'M','S','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241215111731448733575124610117147',NULL,'1022',43.44,1,3,NULL),(16,3235866,'1990-10-25 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241235121412688712322122610137042',4177,'270',60.57,1,3,NULL),(16,3235874,'1987-11-05 00:00:00',4,1,10,2007,'M','N','JARDIM ELDORADO','PALHOçA','SC','124244247417131732456629345114610167047',NULL,'9999',29.16,2,1,2),(16,3235882,'1992-09-10 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217111431358611575122610137012',NULL,'262',41.66,1,3,NULL),(16,3235890,'1987-06-14 00:00:00',2,1,12,2006,'M','N','JOÃO PAULO','FLORIANOPOLIS','SC','124241241115472711413633282314610163147',NULL,'295',28.08,2,1,1),(16,3235904,'1990-03-04 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241317472432468667575112610112172',6097,'123',56.14,1,3,NULL),(16,3235912,'1992-01-17 00:00:00',4,4,12,2008,'F','N','PRESIDENTE MéDICI','CHAPECó','SC','124243241215111431436632594122610143182',15681,'185',38.11,1,3,NULL),(16,3235920,'1989-07-03 00:00:00',4,8,12,2006,'M','N','CENTRO','CPO LARGO','PR','116161161111472431567814571114610167042',4219,'9998',60.44,1,3,NULL),(16,3235939,'1988-05-26 00:00:00',2,8,12,2005,'M','N','PORTAO','CURITIBA','PR','116162161217574431547714574112610124117',4061,'9998',60.90,1,3,NULL),(16,3235947,'1988-09-15 00:00:00',2,1,6,2006,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241116153731546631215114610167142',15133,'306',39.34,1,2,1),(16,3235963,'1991-11-29 00:00:00',4,8,12,2008,'M','N','CENTRO','JARAGUá SUL','SC','124244246216371312578814574121610147053',12859,'1061',43.75,1,3,NULL),(16,3235971,'1991-04-03 00:00:00',4,1,2,2010,'M','S','JARDIM DAS ACáCIAS','S JOSé','SC','124242241215111411439833375122610168182',NULL,'270',22.55,1,3,NULL),(16,3235980,'1991-02-22 00:00:00',4,8,11,2008,'M','N','MORUMBI SUL','S PAULO','SP','125252253216121511369832575122610114122',4062,'9998',60.89,1,3,NULL),(16,3235998,'1985-01-22 00:00:00',4,1,12,2002,'M','N','JARDIM ELDORADO','PALHOçA','SC','124241241116131411126844145234610144067',13908,'306',41.84,1,2,1),(16,3236005,'1991-04-03 00:00:00',2,1,12,2007,'M','N','CENTRO','TIJUCAS','SC','124242241217122451446812275114230766145',5183,'266',58.15,1,3,NULL),(16,3236013,'1991-03-15 00:00:00',4,1,11,2008,'M','N','JARDIM PARAISO','IBIPORã','PR','116162161215111431469933575125610167182',10050,'9998',48.69,1,3,NULL),(16,3236021,'1992-05-07 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217111311469923575112610114037',11726,'270',45.78,1,3,NULL),(16,3236030,'1991-03-04 00:00:00',4,1,11,2008,'F','N','BROOKLIN PAULISTA','S PAULO','SP','125252251216371451488814571122610124092',NULL,'9998',0.00,1,3,NULL),(16,3236048,'1981-10-10 00:00:00',4,1,12,2004,'F','N','COLONINHA','FLORIANóPOLIS','SC','124202167115371111316958285122610126047',14615,'9999',40.46,1,3,NULL),(16,3236056,'1993-03-08 00:00:00',4,2,11,2009,'M','S','SUMARE','RIO SUL','SC','124242241211111431448711242122610128052',NULL,'654',0.00,1,3,NULL),(16,3236064,'1991-03-02 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241212111711489931595122610112111',14096,'270',41.46,1,3,NULL),(16,3236072,'1986-11-08 00:00:00',2,1,12,2003,'M','N','FUNDO DE BIGUAçU','BIGUAçU','SC','124241241116132431425614245124610124057',9416,'65',49.87,1,2,1),(16,3236102,'1982-02-24 00:00:00',2,1,12,1998,'F','N','JOAO ROSA','BIGUAçU','SC','224102101247371451336651142322131023057',14763,'9998',40.15,4,3,NULL),(16,3236110,'1988-03-21 00:00:00',4,1,12,2005,'M','N','JARAGUA','S PAULO','SP','125251251117571631433311175124610166057',4226,'9998',60.43,1,2,1),(16,3236129,'1991-09-15 00:00:00',2,8,12,2008,'F','N','CENTRO','JARAGUá SUL','SC','124242241216161431448923572122610123072',11102,'424',46.83,1,3,NULL),(16,3236137,'1991-07-26 00:00:00',2,9,11,2008,'F','N','EUGENIO SCHNEIDER','RIO SUL','SC','124242241215111431336632285125610125092',15114,'991',39.39,1,3,NULL),(16,3236153,'1990-04-21 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241137131432636619375114610137067',NULL,'283',16.78,1,2,1),(16,3236161,'1990-01-12 00:00:00',4,1,12,2008,'M','N','BOTAFOGO','CAMPINAS','SP','125164251217221431259613582112610124015',NULL,'9998',6.18,1,3,NULL),(16,3236170,'1992-04-21 00:00:00',4,1,12,2009,'F','S','PONTA DE BAIXO','S JOSé','SC','124241241112131431326638155124610145092',NULL,'733',21.37,1,3,NULL),(16,3236188,'1993-01-28 00:00:00',4,1,12,2008,'M','N','SETOR OESTE','GOIâNIA','GO','109092091217111431568811472121610167043',NULL,'9998',47.89,1,3,NULL),(16,3236196,'1991-09-04 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215111431578933575114610167147',12411,'1048',44.52,1,3,NULL),(16,3236200,'1992-01-25 00:00:00',4,1,12,2008,'M','N','SANTO ANTôNIO','FLORIANóPOLIS','SC','224242241217131431349924472122610132187',NULL,'1048',41.94,1,3,NULL),(16,3236218,'1990-09-23 00:00:00',4,1,12,2007,'F','N','GARCIA','BLUMENAU','SC','124242241215373421538632572124610167092',6362,'855',55.56,1,3,NULL),(16,3236226,'1990-08-04 00:00:00',2,1,12,2007,'F','N','BELA VISTA','LGA VERMELHA','RS','120201201316471431448839571124610124187',8720,'9998',51.04,1,3,NULL),(16,3236234,'1992-05-22 00:00:00',2,4,12,2008,'M','N','CENTRO','PTE SERRADA','SC','124241241116161431435614575125610125142',NULL,'629',33.71,1,2,1),(16,3236242,'1990-03-20 00:00:00',4,1,11,2007,'F','N','KOBRASOL','S JOSé','SC','124102241216472411456832425122610166092',1499,'270',69.37,1,3,NULL),(16,3236250,'1989-09-14 00:00:00',2,5,12,2007,'M','N','GETULIO VARGAS','TORRES','RS','120201242137132431523319142124231237012',11822,'690',45.60,1,2,1),(16,3236269,'1990-06-21 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241217273431369923475124230463117',NULL,'269',0.00,1,3,NULL),(16,3236277,'1991-05-02 00:00:00',2,1,11,2008,'F','N','PAES LEME','IMBITUBA','SC','124241241315111711448832571124610163091',NULL,'1022',0.00,1,3,NULL),(16,3236307,'1989-05-29 00:00:00',4,1,12,2007,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124241247332372731336313442124610167145',NULL,'9999',27.12,1,3,NULL),(16,3236323,'1989-08-04 00:00:00',4,8,11,2007,'F','N','IMIGRANTES','GUARAMIRIM','SC','124243241215473431336634442124231421092',NULL,'441',0.00,1,3,NULL),(16,3236331,'1992-05-04 00:00:00',4,3,12,2009,'M','S','CENTRO','BAL CAMBORIú','SC','124242241215111532468839495125610134182',NULL,'1038',47.60,3,3,NULL),(16,3236340,'1989-02-23 00:00:00',4,3,5,2007,'M','N','TUCANOS','LONDRINA','PR','116162161216512751488811575115610148072',NULL,'9998',50.85,1,3,NULL),(16,3236358,'1990-07-06 00:00:00',4,3,11,2007,'F','N','VILA FORMOSA','APUCARANA','PR','116162161216471731467832574122610133187',NULL,'9998',0.00,1,3,NULL),(16,3236366,'1989-03-29 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124241241115272421556613441134610144012',NULL,'307',50.39,1,2,1),(16,3236374,'1991-06-11 00:00:00',2,7,12,2008,'F','N','SANTA CRUZ','CONCóRDIA','SC','124241241112131731326629272225610125142',NULL,'192',25.61,1,2,1),(16,3236390,'1991-06-24 00:00:00',4,7,12,2008,'F','N','BAIRRO DO SALTO','SALTO VELOSO','SC','124241241117131421426611512122610142177',14668,'1113',40.36,1,2,1),(16,3236412,'1963-08-09 00:00:00',2,1,12,1986,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124131138137131121111144142344610164147',NULL,'9998',0.00,2,1,1),(16,3236420,'1990-04-09 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241215373431458821575122130433187',4267,'262',60.33,1,3,NULL),(16,3236447,'1989-09-09 00:00:00',4,1,12,2007,'M','N','SANTA CECILIA','S PAULO','SP','125252251217371431369931575122610134042',3929,'9998',61.25,1,3,NULL),(16,3236463,'1984-05-10 00:00:00',2,1,12,2001,'M','N','VILA SETTE','JACAREZINHO','PR','116161161117271341549713385122340647082',NULL,'9998',0.00,1,2,1),(16,3236471,'1985-12-06 00:00:00',4,1,12,2002,'M','N','SERRINHA','FLORIANóPOLIS','SC','124202201246373411128742225124221762195',NULL,'9998',0.00,1,3,NULL),(16,3236480,'1988-06-09 00:00:00',4,1,12,2005,'F','N','VILA PAULISTA','GUARULHOS','SP','125252251214571411448311571124141364092',52,'9998',82.29,1,3,NULL),(16,3236498,'1989-11-30 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215271411586832572112610134062',NULL,'9999',0.00,1,3,NULL),(16,3236501,'1989-10-25 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241216273532367714575122230264061',5008,'737',58.59,1,3,NULL),(16,3236510,'1985-05-02 00:00:00',4,3,12,2004,'M','N','CENTRO','BAL CAMBORIú','SC','124243241116271431455519145131610164017',NULL,'49',20.14,1,3,NULL),(16,3236528,'1991-04-25 00:00:00',2,5,12,2008,'F','N','SANTO ANTôNIO','CRICIúMA','SC','124243241215131431356933575124610121142',9677,'995',49.38,1,3,NULL),(16,3236536,'1988-12-20 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124202201215574431449813274124131263117',1854,'9998',67.79,1,3,NULL),(16,3236544,'1992-02-12 00:00:00',2,5,12,2008,'F','N','MINA DO MATO','CRICIúMA','SC','124242241215111431449619342124610137097',NULL,'210',32.27,1,3,NULL),(16,3236552,'1991-10-28 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111431368823572122610126172',6530,'266',55.21,1,3,NULL),(16,3236560,'1989-09-06 00:00:00',4,1,12,2006,'F','N','CAMPINAS','S JOSé','SC','124242241215515731445511571224610134012',7019,'723',54.25,1,3,NULL),(16,3236579,'1991-02-17 00:00:00',4,6,12,2008,'M','N','VILA OPERáRIA','ITAJAí','SC','124241241116131411556612575111610147042',4876,'401',58.93,1,2,1),(16,3236587,'1991-08-22 00:00:00',4,1,12,2008,'F','N','CENTRO','SANTARéM','PA','114142141217271731389813572122610121142',NULL,'9998',28.49,1,3,NULL),(16,3236595,'1991-06-06 00:00:00',3,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241212132431445611372122610162092',10723,'497',47.50,1,3,NULL),(16,3236609,'1992-06-30 00:00:00',4,1,12,2009,'F','S','AGRONOMICA','FLORIANóPOLIS','SC','124242241215151431469931582122610127111',NULL,'262',38.11,1,3,NULL),(16,3236617,'1991-11-26 00:00:00',4,4,12,2008,'M','N','CENTRO','IBIRAIARAS','RS','120201201216151431333312571124610134097',NULL,'9998',22.23,1,3,NULL),(16,3236625,'1991-08-02 00:00:00',4,1,11,2009,'M','S','TRINDADE','FLORIANóPOLIS','SC','124242241217111431488931595124610114012',NULL,'262',42.14,1,3,NULL),(16,3236633,'1990-06-27 00:00:00',4,5,12,2007,'M','N','JARDIM ANGéLICA','CRICIúMA','SC','124162161215471431578831295115613247063',NULL,'9998',34.81,1,3,NULL),(16,3236641,'1990-06-17 00:00:00',4,9,12,2007,'F','N','SãO CRISTóVãO','LAGES','SC','124243241216373431459913572124230437012',5217,'499',58.08,1,3,NULL),(16,3236650,'1987-12-18 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217574431488812572122230231147',9,'262',84.98,1,3,NULL),(16,3236668,'1987-10-25 01:00:00',2,1,12,2004,'F','N','ARIRIú DA FORMIGA','PALHOçA','SC','124243241111275752435314442124610164183',NULL,'592',30.65,1,3,NULL),(16,3236676,'1986-11-20 00:00:00',4,3,12,2003,'F','N','TUCANOS','LONDRINA','PR','116162161216472451568911575122232432027',4807,'9998',59.05,1,3,NULL),(16,3236684,'1992-10-24 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241117151431648833575124610127142',16626,'293',34.59,1,2,1),(16,3236692,'1992-08-26 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217151431259811575122610167072',NULL,'262',61.27,1,3,NULL),(16,3236706,'1990-12-05 00:00:00',4,1,11,2008,'M','N','CENTRO','MARINGá','PR','116162161217211431568814575112610164042',1269,'9998',70.57,1,3,NULL),(16,3236714,'1990-05-21 00:00:00',2,9,12,2007,'M','N','CENTRO','LAURENTINO','SC','124241241145272431439933345112610147052',7674,'528',53.01,1,2,1),(16,3236730,'1989-11-04 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241117331432226444345124610124147',NULL,'359',26.45,1,2,1),(16,3236749,'1987-08-28 00:00:00',4,1,12,2004,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241217574751389931575112231063015',NULL,'270',0.00,1,3,NULL),(16,3236757,'1991-12-04 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431469811575122610118052',6275,'270',55.74,1,3,NULL),(16,3236765,'1990-08-02 00:00:00',2,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124131247317131711425621392334610162057',NULL,'9999',0.00,1,3,NULL),(16,3236773,'1991-08-30 00:00:00',4,8,12,2008,'M','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241117151431556739574125610147112',15787,'358',37.82,4,2,1),(16,3236790,'1979-05-18 00:00:00',2,1,12,1996,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124212211216151721266643385122343241147',NULL,'9998',0.00,4,3,NULL),(16,3236803,'1992-04-11 00:00:00',4,1,11,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124242241212111111348933575124610164112',12382,'1022',44.58,1,3,NULL),(16,3236820,'1991-11-29 00:00:00',4,1,12,2008,'F','N','CENTENáRIO','MONTENEGRO','RS','120204201117131731347619475122610127052',NULL,'9998',28.14,1,3,NULL),(16,3236838,'1991-05-07 00:00:00',4,7,12,2008,'F','N','CENTRO','CAçADOR','SC','124241241117161431425811245122610123197',10841,'124',47.29,1,2,1),(16,3236846,'1987-05-26 00:00:00',2,1,11,2004,'M','N','ABRAãO','FLORIANóPOLIS','SC','124242241217274431468653482113122768187',NULL,'951',30.61,1,3,NULL),(16,3236854,'1991-08-01 00:00:00',4,9,11,2008,'M','N','DIONISIO TORRES','FORTALEZA','CE','106062061217121431248822575112610162047',NULL,'9998',36.86,1,3,NULL),(16,3236862,'1989-08-21 00:00:00',2,1,12,2008,'M','N','VILA EMA','S JOSé CAMPOS','SP','125252251215151431468614445121610137112',14141,'9998',41.35,1,3,NULL),(16,3236870,'1987-12-13 00:00:00',5,4,6,2005,'F','N','CENTRO','CHAPECó','SC','124282288417372421646612442122131463147',10583,'9998',47.77,1,3,NULL),(16,3236889,'1984-05-15 00:00:00',2,1,12,2001,'M','N','RESIDENCIAL PARAISO','FRANCA','SP','125252251211573431368811271122343227012',419,'9998',76.59,1,3,NULL),(16,3236897,'1991-02-10 00:00:00',4,1,12,2008,'F','N','FLORESTA','S JOSé','SC','124242241215111411436513572114610166182',6453,'270',55.36,1,3,NULL),(16,3236900,'1991-01-25 00:00:00',4,1,12,2008,'F','N','RUI BARBOSA','MONTENEGRO','RS','120201201116141731323329476125610127052',13794,'9998',42.07,1,2,1),(16,3236919,'1992-06-17 00:00:00',4,8,11,2008,'F','N','CENTRO','GUARATUBA','PR','116162241215111721336732172112610131177',13324,'486',42.92,1,3,NULL),(16,3236927,'1991-02-14 00:00:00',2,7,11,2008,'M','N','CENTRO','LUZERNA','SC','124242241215151731248912111114610167057',NULL,'962',33.93,1,3,NULL),(16,3236935,'1988-07-17 00:00:00',2,1,12,2005,'F','N','CENTRO','BRAçO NORTE','SC','124241248415372431548613574124130622142',6928,'445',54.45,1,3,NULL),(16,3236943,'1987-03-30 00:00:00',4,1,12,2008,'M','N','VILA ISABEL','CURITIBA','PR','116162161126111611338811441124610167017',NULL,'9998',21.41,1,3,NULL),(16,3236951,'1990-12-27 00:00:00',2,9,11,2007,'F','N','SãO CRISTóVãO','LAGES','SC','124242241215472431458613575112610165012',6577,'9997',55.11,1,3,NULL),(16,3236960,'1990-12-21 00:00:00',2,1,12,2008,'F','N','JARDIM DAS INDUSTRIA','S JOSé CAMPOS','SP','125254251437111711538814571124610128182',9112,'9998',50.39,1,3,NULL),(16,3236978,'1991-03-30 00:00:00',2,7,12,2008,'F','N','VILA RICA IBICUI','CAMPOS NOVOS','SC','124241241111161431426614472122610134147',NULL,'961',25.71,1,2,1),(16,3236986,'1991-03-23 00:00:00',4,2,12,2008,'M','N','CENTRO','IBIRAMA','SC','124242241215121231353637275122610124017',NULL,'346',0.00,1,3,NULL),(16,3236994,'1990-12-11 00:00:00',2,5,12,2008,'F','N','PINHEIRINHO','CRICIúMA','SC','124242248235411731337539275122610138072',10612,'995',47.71,1,3,NULL),(16,3237001,'1990-10-12 00:00:00',4,1,12,2007,'M','N','CENTRO','CAXIAS SUL','RS','120202201216472441468912171122610167042',4420,'9998',59.97,1,3,NULL),(16,3237010,'1983-10-22 00:00:00',2,1,12,2002,'M','N','PICADAS DO SUL','S JOSé','SC','124241243114135431225523381224610166042',11019,'306',46.99,1,2,1),(16,3237028,'1985-11-23 00:00:00',4,1,6,2004,'M','N','JARDIM ITU','PTO ALEGRE','RS','120202207436131441337621345134141934012',NULL,'9998',0.00,1,3,NULL),(16,3237036,'1981-03-01 00:00:00',4,1,12,1998,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241216115411556633235124122327047',NULL,'272',38.05,1,3,NULL),(16,3237044,'1990-11-09 00:00:00',3,1,12,2008,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241215471431459911575122610164181',536,'270',75.50,1,3,NULL),(16,3237052,'1991-05-01 00:00:00',2,10,12,2008,'M','N','OFICINAS','TUBARãO','SC','124241241117131411426611575125610167057',NULL,'1034',0.00,1,2,1),(16,3237060,'1990-05-23 00:00:00',4,8,12,2007,'M','N','JARDIM EUROPA','PRES VENCESLAU','SP','125251251116471432446631115122610137057',NULL,'9998',42.00,1,2,1),(16,3237079,'1990-07-17 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431469811592124131824072',499,'270',75.77,1,3,NULL),(16,3237087,'1966-01-29 00:00:00',4,1,12,1986,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','224072071217151721468751342122340967092',13089,'9998',43.35,1,3,NULL),(16,3237095,'1990-04-07 00:00:00',2,9,11,2007,'M','N','CENTRO','LAGES','SC','124244241215471231346923575122610162017',NULL,'499',26.71,1,3,NULL),(16,3237117,'1988-08-02 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124244241212573212546631492124230217047',2962,'1022',63.94,1,3,NULL),(16,3237125,'1988-01-22 00:00:00',2,1,12,2005,'M','N','TV MORENA','CPO GRANDE','MS','112122121217572431479933584124610167067',NULL,'9998',0.00,1,3,NULL),(16,3237133,'1990-06-17 00:00:00',2,1,12,2008,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241147141431435534346124610112147',NULL,'307',21.95,1,2,1),(16,3237141,'1991-01-08 00:00:00',4,4,12,2008,'F','N','INDUSTRIAL','SEARA','SC','124241241132171731423331312125610138077',16286,'169',36.41,4,2,1),(16,3237150,'1986-11-06 00:00:00',4,8,11,2004,'M','N','VILA LARSEN I','LONDRINA','PR','116162161216571751466823575122610117097',6900,'9998',54.49,1,3,NULL),(16,3237168,'1985-06-23 00:00:00',2,1,12,2003,'F','N','FORQUILHAS','S JOSé','SC','124241241126372431437363142134610164147',14378,'727',40.91,1,2,1),(16,3237176,'1991-09-13 00:00:00',4,4,12,2008,'F','N','NAÇOES','CONCóRDIA','SC','124241241116131731336923575122610166017',NULL,'193',18.25,1,2,1),(16,3237184,'1991-11-06 00:00:00',4,3,12,2008,'M','N','GONZAGA','SANTOS','SP','125252251216151431246822572122610167052',NULL,'9998',33.14,1,3,NULL),(16,3237192,'1988-04-27 00:00:00',2,1,12,2005,'M','N','RONDA','PIRAí SUL','PR','116162161216371431456614495114243268142',NULL,'9998',51.85,1,3,NULL),(16,3237206,'1992-09-26 00:00:00',4,1,12,2009,'M','S','ABRAãO','FLORIANóPOLIS','SC','124241241215121431458613576124610166012',NULL,'1022',63.33,1,3,NULL),(16,3237214,'1989-06-10 00:00:00',4,1,12,2006,'M','N','FORTALEZA','BLUMENAU','SC','124242241216473431469932575124221412092',4568,'87',59.63,1,3,NULL),(16,3237222,'1990-04-02 00:00:00',2,1,12,2007,'F','N','PANTANO DO SUL','FLORIANóPOLIS','SC','124241241312272551647613382114610164197',9114,'1022',50.39,1,3,NULL),(16,3237249,'1987-11-22 00:00:00',4,1,12,2004,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241215135431458619572124232437077',NULL,'270',32.32,1,3,NULL),(16,3237257,'1989-11-10 00:00:00',4,3,12,2008,'M','N','CENTRO','ITAPEMA','SC','124252241117131431348611571124610166047',12298,'406',44.73,1,3,NULL),(16,3237265,'1987-10-16 00:00:00',4,1,12,2004,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241217374431578933572112223237147',1584,'262',68.94,1,3,NULL),(16,3237281,'1991-03-22 00:00:00',2,6,12,2008,'F','N','CORDEIROS','ITAJAí','SC','124241241137141431436923245124610126047',13754,'834',42.16,1,2,1),(16,3237290,'1977-05-08 00:00:00',4,2,12,1994,'F','N','JARDIM JAPAO','S PAULO','SP','125251251126271421343523285122340667087',2645,'9998',64.85,1,2,1),(16,3237303,'1991-07-08 00:00:00',4,1,12,2008,'M','N','FAZENDA STO ANTôNIO','S JOSé','SC','124243241115371431638611575124610137092',NULL,'307',30.13,1,3,NULL),(16,3237311,'1983-01-07 00:00:00',5,1,12,2000,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124201203116131411234944145123140722042',NULL,'9998',0.00,1,3,NULL),(16,3237320,'1989-01-04 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215232431229623342114610117042',NULL,'269',0.00,1,3,NULL),(16,3237338,'1988-04-01 00:00:00',4,1,12,2005,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241112313431456637243114610143167',NULL,'9997',32.56,1,3,NULL),(16,3237354,'1989-06-19 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241132273531446633485114610115142',NULL,'295',0.00,1,3,NULL),(16,3237362,'1988-07-04 00:00:00',4,1,12,2005,'F','N','BARREIROS','S JOSé','SC','124241241116272231444334385123610132187',15000,'257',39.65,1,3,NULL),(16,3237370,'1990-12-16 00:00:00',4,1,12,2008,'M','N','BOSQUE','CAMPINAS','SP','125252251217111731359933382114610124146',241,'9998',78.62,1,3,NULL),(16,3237400,'1991-05-15 00:00:00',4,8,11,2008,'M','N','HAUER','CURITIBA','PR','116162161235471431336932215124610137032',NULL,'9998',0.00,1,3,NULL),(16,3237427,'1956-10-17 00:00:00',4,1,11,1974,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','424242231216153711267643435122422464122',NULL,'70',38.65,1,3,NULL),(16,3237435,'1991-11-13 00:00:00',4,5,11,2009,'F','S','COMERCIARIO','CRICIúMA','SC','124242241215111411259712575122610161012',NULL,'210',40.49,1,3,NULL),(16,3237443,'1992-06-29 00:00:00',4,7,11,2007,'F','N','SãO VICENTE','HERVAL D OESTE','SC','124242241217111431567819492112610123147',NULL,'454',26.40,1,3,NULL),(16,3237451,'1990-07-23 00:00:00',4,1,12,2007,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124243241337131431458823572124132667147',NULL,'87',37.51,1,3,NULL),(16,3237460,'1989-01-07 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241315473431468833571124610137042',8003,'356',52.42,1,3,NULL),(16,3237478,'1990-09-26 00:00:00',4,9,11,2008,'M','N','FREI ROGERIO','LAGES','SC','124223241217161331564834545222610128057',NULL,'1065',17.25,1,3,NULL),(16,3237486,'1989-11-11 00:00:00',2,1,12,2006,'M','N','CARIANOS','FLORIANóPOLIS','SC','124244241237133431458814312123130267062',NULL,'1022',37.23,1,3,NULL),(16,3237494,'1954-02-14 00:00:00',2,1,12,1975,'M','N','PANTANAL','FLORIANóPOLIS','SC','524161163126151441244349492122341117173',12319,'9998',44.70,1,2,1),(16,3237516,'1965-11-01 00:00:00',4,1,12,1982,'M','N','COQUEIROS','FLORIANóPOLIS','SC','224213211211141751358843431332331867097',NULL,'9998',0.00,1,3,NULL),(16,3237524,'1990-11-19 00:00:00',4,8,11,2008,'M','N','AMéRICA','JOINVILLE','SC','124242241215211431369722472112610147182',NULL,'486',32.21,3,3,NULL),(16,3237540,'1990-03-27 00:00:00',2,1,12,2007,'M','N','JD DAS AMéRICAS','PATO BRANCO','PR','116162161215371431588912575124610167122',NULL,'9998',38.66,1,3,NULL),(16,3237559,'1989-09-12 00:00:00',4,4,12,2007,'F','N','JOSé BONIFáCIO','ERECHIM','RS','120201201116471731558933231122610131177',NULL,'9998',0.00,4,3,NULL),(16,3237567,'1983-12-10 00:00:00',2,1,7,2003,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241137373231623329282114610117047',NULL,'281',48.66,1,2,1),(16,3237575,'1990-10-09 00:00:00',4,1,12,2008,'M','N','SERRARIA','S JOSé','SC','124241241135151431258614585124610142042',NULL,'307',25.83,1,3,NULL),(16,3237583,'1988-05-16 00:00:00',2,1,11,2006,'F','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124241244122131721436513242224610114022',NULL,'288',20.53,1,2,1),(16,3237591,'1991-07-31 00:00:00',4,3,12,2008,'M','N','CENTRO','BRAçO TROMBUDO','SC','124241243117151411333633575124610142057',4168,'129',60.59,1,2,1),(16,3237605,'1990-04-28 00:00:00',4,1,12,2007,'M','N','HUMAITá','PTO ALEGRE','RS','120201208216231431358813221124610167056',7665,'9998',53.03,1,3,NULL),(16,3237613,'1991-03-27 00:00:00',2,1,12,2008,'M','N','JARDIM DO LAGO','CAMPINAS','SP','125252256217471441254623495122610137052',NULL,'9998',31.58,1,3,NULL),(16,3237630,'1989-05-22 00:00:00',4,1,12,2005,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215373421238824495124233225017',NULL,'272',32.73,1,3,NULL),(16,3237648,'1991-02-21 00:00:00',4,1,12,2008,'M','N','PARQUE INDUSTRIAL','S JOSé CAMPOS','SP','125254251215111431568611575111610137187',NULL,'9998',0.00,1,3,NULL),(16,3237664,'1989-08-16 00:00:00',4,3,12,2006,'M','N','CIDADE NOVA','PTO UNIãO','SC','124242241216153741338819175122610162171',6949,'633',54.39,1,3,NULL),(16,3237672,'1984-10-17 00:00:00',4,1,12,2001,'M','N','NSS SRA DO ROSáRIO','S JOSé','SC','124242241217375751569933491124231067095',5459,'266',57.58,1,3,NULL),(16,3237680,'1990-09-26 00:00:00',4,1,7,2008,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241247337272531256923575114610136092',12481,'977',44.43,1,3,NULL),(16,3237702,'1991-02-19 00:00:00',4,1,12,2008,'F','N','SETOR OESTE','GOIâNIA','GO','109092091217111441567929575122610123147',NULL,'9998',0.00,1,3,NULL),(16,3237710,'1991-07-03 00:00:00',4,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSé','SC','124242241216111451346313595112610165145',8252,'1011',51.87,1,3,NULL),(16,3237729,'1990-11-01 00:00:00',2,1,12,2007,'M','N','ARIRIú','PALHOçA','SC','124241241127151331533414245124610124052',NULL,'593',25.38,4,2,1),(16,3237737,'1976-07-13 00:00:00',4,1,12,1993,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242248112153411128844345124133212181',14391,'306',40.89,2,1,2),(16,3237745,'1987-01-03 00:00:00',2,4,12,2004,'M','N','CENTRO','CHAPECó','SC','624242241215152431429812395221133261017',NULL,'185',10.06,1,3,NULL),(16,3237753,'1991-03-06 00:00:00',2,1,11,2008,'M','N','COLÕNIA SANTANA','S JOSé','SC','124243241217151531436612575114610127062',NULL,'9997',33.12,1,3,NULL),(16,3237761,'1991-06-08 00:00:00',4,1,12,2008,'F','N','LOURO','ANTôNIO CARLOS','SC','124241241115271431533312572224610163192',12494,'21',44.39,1,2,1),(16,3237770,'1990-05-18 00:00:00',4,3,12,2007,'M','N','CENTRO','CURITIBA','PR','124241161217472431489919572122610167045',NULL,'9998',0.00,1,3,NULL),(16,3237788,'1991-07-23 00:00:00',4,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215111432468614575122610134147',6427,'226',55.42,1,3,NULL),(16,3237796,'1990-03-19 00:00:00',4,1,12,2007,'M','N','JARDIM PARAíBA','APARECIDA','SP','125252256117141411447724444234610142052',8362,'9998',51.66,2,1,2),(16,3237800,'1982-04-06 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241127474431364443135323121767097',5326,'142',57.82,1,2,1),(16,3237826,'1989-07-31 00:00:00',4,8,12,2007,'M','N','TANGUA','ALM TAMANDARé','PR','116162161215371431568814572123241426077',8439,'9998',51.51,1,3,NULL),(16,3237842,'1990-08-25 00:00:00',4,5,12,2008,'M','N','PIO CORREIA','CRICIúMA','SC','124244246612151751459812575112610114182',NULL,'230',21.59,1,3,NULL),(16,3237850,'1985-09-26 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124041047226472421358822445122610127092',11406,'9999',46.34,4,3,NULL),(16,3237869,'1983-06-06 00:00:00',2,1,12,2000,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124203201226141711564611445134140233145',NULL,'9998',19.79,1,3,NULL),(16,3237877,'1990-06-01 00:00:00',4,8,11,2007,'M','N','CENTRO','S SEBASTIãO AMOREIRA','PR','116161161117371731328339474114610168057',13876,'9998',41.90,3,2,1),(16,3237885,'1989-12-09 00:00:00',2,1,12,2006,'F','N','JARDIM CIDADE','S JOSé','SC','124242241215473411546414241124610168072',NULL,'943',0.00,1,3,NULL),(16,3237893,'1991-02-20 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111411338624575124610117042',NULL,'884',15.94,1,3,NULL),(16,3237907,'1988-06-09 00:00:00',4,3,12,2005,'F','N','INDIANóPOLIS','S PAULO','SP','125252251215472751248829192114141742182',13283,'9998',43.01,1,3,NULL),(16,3237915,'1988-07-13 00:00:00',4,1,12,2006,'M','N','CENTRO','PNT GROSSA','PR','116242161216472441335762572112610124097',NULL,'9998',0.00,1,3,NULL),(16,3237923,'1991-11-18 00:00:00',4,5,12,2009,'M','S','PIO CORREIA','CRICIúMA','SC','124246248616171721459812575112610134062',NULL,'230',18.62,1,3,NULL),(16,3237931,'1983-09-28 00:00:00',2,1,12,2000,'F','N','ARIRIU FORMIGA','PALHOçA','SC','224243241112134721556714445134220812197',14710,'307',40.26,1,3,NULL),(16,3237940,'1991-06-28 00:00:00',4,8,12,2008,'M','N','CENTRO','MATELâNDIA','PR','116162161217471432439912575224610138182',NULL,'9998',32.89,1,3,NULL),(16,3237958,'1991-07-13 00:00:00',4,4,12,2008,'F','N','CENTRO','GUARUJá SUL','SC','124241241116161431553426575122610167071',7068,'339',54.16,1,3,NULL),(16,3237966,'1990-04-13 00:00:00',2,9,12,2006,'F','N','CENTRO','PRES GETúLIO','SC','124244241215372411469913582124233123142',5505,'991',57.46,1,3,NULL),(16,3237974,'1990-10-21 01:00:00',2,1,12,2007,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124243241415472431458713375124610128187',7542,'1022',53.25,3,3,NULL),(16,3237982,'1989-11-13 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124241241111371131436514272124610123143',NULL,'257',32.24,1,2,1),(16,3237990,'1991-08-02 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161211121431358811571122610127122',NULL,'9998',0.00,1,3,NULL),(16,3238008,'1978-12-29 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241247127133131128544242323610127117',NULL,'9999',25.92,1,3,NULL),(16,3238016,'1980-07-15 00:00:00',2,4,12,1997,'F','N','CENTRO','CAXAMBU SUL','SC','124241241331272431446936411124331537072',NULL,'185',0.00,1,3,NULL),(16,3238024,'1991-01-15 00:00:00',2,4,12,2008,'F','N','INTERIOR','RONDA ALTA','RS','120201201116161431424336371324610124197',NULL,'9998',25.87,1,2,1),(16,3238032,'1987-09-21 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217152721379933445122230234112',NULL,'262',42.76,1,3,NULL),(16,3238040,'1979-07-17 00:00:00',3,1,12,1996,'M','N','KOBRASOL','S JOSé','SC','124242241216155411433327485114120225172',1979,'724',67.27,1,3,NULL),(16,3238059,'1976-06-02 00:00:00',4,1,12,1993,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','224242241216143441468851595122132636093',NULL,'269',0.00,1,3,NULL),(16,3238067,'1989-03-10 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241127372431324324215334610131147',12010,'34',45.24,1,2,1),(16,3238075,'1989-11-09 00:00:00',2,1,12,2007,'M','N','CENTRO','S JOSé','SC','124243241115273441566711475124223222082',6883,'306',54.52,1,3,NULL),(16,3238083,'1990-03-01 00:00:00',4,3,11,2006,'F','N','BATEL','CURITIBA','PR','116204201217572411335834571122610162087',3526,'9998',62.31,4,3,NULL),(16,3238091,'1987-02-26 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSé','SC','124241241125272751425331245334610123187',NULL,'257',27.82,1,2,1),(16,3238105,'1988-09-30 00:00:00',4,1,12,2006,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241112272732346614475114121437062',209,'817',79.08,1,3,NULL),(16,3238121,'1988-03-02 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241116272421323314241214610163037',NULL,'257',31.18,2,1,1),(16,3238130,'1981-04-07 00:00:00',2,1,12,1999,'M','N','CAMPINAS','S JOSé','SC','624161161116471441239944445134343267047',NULL,'9998',0.00,1,3,NULL),(16,3238148,'1990-03-13 00:00:00',2,4,12,2007,'M','N','INTERIOR','RONDA ALTA','RS','120201201116161431323336341223610127057',NULL,'9998',23.38,1,2,1),(16,3238156,'1984-09-19 00:00:00',2,1,8,2003,'F','N','INGLESES','FLORIANóPOLIS','SC','124253241136133441346823595122231244187',10844,'306',47.28,1,3,NULL),(16,3238164,'1989-02-16 00:00:00',4,1,12,2007,'F','N','CENTRO','OSóRIO','RS','120201207147271711335631371324240466117',NULL,'9999',27.34,1,2,1),(16,3238172,'1985-07-12 00:00:00',2,1,12,2005,'M','N','RATONES','FLORIANóPOLIS','SC','124051051147372431214444342124610127047',NULL,'9997',38.56,4,1,1),(16,3238180,'1989-09-19 00:00:00',4,1,12,2007,'M','N','PARQUE FRANCAL','FRANCA','SP','125252251215471431338614275122610165177',11322,'9998',46.45,1,3,NULL),(16,3238199,'1989-12-13 00:00:00',4,1,12,2007,'M','N','CENTRO','LONDRINA','PR','116112111217471431257932375112610162077',13442,'9998',42.71,1,3,NULL),(16,3238202,'1988-12-16 00:00:00',4,1,6,2006,'M','N','ÁGUA VERDE','CURITIBA','PR','116124281416371731358819395124143234047',NULL,'9998',0.00,1,3,NULL),(16,3238229,'1991-12-20 00:00:00',4,4,12,2008,'F','N','CENTRO','IPUMIRIM','SC','124241241115371531468613575122610113142',8103,'169',52.21,1,2,1),(16,3238237,'1989-02-23 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124244241217131431248324342235131067047',NULL,'1022',31.09,1,3,NULL),(16,3238245,'1991-06-03 00:00:00',4,8,11,2008,'F','N','CENTRO','CURITIBA','PR','116165168435421431136834575122620124142',NULL,'9998',0.00,1,3,NULL),(16,3238253,'1989-10-27 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241211272411388832325122232628092',13970,'262',41.71,1,3,NULL),(16,3238261,'1982-08-20 00:00:00',2,1,11,1999,'F','N','STO ANTONIO DE LISBO','FLORIANóPOLIS','SC','124241241112274731634413345114321226055',2813,'307',64.35,1,2,1),(16,3238270,'1991-08-10 00:00:00',2,1,11,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241142151431436519572214610137043',NULL,'290',28.50,1,2,1),(16,3238288,'1990-02-11 00:00:00',2,1,12,2006,'M','N','ARIRIú','PALHOçA','SC','124243241116274431426614342134610167097',NULL,'772',31.68,1,3,NULL),(16,3238296,'1991-08-30 00:00:00',4,1,11,2007,'F','N','IMPERIAL','CONCóRDIA','SC','124241241215412411169934575324610168177',NULL,'270',36.34,1,3,NULL),(16,3238300,'1986-09-05 00:00:00',2,1,12,2004,'M','N','PICADAS DO SUL','S JOSé','SC','124242241216163432466613332122610127042',11271,'944',46.52,1,3,NULL),(16,3238318,'1991-08-08 00:00:00',2,5,11,2007,'F','N','SãO JOSé','SOMBRIO','SC','124241241416132431436923275122231342052',14012,'904',41.63,1,3,NULL),(16,3238326,'1989-10-28 00:00:00',2,1,12,2006,'M','N','JARDIM ALVORADA','MARINGá','PR','116161161215571731455532574124610135142',994,'9998',72.10,1,3,NULL),(16,3238334,'1991-03-15 00:00:00',2,7,12,2007,'F','N','CENTRO','FAXINAL GUEDES','SC','124242241237371431459611475124232422187',7918,'836',52.57,1,3,NULL),(16,3238342,'1990-04-30 00:00:00',4,1,12,2007,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241215372411229732575224610124145',6428,'1026',55.42,1,3,NULL),(16,3238350,'1990-11-26 00:00:00',4,1,12,2007,'F','N','VILA ESPERANçA','IMBITUBA','SC','124241241112131431436314575124610127117',NULL,'359',25.79,1,2,1),(16,3238369,'1986-11-07 00:00:00',2,1,12,2004,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124201201111131411433344141124143268142',NULL,'9998',29.63,1,2,1),(16,3238377,'1970-12-07 00:00:00',4,1,12,1998,'F','N','BELA VISTA I','S JOSé','SC','124251251132133421135544445123141924147',NULL,'9998',21.61,2,1,1),(16,3238385,'1986-07-08 00:00:00',2,1,12,2006,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241111352411439513585121610162042',9402,'298',49.89,1,2,1),(16,3238393,'1980-07-23 00:00:00',4,1,7,1999,'M','N','CENTRO','PALHOçA','SC','124241243117163431666439245133610167047',12153,'306',44.98,1,2,1),(16,3238407,'1983-05-21 00:00:00',2,1,6,2001,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241316474411236623445124231363145',NULL,'9999',28.34,1,3,NULL),(16,3238415,'1989-07-27 00:00:00',2,1,12,2006,'M','N','CAMPINAS','S JOSé','SC','124242241215272431246824345132130744067',14884,'9999',39.92,1,3,NULL),(16,3238423,'1990-01-12 00:00:00',4,6,12,2006,'F','N','CENTRO','NAVEGANTES','SC','124244241215572431446819575123610163197',16514,'1026',35.42,2,3,NULL),(16,3238458,'1987-06-05 00:00:00',4,8,12,2004,'F','N','CRISTO REI','CURITIBA','PR','116162161217511731478812575124610132121',8132,'9998',52.16,1,3,NULL),(16,3238466,'1974-10-16 00:00:00',4,1,12,1995,'M','N','ITACORUBI','FLORIANóPOLIS','SC','224201208116131121445544345132141437147',15146,'9998',39.31,1,2,1),(16,3238474,'1990-12-25 00:00:00',2,1,12,2008,'M','N','CENTRO','BIGUAçU','SC','124244241211111411467913591125610147042',NULL,'738',25.91,1,3,NULL),(16,3238482,'1981-09-27 00:00:00',4,1,10,2001,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124252257226131411238674285124142266177',NULL,'9998',0.00,1,3,NULL),(16,3238490,'1990-09-19 00:00:00',2,9,12,2007,'F','N','PROGRESSO','POUSO REDONDO','SC','124241241135141431323314241222610141147',NULL,'639',24.68,1,2,1),(16,3238504,'1983-10-12 00:00:00',4,1,12,2001,'M','N','CAMBUI','CAMPINAS','SP','125251251116142411467614395122241127082',10507,'9998',47.90,4,3,NULL),(16,3238512,'1991-01-28 00:00:00',4,2,12,2008,'F','N','VILA MARIANA','TAIó','SC','124243241335111431358613471122610168197',NULL,'777',27.57,1,3,NULL),(16,3238520,'1988-03-24 00:00:00',4,1,12,2005,'F','N','FORQUILHINHAS','S JOSé','SC','124242241215112441489823275122231034071',10240,'270',48.36,2,3,NULL),(16,3238539,'1978-10-17 00:00:00',2,1,12,2000,'M','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124241207626131441222264385314341946197',NULL,'9999',0.00,4,3,NULL),(16,3238555,'1990-04-04 00:00:00',4,8,11,2007,'F','N','ALTO DA XV','GUARAPUAVA','PR','116162161215471751438814572122610163197',12949,'9998',43.60,1,3,NULL),(16,3238563,'1985-05-03 00:00:00',2,1,12,2002,'M','N','NOVA DESCOBERTA','TIJUCAS','SC','124241241126272421323344345132130232097',NULL,'783',0.00,1,2,1),(16,3238571,'1991-04-26 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124242241215131432337813291114610112197',10557,'1074',47.82,1,3,NULL),(16,3238580,'1991-01-05 00:00:00',4,1,12,2008,'F','N','BALNEARIO ESTREITO','FLORIANóPOLIS','SC','124242241215371431467923275122610124071',5167,'1134',58.19,4,3,NULL),(16,3238598,'1988-02-03 00:00:00',4,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124244241416132422528814575112231412181',15303,'943',38.96,1,3,NULL),(16,3238601,'1990-10-05 00:00:00',2,1,12,2007,'M','N','PICADAS DO SUL','S JOSé','SC','124242241216472431456613475114610132062',3771,'1074',61.66,1,3,NULL),(16,3238610,'1991-09-30 00:00:00',4,1,12,2008,'F','N','COVA TRISTE','PAULO LOPES','SC','124241241125161531431633572344610136147',NULL,'607',7.61,1,3,NULL),(16,3238628,'1972-11-30 00:00:00',2,1,12,1992,'F','N','TRISTEZA','PTO ALEGRE','RS','620203257337131721426641312122610145197',NULL,'9999',24.22,1,3,NULL),(16,3238636,'1989-07-18 00:00:00',2,1,12,2006,'M','N','SAO JORGE','TRêS LAGOAS','MS','112113121116271431436934472121610134157',12943,'9998',43.61,4,3,NULL),(16,3238644,'1988-02-27 00:00:00',2,6,11,2004,'M','N','CENTRO','BAL CAMBORIú','SC','124161114115411431478836575112610116042',10565,'9998',47.81,1,3,NULL),(16,3238652,'1985-04-19 00:00:00',2,1,12,2002,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124161161136373421226648182224610138152',16163,'9998',36.75,1,2,1),(16,3238660,'1989-05-13 00:00:00',2,1,2,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241115473441646614245134610124142',8699,'739',51.08,1,3,NULL),(16,3238679,'1985-08-15 00:00:00',2,1,12,2002,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241117375712337743337233120666177',2367,'306',65.82,1,2,1),(16,3238687,'1990-12-22 00:00:00',2,6,12,2008,'F','N','CENTRO','SALETE','SC','124241241127161431469913575121610133017',NULL,'680',26.47,1,2,1),(16,3238695,'1988-09-30 00:00:00',2,1,12,2006,'M','N','CAMINHO DAS ARVORES','SALVADOR','BA','105052051216474112358819515124613267192',NULL,'9998',0.00,4,3,NULL),(16,3238709,'1983-05-04 00:00:00',2,1,12,2001,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124201201122131421128641412324331368022',12931,'9998',43.62,1,3,NULL),(16,3238717,'1989-10-31 00:00:00',2,1,11,2006,'F','N','JARDIM ATLâNTICO','S JOSé','SC','124242241212273431448913472124232747147',NULL,'262',0.00,1,3,NULL),(16,3238725,'1991-10-15 00:00:00',2,10,12,2008,'F','N','CENTRO','TAIó','SC','124241241136131311326624585121610122147',NULL,'777',6.42,1,3,NULL),(16,3238733,'1990-09-29 00:00:00',2,1,12,2008,'F','N','PANTANO DO SUL','FLORIANóPOLIS','SC','124243241315151411356633575124610122182',NULL,'281',21.05,1,3,NULL),(16,3238741,'1993-04-25 00:00:00',4,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124241241112131431227624572224610137172',NULL,'1074',22.60,1,2,1),(16,3238750,'1983-01-04 00:00:00',4,1,12,2000,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124254251244334431128729445234333234057',5275,'1036',57.92,1,3,NULL),(16,3238768,'1985-11-24 00:00:00',2,1,12,2006,'F','N','KOBRASOL','S JOSé','SC','124201201123131431616419245334610156187',NULL,'9998',0.00,1,2,1),(16,3238776,'1992-02-20 00:00:00',4,1,12,2009,'M','S','PONTE IMARUIM','PALHOçA','SC','124241241117151731433331345125610111017',NULL,'592',21.16,1,3,NULL),(16,3238784,'1989-05-18 00:00:00',4,2,12,2006,'F','N','PADRE MARTINHO STEIN','TIMBó','SC','124241241111131711533623341224610152017',NULL,'787',23.99,1,2,1),(16,3238792,'1991-05-29 00:00:00',4,8,12,2008,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161216111431458931574114610137097',NULL,'9998',48.44,1,3,NULL),(16,3238806,'1974-10-11 00:00:00',2,10,12,1992,'M','N','AZENHA','PTO ALEGRE','RS','120203201217121431336933476121141434047',NULL,'9998',0.00,1,3,NULL),(16,3238814,'1991-11-07 00:00:00',4,1,11,2008,'F','N','CENTRO','S JOãO BATISTA','SC','124243241235111231545512574122610111147',NULL,'948',30.22,1,3,NULL),(16,3238822,'1990-05-11 00:00:00',4,1,12,2007,'F','N','XAXIM','CURITIBA','PR','116164161215471731326614575114610165197',NULL,'9998',0.00,3,3,NULL),(16,3238830,'1983-05-07 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241326154421435379395134133223022',NULL,'307',23.71,2,1,2),(16,3238849,'1988-01-20 00:00:00',2,1,12,2005,'F','N','FAZENDA STO ANTONIO','S JOSé','SC','124241241116132431433411245124133222067',15161,'592',39.28,1,3,NULL),(16,3238857,'1990-10-30 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241116132441433435585124222362047',12721,'377',43.98,1,2,1),(16,3238865,'1981-09-18 00:00:00',2,1,12,1999,'F','N','BARREIROS','S JOSé','SC','224243061237275421243244445134610146117',NULL,'9998',28.70,1,3,NULL),(16,3238873,'1988-11-04 00:00:00',2,1,12,2006,'M','N','CECAP II','INDAIATUBA','SP','125251251127571131447614145133610124194',9861,'9998',49.04,4,1,1),(16,3238881,'1985-09-08 00:00:00',2,1,12,2003,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124241241217145431445644447124232721097',NULL,'269',25.80,1,3,NULL),(16,3238903,'1991-05-09 00:00:00',4,2,11,2008,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241117151411458314416114610138022',16555,'69',35.15,1,3,NULL),(16,3238911,'1990-09-16 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215111231335519572114610167043',NULL,'737',15.88,1,3,NULL),(16,3238920,'1989-05-30 00:00:00',4,5,12,2006,'M','N','CENTRO','ORLEANS','SC','124242241215121421433612445122131167042',NULL,'226',0.00,1,3,NULL),(16,3238938,'1989-10-21 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241115272421479933575112610167127',13289,'267',42.99,1,2,1),(16,3238946,'1991-05-15 00:00:00',4,2,12,2008,'M','N','CENTRO','MTE CARLO','SC','124241241125131131424414242345610167042',16576,'936',35.01,1,3,NULL),(16,3238954,'1988-10-16 01:00:00',4,1,12,2005,'M','N','PORTãO','CURITIBA','PR','116161168216472451334629571214610166047',NULL,'9998',0.00,1,3,NULL),(16,3238962,'1991-07-14 00:00:00',2,1,12,2008,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241116471431446834575122610168182',16170,'298',36.73,4,2,1),(16,3238970,'1986-03-17 00:00:00',2,1,12,2003,'M','N','ESTREITO','FLORIANóPOLIS','SC','124243241317272431436611345124610123092',NULL,'943',21.71,1,3,NULL),(16,3238989,'1989-02-12 00:00:00',2,1,12,2006,'F','N','ARMAçãO DO PâNTANO','FLORIANóPOLIS','SC','124241241126133431433631342134610134147',NULL,'291',22.68,1,2,1),(16,3238997,'1987-12-08 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','224201201337271431224848341124610142127',NULL,'9998',21.70,1,3,NULL),(16,3239004,'1987-09-08 00:00:00',2,1,12,2005,'M','N','LIBERDADE','S PAULO','SP','125252251416571711448831575125610164097',11580,'9998',46.04,1,3,NULL),(16,3239020,'1992-01-19 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215271751436611575114610162192',15858,'868',37.61,1,3,NULL),(16,3239039,'1975-04-02 00:00:00',2,1,6,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','224242247212131431423144212334610168187',NULL,'9999',21.27,1,3,NULL),(16,3239047,'1980-07-11 00:00:00',4,1,12,1997,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','224112111117131431426329395124142836097',9229,'9998',50.20,3,3,NULL),(16,3239055,'1988-06-18 00:00:00',4,4,12,2005,'M','N','CENTRO','STA MARIA','RS','120201201214571451238833574214610137047',3826,'9998',61.53,1,3,NULL),(16,3239071,'1985-07-02 00:00:00',2,4,12,2002,'M','N','BELA VISTA','CHAPECó','SC','124201201116131421223344345224610156197',NULL,'9998',24.95,1,2,1),(16,3239080,'1988-09-17 00:00:00',4,2,12,2005,'M','N','CENTRO','ASCURRA','SC','124241248316573431558733595122610168172',NULL,'940',37.69,1,3,NULL),(16,3239098,'1988-04-19 00:00:00',4,1,12,2005,'M','N','JD IMPERIAL','MARINGá','PR','116162161216474431458831575112610137127',NULL,'9998',0.00,3,3,NULL),(16,3239101,'1991-10-19 00:00:00',2,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241116371431335513392124610137032',NULL,'298',29.82,1,2,1),(16,3239110,'1987-12-02 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216374411378834445122231016092',11912,'266',45.42,1,3,NULL),(16,3239128,'1991-07-16 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115371431556633572124610117147',NULL,'293',23.69,1,2,1),(16,3239136,'1988-12-28 00:00:00',4,1,12,2006,'F','N','CENTRO','GOIâNIA','GO','109092091217572431468811574122610132182',592,'9998',75.00,1,3,NULL),(16,3239144,'1991-07-03 00:00:00',4,1,11,2008,'M','N','CAMPO ALEGRE','PINDAMONHANGABA','SP','125252258217111431536832572122610127114',NULL,'9998',0.00,1,3,NULL),(16,3239152,'1991-01-22 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241415112431333824572124610125047',11893,'1022',45.47,4,3,NULL),(16,3239179,'1982-05-05 00:00:00',3,1,12,2000,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241115135411324421445334610167151',NULL,'298',0.00,1,3,NULL),(16,3239187,'1989-01-17 00:00:00',4,1,12,2006,'M','N','IPIRANGA','S JOSé','SC','124244241415574531456833575124610127052',NULL,'943',33.35,1,3,NULL),(16,3239195,'1985-07-03 00:00:00',4,1,12,2004,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124134131417132431327939345334232242142',NULL,'9998',0.00,2,3,NULL),(16,3239217,'1991-05-23 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215121731258621595112610128111',NULL,'1022',21.69,1,3,NULL),(16,3239233,'1981-05-28 00:00:00',4,1,12,1999,'M','N','PRAIA COMPRIDA','S JOSé','SC','124241247417132431444329395134610128112',NULL,'9999',33.01,1,3,NULL),(16,3239241,'1989-06-12 00:00:00',4,1,12,2006,'M','N','MORUMBI','VALPARAíSO','SP','125252251216411411479919575112610167042',3308,'9998',62.96,1,3,NULL),(16,3239250,'1991-03-28 00:00:00',4,1,11,2008,'F','N','NOVA SUIÇA','GOIâNIA','GO','109092091216111431568811574122610132182',NULL,'9998',0.00,1,3,NULL),(16,3239268,'1990-09-19 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124242241416371431426811335134610161187',370,'723',77.11,1,3,NULL),(16,3239276,'1984-09-04 00:00:00',4,1,1,2004,'M','N','PORTO DA LAGOA','FLORIANóPOLIS','SC','124241247117271411334629285124610164047',9604,'9999',49.51,1,2,1),(16,3239284,'1987-11-10 00:00:00',4,1,12,2005,'M','N','BARRA DO ARIRIU','PALHOçA','SC','124241241122474711355413395124610162045',NULL,'591',28.28,1,2,1),(16,3239292,'1991-10-11 00:00:00',2,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSé','SC','120201201117131431328724575124610128182',NULL,'9998',0.00,1,2,1),(16,3239306,'1991-03-10 00:00:00',2,1,12,2008,'F','N','PASSA VINTE','PALHOçA','SC','124242241315131431433612342124610123157',9169,'592',50.30,1,3,NULL),(16,3239314,'1987-09-22 00:00:00',2,1,12,2005,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215312421436319445124131464042',11369,'497',46.39,1,3,NULL),(16,3239322,'1989-02-18 00:00:00',4,8,12,2006,'M','N','CENTRO','PAPANDUVA','SC','124241241116571751556923575124610136172',2618,'603',64.94,1,2,1),(16,3239330,'1984-05-15 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241136273711446623321124610122057',15880,'729',37.53,2,1,1),(16,3239349,'1992-02-20 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124242241212111431437831572124610124092',NULL,'1022',21.49,1,3,NULL),(16,3239357,'1991-02-01 00:00:00',4,1,11,2008,'M','N','SETOR BUENO','GOIâNIA','GO','109092091216111431568811574122610162182',5945,'9998',56.47,1,3,NULL),(16,3239365,'1973-04-27 00:00:00',4,1,11,1992,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','624121121122131721333349141124133267052',NULL,'9998',19.78,4,3,NULL),(16,3239373,'1991-07-01 00:00:00',2,1,12,2008,'M','N','AREIAS','S JOSé','SC','124241241117141731566332422124610117143',NULL,'257',20.63,1,3,NULL),(16,3239381,'1985-04-19 00:00:00',4,1,12,2003,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124204201317271741126348382321610131117',NULL,'9998',37.36,1,3,NULL),(16,3239390,'1989-12-19 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241142131731437729342134610122147',NULL,'257',20.52,1,2,1),(16,3239403,'1990-04-23 00:00:00',5,3,12,2007,'M','N','BATEL','CURITIBA','PR','116163161216471431548831575125610164057',6938,'9998',54.42,1,3,NULL),(16,3239411,'1991-04-09 00:00:00',4,1,12,2008,'F','N','JARDIM FLORESTA','S JOSé','SC','124244241215111431356613575124610118052',6471,'1022',55.32,1,3,NULL),(16,3239420,'1987-02-14 00:00:00',4,1,12,2005,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124164241216274231365611285124130227067',16158,'1048',36.76,1,3,NULL),(16,3239438,'1990-07-20 00:00:00',4,10,12,2007,'M','N','VILA MOEMA','TUBARãO','SC','124202241211372411446813575121610167047',124,'807',80.58,1,3,NULL),(16,3239446,'1989-11-18 00:00:00',4,1,12,2006,'M','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','124201201117374431327663475124222344042',NULL,'9998',0.00,1,3,NULL),(16,3239462,'1985-06-07 00:00:00',4,6,12,2003,'F','N','MEIA PRAIA','ITAPEMA','SC','124241244115371431323319342334610167147',NULL,'630',24.02,1,3,NULL),(16,3239470,'1975-02-12 00:00:00',4,1,12,1991,'F','N','ITACORUBI','FLORIANóPOLIS','SC','224201201216131431448854385122441036037',14930,'9998',39.82,1,3,NULL),(16,3239489,'1987-08-07 00:00:00',4,1,12,2005,'F','N','SETOR BUENO','GOIâNIA','GO','109092091216571431568811572122610162182',7350,'9998',53.62,1,3,NULL),(16,3239497,'1979-04-10 00:00:00',2,1,12,1999,'M','N','SERRINHA','FLORIANóPOLIS','SC','124241246136145431435813445124222328097',NULL,'306',33.07,1,2,1),(16,3239500,'1991-07-08 00:00:00',4,1,12,2008,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241225111731536414575114610168147',NULL,'262',29.40,1,3,NULL),(16,3239519,'1988-07-11 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124241241132473411336649595114610136197',15399,'257',38.77,2,3,NULL),(16,3239527,'1985-02-21 00:00:00',4,1,12,2002,'M','N','ESTREITO','FLORIANóPOLIS','SC','624243241316474431227654485124131424197',4634,'169',59.46,1,3,NULL),(16,3239535,'1987-07-18 00:00:00',2,1,6,2006,'M','N','BARREIROS','S JOSé','SC','124201207427571432229731346124140227117',NULL,'9998',24.29,1,3,NULL),(16,3239543,'1990-01-20 00:00:00',2,1,12,2007,'M','N','BOA VISTA','NAVIRAí','MS','112121121117111231423833575112610127082',NULL,'9998',0.00,1,3,NULL),(16,3239551,'1991-02-27 00:00:00',4,1,12,2008,'F','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241241115471731523339572124610124147',NULL,'257',23.13,1,3,NULL),(16,3239560,'1990-01-29 00:00:00',4,1,10,2008,'M','N','AGUAS CLARAS','TAGUATINGA','DF','107282281215271731369923495125610164187',NULL,'9998',0.00,1,3,NULL),(16,3239578,'1988-04-18 00:00:00',2,1,12,2005,'M','N','CENTRO','CARAZINHO','RS','120202201211271431546731121214143262142',12688,'9998',44.02,4,3,NULL),(16,3239586,'1990-06-20 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116161161115471531536834575124610163147',NULL,'9998',28.71,1,2,1),(16,3239594,'1989-04-06 00:00:00',2,2,12,2006,'F','N','ESCOLA AGRíCOLA','BLUMENAU','SC','124241241111132431335611481124610121097',NULL,'84',0.00,1,2,1),(16,3239608,'1991-08-14 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243241117372431336569596214610137057',NULL,'298',31.32,1,3,NULL),(16,3239616,'1991-10-14 00:00:00',4,1,12,2008,'F','N','SERTãO DO MARUIM','S JOSé','SC','124241241122131431326379192324610137147',15949,'1155',37.36,1,2,1),(16,3239624,'1988-02-18 00:00:00',4,1,12,2005,'M','N','ARMAçãO DO P DO SUL','FLORIANóPOLIS','SC','124244248216574731458913575124130222062',8029,'300',52.37,1,3,NULL),(16,3239632,'1990-04-05 00:00:00',4,1,11,2007,'M','N','PIO CORREA','CRICIúMA','SC','124242241216372411449912125122130362117',NULL,'226',14.56,1,3,NULL),(16,3239640,'1988-02-17 00:00:00',2,1,12,2004,'M','N','FORQUILHINHAS','S JOSé','SC','124242241211374431533634341124610123017',13779,'1036',42.11,1,3,NULL),(16,3239659,'1963-04-10 00:00:00',5,2,11,1997,'F','N','CENTRO','TIMBó','SC','224241244126141421323551212332330261122',NULL,'9997',23.48,1,3,NULL),(16,3239667,'1989-06-30 00:00:00',4,1,12,2006,'F','N','ZONA DOIS','MARINGá','PR','116162161217471731479933574122140846187',NULL,'9998',0.00,3,3,NULL),(16,3239675,'1989-10-28 00:00:00',2,1,12,2007,'F','N','CENTRO','PARANAGUá','PR','116162161215471431448813575124610124187',NULL,'9998',0.00,1,3,NULL),(16,3239683,'1991-04-22 00:00:00',4,1,12,2008,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124244241415111711576923475112610114082',NULL,'1022',31.72,4,3,NULL),(16,3239713,'1990-10-09 00:00:00',2,5,12,2008,'F','N','SANTO ANJO DA GUARDA','TRêS CACHOEIRAS','RS','120201208226141731446939495124610126196',NULL,'9998',31.77,1,3,NULL),(16,3239721,'1990-03-09 00:00:00',2,1,12,2007,'M','N','CENTRO','S JOSé','SC','124242241115161411445823594124131247177',NULL,'733',27.32,1,3,NULL),(16,3239730,'1982-10-28 00:00:00',2,1,6,2002,'F','N','SACO DOS LIMOêS','FLORIANóPOLIS','SC','124241247132131731333144342124131217183',NULL,'9999',22.19,4,1,1),(16,3239748,'1982-05-31 00:00:00',4,1,12,2000,'M','N','COQUEIROS','FLORIANóPOLIS','SC','224203208236272421246349495122220267043',11437,'9998',46.29,1,3,NULL),(16,3239756,'1990-01-30 00:00:00',4,1,12,2007,'F','N','ALTOS DO ESPLANADA','S JOSé CAMPOS','SP','125252251215471411348814575124610132142',1805,'9998',67.97,1,3,NULL),(16,3239764,'1990-10-22 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241217372431338823572114610122071',11173,'1046',46.71,1,3,NULL),(16,3239772,'1991-03-02 00:00:00',4,1,12,2008,'F','N','AREIAS','S JOSé','SC','124242241215111411438621442122610143182',7497,'1022',53.33,1,3,NULL),(16,3239780,'1992-01-14 00:00:00',2,7,10,2008,'F','N','VITORIA I','ERECHIM','RS','120204201217131431538814575122610137142',2782,'9998',64.47,1,3,NULL),(16,3239799,'1991-01-18 00:00:00',4,7,7,2008,'M','N','IMIGRANTES','CONCóRDIA','SC','124241241142272731443623244121610138052',NULL,'192',15.56,1,3,NULL),(16,3239802,'1988-04-27 00:00:00',2,1,12,2005,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241116273711426533395124130236097',14157,'267',41.32,1,2,1),(16,3239810,'1988-10-02 00:00:00',2,4,12,2006,'M','N','CENTRO','CRISTAL SUL','RS','120201201136131431523335485314240844097',NULL,'9998',30.40,1,3,NULL),(16,3239829,'1990-05-17 00:00:00',2,1,12,2007,'F','N','CENTRO','STA MARIA','RS','120201201117471431427311395324610167017',15231,'9998',39.13,1,3,NULL),(16,3239837,'1991-05-11 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241215122431438611472124610123142',6642,'270',54.97,1,3,NULL),(16,3239845,'1988-06-03 00:00:00',3,1,12,2004,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','121286211216152731458819575222242466187',740,'9998',73.93,1,3,NULL),(16,3239853,'1991-06-18 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241211112751349721575122610161092',3604,'1022',62.08,1,3,NULL),(16,3239861,'1988-05-10 00:00:00',4,1,12,2005,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124241241116371431546619495124610124142',NULL,'281',23.43,1,3,NULL),(16,3239870,'1989-10-12 00:00:00',4,1,11,2007,'M','N','JARDIM DA SAUDE','S PAULO','SP','125252251217472411547831385124610128112',10838,'9998',47.30,1,3,NULL),(16,3239888,'1991-04-14 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241117221431433729575124610167147',9854,'307',49.05,1,3,NULL),(16,3239896,'1984-05-02 00:00:00',2,2,12,2001,'F','N','VICTOR KONDER','BLUMENAU','SC','124244241215474441238654475121132866092',4387,'909',60.05,1,3,NULL),(16,3239918,'1984-05-02 00:00:00',4,10,12,2003,'M','N','PASSAGEM','TUBARãO','SC','124241241126131411433631245123130266183',NULL,'801',27.24,1,2,1),(16,3239926,'1987-07-29 00:00:00',4,1,12,2004,'M','N','VISTA VERDE','S JOSé CAMPOS','SP','125252251216571431337838285114610122167',2668,'9998',64.80,1,3,NULL),(16,3239934,'1990-07-07 00:00:00',4,5,12,2007,'F','N','CENTRO','SIDERóPOLIS','SC','124241247142131731446614242124610111047',NULL,'9999',22.59,1,2,1),(16,3239942,'1984-11-30 00:00:00',2,1,11,2002,'F','N','IPIRANGA','S JOSé','SC','124241241127272431637439291224610122117',15550,'734',38.43,1,2,1),(16,3239950,'1989-01-30 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANóPOLIS','SC','124161161117142421558613445124610124175',NULL,'9998',34.30,1,3,NULL),(16,3239969,'1974-06-09 00:00:00',4,1,12,1992,'M','N','COLONINHA','FLORIANóPOLIS','SC','624241241212153421353444442122130717047',6704,'497',54.86,1,3,NULL),(16,3239977,'1990-05-08 00:00:00',4,1,12,2007,'M','N','CENTRO','IRATI','PR','116162161217571431469933572114610124097',NULL,'9998',0.00,1,3,NULL),(16,3239985,'1990-04-04 00:00:00',2,8,12,2008,'M','N','CRUZEIRO','RIO NEGRINHO','SC','124241241136141431525711345235613268182',NULL,'669',15.26,1,3,NULL),(16,3239993,'1983-08-28 00:00:00',2,1,12,2001,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241112272421634631345133610167012',9956,'307',48.85,1,2,1),(16,3240002,'1989-09-30 00:00:00',4,1,12,2006,'F','N','SERRARIA','S JOSé','SC','124243241215273431536614475124610131117',NULL,'738',34.18,1,3,NULL),(16,3240010,'1990-02-14 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124204201427141411423932275124610138095',NULL,'9998',25.96,1,3,NULL),(16,3240029,'1992-12-07 00:00:00',4,7,12,2009,'F','S','CENTRO','RIO NEGRINHO','SC','124241241215111731336712575122610127016',NULL,'666',36.33,1,3,NULL),(16,3240037,'1988-08-05 00:00:00',4,1,12,2006,'M','N','JD DAS INDUSTRIAS','SAO JOSE DOS CAMPOS','SP','125251251215571421458713475114610117173',NULL,'9998',28.85,1,3,NULL),(16,3240045,'1988-05-22 00:00:00',4,3,12,2005,'M','N','SãO FRANCISCO','CURITIBA','PR','116162161317571431128821571124140664055',9422,'9998',49.86,1,3,NULL),(16,3240053,'1991-10-06 00:00:00',4,1,12,2008,'M','N','SERRARIA','S JOSé','SC','124242241215111531368812575122610137042',NULL,'262',18.97,1,3,NULL),(16,3240061,'1987-05-01 00:00:00',2,1,12,2004,'M','N','RIO BRANCO','PTO ALEGRE','RS','120202201217112411348813496121241262116',9227,'9998',50.21,1,3,NULL),(16,3240070,'1985-12-12 00:00:00',4,1,7,2003,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124281281117151431218941316115142234097',2318,'9999',65.97,1,3,NULL),(16,3240088,'1972-09-15 00:00:00',2,1,12,2000,'M','N','BELA VISTA II','S JOSé','SC','224201207146151421442243235122610162082',NULL,'9999',0.00,1,2,1),(16,3240096,'1990-12-13 00:00:00',2,5,12,2008,'F','N','SãO LUIS','CRICIúMA','SC','124242248117372431446312395122610167117',NULL,'995',34.22,1,3,NULL),(16,3240100,'1991-10-31 00:00:00',4,1,11,2008,'F','N','LOT JARD SãO MIGUEL','BIGUAçU','SC','124244241217111422333539292122610132072',NULL,'63',25.90,1,3,NULL),(16,3240118,'1984-02-02 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANóPOLIS','SC','124202241216273431446811475122220742017',NULL,'266',0.00,1,3,NULL),(16,3240126,'1990-11-23 00:00:00',4,1,12,2007,'M','N','CERQUEIRA CéSAR','S PAULO','SP','125252251217571411358824575115610124047',1552,'9998',69.11,1,3,NULL),(16,3240134,'1982-09-15 00:00:00',4,10,12,1999,'F','N','PARQUE VISTA ALEGRE','BAURU','SP','125252251217151432447839446122342626147',4836,'9998',59.00,3,3,NULL),(16,3240142,'1990-11-11 00:00:00',4,4,12,2007,'F','N','CENTRO','MARAVILHA','SC','124241241314132431443923345125232864197',NULL,'1037',12.86,4,3,NULL),(16,3240150,'1990-10-25 00:00:00',2,1,12,2007,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241117472751436612576124610161187',NULL,'307',27.55,1,2,1),(16,3240169,'1987-02-13 00:00:00',4,8,1,2004,'M','N','JUVEVê','CURITIBA','PR','116162161216572731236827485224243267057',NULL,'9998',0.00,3,3,NULL),(16,3240177,'1988-09-14 00:00:00',4,1,12,2006,'M','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124244241417211421555634445134610117041',15925,'307',37.43,1,3,NULL),(16,3240185,'1989-06-14 00:00:00',4,1,12,2007,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241416272431579614595112610167183',5561,'1134',57.35,1,3,NULL),(16,3240193,'1991-09-27 00:00:00',4,7,11,2008,'F','N','CENTRO','MAXIMILIANO ALMEIDA','RS','120201201226111131436732285124610132147',NULL,'9998',25.76,1,3,NULL),(16,3240207,'1955-08-04 00:00:00',2,1,12,1973,'M','N','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','224201202116111511581143135122343142172',9766,'9998',49.21,1,2,1),(16,3240215,'1989-03-06 00:00:00',4,1,12,2006,'M','N','CAZECA','UBERLâNDIA','MG','113241131127461311438614171123610167057',10922,'680',47.16,1,2,1),(16,3240223,'1990-10-24 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','624242241217272431436824593124610144117',NULL,'1023',32.62,1,3,NULL),(16,3240231,'1988-11-18 00:00:00',4,1,12,2006,'M','N','JARDIM ITAIPU','DOURADOS','MS','112124121216571431589633595125610137042',NULL,'9998',0.00,4,3,NULL),(16,3240240,'1986-05-03 00:00:00',4,1,12,2003,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241116374431436611475122231437161',NULL,'307',31.49,1,2,1),(16,3240258,'1986-04-16 00:00:00',4,1,12,2004,'M','N','FLOR DE NAPOLIS','S JOSé','SC','124243248213242341656612242113620127062',NULL,'1036',27.46,1,3,NULL),(16,3240266,'1955-11-14 00:00:00',2,1,12,1973,'F','N','TRINDADE','FLORIANóPOLIS','SC','524202201216132711343349492112340232187',NULL,'9998',26.43,1,3,NULL),(16,3240274,'1989-05-16 00:00:00',4,1,12,2008,'M','N','PQ SãO MARTINHO','CAMPINAS','SP','125251251117141431345839395124610144182',NULL,'9998',21.90,1,2,1),(16,3240282,'1990-06-26 00:00:00',4,1,12,2007,'F','N','DOM ANTôNIO REIS','STA MARIA','RS','120163161235472431438933571124610161043',2384,'9998',65.75,1,3,NULL),(16,3240290,'1990-07-18 00:00:00',4,1,12,2007,'F','N','MARACANã','FOZ IGUAçU','PR','116162168121151712328833435132610132171',NULL,'9998',0.00,1,3,NULL),(16,3240304,'1989-02-06 00:00:00',4,8,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241212573431369733572122231423182',2131,'270',66.66,1,3,NULL),(16,3240312,'1985-12-18 00:00:00',4,1,7,2005,'M','N','PRAIA DE FORA','PALHOçA','SC','124243241125134411633633345124123263177',NULL,'594',26.22,1,3,NULL),(16,3240320,'1987-07-08 00:00:00',2,1,12,2004,'M','N','XV DE NOVEMBRO','TIJUCAS','SC','124241241437132711246613245232610118187',9902,'783',48.94,1,3,NULL),(16,3240339,'1991-07-24 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242248215111431436614571124610126092',13918,'1022',41.83,1,3,NULL),(16,3240347,'1988-12-15 00:00:00',4,1,12,2005,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217574431479613375122610145092',664,'270',74.44,1,3,NULL),(16,3240363,'1990-09-11 00:00:00',2,1,12,2007,'M','N','CENTRO','SAO LUDGERO','SC','124242248212472431353732582124610137142',11647,'950',45.92,1,3,NULL),(16,3240380,'1988-01-21 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124252251216152431548833492124221437067',3336,'9998',62.89,1,3,NULL),(16,3240398,'1991-11-06 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124251241135131431623339172124610127052',NULL,'283',31.96,1,2,1),(16,3240401,'1991-03-07 00:00:00',4,1,12,2008,'M','N','JD PAINEIRAS','CAMPINAS','SP','125252251215111411458831595114610164151',10426,'9998',48.05,1,3,NULL),(16,3240410,'1987-12-16 00:00:00',4,10,11,2005,'M','N','PASSAGEM','TUBARãO','SC','124242241216272431526413575122610132017',12696,'797',44.01,1,3,NULL),(16,3240444,'1989-12-21 00:00:00',4,8,12,2006,'F','N','CENTRO','RIO NEGRO','PR','124242241217572431458823575124232443017',6030,'541',56.28,1,3,NULL),(16,3240452,'1970-02-14 00:00:00',4,1,12,1987,'M','N','ESTREITO','FLORIANóPOLIS','SC','524243247327232411236653242344610144092',13218,'9999',43.11,1,3,NULL),(16,3240460,'1988-12-21 00:00:00',2,1,12,2005,'M','N','XV DE NOVEMBRO','TIJUCAS','SC','124241241235132731656334345123610164057',NULL,'781',31.76,1,3,NULL),(16,3240487,'1982-05-25 00:00:00',2,1,7,2003,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','624201206132271411425654182324610121097',9865,'9998',49.03,1,2,1),(16,3240495,'1991-07-22 00:00:00',2,1,11,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124243241115171431446629575124610127147',NULL,'288',27.25,1,3,NULL),(16,3240517,'1986-08-29 00:00:00',4,1,12,2003,'M','N','CARIANOS','FLORIANóPOLIS','SC','124243241212355431446629585114610162182',4255,'272',60.35,1,3,NULL),(16,3240525,'1990-02-14 00:00:00',4,1,12,2007,'F','N','PONTA DE BAIXO','S JOSé','SC','124241241137371431458613575114610124142',NULL,'733',36.85,1,2,1),(16,3240541,'1990-09-15 00:00:00',4,4,12,2007,'F','N','CENTRO','XANXERê','SC','620242241412472431245679592124610133147',4962,'836',58.69,1,3,NULL),(16,3240568,'1988-03-24 00:00:00',4,1,12,2006,'M','N','PIRATININGA','NITERóI','RJ','121212211216472731559939572114610167173',5556,'9998',57.36,1,3,NULL),(16,3240576,'1980-09-02 00:00:00',4,1,12,1998,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124202201216574411228923485114321167117',3250,'9998',63.14,1,3,NULL),(16,3240584,'1984-07-02 00:00:00',4,1,12,2005,'M','N','TAQUARAL','CAMPINAS','SP','125251251115571411546633445124610116172',10783,'9998',47.41,1,2,1),(16,3240592,'1989-10-07 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215152431686822572122230461112',NULL,'270',0.00,1,3,NULL),(16,3240630,'1967-02-23 00:00:00',4,1,12,1987,'F','N','SANTA MONICA','FLORIANóPOLIS','SC','221214218112151431566353374122143242143',NULL,'9998',28.06,1,3,NULL),(16,3240649,'1990-06-24 00:00:00',4,1,11,2007,'M','N','PORTAL DA OLARIA','S SEBASTIãO','SP','125252251215472411368812372112141167112',1956,'9998',67.36,1,3,NULL),(16,3240657,'1980-04-24 00:00:00',4,1,12,2001,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124244246116145741238644445134221724177',5411,'306',57.65,1,3,NULL),(16,3240665,'1989-08-04 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124203201114472411228724341325142036172',2690,'9998',64.70,1,3,NULL),(16,3240673,'1988-11-09 00:00:00',4,1,11,2006,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215112421488931245124221962011',11448,'1022',46.27,1,3,NULL),(16,3240681,'1969-01-25 00:00:00',2,1,12,1988,'M','N','BELA VISTA','S JOSé','SC','624201201136131721123344245124610168187',NULL,'9998',31.03,1,3,NULL),(16,3240690,'1985-07-01 00:00:00',4,1,12,2003,'M','N','JD FLAMBOYANT','CAMPINAS','SP','125252251215571421458811531114610124172',1448,'9998',69.56,1,3,NULL),(16,3240703,'1990-08-24 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241145172431635579441325610168057',NULL,'281',20.14,1,2,1),(16,3240711,'1990-12-07 00:00:00',2,9,12,2007,'F','N','CENTRO','TAIó','SC','124241241135161731424314292115610163192',NULL,'777',22.19,1,3,NULL),(16,3240720,'1989-05-10 00:00:00',4,1,12,2006,'M','N','JURERE INTERNACIONAL','FLORIANóPOLIS','SC','124242241215574421488811575114610127112',5271,'262',57.93,1,3,NULL),(16,3240738,'1991-05-19 00:00:00',4,1,12,2009,'M','S','AGRONOMICA','FLORIANóPOLIS','SC','124242241215171431458932571124610128012',NULL,'270',48.90,1,3,NULL),(16,3240746,'1965-05-31 00:00:00',2,1,12,1983,'M','N','HIGIENóPOLIS','S PAULO','SP','125253256146471711126343235122340832182',NULL,'9998',0.00,4,3,NULL),(16,3240754,'1982-07-05 00:00:00',2,1,12,1999,'M','N','PRADO','BIGUAÇU','SC','124241246132144451546939342124333265187',6305,'306',55.67,1,2,1),(16,3240762,'1990-04-06 00:00:00',2,1,11,2007,'M','N','ANIL','RIO JANEIRO','RJ','121212211217571431479833432122610164042',14866,'9998',39.96,1,3,NULL),(16,3240770,'1989-10-06 00:00:00',4,4,12,2007,'M','N','CENTRO','ERVAL VELHO','SC','124243241147131231428614482124610127047',NULL,'253',27.05,2,1,2),(16,3240789,'1984-09-09 00:00:00',2,1,12,2002,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241211274421449813441124610123182',15945,'1076',37.38,4,3,NULL),(16,3240797,'1991-05-07 00:00:00',4,5,10,2007,'F','N','BOM PASTOR','IGREJINHA','RS','120202201215471731589931571125610136092',3136,'9998',63.43,1,3,NULL),(16,3240800,'1989-07-20 00:00:00',2,9,11,2006,'M','N','CENTRO','LAGES','SC','124242241215142431358722242122230227185',NULL,'497',0.00,1,3,NULL),(16,3240819,'1985-02-10 00:00:00',4,1,12,2002,'M','N','ALTO ARIRIú','PALHOçA','SC','124241241112143731466311346132610134112',NULL,'772',35.00,1,2,1),(16,3240835,'1983-10-19 00:00:00',4,1,12,2001,'M','N','MORRO DA CRUZ','FLORIANOPOLIS','SC','124241241336575431689613595122610117095',2137,'262',66.64,1,2,1),(16,3240843,'1989-03-16 00:00:00',4,1,12,2006,'F','N','TERRAS DE PIRACICABA','PIRACICABA','SP','125252251216571441679933575122610134142',616,'9998',74.81,1,3,NULL),(16,3240851,'1986-09-09 00:00:00',4,2,12,2004,'M','N','ITOUPAVAZINHA','BLUMENAU','SC','124241241116131441547624291124231046067',14321,'83',41.01,4,2,1),(16,3240860,'1991-07-24 00:00:00',4,7,12,2008,'F','N','MATRIZ','VIDEIRA','SC','124243241215131731326634242121610167097',16437,'829',35.77,1,3,NULL),(16,3240886,'1990-05-11 00:00:00',4,1,12,2007,'F','N','SUMARÉ','RIO SUL','SC','124242241216472431448934595112610163017',NULL,'654',31.76,1,3,NULL),(16,3240894,'1987-10-08 00:00:00',4,1,12,2004,'F','N','JARDIM ELDORADO','PALHOçA','SC','124161241134271431443419342224610134147',NULL,'736',29.07,1,3,NULL),(16,3240908,'1989-12-15 00:00:00',4,1,12,2007,'F','N','CAMBUI','CAMPINAS','SP','125252251215371421358833575212610134141',3000,'9998',63.79,1,3,NULL),(16,3240916,'1991-01-08 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','120201201417271431653514175124610168147',NULL,'9998',0.00,1,3,NULL),(16,3240932,'1988-12-04 00:00:00',2,4,12,2005,'M','N','CENTRO','ITAQUIRAí','MS','112121121116572451336823492125613237042',1152,'9998',71.19,4,2,1),(16,3240940,'1991-09-22 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242248211111431636679595124610122141',15908,'1022',37.47,1,3,NULL),(16,3240959,'1990-04-20 00:00:00',2,3,12,2008,'M','N','AREIAS','CAMBORIú','SC','124244242117131431369933575124610167072',6619,'129',55.01,4,1,2),(16,3240967,'1992-02-09 00:00:00',2,1,12,2008,'F','N','MAGALHãES','LAGUNA','SC','124241241215151431427724572124610141142',6908,'525',54.48,1,3,NULL),(16,3240975,'1991-02-08 00:00:00',4,1,12,2008,'M','N','BOSQUE','CAMPINAS','SP','125252251215121421448811575122610137142',6811,'9998',54.64,1,3,NULL),(16,3240983,'1992-09-17 00:00:00',4,9,11,2009,'F','S','EUGêNIO SCHNEIDER','RIO SUL','SC','124242241215121731369613575122611063052',NULL,'991',0.00,1,3,NULL),(16,3240991,'1992-03-09 00:00:00',2,3,12,2008,'F','N','PEREQUê','PTO BELO','SC','124242241212271431457511275112610167052',NULL,'403',33.43,1,3,NULL),(16,3241017,'1986-11-19 00:00:00',4,1,12,2004,'M','N','JARDIM CHAPADãO','CAMPINAS','SP','125252251217572431689931472122143267117',80,'9998',81.50,1,3,NULL),(16,3241025,'1991-01-17 00:00:00',2,4,12,2007,'F','N','CENTRO','FAXINAL GUEDES','SC','124243241426232431454911345122610144192',NULL,'255',0.00,1,3,NULL),(16,3241033,'1991-08-02 00:00:00',4,6,12,2008,'M','N','CENTRO','ITAJAí','SC','125242251215471431568914572122610122072',7576,'9998',53.20,1,3,NULL),(16,3241041,'1990-02-06 00:00:00',2,5,11,2007,'F','N','UNIVERSITáRIO','CRICIúMA','SC','124244241417312411435315374114610162042',10285,'9997',48.27,1,3,NULL),(16,3241050,'1993-02-13 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124241241215111731469914481122610133012',NULL,'1077',28.93,1,3,NULL),(16,3241068,'1985-05-16 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','124201201317154431336511582114610162197',13726,'9998',42.21,1,3,NULL),(16,3241076,'1991-03-14 00:00:00',2,1,12,2008,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124243241416271431533923395124610124147',NULL,'1014',23.94,1,3,NULL),(16,3241084,'1986-06-06 00:00:00',2,1,12,2003,'F','N','LAGOINHA','FLORIANóPOLIS','SC','124242241212135411658713375124230623097',NULL,'1022',30.05,1,3,NULL),(16,3241092,'1987-12-15 00:00:00',4,1,12,2005,'M','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','124242247216131751427731375111610167187',15029,'1003',39.59,1,3,NULL),(16,3241106,'1990-03-12 00:00:00',4,5,12,2007,'F','N','COMERCIARIO','CRICIúMA','SC','124242241215472411449934571122610125097',3084,'226',63.56,1,3,NULL),(16,3241114,'1992-01-16 00:00:00',4,5,12,2009,'M','S','CENTRO','URUSSANGA','SC','124242241415111431469913585112610162042',NULL,'820',39.20,1,3,NULL),(16,3241122,'1988-05-17 00:00:00',4,5,12,2005,'M','N','PINHEIRINHO','CRICIúMA','SC','124242241217371431448811382112131447042',NULL,'995',30.40,1,3,NULL),(16,3241130,'1991-10-14 00:00:00',4,1,12,2008,'M','N','CENTRO','STA ROSA','RS','120201201132131431346414345121610167042',NULL,'9998',23.35,4,3,NULL),(16,3241149,'1990-05-23 00:00:00',2,1,11,2007,'M','N','CENTRO','ARARANGUá','SC','124242241115472421466832125122610137112',6214,'270',55.88,1,3,NULL),(16,3241157,'1990-05-31 00:00:00',2,1,12,2007,'F','N','JARDIM ATLÂNTICO','FLORIANóPOLIS','SC','124242241417472431347833575214231935182',7097,'270',54.11,1,3,NULL),(16,3241165,'1980-01-19 00:00:00',2,1,12,1997,'M','N','CAMPINAS','S JOSé','SC','124242241216574411189941411122522046042',10011,'269',48.76,1,3,NULL),(16,3241173,'1991-11-24 00:00:00',2,10,12,2008,'F','N','SANTA CRUZ','TREZE MAIO','SC','124241241124161231413316172224610137147',14723,'793',40.23,1,3,NULL),(16,3241181,'1991-06-21 00:00:00',2,1,12,2008,'M','N','MOURA','CANELINHA','SC','124241241211131441528914241124610147057',NULL,'981',31.53,1,3,NULL),(16,3241190,'1991-02-20 00:00:00',2,1,6,2008,'M','N','CENTRO','PASSO FUNDO','RS','120202247216141431237831345132610132042',NULL,'9999',32.91,1,3,NULL),(16,3241211,'1991-09-28 00:00:00',4,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124241248317121431444315252324610162142',NULL,'226',39.26,1,3,NULL),(16,3241220,'1986-10-02 00:00:00',2,1,12,2004,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124241241136333411431121345113610125145',NULL,'294',25.82,1,3,NULL),(16,3241238,'1990-04-11 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241216272431246923575122231043145',7409,'270',53.50,1,3,NULL),(16,3241254,'1965-09-05 00:00:00',2,1,12,1983,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','524241248447275421326441115234121361097',NULL,'298',19.87,1,3,NULL),(16,3241262,'1991-04-14 00:00:00',4,10,10,2008,'M','N','CENTRO','TUBARãO','SC','125242241212111311589911471112610164166',4538,'807',59.68,3,3,NULL),(16,3241270,'1991-11-19 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215371431226631575124610122077',4265,'273',60.33,1,3,NULL),(16,3241289,'1990-04-22 00:00:00',4,3,11,2007,'F','N','CENTRO','CURITIBANOS','SC','124242241215472431359713595122610128077',1622,'881',68.79,1,3,NULL),(16,3241297,'1991-03-01 00:00:00',2,4,12,2008,'F','N','VILA NOVA','FRANCISCO BELTRãO','PR','116161161117271131526714291122610124057',NULL,'9998',27.33,1,2,1),(16,3241300,'1991-10-17 00:00:00',4,10,12,2008,'M','N','CENTRO','STA ROSA LIMA','SC','124241241125161431633635396125610137057',NULL,'688',20.53,1,3,NULL),(16,3241335,'1991-01-03 00:00:00',4,4,12,2008,'F','N','SANTA MARIA BERTILA','GUIRATINGA','MT','111111111116271431438831575122610166142',NULL,'9998',19.76,1,2,1),(16,3241343,'1986-01-23 00:00:00',2,1,6,2004,'M','N','FORQUILHINHAS','S JOSé','SC','124241241127134431436414145124610114052',14308,'293',41.02,2,1,1),(16,3241351,'1991-05-16 00:00:00',4,8,11,2008,'M','N','AMéRICA','JOINVILLE','SC','124242241217371531333611575112610164117',2154,'489',66.57,1,3,NULL),(16,3241378,'1973-03-20 00:00:00',2,2,12,2002,'M','N','RIBEIRãO FRESCO','BLUMENAU','SC','124241241126152132623321235334132913184',16552,'275',35.17,2,2,1),(16,3241386,'1987-07-31 00:00:00',2,1,12,2005,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124201241136274731248721295122220314187',NULL,'296',40.61,1,2,1),(16,3241408,'1987-01-16 00:00:00',2,1,12,2004,'M','N','KOBRASOL','S JOSé','SC','124241241212373451353413435122610167045',8232,'724',51.90,1,3,NULL),(16,3241416,'1991-05-29 00:00:00',2,1,12,2008,'F','N','RURAL','PâNTANO GRANDE','RS','120201201116161431643815282122610126192',NULL,'9998',26.85,1,3,NULL),(16,3241424,'1991-03-05 00:00:00',2,2,12,2008,'M','N','FORTALEZA','BLUMENAU','SC','124241241112141711434824382114610167052',NULL,'83',0.00,1,3,NULL),(16,3241432,'1990-07-23 00:00:00',2,1,12,2008,'M','N','BOA VISTA','CURITIBA','PR','116072161417471731658513372124610167042',NULL,'9998',0.00,4,3,NULL),(16,3241459,'1990-05-17 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215111711436812592112610117072',16142,'737',36.80,1,3,NULL),(16,3241467,'1986-10-26 00:00:00',2,1,12,2004,'F','N','KOBRASOL','S JOSé','SC','124241241246372431544624344124132826077',6582,'1036',55.09,1,3,NULL),(16,3241483,'1991-05-28 00:00:00',2,6,11,2008,'F','N','NAçõES','BAL CAMBORIú','SC','124243248115131431336619285124610128142',13309,'49',42.95,1,3,NULL),(16,3241491,'1990-03-31 00:00:00',4,5,10,2008,'M','N','CENTRO','COCAL SUL','SC','124242241217162122549812585122230812172',11332,'211',46.44,1,3,NULL),(16,3241505,'1988-11-21 00:00:00',2,8,12,2006,'F','N','BOA VISTA','JOINVILLE','SC','124242246215372431246644244232610142117',NULL,'995',0.00,1,3,NULL),(16,3241513,'1988-09-20 00:00:00',2,1,11,2006,'M','N','PANTANO DO SUL','FLORIANóPOLIS','SC','125242241212143711438613444124133267042',NULL,'1036',26.67,1,3,NULL),(16,3241521,'1990-02-24 00:00:00',4,1,12,2007,'F','N','CAMPO NOVO','TIJUCAS','SC','124241241116272331533316442334610126147',13881,'783',41.89,1,2,1),(16,3241530,'1989-10-09 00:00:00',2,1,12,2006,'F','N','BREJARU','PALHOçA','SC','124241241112131411433632345124610117047',NULL,'591',24.88,4,2,1),(16,3241556,'1991-08-10 00:00:00',1,2,12,2008,'F','N','TESTO CENTRAL','POMERODE','SC','124242241235121731448612192124610167057',11370,'624',46.39,1,3,NULL),(16,3241564,'1991-04-08 00:00:00',4,4,12,2008,'M','N','CENTRO','TUNáPOLIS','SC','124241241147131431328634245121610164177',NULL,'812',28.46,1,2,1),(16,3241572,'1992-01-30 00:00:00',4,3,11,2008,'F','N','CENTRO','QUEDAS IGUAçU','PR','116163161216131431336614575122610123147',11596,'9998',46.01,1,3,NULL),(16,3241580,'1991-04-04 00:00:00',4,5,11,2008,'M','N','CENTRO','SOMBRIO','SC','124241241117161432223829595124610137017',NULL,'1033',25.83,1,3,NULL),(16,3241599,'1991-08-16 00:00:00',3,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241217211531469911575122610166077',NULL,'1038',0.00,1,3,NULL),(16,3241602,'1990-11-20 00:00:00',2,8,11,2007,'F','N','SAGUAçU','JOINVILLE','SC','124242241215472411579714595122610122092',12202,'486',44.90,1,3,NULL),(16,3241610,'1985-06-28 00:00:00',2,1,12,2004,'F','N','N SRA DO ROSARIO','S JOSé','SC','124242248212373431129913292324133226072',NULL,'943',11.04,2,1,2),(16,3241629,'1992-07-02 00:00:00',4,5,11,2009,'M','S','PIO CORREA','CRICIúMA','SC','124242241215111511489831577112610162012',NULL,'226',26.51,4,3,NULL),(16,3241637,'1991-03-26 00:00:00',4,4,12,2008,'F','N','PRESIDENTE MéDICI','CHAPECó','SC','124243241315111431453933575122610166142',5941,'185',56.47,1,3,NULL),(16,3241645,'1992-03-01 00:00:00',5,7,12,2009,'F','S','CRUZEIRO DO SUL','JOAçABA','SC','124242243215111431469913131122610114147',NULL,'454',18.11,1,3,NULL),(16,3241670,'1984-02-02 00:00:00',2,3,12,2001,'F','N','CENTRO','BAL CAMBORIú','SC','124242241211133411426621481324131562192',6121,'269',56.09,1,3,NULL),(16,3241688,'1990-01-07 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124242241116372232436713585124610124195',NULL,'306',25.46,1,3,NULL),(16,3241696,'1990-05-09 00:00:00',2,4,12,2007,'M','N','CENTRO','NOVO HORIZONTE','SC','124241241126271731534614345124610164177',NULL,'579',21.98,1,3,NULL),(16,3241700,'1980-05-08 00:00:00',2,1,12,1997,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124204201416272721126641415112142027117',8896,'9998',50.75,1,3,NULL),(16,3241718,'1989-04-27 00:00:00',2,3,12,2006,'M','N','CENTRO','ITAPEMA','SC','124241241116211231538613375122610118087',11351,'406',46.41,1,2,1),(16,3241726,'1988-12-10 00:00:00',4,1,11,2006,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124254111347112411455614282224220864117',NULL,'9998',14.94,1,3,NULL),(16,3241734,'1991-07-10 00:00:00',4,8,12,2008,'F','N','MATO PRETO','S BENTO SUL','SC','624241241216131431336318575124610127182',NULL,'974',0.00,1,3,NULL),(16,3241742,'1987-02-08 00:00:00',4,1,11,2004,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124241241436272422536531442124610137057',6726,'291',54.82,1,3,NULL),(16,3241750,'1989-12-02 00:00:00',4,1,12,2007,'M','N','PEREQUE','PTO BELO','SC','124244241215372431458613585122122967042',2614,'403',64.97,1,3,NULL),(16,3241777,'1989-11-20 00:00:00',2,10,12,2007,'F','N','MONTE CASTELO','TUBARãO','SC','124244241117371431547624585122232517067',NULL,'1034',0.00,1,3,NULL),(16,3241785,'1990-10-26 00:00:00',4,1,12,2008,'M','N','MATO DENTRO','ATIBAIA','SP','125252251217111431578831591122610166042',4991,'9998',58.63,1,3,NULL),(16,3241793,'1990-07-20 00:00:00',4,1,12,2007,'F','N','JARDIM ELDORADO','PALHOçA','SC','124241241625272421625311171324610127053',NULL,'262',35.17,1,3,NULL),(16,3241807,'1985-04-05 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241415575431456613245122121166042',561,'20',75.29,1,3,NULL),(16,3241815,'1985-06-01 00:00:00',2,3,12,2004,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241211132411426621481324610162112',14135,'269',41.36,1,3,NULL),(16,3241823,'1991-12-26 00:00:00',4,3,12,2008,'M','N','REBOUçAS','CURITIBA','PR','116162161215471451468912575124610148182',NULL,'9998',0.00,1,3,NULL),(16,3241831,'1990-01-18 00:00:00',4,2,6,2008,'F','N','SCHRAMM','S BENTO SUL','SC','124242241216131431378614275112610124013',NULL,'974',39.68,1,3,NULL),(16,3241840,'1989-11-21 00:00:00',4,1,11,2006,'F','N','AGOSTINI','S MIGUEL OESTE','SC','124242241216373731466732575124230224193',NULL,'752',0.00,1,3,NULL),(16,3241858,'1991-10-19 00:00:00',4,3,12,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','124243241415111431338519575112610167042',NULL,'403',30.08,1,3,NULL),(16,3241866,'1991-02-14 00:00:00',4,1,12,2008,'F','N','JD SAMAMBAIA','BARRA BONITA','SP','125253258237111221448614275122610168182',NULL,'56',0.00,1,3,NULL),(16,3241874,'1991-11-13 00:00:00',2,1,12,2008,'M','N','COLONIA SANTANA','S JOSé','SC','124242241325151332433623375124610147057',NULL,'731',25.68,1,3,NULL),(16,3241882,'1991-05-08 00:00:00',2,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124242241215121431546634575125610168182',NULL,'738',29.56,1,3,NULL),(16,3241904,'1990-12-13 00:00:00',2,4,12,2007,'M','N','INTERIOR','MARAVILHA','SC','124241241136372731433756362212610124182',10092,'551',48.62,1,2,1),(16,3241912,'1990-03-22 00:00:00',4,7,11,2007,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241215472431346616572125610166172',8039,'962',52.34,1,3,NULL),(16,3241920,'1989-07-12 00:00:00',4,1,12,2006,'F','N','PRIMEIRO DE MAIO','FARROUPILHA','RS','120201201117151221545334485124610147052',NULL,'9998',0.00,1,2,1),(16,3241939,'1989-08-12 00:00:00',2,1,12,2006,'M','N','KOBRASOL','S JOSé','SC','124241241216273431446613575114610127047',11440,'1036',46.28,1,3,NULL),(16,3241947,'1990-12-02 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124201201217271731538813577115610167012',NULL,'9998',0.00,1,3,NULL),(16,3241955,'1991-12-15 00:00:00',4,8,12,2008,'F','N','BOA VISTA','JOINVILLE','SC','124163241226141431221624595124610127147',NULL,'457',20.95,1,3,NULL),(16,3241963,'1990-09-25 00:00:00',4,1,12,2008,'F','N','ALTOS DE SANTANA','S JOSé CAMPOS','SP','125251251215111431446634574124610132094',5090,'9998',58.41,4,3,NULL),(16,3241971,'1990-01-20 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241115372731445633342114610135142',10853,'267',47.27,1,2,1),(16,3241980,'1991-12-02 00:00:00',4,6,12,2008,'F','N','CENTRO','NAVEGANTES','SC','124242241216111711668733575122610135142',14363,'1008',40.94,1,3,NULL),(16,3241998,'1992-04-01 00:00:00',4,1,11,2009,'M','S','KOBRASOL','S JOSé','SC','124241241225131221329621572124610126012',NULL,'262',58.25,1,3,NULL),(16,3242005,'1989-11-14 00:00:00',4,1,12,2008,'M','N','FROTA','CACHOEIRA SUL','RS','120201201115131431536633435124610128042',NULL,'9998',0.00,4,3,NULL),(16,3242013,'1990-09-17 00:00:00',4,3,11,2008,'F','N','CENTRO','JARAGUá SUL','SC','116242161216122531588811575112610123157',2505,'9998',65.32,1,3,NULL),(16,3242021,'1990-05-13 00:00:00',4,4,12,2008,'M','N','PRESIDENTE MéDICE','CHAPECó','SC','124241241116131431523311312122610162042',NULL,'175',28.59,4,3,NULL),(16,3242030,'1990-03-26 00:00:00',2,1,12,2007,'F','N','JARDIM CIDADE','S JOSé','SC','124241241215312431425418342124610166197',16172,'1118',36.73,1,3,NULL),(16,3242048,'1965-01-22 00:00:00',2,1,5,1981,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124281281133155411137641412332610134142',10933,'9998',47.15,1,3,NULL),(16,3242064,'1991-08-03 00:00:00',4,2,12,2008,'F','N','VELHA','BLUMENAU','SC','124241241217271431655633572124610121147',3985,'88',61.09,1,3,NULL),(16,3242072,'1992-05-25 00:00:00',4,5,12,2009,'M','S','CENTRO','CRICIúMA','SC','124242241215111431438819572125610164177',NULL,'226',10.58,1,3,NULL),(16,3242080,'1983-03-23 00:00:00',4,1,12,2004,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124201207122131411227344242234142038197',13185,'9998',43.18,4,3,NULL),(16,3242099,'1989-08-18 00:00:00',4,6,11,2006,'M','N','VILA OPERARIA','ITAJAí','SC','124242241212142431555832345122231467042',4286,'1057',60.28,1,3,NULL),(16,3242102,'1988-10-25 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124243241116572412547614495124610125022',9648,'306',49.43,4,3,NULL),(16,3242110,'1987-10-30 00:00:00',2,1,12,2005,'M','N','ESTREITO BALNEARIO','FLORIANóPOLIS','SC','124241241117271431546511311124610127042',16529,'257',35.33,1,3,NULL),(16,3242129,'1990-12-13 00:00:00',4,3,11,2008,'M','N','VILA POMERANEA','POMERODE','SC','124242241215272311489912175124610162052',3591,'855',62.11,1,3,NULL),(16,3242153,'1988-12-29 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124161241112132431513318282324610132147',NULL,'288',22.54,1,2,1),(16,3242161,'1988-06-03 00:00:00',4,8,12,2005,'F','N','JARDIM IMPERIAL','MARINGá','PR','116162161217571431459933576144610163022',2184,'9998',66.48,1,3,NULL),(16,3242170,'1988-07-14 00:00:00',4,4,12,2005,'F','N','CENTRO','IVATé','PR','116161161145571411636613572122610133147',9147,'9998',50.32,1,2,1),(16,3242188,'1991-03-04 00:00:00',4,2,12,2008,'F','N','RIO TIGRE','BENEDITO NOVO','SC','124243241215111431645732575124610167037',5591,'1157',57.28,1,3,NULL),(16,3242196,'1990-01-23 00:00:00',4,5,11,2007,'F','N','JARDIM ANGELICA','CRICIúMA','SC','124242241215472441456312573124610126113',4525,'226',59.71,1,3,NULL),(16,3242200,'1987-05-12 00:00:00',4,1,12,2004,'M','N','ESTREITO','FLORIANóPOLIS','SC','124243241211165451459714295124232422097',443,'270',76.29,1,3,NULL),(16,3242218,'1991-01-14 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124243241412111731348723572124610127077',5006,'1022',58.60,1,3,NULL),(16,3242234,'1990-01-15 00:00:00',4,1,12,2007,'F','N','NSA SRA DO ROSáRIO','S JOSé','SC','124243241137132441534514245124610164142',14431,'726',40.83,1,3,NULL),(16,3242242,'1990-04-25 00:00:00',4,9,12,2007,'M','N','VILA MARIANA','TAIó','SC','124162241216472431469814575122610128052',6630,'185',54.99,1,3,NULL),(16,3242250,'1988-05-20 00:00:00',3,1,11,2005,'F','N','FLOR DE NAPóLIS','S JOSé','SC','124241241117151411526411375124232764087',NULL,'727',31.04,1,3,NULL),(16,3242269,'1991-06-29 00:00:00',2,1,12,2008,'F','N','CENTRO','PALHOçA','SC','124241241115131421443524371124610117182',NULL,'591',27.66,1,2,1),(16,3242277,'1988-06-26 00:00:00',4,2,12,2005,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241115573331448614575114610164027',770,'69',73.67,1,2,1),(16,3242293,'1990-09-14 00:00:00',4,4,12,2008,'M','N','SANTA MARIA','CHAPECó','SC','124244243217111511279612294122610167042',NULL,'1021',21.63,1,3,NULL),(16,3242307,'1989-05-29 00:00:00',2,5,11,2006,'F','N','CENTRO','BAL ARROIO SILVA','SC','124241241121373431323311141324610167117',12326,'29',44.69,1,2,1),(16,3242315,'1991-01-11 00:00:00',4,1,12,2007,'M','N','SANTA HELENA','LAGES','SC','124242241212472431464919292125610122097',5494,'515',57.48,1,3,NULL),(16,3242323,'1987-05-21 00:00:00',4,1,12,2004,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124282281216574431368831471124610163195',NULL,'9998',0.00,1,3,NULL),(16,3242331,'1991-09-01 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431456811572124610137145',723,'270',74.07,1,3,NULL),(16,3242340,'1989-01-27 00:00:00',2,9,12,2005,'F','N','FERROVIA','LAGES','SC','124241244117141431554629291123610154147',NULL,'505',28.71,1,2,1),(16,3242358,'1990-08-19 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSé','SC','124241241112132411426313342224610128052',11193,'257',46.67,1,2,1),(16,3242366,'1990-02-21 00:00:00',4,1,12,2007,'F','N','BIGORRILHO','CURITIBA','PR','116164161216121411336921575124240462197',NULL,'9998',0.00,1,3,NULL),(16,3242374,'1990-03-25 00:00:00',4,1,12,2008,'M','N','AREIAS','S JOSé','SC','124241241115111742246533575124610167077',NULL,'1078',29.02,1,3,NULL),(16,3242390,'1987-11-09 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124161247337151731568812345134610167082',NULL,'9999',18.38,1,3,NULL),(16,3242404,'1990-05-06 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSé','SC','124241241112471421534624571324610116142',8612,'307',51.22,1,2,1),(16,3242412,'1990-01-25 00:00:00',4,8,12,2008,'F','N','JARDIM DA SAúDE','S PAULO','SP','125252251215471431489912592122610122077',NULL,'9998',26.72,1,3,NULL),(16,3242420,'1991-07-05 00:00:00',2,1,12,2008,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251215421431359814372124610121193',NULL,'9998',0.00,4,3,NULL),(16,3242439,'1991-03-14 00:00:00',2,1,12,2008,'M','N','CENTRO','TAUBATé','SP','125252251215111431549939571121610118192',NULL,'9998',0.00,1,3,NULL),(16,3242447,'1990-01-20 00:00:00',4,1,12,2007,'F','N','JARDIM EMILIA','SOROCABA','SP','125252251215471431539911376124142832142',11946,'9998',45.36,4,3,NULL),(16,3242455,'1989-12-25 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241112132432436631345114610138147',NULL,'257',28.26,1,3,NULL),(16,3242463,'1991-09-03 00:00:00',4,4,12,2008,'M','N','UNIãO','PARANATINGA','MT','111112111216121431439933575123610124142',13866,'9998',41.91,1,3,NULL),(16,3242471,'1991-09-10 00:00:00',4,8,12,2008,'F','N','VILA LALAU','JARAGUá SUL','SC','124241241217131431344924342122610127142',NULL,'1061',25.82,1,3,NULL),(16,3242480,'1988-07-19 00:00:00',4,1,2,2006,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242247216474431568814575122230223147',NULL,'266',25.05,1,3,NULL),(16,3242498,'1988-11-24 00:00:00',2,4,12,2005,'F','N','PRESIDENTE KENNEDY','FRANCISCO BELTRãO','PR','116161161111372431536933341122610121142',14526,'9998',40.64,1,2,1),(16,3242501,'1991-09-13 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241116371731435514345124610132097',15320,'298',38.93,1,2,1),(16,3242510,'1987-07-25 00:00:00',2,1,7,2006,'M','N','SERRARIA','S JOSé','SC','124243247126232411334632145123610122187',NULL,'9999',34.58,1,3,NULL),(16,3242528,'1992-11-12 00:00:00',4,1,11,2009,'M','S','CAPOEIRAS','FLORIANóPOLIS','SC','124242241217111711578619572122610127072',NULL,'738',48.97,1,3,NULL),(16,3242536,'1991-07-29 00:00:00',2,1,12,2008,'M','N','CENTRO','SOMBRIO','SC','124241241117151211337474575111610118187',NULL,'1033',0.00,1,3,NULL),(16,3242544,'1991-08-19 00:00:00',2,5,11,2008,'M','N','MINA BRASIL','CRICIúMA','SC','124241241215111431538934375122610117042',16029,'213',37.17,1,3,NULL),(16,3242552,'1991-07-05 00:00:00',2,1,12,2008,'F','N','ARIRIU','PALHOçA','SC','124242246212371431439934245124610163072',7563,'1075',53.21,4,3,NULL),(16,3242579,'1990-12-08 00:00:00',4,2,12,2008,'M','N','VALPARAISO','BLUMENAU','SC','124244241215111431465334395124610118182',14856,'855',39.97,1,3,NULL),(16,3242587,'1988-02-02 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242248217372532236923582124610124187',9006,'273',50.57,1,3,NULL),(16,3242595,'1990-09-03 00:00:00',4,6,12,2008,'F','N','CENTRO','ITAJAí','SC','124244241217321411236623575124610123187',NULL,'391',19.79,1,3,NULL),(16,3242609,'1976-11-26 00:00:00',2,1,8,1995,'F','N','CENTRO','FLORIANóPOLIS','SC','124203207326271311633319345134130235127',NULL,'9998',24.91,1,3,NULL),(16,3242617,'1967-06-19 00:00:00',2,1,2,1984,'M','N','PANTANAL','FLORIANóPOLIS','SC','524201206126152421226443235123610162185',5259,'9998',57.97,1,2,1),(16,3242633,'1992-07-21 00:00:00',4,1,11,2008,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241217122421367914572124610147065',2593,'1022',65.03,1,3,NULL),(16,3242650,'1991-11-22 00:00:00',4,1,12,2009,'M','S','FLORESTA','S JOSé','SC','124242241216111731357823592124610117062',NULL,'1077',32.88,1,3,NULL),(16,3242676,'1985-11-11 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANóPOLIS','SC','124203201236151441543332431122140322175',13777,'9998',42.11,1,3,NULL),(16,3242684,'1992-05-02 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124242241211112711446633575121610167041',NULL,'1010',30.75,1,3,NULL),(16,3242692,'1989-11-15 00:00:00',4,7,12,2006,'M','N','CENTRO','CAMPOS NOVOS','SC','124242242116271411448716375122610134052',8450,'196',51.49,1,3,NULL),(16,3242714,'1984-11-27 00:00:00',4,1,12,2002,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','524101101147271451223344342334610151147',NULL,'9998',24.51,2,1,1),(16,3242722,'1988-11-04 00:00:00',2,1,12,2005,'F','N','CACUPé','FLORIANóPOLIS','SC','124202241236131431544714395114610133077',NULL,'1048',21.98,1,3,NULL),(16,3242730,'1990-05-24 00:00:00',2,1,12,2008,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241216371431546611575124610117042',NULL,'1022',0.00,4,3,NULL),(16,3242749,'1991-10-16 00:00:00',2,5,12,2008,'M','N','CENTRO','CRICIúMA','SC','124242241217271431558834342112610137047',8524,'213',51.38,1,3,NULL),(16,3242757,'1990-12-17 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215472431459313572124610134147',10177,'269',48.47,1,3,NULL),(16,3242765,'1990-09-08 00:00:00',4,1,11,2007,'M','N','CASTELO BRANCO','ITAPEMA','SC','124241242112272441457833575124233167057',5125,'129',58.31,1,2,1),(16,3242773,'1991-08-09 00:00:00',4,1,11,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215111431486612395112610127042',4520,'270',59.73,1,3,NULL),(16,3242781,'1992-04-06 00:00:00',2,5,11,2009,'F','S','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124244241415111432556812325122610217011',NULL,'226',0.00,1,3,NULL),(16,3242790,'1990-08-10 00:00:00',2,1,12,2007,'F','N','AREIAS','S JOSé','SC','124244241116472721426374345234610122143',NULL,'307',20.19,1,3,NULL),(16,3242803,'1989-04-30 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124243241145573431653821592124610127115',10365,'290',48.15,1,3,NULL),(16,3242811,'1987-10-31 00:00:00',4,1,12,2005,'M','N','JD AVELINO','S PAULO','SP','125254251435571411333714345125610166052',4443,'9998',59.91,1,3,NULL),(16,3242820,'1988-08-23 00:00:00',2,8,11,2005,'F','N','CENTRO','IPIRANGA','PR','116161161216571431353931574122142662147',NULL,'9998',0.00,1,3,NULL),(16,3242846,'1991-02-16 00:00:00',4,1,11,2008,'M','N','SAMANBAIA','BAURU','SP','125252251217111431469812572112610117042',NULL,'9998',10.83,1,3,NULL),(16,3242854,'1985-08-16 00:00:00',2,1,7,2003,'F','N','PICADAS DO SUL','S JOSé','SC','124241241232322431666634375112610124092',NULL,'1036',23.63,1,3,NULL),(16,3242862,'1989-12-13 00:00:00',4,1,12,2006,'F','N','APARECIDA','SANTOS','SP','125252251212371431458811372122140247073',NULL,'9998',0.00,1,3,NULL),(16,3242870,'1990-10-02 00:00:00',2,10,11,2008,'F','N','SANTISTA','ORLEANS','SC','124241241417111431656314572122610122142',NULL,'950',23.28,1,3,NULL),(16,3242889,'1985-01-25 00:00:00',4,1,2,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124244246112134431367821245132130267047',16064,'306',37.06,1,3,NULL),(16,3242897,'1991-06-18 00:00:00',2,1,12,2008,'M','N','INTERIOR','ERNESTINA','RS','120204208216111232435936465224510168042',NULL,'9998',0.00,4,3,NULL),(16,3242900,'1990-01-03 00:00:00',4,1,12,2007,'M','N','VILA ADYANNA','S JOSé CAMPOS','SP','125252251217471431478914175122610124043',2577,'9998',65.08,1,3,NULL),(16,3242919,'1988-03-31 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124201201146131431233344242334610124197',NULL,'9998',0.00,4,2,1),(16,3242927,'1990-07-15 00:00:00',4,3,11,2008,'M','N','FLORESTA','CONCóRDIA','SC','124242241217372721248712395124610167183',4256,'1038',60.35,1,3,NULL),(16,3242935,'1991-01-08 00:00:00',2,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124252241215121731438611571122610127072',NULL,'1038',21.55,1,3,NULL),(16,3242943,'1991-06-25 00:00:00',4,3,11,2008,'M','N','DAS NAçõES','BAL CAMBORIú','SC','124242241215111231436833435121610127042',8498,'1038',51.41,1,3,NULL),(16,3242951,'1990-03-29 00:00:00',4,1,6,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244284417271431458814476114610144182',3540,'9998',62.26,1,3,NULL),(16,3242960,'1991-11-12 00:00:00',2,1,12,2008,'F','N','PONTA DE BAIXO','S JOSé','SC','124243241332141451326834242124610128077',NULL,'592',28.85,1,3,NULL),(16,3242978,'1990-05-01 00:00:00',2,1,12,2007,'F','N','BELA VISTA','PALHOçA','SC','124241241116132721453334145124610132142',NULL,'592',30.18,1,2,1),(16,3242986,'1991-02-16 00:00:00',4,1,11,2008,'M','N','RES SAMAMBAIA','BAURU','SP','125254251217111431469812572122610167042',NULL,'9998',11.78,1,3,NULL),(16,3242994,'1991-07-07 00:00:00',4,1,12,2008,'M','N','CENTRO','NOVA E SUDOESTE','PR','116161161347131731533823274112610137057',NULL,'9998',36.55,1,3,NULL),(16,3243001,'1992-01-30 00:00:00',4,1,12,2008,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124242241215111122248833472114610147097',9904,'262',48.94,1,3,NULL),(16,3243010,'1990-09-16 00:00:00',4,10,12,2007,'F','N','DEHON','TUBARãO','SC','124242281416141421458732445124233223147',8513,'9998',51.39,1,3,NULL),(16,3243028,'1984-03-06 00:00:00',4,1,12,2001,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124252251217131441248833415211333223022',NULL,'9998',24.21,1,3,NULL),(16,3243036,'1991-02-28 00:00:00',4,10,11,2008,'F','N','VILA MOEMA','TUBARãO','SC','124244241217111431434939592122610142187',NULL,'806',20.54,1,3,NULL),(16,3243052,'1990-02-23 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124252251215471411467814574124610168092',NULL,'9998',25.18,4,3,NULL),(16,3243060,'1981-01-26 00:00:00',3,1,12,1998,'F','N','PRAIA COMPRIDA','S JOSé','SC','124203207346132731533524192125222237127',7720,'9998',52.92,4,3,NULL),(16,3243079,'1992-05-24 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241217111431447619575124610127057',NULL,'259',30.67,1,3,NULL),(16,3243087,'1988-03-30 00:00:00',4,6,12,2005,'F','N','CENTRO','INDAIATUBA','SP','125251251216471411446829381125610128097',NULL,'9998',0.00,4,3,NULL),(16,3243095,'1991-05-15 00:00:00',4,6,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215111731448829595114610132147',15119,'44',39.38,1,3,NULL),(16,3243109,'1990-06-19 00:00:00',2,1,12,2007,'F','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241215472531489933592124610113017',11849,'1022',45.55,1,3,NULL),(16,3243117,'1988-04-02 00:00:00',2,1,12,2006,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241226471431453434242234610127147',NULL,'300',23.04,1,3,NULL),(16,3243125,'1985-03-05 00:00:00',4,1,12,2002,'M','N','CAMPINAS','S JOSé','SC','124242248217372421248644345134130734042',14905,'9997',39.87,4,3,NULL),(16,3243133,'1990-03-23 00:00:00',4,5,11,2007,'F','N','PRóSPERA','CRICIúMA','SC','124242241217371431468812295225610164091',6693,'213',54.88,1,3,NULL),(16,3243141,'1991-05-14 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124241241117131431326464385124610126037',NULL,'727',27.81,1,2,1),(16,3243150,'1991-03-07 00:00:00',4,8,12,2008,'M','N','CENTRO','JUNQUEIRóPOLIS','SP','125252251216161431358831475112610164052',NULL,'9998',0.00,1,3,NULL),(16,3243176,'1987-10-22 00:00:00',2,6,12,2004,'M','N','AZAMBUJA','BRUSQUE','SC','125242241211524212588934471111123211174',38,'9997',83.04,1,3,NULL),(16,3243184,'1990-05-31 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248215372431347824495124230263181',6663,'270',54.95,1,3,NULL),(16,3243192,'1991-03-14 00:00:00',2,1,12,2008,'F','N','COLONIA SANTANA','S JOSé','SC','124242241212111431464613372124613227052',NULL,'3',26.75,1,3,NULL),(16,3243214,'1982-06-30 00:00:00',4,1,11,2001,'M','N','CENTRO','BAL CAMBORIú','SC','124052051216154431669914445124141427112',NULL,'9998',33.68,4,3,NULL),(16,3243222,'1991-08-09 00:00:00',4,8,12,2008,'M','N','CENTRO','JARAGUá SUL','SC','124242241215151411248824295121610146042',NULL,'424',0.00,1,3,NULL),(16,3243230,'1990-12-04 00:00:00',2,5,12,2008,'F','N','PIO CORRêA','CRICIúMA','SC','124242241215111431466632325122610244122',16397,'226',35.95,1,3,NULL),(16,3243249,'1990-03-29 00:00:00',4,1,12,2007,'M','N','JD IRAJA','RIBEIRAO PRETO','SP','125252251215422231477812575112610137045',11018,'9998',46.99,1,3,NULL),(16,3243257,'1987-01-06 00:00:00',4,3,12,2004,'M','N','APARECIDA','UBERLâNDIA','MG','113133131215571531468731575122610164057',2062,'9998',66.92,1,3,NULL),(16,3243265,'1992-04-16 00:00:00',2,1,12,2009,'M','S','TRINTA RéIS','NOVA TRENTO','SC','124244248217111532456619475124610127052',NULL,'109',44.27,1,3,NULL),(16,3243273,'1991-11-28 00:00:00',4,1,12,2008,'M','N','ROçADO','S JOSé','SC','124242241215111232468834342113610167117',NULL,'262',32.78,1,3,NULL),(16,3243281,'1992-01-13 00:00:00',2,1,12,2008,'M','N','CENTRO','LEBON RéGIS','SC','124244241435111751446632595112610168052',NULL,'120',0.00,1,3,NULL),(16,3243290,'1987-11-21 00:00:00',2,1,12,2006,'M','N','BARREIROS','S JOSé','SC','124243241317133411326361175324610164184',6634,'362',54.98,1,3,NULL),(16,3243303,'1991-10-25 00:00:00',2,10,11,2008,'F','N','CENTRO','GR PARá','SC','124243241215121431436933375124610125147',13419,'807',42.76,1,3,NULL),(16,3243311,'1991-11-07 00:00:00',4,2,12,2008,'F','N','ASILO','BLUMENAU','SC','124242241211111431563612275112610118147',12884,'855',43.69,1,3,NULL),(16,3243320,'1983-12-07 00:00:00',4,1,12,2000,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124162161216151711489921475124341063095',6640,'9998',54.97,1,3,NULL),(16,3243338,'1990-02-17 00:00:00',2,1,12,2007,'F','N','CENTRO','ANITáPOLIS','SC','124241241122272731423314575112610137147',NULL,'19',29.92,1,2,1),(16,3243346,'1989-03-14 00:00:00',2,1,8,2007,'F','N','SãO CAETANO','ARROIO MEIO','RS','120202207327151411344513285124242864142',NULL,'9998',24.37,1,3,NULL),(16,3243354,'1990-11-08 00:00:00',4,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSé','SC','124244241135131431643614341124610127052',NULL,'733',26.49,1,3,NULL),(16,3243362,'1991-04-05 00:00:00',4,8,12,2008,'M','N','CENTRO','JARAGUá SUL','SC','124242241215371431468811575112610137042',NULL,'441',29.07,1,3,NULL),(16,3243370,'1991-05-08 00:00:00',4,8,11,2008,'F','N','FLORESTA','JOINVILLE','SC','124242241215112431446932176122610167117',8641,'486',51.18,1,3,NULL),(16,3243389,'1991-10-29 00:00:00',4,1,12,2008,'M','N','MOURA','CANELINHA','SC','124241241124131731323336582324610144057',14548,'913',40.61,1,2,1),(16,3243397,'1989-07-04 00:00:00',2,1,12,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241215161431236612575121610137042',NULL,'1014',18.47,1,3,NULL),(16,3243400,'1983-09-27 00:00:00',2,1,12,2001,'F','N','VILA ABAJA','GOIâNIA','GO','109094091316571451646413491322610124017',1422,'9998',69.67,1,3,NULL),(16,3243419,'1991-08-08 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215111411479813575125610142012',4091,'1038',60.80,1,3,NULL),(16,3243427,'1991-04-25 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431469819575122610127092',1226,'270',70.80,1,3,NULL),(16,3243451,'1992-01-08 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217111431478923571112610147042',NULL,'262',31.39,1,3,NULL),(16,3243460,'1992-01-27 00:00:00',2,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124162241216111411656612585124610127091',NULL,'1086',25.84,1,3,NULL),(16,3243478,'1989-07-13 00:00:00',4,1,12,2006,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241415173531336813395124231464182',NULL,'1022',34.58,1,3,NULL),(16,3243486,'1991-08-29 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215111431338679572122610121147',NULL,'1038',29.40,1,3,NULL),(16,3243494,'1991-03-21 00:00:00',4,1,12,2008,'F','N','PONTE IMARUIM','PALHOçA','SC','124242248215371431363332575124610137142',NULL,'1010',23.99,1,3,NULL),(16,3243508,'1991-04-13 00:00:00',4,1,12,2008,'M','N','BAL ESTREITO','FLORIANóPOLIS','SC','124242241215111431258814571124610126047',8020,'1022',52.39,1,3,NULL),(16,3243516,'1989-03-08 00:00:00',4,1,12,2006,'F','N','V P M DA NOBREGA','CAMPINAS','SP','125251251147271431336531375114610135043',NULL,'9998',0.00,4,2,1),(16,3243524,'1990-01-25 00:00:00',2,1,12,2007,'M','N','CENTRO','TUPANCIRETã','RS','120203207336131431538833185124141027022',NULL,'9999',0.00,1,3,NULL),(16,3243540,'1988-09-10 00:00:00',2,1,12,2006,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241216152711258623475122233222167',NULL,'270',31.54,1,3,NULL),(16,3243559,'1990-10-15 00:00:00',4,1,12,2007,'M','N','COOPHA FE','CPO GRANDE','MS','112122121217471411448821576124610167052',NULL,'9998',0.00,1,3,NULL),(16,3243567,'1989-11-28 00:00:00',4,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215472711589911594124610167062',1169,'457',71.10,1,3,NULL),(16,3243591,'1989-11-15 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124242241216372431467933272122610166042',7676,'1076',53.01,1,3,NULL),(16,3243605,'1981-02-15 00:00:00',2,1,11,2004,'F','N','FORQUILHINHAS','S JOSé','SC','124241247126131431336544245124130826057',15694,'800',38.08,1,2,1),(16,3243613,'1986-08-08 00:00:00',2,1,11,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241215575431536621145124221468187',16343,'807',36.23,1,3,NULL),(16,3243621,'1990-11-02 00:00:00',4,1,12,2008,'M','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241241115141431623334392224610167047',NULL,'293',16.62,2,1,1),(16,3243630,'1989-05-03 00:00:00',2,1,12,2006,'M','N','POTECAS','S JOSé','SC','124241241116151731333313342224610127117',NULL,'257',23.51,1,2,1),(16,3243648,'1991-07-12 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124222241215121431233834272324610124052',5622,'1022',57.22,1,3,NULL),(16,3243656,'1991-04-25 00:00:00',4,6,11,2008,'F','N','CABEçUDAS','ITAJAí','SC','124242241217131431459818575122610164187',13405,'392',42.79,1,3,NULL),(16,3243664,'1982-01-06 00:00:00',4,1,12,1999,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241243136214431549933445124610142017',NULL,'303',0.00,1,2,1),(16,3243672,'1984-09-18 00:00:00',2,1,12,2002,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','624241241117274411434444345333610127182',9672,'276',49.39,4,1,1),(16,3243680,'1992-01-24 00:00:00',2,3,12,2008,'F','N','CENTRO','PNT GROSSA','PR','116162161215121431443839495122610124142',NULL,'9998',44.09,1,3,NULL),(16,3243699,'1991-02-05 00:00:00',4,5,12,2008,'F','N','ITAPUA','BAL GAIVOTA','SC','124241241145131431523314285124610123142',NULL,'1033',0.00,4,2,1),(16,3243702,'1987-11-20 00:00:00',2,1,12,2005,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241112372411523324245324610144157',16359,'505',36.16,1,2,1),(16,3243710,'1992-10-28 00:00:00',2,10,11,2009,'F','S','AEROPORTO','TUBARãO','SC','124242241215111711448734275121610114147',NULL,'807',44.04,1,3,NULL),(16,3243729,'1991-03-04 00:00:00',4,1,12,2008,'F','N','CAMPOLIM','SOROCABA','SP','125252258417571422365521592124610137053',NULL,'9998',0.00,3,3,NULL),(16,3243737,'1987-11-10 00:00:00',2,1,12,2004,'M','N','CENTRO','PALHOçA','SC','124243241136135441567614445134130767067',NULL,'591',29.81,1,3,NULL),(16,3243745,'1990-01-14 00:00:00',2,9,12,2007,'M','N','CARAVAGIO','LAGES','SC','124241241213572431438811375122610167091',6785,'499',54.69,1,3,NULL),(16,3243753,'1980-05-29 00:00:00',2,1,12,1997,'M','N','CENTRO','FLORIANóPOLIS','SC','224111118126151711264443235125343244042',5444,'9998',57.60,1,2,1),(16,3243761,'1990-01-15 00:00:00',4,1,12,2008,'M','N','ARMAçãO','FLORIANóPOLIS','SC','124242241235371741458832575114610166182',3312,'9999',62.96,1,3,NULL),(16,3243770,'1992-04-05 00:00:00',2,9,12,2009,'F','S','ÁREA INDUSTRIAL III','CORREIA PINTO','SC','124242241216121431438732595112610124142',NULL,'202',26.28,1,3,NULL),(16,3243788,'1990-12-20 00:00:00',2,7,12,2008,'M','N','SãO CRISTóVãO','VIDEIRA','SC','124241241217111731447511395122610128052',16301,'829',36.38,1,3,NULL),(16,3243818,'1991-01-24 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215271431358823572112610127072',12548,'262',44.27,1,3,NULL),(16,3243826,'1991-04-02 00:00:00',2,1,12,2008,'M','N','PRIMAVERA II','PRIMAVERA LESTE','MT','111111111116161431435311295121610125072',NULL,'9998',27.81,1,2,1),(16,3243834,'1991-10-20 01:00:00',2,1,12,2008,'M','N','AMADORI','PATO BRANCO','PR','116163161147141731335614245121610157122',NULL,'9998',20.46,1,3,NULL),(16,3243842,'1991-09-20 00:00:00',2,9,11,2008,'F','N','COLINA DO PINHEIRO','LGA VERMELHA','RS','120203201415111431434934572122610137147',NULL,'9998',28.16,1,3,NULL),(16,3243869,'1991-02-23 00:00:00',4,1,11,2008,'F','N','MERCêS','UBERABA','MG','113132131216371431448933575124610163077',13800,'9998',42.05,1,3,NULL),(16,3243877,'1989-05-07 00:00:00',2,6,12,2006,'F','N','FAZENDA','ITAJAí','SC','124162165216471431238814472124610124097',12221,'9998',44.87,1,3,NULL),(16,3243893,'1991-04-24 00:00:00',4,6,11,2008,'F','N','PIONEIROS','BAL CAMBORIú','SC','124162241216371431238827572222610161092',13684,'44',42.31,3,3,NULL),(16,3243907,'1987-06-11 00:00:00',2,1,7,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124123121117575411366629572115610142147',69,'9998',81.73,1,3,NULL),(16,3243915,'1990-11-01 00:00:00',4,1,12,2008,'M','N','CENTRO','POçOS CALDAS','MG','113132131217111431628611575122610145147',11816,'9998',45.60,1,3,NULL),(16,3243923,'1988-09-17 00:00:00',4,2,12,2005,'M','N','CENTRO','ASCURRA','SC','124243241215573731548712575125610164017',6867,'940',54.55,1,3,NULL),(16,3243931,'1986-08-31 00:00:00',2,1,12,2004,'F','N','SANTA MONICA','FLORIANóPOLIS','SC','124241241315271431555612242122130224147',16513,'272',35.42,1,3,NULL),(16,3243940,'1991-11-22 00:00:00',4,5,12,2008,'M','N','PARAGUAI','JACINTO MACHADO','SC','124241241137131411323629345121610134047',NULL,'420',30.50,1,3,NULL),(16,3243958,'1990-01-08 00:00:00',2,8,12,2007,'F','N','CENTRO','S FRANCISCO SUL','SC','124242241212132431629811372224610167017',12757,'867',43.91,1,3,NULL),(16,3243966,'1987-11-30 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241247117371411543429342124610168042',8351,'9999',51.69,1,2,1),(16,3243974,'1991-06-24 00:00:00',4,6,12,2008,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124244241215371431448952345112610124147',9780,'981',49.19,1,3,NULL),(16,3243990,'1987-09-12 00:00:00',2,1,12,2005,'F','N','FORQUILHINHAS','S JOSé','SC','124242241211474431426714481124610125072',NULL,'944',33.13,1,3,NULL),(16,3244008,'1972-10-02 00:00:00',2,1,12,1988,'F','N','CENTRO','FLORIANóPOLIS','SC','224241241111272411353353435122610165097',NULL,'257',31.21,1,2,1),(16,3244016,'1990-09-10 00:00:00',4,1,12,2008,'M','N','ABRÃAO','FLORIANóPOLIS','SC','124071241115441411548814391124610137062',NULL,'287',25.00,4,3,NULL),(16,3244024,'1983-03-15 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241211312711458712495122331067047',9828,'270',49.10,1,3,NULL),(16,3244032,'1967-02-03 00:00:00',4,1,12,1984,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124241244322375431231143135122121561097',2559,'785',65.13,1,3,NULL),(16,3244040,'1990-06-22 00:00:00',2,1,11,2007,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241437142411663439392124610137012',15302,'278',38.96,1,3,NULL),(16,3244067,'1992-11-09 00:00:00',4,1,11,2009,'M','S','BOSQUE DAS MANSõES','S JOSé','SC','124242241217111431479933395122610124042',NULL,'262',41.87,1,3,NULL),(16,3244075,'1991-08-30 00:00:00',3,8,10,2008,'M','N','CABRAL','CURITIBA','PR','116162161217121431489912595124610167062',4548,'9998',59.67,1,3,NULL),(16,3244083,'1990-12-10 00:00:00',4,8,12,2008,'M','N','JARDIM SãO MARCOS','UMUARAMA','PR','116164161437111431456611276115610167072',8477,'9998',51.44,1,3,NULL),(16,3244091,'1991-04-15 00:00:00',2,4,11,2008,'M','N','CENTRO','ERECHIM','RS','120204201235151431435632225121610137042',NULL,'9998',25.55,1,3,NULL),(16,3244105,'1989-10-24 00:00:00',2,1,12,2006,'F','N','CENTRO','PTO UNIãO','SC','124242241214472721558839595124610168177',10401,'633',48.09,1,3,NULL),(16,3244113,'1991-06-04 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241115271431469933591124610137042',2406,'267',65.67,1,2,1),(16,3244130,'1989-12-28 00:00:00',4,8,11,2008,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241215112231476612345112610127042',11820,'491',45.60,1,3,NULL),(16,3244148,'1990-08-05 00:00:00',4,8,12,2007,'M','N','CENTRO','AT PIQUIRI','PR','116161161315471431555912572121610167172',NULL,'9998',26.81,1,3,NULL),(16,3244156,'1990-12-21 00:00:00',4,8,12,2008,'M','N','AMéRICA','JOINVILLE','SC','124242241216171431559711575122610144182',9974,'457',48.83,1,3,NULL),(16,3244164,'1988-08-27 00:00:00',4,1,12,2005,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124243241335372732465513395134231227055',5361,'269',57.74,1,3,NULL),(16,3244172,'1982-05-23 00:00:00',2,1,12,2000,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242243137154431448413435124333217143',9836,'306',49.09,1,3,NULL),(16,3244180,'1986-12-11 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANóPOLIS','SC','124243241316135411558832345134233226047',NULL,'271',34.84,1,3,NULL),(16,3244199,'1990-04-20 00:00:00',4,7,12,2007,'F','N','BATEL','CURITIBA','PR','116242241216472431527711574324610124147',9482,'138',49.76,1,3,NULL),(16,3244202,'1980-09-13 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANóPOLIS','SC','124242243215373431456613342113121137027',9613,'303',49.50,1,3,NULL),(16,3244210,'1990-09-18 00:00:00',4,6,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241216272221536612245121610167067',14731,'44',40.21,1,3,NULL),(16,3244229,'1983-01-24 00:00:00',2,1,12,2001,'F','N','RATONES','FLORIANóPOLIS','SC','124241241127151411632114232314610136197',NULL,'295',24.38,1,2,1),(16,3244237,'1981-09-20 00:00:00',4,1,12,2000,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241416245421468613595122230268027',7329,'267',53.66,1,3,NULL),(16,3244245,'1989-07-26 00:00:00',2,1,12,2006,'M','N','CENTRO','CASTRO','PR','116164161415572431378616585112610167142',4975,'9998',58.67,1,3,NULL),(16,3244253,'1991-08-01 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215421431489933575112610164112',10069,'270',48.65,1,3,NULL),(16,3244261,'1990-07-05 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241215111431326831355121221456172',NULL,'27',0.00,2,1,2),(16,3244270,'1988-12-19 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124243246211232422354623572114610124047',NULL,'9999',20.49,1,3,NULL),(16,3244288,'1991-11-03 00:00:00',2,4,12,2008,'F','N','INTERIOR','DESCANSO','SC','124242241217161231346923332222610122052',2946,'241',63.98,1,3,NULL),(16,3244296,'1989-04-15 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215573531488812572122130222156',2846,'270',64.23,1,3,NULL),(16,3244300,'1979-08-16 00:00:00',2,1,12,1999,'F','N','CENTRO','FLORIANóPOLIS','SC','524241241126271731123349122125131461047',13611,'621',42.44,1,2,1),(16,3244326,'1990-07-04 00:00:00',4,8,5,2008,'M','N','VILA MARIANA','S PAULO','SP','125251281116371411368622395125610146057',9252,'9998',50.15,1,3,NULL),(16,3244334,'1991-12-04 00:00:00',4,1,2,2010,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241215111732369912275122610128047',NULL,'266',68.35,1,3,NULL),(16,3244342,'1993-02-27 00:00:00',4,8,11,2009,'F','S','PINHEIRINHO','RIO NEGRINHO','SC','124242241215111431367932575122610126012',NULL,'666',42.64,1,3,NULL),(16,3244369,'1983-05-29 00:00:00',2,9,12,1999,'F','N','ASA NORTE','BRASíLIA','DF','107243141136575431569613575122610166027',1970,'9998',67.31,1,3,NULL),(16,3244377,'1991-03-23 00:00:00',2,3,12,2008,'F','N','CENTRO','MASSARANDUBA','SC','124243241216151431369913435124610116142',7818,'424',52.74,1,3,NULL),(16,3244385,'1986-08-27 00:00:00',2,8,12,2003,'M','N','CENTRO','GUARAMIRIM','SC','124161241122271431423464142344610132052',15574,'336',38.38,3,2,1),(16,3244393,'1991-11-25 00:00:00',4,1,11,2008,'M','N','PLANALTO PAULISTA','S PAULO','SP','125252253216371451458833575121610164116',NULL,'9998',0.00,1,3,NULL),(16,3244407,'1988-02-27 00:00:00',4,1,12,2008,'M','N','PASSA VINTE','PALHOçA','SC','124242247131152411457634385113610121095',14225,'9999',41.18,1,3,NULL),(16,3244415,'1987-03-19 00:00:00',2,8,12,2004,'F','N','REBOUçAS','CURITIBA','PR','116162161215515431457833172115610124047',12421,'9998',44.51,4,3,NULL),(16,3244423,'1991-06-01 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241215121431368613575124610162075',2847,'1022',64.23,1,3,NULL),(16,3244440,'1982-01-10 00:00:00',2,1,12,2000,'M','N','FORQUILHINHAS','S JOSé','SC','124241241126453431334673185123230214047',13547,'736',42.54,1,3,NULL),(16,3244458,'1970-11-12 00:00:00',2,1,12,1992,'F','N','CARIANOS','FLORIANóPOLIS','SC','624241247222133531421371112124122336187',15301,'67',38.96,1,3,NULL),(16,3244466,'1988-08-11 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241114472431333567345134610167047',11041,'257',46.95,1,3,NULL),(16,3244474,'1990-05-01 00:00:00',4,1,12,2007,'M','N','BARRA DO ARIRIú','PALHOçA','SC','124241241117372731526619395124610153187',NULL,'591',3.39,1,2,1),(16,3244482,'1990-08-01 00:00:00',4,8,12,2007,'M','N','BOA VISTA','JOINVILLE','SC','124241241117271251433839385114610164042',12814,'477',43.83,1,3,NULL),(16,3244490,'1991-10-31 00:00:00',4,1,11,2009,'M','S','RIO TAVARES','FLORIANóPOLIS','SC','124242241217111412486632225112610117045',NULL,'270',29.38,1,3,NULL),(16,3244504,'1991-03-07 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124241248315111731423514572124610137117',16457,'1118',35.66,1,3,NULL),(16,3244512,'1990-05-07 00:00:00',2,4,12,2007,'M','N','TRêS VENDAS','ERECHIM','RS','120201201116372451335631595122610127092',13285,'9998',43.00,1,2,1),(16,3244520,'1989-02-17 00:00:00',2,5,11,2005,'F','N','SAMUEL SANDRINI','ORLEANS','SC','124241241316572431353933574122610134057',1701,'581',68.41,1,2,1),(16,3244547,'1988-11-08 00:00:00',2,1,12,2005,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241215273432433611312224233231147',5569,'774',57.34,1,3,NULL),(16,3244555,'1990-04-04 00:00:00',4,8,12,2007,'M','N','CENTRO','JARAGUá SUL','SC','124282281213411431579919571122610166142',NULL,'9998',0.00,1,3,NULL),(16,3244563,'1968-07-28 00:00:00',2,1,11,1987,'M','N','CARIANOS','FLORIANóPOLIS','SC','224241093121135421533343235133610124067',NULL,'9998',25.04,4,2,1),(16,3244571,'1985-12-15 00:00:00',2,1,6,2005,'F','N','CANUDOS','NOVO HAMBURGO','RS','120201205117131411333315245124610165182',NULL,'9998',26.30,4,3,NULL),(16,3244580,'1989-07-19 00:00:00',4,1,12,2007,'M','N','CENTRO','CERQUILHO','SP','125251251112471741335344145121610126017',NULL,'9998',21.43,1,2,1),(16,3244598,'1991-01-26 00:00:00',4,1,12,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241411111112446612271121610117042',NULL,'772',19.41,1,3,NULL),(16,3244601,'1989-10-30 00:00:00',4,1,12,2008,'M','N','VILA CORALINA','BAURU','SP','125252251216111431468823575112610137042',NULL,'9998',33.53,1,3,NULL),(16,3244636,'1991-07-19 00:00:00',4,1,11,2008,'F','N','JARDIM ATHENAS','SERTãOZINHO','SP','125252251215111431448812572122610126183',13437,'9998',42.72,1,3,NULL),(16,3244644,'1984-06-18 00:00:00',4,1,12,2001,'F','N','TRINDADE','FLORIANóPOLIS','SC','124161241212153431218841415125221762193',7745,'725',52.88,4,3,NULL),(16,3244652,'1991-04-11 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242247211111731669823371123610138142',NULL,'270',16.69,1,3,NULL),(16,3244660,'1979-11-07 00:00:00',4,1,12,1996,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124204203226231721224644345334140828187',NULL,'9998',27.70,1,3,NULL),(16,3244679,'1986-03-15 00:00:00',4,1,12,2003,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124254251217371431568634295114140666182',6129,'1022',56.07,1,3,NULL),(16,3244687,'1990-11-22 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSé','SC','124241241111472431438924571114610122047',11825,'384',45.60,1,3,NULL),(16,3244717,'1990-09-11 00:00:00',2,3,12,2008,'F','N','JARDIM ADRIANA','LONDRINA','PR','116166168217111431688833571122610121086',NULL,'9998',0.00,1,3,NULL),(16,3244725,'1990-06-23 00:00:00',2,4,11,2007,'F','N','CENTRO','MARMELEIRO','PR','116163161116572431437614575112610161042',NULL,'9998',35.95,1,3,NULL),(16,3244733,'1985-05-13 00:00:00',2,1,12,2004,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241137273431348523341135610137047',16103,'257',36.93,1,2,1),(16,3244741,'1992-05-05 00:00:00',2,4,12,2009,'F','S','MARIA GORETTI','CHAPECó','SC','124242248217151431337714292122610126092',NULL,'1021',8.31,1,3,NULL),(16,3244750,'1990-03-01 00:00:00',4,5,12,2007,'M','N','CIDADE ALTA','ARARANGUá','SC','124242241217472431468822245124610168112',NULL,'970',0.00,1,3,NULL),(16,3244776,'1990-11-01 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241237152431458813572122610168097',NULL,'499',27.20,1,3,NULL),(16,3244784,'1991-02-18 00:00:00',2,8,12,2008,'F','N','ROCIO PEQUENO','S FRANCISCO SUL','SC','124241241112141731436619292224610144047',NULL,'710',16.45,1,2,1),(16,3244792,'1986-12-05 00:00:00',4,1,12,2003,'M','N','CENTRO','QUEDAS IGUAçU','PR','116161161117131431549311245121140234173',13501,'9998',42.62,1,2,1),(16,3244806,'1991-04-27 00:00:00',2,1,12,2008,'M','N','JARDIM LUCILA','TATUí','SP','125253251315111431536419571123610167047',6843,'9998',54.59,1,3,NULL),(16,3244814,'1991-09-01 00:00:00',2,1,12,2008,'F','N','NOVA ESTÂNCIA','ESTANCIA VELHA','RS','120204201217111731436622571124610133012',NULL,'9998',21.54,1,3,NULL),(16,3244822,'1988-05-07 00:00:00',2,1,12,2005,'M','N','CENTRO','NIOAQUE','MS','112121121416572711258613571224610127077',466,'9998',76.05,4,3,NULL),(16,3244830,'1989-02-24 00:00:00',2,3,12,2006,'F','N','SOUZA CRUZ','BRUSQUE','SC','124242241215273431446614341132510144197',11425,'981',46.31,1,3,NULL),(16,3244849,'1983-10-19 00:00:00',4,1,12,2001,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124101101116152741548413435122233242173',10234,'9998',48.37,1,3,NULL),(16,3244857,'1990-11-28 00:00:00',4,1,12,2007,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124204241415131731218831586124610164187',11729,'1048',45.77,1,3,NULL),(16,3244865,'1990-11-10 00:00:00',4,2,11,2008,'M','N','CAPITAIS','TIMBó','SC','124241241415111431546932572124610144147',NULL,'88',0.00,1,3,NULL),(16,3244873,'1958-03-18 00:00:00',2,1,12,1996,'F','N','SANTA RITA','BENTO GONçALVES','RS','520203207327131441123349192112140266197',NULL,'9999',0.00,1,3,NULL),(16,3244890,'1992-11-13 00:00:00',4,1,12,2009,'M','S','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241215111431576432474124610127147',NULL,'270',44.96,1,3,NULL),(16,3244903,'1987-08-07 00:00:00',2,3,12,2004,'F','N','CENTRO','ANDIRá','PR','116161161217571741355936571325610111142',6200,'9998',55.92,1,3,NULL),(16,3244911,'1989-11-03 00:00:00',4,1,12,2007,'M','N','V MIGUEL V CURY','CAMPINAS','SP','125251251117411431245629395122610114112',8548,'9998',51.34,2,3,NULL),(16,3244920,'1987-12-07 00:00:00',4,1,12,2005,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241248132372431654329492114610124042',12452,'307',44.46,1,3,NULL),(16,3244938,'1991-01-17 00:00:00',2,3,12,2008,'F','N','SãO JORGE','S MIGUEL OESTE','SC','124241241217131231326923575124610134057',NULL,'752',0.00,1,3,NULL),(16,3244946,'1968-07-24 00:00:00',4,1,12,1985,'M','N','PALHOCINHA','GAROPABA','SC','124252256217151421148812345122341417112',NULL,'9998',0.00,1,3,NULL),(16,3244954,'1991-05-09 00:00:00',4,5,12,2008,'M','N','CENTRO','COCAL SUL','SC','124242241215111431336714494125610137042',6689,'213',54.89,1,3,NULL),(16,3244962,'1984-09-14 00:00:00',4,2,3,2004,'M','N','CENTRO','RIO SUL','SC','124243241331134431119943345215143262187',4376,'9999',60.08,5,4,NULL),(16,3244970,'1991-01-20 00:00:00',4,2,12,2008,'M','N','NAçõES','TIMBó','SC','124241241216111432357832575121610122147',NULL,'1157',26.91,1,3,NULL),(16,3244989,'1989-01-21 00:00:00',2,4,12,2006,'M','N','CENTRO','SERRA ALTA','SC','124241241216472431358833575112610164052',4947,'185',58.75,1,3,NULL),(16,3245004,'1990-07-25 00:00:00',2,3,12,2007,'M','N','JARDIM CLAUDINA','ITARARé','SP','125252251215475711286612575112610164092',14728,'9998',40.22,1,3,NULL),(16,3245012,'1991-01-16 00:00:00',4,4,12,2008,'F','N','MARATá','S DOMINGOS','SC','124241241125251311424614572224610126147',NULL,'707',25.19,1,2,1),(16,3245020,'1992-01-30 00:00:00',4,8,11,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241216121412457651575112610134092',4879,'1016',58.92,1,3,NULL),(16,3245039,'1992-04-16 00:00:00',2,5,11,2010,'F','S','VILA SãO JOSé','ARARANGUá','SC','124241241215121431345934141121610122117',NULL,'970',36.45,1,3,NULL),(16,3245055,'1987-12-10 00:00:00',4,1,12,2005,'M','N','JARDIN GOIáS','GOIâNIA','GO','109092091215571431478811572122610132047',1808,'9998',67.97,1,3,NULL),(16,3245063,'1990-11-07 00:00:00',4,1,11,2008,'M','N','CIDADE JARDIM','PRES PRUDENTE','SP','125252251216111731279973575115610134172',NULL,'9998',0.00,1,3,NULL),(16,3245071,'1988-08-27 00:00:00',4,1,11,2005,'F','N','CENTRO','CASCAVEL','PR','116162161215571741479714571112610142182',NULL,'9998',0.00,1,3,NULL),(16,3245080,'1990-11-07 00:00:00',4,2,11,2008,'M','N','ASILO','BLUMENAU','SC','124242241215111431558634386124610122142',9057,'87',50.49,1,3,NULL),(16,3245098,'1990-01-14 00:00:00',4,3,12,2006,'F','N','CENTRO','BAL CAMBORIú','SC','124242241216573731328921574125610123117',10264,'44',48.32,1,3,NULL),(16,3245101,'1990-09-21 00:00:00',4,1,12,2008,'F','N','JARDIM AMéRICA','CRUZEIRO','SP','125252251216111431469813575122610126187',NULL,'9998',0.00,1,3,NULL),(16,3245110,'1987-07-17 00:00:00',2,1,12,2004,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241112372431435514282124610127042',13402,'772',42.79,1,2,1),(16,3245128,'1993-06-12 00:00:00',4,1,11,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242248215111431566619511122610133153',NULL,'723',23.81,1,3,NULL),(16,3245136,'1984-12-17 00:00:00',2,1,12,2003,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124253251447134411638739195124232724147',13122,'9998',43.29,1,3,NULL),(16,3245152,'1990-06-27 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124243246312131431536432195113610167047',NULL,'977',20.60,1,3,NULL),(16,3245160,'1991-03-13 00:00:00',4,8,12,2008,'F','N','AMÉRICA','JOINVILLE','SC','124242241217171731157813572124610116197',NULL,'456',27.37,1,3,NULL),(16,3245179,'1989-04-12 00:00:00',2,1,12,2005,'M','N','CENTRO','PALHOçA','SC','124242241212574231479934572124233117112',NULL,'269',37.77,1,3,NULL),(16,3245187,'1991-01-30 00:00:00',2,7,11,2007,'F','N','CENTRO','JOACABA','SC','124241248233312751429913374114610164117',7491,'962',53.34,1,3,NULL),(16,3245217,'1993-01-10 00:00:00',4,9,12,2009,'M','S','CENTRO','LAGES','SC','124242241215151431589912472122610134082',NULL,'499',29.23,1,3,NULL),(16,3245225,'1991-07-06 00:00:00',4,3,12,2008,'M','N','GIOCONDO ORSI','CPO GRANDE','MS','112122121215211431549811285122610124047',NULL,'9998',23.15,1,3,NULL),(16,3245241,'1990-11-30 00:00:00',4,1,12,2008,'M','N','SOUZA CRUZ','BRUSQUE','SC','124241241126141431336714245123610147047',NULL,'110',29.67,4,2,1),(16,3245250,'1990-11-26 00:00:00',4,1,12,2006,'M','N','CENTRO','CPO GRANDE','MS','112124121434221131478832495122610117021',NULL,'9998',0.00,1,3,NULL),(16,3245268,'1990-10-17 00:00:00',4,1,12,2008,'F','N','TANQUE DO MOINHO','BRAGANçA PAULISTA','SP','125252251116471431456813475122610128147',8044,'9998',52.34,1,3,NULL),(16,3245276,'1991-06-06 00:00:00',4,1,12,2008,'M','N','BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP','125252251217111431458834572112610167042',NULL,'9998',30.56,1,3,NULL),(16,3245284,'1991-01-02 00:00:00',2,1,12,2008,'F','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','124241241125151511533319396244610145147',NULL,'278',23.74,1,3,NULL),(16,3245292,'1991-07-15 00:00:00',2,9,12,2008,'F','N','CENTRO','CAXIAS SUL','RS','120204201215151432248634472124610137097',NULL,'9998',23.68,1,3,NULL),(16,3245322,'1992-08-31 00:00:00',4,7,12,2009,'F','S','NSA SRA DE LOURDES','CAMPOS NOVOS','SC','124242241217111431436819271122610124142',NULL,'138',21.89,1,3,NULL),(16,3245330,'1990-06-17 00:00:00',2,8,12,2007,'M','N','VILA ESPERANçA','MARINGá','PR','116161202116471441436632322124610112142',NULL,'9998',45.88,1,2,1),(16,3245349,'1989-07-25 00:00:00',2,9,12,2006,'M','N','MARTORANO','S JOAQUIM','SC','124242241417371411548612375122610164052',9193,'1035',50.25,1,3,NULL),(16,3245357,'1991-09-22 00:00:00',2,3,12,2008,'F','N','CENTRO','MAFRA','SC','124241241215371431556634344122610133142',NULL,'541',33.14,1,3,NULL),(16,3245365,'1990-08-01 00:00:00',2,8,12,2007,'M','N','CENTRO','FAXINAL GUEDES','SC','124243242336271331636616575221610136042',11924,'836',45.40,1,3,NULL),(16,3245373,'1991-10-03 00:00:00',4,1,11,2008,'F','N','ABRAãO','FLORIANóPOLIS','SC','124243241215111431338613295124610133143',NULL,'300',0.00,1,3,NULL),(16,3245381,'1991-10-31 00:00:00',4,1,11,2008,'F','N','PASSA VINTE','PALHOçA','SC','124281241117151451426614572122610126127',15463,'591',38.62,1,3,NULL),(16,3245390,'1953-11-27 00:00:00',4,1,12,1979,'M','N','CENTRO','FLORIANóPOLIS','SC','524241246122153731333349491122320844142',NULL,'306',30.51,1,3,NULL),(16,3245403,'1980-08-31 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241326273232125441115114610117027',NULL,'785',22.95,1,3,NULL),(16,3245411,'1981-10-22 00:00:00',2,1,10,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241247625372411548659242233610137115',NULL,'9997',22.84,1,3,NULL),(16,3245420,'1989-09-10 00:00:00',2,1,12,2006,'F','N','VILA NOVA','GOIâNIA','GO','109092091215571731566614472125610162057',NULL,'9998',0.00,1,3,NULL),(16,3245438,'1985-11-11 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','124252251217574431137712492121223017112',13663,'9998',42.34,1,3,NULL),(16,3245446,'1989-02-27 00:00:00',4,3,12,2006,'M','N','CABRAL','CURITIBA','PR','116162161216311131357933475124241237052',15351,'9998',38.87,1,3,NULL),(16,3245454,'1990-07-13 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241115111431658833576114610114127',15566,'267',38.40,1,2,1),(16,3245462,'1984-12-26 00:00:00',4,1,12,2002,'M','N','PINHEIROS','S PAULO','SP','125252251217572431268963282124142942187',566,'9998',75.25,1,3,NULL),(16,3245489,'1991-02-11 00:00:00',2,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241215111431438623395122610164052',NULL,'499',0.00,1,3,NULL),(16,3245497,'1991-09-16 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124201241137141731223374372324610124057',NULL,'922',20.58,1,2,1),(16,3245500,'1985-02-15 00:00:00',4,6,12,2002,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124241241436132411533419485124332827017',14358,'107',40.95,1,3,NULL),(16,3245519,'1989-05-18 00:00:00',4,1,12,2006,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112124128434221331478832495122610117122',NULL,'9998',0.00,1,3,NULL),(16,3245527,'1989-11-23 00:00:00',2,1,12,2007,'F','N','ROçADO','S JOSé','SC','124242241216372131466933575122610167072',NULL,'270',29.50,1,3,NULL),(16,3245535,'1990-05-30 00:00:00',4,1,12,2007,'M','N','SETE PRAIAS','S PAULO','SP','125252251215471431347831171112610167183',NULL,'9998',0.00,1,3,NULL),(16,3245543,'1991-04-11 00:00:00',4,6,12,2008,'F','N','VILA OPERÁRIA','ITAJAí','SC','124242241217371542558931575122610166147',9365,'388',49.96,3,3,NULL),(16,3245551,'1989-03-30 00:00:00',2,1,12,2006,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241112472431438839382314610137047',14122,'307',41.40,1,3,NULL),(16,3245560,'1991-06-20 00:00:00',2,8,12,2008,'F','N','CENTRO','PIêN','PR','116161161127161421223529395333610116147',NULL,'9998',0.00,1,2,1),(16,3245578,'1991-12-31 00:00:00',4,5,12,2008,'F','N','SANTA ANA','FORQUILHINHA','SC','124241241117131431425339575124610146047',16278,'309',36.44,1,2,1),(16,3245594,'1991-05-29 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215111431436612372124610125192',14953,'1022',39.78,1,3,NULL),(16,3245616,'1991-06-08 00:00:00',4,1,11,2008,'M','N','JARDIM DOS ESTADOS','POçOS CALDAS','MG','113132131217111511369923375114610128012',NULL,'9998',0.00,1,3,NULL),(16,3245624,'1988-10-29 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241247116273411436622345134131337157',NULL,'9999',26.76,1,2,1),(16,3245632,'1991-12-07 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241116151431414411572314610124197',NULL,'292',18.82,1,2,1),(16,3245640,'1990-07-16 00:00:00',4,8,11,2007,'F','N','AMIZADE','JARAGUá SUL','SC','124242241217371431569911575124141026186',8729,'491',51.02,1,3,NULL),(16,3245667,'1992-09-20 00:00:00',2,1,11,2010,'F','S','PARQUE HORTOLANDIA','HORTOLâNDIA','SP','125254241417111232335612275124610135017',NULL,'9998',35.49,1,3,NULL),(16,3245675,'1989-09-24 00:00:00',2,1,12,2008,'F','N','FLORIANóPOLIS','FLORIANóPOLIS','SC','124242241215112431246824575124610122077',3468,'270',62.47,1,3,NULL),(16,3245683,'1972-08-17 00:00:00',4,1,12,1990,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','224142143211152411266841311124120867062',NULL,'9998',32.11,4,3,NULL),(16,3245691,'1982-04-03 00:00:00',2,1,7,2005,'F','N','SANTOS DUMONDT','S JOSé','SC','224241247132131451426551291224610137077',15781,'9999',37.83,1,2,1),(16,3245705,'1985-09-27 00:00:00',4,1,12,2002,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124132131217574711129949445124233266147',453,'9998',76.22,4,1,2),(16,3245713,'1985-05-05 00:00:00',2,1,12,2003,'F','N','ALTO ARIRI','PALHOçA','SC','124241241146135431223348282224233213192',16495,'521',35.49,1,2,1),(16,3245721,'1991-05-19 00:00:00',2,1,12,2008,'M','N','ARIRIú','PALHOçA','SC','124242248215111232464433572124610114182',NULL,'989',34.79,1,3,NULL),(16,3245730,'1989-11-17 00:00:00',4,1,12,2006,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241114131431434823572222231533147',NULL,'147',28.12,1,3,NULL),(16,3245748,'1989-11-12 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215472531466813495114610167057',NULL,'884',29.55,1,3,NULL),(16,3245756,'1990-04-12 00:00:00',4,1,12,2007,'M','N','RANCHO ALEGRE','AVARé','SP','125252251215371431368923575122610127052',NULL,'9998',37.11,1,3,NULL),(16,3245764,'1987-04-25 00:00:00',4,1,12,2004,'M','N','JABAQUARA','S PAULO','SP','125252251116573431579813495124243234097',1309,'9998',70.30,1,3,NULL),(16,3245772,'1986-07-31 00:00:00',4,1,11,2003,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241415153431258913395114222227012',NULL,'226',0.00,1,3,NULL),(16,3245780,'1991-10-15 00:00:00',2,3,12,2008,'M','N','DAS NAÇOES','BAL CAMBORIú','SC','124242241215111431456632575122610127172',15501,'1038',38.54,1,3,NULL),(16,3245799,'1992-06-24 00:00:00',2,1,12,2008,'F','N','SERTãO DO IMARUIM','S JOSé','SC','124242241215112731456633574122610164092',6767,'1011',54.73,1,3,NULL),(16,3245802,'1991-01-05 00:00:00',4,1,12,2007,'F','N','CENTRO','STA MARIA','RS','120202201117471431459713371215610163072',3349,'9998',62.84,1,3,NULL),(16,3245810,'1985-10-29 00:00:00',4,1,12,2006,'F','N','JD TANGARá','JABOTICABAL','SP','125213257346571731349813575122610146097',NULL,'9999',0.00,1,3,NULL),(16,3245829,'1981-01-01 00:00:00',2,1,12,2002,'M','N','INGLESES','FLORIANóPOLIS','SC','624243247347372421224541212111610161117',NULL,'9999',32.64,1,3,NULL),(16,3245837,'1987-08-28 00:00:00',2,1,12,2005,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241217474431356833575122131422142',5073,'266',58.46,1,3,NULL),(16,3245845,'1991-08-27 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215111432259921575122610137042',NULL,'213',35.88,1,3,NULL),(16,3245853,'1991-10-17 00:00:00',4,1,12,2008,'M','N','PRADO','BIGUAçU','SC','124242241215111431443933475121610112147',NULL,'63',24.12,1,3,NULL),(16,3245861,'1989-07-19 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','116165165527371551463336595314610164147',NULL,'9998',0.00,1,3,NULL),(16,3245870,'1991-03-25 00:00:00',2,1,12,2007,'M','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','124242241215221721558339295112610162185',NULL,'1036',31.71,1,3,NULL),(16,3245888,'1961-05-06 00:00:00',4,1,11,1980,'F','N','PANTANAL','FLORIANóPOLIS','SC','224223225316154421466453112122610161177',NULL,'9998',28.41,1,3,NULL),(16,3245900,'1990-08-29 00:00:00',2,4,12,2007,'F','N','JARDIM ITáLIA','CHAPECó','SC','124241241215372431436833575122132027012',8841,'1046',50.81,1,3,NULL),(16,3245918,'1987-04-26 00:00:00',4,1,12,2005,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241412272711328924385124610117187',10650,'1036',47.65,1,3,NULL),(16,3245926,'1991-03-21 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431458832575124610128187',1094,'270',71.50,1,3,NULL),(16,3245934,'1990-11-11 00:00:00',4,10,12,2008,'F','N','MAR GROSSO','LAGUNA','SC','124242241225131331426511295134610124017',NULL,'524',0.00,4,3,NULL),(16,3245942,'1992-02-19 00:00:00',4,1,11,2009,'F','S','JURERE INTERNACIONAL','FLORIANóPOLIS','SC','124242241216111431369832476125610146182',NULL,'270',56.89,1,3,NULL),(16,3245950,'1990-08-31 00:00:00',2,9,12,2008,'F','N','JARDIM MINUANO','S JOAQUIM','SC','124241241115161411424414582215610123187',NULL,'903',22.94,1,3,NULL),(16,3245969,'1986-02-23 00:00:00',2,4,12,2003,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120161161511174411449913481214140466147',NULL,'9998',0.00,1,3,NULL),(16,3245977,'1992-03-26 00:00:00',2,9,12,2008,'F','N','SANTO ANTôNIO','URUBICI','SC','124244241216271331424815572124610125147',11802,'817',45.63,1,3,NULL),(16,3245985,'1978-12-04 00:00:00',4,3,12,1996,'M','N','CENTRO','BAL CAMBORIú','SC','124252251212131741118844245325141066097',11066,'9998',46.91,1,3,NULL),(16,3245993,'1992-07-13 00:00:00',4,8,12,2009,'F','S','CENTRO','JARAGUá SUL','SC','124242241417151731468912595122610128182',NULL,'442',0.00,1,3,NULL),(16,3246000,'1990-01-10 00:00:00',4,1,12,2007,'M','N','VILA MADALENA','S PAULO','SP','125252251217471431478812572124610161022',3437,'9998',62.56,1,3,NULL),(16,3246019,'1989-12-15 00:00:00',2,3,12,2007,'F','N','CENTRO','ITAIóPOLIS','SC','124241241247471431448923575112610163077',13182,'1085',43.18,1,3,NULL),(16,3246027,'1991-04-04 00:00:00',2,5,11,2008,'F','N','CENTRO','URUSSANGA','SC','124242241215111231454432575122610128192',NULL,'820',0.00,1,3,NULL),(16,3246035,'1978-10-18 00:00:00',2,1,12,1995,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241116134421234444245124610126087',12461,'307',44.46,1,3,NULL),(16,3246043,'1991-06-02 00:00:00',2,1,12,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241117371431426414572224610168077',16650,'298',34.30,4,2,1),(16,3246060,'1989-03-13 00:00:00',2,1,12,2006,'F','N','JD DAS INDUSTRIAS','S JOSé CAMPOS','SP','125254251235572751535624482124240462083',NULL,'9998',0.00,4,1,2),(16,3246078,'1991-07-09 00:00:00',4,1,12,2008,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241115131431526318572324610146057',NULL,'307',37.24,1,2,1),(16,3246086,'1987-03-16 00:00:00',4,8,12,2004,'M','N','ELDORADO','PARANAGUá','PR','116162161116371451643972195122140864042',13023,'9998',43.46,3,3,NULL),(16,3246094,'1990-03-01 00:00:00',2,3,12,2007,'M','N','CENTRO','CURITIBA','PR','116224231431171751436631581321610164072',NULL,'9998',0.00,1,3,NULL),(16,3246108,'1988-02-14 00:00:00',4,1,12,2005,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124254251237373411638739575114610134182',13562,'9998',42.52,1,3,NULL),(16,3246116,'1990-01-30 00:00:00',2,1,11,2008,'M','N','JARDIM GOIáS','GOIâNIA','GO','109092091216111211326824285122610167047',NULL,'9998',34.37,1,3,NULL),(16,3246124,'1990-10-25 00:00:00',4,1,12,2007,'F','N','JD ROSA MARIA','S PAULO','SP','125252281217471431568612575122143242073',894,'9998',72.75,3,3,NULL),(16,3246140,'1991-10-23 00:00:00',2,1,11,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241417131431323314292121610137067',12880,'1014',43.70,1,3,NULL),(16,3246159,'1988-04-29 00:00:00',4,1,12,2005,'F','N','CAMPINAS','S JOSé','SC','124241241311132431233311225234131022177',NULL,'1036',36.08,1,3,NULL),(16,3246167,'1985-05-16 00:00:00',4,1,12,2002,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124241241137273711628719395124610145142',10682,'49',47.60,1,2,1),(16,3246175,'1991-08-09 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215112411478814575122610127147',9525,'270',49.67,1,3,NULL),(16,3246183,'1990-06-11 00:00:00',2,8,12,2007,'F','N','SANTA MADALENA','LONDRINA','PR','116161161115471411536834572324610163097',NULL,'9998',0.00,4,1,1),(16,3246205,'1990-02-14 00:00:00',4,4,12,2007,'F','N','CENTRO','PTO ALEGRE','RS','120244241215372431349832572124143264097',2332,'270',65.94,1,3,NULL),(16,3246213,'1989-10-23 00:00:00',4,1,12,2007,'F','N','ALTO DA BOA VISTA','RIBEIRãO PRETO','SP','125252251215472431477832475122610166092',1056,'9998',71.70,1,3,NULL),(16,3246221,'1990-08-01 00:00:00',4,9,12,2007,'M','N','FARROUPILHA','IVOTI','RS','120201201217372431468733575124610164197',3202,'9998',63.28,1,3,NULL),(16,3246230,'1964-03-09 00:00:00',2,1,12,1980,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','224241245126151751453354332122332731077',15992,'158',37.26,1,3,NULL),(16,3246248,'1988-12-03 00:00:00',4,1,12,2007,'M','N','JARDIM AMERICA','GOIANIA','GO','109092091414471531558613574122610122092',NULL,'9998',0.00,4,3,NULL),(16,3246256,'1990-11-24 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241112472431458913572125610137142',8268,'307',51.85,1,2,1),(16,3246264,'1985-02-02 00:00:00',2,1,12,2003,'F','N','FORQUILHINHAS','S JOSé','SC','624244241417275431326954445124610167052',NULL,'9997',30.53,2,3,NULL),(16,3246272,'1991-09-09 00:00:00',2,4,12,2008,'M','N','CENTRO','DOIS VIZINHOS','PR','116161161116131431333634272321610136057',12020,'9998',45.23,1,2,1),(16,3246280,'1983-04-17 00:00:00',2,1,12,2002,'F','N','ITAGUAçU','FLORIANóPOLIS','SC','124241248111135732527614245134610163047',NULL,'293',11.49,1,3,NULL),(16,3246299,'1990-06-14 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241247417151431255923475114610146062',11606,'9999',45.99,1,3,NULL),(16,3246302,'1988-03-04 00:00:00',2,1,12,2006,'M','N','PRAINHA','FLORIANóPOLIS','SC','124242248325371422446919315114610137042',NULL,'307',34.53,4,3,NULL),(16,3246310,'1976-09-12 00:00:00',2,1,12,1993,'M','N','CAMPECHE','FLORIANóPOLIS','SC','224202201217132421239641415122541267043',5039,'9998',58.53,1,3,NULL),(16,3246337,'1991-07-03 00:00:00',4,1,12,2008,'M','N','ABRAÃO','FLORIANóPOLIS','SC','124242241216111431569713575124610118142',NULL,'273',31.76,1,3,NULL),(16,3246345,'1991-01-03 00:00:00',4,1,12,2007,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241216272441458914575124231922042',6374,'855',55.53,1,3,NULL),(16,3246353,'1987-01-14 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217575711538833171124610125097',1258,'270',70.62,1,3,NULL),(16,3246361,'1991-03-22 00:00:00',4,1,11,2007,'M','N','CENTRO','ARARAQUARA','SP','125124121215473431688621575112610164082',1064,'9998',71.67,4,3,NULL),(16,3246370,'1990-08-25 00:00:00',4,1,12,2008,'F','N','INDEPENDENCIA','PTO ALEGRE','RS','120243207137131711217369342224610122097',NULL,'9998',0.00,4,1,2),(16,3246388,'1986-05-03 00:00:00',2,1,12,2008,'M','N','COLONINHA','FLORIANóPOLIS','SC','124241247127131431315579186324610167047',14328,'9999',41.00,1,2,1),(16,3246396,'1988-02-10 00:00:00',4,9,12,2005,'M','N','COPACABANA','LAGES','SC','124243241217131441226324585114132042017',NULL,'515',27.87,1,3,NULL),(16,3246418,'1986-12-18 00:00:00',4,1,11,2005,'M','N','BARREIROS','S JOSé','SC','224244247412132421435623312124610137112',NULL,'9999',29.60,1,3,NULL),(16,3246426,'1985-05-17 00:00:00',4,1,12,2003,'M','N','BARRO VERMELHO','ORLEANS','SC','124244241417274731427719311124121424037',2728,'581',64.61,1,3,NULL),(16,3246434,'1981-11-17 00:00:00',2,1,12,2001,'M','N','CENTRO','PTO ALEGRE','RS','120203211136574431665873491134143232097',5976,'9998',56.41,1,3,NULL),(16,3246442,'1991-07-12 00:00:00',4,1,11,2008,'M','N','MONTE CARLO','S JOAQUIM','SC','116244161215112731568836575124610122072',11049,'9998',46.93,3,3,NULL),(16,3246469,'1984-07-30 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSé','SC','124244241427211431223444242343610128022',15706,'270',38.05,1,3,NULL),(16,3246477,'1989-07-14 00:00:00',2,1,12,2006,'F','N','CENTRO','PALMAS','TO','127273271216331431556624245224610122032',NULL,'9998',12.22,1,3,NULL),(16,3246485,'1987-02-27 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215574751339923474125133224141',2736,'270',64.59,1,3,NULL),(16,3246493,'1990-10-07 00:00:00',2,1,12,2007,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241217154311489822342122231065117',NULL,'270',22.02,1,3,NULL),(16,3246507,'1988-06-29 00:00:00',2,8,12,2005,'F','N','BATEL','CURITIBA','PR','116163161215571731568831572122610114052',NULL,'9998',0.00,1,3,NULL),(16,3246515,'1978-01-15 00:00:00',5,1,12,1997,'F','N','CENTRO','FLORIANóPOLIS','SC','524204201436141711146644445115340868187',15221,'9998',39.15,1,3,NULL),(16,3246523,'1990-03-28 00:00:00',4,1,12,2006,'M','N','RIO FORMOSO','GOIâNIA','GO','109092091216571321347722575122613212092',15372,'9998',38.82,4,3,NULL),(16,3246531,'1990-08-09 00:00:00',4,1,12,2007,'F','N','JARDIM PETROPOLIS','LONDRINA','PR','116162161217471411578819575122610122182',NULL,'9997',0.00,1,3,NULL),(16,3246540,'1991-02-06 00:00:00',4,5,12,2008,'F','N','BARRO BRANCO','LAURO MüLLER','SC','624241248117371751446639595125610157062',NULL,'9997',21.84,1,2,1),(16,3246558,'1990-12-12 00:00:00',4,1,12,2007,'M','N','BUTANTã','S PAULO','SP','125072071217472431389934572124610162092',703,'9998',74.21,1,3,NULL),(16,3246566,'1990-09-20 00:00:00',4,7,12,2007,'M','N','SANTO ANTôNIO','FRAIBURGO','SC','124242241215471531566616575112610167072',NULL,'317',41.99,1,3,NULL),(16,3246574,'1991-08-05 00:00:00',2,8,12,2008,'F','N','SANTA MADALENA','LONDRINA','PR','116161161117371411536834575324610164087',NULL,'9998',0.00,1,2,1),(16,3246582,'1990-12-30 00:00:00',4,1,12,2008,'F','N','JARDIM ANGELA ROSA','FRANCA','SP','125254257337371411379713572122610162093',NULL,'9999',0.00,1,3,NULL),(16,3246604,'1991-08-11 00:00:00',4,4,11,2008,'M','N','CINQUENTENARIO','CONCóRDIA','SC','124241241117131232433611575112610137042',12917,'192',43.64,1,2,1),(16,3246612,'1991-09-09 00:00:00',4,10,11,2008,'F','N','STO ANTôNIO DE PáDUA','TUBARãO','SC','124242241117131432537612572122610127147',NULL,'798',0.00,1,3,NULL),(16,3246620,'1990-03-07 00:00:00',4,1,12,2007,'M','N','SANTANA','S PAULO','SP','125252251215471431568713181112610167052',980,'9998',72.20,1,3,NULL),(16,3246639,'1992-02-24 00:00:00',4,8,12,2009,'M','S','AMIZADE','JARAGUá SUL','SC','124242241217171411489912572122610127012',NULL,'442',17.22,1,3,NULL),(16,3246647,'1991-04-09 00:00:00',2,1,12,2008,'M','N','ALTO ARIRIú','PALHOçA','SC','124242241215111431434412572124610137043',9418,'1014',49.87,1,3,NULL),(16,3246655,'1989-11-24 00:00:00',4,1,12,2006,'F','N','VILA MOREIRA','GUARULHOS','SP','125252251216571751358832285122610163147',1795,'9998',68.02,1,3,NULL),(16,3246698,'1988-12-09 00:00:00',2,1,7,2008,'F','N','CENTRO','DEODáPOLIS','MS','112202207435161531688712572112610164097',NULL,'9998',0.00,1,3,NULL),(16,3246710,'1990-01-15 00:00:00',4,3,5,2008,'M','N','NACOES','BAL CAMBORIú','SC','124244247417151412538812575124610118057',NULL,'9999',35.11,1,3,NULL),(16,3246728,'1986-02-08 00:00:00',2,1,12,2003,'F','N','STO ANTONIO DE LISBO','FLORIANóPOLIS','SC','124201201131232331423524141334610128092',NULL,'9998',0.00,1,2,1),(16,3246736,'1991-03-14 00:00:00',2,8,12,2007,'F','N','ENSEADA','S FRANCISCO SUL','SC','124242241215472431268633575124610163187',NULL,'867',34.30,1,3,NULL),(16,3246744,'1991-10-18 00:00:00',4,1,12,2008,'F','N','JARDIM DOS PRINCIPES','UMUARAMA','PR','116164161215121431446634572122610164147',14401,'9998',40.88,1,3,NULL),(16,3246752,'1986-01-20 00:00:00',4,1,12,2003,'M','N','VILA QUITAúNA','OSASCO','SP','124254251225472411468633395224221534047',5500,'9998',57.48,1,3,NULL),(16,3246760,'1991-10-14 00:00:00',4,1,11,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124244243217111531369912495122610127062',NULL,'270',38.32,3,3,NULL),(16,3246787,'1971-10-26 00:00:00',2,1,12,1992,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241146135721124341415334121823027',12515,'298',44.36,1,2,1),(16,3246795,'1991-05-24 00:00:00',2,1,12,2008,'F','N','GLóRIA','VACARIA','RS','120201201116131431545833575122610136143',NULL,'9998',27.16,2,1,1),(16,3246817,'1988-12-10 00:00:00',2,3,12,2006,'M','N','UNIVERSITARIO','TIJUCAS','SC','124241248136151411455511345232610167112',NULL,'783',22.34,1,2,1),(16,3246825,'1988-11-16 00:00:00',2,1,12,2006,'F','N','JARDIM AGARUSSI','ITU','SP','125253241115273431476511585122610131192',11150,'384',46.75,1,3,NULL),(16,3246833,'1990-07-14 00:00:00',4,1,12,2007,'F','N','MARTORANO','S JOAQUIM','SC','124242241247112421549914385124222367077',10740,'1098',47.47,1,3,NULL),(16,3246841,'1991-01-21 00:00:00',4,8,11,2008,'F','N','BARRA DO SAí','GUARATUBA','PR','116162241215111431436611292122610125177',NULL,'486',38.78,1,3,NULL),(16,3246850,'1988-02-23 00:00:00',4,1,12,2005,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124112251216272731218813572124143263117',8075,'9998',52.28,1,3,NULL),(16,3246868,'1991-12-24 00:00:00',4,1,12,2009,'M','S','COLôNIA SANTANA','S JOSé','SC','124242241215141731228933574124610168175',NULL,'1074',39.66,1,3,NULL),(16,3246884,'1979-03-28 00:00:00',2,1,10,1997,'F','N','STA MõNICA','FLORIANóPOLIS','SC','124243241317231721528831482111143112126',NULL,'32',28.59,1,3,NULL),(16,3246892,'1989-06-21 00:00:00',4,1,12,2006,'M','N','CENTRO','CAçAPAVA','SP','125252251217572431327621575124610132147',3037,'9998',63.69,1,3,NULL),(16,3246914,'1982-03-16 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216154421688811495132520762121',3488,'262',62.41,1,3,NULL),(16,3246922,'1988-04-20 00:00:00',4,3,12,2006,'M','N','CENTRO','BAL CAMBORIú','SC','124242241217573731457632175112610134092',16615,'53',34.68,1,3,NULL),(16,3246930,'1991-09-28 00:00:00',2,4,12,2008,'F','N','INTERIOR','DOIS VIZINHOS','PR','116161161116131431434515272324610126197',13414,'9998',42.77,1,2,1),(16,3246949,'1990-07-28 00:00:00',2,3,12,2007,'M','N','BELA VISTA','PINHALZINHO','SC','124241241147132411423523582124610148147',NULL,'616',33.57,1,2,1),(16,3246957,'1991-12-14 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124242241217151711668811576115610164172',8281,'497',51.82,1,3,NULL),(16,3246965,'1973-04-18 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANóPOLIS','SC','224241241112131151543351341132610113054',15237,'977',39.12,1,3,NULL),(16,3246973,'1991-01-21 00:00:00',2,3,12,2008,'F','N','OFICINAS','PNT GROSSA','PR','116162161215171431445931272122610123072',NULL,'9998',0.00,1,3,NULL),(16,3246981,'1989-01-16 00:00:00',4,6,12,2006,'F','N','SãO JOãO','ITAJAí','SC','124242241417151431447912345124230242122',NULL,'389',27.72,1,3,NULL),(16,3246990,'1990-01-12 00:00:00',2,5,12,2007,'F','N','SANTA AUGUSTA','CRICIúMA','SC','124241241112132431533315372224231424057',13697,'127',42.27,1,2,1),(16,3247031,'1990-09-11 00:00:00',2,8,11,2007,'F','N','JARDIM ELDORADO','VILHENA','RO','116223161215471411458639574325610127147',1140,'9998',71.23,1,3,NULL),(16,3247040,'1987-05-02 00:00:00',4,1,12,2005,'F','N','IGUAçU','IPATINGA','MG','113134137416372431263624575122140227122',7023,'9999',54.25,1,3,NULL),(16,3247058,'1991-05-24 00:00:00',2,1,11,2008,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124241241215151211346634345124610117045',14152,'1023',41.33,1,3,NULL),(16,3247066,'1990-06-12 00:00:00',2,1,12,2008,'F','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124241241115131431436634581124610127117',NULL,'288',18.04,1,2,1),(16,3247074,'1991-01-12 00:00:00',2,1,12,2008,'M','N','SERTãO','STO AMARO IMPERATRIZ','SC','124241241116131431633923395124610148177',NULL,'772',30.45,1,2,1),(16,3247082,'1990-01-07 00:00:00',2,1,7,2008,'F','N','SERRARIA','S JOSé','SC','124241247217131711433314575124610124187',15092,'9999',39.44,1,3,NULL),(16,3247090,'1981-12-05 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANóPOLIS','SC','124133131311131431336723285124333221192',16168,'9998',36.74,1,3,NULL),(16,3247112,'1985-09-21 00:00:00',4,1,12,2002,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124164161216271431117644343221610131187',NULL,'9998',44.30,1,3,NULL),(16,3247120,'1991-10-31 00:00:00',4,3,12,2008,'F','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241216222221488934575112610167147',12592,'44',44.20,1,3,NULL),(16,3247147,'1992-07-07 00:00:00',2,1,12,2009,'F','S','ITACORUBI','FLORIANóPOLIS','SC','124241241136131431666613295124610123181',NULL,'307',40.68,1,3,NULL),(16,3247155,'1985-10-20 00:00:00',2,4,12,2001,'F','N','INTERIOR','TRINDADE SUL','RS','120201201117472431333829491324130625182',14421,'9998',40.84,1,2,1),(16,3247163,'1991-09-18 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241315421431327923575125610134187',7687,'1022',52.99,1,3,NULL),(16,3247171,'1991-04-07 00:00:00',4,8,12,2008,'F','N','GUANABARA','JOINVILLE','SC','124243241226141431536833575124610137147',NULL,'457',24.25,1,3,NULL),(16,3247180,'1990-07-16 00:00:00',2,1,12,2007,'M','N','SAO CRISTOVAO','TURVO','SC','124241241116472431337633382311610136042',9298,'814',50.08,1,2,1),(16,3247198,'1990-08-03 00:00:00',4,1,12,2007,'M','N','CENTRO','BRUSQUE','SC','124242241215212431466732472122221467042',NULL,'981',0.00,1,3,NULL),(16,3247201,'1988-06-16 00:00:00',4,1,12,2007,'M','N','TRIANGULO','ERECHIM','RS','120201201146131411334414472111610117047',NULL,'9998',24.34,1,3,NULL),(16,3247210,'1991-01-22 00:00:00',2,5,12,2008,'F','N','TAIPA','ORLEANS','SC','124241241115131431523324442224610168147',NULL,'580',34.65,1,3,NULL),(16,3247228,'1990-01-11 00:00:00',4,1,12,2007,'M','N','SAO FRANCISCO','MTE ALTO','SP','125253251215372431428833571125610128082',NULL,'9998',34.59,1,3,NULL),(16,3247236,'1993-11-05 00:00:00',4,5,12,2010,'F','S','CENTRO','CRICIúMA','SC','124242241217111451438831575122610166147',NULL,'213',35.50,1,3,NULL),(16,3247244,'1991-11-22 00:00:00',2,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124241241215111431538933592122610162092',7790,'988',52.78,4,3,NULL),(16,3247252,'1991-08-09 00:00:00',4,1,12,2008,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124082241217111432288814475112610134052',9593,'951',49.54,1,3,NULL),(16,3247260,'1991-03-08 00:00:00',2,4,12,2008,'M','N','CENTRO','CHAPECó','SC','124243241215371431349529575124610124042',12097,'1046',45.11,1,3,NULL),(16,3247279,'1982-08-01 00:00:00',4,1,7,2002,'M','N','JURERê','FLORIANóPOLIS','SC','124202247437374421568733315132610168047',NULL,'9999',43.97,1,3,NULL),(16,3247287,'1991-03-27 00:00:00',2,5,11,2008,'F','N','MORRO ESTEVãO','CRICIúMA','SC','124242241216172431554632575112610127142',NULL,'226',0.00,1,3,NULL),(16,3247295,'1991-08-15 00:00:00',4,10,11,2008,'M','N','CENTRO','IMBITUBA','SC','124244241235111531457619571121610127117',8203,'807',51.99,1,3,NULL),(16,3247309,'1991-07-30 00:00:00',4,4,11,2008,'M','N','JARDIM ITALIA','CHAPECó','SC','124242241215111431589812572122610164032',303,'983',77.94,1,3,NULL),(16,3247317,'1970-09-14 00:00:00',4,1,12,1987,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','224243241115272711379643432122322637122',3156,'267',63.39,1,3,NULL),(16,3247325,'1959-12-16 00:00:00',2,1,12,1976,'M','N','AREIAS','S JOSé','SC','224162166312133431464344442122320228043',12501,'9998',44.38,1,3,NULL),(16,3247341,'1991-07-03 00:00:00',4,3,12,2008,'F','N','CASTELO BRANCO','ITAPEMA','SC','124242241215371731536932372125610165147',NULL,'403',36.30,1,3,NULL),(16,3247350,'1986-12-26 00:00:00',2,1,12,2004,'F','N','FORQUILHINHAS','SAO JOSE','SC','124241248117132731556813415123610126097',NULL,'307',23.24,2,1,1),(16,3247368,'1988-05-12 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215373432287832575124121237047',4296,'262',60.25,1,3,NULL),(16,3247376,'1991-01-21 00:00:00',2,4,12,2007,'F','N','CENTRO','GUARUJá SUL','SC','124242241217472431435934575124610137147',NULL,'752',29.60,1,3,NULL),(16,3247384,'1973-11-09 00:00:00',4,2,11,1995,'F','N','FORTALEZA','BLUMENAU','SC','224241247222472431248754232112331326187',NULL,'72',0.00,1,3,NULL),(16,3247392,'1991-06-14 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124241241215131731427332572122610148042',NULL,'724',0.00,1,3,NULL),(16,3247406,'1991-06-27 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124251241115131411436611574122610136145',13145,'288',43.25,1,2,1),(16,3247414,'1990-09-14 00:00:00',2,1,12,2008,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241127371431536634572114610114057',15807,'296',37.75,1,2,1),(16,3247422,'1982-02-05 00:00:00',4,1,12,1999,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','224122121217132431524823415134343263172',14833,'9998',40.01,1,3,NULL),(16,3247430,'1991-02-27 00:00:00',2,1,11,2008,'M','N','FORQUILINHAS','S JOSé','SC','124242241235111331483512271112610167042',NULL,'1074',27.09,4,3,NULL),(16,3247457,'1987-05-04 00:00:00',4,1,12,2004,'F','N','LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC','124243247135152431338814385114142266185',12369,'9999',44.60,4,3,NULL),(16,3247465,'1991-08-05 00:00:00',4,2,12,2008,'F','N','DAS NAçõES','INDAIAL','SC','124242243215121431448732375124610123142',13318,'855',42.93,1,3,NULL),(16,3247473,'1986-11-21 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124241247336131521423329245124610125142',NULL,'9999',15.66,2,1,2),(16,3247481,'1992-01-09 00:00:00',4,2,12,2009,'F','S','CANOAS','RIO SUL','SC','124242241215111451368739575122610122187',NULL,'991',60.18,1,3,NULL),(16,3247490,'1992-09-10 00:00:00',4,1,12,2009,'F','S','PANTANAL','FLORIANóPOLIS','SC','124242241217111431558813372114610143145',NULL,'270',40.76,1,3,NULL),(16,3247503,'1983-04-10 00:00:00',2,1,12,2007,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124244241217142432458913587115610163047',NULL,'269',19.19,1,3,NULL),(16,3247511,'1989-02-27 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANóPOLIS','SC','124254251216132431429814585124231227031',5787,'9998',56.85,4,1,2),(16,3247520,'1990-02-15 00:00:00',4,3,7,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241247271532457632272112610112192',NULL,'967',18.58,1,3,NULL),(16,3247538,'1989-09-11 00:00:00',4,10,11,2008,'M','N','CENTRO','TUBARãO','SC','124242241215111431167724575112610137087',4798,'807',59.07,1,3,NULL),(16,3247546,'1988-02-25 00:00:00',2,1,12,2005,'F','N','ALTO ARIRU','PALHOçA','SC','124241241125131731654623292334231024142',10636,'773',47.67,1,2,1),(16,3247554,'1988-02-25 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241216114741445712445124231418062',15790,'270',37.80,1,3,NULL),(16,3247562,'1989-06-16 00:00:00',2,1,12,2006,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241116372431526621245124610127047',12464,'307',44.45,1,2,1),(16,3247570,'1991-08-04 00:00:00',2,5,12,2008,'M','N','CENTRO','SIDERóPOLIS','SC','124242241215121731556612572122610114051',13610,'226',42.44,1,3,NULL),(16,3247589,'1991-09-16 00:00:00',4,8,12,2008,'F','N','BUCAREIN','JOINVILLE','SC','124242241215111431459834572124610122142',NULL,'459',27.91,1,3,NULL),(16,3247600,'1990-06-24 00:00:00',4,1,12,2008,'M','N','CENTRO','S JOSé','SC','124241241114131411224319372114610137047',10724,'739',47.50,1,2,1),(16,3247619,'1989-02-15 00:00:00',4,1,11,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241117111531458813331114610117052',NULL,'307',27.97,1,2,1),(16,3247627,'1990-08-17 00:00:00',2,1,12,2008,'F','N','ALTO ARIRIú','PALHOçA','SC','124241241131472432535519575124610114092',12061,'307',45.17,1,2,1),(16,3247635,'1990-05-21 00:00:00',2,10,11,2006,'F','N','CENTRO','TUBARãO','SC','124241241437474431456921492121231537147',8217,'807',51.95,1,3,NULL),(16,3247643,'1984-09-25 00:00:00',2,1,12,2002,'M','N','PEREQUê','PTO BELO','SC','124243241216132411338633476224221462021',4368,'403',60.10,1,3,NULL),(16,3247651,'1990-06-29 00:00:00',4,9,12,2008,'M','N','SANTA HELENA','LAGES','SC','124241248116371721356631575122610164062',NULL,'509',28.72,1,3,NULL),(16,3247660,'1990-01-27 00:00:00',2,8,11,2007,'M','N','BAIRRO ALEGRE','RIO NEGRINHO','SC','124241241315131431336514345111610126032',NULL,'666',0.00,4,3,NULL),(16,3247678,'1987-11-18 00:00:00',4,1,12,2004,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124251241415234441343344242121610126181',7150,'299',54.00,1,3,NULL),(16,3247686,'1976-10-15 00:00:00',2,1,12,1995,'M','N','SAMBAQUI','FLORIANóPOLIS','SC','124241241122145731553373235134121167047',7797,'279',52.77,1,2,1),(16,3247694,'1991-09-13 00:00:00',2,5,11,2008,'F','N','MICHEL','CRICIúMA','SC','124242248216111621344412294112610133012',NULL,'213',24.54,1,3,NULL),(16,3247708,'1992-02-18 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124241241117272411468923582124610147043',10691,'739',47.58,1,2,1),(16,3247716,'1991-06-27 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244241417111731446839275124610118147',NULL,'1075',30.82,1,3,NULL),(16,3247724,'1988-05-25 00:00:00',4,1,12,2005,'M','N','UNIVERSITáRIO','GOIâNIA','GO','109094091216571441563339575124610122037',NULL,'9998',0.00,3,3,NULL),(16,3247732,'1992-05-07 00:00:00',4,1,12,2009,'F','S','FORQUILHINHA','S JOSé','SC','124242241215111431456611575124610127142',NULL,'273',24.39,1,3,NULL),(16,3247740,'1990-05-10 00:00:00',2,4,12,2008,'M','N','INTERIOR','TAQUARUçU SUL','RS','120201201116171431334316575122610167052',NULL,'9998',24.51,1,2,1),(16,3247759,'1991-09-05 00:00:00',4,8,10,2008,'F','N','JARDIM SOFIA','JOINVILLE','SC','124242168215121431489712575122610166182',5611,'9998',57.23,1,3,NULL),(16,3247767,'1985-09-03 00:00:00',2,1,12,2004,'F','N','BARREIROS','S JOSé','SC','124243241112131411433519382114610124077',NULL,'732',31.36,2,1,2),(16,3247783,'1989-04-24 00:00:00',2,1,12,2006,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241216312431359922342334610137042',10339,'273',48.19,1,3,NULL),(16,3247791,'1991-03-15 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOãO BATISTA','SC','124243247315131431436639192344610128187',NULL,'9999',22.51,1,3,NULL),(16,3247805,'1971-12-26 00:00:00',4,1,12,1988,'M','N','CAMPECHE','FLORIANóPOLIS','SC','224241248126153411433454382112610117047',NULL,'714',26.95,1,3,NULL),(16,3247813,'1980-01-19 00:00:00',2,1,12,1998,'F','N','SERRARIA','S JOSé','SC','124133131216153751246674445122343268173',12902,'9998',43.67,4,3,NULL),(16,3247821,'1988-04-12 00:00:00',4,3,12,2005,'M','N','ZONA QUATRO','MARINGá','PR','116162161216571751547816375122610167042',NULL,'9998',0.00,1,3,NULL),(16,3247830,'1989-11-30 00:00:00',2,1,12,2007,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241215472431478833372122610162092',3261,'262',63.11,1,3,NULL),(16,3247848,'1986-02-24 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSé','SC','124242247215372421536639395134610118097',NULL,'9999',21.61,4,3,NULL),(16,3247856,'1981-08-11 00:00:00',2,1,12,2000,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124242247216132431626723485224610122077',NULL,'9999',26.54,2,3,NULL),(16,3247864,'1990-10-30 00:00:00',4,3,12,2007,'F','N','CASTELO BRANCO','ITAPEMA','SC','124244241437371431318624272114610138197',11423,'1111',46.31,1,3,NULL),(16,3247872,'1991-05-05 00:00:00',4,1,12,2008,'M','N','PROGRESSO','RIO SUL','SC','124242246214151431553539572124610167073',NULL,'1013',29.66,1,3,NULL),(16,3247880,'1992-09-27 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215111431559833575122610117053',NULL,'737',23.28,1,3,NULL),(16,3247902,'1991-03-12 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241126141431436623345334610123147',NULL,'281',27.49,4,2,1),(16,3247910,'1990-11-10 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241146131331224327275122610164052',NULL,'818',29.38,2,1,2),(16,3247929,'1991-05-28 00:00:00',2,1,11,2008,'F','N','CENTRO','ELDORADO','SP','125254251117121431446623572122610128187',NULL,'9998',0.00,1,3,NULL),(16,3247937,'1990-10-31 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241215471431439933375122610127172',7616,'270',53.12,1,3,NULL),(16,3247945,'1986-10-13 00:00:00',4,3,12,2003,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241216272711658611381114242266117',4164,'909',60.60,1,3,NULL),(16,3247953,'1990-06-19 00:00:00',2,1,12,2007,'F','N','SETOR SUL','GOIâNIA','GO','109092091215471431146832572245610134142',NULL,'9998',0.00,1,3,NULL),(16,3247961,'1989-11-01 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241217111511466832325122610167147',NULL,'1036',21.04,1,3,NULL),(16,3247970,'1990-03-01 00:00:00',2,1,12,2008,'M','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','124244248217272531358314341242130557042',10397,'1022',48.10,1,3,NULL),(16,3247996,'1990-08-04 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANóPOLIS','SC','124243241215372431334824385124610123147',15683,'266',38.11,4,3,NULL),(16,3248003,'1991-11-23 00:00:00',2,1,12,2008,'F','N','CENTRO','STO ANTôNIO PATRULHA','RS','120202201217111431326822575124610166147',15293,'9998',38.99,1,3,NULL),(16,3248011,'1992-09-09 00:00:00',2,10,11,2009,'F','S','CENTRO','BRAçO NORTE','SC','124242241215111311426631125124610128077',NULL,'9997',35.19,1,3,NULL),(16,3248020,'1991-11-13 00:00:00',4,8,12,2008,'M','N','CENTRO','S BENTO SUL','SC','124241241117151431447631315125610124017',NULL,'697',29.11,1,2,1),(16,3248038,'1991-04-21 00:00:00',4,1,11,2008,'M','N','AGRôNOMICA','FLORIANóPOLIS','SC','124242241217111431236619595124610127112',NULL,'272',29.52,1,3,NULL),(16,3248054,'1987-01-22 00:00:00',2,4,12,2004,'M','N','INTERIOR','BOM J OESTE','SC','124241241121273431423316282224233226187',1308,'765',70.30,1,2,1),(16,3248062,'1990-10-23 00:00:00',4,1,7,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241312112431369914572125610137042',NULL,'9999',0.83,1,3,NULL),(16,3248089,'1980-09-12 00:00:00',4,1,11,1997,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241236335432348628342131121831097',9103,'266',50.40,1,3,NULL),(16,3248100,'1991-04-18 00:00:00',2,5,12,2008,'F','N','PARQUE DAS ACACEAS','S LUDGERO','SC','124241241137271431526823392121610134147',NULL,'748',17.18,1,2,1),(16,3248119,'1987-10-20 00:00:00',4,1,12,2004,'M','N','CENTRO','STA MARIA','RS','120201201117371431448823595124141444047',7110,'9998',54.08,1,2,1),(16,3248127,'1990-03-19 00:00:00',2,10,12,2007,'M','N','HUMAITA DE CIMA','TUBARãO','SC','124241241215142131456612245122230767052',10054,'1120',48.68,1,3,NULL),(16,3248135,'1991-04-13 00:00:00',4,7,12,2008,'F','N','DOMICíLIO CASSEANO','VARGEM BONITA','SC','124241241117271231427619296125610118177',16679,'827',33.96,1,2,1),(16,3248143,'1990-08-14 00:00:00',4,4,12,2007,'M','N','JARDIM AMéRICA','CHAPECó','SC','124243241112372431436612382122610167052',8505,'169',51.40,1,3,NULL),(16,3248151,'1991-10-22 00:00:00',2,3,12,2008,'M','N','CASTELO BRANCO','ITAPEMA','SC','124241241237271431228731275121610128037',16697,'1111',32.84,3,3,NULL),(16,3248160,'1990-03-11 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111612287622325122610161192',NULL,'270',0.00,1,3,NULL),(16,3248178,'1991-04-24 00:00:00',4,1,12,2008,'M','N','SãO LUIZ','S JOSé','SC','124241241116131431323327475124610117057',NULL,'307',25.29,4,2,1),(16,3248186,'1990-08-07 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215472731489813572122610161145',4623,'270',59.48,1,3,NULL),(16,3248194,'1988-11-16 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241435524621368621385124610164145',NULL,'1046',35.12,1,3,NULL),(16,3248208,'1991-01-31 00:00:00',4,7,12,2008,'F','N','INDUSTRIAL','SALTO VELOSO','SC','124243241315111431546612222122610132057',NULL,'962',28.13,1,3,NULL),(16,3248216,'1990-06-20 00:00:00',2,5,12,2007,'M','N','CENTRO','SOMBRIO','SC','124244248417112431116644142325610115142',NULL,'970',31.85,1,3,NULL),(16,3248224,'1981-03-10 00:00:00',4,1,12,1999,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124251251136131731335548385124141865177',NULL,'9998',4.55,1,2,1),(16,3248232,'1980-12-11 00:00:00',2,1,12,1998,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241117135731118649386124233225187',NULL,'307',0.00,1,3,NULL),(16,3248240,'1985-10-10 00:00:00',2,1,12,2003,'M','N','ESTREITO','FLORIANóPOLIS','SC','124244241415373431467739485124610137142',NULL,'273',26.58,1,3,NULL),(16,3248259,'1991-04-18 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241212371431466832582112610167042',14480,'44',40.73,1,3,NULL),(16,3248267,'1991-01-12 00:00:00',2,2,12,2008,'M','N','NAçõES','INDAIAL','SC','124243241147151421526831315131610164057',NULL,'887',21.10,1,3,NULL),(16,3248275,'1992-01-14 00:00:00',5,8,11,2009,'F','S','BOM RETIRO','JOINVILLE','SC','124242241214111431358833574124610148052',NULL,'486',37.25,1,3,NULL),(16,3248283,'1989-04-08 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSé','SC','124241248215143751336823492124610162097',NULL,'723',32.85,1,3,NULL),(16,3248291,'1992-11-23 00:00:00',2,1,12,2009,'F','S','FORQUILHINHAS','S JOSé','SC','124242248217111431326414595122610114197',NULL,'944',20.71,1,3,NULL),(16,3248321,'1990-10-20 00:00:00',4,9,10,2008,'F','N','VILA NOVA','LAGES','SC','124242241217112431458614572112610143157',12388,'497',44.56,1,3,NULL),(16,3248330,'1992-06-15 00:00:00',4,4,11,2009,'F','S','CENTRO','ERECHIM','RS','120202201217151751439911575121610163077',NULL,'9998',51.52,1,3,NULL),(16,3248348,'1989-10-16 00:00:00',4,1,12,2006,'M','N','IPIRANGA','S JOSé','SC','124242241117273431248813576114130226177',7562,'739',53.21,1,3,NULL),(16,3248356,'1988-10-10 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124152151217271431438611375121241414197',3249,'9998',63.14,3,3,NULL),(16,3248364,'1991-09-22 00:00:00',2,8,11,2008,'F','N','ITINGA','JOINVILLE','SC','124241241435121711433623295124610166014',9534,'1016',49.66,1,3,NULL),(16,3248372,'1990-07-13 00:00:00',4,7,12,2008,'M','N','JARDIM DAS HORTêNSIA','FRAIBURGO','SC','124241241116161421246924345122610142092',NULL,'9997',24.41,1,2,1),(16,3248380,'1991-02-22 00:00:00',4,5,12,2008,'M','N','VILA SãO JOSé','ARARANGUá','SC','124241241115131411439913572122610134017',NULL,'29',28.33,1,2,1),(16,3248399,'1989-04-23 00:00:00',2,1,12,2006,'F','N','PALHOçA','PALHOçA','SC','124242241215573731563519292124610123182',429,'269',76.48,1,3,NULL),(16,3248429,'1991-06-13 00:00:00',4,8,12,2008,'M','N','SAGUAçU','JOINVILLE','SC','124241241214111431558633275124610122012',13446,'861',42.70,1,3,NULL),(16,3248437,'1983-10-24 00:00:00',2,6,12,2001,'F','N','CENTRO','BAL CAMBORIú','SC','124241248127134421116414492325230214097',NULL,'170',28.84,3,2,1),(16,3248453,'1991-06-05 00:00:00',4,2,11,2008,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241217111431389614575122610162092',NULL,'88',28.86,1,3,NULL),(16,3248461,'1991-02-03 00:00:00',2,1,12,2008,'F','N','SERRARIAS','S JOSé','SC','124241241117131431636611295224610137182',NULL,'65',28.23,1,3,NULL),(16,3248470,'1992-03-05 00:00:00',2,1,11,2009,'F','S','CENTRO','TIJUCAS','SC','124242241215111431456812572125610123192',NULL,'948',50.47,1,3,NULL),(16,3248488,'1982-12-21 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241117134721545319241234130227047',13366,'307',42.86,2,1,1),(16,3248496,'1990-10-19 00:00:00',4,1,11,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241215473231449814475124231427052',1297,'270',70.40,1,3,NULL),(16,3248500,'1989-05-18 00:00:00',5,1,12,2006,'M','N','CARIANOS','FLORIANóPOLIS','SC','124251251122151431623339192114640127052',NULL,'9998',37.99,1,2,1),(16,3248518,'1989-03-10 00:00:00',4,1,12,2006,'M','N','MERCêS','UBERABA','MG','113132131215571331468812575112610117042',6487,'9998',55.30,1,3,NULL),(16,3248526,'1990-11-24 00:00:00',4,5,12,2007,'M','N','GLóRIA','OSóRIO','RS','120201201116371531238923572121610127017',NULL,'9998',28.68,2,1,1),(16,3248534,'1990-04-12 00:00:00',2,4,12,2008,'F','N','PRESIDENTE MEDICI','CHAPECó','SC','124241241135131431635511445124610163142',NULL,'179',20.63,1,3,NULL),(16,3248550,'1991-09-08 00:00:00',4,3,12,2008,'M','N','CENTRO NORTE','DOIS VIZINHOS','PR','116161161116151431436911571125610168197',NULL,'9998',0.00,3,2,1),(16,3248569,'1990-10-25 00:00:00',2,1,11,2008,'F','N','N S ROSáRIO','S JOSé','SC','124242241215111431468812225122610138073',11096,'270',46.85,1,3,NULL),(16,3248577,'1988-07-20 00:00:00',4,1,12,2005,'M','N','CENTRO','RIBEIRãO PRETO','SP','125272251212572411589912581124610161142',699,'9998',74.24,1,3,NULL),(16,3248585,'1990-11-01 00:00:00',2,1,11,2008,'M','N','CENTRO','PALHOçA','SC','124241241116141421423334245121610137047',15560,'592',38.40,4,2,1),(16,3248593,'1985-01-29 00:00:00',4,1,10,2003,'M','N','KOBRASOL','S JOSé','SC','124052211416471441338729575122233267012',NULL,'9999',40.28,1,3,NULL),(16,3248607,'1990-10-10 00:00:00',2,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241214111731538612571114610168097',12997,'270',43.51,1,3,NULL),(16,3248615,'1991-05-09 00:00:00',4,2,12,2008,'M','N','ESCOLA AGRICOLA','BLUMENAU','SC','124242241215111431477632575122610114013',12122,'855',45.05,1,3,NULL),(16,3248623,'1991-06-23 00:00:00',4,1,11,2008,'M','N','ALPHAVILLE','BARUERI','SP','125252251215271431368821392122610137047',NULL,'9998',28.71,1,3,NULL),(16,3248631,'1989-03-19 00:00:00',4,1,11,2006,'F','N','CAMPINAS','S JOSé','SC','124242241217233431468913575114232824197',13605,'737',42.45,4,3,NULL),(16,3248640,'1990-03-08 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241115131431437521275124610138117',15436,'267',38.69,4,1,1),(16,3248658,'1990-10-29 00:00:00',4,7,12,2009,'M','S','CENTRO','VIDEIRA','SC','124082241217111432586662576314610137182',NULL,'1080',29.48,1,3,NULL),(16,3248666,'1991-10-28 00:00:00',4,2,11,2008,'F','N','FORTALEZA','BLUMENAU','SC','124242241215121411457814145114610163063',10813,'87',47.33,1,3,NULL),(16,3248674,'1992-06-20 00:00:00',4,1,10,2009,'F','S','CENTRO','ERECHIM','RS','120202201217111731446612575112610123182',NULL,'9998',26.59,1,3,NULL),(16,3248682,'1990-07-25 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242248217151431278814246125610128012',1761,'1133',68.17,1,3,NULL),(16,3248690,'1985-04-14 00:00:00',2,1,11,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241317134421316643444225610166042',11315,'359',46.46,1,3,NULL),(16,3248704,'1989-03-20 00:00:00',2,1,11,2006,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124161161122131111113341211333610166187',NULL,'9998',39.61,1,2,1),(16,3248712,'1989-08-21 00:00:00',2,9,12,2006,'F','N','CORAL','LAGES','SC','124242241214314431567912572124230427012',7710,'499',52.94,1,3,NULL),(16,3248720,'1991-08-07 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124244248216121431448814475124610162067',NULL,'1022',31.48,1,3,NULL),(16,3248739,'1992-03-23 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124243241215112731367614575122610134142',NULL,'270',25.35,1,3,NULL),(16,3248755,'1992-07-05 00:00:00',4,7,11,2009,'F','S','DOIS PINHEIROS','VIDEIRA','SC','124243241211111431538414571122610137142',NULL,'829',50.52,1,3,NULL),(16,3248763,'1990-05-29 00:00:00',4,1,11,2008,'M','N','CENTRO','FRUTAL','MG','113132131217111412548811596115610162051',5786,'9998',56.85,1,3,NULL),(16,3248771,'1973-10-23 00:00:00',2,1,12,1995,'M','N','PANTANAL','FLORIANóPOLIS','SC','124161161126131721133243131114343267061',10667,'9998',47.63,4,2,1),(16,3248780,'1992-01-17 00:00:00',2,9,12,2008,'M','N','CENTRO','CORREIA PINTO','SC','124242241235161731539933375121610118182',15158,'1065',39.29,1,3,NULL),(16,3248798,'1991-10-13 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111731436622591122610122092',NULL,'9997',26.67,1,3,NULL),(16,3248801,'1991-12-22 00:00:00',2,4,11,2008,'F','N','CENTRO','MARIóPOLIS','PR','116161161215111731338711571122610164192',16452,'9998',35.69,1,3,NULL),(16,3248810,'1990-06-11 00:00:00',4,1,12,2007,'F','N','JARDIM LIMA','FRANCA','SP','125252251216471431247834575122610121012',NULL,'9998',27.94,1,3,NULL),(16,3248828,'1991-10-23 00:00:00',2,3,11,2008,'F','N','VILA ESTRELA','PNT GROSSA','PR','116162161216221421556632575125610128037',NULL,'9998',0.00,1,3,NULL),(16,3248836,'1991-06-28 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241127141731545314345124610117042',NULL,'274',17.13,1,2,1),(16,3248844,'1985-04-06 00:00:00',4,1,12,2002,'M','N','CAMPO GRANDE','SANTOS','SP','125252251216573431258823572124610167047',612,'9998',74.83,1,3,NULL),(16,3248860,'1991-03-09 00:00:00',2,4,12,2007,'M','N','INTERIOR','CHAPECó','SC','124241241112372431433923152224610123042',8023,'175',52.39,1,2,1),(16,3248879,'1986-01-30 00:00:00',4,1,12,2007,'M','N','SANTOS SARAIVA','S JOSé','SC','124241247122272412423333282343610167187',NULL,'9997',21.84,3,2,1),(16,3248887,'1975-07-02 00:00:00',2,1,11,1995,'M','N','CENTRO','FLORIANóPOLIS','SC','224251258126231721236343435224610157187',NULL,'9998',28.49,4,1,1),(16,3248895,'1989-07-22 00:00:00',2,1,12,2006,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124252241215573411338611572124131215122',3367,'270',62.79,1,3,NULL),(16,3248909,'1988-08-31 00:00:00',4,1,12,2006,'F','N','JARDIM ESTORIL','MARíLIA','SP','125254251216573431558834575122610122092',NULL,'9998',23.78,1,3,NULL),(16,3248917,'1989-11-30 00:00:00',2,1,12,2008,'M','N','CENTRO','PALHOçA','SC','124241242115131531423329572214610157047',NULL,'143',23.53,1,3,NULL),(16,3248925,'1990-02-20 00:00:00',4,1,7,2008,'M','N','PARQUE SANTA Fé','PTO ALEGRE','RS','120203207447371231356612274112143264052',16245,'9998',36.54,1,3,NULL),(16,3248933,'1990-06-20 00:00:00',4,3,12,2007,'F','N','CENTRO','BAL CAMBORIú','SC','124242244215472431224624571124610136147',4971,'1038',58.67,1,3,NULL),(16,3248941,'1992-03-13 00:00:00',4,6,12,2008,'F','N','CENTRO','BRUSQUE','SC','124202241215151731467832472112610114187',NULL,'109',18.99,1,3,NULL),(16,3248950,'1989-10-16 00:00:00',2,10,12,2007,'F','N','GUARDA ME','TUBARãO','SC','124241241125371231424331172122610127147',NULL,'803',31.59,1,2,1),(16,3248968,'1990-07-04 00:00:00',4,1,11,2008,'F','N','CENTRO','CARATINGA','MG','113132131216251431367411272115610162142',NULL,'9998',0.00,1,3,NULL),(16,3248976,'1991-11-09 00:00:00',2,1,12,2008,'M','N','PICADAS DO SUL','S JOSé','SC','124243241116141431423611345124610148093',NULL,'733',30.25,1,3,NULL),(16,3248984,'1988-12-12 00:00:00',3,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241417472431568813571121610142121',7604,'262',53.14,1,3,NULL),(16,3248992,'1982-03-07 00:00:00',2,1,12,2000,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241136135211625324385124222324027',NULL,'298',34.34,2,1,1),(16,3249000,'1991-11-11 00:00:00',4,1,11,2008,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161217471731258934175124610128097',NULL,'9998',0.00,1,3,NULL),(16,3249026,'1986-08-29 00:00:00',4,3,11,2005,'M','N','JARDIM AMéRICA','PNT GROSSA','PR','116162161316271431468863485125143222047',NULL,'9998',0.00,1,3,NULL),(16,3249042,'1993-03-07 00:00:00',4,3,11,2010,'F','S','CENTRO','RIO SUL','SC','124242241216111731459831572122610123013',NULL,'959',58.12,1,3,NULL),(16,3249050,'1984-07-16 00:00:00',2,1,12,2002,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241247216354721336821342123121767047',NULL,'9999',0.00,1,3,NULL),(16,3249077,'1991-11-02 00:00:00',4,1,12,2009,'F','S','CENTRO','S JOSé','SC','124242241215111431459813234124610137067',NULL,'270',48.55,1,3,NULL),(16,3249085,'1988-12-13 00:00:00',2,1,12,2007,'F','N','VILA DOZE','ANTôNIO CARLOS','SC','124241241136141421522313415114610127077',NULL,'733',25.11,1,2,1),(16,3249093,'1986-01-26 00:00:00',4,4,12,2003,'M','N','CINQüENTENáRIO','CONCóRDIA','SC','224201201137131431236811415235141024017',NULL,'9998',0.00,3,2,1),(16,3249107,'1990-12-09 00:00:00',4,4,12,2007,'F','N','CENTRO','STA MARIA','RS','120202201216471431436833572124610123047',NULL,'9998',22.48,1,3,NULL),(16,3249115,'1989-11-25 00:00:00',4,1,12,2007,'F','N','CENTRO','SOROCABA','SP','125252251216471431657814275122610128172',NULL,'258',0.00,1,3,NULL),(16,3249123,'1988-03-26 00:00:00',2,5,12,2005,'M','N','OTAVIO DALAZEN','ORLEANS','SC','124241241112374431634412175124610164142',6960,'580',54.37,4,1,1),(16,3249131,'1985-03-12 00:00:00',4,1,12,2003,'F','N','PINHEIRINHO','CURITIBA','PR','116164161246471431335531275124342026042',15032,'9998',39.59,1,3,NULL),(16,3249140,'1992-05-09 00:00:00',4,1,12,2009,'F','S','VARGEM GRANDE','FLORIANóPOLIS','SC','124242241215111732453832372124610133143',NULL,'270',22.26,1,3,NULL),(16,3249158,'1984-06-14 00:00:00',2,1,7,2008,'M','N','CENTRO','STA MARIA','RS','120201207116472331453823431114610116047',NULL,'9999',0.00,1,2,1),(16,3249166,'1984-07-29 00:00:00',2,1,12,2003,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115233711336679192334610147187',14487,'307',40.72,1,2,1),(16,3249174,'1988-12-08 00:00:00',4,8,12,2006,'M','N','JARDIM DAS AMéRICAS','CURITIBA','PR','116162161216572431247719575114610164012',NULL,'9998',0.00,1,3,NULL),(16,3249182,'1985-08-20 00:00:00',4,8,12,2003,'M','N','AGUA VERDE','CURITIBA','PR','116162161212511112389932323111141016061',12767,'9997',43.89,1,3,NULL),(16,3249190,'1989-01-13 00:00:00',4,1,6,2008,'M','N','BARREIROS','S JOSé','SC','624202247216372431338729375121610167027',4456,'9999',59.89,1,3,NULL),(16,3249204,'1989-12-30 00:00:00',4,1,12,2007,'F','N','PARADA INGLESA','S PAULO','SP','125252251116471441467814375125610124042',1228,'9998',70.79,1,3,NULL),(16,3249212,'1987-10-13 00:00:00',4,1,12,2004,'M','N','AREIAS','S JOSé','SC','124242241416153111446514395122133264187',14660,'449',40.36,1,3,NULL),(16,3249220,'1989-12-05 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241216273431446614295124233238041',4635,'1022',59.46,1,3,NULL),(16,3249239,'1991-10-07 00:00:00',4,3,11,2008,'F','N','UNIVERSITáRIO','TIJUCAS','SC','124241241311111431636414574121610126172',5032,'948',58.55,1,3,NULL),(16,3249247,'1991-03-14 00:00:00',4,2,12,2008,'M','N','SEMINARIO','CORUPá','SC','124244241215111441364632245112610166042',NULL,'422',37.75,1,3,NULL),(16,3249255,'1988-11-05 00:00:00',2,8,12,2005,'F','N','PINHEIROS','S LEOPOLDO','RS','120202201215571431357834372114610136017',8947,'9998',50.67,2,3,NULL),(16,3249271,'1959-03-04 00:00:00',4,1,12,1976,'M','N','JURERE','FLORIANóPOLIS','SC','224241248226154451484547275112531067042',10946,'447',47.12,1,3,NULL),(16,3249280,'1988-02-10 00:00:00',4,1,12,2005,'F','N','FLORESTA','S JOSé','SC','124242241217113421455532571122233217071',NULL,'270',0.00,1,3,NULL),(16,3249298,'1988-12-04 00:00:00',2,1,12,2007,'M','N','GUARDA DO CUBATÃO','PALHOçA','SC','124241241132372431538813342123231424047',12584,'592',44.21,1,2,1),(16,3249301,'1991-08-19 00:00:00',2,4,12,2008,'M','N','SãO FRANCISCO DE ASI','DOIS VIZINHOS','PR','116161161116151431436616255124610127052',NULL,'9',33.32,1,2,1),(16,3249328,'1988-07-28 00:00:00',4,1,11,2006,'F','N','JAGUARé','S PAULO','SP','125244241216472431646611375224241946153',NULL,'489',29.04,1,3,NULL),(16,3249336,'1990-08-17 00:00:00',4,1,12,2007,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241217153411119839575125221535097',NULL,'109',0.00,1,3,NULL),(16,3249344,'1990-10-22 00:00:00',4,8,11,2008,'F','N','CENTRO','RIO SUL','SC','116162168217471411448924575124610123197',4198,'9998',60.50,1,3,NULL),(16,3249352,'1989-06-09 00:00:00',4,8,12,2007,'M','N','CENTRO','SANTIAGO','RS','120203201117271431569934445122610127047',NULL,'9998',0.00,1,3,NULL),(16,3249360,'1991-10-11 00:00:00',2,9,11,2008,'F','N','CENTRO','CORREIA PINTO','SC','124241241117131741428321181124610166157',NULL,'201',21.48,4,2,1),(16,3249387,'1988-04-08 00:00:00',4,1,12,2004,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241134131431436311345233130767047',NULL,'293',19.41,1,2,1),(16,3249395,'1989-09-22 00:00:00',4,4,12,2006,'M','N','MARIA GORETI','CHAPECó','SC','124164241415272542447714445225130734027',4532,'63',59.69,1,3,NULL),(16,3249409,'1987-06-05 00:00:00',4,1,12,2005,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124243241346133411236629385224231427047',NULL,'737',26.29,1,3,NULL),(16,3249417,'1970-06-11 00:00:00',2,1,12,1995,'M','N','DE FáTIMA','FLORIANóPOLIS','SC','224241247422135111333343335334610124147',NULL,'63',28.19,1,3,NULL),(16,3249425,'1989-08-04 00:00:00',4,1,12,2007,'F','N','FREGUESIA DO Ó','S PAULO','SP','125252251217471441436869275124610165072',NULL,'9998',27.65,1,3,NULL),(16,3249433,'1974-01-25 00:00:00',2,1,12,1990,'M','N','TRINDADE','FLORIANóPOLIS','SC','224244201112153721548643435114121567147',4934,'9998',58.79,1,3,NULL),(16,3249441,'1986-10-18 00:00:00',2,1,11,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241216475231558414375124231526147',NULL,'720',26.20,1,3,NULL),(16,3249450,'1990-11-17 00:00:00',4,5,10,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215111431458612575112610117117',NULL,'226',26.33,1,3,NULL),(16,3249468,'1991-02-14 00:00:00',4,4,12,2007,'M','N','CENTRO','QUERêNCIA','MT','111111112117472211328729575124610162072',8045,'9998',52.34,1,2,1),(16,3249476,'1990-05-17 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124242241217152431356613571124232528052',10560,'1011',47.82,1,3,NULL),(16,3249484,'1991-04-26 00:00:00',4,1,12,2008,'M','N','BALNEARIO ESTREITO','FLORIANóPOLIS','SC','124283241417111452348613575114610117027',NULL,'257',31.02,1,3,NULL),(16,3249506,'1987-02-15 00:00:00',2,1,12,2004,'M','N','PANTANAL','FLORIANóPOLIS','SC','124201201141132211236614172134142062042',NULL,'9998',0.00,1,2,1),(16,3249522,'1989-01-17 00:00:00',4,1,12,2007,'M','N','FORQUILHINHAS','S JOSé','SC','124241241117132411356413242124610166052',15473,'733',38.60,1,2,1),(16,3249530,'1982-06-24 00:00:00',4,2,12,2006,'F','N','AZAMBUJA','BRUSQUE','SC','624161167126131431421244245333610133027',NULL,'9998',20.24,4,1,1),(16,3249549,'1991-02-22 00:00:00',4,1,12,2008,'F','N','CENTRO','UBá','MG','113133131116131412434823576314610162174',8979,'9998',50.61,1,3,NULL),(16,3249565,'1991-12-26 00:00:00',2,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241116371431428611292124610137032',NULL,'298',28.84,1,2,1),(16,3249573,'1990-11-12 00:00:00',4,1,12,2008,'F','N','CENTRO','JARAGUá SUL','SC','124242241217471522478619575122610143092',3496,'270',62.38,1,3,NULL),(16,3249581,'1990-04-07 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241212272431369911575124230214042',9479,'262',49.76,1,3,NULL),(16,3249590,'1989-02-03 00:00:00',2,3,12,2007,'F','N','NAçõES','BAL CAMBORIú','SC','124111207416121451235729395123133226157',15251,'9999',39.09,1,3,NULL),(16,3249603,'1987-11-25 00:00:00',2,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241247347131431223344242334610147147',NULL,'589',21.35,1,3,NULL),(16,3249620,'1965-02-17 00:00:00',2,1,12,1989,'M','N','GUANABARA','CAMPINAS','SP','125251257327131751123344242314141666187',10713,'9999',47.52,4,3,NULL),(16,3249638,'1990-12-29 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241317371731366923575124610164182',10018,'9999',48.74,4,3,NULL),(16,3249646,'1992-03-26 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124244241215111331267629572112610167121',NULL,'1022',40.24,1,3,NULL),(16,3249654,'1988-04-26 00:00:00',4,1,7,2007,'M','N','BARREIROS','S JOSé','SC','124242247215372431536639342134610117067',NULL,'9999',17.90,1,3,NULL),(16,3249670,'1989-10-01 00:00:00',4,2,12,2006,'F','N','CENTRO','MAFRA','SC','124241161216472411539711575125232465017',NULL,'9998',0.00,1,3,NULL),(16,3249689,'1991-07-12 00:00:00',4,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSé','SC','124241241147131511333521245124610114072',NULL,'9997',19.02,1,3,NULL),(16,3249697,'1990-08-16 00:00:00',4,8,12,2008,'F','N','BOM RETIRO','JOINVILLE','SC','124242246215261431448732425124610124072',NULL,'1105',0.00,1,3,NULL),(16,3249700,'1986-11-22 00:00:00',2,1,10,2007,'M','N','VILA ALVORADA','IMBITUBA','SC','124241247132371431423379392314610127112',16318,'9999',36.31,1,2,1),(16,3249719,'1991-04-23 00:00:00',4,1,11,2009,'F','S','KOBRASOL','S JOSé','SC','124242241215111411576612392122610123072',NULL,'737',27.91,1,3,NULL),(16,3249735,'1990-03-07 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215372431458834572122610127062',14088,'1022',41.48,1,3,NULL),(16,3249743,'1991-12-16 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241412131431436614592224610116052',NULL,'307',27.62,1,3,NULL),(16,3249751,'1987-10-17 00:00:00',4,1,3,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241115373431438823592114610134182',12606,'267',44.17,1,3,NULL),(16,3249760,'1992-03-29 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111431368829574124610122182',10848,'1022',47.27,1,3,NULL),(16,3249778,'1989-08-10 00:00:00',2,3,12,2006,'M','N','VILA CABRAL','REGISTRO','SP','125252251217471751238729595115141467127',NULL,'9998',24.92,3,3,NULL),(16,3249786,'1990-02-09 00:00:00',4,1,11,2008,'M','N','ABRAãO','FLORIANóPOLIS','SC','124244241417131431328931572114610167042',NULL,'295',46.88,1,3,NULL),(16,3249794,'1988-04-15 00:00:00',2,1,12,2005,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124242241212472431338821572124230451182',10478,'270',47.95,1,3,NULL),(16,3249808,'1987-07-30 00:00:00',4,1,12,2006,'F','N','GUARDA DO CUBATãO','PALHOçA','SC','124241245122131521433623432224232723077',NULL,'591',27.47,4,3,NULL),(16,3249816,'1991-03-01 00:00:00',4,8,11,2008,'F','N','TRÊS PODERES','IMPERATRIZ','MA','110102101217151531457736474122610146147',2293,'9998',66.08,1,3,NULL),(16,3249832,'1990-07-25 00:00:00',4,1,12,2008,'F','N','SENANDES','RIO GRANDE','RS','120202201416271412379933572122610168187',NULL,'9998',0.00,1,3,NULL),(16,3249840,'1991-08-31 00:00:00',4,7,12,2008,'F','N','INTERIOR','VIDEIRA','SC','124241241115131431223426362322610132092',NULL,'831',27.51,1,2,1),(16,3249859,'1989-06-18 00:00:00',4,1,11,2007,'M','N','CACUPé','FLORIANóPOLIS','SC','124242241215573731588853572112231217043',NULL,'270',0.00,1,3,NULL),(16,3249883,'1991-08-22 00:00:00',4,1,11,2008,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124244241212141431233369195124610127042',13070,'259',43.36,1,3,NULL),(16,3249891,'1991-03-13 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241215121432457611292112610127112',5567,'738',57.34,1,3,NULL),(16,3249905,'1991-08-04 00:00:00',4,7,12,2008,'F','N','TOBIAS','JOAçABA','SC','124241241115471431534314385123610136181',13467,'449',42.66,2,1,1),(16,3249930,'1981-09-28 00:00:00',2,1,12,2002,'M','N','BARREIROS','S JOSé','SC','224241241147131431537344142123230827067',11358,'281',46.40,1,2,1),(16,3249948,'1991-10-09 00:00:00',4,8,12,2008,'F','N','ACARAí','S FRANCISCO SUL','SC','124241241117221411554664575121610124147',NULL,'710',14.85,1,2,1),(16,3249956,'1992-05-07 00:00:00',4,1,12,2009,'F','S','FORQUILHAS','S JOSé','SC','124242241215111411528934395122610136192',NULL,'723',21.08,1,3,NULL),(16,3249964,'1989-05-22 00:00:00',4,8,12,2006,'F','N','BELéM VELHO','PTO ALEGRE','RS','120202201217571431458739571122610131142',9187,'9998',50.27,4,3,NULL),(16,3249972,'1979-07-14 00:00:00',2,1,12,2007,'F','N','SãO MIGUEL','BIGUAçU','SC','124241247116162411516143132334610154047',NULL,'9999',23.21,5,4,NULL),(16,3249980,'1990-02-03 00:00:00',2,1,12,2007,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124244241215372431427631312124610143075',13192,'272',43.15,1,3,NULL),(16,3249999,'1989-09-20 00:00:00',4,1,8,2006,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215115711358914275114221438182',5319,'87',57.84,1,3,NULL),(16,3250008,'1988-09-24 00:00:00',4,1,5,2007,'M','N','BARREIROS','S JOSé','SC','124243247325111411436613285114610164171',NULL,'269',20.66,2,1,2),(16,3250016,'1991-04-24 00:00:00',4,2,12,2008,'M','N','CENTRO','BLUMENAU','SC','124242241214111431568811575121610117047',4953,'87',58.72,1,3,NULL),(16,3250024,'1989-12-23 00:00:00',2,1,12,2007,'M','N','BUTANTAN','S PAULO','SP','125254251417271752569939595114142067047',NULL,'9998',0.00,4,3,NULL),(16,3250032,'1991-03-13 00:00:00',2,1,12,2008,'M','N','SãO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241215162431643312572221610137052',10824,'1014',47.32,1,3,NULL),(16,3250040,'1991-12-16 00:00:00',4,1,12,2008,'F','N','SAMBUGARO','PATO BRANCO','PR','116164161212151431468613576122610133072',16450,'9998',35.71,1,3,NULL),(16,3250091,'1991-10-13 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241115131751636614595124610136047',NULL,'292',25.88,1,2,1),(16,3250105,'1989-08-04 00:00:00',4,1,12,2006,'F','N','VILA NOVA','NOVO HAMBURGO','RS','120203201216372431536411245124610124047',12018,'9998',45.23,1,3,NULL),(16,3250113,'1987-06-02 00:00:00',2,5,12,2004,'M','N','PRóSPERA','CRICIúMA','SC','124243246212132421443714342124231244047',NULL,'995',31.41,2,1,2),(16,3250121,'1989-12-08 00:00:00',4,8,12,2006,'M','N','PIONEIROS','BAL CAMBORIú','SC','124242241215471751458931375114131564117',6528,'861',55.22,1,3,NULL),(16,3250130,'1984-08-10 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241116133721123349492344610117187',NULL,'239',27.90,1,2,1),(16,3250148,'1983-01-11 00:00:00',4,8,12,2001,'M','N','SãO GERALDO','IJUí','RS','120202207447341411426631285124141924012',NULL,'9998',27.02,1,3,NULL),(16,3250156,'1990-10-24 00:00:00',4,1,11,2008,'M','N','ESPLANADA DO SOL','S JOSé CAMPOS','SP','125252251212111431568812571111610127112',1290,'9998',70.45,1,3,NULL),(16,3250164,'1989-04-12 00:00:00',4,1,12,2009,'F','S','SANTA MONICA','FLORIANóPOLIS','SC','124241248116171411446639575124610147092',NULL,'267',25.80,3,3,NULL),(16,3250172,'1990-07-27 00:00:00',2,1,12,2007,'M','N','CENTRO','PRUDENTóPOLIS','PR','116162161215472431556832575122610167062',NULL,'9998',0.00,1,3,NULL),(16,3250199,'1990-09-24 00:00:00',4,1,12,2008,'M','N','MACEDO','GUARULHOS','SP','625252251217131431468714575124610144017',7479,'9998',53.35,3,3,NULL),(16,3250202,'1991-05-21 00:00:00',4,1,12,2007,'M','N','JARDIM','MODELO','SC','124241201147161531655923592114610127042',NULL,'9998',21.54,1,2,1),(16,3250210,'1992-06-21 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241217111431576512175124610117052',9181,'270',50.28,1,3,NULL),(16,3250229,'1991-11-12 00:00:00',4,6,12,2008,'M','N','CENTRO','LONDRINA','PR','116162161216151231359934575112610128072',NULL,'9998',37.93,1,3,NULL),(16,3250237,'1990-10-27 00:00:00',2,1,12,2007,'F','N','JOSé MENDES','FLORIANóPOLIS','SC','124241241117372431346923572224610134047',NULL,'286',26.51,1,2,1),(16,3250245,'1966-11-07 00:00:00',2,1,12,1990,'F','N','COSTEIRA','FLORIANóPOLIS','SC','524204207347131712136544442334142232187',10751,'9999',47.46,1,3,NULL),(16,3250253,'1992-02-26 00:00:00',4,1,2,2010,'F','S','AGRONôMICA','FLORIANóPOLIS','SC','124242241217111712459833595122610142094',NULL,'270',59.02,1,3,NULL),(16,3250261,'1985-10-07 00:00:00',2,8,12,2002,'F','N','BOA VISTA','JOINVILLE','SC','124204241216372441349823384121333221147',7538,'487',53.26,1,3,NULL),(16,3250270,'1991-01-05 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241115131451337623335124610147187',4365,'271',60.10,1,3,NULL),(16,3250288,'1986-05-18 00:00:00',2,1,11,2002,'M','N','CENTRO','CURITIBA','PR','116204201215131431123319495335610164142',1830,'9998',67.91,1,3,NULL),(16,3250296,'1991-09-24 00:00:00',4,6,12,2008,'M','N','CENTRO','JARAGUá SUL','SC','124244241217111511469914472122610137047',13261,'442',43.04,1,3,NULL),(16,3250300,'1991-03-24 00:00:00',4,1,12,2008,'F','N','CENTRO','CPO GRANDE','MS','112124128434311231468832475122610115152',6371,'9998',55.54,1,3,NULL),(16,3250318,'1990-03-19 00:00:00',4,8,12,2007,'F','N','SAO CRISTOVAO','BARRA VELHA','SC','124241241127151431646412375112133234072',NULL,'57',0.00,1,3,NULL),(16,3250326,'1990-10-11 00:00:00',2,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124242241215111431446631345124610128092',NULL,'1022',40.99,1,3,NULL),(16,3250334,'1984-01-30 00:00:00',4,8,12,2000,'F','N','COSTA E SILVA','JOINVILLE','SC','124243241216575431126644442224131732197',11259,'487',46.54,1,3,NULL),(16,3250342,'1992-05-11 00:00:00',2,1,12,2009,'M','S','SACO DOS LIMÕES','FLORIANóPOLIS','SC','124241241115111431426923575124610122045',NULL,'267',32.26,1,3,NULL),(16,3250350,'1991-08-23 00:00:00',4,1,11,2008,'F','N','SANTINHO','FLORIANóPOLIS','SC','124242241215121431558821572122610134147',NULL,'1049',32.37,1,3,NULL),(16,3250369,'1989-08-16 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241127473311525835392224221324142',6713,'546',54.85,1,2,1),(16,3250377,'1992-03-26 00:00:00',4,5,11,2009,'M','S','CENTRO','CRICIúMA','SC','124242241215111411488812472122610127122',NULL,'213',31.98,1,3,NULL),(16,3250385,'1987-11-25 00:00:00',4,1,12,2004,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124254251217573431558814472123241434122',9969,'9998',48.83,1,3,NULL),(16,3250393,'1991-08-07 00:00:00',2,1,12,2008,'F','N','CENTRO','PALHOçA','SC','124242241215112131568834345122610117087',7426,'1022',53.46,1,3,NULL),(16,3250407,'1990-07-07 00:00:00',2,1,12,2008,'M','N','CENTRO','CONCóRDIA','SC','124243248336141731436629385121610127082',NULL,'9997',5.01,1,3,NULL),(16,3250415,'1991-06-25 00:00:00',4,6,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241235311431466719475112610137042',NULL,'44',32.05,1,3,NULL),(16,3250431,'1992-04-04 00:00:00',4,6,12,2009,'M','S','PRAIA DOS AMORES','BAL CAMBORIú','SC','124244241215111431458733574122610137117',NULL,'1026',45.69,1,3,NULL),(16,3250440,'1990-02-28 00:00:00',4,1,12,2007,'F','N','PâNTANO DO SUL','FLORIANóPOLIS','SC','124252251216472431458611575124610161122',NULL,'9998',32.28,1,3,NULL),(16,3250458,'1992-01-29 00:00:00',2,4,12,2008,'M','N','CENTRO','VARGEãO','SC','124243241235111431466712572124610167042',5197,'836',58.12,1,3,NULL),(16,3250466,'1987-09-10 00:00:00',4,1,9,2006,'F','N','CACUPE','FLORIANóPOLIS','SC','124241248111342751423923342124610123142',NULL,'9997',22.23,2,1,1),(16,3250482,'1988-11-18 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANóPOLIS','SC','124201201131132431358811343125222218176',NULL,'9998',0.00,1,2,1),(16,3250490,'1988-10-29 00:00:00',4,6,12,2006,'M','N','COSTA CAVALCANTE','ITAJAí','SC','124241241116151411338421315122610131062',14248,'396',41.14,1,3,NULL),(16,3250504,'1983-04-27 00:00:00',4,1,12,2000,'F','N','PINHEIRA','PALHOçA','SC','124201201116151431256513232232341127097',NULL,'9998',0.00,1,2,1),(16,3250512,'1990-07-30 00:00:00',2,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124282241215122431249832472122610124072',NULL,'1038',0.00,1,3,NULL),(16,3250520,'1990-07-21 00:00:00',2,1,12,2008,'M','N','CENTRO','PASSO FUNDO','RS','120202201415121431448634375115610138017',NULL,'9998',41.41,1,3,NULL),(16,3250539,'1990-05-09 00:00:00',4,1,12,2008,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241115111732336663582324610137197',NULL,'307',18.01,1,2,1),(16,3250555,'1990-11-15 00:00:00',4,1,12,2008,'M','N','CENTRO','FARTURA','SP','125253251115151731237711211125610167061',8059,'9998',52.30,1,3,NULL),(16,3250571,'1990-04-03 00:00:00',4,1,11,2007,'M','N','PARQUE SãO MARTINHO','CAMPINAS','SP','125251251116471411328729415124610167112',11540,'9998',46.10,1,2,1),(16,3250580,'1990-01-23 00:00:00',2,1,12,2007,'M','N','CENTRO','LAGES','SC','124242244215472431349911571125610127082',NULL,'1146',0.00,1,3,NULL),(16,3250598,'1991-02-19 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242247217111311438814395324610126187',NULL,'9999',33.89,1,3,NULL),(16,3250601,'1991-11-19 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111231366673575122610113072',NULL,'1022',27.39,1,3,NULL),(16,3250610,'1991-09-17 00:00:00',2,1,11,2008,'F','N','PARQUE MONJOLO','FOZ IGUAçU','PR','116162161215111431468813574122610133187',NULL,'9998',0.00,1,3,NULL),(16,3250644,'1986-06-21 00:00:00',4,5,7,2004,'M','N','CENTRO','URUSSANGA','SC','124242241436111411586622472112132827052',NULL,'9999',34.04,1,3,NULL),(16,3250660,'1989-09-08 00:00:00',4,1,11,2006,'M','N','FAZENDA STO ANTONIO','S JOSé','SC','124242241211373431348732345122231028087',12566,'723',44.24,1,3,NULL),(16,3250679,'1991-09-30 00:00:00',2,1,12,2008,'F','N','JARDIM SAO NICOLAU','BIGUAçU','SC','124241241115131212633313572122610127092',NULL,'65',23.31,4,2,1),(16,3250687,'1991-03-17 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241312271431436614342114610124052',NULL,'307',22.54,1,3,NULL),(16,3250709,'1989-08-04 00:00:00',4,1,12,2006,'M','N','CENTRO','JARAGUá SUL','SC','124242241215373431489711575112610164045',8181,'491',52.05,1,3,NULL),(16,3250717,'1992-08-31 00:00:00',2,1,11,2007,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124244248215111731263933572114610138192',NULL,'9997',30.07,1,3,NULL),(16,3250725,'1991-09-23 00:00:00',2,8,12,2008,'F','N','PORTAL DO SOL','REG FEIJó','SP','125252251215111431345629575122610166142',NULL,'9998',0.00,3,3,NULL),(16,3250733,'1984-06-08 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANOPOLIS','SC','124204207417131721126744445124140227047',NULL,'9998',NULL,1,3,NULL),(16,3250741,'1990-06-29 00:00:00',2,1,12,2006,'F','N','PICADAS DO SUL','S JOSé','SC','124121121111152431535514372124231024147',13789,'9998',42.08,1,2,1),(16,3250750,'1984-01-14 00:00:00',2,1,12,2001,'M','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241248122445411326343332112122317117',NULL,'307',34.41,1,2,1),(16,3250768,'1991-06-03 00:00:00',3,1,6,2009,'M','S','ESTREITO','FLORIANóPOLIS','SC','124244241117151431547923575124610132146',NULL,'739',54.95,1,3,NULL),(16,3250792,'1985-01-04 00:00:00',4,1,12,2002,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241216473541446914395124120764042',1564,'446',69.03,1,3,NULL),(16,3250814,'1991-02-18 00:00:00',2,1,12,2008,'F','N','ARIRIú DA FORMIGA','PALHOçA','SC','124241241117131431635523342124610123172',NULL,'592',28.75,1,2,1),(16,3250822,'1991-09-15 00:00:00',4,1,12,2008,'M','N','CIDADE JARDIM','JACAREí','SP','125252256216471711328761575121610114042',4542,'9998',59.68,1,3,NULL),(16,3250830,'1991-10-01 00:00:00',2,8,10,2008,'F','N','CENTRO','CASCAVEL','PR','116161161215171331466936375122610164122',NULL,'456',35.49,1,3,NULL),(16,3250849,'1990-01-26 00:00:00',4,1,12,2006,'M','N','CENTRO','S LEOPOLDO','RS','120282281216571442348711495115610162097',3481,'9998',62.43,3,3,NULL),(16,3250857,'1989-05-24 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241145131412324434341224610127057',NULL,'287',22.51,1,3,NULL),(16,3250865,'1992-03-31 00:00:00',4,1,12,2009,'F','S','JARDIM DRACENA','S PAULO','SP','125254251217111431367712595122610148117',NULL,'9998',0.00,1,3,NULL),(16,3250873,'1987-12-10 00:00:00',2,1,12,2005,'F','N','JOSé MENDES','FLORIANóPOLIS','SC','124242241217274431458612572114610124147',6274,'1098',55.74,1,3,NULL),(16,3250881,'1991-03-11 00:00:00',2,7,11,2008,'M','N','CENTRO','CONCóRDIA','SC','124241241215471732343933575124610168177',NULL,'1001',20.31,1,3,NULL),(16,3250890,'1985-12-17 00:00:00',2,1,12,2003,'F','N','STO ANTôNIO DE LISB','FLORIANóPOLIS','SC','124202201215374431337923442334122232187',7519,'9998',53.30,1,3,NULL),(16,3250903,'1991-10-22 00:00:00',4,1,12,2009,'F','S','BUTãNTA','S PAULO','SP','125254251217111431456612392124610167112',NULL,'9998',0.00,1,3,NULL),(16,3250911,'1987-07-26 00:00:00',4,4,12,2003,'F','N','SãO CRISTOVãO','CHAPECó','SC','124241241217574751436839142332610168187',4182,'185',60.53,1,3,NULL),(16,3250920,'1991-09-11 00:00:00',4,1,12,2008,'M','N','APARECIDA','UBERLâNDIA','MG','113131131314131731339871575125610164182',NULL,'9998',0.00,1,3,NULL),(16,3250946,'1991-11-15 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241112141422424314232124610122141',NULL,'278',16.93,1,2,1),(16,3250962,'1982-10-20 00:00:00',4,6,11,2000,'F','N','CABEçUDAS','ITAJAí','SC','124242241215474431553862485124132441097',NULL,'44',0.00,1,3,NULL),(16,3250970,'1988-03-19 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241236573111159614575124233267074',7588,'120',53.17,1,3,NULL),(16,3250997,'1990-05-15 00:00:00',4,10,11,2007,'M','N','CENTRO','TUBARãO','SC','124242241215372431368739575112133262092',847,'807',73.08,1,3,NULL),(16,3251012,'1990-02-10 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124201247425131411213614295124610125043',NULL,'977',27.23,1,3,NULL),(16,3251020,'1989-04-29 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215573431438519572124610168182',11720,'259',45.79,1,3,NULL),(16,3251039,'1992-03-06 00:00:00',4,1,11,2009,'M','S','ROçADO','S JOSé','SC','124242241217111531558911575124610138077',NULL,'270',25.57,1,3,NULL),(16,3251047,'1990-12-11 00:00:00',4,4,12,2008,'M','N','SãO CRISTOVAO','CHAPECó','SC','124242246217141432345924572124610167042',NULL,'1094',31.32,1,3,NULL),(16,3251055,'1991-02-20 00:00:00',4,1,12,2008,'F','N','CINQUENTENáRIO','CAXIAS SUL','RS','120194201215471431467614471114610167047',NULL,'9998',39.88,1,3,NULL),(16,3251063,'1989-01-02 00:00:00',2,1,12,2006,'F','N','PASSA VINTE','PALHOçA','SC','124242241116231731323319572122610126147',NULL,'591',21.55,1,3,NULL),(16,3251071,'1991-02-13 00:00:00',4,10,12,2008,'M','N','CENTRO','TUBARãO','SC','124242241215111431479833571121610127112',4116,'807',60.73,1,3,NULL),(16,3251080,'1990-09-11 00:00:00',2,5,11,2008,'M','N','CEARA','CRICIúMA','SC','124241241415131431424534342124610167142',NULL,'210',29.56,1,3,NULL),(16,3251098,'1989-10-05 00:00:00',2,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124242241216371711468823275114610137041',3903,'457',61.32,1,3,NULL),(16,3251101,'1981-08-26 00:00:00',4,1,12,2000,'F','N','CENTRO','CURITIBANOS','SC','124241244146271411225449495125610168187',NULL,'239',0.00,1,2,1),(16,3251128,'1991-02-18 00:00:00',4,7,12,2008,'F','N','CENTRO','FRAIBURGO','SC','124244241415111431579931575122610146192',NULL,'317',0.00,1,3,NULL),(16,3251136,'1989-07-13 00:00:00',4,1,12,2006,'M','N','SANTA MARIA GORETI','PTO ALEGRE','RS','120201201111471431546614371115610122052',8087,'9998',52.25,1,2,1),(16,3251144,'1988-07-06 00:00:00',4,1,11,2005,'M','N','TATUAPé','S PAULO','SP','125252251215571731479814572112610167012',93,'9998',81.10,1,3,NULL),(16,3251152,'1982-11-24 00:00:00',2,1,12,2007,'M','N','SãO MIGUEL','BIGUAçU','SC','124201247116161412512143132334610157047',NULL,'9999',24.29,5,4,NULL),(16,3251160,'1989-07-07 00:00:00',4,1,12,2008,'F','N','ABRAAO','FLORIANóPOLIS','SC','124241241115111731326679575122610128061',NULL,'292',21.82,3,2,1),(16,3251179,'1989-01-21 00:00:00',4,1,12,2006,'F','N','IPIRANGA','S JOSé','SC','124241241211433431137823475124222966097',NULL,'1118',0.00,1,3,NULL),(16,3251187,'1989-10-09 00:00:00',2,1,12,2006,'F','N','JD SãO NICOLAU','S PAULO','SP','125251251136471431533613572114610164076',12197,'9998',44.91,2,1,1),(16,3251195,'1980-05-14 00:00:00',2,1,12,2004,'M','N','JOSé MENDES','FLORIANóPOLIS','SC','124243247325141731565432442122610162147',14786,'9999',40.10,1,3,NULL),(16,3251209,'1991-05-13 00:00:00',2,1,12,2008,'M','N','ARIRIú DA FORMIGA','PALHOçA','SC','124241241117131231333613342124610124142',12194,'592',44.91,1,2,1),(16,3251217,'1987-01-14 00:00:00',4,8,12,2004,'F','N','RIO MOLHA','JARAGUá SUL','SC','124251251147131532433664282314131434147',NULL,'9998',0.00,4,3,NULL),(16,3251225,'1991-03-16 00:00:00',4,9,12,2008,'F','N','SAO JOAO','CORREIA PINTO','SC','124241241116161431424421575124610127082',NULL,'201',17.69,2,1,1),(16,3251233,'1985-07-26 00:00:00',4,1,12,2004,'M','N','JARDIM SERIEMA','SOROCABA','SP','125254258437471411459811286211141644047',NULL,'9998',5.50,1,3,NULL),(16,3251241,'1990-08-06 00:00:00',2,1,12,2008,'M','N','BELA VISTA II','S JOSé','SC','124241241215111432568419575114610117062',NULL,'1036',26.14,1,3,NULL),(16,3251250,'1991-11-09 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241112131731435619395124610121185',NULL,'287',28.52,1,3,NULL),(16,3251268,'1986-05-20 00:00:00',2,5,12,2004,'M','N','VERMELHO','ORLEANS','SC','124241246112131131323345142123610127057',NULL,'580',25.30,1,3,NULL),(16,3251276,'1987-04-24 00:00:00',2,1,12,2004,'M','N','IMBITUBA','IMBITUBA','SC','124241241117132431434614345121610137047',14129,'358',41.37,1,2,1),(16,3251284,'1991-11-18 00:00:00',2,1,12,2008,'F','N','SãO PAULO','FOZ IGUAçU','PR','116164161317121331545932575124610134172',7013,'9998',54.26,1,3,NULL),(16,3251292,'1991-03-06 00:00:00',4,3,12,2008,'M','N','SAN CONRADO','CAMPINAS','SP','125252251215121742468831375122610164197',3898,'9998',61.34,1,3,NULL),(16,3251306,'1992-07-29 00:00:00',2,1,12,2009,'F','S','CENTRO DE PALHOçA','PALHOçA','SC','124242241117131411545613372224610124097',NULL,'739',38.53,1,3,NULL),(16,3251314,'1992-09-13 00:00:00',4,1,12,2009,'F','S','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215111431456611394122610127072',NULL,'988',9.40,1,3,NULL),(16,3251330,'1990-01-04 00:00:00',4,1,12,2007,'F','N','ESPLANADA DO SOL','S JOSé CAMPOS','SP','125252251217471431468914572122610133077',3172,'9998',63.35,1,3,NULL),(16,3251349,'1990-11-16 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215112431238669592114610131147',NULL,'1022',23.55,1,3,NULL),(16,3251357,'1990-03-30 00:00:00',4,1,12,2007,'F','N','JARDIM NOVA EUROPA','CAMPINAS','SP','125253251417471431558614572122610132197',7117,'9998',54.07,1,3,NULL),(16,3251365,'1981-08-11 00:00:00',4,1,12,2008,'M','N','JURERE','FLORIANóPOLIS','SC','224241247127131431311148185114610118197',NULL,'9999',31.87,1,2,1),(16,3251373,'1964-03-10 00:00:00',4,1,12,1981,'M','N','ESTREITO','FLORIANóPOLIS','SC','224251256137141411452244345132141464042',NULL,'9998',12.41,1,2,1),(16,3251381,'1991-05-10 00:00:00',4,9,12,2008,'F','N','SANTANA','RIO SUL','SC','124242241215111431438923475122610144072',6072,'991',56.18,1,3,NULL),(16,3251390,'1980-12-11 00:00:00',2,1,12,1998,'F','N','CAMPECHE','FLORIANóPOLIS','SC','624244241224575751468643432222321322087',NULL,'270',0.00,3,3,NULL),(16,3251411,'1990-10-03 00:00:00',4,1,11,2008,'M','N','PQ BELVEDERE','S JOSé R PRETO','SP','125252251215111431358933575122610164022',NULL,'9998',42.82,1,3,NULL),(16,3251438,'1960-11-28 00:00:00',4,1,12,1977,'F','N','CENTRO','FLORIANóPOLIS','SC','124161166116152711139649494334341466142',10586,'9998',47.76,1,3,NULL),(16,3251446,'1974-12-04 00:00:00',4,1,12,1992,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','524121121216152421143317245124142922117',9206,'9998',50.24,1,3,NULL),(16,3251454,'1988-10-12 00:00:00',4,8,12,2005,'M','N','PONTA DA BARRA','LAGUNA','SC','124241248117131431236621342221610127112',NULL,'521',28.39,1,3,NULL),(16,3251462,'1984-01-06 00:00:00',4,1,12,2001,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124252251216211431367734582312342262185',5769,'9998',56.91,1,3,NULL),(16,3251470,'1991-05-12 00:00:00',4,9,12,2008,'M','N','SãO JOãO','CORREIA PINTO','SC','124242241347111332446414575124610124012',NULL,'1106',29.83,1,3,NULL),(16,3251489,'1992-08-31 00:00:00',4,5,11,2009,'M','S','PIO CORREA','CRICIúMA','SC','124244241215121531459914572122610124057',NULL,'226',38.73,1,3,NULL),(16,3251497,'1991-06-18 00:00:00',4,4,12,2008,'F','N','EFAPI','CHAPECó','SC','124241244117131441529633231324610156147',NULL,'184',24.03,1,2,1),(16,3251500,'1989-02-11 00:00:00',4,5,6,2007,'M','N','BRASILIA','CRICIúMA','SC','124244241216132431537514395124610124092',NULL,'995',35.81,1,3,NULL),(16,3251519,'1983-02-01 00:00:00',4,8,12,2000,'F','N','PINHEIROS','S LEOPOLDO','RS','220204201411111411334814441122140212142',NULL,'9998',0.00,1,3,NULL),(16,3251527,'1991-04-19 00:00:00',4,1,12,2008,'F','N','CIDADE ALTA','BENTO GONçALVES','RS','120201201117151431436612575122610164142',NULL,'9998',0.00,1,2,1),(16,3251543,'1991-01-01 00:00:00',2,1,12,2007,'F','N','CENTRO','LONDRINA','PR','116162161217471411489819575112610166125',NULL,'9998',0.00,1,3,NULL),(16,3251560,'1990-10-01 00:00:00',4,8,12,2007,'M','N','JD NOVO HORIZONTE','MARINGá','PR','116162161215371431569931575112610167042',2710,'9998',64.66,1,3,NULL),(16,3251578,'1990-10-26 00:00:00',4,1,12,2008,'M','N','BELA VISTA','S JOSé','SC','124241241117111531538714375124610134057',16274,'9997',36.46,1,3,NULL),(16,3251586,'1981-04-23 00:00:00',2,1,12,1989,'F','N','TRINDADE','FLORIANóPOLIS','SC','124282288236275731459919572124640124172',10243,'9998',48.36,1,3,NULL),(16,3251608,'1990-04-03 00:00:00',4,1,12,2007,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241215272431454923385114610134052',16557,'1048',35.13,1,3,NULL),(16,3251616,'1991-03-15 00:00:00',2,1,12,2008,'M','N','BELA VISTA','PALHOçA','SC','124241241125131431446513345121610123042',16283,'1108',36.42,1,2,1),(16,3251624,'1989-03-30 00:00:00',4,1,12,2006,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215372431438932475112131026052',12443,'266',44.48,1,3,NULL),(16,3251632,'1991-02-26 00:00:00',2,9,12,2008,'F','N','UNIVERSITáRIO','LAGES','SC','124243248315111431333319571122610128142',NULL,'499',35.31,1,3,NULL),(16,3251640,'1991-08-12 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241215111431438933275124610135187',13091,'1022',43.34,4,3,NULL),(16,3251659,'1966-04-09 00:00:00',2,1,12,1991,'M','N','SãO JOSé OPERáRIO','RIO GRANDE','RS','520201204116152711433639245134343264127',3474,'9998',62.45,1,3,NULL),(16,3251667,'1974-03-18 00:00:00',2,1,11,2006,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241247217131441331449295124610168167',12915,'9999',43.64,1,3,NULL),(16,3251675,'1990-11-25 00:00:00',2,4,12,2008,'M','N','SANTA CATARINA','S LOURENçO OESTE','SC','124041241215131411538814235222610134052',10316,'743',48.23,1,3,NULL),(16,3251691,'1989-09-27 00:00:00',4,1,12,2008,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124243241115251231337617175124610164042',10301,'306',48.25,1,3,NULL),(16,3251705,'1970-12-11 00:00:00',4,1,12,1988,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124201201216151441243444445124141464147',8313,'9998',51.77,1,3,NULL),(16,3251713,'1991-10-04 00:00:00',4,8,11,2009,'F','S','ESCOLINHA','JOINVILLE','SC','124244241216111431434834474124610133052',NULL,'459',41.66,1,3,NULL),(16,3251721,'1990-11-07 00:00:00',2,1,12,2008,'M','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241126131531323321242124610114147',NULL,'294',24.06,1,2,1),(16,3251730,'1991-03-08 00:00:00',2,5,12,2008,'M','N','RAICHASKI','IçARA','SC','124242246212271751326824575124610167042',NULL,'995',23.19,1,3,NULL),(16,3251748,'1989-06-20 00:00:00',4,8,12,2006,'F','N','CENTRO','PARANAVAí','PR','116162161216573431579811575122610144142',NULL,'9998',0.00,3,3,NULL),(16,3251756,'1991-04-19 00:00:00',2,3,12,2008,'M','N','CENTRO','FRANCA','SP','125251251216111431338711275321610127147',NULL,'9998',0.00,1,3,NULL),(16,3251772,'1992-03-09 00:00:00',2,1,12,2009,'M','S','CAPOEIRAS','FLORIANóPOLIS','SC','124242241217121231459829375124610167047',NULL,'272',35.74,1,3,NULL),(16,3251799,'1988-07-06 00:00:00',4,1,12,2005,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241235374431427612495114610164147',11311,'273',46.46,1,3,NULL),(16,3251802,'1988-01-15 00:00:00',2,1,11,2005,'M','N','SãO CRISTóVãO','PASSO FUNDO','RS','120201201111571411446531571124610167042',7411,'9998',53.50,1,2,1),(16,3251810,'1990-08-24 00:00:00',2,1,12,2007,'F','N','CAMINHO NOVO','PALHOçA','SC','124241241112472431536413571124610124145',NULL,'295',26.01,2,1,1),(16,3251829,'1991-07-26 00:00:00',4,1,12,2008,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241116131711434923375124610147057',NULL,'772',23.19,1,2,1),(16,3251837,'1990-04-15 00:00:00',5,1,12,2007,'F','N','ENSEADA','UBATUBA','SP','125211211117471231536839375124610167142',13177,'9998',43.19,1,2,1),(16,3251845,'1992-02-07 00:00:00',4,5,10,2008,'M','N','CRUZEIRO DO SUL','CRICIUMA','SC','124242241215152431459813572122610167117',7048,'211',54.20,1,3,NULL),(16,3251853,'1991-10-19 00:00:00',2,1,12,2009,'F','S','JOSé MENDES','FLORIANóPOLIS','SC','624242241215111731356823575124610133182',NULL,'272',47.50,1,3,NULL),(16,3251870,'1991-07-11 00:00:00',2,8,12,2008,'F','N','AMéRICA','JOINVILLE','SC','124242241215121431567519275122610138072',11075,'456',46.88,1,3,NULL),(16,3251888,'1991-04-01 00:00:00',4,2,11,2008,'F','N','FORTALEZA','BLUMENAU','SC','124243241215111431335933572124610167142',10756,'909',47.45,3,3,NULL),(16,3251896,'1991-12-27 00:00:00',2,5,12,2008,'F','N','SANTA BARBARA','CRICIúMA','SC','124242241221111741513311572124620127092',12512,'213',44.36,1,3,NULL),(16,3251900,'1990-03-01 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215372421468924574124610162052',5958,'270',56.44,1,3,NULL),(16,3251918,'1992-12-31 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124243241315111731446823472114610123187',NULL,'1022',53.53,4,3,NULL),(16,3251926,'1992-09-20 00:00:00',4,1,11,2009,'M','S','KOBRASOL','S JOSé','SC','124242241215111431466819575122610117077',NULL,'723',38.70,1,3,NULL),(16,3251934,'1991-09-27 00:00:00',4,1,12,2008,'F','N','SETOR BUENO','GOIâNIA','GO','109092091215111431478833471112610163057',7433,'9998',53.45,1,3,NULL),(16,3251942,'1990-11-26 00:00:00',4,1,12,2009,'F','S','DANIELA','FLORIANóPOLIS','SC','124242241215111431454839395122610134072',NULL,'951',11.33,1,3,NULL),(16,3251950,'1991-08-01 00:00:00',4,8,11,2008,'M','N','VILA LENZI','JARAGUá SUL','SC','124242241215111431469934575114610167047',15139,'422',39.33,1,3,NULL),(16,3251969,'1992-09-08 00:00:00',4,1,12,2009,'F','S','CANASVIEIRAS','FLORIANóPOLIS','SC','124242241217111431469731575124610123147',NULL,'1048',48.69,1,3,NULL),(16,3251977,'1987-11-12 00:00:00',4,1,12,2004,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241111133411437633382224231324097',NULL,'281',21.93,2,1,1),(16,3251985,'1989-06-19 00:00:00',2,4,12,2006,'F','N','PETRóPOLIS','PTO ALEGRE','RS','120201201116571731536613335124610164177',NULL,'9998',0.00,3,2,1),(16,3251993,'1991-01-27 00:00:00',4,9,12,2008,'M','N','BORGO','BENTO GONçALVES','RS','120201201116151431443933242124610124017',1386,'9998',69.90,4,2,1),(16,3252000,'1986-02-01 00:00:00',2,1,12,2003,'F','N','SERRARIA','S JOSé','SC','124241241136473431533511382344610124147',15438,'734',38.68,1,3,NULL),(16,3252019,'1992-10-21 00:00:00',3,1,2,2009,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215111731469811571124610126145',9890,'262',48.98,1,3,NULL),(16,3252027,'1991-10-10 00:00:00',4,7,12,2008,'M','N','MUNICIPIOS','CAçADOR','SC','124241241116161431455512222122610122147',NULL,'122',22.27,1,2,1),(16,3252035,'1991-03-20 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215131451633311285124610131077',NULL,'1075',22.40,1,3,NULL),(16,3252043,'1990-12-08 00:00:00',4,1,12,2008,'F','N','VILA MADALENA','S PAULO','SP','125252251215271431366631211122610127122',9377,'9998',49.94,1,3,NULL),(16,3252060,'1991-01-29 00:00:00',2,1,12,2008,'F','N','JARDIM LINDóIA','GOIOERê','PR','116162161216111331368834574122610167017',NULL,'9998',0.00,1,3,NULL),(16,3252078,'1990-12-12 00:00:00',2,5,12,2008,'F','N','SãO SIMãO','CRICIúMA','SC','124242241215111411363314242124610128187',13613,'226',42.44,1,3,NULL),(16,3252086,'1990-03-19 00:00:00',2,4,12,2008,'M','N','SANTA CATARINA','SAO LOURENCO DO OESTE','SC','124164161415131321534434245121610112157',NULL,'9998',23.19,1,3,NULL),(16,3252094,'1991-12-22 00:00:00',4,1,12,2009,'F','S','PONTA DAS CANAS','FLORIANóPOLIS','SC','124244241112111431578933572124610127072',NULL,'271',20.33,1,3,NULL),(16,3252108,'1985-10-29 00:00:00',4,1,12,2002,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124254251217572411637841315114143222051',3145,'9998',63.40,1,3,NULL),(16,3252116,'1986-01-07 00:00:00',2,1,12,2003,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241125134441226974282122610168027',11477,'307',46.21,1,2,1),(16,3252124,'1991-06-06 00:00:00',2,1,11,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241211111411237712595123610116072',NULL,'1035',41.68,1,3,NULL),(16,3252132,'1992-05-18 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124204241217371431567613575114610164017',12741,'300',43.94,1,3,NULL),(16,3252140,'1990-09-05 00:00:00',2,5,12,2007,'F','N','MICHEL','CRICIúMA','SC','124242241215373431568911592122610163147',10319,'226',48.22,1,3,NULL),(16,3252159,'1991-09-22 00:00:00',4,2,12,2008,'M','N','SEMINARIO','TAIó','SC','124241241117131231323324466324610134047',NULL,'777',6.62,1,2,1),(16,3252167,'1989-09-22 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124244241216372441345832575125610162097',11769,'497',45.69,1,3,NULL),(16,3252175,'1991-01-24 00:00:00',4,9,10,2008,'M','N','CENTRO','LAGES','SC','124242241215111711456739575125610117122',10442,'497',48.02,1,3,NULL),(16,3252183,'1990-10-20 00:00:00',4,10,12,2008,'M','N','VILA NOVA','IMBITUBA','SC','124243241212151432378863572122610117127',13831,'807',41.99,1,3,NULL),(16,3252191,'1992-05-18 00:00:00',4,1,12,2008,'M','N','CENTRO','GAROPABA','SC','124241241437162412437939574111610114042',2097,'266',66.81,1,3,NULL),(16,3252205,'1991-01-22 00:00:00',4,6,12,2008,'M','N','PIONEIROS','BAL CAMBORIú','SC','124244241217151411389714575122610137042',9634,'392',49.45,1,3,NULL),(16,3252213,'1991-04-07 00:00:00',4,8,5,2008,'F','N','CENTRO','JOINVILLE','SC','124242281417371432448811572125610123092',10870,'9998',47.24,1,3,NULL),(16,3252221,'1985-08-04 00:00:00',4,1,11,2003,'F','N','PRAINHA','FLORIANóPOLIS','SC','124251251116232431223341315324610124197',13244,'9998',43.07,4,2,1),(16,3252230,'1991-12-04 00:00:00',2,5,11,2008,'F','N','CENTRO','NOVA VENEZA','SC','124242241215272431448732245122610133147',15838,'213',37.65,1,3,NULL),(16,3252256,'1991-03-23 00:00:00',4,9,11,2008,'F','N','SãO CRISTóVãO','LAGES','SC','124242248215112431359834595122610124097',13156,'1146',43.23,1,3,NULL),(16,3252264,'1988-11-12 00:00:00',4,1,12,2006,'M','N','INTERLAGOS','S PAULO','SP','125252251215571431458831575114610137181',1625,'9998',68.78,1,3,NULL),(16,3252272,'1989-03-21 00:00:00',4,1,12,2007,'M','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241116271431454923345114610127152',15492,'288',38.56,1,2,1),(16,3252280,'1979-04-21 00:00:00',4,1,6,1999,'M','N','SERRARIA','S JOSé','SC','224241247247134421221653242224132027117',NULL,'9999',27.92,1,3,NULL),(16,3252302,'1991-07-02 00:00:00',2,1,11,2008,'F','N','JARDIM ATHANTICO','FLORIANóPOLIS','SC','124241241416141431465512245124610121017',NULL,'259',26.84,1,3,NULL),(16,3252310,'1988-06-21 00:00:00',2,1,2,2008,'F','N','BELA VISTA','PALHOçA','SC','124241241116111431345531482114610127097',NULL,'306',17.86,1,3,NULL),(16,3252329,'1990-03-26 00:00:00',4,5,11,2008,'M','N','CENTRO','CRICIúMA','SC','124244241215131431338419375124610168112',NULL,'1096',8.82,2,1,2),(16,3252337,'1991-08-21 00:00:00',4,1,11,2008,'M','N','VILA A','FOZ IGUAçU','PR','116162161217111431448619275112610117052',NULL,'9998',0.00,1,3,NULL),(16,3252345,'1991-10-04 00:00:00',4,1,12,2009,'F','S','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241217111411468613472122610124055',NULL,'262',27.10,1,3,NULL),(16,3252353,'1992-06-01 00:00:00',4,9,12,2009,'F','S','PINHEIROS','OTACíLIO COSTA','SC','124241241415111211349824575124610124197',NULL,'499',21.98,1,3,NULL),(16,3252370,'1991-07-27 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124243241217151441379933575124610163095',4367,'883',60.10,1,3,NULL),(16,3252396,'1989-03-02 00:00:00',4,1,12,2005,'M','N','VILA BELMIRO','SANTOS','SP','125252251216574431488814475124610122157',2873,'9998',64.18,1,3,NULL),(16,3252400,'1990-09-11 00:00:00',4,1,12,2007,'M','N','RAMOS','VIçOSA','MG','113212211216471731373863575112610162012',NULL,'9998',0.00,1,3,NULL),(16,3252426,'1992-06-30 00:00:00',4,1,12,2009,'M','S','TRINDADE','FLORIANóPOLIS','SC','124243241112151732469613572124610137047',NULL,'271',23.16,1,3,NULL),(16,3252434,'1985-09-04 00:00:00',4,1,12,2002,'F','N','BALNEARIO ESTREITO','FLORIANóPOLIS','SC','124242241212132421428714445124330232187',NULL,'266',26.95,4,3,NULL),(16,3252442,'1991-07-10 00:00:00',4,1,12,2008,'F','N','SERTãO DO MARUIM','S JOSé','SC','124241241115131431434624575124610142077',NULL,'733',20.02,1,2,1),(16,3252450,'1990-04-18 00:00:00',4,1,12,2007,'F','N','CIDADE INDUSTRIAL','CURITIBA','PR','116164161216571431446832575112142133117',NULL,'9998',0.00,1,3,NULL),(16,3252477,'1991-02-13 00:00:00',4,1,10,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215111431478922572125610131092',13974,'226',41.70,1,3,NULL),(16,3252485,'1992-05-31 00:00:00',4,5,11,2008,'F','N','JUNDIá','TURVO','SC','124241241117131331224429572122610133142',NULL,'814',23.31,1,2,1),(16,3252493,'1991-12-07 00:00:00',4,1,12,2009,'M','S','CENTRO','PANAMBI','RS','120202201217131211337831575122610112015',NULL,'9998',48.17,1,3,NULL),(16,3252507,'1988-10-02 00:00:00',4,3,12,2005,'F','N','TATUAPé','S PAULO','SP','125243241216573731437879272315130222197',4142,'53',60.66,1,3,NULL),(16,3252515,'1991-06-16 00:00:00',4,1,12,2008,'M','N','CENTRO','BIGUAçU','SC','124242241112111431546614242124610137027',NULL,'65',28.20,1,3,NULL),(16,3252523,'1990-09-29 00:00:00',4,4,12,2007,'F','N','PINHEIROS','PATO BRANCO','PR','116162161216472331438813274124610113187',16631,'9998',34.51,4,1,2),(16,3252531,'1991-03-21 00:00:00',4,1,11,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217111431543923572112610123112',11152,'1133',46.74,4,3,NULL),(16,3252540,'1989-12-06 00:00:00',4,5,12,2008,'M','N','VILA SãO JOSé','ARARANGUá','SC','124241241112131431433629572112610127017',NULL,'29',13.30,1,3,NULL),(16,3252558,'1990-10-13 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431368832575122610132142',NULL,'270',33.53,1,3,NULL),(16,3252566,'1991-07-30 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124054241217111441433318172114610127057',15677,'1022',38.12,1,3,NULL),(16,3252574,'1991-09-18 00:00:00',4,6,12,2008,'F','N','CENTRO','CONCóRDIA','SC','124242248215111431446632595122613218092',6506,'1038',55.26,1,3,NULL),(16,3252582,'1991-09-07 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241115151411437633572224610126097',NULL,'281',27.18,2,1,1),(16,3252590,'1992-09-07 00:00:00',2,1,12,2009,'M','S','ROçADO','S JOSé','SC','124241241116151531337613572114610132057',NULL,'733',23.55,4,3,NULL),(16,3252604,'1990-12-10 00:00:00',2,1,11,2008,'M','N','CENTRO','S JOAQUIM','SC','124244241215131431556613575122610132067',12752,'1035',43.92,1,3,NULL),(16,3252612,'1989-02-03 00:00:00',2,1,12,2008,'M','N','FORQUILHAS','S JOSé','SC','124241241116141431246314435124613267057',NULL,'733',23.38,1,2,1),(16,3252639,'1978-03-31 00:00:00',2,1,12,2000,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124243241322173131431123482314610164047',NULL,'9999',20.05,1,3,NULL),(16,3252647,'1993-02-19 00:00:00',2,1,11,2010,'F','S','CORREGO GRANDE','FLORIANóPOLIS','SC','124243241216111431458914572122610137077',NULL,'270',34.29,1,3,NULL),(16,3252655,'1991-11-04 00:00:00',2,1,12,2008,'F','N','VILLAGE','IMBITUBA','SC','124241248215111451326629495121610168187',10252,'362',48.35,1,3,NULL),(16,3252663,'1991-12-22 00:00:00',4,1,12,2009,'M','S','PONTA DAS CANAS','FLORIANóPOLIS','SC','124244241112111431578933572124610127122',NULL,'271',51.92,1,3,NULL),(16,3252671,'1991-04-22 00:00:00',4,1,11,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124244241217111731468813575112610124047',1366,'266',70.04,1,3,NULL),(16,3252680,'1991-11-17 00:00:00',4,8,12,2008,'F','N','OXFORD','S BENTO SUL','SC','124241241116151431246512572222610127182',NULL,'693',28.48,1,3,NULL),(16,3252698,'1983-02-23 00:00:00',2,1,7,2003,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242247225133441228844342123610167117',NULL,'1003',31.45,1,3,NULL),(16,3252701,'1984-03-08 00:00:00',2,1,11,2001,'M','N','CENTRO','FLORIANóPOLIS','SC','124241248137133421543613445124610117097',10276,'306',48.30,1,2,1),(16,3252710,'1991-10-06 00:00:00',2,1,12,2008,'M','N','BARRA DO ARIRIU','PALHOçA','SC','124241241112131411436314492124610117147',NULL,'591',24.62,1,2,1),(16,3252728,'1991-06-05 00:00:00',2,7,11,2008,'F','N','POR DO SOL','CAPINZAL','SC','124241241216141431333823232122610124142',NULL,'1093',22.19,1,3,NULL),(16,3252736,'1991-04-10 00:00:00',4,6,12,2008,'F','N','CENTRO','ITAJAí','SC','124241241215121511528813275112610165057',15818,'391',37.71,1,3,NULL),(16,3252744,'1977-11-09 00:00:00',4,1,12,1997,'M','N','BARREIROS','S JOSé','SC','124241241122132721543623342112610122067',13014,'295',43.47,1,2,1),(16,3252752,'1992-02-03 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241312371431448913572122610137142',10546,'269',47.84,1,3,NULL),(16,3252779,'1991-08-10 00:00:00',4,2,12,2008,'F','N','ESCOLA AGRICOLA','BLUMENAU','SC','124242241215131731448711475122610124197',12044,'909',45.20,1,3,NULL),(16,3252787,'1990-04-30 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','624241241315111431556464572124610124095',15769,'300',37.86,1,3,NULL),(16,3252795,'1988-09-21 00:00:00',4,1,11,2005,'F','N','CENTRO','URUSSANGA','SC','124242241215574431448814591125613225112',11653,'226',45.91,1,3,NULL),(16,3252809,'1991-01-29 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIúMA','SC','124244243215111631469412575124610167062',8239,'995',51.89,1,3,NULL),(16,3252817,'1991-04-23 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124244241215161431434434575124610126142',5299,'988',57.87,1,3,NULL),(16,3252825,'1987-12-12 00:00:00',4,8,12,2005,'F','N','JARDIM SAO JOSé','CAçAPAVA','SP','125253251216572731438679242224610124147',NULL,'9998',0.00,4,3,NULL),(16,3252833,'1990-02-16 00:00:00',4,1,12,2006,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124242241217273621646722241234231026052',NULL,'262',33.33,1,3,NULL),(16,3252841,'1990-01-14 00:00:00',4,7,12,2007,'M','N','BELA VISTA','FRAIBURGO','SC','124241241136141431536435252124231447047',NULL,'314',0.00,1,3,NULL),(16,3252850,'1991-03-20 00:00:00',2,6,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124074241215111431348612575122610166172',12279,'1038',44.76,1,3,NULL),(16,3252868,'1990-12-19 00:00:00',2,4,12,2008,'M','N','CENTRO','S LOURENçO OESTE','SC','124242241217151211446834572121610137062',NULL,'743',0.00,1,3,NULL),(16,3252876,'1990-07-25 00:00:00',4,1,11,2007,'F','N','JARDIM KERLAKIAN','S PAULO','SP','125252251215571431557732571122610262097',NULL,'9998',0.00,1,3,NULL),(16,3252884,'1991-02-17 00:00:00',4,8,12,2008,'M','N','CAMPINA DOS MAIA','PIêN','PR','116161161116161532523314572324610127042',NULL,'9998',29.64,2,1,1),(16,3252906,'1991-03-05 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124241241117111731558614275114610164017',16586,'307',34.94,1,2,1),(16,3252914,'1986-02-06 00:00:00',2,1,12,2003,'F','N','CAMPINAS','S JOSé','SC','124241241147133421223311241124610114187',NULL,'451',0.00,1,3,NULL),(16,3252922,'1991-07-12 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241211111431463839571122610137147',NULL,'262',45.39,1,3,NULL),(16,3252930,'1991-11-14 00:00:00',4,1,12,2008,'M','N','JOTAESSE','TUPãSSI','PR','124161242117131731434411375124610124147',NULL,'662',28.69,1,3,NULL),(16,3252949,'1991-01-22 00:00:00',2,1,12,2008,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124241241115111431466433575122610124042',7296,'267',53.72,1,2,1),(16,3252957,'1990-09-08 00:00:00',4,1,12,2008,'F','N','VALE DO ITAMARACá','VALINHOS','SP','125252251217111411469814242122610143012',NULL,'9998',0.00,1,3,NULL),(16,3252965,'1991-04-25 00:00:00',4,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124243241215272431226723575124610126182',4907,'272',58.85,1,3,NULL),(16,3252990,'1992-01-13 00:00:00',4,1,12,2008,'M','N','SERRARIA','S JOSé','SC','124244241315131531345611575122610168193',NULL,'1116',39.34,1,3,NULL),(16,3253015,'1985-03-03 00:00:00',2,1,12,2002,'F','N','ABRAAO','FLORIANOPOLIS','SC','224201205116271412253353485122610117047',NULL,'9998',27.97,1,2,1),(16,3253031,'1991-08-15 00:00:00',4,5,10,2008,'F','N','CENTRO','CRICIúMA','SC','124242248216122431336632572122610133142',NULL,'226',34.71,1,3,NULL),(16,3253040,'1989-12-09 00:00:00',4,5,12,2007,'F','N','SANTO ANTôNIO','PTO ALEGRE','RS','120201201117471431323611273224610126187',10413,'9998',48.07,1,2,1),(16,3253058,'1986-04-16 00:00:00',4,1,12,2003,'M','N','CANTO','FLORIANóPOLIS','SC','124162241416332421426714442122131037047',NULL,'882',15.99,1,3,NULL),(16,3253066,'1990-09-21 00:00:00',5,1,11,2007,'F','N','BARREIROS','S JOSé','SC','124242241215472431578813572122610127092',4224,'738',60.43,1,3,NULL),(16,3253074,'1988-10-12 00:00:00',4,8,12,2006,'M','N','MOEMA','S PAULO','SP','125252251217371731489811472112141034016',102,'9998',80.91,1,3,NULL),(16,3253082,'1992-05-05 00:00:00',4,1,12,2009,'F','S','ABRAãO','FLORIANóPOLIS','SC','124242241212151431468813332122610127147',NULL,'259',35.60,1,3,NULL),(16,3253090,'1991-07-10 00:00:00',1,1,12,2008,'M','N','ALBERTINA','RIO SUL','SC','124242248215111431446616365124610137187',NULL,'654',29.25,1,3,NULL),(16,3253104,'1990-03-08 00:00:00',4,8,12,2007,'M','N','ITAUM','JOINVILLE','SC','124244246217271731353839594122610167062',NULL,'1105',25.72,1,3,NULL),(16,3253112,'1991-10-22 00:00:00',4,8,12,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124241241215111732458612172124610137047',12568,'1105',44.24,1,3,NULL),(16,3253120,'1986-05-27 00:00:00',4,1,12,2003,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124202201217152431447732575124141464032',2883,'9998',64.13,1,3,NULL),(16,3253139,'1990-12-16 00:00:00',2,7,12,2008,'F','N','SAO VICENTE','HERVAL D OESTE','SC','124243241216111731428814475122610128072',NULL,'9997',27.01,1,3,NULL),(16,3253147,'1991-03-18 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANOPOLIS','SC','124241248135131731331131312124613228147',NULL,'307',29.48,1,2,1),(16,3253155,'1991-05-23 00:00:00',4,1,12,2008,'M','N','ROÇADO','S JOSé','SC','124243248317131751625539296224610118017',NULL,'733',22.94,2,1,2),(16,3253171,'1991-04-30 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124161161215111431227824245114610133187',NULL,'300',25.32,1,3,NULL),(16,3253180,'1988-09-21 00:00:00',2,8,12,2005,'M','N','CENTRO','CATANDUVAS','PR','116161161117161752416413345315610168197',NULL,'9998',29.74,1,2,1),(16,3253198,'1991-05-06 00:00:00',2,5,12,2008,'F','N','BARRACãO','MRO FUMAçA','SC','124242241215221431423314572122610142092',NULL,'226',0.00,1,3,NULL),(16,3253201,'1990-01-12 00:00:00',4,1,12,2007,'F','N','SANTA LUCIA','POçOS CALDAS','MG','113132131215471431558511575122610164092',NULL,'9998',0.00,1,3,NULL),(16,3253210,'1987-04-27 00:00:00',4,1,12,2005,'M','N','GRANJA VIANA','COTIA','SP','125252251216471731478624575122140767047',NULL,'9998',42.82,1,3,NULL),(16,3253228,'1991-03-20 00:00:00',4,4,10,2008,'F','N','CENTRO','ERECHIM','RS','120202201216372431448812595124610126182',5230,'9998',58.05,1,3,NULL),(16,3253236,'1991-04-10 00:00:00',4,1,12,2008,'M','N','RESIDENCIAL UNIAO','S JOSé CAMPOS','SP','125252256216171611464632345124610167187',NULL,'9998',0.00,1,3,NULL),(16,3253244,'1988-03-31 00:00:00',4,3,12,2005,'F','N','CENTRO','PTO ALEGRE','RS','120202201116271431436714275124140422097',12390,'9998',44.56,1,3,NULL),(16,3253252,'1990-11-06 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241215472431468614575124233233142',2842,'1022',64.25,1,3,NULL),(16,3253260,'1980-10-25 00:00:00',2,1,12,1999,'M','N','BUTANTA','S PAULO','SP','125161252136471441113379191321610164017',11658,'9998',45.89,2,1,1),(16,3253279,'1991-10-08 00:00:00',4,1,12,2008,'M','N','CENTRO','URUBICI','SC','124241241115161431333311382222610114067',NULL,'818',29.58,1,3,NULL),(16,3253287,'1990-10-31 00:00:00',4,1,12,2008,'F','N','LAGO SUL','LG SUL','DF','107052071215111731458613572122610136112',NULL,'9998',0.00,1,3,NULL),(16,3253295,'1990-02-05 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241117271751435339195124610125062',NULL,'307',18.75,1,3,NULL),(16,3253317,'1988-03-07 00:00:00',4,1,12,2005,'M','N','IPIRANGA','S PAULO','SP','125252251216571431458834572115610164127',NULL,'9998',0.00,3,3,NULL),(16,3253325,'1991-07-04 00:00:00',4,1,12,2008,'F','N','PEDRA BRANCA','PALHOçA','SC','124242241215122431589313575124610137072',5711,'1011',57.04,1,3,NULL),(16,3253333,'1992-01-05 00:00:00',4,1,12,2009,'M','S','CENTRO','BIGUAçU','SC','124242241217111411346714345122610126172',NULL,'738',48.60,1,3,NULL),(16,3253341,'1990-10-08 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215371431228831572315610168191',14061,'262',41.53,1,3,NULL),(16,3253350,'1992-08-24 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241211111431368612575112610166092',NULL,'270',52.40,1,3,NULL),(16,3253368,'1990-12-13 00:00:00',2,1,11,2008,'M','N','VILA PINTO','PALMEIRA MISSõES','RS','120201201216131231438823315122610167047',12847,'9998',43.76,4,3,NULL),(16,3253376,'1991-02-17 00:00:00',4,8,11,2008,'F','N','CENTRO','MAFRA','SC','124162161215111531456933574112610168197',15411,'9998',38.75,1,3,NULL),(16,3253384,'1991-12-09 00:00:00',2,8,12,2008,'F','N','CENTRO','GRAMADO','RS','120201201216161431236721571122610125143',NULL,'9998',0.00,1,3,NULL),(16,3253392,'1989-01-01 00:00:00',4,8,12,2008,'M','N','VILA RAU','JARAGUá SUL','SC','124244247416472431354471445114610167182',13810,'9999',42.04,1,3,NULL),(16,3253414,'1991-05-14 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124243241215221431435632592124610128187',15406,'1022',38.76,1,3,NULL),(16,3253422,'1991-06-14 00:00:00',2,9,12,2008,'M','N','CENTRO','CURITIBANOS','SC','124243244127141251544513396121610168087',14932,'239',39.82,1,3,NULL),(16,3253449,'1986-12-22 00:00:00',4,1,11,2004,'M','N','CAMPINAS','S JOSé','SC','124242241215112741446833495124221457157',4592,'723',59.58,1,3,NULL),(16,3253457,'1991-09-25 00:00:00',2,10,12,2008,'F','N','SANTA LUCIA','CAPIVARI BAIXO','SC','124241241115131431455513292124610128147',NULL,'1034',27.69,1,3,NULL),(16,3253465,'1991-04-09 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215112431389922425122610167043',3927,'270',61.26,1,3,NULL),(16,3253473,'1991-10-14 00:00:00',2,5,12,2008,'F','N','CENTRO','MRO FUMAçA','SC','124242246217141431444612175122610162147',NULL,'995',27.67,1,3,NULL),(16,3253481,'1991-05-22 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124241241137131231424314582124610137057',NULL,'257',25.71,1,2,1),(16,3253490,'1988-07-27 00:00:00',2,8,12,2005,'M','N','CENTRO','APUCARANA','PR','116161161116572431467639591122610134047',NULL,'9998',0.00,1,2,1),(16,3253503,'1962-12-30 00:00:00',2,1,12,1980,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','424203208111273441633546475124141636183',8486,'9998',51.42,1,3,NULL),(16,3253511,'1991-10-14 00:00:00',4,7,11,2008,'F','N','IMPERIAL','CONCóRDIA','SC','124242241215151411368813575122610148147',11929,'1000',45.39,1,3,NULL),(16,3253520,'1989-09-13 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241211472111118679591111131065057',4680,'262',59.35,1,3,NULL),(16,3253546,'1991-03-04 00:00:00',2,1,12,2008,'F','N','SANTINHO','FLORIANóPOLIS','SC','124241241115111412436669595124610124032',NULL,'288',28.63,1,2,1),(16,3253554,'1991-05-15 00:00:00',2,9,11,2008,'F','N','JARDIM MINUANO','S JOAQUIM','SC','124241241415111431667862345122610123072',NULL,'1035',28.73,1,3,NULL),(16,3253562,'1985-10-26 00:00:00',4,1,12,2005,'F','N','AGRONÔMICA','FLORIANóPOLIS','SC','124241241111131751628644241334230223112',NULL,'307',19.84,1,2,1),(16,3253570,'1989-12-06 00:00:00',2,10,12,2007,'F','N','VILA NOVA','IMBITUBA','SC','124243247315162431328824574124610114142',14838,'9999',40.00,1,3,NULL),(16,3253589,'1990-12-10 00:00:00',2,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSé','SC','124242241216112731436614572124610121017',NULL,'723',35.37,1,3,NULL),(16,3253597,'1987-01-24 00:00:00',4,1,12,2004,'F','N','JD EUROPA','SOROCABA','SP','125253251215572441569614574122610167187',1127,'9998',71.30,1,3,NULL),(16,3253600,'1989-09-06 00:00:00',2,2,11,2006,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241135573431334434341124610136187',2623,'69',64.92,1,2,1),(16,3253619,'1983-01-23 00:00:00',2,1,12,2001,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124243241215373431667614442132610167047',NULL,'1134',31.25,1,3,NULL),(16,3253627,'1990-04-11 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124242241215372451457929392114610162181',NULL,'1048',9.96,1,3,NULL),(16,3253635,'1991-08-09 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124242241235111431358829592112610122017',13731,'497',42.20,1,3,NULL),(16,3253643,'1990-12-17 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216112431546833335112610117072',9243,'270',50.17,1,3,NULL),(16,3253651,'1991-09-10 00:00:00',4,4,12,2008,'M','N','MARIA GORETTI','CHAPECó','SC','124244241236111432674923572122610167182',NULL,'168',31.37,1,3,NULL),(16,3253678,'1992-01-02 00:00:00',2,7,11,2008,'M','N','IMIGRANTES','CONCóRDIA','SC','124242241217111411458832475121610147052',6010,'1000',56.33,1,3,NULL),(16,3253686,'1991-05-15 00:00:00',4,9,11,2008,'F','N','SANTA RITA','LAGES','SC','124242241215112431348614472122610144142',NULL,'497',0.00,1,3,NULL),(16,3253694,'1992-04-02 00:00:00',4,2,10,2009,'M','S','VORSTADT','BLUMENAU','SC','124242241215151731488832382122610134042',NULL,'909',38.26,1,3,NULL),(16,3253708,'1991-09-13 00:00:00',4,8,11,2008,'M','N','SãO BRAZ','CURITIBA','PR','116252161235111411568614571124610137062',NULL,'9998',0.00,1,3,NULL),(16,3253716,'1991-02-16 00:00:00',4,2,11,2008,'F','N','VICTOR KONDER','BLUMENAU','SC','124241241137131431533719392124610118097',NULL,'83',22.52,1,2,1),(16,3253724,'1990-09-01 00:00:00',4,1,12,2007,'F','N','PEDRA BRANCA','PALHOçA','SC','124242241217122431589313575122231034092',13434,'1011',42.73,1,3,NULL),(16,3253732,'1991-02-08 00:00:00',4,10,11,2008,'F','N','CENTRO','CAPIVARI BAIXO','SC','124241241215111431338714574124610121027',16425,'809',35.81,2,1,2),(16,3253740,'1990-12-17 00:00:00',4,5,7,2009,'M','S','OPERARIA NOVA','CRICIúMA','SC','124252246216141411159934375124610167052',NULL,'995',38.16,4,3,NULL),(16,3253759,'1992-05-23 00:00:00',4,2,12,2009,'F','S','VELHA CENTRAL','BLUMENAU','SC','124242241215111231456832575124610124012',NULL,'71',30.00,1,3,NULL),(16,3253767,'1990-06-25 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124241241116471451534633315124610137042',15334,'257',38.91,2,1,1),(16,3253775,'1986-11-20 00:00:00',4,8,12,2004,'M','N','JARDIM SATELITE','S JOSé CAMPOS','SP','125252256217471412448614475124610136101',12504,'13',44.37,3,3,NULL),(16,3253791,'1990-12-07 00:00:00',2,5,11,2008,'M','N','CENTRO','URUSSANGA','SC','124242241215121431457914445122610137042',14730,'820',40.21,1,3,NULL),(16,3253805,'1991-11-25 00:00:00',4,1,12,2008,'M','N','MALUCHE','BRUSQUE','SC','124242241217271431469911575122610167042',8856,'981',50.80,1,3,NULL),(16,3253813,'1991-06-07 00:00:00',2,5,12,2008,'F','N','CRISTO REI','IçARA','SC','124243248216121431325734575122610122092',9523,'995',49.68,1,3,NULL),(16,3253821,'1991-08-16 00:00:00',4,1,11,2008,'F','N','JD SANTO ANTONINHO','OSASCO','SP','125252251215111431368824272122610117072',NULL,'9998',27.69,1,3,NULL),(16,3253830,'1992-05-04 00:00:00',2,3,12,2009,'F','S','SãO LUIZ','BRUSQUE','SC','124242241215111431568832575125610124141',NULL,'109',45.39,1,3,NULL),(16,3253864,'1985-10-05 00:00:00',2,1,11,2003,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241216135422336629492124230224097',NULL,'1022',29.89,1,3,NULL),(16,3253872,'1982-04-18 00:00:00',4,1,12,1999,'M','N','KOBRASOL','S JOSé','SC','124242241217153221587644145124421467043',660,'724',74.46,1,3,NULL),(16,3253880,'1985-11-29 00:00:00',2,1,12,2003,'F','N','PRAIA DO SONHO','PALHOçA','SC','124241241136133431238544245234131428177',NULL,'840',0.00,1,2,1),(16,3253902,'1992-01-15 00:00:00',2,9,12,2008,'M','N','CENTRO','CORREIA PINTO','SC','124242241215111431536815255125610127052',NULL,'202',36.03,1,3,NULL),(16,3253910,'1993-05-21 00:00:00',4,9,11,2010,'F','S','CENTRO','CURITIBANOS','SC','124252241214111431336932272122610162097',NULL,'1038',28.70,1,3,NULL),(16,3253953,'1992-01-06 00:00:00',2,4,12,2008,'M','N','CENTRO','S LOURENçO OESTE','SC','124242241117151431238924575115610147052',NULL,'744',25.44,1,3,NULL),(16,3253961,'1991-10-09 00:00:00',4,1,12,2008,'F','N','CERUTTI','STA BáRBARA SUL','RS','120202201216161431338833575124610165097',10460,'9998',47.98,1,3,NULL),(16,3253970,'1991-06-22 00:00:00',4,3,12,2008,'F','N','CENTRO','MEDIANEIRA','PR','116161161316371431426832575122610137012',NULL,'9998',24.32,1,3,NULL),(16,3253988,'1989-06-14 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217573731169713575115610167042',NULL,'752',0.00,1,3,NULL),(16,3253996,'1991-03-28 00:00:00',2,8,12,2008,'F','N','BOA VISTA','JOINVILLE','SC','124242241215111431358632575122610114072',NULL,'456',21.76,1,3,NULL),(16,3254003,'1990-04-16 00:00:00',2,7,12,2008,'M','N','CENTRO','JOAçABA','SC','124242241217111431228821572122610167042',14931,'454',39.82,1,3,NULL),(16,3254011,'1992-11-19 00:00:00',4,4,12,2009,'M','S','ZONA RURAL','TUNáPOLIS','SC','124111242117151431424411575122610132052',NULL,'408',35.53,1,3,NULL),(16,3254020,'1990-03-26 00:00:00',4,1,12,2007,'M','N','ALTO DA BOA VISTA','RIBEIRãO PRETO','SP','125252251215371441368823375112610164127',1667,'9998',68.57,1,3,NULL),(16,3254038,'1991-10-07 00:00:00',2,1,11,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124242241215121412456811575124610132114',11541,'1022',46.09,4,3,NULL),(16,3254046,'1991-03-25 00:00:00',4,4,12,2007,'F','N','SãO CRISTOVãO','CHAPECó','SC','124241241117372431549914342114610126197',6626,'169',55.00,1,2,1),(16,3254054,'1984-02-21 00:00:00',2,1,12,2001,'F','N','SANTA MÔNICA','FLORIANOPOLIS','SC','124242241216153431447612475122233134092',8551,'270',51.34,1,3,NULL),(16,3254062,'1992-03-16 00:00:00',4,1,10,2008,'M','N','CAPITAIS','TIMBó','SC','124244241215111431268821572124610138063',4965,'855',58.69,1,3,NULL),(16,3254089,'1989-03-09 00:00:00',4,1,12,2008,'M','N','MENINO DEUS','JOAçABA','SC','124241241137131451553631215112610117077',NULL,'9997',21.72,4,3,NULL),(16,3254100,'1986-06-11 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124201208112272731126344145124610125145',NULL,'9998',27.71,1,2,1),(16,3254127,'1983-12-21 00:00:00',2,1,12,2006,'F','N','BOM VIVER','BIGUAçU','SC','624241245327131431223354342324610131057',NULL,'734',24.91,2,1,2),(16,3254135,'1990-08-31 00:00:00',2,1,12,2007,'F','N','PEREQUê Açú','UBATUBA','SP','125251251146471431566654175122610128177',NULL,'9998',0.00,1,2,1),(16,3254143,'1991-10-29 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','624241241215111411336613596124610135175',NULL,'1022',37.07,1,3,NULL),(16,3254151,'1991-09-27 00:00:00',4,4,12,2008,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162161216151431468911575122610127082',6089,'9998',56.15,1,3,NULL),(16,3254160,'1990-06-08 00:00:00',4,1,12,2007,'F','N','CENTRO','PATO BRANCO','PR','116164165417372751448834575224140221057',NULL,'9998',0.00,1,3,NULL),(16,3254178,'1990-05-24 00:00:00',4,1,12,2007,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124243241217152451436613435124222364147',8560,'266',51.33,1,3,NULL),(16,3254186,'1991-08-29 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124202241215111431468924571124610127017',5676,'270',57.13,1,3,NULL),(16,3254208,'1991-03-14 00:00:00',4,7,12,2008,'F','N','CENTRO','CAçADOR','SC','124241241317161431456616575115610124097',NULL,'120',25.94,1,3,NULL),(16,3254224,'1990-02-17 00:00:00',4,8,12,2007,'M','N','CENTRO','JANDAIA SUL','PR','116162161216371431436812575122610167012',10469,'9998',47.97,1,3,NULL),(16,3254232,'1988-11-19 00:00:00',2,1,12,2006,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241115372451467924496124610164152',4857,'267',58.96,1,2,1),(16,3254240,'1985-07-30 00:00:00',2,1,12,2002,'F','N','PRAIA COMPRIDA','S JOSé','SC','124241248116474431223336245124610134057',NULL,'732',25.22,1,3,NULL),(16,3254259,'1988-10-03 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124241248212371731447714391122131066182',16192,'9999',36.69,1,3,NULL),(16,3254267,'1986-10-29 00:00:00',2,3,12,2004,'M','N','MEIA PRAIA','ITAPEMA','SC','124243241311111431437331291221133247187',NULL,'407',29.37,3,3,NULL),(16,3254283,'1990-10-14 00:00:00',4,1,12,2007,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124243241111472431559613591124610167072',15480,'271',38.59,1,3,NULL),(16,3254291,'1986-10-24 00:00:00',2,1,12,2003,'F','N','SãO PELEGRINO','CAXIAS SUL','RS','120204201217471431228519372122540263142',NULL,'9998',0.00,1,3,NULL),(16,3254305,'1992-08-28 00:00:00',4,2,12,2009,'F','S','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111431246632575122610124052',NULL,'909',52.37,1,3,NULL),(16,3254313,'1991-10-08 00:00:00',4,1,11,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217121431237627585125610132041',NULL,'262',39.38,1,3,NULL),(16,3254321,'1991-10-09 00:00:00',4,2,11,2008,'F','N','CENTRO','TROMBUDO CENTRAL','SC','124244241215112531439532212124610165062',7108,'9997',54.09,1,3,NULL),(16,3254330,'1986-04-22 00:00:00',4,1,12,2003,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241217152411246923345124120867042',14863,'273',39.96,1,3,NULL),(16,3254348,'1992-03-03 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241217111311448933572112610162072',13186,'262',43.17,1,3,NULL),(16,3254356,'1991-08-20 00:00:00',4,1,11,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124252253217121431468924345124610127117',NULL,'9998',0.00,1,3,NULL),(16,3254364,'1990-12-27 00:00:00',2,1,11,2008,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242248215111451446833292123610137052',NULL,'1014',26.37,1,3,NULL),(16,3254372,'1991-03-22 00:00:00',4,2,12,2008,'M','N','BOA VISTA','RIO SUL','SC','124241241116131231323411274124610167047',NULL,'659',34.45,1,2,1),(16,3254380,'1991-06-28 00:00:00',4,1,12,2008,'M','N','GRANJA VIANA','CARAPICUíBA','SP','125252251217271711577921475124610164052',1682,'9998',68.50,1,3,NULL),(16,3254399,'1991-06-05 00:00:00',4,1,12,2008,'M','N','VILA RICA','CPO GRANDE','MS','112122121217151411378614582112610164052',1873,'9998',67.70,1,3,NULL),(16,3254402,'1991-03-13 00:00:00',4,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242241215111411438813592122610133142',6321,'491',55.64,1,3,NULL),(16,3254410,'1991-07-03 00:00:00',2,4,12,2008,'F','N','CENTRO','GUARUJá SUL','SC','124241241316131321326519342122610166077',NULL,'339',20.32,1,3,NULL),(16,3254429,'1990-03-05 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215473441467511572112610124171',2748,'270',64.57,1,3,NULL),(16,3254437,'1988-05-21 00:00:00',4,1,6,2006,'M','N','AREIAS','S JOSé','SC','124244241317131231526511242113610137042',14810,'9999',40.04,1,3,NULL),(16,3254453,'1991-03-27 00:00:00',4,8,11,2008,'F','N','VILA LEOPOLDINA','S PAULO','SP','125252251214111732469934575125610167037',7118,'9998',54.07,3,3,NULL),(16,3254461,'1992-07-06 00:00:00',4,1,12,2009,'F','S','STO ANTONIO DE LISB','FLORIANóPOLIS','SC','124244241215111431569933572122610131092',NULL,'883',70.08,1,3,NULL),(16,3254470,'1992-05-11 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217151531488811475112610167117',NULL,'262',29.12,1,3,NULL),(16,3254488,'1991-08-06 00:00:00',4,1,12,2008,'M','N','PQ DAS ANDORINHAS','RIBEIRãO PRETO','SP','125253251215151731556639575112610124182',10581,'9998',47.77,1,3,NULL),(16,3254496,'1991-05-27 00:00:00',2,2,11,2008,'M','N','RIBEIRÃO FRESCO','BLUMENAU','SC','124242241215131211443312215112610112127',9086,'87',50.44,1,3,NULL),(16,3254500,'1989-12-12 00:00:00',2,1,12,2006,'M','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','124242241215373431336833575124610122187',9823,'260',49.11,1,3,NULL),(16,3254518,'1991-07-21 00:00:00',4,1,1,2009,'M','N','JARDIM SANTA Fé','SOROCABA','SP','125252251212111431268812342112610162127',NULL,'9998',0.00,3,3,NULL),(16,3254526,'1990-02-23 00:00:00',2,1,12,2007,'F','N','JD DAS INDúSTRIAS','S JOSé CAMPOS','SP','125254251215471431538731572124610123142',4560,'9998',59.65,1,3,NULL),(16,3254534,'1986-11-28 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241122374421333344345124222914015',12816,'702',43.82,1,2,1),(16,3254550,'1991-12-04 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241215112431458831574114610122192',9064,'270',50.48,1,3,NULL),(16,3254569,'1990-06-11 00:00:00',4,2,11,2008,'M','N','CHACARA CACHOEIRA','CPO GRANDE','MS','112122121212151431338813472122610117012',NULL,'9998',0.00,1,3,NULL),(16,3254577,'1985-05-23 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241247341152411356823342124610116155',15368,'9999',38.84,1,3,NULL),(16,3254585,'1993-01-22 00:00:00',4,1,12,2010,'F','S','BOM ABRIGO','FLORIANóPOLIS','SC','124242241217121431579914596122610136142',NULL,'270',26.48,1,3,NULL),(16,3254593,'1961-07-17 00:00:00',4,1,12,1978,'F','N','CENTRO','FLORIANóPOLIS','SC','524242246217373311456649392112322661195',9909,'738',48.93,1,3,NULL),(16,3254607,'1989-10-17 00:00:00',4,1,9,2007,'M','N','SERRARIA','S JOSé','SC','124243241347131431336634245124610167142',NULL,'9997',0.00,1,3,NULL),(16,3254615,'1991-05-17 00:00:00',4,1,11,2007,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241215473431458833575114131812121',4825,'270',59.02,1,3,NULL),(16,3254623,'1992-09-14 00:00:00',2,1,12,2009,'F','S','MORRO DA BINA','BIGUAçU','SC','124242241115111511468632575122610114142',NULL,'738',20.49,1,3,NULL),(16,3254640,'1989-02-25 00:00:00',4,1,12,2005,'M','N','HUMAITA','PTO ALEGRE','RS','120202203236571431479933391124610137042',3578,'9998',62.14,1,3,NULL),(16,3254658,'1991-01-29 00:00:00',4,1,12,2008,'M','N','PARQUE INDUSTRIAL','S JOSé CAMPOS','SP','125252257216471431438833395121610164117',4615,'9999',59.52,1,3,NULL),(16,3254666,'1991-02-19 00:00:00',2,5,11,2008,'F','N','CENTRO','TURVO','SC','124242241215151431424413295125610126072',15088,'813',39.45,1,3,NULL),(16,3254674,'1991-05-23 00:00:00',4,1,12,2008,'F','N','GARCIA','ANGELINA','SC','124241241115131431633139272224610147052',NULL,'17',28.96,1,2,1),(16,3254682,'1991-07-16 00:00:00',4,1,11,2008,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124244241215111431379911574124610144041',424,'270',76.52,4,3,NULL),(16,3254690,'1986-05-11 00:00:00',4,9,12,2004,'F','N','DOIS PINHEIROS','VIDEIRA','SC','124241241145572431445511282212610118042',5219,'831',58.07,4,2,1),(16,3254704,'1991-08-23 00:00:00',4,8,11,2008,'M','N','ATIRADORES','JOINVILLE','SC','124241241317131411527811212225610164181',16108,'465',36.91,1,3,NULL),(16,3254712,'1990-01-03 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIúMA','SC','124242241217371331629631576112610134057',NULL,'213',32.73,1,3,NULL),(16,3254720,'1991-11-07 00:00:00',4,1,12,2008,'M','N','JD ANA MARIA','SOROCABA','SP','125254251216131431468533215122610161127',NULL,'9998',0.00,1,3,NULL),(16,3254739,'1992-11-28 00:00:00',4,1,12,2009,'M','S','CARIANOS','FLORIANóPOLIS','SC','124242241217271231558814596124610167027',NULL,'1023',52.12,1,3,NULL),(16,3254747,'1991-02-06 00:00:00',4,1,12,2008,'M','N','VILA NOVA SOCORRO','MOGI CRUZES','SP','125252251215221431578912475122610166117',9543,'9998',49.64,1,3,NULL),(16,3254755,'1992-03-13 00:00:00',4,5,12,2008,'F','N','CENTRO','ORLEANS','SC','124242241215121431356923475122610128072',13002,'820',43.50,1,3,NULL),(16,3254763,'1985-08-23 00:00:00',4,1,12,2003,'M','N','GUARA','CAMPINAS','SP','125252251216572431569811171122610162072',4688,'9998',59.35,1,3,NULL),(16,3254771,'1989-10-02 00:00:00',4,1,12,2007,'F','N','CENTRO','S SEBASTIãO PARAíSO','MG','113132251215471431468812575122610163152',NULL,'9998',0.00,1,3,NULL),(16,3254780,'1991-02-01 00:00:00',4,8,11,2008,'F','N','AMERICA','JOINVILLE','SC','124242241215111431589912574122610123182',4648,'461',59.44,1,3,NULL),(16,3254798,'1984-12-11 00:00:00',2,1,12,2001,'F','N','SACO DOS LIMÕES','FLORIANóPOLIS','SC','124251258115272731323644442334613247057',NULL,'9998',20.21,1,2,1),(16,3254801,'1992-02-04 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241415111431426733595124610112047',16282,'300',36.42,1,3,NULL),(16,3254810,'1985-10-24 00:00:00',4,1,12,2003,'M','N','CENTRO','PTO ALEGRE','RS','120201201147271431458937372124143232097',NULL,'9998',28.60,1,2,1),(16,3254836,'1988-05-23 00:00:00',4,1,12,2005,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215575431369913575124230267091',5881,'262',56.62,1,3,NULL),(16,3254844,'1990-08-14 00:00:00',4,1,12,2007,'M','N','HAMBURGO VELHO','NOVO HAMBURGO','RS','120202201217471431479936575122610162172',1287,'9998',70.47,1,3,NULL),(16,3254852,'1991-09-28 00:00:00',2,1,12,2008,'F','N','CENTRO','S BONIFáCIO','SC','124241241126161421434634575121610167142',NULL,'702',22.66,1,2,1),(16,3254860,'1991-06-03 00:00:00',4,8,12,2008,'M','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241116131131458914575112610127047',NULL,'146',0.00,1,2,1),(16,3254879,'1991-08-06 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217211431468633575122610112142',10513,'1022',47.89,1,3,NULL),(16,3254887,'1992-04-12 00:00:00',4,10,10,2009,'F','S','CENTRO','TUBARãO','SC','124242241215111431487832575122610137072',NULL,'806',28.41,1,3,NULL),(16,3254895,'1992-12-02 00:00:00',2,1,12,2009,'F','S','FORQUILHINHAS','S JOSé','SC','124242241215111431338633582122610121077',NULL,'944',31.68,1,3,NULL),(16,3254909,'1991-08-26 00:00:00',4,2,12,2009,'F','S','FLORESTA','RIO CAMPO','SC','124241241127161431333614231125610121147',NULL,'651',22.39,1,3,NULL),(16,3254917,'1991-02-02 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124212241217111431469933431121610124182',NULL,'262',38.88,1,3,NULL),(16,3254925,'1991-05-12 00:00:00',2,5,12,2008,'F','N','MICHEL','CRICIúMA','SC','124242241215221711436819395112610138072',14762,'226',40.15,1,3,NULL),(16,3254933,'1992-10-12 00:00:00',4,1,11,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124242241216171431347824595124610132022',NULL,'270',33.73,1,3,NULL),(16,3254941,'1992-09-08 00:00:00',4,4,12,2008,'M','N','CENTRO','SERTãO','RS','120201201117151431339813272122610118192',1606,'9998',68.88,1,2,1),(16,3254950,'1991-08-23 00:00:00',2,1,12,2008,'M','N','NOSSA SENHORA DO ROS','S JOSé','SC','124242241215121111369613575114610124085',9011,'1022',50.56,4,3,NULL),(16,3254976,'1978-08-06 00:00:00',2,1,12,2003,'F','N','BARREIROS','S JOSé','SC','124241245122132711633314135124142734092',NULL,'734',20.81,4,1,1),(16,3254984,'1990-04-19 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241216472431436539372124230262147',602,'226',74.93,1,3,NULL),(16,3254992,'1992-10-08 00:00:00',2,9,12,2009,'F','S','EUGêNIO SCHNEIDER','RIO SUL','SC','124242241215111431456813282125610167012',NULL,'991',51.68,1,3,NULL),(16,3255000,'1991-09-19 00:00:00',4,2,11,2008,'M','N','VELHA','BLUMENAU','SC','124242241217111731466721594124610168142',4408,'71',59.99,1,3,NULL),(16,3255018,'1990-03-16 00:00:00',4,1,12,2007,'M','N','CASTELO BRANCO NOVO','RIBEIRãO PRETO','SP','125252251215471411437731575114610122042',8511,'9998',51.39,1,3,NULL),(16,3255026,'1991-03-24 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241117131431643371272122610111147',NULL,'257',19.59,1,3,NULL),(16,3255034,'1989-02-24 00:00:00',2,1,12,2006,'M','N','RIO BRANCO','SAO LEOPOLDO','RS','120201206117131421628643235121141424116',9444,'9998',49.82,1,3,NULL),(16,3255042,'1991-08-21 00:00:00',4,10,11,2008,'F','N','CENTRO','TUBARãO','SC','124242241215112431428811595114610128147',10582,'270',47.77,4,3,NULL),(16,3255050,'1990-06-26 00:00:00',4,1,12,2007,'M','N','BOSQUE DA SAUDE','CUIABA','MT','111112111217471731459933475114610122142',2835,'9998',64.27,4,3,NULL),(16,3255069,'1979-12-02 00:00:00',2,1,12,2004,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','224241247142155721345641214122221822197',12835,'9999',43.79,1,2,1),(16,3255077,'1992-08-30 00:00:00',4,1,12,2009,'M','S','SACO DOS LIMõES','FLORIANóPOLIS','SC','124244241217111431466613575122610164172',NULL,'270',16.99,1,3,NULL),(16,3255085,'1987-11-10 00:00:00',2,1,12,2004,'F','N','JOSé MENDES','FLORIANóPOLIS','SC','124241241115113711444614241124610112197',16081,'286',36.99,1,2,1),(16,3255093,'1978-01-15 00:00:00',4,1,12,1995,'M','N','INGLESES','FLORIANóPOLIS','SC','124242241214155431479933285124122362111',NULL,'260',35.10,1,3,NULL),(16,3255107,'1990-12-09 00:00:00',4,1,11,2008,'M','N','SAO JOAO','ITAPEVI','SP','125252251217471421358814242112610161067',NULL,'9998',40.94,1,3,NULL),(16,3255123,'1992-05-29 00:00:00',4,1,12,2008,'F','N','CENTRO','PALHOçA','SC','124242241217152451457933576115610163077',11508,'1075',46.15,4,3,NULL),(16,3255131,'1989-05-14 00:00:00',4,2,12,2006,'M','N','NAçõES','TIMBó','SC','124251241117151431556714575114610124172',NULL,'84',0.00,1,3,NULL),(16,3255140,'1991-10-29 00:00:00',4,1,12,2009,'F','S','TRINDADE','FLORIANóPOLIS','SC','124242248215111731436833575124610144075',NULL,'1022',26.45,1,3,NULL),(16,3255158,'1991-04-19 00:00:00',2,5,12,2008,'M','N','POVOAçãO DA BARRA','S JOSé NORTE','RS','120201201116161431446613575124610167057',NULL,'9998',29.20,4,2,1),(16,3255174,'1991-10-23 00:00:00',4,7,11,2008,'F','N','CENTRO','CONCóRDIA','SC','124242241211111531348832572122610167017',NULL,'1000',23.75,1,3,NULL),(16,3255182,'1989-01-04 00:00:00',4,1,12,2006,'F','N','PERDIZES','S PAULO','SP','125252251217571431489814572122610122092',1381,'9998',69.95,1,3,NULL),(16,3255190,'1991-07-03 00:00:00',4,2,11,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','116243161217111431437823575124610131017',NULL,'9998',26.82,1,3,NULL),(16,3255204,'1989-10-14 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSé','SC','124241241125471731626314242114610125182',NULL,'730',29.66,1,3,NULL),(16,3255212,'1991-09-08 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241117131451423314572344610168042',NULL,'592',29.57,1,3,NULL),(16,3255220,'1991-04-16 00:00:00',2,8,12,2008,'M','N','JARDIM APUCARANA','APUCARANA','PR','116162161212111731643519595122610167182',NULL,'9998',39.99,1,3,NULL),(16,3255239,'1991-06-12 00:00:00',4,4,12,2008,'F','N','FREI BRUNO','XAXIM','SC','124241241116131431433923335122610124147',NULL,'847',25.92,1,2,1),(16,3255247,'1991-08-20 00:00:00',2,1,12,2008,'F','N','CENTRO','NOVA TRENTO','SC','124241241215111431447613432122610121147',7488,'981',53.34,1,3,NULL),(16,3255271,'1990-01-27 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241212273311246629592114221964182',927,'270',72.53,3,3,NULL),(16,3255280,'1991-06-04 00:00:00',4,8,11,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241215112732533874272124610163147',3228,'1016',63.21,1,3,NULL),(16,3255298,'1991-01-03 00:00:00',4,1,12,2007,'F','N','BOM FIM','PTO ALEGRE','RS','120202201216271411448831215114610143182',11662,'9998',45.89,1,3,NULL),(16,3255301,'1990-04-21 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241112131731335334345122610127147',NULL,'287',25.12,1,2,1),(16,3255310,'1990-08-30 00:00:00',2,1,11,2008,'F','N','JARDIM AQUARIOS','PALHOçA','SC','124243241215131431233324342124130733097',NULL,'1075',18.84,1,3,NULL),(16,3255328,'1987-11-17 00:00:00',4,2,12,2004,'F','N','MASSARANDUBA BAIXO','MASSARANDUBA','SC','124241241126371731454615245124231424142',NULL,'555',0.00,1,2,1),(16,3255336,'1991-12-15 00:00:00',4,4,12,2008,'M','N','INTERIOR','XAXIM','SC','124241241117151431346635572124610144197',8531,'846',51.37,1,2,1),(16,3255352,'1987-10-19 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124244247247273431125921445112610167092',NULL,'9999',37.84,1,3,NULL),(16,3255360,'1989-03-16 00:00:00',4,8,12,2006,'M','N','JARDIM SALESSI','ITATIBA','SP','125252251215571411479914575122610126092',1255,'9998',70.64,1,3,NULL),(16,3255379,'1991-07-15 00:00:00',2,7,11,2008,'M','N','CENTRO','JOAçABA','SC','124241241415111431433652212122610118052',NULL,'962',33.34,1,3,NULL),(16,3255395,'1991-02-23 00:00:00',4,2,12,2008,'M','N','ESCOLA AGRíCOLA','BLUMENAU','SC','124241241215111751556614281124610167144',13407,'87',42.79,1,3,NULL),(16,3255417,'1978-12-26 00:00:00',4,2,12,2008,'M','N','PINHEIRO','LONTRAS','SC','124241241124131211333335143343610168047',NULL,'535',0.00,1,3,NULL),(16,3255425,'1992-12-23 00:00:00',4,2,12,2009,'F','S','VORSTADT','BLUMENAU','SC','124242241212111431468834572122610133187',NULL,'71',0.00,1,3,NULL),(16,3255433,'1990-08-22 00:00:00',2,1,11,2007,'F','N','INGLESES DO RIO VERM','FLORIANóPOLIS','SC','124244241116142431466613342124610142091',12908,'271',43.66,1,3,NULL),(16,3255441,'1991-04-03 00:00:00',4,2,12,2008,'M','N','GARCIA','BLUMENAU','SC','124242241215111431469712395124610124072',3689,'909',61.84,1,3,NULL),(16,3255450,'1992-04-16 00:00:00',4,1,11,2008,'M','N','CZERNIEWCZ','JARAGUá SUL','SC','124241241215111431236922295121610127047',9161,'1061',50.30,1,3,NULL),(16,3255468,'1991-04-17 00:00:00',2,1,12,2008,'M','N','FLOR DE NAPOLIS','S JOSé','SC','124241241112151432533623345124610127042',NULL,'733',26.93,1,2,1),(16,3255476,'1992-08-23 00:00:00',4,1,11,2008,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124243241115111232366823572121610127055',10699,'271',47.56,1,3,NULL),(16,3255484,'1991-08-16 00:00:00',4,1,11,2008,'M','N','CENTRO','IMBITUBA','SC','124241241116461721436934235124612227117',NULL,'1034',21.13,1,3,NULL),(16,3255492,'1990-10-22 00:00:00',4,1,12,2008,'F','N','BQ DOS EUCALIPTOS','S JOSé CAMPOS','SP','125252251217111431468814574122610125127',3326,'9998',62.91,3,3,NULL),(16,3255506,'1991-06-24 00:00:00',4,9,11,2008,'F','N','SAGRADO CORAçAO DE J','LAGES','SC','124243241116311411456711575122610163012',NULL,'498',37.49,1,3,NULL),(16,3255514,'1989-04-17 00:00:00',2,10,12,2006,'M','N','BRACATINGA','PRUDENTóPOLIS','PR','116162161216271431467612125132140228042',NULL,'9998',0.00,1,3,NULL),(16,3255522,'1992-07-14 00:00:00',4,1,11,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124242241212111431568813374122610123182',NULL,'270',42.44,1,3,NULL),(16,3255549,'1991-04-22 00:00:00',4,10,11,2008,'M','N','SãO JOãO','TUBARãO','SC','124244241215112431336931575112610118042',16005,'807',37.23,1,3,NULL),(16,3255557,'1989-10-04 00:00:00',4,1,12,2008,'M','N','NEGRãO DE LIMA','GOIâNIA','GO','109092091216111431537711412122610167042',NULL,'9998',32.04,4,3,NULL),(16,3255565,'1989-06-16 00:00:00',2,1,12,2007,'M','N','CARIANOS','FLORIANóPOLIS','SC','124242241317112531246923575124610127112',8578,'270',51.30,1,3,NULL),(16,3255581,'1990-03-06 00:00:00',4,1,12,2007,'F','N','PINHEIROS','S PAULO','SP','125242241215372411378734245124610121102',1909,'883',67.55,1,3,NULL),(16,3255590,'1991-05-01 00:00:00',2,1,12,2008,'F','N','BELA VISTA','PALHOçA','SC','124244241217122731443434572124610137147',7321,'262',53.68,1,3,NULL),(16,3255603,'1991-05-11 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431588823575122610127045',8678,'270',51.11,1,3,NULL),(16,3255611,'1990-03-08 00:00:00',4,1,12,2007,'F','N','MONTE ALEGRE','RIBEIRãO PRETO','SP','125252251215471431457631575114610124042',15645,'9998',38.20,1,3,NULL),(16,3255620,'1989-07-18 00:00:00',4,1,12,2007,'M','N','JARDIM ELITE','PIRACICABA','SP','125252251417472231468814575112610127047',1721,'9998',68.34,1,3,NULL),(16,3255638,'1988-05-05 00:00:00',4,5,12,2007,'M','N','VILA JARDIM','PTO ALEGRE','RS','120201207116571431438829475124610164097',NULL,'9998',42.00,1,2,1),(16,3255646,'1991-03-12 00:00:00',4,1,12,2008,'M','N','JARDIM COLINA VERDE','GOIOERê','PR','116162161217211441438711244122610137012',NULL,'9998',0.00,1,3,NULL),(16,3255654,'1990-02-23 00:00:00',4,8,11,2007,'M','N','CENTRO','CURITIBA','PR','116162161217471431378912375122610162182',NULL,'9998',0.00,1,3,NULL),(16,3255662,'1970-01-01 00:00:00',2,1,12,1987,'M','N','CARIANOS','FLORIANóPOLIS','SC','624251251122374721343343232133120827043',3100,'9998',63.53,4,2,1),(16,3255689,'1991-03-04 00:00:00',2,9,12,2008,'M','N','UNIVERSITARIO','LAGES','SC','124241241115141731559933575122610122092',NULL,'513',20.49,1,2,1),(16,3255697,'1992-08-03 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241217111711448833595124610113052',NULL,'1022',24.68,1,3,NULL),(16,3255719,'1991-12-31 00:00:00',4,7,12,2008,'M','N','CENTRO','IOMERê','SC','124254241435111231668911574122610164097',NULL,'969',0.00,1,3,NULL),(16,3255727,'1991-06-19 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241116151231423623475124610124077',NULL,'9997',19.44,1,2,1),(16,3255735,'1990-03-20 00:00:00',4,4,12,2007,'F','N','CENTRO','FREDERICO WESTPHALEN','RS','116201201114151431333332595124610137057',11728,'9998',45.77,1,2,1),(16,3255743,'1991-03-06 00:00:00',4,8,12,2008,'M','N','ILHA DA FIGUEIRA','JARAGUá SUL','SC','124241241235111431433624291121610125042',NULL,'442',0.00,1,3,NULL),(16,3255751,'1991-07-12 00:00:00',4,2,12,2008,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215131431549832572122610123147',5291,'855',57.88,1,3,NULL),(16,3255760,'1991-05-23 00:00:00',4,6,12,2008,'M','N','VILA NOVA','JARAGUá SUL','SC','124242241216111431468732575121610147112',NULL,'424',22.08,1,3,NULL),(16,3255778,'1991-01-30 00:00:00',2,1,12,2008,'M','N','SãO SEBASTIãO','PALHOçA','SC','124244241215111531326632572124610164145',NULL,'1011',36.56,1,3,NULL),(16,3255794,'1980-03-26 00:00:00',4,1,12,1997,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241116372431123544442334610126042',NULL,'812',27.03,1,2,1),(16,3255808,'1991-11-03 00:00:00',4,10,11,2008,'M','N','VILA NOVA','IMBITUBA','SC','124241241215111431468713574112610164187',4729,'807',59.24,1,3,NULL),(16,3255816,'1992-02-08 00:00:00',4,4,12,2008,'M','N','NOVA ESTRELA','ARABUTã','SC','124241246117151432348919492122610142142',2437,'196',65.57,1,2,1),(16,3255824,'1988-04-21 00:00:00',4,1,12,2005,'M','N','JARDIM LUANDA','S PAULO','SP','125252251436571431458712575112610112042',NULL,'9998',0.00,1,3,NULL),(16,3255832,'1991-06-12 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124241241117131731456513572122610168157',NULL,'732',24.62,1,2,1),(16,3255840,'1991-12-11 00:00:00',2,10,11,2008,'F','N','ABISCINIA','BRAçO NORTE','SC','124241241135141311623633246111610117041',NULL,'100',0.00,1,2,1),(16,3255859,'1990-05-13 00:00:00',4,5,12,2007,'F','N','BARRACãO','BENTO GONçALVES','RS','120203201217472731439931315114610124077',9831,'9998',49.10,1,3,NULL),(16,3255867,'1991-06-19 00:00:00',2,1,12,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241135131231433314342121610127042',NULL,'772',31.74,1,2,1),(16,3255875,'1992-06-20 00:00:00',4,2,12,2009,'F','S','SANTA CECILIA','PTO ALEGRE','RS','120162201216111732433812592124610167077',NULL,'9998',0.00,1,3,NULL),(16,3255883,'1977-12-06 00:00:00',2,1,11,1998,'M','N','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','624161166126151441228849192123143237185',8184,'9998',52.05,1,3,NULL),(16,3255891,'1991-02-07 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241137131431634335292214610134076',NULL,'298',23.95,1,2,1),(16,3255905,'1977-06-21 00:00:00',4,1,12,1994,'M','N','KOBRASOL','S JOSé','SC','224242241116414221266844545122331526092',NULL,'498',36.20,1,3,NULL),(16,3255930,'1991-01-10 00:00:00',2,4,11,2008,'F','N','CENTRO','FREDERICO WESTPHALEN','RS','120203201117111331437931575122610124012',NULL,'9998',0.00,1,3,NULL),(16,3255956,'1992-07-24 00:00:00',4,1,11,2009,'M','S','EUGêNIO SCHNEIDER','RIO SUL','SC','124242241217151732448933574121610164052',NULL,'959',42.04,1,3,NULL),(16,3255964,'1991-02-10 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215271411559912571114610132192',15009,'262',39.62,1,3,NULL),(16,3255980,'1991-05-22 00:00:00',4,5,11,2008,'M','N','CENTRO','FORQUILHINHA','SC','124242241215221431236624575124610167112',16546,'226',35.22,1,3,NULL),(16,3255999,'1990-12-07 00:00:00',2,2,12,2008,'F','N','CENTRO','ITUPORANGA','SC','124241241135141731444612235122610127052',14384,'416',40.91,1,3,NULL),(16,3256006,'1990-07-23 00:00:00',2,6,12,2008,'F','N','DOM BOSCO','ITAJAí','SC','124246241235131431338639235125610162147',12408,'388',44.53,1,3,NULL),(16,3256014,'1990-11-15 00:00:00',2,8,12,2007,'F','N','BAEPENDI','JARAGUá SUL','SC','124244241215572431566619574124610167097',2371,'422',65.81,1,3,NULL),(16,3256022,'1991-03-11 00:00:00',2,1,12,2008,'F','N','COOPERLOTES','PAULíNIA','SP','125254251212131431427811472324610134117',10952,'9998',47.11,1,3,NULL),(16,3256030,'1991-06-08 00:00:00',4,5,12,2008,'M','N','CENTRO','TURVO','SC','124242241215271431448912372122610117112',NULL,'27',0.00,1,3,NULL),(16,3256049,'1986-12-22 00:00:00',4,1,12,2004,'M','N','DUQUE DE CAXIAS II','CUIABá','MT','111111111217372431589811495122143267092',NULL,'9998',0.00,1,3,NULL),(16,3256057,'1992-01-23 00:00:00',4,5,11,2009,'F','S','JARDIM SILVANA','IçARA','SC','124242241211111111344434372122610117077',NULL,'213',17.38,4,3,NULL),(16,3256065,'1991-10-20 01:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215371431248923592122610113097',NULL,'262',25.81,1,3,NULL),(16,3256081,'1988-12-09 00:00:00',3,1,11,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124243241315131431648514346124610133052',NULL,'300',35.97,1,3,NULL),(16,3256090,'1988-08-24 00:00:00',4,1,12,2005,'M','N','KOBRASOL','S JOSé','SC','124241241217134721448711245114610167053',NULL,'1076',24.34,1,3,NULL),(16,3256103,'1991-08-03 00:00:00',4,3,12,2008,'F','N','VILA RUBI','S JOSé CAMPOS','SP','125252251215222531289912572122610145092',5078,'9998',58.44,1,3,NULL),(16,3256111,'1971-02-20 00:00:00',4,1,12,1987,'M','N','SANTA MONICA','FLORIANóPOLIS','SC','224242241116134421578644245132220267182',NULL,'262',0.00,1,3,NULL),(16,3256120,'1991-07-12 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242248212371531477832275125610118157',NULL,'738',20.46,1,3,NULL),(16,3256138,'1990-03-28 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECó','SC','124241241416372431444833575122610162077',NULL,'1046',0.00,1,3,NULL),(16,3256146,'1991-06-12 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124243241212151411658612572124610167072',NULL,'1010',32.23,1,3,NULL),(16,3256154,'1991-06-23 00:00:00',4,5,12,2008,'F','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124244241216111731439614442122610127142',9411,'995',49.88,1,3,NULL),(16,3256162,'1990-09-30 00:00:00',4,1,12,2008,'M','N','FáTIMA','PANAMBI','RS','120202201217161431349821575124610162042',4230,'9998',60.42,1,3,NULL),(16,3256170,'1988-06-19 00:00:00',4,8,12,2005,'F','N','SAGUAçU','JOINVILLE','SC','124244241412574431459634313124222634042',677,'457',74.36,1,3,NULL),(16,3256189,'1992-12-17 00:00:00',4,6,12,2009,'M','S','PRAIA DOS AMORES','BAL CAMBORIú','SC','124242241215111711488931575114610124172',NULL,'1026',50.56,1,3,NULL),(16,3256197,'1991-01-17 00:00:00',2,5,10,2008,'F','N','COMERCIARIO','CRICIúMA','SC','124242241215121431448934575112610138122',NULL,'226',10.92,1,3,NULL),(16,3256200,'1992-06-25 00:00:00',2,10,12,2009,'M','S','TERMAS','GRAVATAL','SC','124243241236111431338634581111610167052',NULL,'807',46.32,1,3,NULL),(16,3256219,'1991-01-09 00:00:00',4,1,11,2007,'M','N','PARAGEM DOS VERDES C','GRAVATAí','RS','120204201216271411539931571114140464187',6549,'9998',55.17,1,3,NULL),(16,3256227,'1991-01-15 00:00:00',4,3,12,2008,'M','N','VILA GENY','LORENA','SP','125252251217151431469633572111610167042',5089,'9998',58.42,1,3,NULL),(16,3256235,'1987-08-03 00:00:00',2,1,12,2006,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124243241112271431328339445124610133182',NULL,'286',22.28,1,3,NULL),(16,3256243,'1990-09-04 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215112431477933572122230264142',408,'270',76.72,1,3,NULL),(16,3256251,'1991-08-21 00:00:00',4,8,12,2008,'F','N','VIEIRAS','JARAGUá SUL','SC','124242241215121731337634575122610163157',8773,'1061',50.95,1,3,NULL),(16,3256260,'1991-03-10 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124244241215211431476632345122610122141',NULL,'976',24.07,1,3,NULL),(16,3256278,'1981-11-27 00:00:00',4,1,12,2003,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124243247337134111459833441113610127045',NULL,'9999',24.07,1,3,NULL),(16,3256286,'1991-08-08 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241248136111431633314245121610137047',NULL,'592',36.10,1,2,1),(16,3256294,'1992-10-14 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124242241216111531488614572122610123145',NULL,'1134',41.36,1,3,NULL),(16,3256308,'1989-05-24 00:00:00',4,5,12,2006,'F','N','CRUZEIRO DO SUL','CRICIúMA','SC','124242241215573431328831282224131047097',5305,'213',57.86,1,3,NULL),(16,3256316,'1991-06-26 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111431459933572124610137097',NULL,'273',27.98,1,3,NULL),(16,3256332,'1987-07-06 00:00:00',2,3,12,2004,'M','N','CENTRO','CASTRO','PR','116162161217271431374315595122140367063',NULL,'9998',0.00,4,3,NULL),(16,3256340,'1991-04-20 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124243241115271431559613575124610127182',3930,'271',61.25,1,3,NULL),(16,3256359,'1991-02-07 00:00:00',4,3,12,2008,'F','N','SANTO INáCIO','STA CRUZ SUL','RS','120204201211471431558934371124610142142',6523,'9998',55.23,1,3,NULL),(16,3256367,'1993-12-18 00:00:00',4,1,12,2010,'M','S','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215111411456812572124610134142',NULL,'723',50.91,1,3,NULL),(16,3256383,'1992-06-19 00:00:00',4,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241217111431457712324124610135112',NULL,'270',34.50,1,3,NULL),(16,3256391,'1992-08-29 00:00:00',4,1,12,2009,'F','S','AREIAS','S JOSé','SC','124243241215111411477611485114610154192',NULL,'976',48.66,1,3,NULL),(16,3256405,'1990-02-24 00:00:00',4,1,12,2007,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241211472431469813575124610127052',2059,'262',66.94,1,3,NULL),(16,3256413,'1988-06-20 00:00:00',4,8,11,2008,'M','N','CIRO NARDI','CASCAVEL','PR','116163161336171431358632341114610134177',15979,'9998',37.28,1,3,NULL),(16,3256421,'1991-03-14 00:00:00',2,10,12,2008,'F','N','LOMBA','ORLEANS','SC','124241248315131431426513235123610143057',NULL,'950',22.00,1,3,NULL),(16,3256430,'1990-11-05 00:00:00',4,1,12,2007,'M','N','CANUDOS','NOVO HAMBURGO','RS','120203201217471431566832315124610122057',1389,'9998',69.88,1,3,NULL),(16,3256448,'1989-07-24 00:00:00',4,1,11,2007,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215472431357823575114610167047',955,'270',72.30,1,3,NULL),(16,3256456,'1991-04-12 00:00:00',2,1,12,2008,'F','N','JURERE INTERNACIONAL','FLORIANóPOLIS','SC','124282241215151431468832575114610131047',NULL,'1048',25.37,1,3,NULL),(16,3256464,'1984-03-08 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANóPOLIS','SC','224131131116141411156553435114341031095',NULL,'9998',0.00,1,2,1),(16,3256472,'1990-06-11 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124242241216272431337439345124230228077',11544,'272',46.09,1,3,NULL),(16,3256480,'1990-12-17 00:00:00',4,2,11,2008,'M','N','CENTRO','RIO SUL','SC','124242241215131431556629575122610128142',1678,'663',68.51,1,3,NULL),(16,3256499,'1992-08-03 00:00:00',4,1,11,2009,'M','S','CACUPé','FLORIANóPOLIS','SC','124242241215111432468833575124610127047',NULL,'270',50.91,1,3,NULL),(16,3256502,'1993-01-20 00:00:00',4,4,12,2009,'M','S','JARDIM','CONCóRDIA','SC','124243241217111731439614495122610127012',NULL,'1000',48.96,1,3,NULL),(16,3256529,'1990-05-07 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215472431568814445124131417112',7195,'1022',53.92,1,3,NULL),(16,3256537,'1990-03-10 00:00:00',4,1,11,2008,'M','N','COQUIROS','FLORIANóPOLIS','SC','124242241215112431457923484124610127015',15851,'270',37.63,1,3,NULL),(16,3256545,'1989-03-28 00:00:00',4,10,12,2006,'M','N','VILA MOEMA','TUBARãO','SC','124242241215373431468832574122121437092',406,'797',76.74,1,3,NULL),(16,3256553,'1990-08-16 00:00:00',4,8,11,2007,'M','N','AMéRICA','JOINVILLE','SC','124242241215472731438811572121610167067',6757,'1063',54.75,1,3,NULL),(16,3256561,'1991-01-07 00:00:00',4,1,10,2008,'F','N','CAMPINAS','S JOSé','SC','124242241216142411448912295122610162147',8255,'737',51.86,1,3,NULL),(16,3256570,'1990-04-10 00:00:00',4,1,12,2007,'F','N','SANTA Fé','TAUBATé','SP','125251251216471431368714475122610137141',5707,'9998',57.04,1,3,NULL),(16,3256588,'1988-08-14 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124252251216473411327412575124120232177',NULL,'9998',0.00,4,1,2),(16,3256596,'1989-01-03 00:00:00',2,1,12,2006,'M','N','CENTRO','MANDAGUARI','PR','116164161215471411368716574112610126072',5701,'9998',57.08,1,3,NULL),(16,3256600,'1992-01-10 00:00:00',4,3,11,2009,'F','S','CENTRO','ITAPEMA','SC','124242241215111731365631175125610143062',NULL,'9997',37.71,1,3,NULL),(16,3256618,'1988-12-03 00:00:00',2,3,12,2006,'F','N','CENTRO','BAL CAMBORIú','SC','124201201117371431436629442124132563187',NULL,'9998',23.07,1,3,NULL),(16,3256626,'1972-12-20 00:00:00',2,1,12,1990,'F','N','CARIANOS','FLORIANóPOLIS','SC','224211211136162741355343435124123263147',NULL,'9998',33.02,4,3,NULL),(16,3256634,'1991-11-25 00:00:00',4,1,12,2008,'F','N','FAZEN SANTO ANTôNIO','S JOSé','SC','124241241115161731216429576224610137057',NULL,'733',22.01,1,2,1),(16,3256642,'1991-04-17 00:00:00',4,8,12,2008,'F','N','JOÃO PAULO II','REALEZA','PR','116162161215121431449923572124610162017',NULL,'9998',0.00,1,3,NULL),(16,3256669,'1989-09-17 00:00:00',4,5,12,2006,'F','N','PIO CORREA','CRICIúMA','SC','124242241215573431367721575112610124147',1346,'226',70.13,1,3,NULL),(16,3256685,'1991-11-22 00:00:00',4,6,12,2008,'F','N','SãO JUDAS','ITAJAí','SC','124242241215111421525627315122610146147',5933,'1026',56.49,1,3,NULL),(16,3256693,'1991-07-26 00:00:00',4,2,9,2008,'M','N','PONTA AGUDA','BLUMENAU','SC','124244241217111331468814145112610162172',8536,'909',51.36,1,3,NULL),(16,3256715,'1979-08-25 00:00:00',4,1,12,2000,'F','N','TRINDADE SERRINHA','FLORIANóPOLIS','SC','124241241117134711334523445124132236147',10777,'267',47.41,2,1,1),(16,3256723,'1989-12-18 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124242241216153411449613275124233265097',NULL,'738',24.93,1,3,NULL),(16,3256731,'1992-04-29 00:00:00',4,1,11,2008,'M','N','CENTRO','S LUIZ GONZAGA','RS','120202201216471431459736464122610124052',5289,'9998',57.89,1,3,NULL),(16,3256740,'1989-10-11 00:00:00',4,1,11,2006,'M','N','DUQUE DE CAXIAS','CUIABá','MT','111112111217472721569813592112141564182',NULL,'9998',0.00,1,3,NULL),(16,3256758,'1990-09-14 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241215121431358613575124610124112',7063,'270',54.17,1,3,NULL),(16,3256766,'1989-01-07 00:00:00',4,1,6,2008,'M','N','JARDIM SãO MIGUEL','BIGUAçU','SC','124241241116142431535531345111610122057',13529,'306',42.58,1,2,1),(16,3256774,'1991-03-18 00:00:00',2,6,12,2008,'M','N','SãO JOãO','ITAJAí','SC','124242241215111431569939595122610168147',9557,'1026',49.61,1,3,NULL),(16,3256782,'1979-05-29 00:00:00',4,1,12,1996,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124252251211152731218879597345520268047',NULL,'9998',14.08,1,3,NULL),(16,3256790,'1992-02-08 00:00:00',4,10,12,2009,'M','S','VILA MOEMA','TUBARãO','SC','124242241215111531469911577115610168072',NULL,'807',43.40,1,3,NULL),(16,3256804,'1993-01-29 00:00:00',4,1,12,2008,'M','N','PICADAS DO SUL','S JOSé','SC','124243241117131431444633575122610137052',NULL,'1074',31.32,1,3,NULL),(16,3256812,'1990-10-03 00:00:00',2,5,12,2008,'M','N','PROSPERA','CRICIúMA','SC','124243248215111431336529595124610137052',NULL,'995',28.23,1,3,NULL),(16,3256839,'1992-05-15 00:00:00',2,4,12,2008,'F','N','PARQUE DAS PALMEIRAS','CHAPECó','SC','124244241132131431223623292124610123147',14464,'177',40.76,4,3,NULL),(16,3256863,'1992-05-24 00:00:00',2,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242248215371431537411415125610137047',NULL,'1085',24.23,1,3,NULL),(16,3256871,'1992-04-14 00:00:00',4,9,12,2008,'M','N','SANTA TERESINHA','VACARIA','RS','120204201416131431326635575324610122177',NULL,'9998',18.05,1,3,NULL),(16,3256880,'1983-08-06 00:00:00',2,1,7,2003,'M','N','BOTAFOGO','BENTO GONçALVES','RS','120201207136175431435644243334610167147',6639,'9999',54.98,1,2,1),(16,3256898,'1989-09-12 00:00:00',4,1,2,2008,'F','N','JARDIM AQUARIUS','S JOSé CAMPOS','SP','125252281417471731338821474122610134187',4930,'9998',58.80,1,3,NULL),(16,3256901,'1991-03-19 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217111431478832572122610127187',NULL,'270',19.66,1,3,NULL),(16,3256928,'1987-11-12 00:00:00',4,1,12,2005,'M','N','JARDIM AMERICA','GOIâNIA','GO','109092091217271431538839212121610147057',929,'9998',72.51,3,3,NULL),(16,3256936,'1989-01-29 00:00:00',2,1,12,2006,'F','N','CIDADE JARDIM','CPO GRANDE','MS','112122121215571451447823575122610164147',327,'9998',77.68,1,3,NULL),(16,3256944,'1984-07-03 00:00:00',2,1,12,2001,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241337133441444673332223232823147',11265,'293',46.53,1,3,NULL),(16,3256952,'1984-07-02 00:00:00',2,1,10,2003,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241112273431431131342124610811187',13300,'739',42.98,1,3,NULL),(16,3256979,'1990-11-05 00:00:00',4,10,11,2008,'M','N','CENTRO','TUBARAO','SC','124243241215111431447632195122610167117',NULL,'806',28.47,1,3,NULL),(16,3256987,'1986-11-13 00:00:00',2,5,12,2006,'F','N','MARILUZ','IMBé','RS','120201201147271431525919211122610128187',NULL,'9998',0.00,1,3,NULL),(16,3257002,'1991-06-17 00:00:00',2,1,11,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124243241115111331436631575124610164072',9272,'271',50.13,1,3,NULL),(16,3257010,'1989-09-17 00:00:00',4,1,12,2006,'F','N','NOSSA S DO ROSáRIO','S JOSé','SC','124242241215474731246629441134610163167',11034,'1022',46.96,4,3,NULL),(16,3257029,'1983-02-23 00:00:00',4,4,12,2001,'M','N','APARECIDA','ABELARDO LUZ','SC','624241241146161131433349391122233224047',15491,'4',38.56,1,2,1),(16,3257037,'1990-07-31 00:00:00',4,8,12,2008,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241212161212589914575112610127092',7936,'1063',52.55,1,3,NULL),(16,3257045,'1984-09-02 00:00:00',4,2,12,2002,'M','N','PONTA AGUDA','BLUMENAU','SC','124241241116141411443639495124331267097',NULL,'69',24.90,1,3,NULL),(16,3257053,'1991-03-20 00:00:00',4,1,12,2008,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241126141732337413145122610164057',NULL,'12',26.93,1,2,1),(16,3257061,'1991-11-05 00:00:00',4,1,12,2008,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241116161532447313575114610137057',NULL,'307',19.25,1,3,NULL),(16,3257070,'1991-04-17 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124243241215111511453412241124610117042',NULL,'269',28.08,1,3,NULL),(16,3257088,'1959-02-22 00:00:00',2,1,7,1980,'M','N','TRINDADE','FLORIANóPOLIS','SC','224241247226145431553353331124622337047',14443,'260',40.80,1,3,NULL),(16,3257096,'1990-08-11 00:00:00',2,1,11,2009,'M','S','IPIRANGA','S JOSé','SC','124243241132471411426614475124610164142',NULL,'734',22.74,1,3,NULL),(16,3257100,'1991-01-21 00:00:00',4,8,10,2008,'F','N','JARDIM MASCENTE','MARIALVA','PR','116162161215471431448811375122610165147',NULL,'9998',25.84,1,3,NULL),(16,3257118,'1973-07-12 00:00:00',4,1,12,1992,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','224251251116131411226351485124342266042',NULL,'9998',23.81,4,2,1),(16,3257126,'1976-08-30 00:00:00',4,1,12,1997,'M','N','INGLESES','FLORIANóPOLIS','SC','124201207221134731536333245124130742183',12416,'9998',44.52,1,3,NULL),(16,3257134,'1990-06-27 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216312431569819595124233225142',3230,'1022',63.20,1,3,NULL),(16,3257142,'1991-03-21 00:00:00',2,1,12,2008,'F','N','RANCHO DE TáBOAS','ANGELINA','SC','124241241116161431223326576224610127142',11993,'17',45.27,1,2,1),(16,3257150,'1991-12-07 00:00:00',4,1,11,2008,'F','N','CENTRO','CASCAVEL','PR','116162161217171431337732575122610123097',1669,'9998',68.56,1,3,NULL),(16,3257169,'1985-08-05 00:00:00',4,1,12,2003,'M','N','RES SANTOS DUMONT','STA MARIA','DF','107251251117571531268327584122243262183',NULL,'9998',0.00,1,2,1),(16,3257177,'1973-08-18 00:00:00',2,1,12,1992,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','224241241126153411333351415124222266192',NULL,'288',9.78,1,2,1),(16,3257185,'1990-12-29 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124243241112131431544623572124610163142',11444,'306',46.27,1,3,NULL),(16,3257207,'1989-08-15 00:00:00',2,3,11,2006,'F','N','VILA REAL','BAL CAMBORIú','SC','124241241215572431438933375122610121052',4788,'1086',59.09,4,3,NULL),(16,3257215,'1989-08-12 00:00:00',2,1,12,2006,'F','N','FREI ROGéRIO','LAGES','SC','124241241217153451536633591224221923092',NULL,'515',0.00,1,3,NULL),(16,3257223,'1991-01-18 00:00:00',4,3,12,2008,'F','N','GUAíRA','CURITIBA','PR','116162161215471411446712125124610162192',NULL,'9998',0.00,4,3,NULL),(16,3257231,'1990-12-09 00:00:00',4,1,12,2008,'M','N','JARDIM DOS OLIVEIRAS','CAMPINAS','SP','125251258117111431646839175124610168017',NULL,'9998',28.61,2,1,1),(16,3257240,'1989-10-30 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216372731469919595124232438077',2570,'270',65.10,1,3,NULL),(16,3257258,'1991-06-26 00:00:00',4,1,11,2008,'F','N','SANTO AMARO','CPO GRANDE','MS','112124121115271431447613472122610132072',NULL,'9998',0.00,1,3,NULL),(16,3257266,'1991-08-30 00:00:00',4,3,11,2008,'M','N','SANTO ANTôNIO','PTO ALEGRE','RS','120202201217271411383912316121610164115',NULL,'9998',0.00,1,3,NULL),(16,3257274,'1991-02-06 00:00:00',4,2,11,2008,'M','N','CENTRO','POMERODE','SC','124243241135141731343314445122610127042',NULL,'621',26.08,1,3,NULL),(16,3257282,'1991-07-10 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124243248311131431439933385114610163142',NULL,'659',20.94,1,3,NULL),(16,3257290,'1990-03-07 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241125472432533536575112610134177',NULL,'356',27.89,1,2,1),(16,3257304,'1979-05-26 00:00:00',4,1,11,2003,'F','N','PRAIA COMPRIDA','S JOSé','SC','124161163126132122423349246234440768187',NULL,'9998',0.00,1,2,1),(16,3257312,'1989-10-30 00:00:00',4,1,12,2006,'F','N','PANORAMA','ASSIS CHATEAUBRIAND','PR','116251161217472441446615375121241865117',14937,'9998',39.81,1,3,NULL),(16,3257347,'1991-04-13 00:00:00',4,5,11,2008,'M','N','CENTRO','TORRES','RS','120202206215371731448832392122610167042',11555,'9998',46.08,1,3,NULL),(16,3257355,'1991-02-25 00:00:00',4,1,12,2007,'M','N','JARDIM UNIVERSITARIO','CUIABá','MT','111112111217471431558833576112610167042',5860,'9998',56.68,1,3,NULL),(16,3257363,'1986-05-15 00:00:00',2,1,12,2003,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241217575421248611471124232444097',12009,'270',45.25,4,3,NULL),(16,3257380,'1987-03-11 00:00:00',2,1,7,2008,'F','N','SERRARIA','S JOSé','SC','124243247126131731333511245124610164187',NULL,'736',26.41,2,1,2),(16,3257398,'1989-10-08 00:00:00',2,8,12,2006,'F','N','ZONA SETE','MARINGá','PR','116253251214571431538835575124610144187',12352,'9998',44.63,4,3,NULL),(16,3257401,'1991-07-31 00:00:00',4,5,11,2008,'M','N','CENTRO','FORQUILHINHA','SC','124242241215111431438914575124610134112',7266,'226',53.77,1,3,NULL),(16,3257428,'1991-01-15 00:00:00',2,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124241241215271431435312595122610144072',5702,'1085',57.07,1,3,NULL),(16,3257436,'1989-01-24 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242248216373431488833575114610114067',7644,'272',53.07,1,3,NULL),(16,3257444,'1987-05-02 00:00:00',2,1,12,2004,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241347575431454313595124610164047',8780,'1022',50.94,1,3,NULL),(16,3257452,'1989-05-04 00:00:00',4,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116162161215571421324632574125610162142',3242,'9998',63.16,1,3,NULL),(16,3257460,'1991-05-30 00:00:00',4,4,11,2008,'F','N','TROPICAL','CASCAVEL','PR','116162161215171731468712572122610166147',NULL,'9998',0.00,1,3,NULL),(16,3257479,'1989-02-04 00:00:00',4,9,11,2006,'F','N','CENTRO','CURITIBANOS','SC','124244241315132531438812242122130228142',NULL,'9997',23.11,1,3,NULL),(16,3257487,'1990-10-20 00:00:00',2,1,12,2007,'M','N','PEDRA BRANCA','SAO PAULO','SP','125252258137271431128621576124610167052',13655,'9998',42.36,3,3,NULL),(16,3257495,'1990-09-12 00:00:00',2,1,11,2008,'F','N','PRAIA COMPRIDA','S JOSé','SC','124242241215111731446851572124610163192',NULL,'1022',34.55,4,3,NULL),(16,3257509,'1978-09-03 00:00:00',2,1,11,1999,'F','N','SERRARIA','S JOSé','SC','124164161144132421243354341124141426187',14574,'9998',40.57,1,3,NULL),(16,3257517,'1978-10-17 00:00:00',4,9,12,1996,'F','N','SãO CRISTóVãO','LAGES','SC','124241243226274721343316234122321345142',4849,'414',58.97,1,3,NULL),(16,3257525,'1991-01-15 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124242241215373431459613572124610128012',4483,'270',59.83,1,3,NULL),(16,3257533,'1990-05-16 00:00:00',4,1,12,2007,'M','N','CENTRO','ERECHIM','RS','120201201117151431456813395124610164047',NULL,'9998',28.18,1,3,NULL),(16,3257541,'1990-01-27 00:00:00',4,1,12,2006,'F','N','CENTRO','SIDERóPOLIS','SC','124242241215373541546822575114122062192',790,'226',73.53,1,3,NULL),(16,3257550,'1991-08-19 00:00:00',2,1,12,2008,'F','N','MACACU','GAROPABA','SC','124241241127131431523311316324610137057',14174,'322',41.27,1,2,1),(16,3257568,'1991-12-28 00:00:00',4,5,12,2008,'M','N','BORGO','BENTO GONçALVES','RS','120202201217271432557814495112610147042',NULL,'9998',38.52,1,3,NULL),(16,3257576,'1991-01-04 00:00:00',4,1,12,2008,'M','N','VISTA VERDE','S JOSé CAMPOS','SP','125251251217111431658833575112610127047',NULL,'9998',34.73,1,3,NULL),(16,3257584,'1991-01-16 00:00:00',4,2,10,2008,'M','N','CENTRO','INDAIAL','SC','124242241212271431489811412124610124122',6921,'909',54.46,1,3,NULL),(16,3257592,'1991-04-26 00:00:00',4,2,12,2007,'M','N','MARGEM ESQUERDA','GASPAR','SC','124241241215372431336823475124610134112',7050,'1137',54.20,1,3,NULL),(16,3257622,'1991-10-11 00:00:00',2,1,11,2008,'F','N','MONT SERRAT','PTO ALEGRE','RS','120202201217111432466813472112610131147',NULL,'9998',0.00,1,3,NULL),(16,3257630,'1987-04-07 00:00:00',2,1,12,2004,'F','N','RIO CARVãO BAIXO','URUSSANGA','SC','124242241217114431535939572224231064097',6951,'226',54.38,1,3,NULL),(16,3257649,'1991-04-18 00:00:00',2,5,12,2008,'F','N','JARDIM ANGéLICA','CRICIúMA','SC','124244248215311431536714575122610133072',10311,'995',48.23,1,3,NULL),(16,3257657,'1986-12-29 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241146143411226424345124230843012',NULL,'307',13.70,1,2,1),(16,3257665,'1991-11-24 00:00:00',4,1,12,2008,'F','N','JARDIM DO ALTO','IVOTI','RS','120202201217271711469814474112610164186',NULL,'9998',0.00,1,3,NULL),(16,3257673,'1985-04-02 00:00:00',2,1,12,2002,'M','N','TRICOLIN','CANOINHAS','SC','124241241417112731549934272124331264182',NULL,'154',27.35,1,3,NULL),(16,3257681,'1991-05-20 00:00:00',4,1,12,2008,'F','N','ITAGUAçú','FLORIANóPOLIS','SC','124242241215371431588631575124610127142',16076,'262',37.01,1,3,NULL),(16,3257690,'1989-10-30 00:00:00',2,3,11,2007,'M','N','JARDIM ELDORADO','CAMBé','PR','116162161217472431458813575112610117042',4966,'9998',58.69,1,3,NULL),(16,3257703,'1990-07-12 00:00:00',2,1,12,2008,'F','N','JD ATLANTICO','FLORIANóPOLIS','SC','124241247332131731326613572124610165027',NULL,'9999',15.71,1,3,NULL),(16,3257711,'1990-10-13 00:00:00',4,1,12,2007,'M','N','MARIA ISABEL','MARíLIA','SP','125252251215412421588614445112610167042',NULL,'9998',36.81,4,1,2),(16,3257720,'1992-06-10 00:00:00',2,1,12,2009,'F','S','JARDIM DAS ACáCIAS','S JOSé','SC','124242241215111411536933576124610124142',NULL,'738',0.00,1,3,NULL),(16,3257738,'1990-06-19 00:00:00',4,4,12,2007,'F','N','CENTRO','PALMA SOLA','SC','124161161315412431438633575125610164077',15165,'9998',39.28,1,3,NULL),(16,3257746,'1987-04-09 00:00:00',4,6,12,2004,'M','N','SãO JOãO','ITAJAí','SC','124242241236152711378614585112131444182',8554,'1057',51.33,1,3,NULL),(16,3257754,'1991-06-03 00:00:00',2,6,11,2008,'M','N','ANDORINHA','ITAPEMA','SC','124242248215111431368617575122610147047',NULL,'1038',19.14,1,3,NULL),(16,3257770,'1988-05-01 00:00:00',4,1,12,2005,'F','N','ARAéS','CUIABá','MT','111122121215571431439921575114610134077',NULL,'9998',41.52,4,1,2),(16,3257789,'1990-03-22 00:00:00',2,1,12,2007,'M','N','FEITORIA IMIGRANTE','S LEOPOLDO','RS','120201201211111332333823395124610127047',NULL,'9998',31.34,1,3,NULL),(16,3257797,'1991-12-21 00:00:00',4,1,12,2008,'M','N','DUQUE DE CAXIAS','CUIABá','MT','111112111236111231579819572122610168072',NULL,'9998',0.00,1,3,NULL),(16,3257800,'1992-05-28 00:00:00',2,2,11,2008,'M','N','VELHA','BLUMENAU','SC','124241241117131331538813571122610167122',13636,'73',42.40,4,3,NULL),(16,3257819,'1990-11-21 00:00:00',2,1,11,2008,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124251241115271331658619572114610163142',13338,'307',42.90,2,1,1),(16,3257827,'1993-02-02 00:00:00',4,1,12,2009,'M','S','CENTRO','STO AMARO IMPERATRIZ','SC','124244241215111732666632272124610117053',NULL,'1011',39.95,1,3,NULL),(16,3257835,'1989-01-18 00:00:00',2,1,12,2005,'F','N','BELA VISTA','S JOSé','SC','124241241136471431636613245134610134042',12437,'726',44.49,1,2,1),(16,3257843,'1991-06-07 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124241241136121411427439192124610117052',NULL,'730',20.80,1,2,1),(16,3257851,'1991-05-09 00:00:00',2,10,11,2008,'F','N','PASSO DO GADO','TUBARãO','SC','124241241117371451436513375124610168067',NULL,'1034',27.79,1,2,1),(16,3257860,'1992-08-18 00:00:00',4,1,12,2009,'F','S','CENTRO','JARAGUá SUL','SC','124242241217151431578912324122610133077',NULL,'424',28.77,1,3,NULL),(16,3257878,'1987-11-10 00:00:00',4,1,4,2005,'M','N','FLORESTA','S JOSé','SC','124241241117151432346619392114130232187',NULL,'739',33.29,1,2,1),(16,3257886,'1987-07-30 00:00:00',2,1,12,2004,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241216272411639729341234130224047',NULL,'269',20.28,2,1,2),(16,3257894,'1989-04-08 00:00:00',2,1,8,2008,'M','N','BARREIROS','S JOSé','SC','124241247112131732436613395114610117142',NULL,'9999',29.02,2,1,1),(16,3257908,'1991-08-28 00:00:00',4,1,11,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215271431689952575111610167052',1670,'262',68.55,1,3,NULL),(16,3257916,'1991-01-10 00:00:00',4,1,11,2008,'M','N','CENTRO','S MIGUEL OESTE','SC','124244241217111431448633475125610127065',6035,'752',56.27,1,3,NULL),(16,3257924,'1991-10-19 00:00:00',4,8,12,2008,'F','N','JARDIM NACIONAL','FOZ IGUAçU','PR','116163161237121431456374572122610137042',8503,'9998',51.40,1,3,NULL),(16,3257932,'1991-01-30 00:00:00',4,7,11,2008,'M','N','CENTRO','HERVAL D OESTE','SC','124242241217151431366833575112610162052',NULL,'962',31.63,1,3,NULL),(16,3257940,'1984-02-13 00:00:00',4,1,12,2001,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217274431338769285112133227047',NULL,'266',6.05,1,3,NULL),(16,3257959,'1991-10-01 00:00:00',4,9,12,2008,'F','N','FATIMA','OTACíLIO COSTA','SC','124241241115271431447614575124610166077',NULL,'498',22.73,1,2,1),(16,3257967,'1989-02-10 00:00:00',4,1,12,2006,'F','N','RESIDENCIAL PARAISO','FRANCA','SP','125252251216571431459911572124610162092',NULL,'9998',0.00,1,3,NULL),(16,3257975,'1986-01-13 00:00:00',2,1,12,2003,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241248127131431433344341314610125042',NULL,'501',19.18,1,3,NULL),(16,3257983,'1987-05-30 00:00:00',4,1,6,2006,'M','N','PRAIA JOÃO ROSA','BIGUAçU','SC','124241247347371431124544345124610167117',12386,'9999',44.56,1,3,NULL),(16,3257991,'1991-11-05 00:00:00',4,9,12,2008,'M','N','UNIVERSITáRIO','LAGES','SC','124241241415111421446934575122610117052',NULL,'515',24.17,1,3,NULL),(16,3258009,'1991-11-30 00:00:00',2,9,12,2008,'F','N','POPULAR','LAGES','SC','124242241215371231438919572122610133142',15336,'515',38.90,1,3,NULL),(16,3258017,'1990-02-17 00:00:00',4,1,11,2007,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215372431248832575112231117042',9219,'270',50.21,1,3,NULL),(16,3258025,'1991-10-19 00:00:00',4,2,11,2008,'F','N','VILA NOVA','BLUMENAU','SC','124242241235112432447714175112610142184',11518,'909',46.14,1,3,NULL),(16,3258033,'1991-06-06 00:00:00',2,10,11,2008,'M','N','CENTRO','TUBARãO','SC','124241241415111731356924575121610117057',5426,'807',57.63,1,3,NULL),(16,3258068,'1989-12-21 00:00:00',4,1,12,2006,'M','N','SAGRADA FAMíLIA','CAXIAS SUL','RS','120202201217142411643731345134141464022',12719,'9998',43.98,2,3,NULL),(16,3258076,'1987-12-18 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124244247317151731268619582112613214147',NULL,'596',0.00,1,3,NULL),(16,3258084,'1989-08-12 00:00:00',4,1,10,2007,'M','N','AREIAS','S JOSé','SC','124242247337371411426613375124610167187',NULL,'9999',37.73,1,3,NULL),(16,3258092,'1991-02-21 00:00:00',4,3,12,2008,'M','N','VILA AMéLIA','S PAULO','SP','125254251417221721238831285124610121132',NULL,'9998',18.45,1,3,NULL),(16,3258106,'1991-09-21 00:00:00',2,4,12,2008,'M','N','CENTRO','ITAPIRANGA','SC','124243241225121431446632336121610127187',NULL,'1060',35.33,1,3,NULL),(16,3258122,'1989-02-10 00:00:00',2,2,12,2006,'F','N','VILA RIO BRANCO','CASTRO','PR','116163161416471431335623575124610132147',NULL,'9998',0.00,1,3,NULL),(16,3258130,'1990-12-17 00:00:00',4,8,12,2008,'M','N','BACACHERI','CURITIBA','PR','116162161217471231559932575114610167072',NULL,'9998',29.13,1,3,NULL),(16,3258149,'1986-08-16 00:00:00',4,1,12,2003,'F','N','CÓRREGO GRANDE','FLORIANóPOLIS','SC','124241241116272411536512245134330222077',10843,'271',47.28,1,3,NULL),(16,3258165,'1991-06-07 00:00:00',4,1,12,2008,'F','N','VILA GALVÃO','GUARULHOS','SP','125252251217131431546732575124610112017',13411,'9998',42.78,4,3,NULL),(16,3258173,'1986-03-06 00:00:00',2,1,10,2004,'F','N','JURERê','FLORIANóPOLIS','SC','124242241117373411536619272124233246192',1638,'306',68.73,1,3,NULL),(16,3258181,'1989-09-21 00:00:00',4,1,12,2007,'F','N','CENTRO','LAGES','SC','124242241216373431458931595122230262141',NULL,'688',29.94,1,3,NULL),(16,3258190,'1990-10-26 00:00:00',4,8,5,2008,'F','N','GLóRIA','JOINVILLE','SC','124243281617271731468612575115610137122',14119,'491',41.40,1,3,NULL),(16,3258203,'1984-01-19 00:00:00',2,1,12,2002,'M','N','BARRA DO ARíRIU','PALHOçA','SC','124241241137231431625613445134610122047',16013,'591',37.22,1,2,1),(16,3258211,'1984-02-28 00:00:00',5,1,12,2001,'M','N','CACH DO BOM JESUS','FLORIANOPOLIS','SC','124251251127151411126841315122140247057',NULL,'9998',NULL,1,3,NULL),(16,3258220,'1980-08-09 00:00:00',2,1,12,1997,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241127231431434413242114610168047',NULL,'9997',21.81,2,1,1),(16,3258238,'1989-01-21 00:00:00',2,1,12,2006,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124251241111371331658619445134610167072',NULL,'289',25.01,4,1,1),(16,3258246,'1992-02-23 00:00:00',4,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215121432347733375114610142147',1347,'272',70.12,1,3,NULL),(16,3258254,'1984-04-27 00:00:00',4,1,12,2001,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215353431578933372122221434192',11087,'262',46.87,1,3,NULL),(16,3258262,'1990-10-08 00:00:00',2,5,7,2008,'F','N','SãO DEFENDE','CRICIúMA','SC','124242241215371431458933344124610164042',12597,'9997',44.19,1,3,NULL),(16,3258270,'1990-03-28 00:00:00',4,5,12,2007,'M','N','JARDIM MARISTELA','CRICIúMA','SC','124242246216112431369614395124231424011',4103,'188',60.77,1,3,NULL),(16,3258289,'1992-05-11 00:00:00',2,1,11,2009,'F','S','CENTRO','SOMBRIO','SC','124242241215111731233621575124610121142',NULL,'32',41.50,1,3,NULL),(16,3258297,'1985-10-25 00:00:00',2,1,12,2004,'M','N','ASA SUL','BRASíLIA','DF','107072071214574431368833592122610137042',4007,'9998',61.05,1,3,NULL),(16,3258319,'1992-03-30 00:00:00',4,1,11,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215111231678617575112610132142',NULL,'272',31.66,1,3,NULL),(16,3258327,'1990-10-12 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217152441469931575124221438122',4228,'270',60.43,1,3,NULL),(16,3258335,'1991-07-17 00:00:00',2,1,12,2008,'M','N','JARDIM CARANDAI','BIGUAçU','SC','124241241144111221444833342111610127047',NULL,'65',21.86,1,2,1),(16,3258343,'1990-08-04 00:00:00',2,1,12,2007,'M','N','KOBRASOL','S JOSé','SC','124243241216372431347829315124610162017',2252,'1076',66.22,4,3,NULL),(16,3258351,'1989-11-16 00:00:00',4,1,6,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242247216131431438914295124131067047',NULL,'270',0.00,1,3,NULL),(16,3258360,'1991-03-01 00:00:00',4,8,11,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215271431556512344124610144087',5866,'461',56.66,1,3,NULL),(16,3258378,'1991-04-08 00:00:00',4,1,12,2008,'M','N','JARDIM DAS COLINAS','S JOSé CAMPOS','SP','125252251217121431487812372122610168186',NULL,'9998',0.00,1,3,NULL),(16,3258386,'1988-01-05 00:00:00',2,1,6,2006,'M','N','CAMINHO NOVO','PALHOçA','SC','124243247215212431343623495112610127047',14348,'9999',40.97,1,3,NULL),(16,3258408,'1989-12-19 00:00:00',4,8,12,2007,'F','N','ATIRADORES','JOINVILLE','SC','124252241216371431538612445122610137077',13087,'486',43.35,1,3,NULL),(16,3258416,'1990-05-15 00:00:00',2,5,12,2008,'M','N','CENTRO','BAL ARROIO SILVA','SC','124244241415372411443419195124613267072',NULL,'970',28.30,1,3,NULL),(16,3258424,'1989-11-16 00:00:00',4,5,6,2007,'M','N','MICHEL','CRICIúMA','SC','124242246216141441355627345121231444072',11426,'995',46.31,1,3,NULL),(16,3258432,'1989-11-04 00:00:00',2,1,12,2006,'M','N','PRAIA COMPRIDA','S JOSé','SC','124241241117273222435544345114610147057',13847,'733',41.95,1,2,1),(16,3258440,'1984-01-14 00:00:00',4,1,1,2003,'M','N','CENTRO','ITAJAí','SC','124241241136132421128843234324131327182',13572,'257',42.51,1,2,1),(16,3258459,'1988-09-01 00:00:00',4,1,12,2007,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241216113331446611575124221418147',3988,'109',61.09,1,3,NULL),(16,3258467,'1990-10-13 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124242248215111431459713595122610124092',NULL,'1077',31.93,1,3,NULL),(16,3258475,'1992-09-14 00:00:00',4,1,12,2008,'F','N','BELA VISTA','S JOSé','SC','124241241117111431549313574122610122177',14581,'739',40.55,1,3,NULL),(16,3258491,'1986-07-21 00:00:00',4,4,12,2003,'M','N','CENTRO','CASCAVEL','PR','116161161316212411438833275124141467122',NULL,'9998',0.00,1,3,NULL),(16,3258513,'1989-01-22 00:00:00',2,4,12,2006,'F','N','CENTRO','FRANCISCO ALVES','PR','116161161114571441466311372215610162182',6821,'9998',54.63,1,2,1),(16,3258521,'1989-08-31 00:00:00',4,1,8,2007,'M','N','ARMAçãO DO P DO SUL','FLORIANóPOLIS','SC','124241241116372731536721295124610127017',14422,'739',40.84,1,2,1),(16,3258530,'1991-05-15 00:00:00',4,4,12,2008,'M','N','CINQUENTENáRIO','CONCóRDIA','SC','124243248136141731559614245122233264052',NULL,'192',27.09,1,3,NULL),(16,3258548,'1990-01-23 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124242241215372431466613575124610167112',NULL,'738',42.13,1,3,NULL),(16,3258556,'1985-06-09 00:00:00',2,5,12,2000,'F','N','SãO PEDRO','URUSSANGA','SC','124241248431371231345514292124131247077',NULL,'9999',15.66,1,3,NULL),(16,3258564,'1990-07-31 00:00:00',2,1,6,2008,'M','N','JARDIM DAS PALMEIRAS','S JOSé','SC','124244248336131431336524495124610124181',NULL,'9999',4.57,1,3,NULL),(16,3258572,'1990-04-12 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241236132411468619395124233262037',5516,'1022',57.43,1,3,NULL),(16,3258580,'1991-10-21 00:00:00',4,10,11,2008,'M','N','DEHON','TUBARãO','SC','124242241215271431478313571115610134052',590,'806',75.01,1,3,NULL),(16,3258599,'1983-11-29 00:00:00',2,1,11,2002,'F','N','FORQUILHINHAS','FLORIANóPOLIS','SC','124241241126135441328329592124222937182',12804,'736',43.84,1,2,1),(16,3258602,'1974-02-11 00:00:00',2,1,12,1991,'M','N','FORQUILINHAS','S JOSé','SC','624201206143131721123344143312130264067',NULL,'9998',29.97,1,3,NULL),(16,3258610,'1985-03-10 00:00:00',4,1,12,2002,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241237154722446639495125122864197',6727,'270',54.81,4,3,NULL),(16,3258629,'1975-04-27 00:00:00',2,1,7,2006,'F','N','CAMPINAS','S JOSé','SC','624244247425143411331159295124221457042',NULL,'9999',28.31,4,1,2),(16,3258645,'1990-11-19 00:00:00',4,5,12,2008,'F','N','CENTRO','CRICIúMA','SC','124243246217111411348614575124610167077',NULL,'995',21.07,3,3,NULL),(16,3258653,'1991-06-03 00:00:00',4,2,12,2008,'F','N','ASSUNçãO','S BERNARDO CAMPO','SP','125252253216151431437811275122610147127',NULL,'9998',0.00,1,3,NULL),(16,3258661,'1989-12-18 00:00:00',4,8,12,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124244241217273451456833245114231468147',3419,'836',62.61,1,3,NULL),(16,3258670,'1978-08-05 00:00:00',2,1,12,2001,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241126135721324644442124130214077',14042,'9998',41.56,1,3,NULL),(16,3258688,'1990-02-15 00:00:00',2,1,12,2007,'M','N','FORQUILHAS','S JOSé','SC','124241241116372752454454235124610137043',NULL,'733',22.73,1,2,1),(16,3258696,'1990-01-27 00:00:00',4,1,11,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124202241215112231668769595122610165032',5357,'270',57.75,1,3,NULL),(16,3258700,'1988-07-18 00:00:00',4,1,12,2005,'F','N','VILA MARIANA','S PAULO','SP','125252251116571431379934575125610164112',3587,'9998',62.12,1,3,NULL),(16,3258718,'1989-07-13 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124243241215111411458811575124133237042',15559,'1022',38.40,4,3,NULL),(16,3258726,'1983-09-04 00:00:00',4,1,12,2000,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124243248117374431437839345134133224013',12364,'307',44.60,1,3,NULL),(16,3258734,'1983-08-03 00:00:00',2,9,12,2000,'M','N','SANTA CLARA','LAGES','SC','224241241111372431233443231123220214052',3908,'505',61.31,1,2,1),(16,3258742,'1990-07-24 00:00:00',2,1,12,2007,'M','N','JD CIDADE DE FPOLIS','S JOSé','SC','124242241215372431458614575124610127047',4033,'724',60.97,1,3,NULL),(16,3258750,'1989-02-23 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241227111431549814212125610114062',NULL,'262',22.83,1,3,NULL),(16,3258769,'1988-01-25 00:00:00',2,1,12,2004,'F','N','MUNICÍPIOS','CACADOR','SC','124241241117133411334614235234231066177',15010,'123',39.62,1,2,1),(16,3258777,'1991-04-11 00:00:00',4,1,11,2008,'M','N','MARIA IZABEL','MARíLIA','SP','125252251215111431478831572112610162052',NULL,'9998',43.49,1,3,NULL),(16,3258785,'1990-06-30 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243241112372722467714385114131467042',4114,'267',60.74,1,3,NULL),(16,3258793,'1991-06-09 00:00:00',2,1,12,2008,'F','N','RATONES','FLORIANóPOLIS','SC','124241241225131431523411272124610123047',10352,'262',48.16,1,3,NULL),(16,3258807,'1988-09-11 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241215473431458631471114131047045',7234,'262',53.85,1,3,NULL),(16,3258815,'1987-03-30 00:00:00',4,1,12,2005,'M','N','ABRAãO','FLORIANóPOLIS','SC','124243241415174431236669472124231412073',NULL,'1036',32.91,1,3,NULL),(16,3258831,'1990-08-12 00:00:00',1,1,7,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124243246417271432539914575114610134187',NULL,'9998',42.08,1,3,NULL),(16,3258840,'1991-08-09 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241136131431227629575124610137057',NULL,'288',21.38,1,2,1),(16,3258858,'1987-07-14 00:00:00',2,1,12,2004,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241111115441437839345124610162012',11723,'267',45.78,1,2,1),(16,3258866,'1991-02-22 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241115131431523314572224610117017',NULL,'9997',30.68,1,2,1),(16,3258874,'1991-01-01 00:00:00',2,1,12,2008,'M','N','PRAIA DE FORA','PALHOçA','SC','124241241141161532433411285114610127057',NULL,'594',22.86,1,2,1),(16,3258882,'1989-08-29 00:00:00',2,1,6,2008,'M','N','FLOR DO SOL','S JOSé','SC','124242247217151431586614345112610124185',NULL,'9999',25.80,1,3,NULL),(16,3258890,'1990-07-01 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124244241216372431647631585122131462187',2967,'1076',63.93,4,3,NULL),(16,3258904,'1988-04-11 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124241248315374431446612391124610137142',10293,'307',48.26,1,3,NULL),(16,3258912,'1984-04-30 00:00:00',2,1,12,2001,'M','N','CENTRO','PALHOçA','SC','124241241146134431643313335123610147047',9260,'591',50.14,1,2,1),(16,3258920,'1990-01-25 00:00:00',4,1,12,2006,'M','N','JURERE INTERNACIONAL','FLORIANóPOLIS','SC','124122241216371411358912575122143264152',NULL,'270',39.96,1,3,NULL),(16,3258939,'1983-09-24 00:00:00',2,1,10,2004,'M','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124201204336141431329944145124610134067',NULL,'9999',18.83,5,3,NULL),(16,3258947,'1988-10-27 00:00:00',4,1,12,2006,'F','N','BRASíLIA','LG NORTE','DF','107072071216571431369813575122141862187',132,'9998',80.41,1,3,NULL),(16,3258955,'1990-02-22 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241115472741456512375124231244092',6310,'307',55.66,1,2,1),(16,3258963,'1985-05-13 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANOPOLIS','SC','124242241216373521478614445124322232192',3596,'885',62.10,1,3,NULL),(16,3258971,'1983-09-14 00:00:00',2,1,11,2000,'F','N','BARREIROS','S JOSé','SC','124242241216152441228613385124331026122',NULL,'723',43.11,1,3,NULL),(16,3258980,'1988-01-06 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241211373431486933391124131024043',8996,'270',50.59,1,3,NULL),(16,3258998,'1986-04-15 00:00:00',4,7,12,2003,'M','N','ALVORADA','VIDEIRA','SC','124241241127131421123411345325131332052',NULL,'831',27.36,1,2,1),(16,3259005,'1986-05-10 00:00:00',4,1,6,2004,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124123121116151431578813575124141464122',NULL,'9998',25.77,1,3,NULL),(16,3259013,'1981-12-13 00:00:00',2,1,12,1998,'M','N','CENTRO','VANINI','RS','120201201126133441333823385124342162097',NULL,'9998',0.00,1,3,NULL),(16,3259021,'1991-06-03 00:00:00',4,6,12,2008,'M','N','CENTRO','BAL PIçARRAS','SC','124243241126131431536614382121610126077',8898,'614',50.74,1,3,NULL),(16,3259030,'1991-11-14 00:00:00',4,1,11,2008,'F','N','JARDIM SATéLITE','S JOSé CAMPOS','SP','125252251235471441369832594122610167147',1897,'9998',67.61,1,3,NULL),(16,3259048,'1990-05-31 00:00:00',4,1,12,2007,'M','N','BALNEáRIO DO ESTREIT','FLORIANóPOLIS','SC','124242241217152411467633476124231036141',NULL,'1022',44.56,1,3,NULL),(16,3259056,'1985-10-10 00:00:00',4,1,12,2002,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241136132411128713371124230224032',14476,'831',40.73,1,2,1),(16,3259064,'1991-12-07 00:00:00',5,5,12,2008,'M','N','SãO LUIZ','CRICIúMA','SC','124243241337271431423631275124610168141',NULL,'221',25.51,1,3,NULL),(16,3259080,'1990-08-20 00:00:00',4,1,12,2008,'F','N','JARDIM TROPICAL','INDAIATUBA','SP','125253251245471411467714375122610122152',NULL,'9998',0.00,1,3,NULL),(16,3259099,'1986-04-27 00:00:00',2,1,10,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243241117145411566823445114610113042',11172,'306',46.71,1,3,NULL),(16,3259102,'1965-04-07 00:00:00',2,1,12,1983,'M','N','COLONINHA','FLORIANóPOLIS','SC','224241241112155711454343431122421427142',14020,'307',41.62,2,1,1),(16,3259110,'1988-08-15 00:00:00',4,8,12,2006,'F','N','VILA NOVA','JARAGUá SUL','SC','124242241215372431488612495122610164097',NULL,'424',0.00,1,3,NULL),(16,3259137,'1992-01-01 00:00:00',4,3,11,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215371431248921474112610167152',NULL,'403',26.28,1,3,NULL),(16,3259145,'1989-02-11 00:00:00',2,1,12,2006,'F','N','RIO CAVEIRAS','BIGUAçU','SC','124241241117131411423324385114610135187',NULL,'65',25.35,1,2,1),(16,3259153,'1989-05-05 00:00:00',2,1,12,2006,'M','N','CARIANOS','FLORIANóPOLIS','SC','124242241212573411338613576114610117062',11824,'269',45.60,1,3,NULL),(16,3259170,'1991-02-18 00:00:00',2,4,12,2008,'M','N','CENTRO','S LOURENçO OESTE','SC','624243241116271431346632341122610127042',NULL,'744',25.54,1,3,NULL),(16,3259196,'1988-04-10 00:00:00',2,1,12,2005,'M','N','JARDIM CIDADE FPOLIS','S JOSé','SC','124241241112132431336913382124233227043',NULL,'734',23.63,1,2,1),(16,3259218,'1990-09-03 00:00:00',4,7,12,2007,'M','N','CENTRO','S JOSé OURO','RS','120201241315372431449633571124610124067',3588,'446',62.12,1,3,NULL),(16,3259226,'1989-12-08 00:00:00',2,1,12,2007,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124242241212142731338623271124231023097',NULL,'1022',30.72,1,3,NULL),(16,3259234,'1978-07-11 00:00:00',4,1,11,1995,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124162161236112721256543432122321422093',5144,'9998',58.26,1,3,NULL),(16,3259242,'1989-11-03 00:00:00',4,1,12,2006,'F','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','124242241217373131356934372124133237057',14753,'1022',40.17,1,3,NULL),(16,3259250,'1985-02-28 00:00:00',4,1,5,2003,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241126135421336729245124133224181',9704,'307',49.34,1,2,1),(16,3259285,'1986-06-26 00:00:00',4,1,12,2003,'M','N','VILA GRANADA','S PAULO','SP','125252251117572741558813415125140767017',9862,'9998',49.04,3,3,NULL),(16,3259293,'1962-07-27 00:00:00',4,4,12,1979,'F','N','SAIC','CHAPECó','SC','524241243126131721223649295124530833197',NULL,'779',26.67,1,2,1),(16,3259307,'1986-04-20 00:00:00',2,10,12,2003,'M','N','MAR GROSSO','LAGUNA','SC','124241244112131731538929575125130264047',NULL,'521',0.00,1,2,1),(16,3259331,'1989-11-19 00:00:00',2,1,2,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241117373431438933575124230267042',7643,'267',53.07,1,2,1),(16,3259340,'1991-06-20 00:00:00',4,1,11,2008,'M','N','PONTE DE IMARUIM','PALHOçA','SC','124241241117131431224621575124610142172',NULL,'288',33.71,1,3,NULL),(16,3259358,'1991-10-30 00:00:00',4,2,12,2008,'F','N','GARCIA','BLUMENAU','SC','124242241214111431456611272124610162143',9746,'71',49.25,1,3,NULL),(16,3259366,'1987-02-18 00:00:00',4,1,11,2005,'M','N','PEDRA BRANCA','PALHOçA','SC','124244241217553411479613575124610112187',6710,'44',54.85,1,3,NULL),(16,3259374,'1991-09-07 00:00:00',2,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124242241216111431446614585112610167047',NULL,'737',28.84,1,3,NULL),(16,3259390,'1990-06-08 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124201241115272431575612345124610127042',7240,'288',53.84,3,2,1),(16,3259412,'1989-10-14 00:00:00',4,1,11,2007,'F','N','VILA SUZANA','S PAULO','SP','125252251117472431488832575122610127142',4421,'9998',59.96,1,3,NULL),(16,3259420,'1989-05-08 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241336373411258824472124230722183',NULL,'267',38.02,1,3,NULL),(16,3259439,'1988-12-26 00:00:00',4,4,12,2006,'M','N','INTERIOR','ÁGUAS CHAPECó','SC','124241241144371411433436352324610127052',NULL,'10',26.17,1,3,NULL),(16,3259447,'1966-05-18 00:00:00',4,1,12,1983,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','224214214216131731538653375124143232097',NULL,'9998',31.31,1,3,NULL),(16,3259455,'1991-05-22 00:00:00',2,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241145141232326413242323610167147',16578,'941',35.00,1,2,1),(16,3259463,'1985-09-09 00:00:00',2,1,12,2004,'M','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124242241215431331426644341334610167117',NULL,'884',0.00,4,3,NULL),(16,3259471,'1978-11-13 00:00:00',4,1,7,1998,'M','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124241246117135421435313211124221717182',14712,'306',40.26,1,2,1),(16,3259480,'1991-01-17 00:00:00',4,8,12,2008,'F','N','CENTRO','PRES PRUDENTE','SP','125252251216111411338811575125610117074',NULL,'9998',41.10,1,3,NULL),(16,3259498,'1962-03-17 00:00:00',2,1,12,1980,'M','N','COQUEIROS','FLORIANóPOLIS','SC','224251251121151711683643231122341066192',9738,'9998',49.27,1,3,NULL),(16,3259501,'1991-03-27 00:00:00',2,4,12,2008,'F','N','INTERIOR','CEL FREITAS','SC','124241241116161431424336572242610115042',11790,'199',45.66,1,2,1),(16,3259510,'1992-03-29 00:00:00',4,2,12,2009,'M','S','VORSTADT','BLUMENAU','SC','124242241215111431478811572112610134042',NULL,'70',44.05,1,3,NULL),(16,3259528,'1990-05-11 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124202201211472431438811325122610166122',NULL,'9998',0.00,1,3,NULL),(16,3259544,'1991-06-14 00:00:00',2,1,12,2008,'F','N','CENTRO','VIDAL RAMOS','SC','124243241125161431536611295122613263052',NULL,'828',29.36,1,3,NULL),(16,3259552,'1958-02-23 00:00:00',4,1,12,1976,'F','N','COQUEIROS','FLORIANóPOLIS','SC','224131131211151441683353472112341064192',14086,'9998',41.48,1,3,NULL),(16,3259560,'1989-01-03 00:00:00',2,1,2,2006,'F','N','BELA VISTA','PALHOçA','SC','124202241216141731438869335235610124011',NULL,'9997',24.71,1,3,NULL),(16,3259579,'1991-03-06 00:00:00',2,1,10,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215362431557634345121610162037',12806,'1035',43.84,1,3,NULL),(16,3259587,'1990-12-13 00:00:00',4,2,12,2007,'M','N','PROGRESSO','BLUMENAU','SC','124242241214472431477811314124610167186',5613,'87',57.23,1,3,NULL),(16,3259595,'1992-04-20 00:00:00',4,10,12,2009,'M','S','AEROPORTO','TUBARãO','SC','124242241215111732459814572122610127112',NULL,'806',29.48,5,3,NULL),(16,3259617,'1989-05-06 00:00:00',2,1,12,2005,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241111132321547734391124231027042',11877,'295',45.50,4,2,1),(16,3259625,'1988-03-22 00:00:00',2,1,12,2005,'F','N','CENTRO','S JOãO BATISTA','SC','124244241215372441547814374124132567142',9404,'109',49.89,1,3,NULL),(16,3259641,'1984-05-23 00:00:00',2,1,12,2001,'M','N','CENTRO','PALHOçA','SC','124242241215374431356413445124220727042',NULL,'590',35.51,1,3,NULL),(16,3259650,'1989-12-05 00:00:00',4,1,12,2007,'M','N','CAPELA','MOGI GUAçU','SP','125252253111472431344821572125610128177',NULL,'9998',0.00,4,3,NULL),(16,3259676,'1991-07-23 00:00:00',4,1,12,2008,'F','N','CENTRO','VERANóPOLIS','RS','120201201117131431616419575325610118187',NULL,'9998',0.00,1,2,1),(16,3259684,'1991-02-12 00:00:00',4,7,12,2008,'F','N','CENTRO','JOAçABA','SC','124241241126161311523619575222610133052',NULL,'584',7.83,1,2,1),(16,3259692,'1991-02-01 00:00:00',4,8,12,2008,'M','N','AMéRICA','JOINVILLE','SC','124242241214121751488813595122610125042',NULL,'1063',0.00,1,3,NULL),(16,3259706,'1991-12-05 00:00:00',2,4,12,2008,'F','N','INTERIOR','CEL FREITAS','SC','124241241113131131323335573322610164142',8144,'199',52.14,1,2,1),(16,3259714,'1991-09-25 00:00:00',2,4,12,2008,'F','N','INTERIOR','CEL MARTINS','SC','124241241117151431423336572344610127057',NULL,'200',28.84,1,2,1),(16,3259722,'1987-04-12 00:00:00',4,1,12,2005,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241115132431345613342114610137045',16640,'307',34.37,1,3,NULL),(16,3259730,'1983-04-26 00:00:00',4,1,9,2003,'M','N','KOBRASSOL II','S JOSé','SC','124243241337132441343623495124233266097',NULL,'1076',24.96,1,3,NULL),(16,3259765,'1990-02-13 00:00:00',4,8,12,2007,'M','N','GUANABARA','FRANCISCO BELTRãO','PR','116162161211271751448639295125610168197',NULL,'9998',0.00,1,3,NULL),(16,3259773,'1992-03-01 00:00:00',4,1,12,2009,'M','S','USINA','ANTôNIO CARLOS','SC','124241241117111411424514175124610116197',NULL,'21',32.37,1,3,NULL),(16,3259781,'1988-11-13 00:00:00',4,7,11,2005,'M','N','CENTRO','MAXIMILIANO ALMEIDA','RS','624203201336572451457732572124610167042',4545,'9998',59.68,1,3,NULL),(16,3259790,'1983-12-23 00:00:00',4,1,12,2002,'M','N','CACH DO BOM JESUS','FLORIANóPOLIS','SC','124201201117271431336579245133343232187',NULL,'9998',21.73,1,2,1),(16,3259803,'1991-02-19 00:00:00',2,1,12,2008,'M','N','SERRARIA','SAO JOSE','SC','124241241117131531436334375121610154057',14949,'1116',39.79,1,2,1),(16,3259811,'1991-06-21 00:00:00',4,1,11,2008,'F','N','BELA VISTA','S JOSé','SC','124251251116131431224424575115610164147',NULL,'9998',32.05,1,3,NULL),(16,3259820,'1983-11-12 00:00:00',4,1,11,2001,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124251241147153441645531315124610136177',11241,'288',46.58,1,2,1),(16,3259846,'1982-01-02 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241132142731324424392124610147047',NULL,'293',7.27,1,3,NULL),(16,3259854,'1989-12-27 00:00:00',4,1,12,2006,'F','N','JARDIM BLUMENAL','BLUMENAU','SC','116242241211271751458839291125610168197',2899,'909',64.10,1,3,NULL),(16,3259870,'1990-07-18 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241117471431633514344124610128147',7822,'307',52.73,1,2,1),(16,3259897,'1990-08-16 00:00:00',4,1,12,2008,'M','N','CANTO','FLORIANóPOLIS','SC','124242241212111411467813272125610128147',13832,'9997',41.99,1,3,NULL),(16,3259900,'1990-03-29 00:00:00',2,1,12,2007,'M','N','PICADAS DO SUL','S JOSé','SC','124241241127141221626644245132610164097',NULL,'498',0.00,1,3,NULL),(16,3259927,'1990-05-30 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSé','SC','124242242111131421425616575124610166177',NULL,'960',0.00,1,3,NULL),(16,3259935,'1991-11-16 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124241241117131731444339572124610167057',11385,'739',46.36,1,2,1),(16,3259943,'1987-11-04 00:00:00',2,1,11,2006,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124243241127272711316649291334610167057',NULL,'295',30.83,1,3,NULL),(16,3259951,'1991-04-25 00:00:00',4,2,12,2008,'F','N','ASILO','BLUMENAU','SC','124241241217111451489834595114620168042',14433,'909',40.82,1,3,NULL),(16,3259960,'1990-09-22 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241115371731324424375124610118061',NULL,'292',19.44,3,2,1),(16,3259978,'1988-10-14 00:00:00',4,1,11,2006,'M','N','SANTA CRUZ','RIBEIRãO PRETO','SP','125252251217572431469834571122610137047',3984,'9998',61.10,1,3,NULL),(16,3259994,'1989-05-23 00:00:00',4,8,12,2006,'M','N','ITINGA','JOINVILLE','SC','124241241215472431666614345114610127047',14324,'459',41.00,1,3,NULL),(16,3260003,'1990-05-09 00:00:00',2,1,12,2007,'F','N','PICADAS DO SUL','S JOSé','SC','124242241217372431456633375124610123052',NULL,'1074',21.66,2,1,2),(16,3260011,'1987-03-31 00:00:00',4,8,1,2005,'M','N','CENTRO','S BENTO SUL','SC','124241241112141431436614342213610167057',NULL,'697',28.58,1,2,1),(16,3260020,'1990-12-21 00:00:00',2,5,12,2007,'F','N','SÃO DEFENDE','CRICIúMA','SC','124244248217271721426519394124610164012',NULL,'230',28.71,1,3,NULL),(16,3260038,'1983-10-08 00:00:00',5,1,12,1998,'F','N','ALTO ARIRIÚ','PALHOCA','SC','124241241126134131221144382224222212197',10525,'591',47.88,3,2,1),(16,3260046,'1991-01-18 00:00:00',4,2,10,2008,'M','N','VELHA','BLUMENAU','SC','124242241214111431488814375124610127012',11770,'909',45.69,1,3,NULL),(16,3260062,'1990-10-01 00:00:00',4,4,12,2008,'M','N','INTERIOR','PALMITINHO','RS','120201201136161431313636572324610117042',NULL,'9998',20.65,1,3,NULL),(16,3260070,'1992-08-10 00:00:00',4,3,12,2009,'M','S','CENTRO','BRUSQUE','SC','124242241215111731674612275112610127012',NULL,'109',44.49,1,3,NULL),(16,3260100,'1985-05-03 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','124133131337374431226444341334141464142',NULL,'9998',19.88,1,3,NULL),(16,3260119,'1975-09-23 00:00:00',4,1,12,1992,'F','N','PANTANAL','FLORIANóPOLIS','SC','424251251117471431233346445124610115037',13766,'9998',42.13,1,2,1),(16,3260143,'1989-04-09 00:00:00',4,1,12,2005,'M','N','RIO TAVARES','FLORIANOPOLIS','SC','124241241336474231555712341114610167062',14554,'300',40.61,1,3,NULL),(16,3260151,'1991-10-23 00:00:00',4,7,12,2008,'M','N','INTERIOR','VIDEIRA','SC','124241241112131631423315252224610144047',14327,'831',41.00,1,2,1),(16,3260160,'1992-03-24 00:00:00',2,1,12,2009,'F','S','ITACORUBI','FLORIANóPOLIS','SC','124244241116131431436723575124610132077',NULL,'298',23.52,1,3,NULL),(16,3260178,'1990-11-24 00:00:00',2,1,12,2008,'F','N','FUNDOS','BIGUAçU','SC','124241241116131431421314295334610126047',NULL,'295',31.49,1,2,1),(16,3260186,'1991-09-08 00:00:00',2,5,12,2008,'F','N','PINHEIRINHO','CRICIúMA','SC','124242248216141731333419575122610114053',10812,'995',47.34,1,3,NULL),(16,3260194,'1991-11-08 00:00:00',4,8,12,2008,'M','N','BANDEIRANTES','JURANDA','PR','116164161117371731449614475115610164171',NULL,'9998',0.00,3,3,NULL),(16,3260216,'1990-05-09 00:00:00',4,6,12,2007,'M','N','NEREU RAMOS','JARAGUÁ SUL','SC','124242241215152751448714575114610164051',9473,'424',49.78,1,3,NULL),(16,3260224,'1991-01-30 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241115371411444314172124610131042',14112,'298',41.41,4,1,1),(16,3260240,'1990-09-28 00:00:00',2,2,11,2007,'M','N','CANTA GALO','RIO SUL','SC','124242241216273431643619245125130724047',12016,'1013',45.24,1,3,NULL),(16,3260259,'1981-09-22 00:00:00',2,1,12,1999,'M','N','SERRINHA','FLORIANóPOLIS','SC','124071076116143421124644245231221767187',9307,'9998',50.06,2,1,1),(16,3260267,'1992-02-18 00:00:00',2,1,12,2008,'M','N','SETOROESTE','VL RICA','MT','111111111136131731513436282124610167047',12869,'9998',43.73,4,2,1),(16,3260275,'1982-10-04 00:00:00',4,1,10,2008,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','524241247637271431436519382124610166097',15127,'9999',39.35,1,3,NULL),(16,3260283,'1989-01-26 00:00:00',2,1,12,2007,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241217472431468811595114610127057',7652,'1022',53.05,1,3,NULL),(16,3260291,'1985-03-14 00:00:00',4,2,12,2002,'M','N','VELHA','BLUMENAU','SC','124241241112133431316619382121610164187',NULL,'79',0.00,1,2,1),(16,3260305,'1989-11-04 00:00:00',4,8,12,2007,'M','N','VILA FáTIMA','S VICENTE','SP','125252132116371431679933565124610126032',NULL,'9998',0.00,1,3,NULL),(16,3260313,'1990-04-15 00:00:00',4,3,12,2007,'M','N','VILA PINHEIRO','PRES PRUDENTE','SP','125251251111471731446833395125610164082',14052,'9998',41.55,1,2,1),(16,3260321,'1989-01-06 00:00:00',2,1,12,2007,'M','N','BELA VISTA','S JOSé','SC','124241241126473431525512425124133217042',NULL,'257',19.39,1,3,NULL),(16,3260330,'1984-02-24 00:00:00',2,1,12,2002,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241127374711423324241124610164187',16570,'922',35.05,1,3,NULL),(16,3260348,'1990-04-25 00:00:00',4,1,11,2007,'F','N','BARREIROS','S JOSé','SC','124242241217232731224423172124221424197',6221,'738',55.87,1,3,NULL),(16,3260356,'1991-04-22 00:00:00',4,4,12,2008,'M','N','SAIC','CHAPECó','SC','124243241217111431251924574122610122057',2850,'1094',64.23,1,3,NULL),(16,3260364,'1991-12-19 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124243241116131431333823391224610147047',NULL,'288',27.07,1,3,NULL),(16,3260372,'1991-09-14 00:00:00',4,1,12,2008,'M','N','VILA PALMIRA','CPO GRANDE','MS','112124128434211131368832495122610127021',6015,'9998',56.33,1,3,NULL),(16,3260380,'1991-02-09 00:00:00',4,1,12,2008,'F','N','CANOAS','RIO SUL','SC','124242241215111421338733575122610114197',NULL,'991',26.97,1,3,NULL),(16,3260410,'1991-04-11 00:00:00',4,2,10,2008,'M','N','CENTRO','GASPAR','SC','124242241211111431244413575125610127182',NULL,'9997',47.16,1,3,NULL),(16,3260429,'1981-04-20 00:00:00',4,1,11,2008,'M','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','224241241125131411443444141124610137043',NULL,'298',30.65,1,3,NULL),(16,3260437,'1986-01-07 00:00:00',2,1,12,2003,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241216135421349933435122231024182',7427,'270',53.46,1,3,NULL),(16,3260453,'1965-11-11 00:00:00',5,1,12,1983,'F','N','CENTRO','S JOSé','SC','224241243111131421423656321124610166172',NULL,'513',23.72,1,2,1),(16,3260461,'1992-06-19 00:00:00',4,5,11,2009,'F','S','CENTRO','URUSSANGA','SC','124242241216371431446939592122610128092',NULL,'820',35.87,1,3,NULL),(16,3260470,'1987-06-06 00:00:00',4,1,1,2005,'M','N','COOPHEMA','CUIABá','MT','111112117216131421354924485124142044191',NULL,'9998',0.00,1,3,NULL),(16,3260488,'1989-11-01 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241217112431546811315132220767097',4113,'1057',60.74,1,3,NULL),(16,3260496,'1987-10-21 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241116475431547939484124232726141',11986,'267',45.28,1,3,NULL),(16,3260518,'1992-06-08 00:00:00',4,5,12,2009,'F','S','RIO MOLHA','JARAGUá SUL','SC','124242241216111431569711575122610136012',NULL,'442',0.00,1,3,NULL),(16,3260526,'1991-01-03 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241112471751624479592324610168144',NULL,'292',19.78,4,2,1),(16,3260542,'1991-08-30 00:00:00',2,4,11,2008,'M','N','CENTRO','IPORã OESTE','SC','124243241527161431356929242124610127047',10618,'370',47.70,1,3,NULL),(16,3260550,'1991-05-05 00:00:00',2,5,11,2008,'F','N','RIO SALTO','URUSSANGA','SC','124242241215111431437612575222610127142',14589,'820',40.53,1,3,NULL),(16,3260569,'1986-10-14 00:00:00',4,1,12,2003,'M','N','VARGEN GRANDE','FLORIANóPOLIS','SC','124161161136132451124644147124610164182',NULL,'9998',0.00,1,3,NULL),(16,3260577,'1992-02-05 00:00:00',4,5,11,2009,'M','S','CENTRO','URUSSANGA','SC','124242241215111631557812272122610118142',NULL,'820',39.66,1,3,NULL),(16,3260585,'1990-09-18 00:00:00',4,5,12,2007,'F','N','CENTRO','CRICIúMA','SC','124242241216372431468814572124610123097',NULL,'213',0.00,1,3,NULL),(16,3260615,'1975-02-17 00:00:00',4,1,12,1993,'M','N','PICADAS DO SUL','S JOSé','SC','224241243127133431324344345134610114017',13051,'257',43.40,2,1,1),(16,3260623,'1986-12-01 00:00:00',4,1,6,2005,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124202207217131431437744345213140464145',NULL,'9998',20.18,1,3,NULL),(16,3260640,'1983-08-16 00:00:00',2,1,7,2002,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241122472421326529342114610113022',16099,'285',36.94,2,1,1),(16,3260666,'1992-07-30 00:00:00',4,1,11,2009,'F','S','BARREIROS','S JOSé','SC','124242243215111412538613575124610124142',NULL,'1118',0.00,1,3,NULL),(16,3260674,'1985-05-28 00:00:00',2,1,2,2004,'F','N','CENTRO','PALHOçA','SC','624201201117372431246654481124610122141',12585,'9998',44.20,2,3,NULL),(16,3260682,'1991-05-11 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217112511459911575112610127112',NULL,'1022',33.36,4,3,NULL),(16,3260690,'1987-03-31 00:00:00',4,1,11,2004,'M','N','ABRAãO','FLORIANóPOLIS','SC','124242241217275431256621242114610134197',7435,'737',53.44,1,3,NULL),(16,3260704,'1992-12-07 00:00:00',4,1,10,2009,'M','S','SANTOS DUMONT','S JOSé','SC','124241241215111711111632121111610164092',NULL,'1118',19.27,1,3,NULL),(16,3260712,'1990-02-13 00:00:00',4,1,12,2007,'F','N','SANTA MONICA','FLORIANóPOLIS','SC','124242241217132431538719395124232867057',NULL,'1133',28.69,4,1,2),(16,3260720,'1988-01-17 00:00:00',2,1,12,2006,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241247416141751433632345134610167172',NULL,'306',19.63,1,3,NULL),(16,3260739,'1977-03-05 00:00:00',4,1,12,1996,'M','N','ASA NORTE','BRASíLIA','DF','107074071416151431138843332334143214097',NULL,'9998',0.00,4,3,NULL),(16,3260763,'1989-05-04 00:00:00',2,1,12,2006,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241216473731248933572222221534092',NULL,'974',41.86,1,3,NULL),(16,3260771,'1981-03-12 00:00:00',2,1,12,2002,'F','N','CAMPECHE','FLORIANóPOLIS','SC','224241247437165122426954385122130215147',NULL,'9999',23.10,1,3,NULL),(16,3260780,'1986-11-27 00:00:00',4,1,10,2005,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124244241216374411448913472114132762197',8989,'300',50.60,4,3,NULL),(16,3260798,'1990-11-24 00:00:00',4,1,12,2007,'F','N','LUCAS ARAúJO','PASSO FUNDO','RS','120204201316571531445624275113610144122',15569,'9997',38.39,1,3,NULL),(16,3260801,'1991-03-18 00:00:00',4,5,12,2008,'F','N','SãO CRISTóVãO','CRICIúMA','SC','124243241215132431446711575122610128097',2746,'211',64.58,1,3,NULL),(16,3260828,'1988-02-16 00:00:00',4,8,12,2005,'M','N','JARDIM BANDEIRANTES','CORNéLIO PROCóPIO','PR','116162161216571431458514575122610167042',NULL,'9998',0.00,1,3,NULL),(16,3260836,'1989-04-06 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124243241212573431569913572124610137055',10613,'269',47.71,1,3,NULL),(16,3260844,'1991-02-22 00:00:00',4,8,12,2008,'M','N','BALN RAINHA DO MAR','ITAPOá','SC','124241248115161731426317172124610134157',NULL,'413',21.05,1,3,NULL),(16,3260852,'1988-05-02 00:00:00',4,5,12,2005,'M','N','CENTRO','CRICIúMA','SC','124204201431143731135532292125143228057',11258,'9998',46.55,1,3,NULL),(16,3260879,'1988-11-28 00:00:00',4,1,11,2006,'M','N','AREIAS','S JOSé','SC','124201241317232411436619142123610124051',NULL,'868',28.54,1,3,NULL),(16,3260909,'1986-04-21 00:00:00',2,9,12,2003,'F','N','PROGRESSO','RIO SUL','SC','124241241115472431335524485125131422147',2531,'659',65.24,1,2,1),(16,3260917,'1989-08-23 00:00:00',2,7,12,2006,'F','N','CENTRO','PAIM FILHO','RS','124201201126131411447639395125230638147',12160,'9998',44.97,1,3,NULL),(16,3260925,'1988-02-08 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124244241436132431436613345124133225117',NULL,'1022',0.00,1,3,NULL),(16,3260933,'1988-09-25 00:00:00',4,1,11,2007,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241247125131711523319242224610136142',NULL,'9999',28.51,1,2,1),(16,3260941,'1987-08-13 00:00:00',2,1,6,2005,'F','N','CENTRO','PALHOçA','SC','124241241131132131326779141124133224037',NULL,'277',0.00,1,2,1),(16,3260950,'1974-05-25 00:00:00',4,5,6,2008,'M','N','ALVORADA','PR GRANDE','SC','124202201212131731533345152213610118042',NULL,'641',28.12,1,3,NULL),(16,3260968,'1990-08-08 00:00:00',4,1,10,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217121411487613575122610167012',14395,'266',40.89,1,3,NULL),(16,3260976,'1986-10-22 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248231572731369921572122610118142',NULL,'270',22.23,1,3,NULL),(16,3260992,'1990-08-30 00:00:00',4,4,11,2007,'F','N','FREI VITO','CHOPINZINHO','PR','116164161216471751438812571224610162187',1628,'9998',68.75,1,3,NULL),(16,3261000,'1990-10-20 00:00:00',4,1,12,2007,'M','N','PARTENON','PTO ALEGRE','RS','120114111217271411228614275124141434067',12848,'9998',43.76,1,3,NULL),(16,3261018,'1983-05-16 00:00:00',2,1,12,2001,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241132572431123649392324610121187',NULL,'669',43.63,1,2,1),(16,3261026,'1981-11-12 00:00:00',4,1,12,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241245125131331666313242124610144142',NULL,'307',23.09,1,2,1),(16,3261034,'1990-05-10 00:00:00',2,1,11,2007,'M','N','BARREIROS','S JOSé','SC','124243241122111411337723215121610167082',NULL,'732',15.93,1,3,NULL),(16,3261042,'1987-03-07 00:00:00',4,1,11,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241216474431448933475124220443147',4289,'446',60.26,1,3,NULL),(16,3261050,'1989-07-06 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124162161216574421548912475124610143057',1856,'9998',67.77,1,3,NULL),(16,3261069,'1990-04-10 00:00:00',4,1,11,2007,'F','N','BELA VISTA','S JOSé','SC','124244241211152331446631575124232828077',NULL,'738',23.42,1,3,NULL),(16,3261077,'1990-09-23 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','S JOSé','SC','124241241112371441433314385124610126087',NULL,'732',21.84,1,2,1),(16,3261085,'1980-08-17 00:00:00',4,1,11,2000,'M','N','SERRINHA','FLORIANóPOLIS','SC','124162163211134441659711281124120926042',13111,'9998',43.31,1,3,NULL),(16,3261093,'1978-01-24 00:00:00',2,1,12,1996,'F','N','SANTOS DUMONT','S JOSé','SC','524241243122234431323344242124610134147',NULL,'359',0.00,1,3,NULL),(16,3261107,'1986-09-17 00:00:00',4,1,12,2003,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124243241316575431659713445134231067067',1385,'270',69.91,1,3,NULL),(16,3261115,'1990-10-22 00:00:00',2,1,12,2007,'F','N','CENTRO','ESTEIO','RS','120202201216571431537711575124610118177',9384,'9998',49.93,4,3,NULL),(16,3261123,'1991-05-24 00:00:00',5,9,12,2008,'M','N','SãO CRISTóVãO','LAGES','SC','124243241215471421566613571121610168172',2855,'499',64.21,1,3,NULL),(16,3261131,'1988-12-16 00:00:00',4,7,12,2005,'M','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124241241116141411334923134125130226187',15827,'139',37.68,1,2,1),(16,3261140,'1981-04-28 00:00:00',4,1,12,2002,'F','N','PICADAS DO SUL','S JOSé','SC','124243247426131431424311381312610137187',NULL,'1076',14.89,4,3,NULL),(16,3261158,'1990-11-29 00:00:00',2,2,12,2007,'F','N','MARGEM ESQUERDA','GASPAR','SC','124241241215372431569611445122610167142',5256,'955',57.99,1,3,NULL),(16,3261166,'1988-08-31 00:00:00',4,1,11,2005,'F','N','MAR GROSSO','LAGUNA','SC','124242241215573451436933571224610163027',6094,'807',56.14,1,3,NULL),(16,3261174,'1987-01-27 00:00:00',4,1,12,2005,'M','N','FORQUILHINHAS','S JOSé','SC','124243241117134411446611475114130735012',12155,'733',44.98,1,3,NULL),(16,3261182,'1988-01-26 00:00:00',4,1,12,2005,'F','N','CACUPé','FLORIANóPOLIS','SC','124242241215373421386932475122230232092',1455,'270',69.53,1,3,NULL),(16,3261212,'1990-01-12 00:00:00',4,1,6,2008,'F','N','BARREIROS','S JOSé','SC','124281281117271431448711382324610127022',15182,'9998',39.25,1,3,NULL),(16,3261220,'1985-12-07 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241212142411548811382122331027187',NULL,'269',0.00,1,3,NULL),(16,3261239,'1989-09-12 00:00:00',2,1,12,2006,'F','N','VILA NOVA','IMBITUBA','SC','124241241111371431436613385124610121077',16032,'359',37.16,1,2,1),(16,3261247,'1991-05-03 00:00:00',2,1,12,2008,'F','N','PINHEIRA','PALHOçA','SC','124241241127161411534639192124610118052',NULL,'595',27.92,1,2,1),(16,3261255,'1991-04-20 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241125171431623623575114610117042',NULL,'285',21.93,2,3,NULL),(16,3261263,'1989-08-13 00:00:00',2,1,12,2006,'F','N','PINHEIRINHO','PATO BRANCO','PR','116162161217472431346923575124610136052',6387,'9998',55.51,1,3,NULL),(16,3261271,'1981-01-20 00:00:00',2,1,12,1998,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241116134431346629495124231032032',NULL,'307',0.00,4,1,1),(16,3261298,'1990-02-21 00:00:00',4,10,12,2006,'F','N','MAR GROSSO','LAGUNA','SC','124164241417571431478613575114131034052',NULL,'525',0.00,1,3,NULL),(16,3261301,'1988-08-17 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124241248127132111326627392315610167112',NULL,'277',0.00,4,1,1),(16,3261310,'1974-08-27 00:00:00',2,1,12,2005,'F','N','CAEIRA SACO DOS LIM','FLORIANóPOLIS','SC','224241245125131431433353172124610141147',NULL,'281',20.08,1,2,1),(16,3261328,'1985-04-03 00:00:00',2,1,4,2003,'M','N','CENTRO','MEDIANEIRA','PR','116162248216354211344919485121240247051',NULL,'269',20.80,1,3,NULL),(16,3261336,'1990-01-10 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241117131431424613345124610128147',NULL,'307',29.18,1,2,1),(16,3261344,'1991-05-04 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243241235111411546639375114610163042',NULL,'1022',26.46,3,3,NULL),(16,3261352,'1990-03-01 00:00:00',4,8,11,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241142132411426523241224610124077',NULL,'464',25.46,4,2,1),(16,3261360,'1991-02-08 00:00:00',4,5,12,2008,'M','N','DEMBOSKI','CRICIúMA','SC','124244248212111531536933595124610127042',NULL,'995',4.59,1,3,NULL),(16,3261387,'1991-06-17 00:00:00',2,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241115371731436633575114610127047',NULL,'298',28.87,1,2,1),(16,3261395,'1984-01-17 00:00:00',4,4,11,2000,'F','N','CENTRO','STA MARIA','RS','120202201217571431556714475122343247012',NULL,'9998',0.00,1,3,NULL),(16,3261409,'1990-08-16 00:00:00',4,1,12,2007,'F','N','FORQUILHAS','S JOSé','SC','124241241432371431233524242234610128147',NULL,'733',28.06,1,3,NULL),(16,3261417,'1988-09-24 00:00:00',4,1,11,2006,'M','N','ACLIMAçãO','S PAULO','SP','125252251217572411448811575122610126057',5024,'9998',58.56,3,3,NULL),(16,3261425,'1974-08-07 00:00:00',4,1,12,1991,'M','N','JOAO PAULO','FLORIANóPOLIS','SC','224201201146152221374743135132321462087',2183,'9998',66.48,1,3,NULL),(16,3261433,'1990-05-02 00:00:00',4,1,12,2008,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124243241137151431456933375124610124142',NULL,'257',31.79,1,3,NULL),(16,3261441,'1990-12-12 00:00:00',2,9,12,2007,'F','N','SANTA RITA','LAGES','SC','124241241415371431234923375125610166187',794,'499',73.47,1,3,NULL),(16,3261450,'1989-05-17 00:00:00',2,4,12,2006,'F','N','CENTRO','CASCAVEL','PR','116222031215211441439913571315142466177',NULL,'9998',0.00,1,3,NULL),(16,3261468,'1988-06-19 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124243241216273731457814395124230533147',7101,'868',54.10,4,3,NULL),(16,3261476,'1976-07-14 00:00:00',4,1,12,1996,'M','N','CENTRO','PALHOçA','SC','224241243127134421423344242233130828187',NULL,'1117',24.67,2,1,1),(16,3261484,'1990-04-24 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124212211216471431318721215224610142027',9960,'9998',48.84,1,3,NULL),(16,3261492,'1985-09-24 00:00:00',4,2,12,2003,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124242241217474431478831575122231312197',12841,'86',43.77,1,3,NULL),(16,3261506,'1991-02-05 00:00:00',4,1,12,2008,'M','N','BUTANTAN','S PAULO','SP','125254251216111431489914575112610167042',2494,'9998',65.35,1,3,NULL),(16,3261514,'1968-04-06 00:00:00',2,1,12,1986,'F','N','ITACORUBI','FLORIANóPOLIS','SC','224202201211571751336554415124342513113',NULL,'9998',24.19,1,3,NULL),(16,3261522,'1988-03-03 00:00:00',4,1,12,2006,'M','N','COLONINHA','FLORIANóPOLIS','SC','124242241435133441446614491124232837042',7973,'1022',52.48,4,3,NULL),(16,3261530,'1987-08-26 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','121053211316372431428614445121142264142',11014,'9998',46.99,1,3,NULL),(16,3261549,'1988-05-17 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124251251146271411127344145124142766027',14970,'9998',39.73,1,2,1),(16,3261557,'1990-09-10 00:00:00',4,8,12,2008,'M','N','NUCLEO COLONIAL','RIBEIRãO PIRES','SP','125252251436111431468469385125620138127',15071,'9998',39.49,1,3,NULL),(16,3261565,'1976-08-06 00:00:00',4,1,12,1994,'M','N','CENTRO','GOIâNIA','GO','101244026642532151288619217132142721176',9834,'9998',49.09,1,3,NULL),(16,3261573,'1989-12-24 00:00:00',4,1,12,2006,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124203201217131432236632342134610124077',NULL,'9998',27.86,1,3,NULL),(16,3261581,'1987-04-13 00:00:00',2,1,12,2004,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124244241212112431246823295124231064067',NULL,'270',26.28,1,3,NULL),(16,3261590,'1991-06-04 00:00:00',2,4,12,2008,'F','N','LINHA DO MEIO','PALMITOS','SC','124241241116111431426636572122610157057',16434,'601',35.78,1,3,NULL),(16,3261603,'1962-06-30 00:00:00',2,1,12,1982,'F','N','ITACORUBI','FLORIANóPOLIS','SC','524131258224132441422343132124140966017',11759,'9998',45.71,1,3,NULL),(16,3261620,'1991-07-09 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIçã','FLORIANóPOLIS','SC','124244241217121431437932325224610167187',7094,'299',54.11,1,3,NULL),(16,3261638,'1986-08-30 00:00:00',2,1,11,2004,'M','N','AREIAS','S JOSé','SC','124242241215575411457613475124220721037',7728,'725',52.92,1,3,NULL),(16,3261646,'1984-12-23 00:00:00',2,1,12,2003,'F','N','NOSSA SENHORA DO ROS','S JOSé','SC','124243241215414711453423344124610128122',11336,'9997',46.43,1,3,NULL),(16,3261654,'1961-11-23 00:00:00',4,1,12,1981,'M','N','PANTANAL','FLORIANóPOLIS','SC','524241246117143641274443435122321866192',NULL,'306',0.00,1,3,NULL),(16,3261662,'1990-01-11 00:00:00',4,2,12,2007,'F','N','CENTRO','POUSO REDONDO','SC','124241241121372431223569376124610143177',9419,'639',49.86,4,2,1),(16,3261670,'1990-07-29 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241122131731524435252344610167042',10075,'574',48.64,1,3,NULL),(16,3261689,'1991-06-26 00:00:00',4,1,12,2008,'F','N','JARDIM PRIMAVERA','S PAULO','SP','125252251216111431549914575124610136192',2195,'9998',66.43,1,3,NULL),(16,3261697,'1984-02-06 00:00:00',1,2,12,2001,'M','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124241241116572431236951272122610167052',1580,'616',68.97,1,2,1),(16,3261700,'1991-04-23 00:00:00',4,8,11,2008,'F','N','AMIZADE','JARAGUá SUL','SC','124242241215271411257724472122610146012',11342,'441',46.42,1,3,NULL),(16,3261719,'1990-02-27 00:00:00',4,1,12,2009,'M','S','BOM ABRIGO','FLORIANóPOLIS','SC','124244241417171121437764575124610118072',NULL,'307',34.24,1,3,NULL),(16,3261727,'1990-06-27 00:00:00',4,3,12,2007,'M','N','CENTRO','NOVA ESPERANçA','PR','116164161117471431457933575124610134012',NULL,'9998',36.69,1,3,NULL),(16,3261735,'1989-06-20 00:00:00',2,1,12,2006,'F','N','PONTA DE BAIXO','S JOSé','SC','124242241112142431335614345124610167052',NULL,'733',28.90,1,3,NULL),(16,3261743,'1991-05-25 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241215111731586813575122610162142',NULL,'1022',0.00,1,3,NULL),(16,3261751,'1990-10-13 00:00:00',4,1,12,2007,'M','N','CENTRO','FRAIBURGO','SC','124244241317472431469931575124610117012',4912,'317',58.84,1,3,NULL),(16,3261760,'1992-01-11 00:00:00',4,1,12,2008,'M','N','RIO GRANDE','PALHOçA','SC','124241241225131431332324345124610142177',12244,'262',44.81,1,3,NULL),(16,3261778,'1975-04-28 00:00:00',4,1,12,1994,'F','N','INGLESES','FLORIANóPOLIS','SC','124201207222131411123341312314610166197',15975,'9998',37.30,1,3,NULL),(16,3261794,'1990-01-13 00:00:00',2,7,12,2007,'F','N','IMIGRANTES','ZORTéA','SC','124241241344371731526414271122610136147',NULL,'849',22.08,1,3,NULL),(16,3261808,'1987-10-29 00:00:00',2,1,12,2005,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241137131451118741215114133262187',NULL,'298',10.25,1,3,NULL),(16,3261816,'1986-06-04 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','124241248212135731468913491124231818143',10461,'300',47.98,4,3,NULL),(16,3261859,'1991-05-17 00:00:00',2,1,12,2008,'F','N','FORQUILHAS','S JOSé','SC','124242241215131431338924572114610114147',NULL,'1022',29.96,4,3,NULL),(16,3261867,'1979-04-25 00:00:00',4,1,6,1998,'F','N','CENTRO','FLORIANóPOLIS','SC','124244247436152441225744245124331022172',8611,'9999',51.22,1,3,NULL),(16,3261875,'1991-04-12 00:00:00',2,1,12,2008,'F','N','FLORESTA','S JOSé','SC','124161241116131431427839392124610127142',13631,'726',42.41,1,2,1),(16,3261883,'1987-12-22 00:00:00',2,4,12,2005,'M','N','MORRADA DO SOL','MONDAí','SC','124241241127131411223143135124131962047',NULL,'564',0.00,1,3,NULL),(16,3261891,'1988-07-06 00:00:00',2,2,12,2005,'F','N','JARDIM TRES MARIAS','GUARUJá','SP','125254251416271411448823575124610128197',NULL,'9998',0.00,1,3,NULL),(16,3261905,'1987-08-22 00:00:00',2,1,12,2004,'M','N','VILA NOVA','GOIâNIA','GO','109093091215571431657512572324610134097',1008,'9998',72.02,1,3,NULL),(16,3261913,'1990-07-18 00:00:00',4,8,12,2007,'M','N','AGUA VERDE','CURITIBA','PR','116161161315571431356639595124610166092',5794,'9998',56.83,1,3,NULL),(16,3261921,'1987-11-22 00:00:00',4,1,12,2005,'M','N','BARREIROS','S JOSé','SC','124243241317142731467414435124221032147',1938,'1036',67.44,1,3,NULL),(16,3261930,'1988-09-09 00:00:00',4,1,11,2005,'F','N','MORADA DA SERRA II','CUIABá','MT','111112111216574431569911571122610131077',1532,'9998',69.21,4,1,2),(16,3261948,'1991-02-15 00:00:00',2,5,12,2008,'M','N','RIO FIORITA','SIDERóPOLIS','SC','124242248212141321336614595124610117042',NULL,'995',35.47,1,3,NULL),(16,3261956,'1983-04-30 00:00:00',4,1,11,2000,'F','N','IPIRANGA','S JOSé','SC','124251251127131731214421185124610126142',NULL,'9998',0.00,2,1,1),(16,3261972,'1991-01-16 00:00:00',4,1,11,2008,'M','N','VILA MOEMA','TUBARãO','SC','124242241215111411589814575112610134042',9355,'226',49.97,1,3,NULL),(16,3261980,'1989-01-21 00:00:00',4,5,12,2006,'M','N','NSA SRA DA SALETE','CRICIúMA','SC','124244241415153111459811341124231447043',8458,'226',51.47,1,3,NULL),(16,3261999,'1989-09-18 00:00:00',2,10,12,2007,'M','N','VILA MOEMA','TUBARãO','SC','124242241216372421469814595122610137082',6385,'797',55.52,1,3,NULL),(16,3262006,'1987-06-18 00:00:00',2,1,12,2004,'F','N','CENTRO','CURITIBA','PR','116251251217572431256823375124242924097',NULL,'9998',0.00,1,3,NULL),(16,3262014,'1989-10-29 00:00:00',2,1,12,2007,'M','N','SUMARE','S PAULO','SP','125252251217472411569611591124610164137',2821,'9998',64.32,1,3,NULL),(16,3262022,'1991-09-15 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241114141411623319313324610137053',NULL,'298',25.07,1,3,NULL),(16,3262065,'1990-02-04 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124241241331131411666812245134610167042',NULL,'9997',28.51,1,3,NULL),(16,3262073,'1991-10-16 00:00:00',5,1,12,2008,'F','N','TRINDATE','FLORIANóPOLIS','SC','124241241116131411451111315122610118091',16261,'574',36.49,1,3,NULL),(16,3262081,'1990-09-10 00:00:00',2,2,12,2007,'M','N','DAS NAçõES','TIMBó','SC','124241248215372431559714375121610127117',NULL,'1157',27.96,1,3,NULL),(16,3262090,'1986-05-04 00:00:00',2,1,12,2005,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241216574431468811495122222224112',NULL,'270',35.78,1,3,NULL),(16,3262103,'1990-04-25 00:00:00',2,1,12,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241337131431426319245123610138157',NULL,'12',0.00,1,3,NULL),(16,3262111,'1963-10-26 00:00:00',2,1,12,1983,'M','N','BARREIROS','S JOSé','SC','124241248126434731223319285124610127097',NULL,'257',26.46,1,3,NULL),(16,3262120,'1988-02-22 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124244246416272431446613442121610127117',16201,'995',36.67,1,3,NULL),(16,3262138,'1991-05-28 00:00:00',4,2,12,2008,'M','N','GARCIA','BLUMENAU','SC','124242246216111431368924575122610124192',NULL,'9997',34.91,1,3,NULL),(16,3262146,'1982-02-03 00:00:00',4,1,12,1998,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241216152441369939381112231027057',NULL,'270',31.29,1,3,NULL),(16,3262154,'1987-10-26 00:00:00',2,1,7,2006,'M','N','KOBRASOL','S JOSé','SC','124241247237271421436634331123610122091',NULL,'1076',4.66,1,3,NULL),(16,3262170,'1991-06-14 00:00:00',2,1,11,2008,'F','N','COSTERA','FLORIANóPOLIS','SC','124243241115371531549413572224610117142',NULL,'281',15.05,1,3,NULL),(16,3262189,'1991-04-08 00:00:00',2,1,12,2008,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215111431258923595124610117057',15427,'1022',38.70,1,3,NULL),(16,3262200,'1991-10-25 00:00:00',2,4,12,2008,'M','N','NITERRóI','SEARA','SC','124243241215111211343923575121610137047',NULL,'1047',31.61,1,3,NULL),(16,3262219,'1981-05-12 00:00:00',2,1,12,2008,'F','N','JD CIDADE DE FPOLIS','S JOSé','SC','224241247122132631523454172122610123047',NULL,'976',25.56,3,2,1),(16,3262227,'1990-12-19 00:00:00',2,1,12,2007,'F','N','CENTRO','SALTINHO','SC','124241241144151411613436342211610136052',NULL,'682',34.21,1,2,1),(16,3262235,'1983-10-22 00:00:00',2,1,12,2003,'F','N','INGLESES','FLORIANóPOLIS','SC','124241247337373431323344342314610133142',NULL,'977',32.02,1,3,NULL),(16,3262243,'1986-04-01 00:00:00',4,1,12,2003,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124242241417475421558633445134330264057',12485,'269',44.42,1,3,NULL),(16,3262251,'1990-01-09 00:00:00',4,1,12,2008,'M','N','GALóPOLIS','CAXIAS SUL','RS','120201203215371431577712441124610143012',8906,'9998',50.73,1,3,NULL),(16,3262260,'1991-05-09 00:00:00',2,1,12,2008,'F','N','ENSEADA DE BRITO','PALHOçA','SC','124241241125161432326613575114610128142',15325,'594',38.92,1,3,NULL),(16,3262278,'1985-09-13 00:00:00',1,1,12,2003,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241122261411123329345124130218147',11429,'1012',46.30,1,2,1),(16,3262286,'1988-02-22 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124244241216472732659639246113610168114',12427,'262',44.50,1,3,NULL),(16,3262294,'1991-08-23 00:00:00',2,1,12,2008,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241116131431623415575124610114187',16564,'361',35.08,1,2,1),(16,3262308,'1984-08-20 00:00:00',4,8,12,2002,'F','N','CAXAMBU','JUNDIAí','SP','125252251215573431346723485124142062077',NULL,'9998',0.00,1,3,NULL),(16,3262316,'1990-08-19 00:00:00',2,1,12,2008,'F','N','PALMAS','GOV CELSO RAMOS','SC','124241241146371351316624385124610114143',NULL,'329',14.06,1,2,1),(16,3262324,'1991-09-23 00:00:00',2,1,12,2008,'F','N','PâNTANO DO SUL','FLORIANóPOLIS','SC','124241241115121431526414375124610161182',15456,'307',38.64,4,2,1),(16,3262332,'1983-11-22 00:00:00',2,1,12,2002,'F','N','INGLESES','FLORIANóPOLIS','SC','124243244326132521323644145224610126142',15120,'111',39.38,1,3,NULL),(16,3262340,'1991-09-28 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241116151431456313572124610127147',NULL,'592',28.67,4,3,NULL),(16,3262359,'1985-10-09 00:00:00',4,1,12,2004,'M','N','BUENO','GOIâNIA','GO','103021251225342132137626322222222642151',4779,'9998',59.11,1,3,NULL),(16,3262367,'1989-12-29 00:00:00',4,10,12,2007,'M','N','CAçADOR','CAPIVARI BAIXO','SC','124241241116372431426823575114610144092',13057,'1034',43.38,1,2,1),(16,3262375,'1986-05-27 00:00:00',4,8,12,2003,'M','N','ROCIO GRANDE','S FRANCISCO SUL','SC','124242241217141431626519242132230264047',16256,'867',36.51,1,3,NULL),(16,3262383,'1983-11-12 00:00:00',2,1,12,2002,'M','N','CENTRO','BIGUAçU','SC','124241247332254441256723395332120337111',NULL,'9999',38.58,1,3,NULL),(16,3262391,'1955-11-23 00:00:00',2,1,10,1989,'M','N','SAMBAQUI','FLORIANóPOLIS','SC','224241247117152711366641415122331962191',NULL,'9999',0.00,1,2,1),(16,3262405,'1983-07-29 00:00:00',2,1,8,2006,'M','N','ARMAçãO P DO SUL','FLORIANóPOLIS','SC','124241241121131712422644342333610126047',NULL,'592',25.61,1,2,1),(16,3262413,'1991-08-29 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSé','SC','124242241215121431648833575124610123192',10246,'1022',48.36,1,3,NULL),(16,3262421,'1981-01-08 00:00:00',2,1,12,1999,'F','N','SãO MIGUEL','CONCóRDIA','SC','124241245111154711436619481124332833097',6124,'192',56.08,1,2,1),(16,3262430,'1990-04-18 00:00:00',4,8,12,2007,'F','N','COLONIAL','S BENTO SUL','SC','124241241116273741448923444212610166097',10827,'697',47.31,1,2,1),(16,3262448,'1978-07-31 00:00:00',2,1,12,1995,'F','N','PETRóPOLIS','PASSO FUNDO','RS','120202201216571751569819494122541068187',NULL,'9998',0.00,1,3,NULL),(16,3262456,'1983-12-20 00:00:00',4,1,12,2002,'M','N','PRAIA BRAVA','ITAJAí','SC','124253251336432751438729392224230628187',NULL,'9998',10.39,1,3,NULL),(16,3262464,'1991-02-06 00:00:00',4,1,9,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215212432458711475114610168052',3624,'1022',62.02,4,3,NULL),(16,3262472,'1989-11-17 00:00:00',2,1,12,2007,'M','N','CAMPINAS','S JOSé','SC','124241241235372431466614442124610114043',13259,'262',43.04,1,3,NULL),(16,3262480,'1989-05-15 00:00:00',4,4,12,2006,'F','N','MARIA GORETTI','CHAPECó','SC','124241241116151411336632585124233244012',NULL,'169',19.08,4,2,1),(16,3262510,'1977-02-02 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243247333132441525811112224130266172',15714,'9999',38.04,1,3,NULL),(16,3262529,'1981-11-14 00:00:00',2,1,12,2000,'M','N','GUARá','GUARá','DF','107073071316575241648819585114610167047',3508,'9998',62.36,2,1,2),(16,3262537,'1983-12-01 00:00:00',4,1,12,2001,'M','N','PANTANAL','FLORIANóPOLIS','SC','224132131317141411269843232122343237187',2244,'9998',66.25,1,3,NULL),(16,3262545,'1990-07-23 00:00:00',4,7,12,2007,'F','N','SãO VICENTE','JOAçABA','SC','124241241111571431328314171344133226042',6930,'341',54.44,1,2,1),(16,3262553,'1989-05-28 00:00:00',2,9,12,2006,'M','N','CENTRO','LAGES','SC','124241241316472731359711575112610164047',5568,'1065',57.34,1,3,NULL),(16,3262561,'1967-12-03 00:00:00',2,1,7,1986,'M','N','CENTRO','FLORIANóPOLIS','SC','624241248111154722223643431334333227187',8784,'306',50.93,1,2,1),(16,3262570,'1981-08-17 00:00:00',3,1,12,1998,'F','N','CAMPECHE','FLORIANóPOLIS','SC','624242241111134411233644241233132864197',16012,'307',37.22,1,3,NULL),(16,3262588,'1990-07-21 00:00:00',2,4,11,2007,'M','N','PERPéTUO SOCORRO','S LOURENçO OESTE','SC','124241161111372731433914595115610167012',5270,'9998',57.93,4,2,1),(16,3262596,'1991-06-12 00:00:00',2,4,12,2008,'F','N','PRESIDENTE MEDICI','CHAPECó','SC','124241241136131431635511572124610161142',NULL,'179',24.41,1,3,NULL),(16,3262600,'1991-04-22 00:00:00',4,2,12,2008,'M','N','CANTA GALO','RIO SUL','SC','124241241112131411568813372112610124012',NULL,'659',23.20,1,3,NULL),(16,3262626,'1990-01-10 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241214213311218211372344610164096',3603,'1026',62.08,1,3,NULL),(16,3262634,'1985-05-03 00:00:00',4,1,12,2002,'M','N','FORQUILHINHAS','S JOSé','SC','124201201112133431237744342123610124057',NULL,'9998',28.56,1,2,1),(16,3262642,'1990-12-14 00:00:00',2,4,12,2007,'F','N','CENTRO','PASSOS MAIA','SC','124243241212371421436832374124133261172',16007,'1071',37.23,1,3,NULL),(16,3262650,'1988-08-22 00:00:00',4,6,12,2005,'F','N','SãO JUDAS','ITAJAí','SC','124242241215572431578732274122610126077',2259,'392',66.20,1,3,NULL),(16,3262669,'1990-10-03 00:00:00',2,8,11,2008,'F','N','PIRABEIRABA','JOINVILLE','SC','124242241215111431356912595124610162147',NULL,'1016',29.23,1,3,NULL),(16,3262677,'1990-07-09 00:00:00',4,1,12,2007,'M','N','CENTRO','PALOTINA','PR','116164161213372212448936415121610162061',NULL,'9998',0.00,1,3,NULL),(16,3262685,'1983-12-29 00:00:00',4,1,12,2001,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124242241216375411558633582124120464057',9591,'270',49.55,1,3,NULL),(16,3262693,'1989-04-23 00:00:00',4,1,11,2006,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241211573731568834371114610164117',7416,'269',53.49,1,3,NULL),(16,3262707,'1991-05-27 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241132131731323334245224610125027',NULL,'307',0.00,1,2,1),(16,3262715,'1990-04-07 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241416112421538818475114220767111',NULL,'270',0.00,1,3,NULL),(16,3262731,'1990-11-21 00:00:00',4,1,12,2007,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241132271732323329272214610164147',NULL,'1097',19.40,1,2,1),(16,3262740,'1991-01-07 00:00:00',2,1,12,2007,'F','N','FUNDO CANOAS','RIO SUL','SC','124241241147371411433514575114610165192',11503,'659',46.16,1,2,1),(16,3262758,'1979-09-08 00:00:00',4,1,11,1998,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','224202201216134421236853335134330241197',NULL,'9998',0.00,1,3,NULL),(16,3262766,'1955-07-10 00:00:00',2,1,12,1974,'F','N','TRINDADE','FLORIANóPOLIS','SC','624281281112212431238379492324320346187',15252,'9998',39.09,4,2,1),(16,3262774,'1990-12-09 00:00:00',4,1,12,2007,'F','N','CENTRO','STA ROSA','RS','124202201215472431436811572114610161142',7527,'9998',53.28,1,3,NULL),(16,3262782,'1981-06-18 00:00:00',2,1,12,1999,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241116472421226349392334610167147',15782,'669',37.83,1,2,1),(16,3262790,'1987-09-25 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241217272431468613485124133234143',NULL,'269',33.77,1,3,NULL),(16,3262804,'1992-01-15 00:00:00',4,1,12,2008,'M','N','PARQUE','CPO GRANDE','MS','125122251216111431279911575124610164042',NULL,'9998',0.00,1,3,NULL),(16,3262812,'1989-07-28 00:00:00',2,1,11,2008,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124241248122131721523339272324610117147',NULL,'281',23.51,4,3,NULL),(16,3262820,'1988-12-04 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241217372411269829575122120667112',1037,'266',71.80,1,3,NULL),(16,3262839,'1991-04-24 00:00:00',4,3,10,2008,'M','N','CENTRO','CASCAVEL','PR','116162161216111531378712175122610122014',NULL,'9998',0.00,1,3,NULL),(16,3262847,'1976-01-17 00:00:00',4,1,12,1994,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241136135421217841412221122217182',13478,'257',42.65,1,2,1),(16,3262855,'1980-01-22 00:00:00',4,1,12,1998,'F','N','CAMPECHE','FLORIANóPOLIS','SC','224072075216151441238853495124442067182',7413,'9998',53.49,4,3,NULL),(16,3262863,'1991-07-14 00:00:00',4,4,12,2008,'F','N','ALVORADA','XAXIM','SC','124241241116131431426335552324610131077',15219,'846',39.15,1,3,NULL),(16,3262871,'1990-08-28 00:00:00',2,1,12,2007,'M','N','CENTRP','CANELINHA','SC','124241241126141721436611115124233217057',NULL,'142',28.68,1,3,NULL),(16,3262880,'1991-05-19 00:00:00',4,1,12,2008,'M','N','CARANAZAL','SANTARéM','PA','114144141216121231557613575224610162052',NULL,'9998',36.97,4,3,NULL),(16,3262901,'1991-03-20 00:00:00',2,7,12,2008,'M','N','CENTRO','IPUMIRIM','SC','124241241115271431336933575122610121057',NULL,'374',29.42,1,2,1),(16,3262910,'1989-12-30 00:00:00',2,5,11,2007,'M','N','MICHEL','CRICIúMA','SC','124242241235472441638631495124610112097',6849,'210',54.57,1,3,NULL),(16,3262928,'1986-03-23 00:00:00',4,1,12,2003,'F','N','VILA NOVA','PTO ALEGRE','RS','120204201216571431468819491125141028182',NULL,'691',0.00,1,3,NULL),(16,3262936,'1988-09-15 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124243241312574431458831375124231467181',3750,'1036',61.70,1,3,NULL),(16,3262944,'1983-12-23 00:00:00',2,1,12,2001,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124164161416132541227833572123242832047',12621,'9998',44.14,1,3,NULL),(16,3262952,'1987-04-04 00:00:00',4,8,12,2004,'F','N','CABRAL','CURITIBA','PR','116162161216171221469939575122241267057',NULL,'9998',0.00,1,3,NULL),(16,3262960,'1990-12-10 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124242241212472431536714582224610127097',10384,'1036',48.11,1,3,NULL),(16,3262987,'1990-04-11 00:00:00',4,5,11,2008,'M','N','CENTRO','ARARANGUá','SC','124244241415111731588632372122610162095',15653,'27',38.18,1,3,NULL),(16,3262995,'1989-05-16 00:00:00',4,8,12,2006,'F','N','AMéRICA','JOINVILLE','SC','124083241111572731539933574124610165192',11576,'478',46.05,1,3,NULL),(16,3263002,'1991-04-19 00:00:00',4,10,12,2008,'F','N','HUMAITá DE CIMA','TUBARãO','SC','124241241115371731326612594124610127142',NULL,'798',20.37,1,2,1),(16,3263010,'1990-08-08 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241225111751223324445124610147045',NULL,'262',27.09,4,3,NULL),(16,3263029,'1990-10-29 00:00:00',4,1,12,2007,'M','N','JARDIM GIRASSOL','DOURADOS','MS','112122121217471232646621375122610167042',13216,'9998',43.11,1,3,NULL),(16,3263037,'1991-05-17 00:00:00',4,10,12,2008,'F','N','HUMAITA','TUBARãO','SC','124242241215111331657534375112610123192',NULL,'809',21.06,1,3,NULL),(16,3263045,'1974-03-22 00:00:00',4,1,12,1992,'M','N','CAMPINAS','S JOSé','SC','624252251216151721364743435132241467122',2787,'9998',64.46,1,3,NULL),(16,3263070,'1989-11-16 00:00:00',2,1,12,2006,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241116473731526624492124610124082',13859,'307',41.92,1,2,1),(16,3263088,'1988-11-22 00:00:00',2,1,12,2005,'M','N','CENTRO','DOIS IRMãOS','RS','120201206111131421348613345124610164012',NULL,'9998',44.54,1,2,1),(16,3263118,'1990-12-12 00:00:00',4,5,12,2008,'M','N','CATLÉIA','CAMPO BOM','RS','120202201217471431478934475122610142107',1948,'9998',67.38,1,3,NULL),(16,3263126,'1987-03-04 00:00:00',4,1,12,2004,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124252251117472431338911575125220661027',4298,'9998',60.24,1,3,NULL),(16,3263134,'1981-11-19 00:00:00',4,1,12,1999,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241126575431643311145124133217045',NULL,'307',31.84,1,2,1),(16,3263142,'1982-12-10 00:00:00',4,1,6,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','125282281417112431125644445124222265183',NULL,'9998',15.04,1,3,NULL),(16,3263150,'1991-04-28 00:00:00',2,1,11,2008,'M','N','MONTE CRISTO','FLORIANóPOLIS','SC','124243241115371711336623271124610117043',7982,'271',52.46,2,1,2),(16,3263169,'1986-09-09 00:00:00',4,1,12,2004,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124072241215273431388823575114231036192',2073,'270',66.90,1,3,NULL),(16,3263177,'1988-06-11 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241126372211436444445124610134042',13223,'59',43.11,1,2,1),(16,3263185,'1975-11-25 00:00:00',4,1,12,1992,'M','N','CENTRO','FLORIANóPOLIS','SC','124161164116132421221344445134610162172',NULL,'9998',0.00,1,2,1),(16,3263193,'1989-05-17 00:00:00',4,8,12,2006,'F','N','BOM RETIRO','JOINVILLE','SC','124241241134271431336344345124610136142',12203,'476',44.90,1,2,1),(16,3263207,'1993-03-04 00:00:00',4,1,12,2009,'M','S','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241137161731458713575124610118042',NULL,'322',27.01,1,3,NULL),(16,3263215,'1987-02-16 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124212211217272431346821475114141727017',3408,'9998',62.66,1,3,NULL),(16,3263223,'1992-01-03 00:00:00',4,4,12,2009,'F','S','CENTRO','CHAPECó','SC','124242241217121431545629374122610168192',NULL,'185',28.06,4,3,NULL),(16,3263231,'1979-02-09 00:00:00',2,1,12,1996,'M','N','ITACORUBI','FLORIANóPOLIS','SC','224201203126132441133643131123142327042',NULL,'9998',35.20,1,2,1),(16,3263240,'1991-11-11 00:00:00',4,6,11,2009,'F','S','SANTANA','RIO SUL','SC','124242241215111411548811585122610163092',NULL,'855',44.35,1,3,NULL),(16,3263258,'1991-05-10 00:00:00',4,3,12,2008,'F','N','MORRETES','ITAPEMA','SC','124241241114371431454332275124610137142',NULL,'406',22.86,1,2,1),(16,3263274,'1988-10-27 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124244241111574431556511342124610161091',7408,'281',53.50,1,3,NULL),(16,3263282,'1987-09-17 00:00:00',2,1,12,2008,'M','N','JOAO PAULO','FLORIANóPOLIS','SC','124241241336471431533311275123610115115',NULL,'298',25.12,1,3,NULL),(16,3263290,'1979-02-04 00:00:00',2,1,7,2004,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','224241241127141721323351232124610147145',NULL,'281',39.33,1,3,NULL),(16,3263304,'1988-07-18 00:00:00',2,6,12,2006,'M','N','DAS NAçõES','BAL CAMBORIú','SC','124201201117132421226614241144613247047',NULL,'9998',23.62,1,3,NULL),(16,3263312,'1991-01-29 00:00:00',4,6,11,2008,'F','N','CENTRO','NAVEGANTES','SC','124243241217271331558613372122610168077',NULL,'1029',0.00,1,3,NULL),(16,3263320,'1991-07-10 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241217271431288913572112610162042',10111,'391',48.59,1,3,NULL),(16,3263347,'1983-08-10 00:00:00',2,1,12,2000,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','224251251111131711222853381124143214092',14768,'9998',40.14,1,2,1),(16,3263355,'1989-09-27 00:00:00',2,5,11,2008,'M','N','CENTRO','ARARANGUá','SC','124242241413141541465639413125610168114',NULL,'29',28.20,1,3,NULL),(16,3263363,'1989-06-25 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215473431247573475114130462142',1360,'102',70.08,1,3,NULL),(16,3263371,'1986-05-29 00:00:00',4,6,12,2003,'M','N','BOA VISTA','PTO ALEGRE','RS','120202201216571731458923395121241247027',7992,'9998',52.44,1,3,NULL),(16,3263380,'1990-10-03 00:00:00',4,1,12,2008,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124242241215131431227724315124610167047',NULL,'1118',29.32,1,3,NULL),(16,3263398,'1980-11-25 00:00:00',2,1,12,1998,'F','N','SERRINHA','FLORIANóPOLIS','SC','424251251142232711336344242234610142192',NULL,'9998',0.00,4,2,1),(16,3263401,'1992-07-29 00:00:00',4,10,12,2008,'M','N','MEDIANEIRA','STA MARIA','RS','120202201216151411458834575124610167142',4515,'9998',59.73,1,3,NULL),(16,3263410,'1975-05-21 00:00:00',4,1,12,1991,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124202201216141421236621345134341243117',NULL,'9998',0.00,1,3,NULL),(16,3263428,'1991-01-01 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215111411356613435122610127052',NULL,'273',25.64,1,3,NULL),(16,3263436,'1991-08-25 00:00:00',2,7,12,2008,'F','N','FREI BRUNO','JOAçABA','SC','124242241216371431444919575124610162056',12670,'962',44.04,1,3,NULL),(16,3263444,'1992-04-02 00:00:00',4,6,12,2009,'F','S','CENTRO','NAVEGANTES','SC','124244241215111431357724575122610166072',NULL,'9997',41.08,1,3,NULL),(16,3263452,'1993-01-20 00:00:00',4,2,12,2009,'F','S','VELHA','BLUMENAU','SC','124242241217111431468931572114610123142',NULL,'855',28.28,1,3,NULL),(16,3263460,'1989-10-16 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124072241215372431388823575122230234062',2093,'270',66.82,1,3,NULL),(16,3263479,'1990-12-25 00:00:00',4,6,11,2008,'F','N','ARIRIBá','BAL CAMBORIú','SC','124242241235421531443732344122610124147',NULL,'1038',26.14,1,3,NULL),(16,3263487,'1987-09-21 00:00:00',4,1,12,2005,'M','N','KOBRASOL','S JOSé','SC','124242241115272411445531345124223227077',5925,'739',56.51,1,3,NULL),(16,3263495,'1983-12-23 00:00:00',4,1,12,2001,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242248217155432459613282112130748067',NULL,'303',32.51,3,3,NULL),(16,3263509,'1992-05-12 00:00:00',2,1,12,2009,'F','S','CAMPINAS','S JOSé','SC','124244241215111731469839575122610128113',NULL,'270',26.78,1,3,NULL),(16,3263517,'1991-04-15 00:00:00',2,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241215271431433611572221610137147',7895,'1014',52.60,1,3,NULL),(16,3263525,'1988-02-10 00:00:00',2,1,12,2005,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241127473431535314242124610166052',NULL,'290',32.37,1,2,1),(16,3263533,'1987-09-24 00:00:00',4,1,12,2005,'F','N','RESERVA DO MOULIN','S SEBASTIãO','SP','125252251215573732488931572114610162187',NULL,'9998',38.93,1,3,NULL),(16,3263541,'1991-02-07 00:00:00',4,10,12,2008,'M','N','CENTRO','GR PARá','SC','124241248135161431623334245121610114052',NULL,'330',26.77,1,3,NULL),(16,3263550,'1991-12-13 00:00:00',2,2,12,2008,'F','N','VILA GERMER','TIMBó','SC','124244241215151731436632571122610137142',NULL,'1157',29.92,1,3,NULL),(16,3263568,'1987-08-10 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241212134311346612472114133224091',NULL,'9999',25.52,1,3,NULL),(16,3263576,'1982-10-12 00:00:00',2,1,12,1999,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124163166115575451556612241324610123147',163,'9998',79.82,1,3,NULL),(16,3263584,'1991-05-28 00:00:00',4,5,12,2008,'F','N','CENTRO','ORLEANS','SC','124242241217111431448714575132610167072',NULL,'226',23.22,1,3,NULL),(16,3263592,'1992-01-15 00:00:00',4,3,11,2008,'F','N','NAçõES','BAL CAMBORIú','SC','124242241215111431537924474122610124147',7820,'1038',52.74,1,3,NULL),(16,3263606,'1990-11-22 00:00:00',2,5,11,2007,'M','N','CENTRO','PR GRANDE','SC','124241241131371441546832345121610137057',NULL,'641',23.43,1,3,NULL),(16,3263622,'1988-04-17 00:00:00',2,1,7,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241247417373431437631495122133227067',NULL,'270',0.00,1,3,NULL),(16,3263630,'1977-09-13 00:00:00',2,1,11,1995,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','224202201216151421238853445124142822197',NULL,'9998',13.16,1,3,NULL),(16,3263649,'1990-10-04 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241335271411444339182122610124142',11934,'288',45.38,1,3,NULL),(16,3263657,'1991-04-04 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241211372431388611572122610127053',2394,'738',65.71,1,3,NULL),(16,3263665,'1989-04-24 00:00:00',4,1,12,2006,'F','N','ALTO CAFEZAL','MARíLIA','SP','125251251415571431536634574124610138147',6854,'9998',54.57,3,3,NULL),(16,3263673,'1992-04-05 00:00:00',4,5,12,2008,'F','N','CENTRO','SIDERóPOLIS','SC','124244248216161431685532575122610135192',NULL,'767',20.99,1,3,NULL),(16,3263681,'1984-12-30 00:00:00',4,1,12,2008,'F','N','MUNICIPIOS','BAL CAMBORIú','SC','124241247137141411126644145321610127097',NULL,'9997',31.68,1,2,1),(16,3263690,'1991-02-06 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124244241212111431553932122124610137042',NULL,'1118',35.85,1,3,NULL),(16,3263703,'1986-12-01 00:00:00',2,1,12,2004,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124242241217133442556621212123230545117',NULL,'1022',38.84,1,3,NULL),(16,3263711,'1991-04-16 00:00:00',4,2,12,2008,'F','N','CENTRO','PRES GETúLIO','SC','124241241112131411224629392122610121057',13614,'644',42.44,1,2,1),(16,3263720,'1992-06-08 00:00:00',4,10,12,2009,'F','S','CENTRO','TUBARãO','SC','124242241212111431449911411122610118147',NULL,'806',50.94,1,3,NULL),(16,3263738,'1992-10-15 00:00:00',4,3,12,2008,'F','N','FIGUEROA','CAçADOR','SC','124244241216161731343924572122610117057',NULL,'119',22.84,5,3,NULL),(16,3263746,'1983-02-03 00:00:00',4,1,12,2001,'M','N','SERRINHA','FLORIANóPOLIS','SC','124241241121135231234544245124610167067',NULL,'292',31.07,1,2,1),(16,3263754,'1983-05-15 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241111374431456629495124610124187',12897,'307',43.67,1,2,1),(16,3263762,'1989-03-27 00:00:00',4,1,12,2006,'M','N','JARDIM DAS AMéRICAS','CUIABá','MT','111112111235371731588812475112610127042',NULL,'9998',39.23,4,3,NULL),(16,3263789,'1991-02-07 00:00:00',2,1,12,2008,'F','N','PRADO','BIGUAçU','SC','124242241215111431456613575114610134142',NULL,'1022',23.47,1,3,NULL),(16,3263797,'1991-02-08 00:00:00',2,5,12,2008,'F','N','COMERCIáRIO','CRICIúMA','SC','124242241215111431474412571122610144082',NULL,'226',21.18,1,3,NULL),(16,3263800,'1992-06-26 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431538932275122610111077',NULL,'1022',26.32,1,3,NULL),(16,3263819,'1988-09-15 00:00:00',2,1,12,2005,'F','N','CAEIRA SACO LIMõES','FLORIANóPOLIS','SC','124212241117153431626624342114610133147',14940,'307',39.80,1,3,NULL),(16,3263827,'1982-07-09 00:00:00',2,1,9,2002,'M','N','GUARDA DO CUBATãO','PALHOçA','SC','124241241132272431536421481213610135092',13644,'591',42.38,1,3,NULL),(16,3263843,'1989-05-13 00:00:00',2,1,12,2006,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','125251251117471431448613292123610123047',NULL,'9998',0.00,1,2,1),(16,3263851,'1979-11-05 00:00:00',2,1,12,1997,'F','N','PRAIA COMPRIDA','S JOSé','SC','124241241122251431446639495124610137153',NULL,'733',24.56,2,3,NULL),(16,3263878,'1991-05-09 00:00:00',4,10,11,2009,'M','S','VILA MOEMA','TUBARAO','SC','124241248215131531436624242121610117067',NULL,'1120',26.97,1,3,NULL),(16,3263894,'1991-01-06 00:00:00',4,8,12,2007,'M','N','CENTRO','UMUARAMA','PR','116162161215411451549931571114610157047',7186,'9998',53.94,1,3,NULL),(16,3263908,'1988-12-14 00:00:00',2,5,11,2006,'F','N','CENTRO','CRICIúMA','SC','124242241215572431335624375125610154042',5510,'226',57.44,1,3,NULL),(16,3263916,'1991-11-21 00:00:00',4,5,12,2008,'M','N','GUARITA','SOMBRIO','SC','124241241115131431546823575124610137057',16671,'1033',34.09,1,2,1),(16,3263924,'1990-10-09 00:00:00',2,1,12,2008,'M','N','JARDIM EUCALIPTO','PALHOçA','SC','124241241115141432546412222121610132062',15776,'592',37.85,1,2,1),(16,3263932,'1992-02-10 00:00:00',4,1,11,2008,'M','N','PONTA DE BAIXO','S JOSé','SC','124242241215111431567732575122610167042',8610,'723',51.23,1,3,NULL),(16,3263940,'1991-01-28 00:00:00',4,1,11,2008,'F','N','JARDIM PRIMAVERA','BIGUAçU','SC','124242241216141431553714345122610158187',NULL,'63',22.21,1,3,NULL),(16,3263959,'1989-05-13 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124241241215173221546513595124613267052',4292,'9997',60.26,1,3,NULL),(16,3263967,'1991-02-10 00:00:00',4,1,11,2008,'M','N','ALTO ARIRIú','PALHOçA','SC','124241241115141431436313345124610117147',NULL,'307',28.60,1,2,1),(16,3263975,'1986-07-01 00:00:00',4,1,12,2003,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241117372731324629344123610116187',16506,'276',35.44,1,2,1),(16,3263983,'1984-05-21 00:00:00',2,1,12,2003,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241126371221344823445224610164047',NULL,'278',25.87,1,2,1),(16,3264009,'1990-02-14 00:00:00',2,5,7,2008,'F','N','CENTRO','NOSSA SRA CARAVAGGIO','SC','124241246217131411438311412234610122147',NULL,'995',27.66,1,3,NULL),(16,3264025,'1990-04-18 00:00:00',2,1,11,2007,'F','N','COSTEIRA','FLORIANóPOLIS','SC','124242241215412431456531276114610138182',5691,'270',57.10,1,3,NULL),(16,3264033,'1989-09-27 00:00:00',2,1,3,2007,'M','N','JARDIM ELDORADO III','PALHOçA','SC','124241241142371412534514242114610134197',NULL,'1009',30.49,1,3,NULL),(16,3264041,'1990-04-16 00:00:00',2,9,12,2007,'M','N','COPACABANA','LAGES','SC','124241241125131431523311275324610116037',NULL,'498',35.04,1,2,1),(16,3264050,'1981-06-16 00:00:00',4,1,12,2000,'M','N','IPIRANGA','S PAULO','SP','125251251136573431435411345334610116117',16074,'9998',37.02,1,2,1),(16,3264068,'1988-10-18 00:00:00',4,1,12,2005,'M','N','CAMPINAS','S JOSé','SC','124241248116334711433519195124610132097',NULL,'307',27.50,1,3,NULL),(16,3264076,'1992-07-09 00:00:00',4,5,12,2009,'M','S','CENTRO','SOMBRIO','SC','124242241217151712447832324112610166047',NULL,'770',46.95,1,3,NULL),(16,3264084,'1982-10-02 00:00:00',4,1,5,2001,'M','N','FORQUILHINHAS','S JOSé','SC','124241241116133441443419345134610124067',NULL,'739',34.99,1,3,NULL),(16,3264092,'1991-04-17 00:00:00',2,1,11,2008,'F','N','SANTOS SARAIVA','S JOSé','SC','124241241112371431324421275124610164077',NULL,'732',27.33,1,3,NULL),(16,3264106,'1991-02-16 00:00:00',2,10,11,2008,'M','N','STO ANTôNIO DE PáDUA','TUBARãO','SC','124241241116131731425939375121610134062',NULL,'1034',22.14,1,3,NULL),(16,3264114,'1984-03-15 00:00:00',2,1,12,2001,'F','N','CAMPINAS','S JOSé','SC','124241241131271751124944341224133262142',12414,'89',44.52,1,3,NULL),(16,3264122,'1990-10-21 01:00:00',4,8,11,2008,'F','N','UBATUBA','S FRANCISCO SUL','SC','124241241135141531525329342324610124143',NULL,'710',22.80,4,3,NULL),(16,3264130,'1992-07-07 00:00:00',4,1,12,2008,'M','N','JOSé DE O MARTINS','MINEIROS','GO','109092091216111431566813575112610114122',NULL,'9998',0.00,1,3,NULL),(16,3264149,'1987-04-26 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241231234431379813475124610164142',9078,'270',50.46,1,3,NULL),(16,3264157,'1991-03-10 00:00:00',4,2,12,2008,'F','N','CAPITAIS','TIMBó','SC','124241241215122441668712475121610147092',15657,'1157',38.17,1,3,NULL),(16,3264165,'1989-11-07 00:00:00',2,1,12,2006,'F','N','ZONA SETE','MARINGá','PR','116162161216571421446516575112610164197',NULL,'9998',0.00,1,3,NULL),(16,3264173,'1991-06-10 00:00:00',4,4,12,2008,'M','N','CENTRO','SEARA','SC','124243241215111431348923575124610127147',NULL,'1047',40.80,1,3,NULL),(16,3264181,'1985-09-12 00:00:00',4,1,12,2002,'F','N','KOBRASOL','S JOSé','SC','124242241216575451435511495124230221077',5947,'724',56.46,1,3,NULL),(16,3264190,'1992-02-21 00:00:00',4,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215111431436932595122610133192',8318,'213',51.75,1,3,NULL),(16,3264203,'1989-05-20 00:00:00',4,7,12,2006,'F','N','CENTRO','JOAçABA','SC','124242241215572411378812575122131522142',13193,'454',43.15,1,3,NULL),(16,3264211,'1988-07-12 00:00:00',4,1,11,2005,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241212373731228729395114133264077',5168,'262',58.19,1,3,NULL),(16,3264220,'1991-01-18 00:00:00',4,1,12,2008,'M','N','VILA MARIA ALTA','S PAULO','SP','125252251216251431462312575124610166042',NULL,'9998',40.41,1,3,NULL),(16,3264238,'1992-06-12 00:00:00',4,1,11,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217111432449813572122610167042',NULL,'262',47.91,1,3,NULL),(16,3264246,'1991-10-01 00:00:00',2,1,12,2009,'F','S','CANASVIEIRAS','FLORIANóPOLIS','SC','124132241436111431433971295124610168177',NULL,'1048',27.33,1,3,NULL),(16,3264254,'1991-06-18 00:00:00',4,1,11,2008,'M','N','AREIAS','S JOSé','SC','124242241215111431544423475111610117047',NULL,'1078',30.48,1,3,NULL),(16,3264262,'1991-09-17 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241216111431446632572124610137012',NULL,'738',30.61,1,3,NULL),(16,3264270,'1979-04-16 00:00:00',4,2,12,1996,'F','N','GARCIA','BLUMENAU','SC','124242241212154421346953442122332262097',6208,'388',55.89,1,3,NULL),(16,3264289,'1980-08-22 00:00:00',2,1,12,1999,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241115333431554923485114130264027',NULL,'267',19.55,2,1,2),(16,3264297,'1991-08-26 00:00:00',2,1,11,2008,'M','N','IPIRANGA','S JOSé','SC','124242241215111431453437572124610147142',NULL,'1118',27.85,1,3,NULL),(16,3264300,'1991-05-24 00:00:00',2,2,12,2008,'M','N','SCHREIBER','SALETE','SC','124241241114131231324924482111610135012',NULL,'680',22.12,1,2,1),(16,3264319,'1991-10-22 00:00:00',4,1,12,2008,'M','N','CENTRO','BOM RETIRO','SC','124241241125161411226624145125610164052',NULL,'95',26.08,1,2,1),(16,3264327,'1991-07-16 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241227111431438639572124610137147',15823,'262',37.70,1,3,NULL),(16,3264335,'1991-04-17 00:00:00',2,5,12,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215121411347812425132610141172',NULL,'226',0.00,1,3,NULL),(16,3264343,'1991-12-07 00:00:00',2,1,12,2008,'M','N','CENTRO','IMARUí','SC','124241241117161431469613575122610134147',NULL,'356',0.00,1,2,1),(16,3264351,'1992-03-07 00:00:00',4,4,11,2008,'F','N','CENTRO','ERECHIM','RS','120201201217111432436833572122610128147',NULL,'9998',22.05,1,3,NULL),(16,3264360,'1992-03-28 00:00:00',4,3,12,2008,'F','N','BOMBAS','BOMBINHAS','SC','124246241437131431227823172324610137057',13363,'1089',42.86,1,3,NULL),(16,3264378,'1988-04-03 00:00:00',2,1,12,2005,'F','N','PANTANAL','BRUSQUE','SC','116161168117131731536521572114610133187',NULL,'9998',26.28,2,1,1),(16,3264386,'1991-09-19 00:00:00',4,1,12,2009,'F','S','ITAGUAçU','FLORIANóPOLIS','SC','124242241215111431587619575122610133142',NULL,'266',16.93,1,3,NULL),(16,3264394,'1990-08-20 00:00:00',4,4,12,2007,'F','N','CENTRO','XANXERê','SC','124242241216472711468619575112610134197',NULL,'836',24.94,1,3,NULL),(16,3264408,'1990-08-23 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111431489811572122610164142',11438,'270',46.29,1,3,NULL),(16,3264424,'1986-06-22 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241125371431126649195223610127047',NULL,'604',26.21,1,2,1),(16,3264432,'1989-05-23 00:00:00',4,1,12,2006,'M','N','ZONA SETE','MARINGá','PR','116163161117571731448829475111610114186',2462,'9998',65.47,1,3,NULL),(16,3264440,'1990-12-24 00:00:00',4,1,11,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241216272411448713372114610167112',1927,'403',67.48,1,3,NULL),(16,3264467,'1975-03-05 00:00:00',2,1,11,2008,'F','N','MARIA ANTONIETA','PINHAIS','PR','616161167146271441343444295113610166092',NULL,'9999',0.00,1,2,1),(16,3264475,'1977-05-24 00:00:00',4,1,12,1995,'M','N','TRINDADE','FLORIANóPOLIS','SC','124062066131153411238744345124123266195',7547,'9998',53.24,1,3,NULL),(16,3264483,'1989-10-20 00:00:00',4,4,12,2006,'F','N','SAIC','CHAPECó','SC','124241241115153431336934245134231424147',NULL,'169',0.00,1,2,1),(16,3264505,'1990-11-24 00:00:00',4,1,12,2008,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241117161752448613592124610148147',NULL,'306',27.89,4,2,1),(16,3264513,'1989-07-14 00:00:00',4,1,12,2007,'M','N','VILA JOãO JORGE','CAMPINAS','SP','125252253115271421669913212124610122142',8286,'9998',51.81,1,3,NULL),(16,3264521,'1989-11-08 00:00:00',4,4,12,2008,'M','N','EFACIP','PINHALZINHO','SC','124243247321171432349932385112610124147',NULL,'9999',23.47,1,3,NULL),(16,3264530,'1963-07-18 00:00:00',4,1,12,1992,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','224251251127131411333454145134610166052',NULL,'9998',21.84,4,3,NULL),(16,3264548,'1993-06-02 00:00:00',4,8,12,2009,'M','S','IRIRIú','JOINVILLE','SC','124242241217151431368832575122610164047',NULL,'931',48.02,1,3,NULL),(16,3264556,'1991-04-10 00:00:00',4,4,12,2008,'M','N','CENTRO','XAXIM','SC','124241241216371431459413492124610137042',13845,'1021',41.95,1,3,NULL),(16,3264564,'1990-12-02 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215121731337931592214610144072',NULL,'1022',25.61,1,3,NULL),(16,3264572,'1990-11-13 00:00:00',2,3,11,2008,'F','N','CENTRO','S JOAQUIM','SC','124242241211171431536933571122610116192',NULL,'1038',41.68,1,3,NULL),(16,3264602,'1992-03-04 00:00:00',2,1,12,2008,'F','N','BELA VISTA','S JOSé','SC','124243241317211731558313292124610134112',NULL,'1036',25.63,4,3,NULL),(16,3264610,'1961-01-10 00:00:00',2,1,11,1979,'M','N','ESTREITO','FLORIANóPOLIS','SC','224244243423133111268443232112131062187',NULL,'257',0.00,1,3,NULL),(16,3264629,'1988-05-23 00:00:00',2,1,11,2005,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241127131731523438142244610123117',15685,'307',38.10,1,3,NULL),(16,3264637,'1991-11-28 00:00:00',2,5,12,2008,'M','N','PARAGUAI','JACINTO MACHADO','SC','124242241217151432459834592115610167152',9501,'813',49.72,1,3,NULL),(16,3264645,'1987-03-23 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124162161217272131428844242334141034011',12758,'9998',43.90,1,3,NULL),(16,3264653,'1989-07-16 00:00:00',4,8,12,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124244241116131431239824445334610123021',NULL,'465',18.64,1,3,NULL),(16,3264661,'1990-07-03 00:00:00',4,1,12,2007,'M','N','CENTRO','CAMAQUã','RS','120202201116371431567823575124610167057',NULL,'9998',19.46,1,3,NULL),(16,3264670,'1991-10-21 00:00:00',4,8,12,2009,'M','S','SANTO ANTôNIO','JOINVILLE','SC','124242241215151431478714575122610162042',NULL,'1105',47.88,1,3,NULL),(16,3264696,'1989-04-09 00:00:00',2,1,12,2007,'M','N','ROçADO','S JOSé','SC','124243241215274411338614475114220326042',NULL,'1076',0.00,1,3,NULL),(16,3264700,'1987-12-02 00:00:00',2,1,12,2005,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124201201111371421533314241224140237042',14904,'9998',39.87,1,3,NULL),(16,3264718,'1989-05-18 00:00:00',2,1,12,2006,'F','N','PONTE DE IMARUIM','PALHOçA','SC','124242241432373431426744244124610143147',9478,'592',49.76,1,3,NULL),(16,3264726,'1991-08-12 00:00:00',2,1,11,2008,'F','N','PARQUE JAMBEIRO','CAMPINAS','SP','125254251215131731636827575124610167187',NULL,'9998',0.00,2,3,NULL),(16,3264734,'1986-10-21 00:00:00',2,1,12,2004,'M','N','PAES LEME','IMBITUBA','SC','124241241115474731124974445114121767117',NULL,'307',20.36,1,2,1),(16,3264742,'1988-12-17 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242247215131431426614482124610127077',NULL,'9999',28.22,2,3,NULL),(16,3264750,'1988-08-09 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124244248312131431336823472114610124182',NULL,'9999',0.00,1,3,NULL),(16,3264769,'1987-03-20 00:00:00',2,4,12,2004,'F','N','PROGRESSO','S LOURENçO OESTE','SC','124241248126131731533314345132140213147',NULL,'744',0.00,1,2,1),(16,3264777,'1987-08-14 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241212372731288849495122230237043',7786,'260',52.79,1,3,NULL),(16,3264785,'1991-10-01 00:00:00',4,1,11,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241215121411348933375125610133142',1137,'270',71.24,1,3,NULL),(16,3264793,'1988-05-12 00:00:00',4,1,12,2005,'M','N','VILA ESPERANçA','S PAULO','SP','125252251215571431568824575112610137127',NULL,'9998',0.00,1,3,NULL),(16,3264807,'1991-02-15 00:00:00',4,5,11,2008,'M','N','CRUZEIRO DO SUL','CRICIúMA','SC','124242241216272431369833495122610168042',4843,'211',58.99,1,3,NULL),(16,3264815,'1990-01-14 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215372431436819272121610127042',NULL,'1038',34.46,4,3,NULL),(16,3264823,'1991-12-07 00:00:00',2,1,12,2008,'M','N','CENTRO','IMARUí','SC','124241241117161431469613575122610134147',NULL,'356',0.00,1,2,1),(16,3264840,'1990-07-26 00:00:00',4,4,12,2007,'F','N','CENTRO','LARANJEIRAS SUL','PR','116161161315411411556614575125610114142',6363,'9998',55.56,1,3,NULL),(16,3264858,'1993-07-17 00:00:00',2,2,12,2008,'F','N','DAS NAçõES','TIMBó','SC','124241241216111731466932325125610135182',NULL,'1157',30.50,1,3,NULL),(16,3264866,'1988-10-22 00:00:00',4,1,12,2008,'M','N','SERRARIA','S JOSé','SC','124241247412271731524329345134610117047',NULL,'9999',16.10,2,3,NULL),(16,3264874,'1965-05-29 00:00:00',5,1,12,1989,'F','N','SANTA MONICA','FLORIANóPOLIS','SC','224251257445151431256659292122610161187',NULL,'9998',24.25,1,3,NULL),(16,3264882,'1991-03-07 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241115131731635539295124610167147',NULL,'288',18.50,1,3,NULL),(16,3264890,'1990-01-12 00:00:00',4,1,12,2007,'F','N','CENTRO','JABORANDI','SP','125254251215471431436831572124610162092',13420,'9998',42.76,1,3,NULL),(16,3264912,'1990-04-21 00:00:00',2,1,12,2007,'F','N','ABRAãO','FLORIANóPOLIS','SC','124243241212472431526723472124610143067',761,'988',73.72,1,3,NULL),(16,3264920,'1986-10-16 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216575231569833575124232634055',4338,'270',60.17,1,3,NULL),(16,3264939,'1991-05-13 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124241241126131231426618382124610117147',NULL,'736',24.81,1,2,1),(16,3264955,'1991-11-10 00:00:00',2,7,12,2008,'F','N','CENTRO','JOAçABA','SC','124242241214372431548512575122610166092',NULL,'962',29.51,1,3,NULL),(16,3264963,'1986-05-15 00:00:00',2,7,12,2005,'M','N','CENTRO','JOAçABA','SC','124242241436141432549812295112133227072',NULL,'539',0.00,1,3,NULL),(16,3264971,'1989-04-15 00:00:00',2,1,12,2007,'M','N','INTERIOR','S ROQUE','RS','120201201147131431436436242234610138057',NULL,'9998',0.00,1,2,1),(16,3264980,'1985-05-02 00:00:00',2,1,12,2005,'M','N','CENTRO','BIGUAçU','SC','124243247326331111323823445114610117057',NULL,'9999',28.50,4,3,NULL),(16,3264998,'1980-12-04 00:00:00',2,1,12,1998,'M','N','ABRAãO','FLORIANóPOLIS','SC','124203201216141731128613575124141227093',9106,'9998',50.40,1,3,NULL),(16,3265005,'1990-07-07 00:00:00',4,10,11,2008,'M','N','CENTRO','TUBARãO','SC','124244241217131331338329572321610114052',NULL,'809',23.98,2,1,2),(16,3265013,'1991-01-31 00:00:00',4,3,12,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','124244241235131441438614375121610128182',14450,'1111',40.79,1,3,NULL),(16,3265021,'1989-09-22 00:00:00',2,8,12,2006,'F','N','CENTRO','PNT GROSSA','PR','116161161215572421448613572124610163092',2662,'9998',64.81,1,3,NULL),(16,3265030,'1970-04-28 00:00:00',2,1,7,1998,'F','N','CENTRO','FLORIANóPOLIS','SC','124241247626375711244443135125330227181',NULL,'270',0.00,1,3,NULL),(16,3265048,'1990-09-06 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124162161216272411538811375214610162197',6817,'9998',54.63,1,3,NULL),(16,3265056,'1992-03-18 00:00:00',4,1,11,2009,'F','S','CARVOEIRA','FLORIANóPOLIS','SC','124242241212111431479833472122610127072',NULL,'272',8.76,1,3,NULL),(16,3265064,'1990-09-07 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241211152732589921212124120765011',2514,'262',65.29,1,3,NULL),(16,3265072,'1990-11-28 00:00:00',4,9,12,2007,'F','N','CORAL','LAGES','SC','124244241217472431438933375122610128147',12254,'1146',44.80,1,3,NULL),(16,3265080,'1993-03-22 00:00:00',4,1,12,2010,'F','S','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215111431476613575122610127126',NULL,'723',55.16,1,3,NULL),(16,3265099,'1990-05-08 00:00:00',2,8,12,2007,'F','N','FLORESTA','JOINVILLE','SC','124243241216271411336924374124610122012',NULL,'494',29.38,1,3,NULL),(16,3265102,'1989-01-31 00:00:00',2,1,12,2006,'F','N','JARDIM ATLÂNTICO','FLORIANóPOLIS','SC','124242241212374431336629492124131035052',9429,'1022',49.85,1,3,NULL),(16,3265110,'1990-04-11 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124262241216472431466612575114610124132',6029,'1022',56.28,1,3,NULL),(16,3265129,'1992-08-27 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111431457833575112610135172',NULL,'270',26.71,1,3,NULL),(16,3265137,'1988-05-08 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSé','SC','124241248126142441436631295124231035142',13664,'641',42.34,1,2,1),(16,3265153,'1991-09-25 00:00:00',2,1,11,2008,'M','N','CENTRO','S JOãO BATISTA','SC','124244241216121431563612215124610162112',NULL,'981',27.80,1,3,NULL),(16,3265161,'1975-06-09 00:00:00',2,1,12,1995,'M','N','INGLESES','FLORIANóPOLIS','SC','224061066136162421236444345124240834012',12903,'9998',43.67,4,2,1),(16,3265170,'1991-04-08 00:00:00',4,5,12,2008,'M','N','NASPOLINI','CRICIúMA','SC','124244241215211431453632572124610117157',11554,'226',46.08,1,3,NULL),(16,3265188,'1992-05-02 00:00:00',4,1,11,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215111431346624592124610137062',10753,'1022',47.45,1,3,NULL),(16,3265196,'1990-06-17 00:00:00',4,1,12,2007,'F','N','VIAMóPOLIS','VIAMãO','RS','120201201117471751235823432124610134147',NULL,'9998',0.00,1,2,1),(16,3265200,'1984-08-13 00:00:00',4,1,12,2001,'F','N','JURERE','FLORIANóPOLIS','SC','120202201216273431269923575124343263045',1973,'9998',67.30,1,3,NULL),(16,3265218,'1991-03-17 00:00:00',2,1,12,2008,'F','N','COLONINHA','FLORIANóPOLIS','SC','124242241215271441334639371124610134052',15891,'1036',37.50,1,3,NULL),(16,3265226,'1982-02-25 00:00:00',2,1,12,2002,'F','N','PACHECO','PALHOçA','SC','624201207122131411223343432224610162143',10617,'9999',47.70,1,2,1),(16,3265234,'1988-04-26 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241147144411436612345224230221072',8891,'192',50.75,1,2,1),(16,3265242,'1990-03-07 00:00:00',2,1,12,2007,'F','N','JD INDEPENDENCIA','RIBEIRãO PRETO','SP','125252251215411411577614594122613214077',NULL,'9998',0.00,1,3,NULL),(16,3265250,'1991-06-23 00:00:00',4,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124244241215111731447614572124610123097',NULL,'272',17.18,1,3,NULL),(16,3265269,'1991-01-18 00:00:00',2,1,12,2008,'M','N','SERRARIA','S JOSé','SC','124243241115131732453621272124610127017',16262,'271',36.49,2,3,NULL),(16,3265277,'1991-04-19 00:00:00',2,5,12,2007,'F','N','BRASILIA','CRICIúMA','SC','124243241235371431453814345124610127097',NULL,'1096',0.00,1,3,NULL),(16,3265285,'1991-02-02 00:00:00',2,9,12,2008,'F','N','GLóRIA','VACARIA','RS','120201201116271231446312572125610122147',NULL,'9998',25.00,1,3,NULL),(16,3265293,'1983-10-11 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241217273431136824325224222111057',3198,'88',63.28,1,3,NULL),(16,3265315,'1990-09-15 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215571431236823576122610167012',3466,'499',62.48,1,3,NULL),(16,3265323,'1989-10-24 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241217212411478923572122220262052',4905,'270',58.85,1,3,NULL),(16,3265331,'1991-07-14 00:00:00',2,7,12,2008,'F','N','CENTRO','CAMPOS NOVOS','SC','124244241215211731554911572122610128147',4552,'138',59.66,1,3,NULL),(16,3265340,'1991-02-13 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124242241417122431456913375124610128092',NULL,'1022',37.06,1,3,NULL),(16,3265358,'1992-10-28 00:00:00',4,10,12,2008,'M','N','CENTRO','GRAVATAL','SC','124241241145131431545619242322610127142',NULL,'331',39.66,1,2,1),(16,3265366,'1989-10-27 00:00:00',2,5,12,2006,'F','N','CENTRO','ARARANGUá','SC','120241241416572431344433575124610168157',3416,'26',62.62,1,3,NULL),(16,3265374,'1990-05-10 00:00:00',4,8,12,2007,'M','N','CENTRO','ITAPEMA','SC','124243241235152431224624575122231467092',4377,'403',60.08,1,3,NULL),(16,3265382,'1991-09-15 00:00:00',4,8,12,2008,'F','N','SANTO ANTôNIO','JOINVILLE','SC','124242241235371451435612372114610164077',14295,'932',41.05,1,3,NULL),(16,3265404,'1992-06-10 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217171432268829572115610127042',NULL,'262',37.59,1,3,NULL),(16,3265412,'1991-09-19 00:00:00',2,8,12,2008,'F','N','CABRAL','CURITIBA','PR','116164161217421411666823495122610124097',12013,'9998',45.24,3,3,NULL),(16,3265420,'1981-05-03 00:00:00',2,1,12,1999,'M','N','PANTANO DO SUL','FLORIANóPOLIS','SC','224203241115154751367843435133221437127',2395,'267',65.71,1,3,NULL),(16,3265439,'1988-11-29 00:00:00',4,1,1,2008,'F','N','CAMOBI','STA MARIA','RS','120201201117272431336613575114610136077',NULL,'9998',26.48,1,2,1),(16,3265455,'1992-11-25 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111131478731575122610131142',6959,'262',54.37,1,3,NULL),(16,3265463,'1990-04-11 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC','124262241216472431266632575124610114132',5295,'1022',57.88,1,3,NULL),(16,3265480,'1990-02-06 00:00:00',4,7,12,2007,'F','N','FLORESTA','VIDEIRA','SC','124244241411152731226829492125231424072',14076,'454',41.50,1,3,NULL),(16,3265498,'1985-03-27 00:00:00',2,1,12,2002,'F','N','CAMPINAS','S JOSé','SC','124241241116135731223379392124231862127',11192,'281',46.67,1,2,1),(16,3265501,'1990-06-23 00:00:00',4,9,10,2007,'F','N','MARIA GORETTI','BENTO GONçALVES','RS','120202201217112431438711495124241564077',14831,'9998',40.01,1,3,NULL),(16,3265528,'1981-04-28 00:00:00',2,1,7,2002,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124161167126442731233643132234610168052',NULL,'9999',29.40,1,2,1),(16,3265544,'1990-04-11 00:00:00',4,1,11,2007,'F','N','ARAéS','CUIABá','MT','111112111216171431348933575112610134114',16312,'9998',36.33,1,3,NULL),(16,3265560,'1989-02-18 00:00:00',2,1,12,2006,'F','N','CENTRO','TUBARãO','SC','124242241215573431449913495122230233182',8861,'806',50.79,1,3,NULL),(16,3265587,'1973-01-11 00:00:00',4,1,12,1990,'M','N','BALNEáRIO','FLORIANóPOLIS','SC','124102101214372431248727575122221424146',NULL,'9998',0.00,4,3,NULL),(16,3265595,'1986-08-22 00:00:00',4,1,12,2004,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241116135731329914245233230762112',NULL,'267',28.58,1,2,1),(16,3265609,'1992-05-09 00:00:00',4,1,12,2009,'M','S','TRINDADE','FLORIANóPOLIS','SC','124243241112111431469934572122610137057',NULL,'271',35.13,1,3,NULL),(16,3265617,'1986-09-25 00:00:00',4,1,12,2003,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241215274431579813475122123217135',3008,'270',63.77,1,3,NULL),(16,3265625,'1990-05-10 00:00:00',4,4,11,2007,'F','N','VILA YOLANDA','FOZ IGUAçU','PR','116162161216472431446833595122140432142',15570,'9998',38.39,1,3,NULL),(16,3265633,'1964-02-03 00:00:00',5,1,12,1984,'M','N','SANTA MONICA','FLORIANóPOLIS','SC','224253251236131711454339495112142342195',12307,'9998',44.72,1,3,NULL),(16,3265641,'1989-07-08 00:00:00',4,8,12,2006,'F','N','CIDADE UNIVERSITáRIA','CAMPINAS','SP','125252161212572431379934575122610152092',11454,'9998',46.25,1,3,NULL),(16,3265650,'1988-03-02 00:00:00',4,1,12,2006,'F','N','CENTRO','ANDIRá','PR','116163161317471731567612122322610164142',NULL,'9998',0.00,1,3,NULL),(16,3265668,'1990-02-03 00:00:00',4,1,12,2007,'F','N','VISTA VERDE','S JOSé CAMPOS','SP','125252251217472431437939571124610125187',1888,'9998',67.65,1,3,NULL),(16,3265676,'1990-10-23 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124242241211472431346811571124610127077',7184,'1048',53.94,1,3,NULL),(16,3265684,'1991-08-09 00:00:00',4,6,11,2008,'M','N','FIUZA LIMA','ITAJAí','SC','124242241214372431357632225122610167052',3373,'392',62.77,1,3,NULL),(16,3265692,'1991-09-18 00:00:00',2,5,11,2008,'M','N','RIO MAINA','CRICIúMA','SC','124244241415131431446914245124610118047',11067,'213',46.90,1,3,NULL),(16,3265706,'1990-03-20 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124243243427271421543312342122230217047',NULL,'262',0.00,1,3,NULL),(16,3265714,'1989-02-23 00:00:00',4,1,12,2007,'M','N','JARDIM BANDEIRANTES','TELêMACO BORBA','PR','116161161416141411336519485124610168187',NULL,'9998',10.65,1,3,NULL),(16,3265722,'1991-12-01 00:00:00',4,5,11,2008,'F','N','PRóSPERA','CRICIúMA','SC','124241241215141431435811342224610141182',13031,'227',43.45,1,3,NULL),(16,3265757,'1991-05-19 00:00:00',2,1,12,2008,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124242241117151431549933572124610122145',12969,'306',43.56,1,3,NULL),(16,3265765,'1989-10-11 00:00:00',2,1,12,2006,'F','N','SANTA MARIA','ANTôNIO CARLOS','SC','124241241116152441623316582112610126042',9167,'21',50.30,1,2,1),(16,3265773,'1991-07-10 00:00:00',4,3,11,2008,'M','N','AZAMBUJA','BRUSQUE','SC','124241241317151431468739372122610122183',NULL,'912',29.97,1,3,NULL),(16,3265781,'1990-02-18 00:00:00',2,10,12,2007,'M','N','OFICINAS','TUBARãO','SC','124242241215372431358923571124610127062',5891,'807',56.60,1,3,NULL),(16,3265790,'1989-01-15 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244241416132421437633345132610122052',15125,'1022',39.36,1,3,NULL),(16,3265803,'1988-10-25 00:00:00',4,1,11,2006,'M','N','LAGO SUL','LG SUL','DF','107072281236371431459934575122610127057',2026,'9998',67.10,4,3,NULL),(16,3265811,'1988-02-20 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124071241117372431328644242234121626097',12212,'292',44.88,1,2,1),(16,3265820,'1992-01-07 00:00:00',4,1,12,2008,'F','N','PORTAL DA FOZ','FOZ IGUAçU','PR','116161161416121731446532575114610166122',7359,'9998',53.60,1,3,NULL),(16,3265838,'1991-07-01 00:00:00',4,3,12,2008,'M','N','CENTRO','ASSIS','SP','125252251216471431434816195112610137062',3769,'9998',61.67,1,3,NULL),(16,3265846,'1991-09-19 00:00:00',2,1,12,2008,'F','N','CENTRO','S JOãO BATISTA','SC','124241241415111431556612585122610168092',9629,'1123',49.46,1,3,NULL),(16,3265854,'1991-01-03 00:00:00',4,1,12,2008,'F','N','VILA NATAL','MOGI CRUZES','SP','125252251215271431328821284124610127094',NULL,'9998',0.00,1,3,NULL),(16,3265862,'1990-02-14 00:00:00',4,8,11,2007,'M','N','JARDIM DO SOL','TAUBATé','SP','125252256214371431549933585114610132083',6257,'9998',55.76,1,3,NULL),(16,3265870,'1972-05-29 00:00:00',4,1,11,1989,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','624243247427132421453444342334610144117',NULL,'9999',0.00,1,3,NULL),(16,3265889,'1983-11-17 00:00:00',2,1,7,2002,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241247446475431568613392124220938187',5021,'9999',58.57,1,3,NULL),(16,3265897,'1991-10-10 00:00:00',2,4,12,2008,'F','N','CENTRO','SALVADOR MISSõES','RS','120201201116131441433739575121610126142',14499,'9998',40.70,1,2,1),(16,3265900,'1989-11-12 00:00:00',2,1,12,2006,'M','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124242241215372411446611375123130227187',9989,'1022',48.79,4,3,NULL),(16,3265919,'1980-11-07 00:00:00',4,1,2,2002,'F','N','FAZENDA SANTO ANTONI','S JOSé','SC','124241248126234742533621145124121725112',14350,'739',40.96,4,2,1),(16,3265927,'1983-11-19 00:00:00',4,1,11,2001,'M','N','PEDRA BRANCA','PALHOçA','SC','124092094215173741656813331221232467026',10065,'9998',48.66,5,3,NULL),(16,3265935,'1991-12-02 00:00:00',2,7,12,2008,'F','N','CENTRO','HERVAL D OESTE','SC','124242241215371431338839595122610167052',NULL,'962',26.78,1,3,NULL),(16,3265943,'1987-10-20 00:00:00',4,1,12,2005,'M','N','TERRAS DO MADEIRA','CARAPICUíBA','SP','125252251217271411454812195121143224127',NULL,'9998',26.64,1,3,NULL),(16,3265951,'1990-03-01 00:00:00',4,2,11,2008,'M','N','VOSTARD','BLUMENAU','SC','124241241117211411448814185121610115067',NULL,'79',29.01,4,3,NULL),(16,3265960,'1989-05-09 00:00:00',2,1,12,2008,'F','N','FAZENDA STO ANTONIO','S JOSé','SC','124241241145141731545314342112610112017',16521,'733',35.38,1,2,1),(16,3265978,'1983-01-12 00:00:00',4,9,12,2001,'M','N','CENTRO','LAGES','SC','124243241321152421224431395222610164147',NULL,'201',0.00,1,3,NULL),(16,3265986,'1991-10-14 00:00:00',4,1,12,2008,'M','N','FLORESTA','S JOSé','SC','124242241215131411548434575122610127042',2019,'1036',67.11,1,3,NULL),(16,3265994,'1991-12-23 00:00:00',2,1,11,2008,'F','N','CENTRO','VIDAL RAMOS','SC','124241241125161712536415292124610147077',16188,'828',36.70,1,2,1),(16,3266001,'1990-09-15 00:00:00',2,7,12,2007,'F','N','INTERIOR','ÁGUA DOCE','SC','124241241122132731323319162324232356172',6470,'9',55.33,4,2,1),(16,3266010,'1989-04-23 00:00:00',2,7,12,2006,'M','N','CENTRO','AT BELA VISTA','SC','124241241126473431543512281122241024057',13328,'14',42.91,1,2,1),(16,3266028,'1990-10-01 00:00:00',4,1,12,2008,'M','N','GRANJA VIANA','COTIA','SP','125252251215111731566632575122610135142',NULL,'9998',0.00,3,3,NULL),(16,3266036,'1989-01-08 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216472431458812375125133265182',1053,'1058',71.71,1,3,NULL),(16,3266044,'1987-01-15 00:00:00',2,1,11,2004,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241248131132411326854245124610148147',15899,'295',37.49,4,2,1),(16,3266052,'1991-12-06 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124202241215111411576732495122610167012',9521,'262',49.68,1,3,NULL),(16,3266060,'1990-07-18 00:00:00',2,4,12,2008,'M','N','INDUSTRIAL','SEARA','SC','124243241216151432424612375122610167057',NULL,'1047',21.98,3,3,NULL),(16,3266087,'1982-05-26 00:00:00',2,1,12,2002,'M','N','TAPERA','FLORIANóPOLIS','SC','124243241322374421543319242334610127042',NULL,'9999',33.14,2,1,2),(16,3266095,'1976-01-08 00:00:00',4,8,12,1994,'F','N','PINHAIS','PINHAIS','PR','516161161335471411453311314232341522146',NULL,'9998',0.00,1,3,NULL),(16,3266117,'1991-07-01 00:00:00',4,1,12,2008,'F','N','CENTRO','UNIãO VITóRIA','PR','116243241215131431236923575122610167142',14625,'632',40.45,1,3,NULL),(16,3266125,'1987-11-14 00:00:00',2,5,12,2004,'F','N','CENTRO','TORRES','RS','120201201336572231536713245223142621117',NULL,'9998',0.00,1,3,NULL),(16,3266133,'1988-05-03 00:00:00',2,1,12,2005,'M','N','AREIAS DE MACACU','GAROPABA','SC','124243241127131431323319342123330234047',NULL,'322',26.06,1,3,NULL),(16,3266141,'1990-04-24 00:00:00',4,1,12,2007,'M','N','PORTO GRANDE','S SEBASTIãO','SP','125252251217472431568832572222610167137',13734,'9998',42.20,1,3,NULL),(16,3266150,'1990-08-20 00:00:00',4,3,12,2007,'F','N','CENTRO','ITAPEJARA D OESTE','PR','116161161211371431338923235122610124192',8799,'9998',50.90,1,3,NULL),(16,3266168,'1991-01-21 00:00:00',4,2,12,2008,'F','N','CENTRO','JANDAIA SUL','PR','116162161315111732348711584115610144077',NULL,'9998',0.00,1,3,NULL),(16,3266176,'1984-02-16 00:00:00',2,1,12,2001,'M','N','SACO DOS LIMÕES','FLORIANóPOLIS','SC','124241241145273731353819235134610127187',12312,'281',44.71,1,2,1),(16,3266184,'1991-05-27 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217111431448832425122610122035',949,'270',72.34,1,3,NULL),(16,3266192,'1992-07-02 00:00:00',4,1,11,2008,'M','N','CENTRO','PALHOçA','SC','124242241217111431588913572122610167082',7780,'270',52.81,1,3,NULL),(16,3266206,'1988-04-23 00:00:00',2,1,12,2005,'F','N','CENTRO','VACARIA','RS','120204201417573411586866571112140622096',7468,'9998',53.37,1,3,NULL),(16,3266214,'1985-07-05 00:00:00',2,1,3,2003,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241112153431578613472112230863182',8052,'306',52.32,1,3,NULL),(16,3266222,'1990-08-04 00:00:00',4,1,12,2008,'M','N','CENTRO','UBERABA','MG','113132131217111431469931575122610127052',NULL,'9998',0.00,1,3,NULL),(16,3266249,'1989-02-04 00:00:00',4,1,12,2006,'F','N','VILA EMA','S JOSé CAMPOS','SP','125252251215571431558814572112610137077',947,'9998',72.36,1,3,NULL),(16,3266257,'1991-06-10 00:00:00',4,8,11,2008,'M','N','SAGUAçU','JOINVILLE','SC','124242241215271431566824375124610124172',11186,'9997',46.69,1,3,NULL),(16,3266265,'1987-01-19 00:00:00',4,1,8,2005,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241112144411436512342124230236055',13900,'306',41.85,1,2,1),(16,3266273,'1991-06-25 00:00:00',2,8,12,2008,'F','N','CENTRO','CARLóPOLIS','PR','116163161215111451436923574122610125077',7487,'9998',53.35,3,3,NULL),(16,3266281,'1991-10-21 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215111431636313575112610167052',NULL,'737',25.35,1,3,NULL),(16,3266290,'1988-10-07 00:00:00',4,8,11,2006,'F','N','PARQUE GUARANI','JOINVILLE','SC','124241241142171421344624342224131538097',16662,'469',34.18,1,2,1),(16,3266303,'1986-04-29 00:00:00',2,8,12,2003,'F','N','PORTÃO','CURITIBA','PR','116162161216572411438629571314610161197',15652,'9998',38.18,1,3,NULL),(16,3266311,'1991-12-11 00:00:00',4,10,12,2009,'M','S','MAR GROSSO','LAGUNA','SC','124242241215121721468714575122610127012',NULL,'525',28.39,1,3,NULL),(16,3266320,'1991-03-22 00:00:00',4,10,11,2008,'F','N','OFICINAS','TUBARãO','SC','124242241215122731559832574112610124152',16487,'807',35.52,1,3,NULL),(16,3266346,'1969-02-01 00:00:00',2,1,12,1986,'F','N','UNIVERSITáRIO','TIJUCAS','SC','624142145216141431223843235122343264012',16534,'9998',35.29,4,3,NULL),(16,3266354,'1989-04-05 00:00:00',2,1,11,2007,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124243247217111151438821375124610168097',NULL,'9999',21.92,1,3,NULL),(16,3266362,'1987-08-24 00:00:00',2,10,12,2005,'F','N','OFICINAS','TUBARAO','SC','124243241117371431447713472124610117182',NULL,'1034',23.41,1,3,NULL),(16,3266370,'1991-06-04 00:00:00',4,4,12,2008,'M','N','CENTRO','MEDIANEIRA','PR','116162161217471212555612575112610127042',NULL,'9998',28.39,1,3,NULL),(16,3266389,'1979-06-22 00:00:00',4,3,12,1996,'F','N','CENTRO','ITAPEMA','SC','124242241215374421527721142121132125141',15076,'300',39.48,1,3,NULL),(16,3266397,'1991-04-22 00:00:00',4,8,12,2008,'M','N','SCHRAMM','S BENTO SUL','SC','124244241215372431457614575122610137047',9340,'1114',50.01,1,3,NULL),(16,3266400,'1985-10-05 00:00:00',4,5,12,2003,'M','N','CENTRO','S JOãO SUL','SC','124241242116133711526623185225610234197',NULL,'690',36.74,1,2,1),(16,3266419,'1991-10-24 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215111451447811575122610164187',8834,'1077',50.83,1,3,NULL),(16,3266427,'1986-05-26 00:00:00',2,1,7,2005,'M','N','ESTREITO','FLORIANóPOLIS','SC','124244248417132411358839282112613237092',NULL,'300',6.75,1,3,NULL),(16,3266435,'1990-10-24 00:00:00',4,1,12,2008,'F','N','JARDIM JEQUITIBá','MARíLIA','SP','125252251217111731438819595122610161147',NULL,'9998',0.00,1,3,NULL),(16,3266443,'1982-11-04 00:00:00',2,6,12,2000,'F','N','SãO JOãO','ITAJAí','SC','124241241126142751438644342335131064197',13071,'57',43.36,4,2,1),(16,3266451,'1987-04-14 00:00:00',4,8,12,2005,'M','N','GLóRIA','JOINVILLE','SC','124242241215574711459814572124610134122',3169,'457',63.35,1,3,NULL),(16,3266460,'1991-11-18 00:00:00',4,9,12,2008,'M','N','CENTRO ADM','OTACíLIO COSTA','SC','124241241115371231434813472121610117057',NULL,'583',14.69,1,3,NULL),(16,3266486,'1991-08-03 00:00:00',2,1,12,2008,'M','N','SãO CRISTOVãO','VIDEIRA','SC','124201241317161431336823392124610128152',9842,'969',49.08,1,3,NULL),(16,3266494,'1988-05-27 00:00:00',2,1,12,2005,'F','N','MIRANDóPOLIS','S PAULO','SP','125252251216571431658732492122620164186',9129,'9998',50.36,3,3,NULL),(16,3266508,'1991-09-27 00:00:00',4,1,12,2008,'F','N','VILA BANCáRIA','CPO LARGO','PR','116162161211111712469833591122610167117',NULL,'9998',0.00,1,3,NULL),(16,3266516,'1991-06-22 00:00:00',2,1,12,2008,'F','N','CENTRO','BIGUAçU','SC','124244241416171732448912492122610161042',NULL,'63',22.54,1,3,NULL),(16,3266524,'1984-09-25 00:00:00',2,1,11,2002,'M','N','KOBRASOL','S JOSé','SC','124244241216151411338611414132333244122',NULL,'797',0.00,1,3,NULL),(16,3266532,'1991-09-03 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111411679711575122610132127',NULL,'273',29.09,1,3,NULL),(16,3266540,'1984-01-15 00:00:00',2,1,12,2001,'F','N','RUBEM BERTA','PTO ALEGRE','RS','120202201217471751426534342124141265027',13875,'9998',41.90,1,3,NULL),(16,3266559,'1992-03-14 00:00:00',2,7,12,2009,'F','S','JARDIM ALVORADA','JOAçABA','SC','124241241217111431546932345123610164152',NULL,'445',0.00,1,3,NULL),(16,3266567,'1989-04-25 00:00:00',4,1,12,2006,'F','N','JARDIM MATARAZZO','S JOSé CAMPOS','SP','125253251215471431534634571224610165117',NULL,'9998',0.00,1,3,NULL),(16,3266575,'1990-09-17 00:00:00',2,9,11,2008,'M','N','CENTRO','LAGES','SC','124242247216472451466911572112610147052',15471,'499',38.60,1,3,NULL),(16,3266583,'1986-07-21 00:00:00',3,1,12,2003,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241217132411239813381224132814042',NULL,'226',0.00,1,3,NULL),(16,3266591,'1990-09-10 00:00:00',2,1,11,2008,'M','N','CENTRO','BEBEDOURO','SP','125134251216111731258814575112610127097',8482,'9998',51.43,1,3,NULL),(16,3266605,'1988-07-17 00:00:00',2,1,12,2005,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241117372431653322145122610144117',NULL,'592',0.00,1,2,1),(16,3266621,'1983-10-19 00:00:00',4,4,12,2001,'M','N','CENTRO','CASCAVEL','PR','116162161217572441258832575124610162187',NULL,'9998',0.00,1,3,NULL),(16,3266630,'1987-01-28 00:00:00',2,1,12,2005,'F','N','BELA VISTA','GOIâNIA','GO','109094091417571411538823572124610162142',1175,'1038',71.07,4,3,NULL),(16,3266648,'1990-01-26 00:00:00',2,3,11,2007,'F','N','CENTRO','BAL CAMBORIú','SC','124202201236472411438313575125610142077',7494,'9998',53.34,1,3,NULL),(16,3266656,'1991-11-14 00:00:00',2,1,11,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124242241215171431458614572124610117042',NULL,'1118',35.83,1,3,NULL),(16,3266664,'1990-11-15 00:00:00',4,10,12,2007,'F','N','RECIFE','TUBARãO','SC','124243246215131431549813575122232844127',NULL,'1120',25.00,1,3,NULL),(16,3266672,'1989-02-25 00:00:00',4,9,12,2006,'F','N','COPACABANA','LAGES','SC','124242241215473431434532274122610165047',10593,'497',47.75,1,3,NULL),(16,3266680,'1990-06-12 00:00:00',2,1,12,2007,'M','N','CENTRO','TOLEDO','PR','116163161336171312456512345112610127057',NULL,'9998',0.00,4,3,NULL),(16,3266702,'1988-11-01 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241211373411658613385124610127112',9579,'1022',49.57,3,3,NULL),(16,3266710,'1989-04-03 00:00:00',4,1,12,2006,'F','N','PARQUE ANDORINHAS','RIBEIRãO PRETO','SP','125252251215571411486612575122610145182',NULL,'9998',0.00,1,3,NULL),(16,3266729,'1991-07-20 00:00:00',4,8,12,2008,'M','N','AVAí','GUARAMIRIM','SC','124241241136111711523334345224610134047',NULL,'335',0.00,1,3,NULL),(16,3266753,'1977-12-20 00:00:00',4,1,12,1994,'F','N','SANTANA','S PAULO','SP','125252251216131721588612416122140744097',NULL,'9998',0.00,1,3,NULL),(16,3266761,'1991-05-22 00:00:00',2,1,12,2008,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241115141311255823296121610165182',4814,'267',59.03,1,2,1),(16,3266770,'1992-04-02 00:00:00',4,1,12,2009,'F','S','CAMPINAS','S JOSé','SC','124242241215111431357632592122610124077',NULL,'737',37.42,1,3,NULL),(16,3266788,'1987-12-02 00:00:00',4,3,12,2004,'M','N','PORTUGUESA','LONDRINA','PR','116163168316271751559913295114241364047',NULL,'9998',0.00,1,3,NULL),(16,3266796,'1990-02-12 00:00:00',4,8,12,2007,'F','N','MORRO DO MEIO','JOINVILLE','SC','124241241125271431643314246124610127117',16473,'492',35.61,1,3,NULL),(16,3266818,'1991-01-14 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124133131415161211426812572124610117077',NULL,'9998',20.43,1,3,NULL),(16,3266826,'1990-02-27 00:00:00',4,1,11,2007,'M','N','ALTO DE PINHEIROS','S PAULO','SP','125252251237471411478813575112610155047',1313,'9998',70.28,1,3,NULL),(16,3266834,'1989-05-16 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANóPOLIS','SC','124243241216154431125937372124221461122',1934,'403',67.46,1,3,NULL),(16,3266842,'1961-05-06 00:00:00',2,1,7,2007,'F','N','BELA VISTA','S JOSé','SC','624202247127132721434359492114610163187',NULL,'9997',25.51,2,3,NULL),(16,3266850,'1992-12-12 00:00:00',4,10,11,2009,'F','S','BEIJA FLOR','JAGUARUNA','SC','124241241214111531428934575124610167072',NULL,'806',38.22,1,3,NULL),(16,3266869,'1992-04-08 00:00:00',4,2,11,2009,'F','S','CENTRO','POMERODE','SC','124242241211111431589831574122610163052',NULL,'70',63.04,1,3,NULL),(16,3266877,'1988-07-01 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSé','SC','624241241127131411233353282124610114197',NULL,'529',0.00,1,2,1),(16,3266885,'1992-02-18 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241216111711318921311112610114042',NULL,'266',49.39,1,3,NULL),(16,3266893,'1989-07-31 00:00:00',2,1,12,2006,'F','N','ZONA I','UMUARAMA','PR','116162161215572441458831572122610127052',NULL,'9998',37.32,3,3,NULL),(16,3266907,'1990-09-20 00:00:00',2,5,11,2007,'M','N','COMERCIARIO','CRICIúMA','SC','124242241211472431559931592122610127067',5389,'211',57.68,1,3,NULL),(16,3266915,'1990-10-22 00:00:00',2,5,11,2007,'F','N','CENTRO','COCAL DO SUL','SC','124242241215472431439732572114610145097',13825,'213',42.00,1,3,NULL),(16,3266923,'1991-01-04 00:00:00',4,2,12,2008,'M','N','ESCOLA AGRICOLA','BLUMENAU','SC','124241241215121231456923242124610132097',2311,'86',66.01,1,3,NULL),(16,3266931,'1991-01-31 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124244241415131531426634585124610167117',16438,'259',35.77,1,3,NULL),(16,3266940,'1991-04-03 00:00:00',4,5,11,2008,'F','N','COMERCIáRIO','CRICIúMA','SC','124242241215111431458614442122610133147',1039,'213',71.80,1,3,NULL),(16,3266958,'1983-02-13 00:00:00',2,1,12,2000,'F','N','AREIAS DO CAMPECHE','FLORIANóPOLIS','SC','124201208122471731343354211224610126143',NULL,'9998',0.00,1,3,NULL),(16,3266966,'1989-10-26 00:00:00',2,5,10,2008,'M','N','RIO JORDAO','SIDERóPOLIS','SC','124244241215111531366612145222610125043',NULL,'226',0.00,1,3,NULL),(16,3266974,'1989-11-17 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124244247417151421358413395124610113042',NULL,'270',19.61,1,3,NULL),(16,3266982,'1944-05-23 00:00:00',2,1,5,2005,'M','N','MONTE CRISTO','FLORIANóPOLIS','SC','224241248121131111533341212134231014047',NULL,'9999',0.00,4,1,1),(16,3266990,'1991-02-14 00:00:00',4,1,12,2008,'M','N','PQ DAS LARANJEIRAS','CAJOBI','SP','125251251416111431558834475122610147042',10574,'9998',47.79,1,3,NULL),(16,3267016,'1990-12-07 00:00:00',2,4,12,2008,'M','N','CENTRO','CPO ERê','SC','124244241215373431444811592124610127187',NULL,'9998',0.00,4,3,NULL),(16,3267024,'1990-06-09 00:00:00',2,10,12,2007,'F','N','VILA PARAíSO','IMARUí','SC','124241241145471431436614246122610137147',NULL,'356',11.82,1,2,1),(16,3267032,'1992-03-08 00:00:00',2,1,11,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241117321432636923472124610137057',NULL,'299',36.26,1,3,NULL),(16,3267040,'1987-12-03 00:00:00',2,4,12,2004,'F','N','SãO MIGUEL','FRANCISCO BELTRãO','PR','116094091417573441435819276123610126037',12120,'9998',45.05,1,3,NULL),(16,3267059,'1989-12-26 00:00:00',2,1,12,2007,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241248136411431335833395124610127055',NULL,'620',32.40,1,2,1),(16,3267067,'1974-04-13 00:00:00',4,1,12,1992,'F','N','ARMAçãO DO PâNTANO D','FLORIANóPOLIS','SC','624112111216134421428648182324130667097',11857,'9998',45.54,1,3,NULL),(16,3267075,'1992-03-16 00:00:00',2,4,12,2009,'F','S','CENTRO','GUARACIABA','SC','124241241217111431353933575124610123182',NULL,'752',0.00,1,3,NULL),(16,3267083,'1991-05-31 00:00:00',2,4,12,2008,'M','N','CENTRO','FREDERICO WESTPHALEN','RS','120201201117271531533516562222610167057',NULL,'9998',25.70,4,2,1),(16,3267091,'1992-03-20 00:00:00',2,7,12,2008,'F','N','CENTRO','PINHEIRO PRETO','SC','124241241126131431326923575124610126057',NULL,'618',26.16,1,2,1),(16,3267105,'1992-03-23 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124244248215111531445612572124610137042',NULL,'1022',24.96,1,3,NULL),(16,3267113,'1979-02-25 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241121315431214441211124610132042',15109,'257',39.40,1,3,NULL),(16,3267121,'1989-08-28 00:00:00',4,1,12,2006,'F','N','VILA OLIMPIA','S PAULO','SP','125253251217271751336669471124240247017',NULL,'9998',0.00,1,3,NULL),(16,3267130,'1988-09-17 00:00:00',4,1,12,2005,'M','N','PARQUE DA FAZENDA','ITATIBA','SP','125252251215571431548831111212610144084',332,'9998',77.61,1,3,NULL),(16,3267148,'1990-07-24 00:00:00',2,9,12,2008,'M','N','SÃO CRISTOVÃO','LAGES','SC','124242241216111431229923575122610114187',NULL,'9997',24.63,1,3,NULL),(16,3267156,'1986-02-04 00:00:00',4,1,12,2002,'F','N','INGLESES','FLORIANóPOLIS','SC','124202248211473431428819341123243224021',NULL,'9999',21.28,1,3,NULL),(16,3267164,'1963-02-13 00:00:00',5,1,12,1981,'F','N','BALNEáRIO','FLORIANóPOLIS','SC','124241241111353431358619412142333261182',NULL,'293',30.22,1,3,NULL),(16,3267172,'1989-10-11 00:00:00',2,1,11,2006,'F','N','CRUZEIRO','STA ROSA','RS','120201201116131431326633285124610135192',NULL,'9998',0.00,1,2,1),(16,3267199,'1990-10-29 00:00:00',4,1,12,2007,'M','N','DEMARCHI','S BERNARDO CAMPO','SP','125252251215471431468934395124141467077',7869,'9998',52.66,1,3,NULL),(16,3267202,'1990-07-05 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241112371431557723342123610117042',NULL,'257',29.53,1,2,1),(16,3267210,'1991-08-30 00:00:00',2,1,12,2008,'F','N','CENTRO','S JOãO BATISTA','SC','124241241112371431433339242224610137092',13870,'712',41.90,1,2,1),(16,3267229,'1990-09-16 00:00:00',2,1,12,2008,'F','N','PALHOçA CENTRO','PALHOçA','SC','124241241245131431436911393124610163187',NULL,'262',30.68,1,3,NULL),(16,3267237,'1990-12-30 00:00:00',2,8,12,2008,'M','N','JARDIM GARUVA','GARUVA','SC','124244241127161411343932321332610162093',16247,'923',36.53,1,3,NULL),(16,3267245,'1988-07-07 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSé','SC','124242241215273751243623442124610164077',NULL,'737',28.52,1,3,NULL),(16,3267253,'1982-08-01 00:00:00',4,1,11,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124204207127131721248644445132131028187',NULL,'9998',27.64,1,3,NULL),(16,3267261,'1988-03-03 00:00:00',4,1,12,2005,'M','N','HIGIENOPOLIS','S PAULO','SP','125252251217573231578814425112221417127',671,'9998',74.39,1,3,NULL),(16,3267270,'1991-09-11 00:00:00',4,1,11,2008,'M','N','PARQUE DOS CISNES','GOIâNIA','GO','109092091216111431568811572122610168182',NULL,'9998',0.00,1,3,NULL),(16,3267288,'1990-10-20 00:00:00',2,5,11,2008,'M','N','CENTRO','PR GRANDE','SC','124243241216111431543616492124610164057',11722,'32',45.79,1,3,NULL),(16,3267300,'1987-12-04 00:00:00',2,1,12,2005,'F','N','GUIOMAR','ANTôNIO CARLOS','SC','124241241117133421423723372224610126042',NULL,'21',35.68,1,2,1),(16,3267326,'1990-08-17 00:00:00',4,1,11,2008,'M','N','MARACNâ','ANáPOLIS','GO','109092097417111231436762575124610147147',NULL,'9998',23.15,1,3,NULL),(16,3267334,'1990-10-16 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124242241215372411535511292325130267067',13836,'1118',41.98,1,3,NULL),(16,3267342,'1991-07-24 00:00:00',4,1,12,2008,'F','N','JARDIM ELDORADO','PALHOçA','SC','124241241115131431633413571114610123147',NULL,'592',25.44,1,3,NULL),(16,3267350,'1980-12-30 00:00:00',2,1,11,1998,'M','N','TRINDADE','FLORIANóPOLIS','SC','124163166147373321343329375224443212047',5263,'9998',57.96,1,3,NULL),(16,3267369,'1991-07-10 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124244241215112431457713272124610133013',698,'1022',74.24,1,3,NULL),(16,3267377,'1991-04-01 00:00:00',2,5,12,2008,'F','N','CENTRO','CRICIúMA','SC','124243248215111431343312324114610126072',9519,'226',49.68,1,3,NULL),(16,3267385,'1988-03-25 00:00:00',4,1,12,2005,'F','N','SANTOS DUMONT','S JOSé','SC','124241241146372731623669382124230827143',NULL,'736',21.32,2,3,NULL),(16,3267393,'1989-01-06 00:00:00',2,1,12,2005,'F','N','KOBRA SOL','S JOSé','SC','120201201217572431447811571214610127142',3118,'9998',63.48,1,3,NULL),(16,3267407,'1991-08-14 00:00:00',4,6,11,2008,'F','N','CORDEIROS','ITAJAí','SC','124242241215111431438613342124610127142',NULL,'388',19.36,1,3,NULL),(16,3267415,'1992-02-23 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241235271231558514575124610123097',5483,'738',57.50,1,3,NULL),(16,3267423,'1990-10-17 00:00:00',4,1,12,2007,'M','N','SETOR BUENO','GOIâNIA','GO','109092091215171431468811572122610162182',NULL,'9998',0.00,1,3,NULL),(16,3267431,'1990-10-27 00:00:00',4,9,12,2007,'F','N','BOM JESUS','PTO ALEGRE','RS','120202201216572431348711375124610137073',6587,'9998',55.08,1,3,NULL),(16,3267440,'1987-07-02 00:00:00',4,4,12,2004,'M','N','CENTRO','VICENTE DUTRA','RS','120201201117151411456633225122240768182',NULL,'9998',30.57,1,2,1),(16,3267458,'1991-01-16 00:00:00',4,3,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215131431435611272124610124147',NULL,'403',13.32,1,3,NULL),(16,3267466,'1988-05-01 00:00:00',2,2,12,2005,'F','N','BOM FIM','PTO ALEGRE','RS','120202201317371431237713475124242724047',3088,'9998',63.55,1,3,NULL),(16,3267482,'1992-09-26 00:00:00',2,5,11,2008,'F','N','CENTRO','MELEIRO','SC','124242248215111411436912472122610115142',NULL,'813',26.51,1,3,NULL),(16,3267490,'1990-06-28 00:00:00',2,1,12,2007,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241115472431546614272114610137047',10782,'298',47.41,1,2,1),(16,3267520,'1983-03-11 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANóPOLIS','SC','124252251216131411118849445334610124182',NULL,'9998',0.00,3,3,NULL),(16,3267539,'1991-01-29 00:00:00',4,4,12,2008,'M','N','INTERIOR','S JOãO OESTE','SC','124241241116161421625315471324610127047',10125,'715',48.57,1,2,1),(16,3267547,'1988-10-12 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSé','SC','124243241315473751346724572124610168011',2537,'270',65.21,1,3,NULL),(16,3267555,'1991-06-14 00:00:00',4,1,12,2009,'M','S','NSA DO ROSÁRIO','S JOSé','SC','124242241212111731569613572224610167142',NULL,'738',25.94,1,3,NULL),(16,3267563,'1979-10-25 00:00:00',4,1,12,1997,'M','N','JARDIM BIGUAçU','BIGUAçU','SC','124241241121273421353923431112231024042',11995,'307',45.27,2,1,1),(16,3267571,'1991-08-14 00:00:00',2,3,12,2008,'M','N','INTERIOR','S LUIZ GONZAGA','RS','120201201116131431533315292122610118147',NULL,'9998',0.00,1,2,1),(16,3267598,'1955-02-18 00:00:00',2,1,12,1974,'F','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','524051055137161231524449492114610163197',NULL,'9998',29.05,1,2,1),(16,3267601,'1989-10-10 00:00:00',4,1,12,2008,'M','N','BUENO','GOIâNIA','GO','109092091215271431487732574122610162082',NULL,'9998',0.00,1,3,NULL),(16,3267610,'1992-06-14 00:00:00',4,2,12,2009,'F','S','CENTRO','POMERODE','SC','124244241217151731679921572122610118072',NULL,'909',44.30,1,3,NULL),(16,3267628,'1987-10-03 00:00:00',4,1,12,2006,'F','N','VL GRANADA','S PAULO','SP','125251251217471731433619375112110613147',13638,'9998',42.40,4,3,NULL),(16,3267652,'1992-03-22 00:00:00',4,1,11,2008,'F','N','CENTRO','IJUí','RS','120202201217271431447931572122610137057',NULL,'9998',0.00,1,3,NULL),(16,3267660,'1986-11-15 00:00:00',2,1,12,2004,'F','N','FORQUILHAS','S JOSé','SC','124241241126155441337923481124222926145',12322,'727',44.69,1,2,1),(16,3267679,'1979-08-21 00:00:00',4,1,12,1996,'F','N','CENTRO','FLORIANóPOLIS','SC','124161243126152411134343235124231066192',4147,'335',60.65,1,2,1),(16,3267687,'1985-07-16 00:00:00',4,1,7,2003,'M','N','PRAINHA','FLORIANóPOLIS','SC','124244241437271411559623145132333222172',NULL,'9999',0.00,1,3,NULL),(16,3267695,'1992-09-18 00:00:00',4,10,11,2008,'M','N','PINHEIROS','TUBARãO','SC','124241246217111431449921475112610114042',NULL,'1120',24.13,1,3,NULL),(16,3267709,'1989-10-11 00:00:00',4,1,12,2007,'M','N','JD IRACEMA','S PAULO','SP','125253251216141231446513195122610167057',NULL,'9998',0.00,2,3,NULL),(16,3267717,'1989-01-19 00:00:00',4,4,12,2006,'F','N','CENTRO','S DOMINGOS SUL','RS','120201201117571451533831572324610136142',NULL,'9998',27.02,1,2,1),(16,3267741,'1991-02-11 00:00:00',2,4,12,2008,'F','N','CENTRO','PLANALTO','RS','120201201136131431524931285125610127147',NULL,'9998',0.00,4,1,1),(16,3267750,'1988-05-02 00:00:00',4,2,12,2005,'F','N','INTERIOR','PANAMBI','RS','120202201212272411423339581222610124017',6474,'9998',55.32,1,3,NULL),(16,3267768,'1981-01-06 00:00:00',2,1,12,1999,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124174171217371121478613572114333243146',15178,'9998',39.25,4,3,NULL),(16,3267776,'1990-11-18 00:00:00',2,6,12,2008,'M','N','CENTRO','ITAJAí','SC','124242241212111231237611575121610117041',13294,'1057',42.99,1,3,NULL),(16,3267784,'1990-01-29 00:00:00',2,1,12,2008,'M','N','CENTRO','BIGUAçU','SC','124171241115242421544674342114610115142',10548,'65',47.83,4,2,1),(16,3267792,'1989-11-24 00:00:00',4,1,12,2007,'F','N','GREGO','STA BáRBARA D OESTE','SP','125251251215411432537634575124610164042',NULL,'9998',0.00,1,3,NULL),(16,3267806,'1991-10-16 00:00:00',4,1,11,2008,'F','N','FAZENDA STO ANTONIO','S JOSé','SC','124242248216111411456933575112610114112',15741,'270',37.96,1,3,NULL),(16,3267814,'1989-07-07 00:00:00',4,1,12,2006,'F','N','CENTRO','PALHOçA','SC','124244241216272131226524442324610117057',13160,'989',43.22,1,3,NULL),(16,3267822,'1991-04-12 00:00:00',4,1,12,2008,'F','N','VILA MORANGUEIRA','MARINGá','PR','116162161216111331435619575114610165187',4465,'9998',59.86,1,3,NULL),(16,3267830,'1992-01-02 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124241241111371211525611312324610134142',NULL,'49',24.05,4,2,1),(16,3267849,'1991-12-07 00:00:00',2,1,11,2008,'F','N','SANTA BáRBARA','GOIâNIA','GO','109092091214111411627812571222610124092',NULL,'9998',0.00,2,1,2),(16,3267857,'1981-09-23 00:00:00',4,1,12,2000,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124253253115573441457814141121140944041',9872,'9998',49.01,1,3,NULL),(16,3267865,'1979-01-13 00:00:00',2,1,12,1997,'M','N','ESTREITO','FLORIANóPOLIS','SC','224242241217152431666622225112130268117',15444,'9999',38.67,1,3,NULL),(16,3267873,'1988-04-30 00:00:00',4,7,12,2007,'M','N','CENTRO','CAMPOS NOVOS','SC','124244247317473531467632445112130267057',13513,'9999',42.60,1,3,NULL),(16,3267881,'1988-06-12 00:00:00',4,1,12,2005,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124162161215212731147811575124120662105',495,'9998',75.80,1,3,NULL),(16,3267890,'1972-01-05 00:00:00',4,1,12,1990,'M','N','FORQUILHINHA','S JOSé','SC','124241246112155421344473432114122234197',9743,'306',49.26,1,3,NULL),(16,3267903,'1990-07-25 00:00:00',2,9,12,2007,'F','N','BELA VISTA','S JOAQUIM','SC','124241241317272431521311374342610167147',8456,'1022',51.48,1,3,NULL),(16,3267911,'1987-05-18 00:00:00',2,1,12,2005,'M','N','SERRINHA','FLORIANóPOLIS','SC','124244241435373411128824485114130624042',6809,'213',54.64,1,3,NULL),(16,3267938,'1991-05-27 00:00:00',2,1,11,2008,'M','N','ESTREITO','ALFREDO WAGNER','SC','124243241134131411638913572125610117147',NULL,'13',37.73,1,3,NULL),(16,3267946,'1986-03-06 00:00:00',4,1,12,2004,'M','N','AREIAS','S JOSé','SC','124254251217134411436451575114121917017',5037,'9998',58.53,1,3,NULL),(16,3267954,'1990-01-17 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241146131431424414245234610122141',NULL,'285',17.98,1,2,1),(16,3267962,'1988-12-10 00:00:00',2,4,12,2006,'F','N','VILA JOãO PESSOA','PTO ALEGRE','RS','120204201217131441238814471224610142117',NULL,'9998',0.00,1,3,NULL),(16,3267970,'1989-05-27 00:00:00',2,6,6,2008,'M','N','JARDIM AMERICA','PNT GROSSA','PR','116162167227371451648639222112610112182',NULL,'9999',0.00,1,3,NULL),(16,3267989,'1991-10-03 00:00:00',4,1,11,2009,'M','S','CAMPECHE','FLORIANóPOLIS','SC','124242241215111431558819395124610134112',NULL,'1133',37.06,1,3,NULL),(16,3267997,'1991-02-23 00:00:00',4,6,12,2008,'F','N','FAZENDA','ITAJAí','SC','124243241215111431335923135124610116147',NULL,'391',27.32,1,3,NULL),(16,3268004,'1991-09-09 00:00:00',4,3,12,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','124244241215372231666712242122610122147',16226,'1111',36.61,1,3,NULL),(16,3268012,'1980-08-17 00:00:00',2,1,12,1998,'M','N','SANTOS DUMONT','S JOSé','SC','124242241212372431546812235113121727022',NULL,'738',34.52,1,3,NULL),(16,3268020,'1983-11-11 00:00:00',4,1,12,2001,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241216135431336629445134610114082',7619,'272',53.11,1,3,NULL),(16,3268039,'1990-01-19 00:00:00',2,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124243241126372411538731215121610135027',14298,'322',41.05,4,3,NULL),(16,3268047,'1992-09-28 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241217111731248913432122610147147',7815,'738',52.74,1,3,NULL),(16,3268055,'1989-04-21 00:00:00',4,1,11,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215573431479813372124233268182',1684,'457',68.49,1,3,NULL),(16,3268063,'1989-03-24 00:00:00',2,1,12,2006,'F','N','VILA MARIANA','S PAULO','SP','125244251317471721127731371325610167112',2682,'9998',64.75,4,3,NULL),(16,3268071,'1991-11-04 00:00:00',2,4,12,2008,'F','N','TRêS VENDAS','ERECHIM','RS','120201201116131531435314586124610137072',14528,'9998',40.64,4,2,1),(16,3268080,'1990-10-19 00:00:00',4,1,11,2008,'M','N','POLO CENTRO','FOZ IGUAçU','PR','116164168416111411457712175122610167047',NULL,'9998',0.00,3,3,NULL),(16,3268098,'1991-09-16 00:00:00',4,4,12,2008,'M','N','ATLâNTICO','ERECHIM','RS','120201201146271411333614175124610136095',NULL,'9998',0.00,1,2,1),(16,3268110,'1990-08-09 00:00:00',4,1,11,2008,'M','N','VILA SãO JOãO','LIMEIRA','SP','125252251217371431478934585122610137157',3258,'9998',63.12,1,3,NULL),(16,3268128,'1991-02-12 00:00:00',4,1,11,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241112151431426623572114610167075',NULL,'307',23.90,1,2,1),(16,3268144,'1990-08-03 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241214473431438812421124610127133',2798,'362',64.41,1,3,NULL),(16,3268160,'1984-04-09 00:00:00',4,1,12,2001,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124241241117372732357739376114133234193',7712,'262',52.93,1,3,NULL),(16,3268179,'1988-01-30 00:00:00',4,8,12,2005,'M','N','FLORESTA','JOINVILLE','SC','124241241136271431634319441224613268012',7160,'699',53.99,1,3,NULL),(16,3268187,'1989-03-13 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241115372431636622274322231125147',6158,'306',56.01,1,2,1),(16,3268195,'1990-07-29 00:00:00',2,1,12,2008,'F','N','COSTA NERY','MINEIROS','GO','109092091246111431468934592122610138143',NULL,'9998',26.83,1,3,NULL),(16,3268209,'1986-12-07 00:00:00',4,1,12,2004,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241212374711469934475122120767125',9883,'262',49.00,1,3,NULL),(16,3268217,'1992-06-01 00:00:00',2,1,12,2009,'F','S','INGLESES','FLORIANóPOLIS','SC','124241241225111431536633572224610148011',NULL,'262',30.88,4,3,NULL),(16,3268225,'1985-07-13 00:00:00',4,1,8,2003,'M','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124241241216435721429844345121231424115',3657,'272',61.94,1,3,NULL),(16,3268233,'1991-12-31 00:00:00',2,4,12,2008,'F','N','VILA NOVA','FRANCISCO BELTRãO','PR','116161161117131431348923472122610144077',NULL,'9998',29.19,1,2,1),(16,3268241,'1989-02-10 00:00:00',3,1,12,2008,'F','N','ARMAçãO DO P DO SUL','FLORIANóPOLIS','SC','124093241145151731446613392124610135022',11359,'291',46.40,1,3,NULL),(16,3268250,'1992-10-23 00:00:00',2,5,12,2009,'F','S','CENTRO','TURVO','SC','124241241417111731434535272121610118052',NULL,'813',26.46,1,3,NULL),(16,3268268,'1992-08-26 00:00:00',4,10,12,2009,'F','S','HUMAITA','TUBARãO','SC','124242241215111431446612575122610113141',NULL,'809',15.85,1,3,NULL),(16,3268276,'1991-01-25 00:00:00',4,1,11,2008,'F','N','PARQUE SãO JORGE','FLORIANóPOLIS','SC','124242248215171432467832376114610167146',6364,'270',55.55,1,3,NULL),(16,3268284,'1991-03-24 00:00:00',2,2,12,2008,'F','N','RIBEIRãO DAS PEDRAS','INDAIAL','SC','124241241215111431437634344124610121172',NULL,'1157',29.21,1,3,NULL),(16,3268292,'1991-08-25 00:00:00',4,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124241241235131451457811571122610156192',13095,'272',43.34,1,3,NULL),(16,3268306,'1982-12-02 00:00:00',2,1,12,2001,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124201201117374431343823415121131427097',15542,'9998',38.45,1,2,1),(16,3268322,'1987-06-09 00:00:00',2,1,12,2004,'M','N','FORQUILHINHAS','S JOSé','SC','124241241115274411356623341125131017161',6919,'307',54.47,1,2,1),(16,3268330,'1989-11-22 00:00:00',4,8,6,2008,'F','N','JARDIM VITORIA','MARíLIA','SP','125253281217271431468832444114610162097',13120,'9998',43.29,3,3,NULL),(16,3268349,'1989-09-28 00:00:00',4,6,12,2006,'F','N','SAUDADE','ARAçATUBA','SP','125254251416573731468811575122610161027',NULL,'850',35.33,1,3,NULL),(16,3268373,'1991-04-05 00:00:00',4,4,11,2008,'M','N','JARDIM ITáLIA','CHAPECó','SC','124241241217371711589923595122610167092',11734,'185',45.76,1,3,NULL),(16,3268381,'1989-04-11 00:00:00',4,3,12,2006,'M','N','PARQUE FABER','S CARLOS','SP','125252251216573731479814575122610164182',799,'9998',73.45,1,3,NULL),(16,3268390,'1983-03-29 00:00:00',2,1,10,2000,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241243337131451213441311334610127072',NULL,'307',10.43,1,3,NULL),(16,3268411,'1992-01-14 00:00:00',4,5,12,2008,'M','N','PIO CORREA','CRICIúMA','SC','124242241215111711438914472125610132052',NULL,'211',21.47,1,3,NULL),(16,3268420,'1992-03-05 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215112431358633575114610167052',2587,'270',65.05,1,3,NULL),(16,3268446,'1985-02-22 00:00:00',2,9,12,2002,'M','N','FREI ROGéRIO','LAGES','SC','124242241212573421443411331122130617092',8584,'515',51.29,4,3,NULL),(16,3268454,'1961-09-23 00:00:00',4,1,12,1979,'M','N','BELA VISTA','S JOSé','SC','624203208337131731323454482114140212197',NULL,'9998',21.74,1,3,NULL),(16,3268462,'1991-07-02 00:00:00',4,5,10,2008,'M','N','CENTRO','CRICIúMA','SC','124242241217151731569811572122610127052',1178,'226',71.05,1,3,NULL),(16,3268470,'1990-02-12 00:00:00',4,1,12,2007,'F','N','SANTA MÔNICA','FLORIANóPOLIS','SC','124132241215472451367711276124610127091',1574,'270',68.99,1,3,NULL),(16,3268489,'1984-04-03 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124201247116131431225444245334610164017',NULL,'306',0.00,4,2,1),(16,3268497,'1990-02-25 00:00:00',4,1,12,2007,'M','N','UVARANAS','PNT GROSSA','PR','116163161116372431433514375111610127017',NULL,'9998',0.00,1,3,NULL),(16,3268500,'1992-05-24 00:00:00',2,4,12,2008,'F','N','CENTRO','JARDINóPOLIS','SC','124241241126161432537613575122610137067',NULL,'444',24.86,1,2,1),(16,3268519,'1990-10-29 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241115131411535534572344610126091',NULL,'307',19.28,1,3,NULL),(16,3268527,'1989-06-26 00:00:00',4,6,12,2008,'M','N','SãO JOãO','ITAJAí','SC','124242241215151311473812275122610154072',NULL,'1059',2.33,1,3,NULL),(16,3268535,'1990-03-05 00:00:00',4,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124243241147131431235614241324610134097',NULL,'733',20.42,1,3,NULL),(16,3268551,'1990-12-04 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111751268832575122610124197',10465,'270',47.97,1,3,NULL),(16,3268560,'1990-09-05 00:00:00',4,1,11,2007,'F','N','BAIRRO IPIRANGA','S JOSé','SC','124242241217472112465714275114610138177',10501,'868',47.90,1,3,NULL),(16,3268578,'1981-06-01 00:00:00',2,1,12,2000,'M','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124123127226131441523441245131141026027',NULL,'9998',21.58,2,3,NULL),(16,3268586,'1991-12-15 00:00:00',2,1,11,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124243241117111431426714285124610127047',16203,'288',36.66,1,3,NULL),(16,3268594,'1988-10-25 00:00:00',4,1,12,2005,'F','N','CAMPO BELO','LONDRINA','PR','116163161315521451578714575124612164142',NULL,'9998',0.00,3,3,NULL),(16,3268608,'1986-04-04 00:00:00',4,1,12,2003,'M','N','JOSé MENDES','FLORIANóPOLIS','SC','124242241215272731248819396124133212155',10796,'270',47.37,1,3,NULL),(16,3268616,'1990-12-24 00:00:00',4,4,12,2008,'M','N','PASSO DOS FORTES','CHAPECO','SC','124244246215111431558824315124610112172',13744,'1094',42.18,1,3,NULL),(16,3268624,'1990-07-26 00:00:00',2,1,12,2007,'F','N','PRADO','BIGUAçU','SC','124243241113131431423634342221610117042',NULL,'65',27.95,1,3,NULL),(16,3268632,'1989-01-04 00:00:00',4,1,7,2007,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124252257434372431238928475114610161117',15537,'9999',38.46,1,3,NULL),(16,3268640,'1991-07-16 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','S JOSé','SC','124242241212212231546512285124610122092',11046,'944',46.94,1,3,NULL),(16,3268659,'1989-09-21 00:00:00',2,8,12,2007,'F','N','ABERNESSIA','CAMPOS JORDãO','SP','125252251217211431448923372112610147092',NULL,'9998',29.13,1,3,NULL),(16,3268667,'1973-09-08 00:00:00',2,1,12,1994,'M','N','PARQUE TAQUARAL','CAMPINAS','SP','124252251417532411216619312325141814052',5538,'9998',57.39,4,3,NULL),(16,3268675,'1990-03-09 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124162161237372431578612142112610122045',NULL,'9998',44.68,1,3,NULL),(16,3268683,'1992-11-30 00:00:00',4,1,12,2009,'M','S','AGRONOMICA','FLORIANóPOLIS','SC','124242241215121431266623575122610122172',NULL,'1133',40.12,1,3,NULL),(16,3268691,'1986-01-30 00:00:00',4,6,12,2004,'M','N','CENTRO','BAL CAMBORIú','SC','124134137417131431128844145324141447097',NULL,'9998',0.00,1,3,NULL),(16,3268713,'1988-09-28 00:00:00',2,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241116152431543334292124231016147',NULL,'592',21.74,1,2,1),(16,3268721,'1991-06-28 00:00:00',4,5,12,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215111431456822572122610127113',NULL,'211',26.55,1,3,NULL),(16,3268730,'1989-02-10 00:00:00',4,8,12,2007,'F','N','CENTRO','LONDRINA','PR','116162161215411441426613575124610164087',NULL,'9998',0.00,3,3,NULL),(16,3268748,'1991-02-10 00:00:00',4,2,11,2008,'M','N','VILA NOVA','BLUMENAU','SC','124241241211131231359912392125610167097',14145,'1018',41.34,1,3,NULL),(16,3268756,'1991-11-12 00:00:00',2,7,12,2008,'F','N','CENTRO','VARGEM BONITA','SC','124242241416111431444612225122610164142',NULL,'827',0.00,1,3,NULL),(16,3268772,'1990-01-17 00:00:00',4,8,12,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241217272431488911572112231467112',3726,'457',61.77,4,3,NULL),(16,3268780,'1992-07-25 00:00:00',4,7,12,2009,'F','S','CENTRO','FRAIBURGO','SC','124241241116271731436619575122610118197',NULL,'314',20.16,1,3,NULL),(16,3268799,'1991-06-13 00:00:00',2,9,12,2009,'F','S','CENTRO','BOM RETIRO','SC','124241244126161421323336285122610122147',NULL,'95',23.06,4,3,NULL),(16,3268810,'1991-06-17 00:00:00',2,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124252241235131411449614572121610154192',NULL,'272',22.80,1,3,NULL),(16,3268829,'1991-02-06 00:00:00',4,6,12,2008,'M','N','CENTRO','BAL PIçARRAS','SC','124242241215271531468813575125610137042',322,'392',77.72,1,3,NULL),(16,3268837,'1990-10-09 00:00:00',4,1,12,2007,'F','N','BELA VISTA','CAXIAS SUL','RS','120202201216371431456611255134140634142',8881,'9998',50.76,1,3,NULL),(16,3268845,'1983-07-26 00:00:00',4,1,12,2000,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241315274431237873575124121437052',5521,'497',57.42,4,3,NULL),(16,3268853,'1965-01-31 01:00:00',2,1,12,1982,'F','N','INGLESES','FLORIANóPOLIS','SC','224241241132132431533354382222130226097',NULL,'524',33.29,1,2,1),(16,3268861,'1992-03-05 00:00:00',2,4,11,2008,'M','N','VILLAGE','SORRISO','MT','111112111215111731366612225222610144052',NULL,'9998',23.74,1,3,NULL),(16,3268870,'1989-03-09 00:00:00',2,1,11,2005,'M','N','ITATIAIA III','GOIâNIA','GO','109092091216152711358829575124240364047',10456,'9998',48.00,4,1,2),(16,3268896,'1980-04-28 00:00:00',4,1,12,1997,'M','N','TRINDADE','FLORIANóPOLIS','SC','224244241216145731279643431322520342185',NULL,'269',0.00,1,3,NULL),(16,3268918,'1991-05-24 00:00:00',2,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242248215371551537411475125610117057',NULL,'1085',18.81,1,3,NULL),(16,3268926,'1980-05-07 00:00:00',4,1,12,1997,'F','N','JARDIM ELDORADO','PALHOçA','SC','124241241211155431235329571224130236052',8119,'590',52.18,1,3,NULL),(16,3268934,'1985-07-02 00:00:00',2,1,12,2002,'M','N','PARQUE MONDEZIR','LORENA','SP','125252251215421531448613485122343265052',13512,'9998',42.60,4,3,NULL),(16,3268942,'1992-04-03 00:00:00',2,10,12,2008,'F','N','CENTRO','GR PARá','SC','124244241216161231367912575112610127042',11144,'950',46.75,1,3,NULL),(16,3268950,'1991-07-23 00:00:00',2,1,11,2008,'M','N','CENTRO','S JOãO BATISTA','SC','124241241215111431458612375224610127187',1999,'1123',67.19,1,3,NULL),(16,3268969,'1988-12-26 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124241241112273431524521311124610122142',NULL,'733',25.16,1,2,1),(16,3268985,'1990-07-17 00:00:00',2,1,12,2007,'M','N','SERRARIA','S JOSé','SC','124241241111272721436838181344610167047',8432,'1116',51.53,4,1,1),(16,3268993,'1990-03-15 00:00:00',2,9,12,2007,'M','N','MARTORANO','S JOAQUIM','SC','124242241216372311468613572122610164057',NULL,'1035',27.41,1,3,NULL),(16,3269000,'1985-03-13 00:00:00',2,1,12,2002,'F','N','CENTRO','S MARCOS','RS','120201208216151431546614145124242223097',9395,'9998',49.90,1,3,NULL),(16,3269019,'1988-11-04 00:00:00',4,3,12,2006,'M','N','NOVA SANTA PAULA','S CARLOS','SP','125252251217572431368821475122610162122',NULL,'9998',0.00,1,3,NULL),(16,3269027,'1991-01-28 00:00:00',4,10,11,2008,'M','N','MAGALHãES','LAGUNA','SC','124242241214111431544413335122610168042',NULL,'525',21.83,1,3,NULL),(16,3269035,'1987-11-01 00:00:00',4,1,12,2005,'M','N','CENTRO','VERANóPOLIS','RS','120201201123131331621119593325610122047',NULL,'9998',16.99,1,2,1),(16,3269043,'1985-07-09 00:00:00',2,1,12,2003,'M','N','INGLESES','FLORIANóPOLIS','SC','124071078117411751225549296314610167142',NULL,'9998',20.22,2,1,1),(16,3269051,'1982-09-15 00:00:00',2,4,12,2000,'M','N','ESPLANADA','CHAPECó','SC','124243247341231431321621175123610124097',15095,'9997',39.43,4,1,2),(16,3269060,'1990-09-07 00:00:00',2,3,12,2007,'M','N','CRISTO REI','CURITIBA','PR','116222161216471441556821575114610117041',204,'9998',79.13,1,3,NULL),(16,3269078,'1991-04-22 00:00:00',4,1,12,2008,'F','N','BOM RETIRO','CURITIBA','PR','116163161216321412368911573214610135117',NULL,'9998',0.00,4,3,NULL),(16,3269086,'1991-02-15 00:00:00',2,1,12,2008,'F','N','CENTRO','BRUSQUE','SC','124242241215111431678312392124610162192',14861,'270',39.97,1,3,NULL),(16,3269108,'1991-06-05 00:00:00',2,8,11,2008,'F','N','CENTRO','GARUVA','SC','124241241215111531636932492125613213147',16376,'486',36.07,1,3,NULL),(16,3269124,'1989-10-06 00:00:00',4,6,12,2006,'F','N','ALTO DE MAFRA','MAFRA','SC','124242241215573431478813594114610122017',NULL,'541',0.00,1,3,NULL),(16,3269132,'1991-05-08 00:00:00',2,4,12,2008,'M','N','CENTRO','MARIóPOLIS','PR','116163168316371731548911575122610147117',NULL,'283',19.41,1,3,NULL),(16,3269140,'1977-04-02 00:00:00',4,1,12,1993,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216273731158643435222521464177',1747,'272',68.21,1,3,NULL),(16,3269159,'1988-08-08 00:00:00',4,1,12,2005,'M','N','ABRAAO','FLORIANóPOLIS','SC','124242241216152711456612445132233224057',11803,'273',45.63,1,3,NULL),(16,3269167,'1991-03-31 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124241241215111431633312222121610167047',NULL,'1076',22.86,1,3,NULL),(16,3269183,'1992-06-08 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111411538711241124610116112',NULL,'1022',29.66,1,3,NULL),(16,3269205,'1978-12-14 00:00:00',2,1,1,1999,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124204206246572421136644445232610124062',7338,'9998',53.64,1,3,NULL),(16,3269213,'1991-02-22 00:00:00',2,6,11,2008,'F','N','SãO JOãO','ITAJAí','SC','124242241215131431559834572122610147072',12130,'389',45.02,1,3,NULL),(16,3269221,'1991-06-13 00:00:00',2,1,12,2008,'F','N','PORTO DO ITINGA','TIJUCAS','SC','124241241215161231433316172224610128042',10366,'1119',48.14,1,3,NULL),(16,3269230,'1991-09-19 00:00:00',4,7,12,2008,'F','N','CENTRO','CAMPOS NOVOS','SC','124241241115151431434434352122610124197',NULL,'140',23.42,1,2,1),(16,3269248,'1988-08-03 00:00:00',4,1,12,2005,'M','N','VILA IPIRANGA','MARINGá','PR','116162161216574411468613295121610167187',NULL,'9998',0.00,1,3,NULL),(16,3269256,'1990-05-18 00:00:00',4,8,12,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241116131431438623375124610113182',12800,'471',43.84,1,2,1),(16,3269264,'1991-01-25 00:00:00',2,8,12,2008,'F','N','VISTA ALEGRE','MAFRA','SC','124241241112131431214328382324610137057',NULL,'542',0.00,4,3,NULL),(16,3269272,'1990-05-20 00:00:00',2,3,12,2007,'F','N','BAIRRO DAS NAçõES','BAL CAMBORIú','SC','124113111116372331435634375122610166152',15387,'9998',38.80,1,3,NULL),(16,3269280,'1991-04-24 00:00:00',4,8,12,2008,'M','N','CANCELI','CASCAVEL','PR','116162161216121731445914375124610127042',NULL,'9998',32.36,1,3,NULL),(16,3269299,'1992-05-19 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111711336613372122610137187',NULL,'738',26.82,1,3,NULL),(16,3269302,'1991-12-10 00:00:00',4,8,12,2008,'F','N','VILA NOVA','JOINVILLE','SC','124241241211111431436613291224610146145',12071,'932',45.14,1,3,NULL),(16,3269310,'1991-07-20 00:00:00',4,1,12,2008,'M','N','SANTA RITA','BENTO GONçALVES','RS','120201201117371711548839176224610164047',NULL,'9998',0.00,1,2,1),(16,3269329,'1992-06-21 00:00:00',2,5,11,2009,'F','S','FLORESTA','BRAçO NORTE','SC','124243248215161411448622145125610167147',NULL,'102',34.91,1,3,NULL),(16,3269337,'1990-11-21 00:00:00',4,1,7,1990,'M','N','SERRARIA','S JOSé','SC','124241247436151411423653575124610117082',NULL,'9999',29.47,1,3,NULL),(16,3269353,'1991-02-01 00:00:00',4,3,12,2008,'M','N','JARDIM NOVA EUROPA','CAMPINAS','SP','125252251215111431368814575122610144122',NULL,'9998',0.00,1,3,NULL),(16,3269370,'1988-08-25 00:00:00',4,3,12,2007,'M','N','CASTELO BRANCO','ITAPEMA','SC','124244241415272411346421311125610145177',13362,'403',42.86,1,3,NULL),(16,3269388,'1967-03-03 00:00:00',4,1,12,1984,'M','N','CENTRO','FLORIANóPOLIS','SC','224244241213133431336654345122221167067',NULL,'266',36.26,1,3,NULL),(16,3269396,'1985-05-27 00:00:00',4,5,12,2002,'F','N','ALTO FELIZ','ARARANGUá','SC','124241241146371431326714382324331128187',NULL,'29',21.48,1,2,1),(16,3269400,'1991-05-03 00:00:00',4,5,12,2008,'M','N','PLANALTO PAULISTA','S PAULO','SP','125202251237111431478814395112610137147',155,'9998',79.95,1,3,NULL),(16,3269418,'1991-03-15 00:00:00',4,1,12,2008,'F','N','JARDIM SÃO MIGUEL','BIGUAçU','SC','124241241136131431346533575122610124097',NULL,'1088',20.48,4,2,1),(16,3269426,'1987-05-16 00:00:00',4,1,12,2004,'F','N','VILA ALBERTINA','S PAULO','SP','125252251216471731478812442114140224077',8843,'9998',50.81,1,3,NULL),(16,3269434,'1991-07-05 00:00:00',2,3,11,2008,'M','N','CENTRO','TRêS PASSOS','RS','120204201415111411447616341112610168042',NULL,'9998',0.00,1,3,NULL),(16,3269450,'1992-06-24 00:00:00',2,5,11,2009,'F','S','CENTRO','URUSSANGA','SC','124242241211111431343939571122610168187',NULL,'820',24.62,1,3,NULL),(16,3269469,'1991-03-16 00:00:00',4,8,11,2008,'F','N','NOVA BRASíLIA','JARAGUá SUL','SC','124241241215111431336611574122610125147',14359,'1061',40.95,1,3,NULL),(16,3269477,'1992-01-20 00:00:00',4,1,11,2009,'F','S','KOBRASOL','S JOSé','SC','124242241217111431456831572122610124077',NULL,'737',26.19,1,3,NULL),(16,3269485,'1991-06-23 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241217152531443612572124610117042',15861,'273',37.60,1,3,NULL),(16,3269493,'1991-10-01 00:00:00',4,2,11,2008,'M','N','VELHA','BLUMENAU','SC','124242241215271431479614575122610134052',3441,'855',62.53,1,3,NULL),(16,3269507,'1990-06-15 00:00:00',2,1,12,2007,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241216132431346619592124231066097',6531,'1022',55.21,4,3,NULL),(16,3269515,'1991-01-31 00:00:00',4,1,12,2008,'M','N','JARDIM PAULISTA','RIBEIRãO PRETO','SP','125251251215111431658612574122610167082',NULL,'9998',0.00,1,3,NULL),(16,3269523,'1991-06-19 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111431567831472122610137127',NULL,'262',32.35,1,3,NULL),(16,3269531,'1990-03-01 00:00:00',2,1,12,2007,'F','N','COSTEIRA DA ARMAçãO','GOV CELSO RAMOS','SC','124241241125311751323319145124610134147',NULL,'1099',21.24,1,2,1),(16,3269558,'1990-03-09 00:00:00',2,1,12,2007,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241117472431568813441114610124115',NULL,'267',27.99,1,2,1),(16,3269566,'1989-03-08 00:00:00',2,1,12,2006,'F','N','VILA IZABEL','CURITIBA','PR','116162161217111451448823576124242835144',7853,'9998',52.68,1,3,NULL),(16,3269582,'1991-11-16 00:00:00',4,1,11,2008,'M','N','SANTA MONICA','FLORIANóPOLIS','SC','124242241215131431437612592114610135097',9107,'270',50.40,1,3,NULL),(16,3269590,'1988-05-25 00:00:00',4,9,12,2005,'F','N','CENTRO','CAXIAS SUL','RS','120202201217572731359924274114141326057',7810,'9998',52.75,1,3,NULL),(16,3269604,'1991-07-31 00:00:00',4,1,11,2008,'F','N','PAGARA','STO AMARO IMPERATRIZ','SC','124242241215111411566812322122610161142',NULL,'1014',24.14,1,3,NULL),(16,3269612,'1990-11-27 00:00:00',2,1,11,2007,'F','N','ZONA UM','MARINGá','PR','116222221216471131646412345125610116097',NULL,'9998',0.00,2,3,NULL),(16,3269620,'1991-04-23 00:00:00',2,4,12,2008,'M','N','CENTRO','MARIóPOLIS','PR','116161161132371531426619115123610117167',NULL,'283',26.16,1,3,NULL),(16,3269639,'1991-04-26 00:00:00',4,1,11,2008,'M','N','PRAIA JOãO ROSA','BIGUAçU','SC','124241241216111731333313475121610167042',NULL,'63',32.58,1,3,NULL),(16,3269647,'1991-09-17 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124243241215111431478812422122610162095',NULL,'262',40.42,1,3,NULL),(16,3269655,'1988-03-18 00:00:00',4,8,12,2006,'F','N','ALTO DA GLÓRIA','CURITIBA','PR','116242241236371731448824491125142724017',NULL,'666',25.02,2,1,2),(16,3269663,'1986-06-25 00:00:00',2,5,6,2003,'M','N','CENTRO','CARAZINHO','RS','120201201137371731336369242323610167187',13933,'9998',41.79,1,3,NULL),(16,3269671,'1987-02-16 00:00:00',2,1,12,2004,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241142375431535312345124610167042',11275,'307',46.52,1,2,1),(16,3269680,'1991-03-02 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124201241135131431422261572224610147077',NULL,'288',29.66,1,2,1),(16,3269698,'1988-03-18 00:00:00',4,9,12,2004,'F','N','GLÓRIA','CARAZINHO','RS','120202201216471731458833311214143267097',2412,'9998',65.67,1,3,NULL),(16,3269701,'1989-04-21 00:00:00',4,1,12,2006,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124202201312473431688313432122610141142',15163,'9998',39.28,1,3,NULL),(16,3269710,'1990-05-14 00:00:00',4,1,12,2007,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217372431479913372122230264092',1260,'270',70.61,1,3,NULL),(16,3269728,'1988-02-10 00:00:00',4,1,12,2005,'F','N','PALHOCINHA','GAROPABA','SC','124201201117371431238579472224610128147',NULL,'9998',26.51,1,2,1),(16,3269736,'1987-02-22 00:00:00',4,1,12,2004,'F','N','BOQUEIRãO','PR GRANDE','SP','125254251216574431328614471124610165187',682,'9998',74.34,3,3,NULL),(16,3269760,'1992-01-05 00:00:00',4,10,11,2008,'F','N','PASSO DO GADO','TUBARãO','SC','124242241215121431436831495122610122142',14419,'807',40.84,1,3,NULL),(16,3269779,'1988-06-19 00:00:00',2,8,12,2005,'F','N','BOQUEIRAO','CURITIBA','PR','116161161316571431356411171114610134192',12152,'9998',44.98,1,3,NULL),(16,3269787,'1991-11-28 00:00:00',2,9,12,2008,'F','N','CENTRO','ASSIS CHATEAUBRIAND','PR','116163161216111431454632575121610126142',NULL,'9998',31.02,1,3,NULL),(16,3269795,'1990-10-28 00:00:00',4,2,12,2008,'M','N','GUABIRUBA SUL','GUABIRUBA','SC','124242241217111731459834474224610164092',2436,'1123',65.57,1,3,NULL),(16,3269809,'1991-12-21 00:00:00',4,9,12,2008,'F','N','PINHEIROS','OTACíLIO COSTA','SC','124243241315211431456412575122610117147',NULL,'1146',28.50,1,3,NULL),(16,3269817,'1989-08-30 00:00:00',2,1,8,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241247317251711578814472124233227123',NULL,'9999',27.23,1,3,NULL),(16,3269833,'1986-09-20 00:00:00',4,1,12,2003,'F','N','HUMAITá','S VICENTE','SP','125251251116571431423579385121610125157',3285,'9998',63.04,1,2,1),(16,3269841,'1991-03-04 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241115141731437621345124610124047',NULL,'288',0.00,1,2,1),(16,3269868,'1991-04-14 00:00:00',4,1,12,2008,'F','N','JARDIM PAULISTA','RIBEIRãO PRETO','SP','125254251214111431644512572122610162192',NULL,'9998',0.00,1,3,NULL),(16,3269884,'1990-03-29 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215572431468412575122130222093',10155,'270',48.51,1,3,NULL),(16,3269906,'1990-03-01 00:00:00',4,1,12,2007,'F','N','ASA SUL','BRASíLIA','DF','107072078217471431559834275122610117012',4904,'9998',58.85,1,3,NULL),(16,3269914,'1987-05-07 00:00:00',4,8,12,2005,'M','N','PARKWAY','NUC BANDEIRANTE','DF','107072071216271411478839485112140762163',5493,'9998',57.49,1,3,NULL),(16,3269930,'1979-06-28 00:00:00',4,1,12,1999,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241215374731556431312124130222187',11749,'269',45.73,1,3,NULL),(16,3269949,'1987-09-15 00:00:00',2,1,12,2004,'F','N','SANTA CRUZ','CONCóRDIA','SC','124241241115473431227644246224140648097',7993,'636',52.44,1,3,NULL),(16,3269957,'1990-11-12 00:00:00',2,1,11,2008,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124242241216471431136622595124610168147',NULL,'300',22.06,1,3,NULL),(16,3269965,'1991-09-11 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241142131431323631572124610164192',NULL,'285',34.89,1,2,1),(16,3269973,'1992-03-26 00:00:00',4,4,12,2008,'F','N','CENTRO','XAXIM','SC','124244241215371631468931575122610128192',NULL,'185',34.15,1,3,NULL),(16,3269981,'1991-07-16 00:00:00',4,1,11,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241116131431545613571224610143097',NULL,'281',25.65,1,2,1),(16,3269990,'1990-08-26 00:00:00',4,7,12,2007,'M','N','PERDIZES','S PAULO','SP','125252251217472411389934575122610167092',2168,'9998',66.54,1,3,NULL),(16,3270009,'1991-08-14 00:00:00',4,1,11,2009,'M','S','BARRA DO ARIRIú','PALHOçA','SC','124242241216111731346633575124610118042',NULL,'1011',0.00,1,3,NULL),(16,3270017,'1990-08-17 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215111431358823572124610127111',7909,'270',52.59,1,3,NULL),(16,3270025,'1991-08-01 00:00:00',2,7,12,2008,'M','N','CENTRO','S JOSé OURO','RS','120201071416111431468812575122610127042',NULL,'9998',0.00,1,3,NULL),(16,3270033,'1991-01-06 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241117132431444619575114610126197',NULL,'257',26.97,1,2,1),(16,3270041,'1991-09-12 00:00:00',4,7,12,2008,'F','N','VILA PEDRINI','JOAçABA','SC','124242248234371731468919394122610165142',NULL,'962',26.11,1,3,NULL),(16,3270050,'1989-01-18 00:00:00',4,9,12,2006,'M','N','CANOAS','RIO SUL','SC','124242246216573441468713395122133264122',4275,'1013',60.31,1,3,NULL),(16,3270068,'1991-05-10 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSé','SC','124242241117131731543619572124610143097',6277,'739',55.73,1,3,NULL),(16,3270076,'1991-07-06 00:00:00',2,1,12,2008,'F','N','SANTA LUCIA','CAXIAS SUL','RS','120241201117271731536321312224610124047',NULL,'9998',0.00,1,2,1),(16,3270084,'1991-07-31 00:00:00',2,5,12,2008,'M','N','URUSSANGUINHA','ARARANGUá','SC','124241241116131331525634182221610127042',NULL,'29',32.98,1,2,1),(16,3270092,'1985-08-02 00:00:00',2,1,8,2004,'F','N','BOA VISTA','BIGUAçU','SC','224241241127131451224344245124610162187',NULL,'65',27.53,1,2,1),(16,3270114,'1993-02-15 00:00:00',4,1,11,2009,'M','S','CARVOEIRA','FLORIANóPOLIS','SC','124242248215111431548814575122610148042',NULL,'1133',35.76,1,3,NULL),(16,3270122,'1988-10-29 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241117133731223969472124610126147',NULL,'307',25.99,1,2,1),(16,3270130,'1991-02-10 00:00:00',4,2,11,2008,'M','N','VILA NOVA','BLUMENAU','SC','124241241212131431359912372125610118147',16070,'1018',37.04,1,3,NULL),(16,3270149,'1989-08-01 00:00:00',4,1,12,2007,'M','N','CONSOLAçãO','S PAULO','SP','125132131217411231476615595112610165092',NULL,'9998',0.00,1,3,NULL),(16,3270157,'1991-05-28 00:00:00',4,2,12,2008,'M','N','JARDINS','BLUMENAU','SC','124242241237272431368813475112610144122',1508,'70',69.33,1,3,NULL),(16,3270165,'1986-01-29 00:00:00',4,1,12,2003,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241147275411123344245124222332197',13522,'298',42.58,1,3,NULL),(16,3270181,'1989-02-09 00:00:00',4,1,12,2007,'M','N','FORQUILHAS','S JOSé','SC','124241241112271731324439292124610124047',NULL,'9997',22.34,1,3,NULL),(16,3270190,'1988-09-26 00:00:00',4,1,12,2005,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241216574431568812575122230234142',1227,'262',70.79,1,3,NULL),(16,3270203,'1987-11-28 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215574431457814572212610121167',3472,'270',62.46,1,3,NULL),(16,3270220,'1989-12-01 00:00:00',4,8,11,2007,'F','N','CENTRO','BAURU','SP','125254251217472431538624342112610113142',NULL,'9998',21.80,1,3,NULL),(16,3270238,'1990-07-26 00:00:00',2,1,12,2007,'F','N','ABRAAO','FLORIANóPOLIS','SC','124241241332272711424421294124610126142',NULL,'1022',27.44,4,3,NULL),(16,3270246,'1992-08-28 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124242241217111431489613574122610167042',4579,'723',59.60,4,3,NULL),(16,3270254,'1988-03-26 00:00:00',4,1,12,2005,'M','N','JARDIM FLóRIDA','JACAREí','SP','125252251217471431456622595112140224047',NULL,'9998',0.00,1,3,NULL),(16,3270262,'1991-05-24 00:00:00',4,8,11,2008,'F','N','IRIRIú','JOINVILLE','SC','124243241236131412329923572224610123072',11392,'462',46.35,1,3,NULL),(16,3270289,'1966-12-27 00:00:00',2,1,12,1994,'F','N','FORQUILHINHAS','S JOSé','SC','224244241312144411536343132132120261155',NULL,'260',0.00,1,3,NULL),(16,3270319,'1990-01-02 00:00:00',4,1,12,2008,'M','N','SANTA CâNDIDA','CURITIBA','PR','116164161216121431366724375114610164197',NULL,'9998',43.48,1,3,NULL),(16,3270327,'1992-01-14 00:00:00',2,5,11,2008,'F','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124241241217111431654933272122613218077',5023,'226',58.56,1,3,NULL),(16,3270335,'1992-02-18 00:00:00',2,4,12,2008,'F','N','INTERIOR','DOIS VIZINHOS','PR','116161161116471231424435575122610121012',NULL,'9998',33.47,1,2,1),(16,3270343,'1989-04-28 00:00:00',2,3,12,2006,'F','N','CENTRO','BAL CAMBORIú','SC','124244241415571431565612275122610111095',3167,'1038',63.35,1,3,NULL),(16,3270351,'1986-02-23 00:00:00',2,1,11,2004,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241126134431528311272124133227092',12882,'288',43.70,2,3,NULL),(16,3270360,'1991-03-29 00:00:00',4,3,12,2008,'M','N','CENTRO','TIMBó','SC','124243241215121431468832575124610122032',3719,'855',61.79,1,3,NULL),(16,3270378,'1985-09-01 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217155231153512485124233214047',NULL,'270',0.00,1,3,NULL),(16,3270386,'1991-06-28 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215271431238911275124610127143',4302,'738',60.23,1,3,NULL),(16,3270408,'1989-10-03 00:00:00',4,5,11,2007,'M','N','SãO CRISTOVAO','CRICIúMA','SC','124242241216472431458814582124610127042',5663,'210',57.15,1,3,NULL),(16,3270416,'1992-11-02 00:00:00',2,1,12,2008,'M','N','VILA PARAGUAIA','FOZ IGUAçU','PR','128161164215161731468333572122610117022',NULL,'9998',38.91,4,3,NULL),(16,3270424,'1991-06-28 00:00:00',4,1,11,2008,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241215111431366633575124610126142',2801,'270',64.39,1,3,NULL),(16,3270432,'1989-08-14 00:00:00',2,3,12,2006,'F','N','CEL APARICIO BORGES','PTO ALEGRE','RS','120201201116131411655413285124240227147',NULL,'9998',0.00,2,1,1),(16,3270440,'1990-06-14 00:00:00',2,5,12,2007,'M','N','BARRACãO','ORLEANS','SC','124241241117372431536611495112610124047',10044,'580',48.70,1,2,1),(16,3270459,'1990-05-16 00:00:00',4,7,11,2007,'M','N','CENTRO','PALMAS','PR','116164161117421411548812575125142611142',NULL,'9998',0.00,1,3,NULL),(16,3270467,'1990-06-05 00:00:00',4,8,12,2008,'M','N','CENTRO','MASSARANDUBA','SC','124243241214161231467632325124610117012',NULL,'442',26.83,1,3,NULL),(16,3270475,'1990-02-15 00:00:00',2,1,12,2006,'M','N','CENTRO','VIDAL RAMOS','SC','124241242112153341446834382124230653147',8695,'662',51.09,1,2,1),(16,3270483,'1991-11-20 00:00:00',2,7,12,2008,'F','N','VILA LIBINO','CAMPOS NOVOS','SC','124241241117161431536513475122610122042',15500,'961',38.54,1,3,NULL),(16,3270491,'1991-10-28 00:00:00',4,1,12,2008,'M','N','HAMBURGO VELHO','NOVO HAMBURGO','RS','120201201217471431357611196122610167117',11838,'9998',45.58,1,3,NULL),(16,3270505,'1989-06-14 00:00:00',4,1,12,2006,'M','N','JARDIM BONGIOVANI','PRES PRUDENTE','SP','125162161217471431459813575224140425092',NULL,'9998',0.00,1,3,NULL),(16,3270521,'1991-04-19 00:00:00',2,8,12,2008,'F','N','CENTRO','BAL BARRA SUL','SC','124244241345421731428838575124610134094',NULL,'1016',0.00,4,3,NULL),(16,3270530,'1985-03-06 00:00:00',2,1,12,2005,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124241241141472412335633471314610127062',NULL,'257',26.46,4,2,1),(16,3270548,'1992-02-02 00:00:00',4,3,11,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241217111431559931571124610127042',NULL,'403',28.18,4,3,NULL),(16,3270556,'1989-03-15 00:00:00',4,1,9,2007,'M','N','BARREIROS','S JOSé','SC','124244241115372441568931575114221467042',5806,'739',56.79,1,3,NULL),(16,3270564,'1990-02-24 00:00:00',4,4,12,2007,'M','N','BAIXADA PIONEIRA','PINHALZINHO','SC','124241241115132431358813585112231434147',6805,'616',54.65,1,2,1),(16,3270572,'1989-08-10 00:00:00',2,1,12,2008,'F','N','PARQUE SãO LUIS','JUNDIAí','SP','125252251215471731646632575112610127072',NULL,'9998',31.77,3,3,NULL),(16,3270580,'1992-09-08 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241216111411538714575122610128035',NULL,'270',25.64,1,3,NULL),(16,3270599,'1989-08-17 00:00:00',4,7,12,2006,'M','N','CENTRO','IBICARé','SC','124241241146142731466939582124231467092',NULL,'345',24.94,1,2,1),(16,3270602,'1980-02-09 00:00:00',2,1,12,1998,'M','N','SERRARIA','S JOSé','SC','124241247236135421465833244122231027097',NULL,'270',0.00,1,3,NULL),(16,3270610,'1992-10-05 00:00:00',2,1,12,2009,'F','S','KOBRASOL','S JOSé','SC','124203241215111732336813435112610132092',NULL,'724',26.04,1,3,NULL),(16,3270629,'1990-12-14 00:00:00',4,1,12,2008,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241215112411466812571124610114115',NULL,'262',28.05,1,3,NULL),(16,3270637,'1991-06-18 00:00:00',2,1,12,2008,'M','N','SANTINHO','FLORIANóPOLIS','SC','124122241116131431226664372314610167047',16227,'288',36.60,1,3,NULL),(16,3270645,'1988-09-19 00:00:00',4,1,12,2007,'M','N','CENTRO','COLINA','SP','125251251415371431638813575124610167052',NULL,'9998',27.95,4,3,NULL),(16,3270653,'1991-08-29 00:00:00',4,2,11,2008,'F','N','CENTRO','GASPAR','SC','124242241215111431467732575122610133142',NULL,'955',39.86,1,3,NULL),(16,3270661,'1981-07-06 00:00:00',4,1,11,1999,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241116131421123344445124140826047',NULL,'674',28.42,1,2,1),(16,3270670,'1990-02-04 00:00:00',4,2,12,2007,'F','N','PADRE MARTINHO STEIN','TIMBó','SC','124241241216132431433633345122610127147',15386,'37',38.80,1,3,NULL),(16,3270688,'1986-09-21 00:00:00',2,1,12,2003,'F','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124251251447131431226844245334610164182',14115,'9998',41.41,1,3,NULL),(16,3270696,'1988-10-31 00:00:00',2,10,12,2006,'M','N','MAR GROSSO','LAGUNA','SC','124244241217233431236527592122233237061',11300,'807',46.47,1,3,NULL),(16,3270700,'1990-11-22 00:00:00',4,4,12,2008,'M','N','CENTRO','TUNáPOLIS','SC','124241241137161431326512575325610167147',NULL,'812',26.61,1,2,1),(16,3270718,'1990-08-06 00:00:00',2,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241212131711435614275122610146147',NULL,'1014',23.98,1,3,NULL),(16,3270726,'1991-08-20 00:00:00',2,7,12,2008,'F','N','CENTRO','CAMPOS NOVOS','SC','124243241111161431458913571122610117077',NULL,'139',20.12,1,3,NULL),(16,3270734,'1992-06-05 00:00:00',4,2,12,2008,'F','N','ARRAPONGUINHAS','TIMBó','SC','124244243415121531438734244122610122142',NULL,'1157',19.90,1,3,NULL),(16,3270742,'1989-06-11 00:00:00',2,1,12,2006,'F','N','PRADO','BIGUAçU','SC','124241161116513431448933532124130167141',6591,'9998',55.07,1,2,1),(16,3270769,'1982-08-13 00:00:00',4,1,10,2008,'M','N','SAO JOAO','ITAJAí','SC','124241247146475431633614245124610117037',NULL,'9999',0.00,4,1,1),(16,3270777,'1991-11-16 00:00:00',3,1,11,2009,'F','S','STO ANTONIO DE LISBO','FLORIANóPOLIS','SC','124242241215511411349821595124610125135',NULL,'270',43.38,4,3,NULL),(16,3270785,'1993-02-06 00:00:00',2,1,12,2009,'M','S','CANASVIEIRAS','FLORIANóPOLIS','SC','124243241216131731356632575124610167147',NULL,'1048',25.92,1,3,NULL),(16,3270793,'1991-02-05 00:00:00',2,1,12,2008,'F','N','BARRA DO ARIRIú','PALHOçA','SC','124241241132131411623414182224610165182',NULL,'592',0.00,1,3,NULL),(16,3270807,'1990-11-16 00:00:00',4,8,11,2008,'M','N','GLóRIA','JOINVILLE','SC','124272241215151431548921572124610128057',9725,'459',49.30,1,3,NULL),(16,3270815,'1991-06-18 00:00:00',2,1,12,2008,'F','N','SERTAO DO IMARUí','S JOSé','SC','124241241127131431523324145334610167117',13640,'733',42.40,1,3,NULL),(16,3270823,'1985-06-10 00:00:00',2,4,12,2002,'M','N','CENTRO','ERECHIM','RS','120201201116271431443316342335142221147',NULL,'9998',27.21,1,2,1),(16,3270831,'1980-05-04 00:00:00',2,1,12,1998,'M','N','ITACORUBI','FLORIANóPOLIS','SC','224241241127131421333343132134610147057',NULL,'298',25.48,1,2,1),(16,3270840,'1989-01-07 00:00:00',4,8,11,2008,'M','N','NOVA BRASILIA','JOINVILLE','SC','124241241225171711446514571124610138037',NULL,'459',18.76,1,3,NULL),(16,3270866,'1990-08-02 00:00:00',4,1,12,2007,'F','N','GARAVELO','APARECIDA GOIâNIA','GO','109254251416131431464334415124610157042',NULL,'9998',23.44,1,3,NULL),(16,3270874,'1992-07-16 00:00:00',2,10,12,2009,'F','S','CENTRO','GR PARá','SC','124244241215161231468732345122610137042',NULL,'950',49.07,1,3,NULL),(16,3270882,'1992-02-27 00:00:00',4,10,12,2008,'M','N','CENTRO','GR PARá','SC','124241243235161431623334145121610124052',NULL,'330',30.39,1,3,NULL),(16,3270890,'1987-03-07 00:00:00',2,1,12,2004,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241116373431435611445124610124147',12964,'64',43.57,1,2,1),(16,3270904,'1965-08-24 00:00:00',5,1,12,1988,'M','N','INGLES','FLORIANóPOLIS','SC','224241243136134411323344345334320966047',8011,'567',52.40,1,3,NULL),(16,3270912,'1987-07-19 00:00:00',2,1,10,2004,'M','N','INGLESES','FLORIANóPOLIS','SC','124243251317473441457712395114223267117',NULL,'9998',0.00,1,3,NULL),(16,3270920,'1987-11-25 00:00:00',4,1,7,2006,'F','N','VILA BARãO','SOROCABA','SP','125253257417271411124419495122610125147',NULL,'9999',15.58,1,3,NULL),(16,3270939,'1987-07-29 00:00:00',2,1,12,2005,'F','N','MORRO DA CRUZ','FLORIANóPOLIS','SC','124242241211565131588923571322610126092',4996,'270',58.62,1,3,NULL),(16,3270947,'1981-04-04 00:00:00',2,1,12,1999,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241217152531656622425132130268112',NULL,'9999',27.87,1,3,NULL),(16,3270955,'1992-04-04 00:00:00',2,8,12,2008,'F','N','PRINCESA ISABEL','CACOAL','RO','122222221217271431348823574125610126144',NULL,'9998',0.00,4,3,NULL),(16,3270963,'1991-04-17 00:00:00',4,1,11,2008,'M','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241117112431368923476124610144182',3745,'270',61.71,1,3,NULL),(16,3270971,'1991-03-20 00:00:00',2,6,11,2008,'F','N','CENTRO','S LUIZ GONZAGA','RS','120201201317271431429814273122610123187',NULL,'9998',0.00,1,3,NULL),(16,3270980,'1991-08-21 00:00:00',4,1,12,2008,'F','N','PONTE IMARUIM','PALHOçA','SC','124241241115271431653611572114610114042',NULL,'592',24.84,1,3,NULL),(16,3270998,'1991-09-13 00:00:00',4,6,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241115141232467812292332610134147',NULL,'405',25.23,1,2,1),(16,3271005,'1991-04-30 00:00:00',1,1,11,2008,'M','N','RECREIO DE CAFEZAIS','VALINHOS','SP','125252251216151431378931575112610117042',NULL,'9998',0.00,1,3,NULL),(16,3271013,'1990-09-08 00:00:00',4,1,12,2008,'M','N','ARIRIÚ','PALHOCA','SC','124241241122131431621361291324610135142',NULL,'593',20.70,2,1,1),(16,3271030,'1992-04-09 00:00:00',4,1,11,2009,'F','S','ROçADO','S JOSé','SC','124242241217111531368722372124610124143',NULL,'266',42.96,1,3,NULL),(16,3271048,'1989-12-22 00:00:00',4,1,10,2008,'M','N','CENTRO','RIBEIRãO PRETO','SP','125252258217251441459913476111610134052',NULL,'9998',25.95,1,3,NULL),(16,3271056,'1990-10-28 00:00:00',4,6,12,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124241241415372431547539295122610125097',7008,'44',54.28,1,3,NULL),(16,3271064,'1983-02-21 00:00:00',2,1,12,2008,'F','N','COSTEIRA','FLORIANóPOLIS','SC','124241241122111221422114393124610126057',NULL,'9997',8.10,2,1,1),(16,3271072,'1991-03-01 00:00:00',2,8,12,2007,'F','N','CENTRO','CATANDUVAS','PR','116163168415571431445632572122610164152',NULL,'9998',34.53,1,3,NULL),(16,3271099,'1991-05-26 00:00:00',4,8,12,2008,'F','N','CENTRO','JARAGUá SUL','SC','124242241234111431456924574121610127012',NULL,'442',30.60,1,3,NULL),(16,3271102,'1987-03-22 00:00:00',4,1,7,2005,'M','N','PASSA VINTE','PALHOçA','SC','124241241147151231534414445121610124042',NULL,'591',0.00,1,2,1),(16,3271110,'1991-06-29 00:00:00',4,1,12,2008,'M','N','CENTRO','STA ROSA','RS','120202201436111731466833576112610167092',NULL,'9998',31.12,1,3,NULL),(16,3271137,'1992-06-06 00:00:00',4,7,12,2009,'F','S','CRUZEIRO DO SUL','JOAçABA','SC','124242241212111411536722572122610126012',NULL,'454',23.13,1,3,NULL),(16,3271145,'1990-09-25 00:00:00',4,4,12,2008,'F','N','ESPERANçA','GUARUJá SUL','SC','124241241134161441323314291324610136077',NULL,'339',25.67,4,2,1),(16,3271153,'1988-07-25 00:00:00',2,4,12,2008,'M','N','INTERIOR','CAIBI','SC','124241241116131451426639195323610167047',NULL,'127',0.00,1,2,1),(16,3271161,'1991-09-03 00:00:00',4,1,12,2008,'F','N','MAR GROSSO','LAGUNA','SC','124243241116271331346623472124610122092',16246,'521',36.53,1,3,NULL),(16,3271170,'1992-04-09 00:00:00',4,1,11,2009,'M','S','ITACORUBI','FLORIANóPOLIS','SC','124243241117151431459813575122610134047',NULL,'271',50.86,1,3,NULL),(16,3271188,'1988-05-03 00:00:00',2,4,12,2006,'M','N','ESPLANADA','CHAPECó','SC','124241241116132541335823135124131811017',NULL,'175',34.68,4,2,1),(16,3271196,'1990-12-12 00:00:00',4,9,12,2008,'F','N','CONTE','LAGES','SC','124241241116131411437414385124610122057',13387,'512',42.81,1,2,1),(16,3271200,'1990-03-20 00:00:00',4,1,12,2007,'M','N','SAO MARCOS','JOINVILLE','SC','124241241146131431424473475324610118142',NULL,'153',0.00,1,2,1),(16,3271218,'1986-05-16 00:00:00',4,1,12,2004,'M','N','SANTA CRUZ','INDAIATUBA','SP','125251251116131411635339375122610111047',NULL,'9998',0.00,1,2,1),(16,3271234,'1991-11-12 00:00:00',2,1,11,2008,'F','N','CENTRO','BIGUAçU','SC','124242241215112431466612372122610166157',NULL,'1022',26.36,1,3,NULL),(16,3271269,'1991-03-06 00:00:00',4,1,12,2007,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241211372431668612224122610164052',NULL,'1036',23.74,1,3,NULL),(16,3271277,'1987-03-27 00:00:00',2,10,12,2004,'M','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124241241126141741644612145121610124043',NULL,'332',36.55,1,3,NULL),(16,3271285,'1989-11-16 00:00:00',2,5,11,2007,'F','N','MICHEL','CRICIúMA','SC','124242241217371711446614175112610135117',5036,'210',58.53,1,3,NULL),(16,3271293,'1991-05-31 00:00:00',4,8,11,2008,'M','N','CENTRO','MAFRA','SC','124241241317211731233923292224333247017',NULL,'541',21.83,1,3,NULL),(16,3271315,'1991-03-09 00:00:00',4,7,12,2008,'M','N','CENTRO','CAMPOS NOVOS','SC','124243242115131611445811575122610157057',NULL,'8',0.00,1,3,NULL),(16,3271331,'1990-09-24 00:00:00',2,7,12,2008,'F','N','CENTRO','VIDEIRA','SC','124241241216141451356632345122610134174',15848,'1080',37.63,1,3,NULL),(16,3271340,'1989-06-29 00:00:00',4,1,12,2006,'M','N','CAMPO BELO','S PAULO','SP','125252251217571411479921571124610148042',7582,'9998',53.18,1,3,NULL),(16,3271358,'1991-05-02 00:00:00',4,1,11,2008,'F','N','WERNER PLASS','AMERICANA','SP','125252251216151431468634575122610146112',NULL,'9998',0.00,1,3,NULL),(16,3271366,'1991-02-12 00:00:00',4,1,11,2008,'F','N','VILA NOVA ALTA','BRAçO NORTE','SC','124242241217121711486921595124610146072',1843,'270',67.84,1,3,NULL),(16,3271374,'1991-12-06 00:00:00',4,8,12,2008,'F','N','JARDIM IRIRIU','JOINVILLE','SC','124243241215131431446614295124610167172',NULL,'462',13.53,1,3,NULL),(16,3271382,'1990-01-01 00:00:00',4,4,12,2007,'F','N','CENTRO','DOIS VIZINHOS','PR','116162161234471431338611414322610134187',NULL,'9998',0.00,1,3,NULL),(16,3271390,'1991-04-11 00:00:00',2,5,12,2008,'M','N','DIVINéIA','ARARANGUá','SC','124241241122131431336524242224610116147',8895,'30',50.75,4,2,1),(16,3271404,'1990-05-02 00:00:00',2,5,10,2007,'F','N','CENTRO','CRICIúMA','SC','124242241217272751328933495125131364157',NULL,'226',0.00,1,3,NULL),(16,3271420,'1990-03-09 00:00:00',4,1,11,2007,'M','N','JARDIM GOIáS','GOIâNIA','GO','109092091214471431369831571121610132076',9530,'9998',49.67,1,3,NULL),(16,3271439,'1989-08-11 00:00:00',4,2,12,2007,'F','N','SALTO DO NORTE','BLUMENAU','SC','124241241445371721423412145124610127157',NULL,'67',19.50,1,3,NULL),(16,3271455,'1991-09-02 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124243241315131421636814345245610126147',NULL,'1146',27.30,1,3,NULL),(16,3271463,'1990-03-28 00:00:00',2,5,11,2008,'M','N','SANTA BARBARA','CRICIúMA','SC','124242241215111411576832575122610122117',NULL,'1096',26.64,1,3,NULL),(16,3271471,'1965-11-30 00:00:00',4,1,12,1983,'M','N','LAGOA DA CONCEICAO','FLORIANóPOLIS','SC','124252251216472441169841415122342462122',2742,'9998',64.58,1,3,NULL),(16,3271480,'1990-12-27 00:00:00',4,8,12,2007,'M','N','AGUA VERDE','CURITIBA','PR','116162161217471431489711591125141434126',NULL,'9998',0.00,1,3,NULL),(16,3271498,'1973-02-09 00:00:00',4,1,12,1992,'M','N','JARDIM ATLANTICO','FLORIANOPOLIS','SC','224241241126271411233343235124231024047',NULL,'510',36.63,1,2,1),(16,3271501,'1990-02-16 00:00:00',4,1,12,2007,'M','N','CENTRO','S ROQUE','SP','125254251214471751468839571112610127052',NULL,'9998',26.65,1,3,NULL),(16,3271510,'1992-06-20 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241115111411456512572112610136012',10962,'267',47.09,1,3,NULL),(16,3271528,'1992-08-25 00:00:00',4,1,11,2009,'F','S','JOãO PAULO','FLORIANóPOLIS','SC','124242241215111432468832575122610125143',NULL,'270',24.74,1,3,NULL),(16,3271544,'1990-01-30 00:00:00',4,9,12,2007,'M','N','CENTRO','SERAFINA CORRêA','RS','120201201117131321325534182124610127017',NULL,'9998',25.88,1,2,1),(16,3271552,'1991-11-19 00:00:00',4,10,11,2009,'M','S','PASSAGEM','TUBARãO','SC','124242241217111531467639572124610128052',NULL,'807',55.56,1,3,NULL),(16,3271560,'1990-11-06 00:00:00',2,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124242241215111731558619572124610147117',NULL,'724',22.86,1,3,NULL),(16,3271579,'1992-03-30 00:00:00',4,4,12,2008,'M','N','CENTRO','TRINDADE SUL','RS','120201201136131711323823585122610167175',NULL,'9998',26.63,1,2,1),(16,3271587,'1988-03-02 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANóPOLIS','SC','124202201416272421327714471124610116152',NULL,'9998',26.59,1,3,NULL),(16,3271595,'1989-06-18 00:00:00',4,3,6,2006,'M','N','BOMBAS','BOMBINHAS','SC','124241247227141431635621285125610132182',NULL,'9997',27.99,1,3,NULL),(16,3271617,'1990-05-19 00:00:00',4,3,12,2008,'F','N','CENTRO','ITAPEMA','SC','124242241217111731588812375112610168052',NULL,'1086',22.49,1,3,NULL),(16,3271625,'1988-02-17 00:00:00',4,1,12,2006,'F','N','IMIGRANTES','HOLAMBRA','SP','125251251117132441532314142234610166097',NULL,'9998',27.81,1,3,NULL),(16,3271633,'1990-04-07 00:00:00',4,8,11,2007,'F','N','CENTRO','CURITIBA','PR','116252251216471411458832571122610134097',NULL,'9998',0.00,1,3,NULL),(16,3271650,'1991-05-20 00:00:00',2,5,11,2008,'F','N','DAS DAMAS','URUSSANGA','SC','124244241215111741466613571112610134042',9184,'820',50.27,1,3,NULL),(16,3271668,'1990-10-10 00:00:00',4,8,12,2008,'F','N','PARQUE GUARANI','JOINVILLE','SC','124241241121111751436419287342611966191',NULL,'482',20.27,4,3,NULL),(16,3271684,'1989-04-11 00:00:00',4,1,12,2006,'F','N','FORQUILHINHAS','S JOSé','SC','124241241136133431239923391124133253047',NULL,'307',24.28,1,2,1),(16,3271692,'1990-09-12 00:00:00',2,10,11,2008,'F','N','SãO CLEMENTE','TUBARãO','SC','124243241415121431446513475124610125197',13671,'807',42.33,1,3,NULL),(16,3271706,'1988-12-23 00:00:00',2,1,12,2006,'F','N','VILA PAES','VOTUPORANGA','SP','125251251216573431438923575122610168142',6178,'9998',55.98,1,3,NULL),(16,3271714,'1990-10-15 00:00:00',2,1,12,2008,'M','N','CENTRO','S BONIFáCIO','SC','124241241125171311333513442121610127052',15632,'702',38.23,1,2,1),(16,3271722,'1991-04-27 00:00:00',4,1,12,2008,'M','N','SCEN','BRASíLIA','DF','107242071217111531468839572124610126015',11981,'9998',45.29,4,3,NULL),(16,3271730,'1984-09-02 00:00:00',2,10,12,2000,'M','N','MAGALHãES','LAGUNA','SC','124243241112151451327611475122131064042',14127,'521',41.38,1,3,NULL),(16,3271749,'1990-02-01 00:00:00',4,4,11,2007,'M','N','CENTRO','CARAZINHO','RS','120203201217271231333933392115610127042',15058,'9998',39.54,1,3,NULL),(16,3271757,'1982-03-07 00:00:00',2,1,4,2002,'M','N','PRAIA COMPRIDA','S JOSé','SC','124243247317133121234329282112131267047',NULL,'9999',20.45,1,3,NULL),(16,3271765,'1988-10-01 00:00:00',4,3,12,2005,'F','N','CENTRO','PARANAVAí','PR','116162161215571731368932472125132834152',6595,'9998',55.05,1,3,NULL),(16,3271773,'1986-08-01 00:00:00',2,1,12,2005,'M','N','ABRAãO','FLORIANóPOLIS','SC','124243241217174731259633575124232836097',14740,'9997',40.20,1,3,NULL),(16,3271781,'1991-12-03 00:00:00',4,1,12,2009,'F','S','JOÃO PAULO','FLORIANóPOLIS','SC','124242241215111431579913585122610124077',NULL,'270',44.72,4,3,NULL),(16,3271790,'1985-12-20 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124243241337575421433318294124610167147',NULL,'281',0.00,1,3,NULL),(16,3271803,'1987-01-23 00:00:00',4,1,12,2004,'M','N','ESTREITO','FLORIANóPOLIS','SC','124244241214272431568813482114121264102',3808,'259',61.58,1,3,NULL),(16,3271811,'1987-04-29 00:00:00',2,2,12,2004,'F','N','FORTALEZA','BLUMENAU','SC','124241241147151431633313382114610134047',16109,'69',36.91,1,2,1),(16,3271820,'1989-08-06 00:00:00',4,10,7,2006,'F','N','PASSO DO GADO','TUBARAO','SC','124241248346131131234349385124130724017',NULL,'9999',0.00,1,3,NULL),(16,3271838,'1987-12-31 00:00:00',4,8,12,2005,'M','N','CENTRO','CORUPá','SC','124254252216131312423339395121610124012',14498,'9998',40.70,1,3,NULL),(16,3271846,'1990-09-07 00:00:00',4,1,4,2008,'M','N','BOSQUE DAS MANSõES','S JOSé','SC','124242288415371331589913432112610167102',7591,'9998',53.17,1,3,NULL),(16,3271854,'1991-03-03 00:00:00',4,1,12,2008,'M','N','VIGOLO','NOVA TRENTO','SC','124243241215111231576612325112610117112',NULL,'109',25.19,1,3,NULL),(16,3271862,'1965-06-07 00:00:00',4,1,12,1982,'M','N','COQUEIROS','FLORIANóPOLIS','SC','224241248132135751226441412344222367047',14036,'307',41.57,1,3,NULL),(16,3271870,'1985-11-08 00:00:00',4,1,11,2002,'M','N','ESTREITO','FLORIANóPOLIS','SC','124244241217132412236624445114232867047',14102,'809',41.44,1,3,NULL),(16,3271889,'1989-06-20 00:00:00',2,1,12,2007,'M','N','PATRIMONIO VELHO','VOTUPORANGA','SP','125252251216471431446619575225610117092',NULL,'9998',0.00,1,3,NULL),(16,3271897,'1991-10-09 00:00:00',2,1,11,2008,'F','N','CENTRO','BIGUAçU','SC','124242241212111431368812575122610161197',NULL,'1022',26.74,1,3,NULL),(16,3271900,'1965-10-24 00:00:00',2,1,12,1983,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','224241243122273421553342122222121462162',NULL,'257',45.69,1,2,1),(16,3271919,'1989-07-25 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241216374431669813574114131126192',3926,'1022',61.26,1,3,NULL),(16,3271927,'1989-05-31 00:00:00',2,4,12,2006,'F','N','CENTRO','CHAPECó','SC','124241241416113431526923572124233262171',NULL,'1046',33.33,1,3,NULL),(16,3271951,'1987-07-10 00:00:00',2,1,12,2004,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241216475711568712371124610167115',10614,'970',47.71,1,3,NULL),(16,3271960,'1988-07-11 00:00:00',2,1,11,2005,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241216134411336934342124222266012',12712,'273',43.98,1,3,NULL),(16,3271978,'1989-11-12 00:00:00',4,3,12,2006,'F','N','CENTRO','S DOMINGOS','SC','124243241216472431545512495124130621192',3459,'836',62.50,1,3,NULL),(16,3271986,'1990-02-28 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242248435141421336621385124610132017',NULL,'257',31.59,1,3,NULL),(16,3272001,'1989-02-12 00:00:00',4,1,12,2006,'M','N','CENTRO','BOTUCATU','SP','125252251215572431358812425112610111052',NULL,'9998',0.00,1,3,NULL),(16,3272028,'1990-07-19 00:00:00',4,8,11,2008,'F','N','VILA NOVA','JOINVILLE','SC','124241241111161432558833572344610137147',NULL,'473',23.64,1,2,1),(16,3272044,'1992-05-03 00:00:00',4,3,11,2009,'M','S','CENTRO','TIJUCAS','SC','124242241215111431478833575121610127042',NULL,'948',31.63,1,3,NULL),(16,3272052,'1991-06-11 00:00:00',2,4,11,2008,'M','N','CENTRO','CARAZINHO','RS','120202201217471431223829595122610127011',10597,'9998',47.74,1,3,NULL),(16,3272060,'1986-07-18 00:00:00',2,1,12,2006,'M','N','PASSA VINTE','FLORIANóPOLIS','SC','124241207323131731232344242113140213051',NULL,'9998',30.17,3,3,NULL),(16,3272079,'1974-08-27 00:00:00',2,1,12,1998,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124161167227131411224444245214141028187',16186,'9998',36.70,3,3,NULL),(16,3272087,'1991-03-07 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','107073071117111411433634575124610136012',NULL,'9998',28.39,4,3,NULL),(16,3272095,'1991-01-14 00:00:00',2,1,12,2008,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241117141331433331275114610134115',NULL,'307',37.28,1,3,NULL),(16,3272109,'1991-03-11 00:00:00',2,1,11,2008,'M','N','BUENO','GOIâNIA','GO','109092091416111431558839374122610127042',NULL,'9998',0.00,4,3,NULL),(16,3272117,'1990-12-23 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241147271411335813246124610123142',NULL,'307',28.82,1,3,NULL),(16,3272125,'1992-10-10 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217111751337724575114610117047',NULL,'951',21.07,1,3,NULL),(16,3272133,'1991-07-29 00:00:00',2,5,12,2007,'F','N','CENTRO','MRO GRANDE','SC','124241241116132431449913585122610127052',10941,'30',47.13,1,2,1),(16,3272141,'1991-05-10 00:00:00',4,1,11,2008,'F','N','JARDIM BETâNIA','S CARLOS','SP','125252251217121431357816571122610164161',8329,'9998',51.74,1,3,NULL),(16,3272150,'1991-09-08 00:00:00',2,1,12,2008,'M','N','SãO SEBASTIãO','PALHOçA','SC','124241241115131431436614375124610117042',NULL,'592',28.42,1,3,NULL),(16,3272168,'1991-09-26 00:00:00',4,6,12,2008,'M','N','CORDEIROS','ITAJAí','SC','124241241145111431444514245111610167117',NULL,'396',0.00,1,2,1),(16,3272176,'1990-09-19 00:00:00',2,1,12,2007,'M','N','ESPLANADA','CAXIAS SUL','RS','120201201115471431567413281122610127047',8624,'9998',51.20,4,1,1),(16,3272184,'1991-11-05 00:00:00',2,1,12,2008,'F','N','REAL PARQUE','S JOSé','SC','124243241315271431345731292124610122097',15850,'734',37.63,1,3,NULL),(16,3272192,'1989-12-06 00:00:00',2,5,12,2007,'F','N','ESPERANÇA','MRO FUMAçA','SC','124242241215371431524612315124610162147',7566,'210',53.20,1,3,NULL),(16,3272206,'1990-06-22 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124244243117131431436613335124610154097',NULL,'733',22.56,1,3,NULL),(16,3272214,'1991-05-21 00:00:00',4,2,12,2008,'F','N','VELHA','BLUMENAU','SC','124241241115131211324314375124610115077',NULL,'69',26.74,4,2,1),(16,3272222,'1990-04-23 00:00:00',4,1,12,2007,'F','N','COOPHALIS','RONDONóPOLIS','MT','111112111216112411357722445124610142052',NULL,'9998',0.00,4,3,NULL),(16,3272230,'1991-10-04 00:00:00',4,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215111431358813272124610137182',NULL,'270',31.67,1,3,NULL),(16,3272249,'1990-01-07 00:00:00',2,1,12,2007,'F','N','JD MARIN','VOTUPORANGA','SP','102252251215471431456832572112610168142',5255,'9998',57.99,1,3,NULL),(16,3272257,'1990-11-19 00:00:00',4,1,6,2008,'M','N','LAGOA DA CONCEICAO','FLORIANóPOLIS','SC','124242281217271431469813475124610126072',7629,'883',53.10,1,3,NULL),(16,3272265,'1987-05-31 00:00:00',4,2,12,2004,'F','N','CENTRO','RIO SUL','SC','124241241415133431633339581221610122017',8818,'663',50.86,1,3,NULL),(16,3272273,'1981-09-24 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241447131411536313192243610124027',12589,'596',44.20,4,1,2),(16,3272281,'1989-12-12 00:00:00',4,1,7,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242247227151721368572345112610167047',NULL,'9999',18.94,1,3,NULL),(16,3272290,'1990-06-25 00:00:00',4,1,12,2008,'F','N','CALEMBA','STO AMARO IMPERATRIZ','SC','124241241117271421323314372324610167043',NULL,'772',22.55,2,3,NULL),(16,3272303,'1990-02-07 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241215472431468933572124610167012',4993,'1022',58.62,1,3,NULL),(16,3272311,'1989-04-17 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241145272431545621185124133261091',5470,'322',57.54,1,2,1),(16,3272320,'1991-10-02 00:00:00',2,9,12,2008,'F','N','PINHEIROS','OTACíLIO COSTA','SC','124241241117131431326621592121610121077',15234,'583',39.12,1,2,1),(16,3272338,'1991-05-26 00:00:00',2,4,11,2008,'M','N','CENTRO','CHAPECó','SC','124242241211111431458611475112610118182',NULL,'1046',19.83,1,3,NULL),(16,3272346,'1990-12-31 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124244241117151731328724376322610147057',12650,'739',44.08,1,3,NULL),(16,3272354,'1990-09-15 00:00:00',2,3,12,2008,'F','N','JARDIM PRIMAVERA','LONTRAS','SC','124241241147271431523324292234610136177',NULL,'535',21.53,1,2,1),(16,3272362,'1986-01-29 00:00:00',4,1,11,2003,'F','N','PERDIZES','S PAULO','SP','125252251217432441458811375121610167112',8755,'9998',50.97,1,3,NULL),(16,3272370,'1991-08-26 00:00:00',4,8,11,2008,'F','N','GLóRIA','JOINVILLE','SC','124241241216131431446834572124610137187',NULL,'489',29.74,1,3,NULL),(16,3272389,'1991-04-16 00:00:00',4,8,12,2008,'F','N','FLORESTA','JOINVILLE','SC','124242241215111431247712572114610162077',14318,'486',41.01,1,3,NULL),(16,3272397,'1992-09-14 00:00:00',4,7,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111731578832572115610132082',NULL,'270',20.06,1,3,NULL),(16,3272400,'1988-12-06 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215573411368832595112133237062',5277,'270',57.92,1,3,NULL),(16,3272419,'1991-10-09 00:00:00',4,1,11,2008,'M','N','CENTRO','CHAP SUL','MS','112122121216111411466612295122610132092',NULL,'9998',40.29,1,3,NULL),(16,3272427,'1990-12-10 00:00:00',4,1,11,2008,'F','N','BROOKLIN PAULISTA','S PAULO','SP','125252251216271431469914575112610167142',NULL,'9998',0.00,1,3,NULL),(16,3272443,'1990-05-23 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241243117371731544311342122610137042',NULL,'9997',21.82,5,2,1),(16,3272451,'1991-11-13 00:00:00',4,10,11,2008,'F','N','CENTRO','TREZE MAIO','SC','124241241315371431334622471124610134147',11283,'793',46.50,1,3,NULL),(16,3272460,'1978-06-12 00:00:00',4,4,12,1996,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241126131431327419385124231428067',NULL,'553',0.00,1,3,NULL),(16,3272478,'1990-10-30 00:00:00',2,4,11,2007,'F','N','CENTRO','IRATI','SC','116241241126111431466933145122242827052',NULL,'380',26.86,1,2,1),(16,3272486,'1988-06-25 00:00:00',4,1,12,2005,'F','N','SETOR BUENO','GOIâNIA','GO','109092091215572431469613574122610137147',NULL,'9998',0.00,4,3,NULL),(16,3272508,'1990-12-11 00:00:00',4,1,12,2008,'M','N','SãO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241125131731633114244211610137053',15680,'772',38.12,1,2,1),(16,3272516,'1991-11-04 00:00:00',2,1,12,2008,'M','N','FLOR DE NAPOLIS','S JOSé','SC','124241241117131431533314344124610126117',NULL,'727',28.65,1,2,1),(16,3272532,'1991-09-24 00:00:00',2,10,11,2008,'F','N','CENTRO','BRAçO NORTE','SC','124242241215111431558832392122610123142',6794,'102',54.67,1,3,NULL),(16,3272540,'1992-01-10 00:00:00',2,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124244241215271731467713575122610167017',14187,'44',41.26,4,3,NULL),(16,3272559,'1990-04-29 00:00:00',4,1,12,2007,'M','N','VISTA VERDE','S JOSé CAMPOS','SP','125283281217471431333514372212610144042',NULL,'9998',0.00,3,3,NULL),(16,3272567,'1988-06-23 00:00:00',4,1,12,2005,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124242241217133751327634472314610168187',NULL,'260',34.99,4,3,NULL),(16,3272575,'1969-11-04 00:00:00',2,1,12,1995,'F','N','PRAIA DE PALMAS','GOV CELSO RAMOS','SC','624253251446131411451353142212142246187',NULL,'9998',27.76,4,1,2),(16,3272583,'1992-01-22 00:00:00',2,1,11,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124242241215111331566614575122610121092',14222,'944',41.19,1,3,NULL),(16,3272605,'1984-05-23 00:00:00',4,1,12,2001,'M','N','ARIRIU','PALHOçA','SC','124241241116131411238661382312133117047',13293,'669',42.99,1,3,NULL),(16,3272613,'1987-09-14 00:00:00',2,8,12,2006,'F','N','ATIRADORES','JOINVILLE','SC','124241241127131411443833114114610117047',NULL,'465',32.40,1,2,1),(16,3272621,'1956-05-22 00:00:00',2,1,12,1975,'M','N','ESTREITO','FLORIANÓPOLIS','SC','524241241211575421154543432112322627041',2552,'262',65.16,1,3,NULL),(16,3272630,'1981-12-04 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241247327232721121144145124223022183',9959,'9999',48.84,1,3,NULL),(16,3272656,'1991-03-21 00:00:00',4,5,12,2008,'M','N','CENTRO','BAL ARROIO SILVA','SC','124241241117371431444629375122610122057',NULL,'30',33.84,1,2,1),(16,3272664,'1992-08-05 00:00:00',4,5,12,2008,'F','N','CONDE D EU','ORLEANS','SC','124242241215111431458911575122610163075',14046,'820',41.56,1,3,NULL),(16,3272680,'1991-03-31 00:00:00',4,3,12,2008,'M','N','CENTRO','BALNEARIO CAMBORIU','SC','124242241215371431438812572122610134182',NULL,'44',25.88,1,3,NULL),(16,3272699,'1984-12-19 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124243244416124431447619495114610158181',NULL,'1022',26.69,1,3,NULL),(16,3272729,'1990-03-16 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124112111212271431438924292124233262091',NULL,'9998',35.75,1,3,NULL),(16,3272753,'1984-08-19 00:00:00',4,1,11,2001,'M','N','CONJUNTO B','FOZ IGUAçU','PR','116162161217271431458814475112141442182',NULL,'9998',0.00,3,3,NULL),(16,3272761,'1992-12-25 00:00:00',2,1,12,2009,'M','S','TRINDADE','FLORIANóPOLIS','SC','124242241215111431348923575124610118173',NULL,'1050',40.88,1,3,NULL),(16,3272770,'1991-11-06 00:00:00',4,6,11,2008,'F','N','CENTRO','ITAJAí','SC','124242241217151731446833575125610124191',10274,'392',48.30,1,3,NULL),(16,3272796,'1988-03-02 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243247316131432426633485114610165192',NULL,'257',21.29,2,1,2),(16,3272818,'1991-12-19 00:00:00',4,7,12,2008,'F','N','VILA PARAíSO','CAçADOR','SC','124241241116161431436614242122610136197',15581,'124',38.36,1,3,NULL),(16,3272826,'1991-02-26 00:00:00',4,8,11,2008,'M','N','MERCêS','CURITIBA','PR','116162164213171751418871596345610168047',NULL,'9998',0.00,1,3,NULL),(16,3272834,'1983-12-04 00:00:00',2,2,12,2002,'F','N','FORTALEZA','BLUMENAU','SC','124243247225271231646312472114131568187',NULL,'9999',26.37,1,3,NULL),(16,3272842,'1988-09-16 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215372431359813575114123227055',4573,'270',59.62,1,3,NULL),(16,3272850,'1977-01-02 00:00:00',2,3,12,2003,'M','N','CENTRO','BAL CAMBORIú','SC','424243247326232231123444342333132828147',NULL,'657',28.69,1,3,NULL),(16,3272869,'1988-02-04 00:00:00',4,1,7,2007,'M','N','FORQUILHINHAS','S JOSé','SC','124243247317131431656933445123610127047',NULL,'9999',34.17,2,1,2),(16,3272877,'1991-04-30 00:00:00',4,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124243241215111731436619272112610134147',10239,'737',48.36,1,3,NULL),(16,3272885,'1988-01-05 00:00:00',2,1,12,2005,'F','N','AZENHA','PTO ALEGRE','RS','120202201217571731456823575114610131197',9602,'9998',49.51,1,3,NULL),(16,3272893,'1990-10-30 00:00:00',4,7,12,2007,'M','N','FLOR DA SERRA','JOAçABA','SC','124201201111132431433633181224231422092',NULL,'9998',28.44,4,2,1),(16,3272907,'1988-07-10 00:00:00',4,1,12,2005,'M','N','CARIANOS','FLORIANóPOLIS','SC','124251241147141731457413432124613217047',NULL,'283',18.82,1,3,NULL),(16,3272915,'1991-07-19 00:00:00',4,1,11,2008,'M','N','CENTRO','GOIâNIA','GO','109092091217111431468811572122610168182',12580,'9998',44.21,1,3,NULL),(16,3272923,'1992-01-14 00:00:00',4,4,12,2008,'M','N','CINQUENTENARIO','CONCóRDIA','SC','124242241236111432446613485112610127017',NULL,'1000',37.54,1,3,NULL),(16,3272940,'1989-08-07 00:00:00',2,1,11,2005,'F','N','COSTEIRA','FLORIANóPOLIS','SC','124241241132131431326624345224610117145',NULL,'294',0.00,1,2,1),(16,3272966,'1990-12-08 00:00:00',4,1,12,2008,'F','N','CENTRO','CANELINHA','SC','124241241145131432323329296331610146187',NULL,'142',29.22,1,2,1),(16,3272974,'1992-03-15 00:00:00',4,8,12,2008,'F','N','CENTRO','CORUPá','SC','124244241217161411469914476114610144192',7923,'422',52.56,1,3,NULL),(16,3272982,'1991-11-11 00:00:00',4,1,12,2009,'F','S','TRINDADE','FLORIANóPOLIS','SC','124242241217111432439634192122610161145',NULL,'266',50.00,1,3,NULL),(16,3272990,'1991-08-31 00:00:00',2,1,11,2008,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241115131431627424382324610127147',12278,'288',44.76,1,2,1),(16,3273008,'1989-07-31 00:00:00',4,1,12,2006,'M','N','JARDIM MONçõES','MARINGá','PR','116162161217571441488733575112610137012',NULL,'9998',0.00,1,3,NULL),(16,3273016,'1990-06-27 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124243241115131431536624345124610115057',NULL,'733',27.24,2,1,2),(16,3273024,'1964-12-26 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANóPOLIS','SC','224051051127161421412254282314610168042',NULL,'9998',31.03,4,1,1),(16,3273032,'1990-03-02 00:00:00',2,1,12,2007,'M','N','ROçADO','S JOSé','SC','124242241235372221446622433114610167117',NULL,'724',30.95,1,3,NULL),(16,3273059,'1946-03-23 00:00:00',2,3,12,1964,'M','N','MOSSUNGUE','CURITIBA','PR','216161161123431341345445453222241624172',NULL,'9998',0.00,1,3,NULL),(16,3273067,'1990-07-01 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241117372431464762473114610125197',15650,'307',38.19,1,3,NULL),(16,3273075,'1991-05-13 00:00:00',2,1,12,2008,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124251248115111431426614372324610127042',13006,'64',43.48,1,3,NULL),(16,3273083,'1978-10-13 00:00:00',3,1,12,1998,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','224241241117135311225544442334222337047',NULL,'267',37.28,4,1,1),(16,3273091,'1990-04-25 00:00:00',2,4,12,2008,'M','N','CENTRO','PATO BRANCO','PR','116163161212151432468914242122610167062',NULL,'9998',25.03,1,3,NULL),(16,3273105,'1992-01-22 00:00:00',4,1,12,2009,'M','S','CóRREGO GRANDE','FLORIANóPOLIS','SC','124212241217111431588914475114610124147',NULL,'262',28.73,1,3,NULL),(16,3273121,'1968-03-12 00:00:00',4,1,12,1987,'M','N','COSTEIRA D PIRAJUBAé','FLORIANóPOLIS','SC','524241241127153421234541215132320824067',NULL,'307',26.35,1,2,1),(16,3273130,'1987-07-10 00:00:00',2,2,11,2003,'F','N','POMBINHAS','POUSO REDONDO','SC','124241241115372431246414244214610134042',NULL,'639',33.01,1,2,1),(16,3273148,'1989-10-08 00:00:00',2,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124243241115131411434421271324610164012',5015,'306',58.57,1,3,NULL),(16,3273164,'1983-11-04 00:00:00',2,3,12,2000,'F','N','CENTRO','CAMBORIú','SC','124202202316171421323429345324133268047',NULL,'9998',29.97,4,1,2),(16,3273172,'1990-08-06 00:00:00',2,1,12,2007,'M','N','JARDIM PARAíBA','APARECIDA','SP','125252251217471431458631575122610164044',15248,'9998',39.10,1,3,NULL),(16,3273180,'1992-05-13 00:00:00',4,1,12,2009,'F','S','ABRAãO','FLORIANóPOLIS','SC','124243248225151431448819385124610134147',NULL,'262',49.89,1,3,NULL),(16,3273199,'1988-10-14 00:00:00',4,1,11,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115151431433612215332610124145',NULL,'293',28.63,1,2,1),(16,3273202,'1988-01-18 00:00:00',2,1,12,2006,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241422132411347614441124610123142',NULL,'1098',20.38,1,3,NULL),(16,3273210,'1986-02-18 00:00:00',2,1,12,2003,'M','N','RATONES','FLORIANóPOLIS','SC','124241241131274431335311331333610117117',7287,'267',53.74,1,2,1),(16,3273229,'1986-10-14 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241217272431338872475124231068042',NULL,'44',33.07,1,3,NULL),(16,3273245,'1990-10-04 00:00:00',2,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSé','SC','124163241317141431338729295124610165067',15669,'733',38.14,3,3,NULL),(16,3273253,'1988-09-30 00:00:00',2,1,4,2008,'F','N','MADRI','PALHOçA','SC','124243247225131731538823372224610123147',NULL,'300',23.73,1,3,NULL),(16,3273261,'1991-03-01 00:00:00',2,5,11,2007,'M','N','VILA SÃO JOSÉ','ARARANGUA','SC','124244241215472431458634315122610164117',11140,'32',46.76,1,3,NULL),(16,3273270,'1990-01-06 00:00:00',4,1,12,2007,'M','N','CAMPO GRANDE','SANTOS','SP','125252251417371731267823495115140262092',NULL,'9998',30.53,1,3,NULL),(16,3273296,'1991-03-11 00:00:00',4,1,11,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241215121431678611572112610133142',1707,'270',68.39,1,3,NULL),(16,3273300,'1992-05-15 00:00:00',2,4,12,2009,'F','S','LIBERDADE','CONCóRDIA','SC','124241241217151331446612272124610121142',NULL,'1047',44.33,1,3,NULL),(16,3273326,'1988-06-08 00:00:00',2,3,12,2005,'F','N','JARDIM MATILDE','OURINHOS','SP','125254258215571431468823575122610134097',13065,'9998',43.37,1,3,NULL),(16,3273334,'1991-05-21 00:00:00',4,1,12,2008,'F','N','QUINTA DAS FLORES','S JOSé CAMPOS','SP','125252251217121431488912472122610167056',NULL,'9998',0.00,1,3,NULL),(16,3273350,'1968-08-11 00:00:00',4,3,12,1985,'M','N','BATEL','CURITIBA','PR','216164161413155441338744313222140766112',NULL,'9998',0.00,1,3,NULL),(16,3273377,'1992-11-12 00:00:00',4,5,12,2009,'M','S','DAS DAMAS','URUSSANGA','SC','124242241215111411459933575112610124192',NULL,'820',54.25,1,3,NULL),(16,3273385,'1985-08-25 00:00:00',4,4,12,2002,'F','N','TROPICAL','CASCAVEL','PR','116164161216573441447712195122141066187',1953,'9998',67.37,1,3,NULL),(16,3273393,'1991-01-04 00:00:00',4,4,12,2008,'F','N','JARDIM','CONCóRDIA','SC','124241241115141731536933392122610123052',7503,'192',53.32,1,2,1),(16,3273407,'1989-10-28 00:00:00',2,1,12,2007,'F','N','JURERê','FLORIANóPOLIS','SC','124242241215372731646633282244610115027',14761,'1048',40.15,4,3,NULL),(16,3273423,'1991-02-28 00:00:00',2,7,12,2007,'F','N','CENTRO','PNT GROSSA','PR','116162161217471411469913172122610134072',NULL,'9998',0.00,1,3,NULL),(16,3273431,'1991-12-22 00:00:00',2,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124241241127151532436424242324610124147',NULL,'873',25.45,1,3,NULL),(16,3273440,'1990-01-22 00:00:00',2,1,12,2007,'M','N','CENTRO','GLóRIA DOURADOS','MS','112123121217371431448831575124610124012',NULL,'9998',40.48,1,3,NULL),(16,3273466,'1991-04-03 00:00:00',4,2,12,2008,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215111431566432374114610122182',14447,'855',40.79,3,3,NULL),(16,3273474,'1991-09-18 00:00:00',4,3,12,2008,'M','N','CENTRO','CANOINHAS','SC','124243241136151431537733575122610166012',6872,'146',54.53,1,3,NULL),(16,3273482,'1984-05-24 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANóPOLIS','SC','124252251217271421478611415122343267047',12180,'9998',44.94,1,3,NULL),(16,3273490,'1993-06-07 00:00:00',2,5,11,2009,'F','S','CENTRO','CRICIúMA','SC','124242241215151431439934575125610166147',NULL,'213',47.12,1,3,NULL),(16,3273504,'1986-11-17 00:00:00',2,9,12,2003,'F','N','SANTA CATARINA','CAXIAS SUL','RS','120204201116471731669811271114140423147',NULL,'9998',33.77,1,3,NULL),(16,3273512,'1978-09-18 00:00:00',4,8,12,1997,'M','N','PINHEIROS','S LEOPOLDO','RS','120206201632111431226644142312610114045',NULL,'9999',0.00,1,3,NULL),(16,3273520,'1989-11-14 00:00:00',4,1,12,2007,'M','N','MEDIANEIRA','PANAMBI','RS','120203201216371431439831575124610162127',11712,'9998',45.80,1,3,NULL),(16,3273539,'1990-03-20 00:00:00',2,1,7,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241341371431134649345124610132187',16556,'1076',35.14,1,3,NULL),(16,3273547,'1991-07-19 00:00:00',2,7,12,2008,'F','N','LINHA CAXIAS','PINHEIRO PRETO','SC','124241241126161431336635145124610124147',NULL,'618',20.26,1,2,1),(16,3273555,'1981-03-18 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243247125162441133319185124610168025',NULL,'9999',0.00,1,3,NULL),(16,3273563,'1991-06-04 00:00:00',2,3,12,2008,'F','N','CENTRO','ITAPEVA','SP','125252251216371441358923575122610125027',11460,'9998',46.24,1,3,NULL),(16,3273571,'1991-05-14 00:00:00',5,7,12,2008,'F','N','BAIRRO DO SALTO','SALTO VELOSO','SC','124243241115161431533639192125610146057',NULL,'1113',22.93,1,3,NULL),(16,3273580,'1990-11-05 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241135131431336634342124610127117',NULL,'257',19.72,1,2,1),(16,3273598,'1988-10-25 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANóPOLIS','SC','124242241215472431568833572124233132172',NULL,'270',0.00,1,3,NULL),(16,3273610,'1992-07-29 00:00:00',2,1,6,2008,'M','N','NSA SRA DO ROSARIO','SAO JOSE','SC','124241241117151531465923575121610166182',NULL,'739',31.75,1,2,1),(16,3273628,'1991-03-20 00:00:00',4,4,12,2008,'M','N','TRÊS VENDAS','ERECHIM','RS','120201201136371431646631594124610126142',7492,'9998',53.34,1,2,1),(16,3273636,'1993-06-09 00:00:00',4,8,12,2009,'F','S','SAGUAçU','JOINVILLE','SC','124243241215111411666613275124610123187',NULL,'491',52.79,1,3,NULL),(16,3273644,'1990-01-08 00:00:00',4,1,12,2007,'M','N','VILA APIAI','STO ANDRé','SP','125252251245471411448619242122610167047',9792,'9998',49.17,1,3,NULL),(16,3273652,'1993-02-13 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244241317111731658814144322610117045',14934,'1022',39.81,1,3,NULL),(16,3273660,'1990-03-29 00:00:00',4,1,12,2007,'M','N','CENTRO','GOIâNIA','GO','109093098636371431339923475224610164057',NULL,'9998',40.68,4,3,NULL),(16,3273679,'1991-08-05 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124242247215111431434612372122610167057',10977,'723',47.06,1,3,NULL),(16,3273687,'1988-06-06 00:00:00',4,1,12,2007,'M','N','RIO CAVEIRAS','BIGUAçU','SC','124241241336131421546313345112610117114',NULL,'9999',28.37,1,3,NULL),(16,3273695,'1985-10-01 00:00:00',2,1,7,2005,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241247212133431667723572124610122147',14360,'9999',40.95,1,3,NULL),(16,3273709,'1990-09-29 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241216132431436611575122221424172',1985,'317',67.26,1,3,NULL),(16,3273717,'1991-03-04 00:00:00',2,1,12,2007,'F','N','REAL PARQUE','S JOSé','SC','124201201121131221623315342344610118142',NULL,'9998',22.81,1,2,1),(16,3273725,'1991-10-25 00:00:00',2,10,12,2008,'F','N','MOLHES','LAGUNA','SC','124244248416111431424411595121613227072',14010,'525',41.63,1,3,NULL),(16,3273733,'1991-01-10 00:00:00',2,9,12,2007,'F','N','CENTRO','LAGES','SC','124243241315472431539913572122610114182',16289,'1146',36.40,1,3,NULL),(16,3273750,'1990-04-08 00:00:00',4,2,12,2007,'M','N','CAPITAIS','TIMBó','SC','124241241134271431226614342314610122112',NULL,'906',28.86,1,3,NULL),(16,3273768,'1991-07-24 00:00:00',4,1,12,2008,'F','N','VILA BOCAINA','MAUá','SP','125252251216141431468612145112610134047',NULL,'9998',0.00,1,3,NULL),(16,3273776,'1989-11-08 00:00:00',4,9,12,2006,'M','N','BRUSQUE','LAGES','SC','124243241112131431647834141214610137047',16004,'935',37.23,1,3,NULL),(16,3273784,'1988-10-30 00:00:00',4,9,11,2006,'F','N','CORAL','LAGES','SC','124242241216153411448619575124233243025',12276,'943',44.77,1,3,NULL),(16,3273806,'1990-09-14 00:00:00',4,1,12,2008,'M','N','TAPERA','FLORIANóPOLIS','SC','124242241217111731366919575124610128112',15961,'1022',37.33,1,3,NULL),(16,3273814,'1991-05-24 00:00:00',2,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124203241215111411344732572122610138147',16127,'1038',36.85,1,3,NULL),(16,3273822,'1989-10-03 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215472431388839592112610137042',35,'262',83.25,1,3,NULL),(16,3273830,'1990-10-12 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111411577923595124613227162',NULL,'269',27.60,1,3,NULL),(16,3273849,'1991-11-30 00:00:00',4,8,11,2008,'M','N','ATIRADORES','JOINVILLE','SC','116162161216371441548814571124610125127',NULL,'9998',42.50,1,3,NULL),(16,3273857,'1990-12-04 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','120201241315472431368613574124610136092',NULL,'270',15.10,1,3,NULL),(16,3273865,'1987-05-21 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241216372731238862385124610126182',NULL,'1022',28.22,1,3,NULL),(16,3273873,'1984-12-06 00:00:00',4,1,12,2004,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241247326131531623321245334610124077',NULL,'300',22.31,4,1,2),(16,3273890,'1980-04-29 00:00:00',2,1,12,2002,'F','N','JURERE','FLORIANóPOLIS','SC','124213211112253431458933445124133227142',NULL,'9998',21.46,1,3,NULL),(16,3273903,'1989-10-23 00:00:00',2,3,11,2006,'F','N','CENTRO','ERECHIM','RS','120202201215571731236624492114610128147',4582,'9998',59.59,1,3,NULL),(16,3273911,'1991-07-17 00:00:00',4,1,12,2008,'F','N','PLANALTO','VACARIA','RS','120203201215272431569811572122610164182',NULL,'9998',27.74,1,3,NULL),(16,3273938,'1985-09-24 00:00:00',4,1,12,2005,'M','N','BARREIROS','S JOSé','SC','124241241221163121431212124342610121195',15870,'736',37.56,4,3,NULL),(16,3273946,'1991-09-06 00:00:00',2,3,12,2008,'F','N','DAS NAçõES','BAL CAMBORIú','SC','124243241216151721236623585124610124147',NULL,'1017',27.12,4,3,NULL),(16,3273954,'1991-10-30 00:00:00',4,4,12,2007,'M','N','CHACARA KLABIN','S PAULO','SP','125254251211474421468831571125610116182',NULL,'9998',0.00,3,3,NULL),(16,3273962,'1991-09-05 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215131431457834575112610162177',9686,'259',49.37,1,3,NULL),(16,3273970,'1989-12-09 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215152431588834575124220767042',5401,'262',57.66,1,3,NULL),(16,3273989,'1991-02-04 00:00:00',4,1,10,2008,'M','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241217121431378933572124610144057',NULL,'266',36.80,1,3,NULL),(16,3273997,'1989-11-07 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216373431346633575124222264045',12873,'988',43.71,1,3,NULL),(16,3274004,'1975-02-07 00:00:00',2,1,12,1992,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','224241241216135731543643331113121167047',NULL,'266',0.00,1,3,NULL),(16,3274012,'1991-07-29 00:00:00',2,1,12,2008,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241127141511434614345124610127045',NULL,'296',19.98,1,2,1),(16,3274020,'1991-08-30 00:00:00',4,1,12,2008,'M','N','SANTA CRUZ','GUARAPUAVA','PR','116164161315211431459913595122610167042',NULL,'9998',0.00,1,3,NULL),(16,3274039,'1963-08-20 00:00:00',2,1,12,1979,'M','N','TRINDADE','FLORIANóPOLIS','SC','124203202116151411233345335123340312095',9693,'9998',49.35,1,3,NULL),(16,3274047,'1975-03-28 00:00:00',2,3,12,1992,'F','N','PORTãO','CURITIBA','PR','216163161333131421446454345123342263022',NULL,'9998',0.00,1,3,NULL),(16,3274055,'1986-09-27 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242247336374431437723245124221936077',NULL,'9999',0.00,5,3,NULL),(16,3274063,'1981-12-06 00:00:00',4,1,12,1998,'F','N','ESTREITO','FLORIANOPOLIS','SC','224203201116131431327551311122131031027',NULL,'9998',25.24,1,3,NULL),(16,3274080,'1990-08-27 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124243241215472441528931272124610124197',48,'836',82.45,1,3,NULL),(16,3274098,'1991-11-03 00:00:00',4,5,11,2008,'M','N','CETRO','ARARANGUá','SC','124242241215272331588831574122610148071',7804,'226',52.75,1,3,NULL),(16,3274110,'1991-05-30 00:00:00',4,5,10,2008,'M','N','GUARITA','SOMBRIO','SC','124242241215111731423634572114610164047',7708,'32',52.94,1,3,NULL),(16,3274128,'1992-05-06 00:00:00',4,1,12,2009,'M','S','ESTREITO','FLORIANóPOLIS','SC','124242241217171431456833575112610124146',NULL,'273',36.83,1,3,NULL),(16,3274144,'1990-01-31 00:00:00',2,1,12,2007,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241411222711456833231112231467043',10140,'1022',48.55,1,3,NULL),(16,3274152,'1988-05-31 00:00:00',2,1,12,2005,'M','N','ITAIM BIBI','S PAULO','SP','125252251216575711478831575125610146042',NULL,'9998',38.83,1,3,NULL),(16,3274160,'1990-03-06 00:00:00',2,1,11,2007,'F','N','SANTINHO','FLORIANóPOLIS','SC','124243241317371431446324342324610114112',NULL,'9999',15.34,1,3,NULL),(16,3274179,'1991-06-19 00:00:00',4,1,6,2007,'M','N','PONTA VERDE','MACEIó','AL','102022281417271432588831314112610137125',7058,'9998',54.18,1,3,NULL),(16,3274187,'1969-12-21 00:00:00',2,1,12,1999,'M','N','AMBROSIO','GAROPABA','SC','224241241142131431521641212324131217047',NULL,'322',26.61,2,3,NULL),(16,3274195,'1991-09-13 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124244241215132432228923575122610137142',7128,'497',54.04,1,3,NULL),(16,3274209,'1970-03-25 00:00:00',2,8,12,1991,'M','N','JARDIM IRIRIU','JOINVILLE','SC','624241246215571721443344442321610117067',NULL,'494',0.00,1,3,NULL),(16,3274225,'1987-05-31 00:00:00',2,1,12,2006,'F','N','ESTâNCIA VELHA','CANOAS','RS','120201201121471411423521441324143025142',NULL,'9998',0.00,1,2,1),(16,3274233,'1992-01-02 00:00:00',4,4,12,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241217112431567933335122610127012',NULL,'752',26.20,1,3,NULL),(16,3274241,'1990-08-22 00:00:00',2,1,10,2008,'F','N','CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC','124242241215122431479513572114610166051',2101,'270',66.79,1,3,NULL),(16,3274250,'1985-09-26 00:00:00',2,1,12,2002,'F','N','CENTRO','PELOTAS','RS','120201201117571311238631241125241822057',NULL,'9998',17.45,1,2,1),(16,3274268,'1989-03-03 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241241112274411545313212114220264046',12183,'122',44.93,1,2,1),(16,3274276,'1991-06-04 00:00:00',4,1,12,2008,'M','N','CENTRO','S MIGUEL OESTE','SC','124241241417152132446418375122610167012',6452,'753',55.37,1,3,NULL),(16,3274284,'1990-01-12 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124243241115111732447613575124610167185',NULL,'307',29.65,1,3,NULL),(16,3274292,'1986-12-09 00:00:00',4,1,12,2004,'M','N','BRASIL','ITU','SP','125252251411571711368811571224610126182',542,'9998',75.48,1,3,NULL),(16,3274306,'1991-06-26 00:00:00',4,4,12,2008,'F','N','CENTRO','FREDERICO WESTPHALEN','RS','120203201116131431436834575122610161147',NULL,'9998',0.00,1,3,NULL),(16,3274314,'1989-11-15 00:00:00',2,1,12,2006,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124244241414373431337711215121233235117',5308,'270',57.86,4,3,NULL),(16,3274349,'1991-10-20 01:00:00',2,6,10,2008,'F','N','CENTRO','NAVEGANTES','SC','124242241217121431456622395122610122042',12726,'1026',43.97,1,3,NULL),(16,3274365,'1989-05-28 00:00:00',4,2,12,2006,'F','N','COLINA VERDE','GOIOERê','PR','116162161216572421438816575122610127012',NULL,'9998',0.00,1,3,NULL),(16,3274373,'1977-12-03 00:00:00',4,1,12,1994,'M','N','ESTREITO','FLORIANóPOLIS','SC','224203201116131421327741111122140661147',NULL,'9998',31.71,1,3,NULL),(16,3274381,'1978-03-23 00:00:00',4,1,12,1995,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241116133711454571212224321463077',6157,'307',56.02,1,2,1),(16,3274390,'1989-04-21 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124241247422131431324668242214610167042',NULL,'9999',21.49,1,3,NULL),(16,3274403,'1985-07-09 00:00:00',4,1,12,2002,'F','N','MIRANDOPOLIS','S PAULO','SP','125252251216571411478837515224610125182',175,'9998',79.66,1,3,NULL),(16,3274411,'1990-11-12 00:00:00',2,1,12,2007,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241117132431426714342114610137027',NULL,'307',25.94,1,3,NULL),(16,3274420,'1989-08-03 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215373431588814575112610122072',2571,'270',65.10,1,3,NULL),(16,3274438,'1989-08-16 00:00:00',4,1,12,2006,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241132313431424414371124610123143',NULL,'289',28.59,1,2,1),(16,3274446,'1968-04-01 00:00:00',2,1,12,1988,'F','N','CENTRO','PALHOçA','SC','224241241326134411334454244334610162097',NULL,'9997',25.34,1,3,NULL),(16,3274454,'1993-02-11 00:00:00',4,4,12,2009,'F','S','CENTRO','CONCóRDIA','SC','124242241216211331356824342124610121072',NULL,'1047',19.75,4,3,NULL),(16,3274470,'1991-02-07 00:00:00',4,1,12,2008,'F','N','CENTRO','MEDIANEIRA','PR','116161161317221431346629575112610144147',NULL,'9998',0.00,1,3,NULL),(16,3274489,'1985-06-02 00:00:00',2,8,12,2003,'M','N','PETRóPOLIS','JOINVILLE','SC','124241248125211431253319442333610123047',NULL,'482',0.00,1,3,NULL),(16,3274497,'1989-03-14 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242168216573411438914375124610164182',4203,'9998',60.47,1,3,NULL),(16,3274500,'1980-12-04 00:00:00',1,1,12,1998,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','624201191127131431224341212334610112187',11689,'9998',45.85,1,2,1),(16,3274519,'1991-06-20 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124242241215151431488921575111610162012',8958,'499',50.65,4,3,NULL),(16,3274527,'1988-04-18 00:00:00',4,1,12,2005,'F','N','ACLIMACAO','S PAULO','SP','125252251211572421388832571125610126092',972,'9998',72.22,1,3,NULL),(16,3274535,'1989-09-11 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431248834345114610142062',10799,'1022',47.37,1,3,NULL),(16,3274543,'1952-02-15 00:00:00',4,3,12,1970,'M','N','AGUA VERDE','CURITIBA','PR','216251256146161631246644345132340837143',NULL,'9998',0.00,1,3,NULL),(16,3274551,'1992-03-25 00:00:00',4,1,12,2010,'M','S','VILA RICA','JUNDIAí','SP','125252251215111431475532575121610167187',NULL,'9998',0.00,3,3,NULL),(16,3274560,'1958-12-25 00:00:00',2,1,7,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','624241247227131421334549495112610121197',NULL,'9997',27.57,1,3,NULL),(16,3274578,'1984-03-28 00:00:00',4,8,12,2001,'M','N','BEIJA FLOR','BAURU','SP','125251251126571431323324371324241462182',NULL,'9998',33.94,2,1,1),(16,3274586,'1989-10-21 00:00:00',2,8,12,2007,'M','N','CERAMARTE','RIO NEGRINHO','SC','124242241235272531469418485124132117067',NULL,'666',28.30,1,3,NULL),(16,3274594,'1990-09-01 00:00:00',4,7,12,2007,'M','N','CENTRO','HERVAL D OESTE','SC','124241241116471431334429395345133264012',NULL,'341',19.72,1,2,1),(16,3274608,'1991-09-13 00:00:00',4,1,11,2008,'M','N','CAMAQUA','PTO ALEGRE','RS','120202201217111431347834572122613232052',12812,'9998',43.83,1,3,NULL),(16,3274616,'1990-01-20 00:00:00',2,8,11,2008,'M','N','CRUZERIRO','RIO NEGRINHO','SC','124242241216311431466614575112610167072',NULL,'666',27.77,1,3,NULL),(16,3274624,'1992-10-16 00:00:00',2,1,12,2009,'M','S','RIO VERMELHO','FLORIANóPOLIS','SC','124242241212111431546823335124610127042',NULL,'1022',43.21,1,3,NULL),(16,3274632,'1986-07-19 00:00:00',4,1,12,2005,'F','N','LIBERDADE','S PAULO','SP','125252251216572731476631575225610126182',3461,'9998',62.50,1,3,NULL),(16,3274640,'1991-09-11 00:00:00',4,10,11,2009,'M','S','MAR GROOSO','LAGUNA','SC','124242241215151441469814472122610124187',NULL,'807',46.57,1,3,NULL),(16,3274659,'1992-03-07 00:00:00',4,10,10,2009,'M','S','CENTRO','TUBARãO','SC','124242241215311441589919215122610162176',NULL,'807',37.39,3,3,NULL),(16,3274667,'1991-10-31 00:00:00',4,1,11,2008,'M','N','SANTO ANTôNIO','FLORIANóPOLIS','SC','124242241217111431567839572122610127112',NULL,'262',34.65,1,3,NULL),(16,3274683,'1988-08-11 00:00:00',4,1,12,2005,'M','N','VILA GUSTAVO','S PAULO','SP','125253251216571431238824575114610124097',2386,'9998',65.75,1,3,NULL),(16,3274691,'1991-11-11 00:00:00',2,9,12,2008,'F','N','INTERIOR','S JOSé CERRITO','SC','124241241124161431446812572224610132052',NULL,'742',29.32,1,2,1),(16,3274705,'1984-12-28 00:00:00',2,1,12,2001,'M','N','CENTRO','FLORIANóPOLIS','SC','124241248116131421426831315125333217052',NULL,'194',31.17,1,2,1),(16,3274721,'1991-10-26 00:00:00',4,1,12,2008,'M','N','CARANDA BOSQUE','CPO GRANDE','MS','112124128436222421478831415122610117131',2692,'9998',64.69,1,3,NULL),(16,3274730,'1987-10-27 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSé','SC','224241241136474431226652242133610162097',12627,'257',44.13,1,2,1),(16,3274748,'1991-05-04 00:00:00',4,7,12,2008,'F','N','VILA ALEMANHA','LUZERNA','SC','124241241216151411448913574124610128147',16205,'962',36.66,1,3,NULL),(16,3274756,'1990-07-16 00:00:00',4,10,12,2008,'M','N','MAR GROSSO','LAGUNA','SC','124242241215151431347833571112610167062',NULL,'525',25.25,1,3,NULL),(16,3274764,'1991-02-01 00:00:00',4,10,11,2008,'M','N','CENTRO','TUBARãO','SC','124242241215111441457679395122610124187',1906,'806',67.55,1,3,NULL),(16,3274772,'1962-08-01 00:00:00',4,1,12,1980,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124241246141144441226644442234421427041',NULL,'306',0.00,1,3,NULL),(16,3274780,'1992-06-19 00:00:00',4,1,12,2009,'F','S','CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC','124242241217111431459613272124610123097',NULL,'270',45.04,1,3,NULL),(16,3274799,'1983-02-04 00:00:00',2,1,12,2000,'F','N','VILA MADALENA','S PAULO','SP','125252251216572411558739571124140663181',6964,'9998',54.37,2,3,NULL),(16,3274802,'1991-10-23 00:00:00',2,1,12,2009,'M','S','CENTRO','S PEDRO ALCâNTARA','SC','124242241215111431366624445114610112047',NULL,'270',23.88,1,3,NULL),(16,3274810,'1989-01-16 00:00:00',4,3,12,2006,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215573731346717475122610127057',4896,'1038',58.86,1,3,NULL),(16,3274829,'1990-09-12 00:00:00',2,8,12,2007,'F','N','VILA ESTRELA','PNT GROSSA','PR','116162161215471431537923192122141724186',NULL,'9998',36.02,1,3,NULL),(16,3274837,'1991-06-14 00:00:00',2,10,11,2008,'F','N','CENTRO','LAGUNA','SC','124242241217131431337821572122610128092',13242,'525',43.08,1,3,NULL),(16,3274845,'1989-09-04 00:00:00',4,1,12,2006,'F','N','VILA OLIMPIA','SAO PAULO','SP','125251258116571431456619575224610117047',265,'9998',78.37,1,3,NULL),(16,3274861,'1981-05-31 00:00:00',4,1,12,1998,'F','N','ESTREITO','FLORIANóPOLIS','SC','124203201116131731437711345134140228197',15533,'9998',38.47,1,3,NULL),(16,3274870,'1992-03-19 00:00:00',4,4,12,2008,'M','N','NITERóI','SEARA','SC','124242161215111231368633575125610168146',12654,'9997',44.08,1,3,NULL),(16,3274888,'1989-06-21 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215573431339611574124610133187',NULL,'1036',28.91,1,3,NULL),(16,3274918,'1990-04-25 00:00:00',2,5,11,2007,'F','N','VILA NOVA','IçARA','SC','124242241212472431548832573124610115171',3103,'226',63.52,1,3,NULL),(16,3274950,'1990-06-29 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124122241215472431469813472122610147072',6376,'269',55.53,1,3,NULL),(16,3274969,'1966-03-09 00:00:00',4,1,12,1987,'F','N','CENTRO','FLORIANóPOLIS','SC','124201205117131121333343232124610162097',16297,'9998',36.39,2,1,2),(16,3274977,'1992-04-01 00:00:00',2,1,12,2009,'F','S','INGLESES','FLORIANóPOLIS','SC','124244241116111431646639575124610163012',NULL,'307',35.63,1,3,NULL),(16,3274993,'1991-07-15 00:00:00',4,1,12,2008,'M','N','CENTRO','CIANORTE','PR','116164161217111431346871374112610147182',608,'9998',74.88,1,3,NULL),(16,3275000,'1992-02-02 00:00:00',4,1,11,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111431558811575124610126012',NULL,'262',58.61,1,3,NULL),(16,3275019,'1991-11-25 00:00:00',2,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124243241315112431448911575112610114142',NULL,'1022',28.23,4,3,NULL),(16,3275027,'1985-10-25 00:00:00',4,9,12,2003,'M','N','CENTRO','LAGES','SC','124242241217473731659723495122231422062',16123,'497',36.87,1,3,NULL),(16,3275035,'1991-09-05 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241116131431437613572124610164147',NULL,'287',27.76,1,2,1),(16,3275051,'1989-03-27 00:00:00',4,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161215571441539914271125610162147',NULL,'9998',0.00,1,3,NULL),(16,3275078,'1990-06-22 00:00:00',4,8,12,2007,'F','N','JARDIM ESPLANADA II','S JOSé CAMPOS','SP','125252251116471731479914575122610166187',1363,'9998',70.06,1,3,NULL),(16,3275086,'1991-09-26 00:00:00',4,3,11,2008,'F','N','CENTRO','SALDANHA MARINHO','RS','120201201416131421347639395124610128097',16092,'9998',36.97,1,3,NULL),(16,3275094,'1991-06-10 00:00:00',2,1,12,2008,'M','N','RIO LAGEADO','CHAPADAO DO LAGEADO','SC','124241242115161431333923375124610153147',NULL,'662',0.00,1,3,NULL),(16,3275108,'1990-07-11 00:00:00',4,1,12,2007,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124204241216372431369913575124610114117',3862,'270',61.43,1,3,NULL),(16,3275124,'1990-12-11 00:00:00',4,4,12,2008,'M','N','INTERIOR','PALMITINHO','RS','120201201121111431326436553323610127042',NULL,'9998',23.24,1,3,NULL),(16,3275132,'1991-01-05 00:00:00',4,1,12,2007,'M','N','VILA TOLENTINHO','CASCAVEL','PR','116161161215472431356611392112610168017',3210,'9998',63.26,1,3,NULL),(16,3275140,'1991-02-10 00:00:00',4,8,11,2008,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215111431348712342124610124147',9246,'486',50.17,4,3,NULL),(16,3275159,'1992-07-09 00:00:00',4,1,12,2009,'M','S','CORREGO GRANDE','FLORIANóPOLIS','SC','124244241115151431458831575121610127016',NULL,'271',32.34,1,3,NULL),(16,3275167,'1990-02-14 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241211471432468613585114610117092',NULL,'262',19.32,1,3,NULL),(16,3275175,'1991-11-01 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241248115131731226639572114610147077',NULL,'307',32.46,1,3,NULL),(16,3275183,'1987-09-21 00:00:00',4,1,12,2005,'M','N','SANTA TEREZINHA','PIRACICABA','SP','125251251112271411656613342121610127041',NULL,'9998',28.57,4,2,1),(16,3275191,'1988-05-04 00:00:00',4,1,12,2005,'M','N','URBANOVA','S JOSé CAMPOS','SP','125252251217573751468814391121610144082',2952,'9998',63.97,1,3,NULL),(16,3275205,'1991-12-24 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124241241125271432436531575124610127142',10886,'733',47.21,1,2,1),(16,3275213,'1991-01-05 00:00:00',2,2,11,2008,'F','N','SãO CRISTOVãO','SALETE','SC','124241241217111751546639394124610122077',14875,'776',39.94,1,3,NULL),(16,3275221,'1989-03-21 00:00:00',2,1,7,2007,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124242247317141421338631242122230232017',13620,'9999',42.43,1,3,NULL),(16,3275230,'1991-03-05 00:00:00',4,1,11,2007,'M','N','PLANALTO','PATO BRANCO','PR','116161161116132431427633335224222362192',NULL,'9998',0.00,1,2,1),(16,3275248,'1985-06-27 00:00:00',4,1,12,2002,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124202201217132431126844442224610163197',NULL,'9998',0.00,1,3,NULL),(16,3275256,'1991-12-27 00:00:00',2,4,12,2008,'F','N','IMPERIAL','CONCóRDIA','SC','124241241116471441333418175122610128052',6982,'192',54.33,1,2,1),(16,3275264,'1982-12-27 00:00:00',5,1,11,2000,'M','N','INTERIOR','TAPEJARA','RS','120201201126131711431119242211141467052',NULL,'9998',25.54,1,2,1),(16,3275272,'1992-09-18 00:00:00',2,5,12,2009,'F','S','ÚLTIMO RIO','JACINTO MACHADO','SC','124243241315111431426514441122610135142',NULL,'970',39.58,1,3,NULL),(16,3275280,'1991-10-22 00:00:00',4,7,12,2008,'M','N','CENTRO','JOAçABA','SC','124241241415131731545512282122610167052',10692,'962',47.58,1,3,NULL),(16,3275299,'1991-10-25 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124244243135131431326729195124610126052',NULL,'129',31.24,1,3,NULL),(16,3275302,'1992-08-12 00:00:00',4,1,11,2008,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241215371432447634576122610124071',15255,'269',39.08,1,3,NULL),(16,3275310,'1991-10-01 00:00:00',4,10,11,2008,'F','N','DEHON','TUBARãO','SC','124241241211111431436614572122610124147',14306,'809',41.03,1,3,NULL),(16,3275329,'1991-11-02 00:00:00',2,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241116251131434611216124610124147',NULL,'257',26.13,1,2,1),(16,3275337,'1989-02-15 00:00:00',2,1,12,2006,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241312274431643324182114610167047',13162,'270',43.21,1,3,NULL),(16,3275345,'1991-08-07 00:00:00',4,8,12,2008,'M','N','ATIRADORES','JOINVILLE','SC','124242241215121431349913575112610167047',NULL,'457',35.95,1,3,NULL),(16,3275361,'1991-04-24 00:00:00',2,1,12,2008,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241115131231423334572124610122142',NULL,'288',33.12,1,2,1),(16,3275370,'1990-07-26 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANóPOLIS','SC','124051051116141431633344345124610124147',NULL,'9997',1.67,2,1,1),(16,3275388,'1990-12-27 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124203201215133431146631375124220737057',NULL,'9998',0.00,1,3,NULL),(16,3275396,'1992-03-06 00:00:00',4,8,12,2009,'F','S','ANITA GARIBALD','JOINVILLE','SC','124242241215151731438931592122610123073',NULL,'459',33.28,1,3,NULL),(16,3275400,'1976-01-15 00:00:00',4,3,12,1993,'M','N','SAO FRANCISCO','CURITIBA','PR','216164161416151431348844445122342925127',NULL,'9998',0.00,1,3,NULL),(16,3275418,'1990-03-10 00:00:00',4,1,12,2007,'M','N','CENTRO','CIANORTE','PR','116162161215372331669933475122140727052',NULL,'9998',0.00,1,3,NULL),(16,3275426,'1990-08-09 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124203201215472431443624275124610147042',15747,'9998',37.92,1,3,NULL),(16,3275434,'1992-10-23 00:00:00',4,1,12,2008,'F','N','CACUPé','FLORIANóPOLIS','SC','124243241217111431479933572122610125012',NULL,'262',32.78,1,3,NULL),(16,3275442,'1991-01-15 00:00:00',2,1,12,2007,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241122132451438923292124232517141',NULL,'13',35.33,3,2,1),(16,3275450,'1991-10-03 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111432446722572124610132142',8499,'1022',51.41,1,3,NULL),(16,3275477,'1991-01-23 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215111431468834572124610162077',13393,'270',42.81,1,3,NULL),(16,3275485,'1992-01-17 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOãO BATISTA','SC','124241241146141731656632345122610137142',NULL,'574',22.73,1,2,1),(16,3275493,'1992-02-22 00:00:00',4,1,12,2009,'M','S','CENTRO','LAGES','SC','124242241215111431369932325122610167045',NULL,'499',0.00,1,3,NULL),(16,3275507,'1991-11-29 00:00:00',2,10,10,2008,'F','N','RIO BONITO','BRAçO NORTE','SC','124242241215112431566432392122610126072',16515,'807',35.42,1,3,NULL),(16,3275515,'1991-04-23 00:00:00',2,4,12,2008,'M','N','GUILHERME REICH','CONCóRDIA','SC','124241241145131431423324245225610167057',NULL,'192',33.33,1,2,1),(16,3275523,'1991-03-05 00:00:00',2,2,12,2008,'F','N','UBERABA','CURITIBA','PR','116241161114471431516436472114610131077',NULL,'9998',0.00,1,2,1),(16,3275531,'1985-06-13 00:00:00',4,1,12,2002,'M','N','JARDIM ATLANTICO','GOIâNIA','GO','109096091117571432358923375122610134096',NULL,'9998',0.00,1,3,NULL),(16,3275540,'1991-06-08 00:00:00',4,1,11,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241217111431368833474122610112182',286,'270',78.14,1,3,NULL),(16,3275566,'1990-12-12 00:00:00',4,8,12,2007,'F','N','BIGORRILHO','CURITIBA','PR','116162161216471431558819574124610165097',NULL,'9998',0.00,3,3,NULL),(16,3275574,'1988-09-06 00:00:00',4,1,12,2005,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124242241217474431556632572222610162092',2263,'270',66.18,1,3,NULL),(16,3275582,'1990-07-12 00:00:00',4,1,12,2007,'M','N','CENTRO','RIBEIRãO PRETO','SP','125252251217371431335324591125610142082',2933,'9998',64.02,1,3,NULL),(16,3275590,'1988-01-18 00:00:00',4,8,12,2005,'F','N','VILA NOVA','JOINVILLE','SC','124243241211574431449412571122610167142',6302,'491',55.69,1,3,NULL),(16,3275612,'1992-06-03 00:00:00',4,10,12,2009,'F','S','MORROTES','TUBARãO','SC','124244241215151451469834575112610124092',NULL,'806',28.56,1,3,NULL),(16,3275620,'1991-05-19 00:00:00',4,5,12,2008,'F','N','SãO LUIZ','CRICIúMA','SC','124243248215131431444614575124610126091',10591,'995',47.76,1,3,NULL),(16,3275663,'1987-11-30 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215473441438613475122130227112',9234,'1003',50.19,1,3,NULL),(16,3275671,'1991-08-05 00:00:00',4,4,10,2008,'F','N','CENTRO','ERECHIM','RS','120202201215211551556832174122610163102',12187,'254',44.93,1,3,NULL),(16,3275680,'1978-02-14 00:00:00',4,1,12,1994,'M','N','BARREIROS','S JOSé','SC','124242241416155431469933485122333262073',1714,'272',68.35,1,3,NULL),(16,3275698,'1990-10-21 01:00:00',4,10,11,2008,'M','N','VILA MOEMA','TUBARãO','SC','124244247236111631438611572112610124042',15840,'9999',37.65,1,3,NULL),(16,3275701,'1989-05-20 00:00:00',2,1,12,2007,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124244241217272451458813571111610167187',11640,'457',45.93,1,3,NULL),(16,3275710,'1991-06-20 00:00:00',4,8,11,2008,'M','N','JARDIM NOVA YORK','CASCAVEL','PR','116164161216111431448924575121610166086',9524,'9998',49.67,1,3,NULL),(16,3275728,'1990-03-03 00:00:00',4,7,11,2007,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241147131531236626372124231044042',NULL,'369',0.00,1,3,NULL),(16,3275736,'1991-09-20 00:00:00',4,1,11,2008,'M','N','BACACHERI','CURITIBA','PR','116162141217111431368833575112610166092',NULL,'9998',0.00,1,3,NULL),(16,3275744,'1992-01-08 00:00:00',2,4,12,2008,'F','N','CENTRO','CONCóRDIA','SC','124241241136131431624331395225610167147',NULL,'192',22.25,1,2,1),(16,3275752,'1991-01-21 00:00:00',2,10,12,2008,'F','N','PASSAGEM','TUBARãO','SC','124241241137131431426311342324610166177',NULL,'801',25.16,1,2,1),(16,3275779,'1990-08-12 00:00:00',4,10,11,2007,'F','N','CENTRO','CAPIVARI BAIXO','SC','124241241117271731533563385114610164197',NULL,'798',10.09,2,2,1),(16,3275795,'1984-03-01 00:00:00',4,8,12,2001,'M','N','PETRóPOLIS','JOINVILLE','SC','524241241147131431133343342342610127057',NULL,'613',32.96,1,2,1),(16,3275809,'1990-09-15 00:00:00',4,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124242241217112431457719574112610127057',8713,'213',51.05,1,3,NULL),(16,3275817,'1989-05-12 00:00:00',2,5,12,2006,'F','N','CENTRO','URUSSANGA','SC','124241241215573731533529595124610148147',NULL,'820',33.07,1,3,NULL),(16,3275825,'1985-11-01 00:00:00',4,1,12,2003,'M','N','VILA CARLI','GUARAPUAVA','PR','116162167245471431374432475122142634142',NULL,'9998',0.00,1,3,NULL),(16,3275833,'1988-08-04 00:00:00',4,1,12,2005,'M','N','VILA BETHANIA','S JOSé CAMPOS','SP','125252251217472431258921375112610164057',7477,'9998',53.36,4,3,NULL),(16,3275841,'1990-03-08 00:00:00',4,1,12,2007,'F','N','CENTRO','CPO MOURãO','PR','116162168216271411246826595122610142122',NULL,'9998',0.00,1,3,NULL),(16,3275850,'1991-08-07 00:00:00',4,3,11,2008,'F','N','MIRAGEM','LAURO FREITAS','BA','105052051217121431468814572122610125072',6171,'9998',55.99,4,3,NULL),(16,3275876,'1991-02-27 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124122241217111431328834572124610122073',NULL,'1133',29.44,1,3,NULL),(16,3275884,'1990-06-01 00:00:00',2,10,12,2007,'F','N','MAR GROSSO','LAGUNA','SC','124242248227131331424419495124610137147',NULL,'524',24.42,1,3,NULL),(16,3275892,'1991-04-03 00:00:00',4,1,12,2008,'F','N','BATEL','CURITIBA','PR','116162161215111531688831572112610164127',NULL,'9998',0.00,1,3,NULL),(16,3275906,'1992-08-10 00:00:00',2,1,12,2009,'M','S','CENTRO','S JOãO BATISTA','SC','124243241215161231478911375124610127142',NULL,'109',51.57,1,3,NULL),(16,3275914,'1988-08-11 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSé','SC','124242241217373731633714342224610123187',11581,'738',46.04,4,1,2),(16,3275930,'1991-07-02 00:00:00',2,1,11,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241248315111721533314245124610167012',NULL,'300',26.04,1,3,NULL),(16,3275949,'1990-10-23 00:00:00',4,3,12,2008,'M','N','PRAçA','TIJUCAS','SC','124242241216141422469834345132133268181',NULL,'1119',22.23,1,3,NULL),(16,3275957,'1991-02-13 00:00:00',4,1,12,2008,'F','N','VILA ADY ANNA','S JOSé CAMPOS','SP','125252251217121531378933195122610167097',7020,'9998',54.25,1,3,NULL),(16,3275965,'1989-04-14 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241137131311536829432124610167147',16041,'289',37.14,1,2,1),(16,3275973,'1964-05-18 00:00:00',3,1,12,1982,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241212152711136843432234321066197',NULL,'262',0.00,1,3,NULL),(16,3275981,'1992-06-03 00:00:00',4,1,12,2009,'M','S','ESTREITO','FLORIANóPOLIS','SC','124242241117151431379933575122610166097',NULL,'271',38.52,1,3,NULL),(16,3275990,'1992-10-15 00:00:00',2,7,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124244241412111752576939572125610114092',NULL,'270',5.23,1,3,NULL),(16,3276007,'1992-09-11 00:00:00',4,1,12,2009,'M','S','CAPOEIRAS','FLORIANóPOLIS','SC','124242241217111431467961572114610114062',NULL,'1022',31.74,1,3,NULL),(16,3276015,'1991-09-04 00:00:00',4,3,11,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241215111431455824575122610127072',14751,'403',40.17,1,3,NULL),(16,3276023,'1992-08-09 00:00:00',4,1,12,2008,'M','N','JARDIM AMERICA','GOIâNIA','GO','109092091217111731366631591112610167042',9966,'9998',48.84,1,3,NULL),(16,3276031,'1991-02-16 00:00:00',4,2,12,2008,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241217171731488819572122610127112',14111,'909',41.41,1,3,NULL),(16,3276040,'1991-02-01 00:00:00',4,8,12,2008,'M','N','CENTRO','S BENTO SUL','SC','124242241216111441446633572115610161047',NULL,'1073',21.84,1,3,NULL),(16,3276058,'1992-05-15 00:00:00',4,4,11,2008,'F','N','INTERIOR','S LOURENçO OESTE','SC','124241241116131431533316575124610163077',NULL,'579',3.84,1,3,NULL),(16,3276066,'1991-11-05 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241217132441448814575122610131177',NULL,'1038',31.45,1,3,NULL),(16,3276074,'1992-02-28 00:00:00',2,3,12,2009,'M','S','PRAçA','TIJUCAS','SC','124242241217111431469834375122610164181',NULL,'1119',0.00,1,3,NULL),(16,3276082,'1990-11-01 00:00:00',2,9,11,2008,'M','N','CENTRO','S JOAQUIM','SC','124242241235171431437615592112610137082',NULL,'720',42.78,1,3,NULL),(16,3276090,'1986-04-07 00:00:00',2,1,12,2004,'M','N','VILA RESENDE','CAçAPAVA','SP','125252251416471431446634345124140216012',14303,'9998',41.04,1,3,NULL),(16,3276104,'1991-05-11 00:00:00',2,5,10,2008,'F','N','PIO CORREIA','CRICIúMA','SC','124242241215112431337727472112610128077',NULL,'213',41.24,1,3,NULL),(16,3276112,'1984-08-09 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241124274411112179342124610132057',NULL,'504',42.57,1,2,1),(16,3276120,'1989-01-17 00:00:00',2,8,12,2006,'F','N','ITAQUANDUBA','ILHABELA','SP','125251251117571751526619572324610167057',NULL,'9998',29.09,4,2,1),(16,3276139,'1991-03-19 00:00:00',4,8,11,2008,'M','N','CENTRO','JARAGUá SUL','SC','124242241216111531467612575121610164052',NULL,'424',0.00,1,3,NULL),(16,3276147,'1989-02-21 00:00:00',2,1,12,2006,'F','N','PASSA VINTE','PALHOçA','SC','124243241145373431643614241124610125142',10554,'591',47.83,1,3,NULL),(16,3276155,'1985-11-23 00:00:00',4,1,12,2003,'M','N','BARREIROS','S JOSé','SC','124241241126152431433312145132131447065',NULL,'736',0.00,1,3,NULL),(16,3276163,'1991-06-24 00:00:00',4,1,12,2008,'M','N','ITAQUERA','S PAULO','SP','125252251217471741459914371124610167012',NULL,'9998',0.00,1,3,NULL),(16,3276171,'1987-06-23 00:00:00',4,1,12,2006,'M','N','BOM VIVER','BIGUAçU','SC','124241241146271431526417375314610127082',12775,'66',43.88,1,2,1),(16,3276180,'1990-09-02 00:00:00',2,1,12,2007,'M','N','CENTRO','PALHOçA','SC','124241246215372431546531312124610161037',7632,'1075',53.09,1,3,NULL),(16,3276201,'1992-11-22 00:00:00',4,1,12,2009,'F','S','TRINDADE','FLORIANóPOLIS','SC','124242241217111731468933575124610114142',NULL,'262',33.71,1,3,NULL),(16,3276210,'1992-04-23 00:00:00',2,1,12,2009,'F','S','INGLESES','FLORIANóPOLIS','SC','124244248112151431427611575124610144017',NULL,'307',30.55,1,3,NULL),(16,3276236,'1991-02-28 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217111431579913592122610157111',9546,'270',49.63,1,3,NULL),(16,3276252,'1991-01-25 00:00:00',2,1,12,2008,'F','N','PEDRA BRANCA','S JOSé','SC','124244241215372411466512575114610132147',12446,'738',44.47,4,3,NULL),(16,3276260,'1982-12-24 00:00:00',2,1,12,2001,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124204204427372431226644242324610137087',15447,'9998',38.66,2,1,2),(16,3276279,'1991-06-02 00:00:00',2,1,11,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124241241212112451569612594122610124092',NULL,'1048',41.06,1,3,NULL),(16,3276287,'1988-06-16 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241217144411568714482124122227113',9428,'951',49.85,1,3,NULL),(16,3276295,'1991-09-28 00:00:00',4,8,12,2008,'F','N','AMéRICA','JOINVILLE','SC','124242241215111431378924572112610133142',6255,'491',55.77,1,3,NULL),(16,3276309,'1991-05-24 00:00:00',4,1,10,2008,'F','N','CENTRO','SOMBRIO','SC','124242241215131431436833582224610123097',16298,'32',36.39,1,3,NULL),(16,3276325,'1989-04-07 00:00:00',4,1,11,2006,'F','N','LOURO','ANTôNIO CARLOS','SC','124241241116273431626619575124231167077',11741,'20',45.75,1,3,NULL),(16,3276333,'1992-06-05 00:00:00',4,2,11,2009,'M','S','VELHA','BLUMENAU','SC','124242241217111431559931592122610137047',NULL,'909',48.04,1,3,NULL),(16,3276341,'1990-07-08 00:00:00',2,9,12,2007,'F','N','BORGO','BENTO GONçALVES','RS','120202201216131431334622245124243228077',9919,'9998',48.92,1,3,NULL),(16,3276350,'1980-06-06 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANOPOLIS','SC','124241247215133441526421145123130227112',NULL,'9999',4.75,1,3,NULL),(16,3276368,'1991-04-16 00:00:00',4,1,12,2008,'M','N','FLOR DE NAPOLIS','S JOSé','SC','124242241215141431563311341112610158042',8793,'1048',50.92,1,3,NULL),(16,3276376,'1986-08-22 00:00:00',4,1,12,2003,'F','N','VILA MARIANA','S PAULO','SP','125202201217121731226841415314142024147',NULL,'9998',0.00,1,3,NULL),(16,3276384,'1985-01-27 00:00:00',2,1,12,2002,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241136371451238829382324610134147',NULL,'779',32.48,1,2,1),(16,3276406,'1991-02-12 00:00:00',4,5,11,2008,'M','N','PIO CORREA','CRICIúMA','SC','124242241215111431579913341121610127112',4663,'226',59.40,1,3,NULL),(16,3276414,'1986-01-08 00:00:00',4,1,12,2003,'M','N','BARREIROS','S JOSé','SC','124242241312143431347612394122221444142',NULL,'943',0.00,1,3,NULL),(16,3276430,'1991-08-21 00:00:00',4,2,12,2008,'M','N','SETOR MORADA DO SOL','RIO VERDE','GO','109092091237131411339516374124610137082',6284,'9998',55.72,1,3,NULL),(16,3276449,'1985-01-03 00:00:00',4,1,12,2003,'F','N','ROçADO','S JOSé','SC','124241241336272141115344342314610164057',NULL,'182',6.37,1,3,NULL),(16,3276457,'1991-03-13 00:00:00',4,2,12,2008,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241415131411446732245124610137141',NULL,'87',28.46,1,3,NULL),(16,3276465,'1991-10-22 00:00:00',4,1,11,2009,'M','S','ITAGUAçU','FLORIANóPOLIS','SC','124242241217151631336632111124610122067',NULL,'737',0.00,1,3,NULL),(16,3276473,'1991-12-03 00:00:00',4,5,11,2008,'M','N','COLONINHA','ARARANGUá','SC','124241241215371431336579475122610127046',2194,'970',66.43,1,3,NULL),(16,3276481,'1991-01-24 00:00:00',2,3,12,2006,'F','N','VILA MARTINS','POXORéO','MT','112121121146131431335622172321240844097',NULL,'9998',0.00,1,2,1),(16,3276490,'1992-04-27 00:00:00',2,5,11,2009,'F','S','SANTA BARBARA','CRICIúMA','SC','124242241215151731356832575122610138057',NULL,'210',39.05,1,3,NULL),(16,3276503,'1991-11-25 00:00:00',2,5,11,2008,'F','N','COMERCIARIO','CRICIúMA','SC','124241241115271751516869572325610124077',NULL,'209',27.92,2,1,1),(16,3276511,'1990-12-04 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111431436633372124610164097',NULL,'1118',24.19,1,3,NULL),(16,3276520,'1985-09-10 00:00:00',2,1,12,2002,'F','N','SãO JOãO','URUGUAIANA','RS','120201208137371431426631345125610144147',16199,'9998',36.67,1,3,NULL),(16,3276538,'1991-08-07 00:00:00',4,8,12,2008,'M','N','BRACINHO','SCHROEDER','SC','124242241236112431369914375124610167112',NULL,'442',21.70,1,3,NULL),(16,3276546,'1986-04-11 00:00:00',2,1,6,2004,'M','N','PICADAS DO SUL','S JOSé','SC','124241241137132412643829385122610114057',NULL,'295',29.27,2,1,1),(16,3276554,'1991-04-03 00:00:00',4,6,12,2008,'M','N','FAZENDA','ITAJAí','SC','124243241216131431348924585121610137092',NULL,'389',29.00,2,1,2),(16,3276562,'1989-09-23 00:00:00',4,1,12,2007,'M','N','BELA VISTA','CAXIAS SUL','RS','120282201217571431479814574124241912047',12511,'9998',44.36,1,3,NULL),(16,3276570,'1991-10-18 00:00:00',4,1,12,2009,'M','S','ITACORUBI','FLORIANóPOLIS','SC','124242241217151431549713572122610167012',NULL,'262',35.06,1,3,NULL),(16,3276589,'1992-07-06 00:00:00',4,1,12,2009,'F','S','PANTANAL','FLORIANóPOLIS','SC','124242241212111431358923572122610121017',NULL,'266',27.96,1,3,NULL),(16,3276619,'1992-01-22 00:00:00',2,5,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241115161531435616575122610124142',NULL,'814',23.71,1,3,NULL),(16,3276627,'1991-09-26 00:00:00',2,1,11,2009,'F','S','AGRONôMICA','FLORIANóPOLIS','SC','124242241212111431349613572124610112142',NULL,'270',34.25,1,3,NULL),(16,3276635,'1988-09-22 00:00:00',2,8,12,2005,'F','N','BRASILIA','S BENTO SUL','SC','116241241136473751536314395124610126157',NULL,'697',0.00,1,2,1),(16,3276643,'1992-08-17 00:00:00',4,1,12,2008,'M','N','CENTRO','ALFREDO CHAVES','ES','624242241217151231338821472124610148112',10112,'711',48.59,1,3,NULL),(16,3276651,'1991-10-14 00:00:00',4,1,12,2008,'F','N','CENTRO','BIGUAçU','SC','124242248117151431114424575124610135047',NULL,'21',23.48,1,3,NULL),(16,3276660,'1989-10-05 00:00:00',4,1,11,2007,'M','N','SETOR BUENO','GOIâNIA','GO','109092091215151411488832575111610164047',457,'9998',76.19,1,3,NULL),(16,3276678,'1990-10-11 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241211111421368823575111610167132',1496,'270',69.39,1,3,NULL),(16,3276686,'1991-04-20 00:00:00',2,1,12,2008,'M','N','ITAó SERTãO','STA TEREZINHA','SC','124241242115161441436316372324610133047',NULL,'662',21.39,1,3,NULL),(16,3276694,'1990-03-19 00:00:00',2,1,12,2007,'M','N','CENTRO','IMARUí','SC','124241241137151431314344345331610144092',NULL,'356',16.65,1,2,1),(16,3276708,'1989-09-25 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124244241417131732223623395124610114077',NULL,'944',34.10,1,3,NULL),(16,3276716,'1991-04-04 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215171431368319575124610124142',NULL,'1022',29.53,1,3,NULL),(16,3276724,'1991-05-30 00:00:00',2,3,12,2008,'M','N','CENTRO','PTO BELO','SC','124241241115131431534931285121610117142',NULL,'630',20.04,1,2,1),(16,3276732,'1992-05-09 00:00:00',2,6,12,2008,'F','N','DOM FELICIANO','GRAVATAí','RS','120202208216271431336619375122610141097',NULL,'9998',22.32,1,3,NULL),(16,3276740,'1992-04-18 00:00:00',4,1,12,2009,'F','S','AGRONôMICA','FLORIANóPOLIS','SC','124242241215111431336934575124610146057',NULL,'262',51.39,1,3,NULL),(16,3276759,'1989-02-10 00:00:00',4,1,12,2006,'M','N','JARDIM ITAPUã','PIRACICABA','SP','125251251137171411226324375124610166172',12445,'9998',44.47,4,2,1),(16,3276767,'1989-04-24 00:00:00',2,1,12,2006,'F','N','RESIDENSIAL MADRI','PALHOçA','SC','124241241117273331325319342324610133147',12232,'592',44.84,1,3,NULL),(16,3276775,'1988-12-15 00:00:00',2,1,12,2006,'M','N','SACO DOSLIMOES','FLORIANóPOLIS','SC','124241248115131421238524412223610117051',NULL,'281',25.20,1,2,1),(16,3276783,'1991-10-25 00:00:00',2,4,12,2008,'F','N','CENTRO','ABELARDO LUZ','SC','124241241115131431323416162324610138147',NULL,'4',23.53,1,2,1),(16,3276791,'1991-12-05 00:00:00',4,1,12,2008,'M','N','CIDADE ALTA','ALEGRETE','RS','120201201117151431238733572125610167092',NULL,'9998',29.33,4,3,NULL),(16,3276805,'1988-12-27 00:00:00',2,1,12,2007,'M','N','EDIFICIO TIRADENTES','FLORIANóPOLIS','SC','124161161117131431611121244335610127142',NULL,'9998',21.11,4,2,1),(16,3276813,'1989-12-27 00:00:00',4,7,12,2006,'F','N','CENTRO','JOAçABA','SC','124244241215571431458632574114610162177',5198,'446',58.11,1,3,NULL),(16,3276821,'1991-01-05 00:00:00',2,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124244241215121731366611575122610133017',14527,'210',40.64,4,3,NULL),(16,3276830,'1991-02-12 00:00:00',4,7,12,2008,'F','N','BERGER','CAçADOR','SC','124121241317161431326769192322610166147',NULL,'119',27.21,1,3,NULL),(16,3276848,'1992-05-27 00:00:00',4,1,12,2008,'M','N','ROçADO','S JOSé','SC','124242241215111411438832575124610166192',NULL,'559',32.22,1,3,NULL),(16,3276856,'1982-05-08 00:00:00',4,1,12,2001,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124244241427134431544719376124223238022',12082,'9997',45.13,2,3,NULL),(16,3276864,'1988-03-05 00:00:00',2,1,12,2007,'M','N','CAMPINAS','S JOSé','SC','124242241211131231436633382124610127042',NULL,'724',27.20,1,3,NULL);
INSERT INTO candidato VALUES (16,3276872,'1988-02-12 00:00:00',2,8,12,2005,'M','N','CENTRO','SORRISO','MT','111113111217574421455435572125610168047',813,'9998',73.35,1,3,NULL),(16,3276880,'1991-08-28 00:00:00',4,1,12,2008,'F','N','MARAMBá','BAURU','SP','124252251216113431468813575122610162111',15191,'58',39.23,1,3,NULL),(16,3276899,'1990-12-23 00:00:00',2,8,12,2008,'F','N','CENTRO','JARAGUá SUL','SC','124241241217111431568614575112610162142',NULL,'424',34.29,1,3,NULL),(16,3276902,'1989-11-03 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241116131431326634445124610167182',NULL,'789',21.07,4,2,1),(16,3276910,'1990-01-12 00:00:00',2,9,12,2007,'M','N','CANTA GALO','RIO SUL','SC','124242241216333431347739595112610168077',13496,'991',42.62,1,3,NULL),(16,3276929,'1986-01-16 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124243247416151431346514375124610124195',NULL,'9999',27.47,1,3,NULL),(16,3276937,'1988-02-26 00:00:00',4,1,11,2005,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241215374431446612572114131464182',6839,'213',54.59,1,3,NULL),(16,3276945,'1990-04-20 00:00:00',2,1,12,2007,'F','N','OLARIAS','PNT GROSSA','PR','116163161116571711458934575122610166147',1143,'9998',71.23,1,3,NULL),(16,3276953,'1991-11-11 00:00:00',4,4,12,2008,'F','N','JAROCESKI','DESCANSO','SC','124242241217151251465736272122610127052',3963,'241',61.15,1,3,NULL),(16,3276961,'1989-12-19 00:00:00',2,3,12,2007,'M','N','SANTA LUZIA','CURITIBA','PR','124161161116171431648711245112610167182',16174,'9998',36.72,1,2,1),(16,3276970,'1992-06-29 00:00:00',4,1,12,2010,'M','S','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124241248117151232466633572224610167142',NULL,'307',24.70,1,3,NULL),(16,3276988,'1991-10-14 00:00:00',2,9,12,2008,'F','N','CENTRO','BOM JD SERRA','SC','124241241111161431436615582112610117142',NULL,'856',18.25,1,3,NULL),(16,3276996,'1989-12-28 00:00:00',4,8,12,2007,'M','N','GLóRIA','JOINVILLE','SC','124242241217272711469932434112610167052',5573,'457',57.32,1,3,NULL),(16,3277003,'1991-11-02 00:00:00',2,1,12,2008,'M','N','CENTRO','ANTôNIO CARLOS','SC','124241241115151431546619475122610137045',NULL,'21',24.98,1,3,NULL),(16,3277011,'1991-11-24 00:00:00',4,1,12,2009,'M','S','SACO GRANDE','FLORIANóPOLIS','SC','124243241115111521336633572124610127042',NULL,'271',21.45,1,3,NULL),(16,3277020,'1992-08-03 00:00:00',4,5,11,2009,'M','S','PIO CORREA','CRICIúMA','SC','124242241215111431468811475122610118142',NULL,'210',34.37,1,3,NULL),(16,3277038,'1989-08-30 00:00:00',2,2,12,2008,'M','N','QUINTINO','TIMBó','SC','124241241436121431443311572124610124097',NULL,'1157',21.30,1,3,NULL),(16,3277054,'1986-08-16 00:00:00',2,1,12,2008,'F','N','INGLESES DO RIO VER','FLORIANóPOLIS','SC','124241247327141431633471245124610133142',NULL,'977',6.77,1,3,NULL),(16,3277062,'1991-04-21 00:00:00',4,5,8,2009,'F','S','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124241248215271431435532476124610124192',NULL,'995',0.00,1,3,NULL),(16,3277070,'1991-12-05 00:00:00',4,5,11,2008,'F','N','URUSSANGUINHA','ARARANGUá','SC','124243241315111731337823471122610132092',NULL,'32',20.43,1,3,NULL),(16,3277089,'1987-02-01 00:00:00',4,1,12,2004,'F','N','VILA NOVA','NOVO HAMBURGO','RS','120202201216151731425532291122242666057',NULL,'9998',0.00,1,3,NULL),(16,3277097,'1990-05-17 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241417472231569652585114610123197',NULL,'307',0.00,1,3,NULL),(16,3277119,'1990-07-24 00:00:00',2,1,12,2007,'M','N','RIO CAVEIRAS','BIGUAçU','SC','124241241115271431543329485111610124062',NULL,'65',39.10,1,3,NULL),(16,3277127,'1990-06-18 00:00:00',2,1,11,2008,'F','N','ALDEIA DA SERRA','SANTANA PARNAíBA','SP','125252251216471751339834575122610164093',NULL,'9998',32.44,1,3,NULL),(16,3277143,'1991-07-19 00:00:00',2,2,11,2008,'F','N','CARANDA BOSQUE I','CPO GRANDE','MS','112122121216131731538924585122610143142',NULL,'9998',0.00,4,3,NULL),(16,3277160,'1992-08-20 00:00:00',4,4,12,2009,'F','S','CENTRO','FAXINAL GUEDES','SC','124242241214111331448736575124610113142',NULL,'836',38.02,1,3,NULL),(16,3277178,'1991-07-29 00:00:00',2,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215152731546722575122610122012',6707,'210',54.85,1,3,NULL),(16,3277186,'1991-05-02 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215121431466613575122610165182',NULL,'738',34.00,1,3,NULL),(16,3277194,'1989-03-31 00:00:00',4,9,12,2006,'F','N','CORAL','LAGES','SC','124242161216572431476712575112610162142',11157,'9998',46.73,1,3,NULL),(16,3277208,'1986-07-13 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241245321472431423324241344610116197',NULL,'293',26.50,2,1,2),(16,3277216,'1991-08-02 00:00:00',4,10,12,2008,'M','N','PROGRESSO','LAGUNA','SC','124241241132131431625314341324610154057',NULL,'521',0.00,1,3,NULL),(16,3277224,'1986-06-09 00:00:00',4,1,12,2004,'M','N','BARRA DO ARIRIU','PALHOçA','SC','124241241117132411443411415114131467042',NULL,'307',22.52,1,3,NULL),(16,3277232,'1990-01-26 00:00:00',4,1,12,2006,'F','N','SãO PELEGRINO','CAXIAS SUL','RS','120202201217571421478813572122610122181',1317,'9998',70.26,1,3,NULL),(16,3277240,'1990-11-29 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248215112441269914345124610164092',NULL,'270',28.98,4,3,NULL),(16,3277259,'1991-07-16 00:00:00',4,8,11,2008,'F','N','GUANABARA','JOINVILLE','SC','124241241216131431323317372124610124147',NULL,'459',23.63,1,3,NULL),(16,3277267,'1990-02-20 00:00:00',4,6,11,2007,'F','N','FAZENDA','ITAJAí','SC','124242247215472431469914575122610124122',5661,'1038',57.15,1,3,NULL),(16,3277275,'1991-01-07 00:00:00',2,1,12,2008,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241216421731468614575112610124197',14914,'1022',39.86,1,3,NULL),(16,3277283,'1990-12-07 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124242241215111331438911275114610127062',13299,'270',42.98,1,3,NULL),(16,3277291,'1988-12-17 00:00:00',4,1,12,2006,'F','N','BALNEáRIO','FLORIANóPOLIS','SC','124202201216373751468939395124230627147',11836,'9998',45.58,1,3,NULL),(16,3277305,'1989-05-31 00:00:00',4,1,12,2006,'M','N','SERTãO DO MARUIM','S JOSé','SC','124201201136131431346313295124230724057',NULL,'9998',25.36,1,2,1),(16,3277313,'1982-03-21 00:00:00',4,8,12,1999,'M','N','PARQUE GUARANI','JOINVILLE','SC','124241241142231111225344242323131015157',NULL,'492',0.00,1,2,1),(16,3277321,'1992-07-21 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241215111211478912592122610145073',NULL,'497',20.81,1,3,NULL),(16,3277330,'1984-05-30 00:00:00',4,1,8,2002,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124201206126472411336744445125610167047',NULL,'9998',0.00,1,2,1),(16,3277356,'1985-04-22 00:00:00',2,2,12,2002,'M','N','BELA VISTA','GASPAR','SC','124254091416373721244923485123333218052',16269,'9998',36.47,1,3,NULL),(16,3277372,'1989-08-08 00:00:00',2,1,11,2006,'F','N','SETOR OESTE','GOIâNIA','GO','109091098215571431557715582122610163147',NULL,'9998',0.00,1,3,NULL),(16,3277399,'1990-04-06 00:00:00',4,1,12,2007,'M','N','CENTRO','VIDEIRA','SC','124242161212211711487739572124241417152',NULL,'829',37.32,1,3,NULL),(16,3277402,'1992-03-23 00:00:00',4,1,11,2009,'F','S','TRINDADE','FLORIANóPOLIS','SC','124241241115131432439923572125610125015',NULL,'267',45.94,1,3,NULL),(16,3277410,'1988-11-18 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241212273521436813345334610117057',10876,'237',47.22,1,3,NULL),(16,3277429,'1989-03-28 00:00:00',2,5,12,2006,'F','N','JARDIM CIBELE','ARARANGUá','SC','124241245145131431625611213324610167147',NULL,'30',0.00,1,2,1),(16,3277437,'1989-08-27 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124242241216272431356923575125221462187',3017,'962',63.74,1,3,NULL),(16,3277445,'1991-03-25 00:00:00',2,2,12,2008,'M','N','VELHA','BLUMENAU','SC','124242241215121431458811375114610127042',NULL,'855',30.97,1,3,NULL),(16,3277453,'1991-01-06 00:00:00',4,1,11,2008,'M','N','ARMAÇÃO','FLORIANóPOLIS','SC','124242241216111431467833575124610116147',NULL,'262',29.54,1,3,NULL),(16,3277461,'1992-03-18 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124241241215111412446932572112610167014',15837,'738',37.66,1,3,NULL),(16,3277470,'1990-03-13 00:00:00',4,1,11,2008,'M','N','VILA MARIANA','RIBEIRãO PRETO','SP','125132251237111431246612575122610137047',NULL,'9998',0.00,1,3,NULL),(16,3277488,'1989-04-07 00:00:00',4,1,12,2006,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124242241215473431469833572112230247142',2576,'270',65.08,1,3,NULL),(16,3277496,'1978-09-07 00:00:00',4,1,11,1995,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','224162241211273731268754412122320441072',2003,'262',67.16,1,3,NULL),(16,3277500,'1990-10-22 00:00:00',4,1,11,1990,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215151431458612585124611527052',9875,'1133',49.01,1,3,NULL),(16,3277518,'1991-03-25 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124241241217151732556414575124610167052',11975,'1075',45.30,1,3,NULL),(16,3277534,'1989-09-01 00:00:00',2,8,12,2007,'F','N','UNIVERSITARIO','CASCAVEL','PR','116161161116271431533619571124610127052',NULL,'9998',35.10,4,1,1),(16,3277542,'1991-07-22 00:00:00',4,8,11,2008,'M','N','ATIRADORES','JOINVILLE','SC','124242241215151431678823575122610162142',NULL,'457',36.87,1,3,NULL),(16,3277550,'1992-02-06 00:00:00',4,1,12,2009,'F','S','PANTANAL','FLORIANóPOLIS','SC','124162248217111731448621575122610123142',NULL,'262',35.88,1,3,NULL),(16,3277569,'1991-03-05 00:00:00',4,4,12,2008,'M','N','CENTRO','CEL FREITAS','SC','124241241415111431566612575122610137012',NULL,'168',39.26,1,3,NULL),(16,3277577,'1991-01-16 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215131431358934341122610147112',12460,'1038',44.46,1,3,NULL),(16,3277585,'1990-01-04 00:00:00',4,3,12,2006,'M','N','ANDORINHA','ITAPEMA','SC','124244247423472411548831115124610163062',10666,'9999',47.63,1,3,NULL),(16,3277593,'1987-02-02 00:00:00',4,1,12,2004,'M','N','VILA NOVA','NOVO HAMBURGO','RS','120202206136151431338814445122241462047',NULL,'9998',0.00,1,3,NULL),(16,3277607,'1991-11-04 00:00:00',4,1,12,2008,'M','N','RIO BRANCO','CANOAS','RS','120204201316111431446714572112610138112',NULL,'9998',0.00,1,3,NULL),(16,3277615,'1990-05-26 00:00:00',4,3,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161216471311568811575115610164047',2649,'9998',64.83,1,3,NULL),(16,3277623,'1989-10-03 00:00:00',2,4,12,2006,'M','N','NAZARé','CONCóRDIA','SC','124241248315471731433319392111610134057',NULL,'1047',23.12,1,3,NULL),(16,3277631,'1990-01-18 00:00:00',4,7,12,2007,'F','N','POR DO SOL','CAPINZAL','SC','124241241114131431426624243124610135077',NULL,'156',8.88,1,2,1),(16,3277640,'1971-12-11 00:00:00',2,1,12,1995,'F','N','TRINDADE','FLORIANóPOLIS','SC','224251253225573431265654471124140812182',3041,'9998',63.68,1,3,NULL),(16,3277658,'1988-11-17 00:00:00',4,5,12,2006,'M','N','CENTRO','CRICIúMA','SC','124242241215574431368913595124231437142',4657,'213',59.42,1,3,NULL),(16,3277666,'1991-05-18 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124244241415111431437619585124610117182',NULL,'9999',20.54,1,3,NULL),(16,3277674,'1990-06-08 00:00:00',4,2,12,2007,'F','N','NAçOES','INDAIAL','SC','124242241216372431458629275124232446197',3016,'925',63.74,1,3,NULL),(16,3277682,'1987-11-11 00:00:00',2,1,11,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241412173431457712575122230224052',NULL,'100',0.00,1,3,NULL),(16,3277690,'1991-07-11 00:00:00',4,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241215411431349613572124610167012',16391,'272',36.00,1,3,NULL),(16,3277704,'1991-02-26 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431348811372122610123187',NULL,'1022',27.16,1,3,NULL),(16,3277712,'1991-12-15 00:00:00',4,4,12,2008,'M','N','CENTRO','ITAPEJARA D OESTE','PR','116162161217271431555513372124610162192',NULL,'9998',31.78,4,3,NULL),(16,3277720,'1991-06-04 00:00:00',2,5,11,2008,'F','N','CENTRO','FORQUILHINHA','SC','124242241215112411469812321122610167142',NULL,'226',30.57,1,3,NULL),(16,3277739,'1974-12-13 00:00:00',4,1,12,1999,'M','N','CAMPECHE','FLORIANóPOLIS','SC','224202206317572421357743437132143237117',3888,'9998',61.37,1,3,NULL),(16,3277747,'1987-03-24 00:00:00',4,1,6,2006,'F','N','ESTRELA DALVA','CARAGUATATUBA','SP','125251251126141441528823241111610124172',NULL,'9998',29.37,1,2,1),(16,3277755,'1991-05-17 00:00:00',4,1,11,2008,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124244241217111431358639596124610167047',14541,'1118',40.62,1,3,NULL),(16,3277763,'1992-09-22 00:00:00',4,1,11,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241215111711488732272122610164067',NULL,'270',30.33,4,3,NULL),(16,3277771,'1991-11-11 00:00:00',4,1,11,2008,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215111731358923575124610167017',2666,'883',64.80,1,3,NULL),(16,3277780,'1992-07-09 00:00:00',2,6,12,2008,'F','N','PRAIA DOS AMORES','BAL CAMBORIú','SC','124244241217131431336824242122610144057',8467,'1086',51.45,1,3,NULL),(16,3277798,'1989-03-09 00:00:00',4,1,11,2007,'F','N','ALPHAVILLE','CAMPINAS','SP','125252251217472431468824572122610137092',10058,'9998',48.67,1,3,NULL),(16,3277810,'1992-04-06 00:00:00',4,1,12,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124244241215151431434632282122610137147',NULL,'273',53.66,1,3,NULL),(16,3277828,'1991-01-27 00:00:00',4,9,11,2008,'M','N','BRUSQUE','LAGES','SC','124242244217121411489911495122612664052',NULL,'497',0.00,1,3,NULL),(16,3277836,'1978-11-16 00:00:00',4,1,12,1996,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','224243243114144421448353235122122964187',13882,'591',41.89,1,3,NULL),(16,3277844,'1991-11-04 00:00:00',2,1,12,2009,'M','S','SACO DOS LIMOES','FLORIANóPOLIS','SC','124241241212171431368813472114610122147',NULL,'272',25.91,1,3,NULL),(16,3277852,'1984-10-25 00:00:00',2,1,12,2002,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241136131721624342146331131168197',NULL,'416',15.69,1,2,1),(16,3277879,'1984-05-13 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241116273431358627445134430752083',7597,'270',53.16,1,3,NULL),(16,3277887,'1990-10-16 00:00:00',4,2,12,2008,'F','N','BOA VISTA','BLUMENAU','SC','124242241215111431478813572122610133142',1216,'87',70.83,1,3,NULL),(16,3277895,'1991-01-22 00:00:00',4,2,12,2008,'M','N','CENTRO','BRUSQUE','SC','124242241215151711437731395122610127052',NULL,'109',40.98,1,3,NULL),(16,3277909,'1991-10-17 00:00:00',4,1,12,2008,'F','N','PINHEIROS','S PAULO','SP','125252251216111431358839572125610127147',7533,'9998',53.27,3,3,NULL),(16,3277917,'1991-05-08 00:00:00',4,8,11,2008,'M','N','SAGUAçU','JOINVILLE','SC','124242241217121531588933575111610132127',NULL,'491',34.90,1,3,NULL),(16,3277925,'1991-04-26 00:00:00',2,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANóPOLIS','SC','116212161217121431469913571124610137062',10875,'9998',47.23,1,3,NULL),(16,3277933,'1990-05-31 00:00:00',4,2,12,2007,'M','N','CENTRO','BLUMENAU','SC','124242241216152431469719595124231062187',2355,'87',65.86,1,3,NULL),(16,3277941,'1974-09-15 00:00:00',2,1,5,1996,'M','N','INGLESES','FLORIANóPOLIS','SC','220203207346152411334643335133143217187',15675,'9998',38.12,1,3,NULL),(16,3277950,'1983-04-29 00:00:00',2,1,12,2001,'F','N','BALNEáRIO','FLORIANóPOLIS','SC','124241247225471431524434246315610124147',NULL,'9999',19.03,1,3,NULL),(16,3277968,'1991-05-09 00:00:00',4,8,12,2008,'M','N','ZONA I','UMUARAMA','PR','116162161215121431549632275122610124052',NULL,'9998',0.00,1,3,NULL),(16,3277976,'1987-11-23 00:00:00',4,3,12,2005,'M','N','CENTRO','URAí','PR','116162161211311221448819392112142613161',2199,'9998',66.42,3,3,NULL),(16,3277984,'1991-08-13 00:00:00',4,8,12,2008,'F','N','VILA LENZI','JARAGUá SUL','SC','124241241217111411556614275122610164057',13423,'424',42.76,1,3,NULL),(16,3277992,'1989-09-19 00:00:00',4,1,12,2007,'M','N','CENTENáRIO','MOGI GUAçU','SP','125251251216411431469732575124610136141',1285,'9998',70.47,1,3,NULL),(16,3278000,'1984-12-12 00:00:00',4,1,12,2003,'F','N','NSA SRA DE LOURDES','STA MARIA','RS','120202201216251431179923571122242015192',NULL,'9998',0.00,3,3,NULL),(16,3278018,'1985-07-10 00:00:00',2,8,12,2003,'F','N','ÁGUA VERDE','CURITIBA','PR','116161161136473431633317374114610114077',4926,'9998',58.80,1,2,1),(16,3278026,'1991-07-18 00:00:00',4,1,12,2008,'M','N','ESTREITO BALNEáRIO','FLORIANóPOLIS','SC','124244241415151731458833171124610112057',NULL,'257',29.04,1,3,NULL),(16,3278034,'1992-02-08 00:00:00',4,1,12,2008,'M','N','PINGUIRITO','GAROPABA','SC','124241241116131431456514175124610127012',NULL,'322',21.58,2,1,1),(16,3278042,'1991-03-31 00:00:00',4,8,12,2008,'M','N','ZONA II','UMUARAMA','PR','116162161215421431437711275121610167052',NULL,'9998',35.81,1,3,NULL),(16,3278069,'1992-02-19 00:00:00',4,1,11,2008,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124242241217111232448412285114610112192',15495,'1022',38.56,1,3,NULL),(16,3278077,'1989-03-14 00:00:00',4,1,8,2007,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241117131431548824385114130218057',NULL,'9997',24.24,1,3,NULL),(16,3278085,'1991-08-15 00:00:00',4,10,12,2008,'M','N','OFICINAS','TUBARãO','SC','124244241115131431336514285121610124077',15536,'1034',38.46,1,3,NULL),(16,3278093,'1990-01-17 00:00:00',4,1,12,2007,'F','N','CENTRO','GUARARAPES','SP','125252251217471431465611575112610122147',12362,'9998',44.61,4,3,NULL),(16,3278107,'1991-02-08 00:00:00',4,1,12,2008,'F','N','BETâNIA','ANGELINA','SC','124241241135111531513325572324610111143',NULL,'17',26.99,1,2,1),(16,3278115,'1991-09-10 00:00:00',2,1,12,2008,'F','N','DANIELA','FLORIANóPOLIS','SC','124244241316131431446623575124610123077',16421,'288',35.83,1,3,NULL),(16,3278123,'1989-07-08 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243205236272411538711315121233266187',11525,'9998',46.13,1,3,NULL),(16,3278140,'1960-02-01 00:00:00',4,1,7,1980,'M','N','AGRONÔMICA','FLORIANóPOLIS','SC','224161167226161421288573432122540964081',NULL,'9999',0.00,1,3,NULL),(16,3278166,'1991-11-01 00:00:00',4,5,10,2009,'F','S','CENTRO','CRICIúMA','SC','124242241215111431459912272122610165142',NULL,'226',40.36,1,3,NULL),(16,3278174,'1991-07-02 00:00:00',4,8,11,2008,'M','N','CENTRO','CANOINHAS','SC','124243241215112431578813475122610127067',9849,'154',49.07,1,3,NULL),(16,3278182,'1989-02-25 00:00:00',2,2,12,2006,'F','N','SãO PEDRO','GASPAR','SC','124242241217474731439413575124230435077',10605,'955',47.73,1,3,NULL),(16,3278190,'1990-03-01 00:00:00',4,1,12,2007,'M','N','JARDIM SANTA ANGELA','RIBEIRãO PRETO','SP','125252251211371431466712575122610167042',NULL,'9998',32.72,1,3,NULL),(16,3278204,'1991-06-06 00:00:00',4,5,11,2008,'M','N','CENTRO','CRICIúMA','SC','124242241216111431457823572122610122092',13630,'213',42.41,1,3,NULL),(16,3278212,'1991-08-26 00:00:00',2,1,11,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124242241215121431433334575124610127015',NULL,'1022',25.90,1,3,NULL),(16,3278220,'1988-05-26 00:00:00',4,1,12,2005,'M','N','BARRO PRETO','CONGONHAS','MG','113131131117141731636529495124610162017',NULL,'9998',23.23,4,2,1),(16,3278239,'1990-07-10 00:00:00',3,8,12,2007,'M','N','ACLIMAçãO','S PAULO','SP','125252251216471431358812245125610168046',NULL,'9998',0.00,1,3,NULL),(16,3278247,'1992-03-04 00:00:00',2,9,12,2009,'F','S','STA CATARINA ESQUINA','URUBICI','SC','124244241416131331426823345122610148147',NULL,'817',39.55,1,3,NULL),(16,3278255,'1991-07-08 00:00:00',2,5,12,2008,'M','N','CENTRO','CRICIúMA','SC','124242246215161431135923575125610148197',NULL,'995',35.27,4,3,NULL),(16,3278263,'1988-06-28 00:00:00',4,1,6,2008,'M','N','TAPERA','FLORIANóPOLIS','SC','124243247327131721439613285114610164017',NULL,'300',31.50,4,3,NULL),(16,3278271,'1989-10-28 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124131248326151731643534341134610136193',16299,'269',36.38,2,3,NULL),(16,3278280,'1990-09-27 00:00:00',4,3,11,2007,'F','N','CABRAL','CURITIBA','PR','116162161217471431326611575114610164147',6826,'9998',54.62,1,3,NULL),(16,3278298,'1989-03-28 00:00:00',4,1,12,2007,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120201201116271431236629471224610114177',NULL,'9998',22.77,1,2,1),(16,3278301,'1989-10-11 00:00:00',4,1,12,2007,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241215372731356833472122130421092',4193,'270',60.51,1,3,NULL),(16,3278310,'1990-03-23 00:00:00',4,1,12,2007,'F','N','VILA CASA NOVA','SOROCABA','SP','125252251217472431268619571122610123147',9041,'9998',50.51,1,3,NULL),(16,3278328,'1991-09-11 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124202241215111431423615275125610167042',11950,'1038',45.36,1,3,NULL),(16,3278336,'1990-12-09 00:00:00',4,1,11,2008,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241215121431378832575122610124047',7033,'855',54.23,1,3,NULL),(16,3278344,'1991-12-15 00:00:00',4,4,12,2008,'F','N','VILA REAL','CHAPECó','SC','124243241415111211356631215122610164097',12957,'1021',43.58,1,3,NULL),(16,3278352,'1992-02-19 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241215111431139713575122610168191',NULL,'270',47.10,1,3,NULL),(16,3278360,'1990-06-08 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241315472431339923571124610165147',7079,'271',54.14,1,3,NULL),(16,3278379,'1992-06-19 00:00:00',4,5,12,2009,'M','S','COMERCIáRIO','CRICIúMA','SC','124242241437171531449834575122610126047',NULL,'213',32.44,1,3,NULL),(16,3278387,'1990-01-15 00:00:00',4,9,12,2007,'M','N','CORAL','LAGES','SC','124243241115471431636916375121610164082',12907,'818',43.66,1,3,NULL),(16,3278395,'1990-03-22 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241217154112448933471125610162182',13074,'959',43.36,1,3,NULL),(16,3278409,'1990-04-25 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215271711455933575112610114184',NULL,'1022',23.55,1,3,NULL),(16,3278417,'1992-02-07 00:00:00',2,1,12,2008,'F','N','BAIRRO PROGESSO','DOURADOS','MS','112204121216111451328315572122610137077',16310,'9998',36.34,1,3,NULL),(16,3278425,'1992-12-27 00:00:00',4,1,11,2009,'M','S','CAPOEIRAS','FLORIANóPOLIS','SC','124242241212111451457924574124610168142',NULL,'270',61.02,1,3,NULL),(16,3278433,'1993-01-19 00:00:00',4,6,11,2009,'M','S','CENTRO','ITAJAí','SC','124242241217151431368814446122610144012',NULL,'392',28.00,1,3,NULL),(16,3278450,'1992-09-18 00:00:00',4,8,12,2008,'F','N','CENTRO','SCHROEDER','SC','124244241215111431469812574124610137017',2688,'441',64.71,1,3,NULL),(16,3278468,'1990-05-20 00:00:00',4,1,12,2008,'F','N','CENTRO','BLUMENAU','SC','124241244345111321553631371124610125147',NULL,'855',12.89,1,3,NULL),(16,3278476,'1981-12-24 00:00:00',3,1,12,1999,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241216155431589933445122331267041',4508,'269',59.74,1,3,NULL),(16,3278484,'1988-05-15 00:00:00',2,1,12,2006,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241125473411554413385124223035181',9698,'9999',49.34,1,2,1),(16,3278492,'1992-10-24 00:00:00',4,1,11,2009,'F','S','CAMPINAS','S JOSé','SC','124242241215111431233323571124610146092',NULL,'724',19.54,1,3,NULL),(16,3278514,'1989-05-27 00:00:00',4,1,6,2007,'M','N','CAMPINAS','S JOSé','SC','124244247117472531359613485124610127042',8100,'9999',52.22,1,3,NULL),(16,3278522,'1991-01-19 00:00:00',2,9,12,2008,'M','N','JARDIM AMéRICA','CAXIAS SUL','RS','120202201215471431553432275124610143092',10309,'9998',48.24,1,3,NULL),(16,3278530,'1989-03-13 00:00:00',4,1,11,2006,'M','N','BARREIROS','S JOSé','SC','124242241215373531447513375112610167017',NULL,'259',23.27,1,3,NULL),(16,3278549,'1991-09-21 00:00:00',4,3,11,2009,'M','S','MEIA PRAIA','ITAPEMA','SC','624242248116151411546832425125610137182',NULL,'129',41.84,1,3,NULL),(16,3278557,'1990-10-28 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215121432479933572122610113147',2132,'270',66.66,1,3,NULL),(16,3278565,'1982-01-13 00:00:00',2,1,5,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241121271431324341111324610123157',NULL,'9999',21.47,4,2,1),(16,3278573,'1991-08-30 00:00:00',4,2,12,2008,'M','N','CENTRO','RIO CEDROS','SC','124244241215111431489933475124610124042',NULL,'37',0.00,1,3,NULL),(16,3278581,'1992-04-10 00:00:00',4,1,11,2009,'F','S','JARDIM DO LAGO','LONDRINA','PR','116162161217111431459932592122610147097',NULL,'9998',0.00,3,3,NULL),(16,3278590,'1991-07-03 00:00:00',4,1,12,2008,'M','N','JOAO PAULO','FLORIANóPOLIS','SC','124242241217111231468832422122610122115',15941,'269',37.39,1,3,NULL),(16,3278603,'1991-03-28 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241116111431369912575115610128197',14451,'267',40.79,4,1,1),(16,3278611,'1991-03-02 00:00:00',4,4,11,2008,'M','N','SANTA LUZIA','ABELARDO LUZ','SC','124244241217141731448933572122610167147',10171,'1081',48.48,1,3,NULL),(16,3278620,'1991-05-16 00:00:00',4,5,12,2008,'F','N','SãO LUIZ','SAPIRANGA','RS','120203201115371731446532274122610136047',12973,'9998',43.55,1,3,NULL),(16,3278638,'1990-02-12 00:00:00',2,1,5,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243241114272751128741312314610144127',9000,'306',50.58,1,3,NULL),(16,3278654,'1991-04-07 00:00:00',4,6,12,2008,'F','N','VILA OPERARIA','ITAJAí','SC','124242241215261431359714485114610162072',12698,'391',44.00,1,3,NULL),(16,3278662,'1990-10-13 00:00:00',4,1,12,2007,'M','N','NOVA PETROPOLIS','S BERNARDO CAMPO','SP','125252251216472431468814275112610137013',NULL,'9998',0.00,1,3,NULL),(16,3278670,'1991-02-04 00:00:00',4,1,11,2008,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241215111431448923572124610127042',10752,'1022',47.46,1,3,NULL),(16,3278697,'1978-08-21 00:00:00',4,2,12,1996,'F','N','PROGRESSO','BLUMENAU','SC','224241245126433741431244341124232822142',NULL,'76',0.00,1,3,NULL),(16,3278719,'1992-06-09 00:00:00',4,8,12,2009,'F','S','CENTRO','JOINVILLE','SC','124242241215111531449914372112610137115',NULL,'491',22.05,1,3,NULL),(16,3278743,'1991-07-19 00:00:00',4,1,12,2008,'M','N','SAO CRISTOVAO','VIDEIRA','SC','124242241211151751156933575124610162017',6586,'1022',55.08,1,3,NULL),(16,3278751,'1990-07-19 00:00:00',4,1,12,2007,'M','N','JARDIM MADALENA','EMBU-GUAçU','SP','125252251217571431426814275124610162142',NULL,'9998',0.00,1,3,NULL),(16,3278760,'1978-05-17 00:00:00',2,1,12,1997,'F','N','ESTREITO','FLORIANóPOLIS','SC','224241241122152411433353215122122321153',15376,'416',38.81,1,2,1),(16,3278778,'1990-10-05 00:00:00',2,1,12,2008,'M','N','VILA TEIXEIRA','CAMPINAS','SP','125252251217111431558832582112610117044',NULL,'9998',0.00,1,3,NULL),(16,3278786,'1965-04-23 00:00:00',2,1,12,2005,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','624201121112132421445554342114610168181',NULL,'9999',0.00,1,3,NULL),(16,3278794,'1991-09-26 00:00:00',4,10,12,2008,'F','N','CENTRO','IMARUí','SC','124241241136151411426828575124610167142',NULL,'356',23.27,1,2,1),(16,3278808,'1991-07-20 00:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241116271751633319575114610164057',6090,'307',56.15,1,2,1),(16,3278816,'1991-12-18 00:00:00',4,1,12,2009,'F','S','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241115111731437831415124610111162',NULL,'267',28.25,1,3,NULL),(16,3278824,'1990-04-10 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124213241311272411658834381114133252017',11424,'733',46.31,1,3,NULL),(16,3278832,'1989-02-11 00:00:00',4,1,12,2007,'M','N','MOOCA','S PAULO','SP','125253251217471432436811575125610162057',NULL,'9998',48.97,3,3,NULL),(16,3278840,'1992-01-08 00:00:00',4,1,11,2008,'M','N','CAIEIRA S LIMõES','FLORIANóPOLIS','SC','124241241117131731324351295124610137147',NULL,'281',29.87,1,3,NULL),(16,3278859,'1991-09-10 00:00:00',4,6,11,2008,'M','N','CABRAL','CURITIBA','PR','116162161216121751469933575112610127047',3372,'9998',62.77,1,3,NULL),(16,3278867,'1991-07-29 00:00:00',4,4,12,2008,'M','N','SãO CRISTóVãO','CAPINZAL','SC','124241241117151331546314585114610117077',NULL,'156',29.23,4,3,NULL),(16,3278875,'1991-01-12 00:00:00',2,1,12,2008,'M','N','BALNEáRIO','FLORIANóPOLIS','SC','124244241411131431459913575111110123172',NULL,'257',26.12,1,3,NULL),(16,3278883,'1991-03-01 00:00:00',2,1,12,2008,'F','N','JARDIM ESPLANADA II','S JOSé CAMPOS','SP','125252251217171131548814575122610167092',13733,'9998',42.20,1,3,NULL),(16,3278891,'1991-02-11 00:00:00',4,6,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241217272431488912575122610167112',NULL,'1038',34.30,1,3,NULL),(16,3278905,'1991-02-27 00:00:00',4,8,11,2008,'M','N','AMéRICA','JOINVILLE','SC','124242241215111431469912595112610117052',5383,'491',57.69,1,3,NULL),(16,3278913,'1988-04-21 00:00:00',4,1,12,2006,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241211271721369811591122133242112',6059,'270',56.21,3,3,NULL),(16,3278921,'1991-09-05 00:00:00',2,2,11,2008,'F','N','RAINHA','RIO SUL','SC','124241241216131431435823572124610123147',10067,'653',48.66,1,3,NULL),(16,3278930,'1974-08-15 00:00:00',2,1,12,1993,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','524201208216134431133444245122121125097',16588,'9998',34.94,1,3,NULL),(16,3278948,'1989-05-14 00:00:00',4,1,11,2006,'M','N','SANTA MONICA','FLORIANóPOLIS','SC','124242241215273431338923272124133264067',3925,'270',61.27,1,3,NULL),(16,3278980,'1990-04-22 00:00:00',2,9,12,2007,'F','N','CENTRO','SERAFINA CORRêA','RS','120201201147131731426614182224610127057',NULL,'9998',36.02,1,2,1),(16,3278999,'1990-02-08 00:00:00',4,1,12,2007,'M','N','JARDIM PARAISO','BOTUCATU','SP','125252251215272431468923571112610117042',3983,'9998',61.10,1,3,NULL),(16,3279006,'1992-09-23 00:00:00',4,7,11,2009,'F','S','CENTRO','CAçADOR','SC','124242241216171431448933575122610137147',NULL,'120',44.89,1,3,NULL),(16,3279014,'1986-05-20 00:00:00',4,1,12,2003,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241216575751458933485114132462071',1343,'262',70.14,1,3,NULL),(16,3279022,'1989-10-22 00:00:00',4,1,12,2007,'F','N','CIDADE VISTA VERDE','S JOSé CAMPOS','SP','125052051212471731446831572112610163027',7123,'9998',54.05,1,3,NULL),(16,3279057,'1991-01-02 00:00:00',2,1,12,2008,'M','N','CENTRO','PATO BRANCO','PR','116161161117151431455516572124610162057',NULL,'9998',0.00,1,3,NULL),(16,3279065,'1991-11-06 00:00:00',2,5,11,2008,'F','N','DE VILLA','URUSSANGA','SC','124243241215111431444614572112610123147',13720,'820',42.23,1,3,NULL),(16,3279081,'1991-06-27 00:00:00',4,1,12,2008,'F','N','CENTRO','SINOP','MT','111112111237111431457934596122610143092',NULL,'9998',0.00,1,3,NULL),(16,3279090,'1991-10-15 00:00:00',4,5,11,2008,'M','N','BAIRRO VILA NOVA','IçARA','SC','124241248215111721456639575124640127112',NULL,'920',14.20,1,3,NULL),(16,3279103,'1987-10-09 00:00:00',2,1,12,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241216373231436613445124133227147',NULL,'272',26.31,1,3,NULL),(16,3279111,'1987-02-26 00:00:00',4,2,12,2004,'M','N','BENEDITO','INDAIAL','SC','124241241127131411445434245112230264157',13526,'887',42.58,1,3,NULL),(16,3279120,'1989-06-01 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124242241215573431569833495124132028047',9553,'270',49.61,1,3,NULL),(16,3279138,'1989-06-02 00:00:00',4,8,11,2006,'M','N','JARDIM DAS PITEIRAS','PARá MINAS','MG','113132131416571411259322571115610162077',5160,'9998',58.21,4,3,NULL),(16,3279146,'1991-11-14 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124161241117131432127727585124610137053',NULL,'278',24.80,1,2,1),(16,3279154,'1983-03-25 00:00:00',4,1,11,2000,'M','N','BARREIROS','S JOSé','SC','124241243116152441246623395124233238192',NULL,'306',33.32,1,3,NULL),(16,3279162,'1991-04-20 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241117111731458812325112610122121',NULL,'262',25.68,1,3,NULL),(16,3279170,'1991-09-27 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215172431669713575122610124082',3803,'270',61.59,1,3,NULL),(16,3279189,'1988-12-02 00:00:00',4,1,12,2006,'M','N','GRANVILLE','GOIâNIA','GO','109092091217571431468831572122610147047',372,'9998',77.11,3,3,NULL),(16,3279197,'1992-10-15 00:00:00',4,1,12,2009,'M','S','SANTA MôNICA','FLORIANóPOLIS','SC','124242241217111431468931575112610132017',NULL,'1050',57.54,1,3,NULL),(16,3279200,'1991-08-22 00:00:00',2,3,12,2008,'F','N','MORADA DO SOL','ERECHIM','RS','120201201117131411224624575124610132042',NULL,'9998',27.63,4,2,1),(16,3279219,'1991-04-25 00:00:00',4,5,11,2008,'M','N','MINA DO MATO','CRICIúMA','SC','124241241215111131443531572112610117042',NULL,'1096',0.00,1,3,NULL),(16,3279235,'1990-08-20 00:00:00',4,1,2,2008,'M','N','N SENHO DO ROSSARIO','S JOSé','SC','124242241417372431348939315112610164012',15976,'739',37.30,1,3,NULL),(16,3279243,'1991-12-21 00:00:00',2,5,10,2008,'F','N','MINA BRASIL','CRICIúMA','SC','124244241215131431438614572124610132017',2747,'213',64.57,1,3,NULL),(16,3279251,'1989-09-14 00:00:00',2,5,7,2007,'F','N','BAIRRO DA FIGUEIRA','URUSSANGA','SC','124241248211132431343833375124230464147',NULL,'995',27.76,1,3,NULL),(16,3279260,'1987-08-10 00:00:00',2,6,12,2004,'F','N','JARDIM SANTA ROSA','PARANAGUá','PR','116162161216571751465923575114610167047',6776,'9998',54.71,1,3,NULL),(16,3279278,'1989-05-02 00:00:00',4,1,11,2006,'F','N','SUDOESTE','CRUZEIRO','DF','107072071214571411558632571122610141046',3469,'9998',62.47,1,3,NULL),(16,3279286,'1990-02-17 00:00:00',4,1,12,2007,'F','N','JD AQUARIUS','S JOSé CAMPOS','SP','125252251215471711379812575122610123017',5899,'9998',56.58,1,3,NULL),(16,3279294,'1991-07-31 00:00:00',4,2,12,2008,'M','N','ASILO','BLUMENAU','SC','124242241217151732338833572124610122097',15073,'88',39.48,1,3,NULL),(16,3279308,'1991-02-04 00:00:00',4,1,12,2008,'M','N','CENTRO','ITAJAí','SC','124242241215112431458812575125610164182',2771,'9997',64.50,1,3,NULL),(16,3279316,'1990-11-03 00:00:00',4,1,12,2007,'M','N','CENTRO','PELOTAS','RS','120202201216271231446612385122610137057',NULL,'9998',0.00,1,3,NULL),(16,3279324,'1989-10-08 00:00:00',2,1,12,2006,'M','N','SERRARIA','S JOSé','SC','124244241217374431556614345114133262047',8646,'1118',51.17,1,3,NULL),(16,3279332,'1987-11-08 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241217112711568823395124231232053',8275,'270',51.82,1,3,NULL),(16,3279359,'1988-04-12 00:00:00',2,9,11,2005,'M','N','SãO CRISTOVãO','LAGES','SC','124241241117371531543411245114130727032',NULL,'498',27.97,1,3,NULL),(16,3279367,'1985-10-09 00:00:00',4,1,12,2003,'F','N','FREZZARIN','AMERICANA','SP','125252251116571431436612575114610161092',9599,'9998',49.52,3,3,NULL),(16,3279375,'1986-10-27 00:00:00',4,1,12,2005,'F','N','SETOR BUENO','GOIâNIA','GO','109092091217573411458614475122610114116',859,'9998',73.00,1,3,NULL),(16,3279383,'1991-04-20 00:00:00',4,1,11,2008,'F','N','CENTRO','STO CRISTO','RS','120202201217161431548812572115610161053',NULL,'9998',39.52,1,3,NULL),(16,3279405,'1978-06-23 00:00:00',4,1,12,1995,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124162161215341421446541415134341564122',3777,'9998',61.66,1,3,NULL),(16,3279413,'1991-05-08 00:00:00',4,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215151431343312375122610123112',NULL,'213',24.77,2,3,NULL),(16,3279421,'1992-09-16 00:00:00',4,1,12,2008,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241217111432326621575122610167042',NULL,'262',26.36,1,3,NULL),(16,3279430,'1980-03-07 00:00:00',4,1,12,2000,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','224242241216274431234454471122130227091',NULL,'270',45.67,1,3,NULL),(16,3279448,'1992-09-06 00:00:00',4,7,11,2009,'F','S','CENTRO','CAPINZAL','SC','124241241217151431548631572112610148097',NULL,'155',48.85,1,3,NULL),(16,3279456,'1990-09-18 00:00:00',4,2,12,2007,'F','N','CRUZEIRO','BRASíLIA','DF','107243071117471431457613276114610141092',7609,'9998',53.12,1,3,NULL),(16,3279464,'1989-03-08 00:00:00',4,1,12,2006,'M','N','MORUMBI SUL','S PAULO','SP','125252251217572441568811571122610164052',NULL,'9998',0.00,1,3,NULL),(16,3279472,'1991-06-07 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241212372751238924295122610118187',12447,'515',44.47,1,3,NULL),(16,3279480,'1989-12-21 00:00:00',2,1,12,2007,'F','N','PETRóPOLIS','PTO ALEGRE','RS','120202201217471431548833574124610162077',NULL,'9998',0.00,1,3,NULL),(16,3279499,'1985-09-14 00:00:00',4,1,11,2003,'M','N','MARAMBAIA','VINHEDO','SP','125252251236572431356819571122141462182',4783,'9998',59.11,1,3,NULL),(16,3279502,'1991-06-27 00:00:00',2,9,11,2008,'F','N','CENTRO','SALETE','SC','124241248216161731538632395122610125051',10119,'776',48.58,1,3,NULL),(16,3279510,'1992-05-06 00:00:00',4,1,12,2008,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241217111432427611575122610167142',12374,'262',44.58,1,3,NULL),(16,3279529,'1991-02-16 00:00:00',4,4,12,2008,'F','N','CENTRO','CONSTANTINA','RS','120201201137141431436412391135610158092',NULL,'9998',25.83,1,2,1),(16,3279537,'1991-12-20 00:00:00',2,1,11,2008,'F','N','VILA VELHA','PALMEIRA MISSõES','RS','120201201217131431336823575122610125017',NULL,'9998',28.58,1,3,NULL),(16,3279545,'1988-10-08 00:00:00',3,1,12,2006,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241317272431569813376114610133097',2620,'1022',64.93,1,3,NULL),(16,3279553,'1991-03-26 00:00:00',4,1,12,2008,'M','N','CENTRO','ÁGUAS MORNAS','SC','124241241125131431543914291123610124097',NULL,'12',26.11,1,2,1),(16,3279570,'1970-05-10 00:00:00',2,1,8,2004,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','624241247117133431436354232124610122097',NULL,'9999',26.93,1,2,1),(16,3279588,'1989-02-25 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217133731249823442124232824187',NULL,'1022',23.60,1,3,NULL),(16,3279596,'1984-06-19 00:00:00',2,1,12,2004,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','224241247327272431242254215124610133052',12723,'269',43.97,3,3,NULL),(16,3279600,'1978-06-22 00:00:00',4,1,11,1995,'F','N','ITACORUBI','FLORIANóPOLIS','SC','624244241215131721253372332134610121187',13021,'138',43.46,1,3,NULL),(16,3279618,'1990-07-27 00:00:00',2,8,12,2007,'F','N','CORVETA','ARAQUARI','SC','124242251215472431459911595122610128045',12269,'9998',44.78,1,3,NULL),(16,3279626,'1988-12-03 00:00:00',4,1,12,2006,'F','N','PARAISO','S PAULO','SP','125253251237571421568614571125610162147',9973,'9998',48.83,1,3,NULL),(16,3279634,'1992-12-13 00:00:00',4,1,11,2009,'F','S','CENTRO','PAPANDUVA','SC','124243161217111421458632325124610123182',NULL,'9998',25.32,1,3,NULL),(16,3279650,'1991-09-11 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124244241215131431436314242124610168017',NULL,'1048',26.59,1,3,NULL),(16,3279669,'1986-06-25 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241215575451347739572115131361142',11170,'836',46.71,1,3,NULL),(16,3279685,'1990-04-20 00:00:00',4,3,11,2007,'F','N','CENTRO','LONDRINA','PR','116162161217472431469931574124610165087',1570,'9998',69.01,1,3,NULL),(16,3279693,'1981-10-15 00:00:00',4,1,12,1999,'M','N','INGLESES','FLORIANóPOLIS','SC','124201201132131431333929442124141424042',NULL,'9998',26.37,1,3,NULL),(16,3279707,'1989-03-06 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241217373731369613575122230411042',4765,'270',59.14,1,3,NULL),(16,3279715,'1982-06-09 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANóPOLIS','SC','124132131216151431569813595124341262127',NULL,'9998',0.00,1,3,NULL),(16,3279723,'1967-08-15 00:00:00',2,1,12,1990,'F','N','CENTRO','FLORIANóPOLIS','SC','224161161416132711429651311122343048097',NULL,'9998',5.27,1,3,NULL),(16,3279731,'1989-05-18 00:00:00',4,9,12,2006,'M','N','JUVEVE','CURITIBA','PR','116162168611112111111111111111110111011',NULL,'9998',0.00,1,3,NULL),(16,3279740,'1990-06-02 00:00:00',4,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120202201216471431438813435122610123011',8735,'9998',51.01,1,3,NULL),(16,3279766,'1974-11-02 00:00:00',4,8,12,1992,'F','N','CORVETA','ARAQUARI','SC','124163165126271431121744445122343234175',NULL,'9998',26.59,2,3,NULL),(16,3279774,'1991-10-23 00:00:00',2,10,12,2008,'F','N','MAR GROSSO','LAGUNA','SC','124242241215111411446713435122610114122',NULL,'525',31.36,1,3,NULL),(16,3279782,'1981-07-15 00:00:00',2,1,12,1998,'M','N','SITIO SãO JOSE','VIAMãO','RS','120201201117371411343179495122610168047',NULL,'9998',0.00,2,3,NULL),(16,3279790,'1991-10-04 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124246248215121251246879585124613234182',NULL,'1022',22.43,1,3,NULL),(16,3279812,'1991-03-21 00:00:00',2,4,10,2008,'M','N','CENTRO','CAMPINAS SUL','RS','120201201215111431469831572122610137042',6334,'9998',55.60,1,3,NULL),(16,3279820,'1989-02-10 00:00:00',2,7,12,2006,'F','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124241241127141431428814312112610118017',NULL,'140',27.50,1,2,1),(16,3279839,'1990-01-24 00:00:00',2,5,11,2007,'M','N','CENTRO','BAL ARROIO SILVA','SC','124242241216472751449814575125610114071',2266,'970',66.16,1,3,NULL),(16,3279847,'1988-12-11 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124123121411372751228739291321610134117',13521,'9998',42.58,4,3,NULL),(16,3279863,'1988-04-18 00:00:00',2,1,12,2005,'M','N','SERRINHA','FLORIANóPOLIS','SC','124244241211474431448327585124130226172',4189,'976',60.52,1,3,NULL),(16,3279880,'1977-03-11 00:00:00',4,1,12,1991,'M','N','CENTRO','FLORIANóPOLIS','SC','124251251127153441133343132124140864043',NULL,'9998',0.00,3,2,1),(16,3279898,'1991-08-29 00:00:00',4,8,12,2008,'M','N','IRIRIú','JOINVILLE','SC','124242241215111231556633515121610117042',9037,'1105',50.51,1,3,NULL),(16,3279901,'1991-09-24 00:00:00',4,1,12,2008,'M','N','POLO CENTRO','FOZ IGUAçU','PR','116162161213111431388913472124610162082',1380,'9998',69.96,1,3,NULL),(16,3279910,'1974-05-16 00:00:00',2,1,12,1995,'M','N','CENTRO','PALHOçA','SC','224241247626134421333333132114123022192',NULL,'263',44.87,1,3,NULL),(16,3279928,'1991-02-08 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431448619575124610122042',NULL,'1022',32.08,1,3,NULL),(16,3279944,'1992-06-15 00:00:00',4,1,11,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124243241215121431468813572112610138057',11338,'270',46.43,1,3,NULL),(16,3279952,'1990-12-14 00:00:00',4,1,12,2008,'F','N','VILA GUSTAVO','S PAULO','SP','125252251216111731548714442122610137042',14714,'9998',40.25,1,3,NULL),(16,3279960,'1983-05-09 00:00:00',2,1,12,2003,'M','N','SãO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241121133431232314342114610114173',NULL,'772',30.85,4,2,1),(16,3279979,'1990-02-25 00:00:00',4,1,12,2008,'M','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241215121431336634572112610137062',NULL,'270',31.44,4,3,NULL),(16,3279987,'1991-03-12 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161217111431469813371112610145126',NULL,'9998',0.00,1,3,NULL),(16,3279995,'1990-11-16 00:00:00',4,3,12,2008,'M','N','NAçõES','BAL CAMBORIú','SC','124162241217111432236611485112610161147',NULL,'1038',12.44,1,3,NULL),(16,3280004,'1991-09-09 00:00:00',4,1,11,2008,'M','N','CANOVA','GIRUá','RS','120203201216271411469934572125610168047',5266,'9998',57.95,1,3,NULL),(16,3280012,'1990-01-25 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241235132431546613495124231438077',12101,'273',45.10,1,3,NULL),(16,3280020,'1992-01-22 00:00:00',2,4,11,2009,'F','S','CENTRO','GUARUJá SUL','SC','124241241436111411327432575114610136192',NULL,'751',34.50,1,3,NULL),(16,3280039,'1988-02-17 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSé','SC','123242241222274431334423245114610128057',8388,'738',51.61,1,3,NULL),(16,3280047,'1991-09-11 00:00:00',4,3,12,2008,'F','N','PALMITAL','PARANAGUá','PR','116242161215111431158814571115610123142',NULL,'9998',0.00,1,3,NULL),(16,3280055,'1991-06-21 00:00:00',4,10,11,2008,'F','N','BELA VISTA','BRAçO NORTE','SC','124242241215111731458613594124610124142',5575,'806',57.32,1,3,NULL),(16,3280063,'1987-01-01 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANóPOLIS','SC','124243241217274731359923445114610163092',12012,'270',45.24,1,3,NULL),(16,3280071,'1991-02-26 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215122731319922372122610133052',NULL,'270',26.98,1,3,NULL),(16,3280080,'1989-07-20 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215373231356823395124131227015',831,'260',73.18,1,3,NULL),(16,3280098,'1991-09-03 00:00:00',4,1,12,2008,'M','N','SãO BERNARDO','CAMPINAS','SP','125251251117111431446612575124610147012',15065,'9998',39.52,4,2,1),(16,3280101,'1992-03-19 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241215151731458629575124610144077',11967,'1048',45.32,1,3,NULL),(16,3280110,'1991-03-05 00:00:00',4,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241146131731525614271124610125147',NULL,'464',17.14,1,2,1),(16,3280128,'1989-11-12 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241217132431558814435124610134077',6240,'1134',55.81,1,3,NULL),(16,3280136,'1990-04-12 00:00:00',4,1,11,2007,'M','N','BELA VISTA','S PAULO','SP','125252251217471431457912571122610164052',4328,'9998',60.19,1,3,NULL),(16,3280144,'1989-05-19 00:00:00',4,5,11,2006,'M','N','COMERCIáRIO','CRICIúMA','SC','124242241215313231369939595115232664047',NULL,'226',0.00,1,3,NULL),(16,3280152,'1989-09-20 00:00:00',4,1,12,2007,'F','N','JARDIM DAS NAçõES','TAUBATé','SP','125252258217141431468913495124241263017',NULL,'9998',22.63,1,3,NULL),(16,3280160,'1991-02-05 00:00:00',4,1,5,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242281215371431468913572122610121142',15752,'9998',37.91,1,3,NULL),(16,3280179,'1982-04-19 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANOPOLIS','SC','224161161136472431364453375124133226182',7840,'9998',52.70,1,2,1),(16,3280187,'1991-01-12 00:00:00',4,3,12,2008,'F','N','SãO CRISTóVãO','SALETE','SC','124243241237141231569633142123610134077',NULL,'680',0.00,1,3,NULL),(16,3280195,'1991-03-12 00:00:00',2,1,11,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241116131431336439275124610128145',NULL,'307',27.10,1,2,1),(16,3280209,'1993-03-23 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215111431376729592112610115047',NULL,'1022',0.00,1,3,NULL),(16,3280217,'1991-09-09 00:00:00',4,2,12,2008,'F','N','CANOAS','RIO SUL','SC','124242241217151431469934572122610141052',NULL,'654',0.00,1,3,NULL),(16,3280225,'1991-04-16 00:00:00',2,1,12,2008,'M','N','CENTRO','DOURADOS','MS','112123121217121411553732596121610165012',5565,'9998',57.35,1,3,NULL),(16,3280233,'1992-01-14 00:00:00',4,1,11,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124203241317121232668913582114610163047',NULL,'9997',28.78,1,3,NULL),(16,3280241,'1991-04-15 00:00:00',2,4,12,2008,'F','N','SAO FRANCISCO','CEL FREITAS','SC','124241241115161531523435555224610123047',NULL,'199',22.89,1,3,NULL),(16,3280250,'1992-08-07 00:00:00',4,5,12,2009,'F','S','PIO CORRêA','CRICIúMA','SC','124242241215111531466822572112610131062',NULL,'226',38.35,1,3,NULL),(16,3280276,'1983-07-28 00:00:00',2,1,11,2000,'M','N','FORQUILHINHAS','S JOSé','SC','124241241123133421535344343244610161067',11959,'728',45.34,1,2,1),(16,3280284,'1991-09-25 00:00:00',4,1,11,2009,'M','S','STO ANTONIO LISBOA','FLORIANóPOLIS','SC','124242241217111751549912276124610114112',NULL,'9997',53.00,1,3,NULL),(16,3280292,'1975-08-20 00:00:00',4,1,12,1993,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124202207111141441128841412124343227187',NULL,'9998',0.00,1,3,NULL),(16,3280306,'1991-05-22 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124243241116131731533319191121610167045',NULL,'592',26.60,1,3,NULL),(16,3280314,'1993-05-19 00:00:00',2,4,12,2010,'F','S','CENTRO','CHAPECó','SC','124242241217131431328524472125610128197',NULL,'185',40.85,1,3,NULL),(16,3280322,'1990-08-20 00:00:00',2,7,11,2008,'M','N','CARBONI','VIDEIRA','SC','124241246215111421336821345124233227052',NULL,'1080',21.68,1,3,NULL),(16,3280330,'1989-11-15 00:00:00',4,8,12,2007,'F','N','MOSSUNGUE','CURITIBA','PR','116162161214471751448813471114610164147',NULL,'9998',29.38,1,3,NULL),(16,3280357,'1990-04-18 00:00:00',4,10,12,2007,'M','N','PESCARIA BRAVA','LAGUNA','SC','124241246216132431536631582124610167047',NULL,'1120',34.77,1,3,NULL),(16,3280365,'1992-06-22 00:00:00',4,4,12,2009,'M','S','MARIA GORETI','CHAPECó','SC','124242241217151232459619575122610122057',NULL,'185',33.18,1,3,NULL),(16,3280373,'1963-01-20 00:00:00',3,1,12,1980,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241217372431148841415132121462093',10237,'260',48.37,1,3,NULL),(16,3280381,'1988-05-29 00:00:00',4,1,12,2004,'F','N','JOSé MENDES','FLORIANóPOLIS','SC','124241241215574431436311471124610123022',NULL,'1098',26.45,1,3,NULL),(16,3280390,'1985-06-05 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241137143711433614445134330837067',NULL,'298',17.15,1,3,NULL),(16,3280403,'1981-05-25 00:00:00',4,1,11,2006,'F','N','JARDIM JANAINA','BIGUAçU','SC','124241247227133431632329246224610136187',15957,'9999',37.34,1,3,NULL),(16,3280411,'1993-07-12 00:00:00',4,1,12,2009,'F','S','CENTRO','STO AMARO IMPERATRIZ','SC','124243241211131432535631475124610123017',NULL,'266',42.28,1,3,NULL),(16,3280420,'1992-05-18 00:00:00',2,1,11,2009,'F','S','CENTRO','PAPANDUVA','SC','124241241117111411434634342322610123142',NULL,'603',21.65,1,3,NULL),(16,3280446,'1991-05-04 00:00:00',4,3,12,2008,'M','N','BATEL','CURITIBA','PR','116162161215171131468821575114610161056',NULL,'9998',0.00,1,3,NULL),(16,3280454,'1991-02-11 00:00:00',4,6,12,2008,'M','N','CENTRO','ITAJAí','SC','624242241217121431467931595122610128012',13443,'392',42.71,1,3,NULL),(16,3280470,'1991-04-26 00:00:00',2,1,11,2008,'M','N','AREIAS','S JOSé','SC','124241241116271712423824575124610114142',14340,'734',40.98,1,3,NULL),(16,3280489,'1990-02-19 00:00:00',2,4,12,2007,'M','N','LIDER','CHAPECó','SC','124241241316142431569913345122233264042',NULL,'1126',22.57,1,3,NULL),(16,3280500,'1991-09-08 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111731339814592122610132012',NULL,'262',8.77,1,3,NULL),(16,3280519,'1989-02-27 00:00:00',4,1,12,2006,'F','N','JARDIM ELDORADO','PALHOçA','SC','124241241117131421646614345124610122042',NULL,'307',23.72,1,2,1),(16,3280527,'1992-03-30 00:00:00',4,1,11,2008,'F','N','CENTRO','MEDIANEIRA','PR','116162161217271431445812575122610164072',NULL,'9998',0.00,1,3,NULL),(16,3280535,'1991-10-06 00:00:00',4,8,12,2008,'F','N','CHICO DE PAULA','JARAGUA DO SUL','SC','124242241215112431588933435122610164117',6607,'1063',55.03,1,3,NULL),(16,3280543,'1989-04-02 00:00:00',2,3,12,2006,'M','N','CENTRO','BAL CAMBORIú','SC','124162161216373431357731372112610127051',NULL,'9998',38.15,1,3,NULL),(16,3280551,'1987-02-04 00:00:00',2,1,12,2006,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241207141131731228644241334140227097',NULL,'9999',26.41,1,2,1),(16,3280560,'1991-11-13 00:00:00',4,5,12,2008,'M','N','MATO ALTO','ARARANGUá','SC','124242246215151411448814595124610164052',14823,'995',40.02,1,3,NULL),(16,3280578,'1985-11-08 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241316132431237944245133133252187',NULL,'1046',21.68,3,3,NULL),(16,3280586,'1991-04-06 00:00:00',2,6,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124164241115141431437734345124610122147',NULL,'49',22.65,1,3,NULL),(16,3280594,'1991-03-31 00:00:00',4,2,12,2008,'M','N','CENTRO','RIO SUL','SC','124244246416151451538913575124610137057',NULL,'902',0.00,1,3,NULL),(16,3280608,'1991-05-19 00:00:00',4,1,12,2008,'M','N','JARDIM JANAíNA','S JOSé','SC','124243241215111431368834575125610167052',12381,'738',44.58,1,3,NULL),(16,3280616,'1989-10-16 00:00:00',4,2,12,2008,'M','N','SãO LUIZ','BRUSQUE','SC','124241246217142441539514375122610167051',NULL,'1090',41.51,1,3,NULL),(16,3280624,'1991-12-10 00:00:00',2,1,12,2009,'F','S','ARIRIU','PALHOçA','SC','124242241216151431476833575124610134092',NULL,'9997',23.54,1,3,NULL),(16,3280632,'1989-09-08 00:00:00',4,1,12,2007,'M','N','FLORESTA','PTO ALEGRE','RS','120202201236471731356732575125610134042',13385,'9998',42.82,1,3,NULL),(16,3280640,'1989-10-27 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241247215111431345213445124610163182',NULL,'977',0.00,3,3,NULL),(16,3280659,'1991-08-03 00:00:00',4,2,12,2008,'F','N','BOM RETIRO','BLUMENAU','SC','124242241215121431346612475122610163142',8960,'87',50.65,1,3,NULL),(16,3280675,'1982-03-22 00:00:00',4,1,12,1999,'M','N','SAMBAQUI','FLORIANóPOLIS','SC','124201201136151741216341413114541722183',10473,'9998',47.96,1,2,1),(16,3280683,'1991-06-15 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','120202208216571731337823575124610164057',5354,'9998',57.75,1,3,NULL),(16,3280691,'1991-11-17 00:00:00',4,2,11,2009,'M','S','SALTO DO NORTE','BLUMENAU','SC','124242241237111432459833132122610134142',NULL,'71',47.80,1,3,NULL),(16,3280705,'1992-05-04 00:00:00',2,7,12,2008,'F','N','INTERIOR','CONCóRDIA','SC','124241241116131431323536572124610124142',NULL,'858',24.39,1,2,1),(16,3280713,'1991-05-10 00:00:00',2,8,11,2008,'F','N','BUCAREIN','JOINVILLE','SC','124242241215121431566933572122610137112',11864,'491',45.53,1,3,NULL),(16,3280721,'1991-07-01 00:00:00',2,1,12,2008,'F','N','XV DE NOVEMBRO','TIJUCAS','SC','124242241215131431327823145125610128172',10482,'781',47.94,1,3,NULL),(16,3280730,'1991-08-14 00:00:00',2,6,12,2008,'F','N','CENTRO','GUARAPUAVA','PR','116162161215111431375512425122610124047',NULL,'9998',27.44,1,3,NULL),(16,3280748,'1988-08-01 00:00:00',4,1,12,2005,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241211472431377823431112130764031',2920,'270',64.05,1,3,NULL),(16,3280756,'1991-01-08 00:00:00',4,10,12,2008,'F','N','VILA MOEMA','TUBARãO','SC','124242241215113431246924574122610145142',1396,'797',69.84,1,3,NULL),(16,3280764,'1982-03-24 00:00:00',4,1,12,2000,'F','N','FLORESTA','S JOSé','SC','124242241434133431438648285124121834012',NULL,'1036',10.69,1,3,NULL),(16,3280772,'1992-03-04 00:00:00',2,9,12,2009,'F','S','CENTRO','CURITIBANOS','SC','124242241217161532456812315122610136017',NULL,'881',27.56,1,3,NULL),(16,3280780,'1989-04-11 00:00:00',4,10,11,2006,'M','N','JARDIN DAS AVENIDAS','ARARANGUá','SC','124242241212143451436832292125232614077',5571,'32',57.33,1,3,NULL),(16,3280799,'1990-03-16 00:00:00',2,5,12,2008,'M','N','SãO CRISTóVãO','TURVO','SC','124244241415111431569933295112610127142',15229,'813',39.13,1,3,NULL),(16,3280802,'1992-11-26 00:00:00',4,1,12,2009,'M','S','CAMPINAS','S JOSé','SC','124242248215111431459713575122610114192',NULL,'1077',24.04,1,3,NULL),(16,3280810,'1991-04-05 00:00:00',2,1,12,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124244241215121431356631575124610166072',14063,'272',41.52,1,3,NULL),(16,3280829,'1987-05-27 00:00:00',2,1,12,2004,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124244241216372431378633485122131024092',NULL,'272',19.29,1,3,NULL),(16,3280837,'1992-03-22 00:00:00',2,8,12,2008,'M','N','JARDIM MENINO DEUS','CATANDUVAS','PR','116164161416111431357715592115610164012',13466,'9998',42.67,1,3,NULL),(16,3280845,'1990-10-15 00:00:00',4,2,12,2008,'F','N','CENTRO','BRUSQUE','SC','124242241217271731349632575122610122182',2053,'107',66.98,1,3,NULL),(16,3280853,'1991-04-11 00:00:00',2,8,12,2008,'M','N','CENTRO','S MATEUS SUL','PR','116163161216121431334634575122610124052',6686,'9998',54.90,1,3,NULL),(16,3280861,'1991-05-01 00:00:00',4,2,11,2008,'M','N','BOM RETIRO','BLUMENAU','SC','124242241215111531348812576112610138017',NULL,'855',0.00,1,3,NULL),(16,3280870,'1987-06-23 00:00:00',2,1,12,2005,'F','N','ABRAãO','FLORIANóPOLIS','SC','124241241117132431224624242114610142197',16420,'257',35.83,1,2,1),(16,3280888,'1990-09-02 00:00:00',4,1,11,2008,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124243241115211431435731572124610128197',NULL,'307',24.19,1,3,NULL),(16,3280896,'1991-05-27 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124202241215121431347814345124610127127',8829,'1022',50.84,1,3,NULL),(16,3280900,'1989-02-04 00:00:00',2,1,12,2006,'M','N','KOBRASOL','S JOSé','SC','124243248217142421336634215124613247051',NULL,'1036',16.62,3,3,NULL),(16,3280918,'1985-06-12 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241112131431328944245334130848147',NULL,'192',0.00,1,2,1),(16,3280926,'1986-02-02 00:00:00',2,1,6,2005,'M','N','ARIRIU','PALHOçA','SC','124241247326132431656532345313121737081',15327,'9999',38.92,1,3,NULL),(16,3280934,'1985-08-10 00:00:00',4,1,12,2003,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242201217131431548814445124133234077',14862,'9998',39.96,1,3,NULL),(16,3280942,'1986-06-19 00:00:00',4,1,12,2005,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124074071417111411558923315121141421117',4231,'9998',60.42,1,3,NULL),(16,3280950,'1987-03-01 00:00:00',4,1,12,2005,'M','N','PEDREIRA','S PAULO','SP','125252251347211732658811482114610117047',11083,'9998',46.87,1,3,NULL),(16,3280985,'1991-09-13 00:00:00',4,2,11,2008,'M','N','GARCIA','BLUMENAU','SC','124243241234141431438414245134610127067',NULL,'85',38.09,1,3,NULL),(16,3280993,'1986-09-12 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216375431466823372122233267052',6115,'270',56.11,1,3,NULL),(16,3281000,'1991-12-20 00:00:00',4,1,12,2008,'F','N','FAZENDA PEDRA BRANCA','PALHOçA','SC','124241248116131432538664245124610114142',NULL,'733',17.22,1,3,NULL),(16,3281019,'1988-12-06 00:00:00',4,3,12,2006,'F','N','LAGO PARQUE','LONDRINA','PR','116162161215471431368812441122240266122',NULL,'9998',0.00,1,3,NULL),(16,3281027,'1991-10-01 00:00:00',4,8,12,2008,'M','N','CENTRO','MEDIANEIRA','PR','116162161216471231447923575121610164052',NULL,'9998',24.93,1,3,NULL),(16,3281035,'1991-09-08 00:00:00',4,8,12,2008,'F','N','CENTRO','UMUARAMA','PR','116162161215121431569931575122610126177',NULL,'9998',0.00,1,3,NULL),(16,3281043,'1991-06-08 00:00:00',4,4,11,2008,'F','N','PRESIDENTE MéCIDI','CHAPECó','SC','124242241215131431438733574124610141177',11744,'1021',45.74,1,3,NULL),(16,3281051,'1989-06-01 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124242241215473431558831571124231233142',8846,'723',50.81,1,3,NULL),(16,3281078,'1987-12-02 00:00:00',2,3,12,2004,'F','N','CENTRO','IRATI','PR','116163161217573431567812472122142663197',3245,'9998',63.16,1,3,NULL),(16,3281086,'1989-11-30 00:00:00',2,1,12,2006,'M','N','CAMPINAS','S JOSé','SC','124244248416143431337719495113133217117',NULL,'774',24.67,1,3,NULL),(16,3281094,'1991-03-11 00:00:00',4,1,12,2008,'F','N','VILA EURO','S BERNARDO CAMPO','SP','125254251215111431436514291122610126097',NULL,'9998',0.00,1,3,NULL),(16,3281108,'1991-01-16 00:00:00',4,1,12,2008,'F','N','LIBRA I','FOZ IGUAçU','PR','116162161216121431435832572122610162077',NULL,'9998',0.00,1,3,NULL),(16,3281116,'1990-11-01 00:00:00',2,8,11,2008,'F','N','SOSSEGO','CANOINHAS','SC','124241241215111431239923432122610133147',NULL,'154',0.00,1,3,NULL),(16,3281124,'1990-12-16 00:00:00',4,9,12,2007,'M','N','PENHA','LAGES','SC','124241241116141331423319345124230224177',NULL,'498',NULL,1,3,NULL),(16,3281132,'1989-05-17 00:00:00',4,8,11,2006,'F','N','JARDIM BRASILIA','PTO UNIãO','SC','124241241115141431446513342121241532147',NULL,'635',30.73,3,2,1),(16,3281140,'1990-09-27 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124164241215473431469614575115610164052',4476,'270',59.84,1,3,NULL),(16,3281167,'1990-08-07 00:00:00',4,1,12,2007,'F','N','SERRARIA','S JOSé','SC','124241241217152432444914492114610163047',6378,'1022',55.53,1,3,NULL),(16,3281183,'1986-10-21 00:00:00',4,1,10,2007,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124071247337131411238613341334610161053',NULL,'9999',0.00,2,1,2),(16,3281191,'1991-09-19 00:00:00',2,1,12,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241125131431226514342321610114047',NULL,'772',21.36,1,3,NULL),(16,3281205,'1988-04-21 00:00:00',2,1,12,2008,'M','N','SãO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241121131431434344342313610122173',NULL,'772',28.19,1,2,1),(16,3281213,'1988-06-12 00:00:00',4,9,12,2005,'M','N','SAGRADO C DE JESUS','LAGES','SC','124242241211473431549931574122610137057',2281,'497',66.11,1,3,NULL),(16,3281221,'1990-11-14 00:00:00',4,1,12,2008,'F','N','VILA ISABEL','RIO JANEIRO','RJ','121212211217151411489914572124610144076',5695,'9998',57.08,3,3,NULL),(16,3281230,'1990-08-13 00:00:00',2,1,12,2007,'M','N','ABRAãO','FLORIANóPOLIS','SC','124242241115312731568934572114610164117',6554,'262',55.16,1,3,NULL),(16,3281256,'1958-03-14 00:00:00',2,1,12,1986,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','224201243126141711642654285112610123091',NULL,'505',25.94,2,1,1),(16,3281264,'1990-07-22 00:00:00',2,1,7,2008,'F','N','FAZENDA STO ANTONIO','S JOSé','SC','124241241115371731223424242124610163147',NULL,'739',30.75,2,1,1),(16,3281272,'1990-05-16 00:00:00',4,1,12,2008,'M','N','SERRARIA','S JOSé','SC','124241241135141421323214245124610133047',NULL,'734',26.85,3,2,1),(16,3281280,'1988-10-11 00:00:00',4,1,12,2005,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241216514731459913332124242444145',2142,'270',66.62,1,3,NULL),(16,3281299,'1989-09-04 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241126373731434414345124610164052',11583,'290',46.03,1,2,1),(16,3281302,'1991-01-14 00:00:00',1,2,12,2008,'F','N','TESTO CENTRAL','POMERODE','SC','124241241216371431553664575124610167077',9900,'624',48.95,1,3,NULL),(16,3281310,'1991-12-02 00:00:00',5,7,11,2008,'F','N','CENTRO','SALTO VELOSO','SC','124243241117111431426939492122610138142',NULL,'1113',24.72,1,3,NULL),(16,3281329,'1992-12-29 00:00:00',2,4,12,2009,'F','S','CENTRO','XANXERê','SC','624242241215111731636729572122610124147',NULL,'836',25.79,1,3,NULL),(16,3281337,'1991-03-28 00:00:00',2,1,12,2008,'F','N','SANTO ANTONIO','SAO CAETANO DO SUL','SP','125252251217151712336923576122610134146',6715,'9998',54.84,1,3,NULL),(16,3281345,'1988-06-20 00:00:00',4,1,12,2005,'F','N','GIOCONDO','CPO GRANDE','MS','112122121217571431458414474122610122147',NULL,'9998',42.03,1,3,NULL),(16,3281353,'1985-12-19 00:00:00',4,1,4,2007,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124244241116274431348723445124610162147',8909,'267',50.73,1,3,NULL),(16,3281361,'1991-07-18 00:00:00',4,1,12,2008,'F','N','JARDIM VERANEIO','CPO GRANDE','MS','112122121215471431589813584112610124123',8069,'9998',52.29,1,3,NULL),(16,3281370,'1987-12-19 00:00:00',4,1,12,2005,'M','N','SÃO JUDAS','PIRACICABA','SP','125251251215141431554639445123610127041',NULL,'9998',27.64,1,3,NULL),(16,3281388,'1992-07-23 00:00:00',4,4,11,2009,'M','S','CENTRO','ERECHIM','RS','120202201217121332446632572112610117042',NULL,'9998',42.99,1,3,NULL),(16,3281396,'1989-04-02 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124241251147211331534344342124610126052',NULL,'736',21.15,4,3,NULL),(16,3281400,'1992-03-27 00:00:00',4,1,11,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241217111431668933475124610137047',NULL,'270',29.35,2,1,2),(16,3281418,'1986-02-20 00:00:00',4,1,12,2003,'M','N','JARDIM VILA MARIANA','S PAULO','SP','125252251217471451589934445122241245047',NULL,'9998',0.00,1,3,NULL),(16,3281426,'1991-05-29 00:00:00',2,5,12,2008,'M','N','URUSSANGUINHA','ARARANGUá','SC','124241241216111431449633395122610127092',NULL,'26',25.24,1,3,NULL),(16,3281434,'1989-11-15 00:00:00',4,1,12,2007,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241112271422333314392124610137057',NULL,'307',26.38,1,2,1),(16,3281442,'1990-10-10 00:00:00',4,1,12,2008,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241117471431555534575124610127045',13692,'298',42.29,1,2,1),(16,3281450,'1989-07-25 00:00:00',2,2,12,2006,'F','N','JARDIM MONTE CARLO','MARINGá','PR','116241241137271431534611275122132844052',4239,'69',60.40,1,2,1),(16,3281469,'1979-11-01 00:00:00',2,1,12,2001,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','224161161127131512223344142114610141197',12114,'9998',45.07,1,3,NULL),(16,3281477,'1988-02-20 00:00:00',4,2,6,2006,'M','N','JARDIM EUROPA','SOROCABA','SP','125172281616571411239934375112143262047',1358,'9998',70.08,4,3,NULL),(16,3281485,'1990-12-01 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241417111431578813492112610117095',2727,'1022',64.61,1,3,NULL),(16,3281493,'1991-09-04 00:00:00',4,1,12,2008,'F','N','VILA AMéRICA','CORNéLIO PROCóPIO','PR','116162161316111432449913572125610133073',NULL,'9998',0.00,4,3,NULL),(16,3281507,'1991-10-27 00:00:00',2,1,11,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124241241135131431456614445124610143077',NULL,'733',29.19,1,2,1),(16,3281515,'1981-04-24 00:00:00',4,1,11,1998,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241211155751246519495121220364097',7292,'272',53.73,1,3,NULL),(16,3281531,'1991-02-24 00:00:00',2,5,12,2008,'M','N','CENTRO','IçARA','SC','124242243215131231346923575124610167057',NULL,'995',0.00,1,3,NULL),(16,3281558,'1991-01-24 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241215271431356413571112610134142',12991,'988',43.52,4,3,NULL),(16,3281566,'1988-07-07 00:00:00',4,4,11,2005,'M','N','CENTRO','IPORã OESTE','SC','124241241211213321538811592223131423067',4631,'807',59.47,1,3,NULL),(16,3281574,'1989-05-08 00:00:00',4,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124242241211132431437824341124230217117',NULL,'1036',26.26,1,3,NULL),(16,3281582,'1988-08-20 00:00:00',4,1,12,2005,'M','N','SÃO PEDRO','PORTO UNIAO','SC','124161161126271431213344245123130732047',NULL,'9998',NULL,1,2,1),(16,3281590,'1991-01-30 00:00:00',4,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124241241215131431454611275122610124197',11778,'1074',45.68,1,3,NULL),(16,3281604,'1982-11-08 00:00:00',2,3,11,2007,'M','N','CENTRO','SINOP','MT','111116118626131441623321185211142336042',13163,'9999',43.21,1,3,NULL),(16,3281612,'1988-11-16 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANóPOLIS','SC','124241241116473421434634342124610117147',6536,'65',55.20,1,2,1),(16,3281620,'1991-03-29 00:00:00',4,1,12,2008,'F','N','KORASOL','S JOSé','SC','124242241215371431568613575114610134055',12316,'737',44.70,1,3,NULL),(16,3281639,'1962-06-17 00:00:00',2,1,12,1981,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','224203206121374711244444241134120368052',2714,'9998',64.63,1,3,NULL),(16,3281647,'1990-05-05 00:00:00',4,1,11,2008,'M','N','MATRIZ','VIDEIRA','SC','124241241316271431233629175122610164097',14800,'831',40.06,1,3,NULL),(16,3281655,'1991-05-08 00:00:00',1,1,12,2008,'M','N','GONZAGA','SANTOS','SP','125252251217121531379814471115610132072',1784,'9998',68.07,1,3,NULL),(16,3281663,'1991-06-20 00:00:00',4,7,12,2008,'F','N','JARDIM NOVA ERA','LEBON RéGIS','SC','124241241135161731436713392122610134147',NULL,'532',25.97,1,2,1),(16,3281671,'1990-07-04 00:00:00',2,10,12,2007,'M','N','VILA MOEMA','TUBARãO','SC','124242241215472431668812595122610127042',4830,'807',59.01,1,3,NULL),(16,3281680,'1991-03-24 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241215151431469711375122610138187',3215,'497',63.25,4,3,NULL),(16,3281698,'1992-01-22 00:00:00',4,1,11,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241212111431559832575112610114047',NULL,'882',51.29,1,3,NULL),(16,3281701,'1992-03-23 00:00:00',4,5,11,2009,'F','S','COMERCIARIO','CRICIúMA','SC','124242241215111431448833475112610167143',NULL,'226',28.83,1,3,NULL),(16,3281728,'1989-06-30 00:00:00',3,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124134161336272111459613575124233236097',14776,'9998',40.12,1,3,NULL),(16,3281736,'1984-06-29 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241126573431556631172124220737142',2189,'641',66.45,1,2,1),(16,3281744,'1990-04-11 00:00:00',4,2,12,2008,'M','N','GARCIA','BLUMENAU','SC','124242241216151431567714275111610162177',8147,'855',52.14,1,3,NULL),(16,3281752,'1991-07-03 00:00:00',4,8,11,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215371711689812125125610144072',8824,'461',50.85,1,3,NULL),(16,3281760,'1987-04-09 00:00:00',4,1,12,2004,'M','N','PEDREIRA','S PAULO','SP','125251251117131211525611312124610147047',NULL,'9998',16.56,1,3,NULL),(16,3281779,'1982-05-07 00:00:00',4,1,12,1999,'M','N','VILA ASSUNçãO','STO ANDRé','SP','125253251137472431328419375122142265047',4504,'9998',59.75,1,3,NULL),(16,3281787,'1989-09-26 00:00:00',4,1,12,2006,'M','N','AREIAS','S JOSé','SC','124241241215473431428679371214131367177',5371,'880',57.71,1,3,NULL),(16,3281795,'1991-04-16 00:00:00',4,2,11,2008,'F','N','SETE DE SETEMBRO','GASPAR','SC','624243241146131511226654245121610124057',14260,'325',41.11,1,3,NULL),(16,3281809,'1990-10-29 00:00:00',4,8,11,2007,'F','N','CENTRO','CASCAVEL','PR','116162161216471441148832572122610165142',1658,'9998',68.62,1,3,NULL),(16,3281817,'1986-11-16 00:00:00',2,1,12,2004,'F','N','FORQUILHINHAS','S JOSé','SC','124201201116271411348734145114610113147',15613,'9998',38.28,1,3,NULL),(16,3281825,'1990-10-02 00:00:00',2,1,12,2008,'M','N','PRAIA COMPRIDA','SAO JOSE','SC','124242241215111431457622575124610127042',6039,'1022',56.26,1,3,NULL),(16,3281833,'1991-09-06 00:00:00',2,1,12,2008,'F','N','PICADAS DO NORTE','S JOSé','SC','124246248636111711634319295124610113147',15879,'733',37.53,1,3,NULL),(16,3281841,'1988-02-11 00:00:00',2,4,11,2005,'F','N','VILA INDUSTRIAL','TOLEDO','PR','116162161116471431348853275122141442092',NULL,'9998',31.71,1,3,NULL),(16,3281850,'1987-11-20 00:00:00',4,1,12,2004,'M','N','BELLA VISTA','CASCA','RS','120201201117131411435514345122243217042',10537,'9998',47.85,1,2,1),(16,3281876,'1992-01-29 00:00:00',2,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124202241215371431358629572122610143182',10251,'44',48.35,1,3,NULL),(16,3281884,'1987-07-06 00:00:00',4,1,11,2004,'M','N','CABREUVA','CPO GRANDE','MS','112122121216572431357831572122610167017',4827,'9998',59.02,1,3,NULL),(16,3281892,'1989-11-08 00:00:00',4,1,11,2007,'F','N','IPIRANGA','S JOSé','SC','124242241216152751568679485122610167147',NULL,'738',13.62,4,3,NULL),(16,3281906,'1990-12-16 00:00:00',4,8,12,2008,'M','N','CHáCARA CAXOEIRA','CPO GRANDE','MS','112122121214471431489611475122610164192',NULL,'9998',39.71,1,3,NULL),(16,3281914,'1970-07-08 00:00:00',4,1,12,1987,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124132138116162221166643235122340721182',NULL,'9998',16.67,1,3,NULL),(16,3281922,'1982-10-08 00:00:00',4,1,6,2001,'M','N','CACHOEIRA','FLORIANóPOLIS','SC','124212247216132312338544345134222224183',8258,'9999',51.86,1,3,NULL),(16,3281930,'1986-11-04 00:00:00',4,2,6,2006,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124244241216251431469913495122133232052',8099,'9999',52.23,1,3,NULL),(16,3281949,'1991-03-12 00:00:00',4,5,12,2008,'F','N','RIO MAINA','CRICIúMA','SC','124242248212122431425932571124610133192',NULL,'226',24.87,1,3,NULL),(16,3281957,'1986-07-04 00:00:00',2,1,12,2003,'F','N','JARDIM SABARá','PTO ALEGRE','RS','120204201116371721428611341124342721197',6786,'9998',54.68,1,3,NULL),(16,3281965,'1989-01-15 00:00:00',4,1,12,2006,'F','N','SÃO SEBASTIÃO','PALHOçA','SC','124241241115472431633319395114133224077',NULL,'307',28.94,1,2,1),(16,3281981,'1955-07-29 00:00:00',4,1,12,1978,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241245221152711243343431125322716192',11309,'409',46.46,1,3,NULL),(16,3281990,'1990-08-15 00:00:00',4,6,12,2007,'F','N','BARRA SUL','BAL CAMBORIú','SC','124242241215411431368821514122612438091',1983,'9997',67.27,3,3,NULL),(16,3282007,'1990-11-19 00:00:00',2,4,12,2007,'F','N','PASSO DOS FORTES','CHAPECó','SC','124241241132131441523629395124230625187',8645,'171',51.17,1,2,1),(16,3282015,'1982-01-16 00:00:00',4,1,12,1998,'M','N','BALNEARIO','FLORIANóPOLIS','SC','124242241216473411249813445122321427183',NULL,'259',0.00,1,3,NULL),(16,3282023,'1990-10-29 00:00:00',4,1,12,2008,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241127161431346613245121610168172',14062,'772',41.53,1,3,NULL),(16,3282031,'1990-03-21 00:00:00',4,8,12,2007,'M','N','PORTAO','CURITIBA','PR','116162161235121711357814141122242464147',1218,'9998',70.83,3,3,NULL),(16,3282040,'1991-07-05 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241248225131751436321575124610167147',NULL,'262',32.01,1,3,NULL),(16,3282058,'1983-05-29 00:00:00',4,1,12,1999,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241216375711468834435124321442042',3655,'497',61.94,1,3,NULL),(16,3282066,'1989-10-16 00:00:00',4,1,12,2007,'M','N','JARDIM BOA VISTA','AVARé','SP','125252251215371431589932475112610167042',11033,'9998',46.97,1,3,NULL),(16,3282074,'1980-10-27 00:00:00',2,1,12,2000,'F','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','224241247322132731326454385114131056187',NULL,'1003',23.09,1,3,NULL),(16,3282090,'1989-04-29 00:00:00',4,7,12,2006,'M','N','CENTRO','CAPINZAL','SC','124241241116373731146629375122221822017',NULL,'156',0.00,1,2,1),(16,3282104,'1989-08-31 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216152431479932472112232444141',5690,'262',57.10,1,3,NULL),(16,3282112,'1984-06-25 00:00:00',2,1,12,2001,'F','N','CENTRO','PALHOçA','SC','124241241226134421643311445124122323062',12062,'262',45.17,1,3,NULL),(16,3282120,'1989-02-04 00:00:00',4,1,11,2006,'M','N','MORADA DO OURO','CUIABá','MT','111112111236571441369833575122610162187',630,'9998',74.72,1,3,NULL),(16,3282139,'1986-11-26 00:00:00',2,1,12,2005,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241246437144541246823285122610167055',13843,'1003',41.96,1,3,NULL),(16,3282147,'1980-01-21 00:00:00',4,8,12,2008,'F','N','BOA VISTA','JOINVILLE','SC','124243247242131732643339285122610116187',NULL,'9997',24.85,1,3,NULL),(16,3282155,'1990-10-22 00:00:00',2,5,11,2008,'M','N','CENTRO','PASSO TORRES','SC','124243201215131431433814245121610134017',5456,'9998',57.58,1,3,NULL),(16,3282163,'1977-03-10 00:00:00',4,1,12,1996,'F','N','CENTRO','FLORIANóPOLIS','SC','124203207316271411126849291134610132097',NULL,'9999',23.84,1,3,NULL),(16,3282171,'1988-10-23 00:00:00',2,1,7,2008,'M','N','BELA VISTA I','S JOSé','SC','124243247136152431446614342132610167052',NULL,'9999',29.06,1,3,NULL),(16,3282180,'1991-07-02 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241117271731356631575124610167142',5670,'739',57.14,1,3,NULL),(16,3282198,'1989-07-23 00:00:00',4,6,12,2007,'F','N','JARDIM PARAíBA','APARECIDA','SP','125252251217471411428631572124610162187',8261,'9998',51.85,1,3,NULL),(16,3282201,'1990-05-05 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215152511479933595124220767052',1812,'262',67.96,1,3,NULL),(16,3282210,'1984-07-13 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','106063067147231541326941282314610124092',NULL,'9999',0.00,1,3,NULL),(16,3282228,'1987-08-25 00:00:00',2,7,12,2005,'M','N','VILA PEDRINE','JOAçABA','SC','124241241145371441455313382125610162051',NULL,'449',0.00,1,2,1),(16,3282236,'1991-01-11 00:00:00',4,1,11,2008,'M','N','BOA ESPERANçA','CUIABá','MT','111114281435271431568912312122610147052',NULL,'9998',42.26,1,3,NULL),(16,3282244,'1976-06-09 00:00:00',4,1,12,1996,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124133137646132421233341216124222264187',NULL,'9998',14.80,1,3,NULL),(16,3282252,'1992-01-20 00:00:00',4,1,12,2008,'F','N','JARDIM PARANá','ASSIS CHATEAUBRIAND','PR','116161161117161431468631572122610164142',NULL,'9998',0.00,3,2,1),(16,3282279,'1990-11-18 00:00:00',2,1,12,2007,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124243241212113431544912575124232534077',NULL,'1022',33.73,1,3,NULL),(16,3282287,'1990-01-10 00:00:00',4,2,12,2007,'F','N','JARDIM RIBAMAR','PERUíBE','SP','125094091136371731233829575122610138144',NULL,'9998',0.00,1,3,NULL),(16,3282295,'1990-07-29 00:00:00',2,1,12,2007,'F','N','SANTA TERESA','S PEDRO ALCâNTARA','SC','124241241216132731446723575124231057067',NULL,'1074',28.68,1,3,NULL),(16,3282309,'1990-01-20 00:00:00',4,8,12,2007,'F','N','GUANANDY','CPO GRANDE','MS','112124121216471431332439174124610164092',9950,'9998',48.86,1,3,NULL),(16,3282317,'1970-03-24 00:00:00',4,1,12,1988,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','224241248426174411455542125122331043052',NULL,'722',4.70,1,3,NULL),(16,3282325,'1991-02-27 00:00:00',2,6,12,2008,'F','N','CENTRO','BAL PIçARRAS','SC','124241241147111431348714395124610133147',16609,'614',34.74,1,3,NULL),(16,3282333,'1988-08-12 00:00:00',2,1,12,2006,'F','N','SERRARIA','S JOSé','SC','124241241117151731235824441124610112072',NULL,'257',19.95,1,2,1),(16,3282368,'1987-10-20 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124244247411131431436632442124230214147',NULL,'9999',22.14,1,3,NULL),(16,3282376,'1991-04-17 00:00:00',4,3,11,2008,'F','N','VILA VELHA','PALMEIRA MISSõES','RS','120203201216371431446632391122610146193',NULL,'9998',0.00,1,3,NULL),(16,3282384,'1991-08-03 00:00:00',2,1,12,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241215111231566612575112610137065',NULL,'270',45.52,1,3,NULL),(16,3282392,'1992-01-23 00:00:00',2,1,12,2009,'F','S','JURERE INTERNACIONAL','FLORIANóPOLIS','SC','124242241217111431567831571112610137142',NULL,'262',22.73,1,3,NULL),(16,3282406,'1990-03-14 00:00:00',4,1,12,2007,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241216412331426612392124232521077',NULL,'1014',23.48,3,3,NULL),(16,3282414,'1988-01-23 00:00:00',2,1,12,2005,'M','N','ARIRIU DA FORMIGA','PALHOçA','SC','124243241211371712356814281122610127042',NULL,'882',40.70,1,3,NULL),(16,3282422,'1972-12-03 00:00:00',4,1,11,1994,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243248346133431224341445124132832147',NULL,'121',26.12,4,3,NULL),(16,3282430,'1991-02-25 00:00:00',2,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116161161115471742449933575122610127062',NULL,'9998',26.74,1,2,1),(16,3282449,'1990-09-07 00:00:00',2,1,12,2007,'F','N','CENTRO','JAURU','MT','111113241215472431538711592124613224142',NULL,'969',33.80,1,3,NULL),(16,3282457,'1989-07-08 00:00:00',2,1,12,2006,'M','N','FORQUILHINHAS','S JOSé','SC','124242248211111231428534245124130726097',13491,'944',42.63,4,3,NULL),(16,3282473,'1986-06-27 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241212375441459823575122231245142',3255,'269',63.12,1,3,NULL),(16,3282490,'1991-11-06 00:00:00',2,1,12,2008,'M','N','CENTRO','STA HELENA','SC','124241241126131432538923392224610127147',NULL,'812',0.00,1,2,1),(16,3282503,'1990-10-31 00:00:00',4,1,12,2007,'M','N','ABRAãO','FLORIANóPOLIS','SC','124242241216273231428613375124230227051',4197,'1022',60.50,1,3,NULL),(16,3282511,'1990-10-26 00:00:00',4,1,12,2007,'M','N','COLONINHA','FLORIANóPOLIS','SC','124242241215312431546614385134610137077',6644,'9997',54.97,1,3,NULL),(16,3282520,'1991-01-13 00:00:00',2,1,11,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241112271431646434385124610123052',14231,'307',41.17,1,2,1),(16,3282538,'1987-05-11 00:00:00',2,7,12,2004,'M','N','CENTRO','TANGARá','SC','124241241145141231246816245122233238062',NULL,'779',0.00,4,3,NULL),(16,3282546,'1957-11-25 00:00:00',4,1,12,1978,'M','N','TAPERA','FLORIANóPOLIS','SC','224241241122143731435513192132331427061',NULL,'9997',6.47,1,3,NULL),(16,3282554,'1989-09-04 00:00:00',4,1,11,2006,'M','N','PANTANAL','FLORIANóPOLIS','SC','124244241415573441356627575124610142012',10389,'1000',48.11,1,3,NULL),(16,3282562,'1991-04-14 00:00:00',4,1,12,2008,'F','N','BELA VISTA','BOM RETIRO','SC','124241241126131451426633375125610138197',NULL,'95',0.00,1,2,1),(16,3282589,'1991-01-10 00:00:00',4,1,11,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241225111431323331572124610123012',8831,'262',50.83,1,3,NULL),(16,3282597,'1966-02-20 00:00:00',4,1,12,1985,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','224241248131131421434452322132610126187',NULL,'293',27.57,1,2,1),(16,3282600,'1990-01-15 00:00:00',4,1,11,2007,'M','N','JARDIM FLóRIDA','JACAREí','SP','125252251217471431553314575122610162092',2954,'9998',63.96,1,3,NULL),(16,3282619,'1989-06-13 00:00:00',2,4,12,2006,'M','N','INDUSTRIáRIOS','CONCóRDIA','SC','124241241146131331234624245123610124012',NULL,'194',32.70,1,2,1),(16,3282627,'1991-07-22 00:00:00',4,5,11,2008,'M','N','LOTE SEIS','CRICIUMA','SC','124242241215132431548912595122610114057',1937,'213',67.45,1,3,NULL),(16,3282635,'1989-11-19 00:00:00',2,4,12,2006,'M','N','PETRóPOLIS','CONCóRDIA','SC','124241241136131431333314245124610127042',NULL,'194',30.37,1,2,1),(16,3282643,'1989-04-29 00:00:00',2,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124243241147343732225544342224610163097',NULL,'592',26.90,1,3,NULL),(16,3282660,'1989-07-03 00:00:00',2,1,12,2005,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241415374451456632575124222212185',5298,'970',57.87,1,3,NULL),(16,3282678,'1990-06-10 00:00:00',2,1,12,2007,'M','N','CENTRO','PALHOçA','SC','124243241212472411346739295124610114042',NULL,'596',23.94,2,1,2),(16,3282686,'1984-12-13 00:00:00',2,1,12,2003,'M','N','SERRARIA','S JOSé','SC','124241241112142421436313345134610127147',NULL,'257',26.82,2,1,1),(16,3282694,'1989-04-24 00:00:00',4,1,12,2006,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241115132731316729376124610138077',9961,'267',48.84,1,2,1),(16,3282708,'1991-03-04 00:00:00',2,1,11,2008,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124243241125151431365313571124610134077',NULL,'290',25.73,1,3,NULL),(16,3282716,'1988-02-16 00:00:00',4,1,3,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124244247112372441435819442134610117042',NULL,'307',28.02,1,3,NULL),(16,3282740,'1986-01-17 00:00:00',4,1,12,2003,'F','N','CAMPINAS','S JOSé','SC','124242241412144121248623447122231463047',10152,'1036',48.52,1,3,NULL),(16,3282759,'1979-01-01 00:00:00',2,1,12,1995,'M','N','CENTRO','PALHOçA','SC','124241241122135331343723415122233225097',13384,'307',42.82,1,2,1),(16,3282767,'1990-10-23 00:00:00',4,1,12,2007,'M','N','VILA IMPERADOR','FRANCA','SP','125252251216371431336619571114141762046',1547,'9998',69.15,1,3,NULL),(16,3282775,'1984-09-18 00:00:00',4,1,12,2001,'M','N','KOBRASOL','S JOSé','SC','124202201211154421245544115114610147047',NULL,'9998',0.00,1,3,NULL),(16,3282783,'1977-09-27 00:00:00',4,1,9,1996,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241246117253431366413495122122364093',14022,'306',41.61,1,3,NULL),(16,3282791,'1992-07-14 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124241241117151411358822372124610137057',13819,'739',42.01,1,2,1),(16,3282805,'1967-05-26 00:00:00',2,1,7,1985,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241242115133421124443136223610138182',NULL,'129',0.00,1,2,1),(16,3282813,'1988-05-19 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANóPOLIS','SC','124241248126151411553319385121610124017',NULL,'922',30.52,1,3,NULL),(16,3282821,'1985-10-16 00:00:00',2,1,12,2002,'M','N','VILA GALVÃO','GUARULHOS','SP','125252251216573711549731175122610114042',2808,'9998',64.36,4,3,NULL),(16,3282830,'1991-07-22 00:00:00',4,5,11,2008,'M','N','LOTE SEIS','CRICIUMA','SC','124242241215132431558912575122610124057',8383,'213',51.63,1,3,NULL),(16,3282848,'1989-07-05 00:00:00',4,4,12,2006,'F','N','CENTRO','VERê','PR','116161161137272431323312583124610136177',15453,'9998',38.64,1,2,1),(16,3282856,'1964-10-04 00:00:00',4,1,7,2007,'M','N','CAMPINAS','S JOSé','SC','124241247135412411123348285325610136147',11277,'9999',46.51,1,2,1),(16,3282864,'1983-04-06 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124201201135133431424416191124120813177',NULL,'9998',37.38,1,2,1),(16,3282872,'1989-10-06 00:00:00',4,1,12,2007,'M','N','SANTA CRUZ','RIBEIRãO PRETO','SP','125252251217472431479911595121610167042',5293,'9998',57.88,1,3,NULL),(16,3282880,'1985-12-28 00:00:00',4,1,12,2002,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241146141431636314345123610152097',NULL,'592',29.56,1,2,1),(16,3282899,'1991-04-19 00:00:00',4,10,12,2008,'F','N','SERTãO DA ESTIVA','LAGUNA','SC','124241241117131131424614372224610112147',NULL,'521',27.67,1,2,1),(16,3282929,'1986-12-29 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241417133422458613472134131034067',11345,'269',46.42,1,3,NULL),(16,3282937,'1983-05-19 00:00:00',2,1,12,2001,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241241127375411233344242123610117187',14803,'284',40.06,1,2,1),(16,3282945,'1990-10-14 00:00:00',2,1,12,2007,'M','N','ABRAãO','FLORIANóPOLIS','SC','124242241216152431446612575124221267047',10284,'273',48.28,1,3,NULL),(16,3282953,'1986-11-14 00:00:00',2,1,12,2003,'M','N','IPIRANGA','S JOSé','SC','124201241142375411426743235113130264187',3815,'298',61.55,1,2,1),(16,3282961,'1986-07-04 00:00:00',4,1,12,2003,'M','N','JARDIM CLAUDIA','LONDRINA','PR','116161161117571411458814434123241528147',NULL,'9998',0.00,1,2,1),(16,3282988,'1991-02-27 00:00:00',4,1,12,2008,'M','N','CENTRO','PALHOçA','SC','124244241211131431459914391124610147187',NULL,'989',23.20,1,3,NULL),(16,3282996,'1982-12-25 00:00:00',4,9,11,2000,'M','N','CENTRO','CURITIBANOS','SC','124241241111152751449643235135340626012',3462,'239',62.49,1,2,1),(16,3283003,'1991-09-17 00:00:00',4,1,11,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124252241215151451479814576124610125182',413,'262',76.65,1,3,NULL),(16,3283011,'1991-04-11 00:00:00',2,5,11,2008,'M','N','MICHEL','CRICIúMA','SC','124072241216111531569713575124610118026',5620,'210',57.22,1,3,NULL),(16,3283020,'1983-10-21 00:00:00',2,1,12,2000,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124202241215574431658812475125221464112',2243,'185',66.25,1,3,NULL),(16,3283038,'1991-09-21 00:00:00',4,10,12,2008,'F','N','SãO TOMáS','IMBITUBA','SC','124241241116151431437314343122610135142',NULL,'359',21.49,4,1,1),(16,3283046,'1990-09-14 00:00:00',4,6,12,2008,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124241241117131411335631295125610127097',NULL,'110',33.57,4,2,1),(16,3283054,'1989-11-02 00:00:00',2,1,12,2006,'M','N','KOBRASOL','S JOSé','SC','124202201215573431436814174124610134042',5044,'9998',58.52,1,3,NULL),(16,3283062,'1988-10-16 01:00:00',2,1,12,2005,'M','N','FAZENDA STO ANTôNIO','S JOSé','SC','124243241116135431458623345134233247113',8816,'307',50.87,1,3,NULL),(16,3283070,'1990-04-26 00:00:00',4,1,12,2007,'M','N','AGUA VERDE','CURITIBA','PR','124242161215472431469912575124610127122',283,'9998',78.24,1,3,NULL),(16,3283089,'1984-04-04 00:00:00',4,6,12,2001,'M','N','CENTRO','BAL CAMBORIú','SC','124243241212143421336629492122330268082',NULL,'44',36.48,1,3,NULL),(16,3283100,'1989-07-10 00:00:00',4,4,12,2008,'M','N','INDUSTRIAL','PINHALZINHO','SC','124241241146141741467812245122610167052',NULL,'1032',20.10,1,2,1),(16,3283119,'1971-08-03 00:00:00',2,1,12,1990,'F','N','CENTRO','FLORIANóPOLIS','SC','124201207122171711452254175114141267142',NULL,'9999',0.00,1,3,NULL),(16,3283127,'1990-04-21 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217133711346614345124233237117',8168,'270',52.08,1,3,NULL),(16,3283135,'1978-06-28 00:00:00',4,1,12,1999,'F','N','CAIEIRA SACO LIMOES','FLORIANóPOLIS','SC','124221228126131411121249145334140828147',NULL,'9998',24.38,4,2,1),(16,3283143,'1985-11-05 00:00:00',2,4,12,2003,'M','N','CENTRO','RIQUEZA','SC','124241201216112441526619572122240644097',9965,'9998',48.84,1,3,NULL),(16,3283151,'1991-12-29 00:00:00',2,1,12,2009,'F','S','FLORESTA','S JOSé','SC','124242241215112731568913575122610123147',NULL,'266',38.01,1,3,NULL),(16,3283178,'1989-02-25 00:00:00',2,1,12,2006,'M','N','GLÓRIA','JOINVILLE','SC','124241241437131431453311145134610137072',NULL,'475',31.27,1,3,NULL),(16,3283186,'1989-01-25 00:00:00',4,1,7,2007,'F','N','JARDIM CHAPADãO','CAMPINAS','SP','125252243216111432367814385124243218092',NULL,'9999',20.40,1,3,NULL),(16,3283194,'1987-08-19 00:00:00',4,1,10,2005,'M','N','JURERE','FLORIANóPOLIS','SC','124241241117373132423331145124610168197',8973,'306',50.63,1,2,1),(16,3283208,'1991-04-17 00:00:00',2,9,11,2008,'M','N','SUMARé','RIO SUL','SC','124242241215271431449933574121610164012',3547,'663',62.23,4,3,NULL),(16,3283216,'1992-08-25 00:00:00',2,1,12,2009,'M','S','CAMPINAS','S JOSé','SC','124242241215111431366733575124610132012',NULL,'737',18.99,1,3,NULL),(16,3283224,'1990-09-18 00:00:00',4,1,12,2007,'F','N','UNIVERSITáRIO','TIJUCAS','SC','124243241317132711435731495121231032062',14491,'783',40.71,1,3,NULL),(16,3283232,'1987-09-21 00:00:00',2,1,12,2007,'M','N','ARIRIU DA FORMIGA','PALHOçA','SC','124243247425311331326321242113610167047',NULL,'9999',17.88,1,3,NULL),(16,3283240,'1991-05-01 00:00:00',2,1,11,2008,'F','N','BRAçO SãO JOãO','STO AMARO IMPERATRIZ','SC','124241241144131231533335341324610121077',16656,'941',34.26,3,2,1),(16,3283267,'1988-10-17 00:00:00',2,4,12,2005,'M','N','INTERIOR','NOVA ITABERABA','SC','124241241126131731433436552224230762197',NULL,'573',25.75,1,3,NULL),(16,3283291,'1990-12-18 00:00:00',2,1,11,2009,'M','S','KOBRASOL','S JOSé','SC','124244241415141731423339395125610127042',NULL,'944',18.16,1,3,NULL),(16,3283305,'1991-08-21 00:00:00',4,1,12,2009,'M','S','ITACORUBI','FLORIANóPOLIS','SC','124242241215111431469914575122610132057',NULL,'262',0.00,1,3,NULL),(16,3283313,'1990-06-20 00:00:00',4,1,8,2008,'F','N','NOSSA SRA DO ROSáRIO','S JOSé','SC','124241241135131731327821345124610166097',16613,'739',34.70,1,3,NULL),(16,3283321,'1973-05-16 00:00:00',4,1,12,1992,'M','N','CENTRO','FLORIANóPOLIS','SC','124241247221142711533329332324322722042',NULL,'9999',0.00,2,3,NULL),(16,3283330,'1977-08-29 00:00:00',4,1,12,1994,'M','N','BELA VISTA','S JOSé','SC','624071241136153441238644241134132334043',NULL,'307',11.48,1,3,NULL),(16,3283348,'1990-09-27 00:00:00',4,1,12,2007,'M','N','SãO JOãO','ITAPEVI','SP','125252251217271451368814242112610162067',NULL,'9998',0.00,1,3,NULL),(16,3283356,'1989-12-09 00:00:00',2,1,12,2007,'M','N','IPIRANGA','S JOSé','SC','124241241116131431324439341132610167047',NULL,'545',26.19,1,2,1),(16,3283372,'1955-11-10 00:00:00',1,1,6,1975,'M','N','CACUPé','FLORIANóPOLIS','SC','224283288617152711468453415132320766185',6953,'9998',54.38,1,3,NULL),(16,3283380,'1987-02-04 00:00:00',4,1,12,2003,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124163241212273431456414445124120722047',3506,'269',62.37,1,3,NULL),(16,3283399,'1984-02-07 00:00:00',2,1,12,2001,'M','N','AREIAS','S JOSé','SC','124245241126133431239844342222122317042',15579,'111',38.37,2,1,2),(16,3283402,'1992-02-25 00:00:00',2,10,11,2008,'F','N','NOVA BRASíLIA','IMBITUBA','SC','124244241216111441548811575121610136177',NULL,'807',59.11,1,3,NULL),(16,3283410,'1963-04-05 00:00:00',2,1,12,1983,'M','N','AREIAS','S JOSé','SC','224241241146372411441242122132320236097',8538,'307',51.36,1,3,NULL),(16,3283429,'1975-05-29 00:00:00',4,1,12,1991,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124241241136145721566313445122330724187',NULL,'281',0.00,1,2,1),(16,3283437,'1982-04-08 00:00:00',4,1,12,1998,'M','N','BELA VISTA','S JOSé','SC','124241243425371431233631145122131417047',13771,'319',42.12,1,3,NULL),(16,3283445,'1987-11-29 00:00:00',4,1,12,2004,'F','N','CENTRO','TAPEJARA','RS','120203201416572431537411345122610166127',2359,'9998',65.85,4,3,NULL),(16,3283453,'1991-12-21 00:00:00',4,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241146131431333633272121610127147',NULL,'322',25.30,1,3,NULL),(16,3283461,'1981-09-17 00:00:00',2,1,12,2001,'M','N','CENTRO','VENâNCIO AIRES','RS','120201207336132711548823195325223025017',NULL,'9999',14.72,1,3,NULL),(16,3283470,'1988-09-18 00:00:00',4,1,12,2006,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241116273441526923375124220522147',15978,'740',37.29,1,2,1),(16,3283488,'1978-04-23 00:00:00',2,1,12,1997,'F','N','RATONES','FLORIANóPOLIS','SC','224241241147133411328556275112610131192',NULL,'296',0.00,1,3,NULL),(16,3283496,'1988-06-04 00:00:00',4,1,11,2005,'M','N','CENTRO','PAULO LOPES','SC','124243241217164431358941412122120722017',15670,'266',38.14,1,3,NULL),(16,3283500,'1991-02-07 00:00:00',4,1,12,2008,'F','N','VILA IPIRANGA','LONDRINA','PR','116162161216111431369933575122610127092',NULL,'9998',0.00,1,3,NULL),(16,3283518,'1980-09-19 00:00:00',2,1,12,1998,'M','N','PONTE DO IMARUIM','PALHOçA','SC','224241241126133441243343432122342922142',10231,'682',48.37,4,2,1),(16,3283534,'1988-07-15 00:00:00',2,1,12,2006,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241126472751544411345134610122187',NULL,'307',28.56,1,2,1),(16,3283542,'1984-11-04 00:00:00',4,1,12,2008,'M','N','CENTRO','BIGUAçU','SC','224241247626111431336444345122610127142',NULL,'9999',0.00,1,3,NULL),(16,3283550,'1977-03-18 00:00:00',4,1,12,1994,'M','N','KOBRASOL','S JOSé','SC','224072241216153721366643435122322368182',NULL,'270',0.00,3,3,NULL),(16,3283569,'1988-11-17 00:00:00',2,1,11,2005,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241116373411233624245122131467162',NULL,'257',0.00,1,3,NULL),(16,3283577,'1991-10-07 00:00:00',2,7,12,2008,'M','N','CENTRO','CAMPOS NOVOS','SC','124242241221111711335616575122610117142',NULL,'9997',0.00,4,3,NULL),(16,3283585,'1983-12-19 00:00:00',2,1,12,2001,'M','N','BARREIROS','S JOSé','SC','124241241112332311544611335113610167063',NULL,'307',37.08,2,3,NULL),(16,3283607,'1991-05-13 00:00:00',4,1,12,2008,'F','N','VILA MARCONDES','PRES PRUDENTE','SP','125252251215111431448933575112610167143',4300,'9998',60.24,1,3,NULL),(16,3283615,'1990-07-06 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124123241417372431416744344134610164062',10287,'1134',48.27,1,3,NULL),(16,3283631,'1983-04-03 00:00:00',4,1,11,1998,'M','N','CENTRO','S JOSé','SC','124244241315271431338811282124330214057',NULL,'728',33.66,1,3,NULL),(16,3283640,'1991-02-16 00:00:00',2,6,11,2008,'F','N','CORDEIROS','ITAJAí','SC','124241241217131741637313334121610138077',NULL,'1059',0.00,1,3,NULL),(16,3283666,'1987-03-24 00:00:00',2,1,12,2004,'F','N','STEFFEN','BRUSQUE','SC','124241241125373431224324381114610124182',15813,'111',37.74,1,2,1),(16,3283674,'1989-01-07 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124243241132373431523524385124610141042',11393,'295',46.35,1,3,NULL),(16,3283682,'1972-07-18 00:00:00',4,1,12,1992,'M','N','COQUEIROS','FLORIANóPOLIS','SC','424243241346144411123644345124122234012',NULL,'239',30.41,1,3,NULL),(16,3283690,'1988-12-10 00:00:00',2,1,12,2006,'M','N','AREIAS','S JOSé','SC','124244241417271431446724495133610127097',NULL,'734',21.11,1,3,NULL),(16,3283712,'1991-12-10 00:00:00',4,5,12,2008,'F','N','SANTA AUGUSTA','CRICIúMA','SC','124242248215111431338614345124610127073',NULL,'995',22.25,1,3,NULL),(16,3283720,'1989-03-20 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241216154431459813575123220364046',2779,'1022',64.48,1,3,NULL),(16,3283739,'1987-02-22 00:00:00',4,1,12,2004,'F','N','VILA MARIANA','S PAULO','SP','125252251215571431568823571344610132017',2849,'9998',64.23,1,3,NULL),(16,3283747,'1991-08-29 00:00:00',4,1,12,2008,'F','N','NOVO MUNDO','CURITIBA','PR','116161161117471511524623572224610126047',NULL,'9998',0.00,1,2,1),(16,3283755,'1980-06-23 00:00:00',2,1,11,1998,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241117372731346513432124333227057',12570,'271',44.23,4,1,1),(16,3283763,'1984-12-27 00:00:00',2,1,12,2003,'M','N','AREIAS','S JOSé','SC','124241241117152431433924454223610167052',10107,'330',48.60,1,2,1),(16,3283771,'1991-05-27 00:00:00',2,1,12,2008,'F','N','CENTRO','TOLEDO','PR','116161161137141711323569395324610134072',NULL,'9998',0.00,1,3,NULL),(16,3283780,'1991-01-04 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124243241216131431547923574125610116192',9278,'499',50.11,4,3,NULL),(16,3283798,'1985-08-24 00:00:00',2,1,12,2002,'F','N','CENTRO','BIGUAçU','SC','224241241117141431336654345122230227142',NULL,'65',0.00,1,3,NULL),(16,3283801,'1981-04-30 00:00:00',2,1,12,1998,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','624241241136372731323451214114610133177',15502,'307',38.54,1,2,1),(16,3283810,'1990-10-04 00:00:00',4,1,12,2007,'M','N','FLOR DE NAPOLIS','S JOSé','SC','124241241115272711423624292124610125047',NULL,'733',23.25,4,2,1),(16,3283828,'1988-10-20 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215373431246923472112131024057',5169,'226',58.19,1,3,NULL),(16,3283836,'1991-05-13 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241116131431526617575324610127147',NULL,'288',23.92,1,2,1),(16,3283844,'1966-10-25 00:00:00',2,1,12,1989,'F','N','CENTRO','FLORIANóPOLIS','SC','124144241217272411466319582114610166192',NULL,'9998',20.63,1,3,NULL),(16,3283852,'1981-08-31 00:00:00',2,1,12,1998,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','624241241147271421223451382223610166197',14566,'110',40.58,1,3,NULL),(16,3283879,'1986-02-15 00:00:00',2,1,12,2003,'F','N','CAMPINAS','S JOSé','SC','124241241137275431223641315114610163187',10658,'271',47.64,4,2,1),(16,3283887,'1989-10-24 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241126472431324567345324610166142',NULL,'641',30.85,1,2,1),(16,3283895,'1983-07-14 00:00:00',4,1,6,2003,'M','N','TAPERA','FLORIANóPOLIS','SC','124241241117133751445313442124610162027',NULL,'281',23.69,4,1,1),(16,3283909,'1988-09-02 00:00:00',2,1,6,2007,'M','N','BARREIROS','S JOSé','SC','124241247312132411533321372124132028187',NULL,'307',19.63,1,3,NULL),(16,3283917,'1991-05-04 00:00:00',4,2,12,2008,'M','N','BELA VISTA','GASPAR','SC','124243241111151431435811291124610134182',NULL,'84',0.00,1,3,NULL),(16,3283925,'1990-02-28 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124242241217272431465611592124610123157',4702,'270',59.30,1,3,NULL),(16,3283933,'1982-06-08 00:00:00',4,1,6,2001,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242247432273421228932245122132067047',6109,'9999',56.12,1,3,NULL),(16,3283941,'1990-08-16 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241347131421624844241134610134187',NULL,'922',23.26,4,3,NULL),(16,3283968,'1990-02-23 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241114372751678812574124610167093',9189,'267',50.26,1,2,1),(16,3283976,'1991-06-14 00:00:00',2,1,12,2008,'M','N','MONTE CRISTO','FLORIANóPOLIS','SC','124264241116131431516721235124610127047',NULL,'295',30.52,4,3,NULL),(16,3283984,'1989-06-05 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241247317152532436364586314610112193',NULL,'9999',0.00,1,3,NULL),(16,3283992,'1982-11-15 00:00:00',2,2,12,2006,'M','N','SALTO','BLUMENAU','SC','124241247146131411123344245131231427027',NULL,'9999',28.34,4,1,1),(16,3284018,'1990-02-15 00:00:00',2,3,10,2006,'F','N','PORTÃO','CURITIBA','PR','116221161216572431668919192124610145057',3974,'9998',61.13,4,3,NULL),(16,3284034,'1966-03-06 00:00:00',2,1,6,1999,'F','N','CORRéGO GRANDE','FLORIANóPOLIS','SC','224201207127131421523351285124143031192',NULL,'9998',21.32,1,3,NULL),(16,3284042,'1988-01-15 00:00:00',4,1,12,2005,'M','N','SACO DOS LIMOES','FLORIANOPOLIS','SC','124242241211272731468733445124131234032',10440,'260',48.03,4,3,NULL),(16,3284050,'1989-08-24 00:00:00',4,1,12,2007,'F','N','SANTA MÔNICA','FLORIANóPOLIS','SC','124242241217472431568613574124610133142',511,'262',75.66,4,1,2),(16,3284069,'1989-06-13 00:00:00',2,1,12,2006,'F','N','PINGUIRITO','GAROPABA','SC','124241241121141231334414342332610127017',NULL,'322',0.00,1,2,1),(16,3284077,'1989-06-22 00:00:00',4,1,12,2007,'F','N','SãO PEDRO','S PEDRO ALCâNTARA','SC','124241248123131231433314443314610167057',NULL,'869',21.23,1,3,NULL),(16,3284093,'1968-01-08 00:00:00',4,1,12,1988,'M','N','INGLESES','FLORIANóPOLIS','SC','224164167227132431426953311122141062047',NULL,'9999',32.23,4,3,NULL),(16,3284107,'1986-10-04 00:00:00',2,10,12,2003,'M','N','PONTA DA BARRA','LAGUNA','SC','124241241326271432436419275124610137117',6732,'524',54.81,1,3,NULL),(16,3284115,'1987-11-19 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241212514431568812372124610164091',4880,'270',58.92,1,3,NULL),(16,3284123,'1986-11-13 00:00:00',2,1,12,2003,'M','N','CENTRO','BIGUAçU','SC','124241241117143641537712115131122362075',12085,'21',45.12,1,2,1),(16,3284131,'1985-09-27 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANóPOLIS','SC','124252251217574731448614575124610147097',9550,'9998',49.62,1,3,NULL),(16,3284140,'1990-02-26 00:00:00',2,1,12,2007,'F','N','CENTRO','VENâNCIO AIRES','RS','120201201117471431435514442125610136142',NULL,'9998',26.33,1,2,1),(16,3284158,'1971-04-23 00:00:00',4,1,12,1988,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242246112135731438619442134321644182',6563,'306',55.15,1,3,NULL),(16,3284166,'1972-07-09 00:00:00',2,1,12,1990,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','624201208115141221443442326124231032182',NULL,'9998',29.50,4,2,1),(16,3284174,'1987-12-29 00:00:00',2,1,12,2005,'M','N','SANTA MONICA','FLORIANóPOLIS','SC','124131131116131431433379442234610167047',12976,'9998',43.54,1,2,1),(16,3284190,'1992-09-11 00:00:00',2,5,11,2009,'F','S','CENTRO','URUSSANGA','SC','124242241215111431448812492122610138012',NULL,'820',43.89,1,3,NULL),(16,3284204,'1991-04-25 00:00:00',2,1,12,2008,'F','N','AREIAS','S JOSé','SC','124243241115131431338533395124610118147',NULL,'257',22.45,1,3,NULL),(16,3284212,'1989-11-07 00:00:00',2,1,12,2007,'M','N','JARDIM IRAJA','RIBEIRãO PRETO','SP','125252251212471451368621112114610167087',514,'9998',75.65,1,3,NULL),(16,3284220,'1991-05-07 00:00:00',4,1,12,2008,'M','N','CENTRO','MARINGá','PR','116162251217471431588833571112610167012',7247,'9998',53.82,3,3,NULL),(16,3284239,'1990-07-24 00:00:00',2,9,12,2007,'M','N','CENTRO','LAGES','SC','124241241116272451627824395124610144057',NULL,'512',36.44,1,3,NULL),(16,3284255,'1991-08-07 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216411431468819575122610147041',11439,'270',46.29,1,3,NULL),(16,3284263,'1988-08-14 00:00:00',4,1,10,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124246247222271731333619141124610145057',NULL,'9999',23.77,1,3,NULL),(16,3284271,'1987-06-17 00:00:00',2,1,12,2005,'M','N','PRADO','BIGUAçU','SC','124241241126133431224144345124610137112',15347,'322',38.88,1,3,NULL),(16,3284280,'1983-09-23 00:00:00',2,1,12,1999,'M','N','PANTANAL','FLORIANóPOLIS','SC','124281286117131441129933315224141466067',14038,'9998',41.57,1,3,NULL),(16,3284298,'1990-03-23 00:00:00',2,1,12,2007,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241248415212731426524345124610123187',NULL,'307',27.34,1,3,NULL),(16,3284301,'1988-04-29 00:00:00',4,3,12,2005,'M','N','ZONA SETE','MARINGá','PR','116163161215571431348823472122610167051',NULL,'9998',0.00,1,3,NULL),(16,3284310,'1971-12-17 00:00:00',2,4,11,2008,'M','N','ESPLANADA','CHAPECó','SC','124201247144131431223449192344610166197',5633,'9999',57.19,1,2,1),(16,3284328,'1976-03-04 00:00:00',2,1,12,1994,'F','N','PâNTANO DO SUL','FLORIANóPOLIS','SC','224281285117471431328651475324143221092',NULL,'9998',36.12,1,2,1),(16,3284344,'1990-01-21 00:00:00',4,5,12,2007,'F','N','PINHEIRINHO','CRICIúMA','SC','124161161217471431288831595112610158072',15409,'9998',38.75,1,3,NULL),(16,3284352,'1991-12-18 00:00:00',4,1,12,2008,'F','N','RIVERA','JAGUARI','RS','120201201117131441226613572321610147147',5296,'9998',57.88,1,3,NULL),(16,3284360,'1984-12-12 00:00:00',2,4,12,2001,'F','N','CENTRO','XANXERê','SC','124242241236575451563632341122130624093',1504,'836',69.35,1,3,NULL),(16,3284379,'1985-03-01 00:00:00',4,1,12,2002,'F','N','TREMEMBé','S PAULO','SP','125253251116471711658411211124140623182',7662,'9998',53.03,1,3,NULL),(16,3284387,'1958-09-02 00:00:00',2,1,12,1979,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','224241257137134441433371112124610161032',NULL,'257',20.48,1,2,1),(16,3284409,'1989-01-10 00:00:00',4,6,12,2006,'F','N','JD INDUSTRIAS','S JOSé CAMPOS','SP','125251251215573531436614575122610164147',437,'9998',76.42,1,3,NULL),(16,3284417,'1989-12-15 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241112371431556623435124610118042',12665,'257',44.06,1,3,NULL),(16,3284433,'1989-03-20 00:00:00',2,10,12,2006,'F','N','MATA VERDE','STA ROSA LIMA','SC','124241241122161431533312132124232364057',NULL,'688',0.00,1,2,1),(16,3284441,'1979-06-17 00:00:00',4,1,12,1997,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241217372421446934441132521566017',NULL,'806',0.00,1,3,NULL),(16,3284450,'1988-10-24 00:00:00',2,1,12,2005,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241111275751567823285124221267042',11435,'307',46.29,1,2,1),(16,3284468,'1986-07-17 00:00:00',4,1,11,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241112273421427524245124610122077',14540,'307',40.62,2,1,1),(16,3284476,'1991-07-09 00:00:00',4,1,12,2008,'F','N','CENTRO','LGA TRêS CANTOS','RS','120201208117371531423619572324610167077',NULL,'9998',0.00,1,3,NULL),(16,3284492,'1982-05-09 00:00:00',2,1,12,1999,'F','N','SERRARIA','S JOSé','SC','224241241146131441535154145334610145187',NULL,'728',0.00,4,1,1),(16,3284506,'1991-03-06 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241116131431336624395124610142197',NULL,'307',26.36,1,3,NULL),(16,3284514,'1986-01-20 00:00:00',2,1,7,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241247247131431244623385113610167042',NULL,'300',16.06,1,3,NULL),(16,3284522,'1986-04-19 00:00:00',4,1,11,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','124252251215372731127644345334133227097',9265,'9998',50.13,1,3,NULL),(16,3284530,'1990-09-06 00:00:00',2,1,11,2007,'M','N','PINTO BANDEIRAS','HERVAL','RS','120241242116161431435516275122130727045',NULL,'416',18.89,1,2,1),(16,3284549,'1988-08-31 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242247237141731437739391124613237057',NULL,'9997',22.00,1,3,NULL),(16,3284557,'1991-05-22 00:00:00',4,1,11,2008,'M','N','SETOR BUENO','GOIâNIA','GO','109102091217111431568614572324610162182',1758,'9998',68.17,1,3,NULL),(16,3284565,'1989-09-30 00:00:00',4,1,6,2007,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124071071127172111449912315124610118042',7885,'9999',52.63,1,3,NULL),(16,3284573,'1968-11-16 00:00:00',2,1,12,1995,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124161161122232421129313242124142216193',11854,'9998',45.55,1,3,NULL),(16,3284581,'1989-08-10 00:00:00',2,1,12,2007,'F','N','COSTEIRA','FLORIANOPOLIS','SC','624131248127131531223359382124610124197',NULL,'294',25.79,3,2,1),(16,3284590,'1990-04-27 00:00:00',4,6,12,2007,'M','N','BOA VISTA','STA BáRBARA D OESTE','SP','125251251216372431246833575112143247121',8033,'9998',52.36,1,3,NULL),(16,3284603,'1990-02-22 00:00:00',4,1,12,2008,'M','N','CAMINHO NOVO','PALHOçA','SC','124241241225131421623374341124610127147',16157,'262',36.76,2,3,NULL),(16,3284611,'1989-10-24 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124241247116131751637832495334610117111',13081,'9999',43.35,1,2,1),(16,3284620,'1989-08-16 00:00:00',4,1,11,2008,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241215131431328427276324610132147',NULL,'9999',25.74,1,3,NULL),(16,3284638,'1987-01-18 00:00:00',5,1,12,2004,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241137131421436615242124610164017',16334,'719',36.26,4,1,1),(16,3284646,'1991-08-20 00:00:00',2,1,12,2008,'F','N','VILA NOVA','IMBITUBA','SC','124241241215131431436613575122610118142',NULL,'362',31.63,4,3,NULL),(16,3284654,'1956-09-28 00:00:00',2,1,12,1998,'F','N','ESTREITO','FLORIANóPOLIS','SC','424166167614133441128649494324341666192',NULL,'9999',0.00,1,3,NULL),(16,3284662,'1968-10-10 00:00:00',2,1,12,2002,'M','N','KOBRASOL','S JOSé','SC','624051247317131421422249292224131217087',NULL,'964',42.65,2,1,2),(16,3284670,'1965-07-15 00:00:00',2,1,12,1983,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124054051411131411165641222122441112093',NULL,'9998',0.00,1,3,NULL),(16,3284689,'1988-07-28 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124162161236472431428631295124121934172',3026,'9998',63.71,1,3,NULL),(16,3284697,'1978-07-12 00:00:00',2,1,12,1997,'M','N','ESTREITO','FLORIANóPOLIS','SC','124131138127131421233351485124143264013',NULL,'9998',24.01,1,2,1),(16,3284700,'1988-11-25 00:00:00',4,1,6,2008,'F','N','SERRARIA','S JOSé','SC','124241241342151431426611385324610165147',NULL,'257',24.54,1,3,NULL),(16,3284719,'1991-12-29 00:00:00',4,1,12,2007,'F','N','HUMAITá','TUBARãO','SC','124242241215471731469933575122610117057',NULL,'806',0.00,1,3,NULL),(16,3284727,'1961-03-08 00:00:00',2,3,12,1978,'M','N','ALTO','CURITIBA','PR','216161161126161441256544345122341766053',NULL,'9998',0.00,4,3,NULL),(16,3284735,'1976-12-15 00:00:00',2,1,8,1995,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','624202201336131731224444242312140262022',NULL,'9999',28.53,1,3,NULL),(16,3284743,'1992-01-24 00:00:00',4,7,12,2009,'M','S','PORTAL DAS VIDEIRAS','VIDEIRA','SC','124242246214151331468812286112610134072',NULL,'1080',35.08,1,3,NULL),(16,3284778,'1991-10-21 00:00:00',4,5,12,2008,'F','N','LAGOAO','ARARANGUá','SC','124241241115131431226514295124610117057',NULL,'30',22.00,1,2,1),(16,3284786,'1990-02-23 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241216272431467713575124610137117',NULL,'262',41.73,1,3,NULL),(16,3284794,'1984-12-11 00:00:00',2,1,12,2002,'M','N','JOSE MENDES','FLORIANóPOLIS','SC','124241241141133431124444341324131444043',14997,'286',39.66,1,2,1),(16,3284816,'1988-05-11 00:00:00',2,1,12,2006,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241416154231426613442112233227087',NULL,'270',10.12,1,3,NULL),(16,3284824,'1989-07-03 00:00:00',4,1,12,2006,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241216152431567934572111610167013',14811,'1118',40.04,1,3,NULL),(16,3284832,'1989-07-26 00:00:00',4,1,12,2007,'M','N','LAGO SUL','LG SUL','DF','107072071216512431568831595122610116182',6264,'9998',55.76,1,3,NULL),(16,3284840,'1987-03-09 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215372431468932341132131022042',14674,'266',40.34,1,3,NULL),(16,3284859,'1985-06-11 00:00:00',2,1,11,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241121471321435424342234610137087',14592,'277',40.52,2,1,1),(16,3284867,'1978-01-25 00:00:00',4,2,12,1996,'M','N','VELHA','BLUMENAU','SC','124253251336142451137833392132341516197',NULL,'9998',25.72,1,3,NULL),(16,3284875,'1992-02-14 00:00:00',4,1,12,2009,'M','S','ALTO DE IPIRANGA','MOGI CRUZES','SP','125252251215111431456824572114610117052',NULL,'9998',0.00,3,3,NULL),(16,3284883,'1986-05-29 00:00:00',2,1,12,2003,'M','N','ESTREITO','FLORIANóPOLIS','SC','124243241112375431545632475114610161052',5313,'307',57.85,4,3,NULL),(16,3284891,'1992-06-02 00:00:00',4,1,11,2009,'M','S','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241227111432423311245124610114147',NULL,'262',38.69,1,3,NULL),(16,3284905,'1990-11-04 00:00:00',4,1,11,2007,'M','N','BOQUEIRãO','PASSO FUNDO','RS','120274271217472431657711571124610142142',3867,'9998',61.42,1,3,NULL),(16,3284913,'1990-05-18 00:00:00',4,1,11,2007,'F','N','KOBRASOL','S JOSé','SC','124244241216152451456611591115130226182',821,'723',73.26,1,3,NULL),(16,3284930,'1985-11-23 00:00:00',2,1,12,2004,'M','N','ROçADO','S JOSé','SC','124241241132131731323534242122133267012',16693,'449',33.35,4,3,NULL),(16,3284948,'1990-05-21 00:00:00',2,1,12,2007,'F','N','PONTA DE BAIXO','S JOSé','SC','124241241141141731436339245124610124097',NULL,'592',15.72,1,3,NULL),(16,3284956,'1983-07-26 00:00:00',2,1,12,2000,'M','N','BARREIROS','S JOSé','SC','124241241126272711544923292124331924147',7064,'95',54.17,1,2,1),(16,3284972,'1976-12-24 00:00:00',4,1,12,1995,'M','N','ABRAAO','FLORIANóPOLIS','SC','224243247322134731438854242324330917047',13370,'270',42.85,1,3,NULL),(16,3284999,'1990-11-22 00:00:00',4,1,11,2007,'F','N','KOBRASOL','S JOSé','SC','124241241217272431358823575124133216117',2548,'723',65.18,1,3,NULL),(16,3285006,'1989-08-17 00:00:00',4,1,12,2007,'M','N','AGRôNOMICA','FLORIANóPOLIS','SC','124242241347152421346624241224610167091',NULL,'1022',0.00,1,3,NULL),(16,3285022,'1984-10-11 00:00:00',4,1,12,2004,'M','N','ITAPUAN','SALVADOR','BA','105051051111111111111111111111110111011',NULL,'9998',0.00,1,3,NULL),(16,3285030,'1983-07-13 00:00:00',2,1,12,2001,'F','N','BARREIROS','S JOSé','SC','124243247227171721354419345134610142047',NULL,'9999',35.22,1,3,NULL),(16,3285049,'1966-11-20 00:00:00',2,1,11,2007,'M','N','BELA VISTA','S JOSé','SC','624246248647142431444342221122231018047',NULL,'9997',24.82,2,3,NULL),(16,3285057,'1988-06-26 00:00:00',2,3,12,2005,'F','N','CENTRO','BAL CAMBORIú','SC','124243241112132431336611445232130431157',11215,'49',46.62,1,3,NULL),(16,3285065,'1989-04-17 00:00:00',4,1,12,2007,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124242241116132431358513495124610114117',13168,'306',43.20,1,3,NULL),(16,3285073,'1985-09-15 00:00:00',2,4,12,2003,'F','N','PARQUE IMPERATRIZ','FOZ IGUAçU','PR','116241201114171431531361315124142736042',NULL,'9998',0.00,1,3,NULL),(16,3285081,'1990-11-04 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241212112441449833575124231037042',13801,'1022',42.05,1,3,NULL),(16,3285090,'1991-06-17 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215111431468919575122610137052',NULL,'226',24.01,1,3,NULL),(16,3285111,'1986-10-22 00:00:00',4,1,12,2004,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241115372311348563272124231254037',8608,'271',51.23,1,2,1),(16,3285120,'1974-06-30 00:00:00',2,1,7,1993,'F','N','ESTREITO','FLORIANóPOLIS','SC','224241248425375441333351172124121461197',2126,'9999',66.67,1,3,NULL),(16,3285138,'1990-08-03 00:00:00',4,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124203201111271412235823575114610167047',NULL,'9998',34.91,1,3,NULL),(16,3285146,'1990-09-25 00:00:00',2,1,12,2007,'F','N','JARDIM ELDORADO','PALHOçA','SC','124242251215372531336714572114232762197',9853,'1011',49.06,1,3,NULL),(16,3285154,'1988-09-08 00:00:00',2,1,12,2006,'M','N','CARIANOS','FLORIANóPOLIS','SC','124242247337142431446831345112610147042',13717,'9999',42.23,1,3,NULL),(16,3285170,'1991-06-21 00:00:00',4,4,12,2008,'F','N','BAIXADA PIONEIRA','PINHALZINHO','SC','124241241116151431439933335122610128053',NULL,'616',32.51,1,2,1),(16,3285189,'1988-12-16 00:00:00',2,1,12,2006,'M','N','JARDIM BIGUAçU','BIGUAçU','SC','124241241117142432533311495124230727047',14474,'65',40.73,1,2,1),(16,3285200,'1990-03-29 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241117232431436419395114610124047',NULL,'257',22.58,1,3,NULL),(16,3285219,'1989-09-27 00:00:00',4,1,12,2006,'M','N','BARRA DO RIO','ITAJAí','SC','124242241215573431547624274111120734142',1332,'388',70.22,1,3,NULL),(16,3285227,'1975-05-06 00:00:00',2,1,12,1996,'M','N','CAMPINAS','S JOSé','SC','224246247626145751225579125122220862047',NULL,'9999',8.48,1,3,NULL),(16,3285235,'1980-01-23 00:00:00',4,1,12,1996,'M','N','GARCIA','BLUMENAU','SC','124242241216474431368811415122121466092',3212,'70',63.26,1,3,NULL),(16,3285243,'1991-12-11 00:00:00',2,9,12,2008,'M','N','CENTRO','S CRISTóVãO SUL','SC','124241244114271531421729575124610167057',NULL,'239',33.73,1,2,1),(16,3285251,'1976-02-07 00:00:00',4,1,12,1994,'M','N','CENTRO','FLORIANóPOLIS','SC','124162168212472621136949495124222965092',NULL,'9998',41.22,1,3,NULL),(16,3285260,'1989-12-22 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217132411366633475124133263077',16655,'1022',34.27,1,3,NULL),(16,3285278,'1970-06-21 00:00:00',2,3,12,1988,'M','N','VILA NOVA','PALHOçA','SC','124241246114153431133642122221121147092',NULL,'306',31.57,1,3,NULL),(16,3285286,'1988-12-23 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124112118212372451426614342124610167093',NULL,'9998',31.53,1,3,NULL),(16,3285324,'1988-05-07 00:00:00',4,2,12,2006,'F','N','CENTRO','BLUMENAU','SC','124242241216573431388312171122230222145',6316,'855',55.65,1,3,NULL),(16,3285340,'1990-09-28 00:00:00',2,2,12,2007,'F','N','VICTOR KONDER','TAIó','SC','124241241117471731444611575111610127147',NULL,'777',0.00,1,2,1),(16,3285367,'1991-01-24 00:00:00',2,1,11,2008,'F','N','GLóRIA','IJUí','RS','120203201217371431423424442324610123047',6526,'9998',55.22,1,3,NULL),(16,3285383,'1990-08-16 00:00:00',4,4,12,2007,'M','N','EFAPI','CHAPECó','SC','124241241127131431523316395112230364057',NULL,'780',0.00,1,2,1),(16,3285391,'1989-07-29 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124014011215571431367823575114610162177',15067,'9998',39.50,5,3,NULL),(16,3285405,'1980-03-13 00:00:00',2,1,12,1999,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124141141436131451233644242234333224092',16591,'9998',34.93,4,1,2),(16,3285413,'1989-11-12 00:00:00',2,1,12,2008,'M','N','RIO GRANDE','PALHOçA','SC','124241241115131131426634572224610132017',16400,'592',35.94,1,3,NULL),(16,3285421,'1993-07-07 00:00:00',4,5,12,2007,'F','N','CRUZEIRO DO SUL','CRICIúMA','SC','124242241212111431358713592125610114017',15912,'213',37.46,1,3,NULL),(16,3285430,'1984-04-17 00:00:00',2,1,12,2001,'F','N','COQUEIROS','FLORIANóPOLIS','SC','224203201212151721233659392124342348197',NULL,'9998',24.13,1,3,NULL),(16,3285448,'1985-03-04 00:00:00',4,1,12,2002,'F','N','JOSE MENDES','FLORIANóPOLIS','SC','124251251117271441223348382324610122017',6267,'9998',55.75,4,2,1),(16,3285464,'1987-10-13 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANóPOLIS','SC','124243241127131331333379292225610122017',NULL,'111',29.85,1,3,NULL),(16,3285472,'1987-12-21 00:00:00',2,1,12,2005,'F','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124243241115575751436923472124610126197',5058,'298',58.49,1,3,NULL),(16,3285480,'1988-11-05 00:00:00',2,1,12,2006,'F','N','ELDORADO UM','PIRACICABA','SP','125251251116571431424614575124610134142',NULL,'9998',24.62,1,2,1),(16,3285499,'1990-07-12 00:00:00',4,1,12,2008,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124241241112131752322831295114610127047',NULL,'307',17.12,2,1,1),(16,3285502,'1971-10-22 00:00:00',2,1,7,1990,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','624203205316142411324941311232142724187',NULL,'9998',13.33,1,3,NULL),(16,3285510,'1992-09-24 00:00:00',4,1,12,2009,'M','S','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215121431268923574124610114042',NULL,'270',30.44,1,3,NULL),(16,3285529,'1983-10-17 00:00:00',4,6,12,2001,'M','N','VILA CASCATINHA','S VICENTE','SP','125256256117131421457614485124243237157',NULL,'9998',0.00,1,3,NULL),(16,3285537,'1991-06-29 00:00:00',4,1,12,2008,'M','N','COLôNIA SANTANA','S JOSé','SC','124242241115131431433434575124610128147',NULL,'733',23.56,1,3,NULL),(16,3285545,'1973-04-28 00:00:00',5,7,9,2000,'M','N','ALVORADA','VIDEIRA','SC','124241247146131731522245185122231017047',NULL,'391',0.00,1,2,1),(16,3285553,'1986-02-10 00:00:00',2,9,12,2003,'M','N','CORAL','LAGES','SC','124241242135371731534435195124610117092',NULL,'836',31.35,1,3,NULL),(16,3285561,'1964-11-11 00:00:00',4,3,12,1981,'F','N','BOA ESPERANçA','PINHAIS','PR','516163161346161421247644345122342343012',NULL,'9998',0.00,1,3,NULL),(16,3285570,'1984-12-07 00:00:00',4,1,12,2003,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124201201437331711234449291314140637111',NULL,'9998',22.49,1,3,NULL),(16,3285588,'1986-02-28 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241217273421327837392114121431147',12305,'270',44.72,1,3,NULL),(16,3285596,'1991-03-14 00:00:00',2,1,11,2008,'F','N','JARDIM JANAINA','BIGUAçU','SC','124242241216151431633431375124610127142',NULL,'1040',24.06,1,3,NULL),(16,3285600,'1989-02-04 00:00:00',4,2,12,2006,'M','N','JD MONTE CARLO','MARINGá','PR','116162161215271431346531315124141418182',7831,'9998',52.72,1,3,NULL),(16,3285618,'1991-03-25 00:00:00',4,1,12,2008,'M','N','ALTO DA PONTE','S JOSé CAMPOS','SP','125254251216271221447614572122610167142',NULL,'9998',0.00,1,3,NULL),(16,3285626,'1988-12-27 00:00:00',4,1,12,2006,'M','N','PRQ RES AQUARIUS','S JOSé CAMPOS','SP','125252251216473411468712575122610167052',2307,'9998',66.03,1,3,NULL),(16,3285634,'1987-03-09 00:00:00',2,1,12,2004,'F','N','PANTANAL','FLORIANóPOLIS','SC','124243241417135431538714394124233225027',6868,'956',54.54,1,3,NULL),(16,3285650,'1991-05-21 00:00:00',4,4,12,2008,'F','N','CENTRO','CHAPECó','SC','124201241116471431448819576125610144047',6790,'182',54.67,1,2,1),(16,3285669,'1986-02-08 00:00:00',4,1,12,2004,'M','N','CAIEIRA SACO LIMõES','FLORIANóPOLIS','SC','124241241136132441543319245123233227117',NULL,'289',21.51,2,2,1),(16,3285677,'1963-12-24 00:00:00',2,3,12,1983,'M','N','IATE CLUBE','BAL CAMBORIú','SC','624242243221131512328379195113231064172',NULL,'72',38.06,4,3,NULL),(16,3285685,'1990-11-08 00:00:00',4,1,12,2008,'M','N','SAO JOAQUIM','FRANCA','SP','125254251217111431346413572122610125182',NULL,'9998',0.00,1,3,NULL),(16,3285693,'1988-01-10 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241117111431338844345124131032097',NULL,'935',22.56,1,2,1),(16,3285707,'1984-01-20 00:00:00',2,1,12,2003,'M','N','BOMBAS','BOMBINHAS','SC','124241241117131431426314282224610114172',12409,'96',44.53,1,2,1),(16,3285723,'1991-06-26 00:00:00',2,9,11,2008,'F','N','MARTORANO','S JOAQUIM','SC','124243241216131431526515475122610133057',NULL,'1035',26.10,4,3,NULL),(16,3285731,'1980-06-23 00:00:00',4,1,12,2000,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124204207226131431116648382314140634157',12905,'9998',43.66,1,3,NULL),(16,3285740,'1986-08-31 00:00:00',4,8,11,2004,'M','N','ZONA IND NORTE','JOINVILLE','SC','124162241215575431589814475124231424097',4227,'446',60.43,1,3,NULL),(16,3285758,'1990-03-22 00:00:00',4,1,12,2008,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124161241125131431126944247224610127042',NULL,'293',0.00,4,2,1),(16,3285766,'1971-09-13 00:00:00',2,1,12,1991,'M','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','224243241346134411134343135122121122142',13488,'261',42.64,1,3,NULL),(16,3285774,'1985-05-08 00:00:00',2,8,5,2006,'M','N','CENTRO','GARUVA','SC','124241241126131431121115135124233262142',NULL,'923',34.31,2,1,1),(16,3285782,'1961-12-10 00:00:00',4,1,11,1985,'F','N','SACO DOS LIMÕES','FLORIANOPOLIS','SC','124243243225134421642379142334610126022',NULL,'303',26.06,2,1,2),(16,3285804,'1977-03-30 00:00:00',2,1,6,1995,'M','N','CAMPECHE','FLORIANóPOLIS','SC','624213216137154721356843432222122368117',1790,'9998',68.04,4,3,NULL),(16,3285812,'1987-12-21 00:00:00',4,1,12,2005,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241216272431356933442124131034142',15428,'1022',38.70,1,3,NULL),(16,3285820,'1989-04-07 00:00:00',2,1,12,2006,'F','N','SAO SEBASTIAO','PALHOçA','SC','124241241147131431535314245114610164117',NULL,'591',24.18,4,2,1),(16,3285839,'1991-05-27 00:00:00',2,5,12,2008,'F','N','JARDIM ATLâNTICO','BAL ARROIO SILVA','SC','124242241216111431336821575124610162092',6932,'32',54.44,1,3,NULL),(16,3285855,'1992-08-26 00:00:00',4,1,12,2008,'M','N','BALNEáRIO','FLORIANóPOLIS','SC','124162241214111152448819472122610127015',8740,'1134',51.01,1,3,NULL),(16,3285871,'1989-11-23 00:00:00',2,1,12,2007,'F','N','JARDIM CARANDAí','BIGUAçU','SC','124241241111472431323644241334610125147',NULL,'257',27.24,1,2,1),(16,3285898,'1991-02-18 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241215111231339611575124610117017',NULL,'497',26.54,1,3,NULL),(16,3285901,'1975-08-21 00:00:00',2,1,12,1993,'F','N','ITAGUAçU','FLORIANóPOLIS','SC','124241241115474451238513482324322766187',5052,'293',58.50,1,2,1),(16,3285910,'1989-09-22 00:00:00',3,1,12,2006,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241112271431527673572124610116197',NULL,'295',0.00,2,1,1),(16,3285928,'1990-07-05 00:00:00',2,1,12,2007,'F','N','AREIAS','TIJUCAS','SC','124241241125272431426634445121610156112',NULL,'783',19.62,4,2,1),(16,3285936,'1990-07-12 00:00:00',2,1,12,2007,'F','N','CENTRO','S JOãO BATISTA','SC','124241241116272431636923385122610131147',NULL,'712',29.29,1,2,1),(16,3285952,'1989-09-27 00:00:00',2,1,12,2006,'M','N','JARDIM ELDORADO','PALHOçA','SC','124241241142371412534514282114610134197',14828,'1009',40.02,1,3,NULL),(16,3285960,'1991-02-19 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124243241417151431338324275124610111197',NULL,'727',24.38,1,3,NULL),(16,3285979,'1991-01-08 00:00:00',4,8,12,2008,'M','N','CENTRO','BROTAS MACAúBAS','BA','116161161215471531438933574122610117072',NULL,'9998',38.93,1,3,NULL),(16,3285987,'1988-07-22 00:00:00',2,1,12,2005,'F','N','JARDIM MANAUS','FOZ IGUAçU','PR','116163161117151411326364345124240762142',NULL,'9998',0.00,1,3,NULL),(16,3285995,'1989-10-15 01:00:00',4,1,12,2006,'M','N','CENTRO','QUEDAS IGUAçU','PR','116161168116471431346614575123610124052',NULL,'9998',0.00,1,2,1),(16,3286002,'1988-11-11 00:00:00',4,7,12,2005,'M','N','CENTRO','CONCóRDIA','SC','624242241215144712458714495115231067047',NULL,'1000',0.00,1,3,NULL),(16,3286010,'1989-12-19 00:00:00',2,1,12,2006,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241248117271251456513472124610116041',11250,'288',46.56,1,2,1),(16,3286029,'1984-08-05 00:00:00',4,1,12,2006,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124051055112171431323338442314610116047',NULL,'9998',21.30,2,1,1),(16,3286045,'1987-08-27 00:00:00',2,1,12,2004,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241122574411353611175114610167117',6963,'639',54.37,1,2,1),(16,3286053,'1989-11-30 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244241212272411346861575124610168015',NULL,'1075',36.73,1,3,NULL),(16,3286061,'1989-10-13 00:00:00',2,1,12,2006,'M','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124161168216131411436619195124610112051',NULL,'9998',26.75,1,3,NULL),(16,3286070,'1987-04-30 00:00:00',2,1,11,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215574751669913572112222967147',10969,'721',47.08,1,3,NULL),(16,3286088,'1981-07-11 00:00:00',2,8,12,1999,'M','N','CAMPO DO GADO','RIO NEGRO','PR','124163162117271431236443331232131924092',8244,'9998',51.88,1,3,NULL),(16,3286096,'1987-05-13 00:00:00',2,5,12,2004,'F','N','CENTRO','TRêS CACHOEIRAS','RS','120201201116271431323623182111141316047',9360,'9998',49.96,4,1,1),(16,3286100,'1984-11-21 00:00:00',2,1,12,2001,'M','N','INGLESES','FLORIANóPOLIS','SC','124244241123135431533314182114610137061',NULL,'307',0.00,1,3,NULL),(16,3286126,'1991-04-10 00:00:00',4,1,12,2008,'M','N','AREIAS DE MACACU','GAROPABA','SC','124241241122131431425311472224610167042',10429,'322',48.04,1,2,1),(16,3286134,'1991-02-13 00:00:00',4,2,12,2008,'F','N','CENTRO','POMERODE','SC','124242241215111711458734572122610146142',91,'624',81.11,1,3,NULL),(16,3286150,'1991-05-16 00:00:00',2,1,12,2008,'M','N','IBIRAQUERA','IMBITUBA','SC','124241241137161431224324292324610137042',NULL,'361',0.00,1,3,NULL),(16,3286169,'1988-09-13 00:00:00',4,8,12,2006,'M','N','FLORESTA','JOINVILLE','SC','124241246216471411465923445123610162042',NULL,'494',24.93,1,3,NULL),(16,3286177,'1982-11-27 00:00:00',4,1,12,2000,'M','N','CENTRO','PALHOçA','SC','124242241217132721369713335132323268122',6101,'269',56.13,1,3,NULL),(16,3286185,'1991-08-27 00:00:00',4,4,12,2008,'F','N','CENTRO','GUARACIABA','SC','124241241137131432323639572225610136147',NULL,'334',23.64,1,3,NULL),(16,3286193,'1989-05-05 00:00:00',2,9,4,2007,'M','N','SANTO ÂNTONIO','ITUPORANGA','SC','124241242116373411336422345124610117052',NULL,'662',40.87,1,2,1),(16,3286207,'1989-08-05 00:00:00',2,1,2,2007,'F','N','AREAL','PELOTAS','RS','120201201117371421425624342124610122077',NULL,'9998',26.10,2,1,1),(16,3286215,'1991-11-16 00:00:00',4,3,12,2008,'F','N','CENTRO','CAMBORIú','SC','124241241117171731539313315122610128197',NULL,'130',21.60,1,3,NULL),(16,3286223,'1990-06-04 00:00:00',4,1,10,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215111431378634395112610164122',NULL,'1050',27.10,1,3,NULL),(16,3286231,'1991-07-07 00:00:00',4,3,12,2008,'F','N','IATE CLUBE','BAL CAMBORIú','SC','124241242115131731426614291125610163077',NULL,'129',25.44,1,3,NULL),(16,3286240,'1982-01-21 00:00:00',4,10,12,1999,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124162161213152731179613485224320638045',3848,'9998',61.46,4,3,NULL),(16,3286258,'1987-06-07 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241416152431437812345124230237147',5710,'1036',57.04,1,3,NULL),(16,3286274,'1976-11-18 00:00:00',4,1,7,1995,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124203207337132721124344345123140766117',12896,'9999',43.67,1,3,NULL),(16,3286282,'1975-02-24 00:00:00',2,1,12,1994,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124203203116234431123344345134140861113',NULL,'9998',27.86,1,3,NULL),(16,3286290,'1987-12-02 00:00:00',4,1,12,2004,'M','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','124201241417575431256621472112231164042',NULL,'270',12.82,1,3,NULL),(16,3286304,'1989-07-04 00:00:00',2,2,12,2008,'F','N','OFICINAS','PNT GROSSA','PR','116161167136131731433524572114610124017',NULL,'9999',0.00,2,1,1),(16,3286320,'1981-09-02 00:00:00',4,2,11,1998,'M','N','CENTRO','CORUPá','SC','124241241136131431423322281324143066187',NULL,'203',0.00,1,3,NULL),(16,3286347,'1990-05-26 00:00:00',4,1,12,2007,'M','N','JORDANESIA','JORDANéSIA','SP','125251253115471411436473345224610126082',10829,'9998',47.31,4,1,1),(16,3286355,'1991-09-25 00:00:00',4,8,12,2008,'F','N','SÃO BRAS','CURITIBA','PR','116162161215471431389814574122610168092',4444,'9998',59.90,1,3,NULL),(16,3286363,'1975-10-04 00:00:00',2,8,12,1993,'M','N','VILA SAO PEDRO','IRATI','PR','116161163126271431134443335122341932052',NULL,'9998',0.00,1,2,1),(16,3286371,'1990-01-13 00:00:00',4,1,12,2007,'F','N','JARDINS FLORENçA','GOIâNIA','GO','109092091215471751468814575122610168097',378,'9998',77.07,4,3,NULL),(16,3286380,'1987-08-19 00:00:00',4,4,12,2004,'M','N','BRASíLIA','PATO BRANCO','PR','116162161215372441487821575112141444196',NULL,'9998',0.00,1,3,NULL),(16,3286398,'1965-11-18 00:00:00',2,1,12,1984,'F','N','CENTRO','TIJUCAS','SC','524243245412132431423329412224610154077',NULL,'307',21.94,2,1,2),(16,3286410,'1980-09-21 00:00:00',2,1,12,1999,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241132151732334611212122130217045',NULL,'281',28.63,1,2,1),(16,3286428,'1990-05-31 00:00:00',4,1,12,2007,'M','N','BALNEáRIO','FLORIANóPOLIS','SC','124242241217272431569933375124230227112',10467,'1022',47.97,1,3,NULL),(16,3286436,'1990-05-01 00:00:00',2,4,12,2007,'F','N','CAMOBI','STA MARIA','RS','120201201117371421335913435224610116142',13827,'9997',42.00,1,2,1),(16,3286444,'1990-05-26 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116241161215472431334734571122610164117',1988,'9997',67.23,1,3,NULL),(16,3286452,'1989-07-31 00:00:00',4,1,12,2006,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241216575411458613595124231266183',12107,'270',45.09,1,3,NULL),(16,3286460,'1990-05-22 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244241212372432326824575124610162017',14508,'1075',40.67,1,3,NULL),(16,3286479,'1990-06-06 00:00:00',4,1,12,2007,'F','N','JARDIM OSVALDO CRUZ','S JOSé CAMPOS','SP','125214251216371431479814445122610145152',NULL,'9998',0.00,1,3,NULL),(16,3286487,'1981-04-10 00:00:00',2,1,6,2000,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241247116272631254774392124332726142',NULL,'9999',0.00,4,3,NULL),(16,3286495,'1958-02-10 00:00:00',2,4,7,1977,'F','N','CENTRO','RIQUEZA','SC','124241201127151411133343432344610141091',NULL,'9998',20.81,1,3,NULL),(16,3286517,'1990-05-14 00:00:00',3,1,6,2008,'F','N','SÃO JOSÉ','SAO CAETANO DO SUL','SP','125253283117371531367823571122610127092',NULL,'9998',0.00,1,3,NULL),(16,3286541,'1990-06-26 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSé','SC','124242241217372731568613572124120727172',587,'723',75.02,1,3,NULL),(16,3286550,'1990-11-25 00:00:00',2,5,11,2008,'F','N','CENTRO','URUSSANGA','SC','124242241217111131443611472112610138114',NULL,'820',0.00,1,3,NULL),(16,3286568,'1987-07-10 00:00:00',4,1,12,2004,'M','N','MACEDO','GUARULHOS','SP','125252251211571411368821591224142427042',NULL,'9998',0.00,1,3,NULL),(16,3286576,'1986-02-09 00:00:00',4,1,12,2003,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241216152431448914375114221462185',9108,'270',50.40,1,3,NULL),(16,3286584,'1973-02-08 00:00:00',4,6,12,1993,'M','N','CENTRO','ITAJAI','SC','124245247521131711131149191334131014051',NULL,'388',NULL,2,1,2),(16,3286592,'1986-11-23 00:00:00',2,2,12,2008,'F','N','VELHA','BLUMENAU','SC','124244247217271431346624195212610127077',13745,'67',42.17,1,3,NULL),(16,3286606,'1986-05-27 00:00:00',2,1,12,2003,'F','N','BARREIROS','S JOSé','SC','124243241117134431246523395124232028147',13012,'307',43.47,1,3,NULL),(16,3286614,'1990-08-13 00:00:00',4,2,12,2007,'F','N','VELHA CENTRAL','BLUMENAU','SC','124241241117211431623331116124610114077',NULL,'96',28.59,1,2,1),(16,3286622,'1966-12-19 00:00:00',2,1,7,1986,'M','N','PANTANAL','FLORIANóPOLIS','SC','224201208111131431364444442132610117067',NULL,'9998',25.00,1,2,1),(16,3286630,'1990-10-13 00:00:00',2,6,11,2007,'M','N','JARDIM DAS AMéRICAS','ANáPOLIS','GO','109092091236471411458914295124610124052',1222,'9998',70.80,1,3,NULL),(16,3286649,'1990-03-29 00:00:00',4,1,11,2006,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241216373731557833395124230262197',4929,'270',58.80,1,3,NULL),(16,3286657,'1959-10-05 00:00:00',2,1,12,1977,'M','N','CENTRO','FLORIANóPOLIS','SC','224241241116235111464443335122431067053',NULL,'306',0.00,1,3,NULL),(16,3286665,'1990-11-27 00:00:00',4,4,12,2007,'F','N','CENTRO','S MIGUEL OESTE','SC','124241241116132431339413585124231237142',12860,'757',43.75,1,2,1),(16,3286673,'1987-02-11 00:00:00',4,3,12,2004,'F','N','TABOãO','RIO SUL','SC','124241241135131411126643235123610166097',16384,'659',36.06,1,2,1),(16,3286681,'1983-05-15 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241435272431236541311124130224157',13901,'325',41.85,1,3,NULL),(16,3286690,'1991-07-08 00:00:00',4,8,11,2008,'F','N','ESPINHEIROS','JOINVILLE','SC','124241241117371731423124142224610121197',16690,'465',33.52,1,2,1),(16,3286703,'1987-05-20 00:00:00',2,1,12,2004,'M','N','VENDAVAL','BIGUAçU','SC','124241241145411421645334385124610147047',NULL,'65',25.43,1,2,1),(16,3286711,'1990-04-28 00:00:00',4,3,11,2007,'F','N','CENTRO','PNT GROSSA','PR','116162161216472411388712425122610142012',3606,'9998',62.07,1,3,NULL),(16,3286720,'1991-08-20 00:00:00',4,1,12,2008,'F','N','ZONA DOIS','MARINGá','PR','116162168214171221379613231112610163082',NULL,'9998',0.00,1,3,NULL),(16,3286738,'1974-11-25 00:00:00',4,1,12,1992,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','224241241142154451243344245122321127142',NULL,'840',29.73,1,3,NULL),(16,3286746,'1990-07-30 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124241241316372731524939345124610127072',10407,'807',48.08,3,3,NULL),(16,3286754,'1987-07-12 00:00:00',4,4,12,2004,'M','N','CENTRO','CHAPECó','SC','124241241117152411437614292223610144142',NULL,'175',29.00,1,2,1),(16,3286762,'1985-02-20 00:00:00',2,6,12,2003,'M','N','CENTRO','BAL CAMBORIú','SC','124211241115275411436629395124222266117',13157,'49',43.22,1,2,1),(16,3286770,'1989-09-13 00:00:00',4,1,12,2007,'M','N','BELA VISTA I','S JOSé','SC','124242241215372751566614475123233234157',2560,'737',65.13,1,3,NULL),(16,3286797,'1988-07-26 00:00:00',2,10,12,2005,'F','N','CENTRO','SANTA ROSA DE LIMA','SC','124241241127131751523319332123610167057',NULL,'688',24.49,1,2,1),(16,3286819,'1986-09-22 00:00:00',4,3,12,2004,'M','N','ANDORINHA','ITAPEMA','SC','124243247417171431468939385122131264057',NULL,'964',0.00,1,3,NULL),(16,3286827,'1991-04-18 00:00:00',2,7,12,2008,'M','N','INTERIOR','JOAçABA','SC','124241241115132221436719572134610164142',9461,'539',49.80,1,2,1),(16,3286835,'1987-12-17 00:00:00',4,1,12,2006,'M','N','PONTA DE BAIXO','S JOSé','SC','124241241136134441336621345113133234133',NULL,'733',0.00,1,2,1),(16,3286843,'1990-01-22 00:00:00',4,1,9,2007,'F','N','ESPLANADA DO SOL','S JOSé CAMPOS','SP','125252251215471731378872575122610163182',12845,'9998',43.76,1,3,NULL),(16,3286860,'1986-06-18 00:00:00',4,1,12,2003,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120203201216132751446819435124343267187',1596,'9998',68.91,1,3,NULL),(16,3286878,'1989-04-13 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241115373431328623285124610127087',11375,'307',46.38,1,2,1),(16,3286886,'1991-04-26 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124241241117161432435814572124610137117',NULL,'733',19.74,1,2,1),(16,3286908,'1987-03-06 00:00:00',2,3,12,2005,'F','N','ARIRIBA','BAL CAMBORIú','SC','124161161112231721426311475314610111187',NULL,'9998',22.34,4,3,NULL),(16,3286916,'1984-10-27 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241126134421636544245334610122147',15798,'277',37.78,2,1,1),(16,3286924,'1989-09-02 00:00:00',4,1,12,2006,'F','N','BNH III PLANO','DOURADOS','MS','112122121217271431358814575112242866072',12438,'9998',44.48,4,3,NULL),(16,3286932,'1988-11-23 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124201201137372741111649195324221764187',12678,'9998',44.04,1,2,1),(16,3286940,'1990-06-15 00:00:00',4,1,12,2008,'F','N','BALNEáRIO','FLORIANóPOLIS','SC','124242241215112411549833595124232418073',NULL,'270',0.00,1,3,NULL),(16,3286959,'1991-02-23 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANóPOLIS','SC','124242241212151431489913572122610162045',NULL,'270',25.15,1,3,NULL),(16,3286967,'1981-06-23 00:00:00',2,1,12,1998,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241116135411456613375124220827047',NULL,'307',36.51,1,2,1),(16,3286975,'1957-02-20 00:00:00',4,1,12,1975,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','224201201117155421336451275124122266142',10804,'9998',47.35,1,3,NULL),(16,3286983,'1991-04-17 00:00:00',4,1,12,2008,'F','N','ABRAAO','FLORIANóPOLIS','SC','124241241136131411333429475124610115057',NULL,'292',28.46,3,2,1),(16,3286991,'1991-07-03 00:00:00',2,4,12,2008,'F','N','CENTRO','PATO BRANCO','PR','116161161117141231326614242222610163057',NULL,'9998',0.00,1,3,NULL),(16,3287017,'1990-06-26 00:00:00',4,1,12,2008,'M','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241217111431458611575124610164182',9723,'270',49.30,1,3,NULL),(16,3287025,'1989-07-04 00:00:00',2,1,12,2006,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124242248215373731546623241124610124142',NULL,'270',22.76,2,1,2),(16,3287033,'1984-09-20 00:00:00',2,2,12,2002,'M','N','CENTRO','RIO SUL','SC','124241241126132411123443235224232364016',NULL,'680',0.00,1,3,NULL),(16,3287041,'1989-04-21 00:00:00',4,7,12,2006,'M','N','INTERIOR','AT BELA VISTA','SC','124241241127132441645316252123141456057',5473,'14',57.53,1,2,1),(16,3287068,'1985-10-31 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241216233711324315195124120317047',NULL,'32',0.00,3,3,NULL),(16,3287076,'1962-09-27 00:00:00',2,1,12,1980,'F','N','CENTRO','PALHOçA','SC','124241243122152441361343335122320822092',NULL,'305',29.28,1,3,NULL),(16,3287084,'1979-09-10 00:00:00',2,1,12,1999,'M','N','SAMBAQUI','FLORIANóPOLIS','SC','124251241346142421125544344334610166067',7668,'840',53.02,1,3,NULL),(16,3287092,'1987-04-06 00:00:00',2,1,12,2004,'M','N','VILA MASCOTE','S PAULO','SP','125252251315573441435827271122610167112',9052,'9998',50.49,1,3,NULL),(16,3287106,'1988-12-17 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215372431246624495114133237182',7730,'1124',52.91,1,3,NULL),(16,3287114,'1982-03-05 00:00:00',2,1,12,1999,'M','N','NOSSA SRA DO ROSARIO','S JOSé','SC','124241241126134421433644342124610127067',14444,'257',40.80,1,2,1),(16,3287122,'1989-03-04 00:00:00',4,7,11,2006,'M','N','CENTRO','HERVAL D OESTE','SC','124242241211572431556611271122141467052',4066,'446',60.88,1,3,NULL),(16,3287130,'1988-05-25 00:00:00',4,3,12,2005,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116162161215574441347924571114610155077',11890,'9998',45.48,1,3,NULL),(16,3287149,'1990-04-27 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241115131431333439492224610132142',16682,'288',33.94,1,2,1),(16,3287157,'1990-02-23 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242248211132422426763441125610123077',NULL,'273',26.75,1,3,NULL),(16,3287165,'1989-09-03 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241215373431556511345124610137052',15946,'269',37.38,1,3,NULL),(16,3287173,'1968-05-06 00:00:00',2,1,12,2008,'F','N','CAIEIRA SACO LIMOES','FLORIANóPOLIS','SC','124221241125131512211149294344610128197',NULL,'281',15.58,4,2,1),(16,3287203,'1991-09-10 00:00:00',4,4,10,2008,'M','N','TROPICAL','CASCAVEL','PR','116162161215111431348619585122610117182',5329,'9998',57.82,4,3,NULL),(16,3287211,'1983-01-29 00:00:00',2,1,12,2004,'F','N','CAMPINAS','S JOSé','SC','124201241126111421124544145311610161027',NULL,'732',22.52,1,3,NULL),(16,3287220,'1981-06-17 00:00:00',4,1,12,2000,'M','N','FLORESTA','JOINVILLE','SC','124212243245134441347629395124222323042',8736,'932',51.01,1,3,NULL),(16,3287238,'1991-03-07 00:00:00',4,3,11,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241215131732563619575112610168197',NULL,'403',23.46,1,3,NULL),(16,3287254,'1989-10-31 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241214372431356613575124230227062',10116,'269',48.59,1,3,NULL),(16,3287262,'1992-02-24 00:00:00',4,7,12,2008,'M','N','INDUSTRIARIOS','CONCóRDIA','SC','124241248217151431427923575122610168017',NULL,'1001',33.76,1,3,NULL),(16,3287270,'1983-09-19 00:00:00',2,1,12,2001,'F','N','POTECAS','S JOSé','SC','224241248116142431274652245332610164182',13392,'306',42.81,1,3,NULL),(16,3287289,'1975-11-24 00:00:00',2,1,12,1998,'F','N','PASSA VINTE','PALHOçA','SC','124201201117532411326531346334610117147',NULL,'9998',19.01,2,1,1),(16,3287297,'1987-01-05 00:00:00',2,1,12,2005,'F','N','SãO JOSé CENTRO','S JOSé','SC','124241241146131331324369194124610127187',NULL,'728',20.57,2,3,NULL),(16,3287300,'1992-08-08 00:00:00',4,5,11,2009,'M','S','CENTRO','CRICIúMA','SC','124242241117111231469812575112613224111',NULL,'226',54.67,1,3,NULL),(16,3287319,'1988-11-04 00:00:00',4,1,12,2006,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241217372431169847595112120727092',4502,'270',59.76,1,3,NULL),(16,3287327,'1991-09-01 00:00:00',4,10,12,2008,'F','N','SãO SEBASTIãO','TREZE MAIO','SC','124241241135131132633336242124610127147',NULL,'793',24.55,1,2,1),(16,3287335,'1991-05-29 00:00:00',2,1,12,2008,'M','N','SERRARIA','S JOSé','SC','124241241117151431236622275122610112142',NULL,'1116',30.47,1,2,1),(16,3287343,'1983-01-24 00:00:00',2,3,12,2000,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241436134111635723442124131062147',NULL,'405',0.00,1,3,NULL),(16,3287351,'1986-09-03 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124242248231111431428762282124131027047',NULL,'515',7.73,1,3,NULL),(16,3287378,'1992-02-07 00:00:00',2,4,12,2008,'M','N','CENTRO','PATO BRANCO','PR','116161161116141231336611242124610167157',NULL,'9998',0.00,1,3,NULL),(16,3287386,'1989-03-12 00:00:00',4,7,12,2008,'F','N','LIBERDADE','CONCóRDIA','SC','124241248116131731325539472125610118147',NULL,'192',19.47,4,3,NULL),(16,3287394,'1988-07-15 00:00:00',4,5,8,2006,'F','N','SANTA LUZIA','CRICIúMA','SC','124241243216131431543419245124233222091',NULL,'230',23.35,1,3,NULL),(16,3287408,'1990-02-27 00:00:00',4,2,12,2007,'M','N','SãO LUIZ','BRUSQUE','SC','124241241415472741469612375122610164071',6421,'981',55.43,1,3,NULL),(16,3287416,'1990-03-19 00:00:00',4,8,12,2007,'F','N','RES ALPHAVILLE','LONDRINA','PR','116162161216371431568831575114610163017',3268,'9998',63.09,1,3,NULL),(16,3287424,'1986-10-29 00:00:00',2,6,10,2005,'F','N','UNIVERSITáRIO','TIJUCAS','SC','124241241116333421336339432323610115147',NULL,'306',32.51,1,2,1),(16,3287432,'1983-06-21 00:00:00',2,1,12,2001,'M','N','JARDIM CIDADE','S JOSé','SC','124243241112133411443314345114610167043',NULL,'257',25.60,1,3,NULL),(16,3287440,'1988-08-16 00:00:00',4,1,11,2006,'M','N','AMéRICA','JOINVILLE','SC','124242241215273431338939495134221128092',5211,'486',58.09,1,3,NULL),(16,3287459,'1990-09-21 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241201417271431439921575124143262072',NULL,'9998',38.32,1,3,NULL),(16,3287467,'1990-12-29 00:00:00',4,1,11,2008,'M','N','PANTANO DO SUL','FLORIANóPOLIS','SC','124241241215121731348533575114610164097',15510,'1022',38.53,1,3,NULL),(16,3287475,'1985-11-26 00:00:00',4,1,12,2003,'F','N','SANTA GENOVEVA','GOIâNIA','GO','109092091215571711456823572122610165097',3849,'9998',61.46,1,3,NULL),(16,3287483,'1992-06-15 00:00:00',4,1,11,2009,'F','S','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241225131431435613575124610134097',NULL,'262',28.47,1,3,NULL),(16,3287491,'1991-03-07 00:00:00',4,3,11,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241215131731563619575112610164017',NULL,'403',21.85,1,3,NULL),(16,3287505,'1989-06-05 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241217373431468831575122230224092',4076,'270',60.85,1,3,NULL),(16,3287513,'1988-07-15 00:00:00',4,8,11,2005,'M','N','CENTRO','JOINVILLE','SC','124072071216371431148813595114130767182',NULL,'9998',0.00,1,3,NULL),(16,3287530,'1973-08-09 00:00:00',4,1,12,1993,'M','N','CENTRO','FLORIANóPOLIS','SC','224242241212153731468642125132120267181',8410,'269',51.57,1,3,NULL),(16,3287548,'1989-12-28 00:00:00',2,8,12,2007,'M','N','SANTA ROSA','PTO UNIãO','SC','124242241215472431556933571245610167047',NULL,'632',0.00,1,3,NULL),(16,3287564,'1990-12-12 00:00:00',2,8,12,2007,'F','N','ACARAí','S FRANCISCO SUL','SC','124242241216472311668933372122610155072',8550,'457',51.34,3,3,NULL),(16,3287572,'1975-05-23 00:00:00',2,1,12,1995,'M','N','SERRARIA','S JOSé','SC','224241246147153421243344245132121714057',NULL,'306',0.00,1,2,1),(16,3287599,'1989-10-20 00:00:00',4,1,12,2007,'M','N','CIDADE UNIVERSITáRIA','CAMPINAS','SP','125252251217471431477916575114610162112',NULL,'9998',0.00,1,3,NULL),(16,3287602,'1980-11-11 00:00:00',2,1,12,1998,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124201201131131731116548382224142722147',NULL,'9998',26.32,2,1,1),(16,3287610,'1990-11-21 00:00:00',4,9,12,2007,'F','N','SANTA MONICA','RIO SUL','SC','124243241316371731456623572114610135182',12055,'659',45.19,1,3,NULL),(16,3287629,'1989-02-22 00:00:00',2,1,2,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216143431359724345124230832122',NULL,'9999',32.45,1,3,NULL),(16,3287637,'1992-04-19 00:00:00',4,9,12,2008,'M','N','PETRóPOLIS','VACARIA','RS','120202201217271431439629171121610127057',14700,'9998',40.28,1,3,NULL),(16,3287645,'1990-06-04 00:00:00',2,1,12,2006,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241216473431369813495125221464181',8766,'270',50.96,4,3,NULL),(16,3287661,'1990-10-04 00:00:00',4,4,11,2008,'F','N','CENTRO','CHAPECó','SC','124241241215111411336623435122610166147',8298,'983',51.79,1,3,NULL),(16,3287696,'1976-12-18 00:00:00',2,1,12,1996,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241243127132421323144342124610122147',NULL,'295',9.12,1,2,1),(16,3287700,'1991-07-06 00:00:00',4,8,11,2008,'F','N','GLóRIA','JOINVILLE','SC','124241241215271731457619175122610126072',NULL,'489',26.85,1,3,NULL),(16,3287718,'1990-10-20 00:00:00',4,1,12,2007,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124244241235212532453324276144610164052',8301,'9999',51.79,4,3,NULL),(16,3287726,'1991-03-02 00:00:00',4,8,12,2008,'F','N','GUANABARA','JOINVILLE','SC','124241241116371431326634575122610122147',11715,'467',45.79,1,3,NULL),(16,3287742,'1989-05-06 00:00:00',4,1,12,2007,'M','N','MATA DA PRAIA','VITóRIA','ES','108082081237471431468933572122610167117',5602,'9998',57.26,1,3,NULL),(16,3287769,'1987-06-03 00:00:00',2,1,12,2004,'M','N','BELA VISTA','S JOSé','SC','124161241146272431425634271224610142177',NULL,'295',29.50,1,2,1),(16,3287777,'1983-12-21 00:00:00',4,6,12,2000,'M','N','CENTRO','BAL CAMBORIú','SC','124242241212122731347819112124321414092',2139,'44',66.63,1,3,NULL),(16,3287785,'1992-12-01 00:00:00',4,1,12,2009,'F','S','MADRI','PALHOçA','SC','124241281217161431545611575124610124122',NULL,'1011',40.93,1,3,NULL),(16,3287793,'1991-10-05 00:00:00',4,1,12,2009,'F','S','BARREIROS','S JOSé','SC','124242241217151411357613572114610127012',NULL,'1118',5.52,1,3,NULL),(16,3287807,'1990-09-02 00:00:00',4,8,11,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215271431358919575122610168197',NULL,'491',0.00,1,3,NULL),(16,3287815,'1988-06-29 00:00:00',4,1,12,2006,'F','N','CAMEPCHE','FLORIANóPOLIS','SC','124246248637153751418619192124613261072',NULL,'1022',0.00,1,3,NULL),(16,3287823,'1988-06-28 00:00:00',4,8,11,2005,'F','N','TIJUCA','RIO JANEIRO','RJ','121212211111131431536811371124343225042',NULL,'9998',0.00,1,3,NULL),(16,3287831,'1988-10-31 00:00:00',2,1,11,2005,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124244241215473431424618472114610147187',13670,'1048',42.33,1,3,NULL),(16,3287840,'1987-07-04 00:00:00',2,4,12,2004,'M','N','JARDIM AMERICA','CHAPECó','SC','124241241126371421333324345124610112197',NULL,'181',19.50,5,3,NULL),(16,3287858,'1984-05-30 00:00:00',4,1,12,2004,'M','N','GUANABARA','CAMPINAS','SP','125252257437473741569833485112141167187',NULL,'9999',0.00,1,3,NULL),(16,3287866,'1991-11-29 00:00:00',2,1,12,2008,'M','N','BARRA DO ARIRIU','PALHOçA','SC','124241241115141431322524245124610127047',14533,'592',40.63,1,2,1),(16,3287874,'1985-08-29 00:00:00',2,1,11,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','224241247121131431222844131324130364112',NULL,'237',26.75,1,2,1),(16,3287882,'1981-05-07 00:00:00',4,1,12,1998,'M','N','NOVA BRASíLIA','BRUSQUE','SC','124241241126574421133343135124320242143',NULL,'111',0.00,1,2,1),(16,3287890,'1991-08-30 00:00:00',4,4,12,2008,'F','N','CENTRO','PIRATUBA','SC','124241241127111131323511141324610157142',NULL,'619',23.81,1,2,1),(16,3287904,'1991-05-23 00:00:00',4,10,11,2008,'F','N','HUMAITA DE CIMA','TUBARãO','SC','124241241117131731332339192124610148147',NULL,'798',28.28,1,2,1),(16,3287912,'1972-01-17 00:00:00',2,1,11,1991,'M','N','BOM ABRIGO','FLORIANóPOLIS','SC','224251258137571431333341145122143261137',NULL,'9998',0.00,1,2,1),(16,3287920,'1991-03-07 00:00:00',2,1,12,2008,'F','N','CENTRO','VIDAL RAMOS','SC','124241241125131431236923245122610124052',NULL,'828',0.00,1,2,1),(16,3287947,'1984-10-01 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215272431489932475114521066142',NULL,'262',18.31,1,3,NULL),(16,3287955,'1988-02-14 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124132131217152431179832341122233242042',15384,'9998',38.80,1,3,NULL),(16,3287971,'1983-04-14 00:00:00',4,8,12,2000,'M','N','BOA VISTA','JOINVILLE','SC','124241241122473131463311245123610117092',NULL,'477',33.29,1,2,1),(16,3287980,'1988-02-27 00:00:00',2,1,11,2005,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124241248145572751443711195112610137111',NULL,'257',26.31,1,3,NULL),(16,3287998,'1991-04-19 00:00:00',2,4,12,2008,'F','N','CENTRO','PASSOS MAIA','SC','124241241122131431423313595325610123147',NULL,'606',27.98,4,2,1),(16,3288021,'1992-06-16 00:00:00',4,4,12,2009,'F','S','PALMITAL','CHAPECó','SC','124242241215151731369611472122610168072',NULL,'168',41.50,1,3,NULL),(16,3288048,'1991-04-30 00:00:00',4,4,12,2008,'F','N','PIONEIRO','PINHALZINHO','SC','124242241215111431466919575122610123142',NULL,'1070',26.92,4,3,NULL),(16,3288056,'1992-09-22 00:00:00',2,1,11,2009,'F','S','SANTINHO','FLORIANóPOLIS','SC','124244248415111551436614595124610118115',NULL,'1022',28.96,1,3,NULL),(16,3288064,'1991-06-21 00:00:00',4,4,12,2008,'M','N','CENTRO','CHAPECó','SC','124241243217131332555517572122610167097',14525,'185',40.64,1,3,NULL),(16,3288072,'1990-02-16 00:00:00',2,1,11,2007,'M','N','CENTRO','PATO BRANCO','PR','116163161216371431569813574122610146052',5990,'9998',56.37,4,3,NULL),(16,3288080,'1982-01-27 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241112134431116348482324610134047',NULL,'359',24.81,2,1,1),(16,3288099,'1991-10-01 00:00:00',2,4,12,2008,'M','N','NOVA DIVINéIA','PINHALZINHO','SC','124241241136131431333314345125610127142',NULL,'1032',0.00,4,2,1),(16,3288102,'1991-04-19 00:00:00',4,2,11,2007,'F','N','CENTRO','BAL CAMBORIú','SC','124244241217372411469611575124232434072',NULL,'1038',0.00,1,3,NULL),(16,3288110,'1991-12-14 00:00:00',4,1,12,2008,'M','N','CENTRO','TIJUCAS','SC','124242241215111421537611315121610137042',NULL,'1119',18.19,1,3,NULL),(16,3288129,'1982-11-08 00:00:00',2,1,11,2000,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242243226322331223333223213222413133',NULL,'270',33.10,1,3,NULL),(16,3288137,'1992-03-17 00:00:00',4,10,11,2007,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241246215111731436639272124610117067',NULL,'9997',29.72,1,3,NULL),(16,3288145,'1990-08-20 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241235111431534621381224610114147',11339,'300',46.42,1,3,NULL),(16,3288153,'1991-11-06 00:00:00',4,4,12,2008,'M','N','PARQUE DE EXPOSIçOES','CONCóRDIA','SC','124241241114471431533316391124610127052',NULL,'858',21.80,1,3,NULL),(16,3288161,'1991-03-01 00:00:00',2,6,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124244241215141431249811332121610137052',NULL,'44',27.55,1,3,NULL),(16,3288170,'1991-02-11 00:00:00',2,1,11,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124242241215111431553831595122610164092',5952,'1011',56.45,1,3,NULL),(16,3288188,'1988-07-13 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215573741449813575124610143017',NULL,'270',31.09,1,3,NULL),(16,3288200,'1989-11-08 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241215573431447731481122610122187',9658,'86',49.41,1,3,NULL),(16,3288226,'1991-08-20 00:00:00',2,8,12,2008,'F','N','CENTRO','CORUPá','SC','124241241336131431546514295124610127147',NULL,'457',0.00,1,3,NULL),(16,3288242,'1984-06-10 00:00:00',2,1,12,2002,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241117135531611149115331610114085',NULL,'542',39.33,4,2,1),(16,3288250,'1971-07-03 00:00:00',4,1,12,1990,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241126374441453343132124122962097',5400,'100',57.66,1,2,1),(16,3288269,'1991-06-11 00:00:00',2,1,12,2008,'F','N','BELA VISTA','PALHOçA','SC','124241241117131211231423392324610163142',NULL,'592',21.02,1,2,1),(16,3288277,'1991-08-13 00:00:00',4,4,12,2008,'M','N','CENTRO','CHAPECó','SC','124244246415111431469833575124610117042',NULL,'1094',28.91,1,3,NULL),(16,3288285,'1986-10-01 00:00:00',4,1,12,2004,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241211575411246821571214610114042',513,'270',75.65,1,3,NULL),(16,3288293,'1992-02-10 00:00:00',4,4,12,2008,'M','N','CENTRO','DESCANSO','SC','124242241216151431488911575112610166062',4960,'751',58.70,1,3,NULL),(16,3288307,'1991-10-12 00:00:00',4,7,12,2008,'F','N','SANTA CATARINA','CAçADOR','SC','124241241136131431434834292324610153147',NULL,'123',24.21,4,2,1),(16,3288315,'1991-03-26 00:00:00',2,1,12,2008,'M','N','ALTO DO PARQUE','LAJEADO','RS','120201201217111531666632575122610144052',2756,'9998',64.55,1,3,NULL),(16,3288323,'1989-04-14 00:00:00',2,5,11,2006,'F','N','PIO CORRêA','CRICIúMA','SC','124242248215573411436614375122610128142',7390,'211',53.53,1,3,NULL),(16,3288331,'1991-07-12 00:00:00',4,3,12,2008,'M','N','CENTRO','FOZ IGUAçU','PR','116162161215111732336632312111610164122',NULL,'9998',19.37,1,3,NULL),(16,3288340,'1987-08-03 00:00:00',4,1,12,2004,'F','N','BOA VISTA','ITUPORANGA','SC','124241241111131412533314442231610134147',NULL,'165',19.01,1,2,1),(16,3288358,'1991-04-02 00:00:00',2,1,12,2008,'M','N','SãO MIGUEL','MARíLIA','SP','125253251136471431338622282114610132177',NULL,'9998',29.06,1,3,NULL),(16,3288366,'1990-11-18 00:00:00',4,1,11,2007,'M','N','CENTRO','GOIOERê','PR','116162168215111431447832575122610164042',NULL,'9998',0.00,1,3,NULL),(16,3288374,'1991-07-08 00:00:00',4,4,12,2008,'M','N','PARQUE DAS PALMEIRAS','CHAPECó','SC','124241241117131411437513585124610164187',9258,'169',50.14,2,3,NULL),(16,3288382,'1988-09-11 00:00:00',2,1,12,2006,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241126122431423611415124610126077',16644,'941',34.35,1,2,1),(16,3288390,'1985-10-02 00:00:00',4,2,12,2004,'F','N','ESCOLA AGRíCOLA','BLUMENAU','SC','124241244132132421673331442124131434097',10611,'89',47.71,1,2,1),(16,3288404,'1991-08-30 00:00:00',4,1,12,2008,'M','N','BALNEáRIO','FLORIANóPOLIS','SC','124242241215111431438811575124610134012',NULL,'1022',24.98,1,3,NULL),(16,3288412,'1990-03-12 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124244241231372731645424444134610147147',10509,'988',47.90,1,3,NULL),(16,3288420,'1986-03-02 00:00:00',2,1,12,2003,'F','N','SERRINHA','FLORIANóPOLIS','SC','116162168217573731336729275124143262197',3754,'9998',61.70,4,3,NULL),(16,3288439,'1992-10-03 00:00:00',4,6,11,2008,'F','N','CABEçUDAS','ITAJAí','SC','124242241215121431488732575124610138182',3626,'9997',62.01,1,3,NULL),(16,3288447,'1992-07-08 00:00:00',4,1,11,2009,'F','S','CENTRO','VITORINO','PR','116162161217111431548833395122610134142',NULL,'9998',44.90,1,3,NULL),(16,3288455,'1992-01-06 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSé','SC','124241241127141531556613246134610131072',15105,'728',39.41,1,2,1),(16,3288463,'1991-01-28 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241232111421467632372112610147142',NULL,'738',27.39,1,3,NULL),(16,3288471,'1990-03-23 00:00:00',2,1,7,2008,'F','N','BELA VISTA','S JOSé','SC','124243241215372731466914395114610164077',15267,'1022',39.05,1,3,NULL),(16,3288480,'1990-07-03 00:00:00',4,6,12,2007,'M','N','CENTRO','ITAJAí','SC','124242241216153441549914575122232464047',NULL,'392',47.33,1,3,NULL),(16,3288498,'1987-04-30 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANóPOLIS','SC','124243241115272431636711342124610127057',NULL,'307',26.84,1,3,NULL),(16,3288501,'1992-03-29 00:00:00',2,1,12,2008,'F','N','OLIVEIRA','CACHOEIRA SUL','RS','120202201116371751428821571122610148127',15329,'9998',38.92,1,3,NULL),(16,3288510,'1985-12-04 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241112133431224323441234131325147',11053,'267',46.92,2,1,2),(16,3288528,'1992-05-24 00:00:00',4,1,12,2009,'F','S','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241217151751567924597114612027017',NULL,'738',19.26,4,3,NULL),(16,3288536,'1991-08-23 00:00:00',4,6,12,2008,'M','N','SAO LUIZ','BRUSQUE','SC','124242241215151431468611575112620132012',NULL,'109',32.55,1,3,NULL),(16,3288544,'1991-07-23 00:00:00',2,1,12,2008,'F','N','SANTA ANA','STO AMARO IMPERATRIZ','SC','124241241217131731326929572124610128157',14948,'1014',39.79,1,3,NULL),(16,3288552,'1992-05-02 00:00:00',4,7,11,2009,'F','S','CENTRO','JOAçABA','SC','124242241212111731338831572122610168077',NULL,'962',26.18,1,3,NULL),(16,3288560,'1990-07-17 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','S JOSé','SC','124243241115372411437734344234610137147',14690,'307',40.29,1,3,NULL),(16,3288579,'1992-08-08 00:00:00',4,5,11,2009,'F','S','CENTRO','CRICIúMA','SC','124242248215111711368812571112610118197',NULL,'226',21.01,1,3,NULL),(16,3288587,'1992-03-23 00:00:00',4,10,11,2009,'F','S','DEHON','TUBARãO','SC','124242241215111431479932342122610141092',NULL,'806',46.53,1,3,NULL),(16,3288595,'1990-05-03 00:00:00',2,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124243248335111751426613231124610123097',NULL,'1022',26.12,1,3,NULL),(16,3288609,'1987-04-10 00:00:00',2,4,12,2006,'M','N','CENTRO','IPUMIRIM','SC','124241241127111431426614382125610137057',NULL,'374',0.00,4,3,NULL),(16,3288625,'1981-10-22 00:00:00',4,1,12,1998,'F','N','BARREIROS','S JOSé','SC','124242241212132421456614345114333244197',8732,'259',51.02,1,3,NULL),(16,3288633,'1990-04-09 00:00:00',4,9,12,2007,'M','N','SUMARE','RIO SUL','SC','124244242116372431446911415133610164017',11059,'662',46.92,1,3,NULL),(16,3288641,'1990-07-19 00:00:00',2,10,11,2008,'M','N','CENTRO','TUBARãO','SC','124244241415111531226427572122610137112',10677,'807',47.61,1,3,NULL),(16,3288650,'1988-07-13 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241111133411329344342324122322012',13369,'580',42.85,1,3,NULL),(16,3288668,'1989-05-21 00:00:00',4,1,12,2006,'F','N','RATONES','FLORIANóPOLIS','SC','124242241216571731346923275124231124095',3175,'752',63.34,4,3,NULL),(16,3288676,'1991-05-20 00:00:00',4,1,12,2008,'M','N','TOZAN','PILAR SUL','SP','125251251137132432637735575124610124057',NULL,'9998',0.00,3,2,1),(16,3288684,'1991-07-07 00:00:00',4,10,12,2008,'F','N','HUMAITá DE CIMA','TUBARãO','SC','124241241142141731326329292114610166142',NULL,'798',27.85,1,2,1),(16,3288692,'1980-06-28 00:00:00',4,1,12,1997,'F','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124201201311112421388613415122342637112',NULL,'9998',33.82,1,3,NULL),(16,3288706,'1992-02-28 00:00:00',4,1,12,2009,'F','S','AGRONÔMICA','FLORIANóPOLIS','SC','124242241215111411536961575122610121147',NULL,'272',22.52,1,3,NULL),(16,3288714,'1991-08-03 00:00:00',2,1,12,2008,'F','N','APARECIDA','FLORES CUNHA','RS','120201201117131431434414572322610111047',16236,'9998',36.57,1,2,1),(16,3288722,'1990-09-14 00:00:00',4,3,11,2008,'M','N','CENTRO','BRUSQUE','SC','124242241215211511566412585112610132052',NULL,'109',0.00,1,3,NULL),(16,3288730,'1989-04-12 00:00:00',4,7,12,2006,'M','N','CENTRO','CATANDUVAS','SC','124241241116472431336813595122130737052',NULL,'161',31.97,1,2,1),(16,3288749,'1989-01-28 00:00:00',2,3,12,2008,'F','N','SANTA LUZIA','TIJUCAS','SC','124241241117161431434624242341610127057',NULL,'783',20.62,1,3,NULL),(16,3288757,'1991-06-29 00:00:00',4,8,11,2008,'M','N','CENTRO','CASCAVEL','PR','116164161236372431559912575122610167092',4490,'9998',59.79,1,3,NULL),(16,3288765,'1991-06-25 00:00:00',4,1,12,2008,'F','N','JARDIM MARIA LUIZA','CASCAVEL','PR','116161161216151431437633345122610166092',NULL,'9998',0.00,1,3,NULL),(16,3288781,'1991-01-04 00:00:00',2,8,12,2008,'M','N','COLôNIA IGUAçú','S MATEUS SUL','PR','116164161216121411444414275222610128142',NULL,'9998',39.25,1,3,NULL),(16,3288790,'1982-02-12 00:00:00',4,2,8,2005,'M','N','PONTA AGUDA','BLUMENAU','SC','124244241445141431333419245124230232147',NULL,'90',16.22,1,3,NULL),(16,3288803,'1991-07-16 00:00:00',2,4,11,2008,'F','N','SANTA TEREZINHA','PATO BRANCO','PR','116161161415271731463436295122610127142',NULL,'9998',21.51,1,3,NULL),(16,3288811,'1991-09-27 00:00:00',2,1,10,2008,'F','N','CENTRO','SOMBRIO','SC','124242241212131411336922575124610167057',15400,'32',38.77,1,3,NULL),(16,3288820,'1992-02-12 00:00:00',4,3,12,2009,'F','S','CENTRO','BAL CAMBORIú','SC','124242241217151731467839575122610117147',NULL,'44',37.33,1,3,NULL),(16,3288838,'1985-01-02 00:00:00',4,1,12,2003,'M','N','SANTA MONICA','FLORIANóPOLIS','SC','124242241216133421428819475122221122042',NULL,'262',0.00,1,3,NULL),(16,3288846,'1986-01-27 00:00:00',4,5,11,2003,'F','N','PIRAGO','URUSSANGA','SC','124242241213575431337719575122610138197',12946,'226',43.60,1,3,NULL),(16,3288854,'1990-08-02 00:00:00',2,4,12,2007,'M','N','SANTO INÁCIO','FREDERICO WESTPHALEN','RS','120201202117131532437811575124610137092',6372,'9998',55.54,1,2,1),(16,3288862,'1989-06-30 00:00:00',4,10,12,2006,'M','N','MAR GROSSO','LAGUNA','SC','124242241217142431457822245122230227112',12622,'807',44.14,1,3,NULL),(16,3288870,'1985-03-26 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241116273231421361212324610122187',NULL,'276',0.00,3,2,1),(16,3288889,'1991-02-18 00:00:00',4,2,12,2008,'F','N','BOM RETIRO','BLUMENAU','SC','124242241212111431459914572122610136192',NULL,'909',42.35,1,3,NULL),(16,3288897,'1985-08-06 00:00:00',2,1,12,2001,'M','N','CAMINHO NOVO','PALHOçA','SC','124163161116131331424443435124342314057',16039,'9998',37.14,1,3,NULL),(16,3288900,'1991-07-10 00:00:00',2,1,12,2008,'M','N','CENTRO','RIO NEGRO','PR','116163161435111231568912493113611768141',NULL,'9998',0.00,1,3,NULL),(16,3288919,'1990-03-13 00:00:00',4,1,12,2008,'M','N','ALTO ARIRIU','PALHOçA','SC','124242241215371731523611575124610164052',14035,'1014',41.58,1,3,NULL),(16,3288927,'1980-05-04 00:00:00',2,4,12,2001,'M','N','CENTRO','FAXINAL GUEDES','SC','124241245127131441423341212342610131047',NULL,'840',0.00,4,2,1),(16,3288935,'1989-01-30 00:00:00',2,1,12,2006,'F','N','JARDIM FLORESTA','S JOSé','SC','124242241215573431456613572112610123047',NULL,'1118',0.00,1,3,NULL),(16,3288943,'1989-11-01 00:00:00',4,1,12,2007,'M','N','VILAALICE','GUARUJá','SP','125254251435151431476619575112610136042',NULL,'9998',0.00,1,3,NULL),(16,3288951,'1987-07-08 00:00:00',4,1,12,2004,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241217135432468833245134610166097',NULL,'272',35.74,1,3,NULL),(16,3288960,'1990-05-18 00:00:00',2,1,12,2008,'F','N','RIO GRANDE','PALHOçA','SC','124241241135141531664833241122610113187',NULL,'592',19.30,1,3,NULL),(16,3288978,'1991-11-28 00:00:00',4,1,11,2008,'M','N','ARAçATUBA','IMBITUBA','SC','124241241215151432334632174124610138185',9110,'362',50.40,1,3,NULL),(16,3288986,'1990-08-25 00:00:00',2,1,12,2007,'F','N','AREIAS DO CAMPECHE','FLORIANóPOLIS','SC','124241241136372431349713575224610112037',13868,'307',41.90,4,2,1),(16,3288994,'1982-10-23 00:00:00',2,1,12,2005,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241127271421443334445334610117042',NULL,'9997',24.77,1,2,1),(16,3289010,'1991-10-09 00:00:00',2,1,12,2008,'F','N','COLONIA SANTANA','S JOSé','SC','124241241121131751633823295124610168147',NULL,'9997',25.79,1,3,NULL),(16,3289028,'1976-12-27 00:00:00',4,1,12,1993,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124243241216154421139879145132523264182',6022,'269',56.31,1,3,NULL),(16,3289036,'1991-08-22 00:00:00',2,6,12,2008,'M','N','JARDIM BIRIGUI','UMUARAMA','PR','116162161235111431424819292325610167097',NULL,'9998',0.00,1,3,NULL),(16,3289044,'1987-10-03 00:00:00',4,8,12,2006,'M','N','SAGUAçú','JOINVILLE','SC','124244246416112411438611483121133214092',8124,'494',52.18,1,3,NULL),(16,3289052,'1991-12-03 00:00:00',2,4,11,2008,'M','N','CERâMICA','ERECHIM','RS','120204201215111731455732271122610147047',11566,'9998',46.07,4,3,NULL),(16,3289060,'1988-08-24 00:00:00',4,8,12,2007,'M','N','TATUAPé','S PAULO','SP','125252251216471431568714575115610127187',14870,'9998',39.95,1,3,NULL),(16,3289079,'1991-02-13 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124203241235131431556519231324610123097',NULL,'977',23.89,1,3,NULL),(16,3289087,'1989-11-18 00:00:00',4,1,12,2007,'M','N','ALTO DOS BURITIS','GURUPI','TO','127273271316111121386912575122610124042',NULL,'9998',0.00,4,1,2),(16,3289095,'1989-09-08 00:00:00',2,8,12,2007,'F','N','GLóRIA','JOINVILLE','SC','124241246216271441549814341124610167177',NULL,'494',0.00,1,3,NULL),(16,3289109,'1991-05-09 00:00:00',4,1,12,2008,'M','N','CENTRO','CANOINHAS','SC','124244241435111431387831311122210117042',NULL,'9997',21.81,1,3,NULL),(16,3289125,'1985-05-31 00:00:00',4,8,12,2002,'F','N','AUTONOMISTA','CPO GRANDE','MS','112124121217571431458813575122341363147',4744,'9998',59.20,1,3,NULL),(16,3289133,'1991-04-07 00:00:00',4,1,11,2008,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124244241215371711546631592124610167095',NULL,'269',16.53,1,3,NULL),(16,3289141,'1991-04-10 00:00:00',4,8,12,2008,'F','N','COLONIAL','S BENTO SUL','SC','124241241216111432443319595122610124077',NULL,'1154',26.67,1,3,NULL),(16,3289150,'1986-06-26 00:00:00',2,1,7,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124241247217131411423344346321610118187',NULL,'977',24.32,2,3,NULL),(16,3289168,'1992-10-10 00:00:00',4,4,12,2009,'F','S','NAçõES','CONCóRDIA','SC','124242241216111111447712175112610168187',NULL,'1047',25.24,1,3,NULL),(16,3289184,'1986-07-29 00:00:00',2,2,12,2003,'F','N','ZONA SETE','MARINGá','PR','116161161336513431446613495124610124147',12142,'9998',45.01,1,3,NULL),(16,3289192,'1989-04-06 00:00:00',2,1,12,2006,'M','N','CENTRO','ITAIóPOLIS','SC','124241241126472431344634375122610117057',NULL,'387',19.74,1,2,1),(16,3289206,'1983-10-03 00:00:00',2,1,12,2002,'M','N','CAMPINAS','S JOSé','SC','124242247426134721354719392234131034047',10763,'1076',47.44,1,3,NULL),(16,3289214,'1989-09-02 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215473431458911572124610133187',2326,'262',65.95,1,3,NULL),(16,3289222,'1988-11-30 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241115131431525415345124130223057',NULL,'59',21.21,5,2,1),(16,3289230,'1991-05-16 00:00:00',4,1,11,2008,'M','N','JURERE','FLORIANóPOLIS','SC','124242241211111721178819471122610117042',15647,'1048',38.20,1,3,NULL),(16,3289249,'1991-02-10 00:00:00',2,8,11,2008,'F','N','ITINGA','JOINVILLE','SC','124241248112131431423623532324610127183',NULL,'472',25.72,2,1,1),(16,3289257,'1989-03-26 00:00:00',2,1,12,2006,'F','N','TAPERA','FLORIANóPOLIS','SC','124243241417434431323311242334610123087',NULL,'9997',0.00,1,3,NULL),(16,3289265,'1988-04-20 00:00:00',4,1,12,2005,'M','N','PLANALTO','CPO GRANDE','MS','112122121214571431468613575112610122097',864,'9998',72.92,1,3,NULL),(16,3289281,'1985-02-27 00:00:00',2,1,12,2002,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124201201143132421125644342334610162077',NULL,'9998',28.51,1,2,1),(16,3289311,'1990-04-12 00:00:00',4,1,6,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241417371731368713575111610167045',12642,'272',44.10,2,3,NULL),(16,3289320,'1987-01-19 00:00:00',2,1,12,2004,'M','N','NOSSA SRA APARECIDA','CURITIBANOS','SC','124241242112372431446614385124133267057',15270,'960',39.04,1,2,1),(16,3289338,'1990-04-17 00:00:00',4,8,12,2007,'M','N','CENTRO','ALTO PIQUIRI','PR','116161161114571431446812574124610124112',6773,'9998',54.72,3,2,1),(16,3289346,'1989-02-22 00:00:00',4,1,12,2006,'F','N','CENTRO','MARINGá','PR','116162161216473431569811572122610133092',NULL,'9998',0.00,1,3,NULL),(16,3289354,'1983-02-09 00:00:00',2,1,12,2000,'M','N','CAMPECHE','FLORIANóPOLIS','SC','624241241137154421437741115134121928097',8360,'307',51.66,1,2,1),(16,3289362,'1989-12-18 00:00:00',3,1,12,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241117372411469911392124610135182',4012,'267',61.04,1,2,1),(16,3289370,'1990-06-27 00:00:00',4,1,11,2007,'F','N','PERPéTUO SOCORRO','S LOURENçO OESTE','SC','124242161411132711536314191344610166187',11772,'9998',45.69,1,3,NULL),(16,3289389,'1991-03-04 00:00:00',4,2,11,2008,'M','N','GARCIA','BLUMENAU','SC','124242241212111731439929495112610167017',8537,'87',51.36,1,3,NULL),(16,3289397,'1989-04-01 00:00:00',4,1,12,2006,'M','N','CENTRO','S MIGUEL IGUAçU','PR','116162161117473431358934575122241427017',6068,'9998',56.20,1,3,NULL),(16,3289400,'1988-09-21 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANóPOLIS','SC','125252251217532241234535331122221965157',2725,'9998',64.62,1,3,NULL),(16,3289419,'1989-08-21 00:00:00',4,9,12,2006,'F','N','CENTRO','CURITIBANOS','SC','124241241117373431336615572222230333147',NULL,'239',22.65,3,2,1),(16,3289427,'1992-03-27 00:00:00',4,9,12,2009,'F','S','CENTRO','LAGES','SC','124242241215111431436612572322610117052',NULL,'499',23.98,1,3,NULL),(16,3289435,'1985-03-26 00:00:00',4,1,6,2004,'F','N','ABRAAO','FLORIANóPOLIS','SC','124243247416375431538631215124233226157',7451,'9997',53.40,4,3,NULL),(16,3289443,'1991-11-25 00:00:00',4,1,12,2008,'M','N','CENTRO','GAROPABA','SC','124241241115161431426631192121610117013',NULL,'322',18.66,1,2,1),(16,3289451,'1987-02-12 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANóPOLIS','SC','124241248112133421333431392131610127047',14799,'267',40.07,1,3,NULL),(16,3289460,'1973-06-17 00:00:00',4,1,12,1990,'M','N','PANTANAL','FLORIANóPOLIS','SC','124252251215135431328679485224121428093',10137,'9998',48.56,1,3,NULL),(16,3289478,'1992-02-16 00:00:00',2,4,12,2008,'M','N','INTERIOR','ANCHIETA','SC','124241241115111431433314475121610127057',NULL,'16',30.21,1,3,NULL),(16,3289486,'1991-08-17 00:00:00',4,7,12,2007,'M','N','CIDADE JARDIM','CATANDUVAS','SC','124243241111211321459813575112610167112',NULL,'161',28.78,1,3,NULL),(16,3289494,'1990-08-23 00:00:00',4,9,12,2008,'M','N','SãO CRISTOVãO','LAGES','SC','124241241212111431636813575122610117042',NULL,'1106',31.22,1,3,NULL),(16,3289516,'1990-07-31 00:00:00',2,1,12,2007,'M','N','VILA SOBRINHO','CPO GRANDE','MS','112124121437311711458921291224610137087',NULL,'9998',0.00,3,3,NULL),(16,3289524,'1977-03-12 00:00:00',2,1,12,1994,'M','N','SãO PELEGRINO','CAXIAS SUL','RS','120203201116271421458813411125343264117',8106,'9998',52.21,1,3,NULL),(16,3289532,'1991-09-15 00:00:00',2,1,12,2008,'M','N','JARDIM BIGUAçU','BIGUAçU','SC','124242241216131431536613395121610167057',NULL,'1040',27.02,1,3,NULL),(16,3289540,'1987-01-19 00:00:00',2,9,12,2004,'F','N','PENHA','LAGES','SC','124241241116471421436613374124130627182',11276,'505',46.52,1,2,1),(16,3289559,'1992-05-19 00:00:00',4,1,12,2009,'F','S','COQUEIROS','FLORIANóPOLIS','SC','124242241217171431458834391122610148073',NULL,'266',4.51,1,3,NULL),(16,3289567,'1991-03-09 00:00:00',4,8,11,1991,'F','N','SAGUAçU','JOINVILLE','SC','124242245215171431469814142112610137142',15017,'491',39.61,1,3,NULL),(16,3289575,'1989-04-03 00:00:00',4,9,11,2006,'M','N','PROGRESSO','POUSO REDONDO','SC','124241241413573751466812595114610168032',5824,'1013',56.74,1,3,NULL),(16,3289583,'1990-12-22 00:00:00',5,8,11,2008,'M','N','SAGUAçU','JOINVILLE','SC','124242243216151331488832575111610127042',NULL,'1006',0.00,1,3,NULL),(16,3289591,'1991-01-10 00:00:00',2,1,12,2007,'F','N','CENTRO','PATO BRANCO','PR','124162167216372431347924575124141062142',NULL,'9998',34.49,1,3,NULL),(16,3289613,'1988-09-12 00:00:00',2,1,12,2005,'M','N','ITAGUAçú','FLORIANóPOLIS','SC','124242241211372531588611572122130224052',NULL,'262',28.88,1,3,NULL),(16,3289621,'1991-08-06 00:00:00',4,5,11,2008,'F','N','GURITA','SOMBRIO','SC','124241241115131432424616172124610126172',NULL,'1033',23.77,1,2,1),(16,3289630,'1987-12-10 00:00:00',4,1,12,2006,'M','N','BELA VISTA','S PAULO','SP','125242241211573211488811474111610127122',NULL,'1022',42.51,1,3,NULL),(16,3289648,'1991-03-28 00:00:00',4,1,12,2008,'F','N','DITZ','STO ÂNGELO','RS','120202201217471431358634575122610166097',3054,'9998',63.64,1,3,NULL),(16,3289672,'1988-12-30 00:00:00',2,1,12,2008,'M','N','SANTA CRUZ DA FIGUEI','ÁGUAS MORNAS','SC','124241241125131431321124172124610128197',NULL,'12',20.89,1,2,1),(16,3289680,'1992-10-07 00:00:00',4,4,12,2008,'F','N','CENTRO','CONCóRDIA','SC','124242241217111731446934572114610168071',NULL,'270',27.11,1,3,NULL),(16,3289699,'1989-08-14 00:00:00',2,4,11,2006,'F','N','CENTRO','RODEIO BONITO','RS','120201201117211431234823275121610131187',NULL,'9998',21.39,1,2,1),(16,3289702,'1991-04-24 00:00:00',4,1,12,2008,'F','N','CENTRO','PANAMBI','RS','120202201217151331336622472122610134052',9312,'9998',50.05,1,3,NULL),(16,3289710,'1992-06-14 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241217141431579933595125610168015',NULL,'262',22.32,1,3,NULL),(16,3289729,'1990-10-07 00:00:00',4,1,12,2008,'M','N','CENTRO','PARAGUAçU PAULISTA','SP','125252251216371431368611575112610164012',NULL,'9998',0.00,1,3,NULL),(16,3289737,'1992-09-21 00:00:00',4,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241117111732538619575114610117012',NULL,'271',18.29,1,3,NULL),(16,3289745,'1991-04-14 00:00:00',2,10,12,2008,'F','N','DOIS IRMãOS','STA ROSA LIMA','SC','124241241125131711523313472224610127057',16034,'688',37.15,1,2,1),(16,3289753,'1991-04-06 00:00:00',4,9,12,2008,'M','N','SANTA HELENA','LAGES','SC','124242241212371731436432472122610128112',NULL,'515',0.00,1,3,NULL),(16,3289770,'1991-08-17 00:00:00',1,6,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215271731459921412112610126172',6148,'44',56.03,1,3,NULL),(16,3289788,'1990-03-08 00:00:00',4,1,12,2006,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241123272431635311145124610124152',14458,'941',40.77,1,2,1),(16,3289796,'1991-03-19 00:00:00',4,10,11,2008,'M','N','CENTRO','BRAçO NORTE','SC','124244241215151531547611312124610157046',NULL,'806',21.60,1,3,NULL),(16,3289800,'1973-06-04 00:00:00',4,1,12,1991,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','224244243432573431228354485122130824092',NULL,'272',14.33,1,3,NULL),(16,3289818,'1960-10-01 00:00:00',2,1,12,1982,'M','N','TRINDADE','FLORIANóPOLIS','SC','524241246146232421333344342334121636057',12984,'293',43.53,1,2,1),(16,3289826,'1991-11-13 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215132531249953572112610127157',13608,'262',42.44,1,3,NULL),(16,3289834,'1989-06-25 00:00:00',4,8,12,2006,'M','N','MEDEIROS','JUNDIAí','SP','125251253117471431524539344124610132147',NULL,'9998',0.00,1,2,1),(16,3289842,'1984-09-06 00:00:00',2,1,12,2000,'F','N','CARIANOS','FLORIANóPOLIS','SC','224131131117471421258943435132610114145',15751,'9998',37.92,1,2,1),(16,3289850,'1991-04-07 00:00:00',4,1,12,2008,'M','N','CENTRO','ANITáPOLIS','SC','124241241145161431623633232321610126147',13303,'19',42.97,1,2,1),(16,3289869,'1990-08-09 00:00:00',2,6,12,2007,'M','N','RIO BRANCO','NOVO HAMBURGO','RS','120202201217471331266612585124610167057',1631,'9998',68.75,1,3,NULL),(16,3289877,'1992-09-22 00:00:00',4,8,12,2009,'M','S','CENTRO','CASCAVEL','PR','116162161216121431569814575122610137126',NULL,'9998',29.07,1,3,NULL),(16,3289885,'1987-09-19 00:00:00',2,6,12,2005,'M','N','CENTRO','STA MARIA','RS','120201201117471751336629372124610127057',12669,'9998',44.05,1,2,1),(16,3289893,'1991-02-23 00:00:00',2,1,12,2008,'F','N','BALNEáRIO','FLORIANóPOLIS','SC','124241241415111431458713575114610133122',14609,'1022',40.48,3,3,NULL),(16,3289915,'1991-05-25 00:00:00',2,3,11,2008,'F','N','JD ANDRADE','LONDRINA','PR','116162161216111431456711575112610164141',5071,'9998',58.46,1,3,NULL),(16,3289923,'1988-04-15 00:00:00',4,1,7,2008,'M','N','CENTRO','FLORIANOPOLIS','SC','124241241315131331424534342123610167047',NULL,'9999',27.25,4,3,NULL),(16,3289940,'1990-08-27 00:00:00',4,3,12,2007,'F','N','JARDIM SAN FERNANDO','LONDRINA','PR','116162161211411111328833571112610163141',NULL,'9998',36.76,3,3,NULL),(16,3289966,'1991-06-24 00:00:00',4,4,11,2008,'M','N','NOSSA S APARCIDA','FRANCISCO BELTRãO','PR','116172161216371431366631275122610117017',14439,'9998',40.81,1,3,NULL),(16,3289974,'1991-07-19 00:00:00',4,4,11,2008,'F','N','CENTRO','STA ROSA','RS','120202201216151731568611572122610166043',NULL,'9998',0.00,1,3,NULL),(16,3289982,'1991-02-17 00:00:00',2,2,12,2008,'F','N','QUINTINO BOCAIúVA','TIMBó','SC','124241241215112231446614575112610137057',NULL,'1157',26.04,1,3,NULL),(16,3289990,'1991-06-26 00:00:00',2,1,11,2008,'M','N','CENTRO','CANOAS','RS','120202201217151431255512325112610167127',NULL,'9998',37.10,1,3,NULL),(16,3290018,'1982-06-25 00:00:00',4,1,7,2000,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124241247217371751464933442112610164197',11533,'9999',46.11,1,3,NULL),(16,3290026,'1991-01-03 00:00:00',4,5,12,2008,'F','N','URUSSANGUINHA','ARARANGUá','SC','124242241415131431448619592114610132057',13941,'30',41.77,1,3,NULL),(16,3290034,'1980-01-13 00:00:00',4,1,12,1999,'M','N','INGLESES','FLORIANóPOLIS','SC','624243247216131721438644241134610154113',NULL,'9999',21.37,1,3,NULL),(16,3290050,'1988-09-24 00:00:00',2,1,12,2005,'M','N','CENTRO','MAXIMILIANO ALMEIDA','RS','120201201126572431536336162124610167097',NULL,'9998',21.06,1,2,1),(16,3290069,'1991-03-05 00:00:00',4,1,11,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244241215111431548513572124610167042',3747,'1050',61.70,1,3,NULL),(16,3290077,'1990-02-17 00:00:00',4,1,12,2007,'F','N','BUENO','GOIâNIA','GO','109092091215471431577969574114610134142',NULL,'9998',0.00,4,3,NULL),(16,3290085,'1990-07-03 00:00:00',5,8,12,2007,'F','N','GUANABARA','JOINVILLE','SC','124242241215472431458614372112610134147',9751,'932',49.24,1,3,NULL),(16,3290093,'1988-05-19 00:00:00',4,9,12,2005,'F','N','CENTRO','FOZ IGUAçU','PR','116252161217571411557614575122610125142',NULL,'9998',27.95,1,3,NULL),(16,3290115,'1991-09-10 00:00:00',2,4,11,2008,'M','N','CENTRO','XAVANTINA','SC','124241241215111431334612595122610148012',NULL,'1081',36.40,1,3,NULL),(16,3290123,'1986-03-31 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241211133531468612375125232427072',NULL,'262',33.95,1,3,NULL),(16,3290131,'1986-11-07 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241137132531226627485324230867051',NULL,'293',22.36,1,3,NULL),(16,3290140,'1980-08-23 00:00:00',2,1,12,1998,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124251251136231411223344242314610127181',16287,'9998',36.41,1,2,1),(16,3290158,'1988-07-11 00:00:00',2,1,11,2006,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241131142411435579182124610163017',15483,'288',38.59,4,2,1),(16,3290166,'1987-03-18 00:00:00',4,1,12,2005,'M','N','JARDIM ANA EMíLIA','TAUBATé','SP','125254256216372431538723485121610167047',NULL,'9998',0.00,2,1,2),(16,3290174,'1990-07-02 00:00:00',2,1,12,2007,'M','N','CAMINHO NOVO','PALHOçA','SC','124242241136152751536613576114610124072',NULL,'592',29.68,1,3,NULL),(16,3290182,'1985-06-16 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241211112411346921412114342617052',NULL,'270',0.00,1,3,NULL),(16,3290190,'1992-02-18 00:00:00',2,1,9,2008,'M','N','SANTA CRUZ','GUARAPUAVA','PR','116161161315271531546819572112610167184',NULL,'9998',28.43,1,3,NULL),(16,3290220,'1988-09-02 00:00:00',2,1,12,2006,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241116232411336624245334610111175',NULL,'298',27.90,4,2,1),(16,3290239,'1991-11-21 00:00:00',2,1,12,2009,'F','S','MORRETINHO','SOMBRIO','SC','124242248215111431476632474124610146092',NULL,'32',36.32,1,3,NULL),(16,3290247,'1973-09-10 00:00:00',4,1,12,1994,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241248122371731131143235334132823147',NULL,'769',21.40,1,2,1),(16,3290255,'1987-07-05 00:00:00',2,1,11,2006,'M','N','BALNEARIO','FLORIANóPOLIS','SC','124241247216132521336527375114231427045',NULL,'9999',27.71,1,3,NULL),(16,3290263,'1991-06-07 00:00:00',2,1,12,2008,'F','N','UNIVERSITáRIO','TIJUCAS','SC','124242241215111431343812575122610122092',NULL,'781',27.88,1,3,NULL),(16,3290271,'1990-11-10 00:00:00',2,1,5,2008,'F','N','SANTINHO','FLORIANóPOLIS','SC','124201201117271431558811345134610125017',8404,'9998',51.59,1,3,NULL),(16,3290301,'1991-09-26 00:00:00',2,6,12,2008,'F','N','FAZENDA','ITAJAí','SC','124242241215131451547811572122610132187',12030,'1026',45.22,1,3,NULL),(16,3290310,'1991-03-10 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241312131421436734342124610117081',NULL,'262',14.26,1,3,NULL),(16,3290328,'1990-03-28 00:00:00',2,1,12,2007,'F','N','BUENO','GOIÂNIA','GO','109094091217412731367722172125610162092',6700,'9998',54.86,1,3,NULL),(16,3290336,'1992-08-23 00:00:00',4,1,11,2009,'M','S','JORDAO','GOV CELSO RAMOS','SC','624244241416141731435619395114610168115',NULL,'63',31.37,1,3,NULL),(16,3290344,'1971-08-30 00:00:00',4,1,12,1990,'M','N','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','524212131112142411268843232122343216142',NULL,'9998',0.00,1,3,NULL),(16,3290352,'1991-09-26 00:00:00',4,10,12,2008,'M','N','SANTA HELENA','CACHOEIRA SUL','RS','120202201216111431538934595124610167046',NULL,'9998',0.00,1,3,NULL),(16,3290360,'1987-08-07 00:00:00',4,1,12,2005,'M','N','PRAIA COMPRIDA','S JOSé','SC','124242241142132431556513245112610127067',NULL,'595',23.45,1,3,NULL),(16,3290379,'1990-11-23 00:00:00',2,1,11,2008,'M','N','JURERE INTERNACIONAL','FLORIANóPOLIS','SC','124242241212151431459832392122610127135',NULL,'884',26.04,1,3,NULL),(16,3290387,'1990-07-29 00:00:00',2,1,12,2007,'F','N','CENTRO','ÁGUAS MORNAS','SC','124242241215472421578732575112610111152',9741,'270',49.26,1,3,NULL),(16,3290395,'1991-12-27 00:00:00',4,4,2,2009,'M','N','CENTRO','PATO BRANCO','PR','116161161111371711327611275125610124017',15859,'9998',37.60,3,3,NULL),(16,3290409,'1987-10-30 00:00:00',4,1,12,2005,'M','N','SOL NASCENTE','TAPEJARA','RS','124201201146374431465412285122141012142',10821,'9998',47.32,1,2,1),(16,3290417,'1992-01-16 00:00:00',4,4,12,2008,'F','N','PRESIDENTE MéDICE','CHAPECó','SC','124242241215271431358632575122610126142',13520,'168',42.59,1,3,NULL),(16,3290425,'1992-05-07 00:00:00',4,2,11,2009,'M','S','CENTRO','RIO SUL','SC','124242241215111431465712175122610164072',NULL,'9997',30.21,1,3,NULL),(16,3290441,'1991-04-04 00:00:00',2,9,12,2008,'F','N','PADRE EDUARDO','TAIó','SC','124241241315111431435332175124610134142',NULL,'991',39.33,1,3,NULL),(16,3290450,'1991-08-14 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241126141431531314342121613222072',NULL,'922',27.61,1,2,1),(16,3290468,'1983-10-31 00:00:00',4,1,12,2000,'F','N','KOBRASOL','S JOSé','SC','124244241216152411139943435124332826057',8452,'241',51.48,1,3,NULL),(16,3290476,'1988-02-18 00:00:00',2,1,11,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124202201336274431438834571124610121181',6004,'9998',56.35,1,3,NULL),(16,3290484,'1992-06-16 00:00:00',4,8,12,2009,'M','S','AMERICA','JOINVILLE','SC','124242241217111432449811575122610127042',NULL,'491',48.79,1,3,NULL),(16,3290492,'1991-07-27 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244241217111411389813572124610147172',1079,'883',71.58,1,3,NULL),(16,3290506,'1992-03-16 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217151751469939595124610167055',NULL,'262',37.60,1,3,NULL),(16,3290514,'1989-03-16 00:00:00',2,4,12,2006,'F','N','TIARAJU','IJUí','RS','120202201217571431358814172124610136187',4079,'9998',60.84,1,3,NULL),(16,3290522,'1984-06-08 00:00:00',4,1,12,2003,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124241247316155751226613175111222944045',NULL,'9999',44.10,1,3,NULL),(16,3290530,'1990-07-10 00:00:00',2,3,12,2007,'M','N','CENTRO','XANGRI-Lá','RS','120204201127162731326721181124610137112',NULL,'9998',32.02,1,3,NULL),(16,3290549,'1964-11-13 00:00:00',4,1,12,1981,'M','N','TRINDADE','FLORIANóPOLIS','SC','224242241216272421458841415122321467045',NULL,'797',9.23,1,3,NULL),(16,3290565,'1991-06-10 00:00:00',4,1,11,2009,'F','S','COQUEIROS','FLORIANóPOLIS','SC','124242248215111731487632392122610168015',NULL,'262',0.00,1,3,NULL),(16,3290573,'1986-01-11 00:00:00',2,9,12,2004,'F','N','MARTORANO','S JOAQUIM','SC','124241241115372711226629441122132524147',NULL,'498',21.69,1,3,NULL),(16,3290581,'1991-09-17 00:00:00',2,9,11,2008,'F','N','MARTORANO','S JOAQUIM','SC','124243241215131131323619572125610124147',NULL,'720',38.59,1,3,NULL),(16,3290590,'1991-02-11 00:00:00',2,1,12,2008,'F','N','CENTRO','BIGUAçU','SC','124242241215121231538514575112610127077',14307,'1022',41.02,1,3,NULL),(16,3290603,'1991-01-14 00:00:00',1,1,10,2008,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124243241117131431366819345134610166125',7430,'271',53.45,1,3,NULL),(16,3290611,'1991-03-16 00:00:00',4,1,11,2008,'F','N','TRAçADO','URUBICI','SC','124243241115131431538923235124610121147',NULL,'818',23.99,1,3,NULL),(16,3290638,'1991-08-23 00:00:00',4,1,12,2008,'M','N','ENCANO DO NORTE','INDAIAL','SC','124241241117131431444414232122612443187',NULL,'365',21.20,1,3,NULL),(16,3290646,'1991-08-28 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215121431467812395124610138012',2358,'737',65.85,1,3,NULL),(16,3290654,'1978-05-26 00:00:00',4,1,7,1997,'M','N','CENTRO','PALHOçA','SC','124241248117131421646519445133610167047',15319,'306',38.93,1,2,1),(16,3290662,'1984-06-18 00:00:00',2,1,12,2003,'M','N','PONTE IMARUIM','PALHOçA','SC','124211211112131711134311235112610163055',15565,'9998',38.40,4,3,NULL),(16,3290670,'1991-06-27 00:00:00',2,1,12,2008,'M','N','JARDIM PIRATININGA','LIMEIRA','SP','125251258127111451426831115122610157092',NULL,'9998',27.48,1,3,NULL),(16,3290689,'1973-01-15 00:00:00',2,1,12,2003,'F','N','PRADO','BIGUAçU','SC','224241247221271721323174242124610124187',NULL,'63',28.13,1,3,NULL),(16,3290697,'1990-05-04 00:00:00',2,4,11,2007,'F','N','CENTRO','ERECHIM','RS','120201201216471431553639592124243221192',11025,'9998',46.98,1,3,NULL),(16,3290719,'1989-03-07 00:00:00',2,1,12,2006,'F','N','PARQUE PROGRESSO','FRANCA','SP','125251251117271411525612395332140236192',NULL,'9998',7.61,1,2,1),(16,3290727,'1992-09-02 00:00:00',4,1,11,2009,'M','S','ESTREITO','FLORIANóPOLIS','SC','124241241132131751336821576124610134011',NULL,'307',28.51,1,3,NULL),(16,3290735,'1991-06-05 00:00:00',4,1,12,2008,'F','N','BRAçO SãO JOãO','STO AMARO IMPERATRIZ','SC','124241241124141431414611392124610133147',NULL,'941',26.74,1,2,1),(16,3290743,'1990-08-06 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANóPOLIS','SC','124243241112373431446629592113610162182',NULL,'1022',28.09,1,3,NULL),(16,3290751,'1991-12-11 00:00:00',4,4,12,2008,'M','N','CENTRO','CASCAVEL','PR','116162161216471231479931575122610127012',2744,'9998',64.58,3,3,NULL),(16,3290760,'1990-09-17 00:00:00',4,4,11,2007,'M','N','SANTA AMALIA','CUIABá','MT','111113111217471751465816595124610168047',NULL,'9998',0.00,1,3,NULL),(16,3290778,'1991-07-20 00:00:00',2,1,12,2008,'M','N','CENTRO','BIGUAçU','SC','124241241125161431535512372122610166047',NULL,'924',29.39,1,2,1),(16,3290786,'1984-02-25 00:00:00',2,1,12,2005,'F','N','CAMPINAS','S JOSé','SC','124243241112133421324341212124610122012',NULL,'9999',32.11,1,3,NULL),(16,3290794,'1991-04-03 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124243241415221731258931572112610123197',14590,'44',40.53,1,3,NULL),(16,3290808,'1982-02-22 00:00:00',4,8,12,1999,'F','N','CENTRO','CURITIBA','PR','116162161215572431576629474122333242141',6917,'9998',54.47,1,3,NULL),(16,3290816,'1989-09-23 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124243241115141441536433392124610137057',NULL,'267',25.24,1,3,NULL),(16,3290824,'1991-05-13 00:00:00',4,2,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161216411731558916571114610142052',NULL,'9998',0.00,1,3,NULL),(16,3290832,'1992-09-10 00:00:00',4,9,11,2009,'F','S','CENTRO','LAGES','SC','124242241215111511556912575122610147142',NULL,'497',23.01,1,3,NULL),(16,3290840,'1991-09-21 00:00:00',4,8,10,2008,'F','N','PARQUE VERDE','CASCAVEL','PR','116162161215311431446652572124610166077',NULL,'9998',34.26,1,3,NULL),(16,3290859,'1991-09-03 00:00:00',4,1,12,2008,'M','N','IBIRAQUERA','IMBITUBA','SC','124242241435111411448834592122610127117',NULL,'362',8.48,4,3,NULL),(16,3290875,'1987-05-12 00:00:00',2,1,12,2004,'M','N','CENTRO','MAXIMILIANO ALMEIDA','RS','120201201126572431536336162124610167097',10408,'9998',48.08,1,2,1),(16,3290883,'1984-05-18 00:00:00',2,6,6,2003,'M','N','SANTA TEREZINHA','BRUSQUE','SC','124241241126131731126648385224232834057',NULL,'429',18.09,1,2,1),(16,3290913,'1991-05-24 00:00:00',2,10,7,2008,'F','N','CONGONHAS','TUBARãO','SC','124242247212271751428623472222610118142',NULL,'9999',29.40,1,3,NULL),(16,3290921,'1992-02-19 00:00:00',4,1,10,2009,'M','S','CENTRO','S JOãO BATISTA','SC','124241241237161231368934575124610117067',NULL,'981',30.83,1,3,NULL),(16,3290930,'1988-02-03 00:00:00',4,1,12,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124011247436111431115644241124610134152',NULL,'1036',4.16,1,3,NULL),(16,3290948,'1991-08-27 00:00:00',4,3,12,2008,'F','N','CENTRO','IVAIPORã','PR','116162161316131231448933572122610165072',NULL,'9998',0.00,1,3,NULL),(16,3290956,'1991-11-09 00:00:00',2,4,12,2008,'F','N','CENTRO','ITAPEJARA D OESTE','PR','116161161317161731443829472122610137077',NULL,'9998',24.74,1,3,NULL),(16,3290964,'1990-12-14 00:00:00',2,3,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124112241215111431346823575122610138142',16445,'1038',35.74,1,3,NULL),(16,3290972,'1991-07-27 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215111431468913472112610112162',6820,'737',54.63,1,3,NULL),(16,3290999,'1985-05-25 00:00:00',4,3,12,2002,'F','N','SEMINARIO','CURITIBA','PR','116161161215574441566614472124610167037',1562,'9998',69.03,1,3,NULL),(16,3291006,'1990-10-03 00:00:00',2,4,12,2007,'F','N','JARDIM AMERICA','DOURADOS','MS','116122121215471431446812321122610112191',NULL,'9998',30.52,1,3,NULL),(16,3291014,'1990-11-30 00:00:00',4,1,1,2008,'M','N','CENTRO','PALHOçA','SC','124242241117132431536531572124233264052',13652,'739',42.36,1,3,NULL),(16,3291022,'1990-11-19 00:00:00',2,1,12,2008,'M','N','CENTRO','RIO NEGRO','PR','116162161215111431648632575123610168057',9660,'9998',49.41,1,3,NULL),(16,3291030,'1976-08-03 00:00:00',2,1,12,2004,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','224242248212213721538544245122131167042',15261,'270',39.07,1,3,NULL),(16,3291049,'1991-06-20 00:00:00',2,6,11,2008,'M','N','CENTRO','CASCAVEL','PR','116162161214111232478932572122610117062',NULL,'9998',30.88,1,3,NULL),(16,3291057,'1991-02-28 00:00:00',4,4,11,2008,'F','N','JARDIM PANCERA','TOLEDO','PR','116162161215111431333823342122610118112',NULL,'9998',12.55,1,3,NULL),(16,3291065,'1991-03-11 00:00:00',2,7,12,2007,'M','N','SANTA CECíLIA','PTO ALEGRE','RS','120201201317472411645313492124610124057',11445,'9998',46.27,1,3,NULL),(16,3291081,'1989-03-24 00:00:00',2,9,12,2006,'M','N','CENTRO','SALETE','SC','124243248316442531333631372123613227047',NULL,'776',23.84,1,3,NULL),(16,3291090,'1962-03-07 00:00:00',2,1,12,1980,'M','N','JURERE','FLORIANóPOLIS','SC','624251254332131411565843432122341066192',NULL,'9998',0.00,1,3,NULL),(16,3291103,'1991-05-07 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215272431336829575122610127042',2644,'262',64.85,1,3,NULL),(16,3291111,'1946-05-04 00:00:00',3,1,12,1966,'F','N','SANTA MÔNICA','FLORIANóPOLIS','SC','324252251212152711376643292122431016175',NULL,'9998',0.00,1,3,NULL),(16,3291120,'1991-10-28 00:00:00',2,6,12,2008,'F','N','SãO VICENTE','ITAJAí','SC','124242241215112531357933572122610166092',6898,'1026',54.49,1,3,NULL),(16,3291138,'1989-10-21 00:00:00',4,1,11,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217153231478833575122230767127',NULL,'262',34.25,1,3,NULL),(16,3291146,'1989-10-14 00:00:00',2,1,11,2006,'F','N','CECAP II','PIRACICABA','SP','125251251116471731426811171124610147092',10248,'9998',48.35,2,2,1),(16,3291154,'1989-10-16 00:00:00',2,4,12,1996,'F','N','AGOSTINI','S MIGUEL OESTE','SC','124241241116232431435724595124231512147',NULL,'757',17.04,1,3,NULL),(16,3291162,'1985-05-27 00:00:00',4,10,12,2002,'M','N','STO ANTONIO DE PáDUA','TUBARãO','SC','124241241117141431457733382122331911062',10847,'808',47.27,1,2,1),(16,3291170,'1990-08-26 00:00:00',4,8,10,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242241215112441538824574114610127072',4952,'486',58.73,4,3,NULL),(16,3291189,'1993-02-27 00:00:00',4,5,11,2009,'F','S','CENTRO','SOMBRIO','SC','124242241215111431469933475122610147055',NULL,'970',51.57,1,3,NULL),(16,3291197,'1986-12-24 00:00:00',4,1,12,2005,'M','N','CENTRO','PTO ALEGRE','RS','120202201236412411348713575121140762172',NULL,'9998',29.30,1,3,NULL),(16,3291200,'1990-08-17 00:00:00',4,8,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241215372431468834575124231427145',7508,'270',53.32,1,3,NULL),(16,3291227,'1988-04-01 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124161161127471731421621345122610127052',NULL,'9998',25.36,1,2,1),(16,3291235,'1991-04-30 00:00:00',2,1,12,2008,'M','N','CENTRO','BIGUAçU','SC','124241247336111411645334245114610117042',NULL,'9999',23.72,1,3,NULL),(16,3291243,'1992-01-09 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241411111431557614345124610137052',NULL,'988',26.96,1,3,NULL),(16,3291251,'1992-09-04 00:00:00',2,10,11,2009,'F','S','CENTRO','S LUDGERO','SC','124242241217161731548634575122610122072',NULL,'950',25.96,1,3,NULL),(16,3291260,'1975-07-01 00:00:00',2,1,12,1996,'F','N','FORQUILHINHAS','S JOSé','SC','124243241342131421223341111224231024142',NULL,'90',0.00,1,3,NULL),(16,3291278,'1991-10-24 00:00:00',2,9,12,2008,'M','N','RIO DE AREIA','RIO RUFINO','SC','124241241125131431544836162224610144147',NULL,'673',16.55,1,3,NULL),(16,3291286,'1991-04-22 00:00:00',4,6,12,2008,'F','N','CENTRO','ITAJAí','SC','124242241215121411449934495122610163187',7907,'389',52.59,1,3,NULL),(16,3291294,'1991-11-24 00:00:00',4,3,11,2008,'F','N','CENTRO','CURITIBA','PR','116162161216111431589613175122610163146',NULL,'9998',0.00,1,3,NULL),(16,3291308,'1989-11-13 00:00:00',4,1,12,2005,'M','N','BARREIROS','SAO JOSE','SC','124242241215472431323624245134610132117',9039,'724',50.51,1,3,NULL),(16,3291316,'1989-10-26 00:00:00',2,1,12,2007,'F','N','JORDÃO','GOV CELSO RAMOS','SC','124241241126131132535431585112610125197',NULL,'329',27.56,1,2,1),(16,3291324,'1976-05-09 00:00:00',2,1,12,1995,'M','N','BARRA DO ARIRIÚ','PALHOçA','SC','124041251146131452335463385211140962197',11573,'9998',46.05,1,2,1),(16,3291332,'1991-07-09 00:00:00',4,7,12,2008,'F','N','MENINO DEUS','JOAçABA','SC','124241241116151721326634575124610134072',NULL,'449',26.89,1,3,NULL),(16,3291340,'1987-08-13 00:00:00',4,1,8,2006,'F','N','PRAIA COMPRIDA','S JOSé','SC','124241241117271431435723575124232727187',15873,'739',37.54,2,1,1),(16,3291359,'1991-08-17 00:00:00',4,7,11,2008,'F','N','IMPERIAL','CONCóRDIA','SC','124242248216111751466632495122610142157',NULL,'190',23.52,1,3,NULL),(16,3291375,'1990-03-03 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215372431336619495114610152047',5732,'9997',57.00,1,3,NULL),(16,3291383,'1991-11-03 00:00:00',2,1,12,2008,'M','N','CENTRO','GAROPABA','SC','124241241115131431437832245124620127017',14284,'1136',41.08,1,3,NULL),(16,3291391,'1988-12-14 00:00:00',4,1,12,2005,'F','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120202201217571411489914595125610164092',9062,'9998',50.48,4,3,NULL),(16,3291405,'1988-05-18 00:00:00',2,1,12,2005,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124204208216271431458813572324141067187',9033,'9998',50.52,4,1,2),(16,3291413,'1987-12-16 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124244247412132431533624442214610126073',15766,'9999',37.87,1,3,NULL),(16,3291421,'1986-10-01 00:00:00',2,1,11,2004,'M','N','NADIR KENAN','BARRETOS','SP','125254251216372751224723485125141628197',NULL,'9998',12.10,1,3,NULL),(16,3291430,'1990-07-31 00:00:00',2,3,12,2007,'F','N','CENTRO','BAL CAMBORIú','SC','124242231215471431467812592122610167182',NULL,'1038',32.90,1,3,NULL),(16,3291448,'1985-01-14 00:00:00',2,1,7,2003,'F','N','PASSA VINTE','PALHOçA','SC','124161241115472431646329242124610122147',10912,'591',47.17,1,2,1),(16,3291456,'1991-01-12 00:00:00',4,8,11,2008,'M','N','NOVA BRASíLIA','JOINVILLE','SC','124244241545141431649611245134610128157',NULL,'932',0.00,1,3,NULL),(16,3291464,'1985-02-13 00:00:00',4,1,12,2002,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124251251117132311127841315125143268042',16526,'9998',35.35,1,2,1),(16,3291472,'1990-03-07 00:00:00',2,1,11,2007,'M','N','BARREIROS','S JOSé','SC','124242241216373411567814375124610137042',NULL,'1118',38.19,1,3,NULL),(16,3291480,'1991-08-31 00:00:00',2,8,12,2008,'F','N','CENTRO','RONDINHA','RS','120201201116471421457933435124610131047',11791,'9998',45.65,1,2,1),(16,3291499,'1991-09-10 00:00:00',4,10,12,2008,'M','N','NOVA BRASíLIA','IMBITUBA','SC','124241241117271711233515295111610134182',NULL,'1034',19.91,1,2,1),(16,3291502,'1977-06-09 00:00:00',2,1,12,1995,'F','N','INGLESES','FLORIANóPOLIS','SC','124251251111143731125319341224122242053',14130,'9998',41.37,4,2,1),(16,3291510,'1981-04-20 00:00:00',4,1,12,1999,'M','N','CAJURU','CURITIBA','PR','124161166146151411153144345122341434043',1057,'9998',71.70,1,3,NULL),(16,3291529,'1980-11-25 00:00:00',4,1,12,1997,'F','N','SERRARIA','S JOSé','SC','124243241126555431334514441124333264147',14291,'307',41.06,4,3,NULL),(16,3291537,'1983-10-17 00:00:00',4,1,12,2000,'M','N','ITAGUAÇU','FLORIANóPOLIS','SC','124242241311152431488811412122321127182',5026,'270',58.55,1,3,NULL),(16,3291553,'1985-03-08 00:00:00',2,1,12,2002,'M','N','OURO FINO','CPO GRANDE','MS','112124121116311751634719441233142162061',NULL,'9998',38.85,1,3,NULL),(16,3291561,'1992-01-18 00:00:00',4,9,12,2009,'F','S','SAGRADO C DE JESUS','LAGES','SC','124243241215131131333411174122610134142',NULL,'499',29.58,1,3,NULL),(16,3291588,'1988-05-27 00:00:00',4,8,11,2005,'F','N','CENTRO','CURITIBA','PR','116162161216571431348831374125610121187',NULL,'9998',0.00,1,3,NULL),(16,3291596,'1980-09-04 00:00:00',4,1,12,1998,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124252251437131431223441342334610161097',12624,'9998',44.13,1,3,NULL),(16,3291618,'1991-09-11 00:00:00',2,5,12,2008,'M','N','CIDADE ALTA','ARARANGUá','SC','124242241215371431433811242125610114142',NULL,'970',34.97,1,3,NULL),(16,3291626,'1986-10-11 00:00:00',5,1,12,2004,'M','N','REAL PARQUE','S JOSé','SC','124241241137142311525414145124130236067',NULL,'734',31.67,1,2,1),(16,3291634,'1986-06-16 00:00:00',4,1,12,2004,'M','N','COND J FLORENÇA','GOIâNIA','GO','109092091215572431478612572122141434112',NULL,'9998',0.00,4,3,NULL),(16,3291642,'1991-09-06 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242248217111231588812424122610167112',NULL,'1038',42.11,1,3,NULL),(16,3291650,'1967-08-22 00:00:00',4,1,12,1986,'F','N','CENTRO','FLORIANóPOLIS','SC','124244244436155451146841312135133264182',NULL,'395',0.00,1,3,NULL),(16,3291669,'1991-08-23 00:00:00',4,4,11,2008,'M','N','CENTRO','S CARLOS','SC','124242241215141531446832342111610162052',NULL,'185',27.15,1,3,NULL),(16,3291677,'1989-10-21 00:00:00',2,1,12,2006,'F','N','CENTRO','S JOSé','SC','124241241117133431329728245124610126047',NULL,'733',20.13,1,2,1),(16,3291685,'1992-03-15 00:00:00',2,5,11,2009,'M','S','CENTRO','URUSSANGA','SC','124243241215111431438931574121610134072',NULL,'820',42.81,1,3,NULL),(16,3291693,'1989-08-02 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248212161431428762475124610134077',NULL,'262',27.48,1,3,NULL),(16,3291707,'1991-12-02 00:00:00',2,4,12,2008,'F','N','CENTRO','CLEVELâNDIA','PR','116161168117131431323335572224610116172',16251,'9998',36.52,1,3,NULL),(16,3291715,'1990-04-09 00:00:00',4,1,11,2007,'M','N','ASA NORTE','BRASíLIA','DF','107072071212371231378923472122610137013',8036,'9998',52.35,1,3,NULL),(16,3291723,'1987-01-28 00:00:00',2,3,12,2004,'M','N','CENTRO','BAL CAMBORIú','SC','124241241116374132136617472124133222047',11840,'542',45.58,1,2,1),(16,3291740,'1948-07-21 00:00:00',3,1,12,1967,'F','N','CENTRO','FLORIANóPOLIS','SC','224201201111152441233349491122321321182',NULL,'9998',35.51,1,3,NULL),(16,3291758,'1990-11-24 00:00:00',4,1,12,2007,'M','N','REAL PARQUE','S JOSé','SC','124241241115132431346314292124231437117',NULL,'734',30.49,1,2,1),(16,3291766,'1991-03-09 00:00:00',4,8,11,2008,'M','N','CRUZEIRO','RIO NEGRINHO','SC','124242241237111411369832575122610127042',11465,'666',46.23,1,3,NULL),(16,3291774,'1989-11-10 00:00:00',2,10,11,2007,'M','N','NS SENHORA DE FATIMA','BRAçO NORTE','SC','124243241415211411433315242344610146197',16118,'581',36.88,1,3,NULL),(16,3291782,'1992-08-27 00:00:00',2,1,11,2009,'F','S','CENTRO','PALHOçA','SC','124242248217111331543634195112610117082',NULL,'1011',15.13,1,3,NULL),(16,3291790,'1992-07-03 00:00:00',4,9,12,2009,'F','S','CENTRO','CURITIBANOS','SC','124242241215121431448731575122610166017',NULL,'881',30.28,1,3,NULL),(16,3291804,'1960-04-09 00:00:00',2,1,12,1979,'F','N','INGLESES','FLORIANóPOLIS','SC','224212211615372751588853292112141962187',13583,'9998',42.49,1,3,NULL),(16,3291812,'1992-10-02 00:00:00',4,1,12,2009,'M','S','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241217111431559913572124610137182',NULL,'262',24.99,1,3,NULL),(16,3291820,'1991-04-18 00:00:00',4,1,11,2008,'M','N','CENTRO','CURITIBA','PR','116162161215171431258933575324610127047',NULL,'9998',20.10,1,3,NULL),(16,3291839,'1991-02-25 00:00:00',4,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241135271431526674271224610122072',NULL,'772',30.21,1,2,1),(16,3291847,'1990-12-06 00:00:00',4,5,12,2008,'M','N','CENTRO','TORRES','RS','120203201437132411359819575121610157187',10419,'9998',48.06,1,3,NULL),(16,3291863,'1960-12-24 00:00:00',4,1,12,1977,'M','N','CENTRO','FLORIANóPOLIS','SC','224161161111132421657341211132521464042',14243,'9998',41.15,1,2,1),(16,3291871,'1990-11-12 00:00:00',2,5,12,2007,'F','N','BOA VISTA','MELEIRO','SC','124241241112161431313314572214610138047',NULL,'559',0.00,1,2,1),(16,3291898,'1989-06-07 00:00:00',2,6,11,2007,'M','N','MORUMBI','S PAULO','SP','125252251217271431468811382124610147047',NULL,'9998',23.77,1,3,NULL),(16,3291901,'1967-02-22 00:00:00',4,1,12,1986,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','524243241317134721226419442124121222093',NULL,'266',0.00,1,3,NULL),(16,3291910,'1984-02-05 00:00:00',4,1,6,2002,'M','N','INGLESES','FLORIANóPOLIS','SC','124243243114373431457823275124220732032',7875,'306',52.65,1,3,NULL),(16,3291928,'1989-09-28 00:00:00',2,10,11,2007,'F','N','CENTRO','BOM JD SERRA','SC','124244248215372431538634575122610137147',15623,'807',38.25,1,3,NULL),(16,3291936,'1991-10-30 00:00:00',2,1,12,2008,'F','N','SANTOS DUMONT','S JOSé','SC','124241241115131431335514112124610127142',NULL,'732',15.38,1,2,1),(16,3291944,'1989-07-06 00:00:00',2,1,12,2006,'F','N','JARDIM PARAíSO','S JOSé CAMPOS','SP','125251251215571431443335571124610145142',9263,'9998',50.14,1,3,NULL),(16,3291952,'1987-01-17 00:00:00',4,1,12,2004,'M','N','INGLESES','FLORIANóPOLIS','SC','124252251237141431158811445134230242112',NULL,'9998',34.60,1,3,NULL),(16,3291960,'1990-11-06 00:00:00',2,8,12,2007,'F','N','ALTO','CURITIBA','PR','116162161215471711455532171114610132142',NULL,'9998',0.00,1,3,NULL),(16,3291987,'1988-02-08 00:00:00',2,1,12,2005,'F','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124242241147272431236544242333610128097',NULL,'274',25.73,1,3,NULL),(16,3291995,'1988-05-04 00:00:00',2,6,10,2008,'F','N','SAO SILVESTRE','MARINGá','PR','116161167111211421523611591324610144142',NULL,'9999',0.00,1,2,1),(16,3292002,'1985-09-17 00:00:00',4,1,11,2003,'M','N','ALDEOTA','FORTALEZA','CE','106042064222412211333334532222613214187',NULL,'9998',0.00,1,3,NULL),(16,3292029,'1990-02-10 00:00:00',4,1,12,2007,'M','N','JARDIM NOEMIA','FRANCA','SP','125252251215471431336724575122610142017',NULL,'9998',32.21,1,3,NULL),(16,3292037,'1991-05-15 00:00:00',4,1,11,2008,'M','N','ALTO CAFEZAL','MARíLIA','SP','125252251215111731668813575112610168042',NULL,'9998',38.83,1,3,NULL),(16,3292045,'1987-05-15 00:00:00',2,1,12,2004,'F','N','CARIANOS','FLORIANóPOLIS','SC','124242241217472431446623315124232842127',NULL,'270',33.53,3,3,NULL),(16,3292053,'1989-10-27 00:00:00',4,1,12,2006,'F','N','SANTA ROSALIA','LIMEIRA','SP','125254251216572411346713576112610122187',1576,'9998',68.99,1,3,NULL),(16,3292061,'1989-02-02 00:00:00',4,8,12,2005,'M','N','TIRADENTES','CPO GRANDE','MS','112121121217573731457831275114143234031',5747,'9998',56.97,3,3,NULL),(16,3292088,'1991-05-23 00:00:00',4,1,11,2008,'M','N','CENTRO','ANáPOLIS','GO','109092091216111121456613323112610133136',NULL,'9998',0.00,1,3,NULL),(16,3292096,'1989-02-20 00:00:00',4,8,11,2006,'M','N','SAGUAçU','JOINVILLE','SC','124242241217373431488631595114130462042',9230,'491',50.20,1,3,NULL),(16,3292100,'1991-11-12 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243241215111532553512572122610127052',NULL,'738',25.38,1,3,NULL),(16,3292118,'1962-02-13 00:00:00',4,1,12,1983,'M','N','CENTRO','FLORIANóPOLIS','SC','624241246146135421564343335122221422097',8930,'239',50.69,1,2,1),(16,3292126,'1980-05-15 00:00:00',2,1,11,2003,'M','N','LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC','124271271127131411221521382334610122097',NULL,'9998',31.43,2,1,1),(16,3292134,'1990-08-22 00:00:00',4,8,12,2007,'M','N','CENTRO','JARAGUá SUL','SC','124243246217371411346822375122610168097',NULL,'1061',0.00,1,3,NULL),(16,3292142,'1971-07-28 00:00:00',3,1,12,1992,'M','N','BARREIROS','S JOSé','SC','224241248144273741333353435234320966041',NULL,'306',0.00,1,3,NULL),(16,3292150,'1989-06-26 00:00:00',4,1,12,2006,'M','N','AREIAS','S JOSé','SC','124242241217151411466633335114230217047',NULL,'976',24.52,2,3,NULL),(16,3292169,'1992-10-08 00:00:00',4,1,12,2009,'F','S','GUARDA DO CUBATãO','PALHOçA','SC','124241241225131451533414574224610157147',NULL,'262',46.51,3,3,NULL),(16,3292177,'1991-08-07 00:00:00',4,4,12,2008,'F','N','MARATá','S DOMINGOS','SC','124241241125271711624435572224610121057',NULL,'707',21.55,1,2,1),(16,3292185,'1989-08-16 00:00:00',2,5,11,2007,'M','N','CIDADE MINEIRA VELHA','CRICIúMA','SC','124241241215471731466313575114610167071',3300,'226',62.98,2,3,NULL),(16,3292193,'1984-01-29 00:00:00',4,2,12,2002,'F','N','VILA NOVA','BLUMENAU','SC','124242241216473431357832575124132535097',15772,'855',37.86,1,3,NULL),(16,3292207,'1990-04-21 00:00:00',4,1,11,2007,'F','N','CENTRO','ERECHIM','RS','120201201215372431436739572125610124147',4118,'9998',60.72,1,3,NULL),(16,3292215,'1991-03-29 00:00:00',4,8,11,2008,'F','N','ATIRADORES','JOINVILLE','SC','124244241215111431459834575125610154092',NULL,'1063',0.00,1,3,NULL),(16,3292223,'1990-10-23 00:00:00',4,1,12,2008,'F','N','SANTA MÔNICA','FLORIANóPOLIS','SC','124242241215112431479933575124610112142',8204,'270',51.99,1,3,NULL),(16,3292231,'1991-05-03 00:00:00',2,3,10,2008,'F','N','DOS ESTADOS','BAL CAMBORIú','SC','124242241215111431468833495122610127077',16255,'1038',36.52,1,3,NULL),(16,3292258,'1990-06-21 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215473731356613575114610124065',2188,'1022',66.46,1,3,NULL),(16,3292266,'1991-04-24 00:00:00',4,1,12,2008,'M','N','CENTRO','PALHOçA','SC','124242241215112231468713575114610132047',3208,'1011',63.26,1,3,NULL),(16,3292282,'1986-06-11 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241247115573431127616281314610166187',8668,'9999',51.12,1,2,1),(16,3292290,'1992-03-14 00:00:00',4,1,12,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124242241215111731477811575122610133143',NULL,'262',24.90,1,3,NULL),(16,3292304,'1991-03-20 00:00:00',4,1,12,2008,'M','N','LINHA DOS CHAVES','ANGELINA','SC','124241241116161431433335552324610147142',NULL,'17',0.00,1,2,1),(16,3292312,'1990-12-19 00:00:00',4,6,12,2008,'M','N','RESSACADA','ITAJAí','SC','124243241215271411357733375122610164072',4101,'388',60.77,1,3,NULL),(16,3292320,'1991-03-05 00:00:00',4,1,12,2008,'F','N','SANTA MARIA','SANTOS','SP','125251251217111431446763375124610132187',NULL,'9998',29.46,4,3,NULL),(16,3292339,'1989-05-19 00:00:00',4,1,12,2005,'M','N','CONSOLACAO','S PAULO','SP','125252251216571431369814475114140262017',NULL,'9998',0.00,1,3,NULL),(16,3292347,'1991-09-15 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115131431469834575124610117047',16044,'733',37.13,1,2,1),(16,3292355,'1987-03-06 00:00:00',2,1,12,2005,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241247416271431435644242114610114187',NULL,'300',27.10,1,3,NULL),(16,3292363,'1990-08-30 00:00:00',4,3,11,2007,'F','N','CENTRO','RIO SUL','SC','124242248217471431345639595122610168147',NULL,'991',31.06,1,3,NULL),(16,3292371,'1991-05-12 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217311431438612575122610127147',NULL,'269',22.79,1,3,NULL),(16,3292380,'1988-06-18 00:00:00',2,1,12,2006,'M','N','BARREIROS','S JOSé','SC','124242241217573431366921571122610167082',9995,'1118',48.78,1,3,NULL),(16,3292398,'1987-05-09 00:00:00',2,6,12,2007,'M','N','GUABIROTUBA','CURITIBA','PR','116161167337131411436414215124610136057',NULL,'9999',0.00,1,3,NULL),(16,3292410,'1990-12-03 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124242241216371731569913575114610123047',NULL,'723',26.20,4,3,NULL),(16,3292428,'1991-05-04 00:00:00',4,2,12,2008,'F','N','CENTRO','BLUMENAU','SC','124242241215121431436614574125610126012',4,'87',86.16,1,3,NULL),(16,3292436,'1985-10-23 00:00:00',2,1,12,2004,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241247211473221436411414124610127013',NULL,'1003',22.43,1,3,NULL),(16,3292444,'1980-11-02 00:00:00',4,1,12,1998,'M','N','TRINDADE','FLORIANóPOLIS','SC','624243241211134431348744345334610167047',5468,'269',57.55,1,3,NULL),(16,3292452,'1991-06-12 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','109094091216111712238811491325610124172',NULL,'9998',24.84,1,3,NULL),(16,3292479,'1989-04-26 00:00:00',4,1,12,2006,'M','N','CENTRO','BOTUCATU','SP','125253251315571611427821381115610164147',12007,'9998',45.25,1,3,NULL),(16,3292495,'1988-08-09 00:00:00',2,1,12,2005,'F','N','BALNEáRIO','FLORIANóPOLIS','SC','124242241211154511357954215122230225097',7122,'1022',54.05,1,3,NULL),(16,3292509,'1988-04-11 00:00:00',4,1,7,2006,'M','N','LIBERDADE','S PAULO','SP','125092281417571431489931575115610154183',746,'9997',73.88,1,3,NULL),(16,3292525,'1985-03-15 00:00:00',2,2,12,2002,'M','N','MADUREIRA','CAXIAS SUL','RS','120204203217161751359772385125241126053',3079,'9998',63.57,1,3,NULL),(16,3292533,'1990-12-06 00:00:00',2,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124244241215111431569614592222610166077',11417,'456',46.32,4,3,NULL),(16,3292541,'1992-02-18 00:00:00',4,1,12,2009,'M','S','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215111751458832575124610137112',NULL,'270',29.07,1,3,NULL),(16,3292550,'1993-01-07 00:00:00',4,6,10,2010,'M','S','CENTRO','BAL CAMBORIú','SC','124242241215111731369931292122610112122',NULL,'392',38.01,1,3,NULL),(16,3292576,'1991-09-20 00:00:00',4,2,12,2008,'M','N','SALTO','BLUMENAU','SC','124242241217111431339723575124610137097',NULL,'87',1.00,1,3,NULL),(16,3292592,'1985-03-20 00:00:00',5,1,12,2002,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241217122721453823135124331544092',9860,'210',49.04,1,3,NULL),(16,3292614,'1987-01-25 00:00:00',2,1,12,2004,'F','N','TERRA NOVA','CUIABá','MT','111111111317571431215669592124610142147',NULL,'9998',58.54,4,1,2),(16,3292622,'1991-04-22 00:00:00',2,1,11,2008,'F','N','CENTRO','TUBARãO','SC','124242241215111431216621315125610123142',NULL,'797',26.35,1,3,NULL),(16,3292649,'1983-12-07 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241217275431469613485114133247015',14056,'272',41.54,2,3,NULL),(16,3292657,'1991-07-08 00:00:00',2,1,11,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124244241117131752216627282324610134187',10477,'288',47.95,1,3,NULL),(16,3292665,'1988-09-07 00:00:00',2,1,12,2007,'M','N','JARDIM AMERICA','GOIâNIA','GO','109092091217471231568934571112610132097',7398,'9998',53.51,4,3,NULL),(16,3292673,'1990-10-06 00:00:00',4,1,11,2008,'M','N','VILA XAVIER','ASSIS','SP','125254251211111111557821496112610162012',2667,'9998',64.80,1,3,NULL),(16,3292703,'1991-03-28 00:00:00',4,1,11,2008,'F','N','ESPLANADA','S JOSé CAMPOS','SP','125252251217111431389934575122610121112',NULL,'9998',0.00,1,3,NULL),(16,3292711,'1992-07-10 00:00:00',2,4,12,2008,'M','N','CENTRO','XANXERê','SC','124243241112151411445511292125610134057',NULL,'840',31.63,1,3,NULL),(16,3292720,'1989-02-26 00:00:00',2,1,12,2006,'F','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124243247432473431338621342124230233057',8596,'9999',51.26,1,3,NULL),(16,3292738,'1989-07-11 00:00:00',4,6,11,2008,'M','N','PRAIA DOS AMORES','BAL CAMBORIú','SC','124242241215371431477734395122610122182',NULL,'391',0.00,1,3,NULL),(16,3292746,'1991-03-29 00:00:00',2,8,11,2008,'F','N','GLóRIA','JOINVILLE','SC','124242241215111411468611572112610164017',11212,'491',46.64,1,3,NULL),(16,3292754,'1990-03-15 00:00:00',4,1,12,2007,'M','N','JD MONTE KEMEL','S PAULO','SP','125253251217471531467712571122243248047',NULL,'9998',0.00,1,3,NULL),(16,3292789,'1991-01-07 00:00:00',2,4,12,2007,'F','N','LINHA TIRADENTES','CONCóRDIA','SC','124241241112141431673336342234610134147',NULL,'858',21.53,1,3,NULL),(16,3292797,'1982-04-01 00:00:00',4,1,12,1999,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124122121216143431128829442122343263072',NULL,'9998',0.00,1,3,NULL),(16,3292819,'1991-06-10 00:00:00',2,1,12,2008,'F','N','AREIAS','PAULO LOPES','SC','124241241225131431423311576224610137052',14484,'262',40.72,1,3,NULL),(16,3292827,'1991-10-16 00:00:00',4,5,11,2008,'M','N','CENTRO','TORRES','RS','120202201217151431439731575121610137042',10619,'9998',47.70,4,3,NULL),(16,3292835,'1989-05-24 00:00:00',2,6,12,2006,'F','N','MORRINHOS','GUARUJá','SP','125251251117571451533619481324610126197',NULL,'9998',0.00,4,1,1),(16,3292843,'1988-09-30 00:00:00',4,4,12,2005,'M','N','MENINO DESUS','PATO BRANCO','PR','116161161136171441433534245224243245182',14657,'9998',40.37,1,3,NULL),(16,3292851,'1990-05-21 00:00:00',2,1,7,2008,'M','N','ARIRIú','PALHOçA','SC','124241247337151431556313475114610112017',10217,'9999',48.40,1,3,NULL),(16,3292878,'1991-01-20 00:00:00',4,8,10,2008,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215272431359911572125610134182',7735,'491',52.90,1,3,NULL),(16,3292886,'1990-05-25 00:00:00',2,1,12,2008,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124243241335132411426631315124610127082',NULL,'9999',20.68,1,3,NULL),(16,3292894,'1990-07-24 00:00:00',2,1,11,2007,'F','N','JARDIM PAULISTA','JUNDIAí','SP','125252251216411431489614472112610135047',NULL,'9998',0.00,1,3,NULL),(16,3292908,'1991-03-28 00:00:00',4,10,12,2008,'F','N','CENTRO','TREZE MAIO','SC','124241241117151741546411375122610147152',NULL,'793',28.33,1,2,1),(16,3292916,'1990-04-28 00:00:00',4,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124242241215111431323414575122610132013',NULL,'1010',21.04,1,3,NULL),(16,3292940,'1978-01-08 00:00:00',2,1,12,2008,'F','N','RATONES','FLORIANóPOLIS','SC','224241247322141751654511242124610162042',NULL,'9999',26.88,1,3,NULL),(16,3292959,'1990-10-12 00:00:00',2,8,11,2007,'F','N','VALE VERDE','COLOMBO','PR','116162161217271551345831591122242524077',6084,'9998',56.17,1,3,NULL),(16,3292967,'1966-08-18 00:00:00',2,1,12,1985,'M','N','JD CIDADE FLORIANOPO','S JOSé','SC','124241248226372711523349442334613213147',NULL,'809',23.29,2,1,2),(16,3292975,'1956-12-17 00:00:00',5,1,12,1982,'M','N','ESTREITO','FLORIANóPOLIS','SC','224241246123172711334344241122321432095',NULL,'306',38.59,1,3,NULL),(16,3292983,'1991-06-21 00:00:00',4,1,12,2008,'M','N','FAZENDA STO ANTôNIO','S JOSé','SC','124241241117151431646663175114610162197',NULL,'733',13.03,1,2,1),(16,3293009,'1990-04-16 00:00:00',4,1,11,2008,'M','N','ABRAãO','FLORIANóPOLIS','SC','124243241115121431236823375124610127012',15863,'307',37.59,2,1,2),(16,3293025,'1992-03-01 00:00:00',4,10,11,2009,'F','S','CAMPESTRE','IMBITUBA','SC','124244241217111731257924472124610166147',NULL,'807',51.78,1,3,NULL),(16,3293041,'1989-08-03 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANóPOLIS','SC','124201202116132721423364481324610167052',15230,'9998',39.13,1,2,1),(16,3293050,'1991-04-26 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIúMA','SC','124242241235111432476832575122610147067',12910,'226',43.65,1,3,NULL),(16,3293068,'1991-07-15 00:00:00',4,2,12,2008,'M','N','LIMOEIRO','BRUSQUE','SC','124242241215271431433424475122610161192',8394,'107',51.61,1,3,NULL),(16,3293076,'1991-10-22 00:00:00',4,1,12,2008,'M','N','CENTRO','IJUí','RS','120202201415151731366712325122610137057',14223,'9998',41.19,4,3,NULL),(16,3293092,'1980-12-08 00:00:00',4,1,7,2000,'F','N','SANTOS DUMONT','S JOSé','SC','124242247236343421635544345124122732147',NULL,'9999',28.83,1,3,NULL),(16,3293106,'1989-12-31 00:00:00',4,1,12,2006,'M','N','JARDIM DAS PALMEIRAS','S JOSé','SC','124243241317132431228624375124610127022',NULL,'733',0.00,1,3,NULL),(16,3293114,'1979-03-10 00:00:00',2,1,12,1997,'M','N','CAMPINAS','S JOSé','SC','124241243126372721133343131322221267047',9393,'734',49.91,4,1,1),(16,3293122,'1987-04-24 00:00:00',2,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANóPOLIS','SC','124241248127131711226519482314610128187',NULL,'297',21.85,1,3,NULL),(16,3293130,'1990-10-14 00:00:00',2,1,12,2007,'F','N','SOROCABA','BIGUAçU','SC','124241241112371722424324582324610123092',15712,'65',38.04,4,3,NULL),(16,3293157,'1992-02-17 00:00:00',4,1,12,2009,'F','S','PORTO GRANDE','S SEBASTIãO','SP','125252251217111431569931594112610123152',NULL,'9998',0.00,4,3,NULL),(16,3293173,'1989-04-17 00:00:00',4,1,11,2006,'M','N','SETOR BUENO','GOIâNIA','GO','109012011215371411479815572112142067042',8299,'9998',51.79,1,3,NULL),(16,3293181,'1990-08-20 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241116372432233623575114610164142',15572,'307',38.38,1,2,1),(16,3293190,'1988-11-01 00:00:00',4,1,6,2006,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242281217372251389831471124142464092',14065,'9998',41.52,1,3,NULL),(16,3293203,'1991-09-30 00:00:00',4,5,12,2009,'M','S','FIGUEIRA','URUSSANGA','SC','124244241415111431446631315121610146177',NULL,'820',29.07,1,3,NULL),(16,3293211,'1974-03-29 00:00:00',2,1,11,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','224241241125272431621444445124610127187',16374,'277',36.09,4,2,1),(16,3293220,'1991-05-11 00:00:00',2,9,12,1991,'F','N','ESPíRITO SANTO','RIO RUFINO','SC','124241241125131431423615152234610147147',NULL,'673',0.00,1,3,NULL),(16,3293238,'1985-08-17 00:00:00',2,1,1,2004,'M','N','CARIANOS','FLORIANóPOLIS','SC','224203206117132731221143136331121714186',NULL,'9998',42.18,4,3,NULL),(16,3293246,'1988-04-28 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','125251251115471431445419442124610127057',12632,'9998',44.11,1,3,NULL),(16,3293254,'1991-11-30 00:00:00',2,8,12,2008,'M','N','CENTRO','ELDORADO','SP','125252161216111431447812575124610137147',NULL,'9998',0.00,1,3,NULL),(16,3293262,'1991-02-21 00:00:00',2,1,12,2008,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241115131431434411575324610128142',NULL,'64',23.15,1,3,NULL),(16,3293270,'1989-03-20 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241116473431434411345124610138147',11909,'307',45.43,1,3,NULL),(16,3293297,'1990-11-19 00:00:00',2,1,12,2008,'M','N','SãO JOSE CENTRO','S JOSé','SC','124241248135141431334422291124610167042',NULL,'733',25.30,1,3,NULL),(16,3293300,'1992-09-28 00:00:00',4,1,12,2009,'F','S','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241215111432535824142124610122092',NULL,'1022',41.29,1,3,NULL),(16,3293327,'1992-11-13 00:00:00',4,10,11,2009,'M','S','CENTRO','CAPIVARI BAIXO','SC','124242248213111121413433224222112223131',NULL,'807',36.84,1,3,NULL),(16,3293335,'1989-07-06 00:00:00',4,1,12,2007,'F','N','CENTRO','PINHALZINHO','SC','124204201212574431359914571125610116017',2896,'9998',64.11,1,3,NULL),(16,3293351,'1992-01-14 00:00:00',2,1,12,2008,'F','N','CENTRO','PASSO FUNDO','RS','120202201217471431327867571124610122142',6369,'9998',55.55,1,3,NULL),(16,3293360,'1965-08-20 00:00:00',4,1,8,1989,'M','N','CENTRO','FLORIANóPOLIS','SC','224201247416151411356643335122140264047',NULL,'9997',36.34,1,3,NULL),(16,3293378,'1993-01-15 00:00:00',4,1,12,2009,'F','S','CAMPINAS','S JOSé','SC','124246241115151431368611572124610125092',NULL,'271',53.94,1,3,NULL),(16,3293386,'1990-07-18 00:00:00',2,8,12,2007,'F','N','CENTRO','REGISTRO','SP','125252251216471431536821572112610127127',NULL,'9998',36.10,3,3,NULL),(16,3293394,'1984-06-22 00:00:00',2,1,12,2002,'M','N','JARDIM IPANEMA','APARECIDA GOIâNIA','GO','109092091217571431646433575124142665057',1568,'9998',69.02,2,3,NULL),(16,3293408,'1992-08-17 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111331456611575112613212142',NULL,'270',26.55,1,3,NULL),(16,3293416,'1988-05-27 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241215473431378813575114610124042',NULL,'269',35.58,1,3,NULL),(16,3293432,'1990-11-05 00:00:00',4,1,11,2008,'M','N','PONTA DE BAIXO','S JOSé','SC','124241241137131412538613375122610118142',NULL,'732',32.31,4,3,NULL),(16,3293440,'1986-05-03 00:00:00',4,1,12,2005,'M','N','ASA NORTE','BRASíLIA','DF','107071071117132411228613445224140337047',14005,'9998',41.64,1,3,NULL),(16,3293459,'1990-05-04 00:00:00',4,8,11,2007,'F','N','JARDIM FLORIDA','JACAREí','SP','125252251215471431559613572124610122097',9712,'9998',49.32,1,3,NULL),(16,3293467,'1992-01-18 00:00:00',4,1,12,2009,'F','S','ITACORUBI','FLORIANóPOLIS','SC','124242241215111731458832572122610124187',NULL,'1050',43.83,1,3,NULL),(16,3293475,'1986-09-29 00:00:00',2,1,12,2005,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124243241127474411328723342214610163117',NULL,'257',26.21,1,3,NULL),(16,3293483,'1989-07-25 00:00:00',2,1,12,2008,'F','N','COLONIA SANTANA','S JOSé','SC','124241241121161751633519391124610162147',NULL,'9997',23.16,4,3,NULL),(16,3293491,'1987-04-23 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANóPOLIS','SC','124201208127131731114544345314610138115',NULL,'9998',0.00,1,2,1),(16,3293505,'1989-03-15 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217373431558812495124131062092',10735,'270',47.48,1,3,NULL),(16,3293521,'1982-12-30 00:00:00',2,8,11,1999,'F','N','SEMINARIO','CURITIBA','PR','116162161215371711456524381114143222187',NULL,'9998',0.00,1,3,NULL),(16,3293530,'1987-08-06 00:00:00',2,1,12,2004,'M','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124201201116151431213448282224610164187',16306,'9998',36.35,1,3,NULL),(16,3293548,'1991-03-23 00:00:00',2,8,11,2008,'M','N','RAINHA DO MAR','ITAPOá','SC','124241241117161731334814182324610132192',13946,'413',41.76,4,3,NULL),(16,3293556,'1991-10-24 00:00:00',4,10,11,2008,'M','N','DEHON','TUBARãO','SC','124244241217131251243414472222610164047',NULL,'806',27.09,1,3,NULL),(16,3293564,'1991-01-25 00:00:00',2,1,11,2008,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241115161511333823481344610116092',NULL,'278',27.85,4,3,NULL),(16,3293572,'1986-01-11 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241216152431379934295122121132167',6576,'270',55.12,1,3,NULL),(16,3293580,'1954-11-22 00:00:00',2,1,6,1976,'M','N','PANTANAL','FLORIANóPOLIS','SC','224161167126135421364443195122321567127',9495,'9998',49.73,1,3,NULL),(16,3293599,'1980-06-03 00:00:00',4,8,12,1997,'M','N','CENTRO','S JOSé PINHAIS','PR','116162161217151441366934395114143261183',13382,'9998',42.82,4,3,NULL),(16,3293602,'1981-11-08 00:00:00',2,1,3,2001,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241248112135431436311182114610147067',NULL,'306',28.66,1,2,1),(16,3293610,'1991-09-20 00:00:00',4,2,12,2008,'M','N','VELHA','BLUMENAU','SC','124242241235111431368632475124610162127',7996,'87',52.43,1,3,NULL),(16,3293637,'1991-08-01 00:00:00',2,1,11,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241115161431438433576114610124147',NULL,'281',18.73,1,2,1),(16,3293645,'1982-11-30 00:00:00',2,1,2,2003,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','125251257617272712155511376344610144054',11273,'9999',46.52,1,3,NULL),(16,3293653,'1985-12-15 00:00:00',2,8,11,2002,'M','N','ZONA SETE','CIANORTE','PR','116164161125571741354636271324610165042',2070,'9998',66.91,1,3,NULL),(16,3293688,'1992-01-06 00:00:00',4,4,11,2008,'F','N','CENTRO','MATELâNDIA','PR','116162161214311431448632175112610134182',NULL,'9998',0.00,1,3,NULL),(16,3293696,'1991-03-02 00:00:00',4,8,12,2008,'F','N','PETROPOLIS','JOINVILLE','SC','124241241215131431457419295124610124147',NULL,'459',0.00,1,3,NULL),(16,3293700,'1991-08-10 00:00:00',4,1,12,2008,'M','N','CENTRO','CANELINHA','SC','124241241215161432355912575114610132092',4527,'948',59.71,1,3,NULL),(16,3293718,'1989-03-03 00:00:00',4,6,12,2006,'M','N','CORDEIROS','ITAJAí','SC','124242241217151441434714115121141764015',4660,'392',59.41,1,3,NULL),(16,3293726,'1989-03-31 00:00:00',2,1,12,2008,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124244247237132241347711286345610137187',NULL,'9999',36.79,1,3,NULL),(16,3293734,'1991-05-13 00:00:00',2,1,12,2008,'F','N','CENTRO','PTE ALTA NORTE','SC','124241242115131411535611572124610136057',NULL,'662',28.07,1,3,NULL),(16,3293742,'1990-07-22 00:00:00',4,1,12,2008,'F','N','GUAJUVIRAS','CANOAS','RS','120201201127131731115914381124610168147',NULL,'9998',0.00,1,2,1),(16,3293750,'1990-07-14 00:00:00',2,1,5,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241116151522636534485124610114055',NULL,'307',24.74,1,2,1),(16,3293785,'1990-12-11 00:00:00',2,10,11,2008,'F','N','STO ANTONIO DE PADUA','TUBARãO','SC','124142248415111431537823481122610128142',15284,'807',39.01,1,3,NULL),(16,3293807,'1989-02-06 00:00:00',4,6,12,2006,'F','N','GRAçA','SALVADOR','BA','105054058416571711579911571111143263182',NULL,'9998',0.00,1,3,NULL),(16,3293815,'1991-10-05 00:00:00',4,1,12,2008,'F','N','VILA PARAISO','IMARUí','SC','124241241135131331424625586344610118147',NULL,'356',0.00,1,2,1),(16,3293823,'1992-09-02 00:00:00',2,8,12,2009,'F','S','AMIZADE','JARAGUá SUL','SC','124241248215111431447814575122610133097',NULL,'424',24.21,1,3,NULL),(16,3293831,'1989-08-04 00:00:00',2,8,11,2007,'F','N','GLóRIA','JOINVILLE','SC','124242241215472431468611572112610162147',6936,'491',54.43,1,3,NULL),(16,3293840,'1989-12-18 00:00:00',4,1,12,2008,'M','N','FLORESTA','RIO CAMPO','SC','124241242117131411423334376221610127057',NULL,'662',20.86,4,2,1),(16,3293858,'1984-08-02 00:00:00',2,1,12,2003,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124163167341374431356859471223610167182',496,'9998',75.80,1,3,NULL),(16,3293866,'1989-08-07 00:00:00',4,1,12,2006,'F','N','FORQUILHAS','S JOSé','SC','124241241116132431523324382214610125142',NULL,'733',20.18,1,2,1),(16,3293874,'1990-09-09 00:00:00',2,1,12,2008,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242247217151431238833582122610167067',NULL,'270',27.65,1,3,NULL),(16,3293882,'1975-03-01 00:00:00',2,1,12,1992,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124254251216131441328843332324342122177',11964,'9998',45.33,1,3,NULL),(16,3293890,'1990-11-19 00:00:00',4,2,12,2008,'F','N','CENTRO','BRUSQUE','SC','124243241215121731648612272122610121012',4862,'1123',58.95,1,3,NULL),(16,3293904,'1971-03-05 00:00:00',2,1,11,1989,'M','N','ALTO RIBEIRÃO','FLORIANóPOLIS','SC','624241244431135421533343131244610114042',NULL,'266',34.89,2,1,2),(16,3293920,'1961-06-08 00:00:00',4,1,12,1978,'F','N','SACO DOS LIMÕES','FLORIANóPOLIS','SC','224202201216155421543351412124320462142',NULL,'9998',0.00,1,3,NULL),(16,3293939,'1992-01-14 00:00:00',4,2,11,2008,'F','N','VELHA','BLUMENAU','SC','124242241217111432439814482124610162092',NULL,'71',32.62,1,3,NULL),(16,3293947,'1990-02-06 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','S JOSé','SC','124241241132151411346419445124610124197',13986,'727',41.67,1,2,1),(16,3293955,'1991-09-02 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241215272431444634242124610124072',NULL,'988',37.12,1,3,NULL),(16,3293963,'1988-08-02 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241242124111431423631196124610127147',NULL,'281',22.47,1,2,1),(16,3293971,'1989-10-11 00:00:00',4,5,11,2007,'M','N','CRUZEIRO DO SUL','CRICIúMA','SC','124242241215473432467836574112610117062',3947,'213',61.20,1,3,NULL),(16,3293980,'1984-10-02 00:00:00',4,1,12,2005,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','624244241421151431216659482314610126047',NULL,'9999',28.26,1,3,NULL),(16,3293998,'1992-05-01 00:00:00',2,1,12,2009,'F','S','COSTEIRA','FLORIANóPOLIS','SC','124241241415111731436711575124610167077',NULL,'1022',27.77,1,3,NULL),(16,3294005,'1990-11-17 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241212111431456723595125610145197',NULL,'270',32.62,1,3,NULL),(16,3294013,'1991-04-08 00:00:00',2,5,10,2008,'F','N','JARDIM ELISABETE','IçARA','SC','124243241215111431528511575122610132142',7171,'226',53.96,1,3,NULL),(16,3294021,'1990-02-25 00:00:00',2,1,12,2007,'F','N','CENTRO','ITUPORANGA','SC','124241241221131431337923572114610136142',NULL,'414',15.15,1,3,NULL),(16,3294030,'1990-01-16 00:00:00',4,7,12,2006,'F','N','CENTRO','GETúLIO VARGAS','RS','120204201236572431548812575115610122077',8745,'9998',50.99,1,3,NULL),(16,3294048,'1975-08-12 00:00:00',4,1,12,1992,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','224211161137372121233358385122130114057',NULL,'9998',23.50,1,2,1),(16,3294056,'1988-10-04 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124244241116473731339721445124610124017',NULL,'281',18.98,1,3,NULL),(16,3294064,'1989-07-15 00:00:00',4,8,12,2006,'M','N','CIANORTINHO','CIANORTE','PR','116161161117471431446933585124610115177',NULL,'9998',28.99,1,2,1),(16,3294072,'1989-08-12 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241417473731245723495124230233147',5416,'541',57.64,1,3,NULL),(16,3294080,'1991-10-23 00:00:00',4,5,11,2008,'M','N','GáVEA','JACINTO MACHADO','SC','124241241122161232536922575122610121143',NULL,'420',20.10,1,3,NULL),(16,3294099,'1992-04-17 00:00:00',2,1,12,2009,'F','S','CAMPINAS','S JOSé','SC','124242241217111431339939575122610126147',NULL,'738',25.98,1,3,NULL),(16,3294129,'1989-03-02 00:00:00',4,9,12,2006,'M','N','CENTRO','TROMBUDO CENTRAL','SC','124243241216572731579813575124610147042',2969,'654',63.92,1,3,NULL),(16,3294137,'1991-03-31 00:00:00',2,1,12,2008,'M','N','PINHEIROS','S PAULO','SP','125253251415111411433121191324610118057',NULL,'9998',0.00,2,3,NULL),(16,3294145,'1992-05-27 00:00:00',4,1,11,2009,'F','S','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241115151432336623572124610128145',NULL,'271',27.34,1,3,NULL),(16,3294153,'1991-03-04 00:00:00',4,6,11,2008,'F','N','CENTRO','ITAJAí','SC','124242241215271431456811595112610117142',1549,'392',69.14,1,3,NULL),(16,3294161,'1992-09-14 00:00:00',2,7,11,2009,'M','S','SãO CRISTOVãO','VIDEIRA','SC','124241246217111431333311175121230134183',NULL,'1080',18.33,2,3,NULL),(16,3294170,'1979-07-18 00:00:00',2,1,12,1998,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124244247412172421328513281324130226142',NULL,'9999',25.74,2,1,2),(16,3294188,'1991-09-27 00:00:00',4,1,11,2008,'M','N','CENTRO','REALEZA','PR','116162161215111431569931472122610134032',NULL,'9998',0.00,1,3,NULL),(16,3294196,'1991-05-21 00:00:00',4,1,12,2008,'M','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124242241215151431569913572112610134047',7914,'884',52.58,1,3,NULL),(16,3294200,'1988-06-01 00:00:00',2,1,12,2005,'M','N','INDUSTRIAL','TAPURAH','MT','111111118146131741526679215123143234197',16614,'9998',34.69,4,2,1),(16,3294218,'1991-01-26 00:00:00',4,10,12,2008,'F','N','AIURê','AIURê','SC','124241241135131431427369572224610165197',NULL,'330',26.95,1,2,1),(16,3294226,'1980-06-26 00:00:00',2,1,12,1998,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124251241146575431433314342124233235092',13119,'475',43.29,1,2,1),(16,3294234,'1990-06-25 00:00:00',4,8,11,2007,'F','N','ITAJUBA','BARRA VELHA','SC','124244241112272731328211472121610134117',NULL,'470',25.45,1,3,NULL),(16,3294250,'1988-10-28 00:00:00',5,1,11,2006,'M','N','ITACORUBI','FLORIANOPOLIS','SC','124243241211372731253522571112230262187',3801,'270',61.60,1,3,NULL),(16,3294269,'1989-11-21 00:00:00',4,1,12,2008,'F','N','SANTA CRUZ','PAULO LOPES','SC','124241241115121431623319275324610124147',NULL,'307',26.06,2,1,1),(16,3294277,'1991-05-31 00:00:00',2,5,12,2008,'M','N','BARRANCA','ARARANGUá','SC','124241241141131531521929342121233227127',NULL,'29',20.63,4,2,1),(16,3294285,'1989-06-28 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215112431426611574122231047043',NULL,'270',35.64,1,3,NULL),(16,3294293,'1990-08-09 00:00:00',2,1,11,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241117131431546639392324610137147',NULL,'281',21.14,1,2,1),(16,3294307,'1987-03-15 00:00:00',4,1,12,2004,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241215475731557713485124121767182',NULL,'272',0.00,1,3,NULL),(16,3294323,'1989-12-12 00:00:00',4,4,12,2006,'M','N','SãO JORGE','XANXERê','SC','124242241215573331339931295125610167143',10247,'1159',48.36,1,3,NULL),(16,3294331,'1961-05-25 00:00:00',2,1,12,1983,'F','N','CAMPINAS','S JOSé','SC','224241248127131421433354335114610127142',NULL,'175',27.32,1,2,1),(16,3294340,'1960-10-25 00:00:00',2,1,12,2007,'M','N','CENTRO HISTóRICO','S JOSé','SC','524241247221141411343241215112610116182',NULL,'9997',9.90,1,3,NULL),(16,3294358,'1988-07-05 00:00:00',2,1,12,2007,'M','N','JOSE MENDES','FLORIANóPOLIS','SC','124241241127372431636363386124610127147',NULL,'307',36.05,1,2,1),(16,3294366,'1990-05-22 00:00:00',4,1,12,2008,'M','N','CENTRO','PALHOçA','SC','124241241332111131344434242122533217051',NULL,'989',0.00,1,3,NULL),(16,3294374,'1991-07-04 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124241248216211431339874595122610163012',16630,'499',34.52,1,3,NULL),(16,3294382,'1990-07-21 00:00:00',2,1,12,2007,'M','N','SERRARIA','S JOSé','SC','124242241217272331323419281224610128147',9802,'1036',49.15,1,3,NULL),(16,3294390,'1982-10-30 00:00:00',4,1,10,2004,'M','N','SANTO ANTONIO DE LIS','FLORIANóPOLIS','SC','124073077317171411126542125122130217027',NULL,'9999',0.00,2,1,2),(16,3294404,'1989-09-24 00:00:00',2,6,12,2006,'M','N','JUVEVE','CURITIBA','PR','116162161217111731577812275122233227117',NULL,'9998',33.36,1,3,NULL),(16,3294412,'1984-06-14 00:00:00',2,4,12,2002,'M','N','STA TEREZINHA','CLEVELâNDIA','PR','116161161127131431323314312113610134067',NULL,'9998',34.99,1,3,NULL),(16,3294420,'1970-12-19 00:00:00',2,1,12,1991,'F','N','COSTA DE DENTRO','FLORIANóPOLIS','SC','524251253427134441224449242324610135097',15914,'9998',37.46,1,3,NULL),(16,3294439,'1993-06-01 00:00:00',4,1,11,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124201207126131731123341411124610136177',NULL,'9998',0.00,2,2,1),(16,3294447,'1989-06-21 00:00:00',4,3,11,2006,'M','N','JARDIM AEROPORTO','BAURU','SP','125252251216471431468832311122141265012',12913,'9998',43.65,1,3,NULL),(16,3294455,'1973-07-14 00:00:00',4,1,11,2003,'M','N','SAO MATEUS','JZ FORA','MG','113131217247111421128941215122241636173',NULL,'9998',0.00,1,3,NULL),(16,3294463,'1991-07-24 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECó','SC','124241241345472431534933214125610137057',8434,'983',51.52,1,3,NULL),(16,3294471,'1966-06-12 00:00:00',2,1,12,1988,'F','N','JURERê','FLORIANóPOLIS','SC','624241241141131431253271211232231015197',NULL,'298',34.51,2,3,NULL),(16,3294498,'1988-05-31 00:00:00',4,1,12,2005,'M','N','CENTRO','TRêS LAGOAS','MS','112122121216371411456921275112140732092',NULL,'9998',30.51,1,3,NULL),(16,3294501,'1990-01-09 00:00:00',4,1,12,2007,'F','N','N SRA DO ROSáRIO','S JOSé','SC','124242241215472731353423495124610133144',NULL,'738',26.74,1,3,NULL),(16,3294510,'1990-08-11 00:00:00',4,1,12,2008,'F','N','BARRA DO ARIRIU','PALHOçA','SC','124241241225271731643311376114610135197',NULL,'262',24.76,4,3,NULL),(16,3294528,'1986-09-24 00:00:00',3,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241116471411323314481324610132052',NULL,'275',5.41,4,2,1),(16,3294536,'1992-05-27 00:00:00',4,1,11,2009,'F','S','SACO DOS LIMõES','FLORIANóPOLIS','SC','124243241117151431336623572124610126195',NULL,'271',31.26,1,3,NULL),(16,3294544,'1987-04-03 00:00:00',2,1,12,2005,'F','N','TRIDADE','FLORIANóPOLIS','SC','624241241122372131328451342314610165147',13546,'281',42.54,1,2,1),(16,3294560,'1987-01-05 00:00:00',4,8,12,2004,'M','N','IGUATEMI','RIBEIRAO PRETO','SP','125251251114471731333334445134610164047',NULL,'9998',0.00,1,3,NULL),(16,3294579,'1991-10-21 00:00:00',2,2,12,2008,'F','N','VILA NOVA','BLUMENAU','SC','124242244215111432237639374124610127187',NULL,'87',24.60,1,3,NULL),(16,3294587,'1988-06-11 00:00:00',4,2,12,2005,'M','N','CENTRO','BLUMENAU','SC','124243241215572411459813574122610134052',2004,'446',67.16,1,3,NULL),(16,3294595,'1978-08-21 00:00:00',2,1,12,1995,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124253251216151411258543431234341164117',4567,'9998',59.63,1,3,NULL),(16,3294609,'1991-01-09 00:00:00',2,1,12,2008,'F','N','CENTRO','PALHOçA','SC','124243241212132731323177242324610126187',10132,'989',48.57,1,3,NULL),(16,3294617,'1991-08-12 00:00:00',4,2,11,2008,'M','N','CENTRO','TAIó','SC','124242241215121431556613285124610137122',3393,'991',62.70,1,3,NULL),(16,3294625,'1985-09-06 00:00:00',2,1,12,2003,'M','N','S J DO RIO VERMELHO','FLORIANóPOLIS','SC','224241241122131232423426242344610124042',NULL,'314',33.49,1,2,1),(16,3294633,'1992-01-25 00:00:00',2,1,10,2007,'F','N','CENTRO','S BORJA','RS','120202087217111431467916467122610131122',NULL,'9999',39.49,1,3,NULL),(16,3294641,'1964-03-28 00:00:00',4,1,12,1980,'F','N','TRINDADE','FLORIANóPOLIS','SC','124252251217173711286441412132522246185',11200,'9998',46.66,1,3,NULL),(16,3294650,'1981-05-12 00:00:00',2,1,12,1997,'M','N','PROMORA','FLORIANóPOLIS','SC','224121121127131431326644141322143222042',NULL,'9998',39.72,1,3,NULL),(16,3294668,'1991-09-09 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124242241215121331216611372214610168057',9946,'1022',48.87,1,3,NULL),(16,3294676,'1990-11-21 00:00:00',2,4,12,2007,'M','N','CENTRO','MARMELEIRO','PR','116111111115311731453619372122610137052',NULL,'9998',24.94,1,3,NULL),(16,3294684,'1983-08-25 00:00:00',2,1,11,2001,'F','N','PAGANI II','PALHOCA','SC','624241241141273731343554341332232752147',12578,'591',44.22,1,2,1),(16,3294692,'1979-02-28 00:00:00',4,1,12,1999,'M','N','ESTREITO','FLORIANóPOLIS','SC','124204207127131431138943332112230264097',7155,'9998',53.99,1,3,NULL),(16,3294706,'1986-09-20 00:00:00',2,6,6,2008,'M','N','AGUA VERDE','CURITIBA','PR','124162167225131431448819285114233264117',NULL,'9999',0.00,1,3,NULL),(16,3294714,'1991-01-03 00:00:00',2,4,12,2008,'F','N','CENTRO','ENTRE RIOS','SC','124241241115371731636615252132610151057',NULL,'249',27.52,1,2,1),(16,3294722,'1986-07-26 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124244247137133441326769495324610165182',8464,'9999',51.46,1,3,NULL),(16,3294730,'1987-09-12 00:00:00',4,1,12,2004,'F','N','CORAL','LAGES','SC','124243241215574431588911474122132822115',2922,'497',64.05,1,3,NULL),(16,3294749,'1992-07-06 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217151411467733575122610132047',NULL,'266',48.22,1,3,NULL),(16,3294757,'1991-05-16 00:00:00',2,8,11,2008,'M','N','IRIRIU','JOINVILLE','SC','124242241215111732466632575124610147047',4561,'461',59.65,1,3,NULL),(16,3294765,'1983-08-15 00:00:00',2,4,11,2002,'M','N','SANTO ANTôNIO','CHAPECó','SC','124243241322131331621113176341131654177',NULL,'857',23.13,5,3,NULL),(16,3294773,'1991-02-02 00:00:00',2,3,12,2008,'M','N','CENTRO','IRINEóPOLIS','SC','124241241146141431536923345121610144142',NULL,'381',0.00,1,2,1),(16,3294781,'1991-10-17 00:00:00',2,9,11,2008,'F','N','SANTA TEREZINHA','VACARIA','RS','120204208237111411546613575222610136077',13439,'9998',42.71,1,3,NULL),(16,3294803,'1985-10-05 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANóPOLIS','SC','124202201212373421128844345124233214117',12204,'9998',44.90,1,3,NULL),(16,3294811,'1976-01-19 00:00:00',4,1,12,1993,'M','N','NOSSA S DO ROSÁRIO','S JOSé','SC','124244241112155421359844345124120837117',NULL,'307',0.00,1,3,NULL),(16,3294820,'1991-10-21 00:00:00',2,1,12,2008,'F','N','UNIVERSITáRIO','CORUMBá','MS','112122121216271631447519495122610167082',NULL,'9998',30.83,1,3,NULL),(16,3294838,'1988-09-20 00:00:00',2,1,12,2005,'F','N','SERRARIA','S JOSé','SC','624241241337133421324351382344610167182',14466,'300',40.75,3,3,NULL),(16,3294846,'1991-12-30 00:00:00',4,1,12,2008,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241112131421423319412324610134197',NULL,'278',24.41,1,2,1),(16,3294854,'1983-11-16 00:00:00',4,1,3,2003,'M','N','EDGARTOWN','S PAULO','SP','128132288117271741488931272122142648182',NULL,'9998',0.00,5,3,NULL),(16,3294862,'1988-06-04 00:00:00',2,1,7,2006,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241312144431464552342112610167042',NULL,'977',27.13,1,3,NULL),(16,3294870,'1977-07-17 00:00:00',4,1,12,1996,'F','N','ESTREITO','FLORIANóPOLIS','SC','224241247445474131224354342214610164147',NULL,'9999',20.42,5,3,NULL),(16,3294889,'1983-11-12 00:00:00',4,1,12,2001,'M','N','INGLESES','FLORIANóPOLIS','SC','124252251217471431436829495314141437052',NULL,'9998',0.00,1,3,NULL),(16,3294897,'1991-01-06 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124242241217112431445712335124222567117',8872,'723',50.77,1,3,NULL),(16,3294900,'1991-07-26 00:00:00',4,1,12,2010,'M','S','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241217111432489713575112610127042',NULL,'270',52.91,1,3,NULL),(16,3294919,'1991-10-28 00:00:00',4,1,12,2009,'F','S','CAMPECHE','FLORIANóPOLIS','SC','124242248215111431344412572112610117112',NULL,'270',28.22,1,3,NULL),(16,3294927,'1991-12-12 00:00:00',2,4,12,2008,'F','N','CENTRO','DESCANSO','SC','124242241215111431466732575122610133092',14496,'751',40.71,1,3,NULL),(16,3294935,'1991-05-03 00:00:00',4,8,12,2008,'M','N','COMASA','JOINVILLE','SC','124241241137151431436534292122610162197',10538,'469',47.85,1,2,1),(16,3294943,'1988-09-11 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124241241111271431636413581124610165097',NULL,'732',37.50,1,2,1),(16,3294951,'1987-12-08 00:00:00',4,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124242241212473311457833575114610168047',12014,'270',45.24,1,3,NULL),(16,3294960,'1991-08-06 00:00:00',4,5,11,2008,'F','N','JARDIM NICOLAU','JACINTO MACHADO','SC','124241241132151232326832575121610132142',NULL,'420',18.05,1,3,NULL),(16,3294978,'1991-08-04 00:00:00',2,1,11,2008,'F','N','COSTEIRA','FLORIANóPOLIS','SC','124243241316131431426329296224610143017',NULL,'300',27.66,1,3,NULL),(16,3294986,'1991-01-08 00:00:00',4,1,12,2008,'M','N','CENTRO','RONDONóPOLIS','MT','111112111216131731353312585122610162047',NULL,'9998',0.00,1,3,NULL),(16,3295001,'1991-04-13 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241416111431654612575122610121192',15157,'1022',39.29,1,3,NULL),(16,3295010,'1986-08-09 00:00:00',4,1,11,2003,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124244241337152432246812475112220761185',NULL,'9997',0.00,1,3,NULL),(16,3295028,'1991-02-08 00:00:00',4,3,12,2008,'F','N','PARQUE PRESIDENTE I','FOZ IGUAçU','PR','116162161445111432336832322224610164152',NULL,'9998',21.91,1,3,NULL),(16,3295036,'1990-01-19 00:00:00',4,1,12,2008,'F','N','CIDADE JARDIM','RIO CLARO','SP','125252251217111431454619172122610168097',NULL,'9998',0.00,1,3,NULL),(16,3295052,'1992-10-28 00:00:00',4,1,12,2008,'F','N','CENTENáRIO','SAPIRANGA','RS','120204201317271431426731116322610135017',NULL,'9998',28.09,4,3,NULL),(16,3295060,'1991-01-31 00:00:00',4,1,12,2008,'F','N','REBOUçAS','CURITIBA','PR','116162161235111431589714241122610165017',13543,'9998',42.55,1,3,NULL),(16,3295079,'1991-09-23 00:00:00',4,1,12,2008,'M','N','MARIA LUIZA','CASCAVEL','PR','116161161117151431537611575121610137047',16565,'9998',35.08,1,3,NULL),(16,3295087,'1984-09-25 00:00:00',2,1,12,2002,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241127132421223348182314610115092',NULL,'29',11.66,1,2,1),(16,3295095,'1990-10-11 00:00:00',4,1,12,2007,'F','N','JD COLIBRI','MARíLIA','SP','125252251215471431328822574322610133042',7462,'9998',53.38,3,3,NULL),(16,3295109,'1986-10-16 00:00:00',2,1,12,2003,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241216574431649914445124231022142',13271,'270',43.03,1,3,NULL),(16,3295117,'1990-11-18 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124241241415152731467713575112610122122',7770,'1022',52.83,1,3,NULL),(16,3295125,'1990-12-01 00:00:00',4,1,11,2008,'F','N','VILA MARIANA','S PAULO','SP','125252251216371411457823375225610162017',9097,'9998',50.41,1,3,NULL),(16,3295133,'1984-04-11 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241212445451547619415234121442182',3530,'270',62.30,1,3,NULL),(16,3295150,'1988-12-24 00:00:00',4,1,12,2006,'F','N','TATUAPE','S PAULO','SP','125252251211511411446611272111610117042',4314,'9998',60.21,1,3,NULL),(16,3295168,'1990-02-21 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124242241215572431258924585124610137042',5832,'9997',56.71,1,3,NULL),(16,3295176,'1980-11-12 00:00:00',2,1,12,1998,'F','N','PONTE DO IMARUIM','PALHOçA','SC','224241245126131441243843432124340626142',NULL,'137',34.37,1,2,1),(16,3295184,'1990-12-28 00:00:00',4,1,12,2008,'M','N','PICADAS DO SUL','S JOSé','SC','124241241116111752368613395122610168143',8021,'307',52.39,1,2,1),(16,3295192,'1983-10-31 00:00:00',4,1,12,2001,'F','N','BALNEáRIO','FLORIANóPOLIS','SC','124241241115371431423321441124131026057',15273,'292',39.03,2,1,1),(16,3295206,'1974-10-22 00:00:00',4,8,12,1992,'F','N','GUANABARA','JOINVILLE','SC','124242246216154411278641414122322342091',NULL,'494',0.00,4,3,NULL),(16,3295214,'1990-09-02 00:00:00',2,9,12,2007,'F','N','CENTRO','ANCHIETA','SC','124241241127372431425619572112610127147',NULL,'16',0.00,1,2,1),(16,3295222,'1991-08-16 00:00:00',4,4,12,2008,'M','N','CENTRO','CHAPECó','SC','124241241117141431533319345122610128042',12323,'169',44.69,1,2,1),(16,3295230,'1977-11-05 00:00:00',4,1,12,1995,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','224241248126153751254453382124330126142',15980,'808',37.28,1,3,NULL),(16,3295249,'1986-09-28 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241142231421433311392132610127047',NULL,'295',25.75,2,1,1),(16,3295265,'1991-01-26 00:00:00',4,8,11,2008,'M','N','PORTAL DO LAGO','APUCARANA','PR','116161168217111731446334572122610167182',NULL,'9998',26.78,1,3,NULL),(16,3295281,'1989-02-18 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','125252251216573411468813575122610164042',2103,'9998',66.78,1,3,NULL),(16,3295303,'1986-06-28 00:00:00',2,1,12,2003,'F','N','BARREIROS','S JOSé','SC','124241241111272421636413341124610165097',14553,'732',40.61,1,2,1),(16,3295311,'1989-01-27 00:00:00',4,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','103031031136571431556633575124243226157',NULL,'9998',0.00,4,1,1),(16,3295320,'1976-09-29 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241247126152421113349295324222211087',NULL,'9999',38.52,1,2,1),(16,3295354,'1991-10-12 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215111231368623575125610167047',NULL,'737',27.61,1,3,NULL),(16,3295362,'1989-08-25 00:00:00',4,1,12,2006,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241415472421543634442114130862147',5097,'1014',58.40,1,3,NULL),(16,3295370,'1991-03-29 00:00:00',2,10,12,2008,'M','N','MIRIM','IMBITUBA','SC','124241241415111431345939492224610168047',15081,'1034',39.47,1,3,NULL),(16,3295389,'1990-12-01 00:00:00',4,1,12,2007,'M','N','VILA DOS ALPES','GOIâNIA','GO','109092091216371431327715315124610114012',7794,'9998',52.78,4,3,NULL),(16,3295397,'1991-04-29 00:00:00',4,6,11,2008,'M','N','LIMOEIRO','BRUSQUE','SC','624242241215141451355612342124610167182',NULL,'106',39.38,1,3,NULL),(16,3295400,'1991-10-16 00:00:00',4,6,12,2009,'M','S','CENTRO','BAL CAMBORIú','SC','124242241217151431378611375124610134016',NULL,'392',41.47,1,3,NULL),(16,3295419,'1991-04-03 00:00:00',4,2,12,2008,'F','N','CENTRO','POMERODE','SC','124241241111271711424634145122610167142',NULL,'621',24.78,1,3,NULL),(16,3295427,'1991-07-14 00:00:00',4,1,12,2008,'F','N','LOANDA','ATIBAIA','SP','125252251216111531368612575122610122092',NULL,'9998',36.59,1,3,NULL),(16,3295435,'1992-04-25 00:00:00',5,1,12,2009,'M','S','CENTRO','CHAPECó','SC','124242161217121431469811575112610118122',NULL,'983',64.76,1,3,NULL),(16,3295451,'1990-05-30 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241215472411546823312124610163182',12219,'1098',44.87,1,3,NULL),(16,3295460,'1989-02-25 00:00:00',2,1,12,2006,'F','N','AGOSTINI','S MIGUEL OESTE','SC','124244121215471741459933571124610134096',10590,'9998',47.76,1,3,NULL),(16,3295478,'1983-03-22 00:00:00',2,1,11,1998,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241127135431123344242224230222027',NULL,'69',36.50,1,2,1),(16,3295516,'1987-03-06 00:00:00',4,1,12,2005,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241247332153441337719285124221464175',10161,'9999',48.50,1,3,NULL),(16,3295524,'1989-11-16 00:00:00',2,5,12,2006,'M','N','CENTRO','SOMBRIO','SC','124241241112371431423313294223133265097',NULL,'1033',26.40,4,2,1),(16,3295532,'1989-09-30 00:00:00',4,1,12,2008,'M','N','BOM VIVER','BIGUAçU','SC','124253247217111411437612216124610124052',NULL,'9999',18.29,4,3,NULL),(16,3295540,'1962-12-05 00:00:00',4,1,6,2007,'F','N','JURERÊ','FLORIANóPOLIS','SC','124201247226131711323341315124130266191',NULL,'9999',27.50,2,3,NULL),(16,3295559,'1984-08-22 00:00:00',4,1,12,2001,'F','N','TRINDADE','FLORIANóPOLIS','SC','124162241215273431438612321134120214037',8941,'270',50.67,1,3,NULL),(16,3295567,'1987-08-09 00:00:00',2,1,12,2004,'F','N','KOBRASOL','S JOSé','SC','124242241117274411236724282124130216177',NULL,'307',25.24,4,3,NULL),(16,3295575,'1982-10-02 00:00:00',4,1,12,1999,'F','N','PRAIA COMPRIDA','S JOSé','SC','224241241216112721268641312122421062092',NULL,'168',0.00,1,3,NULL),(16,3295583,'1989-04-23 00:00:00',2,4,10,2007,'M','N','ROSáRIO','STA MARIA','RS','120201207347271431539329571214613264014',NULL,'9998',28.74,1,3,NULL),(16,3295591,'1990-12-25 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241215141431238621241122610123012',NULL,'499',0.00,1,3,NULL),(16,3295605,'1966-11-11 00:00:00',2,1,12,2003,'M','N','PORTO DA LAGOA','FLORIANóPOLIS','SC','124246247421132721134549291224121918187',11605,'9999',45.99,4,3,NULL),(16,3295613,'1991-11-03 00:00:00',2,1,12,2008,'F','N','ARIRIú','PALHOçA','SC','124242241215111431466612575122610122147',NULL,'1014',29.58,1,3,NULL),(16,3295621,'1990-10-08 00:00:00',2,4,12,2007,'M','N','SÃO SEBASTIÃO','XANXERE','SC','124241241127271531435334372323610167047',NULL,'840',24.12,1,2,1),(16,3295630,'1991-08-25 00:00:00',4,5,11,2008,'F','N','PARAGUAI','JACINTO MACHADO','SC','124241241132151212436624575122610125142',NULL,'420',0.00,1,3,NULL),(16,3295648,'1990-09-02 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124241241141131312436619345114610123141',16050,'736',37.11,1,2,1),(16,3295656,'1989-06-27 00:00:00',2,1,12,2006,'M','N','CENTRO','CURITIBA','PR','116162161416571421549931575124610154017',NULL,'9998',39.59,1,3,NULL),(16,3295672,'1990-02-18 00:00:00',4,4,11,2008,'M','N','CONCORDIA DO OESTE','NOVA CONCóRDIA','PR','116161161136111431325315355124610147052',16538,'9998',35.26,1,3,NULL),(16,3295680,'1993-03-11 00:00:00',4,1,12,2009,'M','S','ESTREITO','FLORIANóPOLIS','SC','124242241217151731438813575122610117042',NULL,'259',35.23,1,3,NULL),(16,3295699,'1990-12-23 00:00:00',2,1,12,2008,'M','N','PASSA VINTE','PALHOçA','SC','124241241217111751456633575124610112057',13302,'1011',42.97,1,3,NULL),(16,3295710,'1981-02-20 00:00:00',4,1,12,1997,'M','N','ARMACAO','FLORIANóPOLIS','SC','624133131313132431328644443211133242097',NULL,'9998',0.00,4,3,NULL),(16,3295729,'1990-12-01 00:00:00',4,1,11,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215112431448823575114610128091',5432,'270',57.62,1,3,NULL),(16,3295737,'1991-03-12 00:00:00',2,4,12,2008,'F','N','CENTRO','CEL FREITAS','SC','124241241115131331633636212324610126147',14727,'199',40.22,1,3,NULL),(16,3295745,'1989-07-06 00:00:00',2,7,12,2006,'F','N','CENTRO','MAXIMILIANO ALMEIDA','RS','120201201216471431456612275122610168181',NULL,'9998',0.00,1,3,NULL),(16,3295753,'1989-12-05 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124212241215272431559812575122610133112',NULL,'262',21.97,1,3,NULL),(16,3295761,'1989-12-20 00:00:00',4,3,12,2006,'F','N','JARDIM ITATIAIA','LONDRINA','PR','116162161216573431347712571122610137187',2664,'9998',64.81,1,3,NULL),(16,3295770,'1979-08-20 00:00:00',2,1,12,1997,'F','N','ARIRIU','PALHOçA','SC','224241245142152421423844442222122341142',NULL,'158',32.31,1,3,NULL),(16,3295788,'1991-03-03 00:00:00',2,1,12,2008,'M','N','VILA HORIZONTE','PARANAGUá','PR','116164161216111231569811575112610168042',NULL,'9998',0.00,1,3,NULL),(16,3295800,'1990-08-27 00:00:00',2,1,12,2007,'F','N','CENTRO','RIBEIRãO PRETO','SP','125252251215411751238831595115610167012',5366,'9998',57.72,1,3,NULL),(16,3295818,'1980-02-12 00:00:00',2,1,12,1997,'F','N','FORTALEZA DA BARRA','FLORIANóPOLIS','SC','124251251124132421128444242334143227187',NULL,'9998',32.11,4,1,1),(16,3295826,'1985-10-25 00:00:00',2,1,12,2004,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241116143731348623442114610154147',NULL,'307',23.55,4,2,1),(16,3295834,'1986-07-02 00:00:00',2,3,12,2003,'F','N','SãO CIRO','CAXIAS SUL','RS','120202201216573431568737176122242445097',784,'9998',73.57,1,3,NULL),(16,3295842,'1990-05-08 00:00:00',2,5,12,2007,'M','N','CENTRO','PR GRANDE','SC','124241241147371421436612572211230222177',12942,'641',43.61,1,2,1),(16,3295850,'1990-07-06 00:00:00',2,4,12,2007,'F','N','TACCA','XANXERê','SC','124242241215571431336623574125610161177',4928,'1159',58.80,4,3,NULL),(16,3295869,'1990-04-12 00:00:00',2,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241316121431238721395214610137112',11872,'1022',45.51,1,3,NULL),(16,3295877,'1991-02-07 00:00:00',4,1,12,2008,'F','N','JARDIM VILA OSASCO','OSASCO','SP','125252251237471431449834375122610127057',10203,'9998',48.43,1,3,NULL),(16,3295885,'1991-08-14 00:00:00',4,10,11,2008,'F','N','CENTRO','TUBARãO','SC','124242241215121431356934575122610146042',NULL,'807',0.00,1,3,NULL),(16,3295893,'1987-09-21 00:00:00',2,1,12,2004,'F','N','KOBRASOL','S JOSé','SC','124241241316375431246624385124333221147',16336,'1011',36.25,1,3,NULL),(16,3295923,'1990-11-06 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241211112431456932272112610124092',2460,'270',65.47,3,3,NULL),(16,3295931,'1991-09-04 00:00:00',2,1,12,2008,'F','N','CANTO','FLORIANóPOLIS','SC','124161241117151411436619192124610118142',NULL,'307',26.65,1,3,NULL),(16,3295940,'1991-03-06 00:00:00',2,4,12,2008,'M','N','CENTRO','S MARTINHO','RS','120201201116161431343433575122610117053',NULL,'9998',22.04,1,2,1),(16,3295958,'1991-05-28 00:00:00',2,1,12,2008,'M','N','CENTRO','PALHOçA','SC','124241241137111441367411342124610114142',NULL,'592',0.00,1,2,1),(16,3295966,'1993-08-07 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111731458714472122610123142',12999,'270',43.51,1,3,NULL),(16,3295982,'1971-02-19 00:00:00',2,1,12,1988,'M','N','CENTRO','FLORIANóPOLIS','SC','124201203527141121133344242112140868044',8920,'9998',50.70,1,3,NULL),(16,3295990,'1985-10-18 00:00:00',4,1,12,2004,'M','N','ROçADO','S JOSé','SC','124242241236152311447612241132130817067',NULL,'725',20.33,1,3,NULL),(16,3296008,'1992-03-04 00:00:00',2,1,11,2008,'M','N','BALNEARIO','FLORIANóPOLIS','SC','124243241217111431489931575122610137042',14764,'262',40.14,1,3,NULL),(16,3296016,'1992-06-04 00:00:00',4,8,12,2009,'F','S','COSTA E SILVA','JOINVILLE','SC','124241241435111431545511572122610124147',NULL,'456',40.94,1,3,NULL),(16,3296024,'1991-10-09 00:00:00',2,8,11,2008,'M','N','VILA NOVA','RIO NEGRINHO','SC','124241241215111431326923274211610144053',NULL,'666',35.19,2,3,NULL),(16,3296032,'1991-09-13 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217141532489931575112610117042',NULL,'262',5.76,1,3,NULL),(16,3296040,'1991-05-30 00:00:00',4,10,11,2008,'F','N','INDUSTRIAL','FRANCISCO BELTRãO','PR','116161161216111431446612375122610125072',NULL,'9998',30.00,3,3,NULL),(16,3296059,'1990-07-10 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241247222161731226619342124610164017',NULL,'9999',0.00,1,3,NULL),(16,3296075,'1990-02-25 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241216472431346658375124610134072',9070,'1022',50.46,1,3,NULL),(16,3296083,'1986-06-23 00:00:00',4,1,12,2003,'F','N','ACLIMACAO','S PAULO','SP','125252251216573431444814441135610125147',2414,'9998',65.66,1,3,NULL),(16,3296105,'1991-08-08 00:00:00',2,1,12,2008,'F','N','UNIVERSITáRIO','TIJUCAS','SC','124241241115141421425624292321610138077',13232,'783',43.09,1,3,NULL),(16,3296113,'1983-04-02 00:00:00',5,1,12,2000,'M','N','COHAB','CAMBUí','MG','213251131126131431223334342124143237042',NULL,'9998',0.00,1,2,1),(16,3296121,'1981-03-10 00:00:00',4,1,12,1999,'M','N','KOBRASOL','S JOSé','SC','124242241415575431348723475114241567042',NULL,'120',31.10,4,3,NULL),(16,3296130,'1985-11-29 00:00:00',2,1,11,2003,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243241214335431548633315124610144021',12391,'9997',44.56,1,3,NULL),(16,3296148,'1989-10-26 00:00:00',2,1,12,2007,'F','N','JOSé MENDES','FLORIANóPOLIS','SC','124241241135232441213344342324610135047',NULL,'286',27.30,2,1,1),(16,3296156,'1991-05-30 00:00:00',4,1,12,2008,'M','N','AGUA BRANCA','ILHABELA','SP','125254251216161431533311285224610167042',NULL,'9998',0.00,4,3,NULL),(16,3296164,'1989-03-11 00:00:00',4,1,12,2008,'F','N','SãO JUDAS','PIRACICABA','SP','125252251217471431558714344122610143127',NULL,'9998',26.42,1,3,NULL),(16,3296172,'1987-07-18 00:00:00',2,1,12,2004,'F','N','BELA VISTA','S PAULO','SP','125252251216575431568821575124610162127',1112,'9998',71.37,1,3,NULL),(16,3296180,'1991-10-31 00:00:00',4,1,11,2008,'F','N','LOURO','ANTôNIO CARLOS','SC','124241241216131231626619595124610167072',NULL,'20',22.71,1,3,NULL),(16,3296199,'1989-04-19 00:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241248416151431235633395124610137147',NULL,'9999',23.68,1,3,NULL),(16,3296210,'1988-03-21 00:00:00',2,1,12,2005,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124121128126342431433319441224610124047',NULL,'9998',26.30,4,1,1),(16,3296229,'1988-02-19 00:00:00',2,9,12,2006,'M','N','UNIVERSITáRIO','LAGES','SC','124121241347273741524461212321610135157',12630,'498',44.12,1,3,NULL),(16,3296237,'1989-02-25 00:00:00',2,1,8,2007,'F','N','KOBRASOL','S JOSé','SC','124241241117132431336623375124130235097',14662,'739',40.36,1,2,1),(16,3296245,'1991-05-15 00:00:00',4,8,11,2008,'F','N','VILA NOVA','JOINVILLE','SC','124242241215272431456612572122610122072',NULL,'932',0.00,1,3,NULL),(16,3296253,'1988-12-18 00:00:00',2,4,12,2005,'M','N','CENTRO','MARIóPOLIS','PR','116161161216211531539914345122140717047',16479,'9998',35.56,1,3,NULL),(16,3296261,'1976-12-20 00:00:00',2,1,12,1993,'F','N','BARREIROS','S JOSé','SC','224201201116131411536354315224141267027',9217,'9998',50.21,1,2,1),(16,3296270,'1991-10-12 00:00:00',2,10,12,2008,'F','N','RIO BELO','ORLEANS','SC','124241241335111231434652275122610132142',14599,'950',40.52,1,3,NULL),(16,3296288,'1991-05-30 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242247316111731347823345124610112097',NULL,'9999',10.66,1,3,NULL),(16,3296296,'1991-04-15 00:00:00',4,1,12,2008,'M','N','CENTRO','CAPãO BONITO','SP','125254251216161431466812395122610168042',NULL,'9998',0.00,1,3,NULL),(16,3296300,'1991-06-03 00:00:00',4,6,11,2008,'F','N','CENTRO BALN CAMBORI','BAL CAMBORIú','SC','124242241215111432568812424122610121125',10364,'1038',48.15,1,3,NULL),(16,3296318,'1989-05-01 00:00:00',4,8,11,2006,'M','N','ALPHAVILLE','SANTANA PARNAíBA','SP','125252251217571431478814574122610162142',100,'9998',80.92,1,3,NULL),(16,3296342,'1989-07-12 00:00:00',2,1,12,2006,'F','N','SERRARIA','S JOSé','SC','124241241115272431434414445114610165057',NULL,'257',24.89,1,2,1),(16,3296350,'1981-03-28 00:00:00',4,1,11,1998,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','224211218221131431233343235122610132115',NULL,'9998',37.88,4,1,2),(16,3296377,'1989-08-22 00:00:00',4,3,12,2007,'F','N','SANTA PAULA','S CARLOS','SP','125254251216371431468923575122141745082',4957,'9998',58.71,1,3,NULL),(16,3296385,'1989-07-10 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124252251216274411126649395334140264192',14959,'9998',39.77,2,3,NULL),(16,3296393,'1988-03-25 00:00:00',4,5,6,2008,'M','N','VILA FRANCESA','CRICIúMA','SC','124243247117131431424379147114610145187',NULL,'1096',13.82,1,3,NULL),(16,3296415,'1990-04-30 00:00:00',4,4,12,2007,'M','N','CENTRO','MONDAí','SC','124241241112272411457632261112610164047',16375,'564',36.08,1,2,1),(16,3296423,'1991-03-25 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217111611458713575122610114062',NULL,'948',0.00,1,3,NULL),(16,3296440,'1991-10-09 00:00:00',2,1,12,2007,'F','N','ALTO DA XV','CURITIBA','PR','116142081217471551649716574124610162173',10866,'9998',47.24,1,3,NULL),(16,3296458,'1985-05-04 00:00:00',4,5,12,2003,'F','N','SANTO ANTôNIO','CRICIúMA','SC','124241247342131421623317342321133232192',NULL,'9999',26.90,2,3,NULL),(16,3296474,'1989-08-24 00:00:00',4,1,12,2006,'F','N','VILA REZENDE','PIRACICABA','SP','125132131217471431568811373312142062077',9348,'9998',50.00,1,3,NULL),(16,3296504,'1991-06-07 00:00:00',4,6,12,2008,'M','N','SAO JOAO','ITAJAí','SC','124245241515121431435639572112610112012',NULL,'388',41.73,1,3,NULL),(16,3296512,'1990-12-28 00:00:00',2,8,11,2008,'F','N','SERRA ALTA','S BENTO SUL','SC','124241241315131431336314242124610121142',NULL,'1073',0.00,1,3,NULL),(16,3296520,'1987-05-31 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241217152431568939335122231064047',9073,'266',50.46,1,3,NULL),(16,3296539,'1987-10-25 01:00:00',2,1,12,2006,'M','N','BARRA DO SAMBAQUI','FLORIANóPOLIS','SC','124241241121133431326669391224610113145',NULL,'279',20.63,4,2,1),(16,3296547,'1986-05-29 00:00:00',4,1,12,2004,'F','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','124202201217272411127649442224131033182',NULL,'9998',30.26,1,3,NULL),(16,3296555,'1990-07-31 00:00:00',4,8,12,2007,'M','N','CENTRO','CORUPá','SC','125241241215471411476614575112610168142',15577,'424',38.37,1,3,NULL),(16,3296563,'1984-01-21 00:00:00',2,1,2,2002,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124241241136135411227741315124133225027',14622,'307',40.46,1,3,NULL),(16,3296571,'1991-06-29 00:00:00',4,3,11,2008,'M','N','PEREQUE','PTO BELO','SC','124244241215271532236724345121610162011',13666,'1111',42.33,1,3,NULL),(16,3296580,'1984-03-20 00:00:00',2,1,12,2003,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241112473221426624341114610124097',NULL,'307',32.13,2,1,1),(16,3296598,'1991-11-07 00:00:00',4,3,11,2008,'M','N','CENTRO','CASCAVEL','PR','116162161217111431468812572115610164112',7630,'9998',53.10,1,3,NULL),(16,3296601,'1991-02-25 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215421231479923572122610137045',8064,'270',52.29,1,3,NULL),(16,3296628,'1986-12-04 00:00:00',2,1,12,2005,'M','N','HIGENóPOLIS','PTO ALEGRE','RS','120281288116371441538824595124610161197',5103,'9998',58.39,1,3,NULL),(16,3296636,'1991-01-09 00:00:00',4,10,12,2008,'M','N','CENTRO','TUBARãO','SC','124243241117371731425633495121610124047',13747,'1034',42.17,1,3,NULL),(16,3296644,'1991-09-14 00:00:00',4,5,11,2008,'F','N','COMERCIáRIO','CRICIúMA','SC','124242241215111431468812242122610146182',NULL,'213',0.00,1,3,NULL),(16,3296652,'1989-10-04 00:00:00',2,1,12,2007,'F','N','JARDIM MOTORAMA','S JOSé CAMPOS','SP','125251256217471431427711372224610147077',14142,'9998',41.34,1,3,NULL),(16,3296660,'1991-03-26 00:00:00',4,7,12,2008,'M','N','BARRA FRIA','LACERDóPOLIS','SC','124241241121131431534431141343610124057',NULL,'496',18.46,1,2,1),(16,3296679,'1990-06-17 00:00:00',2,10,12,2008,'M','N','CENTRO','IBITINGA','SP','125252251217111331448833575122610162047',12134,'9998',45.02,4,3,NULL),(16,3296687,'1991-04-03 00:00:00',2,10,11,2008,'M','N','CENTRO','BRAçO NORTE','SC','124244241411151431358833375124610164172',10374,'806',48.13,1,3,NULL),(16,3296695,'1970-09-28 00:00:00',2,1,7,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','224244247226132511246359372124133232147',NULL,'9999',0.00,4,3,NULL),(16,3296709,'1989-10-28 00:00:00',4,1,12,2006,'M','N','CENTRO','PALHOçA','SC','124241241227133431633374245114610167177',11932,'262',45.39,1,3,NULL),(16,3296717,'1986-09-21 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243241334133751648513195113230268117',NULL,'1036',24.18,2,3,NULL),(16,3296725,'1989-03-05 00:00:00',4,1,12,2006,'F','N','FAZENDA SNTO ANTôNIO','S JOSé','SC','124242241317373121433618572124230235077',11145,'1074',46.75,4,3,NULL),(16,3296741,'1986-08-20 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241147275721333325392214131465147',NULL,'641',27.56,1,2,1),(16,3296768,'1992-02-23 00:00:00',4,5,11,2009,'F','S','CENTRO','ORLEANS','SC','124242241217111411466613575122610164142',NULL,'820',46.57,1,3,NULL),(16,3296792,'1988-08-11 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANóPOLIS','SC','124241248116152411437651445121610126097',NULL,'359',34.62,1,2,1),(16,3296806,'1989-02-01 00:00:00',2,1,7,2007,'M','N','ITANHANGA','CPO GRANDE','MS','112122128237211411238823335114610127092',NULL,'9998',21.72,1,3,NULL),(16,3296814,'1991-07-26 00:00:00',4,1,12,2008,'F','N','SANTA MONICA','FLORIANóPOLIS','SC','124242241217272411449934574124610137122',4435,'262',59.92,1,3,NULL),(16,3296822,'1992-05-21 00:00:00',4,8,12,2009,'F','S','CENTRO','JARAGUá SUL','SC','124242248217111731458931495122610128122',NULL,'491',26.50,1,3,NULL),(16,3296830,'1991-01-10 00:00:00',4,2,12,2008,'M','N','VELHA','BLUMENAU','SC','124242241217221431467733576114610162012',1058,'87',71.70,1,3,NULL),(16,3296865,'1991-01-17 00:00:00',4,4,12,2007,'M','N','CENTRO','XAXIM','SC','124241241216472421554611345112610127017',13340,'994',42.89,1,3,NULL),(16,3296873,'1985-01-24 00:00:00',2,3,11,2002,'M','N','CENTRO','BAL CAMBORIú','SC','124243241216212421667322492122331227142',NULL,'48',0.00,1,3,NULL),(16,3296881,'1991-04-24 00:00:00',2,1,12,2008,'F','N','CANUDOS','ANTôNIO CARLOS','SC','124241241116161431426339575125610164142',NULL,'21',24.79,1,2,1),(16,3296890,'1990-08-16 00:00:00',4,1,12,2007,'F','N','CAéTE','ALFREDO WAGNER','SC','124241248127131711413316341321610163147',NULL,'13',28.32,4,2,1),(16,3296903,'1977-10-12 00:00:00',2,1,11,2002,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124163167126132641336643131324132112057',NULL,'9998',0.00,2,1,2),(16,3296911,'1987-10-18 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241116273431223723385124221167017',12583,'271',44.21,1,2,1),(16,3296920,'1975-02-13 00:00:00',4,3,12,1993,'M','N','PIONEIROS','BAL CAMBORIú','SC','224251251113161431268942225122141066182',NULL,'9998',0.00,5,3,NULL),(16,3296938,'1990-05-15 00:00:00',2,1,12,2007,'F','N','CENTRO','IPIRANGA','PR','116161161417471751246622272225610168187',NULL,'9998',41.96,1,3,NULL),(16,3296954,'1987-10-05 00:00:00',2,1,12,2005,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124251251111274411535714572124221212182',6636,'9998',54.98,1,2,1),(16,3296962,'1990-04-18 00:00:00',4,1,12,2007,'M','N','CONJUNTO VIOLIN','LONDRINA','PR','116164161217472731667921315114610127056',NULL,'9998',0.00,4,3,NULL),(16,3296970,'1990-06-28 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241247445371411125544345124610128037',8253,'9999',51.87,1,3,NULL),(16,3296997,'1985-05-06 00:00:00',4,1,12,2002,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241217475531479933432122131262045',5292,'270',57.88,1,3,NULL),(16,3297004,'1992-10-07 00:00:00',4,8,11,2009,'F','S','FLORESTA','JOINVILLE','SC','124241241217111411546812575122610156057',NULL,'459',51.61,1,3,NULL),(16,3297012,'1991-07-08 00:00:00',2,1,11,2008,'M','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','124241241115131731324414182324610127042',NULL,'278',24.73,1,3,NULL),(16,3297039,'1993-01-21 00:00:00',4,1,12,2009,'F','S','CAMPINAS','S JOSé','SC','124242241215111731569812575122610167047',NULL,'737',27.08,1,3,NULL),(16,3297047,'1988-03-28 00:00:00',2,6,12,2005,'F','N','CENTRO','LONDRINA','PR','116162161315511431357921415122610144192',NULL,'9998',0.00,1,3,NULL),(16,3297055,'1991-11-24 00:00:00',2,5,10,2008,'F','N','BORTOLUZZI','NOVA VENEZA','SC','124242241215111431458933572122610131142',7478,'213',53.35,1,3,NULL),(16,3297063,'1992-01-22 00:00:00',2,4,12,2008,'F','N','UNIÃO','S JOãO','PR','116162161216271431459913575124610136072',NULL,'9998',0.00,1,3,NULL),(16,3297071,'1981-03-01 00:00:00',2,1,12,2001,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124241241345235731323344141334132727047',NULL,'307',24.90,1,3,NULL),(16,3297098,'1991-04-24 00:00:00',4,4,12,2008,'M','N','CENTRO','CONCóRDIA','SC','124244241215112331348632573124610157122',11930,'1047',45.39,1,3,NULL),(16,3297101,'1990-11-01 00:00:00',4,10,12,2009,'F','S','SANTA AUGUSTA','BRAçO NORTE','SC','124241242115161731438923575124610124142',NULL,'690',41.38,1,3,NULL),(16,3297110,'1991-10-05 00:00:00',2,1,11,2008,'F','N','CENTRO','STA MARIA','RS','120204201117111731548831575124610127047',13480,'9998',42.64,1,3,NULL),(16,3297136,'1991-12-24 00:00:00',4,1,11,2009,'M','S','TRINDADE','FLORIANóPOLIS','SC','124244241217111431448821575124610138175',NULL,'270',52.92,1,3,NULL),(16,3297144,'1991-07-26 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241316131431434614272112610135045',15906,'300',37.48,1,3,NULL),(16,3297152,'1980-03-26 00:00:00',4,1,12,1997,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241211112431268923595124221037182',NULL,'269',0.00,1,3,NULL),(16,3297160,'1990-06-23 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124244241435112431469939295124610117182',16581,'269',34.98,1,3,NULL),(16,3297179,'1989-04-06 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124244241417573431578914575124610134182',2769,'1000',64.51,1,3,NULL),(16,3297187,'1991-06-23 00:00:00',4,4,12,2008,'F','N','CENTRO','BARRACãO','PR','116241241114371431433632575122610166192',NULL,'245',26.77,1,2,1),(16,3297195,'1992-11-08 00:00:00',2,5,11,2009,'F','S','QUARTA LINHA','CRICIúMA','SC','124242248236111411428832271124610163142',NULL,'210',45.94,1,3,NULL),(16,3297209,'1987-09-17 00:00:00',2,1,12,2004,'F','N','PARQUE DA LAGOA','ITAPETININGA','SP','125251255117371431338319575125610142097',NULL,'9998',10.27,1,2,1),(16,3297225,'1991-05-18 00:00:00',4,1,11,2008,'M','N','ARMAçãO DO PâNTANO','FLORIANóPOLIS','SC','124243241125131732328614396324610162197',9808,'291',49.14,1,3,NULL),(16,3297233,'1988-01-08 00:00:00',2,1,11,2004,'F','N','SERRARIA','S JOSé','SC','124241241116575431546624475124231225142',5172,'257',58.19,1,2,1),(16,3297241,'1989-06-22 00:00:00',2,1,7,2008,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242247237331431546419445124610127057',NULL,'9999',26.71,1,3,NULL),(16,3297250,'1990-07-02 00:00:00',4,1,12,2007,'F','N','LOMBA ALTA','ALFREDO WAGNER','SC','124241248127131731523319572314610164057',NULL,'13',18.23,1,2,1),(16,3297276,'1991-06-15 00:00:00',2,1,12,2008,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124204201417131431669773576124610163092',8572,'9998',51.30,1,3,NULL),(16,3297284,'1989-05-02 00:00:00',4,1,12,2007,'F','N','CIGANA','LAGUNA','SC','124241247117131431523319172224610164191',NULL,'9997',21.16,1,2,1),(16,3297292,'1990-04-08 00:00:00',4,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124243241116271732426839395124610134047',NULL,'307',28.39,1,3,NULL),(16,3297306,'1944-02-28 00:00:00',5,1,12,1963,'M','N','COQUEIROS','FLORIANóPOLIS','SC','224201011131151711384642122132341427182',13124,'9998',43.29,1,3,NULL),(16,3297314,'1991-05-12 00:00:00',4,8,11,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215111731456733572122610124012',NULL,'486',40.00,1,3,NULL),(16,3297330,'1992-08-22 00:00:00',4,7,12,2009,'F','S','FARROUPILHA','VIDEIRA','SC','124231241217151431448832582122610138097',NULL,'1080',25.02,1,3,NULL),(16,3297349,'1989-02-18 00:00:00',4,1,12,2006,'M','N','VILA SANTA TERESA','BAURU','SP','125252256116572432478713275112610115097',2285,'9998',66.11,1,3,NULL),(16,3297357,'1991-01-13 00:00:00',2,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124244241215121431226621572124610133142',10694,'486',47.56,1,3,NULL),(16,3297365,'1991-05-11 00:00:00',4,10,11,2008,'F','N','CENTRO','TUBARãO','SC','124242241217111432539814372122610121182',10566,'806',47.80,1,3,NULL),(16,3297381,'1991-12-27 00:00:00',4,4,12,2008,'M','N','JARDIM ITáLIA','CHAPECó','SC','124243241117151431469811572122610137042',NULL,'169',37.44,1,3,NULL),(16,3297390,'1991-05-30 00:00:00',2,5,10,2008,'F','N','MORRO DA GLóRIA','URUSSANGA','SC','124242241215111431469913592124610137142',5781,'226',56.86,1,3,NULL),(16,3297403,'1983-06-13 00:00:00',5,1,12,2003,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241217142431558831392122131024117',NULL,'270',0.00,1,3,NULL),(16,3297411,'1973-08-06 00:00:00',4,3,12,1992,'F','N','PIONEIROS','BAL CAMBORIú','SC','624251251213161431266642425122542162092',NULL,'9998',0.00,1,3,NULL),(16,3297420,'1990-12-29 00:00:00',4,5,11,2008,'M','N','QUARTA LINHA','CRICIúMA','SC','124241241215111431554534575124610117042',NULL,'227',20.99,1,3,NULL),(16,3297438,'1989-07-12 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241212272751368713432112132662197',NULL,'9997',26.10,1,3,NULL),(16,3297446,'1990-11-19 00:00:00',2,1,12,2007,'F','N','AREIAS','S JOSé','SC','124241241116371311426631371124610114082',NULL,'734',22.59,1,2,1),(16,3297454,'1990-12-12 00:00:00',4,1,12,2007,'F','N','PQ INDEPENDENCIA','SAO PAULO','SP','125252253215471411536631145234610132192',NULL,'9998',0.00,4,3,NULL),(16,3297462,'1990-03-10 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241311272431223729245124610134057',NULL,'1050',31.49,1,3,NULL),(16,3297470,'1990-12-27 00:00:00',4,5,12,2008,'F','N','MATO ALTO','ARARANGUá','SC','124241241115131431413414572324610125057',NULL,'30',19.43,1,2,1),(16,3297489,'1990-12-24 00:00:00',4,10,11,2008,'M','N','DEHON','TUBARãO','SC','124242241215111431358834575121610118042',9709,'806',49.33,1,3,NULL),(16,3297497,'1991-06-26 00:00:00',4,4,12,2007,'F','N','CENTRO','CAMPINAS SUL','RS','120201201116471431426316162121610137057',10388,'9998',48.11,1,2,1),(16,3297500,'1991-03-20 00:00:00',4,7,11,2008,'M','N','CENTRO','JOAçABA','SC','124242241215111721347923435125610162082',15989,'446',37.26,1,3,NULL),(16,3297519,'1991-10-11 00:00:00',4,10,11,2008,'M','N','CENTRO','STA MARIA','RS','120202201216211741448869575114610167142',865,'9998',72.91,1,3,NULL),(16,3297527,'1992-04-11 00:00:00',2,1,11,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241216111431456412272124610164092',9667,'1011',49.39,1,3,NULL),(16,3297535,'1986-02-15 00:00:00',2,1,7,2003,'F','N','AURORA','IçARA','SC','224243241314151431232652332124332746147',NULL,'995',0.00,1,3,NULL),(16,3297543,'1992-01-02 00:00:00',4,1,11,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124242241212111431369913432122610137092',NULL,'259',40.27,1,3,NULL),(16,3297551,'1989-01-26 00:00:00',2,6,10,2006,'F','N','NOVA LONDRES','LONDRINA','PR','116162161215511431249831495124510116192',NULL,'9998',0.00,1,3,NULL),(16,3297560,'1990-03-27 00:00:00',2,1,11,2007,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241147572431426314472124610127177',5254,'307',57.99,1,2,1),(16,3297578,'1972-09-07 00:00:00',2,1,11,1993,'M','N','ESTREITO','FLORIANóPOLIS','SC','224201201141131751363343435124341122042',8868,'9999',50.78,1,2,1),(16,3297586,'1991-04-25 00:00:00',2,7,12,2008,'F','N','INTERIOR','ERECHIM','RS','120201201117131431423336462224610134047',10526,'9998',47.88,1,2,1),(16,3297594,'1987-04-08 00:00:00',4,1,12,2004,'M','N','CENTRO','CACHOEIRA SUL','RS','120202201214373231548931372114610167057',349,'9998',77.36,1,3,NULL),(16,3297616,'1986-07-27 00:00:00',4,1,12,2004,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241416232431448933442134132744147',NULL,'882',29.61,1,3,NULL),(16,3297624,'1992-05-14 00:00:00',4,9,11,2010,'M','S','JARDIM CAIçARA','S JOAQUIM','SC','124242161217111431469613475124610167047',NULL,'721',52.70,1,3,NULL),(16,3297632,'1991-01-08 00:00:00',2,8,12,2008,'F','N','CENTRO','S BENTO SUL','SC','124241241115131231226624275324610162147',15220,'697',39.15,1,2,1),(16,3297640,'1988-06-19 00:00:00',4,9,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242247415143431366632575124231424187',12149,'9999',44.99,4,3,NULL),(16,3297659,'1979-05-04 00:00:00',4,1,12,1996,'F','N','VILA BOEIRA','CANELA','RS','120201201116151411133343335124343261183',NULL,'9998',0.00,1,3,NULL),(16,3297667,'1990-12-11 00:00:00',4,1,12,2007,'M','N','ABRAAO','FLORIANóPOLIS','SC','124242241214472431446812272114610127145',5938,'262',56.48,1,3,NULL),(16,3297675,'1991-03-01 00:00:00',4,2,12,2008,'M','N','CENTRO II','BRUSQUE','SC','124244241215131431448811215122610167187',8186,'981',52.04,1,3,NULL),(16,3297683,'1992-03-06 00:00:00',4,4,12,2008,'F','N','NOSSA SRA DE FáTIMA','XANXERê','SC','124242241212131431226721595124610164037',9782,'1159',49.19,1,3,NULL),(16,3297705,'1982-10-25 00:00:00',2,1,12,2000,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124241241116143411556824335134322234177',11118,'307',46.81,1,2,1),(16,3297713,'1991-02-19 00:00:00',2,1,11,2008,'F','N','SANGA DA TOCA','ARARANGUá','SC','124244241415111531363532594112610167141',NULL,'32',23.55,1,3,NULL),(16,3297721,'1983-08-10 00:00:00',2,6,12,2001,'M','N','GRAVATá','NAVEGANTES','SC','124241241127131411633311185114133264042',NULL,'401',0.00,1,2,1),(16,3297730,'1991-03-03 00:00:00',2,7,12,2008,'F','N','CENTRO','AT BELA VISTA','SC','124241241127161431446933575122610133057',NULL,'14',25.88,1,2,1),(16,3297748,'1992-02-07 00:00:00',4,1,11,2009,'M','S','ITAGUAçU','FLORIANóPOLIS','SC','124241241115151531368933575122610111062',NULL,'267',33.09,1,3,NULL),(16,3297756,'1992-06-28 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215151432538813572124610136141',12799,'1134',43.84,1,3,NULL),(16,3297764,'1988-08-26 00:00:00',4,1,12,2006,'F','N','CARIANOS','FLORIANóPOLIS','SC','124244241216221731228411485224610134147',NULL,'855',0.00,3,3,NULL),(16,3297772,'1990-06-19 00:00:00',4,8,12,2007,'M','N','ITAUM','JOINVILLE','SC','124241241215471431458632495124610134047',NULL,'489',32.73,4,3,NULL),(16,3297780,'1966-09-19 00:00:00',2,1,12,2001,'F','N','ITACORUBI','FLORIANóPOLIS','SC','224241241122132431454453242114610127013',NULL,'298',29.21,1,2,1),(16,3297802,'1991-11-07 00:00:00',4,8,11,2008,'F','N','VILA NOVA','JARAGUá SUL','SC','124241246216371531435833575122610162133',13342,'1061',42.89,1,3,NULL),(16,3297810,'1992-04-14 00:00:00',4,1,12,2009,'F','S','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241215111431358813572114610133142',NULL,'270',40.01,1,3,NULL),(16,3297829,'1985-12-21 00:00:00',2,8,12,2004,'F','N','ITAUM','JOINVILLE','SC','124241246217133131435923342124233261197',12338,'1105',44.66,4,3,NULL),(16,3297837,'1988-09-08 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124243251215574451128849295124610136147',4919,'9998',58.82,1,3,NULL),(16,3297845,'1987-09-08 00:00:00',4,1,12,2005,'M','N','NUCLEO BANDEIRANTE','NUCLEO BANDEIRANTE','DF','107072071215573731468833575114142062052',880,'9998',72.80,4,3,NULL),(16,3297853,'1982-06-01 00:00:00',2,1,12,2002,'M','N','MONTE CRISTO','FLORIANóPOLIS','SC','124201201121112431114443331324122967047',9701,'9998',49.34,4,2,1),(16,3297870,'1991-09-14 00:00:00',4,2,11,2008,'M','N','VELHA','BLUMENAU','SC','124241241117271431226567576124610137147',9975,'73',48.82,1,2,1),(16,3297888,'1989-11-11 00:00:00',2,1,11,2006,'M','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241136172751326965445124610168142',16691,'941',33.43,1,3,NULL),(16,3297896,'1990-11-28 00:00:00',4,5,11,2008,'M','N','METROPOLITANA','CRICIúMA','SC','124242241215111121558612275122610157067',16386,'213',36.03,1,3,NULL),(16,3297900,'1989-06-22 00:00:00',2,1,11,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241115131531546611312124610138143',15403,'288',38.77,1,2,1),(16,3297918,'1962-02-27 00:00:00',4,1,12,1980,'M','N','ESTREITO','FLORIANóPOLIS','SC','224241241116134421353343435122121447067',15698,'307',38.07,2,1,1),(16,3297926,'1987-03-13 00:00:00',2,1,12,2005,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241126143432434319342124233237117',NULL,'307',22.32,2,1,1),(16,3297934,'1986-02-25 00:00:00',4,1,12,2003,'F','N','SANTINHO','FLORIANóPOLIS','SC','124112251212575211226644342324610124097',8845,'9998',50.81,1,3,NULL),(16,3297969,'1989-03-29 00:00:00',4,1,10,2006,'M','N','PLANO DIRETOR SUL','PALMAS','TO','109272271217471431548833512112610144047',NULL,'9998',0.00,1,3,NULL),(16,3297977,'1988-06-07 00:00:00',4,1,12,2006,'M','N','JARDIM ELDORADO','PALHOçA','SC','124241241147131411646673245114610128143',NULL,'1009',36.15,1,3,NULL),(16,3297985,'1989-04-19 00:00:00',4,1,6,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115271451334479346114610123052',NULL,'306',28.70,1,2,1),(16,3298000,'1992-07-04 00:00:00',4,1,12,2009,'F','S','CENTRO','ANTôNIO CARLOS','SC','124241241112131211339912471111610165072',NULL,'21',23.96,1,3,NULL),(16,3298027,'1990-05-18 00:00:00',4,1,12,2007,'F','N','JURERê','FLORIANóPOLIS','SC','124242241215471751468711575122610166093',NULL,'270',47.30,1,3,NULL),(16,3298035,'1991-04-06 00:00:00',4,10,12,2008,'M','N','RIO CACHOEIRINHAS','GR PARá','SC','124241248116161431653516265122610125142',NULL,'330',34.08,1,2,1),(16,3298043,'1989-05-18 00:00:00',2,4,6,2008,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124212241115271431426413575125231337071',NULL,'306',0.00,4,3,NULL),(16,3298060,'1991-01-27 00:00:00',2,1,12,2007,'M','N','IPIRANGA','S JOSé','SC','124242241217142331336611245124230234093',13784,'976',42.09,1,3,NULL),(16,3298078,'1989-07-30 00:00:00',4,8,12,2006,'F','N','COMASA','JOINVILLE','SC','124241241212131411636613592324231424032',12451,'992',44.47,1,3,NULL),(16,3298086,'1990-04-07 00:00:00',4,8,12,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124244241215472431457924574122610166151',1350,'1063',70.10,1,3,NULL),(16,3298094,'1989-02-25 00:00:00',2,1,5,2007,'M','N','SOBRADINHO','SOBRADINHO','DF','107074071336371432359622275123610142112',NULL,'9999',14.92,1,3,NULL),(16,3298116,'1991-11-03 00:00:00',4,1,11,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124244248212131431227724572344610128142',NULL,'403',27.23,1,3,NULL),(16,3298124,'1992-01-08 00:00:00',4,9,11,2008,'F','N','POçO RICO','OTACíLIO COSTA','SC','124244241415111431556932575122610122092',16460,'497',35.65,1,3,NULL),(16,3298132,'1989-12-11 00:00:00',4,1,12,2007,'M','N','JARDIM EUROPA','ASSIS','SP','125252251235472441368835486112610144012',NULL,'9998',0.00,1,3,NULL),(16,3298140,'1991-03-11 00:00:00',2,1,11,2007,'F','N','BELA VISTA','PALHOçA','SC','124241241132131431113349392324610161197',NULL,'1108',13.36,3,2,1),(16,3298159,'1991-01-19 00:00:00',4,1,11,2008,'M','N','ARMAçãO DO PâNTANO','FLORIANóPOLIS','SC','124241241127271411426411392224610167092',10062,'291',48.67,1,2,1),(16,3298167,'1991-05-03 00:00:00',2,5,10,2008,'M','N','BORTOLUZZI','NOVA VENEZA','SC','124244241215121431467932375122610127117',NULL,'226',0.00,1,3,NULL),(16,3298175,'1989-09-20 00:00:00',2,1,11,2006,'F','N','BARREIROS','S JOSé','SC','124244241212273731648619345114132823097',16136,'806',36.81,4,3,NULL),(16,3298191,'1985-09-19 00:00:00',4,1,12,2002,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241117575431246829292122610132147',7105,'203',54.10,1,2,1),(16,3298205,'1981-08-24 00:00:00',2,1,12,1998,'F','N','CENTRO','FLORIANóPOLIS','SC','124241243311154411445514291125121667182',13335,'303',42.90,1,3,NULL),(16,3298213,'1971-03-29 00:00:00',2,1,9,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','224243247212131411633354482123610126187',NULL,'9999',28.39,1,3,NULL),(16,3298248,'1990-09-11 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124242241215132731546611282123610148197',16426,'868',35.80,1,3,NULL),(16,3298256,'1991-08-21 00:00:00',4,5,11,2008,'M','N','CENTRO','SIDERóPOLIS','SC','124242241215111431458932572122610112052',NULL,'767',1.00,1,3,NULL),(16,3298272,'1987-02-07 00:00:00',4,9,12,2004,'F','N','CENTRO','LAGES','SC','124242241416575431238711272112610134097',NULL,'498',32.88,1,3,NULL),(16,3298280,'1989-03-01 00:00:00',4,1,12,2006,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124242241212273131236622382124610117017',10830,'269',47.31,1,3,NULL),(16,3298299,'1976-10-08 00:00:00',2,1,1,1998,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124142147417131451229619482314141118097',NULL,'9998',17.66,1,3,NULL),(16,3298302,'1992-09-22 00:00:00',2,5,12,2009,'F','S','PIO CORREA','CRICIúMA','SC','124242241215111731356711575112610132183',NULL,'226',27.08,1,3,NULL),(16,3298310,'1989-02-11 00:00:00',4,1,12,2006,'M','N','ITANHANGA','CPO GRANDE','MS','112122121217271431368613575122610137047',6837,'9998',54.60,1,3,NULL),(16,3298337,'1985-04-06 00:00:00',4,1,12,2002,'M','N','CENTRO','CANOAS','RS','120202201211131411448833481214141262193',1365,'9998',70.04,1,3,NULL),(16,3298345,'1975-03-18 00:00:00',2,1,4,1994,'M','N','BELA VISTA','FLORIANóPOLIS','SC','124243247212475211433113382224121717052',NULL,'267',25.24,2,3,NULL),(16,3298353,'1990-08-08 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241115271431368923575124610114162',401,'267',76.78,1,2,1),(16,3298361,'1988-06-03 00:00:00',2,1,12,2005,'F','N','SERTAO DO MARUIN','S JOSé','SC','124241241127372431626314285114610114147',NULL,'733',22.50,3,2,1),(16,3298370,'1991-04-19 00:00:00',4,1,11,2008,'F','N','CENTRO','GUARAPUAVA','PR','116162161215111441468832571124610127042',NULL,'9998',0.00,1,3,NULL),(16,3298396,'1988-07-25 00:00:00',4,1,11,2005,'F','N','JARDIM PAULISTA','S PAULO','SP','125122121216571411548931571125610164092',1926,'9998',67.49,1,3,NULL),(16,3298400,'1986-09-06 00:00:00',2,1,12,2006,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241248222244731633539192214610116185',NULL,'262',29.41,4,3,NULL),(16,3298418,'1982-09-28 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANóPOLIS','SC','124201207436131721336619495124130237042',NULL,'9999',0.00,1,3,NULL),(16,3298426,'1991-07-18 00:00:00',2,4,11,2008,'M','N','CENTRO','CHAPECó','SC','124244241215151411559612572122610134052',NULL,'185',35.09,1,3,NULL),(16,3298434,'1988-02-17 00:00:00',2,10,12,2005,'F','N','PIO X','CAXIAS SUL','RS','120201201136571451457634572125232466147',11147,'9998',46.75,1,2,1),(16,3298442,'1992-05-15 00:00:00',4,8,12,2009,'M','S','SAGUAçú','JOINVILLE','SC','124162241215111431569933571121610144177',NULL,'456',55.41,3,3,NULL),(16,3298477,'1986-04-09 00:00:00',2,1,12,2002,'F','N','CENTRO','GAROPABA','SC','124203201136161741227644245234241926183',14988,'9998',39.68,1,3,NULL),(16,3298485,'1972-06-02 00:00:00',2,1,5,2007,'M','N','AURORA','IçARA','SC','224251257321151431243642124132610136147',NULL,'9998',0.00,1,3,NULL),(16,3298493,'1976-09-10 00:00:00',4,1,12,1993,'M','N','ARMAÇÃO','FLORIANóPOLIS','SC','124242241217311411288942225132610127112',NULL,'270',0.00,1,3,NULL),(16,3298507,'1991-08-07 00:00:00',2,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124241241216371431324414575125610161192',NULL,'1085',28.93,1,3,NULL),(16,3298515,'1990-02-13 00:00:00',2,8,12,2007,'M','N','CENTRO','RIO NEGRINHO','SC','124242241217271411438332442124610138187',NULL,'666',30.48,1,3,NULL),(16,3298523,'1991-07-18 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242248315271731468911395125610144042',NULL,'307',28.92,1,3,NULL),(16,3298540,'1989-03-10 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANóPOLIS','SC','124201201115371451345715571124610124181',NULL,'9998',8.37,1,3,NULL),(16,3298558,'1984-12-02 00:00:00',2,1,12,2002,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','224241245132131411523351442124610161192',NULL,'65',28.62,1,3,NULL),(16,3298566,'1993-04-02 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241217111732478833592112610114142',NULL,'270',38.47,1,3,NULL),(16,3298574,'1988-03-31 00:00:00',4,1,11,2006,'F','N','JURERE INTERNACIONAL','CAMPINAS','SP','124251251116172411338721342134131467097',NULL,'9998',26.60,1,3,NULL),(16,3298582,'1990-11-25 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124241241115141432521314142124610117047',NULL,'873',11.18,4,2,1),(16,3298590,'1990-10-02 00:00:00',2,1,12,2007,'F','N','JARDIM PALERMO','S BERNARDO CAMPO','SP','125103251216471431447319372124610165147',6725,'9998',54.82,1,3,NULL),(16,3298604,'1989-06-30 00:00:00',2,1,12,2006,'F','N','CONSOLAçãO','S PAULO','SP','125251251136471431338821341124610142097',15354,'9998',38.86,1,2,1),(16,3298612,'1992-10-06 00:00:00',4,2,11,2009,'F','S','CENTRO','RIO CEDROS','SC','124241241215111431446613132122610127147',NULL,'1157',20.25,1,3,NULL),(16,3298620,'1983-12-11 00:00:00',4,8,7,2003,'M','N','JARDIM CARAVELAS','S PAULO','SP','125252257236431432537821415122240767027',8167,'9999',52.09,4,3,NULL),(16,3298639,'1988-09-07 00:00:00',4,1,12,2005,'M','N','CENTRO','CANOAS','RS','120202201216412431448833572115610162181',7059,'9998',54.18,1,3,NULL),(16,3298647,'1991-07-11 00:00:00',4,1,12,2008,'M','N','CENTRO','SERRA NEGRA','SP','125254251215111431558831572122610132147',11972,'9998',45.30,1,3,NULL),(16,3298655,'1977-09-17 00:00:00',4,1,12,1994,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124252241212152431318848382221341022047',5683,'9998',57.12,1,3,NULL),(16,3298680,'1991-06-07 00:00:00',2,1,12,2008,'M','N','MORRO DA BINA','BIGUAçU','SC','624242248215111431466512115115610114112',NULL,'868',21.35,1,3,NULL),(16,3298698,'1985-05-16 00:00:00',4,1,12,2002,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANóPOLIS','SC','124241241117374451425314572224610126142',4539,'281',59.68,1,2,1),(16,3298701,'1980-09-17 00:00:00',4,1,6,1999,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241247427133421138344145334121941197',12253,'9999',44.80,4,3,NULL),(16,3298710,'1984-08-18 00:00:00',2,1,2,2001,'M','N','CENTRO','PALHOçA','SC','124242246115135421338713242121222324051',NULL,'306',37.43,1,3,NULL),(16,3298728,'1979-10-28 00:00:00',4,1,12,1997,'M','N','TRINDADE','FLORIANóPOLIS','SC','122224221434151441468623195122343266095',NULL,'9998',0.00,1,3,NULL),(16,3298736,'1986-03-02 00:00:00',2,8,12,1996,'M','N','MORRO DO MEIO','JOINVILLE','SC','124243248335311731426634445321610134112',NULL,'893',24.58,4,3,NULL),(16,3298744,'1980-10-30 00:00:00',2,2,12,1999,'M','N','JD IPANEMA','MARINGá','PR','116251252116571421335614432322610164047',NULL,'9998',0.00,1,2,1),(16,3298752,'1991-01-19 00:00:00',4,7,12,2008,'F','N','CENTRO','ERECHIM','RS','120201201115131431626932342122610127187',14778,'9998',40.12,1,2,1),(16,3298760,'1985-03-02 00:00:00',2,1,12,2004,'M','N','PINHEIRA','PALHOçA','SC','124241241125271431323621285114610117057',NULL,'595',0.00,1,2,1),(16,3298779,'1991-09-08 00:00:00',2,1,12,2008,'M','N','SAMBAQUI','FLORIANóPOLIS','SC','124242241215111431447823272124610167117',NULL,'1048',31.75,1,3,NULL),(16,3298787,'1991-03-04 00:00:00',2,5,11,2008,'M','N','CENTRO','TURVO','SC','124241241215111431354624344122610167047',5040,'813',58.53,1,3,NULL),(16,3298795,'1984-10-19 00:00:00',2,1,12,2003,'F','N','ENSEADA DE BRITO','PALHOçA','SC','124241241122132431438519492224610148147',NULL,'594',23.43,1,3,NULL),(16,3298809,'1992-11-20 00:00:00',4,5,11,2009,'F','S','URUSSANGUINHA','ARARANGUá','SC','124242241215151731549911576122610168142',NULL,'970',25.80,1,3,NULL),(16,3298817,'1979-09-19 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','624241247422131421526351295124610131077',NULL,'977',0.00,2,1,2),(16,3298825,'1991-02-07 00:00:00',2,4,11,2008,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241215151411367712575122610127042',5724,'752',57.01,1,3,NULL),(16,3298833,'1991-09-04 00:00:00',4,1,12,2008,'M','N','PONTA PRAIA','SANTOS','SP','125252251216271431448814574114610167077',NULL,'9998',0.00,1,3,NULL),(16,3298868,'1992-02-23 00:00:00',4,1,12,2009,'F','S','PONTA DE BAIXO','S JOSé','SC','124242241215111431466612575112610131152',NULL,'724',16.89,1,3,NULL),(16,3298876,'1990-09-06 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124242241217171431323612345112610141092',NULL,'1074',36.60,1,3,NULL),(16,3298892,'1990-01-06 00:00:00',4,1,11,2008,'M','N','ROçADO','S JOSé','SC','124241241215131231326324575125610127062',13769,'1076',42.12,1,3,NULL),(16,3298906,'1991-05-10 00:00:00',2,4,12,2008,'F','N','APARECIDA','CHAPADA','RS','120201201116161431433313585124610161097',NULL,'9998',27.34,1,2,1),(16,3298914,'1992-02-27 00:00:00',4,8,12,2008,'F','N','BUCAREIN','JOINVILLE','SC','124242241215111431438813575122610121182',11648,'1063',45.92,1,3,NULL),(16,3298922,'1988-11-11 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241217372431636821271124610123057',10540,'1098',47.85,1,3,NULL),(16,3298930,'1987-10-29 00:00:00',2,1,12,2006,'M','N','BALNEARIO ESTREITO','FLORIANóPOLIS','SC','124242241137272431569613241114131062041',NULL,'1022',25.63,1,3,NULL),(16,3298949,'1992-07-18 00:00:00',4,1,11,2008,'F','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','124242241215111431458812472122610147122',NULL,'270',21.86,1,3,NULL),(16,3298957,'1992-08-09 00:00:00',4,3,12,2009,'M','S','CENTRO','BAL CAMBORIú','SC','124242241216111332366832375122610127012',NULL,'9997',23.50,1,3,NULL),(16,3298965,'1989-08-11 00:00:00',4,1,11,2006,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241217133431327819395224610123077',7276,'486',53.75,1,3,NULL),(16,3298973,'1962-03-27 00:00:00',2,1,12,1979,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','324253258127131411337449392122343211187',NULL,'9998',24.45,1,3,NULL),(16,3298981,'1988-10-27 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124122121215471431149711595122610124117',9295,'9998',50.09,1,3,NULL),(16,3298990,'1988-08-08 00:00:00',2,1,12,2005,'F','N','SANTA CRUZ','GUARAPUAVA','PR','116164161216573431438332371314610134187',12252,'9998',44.80,1,3,NULL),(16,3299007,'1992-07-06 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215111431436614245122610127047',15593,'723',38.33,1,3,NULL),(16,3299015,'1991-07-01 00:00:00',4,2,12,2008,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241215271431389832245132610134082',NULL,'855',53.32,1,3,NULL),(16,3299023,'1990-10-07 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431469933575114610167047',14785,'1022',40.10,1,3,NULL),(16,3299031,'1992-07-21 00:00:00',5,8,12,2009,'F','S','SÃO MARCOS','JOINVILLE','SC','124242241216151431458833572124610124147',NULL,'1105',33.13,4,3,NULL),(16,3299040,'1991-02-07 00:00:00',2,1,12,2008,'M','N','LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC','124242241216111731469931575112610127127',13076,'299',43.36,1,3,NULL),(16,3299058,'1990-05-06 00:00:00',2,1,12,2007,'F','N','WILSON','SANTANA LIVRAMENTO','RS','120201201116471422436614241114610133147',NULL,'9998',24.62,1,3,NULL),(16,3299066,'1989-12-01 00:00:00',2,8,12,2007,'M','N','BARRA DO RIO MOLHA','JARAGUá SUL','SC','124242241214273711449836365112610117042',3814,'442',61.56,1,3,NULL),(16,3299074,'1991-09-07 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215111431326634572124610114015',6783,'737',54.69,4,3,NULL),(16,3299082,'1991-05-05 00:00:00',4,1,12,2008,'F','N','JARDIM ELDORADO','PALHOçA','SC','124241241117141431433514245124610124147',12852,'739',43.75,1,2,1),(16,3299090,'1992-12-14 00:00:00',2,1,12,2009,'M','S','PARQUE SãO JORGE','FLORIANóPOLIS','SC','124242241217161531557814475124610147015',NULL,'270',27.84,1,3,NULL),(16,3299104,'1991-07-22 00:00:00',4,1,12,2008,'F','N','ESQUINA','URUBICI','SC','124243241115161431226615242224610124147',NULL,'818',23.84,1,3,NULL),(16,3299112,'1990-08-03 00:00:00',4,1,12,2007,'F','N','BOA PARADA','S PEDRO ALCâNTARA','SC','124241241112272411636612446134610162142',NULL,'307',17.35,1,2,1),(16,3299120,'1990-11-17 00:00:00',2,8,12,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124241246215132431446314242134610121077',9633,'1006',49.45,1,3,NULL),(16,3299139,'1991-01-09 00:00:00',2,1,11,2008,'M','N','ARISTOCRATA','S JOSé PINHAIS','PR','116162161217131431436624245211610167057',6658,'9998',54.96,1,3,NULL),(16,3299147,'1985-10-27 00:00:00',2,1,11,2003,'M','N','CENTRO','FRANCISCO BELTRãO','PR','116161161146131431433339385113141124062',13306,'9998',42.96,1,2,1),(16,3299155,'1990-01-30 00:00:00',4,1,12,2008,'M','N','JOSé MENDES','FLORIANóPOLIS','SC','124241241121241731435514345134610117057',NULL,'307',24.27,1,2,1),(16,3299163,'1989-06-28 00:00:00',2,8,10,2007,'M','N','SAGUAçú','JOINVILLE','SC','124242244215512431478934395122610167042',13972,'486',41.70,1,3,NULL),(16,3299171,'1990-04-02 00:00:00',4,1,11,2007,'M','N','PANTANAL','FLORIANóPOLIS','SC','124162161216112431178913575112221417042',NULL,'9998',0.00,4,3,NULL),(16,3299180,'1992-04-27 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216111311249933575114610124052',NULL,'1022',25.22,1,3,NULL),(16,3299198,'1984-03-27 00:00:00',2,1,12,2000,'F','N','TAPERA','FLORIANóPOLIS','SC','424243241127133431118641412344610113147',16167,'281',36.74,1,3,NULL),(16,3299201,'1990-07-03 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241117131431423424392343610127147',NULL,'49',21.94,1,2,1),(16,3299210,'1991-09-23 00:00:00',2,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241217141431389711315122610133182',NULL,'9999',17.40,4,3,NULL),(16,3299228,'1989-06-29 00:00:00',4,1,12,2006,'M','N','UNIVERSITARIO','MARINGá','PR','116161161116571431348833572125610134017',14202,'9998',41.24,3,2,1),(16,3299236,'1991-06-10 00:00:00',4,9,12,2008,'F','N','CENTRO','PANAMBI','RS','120202201217161431347821472122610121092',5993,'9998',56.36,1,3,NULL),(16,3299244,'1964-08-03 00:00:00',2,1,12,1982,'M','N','ESTREITO','FLORIANóPOLIS','SC','224241242116155721263343432122340326092',NULL,'196',30.47,1,2,1),(16,3299252,'1991-08-22 00:00:00',4,8,12,2008,'M','N','NOVA BRASILIA','JOINVILLE','SC','124242241215111722519814572124610117052',NULL,'932',33.11,1,3,NULL),(16,3299260,'1990-11-07 00:00:00',2,1,12,2008,'F','N','SANTINHO','FLORIANóPOLIS','SC','124243241115121411336332591314610137145',13046,'1022',43.42,1,3,NULL),(16,3299287,'1964-08-26 00:00:00',4,6,1,2007,'M','N','FAZENDA','ITAJAí','SC','224241247146133121433333145121610167054',NULL,'9999',28.60,1,2,1),(16,3299295,'1986-01-19 00:00:00',2,1,12,2005,'F','N','FORTALEZA DA BARRA','FLORIANóPOLIS','SC','124203207321371441226544241344610126097',NULL,'9998',38.52,1,3,NULL),(16,3299317,'1991-11-23 00:00:00',2,5,12,2009,'F','S','CENTRO','CRICIúMA','SC','124242241415111411435531571122610114142',NULL,'226',29.40,1,3,NULL),(16,3299325,'1991-09-09 00:00:00',2,1,12,2008,'M','N','PASSA VINTE','PALHOçA','SC','124241241115131222534334242324610147062',NULL,'592',26.63,4,2,1),(16,3299333,'1987-02-08 00:00:00',2,1,12,2004,'F','N','BARREIROS','SAO JOSE','SC','124241241312575431236623195124221338097',14633,'1022',40.42,1,3,NULL),(16,3299341,'1989-03-09 00:00:00',4,1,12,2006,'F','N','PONTA DE BAIXO','S JOSé','SC','124242248211473311458712592124230411072',8377,'270',51.64,1,3,NULL),(16,3299350,'1991-06-17 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241215151411464632572112610142147',11638,'515',45.93,1,3,NULL),(16,3299368,'1992-02-12 00:00:00',4,5,12,2009,'M','S','COMERCIARIO','CRICIúMA','SC','124252241217111431479914595125610167092',NULL,'226',38.80,1,3,NULL),(16,3299376,'1989-12-22 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241126271431536414342124610137142',NULL,'315',20.63,1,2,1),(16,3299384,'1990-11-11 00:00:00',2,5,11,2008,'F','N','SAO LUIZ','CRICIúMA','SC','124242241215111421658812272122610137013',NULL,'213',28.86,3,3,NULL),(16,3299392,'1982-02-12 00:00:00',4,1,12,1997,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241136273431633319345124610124182',NULL,'257',19.65,1,3,NULL),(16,3299406,'1992-02-20 00:00:00',4,1,11,2009,'M','S','CAMPINAS','S JOSé','SC','124242244217151521467821572122610132122',NULL,'262',49.70,1,3,NULL),(16,3299414,'1990-11-06 00:00:00',4,8,12,2008,'F','N','AMERICA','JOINVILLE','SC','124241241417131431433311345124610126147',NULL,'478',12.56,1,3,NULL),(16,3299430,'1991-04-18 00:00:00',2,4,12,2008,'F','N','ZONA RURAL','CEL MARTINS','SC','124241241112161431423335572222610114197',NULL,'200',0.00,1,2,1),(16,3299449,'1992-07-03 00:00:00',4,7,12,2009,'F','S','MENINO DEUS','JOAçABA','SC','124242241215151431478831575112610164142',NULL,'453',37.12,1,3,NULL),(16,3299457,'1990-01-22 00:00:00',4,1,12,2007,'F','N','JARDIM GOIáS','GOIâNIA','GO','109092091215471731379821572112610144017',NULL,'9998',0.00,1,3,NULL),(16,3299465,'1988-05-16 00:00:00',4,4,12,2005,'M','N','CENTRO','BARRACãO','PR','116162161316372431458933475122231064012',NULL,'9998',32.63,1,3,NULL),(16,3299473,'1991-06-01 00:00:00',4,1,12,2008,'F','N','ARIRIú','PALHOçA','SC','124241241117141151436512342114610137143',NULL,'592',24.31,1,2,1),(16,3299481,'1983-01-23 00:00:00',4,1,12,2001,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124251251137372741133841215124140767112',11618,'9998',45.97,1,3,NULL),(16,3299490,'1991-11-11 00:00:00',2,5,11,2008,'F','N','SãO CRISTóVãO','TURVO','SC','124243241215111431445834342122610164077',12173,'813',44.95,1,3,NULL),(16,3299503,'1990-12-29 00:00:00',4,1,11,2008,'F','N','CANTO','FLORIANóPOLIS','SC','124242241215151732567923576125610142187',1344,'273',70.14,1,3,NULL),(16,3299511,'1990-09-25 00:00:00',4,1,12,2007,'F','N','CANTA GALO','RIO SUL','SC','124243241115271431559913595124610168187',14738,'659',40.20,1,3,NULL),(16,3299546,'1989-12-15 00:00:00',2,8,12,2007,'F','N','DONA FRANCISCA','S BENTO SUL','SC','124241248116311531423314445334612016192',15464,'697',38.62,1,2,1),(16,3299554,'1984-05-24 00:00:00',2,1,11,2001,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241126141221633344145133610127067',12683,'274',44.03,1,2,1),(16,3299562,'1991-02-11 00:00:00',4,9,11,2008,'F','N','CENTRO','CURITIBA','PR','116242161217111431458814576112610134147',NULL,'9998',0.00,1,3,NULL),(16,3299570,'1955-06-20 00:00:00',2,1,7,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','224241247127271432322351195124610163097',NULL,'9999',19.91,1,2,1),(16,3299589,'1990-06-07 00:00:00',4,1,10,2007,'M','N','SALTO','BLUMENAU','SC','124243241215471431468813471124610144182',7684,'909',53.00,1,3,NULL),(16,3299600,'1991-03-03 00:00:00',4,1,12,2008,'F','N','JD NOVA AMERICA','OSASCO','SP','125252254212471411333823372124610125142',NULL,'9998',19.76,1,3,NULL),(16,3299619,'1991-02-07 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241117151432328813575124610137017',NULL,'286',20.18,1,3,NULL),(16,3299627,'1987-12-12 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241147131411111649181344610124147',NULL,'184',25.98,1,3,NULL),(16,3299635,'1990-07-11 00:00:00',4,1,11,2008,'M','N','VIRADOURO','S PEDRO UNIãO','MG','113132131217111411346631574125610162042',10868,'9998',47.24,1,3,NULL),(16,3299643,'1991-03-16 00:00:00',4,1,12,2008,'M','N','PICADAS DO SUL','S JOSé','SC','124241241115151711536413272124610126147',NULL,'733',23.99,1,2,1),(16,3299651,'1989-01-31 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124242241215111431668411595124610122182',NULL,'1011',0.00,1,3,NULL),(16,3299660,'1990-04-23 00:00:00',4,8,12,2007,'F','N','FANNY','CURITIBA','PR','116113111216371411545712294124610124097',3900,'9998',61.33,1,3,NULL),(16,3299694,'1988-12-30 00:00:00',2,2,12,2005,'F','N','FORTALEZA','BLUMENAU','SC','124241241137131731623313342124610136187',NULL,'69',24.15,1,2,1),(16,3299708,'1991-03-16 00:00:00',4,3,12,2007,'M','N','ALVORADA','PIMENTA BUENO','RO','122223221416271431538813572324610125012',12266,'9998',44.78,1,3,NULL),(16,3299716,'1991-05-29 00:00:00',4,9,12,2008,'M','N','FERROVIA','LAGES','SC','124243241415111431548811574112610124042',11898,'499',45.46,1,3,NULL),(16,3299724,'1992-04-28 00:00:00',4,8,12,2009,'M','S','CENTRO','JARAGUá SUL','SC','124242241217271531489831415122610122172',NULL,'491',35.94,1,3,NULL),(16,3299732,'1993-01-05 00:00:00',4,1,11,2009,'F','S','STO ANTôNIO LISBOA','FLORIANóPOLIS','SC','124242241215111431477923575122610121182',NULL,'270',31.38,1,3,NULL),(16,3299740,'1991-04-25 00:00:00',2,1,12,2008,'F','N','BELA VISTA','CAXIAS SUL','RS','120202201216111431436631392224610168077',NULL,'9998',32.37,1,3,NULL),(16,3299759,'1979-07-07 00:00:00',2,1,7,1997,'M','N','PRADO','BIGUAçU','SC','224241244136154741233644345233122966173',NULL,'306',0.00,1,2,1),(16,3299767,'1987-08-17 00:00:00',4,4,12,2004,'F','N','CENTRO','MARAVILHA','SC','124243241216272741638653272122142638187',NULL,'185',23.55,1,3,NULL),(16,3299775,'1988-06-15 00:00:00',4,7,12,2006,'M','N','ZONA RURAL','LUZERNA','SC','124241241145271441433416143324130244077',NULL,'539',47.29,4,2,1),(16,3299783,'1990-10-21 01:00:00',2,3,11,2007,'F','N','CENTRO','BAL CAMBORIú','SC','124163241317472431434814595124610167147',10550,'44',47.83,1,3,NULL),(16,3299791,'1987-10-02 00:00:00',3,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217273411379813571122122837077',3243,'262',63.16,1,3,NULL),(16,3299805,'1991-03-14 00:00:00',4,2,12,2008,'M','N','QUINTINO','TIMBó','SC','124242241217122331236624575122610144182',4498,'1157',59.77,1,3,NULL),(16,3299813,'1990-01-25 00:00:00',2,1,12,2006,'F','N','BOA PARADA','S PEDRO ALCâNTARA','SC','124241241127133431438823293124230244147',NULL,'869',26.92,1,3,NULL),(16,3299821,'1992-12-28 00:00:00',4,1,12,2009,'M','S','CENTRO','APUCARANA','PR','116162161217111431449811285315610124127',NULL,'9998',38.20,3,3,NULL),(16,3299848,'1992-08-07 00:00:00',4,5,11,2009,'F','S','MICHEL','CRICIúMA','SC','124242241235371331659814572122610167122',NULL,'226',41.85,1,3,NULL),(16,3299856,'1991-07-19 00:00:00',2,8,12,2008,'F','N','IRIRIU','JOINVILLE','SC','124241241337121431644532575122610124147',15186,'9997',39.24,1,3,NULL),(16,3299864,'1991-01-10 00:00:00',4,1,12,2008,'F','N','CENTRO','JARAGUá SUL','SC','124242241217111431548823471125610138092',8708,'422',51.06,1,3,NULL),(16,3299880,'1991-08-25 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241417271211436513375124610117042',NULL,'300',30.76,1,3,NULL),(16,3299899,'1991-03-25 00:00:00',2,5,11,2008,'M','N','CENTRO','PR GRANDE','SC','124242241215121431436832585122610132052',6608,'32',55.03,1,3,NULL),(16,3299902,'1980-11-03 00:00:00',2,1,12,2001,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241246146333711433321241334233254043',NULL,'306',26.79,4,2,1),(16,3299910,'1991-12-27 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217111431478319575124610116127',13131,'270',43.28,1,3,NULL),(16,3299937,'1990-05-24 00:00:00',2,4,12,2008,'F','N','CENTRO','ERECHIM','RS','120201201117131431316627245125610113012',NULL,'9998',21.82,1,2,1),(16,3299945,'1991-10-11 00:00:00',4,4,12,2008,'F','N','IMPERIAL','CONCóRDIA','SC','124241241112131751224777572125610138147',NULL,'984',22.85,1,2,1),(16,3299953,'1976-12-27 00:00:00',4,1,12,2004,'M','N','CANOAS','RIO SUL','SC','124203247621141421116441311314133226042',NULL,'515',0.00,1,3,NULL),(16,3299961,'1988-06-23 00:00:00',4,6,12,2005,'M','N','PIONEIROS','BAL CAMBORIú','SC','124164241412131431226524382315140434177',NULL,'1039',0.00,1,3,NULL),(16,3299970,'1980-11-19 00:00:00',2,1,12,1999,'M','N','BELA VISTA I','S JOSé','SC','124241241127155741336639331215123268187',7553,'295',53.23,1,2,1),(16,3299988,'1991-12-26 00:00:00',4,3,12,2008,'F','N','RIO BRANCO','BRUSQUE','SC','124242241217111752226624592112613267147',NULL,'109',22.15,1,3,NULL),(16,3299996,'1990-09-25 00:00:00',4,1,12,2008,'F','N','CENTRO','BARRA BONITA','SP','125254251216111431447831572112610124012',7414,'9998',53.49,1,3,NULL),(16,3300005,'1991-09-11 00:00:00',4,1,12,2008,'F','N','SãO FRANCISCO','URUBICI','SC','124241241115161731336335575124610124147',NULL,'818',26.50,1,3,NULL),(16,3300013,'1991-07-01 00:00:00',4,5,11,2008,'F','N','LAGOA DE FORA','BAL GAIVOTA','SC','124241241135271431424315292324610127142',13043,'1033',43.43,1,2,1),(16,3300021,'1991-07-15 00:00:00',4,5,12,2008,'M','N','COMERCIáRIO','CRICIúMA','SC','124242241215151432536631576124610128051',11941,'995',45.37,1,3,NULL),(16,3300048,'1990-07-09 00:00:00',2,4,12,2007,'F','N','CENTRO','ERECHIM','RS','120201208215371731425619392125610166147',8967,'9998',50.64,1,3,NULL),(16,3300056,'1988-04-04 00:00:00',2,1,12,2005,'M','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124111111117131421443364345114610117062',NULL,'9998',31.14,1,3,NULL),(16,3300064,'1988-09-17 00:00:00',4,1,12,2006,'M','N','OLINDA','UBERABA','MG','113132131212471211348813571121610112057',NULL,'9998',0.00,4,3,NULL),(16,3300072,'1992-11-30 00:00:00',2,10,11,2009,'M','S','MONTE CASTELO','TUBARãO','SC','124244248215111431466913372112610138072',NULL,'807',40.08,1,3,NULL),(16,3300080,'1992-12-30 00:00:00',4,10,12,2009,'F','S','CENTRO','TUBARãO','SC','124242241217121431576563572122610126143',NULL,'807',23.22,1,3,NULL),(16,3300099,'1992-02-01 00:00:00',2,4,12,2008,'F','N','CENTRO','CLEVELâNDIA','PR','116161161117131231423316292224610123147',NULL,'9998',21.19,1,3,NULL),(16,3300102,'1990-11-19 00:00:00',2,4,12,2008,'M','N','SANTA TEREZINHA','CONCóRDIA','SC','124241241117131431668831572122612647047',13273,'192',43.03,1,2,1),(16,3300110,'1990-02-03 00:00:00',4,1,12,2007,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241214472431458834575114610168187',10805,'270',47.35,1,3,NULL),(16,3300137,'1992-03-06 00:00:00',4,4,12,2008,'M','N','CENTRO','FOZ IGUAçU','PR','116162161215271431466933574122610164012',5728,'9998',57.00,1,3,NULL),(16,3300145,'1991-05-28 00:00:00',4,5,11,2008,'F','N','CENTRO','FORQUILHINHA','SC','124242248216111431535539595124610135147',NULL,'226',34.49,1,3,NULL),(16,3300153,'1990-01-10 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241211271741356632594114610168092',13404,'724',42.79,1,3,NULL),(16,3300161,'1990-06-11 00:00:00',4,1,12,2008,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241212111511459812382122610117013',NULL,'751',0.00,1,3,NULL),(16,3300170,'1989-12-11 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124202201216472431437733575124610132142',13651,'9998',42.36,1,3,NULL),(16,3300188,'1991-02-13 00:00:00',2,6,12,2008,'F','N','TABULEIRO','BARRA VELHA','SC','124241241217131431224923375124610127147',NULL,'389',39.53,1,3,NULL),(16,3300196,'1982-11-26 00:00:00',4,1,11,1999,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124243241236155421459813485132321467047',1034,'262',71.86,1,3,NULL),(16,3300200,'1988-12-05 00:00:00',4,1,12,2006,'F','N','JARDIM AZALéIAS','POçOS CALDAS','MG','113132131216331431538821475122613264147',9030,'9998',50.53,1,3,NULL),(16,3300218,'1992-07-12 00:00:00',4,5,12,2009,'M','S','CENTRO','CRICIúMA','SC','124242241217151431279811475121610142112',NULL,'226',32.24,1,3,NULL),(16,3300226,'1987-01-03 00:00:00',4,1,12,2004,'M','N','SUMARé','RIO SUL','SC','124242241215373432349813472112131444042',2045,'991',67.01,1,3,NULL),(16,3300234,'1991-07-19 00:00:00',2,4,12,2008,'F','N','ZONA RURAL','CLEVELâNDIA','PR','116161161116161431343336595222610127172',NULL,'9998',17.57,1,3,NULL),(16,3300242,'1990-08-13 00:00:00',2,5,12,2007,'F','N','GáVEA','JACINTO MACHADO','SC','124241241112272431448914242121610131141',13464,'690',42.67,1,2,1),(16,3300250,'1986-07-17 00:00:00',5,1,12,2002,'M','N','NAÇÕES','ITATIBA','SP','125251251137271411425523342343610122197',NULL,'9998',0.00,1,2,1),(16,3300269,'1966-06-08 00:00:00',2,1,12,1983,'M','N','ESTREITO','FLORIANóPOLIS','SC','624241248126174721263343232122321967065',NULL,'62',0.00,1,2,1),(16,3300285,'1970-04-21 00:00:00',4,1,12,1989,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124242247214131531538849492242610142187',13861,'270',41.91,1,3,NULL),(16,3300293,'1975-05-19 00:00:00',2,8,2,2008,'F','N','CAMPO DAGUA VERDE','CANOINHAS','SC','124141248117131731314379192325231353177',NULL,'9997',19.54,2,1,1),(16,3300315,'1991-10-06 00:00:00',2,7,12,2008,'F','N','CENTRO','AT BELA VISTA','SC','124241241127161431436633235122610131057',NULL,'14',28.46,1,2,1),(16,3300323,'1991-08-05 00:00:00',2,3,11,2008,'F','N','CENTRO','CANOINHAS','SC','124241241211111431328921595221610113142',12483,'154',44.42,4,3,NULL),(16,3300331,'1989-07-18 00:00:00',4,1,12,2006,'M','N','JD BONSUCESSO','SERTãOZINHO','SP','125254251217511432438813576112610134183',1884,'9998',67.65,1,3,NULL),(16,3300340,'1991-09-23 00:00:00',4,1,11,2008,'M','N','CENTRO','POMPéIA','SP','125254251215111431359614575112610164057',4089,'9998',60.82,1,3,NULL),(16,3300358,'1991-02-19 00:00:00',2,8,12,2008,'F','N','AMIZADE','JARAGUá SUL','SC','124241241437131431556632311122610164092',14266,'1061',41.10,1,3,NULL),(16,3300366,'1991-01-03 00:00:00',2,1,12,2008,'F','N','CENTRO','ANTôNIO CARLOS','SC','124241251117161711424339471325610164142',NULL,'21',37.05,1,2,1),(16,3300404,'1990-11-13 00:00:00',4,8,12,2008,'F','N','VILA NOVA','JOINVILLE','SC','124243248335421431323316345334610141147',NULL,'486',28.55,1,3,NULL),(16,3300412,'1991-05-11 00:00:00',2,5,11,2008,'F','N','MINA DO MATO','CRICIúMA','SC','124242241215111432369812575122610147097',NULL,'210',25.75,1,3,NULL),(16,3300420,'1991-01-17 00:00:00',2,5,11,2008,'M','N','CENTRO','MARACAJá','SC','124242248335151431543339585124610167042',16687,'26',33.79,1,3,NULL),(16,3300439,'1983-03-26 00:00:00',2,1,12,2002,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241131132441233341111122610121052',8272,'306',51.84,4,2,1),(16,3300455,'1988-09-26 00:00:00',2,1,12,2006,'M','N','ARIRIú','PALHOçA','SC','124241241127151712423314442111610134142',NULL,'593',25.23,1,2,1),(16,3300480,'1990-04-04 00:00:00',4,8,12,2008,'M','N','CIDADE ALTA','CUIABá','MT','111112111215111231347813595124610144042',NULL,'9998',0.00,2,1,2),(16,3300498,'1989-04-27 00:00:00',2,10,12,2006,'F','N','CENTRO','RIO FORTUNA','SC','124241241127473431558611575124232428097',5853,'665',56.68,1,2,1),(16,3300501,'1988-10-19 00:00:00',4,6,12,2006,'F','N','CENTRO','ITAJAí','SC','124242241212374431559834395132232638197',12184,'392',44.93,1,3,NULL),(16,3300510,'1991-01-30 00:00:00',2,4,12,2008,'F','N','CERâMICA','ERECHIM','RS','120203201117141431526519341322610138012',NULL,'9998',0.00,4,3,NULL),(16,3300536,'1947-08-19 00:00:00',2,1,12,1970,'F','N','INGLESES','FLORIANóPOLIS','SC','124164165116153411132249492114341868182',14586,'9998',40.54,1,3,NULL),(16,3300544,'1991-08-31 00:00:00',2,1,11,2008,'M','N','CENTRO','BIGUAçU','SC','124242241515111431435929292324610127047',14274,'20',41.10,1,3,NULL),(16,3300552,'1978-08-02 00:00:00',4,1,12,1996,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241127153431131336245132421823142',NULL,'421',29.23,1,2,1),(16,3300560,'1990-09-11 00:00:00',4,8,12,2008,'F','N','VILA PROHMANN','S MATEUS SUL','PR','116161165116161711326334371121610134097',NULL,'9998',0.00,1,3,NULL),(16,3300579,'1987-08-26 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124243248336472441436614241323610137031',NULL,'307',27.90,4,1,2),(16,3300587,'1990-12-05 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124244241215111431137811375114610141197',NULL,'299',0.00,4,3,NULL),(16,3300595,'1990-03-26 00:00:00',2,6,11,2007,'F','N','CENTRO','ITAJAí','SC','124242241215371431546611392321610121092',2545,'1026',65.19,1,3,NULL),(16,3300609,'1991-04-03 00:00:00',4,4,12,2008,'F','N','SANTO INACIO','FREDERICO WESTPHALEN','RS','120201201116131431433519572112610137057',NULL,'9998',21.49,2,1,1),(16,3300617,'1986-03-12 00:00:00',2,8,6,2004,'M','N','BOA VISTA','JOINVILLE','SC','124241241126373431446614445134610167043',NULL,'477',10.21,2,1,1),(16,3300625,'1986-02-14 00:00:00',4,7,12,2002,'M','N','CENTRO','PATO BRANCO','PR','116164161216472441656522595123341526172',5072,'9998',58.46,1,3,NULL),(16,3300633,'1988-09-17 00:00:00',4,1,11,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241247131231146644345122610122117',11534,'67',46.11,1,3,NULL),(16,3300641,'1991-03-14 00:00:00',2,1,11,2008,'M','N','JARDIM','TRêS PASSOS','RS','120204201217151331338833495122610164187',10415,'9998',48.07,1,3,NULL),(16,3300650,'1991-07-28 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124244241215121751434439595114610163017',9447,'1022',49.82,1,3,NULL),(16,3300668,'1991-12-20 00:00:00',2,4,11,2008,'M','N','TRIâNGULO','ERECHIM','RS','120201201336271731426933391111610162182',NULL,'9998',32.24,1,3,NULL),(16,3300676,'1992-04-11 00:00:00',2,1,11,2008,'F','N','REAL PARQUE','S JOSé','SC','124241241315121331213627252124610138117',15433,'300',38.70,1,3,NULL),(16,3300684,'1990-10-12 00:00:00',4,1,12,2008,'F','N','JD MONTE ALEGRE','TABOãO SERRA','SP','125251251147271411635511341224610166112',NULL,'9998',0.00,1,2,1),(16,3300692,'1992-01-24 00:00:00',4,6,11,2009,'M','S','CENTRO','ITAJAí','SC','124242241217151341589914571121610166127',NULL,'392',47.95,1,3,NULL),(16,3300706,'1991-07-12 00:00:00',2,5,11,2008,'M','N','SANTA CATARINA','CRICIúMA','SC','124242241215111411436614574122610166032',1524,'226',69.25,1,3,NULL),(16,3300714,'1987-02-10 00:00:00',2,1,11,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124206207326131431223644242224610122112',NULL,'9999',0.00,1,3,NULL),(16,3300722,'1992-05-04 00:00:00',2,5,11,2008,'M','N','JARDIM ITáLIA','MELEIRO','SC','124242241215111231467932475114610117042',NULL,'813',31.19,1,3,NULL),(16,3300749,'1992-11-05 00:00:00',2,1,11,2009,'F','S','INGLESES','FLORIANóPOLIS','SC','124242241214111431367334242124610132143',NULL,'1022',30.59,1,3,NULL),(16,3300757,'1991-02-13 00:00:00',4,8,12,2008,'F','N','CENTRO','CASCAVEL','PR','116162161216151431448734572112610134142',NULL,'9998',0.00,1,3,NULL),(16,3300765,'1990-11-12 00:00:00',4,1,7,2008,'F','N','LIBERDADE','S PAULO','SP','125132281417371431489931572115610151183',2284,'9997',66.11,1,3,NULL),(16,3300773,'1985-10-15 00:00:00',4,1,12,2002,'F','N','CAMPINAS','S JOSé','SC','124242241216375431357831575122121023192',334,'737',77.57,1,3,NULL),(16,3300781,'1991-09-27 00:00:00',4,9,11,2008,'F','N','ALVORADA','VIDEIRA','SC','124241241215161431348824572124610123072',NULL,'969',26.72,1,3,NULL),(16,3300790,'1991-01-08 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115131411424438282124610112055',NULL,'732',26.41,1,2,1),(16,3300803,'1989-08-14 00:00:00',2,9,12,2007,'M','N','SEM BAIRRO','VARGEM','SC','124241241127131431413319483324610148172',NULL,'742',20.03,1,2,1),(16,3300811,'1989-11-21 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124244248415141311426723395114610112067',NULL,'259',22.07,1,3,NULL),(16,3300820,'1990-07-14 00:00:00',2,9,11,2007,'F','N','JARDIM BANDEIRA','S JOAQUIM','SC','124241241215362711313315283324610126052',NULL,'1035',32.38,1,3,NULL),(16,3300838,'1988-01-03 00:00:00',4,1,6,2006,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124051051137131732122441112334610122142',NULL,'9999',17.04,4,3,NULL),(16,3300846,'1990-04-04 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSé','SC','124243241117371431337731572224610127147',15990,'257',37.26,1,3,NULL),(16,3300854,'1991-04-14 00:00:00',2,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124241241135232421436614344124610167042',NULL,'307',35.06,1,3,NULL),(16,3300862,'1991-02-07 00:00:00',4,1,11,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241215111731356834574114610168182',12587,'270',44.20,1,3,NULL),(16,3300870,'1990-09-06 00:00:00',2,1,12,2007,'F','N','CENTRO','CERRO LARGO','RS','120201201216471431347923471115610166092',NULL,'9998',21.36,4,1,2),(16,3300889,'1990-12-14 00:00:00',4,4,12,2007,'F','N','CENTRRO','MARAVILHA','SC','124243241116132731536739345125231066181',9044,'552',50.50,1,3,NULL),(16,3300900,'1992-05-21 00:00:00',4,1,12,2008,'M','N','PICADAS DO SUL','S JOSé','SC','124204241117271411454821212124610142012',NULL,'733',34.48,1,3,NULL),(16,3300919,'1991-04-18 00:00:00',2,3,12,2008,'M','N','SãO PEDRO','BRUSQUE','SC','124241246215151431454931575122610137062',11208,'1090',46.65,1,3,NULL),(16,3300927,'1992-08-25 00:00:00',4,7,12,2009,'M','S','MATRIZ','VIDEIRA','SC','124244241417211411558814192122610127092',NULL,'829',41.85,4,3,NULL),(16,3300935,'1991-10-09 00:00:00',2,6,11,2008,'F','N','CENTRO','SORRISO','MT','111111111216114411433816592122610111142',NULL,'9998',0.00,1,3,NULL),(16,3300943,'1992-11-13 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124241241215111431236412226324610132177',NULL,'1118',0.00,1,3,NULL),(16,3300951,'1989-11-23 00:00:00',4,8,12,2006,'M','N','SãO JOãO BATISTA','S LEOPOLDO','RS','120204201217151731559811571125243267052',NULL,'9998',0.00,1,3,NULL),(16,3300960,'1989-12-13 00:00:00',2,8,12,2007,'M','N','NOVA BRASILIA','JOINVILLE','SC','124241246346151431438614344121610161047',11010,'1102',47.00,1,3,NULL),(16,3300978,'1990-11-02 00:00:00',2,1,11,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241215472451458813574114610148147',16024,'1035',37.17,1,3,NULL),(16,3300994,'1991-07-22 00:00:00',4,1,11,2008,'F','N','CENTRO','AMPéRE','PR','116162161217111231358712275122610112192',12636,'9998',44.11,1,3,NULL),(16,3301001,'1988-04-12 00:00:00',4,1,11,2008,'M','N','BELA VISTA','S JOSé','SC','124241241125141421551637345122610124017',NULL,'726',17.27,2,1,1),(16,3301010,'1991-06-06 00:00:00',4,1,12,2008,'M','N','CALHAU','S LUíS','MA','110102101216271431288812575122610164042',NULL,'9998',0.00,1,3,NULL),(16,3301028,'1991-12-11 00:00:00',2,1,12,2008,'F','N','TRINTA RéIS','NOVA TRENTO','SC','124241241215111431434933572122610127147',13884,'981',41.89,1,3,NULL),(16,3301036,'1951-01-04 00:00:00',2,1,12,1970,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','224211211217251441376649495114340267045',NULL,'9998',37.89,1,3,NULL),(16,3301044,'1992-07-22 00:00:00',4,5,11,2008,'F','N','COMERCIáRIO','CRICIúMA','SC','124242241217151431488612592112610132122',NULL,'226',29.14,1,3,NULL),(16,3301052,'1991-03-26 00:00:00',4,1,12,2008,'F','N','ABRAãO','FLORIANóPOLIS','SC','124241241115371431424321245124610127052',NULL,'292',19.44,1,2,1),(16,3301060,'1984-11-29 00:00:00',2,1,11,2003,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124251251116132411224649311134610125042',NULL,'9998',29.32,2,2,1),(16,3301079,'1989-06-16 00:00:00',2,1,12,2006,'F','N','ROCADO','S JOSé','SC','124242241435473412577723485114131023157',NULL,'9997',0.00,4,3,NULL),(16,3301087,'1991-09-07 00:00:00',4,1,12,2008,'M','N','RIO BRANCO','CAXIAS SUL','RS','120202203213111221367712183122610112053',NULL,'9998',20.86,1,3,NULL),(16,3301095,'1993-05-10 00:00:00',4,1,12,2010,'F','S','PANTANAL','FLORIANóPOLIS','SC','124242241215111431466814572124610116147',NULL,'262',22.40,1,3,NULL),(16,3301109,'1990-09-15 00:00:00',2,1,12,2008,'F','N','NAçõES','ITATIBA','SP','125256251137141221428837333122610137017',NULL,'9998',0.00,4,3,NULL),(16,3301117,'1982-01-18 00:00:00',2,1,12,1997,'F','N','BOM VIVER','BIGUAçU','SC','224241243442135421235544245334131024077',NULL,'303',37.27,2,1,2),(16,3301125,'1992-01-01 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124241241115131451346421245122610144097',NULL,'733',26.46,1,2,1),(16,3301141,'1989-03-10 00:00:00',2,1,12,2006,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124271091116232751323644345124610164097',NULL,'9998',24.65,4,1,1),(16,3301150,'1990-02-02 00:00:00',2,1,12,2007,'F','N','IMIGRANTE','CPO BOM','RS','120204206115371731443412574222610125047',11537,'9998',46.10,1,3,NULL),(16,3301168,'1990-10-25 00:00:00',2,1,12,2008,'F','N','CENTRO','URUBICI','SC','124242241215131431636723572225610124147',9054,'817',50.49,1,3,NULL),(16,3301176,'1984-12-28 00:00:00',4,1,4,2004,'M','N','PRAIA COMPRIDA','S JOSé','SC','124243241116274411566612415122131464141',NULL,'306',0.00,1,3,NULL),(16,3301184,'1990-01-04 00:00:00',2,1,12,2006,'M','N','SIRIU','GAROPABA','SC','124242241346132431436639345123610124097',NULL,'322',0.00,1,3,NULL),(16,3301192,'1990-11-18 00:00:00',4,8,12,2008,'M','N','SANTO AMARO','S PAULO','SP','125252241216111411489932575122610167017',NULL,'9998',0.00,4,3,NULL),(16,3301206,'1989-08-02 00:00:00',2,1,8,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124244241115131731226621345124233213143',13629,'306',42.41,1,3,NULL),(16,3301222,'1990-03-15 00:00:00',2,5,11,2007,'F','N','VILA NOVA','IçARA','SC','124241241146142431425315342224610135012',NULL,'209',0.00,1,2,1),(16,3301230,'1990-03-08 00:00:00',2,1,12,2007,'M','N','LOURDES','ÁGUAS MORNAS','SC','124241241126162431634334342213610134042',NULL,'12',23.49,1,2,1),(16,3301257,'1990-01-28 00:00:00',4,1,7,2008,'M','N','REAL PARQUE','S JOSé','SC','124242241117371431546614275114610167051',11081,'739',46.88,1,3,NULL),(16,3301265,'1992-01-30 00:00:00',2,4,12,2008,'M','N','SANTA CRUZ','CONCóRDIA','SC','124241241133141431533474242324610162147',9647,'192',49.43,4,2,1),(16,3301281,'1990-12-06 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124244241217111431436923235124610168042',NULL,'1075',23.54,1,3,NULL),(16,3301303,'1991-02-17 00:00:00',2,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241147141731444511245122610128042',NULL,'322',24.20,1,2,1),(16,3301311,'1986-12-26 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124163247432131421228821372224610117182',NULL,'270',24.49,1,3,NULL),(16,3301320,'1989-03-18 00:00:00',2,1,12,2007,'M','N','ROçADO','S JOSé','SC','124242241216152231356722412132610124053',NULL,'724',29.61,1,3,NULL),(16,3301338,'1991-07-11 00:00:00',4,8,12,2008,'F','N','GUAMIRANGA','GUARAMIRIM','SC','124241241215111431559933375114610167072',NULL,'424',24.19,1,3,NULL),(16,3301346,'1981-07-10 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241212314751219933482314121864045',NULL,'270',23.24,1,3,NULL),(16,3301354,'1987-08-02 00:00:00',4,1,12,2004,'M','N','NOIVA DA COLINA','PIRACICABA','SP','125251251117573411556614171314610117112',8801,'9998',50.90,2,1,1),(16,3301362,'1989-03-13 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124162161211112411258712421122210414143',NULL,'9998',33.01,1,3,NULL),(16,3301370,'1991-04-28 00:00:00',4,1,11,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241215111731436511572122610137042',NULL,'1014',24.31,1,3,NULL),(16,3301389,'1991-01-03 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124241241112131431326664572214610163147',NULL,'257',24.50,1,3,NULL),(16,3301397,'1988-12-30 00:00:00',2,8,12,2006,'F','N','CENTRO','PINHãO','PR','116163168315571431546633571124610126012',NULL,'9998',27.40,1,3,NULL),(16,3301400,'1958-03-26 00:00:00',1,1,12,1979,'F','N','CENTRO','FLORIANóPOLIS','SC','224241243114271411464453481142610126182',NULL,'718',31.91,1,3,NULL),(16,3301419,'1987-02-03 00:00:00',4,1,12,2004,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241112115511458811415124232412172',NULL,'270',0.00,1,3,NULL),(16,3301427,'1991-04-22 00:00:00',4,5,12,2008,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124201241117131431335524572112610137047',16270,'1033',36.47,1,2,1),(16,3301435,'1988-08-21 00:00:00',2,8,12,2005,'F','N','CENTRO','CAPANEMA','PR','116161161116571431536623471122610134141',NULL,'9998',0.00,4,2,1),(16,3301443,'1988-01-02 00:00:00',2,1,8,2005,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243241637131411632823242124610138077',14536,'9999',40.63,1,3,NULL),(16,3301451,'1992-12-10 00:00:00',4,5,11,2009,'M','S','CENTRO','CRICIúMA','SC','124242241215111432438812572122610134197',NULL,'226',0.00,1,3,NULL),(16,3301460,'1987-04-05 00:00:00',4,3,12,2004,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241216145431458823342135610162077',NULL,'407',25.59,1,3,NULL),(16,3301478,'1982-04-17 00:00:00',2,1,12,1999,'F','N','CENTRO','FLORIANóPOLIS','SC','624241161346274431254953335124122934147',10291,'9998',48.27,1,3,NULL),(16,3301494,'1971-08-30 00:00:00',4,1,12,1990,'F','N','FAZENDA STO ANTONIO','S JOSé','SC','624242241222134711223343232134130234187',NULL,'9999',20.38,1,3,NULL),(16,3301508,'1991-11-15 00:00:00',4,6,12,2008,'F','N','CENTRO','ILHOTA','SC','124244241217121431467632345122610121112',8598,'955',51.26,1,3,NULL),(16,3301516,'1992-03-12 00:00:00',4,4,12,2008,'F','N','APARECIDA','ABELARDO LUZ','SC','124244241217111431336836574122610166172',6861,'836',54.56,1,3,NULL),(16,3301524,'1988-11-24 00:00:00',4,1,11,2006,'M','N','JD TARRAF I','S JOSé R PRETO','SP','125251251216572431456611575122610164042',14392,'9998',40.89,1,3,NULL),(16,3301532,'1990-05-31 00:00:00',2,1,12,2007,'M','N','NOVO DIAMANTINO','DIAMANTINO','MT','111114111217271431647716471115141066072',NULL,'9998',16.77,1,3,NULL),(16,3301540,'1992-11-25 00:00:00',4,1,12,2009,'F','S','CAMPECHE','FLORIANóPOLIS','SC','124252241215111731556811575122610144187',NULL,'299',46.12,1,3,NULL),(16,3301559,'1986-11-19 00:00:00',2,2,7,2007,'M','N','VORSTAD','BLUMENAU','SC','124201201121331421414531242324610137087',NULL,'9999',27.45,1,3,NULL),(16,3301567,'1990-05-07 00:00:00',4,1,12,2007,'M','N','CENTRO','PTO BELO','SC','124241241115131431335514245124610117182',NULL,'630',28.61,1,2,1),(16,3301575,'1990-05-27 00:00:00',2,3,12,2007,'F','N','CENTRO','ITAPEMA','SC','124242241415131431423632376124610127147',13956,'406',41.74,1,3,NULL),(16,3301583,'1990-07-26 00:00:00',3,1,11,2008,'M','N','JURERê','FLORIANóPOLIS','SC','124212241215111411236811472114610164047',2919,'262',64.05,4,3,NULL),(16,3301591,'1985-09-09 00:00:00',4,1,12,2003,'M','N','FLOR DE NáPOLIS','S JOSé','SC','124241241131142431333344342324610137047',NULL,'750',0.00,2,1,1),(16,3301605,'1990-11-23 00:00:00',2,1,12,2008,'F','N','LARANJEIRAS','RIO SUL','SC','124241241116111431426643231234610132147',NULL,'657',21.35,1,2,1),(16,3301613,'1991-06-10 00:00:00',4,4,12,2008,'F','N','SANTO ANTONIO','FREDERICO WESTPHALEN','RS','120201201117131431333733395122610122077',NULL,'9998',31.55,1,2,1),(16,3301621,'1991-03-19 00:00:00',2,5,12,2008,'M','N','UNIVESITARIO','CRICIúMA','SC','124242241215111431457933492122610148042',NULL,'226',0.00,1,3,NULL),(16,3301656,'1991-04-12 00:00:00',2,2,12,2008,'F','N','BELA VISTA','IBIRAMA','SC','124242241215111432434712425122610131142',NULL,'346',0.00,1,3,NULL),(16,3301664,'1991-12-18 00:00:00',4,2,11,2009,'M','S','PONTA AGUDA','BLUMENAU','SC','124242241217111751489812376122610132042',NULL,'909',54.74,1,3,NULL),(16,3301672,'1991-07-17 00:00:00',4,9,12,2008,'M','N','INTERIOR','PTE ALTA NORTE','SC','124241241125271421622239143341610127017',NULL,'626',27.83,1,2,1),(16,3301680,'1991-08-04 00:00:00',4,1,12,2008,'F','N','POTECAS','S JOSé','SC','124241241115131731622534296324610144097',NULL,'733',19.30,1,2,1),(16,3301702,'1990-01-23 00:00:00',4,8,12,2007,'M','N','GLóRIA','JOINVILLE','SC','124243246215111411556621445111610164062',NULL,'1105',26.73,1,3,NULL),(16,3301710,'1991-07-20 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124163241335111431556634572124610117042',NULL,'307',19.07,1,3,NULL),(16,3301729,'1991-08-06 00:00:00',4,2,12,2008,'M','N','SANTA TEREZINHA','GASPAR','SC','124242241215131431333434275121610122147',9176,'955',50.29,1,3,NULL),(16,3301745,'1986-06-17 00:00:00',2,1,12,2003,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124243241215472731424644242222430222027',15987,'269',37.27,1,3,NULL),(16,3301753,'1981-11-11 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241247125132232436633442124610127067',NULL,'9997',16.33,2,1,1),(16,3301761,'1988-08-23 00:00:00',2,1,12,2006,'M','N','IPIRANGA','S JOSé','SC','124241241115134521642519115125610162172',NULL,'734',31.34,1,2,1),(16,3301770,'1985-10-09 00:00:00',4,1,12,2005,'F','N','POTECAS','SAO JOSE','SC','124252251217133431236823572122610166197',NULL,'9998',15.96,4,1,2),(16,3301788,'1991-02-23 00:00:00',4,1,12,2008,'F','N','TRISTEZA','PTO ALEGRE','RS','120253201117371421526634572124610158097',NULL,'9998',31.75,1,3,NULL),(16,3301796,'1987-12-21 00:00:00',4,1,12,2005,'F','N','CENTRO','JABOTI','PR','116164161216571441478613575112610141117',NULL,'9998',0.00,1,3,NULL),(16,3301818,'1989-04-12 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124202241215131731347613442124132233017',12524,'210',44.32,1,3,NULL),(16,3301826,'1992-03-06 00:00:00',4,1,11,2009,'M','S','CAPOEIRAS','FLORIANóPOLIS','SC','124243241215111431568834172122610144122',NULL,'273',54.82,1,3,NULL),(16,3301834,'1990-10-23 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124072241212121411468823575114610167182',NULL,'269',26.54,4,3,NULL),(16,3301842,'1992-04-19 00:00:00',4,1,12,2009,'F','S','RACHADEL','ANTôNIO CARLOS','SC','124241241417131731535839582124610144181',NULL,'270',45.45,1,3,NULL),(16,3301850,'1989-10-28 00:00:00',2,1,12,2007,'F','N','JARDIM HELENA','TABOãO SERRA','SP','125253251216271411238723345324140625072',NULL,'9998',0.00,1,3,NULL),(16,3301877,'1991-09-20 00:00:00',4,1,12,2008,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241217111431445923575122610162192',8876,'1134',50.77,1,3,NULL),(16,3301885,'1991-07-07 00:00:00',2,5,11,2008,'M','N','CENTRO','SIDERóPOLIS','SC','124242241215111431328823575122610168147',14999,'767',39.66,1,3,NULL),(16,3301893,'1991-08-31 00:00:00',2,5,12,2008,'F','N','CENTRO','LAURO MüLLER','SC','124244241215141431446934574124610134072',14971,'995',39.73,1,3,NULL),(16,3301907,'1987-10-20 00:00:00',4,1,12,2006,'M','N','CAMBUCI','S PAULO','SP','125252251116572431244621575125610167127',13463,'9998',42.67,3,3,NULL),(16,3301915,'1984-11-26 00:00:00',4,1,11,2002,'M','N','KOBRASOL','S JOSé','SC','124242241215372231486511472112121214047',9081,'9997',50.45,1,3,NULL),(16,3301923,'1991-05-16 00:00:00',2,8,12,2008,'M','N','ALEGRE','RIO NEGRINHO','SC','124241241215131311636923274115610137047',NULL,'666',38.04,1,3,NULL),(16,3301931,'1991-07-01 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215311431488832575122610135112',15868,'988',37.57,3,3,NULL),(16,3301940,'1991-02-05 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241217151411458813374122610166181',3833,'270',61.50,1,3,NULL),(16,3301958,'1991-11-25 00:00:00',2,3,12,2009,'M','S','CENTRO','PTO BELO','SC','124242246216111431449934245124610127097',NULL,'1119',27.17,1,3,NULL),(16,3301966,'1979-09-07 00:00:00',4,1,12,1997,'M','N','SANTA MONICA','FLORIANóPOLIS','SC','124244241411133431438839491124331542095',13118,'738',43.30,1,3,NULL),(16,3301974,'1991-10-15 00:00:00',4,1,12,2008,'F','N','VILA INGLESA','S PAULO','SP','125242251217121431248829573225610144147',NULL,'9998',0.00,1,3,NULL),(16,3301982,'1991-04-30 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215111431358811575124610164076',9135,'269',50.35,1,3,NULL),(16,3301990,'1992-06-11 00:00:00',4,1,12,2009,'F','S','PONTA DE BAIXO','S JOSé','SC','124242241215111431369839572124610137072',NULL,'1050',43.85,1,3,NULL),(16,3302008,'1992-10-13 00:00:00',4,8,11,2009,'F','S','CENTRO','IRINEóPOLIS','SC','124241241116161711436612475321610167147',NULL,'381',9.61,1,3,NULL),(16,3302016,'1990-04-27 00:00:00',4,1,11,2008,'F','N','PARQUE SãO JORGE','FLORIANóPOLIS','SC','124243241115132411336823475121610164091',12137,'267',45.01,1,3,NULL),(16,3302024,'1990-10-20 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241216131411333424295114610162051',13304,'1036',42.97,1,3,NULL),(16,3302032,'1990-07-02 00:00:00',2,5,12,2007,'F','N','STAN','TORRES','RS','120202201216112431358923575122231533097',14432,'9998',40.82,1,3,NULL),(16,3302040,'1991-10-17 00:00:00',4,1,12,2008,'F','N','PASSA VINTE','PALHOçA','SC','124242241215111451359614295122610162143',NULL,'989',0.00,1,3,NULL),(16,3302059,'1991-06-13 00:00:00',2,5,11,2008,'M','N','MãE LUZIA','CRICIúMA','SC','124244248215111751457832445124610132042',NULL,'880',32.42,1,3,NULL),(16,3302067,'1988-03-15 00:00:00',2,8,12,2005,'F','N','BARRA DO RIO CERRO','JARAGUá SUL','SC','124243241216132441324413515321610162197',NULL,'422',0.00,1,3,NULL),(16,3302075,'1991-12-26 00:00:00',4,1,12,2008,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241135371432531324572224610162012',NULL,'307',28.70,1,3,NULL),(16,3302083,'1992-05-04 00:00:00',2,6,12,2008,'F','N','PARQUE DOS RODEIOS','VACARIA','RS','120202201217131431458812575112610162182',15984,'9998',37.27,1,3,NULL),(16,3302091,'1990-06-15 00:00:00',4,1,11,2008,'M','N','JUNDIAí','ANáPOLIS','GO','109092091217111231368811475115610137015',NULL,'9998',36.42,1,3,NULL),(16,3302105,'1990-06-13 00:00:00',4,8,12,2007,'M','N','PORTãO','CURITIBA','PR','116162161215371411468814571122610162123',NULL,'9998',0.00,1,3,NULL),(16,3302121,'1984-10-17 00:00:00',4,8,12,2001,'F','N','ENSEADA','S FRANCISCO SUL','SC','124241241116271431633353375124610131142',12754,'710',43.91,1,2,1),(16,3302130,'1990-03-30 00:00:00',2,5,11,2007,'M','N','CENTRO','CRICIúMA','SC','124242241214372751356833595122232427072',2681,'213',64.75,1,3,NULL),(16,3302156,'1985-07-19 00:00:00',4,1,11,2002,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','110241241142371441623363332324610146187',NULL,'276',0.00,2,2,1),(16,3302172,'1992-05-02 00:00:00',4,4,12,2009,'M','S','CENTRO','CHAPECó','SC','124242241216131431448914475125610124052',NULL,'185',41.75,1,3,NULL),(16,3302180,'1992-01-26 00:00:00',4,1,12,2009,'F','S','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124242241216111731468833575124610118185',NULL,'270',35.60,1,3,NULL),(16,3302210,'1981-05-19 00:00:00',4,1,12,2000,'M','N','PANTANAL','FLORIANóPOLIS','SC','224242241217132431128844242121333263182',13507,'9997',42.61,1,3,NULL),(16,3302229,'1990-04-11 00:00:00',2,9,12,2007,'F','N','VILA NOVA','LAGES','SC','124242241115471431138627575221610114181',14562,'498',40.59,4,1,2),(16,3302237,'1990-09-30 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215321431358633572124610112071',NULL,'269',20.62,1,3,NULL),(16,3302245,'1989-08-30 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241215373431338933572124231817042',3094,'1022',63.54,1,3,NULL),(16,3302253,'1991-03-09 00:00:00',4,5,12,2008,'M','N','MINA BRASIL','CRICIúMA','SC','124244246216111431456612475114610117042',NULL,'995',24.05,1,3,NULL),(16,3302261,'1991-02-11 00:00:00',2,2,12,2008,'F','N','VILA NOVA','BLUMENAU','SC','124242241215111431648812575122610115182',14478,'88',40.73,1,3,NULL),(16,3302296,'1990-01-25 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241112111431556919485124610122067',NULL,'257',0.00,1,2,1),(16,3302318,'1991-12-11 00:00:00',4,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241217171411569832575122610124016',14565,'270',40.59,1,3,NULL),(16,3302326,'1991-08-24 00:00:00',4,3,11,2008,'M','N','BARRA SUL','BAL CAMBORIú','SC','124242241215111411463952584121610132182',11881,'44',45.49,1,3,NULL),(16,3302334,'1979-09-21 00:00:00',4,1,12,1998,'M','N','ROçADO','S JOSé','SC','124063241147335141535829391224610162182',NULL,'293',35.57,1,3,NULL),(16,3302342,'1990-06-19 00:00:00',2,1,11,2007,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241315472441323823574114610127092',7214,'270',53.88,1,3,NULL),(16,3302350,'1987-07-26 00:00:00',2,1,12,2004,'M','N','JARDIM DAS ACáCIAS','S JOSé','SC','124241241217145431558511245124610167053',11499,'943',46.17,1,3,NULL),(16,3302369,'1990-07-20 00:00:00',2,3,12,2007,'F','N','CENTRO','STO ANTôNIO PLATINA','PR','116163161346131431334823282122610135197',NULL,'9998',0.00,1,3,NULL),(16,3302377,'1991-04-15 00:00:00',4,2,12,2008,'M','N','CENTRO','PRES GETúLIO','SC','124241241116161411448539585122610112182',15697,'644',38.07,1,3,NULL),(16,3302385,'1991-10-14 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241146171711328621245122610167041',NULL,'293',20.20,2,2,1),(16,3302393,'1989-12-06 00:00:00',2,1,12,1989,'M','N','JOSÉ MENDES','FLORIANóPOLIS','SC','124241241117141412543324342124610167045',16643,'286',34.37,4,2,1),(16,3302407,'1989-07-14 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','125252251217571451368823575125610162122',NULL,'9998',0.00,1,3,NULL),(16,3302415,'1988-08-14 00:00:00',4,4,12,2005,'M','N','MARECHAL FLORIANO','CAXIAS SUL','RS','120201201117472731429811485114140244047',3592,'9998',62.10,1,2,1),(16,3302423,'1988-01-25 00:00:00',2,7,12,2005,'M','N','NAZARé','CONCóRDIA','SC','124241241146371731423318315122610127047',NULL,'194',28.60,1,3,NULL),(16,3302440,'1992-07-27 00:00:00',4,7,11,2009,'F','S','CENTRO','VIDEIRA','SC','124241241217111411446819572122610121042',NULL,'829',45.65,1,3,NULL),(16,3302458,'1990-03-07 00:00:00',2,1,12,2008,'M','N','FAZENDA STO ANTONIO','S JOSé','SC','124242241215121712357813492113610132185',13114,'737',43.30,1,3,NULL),(16,3302466,'1990-06-24 00:00:00',2,1,12,2008,'F','N','CENTRO','ANITáPOLIS','SC','124241248115161411313335292325610123057',NULL,'19',9.15,1,2,1),(16,3302474,'1991-09-19 00:00:00',2,1,12,2008,'F','N','JAçATUBA','STO ANDRé','SP','125252251217111431327671215124610148012',NULL,'9998',30.71,1,3,NULL),(16,3302482,'1977-09-10 00:00:00',2,1,12,1996,'M','N','CENTRO','FLORIANóPOLIS','SC','224243247412144711248542422132320824057',14271,'9999',41.10,1,3,NULL),(16,3302490,'1980-12-01 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124241247627131731423354495124610133092',NULL,'9999',14.71,1,3,NULL),(16,3302504,'1992-03-03 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124242241216111531476512575112610167057',NULL,'1074',29.59,1,3,NULL),(16,3302512,'1991-10-19 00:00:00',4,1,12,2008,'M','N','CIDADE ALTA','ROLIM MOURA','RO','122162221136371431434414575123610167042',NULL,'9998',0.00,4,3,NULL),(16,3302520,'1991-07-24 00:00:00',4,1,12,2008,'M','N','CENTRO','GAROPABA','SC','124241241142131621336833592322610114147',NULL,'322',21.53,1,2,1),(16,3302539,'1985-06-05 00:00:00',2,8,12,2003,'F','N','ROCIO GRANDE','S FRANCISCO SUL','SC','124243244336471711423313395124610152097',NULL,'709',18.91,1,3,NULL),(16,3302547,'1991-03-22 00:00:00',2,4,12,2008,'F','N','RURAL','ABELARDO LUZ','SC','124241241117131731434916572122610127147',NULL,'4',23.65,1,2,1),(16,3302555,'1976-02-23 00:00:00',4,8,11,1994,'M','N','CENTRO','CURITIBA','PR','116221221435271431157343131122342337097',NULL,'9998',0.00,4,3,NULL),(16,3302563,'1989-07-26 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241215111751526613482124610123071',NULL,'1022',0.00,1,3,NULL),(16,3302571,'1988-09-27 00:00:00',4,4,12,2005,'F','N','SEM BAIRRO','PALOTINA','PR','116161161215571431643615572122610121187',NULL,'9998',0.00,1,3,NULL),(16,3302580,'1987-11-10 00:00:00',4,1,11,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215272411358923575122232136182',14317,'266',41.01,1,3,NULL),(16,3302598,'1989-06-06 00:00:00',4,1,12,2006,'M','N','AGUA BRANCA','ILHABELA','SP','125252251217572751466923575115610134036',NULL,'9998',0.00,3,3,NULL),(16,3302601,'1992-01-03 00:00:00',4,3,12,2008,'M','N','CENTRO','TIJUCAS','SC','124242241215111431443531575121610127052',NULL,'1119',22.56,1,3,NULL),(16,3302610,'1991-06-20 00:00:00',4,8,12,2008,'M','N','N SENHORA DE FATIMA','COLOMBO','PR','116164161215471431458614575124610137056',NULL,'9998',0.00,1,3,NULL),(16,3302628,'1980-12-01 00:00:00',2,1,12,1999,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124201205112131731123344342334242224097',NULL,'9998',28.24,1,3,NULL),(16,3302636,'1988-02-02 00:00:00',2,1,11,2005,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241137131431533314242112231517142',NULL,'192',26.46,1,2,1),(16,3302644,'1987-08-01 00:00:00',1,2,11,2005,'F','N','UVARANAS','PNT GROSSA','PR','116162161216471431554416572124142647042',5864,'9998',56.67,1,3,NULL),(16,3302652,'1990-10-12 00:00:00',4,1,12,2008,'F','N','VILA DEODORO','S PAULO','SP','125254251217371431668533575122610167142',2865,'9998',64.19,1,3,NULL),(16,3302660,'1990-10-04 00:00:00',4,1,12,2007,'M','N','CENTRO','HERVAL D OESTE','SC','124242241416472431256664345114610135146',5467,'449',57.56,1,3,NULL),(16,3302679,'1991-03-22 00:00:00',4,2,12,2008,'M','N','VELHA','BLUMENAU','SC','124243241416111431348933575124610122017',11469,'88',46.22,1,3,NULL),(16,3302687,'1988-12-17 00:00:00',4,1,11,2006,'F','N','CARAPICUIBA','CARAPICUíBA','SP','125252251217271411688712382122241417022',NULL,'9998',34.36,1,3,NULL),(16,3302695,'1992-05-23 00:00:00',4,1,12,2009,'F','S','AREIAS','S JOSé','SC','124242241215111431554611295124610118057',NULL,'976',21.79,1,3,NULL),(16,3302717,'1991-08-21 00:00:00',4,2,12,2008,'M','N','VELHA','BLUMENAU','SC','124242241215111431446834475124610167057',NULL,'87',25.93,1,3,NULL),(16,3302733,'1990-01-13 00:00:00',4,1,12,2007,'F','N','PARQUE BANDEIRANTES','RIBEIRãO PRETO','SP','125252251215471431458824471112610164052',5948,'9998',56.46,1,3,NULL),(16,3302741,'1991-04-06 00:00:00',2,4,11,2008,'M','N','CENTRO','IPORã OESTE','SC','124243241527161231346933232124610127047',11105,'370',46.83,1,3,NULL),(16,3302750,'1991-06-05 00:00:00',4,2,11,2008,'F','N','VILA ITOUPAVA','BLUMENAU','SC','124241241217111711346924275122610134142',15910,'71',37.47,1,3,NULL),(16,3302768,'1979-04-09 00:00:00',2,1,12,1997,'M','N','COLONIA SANTANA','S JOSé','SC','124241245127132711233324342224133228057',14457,'307',40.77,2,1,1),(16,3302792,'1991-03-28 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111732368823575122610134182',3354,'262',62.83,1,3,NULL),(16,3302806,'1987-10-17 00:00:00',4,8,12,2005,'M','N','CENTRO','JOINVILLE','SC','124242161216473411489811575114142444017',NULL,'9998',0.00,1,3,NULL),(16,3302814,'1990-05-17 00:00:00',2,5,11,2007,'M','N','N S DA SALETE','CRICIúMA','SC','124241241215272431367339375124610137012',12420,'920',44.52,1,3,NULL),(16,3302822,'1990-02-09 00:00:00',4,1,11,2007,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124242241216372431468914294124610123152',15512,'1075',38.51,1,3,NULL),(16,3302830,'1991-11-16 00:00:00',2,1,12,2008,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241226111431357733215124610113117',11892,'1022',45.47,1,3,NULL),(16,3302849,'1985-01-06 00:00:00',2,1,12,2002,'M','N','FORQUILHINHA','S JOSé','SC','224241241122132431233344142212133238057',NULL,'727',25.50,1,2,1),(16,3302865,'1991-03-16 00:00:00',4,5,12,2008,'M','N','MORRO ESTEVAO','CRICIúMA','SC','124244246216111431356612475114610117042',NULL,'995',33.49,1,3,NULL),(16,3302873,'1991-01-24 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124241241117131211437413192124610167052',6410,'739',55.45,1,3,NULL),(16,3302881,'1988-04-19 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124243241245121431573319342114610137112',NULL,'1022',14.46,1,3,NULL),(16,3302890,'1992-05-27 00:00:00',4,9,12,2009,'M','S','CENTRO','LAGES','SC','124242241216111711535612375122610128177',NULL,'515',27.65,1,3,NULL),(16,3302903,'1991-06-04 00:00:00',4,8,12,2008,'M','N','AEROPORTO','MARINGá','PR','116162161215111231559933392122610167122',7295,'9998',53.72,1,3,NULL),(16,3302911,'1989-10-18 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248215372431457823575122610124072',NULL,'270',34.93,1,3,NULL),(16,3302920,'1984-08-24 00:00:00',4,3,12,2001,'M','N','CENTRO','BAL CAMBORIú','SC','124244241417133751234923187115220968177',12295,'9997',44.73,1,3,NULL),(16,3302938,'1991-12-04 00:00:00',4,3,12,2009,'F','S','SãO LUIZ','BRUSQUE','SC','124242241215151431489911575112610131191',NULL,'109',53.30,1,3,NULL),(16,3302946,'1988-06-12 00:00:00',4,3,12,2005,'F','N','PARQUE DAS NAçõES','ITARARé','SP','125252251216571731558813572125610162177',NULL,'9998',0.00,1,3,NULL),(16,3302954,'1971-11-13 00:00:00',2,1,12,1992,'F','N','ANTONIO FONSECA','DIVINóPOLIS','MG','113131138126253711323329392334610164182',NULL,'9998',33.60,1,3,NULL),(16,3302970,'1986-06-09 00:00:00',2,1,12,2004,'F','N','VILA ESPERANçA','IMBITUBA','SC','124241241117132431335614445123610114117',NULL,'359',0.00,1,3,NULL),(16,3302989,'1989-10-12 00:00:00',4,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124242241216412531168813575122221467042',4160,'491',60.61,1,3,NULL),(16,3302997,'1992-07-17 00:00:00',4,1,12,2009,'F','S','BARREIROS','S JOSé','SC','124241241111131431427712212124610126077',NULL,'732',22.92,1,3,NULL),(16,3303012,'1991-05-30 00:00:00',4,5,11,2008,'M','N','JARDIM DAS AVENIDAS','ARARANGUá','SC','124241241112131431326311395124610137147',NULL,'29',0.00,1,2,1),(16,3303020,'1983-06-28 00:00:00',2,4,12,2000,'F','N','JARDIM ITALIA','CHAPECó','SC','124201201116271411123344445123231367057',9668,'9998',49.39,1,2,1),(16,3303039,'1991-03-23 00:00:00',2,1,12,2008,'F','N','VENDAVAL','BIGUAçU','SC','124241241111131431624923341124610127142',NULL,'21',28.15,1,2,1),(16,3303047,'1988-04-19 00:00:00',4,2,12,2005,'F','N','CENTRO','CURITIBA','PR','116252251416571431656511481124143234097',NULL,'9998',0.00,1,3,NULL),(16,3303055,'1982-11-13 00:00:00',4,1,12,1999,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124202201216141431238744445234342132182',5511,'9998',57.44,4,3,NULL),(16,3303063,'1991-03-04 00:00:00',4,9,12,2008,'M','N','LOTEAMENTO PEREIRA','PTE ALTA NORTE','SC','124241241125271411322319111324610114047',14214,'626',41.20,1,2,1),(16,3303071,'1991-12-07 00:00:00',4,9,11,2008,'F','N','CORAL','LAGES','SC','124243241215112431558614575122610117012',15004,'497',39.63,1,3,NULL),(16,3303080,'1975-04-19 00:00:00',2,1,11,2007,'M','N','BALNEARIO','FLORIANóPOLIS','SC','624243247127131731328444441334610124043',NULL,'9999',7.34,1,3,NULL),(16,3303098,'1992-06-02 00:00:00',4,1,12,2009,'M','S','COQUEIROS','FLORIANóPOLIS','SC','124241241117151432447739395124610142077',NULL,'292',25.70,1,3,NULL),(16,3303101,'1991-10-22 00:00:00',2,1,12,2008,'F','N','FAZENDA SANTO ANTONI','S JOSé','SC','124241241117111431546631395114610167052',NULL,'739',28.19,3,2,1),(16,3303110,'1973-10-25 00:00:00',4,1,12,1990,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124241241126233421556321335124121312087',NULL,'307',0.00,1,2,1),(16,3303128,'1990-02-18 00:00:00',4,8,12,2007,'F','N','BATEL','CURITIBA','PR','116162161215471451465712574122610123012',4399,'9998',60.02,1,3,NULL),(16,3303136,'1991-04-08 00:00:00',4,1,11,2008,'M','N','RUA PAIM FILHO','LGA VERMELHA','RS','120203201216151432438733575115610116147',NULL,'9998',25.87,1,3,NULL),(16,3303144,'1990-05-04 00:00:00',4,1,12,2007,'F','N','MANGAL','SOROCABA','SP','125254251216471431479814575122610168077',NULL,'9998',27.85,2,3,NULL),(16,3303152,'1991-12-15 00:00:00',2,10,11,2008,'M','N','CENTRO','JAGUARUNA','SC','124241241215111411474412472112610147042',9164,'807',50.30,1,3,NULL),(16,3303179,'1991-02-28 00:00:00',4,1,12,2008,'M','N','BARRA DO PINHEIRINHO','JACINTO MACHADO','SC','124241242117131421513315352324610166057',14605,'690',40.50,1,2,1),(16,3303187,'1991-10-29 00:00:00',2,3,11,2008,'M','N','CENTRO','CONCóRDIA','SC','124242241215111411469732595122610166177',195,'190',79.33,1,3,NULL),(16,3303195,'1991-07-12 00:00:00',2,6,11,2008,'F','N','CENTRO','CANELINHA','SC','124241246217111431227829475124610148183',4425,'1119',59.94,1,3,NULL),(16,3303209,'1992-10-07 00:00:00',4,2,12,2009,'M','S','NAçõES','INDAIAL','SC','124242241213111431477832475112610142042',NULL,'909',66.66,1,3,NULL),(16,3303217,'1991-07-30 00:00:00',2,1,12,2008,'M','N','NOVO DIAMANTINO','NOVO DIAMANTINO','MT','111112111217161332433332295122610164057',NULL,'9998',0.00,1,3,NULL),(16,3303225,'1990-08-20 00:00:00',2,1,11,2008,'M','N','BOTAFOGO','RIO JANEIRO','RJ','121212211216411431469914595121610167117',NULL,'9998',0.00,1,3,NULL),(16,3303233,'1985-02-17 00:00:00',4,7,12,2002,'M','N','FREI BRUNO','JOAçABA','SC','224241241137131421236644245232133262052',NULL,'539',0.00,1,3,NULL),(16,3303241,'1991-03-11 00:00:00',4,2,12,2008,'F','N','VELHA','BLUMENAU','SC','124242241215111431363823574122610143092',NULL,'87',23.49,1,3,NULL),(16,3303250,'1992-10-18 00:00:00',4,3,12,2009,'M','S','CENTRO','ITAPEMA','SC','124242241216171411379912575122610112012',NULL,'9997',47.01,1,3,NULL),(16,3303284,'1989-02-21 00:00:00',2,8,11,2008,'M','N','PORTãO','CURITIBA','PR','116164161417111411343667575124610124175',NULL,'9998',0.00,1,3,NULL),(16,3303292,'1992-07-07 00:00:00',4,10,11,2009,'F','S','CENTRO','TUBARãO','SC','124242241217111711438832591122610136142',NULL,'797',44.28,1,3,NULL),(16,3303306,'1991-02-24 00:00:00',2,1,12,2008,'F','N','POVOAMENTO','ANITáPOLIS','SC','124241241135161411323651292224610126057',NULL,'19',12.07,1,2,1),(16,3303322,'1986-12-10 00:00:00',4,1,12,2004,'M','N','CHACARA DAS PEDRAS','PTO ALEGRE','RS','120202201217151421476812445122241438182',NULL,'9998',35.35,1,3,NULL),(16,3303330,'1980-01-14 00:00:00',4,1,12,1997,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124244246117254421256744245124121432177',NULL,'306',0.00,1,3,NULL),(16,3303349,'1988-07-16 00:00:00',4,1,12,2005,'M','N','SALGADO FILHO','MARíLIA','SP','125252251215571431488811572112610167043',563,'9998',75.27,1,3,NULL),(16,3303357,'1975-12-05 00:00:00',4,1,12,1994,'M','N','CRISTO REI','CURITIBA','PR','116241241116152421463322345134321414011',NULL,'122',0.00,1,3,NULL),(16,3303365,'1987-07-12 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANóPOLIS','SC','124201201121231411224326595214610127042',NULL,'9998',11.98,1,3,NULL),(16,3303373,'1989-04-05 00:00:00',4,8,11,2006,'F','N','BUCAREIN','JOINVILLE','SC','124242241216473431458811472122131024142',3830,'486',61.51,1,3,NULL),(16,3303381,'1992-04-06 00:00:00',4,1,12,2009,'M','S','CAMPINAS','S JOSé','SC','124242241217111321238723572125610124177',NULL,'737',31.52,1,3,NULL),(16,3303390,'1990-03-09 00:00:00',4,1,12,2007,'M','N','JD ITALIA','ITAPETININGA','SP','125252251217471431266823475122610137053',NULL,'9998',48.62,1,3,NULL),(16,3303403,'1991-03-09 00:00:00',2,7,11,2008,'F','N','CENTRO','LUZERNA','SC','124241241112132721325524592124610113017',14664,'539',40.36,1,2,1),(16,3303411,'1989-06-25 00:00:00',2,1,12,2006,'F','N','KOBRASOL','S JOSé','SC','124241241216132431438413245124610136097',NULL,'1076',18.27,1,3,NULL),(16,3303420,'1992-02-27 00:00:00',2,4,12,2008,'F','N','SAO CRISTOVAO','CHAPECó','SC','124241241116131732323624572324610126147',NULL,'170',14.42,1,2,1),(16,3303438,'1991-06-26 00:00:00',2,1,11,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','624242241216111531438821595114610138197',14425,'270',40.84,1,3,NULL),(16,3303446,'1990-09-12 00:00:00',4,1,11,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215111731569932572112610114182',15693,'226',38.08,1,3,NULL),(16,3303454,'1991-06-06 00:00:00',4,1,12,2008,'M','N','CENTRO','PTO ALEGRE','RS','120201201117471431326613235224610128187',NULL,'9998',0.00,1,2,1),(16,3303462,'1983-07-04 00:00:00',4,1,12,2000,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124251251126114711138841215324142213091',NULL,'9998',18.11,2,1,1),(16,3303470,'1992-03-06 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111531578932572122610131187',14915,'262',39.85,1,3,NULL),(16,3303489,'1991-09-11 00:00:00',4,1,12,2008,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241115131431625619372124610123147',NULL,'307',21.97,1,2,1),(16,3303497,'1988-07-21 00:00:00',4,4,12,2006,'F','N','PIONEIROS','ITá','SC','124243242116142451334423445125133248147',NULL,'196',0.00,1,3,NULL),(16,3303500,'1990-04-17 00:00:00',4,1,12,2007,'M','N','JUNDIAQUARA','ARAçOIABA SERRA','SP','125254251314471731238822575114610114057',14435,'9998',40.82,4,3,NULL),(16,3303519,'1991-04-24 00:00:00',4,4,11,2008,'M','N','SAIC','CHAPECó','SC','124241241215111431478933575121610167047',NULL,'185',42.59,1,3,NULL),(16,3303527,'1989-04-24 00:00:00',4,1,12,2006,'M','N','VILA B','FOZ IGUAçU','PR','116162161216471431389814575124610167032',9576,'9998',49.58,1,3,NULL),(16,3303543,'1991-01-05 00:00:00',4,8,11,2008,'M','N','AMéRICA','JOINVILLE','SC','124242248117111431389932574112610162052',NULL,'1016',24.70,1,3,NULL),(16,3303551,'1991-07-16 00:00:00',4,1,12,2008,'M','N','CHACARAS MAVISOU','LAVRINHAS','SP','125252251116571711349939572112610142172',NULL,'9998',0.00,1,3,NULL),(16,3303560,'1992-06-16 00:00:00',4,1,12,2009,'F','S','CENTRO','PALHOçA','SC','124242241217171731447923574124610132187',NULL,'1011',34.50,1,3,NULL),(16,3303586,'1991-06-28 00:00:00',1,3,12,2008,'M','N','ALTO SãO BENTO','ITAPEMA','SC','124243241115131431435611382321610132147',NULL,'406',31.23,4,1,2),(16,3303608,'1989-05-02 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124214201112161431446613345125610132187',NULL,'9998',25.17,2,3,NULL),(16,3303616,'1980-04-10 00:00:00',4,9,12,1998,'M','N','NACOES','FRAIBURGO','SC','124241241127141421537621142122133224187',NULL,'314',0.00,1,3,NULL),(16,3303632,'1972-04-10 00:00:00',2,1,12,1996,'M','N','JARDIM LEOPOLDINA','PTO ALEGRE','RS','120203207416131711113341212234143226177',9985,'9999',48.80,1,3,NULL),(16,3303640,'1991-09-25 00:00:00',4,7,12,2008,'F','N','CENTRO','CAçADOR','SC','124241241116131431325724575125610162097',NULL,'124',29.42,1,2,1),(16,3303659,'1986-10-28 00:00:00',4,1,12,2005,'M','N','VILLAS DO ATLANTICO','LAURO FREITAS','BA','105052051216571751589932575122142864042',7134,'9998',54.03,1,3,NULL),(16,3303667,'1983-08-24 00:00:00',4,1,12,2002,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241237373711229629442124221118082',10090,'884',48.62,1,3,NULL),(16,3303675,'1990-12-19 00:00:00',4,10,11,2008,'F','N','CENTRO','TUBARãO','SC','124242241215131231436639292122610132057',NULL,'806',27.58,1,3,NULL),(16,3303691,'1992-11-14 00:00:00',4,8,12,2009,'F','S','GUANABARA','JOINVILLE','SC','124242241216111431268923572122610134142',NULL,'457',0.00,1,3,NULL),(16,3303713,'1981-07-03 00:00:00',2,1,12,1999,'F','N','RIO GRANDE','PALHOçA','SC','124243241117335731226644442244130214197',NULL,'307',0.00,1,3,NULL),(16,3303721,'1991-09-11 00:00:00',4,1,12,2008,'M','N','VILA PARAíBA','GUARATINGUETá','SP','125253251216111431568834575121610164182',NULL,'9998',37.38,1,3,NULL),(16,3303730,'1988-05-12 00:00:00',4,1,12,2005,'F','N','NS AUXILIADORA','CAMPINAS','SP','125252251216152421367821385124143134072',NULL,'9998',0.00,1,3,NULL),(16,3303748,'1988-09-01 00:00:00',2,1,12,2006,'F','N','CENTRO','UBERABA','MG','113133131217472431533835572124610132012',2718,'9998',64.63,1,3,NULL),(16,3303756,'1991-05-05 00:00:00',4,10,11,2008,'F','N','STO ANTôNIO DE PADUA','TUBARãO','SC','124244241217151531459934574122610122182',9814,'806',49.12,1,3,NULL),(16,3303772,'1989-11-01 00:00:00',2,1,11,2007,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124252251215472431466812575112610123192',14387,'9998',40.90,1,3,NULL),(16,3303780,'1991-01-20 00:00:00',4,1,12,2008,'M','N','AREAL','PELOTAS','RS','120202201216471731556619375122613238056',13287,'9998',42.99,1,3,NULL),(16,3303799,'1990-04-30 00:00:00',4,1,11,2007,'F','N','CENTRO','SOROCABA','SP','125252251216471411578831574112610124146',NULL,'9998',0.00,1,3,NULL),(16,3303802,'1991-06-17 00:00:00',4,1,12,2008,'F','N','VILA NOVA','TROMBUDO CENTRAL','SC','124244241215111431346619275114610123182',NULL,'991',0.00,1,3,NULL),(16,3303810,'1992-10-26 00:00:00',2,1,12,2008,'F','N','RATONES','FLORIANóPOLIS','SC','124244241417151411357432595122610138181',14720,'1048',40.23,1,3,NULL),(16,3303829,'1991-05-17 00:00:00',4,1,12,2008,'F','N','VORSTADT','BLUMENAU','SC','124242241215111431489934472122610125182',6761,'855',54.74,1,3,NULL),(16,3303837,'1991-06-28 00:00:00',4,8,12,2008,'F','N','ÓRFãS','PNT GROSSA','PR','116162161217111431369933472122610147046',NULL,'9998',0.00,1,3,NULL),(16,3303845,'1982-03-14 00:00:00',2,1,12,2001,'M','N','KOBRASOL','S JOSé','SC','124241241116373431226343435123130227057',NULL,'614',28.90,1,3,NULL),(16,3303861,'1978-10-27 00:00:00',2,1,12,1998,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','224241243127131431325344342343130237042',NULL,'285',25.52,4,2,1),(16,3303870,'1991-12-26 00:00:00',4,1,12,2008,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241135271532531324586224610162012',NULL,'307',30.85,1,3,NULL),(16,3303888,'1977-11-19 00:00:00',4,8,12,1995,'M','N','HERMAM MORAES BARROS','MARINGá','PR','116161161116272421234419395123341534187',10031,'9998',48.72,3,2,1),(16,3303896,'1974-06-29 00:00:00',4,1,12,1992,'F','N','JURERE INTERNACIONAL','FLORIANóPOLIS','SC','124111113126371431348933345124240863112',NULL,'9998',0.00,1,3,NULL),(16,3303918,'1991-04-01 00:00:00',4,10,11,2008,'M','N','CENTRO','TUBARãO','SC','124242241215112431346833572122610162057',NULL,'1120',23.50,1,3,NULL),(16,3303942,'1991-03-05 00:00:00',2,1,12,2008,'M','N','SERRINHA','FLORIANOPOLIS','SC','124241241112141731433314241124610162012',NULL,'298',25.42,1,2,1),(16,3303950,'1990-06-02 00:00:00',4,1,12,2008,'F','N','CAMPO D UNA','GAROPABA','SC','124241241135131131323823382224610126057',NULL,'307',21.10,1,2,1),(16,3303969,'1992-01-02 00:00:00',2,1,12,2008,'M','N','JD CIDADE DE FPOLIS','S JOSé','SC','124242241215111431466833575124610127042',14120,'738',41.40,1,3,NULL),(16,3303977,'1992-11-19 00:00:00',4,1,11,2009,'F','S','TRINDADE','FLORIANóPOLIS','SC','124242241215111411228769295124610167142',NULL,'269',48.17,1,3,NULL),(16,3303985,'1991-07-21 00:00:00',4,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124242241215131431243619275122610167052',11109,'1010',46.82,1,3,NULL),(16,3303993,'1979-05-08 00:00:00',2,1,11,1996,'M','N','PRAIA DA ARMAçãO','FLORIANóPOLIS','SC','124201201117431721225544241124610147057',NULL,'9998',27.00,1,2,1),(16,3304027,'1991-09-28 00:00:00',4,1,11,2008,'F','N','BOA VISTA','CURITIBA','PR','116162161214471712669834575122610163196',NULL,'9998',0.00,3,3,NULL),(16,3304035,'1990-10-14 00:00:00',4,1,12,2008,'F','N','CAMILOPOLIS','STO ANDRé','SP','125252251215111431346821311122610167052',NULL,'9998',38.87,1,3,NULL),(16,3304043,'1991-03-19 00:00:00',4,2,12,2008,'F','N','ERICA','PANAMBI','RS','120202208216111311359579594122613265012',14523,'9998',40.64,1,3,NULL),(16,3304051,'1972-02-15 00:00:00',2,1,12,1993,'F','N','AREIAS','S JOSé','SC','124241243126135421532219185124610166187',13820,'257',42.01,1,2,1),(16,3304060,'1991-02-13 00:00:00',4,7,12,2008,'F','N','CIBRAZéM','VIDEIRA','SC','124241241116151431423611342122610133042',13252,'831',43.06,1,2,1),(16,3304078,'1991-01-22 00:00:00',4,2,12,2008,'M','N','GARCIA','BLUMENAU','SC','124242241215111231578913475112610124092',884,'855',72.80,4,3,NULL),(16,3304086,'1991-10-16 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124242241235121732368713472114610168192',7375,'1022',53.57,1,3,NULL),(16,3304094,'1991-10-21 00:00:00',4,8,12,2008,'M','N','NAVEGANTES','UNIãO VITóRIA','PR','116161161116151331443422475122610132142',NULL,'9998',27.44,1,3,NULL),(16,3304108,'1991-12-10 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241217111431559933575124610167117',NULL,'270',46.69,1,3,NULL),(16,3304116,'1989-10-24 00:00:00',4,8,12,2006,'F','N','CENTRO','BAL BARRA SUL','SC','124251251116131411546614182224143224152',NULL,'9998',28.67,4,2,1),(16,3304132,'1991-04-08 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241135141431535562342213610137057',NULL,'287',22.06,2,1,1),(16,3304140,'1992-01-29 00:00:00',4,2,12,2009,'F','S','VELHA','BLUMENAU','SC','124244248215111331436412591114613267047',NULL,'71',23.34,1,3,NULL),(16,3304159,'1990-05-03 00:00:00',4,1,12,2008,'M','N','SãO JUDAS TADEU','GUARARAPES','SP','125251251217111411365431575122610126187',NULL,'9998',0.00,4,3,NULL),(16,3304167,'1992-02-09 00:00:00',4,1,12,2009,'F','S','RIO TAVARES','FLORIANóPOLIS','SC','124241241115151711279933372122610144095',NULL,'267',51.93,1,3,NULL),(16,3304183,'1990-06-25 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241211472421436932245324231527112',NULL,'1022',30.64,1,3,NULL),(16,3304191,'1984-01-03 00:00:00',4,1,5,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124164167426132721128644245334141427112',1168,'9998',71.10,1,3,NULL),(16,3304205,'1991-05-31 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124242241217111411539613382124610134141',NULL,'1048',23.81,1,3,NULL),(16,3304213,'1991-06-20 00:00:00',4,2,11,2008,'M','N','BOA VISTA','BLUMENAU','SC','124244241215111431439711315122610122011',5504,'71',57.47,1,3,NULL),(16,3304221,'1984-07-07 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124253251417131421536644445124610126052',16568,'9998',35.06,1,3,NULL),(16,3304230,'1990-04-06 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242248237153431549833395124231064047',5909,'269',56.57,1,3,NULL),(16,3304248,'1991-08-07 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111411469933475124610123092',NULL,'270',32.59,1,3,NULL),(16,3304256,'1986-10-01 00:00:00',2,1,12,2004,'M','N','JARDIM AMéRICA','ITUVERAVA','SP','125254251215571731427921571122610162192',10064,'9998',48.66,1,3,NULL),(16,3304264,'1951-02-22 00:00:00',4,1,12,1972,'F','N','TRINDADE','FLORIANóPOLIS','SC','524201201127131712363349292114610161095',13937,'9998',41.78,1,3,NULL),(16,3304280,'1991-10-11 00:00:00',4,10,11,2008,'M','N','CENTRO','TUBARãO','SC','124242241237111431468733575122610227043',NULL,'806',27.80,1,3,NULL),(16,3304299,'1992-04-18 00:00:00',4,9,12,2008,'F','N','CENTRO','CORREIA PINTO','SC','124242241215111431556814575122610164142',14509,'499',40.67,1,3,NULL),(16,3304302,'1989-07-14 00:00:00',2,1,11,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241415412431336719275114610133042',11884,'273',45.49,1,3,NULL),(16,3304310,'1988-08-14 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','224161241127131431326354342344610131182',NULL,'277',19.94,4,2,1),(16,3304329,'1992-02-12 00:00:00',2,10,11,2009,'M','S','NOSSA SRA DE FATIMA','BRAçO NORTE','SC','124242241215111411438931372124610137047',NULL,'807',37.01,1,3,NULL),(16,3304337,'1992-06-20 00:00:00',4,1,12,2008,'M','N','NOSSA SEN DO ROSáRIO','S JOSé','SC','124242241215111431466812422124610137062',12373,'737',44.59,1,3,NULL),(16,3304345,'1992-02-23 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124202241215112432585912594122610125055',NULL,'262',27.18,1,3,NULL),(16,3304353,'1992-02-26 00:00:00',4,4,11,2009,'M','S','CENTRO','CHAPECó','SC','124242241217151331619834571121610167162',NULL,'185',34.90,1,3,NULL),(16,3304361,'1985-09-17 00:00:00',2,1,8,2004,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','624243247146142731338473345114610167047',14777,'9999',40.12,2,1,2),(16,3304388,'1991-09-25 00:00:00',2,6,12,2008,'M','N','CENTRO','GOIOERê','PR','116164161215121431555532275122610164031',NULL,'9998',0.00,1,3,NULL),(16,3304396,'1987-03-15 00:00:00',4,9,12,2004,'F','N','CENTRO','LAGES','SC','124244241216575431468931571124232416097',1871,'515',67.70,1,3,NULL),(16,3304400,'1990-02-09 00:00:00',4,1,11,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','125242241215472411468912392124610168182',6199,'270',55.92,1,3,NULL),(16,3304426,'1991-05-11 00:00:00',4,8,12,2008,'M','N','CENTRO','ITAPOá','SC','124162241215111432538711575122610164013',1786,'9997',68.06,4,3,NULL),(16,3304434,'1988-08-12 00:00:00',2,1,12,2006,'M','N','VILA ICARAí','S JOSé CAMPOS','SP','125252251216471731468633275122141462047',1612,'9998',68.85,4,3,NULL),(16,3304442,'1991-05-24 00:00:00',4,1,12,2008,'F','N','CENTRO','SAPIRANGA','RS','120201201117471431467611571125610166127',6841,'9998',54.59,1,2,1),(16,3304469,'1990-08-26 00:00:00',4,7,12,2008,'F','N','ACLIMAçãO','S PAULO','SP','125252251216131431435312575124610133147',9157,'9998',50.31,1,3,NULL),(16,3304477,'1989-12-13 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124164161117473711347819572124232734127',9498,'9998',49.72,1,3,NULL),(16,3304523,'1990-04-20 00:00:00',4,10,11,2007,'F','N','LOMBA','ORLEANS','SC','124242241216122731528819575115232426197',2546,'807',65.19,1,3,NULL),(16,3304531,'1991-10-02 00:00:00',2,2,11,2008,'F','N','CENTRO','AGROLâNDIA','SC','124243241215111431438314575124610137077',12419,'654',44.52,1,3,NULL),(16,3304558,'1976-09-18 00:00:00',4,1,12,1996,'M','N','SANTA TERESINHA','PENáPOLIS','SP','125161164115153751446614392224221567187',2279,'9998',66.12,1,2,1),(16,3304566,'1990-02-11 00:00:00',4,1,12,2007,'F','N','IPIRANGA','S JOSé','SC','124242241217371731448612445124610112142',NULL,'738',28.73,1,3,NULL),(16,3304574,'1991-02-04 00:00:00',2,1,11,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215111432588912572122610132182',12399,'270',44.55,1,3,NULL),(16,3304590,'1976-05-07 00:00:00',4,2,12,1996,'M','N','BELA ALIANçA','RIO SUL','SC','224114111525131421433344442224610127152',NULL,'9998',0.00,1,3,NULL),(16,3304604,'1991-12-16 00:00:00',2,1,11,2008,'F','N','CENTRO','STA ROSA','RS','120202201217131732446618275122610132182',NULL,'9998',0.00,1,3,NULL),(16,3304612,'1965-01-16 00:00:00',2,1,12,1990,'F','N','CAMPINAS','S JOSé','SC','224241247326132421343353342134610122047',NULL,'305',20.32,1,3,NULL),(16,3304620,'1992-03-22 00:00:00',4,5,11,2009,'F','S','PIO CORREA','CRICIúMA','SC','124242241215151431478821576122610136066',NULL,'226',49.87,1,3,NULL),(16,3304647,'1988-09-15 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241115271731654533592124610123057',NULL,'267',26.26,2,1,1),(16,3304655,'1983-10-26 00:00:00',2,3,7,2004,'M','N','PIONEIROS','BAL CAMBORIú','SC','124241247136131431423429385112133234111',NULL,'9999',17.03,1,3,NULL),(16,3304663,'1990-11-18 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241248215372432424529572124610133191',14989,'269',39.68,1,3,NULL),(16,3304671,'1986-11-24 00:00:00',4,1,12,2004,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','624242241217131431236954345113131048117',NULL,'836',0.00,1,3,NULL),(16,3304680,'1968-05-10 00:00:00',4,1,11,1989,'M','N','NSA SRA ROSARIO','S JOSé','SC','424241247323153711244443235232121154067',NULL,'307',0.00,1,3,NULL),(16,3304698,'1991-01-22 00:00:00',4,10,11,2008,'F','N','CENTRO','BRAçO NORTE','SC','124244241215121431478832125122610126142',NULL,'807',34.57,1,3,NULL),(16,3304701,'1990-01-20 00:00:00',4,1,12,2007,'M','N','LAGOINHA','RIBEIRãO PRETO','SP','125251251215471431458539495125610137043',NULL,'9998',52.12,1,3,NULL),(16,3304710,'1991-07-18 00:00:00',4,10,12,2008,'M','N','MORROTES','TUBARãO','SC','124241241115131431446933285121610137053',NULL,'1034',11.85,1,3,NULL),(16,3304728,'1990-07-13 00:00:00',2,5,9,2007,'M','N','PRóSPERA','CRICIúMA','SC','124241241132131722535319585124610162097',11274,'218',46.52,1,2,1),(16,3304736,'1991-01-29 00:00:00',4,8,12,2008,'M','N','CENTRO','STO ANDRé','SP','125252251216111431588832575111610164017',15420,'9998',38.73,1,3,NULL),(16,3304744,'1989-09-15 00:00:00',4,4,12,2006,'F','N','JARDIM AMÉRICA','CHAPECó','SC','124241241112131712521541242334610116177',NULL,'181',6.79,3,3,NULL),(16,3304752,'1991-10-06 00:00:00',4,1,12,2008,'M','N','JARDIM ITú SABARá','PTO ALEGRE','RS','120204201437171431448933575122610124013',8721,'9998',51.04,1,3,NULL),(16,3304760,'1991-08-06 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124242241215111431239712243122610162112',4878,'723',58.93,1,3,NULL),(16,3304787,'1990-07-16 00:00:00',2,10,12,2007,'F','N','CENTRO','STA ROSA LIMA','SC','124241241127161431437933271124231534057',NULL,'688',24.93,1,2,1),(16,3304795,'1991-09-21 00:00:00',2,1,11,2010,'F','S','SANTINHO','FLORIANóPOLIS','SC','124244241215111731336823376124610164147',NULL,'1022',40.01,1,3,NULL),(16,3304809,'1991-09-20 00:00:00',4,6,12,2008,'F','N','DOM BOSCO','ITAJAí','SC','124242241217111431358823572112610112052',7667,'1057',53.02,1,3,NULL),(16,3304817,'1993-03-02 00:00:00',2,1,11,2009,'M','S','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241211111731546632275125610111052',NULL,'1035',26.84,1,3,NULL),(16,3304825,'1992-01-25 00:00:00',4,5,12,2008,'M','N','CENTRO','TURVO','SC','124241241116131421525311591324610167042',NULL,'785',25.17,1,2,1),(16,3304841,'1992-02-28 00:00:00',4,4,11,2008,'F','N','BRASILIA','PATO BRANCO','PR','116162161215371431527639394122610123012',10201,'9998',48.43,1,3,NULL),(16,3304850,'1966-03-16 00:00:00',2,1,12,1985,'M','N','ITACORUBI','FLORIANóPOLIS','SC','224243247141133432433243131114610127047',NULL,'9999',23.59,2,1,2),(16,3304868,'1992-05-12 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111732569713172125610128057',13148,'738',43.24,1,3,NULL),(16,3304876,'1991-11-04 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124244241417111421445532355122610122062',11320,'1038',46.45,1,3,NULL),(16,3304884,'1987-11-19 00:00:00',4,1,12,2005,'M','N','VILA TOGNI','POçOS CALDAS','MG','113132131217573431566613114114610127012',2123,'9998',66.70,1,3,NULL),(16,3304892,'1990-07-02 00:00:00',4,8,12,2007,'M','N','ALTO DO MUSSI','TRêS BARRAS','SC','124241241116472751326614575114610112187',NULL,'153',24.73,1,2,1),(16,3304914,'1989-04-29 00:00:00',4,1,12,2006,'F','N','VILA UNIVERSITáRIA','S PAULO','SP','125252251215571411368614571114610162057',3149,'9998',63.40,1,3,NULL),(16,3304922,'1991-03-03 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124246241215111431446619572124610147041',2402,'1022',65.68,1,3,NULL),(16,3304930,'1990-11-13 00:00:00',4,1,12,2007,'F','N','MARAPé','SANTOS','SP','125252251216471431236824572124610147072',14546,'9998',40.62,1,3,NULL),(16,3304949,'1992-02-06 00:00:00',4,1,12,2009,'M','S','CARIANOS','FLORIANóPOLIS','SC','124244241317121431366433475124610134062',NULL,'271',31.18,1,3,NULL),(16,3304957,'1992-06-03 00:00:00',4,6,12,2009,'F','S','JARDIM MALUCHE','BRUSQUE','SC','124242161212111411568831575122610128182',NULL,'981',58.03,1,3,NULL),(16,3304965,'1991-05-14 00:00:00',2,1,11,2008,'M','N','SETOR SUL','GOIâNIA','GO','109092091215111211576813572112610167052',448,'1003',76.25,1,3,NULL),(16,3304981,'1987-06-13 00:00:00',2,1,12,2006,'M','N','MONTE ALEGRE I','PAULíNIA','SP','125251251147471431443432345122610152142',NULL,'9998',0.00,1,3,NULL),(16,3305007,'1991-11-05 00:00:00',4,9,11,2008,'M','N','CENTRO','CORREIA PINTO','SC','124242241215111231366939575122610167052',13140,'497',43.26,1,3,NULL),(16,3305015,'1990-11-21 00:00:00',4,3,12,2008,'M','N','PEREQUE','PTO BELO','SC','124242241212151441424831382121610114052',NULL,'1119',33.05,4,3,NULL),(16,3305023,'1989-01-02 00:00:00',2,4,12,2006,'F','N','ESTRELA','S MIGUEL OESTE','SC','124241241127141411426415442124610146147',NULL,'94',23.59,1,2,1),(16,3305040,'1991-07-22 00:00:00',4,1,11,2008,'F','N','MARIA ISABEL','MARíLIA','SP','125252251215151431558814572112610167147',12626,'9998',44.13,1,3,NULL),(16,3305066,'1989-06-21 00:00:00',2,1,12,2007,'F','N','CENTRO','ITUPORANGA','SC','124241241115131431443923185125610123147',NULL,'415',0.00,1,3,NULL),(16,3305074,'1990-02-28 00:00:00',2,8,11,2008,'F','N','CENTRO','LAPA','PR','116161167117271431333319592224610141177',NULL,'496',0.00,1,2,1),(16,3305082,'1992-08-28 00:00:00',2,1,11,2008,'F','N','FLORESTA','S JOSé','SC','124243241215111331326621312324610123072',NULL,'738',24.72,1,3,NULL),(16,3305090,'1992-02-22 00:00:00',2,1,12,2009,'F','S','CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC','124242241215112431338813335124610124157',NULL,'1022',29.07,1,3,NULL),(16,3305104,'1977-04-19 00:00:00',4,1,11,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','224241241116134421243351211112610132147',NULL,'307',32.52,1,2,1),(16,3305120,'1991-04-05 00:00:00',2,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241215111451557923575122610124017',NULL,'499',26.55,1,3,NULL),(16,3305139,'1989-07-12 00:00:00',4,9,12,2006,'F','N','CENTRO','LAGES','SC','124242241211572451348911412125610137127',NULL,'497',0.00,1,3,NULL),(16,3305147,'1990-09-22 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111431669913431114610137072',NULL,'738',27.85,1,3,NULL),(16,3305163,'1985-05-20 00:00:00',4,1,12,2001,'M','N','JOSE MENDES','FLORIANóPOLIS','SC','124244241217145531357831315122121464173',8097,'213',52.23,1,3,NULL),(16,3305171,'1989-09-21 00:00:00',2,8,12,2007,'M','N','GLóRIA','JOINVILLE','SC','124242241235141111579614432122610137032',NULL,'459',37.30,1,3,NULL),(16,3305180,'1990-01-16 00:00:00',4,1,11,2007,'M','N','FLORESTA','S JOSé','SC','124244241217152411558813575112230764042',6558,'1036',55.15,1,3,NULL),(16,3305198,'1970-08-10 00:00:00',2,1,12,1987,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241248121134431343144145124610134187',NULL,'764',28.19,1,3,NULL),(16,3305210,'1993-07-09 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241212151431469931572122610111192',NULL,'262',55.10,1,3,NULL),(16,3305244,'1991-03-12 00:00:00',4,5,11,2008,'M','N','JARDIM BELA VISTA','ARARANGUá','SC','124241241215121431567932595112610117042',NULL,'32',33.09,1,3,NULL),(16,3305252,'1983-11-13 00:00:00',2,1,12,2001,'F','N','BOQUEIRãO','CURITIBA','PR','116163161116152431447614445112140231147',7701,'9998',52.96,1,3,NULL),(16,3305279,'1990-12-12 00:00:00',4,1,10,2008,'M','N','GUAXUMA','MACEIó','AL','102022023215221431468732574125610147132',13427,'9998',42.74,1,3,NULL),(16,3305287,'1992-01-07 00:00:00',4,1,12,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124242241217111431448834596124610138142',NULL,'1134',39.90,1,3,NULL),(16,3305295,'1991-02-25 00:00:00',2,7,11,2008,'F','N','VILA PEDRINE','JOAçABA','SC','124242241215111731546732292125610167052',16121,'454',36.87,1,3,NULL),(16,3305309,'1987-05-15 00:00:00',4,1,12,2004,'M','N','CENTRO','ERECHIM','RS','120202201216152431658813585114610164052',5118,'9998',58.33,1,3,NULL),(16,3305325,'1988-10-23 00:00:00',2,1,12,2008,'M','N','UNIVERSITARIO','CORUMBá','MS','112122121217411431634314272114610124097',14610,'9998',40.47,1,3,NULL),(16,3305333,'1991-03-23 00:00:00',4,1,12,2008,'F','N','JARDIM BETâNIA','MARíLIA','SP','125252251215271431227924275124610135057',13231,'9998',43.09,1,3,NULL),(16,3305341,'1993-02-26 00:00:00',4,9,12,2007,'M','N','SãO CRISTóVãO','LAGES','SC','124242241217111431469933571225610167012',14110,'497',41.42,1,3,NULL),(16,3305350,'1991-06-13 00:00:00',4,3,12,2008,'M','N','CENTRO','CAMBORIú','SC','124241248117141421469513395124610122177',15576,'129',38.37,1,2,1),(16,3305368,'1991-01-01 00:00:00',2,4,12,2008,'M','N','CENTRO','GAURAMA','RS','120201201116131431225923295124610164092',15141,'9998',39.33,1,2,1),(16,3305376,'1991-10-22 00:00:00',4,1,11,2009,'F','S','AGRONôMICA','FLORIANóPOLIS','SC','124242241217111431468813332112610138067',NULL,'270',49.07,1,3,NULL),(16,3305384,'1986-09-12 00:00:00',4,1,12,2004,'F','N','MIRANDóPOLIS','S PAULO','SP','125252251217571431448813574125610131017',9014,'9998',50.56,1,3,NULL),(16,3305392,'1987-09-26 00:00:00',2,1,12,2003,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241125132421123344345124131233047',14757,'177',40.15,1,2,1),(16,3305414,'1988-06-29 00:00:00',4,1,12,2008,'M','N','SãO LUIZ','BRUSQUE','SC','124241247137131432433811272124610134087',NULL,'9999',28.62,1,2,1),(16,3305422,'1991-10-07 00:00:00',4,9,12,2008,'F','N','CENTRO','LONTRAS','SC','124241241435111431456612175122610144092',NULL,'991',41.21,1,3,NULL),(16,3305430,'1991-07-06 00:00:00',4,1,12,2008,'M','N','CENTRO','NOVA TRENTO','SC','124244241215112321557732372122610164047',NULL,'109',0.00,1,3,NULL),(16,3305449,'1988-01-15 00:00:00',2,1,12,2005,'F','N','VISTA VERDE','S JOSé CAMPOS','SP','125251258215571411577823595122610146042',7870,'9998',52.66,1,3,NULL),(16,3305457,'1990-08-13 00:00:00',2,4,12,2008,'F','N','PASSO DA AREIA','CEL FREITAS','SC','124241241116131731435312241122610117147',NULL,'199',23.91,1,2,1),(16,3305465,'1979-06-17 00:00:00',4,1,12,1996,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124251251126133431329633281124331016182',13112,'9998',43.30,1,3,NULL),(16,3305473,'1987-11-05 00:00:00',4,8,12,2005,'F','N','CENTRO','ASSIS','SP','125251251116571441446511345112610162182',NULL,'9998',0.00,1,2,1),(16,3305481,'1991-07-31 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215121431679933571112610118142',10344,'262',48.18,1,3,NULL),(16,3305490,'1991-08-20 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124244241212171222568811586114610163087',10899,'262',47.19,1,3,NULL),(16,3305511,'1968-03-18 00:00:00',4,1,12,1985,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241116145431233672422132320413092',4856,'307',58.96,1,3,NULL),(16,3305520,'1973-08-02 00:00:00',4,8,12,1991,'M','N','JARDIM CARVALHO','PNT GROSSA','PR','116164168431211431589911455214343122123',10102,'9998',48.61,1,3,NULL),(16,3305538,'1989-07-24 00:00:00',4,1,12,2006,'M','N','SETOR BUENO','GOIâNIA','GO','109092091217571431589923592112610162047',1521,'9998',69.26,1,3,NULL),(16,3305546,'1991-05-10 00:00:00',4,3,11,2008,'M','N','CENTRO','TIJUCAS','SC','124241241411141421338832141121610124192',9815,'1119',49.12,1,3,NULL),(16,3305554,'1991-08-05 00:00:00',4,7,12,2008,'F','N','SANTA TEREZA','JOAçABA','SC','124243241316111431237814595123610147082',NULL,'962',16.44,1,3,NULL),(16,3305562,'1989-07-28 00:00:00',4,10,12,2006,'F','N','CENTRO','CANELA','RS','120202201217471451436514575124610138072',15193,'9998',39.22,1,3,NULL),(16,3305597,'1990-08-30 00:00:00',4,1,12,2007,'M','N','CENTRO','ITUPORANGA','SC','124242241226132431547933575124231037052',NULL,'414',25.69,1,3,NULL),(16,3305600,'1992-03-07 00:00:00',4,2,11,2008,'F','N','GLORIA','BLUMENAU','SC','124244241215111431324631215124610141147',NULL,'71',24.84,1,3,NULL),(16,3305619,'1950-04-20 00:00:00',4,1,12,1970,'F','N','ESTREITO','FLORIANóPOLIS','SC','524241241122153451451241112114322664037',11708,'307',45.81,1,3,NULL),(16,3305627,'1991-03-14 00:00:00',4,4,12,2008,'F','N','CENTRO','CHAPECO','SC','124242241212271441338912572122610138147',12215,'185',44.88,1,3,NULL),(16,3305635,'1987-10-17 00:00:00',4,1,12,2005,'F','N','CENTRO','CONCEIçãO BARRA','ES','108053051137471732223611442334610164097',NULL,'9998',25.39,4,1,2),(16,3305651,'1991-05-01 00:00:00',2,4,10,2008,'M','N','CENTRO','MARCELINO RAMOS','RS','120201201215111431567833572125610124187',NULL,'9998',32.73,1,3,NULL),(16,3305660,'1992-10-01 00:00:00',2,1,12,2009,'F','S','CAMPECHE','FLORIANóPOLIS','SC','124242241217111431468934295122610143042',NULL,'262',44.95,1,3,NULL),(16,3305678,'1991-08-30 00:00:00',4,1,12,2008,'F','N','HIGIOENóPOLIS','PTO ALEGRE','RS','120202201217211311568731211121610168072',NULL,'15',27.11,1,3,NULL),(16,3305694,'1990-05-06 00:00:00',4,4,12,2007,'M','N','PALMITAL','CHAPECó','SC','124252241216472431569813575112610164067',4416,'168',59.98,1,3,NULL),(16,3305708,'1988-03-21 00:00:00',2,1,12,2005,'M','N','SOBRINHO','CPO GRANDE','MS','112122121216573431438613572224610162077',253,'9998',78.52,1,3,NULL),(16,3305716,'1989-12-01 00:00:00',4,1,12,2006,'F','N','CENTRO','CHAPECó','SC','124242241216473431559811575124233227052',4887,'983',58.90,1,3,NULL),(16,3305732,'1986-11-01 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241311472451536614241114610117117',10926,'9999',47.15,1,3,NULL),(16,3305740,'1991-01-25 00:00:00',4,1,12,2008,'F','N','CENTRO','CAçADOR','SC','124242241215111431356813572122610163052',5397,'120',57.66,1,3,NULL),(16,3305759,'1991-05-30 00:00:00',2,9,11,2008,'F','N','CENTRO','CAXIAS SUL','RS','120202201235471231458732572124610133142',14532,'9998',40.63,1,3,NULL),(16,3305767,'1990-04-08 00:00:00',4,1,12,2007,'M','N','VILA SUZANA','S PAULO','SP','125252251212471431488914572112610167052',NULL,'9998',0.00,1,3,NULL),(16,3305791,'1990-09-11 00:00:00',4,8,12,2008,'M','N','JARDIM EUROPA','ITAPEVA','SP','125252161216121431564512575122610167042',10043,'9998',48.70,1,3,NULL),(16,3305813,'1990-06-08 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONECEIçAO','FLORIANóPOLIS','SC','124242241215472711469911392122610121037',NULL,'883',42.37,1,3,NULL),(16,3305830,'1989-04-18 00:00:00',2,1,12,2006,'F','N','SUDOESTE','CRUZEIRO','DF','107072071217572431368823572122610128187',9649,'9998',49.43,1,3,NULL),(16,3305848,'1992-01-15 00:00:00',2,4,12,2008,'F','N','CENTRO','TERRA N NORTE','MT','111114111437161731235924244122610134072',NULL,'9998',8.85,1,3,NULL),(16,3305856,'1991-04-26 00:00:00',2,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124201241235131431537731574122610143057',10347,'1017',48.17,1,3,NULL),(16,3305864,'1990-09-04 00:00:00',4,3,12,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215112431226829342121610147117',10563,'877',47.81,1,3,NULL),(16,3305872,'1993-01-05 00:00:00',4,3,12,2009,'F','S','CENTRO','BAL CAMBORIú','SC','124242241215111431458732275125610124182',NULL,'1038',61.15,1,3,NULL),(16,3305880,'1992-09-23 00:00:00',4,5,12,2009,'M','S','CENTRO','CRICIúMA','SC','124244241215111431358811575124610136052',NULL,'213',44.88,1,3,NULL),(16,3305899,'1992-05-07 00:00:00',4,4,12,2009,'F','S','VENEZA','XANXERê','SC','124242241215141431338619395122610117142',NULL,'836',24.17,1,3,NULL),(16,3305910,'1989-02-09 00:00:00',2,8,11,2006,'M','N','AMERICA','JOINVILLE','SC','124241241217574411556623575122610127042',3969,'1016',61.14,4,3,NULL),(16,3305929,'1973-03-28 00:00:00',2,1,6,2003,'F','N','ARIRIú','PALHOçA','SC','124241241215371711521174342124613242147',NULL,'596',25.94,1,3,NULL),(16,3305937,'1989-11-24 00:00:00',2,9,12,2006,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241117373431445532575122233227017',NULL,'271',33.99,1,3,NULL),(16,3305953,'1991-03-16 00:00:00',4,1,12,2008,'M','N','ARRAIAL DAJUDA','ARRAIAL D AJUDA','BA','105052051216161431647632245114610167041',NULL,'9998',19.74,1,3,NULL),(16,3305961,'1991-05-10 00:00:00',4,1,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161216111431568934575114610142096',NULL,'9998',0.00,1,3,NULL),(16,3305970,'1991-07-05 00:00:00',4,1,11,2008,'F','N','SANTA FE','ITAPIRA','SP','125252251211111441436619591125610128072',NULL,'9998',0.00,1,3,NULL),(16,3305988,'1973-12-25 00:00:00',2,1,11,1992,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124201201117132431326451392224610141117',NULL,'9998',0.00,1,3,NULL),(16,3305996,'1989-04-15 00:00:00',4,3,12,2006,'F','N','CENTRI','LARANJEIRAS SUL','PR','116161161216471431353327572122610164017',NULL,'9998',0.00,1,3,NULL),(16,3306003,'1989-04-28 00:00:00',4,1,12,2006,'F','N','SANTA ELIZABETE','DIADEMA','SP','125251251116131431558314285124610134197',NULL,'9998',0.00,2,2,1),(16,3306011,'1991-03-04 00:00:00',2,1,12,2008,'M','N','COLONIA MARCELINO','S JOSé PINHAIS','PR','116161161114131731533335575122610168187',NULL,'9998',0.00,1,3,NULL),(16,3306020,'1992-07-14 00:00:00',4,1,12,2009,'M','S','SACO GRANDE','FLORIANóPOLIS','SC','124242241217151731478834595124610127162',NULL,'270',38.09,1,3,NULL),(16,3306038,'1991-04-09 00:00:00',2,1,12,2008,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124242241417111331428634275124610121147',NULL,'300',24.39,1,3,NULL),(16,3306046,'1991-07-07 00:00:00',4,9,11,2008,'M','N','EUGENIO SCHNEIDER','RIO SUL','SC','124244241215111431656611275122610127067',NULL,'654',25.44,1,3,NULL),(16,3306054,'1992-05-15 00:00:00',2,1,12,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124242241235111431347633392122610147142',NULL,'738',26.85,1,3,NULL),(16,3306062,'1989-08-13 00:00:00',4,1,12,2006,'M','N','FLORESTA','S JOSé','SC','124244241216142421539673345122230224017',12336,'738',44.67,1,3,NULL),(16,3306070,'1982-06-16 00:00:00',2,1,12,1999,'M','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241241117134731446623345124130237157',NULL,'276',30.01,1,3,NULL),(16,3306089,'1992-01-16 00:00:00',4,10,2,2009,'M','N','MAR GROSSO','LAGUNA','SC','124242241215131431329912375124610164137',NULL,'807',36.11,4,3,NULL),(16,3306097,'1977-07-08 00:00:00',2,1,12,1996,'F','N','INGLESES','FLORIANóPOLIS','SC','624131135136131421123344342232132723182',NULL,'9998',29.78,4,2,1),(16,3306100,'1990-07-28 00:00:00',4,9,12,2007,'F','N','JARDIM PANORâMICO','LAGES','SC','124242241116151431428813472122133242171',NULL,'498',27.12,4,3,NULL),(16,3306119,'1992-01-03 00:00:00',2,10,11,2009,'F','S','CENTRO','BRAçO NORTE','SC','124242241215111451577632272122610164052',NULL,'807',44.83,1,3,NULL),(16,3306127,'1990-12-04 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241216372431466613372122610162045',16392,'9997',35.98,1,3,NULL),(16,3306135,'1975-03-30 00:00:00',5,1,12,1995,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','224241241147242731553652194132610137187',12990,'574',43.52,1,2,1),(16,3306143,'1991-12-15 00:00:00',4,4,11,2008,'F','N','CENTRO','HUMAITá','RS','120201201216131731226823575122610127042',NULL,'9998',29.51,1,3,NULL),(16,3306151,'1991-05-24 00:00:00',2,1,12,2008,'F','N','CACUPé','FLORIANóPOLIS','SC','124242241215151431436622342112610127077',16424,'1048',35.82,1,3,NULL),(16,3306160,'1992-04-21 00:00:00',2,3,12,2009,'F','S','ESTALEIRINHO','BAL CAMBORIú','SC','124241242115151431436619572124610136142',NULL,'129',35.34,1,3,NULL),(16,3306178,'1979-03-25 00:00:00',4,1,12,1997,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124254251116472431129641215234121467187',6297,'9998',55.69,1,3,NULL),(16,3306186,'1991-11-01 00:00:00',4,2,12,2008,'F','N','BARRAGEM','RIO SUL','SC','124241241116131431524334275114610143147',NULL,'864',17.23,1,3,NULL),(16,3306194,'1988-05-27 00:00:00',2,1,12,2005,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124243241147132431446624345124230227047',5927,'123',56.51,1,3,NULL),(16,3306208,'1987-04-13 00:00:00',4,1,12,2004,'M','N','PORTãO','CURITIBA','PR','124162161216142121336644341212610127052',NULL,'9998',31.45,1,3,NULL),(16,3306216,'1982-10-07 00:00:00',2,1,11,1999,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241216275431353429442134141227092',14186,'1134',41.26,1,3,NULL),(16,3306224,'1961-08-05 00:00:00',4,1,1,1982,'F','N','TRINDADE','FLORIANóPOLIS','SC','224241248422134711433354191114132261125',NULL,'497',25.99,1,3,NULL),(16,3306232,'1992-03-27 00:00:00',2,4,12,2008,'F','N','PROGRESSO','S LOURENçO OESTE','SC','124242248216111531435619275122610153052',NULL,'743',0.00,4,3,NULL),(16,3306240,'1985-05-21 00:00:00',2,1,12,2002,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241226153411357713285114131466043',14219,'414',41.20,1,3,NULL),(16,3306267,'1991-09-19 00:00:00',4,7,11,2008,'F','N','CENTRO','IOMERê','SC','124241241117131431436619575124610137147',8520,'969',51.38,1,3,NULL),(16,3306275,'1991-12-07 00:00:00',2,4,11,2008,'M','N','JARDIM ELDORADO','FOZ IGUAçU','PR','116162161216271431456823575122610117182',NULL,'9998',0.00,1,3,NULL),(16,3306291,'1989-08-18 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241212151411359819595122610122142',NULL,'499',24.75,1,3,NULL),(16,3306305,'1989-02-07 00:00:00',2,2,12,2006,'M','N','CENTRO','RIO SUL','SC','124242241216151631525721145121610167042',NULL,'663',31.91,1,3,NULL),(16,3306313,'1991-09-13 00:00:00',4,7,11,2008,'M','N','CENTRO','IPUMIRIM','SC','124241241115111231546814585121610117047',NULL,'374',0.00,1,2,1),(16,3306321,'1992-10-21 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124244241217111731568833335125610147092',7809,'723',52.75,4,3,NULL),(16,3306330,'1989-01-11 00:00:00',2,1,12,2007,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241126142211325511242323132715142',NULL,'941',24.89,1,2,1),(16,3306356,'1990-04-25 00:00:00',4,8,12,2008,'F','N','AMéRICA','JOINVILLE','SC','124242241215111751456711576114610144077',NULL,'1016',26.38,1,3,NULL),(16,3306364,'1986-01-11 00:00:00',2,1,12,2003,'M','N','VILA NOVA','IMBITUBA','SC','124241241116131431335334415124131223147',NULL,'359',0.00,1,2,1),(16,3306372,'1989-05-13 00:00:00',2,1,12,2007,'M','N','SANTINHO','FLORIANóPOLIS','SC','124241241115271731543413442124610167047',NULL,'288',21.01,1,3,NULL),(16,3306380,'1990-10-10 00:00:00',4,1,12,2008,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241215121732158922582121610117015',NULL,'1133',48.93,1,3,NULL),(16,3306402,'1989-11-24 00:00:00',2,1,11,2008,'F','N','AGRONOMICA','FLORIANOPOLIS','SC','124243247315121411225624315124610162182',NULL,'9999',25.82,2,1,2),(16,3306410,'1989-09-28 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124242241212153211536612572124221562017',5115,'262',58.35,1,3,NULL),(16,3306429,'1990-06-08 00:00:00',4,8,12,2007,'F','N','BACACHERI','CURITIBA','PR','116162161215471431348833572122610144097',NULL,'9998',0.00,1,3,NULL),(16,3306437,'1976-03-07 00:00:00',4,1,7,1993,'M','N','ROçADO','S JOSé','SC','224242246117144721448819432112422626197',7722,'306',52.92,1,3,NULL),(16,3306445,'1984-11-19 00:00:00',3,1,12,2002,'M','N','VILA LUCINDA','STO ANDRé','SP','125252251416472731646319245112140764037',13696,'9998',42.28,4,3,NULL),(16,3306453,'1990-04-30 00:00:00',2,5,12,2007,'F','N','BOCA DO PIQUE','MELEIRO','SC','124241241115131431654316575124610137097',NULL,'559',28.52,1,2,1),(16,3306461,'1990-12-04 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215151742446823592122610124167',4767,'262',59.14,1,3,NULL),(16,3306470,'1991-04-07 00:00:00',2,4,12,2008,'M','N','EFACIP','PINHALZINHO','SC','124241241437171531525311173341610167047',10492,'1070',47.92,1,3,NULL),(16,3306488,'1969-07-27 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241232145221145644445122420762092',4882,'107',58.92,1,3,NULL),(16,3306496,'1991-05-17 00:00:00',4,4,12,2008,'M','N','NAçôES','SEARA','SC','124244241315111431356914375122610137052',12192,'1047',44.92,1,3,NULL),(16,3306500,'1984-02-10 00:00:00',4,1,3,2007,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124244247117151431469513592122131024042',NULL,'9999',0.00,1,3,NULL),(16,3306518,'1991-08-20 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217111411579913575122610147072',NULL,'270',54.01,1,3,NULL),(16,3306526,'1989-02-23 00:00:00',2,5,12,2006,'M','N','MINA DO MATO','CRICIúMA','SC','124242246217151411466934345124230466096',8219,'995',51.95,1,3,NULL),(16,3306542,'1979-12-22 00:00:00',2,1,12,1997,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241136153411289613434122330224182',NULL,'659',11.30,1,3,NULL),(16,3306550,'1990-05-17 00:00:00',4,7,11,2007,'F','N','ALTO DA GLóRIA','CURITIBA','PR','116242241215472431354422475124610147142',NULL,'1000',34.07,1,3,NULL),(16,3306569,'1990-05-11 00:00:00',2,8,12,2007,'F','N','FLORESTA','JOINVILLE','SC','124241241147131231424624341334610123057',NULL,'669',28.08,2,2,1),(16,3306577,'1989-03-07 00:00:00',2,1,11,2006,'M','N','JURERE INTERNACIONAL','FLORIANóPOLIS','SC','124241241125271432567311275124610167152',9079,'288',50.45,1,2,1),(16,3306585,'1991-02-12 00:00:00',2,2,11,2008,'F','N','VICTOR KONDER','TAIó','SC','124242241211111431469811572122610122142',NULL,'776',32.49,1,3,NULL),(16,3306593,'1990-11-23 00:00:00',4,8,12,2007,'F','N','ESTâNCIA PINHAIS','PINHAIS','PR','116162161215571411485632571112610143126',NULL,'9998',27.59,1,3,NULL),(16,3306615,'1991-04-19 00:00:00',4,1,12,2009,'F','S','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215111731259921595122610124047',NULL,'270',0.00,1,3,NULL),(16,3306623,'1992-04-02 00:00:00',4,4,12,2008,'F','N','INTERIOR','IPUAçU','SC','124241241125131431333923572222610122147',NULL,'372',24.44,1,2,1),(16,3306631,'1991-04-22 00:00:00',2,1,12,2008,'F','N','BARRA DO RIO CERRO','JARAGUá SUL','SC','124241241315111431455632575122610122057',10570,'424',47.80,1,3,NULL),(16,3306640,'1991-06-06 00:00:00',4,5,12,2008,'M','N','ALTO FELIZ','ARARANGUá','SC','124241241116141431334514345121610142097',5428,'30',57.62,1,2,1),(16,3306658,'1991-02-04 00:00:00',4,5,12,2008,'M','N','MATO ALTO','ARARANGUá','SC','124241241115171431536414272121610132012',NULL,'30',0.00,1,2,1),(16,3306674,'1991-02-21 00:00:00',2,1,11,2008,'M','N','PRAIA COMPRIDA','S JOSé','SC','124242241212111431446631595114610167187',NULL,'737',31.06,1,3,NULL),(16,3306682,'1990-12-13 00:00:00',2,4,12,2008,'F','N','CENTRO','HUMAITá','RS','120201201117161431526514595122610164092',NULL,'9998',25.76,1,3,NULL),(16,3306690,'1991-01-05 00:00:00',4,1,12,2007,'M','N','VILA JACUI','S PAULO','SP','125252251215471431478932571122610126182',2277,'9998',66.12,1,3,NULL),(16,3306704,'1991-03-10 00:00:00',4,1,11,2008,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124244241216471731458814295124610123045',3895,'270',61.35,1,3,NULL),(16,3306712,'1984-11-21 00:00:00',2,1,12,2005,'M','N','BARREIROS','S JOSé','SC','124254251116572411527344442224610117092',NULL,'9998',28.63,1,3,NULL),(16,3306720,'1992-10-16 00:00:00',4,2,12,2009,'M','S','CENTRO','BLUMENAU','SC','124242241217111431569931575112610134122',NULL,'909',59.46,1,3,NULL),(16,3306739,'1986-06-03 00:00:00',2,1,12,2005,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','224241241322252711633371242114610127013',NULL,'9997',25.75,1,3,NULL),(16,3306755,'1991-08-30 00:00:00',4,3,12,2008,'M','N','CENTRO','MANDAGUARI','PR','116164161215112431478914575122610137122',NULL,'9998',0.00,1,3,NULL),(16,3306763,'1991-01-29 00:00:00',4,1,11,2008,'F','N','VILA CRUZEIRO','S PAULO','SP','125252251235111431289912575112610134076',NULL,'9998',0.00,1,3,NULL),(16,3306771,'1990-09-13 00:00:00',2,10,11,2008,'M','N','VILA MOEMA','TUBARãO','SC','124244241417111751556614275112610117047',NULL,'809',28.37,4,3,NULL),(16,3306780,'1991-02-04 00:00:00',2,8,12,2008,'M','N','CRUZEIRO','RIO NEGRINHO','SC','124241241125141432426414341113610117042',NULL,'669',0.00,1,2,1),(16,3306798,'1992-12-16 00:00:00',2,1,12,2009,'M','S','BALNEáRIO','FLORIANóPOLIS','SC','124242241215111432439814275124610127047',NULL,'1050',65.35,1,3,NULL),(16,3306801,'1990-03-10 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241317372431446733575124610132192',5454,'1022',57.58,1,3,NULL),(16,3306810,'1987-06-10 00:00:00',2,5,12,2004,'F','N','PETRóPOLIS','PASSO FUNDO','RS','120201201117571431128849394324610137057',10379,'9998',48.12,1,2,1),(16,3306828,'1989-08-25 00:00:00',4,3,12,2007,'M','N','VERSALLES','ARARAS','SP','125252251217471531338934595113610127027',NULL,'9998',0.00,1,3,NULL),(16,3306836,'1993-08-04 00:00:00',4,1,12,2010,'F','S','ITACORUBI','FLORIANóPOLIS','SC','124242241216151411468832574122610123012',NULL,'951',51.72,1,3,NULL),(16,3306844,'1991-12-15 00:00:00',4,1,11,2008,'M','N','FUNDO CANOAS','RIO SUL','SC','124242246211141411534614571124610166052',NULL,'902',25.85,1,3,NULL),(16,3306852,'1991-01-31 00:00:00',2,2,12,2008,'F','N','POMERANOS','TIMBó','SC','124241241345111131346612222121610123097',NULL,'1157',22.29,1,3,NULL),(16,3306860,'1987-12-09 00:00:00',4,1,12,2005,'M','N','CENTRO','BOTUCATU','SP','125254251216571431467834575114610157017',3384,'9998',62.74,1,3,NULL),(16,3306895,'1990-06-21 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215131421439813472121613227082',NULL,'1133',22.38,1,3,NULL),(16,3306909,'1991-11-17 00:00:00',2,1,12,2008,'M','N','ALTO ARIRú','PALHOçA','SC','124243241215111431454839372124610127112',8998,'1011',50.59,1,3,NULL),(16,3306917,'1991-10-05 00:00:00',4,9,12,2008,'M','N','CENTRO','VACARIA','RS','120203201217121711548811573321610126172',10991,'9998',47.03,1,3,NULL),(16,3306925,'1992-06-16 00:00:00',2,1,12,2009,'F','S','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241211111731467814572122610133115',NULL,'299',48.55,4,3,NULL),(16,3306933,'1983-02-22 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241116133421246643435124221567012',3852,'592',61.45,1,2,1),(16,3306941,'1986-06-04 00:00:00',4,1,12,2004,'F','N','SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC','124241241116574431461831495134230263172',6504,'306',55.27,1,2,1),(16,3306968,'1991-12-17 00:00:00',4,1,10,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241217121531634813572124610127117',NULL,'273',25.38,4,3,NULL),(16,3306976,'1991-08-03 00:00:00',4,2,11,2008,'M','N','CENTRO','GASPAR','SC','124242241215121431443931575122610143142',1597,'955',68.91,1,3,NULL),(16,3306992,'1992-02-19 00:00:00',4,1,12,2009,'M','S','DOM JOAQUIM','BRUSQUE','SC','124243248315111532434631485122610112037',NULL,'1090',34.38,1,3,NULL),(16,3307000,'1989-10-04 00:00:00',4,1,8,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241116272411329821345124120733011',1894,'306',67.61,1,3,NULL),(16,3307018,'1989-05-04 00:00:00',4,1,12,2008,'F','N','PEDRA BRANCA','PALHOçA','SC','124161241115151431467613442124610134017',NULL,'306',32.30,1,2,1),(16,3307034,'1990-04-11 00:00:00',2,1,12,2007,'M','N','RIO COMPRIDO','JACAREí','SP','125254251215211411566714575122610167187',4418,'9998',59.97,1,3,NULL),(16,3307069,'1990-09-29 00:00:00',4,1,12,2008,'M','N','BARRA DO ARIRIU','PALHOçA','SC','124242241216372411467632595124121626185',2735,'270',64.59,1,3,NULL),(16,3307085,'1987-07-07 00:00:00',2,1,12,2005,'F','N','JARDIM ELDORADO','PALHOçA','SC','124241241112132731545514485124610124097',NULL,'307',29.52,1,2,1),(16,3307093,'1991-05-02 00:00:00',4,1,12,2008,'M','N','BELA VISTA','CAXIAS SUL','RS','120202201215111431437812221124610137112',NULL,'9998',27.19,1,3,NULL),(16,3307107,'1991-12-27 00:00:00',2,7,12,2008,'F','N','REGINA','CATANDUVAS','SC','124241241115151431533631572122610133142',14069,'161',41.52,1,2,1),(16,3307115,'1991-07-25 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111431348614472114610124042',7264,'266',53.78,1,3,NULL),(16,3307123,'1988-03-30 00:00:00',4,3,12,2005,'M','N','CENTRO','XANXERê','SC','124244241217272431337922422122121444052',3096,'836',63.54,1,3,NULL),(16,3307131,'1990-07-31 00:00:00',2,1,11,2008,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124242241211171711526613115124610167117',NULL,'988',16.70,4,3,NULL),(16,3307140,'1977-10-11 00:00:00',4,1,8,1996,'F','N','IPIRANGA','S JOSé','SC','124241248132153531638611232122321827187',8412,'306',51.57,4,1,1),(16,3307158,'1956-03-11 00:00:00',4,1,12,1973,'M','N','AGRONôNICA','FLORIANóPOLIS','SC','524243241316133441126644345134120866137',7481,'267',53.35,1,3,NULL),(16,3307174,'1990-01-28 00:00:00',4,1,12,2007,'M','N','CJ RES BEIJA FLOR','ITATIBA','SP','125251251116131431338619482114141662147',NULL,'9998',33.89,1,2,1),(16,3307190,'1991-04-26 00:00:00',2,1,11,2008,'M','N','AREIAS','S JOSé','SC','124241241116271711425824575124610124141',16428,'734',35.79,1,3,NULL),(16,3307204,'1992-11-19 00:00:00',2,5,12,2009,'F','S','CENTRO','JACINTO MACHADO','SC','124242241215111431359933575124610124147',NULL,'32',41.38,1,3,NULL),(16,3307212,'1990-07-07 00:00:00',4,8,12,2007,'F','N','AMERICA','JOINVILLE','SC','124242241215122231369713572112231423142',5234,'491',58.04,1,3,NULL),(16,3307220,'1991-02-19 00:00:00',4,4,12,2008,'M','N','JARDIM ITALIA','CHAPECó','SC','124242241215111431468831575112610122077',8342,'168',51.71,1,3,NULL),(16,3307239,'1991-07-20 00:00:00',2,1,11,2008,'M','N','PICADAS DO SUL','S JOSé','SC','124241246215111321439613175114610165147',16548,'1074',35.21,1,3,NULL),(16,3307247,'1990-09-14 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241215111411466622575114610164141',14407,'738',40.87,1,3,NULL),(16,3307255,'1970-11-27 00:00:00',2,1,12,2005,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','224241247427131421326444142114610132097',NULL,'86',0.00,1,3,NULL),(16,3307263,'1989-09-06 00:00:00',2,1,12,2007,'F','N','JURERê','FLORIANóPOLIS','SC','124242248216473431558819175124610127042',12876,'1048',43.71,1,3,NULL),(16,3307271,'1991-09-02 00:00:00',2,1,12,2008,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241415371431234329592124610133072',12833,'269',43.79,1,3,NULL),(16,3307280,'1979-10-15 00:00:00',4,1,12,1998,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124202201347132431228679342124121922187',11095,'9998',46.85,1,3,NULL),(16,3307298,'1990-12-15 00:00:00',4,9,12,2007,'F','N','CENTRO','S FRANCISCO PAULA','RS','120164201416471431469933575124610136077',4655,'9998',59.42,1,3,NULL),(16,3307301,'1986-03-13 00:00:00',4,1,11,2004,'F','N','COQUEIROS','FLORIANóPOLIS','SC','224241241214143421356652242124610166187',NULL,'273',32.55,1,3,NULL),(16,3307310,'1981-09-17 00:00:00',4,8,12,2008,'M','N','FLORESTA','JOINVILLE','SC','124162241216121411373812275122610117043',NULL,'932',0.00,1,3,NULL),(16,3307328,'1974-07-03 00:00:00',4,1,12,1991,'F','N','ESTREITO','FLORIANóPOLIS','SC','224242241411272421373452481122120446182',NULL,'272',0.00,1,3,NULL),(16,3307336,'1992-10-04 00:00:00',4,5,11,2009,'M','S','PIO CORREIA','CRICIúMA','SC','124242241217251411448912375122610132132',NULL,'226',41.27,1,3,NULL),(16,3307344,'1989-01-21 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241217134431247831572124233231197',6151,'988',56.02,1,3,NULL),(16,3307352,'1989-08-23 00:00:00',2,1,12,2006,'F','N','JURERê','FLORIANóPOLIS','SC','124052251217131431535571172224133227097',6736,'9998',54.80,1,3,NULL),(16,3307360,'1991-07-22 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241215112731476612591125610124072',NULL,'738',45.89,1,3,NULL),(16,3307379,'1986-06-12 00:00:00',2,1,11,2003,'M','N','CENTRO','CHAPECó','SC','124242241212152431389811212122233266052',6824,'185',54.62,1,3,NULL),(16,3307387,'1989-06-19 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215372431558619391124230224072',4578,'273',59.60,1,3,NULL),(16,3307417,'1988-03-14 00:00:00',2,3,12,2004,'F','N','JARDIM LINDóIA','PTO ALEGRE','RS','120202201216572451538814595124242462077',NULL,'9998',0.00,1,3,NULL),(16,3307425,'1986-09-02 00:00:00',4,1,12,2004,'M','N','ITAIM BIBI','S PAULO','SP','125252251416571431268614375125141632022',NULL,'9998',0.00,1,3,NULL),(16,3307433,'1989-12-14 00:00:00',2,5,12,2007,'F','N','COMERCIARIO','CRICIúMA','SC','124244241215472431549923571122610164147',14654,'210',40.37,1,3,NULL),(16,3307441,'1989-08-05 00:00:00',4,1,12,2007,'M','N','VARGAS','CARAZINHO','RS','120204201317131231568833385124241162052',NULL,'9998',0.00,1,3,NULL),(16,3307450,'1992-06-09 00:00:00',4,1,12,2009,'F','S','ESTREITO','FLORIANóPOLIS','SC','124242241212111432426714492124610133142',NULL,'266',18.30,1,3,NULL),(16,3307468,'1990-07-02 00:00:00',4,1,11,2007,'M','N','KOBRASOL','S JOSé','SC','124242241215153431548914275124230264057',NULL,'1022',31.28,1,3,NULL),(16,3307476,'1991-04-22 00:00:00',2,1,12,2008,'M','N','STO ATONIO DE LISBOA','FLORIANóPOLIS','SC','124243241215131712436634372124610137152',16692,'1048',33.37,1,3,NULL),(16,3307484,'1976-08-05 00:00:00',4,1,12,1994,'F','N','PARQUE DA MATRIZ','CACHOEIRINHA','RS','620201207426141431343342321122610131147',16196,'9999',36.68,1,3,NULL),(16,3307492,'1983-12-24 00:00:00',2,1,12,2001,'F','N','JARDIM BELMONTE','OSASCO','SP','125251251126371421556644245124342766092',NULL,'9998',27.35,4,3,NULL),(16,3307506,'1991-01-30 00:00:00',2,1,11,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241115131731445511572224610137017',13982,'307',41.69,1,2,1),(16,3307522,'1991-06-22 00:00:00',4,1,1,2009,'M','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','118182181217111441486923575122610162173',10313,'9998',48.23,1,3,NULL),(16,3307530,'1985-12-09 00:00:00',2,1,12,2003,'M','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','224242241215273431638854442334121127047',NULL,'262',28.12,1,3,NULL),(16,3307549,'1990-05-07 00:00:00',2,2,12,2008,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124161241116111431435514445122610124142',NULL,'83',24.48,1,3,NULL),(16,3307557,'1991-01-18 00:00:00',4,1,11,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241115151431448933575124610131142',15825,'307',37.69,1,2,1),(16,3307565,'1991-10-02 00:00:00',4,1,12,2008,'F','N','SãO JOSé CENTRO','S JOSé','SC','124243241312131431636511275124610123142',16554,'733',35.16,4,3,NULL),(16,3307573,'1988-11-11 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241211274441489813575122121446092',409,'44',76.72,1,3,NULL),(16,3307581,'1991-03-25 00:00:00',2,1,12,2008,'F','N','SERTãO','STO AMARO IMPERATRIZ','SC','124241241145131432423615381224610126077',NULL,'941',16.91,1,2,1),(16,3307590,'1989-10-20 00:00:00',4,3,12,2007,'M','N','CENTRO II','BRUSQUE','SC','124243247316472411455512145122131468062',NULL,'981',0.00,1,3,NULL),(16,3307603,'1991-12-31 00:00:00',2,7,12,2008,'M','N','CENTRO','CONCóRDIA','SC','124243241217111431436923572121610147067',NULL,'1001',0.00,1,3,NULL),(16,3307611,'1991-04-24 00:00:00',4,8,12,2008,'F','N','BOM RETIRO','JOINVILLE','SC','124242246217151431469812575122610141072',8352,'494',51.69,1,3,NULL),(16,3307620,'1992-07-09 00:00:00',2,3,12,2009,'F','S','CENTRO','CAMBORIú','SC','124243248115111731436613575122610133147',NULL,'129',23.98,1,3,NULL),(16,3307638,'1990-11-20 00:00:00',4,1,12,2008,'M','N','SANTA CRUZ','AVARé','SP','125252251217111421468533391122610164042',NULL,'9998',0.00,1,3,NULL),(16,3307646,'1991-03-03 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241117111731547612585124610114097',NULL,'307',36.51,3,3,NULL),(16,3307654,'1990-07-13 00:00:00',4,10,11,2008,'F','N','CENTRO','TUBARãO','SC','124242248135141731435839395112610132112',NULL,'1034',23.64,1,3,NULL),(16,3307662,'1991-11-21 00:00:00',2,1,12,2008,'F','N','JARDIM EUCALIPTUS','PALHOçA','SC','124241241135141731323334241124610164017',13874,'592',41.90,1,2,1),(16,3307697,'1989-05-26 00:00:00',2,7,12,2006,'F','N','CENTRO','CAMPOS NOVOS','SC','124241241126271431528319575122231358017',NULL,'140',0.00,1,2,1),(16,3307700,'1973-10-11 00:00:00',2,1,11,1990,'F','N','ITAGUAçU','FLORIANóPOLIS','SC','124242241212155411546619442124322232197',4065,'272',60.88,1,3,NULL),(16,3307719,'1987-02-09 00:00:00',2,1,12,2005,'F','N','BALNEARIO ESTREITO','FLORIANóPOLIS','SC','124241241111231751124544242134133036057',NULL,'500',26.46,4,2,1),(16,3307727,'1981-09-20 00:00:00',4,1,12,1999,'M','N','FAZENDA STO ANTÔNIO','S JOSé','SC','124242241211143431332542422123130264057',NULL,'514',24.80,1,3,NULL),(16,3307735,'1990-11-14 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124122121215371432449919592112610114057',NULL,'9998',37.42,1,3,NULL),(16,3307743,'1991-12-17 00:00:00',4,4,12,2008,'F','N','NAZARé','CONCóRDIA','SC','124241241116151731424411345122610144142',NULL,'984',15.72,1,2,1),(16,3307751,'1992-07-16 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111731459934575122610114147',NULL,'1022',45.77,1,3,NULL),(16,3307760,'1991-05-19 00:00:00',4,6,11,2008,'M','N','ITAJUBA','BARRA VELHA','SC','124242248215111431336611574124610127057',NULL,'9997',22.55,1,3,NULL),(16,3307786,'1990-03-19 00:00:00',2,3,12,2008,'F','N','MALUCHE','BRUSQUE','SC','124242241215111451348811215122610118187',NULL,'109',20.16,1,3,NULL),(16,3307794,'1991-04-26 00:00:00',4,1,12,2008,'F','N','EXPOSIçãO','CAXIAS SUL','RS','120202201212371741478931175112610164172',10047,'9998',48.69,1,3,NULL),(16,3307808,'1991-05-08 00:00:00',4,1,12,2008,'F','N','JARDIM UNIVERSITáRIO','ARARAS','SP','125252251215271431368832574122610137072',NULL,'9998',0.00,1,3,NULL),(16,3307816,'1989-11-08 00:00:00',4,1,12,2008,'M','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241125131412326311572124610162057',NULL,'772',34.55,1,2,1),(16,3307824,'1990-06-30 00:00:00',2,3,12,2007,'M','N','CENTRO','VACARIA','RS','120201201115371731358614245125610122052',NULL,'9998',25.57,1,3,NULL),(16,3307832,'1988-10-19 00:00:00',2,1,12,2006,'F','N','SETãO DO MARUIM','S JOSé','SC','124241241117141431423524345123230828147',NULL,'733',36.12,4,2,1),(16,3307840,'1991-08-17 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217112411389931375112610167183',857,'270',73.01,4,3,NULL),(16,3307859,'1990-07-18 00:00:00',4,8,12,2007,'M','N','AVENTUREIRO','JOINVILLE','SC','124241246217131411436624244114610125187',NULL,'494',27.25,1,3,NULL),(16,3307867,'1971-06-12 00:00:00',2,1,12,1987,'F','N','CENTRO','FLORIANóPOLIS','SC','224114116116143421266851142122141438182',5780,'9998',56.86,1,3,NULL),(16,3307883,'1968-12-30 00:00:00',4,1,12,1988,'F','N','SANTINHO','FLORIANóPOLIS','SC','124251245116272431256671375124343222117',16435,'9998',35.78,1,3,NULL),(16,3307891,'1990-11-28 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241215272131379933482114131064032',NULL,'1022',44.08,1,3,NULL),(16,3307905,'1989-12-18 00:00:00',4,1,11,2006,'F','N','REBOUçAS','CURITIBA','PR','116162161211573431445814571322610153027',3863,'9998',61.42,1,3,NULL),(16,3307913,'1991-02-04 00:00:00',2,6,12,2008,'F','N','SãO VICENTE','ITAJAí','SC','124242241217121431456611475122610166092',1573,'1026',69.00,1,3,NULL),(16,3307921,'1984-04-15 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANOPOLIS','SC','124241247326131431646534345214610122197',12786,'9999',43.86,1,3,NULL),(16,3307930,'1989-05-22 00:00:00',2,1,12,2006,'F','N','BELA VISTA','S JOSé','SC','124242241216373421437613345124232823112',13206,'1022',43.13,4,3,NULL),(16,3307948,'1972-10-09 00:00:00',2,1,12,1992,'M','N','JARDIN ELDORADO','PALHOçA','SC','124241247141133421423371215114610116112',NULL,'281',26.64,2,1,1),(16,3307956,'1991-10-29 00:00:00',2,1,12,2008,'F','N','FLORESTA','S JOSé','SC','124242241215111731456314572122610163092',8462,'738',51.47,1,3,NULL),(16,3307964,'1991-03-11 00:00:00',4,2,12,2008,'M','N','VILA NOVA','BLUMENAU','SC','124241241237111731368719572121610164052',13842,'88',41.96,2,1,2),(16,3307972,'1988-06-13 00:00:00',4,1,11,2005,'M','N','SETOR BUENO','GOIâNIA','GO','109092091217571431568811571122610162091',2271,'9998',66.14,1,3,NULL),(16,3307980,'1991-10-31 00:00:00',2,1,11,2008,'F','N','JARDIM BIGUAçU','BIGUAçU','SC','124241241317131431339923575124610117147',NULL,'63',25.21,1,3,NULL),(16,3307999,'1991-05-31 00:00:00',2,1,11,2008,'M','N','DOS ESTADOS','GUARAPUAVA','PR','116161161217271431532923595122610127187',NULL,'9998',0.00,1,3,NULL),(16,3308006,'1988-12-15 00:00:00',2,1,12,2007,'F','N','FORQUILINHAS','S JOSé','SC','124241248126142421323477345124610133147',NULL,'295',19.37,1,3,NULL),(16,3308014,'1992-11-10 00:00:00',4,9,11,2009,'M','S','CENTRO','LAGES','SC','124054246215111311677732195122610114052',NULL,'497',22.39,1,3,NULL),(16,3308022,'1992-05-12 00:00:00',4,1,12,2009,'F','S','PAES LEME','IMBITUBA','SC','124242241215111432468931592121610113022',NULL,'362',38.73,1,3,NULL),(16,3308030,'1985-06-20 00:00:00',2,3,12,2003,'F','N','CENTRO','BAL CAMBORIú','SC','124201201146131711236671235121230965172',15326,'9998',38.92,1,3,NULL),(16,3308049,'1983-12-08 00:00:00',4,1,12,2001,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124162161216473411168819495122221442032',2227,'9998',66.31,1,3,NULL),(16,3308057,'1988-09-24 00:00:00',2,3,12,2005,'M','N','CENTRO','LAPA','PR','116161166216471131433832345122610114062',NULL,'9998',27.73,1,3,NULL),(16,3308065,'1991-09-25 00:00:00',2,1,12,2008,'F','N','ROçADO','S JOSé','SC','124243241215111431547823285124610167052',NULL,'1076',36.48,2,1,2),(16,3308073,'1983-07-28 00:00:00',2,1,12,2000,'F','N','MONTE CRISTO','FLORIANóPOLIS','SC','624241241117475431224374442124610124147',16137,'307',36.81,1,2,1),(16,3308081,'1992-07-26 00:00:00',4,1,11,2009,'M','S','ESTREITO','FLORIANóPOLIS','SC','124242241215111431478813432122610164192',NULL,'262',7.38,1,3,NULL),(16,3308090,'1991-06-12 00:00:00',2,6,12,2008,'F','N','CENTRO','GUARAPUAVA','PR','116164161215111441439313572125610137057',NULL,'9998',27.72,4,1,2),(16,3308111,'1991-09-22 00:00:00',2,6,12,2008,'M','N','AZAMBUJA','BRUSQUE','SC','124243241117371431446313141124610131177',NULL,'110',25.88,1,3,NULL),(16,3308120,'1966-01-28 00:00:00',2,1,12,1984,'M','N','CENTRO','FLORIANóPOLIS','SC','124241243322135411123344242232121162092',NULL,'254',20.26,1,3,NULL),(16,3308138,'1979-10-27 00:00:00',2,1,11,2002,'M','N','FORQUILHINHAS','S JOSé','SC','124241248122141731431569212114610144042',NULL,'9999',26.21,2,1,1),(16,3308146,'1989-01-26 00:00:00',4,8,12,2008,'M','N','BRASILIA','S BENTO SUL','SC','124242241217151731457412345122610127042',NULL,'1073',19.41,1,3,NULL),(16,3308154,'1967-02-03 00:00:00',2,1,7,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','524246247627132451223349146134610127187',NULL,'9999',27.82,1,3,NULL),(16,3308162,'1989-09-18 00:00:00',2,1,12,2006,'F','N','CENTRO','STA MARIA','RS','120201201116571741348933595124241336092',15011,'9998',39.62,1,3,NULL),(16,3308170,'1988-02-02 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124243241137131432433612272115610167147',NULL,'9997',34.89,4,3,NULL),(16,3308189,'1990-09-05 00:00:00',2,4,12,2007,'M','N','ANDREATTA','S MIGUEL OESTE','SC','120241241116472752323335375124610127097',5782,'755',56.86,4,2,1),(16,3308197,'1991-03-11 00:00:00',2,1,12,2008,'F','N','FAZENDA SANTO ANTONI','S JOSé','SC','124244241117131431323923345224610116017',NULL,'307',24.18,1,3,NULL),(16,3308200,'1987-10-23 00:00:00',2,1,12,2005,'F','N','TATUAPé','S PAULO','SP','125252251216574431438521485125610127057',74,'9998',81.66,1,3,NULL),(16,3308227,'1991-08-06 00:00:00',4,3,12,2008,'F','N','ZONA DOIS','MARINGá','PR','116163161217271431668812592125610131012',4638,'9998',59.45,1,3,NULL),(16,3308235,'1993-02-01 00:00:00',2,5,11,2008,'F','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124241241215111431436812495122610126142',NULL,'226',25.51,1,3,NULL),(16,3308251,'1992-10-17 00:00:00',4,5,10,2010,'F','S','CENTRO','CRICIúMA','SC','124242241245271411359924272122610112072',NULL,'226',48.49,1,3,NULL),(16,3308260,'1974-02-09 00:00:00',4,1,12,1992,'F','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','124242241212154421538819415114130221097',NULL,'272',0.00,1,3,NULL),(16,3308278,'1979-12-10 00:00:00',4,1,12,1998,'M','N','JATIUCA','MACEIó','AL','102022021216151441136844445124542022192',NULL,'9998',0.00,4,3,NULL),(16,3308286,'1992-11-27 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111431329933335122610131076',12171,'1134',44.95,4,3,NULL),(16,3308294,'1991-02-23 00:00:00',4,8,12,2008,'F','N','BOA VISTA','JOINVILLE','SC','124241241316131332626713385122610132147',NULL,'492',28.14,1,3,NULL),(16,3308308,'1991-05-13 00:00:00',4,1,12,2008,'F','N','ALPHAVILLE','SANTANA PARNAíBA','SP','125252251215371732385821495114610142056',NULL,'9998',0.00,3,3,NULL),(16,3308324,'1988-09-13 00:00:00',2,8,11,2005,'M','N','JUVEVê','CURITIBA','PR','116162161215571231268816575122610164047',NULL,'9998',0.00,1,3,NULL),(16,3308340,'1984-01-08 00:00:00',2,1,12,2001,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','224201203116161421233744445134130834067',16550,'9998',35.20,1,3,NULL),(16,3308359,'1991-02-12 00:00:00',4,1,11,2008,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124242241315131711539813395124610164117',12059,'267',45.17,1,3,NULL),(16,3308367,'1989-05-22 00:00:00',2,1,11,2006,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124203207337141131667373345124140264077',NULL,'9998',23.92,1,3,NULL),(16,3308375,'1991-05-14 00:00:00',2,1,12,2008,'M','N','CENTRO','ÁGUAS MORNAS','SC','124241241125151732454312515122610117042',NULL,'12',29.71,1,2,1),(16,3308391,'1991-02-21 00:00:00',2,4,12,2008,'F','N','RUSCHEL','IPORã OESTE','SC','124241243116141431448933375125610137147',NULL,'371',25.76,1,2,1),(16,3308405,'1980-09-12 00:00:00',5,1,12,1999,'M','N','PANTANO DO SUL','FLORIANóPOLIS','SC','124243241346154711489732325122121566185',5791,'270',56.84,1,3,NULL),(16,3308421,'1990-09-29 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241217121231588939394112610114177',1078,'270',71.58,4,3,NULL),(16,3308430,'1990-08-21 00:00:00',4,8,12,2007,'M','N','CENTRO','CPO LARGO','PR','116162161215472431445933574124610124187',NULL,'9998',0.00,1,3,NULL),(16,3308448,'1989-07-14 00:00:00',4,10,12,2006,'F','N','CENTRO','TUBARãO','SC','124242241214472431459811575122230461092',9412,'807',49.88,1,3,NULL),(16,3308456,'1985-09-21 00:00:00',2,1,12,2003,'F','N','SERRARIA','S JOSé','SC','124241241116142751344429435124613266142',NULL,'257',22.97,1,2,1),(16,3308464,'1989-11-25 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431568619575122611237185',NULL,'270',24.56,1,3,NULL),(16,3308472,'1989-01-08 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124161161117271431334664445124610134147',NULL,'9998',21.42,1,2,1),(16,3308480,'1991-06-26 00:00:00',2,5,12,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215221731447932575124610162122',15276,'995',39.03,1,3,NULL),(16,3308499,'1989-04-16 00:00:00',2,4,12,2006,'F','N','NOVA DIVINéIA','PINHALZINHO','SC','124242241316271431533612445135610133077',NULL,'1032',34.46,1,3,NULL),(16,3308510,'1989-01-07 00:00:00',2,1,12,2006,'F','N','BALNEáRIO ESTREITO','FLORIANóPOLIS','SC','124242248212122731455612125122233226182',NULL,'270',0.00,1,3,NULL),(16,3308529,'1985-08-10 00:00:00',2,8,12,2002,'F','N','CRISTO REI','CURITIBA','PR','116253251316471331223429475314341264197',6050,'9998',56.23,1,3,NULL),(16,3308537,'1992-01-17 00:00:00',4,1,12,2008,'M','N','CENTRO','S DOMINGOS','SC','124241241346161431238933395122610112047',NULL,'707',0.00,1,3,NULL),(16,3308553,'1991-10-02 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241215112431459913275112610137143',4374,'497',60.08,1,3,NULL),(16,3308561,'1990-04-01 00:00:00',4,8,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161216471411476614595124610168092',979,'9998',72.20,1,3,NULL),(16,3308570,'1991-02-08 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217272431336711596114610122187',1051,'266',71.73,1,3,NULL),(16,3308588,'1988-09-14 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241212133732337823246124231164042',NULL,'270',46.55,1,3,NULL),(16,3308596,'1991-03-10 00:00:00',4,2,10,2008,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241415111431359934595112610132072',5368,'855',57.72,1,3,NULL),(16,3308600,'1991-09-22 00:00:00',2,4,12,2008,'F','N','INDUSTRIARIOS','CONCóRDIA','SC','124241241315131431326634245125610136097',NULL,'1001',38.36,4,3,NULL),(16,3308618,'1988-06-06 00:00:00',2,1,12,2004,'F','N','SETOR PEDRO LUDOVICO','GOIâNIA','GO','109092091216151511228923385124610163197',7172,'9998',53.96,3,3,NULL),(16,3308626,'1990-06-09 00:00:00',2,8,11,2008,'F','N','PAROLIN','CURITIBA','PR','116162161212111431589611575122610123147',NULL,'9998',31.15,1,3,NULL),(16,3308634,'1990-04-19 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241112153431247644445112610121142',NULL,'387',27.93,1,3,NULL),(16,3308642,'1991-10-02 00:00:00',2,8,12,2008,'F','N','CENTRO','PNT GROSSA','PR','116162164216371431569933372122610162147',7290,'9998',53.73,1,3,NULL),(16,3308650,'1991-04-12 00:00:00',4,1,12,2008,'M','N','CENTRO','BRUSQUE','SC','124241241215111431468911575112610138096',8697,'1123',51.08,1,3,NULL),(16,3308669,'1989-11-18 00:00:00',2,1,12,2007,'F','N','JARDIM MAR DAS PEDRA','BIGUAçU','SC','124242241315272431347823445124610114077',12200,'269',44.91,1,3,NULL),(16,3308685,'1991-08-05 00:00:00',4,4,12,2008,'F','N','SãO CRISTOVãO','ERECHIM','RS','120201201116131431323317472122610123147',NULL,'9998',20.20,1,2,1),(16,3308693,'1987-03-02 00:00:00',4,1,12,2004,'F','N','BALNEáRIO','FLORIANóPOLIS','SC','124241241116372711458713575124233233092',7693,'306',52.98,3,2,1),(16,3308715,'1990-05-18 00:00:00',4,10,11,2008,'M','N','SAO MARTINHO','TUBARãO','SC','124244241217111421434419495112610164047',NULL,'806',40.69,1,3,NULL),(16,3308723,'1991-05-14 00:00:00',4,1,12,2008,'M','N','CENTRO','ÁGUAS MORNAS','SC','124241241125151411466719245121610147042',NULL,'12',19.96,1,3,NULL),(16,3308740,'1992-11-13 00:00:00',1,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241212111431489913575125610125142',NULL,'262',30.63,1,3,NULL),(16,3308758,'1990-07-28 00:00:00',2,4,12,2007,'F','N','BELA VISTA','ERECHIM','RS','120202201216371431337829341114610111147',11793,'9998',45.64,1,3,NULL),(16,3308766,'1990-11-23 00:00:00',4,3,11,2007,'F','N','CENTRO','CONCóRDIA','SC','124242241211472411436932574122610162017',NULL,'1047',29.93,1,3,NULL),(16,3308774,'1981-02-18 00:00:00',2,1,7,2002,'F','N','COSTEIRA','FLORIANóPOLIS','SC','124211215142131431223314445134610124197',NULL,'9998',22.01,2,1,1),(16,3308782,'1990-09-10 00:00:00',4,1,12,2007,'M','N','JARDIM GLORIA','AMERICANA','SP','125254251217471731449819595125610127042',11347,'9998',46.41,1,3,NULL),(16,3308804,'1991-08-10 00:00:00',4,2,12,2008,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111431578612472112610134192',3386,'87',62.73,1,3,NULL),(16,3308812,'1992-03-15 00:00:00',2,5,11,2008,'M','N','MORRO ESTEVãO','CRICIúMA','SC','124246248217131512434319572124610132197',2337,'188',65.92,1,3,NULL),(16,3308820,'1990-04-24 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241337372451459514245134610136097',3712,'1098',61.80,1,3,NULL),(16,3308839,'1991-11-26 00:00:00',2,4,12,2008,'F','N','CENTRO','PASSO FUNDO','RS','120202201216311431359913574122610126187',9382,'9998',49.93,1,3,NULL),(16,3308847,'1991-02-08 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216111731578614595122610127042',8921,'270',50.70,1,3,NULL),(16,3308863,'1978-10-28 00:00:00',4,1,12,1996,'M','N','N SENHORA DO ROSARIO','S JOSé','SC','124242241215133431336623415123131627187',NULL,'272',0.00,1,3,NULL),(16,3308871,'1991-11-14 00:00:00',2,10,11,2008,'F','N','STO ANTONIO DE PADUA','TUBARãO','SC','124242241215111431435821575112610137077',NULL,'807',29.37,1,3,NULL),(16,3308880,'1991-08-13 00:00:00',4,10,12,2008,'F','N','STO ANTôNIO DE PáDUA','TUBARãO','SC','124241241216141431438612295122610122057',NULL,'1120',28.06,1,3,NULL),(16,3308898,'1982-06-23 00:00:00',4,5,12,2005,'M','N','GRÃ DUQUESA','GOVERNADOR VALADARES','MG','113133137116131411623329285123610164042',NULL,'9998',9.96,1,3,NULL),(16,3308901,'1989-03-13 00:00:00',4,1,12,2006,'M','N','SANTA CRUZ','RIO CLARO','SP','125254251217571431448814375112610137127',NULL,'9998',45.93,3,3,NULL),(16,3308910,'1989-08-11 00:00:00',2,1,12,2006,'F','N','KOBRASOL','S JOSé','SC','124244241215573431478813575114131023147',5434,'270',57.62,1,3,NULL),(16,3308928,'1985-04-30 00:00:00',2,1,12,2002,'M','N','JARDIM PETRÓPOLIS','FOZ IGUAçU','PR','116161161126131711436314182324141364047',7880,'9998',52.64,2,1,1),(16,3308936,'1991-11-21 00:00:00',4,4,12,2008,'M','N','JARDIM ALICE','FOZ IGUAçU','PR','116162161215211211438934472112610127062',9917,'9998',48.92,1,3,NULL),(16,3308952,'1990-06-01 00:00:00',2,1,12,2007,'M','N','PINGUIRITO','GAROPABA','SC','124241241122132431324437315111610114042',NULL,'322',33.15,1,2,1),(16,3308960,'1984-03-27 00:00:00',2,1,8,2006,'M','N','JARDIM ELDORADO','PALHOçA','SC','124241247626131731433314245114610147067',NULL,'9999',29.45,4,3,NULL),(16,3308979,'1990-01-30 00:00:00',4,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124242245215472411536623375124610162092',NULL,'1105',39.50,1,3,NULL),(16,3308995,'1991-03-27 00:00:00',4,7,12,2008,'F','N','CENTRO','TANGARá','SC','124241243137151411333411345122610126142',NULL,'779',27.80,1,2,1),(16,3309002,'1987-01-24 00:00:00',2,8,12,2004,'M','N','CRUZEIRO','S BENTO SUL','SC','224241241121131221326344442324130227047',NULL,'844',25.60,2,2,1),(16,3309010,'1990-12-02 00:00:00',4,1,12,2007,'F','N','CENTRO','LGA VERMELHA','RS','120203201216272411446933575122610134142',12768,'9998',43.89,1,3,NULL),(16,3309029,'1990-03-26 00:00:00',2,4,12,2007,'M','N','DA LUZ','DOIS VIZINHOS','PR','116161161335521711556923291122610158177',3978,'9998',61.11,1,3,NULL),(16,3309037,'1991-04-15 00:00:00',1,2,12,2008,'F','N','CENTRO','POMERODE','SC','124241248134141431123327345121610121097',NULL,'621',19.54,1,3,NULL),(16,3309045,'1986-03-11 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215344431448619492124610167097',NULL,'266',28.10,1,3,NULL),(16,3309053,'1974-08-03 00:00:00',2,1,12,1997,'F','N','KOBRASOL','S JOSé','SC','224091094126132411323353175124221321092',NULL,'9998',26.93,2,1,1),(16,3309061,'1989-08-13 00:00:00',4,8,12,2006,'M','N','COMASA','JOINVILLE','SC','124242241217133431169923575124231462017',NULL,'389',43.60,1,3,NULL),(16,3309070,'1985-09-19 00:00:00',2,1,12,2003,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241125135411321119241314610115125',15610,'290',38.29,1,2,1),(16,3309088,'1991-05-04 00:00:00',4,10,11,2008,'F','N','PAES LEME','IMBITUBA','SC','124241241117131431428723432124610127147',NULL,'359',27.73,1,2,1),(16,3309100,'1990-06-30 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124244241416272221448633475124233264057',NULL,'270',27.14,1,3,NULL),(16,3309118,'1987-09-15 00:00:00',4,1,7,2007,'M','N','CENTRO','STA MARIA','RS','120201247417132441646413245124242246172',NULL,'9997',0.00,1,3,NULL),(16,3309126,'1991-02-14 00:00:00',2,4,12,2008,'M','N','CENTRO SUL','DOIS VIZINHOS','PR','116161161215371431535934341122610124057',NULL,'9998',29.32,1,3,NULL),(16,3309134,'1991-11-05 00:00:00',4,8,11,2008,'F','N','ILHA DA FIGUEIRA','JARAGUá SUL','SC','124242241217111431358634492124610122147',NULL,'441',0.00,1,3,NULL),(16,3309169,'1991-11-20 00:00:00',4,2,11,2008,'F','N','CENTRO','GASPAR','SC','124242241215111431587622375122610132182',10819,'909',47.32,1,3,NULL),(16,3309177,'1989-12-20 00:00:00',5,1,12,2007,'F','N','NONOAI','PTO ALEGRE','RS','120202201217271711436832395114610142187',NULL,'9998',0.00,1,3,NULL),(16,3309193,'1989-02-14 00:00:00',4,1,12,2007,'M','N','ABRAA','FLORIANóPOLIS','SC','124243247236131711529513245122610164172',NULL,'9999',16.82,1,3,NULL),(16,3309207,'1990-08-11 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241217272411647811395124610137082',7957,'1022',52.50,1,3,NULL),(16,3309215,'1990-09-29 00:00:00',2,1,12,2007,'M','N','CENTRO','CAçADOR','SC','124244241215271331438612345122230234092',NULL,'120',33.28,1,3,NULL),(16,3309223,'1992-04-11 00:00:00',4,1,12,2009,'F','S','CENTRO','TAIó','SC','124242241215111431459934495124610164142',NULL,'654',50.84,1,3,NULL),(16,3309231,'1989-09-27 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116242241217472411586834572124610112092',NULL,'491',0.00,1,3,NULL),(16,3309240,'1985-08-28 00:00:00',4,1,12,2000,'M','N','BELA VISTA','PALHOçA','SC','124241241141331431423344341123230232052',NULL,'19',30.43,1,2,1),(16,3309258,'1991-09-20 00:00:00',4,1,12,2008,'F','N','CENTRO','CURITIBA','PR','116124161235411421138833371111610143123',NULL,'9998',23.12,1,3,NULL),(16,3309282,'1991-05-11 00:00:00',4,8,12,2008,'M','N','BARRA DO RIO CERRO','JARAGUá SUL','SC','124244241217111731469714475124610147057',7354,'424',53.61,1,3,NULL),(16,3309290,'1989-11-23 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241117131432323333272324610114032',NULL,'289',14.96,4,3,NULL),(16,3309304,'1991-05-02 00:00:00',4,1,12,2008,'F','N','JARDIM SãO FRANCISCO','CAIEIRAS','SP','125252251215111431369611571125610123013',1316,'9998',70.27,1,3,NULL),(16,3309320,'1984-05-18 00:00:00',2,1,12,2001,'M','N','CENTRO','FLORIANóPOLIS','SC','124201201117134431125644242324131227057',NULL,'9998',28.79,4,3,NULL),(16,3309339,'1983-11-01 00:00:00',2,1,12,2000,'F','N','AREIAS','S JOSé','SC','224241241117153721139554342112610164147',16417,'298',35.83,1,3,NULL),(16,3309347,'1989-10-09 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSé','SC','124242241216473731456812575124610123182',8832,'737',50.83,1,3,NULL),(16,3309355,'1991-02-28 00:00:00',4,1,11,2008,'M','N','STIEP','SALVADOR','BA','105052051217111441579932175112610162037',NULL,'9998',0.00,1,3,NULL),(16,3309363,'1991-04-16 00:00:00',4,10,12,2008,'M','N','CANCELA PRETA','MACAé','RJ','121211211117111431358834575114610167052',5517,'9998',57.43,1,3,NULL),(16,3309371,'1989-12-14 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124242241217473411357824375112610133112',9863,'738',49.04,1,3,NULL),(16,3309380,'1991-05-30 00:00:00',2,5,11,2008,'M','N','COMERCIARIO','CRICIúMA','SC','124244241216111731346824575125610134112',NULL,'210',32.92,1,3,NULL),(16,3309398,'1988-04-16 00:00:00',4,1,12,2006,'F','N','GLóRIA','PTO ALEGRE','RS','120204201126411531128844242124610128145',NULL,'9998',25.47,1,3,NULL),(16,3309401,'1991-11-12 00:00:00',4,4,12,2008,'F','N','JARDIM','S JOSé CEDRO','SC','124241241133131431432339343122610167057',NULL,'740',17.29,1,2,1),(16,3309410,'1988-01-27 00:00:00',2,8,12,2005,'M','N','COLONINHA','ARARANGUá','SC','124244246414132411539933485124231417116',9063,'995',50.48,1,3,NULL),(16,3309444,'1991-01-18 00:00:00',4,4,12,2008,'M','N','JARDIM ELDORADO','FOZ IGUAçU','PR','116161161215371132448834572112610167044',NULL,'9998',0.00,1,3,NULL),(16,3309452,'1990-01-07 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242246215371431435419295124610162052',NULL,'988',30.16,1,3,NULL),(16,3309460,'1991-06-16 00:00:00',2,1,12,2008,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241241116271731548513375124610168097',NULL,'257',39.07,1,2,1),(16,3309479,'1989-08-29 00:00:00',4,1,12,2006,'F','N','ZONA DOIS','CIANORTE','PR','116164168216571421448814575122610126147',NULL,'9998',0.00,1,3,NULL),(16,3309495,'1990-06-29 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124141246415131232546612175122610127077',NULL,'1090',27.91,1,3,NULL),(16,3309509,'1991-03-09 00:00:00',4,1,12,2008,'F','N','CENTRO','GUAíRA','PR','116162161217161411466923575122610132172',11045,'9998',46.94,4,3,NULL),(16,3309517,'1990-08-30 00:00:00',2,4,12,2008,'M','N','CENTRO','CONCóRDIA','SC','124244243215151432346811575124610132052',NULL,'1001',0.00,1,3,NULL),(16,3309533,'1989-07-06 00:00:00',4,1,12,2006,'F','N','CARIANOS','FLORIANóPOLIS','SC','124161241116133431445532282124610162167',NULL,'307',30.35,3,2,1),(16,3309550,'1992-10-14 00:00:00',4,8,12,2009,'F','S','AMIZADE','JARAGUá SUL','SC','124242241215111431378853572122610133142',NULL,'424',40.37,1,3,NULL),(16,3309568,'1988-12-16 00:00:00',4,1,7,2007,'M','N','SERRARIA','S JOSé','SC','124241247121471411234529343124610127047',NULL,'946',12.47,2,1,1),(16,3309576,'1990-07-19 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243241315272731336713575114610135187',13576,'1022',42.50,4,3,NULL),(16,3309584,'1991-04-20 00:00:00',4,7,11,2008,'M','N','CENTRO','IBICARé','SC','124242241215371431568839575124610132087',10632,'446',47.67,1,3,NULL),(16,3309592,'1983-03-22 00:00:00',4,1,12,2000,'F','N','FLORESTA','S JOSé','SC','124243241116154432346619395124221141187',NULL,'307',0.00,1,3,NULL),(16,3309614,'1991-09-03 00:00:00',4,1,12,2008,'M','N','PICADAS DO SUL','S JOSé','SC','124243241117111431443633242124610137113',NULL,'733',24.49,1,3,NULL),(16,3309657,'1990-11-05 00:00:00',4,1,7,2008,'F','N','PASSA VINTE','PALHOçA','SC','124243241116132431325619172124610126197',10732,'739',47.49,1,3,NULL),(16,3309665,'1989-11-16 00:00:00',4,10,12,2007,'M','N','PASSAGEM','TUBARãO','SC','124242248216473431429919195122231067042',9008,'806',50.56,1,3,NULL),(16,3309673,'1989-09-14 00:00:00',4,1,12,2008,'M','N','LISBOA','S JOSé','SC','124241241137131711345613496124610137057',NULL,'733',24.52,1,3,NULL),(16,3309681,'1979-09-11 00:00:00',2,1,12,1999,'M','N','AREIAS','S JOSé','SC','224241247227132711238644142112130732047',11966,'270',45.32,1,3,NULL),(16,3309690,'1992-02-18 00:00:00',4,5,12,2008,'M','N','VILA SãO JOSé','ARARANGUá','SC','124242241217171411446832375124610114187',9194,'995',50.25,1,3,NULL),(16,3309703,'1989-01-28 00:00:00',4,1,12,2006,'M','N','VILA HELENA','JUNDIAí','SP','125252251216572431478834575112610132057',1087,'9998',71.51,1,3,NULL),(16,3309711,'1992-09-17 00:00:00',2,1,12,2008,'M','N','PICADAS DO SUL','S JOSé','SC','124242241212111531558713575112610167042',NULL,'1074',28.14,1,3,NULL),(16,3309720,'1991-12-30 00:00:00',2,1,12,2008,'F','N','CENTRO','MAL CâNDIDO RONDON','PR','116161161116131431437923245121610131092',11804,'9998',45.63,1,2,1),(16,3309738,'1990-07-08 00:00:00',5,3,11,2007,'F','N','CABRAL','CURITIBA','PR','116162161237471731557934596124610162017',6895,'9998',54.49,4,3,NULL),(16,3309746,'1991-12-27 00:00:00',4,1,11,2008,'F','N','JARDIM CENTRAL','DOURADOS','MS','112122121215121431456819575122610122017',9330,'9998',50.03,1,3,NULL),(16,3309754,'1991-05-15 00:00:00',4,4,12,2008,'F','N','SANTA FE ALTA','ITAPIRANGA','SC','124241247135141711636635341124610131142',NULL,'412',22.82,1,2,1),(16,3309762,'1991-09-14 00:00:00',2,4,12,2008,'M','N','JARDIM ITALIA','CHAPECó','SC','124242241217211531456612572122610134067',NULL,'185',30.12,1,3,NULL),(16,3309770,'1991-06-13 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241112371431467713575124610134045',NULL,'298',29.92,1,3,NULL),(16,3309789,'1988-04-14 00:00:00',2,1,12,2005,'M','N','CAMPOS ELíSEOS','RIBEIRãO PRETO','SP','125251251217572431347813575114610118022',NULL,'9998',31.91,1,3,NULL),(16,3309797,'1992-01-18 00:00:00',4,7,12,2008,'F','N','CENTRO','SANANDUVA','RS','120203201117161431333311475122610112097',NULL,'9998',0.00,1,3,NULL),(16,3309800,'1967-02-22 00:00:00',2,1,12,1985,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','524202205216151431223354375122141216092',NULL,'9998',0.00,1,3,NULL),(16,3309819,'1988-06-24 00:00:00',2,1,12,2005,'F','N','KOBRASOL','S JOSé','SC','124091091121272741223644441324610125182',NULL,'9998',26.96,4,3,NULL),(16,3309827,'1982-02-04 00:00:00',2,1,12,1999,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241112153721336679442132230227043',NULL,'281',22.45,1,2,1),(16,3309835,'1991-07-02 00:00:00',4,1,12,2008,'F','N','SANTOS DUMONT','S JOSé','SC','124241241117131411438713233124610132187',16531,'307',35.31,1,2,1),(16,3309843,'1990-07-16 00:00:00',4,1,11,2007,'M','N','JD LIBANO','BARUERI','SP','125254251436241431348611575114610124063',5960,'9998',56.44,1,3,NULL),(16,3309851,'1987-03-15 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241211154731468819574124221462042',2536,'991',65.22,1,3,NULL),(16,3309860,'1976-04-07 00:00:00',4,1,12,1994,'M','N','RIOVERMELHO','FLORIANóPOLIS','SC','124241242117131421523349492314610167047',NULL,'196',0.00,1,2,1),(16,3309878,'1981-02-14 00:00:00',4,1,12,1998,'M','N','BARREIROS','S JOSé','SC','124244241416575411346613145124233222181',NULL,'736',40.10,1,3,NULL),(16,3309886,'1985-05-15 00:00:00',4,1,12,2003,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241116133421456714115134610146072',14416,'307',40.85,1,2,1),(16,3309894,'1991-10-11 00:00:00',2,1,11,2008,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241215111411456834472122610117052',6100,'273',56.13,1,3,NULL),(16,3309908,'1988-05-22 00:00:00',4,1,12,2005,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124241241116134411444334345114610144095',14264,'307',41.10,1,2,1),(16,3309916,'1978-12-23 00:00:00',2,1,8,2003,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','224203244222371531323315345124610124192',NULL,'9999',0.00,1,3,NULL),(16,3309924,'1989-09-21 00:00:00',2,4,11,2006,'M','N','CENTRO','FRANCISCO BELTRãO','PR','116163161216471431524612235123613267092',NULL,'9998',44.71,1,3,NULL),(16,3309932,'1990-06-18 00:00:00',2,5,11,2007,'F','N','JARDIM ANGELICA','CRICIúMA','SC','124242241216132431568824415122231451142',3310,'210',62.96,1,3,NULL),(16,3309940,'1991-04-26 00:00:00',2,1,12,2008,'F','N','CENTRO','TIJUCAS','SC','124242241215131431326669585121610145057',NULL,'781',31.15,1,3,NULL),(16,3309959,'1989-05-03 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241212242112466839392122233224117',8980,'266',50.61,1,3,NULL),(16,3309967,'1991-05-25 00:00:00',4,7,12,2008,'M','N','MARAFON','VIDEIRA','SC','124243241136151431546419345124610128047',NULL,'831',31.40,1,3,NULL),(16,3309975,'1988-08-28 00:00:00',2,1,12,2006,'F','N','PONTA DE BAIXO','S JOSé','SC','124241241117471431423411182224610124147',12179,'733',44.94,1,2,1),(16,3309983,'1987-10-06 00:00:00',4,6,12,2004,'F','N','CAMPOLIM','SOROCABA','SP','125252251216574441529613375124242514112',NULL,'9998',24.58,1,3,NULL),(16,3309991,'1991-05-28 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215112431355222572124610118145',9241,'270',50.18,1,3,NULL),(16,3310000,'1977-10-01 00:00:00',4,1,12,1995,'M','N','CAMPECHE','FLORIANóPOLIS','SC','224241241127273421243341215134610167143',12231,'281',44.84,1,3,NULL),(16,3310019,'1989-09-05 00:00:00',2,1,12,2007,'F','N','SãO SEBASTIãO','STA RITA P QUATRO','SP','107252251216151741369813575112610166142',7288,'9998',53.74,1,3,NULL),(16,3310027,'1991-02-09 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124241241115151431446611412125610132042',NULL,'498',29.78,1,2,1),(16,3310035,'1989-06-15 00:00:00',4,7,12,2008,'F','N','CENTRO','IRINEóPOLIS','SC','124241241117151751433339392314613216177',NULL,'381',23.51,1,3,NULL),(16,3310043,'1989-07-26 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215272112457813572114613227097',12819,'737',43.82,1,3,NULL),(16,3310051,'1990-05-29 00:00:00',2,1,12,2007,'F','N','FAZENDA SANTO ANTôNI','S JOSé','SC','124241241212352431536611572124231227142',NULL,'1022',33.64,1,3,NULL),(16,3310060,'1991-10-12 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124241241225111411336511595122610166172',NULL,'262',37.47,1,3,NULL),(16,3310078,'1991-10-12 00:00:00',4,1,11,2008,'F','N','GLóRIA','IJUí','RS','120203201216111431338824445122610167057',11669,'9998',45.88,1,3,NULL),(16,3310086,'1991-08-27 00:00:00',2,1,12,2008,'F','N','JARDIM SAPOPEMBA','S PAULO','SP','125251251117131431334319245124610131197',NULL,'9998',0.00,1,2,1),(16,3310094,'1990-12-19 00:00:00',2,9,12,2007,'M','N','BOM JESUS','CURITIBANOS','SC','124241241116131411535619572122610127147',6226,'239',55.85,1,2,1),(16,3310108,'1990-01-22 00:00:00',2,1,12,2008,'M','N','JORDÃO','GOV CELSO RAMOS','SC','124241241117271431446323395124230267047',NULL,'64',33.77,4,2,1),(16,3310116,'1991-03-30 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANóPOLIS','SC','124242241215121431458832472124610128147',9721,'270',49.30,1,3,NULL),(16,3310124,'1989-08-19 00:00:00',2,8,12,2006,'F','N','CRISTO REI','CURITIBA','PR','116161161216571431434935571124141964077',4797,'9998',59.07,1,3,NULL),(16,3310140,'1984-10-20 00:00:00',4,1,12,2003,'F','N','CENTRO','URUGUAIANA','RS','120201205116141411457923435122342225092',NULL,'9998',0.00,4,3,NULL),(16,3310159,'1990-08-20 00:00:00',4,1,12,2007,'M','N','CENTRO','NAVIRAí','MS','112122121216472431459931572114610162042',NULL,'9998',52.27,1,3,NULL),(16,3310167,'1991-01-18 00:00:00',2,4,12,2007,'M','N','INTERIOR','ARVOREDO','SC','124241242112131411433315352224610137057',14951,'196',39.78,1,3,NULL),(16,3310183,'1984-11-23 00:00:00',2,1,12,2003,'M','N','TAPERA','FLORIANóPOLIS','SC','124243247217372431654533492114610167047',NULL,'1003',23.44,2,1,2),(16,3310191,'1988-10-23 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242248216373721578614445124132564072',NULL,'1022',25.49,4,3,NULL),(16,3310205,'1963-12-05 00:00:00',4,4,12,1993,'F','N','CENTRO','CONCóRDIA','SC','224041021127151432342251482122333266192',NULL,'9998',0.00,1,3,NULL),(16,3310213,'1990-04-10 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124244241215372431567732575124610148092',NULL,'272',29.99,4,3,NULL),(16,3310221,'1980-03-14 00:00:00',4,1,11,1995,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243248137335421346679235134120367183',15474,'306',38.60,1,3,NULL),(16,3310230,'1983-05-04 00:00:00',2,1,12,2001,'M','N','ESTREITO','FLORIANóPOLIS','SC','220201201126143711233651215124233232097',NULL,'9998',25.80,4,3,NULL),(16,3310248,'1991-02-16 00:00:00',4,8,12,2008,'F','N','ITAUM','JOINVILLE','SC','124242241214271431346611595122610132012',7548,'461',53.24,1,3,NULL),(16,3310256,'1982-05-28 00:00:00',4,8,12,2000,'M','N','FLORESTA','JOINVILLE','SC','124241241126131431324339245124230224142',NULL,'465',22.49,1,2,1),(16,3310264,'1986-06-26 00:00:00',2,1,12,2005,'M','N','PONTAL','PALHOçA','SC','124241241121131411633334242234610144047',NULL,'592',0.00,2,1,1),(16,3310272,'1992-03-26 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241222111431433339572124610126142',NULL,'262',27.57,1,3,NULL),(16,3310280,'1992-08-02 00:00:00',2,1,12,2008,'F','N','CENTRO','BIGUAçU','SC','124244241345111431238923575124610168197',12457,'1022',44.46,1,3,NULL),(16,3310299,'1991-05-13 00:00:00',4,1,12,2008,'M','N','SÃO SEBASTIÃO','SANTA RITA DO PASSA QUATRO','SP','125254251217111411669863575112610164047',NULL,'9998',41.97,1,3,NULL),(16,3310310,'1990-10-03 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215122731458614575122610127182',NULL,'270',40.54,1,3,NULL),(16,3310329,'1989-02-21 00:00:00',4,8,8,2006,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116162161211515211448523571114610115094',7485,'9998',53.35,1,3,NULL),(16,3310337,'1991-05-03 00:00:00',2,4,12,2008,'M','N','CENTRO','RIQUEZA','SC','124241241145111231436624345123610127053',NULL,'674',20.06,4,1,1),(16,3310345,'1991-05-15 00:00:00',4,2,12,2008,'F','N','CENTRO','POMERODE','SC','124241241137372431329833372121610125147',NULL,'621',26.52,2,1,1),(16,3310353,'1988-09-20 00:00:00',2,8,11,2006,'M','N','VILA ALEXANDRIA','S PAULO','SP','125252251216571421638711481122610137014',NULL,'9998',0.00,1,3,NULL),(16,3310361,'1991-03-06 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241112131431226524575124610127187',NULL,'281',15.50,4,1,1),(16,3310370,'1992-02-16 00:00:00',4,8,11,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242241215111431379921575112610132072',NULL,'491',59.58,1,3,NULL),(16,3310388,'1959-04-01 00:00:00',4,1,12,1977,'M','N','PANTANAL','FLORIANóPOLIS','SC','224241243137145411664113385122121837047',NULL,'306',33.55,1,2,1),(16,3310396,'1988-10-12 00:00:00',4,1,12,2006,'M','N','ABRAãO','FLORIANóPOLIS','SC','124242241215574731467831575112610127127',5572,'1022',57.32,1,3,NULL),(16,3310400,'1991-05-11 00:00:00',2,7,12,2008,'M','N','CRUZEIRO DO SUL','JOAçABA','SC','124242241215151431436632575122610167122',NULL,'962',33.24,1,3,NULL),(16,3310418,'1981-11-10 00:00:00',4,1,12,1998,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124202201216153441138841315124221116145',11590,'9998',46.01,1,3,NULL),(16,3310426,'1991-02-19 00:00:00',2,9,11,2008,'F','N','CENTRO','AURORA','SC','124242241215371431537731574124610126142',10534,'901',47.85,1,3,NULL),(16,3310434,'1990-12-16 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIúMA','SC','124241241215272431246623242125610162147',NULL,'226',0.00,1,3,NULL),(16,3310442,'1987-03-30 00:00:00',4,1,11,2004,'M','N','VILA APARECIDA','BRAGANçA PAULISTA','SP','125252251215271411378832425122141066187',NULL,'9998',0.00,1,3,NULL),(16,3310450,'1991-10-08 00:00:00',4,1,12,2008,'F','N','CENTRO','IMBITUBA','SC','124241241415111331337823492225610165112',13556,'807',42.53,1,3,NULL),(16,3310469,'1984-08-17 00:00:00',2,1,12,2005,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124113117327141431333212145122143222197',NULL,'9998',26.00,1,3,NULL),(16,3310477,'1989-06-21 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124244247145272231567724575112610167047',NULL,'9999',0.00,1,3,NULL),(16,3310485,'1991-09-04 00:00:00',4,1,11,2008,'F','N','ALTO DA XV','GUARAPUAVA','PR','116162161217271531228929595125610137047',7486,'9998',53.35,1,3,NULL),(16,3310515,'1989-12-27 00:00:00',4,1,11,2008,'F','N','VENDAVAL','BIGUAçU','SC','124241247226151431437723435124610126187',NULL,'9999',25.37,1,3,NULL),(16,3310523,'1988-11-23 00:00:00',4,7,12,2006,'F','N','MARAFON','VIDEIRA','SC','124243241212214431446632572124232632192',12709,'969',43.99,1,3,NULL),(16,3310531,'1979-11-17 00:00:00',2,1,6,1999,'M','N','ITACORUBI','FLORIANóPOLIS','SC','624246246637145731456613345114233228043',NULL,'9999',34.84,1,3,NULL),(16,3310540,'1987-11-21 00:00:00',2,5,12,2004,'M','N','JARDIM SABARá','PTO ALEGRE','RS','120202201216571431549611491122142667127',4254,'9998',60.36,1,3,NULL),(16,3310558,'1991-09-29 00:00:00',4,1,12,2008,'M','N','CENTRO','NAVIRAí','MS','112122161416111431459931572114610167042',NULL,'9998',0.00,1,3,NULL),(16,3310566,'1988-09-12 00:00:00',4,2,12,2005,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241216575451439914594125231023182',3553,'422',62.20,1,3,NULL),(16,3310582,'1989-09-12 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECó','SC','124241241122111731423334242125610134147',NULL,'177',20.39,1,2,1),(16,3310590,'1990-12-12 00:00:00',2,8,11,2008,'F','N','GRAMADãO','JUNDIAí','SP','125252251116471731247623575124610132182',NULL,'9998',31.66,1,3,NULL),(16,3310604,'1987-12-01 00:00:00',2,1,12,2005,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241116271431123444445124132264055',16022,'51',37.19,1,2,1),(16,3310620,'1980-09-17 00:00:00',4,1,6,2003,'M','N','ITACORUBI','FLORIANóPOLIS','SC','224163247325371211323321245124610224097',NULL,'9999',33.81,1,3,NULL),(16,3310639,'1990-01-05 00:00:00',4,1,12,2007,'F','N','JOAO PAULO','FLORIANóPOLIS','SC','124242241215471411568712571124610162017',3220,'270',63.24,1,3,NULL),(16,3310647,'1990-11-22 00:00:00',4,1,11,2007,'M','N','CENTRO','MARAU','RS','120203201217372431357614375112610164047',2950,'9998',63.97,1,3,NULL),(16,3310655,'1983-01-17 00:00:00',2,1,12,1996,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241212132421323344445122331668057',NULL,'120',29.37,4,3,NULL),(16,3310663,'1968-10-26 00:00:00',2,1,12,1985,'F','N','JOSé NITRO SERRARIA','S JOSé','SC','124281281112151411436654412124143261142',NULL,'9998',32.91,5,3,NULL),(16,3310671,'1986-03-21 00:00:00',2,3,12,2003,'M','N','ILHOTA','ITAPEMA','SC','124241241117371231434314385123610127157',16469,'406',35.62,4,2,1),(16,3310680,'1990-05-31 00:00:00',4,5,12,2007,'F','N','CENTRO','TORRES','RS','120202201215371431556612575112610142012',10734,'9998',47.48,1,3,NULL),(16,3310698,'1988-12-01 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241415113431328933582122233217117',NULL,'266',36.11,1,3,NULL),(16,3310701,'1988-12-20 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241211153411479933571124231064042',7521,'270',53.29,1,3,NULL),(16,3310710,'1992-02-17 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111731389913575112610137142',NULL,'262',25.87,1,3,NULL),(16,3310728,'1980-05-23 00:00:00',2,1,12,1997,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241122135411433614342132610117043',NULL,'281',23.32,1,2,1),(16,3310736,'1982-12-13 00:00:00',4,2,12,1999,'M','N','RUDGE RAMOS','S BERNARDO CAMPO','SP','125254256226471421436614345122343224097',13706,'9998',42.26,1,3,NULL),(16,3310744,'1990-09-18 00:00:00',2,1,12,2007,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241315132431526613475124610141147',NULL,'991',28.15,4,1,2),(16,3310760,'1989-10-06 00:00:00',4,10,12,2006,'F','N','CENTRO','RIO FORTUNA','SC','124243241215273431568923345124610124182',7764,'749',52.84,1,3,NULL),(16,3310779,'1988-06-09 00:00:00',4,1,12,2005,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241216472431567714292125221463142',NULL,'909',0.00,1,3,NULL),(16,3310787,'1989-09-23 00:00:00',4,3,12,2006,'F','N','IMPERIAL','CONCóRDIA','SC','124242241215473431569933572124230224093',9651,'190',49.43,1,3,NULL),(16,3310795,'1991-10-15 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSé','SC','124242248215111531468719576112610122041',NULL,'724',26.92,1,3,NULL),(16,3310809,'1990-07-26 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241415273231256724575112121434196',17,'270',84.29,1,3,NULL),(16,3310825,'1988-11-13 00:00:00',4,8,12,2006,'M','N','CENTRO','JOINVILLE','SC','124242241215112411237912445122232862092',NULL,'491',38.17,1,3,NULL),(16,3310833,'1981-02-28 00:00:00',4,1,12,1998,'F','N','ABRAÃO','FLORIANóPOLIS','SC','124242241321134431247829331124133224177',10885,'307',47.21,1,3,NULL),(16,3310850,'1979-08-21 00:00:00',4,1,12,1996,'M','N','CAMPINAS','S JOSé','SC','124242241211132221211163137331121363151',NULL,'724',0.00,1,3,NULL),(16,3310892,'1986-09-04 00:00:00',4,8,8,2006,'F','N','COSTA E SILVA','JOINVILLE','SC','124172177237331411333923485114610132097',NULL,'9999',8.95,4,3,NULL),(16,3310906,'1990-12-27 00:00:00',4,1,12,2009,'M','S','JURERE','FLORIANóPOLIS','SC','124242241217111531468612575124610122012',NULL,'270',27.39,1,3,NULL),(16,3310914,'1985-06-19 00:00:00',2,1,12,2002,'M','N','AZENHA','PTO ALEGRE','RS','120202201216471431338619471124140232097',7285,'9998',53.74,1,3,NULL),(16,3310957,'1990-12-18 00:00:00',4,2,12,2007,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241137111331433314243124231223187',NULL,'83',28.94,1,2,1),(16,3310965,'1991-01-05 00:00:00',4,1,11,2008,'M','N','VILA AMéLIA','S PAULO','SP','125214251215111411237834575114610132142',7419,'9998',53.48,1,3,NULL),(16,3310973,'1984-04-26 00:00:00',4,1,6,2005,'M','N','PASSA VINTE','PALHOçA','SC','124201248422131421234344342123233214047',NULL,'9999',23.57,2,1,2),(16,3310981,'1977-11-30 00:00:00',4,1,12,1995,'M','N','CENTRO','FLORIANóPOLIS','SC','224241241126131411253441215124133262187',NULL,'698',26.15,1,3,NULL),(16,3310990,'1989-09-28 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124202201216573411228933445124231036147',7998,'9998',52.42,1,3,NULL),(16,3311007,'1989-03-19 00:00:00',2,5,12,2006,'M','N','CAIU DO CéU','OSóRIO','RS','120201201116161721326728341125141146147',13554,'9998',42.53,1,2,1),(16,3311015,'1985-05-10 00:00:00',4,1,12,2002,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241115371421426563245114610162142',NULL,'257',25.01,1,3,NULL),(16,3311023,'1990-10-24 00:00:00',4,4,12,2007,'F','N','BANCáRIOS','PATO BRANCO','PR','116202201317371411659813271122140414072',5012,'9998',58.58,1,3,NULL),(16,3311040,'1989-01-23 00:00:00',4,1,12,2006,'M','N','SERTÃO DO IMARUIM','S JOSé','SC','124256251626131711246833245124233247052',5995,'9998',56.36,1,3,NULL),(16,3311058,'1984-06-07 00:00:00',4,1,12,2001,'M','N','SACO DOS LIMÕES','FLORIANóPOLIS','SC','124112241216155221669933445124231267142',4340,'269',60.17,1,3,NULL),(16,3311066,'1988-12-07 00:00:00',2,2,12,2008,'F','N','JARDIM SILVANA','ALM TAMANDARé','PR','116161161116151411633324375124610167042',NULL,'9998',0.00,1,3,NULL),(16,3311074,'1987-09-07 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241217575431479913571122231833182',2538,'266',65.20,1,3,NULL),(16,3311104,'1988-03-27 00:00:00',2,1,12,2005,'M','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241126154432441319292114610167047',8857,'307',50.80,1,2,1),(16,3311120,'1987-11-13 00:00:00',2,4,12,2005,'M','N','CENTRO','PARANHOS','MS','116161121136271431446932396122610127182',NULL,'9998',0.00,4,2,1),(16,3311139,'1985-03-02 00:00:00',2,1,12,2003,'M','N','ABRAAO','FLORIANóPOLIS','SC','124241241117474731546632132124231267082',NULL,'307',0.00,1,2,1),(16,3311147,'1991-10-04 00:00:00',4,7,11,2008,'M','N','CENTRO','IPIRA','SC','124241241145161411235911212125610127042',NULL,'369',23.22,1,3,NULL),(16,3311155,'1977-07-20 00:00:00',4,1,11,1995,'M','N','SERRARIA','S JOSé','SC','224241241126472421456544245122130247147',NULL,'277',25.60,1,2,1),(16,3311163,'1991-03-05 00:00:00',4,5,12,2008,'F','N','SãO JOãO','TRêS CACHOEIRAS','RS','120201208227151531443519146121610168197',NULL,'9998',13.53,1,3,NULL),(16,3311171,'1982-11-09 00:00:00',2,1,12,1999,'M','N','BALNEARO','FLORIANóPOLIS','SC','124212211212135711346612421132321268022',10450,'9998',48.01,4,3,NULL),(16,3311180,'1986-05-13 00:00:00',2,1,12,2004,'M','N','ABRAAO','FLORIANóPOLIS','SC','124241241346374431549513245122131914187',NULL,'229',33.22,1,3,NULL),(16,3311198,'1991-12-21 00:00:00',4,3,12,2008,'M','N','JUVEVê','CURITIBA','PR','116164161217471731339914576114610124187',NULL,'9998',0.00,1,3,NULL),(16,3311210,'1986-01-31 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241217474431487812575122230268185',NULL,'855',0.00,1,3,NULL),(16,3311228,'1982-11-09 00:00:00',4,1,12,1999,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124093091116132431348826315124141965027',14737,'9998',40.20,4,3,NULL),(16,3311236,'1990-11-11 00:00:00',2,4,12,2007,'M','N','JARDIM ACARAY','FOZ IGUAçU','PR','116162161215411432249315575114610117052',NULL,'9998',0.00,1,3,NULL),(16,3311244,'1967-05-04 00:00:00',4,1,12,1988,'M','N','ESTREITO','FLORIANóPOLIS','SC','224241248146144421333444392122133217047',15563,'307',38.40,1,2,1),(16,3311252,'1978-03-22 00:00:00',2,1,12,1996,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241117343121433633342122610114041',9015,'307',50.56,1,3,NULL),(16,3311260,'1971-12-14 00:00:00',4,1,12,2008,'M','N','SERRARIA','S JOSé','SC','124243247225131421114623185124610142187',NULL,'9999',33.13,1,3,NULL),(16,3311287,'1973-09-11 00:00:00',2,1,12,1997,'F','N','ITACORUBí','FLORIANóPOLIS','SC','624241247626134421233143132124322243147',12737,'9999',43.95,1,3,NULL),(16,3311295,'1986-04-12 00:00:00',2,1,12,2003,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241214374431348813381114121416042',7224,'9997',53.86,1,3,NULL),(16,3311317,'1988-10-19 00:00:00',4,1,12,2005,'M','N','SANTA ROSA','PTO UNIãO','SC','124161241412142341539513575124221034113',838,'633',73.11,1,3,NULL),(16,3311325,'1991-03-15 00:00:00',4,1,12,2007,'F','N','JARDIM ITáLIA','CUIABá','MT','111102111211111421577731575122242866197',5440,'9998',57.61,4,3,NULL),(16,3311333,'1984-08-03 00:00:00',4,1,12,2001,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241216144411589812445122330247041',NULL,'497',29.39,1,3,NULL),(16,3311368,'1984-01-30 00:00:00',4,1,11,2001,'M','N','CENTRO','FLORIANóPOLIS','SC','101043253333331321216443246232322533163',NULL,'307',0.00,1,3,NULL),(16,3311376,'1990-04-23 00:00:00',4,6,12,2007,'M','N','BUDAG','RIO SUL','SC','124242243216112431458811345131610162041',10497,'1013',47.91,1,3,NULL),(16,3311384,'1991-06-07 00:00:00',4,3,12,2008,'M','N','CENTRO','ITAPEMA','SC','124243243117131431229714275121610137012',2723,'129',64.62,1,3,NULL),(16,3311392,'1989-11-14 00:00:00',2,1,12,2006,'F','N','SAMAMBAIA NORTE','SAMAMBAIA','DF','107221221116371721426619572124610162147',NULL,'9998',0.00,4,2,1),(16,3311406,'1989-09-15 00:00:00',2,8,12,2007,'M','N','CENTRO','UBIRATã','PR','116161161117471732546419345112610164012',NULL,'9998',0.00,2,3,NULL),(16,3311414,'1990-07-29 00:00:00',4,10,12,2007,'M','N','DEHON','TUBARãO','SC','124201201117151431526619285121233227057',NULL,'9998',37.19,1,2,1),(16,3311422,'1990-02-12 00:00:00',2,1,12,2008,'M','N','BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP','125252251215111631226724375124610144017',NULL,'9998',0.00,1,3,NULL),(16,3311430,'1990-03-13 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124252241217272751369814495124233261036',4348,'270',60.14,1,3,NULL),(16,3311449,'1986-08-13 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','124202201217151431233614445124341324143',11953,'9998',45.34,1,3,NULL),(16,3311457,'1993-06-15 00:00:00',2,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241217111131479933575122610128097',NULL,'262',21.10,1,3,NULL),(16,3311465,'1982-07-01 00:00:00',4,1,11,1999,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','624244161216111421249941416122133238027',NULL,'9998',0.00,1,3,NULL),(16,3311473,'1987-03-09 00:00:00',4,1,12,2004,'F','N','PANTANAL','FLORIANóPOLIS','SC','124212261211273411378814575124221422012',3700,'9998',61.83,1,3,NULL),(16,3311481,'1990-06-12 00:00:00',2,8,12,2007,'M','N','VILA CLEMENTINO','S PAULO','SP','125252251217471431459912575115610162042',7403,'9998',53.51,1,3,NULL),(16,3311490,'1975-05-09 00:00:00',4,1,12,1992,'F','N','CAMPECHE','FLORIANóPOLIS','SC','624254251212271431238644442124141066157',NULL,'9998',0.00,4,3,NULL),(16,3311503,'1977-06-09 00:00:00',2,6,12,1994,'F','N','VISTA ALEGRE','CURITIBA','PR','216213211116272411336641215135343262102',6273,'9998',55.74,1,3,NULL),(16,3311511,'1991-01-03 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124241248212171331526639575124610167052',16122,'1118',36.87,1,3,NULL),(16,3311520,'1987-01-23 00:00:00',4,1,11,2006,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124243241417371112558413485114610164192',NULL,'9999',18.35,4,3,NULL),(16,3311538,'1991-05-01 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241115131431437615245125610127057',NULL,'257',25.23,1,2,1),(16,3311546,'1968-07-23 00:00:00',4,1,12,1985,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','224241241126134421336153345122610134097',13844,'307',41.95,1,2,1),(16,3311562,'1988-11-28 00:00:00',4,1,11,2006,'M','N','JARDIM AMERICA','RIO SUL','SC','124242246216272451459932445114610134092',NULL,'1013',29.90,1,3,NULL),(16,3311589,'1983-03-24 00:00:00',2,1,12,1999,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124014011316241431438712442112141132097',6484,'9998',55.30,1,3,NULL),(16,3311597,'1992-03-09 00:00:00',4,1,12,2009,'F','S','SACO GRANDE','FLORIANóPOLIS','SC','124242248215151732347639375122610167042',NULL,'883',0.00,1,3,NULL),(16,3311600,'1990-12-13 00:00:00',2,1,11,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241215122431448613572114610127042',6229,'270',55.85,1,3,NULL),(16,3311619,'1984-06-17 00:00:00',2,2,12,2002,'M','N','PROGRESSO','BLUMENAU','SC','124244241412133741548521275124232832027',10012,'71',48.76,2,3,NULL),(16,3311627,'1979-05-27 00:00:00',4,1,12,1996,'F','N','PRAIA DE FORA','PALHOçA','SC','124243241211112431365441312222222364142',NULL,'270',23.90,1,3,NULL),(16,3311635,'1992-07-28 00:00:00',4,8,12,2008,'M','N','VILA PONTE NOVA','CUBATãO','SP','125252251217271731668614572122610168034',13251,'9998',43.06,1,3,NULL),(16,3311643,'1987-05-10 00:00:00',4,1,11,2005,'F','N','JARDIM AMERICA','RIO SUL','SC','124242241236373451459932445124610134092',13121,'991',43.29,1,3,NULL),(16,3311651,'1991-04-22 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241116131431328623575124610151147',NULL,'307',28.75,1,2,1),(16,3311686,'1974-05-06 00:00:00',2,1,12,1992,'F','N','ESTREITO','FLORIANóPOLIS','SC','124252131427131441238444242124233216192',NULL,'9998',0.00,1,3,NULL),(16,3311694,'1991-08-24 00:00:00',2,7,12,2008,'F','N','GRUTA','CONCóRDIA','SC','124241241135131431426414241224610138057',9002,'193',50.58,1,2,1),(16,3311716,'1977-04-27 00:00:00',2,1,12,1994,'F','N','JOSÉ MENDES','FLORIANóPOLIS','SC','624241241136272431222244247134610123142',14215,'281',41.20,1,2,1),(16,3311724,'1991-03-24 00:00:00',2,1,11,2008,'M','N','SERRARIA','S JOSé','SC','124241241142131431436514345124610127047',NULL,'307',25.48,1,2,1),(16,3311740,'1990-05-16 00:00:00',4,8,11,2007,'F','N','ATIRADORES','JOINVILLE','SC','124242241215471431358812292122610134187',8130,'491',52.17,1,3,NULL),(16,3311759,'1987-11-17 00:00:00',2,1,12,2005,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241126372411238613445124232832117',NULL,'290',25.96,1,2,1),(16,3311775,'1970-11-07 00:00:00',4,1,12,1988,'F','N','CAMPECHE','FLORIANOPOLIS','SC','524242241216154421436641215124120426097',15999,'266',37.25,1,3,NULL),(16,3311783,'1991-04-05 00:00:00',4,9,12,2008,'M','N','CENTRO','POUSO REDONDO','SC','124241246216111431558935475124610127053',15432,'1013',38.70,1,3,NULL),(16,3311791,'1976-09-23 00:00:00',4,1,12,1994,'M','N','VILA MARIA','BOTUCATU','SP','125251251116572431633419345125143266182',1120,'9998',71.33,1,2,1),(16,3311813,'1987-04-15 00:00:00',4,5,12,2004,'M','N','MINA BRASIL','CRICIúMA','SC','124242241212133411546419395124230227062',NULL,'213',0.00,1,3,NULL),(16,3311821,'1989-08-15 00:00:00',4,8,12,2006,'M','N','VILA LALAU','JARAGUá SUL','SC','124241241347271411564419245132610166052',9622,'442',49.47,1,3,NULL),(16,3311830,'1986-05-08 00:00:00',4,1,12,2005,'F','N','SãO MIGUEL','BIGUAçU','SC','124242241117132231537641215122130264027',NULL,'306',26.85,1,3,NULL),(16,3311848,'1990-03-26 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241248115111711236613492324610123142',NULL,'307',23.60,1,2,1),(16,3311856,'1989-05-11 00:00:00',4,1,12,2006,'F','N','FAZENDA STO ANTôNIO','S JOSé','SC','124241241315373751666662345114610168034',NULL,'737',38.80,1,3,NULL),(16,3311864,'1992-06-15 00:00:00',2,1,12,2009,'F','S','CAMPINAS','S JOSé','SC','124242241217111432358622575122610124072',NULL,'737',33.86,1,3,NULL),(16,3311872,'1984-01-19 00:00:00',4,2,12,2001,'F','N','PONTO CHIC','IBIRAMA','SC','124242241346154711123343235332610168077',13310,'348',42.95,1,3,NULL),(16,3311880,'1988-11-09 00:00:00',2,9,11,2006,'M','N','CENTRO','CURITIBANOS','SC','124241241416373431438613342132610162057',NULL,'237',25.24,1,3,NULL),(16,3311899,'1989-05-26 00:00:00',4,1,11,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215373431433933585114121127042',4279,'809',60.31,1,3,NULL),(16,3311902,'1986-05-09 00:00:00',2,9,12,2004,'M','N','CENTRO','ANITA GARIBALDI','SC','124241241112173411439913142113231368072',12623,'18',44.14,4,2,1),(16,3311910,'1985-05-10 00:00:00',4,1,12,2003,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241311133731569933584124333235075',10391,'270',48.11,1,3,NULL),(16,3311929,'1991-09-02 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241115131731515539582222610128047',NULL,'592',26.88,1,2,1),(16,3311937,'1992-01-06 00:00:00',4,1,12,2009,'F','S','JARDIM SANTA CRUZ','AVARé','SP','125252251217111451458713574122610161092',NULL,'9998',0.00,1,3,NULL),(16,3311945,'1991-12-02 00:00:00',4,9,11,2008,'M','N','SãO CRISTOVãO','LAGES','SC','124243241215131431339714572112610122012',13492,'1035',42.63,1,3,NULL),(16,3311953,'1990-02-06 00:00:00',2,1,12,2007,'M','N','KOBRASOL','S JOSé','SC','124242241213112431468613572112130227052',NULL,'723',40.82,1,3,NULL),(16,3311961,'1984-10-28 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241216112421558414445122322334073',NULL,'1036',37.49,1,3,NULL),(16,3311988,'1990-09-07 00:00:00',2,1,12,2009,'M','S','ITACORUBI','FLORIANóPOLIS','SC','124243241117151411558613596122610144173',NULL,'307',32.44,1,3,NULL),(16,3312003,'1991-11-09 00:00:00',2,1,12,2008,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241112131431446311575124610157142',NULL,'64',27.35,1,3,NULL),(16,3312011,'1983-02-26 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241236144711369833414122322136143',713,'262',74.16,1,3,NULL),(16,3312020,'1986-03-20 00:00:00',2,1,12,2004,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241247336132411236729392114610132042',NULL,'9999',0.00,2,1,2),(16,3312038,'1971-09-15 00:00:00',4,1,4,1996,'M','N','ABRAAO','FLORIANóPOLIS','SC','224241246126132421334649392122610162197',NULL,'739',0.00,1,2,1),(16,3312046,'1979-06-15 00:00:00',2,1,12,1997,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241116144721463333435124420816193',13788,'293',42.08,1,2,1),(16,3312054,'1977-01-25 00:00:00',4,1,12,1994,'M','N','ARMAçãO DO PâNTANO','FLORIANóPOLIS','SC','624212211216131731328654482114343222097',3092,'9998',63.54,1,3,NULL),(16,3312062,'1985-10-18 00:00:00',2,1,12,2003,'F','N','CAMPINAS','S JOSé','SC','124244241126135431248874245134610164017',NULL,'298',37.39,1,3,NULL),(16,3312070,'1979-02-10 00:00:00',2,1,12,2000,'M','N','BELA VISTA I','S JOSé','SC','124243217142132451433543232112343217184',11068,'9998',46.90,2,3,NULL),(16,3312089,'1957-05-25 00:00:00',4,1,12,1975,'M','N','TRINDADE','FLORIANóPOLIS','SC','524202203211142411238841212124141136017',13041,'9998',43.43,1,3,NULL),(16,3312119,'1990-12-14 00:00:00',2,1,12,2008,'F','N','GUARDA DO CUBATãO','PALHOçA','SC','124241241115131451625511214324610116142',14705,'591',40.26,1,2,1),(16,3312127,'1988-09-25 00:00:00',2,1,10,2007,'M','N','KOBRASOL','S JOSé','SC','124244248432311731328814432122610114011',NULL,'9999',32.88,4,3,NULL),(16,3312135,'1989-07-16 00:00:00',4,1,12,2008,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241147131432436933375114610124042',NULL,'296',36.36,1,3,NULL),(16,3312151,'1986-01-06 00:00:00',2,1,12,2004,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124242241217373431469833445121132851092',NULL,'951',34.53,1,3,NULL),(16,3312160,'1982-08-15 00:00:00',2,1,12,2002,'M','N','SERRINHA','FLORIANóPOLIS','SC','124243247342132321421124242331610164047',NULL,'1003',19.53,2,1,1),(16,3312186,'1978-09-20 00:00:00',4,1,12,1998,'M','N','CAMPINAS','S JOSé','SC','124252253216442441248953243124130238092',NULL,'9998',33.28,1,3,NULL),(16,3312194,'1988-11-05 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124242241217444431588913575122231835132',NULL,'1022',0.00,1,3,NULL),(16,3312208,'1978-04-02 00:00:00',4,1,12,1998,'M','N','SERRINHA','FLORIANOPOLIS','SC','124101102117131731631111411324122924042',NULL,'9998',34.82,2,1,1),(16,3312216,'1985-12-12 00:00:00',2,1,7,2005,'F','N','BOM VIVER','BIGUAçU','SC','124241241127131731523434442314610123141',NULL,'66',1.00,2,1,1),(16,3312224,'1988-08-29 00:00:00',4,1,12,2005,'M','N','PASSO DO GADO','TUBARãO','SC','124241241112131431436614442124232226141',NULL,'1034',0.00,1,3,NULL),(16,3312232,'1992-05-11 00:00:00',4,8,12,2009,'F','S','SAGUAçú','JOINVILLE','SC','124241241212131411568831582122610144097',NULL,'931',43.80,1,3,NULL),(16,3312240,'1982-10-27 00:00:00',4,1,7,2002,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242248216213221138829495124231012091',NULL,'9997',26.99,1,3,NULL),(16,3312259,'1975-01-21 00:00:00',4,1,12,1991,'M','N','TRINDADE','FLORIANóPOLIS','SC','224242241216134711356644444134322016185',3758,'497',61.69,1,3,NULL),(16,3312267,'1991-09-22 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124242241212111431348933572122610122097',NULL,'738',40.42,1,3,NULL),(16,3312275,'1990-09-04 00:00:00',4,5,11,2008,'F','N','STA LUZIA','CRICIúMA','SC','124243241215121451442674575122610113182',NULL,'226',23.57,1,3,NULL),(16,3312283,'1990-01-19 00:00:00',2,4,12,2006,'M','N','SANTA MARIA','CHAPECó','SC','124241241114372311333626572314610114042',NULL,'914',31.56,1,2,1),(16,3312305,'1953-09-20 00:00:00',4,1,12,1972,'F','N','CENTRO','FLORIANóPOLIS','SC','224241241142152411542351392124322727182',NULL,'492',22.69,1,2,1),(16,3312313,'1972-07-28 00:00:00',2,1,12,2000,'M','N','CENTRO','FLORIANóPOLIS','SC','624241241126274721224144145333121737112',12095,'291',45.11,1,2,1),(16,3312321,'1972-02-28 00:00:00',4,1,12,1993,'M','N','CARIANOS','FLORIANóPOLIS','SC','224252256111142441337442421132120326077',NULL,'9998',28.84,1,3,NULL),(16,3312356,'1990-01-17 00:00:00',4,1,11,2007,'F','N','ITAGUAçú','FLORIANóPOLIS','SC','124242241212212431478811575124232422092',5558,'270',57.36,1,3,NULL),(16,3312364,'1984-07-23 00:00:00',4,10,12,2002,'M','N','CENTRO','SERTãO','RS','120201202116471431326619195324610124057',10514,'9998',47.89,2,1,1),(16,3312380,'1989-06-08 00:00:00',2,1,12,2006,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124212211216471431447527575112241134042',NULL,'9998',0.00,1,3,NULL),(16,3312399,'1991-12-29 00:00:00',2,1,12,2008,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241112131431446413575124610153052',NULL,'64',25.28,1,3,NULL),(16,3312402,'1986-10-27 00:00:00',4,1,12,2003,'M','N','ZONA SETE','MARINGá','PR','116164161412115411334511592111110168167',1306,'9998',70.31,3,3,NULL),(16,3312410,'1985-12-23 00:00:00',4,1,12,2003,'M','N','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','124242241216152431468912415122230234112',15150,'270',39.30,1,3,NULL),(16,3312429,'1990-09-08 00:00:00',4,9,12,2007,'F','N','PASSO FUNDO','LAGES','SC','124241241117131431433634572221610122177',NULL,'512',24.62,4,2,1),(16,3312445,'1991-08-21 00:00:00',4,8,12,2008,'F','N','PORTÃO','CURITIBA','PR','116162161215111431469819574122610123147',NULL,'9998',0.00,1,3,NULL),(16,3312453,'1986-06-05 00:00:00',4,9,12,2003,'M','N','CENTRO','S JOSé CERRITO','SC','124241241411574421437923592324232412057',NULL,'497',0.00,1,3,NULL),(16,3312461,'1991-02-22 00:00:00',4,1,11,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124243241112111711526513392234610122172',NULL,'293',32.17,1,3,NULL),(16,3312470,'1987-03-21 00:00:00',4,8,12,2004,'M','N','SUMARé','CARAGUATATUBA','SP','125252251216572431458813575124610167187',3174,'9998',63.35,1,3,NULL),(16,3312488,'1989-10-15 01:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241126132731436621395334231324072',NULL,'702',23.89,1,2,1),(16,3312518,'1991-02-23 00:00:00',4,8,12,2008,'F','N','ITAUM','JOINVILLE','SC','124252241215111411537631575224610134097',NULL,'456',26.00,1,3,NULL),(16,3312534,'1991-05-28 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242246414272431253823396124610167076',4565,'306',59.64,1,3,NULL),(16,3312550,'1990-01-28 00:00:00',2,8,12,2007,'F','N','BARREIRINHA','CURITIBA','PR','116161161115571751325539571224610164187',NULL,'9998',31.18,1,2,1),(16,3312569,'1957-05-30 00:00:00',4,1,12,1977,'F','N','TRINDADE','FLORIANóPOLIS','SC','224242241211133111475954495122133221197',NULL,'653',6.15,1,3,NULL),(16,3312577,'1983-02-10 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241237152711166923442125232812186',NULL,'269',0.00,2,1,2),(16,3312585,'1975-04-23 00:00:00',4,1,12,1994,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','624241241127131431523354432131610163147',NULL,'285',26.18,1,2,1),(16,3312593,'1992-01-16 00:00:00',2,5,12,2008,'M','N','CENTRO','TORRES','RS','120201201215151431536713275122610122097',NULL,'9998',0.00,1,3,NULL),(16,3312607,'1989-11-01 00:00:00',4,1,12,2007,'M','N','CENTRO','JAú','SP','125252251212471422548711575112610164112',NULL,'9998',30.23,1,3,NULL),(16,3312615,'1981-06-13 00:00:00',4,1,11,1999,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241126134431123443135124322162092',8173,'712',52.07,1,2,1),(16,3312623,'1991-04-17 00:00:00',4,9,12,2008,'M','N','VILA RICCI','PASSO FUNDO','RS','120201201217111431446634575122610127052',NULL,'9998',0.00,1,3,NULL),(16,3312640,'1989-07-31 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124244241315133711626624371314610167097',16584,'269',34.97,1,3,NULL),(16,3312658,'1991-08-07 00:00:00',4,9,12,2008,'M','N','CENTRO','S JOAQUIM','SC','124241241115111732423616292224610137042',NULL,'903',17.82,4,2,1),(16,3312666,'1990-08-01 00:00:00',4,9,11,2007,'F','N','CENTRO','LAGES','SC','124242241215372431269812575122131024012',NULL,'9997',30.15,1,3,NULL),(16,3312682,'1988-11-15 00:00:00',2,1,12,2005,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215133411238723442124130267047',NULL,'1022',32.03,1,3,NULL),(16,3312690,'1988-11-22 00:00:00',2,1,12,2006,'F','N','SOUSAS','CAMPINAS','SP','125253254216471441456614442134610161092',NULL,'9998',0.00,1,3,NULL),(16,3312712,'1987-06-30 00:00:00',4,1,12,2004,'F','N','VILA MARIANA','S PAULO','SP','125252251216371411478831475112240564182',NULL,'9998',0.00,1,3,NULL),(16,3312720,'1991-10-20 01:00:00',2,1,12,2008,'F','N','ARIRIU','PALHOçA','SC','124241241141171431627531591324610128183',NULL,'593',29.52,1,2,1),(16,3312739,'1991-05-01 00:00:00',4,1,11,2008,'M','N','SETOR OESTE','GOIâNIA','GO','109092091217111131568811572122610132182',3918,'9998',61.29,1,3,NULL),(16,3312747,'1988-09-24 00:00:00',2,4,12,2005,'F','N','INTERIOR','ARABUTã','SC','124241241116471431643336492334610123057',NULL,'979',0.00,1,2,1),(16,3312755,'1985-11-20 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124202201217472431589811441122233267112',8154,'9998',52.13,1,3,NULL),(16,3312763,'1972-03-21 00:00:00',2,1,12,1990,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','224241247626133431444354291122142236183',13123,'9999',43.29,1,3,NULL),(16,3312771,'1989-06-10 00:00:00',2,1,11,2006,'M','N','BARREIROS','S JOSé','SC','124243247417151732339677385114130217116',NULL,'738',32.27,1,3,NULL),(16,3312780,'1990-01-07 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC','124241247315151631336413433124610123072',NULL,'9999',15.74,1,3,NULL),(16,3312810,'1990-08-21 00:00:00',2,4,12,2008,'M','N','INTERIOR','PALMITINHO','RS','120201202317131611623515572324610126052',NULL,'9998',7.13,1,3,NULL),(16,3312828,'1977-06-28 00:00:00',4,1,12,1997,'F','N','COQUEIROS','FLORIANóPOLIS','SC','224064091416132751568843332132141012193',5737,'9998',56.98,1,3,NULL),(16,3312836,'1991-04-01 00:00:00',4,1,12,2008,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241121161411433633331122610134052',NULL,'649',20.35,1,2,1),(16,3312844,'1954-02-12 00:00:00',4,1,12,1974,'M','N','CENTRO','CUIABá','MT','211161163126151711252241115122341063172',NULL,'9998',0.00,1,2,1),(16,3312852,'1987-06-23 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241127131521423514346224610116027',NULL,'250',29.11,4,2,1),(16,3312860,'1992-10-26 00:00:00',2,1,12,2008,'F','N','CENTRO','ERECHIM','RS','120201201126131431426819295335610138097',NULL,'9998',0.00,1,2,1),(16,3312879,'1988-05-16 00:00:00',4,1,12,2005,'F','N','JD CARLOS LOURENÇO','CAMPINAS','SP','102252251216571431466834481124610131077',NULL,'9998',0.00,1,3,NULL),(16,3312887,'1987-07-23 00:00:00',2,1,12,2004,'F','N','SERRINHA','FLORIANóPOLIS','SC','124241241212472451439933495124222934147',8722,'317',51.04,1,3,NULL),(16,3312895,'1987-07-03 00:00:00',4,1,6,2008,'M','N','ROÇADO','S JOSé','SC','124241247322141431453524242123610122062',NULL,'1036',27.36,1,3,NULL),(16,3312909,'1991-08-09 00:00:00',4,1,12,2008,'M','N','PONTA DE BAIXO','S JOSé','SC','124241241124161232533634372324610168142',NULL,'728',33.64,1,3,NULL),(16,3312917,'1966-11-10 00:00:00',2,1,12,1989,'F','N','CAMPINAS','S JOSé','SC','124241243126133421233341315124331046187',NULL,'281',23.60,1,3,NULL),(16,3312925,'1990-10-29 00:00:00',2,7,12,2007,'F','N','CENTRO','MACHADINHO','RS','120203201327272431543921595125610134142',NULL,'9998',0.00,1,3,NULL),(16,3312933,'1989-05-06 00:00:00',2,1,12,2006,'F','N','JD CID FPOLIS','S JOSé','SC','124243241212573431445631475112610134112',9019,'1118',50.55,4,3,NULL),(16,3312941,'1973-05-25 00:00:00',4,1,12,1991,'M','N','CAMPINAS','S JOSé','SC','224242251217135411238841211124133232097',13348,'9998',42.89,1,3,NULL),(16,3312950,'1984-07-31 00:00:00',2,1,7,2008,'F','N','PRADO','BIGUAçU','SC','124241247225311431321411212122610112142',NULL,'9999',22.18,1,3,NULL),(16,3312976,'1991-05-14 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124242241215111431236624572124610145142',NULL,'988',34.03,1,3,NULL),(16,3312992,'1988-12-04 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241211142712468713495114232032093',5930,'262',56.49,1,3,NULL),(16,3313000,'1983-03-11 00:00:00',4,9,12,2000,'M','N','JARDIM BANDEIRA','S JOAQUIM','SC','124243241326141431435611134125130734097',NULL,'719',32.40,1,2,1),(16,3313026,'1986-07-19 00:00:00',2,1,10,2006,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241247116132411637613445114610137112',NULL,'9999',0.00,1,2,1),(16,3313034,'1988-03-30 00:00:00',2,1,12,2006,'F','N','RIO GRANDE','PALHOçA','SC','124241241121251331456313345134610138177',NULL,'591',23.98,1,2,1),(16,3313050,'1985-11-04 00:00:00',4,1,12,2002,'M','N','JARDIM IGUATEMI','RIBEIRãO PRETO','SP','125253251415511431478811572122610127182',90,'9998',81.16,1,3,NULL),(16,3313077,'1988-05-03 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124242241212473431445311241334610123187',NULL,'976',28.48,1,3,NULL),(16,3313085,'1989-05-19 00:00:00',4,6,12,2006,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215272412468812474112130637182',10136,'44',48.56,1,3,NULL),(16,3313093,'1988-04-04 00:00:00',2,1,12,2005,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124243241311373711337733345124610168197',NULL,'257',0.00,1,3,NULL),(16,3313107,'1987-07-10 00:00:00',4,1,12,2004,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124254251217152421367612241132221467012',NULL,'9998',0.00,1,3,NULL),(16,3313115,'1990-02-01 00:00:00',4,9,12,2008,'M','N','BOQUEIRãO','PASSO FUNDO','RS','120203201216111431547734575122610167052',NULL,'9998',2.50,2,3,NULL),(16,3313123,'1984-08-03 00:00:00',2,9,12,2001,'M','N','SANTO ANTONIO','LAGES','SC','124241241116232431544813315124133264037',NULL,'935',0.00,4,3,NULL),(16,3313131,'1992-07-23 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124242241212111431536824375124610126092',15991,'1076',37.26,1,3,NULL),(16,3313140,'1960-05-29 00:00:00',4,1,12,1980,'M','N','CARIANOS','FLORIANóPOLIS','SC','224203171227151411566443234122140827057',7666,'9998',53.03,1,3,NULL),(16,3313158,'1984-04-07 00:00:00',2,1,12,2001,'M','N','COQUEIROS','FLORIANóPOLIS','SC','224071071116132431564643335122140717053',6507,'9998',55.26,4,3,NULL),(16,3313166,'1974-08-20 00:00:00',3,1,10,1997,'F','N','CAMPECHE','FLORIANóPOLIS','SC','224253257446134421326749495322222238187',12487,'9999',44.41,2,1,2),(16,3313182,'1978-12-30 00:00:00',4,1,5,2001,'M','N','CENTRO','S JOSé','SC','124241246136133211446413495122231064047',14403,'739',40.87,1,2,1),(16,3313190,'1991-12-28 00:00:00',4,1,12,2008,'M','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124243241112161431526614245224610118092',NULL,'288',23.47,1,3,NULL),(16,3313204,'1991-05-15 00:00:00',4,1,12,2008,'M','N','EMBARé','SANTOS','SP','125252251215471431679913272121610132112',3095,'9998',63.54,1,3,NULL),(16,3313212,'1988-03-08 00:00:00',2,1,12,2005,'M','N','CENTRO','UMUARAMA','PR','116164161416572431488813142125241417042',1160,'9998',71.16,1,3,NULL),(16,3313220,'1991-03-06 00:00:00',4,1,12,2008,'F','N','GONZAGA','SANTOS','SP','125252251217131411447631175121610147113',6311,'9998',55.66,1,3,NULL),(16,3313239,'1991-11-20 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','120202201217151431589811575122610124142',NULL,'9998',0.00,1,3,NULL),(16,3313263,'1988-04-05 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124201241125131732128621115231610124012',NULL,'307',21.45,4,2,1),(16,3313271,'1984-06-24 00:00:00',4,1,12,2001,'M','N','CENTRO','BIGUAçU','SC','124243241113135441126544441223610126017',NULL,'307',0.00,1,3,NULL),(16,3313280,'1984-10-20 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','124201201137373721223349393335610134187',NULL,'9998',27.31,1,3,NULL),(16,3313298,'1990-06-05 00:00:00',4,1,6,2008,'M','N','BELA VISTA','S JOSé','SC','124241247337131731637714195122110127012',NULL,'726',5.30,1,3,NULL),(16,3313301,'1964-01-29 00:00:00',2,1,11,1981,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241161112152411246344444132340134153',NULL,'9998',0.00,1,3,NULL),(16,3313310,'1983-03-09 00:00:00',4,6,12,1999,'M','N','CENTRO','BAL CAMBORIú','SC','124202241216153431269929445122220767047',NULL,'44',0.00,4,3,NULL),(16,3313328,'1991-07-19 00:00:00',2,9,12,2008,'F','N','UNIVERSITáRIO','LAGES','SC','124241241212171411548512575122610144142',NULL,'499',25.75,1,3,NULL),(16,3313336,'1992-01-02 00:00:00',4,10,11,2009,'F','S','OFICINAS','TUBARãO','SC','124242241217121731229923472125610164187',NULL,'807',27.81,1,3,NULL),(16,3313344,'1973-12-07 00:00:00',4,1,12,1992,'M','N','CENTRO','FLORIANóPOLIS','SC','124241171216142711258843235124122468182',3226,'9998',63.22,1,3,NULL),(16,3313352,'1991-12-27 00:00:00',2,5,11,2008,'M','N','CENTRO','URUSSANGA','SC','124242241217111521525612575112610164162',12892,'820',43.68,1,3,NULL),(16,3313360,'1991-10-16 00:00:00',4,1,12,2009,'M','S','CÓRREGO GRANDE','FLORIANóPOLIS','SC','124242241217122431569933572214610136192',NULL,'270',46.17,1,3,NULL),(16,3313379,'1986-05-20 00:00:00',2,1,12,2007,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241245126132431224354332124610123187',11754,'307',45.72,1,2,1),(16,3313387,'1989-11-19 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241212373411359814572122230217047',7691,'262',52.99,1,3,NULL),(16,3313395,'1991-01-07 00:00:00',4,8,12,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124241241641141721436831215124610164052',NULL,'464',22.91,1,3,NULL),(16,3313409,'1980-02-17 00:00:00',4,1,12,1999,'M','N','ESTREITO','FLORIANóPOLIS','SC','124201241216154421257743335124120222047',NULL,'269',34.17,1,3,NULL),(16,3313425,'1966-11-13 00:00:00',4,1,12,1985,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241243214151431433369492124132216147',NULL,'212',21.53,1,3,NULL),(16,3313433,'1990-01-01 00:00:00',2,8,12,2007,'F','N','CENTRO','POUSO ALEGRE','MG','113132131436141431338839395122243242182',NULL,'9998',0.00,1,3,NULL),(16,3313441,'1984-09-02 00:00:00',2,1,12,2003,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','224241245127471731243353295124610134147',NULL,'76',0.00,1,3,NULL),(16,3313450,'1991-03-12 00:00:00',2,4,12,2008,'F','N','SANTA CATARINA','GETúLIO VARGAS','RS','120201201112131431426315572324610127012',NULL,'9998',0.00,1,2,1),(16,3313468,'1991-05-22 00:00:00',2,9,12,2008,'M','N','CONTA DINHEIRO','LAGES','SC','124244247437141431435839595121610164092',NULL,'1146',29.10,1,3,NULL),(16,3313476,'1992-02-17 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124242241217111431467824575124610127112',7528,'270',53.28,1,3,NULL),(16,3313484,'1991-05-20 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241246116151431456413395124610124096',12104,'306',45.09,1,2,1),(16,3313492,'1990-01-23 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241315372341368831345332610123017',6604,'270',55.04,1,3,NULL),(16,3313506,'1988-05-14 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124243248325273412526379446114610137055',NULL,'307',30.72,1,3,NULL),(16,3313514,'1987-02-03 00:00:00',2,1,12,2005,'M','N','JARDIM ATLÂNTICO','FLORIANóPOLIS','SC','124242241432333231546519175124133237082',NULL,'943',26.33,4,3,NULL),(16,3313522,'1992-01-14 00:00:00',2,5,11,2008,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124241241217111731654933272122610118147',4590,'226',59.58,1,3,NULL),(16,3313530,'1989-04-22 00:00:00',4,1,12,2007,'M','N','RURAL','AMAMBAí','MS','125122136235471421464736345124610132182',NULL,'9998',0.00,1,3,NULL),(16,3313549,'1976-04-08 00:00:00',4,1,12,1994,'F','N','CENTRO','FLORIANóPOLIS','SC','120204201116151431368853415125342266152',4840,'9998',58.99,1,3,NULL),(16,3313565,'1986-04-15 00:00:00',4,1,12,2003,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241248126161431538814241232130817057',NULL,'111',0.00,1,3,NULL),(16,3313573,'1982-07-07 00:00:00',4,1,2,2004,'F','N','JD ATLANTICO','FLORIANóPOLIS','SC','124201207114131741235344446224610162197',16606,'9999',34.76,1,3,NULL),(16,3313581,'1991-03-18 00:00:00',4,1,12,2008,'F','N','NOVA JACAREZINHI','JACAREZINHO','PR','116162161217111431349819375122610142057',15661,'9998',38.15,1,3,NULL),(16,3313590,'1989-02-26 00:00:00',4,1,12,2008,'F','N','IGARA 3','CANOAS','RS','120201201127131731523729295124610146097',NULL,'9998',0.00,1,2,1),(16,3313603,'1990-10-29 00:00:00',2,9,12,2007,'F','N','ESTREITO','ALFREDO WAGNER','SC','124241241127472411448932291112610145142',14200,'13',41.24,1,2,1),(16,3313611,'1990-10-24 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124241241121131431423614241224610125143',NULL,'730',22.20,2,1,1),(16,3313620,'1992-08-04 00:00:00',4,1,12,2008,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124242241216111431557632341124610168052',NULL,'1048',35.98,1,3,NULL),(16,3313646,'1983-07-09 00:00:00',2,1,12,2000,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124201201126132431421219485324221627052',NULL,'9998',26.08,2,1,1),(16,3313654,'1989-05-20 00:00:00',4,1,12,2006,'F','N','CENTRO','PALHOçA','SC','124162161235131431338923495124610137057',5210,'9998',58.09,1,3,NULL),(16,3313662,'1990-04-17 00:00:00',2,3,12,2007,'M','N','SãO JOãO','PTO ALEGRE','RS','120201241135472411236771245124610121142',10531,'96',47.87,4,2,1),(16,3313670,'1989-11-01 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241112173411445572322122610122092',NULL,'499',21.13,1,3,NULL),(16,3313689,'1985-08-27 00:00:00',2,3,12,2005,'F','N','CENTRO','BAL CAMBORIú','SC','224241241125131421335654182115610138147',NULL,'51',24.35,1,2,1),(16,3313697,'1981-03-27 00:00:00',4,1,12,1998,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241126142731643375332223332247147',8387,'546',51.61,1,3,NULL),(16,3313700,'1991-10-23 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241212111431469613572124610117057',13024,'269',43.46,1,3,NULL),(16,3313719,'1984-12-03 00:00:00',2,1,12,2003,'M','N','CAMOBI','STA MARIA','RS','124201201216141431143632345334241024063',15134,'9998',39.34,1,3,NULL),(16,3313727,'1992-01-09 00:00:00',4,5,11,2009,'F','S','CENTRO','URUSSANGA','SC','124244241415171331556712395122610128047',NULL,'820',36.23,1,3,NULL),(16,3313735,'1986-10-10 00:00:00',4,1,12,2003,'M','N','BARREIROS','S JOSé','SC','124242241217375331368713375124231427057',NULL,'738',38.08,1,3,NULL),(16,3313743,'1989-06-15 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANóPOLIS','SC','124041241135372431627613482324610147077',NULL,'283',25.74,1,3,NULL),(16,3313778,'1989-12-30 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124244241335141431537514381124610168167',NULL,'288',36.55,1,3,NULL),(16,3313786,'1988-03-01 00:00:00',2,1,12,2005,'M','N','CENTRO - SãO JOSé','S JOSé','SC','124221201137142411568613445114231427043',12034,'9998',45.21,4,2,1),(16,3313794,'1990-10-06 00:00:00',2,1,12,2007,'F','N','PRAIA COMPRIDA','S JOSé','SC','124243241117372431438614142134610128117',NULL,'733',22.22,1,3,NULL),(16,3313808,'1983-02-04 00:00:00',2,1,12,2000,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241245112132431426521312324610122177',NULL,'69',28.47,1,3,NULL),(16,3313816,'1982-09-10 00:00:00',2,1,12,1999,'F','N','PICADAS DO NORTE','SAO JOSE','SC','124243244331232411333614391324610142147',NULL,'266',20.45,2,1,2),(16,3313824,'1991-11-29 00:00:00',2,5,11,2009,'F','S','FIGUEIRA','URUSSANGA','SC','124242241215111431638819495222610134143',NULL,'820',26.16,1,3,NULL),(16,3313832,'1981-09-07 00:00:00',2,1,12,1998,'M','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124124121217274432668613485114141427047',7370,'9998',53.59,4,3,NULL),(16,3313840,'1983-12-23 00:00:00',3,1,11,2001,'M','N','INGLESES','FLORIANóPOLIS','SC','124242241214144211559614481124221424042',NULL,'208',0.00,1,3,NULL),(16,3313867,'1988-11-24 00:00:00',4,1,11,2006,'F','N','MAGALHãES','LAGUNA','SC','124242241215373431453611442124133244097',NULL,'807',24.59,1,3,NULL),(16,3313875,'1987-05-18 00:00:00',2,1,12,2004,'F','N','PASSA VINTE','PALHOçA','SC','124241241137131431223619242334610123111',NULL,'591',18.36,1,2,1),(16,3313883,'1991-07-04 00:00:00',4,2,12,2008,'F','N','CENTRO','TIMBó','SC','124244241215111431463924572121610135142',15475,'1157',38.60,1,3,NULL),(16,3313891,'1988-03-23 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241212573431454911575124131424192',NULL,'499',0.00,1,3,NULL),(16,3313905,'1991-02-08 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124244241212111331554412372122610124047',NULL,'1074',24.80,1,3,NULL),(16,3313913,'1969-01-10 00:00:00',2,1,12,1987,'F','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','624251251127131431554464482124610164147',14131,'9998',41.37,3,2,1),(16,3313921,'1991-04-23 00:00:00',4,5,12,2008,'M','N','CENTRO','TRêS CACHOEIRAS','RS','120201201115471531546931412112610147047',NULL,'9998',23.73,1,3,NULL),(16,3313930,'1991-01-10 00:00:00',2,4,12,2008,'F','N','COLINA DA CASCATA','FLOR DA SERRA DO SUL','PR','116161162115111431328423575124610122147',NULL,'9998',24.18,1,3,NULL),(16,3313948,'1989-09-27 00:00:00',4,1,12,2006,'M','N','RIO SALTO','ANITáPOLIS','SC','124241241117162751521136152323610137047',NULL,'19',27.82,1,2,1),(16,3313956,'1979-08-28 00:00:00',4,1,12,1997,'M','N','SANTA MONICA','FLORIANóPOLIS','SC','124241243227135431236844345122122324147',NULL,'120',35.23,1,3,NULL),(16,3313964,'1950-12-21 00:00:00',2,1,12,1974,'F','N','INGLESES','FLORIANóPOLIS','SC','224161165117131431223359282112132822187',NULL,'9998',1.00,1,3,NULL),(16,3313972,'1989-07-13 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241215473431447732375122610122122',15413,'269',38.75,1,3,NULL),(16,3313980,'1974-05-16 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124163161342132431133341212122221467142',10370,'9998',48.14,4,3,NULL),(16,3313999,'1991-03-30 00:00:00',2,8,12,2007,'F','N','CENTRO','TELêMACO BORBA','PR','116161161212411411378833575124610113182',NULL,'9998',0.00,1,3,NULL),(16,3314006,'1990-03-19 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241215312431479613595214431467111',1993,'883',67.21,1,3,NULL),(16,3314014,'1987-12-18 00:00:00',2,1,12,2004,'F','N','FERNANDES','S JOãO BATISTA','SC','124241241114371431543633275124130228147',11667,'712',45.88,1,2,1),(16,3314030,'1992-07-22 00:00:00',4,3,11,2009,'F','S','CENTRO','CAçADOR','SC','124242241216111231335939595125610134092',NULL,'1124',0.00,1,3,NULL),(16,3314049,'1982-01-01 00:00:00',4,1,12,2000,'F','N','INGLESES','FLORIANóPOLIS','SC','124241248117142731224444445114610167047',NULL,'134',24.44,1,3,NULL),(16,3314057,'1991-03-10 00:00:00',4,5,11,2008,'F','N','COMERCIáRIO','CRICIúMA','SC','124242241215271431438824575122610136072',10225,'226',48.38,1,3,NULL),(16,3314065,'1984-06-25 00:00:00',2,1,11,2001,'F','N','BEIRA MAR','FLORIANóPOLIS','SC','124201201116271421136643435134610126171',13949,'9998',41.75,1,2,1),(16,3314073,'1978-11-02 00:00:00',2,1,11,1999,'F','N','BACACHERI','CURITIBA','PR','216161237146151751454453575122610164172',4393,'9999',60.03,1,2,1),(16,3314081,'1990-06-20 00:00:00',2,9,12,2008,'F','N','SAO JOSE','CURITIBANOS','SC','224201244115271411223354382225610144147',NULL,'239',22.20,1,2,1),(16,3314090,'1953-06-21 00:00:00',4,1,12,1970,'M','N','CANTO DA LAGOA','FLORIANOPOLIS','SC','524212218217143411244442325122321414092',5835,'9998',56.71,1,3,NULL),(16,3314111,'1985-11-27 00:00:00',4,1,3,2008,'F','N','BARREIROS','S JOSé','SC','124241247411133751336444245124232024187',14482,'9999',40.72,1,3,NULL),(16,3314146,'1985-11-01 00:00:00',4,1,12,2003,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124254251217131411436614145124141032142',NULL,'9998',33.13,1,3,NULL),(16,3314154,'1987-03-04 00:00:00',4,1,12,2005,'F','N','AGUA BRANCA','GOIâNIA','GO','109092091216571751466414572122610115187',12862,'9998',43.74,1,3,NULL),(16,3314162,'1990-09-18 00:00:00',4,3,12,2007,'F','N','AREIAS','CAMBORIú','SC','124242241115132431546814575124231547147',9719,'129',49.30,3,3,NULL),(16,3314170,'1991-07-06 00:00:00',4,9,11,2008,'M','N','CENTRO','S JOAQUIM','SC','124242241215111721437923335122610117017',10414,'1035',48.07,1,3,NULL),(16,3314189,'1990-03-08 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124243241315212431566632232114233227043',7197,'943',53.92,1,3,NULL),(16,3314200,'1991-11-29 00:00:00',2,2,12,2008,'F','N','SETE DE SETEMBRO','GASPAR','SC','124242241316131431437629295224610123111',15633,'955',38.23,4,3,NULL),(16,3314219,'1989-02-03 00:00:00',2,1,12,2006,'M','N','BARREIROS','S JOSé','SC','124241241417142132448613441132610167057',NULL,'1036',34.78,1,3,NULL),(16,3314227,'1989-11-04 00:00:00',4,8,12,2006,'F','N','VL MORAES','S PAULO','SP','125252251216473431338811575124241334147',16294,'9998',36.39,1,3,NULL),(16,3314243,'1982-05-22 00:00:00',4,8,12,2001,'M','N','FLAMBOYANT','CUIABá','MT','111114111416574431438611474124140424097',1668,'9998',68.57,4,3,NULL),(16,3314251,'1983-09-05 00:00:00',2,1,12,2000,'M','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124122121217274431668613445114610127047',4002,'9998',61.06,1,3,NULL),(16,3314260,'1991-09-09 00:00:00',2,1,2,2008,'M','N','DANIELA','FLORIANóPOLIS','SC','124242241215111431365712222124610167012',NULL,'1048',24.31,1,3,NULL),(16,3314278,'1978-11-26 00:00:00',2,1,12,2003,'F','N','PINGUIRITO','GAROPABA','SC','624241246121131431323151245324220218187',NULL,'9999',25.49,2,2,1),(16,3314286,'1979-04-08 00:00:00',2,1,12,1999,'M','N','ITACORUBI','FLORIANóPOLIS','SC','624251257427234431328641215124610132172',NULL,'9998',37.79,1,3,NULL),(16,3314294,'1991-05-24 00:00:00',4,4,12,2008,'F','N','BELA VISTA','ERECHIM','RS','120201201215131411443629372124610121147',13388,'9998',42.81,1,3,NULL),(16,3314308,'1990-03-19 00:00:00',4,1,12,2007,'M','N','ZONA 7','UMUARAMA','PR','116162161216472212466812125122610161177',NULL,'9998',19.26,4,3,NULL),(16,3314316,'1982-08-16 00:00:00',2,1,12,2000,'F','N','AREIAS','S JOSé','SC','124241241132134431424541215124131022077',16260,'808',36.49,2,1,1),(16,3314324,'1985-02-04 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241212134431226851312334222227037',NULL,'453',0.00,2,3,NULL),(16,3314332,'1982-09-28 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244241415133431556413445132231024183',15445,'226',38.66,1,3,NULL),(16,3314340,'1992-08-09 00:00:00',4,1,12,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124242241215131411338813492124610157187',10678,'1048',47.61,1,3,NULL),(16,3314359,'1990-09-17 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECó','SC','124241241137371431336617245125610124157',NULL,'744',22.37,1,2,1),(16,3314367,'1983-01-29 00:00:00',2,1,12,2001,'F','N','PANTANAL','FLORIANóPOLIS','SC','124251253146334431237644242134123047182',NULL,'9998',34.19,1,2,1),(16,3314375,'1989-08-09 00:00:00',4,4,12,2006,'M','N','ARROIO','ESPUMOSO','RS','120201201146151421423324242114142932147',NULL,'9998',0.00,1,3,NULL),(16,3314383,'1991-03-16 00:00:00',2,1,12,2008,'M','N','SANTA MONICA','FLORIANóPOLIS','SC','124242241115131431438618595121610127187',NULL,'267',34.85,1,3,NULL),(16,3314391,'1991-01-23 00:00:00',4,3,12,2007,'M','N','CENTRO','CONGONHAL','MG','113133131216271732546923585114610137042',NULL,'9998',0.00,1,3,NULL),(16,3314405,'1982-06-15 00:00:00',4,10,12,1999,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','120201201116471421368743335122140934097',NULL,'9998',0.00,1,3,NULL),(16,3314413,'1982-08-01 00:00:00',4,1,12,2000,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124251251136131711113339115122142844187',NULL,'9998',29.59,1,2,1),(16,3314421,'1984-11-10 00:00:00',2,1,12,2003,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','224241241145132421236654345123610117061',NULL,'307',22.69,1,2,1),(16,3314430,'1969-05-07 00:00:00',2,1,11,1986,'F','N','CENTRO','FLORIANóPOLIS','SC','224161168312131431244354272122332262182',NULL,'9998',27.01,1,3,NULL),(16,3314456,'1988-01-28 00:00:00',4,1,7,2007,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124244281316152412219729385114230237125',8302,'9998',51.79,1,3,NULL),(16,3314464,'1991-07-27 00:00:00',2,5,12,2008,'M','N','CENTRO','S JOãO SUL','SC','124241242117131431433332275124610134142',15874,'690',37.54,1,2,1),(16,3314472,'1991-12-21 00:00:00',2,1,12,2008,'F','N','FAZENDA DA ARMAçãO','GOV CELSO RAMOS','SC','124241241116131431426623575121610127052',NULL,'64',21.55,1,2,1),(16,3314480,'1977-06-01 00:00:00',4,1,9,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124201247136373421345751115122610126177',3407,'9999',62.66,1,2,1),(16,3314499,'1989-09-16 00:00:00',4,1,12,2006,'F','N','RIO CAVEIRAS','BIGUAçU','SC','124241241111131431526613431334610123142',NULL,'65',25.50,1,2,1),(16,3314502,'1974-09-09 00:00:00',2,1,6,1994,'M','N','PRADO','BIGUAçU','SC','124241241327133731334479242314221646047',7741,'63',52.89,1,3,NULL),(16,3314510,'1983-07-27 00:00:00',2,1,12,2001,'M','N','SANTINHO','FLORIANóPOLIS','SC','124164161416232411227644345324140234052',15457,'9998',38.63,1,3,NULL),(16,3314529,'1990-08-23 00:00:00',4,4,12,2007,'F','N','CENTRO','ALPESTRE','RS','120201201115471731546322485125610121077',11467,'9998',46.23,1,2,1),(16,3314537,'1989-11-16 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','111112111216471431559712575125610158017',NULL,'9998',0.00,1,3,NULL),(16,3314545,'1988-12-30 00:00:00',4,8,12,2006,'M','N','SãO JUDAS TADEU','S JOSé CAMPOS','SP','104044041216271411489913591122142466042',63,'9998',81.84,1,3,NULL),(16,3314561,'1991-08-05 00:00:00',4,4,12,2008,'F','N','EFACIP','PINHALZINHO','SC','124241241117271431546734572225610126192',13573,'616',42.50,1,3,NULL),(16,3314570,'1989-09-12 00:00:00',2,8,12,2007,'M','N','CENTRO','UTINGA','BA','105052161217161731546831242225610157187',NULL,'9998',36.80,2,3,NULL),(16,3314588,'1982-01-27 00:00:00',2,8,11,2003,'M','N','FLOR DE NAPOLES','S JOSé','SC','124243243113135411258613475121231424177',NULL,'306',28.25,1,3,NULL),(16,3314596,'1987-04-04 00:00:00',2,1,12,2004,'M','N','CAMPINAS','SAO JOSE','SC','224241241127171431223674145234610134182',NULL,'477',22.15,4,3,NULL),(16,3314600,'1989-09-26 00:00:00',4,1,12,2006,'M','N','ASA SUL','BRASíLIA','DF','107072071216271431479833575114241922092',3070,'9998',63.60,1,3,NULL),(16,3314618,'1989-12-21 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217272431239923445124610143012',NULL,'1022',31.64,1,3,NULL),(16,3314626,'1989-05-19 00:00:00',2,1,12,2005,'F','N','BALNEARIO ESTREITO','FLORIANóPOLIS','SC','124242241215273431356721315124122265092',5831,'884',56.71,1,3,NULL),(16,3314634,'1988-09-05 00:00:00',2,8,12,2005,'M','N','CENTRO','CANOINHAS','SC','124241241216573421558614575114131424112',3633,'973',62.00,1,3,NULL),(16,3314642,'1962-11-21 00:00:00',2,1,12,1981,'F','N','COLONINHA','FLORIANóPOLIS','SC','224241241127131411535351175124131035147',14423,'100',40.84,1,2,1),(16,3314650,'1990-08-31 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124161161116372431556619495124233216141',11214,'9998',46.63,1,2,1),(16,3314669,'1990-05-22 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241217111431256922225122610124112',NULL,'951',14.13,1,3,NULL),(16,3314677,'1979-06-01 00:00:00',2,6,12,1997,'F','N','SETOR SUL','VL RICA','MT','111111131116161451523375492121340932187',NULL,'9998',0.00,1,2,1),(16,3314685,'1988-06-07 00:00:00',2,1,12,2005,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241217133711227644241124131026047',16309,'1048',36.34,1,3,NULL),(16,3314693,'1978-02-23 00:00:00',4,10,12,1997,'M','N','MONTE CASTELO','TUBARãO','SC','124241241415214421354612415122330734142',10197,'9997',48.43,1,3,NULL),(16,3314707,'1987-03-30 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241212313421466933475122230227042',13709,'266',42.26,1,3,NULL),(16,3314715,'1989-05-16 00:00:00',2,1,8,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241112271311623324185324610126041',NULL,'736',20.95,1,2,1),(16,3314723,'1987-10-07 00:00:00',2,1,11,2007,'M','N','SERRARIA','S JOSé','SC','124243247423371411521321112324610124112',NULL,'9999',43.35,1,3,NULL),(16,3314731,'1991-10-10 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241115141431526614272122610137043',NULL,'288',25.15,1,2,1),(16,3314740,'1990-06-26 00:00:00',4,2,12,2007,'F','N','CENTRO','LUPIONOPOLIS','PR','116163161216475731534723572124610164147',NULL,'9998',0.00,1,3,NULL),(16,3314766,'1988-11-28 00:00:00',2,1,12,2006,'M','N','GUARA 1','GUARá','DF','107102071217571411248631575122610164022',NULL,'9998',0.00,4,3,NULL),(16,3314774,'1963-05-03 00:00:00',4,1,12,1980,'M','N','CENTRO','FLORIANóPOLIS','SC','124201204217151411156643331334541561173',6655,'9998',54.96,1,3,NULL),(16,3314790,'1989-11-25 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','111152111216471431346724575125610158197',NULL,'9998',0.00,1,3,NULL),(16,3314804,'1991-06-21 00:00:00',4,9,12,2008,'M','N','RIO DAS ANTAS','MTE CASTELO','SC','124244241412161431458616575122610114077',NULL,'566',23.36,1,3,NULL),(16,3314812,'1988-02-14 00:00:00',2,4,12,2005,'M','N','SANTA CATARINA','ERECHIM','RS','120201201136132431425514345124610127052',NULL,'9998',29.98,1,2,1),(16,3314839,'1984-05-03 00:00:00',2,1,12,2001,'M','N','SANTA TEREZINHA','D PEDRITO','RS','120143201117571451366519595124143267077',4323,'9998',60.19,1,3,NULL),(16,3314855,'1987-07-01 00:00:00',4,1,11,2004,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241217422431489813571122610166162',NULL,'270',40.74,1,3,NULL),(16,3314863,'1991-06-24 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124162161216171431348831575122610118062',NULL,'9998',30.99,1,3,NULL),(16,3314871,'1988-01-09 00:00:00',2,1,12,2007,'M','N','N SRA DO ROSARIO','S JOSé','SC','124241241215371321529314392124610124062',NULL,'269',25.10,1,3,NULL),(16,3314880,'1984-09-17 00:00:00',2,1,12,2002,'F','N','ROçADO','S JOSé','SC','124241241121132431424634242124132713177',NULL,'736',33.94,4,1,1),(16,3314898,'1987-09-21 00:00:00',4,1,12,2005,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215373431568712575122121437042',4821,'1038',59.02,1,3,NULL),(16,3314901,'1979-05-28 00:00:00',2,1,12,1996,'F','N','PANTANAL','FLORIANOPOLIS','SC','624254253226572731227843332224321942097',3788,'9998',61.63,1,3,NULL),(16,3314910,'1982-04-02 00:00:00',4,1,12,2000,'F','N','AREIAS DO CAMPECHE','FLORIANóPOLIS','SC','224233233316433431226654481324130232092',NULL,'9998',21.18,1,3,NULL),(16,3314936,'1987-08-25 00:00:00',4,8,12,2005,'M','N','CENTRO','CARAGUATATUBA','SP','125252256217572431488711572112141444054',26,'9998',83.81,3,3,NULL),(16,3314944,'1985-02-15 00:00:00',2,1,12,2002,'F','N','INGLESES','FLORIANóPOLIS','SC','124073071316142421128844344324123042127',15172,'9998',39.26,1,3,NULL),(16,3314960,'1991-03-13 00:00:00',2,4,12,2008,'F','N','INTERIOR','IPUAçU','SC','124241241115131431423315572222610127147',NULL,'372',24.82,1,2,1),(16,3314979,'1990-12-04 00:00:00',4,3,12,2008,'M','N','VILA ADILETA','ASSIS','SP','125252251416111431326724575121610127092',8743,'9998',51.00,4,3,NULL),(16,3314987,'1990-12-20 00:00:00',4,1,12,2008,'F','N','PACHECO','PALHOçA','SC','124241241147161731536619292124610112187',NULL,'1109',19.71,1,2,1),(16,3314995,'1983-08-22 00:00:00',2,1,12,2000,'M','N','PANTANAL','FLORIANóPOLIS','SC','624251253116472441226853395224221947097',6654,'9998',54.96,1,3,NULL),(16,3315002,'1980-06-09 00:00:00',2,1,12,1999,'M','N','JOSE MENDES','FLORIANóPOLIS','SC','124241247126153411436414235132220532187',NULL,'9999',29.10,1,3,NULL),(16,3315010,'1991-01-30 00:00:00',2,8,12,2008,'M','N','ITAUM','JOINVILLE','SC','124242248437131421426631272224610127182',NULL,'908',0.00,1,3,NULL),(16,3315029,'1991-02-21 00:00:00',4,6,12,2008,'M','N','SãO JUDAS','ITAJAí','SC','124242241246131431353923575121610127052',NULL,'388',23.54,1,3,NULL),(16,3315037,'1988-11-21 00:00:00',4,1,11,2006,'M','N','JARDIM PINHEIROS','S JOSé','SC','124241241116132331237729385124231916172',NULL,'739',0.00,1,2,1),(16,3315045,'1989-04-28 00:00:00',2,1,12,2006,'F','N','FAZENDA SANTO ANTôNI','S JOSé','SC','124241241117273731557611342134610137147',10587,'733',47.76,1,3,NULL),(16,3315053,'1990-08-09 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124161241115371431326611246124610133092',16599,'276',34.85,4,3,NULL),(16,3315061,'1988-06-13 00:00:00',2,6,12,2005,'F','N','SãO VICENTE','ITAJAí','SC','124243241215132751334314395114610125147',NULL,'391',35.20,1,3,NULL),(16,3315070,'1987-11-06 00:00:00',2,1,12,2005,'M','N','PONTA DE BAIXO','S JOSé','SC','124242241215575431387814585122130223092',5195,'270',58.12,1,3,NULL),(16,3315096,'1959-12-10 00:00:00',4,1,12,1978,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','224131136127131431434141112132541462197',12981,'9998',43.53,1,3,NULL),(16,3315100,'1977-02-23 00:00:00',4,1,11,1994,'M','N','SANTA MONICA','FLORIANóPOLIS','SC','124246248616153251218879195122333268187',NULL,'269',0.00,1,3,NULL),(16,3315118,'1988-08-06 00:00:00',4,8,12,2005,'M','N','ILHA DA FIGUEIRA','JARAGUá SUL','SC','124241241126132431553414345123610134017',NULL,'436',25.45,1,2,1),(16,3315126,'1992-01-02 00:00:00',4,1,12,2009,'M','S','CENTRO','ANTONIO CARLOS','SC','124241241115151431449913571122610116053',NULL,'21',39.64,1,3,NULL),(16,3315134,'1991-01-30 00:00:00',2,8,12,2008,'M','N','SAGUAçU','JOINVILLE','SC','124243241216111431588513575122610124142',13981,'456',41.69,1,3,NULL),(16,3315142,'1991-02-20 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124122241416311521428731572124610117012',NULL,'307',0.00,1,3,NULL),(16,3315150,'1986-01-10 00:00:00',2,1,6,2005,'F','N','INGLESES','FLORIANóPOLIS','SC','124201207436472431456821375124610167097',NULL,'9999',0.00,1,3,NULL),(16,3315169,'1981-08-28 00:00:00',4,3,11,1998,'F','N','CENTRO','BAL CAMBORIú','SC','124242241216133431435631185324131434027',9115,'447',50.39,1,3,NULL),(16,3315177,'1990-05-26 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215372431478813475124130224182',7922,'1022',52.56,1,3,NULL),(16,3315185,'1984-09-03 00:00:00',4,1,12,2003,'M','N','BARREIROS','S JOSé','SC','124242241216144421542613341124610127011',NULL,'738',25.50,2,1,2),(16,3315193,'1978-10-13 00:00:00',4,1,12,1997,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124244241217474411569813376124331966191',2970,'269',63.91,1,3,NULL),(16,3315207,'1989-06-05 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215373431466833345124610127047',7871,'1022',52.66,1,3,NULL),(16,3315215,'1991-03-06 00:00:00',4,8,12,2007,'F','N','SAGUACU','JOINVILLE','SC','624242241215471751448811594121610167146',NULL,'462',29.22,1,3,NULL),(16,3315223,'1985-08-03 00:00:00',4,1,11,2003,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241214273431458812191121222832112',2914,'270',64.07,1,3,NULL),(16,3315240,'1986-12-16 00:00:00',2,1,12,2004,'M','N','CARIANOS','FLORIANóPOLIS','SC','124243241337233731636533285114610137047',NULL,'9997',26.11,2,1,2),(16,3315258,'1978-06-14 00:00:00',4,1,12,1996,'M','N','TRINDADE','FLORIANóPOLIS','SC','124251256116132421323319145315222362183',NULL,'9998',32.14,1,2,1),(16,3315266,'1987-10-26 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241114142421216477382224610128051',10471,'732',47.97,1,2,1),(16,3315282,'1985-11-10 00:00:00',2,1,12,2003,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241122134731433319342134610127147',NULL,'307',38.26,1,2,1),(16,3315290,'1957-09-23 00:00:00',4,1,12,1976,'M','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','224201138112155431463349392122521638097',NULL,'9998',0.00,1,3,NULL),(16,3315312,'1984-11-28 00:00:00',2,1,12,2001,'M','N','BRAGA','S JOSé PINHAIS','PR','216201201116471451236643435223241027057',1828,'9998',67.91,1,2,1),(16,3315339,'1988-04-07 00:00:00',5,1,12,2005,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241216273711378914475124233234197',9624,'1098',49.46,1,3,NULL),(16,3315347,'1991-04-23 00:00:00',2,8,7,2008,'M','N','ASA NORTE','BRASíLIA','DF','107071071117371311357613572141610167112',NULL,'9998',0.00,1,2,1),(16,3315355,'1978-10-22 00:00:00',2,1,12,1998,'M','N','PANTANAL','FLORIANóPOLIS','SC','124203203127133731233344145124141424142',NULL,'9998',27.00,1,3,NULL),(16,3315363,'1990-02-23 00:00:00',4,5,6,2008,'M','N','CENTRO','CRICIúMA','SC','124283288117371431644434295122610124052',NULL,'9998',33.28,1,3,NULL),(16,3315371,'1990-08-27 00:00:00',4,1,12,2007,'F','N','ACLIMAçãO','S PAULO','SP','125252251217471411478614475122610124092',9800,'9998',49.15,1,3,NULL),(16,3315380,'1989-12-31 00:00:00',4,1,12,2007,'F','N','PONTA DE BAIXO','S JOSé','SC','124242241215372431326432441112133266143',10170,'723',48.48,4,3,NULL),(16,3315398,'1991-09-16 00:00:00',2,10,10,2008,'F','N','CENTRO','TREZE MAIO','SC','124241241215111521445514575124610124077',NULL,'807',0.00,1,3,NULL),(16,3315401,'1959-06-17 00:00:00',4,1,12,1981,'F','N','CAMPINAS','S JOSé','SC','224241241122131411426344242114610126147',NULL,'293',23.57,1,3,NULL),(16,3315410,'1987-02-02 00:00:00',4,1,12,2004,'M','N','CAMPINAS','S JOSé','SC','124241201416132411126444245334610124062',11085,'9998',46.87,1,3,NULL),(16,3315428,'1990-02-18 00:00:00',4,1,12,2007,'F','N','CAMINHO NOVO','PALHOçA','SC','124241241117141431324424345124610164012',16415,'591',35.85,1,2,1),(16,3315436,'1987-12-23 00:00:00',2,1,12,1987,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241127272431443511242234142823142',13971,'1033',41.71,1,2,1),(16,3315444,'1990-02-01 00:00:00',4,1,12,2006,'F','N','JARDIM MORUMBI','MARíLIA','SP','125252251216571431347832575112610132142',NULL,'9998',0.00,1,3,NULL),(16,3315452,'1986-02-27 00:00:00',4,1,11,2003,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124252251217572431368824585224123265027',6193,'9998',55.93,1,3,NULL),(16,3315460,'1989-04-05 00:00:00',4,1,11,2006,'M','N','CACUPé','FLORIANóPOLIS','SC','124242241217154431486921575122231032187',5137,'270',58.27,1,3,NULL),(16,3315479,'1979-09-13 00:00:00',2,1,12,1998,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241126134321123343235113620167153',11420,'50',46.32,1,2,1),(16,3315487,'1990-02-15 00:00:00',4,1,12,2007,'F','N','ALEGRE','RIO NEGRINHO','SC','124242241214271431548812344112143261042',NULL,'666',25.84,1,3,NULL),(16,3315495,'1985-01-19 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241122131431221144241314133214042',NULL,'298',9.01,4,1,1),(16,3315509,'1983-12-20 00:00:00',2,1,12,2001,'F','N','BRAGA','S JOSé PINHAIS','PR','216201201116471421233353492223241013197',3133,'9998',63.44,1,2,1),(16,3315517,'1987-04-25 00:00:00',4,1,12,2005,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','624243247326273411227774391124133228053',NULL,'9999',31.60,1,3,NULL),(16,3315533,'1987-07-20 00:00:00',2,1,7,2005,'M','N','PORTO DA LAGOA','FLORIANóPOLIS','SC','124241242111161111179812127111112911191',NULL,'9999',21.64,1,3,NULL),(16,3315541,'1985-07-16 00:00:00',2,10,12,2003,'F','N','CENTRO','TUBARãO','SC','124242241213574331446839295122142631187',12953,'807',43.59,1,3,NULL),(16,3315550,'1990-05-19 00:00:00',2,1,12,2007,'F','N','PACHECO','PALHOçA','SC','124241241142132731545634192134610136187',NULL,'1109',0.00,4,2,1),(16,3315568,'1983-10-07 00:00:00',4,1,12,2000,'F','N','ABRAãO','FLORIANóPOLIS','SC','224243241116135431245354382124233232157',8923,'307',50.70,1,3,NULL),(16,3315576,'1972-09-26 00:00:00',2,1,12,1990,'M','N','COQUEIROS','FLORIANóPOLIS','SC','224241243123374431343343231122321527057',3704,'387',61.81,1,2,1),(16,3315584,'1980-11-17 00:00:00',2,1,12,1997,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242243327473431528629241124131048047',NULL,'257',34.48,1,3,NULL),(16,3315592,'1988-12-20 00:00:00',4,1,10,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217573431658611371122230234147',3546,'262',62.24,1,3,NULL),(16,3315606,'1989-04-29 00:00:00',2,1,12,2006,'F','N','PRESIDENTE KENNEDY','FRANCISCO BELTRãO','PR','116161161112131431323369582115610144092',14054,'9998',41.55,1,3,NULL),(16,3315622,'1991-03-26 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124241241121161411436621582111610167047',NULL,'730',21.02,1,3,NULL),(16,3315630,'1990-06-17 00:00:00',4,1,12,2007,'M','N','CENTRO','IPORã OESTE','SC','124243241337271531536611475125610167097',NULL,'371',31.11,1,3,NULL),(16,3315649,'1985-05-02 00:00:00',2,1,12,2002,'F','N','SANTA TEREZA','PTO ALEGRE','RS','120201201137471431433324491224143234147',13109,'9998',43.31,1,2,1),(16,3315657,'1990-06-11 00:00:00',4,3,12,2007,'F','N','BOQUEIRãO','PASSO FUNDO','RS','120214208117572441669914575222610167185',2573,'9998',65.09,1,3,NULL),(16,3315665,'1986-09-17 00:00:00',2,1,12,2004,'F','N','RESIDENCIAL TATETUBA','S JOSé CAMPOS','SP','125251251116574431536613472124610164097',6498,'9998',55.29,1,2,1),(16,3315681,'1990-07-16 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124253251216211431357611111112610114182',NULL,'9998',21.60,1,3,NULL),(16,3315703,'1988-11-03 00:00:00',2,5,11,2006,'M','N','PRóSPERA','CRICIúMA','SC','124242241216152442226923572124230224187',8604,'995',51.24,1,3,NULL),(16,3315711,'1986-08-24 00:00:00',2,1,7,2004,'F','N','PANTANAL','FLORIANOPOLIS','SC','124242247216235431444532345122232752097',NULL,'9999',23.57,1,3,NULL),(16,3315720,'1990-08-28 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243241215272431664632322124121567142',NULL,'270',0.00,1,3,NULL),(16,3315738,'1987-10-24 00:00:00',2,1,11,2005,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241117132221638721441324610128057',15001,'281',39.65,1,3,NULL),(16,3315746,'1961-02-01 00:00:00',2,1,12,1981,'F','N','SANTA MONICA','FLORIANóPOLIS','SC','224051055117151751554453572114610143191',14344,'9998',40.97,4,1,1),(16,3315754,'1991-06-26 00:00:00',2,8,11,2008,'F','N','ITOUPAVA Açú','JARAGUá SUL','SC','124242241215111431468934575222610134093',2605,'442',65.00,1,3,NULL),(16,3315762,'1990-10-31 00:00:00',4,1,12,2008,'M','N','SAO SEBASTIAO','FRANCA','SP','125251251216171431438614575122610167042',3702,'9998',61.82,1,3,NULL),(16,3315770,'1989-01-17 00:00:00',4,9,12,2007,'M','N','JARDIM IMPERIAL','CUIABá','MT','111113111136271721338834345124610124013',16143,'9998',36.80,2,1,2),(16,3315789,'1991-10-06 00:00:00',4,8,12,2008,'M','N','VILA BEATRIZ','JUNQUEIRóPOLIS','SP','125252251216111431469614575122610167057',NULL,'9998',0.00,1,3,NULL),(16,3315819,'1989-10-02 00:00:00',2,1,11,2006,'F','N','HORTO FLORESTAL','S PAULO','SP','125252251217571431349614495122610167072',NULL,'9998',0.00,1,3,NULL),(16,3315843,'1989-04-11 00:00:00',2,8,11,2006,'F','N','UBERABA','CURITIBA','PR','116162161216571451435619595124610144147',NULL,'9998',0.00,1,3,NULL),(16,3315851,'1984-11-25 00:00:00',2,3,12,2002,'M','N','VILA SOCIAL','APUCARANA','PR','116161161336473731536631495212610128047',NULL,'9998',48.10,1,3,NULL),(16,3315860,'1988-11-06 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124241241116151421533633492324610137052',NULL,'733',30.82,4,3,NULL),(16,3315878,'1989-02-26 00:00:00',4,1,12,2007,'F','N','SERRINHA','FLORIANóPOLIS','SC','124242241216152431433311245124610164187',NULL,'260',27.70,1,3,NULL),(16,3315886,'1991-12-02 00:00:00',4,1,12,2008,'M','N','VILLAGE','GAROPABA','SC','124241241146131431226621345111610127057',NULL,'322',29.66,1,3,NULL),(16,3315894,'1985-07-03 00:00:00',4,1,6,2004,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241237271412228613412222132863145',NULL,'86',0.00,4,3,NULL),(16,3315908,'1990-05-20 00:00:00',2,3,12,2007,'F','N','NOVO CENTAURO','ARAPONGAS','PR','116162161216471441449814572122610121127',14229,'9998',41.18,1,3,NULL),(16,3315916,'1989-02-04 00:00:00',4,1,12,2006,'F','N','VILA EMA','S JOSé CAMPOS','SP','125252251217571721559814584122610167077',464,'9998',76.06,1,3,NULL),(16,3315924,'1986-08-11 00:00:00',2,1,12,2005,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','224241248146131731235651375112610114157',NULL,'395',28.05,1,2,1),(16,3315932,'1990-07-03 00:00:00',2,3,11,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124242241216472411248724375125610167043',6103,'44',56.13,1,3,NULL),(16,3315959,'1991-05-08 00:00:00',4,1,12,2008,'F','N','CENTRO SUL','DOIS VIZINHOS','PR','116162164236121731478833575122610124042',NULL,'9998',0.00,1,3,NULL),(16,3315975,'1992-11-08 00:00:00',4,1,12,2010,'F','S','SANTA MôNICA','FLORIANóPOLIS','SC','124242241212111732369934572122610132122',NULL,'262',31.16,1,3,NULL),(16,3315983,'1990-06-07 00:00:00',4,4,11,2008,'F','N','PARQUE INDUSTRIAL','S JOSé CEDRO','SC','124241247137131231524724475112610117077',NULL,'9999',22.97,1,3,NULL),(16,3316009,'1989-03-31 00:00:00',2,1,12,2005,'M','N','ABERTA MORROS','PTO ALEGRE','RS','120202201215571411538613575114610167047',9055,'9998',50.49,1,3,NULL),(16,3316017,'1987-11-06 00:00:00',2,1,12,2004,'M','N','JARDIM ELDORADO','PALHOçA','SC','124243241317143411435612225122610127042',NULL,'63',0.00,4,3,NULL),(16,3316025,'1973-08-12 00:00:00',4,1,12,1991,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242161216114441536819482124120926012',7407,'9998',53.50,1,3,NULL),(16,3316033,'1979-05-30 00:00:00',2,1,7,2007,'M','N','SACO GRANDE','FLORIANOPOLIS','SC','124246247316151731633441112325610157057',NULL,'9999',37.43,1,3,NULL),(16,3316041,'1984-06-29 00:00:00',2,1,12,2004,'F','N','JARDIM ELDORADO','S JOSé','SC','124241241121131731426519182214610122147',NULL,'1009',0.00,1,3,NULL),(16,3316050,'1990-01-06 00:00:00',2,1,12,2007,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124241241115151431436514345124610126142',16539,'257',35.26,1,2,1),(16,3316068,'1991-03-15 00:00:00',4,8,11,2008,'F','N','XAXIM','CURITIBA','PR','116164161215471431336419575124610162097',NULL,'9998',0.00,1,3,NULL),(16,3316076,'1986-05-31 00:00:00',4,1,12,2003,'M','N','JURERE','FLORIANóPOLIS','SC','124242241117574431366833495122230264187',11684,'262',45.85,1,3,NULL),(16,3316084,'1986-09-05 00:00:00',4,1,12,2004,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124242241214113111683442221332123066053',12145,'666',45.00,1,3,NULL),(16,3316092,'1991-07-17 00:00:00',4,1,12,2008,'M','N','CENTRO','GAROPABA','SC','124241241125161431435833375122610127042',NULL,'322',28.18,1,2,1),(16,3316106,'1964-09-07 00:00:00',2,1,8,2001,'M','N','BELA VISTA I','S JOSé','SC','224246247322153431456444141132610164187',16490,'9999',35.50,1,3,NULL),(16,3316114,'1985-02-15 00:00:00',4,1,12,2002,'M','N','CARIANOS','FLORIANóPOLIS','SC','124244241317275431478613295114233264122',NULL,'272',9.60,1,3,NULL),(16,3316122,'1986-09-19 00:00:00',4,1,12,2004,'M','N','CAMPINAS','S JOSé','SC','124241248215574431466532442112122312117',13993,'737',41.65,4,3,NULL),(16,3316130,'1990-04-18 00:00:00',4,4,12,2006,'F','N','CENTRO','CHAPECó','SC','124242241215472431449911572114610122122',NULL,'185',0.00,1,3,NULL),(16,3316149,'1989-09-15 00:00:00',1,1,12,2007,'M','N','FUNDOS','BIGUAçU','SC','124241248126132751523339392121610118042',14440,'65',40.81,1,3,NULL),(16,3316157,'1988-10-16 01:00:00',4,1,12,2005,'M','N','ALTO DA PONTE','S JOSé CAMPOS','SP','125251251215572431236479275122610137047',12875,'9998',43.71,4,3,NULL),(16,3316165,'1990-10-26 00:00:00',4,1,12,2007,'M','N','SAMBAQUI','FLORIANóPOLIS','SC','124242241217152431466817125124233232096',16054,'272',37.10,1,3,NULL),(16,3316203,'1984-04-21 00:00:00',2,1,12,2004,'F','N','REAL PARQUE SJ','S JOSé','SC','124241241126474731123141315334130224147',NULL,'307',22.70,1,3,NULL),(16,3316211,'1988-05-27 00:00:00',2,10,12,2005,'F','N','CENTRO','TUBARãO','SC','124242241215572411447711395122132667072',7164,'807',53.97,1,3,NULL),(16,3316220,'1990-03-29 00:00:00',4,2,12,2007,'M','N','SANTA TEREZINHA','GASPAR','SC','124242241215121431565312325132610167062',NULL,'855',0.00,1,3,NULL),(16,3316238,'1988-04-15 00:00:00',2,1,10,2006,'M','N','JARDIM PAULISTA','RIBEIRãO PRETO','SP','125252251235271731487514475112140962097',NULL,'9998',19.89,1,3,NULL),(16,3316246,'1990-03-07 00:00:00',4,1,11,2007,'M','N','PQ RES AQUARIUS','S JOSé CAMPOS','SP','125252251415472431467612575122610137042',2857,'9998',64.20,1,3,NULL),(16,3316254,'1983-01-01 00:00:00',4,1,12,2001,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124253251212235431338619285124140667117',NULL,'9998',19.96,1,3,NULL),(16,3316262,'1987-12-12 00:00:00',2,1,12,2005,'F','N','ROçADO','S JOSé','SC','116241241211133441438711415124240668197',11335,'1022',46.44,3,3,NULL),(16,3316270,'1990-12-09 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241215122431558731575124610122117',NULL,'1022',0.00,1,3,NULL),(16,3316289,'1981-12-28 00:00:00',1,1,12,1999,'M','N','PRAIA COMPRIDA','S JOSé','SC','124241242116133431224444345123610124045',11733,'129',45.76,1,2,1),(16,3316297,'1987-07-19 00:00:00',4,5,11,2004,'F','N','PRóSPERA','CRICIúMA','SC','124242241211573431489831571112130245122',1251,'226',70.65,1,3,NULL),(16,3316300,'1951-11-10 00:00:00',4,1,12,1970,'M','N','CÓRREGO GRANDE','FLORIANóPOLIS','SC','224131251126471451563641211122341434183',11743,'9998',45.74,1,3,NULL),(16,3316319,'1990-09-13 00:00:00',2,5,11,2007,'M','N','CENTRO','SOMBRIO','SC','124242241215222431469933574125610137042',13454,'32',42.68,4,3,NULL),(16,3316327,'1988-08-25 00:00:00',2,1,12,2005,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241216273431328841211124610137147',NULL,'723',27.01,1,3,NULL),(16,3316335,'1985-10-25 00:00:00',4,1,4,2004,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241115273411653829595124231247017',9171,'306',50.30,4,2,1),(16,3316343,'1979-09-28 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANóPOLIS','SC','124221227126532111323344241334610126097',NULL,'9998',36.76,5,2,1),(16,3316351,'1981-07-13 00:00:00',2,1,12,2000,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124243241316475421238841315321610127112',12747,'1003',43.92,1,3,NULL),(16,3316360,'1975-02-12 00:00:00',2,1,12,1993,'M','N','SAMBAQUI','FLORIANóPOLIS','SC','224243241316131431133744345124131917097',NULL,'492',34.27,1,3,NULL),(16,3316378,'1985-06-08 00:00:00',2,1,12,2000,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241213275421479611475124231024052',NULL,'266',0.00,1,3,NULL),(16,3316386,'1980-04-08 00:00:00',2,1,12,1997,'F','N','ESTREITO','FLORIANóPOLIS','SC','224241241212133421529944442124122367087',NULL,'270',36.28,1,3,NULL),(16,3316394,'1985-10-10 00:00:00',4,1,12,2003,'F','N','VISTA VERDE','S JOSé CAMPOS','SP','125251251417572431359823412122610123144',NULL,'9998',0.00,1,3,NULL),(16,3316408,'1991-09-08 00:00:00',2,5,12,2008,'M','N','OPERARIA NOVA','CRICIúMA','SC','124243241137131421535734572124610164047',NULL,'209',33.22,1,3,NULL),(16,3316416,'1989-03-18 00:00:00',4,1,12,2006,'F','N','CENTRO','CASA BRANCA','SP','125252251215572751477914575122610163187',NULL,'9998',0.00,1,3,NULL),(16,3316424,'1988-02-11 00:00:00',4,4,12,2006,'F','N','CENTRO','RONDA ALTA','RS','120201201116151431545332575124242853147',NULL,'9998',0.00,1,3,NULL),(16,3316459,'1989-09-24 00:00:00',2,8,12,2006,'F','N','SANTA MARIA','ARAçATUBA','SP','125122121215572431238811572111610167097',7367,'9998',53.59,1,3,NULL),(16,3316483,'1986-04-25 00:00:00',4,1,12,2005,'M','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124244247347153411346944345124121764177',8867,'9999',50.78,1,3,NULL),(16,3316491,'1988-11-23 00:00:00',4,1,12,2006,'F','N','CANDEAL','SALVADOR','BA','105052051216571751478923575122610164046',NULL,'9998',0.00,1,3,NULL),(16,3316505,'1991-04-15 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIúMA','SC','124242248216141731236824275124610114052',NULL,'995',28.87,1,3,NULL),(16,3316513,'1980-08-30 00:00:00',4,1,11,2001,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241204314132411328844245324232834097',NULL,'9999',27.80,1,3,NULL),(16,3316521,'1982-01-16 00:00:00',4,1,12,2000,'M','N','TRINDAE','FLORIANóPOLIS','SC','124242241216142711489813415122331066182',7627,'270',53.11,1,3,NULL),(16,3316548,'1968-05-03 00:00:00',4,1,12,1986,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','224201201126131421226641115122340212082',11092,'9998',46.86,1,3,NULL),(16,3316556,'1992-05-18 00:00:00',2,1,12,2008,'M','N','SANTA TEREZA','S PEDRO ALCâNTARA','SC','124243241212111511425511575114610117042',NULL,'1074',20.54,1,3,NULL),(16,3316564,'1992-02-13 00:00:00',4,1,12,2009,'F','S','PARQUE SãO JORGE','FLORIANóPOLIS','SC','124242241215111731458833385124610124017',NULL,'1133',40.41,1,3,NULL),(16,3316572,'1988-09-29 00:00:00',4,1,12,2005,'M','N','JARDIM CENTENARIO','JANDIRA','SP','125252251216131431358629485114610122094',9240,'9998',50.18,1,3,NULL),(16,3316580,'1991-01-25 00:00:00',4,4,12,2008,'M','N','SãO JORGE','S MIGUEL OESTE','SC','124241242112131411336923572124610134057',16028,'758',37.17,1,3,NULL),(16,3316599,'1974-12-19 00:00:00',4,1,12,1995,'M','N','CENTRO','FLORIANóPOLIS','SC','124201201126151421149744145132140222022',NULL,'9998',0.00,1,3,NULL),(16,3316610,'1989-01-01 00:00:00',4,1,12,2005,'F','N','KOBRASOL','S JOSé','SC','120202201217471431266923476124240223057',7262,'9998',53.78,1,3,NULL),(16,3316629,'1981-12-23 00:00:00',4,1,12,1998,'M','N','CARIANOS','FLORIANóPOLIS','SC','124242241216154231358613432114130434047',10417,'266',48.06,1,3,NULL),(16,3316637,'1988-03-28 00:00:00',4,2,12,2005,'F','N','ITOUPAVAZINHA','BLUMENAU','SC','624242241417133741328851394111610166077',16331,'1022',36.27,3,3,NULL),(16,3316645,'1972-05-05 00:00:00',2,1,12,1987,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','624243245322133431443343132122321267142',14872,'9997',39.95,1,3,NULL),(16,3316653,'1991-08-27 00:00:00',4,1,12,2008,'F','N','CENTRO','VERANóPOLIS','RS','120202201216131411436614575122610144077',7450,'9998',53.40,1,3,NULL),(16,3316670,'1989-07-31 00:00:00',4,1,12,2006,'M','N','JARDIM VITóRIA RéGIA','S JOSé R PRETO','SP','125251251217572711448714476113140367186',2955,'9998',63.96,4,3,NULL),(16,3316688,'1985-02-16 00:00:00',4,1,12,2001,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241117131431223344242132130263147',NULL,'85',18.62,1,2,1),(16,3316696,'1987-09-02 00:00:00',2,8,12,2004,'F','N','VILA PROHMANN','S MATEUS SUL','PR','116151161127471431423615282324142526187',NULL,'9998',0.00,1,2,1),(16,3316700,'1993-04-01 00:00:00',4,1,11,2010,'M','S','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241212111431468811572111610117112',NULL,'807',9.31,1,3,NULL),(16,3316718,'1982-04-14 00:00:00',2,1,11,1999,'F','N','SERRINHA','FLORIANóPOLIS','SC','124241241116133431633929292324232847057',13772,'840',42.12,1,2,1),(16,3316726,'1985-07-10 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241317133431326613282224610127117',NULL,'9997',25.38,1,3,NULL),(16,3316734,'1980-11-02 00:00:00',2,1,12,1999,'M','N','PRADO','BIGUAçU','SC','224241246111132731224644242132610144143',11218,'306',46.61,4,1,1),(16,3316742,'1992-02-17 00:00:00',4,4,12,2008,'F','N','SãO CRISTóVãO','CASCAVEL','PR','116162161216111411548833572124610132142',NULL,'9998',0.00,4,3,NULL),(16,3316750,'1990-08-01 00:00:00',2,1,11,2008,'M','N','ADRIANóPOLIS','MANAUS','AM','104042041216151451487732374112610137042',NULL,'9998',0.00,1,3,NULL),(16,3316769,'1989-10-04 00:00:00',2,1,12,2008,'M','N','LIMEIRA','BIGUAçU','SC','124241241111141731332315332224610147147',NULL,'65',14.49,1,2,1),(16,3316777,'1985-01-22 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANóPOLIS','SC','125252251211574431666632571114130267042',8270,'9998',51.84,1,3,NULL),(16,3316785,'1986-09-16 00:00:00',2,1,9,2005,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241114133731466633445124230264052',13719,'306',42.23,1,2,1),(16,3316793,'1989-04-12 00:00:00',2,1,12,2006,'M','N','CENTRO','AT PARANá','PR','116161161217271431333619575122141857072',NULL,'9998',33.04,1,3,NULL),(16,3316807,'1992-04-12 00:00:00',4,7,12,2008,'F','N','CENTRO','PINHEIRO PRETO','SC','124241241126161431534832275122610137047',12099,'618',45.10,1,2,1),(16,3316815,'1990-09-19 00:00:00',2,3,12,2007,'F','N','PIONEIROS','BAL CAMBORIú','SC','124244241217273431446823285122610144015',7980,'1057',52.46,1,3,NULL),(16,3316823,'1983-08-14 00:00:00',4,1,12,2000,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124161161416151421229933335124333225187',16016,'9998',37.21,1,3,NULL),(16,3316831,'1990-10-13 00:00:00',4,1,12,2008,'M','N','CENTRO','IMBITUBA','SC','124243241215111431538624592121610167142',NULL,'362',41.87,1,3,NULL),(16,3316858,'1990-09-29 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215472431468933572112610165187',3380,'270',62.75,1,3,NULL),(16,3316866,'1981-08-01 00:00:00',2,1,12,1998,'M','N','TRINDADE','FLORIANóPOLIS','SC','125253256116413431128814184121141468182',8316,'9998',51.76,4,1,2),(16,3316874,'1988-12-01 00:00:00',4,1,12,2006,'M','N','ASA NORTE','BRASILIA','DF','107073071215575431368633574122610122012',5278,'9998',57.92,1,3,NULL),(16,3316882,'1986-01-05 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241123271431223344143334610144057',NULL,'9999',0.00,1,2,1),(16,3316890,'1991-03-11 00:00:00',2,9,12,2008,'F','N','PETRóPOLIS','LAGES','SC','124244241216271731427911395122610136092',NULL,'515',27.61,1,3,NULL),(16,3316904,'1987-06-16 00:00:00',2,1,12,2005,'F','N','POTECAS','S JOSé','SC','124241241217332431643363245334610164077',NULL,'1076',24.95,2,1,2),(16,3316920,'1991-08-18 00:00:00',2,5,12,2008,'F','N','CENTRO','MRO FUMAçA','SC','124241241215141411343312145124610114142',NULL,'995',20.69,1,3,NULL),(16,3316947,'1989-04-23 00:00:00',4,1,12,2007,'M','N','TREMEMBE','S PAULO','SP','125252257347131411569711575115610134077',NULL,'9999',0.00,1,3,NULL),(16,3316955,'1984-05-10 00:00:00',2,1,11,2002,'M','N','KOBRASOL','S JOSé','SC','124242241211143411436614435124610124112',NULL,'272',0.00,1,3,NULL),(16,3316963,'1985-06-26 00:00:00',2,1,12,2003,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124201201217131221367612442114610162145',NULL,'9998',10.15,1,3,NULL),(16,3316971,'1992-07-03 00:00:00',4,1,11,2009,'M','S','COLONINHA','FLORIANóPOLIS','SC','124242243215111731326631572124610127012',NULL,'270',44.28,1,3,NULL),(16,3316980,'1988-11-21 00:00:00',2,1,12,2006,'M','N','ARIRIU','PALHOçA','SC','124201241111141411456574345112610167042',NULL,'592',0.00,1,3,NULL),(16,3317005,'1980-11-14 00:00:00',2,1,12,1997,'F','N','PICADAS DO SUL','S JOSé','SC','124241243116134431426344245124610126092',14023,'293',41.61,3,3,NULL),(16,3317013,'1989-10-17 00:00:00',4,1,12,2006,'M','N','JARDIM PAULISTA','ATIBAIA','SP','125252251217571431545824344112610162017',NULL,'9998',33.91,1,3,NULL),(16,3317021,'1989-05-13 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248215153711458812572124232024097',NULL,'1022',30.78,1,3,NULL),(16,3317030,'1989-01-26 00:00:00',2,3,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124202241212572451158849595124610128182',NULL,'9997',0.00,1,3,NULL),(16,3317048,'1991-09-04 00:00:00',2,1,12,2008,'F','N','CENTRO SãO JOSé','S JOSé','SC','124243241215141432436911212122610122053',NULL,'1075',20.53,1,3,NULL),(16,3317056,'1983-11-17 00:00:00',2,5,11,2000,'M','N','SANGA DO ENGENHO','FORQUILHINHA','SC','124243241437131721532316151123231437042',NULL,'813',0.00,1,3,NULL),(16,3317064,'1976-06-24 00:00:00',4,1,12,2000,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124243241346132422646617235134610137117',NULL,'298',28.98,1,3,NULL),(16,3317080,'1987-06-05 00:00:00',4,1,12,2004,'M','N','FLORESTA','PTO ALEGRE','RS','120012011216571411487913391115610167057',NULL,'9998',0.00,1,3,NULL),(16,3317099,'1992-06-13 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111431276733575122610127142',5152,'1022',58.24,1,3,NULL),(16,3317102,'1988-08-14 00:00:00',4,1,12,2005,'F','N','CENTRO','SERRA NEGRA','SP','125252251115571431238822275124610162092',3293,'9998',63.02,1,3,NULL),(16,3317110,'1975-03-09 00:00:00',2,1,12,2001,'M','N','CENTRO','FLORIANóPOLIS','SC','124201207127132441121149185314121146171',NULL,'9998',0.00,2,2,1),(16,3317129,'1990-12-03 00:00:00',2,3,12,2008,'M','N','ANDORINHA','ITAPEMA','SC','124243241116371331648811575111610124117',NULL,'405',0.00,1,3,NULL),(16,3317137,'1975-01-26 00:00:00',2,1,12,1994,'M','N','TRINDADE','FLORIANóPOLIS','SC','124162161216151411169934415124342064192',9218,'9998',50.21,1,3,NULL),(16,3317145,'1971-07-20 00:00:00',3,1,12,1987,'F','N','KOBRASOL','S JOSé','SC','524241241312155711238641415122322664092',5393,'305',57.67,1,3,NULL),(16,3317153,'1990-12-20 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANOPOLIS','SC','124242241215312711326623575114610147042',NULL,'1022',19.50,1,3,NULL),(16,3317161,'1990-07-22 00:00:00',2,7,12,2007,'M','N','NOSSA S DE LOURDES','CAMPOS NOVOS','SC','124241241112151431343933485124230867042',13136,'140',43.27,1,2,1),(16,3317170,'1982-03-23 00:00:00',5,1,12,2000,'F','N','PANTANAL','FLORIANóPOLIS','SC','124253255116571431568611415125342266142',7437,'9998',53.43,4,3,NULL),(16,3317188,'1991-08-10 00:00:00',4,1,12,2008,'F','N','JARDIM BIGUAçU','BIGUAçU','SC','124244241217111431558612585122610134182',13635,'63',42.40,1,3,NULL),(16,3317196,'1986-08-14 00:00:00',2,1,6,2005,'M','N','ABRAãO','FLORIANóPOLIS','SC','124241247337471431444311245113610124187',13428,'300',42.74,1,3,NULL),(16,3317200,'1990-06-27 00:00:00',4,2,12,2007,'F','N','CENTRO','BLUMENAU','SC','124242241217272431259913575122232427142',NULL,'909',0.00,1,3,NULL),(16,3317226,'1989-11-27 00:00:00',4,4,12,2006,'F','N','CENTRO','XAXIM','SC','124241241216471431438931595124610128192',5912,'185',56.56,1,3,NULL),(16,3317242,'1991-02-15 00:00:00',4,4,12,2008,'M','N','CENTRO','SAUDADES','SC','124241241117271431459913574124610124012',13775,'761',42.12,1,2,1),(16,3317250,'1991-09-03 00:00:00',2,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241211111431436514572122610126057',NULL,'262',35.58,1,3,NULL),(16,3317269,'1987-07-29 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANóPOLIS','SC','124161251417372711226749295241133261027',NULL,'9998',26.07,1,3,NULL),(16,3317285,'1991-07-05 00:00:00',2,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241215131111536923575124610114077',NULL,'1014',22.88,1,3,NULL),(16,3317293,'1990-05-31 00:00:00',4,5,12,2007,'M','N','CENTRO','URUSSANGA','SC','124244241216112411656632315122131467182',NULL,'820',0.00,1,3,NULL),(16,3317307,'1988-08-22 00:00:00',4,1,7,2007,'F','N','TAPERA','S JOSé','SC','124201248224131731213379192234610128147',NULL,'9999',19.94,4,3,NULL),(16,3317315,'1986-06-19 00:00:00',4,8,12,2004,'M','N','BOM RETIRO','JOINVILLE','SC','124241241117375431549614575121231414022',NULL,'192',38.88,4,2,1),(16,3317331,'1991-09-26 00:00:00',2,4,12,2008,'M','N','JARDIM MARCANTE','DOIS VIZINHOS','PR','116162161235121431538512575122610134187',14957,'9998',39.77,1,3,NULL),(16,3317358,'1989-03-17 00:00:00',4,1,6,2008,'M','N','SALGADO FILHO','CAXIAS DO SUL','RS','120201207237371741454612345124610134177',9095,'9998',50.42,1,3,NULL),(16,3317366,'1972-08-27 00:00:00',2,1,12,1994,'M','N','INGLESES','FLORIANóPOLIS','SC','624241243221144711233344241111321127067',11175,'370',46.71,1,3,NULL),(16,3317374,'1985-01-07 00:00:00',4,3,12,2003,'M','N','CENTRO','ITAPEMA','SC','124213131116472421558613335124140267047',3338,'9998',62.88,4,3,NULL),(16,3317382,'1989-11-03 00:00:00',2,1,10,2008,'F','N','BALNEARIO','FLORIANóPOLIS','SC','124243247336131411557613445122610132147',NULL,'9997',4.96,1,3,NULL),(16,3317390,'1989-11-01 00:00:00',2,7,12,2006,'F','N','CENTRO','PINHEIRO PRETO','SC','124243241121153431433315571124610143147',8693,'618',51.09,1,3,NULL),(16,3317404,'1991-06-14 00:00:00',4,1,12,2008,'F','N','VILA SAO JORGE','GUARULHOS','SP','125252251216111431468924385122610112142',10013,'9998',48.76,1,3,NULL),(16,3317412,'1991-08-14 00:00:00',4,2,11,2008,'M','N','CENTRO','GASPAR','SC','124242241217111431326621385122610162017',11739,'1137',45.75,1,3,NULL),(16,3317439,'1980-07-15 00:00:00',2,1,12,1997,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124121121127231411333621481114342216092',NULL,'9998',0.00,1,2,1),(16,3317447,'1954-10-28 00:00:00',4,1,12,1975,'M','N','CENTRO','BIGUAçU','SC','224211214112171741253443215122341562193',10463,'9998',47.98,1,2,1),(16,3317455,'1991-05-10 00:00:00',2,1,11,2008,'M','N','IPIRANGA','S JOSé','SC','124241241135311431426628292124610167057',NULL,'734',15.90,1,3,NULL),(16,3317463,'1978-07-04 00:00:00',4,1,12,1996,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241216154411163341415122322452092',NULL,'907',0.00,1,3,NULL),(16,3317471,'1992-02-05 00:00:00',2,2,12,2008,'F','N','CENTRO','RIO NEGRINHO','SC','124245241515111731436933575122610122172',NULL,'666',0.00,1,3,NULL),(16,3317480,'1985-08-09 00:00:00',2,1,12,2001,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241146132411333544245221233222047',NULL,'512',0.00,1,2,1),(16,3317498,'1992-02-27 00:00:00',2,1,12,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215111731326432292121610167052',12484,'1014',44.42,1,3,NULL),(16,3317501,'1991-03-14 00:00:00',2,6,12,2008,'F','N','CENTRO','RIO NEGRINHO','SC','124242248232111731639411515122613224072',NULL,'666',26.17,3,3,NULL),(16,3317528,'1992-04-22 00:00:00',2,1,10,2009,'M','S','BARREIROS','S JOSé','SC','124242241215111231533331285124610117182',NULL,'1118',33.75,1,3,NULL),(16,3317536,'1991-11-22 00:00:00',2,1,12,2008,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124161241117151531645914276214610123147',NULL,'287',25.81,1,3,NULL),(16,3317544,'1991-03-11 00:00:00',4,2,12,2008,'F','N','FORTALEZA','BLUMENAU','SC','124242241215111431466612172114613232192',12830,'855',43.79,1,3,NULL),(16,3317560,'1991-12-26 00:00:00',4,8,12,2008,'F','N','CENTRO','S MATEUS SUL','PR','116162161216471731446613575125610154187',3260,'9998',63.11,1,3,NULL),(16,3317579,'1980-09-29 00:00:00',2,1,12,1999,'M','N','COQUEIROS','FLORIANóPOLIS','SC','524243243116142711358642225124610137043',NULL,'303',35.11,1,3,NULL),(16,3317587,'1986-03-13 00:00:00',2,1,2,2005,'M','N','RIO GRANDE','PALHOçA','SC','124241241112144431458433445124610166092',13094,'739',43.34,1,2,1),(16,3317595,'1991-05-13 00:00:00',2,4,12,2008,'F','N','IMPERIAL','CONCóRDIA','SC','124241241215141731448934342122610134142',NULL,'1001',0.00,1,3,NULL),(16,3317609,'1990-06-03 00:00:00',4,8,11,2007,'M','N','CERQUEIRA CéSAR','S PAULO','SP','125252251215471731368832591125610166032',2724,'9998',64.62,1,3,NULL),(16,3317617,'1989-05-14 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215134721588923575125233212117',8327,'270',51.74,1,3,NULL),(16,3317625,'1991-02-01 00:00:00',4,8,11,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242241215111732568813575122610134142',NULL,'491',9.54,1,3,NULL),(16,3317633,'1992-03-30 00:00:00',4,4,12,2009,'M','S','CENTRO','XANXERê','SC','124242241212111431457811592122610167052',NULL,'836',54.11,1,3,NULL),(16,3317641,'1990-01-20 00:00:00',4,8,12,2007,'M','N','CENTRO','LINDóIA SUL','SC','124241241126132431433312245122610162172',NULL,'534',22.21,1,2,1),(16,3317668,'1978-05-26 00:00:00',4,1,12,1995,'M','N','IPIRANGA','S JOSé','SC','524242241347135421136643232224120664177',8079,'736',52.26,1,3,NULL),(16,3317676,'1991-02-02 00:00:00',4,5,11,2008,'M','N','CIDADE ALTA','ARARANGUá','SC','124241241117141431433419245111610124077',13336,'30',42.90,4,1,1),(16,3317684,'1983-08-03 00:00:00',4,1,11,2001,'M','N','TRINDADE','FLORIANóPOLIS','SC','124092091212132431328624475323221464082',1375,'9998',69.98,4,3,NULL),(16,3317692,'1990-04-29 00:00:00',2,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124243241415111411444724315114610167117',15507,'272',38.54,1,3,NULL),(16,3317706,'1987-01-27 00:00:00',2,3,12,2004,'M','N','CRISTO REI','CURITIBA','PR','116111111216472431443319171314140263057',NULL,'9998',0.00,1,3,NULL),(16,3317722,'1990-07-04 00:00:00',2,4,11,2008,'F','N','TRES VENDAS','ERECHIM','RS','120203201417371431548714371344610168192',NULL,'9998',20.40,1,3,NULL),(16,3317730,'1991-09-20 00:00:00',4,7,12,2008,'M','N','CINQUENTENARIO','CONCóRDIA','SC','124242241215271431449914472122610147112',NULL,'190',0.00,1,3,NULL),(16,3317757,'1991-04-09 00:00:00',4,5,12,2008,'F','N','SANTA BARBARA','CRICIúMA','SC','124241241115111431529631576224610132097',NULL,'209',21.94,1,2,1),(16,3317765,'1991-09-08 00:00:00',2,1,12,2009,'F','S','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241216111431478811575125610124057',NULL,'951',26.74,1,3,NULL),(16,3317773,'1992-04-29 00:00:00',2,8,10,2008,'F','N','BUCAREIN','JOINVILLE','SC','124162241215171431357619395124610123152',6793,'486',54.67,1,3,NULL),(16,3317781,'1991-02-05 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242248114151411435814575124610137172',9117,'129',50.39,1,3,NULL),(16,3317790,'1989-02-19 00:00:00',2,1,12,2008,'M','N','CENTRO','GAROPABA','SC','124241241142131431423514272224610127117',NULL,'322',21.60,2,1,1),(16,3317803,'1990-07-06 00:00:00',4,8,12,2007,'M','N','PLANALTO','CPO GRANDE','MS','112122121215471431469934575122610127097',NULL,'9998',0.00,1,3,NULL),(16,3317811,'1991-08-20 00:00:00',2,4,12,2008,'M','N','SãO JORGE','S MIGUEL OESTE','SC','124241241117271731216329595121610167047',NULL,'757',26.90,1,3,NULL),(16,3317820,'1982-04-05 00:00:00',4,1,12,1999,'F','N','PRAIA COMPRIDA','S JOSé','SC','124244241216152411339617245132322034142',5865,'723',56.66,1,3,NULL),(16,3317838,'1990-06-16 00:00:00',4,4,12,2007,'M','N','JARDIM PETROPOLIS','FOZ IGUAçU','PR','116163161416572531358912322114610162192',NULL,'9998',42.25,4,3,NULL),(16,3317846,'1987-09-04 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241251317134431236823575124232833145',12456,'9998',44.46,1,3,NULL),(16,3317862,'1991-08-25 00:00:00',2,5,12,2008,'F','N','SãO JOSé','TRAMANDAí','RS','120201201117161731537619495124610127147',NULL,'9998',23.16,1,2,1),(16,3317870,'1992-06-08 00:00:00',2,1,12,2009,'F','S','PONTA DAS CANAS','FLORIANóPOLIS','SC','124243248211111431363933432124610127091',NULL,'1022',32.65,1,3,NULL),(16,3317889,'1991-12-27 00:00:00',4,9,12,2008,'M','N','CENTRO','TAIó','SC','124243241115271531439721575111610132187',9450,'777',49.81,1,3,NULL),(16,3317897,'1992-03-31 00:00:00',2,7,11,2008,'M','N','CENTRO','IPUMIRIM','SC','124241241117111231426934375122610124056',NULL,'374',22.49,1,2,1),(16,3317900,'1991-01-24 00:00:00',4,8,11,2008,'M','N','ILHA DA FIGUEIRA','JARAGUá SUL','SC','124252241217151352468911375111613217042',12088,'1061',45.12,1,3,NULL),(16,3317919,'1977-11-01 00:00:00',2,1,12,1998,'M','N','CAPELA VELHA','ARAUCáRIA','PR','516161161326144431233471235124141668187',NULL,'9998',0.00,1,3,NULL),(16,3317927,'1988-07-23 00:00:00',2,1,11,2005,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241116151411426663232124610127142',14754,'257',40.17,1,2,1),(16,3317935,'1989-10-31 00:00:00',4,1,12,2007,'M','N','CENTRO','PALHOçA','SC','124242241417212731558823445134610167057',NULL,'1011',37.22,1,3,NULL),(16,3317943,'1990-08-16 00:00:00',4,1,12,2007,'F','N','JARDIM JERIVá','S PAULO','SP','125252251216471411543614595124610126092',NULL,'9998',23.43,1,3,NULL),(16,3317951,'1991-05-29 00:00:00',4,1,6,2010,'M','S','CARVOEIRA','FLORIANóPOLIS','SC','124242246317151431369933575124610134182',NULL,'306',50.24,1,3,NULL),(16,3317978,'1990-02-02 00:00:00',4,5,11,2007,'F','N','SANTA BARBARA','CRICIúMA','SC','124242241217372431458833572124232464127',3905,'213',61.31,1,3,NULL),(16,3317986,'1971-12-24 00:00:00',4,1,12,1989,'M','N','CAMBUÍ','CAMPINAS','SP','125162251216371411178343433122341417185',9375,'9998',49.95,1,3,NULL),(16,3317994,'1975-12-18 00:00:00',2,1,12,1995,'F','N','PORTãO','CURITIBA','PR','216161161127272431337721311134140218092',NULL,'9998',0.00,1,2,1),(16,3318001,'1989-07-25 00:00:00',4,8,12,2007,'M','N','CENTRO','JARAGUá SUL','SC','124242241215471431469714475325610127052',NULL,'442',0.00,1,3,NULL),(16,3318010,'1984-01-04 00:00:00',4,1,12,2001,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241217132411126549295124331464185',16604,'138',34.77,1,3,NULL),(16,3318028,'1988-10-10 00:00:00',2,1,12,2005,'M','N','DOM FELICIANO','VIAMãO','RS','120202201216131421533311455124610147117',NULL,'9998',0.00,1,3,NULL),(16,3318036,'1984-05-07 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANóPOLIS','SC','124201201117575411656819595124232418152',NULL,'9998',0.00,1,2,1),(16,3318044,'1991-02-07 00:00:00',2,2,11,2008,'M','N','PONTO AGUDA','BLUMENAU','SC','124242241212112431449934595122610167047',NULL,'87',26.45,1,3,NULL),(16,3318052,'1989-01-13 00:00:00',4,1,7,2007,'M','N','PRAIA COMPRIDA','S JOSé','SC','124243241116172432459613445131230267047',NULL,'739',22.05,1,3,NULL),(16,3318060,'1989-02-21 00:00:00',2,1,12,2006,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241217272441344432315124132142045',11815,'486',45.61,1,3,NULL),(16,3318079,'1985-05-05 00:00:00',4,1,12,2007,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124161248315131432333349245114610116192',NULL,'9999',0.00,3,3,NULL),(16,3318087,'1990-09-04 00:00:00',2,8,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116163161217572411246912574312610123142',3684,'9998',61.86,1,3,NULL),(16,3318095,'1986-09-30 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244248232131531337721312114610137117',NULL,'1050',0.00,1,3,NULL),(16,3318109,'1987-06-17 00:00:00',2,4,6,2001,'F','N','SAIC','CHAPECó','SC','224241248147131331228459442234130213192',NULL,'172',24.08,1,2,1),(16,3318117,'1990-02-19 00:00:00',4,1,11,2007,'M','N','RIO GRANDE','PALHOçA','SC','124241241224132431433364245124133267147',NULL,'262',35.69,1,3,NULL),(16,3318133,'1992-04-27 00:00:00',4,1,12,2008,'F','N','CENTRO','LAGES','SC','124243241215111431326812575124610117142',8459,'497',51.47,1,3,NULL),(16,3318141,'1987-06-10 00:00:00',4,1,12,2004,'F','N','JOÃO ROSSI','RIBEIRãO PRETO','SP','125252257215413731418623391134610133182',6971,'9998',54.35,1,3,NULL),(16,3318168,'1993-02-23 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124242246311111731569912292124610167052',5812,'737',56.77,1,3,NULL),(16,3318176,'1987-04-07 00:00:00',2,1,8,2005,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241115133441549315482324222927117',6060,'739',56.21,1,3,NULL),(16,3318184,'1977-12-16 00:00:00',3,1,6,1996,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','224281288127131421238841415224341866087',7952,'9998',52.50,1,3,NULL),(16,3318206,'1991-08-15 00:00:00',4,9,12,2008,'M','N','SãO FRANCISCO','CURITIBANOS','SC','124241241115271432448719475122610132057',NULL,'239',24.67,1,3,NULL),(16,3318214,'1991-04-27 00:00:00',2,10,12,2008,'F','N','SANTO ANTONIO','TUBARãO','SC','124241241315151731544311572122610162147',12746,'809',43.92,1,3,NULL),(16,3318222,'1990-02-02 00:00:00',4,1,12,2008,'F','N','NOSSA SENHORA DO ROS','S JOSé','SC','124241241115131131333324346334610112042',NULL,'733',0.00,2,3,NULL),(16,3318230,'1991-03-06 00:00:00',2,8,12,2008,'M','N','CENTRO','APUCARANA','PR','116162161215111431548534375122610164052',4587,'9998',59.59,1,3,NULL),(16,3318249,'1990-08-20 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124163161116142451448419292124231026192',14044,'9998',41.56,1,3,NULL),(16,3318265,'1991-08-16 00:00:00',4,7,12,2008,'M','N','CENTRO','PINHEIRO PRETO','SC','124243241125141431423315346124610147017',NULL,'618',24.38,1,3,NULL),(16,3318273,'1990-03-17 00:00:00',2,1,12,2007,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241217372431478833472122230227115',NULL,'262',0.00,1,3,NULL),(16,3318281,'1988-11-17 00:00:00',2,1,12,2005,'M','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241116231431313648483324610127047',NULL,'772',26.09,1,2,1),(16,3318290,'1985-05-21 00:00:00',2,1,6,2003,'M','N','TAPERA','FLORIANóPOLIS','SC','124241241127271441333344445134130222182',NULL,'281',0.00,1,3,NULL),(16,3318311,'1981-09-08 00:00:00',4,1,12,2000,'F','N','VARGEM DOS PINHEIROS','SANTO AMARO DA IMPERATRIZ','SC','124241247426371431647624185124610132097',10725,'9999',47.49,1,3,NULL),(16,3318320,'1990-04-22 00:00:00',4,8,11,2007,'F','N','BOA VISTA','JOINVILLE','SC','124244241226131431226621572124232862141',NULL,'9997',20.42,1,3,NULL),(16,3318338,'1990-08-16 00:00:00',4,1,12,2008,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124242243115111431369814371122610116015',NULL,'1048',3.34,1,3,NULL),(16,3318346,'1991-08-29 00:00:00',4,7,12,2008,'M','N','CENTRO','SALGADO FILHO','PR','116161161126131431536339584324610127187',NULL,'9998',0.00,1,2,1),(16,3318362,'1992-04-06 00:00:00',4,1,12,2008,'F','N','CENTRO','VERANOPOLIS','RS','120202201217371431468934575122610148072',3049,'9998',63.65,1,3,NULL),(16,3318370,'1991-11-05 00:00:00',2,3,12,2008,'F','N','CENTRO','CANOINHAS','SC','124241241416111431656933575122610127072',NULL,'154',0.00,1,3,NULL),(16,3318389,'1991-06-07 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124241241116131431326623575114610134147',NULL,'726',0.00,1,3,NULL),(16,3318397,'1986-02-26 00:00:00',2,5,11,2003,'F','N','LIVRAMENTO','TURVO','SC','124241241111132121533316345124332344147',NULL,'814',0.00,1,2,1),(16,3318400,'1987-06-06 00:00:00',2,1,12,2004,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241217375421237923145334610163117',NULL,'300',0.00,1,3,NULL),(16,3318419,'1992-07-22 00:00:00',4,1,12,2009,'F','S','CENTRO','ANTôNIO CARLOS','SC','124241241112131411336813292121610113142',NULL,'21',27.09,1,3,NULL),(16,3318427,'1991-01-09 00:00:00',2,3,11,2008,'F','N','TABULEIRO','ITAPEMA','SC','224241241335111512423638315123612718143',NULL,'406',0.00,1,3,NULL),(16,3318435,'1990-03-30 00:00:00',2,1,11,2008,'M','N','FAZENDA SANTO ANTONI','S JOSé','SC','624242241212131421466614332121610117057',13389,'1075',42.81,1,3,NULL),(16,3318443,'1990-06-05 00:00:00',4,8,11,2007,'F','N','IRIRIú','JOINVILLE','SC','124242241347272411557614246124231426152',4379,'486',60.07,1,3,NULL),(16,3318451,'1989-04-23 00:00:00',2,3,12,2006,'F','N','OSCAVO DOS SANTOS','LONDRINA','PR','116164165215571431657832571122610136012',NULL,'9998',0.00,1,3,NULL),(16,3318460,'1992-08-13 00:00:00',4,1,11,2009,'F','S','BARREIROS','S JOSé','SC','124242241217111731556412396122610135097',NULL,'1118',27.38,1,3,NULL),(16,3318478,'1991-03-03 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115371731326564575124610165077',13461,'257',42.67,1,2,1),(16,3318486,'1990-05-13 00:00:00',4,1,7,2007,'M','N','ASA SUL','BRASILIA','DF','107072071216161431459913575124142426017',NULL,'9998',0.00,1,3,NULL),(16,3318494,'1991-01-09 00:00:00',2,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241145131431445311243224610128142',15720,'471',38.02,1,2,1),(16,3318516,'1991-06-02 00:00:00',2,2,12,2008,'M','N','CENTRO','BRUSQUE','SC','124242247115271231577612372125610112112',13931,'107',41.80,3,3,NULL),(16,3318524,'1992-02-19 00:00:00',4,5,12,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215111432556711275121610135117',15527,'226',38.48,1,3,NULL),(16,3318540,'1986-06-15 00:00:00',2,1,12,2003,'F','N','PARQUE PARAISO','ITAPECERICA SERRA','SP','125251251115311131636314435124143223074',NULL,'9998',0.00,2,3,NULL),(16,3318559,'1972-08-14 00:00:00',2,1,11,1993,'M','N','PRAIA COMPRIDA','S JOSé','SC','224241243126234421324441112132610137047',NULL,'293',31.85,1,2,1),(16,3318567,'1978-12-03 00:00:00',2,1,12,1997,'M','N','VENDAVAL','BIGUAçU','SC','124251251126132311433341115124610122097',NULL,'9998',32.74,1,2,1),(16,3318575,'1981-03-30 00:00:00',2,1,12,2003,'F','N','COSTEIRA','FLORIANóPOLIS','SC','224243247217131231423654341234610148077',NULL,'9999',30.01,1,3,NULL),(16,3318583,'1990-11-10 00:00:00',2,5,12,2007,'M','N','SãO JOSE','SOMBRIO','SC','124243241124131431224923345122610124197',NULL,'1033',21.54,1,3,NULL),(16,3318591,'1992-05-10 00:00:00',2,1,11,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241212111751469933375122610138182',NULL,'262',32.39,1,3,NULL),(16,3318605,'1985-07-12 00:00:00',2,1,12,2003,'F','N','ITACORUBI','FLORIANóPOLIS','SC','624201201137132431226744345334610122092',12356,'9998',44.62,1,3,NULL),(16,3318613,'1979-05-04 00:00:00',4,1,12,1996,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241412142411469823432122320734062',NULL,'266',0.00,1,3,NULL),(16,3318621,'1991-11-07 00:00:00',2,1,12,2008,'F','N','MAR GROSSO','LAGUNA','SC','124242241215161732368711474112610123182',NULL,'525',28.28,1,3,NULL),(16,3318630,'1954-06-20 00:00:00',3,1,10,1972,'F','N','TRINDADE','FLORIANóPOLIS','SC','224244241217151411484451471121342267165',13755,'27',42.16,1,3,NULL),(16,3318648,'1991-04-11 00:00:00',4,10,12,2008,'F','N','VILA MOEMA','TUBARãO','SC','124244241215132431457812574122610124072',10815,'797',47.33,1,3,NULL),(16,3318656,'1992-07-01 00:00:00',4,1,11,2009,'M','S','BARREIROS','S JOSé','SC','124242241216111431656813595121610142187',NULL,'1118',46.58,1,3,NULL),(16,3318664,'1991-10-14 00:00:00',2,1,12,2008,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','124241241115151431436614572214610164047',NULL,'307',33.20,4,1,1),(16,3318672,'1987-12-12 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANóPOLIS','SC','124242247116132412428624475124133264187',NULL,'9999',0.00,1,3,NULL),(16,3318680,'1991-04-21 00:00:00',2,5,11,2008,'M','N','CENTRO','CRICIúMA','SC','124242246215211432478951495122610167052',12525,'226',44.32,1,3,NULL),(16,3318699,'1991-09-05 00:00:00',4,1,11,2008,'M','N','CENTRO','CASCA','RS','125201251117111431444632295124610127022',NULL,'9998',23.44,1,2,1),(16,3318710,'1981-10-22 00:00:00',4,1,12,2004,'M','N','BARREIROS','S JOSé','SC','224241241147131721333144145123610112057',15799,'732',37.77,1,2,1),(16,3318729,'1988-05-26 00:00:00',2,7,12,2002,'F','N','NOSSA S DE FATIMA','HERVAL D OESTE','SC','124241241117271521423434342113610123077',NULL,'341',23.99,4,2,1),(16,3318745,'1977-11-27 00:00:00',2,1,12,1997,'F','N','CENTRO','PALHOçA','SC','124241245127131421343343431124232726197',NULL,'591',20.85,1,2,1),(16,3318753,'1987-08-22 00:00:00',4,10,12,2004,'F','N','DEHON','TUBARãO','SC','124234241415473431345823272122131366122',5720,'102',57.02,1,3,NULL),(16,3318761,'1992-12-29 00:00:00',4,1,11,2009,'F','S','PONTE DO IMARUIM','PALHOçA','SC','124244241235111431364726191122610128092',NULL,'1010',29.52,1,3,NULL),(16,3318770,'1991-04-06 00:00:00',2,8,12,2008,'F','N','BOEHMERWALD','JOINVILLE','SC','124241241116131431333311572124610137147',NULL,'482',27.85,1,2,1),(16,3318788,'1982-09-30 00:00:00',4,7,7,2001,'M','N','TOBIAS','JOAçABA','SC','124244247425273441358624472124322162097',13154,'962',43.23,1,3,NULL),(16,3318800,'1988-05-09 00:00:00',2,4,12,2005,'F','N','CENTRO','S MIGUEL OESTE','SC','124241241215573431559611575124610167017',8373,'752',51.64,1,3,NULL),(16,3318818,'1989-02-11 00:00:00',2,1,12,2006,'M','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241212372432436639382114121737057',NULL,'1048',43.32,1,3,NULL),(16,3318826,'1987-03-08 00:00:00',2,1,11,2004,'M','N','VILA NOVA BOTUCATU','BOTUCATU','SP','125251251117571431445312385122610148187',6888,'9998',54.51,1,2,1),(16,3318834,'1988-10-04 00:00:00',2,1,12,2005,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241116143411668913315133120924191',9286,'271',50.10,1,2,1),(16,3318842,'1985-02-01 00:00:00',4,1,12,2001,'F','N','JD ATLANTICO','FLORIANóPOLIS','SC','624251253217232431246953345114131066197',NULL,'9998',26.99,4,1,2),(16,3318850,'1991-08-26 00:00:00',4,4,11,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124244241217151231344933575122610127012',11128,'752',46.79,1,3,NULL),(16,3318877,'1991-12-08 00:00:00',2,3,12,2008,'F','N','TABULEIRO','ITAPEMA','SC','124241243134151431637634592122610114017',NULL,'406',26.09,1,3,NULL),(16,3318885,'1987-06-30 00:00:00',2,1,12,2005,'M','N','SMPW','NUC BANDEIRANTE','DF','107074078216472451331621575124142961192',5356,'9998',57.75,3,3,NULL),(16,3318893,'1989-03-02 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSé','SC','124241241135131431543314145113610164052',NULL,'306',23.61,4,2,1),(16,3318907,'1991-02-23 00:00:00',2,1,12,2008,'F','N','CENTRO','LAGES','SC','124243241215111431525616575124610117142',NULL,'497',24.83,1,3,NULL),(16,3318915,'1990-11-04 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124241241217111331547614426122610167053',NULL,'1118',23.85,1,3,NULL),(16,3318923,'1990-05-17 00:00:00',2,1,7,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244247212131411546833282114610117112',NULL,'9999',2.72,1,3,NULL),(16,3318931,'1992-01-10 00:00:00',4,10,12,2009,'F','S','VILA MOEMA','TUBARãO','SC','124242241215141412388722472112610131147',NULL,'807',9.92,1,3,NULL),(16,3318940,'1989-08-31 00:00:00',4,2,11,2006,'M','N','VELHA','BLUMENAU','SC','124242241237153431369814391124231066083',6766,'87',54.73,1,3,NULL),(16,3318958,'1991-01-21 00:00:00',4,4,12,2008,'F','N','TRES VENDAS','ERECHIM','RS','120201205116131731454933575124610127147',NULL,'9998',17.29,1,2,1),(16,3318966,'1985-08-16 00:00:00',2,1,11,2003,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124286208432431731428644342224610121072',NULL,'9998',31.42,1,3,NULL),(16,3318974,'1992-01-09 00:00:00',4,10,12,2008,'F','N','CENTRO','TUBARãO','SC','124242241215121731577924575112610124182',15423,'807',38.72,1,3,NULL),(16,3318982,'1983-02-17 00:00:00',4,1,12,2000,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124242241216272421635618382124231046077',NULL,'456',27.98,1,3,NULL),(16,3318990,'1992-03-03 00:00:00',2,1,10,2009,'M','S','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241215111411455823272122610115157',NULL,'262',38.67,1,3,NULL),(16,3319016,'1991-04-21 00:00:00',4,1,12,2008,'F','N','CENTRO','LINDóIA SUL','SC','124241241145131731433334241321610167057',NULL,'534',20.96,1,2,1),(16,3319024,'1991-09-24 00:00:00',4,8,12,2008,'M','N','IRIRIú','JOINVILLE','SC','124241241115271412446823575121610114147',7168,'469',53.97,1,3,NULL),(16,3319032,'1991-07-04 00:00:00',4,7,12,2008,'M','N','PETRóPOLIS','PASSO FUNDO','RS','120202201216121431466932275122610167142',6201,'9998',55.91,1,3,NULL),(16,3319040,'1987-07-16 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124201201117155411343624395124231014152',15110,'9998',39.40,1,2,1),(16,3319059,'1981-11-27 00:00:00',2,6,6,2008,'F','N','JARDIN SãOSILVESTRE','MARINGá','PR','116161161126151431546611475112610134142',NULL,'9998',0.00,4,3,NULL),(16,3319067,'1988-08-15 00:00:00',4,6,12,2005,'M','N','EMBARE','SANTOS','SP','125252251215571431366614575122610127052',NULL,'9998',0.00,1,3,NULL),(16,3319075,'1991-10-30 00:00:00',2,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241142131431423514272224610128147',5994,'322',56.36,2,1,1),(16,3319083,'1992-10-07 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241215111431359923575124610144117',NULL,'883',32.28,1,3,NULL),(16,3319091,'1984-06-26 00:00:00',4,8,12,2001,'F','N','SUMARé','S PAULO','SP','125252251216572431468819471111343237157',NULL,'9998',0.00,1,3,NULL),(16,3319105,'1966-12-27 00:00:00',2,1,12,2002,'F','N','CENTRO','PALHOçA','SC','124241245122134411211149192344222763042',NULL,'591',0.00,5,4,NULL),(16,3319113,'1988-02-25 00:00:00',4,1,10,2006,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217143431356834341124120762017',5644,'270',57.17,1,3,NULL),(16,3319121,'1991-03-21 00:00:00',4,1,12,2008,'F','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124241241111131431423311345124610123097',12402,'307',44.54,1,2,1),(16,3319130,'1988-12-07 00:00:00',2,3,12,2007,'M','N','CENTRO','CAMBORIú','SC','124241242112171411523235392121610125057',15104,'129',39.41,1,2,1),(16,3319148,'1988-06-24 00:00:00',4,5,12,2005,'M','N','CENTRO','CRICIúMA','SC','124241241121573321233412271124610114171',13067,'686',43.37,2,3,NULL),(16,3319156,'1990-11-10 00:00:00',4,6,12,2008,'F','N','DOM BOSCO','ITAJAí','SC','124242241215121431468812324122610132142',6724,'1026',54.82,1,3,NULL),(16,3319164,'1990-12-12 00:00:00',4,10,11,2008,'M','N','MORROTES','TUBARãO','SC','124242241217111431338924575122610117082',13018,'806',43.47,1,3,NULL),(16,3319172,'1993-02-24 00:00:00',2,5,12,2009,'F','S','SANGãO','CRICIúMA','SC','124242241215111431533316262112610125052',NULL,'226',29.69,1,3,NULL),(16,3319199,'1986-08-21 00:00:00',4,1,12,2005,'M','N','TAPERA','FLORIANóPOLIS','SC','124081141116131431425424285124610127052',10263,'9998',48.33,1,3,NULL),(16,3319210,'1990-10-23 00:00:00',4,8,11,2008,'M','N','SAGUAçU','JOINVILLE','SC','124242241215111431468923572122610168062',2385,'491',65.75,1,3,NULL),(16,3319229,'1992-11-01 00:00:00',4,1,11,2009,'F','S','CENTRO','TAIó','SC','124242241217111431479922375121610134072',NULL,'776',25.87,1,3,NULL),(16,3319237,'1985-12-24 00:00:00',2,1,12,2002,'F','N','CENTRO','MONTENEGRO','RS','120203201212572431653612572122243221093',NULL,'9998',0.00,1,3,NULL),(16,3319245,'1988-10-13 00:00:00',4,8,6,2007,'M','N','SANTO ANTôNIO','JOINVILLE','SC','124242281216372231569614575112231467116',NULL,'9998',30.40,1,3,NULL),(16,3319261,'1992-04-09 00:00:00',4,10,10,2008,'M','N','MATO ALTO','TUBARãO','SC','124241241117131231443817572113610137087',13710,'1034',42.25,1,3,NULL),(16,3319270,'1991-10-08 00:00:00',2,4,11,2008,'F','N','AGUA SANTA','CHAPECó','SC','124241241315111431556814142124610163052',15596,'983',38.32,2,3,NULL),(16,3319288,'1988-06-22 00:00:00',2,1,12,2005,'F','N','ASA SUL','BRASíLIA','DF','107073071215571741449633482124610163017',5199,'9998',58.11,1,3,NULL),(16,3319300,'1992-01-24 00:00:00',2,4,11,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124244241311111731233923575122610114142',NULL,'752',0.00,1,3,NULL),(16,3319318,'1988-01-02 00:00:00',2,1,11,2005,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124141141117131421126444345233610167017',NULL,'9998',20.71,2,1,1),(16,3319326,'1991-01-15 00:00:00',4,2,12,2008,'F','N','VALPARAISO','BLUMENAU','SC','124241248435371431234624445124610137097',NULL,'9999',21.87,1,3,NULL),(16,3319350,'1992-10-11 00:00:00',4,8,12,2009,'F','S','PETRóPOLIS','FLORIANóPOLIS','SC','124244241215151411327411571224613236192',NULL,'459',44.22,3,3,NULL),(16,3319369,'1992-11-21 00:00:00',4,5,12,2009,'M','S','CENTRO','ARARANGUA','SC','124242241216121431468833395125610147147',NULL,'970',36.82,1,3,NULL),(16,3319377,'1992-01-07 00:00:00',2,10,12,2008,'M','N','GUARDA','TUBARãO','SC','124243241216111531454413575124610127042',15525,'1120',38.49,1,3,NULL),(16,3319385,'1987-12-11 00:00:00',4,3,12,2006,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116162161215512431469631571124610162145',NULL,'9998',35.31,1,3,NULL),(16,3319393,'1989-08-16 00:00:00',4,8,12,2006,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162161215572431468811575125610127042',NULL,'9998',0.00,4,3,NULL),(16,3319407,'1993-12-29 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241117111311437812495122610118077',NULL,'271',24.09,1,2,1),(16,3319415,'1991-07-27 00:00:00',2,1,12,2008,'F','N','SANTO ANTONIO','CAPãO CANOA','RS','120201201117131431523312571122610121042',NULL,'9998',33.26,1,3,NULL),(16,3319423,'1980-02-28 00:00:00',4,1,12,2000,'M','N','PRAINHA','FLORIANóPOLIS','SC','124201201112131411325564242334141217047',NULL,'9998',26.67,2,2,1),(16,3319431,'1972-01-02 00:00:00',4,1,12,1989,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','224052053216133431669853312122443267187',3323,'9998',62.93,1,3,NULL),(16,3319440,'1991-08-21 00:00:00',4,1,2,2009,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241235111431468713375122610164142',8292,'738',51.80,1,3,NULL),(16,3319458,'1990-11-15 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124242241415111431234411345124610128057',NULL,'977',12.15,1,3,NULL),(16,3319466,'1968-05-19 00:00:00',2,1,12,1988,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','224141141311141431263651211122342535183',15022,'9998',39.61,2,1,2),(16,3319474,'1988-12-12 00:00:00',4,1,11,2006,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241317213431656669482121121727182',8986,'272',50.61,1,3,NULL),(16,3319482,'1983-03-25 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241217135221237744442125610164147',10806,'515',47.35,1,3,NULL),(16,3319504,'1989-06-06 00:00:00',2,3,12,2006,'F','N','VILA REAL','BAL CAMBORIú','SC','124241248116272441435311115121131567147',8710,'129',51.06,1,2,1),(16,3319512,'1981-12-14 00:00:00',5,1,12,1999,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124252241216135751246644442324122223097',13317,'269',42.93,1,3,NULL),(16,3319520,'1991-06-16 00:00:00',4,4,12,2008,'F','N','SãO LEOPOLDO','CAXIAS SUL','RS','120202201217271431438914581124610161197',4108,'9998',60.75,1,3,NULL),(16,3319539,'1983-02-19 00:00:00',4,1,12,2000,'F','N','AREIAS','S JOSé','SC','124242241111144211466633391122331022117',16406,'257',35.90,2,1,2),(16,3319555,'1988-03-05 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124201201111575711656819492124231167153',5370,'9998',57.71,1,2,1),(16,3319580,'1982-12-21 00:00:00',2,1,12,2001,'M','N','INGLESES','FLORIANóPOLIS','SC','124163161126132421235344145124133237047',NULL,'9998',0.00,4,3,NULL),(16,3319598,'1991-11-25 00:00:00',4,5,10,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215111411469933475124610164055',8654,'226',51.15,1,3,NULL),(16,3319601,'1991-07-17 00:00:00',4,6,12,2008,'F','N','CENTRO','BAL PIçARRAS','SC','124242241215131432435933575122610147142',16409,'392',35.88,1,3,NULL),(16,3319610,'1991-06-16 00:00:00',4,1,12,2008,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124241241115131431643327295115610162157',NULL,'287',25.44,1,2,1),(16,3319628,'1982-01-09 00:00:00',2,1,6,2003,'M','N','BARREIROS','S JOSé','SC','224241246147331431543344342123610127182',NULL,'263',27.45,4,3,NULL),(16,3319636,'1984-02-05 00:00:00',2,1,12,2001,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241317134431424623285123610161097',9812,'266',49.13,1,3,NULL),(16,3319644,'1972-12-01 00:00:00',2,1,12,2006,'M','N','RIA VERMELHO','FLORIANóPOLIS','SC','624213247336131722433541215124610164177',NULL,'9999',29.49,4,3,NULL),(16,3319652,'1991-07-25 00:00:00',4,6,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215151451249629395125610134112',11294,'1038',46.48,1,3,NULL),(16,3319679,'1992-02-09 00:00:00',2,5,11,2008,'M','N','CENTRO','TURVO','SC','124241241216111322339933515241610167046',NULL,'813',32.56,1,3,NULL),(16,3319687,'1989-03-18 00:00:00',2,3,12,2006,'M','N','BAIRRO DO COLéGIO','APUCARANA','PR','116162161215571431454819372112610167067',2477,'9998',65.41,1,3,NULL),(16,3319695,'1991-07-08 00:00:00',4,1,12,2008,'M','N','PRAIA DO SONHO','ITANHAéM','SP','125252251217111751336924275124610168187',NULL,'9998',0.00,1,3,NULL),(16,3319709,'1987-12-28 00:00:00',2,1,11,2005,'M','N','CENTRO','CANOINHAS','SC','124243241217473531666634475122120727066',NULL,'154',0.00,1,3,NULL),(16,3319717,'1992-09-12 00:00:00',2,5,12,2009,'F','S','COLONINHA','ARARANGUá','SC','124162241412111431468631575122610137042',NULL,'27',44.02,1,3,NULL),(16,3319725,'1990-08-17 00:00:00',4,4,12,2008,'M','N','UNIVERSITáRIO','CHAPECó','SC','124244241425371411258812575124610111022',11833,'1126',45.59,4,3,NULL),(16,3319733,'1992-07-08 00:00:00',4,8,11,2009,'F','S','ANITA GARIBALDI','JOINVILLE','SC','124242241115111751467811575122610163053',NULL,'491',45.11,1,3,NULL),(16,3319741,'1991-02-28 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSé','SC','124242241217112431568923575124610124147',NULL,'724',11.96,1,3,NULL),(16,3319768,'1990-05-08 00:00:00',1,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161215111732336829575124610134017',NULL,'9998',0.00,1,3,NULL),(16,3319776,'1991-05-29 00:00:00',4,1,12,2008,'F','N','JARDIM SOCIAL','PALOTINA','PR','116162161215121431469914575125610156142',NULL,'9998',0.00,1,3,NULL),(16,3319784,'1988-03-07 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216372321489933435124230224147',2638,'262',64.86,1,3,NULL),(16,3319792,'1991-03-12 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124242241215111131337311175112610134145',NULL,'272',31.47,4,3,NULL),(16,3319806,'1990-10-22 00:00:00',4,1,12,2008,'M','N','AHU DE BAIXO','CURITIBA','PR','116162161217211531469932572122610137051',1510,'9998',69.32,1,3,NULL),(16,3319814,'1990-07-18 00:00:00',4,5,12,2007,'M','N','QUARATA LINHA','CRICIúMA','SC','124241241121131431323424395334610127047',NULL,'879',23.12,1,2,1),(16,3319822,'1988-07-08 00:00:00',4,1,12,2005,'M','N','BARREIROS','S JOSé','SC','124244241236274441457619445124232747072',5974,'723',56.41,1,3,NULL),(16,3319830,'1991-03-24 00:00:00',4,9,12,2008,'F','N','ARAUCáRIA','LAGES','SC','124241241117151431425834242124610123092',NULL,'512',27.12,1,3,NULL),(16,3319849,'1988-07-31 00:00:00',2,1,12,2005,'M','N','BOA VISTA','CURITIBA','PR','116162161213575411678735583124610165172',1693,'9998',68.45,1,3,NULL),(16,3319865,'1992-03-25 00:00:00',2,7,12,2008,'F','N','CENTRO','CATANDUVAS','SC','124244241215111431456932574122610137143',12803,'454',43.84,1,3,NULL),(16,3319873,'1984-08-14 00:00:00',2,1,11,2002,'F','N','SERRINHA','FLORIANóPOLIS','SC','124054051116131431523411171324233267097',7878,'9998',52.64,1,3,NULL),(16,3319881,'1988-10-03 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124204241432111431238822245233610114097',NULL,'1036',22.91,1,3,NULL),(16,3319890,'1991-05-08 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241215121431426611395125610164182',NULL,'9997',25.39,1,3,NULL),(16,3319903,'1990-12-19 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124122121216111431449934272124233226197',NULL,'9998',21.47,1,3,NULL),(16,3319920,'1991-07-26 00:00:00',2,1,12,2008,'M','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124242241215111431456412212122610127042',NULL,'259',27.47,1,3,NULL),(16,3319938,'1981-02-23 00:00:00',2,1,12,1999,'F','N','PROCASA','S JOSé','SC','124241241117131421613124442335610117117',NULL,'293',28.42,4,3,NULL),(16,3319946,'1991-03-10 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124242241216111411439813335111610167111',NULL,'1076',34.29,1,3,NULL),(16,3319954,'1993-02-13 00:00:00',4,10,12,2010,'M','S','OFICINAS','TUBARãO','SC','124242241215111431448971575121610164052',NULL,'807',34.14,1,3,NULL),(16,3319962,'1991-09-21 00:00:00',2,1,12,2008,'F','N','CENTRO','RIO NEGRO','PR','116162161215111642458834575122610164052',12489,'9998',44.40,1,3,NULL),(16,3319970,'1990-01-25 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241215273731469933596122222637147',5629,'270',57.20,1,3,NULL),(16,3319989,'1992-04-08 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215111731425522321122610135072',14238,'270',41.16,1,3,NULL),(16,3319997,'1989-04-12 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241214111431357823575122610147165',NULL,'1050',40.72,1,3,NULL),(16,3320006,'1987-01-15 00:00:00',4,10,12,2004,'M','N','DEHON','TUBARãO','SC','124242241215474431486632442122132466122',NULL,'102',0.00,1,3,NULL),(16,3320022,'1986-05-03 00:00:00',2,1,11,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241426133431633613242234610137067',NULL,'1003',26.34,4,1,2),(16,3320030,'1991-02-21 00:00:00',2,10,12,2008,'F','N','CENTRO','RIO FORTUNA','SC','124241243117131511426513272121610148047',NULL,'665',22.68,1,3,NULL),(16,3320049,'1990-05-12 00:00:00',2,5,11,2007,'M','N','SANTISTA','ORLEANS','SC','124241241136471431435614175122610127052',NULL,'580',24.88,1,2,1),(16,3320057,'1990-02-25 00:00:00',2,1,12,2007,'M','N','CENTRO','NOVA TRENTO','SC','124243241417152441556611475124231267052',NULL,'981',0.00,1,3,NULL),(16,3320065,'1989-05-10 00:00:00',2,6,12,2006,'F','N','VILA SãO ROQUE','LIMEIRA','SP','125254251117472441646614342124610167142',13555,'9998',42.53,4,3,NULL),(16,3320073,'1992-03-28 00:00:00',4,10,12,2009,'F','S','BARRANCEIRA','LAGUNA','SC','124241241112151431536914575124610146142',NULL,'521',47.03,1,3,NULL),(16,3320081,'1987-03-28 00:00:00',2,1,9,2007,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124203207346133431568633385325221746147',14552,'9998',40.61,1,3,NULL),(16,3320090,'1990-06-20 00:00:00',4,3,12,2007,'F','N','SANTA TERESINHA','CâNDIDO MOTA','SP','125252251216471431456831575122610162077',NULL,'9998',0.00,1,3,NULL),(16,3320111,'1991-01-03 00:00:00',2,1,12,2008,'M','N','RIO CAVEIRAS','BIGUAçU','SC','124243248315171512557612576112610164055',NULL,'1022',19.77,1,3,NULL),(16,3320138,'1989-09-29 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124244248215111411536619585124613217117',NULL,'1048',24.51,4,1,2),(16,3320146,'1990-12-13 00:00:00',4,8,12,2008,'F','N','PASSO','MAFRA','SC','124241241415211331326524474125610113187',NULL,'541',18.04,1,3,NULL),(16,3320154,'1991-12-13 00:00:00',4,4,11,2008,'M','N','JARDIM ITALIA','CHAPECó','SC','124241241315111431226824245124610137057',NULL,'185',23.95,4,3,NULL),(16,3320162,'1987-12-22 00:00:00',4,1,12,2005,'M','N','JARDIM BIGUAçU','BIGUAçU','SC','124242241217132721456819335133130762027',NULL,'63',32.86,1,3,NULL),(16,3320170,'1991-10-06 00:00:00',4,1,12,2008,'M','N','ST ANTôNIO DE LISBOA','FLORIANóPOLIS','SC','124241241117151451433432572124610117047',10133,'739',48.56,1,2,1),(16,3320189,'1991-02-05 00:00:00',2,5,12,2008,'F','N','ORATóRIO','ORLEANS','SC','124241241116141231633923345234610147077',9282,'580',50.11,1,2,1),(16,3320197,'1980-12-10 00:00:00',4,1,11,2001,'M','N','BARREIROS','S JOSé','SC','124241241137133421226644345233121137057',NULL,'298',0.00,4,2,1),(16,3320200,'1987-02-25 00:00:00',4,1,12,2004,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124163161316152431658823495124221462092',4620,'9998',59.50,1,3,NULL),(16,3320219,'1967-02-17 00:00:00',2,1,7,2000,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124245247522133411221179482324222768187',NULL,'190',0.00,5,4,NULL),(16,3320227,'1991-01-30 00:00:00',4,2,12,2008,'F','N','CENTRO','BLUMENAU','SC','124242241215121431339739372125610122151',6777,'909',54.71,1,3,NULL),(16,3320235,'1988-12-06 00:00:00',2,4,12,2005,'F','N','CENTRO','CHAPECó','SC','124241248116133431438823385114131423157',NULL,'196',0.00,1,3,NULL),(16,3320251,'1988-06-28 00:00:00',2,1,12,2005,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124244241236132431456614385124231227097',NULL,'1022',28.16,1,3,NULL),(16,3320260,'1992-06-14 00:00:00',4,1,12,2009,'F','S','BARREIROS','S JOSé','SC','124242244217111711435529592122610128182',NULL,'270',23.15,1,3,NULL),(16,3320278,'1989-10-21 00:00:00',4,1,12,2007,'M','N','JURERê INTERNACIONAL','FLORIANóPOLIS','SC','124072241215112431677714575124233222093',12493,'270',44.39,1,3,NULL),(16,3320286,'1984-03-24 00:00:00',4,1,11,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124203247336344431237824221121132027097',NULL,'307',28.87,1,3,NULL),(16,3320294,'1987-10-30 00:00:00',2,8,12,2005,'M','N','JARDIM CORALINA','BAURU','SP','125251251215472431338619475122610137057',10371,'9998',48.14,1,3,NULL),(16,3320308,'1983-11-16 00:00:00',4,1,7,2001,'F','N','CENTRO','FLORIANóPOLIS','SC','224242161416153711266653275122132431097',3572,'9998',62.16,1,3,NULL),(16,3320316,'1991-03-23 00:00:00',2,7,12,2008,'M','N','BELA VISTA','FRAIBURGO','SC','124242241215161432358914375122610117062',7892,'885',52.61,1,3,NULL),(16,3320332,'1990-09-19 00:00:00',4,1,12,2007,'F','N','VICTOR KONDER','BLUMENAU','SC','124244241216173431266931575112231464072',NULL,'270',27.18,1,3,NULL),(16,3320340,'1990-07-23 00:00:00',2,1,12,2007,'F','N','BELA VISTA I','S JOSé','SC','124241241112132431433614241114610132147',NULL,'726',27.25,1,3,NULL),(16,3320359,'1991-02-15 00:00:00',4,8,12,2008,'F','N','AMéRICA','JOINVILLE','SC','124242241215112431367814575122610134197',4290,'486',60.26,1,3,NULL),(16,3320367,'1975-10-21 00:00:00',2,1,6,1999,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','524251247621145421333841111222133262137',13371,'9999',42.84,1,3,NULL),(16,3320375,'1991-09-18 00:00:00',4,1,11,2008,'M','N','CENTRO','PRIMAVERA LESTE','MT','111112111237161441467712575112610165172',2289,'9998',66.10,1,3,NULL),(16,3320383,'1974-03-29 00:00:00',2,1,12,1992,'M','N','PASSA VINTE','PALHOçA','SC','124243241312555411226343331122222665047',NULL,'272',0.00,1,3,NULL),(16,3320405,'1993-04-14 00:00:00',2,1,12,2008,'M','N','COLONIA SANTANA','S JOSé','SC','124242241215111431356712575124610117112',NULL,'1074',28.61,1,3,NULL),(16,3320413,'1991-06-03 00:00:00',4,8,12,2008,'M','N','VILA PONTE NOVA','CUBATãO','SP','125251251117271211668614572122610166034',4430,'9998',59.94,1,3,NULL),(16,3320421,'1989-03-17 00:00:00',4,1,10,2008,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124202207112371731436634245112610117047',NULL,'9998',0.00,1,3,NULL),(16,3320430,'1990-05-30 00:00:00',4,4,11,2007,'F','N','CENTRO','PALOTINA','PR','116162161116472431455632574124610168191',NULL,'9998',0.00,1,3,NULL),(16,3320448,'1991-09-27 00:00:00',2,1,11,2008,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124243241215141431463412295112610167052',NULL,'1014',28.93,1,3,NULL),(16,3320456,'1963-01-25 00:00:00',2,3,12,1980,'M','N','VARZEA','ITAPEMA','SC','224243244312131421425641412224343232097',NULL,'521',36.69,1,3,NULL),(16,3320464,'1990-07-03 00:00:00',2,8,11,2007,'F','N','CENTRO','CURITIBA','PR','116242241215471431336612575224610127077',14982,'1047',39.71,1,3,NULL),(16,3320472,'1991-10-07 00:00:00',4,3,11,2008,'M','N','COUNTRY','CASCAVEL','PR','116162161216151711367832372122610164142',NULL,'9998',0.00,1,3,NULL),(16,3320480,'1987-07-08 00:00:00',2,8,11,2004,'F','N','CENTRO','PNT GROSSA','PR','116162161215574751146614574115610132017',2297,'9998',66.07,1,3,NULL),(16,3320499,'1990-03-06 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215124411438933575122231067047',NULL,'270',35.26,1,3,NULL),(16,3320502,'1991-11-06 00:00:00',4,1,12,2008,'F','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241241115471432656313572112610134147',15521,'293',38.50,2,3,NULL),(16,3320510,'1989-05-12 00:00:00',2,1,12,2007,'M','N','CENTRO','GAROPABA','SC','124241241126162431426823315124133234042',NULL,'322',25.17,1,2,1),(16,3320537,'1988-04-15 00:00:00',4,1,12,2005,'F','N','JD ARPOADOR','S PAULO','SP','125252251216571431348627195124610162157',1944,'9998',67.40,2,3,NULL),(16,3320545,'1987-08-05 00:00:00',2,1,12,2004,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241136141421557632345124610114062',NULL,'257',35.49,1,2,1),(16,3320553,'1991-03-04 00:00:00',2,4,11,2008,'M','N','CENTRO','IPORã OESTE','SC','124241241226271731334632295121610127057',16129,'370',36.84,1,3,NULL),(16,3320561,'1991-11-22 00:00:00',4,9,12,2008,'M','N','COPACABANA','LAGES','SC','124242241215371531338933575112610137022',12826,'515',43.80,1,3,NULL),(16,3320570,'1986-03-01 00:00:00',2,5,12,2003,'F','N','COLONINHA','ARARANGUá','SC','124241241136371631323324345124610141147',NULL,'29',30.20,1,2,1),(16,3320588,'1985-11-29 00:00:00',4,1,11,2003,'M','N','CANTO','FLORIANóPOLIS','SC','124241241134153451437633231134121714042',5851,'307',56.68,1,3,NULL),(16,3320596,'1983-11-20 00:00:00',4,1,11,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124251251146133421449813425122130444097',NULL,'9998',25.54,1,3,NULL),(16,3320600,'1991-02-18 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115131431236729596124610144142',NULL,'9997',30.15,1,2,1),(16,3320626,'1979-10-10 00:00:00',4,1,12,1996,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243241312274421257851215115321567047',NULL,'269',0.00,1,3,NULL),(16,3320634,'1991-12-06 00:00:00',4,4,12,2008,'F','N','JAROSESKI','DESCANSO','SC','124241242115131431439613575124610127187',16195,'758',36.68,1,2,1),(16,3320642,'1991-02-06 00:00:00',4,7,12,2008,'F','N','SANTA GEMA','VIDEIRA','SC','124241241215151451434811342224610128142',11251,'1080',46.56,1,3,NULL),(16,3320650,'1985-08-06 00:00:00',2,1,12,2007,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','224242241435133721236744342124610137057',NULL,'9999',36.50,1,3,NULL),(16,3320669,'1980-02-27 00:00:00',2,9,11,1998,'M','N','TRES PEDRINHA','S JOAQUIM','SC','124241248132131421333616252112610118191',NULL,'719',27.94,1,2,1),(16,3320677,'1990-08-04 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241215111331358629272124610137145',NULL,'1048',19.24,1,3,NULL),(16,3320715,'1991-06-10 00:00:00',2,1,11,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241117141731221354215124610112052',NULL,'278',20.42,1,2,1),(16,3320723,'1990-12-12 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124242241212111221447611385112610117042',6328,'723',55.62,1,3,NULL),(16,3320731,'1989-08-17 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215373431247821312122233246081',9597,'1022',49.52,1,3,NULL),(16,3320758,'1990-06-27 00:00:00',4,1,12,2007,'M','N','FORQUILHINHAS','S JOSé','SC','120201201127131441223329252343610142047',NULL,'9998',0.00,1,3,NULL),(16,3320766,'1989-12-20 00:00:00',2,9,11,2007,'F','N','CENTRO','S JOAQUIM','SC','124242241216132431549913275124231334027',NULL,'720',27.22,1,3,NULL),(16,3320774,'1990-08-22 00:00:00',4,3,11,2007,'F','N','PORTãO','CURITIBA','PR','116162161216571431468614372124610127112',NULL,'9998',0.00,1,3,NULL),(16,3320782,'1990-03-11 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241247347131751545663382114610138187',NULL,'9999',0.00,1,3,NULL),(16,3320790,'1981-03-21 00:00:00',2,1,12,1999,'M','N','COSTERIA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241121133421433313442114610112167',NULL,'9997',19.05,1,2,1),(16,3320804,'1990-03-17 00:00:00',4,1,12,2008,'F','N','BELA VISTA','ITAPIRANGA','SC','124241241227272411356413482112610134182',4550,'1060',59.66,1,3,NULL),(16,3320812,'1990-08-20 00:00:00',2,1,12,2007,'M','N','SANTOS DUMONT II','TRêS LAGOAS','MS','112124121217132431458933585112610167047',11298,'9998',46.47,1,3,NULL),(16,3320820,'1989-08-09 00:00:00',4,1,12,2006,'F','N','AMIZADE','JARAGUá SUL','SC','124243241437131431228644345113610153057',NULL,'426',23.37,1,3,NULL),(16,3320839,'1985-02-04 00:00:00',2,1,12,2003,'M','N','BARREIROS','S JOSé','SC','124241247333232421336623243122233222092',NULL,'9999',29.41,1,3,NULL),(16,3320847,'1991-03-14 00:00:00',4,2,12,2008,'F','N','BARRA DO RIO CERRO','JARAGUá SUL','SC','124241241115131431534933285124610151142',NULL,'435',23.32,1,2,1),(16,3320855,'1991-09-14 00:00:00',4,2,12,2008,'M','N','CANTA GALO','RIO SUL','SC','124241241116141131226632242112610128052',12258,'659',44.80,1,3,NULL),(16,3320863,'1991-06-04 00:00:00',4,9,11,2008,'M','N','CABRAL','CURITIBA','PR','116162161217471431248821575122610167062',6253,'9998',55.77,1,3,NULL),(16,3320871,'1989-02-20 00:00:00',4,4,12,2006,'F','N','CENTRO','CASCAVEL','PR','116162161215572751267916475112610128072',966,'9998',72.24,1,3,NULL),(16,3320880,'1991-06-24 00:00:00',4,8,12,2008,'F','N','BUCAREIN','JOINVILLE','SC','124242241215151431437619372112610127072',11111,'932',46.82,1,3,NULL),(16,3320901,'1991-05-30 00:00:00',4,1,11,2008,'F','N','VERGUEIRO','PASSO FUNDO','RS','120202201215151431459911582122610132127',NULL,'9998',0.00,1,3,NULL),(16,3320910,'1989-04-13 00:00:00',4,1,12,2007,'M','N','CENTRO','RIBEIRãO PRETO','SP','125252251216472751415829571121122367012',NULL,'9998',28.97,1,3,NULL),(16,3320928,'1964-04-07 00:00:00',4,1,12,1983,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','224161163121131751464474431122341627057',NULL,'9998',25.58,1,2,1),(16,3320936,'1991-01-28 00:00:00',2,9,12,2008,'F','N','PETROPóLIS','LAGES','SC','124242241215371431439833572122610168197',NULL,'515',31.91,1,3,NULL),(16,3320944,'1991-09-16 00:00:00',4,8,12,2008,'F','N','SãO CRISTOVãO','UNIãO VITóRIA','PR','116162241215131431536614342324610117077',14034,'632',41.58,1,3,NULL),(16,3320952,'1991-02-21 00:00:00',2,1,12,2008,'F','N','CAMPO DUNA','GAROPABA','SC','124241241136131431643634335124610168142',16187,'1136',36.70,1,2,1),(16,3320979,'1991-07-25 00:00:00',4,1,12,2008,'F','N','JARDIM POLO CENTRO','FOZ IGUAçU','PR','116162161215111431468831575122610126092',NULL,'9998',0.00,1,3,NULL),(16,3320987,'1991-09-14 00:00:00',4,4,11,2008,'M','N','CENTRO','IPORã OESTE','SC','124241241527141231548613245124610137057',10745,'370',47.46,1,3,NULL),(16,3320995,'1991-09-28 00:00:00',2,1,11,2008,'F','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241241122111431625511292124611057147',NULL,'257',4.05,1,2,1),(16,3321002,'1981-09-20 00:00:00',2,1,12,2000,'F','N','TRINDANDE','FLORIANóPOLIS','SC','124284288416271731528714345114141164092',NULL,'9998',0.00,4,3,NULL),(16,3321010,'1990-03-03 00:00:00',4,4,12,2007,'F','N','PARQUE DAS PALMEIRAS','CHAPECó','SC','124242241211112521353413341122610124092',NULL,'1046',27.12,1,3,NULL),(16,3321029,'1992-11-24 00:00:00',4,1,12,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124242241215111431238831575122610168077',NULL,'262',28.14,1,3,NULL),(16,3321037,'1991-05-27 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241312131752426623572124610168016',NULL,'307',27.28,1,3,NULL),(16,3321045,'1992-02-03 00:00:00',2,1,12,2008,'F','N','PACAEMBU','CASCAVEL','PR','116161161116271431528618485124610123147',NULL,'9998',39.12,1,2,1),(16,3321061,'1991-09-03 00:00:00',2,10,12,2008,'F','N','SANTA CRUZ','TREZE MAIO','SC','124241241126111421533315175223610145042',NULL,'793',24.52,1,3,NULL),(16,3321070,'1981-10-14 00:00:00',2,1,12,1999,'M','N','PANTANO DO SUL','FLORIANóPOLIS','SC','124241241126134711123344445334610162147',NULL,'291',27.50,4,3,NULL),(16,3321096,'1991-06-17 00:00:00',4,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124242241215112431579834272112610118172',3153,'1050',63.39,1,3,NULL),(16,3321100,'1990-03-14 00:00:00',4,1,12,2007,'M','N','CENTRO','S JOSé','SC','124242241215372231554623495124610162187',9870,'1022',49.02,1,3,NULL),(16,3321118,'1990-03-01 00:00:00',4,1,12,2007,'M','N','BUENO','GOIâNIA','GO','109092091216372431578933575122610147047',6647,'9998',54.97,1,3,NULL),(16,3321126,'1980-08-23 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANóPOLIS','SC','124242248116574751339964445122133118187',NULL,'269',21.11,1,3,NULL),(16,3321134,'1980-10-11 00:00:00',4,1,12,2001,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124201201411372431666729392124140722057',12432,'9998',44.50,1,3,NULL),(16,3321142,'1992-01-10 00:00:00',4,2,12,2009,'F','S','AZAMBUJA','BRUSQUE','SC','124244241215111431336822571112610122046',NULL,'107',8.47,1,3,NULL),(16,3321150,'1992-05-13 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241212111631338831475122610137052',7303,'1022',53.70,1,3,NULL),(16,3321169,'1990-08-13 00:00:00',2,2,12,2007,'F','N','CENTRO','BOTUVERá','SC','124241241122131611426611335323613244057',NULL,'98',25.29,1,2,1),(16,3321177,'1991-11-11 00:00:00',2,4,12,2008,'M','N','CENTRO','SAO LOURENCO DO OESTE','SC','124242241212141731548632222122610127152',NULL,'743',26.07,1,3,NULL),(16,3321185,'1986-12-29 00:00:00',4,1,12,2003,'F','N','ABRAãO','FLORIANóPOLIS','SC','124242241216332121438527386114610122077',NULL,'266',0.00,1,3,NULL),(16,3321193,'1991-11-07 00:00:00',2,1,12,2008,'M','N','SANTINHO','FLORIANóPOLIS','SC','124243248215131731343339595124610164057',NULL,'1048',26.28,4,3,NULL),(16,3321207,'1990-09-29 00:00:00',4,1,12,2007,'F','N','SERRARIA','S JOSé','SC','124242241215112412463612342112610123042',NULL,'1078',0.00,1,3,NULL),(16,3321215,'1990-04-30 00:00:00',4,8,11,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241217111431458813572124610124192',NULL,'1105',13.66,1,3,NULL),(16,3321223,'1988-10-20 00:00:00',2,1,12,2006,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242248216573431557729495124610163142',11627,'262',45.96,1,3,NULL),(16,3321231,'1988-05-15 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241216153741127913315124232062181',9048,'269',50.50,1,3,NULL),(16,3321240,'1991-06-10 00:00:00',4,8,12,2008,'F','N','GLORIA','JOINVILLE','SC','124161241417111551446631576124610126142',13126,'459',43.28,1,3,NULL),(16,3321258,'1985-12-20 00:00:00',4,1,12,2003,'M','N','JARDIM HEDY','LONDRINA','PR','116251251316131411238811215121241267076',NULL,'9998',31.50,4,3,NULL),(16,3321266,'1989-08-01 00:00:00',2,3,12,2007,'M','N','BOMBAS','BOMBINHAS','SC','124241241126131431223621195111610132037',NULL,'1089',0.00,1,2,1),(16,3321282,'1992-09-29 00:00:00',4,6,12,2009,'F','S','CENTRO','ITAJAí','SC','124242241215111431448812572122610154147',NULL,'9997',32.30,1,3,NULL),(16,3321290,'1990-06-02 00:00:00',4,1,11,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124243243333135431234543444324412534143',9639,'1022',49.44,1,3,NULL),(16,3321304,'1991-07-02 00:00:00',2,1,11,2008,'M','N','CAMPINAS','S JOSé','SC','124242241217111431336614445124610127187',NULL,'1075',20.68,1,3,NULL),(16,3321312,'1982-04-20 00:00:00',2,1,12,1999,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124243241117135731336923295124221866147',13264,'298',43.04,1,3,NULL),(16,3321320,'1991-10-24 00:00:00',4,1,12,2008,'M','N','CENTRO','ITURAMA','MG','113131131116271431556614272122610164057',NULL,'9998',33.94,1,3,NULL),(16,3321339,'1988-12-08 00:00:00',4,4,12,2006,'F','N','MATINHO','XANXERê','SC','124242241216372431454611375122610122187',12355,'836',44.62,1,3,NULL),(16,3321355,'1990-12-14 00:00:00',2,4,11,2007,'M','N','NAÇÕES','CONCóRDIA','SC','124241248231471431469719572122610112062',NULL,'190',32.17,1,3,NULL),(16,3321363,'1991-05-27 00:00:00',4,1,12,2008,'M','N','PEREQUE','PTO BELO','SC','124161241415221431336836245112610127044',NULL,'1111',39.96,1,3,NULL),(16,3321380,'1990-08-07 00:00:00',2,10,11,2008,'M','N','SANTO DE ANTONIO','TUBARãO','SC','124242241215111431466632195122610134052',16360,'807',36.16,1,3,NULL),(16,3321398,'1990-05-16 00:00:00',4,1,6,2008,'F','N','JD AQUARIUS','S JOSé CAMPOS','SP','125252251215211731468831572122610112092',12141,'9998',45.01,1,3,NULL),(16,3321401,'1975-06-12 00:00:00',4,1,11,1995,'F','N','PANTANAL','FLORIANóPOLIS','SC','124251253136151431133441415124340446092',NULL,'9998',0.00,1,3,NULL),(16,3321410,'1992-04-02 00:00:00',4,10,11,2009,'F','S','OFICINAS','TUBARãO','SC','124242241215111411649933395122610162187',NULL,'807',49.16,5,3,NULL),(16,3321436,'1991-03-18 00:00:00',4,5,12,2008,'F','N','MICHEL','CRICIúMA','SC','124242241217121431469812571122610115092',5816,'226',56.76,1,3,NULL),(16,3321444,'1958-05-30 00:00:00',5,1,12,1980,'M','N','ESTREITO','FLORIANóPOLIS','SC','524241247326145421233443232232320917082',9777,'260',49.20,1,3,NULL),(16,3321452,'1950-01-23 00:00:00',3,1,12,1986,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','424201201122351711234343492314143036097',NULL,'9998',31.35,1,2,1),(16,3321460,'1990-12-08 00:00:00',2,1,12,2008,'M','N','JD MORRO AZUL','LIMEIRA','SP','125251258126111431436419285124610137053',NULL,'9998',26.10,1,3,NULL),(16,3321487,'1990-09-14 00:00:00',5,10,11,2008,'F','N','CENTRO','TUBARãO','SC','124203241215131431436824575125610132147',10134,'1120',48.56,1,3,NULL),(16,3321495,'1956-11-06 00:00:00',4,1,12,1975,'M','N','ESTREITO','FLORIANóPOLIS','SC','224244161211172411448774441132120262043',NULL,'9998',26.06,1,3,NULL),(16,3321509,'1971-01-04 00:00:00',2,1,12,1990,'F','N','ARMAÇÃO PÂNTANO SUL','FLORIANóPOLIS','SC','524014211216131421327741415124142266027',10929,'9998',47.15,1,3,NULL),(16,3321517,'1970-07-24 00:00:00',4,1,12,1988,'M','N','CENTRO','GUARACIABA','SC','224252251216111411586841314122142466192',NULL,'9998',0.00,1,3,NULL),(16,3321525,'1988-01-28 00:00:00',2,1,12,2006,'M','N','QUEBEC','MARINGá','PR','116161161117371432536524345123610127047',NULL,'9998',14.38,4,2,1),(16,3321533,'1987-11-21 00:00:00',4,1,12,2005,'F','N','SANTO ANTôNIO DE LIS','FLORIANóPOLIS','SC','124244241215574431358913375124222522012',3327,'270',62.91,1,3,NULL),(16,3321541,'1992-05-26 00:00:00',4,5,11,2008,'F','N','CENTRO','TURVO','SC','124242241215111431439913432122610122142',14814,'813',40.04,1,3,NULL),(16,3321550,'1991-11-22 00:00:00',4,9,12,2008,'M','N','COPACABANA','LAGES','SC','124242241217371731338933575112610137022',11005,'515',47.01,1,3,NULL),(16,3321576,'1986-11-02 00:00:00',4,1,12,2003,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124244241111134421347832315121233261032',8372,'271',51.64,1,3,NULL),(16,3321584,'1991-01-10 00:00:00',4,1,12,2008,'M','N','ZONA NORTE','IA SOLTEIRA','SP','125252258217111451465531415122610127052',NULL,'9998',0.00,1,3,NULL),(16,3321606,'1991-03-24 00:00:00',4,1,12,2008,'M','N','DANIELA','FLORIANóPOLIS','SC','124242241215111531438611572114610127112',13688,'270',42.29,1,3,NULL),(16,3321614,'1991-05-10 00:00:00',4,8,12,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161211421751478834574114610152107',NULL,'9998',0.00,1,3,NULL),(16,3321622,'1991-11-07 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241215111622235923345124610161167',NULL,'333',25.00,1,3,NULL),(16,3321630,'1991-07-26 00:00:00',2,1,12,2008,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241135141431424319341121610167067',NULL,'288',27.07,1,3,NULL),(16,3321649,'1989-10-20 00:00:00',4,1,12,2007,'M','N','PALMAS DO TREMEMBÉ','SAO PAULO','SP','125252251215571411268813595122610112092',3444,'9998',62.53,1,3,NULL),(16,3321657,'1990-11-23 00:00:00',4,1,12,2008,'F','N','VILA ADYANA','S JOSé CAMPOS','SP','125251258217131431336823572124610123097',16072,'9998',37.03,1,3,NULL),(16,3321665,'1982-06-13 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241117133441124444141324610167112',NULL,'306',39.35,1,2,1),(16,3321673,'1985-07-16 00:00:00',2,1,12,2002,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124201201147271711633624475124231018023',12476,'9998',44.43,1,2,1),(16,3321681,'1986-02-10 00:00:00',4,1,7,2005,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241142133431238524242125610137117',16647,'281',34.32,1,2,1),(16,3321703,'1985-12-29 00:00:00',2,1,12,2004,'M','N','REAL PARK','S JOSé','SC','124241241312374421338433331122231036182',NULL,'943',0.00,1,3,NULL),(16,3321711,'1989-03-17 00:00:00',2,8,12,2006,'M','N','CENTRO','RONDINHA','RS','120201201111571441114623181324610162046',7052,'9998',54.20,1,2,1),(16,3321720,'1991-06-17 00:00:00',4,8,11,2008,'F','N','CENTRO','TOLEDO','PR','116162161216111431446832572325610166147',NULL,'9998',0.00,1,3,NULL),(16,3321738,'1990-09-27 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSé','SC','124241241111132431656634345124243227132',NULL,'257',13.87,1,3,NULL),(16,3321746,'1988-02-25 00:00:00',4,3,11,2006,'M','N','CENTRO','BAL CAMBORIú','SC','124242248212273731436659495115613237047',NULL,'52',31.24,1,3,NULL),(16,3321754,'1985-07-31 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124202201213171411336641215123142664067',NULL,'9998',0.00,1,3,NULL),(16,3321762,'1991-02-26 00:00:00',4,1,12,2008,'M','N','CENTRO','JABORANDI','SP','125254251217111431547812575222610134197',NULL,'9998',39.59,1,3,NULL),(16,3321789,'1985-06-25 00:00:00',5,1,12,2002,'M','N','ATIRADORES','JOINVILLE','SC','124244241216152431136643432124320667057',NULL,'486',0.00,1,3,NULL),(16,3321797,'1992-07-21 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217111751368824592112610116012',NULL,'262',54.54,1,3,NULL),(16,3321800,'1991-03-16 00:00:00',4,7,12,2008,'M','N','CENTRO','CAMPOS NOVOS','SC','124244247426131431426719285125610126097',14437,'9997',40.81,1,3,NULL),(16,3321819,'1987-08-07 00:00:00',2,1,12,2006,'M','N','CENTRO','PALHOçA','SC','124242241216273431336649295122222227087',NULL,'989',29.47,1,3,NULL),(16,3321835,'1961-12-24 00:00:00',4,1,12,1998,'M','N','INGLESES','FLORIANóPOLIS','SC','124243244436134411325443432114332721047',NULL,'266',17.48,1,3,NULL),(16,3321851,'1992-03-11 00:00:00',4,1,12,2009,'M','S','CAMPINAS','S JOSé','SC','124242241217111331479913595124610167042',NULL,'270',41.80,1,3,NULL),(16,3321886,'1988-01-08 00:00:00',2,4,11,2004,'M','N','CENTRO','CASCAVEL','PR','116114201215272431143614375121610127047',NULL,'9998',0.00,1,3,NULL),(16,3321894,'1989-10-16 00:00:00',4,1,11,2005,'M','N','CAMPINAS','S JOSé','SC','124244241216273431449911375112132064047',NULL,'723',0.00,1,3,NULL),(16,3321908,'1991-01-30 00:00:00',2,9,12,2008,'F','N','CENTRO','URUBICI','SC','124242241216371431435833575125610165095',NULL,'817',31.72,4,3,NULL),(16,3321916,'1991-12-26 00:00:00',4,9,12,2008,'F','N','PETRóPOLIS','LAGES','SC','124241241112111431429634575124610163147',15257,'500',39.08,1,3,NULL),(16,3321940,'1990-12-09 00:00:00',2,4,12,2007,'F','N','ALVORADA','FRANCISCO BELTRãO','PR','116161161116371431535511275122610161197',NULL,'9998',28.49,1,2,1),(16,3321959,'1982-12-10 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANóPOLIS','SC','124251241126131431543311441334610127147',NULL,'9998',23.45,1,2,1),(16,3321983,'1988-06-13 00:00:00',2,3,12,2006,'F','N','ITAPEMA','ITAPEMA','SC','124162251216132431635413241134610116047',NULL,'9998',0.00,1,3,NULL),(16,3322009,'1980-04-01 00:00:00',2,1,11,2007,'F','N','JARDIM JANAINA','BIGUAçU','SC','124241248147131711323549195133610118147',NULL,'9997',25.51,1,3,NULL),(16,3322017,'1988-09-20 00:00:00',2,1,11,2005,'F','N','COLONINHA','FLORIANóPOLIS','SC','124241241117374431646414242124610118187',14390,'257',40.89,2,1,1),(16,3322025,'1977-07-17 00:00:00',4,1,12,1994,'M','N','CENTRO','FLORIANóPOLIS','SC','124011011117271441272343335122541042141',6433,'9998',55.41,4,2,1),(16,3322033,'1990-04-24 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUá SUL','SC','124244241415471431668614572122610141192',13700,'424',42.27,1,3,NULL),(16,3322041,'1970-09-14 00:00:00',2,1,12,1988,'M','N','INGLESES','FLORIANóPOLIS','SC','124206208614135751228974147224122266187',13506,'9998',42.61,1,3,NULL),(16,3322050,'1989-04-11 00:00:00',4,1,12,2006,'F','N','SÃO CRISTOVÃO','LAGES','SC','124244241411172431148812445124233234142',NULL,'497',0.00,1,3,NULL),(16,3322068,'1991-07-04 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241125111411434413311114613216142',NULL,'274',12.89,1,3,NULL),(16,3322076,'1979-10-28 00:00:00',4,1,11,1998,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241243122132321533411131123130737054',NULL,'285',25.67,1,2,1),(16,3322084,'1991-09-07 00:00:00',4,1,11,2008,'F','N','SÃO JORGE','S MIGUEL IGUAçU','PR','116162161216121711438612594122610118053',NULL,'9998',0.00,1,3,NULL),(16,3322092,'1991-07-18 00:00:00',4,3,11,2008,'F','N','FAZENDA','ITAJAí','SC','124241241145271431543631395124610134017',NULL,'873',20.78,1,3,NULL),(16,3322106,'1985-06-04 00:00:00',2,1,12,2002,'F','N','IMIGRANTE','BOM RER SUL','RS','120204201217571431558613492122240431177',7723,'9998',52.92,1,3,NULL),(16,3322114,'1991-12-14 00:00:00',2,5,12,2008,'F','N','PRAIA WEBBER','TORRES','RS','120201201117271431433322572114610138197',NULL,'9998',25.54,1,2,1),(16,3322122,'1992-01-23 00:00:00',4,1,12,2009,'M','S','PONTE DO IMARUIM','PALHOçA','SC','124241241215111431356612222124613227017',NULL,'1011',41.90,4,3,NULL),(16,3322130,'1985-03-08 00:00:00',2,1,12,2002,'F','N','PANTANAL','FLORIANóPOLIS','SC','124243241414375431228649492124132823147',NULL,'328',0.00,1,3,NULL),(16,3322157,'1990-10-14 00:00:00',4,1,12,2008,'F','N','KOBRASOL','SAO JOSE','SC','124242241215111431446512572122610117012',NULL,'1077',23.52,1,3,NULL),(16,3322165,'1990-11-29 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215111431359913312122610138182',NULL,'262',0.00,1,3,NULL),(16,3322173,'1990-09-05 00:00:00',4,1,11,2007,'M','N','EMBRATEL','PTO VELHO','RO','122222221217371431563332572112610122122',15115,'9998',39.39,1,3,NULL),(16,3322181,'1991-04-15 00:00:00',4,8,11,2008,'M','N','AMIZADE','JARAGUá SUL','SC','124242241215151731469614575124610167042',4196,'424',60.50,1,3,NULL),(16,3322190,'1985-08-20 00:00:00',2,1,12,2003,'M','N','FUNDO CANOAS','RIO SUL','SC','124241248127572431655329284124130227067',11141,'900',46.76,1,2,1),(16,3322203,'1990-04-17 00:00:00',4,1,12,2008,'M','N','CENTRO','ANTôNIO CARLOS','SC','124241241215111731536614395122610128052',NULL,'20',24.84,1,3,NULL),(16,3322211,'1986-11-27 00:00:00',4,1,12,2003,'F','N','CENTRO','LONDRINA','PR','116252251216473411368836495124342062181',NULL,'9998',0.00,1,3,NULL),(16,3322220,'1976-09-27 00:00:00',4,1,12,1993,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241211153711389813481124321036185',NULL,'262',0.00,1,3,NULL),(16,3322238,'1990-10-21 01:00:00',4,1,12,2008,'F','N','CENTRO','CURITIBANOS','SC','124242241217211731568913575122610162097',NULL,'881',20.59,1,3,NULL),(16,3322246,'1991-05-06 00:00:00',2,1,12,2008,'F','N','VENDAVAL','BIGUAçU','SC','124242241216112431568731575124610116182',NULL,'1022',0.00,3,3,NULL),(16,3322254,'1993-09-29 00:00:00',2,1,12,2010,'M','S','VILA NOVA','IMBITUBA','SC','124243241212111221456433334125610112141',NULL,'807',30.52,1,3,NULL),(16,3322262,'1991-04-30 00:00:00',4,5,11,2008,'M','N','PRAIA GRANDE','TORRES','RS','120204201217151751557533595125610167113',4795,'9998',59.07,1,3,NULL),(16,3322270,'1964-05-31 00:00:00',4,1,12,1981,'M','N','CAMPINAS','S JOSé','SC','224241241111143411538343332122321017062',15544,'293',38.45,1,2,1),(16,3322289,'1990-07-24 00:00:00',2,9,12,2007,'M','N','CENTRO','URUPEMA','SC','124241241145471431425413575324610114142',12292,'819',44.73,1,2,1),(16,3322300,'1992-04-14 00:00:00',4,1,12,2009,'M','S','CENTRO','S JOSé','SC','124242248215111711458613575122610122052',NULL,'723',37.17,1,3,NULL),(16,3322327,'1990-03-09 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241215152431229913595125231062182',5106,'855',58.38,1,3,NULL),(16,3322335,'1987-12-30 00:00:00',4,4,12,2005,'M','N','CENTRO','S LOURENçO OESTE','SC','124241151112112721544932395115130724017',NULL,'9998',0.00,1,2,1),(16,3322343,'1988-07-02 00:00:00',4,1,7,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242281411213431358714442134233267062',11304,'9998',46.47,1,3,NULL),(16,3322351,'1988-04-13 00:00:00',4,1,12,2006,'M','N','CENTRO','CASCAVEL','PR','116162161221371711358839395122610168182',NULL,'9998',0.00,1,3,NULL),(16,3322360,'1992-12-15 00:00:00',2,3,12,2009,'F','S','CAMPO DA AGUA VERDE','CANOINHAS','SC','124244241212111531557722572122610124057',NULL,'154',28.86,1,3,NULL),(16,3322378,'1991-02-05 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124241241217131431447713575114610152017',7345,'724',53.62,1,3,NULL),(16,3322386,'1987-09-18 00:00:00',4,1,12,2005,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124252251117472431356614575124222356197',5979,'9998',56.40,1,3,NULL),(16,3322394,'1977-02-02 00:00:00',4,1,7,1994,'M','N','LAGOA','FLORIANóPOLIS','SC','124212281417142721158641414122321167137',3482,'9998',62.42,1,3,NULL),(16,3322408,'1991-04-07 00:00:00',4,4,12,2008,'M','N','INTERIOR','SALGADO FILHO','PR','116161161116131431435839581324610127077',NULL,'9998',25.52,1,2,1),(16,3322416,'1984-11-08 00:00:00',2,4,11,2001,'M','N','CENTRO','CLEVELâNDIA','PR','116162161416523751373322345122610147057',1410,'9998',69.74,1,3,NULL),(16,3322424,'1988-01-16 00:00:00',2,4,12,2005,'M','N','CENTRO','S JOSé CEDRO','SC','124241241145151431436631271125610126177',2077,'740',66.90,1,2,1),(16,3322432,'1984-12-02 00:00:00',2,1,12,2003,'F','N','RATONES','FLORIANóPOLIS','SC','124242241216574451369511575122221326192',NULL,'855',39.66,1,3,NULL),(16,3322440,'1991-11-04 00:00:00',4,8,12,2008,'M','N','PIçARRAS','GUARATUBA','PR','116164161117161631426733332131610167047',NULL,'9998',27.47,4,3,NULL),(16,3322467,'1988-08-08 00:00:00',2,1,12,2006,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124241241117131431446613342123610127047',NULL,'307',31.18,4,1,1),(16,3322475,'1984-07-14 00:00:00',2,7,12,2006,'M','N','FARROUPILHA','VIDEIRA','SC','124243247326161411236614495123610118052',NULL,'9999',0.00,1,3,NULL),(16,3322483,'1991-06-10 00:00:00',2,1,12,2008,'M','N','PASSA VINTE','PALHOçA','SC','124241241117131431533634346321610127147',10216,'592',48.40,4,3,NULL),(16,3322521,'1987-03-19 00:00:00',4,10,12,2004,'M','N','DEHON','TUBARãO','SC','124241241215272431364932482122133264117',12618,'807',44.15,1,3,NULL),(16,3322530,'1991-11-16 00:00:00',4,1,12,2008,'F','N','RIVERA','JAGUARI','RS','120201201117161431526614292224610147147',15898,'9998',37.49,1,2,1),(16,3322548,'1989-04-26 00:00:00',2,1,12,2006,'M','N','CENTRO','PINDAMONHANGABA','SP','125252251217471411278811575124610137012',16037,'9998',37.15,1,3,NULL),(16,3322556,'1984-02-01 00:00:00',4,1,12,2001,'M','N','BOTAFOGO','RIO JANEIRO','RJ','121252251217571431668931475124240242177',4717,'9998',59.27,3,3,NULL),(16,3322564,'1991-11-08 00:00:00',2,8,12,2008,'M','N','AMIZADE','JARAGUá SUL','SC','124242241215151731458632575121610127127',14555,'424',40.61,1,3,NULL),(16,3322572,'1990-12-07 00:00:00',4,8,12,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124242246215151631468614575124610167052',NULL,'1105',0.00,1,3,NULL),(16,3322580,'1991-09-07 00:00:00',4,1,12,2008,'M','N','CENTRO','CPO GRANDE','MS','112122121216111411449933335122610144072',7626,'9998',53.11,1,3,NULL),(16,3322599,'1987-06-18 00:00:00',2,1,11,2005,'M','N','CENTRO','MARAU','RS','124201207215471431453611295122232427187',10646,'9999',47.66,1,3,NULL),(16,3322602,'1990-04-11 00:00:00',4,1,12,2007,'M','N','PQ INDEPENDêNCIA','S PAULO','SP','125252251216471431565511175124610114117',NULL,'9998',0.00,4,3,NULL),(16,3322610,'1991-03-19 00:00:00',4,1,11,2008,'F','N','CENTRO','FRANCA','SP','125252251217111431446824594122610165142',NULL,'9998',0.00,1,3,NULL),(16,3322629,'1989-06-11 00:00:00',4,8,12,2006,'M','N','BOM RETIRRO','JOINVILLE','SC','124241241116371731336314442121133214042',NULL,'476',16.27,4,3,NULL),(16,3322637,'1963-06-24 00:00:00',2,1,12,1988,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243247321233421131443132114610163092',16598,'9999',34.85,1,3,NULL),(16,3322645,'1989-05-03 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241117132451628811416114120264065',6323,'307',55.64,1,3,NULL),(16,3322653,'1992-09-12 00:00:00',4,5,12,2009,'M','S','URUSSANGUINHA','ARARANGUá','SC','124242241215151432457832572112610114051',NULL,'970',49.84,1,3,NULL),(16,3322661,'1990-03-20 00:00:00',4,10,12,2007,'F','N','CENTRO','CAPIVARI BAIXO','SC','124243241235471732535539572124610132192',NULL,'809',28.84,1,3,NULL),(16,3322670,'1989-02-14 00:00:00',4,1,12,2009,'M','S','TRINDADE','FLORIANóPOLIS','SC','124244241216111411456921575122610167031',NULL,'1022',23.19,1,3,NULL),(16,3322696,'1986-07-18 00:00:00',2,1,7,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124251251127131721433344245331141067142',NULL,'9998',0.00,1,2,1),(16,3322700,'1990-06-06 00:00:00',4,3,12,2007,'F','N','DAS NAçõES','BAL CAMBORIú','SC','124241241116371411433612572123610136192',NULL,'873',19.33,1,3,NULL),(16,3322718,'1981-06-14 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241122131321623221241334610157187',NULL,'263',30.21,1,3,NULL),(16,3322726,'1984-12-16 00:00:00',2,1,12,2002,'F','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124241241126275731533314492124122712147',9137,'307',50.34,1,2,1),(16,3322734,'1979-11-13 00:00:00',3,1,11,1999,'F','N','PANTANAL','FLORIANóPOLIS','SC','125251254227572711125533295124222233027',NULL,'9998',0.00,1,3,NULL),(16,3322742,'1991-08-28 00:00:00',4,2,11,2008,'M','N','CLADETE','CASCAVEL','PR','116162161216471432487912245122610137047',NULL,'9998',0.00,1,3,NULL),(16,3322750,'1964-04-27 00:00:00',4,1,6,1975,'M','N','CENTRO','FLORIANóPOLIS','SC','224243243342334431636419341124132236117',NULL,'9997',15.05,1,3,NULL),(16,3322777,'1989-05-30 00:00:00',4,8,12,2006,'M','N','IRIRIU','JOINVILLE','SC','124242241212473431336712575124231467157',5379,'462',57.69,1,3,NULL),(16,3322785,'1991-05-27 00:00:00',2,4,12,2008,'M','N','CENTRO','S LOURENçO OESTE','SC','124241241316141731566939145122610124172',NULL,'743',26.30,1,3,NULL),(16,3322793,'1990-07-27 00:00:00',4,1,11,2007,'F','N','MONTE CASTELO','S JOSé CAMPOS','SP','125252251217472431448973476112610163197',10797,'9998',47.37,3,3,NULL),(16,3322807,'1969-11-06 00:00:00',2,1,2,2007,'M','N','PICADAS DO SUL','S JOSé','SC','224201247146131431324444241224610156012',NULL,'9999',14.02,2,1,1),(16,3322815,'1989-01-24 00:00:00',2,1,12,2006,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124111161126141432124614345124610122055',NULL,'9998',0.00,1,2,1),(16,3322831,'1989-07-11 00:00:00',4,8,12,2007,'F','N','CENTRO','ITAIóPOLIS','SC','124242248222161711533319282324610165141',NULL,'1024',0.00,1,3,NULL),(16,3322840,'1989-01-26 00:00:00',4,4,11,2006,'M','N','CENTRO','CASCAVEL','PR','116163161215571431455832574112610167187',NULL,'9998',33.51,1,3,NULL),(16,3322858,'1990-12-12 00:00:00',4,8,12,2008,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215111411667931575122610127182',NULL,'1016',22.44,4,3,NULL),(16,3322866,'1992-02-16 00:00:00',2,5,12,2009,'F','S','NOSSA SENHORA DE FáT','BRAçO NORTE','SC','124241241216161431656612275122610127182',NULL,'102',40.44,1,3,NULL),(16,3322874,'1991-03-21 00:00:00',4,6,12,2008,'M','N','IPIRANGA','S PAULO','SP','125252251217111431267823272122610166042',NULL,'9998',0.00,1,3,NULL),(16,3322882,'1991-02-28 00:00:00',2,8,11,2008,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241215151431436814575124610167057',NULL,'461',46.65,1,3,NULL),(16,3322890,'1986-06-25 00:00:00',2,1,11,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241146373431425615345124610123097',NULL,'818',26.91,1,2,1),(16,3322904,'1988-11-28 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241122132731323413572222610122041',NULL,'282',23.32,1,2,1),(16,3322912,'1991-03-21 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124244241435111431428313472114610123015',NULL,'269',18.50,1,3,NULL),(16,3322920,'1983-03-26 00:00:00',2,1,12,2002,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124243241127373721326644345234610133097',14226,'277',41.18,1,3,NULL),(16,3322939,'1991-03-19 00:00:00',4,1,12,2008,'M','N','CAMPO DUNA','GAROPABA','SC','124241241135161731333621575124610118047',NULL,'1136',20.94,1,2,1),(16,3322955,'1987-10-26 00:00:00',2,1,12,2005,'F','N','MUNICIPAL','MONTENEGRO','RS','120202201216371731333511445124240835077',9570,'9998',49.59,1,3,NULL),(16,3322971,'1990-12-11 00:00:00',4,8,12,2008,'M','N','CENTRO','JARAGUA DO SUL','SC','124242241217151431468919374121610147117',6981,'441',54.33,1,3,NULL),(16,3322980,'1982-06-07 00:00:00',4,4,12,1999,'M','N','MARIA LUIZA','CASCAVEL','PR','116161161316571711376912495122141467183',NULL,'9998',43.87,1,3,NULL),(16,3322998,'1991-08-28 00:00:00',2,1,12,2008,'M','N','CENTRO','REALEZA','PR','116162161215121231436832575125610132172',NULL,'9998',0.00,1,3,NULL),(16,3323005,'1990-01-08 00:00:00',4,3,12,2007,'M','N','PATRONATO','STA MARIA','RS','120203201117471441357712575112610142084',NULL,'9998',0.00,1,3,NULL),(16,3323013,'1992-09-22 00:00:00',4,1,12,2009,'M','S','ITACORUBI','FLORIANóPOLIS','SC','124242241217111711369911575121610163122',NULL,'883',52.85,4,3,NULL),(16,3323030,'1983-02-17 00:00:00',2,1,12,1999,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241127232512421379382314610114182',14314,'142',41.02,1,2,1),(16,3323048,'1984-01-02 00:00:00',2,1,12,2002,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241216132411333414441224331627043',NULL,'117',35.69,1,3,NULL),(16,3323056,'1991-06-13 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241135131431346623392121610127047',11602,'592',46.00,2,1,1),(16,3323064,'1987-11-23 00:00:00',2,9,12,2005,'F','N','NOSSA SRA APARECIDA','CURITIBANOS','SC','124243241116131431223321335321131034152',NULL,'239',0.00,1,3,NULL),(16,3323072,'1967-06-06 00:00:00',4,1,10,1986,'M','N','CANASVIEIRAS','FLORIANOPOLIS','SC','124203206112131411148844341124141666197',NULL,'9998',0.00,1,3,NULL),(16,3323080,'1991-12-28 00:00:00',2,4,12,2008,'M','N','FLORESTA','CONCóRDIA','SC','124241241115341531536611311332610134042',NULL,'192',16.00,1,2,1),(16,3323099,'1992-06-01 00:00:00',4,10,11,2009,'F','S','VILA MOEMA','TUBARãO','SC','124244241417111431369913572122610164192',NULL,'807',41.97,1,3,NULL),(16,3323102,'1991-09-02 00:00:00',4,4,12,2008,'M','N','CENTRO','S JOSé CEDRO','SC','124243241416111731669812115122610112072',6977,'751',54.34,1,3,NULL),(16,3323110,'1991-05-12 00:00:00',4,4,11,2008,'M','N','JARDIN BELA VISTA','ITAPIRANGA','SC','124241241116111531425614345121610167047',NULL,'412',0.00,1,2,1),(16,3323129,'1986-09-30 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241112131231325314282124130727052',NULL,'298',0.00,2,1,1),(16,3323137,'1990-10-05 00:00:00',4,8,12,2008,'M','N','PINHEIRINHO','RIO NEGRINHO','SC','124242241215152431464812175122231027012',6425,'666',55.43,1,3,NULL),(16,3323145,'1986-03-14 00:00:00',2,1,11,2006,'M','N','BREJARú','PALHOçA','SC','124241247122131231226944442232610127142',16605,'1009',34.77,1,3,NULL),(16,3323161,'1981-11-16 00:00:00',2,1,12,1998,'F','N','BARREIROS','S JOSé','SC','624241243121133711133944145124331064052',10095,'764',48.61,1,3,NULL),(16,3323170,'1990-10-28 00:00:00',4,1,12,2008,'M','N','CENTRO','BAL ARROIO SILVA','SC','124244242117111431547832226122610127033',NULL,'690',18.13,1,3,NULL),(16,3323188,'1988-01-13 00:00:00',2,1,12,2005,'M','N','OUVIDOR','GAROPABA','SC','124241241137161121513411472124610117045',NULL,'322',0.00,1,2,1),(16,3323200,'1984-11-13 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSé','SC','124161167447141431126919391122231064052',NULL,'9999',17.29,1,3,NULL),(16,3323218,'1985-01-22 00:00:00',4,1,12,2005,'M','N','FLORIANóPOLIS','FLORIANóPOLIS','SC','124071071127131451536623382322610137115',NULL,'9998',0.00,2,3,NULL),(16,3323226,'1988-09-02 00:00:00',4,8,11,2005,'M','N','VILAS BOAS','CPO GRANDE','MS','112122121217571711659812474124610124011',NULL,'9998',0.00,4,3,NULL),(16,3323234,'1988-12-06 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241125471331132243231334610137055',16620,'505',34.66,1,3,NULL),(16,3323242,'1992-03-17 00:00:00',1,8,12,2008,'F','N','PICARRAS','GUARATUBA','PR','116161161116151431433923175121613217057',NULL,'9998',0.00,4,3,NULL),(16,3323250,'1991-09-03 00:00:00',4,8,12,2008,'M','N','FLORESTA','JOINVILLE','SC','124241246215151631469813575124610167052',5486,'1105',57.50,4,3,NULL),(16,3323269,'1990-03-06 00:00:00',4,1,12,2008,'M','N','CENTRO','S JOãO BATISTA','SC','124241241126131431636612142122610137097',NULL,'574',20.75,1,2,1),(16,3323277,'1952-12-02 00:00:00',2,1,12,1969,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','524252255221141411256641211122221613147',NULL,'9998',0.00,1,3,NULL),(16,3323293,'1989-04-06 00:00:00',4,8,12,2006,'F','N','CENTRO','PRES NEREU','SC','124241241125372231323633345122610138147',NULL,'645',21.63,1,2,1),(16,3323315,'1990-02-14 00:00:00',2,8,12,2007,'F','N','CENTRO','DRACENA','SP','125253251116471431238869575122610127142',NULL,'9998',0.00,1,3,NULL),(16,3323323,'1991-03-28 00:00:00',2,6,12,2008,'F','N','SãO PEDRO','BRUSQUE','SC','124241241135131431547613286224610162147',NULL,'111',28.99,1,3,NULL),(16,3323331,'1990-03-08 00:00:00',4,8,12,2007,'M','N','JD SAO BENTO','CPO GRANDE','MS','112122121217471341579913575122610117057',8157,'9998',52.13,1,3,NULL),(16,3323340,'1988-04-01 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANóPOLIS','SC','124201241336131431523544245124610135112',NULL,'804',28.02,1,3,NULL),(16,3323358,'1989-12-20 00:00:00',4,3,12,2006,'M','N','GLóRIA','PTO ALEGRE','RS','119202201214131411356811373124610167041',8828,'9998',50.84,1,3,NULL),(16,3323382,'1991-12-10 00:00:00',2,5,11,2008,'F','N','N SENHORA DE FáTIMA','BRAçO NORTE','SC','124241241215141631426614595112610168191',NULL,'102',22.96,1,3,NULL),(16,3323390,'1991-12-26 00:00:00',4,7,12,2008,'F','N','CENTRO','PASSO FUNDO','RS','120202201216111431446616462124610123147',9759,'9998',49.23,1,3,NULL),(16,3323412,'1984-11-23 00:00:00',4,1,8,2004,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241247311344121236614141134133237057',16212,'9999',36.64,1,3,NULL),(16,3323420,'1991-09-18 00:00:00',2,4,12,2008,'M','N','DISTRITO','FAXINAL GUEDES','SC','124241241125161431426334572342610124052',NULL,'255',25.43,1,2,1),(16,3323447,'1990-03-09 00:00:00',2,8,12,2007,'M','N','JARDIM VERA CRUZ','DRACENA','SP','125251251116471711537839572121610117052',NULL,'9998',30.77,1,3,NULL),(16,3323455,'1992-05-30 00:00:00',4,1,12,2009,'M','S','BALNEáRIO','FLORIANóPOLIS','SC','124242241215111441428812575224610138175',NULL,'738',47.55,1,3,NULL),(16,3323463,'1992-07-10 00:00:00',4,7,12,2008,'F','N','SãO CRISTóVãO','PASSO FUNDO','RS','120201201216111431647514342124610123147',8528,'9998',51.37,1,3,NULL),(16,3323471,'1991-05-24 00:00:00',4,4,12,2008,'F','N','CENTRO','ERVAL GRANDE','RS','120201201126131431323439145125610145147',NULL,'9998',0.00,1,2,1),(16,3323480,'1990-10-07 00:00:00',4,8,12,2008,'F','N','FLORESTA','JOINVILLE','SC','124243241217411451467913575122610122097',NULL,'486',0.00,1,3,NULL),(16,3323498,'1991-09-14 00:00:00',4,7,12,2008,'F','N','INTERIOR','JOAçABA','SC','124241241113272431428529283124610137077',NULL,'449',25.80,1,2,1),(16,3323501,'1982-09-10 00:00:00',2,1,12,1999,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116161161131134331336414445324122944091',NULL,'458',0.00,1,2,1),(16,3323536,'1991-03-26 00:00:00',4,1,11,2008,'F','N','HORTO FLORESTAL','SALVADOR','BA','605052051216111411588931571112610146042',NULL,'9998',0.00,1,3,NULL),(16,3323544,'1988-01-07 00:00:00',2,1,12,2005,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241212374421469813491112230224043',NULL,'9999',0.00,1,3,NULL),(16,3323552,'1989-04-02 00:00:00',4,1,12,2006,'M','N','ZONA SETE','MARINGá','PR','116162161217571431343831575115610162017',NULL,'9998',0.00,1,3,NULL),(16,3323560,'1990-04-25 00:00:00',4,1,12,2007,'F','N','CENTRO','ITAí','SP','125251251126131431533614142334610127092',NULL,'9998',18.95,1,2,1),(16,3323587,'1991-01-05 00:00:00',2,2,12,2008,'F','N','CENTRO','GUARUJá','SP','125252251216111411535812595122610125147',5001,'9998',58.61,1,3,NULL),(16,3323609,'1990-06-17 00:00:00',4,8,12,2007,'M','N','VILA RANCHO VELHO','S CARLOS','SP','125252251217471431236612575112610162122',5601,'9998',57.26,1,3,NULL),(16,3323617,'1990-06-23 00:00:00',4,1,12,2007,'M','N','SAO BENEDITO','MORUNGABA','SP','125252251217571711365823575112610167097',6448,'9998',55.38,1,3,NULL),(16,3323625,'1993-09-14 00:00:00',2,5,11,2009,'F','S','SãO LUIZ','CRICIúMA','SC','124242248215111431546932575122610124192',NULL,'226',31.68,3,3,NULL),(16,3323633,'1985-11-29 00:00:00',4,1,12,2002,'M','N','CENTRO','GETúLIO VARGAS','RS','120201201316572431454932585124221464197',NULL,'9998',0.00,1,3,NULL),(16,3323641,'1991-05-31 00:00:00',4,6,12,2008,'M','N','PRAIA BRAVA','ITAJAí','SC','124242241215111431349612475122610124042',12172,'392',44.95,1,3,NULL),(16,3323650,'1991-11-13 00:00:00',4,5,2,2008,'F','N','MORRO DA GLORIA','URUSSANGA','SC','124242241215111751455612272122610122142',NULL,'820',31.92,1,3,NULL),(16,3323668,'1989-05-07 00:00:00',4,1,12,2007,'M','N','CAMPO BELO','S PAULO','SP','125253251117571411437819375123610164097',NULL,'9998',0.00,1,3,NULL),(16,3323676,'1988-07-02 00:00:00',4,1,12,2005,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124203201215372431389812495124221124042',9431,'9998',49.84,1,3,NULL),(16,3323684,'1992-10-24 00:00:00',4,5,12,2009,'F','S','NASPOLINI','CRICIúMA','SC','124242241215111731556619372122610138187',NULL,'226',44.69,1,3,NULL),(16,3323692,'1992-01-26 00:00:00',4,1,12,2009,'F','S','COQUEIROS','FLORIANóPOLIS','SC','124241241215111431379613476124610125092',NULL,'269',29.43,1,3,NULL),(16,3323706,'1991-09-03 00:00:00',2,1,12,2008,'M','N','BOM VIVER','BIGUAçU','SC','124241241112131431433311595224610157147',11673,'64',45.87,1,3,NULL),(16,3323722,'1988-04-22 00:00:00',2,1,12,2005,'M','N','CENTRO','TIJUCAS','SC','124241241112132211236624585122610144097',NULL,'783',0.00,1,2,1),(16,3323749,'1986-09-04 00:00:00',2,1,12,2004,'M','N','JARDIM JANAINA','BIGUAçU','SC','124242241417274411335427345122122317043',15216,'943',39.16,1,3,NULL),(16,3323757,'1986-12-23 00:00:00',2,1,12,2004,'F','N','SACO GRANDE II','FLORIANóPOLIS','SC','124241241126231431113341315324231934031',15206,'870',39.19,1,2,1),(16,3323773,'1985-08-14 00:00:00',4,6,12,2003,'M','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125252251217471431269933571125141467042',843,'9998',73.10,1,3,NULL),(16,3323781,'1989-05-23 00:00:00',4,1,12,2006,'M','N','IPIRANGA','S PAULO','SP','125252251217571451638829572112613262187',344,'9998',77.43,1,3,NULL),(16,3323790,'1991-12-17 00:00:00',4,4,12,2008,'M','N','CENTRO','QUILOMBO','SC','124241241526111431436939575122610127057',NULL,'647',0.00,1,3,NULL),(16,3323803,'1983-02-21 00:00:00',2,1,12,1999,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124244241111175731546331315124222367052',3667,'307',61.91,1,3,NULL),(16,3323811,'1981-10-25 00:00:00',2,1,12,2000,'M','N','PANTANAL','FLORIANóPOLIS','SC','124251258117131741123949393114140811132',NULL,'9998',30.62,3,2,1),(16,3323820,'1982-09-27 00:00:00',2,1,12,1999,'F','N','PAES LEME','IMBITUBA','SC','124241241117133431443659481224131326097',12926,'359',43.63,1,2,1),(16,3323838,'1990-05-12 00:00:00',2,1,12,2007,'M','N','CENTRO','URUGUAIANA','RS','120201201137131751436614372324610118182',NULL,'9998',0.00,1,2,1),(16,3323854,'1991-07-17 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124245241215411431446631574124610136097',NULL,'1038',16.60,1,3,NULL),(16,3323862,'1989-07-06 00:00:00',4,1,12,2006,'F','N','PERDIZES','S PAULO','SP','125252251217571431558831575125143221147',NULL,'9998',0.00,1,3,NULL),(16,3323870,'1986-12-01 00:00:00',2,1,12,2003,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241316135431548829275224231867022',6543,'806',55.19,1,3,NULL),(16,3323889,'1990-12-29 00:00:00',2,4,12,2007,'M','N','CENTRO','PLANALTO','RS','120201201116131231425611215122130714067',NULL,'9998',23.16,1,3,NULL),(16,3323897,'1993-02-24 00:00:00',4,6,10,2009,'M','S','CENTRO','BARRA VELHA','SC','124243241217111732456632572122610144122',NULL,'459',43.05,1,3,NULL),(16,3323900,'1990-12-29 00:00:00',4,4,12,2008,'M','N','CENTRO','CHAPECó','SC','124242241215111431569731575112610127042',7361,'168',53.60,1,3,NULL),(16,3323919,'1991-09-05 00:00:00',4,4,12,2008,'M','N','SãO FRANCISCO','S LOURENçO OESTE','SC','124242161215111531469913435122610132122',9074,'9998',50.46,1,3,NULL),(16,3323927,'1991-04-03 00:00:00',2,4,11,2008,'M','N','CENTRO','IPORã OESTE','SC','124244241317271731436612315125610114067',NULL,'370',22.33,1,3,NULL),(16,3323935,'1990-12-31 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241117151412459813575122610123125',10944,'267',47.13,1,2,1),(16,3323943,'1986-05-22 00:00:00',4,1,11,2003,'M','N','CENTRO','CRICIúMA','SC','124242241216574432466654375124221167047',NULL,'213',0.00,1,3,NULL),(16,3323951,'1972-07-21 00:00:00',2,1,11,1992,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124252253136272412167343435222143237125',6559,'9998',55.15,1,3,NULL),(16,3323960,'1991-10-20 01:00:00',4,8,11,2008,'F','N','CENTRO','ARAQUARI','SC','124241241435371431355519575122610126142',NULL,'25',26.49,1,3,NULL),(16,3323978,'1991-07-01 00:00:00',2,1,12,2008,'F','N','MEDIANEIRA','STA MARIA','RS','120201201117111431235634275112610163017',11090,'9998',46.86,1,2,1),(16,3323986,'1952-11-06 00:00:00',4,1,12,1972,'M','N','CAMPINAS','S JOSé','SC','424241241112114751543343432122322916042',12189,'521',44.92,2,1,1),(16,3323994,'1990-11-09 00:00:00',4,8,12,2008,'F','N','AMERICA','JOINVILLE','SC','124242241215121431248823334121610127092',15487,'486',38.57,1,3,NULL),(16,3324001,'1983-01-04 00:00:00',4,8,12,2000,'M','N','BOM RETIRO','JOINVILLE','SC','124043041217212431276812425123130217042',NULL,'9998',0.00,1,3,NULL),(16,3324010,'1991-04-24 00:00:00',4,1,11,2008,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241217271431259913475114610122057',NULL,'807',29.44,1,3,NULL),(16,3324028,'1989-06-04 00:00:00',2,3,12,2006,'F','N','SãO PEDRO','APUCARANA','PR','116164161215571431348923575124610162087',1962,'9998',67.33,1,3,NULL),(16,3324036,'1988-03-05 00:00:00',4,4,12,2005,'M','N','CENTRO','MARAVILHA','SC','124244241316272431428832495112142832012',8274,'1037',51.83,1,3,NULL),(16,3324044,'1991-11-05 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215112731478619395134610168077',14792,'1022',40.08,1,3,NULL),(16,3324052,'1983-06-06 00:00:00',4,1,7,2001,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124242246117132441237644342221610164082',2930,'306',64.03,1,3,NULL),(16,3324079,'1988-12-21 00:00:00',4,1,12,2005,'F','N','CENTRO','CURITIBA','PR','124241241215573411459614572112610146072',5773,'1000',56.88,1,3,NULL),(16,3324087,'1992-08-26 00:00:00',2,5,12,2009,'M','S','POçO VERDE','MELEIRO','SC','124242248215151421366516395124610138182',NULL,'970',36.74,1,3,NULL),(16,3324095,'1988-02-02 00:00:00',4,1,12,2005,'M','N','CENTRO','NAVIRAí','MS','112122121216515431557932572122610167052',1449,'9998',69.56,1,3,NULL),(16,3324109,'1966-06-12 00:00:00',4,1,12,1984,'F','N','INGLESES','FLORIANóPOLIS','SC','524241248116133721243343435134320941187',NULL,'257',0.00,1,3,NULL),(16,3324117,'1984-04-21 00:00:00',2,9,12,2002,'M','N','MARIA LUIZA','LAGES','SC','124241241112163431421136192121233164047',NULL,'601',30.89,1,2,1),(16,3324125,'1986-11-04 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241247316111711227544442324610136093',NULL,'9999',0.00,4,3,NULL),(16,3324141,'1990-11-05 00:00:00',2,2,12,2008,'M','N','FIGUEIRA','GASPAR','SC','124241241217131431336334242124610162057',8233,'955',51.90,1,3,NULL),(16,3324150,'1986-02-23 00:00:00',2,1,12,2003,'M','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124241241127131432334351191334610124061',NULL,'282',20.88,4,3,NULL),(16,3324168,'1988-11-14 00:00:00',4,10,12,2006,'M','N','REVOREDO','TUBARãO','SC','124242241217131431326724345111131237112',13010,'797',43.48,1,3,NULL),(16,3324192,'1991-01-02 00:00:00',2,8,11,2008,'F','N','CENTRO','JOINVILLE','SC','124241248136271411454632392122610164147',NULL,'492',26.05,1,3,NULL),(16,3324206,'1992-06-15 00:00:00',4,1,12,2009,'M','S','INGLESES','FLORIANóPOLIS','SC','124242241217151731658813235124610168092',NULL,'1049',43.27,1,3,NULL),(16,3324222,'1986-10-22 00:00:00',4,8,12,2003,'F','N','CERVEJARIA','LONDRINA','PR','116164161216574731438923571122610127022',3206,'9998',63.27,1,3,NULL),(16,3324230,'1991-12-05 00:00:00',4,2,11,2008,'M','N','CARIJóS','INDAIAL','SC','124243241215171441473512572122610167187',NULL,'986',32.79,1,3,NULL),(16,3324257,'1990-06-06 00:00:00',2,1,11,2008,'M','N','LAGOINHA','FLORIANóPOLIS','SC','124241241112131431523331185124610127013',NULL,'288',23.35,1,2,1),(16,3324265,'1992-02-07 00:00:00',2,1,12,2008,'F','N','NAZARE','MEDIANEIRA','PR','116163161216371731334312214122610121077',NULL,'9998',0.00,1,3,NULL),(16,3324273,'1988-03-06 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248217132731124912492122231017147',14192,'962',41.25,1,3,NULL),(16,3324281,'1985-01-22 00:00:00',2,1,12,2002,'F','N','SANTO AMARO','CPO GRANDE','MS','112121121415571431457513574122610168187',NULL,'9998',44.60,4,1,2),(16,3324290,'1989-08-18 00:00:00',2,1,12,2005,'F','N','JURERE','FLORIANóPOLIS','SC','124241241137272431433623345124610126017',NULL,'307',0.00,1,2,1),(16,3324303,'1991-10-06 00:00:00',4,10,12,2009,'M','S','CENTRO','JAGUARUNA','SC','124242241214111551359731572122610167042',NULL,'807',45.40,1,3,NULL),(16,3324311,'1988-09-22 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241247145572411126414572224610144052',14507,'9999',40.68,1,2,1),(16,3324320,'1989-03-09 00:00:00',4,3,12,2006,'F','N','VILA IZABEL','CURITIBA','PR','116162161216461431469924575122610116012',NULL,'9998',0.00,1,3,NULL),(16,3324338,'1991-11-02 00:00:00',4,8,12,2008,'F','N','CAJURU','CURITIBA','PR','116162161215471431448839572122610147182',NULL,'9998',0.00,1,3,NULL),(16,3324354,'1989-03-06 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241217152431444832575113133222186',NULL,'266',37.85,1,3,NULL),(16,3324362,'1991-11-04 00:00:00',2,3,11,2009,'F','S','CENTRO','RIO SUL','SC','124242241217111431459611274122610162042',NULL,'959',26.77,1,3,NULL),(16,3324370,'1987-06-13 00:00:00',4,4,12,2004,'M','N','CENTRO','CHAPECO','SC','124241241126142451336679291125610118177',12867,'169',43.73,4,3,NULL),(16,3324389,'1979-01-04 00:00:00',2,1,12,1996,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124244241216155421238843432232121827063',NULL,'270',0.00,1,3,NULL),(16,3324397,'1991-06-10 00:00:00',4,6,12,2008,'M','N','DOM BOSCO','ITAJAí','SC','124242241217111431558831575125610117047',NULL,'392',25.30,1,3,NULL),(16,3324400,'1990-08-06 00:00:00',4,1,11,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','125252251217372751487811315112610138042',NULL,'9998',0.00,1,3,NULL),(16,3324419,'1991-11-05 00:00:00',4,9,12,2008,'M','N','SANTA RITA','LAGES','SC','124244241215111731456611595122610137057',NULL,'515',16.10,1,3,NULL),(16,3324427,'1991-01-14 00:00:00',2,1,12,2008,'F','N','BARRA DO ARIRIU','PALHOçA','SC','124241241417111431468919575124610121147',13792,'1022',42.08,1,3,NULL),(16,3324443,'1978-11-03 00:00:00',2,1,12,2005,'F','N','RIO VEMELHO','FLORIANóPOLIS','SC','524074077436131421436843235124610144111',NULL,'9998',0.00,4,1,2),(16,3324451,'1980-09-30 00:00:00',2,1,12,1997,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','224203241237133421238849395134330268015',NULL,'272',0.00,1,3,NULL),(16,3324460,'1982-01-13 00:00:00',2,1,12,2000,'F','N','PASSA VINTE','PALHOçA','SC','624241248147131411423359342333610133097',NULL,'591',22.72,1,3,NULL),(16,3324478,'1991-07-08 00:00:00',4,5,12,2008,'M','N','CENTRO','PR GRANDE','SC','124241241117161431236915575124610126042',12751,'641',43.92,1,2,1),(16,3324486,'1991-06-16 00:00:00',4,6,12,2008,'M','N','GRAVATá','PENHA','SC','124244241217151232446834575112610164077',NULL,'1008',0.00,1,3,NULL),(16,3324494,'1987-10-31 00:00:00',4,8,11,2005,'M','N','BALBRASILIA','ITAPOá','SC','124241248122131531333311282221610124112',NULL,'413',0.00,1,3,NULL),(16,3324516,'1990-11-05 00:00:00',2,1,12,2007,'M','N','CENTRO','NOVA ALVORADA','RS','120201201147371711546631572124610117047',NULL,'9998',0.00,1,2,1),(16,3324524,'1975-12-14 00:00:00',2,1,10,2000,'M','N','SERRARIA','S JOSé','SC','124243247146132441235644145124610124057',9485,'9999',49.75,1,3,NULL),(16,3324532,'1991-10-28 00:00:00',4,1,12,2008,'F','N','SANTOS SARAIVA','S JOSé','SC','124241241112131431424321585224610144077',NULL,'729',12.13,4,3,NULL),(16,3324540,'1988-09-27 00:00:00',4,1,12,2006,'M','N','FLORESTA','JOINVILLE','SC','124242241215372432469923375323221937182',3560,'1105',62.19,1,3,NULL),(16,3324559,'1991-06-04 00:00:00',2,4,12,2008,'F','N','JARDIM UNIVERSITáRIO','DOURADOS','MS','112122121212321411238833572121610124142',15203,'9998',39.19,1,3,NULL),(16,3324567,'1990-01-11 00:00:00',2,1,11,2007,'F','N','JARDIM ALBA','VINHEDO','SP','125254251217361431567616275122610126147',12366,'9998',44.60,1,3,NULL),(16,3324575,'1991-06-30 00:00:00',4,2,12,2008,'F','N','CENTRO','CURITIBA','PR','116161161116471431338923572124610144097',NULL,'9998',0.00,1,2,1),(16,3324583,'1992-09-26 00:00:00',4,1,12,2009,'F','S','CANAVASVIEIRAS','FLORIANóPOLIS','SC','124242241235111122468831576112610162187',NULL,'951',38.59,1,3,NULL),(16,3324591,'1988-05-18 00:00:00',2,8,12,2006,'M','N','CENTRO','RIO NEGRO','PR','116241161212523431233822592122231417051',8917,'9998',50.71,1,3,NULL),(16,3324613,'1991-09-15 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124242241217111421343739372114610164192',13190,'1048',43.16,1,3,NULL),(16,3324621,'1982-08-13 00:00:00',2,1,12,2008,'F','N','CÓRREGO GANDE','FLORIANóPOLIS','SC','124131241127131431523341112324610114147',NULL,'298',24.42,2,1,1),(16,3324630,'1987-04-17 00:00:00',4,1,12,2005,'M','N','PARAíSO','STO ANDRé','SP','125252251337472431236611215324241213012',NULL,'9998',0.00,1,3,NULL),(16,3324648,'1983-02-03 00:00:00',4,1,12,2001,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124244247312112711423829492124132017112',NULL,'9999',0.00,4,3,NULL),(16,3324656,'1988-02-27 00:00:00',2,1,12,2004,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124201201116131431446613385114233268053',14150,'9998',41.33,1,2,1),(16,3324672,'1982-10-04 00:00:00',2,1,12,2001,'M','N','CENTRO','BIGUAçU','SC','124181181127151711323343231234610118047',NULL,'9998',26.24,4,3,NULL),(16,3324680,'1979-07-24 00:00:00',4,1,10,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124203247217231731216341212324610127187',NULL,'9999',0.00,1,3,NULL),(16,3324699,'1990-11-10 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241435111431238831572114610167047',5518,'270',57.43,1,3,NULL),(16,3324710,'1990-09-25 00:00:00',2,1,12,2007,'M','N','BOA VISTA','CARAZINHO','RS','120201201116371431445619292124610127047',NULL,'9998',0.00,1,2,1),(16,3324729,'1991-11-21 00:00:00',4,1,12,2008,'F','N','CENTRO','CRUZ ALTA','RS','120204201215371431466811572222610142072',NULL,'9998',0.00,1,3,NULL),(16,3324737,'1991-09-25 00:00:00',2,1,12,2008,'F','N','CAMPO DUNA','GAROPABA','SC','124241241126131431325812345124610127152',NULL,'1136',23.65,1,3,NULL),(16,3324745,'1986-10-30 00:00:00',4,7,12,2003,'M','N','CENTRO','FRAIBURGO','SC','124241241216372431355619345132131434187',NULL,'885',0.00,1,3,NULL),(16,3324753,'1989-03-03 00:00:00',4,8,11,2006,'M','N','JARDIM CENTRAL','FOZ IGUAçU','PR','116162161217371221336639391112610167017',NULL,'9998',0.00,3,3,NULL),(16,3324761,'1988-11-17 00:00:00',4,1,11,2007,'M','N','JARDIM TROPICAL','CUIABá','MT','111111111225211332439614375112140434182',NULL,'9998',0.00,1,3,NULL),(16,3324770,'1990-11-26 00:00:00',2,9,12,2007,'F','N','FORQUETA','CAXIAS SUL','RS','120202201215571451457823491124140447077',6063,'9998',56.20,1,3,NULL),(16,3324788,'1993-02-24 00:00:00',4,6,10,2009,'M','S','CENTRO','BARRA VELHA','SC','124243241217111432456632572122610138142',NULL,'459',53.21,1,3,NULL),(16,3324796,'1987-04-30 00:00:00',4,1,12,2004,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241117574431356833171124610147047',12210,'307',44.88,1,2,1),(16,3324800,'1991-10-26 00:00:00',4,1,12,2008,'F','N','EDMUNDO TREIN','PASSO FUNDO','RS','120201201113371431427811472324610163047',NULL,'9998',20.59,1,3,NULL),(16,3324818,'1990-01-13 00:00:00',2,1,11,2006,'F','N','JUVEVê','CURITIBA','PR','116224221437371411446634572124143264097',NULL,'9998',0.00,1,3,NULL),(16,3324826,'1988-07-16 00:00:00',2,7,11,2005,'M','N','FLOR DA SERRA','JOAçABA','SC','124242241217272431448611575112131427042',8605,'446',51.24,1,3,NULL),(16,3324842,'1990-10-31 00:00:00',4,1,12,2007,'M','N','CENTRO','SETE QUEDAS','MS','112124121116371431456632575112610137052',NULL,'9998',0.00,1,3,NULL),(16,3324850,'1987-11-15 00:00:00',4,1,12,2005,'M','N','PINHEIROS','S PAULO','SP','125252251216571331289831571112142427042',NULL,'9998',0.00,1,3,NULL),(16,3324869,'1989-06-27 00:00:00',4,1,12,2006,'M','N','TERESOPOLIS','PTO ALEGRE','RS','120204201117131421311112382121610132087',NULL,'9998',0.00,1,3,NULL),(16,3324877,'1991-08-02 00:00:00',4,1,12,2008,'M','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124112241215131431568816272124610167042',NULL,'1048',0.00,1,3,NULL),(16,3324885,'1990-05-23 00:00:00',4,1,12,2007,'M','N','RATONES','FLORIANóPOLIS','SC','124242241217111412458911572112610117047',NULL,'270',0.00,1,3,NULL),(16,3324893,'1992-11-12 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124242241215111431538834572122610152142',NULL,'944',18.00,1,3,NULL),(16,3324915,'1991-01-23 00:00:00',2,10,12,2007,'F','N','KM TRINTA E SETE','LAGUNA','SC','124243241212472431333824272124610124147',NULL,'797',0.00,1,3,NULL),(16,3324923,'1981-01-26 00:00:00',2,1,12,1997,'F','N','CENTRO','CAXIAS SUL','RS','120201203146231441523621412214610127027',NULL,'9998',23.77,1,2,1),(16,3324931,'1992-01-11 00:00:00',4,1,11,2009,'M','S','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124242241237111431338823595124610114197',NULL,'1022',0.00,1,3,NULL),(16,3324966,'1986-04-11 00:00:00',2,1,12,2003,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241127472431331724242224130214057',11486,'922',46.20,1,2,1),(16,3324974,'1992-08-03 00:00:00',4,1,12,2009,'M','S','CENTRO','CANELINHA','SC','124244248417111431436914295124613235057',NULL,'948',30.44,1,3,NULL),(16,3324982,'1982-01-11 00:00:00',2,1,12,1999,'M','N','CENTRO','BIGUAçU','SC','124191191111141712612349491334610167043',NULL,'9998',26.31,1,3,NULL),(16,3325008,'1982-01-30 00:00:00',2,1,12,2001,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124243241342243431454119245114610117182',NULL,'9999',25.15,1,3,NULL),(16,3325016,'1989-09-28 00:00:00',4,1,12,2007,'M','N','CENTRO','ITURAMA','MG','113131131116371731448621572125610167057',NULL,'9998',0.00,1,3,NULL),(16,3325040,'1991-11-22 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215121231558832575122610116112',3729,'226',61.76,1,3,NULL),(16,3325059,'1991-07-01 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124242241215121431565939295111610124182',13776,'44',42.12,1,3,NULL),(16,3325067,'1987-10-28 00:00:00',2,8,12,2005,'M','N','CRISTO REI','CURITIBA','PR','116163161216573431236712111124610167017',3549,'9998',62.23,1,3,NULL),(16,3325075,'1988-09-18 00:00:00',4,1,12,2007,'F','N','RAIA','PARANAGUá','PR','116163161136271411549931445123141026097',12417,'9998',44.52,1,3,NULL),(16,3325083,'1992-02-29 00:00:00',4,10,10,2009,'M','S','CENTRO','TUBARãO','SC','124242241215371431557932576111610148122',NULL,'807',55.17,1,3,NULL),(16,3325105,'1983-03-26 00:00:00',2,1,12,2002,'M','N','BOA VISTA','S JOSé R PRETO','SP','125253251136142431536611392225143236112',15039,'9998',39.57,1,3,NULL),(16,3325113,'1991-02-03 00:00:00',4,1,12,2008,'F','N','PRIMAVERA II','PRIMAVERA LESTE','MT','111113111216111751466312575112610166192',NULL,'9998',0.00,1,3,NULL),(16,3325121,'1990-05-05 00:00:00',4,8,11,2008,'F','N','PORTAL DA FOZ','FOZ IGUAçU','PR','116161161416271411327833235114610162187',NULL,'9998',0.00,4,3,NULL),(16,3325130,'1979-08-26 00:00:00',2,1,12,1996,'F','N','CENTRO','FLORIANóPOLIS','SC','221212213236151411248559575124141064167',NULL,'9998',0.00,4,3,NULL),(16,3325148,'1993-05-16 00:00:00',4,1,12,2010,'F','S','MONTE VERDE','FLORIANóPOLIS','SC','124242241217111711456713572124610148145',NULL,'270',44.82,1,3,NULL),(16,3325156,'1988-09-18 00:00:00',2,3,12,2007,'F','N','JARDIM BELA VISTA','CAMBORIú','SC','124241241114371711623214244314610146187',NULL,'130',0.00,4,2,1),(16,3325164,'1982-08-29 00:00:00',4,1,1,2001,'M','N','BARREIROS','S JOSé','SC','124204207436231221228744345234132122017',NULL,'9999',25.77,1,3,NULL),(16,3325172,'1991-07-23 00:00:00',2,9,11,2008,'M','N','ESQUINA','URUBICI','SC','124244241217131431423925252124610144047',10891,'817',47.21,1,3,NULL),(16,3325199,'1980-07-24 00:00:00',2,1,12,1997,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124241241146131111424469245324610114045',NULL,'281',10.61,1,2,1),(16,3325202,'1978-07-04 00:00:00',3,1,12,1996,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241217133421258313412124322262012',11917,'272',45.42,4,3,NULL),(16,3325210,'1992-01-17 00:00:00',4,8,11,2008,'F','N','SANTANA','GUARAPUAVA','PR','116163161216231431468832572122610123057',6034,'9998',56.27,1,3,NULL),(16,3325229,'1991-12-17 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124201241116271431346619575114610124097',15738,'293',37.96,1,2,1),(16,3325237,'1989-09-03 00:00:00',2,3,12,2007,'F','N','PARQUE INDUSTRIAL','EMBU','SP','125254251411161431438531291224610165017',NULL,'9998',0.00,4,3,NULL),(16,3325253,'1988-05-30 00:00:00',2,1,12,2005,'F','N','CAMPINAS','S JOSé','SC','124242241216152431466651245124230222192',NULL,'9997',0.00,1,3,NULL),(16,3325261,'1991-11-10 00:00:00',2,1,12,2008,'M','N','JARDIM CARANDAI','BIGUAçU','SC','124241241215131732333413572214610137097',NULL,'20',27.87,2,1,2),(16,3325296,'1981-07-02 00:00:00',2,1,12,1998,'F','N','BELA VISTA I','S JOSé','SC','224092091216471221243553212122342661097',1555,'9998',69.10,1,3,NULL),(16,3325318,'1989-09-21 00:00:00',4,8,12,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124241246217371431556714575114610167122',9925,'494',48.91,1,3,NULL),(16,3325326,'1991-06-17 00:00:00',4,2,12,2008,'F','N','BUDAG','RIO DO SUL','SC','124241241115131431443632275125610124182',NULL,'864',23.21,1,2,1),(16,3325334,'1991-04-19 00:00:00',2,1,12,2008,'M','N','CAMPO DUNA','GAROPABA','SC','124241241137161432456713576124610127057',NULL,'1136',20.46,1,2,1),(16,3325369,'1965-08-19 00:00:00',4,1,12,1982,'F','N','CENTRO','FLORIANóPOLIS','SC','524243241316154411253349495122520831183',4342,'260',60.15,1,3,NULL),(16,3325377,'1956-07-02 00:00:00',2,1,12,1998,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','524201207127151421134444243344610134142',NULL,'9998',24.62,1,3,NULL),(16,3325385,'1980-12-20 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124243247222274431123344142113122227117',15063,'263',39.52,4,1,2),(16,3325407,'1990-04-03 00:00:00',4,3,11,2007,'F','N','OURO BRANCO','CAMPINAS','SP','125252251217471741537812395122610127122',NULL,'9998',0.00,1,3,NULL),(16,3325415,'1990-10-24 00:00:00',2,1,11,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124243241416111411338621315124610127092',NULL,'1022',29.43,1,3,NULL),(16,3325423,'1992-07-08 00:00:00',4,1,12,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217311431469934575122610125042',NULL,'270',45.43,1,3,NULL),(16,3325431,'1982-06-01 00:00:00',2,5,12,1999,'M','N','PARTENON','PTO ALEGRE','RS','120201208126131741227649395234641966047',NULL,'9998',0.00,2,1,1),(16,3325440,'1992-07-13 00:00:00',2,1,12,2008,'M','N','SERTãO MARUIM','S JOSé','SC','124242241212111631446623572124610167042',NULL,'1074',32.73,1,3,NULL),(16,3325458,'1989-04-06 00:00:00',2,7,12,2006,'F','N','BIGORRILHO','CURITIBA','PR','116242201216233411239922582114140411142',10194,'9998',48.44,1,3,NULL),(16,3325482,'1992-03-24 00:00:00',2,9,12,2009,'F','S','CAPISTRANO','BOM RETIRO','SC','124241241217161412459933245122610142142',NULL,'817',27.81,1,3,NULL),(16,3325490,'1982-02-03 00:00:00',4,1,12,2002,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124202201226151411423873142124610122185',15529,'9999',38.47,1,3,NULL),(16,3325504,'1991-01-22 00:00:00',2,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124243241431111721216622381314610167117',NULL,'9997',32.98,1,3,NULL),(16,3325512,'1987-03-25 00:00:00',2,1,12,2004,'M','N','FORQUILHINHAS','S JOSé','SC','124241248116474431444417245122610122057',NULL,'727',35.13,1,2,1),(16,3325520,'1982-04-30 00:00:00',2,1,12,2001,'M','N','INGLESES','FLORIANóPOLIS','SC','124201241126134411335619484124130244057',NULL,'295',23.48,1,3,NULL),(16,3325539,'1992-12-11 00:00:00',2,5,12,2008,'F','N','CENTRO','TURVO','SC','124243241315151431459929575122610145147',NULL,'250',0.00,1,3,NULL),(16,3325547,'1972-07-09 00:00:00',2,1,12,1991,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241248125274411123344142334610113145',15278,'781',39.03,4,1,1),(16,3325555,'1987-08-07 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANOPOLIS','SC','124201201316131431225823292324610146187',15710,'9998',38.05,1,3,NULL),(16,3325563,'1987-07-14 00:00:00',4,1,12,2004,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241116274431236644445124610123045',NULL,'17',24.79,1,2,1),(16,3325571,'1973-05-30 00:00:00',4,1,12,2003,'M','N','SANTOS DUMONT','S JOSé','SC','124241247122134431513329442324610117147',NULL,'736',17.05,2,1,1),(16,3325580,'1980-03-26 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216155731458932495122231036122',NULL,'270',0.00,1,3,NULL),(16,3325598,'1974-12-31 00:00:00',4,1,2,1992,'F','N','ITACORUBI','FLORIANóPOLIS','SC','224202208116261421246342222132142243092',12450,'9998',44.47,1,3,NULL),(16,3325601,'1986-01-13 00:00:00',2,1,12,2003,'F','N','FORQUILHINHAS','S JOSé','SC','124242241216133421447763235134120862077',NULL,'270',0.00,4,3,NULL),(16,3325610,'1987-09-23 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANóPOLIS','SC','124243241122142421533543435124610117112',NULL,'922',32.78,4,3,NULL),(16,3325636,'1991-11-30 00:00:00',4,1,11,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241248421131212425531575124610125161',NULL,'9997',23.30,1,3,NULL),(16,3325644,'1989-11-24 00:00:00',4,3,11,2007,'M','N','BATEL','CURITIBA','PR','116162161416371431369979595122241468112',6943,'9998',54.41,1,3,NULL),(16,3325652,'1991-08-05 00:00:00',4,5,12,2008,'F','N','SÃO BENTO BAIXO','NOVA VENEZA','SC','124241241122151731426615272121610134147',NULL,'578',14.45,1,3,NULL),(16,3325660,'1990-09-14 00:00:00',4,1,12,2008,'M','N','CASTELO','BELO HORIZONTE','MG','113134136317371531479933575112610167182',NULL,'9998',0.00,4,3,NULL),(16,3325679,'1991-05-30 00:00:00',2,4,12,2008,'M','N','PASSO DA AREIA','CEL FREITAS','SC','124241241146131411436432245122610137061',10294,'199',48.26,1,2,1),(16,3325695,'1963-02-24 00:00:00',4,1,12,1981,'M','N','CENTRO','FLORIANóPOLIS','SC','124241243112143431366443432135121432142',NULL,'306',0.00,1,2,1),(16,3325709,'1989-08-19 00:00:00',4,1,12,2006,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124163161346172431436823185124143237187',NULL,'9998',24.88,1,3,NULL),(16,3325717,'1990-07-25 00:00:00',2,4,12,2007,'M','N','INTERIOR','CHOPINZINHO','PR','116161161117271421433311482224242366077',NULL,'9998',0.00,1,2,1),(16,3325725,'1992-06-05 00:00:00',4,1,12,2009,'M','S','INGLESES','FLORIANóPOLIS','SC','124242241215111731588931115122610138012',NULL,'270',54.14,1,3,NULL),(16,3325733,'1990-04-15 00:00:00',4,1,12,2007,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241241115131431636669245124610117077',NULL,'257',23.82,1,2,1),(16,3325741,'1991-09-04 00:00:00',2,7,11,2008,'M','N','SANTO ANTôNIO','FRAIBURGO','SC','124244241216151431466734575122610137012',NULL,'317',40.15,4,3,NULL),(16,3325750,'1988-06-08 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124242248417142431248622142332610162112',NULL,'592',0.00,1,3,NULL),(16,3325768,'1991-05-25 00:00:00',2,1,12,2008,'F','N','CENTRO','CANELINHA','SC','124243241215121431433521242122610167052',NULL,'1119',28.37,1,3,NULL),(16,3325776,'1991-10-06 00:00:00',2,9,12,2008,'F','N','FATIMA','OTACíLIO COSTA','SC','124241241115161731435614572324610127057',NULL,'863',18.74,1,3,NULL),(16,3325784,'1991-01-12 00:00:00',4,1,12,2009,'F','S','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','124242241215151431588813575114610132192',NULL,'883',52.73,1,3,NULL),(16,3325792,'1992-09-02 00:00:00',4,1,12,2009,'M','S','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241217111431568812575122610137047',NULL,'951',35.35,1,3,NULL),(16,3325806,'1986-03-05 00:00:00',4,1,11,2003,'M','N','ROçADO','S JOSé','SC','124242241212274431556812472214610124182',1957,'724',67.36,1,3,NULL),(16,3325814,'1975-07-21 00:00:00',4,1,12,1996,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124252251217132431229823212322141262177',NULL,'9998',8.50,1,3,NULL),(16,3325830,'1991-02-25 00:00:00',4,10,10,2008,'F','N','BEIJA FLOR','JAGUARUNA','SC','124243241315131431428513375324610166147',NULL,'806',20.76,1,3,NULL),(16,3325849,'1991-10-03 00:00:00',4,8,12,2008,'M','N','JARAGUA ESQUERDO','JARAGUá SUL','SC','124242241215111411469933571122610168147',10093,'442',48.62,1,3,NULL),(16,3325865,'1991-06-27 00:00:00',2,1,11,2008,'F','N','FORQUILHAS','S JOSé','SC','124241241115131731344312592124610113152',NULL,'727',19.90,1,3,NULL),(16,3325873,'1991-12-02 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124241241146241531343415212232610157142',NULL,'726',16.16,1,3,NULL),(16,3325881,'1988-07-12 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241217373421659733445124122567147',7544,'855',53.25,1,3,NULL),(16,3325911,'1990-10-11 00:00:00',4,1,3,2008,'M','N','IPIRANGA','S JOSé','SC','124244247411571711346823295124610117042',NULL,'9999',18.86,1,3,NULL),(16,3325920,'1979-05-28 00:00:00',4,1,2,1999,'F','N','INGLESES','FLORIANóPOLIS','SC','124201201116131731223329485114610134157',NULL,'9998',26.15,4,2,1),(16,3325938,'1990-12-01 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124074241215111411458829394244610166047',6695,'1022',54.87,1,3,NULL),(16,3325946,'1990-09-23 00:00:00',4,7,11,2007,'F','N','JARDIM CENTENARIO','MOGI GUAçU','SP','125242241215471431369912575112610164072',NULL,'962',0.00,1,3,NULL),(16,3325954,'1967-11-05 00:00:00',2,1,12,1984,'F','N','ESTREITO','FLORIANóPOLIS','SC','224242248217134451438648385324122763097',14402,'266',40.88,1,3,NULL),(16,3325962,'1989-07-06 00:00:00',4,1,11,2006,'M','N','PERDIZES','S PAULO','SP','125252251216571411576811575122610147102',NULL,'9998',0.00,4,3,NULL),(16,3325989,'1980-05-05 00:00:00',2,1,12,1997,'M','N','KOBRASOL','S JOSé','SC','124124251416251511548811215334333235057',14837,'9998',40.00,1,3,NULL),(16,3326004,'1982-10-16 00:00:00',4,1,12,1999,'F','N','AREIAS','S JOSé','SC','224244241215152431238974325122331534147',10842,'53',47.29,1,3,NULL),(16,3326012,'1957-08-23 00:00:00',4,1,12,1977,'M','N','JARDIM LIBERDADE II','MARINGá','PR','116161163127154531223341312112131432172',NULL,'9998',0.00,1,3,NULL),(16,3326020,'1988-06-30 00:00:00',2,1,12,2005,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124241241337144331347923495124230267042',7613,'1022',53.12,1,3,NULL),(16,3326039,'1989-01-08 00:00:00',4,1,12,2005,'M','N','LIBERDADE','S PAULO','SP','125254251216151451178911575125241034052',262,'9998',78.39,4,1,2),(16,3326047,'1980-07-20 00:00:00',4,1,12,1998,'M','N','BARREIROS','S JOSé','SC','124241246132152421434644342122613232042',9976,'739',48.82,4,1,1),(16,3326055,'1979-04-03 00:00:00',4,1,6,2003,'M','N','CAMPECHE','FLORIANóPOLIS','SC','224241247327132411443344145122133162047',NULL,'9999',36.81,1,3,NULL),(16,3326063,'1988-02-18 00:00:00',4,3,11,2005,'F','N','DUQUE DE CAXIAS','CUIABá','MT','111112111212571431458831572122610123147',7084,'9998',54.13,4,1,2),(16,3326071,'1978-12-15 00:00:00',5,1,12,1997,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241127133711223332342122610117145',11859,'601',45.54,1,3,NULL),(16,3326080,'1991-12-23 00:00:00',4,9,12,2008,'M','N','SãO CRISTOVãO','LAGES','SC','124243241116151731436614575122610128187',NULL,'512',21.55,1,3,NULL),(16,3326098,'1984-05-04 00:00:00',4,3,12,2001,'F','N','CENTRO','BAL CAMBORIú','SC','224242241217372711256752325112130614192',14268,'394',41.10,1,3,NULL),(16,3326101,'1972-09-23 00:00:00',2,1,12,1993,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','424241247122132711243442125134130266187',NULL,'432',0.00,1,2,1),(16,3326110,'1980-01-12 00:00:00',4,1,8,2000,'M','N','SSãO FRANCISCO','STO AMARO IMPERATRIZ','SC','224253257321152431233344241243610128187',NULL,'9999',32.46,1,3,NULL),(16,3326128,'1992-10-21 00:00:00',4,4,11,2009,'M','S','CENTRO','CPO ERê','SC','124164161416111431456935265114610126187',NULL,'9998',28.23,1,3,NULL),(16,3326136,'1982-09-19 00:00:00',4,1,12,2000,'F','N','IPIRANGA','S PAULO','SP','125252251217131421347761385122141025077',NULL,'9998',9.38,4,3,NULL),(16,3326152,'1988-09-06 00:00:00',4,5,11,2006,'F','N','CENTRO','CRICIUMA','SC','124242241215372431348934575115231567097',13944,'211',41.77,1,3,NULL),(16,3326179,'1990-11-12 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124242248216132431238811245124230827072',NULL,'738',31.46,1,3,NULL),(16,3326187,'1989-04-05 00:00:00',4,7,12,2006,'M','N','CENTRO','CAMPOS NOVOS','SC','116242241235571421376612272322610167147',11363,'962',46.39,1,3,NULL),(16,3326195,'1989-07-05 00:00:00',2,7,12,2006,'M','N','CENTRO','CONCóRDIA','SC','124241241112172431325711285112131414182',11181,'192',46.70,1,2,1),(16,3326217,'1990-04-27 00:00:00',2,1,7,2008,'F','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124241247437131412658533585124610112142',15555,'9999',38.41,1,3,NULL),(16,3326225,'1991-09-24 00:00:00',2,4,12,2008,'F','N','ZONA RURAL','CEL FREITAS','SC','124241241115131331433336562224610125147',NULL,'199',24.74,1,3,NULL),(16,3326233,'1976-10-29 00:00:00',4,1,6,1994,'M','N','CENTRO','FLORIANóPOLIS','SC','124242246137155721118648483122520224162',5754,'306',56.95,1,3,NULL),(16,3326250,'1989-01-25 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215573431359811575122232424092',5142,'270',58.27,1,3,NULL),(16,3326276,'1981-02-24 00:00:00',4,1,11,1998,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241247373411358544445122332062182',NULL,'270',0.00,1,3,NULL),(16,3326292,'1992-06-14 00:00:00',2,5,11,2009,'F','S','CENTRO','CRICIúMA','SC','124242248215111732558631575125610134047',NULL,'226',38.71,1,3,NULL),(16,3326306,'1991-07-11 00:00:00',2,1,12,2008,'M','N','CENTRO','UMUARAMA','PR','116164161215111431468923345135610128012',NULL,'9998',26.37,1,3,NULL),(16,3326314,'1978-11-28 00:00:00',2,1,11,1998,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241236115752611879297111232062106',NULL,'266',0.00,1,3,NULL),(16,3326322,'1991-10-01 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124204241115151431226622495114610127142',NULL,'288',26.71,1,3,NULL),(16,3326330,'1982-01-27 00:00:00',4,1,2,2000,'F','N','LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC','124072077216472431468813435124321947053',9313,'9999',50.05,1,3,NULL),(16,3326349,'1991-03-04 00:00:00',4,7,12,2008,'F','N','CENTRO','SANANDUVA','RS','120201201117131411446832572124610121152',NULL,'9998',28.25,1,3,NULL),(16,3326365,'1992-10-19 00:00:00',4,1,11,2009,'M','S','ESTREITO','FLORIANóPOLIS','SC','124242241217151231569613572112610168112',NULL,'273',57.56,1,3,NULL),(16,3326373,'1974-02-03 00:00:00',2,1,12,1992,'F','N','INGLESES','FLORIANóPOLIS','SC','224161163136131411453343235134140242143',NULL,'9998',0.00,1,2,1),(16,3326390,'1986-12-03 00:00:00',4,1,12,2004,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241113111111331131222111133211192',15097,'307',39.43,1,2,1),(16,3326403,'1972-02-26 00:00:00',2,2,12,1989,'F','N','SAO JOSE','MONTES CLAROS','MG','113133131216371421223379412324342721117',NULL,'9998',0.00,1,3,NULL),(16,3326411,'1980-03-27 00:00:00',4,1,12,1997,'F','N','INGLESES','FLORIANóPOLIS','SC','224244241435474411324851172222222264017',11717,'229',45.79,1,3,NULL),(16,3326420,'1990-07-17 00:00:00',4,1,12,2008,'M','N','JURERE INTERNACIONAL','FLORIANóPOLIS','SC','124244241412121331544912312114610117112',NULL,'1022',37.46,1,3,NULL),(16,3326438,'1992-02-02 00:00:00',4,1,11,2009,'M','S','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241115111431367633575122610157015',NULL,'271',26.64,1,3,NULL),(16,3326446,'1989-12-02 00:00:00',2,1,12,2008,'F','N','CENTRO','CAçADOR','SC','124242241215111411337629172122613227147',NULL,'120',0.00,1,3,NULL),(16,3326470,'1991-07-15 00:00:00',4,8,12,2008,'M','N','PRAIA DO ERVINO','S FRANCISCO SUL','SC','124242241212111431538613572122610128042',NULL,'992',28.26,1,3,NULL),(16,3326489,'1989-12-29 00:00:00',2,1,11,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124112241215574411458831574124231147052',763,'44',73.72,1,3,NULL),(16,3326497,'1991-12-10 00:00:00',2,1,12,2008,'F','N','FLOR DE NAPOLIS','SAO JOSE','SC','124241241117131731436639595124610128187',NULL,'733',20.24,1,2,1),(16,3326500,'1987-04-26 00:00:00',2,4,8,2005,'F','N','CENTRO','XANXERê','SC','124241241146161431523444242124612627057',NULL,'616',0.00,1,2,1),(16,3326519,'1991-03-14 00:00:00',4,10,11,2008,'M','N','RETIRO','JAGUARUNA','SC','124241241417111731575339471112610117042',NULL,'806',23.73,1,3,NULL),(16,3326535,'1975-07-27 00:00:00',2,1,11,1994,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242243236155731328649392125222927043',NULL,'207',37.48,1,3,NULL),(16,3326551,'1991-09-20 00:00:00',4,2,11,2008,'F','N','VILA LENZI','JARAGUá SUL','SC','124242241215111441379833335122610128012',NULL,'424',7.58,1,3,NULL),(16,3326560,'1991-04-06 00:00:00',4,1,11,2008,'M','N','AREIAS','S JOSé','SC','124242241217131231453612475112610167057',NULL,'1078',0.00,1,3,NULL),(16,3326578,'1987-09-10 00:00:00',4,1,12,2005,'M','N','MORUMBI','UBERABA','MG','127273131135371411426821571321610137047',NULL,'9998',0.00,2,3,NULL),(16,3326586,'1984-05-29 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241146372431116344445124610122147',13462,'524',42.67,1,3,NULL),(16,3326594,'1991-07-09 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124241241316111431439933575122610164051',NULL,'515',31.63,1,3,NULL),(16,3326608,'1976-05-22 00:00:00',3,1,12,1993,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241116154711547813495124122966187',NULL,'267',0.00,1,2,1),(16,3326616,'1991-02-08 00:00:00',4,5,10,2008,'F','N','COMERCIARIO','CRICIúMA','SC','124242241215122411248913575122610162142',NULL,'226',29.99,1,3,NULL),(16,3326624,'1991-08-01 00:00:00',2,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241236111451326411575122610117047',NULL,'259',0.00,1,3,NULL),(16,3326632,'1991-08-06 00:00:00',2,10,12,2008,'F','N','FLORESTA','BRAçO NORTE','SC','124241241115141411523334242224610114072',16160,'100',36.76,1,2,1),(16,3326640,'1992-08-03 00:00:00',4,10,11,2009,'M','S','CENTRO','TUBARãO','SC','124242241217111711338832571122610122112',NULL,'797',31.42,1,3,NULL),(16,3326659,'1991-12-04 00:00:00',4,5,11,2008,'M','N','CENTRO','CRICIúMA','SC','124244241417151441557732276121610127014',11542,'210',46.09,1,3,NULL),(16,3326667,'1979-09-17 00:00:00',2,1,12,1997,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124282288212274751358929195124530263187',NULL,'9998',0.00,1,3,NULL),(16,3326683,'1988-03-03 00:00:00',4,1,11,2005,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215473411456839575124232528197',NULL,'807',0.00,1,3,NULL),(16,3326691,'1990-06-30 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANOPOLIS','SC','124241241115111431538913345124610147042',NULL,'307',NULL,1,2,1),(16,3326713,'1982-12-03 00:00:00',2,1,12,2001,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241121133421336623142124610112147',NULL,'307',0.00,1,2,1),(16,3326721,'1969-01-25 00:00:00',2,1,12,1987,'F','N','FAZENDA STO ANTONIO','S JOSé','SC','224241245112135431435354372324321267095',7513,'307',53.30,1,3,NULL),(16,3326730,'1990-04-19 00:00:00',2,1,12,2008,'M','N','PICADAS DO SUL','S JOSé','SC','124242241215161221333632142124610164072',NULL,'1074',19.07,1,3,NULL),(16,3326748,'1976-11-16 00:00:00',4,1,12,1996,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241311475431339854145224220954044',15375,'514',38.82,2,1,2),(16,3326764,'1987-03-03 00:00:00',2,6,12,2005,'M','N','PEREQUÊ','PTO BELO','SC','124241241142132411423379242233610137182',NULL,'630',51.58,1,3,NULL),(16,3326772,'1991-09-30 00:00:00',4,1,12,2008,'M','N','PARQUE DAS AMéRICAS','UBERABA','MG','113131131136151431626611171121610132142',NULL,'9998',24.22,4,1,1),(16,3326780,'1991-12-27 00:00:00',4,5,12,2008,'F','N','EVOLUçãO','S LUDGERO','SC','124241241135141531557613245122610125142',NULL,'748',25.74,1,2,1),(16,3326799,'1993-03-05 00:00:00',2,5,10,2009,'F','S','PRESIDENTE VARGAS','IçARA','SC','124244241215111451436614472224610133052',NULL,'226',46.04,1,3,NULL),(16,3326802,'1991-06-24 00:00:00',4,1,12,2008,'F','N','PINHEIRA','PALHOçA','SC','124241241135131431425519575124610166072',15754,'595',37.91,1,3,NULL),(16,3326810,'1991-11-19 00:00:00',4,8,12,2008,'M','N','IRIRIU','JOINVILLE','SC','124242241215111431366614495122610128142',2440,'486',65.57,1,3,NULL),(16,3326829,'1991-10-24 00:00:00',2,3,12,2008,'F','N','CENTRO','IMBITUBA','SC','124244241415121431445773575225610134092',11507,'362',46.16,1,3,NULL),(16,3326845,'1985-07-02 00:00:00',4,1,12,2003,'M','N','JD MARAVILHA','MARINGá','PR','116164161216271711455923475112141467166',3937,'9998',61.23,1,3,NULL),(16,3326853,'1991-11-15 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215422431446517275225610112077',5392,'44',57.67,1,3,NULL),(16,3326861,'1991-06-20 00:00:00',4,2,11,2008,'M','N','IMIGRANTES','TIMBó','SC','124241241211111431627913592121610117181',8143,'1157',52.15,1,3,NULL),(16,3326870,'1977-04-29 00:00:00',2,1,11,2005,'F','N','ENSEADA DO BRITO','FLORIANóPOLIS','SC','624241247127131711611149296344610161042',NULL,'9999',18.11,5,4,NULL),(16,3326888,'1987-10-06 00:00:00',2,9,12,2006,'M','N','NAKAYAMA','STA CECíLIA','SC','124241248112473421338819191124610118195',7210,'9997',53.89,1,2,1),(16,3326896,'1992-11-11 00:00:00',4,1,11,2009,'F','S','BARRA DA LAGOA','FLORIANóPOLIS','SC','124242241217131711537732194124610165043',NULL,'1022',33.85,1,3,NULL),(16,3326900,'1989-11-05 00:00:00',4,1,11,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124242241224131431331131113114610137077',NULL,'262',29.40,1,3,NULL),(16,3326918,'1990-04-24 00:00:00',2,2,12,2007,'M','N','ALDEIA FIGUEIRA','JOSé BOITEUX','SC','124241201127131712429613592214610111057',NULL,'9998',24.21,5,4,NULL),(16,3326926,'1976-12-31 00:00:00',4,1,12,1996,'M','N','MADRI','PALHOçA','SC','224243246246144411338343435132131762082',NULL,'489',0.00,1,3,NULL),(16,3326934,'1973-01-09 00:00:00',4,1,12,1989,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241161217575451476623495122121464183',10686,'9998',47.59,1,3,NULL),(16,3326950,'1971-07-03 00:00:00',4,1,12,1988,'M','N','CENTRO','FLORIANóPOLIS','SC','124213251217151731168453435132341467042',5767,'9998',56.92,4,3,NULL),(16,3326969,'1989-06-06 00:00:00',2,1,12,2006,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241116143731426324182314610167042',NULL,'307',0.00,1,3,NULL),(16,3326977,'1989-11-05 00:00:00',2,3,12,2006,'F','N','ESTAçAO','ITAQUI','RS','120201201116131431536413575115610128187',16603,'9998',34.78,1,2,1),(16,3326985,'1990-12-11 00:00:00',4,1,12,2007,'M','N','TAUBATE VILLAGE','TAUBATé','SP','125252251217271431468813595124242462091',NULL,'9998',0.00,1,3,NULL),(16,3326993,'1984-11-22 00:00:00',4,1,12,2002,'M','N','PANTANAL','FLORIANóPOLIS','SC','124163161116473421445934325124141467082',2341,'9998',65.91,1,3,NULL),(16,3327000,'1991-09-11 00:00:00',4,8,11,2008,'M','N','CENTRO','AGROLâNDIA','SC','124242241215151231346612575124610117052',14161,'653',41.31,1,3,NULL),(16,3327019,'1983-05-29 00:00:00',2,1,12,2002,'M','N','PERPETUO SOCORRO','STA MARIA','RS','120201201117131451433433485124140234014',NULL,'9998',26.71,2,1,1),(16,3327035,'1991-03-19 00:00:00',4,1,12,2008,'M','N','JARDIM PARAíSO','MTE ALTO','SP','125251251136271411323516575121610137092',NULL,'9998',0.00,1,3,NULL),(16,3327043,'1990-06-12 00:00:00',4,3,12,2007,'M','N','CENTRO','BAL CAMBORIú','SC','124252251216473431368714575124240966093',5822,'9998',56.75,1,3,NULL),(16,3327051,'1988-11-25 00:00:00',4,4,12,2005,'M','N','CIDADE JARDIM','CATANDUVAS','SC','124241241126111431648723345124131934147',NULL,'826',0.00,1,2,1),(16,3327060,'1989-09-03 00:00:00',2,1,12,2006,'F','N','PASSA VINTE','PALHOçA','SC','124241241226133431421314181224610133147',NULL,'262',35.78,1,3,NULL),(16,3327078,'1981-07-14 00:00:00',2,10,12,2001,'F','N','CENTRO','TUBARãO','SC','124241248446141431126644445115142238071',NULL,'9999',18.76,1,3,NULL),(16,3327086,'1990-05-25 00:00:00',2,4,12,2007,'F','N','BELA VISTA','CLEVELâNDIA','PR','116162161215472451426636572124610133072',4506,'9998',59.75,1,3,NULL),(16,3327094,'1990-10-26 00:00:00',2,1,11,2008,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124243241147131752316649391344610167167',NULL,'298',23.33,1,3,NULL),(16,3327108,'1992-03-05 00:00:00',4,1,12,2008,'M','N','VILA MARUMBI','MARINGá','PR','116164161236271431227521475122610164071',4586,'9998',59.59,1,3,NULL),(16,3327124,'1974-03-03 00:00:00',2,1,12,1991,'M','N','CENTRO','FLORIANóPOLIS','SC','107131131116151411158643235132341442047',NULL,'9998',0.00,1,3,NULL),(16,3327132,'1964-08-31 00:00:00',4,7,12,1981,'M','N','CENTRO','JOAçABA','SC','124212211216141411656623331124341462082',NULL,'9998',0.00,4,1,2),(16,3327140,'1984-07-27 00:00:00',2,1,12,2001,'F','N','AREIAS','S JOSé','SC','124242241217135431665611435124120524077',NULL,'868',32.31,1,3,NULL),(16,3327167,'1991-09-19 00:00:00',4,1,11,2008,'M','N','CENTRO','PIRACAIA','SP','125252251216121431488831575124610127042',NULL,'9998',33.32,1,3,NULL),(16,3327183,'1969-05-06 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANóPOLIS','SC','124161241331172421123341211112610146092',NULL,'977',0.00,1,3,NULL),(16,3327191,'1989-04-28 00:00:00',4,5,11,2006,'M','N','COMERCIÁRIO','CRICIúMA','SC','124242246212272131469813445124610117117',14372,'995',40.92,1,3,NULL),(16,3327205,'1991-03-01 00:00:00',4,10,12,2008,'F','N','NOSSA SRA APARECIDA','S LUDGERO','SC','124241241136141431443823342121610117147',15425,'748',38.72,1,3,NULL),(16,3327230,'1989-04-07 00:00:00',4,1,11,2006,'M','N','HIGIENÓPOLIS','S PAULO','SP','125082081216571411476863575125610142147',NULL,'9998',0.00,1,3,NULL),(16,3327248,'1992-01-17 00:00:00',4,1,12,2008,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241241215111431356612572224610127162',NULL,'1118',37.98,1,3,NULL),(16,3327256,'1990-10-11 00:00:00',4,10,12,2007,'M','N','GUARDA ME','TUBARãO','SC','124241247426132431426614111321610127067',NULL,'9997',0.00,1,3,NULL),(16,3327264,'1992-09-13 00:00:00',4,3,12,2009,'M','S','CENTRO','BAL CAMBORIú','SC','124242241215111431228624145121610142182',NULL,'9997',51.66,1,3,NULL),(16,3327272,'1990-10-12 00:00:00',4,1,12,2008,'F','N','PACHECOS','PALHOçA','SC','124241241116131331623415335124610124183',NULL,'592',18.77,1,2,1),(16,3327280,'1989-10-21 00:00:00',4,1,12,2007,'F','N','JARDIM OLIMPIA','S PAULO','SP','125252251416471431436614572124610165072',NULL,'9998',0.00,1,3,NULL),(16,3327299,'1990-08-11 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215142431469933341132231036182',9650,'259',49.43,1,3,NULL),(16,3327329,'1990-06-21 00:00:00',4,8,12,2007,'M','N','BAIRRO AHú','CURITIBA','PR','116162161217571431489933575114610118045',5188,'9998',58.13,1,3,NULL),(16,3327337,'1988-09-04 00:00:00',4,4,12,2005,'F','N','FáTIMA','ERECHIM','RS','120204201335471411256929495124610135187',7565,'9998',53.20,1,3,NULL),(16,3327345,'1977-05-10 00:00:00',2,1,12,1994,'F','N','BARREIROS','S JOSé','SC','224164241317152431458644445122230226192',NULL,'266',0.00,1,3,NULL),(16,3327353,'1981-08-01 00:00:00',2,1,12,2003,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124243247346254431248444345234122334182',NULL,'9999',26.73,2,3,NULL),(16,3327361,'1977-08-10 00:00:00',4,1,11,1998,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241336154431335644345125122322052',NULL,'1003',0.00,1,3,NULL),(16,3327388,'1986-06-20 00:00:00',4,1,12,2003,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241217153731489933411112431267042',NULL,'269',0.00,1,3,NULL),(16,3327400,'1991-08-12 00:00:00',2,3,12,2008,'F','N','TABULEIRO','CAMBORIU','SC','124241241217471331526612575124610137186',NULL,'44',28.12,1,3,NULL),(16,3327418,'1991-03-02 00:00:00',2,7,12,2008,'F','N','SãO SEBASTIãO','PTE SERRADA','SC','124241241125161431438813395122610133147',NULL,'629',17.35,1,2,1),(16,3327426,'1974-04-26 00:00:00',2,1,7,1994,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124212217237331431238653385124140227117',12576,'9998',44.22,1,3,NULL),(16,3327434,'1991-08-23 00:00:00',4,3,11,2008,'F','N','VILA VELHA','PALMEIRA MISSõES','RS','120202201217371431457716572122610134183',NULL,'9998',0.00,1,3,NULL),(16,3327442,'1990-03-19 00:00:00',2,1,12,2008,'M','N','CENTRO','STA MARIA','RS','120202207236371411327723295124610134112',NULL,'9999',26.63,1,3,NULL),(16,3327450,'1991-03-25 00:00:00',2,1,12,2008,'M','N','JARDIM CARANDAí','BIGUAçU','SC','124241241137131731223429395234610112147',16146,'65',36.79,4,2,1),(16,3327469,'1958-11-24 00:00:00',2,1,11,1980,'F','N','KOBRASOL','S JOSé','SC','524241241112132431232243432134610133097',NULL,'307',0.00,4,2,1),(16,3327477,'1991-05-22 00:00:00',4,1,12,2008,'M','N','CENTRO','PELOTAS','RS','120202201217271431578932595122610147142',12764,'9998',43.89,1,3,NULL),(16,3327485,'1991-04-15 00:00:00',4,8,12,2008,'F','N','IRIRIú','JOINVILLE','SC','124241241215151631538614575125610164182',9237,'1105',50.18,1,3,NULL),(16,3327493,'1991-06-18 00:00:00',2,1,12,2008,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124244241117151731349711311121610167055',9679,'267',49.38,4,3,NULL),(16,3327523,'1985-09-03 00:00:00',4,1,12,2004,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241147131711323341111333610114184',NULL,'669',24.30,4,2,1),(16,3327531,'1988-07-25 00:00:00',2,4,12,2005,'M','N','CENTRO','TUNáPOLIS','SC','124241241137163421248823345122610138057',15036,'812',39.58,1,2,1),(16,3327540,'1990-12-22 00:00:00',2,1,12,2007,'M','N','CENTRO','JOVIâNIA','GO','109091271216511421456711571224610163147',NULL,'9998',0.00,1,3,NULL),(16,3327558,'1990-11-07 00:00:00',1,8,12,2008,'M','N','PIRABEIRABA','JOINVILLE','SC','124244241217121621569912272124610167182',12530,'1105',44.31,1,3,NULL),(16,3327566,'1992-09-25 00:00:00',4,1,12,2010,'M','S','ABRAãO','FLORIANóPOLIS','SC','124242241217111732448833572124610122187',NULL,'270',17.91,1,3,NULL),(16,3327574,'1991-01-06 00:00:00',4,1,12,2008,'F','N','CENTRO','ABELARDO LUZ','SC','124241241146161431633616572224610126142',NULL,'586',13.12,3,3,NULL),(16,3327582,'1991-09-09 00:00:00',4,6,11,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124201241215111431469923491122610164047',8199,'1038',52.01,1,3,NULL),(16,3327590,'1982-06-12 00:00:00',1,1,12,1999,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241216112731328614415132321437145',NULL,'624',0.00,1,3,NULL),(16,3327620,'1992-09-11 00:00:00',2,1,11,2009,'F','S','KOBRASOL','S JOSé','SC','124241241435111431558613391122610168175',NULL,'1077',30.44,1,3,NULL),(16,3327639,'1988-07-11 00:00:00',4,4,12,2005,'M','N','MORADA DO SOL','PALMA SOLA','SC','124241241136131441336631235122231965142',NULL,'598',0.00,1,2,1),(16,3327647,'1985-03-21 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','124202201216131731469814575122241424091',9065,'9998',50.48,1,3,NULL),(16,3327655,'1989-02-23 00:00:00',4,5,12,2006,'M','N','CENTRO','CRICIúMA','SC','124242241215473731258612575122610162063',NULL,'226',38.78,1,3,NULL),(16,3327671,'1985-12-10 00:00:00',4,1,4,2004,'F','N','PRAIA COMPRIDA','S JOSé','SC','124242241117155411339729575122232761191',15014,'739',39.61,1,3,NULL),(16,3327680,'1991-12-21 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241248117131411336833392112610117047',NULL,'257',21.29,1,3,NULL),(16,3327698,'1985-12-11 00:00:00',4,1,12,2003,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241117373431346923375232230223012',12045,'267',45.20,1,2,1),(16,3327701,'1990-10-04 00:00:00',2,1,12,2008,'F','N','AURELIO CAIXETA','PATOS MINAS','MG','113132131216111431347919575121610127077',NULL,'9998',0.00,1,3,NULL),(16,3327710,'1989-08-29 00:00:00',4,1,12,2006,'F','N','SETOR BUENO','GOIâNIA','GO','109092091212471221549911574124143166047',7047,'9998',54.20,1,3,NULL),(16,3327736,'1987-08-27 00:00:00',5,1,12,2005,'F','N','LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC','124242241311375411258813483122230461182',9174,'270',50.29,1,3,NULL),(16,3327760,'1992-06-22 00:00:00',2,1,12,2009,'M','S','BARREIROS','S JOSé','SC','124244248612151431448833272221613224112',NULL,'1134',17.56,1,3,NULL),(16,3327787,'1991-08-04 00:00:00',2,5,11,2008,'M','N','SAO JOAO','CRICIúMA','SC','124242246215111431526734575124610127012',NULL,'995',28.77,1,3,NULL),(16,3327795,'1992-11-09 00:00:00',4,9,12,2008,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241216111731348822575212610166072',NULL,'499',23.72,4,3,NULL),(16,3327809,'1991-01-09 00:00:00',4,2,12,2008,'F','N','VILA NOVA','BLUMENAU','SC','124243241215111721468933345122610122142',NULL,'88',34.93,1,3,NULL),(16,3327817,'1973-02-28 00:00:00',4,1,12,1990,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124201208416151711158413431332340828047',NULL,'9998',0.00,1,3,NULL),(16,3327833,'1987-11-12 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124244241412223411346612511112132842114',9491,'1022',49.73,1,3,NULL),(16,3327841,'1988-04-13 00:00:00',4,1,6,2006,'M','N','CENTRO','VIçOSA','MG','113132281416372431469913475112610122092',2959,'9998',63.95,1,3,NULL),(16,3327868,'1986-11-09 00:00:00',4,1,12,2003,'F','N','ESTREITO','FLORIANóPOLIS','SC','224242241211153731268673431122333262097',2201,'262',66.40,1,3,NULL),(16,3327884,'1984-05-22 00:00:00',2,1,7,2002,'M','N','ARMAÇÃO','FLORIANóPOLIS','SC','124241247322132431226313141324610127062',NULL,'9999',45.29,1,3,NULL),(16,3327906,'1989-09-11 00:00:00',4,3,12,2006,'F','N','JD DOS ESTADOS','SOROCABA','SP','125251251425571451538611575122610128142',NULL,'9998',21.55,1,3,NULL),(16,3327914,'1988-07-19 00:00:00',2,1,7,2008,'F','N','BELA VISTA I','S JOSé','SC','124244247427134431426624145124610132147',NULL,'9997',0.00,1,3,NULL),(16,3327922,'1991-11-24 00:00:00',4,8,12,2008,'F','N','OURO VERDE','S JOãO','PR','116161161117161431423316162324610128067',NULL,'9998',15.22,1,3,NULL),(16,3327949,'1987-03-24 00:00:00',2,1,12,2004,'F','N','PAES LEME','IMBITUBA','SC','124241241116132431443659445232610124097',NULL,'359',23.00,1,2,1),(16,3327957,'1991-03-08 00:00:00',4,8,12,2008,'F','N','CERAMARTE','RIO NEGRINHO','SC','124241241515371431546634592122610127017',NULL,'666',0.00,1,3,NULL),(16,3327965,'1985-10-05 00:00:00',2,1,12,2003,'M','N','IPIRANGA','S JOSé','SC','124241241136142431535334242124320827012',NULL,'734',0.00,4,1,1),(16,3327973,'1990-07-13 00:00:00',4,4,12,2007,'F','N','NEVA','CASCAVEL','PR','116162161216411411578732572122610111147',4069,'9',60.87,1,3,NULL),(16,3327981,'1970-06-28 00:00:00',4,1,8,1990,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124202201322133221334844445332330222097',13725,'9999',42.22,1,3,NULL),(16,3327990,'1989-11-13 00:00:00',2,1,12,2008,'F','N','PINHEIRA','PALHOçA','SC','124241241125131731423311572114610117077',NULL,'595',18.12,1,2,1),(16,3328015,'1992-12-06 00:00:00',4,1,11,2009,'F','S','TRINDADE','FLORIANóPOLIS','SC','124244241215111431556767575122610161072',NULL,'1022',5.56,4,3,NULL),(16,3328023,'1988-01-01 00:00:00',4,4,12,2004,'F','N','CENTRO','XANXERê','SC','124242241111433711447939592124232412097',NULL,'9997',0.00,1,3,NULL),(16,3328040,'1989-07-08 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215373411446629442124610127072',NULL,'1022',20.29,1,3,NULL),(16,3328058,'1987-03-21 00:00:00',4,1,12,2005,'M','N','JARDIM DEL REY','POçOS CALDAS','MG','120134131216572431136414445122610144112',16607,'9998',34.76,1,3,NULL),(16,3328066,'1978-01-28 00:00:00',2,1,12,1997,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124201201131133741336569311324121118062',11183,'9998',46.69,2,1,1),(16,3328074,'1991-04-29 00:00:00',4,2,11,2008,'M','N','CENTRO','UNIãO VITóRIA','PR','116242241217131431638833275122610167017',NULL,'633',30.73,1,3,NULL),(16,3328090,'1991-06-12 00:00:00',4,5,12,2008,'M','N','CENTRO','LAURO MüLLER','SC','124242241415371431546612185114610164062',15181,'531',39.25,1,3,NULL),(16,3328104,'1959-06-18 00:00:00',2,1,12,1974,'M','N','CANTO','FLORIANóPOLIS','SC','224241241111374721361143231112120812067',NULL,'277',24.63,2,1,1),(16,3328112,'1991-04-25 00:00:00',4,1,11,2008,'F','N','CENTRO','LGA VERMELHA','RS','120203201217161431345632572122610131147',12849,'9998',43.76,1,3,NULL),(16,3328139,'1990-08-31 00:00:00',4,8,12,2007,'F','N','VILA BRASIL','LONDRINA','PR','116162161216211431346923575122610166012',4133,'9998',60.69,1,3,NULL),(16,3328147,'1992-09-25 00:00:00',4,1,12,2009,'M','S','ABRAãO','FLORIANóPOLIS','SC','124242241217111132448833572124610122187',NULL,'270',16.53,1,3,NULL),(16,3328163,'1990-07-02 00:00:00',2,1,12,2008,'F','N','AREIAS','S JOSé','SC','124242247227131451557834575125613264187',NULL,'9999',0.00,1,3,NULL),(16,3328171,'1990-11-21 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241415111411468319372122610114097',NULL,'9999',14.36,1,3,NULL),(16,3328180,'1993-03-04 00:00:00',2,1,12,2009,'M','S','VARGEM GRANDE','FLORIANóPOLIS','SC','124242241215111731435611575124610124042',NULL,'262',20.39,4,3,NULL),(16,3328198,'1988-08-30 00:00:00',4,1,12,2005,'M','N','URBANOVA','S JOSé CAMPOS','SP','125252251215573531389511572122610167111',NULL,'9998',0.00,1,3,NULL),(16,3328201,'1989-11-01 00:00:00',2,9,12,2006,'F','N','SANTA RITA','LAGES','SC','124201201116131441116641115224231046147',NULL,'9998',28.28,4,2,1),(16,3328210,'1991-12-01 00:00:00',2,10,12,2008,'F','N','CENTRO','SANGãO','SC','124241241122111121413316172341610116192',NULL,'685',15.47,1,2,1),(16,3328228,'1990-11-19 00:00:00',4,1,11,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124244241417121431456812275114610145042',572,'270',75.17,1,3,NULL),(16,3328236,'1992-10-15 00:00:00',2,5,12,2009,'F','S','COLONINHA','ARARANGUá','SC','124242241217121221358924572122610168147',NULL,'970',25.68,1,3,NULL),(16,3328244,'1983-12-30 00:00:00',4,1,12,2002,'M','N','PICADAS DO SUL','S JOSé','SC','124241241212132451223349395335610168187',NULL,'1036',20.68,1,3,NULL),(16,3328260,'1988-07-30 00:00:00',4,3,12,2005,'M','N','CENTRO','BAL CAMBORIú','SC','124242241217273431538933115124133264192',NULL,'44',0.00,1,3,NULL),(16,3328279,'1991-05-14 00:00:00',4,4,12,2008,'F','N','CENTRO','CAIBI','SC','124243241332161432326632575125610123147',NULL,'127',18.97,1,3,NULL),(16,3328295,'1984-12-01 00:00:00',2,1,12,2004,'M','N','FLOR DE NAPOLIS','S JOSé','SC','124241241126132711436634395124610127067',6774,'733',54.71,1,2,1),(16,3328309,'1989-07-04 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124162161217133721559833275124232166177',5751,'9998',56.96,1,3,NULL),(16,3328325,'1988-04-29 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241214573431366663572325230267181',NULL,'1022',42.77,4,3,NULL),(16,3328333,'1989-08-17 00:00:00',4,4,11,2006,'F','N','CENTRO','STA MARIA','RS','120241241416131441427614572324610123142',3697,'994',61.83,1,3,NULL),(16,3328341,'1992-08-20 00:00:00',4,9,12,2008,'F','N','CORAL','LAGES','SC','124242241216111411346432572122610164052',NULL,'499',18.06,1,3,NULL),(16,3328350,'1990-12-02 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241211112431439923575124233222097',NULL,'270',41.61,1,3,NULL),(16,3328368,'1990-10-04 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241127141751435529392114610122173',NULL,'274',26.01,2,2,1),(16,3328376,'1966-09-18 00:00:00',4,1,12,1989,'M','N','PONTE DE IMARUIM','PALHOçA','SC','624241248126131421234344145123610117043',NULL,'306',23.71,1,2,1),(16,3328384,'1989-10-09 00:00:00',4,1,11,2006,'M','N','CAMPECHE','FLORIANóPOLIS','SC','125252251215473431478714472124220264114',3981,'9998',61.10,1,3,NULL),(16,3328392,'1987-11-17 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243241315314431258824575122610118185',2044,'270',67.01,1,3,NULL),(16,3328406,'1986-12-13 00:00:00',4,1,12,2004,'M','N','ROÇADO','S JOSé','SC','124242241236143431578911445124221126182',8401,'723',51.59,1,3,NULL),(16,3328430,'1982-05-11 00:00:00',4,8,12,1999,'M','N','COSTA E SILVA','JOINVILLE','SC','124243241117131551444439285122132865057',NULL,'475',25.90,1,3,NULL),(16,3328449,'1987-11-28 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANóPOLIS','SC','124243241336471132346631215123610114134',NULL,'267',20.89,1,3,NULL),(16,3328457,'1989-01-22 00:00:00',4,10,11,2006,'M','N','CENTRO','TUBARãO','SC','124242241212111111326624475114231014042',NULL,'809',0.00,1,3,NULL),(16,3328465,'1989-08-23 00:00:00',2,8,12,2006,'F','N','SãO PEDRO','PTO UNIãO','SC','116241241215573431627611581122610125122',NULL,'632',0.00,1,3,NULL),(16,3328473,'1990-10-31 00:00:00',4,1,11,2008,'M','N','CENTRO','GUARARAPES','SP','125252251211111451568819494111613262047',NULL,'9998',0.00,1,3,NULL),(16,3328481,'1983-11-26 00:00:00',2,1,11,2006,'M','N','SERTAO DO MARUIM','S JOSé','SC','224243247227472131224544345122610117062',NULL,'9999',0.00,1,3,NULL),(16,3328490,'1991-03-16 00:00:00',2,5,11,2008,'M','N','CENTRO','CRICIúMA','SC','124242241215111631568831595112610127042',14750,'226',40.18,1,3,NULL),(16,3328511,'1991-03-15 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241212111712367723572115610148194',NULL,'270',22.21,1,3,NULL),(16,3328520,'1982-03-29 00:00:00',4,1,12,2001,'M','N','SERRINHA','FLORIANóPOLIS','SC','124252251217152741389934491112221764195',NULL,'9998',41.08,1,3,NULL),(16,3328538,'1988-02-12 00:00:00',4,1,12,2004,'F','N','BUENO','GOIâNIA','GO','109092091217573431556412574122610117147',360,'9998',77.25,1,3,NULL),(16,3328546,'1991-06-21 00:00:00',2,1,12,2008,'F','N','CENTRO','BIGUAçU','SC','124243241145131431423624242234610122147',16464,'65',35.64,1,3,NULL),(16,3328554,'1990-02-22 00:00:00',2,7,12,2007,'M','N','CENTRO','PAIM FILHO','RS','124241241146131611423624592114231467052',NULL,'449',0.00,1,3,NULL),(16,3328570,'1989-09-13 00:00:00',4,4,12,2006,'F','N','CENTRO','PATO BRANCO','PR','116161161126371712314479241325610118182',NULL,'9998',0.00,1,3,NULL),(16,3328589,'1986-07-22 00:00:00',2,1,12,2003,'F','N','SãO CAETANO','ARROIO MEIO','RS','120204201116371431433314275123140261147',15201,'9998',39.20,1,3,NULL),(16,3328597,'1965-01-15 00:00:00',2,1,11,1990,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','224211211333172721458643133232610118192',NULL,'265',9.93,2,3,NULL),(16,3328600,'1989-11-07 00:00:00',2,3,12,2006,'M','N','CENTRO','APUCARANA','PR','116162161217574431468931575124610164082',3986,'9999',61.09,1,3,NULL),(16,3328627,'1988-02-27 00:00:00',4,1,12,2006,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','125241241117153731554712495124231417112',15106,'306',39.40,4,2,1),(16,3328643,'1986-10-15 00:00:00',4,1,12,2005,'M','N','JD ALVORADA','JAú','SP','125251251117571531436819295122613238184',NULL,'9998',0.00,1,2,1),(16,3328651,'1991-09-24 00:00:00',4,1,11,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241215122431579812245134610126052',4877,'300',58.93,1,3,NULL),(16,3328660,'1991-01-18 00:00:00',2,8,12,2008,'F','N','PRQ DAS LARANJEIRAS','RIO VERDE','GO','109092091215111731428711575122610127072',NULL,'9998',0.00,1,3,NULL),(16,3328678,'1991-09-10 00:00:00',2,9,12,2007,'M','N','CENTRO','BOCAíNA SUL','SC','124243241317131431443923342345230717047',NULL,'91',28.80,1,3,NULL),(16,3328686,'1986-03-19 00:00:00',4,1,12,2003,'M','N','JARDIM SANTA GENEBRA','CAMPINAS','SP','125252251217571752446639495123610137182',NULL,'1129',35.09,1,3,NULL),(16,3328694,'1993-03-03 00:00:00',4,5,12,2009,'F','S','CIDADE ALTA','ARARANGUá','SC','124242241215121431466832572122610126142',NULL,'970',43.70,1,3,NULL),(16,3328716,'1989-06-27 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241147364421455631345134230224142',12309,'17',44.71,1,2,1),(16,3328732,'1984-09-29 00:00:00',2,1,11,2001,'M','N','BARREIROS','S JOSé','SC','124242241211144421565833435122331227092',13183,'738',43.18,1,3,NULL),(16,3328740,'1990-03-05 00:00:00',4,8,12,2007,'F','N','ATIRADORES','JOINVILLE','SC','124242241216471411666821575122610165197',8264,'1063',51.85,1,3,NULL),(16,3328759,'1991-01-28 00:00:00',2,4,12,2008,'F','N','CENTRO','IRATI','SC','124241241147161431333335295221610123067',NULL,'380',23.91,1,2,1),(16,3328767,'1992-02-08 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215111431446316575122610165012',NULL,'499',0.00,1,3,NULL),(16,3328775,'1988-03-11 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241217473431577614575124221434062',583,'9997',75.04,1,3,NULL),(16,3328783,'1982-02-27 00:00:00',2,1,12,2000,'M','N','COSTA DE DENTRO','FLORIANóPOLIS','SC','124243241311155411136921411122331962042',NULL,'639',0.00,1,3,NULL),(16,3328791,'1985-11-19 00:00:00',4,1,12,2003,'F','N','LAGOA DA CONCEICAO','FLORIANóPOLIS','SC','124252251212111231219614372122143214182',NULL,'9998',0.00,1,3,NULL),(16,3328805,'1985-05-28 00:00:00',4,1,12,2002,'F','N','AGRONÔMICA','FLORIANóPOLIS','SC','124142141216131431528944441224143166147',11484,'9998',46.20,4,3,NULL),(16,3328821,'1986-08-19 00:00:00',2,1,6,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124161247626131421113541115124610134047',NULL,'9999',25.79,1,3,NULL),(16,3328830,'1989-09-07 00:00:00',2,1,12,2007,'F','N','JURERE INTERNACIONAL','FLORIANóPOLIS','SC','124242247216141431367923325122131023113',NULL,'9999',27.85,1,3,NULL),(16,3328848,'1987-09-16 00:00:00',2,1,12,2005,'F','N','KOBRASOL','S JOSé','SC','124241241116132431246621142112611437072',NULL,'732',24.37,1,2,1),(16,3328872,'1991-06-22 00:00:00',2,1,12,2008,'M','N','JARDIM DAS PALMEIRAS','PALHOçA','SC','124242241215111431433331575124610147047',15374,'724',38.82,1,3,NULL),(16,3328910,'1992-10-05 00:00:00',2,5,12,2009,'M','S','MATO ALTO','ARARANGUá','SC','124241241215111431248923595122610122012',NULL,'970',28.97,4,3,NULL),(16,3328929,'1991-05-29 00:00:00',4,1,12,2008,'M','N','SERRARIAS','S JOSé','SC','124241241122141721443929332124610134051',NULL,'66',20.44,4,3,NULL),(16,3328937,'1991-07-18 00:00:00',2,3,12,2008,'M','N','JARDIM FERRARI','ITAPEVA','SP','125252251217111431549732415122610137052',NULL,'9998',0.00,1,3,NULL),(16,3328945,'1988-05-05 00:00:00',2,1,6,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242247646141431666514345122610128061',NULL,'9999',24.88,1,3,NULL),(16,3328953,'1982-12-08 00:00:00',2,1,12,2001,'F','N','CENTRO','BIGUAçU','SC','124241241326134731536669235224610112053',NULL,'329',28.12,1,3,NULL),(16,3328961,'1991-02-12 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241115221331426634245124610133142',14656,'307',40.37,1,3,NULL),(16,3328970,'1989-10-18 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSé','SC','124243248335371441437855354222321435154',NULL,'9998',5.15,1,3,NULL),(16,3328988,'1990-12-05 00:00:00',2,4,12,2007,'M','N','INTERIOS','BENJAMIN C SUL','RS','120201202115211721423316195324610168187',NULL,'9998',26.77,1,2,1),(16,3328996,'1990-04-26 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241217272432348823472114130122092',8568,'1022',51.31,1,3,NULL),(16,3329003,'1992-08-31 00:00:00',4,1,12,2008,'M','N','PICADAS DO SUL','S JOSé','SC','124242241215111431425612575122610114042',NULL,'1074',24.70,1,3,NULL),(16,3329020,'1982-06-03 00:00:00',2,1,7,2005,'M','N','FUNDOS','BIGUAçU','SC','124241247122141131144444342224610128042',NULL,'9999',0.00,4,3,NULL),(16,3329046,'1991-10-17 00:00:00',4,1,11,2008,'F','N','SERRARIA','S JOSé','SC','124241241115131731433311115124610134012',NULL,'257',26.61,1,3,NULL),(16,3329054,'1989-09-26 00:00:00',4,4,12,2007,'M','N','LARANJEIRAS','MODELO','SC','124241241132271431268611592132610137042',NULL,'562',23.48,4,1,1),(16,3329062,'1989-07-09 00:00:00',4,1,12,2007,'F','N','JARDIM BOTANICO','S SEBASTIãO','DF','107074091217271431648733375122610132052',13624,'9998',42.42,1,3,NULL),(16,3329089,'1988-07-01 00:00:00',4,1,12,2005,'F','N','CENTRO','CAXIAS DO SUL','RS','120202201437471731434879385114142834097',14037,'9998',41.57,1,3,NULL),(16,3329119,'1980-04-14 00:00:00',4,1,12,1999,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241247317133421228841414224223264071',NULL,'1003',14.36,1,3,NULL),(16,3329127,'1991-12-19 00:00:00',4,1,12,2009,'F','S','BARREIROS','S JOSé','SC','124242248211171511439611575125610163093',NULL,'1118',10.67,1,3,NULL),(16,3329135,'1985-12-09 00:00:00',2,4,9,1996,'M','N','AGOSTINI','SAO MIGUEL DOESTE','SC','124241241126112131436621215134130647047',NULL,'757',NULL,1,3,NULL),(16,3329143,'1985-05-13 00:00:00',2,1,6,2003,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241411234731458614481112122364053',NULL,'257',12.08,1,3,NULL),(16,3329151,'1988-06-29 00:00:00',4,1,12,2007,'M','N','SERRARIA','S JOSé','SC','124244241211111431438731345124610167117',NULL,'9999',20.98,1,3,NULL),(16,3329160,'1984-11-01 00:00:00',4,1,11,2002,'M','N','BARONI','BARRETOS','SP','125252251211515211158619292112610163187',304,'9998',77.93,1,3,NULL),(16,3329178,'1990-02-20 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216272532689933435124233224117',15660,'300',38.16,1,3,NULL),(16,3329186,'1988-07-14 00:00:00',2,1,12,2006,'M','N','MACEDO','GUARULHOS','SP','125253251147231451568833242123610167015',NULL,'9998',0.00,1,3,NULL),(16,3329194,'1986-03-26 00:00:00',4,8,12,2002,'F','N','ATIRADORES','JOINVILLE','SC','124243241212575751359714572112610167092',NULL,'487',36.41,1,3,NULL),(16,3329208,'1989-06-09 00:00:00',4,8,12,2006,'F','N','VILA NOVA','JOINVILLE','SC','124241241137272431438633571224610134077',15414,'473',38.74,4,2,1),(16,3329216,'1990-06-13 00:00:00',1,1,12,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124244241115152431489933577124610143092',NULL,'267',0.00,1,3,NULL),(16,3329224,'1988-03-13 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124243247415471431229429574324610137187',NULL,'9999',32.69,2,1,2),(16,3329240,'1978-12-26 00:00:00',2,1,7,2008,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','624243247242132132531353481212610116152',NULL,'9999',28.73,1,3,NULL),(16,3329259,'1986-02-13 00:00:00',4,1,12,2003,'F','N','LIBERDADE','S PAULO','SP','125112111216471421558813575115343264077',4394,'9998',60.03,1,3,NULL),(16,3329267,'1991-11-17 00:00:00',4,9,12,2008,'M','N','CIDADE ALTA','LAGES','SC','124242241215111431436732395122610121147',8155,'497',52.13,1,3,NULL),(16,3329275,'1987-09-16 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124244201217574431468632572124232467142',NULL,'9998',25.09,1,3,NULL),(16,3329283,'1988-04-01 00:00:00',2,5,12,2005,'F','N','CENTRO','STA ROSA SUL','SC','124241241326371411233649245124610126117',16104,'689',36.92,1,3,NULL),(16,3329305,'1992-05-21 00:00:00',4,1,10,2009,'F','S','JURERê','FLORIANóPOLIS','SC','124242241211111431448811575122610133182',NULL,'270',32.13,1,3,NULL),(16,3329313,'1991-04-17 00:00:00',4,2,12,2008,'F','N','BELCHIOR BAIXO','GASPAR','SC','124242241215371431478811575122610156146',8988,'909',50.60,1,3,NULL),(16,3329321,'1977-04-10 00:00:00',4,1,12,2004,'F','N','BARREIROS','S JOSé','SC','224241247216131211314454242114610161093',NULL,'9999',17.73,4,1,2),(16,3329348,'1982-02-25 00:00:00',2,1,1,2002,'M','N','MANOEL ABRAAO','MINEIROS','GO','109094111335571431563516574124610167187',1110,'9998',71.40,4,3,NULL),(16,3329356,'1971-07-26 00:00:00',4,1,12,1988,'M','N','INGLESES','FLORIANóPOLIS','SC','524163161111131441328343235124342217042',12527,'9998',44.31,1,3,NULL),(16,3329372,'1988-06-04 00:00:00',4,6,11,2005,'M','N','CENTRO','BAL CAMBORIú','SC','124244241216271421456714472111610137042',NULL,'967',37.20,1,3,NULL),(16,3329380,'1975-03-09 00:00:00',2,1,6,1996,'M','N','CENTRO','FLORIANóPOLIS','SC','124241248117275721332331235224120963012',11785,'306',45.67,1,2,1),(16,3329399,'1992-03-13 00:00:00',4,6,11,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124242241215121431366831172122610147047',8058,'1038',52.31,1,3,NULL),(16,3329410,'1993-04-01 00:00:00',4,1,11,2010,'F','S','CAPOEIRAS','FLORIANóPOLIS','SC','124244248217111711656632575124610165142',NULL,'270',50.01,1,3,NULL),(16,3329437,'1992-11-17 00:00:00',2,1,12,2009,'M','S','PRADO','BIGUAçU','SC','124242241217111431355734372121610128092',NULL,'1040',38.48,1,3,NULL),(16,3329445,'1956-11-07 00:00:00',4,1,11,1972,'M','N','CIDADE FLORIANOPOLIS','S JOSé','SC','224242246126133711431379395122322326182',NULL,'306',0.00,1,3,NULL),(16,3329453,'1990-04-19 00:00:00',2,9,12,2007,'M','N','SANTA RITA','RIO SUL','SC','124244241115371431327424142124132024182',8324,'659',51.74,1,3,NULL),(16,3329461,'1992-03-09 00:00:00',2,5,11,2008,'F','N','SANTA ANA','FORQUILHINHA','SC','124244248216111431445519575124610134147',16055,'226',37.10,1,3,NULL),(16,3329470,'1981-09-15 00:00:00',2,1,12,1999,'F','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124201203126531431225344285223140867167',NULL,'9998',0.00,1,2,1),(16,3329488,'1991-07-24 00:00:00',4,7,12,2008,'M','N','CINQUENTENáRIO','CONCóRDIA','SC','124241241117131431533323572325610117057',NULL,'192',18.69,1,2,1),(16,3329496,'1990-06-10 00:00:00',2,1,11,2008,'F','N','JARDIM ITATI','PTO ALEGRE','RS','120202201415311431547721575124610128097',NULL,'9998',0.00,1,3,NULL),(16,3329518,'1990-02-14 00:00:00',2,1,11,2007,'F','N','CENTRO','CURITIBA','PR','116164161217471431346923491125610162197',NULL,'9998',50.02,1,3,NULL),(16,3329526,'1991-08-25 00:00:00',2,5,10,2008,'F','N','CENTRO','ARARANGUá','SC','124242241215131431547939575122610164097',8221,'32',51.94,1,3,NULL),(16,3329534,'1990-07-19 00:00:00',4,8,12,2007,'M','N','AGUA BRANCA','S FRANCISCO SUL','SC','624244241217371711436612475112130244187',NULL,'1105',19.83,1,3,NULL),(16,3329542,'1981-08-01 00:00:00',2,1,12,2005,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124201207127131421116548283324610144017',NULL,'9998',38.92,1,3,NULL),(16,3329569,'1991-05-04 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124241241145131451423414245334610137057',NULL,'734',23.36,1,2,1),(16,3329585,'1990-07-30 00:00:00',4,1,11,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241212372411448813574114610164187',8535,'270',51.37,1,3,NULL),(16,3329593,'1988-02-26 00:00:00',4,1,12,2005,'M','N','CAMINHO NOVO','PALHOçA','SC','124241241127131431434724315123610168047',NULL,'945',24.30,4,1,1),(16,3329607,'1977-08-01 00:00:00',2,1,7,1998,'F','N','CENTRO','FLORIANóPOLIS','SC','124161247446132441122144345234231122042',NULL,'489',30.85,1,3,NULL),(16,3329615,'1992-09-05 00:00:00',4,5,11,2008,'M','N','CENTRO','SIDERóPOLIS','SC','124242242216131232456431375124610127057',NULL,'767',20.78,1,3,NULL),(16,3329623,'1980-07-03 00:00:00',2,1,12,1999,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242247217275431546419482124610147047',16381,'9999',36.06,1,3,NULL),(16,3329631,'1990-03-10 00:00:00',2,3,12,2007,'F','N','CENTRO','BAL CAMBORIú','SC','124243241212372431438711271122232624147',5303,'1038',57.86,1,3,NULL),(16,3329666,'1988-11-21 00:00:00',2,1,12,2006,'F','N','NAçõES','ITATIBA','SP','125256251117371421428837322132243211147',NULL,'9998',0.00,1,3,NULL),(16,3329682,'1985-09-29 00:00:00',2,1,12,2006,'M','N','N S DO ROSARIO','S JOSé','SC','124241247436313431558419392124610127042',NULL,'1117',0.00,1,3,NULL),(16,3329690,'1989-02-16 00:00:00',4,1,5,2007,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242247216151451558812572112610121185',NULL,'9999',0.00,1,3,NULL),(16,3329704,'1990-07-14 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124244217435331611116613211111520815161',NULL,'9998',37.53,1,3,NULL),(16,3329712,'1988-07-11 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241147131731323344342124610127057',NULL,'1034',19.76,1,2,1),(16,3329739,'1991-12-04 00:00:00',4,10,11,2008,'M','N','AEROPORTO','TUBARãO','SC','124242248215111431469934575125610161142',3538,'807',62.27,1,3,NULL),(16,3329747,'1990-12-21 00:00:00',2,8,12,2008,'M','N','JARDIM CLARET','RIO CLARO','SP','125251251215111431248824595122610124177',5560,'9998',57.36,1,3,NULL),(16,3329755,'1990-12-18 00:00:00',4,2,11,2008,'M','N','FIGUEIRA','GASPAR','SC','124241248215111431336314374224610137052',7372,'955',53.58,1,3,NULL),(16,3329763,'1991-03-23 00:00:00',4,3,11,2008,'F','N','CENTRO','TOLEDO','PR','116162161215121411349914572242610166097',NULL,'9998',0.00,1,3,NULL),(16,3329771,'1992-04-14 00:00:00',2,1,12,2009,'M','S','ARIRIU DA FORMIGA','PALHOçA','SC','124242241212111411555633572124610127052',NULL,'1011',12.22,1,3,NULL),(16,3329780,'1990-05-07 00:00:00',2,1,11,2008,'M','N','SOBRADINHO','SOBRADINHO','DF','107202071217121431468814472122610137047',12257,'9998',44.80,1,3,NULL),(16,3329798,'1967-07-01 00:00:00',2,1,12,1986,'F','N','CAMPECHE','FLORIANóPOLIS','SC','424212218117131441536549485122133266197',NULL,'9998',0.00,1,3,NULL),(16,3329801,'1979-09-08 00:00:00',4,1,12,1996,'M','N','BERGER','CAçADOR','SC','124244241316152431455511295122321052142',NULL,'1020',0.00,1,3,NULL),(16,3329810,'1992-03-26 00:00:00',2,1,12,2008,'F','N','CENTRO','TIJUCAS','SC','124242241415111531559311472122610146092',NULL,'1119',28.18,1,3,NULL),(16,3329828,'1991-05-24 00:00:00',2,8,12,2008,'F','N','PIRABEIRABA','JOINVILLE','SC','124242241217111231469833572114610127057',NULL,'486',0.00,1,3,NULL),(16,3329844,'1990-08-29 00:00:00',4,5,12,2008,'M','N','CENTRO','ORLEANS','SC','124242241215111431335832321124610137057',4305,'226',60.22,1,3,NULL),(16,3329852,'1990-01-27 00:00:00',4,5,12,2006,'F','N','CENTRO','MELEIRO','SC','124241248141131451633364291215130451072',NULL,'559',22.20,4,2,1),(16,3329860,'1988-02-26 00:00:00',4,8,12,2005,'M','N','JD INDEPENDENCIA','S VICENTE','SP','125252251215571711579632585111610164197',445,'9998',76.29,1,3,NULL),(16,3329879,'1969-11-24 00:00:00',4,1,12,1988,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241121575431536413311123610134187',NULL,'298',21.64,1,3,NULL),(16,3329909,'1991-12-20 00:00:00',4,3,12,2008,'F','N','AMARAL','PALMEIRA MISSõES','RS','120203201217311432436819575122610118017',NULL,'9998',0.00,4,3,NULL),(16,3329917,'1992-05-12 00:00:00',4,1,11,2009,'M','S','AGRôNOMICA','FLORIANóPOLIS','SC','124242241215111332368834576124610124192',NULL,'262',44.12,1,3,NULL),(16,3329925,'1981-10-17 00:00:00',2,1,12,2001,'M','N','FLORESTA','S JOSé','SC','124241241111134431636814215134610125057',NULL,'307',28.36,2,1,1),(16,3329941,'1980-08-03 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANóPOLIS','SC','124131131136273421156543335122231044117',NULL,'9998',0.00,1,2,1),(16,3329950,'1992-05-30 00:00:00',4,7,12,2008,'F','N','DOIS PINHEIROS','VIDEIRA','SC','124241241135141431438615245122610138057',NULL,'831',24.63,1,2,1),(16,3329976,'1991-09-22 00:00:00',4,4,12,2008,'M','N','MARIA GORETTE','CHAPECó','SC','124241241117151431426632422124610114052',NULL,'179',25.08,1,2,1),(16,3329984,'1990-04-07 00:00:00',4,1,12,2007,'F','N','ROçADO','S JOSé','SC','124242241212272431456732575122230441012',NULL,'1134',0.00,1,3,NULL),(16,3330001,'1991-12-16 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124241241125111711523329295122610138052',NULL,'732',19.53,1,2,1),(16,3330028,'1989-12-29 00:00:00',2,1,12,2006,'F','N','SERTAO DE MARUIM','S JOSé','SC','224241241117573131223344346122610123073',NULL,'733',30.05,1,3,NULL),(16,3330052,'1985-10-22 00:00:00',4,8,12,2002,'F','N','BOQUEIRãO','CURITIBA','PR','116161081117151431427611472122610134142',13571,'9998',42.51,1,3,NULL),(16,3330060,'1990-08-28 00:00:00',2,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSé','SC','124241241115111431346629372124610124052',NULL,'307',27.64,2,1,1),(16,3330117,'1991-10-22 00:00:00',4,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124241241225131431423334211324510131172',7650,'262',53.05,1,3,NULL),(16,3330125,'1992-01-06 00:00:00',4,1,11,2009,'M','S','CENTRO','PALHOçA','SC','124242241217151731437611572114610137052',NULL,'989',28.29,4,3,NULL),(16,3330133,'1989-09-24 00:00:00',4,4,12,2006,'M','N','SãO CRISTóVãO','CASCAVEL','PR','116161111112471411443612572314610165072',11873,'9998',45.51,1,2,1),(16,3330141,'1987-09-10 00:00:00',2,10,11,2007,'M','N','VILA NOVA','IMBITUBA','SC','124241247136271421323511315123610127112',NULL,'9997',34.42,2,2,1),(16,3330150,'1975-12-22 00:00:00',2,8,12,2003,'M','N','BARRA DO RIO CERRO','JARAGUá SUL','SC','124242241212153431346429431334530266117',NULL,'424',0.00,1,3,NULL),(16,3330168,'1965-01-17 00:00:00',2,1,12,1985,'F','N','RIBEEIRÃO DA ILHA','FLORIANóPOLIS','SC','624241243221131421423449332334610126097',NULL,'304',26.18,1,3,NULL),(16,3330176,'1980-09-13 00:00:00',2,1,12,1998,'M','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124241241136133421235644344124333267057',9918,'192',48.92,1,2,1),(16,3330184,'1990-08-03 00:00:00',4,7,12,2007,'M','N','CENTRO','STA CECíLIA','SC','124241161316474532463332575122610167057',NULL,'9998',30.41,1,3,NULL),(16,3330192,'1956-01-20 00:00:00',2,1,7,1983,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','624241247227134421333151115132120918192',NULL,'9999',22.02,2,3,NULL),(16,3330206,'1992-01-18 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115271231435534571122610117047',NULL,'772',20.96,1,2,1),(16,3330222,'1987-05-18 00:00:00',2,1,6,2006,'F','N','JD MARCOS ANTONIO','BIGUAçU','SC','124241241136473731424339395124610133187',16619,'591',34.66,4,2,1),(16,3330230,'1992-08-18 00:00:00',2,1,11,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215111531536532242124610133142',12834,'1022',43.79,1,3,NULL),(16,3330249,'1991-01-25 00:00:00',4,1,12,2008,'M','N','CANUDOS','ANTôNIO CARLOS','SC','124241241114131511433336572341610148057',11222,'21',46.61,1,2,1),(16,3330265,'1989-04-09 00:00:00',2,1,12,2007,'F','N','ITAGUAçU','FLORIANóPOLIS','SC','124201241115131431536623371222610133092',NULL,'292',25.54,1,3,NULL),(16,3330273,'1990-02-17 00:00:00',4,3,12,2006,'M','N','CENTRO','CURITIBA','PR','116241241131572441439933291224610127093',NULL,'120',0.00,1,3,NULL),(16,3330281,'1991-07-17 00:00:00',4,9,12,2008,'M','N','UNIVERSITáRIO','LAGES','SC','124241241117131722436611272225610161147',NULL,'935',21.33,1,2,1),(16,3330290,'1989-05-25 00:00:00',4,1,12,2006,'F','N','BUTANTã','S PAULO','SP','125252251217371441465821371124610144147',NULL,'9998',0.00,1,3,NULL),(16,3330311,'1990-02-15 00:00:00',4,3,11,2007,'F','N','CENTRO','PTO BELO','SC','125252251216111432446767575124233247147',10199,'9998',48.43,1,3,NULL),(16,3330320,'1986-07-12 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241247135471431326724381124610123182',NULL,'9999',20.28,1,2,1),(16,3330338,'1952-02-16 00:00:00',4,1,11,1979,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','224251256226152411244149191112140226053',NULL,'9998',0.00,1,3,NULL),(16,3330346,'1991-02-01 00:00:00',4,1,12,2009,'F','S','PORTO DA LAGOA','FLORIANóPOLIS','SC','124242248217111311466513575112610137077',NULL,'299',21.80,1,3,NULL),(16,3330354,'1991-05-01 00:00:00',4,2,12,2008,'F','N','ENCANO BAIXO','INDAIAL','SC','124241241215121431568833575124610137072',5965,'88',56.43,1,3,NULL),(16,3330370,'1990-07-20 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215152421479934172122231025073',13590,'270',42.47,1,3,NULL),(16,3330389,'1984-01-10 00:00:00',4,1,12,2001,'F','N','RECIFE','TUBARãO','SC','124241241136132441226544246334132014147',NULL,'804',24.20,2,1,1),(16,3330397,'1991-04-29 00:00:00',4,1,12,2008,'M','N','CENTRO','PASSO FUNDO','RS','120201201115471431346824372122610124057',6788,'9998',54.68,1,2,1),(16,3330400,'1986-11-11 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124244207237271421238651182112610134117',NULL,'9999',29.85,4,3,NULL),(16,3330427,'1982-04-19 00:00:00',2,1,12,1999,'M','N','ESTREITO','FLORIANóPOLIS','SC','224244241411153721268873332122122667097',2878,'392',64.16,1,3,NULL),(16,3330435,'1961-11-11 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','224244248626152712434442222132610127187',NULL,'284',19.98,1,3,NULL),(16,3330460,'1988-03-19 00:00:00',4,1,12,2005,'F','N','PARQUE CASA DE PEDRA','S PAULO','SP','125252251317572432426634476124610161147',NULL,'9998',0.00,1,3,NULL),(16,3330478,'1973-03-21 00:00:00',2,1,12,1991,'M','N','BELA VISTA II','S JOSé','SC','224241241117132431253643435122131028187',NULL,'271',34.18,1,2,1),(16,3330486,'1972-08-05 00:00:00',4,1,12,1991,'F','N','INGLESES','FLORIANóPOLIS','SC','524201201216151411325653431222141111142',NULL,'9998',0.00,1,3,NULL),(16,3330494,'1987-08-17 00:00:00',4,1,12,2004,'F','N','SUDOESTE','CRUZEIRO','DF','107072071215571421568813574112610163092',1657,'9998',68.62,4,3,NULL),(16,3330508,'1979-12-28 00:00:00',4,1,11,1998,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241247627132711637419245124331048187',NULL,'9999',4.76,1,3,NULL),(16,3330524,'1988-12-20 00:00:00',4,1,12,2006,'M','N','CENTRAL','ASSIS','SP','125254251446151431328939475122140247042',NULL,'9998',0.00,1,3,NULL),(16,3330532,'1985-11-21 00:00:00',2,1,12,2006,'M','N','SERTãO DO MARUíM','S JOSé','SC','124241241146314421634624345124110122147',NULL,'9999',34.65,1,3,NULL),(16,3330540,'1992-07-11 00:00:00',4,1,9,2009,'F','S','CENTRO','FLORIANóPOLIS','SC','124244241215111431347811472122610142197',NULL,'270',46.32,1,3,NULL),(16,3330567,'1990-07-16 00:00:00',4,2,12,2008,'M','N','BOM PASTOR','JZ FORA','MG','113132131215111431668632572122610132092',NULL,'9998',0.00,4,3,NULL),(16,3330591,'1982-08-23 00:00:00',4,1,11,1999,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241217573322689911475122321237042',8616,'210',51.22,1,3,NULL),(16,3330605,'1990-03-01 00:00:00',4,1,12,2006,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241311132751336622341123231067187',NULL,'1022',17.76,1,3,NULL),(16,3330613,'1980-11-23 00:00:00',4,1,12,1998,'F','N','ITACORUBI','FLORIANóPOLIS','SC','224241241112142441253353432132131826142',15809,'753',37.75,1,2,1),(16,3330621,'1992-07-26 00:00:00',4,1,12,2009,'F','S','CENTRO','MARINGá','PR','116162161216111431455932295112610161087',NULL,'9998',0.00,1,3,NULL),(16,3330630,'1991-12-30 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124242241216111431356933575122610137112',NULL,'884',28.98,1,3,NULL),(16,3330648,'1991-01-18 00:00:00',4,1,12,2008,'M','N','VILA NOVA','FARTURA','SP','125254251217111431548662271122610162172',1354,'9998',70.10,1,3,NULL),(16,3330656,'1982-01-07 00:00:00',4,3,12,1999,'F','N','NAçõES','BAL CAMBORIú','SC','124161168121141731524644341334610124187',NULL,'9998',14.71,1,2,1),(16,3330664,'1986-07-17 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241247237131431343339246334610127062',NULL,'9999',25.35,1,3,NULL),(16,3330672,'1986-05-19 00:00:00',4,1,12,2004,'M','N','RONDONIA','NOVO HAMBURGO','RS','120202201217371431463322472124143262147',6216,'9998',55.87,1,3,NULL),(16,3330680,'1992-04-12 00:00:00',4,1,12,2009,'M','S','JOãO PAULO','FLORIANóPOLIS','SC','124244241415111431238833575124610124042',NULL,'270',21.03,1,3,NULL),(16,3330702,'1991-08-30 00:00:00',2,8,12,2008,'F','N','METRóPOLE','DRACENA','SP','125251251416131431423421245125610114142',6230,'9998',55.85,1,3,NULL),(16,3330710,'1989-07-20 00:00:00',2,4,12,2006,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241216471431343639575124241322182',NULL,'752',26.95,1,3,NULL),(16,3330737,'1982-03-04 00:00:00',4,1,12,1999,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124162161217473751157833176124221437182',5875,'9998',56.63,1,3,NULL),(16,3330745,'1991-01-22 00:00:00',4,4,12,2008,'M','N','IMPERIAL','CONCóRDIA','SC','124241241215151211466632575122610148092',NULL,'1001',23.09,1,3,NULL),(16,3330761,'1989-05-13 00:00:00',4,1,12,2006,'M','N','CENTRO','BRUSQUE','SC','124242241215372431548832245124222927082',NULL,'107',38.41,1,3,NULL),(16,3330770,'1990-05-23 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124241241217373431355832125122230262182',2193,'1011',66.44,1,3,NULL),(16,3330788,'1987-10-31 00:00:00',4,1,12,2005,'M','N','JARDIM TAROBá','CAMBé','PR','116162161216571431567912371122610144012',3342,'9998',62.87,1,3,NULL),(16,3330796,'1989-12-25 00:00:00',4,8,12,2007,'F','N','JARDIM MARANHãO','COTIA','SP','125252251217371411568811575124610112042',5820,'9998',56.75,1,3,NULL),(16,3330800,'1988-08-13 00:00:00',2,8,1,2008,'M','N','PORTAO','CURITIBA','PR','116164168217311751564412572242610162117',NULL,'9998',0.00,1,3,NULL),(16,3330818,'1990-11-26 00:00:00',4,8,12,2008,'M','N','SAGUAçU','JOINVILLE','SC','124242241217131411358819595124610164057',8810,'932',50.88,1,3,NULL),(16,3330826,'1991-04-10 00:00:00',2,8,11,2008,'M','N','DAS NAÇÕES','BAL CAMBORIú','SC','124243241315471431446633375122610137012',7222,'44',53.87,1,3,NULL),(16,3330850,'1972-12-17 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124282247217111752119879597145613268197',193,'9999',79.34,1,3,NULL),(16,3330869,'1992-01-18 00:00:00',2,9,12,2008,'F','N','VILA EUNICE','CACHOEIRINHA','RS','120201201117371711646521116122610117187',NULL,'9998',0.00,1,2,1),(16,3330877,'1990-09-19 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124243241317132431448823575124220964197',6913,'1022',54.47,3,3,NULL),(16,3330885,'1991-06-12 00:00:00',1,10,12,2008,'M','N','VILA NOVA','IMBITUBA','SC','124241241115131122453312285124610167062',NULL,'359',6.02,1,2,1),(16,3330893,'1988-10-05 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241236133441549811145124610137017',NULL,'836',31.11,1,3,NULL),(16,3330907,'1990-12-04 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSé','SC','124241241116271321366811375112610117052',NULL,'595',28.99,1,2,1),(16,3330915,'1991-04-01 00:00:00',2,9,12,2008,'F','N','CAPISTRANO','BOM RETIRO','SC','124241241122141731637617275122610126147',14346,'95',40.97,1,2,1),(16,3330923,'1953-01-05 00:00:00',2,1,12,1976,'M','N','FLOR DE NáPOLIS','S JOSé','SC','624201201112135711526643132122130216047',NULL,'9997',0.00,1,3,NULL),(16,3330931,'1991-08-06 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124132241215121431478712575122610117055',6352,'1133',55.57,1,3,NULL),(16,3330966,'1990-10-09 00:00:00',2,5,11,2008,'M','N','URUSSANGUINHA','ARARANGUá','SC','124242241215271231458613432112610117042',7517,'970',53.30,1,3,NULL),(16,3330974,'1990-07-10 00:00:00',4,3,12,2007,'F','N','VILA SãO JOSé','APUCARANA','PR','116162161215472431659933575122610167012',3770,'9998',61.67,1,3,NULL),(16,3330982,'1991-05-23 00:00:00',4,5,11,2008,'F','N','CENTRO','CRICIúMA','SC','124242241215111411547612575122610123187',NULL,'213',23.19,1,3,NULL),(16,3331024,'1985-01-31 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241127132731126623442312610167047',NULL,'298',23.79,4,1,1),(16,3331032,'1989-12-28 00:00:00',4,1,12,2007,'M','N','CENTRO','ASSIS','SP','125251251116471431426629575124610147052',NULL,'9998',0.00,4,2,1),(16,3331040,'1978-04-29 00:00:00',3,1,9,1998,'F','N','ESTREITO','FLORIANóPOLIS','SC','624241247131475431226353391224422226077',9537,'9999',49.64,1,2,1),(16,3331059,'1991-07-08 00:00:00',4,9,12,2008,'F','N','SãO JOãO','CORREIA PINTO','SC','124241241312141431434634245125610127042',NULL,'201',22.33,1,3,NULL),(16,3331075,'1974-10-21 00:00:00',2,1,12,2004,'F','N','ARMAçãO','FLORIANóPOLIS','SC','124161248124131751425643131335242752097',NULL,'291',29.24,1,2,1),(16,3331083,'1987-04-23 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241212172711478832275124221512147',5520,'107',57.42,1,3,NULL),(16,3331113,'1987-05-04 00:00:00',4,10,12,2006,'M','N','SAO JOAO','TUBARãO','SC','124241241127311431433311341322131422042',NULL,'800',25.98,1,2,1),(16,3331130,'1991-10-13 00:00:00',4,8,11,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215371411358613575112610164057',6897,'486',54.49,1,3,NULL),(16,3331148,'1983-10-07 00:00:00',2,1,12,2001,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124243246116133441458679331212131027182',NULL,'306',0.00,1,3,NULL),(16,3331156,'1983-02-17 00:00:00',4,1,12,2000,'M','N','CENTRO','TIJUCAS','SC','124242251217152731659911415122432647057',9640,'269',49.44,1,3,NULL),(16,3331164,'1983-09-13 00:00:00',2,1,12,2003,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','125031251137171411432129492224610163057',NULL,'9998',13.16,4,2,1),(16,3331172,'1966-02-07 00:00:00',2,1,12,1984,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124201206116151721268943335122340216047',NULL,'9998',0.00,1,2,1),(16,3331180,'1991-11-27 00:00:00',4,1,11,2008,'M','N','REAL PARQUE','FLORIANóPOLIS','SC','124241248117141211346633245134610127042',NULL,'734',21.95,2,2,1),(16,3331199,'1989-11-18 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241126133431134826295224610124056',NULL,'618',19.92,1,2,1),(16,3331202,'1983-07-07 00:00:00',2,1,12,2002,'F','N','IPIRANGA','SAO JOSE','SC','124201207126131731233354245334143024142',NULL,'9998',31.81,1,3,NULL),(16,3331210,'1966-04-27 00:00:00',2,1,12,1984,'M','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','624241243326473311453343435122140316187',NULL,'641',0.00,1,3,NULL),(16,3331229,'1992-01-18 00:00:00',2,1,11,2009,'M','S','COQUEIROS','FLORIANóPOLIS','SC','124242241215111431578814596124610123162',NULL,'270',46.66,1,3,NULL),(16,3331245,'1978-03-09 00:00:00',4,1,12,2000,'F','N','SERRARIA','S JOSé','SC','224243245412132331334454482124130731012',NULL,'258',0.00,1,3,NULL),(16,3331253,'1991-12-30 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241216111431356933575122610127112',NULL,'884',24.55,1,3,NULL),(16,3331288,'1958-06-29 00:00:00',2,1,11,1976,'M','N','CAMPINAS','S JOSé','SC','224241243326132421428654345134132162017',NULL,'260',0.00,2,1,2),(16,3331300,'1992-01-27 00:00:00',4,4,11,2008,'F','N','SãO SEBASTIãO','S MIGUEL OESTE','SC','124243241212111411429754233321323222162',8309,'752',51.77,1,3,NULL),(16,3331318,'1974-02-28 00:00:00',4,1,12,1991,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243241117555221363343435122333237142',NULL,'307',0.00,1,3,NULL),(16,3331326,'1991-01-16 00:00:00',2,10,12,2008,'F','N','MORRO GRANDE','SANGãO','SC','124242246215111511454412375122610113142',NULL,'9997',2.64,1,3,NULL),(16,3331334,'1991-04-23 00:00:00',4,1,11,2008,'F','N','JARDIM AMERICA','DOURADOS','MS','112122121216271431246612575112610121017',8774,'9998',50.95,1,3,NULL),(16,3331342,'1992-07-31 00:00:00',4,1,11,2009,'F','S','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124244241217111431559923592124610132142',NULL,'270',48.72,1,3,NULL),(16,3331350,'1989-09-27 00:00:00',4,1,12,2008,'M','N','ITAICI','INDAIATUBA','SP','125252251217371551676712176122610167142',NULL,'9998',0.00,1,3,NULL),(16,3331369,'1961-09-23 00:00:00',4,1,12,1985,'F','N','SANTA MONICA','FLORIANóPOLIS','SC','624241243226152431347341215122230826092',NULL,'303',28.27,1,3,NULL),(16,3331377,'1990-01-03 00:00:00',4,1,12,2008,'M','N','CENTRO','MARAU','RS','120203201147131231413368295124610127147',NULL,'9998',0.00,1,3,NULL),(16,3331431,'1990-10-31 00:00:00',4,1,12,2008,'F','N','PQ DIMAS C OMETTO','IRACEMáPOLIS','SP','125252251217111431448814344122610134147',NULL,'9998',0.00,1,3,NULL),(16,3331440,'1988-06-22 00:00:00',4,1,10,2005,'M','N','INGLESES','FLORIANóPOLIS','SC','124252161231143411338844441124131424045',NULL,'9998',0.00,1,3,NULL),(16,3331466,'1991-09-23 00:00:00',4,8,12,2008,'F','N','VILA NOVA','JOINVILLE','SC','124241241217151431444927571222610146012',NULL,'1006',34.49,1,3,NULL),(16,3331482,'1952-11-18 00:00:00',2,1,12,1972,'M','N','DISTRITO INDUSTRIAL','S JOSé','SC','124242247241154711138842221133121411095',NULL,'262',38.23,1,3,NULL),(16,3331490,'1990-12-22 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124243247217131731336624145114610147052',13429,'269',42.73,1,3,NULL),(16,3331504,'1987-12-15 00:00:00',2,1,12,2008,'M','N','CENTRO','PALHOçA','SC','124242241217132411355612225232130464187',NULL,'989',26.28,1,3,NULL),(16,3331520,'1990-04-05 00:00:00',4,1,12,2007,'M','N','PIRITUBA','S PAULO','SP','125253251217271431448724585124610132017',NULL,'9998',0.00,1,3,NULL),(16,3331547,'1992-04-23 00:00:00',4,1,12,2008,'F','N','SERTãO DO MARUIM','S JOSé','SC','124241241125141731635321142334610127057',NULL,'869',23.94,1,2,1),(16,3331555,'1991-04-06 00:00:00',2,6,12,2008,'M','N','PRAçA','TIJUCAS','SC','124242241217111431346612245122610127032',NULL,'1119',17.86,1,3,NULL),(16,3331563,'1982-06-18 00:00:00',2,1,12,1999,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124241241312132431133643432333321461152',8666,'525',51.13,1,3,NULL),(16,3331571,'1991-11-30 00:00:00',4,8,12,2008,'M','N','PINHEIRINHO','RIO NEGRINHO','SC','124242241216371441464812175122610127072',NULL,'666',24.98,1,3,NULL),(16,3331580,'1986-06-17 00:00:00',4,2,12,2004,'F','N','RIO MORTO','INDAIAL','SC','124241241127132411431213245121132124147',10589,'887',47.76,1,2,1),(16,3331598,'1989-08-08 00:00:00',2,4,11,2006,'M','N','CENTRO','ERECHIM','RS','120202201216571751549711495125610167187',NULL,'9998',42.36,1,3,NULL),(16,3331601,'1991-09-14 00:00:00',2,1,12,2008,'F','N','PASSA VINTE','PALHOçA','SC','124242241215111731566933575124610134142',16204,'989',36.66,1,3,NULL),(16,3331610,'1981-07-17 00:00:00',4,2,12,1998,'M','N','SANTANA','S PAULO','SP','125242246216375451243343235125221424042',NULL,'1105',0.00,1,3,NULL),(16,3331628,'1988-06-01 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANOPOLIS','SC','124243241115131431457613585122610122095',NULL,'267',15.86,1,3,NULL),(16,3331636,'1960-10-10 00:00:00',2,1,8,1994,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241247343372112123341313344610133197',NULL,'9997',21.62,4,1,2),(16,3331644,'1991-06-20 00:00:00',4,1,11,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241315151431427313575212610132052',10045,'1014',48.70,1,3,NULL),(16,3331652,'1992-09-04 00:00:00',4,1,12,2009,'M','S','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241215111731569931395122610124052',NULL,'884',49.66,1,3,NULL),(16,3331660,'1987-03-22 00:00:00',4,7,12,2004,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116161161111572511526811592114610117067',NULL,'9998',37.53,1,2,1),(16,3331687,'1988-03-18 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241311133111678833375124230224092',11940,'300',45.37,1,3,NULL),(16,3331695,'1978-08-18 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','224241247325131421633351345124610121147',NULL,'9999',28.68,1,3,NULL),(16,3331709,'1988-04-10 00:00:00',4,1,7,2007,'F','N','BREJARU','PALHOçA','SC','124243247322131421623441242124610128153',NULL,'9999',23.66,1,3,NULL),(16,3331717,'1960-08-03 00:00:00',2,1,11,2006,'M','N','KOBRASOL','SAO JOSE','SC','124241247621133421343243135332130722041',NULL,'9999',26.41,2,1,2),(16,3331725,'1990-12-28 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241248115141711425634342124610163194',NULL,'295',19.90,2,3,NULL),(16,3331733,'1989-09-30 00:00:00',4,8,12,2008,'F','N','SHANGRILA','ITAPETININGA','SP','125252251211472431589814425122610114142',NULL,'9997',21.96,1,3,NULL),(16,3331741,'1991-04-10 00:00:00',2,1,12,2008,'F','N','ROÇADO','S JOSé','SC','124243241317111731423324141124610116072',NULL,'1036',8.81,1,3,NULL),(16,3331750,'1991-07-30 00:00:00',2,1,12,2008,'M','N','JARDIM VALPARAíBA','S JOSé CAMPOS','SP','125252251415111631558613471112610117112',3921,'9998',61.28,1,3,NULL),(16,3331768,'1984-07-19 00:00:00',2,1,7,2002,'F','N','ESTREITO','FLORIANóPOLIS','SC','224241244136132251335459395134613263197',NULL,'307',20.34,2,3,NULL),(16,3331776,'1991-04-05 00:00:00',2,1,12,2007,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124244241212372411448923595125230217042',4236,'1133',60.41,1,3,NULL),(16,3331784,'1966-10-06 00:00:00',4,1,11,1986,'F','N','AREIAS','S JOSé','SC','124241245222132421323444342124132245097',16243,'725',36.54,1,3,NULL),(16,3331792,'1989-12-31 00:00:00',4,1,12,2006,'F','N','ZONA SETE','MARINGá','PR','116161161137571411437934284122142542057',NULL,'9998',0.00,1,3,NULL),(16,3331806,'1991-02-04 00:00:00',4,8,12,2008,'M','N','ITAUM','JOINVILLE','SC','124242248217131131236624575124610114042',NULL,'494',21.67,1,3,NULL),(16,3331814,'1979-07-08 00:00:00',4,1,11,1998,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241216133431533314182124610127047',NULL,'229',0.00,1,3,NULL),(16,3331822,'1990-01-13 00:00:00',2,1,12,2008,'F','N','JARDIM AQUáRIOS','PALHOçA','SC','124241241211131431444431342124610137087',NULL,'989',0.00,1,3,NULL),(16,3331849,'1991-06-04 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIúMA','SC','124242243235131431349933575124610118182',14724,'230',40.22,1,3,NULL),(16,3331857,'1987-02-01 00:00:00',4,1,12,2004,'F','N','CENTRO','TAQUARA','RS','120202201217571731348639592124242467127',NULL,'9998',0.00,1,3,NULL),(16,3331865,'1988-11-10 00:00:00',2,1,12,2008,'M','N','JARDIM CHAPADãO','CAMPINAS','SP','125252256217141711536824141114610162117',NULL,'9998',30.55,1,3,NULL),(16,3331873,'1992-02-21 00:00:00',2,1,11,2009,'F','S','CARIANOS','FLORIANóPOLIS','SC','124242241215111731653722575122610123143',NULL,'270',38.98,1,3,NULL),(16,3331881,'1986-05-31 00:00:00',4,1,11,2008,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124243247226131431227612271124610126087',NULL,'9999',29.00,1,3,NULL),(16,3331890,'1989-11-14 00:00:00',4,4,12,2006,'M','N','CENTRO','STA MARIA','RS','120244248212141331436632242224142662142',NULL,'752',29.17,1,3,NULL),(16,3331911,'1991-01-30 00:00:00',2,1,12,2007,'F','N','PONTA DE BAIXO','S JOSé','SC','124241241116131731436413574122610168157',NULL,'592',22.29,1,3,NULL),(16,3331920,'1990-02-21 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124241241212111431213729345224610135141',NULL,'269',24.56,1,3,NULL),(16,3331938,'1989-12-12 00:00:00',4,8,12,2006,'F','N','TINGüI','CURITIBA','PR','116012011216571431456931275124610124147',3649,'9998',61.95,1,3,NULL),(16,3331946,'1991-03-05 00:00:00',2,1,11,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124244248415111431445412245114610147012',NULL,'1048',16.76,1,3,NULL),(16,3331954,'1988-07-31 00:00:00',4,8,12,2005,'F','N','RES ESPLANADA SOL','S JOSé CAMPOS','SP','125252251216571411538711475122610111122',NULL,'9998',0.00,1,3,NULL),(16,3331970,'1990-01-03 00:00:00',2,5,12,2007,'F','N','SANTA BARBARA','CRICIúMA','SC','124243241215373411359831575124232413147',NULL,'807',39.15,1,3,NULL),(16,3331989,'1988-11-21 00:00:00',2,3,12,2005,'F','N','CENTRO','BAL CAMBORIú','SC','124201201112573431438713572123610136157',416,'9998',76.61,4,3,NULL),(16,3331997,'1987-06-10 00:00:00',2,1,12,2005,'F','N','CENTRO','ITARARé','SP','124251258316131311115944342234141524117',NULL,'9998',20.08,1,3,NULL),(16,3332004,'1982-06-25 00:00:00',2,1,12,2000,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124204201411131711128779445122230212092',NULL,'9998',0.00,1,3,NULL),(16,3332012,'1991-02-06 00:00:00',2,3,12,2008,'M','N','SERTãOZINHO','ITAPEMA','SC','124241246215131431433634385121610137112',NULL,'1119',23.04,1,3,NULL),(16,3332039,'1991-08-10 00:00:00',2,10,11,2008,'F','N','CENTRO','IMARUí','SC','124241241116131431524411575122610117142',NULL,'356',8.87,1,2,1),(16,3332063,'1991-09-02 00:00:00',2,1,12,2008,'M','N','CENTRO','CANELINHA','SC','124241241114111431436623342322610167072',NULL,'142',20.18,1,3,NULL),(16,3332080,'1986-03-12 00:00:00',4,5,12,2004,'M','N','JARDIN AMERICA','GOIâNIA','GO','109092091212213311337722422112122913182',NULL,'9998',0.00,1,3,NULL),(16,3332098,'1992-06-25 00:00:00',4,1,12,2009,'M','S','ITAGUAçú','FLORIANóPOLIS','SC','124242241215111431488811372124610118042',NULL,'270',48.03,1,3,NULL),(16,3332101,'1990-06-27 00:00:00',4,1,12,2007,'F','N','CENTRO','CANOAS','RS','120204201117471431156924575114141464047',15361,'9998',38.85,1,3,NULL),(16,3332110,'1976-08-26 00:00:00',4,1,12,1994,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241216154411248729445124122822192',NULL,'266',0.00,1,3,NULL),(16,3332136,'1990-11-11 00:00:00',4,8,11,2007,'M','N','ITAPEMA','ITAPOá','SC','124244241415412411326631375115141017112',12611,'486',44.16,4,3,NULL),(16,3332144,'1982-11-30 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANóPOLIS','SC','124244241117154721268743235122420744145',NULL,'307',0.00,1,3,NULL),(16,3332152,'1989-05-16 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241316573111567314445134610123182',10051,'1022',48.68,1,3,NULL),(16,3332160,'1989-04-26 00:00:00',4,1,11,2008,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241415122431369814575124610123092',2966,'1133',63.93,4,1,2),(16,3332187,'1967-06-09 00:00:00',2,1,12,1984,'F','N','CAMPINAS','S JOSé','SC','524241241117114411336352332122331225077',13910,'307',41.83,1,3,NULL),(16,3332195,'1992-01-03 00:00:00',4,5,11,2008,'M','N','CENTRO','CRICIúMA','SC','124242244215111431586924495121610164052',2224,'213',66.33,1,3,NULL),(16,3332217,'1992-09-04 00:00:00',4,1,11,2009,'F','S','ROçADO','S JOSé','SC','124242241215111732468823292122610123075',NULL,'723',39.21,3,3,NULL),(16,3332233,'1990-09-02 00:00:00',4,8,12,2008,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241112131432526414272324610131187',NULL,'484',23.00,1,2,1),(16,3332241,'1984-04-02 00:00:00',2,1,12,2004,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','224241241147133431523444245224610124057',NULL,'295',NULL,1,2,1),(16,3332250,'1989-12-26 00:00:00',4,1,6,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124242241217111531237833572112610167047',NULL,'262',0.00,1,3,NULL),(16,3332268,'1991-06-21 00:00:00',2,7,12,2008,'F','N','NOVA MACHADINHO','CAMPOS NOVOS','SC','124241241115231431223614572224610123057',14449,'140',40.79,1,2,1),(16,3332276,'1989-05-12 00:00:00',2,1,12,2006,'M','N','SANTA ROSA DE LIMA','TEIXEIRA FREITAS','BA','105053051216271411446632145121241364047',NULL,'9998',22.71,4,3,NULL),(16,3332284,'1987-08-31 00:00:00',2,3,12,2005,'F','N','ABERTA DOS MORROS','PTO ALEGRE','RS','120204201417471751447714343124140232012',NULL,'9998',26.63,1,3,NULL),(16,3332292,'1982-04-24 00:00:00',2,1,12,2004,'F','N','SANTOS DUMONT','S JOSé','SC','124241247142131131436444242324610163057',NULL,'9997',29.80,2,1,1),(16,3332314,'1990-01-14 00:00:00',4,1,12,2007,'M','N','BAETA NEVES','S BERNARDO CAMPO','SP','125252251217371411239634245114610134047',NULL,'9998',0.00,1,3,NULL),(16,3332322,'1992-06-30 00:00:00',4,1,12,2009,'F','S','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124243241312171431374312222124613235057',NULL,'270',6.21,1,3,NULL),(16,3332330,'1992-11-13 00:00:00',4,2,12,2009,'M','S','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111731489931415125610162141',NULL,'909',21.34,1,3,NULL),(16,3332373,'1993-07-26 00:00:00',4,5,12,2010,'F','S','CENTRO','CRICIúMA','SC','124242241237111431568931375122610164097',NULL,'226',47.70,1,3,NULL),(16,3332381,'1984-02-13 00:00:00',2,1,7,2002,'F','N','SERRARIA','S JOSé','SC','124243247427135511553619385124132824077',NULL,'9999',0.00,1,3,NULL),(16,3332403,'1978-05-11 00:00:00',2,1,12,1998,'F','N','CENTRO','TIJUCAS','SC','124241243127131431321643435131610143197',NULL,'781',0.00,2,1,1),(16,3332411,'1991-02-21 00:00:00',2,1,12,2008,'F','N','VIRA COPO','S PEDRO ALCâNTARA','SC','124241241225111441446623575124610128142',NULL,'1079',21.71,1,3,NULL),(16,3332420,'1968-01-03 00:00:00',2,1,12,1984,'F','N','CARIANOS','FLORIANóPOLIS','SC','524241243127135431233143135134323067097',NULL,'826',34.48,1,2,1),(16,3332438,'1991-02-05 00:00:00',4,1,11,2008,'F','N','ALDEIA DA SERRA','BARUERI','SP','125252251216271421578512495122610165112',10392,'9998',48.10,1,3,NULL),(16,3332454,'1987-11-19 00:00:00',2,1,12,2006,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124243241116373431676733475124610124147',NULL,'267',24.18,1,3,NULL),(16,3332470,'1990-02-19 00:00:00',2,1,12,2007,'F','N','FLORESTA','S JOSé','SC','124241241117272731455632275124610167187',14502,'307',40.70,1,2,1),(16,3332489,'1990-01-26 00:00:00',2,1,12,2007,'F','N','VILA NOVA','TROMBUDO CENTRAL','SC','224241241117131412243353282122610166142',13409,'796',42.79,1,2,1),(16,3332497,'1966-07-06 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSé','SC','224243247327131521443344145134610127097',NULL,'9999',18.72,4,3,NULL),(16,3332500,'1972-11-30 00:00:00',2,1,12,1988,'F','N','MONTE CRISTO','FLORIANóPOLIS','SC','224243243327131721624449292334610124187',NULL,'264',22.58,2,1,2),(16,3332535,'1988-03-28 00:00:00',4,9,12,2006,'M','N','CONTA DINHEIRO','LAGES','SC','124254251417371311354824445222231434042',12379,'9998',44.58,1,3,NULL),(16,3332543,'1992-12-28 00:00:00',4,5,12,2009,'M','S','CENTRO','CRICIúMA','SC','124242248215111432368834575112610112142',NULL,'9997',44.66,1,3,NULL),(16,3332551,'1982-10-18 00:00:00',2,1,12,1999,'M','N','CARANDA BOSQUE','CPO GRANDE','MS','112124121412411211467611575122343217042',2882,'9998',64.14,1,3,NULL),(16,3332578,'1981-01-21 00:00:00',4,1,12,1998,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','224241241212162431426654282224131424052',NULL,'102',0.00,1,3,NULL),(16,3332594,'1991-01-27 00:00:00',4,7,11,2008,'M','N','CANTRO','CAMPOS NOVOS','SC','124241241215161431566613274122610135142',13953,'138',41.74,1,3,NULL),(16,3332608,'1991-10-03 00:00:00',4,8,12,2008,'F','N','AMIZADE','JARAGUá SUL','SC','124242241435231431538733472122610131057',NULL,'422',0.00,1,3,NULL),(16,3332624,'1992-06-22 00:00:00',5,10,11,2009,'F','S','CENTRO','TUBARãO','SC','124244241415111511337721275122610123143',NULL,'806',40.38,1,3,NULL),(16,3332640,'1990-11-20 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241415132411446412575124231025157',NULL,'1022',0.00,1,3,NULL),(16,3332659,'1989-11-29 00:00:00',4,10,11,2009,'M','S','OFICINAS','TUBARãO','SC','124243241315161431486412215122610165182',NULL,'806',25.58,1,3,NULL),(16,3332675,'1992-02-12 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217111211468933575112610167042',11348,'270',46.41,1,3,NULL),(16,3332683,'1990-04-20 00:00:00',4,8,12,2007,'M','N','SÃO MARCOS','JOINVILLE','SC','124242243216131421458823445113610154097',NULL,'1105',31.85,4,3,NULL),(16,3332705,'1988-03-26 00:00:00',2,1,12,2005,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124242241216112411433634342224232724142',11246,'1118',46.56,1,3,NULL),(16,3332713,'1991-11-05 00:00:00',2,4,11,2008,'F','N','CENTRO','MARAVILHA','SC','124241248212161731226629272122610126043',NULL,'975',27.31,1,3,NULL),(16,3332721,'1990-11-07 00:00:00',4,1,11,2008,'M','N','MENGES','STO ÂNGELO','RS','120201201116111531525612585121610167042',NULL,'9998',3.01,1,3,NULL),(16,3332730,'1990-06-12 00:00:00',2,2,12,2008,'F','N','JOãO PAULO II','TRêS BARRAS','SC','124204241317151431558714572124610122147',NULL,'146',19.60,1,3,NULL),(16,3332748,'1992-04-29 00:00:00',4,1,11,2009,'F','S','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241248217111731688869595124610138185',NULL,'269',4.01,1,3,NULL),(16,3332764,'1989-09-16 00:00:00',4,1,7,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242247215132732446833372124231017077',NULL,'9997',26.62,1,3,NULL),(16,3332772,'1990-09-03 00:00:00',2,10,12,2008,'F','N','MONSR WLOSKI','S LUIZ GONZAGA','RS','119201201117471431338631575124610124027',NULL,'9998',0.00,1,3,NULL),(16,3332799,'1991-06-15 00:00:00',4,5,12,2008,'M','N','JARDIM DAS AVENIDAS','ARARANGUá','SC','124243246217151432436913575124610124012',NULL,'995',32.70,1,3,NULL),(16,3332810,'1988-07-29 00:00:00',4,5,12,2005,'F','N','STA MONICA','FLORIANóPOLIS','SC','124242248216374421335829415135610161185',NULL,'265',0.00,1,3,NULL),(16,3332837,'1979-05-12 00:00:00',4,1,11,1996,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241312434731123644442324530236092',NULL,'272',31.97,1,3,NULL),(16,3332853,'1989-06-15 00:00:00',2,3,12,2007,'F','N','ITALIANA','PANAMBI','RS','120203201414212421668812592114613263186',10769,'9998',47.43,4,3,NULL),(16,3332870,'1991-11-20 00:00:00',4,1,12,2008,'F','N','JARDIM AEROPORTO','ASSIS','SP','125252251117371431537831574122610127147',NULL,'9998',0.00,1,3,NULL),(16,3332896,'1992-11-26 00:00:00',4,5,11,2009,'F','S','CENTRO','URUSSANGA','SC','124242241215111431558832275112610136112',NULL,'226',45.67,1,3,NULL),(16,3332900,'1988-08-13 00:00:00',4,1,12,2005,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124214211216573412677149245113610127096',NULL,'9998',0.00,1,3,NULL),(16,3332926,'1982-03-05 00:00:00',4,1,12,1999,'F','N','ROçADO','S JOSé','SC','124241241146153721468611332124332743181',NULL,'729',0.00,1,2,1),(16,3332934,'1991-08-07 00:00:00',4,5,12,2008,'F','N','LAGOãO','ARARANGUá','SC','124241241116131731424311275122610124142',NULL,'30',23.22,1,2,1),(16,3332942,'1991-05-18 00:00:00',2,2,12,2008,'F','N','CENTRO','SALETE','SC','124241241437171231438611575124610133142',NULL,'776',28.33,1,3,NULL),(16,3332950,'1988-05-11 00:00:00',2,1,12,2005,'M','N','SãO ROQUE','NOVA TRENTO','SC','124241241146133441338824175224233224112',12769,'574',43.89,1,2,1),(16,3332977,'1989-02-27 00:00:00',2,1,12,2006,'M','N','IPIRANGA','S JOSé','SC','124242016216273131546632322122610168092',NULL,'1118',32.61,1,3,NULL),(16,3332985,'1991-05-21 00:00:00',4,2,11,2008,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241215152431447812124122610132095',NULL,'71',0.00,1,3,NULL),(16,3332993,'1992-08-25 00:00:00',2,5,11,2009,'F','S','CENTRO','ICARA','SC','124242248215111431465732575132610114052',NULL,'226',24.97,1,3,NULL),(16,3333019,'1991-05-04 00:00:00',2,1,12,2008,'F','N','CENTRO','PETROLâNDIA','SC','124241241215131431448933575124610137067',NULL,'9997',32.83,1,3,NULL),(16,3333035,'1992-03-11 00:00:00',2,1,12,2009,'F','S','BARREIROS','S JOSé','SC','124244241216121431447414572122610112142',NULL,'738',33.99,1,3,NULL),(16,3333043,'1989-07-22 00:00:00',2,1,12,2008,'M','N','OLIVEIRA','STO ÂNGELO','RS','120202207217131431446713432125141434047',NULL,'9999',7.66,1,3,NULL),(16,3333051,'1989-11-01 00:00:00',4,1,12,2008,'M','N','ATERRADO','VOLTA REDONDA','RJ','121252211216111431579912575112610162182',NULL,'9998',0.00,1,3,NULL),(16,3333060,'1991-12-25 00:00:00',4,9,12,2008,'F','N','SãO CRISTOVãO','LAGES','SC','124243241415111431535516572122610121042',NULL,'499',20.81,1,3,NULL),(16,3333078,'1987-05-19 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243247314373431536329392222610134047',12051,'9999',45.20,4,3,NULL),(16,3333086,'1973-10-03 00:00:00',2,1,12,1991,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124203161217131451235641413223141427187',9850,'9998',49.06,4,3,NULL),(16,3333108,'1991-06-18 00:00:00',4,7,11,2008,'F','N','CENTRO','IPUMIRIM','SC','124241241115131231415624142321610121097',NULL,'374',25.88,1,2,1),(16,3333132,'1988-09-01 00:00:00',2,1,12,2006,'M','N','DANIELA','FLORIANóPOLIS','SC','124242241221142431368517415122230227097',NULL,'9999',22.35,1,3,NULL),(16,3333159,'1992-10-24 00:00:00',2,3,12,2008,'F','N','VáRZEA','ITAPEMA','SC','124241241115131432426633182335610118017',NULL,'406',0.00,1,2,1),(16,3333167,'1988-07-30 00:00:00',4,8,12,2005,'M','N','VILA ISABEL','CURITIBA','PR','116162258215471431359923572122142157042',14899,'9998',39.89,1,3,NULL),(16,3333175,'1991-01-17 00:00:00',4,1,12,2008,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201217111731478832321122610167112',NULL,'9998',0.00,1,3,NULL),(16,3333191,'1989-06-02 00:00:00',2,1,12,2007,'M','N','CAMPO D AGUA VERDE','CANOINHAS','SC','124241241131132431526923353123610118047',NULL,'147',22.07,1,2,1),(16,3333205,'1991-05-10 00:00:00',4,3,11,2008,'M','N','ALTO','CURITIBA','PR','116162161216111411479913471112610164082',NULL,'9998',0.00,1,3,NULL),(16,3333221,'1984-04-09 00:00:00',2,1,12,2005,'M','N','TAPERA','FLORIANóPOLIS','SC','124243241137141751343642422335230267117',10310,'9997',48.23,1,3,NULL),(16,3333230,'1989-03-22 00:00:00',4,5,11,2006,'F','N','TERCEIRA LINHA','IçARA','SC','124242241215473451464936575122232467062',5134,'226',58.29,1,3,NULL),(16,3333256,'1989-04-25 00:00:00',4,1,12,2006,'F','N','JARDIM BELA VISTA','S JOSé CAMPOS','SP','125252251217571751568839575122610144142',5788,'9998',56.85,3,3,NULL),(16,3333264,'1991-12-10 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241111141411636619241224610166147',16363,'287',36.14,1,2,1),(16,3333302,'1987-04-02 00:00:00',5,1,12,2004,'M','N','CENTRO','MEDIANEIRA','PR','124161161117133411646621575115221436042',2429,'9998',65.60,1,2,1),(16,3333310,'1990-05-17 00:00:00',4,10,11,2007,'M','N','OFICINAS','TUBARãO','SC','124242241212371431546514472122232624197',NULL,'806',4.05,1,3,NULL),(16,3333329,'1990-12-24 00:00:00',2,4,12,2008,'F','N','CENTRO','CHAPECó','SC','124242241211131431665619295122610124077',NULL,'185',0.00,1,3,NULL),(16,3333337,'1988-09-17 00:00:00',2,1,6,2007,'M','N','VILA SEIXAS','RIBEIRãO PRETO','SP','125162257437251732337869574122243267046',NULL,'9999',0.00,1,3,NULL),(16,3333345,'1981-01-14 00:00:00',2,1,11,2000,'F','N','CAPÃO RASO','CURITIBA','PR','324161168126131411124343235122241367122',NULL,'9998',0.00,1,2,1),(16,3333353,'1980-06-14 00:00:00',2,1,12,2001,'M','N','COREGO GRANDE','FLORIANóPOLIS','SC','224083217326131711233343132124140232097',NULL,'9999',11.31,2,1,2),(16,3333370,'1986-03-21 00:00:00',4,1,11,2003,'M','N','CERQUEIRA CEZAR','S PAULO','SP','125252251217271411368733385132142164107',NULL,'9998',0.00,1,3,NULL),(16,3333396,'1990-09-14 00:00:00',2,3,12,2007,'M','N','MORRETES','ITAPEMA','SC','124241241126161731115444342314610162057',NULL,'243',0.00,1,3,NULL),(16,3333400,'1991-05-31 00:00:00',4,5,12,2008,'M','N','SãO SIMãO','CRICIúMA','SC','124242246216271431536619575124610137182',NULL,'995',26.47,1,3,NULL),(16,3333426,'1989-09-23 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124201201117131411236864345124230224067',NULL,'9998',29.33,1,2,1),(16,3333434,'1979-07-06 00:00:00',4,8,12,1998,'F','N','FLORESTA','JOINVILLE','SC','224242243247151431436852475122332747122',NULL,'459',0.00,1,3,NULL),(16,3333442,'1988-07-30 00:00:00',4,1,12,2005,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241136133431347833345124240817052',NULL,'812',26.56,1,2,1),(16,3333450,'1989-06-16 00:00:00',4,1,12,2007,'M','N','JURERE INTERNACIONAL','FLORIANóPOLIS','SC','124242247217112231588812575112231064082',NULL,'269',31.18,1,3,NULL),(16,3333469,'1990-09-22 00:00:00',4,1,11,2008,'M','N','IPANEMA','PTO ALEGRE','RS','120202201212271411486612472114610168117',NULL,'9998',0.00,1,3,NULL),(16,3333485,'1991-06-14 00:00:00',4,1,12,2008,'F','N','PLANALTO','IBIRUBá','RS','120203201211171431526632571222610156052',NULL,'9998',0.00,1,3,NULL),(16,3333493,'1985-12-14 00:00:00',2,1,12,2003,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241116134412223311392224233268187',16147,'123',36.79,1,2,1),(16,3333507,'1991-09-19 00:00:00',4,1,12,2008,'F','N','CENTRO','VACARIA','RS','120202201235111411548832575124610164092',8925,'9998',50.70,1,3,NULL),(16,3333515,'1992-03-29 00:00:00',4,1,12,2009,'F','S','JURERE','FLORIANóPOLIS','SC','124242241217111412478834575124610164147',NULL,'272',23.28,1,3,NULL),(16,3333531,'1992-02-28 00:00:00',2,5,11,2010,'F','S','MICHEL','CRICIúMA','SC','124242241215131431458711572122610148017',NULL,'210',37.18,1,3,NULL),(16,3333540,'1971-10-02 00:00:00',2,1,11,2000,'M','N','MONTE CRISTO','FLORIANóPOLIS','SC','224243247327131731624429291334610127047',NULL,'272',6.98,2,1,2),(16,3333558,'1990-12-11 00:00:00',2,1,12,2007,'F','N','CENTRO','GUARAPUAVA','PR','116163161316374331437832572324610118182',NULL,'9998',0.00,1,3,NULL),(16,3333574,'1990-05-17 00:00:00',4,1,12,2007,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116164161127151431536823141132610167187',NULL,'9998',0.00,3,3,NULL),(16,3333582,'1992-07-28 00:00:00',4,2,12,2009,'F','S','TABOãO','RIO SUL','SC','124242241215111431347912345122610168172',NULL,'991',58.61,1,3,NULL),(16,3333604,'1992-05-03 00:00:00',4,10,12,2008,'F','N','COMASA','JOINVILLE','SC','124241241115111431336623575114610113142',NULL,'469',17.42,1,2,1),(16,3333639,'1989-03-22 00:00:00',2,1,12,2007,'M','N','PASSA VINTE','PALHOçA','SC','124241241117131431335439312124610112042',NULL,'592',26.53,1,3,NULL),(16,3333647,'1991-01-24 00:00:00',4,1,12,2008,'M','N','CAMAQUA','PTO ALEGRE','RS','120201201216471711233315575124610147137',15265,'9998',39.06,1,3,NULL),(16,3333655,'1987-07-02 00:00:00',4,1,12,2007,'M','N','SANTA Fé','SAPIRANGA','RS','120201207346131411443312125112610165172',NULL,'9999',21.31,1,3,NULL),(16,3333663,'1989-06-30 00:00:00',4,1,12,2008,'M','N','PONTAL','PALHOçA','SC','124245248625151741443331411213610168151',NULL,'593',0.00,1,3,NULL),(16,3333671,'1991-11-20 00:00:00',2,1,11,2009,'F','S','BOM VIVER','BIGUAçU','SC','124242241215111431436913475124610127042',NULL,'270',50.68,1,3,NULL),(16,3333680,'1982-10-12 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC','124242241215111511478711575122610142182',NULL,'270',41.61,1,3,NULL),(16,3333698,'1988-09-10 00:00:00',4,1,12,2005,'F','N','SERRARIAS','S JOSé','SC','124242241316212411533923345222610163142',NULL,'943',17.50,1,3,NULL),(16,3333701,'1987-05-18 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241115131431323314185124610112047',NULL,'306',24.02,1,3,NULL),(16,3333710,'1991-01-14 00:00:00',4,1,12,2008,'M','N','CIDADE UNIVERSITáRIA','CAMPINAS','SP','125254251217111431489933475122610134145',NULL,'9998',0.00,1,3,NULL),(16,3333728,'1963-07-24 00:00:00',4,8,12,1980,'M','N','CENTRO','S SEBASTIãO PARAíSO','MG','213131251417371431433542325122140221097',NULL,'9998',33.83,1,3,NULL),(16,3333736,'1991-10-23 00:00:00',2,3,12,2008,'F','N','TABULEIRO','CAMBORIú','SC','124244241415111411353612125122610142142',NULL,'53',26.67,1,3,NULL),(16,3333744,'1992-12-07 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241213111431435512574122610114077',NULL,'272',21.12,1,3,NULL),(16,3333752,'1989-10-25 00:00:00',2,1,11,2008,'F','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241241122111432625511242124610114147',NULL,'257',18.10,1,2,1),(16,3333779,'1984-06-25 00:00:00',2,7,12,2004,'F','N','INTERIOR','CAC DOBLE','RS','120201207126131711513329492334342741187',NULL,'9998',0.00,5,4,NULL),(16,3333787,'1987-12-11 00:00:00',2,1,12,2005,'M','N','RIO GRANDE','PALHOçA','SC','124241241111151431468433572113610167117',NULL,'591',27.17,1,3,NULL),(16,3333817,'1991-12-23 00:00:00',2,4,12,2008,'F','N','INTERIOR','MARAVILHA','SC','124241241115131411423923575124610144147',NULL,'552',21.13,1,3,NULL),(16,3333850,'1992-12-08 00:00:00',3,1,11,2009,'F','S','MONTE VERDE','FLORIANóPOLIS','SC','124242241216111432564422426124610122195',NULL,'262',49.44,4,3,NULL),(16,3333876,'1988-06-18 00:00:00',4,1,12,2005,'M','N','JARDIM LINDóIA','PTO ALEGRE','RS','120201201116272411558923375114610137027',NULL,'9998',0.00,1,2,1),(16,3333884,'1988-12-04 00:00:00',4,1,10,2007,'M','N','PARQUE DO LAGO','ESPíRITO STO PINHAL','SP','113253251136131711546823575123240461182',NULL,'9998',0.00,4,3,NULL),(16,3333906,'1991-08-11 00:00:00',4,9,11,2008,'F','N','CENTRO','CASCA','RS','120201201217271731457812245112610131157',NULL,'9998',0.00,1,3,NULL),(16,3333914,'1990-03-13 00:00:00',2,1,12,2006,'F','N','SANTO ANTôNIO','PTO ALEGRE','RS','120201201211571411559931571124610166176',8461,'9998',51.47,5,3,NULL),(16,3333922,'1990-10-31 00:00:00',4,1,12,2007,'M','N','JANUARIO','SOMBRIO','SC','124244241411131431426829372324610127112',NULL,'359',19.13,1,3,NULL),(16,3333930,'1991-11-13 00:00:00',4,9,12,2008,'M','N','FRANCIOSE','VACARIA','RS','120204201215371731355911575122610117047',13523,'9998',42.58,1,3,NULL),(16,3333949,'1988-02-07 00:00:00',4,1,12,2005,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124201201116131431316514384324610126052',16412,'9998',35.86,1,3,NULL),(16,3333965,'1978-01-26 00:00:00',2,1,6,2006,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124176177622131411121229142314610132117',NULL,'9998',23.80,4,3,NULL),(16,3333973,'1968-05-14 00:00:00',2,1,7,1986,'M','N','SERRARIA','S JOSé','SC','124241246115135431124344442122121134097',NULL,'306',36.68,1,2,1),(16,3333990,'1985-11-19 00:00:00',4,1,12,2002,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124251251112133411127517241224610134147',14058,'9998',41.54,1,2,1),(16,3334007,'1958-11-08 00:00:00',4,1,12,2009,'F','S','ARMAçãO','FLORIANóPOLIS','SC','224241242117131711661153112122610168187',NULL,'662',16.43,1,3,NULL),(16,3334015,'1991-03-01 00:00:00',4,1,12,2008,'M','N','WERNER PLAAS','AMERICANA','SP','125252251226371431546712272122610137097',NULL,'9998',0.00,1,3,NULL),(16,3334023,'1987-02-23 00:00:00',2,1,11,2005,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124244245211374431613469391324610123147',NULL,'1022',0.00,2,1,2),(16,3334031,'1990-01-18 00:00:00',4,1,12,2008,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124243247317131711625633472114610164147',NULL,'9999',15.50,4,3,NULL),(16,3334040,'1990-03-21 00:00:00',4,9,12,2007,'M','N','COPACABANA','LAGES','SC','124242241216111431328821445124233268192',NULL,'515',0.00,1,3,NULL),(16,3334058,'1965-08-18 00:00:00',4,1,12,1982,'M','N','INGLESES','FLORIANóPOLIS','SC','224244208211142411463344145134340712043',NULL,'9998',30.58,1,3,NULL),(16,3334066,'1991-05-02 00:00:00',4,2,12,2008,'F','N','CENTRO','POMERODE','SC','124241241137311431436634392121610123147',NULL,'621',23.53,1,2,1),(16,3334074,'1991-01-27 00:00:00',2,1,12,2008,'F','N','CENTRO','ESTEIO','RS','120202201216511431589714575122610145072',NULL,'9998',0.00,2,3,NULL),(16,3334082,'1992-02-19 00:00:00',4,4,12,2008,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120201201117371431638931575124610112051',9309,'9998',50.05,1,3,NULL),(16,3334090,'1991-10-25 00:00:00',4,5,11,2008,'F','N','BELA VISTA','COCAL SUL','SC','124242246217151431326419572122610127052',NULL,'188',27.72,1,3,NULL),(16,3334104,'1983-12-16 00:00:00',4,1,12,2001,'M','N','GRANJA JULIETA','S PAULO','SP','125252251116471441469913575122242437182',NULL,'9998',0.00,1,3,NULL),(16,3334112,'1991-09-20 00:00:00',4,8,11,2008,'M','N','BUENO','GOIâNIA','GO','109272091217111431488611495125610167027',NULL,'9998',0.00,3,3,NULL),(16,3334120,'1991-10-13 00:00:00',4,3,12,2008,'M','N','JARAGUá ESQUERDO','JARAGUá SUL','SC','124242241215111731457932295122610147052',NULL,'424',21.45,1,3,NULL),(16,3334139,'1988-06-11 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124072071416573431468823445134131464183',NULL,'9998',33.91,4,3,NULL),(16,3334155,'1990-03-14 00:00:00',2,1,12,2007,'M','N','BALNEáRIO ESTREITO','FLORIANóPOLIS','SC','124242248215472431468813445124231022047',7888,'270',52.62,1,3,NULL),(16,3334163,'1974-04-10 00:00:00',2,1,6,2005,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124241247312151421333544242122610127042',NULL,'9999',20.42,2,3,NULL),(16,3334171,'1991-02-16 00:00:00',2,1,11,2008,'M','N','CENTRO','GUARAPUAVA','PR','116162161216371431546634595122610167042',NULL,'9998',0.00,1,3,NULL),(16,3334180,'1978-04-23 00:00:00',2,1,6,1999,'M','N','ESTREITO CAPOEIRAS','FLORIANóPOLIS','SC','224243241133142411227844345132131027047',NULL,'9999',32.92,1,3,NULL),(16,3334201,'1989-03-28 00:00:00',2,1,12,2006,'F','N','BOM VIVER','BIGUAçU','SC','124241241116372411426639492344610137182',15465,'257',38.62,1,2,1),(16,3334210,'1991-10-20 01:00:00',4,1,12,2008,'F','N','VILA BRASIL','LONDRINA','PR','116163161217121441436932575122610161192',2918,'9998',64.06,1,3,NULL),(16,3334236,'1986-07-27 00:00:00',4,1,12,2003,'M','N','JARDIM AEROPORTO','ASSIS','SP','125252251117371431537831371121610167057',NULL,'9998',0.00,1,3,NULL),(16,3334244,'1989-03-30 00:00:00',4,4,12,2006,'F','N','SAO CRISTOVAO','PASSO FUNDO','RS','120202208215571431468612574124610127152',NULL,'9998',0.00,1,3,NULL),(16,3334252,'1992-08-10 00:00:00',4,1,12,2009,'M','S','SAMBAQUI','FLORIANóPOLIS','SC','124202241217151731229912371124610138186',NULL,'262',41.51,1,3,NULL),(16,3334260,'1989-08-15 00:00:00',4,1,12,2006,'F','N','JARDIM TENIS CLUBE','PARAGUAçU PAULISTA','SP','125254251215571431468832575112140631092',NULL,'9998',0.00,1,3,NULL),(16,3334287,'1990-04-05 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124243241216131431327719325124610168197',10350,'1023',48.17,1,3,NULL),(16,3334309,'1991-09-06 00:00:00',4,8,12,2008,'M','N','VILA NOVA','JARAGUá SUL','SC','124242241416151431337713482121610127042',15528,'433',38.48,1,3,NULL),(16,3334325,'1988-01-08 00:00:00',2,1,12,2005,'M','N','CENTRO','STA MARIA','RS','120201201116571731426621194344140824052',NULL,'9998',0.00,1,2,1),(16,3334333,'1991-04-02 00:00:00',4,1,12,2008,'M','N','BOM ABRIGO','FLORIANóPOLIS','SC','124242241215111712468613595114610127047',11185,'1022',46.69,1,3,NULL),(16,3334341,'1991-01-11 00:00:00',4,3,11,2008,'F','N','CENTRO','ERECHIM','RS','120202201217111731458812225122610143072',973,'9998',72.21,1,3,NULL),(16,3334350,'1980-05-26 00:00:00',4,1,12,1997,'M','N','KOBRASOL','S JOSé','SC','124242241346154411234444245134121964047',NULL,'736',0.00,1,3,NULL),(16,3334376,'1992-12-22 00:00:00',4,3,11,2009,'F','S','MORRETES','ITAPEMA','SC','124242241217111411546619295122613266142',NULL,'403',23.64,1,3,NULL),(16,3334384,'1988-08-01 00:00:00',4,9,11,2005,'M','N','N S APARECIDA','CURITIBANOS','SC','124241241126262431223631245322230224052',NULL,'911',24.49,1,2,1),(16,3334392,'1989-05-08 00:00:00',2,1,12,2006,'F','N','CENTRO','TAIó','SC','124241241116272531346521295112610122142',8291,'777',51.80,1,2,1),(16,3334406,'1964-02-11 00:00:00',4,1,12,1982,'F','N','TRINDADE','FLORIANóPOLIS','SC','624163167321152421432211445122330266145',15242,'9998',39.10,1,3,NULL),(16,3334414,'1991-02-15 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216131431426832575124610163092',12837,'1023',43.78,1,3,NULL),(16,3334449,'1990-10-31 00:00:00',2,1,12,2008,'M','N','PONTA DE BAIXO','S JOSé','SC','124243241115112411568814582124610146142',5597,'267',57.27,4,1,2),(16,3334457,'1982-12-27 00:00:00',4,1,12,2000,'M','N','JD SENADOR VERGUEIR','LIMEIRA','SP','125252251217141421168843435133241028183',NULL,'9998',0.00,1,3,NULL),(16,3334465,'1991-07-30 00:00:00',2,6,11,2008,'M','N','DOM BOSCO','ITAJAí','SC','124242241417111431536614285122610167062',NULL,'391',20.68,1,3,NULL),(16,3334473,'1989-09-22 00:00:00',4,1,12,2007,'F','N','JARDIM MEDITERRâNEO','LIMEIRA','SP','125251251216471731448613275112610164142',16216,'9998',36.64,1,3,NULL),(16,3334490,'1979-06-07 00:00:00',2,1,12,2000,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','224201203127162731324658482324610164192',NULL,'9998',29.04,1,2,1),(16,3334503,'1983-05-20 00:00:00',4,1,12,2000,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','624241241117162121336543332334130222053',NULL,'257',31.59,1,2,1),(16,3334520,'1988-04-12 00:00:00',4,1,12,2005,'M','N','GUIOMAR','ANTôNIO CARLOS','SC','124241241117151431534416575122610167047',15118,'21',39.38,1,3,NULL),(16,3334538,'1992-03-31 00:00:00',2,5,10,2009,'F','S','COMERCIÁRIO','CRICIúMA','SC','124242241215111431338921575122610128077',NULL,'226',31.98,1,3,NULL),(16,3334546,'1992-03-19 00:00:00',4,1,12,2008,'F','N','CENTRO','ESTEIO','RS','120202201217111431246824595125610127057',NULL,'9998',26.64,1,3,NULL),(16,3334554,'1992-03-24 00:00:00',4,1,12,2009,'M','S','COQUEIROS','FLORIANóPOLIS','SC','124242241215111431459811472122610148122',NULL,'270',41.11,1,3,NULL),(16,3334562,'1988-03-21 00:00:00',2,1,12,2005,'F','N','FAZENDA STO ANTONIO','S JOSé','SC','124241241127142431436418442134610134047',14752,'728',40.17,1,2,1),(16,3334570,'1972-02-22 00:00:00',4,1,12,1992,'F','N','CENTRO','FLORIANóPOLIS','SC','224241241327151711268453272122231068192',NULL,'9999',0.00,1,3,NULL),(16,3334589,'1976-07-04 00:00:00',2,1,12,1999,'M','N','BELA VISTA I','S JOSé','SC','224241241122132411425343131232131032187',NULL,'257',25.40,2,1,1),(16,3334597,'1991-03-08 00:00:00',4,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSé','SC','124201241117161411354524442124610144147',NULL,'733',6.74,1,2,1),(16,3334600,'1987-12-17 00:00:00',4,8,12,2005,'M','N','CENTRO','PRES PRUDENTE','SP','125252251215571411488811571122610112047',NULL,'9998',0.00,1,3,NULL),(16,3334619,'1982-05-30 00:00:00',2,4,12,2000,'M','N','LIDER','CHAPECó','SC','124241241215575411128843435234333237027',NULL,'32',0.00,4,3,NULL),(16,3334627,'1991-10-13 00:00:00',4,2,11,2008,'F','N','CENTRO','GASPAR','SC','124242241215111431558832575122610162095',7000,'955',54.29,1,3,NULL),(16,3334635,'1991-09-04 00:00:00',4,1,12,2008,'M','N','ALTO DA GLóRIA','CURITIBA','PR','116162161217471751348823581124610167017',NULL,'9998',0.00,1,3,NULL),(16,3334643,'1990-12-31 00:00:00',2,1,12,2007,'F','N','VILA FáTIMA','JATAí','GO','109091091117271431425314275124242164092',8552,'9998',51.33,1,2,1),(16,3334660,'1990-09-17 00:00:00',4,1,12,2008,'F','N','JARDIM ALBATROZ','LONDRINA','PR','116162161217121431237631572114610163197',NULL,'9998',0.00,1,3,NULL),(16,3334678,'1990-06-02 00:00:00',4,1,12,2007,'M','N','PARQUE EMBOABA','TRAMANDAí','RS','120201201117131231436313293122241024147',NULL,'9998',22.72,1,3,NULL),(16,3334686,'1990-12-16 00:00:00',2,1,12,2009,'M','S','RIBANCEIRA DO SUL','SAO JOAO BATISTA','SC','124241241215111732336624575122610144197',NULL,'948',28.53,1,3,NULL),(16,3334694,'1974-09-27 00:00:00',4,1,12,1992,'M','N','AREIAS','S JOSé','SC','224243241316112711269943235122321065197',8337,'735',51.72,1,3,NULL),(16,3334716,'1985-05-17 00:00:00',2,1,12,2002,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','224252241435372431668923381114142022187',7692,'285',52.98,4,3,NULL),(16,3334740,'1986-05-14 00:00:00',4,1,10,2003,'M','N','JARDIM PAULISTA','S PAULO','SP','125254251217574411569911471125610127117',NULL,'9998',0.00,1,3,NULL),(16,3334759,'1992-07-04 00:00:00',4,6,12,2009,'F','S','CENTRO','ITAJAí','SC','124242241216111431556832575122610124142',NULL,'1057',45.28,1,3,NULL),(16,3334775,'1989-01-26 00:00:00',4,4,12,2005,'M','N','PARQUE DAS PALMEIRAS','CHAPECó','SC','124243241135153411437313145114142136177',4390,'169',60.05,1,3,NULL),(16,3334791,'1990-07-21 00:00:00',4,1,12,2008,'F','N','CENTRO','PALHOçA','SC','124241241135141731323329345124610164112',16453,'592',35.69,1,2,1),(16,3334805,'1992-03-10 00:00:00',4,7,12,2008,'F','N','CENTRO','CAMPOS NOVOS','SC','124241241417111411456613575112610165092',NULL,'140',27.32,1,3,NULL),(16,3334813,'1992-12-21 00:00:00',4,1,2,2009,'M','N','IPIRANGA','S JOSé','SC','124242241211111731446812195114610117065',NULL,'266',24.36,1,3,NULL),(16,3334848,'1991-04-23 00:00:00',4,8,12,2008,'F','N','JARDIM CEREJEIRAS','ATIBAIA','SP','125254251317371411334821375122610138097',NULL,'9998',0.00,1,3,NULL),(16,3334856,'1990-02-01 00:00:00',2,1,12,2008,'F','N','JARDIM JANAíNA','BIGUAçU','SC','124241241122131431524414342124610167067',NULL,'65',29.70,1,2,1),(16,3334880,'1984-10-03 00:00:00',4,1,12,2003,'F','N','JARDIM IZAURA','SOROCABA','SP','125212257216271431489931415122142242092',2328,'9999',65.95,1,3,NULL),(16,3334899,'1992-09-10 00:00:00',4,4,11,2009,'F','S','FáTIMA','ERECHIM','RS','120202201217111232348612595122610123072',NULL,'9998',35.60,1,3,NULL),(16,3334902,'1981-02-07 00:00:00',2,1,12,2001,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241251127131751126344241133610168097',16665,'9998',34.13,1,2,1),(16,3334910,'1991-03-09 00:00:00',4,1,12,2008,'F','N','CENTRO','CANELINHA','SC','124244241216122431546712325122610137127',NULL,'1123',0.00,1,3,NULL),(16,3334937,'1991-11-17 00:00:00',2,1,12,2008,'F','N','XV DE NOVEMBRO','TIJUCAS','SC','124241241215111431336632372122610136182',13152,'1119',43.24,1,3,NULL),(16,3334945,'1977-05-30 00:00:00',2,1,12,2001,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','224203207427142441321648283314140661042',NULL,'9998',27.85,1,3,NULL),(16,3334953,'1990-03-10 00:00:00',2,1,12,2008,'M','N','CACHOEIRA','FLORIANóPOLIS','SC','124241241115141431233324145324610127047',NULL,'288',29.79,3,2,1),(16,3334961,'1991-09-21 00:00:00',4,9,12,2008,'M','N','RIO BRANCO','CAXIAS SUL','RS','120202201215371431457731375124610122097',14149,'9998',41.33,1,3,NULL),(16,3335011,'1976-07-19 00:00:00',2,1,12,1995,'F','N','AREIAS','S JOSé','SC','224241244132132421263353242114610163197',NULL,'293',23.30,1,3,NULL),(16,3335020,'1991-12-24 00:00:00',4,1,12,2009,'F','S','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124242241212111211254422585114610111042',NULL,'883',41.09,1,3,NULL),(16,3335038,'1990-10-17 00:00:00',4,8,12,2008,'F','N','GLóRIA','JOINVILLE','SC','124242241216111431463332575112610111142',NULL,'456',30.31,1,3,NULL),(16,3335046,'1991-03-17 00:00:00',2,1,11,2008,'M','N','FAZENDA STO ANTONIO','S JOSé','SC','124242241217131531428534186124130117047',NULL,'1075',28.44,1,3,NULL),(16,3335054,'1990-06-12 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124281248115141431449834342122610124072',NULL,'288',23.64,1,2,1),(16,3335062,'1985-11-27 00:00:00',2,4,12,2002,'M','N','CENTRO','RONDA ALTA','RS','120201201126131431441114292124240868052',NULL,'9998',27.91,4,2,1),(16,3335070,'1990-09-14 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241135132431547614145132610125147',NULL,'592',28.08,1,2,1),(16,3335089,'1989-07-03 00:00:00',2,1,12,2008,'M','N','FUNDOS','BIGUAçU','SC','124241241115131431323321312321610127027',NULL,'65',28.42,1,3,NULL),(16,3335100,'1992-01-24 00:00:00',4,1,11,2009,'M','S','CENTRO','FLORIANóPOLIS','SC','124242241217111431378933572122610112192',NULL,'262',50.37,1,3,NULL),(16,3335127,'1991-07-07 00:00:00',2,4,12,2008,'M','N','CENTRO','STA IZABEL OESTE','PR','116161162111131421521314591325610124052',NULL,'9998',27.93,4,2,1),(16,3335135,'1988-10-23 00:00:00',4,1,12,2006,'M','N','CAPAO REDONDO','S PAULO','SP','125252251216271431346879442114143268027',NULL,'9998',0.00,1,3,NULL),(16,3335151,'1990-09-02 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241116131431433334275324610124147',NULL,'9997',23.87,1,2,1),(16,3335160,'1985-03-16 00:00:00',4,1,12,2003,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','624201208116151731236779345234610132187',16698,'9998',32.73,1,3,NULL),(16,3335178,'1991-01-03 00:00:00',2,10,12,2008,'M','N','CENTRO','TUBARãO','SC','124243241116151411459934571121610127142',4331,'1034',60.17,1,3,NULL),(16,3335186,'1990-11-08 00:00:00',2,1,12,2007,'M','N','SAPOPEMA','VERANóPOLIS','RS','120201202216471411426665341344610122182',NULL,'9998',37.33,1,3,NULL),(16,3335194,'1991-09-03 00:00:00',4,1,12,2008,'F','N','LURDES','CAXIAS SUL','RS','120202201116371431436414272124610142142',NULL,'9998',30.98,1,3,NULL),(16,3335216,'1988-02-16 00:00:00',2,8,12,2007,'M','N','CENTRO','ARAQUARI','SC','124241241121141231435334345121610164057',NULL,'25',0.00,1,2,1),(16,3335224,'1991-04-29 00:00:00',4,2,11,2008,'M','N','COUNTRY','CASCAVEL','PR','116162161215111731568919574122610127047',NULL,'9998',0.00,1,3,NULL),(16,3335267,'1991-10-30 00:00:00',4,8,12,2008,'F','N','BUTIATUVINHA','CURITIBA','PR','116162161215111431678834575124610144022',NULL,'9998',0.00,1,3,NULL),(16,3335275,'1991-11-19 00:00:00',2,4,12,2008,'M','N','SANTA LUCIA','PALMITOS','SC','124241162115131431523839292324610127047',NULL,'9998',25.81,1,2,1),(16,3335283,'1992-02-16 00:00:00',2,8,12,2009,'F','S','GLORIA','JOINVILLE','SC','124241241215111431446414274122610122152',NULL,'491',43.53,1,3,NULL),(16,3335291,'1992-02-28 00:00:00',2,5,11,2010,'F','S','MICHEL','CRICIúMA','SC','124242241217111331458711572122610141052',NULL,'210',27.75,1,3,NULL),(16,3335305,'1972-02-08 00:00:00',4,1,12,1990,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','224051052136151431344649395122231034147',14846,'9998',39.99,4,2,1),(16,3335313,'1988-02-19 00:00:00',4,1,12,2006,'F','N','SACO GRANDE','FLORIANOPOLIS','SC','124241241226112411434444212234610116012',NULL,'262',16.24,1,3,NULL),(16,3335321,'1991-06-11 00:00:00',4,2,11,2008,'F','N','SALTO DO NORTE','BLUMENAU','SC','124241241215111431446521412124610147142',14941,'88',39.80,1,3,NULL),(16,3335348,'1989-03-02 00:00:00',4,8,11,2006,'M','N','CIDADE DUTRA','S PAULO','SP','125254251137471431446421471124610167052',12993,'9998',43.51,2,1,2),(16,3335356,'1991-04-16 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242247217131331526629595224610117072',NULL,'9999',20.84,4,1,2),(16,3335364,'1986-08-13 00:00:00',2,1,11,2004,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242248215135231238834572124233267187',475,'270',76.01,1,3,NULL),(16,3335372,'1991-11-05 00:00:00',4,4,12,2008,'M','N','FLORESTA','MONDAí','SC','124241241217111431558733276124610134182',NULL,'752',0.00,1,3,NULL),(16,3335380,'1989-02-03 00:00:00',2,1,11,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241211153731238832485124230237063',4673,'9997',59.38,1,3,NULL),(16,3335410,'1962-08-21 00:00:00',2,1,12,1983,'M','N','BELA VISTA I','S JOSé','SC','224241248126373721433343332234610122177',14213,'257',41.21,1,2,1),(16,3335429,'1991-03-12 00:00:00',4,1,11,2008,'M','N','PONTA DE BAIXO','S JOSé','SC','124242241216112231439912591124610167067',5533,'1022',57.40,1,3,NULL),(16,3335437,'1990-12-31 00:00:00',2,5,11,2008,'M','N','SANTO ANTONIO','CRICIúMA','SC','124242241215111731468712372122610124012',15051,'880',39.55,1,3,NULL),(16,3335445,'1989-02-09 00:00:00',2,4,10,2007,'M','N','CENTRO','S MIGUEL OESTE','SC','124243241437131221334419392113610117047',NULL,'752',0.00,1,3,NULL),(16,3335453,'1991-06-26 00:00:00',4,4,12,2008,'M','N','VL ANTONIO VENDAS','CPO GRANDE','MS','112122121216111431568432575112610125082',10010,'9998',48.76,3,3,NULL),(16,3335461,'1977-03-14 00:00:00',4,8,7,1997,'M','N','BUCAREIN','JOINVILLE','SC','124241243115155411147741312224231434092',NULL,'303',0.00,1,3,NULL),(16,3335470,'1990-04-02 00:00:00',4,9,12,2007,'F','N','NOSSA SENHORA AP','PTE ALTA','SC','124241241114271551325923572114231424147',NULL,'625',21.88,1,3,NULL),(16,3335500,'1990-09-03 00:00:00',4,8,12,2007,'M','N','JARDIM SÃO PAULO','STO ANTôNIO PLATINA','PR','116161161115471431555923375124610157047',NULL,'9998',0.00,1,2,1),(16,3335518,'1990-06-29 00:00:00',2,1,12,2007,'F','N','RATONES','FLORIANóPOLIS','SC','124241241311371411458823575121132161196',4274,'269',60.31,1,3,NULL),(16,3335526,'1961-10-11 00:00:00',2,1,12,2003,'M','N','CAMPECHE','FLORIANóPOLIS','SC','224241247126141721466642325132131062195',NULL,'9999',0.00,1,2,1),(16,3335534,'1987-01-16 00:00:00',4,1,12,2005,'F','N','FLORESTA','S JOSé','SC','124242241217574431456539591124231223127',NULL,'270',11.93,1,3,NULL),(16,3335550,'1992-01-09 00:00:00',4,2,12,2009,'M','S','ASILO','BLUMENAU','SC','124242241217151431466832375122610162192',NULL,'909',56.32,1,3,NULL),(16,3335569,'1991-12-26 00:00:00',4,1,11,2008,'M','N','JARDIM ANALIA FRANCO','S PAULO','SP','125252251211111531249911494324610162042',NULL,'9998',0.00,3,3,NULL),(16,3335585,'1991-01-14 00:00:00',2,1,12,2008,'M','N','AREIAS DO MEIO','GOV CELSO RAMOS','SC','124241241147141431433634385124610122072',NULL,'329',22.01,4,3,NULL),(16,3335593,'1987-08-03 00:00:00',4,7,12,2007,'M','N','CENTRO','BARRA GARçAS','MT','111111117117371411254939295115610146192',NULL,'9998',0.00,1,3,NULL),(16,3335607,'1987-03-26 00:00:00',4,1,7,2006,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241247626271421223349495324610167057',NULL,'9999',23.66,1,3,NULL),(16,3335623,'1990-03-26 00:00:00',2,1,12,2007,'F','N','LINHA CAXIAS','PINHEIRO PRETO','SC','124241241126132531436923275124221133142',10880,'618',47.22,1,2,1),(16,3335631,'1991-01-24 00:00:00',4,1,12,2008,'M','N','ZONA NORTE','IA SOLTEIRA','SP','125252251216161421368823575121610164016',NULL,'969',0.00,1,3,NULL),(16,3335658,'1991-11-28 00:00:00',2,8,12,2008,'F','N','JARDIM PROGRESSO','PARANAVAí','PR','116162161417111411659834575125610127182',NULL,'9998',0.00,1,3,NULL),(16,3335666,'1989-11-30 00:00:00',2,8,11,2008,'M','N','NOVA BRASILIA','JOINVILLE','SC','124241241435411411433431392122610124147',16329,'486',36.27,4,3,NULL),(16,3335674,'1986-09-24 00:00:00',2,1,12,2002,'M','N','CENTRO','PELOTAS','RS','120201208117471731426929491121241237117',NULL,'9998',16.78,1,2,1),(16,3335682,'1990-07-21 00:00:00',4,4,11,2007,'M','N','MOD QUATRO','JUíNA','MT','111113111316331111547814585124610117072',NULL,'9998',0.00,2,1,2),(16,3335690,'1988-02-22 00:00:00',2,1,12,2005,'F','N','CENTRO','CRUZEIRO OESTE','PR','116162161215571711468831575124610123077',5507,'9998',57.46,1,3,NULL),(16,3335704,'1990-09-02 00:00:00',4,10,11,2008,'F','N','DEHON','TUBARãO','SC','124244241215111451536612592122610131072',13175,'806',43.19,1,3,NULL),(16,3335712,'1991-05-27 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111231357714595125610127043',12846,'1050',43.76,1,3,NULL),(16,3335720,'1991-01-20 00:00:00',3,6,12,2007,'F','N','CENTRO','ITAJAí','SC','124244248415372431588712375122610112152',6258,'855',55.76,1,3,NULL),(16,3335739,'1989-07-07 00:00:00',4,6,12,2006,'F','N','PIONEIROS','BAL CAMBORIú','SC','124161161235473411446432244121610147147',7011,'9998',54.26,1,3,NULL),(16,3335747,'1991-03-28 00:00:00',4,1,12,2008,'M','N','JARDIM CHAPADÃO','CAMPINAS','SP','125252251215111431468814345122610132057',NULL,'9998',NULL,1,3,NULL),(16,3335755,'1991-03-19 00:00:00',4,9,12,2008,'M','N','CENTRO','URUPEMA','SC','124241241115131411623416152324610126192',NULL,'498',0.00,1,2,1),(16,3335771,'1991-01-07 00:00:00',4,4,12,2008,'M','N','CENTRO','GETúLIO VARGAS','RS','120204208216131432226923572122610137057',NULL,'9998',0.00,1,3,NULL),(16,3335780,'1973-12-31 00:00:00',4,1,9,1991,'M','N','BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC','124241246116154721355513445124221437067',2784,'306',64.47,1,3,NULL),(16,3335798,'1987-04-25 00:00:00',4,1,12,2004,'M','N','ASA SUL','BRASíLIA','DF','107072071217571421456823595121141067037',5846,'9998',56.69,1,3,NULL),(16,3335801,'1991-11-18 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSé','SC','124242241212111431458652572124610144191',NULL,'1022',26.72,1,3,NULL),(16,3335810,'1985-11-08 00:00:00',4,1,12,2003,'F','N','SANTA RITA','BRUSQUE','SC','124241241122131431222344442123131038152',NULL,'504',0.00,1,2,1),(16,3335836,'1978-05-29 00:00:00',4,1,3,1997,'M','N','INGLESES','FLORIANóPOLIS','SC','124252257417372721559819495124422264173',9124,'9999',50.37,1,3,NULL),(16,3335860,'1961-10-15 00:00:00',2,1,12,1981,'M','N','PONTE IMARUIM','PALHOçA','SC','624241242137134721533543432134320363047',9840,'143',49.08,5,2,1),(16,3335879,'1989-10-05 00:00:00',2,1,12,2006,'F','N','CENTRO','PATO BRANCO','PR','124163161216472451248923596125221734147',NULL,'9998',30.63,1,3,NULL),(16,3335887,'1982-08-16 00:00:00',2,1,12,2000,'F','N','PICADAS DO SUL','S JOSé','SC','224243241225134431223654475124221765097',13975,'262',41.70,1,3,NULL),(16,3335895,'1991-07-16 00:00:00',4,1,12,2009,'M','S','CARVOEIRA','FLORIANóPOLIS','SC','124243241235151431666613472112610127122',NULL,'300',21.56,1,3,NULL),(16,3335917,'1990-03-20 00:00:00',4,1,12,2008,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241115111431556633345124610147042',12008,'307',45.25,1,3,NULL),(16,3335925,'1992-09-28 00:00:00',2,5,10,2008,'F','N','CENTRO','FORQUILHINHA','SC','624242241215111431479614344122610133142',12765,'213',43.89,1,3,NULL),(16,3335933,'1991-07-07 00:00:00',4,1,12,2008,'M','N','PIO X','CAXIAS SUL','RS','120201201117131431446514245124610124047',NULL,'9998',23.71,1,2,1),(16,3335941,'1982-01-25 00:00:00',4,8,12,1999,'F','N','SAGUAçU','JOINVILLE','SC','124201203216473431225843435223231137053',14689,'9998',40.30,1,3,NULL),(16,3335950,'1990-03-04 00:00:00',2,1,12,2006,'M','N','CENTRO','S LUIZ GONZAGA','RS','120201201116571231468813592122610167047',NULL,'9998',0.00,1,2,1),(16,3335968,'1990-12-05 00:00:00',4,1,12,2008,'M','N','VERGUEIRO','PASSO FUNDO','RS','120202201116121441369831475122610126142',NULL,'9998',0.00,1,3,NULL),(16,3335984,'1992-08-10 00:00:00',4,5,11,2009,'M','S','SANTA BáRBARA','CRICIúMA','SC','124242241217111432379939576122610138092',NULL,'210',44.32,1,3,NULL),(16,3335992,'1990-10-11 00:00:00',4,1,12,2008,'M','N','TERRA NOVA','PIRACICABA','SP','125252258612111231455332575122610114042',NULL,'9998',0.00,1,3,NULL),(16,3336000,'1991-04-25 00:00:00',2,1,11,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241415111431533639572224610137142',NULL,'269',32.86,1,3,NULL),(16,3336018,'1992-01-24 00:00:00',4,9,12,2008,'M','N','CENTRO','CELSO RAMOS','SC','124241241117151531435932575122610118182',NULL,'163',21.33,1,3,NULL),(16,3336026,'1990-09-24 00:00:00',4,9,11,2008,'M','N','SAGRADO CORAçAO DE J','LAGES','SC','124242241215111431459811215122610137125',NULL,'499',23.75,1,3,NULL),(16,3336034,'1990-08-28 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242241212112431346624572124610127057',NULL,'1133',28.22,1,3,NULL),(16,3336050,'1961-07-22 00:00:00',4,1,12,1979,'M','N','ITACORUBI','FLORIANóPOLIS','SC','224241246132153431463344442122321438193',NULL,'995',34.43,1,3,NULL),(16,3336077,'1987-02-01 00:00:00',4,1,12,2004,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124252251217573411127744445122610116032',6463,'9998',55.34,1,3,NULL),(16,3336093,'1991-06-01 00:00:00',4,1,12,2008,'F','N','FLORESTA','S JOSé','SC','124243241117131532336923475124610144057',NULL,'287',19.67,1,3,NULL),(16,3336123,'1978-08-02 00:00:00',4,1,12,1995,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241171316142421378813115132330247127',NULL,'9998',0.00,1,3,NULL),(16,3336131,'1987-10-04 00:00:00',2,1,12,2005,'M','N','BARREIROS','S JOSé','SC','124242241217162751569813472122130237043',NULL,'943',17.58,1,3,NULL),(16,3336140,'1971-01-15 00:00:00',2,1,12,1989,'F','N','CENTRO','FLORIANóPOLIS','SC','224201208116171411276553335122341344187',NULL,'9998',0.00,1,2,1),(16,3336166,'1990-02-06 00:00:00',2,7,12,2007,'F','N','CENTRO','MAXIMILIANO ALMEIDA','RS','120201201126271431424419241125610135047',13485,'9998',42.64,1,2,1),(16,3336174,'1960-05-06 00:00:00',2,1,7,2001,'M','N','ITAGUAçú','FLORIANóPOLIS','SC','224204207122131131423349392124141036047',16414,'9998',35.85,1,3,NULL),(16,3336182,'1992-04-10 00:00:00',4,1,2,2010,'M','S','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124242241212151231448632575114610112172',NULL,'1023',57.56,1,3,NULL),(16,3336190,'1987-01-27 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','107091071117371731258823595111610164057',14114,'9998',41.41,1,2,1),(16,3336212,'1990-02-04 00:00:00',4,8,12,2007,'F','N','CENTRO','MANDAGUARI','PR','116162161217411431549934574124610112127',NULL,'9998',0.00,1,3,NULL),(16,3336239,'1991-11-25 00:00:00',2,1,11,2009,'F','S','CAMPECHE','FLORIANóPOLIS','SC','124242241215111431358933575122610121122',NULL,'270',25.18,1,3,NULL),(16,3336247,'1991-03-05 00:00:00',4,5,11,2008,'F','N','CENTRO','COCAL SUL','SC','124244241215111431456512372122610124092',NULL,'880',23.72,1,3,NULL),(16,3336255,'1992-06-27 00:00:00',4,2,12,2009,'M','S','JARDIM BLUMENAU','BLUMENAU','SC','124242248216111411358831595112610114042',NULL,'909',33.35,1,3,NULL),(16,3336271,'1989-01-30 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242243215142431428619395124230217052',NULL,'1022',20.06,1,3,NULL),(16,3336280,'1985-06-28 00:00:00',2,1,12,2008,'M','N','JABAQUARA','S PAULO','SP','125254257216571411478823372115610147047',NULL,'9999',0.00,1,3,NULL),(16,3336301,'1989-11-06 00:00:00',4,8,11,2006,'M','N','ENSEADA','SAO FRANCISCO DO SUL','SC','124242241216271432136623575115610114182',11978,'867',45.30,1,3,NULL),(16,3336310,'1992-04-25 00:00:00',4,2,12,2008,'M','N','CENTRO','BRUSQUE','SC','124242241215111411448612295112610117123',NULL,'109',19.19,1,3,NULL),(16,3336336,'1991-12-27 00:00:00',2,1,12,2008,'F','N','PRAIA DE FORA','PALHOçA','SC','124241241125161531564412241242610114192',NULL,'594',19.64,1,3,NULL),(16,3336344,'1992-10-02 00:00:00',4,1,11,2008,'F','N','COOPHAVALE','CAMAPUã','MS','112122121216111431427632395122610124142',13174,'9998',43.19,1,3,NULL),(16,3336352,'1991-02-02 00:00:00',2,5,11,2008,'M','N','MICHEL','CRICIúMA','SC','124242241217111231536933276122610164182',16313,'210',36.33,1,3,NULL),(16,3336395,'1991-11-03 00:00:00',2,5,12,2008,'M','N','COMERCIáRIO','CRICIúMA','SC','124242248215111331433814175124610147057',NULL,'995',22.68,1,3,NULL),(16,3336409,'1986-08-27 00:00:00',3,1,6,2005,'M','N','BALNEARIO','FLORIANóPOLIS','SC','107281288137471431468831475124140464183',4902,'9998',58.85,1,3,NULL),(16,3336425,'1991-08-10 00:00:00',2,5,11,2008,'M','N','CENTRO','IçARA','SC','124242248215112432436631575124610127042',11221,'226',46.61,1,3,NULL),(16,3336433,'1990-04-08 00:00:00',2,1,12,2007,'F','N','BELA VISTA','S JOSé','SC','124162241416112431544717395124610134147',NULL,'269',32.93,1,3,NULL),(16,3336441,'1990-11-25 00:00:00',4,6,12,2007,'M','N','ALTO DA BOA VISTA','S PAULO','SP','125242251215472431568834472122610137092',1863,'9998',67.74,1,3,NULL),(16,3336468,'1991-02-13 00:00:00',4,4,12,2007,'F','N','OLARIA','S CARLOS','SC','124241241112131711523531282343131015197',NULL,'704',0.00,4,2,1),(16,3336492,'1986-04-20 00:00:00',2,1,6,2004,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241117274431545513371124220737057',4401,'306',60.01,1,2,1),(16,3336506,'1986-10-30 00:00:00',2,1,12,2004,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241345272422546632242112610117047',NULL,'270',25.18,2,1,2),(16,3336530,'1991-02-28 00:00:00',4,1,12,2008,'M','N','BORTOLâNDIA','S PAULO','SP','125254258117371441356923571124610161097',NULL,'9998',0.00,4,3,NULL),(16,3336557,'1978-05-29 00:00:00',4,1,12,1996,'M','N','CENTRO','FLORIANóPOLIS','SC','124242246116152221259813432124321427047',7557,'306',53.22,1,3,NULL),(16,3336565,'1991-05-15 00:00:00',4,7,12,2008,'F','N','CHAMPAGNAT','CACADOR','SC','124241241116151731527616362122610124077',NULL,'122',32.01,1,2,1),(16,3336573,'1991-12-13 00:00:00',4,1,12,2009,'F','S','PORTO DA LAGOA','FLORIANóPOLIS','SC','124242241215111431457613232124610123072',NULL,'883',37.10,1,3,NULL),(16,3336603,'1988-03-25 00:00:00',4,1,12,2005,'F','N','JD SEMINARIO','CPO GRANDE','MS','112122121216571421368632574122610112142',NULL,'9998',30.21,1,3,NULL),(16,3336611,'1988-08-13 00:00:00',2,4,12,2008,'F','N','CENTRO','FORMOSA SUL','SC','124241241137161431424415393344610137057',NULL,'308',17.37,4,2,1),(16,3336620,'1992-07-08 00:00:00',2,1,12,2009,'F','S','CENTRO','BIGUAçU','SC','124244241412111431547633172224610133197',NULL,'1022',46.66,4,3,NULL),(16,3336646,'1989-10-16 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124242241216372421536831245122610112122',NULL,'270',25.60,1,3,NULL),(16,3336654,'1990-06-29 00:00:00',2,1,12,2007,'F','N','ZONA QUATRO','MARINGá','PR','116162161216471431546812571122610167017',NULL,'9998',0.00,1,3,NULL),(16,3336662,'1980-08-18 00:00:00',2,1,12,1998,'F','N','ESTREITO','FLORIANóPOLIS','SC','124201205116131431526574345114140624187',NULL,'9998',24.75,1,2,1),(16,3336670,'1990-05-04 00:00:00',4,1,12,2008,'M','N','SANTINHO','FLORIANóPOLIS','SC','124243247217131331536823572224610117042',NULL,'9999',24.82,1,3,NULL),(16,3336689,'1992-01-11 00:00:00',4,1,11,2009,'F','S','KOBRASOL','S JOSé','SC','124242241217151732449934592122610137112',NULL,'723',46.99,1,3,NULL),(16,3336700,'1991-06-22 00:00:00',4,1,10,2008,'M','N','CARIRU','IPATINGA','MG','113132131216271731578811576122610137042',NULL,'9998',0.00,1,3,NULL),(16,3336719,'1991-04-12 00:00:00',2,9,12,2008,'M','N','SAO CRISTOVãO','SALETE','SC','124244241215161731536614345122610127052',NULL,'776',44.84,1,3,NULL),(16,3336727,'1991-05-06 00:00:00',4,1,12,2008,'M','N','BOTAFOGO','RIO JANEIRO','RJ','121212211217111411488834575114610144112',NULL,'9998',0.00,1,3,NULL),(16,3336735,'1993-09-06 00:00:00',4,1,12,2010,'F','S','AGRONôMICA','FLORIANóPOLIS','SC','124242241215111431369933575122610146142',NULL,'270',47.69,1,3,NULL),(16,3336743,'1978-08-09 00:00:00',2,1,11,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','524203247126131431126544345134610126047',NULL,'9997',0.00,1,3,NULL),(16,3336778,'1992-06-10 00:00:00',4,1,11,2009,'M','S','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241217171431369923592124610127042',NULL,'262',45.90,1,3,NULL),(16,3336786,'1993-04-27 00:00:00',4,3,12,2008,'F','N','TABULEIRO','ITAPEMA','SC','124241241217111431546612575122610133077',NULL,'407',6.35,1,3,NULL),(16,3336816,'1989-05-05 00:00:00',4,1,12,2006,'M','N','BAIRRO BPS','ITAJUBá','MG','113131131216471431687833571122610164012',3610,'9998',62.06,1,3,NULL),(16,3336824,'1992-03-23 00:00:00',4,1,12,2009,'M','S','CENTRO','S JOãO BATISTA','SC','124242241411161431538832571122610117047',NULL,'948',24.82,1,3,NULL),(16,3336840,'1977-12-26 00:00:00',4,1,11,1995,'M','N','TRINDADE','FLORIANóPOLIS','SC','224242241215153731269649395122321464185',3850,'210',61.46,1,3,NULL),(16,3336859,'1991-04-04 00:00:00',4,1,12,2008,'M','N','IMPERIAL','VACARIA','RS','120201201317131431433916215122610137047',NULL,'9998',27.54,1,3,NULL),(16,3336875,'1987-06-02 00:00:00',2,1,12,2004,'F','N','BALNEARIO','FLORIANóPOLIS','SC','107092091216471421424465472124143266197',694,'9998',74.27,1,3,NULL),(16,3336883,'1991-09-14 00:00:00',2,4,12,2008,'M','N','CENTRO','SUL BRASIL','SC','124241241115231421549933372124610125052',NULL,'775',47.40,1,3,NULL),(16,3336891,'1990-02-12 00:00:00',4,1,12,2007,'M','N','JARDIM DO SOL','CáSSIA','MG','113134131416411731559811595122610167044',15232,'9998',39.13,1,3,NULL),(16,3336913,'1989-05-02 00:00:00',2,1,12,2007,'F','N','VILA SANTANA','STO AMARO IMPERATRIZ','SC','124241248125131431123429345123610133077',NULL,'941',17.81,1,2,1),(16,3336921,'1989-05-31 00:00:00',4,8,12,2007,'M','N','CZERNIEWICZ','JARAGUá SUL','SC','124244241213472431439911175122610137067',NULL,'1061',37.63,1,3,NULL),(16,3336956,'1984-05-09 00:00:00',4,1,9,2002,'F','N','INGLESES','FLORIANóPOLIS','SC','124244241216133121245521435114610164142',NULL,'1003',25.07,1,3,NULL),(16,3336964,'1991-11-22 00:00:00',4,4,12,2008,'F','N','BARRIL','FREDERICO WESTPHALEN','RS','120201201117131431423314495122610124057',NULL,'9998',23.65,1,2,1),(16,3336972,'1992-04-26 00:00:00',4,1,11,2009,'F','S','ZONA CINCO','MARINGá','PR','116162168217111411568911412112610163052',NULL,'9998',0.00,1,3,NULL),(16,3337006,'1992-09-28 00:00:00',4,1,12,2009,'F','S','LAGOA','FLORIANóPOLIS','SC','124242241217111731469913572122610122142',NULL,'270',64.36,1,3,NULL),(16,3337014,'1991-08-26 00:00:00',4,3,12,2008,'M','N','DOS MUNICíPIOS','BAL CAMBORIú','SC','124241248115131212463311585125610112057',11167,'129',46.72,1,2,1),(16,3337022,'1989-06-27 00:00:00',4,1,12,2008,'M','N','PRAIA DE FORA','PALHOçA','SC','124241241136141431344432575114610117142',NULL,'592',25.95,1,2,1),(16,3337057,'1990-04-22 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241116371411223629292114610113147',NULL,'306',24.70,1,2,1),(16,3337090,'1992-04-10 00:00:00',2,1,12,2008,'F','N','ARAçATUBA','IMBITUBA','SC','124241241135141732611118292324610113147',NULL,'361',25.45,1,2,1),(16,3337111,'1992-01-03 00:00:00',4,3,12,2009,'M','S','MONTE ALEGRE','CAMBORIú','SC','124241248315111431453339292124610126142',NULL,'129',26.50,1,3,NULL),(16,3337120,'1958-05-10 00:00:00',5,1,12,1976,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','324241245121152411233449291122432226027',13135,'335',43.27,1,3,NULL),(16,3337138,'1991-12-09 00:00:00',4,8,12,2008,'F','N','ZONA DOIS','UMUARAMA','PR','116164161217321431369663276122610124147',7253,'9998',53.80,1,3,NULL),(16,3337146,'1989-04-01 00:00:00',2,1,12,2006,'F','N','CENTRO','STA MARIA','RS','120201201111371731445813581324142727057',14503,'9998',40.69,1,2,1),(16,3337170,'1992-08-29 00:00:00',4,6,12,2009,'F','S','CENTRO','ITAJAí','SC','124242241215111731469934575124610166197',NULL,'389',35.14,1,3,NULL),(16,3337189,'1991-05-03 00:00:00',4,1,12,2008,'F','N','OFICINAS','TUBARãO','SC','124242241215111711468912495124610162147',13341,'270',42.89,1,3,NULL),(16,3337219,'1992-03-19 00:00:00',4,1,12,2009,'F','S','CENTRO','NOVA TRENTO','SC','124244248417111431366712275124610132092',NULL,'102',24.14,1,3,NULL),(16,3337227,'1991-04-19 00:00:00',4,8,11,2008,'F','N','FANNY','CURITIBA','PR','116162168215111431356632172112610155147',16315,'9998',36.32,1,3,NULL),(16,3337235,'1986-03-09 00:00:00',4,1,10,2003,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241215155431388812575124221464052',NULL,'213',0.00,1,3,NULL),(16,3337243,'1990-12-13 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241117141521549614312114610127047',NULL,'307',26.83,1,3,NULL),(16,3337251,'1986-03-01 00:00:00',2,9,12,2006,'M','N','NOSSA SENHORA APAREC','CURITIBANOS','SC','124241247125231421233349391325610166032',NULL,'9999',0.00,4,2,1),(16,3337316,'1990-04-10 00:00:00',4,1,12,2007,'F','N','JARDIM GOIAS','GOIâNIA','GO','109052051214371431448632595124610133192',NULL,'9998',0.00,3,3,NULL),(16,3337324,'1991-03-26 00:00:00',4,10,12,2008,'M','N','BOA VISTA','JOINVILLE','SC','124241241136111411458611575111610137052',NULL,'521',17.64,1,2,1),(16,3337340,'1991-02-08 00:00:00',4,8,12,2008,'M','N','CENTRO','CORUPá','SC','124241241417111521436829334111610124032',3119,'422',63.48,1,3,NULL),(16,3337359,'1989-06-18 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241214153712279934496221221444065',NULL,'491',0.00,1,3,NULL),(16,3337375,'1990-11-07 00:00:00',2,1,7,2008,'F','N','PACHECOS','PALHOçA','SC','124243241117131431446931316124610137147',11356,'306',46.40,1,3,NULL),(16,3337405,'1991-02-17 00:00:00',4,3,12,2008,'F','N','VILA PARAISO','CAçADOR','SC','124243241217131731625613245325610163147',NULL,'119',18.98,1,3,NULL),(16,3337413,'1992-02-04 00:00:00',4,8,12,2008,'F','N','SãO BERNARDO','UNIãO VITóRIA','PR','116161161117151431426663582325610127147',NULL,'9998',0.00,1,2,1),(16,3337421,'1992-10-18 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124244241412112431536633591224610167045',15153,'299',39.29,1,3,NULL),(16,3337430,'1980-06-14 00:00:00',2,1,11,2000,'M','N','BARREIROS','S JOSé','SC','124242247112152431656614382344133267047',NULL,'9999',0.00,1,3,NULL),(16,3337448,'1989-07-16 00:00:00',4,10,12,2006,'M','N','CENTRO','LAGUNA','SC','124241241331132431537611291232610167013',14418,'807',40.85,1,3,NULL),(16,3337464,'1957-06-20 00:00:00',2,1,12,2007,'M','N','MASSIAMBU','PALHOçA','SC','124241247117161411611143132224610156177',NULL,'9999',0.00,5,4,NULL),(16,3337480,'1990-11-10 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANOPOLIS','SC','124242244217372431438811471122610164145',3525,'270',62.31,1,3,NULL),(16,3337499,'1982-10-07 00:00:00',2,1,12,2001,'M','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124091091316232121643327115134232312171',8061,'9998',52.30,4,1,2),(16,3337510,'1991-05-17 00:00:00',4,4,12,2008,'M','N','CENTRO SUL','DOIS VIZINHOS','PR','116162161216151532337639575122610167057',NULL,'9998',0.00,1,3,NULL),(16,3337529,'1991-03-06 00:00:00',4,1,12,2008,'M','N','IPANEMA','PTO ALEGRE','RS','120204201417131431228629575124610167057',NULL,'9998',0.00,1,3,NULL),(16,3337537,'1979-05-31 00:00:00',4,1,11,1997,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241136132431236544144224121166185',13966,'840',41.72,1,3,NULL),(16,3337545,'1989-09-18 00:00:00',2,8,12,2007,'M','N','VILA OLIMPIA','S PAULO','SP','125252251217471331469834572122141462127',NULL,'9998',0.00,1,3,NULL),(16,3337553,'1990-04-18 00:00:00',2,1,12,2008,'M','N','CENTRO','LOANDA','PR','116161165117171421324467345122610167083',NULL,'9998',27.86,1,2,1),(16,3337561,'1992-11-11 00:00:00',2,5,11,2009,'M','S','JARDIM ELIZABETTE','IçARA','SC','124242241215111431544634345122610146092',NULL,'226',44.07,1,3,NULL),(16,3337570,'1993-03-10 00:00:00',4,9,12,2009,'M','S','SãO CRISTOVãO','LAGES','SC','124242241211111431389931595122610164082',NULL,'497',30.89,1,3,NULL),(16,3337588,'1991-09-17 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241116271731435313492124610167013',14859,'307',39.97,2,3,NULL),(16,3337596,'1991-07-14 00:00:00',4,1,12,2008,'M','N','ORFAS','PNT GROSSA','PR','116162161217271431389933575112610117047',NULL,'9998',0.00,1,3,NULL),(16,3337618,'1988-04-22 00:00:00',2,2,12,2005,'F','N','JARDIM AMéRICA','RIO SUL','SC','124253251217571731466923575124610148142',2120,'9998',66.72,1,3,NULL),(16,3337626,'1991-04-02 00:00:00',4,1,10,2008,'F','N','CENTRO','CASCAVEL','PR','116162161217171431268934572112610167146',NULL,'9998',0.00,1,3,NULL),(16,3337634,'1991-09-30 00:00:00',4,8,11,2009,'M','S','SAGUAçU','JOINVILLE','SC','124242241216111221559714575124610117182',NULL,'486',26.89,1,3,NULL),(16,3337642,'1991-02-13 00:00:00',4,2,12,2008,'F','N','ASILO','BLUMENAU','SC','124242241217111431446614572122610122092',NULL,'88',18.18,1,3,NULL),(16,3337650,'1991-11-12 00:00:00',2,1,11,2008,'F','N','SANTA ANA','STO AMARO IMPERATRIZ','SC','124241241217131731453412595125610163187',NULL,'1014',29.37,1,3,NULL),(16,3337669,'1989-02-04 00:00:00',2,3,11,2006,'F','N','CENTRO','IRATI','PR','116161161416572411464412572122610161142',2898,'9998',64.11,1,3,NULL),(16,3337677,'1991-11-06 00:00:00',4,1,12,2008,'M','N','ARIRIU','PALHOçA','SC','124241241145161431336413475124610124057',NULL,'593',29.71,1,3,NULL),(16,3337685,'1987-09-27 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124242243226172711326931315114230217072',NULL,'9997',27.23,1,3,NULL),(16,3337693,'1989-03-07 00:00:00',2,1,12,2006,'M','N','SETOR BUENO','GOIâNIA','GO','109093091217571431348815572124610162057',993,'9998',72.13,1,3,NULL),(16,3337707,'1989-05-22 00:00:00',4,1,12,2006,'M','N','PRADO VELHO','CURITIBA','PR','116164161115471711548714572124610124042',6128,'9998',56.08,1,3,NULL),(16,3337715,'1982-12-20 00:00:00',4,1,8,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241247314131731123144415124610133097',NULL,'9999',0.00,4,3,NULL),(16,3337731,'1968-12-25 00:00:00',4,1,12,1987,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124243242127254421353149292122120232147',NULL,'257',0.00,1,3,NULL),(16,3337740,'1991-11-13 00:00:00',2,3,12,2008,'F','N','CENTRO','TIJUCAS','SC','124242246215111431437412375122610112092',NULL,'1119',22.75,1,3,NULL),(16,3337766,'1989-08-06 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124241241117131431323339291124232064047',NULL,'307',33.02,2,1,1),(16,3337774,'1990-08-24 00:00:00',4,1,11,2008,'F','N','ALTO DA LAPA','S PAULO','SP','125252251217371431379931575122610167092',NULL,'9998',0.00,1,3,NULL),(16,3337804,'1988-02-16 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241212473422368763576112222367125',10249,'260',48.35,1,3,NULL),(16,3337812,'1991-03-15 00:00:00',4,8,12,2008,'M','N','CENTRO','JARAGUá SUL','SC','124242241214211431569911575111610127042',NULL,'424',19.35,1,3,NULL),(16,3337820,'1992-03-26 00:00:00',2,1,12,2008,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241215111752688814595112610134052',NULL,'262',1.34,1,3,NULL),(16,3337839,'1988-03-09 00:00:00',2,2,12,2006,'F','N','CENTRO','POMERODE','SC','124121128117141431114434345321610121097',NULL,'621',10.46,1,3,NULL),(16,3337847,'1989-01-24 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124241241137372731536611385134610161057',NULL,'734',29.02,1,2,1),(16,3337863,'1984-03-08 00:00:00',2,1,12,2001,'F','N','ITAGUAçU','FLORIANóPOLIS','SC','124201201112274531327839392124142715097',NULL,'9998',15.56,1,3,NULL),(16,3337880,'1956-12-19 00:00:00',4,1,12,1973,'F','N','CENTRO','FLORIANóPOLIS','SC','124201201126151731264449392122342633095',NULL,'9998',12.51,1,3,NULL),(16,3337898,'1992-02-19 00:00:00',4,1,12,2009,'M','S','BOM ABRIGO','FLORIANóPOLIS','SC','124242248215151132488912345121610167182',NULL,'270',43.06,1,3,NULL),(16,3337910,'1992-01-20 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSé','SC','124241241215111431334923575124610127147',NULL,'1074',27.00,1,3,NULL),(16,3337928,'1991-07-07 00:00:00',4,8,12,2008,'F','N','ROCIO GRANDE','S FRANCISCO SUL','SC','124244241212161431348679592122610127052',NULL,'867',20.66,1,3,NULL),(16,3337936,'1990-08-05 00:00:00',2,2,12,2007,'M','N','JARDIM SILVANA','ALM TAMANDARé','PR','116161161116271411634324395124610137042',NULL,'9998',0.00,1,2,1),(16,3337944,'1992-05-15 00:00:00',2,5,12,2009,'F','S','CENTRO','FORQUILHINHA','SC','124242241216111731557812272122613227142',NULL,'213',20.14,1,3,NULL),(16,3337952,'1985-09-18 00:00:00',2,1,12,2003,'F','N','PASSA VINTE','PALHOçA','SC','124241241126134421433314145123223037147',NULL,'591',0.00,1,2,1),(16,3337979,'1991-11-23 00:00:00',4,8,11,2008,'F','N','FLORESTA','JOINVILLE','SC','124243241215111431547614575122610125077',12076,'461',45.14,1,3,NULL),(16,3337987,'1992-01-29 00:00:00',4,1,12,2009,'F','S','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124242241217151431269933576122610111182',NULL,'883',52.71,1,3,NULL),(16,3337995,'1990-08-18 00:00:00',4,8,11,2008,'F','N','BUCAREIN','JOINVILLE','SC','124242241215111431358813572112610142092',8791,'486',50.92,1,3,NULL),(16,3338002,'1989-08-31 00:00:00',4,1,12,2007,'M','N','SANTA CLARA DO LAGO','HORTOLâNDIA','SP','125252251215471431448834575114610127044',13365,'9998',42.86,1,3,NULL),(16,3338029,'1992-08-19 00:00:00',4,5,11,2009,'F','S','CENTRO','CRICIúMA','SC','124242241215131431423632572112610134017',NULL,'226',15.21,1,3,NULL),(16,3338037,'1981-10-01 00:00:00',4,1,12,2007,'F','N','PAGANI','PALHOçA','SC','224201207122131431336651215122610167142',15401,'9999',38.77,1,2,1),(16,3338045,'1990-08-03 00:00:00',4,1,12,2008,'M','N','SãO JUDAS','CAPãO BONITO','SP','125251251117131431526623571121610127017',NULL,'9998',0.00,1,2,1),(16,3338070,'1991-10-11 00:00:00',4,4,12,2008,'M','N','APARECIDA','PALMITINHO','RS','120201201115151731449833572122610127047',16023,'9998',37.18,1,3,NULL),(16,3338088,'1990-11-03 00:00:00',2,1,12,2008,'M','N','CAMPO DUNA','GAROPABA','SC','124241241136141531634422145124610142041',NULL,'1136',25.50,1,2,1),(16,3338096,'1991-04-18 00:00:00',2,1,12,2008,'F','N','CENTRO','BIGUAçU','SC','124241241236141431336513582122610132142',NULL,'63',22.96,1,3,NULL),(16,3338100,'1988-08-10 00:00:00',2,1,12,2005,'F','N','CAPRICóRNIO','CPO MOURãO','PR','116161161316571431576923575122610165192',4917,'9998',58.82,1,3,NULL),(16,3338118,'1989-04-21 00:00:00',2,5,12,2006,'M','N','SãO JOSE','SOMBRIO','SC','124241241144131431223364245122610124192',NULL,'1033',0.00,1,2,1),(16,3338126,'1991-12-13 00:00:00',2,4,12,2008,'M','N','CENTRO','CHAPECó','SC','124281161116131731647821575125610117047',NULL,'9998',14.81,5,4,NULL),(16,3338134,'1991-10-09 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124202248215141431466614215114610168177',NULL,'1078',0.00,1,3,NULL),(16,3338142,'1989-02-11 00:00:00',2,7,12,2006,'F','N','VILA ALEMANHA','LUZERNA','SC','124241241116162431433639495124231533147',14912,'539',39.86,1,2,1),(16,3338185,'1991-11-26 00:00:00',4,1,12,2008,'M','N','LUCAS ARAúJO','PASSO FUNDO','RS','120202201216221111121422132112310111172',NULL,'9998',0.00,1,3,NULL),(16,3338193,'1989-05-19 00:00:00',4,1,12,2006,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241216113431435833245122233264147',14091,'1014',41.46,1,3,NULL),(16,3338215,'1991-03-26 00:00:00',4,3,11,2008,'M','N','CENTRO','STO ÂNGELO','RS','120202201216151431238813315124610167042',NULL,'9998',0.00,1,3,NULL),(16,3338231,'1988-12-22 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241217152751388812441122230228102',NULL,'266',32.29,1,3,NULL),(16,3338240,'1979-09-11 00:00:00',4,8,12,1997,'M','N','JARDIM TELLES','PALMITAL','SP','225254254136461441236651314222343267122',NULL,'9998',0.00,1,3,NULL),(16,3338258,'1985-09-04 00:00:00',2,1,8,2003,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124124241116152511544632275124221427122',4802,'306',59.06,1,3,NULL),(16,3338266,'1975-10-07 00:00:00',2,1,12,1994,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241247422131431112249192134610125127',15049,'9999',39.55,1,3,NULL),(16,3338274,'1982-05-19 00:00:00',4,4,12,2000,'M','N','SãO CRISTOVãO','CHAPECó','SC','224241241126131421456811445122131066182',NULL,'170',35.25,1,3,NULL),(16,3338282,'1990-11-16 00:00:00',2,10,12,2008,'F','N','CENTRO','TUBARãO','SC','124243241115371731327723275112610112147',16242,'1034',36.55,1,3,NULL),(16,3338290,'1990-01-01 00:00:00',4,1,12,2008,'M','N','CENTRO','LGA VERMELHA','RS','120201201317151431245767315112610117052',NULL,'9998',0.00,1,3,NULL),(16,3338304,'1990-08-07 00:00:00',2,9,12,2007,'F','N','CIDADE ALTA','BENTO GONçALVES','RS','120204201215471411435621371124610136057',1411,'9998',69.73,1,3,NULL),(16,3338320,'1991-12-03 00:00:00',2,1,12,2008,'M','N','CAMPO D UNA','GAROPABA','SC','124241241136131431547732385122610167112',NULL,'1136',0.00,1,2,1),(16,3338339,'1991-04-19 00:00:00',4,2,12,2008,'F','N','CENTRO','ESPIGãO AT IGUAçU','PR','116161161111131411538931471124610117057',NULL,'9998',0.00,1,3,NULL),(16,3338363,'1984-05-24 00:00:00',3,3,11,2008,'F','N','FACULDADE','CASCAVEL','PR','116161161325321441425644142223610122176',NULL,'9998',0.00,1,3,NULL),(16,3338380,'1987-05-11 00:00:00',4,10,11,2004,'M','N','JARDIM MARISTELA','CRICIúMA','SC','124242241216154431336711595124131032057',2204,'210',66.40,1,3,NULL),(16,3338401,'1989-05-14 00:00:00',2,1,12,2006,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124242241117472251434554445114610167042',8400,'307',51.59,1,3,NULL),(16,3338410,'1991-03-08 00:00:00',2,4,12,2008,'M','N','LA SALLE','XANXERê','SC','124242241234111431448931571122610167047',NULL,'836',29.60,1,3,NULL),(16,3338436,'1989-05-30 00:00:00',2,5,11,2006,'F','N','MINA BRASIL','CRICIúMA','SC','124243248212424431436313472124232664147',NULL,'210',0.00,1,3,NULL),(16,3338452,'1991-01-25 00:00:00',3,1,12,2008,'F','N','JARDIM ITAIPU','MARíLIA','SP','125252251116571431426373572124610124142',8940,'9998',50.67,4,3,NULL),(16,3338479,'1991-06-13 00:00:00',4,7,12,2008,'M','N','ALVORADA','VIDEIRA','SC','124241241137131431535633395124610168047',NULL,'831',17.78,1,3,NULL),(16,3338487,'1991-10-21 00:00:00',4,1,12,2008,'M','N','SANTANA','GUARAPUAVA','PR','116161161116371441357823575121610164182',11543,'9998',46.09,4,3,NULL),(16,3338495,'1980-04-12 00:00:00',4,1,12,1997,'F','N','ITACORUBI','FLORIANóPOLIS','SC','624212211216131111238844445134340234047',7709,'9998',52.94,1,3,NULL),(16,3338509,'1992-09-26 00:00:00',4,1,11,2009,'F','S','CENTRO','FOZ IGUAçU','PR','116162161217151331436824572112610167127',NULL,'9998',30.09,3,3,NULL),(16,3338517,'1980-05-30 00:00:00',3,3,12,1999,'M','N','NOVA CICADE','CASCAVEL','PR','116161257127131431423444342224610117057',NULL,'9998',11.09,1,2,1),(16,3338525,'1989-10-13 00:00:00',2,8,12,2007,'M','N','VILA NOVA','JOINVILLE','SC','124241241127131231534319342121610137147',12890,'473',43.68,1,2,1),(16,3338533,'1988-08-18 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241127141421526624245124613217197',NULL,'274',24.77,1,2,1),(16,3338550,'1991-05-08 00:00:00',4,6,12,2008,'F','N','JARDIM IGUAçU','FOZ IGUAçU','PR','116161161217271431446632575124610165143',15557,'9998',38.41,1,3,NULL),(16,3338568,'1991-04-20 00:00:00',4,4,12,2008,'F','N','COLATTO','XANXERê','SC','124242241235111431355832325122610124142',14821,'836',40.02,1,3,NULL),(16,3338576,'1991-07-20 00:00:00',4,4,12,2008,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241215371431436714292122610127187',15300,'751',38.97,1,3,NULL),(16,3338592,'1990-03-10 00:00:00',4,8,11,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124244168216431431317614292124231462052',6742,'9998',54.78,1,3,NULL),(16,3338606,'1990-09-17 00:00:00',2,4,12,2008,'M','N','CENTRO','CHAPECó','SC','124281161116131531637821575125610161197',NULL,'9998',34.60,5,4,NULL),(16,3338614,'1990-11-13 00:00:00',2,1,12,2008,'M','N','TAPERA','FLORIANóPOLIS','SC','124243241317141412423321215124610164172',NULL,'289',33.10,2,1,2),(16,3338622,'1992-02-15 00:00:00',4,8,12,2009,'M','S','SAGUAçU','JOINVILLE','SC','124242241216111441489913595122610164021',NULL,'486',36.81,1,3,NULL),(16,3338630,'1985-05-14 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241226153721138849295124331267043',10238,'414',48.36,1,3,NULL),(16,3338657,'1970-06-30 00:00:00',2,1,12,1989,'F','N','INGLESES','FLORIANóPOLIS','SC','524241241326131431221449395134610123017',NULL,'757',25.28,1,3,NULL),(16,3338690,'1985-06-09 00:00:00',4,1,12,2002,'M','N','BRáS','S PAULO','SP','125253253217133421455731342115610164057',5637,'9998',57.18,1,3,NULL),(16,3338720,'1989-11-20 00:00:00',4,1,12,2006,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124242241212133431437811575122231022197',8866,'951',50.78,1,3,NULL),(16,3338738,'1991-10-05 00:00:00',4,1,12,2008,'M','N','JARDIM SEMINARIO','CPO GRANDE','MS','112122121217211431358933575112610164186',NULL,'9998',0.00,1,3,NULL),(16,3338746,'1977-01-17 00:00:00',2,1,12,1995,'M','N','FUNDOS','BIGUAçU','SC','124241241222132421433329442324610116042',15128,'63',39.35,1,3,NULL),(16,3338770,'1981-07-08 00:00:00',4,1,12,1998,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241212154431566624441132522062042',2824,'270',64.30,1,3,NULL),(16,3338789,'1988-02-25 00:00:00',4,8,12,2005,'F','N','BOA VISTA','JOINVILLE','SC','124242241213151431357634471122232026012',8006,'456',52.41,1,3,NULL),(16,3338800,'1975-01-18 00:00:00',2,1,12,1997,'F','N','TRINDADE','FLORIANóPOLIS','SC','224171171121473311436553195122222222187',NULL,'9998',30.48,4,3,NULL),(16,3338819,'1991-02-01 00:00:00',4,8,12,2008,'F','N','BOA VISTA','ITUPORANGA','SC','124241241115131431221327292325610135097',NULL,'416',24.09,1,2,1),(16,3338827,'1991-06-13 00:00:00',4,7,12,2008,'M','N','ALVORADA','VIDEIRA','SC','124241241137131731535633345125610138047',NULL,'831',25.13,1,3,NULL),(16,3338843,'1977-06-29 00:00:00',5,1,12,1994,'M','N','CENTRO','FLORIANóPOLIS','SC','224202208236151751333643231122342064153',NULL,'9998',0.00,1,3,NULL),(16,3338851,'1986-02-04 00:00:00',2,1,11,2004,'M','N','GONZAGUINHA','S PAULO','SP','125254251417111431537713391124610168112',NULL,'9998',0.00,1,3,NULL),(16,3338860,'1990-04-09 00:00:00',2,1,12,2007,'F','N','VILA EUNICE VELHA','CACHOEIRINHA','RS','120201201137471421368813275114610144117',NULL,'9998',32.52,1,2,1),(16,3338878,'1990-03-04 00:00:00',4,1,12,2007,'M','N','TAPERA','FLORIANóPOLIS','SC','124241241125132711636113182124130223117',NULL,'307',34.58,4,1,1),(16,3338894,'1980-06-26 00:00:00',5,8,12,2000,'M','N','BOM RETIRO','JOINVILLE','SC','124241241146114741335449495125331762192',NULL,'831',0.00,1,2,1),(16,3338908,'1977-04-27 00:00:00',4,2,12,1994,'M','N','JARDIM AQUáRIUS','S JOSé CAMPOS','SP','225092091217472431265744444122321466197',92,'9998',81.11,1,3,NULL),(16,3338916,'1981-10-09 00:00:00',2,1,12,2002,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124244243411144331625623211124610154142',NULL,'303',18.96,2,1,2),(16,3338924,'1991-02-10 00:00:00',4,5,12,2008,'M','N','JANUáRIA','SOMBRIO','SC','124241241135151431643921245122610158172',NULL,'1033',22.00,1,3,NULL),(16,3338940,'1984-02-24 00:00:00',2,1,12,2003,'M','N','BELA VISTA III','S JOSé','SC','124241241432133431345827441123130224017',15824,'300',37.70,2,1,2),(16,3338959,'1990-05-02 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124243241212112411446713412124222264047',NULL,'738',29.93,1,3,NULL),(16,3338967,'1984-10-16 00:00:00',4,1,12,2002,'F','N','GRAJAú','BELO HORIZONTE','MG','113132131217474431549924571124121334147',1545,'9998',69.15,4,3,NULL),(16,3338975,'1964-05-15 00:00:00',4,1,12,1982,'M','N','SANTA MôNICA','FLORIANóPOLIS','SC','224242241217153712578642325132321445183',4803,'262',59.06,1,3,NULL),(16,3338991,'1986-02-04 00:00:00',4,1,12,2003,'M','N','LAGOA DA CONÇEIÇÃO','FLORIANóPOLIS','SC','124161161144131411123635311334610132177',16317,'9998',36.31,4,2,1),(16,3339009,'1991-03-12 00:00:00',4,1,12,2008,'M','N','JARDIM LARANJEIRAS','BRAGANçA PAULISTA','SP','125252251237111431438834472122610168047',NULL,'9998',0.00,1,3,NULL),(16,3339025,'1987-02-14 00:00:00',4,10,12,2004,'F','N','CENTRO','IMBITUBA','SC','124241241137172711435923291222232244072',NULL,'359',28.25,1,3,NULL),(16,3339033,'1967-11-12 00:00:00',2,1,7,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','624241247126132751321344245124610118197',NULL,'306',18.80,1,2,1),(16,3339041,'1962-05-14 00:00:00',2,1,12,1985,'F','N','CARIANOS','FLORIANóPOLIS','SC','224131213127131411336644345114141824042',NULL,'9998',33.33,1,2,1),(16,3339050,'1990-11-22 00:00:00',2,4,12,2008,'M','N','BELA VISTA','PTE SERRADA','SC','124243231316131211323823315121610167182',NULL,'629',22.85,1,3,NULL),(16,3339068,'1965-06-03 00:00:00',4,1,12,1983,'F','N','PANTANAL','FLORIANóPOLIS','SC','124244248116134741559741315124530262122',NULL,'267',0.00,1,3,NULL),(16,3339084,'1989-11-04 00:00:00',2,1,12,2007,'F','N','SANTA FÉ','CPO GRANDE','MS','112221121116471431335663535124610144147',NULL,'9998',0.00,1,2,1),(16,3339092,'1986-09-25 00:00:00',4,1,12,2004,'M','N','JARDIM BOTUCATU','S PAULO','SP','125252251215571431566814575122610112187',NULL,'9998',0.00,1,3,NULL),(16,3339106,'1991-07-23 00:00:00',4,1,12,2008,'F','N','CENTRO','PITANGA','PR','116163161116161431436632245122610124012',NULL,'9998',0.00,1,3,NULL),(16,3339122,'1991-03-25 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124243241216111431258639395124610118043',NULL,'9997',41.56,1,3,NULL),(16,3339130,'1991-06-29 00:00:00',2,9,12,2008,'M','N','CENTRO','CURITIBANOS','SC','124241241215112331449913575122610127052',11236,'881',46.58,1,3,NULL),(16,3339149,'1989-06-09 00:00:00',2,1,12,2006,'M','N','VICENTINA','S LEOPOLDO','RS','120201201145471411263422275125610126147',NULL,'9998',11.35,4,2,1),(16,3339157,'1991-07-15 00:00:00',2,6,12,2008,'F','N','SãO JUDAS','ITAJAí','SC','124242241215111411526618185124610146141',10569,'1026',47.80,4,3,NULL),(16,3339165,'1990-12-04 00:00:00',4,1,12,2008,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124242241215111331658732192122610112142',NULL,'884',1.00,1,3,NULL),(16,3339190,'1991-10-31 00:00:00',4,1,12,2008,'F','N','MA APA PEDOSSIAN','CPO GRANDE','MS','112122121216111431435729295124610133143',15856,'9998',37.61,1,3,NULL),(16,3339203,'1989-05-04 00:00:00',4,1,12,2006,'M','N','PASSA VINTE','PALHOçA','SC','124242241217473431536632325122230268082',NULL,'1011',24.29,1,3,NULL),(16,3339211,'1991-05-16 00:00:00',2,5,11,2008,'M','N','CHACARAS DAS ROSAS','JACUPIRANGA','SP','125251258216161431345611372124610117092',NULL,'467',27.71,4,3,NULL),(16,3339220,'1989-12-29 00:00:00',2,1,10,2007,'M','N','ALTO DO CÓRREGO','PARACATU','MG','113131131216471731436612575122610156077',NULL,'9998',0.00,1,3,NULL),(16,3339238,'1990-08-06 00:00:00',4,3,12,2008,'M','N','OLARIA','LORENA','SP','125252251217131431326823575211610117057',NULL,'9998',0.00,1,3,NULL),(16,3339246,'1987-01-05 00:00:00',4,4,11,2008,'M','N','CENTRO','PATO BRANCO','PR','116161167115372431449912295124610164183',7811,'9999',52.75,1,2,1),(16,3339262,'1973-09-19 00:00:00',4,1,12,1994,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241417152321338841412132120217075',NULL,'1050',0.00,1,3,NULL),(16,3339270,'1982-04-24 00:00:00',2,4,12,1999,'M','N','CENTRO','CHAPECó','SC','124111111212371411338843435122131017052',16401,'9998',35.94,1,3,NULL),(16,3339289,'1991-06-11 00:00:00',4,8,12,2008,'F','N','JARDIM IRIRIU','JOINVILLE','SC','124241241216111431436623575124610134197',14064,'462',41.52,1,3,NULL),(16,3339297,'1983-03-26 00:00:00',2,1,12,2001,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','122222221217111712248735495124231024022',NULL,'9998',0.00,3,3,NULL),(16,3339319,'1989-02-06 00:00:00',4,1,12,2006,'M','N','VILA SAO JORGE','S VICENTE','SP','125252251217572431563733382114610138017',7387,'9998',53.54,1,3,NULL),(16,3339327,'1986-08-10 00:00:00',4,1,6,2005,'M','N','PRAIA DE FORA','PALHOçA','SC','124243247317142411335819195124610167177',NULL,'9999',0.00,1,3,NULL),(16,3339335,'1981-12-09 00:00:00',4,1,8,1999,'M','N','SERRARIA DO ROCHA','PARANAGUá','PR','216194281216151431428941415122243268022',NULL,'9998',0.00,1,3,NULL),(16,3339386,'1988-09-11 00:00:00',2,5,12,2005,'F','N','CENTRO','TIMBé SUL','SC','124241241116371731545419375122610135142',NULL,'785',0.00,1,2,1),(16,3339394,'1991-12-03 00:00:00',4,1,12,2008,'F','N','CAMPO DUNA','GAROPABA','SC','124241241115161731526612575122610117142',NULL,'1136',0.00,1,2,1),(16,3339408,'1990-05-23 00:00:00',2,1,12,2007,'F','N','BELA VISTA I','S JOSé','SC','124243241217352531458513575124231964143',5086,'738',58.42,4,3,NULL),(16,3339416,'1989-10-17 00:00:00',2,8,11,2008,'F','N','SãO MARCOS','JOINVILLE','SC','124241241325471411336933444124610166097',NULL,'486',26.42,2,1,2),(16,3339424,'1991-07-17 00:00:00',2,5,12,2008,'M','N','COLONINHA','ARARANGUá','SC','124242241215271451435832292122610144042',NULL,'970',29.12,1,3,NULL),(16,3339432,'1973-04-25 00:00:00',4,1,12,1990,'M','N','COQUEIROS','FLORIANóPOLIS','SC','224241241216132751354453145123121247017',10897,'446',47.20,1,3,NULL),(16,3339467,'1991-04-06 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIú','SC','124241241147141752346779296125610165096',NULL,'873',25.23,1,3,NULL),(16,3339475,'1988-12-16 00:00:00',4,8,12,2005,'M','N','NOVA RUSSIA','PNT GROSSA','PR','116162161215571431669911411122610115122',NULL,'9998',0.00,1,3,NULL),(16,3339483,'1984-07-23 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANóPOLIS','SC','124161208111134411526649392112622227051',7719,'9998',52.93,4,2,1),(16,3800008,'1983-10-21 00:00:00',4,1,12,2005,'F','N','SãO JOSé','S JOSé','SC','624241241127132431515854272341610134092',NULL,'66',22.72,4,3,NULL),(16,3800016,'1980-03-01 00:00:00',2,1,12,1999,'M','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241125133411534344212134610164047',NULL,'288',33.79,1,2,1),(16,3800024,'1968-11-23 00:00:00',4,1,12,1994,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','224163241125132421633354146124610125147',NULL,'307',14.88,1,3,NULL),(16,3800032,'1991-01-18 00:00:00',4,1,12,2008,'M','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241225111431637714185121610124092',NULL,'262',27.80,1,3,NULL),(16,3800040,'1987-09-30 00:00:00',2,1,12,2004,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241247317135411226621382224610164112',16403,'9999',35.92,1,3,NULL),(16,3800067,'1990-05-15 00:00:00',4,1,12,2007,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241117131631123329442324610112065',NULL,'16',32.67,4,2,1),(16,3800075,'1984-05-27 00:00:00',2,1,12,2004,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124121121132141721223344142334610122043',NULL,'9998',32.11,4,2,1),(16,3800083,'1991-09-21 00:00:00',2,1,11,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241225131431523311572124610131142',NULL,'262',31.64,1,3,NULL),(16,3800091,'1987-12-20 00:00:00',4,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124243247337472441436629385124610168097',NULL,'9999',24.66,1,3,NULL),(16,3800105,'1991-02-02 00:00:00',4,1,11,2008,'F','N','BOM VIVER','BIGUAçU','SC','124243241225131731324334596224610128022',NULL,'262',22.37,3,3,NULL),(16,3800113,'1990-12-22 00:00:00',2,1,12,2008,'M','N','FORQUILHAS','S JOSé','SC','124241248116161411443611345122610118052',NULL,'733',22.01,1,3,NULL),(16,3800121,'1983-06-17 00:00:00',4,1,7,2005,'M','N','SERRARIA','S JOSé','SC','124081247124213411633311441224130824057',14924,'945',39.83,4,2,1),(16,3800130,'1989-10-08 00:00:00',4,1,12,2007,'M','N','SAO SEBASTIAO','PALHOçA','SC','124241241117132431324421397224610144142',3365,'306',62.80,1,2,1),(16,3800156,'1988-04-09 00:00:00',2,1,8,2006,'F','N','SãO JOãO','STO AMARO IMPERATRIZ','SC','124241241116272431335623376124233254097',5084,'306',58.43,1,2,1),(16,3800164,'1991-06-28 00:00:00',2,1,2,2009,'F','N','BARREIROS','S JOSé','SC','124241241117131431224321592324610146197',NULL,'739',29.99,1,3,NULL),(16,3800172,'1988-01-07 00:00:00',2,1,12,2005,'M','N','MACACU','GAROPABA','SC','124241241127133411323324275124220734097',10190,'322',48.44,2,1,1),(16,3800180,'1982-12-11 00:00:00',4,1,12,2001,'M','N','JARDIM ZANELLATO','S JOSé','SC','124241241112133431523344242224610122147',5977,'295',56.40,1,2,1),(16,3800202,'1988-03-05 00:00:00',1,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241126471431123344345124610125172',14880,'14',39.92,1,3,NULL),(16,3800229,'1987-01-11 00:00:00',4,1,12,2005,'M','N','CACUPé','FLORIANóPOLIS','SC','224241241127132431226744242224610162182',NULL,'279',0.00,1,2,1),(16,3800237,'1987-07-12 00:00:00',2,1,12,2006,'F','N','CACUPé','FLORIANóPOLIS','SC','224201241127132431223554382224120565182',NULL,'298',18.89,1,2,1),(16,3800245,'1985-02-28 00:00:00',4,1,12,2002,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241127135431223344342334610127012',NULL,'307',28.13,1,2,1),(16,3800270,'1990-08-15 00:00:00',2,1,12,2007,'F','N','RIO FARIAS','ANTôNIO CARLOS','SC','124241241116132532623636572224610167047',3874,'21',61.40,1,2,1),(16,3800288,'1989-04-27 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116132331436823585124610125187',NULL,'257',29.69,1,2,1),(16,3800296,'1984-09-03 00:00:00',4,1,12,2004,'F','N','TAPERA','FLORIANóPOLIS','SC','124243247317135721223344242124610164147',NULL,'9999',25.30,1,3,NULL),(16,3800300,'1991-07-09 00:00:00',4,1,12,2008,'F','N','FIGUEIRA GRANDE','IMARUí','SC','124241241117131431523314572324610167147',16590,'357',34.94,1,3,NULL),(16,3800318,'1991-11-27 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241127131521424631215124610167047',NULL,'274',24.58,1,2,1),(16,3800326,'1978-07-12 00:00:00',2,1,11,2004,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124241241135371412121144242124610124187',NULL,'9999',25.99,1,2,1),(16,3800342,'1975-06-25 00:00:00',4,1,12,1993,'F','N','POTECAS','S JOSé','SC','224214211347132421211174342224142712112',NULL,'9998',18.88,4,3,NULL),(16,3800350,'1986-10-16 00:00:00',2,1,12,2004,'F','N','BOM VIVER','BIGUAçU','SC','124241241126132711623327281224610136147',NULL,'66',28.12,1,3,NULL),(16,3800377,'1990-12-15 00:00:00',2,1,3,2008,'M','N','AREIAS','PAULO LOPES','SC','124241247321171311425511572324610167142',11796,'9999',45.64,1,3,NULL),(16,3800407,'1991-07-12 00:00:00',2,1,12,2008,'F','N','RATONES','FLORIANóPOLIS','SC','124241241225131431633419572124610164147',9269,'262',50.13,1,3,NULL),(16,3800415,'1988-04-01 00:00:00',2,1,12,2005,'F','N','RATONES','FLORIANOPOLIS','SC','124241241222274431633419282124610164147',6668,'262',54.94,1,3,NULL),(16,3800423,'1983-04-13 00:00:00',4,1,12,2000,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124241241127232431534523242124133263147',NULL,'307',16.18,2,1,1),(16,3800431,'1990-03-27 00:00:00',4,1,12,2008,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241225111431216328382124610127012',14614,'265',40.47,1,3,NULL),(16,3800440,'1990-11-27 00:00:00',4,1,11,2008,'F','N','ARMAçãO','FLORIANóPOLIS','SC','124241241225211731433411572124610167057',12048,'262',45.20,1,3,NULL),(16,3800458,'1990-03-17 00:00:00',2,1,12,2008,'F','N','JOSE MENDES','FLORIANóPOLIS','SC','124241241125131631223329292334610163147',NULL,'289',24.24,1,2,1),(16,3800466,'1991-09-17 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124246248135111711323374581324610134147',NULL,'289',0.00,1,3,NULL),(16,3800474,'1988-12-31 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241125131731633344342344610167052',NULL,'289',16.10,2,1,1),(16,3800482,'1988-07-07 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241145131631423313292334610167147',NULL,'289',18.51,4,2,1),(16,3800490,'1985-01-24 00:00:00',4,1,6,2004,'F','N','SANTOS DUMONT','S JOSé','SC','124241241115131412321348282224610133022',NULL,'293',19.01,2,1,1),(16,3800504,'1965-05-13 00:00:00',4,1,12,1981,'M','N','BOM VIVER','BIGUAçU','SC','524201203227233421433353282124130864067',NULL,'9998',32.07,1,3,NULL),(16,3800512,'1992-01-02 00:00:00',2,1,11,2008,'F','N','NOVA BELéM','PAULO LOPES','SC','124241241225131431424513575124610137052',NULL,'9997',24.65,1,3,NULL),(16,3800520,'1984-08-21 00:00:00',2,1,12,2001,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241136574431129944245124122934147',8704,'192',51.07,1,3,NULL),(16,3800539,'1976-03-26 00:00:00',4,1,12,1994,'F','N','ESTREITO','FLORIANóPOLIS','SC','124111111216131421223316445124132033117',NULL,'9998',28.44,1,3,NULL),(16,3800547,'1974-11-05 00:00:00',4,1,12,1994,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241126132421223349245124132024027',14121,'69',41.40,1,3,NULL),(16,3800555,'1991-09-04 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241225131431523313492124610137043',NULL,'262',34.82,4,3,NULL),(16,3800563,'1974-09-15 00:00:00',2,1,12,1996,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241125371731426429432324610124047',NULL,'284',22.58,2,1,1),(16,3800580,'1986-04-21 00:00:00',4,1,4,2007,'M','N','LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC','124245247411272751225811275114610118181',NULL,'9999',0.00,4,3,NULL),(16,3800598,'1987-07-13 00:00:00',2,1,12,2007,'M','N','RATONES','FLORIANOPOLIS','SC','124241241112131431226623182324610138147',9942,'306',48.88,1,2,1),(16,3800601,'1991-07-04 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124241241627111431231219492124610144145',NULL,'262',29.04,1,3,NULL),(16,3800610,'1988-10-11 00:00:00',2,1,12,2007,'F','N','CASA','FLORIANóPOLIS','SC','124241241145371431523314386324610124192',NULL,'293',25.15,2,3,NULL),(16,3800628,'1991-07-19 00:00:00',4,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124243241436131431333413272124610133013',NULL,'262',27.54,1,3,NULL),(16,3800636,'1983-02-19 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANóPOLIS','SC','124134131216132711328729495334133263077',11490,'9998',46.19,1,3,NULL),(16,3800644,'1991-12-31 00:00:00',4,1,12,2008,'F','N','MORRO DA BINA','BIGUAçU','SC','124241241225131411323331112124610144182',NULL,'262',31.58,1,3,NULL),(16,3800652,'1990-05-02 00:00:00',2,1,7,2008,'F','N','IPIRANGA','S JOSé','SC','124242241615371311326629586314610115072',NULL,'739',26.30,1,3,NULL),(16,3800660,'1990-08-10 00:00:00',2,1,12,2007,'F','N','AREIAS DE MACACU','GAROPABA','SC','124241241126131411533311382124610118147',NULL,'322',30.84,4,2,1),(16,3800679,'1990-04-24 00:00:00',2,1,12,2006,'F','N','AREIAS DE MACACU','GAROPABA','SC','124241241126131431523511382324610114047',NULL,'322',0.00,1,2,1),(16,3800687,'1990-02-27 00:00:00',4,1,12,2007,'M','N','VARGEM DO BRAçO','STO AMARO IMPERATRIZ','SC','124241241117132431226664382344610127147',NULL,'772',35.27,1,2,1),(16,3800695,'1991-01-30 00:00:00',4,1,12,2008,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241225111432624439182124610123187',14942,'262',39.80,1,3,NULL),(16,3800709,'1990-12-14 00:00:00',4,1,12,2008,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241447111731426621286124610123147',13925,'262',41.80,1,3,NULL),(16,3800717,'1978-08-10 00:00:00',2,1,12,1996,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241281136134421428628142324122266097',NULL,'9998',0.00,1,2,1),(16,3800725,'1988-10-12 00:00:00',2,1,12,2006,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124241241126472731433314345124610115142',11055,'307',46.92,1,2,1),(16,3800733,'1989-08-12 00:00:00',2,1,12,2007,'F','N','AREIAS DO CAMPECHE','FLORIANóPOLIS','SC','124241241117272121438614595114610163197',NULL,'295',27.92,1,2,1),(16,3800741,'1988-10-16 01:00:00',2,1,12,2006,'F','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124243241116372431327329385124610124147',14093,'307',41.46,1,3,NULL),(16,3800750,'1986-10-17 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','124202201216573731127834392124241063147',NULL,'9998',0.00,4,3,NULL),(16,3800776,'1990-11-09 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241117131431328628235124610137147',NULL,'739',42.26,1,2,1),(16,3800784,'1969-07-01 00:00:00',4,1,12,1988,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','224251256136234451438844445124122966177',11676,'9998',45.86,1,2,1),(16,3800792,'1964-08-25 00:00:00',4,1,12,1985,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','224241241127134711433354482114610167145',NULL,'298',27.82,1,2,1),(16,3800806,'1987-10-31 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANóPOLIS','SC','124201201136132421113644345324610127117',NULL,'9998',31.56,1,2,1),(16,3800814,'1991-05-02 00:00:00',4,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSé','SC','124244241315471431336821575124610144097',12992,'267',43.52,4,3,NULL),(16,3800822,'1983-01-28 00:00:00',2,1,12,2000,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241216132411626616295121222921077',NULL,'720',25.15,1,3,NULL),(16,3800830,'1987-06-27 00:00:00',2,1,12,2005,'F','N','SERRINHA','FLORIANóPOLIS','SC','124241241121134431423329241224122326142',NULL,'298',25.43,1,2,1),(16,3800849,'1980-06-28 00:00:00',2,1,12,2002,'F','N','INGLESES','FLORIANóPOLIS','SC','124201201126131431126348382314140222047',NULL,'9998',29.36,2,2,1),(16,3800857,'1984-07-12 00:00:00',4,1,12,2001,'M','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','224241241117133431323344342224610133067',NULL,'275',26.09,1,3,NULL),(16,3800865,'1979-04-04 00:00:00',2,1,12,1999,'F','N','JOSE MENDES','FLORIANóPOLIS','SC','124251254125575331323434382124610135187',16398,'9998',35.94,2,2,1),(16,3800873,'1989-03-14 00:00:00',2,1,11,2008,'F','N','SERRARIA','S JOSé','SC','124241241135141731313363296324610127012',NULL,'307',0.00,4,1,1),(16,3800881,'1983-11-05 00:00:00',2,1,5,2005,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241247127131411233371115133610118147',NULL,'362',0.00,1,3,NULL),(16,3800890,'1986-06-24 00:00:00',2,1,12,2005,'M','N','FREITAS','PAULO LOPES','SC','124241241125573431321329345314610127187',13740,'307',42.19,2,1,1),(16,3800903,'1977-02-08 00:00:00',2,1,6,2000,'M','N','CENTRO','FLORIANóPOLIS','SC','124241247127133431423321182344610131092',NULL,'263',25.51,1,2,1),(16,3800911,'1991-03-07 00:00:00',4,1,12,2008,'F','N','PASSA VINTE','PALHOçA','SC','124241241225131431326374375124610124197',NULL,'262',27.87,1,3,NULL),(16,3800920,'1990-03-17 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241226131731224669342324610123012',NULL,'262',28.97,4,3,NULL),(16,3800938,'1982-01-18 00:00:00',2,1,12,1999,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124201241126131411213344141224610148182',16268,'29',36.47,1,2,1),(16,3800946,'1991-08-15 00:00:00',4,1,12,2008,'M','N','RIO GRANDE','PALHOçA','SC','124241241225111431323319242124610137187',14147,'262',41.34,4,3,NULL),(16,3800954,'1991-07-05 00:00:00',2,1,12,2008,'F','N','CACHOEIRA DO BOM J','FLORIANóPOLIS','SC','124241241115131531326569372324610164147',NULL,'288',18.09,1,2,1),(16,3800962,'1980-02-26 00:00:00',2,1,12,1997,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241122135431226444442134610126097',16427,'292',35.80,1,3,NULL),(16,3800970,'1987-07-18 00:00:00',2,1,12,2006,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124201241125473731636639142234610123057',12967,'274',43.56,1,2,1),(16,3800989,'1982-07-29 00:00:00',2,1,12,2003,'F','N','KOBRASOL','S JOSé','SC','124241241112145751423314482124610168077',NULL,'359',18.64,2,1,1),(16,3801012,'1984-09-30 00:00:00',2,1,12,2006,'M','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124241241127131112531337144344610117042',NULL,'288',22.80,1,2,1),(16,3801020,'1971-10-25 00:00:00',2,1,12,1993,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241243121134431321341211212610165047',NULL,'282',0.00,1,2,1),(16,3801039,'1988-09-01 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124241241126373431423623475124610133057',NULL,'257',20.35,2,1,1),(16,3801047,'1989-08-05 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANóPOLIS','SC','124051051112131431416624442324610164072',NULL,'9998',24.24,4,2,1),(16,3801055,'1987-06-22 00:00:00',2,1,12,2004,'F','N','CANTO','FLORIANóPOLIS','SC','124241241112344421333614382124610126197',NULL,'293',0.00,1,3,NULL),(16,3801063,'1981-06-20 00:00:00',2,1,11,2004,'M','N','ABRAãO','FLORIANóPOLIS','SC','124201207126272431117344245334610123097',NULL,'9998',23.12,2,1,1),(16,3801071,'1982-11-11 00:00:00',2,1,12,2000,'F','N','BARREIROS','S JOSé','SC','124243241215135431636627442134122724017',NULL,'266',27.33,2,1,2),(16,3801080,'1979-02-21 00:00:00',2,1,11,1997,'F','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','224241241112134421328554375124610121187',NULL,'281',0.00,1,2,1),(16,3801098,'1988-11-30 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241242137132111223649196124130264175',NULL,'758',31.12,1,2,1),(16,3801101,'1981-10-06 00:00:00',2,1,12,2008,'M','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','224252247326144731327444245122610168052',NULL,'9997',0.00,1,3,NULL),(16,3801110,'1991-03-18 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241115131731324124345114610137057',NULL,'288',26.30,4,2,1),(16,3801128,'1991-12-05 00:00:00',2,1,12,2008,'M','N','TAPERA','FLORIANóPOLIS','SC','124241241112471732425624572344610127042',NULL,'298',25.85,4,2,1),(16,3801144,'1991-07-27 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242247217151232227624476114610112092',NULL,'9999',23.20,1,3,NULL),(16,3801152,'1981-08-09 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241147374431335623192124322325097',9549,'158',49.62,2,1,1),(16,3801160,'1983-11-03 00:00:00',2,1,12,2003,'M','N','BOM VIVER','BIGUACU','SC','124244241217132132325314581344610124097',NULL,'1076',22.03,1,3,NULL),(16,3801179,'1991-04-27 00:00:00',2,1,12,2008,'M','N','SANTOS DUMONT','S JOSé','SC','124241241337131431633614146124610137057',NULL,'257',30.16,1,3,NULL),(16,3801187,'1989-02-27 00:00:00',2,1,11,2008,'F','N','JARDIM ATLANTICO','S JOSé','SC','124141241115131751224729582344610168057',NULL,'307',29.25,4,3,NULL),(16,3801209,'1990-12-04 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124241241437111411323624342114610147017',5910,'1011',56.56,1,3,NULL),(16,3801217,'1990-11-09 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241112271731529364392334610168147',NULL,'281',0.00,2,1,1),(16,3801225,'1988-05-31 00:00:00',2,1,12,2005,'F','N','SAO LUIZ','S JOSé','SC','124241241122132431326314242344610122187',NULL,'729',22.05,1,2,1),(16,3801233,'1990-05-19 00:00:00',4,1,12,2008,'F','N','SãO LUIZ','S JOSé','SC','124241241112131431326314282344610121087',NULL,'729',18.02,1,2,1),(16,3801241,'1991-08-09 00:00:00',4,1,12,2008,'M','N','TAPERA','FLORIANóPOLIS','SC','124241241225131431536614182224610134052',15458,'262',38.63,1,3,NULL),(16,3801250,'1951-01-08 00:00:00',2,1,12,2002,'F','N','AREIAS DO CAMPECHE','FLORIANóPOLIS','SC','524251257127574411123349292124610166097',NULL,'9998',26.24,1,2,1),(16,3801268,'1991-11-07 00:00:00',2,1,12,2008,'F','N','CANTO','FLORIANóPOLIS','SC','124203241115471751427618576345610134147',11885,'257',45.49,1,3,NULL),(16,3801276,'1982-01-24 00:00:00',2,1,12,1999,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','224241241126133121324448385122230817047',NULL,'257',24.47,2,1,1),(16,3801292,'1986-01-20 00:00:00',2,1,12,2004,'F','N','CAMPINAS','SAO JOSE','SC','124241241137131731333344442114610134057',NULL,'256',28.30,1,3,NULL),(16,3801306,'1979-10-12 00:00:00',2,1,11,1999,'F','N','INGLESES','FLORIANOPOLIS','SC','124243246116133421536823345124320368093',9705,'306',49.34,1,3,NULL),(16,3801314,'1983-03-18 00:00:00',4,1,10,2001,'M','N','CENTRO','FLORIANóPOLIS','SC','124241246116332431321129345334610127052',NULL,'306',24.25,1,3,NULL),(16,3801322,'1981-06-24 00:00:00',2,1,1,2000,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','624251251127261432323144242114610117181',NULL,'9998',25.40,4,2,1),(16,3801330,'1989-10-07 00:00:00',2,1,12,2008,'F','N','PASSA VINTE','PALHOçA','SC','124241241225111321533823341224610124063',NULL,'262',24.54,2,1,2),(16,3801349,'1991-02-26 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124253241115271431438734572124610134092',14497,'267',40.71,1,3,NULL),(16,3801365,'1970-05-22 00:00:00',2,1,12,2002,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','124201241127134441426363472244610141187',NULL,'733',29.43,1,3,NULL),(16,3801373,'1965-10-02 00:00:00',2,1,12,1983,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','224201208131161421213344141333110218042',NULL,'9998',27.21,2,1,1),(16,3801381,'1991-01-04 00:00:00',4,1,12,2008,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241226111431323313275124610126047',13763,'262',42.14,1,3,NULL),(16,3801390,'1991-04-24 00:00:00',4,1,12,2008,'M','N','RIO CAVEIRAS','BIGUAçU','SC','124241241225111431423311212114610111142',8271,'262',51.84,1,3,NULL),(16,3801403,'1991-04-19 00:00:00',4,1,12,2008,'M','N','ABRAãO','FLORIANóPOLIS','SC','124241241225271431423614315124610167017',9242,'262',50.17,1,3,NULL),(16,3801411,'1984-11-01 00:00:00',4,1,12,2002,'M','N','SERRARIA','S JOSé','SC','224241241221133431325644242114131354067',15214,'262',39.16,4,3,NULL),(16,3801420,'1988-04-05 00:00:00',4,1,12,2005,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124202241111154421426614481124610122191',NULL,'281',0.00,3,3,NULL),(16,3801438,'1985-05-17 00:00:00',4,1,10,2002,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241315375431236629341124610124097',10789,'9997',47.39,1,3,NULL),(16,3801446,'1982-03-16 00:00:00',4,1,12,2001,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241222134711423344142334610114052',NULL,'262',28.77,4,1,2),(16,3801470,'1987-03-16 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANóPOLIS','SC','124201241121273411224649291124610128182',NULL,'922',0.00,1,2,1),(16,3801497,'1991-04-08 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSé','SC','124241241115271732423414272114610114057',16478,'733',35.56,4,2,1),(16,3801500,'1991-01-04 00:00:00',4,1,11,2008,'F','N','JARDIM ELDORADO','PALHOçA','SC','124241241116131731315664585124610124147',NULL,'733',23.52,1,2,1),(16,3801519,'1991-06-20 00:00:00',2,1,12,2008,'M','N','FORQUILHAS','S JOSé','SC','124241241116131231324329472324610118047',8176,'733',52.06,1,2,1),(16,3801527,'1982-02-26 00:00:00',2,1,12,1999,'F','N','FORQUILHINHAS','S JOSé','SC','124241241337275421432629242134610124147',11318,'293',46.45,1,3,NULL),(16,3801535,'1990-12-15 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241315131431548627475124610134057',12520,'271',44.34,1,3,NULL),(16,3801543,'1981-07-07 00:00:00',2,1,12,1997,'M','N','BOM VIVER','BIGUAçU','SC','224241241146132721221443132113121217053',NULL,'734',24.30,4,1,1),(16,3801560,'1988-03-14 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124071071137132551326624595344221468077',11456,'9998',46.25,4,1,1),(16,3801578,'1966-08-16 00:00:00',2,1,12,1986,'F','N','FLOR DE NAPOLIS','S JOSé','SC','124241241125171731123441195124130623187',NULL,'9997',28.88,2,1,1),(16,3801586,'1981-01-18 00:00:00',4,1,12,1999,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241112131411336443332112610117047',NULL,'307',36.18,1,2,1),(16,3801594,'1991-03-28 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','S JOSé','SC','124243241217132431424624573114610114157',13395,'1075',42.80,1,3,NULL),(16,3801616,'1986-03-09 00:00:00',2,1,12,2003,'F','N','CRUZEIRO NOVO','CRUZEIRO','DF','107241241127575441546613482112610121097',13474,'281',42.65,1,2,1),(16,3801624,'1986-08-14 00:00:00',2,1,12,2005,'F','N','JARDIM DAS ACáCIAS','S JOSé','SC','124241241116274431328869241114610134097',NULL,'257',25.92,1,2,1),(16,3801632,'1988-05-03 00:00:00',4,1,12,2002,'F','N','PASSA VINTE','PALHOCA','SC','124241241111131432334415171124610126147',NULL,'307',21.10,1,2,1),(16,3801659,'1991-08-25 00:00:00',2,1,12,2008,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124241241117141731613439292124610127043',NULL,'279',25.34,1,2,1),(16,3801691,'1990-02-03 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241131151431624523491324610128142',NULL,'257',0.00,1,2,1),(16,3801705,'1991-01-21 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241212132431434419572114610167077',7951,'1036',52.51,1,3,NULL),(16,3801713,'1979-07-25 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124251251122131431223241312344610164197',NULL,'9998',21.62,4,1,1),(16,3801721,'1991-07-25 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241225111451527711312224610125057',10675,'262',47.61,1,3,NULL),(16,3801730,'1990-11-19 00:00:00',2,1,12,2007,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241136272431323319272124610112057',9311,'64',50.05,1,2,1),(16,3801756,'1978-10-25 00:00:00',2,1,12,1995,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241126235411123348186343610124147',NULL,'239',0.00,1,2,1),(16,3801764,'1982-06-07 00:00:00',2,1,2,2000,'M','N','FORQUILHINHAS','S JOSé','SC','124241248137134721535311116133610122177',14955,'739',39.77,1,2,1),(16,3801772,'1989-04-29 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124243241112473231326624572114610123181',7313,'307',53.68,2,1,2),(16,3801780,'1991-01-23 00:00:00',2,1,12,2008,'M','N','TERESóPOLIS','PTO ALEGRE','RS','120201201117471442536923392124610127047',4595,'9998',59.58,1,2,1),(16,3801799,'1991-07-08 00:00:00',4,1,12,2008,'F','N','ARMAçãO P DOS SUL','FLORIANóPOLIS','SC','124241241227371451333411572124610134152',10487,'262',47.93,1,3,NULL),(16,3801802,'1986-05-19 00:00:00',2,1,6,2006,'M','N','FLOR DE NáPOLIS','S JOSé','SC','124241247336133421446314342224610164042',15580,'9999',38.36,1,3,NULL),(16,3801810,'1990-04-21 00:00:00',4,1,12,2007,'F','N','JARDIM ANCHIETA','FLORIANóPOLIS','SC','124241241126471731424624395124610133142',NULL,'537',20.61,1,2,1),(16,3801829,'1989-04-02 00:00:00',2,1,12,2007,'M','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241117472731632423382314610148045',NULL,'281',25.05,2,1,1),(16,3801837,'1983-06-28 00:00:00',2,1,12,2001,'F','N','FLOR DE NAPOLIS','S JOSé','SC','124241245111131421423314433224610126147',NULL,'156',29.39,4,2,1),(16,3801845,'1991-06-19 00:00:00',4,1,12,2008,'F','N','IPIRANGA','S JOSé','SC','124241241115131431423334292124610134147',NULL,'734',17.98,1,2,1),(16,3801853,'1944-04-27 00:00:00',2,1,12,2001,'M','N','PANTANAL','FLORIANóPOLIS','SC','224201207127131421214459182324610128097',11154,'9999',46.73,1,2,1),(16,3801861,'1979-01-26 00:00:00',2,1,12,1997,'F','N','TRINDADE','FLORIANóPOLIS','SC','124203241316375431127349295124121164145',7801,'298',52.76,1,3,NULL),(16,3801870,'1990-08-05 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','120201201116111131336513175124610137147',10406,'9998',48.08,1,2,1),(16,3801888,'1986-10-17 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241115575431441314482124610128047',NULL,'307',41.06,1,2,1),(16,3801896,'1989-10-09 00:00:00',2,1,12,2006,'F','N','PASSA VINTE','PALHOçA','SC','124241241116471731424311285124610124057',NULL,'592',25.34,1,2,1),(16,3801900,'1989-05-11 00:00:00',4,1,12,2006,'F','N','ALTO ARIRIú','PALHOçA','SC','124241241116472431433614385124610134057',14280,'772',41.08,1,2,1),(16,3801926,'1990-05-27 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241115271731423644242234610128077',NULL,'281',24.27,4,2,1),(16,3801934,'1990-09-16 00:00:00',4,1,12,2007,'F','N','CAMINHO NOVO','PALHOçA','SC','124241241117141431426634345124610164022',NULL,'591',24.15,1,2,1),(16,3801942,'1990-02-09 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124244241226372431423339275124610168071',3164,'262',63.37,1,3,NULL),(16,3801950,'1976-09-25 00:00:00',2,1,12,1994,'F','N','BREJARU','PALHOçA','SC','224243245127231751325644246234610162062',NULL,'293',28.43,1,3,NULL),(16,3801969,'1991-11-17 00:00:00',2,1,12,2008,'M','N','SANTOS DUMONT','S JOSé','SC','124243241225131432426634575124610135112',16587,'262',34.94,1,3,NULL),(16,3801977,'1991-08-09 00:00:00',4,1,11,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241227131431424411572224610161047',10001,'262',48.77,1,3,NULL),(16,3801985,'1991-02-22 00:00:00',4,1,12,2008,'M','N','CAMINHO NOVO','PALHOçA','SC','124241241225131711533634342324610134147',NULL,'9997',34.06,1,3,NULL),(16,3801993,'1970-08-18 00:00:00',2,1,12,2007,'F','N','MONTE CRITO','FLORIANóPOLIS','SC','324262247322131431514641212344610126117',NULL,'300',16.19,4,3,NULL),(16,3802000,'1990-07-29 00:00:00',2,1,12,2007,'F','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241241112132231516621282344610123117',NULL,'300',20.41,4,3,NULL),(16,3802019,'1991-08-31 00:00:00',4,1,11,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241225131431535924575224610134012',15295,'262',38.98,1,3,NULL),(16,3802027,'1977-01-25 00:00:00',2,1,12,1996,'M','N','CENTRO','FLORIANóPOLIS','SC','124241248127132431123344442324610127047',12060,'520',45.17,2,1,1),(16,3802035,'1977-02-16 00:00:00',4,1,12,1998,'M','N','FUNDOS','BIGUAçU','SC','224241248121474411221244341344610136052',NULL,'66',27.38,2,2,1),(16,3802051,'1987-07-19 00:00:00',2,1,12,2004,'F','N','CAHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124241241212575441313317241124122925092',6168,'1048',56.00,1,3,NULL),(16,3802060,'1989-10-08 00:00:00',2,1,11,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241111112431316729585124610167097',11562,'271',46.07,1,3,NULL),(16,3802078,'1968-11-24 00:00:00',4,1,7,2005,'F','N','CORREGO GRANDE','FLORIANOPOLIS','SC','124241247122131112113449392344610135147',14944,'9999',39.80,1,2,1),(16,3802086,'1983-05-24 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANóPOLIS','SC','124243247146131231424823345334610113092',NULL,'307',20.01,1,3,NULL),(16,3802094,'1991-10-29 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241116131431533624442124610124147',NULL,'288',38.65,1,2,1),(16,3802108,'1972-08-26 00:00:00',2,1,12,2005,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241247221134431326444441124610126041',14729,'300',40.21,1,3,NULL),(16,3802116,'1988-03-29 00:00:00',2,1,12,2005,'M','N','SERRARIA','S JOSé','SC','124241241127273411423444246214610114142',NULL,'295',34.75,1,2,1),(16,3802124,'1990-08-07 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124243241316472431426611572124610167042',12293,'300',44.73,1,3,NULL),(16,3802132,'1985-12-07 00:00:00',4,1,12,2003,'F','N','ITACORUBI','FLORIANóPOLIS','SC','224241241115232421226644446134133228197',NULL,'271',0.00,4,3,NULL),(16,3802140,'1988-02-11 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124241241126271731113344445124610126072',NULL,'828',22.18,4,3,NULL),(16,3802159,'1989-06-20 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241135271441116644345124610146012',11907,'140',45.43,4,3,NULL),(16,3802167,'1986-05-20 00:00:00',2,1,7,2006,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124243247621473411626319175114610118182',NULL,'9999',24.47,1,3,NULL),(16,3802175,'1987-10-25 01:00:00',2,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241124475421626319242134130266182',NULL,'592',27.28,1,2,1),(16,3802183,'1991-03-19 00:00:00',2,1,12,2008,'M','N','CAMINHO NOVO','PALHOçA','SC','124241241222132431533612214132610147147',14732,'262',40.21,1,3,NULL),(16,3802205,'1967-12-12 00:00:00',4,1,12,1993,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241146133731624439241334610128055',NULL,'289',0.00,2,2,1),(16,3802213,'1988-04-18 00:00:00',2,1,12,2005,'F','N','INGLESES DO RIO VERM','FLORIANóPOLIS','SC','124131131112131431328744342324610134163',NULL,'9998',27.16,3,3,NULL),(16,3802221,'1987-10-03 00:00:00',2,1,12,2005,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241247422373411335623392124610128027',NULL,'300',46.05,4,3,NULL),(16,3802230,'1988-11-21 00:00:00',4,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241247621161421626319172124610124183',16498,'9999',35.47,1,3,NULL),(16,3802248,'1983-03-15 00:00:00',2,1,12,2003,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','624243241321133751514444242314610164047',16669,'596',34.11,1,3,NULL),(16,3802256,'1989-01-31 00:00:00',2,1,12,2005,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124201201147232431113344245334141924043',12211,'9998',44.88,1,3,NULL),(16,3802264,'1987-10-15 00:00:00',2,1,11,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241216144431524615575124233267013',13476,'720',42.65,1,3,NULL),(16,3802272,'1981-12-20 00:00:00',2,1,8,2008,'F','N','INGLESES','FLORIANOPOLIS','SC','224201247122131721525554382344610113097',NULL,'9999',25.11,4,3,NULL),(16,3802280,'1989-05-01 00:00:00',4,1,9,2007,'M','N','CENTRO','S JOSé','SC','124242241117272411336627312124610147147',15656,'739',38.18,1,3,NULL),(16,3802299,'1984-06-18 00:00:00',2,1,12,2001,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241126135411333339242224231822092',9547,'307',49.62,3,2,1),(16,3802302,'1979-10-26 00:00:00',2,1,12,2001,'F','N','VILA SAO JOAO','FLORIANóPOLIS','SC','124241241111473411323329442344610144141',NULL,'293',26.81,1,2,1),(16,3802310,'1983-03-26 00:00:00',2,1,12,2000,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','624251251117132721326641112311610121094',NULL,'9998',27.33,1,3,NULL),(16,3802329,'1984-08-23 00:00:00',2,1,12,2002,'F','N','ITACORUBI','FLORIANOPOLIS','SC','624161161126133531433374242124610165047',NULL,'9998',27.33,1,2,1),(16,3802337,'1989-10-05 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124242241416372431429613392124610166097',NULL,'1048',42.00,1,3,NULL),(16,3802345,'1990-05-16 00:00:00',2,1,12,2007,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124242241236372431436613572124231227022',14429,'272',40.83,1,3,NULL),(16,3802353,'1983-04-01 00:00:00',2,1,12,2000,'F','N','INGLESES','FLORIANóPOLIS','SC','124251251146131431636774242114610121047',NULL,'9998',25.29,1,2,1),(16,3802361,'1991-10-07 00:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241137131431426321182224610114142',NULL,'281',16.06,1,3,NULL),(16,3802370,'1989-04-25 00:00:00',2,1,12,2007,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124191191117131421331644441314610166093',16582,'9998',34.98,4,1,1),(16,3802388,'1987-04-30 00:00:00',2,1,12,2005,'M','N','MORRO DAS PEDRAS','FLORIANOPOLIS','SC','124191191117371431333349572114610134042',NULL,'9998',26.61,1,2,1),(16,3802396,'1989-03-07 00:00:00',2,1,12,2006,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124191191111131431322644441224610126147',NULL,'9998',0.00,1,2,1),(16,3802400,'1991-06-04 00:00:00',2,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241215121731446824376124610167112',5214,'299',58.09,1,3,NULL),(16,3802426,'1980-05-10 00:00:00',2,1,12,1997,'F','N','INGLESES','FLORIANóPOLIS','SC','124251253147131411653744185134610123197',NULL,'9998',0.00,4,2,1),(16,3802434,'1978-11-05 00:00:00',2,1,12,1997,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241117132431216669482344610122097',NULL,'307',26.45,2,1,1),(16,3802450,'1989-02-09 00:00:00',4,1,12,2006,'M','N','ARMAÇÃO','FLORIANóPOLIS','SC','124263247315131431226674342234610111011',NULL,'9999',25.03,1,3,NULL),(16,3802469,'1987-09-11 00:00:00',4,1,12,2006,'F','N','ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC','124263247337131431225644241224610128187',NULL,'9999',24.55,1,3,NULL),(16,3802477,'1991-01-07 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241115132432414424574345610166177',6136,'552',56.05,1,2,1),(16,3802485,'1976-03-15 00:00:00',4,1,12,1999,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124201241145133111223329442224610131067',NULL,'285',25.01,1,2,1),(16,3802493,'1990-10-16 00:00:00',2,1,12,2007,'F','N','COSTA DA LAGOA','FLORIANóPOLIS','SC','124241241317132531436313432124233264042',11839,'269',45.58,1,3,NULL),(16,3802507,'1981-03-23 00:00:00',2,1,11,1998,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124202201211131411116679442334140642047',15123,'9998',39.36,1,3,NULL),(16,3802531,'1988-03-15 00:00:00',2,1,12,2006,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241127142711126544241324231026192',NULL,'574',0.00,1,3,NULL),(16,3802540,'1987-04-24 00:00:00',4,1,11,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241126142431324414345324610137042',NULL,'307',23.66,1,2,1),(16,3802566,'1976-03-01 00:00:00',4,1,12,1992,'M','N','BARREIROS','S JOSé','SC','224241241216135421226744145334122362077',NULL,'525',0.00,4,1,2),(16,3802574,'1978-03-28 00:00:00',2,1,12,1997,'F','N','BARREIROS','S JOSé','SC','224243241112133431223354382114131011197',NULL,'307',0.00,4,1,2),(16,3802582,'1990-11-12 00:00:00',4,1,12,2008,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124241241225111431537513277114610124057',12428,'262',44.50,1,3,NULL),(16,3802590,'1990-12-07 00:00:00',2,1,12,2008,'F','N','CAMINHO NOVO','PALHOçA','SC','124241241225141421223321215124610167147',16264,'262',36.49,1,3,NULL),(16,3802604,'1988-02-23 00:00:00',2,1,12,2005,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124252251215573431536721472114610167047',4523,'9998',59.71,1,3,NULL),(16,3802612,'1989-06-26 00:00:00',4,1,12,2008,'M','N','CENTRO','PALHOçA','SC','124241241225111431436614446114610137047',NULL,'262',25.48,1,3,NULL),(16,3802620,'1991-08-04 00:00:00',2,1,11,2008,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241325131431425311475124610138057',14043,'262',41.56,1,3,NULL),(16,3802639,'1991-07-31 00:00:00',4,1,11,2008,'M','N','JARDIM ELDORADO','PALHOçA','SC','124241241225111431523319285134610134012',14409,'262',40.86,1,3,NULL),(16,3802647,'1979-06-11 00:00:00',2,1,6,1997,'F','N','FAZENDA SANTO ANTôNI','S JOSé','SC','624201207327132731223354182114131335097',NULL,'9999',25.69,1,3,NULL),(16,3802655,'1989-09-09 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124271241117471431121323315335610117057',NULL,'298',16.95,4,2,1),(16,3802663,'1985-07-03 00:00:00',4,1,12,2003,'M','N','BREJARU','PALHOçA','SC','124241246123134611421328273324133246177',NULL,'262',23.94,4,3,NULL),(16,3802671,'1991-04-27 00:00:00',2,1,12,2008,'F','N','SANTINHO','FLORIANóPOLIS','SC','124241241112131732325434585124610128142',NULL,'288',19.47,1,2,1),(16,3802680,'1991-06-01 00:00:00',2,1,12,2008,'F','N','SOROCABA','PAULO LOPES','SC','124241241225111432633334272124610138147',10840,'262',47.29,1,3,NULL),(16,3802698,'1991-07-02 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241112131732413939345124610134141',NULL,'288',20.57,1,2,1),(16,3802701,'1991-06-14 00:00:00',2,1,12,2008,'F','N','PINHEIRA','PALHOçA','SC','124241241315121431434923572344610167071',10300,'1022',48.26,1,3,NULL),(16,3802728,'1984-12-28 00:00:00',2,1,12,2002,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124201201112473431114349292324233263097',5821,'9998',56.75,1,2,1),(16,3802736,'1989-12-25 00:00:00',4,1,12,2008,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241227131421235324242124610134147',NULL,'262',27.09,1,3,NULL),(16,3802744,'1989-07-10 00:00:00',2,1,12,2006,'F','N','RIO CAVEIRAS','BIGUAçU','SC','124241241115473431636311475124610122142',4981,'65',58.65,1,2,1),(16,3802752,'1986-10-12 00:00:00',2,1,12,2004,'F','N','RIO CAVEIRAS','BIGUAçU','SC','124241241111134431636411481124233221142',8854,'65',50.80,1,2,1),(16,3802760,'1990-10-28 00:00:00',2,1,12,2008,'F','N','PâNTANO DO SUL','FLORIANóPOLIS','SC','124241241145131411416627281324610162147',NULL,'291',0.00,4,2,1),(16,3802779,'1991-06-06 00:00:00',4,1,11,2008,'M','N','FORQUILHAS','S JOSé','SC','124241241115131431636669372224610117047',NULL,'733',19.79,4,3,NULL),(16,3802787,'1991-09-17 00:00:00',4,1,12,2008,'M','N','FORQUILHAS','S JOSé','SC','124241241115131431526511371124610137077',5799,'733',56.81,1,2,1),(16,3802809,'1982-08-31 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241247246212121228853382214610162177',NULL,'9999',16.99,1,3,NULL),(16,3802817,'1991-04-19 00:00:00',4,1,12,2008,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241225111431521324295324610126177',11114,'262',46.81,1,3,NULL),(16,3802825,'1991-02-03 00:00:00',4,1,12,2008,'M','N','ARMAçAO','FLORIANóPOLIS','SC','124241241227141431524721246324610124117',11973,'262',45.30,1,3,NULL),(16,3802841,'1988-05-24 00:00:00',2,1,11,2005,'M','N','PANTANAL','FLORIANóPOLIS','SC','624251251146272321226644245114610134087',NULL,'9998',25.81,2,1,1),(16,3802850,'1988-09-11 00:00:00',4,1,11,2005,'F','N','PANTANAL','FLORIANóPOLIS','SC','624251251146132411223654245114610146023',9801,'9998',49.15,4,1,1),(16,3802876,'1990-04-14 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241236132431523615255125610167145',NULL,'1098',19.49,1,3,NULL),(16,3802884,'1990-10-28 00:00:00',2,1,12,2008,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241115372431433311575124610123142',NULL,'9997',16.53,1,2,1),(16,3802906,'1983-08-20 00:00:00',2,1,12,2000,'F','N','KOBRASOL','S JOSé','SC','124241241146375751433879145334223068147',13609,'808',42.44,1,2,1),(16,3802914,'1987-02-05 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124212217336152231228729395224233264192',NULL,'9998',0.00,1,3,NULL),(16,3802922,'1981-04-02 00:00:00',2,1,12,2001,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241122473321426624342114610124097',NULL,'307',17.80,2,1,1),(16,3802930,'1985-01-26 00:00:00',4,1,5,2004,'F','N','ABRAAO','FLORIANóPOLIS','SC','124241241116133431226529245124222236183',10792,'306',47.38,1,2,1),(16,3802949,'1991-03-02 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124201241116131411423369575124610122147',16484,'307',35.53,1,3,NULL),(16,3802957,'1987-10-27 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124251131415133441615419315124610126097',8589,'9998',51.27,1,3,NULL),(16,3802965,'1983-05-07 00:00:00',2,1,11,2000,'F','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124241241127133731126344242314610124142',NULL,'288',30.01,1,2,1),(16,3802973,'1981-10-20 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241244122131431221348182324610133197',NULL,'306',21.91,2,1,1),(16,3802981,'1978-09-01 00:00:00',4,1,12,2000,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','224241241117373431232353385124130727037',NULL,'184',24.01,1,2,1),(16,3802990,'1981-07-31 00:00:00',2,1,7,2000,'F','N','IPIRANGA','S JOSé','SC','124246247215272421225613342124610142182',NULL,'9999',22.60,4,1,2),(16,3803007,'1972-01-17 00:00:00',2,1,7,2000,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124254247441132751223344442324610128197',NULL,'270',7.54,1,3,NULL),(16,3803015,'1976-05-25 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241125131421314349242314610126017',3532,'285',62.29,1,2,1),(16,3803023,'1988-08-12 00:00:00',2,3,12,2005,'F','N','CENTRO','BAL CAMBORIú','SC','124161161116373431324544345231610164187',11161,'9998',46.72,1,2,1),(16,3803031,'1989-12-29 00:00:00',2,1,12,2008,'F','N','RATONES','FLORIANóPOLIS','SC','124241241116131232223324395124610157142',NULL,'9997',18.13,4,2,1),(16,3803040,'1983-02-04 00:00:00',2,1,12,2000,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124251251116132431126648385124333242092',NULL,'9998',0.00,1,2,1),(16,3803058,'1990-12-21 00:00:00',4,2,12,2008,'F','N','BELA VISTA','GASPAR','SC','124242241215131431328814572124610136017',7498,'71',53.33,1,3,NULL),(16,3803074,'1987-07-07 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','125251251127131431213367282324610127057',NULL,'9998',0.00,4,1,1),(16,3803082,'1990-04-05 00:00:00',2,1,12,2007,'M','N','JOSé MENDES','FLORIANóPOLIS','SC','124241241116132431325314345124610164095',6509,'307',55.25,1,2,1),(16,3803104,'1991-04-16 00:00:00',2,9,12,2008,'M','N','CENTRO','STA CECíLIA','SC','124241246115141431433314242125233222042',NULL,'686',20.81,1,3,NULL),(16,3803112,'1988-03-15 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','624201203137131712225544345124610166112',NULL,'9998',0.00,1,2,1),(16,3803147,'1987-12-02 00:00:00',4,6,12,2005,'F','N','CENTRO','BAL CAMBORIú','SC','124201201117131732113648485315610131197',NULL,'9998',21.48,1,2,1),(16,3803155,'1991-08-14 00:00:00',2,1,12,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241115131432315369292211610127017',NULL,'941',27.61,1,3,NULL),(16,3803163,'1991-06-21 00:00:00',4,8,12,2008,'F','N','JARDIM CENTENáRIO','JARAGUá SUL','SC','124241241115371431428614275122610118142',NULL,'430',42.51,1,3,NULL),(16,3803171,'1991-03-25 00:00:00',4,6,12,2008,'F','N','SãO JOãO','ITAJAí','SC','124243241217131411346823472124610127047',5248,'388',58.01,1,3,NULL),(16,3803180,'1991-05-12 00:00:00',2,1,12,2008,'M','N','POçO FUNDO','STO AMARO IMPERATRIZ','SC','124241241116131431534414581224610117057',NULL,'941',35.56,1,2,1),(16,3803198,'1991-10-01 00:00:00',4,1,12,2008,'M','N','SãO SEBASTIãO','PALHOçA','SC','124241241137131431426664345134610127042',NULL,'592',44.37,1,2,1),(16,3803201,'1982-04-01 00:00:00',2,1,12,2000,'M','N','PONTE DO IMARUIM','PALHOçA','SC','224241241126273412221144442214610114142',NULL,'607',29.99,1,3,NULL),(16,3803210,'1990-09-06 00:00:00',4,1,12,2008,'F','N','JARDIM SANTA MôNICA','FLORIANóPOLIS','SC','224161241116371431226541214324610121052',8260,'281',51.85,1,2,1),(16,3803228,'1988-07-24 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241317472111226629285124131066147',NULL,'257',27.35,1,3,NULL),(16,3803236,'1979-07-31 00:00:00',4,1,11,1998,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241146131411326644245124230227112',NULL,'277',27.28,1,2,1),(16,3803244,'1987-04-29 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241416575411237824375125610128097',15450,'307',38.64,1,3,NULL),(16,3803252,'1964-07-27 00:00:00',4,1,12,1981,'F','N','CARIANOS','FLORIANóPOLIS','SC','224241243112134421544553295122122214097',NULL,'307',24.24,1,3,NULL),(16,3803260,'1979-09-12 00:00:00',2,1,12,2004,'F','N','TAPERA','FLORIANóPOLIS','SC','124243241127273431533324345334610128182',13934,'281',41.79,1,3,NULL),(16,3803287,'1987-01-25 00:00:00',2,1,12,2004,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241117135431547713392123610124157',NULL,'307',22.52,1,3,NULL),(16,3803295,'1982-05-09 00:00:00',4,1,12,1999,'F','N','TRINDADE','FLORIANOPOLIS','SC','224253251217131711227354475221221112147',12528,'9998',44.31,1,3,NULL),(16,3803309,'1985-04-03 00:00:00',2,1,11,2004,'M','N','CAMPINAS','S JOSé','SC','124171171122132422123444342334610152183',NULL,'9998',25.41,1,2,1),(16,3803317,'1987-09-07 00:00:00',2,1,12,2004,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241146274431433639575114610132057',9793,'307',49.17,1,2,1),(16,3803325,'1987-05-17 00:00:00',5,1,12,2004,'F','N','SERRINHA','FLORIANóPOLIS','SC','124241241127134451233335392124222238187',9454,'36',49.81,1,2,1),(16,3803333,'1989-05-28 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124244241217153431446823395124231243042',8957,'270',50.65,1,3,NULL),(16,3803341,'1970-12-07 00:00:00',2,1,12,1992,'M','N','JD MARCOS ANTONIO','BIGUAçU','SC','624241243121275411226944341234120827047',10615,'66',47.70,4,2,1),(16,3803350,'1988-06-18 00:00:00',2,1,12,2005,'M','N','KOBRASSOL','S JOSé','SC','124241241112173311226624375314133267117',7839,'359',52.70,1,2,1),(16,3803368,'1984-08-29 00:00:00',2,1,7,2002,'F','N','VENDAVAL','BIGUAçU','SC','124241241127372431223451245124610168147',6622,'65',55.01,1,2,1),(16,3803376,'1989-11-01 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124241248127372731113144442144610118012',NULL,'828',0.00,1,2,1),(16,3803384,'1987-11-06 00:00:00',2,1,12,2005,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241117232411223349391124610161177',NULL,'296',25.24,1,2,1),(16,3803406,'1957-02-12 00:00:00',2,1,7,2003,'F','N','COSTEIRA','FLORIANóPOLIS','SC','424241247327373331113544442344610153097',NULL,'9999',21.36,1,3,NULL),(16,3803414,'1991-11-28 00:00:00',2,4,12,2008,'F','N','CENTRO','UNIãO OESTE','SC','124241241125131431426611575125610124147',16293,'816',36.39,1,2,1),(16,3803422,'1991-04-01 00:00:00',2,8,12,2008,'F','N','ROCIO PEQUENO','S FRANCISCO SUL','SC','124241241115471431513318575121610132192',NULL,'710',25.28,4,3,NULL),(16,3803449,'1991-03-14 00:00:00',2,4,12,2008,'F','N','CENTRO','SEARA','SC','124241241121131431226429271225610147143',12032,'763',45.22,1,2,1),(16,3803457,'1969-10-25 00:00:00',4,1,11,1999,'F','N','TAPERADABASE','FLORIANóPOLIS','SC','224243241321131432425354242224231921187',NULL,'307',22.09,1,3,NULL),(16,3803465,'1988-04-11 00:00:00',2,1,12,2005,'F','N','NOSSA SRA DO ROSáRIO','S JOSé','SC','124241241127371421433335395324610127057',NULL,'682',41.98,4,2,1),(16,3803473,'1981-02-28 00:00:00',2,1,12,2001,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241117134411216569282344131057017',NULL,'307',24.66,2,1,1),(16,3803481,'1987-09-24 00:00:00',4,1,12,2005,'M','N','JARDIM JANAINA','BIGUAçU','SC','224201201116131131323341315124610167047',NULL,'9998',3.01,1,2,1),(16,3803490,'1991-04-06 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241115131731328814572124610137117',NULL,'288',20.56,1,2,1),(16,3803520,'1990-11-25 00:00:00',4,1,11,2008,'F','N','CAEIRA','FLORIANóPOLIS','SC','124243241225111431324623341124610113142',NULL,'262',24.33,1,3,NULL),(16,3803538,'1990-10-04 00:00:00',2,8,12,2008,'F','N','SãO MARCOS','JOINVILLE','SC','124241241137131731316628395334610127147',NULL,'479',15.36,1,2,1),(16,3803546,'1980-08-04 00:00:00',2,1,4,2000,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124163167127142431336654445123140231147',11546,'9999',46.09,1,3,NULL),(16,3803554,'1970-09-28 00:00:00',2,1,6,2004,'F','N','FORQUILHAS','S JOSé','SC','324161247126371432313344442344610123047',NULL,'103',26.91,1,3,NULL),(16,3803562,'1971-09-25 00:00:00',2,1,12,1988,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','224082081216271751426659292124610124197',15339,'9998',38.89,4,1,2),(16,3803570,'1989-10-16 00:00:00',2,1,12,2006,'M','N','FORQUILHINHAS','S JOSé','SC','124241241212473331534311481124610127067',9172,'944',50.29,1,3,NULL),(16,3803589,'1972-09-23 00:00:00',2,1,11,2008,'F','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124201247122132431224349242324610114147',12823,'922',43.81,1,3,NULL),(16,3803597,'1989-09-01 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSé','SC','124241241337133531223329382114610114182',NULL,'1118',0.00,1,3,NULL),(16,3803600,'1979-03-27 00:00:00',2,1,12,2008,'F','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','224163247337131431117849295334610117147',NULL,'9997',23.23,1,3,NULL),(16,3803619,'1990-12-28 00:00:00',2,4,12,2008,'F','N','VILA CAMBUCICA','RIQUEZA','SC','124241241121131411631335392344610113147',NULL,'674',0.00,1,2,1),(16,3803627,'1983-12-23 00:00:00',4,1,12,2000,'F','N','JARDIM ELDORADO','PALHOçA','SC','124241241124131431626524242324610134047',15254,'295',39.08,2,1,1),(16,3803635,'1991-02-26 00:00:00',4,1,12,2008,'F','N','MONTE SERRAT','FLORIANóPOLIS','SC','124243241416131731326634575124610165047',14256,'295',41.12,1,3,NULL),(16,3803643,'1990-12-17 00:00:00',2,4,12,2007,'F','N','GUARANY','XAXIM','SC','124241241116131741543823575124610115037',NULL,'847',32.14,1,2,1),(16,3803660,'1989-07-27 00:00:00',2,4,12,2006,'M','N','CENTRO','NAVIRAí','MS','116121121117472431125629292124610147187',10449,'9998',48.01,1,2,1),(16,3803678,'1985-07-21 00:00:00',2,1,12,2002,'F','N','CENTRO','S BENTO SUL','SC','124241241116235451434514285124233228147',NULL,'359',27.12,1,2,1),(16,3803686,'1990-11-25 00:00:00',2,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241147141231223321342334610117057',NULL,'290',24.57,1,2,1),(16,3803716,'1989-12-20 00:00:00',4,1,12,2008,'F','N','ARMAçãO','FLORIANóPOLIS','SC','124241247131371431446813583124610123181',16481,'9999',35.55,1,2,1),(16,3803732,'1991-09-10 00:00:00',2,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSé','SC','124241241146471431435534272124610124142',9128,'733',50.36,1,2,1),(16,3803740,'1967-10-16 00:00:00',2,1,12,1988,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241257325571411113348381344610168187',NULL,'9998',21.80,1,3,NULL),(16,3803759,'1990-10-08 00:00:00',4,10,12,2008,'M','N','MAGALHãES','LAGUNA','SC','124241241127131431326611595121610167047',5206,'524',58.10,1,2,1),(16,3803767,'1988-04-15 00:00:00',2,1,12,2005,'F','N','KOBRASOL','S JOSé','SC','124241241126143431126316345323233222097',NULL,'13',0.00,1,2,1),(16,3803775,'1990-05-17 00:00:00',2,1,12,2008,'F','N','PASSA VINTE','PALHOçA','SC','124241241125131732425339573224610164077',NULL,'592',30.86,1,2,1),(16,3803783,'1988-08-29 00:00:00',2,1,12,2005,'M','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241135474452428634181114610127111',1032,'307',71.87,1,2,1),(16,3803791,'1986-03-19 00:00:00',4,1,12,2003,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124201201136372431528734384214133222187',10318,'9998',48.22,1,2,1),(16,3803805,'1982-05-07 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124244247436131512114144445234610153177',NULL,'9999',0.00,2,1,2),(16,3803813,'1990-11-05 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSé','SC','124241241117272431535514376224133226082',6265,'307',55.75,4,2,1),(16,3803821,'1981-09-13 00:00:00',2,1,7,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','224241241327471411635631445124610168092',NULL,'591',25.22,1,3,NULL),(16,3803830,'1982-05-07 00:00:00',2,1,2,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124243246112145431333329442124233217055',13897,'306',41.86,1,3,NULL),(16,3803848,'1987-02-20 00:00:00',2,1,9,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241117272431116641114324610127072',9819,'306',49.11,4,2,1),(16,3803856,'1991-02-15 00:00:00',4,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124241241225131431336621372124610123012',NULL,'262',27.90,1,3,NULL),(16,3803864,'1956-07-28 00:00:00',2,1,12,1998,'M','N','ARMAçãO DO PâNTANO','FLORIANóPOLIS','SC','224241247126471751223379292324610147092',NULL,'9999',19.78,1,3,NULL),(16,3803872,'1980-08-24 00:00:00',2,1,12,2000,'F','N','VILA SÃO JOÃO','FLORIANóPOLIS','SC','124241243134534431221149341124610125147',NULL,'293',31.71,4,1,1),(16,3803880,'1984-06-14 00:00:00',2,1,12,2002,'M','N','TAPERA','FLORIANóPOLIS','SC','124241241227134711337823145324122362182',9346,'262',50.00,1,3,NULL),(16,3803899,'1990-10-12 00:00:00',2,1,12,2007,'F','N','COSTEIRA','FLORIANóPOLIS','SC','124202241216132431323511172224610137097',12256,'988',44.80,1,3,NULL),(16,3803910,'1991-05-15 00:00:00',4,1,12,2008,'M','N','RIO CAVEIRAS','BIGUAçU','SC','124241241225111731423519592224610137042',NULL,'262',33.34,1,3,NULL),(16,3803929,'1980-11-19 00:00:00',2,1,12,1998,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241243426134451123344242334131432142',NULL,'190',32.48,1,3,NULL),(16,3803937,'1991-04-15 00:00:00',2,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241125131731424314472114610167047',NULL,'290',13.20,1,2,1),(16,3803945,'1984-11-13 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','224221111126132431221654345324610122047',10914,'9998',47.17,4,2,1),(16,3803953,'1982-08-12 00:00:00',2,1,12,2002,'M','N','FORQUILHINHAS','S JOSé','SC','224161161126272412533144242124610124143',12242,'9998',44.82,1,2,1),(16,3803961,'1989-03-03 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241225111731635311272324610135145',9826,'9997',49.10,1,3,NULL),(16,3803988,'1973-05-16 00:00:00',2,1,12,1990,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124241243126132431323349395124320521147',NULL,'9997',25.07,1,3,NULL),(16,3803996,'1989-04-29 00:00:00',2,1,12,2006,'F','N','PICADAS DO SUL','S JOSé','SC','124241241116132431523631382124610164147',NULL,'733',24.88,1,2,1),(16,3804003,'1991-05-07 00:00:00',2,1,11,2008,'F','N','BALNEARIO','FLORIANóPOLIS','SC','124242241215111431438714575124610128147',NULL,'269',30.58,1,3,NULL),(16,3804011,'1990-05-01 00:00:00',2,1,12,2007,'F','N','JARDIM CASQUEIRO','CUBATãO','SP','125254251117151741647614345124610136047',NULL,'9998',32.67,4,3,NULL),(16,3804020,'1982-08-20 00:00:00',2,1,11,2002,'F','N','FAZ STO ANTONIO','S JOSé','SC','124241247342132431128644342134610127147',NULL,'1003',27.04,3,3,NULL),(16,3804038,'1982-03-05 00:00:00',2,1,12,2001,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241127131421323344242114610127045',NULL,'281',21.93,1,2,1),(16,3804046,'1990-08-25 00:00:00',2,1,11,2008,'F','N','FORQUILHAS','S JOSé','SC','124241241116162431425319572114610124142',NULL,'9997',19.85,1,2,1),(16,3804054,'1982-05-21 00:00:00',2,1,12,2000,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241127272431124444242224130214047',11783,'142',45.67,1,2,1),(16,3804062,'1990-04-24 00:00:00',2,2,12,2007,'F','N','PARQUE DAS FLORES','S PAULO','SP','125251251127471411533624245124610132017',NULL,'9998',22.39,1,3,NULL),(16,3804070,'1987-09-04 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124241248121133311128631342334610111057',NULL,'177',28.04,1,3,NULL),(16,3804097,'1986-10-28 00:00:00',2,7,11,2004,'F','N','FLOR DA SERRA','JOAçABA','SC','124241241136131431633334392325610168147',15959,'451',37.33,1,2,1),(16,3804100,'1982-07-30 00:00:00',4,1,12,2002,'F','N','CARMO','IBIúNA','SP','125251255137131431123349144334610147097',NULL,'9998',0.00,4,2,1),(16,3804119,'1991-08-13 00:00:00',2,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124241241115141711324477392124610114117',NULL,'257',22.83,1,3,NULL),(16,3804127,'1985-10-01 00:00:00',2,1,12,2003,'M','N','KOBRASOL','S JOSé','SC','124241241126233431434321145233610154117',NULL,'9998',28.14,1,2,1),(16,3804143,'1991-02-26 00:00:00',2,7,12,2008,'F','N','SENHOR BOM JESUS','CAMPOS NOVOS','SC','124241241111131731523314382335610143077',16485,'139',35.53,2,2,1),(16,3804151,'1990-11-22 00:00:00',4,10,12,2008,'F','N','MAR GROSSO','LAGUNA','SC','124242241225131431323614272124610126047',9845,'524',49.07,1,3,NULL),(16,3804160,'1990-12-17 00:00:00',4,1,12,2007,'M','N','LOEFFELSCHEIDT','ÁGUAS MORNAS','SC','124241241147372431323336575214610132042',NULL,'978',0.00,1,2,1),(16,3804178,'1981-08-14 00:00:00',4,1,12,1999,'F','N','PANTANAL','FLORIANóPOLIS','SC','124251251136132431124749392224221836097',15511,'9998',38.52,1,3,NULL),(16,3804186,'1988-07-15 00:00:00',2,1,7,2006,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124241247436372431334364345114610137047',NULL,'9999',28.69,1,3,NULL),(16,3804194,'1974-09-28 00:00:00',2,1,12,1995,'F','N','PANTANO DO SUL','FLORIANóPOLIS','SC','124201207447132721336844445134222244092',NULL,'9999',0.00,1,3,NULL),(16,3804208,'1990-09-23 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241145132731126649395134130227147',NULL,'1034',27.55,1,2,1),(16,3804216,'1988-07-25 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOçA','SC','124241241126131431226544242324610134182',NULL,'593',27.56,1,2,1),(16,3804232,'1985-03-05 00:00:00',2,1,12,2004,'F','N','SANTA MôNICA','FLORIANóPOLIS','SC','124242241216134121333524232124222964071',NULL,'260',0.00,1,3,NULL),(16,3804240,'1990-04-01 00:00:00',2,1,12,2006,'F','N','VILA LUIZA MAZZEI','SANTANA LIVRAMENTO','RS','120241241136471431637829271112610148187',13009,'288',43.48,1,2,1),(16,3804259,'1989-01-02 00:00:00',2,1,11,2005,'F','N','ABADIA','UBERABA','MG','113134131217572431558613571124141764147',952,'9998',72.31,1,3,NULL),(16,3804267,'1989-07-02 00:00:00',2,2,12,2006,'M','N','CENTRO','VIDAL RAMOS','SC','124241241116131331221444145124232042142',NULL,'828',0.00,4,3,NULL),(16,3804275,'1990-02-20 00:00:00',2,1,12,2006,'M','N','CENTRO','URUBICI','SC','124241241117133431445613375124233234147',NULL,'592',0.00,1,2,1),(16,3804283,'1984-01-01 00:00:00',2,1,12,2001,'M','N','PALHOCINHA','GAROPABA','SC','124241241123132311222343135224131421181',NULL,'322',37.68,1,3,NULL),(16,3804291,'1989-01-28 00:00:00',4,9,12,2006,'F','N','SANTA MARIA','LAGES','SC','124241241116373431544614271124610166147',9211,'505',50.22,4,2,1),(16,3804305,'1983-12-15 00:00:00',2,1,6,2001,'F','N','PÂNTANO DO SUL','FLORIANóPOLIS','SC','224203205416131741324651275114132714097',16518,'9998',35.39,1,3,NULL),(16,3804313,'1987-07-08 00:00:00',2,1,12,2004,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124241241116135421124348282134610123187',14294,'307',41.06,1,2,1),(16,3804321,'1975-05-19 00:00:00',4,1,12,1993,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124252161436131721228649395124143265097',13263,'9998',43.04,3,3,NULL),(16,3804330,'1991-03-26 00:00:00',4,6,12,2008,'F','N','CORDEIROS','ITAJAí','SC','124241241136271431326614275124610126147',8152,'396',52.13,1,2,1),(16,3804348,'1980-01-22 00:00:00',4,1,6,2001,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124201207126132431123344245334120825147',NULL,'9998',19.19,1,2,1),(16,3804364,'1991-07-25 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241145131431623374192124610121017',15646,'289',38.20,1,2,1),(16,3804372,'1986-06-30 00:00:00',2,1,12,2003,'F','N','ITAGUAçU','FLORIANóPOLIS','SC','124241241116133721325317245124610162147',NULL,'292',29.61,1,2,1),(16,3804380,'1992-02-05 00:00:00',4,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSé','SC','124241241225131431335413375124610128147',5534,'262',57.40,1,3,NULL),(16,3804399,'1985-06-16 00:00:00',2,1,12,2006,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241125131631622144342343610167047',NULL,'289',17.82,4,2,1),(16,3804410,'1957-01-19 00:00:00',2,1,12,2008,'M','N','ITAGUAçU','FLORIANóPOLIS','SC','224241241126131431323347275144610162047',NULL,'292',24.75,1,2,1),(16,3804429,'1988-08-29 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSé','SC','124241241116132731321119345234230212057',NULL,'734',25.59,1,2,1),(16,3804437,'1991-09-30 00:00:00',2,1,12,2008,'F','N','COLÔNIA SANTANA','S JOSé','SC','124241241116471431323419495334610162142',8723,'739',51.03,1,2,1),(16,3804445,'1978-11-06 00:00:00',2,1,12,1997,'F','N','PRAINHA','FLORIANóPOLIS','SC','124241241136135721323329281324323012097',16091,'275',36.97,1,3,NULL),(16,3804453,'1987-12-21 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124161161116132431116649395124222922192',8040,'9998',52.34,1,2,1),(16,3804461,'1987-06-10 00:00:00',4,1,12,2004,'F','N','CENTRO','CUIABá','MT','111251251117231711236579282311610167187',12647,'9998',44.09,1,3,NULL),(16,3804470,'1982-10-25 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANóPOLIS','SC','124241248122161751633319382345610157047',14976,'922',39.72,1,2,1),(16,3804488,'1989-12-17 00:00:00',2,1,12,2008,'F','N','JOAO PAULO','FLORIANóPOLIS','SC','124241248147141751523374376344610157185',NULL,'289',12.41,1,2,1),(16,3804496,'1989-01-05 00:00:00',2,1,12,2006,'F','N','RIO GRANDE','PALHOçA','SC','124241241113273431336814383124610126197',5857,'591',56.68,1,2,1),(16,3804500,'1990-10-10 00:00:00',2,1,12,2008,'F','N','DANIELA','FLORIANóPOLIS','SC','124241241117131431636519571124610144147',NULL,'288',31.56,1,2,1),(16,3804518,'1982-05-31 00:00:00',2,1,7,2001,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124201201145411431222444445334610135053',NULL,'9998',23.01,1,2,1),(16,3804526,'1987-04-02 00:00:00',2,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124241248125131222321149245334610118067',NULL,'289',34.04,2,1,1),(16,3804534,'1991-02-07 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241117131731325823272324610168057',NULL,'592',23.72,1,3,NULL),(16,3804542,'1974-07-01 00:00:00',2,1,7,2003,'F','N','FORQUILHAS','S JOSé','SC','224241247227473131226454245124610121097',NULL,'9999',28.12,1,3,NULL),(16,3804550,'1987-04-05 00:00:00',2,1,12,2005,'F','N','SãO SEBASTIãO','PALHOçA','SC','124241241127132731523513281214610112147',9143,'591',50.33,1,2,1),(16,3804569,'1990-08-13 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSé','SC','124241241117131431623634346224610127142',NULL,'734',7.71,1,2,1),(16,3804577,'1985-06-11 00:00:00',2,1,12,2001,'F','N','JARDIM SAVEIRO','BIGUAçU','SC','124241241121472411523324141324610123147',NULL,'257',26.97,3,3,NULL),(16,3804593,'1978-07-25 00:00:00',4,1,12,2003,'M','N','CAMPECHE','FLORIANóPOLIS','SC','224074077236374321225743432124131414092',12127,'9999',45.03,1,3,NULL),(16,3804607,'1987-11-23 00:00:00',2,1,12,2005,'F','N','BARREIROS','SAO JOSE','SC','124241241137132732323374242114610124047',NULL,'275',24.37,2,1,1),(16,3804615,'1991-05-28 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241124131411523311172221610136177',NULL,'290',37.50,1,2,1),(16,3804623,'1981-03-15 00:00:00',2,1,12,1998,'M','N','COSTEIRA','FLORIANóPOLIS','SC','224241241127132431233343432324141047047',6114,'862',56.11,1,2,1),(16,3804631,'1982-08-06 00:00:00',2,1,12,1999,'M','N','JANAINA','BIGUAçU','SC','124241241126172421433413245122130227062',NULL,'66',0.00,1,3,NULL),(16,3804640,'1982-10-11 00:00:00',2,1,12,2003,'M','N','INGLESES','FLORIANóPOLIS','SC','124203207427471421123344345324140212147',NULL,'9999',33.41,1,3,NULL),(16,3804658,'1991-02-09 00:00:00',4,1,12,2008,'M','N','SãO SEBASTIãO','PALHOçA','SC','124241241226131441336624245124610132092',10576,'262',47.79,1,3,NULL),(16,3804666,'1985-08-14 00:00:00',2,1,12,2002,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241127473431623419585112610127187',NULL,'285',30.27,1,2,1),(16,3804674,'1990-08-28 00:00:00',2,1,12,2008,'M','N','BELA VISTA','PALHOçA','SC','124241241137131731232623142121610162142',NULL,'592',22.37,1,2,1),(16,3804682,'1991-04-07 00:00:00',4,1,12,2008,'F','N','ARMAçãO PâNTANO SUL','FLORIANóPOLIS','SC','124241241226131431536923332224610127092',5576,'262',57.32,1,3,NULL),(16,3804690,'1987-01-11 00:00:00',2,1,12,2001,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243241336271411336649295324610162182',NULL,'9999',30.90,1,3,NULL),(16,3804704,'1989-05-26 00:00:00',2,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124244241216111431236969492224610127187',NULL,'1077',6.24,1,3,NULL),(16,3804712,'1990-06-22 00:00:00',2,1,12,2008,'M','N','BELA VISTA II','S JOSé','SC','124241241125131431413324281224610144147',NULL,'736',0.00,3,3,NULL),(16,3804720,'1991-02-22 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241248142141731226624292124610134147',NULL,'307',19.55,4,1,1),(16,3804739,'1989-07-31 00:00:00',4,1,12,2007,'F','N','CAMINHO NOVO','PALHOçA','SC','124241241111472411534419572114610144047',NULL,'592',21.75,1,3,NULL),(16,3804747,'1986-04-17 00:00:00',2,1,12,2003,'F','N','SERTAO DO MARUIM','S JOSé','SC','124241241126132432533614345124223023182',NULL,'733',0.00,4,1,1),(16,3804755,'1987-11-30 00:00:00',2,1,12,2004,'F','N','SãO MARCOS','BIGUAçU','SC','124241241116131731415313445334610127047',10029,'65',48.72,1,2,1),(16,3804763,'1988-11-05 00:00:00',4,1,12,2006,'M','N','MORRINHOS UM','GUARUJá','SP','125251251146471431321519282111610122142',14356,'9998',40.95,1,2,1),(16,3804771,'1981-06-28 00:00:00',4,1,12,1999,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124251251126241731336644245131610117067',NULL,'9998',16.07,1,3,NULL),(16,3804780,'1968-08-30 00:00:00',2,1,12,2007,'F','N','CAMOBI','STA MARIA','RS','220201207127131441434454342124610128187',NULL,'9999',0.00,1,2,1),(16,3804798,'1973-06-07 00:00:00',2,1,12,2008,'F','N','CANASVIERIRAS','FLORIANóPOLIS','SC','124201247146131411113649195334610157092',NULL,'9999',0.00,1,3,NULL),(16,3804801,'1969-05-20 00:00:00',2,1,12,1991,'F','N','IPIRANGA','S JOSé','SC','624111241127135411423344242134610146097',14334,'9998',40.99,4,3,NULL),(16,3804810,'1990-01-22 00:00:00',4,4,12,2007,'F','N','CENTRO','ABELARDO LUZ','SC','124243241116151431333624575124610141147',10748,'4',47.46,1,3,NULL),(16,3804828,'1991-03-19 00:00:00',2,6,12,2008,'M','N','CENTRO','PALMEIRA MISSõES','RS','120201161416131431325723575122610164097',NULL,'9998',0.00,1,3,NULL),(16,3804836,'1987-04-17 00:00:00',2,1,12,2004,'M','N','DUVAL DE BARROS','IBIRITé','MG','113131131127151431521317484324610133056',3443,'9998',62.53,3,2,1),(16,3804844,'1990-03-10 00:00:00',2,1,12,2007,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241135131732523311192344610112097',NULL,'295',23.96,1,2,1),(16,3804852,'1981-07-31 00:00:00',2,1,12,2001,'F','N','CENTRO','S JOSé','SC','624241241136142421223344145124132022187',NULL,'131',21.22,1,3,NULL),(16,3804860,'1991-04-03 00:00:00',5,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241435131431326821375124610123017',9776,'262',49.20,1,3,NULL),(16,3804879,'1990-01-30 00:00:00',2,1,12,2007,'F','N','AREIAS','S JOSé','SC','124241241227472431433729245124610164017',8915,'262',50.71,1,3,NULL),(16,3804887,'1978-04-29 00:00:00',4,1,12,1995,'M','N','CENTRO','PTO ALEGRE','RS','120201201116131421116641315234141467187',2931,'9998',64.02,1,2,1),(16,3804895,'1970-11-26 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241126471421413344142124610143093',NULL,'281',29.21,1,2,1),(16,3804917,'1988-01-08 00:00:00',2,1,12,2005,'M','N','PACHECO','PALHOçA','SC','124241241116132421626629242114610164147',NULL,'65',41.27,2,1,1),(16,3804925,'1991-12-23 00:00:00',2,1,12,2008,'F','N','JARDIM CIDADE FPOLIS','S JOSé','SC','124243241225171431436923245124610145187',15907,'262',37.47,1,3,NULL),(16,3804933,'1990-08-20 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243241115472431234629345114610133142',12874,'307',43.71,1,3,NULL),(16,3804941,'1991-12-21 00:00:00',2,1,12,2008,'M','N','NOVA BELéM','PAULO LOPES','SC','124241241225131731223324475224610122147',13277,'262',43.02,4,3,NULL),(16,3804950,'1976-01-09 00:00:00',2,1,12,2007,'F','N','PRAINHA','FLORIANóPOLIS','SC','124241247127372431623343131334610163187',NULL,'9999',34.71,2,1,1),(16,3804968,'1981-09-27 00:00:00',2,1,12,2002,'F','N','JARDIM NACIONAL','FOZ IGUAçU','PR','116161241147371441526144146324610168187',NULL,'292',29.50,4,2,1),(16,3804976,'1989-03-29 00:00:00',2,1,12,2006,'F','N','JARDIM JANAINA','BIGUAçU','SC','124241241116171431424334385334610164071',NULL,'257',22.56,1,2,1),(16,3804984,'1991-09-15 00:00:00',2,1,12,2008,'F','N','FREITAS','PAULO LOPES','SC','124241241226131731436414595224610167147',14216,'262',41.20,1,3,NULL),(16,3804992,'1986-03-15 00:00:00',2,1,12,2004,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124242241217374331446823372114610148097',NULL,'995',33.77,4,3,NULL),(16,3805000,'1989-02-04 00:00:00',2,1,12,2006,'F','N','PINHEIRA','PALHOçA','SC','124241241126372711223329395234232724097',12777,'595',43.88,1,2,1),(16,3805018,'1981-05-10 00:00:00',2,1,12,1998,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241126543431524324344134610124097',NULL,'285',0.00,1,2,1),(16,3805026,'1990-07-30 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241317472731326614385114610167047',NULL,'1098',29.80,1,3,NULL),(16,3805034,'1986-05-01 00:00:00',2,1,12,2003,'F','N','SERTãO DO MARUIM','S JOSé','SC','124241241116473421444329442123610124191',13243,'293',43.08,2,1,1),(16,3805042,'1988-02-10 00:00:00',2,1,12,2004,'F','N','SERRINHA','FLORIANóPOLIS','SC','124241241112141431323421442344610126143',NULL,'298',23.55,1,2,1),(16,3805050,'1965-05-10 00:00:00',2,1,8,2003,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241247122162721414149192324231028037',NULL,'9997',21.08,2,1,1),(16,3805069,'1986-03-27 00:00:00',2,1,12,2006,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241427313411226867232344610144087',11831,'307',45.59,1,3,NULL),(16,3805077,'1982-06-08 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANóPOLIS','SC','224121121111231721223444241124141762117',NULL,'9998',39.45,1,2,1),(16,3805085,'1989-04-27 00:00:00',2,1,12,2006,'F','N','PRAINHA','FLORIANóPOLIS','SC','124241241127372431426319272324610142197',12579,'307',44.21,4,2,1),(16,3805093,'1990-10-02 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANóPOLIS','SC','124243241137471411423823572114610163045',NULL,'283',28.93,1,3,NULL),(16,3805107,'1987-02-04 00:00:00',4,1,12,2004,'F','N','INGLESES DO RIO VERM','FLORIANóPOLIS','SC','624241241127134731226654572214610162185',NULL,'274',25.62,1,2,1),(16,3805115,'1990-01-27 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241125131611223329342324610137057',NULL,'307',26.64,1,2,1),(16,3805123,'1990-07-21 00:00:00',2,1,12,2007,'F','N','PASSA VINTE','PALHOçA','SC','124241241117272432323343344334610124077',12186,'818',44.93,4,2,1),(16,3805131,'1989-09-18 00:00:00',2,1,11,2007,'F','N','COLONIA SANTANA','S JOSé','SC','124241241117131711433314395114610123047',NULL,'733',20.13,1,2,1),(16,3805158,'1991-01-25 00:00:00',2,5,11,2008,'F','N','URUSSANGUINHA','ARARANGUá','SC','124241241215121431423611194221610133017',4369,'27',60.09,1,3,NULL),(16,3805166,'1986-10-28 00:00:00',4,1,12,2005,'F','N','SERRARIA','S JOSé','SC','124243241121472711426411345114610134192',12676,'736',44.04,4,3,NULL),(16,3805174,'1989-07-13 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124243241125372431326824481314610168147',13581,'281',42.49,4,3,NULL),(16,3805182,'1987-05-30 00:00:00',2,1,11,2005,'M','N','ARAUCARIA','S JOSé','SC','124241241122132431526619572124610117047',16635,'257',34.41,1,2,1),(16,3805190,'1985-11-23 00:00:00',2,1,8,2004,'M','N','ARAUCARIA','S JOSé','SC','124241241126314431526511215124610117052',NULL,'726',27.75,1,2,1),(16,3805212,'1988-11-12 00:00:00',4,1,12,2008,'M','N','JARDIM SOLEMAR','S JOSé','SC','124241241141131431523321141322610157097',NULL,'734',17.76,4,2,1),(16,3805220,'1987-12-14 00:00:00',2,1,12,2005,'M','N','PRAIA COMPRIDA','S JOSé','SC','124201201132132712231144342124610124147',11357,'9998',46.40,1,2,1),(16,3805239,'1984-01-22 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANóPOLIS','SC','124131131116372431123644445224610134057',13179,'9998',43.18,4,2,1),(16,3805247,'1988-10-19 00:00:00',2,2,12,2005,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124201241136131711323623345124230246172',14357,'110',40.95,4,1,1),(16,3805255,'1974-12-26 00:00:00',2,1,12,2004,'M','N','KOBRASSOL','S JOSé','SC','224243241344131211423454346344610124091',NULL,'736',22.14,1,2,1),(16,3805263,'1981-03-17 00:00:00',2,1,12,2001,'F','N','RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC','124241241126245431123316445224610133147',NULL,'12',22.82,1,2,1),(16,3805271,'1991-07-12 00:00:00',4,10,12,2008,'F','N','PASSAGEM DA BARRA','LAGUNA','SC','124244241425131331423619572124610168017',NULL,'524',23.93,1,3,NULL),(16,3805280,'1990-01-13 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124243241115131431436471585114610164182',NULL,'257',26.15,1,3,NULL),(16,3805298,'1982-04-05 00:00:00',5,1,12,1999,'F','N','BARREIROS','S JOSé','SC','124241241117335411337823385324610121097',NULL,'275',0.00,1,2,1),(16,3805301,'1989-06-06 00:00:00',4,1,12,2006,'M','N','PASSA VINTE','PALHOCA','SC','124241241425132421433319282124610165147',5919,'262',56.54,1,3,NULL),(16,3805336,'1986-02-17 00:00:00',2,1,12,2003,'F','N','AREIAS','S JOSé','SC','124241241132234431427529345234231334077',NULL,'228',34.26,1,2,1),(16,3805344,'1981-11-13 00:00:00',2,1,12,1999,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124161161117131431224444445334141261147',NULL,'9998',22.93,1,2,1),(16,3805352,'1988-09-17 00:00:00',2,1,12,2007,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241116132431223424392114610128197',NULL,'306',24.89,1,2,1),(16,3805360,'1982-01-19 00:00:00',2,1,12,1999,'F','N','KOBRASOL','S JOSé','SC','124241241126375451113344341125131233147',NULL,'95',0.00,1,2,1),(16,3805379,'1985-01-10 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241116135231113441284314610127147',15763,'361',37.88,1,2,1),(16,3805387,'1990-03-03 00:00:00',2,1,12,2007,'M','N','JOSE MENDES','FLORIANóPOLIS','SC','124161241111272431426634272314610117042',12716,'307',43.98,1,2,1),(16,3805409,'1987-08-18 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124201201142131431126644242344610114142',NULL,'9998',0.00,1,3,NULL),(16,3805425,'1989-06-25 00:00:00',2,1,12,2006,'M','N','BOM VIVER','BIGUAçU','SC','124241241126132431224529282124231024192',NULL,'66',0.00,1,2,1),(16,3805433,'1987-03-18 00:00:00',2,1,12,2004,'F','N','ARAUCÁRIA SERRARIA','S JOSé','SC','124242241211372731323624572144610138093',9963,'1036',48.84,4,3,NULL),(16,3805441,'1961-10-01 00:00:00',2,1,12,2001,'F','N','MADRI','PALHOçA','SC','224241247422211431433149392124133265147',NULL,'1003',34.88,1,3,NULL),(16,3805450,'1984-07-02 00:00:00',4,1,12,2001,'M','N','SERRARIA','S JOSé','SC','624241241141131421225344345134610124042',11960,'591',45.34,1,2,1),(16,3805468,'1981-01-24 00:00:00',2,1,12,1999,'F','N','TAPERA','FLORIANóPOLIS','SC','224201201626131751225459381324610116147',NULL,'9999',0.00,1,3,NULL),(16,3805476,'1984-06-25 00:00:00',2,1,12,2002,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124241241137372731413318495124241264053',7713,'635',52.93,1,2,1),(16,3805484,'1991-08-09 00:00:00',2,1,12,2008,'F','N','VILA NOVA','ÁGUAS MORNAS','SC','124241241122111431326329572124610125147',NULL,'12',31.14,4,2,1),(16,3805492,'1975-08-19 00:00:00',2,1,8,2001,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','624241247327372431223344242114610137047',13990,'9999',41.66,1,3,NULL),(16,3805506,'1978-08-20 00:00:00',2,1,11,2004,'M','N','INGLESES','FLORIANóPOLIS','SC','624251257642131431526544342224610122047',NULL,'9999',20.11,1,3,NULL),(16,3805522,'1976-12-19 00:00:00',2,1,12,1999,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244251127472231336644241334610164097',NULL,'9998',28.29,1,3,NULL),(16,3805549,'1988-05-23 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241312132431113449395334222332042',9209,'980',50.23,1,3,NULL),(16,3805557,'1989-03-13 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241147371731418648285124610167117',NULL,'359',18.56,1,2,1),(16,3805573,'1985-01-11 00:00:00',2,1,12,2002,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124241241126135431324478282124610127087',NULL,'307',24.12,1,3,NULL),(16,3805581,'1982-07-29 00:00:00',2,1,11,1999,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124252251117371421226644345334610166077',NULL,'9998',25.48,1,3,NULL),(16,3805590,'1991-04-27 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241127171231537611572121610164197',NULL,'274',30.78,1,3,NULL),(16,3805603,'1992-02-14 00:00:00',2,5,10,2008,'F','N','JARDIM DAS AVENIDAS','ARARANGUá','SC','124241244215372441213624572325610138077',10505,'970',47.90,1,3,NULL),(16,3805620,'1983-03-15 00:00:00',2,1,12,2004,'F','N','BARRA DO ARIRIU','PALHOçA','SC','124241241146143721323319345124133222142',NULL,'591',19.00,1,2,1),(16,3805638,'1987-01-19 00:00:00',2,1,7,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','624241247422132111223344242344610127027',NULL,'9999',32.15,1,3,NULL),(16,3805646,'1985-04-30 00:00:00',2,1,12,2003,'M','N','INGLESES DO RIO VERM','FLORIANóPOLIS','SC','124203201136132431123344245334610147043',15263,'9998',39.06,1,3,NULL),(16,3805654,'1991-06-15 00:00:00',4,1,12,2008,'F','N','INDAIá','NOVA TRENTO','SC','124241241126161711433311345122610124147',NULL,'574',28.02,1,2,1),(16,3805662,'1982-01-01 00:00:00',4,1,12,1999,'M','N','ESTREITO','FLORIANóPOLIS','SC','124243241117273431433344445134610124192',8617,'293',51.22,1,3,NULL),(16,3805670,'1987-02-16 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241136473231433474342134610132142',NULL,'295',22.27,1,2,1),(16,3805697,'1991-04-04 00:00:00',4,1,12,2008,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124243241224111131446611575124610147077',13172,'262',43.19,1,3,NULL),(16,3805700,'1977-04-07 00:00:00',2,1,12,1995,'F','N','ARMAçãO DO P DO SUL','FLORIANóPOLIS','SC','624121128147331431423154285114243212027',NULL,'9998',26.23,2,1,1),(16,3805719,'1983-11-27 00:00:00',2,1,12,2001,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241127475211434524495334222738057',4967,'296',58.69,4,1,1),(16,3805727,'1990-06-04 00:00:00',5,1,12,2007,'F','N','CENTRO','TIJUCAS','SC','124243241416131431323319485121610162197',8493,'948',51.41,1,3,NULL),(16,3805735,'1981-08-15 00:00:00',2,1,12,2000,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241126575421123144245114610124147',12237,'66',44.83,1,3,NULL),(16,3805743,'1991-02-26 00:00:00',1,1,12,2008,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241125111431423313335122610133147',NULL,'12',26.74,1,2,1),(16,3805751,'1978-08-10 00:00:00',2,1,12,2006,'M','N','COSTEIRA','FLORIANóPOLIS','SC','224241241127132332224444145133610117147',NULL,'281',31.90,1,2,1),(16,3805760,'1981-06-13 00:00:00',4,1,7,2001,'M','N','FORQUILHAS','S JOSé','SC','124241247126132431114548282324133227047',NULL,'9999',0.00,4,2,1),(16,3805778,'1991-02-05 00:00:00',2,1,12,2008,'F','N','POçO FUNDO','STO AMARO IMPERATRIZ','SC','124172241341131431224624312124610122077',NULL,'12',28.57,4,3,NULL),(16,3805794,'1990-07-23 00:00:00',2,1,12,2008,'F','N','FAZENDA DE LOURDES','ÁGUAS MORNAS','SC','124241241125131221423315182224610165047',NULL,'12',0.00,1,2,1),(16,3805808,'1991-09-04 00:00:00',2,1,12,2008,'F','N','FAZENDA RESSURREIçãO','ÁGUAS MORNAS','SC','124241241125151732424315572224610124192',NULL,'12',27.06,1,2,1),(16,3805816,'1984-06-13 00:00:00',4,1,10,2003,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','224241246141333221236844242334131027142',14018,'306',41.62,1,2,1),(16,3805824,'1969-08-23 00:00:00',2,1,12,2006,'F','N','TAPERA','FLORIANóPOLIS','SC','224241241125132431323341211224610115057',NULL,'1097',28.39,1,3,NULL),(16,3805832,'1983-06-18 00:00:00',2,1,12,2007,'F','N','MORRO DOS CAVALOS','PALHOçA','SC','624241247127131411426159192314610161047',NULL,'9999',0.00,5,4,NULL),(16,3805840,'1984-05-04 00:00:00',4,1,7,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241234131431136644245122133212196',5315,'72',57.84,1,3,NULL),(16,3805859,'1990-01-09 00:00:00',4,1,12,2006,'F','N','FUNDOS','BIGUAçU','SC','124241241115133431623411312324610123077',16345,'21',36.22,1,2,1),(16,3805875,'1987-05-03 00:00:00',4,1,12,2004,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','624163161137271221223354282124221132127',NULL,'9998',0.00,1,3,NULL),(16,3805883,'1985-04-21 00:00:00',4,1,12,2002,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','624243241336132421225344245124610162127',NULL,'244',0.00,2,1,2),(16,3805891,'1989-06-12 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241111133431433434571224610116142',NULL,'298',28.50,1,2,1),(16,3805905,'1991-09-11 00:00:00',2,1,12,2008,'F','N','RATONES','FLORIANóPOLIS','SC','124241241225131431423311571124610126147',13226,'262',43.11,1,3,NULL),(16,3805913,'1989-08-05 00:00:00',2,1,11,2008,'F','N','IPIRANGA','S JOSé','SC','124241241132371431323114142224610138142',NULL,'734',24.47,2,1,1),(16,3805921,'1977-01-30 00:00:00',2,1,12,1988,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124281281142471431236344342134142836127',NULL,'9998',0.00,1,2,1),(16,3805930,'1990-12-30 00:00:00',2,1,12,2008,'M','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124241248115151711623419585324610137047',NULL,'288',14.31,1,2,1),(16,3805948,'1990-01-25 00:00:00',2,1,12,2007,'F','N','SAUDADE','BIGUAçU','SC','124241248116132431513341442124610131147',11532,'65',46.12,1,2,1),(16,3805956,'1991-11-13 00:00:00',4,1,12,2008,'F','N','ARMAçãO DO P DO SUL','FLORIANóPOLIS','SC','124241241227111431324721572324610111117',7480,'262',53.35,1,3,NULL),(16,3805964,'1990-11-18 00:00:00',2,1,12,2008,'F','N','SAO SEBASTIAO','PALHOçA','SC','124201241135141431423524342324610124052',NULL,'592',21.20,1,2,1),(16,3805972,'1990-05-30 00:00:00',2,1,12,2007,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241315272231336721572124220315056',NULL,'739',0.00,1,3,NULL),(16,3805980,'1990-04-06 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124241241115472431426314572124610123142',2665,'307',64.80,1,2,1),(16,3806006,'1985-02-19 00:00:00',2,1,12,2002,'F','N','PASSA VINTE','PALHOçA','SC','124201201117473711123346345324610167052',NULL,'9998',29.65,1,3,NULL),(16,3806014,'1984-05-09 00:00:00',2,1,12,2002,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241432131431121144445114613226142',NULL,'356',22.89,1,3,NULL),(16,3806022,'1989-04-16 00:00:00',4,1,12,2006,'M','N','ROçADO','S JOSé','SC','124241241112271431324469342124610122147',14510,'729',40.67,1,2,1),(16,3806030,'1988-09-12 00:00:00',2,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124241247136141521323464282124610114055',NULL,'298',22.32,1,2,1),(16,3806057,'1978-06-18 00:00:00',4,1,12,1999,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','224241241146473111233674445114610164057',13477,'289',42.65,1,2,1),(16,3806065,'1981-08-21 00:00:00',5,1,12,2000,'M','N','ESTREITO','FLORIANóPOLIS','SC','224241246126473421321341115122331852022',4375,'306',60.08,1,2,1),(16,3806073,'1990-08-26 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241117272411236621282114610163042',16211,'307',36.64,1,2,1),(16,3806081,'1989-04-09 00:00:00',4,1,7,2008,'M','N','NOVA BELéM','PAULO LOPES','SC','124241247127131431634869375144610167057',NULL,'9999',25.56,1,2,1),(16,3806090,'1991-06-03 00:00:00',2,1,12,2008,'F','N','PACHECOS','PALHOçA','SC','124241241147131731333331395224610163147',NULL,'1109',0.00,1,3,NULL),(16,3806103,'1990-05-02 00:00:00',4,1,12,2008,'F','N','RATONES','FLORIANóPOLIS','SC','124241241225111431523311375124610133147',NULL,'262',27.45,1,3,NULL),(16,3806111,'1991-02-23 00:00:00',4,1,12,2008,'F','N','STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC','124241241115161311523311272122610138147',NULL,'978',24.48,1,3,NULL),(16,3806120,'1991-01-31 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSé','SC','124241241132131231313623572324610114142',NULL,'257',21.89,1,2,1),(16,3806138,'1991-02-06 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241117131551437824391125610164157',10910,'307',47.17,4,2,1),(16,3806146,'1989-01-07 00:00:00',2,1,12,2006,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124241241117131431423414412114610123043',NULL,'307',27.34,3,2,1),(16,3806154,'1984-03-29 00:00:00',4,1,12,2001,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241316273431523419482224330247017',6684,'272',54.90,1,3,NULL),(16,3806162,'1991-02-15 00:00:00',2,10,11,2008,'F','N','CENTRO','TUBARãO','SC','124241241117131431626839575122610148142',14717,'1034',40.24,1,2,1),(16,3806170,'1989-10-11 00:00:00',4,1,12,2007,'M','N','CENTRO','IGARAPAVA','SP','125132131216471411426619592321610111197',NULL,'9998',0.00,4,3,NULL),(16,3806189,'1983-11-12 00:00:00',2,1,12,2002,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124213217427271451115648282321610127117',15674,'9998',38.12,1,3,NULL),(16,3806197,'1977-07-31 00:00:00',2,1,12,2005,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','224201247135333421223344341334610114147',NULL,'9999',24.05,4,2,1),(16,3806200,'1985-08-13 00:00:00',2,1,12,2001,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','624203208116271731236449392124142538187',NULL,'9998',28.83,1,3,NULL),(16,3806219,'1989-04-28 00:00:00',4,1,12,2006,'M','N','PIEDADE','CAçAPAVA','SP','125251251126571431633314245334610122152',NULL,'9998',24.38,1,2,1),(16,3806227,'1989-08-17 00:00:00',2,8,11,2006,'M','N','BOM JESUS','ITAIóPOLIS','SC','124241241222132431426921482112610114187',15554,'1024',38.41,1,3,NULL),(16,3806243,'1991-04-25 00:00:00',4,1,12,2008,'F','N','CAETé','ALFREDO WAGNER','SC','124241241126131411423833295121610128147',NULL,'13',25.58,1,2,1),(16,3806251,'1991-09-08 00:00:00',4,4,12,2008,'F','N','AGOSTINHO GRISS','S DOMINGOS','SC','124241241115131431427613575122610141147',12664,'707',44.06,1,2,1),(16,3806260,'1990-10-25 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124243241225131751326323472224610132047',14055,'262',41.54,1,3,NULL),(16,3806278,'1989-10-25 00:00:00',2,1,12,2007,'M','N','ESTAçãO','FRANCA','SP','125251251117371431326821575124610167057',6954,'9998',54.38,1,2,1),(16,3806286,'1991-05-09 00:00:00',4,1,12,2008,'M','N','TERRA NOVA','S BERNARDO CAMPO','SP','125251251116371431533611111124610167047',NULL,'9998',22.95,1,2,1),(16,3806294,'1979-04-14 00:00:00',2,1,12,2004,'F','N','PONTE DO IMARUIM','PALHOçA','SC','224241247337132421214359372214610123187',NULL,'9999',31.17,1,3,NULL),(16,3806308,'1991-02-03 00:00:00',4,5,12,2008,'F','N','CENTRO','STA ROSA SUL','SC','124241241115161431433639295122610118047',NULL,'689',0.00,1,2,1),(16,3806316,'1967-08-30 00:00:00',4,1,7,1990,'F','N','CENTRO','FLORIANóPOLIS','SC','524244243336373441224441115124330226152',16067,'9999',37.05,1,3,NULL),(16,3806324,'1979-01-27 00:00:00',4,1,12,1997,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241117374731129649295124321668176',5986,'307',56.38,4,2,1),(16,3806359,'1989-10-04 00:00:00',4,1,12,2006,'M','N','FORQUILHINHAS','S JOSé','SC','124241241132131431521515442124610127147',NULL,'322',20.37,1,2,1),(16,3806367,'1991-01-31 00:00:00',4,1,12,2008,'F','N','CENTRO','MTE ALTO','SP','125251251117471331527614575122610164147',NULL,'9998',0.00,1,2,1),(16,3806375,'1991-05-17 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124241241225131431226524274124610123177',9089,'262',50.43,1,3,NULL),(16,3806383,'1989-02-08 00:00:00',4,4,12,2006,'M','N','SÃO CRISTÓVÃO','S JOSé CEDRO','SC','124241241146132431333431215132610125057',NULL,'740',22.19,1,2,1),(16,3806391,'1989-10-26 00:00:00',2,1,12,2006,'F','N','ENSEADA DO BRITO','ENS BRITO','SC','124243241136371441326511573324131038097',7928,'594',52.55,1,3,NULL),(16,3806405,'1991-02-01 00:00:00',2,1,12,2008,'M','N','CENTRO','ALFREDO WAGNER','SC','124241241126131431324434335121610146052',NULL,'13',22.69,1,2,1),(16,3806413,'1989-04-06 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124201201217132431124649295124610128147',NULL,'9998',34.93,1,3,NULL),(16,3806421,'1963-09-03 00:00:00',2,1,12,1982,'M','N','BALNEARIO DOS AÇORES','FLORIANóPOLIS','SC','224241241126335421433343332123610127187',NULL,'307',23.22,1,2,1),(16,3806430,'1978-06-15 00:00:00',2,5,12,1996,'M','N','CENTRO','IMBé','RS','120201203111131412121143231325241961187',NULL,'9998',0.00,4,2,1),(16,3806448,'1992-01-13 00:00:00',2,10,12,2008,'F','N','CENTRO','TUBARãO','SC','124241241115131431438711482124610127061',NULL,'9997',18.68,4,3,NULL),(16,3806456,'1991-03-17 00:00:00',2,5,11,2008,'F','N','SANTA LUZIA','CRICIúMA','SC','124241241117271431333329591124610164147',16537,'209',35.28,2,1,1),(16,3806464,'1990-07-11 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124161161147131421216521376224610142017',NULL,'9998',28.92,1,2,1),(16,3806472,'1984-02-06 00:00:00',2,2,10,2004,'M','N','JARDIM AMÉRICA','RIO SUL','SC','624241247116131721333344245121610137097',NULL,'9999',0.00,1,2,1),(16,3806480,'1990-04-29 00:00:00',2,1,12,2007,'M','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124241241145273431646613184124610137182',8825,'307',50.85,1,2,1),(16,3806499,'1991-05-03 00:00:00',4,1,12,2008,'M','N','SãO FRANCISCO','BENTO GONçALVES','RS','120201208117372431533939275112610162042',NULL,'9998',0.00,1,2,1),(16,3806502,'1985-05-08 00:00:00',2,1,12,2003,'F','N','ARIRIU','PALHOçA','SC','124241241126373731525623285124610168147',NULL,'592',39.93,1,2,1),(16,3806510,'1987-09-29 00:00:00',2,1,11,2006,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124252251137131421427321115134142025077',NULL,'9998',0.00,1,3,NULL),(16,3806529,'1982-06-30 00:00:00',2,1,12,1999,'M','N','INGLESES','FLORIANóPOLIS','SC','124251251136371431236329241324140433092',5922,'9998',56.52,1,2,1),(16,3806537,'1991-04-08 00:00:00',2,1,11,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124241241112131711336923432124610127141',13693,'307',42.28,1,2,1),(16,3806545,'1986-09-20 00:00:00',2,1,12,2004,'F','N','ARIRIU','PALHOçA','SC','124241241126175711525823183114223063157',12510,'592',44.36,1,2,1),(16,3806553,'1988-12-26 00:00:00',2,8,12,2006,'M','N','COMASA','JOINVILLE','SC','624243241215471431226411591221610167141',NULL,'462',53.55,1,3,NULL),(16,3806561,'1988-12-16 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSé','SC','124241241315472411436824492114610124092',16684,'733',33.86,1,3,NULL),(16,3806570,'1985-04-30 00:00:00',2,1,12,2003,'M','N','JõAO PAULO','FLORIANóPOLIS','SC','124241241121374431535514245124610167067',11164,'307',46.72,1,2,1),(16,3806588,'1991-02-22 00:00:00',4,8,11,2008,'M','N','IRIRIU','JOINVILLE','SC','124241241216131431544611375124610167142',16126,'461',36.85,1,3,NULL),(16,3806596,'1990-10-11 00:00:00',2,1,12,2007,'M','N','SAVEIROS','FLORIANóPOLIS','SC','124241241225132431323614372114610147057',10420,'262',48.06,1,3,NULL),(16,3806600,'1989-08-07 00:00:00',4,1,8,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241117152731344623375124610167047',5545,'739',57.37,1,2,1),(16,3806618,'1980-10-21 00:00:00',2,1,11,2000,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124201201127131732421129382323610123032',15061,'9998',39.53,1,2,1),(16,3806626,'1988-09-11 00:00:00',4,1,12,2005,'M','N','VILA SANTANA','VARGEM G SUL','SP','125251251215472431123623372311610132182',NULL,'9998',52.01,1,3,NULL),(16,3806634,'1985-11-09 00:00:00',4,1,12,2003,'F','N','INGLESES','FLORIANóPOLIS','SC','124201201146131451224744342224141464042',14635,'9998',40.42,1,3,NULL),(16,3806642,'1980-05-13 00:00:00',2,1,6,1998,'M','N','KOBRASOL','S JOSé','SC','124074071111371751218619572324610167047',NULL,'9999',0.00,1,3,NULL),(16,3806650,'1986-08-31 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241122131131633164382125610124147',NULL,'298',18.55,4,2,1),(16,3806677,'1957-07-16 00:00:00',4,1,12,1977,'M','N','PANTANAL','FLORIANóPOLIS','SC','624202201337133121122349183224122262022',NULL,'9998',0.00,1,3,NULL),(16,3806685,'1988-04-08 00:00:00',2,1,12,2005,'F','N','PASSA VINTE','PALHOçA','SC','124241241112132431433631342124610156172',15977,'592',37.30,1,3,NULL),(16,3806693,'1990-08-17 00:00:00',2,1,11,2007,'F','N','BARRA DO ARIRIU','PALHOçA','SC','124241241117131431436613392124610147147',16087,'591',36.98,1,2,1),(16,3806715,'1986-07-03 00:00:00',4,1,12,2003,'F','N','KOBRASOL','S JOSé','SC','224213211126131441244654345124143064097',15817,'9998',37.71,1,3,NULL),(16,3806723,'1980-09-16 00:00:00',2,9,7,1999,'F','N','áGUA SANTA','CURITIBANOS','SC','524241248436131731113349382314131067057',NULL,'237',25.32,1,3,NULL),(16,3806731,'1981-08-27 00:00:00',2,1,12,2000,'F','N','JARDIM JANAINA','BIGUAçU','SC','224241241126134411223354242124230212047',16026,'66',37.17,1,2,1),(16,3806758,'1984-11-12 00:00:00',2,1,12,2002,'M','N','CAMPINAS','S JOSé','SC','124241241135435751123144342134610127047',12217,'521',44.87,1,2,1),(16,3806766,'1984-09-22 00:00:00',2,1,7,2006,'F','N','BARREIROS','S JOSé','SC','124243247222131451336324342124610127145',14612,'300',40.47,1,3,NULL),(16,3806774,'1991-12-16 00:00:00',4,5,12,2008,'F','N','SANTA ISABEL','FORQUILHINHA','SC','124241241112131431524823572224610134177',10580,'309',47.77,1,2,1),(16,3806782,'1989-01-06 00:00:00',2,4,12,2006,'F','N','CENTRO','GUARACIABA','SC','124241241116271421323433245124610121147',NULL,'334',0.00,1,2,1),(16,3806790,'1974-10-02 00:00:00',2,1,12,1991,'M','N','CENTRO','FLORIANóPOLIS','SC','124251251326472451257642225132141427047',3218,'9998',63.24,1,3,NULL),(16,3806804,'1991-03-23 00:00:00',2,4,12,2008,'M','N','LINHA LOMBA GRANDE','ARVOREDO','SC','124241241125111411311235152344610156142',15160,'36',39.28,1,2,1),(16,3806812,'1985-10-08 00:00:00',2,1,12,2002,'F','N','PONTA DE BAIXO','S JOSé','SC','124241241147273431124644345234130824147',14299,'315',41.05,1,2,1),(16,3806820,'1991-05-16 00:00:00',4,1,12,2008,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241115131411536611575124610136147',12001,'772',45.26,1,2,1),(16,3806839,'1990-01-04 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241117272431337624445114610168147',NULL,'307',28.51,1,2,1),(16,3806855,'1991-06-12 00:00:00',2,4,12,2008,'F','N','INTERIOR','RIQUEZA','SC','124241241115131431613415553124610126057',NULL,'674',24.16,1,2,1),(16,3806863,'1970-06-24 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','224241247126141421333454212122610131117',16612,'9997',34.71,1,2,1),(16,3806880,'1981-04-24 00:00:00',4,1,12,1998,'F','N','FORQUILHINHAS','S JOSé','SC','124241241126235431126648285323610127147',NULL,'733',25.99,1,2,1),(16,3806898,'1991-12-19 00:00:00',2,1,12,2008,'M','N','FORQUILHAS','S JOSé','SC','124241241116161431226611575124610141172',NULL,'733',24.55,1,2,1),(16,3806901,'1991-12-10 00:00:00',2,1,11,2008,'M','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124243241215111431326824282124610127052',NULL,'300',0.00,1,3,NULL),(16,3806910,'1991-07-19 00:00:00',2,4,12,2008,'F','N','CENTRO','RIQUEZA','SC','124241241135131431323329573325610127057',NULL,'674',20.86,1,2,1),(16,3806928,'1987-07-28 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANóPOLIS','SC','624241241115472431224854342124610128142',15346,'257',38.88,1,3,NULL),(16,3806936,'1989-05-26 00:00:00',4,10,12,2008,'F','N','MAGALHãES','LAGUNA','SC','124242241441131332435619332121610164142',NULL,'524',9.83,1,3,NULL),(16,3806944,'1989-01-01 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241215333751424614475224610128187',5003,'988',58.60,1,3,NULL),(16,3806952,'1988-05-30 00:00:00',4,4,12,2008,'M','N','ARI LUNARDI','XAXIM','SC','124241241127131431324429445122610137057',NULL,'846',17.38,1,2,1),(16,3806960,'1963-05-10 00:00:00',4,1,10,2000,'F','N','FLORESTA','S JOSé','SC','224161161117131422325554475124610114192',NULL,'9998',19.41,1,2,1),(16,3806979,'1991-11-19 00:00:00',4,4,12,2008,'M','N','ARI LUNARDI','XAXIM','SC','124241241125131431443911575122610137057',NULL,'846',0.00,1,2,1),(16,3806987,'1991-06-25 00:00:00',2,1,12,2008,'F','N','PENHA','PAULO LOPES','SC','124241241225111431323322575124610141147',8990,'262',50.60,1,3,NULL),(16,3806995,'1976-07-16 00:00:00',2,1,2,2005,'F','N','BREJARU II','PALHOçA','SC','124243245226331721321341112313610121197',NULL,'9999',19.80,1,3,NULL),(16,3807002,'1964-08-28 00:00:00',2,1,12,1985,'F','N','BELA VISTA','S JOSé','SC','224161161147441411425644341214610136187',NULL,'9998',16.51,1,2,1),(16,3807010,'1990-01-08 00:00:00',4,1,11,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241112131431423654282214610127092',13954,'307',41.74,3,2,1),(16,3807037,'1990-09-28 00:00:00',2,1,11,2008,'M','N','MORRO DA CRUZ CENTRO','FLORIANóPOLIS','SC','124244241137231431216627572224610117017',NULL,'307',21.51,1,3,NULL),(16,3807045,'1990-09-25 00:00:00',2,1,12,2008,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241135141411633314181324610124097',NULL,'298',0.00,1,3,NULL),(16,3807053,'1991-02-13 00:00:00',4,1,12,2008,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124243247326131421536829375124610117047',NULL,'9999',15.82,1,3,NULL),(16,3807061,'1989-12-04 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241111142411324424341224610115147',NULL,'288',18.91,1,2,1),(16,3807070,'1972-01-02 00:00:00',2,1,3,2001,'F','N','AREIAS','S JOSé','SC','324161167122132441333341211321610147017',NULL,'9998',32.56,2,2,1),(16,3807088,'1988-08-22 00:00:00',4,1,12,2006,'M','N','SERRARIA','S JOSé','SC','124241241311273441337533382124130744097',16084,'9999',36.99,1,3,NULL),(16,3807096,'1991-08-08 00:00:00',2,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124244241117131431433318571344610164047',6111,'267',56.11,1,3,NULL),(16,3807118,'1981-07-07 00:00:00',2,1,12,2000,'M','N','SERRARIAS','SAO JOSE','SC','124241241146132421631339382323610114087',NULL,'734',25.31,1,3,NULL),(16,3807126,'1972-01-10 00:00:00',2,1,12,1998,'F','N','SERRARIAS','S JOSé','SC','224243241321131411631339382324610114147',NULL,'307',19.24,1,3,NULL),(16,3807134,'1986-11-05 00:00:00',4,1,12,2004,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241117152441533339385114610168187',15003,'276',39.64,4,1,1),(16,3807142,'1982-08-05 00:00:00',2,1,12,2001,'F','N','JARDIM ATâNTICO','FLORIANóPOLIS','SC','124241241126134431225644181224610124017',NULL,'740',0.00,1,3,NULL),(16,3807150,'1975-02-20 00:00:00',4,1,12,1994,'M','N','AREIAS','S JOSé','SC','624241241326133421424844345114610136047',15644,'734',38.20,1,3,NULL),(16,3807169,'1985-06-23 00:00:00',2,1,12,2004,'M','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124241247146134431437833572124610117047',NULL,'9999',21.87,1,2,1),(16,3807185,'1990-11-02 00:00:00',4,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124244241136131711623329392334610163042',NULL,'298',14.18,2,1,2),(16,3807193,'1991-07-07 00:00:00',4,1,11,2008,'F','N','JARDIM ESTALAGEM','VIAMãO','RS','120204201211111331425569595124610137052',NULL,'9998',0.00,1,3,NULL),(16,3807207,'1970-01-21 00:00:00',2,1,12,2007,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','224241241132132421623344242324610116187',15485,'282',38.58,1,3,NULL),(16,3807215,'1991-12-18 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241115151731423319392112610124145',8085,'592',52.25,1,2,1),(16,3807223,'1991-09-12 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124203241315111411327519192122610134147',NULL,'592',19.37,1,3,NULL),(16,3807231,'1989-04-12 00:00:00',4,1,12,2007,'M','N','PASSA VINTE','PALHOçA','SC','124241241227132431631211282244233227142',NULL,'262',25.61,1,3,NULL),(16,3807240,'1991-01-22 00:00:00',4,1,12,2008,'M','N','ROçADO','S JOSé','SC','124241241115131431215529585124610134177',NULL,'729',26.61,1,2,1),(16,3807258,'1980-07-24 00:00:00',2,1,10,2002,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241243136575421123344142122222337047',NULL,'306',34.54,1,2,1),(16,3807282,'1981-10-08 00:00:00',4,1,12,2000,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','224241246116373411235544445124610144147',10028,'306',48.72,2,1,1),(16,3807290,'1990-03-06 00:00:00',2,1,12,2007,'F','N','PICADAS DO SUL','S JOSé','SC','124241241127132132424335351344610166047',9401,'691',49.89,1,2,1),(16,3807304,'1980-08-09 00:00:00',2,1,11,1999,'M','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124241241127135411113349285124610124177',NULL,'282',31.74,4,2,1),(16,3807312,'1990-12-22 00:00:00',2,1,11,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241115471431423414245334610137042',NULL,'257',21.03,1,3,NULL),(16,3807320,'1990-12-02 00:00:00',2,1,11,2007,'F','N','LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC','124201241141272431213321181324610126183',NULL,'282',28.43,4,2,1),(16,3807339,'1987-06-29 00:00:00',2,1,12,2004,'F','N','BARREIROS','S JOSé','SC','124243241112274421216544342233130233077',12100,'257',45.10,1,3,NULL),(16,3807347,'1979-02-02 00:00:00',2,1,12,2008,'M','N','PRAINHA','FLORIANóPOLIS','SC','124243247215131421123444246223610167187',NULL,'9999',36.09,4,3,NULL),(16,3807355,'1991-02-23 00:00:00',2,1,12,2008,'F','N','FAZ DO SACRAMENTO','ÁGUAS MORNAS','SC','124241241125131431323923575123610122057',NULL,'12',27.75,1,3,NULL),(16,3807363,'1980-05-08 00:00:00',2,1,12,1997,'F','N','ROCADO','S JOSé','SC','124241241122471422523311442234610121197',NULL,'729',28.33,1,2,1),(16,3807371,'1991-04-19 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241117131431325623372314610127142',9798,'592',49.16,1,2,1),(16,3807380,'1986-03-05 00:00:00',2,1,12,2004,'M','N','BARREIROS','S JOSé','SC','124201201127131431225649212323610132187',NULL,'9998',5.36,1,2,1),(16,3807398,'1989-04-08 00:00:00',2,1,12,2006,'M','N','CENTRO','PALHOçA','SC','124241241117133431336314445134610123077',NULL,'772',27.58,1,3,NULL),(16,3807401,'1991-03-11 00:00:00',2,1,12,2008,'M','N','STO ANTôNIO DE LISBO','FLORIANóPOLIS','SC','124241241116111131323364245124610114142',NULL,'288',23.83,1,3,NULL),(16,3807410,'1960-09-29 00:00:00',2,1,12,1982,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124211213426374411111479293323610142177',10558,'9998',47.82,1,3,NULL),(16,3807428,'1990-10-23 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241146371731533419345334610127047',13585,'812',42.48,1,2,1),(16,3807436,'1990-02-25 00:00:00',4,1,12,2007,'F','N','COSTEIRA PIRAJUBAE','FLORIANóPOLIS','SC','124241241137472431428614382114610168147',NULL,'307',28.22,1,2,1),(16,3807444,'1984-10-23 00:00:00',2,1,12,2002,'F','N','CACH BOM JESUS','FLORIANóPOLIS','SC','124241241136133431421411273224122944117',11639,'307',45.93,1,2,1),(16,3807452,'1990-04-08 00:00:00',2,1,12,2007,'F','N','MONTE CRISTO','FLORIANóPOLIS','SC','124244241215372431535729245124610127092',11190,'1022',46.68,1,3,NULL),(16,3807460,'1991-08-26 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241117131411323524245214610137142',5055,'592',58.50,1,2,1),(16,3807479,'1978-11-05 00:00:00',4,1,11,1996,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241243126175721133329145224121724187',NULL,'512',28.49,1,2,1),(16,3807487,'1986-09-16 00:00:00',2,1,12,2003,'M','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241115133421535614246224610122012',NULL,'307',0.00,1,2,1),(16,3807495,'1991-03-18 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124241241137131431313424572124610122147',16130,'734',36.84,1,2,1),(16,3807509,'1983-10-01 00:00:00',2,1,12,2001,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241124135421433311391221221656042',6183,'192',55.96,1,2,1),(16,3807525,'1987-05-26 00:00:00',2,1,10,2005,'F','N','COLONINHA','FLORIANóPOLIS','SC','124241241125471431425319346324610137147',14813,'307',40.04,4,3,NULL),(16,3807541,'1978-08-03 00:00:00',2,1,12,1997,'F','N','FORQUILHAS','S JOSé','SC','224241241122311751336659212114610118181',NULL,'9997',22.44,2,3,NULL),(16,3807550,'1985-09-02 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241136134431523329192224220537057',13249,'281',43.06,1,2,1),(16,3807568,'1990-06-21 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241112132531326624572114610124147',10307,'257',48.24,1,2,1),(16,3807576,'1987-07-17 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124201208135411331256563331323610127182',NULL,'9998',21.50,4,3,NULL),(16,3807584,'1982-11-05 00:00:00',2,1,12,2000,'F','N','CENTRO','ESTAçãO','RS','120201201117131732636434382324610138057',15606,'9998',38.31,1,2,1),(16,3807592,'1981-03-07 00:00:00',2,1,12,1999,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241316132431123444442334610126017',NULL,'180',25.72,1,3,NULL),(16,3807606,'1959-12-20 00:00:00',2,1,12,2008,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','524201245147131431114347272324610133022',NULL,'307',0.00,1,3,NULL),(16,3807614,'1989-10-15 01:00:00',2,1,8,2007,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241145132431436731385124610167057',6440,'739',55.40,1,3,NULL),(16,3807622,'1976-07-14 00:00:00',4,1,10,1997,'M','N','PONTA DE BAIXO','S JOSé','SC','524243243421443421338519242223130236047',15839,'303',37.65,2,1,2),(16,3807630,'1969-12-10 00:00:00',2,1,12,1988,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124131135126334421233344145124132822187',10542,'9998',47.85,1,2,1),(16,3807649,'1969-06-01 00:00:00',1,1,12,1987,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241248427132431123216282324610138187',NULL,'233',32.35,1,3,NULL),(16,3807657,'1988-07-11 00:00:00',2,1,12,2005,'F','N','ENSEADA DE BRITO','PALHOçA','SC','124241241125273431533923472114610167147',7537,'594',53.26,4,2,1),(16,3807673,'1991-01-14 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241115131432423419572124610122147',NULL,'288',25.74,1,2,1),(16,3807681,'1991-09-01 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241115131452426539572124610167067',NULL,'288',19.57,1,2,1),(16,3807690,'1989-03-07 00:00:00',2,1,11,2006,'F','N','SERRARIA','S JOSé','SC','124241241225373431633334341124610134197',9149,'262',50.32,2,1,2),(16,3807711,'1991-01-09 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241116131431326324442124610116142',NULL,'288',30.20,1,2,1),(16,3807720,'1991-03-30 00:00:00',4,1,12,2008,'F','N','GUARDA DO CUBATãO','PALHOçA','SC','124241241115131711326418572344610168145',10226,'592',48.38,1,2,1),(16,3807738,'1991-11-15 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241116131431423314442224610114142',NULL,'288',26.16,1,2,1),(16,3807746,'1976-08-13 00:00:00',2,1,1,2000,'M','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','624241247617131431322344245224610164062',NULL,'9999',31.12,1,3,NULL),(16,3807754,'1991-06-17 00:00:00',4,1,12,2008,'M','N','VARGEM GRANDE','ÁGUAS MORNAS','SC','124241241115131231335929572221610167055',NULL,'978',28.91,1,2,1),(16,3807762,'1989-01-17 00:00:00',2,1,12,2006,'M','N','CENTRO','ÁGUAS MORNAS','SC','124241241411152421528936591124233226042',12167,'1098',44.96,1,3,NULL),(16,3807770,'1983-01-13 00:00:00',2,1,6,2008,'M','N','PONTA DE BAIXO','S JOSé','SC','124241241337131432423321282224610124015',NULL,'9999',28.10,1,3,NULL),(16,3807789,'1981-07-25 00:00:00',2,1,12,2000,'F','N','AREIAS','S JOSé','SC','124244248111173751526319481344121768181',12091,'976',45.11,1,3,NULL),(16,3807797,'1985-11-21 00:00:00',2,1,12,2004,'F','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124241241112274752567633475124610124147',NULL,'267',26.32,2,1,1),(16,3807819,'1982-11-24 00:00:00',4,1,12,2000,'F','N','N SRA DO ROSARIO','S JOSé','SC','124241241145273731124444242334610111192',15405,'307',38.76,1,2,1),(16,3807827,'1990-03-17 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241247325131531226424292334610126142',NULL,'9999',17.72,1,3,NULL),(16,3807835,'1977-04-09 00:00:00',4,1,7,2008,'F','N','MONTE CRISTO','FLORIANóPOLIS','SC','224241247127371431526114382324610115147',NULL,'9999',23.56,2,1,1),(16,3807843,'1984-05-03 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241125232431633164382124610134147',NULL,'298',26.37,4,2,1),(16,3807851,'1986-04-01 00:00:00',2,1,12,2004,'M','N','AREIAS','S JOSé','SC','124243241416132431523314145124610121092',NULL,'9997',22.75,1,3,NULL),(16,3807860,'1982-02-24 00:00:00',4,1,12,2000,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','224241245121271431321144441344610167143',NULL,'293',26.31,2,1,1),(16,3807878,'1987-03-25 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','224241111126472411226354445124610128187',13649,'9998',42.36,4,3,NULL),(16,3807886,'1976-08-01 00:00:00',2,1,12,1993,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','524241248145575431343419396124610124157',NULL,'591',24.59,1,2,1),(16,3807894,'1983-10-15 00:00:00',2,1,12,2000,'F','N','IPIRANGA','S JOSé','SC','224161161136371411333354485134610164187',15740,'9998',37.96,1,3,NULL),(16,3807916,'1991-03-02 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241116131411436929575124610137042',11526,'257',46.13,1,2,1),(16,3807924,'1985-05-04 00:00:00',4,1,12,2002,'M','N','BELA VISTA','S JOSé','SC','124241241235372431328814442124610128143',15937,'943',37.40,1,3,NULL),(16,3807932,'1991-04-17 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124243241225131431238623375124610137117',NULL,'262',30.11,4,3,NULL),(16,3807940,'1990-04-03 00:00:00',4,1,7,2008,'M','N','BARREIROS','S JOSé','SC','124241241117151431634514346211610164142',7009,'306',54.27,1,3,NULL),(16,3807959,'1990-06-23 00:00:00',2,1,12,2007,'F','N','TRêS RIACHOS','BIGUAçU','SC','124241241111371431323144241324610126047',12536,'65',44.29,1,2,1),(16,3807967,'1990-03-15 00:00:00',2,1,12,2006,'M','N','SERRINHA','FLORIANóPOLIS','SC','124241241115132431325414382124610167067',8733,'267',51.02,1,2,1),(16,3807983,'1989-05-11 00:00:00',2,1,12,2008,'F','N','BELA VISTA II','S JOSé','SC','124241241111131431523314382324610144147',NULL,'726',22.42,3,3,NULL),(16,3807991,'1991-07-26 00:00:00',2,1,12,2008,'F','N','AREIAS','S JOSé','SC','124242241215371411436623332124610127142',NULL,'1078',20.88,1,3,NULL),(16,3808009,'1991-11-16 00:00:00',2,1,12,2008,'F','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124241241115111431426424385124610114142',NULL,'288',19.86,1,3,NULL),(16,3808025,'1990-10-20 00:00:00',4,1,12,2008,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241212111211224424575114610167142',NULL,'951',41.62,1,3,NULL),(16,3808033,'1991-07-26 00:00:00',4,1,11,2008,'F','N','JARDIM CIDADE FPOLIS','S JOSé','SC','124241241115371431623514276224610164142',NULL,'734',21.58,1,2,1),(16,3808041,'1990-03-30 00:00:00',2,1,12,2007,'F','N','DANIELA','FLORIANóPOLIS','SC','124241241217132731623321582144610127057',NULL,'1048',0.00,2,3,NULL),(16,3808050,'1984-10-24 00:00:00',2,1,12,2002,'F','N','INGLESES DO RIO VERM','FLORIANóPOLIS','SC','124201205111212431124444241314140265187',10772,'9998',47.42,1,3,NULL),(16,3808068,'1990-12-12 00:00:00',4,1,12,2008,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241136131731325654475324610124142',NULL,'307',22.58,1,2,1),(16,3808076,'1991-03-01 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124241241126131431423433345324610122142',NULL,'257',19.97,1,2,1),(16,3808084,'1969-02-02 00:00:00',2,1,6,1997,'M','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','224241246136133431536343331134230867042',NULL,'306',30.86,4,1,1),(16,3808092,'1976-12-01 00:00:00',2,1,12,1994,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','624241241122131411431644242124331112042',NULL,'401',0.00,1,3,NULL),(16,3808106,'1984-12-31 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241125373431433374196324610134147',15605,'946',38.31,1,2,1),(16,3808114,'1983-09-09 00:00:00',2,1,8,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241247621131432433314442324610164147',15723,'9999',38.01,4,3,NULL),(16,3808122,'1992-04-03 00:00:00',4,1,12,2008,'F','N','FAZENDA STO ANTONIO','S JOSé','SC','124201241117271731223421371224610146177',8437,'9997',51.52,1,2,1),(16,3808130,'1984-12-18 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANOPOLIS','SC','124241241125472431334324442124610122082',16138,'295',36.80,2,1,1),(16,3808149,'1970-01-09 00:00:00',2,1,12,2005,'M','N','RESIDENCIAL LISBOA','S JOSé','SC','224241247126263412422144442112610147047',NULL,'945',35.26,1,2,1),(16,3808165,'1990-11-07 00:00:00',4,1,12,2008,'F','N','ALTO ARIRIU','PALHOçA','SC','124241241117131731533414395124610125181',NULL,'592',14.67,1,3,NULL),(16,3808173,'1991-08-09 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241117131441425614575124610147045',5739,'267',56.98,1,2,1),(16,3808181,'1988-06-01 00:00:00',4,1,6,2006,'F','N','RATONES','FLORIANóPOLIS','SC','124251257137131411118848382324610164187',NULL,'9998',0.00,1,2,1),(16,3808190,'1990-01-30 00:00:00',4,1,11,2007,'F','N','ABRAãO','FLORIANóPOLIS','SC','124241241216142711544424295124232766145',11427,'1098',46.31,1,3,NULL),(16,3808203,'1982-11-03 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241127132731338324242124231067047',NULL,'307',26.01,2,1,2),(16,3808211,'1986-09-29 00:00:00',2,1,12,2005,'F','N','FORQUILHAS','S JOSé','SC','124241248122132712623114241334610128182',NULL,'307',27.70,1,2,1),(16,3808220,'1991-08-06 00:00:00',4,1,12,2008,'F','N','CAMPO DEMONSTRAçãO','S PEDRO ALCâNTARA','SC','124241241126131721423316572324610136147',NULL,'869',24.39,1,3,NULL),(16,3808246,'1982-03-25 00:00:00',2,1,7,2002,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241247221132122221144242334610123192',NULL,'1000',28.94,1,3,NULL),(16,3808254,'1991-12-11 00:00:00',2,1,11,2008,'F','N','BARRA DO SAMBAQUI','FLORIANóPOLIS','SC','124241241117371431434418371214610128142',NULL,'307',18.01,1,2,1),(16,3808262,'1984-09-19 00:00:00',2,1,7,2003,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241124135431223344192334610163057',14747,'275',40.18,1,2,1),(16,3808270,'1987-10-02 00:00:00',2,1,7,2006,'F','N','ALTO ARIRIU','PALHOçA','SC','124241241117111431533513375124610148197',13445,'9997',42.70,1,2,1),(16,3808289,'1991-03-02 00:00:00',4,1,11,2008,'M','N','ABRAãO','FLORIANóPOLIS','SC','124243241215131431425529582321610137047',NULL,'266',38.08,1,3,NULL),(16,3808297,'1983-01-01 00:00:00',2,1,12,2003,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','624241247336572431221344242124610126147',NULL,'1003',34.24,4,3,NULL),(16,3808300,'1986-09-05 00:00:00',2,1,12,2004,'M','N','REAL PARK','S JOSé','SC','124241241135411731323444242133610137142',NULL,'993',0.00,1,2,1),(16,3808319,'1971-07-17 00:00:00',1,1,12,1988,'F','N','BARREIROS','S JOSé','SC','124201208227131531123341213324610131147',NULL,'9998',28.18,1,3,NULL),(16,3808327,'1991-03-09 00:00:00',2,1,11,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241111141431423319341344610163147',NULL,'288',25.84,3,2,1),(16,3808335,'1986-02-17 00:00:00',2,1,12,2003,'F','N','SERTãO DO MARUIM','S JOSé','SC','124241241122471751334239442244610168191',NULL,'869',31.28,1,2,1),(16,3808351,'1990-11-17 00:00:00',2,1,12,2007,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124244241226142221222241315324230267042',NULL,'262',26.21,1,3,NULL),(16,3808360,'1982-04-04 00:00:00',2,1,12,2003,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241225432441624413142134612521157',NULL,'262',15.28,1,3,NULL),(16,3808378,'1970-02-01 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANOPOLIS','SC','624241247111471222323441412341610111047',NULL,'9999',16.98,1,2,1),(16,3808386,'1989-03-11 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241227132531223321385124610118157',NULL,'262',30.69,1,3,NULL),(16,3808394,'1986-11-10 00:00:00',2,1,12,2003,'M','N','KOBRASOL','S JOSé','SC','124241241146272431123344245124610134097',NULL,'840',31.13,4,3,NULL),(16,3808408,'1989-12-12 00:00:00',4,1,12,2007,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124252241217312431537727575124133247047',14593,'1022',40.52,1,3,NULL),(16,3808416,'1980-08-26 00:00:00',4,1,12,2008,'F','N','TAPERA','FLORIANóPOLIS','SC','224241241127131731324154281224610126062',NULL,'1097',22.86,2,1,1),(16,3808424,'1990-01-10 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241225132432423311575114610124147',NULL,'262',28.12,1,3,NULL),(16,3808432,'1990-05-17 00:00:00',1,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124241241112131711425613585114610114011',NULL,'257',23.39,1,2,1),(16,3808440,'1991-02-02 00:00:00',4,8,12,2008,'M','N','PETROPOLIS','JOINVILLE','SC','124241241145131431427624245121610145142',NULL,'472',0.00,4,2,1),(16,3808459,'1992-03-26 00:00:00',2,1,12,2008,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124241241225131431317329573124610157042',NULL,'262',15.18,2,1,2),(16,3808467,'1973-12-07 00:00:00',2,1,12,1994,'M','N','AREIAS','S JOSé','SC','224241247621132231523319241324130827117',NULL,'9999',0.00,1,3,NULL),(16,3808483,'1979-01-17 00:00:00',2,1,8,2006,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','624241247121131711623451382224610162142',NULL,'9999',13.05,1,2,1),(16,3808491,'1989-06-30 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124242241317273431327723492124610167052',7596,'267',53.16,1,3,NULL),(16,3808505,'1990-10-29 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241116232431326611474114610131147',8676,'307',51.11,1,2,1),(16,3808521,'1981-10-15 00:00:00',2,1,12,2001,'F','N','COSTEIRA PIRAJUBAé','FLORIANóPOLIS','SC','124241241116273421433314245124232528152',NULL,'294',22.98,1,2,1),(16,3808530,'1986-10-26 00:00:00',4,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124243247427131711423429385124610116147',NULL,'9999',18.10,1,3,NULL),(16,3808548,'1989-06-28 00:00:00',4,1,12,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124241241112131531524624445334610124052',NULL,'733',16.63,2,1,1),(16,3808556,'1991-09-02 00:00:00',2,1,12,2008,'F','N','SERTÃO DO MARUIM','S JOSé','SC','124201241116131731224624571324610147057',NULL,'733',31.12,1,2,1),(16,3808564,'1991-03-03 00:00:00',2,1,12,2008,'F','N','FORQUILHAS','S JOSé','SC','124241248135171431414624382324610134047',NULL,'733',0.00,1,3,NULL),(16,3808572,'1982-03-14 00:00:00',2,1,12,2000,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241248147135411523119392234610116097',15598,'293',38.32,4,1,1),(16,3808580,'1975-06-10 00:00:00',4,1,12,2001,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241127131422621119342314610111073',NULL,'289',23.78,1,2,1),(16,3808602,'1990-12-09 00:00:00',2,1,6,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241116112711316724372124233221045',NULL,'306',30.69,1,2,1),(16,3808610,'1988-09-03 00:00:00',2,1,4,2006,'M','N','JARDIM CIDADE','S JOSé','SC','124241241115132431333331441124130718142',11125,'739',46.80,1,2,1),(16,3808629,'1991-11-22 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241115131411623414246324610142147',13834,'307',41.98,1,2,1),(16,3808637,'1990-08-07 00:00:00',4,1,12,2007,'F','N','FUNDOS','BIGUAçU','SC','124241241116171331221124575124232734047',NULL,'65',18.53,1,2,1),(16,3808653,'1979-12-14 00:00:00',2,1,12,1999,'F','N','AREIAS','S JOSé','SC','224241241126135421222253482124610161187',NULL,'297',0.00,1,3,NULL),(16,3808661,'1990-11-24 00:00:00',2,1,12,2008,'F','N','FUNDOS','BIGUAçU','SC','124241241116131411421314572324610136047',NULL,'295',31.39,1,2,1),(16,3808670,'1989-03-30 00:00:00',2,1,12,2006,'F','N','SERRARIA','S JOSé','SC','124241241147132451426324345124230827017',NULL,'734',0.00,1,2,1),(16,3808688,'1987-02-15 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241221154731221144245334610126187',NULL,'262',25.95,2,1,2),(16,3808696,'1985-06-04 00:00:00',2,1,12,2002,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241116274411634331341133610167142',13400,'257',42.80,4,2,1),(16,3808700,'1989-09-05 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241315112431425314271124610126072',NULL,'1022',23.77,1,3,NULL),(16,3808718,'1989-07-31 00:00:00',4,1,12,2006,'F','N','SERRARIAS','S JOSé','SC','124241241636132431624374585114610114062',NULL,'742',24.44,1,3,NULL),(16,3808726,'1990-01-27 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241112132731643315572124610167147',NULL,'814',32.72,1,2,1),(16,3808734,'1990-05-19 00:00:00',4,1,12,2007,'M','N','FORQUILHAS','S JOSé','SC','124241241112371451213329272124610132067',NULL,'733',29.61,1,3,NULL),(16,3808742,'1984-11-25 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANóPOLIS','SC','624241241112134431326654482124122721147',9445,'808',49.82,4,3,NULL),(16,3808750,'1990-05-05 00:00:00',2,1,12,2007,'F','N','SERTãO DO MARUIM','S JOSé','SC','124241241116472411524354575124610137017',13290,'733',42.99,1,2,1),(16,3808769,'1988-07-30 00:00:00',4,1,12,2005,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241116133731226621445124610162114',14007,'307',41.64,1,2,1),(16,3808777,'1980-04-03 00:00:00',2,1,12,2001,'F','N','BELA VISTA I','S JOSé','SC','224201201137371731436544145134610164027',13254,'9998',43.05,1,3,NULL),(16,3808807,'1987-10-16 00:00:00',2,1,12,2005,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241114132431433314245223610114015',NULL,'772',29.53,1,3,NULL),(16,3808815,'1987-04-04 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANóPOLIS','SC','124201241126155421226544145324610127093',13361,'922',42.86,1,3,NULL),(16,3808823,'1988-07-18 00:00:00',2,1,11,2005,'M','N','PRAIA COMPRIDA','S JOSé','SC','124244241217272431324373385124133244012',13518,'995',42.59,1,3,NULL),(16,3808831,'1975-10-22 00:00:00',2,1,12,1997,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241247226134431336654475114610121097',NULL,'9999',22.93,1,3,NULL),(16,3808840,'1982-03-28 00:00:00',2,1,12,2006,'F','N','MONTE CRISTO','FLORIANóPOLIS','SC','624201241126271431613448282321610126077',NULL,'732',0.00,4,2,1),(16,3808858,'1990-05-16 00:00:00',2,1,12,2007,'M','N','INTERIOR','ÁGUA DOCE','SC','124241241124132311323536595314221512077',4792,'9',59.08,1,2,1),(16,3808866,'1975-10-03 00:00:00',2,1,12,2007,'M','N','FUNDOS','BIGUAçU','SC','224241247122132431421153182114610116017',12057,'9999',45.18,1,2,1),(16,3808874,'1986-01-14 00:00:00',2,1,12,2003,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241146135731125544342324610166047',12643,'359',44.10,1,2,1),(16,3808882,'1988-01-02 00:00:00',4,1,12,2005,'F','N','SERTãO DO MARUIM','S JOSé','SC','124241241111163431321513385114610124147',NULL,'733',19.46,2,2,1),(16,3808890,'1991-12-25 00:00:00',2,1,12,2008,'M','N','VARGEM DO BOM JESUS','FLORIANOPOLIS','SC','124241241115131431525514571344610126147',NULL,'288',16.02,4,2,1),(16,3808904,'1988-12-19 00:00:00',2,1,12,2008,'F','N','ABRAÃO','FLORIANóPOLIS','SC','124241241115131432225534595124610134147',NULL,'307',15.20,1,2,1),(16,3808912,'1989-05-26 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241112473431444614444124610126142',NULL,'298',23.16,1,2,1),(16,3808920,'1986-11-24 00:00:00',2,1,12,2005,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124241241117135711423823572124231042147',12132,'298',45.02,1,2,1),(16,3808939,'1984-11-06 00:00:00',2,1,6,2003,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241117374431233629341123610167117',5599,'306',57.27,1,3,NULL),(16,3808947,'1984-12-19 00:00:00',2,1,12,2002,'M','N','SAUDADE','BIGUAçU','SC','124241241116152221123343435123221766172',2693,'65',64.69,1,2,1),(16,3808963,'1984-10-19 00:00:00',4,1,12,2001,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124204241436145431433329345124222234187',NULL,'257',27.91,1,3,NULL),(16,3808971,'1980-11-23 00:00:00',2,1,12,1999,'F','N','RIO GRANDE','PALHOçA','SC','124243248127271421226644345332610147187',NULL,'257',22.25,1,3,NULL),(16,3808980,'1989-11-21 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241215372451326724285115610168167',15567,'1022',38.39,1,3,NULL),(16,3808998,'1983-12-28 00:00:00',2,1,12,2006,'F','N','BARRA DO ARIRIú','PALHOçA','SC','124241247127473431324321242124230266172',NULL,'9999',0.00,4,2,1),(16,3809005,'1988-02-14 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241136371331114444345234610126072',NULL,'307',27.30,1,2,1),(16,3809013,'1988-07-20 00:00:00',2,1,12,2006,'F','N','ALTO RIBEIRãO','FLORIANóPOLIS','SC','124241241215151411523311282314610156073',10737,'988',47.48,1,3,NULL),(16,3809021,'1954-04-17 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','524251257127132411118648282221610162187',6957,'9999',54.37,1,2,1),(16,3809030,'1986-11-26 00:00:00',2,1,12,2008,'F','N','SERRINHA','FLORIANóPOLIS','SC','124241247421131421534524341334610131143',NULL,'9999',28.21,5,3,NULL),(16,3809048,'1985-07-03 00:00:00',2,1,7,2004,'F','N','RIO CAVEIRAS','BIGUAçU','SC','124241245146132431216624282224610134157',NULL,'65',23.62,1,3,NULL),(16,3809056,'1979-08-29 00:00:00',4,1,12,1999,'M','N','SAO SEBASTIAO','PALHOçA','SC','224241241126134731323444245335610127047',NULL,'277',21.87,4,2,1),(16,3809064,'1989-03-20 00:00:00',2,1,12,2006,'F','N','MANOEL FRANCISCO','LIMEIRA','SP','125251256126472731223429386224241422057',13787,'9998',42.08,1,2,1),(16,3809072,'1975-11-04 00:00:00',2,1,12,1998,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','624164161432131421423351412314610167187',NULL,'9998',27.41,4,3,NULL),(16,3809080,'1979-04-13 00:00:00',2,1,11,2008,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','624201201132131421424441412314610167187',NULL,'9999',32.04,1,2,1),(16,3809099,'1985-12-12 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241126134451533335295124221567147',3504,'712',62.37,1,2,1),(16,3809102,'1978-11-28 00:00:00',2,1,12,1999,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','524201206127131721523319292324231064097',NULL,'9998',19.99,1,2,1),(16,3809110,'1991-03-13 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115111231323514572224610124057',NULL,'257',22.81,2,2,1),(16,3809129,'1990-07-05 00:00:00',2,1,11,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124241241115371731524219591124610132147',NULL,'733',20.89,4,2,1),(16,3809137,'1990-02-28 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241146471431411624282124610147093',13995,'283',41.65,1,2,1),(16,3809145,'1986-10-09 00:00:00',2,1,12,2005,'F','N','FORQUILHINHAS','S JOSé','SC','124241241112371431524219342124610115143',NULL,'727',20.98,2,2,1),(16,3809161,'1980-02-16 00:00:00',4,1,12,2001,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241126132721113244145114610123077',NULL,'298',17.77,1,2,1),(16,3809170,'1974-08-17 00:00:00',2,1,11,1994,'F','N','TRINDADE','FLORIANóPOLIS','SC','124161163126154411126644285124230826097',13625,'9998',42.42,1,2,1),(16,3809188,'1986-11-04 00:00:00',2,1,2,2005,'F','N','POTECAS','S JOSé','SC','124241241117332431324541111344610134073',NULL,'727',17.72,1,3,NULL),(16,3809196,'1981-04-29 00:00:00',4,1,12,2005,'F','N','JD ANCHIETA','FLORIANóPOLIS','SC','124241241146274411126747275121222962117',6697,'307',54.87,1,2,1),(16,3809200,'1991-12-16 00:00:00',4,1,12,2008,'M','N','PICADAS DO NORTE','S JOSé','SC','124242241116151411428629572115610128142',13681,'739',42.31,1,3,NULL),(16,3809218,'1988-10-10 00:00:00',2,1,12,2006,'M','N','CANTO','FLORIANóPOLIS','SC','124241241115143431435314395324222314177',11957,'307',45.34,1,2,1),(16,3809226,'1990-09-20 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSé','SC','124241241116132411316629585124610125052',15791,'1116',37.80,1,2,1),(16,3809234,'1990-08-31 00:00:00',2,1,12,2008,'F','N','VILA SãO JOãO','FLORIANóPOLIS','SC','124241241135471711325629576324610132142',NULL,'293',20.66,4,2,1),(16,3809242,'1987-12-16 00:00:00',2,1,12,2008,'F','N','MONTE VERDE','FLORIANOPOLIS','SC','124241247115131421123349393324610114197',NULL,'9999',24.56,1,2,1),(16,3809250,'1985-05-26 00:00:00',2,1,12,2004,'F','N','SANTINHO','FLORIANóPOLIS','SC','124201191137241731223344242344610123147',NULL,'9998',16.49,2,1,1),(16,3809269,'1984-05-13 00:00:00',2,1,12,2003,'F','N','SERRARIA','S JOSé','SC','124241241126372431326579575124610133097',NULL,'257',21.68,1,2,1),(16,3809277,'1983-08-10 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANóPOLIS','SC','124162161217475441233329495124220344187',2554,'9998',65.16,1,3,NULL),(16,3809293,'1985-02-12 00:00:00',2,1,12,2002,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241117134431323329482124223024142',NULL,'592',0.00,3,2,1),(16,3809307,'1988-03-14 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241136132431123344245124610146077',NULL,'1005',26.70,3,2,1),(16,3809315,'1991-10-29 00:00:00',4,1,11,2008,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241116131431423321395334610147057',NULL,'281',22.51,1,2,1),(16,3809323,'1974-07-11 00:00:00',4,1,12,1992,'F','N','PANTANO DO SUL','FLORIANóPOLIS','SC','124251251116132441221149115224142115097',NULL,'9998',0.00,3,2,1),(16,3809331,'1982-01-01 00:00:00',2,1,12,1999,'F','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241241137473731224624342134610123147',15419,'307',38.73,1,2,1),(16,3809340,'1989-11-13 00:00:00',2,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124242241117273432336623272214610124147',7532,'592',53.27,1,3,NULL),(16,3809366,'1978-09-07 00:00:00',2,1,11,1995,'F','N','CAMPECHE','FLORIANóPOLIS','SC','624201201116232731234674342224610121027',NULL,'9998',24.84,1,2,1),(16,3809382,'1989-08-01 00:00:00',4,1,12,2006,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241111373411433634571124610164142',3246,'281',63.15,1,2,1),(16,3809390,'1991-01-03 00:00:00',2,1,12,2007,'F','N','OBOM VIVER','BIGUAçU','SC','124241241125471431423629292324610167097',NULL,'66',21.22,1,3,NULL),(16,3809404,'1976-03-20 00:00:00',2,1,12,1997,'F','N','IPIRANGA','S JOSé','SC','124243241112135431424319492334610122147',NULL,'257',26.17,1,3,NULL),(16,3809420,'1983-07-06 00:00:00',4,1,12,2000,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241241137471431435319444124610124186',9483,'257',49.75,1,2,1),(16,3809439,'1980-04-27 00:00:00',2,1,12,1997,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241117245421116444445124230227043',NULL,'307',40.36,2,1,1),(16,3809447,'1990-12-01 00:00:00',2,1,12,2008,'F','N','JURERÊ','FLORIANóPOLIS','SC','124241241115131731436633342124610121097',NULL,'288',29.79,1,2,1),(16,3809455,'1986-07-28 00:00:00',2,1,12,2003,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','224241241116132211433344445124323063012',15024,'192',39.60,1,2,1),(16,3809463,'1981-02-08 00:00:00',4,1,7,2003,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','224241241126135211426441315124121466122',NULL,'1003',33.78,2,1,1),(16,3809471,'1986-07-06 00:00:00',2,1,12,2004,'F','N','ARMAçãO DO PANTANO','FLORIANóPOLIS','SC','124201201126473441433674245234610141151',NULL,'9998',36.15,1,2,1),(16,3809480,'1984-11-03 00:00:00',2,1,12,2003,'M','N','ARMAçãO DO PâNTANO','FLORIANóPOLIS','SC','124241241121132431423344141114610147042',NULL,'291',0.00,1,2,1),(16,3809498,'1991-12-12 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241116141731333324241124610144183',16466,'288',35.64,1,2,1),(16,3809501,'1991-10-09 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241116131732415611585121610134145',NULL,'288',31.32,1,2,1),(16,3809510,'1986-06-20 00:00:00',2,1,6,2004,'M','N','ARMAçãO DO P DO SUL','FLORIANóPOLIS','SC','124212241431371431227729285134610137111',NULL,'307',27.09,1,3,NULL),(16,3809536,'1988-03-09 00:00:00',2,1,8,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124251247127131221613344342214610122017',NULL,'9999',26.73,2,1,1),(16,3809544,'1990-12-25 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241116132431426724275124220923147',NULL,'288',31.13,1,2,1),(16,3809552,'1970-03-25 00:00:00',2,1,12,1990,'F','N','INGLESES','FLORIANóPOLIS','SC','224204207327131131427844242134143233147',NULL,'9999',32.22,4,3,NULL),(16,3809579,'1980-07-12 00:00:00',2,1,12,2000,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124161161142133421123444242314610116097',NULL,'9998',19.96,4,2,1),(16,3809587,'1986-07-09 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','224241241127275431234754245134130824097',NULL,'656',30.17,1,2,1),(16,3809595,'1983-04-06 00:00:00',2,1,12,2000,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241116131211223348485124610114087',NULL,'789',0.00,1,2,1),(16,3809617,'1973-09-14 00:00:00',2,1,12,2001,'M','N','FORQUILHAS','S JOSé','SC','124241247327472431123644442334610132047',12011,'263',45.24,1,3,NULL),(16,3809625,'1983-10-20 00:00:00',2,1,12,2001,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241416234411236979145234133226022',12462,'752',44.46,4,1,2),(16,3809633,'1987-02-08 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSé','SC','624241241127131731223344442124610128187',NULL,'277',27.33,4,2,1),(16,3809641,'1991-03-02 00:00:00',4,1,12,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124241241117131431213321472314610138042',NULL,'727',21.47,1,3,NULL),(16,3809650,'1989-08-04 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124251241147271441326814285124610125022',6904,'298',54.48,1,2,1),(16,3809668,'1987-08-13 00:00:00',2,4,12,2008,'F','N','COHAB','RIQUEZA','SC','624241241145131431313159172325610121067',NULL,'674',0.00,4,2,1),(16,3809676,'1983-01-03 00:00:00',2,1,12,2007,'F','N','PRAINHA','FLORIANóPOLIS','SC','124203241346272711223644341334610127182',NULL,'295',32.50,1,3,NULL),(16,3809684,'1983-07-24 00:00:00',2,1,12,2006,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124251241126133441226644245124222217047',NULL,'9999',0.00,4,1,1),(16,3809692,'1980-11-06 00:00:00',2,1,12,2001,'F','N','VILA SAO JOAO','FLORIANóPOLIS','SC','224241245127472122223774346334610124187',NULL,'293',19.11,2,1,1),(16,3809706,'1986-01-20 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124201201126133431123344145124130235157',12714,'9998',43.98,1,2,1),(16,3809714,'1983-03-04 00:00:00',2,1,12,2000,'F','N','IPIRANGA','S JOSé','SC','124201201126131421126344345134610132097',NULL,'9998',4.74,1,2,1),(16,3809722,'1991-01-11 00:00:00',4,4,12,2008,'F','N','INTERIOR','RIQUEZA','SC','124241241111161411424315571224610134142',NULL,'674',28.08,1,2,1),(16,3809730,'1990-11-09 00:00:00',2,1,12,2007,'M','N','CRUZEIRO','STA ROSA','RS','120201201117141731423631241224610133042',NULL,'9998',0.00,1,3,NULL),(16,3809749,'1990-06-22 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124241247427131431523311115224610127057',NULL,'9999',20.93,1,3,NULL),(16,3809757,'1981-12-10 00:00:00',2,1,12,1999,'M','N','ROçADO','S JOSé','SC','124241241125471421325411442224610117047',NULL,'729',35.07,1,2,1),(16,3809765,'1987-06-05 00:00:00',2,1,12,2007,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124283241347131451638823285124610167042',NULL,'288',31.60,1,3,NULL),(16,3809773,'1991-07-08 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','624241248117141432433534342134610123057',NULL,'288',29.05,1,2,1),(16,3809781,'1981-12-09 00:00:00',2,1,12,2001,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115473441533339245124610127142',NULL,'276',26.57,4,1,1),(16,3809790,'1972-09-07 00:00:00',2,1,11,2005,'F','N','INGLESES','FLORIANóPOLIS','SC','624202208127131421323644241234610127147',NULL,'9998',24.30,1,3,NULL),(16,3809838,'1978-03-26 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANOPOLIS','SC','124241247131131451113349193314610148181',NULL,'9999',25.37,1,2,1),(16,3809846,'1991-03-20 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241115151431346639575122610124197',10641,'267',47.66,1,3,NULL),(16,3809862,'1988-11-12 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANóPOLIS','SC','124131131217132431536651445124610121093',9943,'9998',48.88,4,1,2),(16,3809870,'1990-08-14 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSé','SC','124241241126131711525624282124610127017',NULL,'66',26.86,1,3,NULL),(16,3809889,'1985-11-23 00:00:00',2,1,12,2005,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241141271421534311441134610124147',NULL,'288',24.22,1,2,1),(16,3809897,'1982-08-16 00:00:00',4,1,11,2000,'F','N','CAMPECHE','FLORIANOPOLIS','SC','224241241122472451323359182124610117187',NULL,'285',24.65,1,2,1),(16,3809900,'1991-12-30 00:00:00',4,4,12,2008,'M','N','CENTRO','RIQUEZA','SC','124241241115131431426423572321610128047',NULL,'674',0.00,1,2,1),(16,3809919,'1991-04-19 00:00:00',4,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241117131441633311111124610126122',NULL,'307',24.69,1,2,1),(16,3809943,'1984-10-17 00:00:00',2,1,9,2004,'M','N','CAMBOA DA ARMAçãO','GOV CELSO RAMOS','SC','124241241112132431425314192324211166047',13469,'306',42.66,1,3,NULL),(16,3809951,'1985-12-04 00:00:00',4,1,12,2005,'F','N','GUARDA DO CUBATãO','PALHOçA','SC','124241247127141711224329342234610122183',NULL,'736',0.00,1,3,NULL),(16,3809960,'1987-11-11 00:00:00',2,1,12,2006,'F','N','BOM VIVER','BIGUAçU','SC','124241241127271431423321242334133212143',NULL,'66',28.03,4,2,1),(16,3809978,'1991-12-23 00:00:00',4,2,12,2008,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241116131431553833391124610116147',15197,'84',39.21,1,2,1),(16,3809986,'1983-06-02 00:00:00',2,1,12,2000,'F','N','MONTE CRISTO','FLORIANóPOLIS','SC','224241241116274421423651396224220526092',NULL,'293',34.49,1,2,1),(16,3809994,'1982-09-16 00:00:00',4,1,12,2004,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124243241127133431221179182244610127142',NULL,'307',0.00,1,3,NULL),(16,3810003,'1988-10-31 00:00:00',2,1,12,2008,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124243241317131731628823345134610164187',NULL,'288',0.00,1,3,NULL),(16,3810011,'1988-04-25 00:00:00',2,1,12,2005,'F','N','AREIAS','S JOSé','SC','124241241147373431123344344324610125112',16413,'9997',35.85,1,2,1),(16,3810020,'1983-12-18 00:00:00',2,1,7,2002,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241247312135411631524246214610117157',NULL,'9999',26.58,1,3,NULL),(16,3810038,'1986-11-06 00:00:00',2,1,12,2004,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241248121173431623414245334430823097',16695,'307',33.23,2,3,NULL),(16,3810046,'1988-12-09 00:00:00',2,5,12,2006,'M','N','JARDIM AMERICA','CACHOEIRINHA','RS','120201201121131411214521285324610147057',NULL,'9998',0.00,1,2,1),(16,3810054,'1989-08-26 00:00:00',2,1,12,2006,'F','N','PALMAS','GOV CELSO RAMOS','SC','124241241111133431315514181344610156187',NULL,'307',26.71,1,3,NULL),(16,3810062,'1992-04-10 00:00:00',4,1,12,2008,'F','N','VARGEM GRANDE','ÁGUAS MORNAS','SC','124241241117131431423719295124610134047',13339,'978',42.89,1,2,1),(16,3810070,'1969-05-22 00:00:00',2,1,12,1986,'M','N','BARRA DO ARIRIú','PALHOçA','SC','224241245117133431437443335123610125097',14782,'591',40.10,1,2,1),(16,3810089,'1988-03-06 00:00:00',2,1,12,2006,'F','N','AREIAS','S JOSé','SC','124212218212132431423764475124610122142',NULL,'9998',0.00,1,3,NULL),(16,3810097,'1982-09-30 00:00:00',2,1,9,2002,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124201207127141711126644142334610126187',16448,'9999',35.71,1,2,1),(16,3810100,'1991-07-12 00:00:00',2,1,12,2008,'F','N','NATUREZA','CONCóRDIA','SC','124241241136131431323411245124610161147',15549,'192',38.44,4,2,1),(16,3810119,'1981-11-09 00:00:00',2,1,12,2000,'F','N','SERRARIA','S JOSé','SC','124241247224133721221344141234130825143',NULL,'943',0.00,4,1,2),(16,3810127,'1989-07-17 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241137131431328621342234610126047',NULL,'298',0.00,1,3,NULL),(16,3810135,'1978-08-07 00:00:00',2,1,11,1997,'F','N','SãO SEBASTIãO','PALHOçA','SC','224241244127131431331144242334610124187',NULL,'284',0.00,1,2,1),(16,3810143,'1970-08-17 00:00:00',2,1,3,1997,'M','N','FORQUILINHAS','S JOSé','SC','524161163121131431123144245334610127057',NULL,'9998',26.63,1,2,1),(16,3810151,'1978-05-08 00:00:00',2,1,12,1995,'F','N','TAPERA','FLORIANóPOLIS','SC','124241243121232431223371381314610123072',14927,'524',39.83,1,2,1),(16,3810160,'1990-12-27 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124241241115131431523611175124610133057',NULL,'727',25.84,1,2,1),(16,3810178,'1978-10-06 00:00:00',4,1,7,1998,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124131137227231431124443132334140262192',NULL,'9998',0.00,1,3,NULL),(16,3810186,'1989-05-12 00:00:00',4,1,12,2007,'F','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124241241332131731324414245234610167017',NULL,'300',22.53,1,3,NULL),(16,3810208,'1990-10-24 00:00:00',2,1,12,2007,'F','N','SãO MIGUEL','CONCóRDIA','SC','124241241117471741426619573124610134142',NULL,'192',39.08,1,2,1),(16,3810216,'1985-08-20 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241141272431223443135334610124097',NULL,'903',36.12,4,2,1),(16,3810224,'1990-12-26 00:00:00',4,1,4,2008,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241121271431223441111324610124147',16305,'719',36.35,4,2,1),(16,3810232,'1955-09-26 00:00:00',4,1,12,1990,'F','N','TAPERA','FLORIANóPOLIS','SC','124203207347131431323344342214610134197',NULL,'9999',25.40,2,1,2),(16,3810240,'1991-07-28 00:00:00',4,1,12,2008,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241116131732626814436124610148187',15794,'358',37.79,1,2,1),(16,3810259,'1989-12-07 00:00:00',2,1,12,2006,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124201201116271441324628295224230244017',11955,'9998',45.34,1,3,NULL),(16,3810267,'1965-01-25 00:00:00',2,1,12,2006,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','324201207127131111325448182244610146077',NULL,'9999',0.00,1,3,NULL),(16,3810275,'1991-12-16 00:00:00',4,1,11,2008,'F','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241241115131731436613286124610137047',NULL,'307',27.39,1,2,1),(16,3810283,'1989-06-04 00:00:00',2,1,6,2008,'F','N','BARREIROS','S JOSé','SC','124241241116372751548911595124610147097',9832,'306',49.10,1,2,1),(16,3810291,'1988-09-03 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241146133431334634575124610126197',NULL,'288',26.30,1,2,1),(16,3810305,'1991-03-28 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124243241216111311548911575112610167012',6475,'737',55.32,1,3,NULL),(16,3810313,'1982-01-16 00:00:00',4,1,12,2001,'F','N','KOBRASOL','S JOSé','SC','124241243127132421121118345334610114057',NULL,'512',4.44,1,2,1),(16,3810321,'1984-10-17 00:00:00',2,1,12,2004,'M','N','SANTOS SARAIVA','S JOSé','SC','124241241127471711326344241223610147052',NULL,'307',36.59,1,2,1),(16,3810330,'1951-07-10 00:00:00',5,1,12,1972,'F','N','INGLESES','FLORIANóPOLIS','SC','124241245126133751332149475114122216147',16047,'209',37.12,1,3,NULL),(16,3810348,'1971-12-09 00:00:00',2,1,12,2001,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124241247622475431321544142314610168047',NULL,'9999',34.02,1,3,NULL),(16,3810364,'1988-12-20 00:00:00',2,1,12,2005,'F','N','RATONES','FLORIANóPOLIS','SC','224241241126133451325554172123610161187',NULL,'307',0.00,1,2,1),(16,3810372,'1977-11-10 00:00:00',5,1,12,1997,'M','N','INGLESES','FLORIANóPOLIS','SC','124243247226134431336727181124131922187',NULL,'311',0.00,1,3,NULL),(16,3810410,'1990-07-03 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241116132711425434385124610117067',NULL,'288',26.63,1,2,1),(16,3810429,'1975-01-24 00:00:00',4,1,12,1993,'F','N','CENTRO','FLORIANóPOLIS','SC','124201203112571431334344442234341064147',15451,'9998',38.64,1,3,NULL),(16,3810437,'1990-01-15 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124243241117371441228624344114610164097',9202,'306',50.24,2,3,NULL),(16,3810445,'1991-09-18 00:00:00',4,1,12,2008,'F','N','PASSA VINTE','PALHOçA','SC','124241241227111411533311275124610132192',11037,'262',46.95,1,3,NULL),(16,3810453,'1987-10-19 00:00:00',2,1,12,2005,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124241241116334711323311442124610163095',11806,'307',45.62,4,1,1),(16,3810461,'1991-09-12 00:00:00',2,1,11,2008,'F','N','ARMAÇÃO','FLORIANóPOLIS','SC','124241248225111442428711414324610111117',10616,'262',47.70,1,3,NULL),(16,3810470,'1991-02-13 00:00:00',4,1,12,2008,'F','N','ROCINHA','TIMBé SUL','SC','124241241135131431334923572224610148147',NULL,'785',22.49,1,2,1),(16,3810488,'1991-09-20 00:00:00',2,1,12,2008,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241114131731543614272124610122141',14255,'288',41.13,1,3,NULL),(16,3810500,'1982-05-21 00:00:00',4,2,12,2000,'M','N','DOS ESTADOS','INDAIAL','SC','124241241137131531423329295135610164057',14516,'365',40.66,1,2,1),(16,3810518,'1990-02-19 00:00:00',2,1,12,2008,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241117371431436313575124610137117',12125,'306',45.04,1,2,1),(16,3810526,'1991-06-08 00:00:00',4,1,12,2008,'F','N','CAMINHO NOVO','PALHOçA','SC','124241241225132231434412586344610143142',13033,'262',43.44,1,3,NULL),(16,3810534,'1990-07-20 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124244241115131431226729345114610122091',NULL,'288',26.07,1,3,NULL),(16,3810542,'1989-03-26 00:00:00',2,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241115132421423454341334610117142',NULL,'307',29.98,1,2,1),(16,3810550,'1988-02-01 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241145473731526529345125610134027',15352,'277',38.86,2,2,1),(16,3810569,'1973-01-11 00:00:00',2,1,12,1994,'M','N','JARDIM CIDADE FPOLIS','S JOSé','SC','224241241126131411433241112124610166047',NULL,'734',35.89,1,2,1),(16,3810577,'1986-01-08 00:00:00',2,1,12,2006,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241147153431323371382314610168192',NULL,'278',28.60,1,2,1),(16,3810585,'1987-01-08 00:00:00',2,1,12,2005,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124241241117153731426621295334222234047',15008,'257',39.62,1,2,1),(16,3810593,'1975-08-08 00:00:00',2,1,12,2004,'F','N','TAPERA','FLORIANóPOLIS','SC','124241247226131411223244142334610166197',15889,'9999',37.51,1,3,NULL),(16,3810607,'1986-05-03 00:00:00',2,1,12,2003,'M','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124251251127152431323421282314610162112',14860,'9998',39.97,2,1,1),(16,3810615,'1982-02-06 00:00:00',2,1,12,1999,'F','N','JOSé MENDES','FLORIANóPOLIS','SC','124241241116133421236423495124222226187',8795,'281',50.91,2,3,NULL),(16,3810623,'1990-10-21 01:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124243241115111431536711571124610161072',6294,'267',55.70,1,3,NULL),(16,3810631,'1974-11-03 00:00:00',2,1,12,1996,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','624241248137131431325353242113142314067',NULL,'306',41.45,1,3,NULL),(16,3810640,'1990-11-27 00:00:00',4,1,12,2008,'F','N','FORQUILHAS','S JOSé','SC','124241241115151431231923571124610128047',NULL,'727',0.00,1,2,1),(16,3810658,'1985-03-14 00:00:00',2,1,12,2002,'F','N','PANTANAL','FLORIANóPOLIS','SC','124243241117371431546733442124610143097',NULL,'513',24.29,1,3,NULL),(16,3810666,'1991-02-13 00:00:00',4,1,12,2008,'F','N','JARDIM ELDORADO','PALHOçA','SC','124241241225111411423611295124610166052',14049,'262',41.55,1,3,NULL),(16,3810674,'1982-01-01 00:00:00',4,1,12,1998,'F','N','PANTANAL','FLORIANóPOLIS','SC','124243241115145431556733445124233244197',NULL,'514',0.00,1,3,NULL),(16,3810682,'1982-04-27 00:00:00',2,1,6,2001,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','224241244122131431324443335114610134147',16197,'307',36.68,1,3,NULL),(16,3810690,'1988-02-06 00:00:00',2,1,12,2006,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241111132431533619382124610137147',NULL,'298',0.00,1,3,NULL),(16,3810704,'1989-12-11 00:00:00',2,1,12,2007,'M','N','JARDIM JANAINA','BIGUAçU','SC','124241241116272431535314345124610127047',NULL,'65',35.23,1,2,1),(16,3810712,'1984-03-16 00:00:00',2,1,7,2003,'F','N','JARDIM DOS AçORES','BIGUAçU','SC','124241247122472411534311282314610127157',14205,'736',41.23,1,2,1),(16,3810720,'1977-11-23 00:00:00',2,1,7,2008,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','224241248127371731423151112224610156092',NULL,'9997',22.50,1,2,1),(16,3810739,'1990-06-08 00:00:00',2,1,11,2008,'F','N','SAO SEBASTIAO','PALHOçA','SC','124241241445111731223324575124610128142',NULL,'262',25.00,1,3,NULL),(16,3810747,'1978-07-29 00:00:00',2,1,12,1997,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241243136132411123648392344332736197',NULL,'635',25.05,1,2,1),(16,3810755,'1991-12-15 00:00:00',4,1,12,2008,'F','N','GUARDA DO CUBATÃO','PALHOCA','SC','124161241125131432421319271344610166172',NULL,'593',13.59,1,2,1),(16,3810763,'1968-03-12 00:00:00',4,1,12,1989,'M','N','JOSE NITRO','S JOSé','SC','224061061111162722431153113344610164047',14118,'9998',41.40,2,1,1),(16,3810771,'1978-07-03 00:00:00',2,1,12,1995,'F','N','SANTINHO','FLORIANóPOLIS','SC','124252251217271421124344343234142027027',7293,'9998',53.72,1,3,NULL),(16,3810780,'1988-04-19 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241117131711333314142313610164041',NULL,'307',0.00,3,2,1),(16,3810810,'1985-09-02 00:00:00',2,1,12,2004,'M','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241122273721435629345134610117047',NULL,'257',23.33,1,2,1),(16,3810828,'1989-08-28 00:00:00',4,1,12,2006,'F','N','AREIAS DO MEIO','GOV CELSO RAMOS','SC','124241241131373711226644341334610114172',11319,'727',46.45,1,2,1),(16,3810844,'1990-03-17 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124241241426141431423334342124610134087',NULL,'262',30.85,1,3,NULL),(16,3810852,'1972-09-15 00:00:00',2,1,12,1993,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124201201121132421126544341344131224045',NULL,'9998',0.00,1,3,NULL),(16,3810860,'1986-02-01 00:00:00',2,1,11,2006,'F','N','RIO VERMELHO TRAVESS','FLORIANóPOLIS','SC','224161167147131411323351272314610147187',NULL,'9998',0.00,3,3,NULL),(16,3810879,'1990-11-21 00:00:00',2,1,12,2007,'F','N','INGLESSES','FLORIANOPOLIS','SC','624161161117371411323759592324610142147',NULL,'9998',30.58,4,2,1),(16,3810887,'1989-04-24 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124161241127151421623374245114610127047',NULL,'289',26.05,1,2,1),(16,3810895,'1986-07-09 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124203247337141431114348282124610117072',NULL,'9999',0.00,1,3,NULL),(16,3810909,'1985-09-02 00:00:00',2,1,12,2002,'F','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124161165141162431311229281324610146152',NULL,'9998',24.64,1,2,1),(16,3810917,'1981-12-15 00:00:00',4,1,12,2005,'F','N','AREIAS','S JOSé','SC','124241247146132121123344245334130243097',NULL,'9999',0.00,1,3,NULL),(16,3810925,'1984-05-29 00:00:00',2,1,12,2002,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241117133411426354472324610144147',NULL,'271',0.00,1,3,NULL),(16,3810933,'1990-11-07 00:00:00',2,1,12,2007,'M','N','VILA NOVA','IMBITUBA','SC','124241241117132431526614392124610164047',NULL,'359',0.00,4,2,1),(16,3810941,'1987-04-11 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241127372751624914284334610166177',16325,'594',36.28,1,2,1),(16,3810950,'1975-09-11 00:00:00',2,1,12,2002,'F','N','ESTREITO','FLORIANóPOLIS','SC','124201201224132411322243435124143225142',NULL,'9999',0.00,1,3,NULL),(16,3810968,'1986-09-22 00:00:00',2,1,12,2003,'F','N','COSTEIRA PIRAJUBAé','FLORIANóPOLIS','SC','124241241132132711524424241224610126017',NULL,'295',20.11,1,3,NULL),(16,3810976,'1978-09-19 00:00:00',2,1,12,1999,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241126135232124444345334321923147',14221,'281',41.19,4,2,1),(16,3810984,'1980-01-20 00:00:00',4,1,12,1999,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241135131431221341316334610137017',NULL,'281',24.41,1,2,1),(16,3810992,'1986-09-21 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241146133431433334192324121666147',14560,'545',40.59,1,2,1),(16,3811000,'1990-05-08 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241132131131416324342114610114197',12996,'592',43.51,1,3,NULL),(16,3811018,'1986-08-20 00:00:00',2,1,12,2003,'F','N','JOSé MENDES','FLORIANóPOLIS','SC','124201201137272411226359382344610168092',NULL,'9998',35.76,1,3,NULL),(16,3811026,'1984-07-23 00:00:00',2,1,9,2002,'F','N','MADRI','PALHOçA','SC','124241243117133421423314192224122348022',NULL,'306',25.81,4,1,1),(16,3811042,'1990-01-22 00:00:00',4,1,12,2007,'F','N','A PALHOCINHA','GAROPABA','SC','124241241127141331625514345333610144187',NULL,'322',0.00,3,2,1),(16,3811050,'1991-10-22 00:00:00',2,1,12,2008,'F','N','CENTRO','CONCóRDIA','SC','124241241117271731339813574112610135012',7157,'192',53.99,1,2,1),(16,3811069,'1990-08-13 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241122372411523331345334610126147',NULL,'282',20.70,1,3,NULL),(16,3811077,'1988-06-11 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANóPOLIS','SC','124242241215372731535514385124610167077',NULL,'1048',32.00,1,3,NULL),(16,3811085,'1990-07-14 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124242241217372431535514382124610166077',NULL,'1048',25.82,1,3,NULL),(16,3811107,'1989-12-29 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241137132432436614372124610136147',12343,'283',44.64,1,2,1),(16,3811115,'1986-03-08 00:00:00',2,1,12,2003,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124101101117473431216644342324610134147',13032,'9998',43.45,2,1,1),(16,3811123,'1988-12-07 00:00:00',4,1,3,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124251241111273431223344142324610162147',NULL,'267',34.47,3,2,1),(16,3811131,'1989-04-13 00:00:00',4,1,12,2006,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241327132431423621382114610147062',NULL,'300',22.21,1,3,NULL),(16,3811158,'1983-04-06 00:00:00',2,1,12,2000,'F','N','FORQUILHAS','S JOSé','SC','224161161116373421221154142234610126197',11585,'9998',46.02,1,2,1),(16,3811166,'1991-08-02 00:00:00',2,1,12,2008,'F','N','COSTA DE DENRO','FLORIANóPOLIS','SC','124241241225131431527711316324610122112',NULL,'262',0.00,1,3,NULL),(16,3811174,'1975-11-03 00:00:00',2,1,12,1989,'M','N','MONTE CRISTO','FLORIANóPOLIS','SC','224241241111235421529654481124610117047',13115,'257',43.30,2,1,1),(16,3811182,'1985-06-26 00:00:00',2,1,12,2002,'M','N','ABRAãO','FLORIANóPOLIS','SC','124241241147134731426629395124221832147',12720,'580',43.98,1,2,1),(16,3811190,'1991-12-04 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241137131531424414572114610127047',16440,'285',35.75,1,2,1),(16,3811204,'1988-03-15 00:00:00',2,1,12,2005,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241117134411424414276124231323117',NULL,'281',30.95,1,2,1),(16,3811212,'1987-08-18 00:00:00',2,1,12,2004,'F','N','BARREIROS','S JOSé','SC','124243241317135451636611242124610144197',13533,'734',42.56,1,3,NULL),(16,3811220,'1990-10-09 00:00:00',4,1,12,2008,'F','N','SERRA CANOA','RIO SUL','SC','124241247116131431623315572344610124147',NULL,'9999',28.25,1,2,1),(16,3811247,'1977-10-15 00:00:00',2,8,12,1998,'M','N','PARQUE GUARANI','JOINVILLE','SC','624241241132151431623351392345610116067',NULL,'9997',26.70,4,3,NULL),(16,3811255,'1982-09-19 00:00:00',2,8,12,1998,'M','N','PARQUE GUARANI','JOINVILLE','SC','124241241332131431433339392345610167052',NULL,'9997',23.76,1,3,NULL),(16,3811263,'1970-01-30 00:00:00',2,8,12,2001,'M','N','PARQUE GUARANI','JOINVILLE','SC','624244011212131421224451312345610167182',NULL,'9997',18.14,1,3,NULL),(16,3811271,'1978-05-31 00:00:00',2,8,12,2008,'M','N','PARQUE GUARANI','JOINVILLE','SC','624243241112131751313423392345610166192',NULL,'9997',7.32,1,3,NULL),(16,3811280,'1974-05-16 00:00:00',2,8,12,2000,'M','N','PARQUE GUARANI','JOINVILLE','SC','224242241232151751633349412345610167047',NULL,'9997',0.00,1,3,NULL),(16,3811298,'1978-04-29 00:00:00',2,8,12,2006,'M','N','PARQUE GUARANI','JOINVILLE','SC','224242241212131421224449492345610167092',NULL,'9997',0.00,1,3,NULL),(16,3811301,'1980-06-26 00:00:00',2,8,12,2008,'M','N','PARQUE GUARANI','JOINVILLE','SC','124246241132151221534431392345610112182',NULL,'9997',5.55,1,3,NULL),(16,3811310,'1981-04-26 00:00:00',2,8,12,2008,'M','N','PARQUE GUARANI','JOINVILLE','SC','124241241122131521323321492345610166012',NULL,'9997',23.64,4,3,NULL),(16,3811328,'1986-10-24 00:00:00',2,8,12,2005,'M','N','PARQUE GUARANI','JOINVILLE','SC','124242241214151231434411392345610166183',NULL,'9997',27.90,1,3,NULL),(16,3811336,'1983-09-03 00:00:00',2,8,12,1999,'M','N','PARQUE GUARANI','JOINVILLE','SC','624241241142131431323354392345610122187',NULL,'9997',0.00,4,3,NULL),(16,3811344,'1984-03-04 00:00:00',2,8,12,2002,'M','N','PARQUE GUARANI','JOINVILLE','SC','124242241212131421333434492345610116187',NULL,'9997',27.51,1,3,NULL),(16,3811352,'1968-02-15 00:00:00',2,8,12,1998,'M','N','PARQUE GUARANI','JOINVILLE','SC','124242241212151411338411393345610167184',NULL,'9997',0.00,1,3,NULL),(16,3811360,'1979-11-28 00:00:00',2,1,12,1999,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241115131431213221482344610124017',NULL,'9997',0.00,1,3,NULL),(16,3811379,'1965-11-21 00:00:00',2,8,12,1997,'M','N','PARQUE GUARANI','JOINVILLE','SC','224241241142151411224421392345610166187',NULL,'9997',32.56,1,3,NULL),(16,3811387,'1983-04-17 00:00:00',2,1,12,1999,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241117131431324221382341610127057',NULL,'9997',15.77,1,2,1),(16,3811395,'1986-01-02 00:00:00',4,1,12,2003,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241112131431223311382344610114047',12900,'9997',43.67,1,2,1),(16,3811409,'1982-12-07 00:00:00',4,1,12,2001,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124244241215131431434413382345610114187',15055,'9998',39.54,1,3,NULL),(16,3811417,'1985-03-15 00:00:00',2,1,12,2003,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124243241215131431334411382344610117057',NULL,'9997',0.00,1,3,NULL),(16,3811425,'1980-09-10 00:00:00',2,8,12,2000,'M','N','PARQUE GUARANI','JOINVILLE','SC','624241241122131431224354494345610166182',NULL,'9998',23.81,1,3,NULL),(16,3811433,'1970-06-27 00:00:00',2,1,12,1995,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','224241241115131431323351382341610127057',NULL,'9998',0.00,1,2,1),(16,3811441,'1971-08-21 00:00:00',2,1,12,2008,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','123241241112131431323411382344610127037',NULL,'9997',0.00,2,1,1),(16,3811450,'1957-06-29 00:00:00',2,1,12,1976,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','324241241112132411336674482344330336057',NULL,'9997',37.87,1,3,NULL),(16,3811468,'1977-02-14 00:00:00',2,1,12,1995,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','224241241112132432324454382344332734147',NULL,'9997',29.65,1,3,NULL),(16,3811476,'1970-07-07 00:00:00',2,1,12,1987,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241112131431323311383344610134047',NULL,'9997',0.00,1,2,1),(16,3811484,'1977-02-14 00:00:00',2,8,12,2006,'M','N','PARQUE GUARANI','JOINVILLE','SC','124242241213131421234434393345610167186',NULL,'9997',0.00,1,3,NULL),(16,3811492,'1967-08-19 00:00:00',2,1,12,1988,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','224241241112131431323321382345610164057',NULL,'9997',28.55,1,2,1),(16,3811506,'1983-06-11 00:00:00',2,8,12,2005,'M','N','PARQUE GUARANI','JOINVILLE','SC','124242248212131421225424493345610167057',NULL,'9997',3.48,1,3,NULL),(16,3811514,'1981-09-26 00:00:00',2,1,12,2000,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241112131431323331312344610124047',NULL,'9997',27.14,1,2,1),(16,3811522,'1975-12-05 00:00:00',5,1,12,1995,'M','N','AGRÔNOMICA','FLORIANOPOLIS','SC','224242241412131431324451382344610127047',NULL,'9997',25.63,1,3,NULL),(16,3811530,'1974-07-16 00:00:00',2,8,12,2000,'M','N','PARQUE GUARANI','JOINVILLE','SC','624241241132151531414471292345610156187',NULL,'9997',0.00,1,3,NULL),(16,3811549,'1988-08-16 00:00:00',2,1,12,2005,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241112131431323331382344610144147',NULL,'9997',0.00,1,2,1),(16,3811565,'1971-06-03 00:00:00',2,8,12,1989,'M','N','PARQUE JOINVILLE','JOINVILLE','SC','124241241132151731313331212345610118187',4343,'9997',60.15,1,3,NULL),(16,3811573,'1982-12-13 00:00:00',2,8,12,2008,'M','N','PARQUE GUARANI','JOINVILLE','SC','624241241132151431613331292345231456187',NULL,'9997',0.00,1,3,NULL),(16,3811581,'1982-01-21 00:00:00',2,8,12,2007,'M','N','PARQUE GUARANI','JOINVILLE','SC','624241241132151431413531292345610158187',NULL,'9997',26.52,4,3,NULL),(16,3811603,'1957-06-07 00:00:00',2,1,12,2001,'F','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241142131431323311282344610124097',NULL,'9997',28.38,1,2,1),(16,3811611,'1970-08-22 00:00:00',2,8,12,1989,'M','N','PARQUE GUARANI','JOINVILLE','SC','624241241132151431414571392345610156187',NULL,'9997',31.96,1,3,NULL),(16,3811620,'1976-09-22 00:00:00',2,1,12,2005,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','224241241112131431323351382344610134027',13026,'9997',43.46,1,2,1),(16,3811638,'1973-08-17 00:00:00',2,8,12,2007,'M','N','PARQUE GUARANI','JOINVILLE','SC','624161161132151431414471212345610158187',16653,'9998',34.28,1,3,NULL),(16,3811646,'1973-09-27 00:00:00',2,1,12,1992,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124242241212131431337514482344610124047',NULL,'9997',0.00,1,3,NULL),(16,3811654,'1968-08-25 00:00:00',2,1,12,2000,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241112131431423351212345610114047',NULL,'9997',30.83,1,2,1),(16,3811662,'1973-06-06 00:00:00',2,1,12,1994,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241115132431224311382341610114047',10931,'9998',47.15,1,2,1),(16,3811670,'1983-01-15 00:00:00',2,1,12,2005,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241212131431323321382341610127047',NULL,'9997',24.61,2,1,2),(16,3811689,'1980-09-10 00:00:00',2,1,12,1999,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','124241241115131431323311282345610114047',NULL,'9997',28.96,4,2,1),(16,3811697,'1981-04-24 00:00:00',4,1,12,2003,'M','N','AGRONÔMICA','FLORIANOPOLIS','SC','224243241212131531656633482344610114047',NULL,'9997',18.85,1,3,NULL),(16,3811700,'1985-07-22 00:00:00',2,8,12,2002,'M','N','PARQUE GUARANI','JOINVILLE','SC','624241241132151431514431212345610158187',NULL,'9997',0.00,4,3,NULL),(16,3811719,'1984-12-14 00:00:00',2,8,12,2005,'M','N','PARQUE GUARANI','JOINVILLE','SC','624241241132151431413331292345610157187',NULL,'9997',0.00,1,3,NULL),(16,3811727,'1964-08-10 00:00:00',2,8,12,1986,'M','N','PARQUE GUARANI','JOINVILLE','SC','624241241132151431414551312345610158187',NULL,'9997',22.06,1,3,NULL),(16,3811735,'1977-09-20 00:00:00',2,8,12,1999,'M','N','PARQUE GUARANI','JOINVILLE','SC','124241241132151431314529292345610158187',NULL,'9997',0.00,1,3,NULL),(16,3811743,'1966-10-14 00:00:00',2,8,12,1990,'M','N','PARQUE GUARANI','JOINVILLE','SC','624241241132151431414651292335610156187',NULL,'9997',24.54,1,3,NULL),(16,3811760,'1979-12-18 00:00:00',4,2,12,1999,'M','N','VILA NOVA','BLUMENAU','SC','124251251127232431125348246124232124057',NULL,'9998',6.68,1,2,1),(16,3811778,'1991-05-03 00:00:00',4,2,12,2008,'M','N','TESTO CENTRAL','POMERODE','SC','124241241125151411434314275124610122141',12529,'1012',44.31,1,2,1),(16,3811786,'1972-03-15 00:00:00',2,2,12,1994,'M','N','CENTRO','BLUMENAU','SC','124241241121131411113349191345610166197',7633,'761',53.09,1,2,1),(16,3811794,'1983-11-24 00:00:00',2,1,12,1998,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241127132431126644445114610132097',15704,'79',38.06,1,2,1),(16,3811808,'1990-06-09 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241116111412326614592124232736187',NULL,'306',0.00,1,3,NULL),(16,3811816,'1989-09-21 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124201201147131231433614385124610126017',12123,'9998',45.05,1,2,1),(16,3811824,'1978-11-06 00:00:00',4,1,12,2000,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124201201126131421125144445134233222057',NULL,'9998',24.69,4,1,1),(16,3811832,'1989-03-14 00:00:00',5,7,12,2006,'M','N','CENTRO','ARROIO TRINTA','SC','124241241141131732333923242341610167057',NULL,'853',20.68,4,2,1),(16,3811840,'1992-05-09 00:00:00',2,4,12,2008,'F','N','CENTRO','CEL MARTINS','SC','124241241116131431426613572122610127142',14990,'200',39.68,1,2,1),(16,3811859,'1986-12-21 00:00:00',2,5,11,2004,'F','N','VILA SÃO JOSÉ','IçARA','SC','124241241137131411323424392324610126147',NULL,'1005',0.00,1,2,1),(16,3811867,'1991-01-18 00:00:00',4,4,12,2008,'F','N','PEíIMETRO RURAL','IRATI','SC','124241241126161431323315342125610127052',14594,'380',40.52,1,2,1),(16,3811875,'1989-10-10 00:00:00',2,1,12,2008,'F','N','SAO LUIZ','S JOSé','SC','124241241125141431531324343322610113147',NULL,'729',28.56,1,3,NULL),(16,3811883,'1981-09-19 00:00:00',2,1,12,1999,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124241246126374421323319485124610127067',NULL,'306',29.12,2,1,1),(16,3811891,'1992-05-09 00:00:00',2,4,12,2008,'F','N','CENTRO','CEL MARTINS','SC','124241241116131431426613572122610127142',15299,'200',38.97,1,2,1),(16,3811905,'1984-04-27 00:00:00',2,1,12,2001,'F','N','BOCAINA','CONCEIçãO MACABU','RJ','121213215117141751432239245123343217147',NULL,'9998',0.00,1,3,NULL),(16,3811913,'1987-03-17 00:00:00',4,9,12,2003,'M','N','LOCALIDADE RIO CLARO','MAJ VIEIRA','SC','124241241127161431113345152343610164197',NULL,'548',0.00,1,2,1),(16,3811921,'1978-06-30 00:00:00',4,8,12,1995,'M','N','SÃO DIMAS','PIRACICABA','SP','125251251117571731223629282321341228187',1107,'9998',71.41,1,2,1),(16,3811948,'1986-09-23 00:00:00',2,4,12,2004,'F','N','CENTRO','CHAPECó','SC','124241241115475421426319282125610122087',12294,'1046',44.73,1,2,1),(16,3811956,'1991-08-21 00:00:00',4,7,12,2008,'F','N','CENTRO','ARABUTã','SC','124241241146131431324419235324610126172',NULL,'979',0.00,1,2,1),(16,3811964,'1989-09-22 00:00:00',2,5,12,2006,'F','N','RAICHASKI','IçARA','SC','124242241215373431324739344124133224192',5651,'995',57.16,1,3,NULL),(16,3811972,'1991-08-01 00:00:00',2,1,12,2008,'F','N','VILA FRAGOSOS','CONCóRDIA','SC','124241241116131431634633575324610161147',15138,'192',39.33,4,2,1),(16,3811980,'1989-04-13 00:00:00',4,1,12,2006,'F','N','SANTA EMíLIA','HORTOLâNDIA','SP','125251251145571131543634241234610118077',NULL,'9998',23.53,2,1,1),(16,3811999,'1988-12-16 00:00:00',2,8,12,2006,'F','N','JD ALVINóPOLIS','ATIBAIA','SP','125251251116471441223374582224610145017',NULL,'9998',0.00,1,2,1),(16,3812006,'1990-02-03 00:00:00',2,5,7,2008,'M','N','SANTO ANTONIO','CRICIúMA','SC','124241248215131431536814492124610124182',11751,'995',45.73,1,3,NULL),(16,3812014,'1976-04-28 00:00:00',2,1,8,1997,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','224241248146133431523354345131610132147',15291,'306',38.99,1,2,1),(16,3812022,'1981-08-08 00:00:00',2,5,11,2000,'M','N','BRASILIA','CRICIúMA','SC','124241246141271411221441311332133235097',10527,'228',47.88,2,1,1),(16,3812030,'1991-01-24 00:00:00',4,1,12,2008,'F','N','SANTA GEMA','S DOMINGOS SUL','RS','120201201117161431426334572124610127057',14968,'9998',39.73,4,3,NULL),(16,3812065,'1989-11-12 00:00:00',2,5,11,2007,'F','N','VILA RICA','SIDERóPOLIS','SC','124241247122131311323319382324613223097',NULL,'766',16.89,2,1,1),(16,3812073,'1991-03-27 00:00:00',2,8,12,2007,'F','N','CENTRO','JOINVILLE','SC','124242241415151431228317575124610132192',4528,'465',59.70,1,3,NULL),(16,3812081,'1975-09-24 00:00:00',2,1,11,1985,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','224201201146131411423654382214143266187',NULL,'9999',0.00,1,3,NULL),(16,3812090,'1990-02-11 00:00:00',4,2,12,2007,'M','N','CENTRO','POMERODE','SC','124241241136273431226624295124140428097',2894,'621',64.11,4,2,1),(16,3812103,'1984-06-26 00:00:00',2,1,12,2002,'M','N','KOBRASOL','S JOSé','SC','624241241127132421225344346334610128187',NULL,'730',21.05,1,2,1),(16,3812111,'1986-12-31 00:00:00',2,8,6,2005,'M','N','GLóRIA','JOINVILLE','SC','124243241336574531456823172111610167047',852,'1000',73.04,1,3,NULL),(16,3812120,'1978-09-29 00:00:00',5,1,12,1995,'F','N','BELA VISTA','IBIRAMA','SC','124201203136135431114649295125433225147',NULL,'9998',0.00,4,3,NULL),(16,3812138,'1969-08-18 00:00:00',4,1,12,1990,'F','N','VILA MATTEO BEI','S VICENTE','SP','125251258126474431314469182324610162142',16533,'9998',35.30,4,2,1),(16,3812146,'1989-01-23 00:00:00',2,8,12,2006,'F','N','COMASA','JOINVILLE','SC','124161241136271431336614245224610122142',NULL,'469',31.58,4,2,1),(16,3812154,'1986-10-08 00:00:00',2,1,12,2003,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241114273431436614345124610132182',14041,'292',41.57,1,2,1),(16,3812162,'1989-04-14 00:00:00',4,4,12,2006,'F','N','BELA VISTA','CHAPECó','SC','124241241136271631423831285124610124052',14230,'178',41.17,1,2,1),(16,3812170,'1980-08-01 00:00:00',2,1,7,1999,'F','N','CENTRO','FLORIANóPOLIS','SC','524241248136575451125744445334610125147',14411,'306',40.86,1,2,1),(16,3812189,'1988-10-15 00:00:00',4,8,12,2006,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124243241215132731328829485124610124011',14843,'1105',39.99,1,3,NULL),(16,3812197,'1987-12-28 00:00:00',2,8,1,2007,'M','N','SANTO ANTONIO','TUBARãO','SC','124241247427371431526329271121610137042',NULL,'9999',29.93,1,3,NULL),(16,3812200,'1987-01-06 00:00:00',2,10,12,2004,'M','N','OFICINAS','TUBARãO','SC','124241241141372411323319572125610132042',NULL,'798',30.35,2,1,1),(16,3812219,'1982-03-07 00:00:00',2,10,12,2000,'M','N','MAGALHãES','LAGUNA','SC','224241241121272421323349291234131336047',12354,'522',44.63,1,2,1),(16,3812227,'1988-04-26 00:00:00',2,10,12,2005,'F','N','CABEÇUDA','LAGUNA','SC','124241241117131431626369182224610137147',NULL,'521',0.00,2,2,1),(16,3812235,'1991-07-18 00:00:00',2,10,12,2008,'F','N','CABEÇUDA','LAGUNA','SC','124241241117131431626369572224610138147',NULL,'523',27.95,2,2,1),(16,3812243,'1986-01-27 00:00:00',4,5,12,2003,'M','N','MATO ALTO','ARARANGUá','SC','124241241147132551223723242211610117017',NULL,'29',23.09,1,2,1),(16,3812251,'1978-06-14 00:00:00',2,10,12,2001,'M','N','SãO JUDAS TADEUS','GRAVATAí','RS','120203201127131621433439292324610161187',NULL,'9998',0.00,1,3,NULL),(16,3812260,'1989-09-10 00:00:00',4,1,12,2008,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241116111431325324395334610114197',NULL,'295',28.08,1,2,1),(16,3812278,'1982-12-21 00:00:00',2,1,12,2001,'M','N','CENTRO','BIGUAçU','SC','124241241136135411323324431124233226182',7343,'65',53.62,1,2,1),(16,3812286,'1986-05-12 00:00:00',4,8,12,2004,'M','N','BOA SAúDE','NOVO HAMBURGO','RS','120201208116233731226349393334610137047',NULL,'9998',0.00,1,2,1),(16,3812294,'1988-07-13 00:00:00',2,1,12,2008,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124241241127131731223544242124610126147',14559,'307',40.59,1,2,1),(16,3812308,'1989-11-28 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241137131731424444342334230228077',11550,'733',46.08,1,2,1),(16,3812316,'1990-12-24 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124241241137131211225623572124610127057',NULL,'734',25.30,1,2,1),(16,3812324,'1985-09-09 00:00:00',2,1,11,2003,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241136274421326621446114610141012',12077,'277',45.13,1,2,1),(16,3812332,'1983-08-31 00:00:00',4,3,12,2000,'M','N','ALTO BOQUEIRãO','CURITIBA','PR','116161161117471431113348183323610166172',2584,'9998',65.05,1,2,1),(16,3812340,'1991-09-12 00:00:00',4,1,12,2008,'M','N','CENTRO','SOMBRIO','SC','124241241115131431226824574321610164017',12591,'1033',44.20,1,3,NULL),(16,3812359,'1987-11-25 00:00:00',2,1,12,2005,'M','N','CAEIRA SACO LIMõES','FLORIANóPOLIS','SC','124241241117473421323344242234610134047',NULL,'307',24.68,1,2,1),(16,3812367,'1988-09-20 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241215573441539814395125132132111',2800,'459',64.39,4,3,NULL),(16,3812375,'1970-10-26 00:00:00',2,1,12,1994,'M','N','INGLESES','FLORIANóPOLIS','SC','224204207426131121634343335134140734087',11408,'9999',46.33,1,3,NULL),(16,3812391,'1992-05-22 00:00:00',2,1,12,2008,'F','N','ARAçATUBA','IMBITUBA','SC','124241241116131431426953582124610131172',11476,'361',46.21,1,2,1),(16,3812405,'1991-04-24 00:00:00',4,10,12,2008,'F','N','MAGALHãES','LAGUNA','SC','124246241625131422226569292334610146072',NULL,'524',21.98,3,3,NULL),(16,3812413,'1972-06-16 00:00:00',2,1,12,1984,'F','N','BARREIROS','S JOSé','SC','224241245133134231426554432324121134147',NULL,'293',23.86,2,3,NULL),(16,3812421,'1990-12-21 00:00:00',4,1,12,2008,'F','N','MARGEM ESQUERDA','ITUPORANGA','SC','124241241147131411453923242232610147193',NULL,'415',26.58,1,2,1),(16,3812430,'1975-12-26 00:00:00',2,1,12,1996,'F','N','PORTO DA LAGOA','FLORIANóPOLIS','SC','124241248116132731113348182314610117092',NULL,'285',18.70,1,3,NULL),(16,3812448,'1991-01-30 00:00:00',2,1,12,2008,'F','N','PARQUE ISAAC PIRES','COTIA','SP','125251251116471311329613474124610136177',NULL,'9998',0.00,1,3,NULL),(16,3812456,'1990-01-18 00:00:00',2,6,12,2007,'F','N','CENTRO','BAL CAMBORIú','SC','124201201116332431225624241225610118145',15717,'9998',38.03,1,2,1),(16,3812472,'1984-11-15 00:00:00',4,1,12,2001,'F','N','PINDORAMA','IJUí','RS','120201203117371721123611342224141423157',NULL,'9998',27.24,1,2,1),(16,3812480,'1991-07-10 00:00:00',2,1,12,2008,'F','N','CENTRO','FLOR S SUL','PR','116161161116131431431613275124610134147',NULL,'9998',21.20,1,2,1),(16,3812502,'1989-07-21 00:00:00',4,1,12,2008,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241137151431526623394114610137147',NULL,'287',20.61,1,2,1),(16,3812510,'1991-10-26 00:00:00',4,1,12,2008,'F','N','RATONES','FLORIANóPOLIS','SC','124241241145131431331315572324610128147',NULL,'279',21.62,1,2,1),(16,3812529,'1983-11-03 00:00:00',4,1,11,2001,'F','N','SANTA EMILIA','HORTOLâNDIA','SP','125251251124531411533614342224610122074',NULL,'9998',0.00,4,1,1),(16,3812537,'1991-03-08 00:00:00',4,1,12,2008,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241113131631216529292324610122047',NULL,'295',25.20,2,3,NULL),(16,3812553,'1959-11-10 00:00:00',2,1,12,2001,'F','N','ESTREITO','FLORIANóPOLIS','SC','624201247127132121424649292324610121147',NULL,'9999',33.04,1,2,1),(16,3812561,'1983-02-07 00:00:00',2,1,12,2002,'F','N','SERRARIA','S JOSé','SC','124241241126142421223344342234610128072',NULL,'734',19.27,1,2,1),(16,3812570,'1991-04-21 00:00:00',4,1,11,2008,'M','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241241117131431523619292124610128177',14680,'732',40.31,1,3,NULL),(16,3812588,'1991-08-15 00:00:00',4,4,12,2008,'F','N','DR ARI LUNARDI','XAXIM','SC','124241241116271732335614336125610124197',NULL,'847',20.24,1,2,1),(16,3812596,'1983-04-19 00:00:00',2,1,12,2000,'F','N','CAMPECHE','FLORIANóPOLIS','SC','224202201216271431224459282222343241147',12790,'9998',43.85,1,3,NULL),(16,3812600,'1990-11-28 00:00:00',4,8,12,2008,'F','N','WALDEMAR RAU','JARAGUá SUL','SC','124164241216131431548723374121610122142',7646,'442',53.06,1,3,NULL),(16,3812618,'1991-09-17 00:00:00',4,4,12,2008,'M','N','DR ARI LUNARDI','XAXIM','SC','124241241145111431423316162122610118047',NULL,'846',28.40,1,2,1),(16,3812626,'1991-03-15 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSé','SC','124241241135131431526613475124610122052',NULL,'733',23.39,1,2,1),(16,3812634,'1991-02-07 00:00:00',4,1,12,2008,'F','N','JARDIM LUIZA','JACAREí','SP','125252251117471431636771572124610137012',10757,'9998',47.45,1,3,NULL),(16,3812642,'1991-06-06 00:00:00',4,4,12,2008,'M','N','PRIMAVERA','XAXIM','SC','124241241145111431423324442342610118147',NULL,'846',0.00,1,2,1),(16,3812669,'1991-12-26 00:00:00',4,2,12,2008,'F','N','VALPARAíSO','BLUMENAU','SC','124241241136141431433723245334610125147',9986,'85',48.79,1,2,1),(16,3812677,'1990-10-05 00:00:00',2,1,12,2007,'F','N','VILA RICA','CPO GRANDE','MS','112122121217132731327621285125610137097',8027,'9998',52.38,1,3,NULL),(16,3812685,'1991-04-09 00:00:00',2,1,12,2008,'F','N','CENTRO','STA HELENA','SC','124241241135131411524315572225610136147',11603,'687',46.00,1,3,NULL),(16,3812693,'1978-11-29 00:00:00',4,1,11,1995,'M','N','ITACORUBI','FLORIANóPOLIS','SC','624214131437135441628371117133341451165',NULL,'9998',0.00,4,3,NULL),(16,3812707,'1988-10-11 00:00:00',4,4,12,2008,'M','N','INTERIOR','RIQUEZA','SC','124241245125131431543313572324610527057',NULL,'674',24.17,1,2,1),(16,3812715,'1990-07-19 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241116132431533814342124230226142',15668,'307',38.14,1,2,1),(16,3812723,'1979-01-30 00:00:00',4,1,12,1996,'F','N','CENTRO','FLORIANóPOLIS','SC','124162161216373431128544345334610124187',NULL,'9998',30.85,1,3,NULL),(16,3812731,'1989-09-28 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124243241315372311534614372124610137147',16011,'1022',37.22,1,3,NULL),(16,3812740,'1965-02-13 00:00:00',2,1,7,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','224241247327132411533354132124610134187',NULL,'977',21.17,1,3,NULL),(16,3812758,'1991-02-21 00:00:00',2,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','124206241346131531438711595122610124097',NULL,'282',15.74,1,3,NULL),(16,3812766,'1988-09-09 00:00:00',2,5,12,2006,'M','N','COLONINHA','ARARANGUá','SC','124241241127131121324451215311610134047',16043,'29',37.13,1,2,1),(16,3812782,'1989-07-14 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSé','SC','124241241115371441536613245124610162012',15390,'739',38.79,1,2,1),(16,3812790,'1984-03-15 00:00:00',2,1,12,2000,'F','N','FLORESTAL','LAJEADO','RS','120201201131231411216429271344610146187',NULL,'9998',0.00,1,3,NULL),(16,3812820,'1991-10-14 00:00:00',4,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241115131731433833276124610124017',NULL,'772',23.92,1,2,1),(16,3812839,'1990-11-04 00:00:00',2,1,12,2008,'M','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241122131422424336352224611427047',NULL,'772',0.00,1,2,1),(16,3812847,'1991-04-05 00:00:00',4,1,12,2008,'F','N','VILA NOVA CONCEIçãO','S PAULO','SP','125251251117131431547819572124610127017',NULL,'9998',33.43,1,2,1),(16,3812855,'1991-08-10 00:00:00',4,4,12,2008,'F','N','GUARANI','XAXIM','SC','124241241116131731423314445135610124057',NULL,'847',19.47,1,3,NULL),(16,3812871,'1988-12-13 00:00:00',4,1,12,2006,'F','N','CENTRO','S PEDRO ALCâNTARA','SC','124241241126132431323313372124610124147',NULL,'869',0.00,1,3,NULL),(16,3812898,'1991-05-21 00:00:00',2,6,12,2008,'F','N','CORDEIROS','ITAJAí','SC','124244241412141431424511212124610133152',NULL,'396',0.00,1,3,NULL),(16,3812901,'1976-12-21 00:00:00',4,1,8,2000,'M','N','CAMPECHE','FLORIANóPOLIS','SC','624202201127132722124653382125610128187',15264,'9999',39.06,1,3,NULL),(16,3812910,'1989-10-02 00:00:00',2,4,12,2006,'F','N','SANTA MARIA','CHAPECó','SC','124241248116151431436713235112610124147',NULL,'169',0.00,1,2,1),(16,3812936,'1991-09-20 00:00:00',2,8,12,2008,'F','N','IRIRIU','JOINVILLE','SC','124241241115111432433624342324610137147',NULL,'469',25.85,1,3,NULL),(16,3812944,'1990-06-14 00:00:00',2,1,12,2007,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241248116132431226649392234610127057',NULL,'941',21.67,1,3,NULL),(16,3812952,'1991-06-28 00:00:00',4,1,12,2008,'F','N','VILA ROMANA','PRES BERNARDES','SP','125251251117161432456613575122610137187',NULL,'9998',20.37,1,2,1),(16,3812960,'1968-12-10 00:00:00',5,1,11,1987,'M','N','CENTRO','FLORIANóPOLIS','SC','124241246111132431234623485124122216092',NULL,'306',0.00,1,3,NULL),(16,3812979,'1988-12-13 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241121131411111341211334610143113',16277,'12',36.44,1,2,1),(16,3812987,'1989-01-13 00:00:00',4,1,12,2007,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241114371231423314241224610167147',NULL,'416',19.29,2,1,1),(16,3812995,'1990-02-26 00:00:00',4,1,12,2007,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124241241136132731423534342134610117042',NULL,'307',26.56,4,3,NULL),(16,3813002,'1991-07-11 00:00:00',2,5,11,2008,'F','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124241241117131431534334345122610162147',14539,'577',40.62,1,2,1),(16,3813010,'1989-02-01 00:00:00',2,1,12,2006,'F','N','NóBREGA','CAMPINAS','SP','125251258136171411536714245214610124182',NULL,'9998',0.00,1,2,1),(16,3813029,'1977-04-23 00:00:00',2,1,2,1994,'M','N','CABRAL','CURITIBA','PR','516214213217131421129949395124341668182',NULL,'9998',0.00,1,3,NULL),(16,3813037,'1979-06-24 00:00:00',4,1,12,1997,'M','N','CENTRO','FLORIANóPOLIS','SC','124254258446373411246844245124131024017',15145,'9998',39.31,2,1,2),(16,3813045,'1991-12-13 00:00:00',2,1,12,2008,'M','N','CENTRO','ARARANGUá','SC','124241241116141431325319335122610127157',NULL,'29',23.55,1,2,1),(16,3813053,'1989-09-15 00:00:00',2,1,12,2008,'F','N','ENSEADA DE BRITO','PALHOçA','SC','124241241125141431423519342124610116092',NULL,'594',19.17,1,2,1),(16,3813061,'1989-07-03 00:00:00',2,5,11,2006,'F','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124241241135572431534314342112610165147',5808,'577',56.79,1,2,1),(16,3813088,'1989-03-01 00:00:00',2,1,12,2006,'M','N','LOTE SEIS','CRICIúMA','SC','124241241217373431321624472224610127092',4188,'920',60.52,1,3,NULL),(16,3813096,'1988-08-27 00:00:00',4,1,6,2007,'F','N','PETROPOLIS','CAXIAS SUL','RS','120201205117131731424344445124240862037',NULL,'9998',30.86,1,2,1),(16,3813100,'1976-11-13 00:00:00',2,1,12,1996,'F','N','FAZENDA STO ANTONIO','S JOSé','SC','124241243117335711531379442124610135097',15785,'293',37.83,1,2,1),(16,3813118,'1971-09-01 00:00:00',5,4,12,1995,'F','N','SãO CRISTóVãO','CHAPECó','SC','524241241126171421223344345224610121187',NULL,'170',21.29,1,2,1),(16,3813126,'1990-10-09 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSé','SC','124241241115271731223314572124610124147',NULL,'257',24.74,1,2,1),(16,3813134,'1974-11-07 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','224241241141132721625544241224610122047',NULL,'293',0.00,4,1,1),(16,3813169,'1982-02-15 00:00:00',2,1,12,2000,'F','N','ALTO ARIRIú','PALHOçA','SC','124241241122133431111348182214610117057',14240,'593',41.15,1,2,1),(16,3813185,'1977-09-23 00:00:00',4,1,12,1996,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','224172241112335431436643331124610114097',NULL,'267',29.05,4,3,NULL),(16,3813193,'1991-02-06 00:00:00',2,1,12,2008,'F','N','CAMOBI','STA MARIA','RS','120201201116271431323336275124610124147',12220,'9998',44.87,1,3,NULL),(16,3813207,'1989-11-19 00:00:00',4,1,12,2006,'F','N','SERRARIA','S JOSé','SC','124241241137272431223324375124610124142',12401,'946',44.55,1,2,1),(16,3813215,'1984-04-17 00:00:00',2,1,12,2004,'F','N','CDHU','APIAí','SP','125251251337131752323319194342610168187',NULL,'9998',21.10,4,1,2),(16,3813223,'1991-03-08 00:00:00',4,1,12,2008,'F','N','JAGUARé','S PAULO','SP','125251251116371331416624285124610164047',NULL,'9998',0.00,1,2,1),(16,3813231,'1991-05-20 00:00:00',4,4,12,2008,'M','N','BENTO GONçALVES','CORDILHEIRA ALTA','SC','124241241136131411523314345123610125142',NULL,'197',0.00,3,2,1),(16,3813240,'1991-07-12 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124241241221131431226624475124610164197',13742,'262',42.19,1,3,NULL),(16,3813258,'1987-02-23 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241116213421126624242134610134143',NULL,'286',24.06,2,1,1),(16,3813266,'1979-01-25 00:00:00',2,1,12,1996,'F','N','BELA VISTA I','S JOSé','SC','224241241116335451224644345334130224092',15285,'307',39.01,1,3,NULL),(16,3813274,'1988-02-04 00:00:00',4,8,12,2005,'F','N','BUCAREIN','JOINVILLE','SC','124243241216573431436923282124610165117',4837,'1105',59.00,1,3,NULL),(16,3813282,'1992-09-25 00:00:00',4,10,11,2008,'F','N','PROGRESSO','LAGUNA','SC','124244241116122431326613595124610114147',4351,'807',60.14,1,3,NULL),(16,3813290,'1971-08-13 00:00:00',2,1,12,1990,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124201241137151421223348282324610124187',NULL,'9998',32.01,1,3,NULL),(16,3813304,'1990-05-03 00:00:00',2,1,8,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124241241111231531436631341124610124042',NULL,'739',23.34,1,2,1),(16,3813312,'1970-02-06 00:00:00',4,1,12,1992,'F','N','TAPERA','FLORIANóPOLIS','SC','224161201122151431223354172214343256147',NULL,'9998',21.65,1,3,NULL),(16,3813320,'1986-04-21 00:00:00',5,1,12,2004,'M','N','SANTO ANTONIO DE LIS','FLORIANóPOLIS','SC','124241241126135432333327345124610125197',14793,'279',40.08,1,2,1),(16,3813339,'1981-01-18 00:00:00',2,1,12,1999,'M','N','KOBRASOL','S JOSé','SC','124241241136245451223339442124232737057',NULL,'732',39.73,2,1,1),(16,3813347,'1980-05-06 00:00:00',2,1,11,1997,'F','N','CAMPPECHE','FLORIANóPOLIS','SC','124121121316132631227644445114140657147',16068,'9998',37.04,1,3,NULL),(16,3813355,'1990-08-17 00:00:00',4,1,12,2008,'F','N','BOM SUCESSO','CAçADOR','SC','124241241125131431212329382324610126017',NULL,'125',21.65,1,2,1),(16,3813363,'1986-09-25 00:00:00',2,8,6,2005,'M','N','SANTO ANTONIO','JOINVILLE','SC','124241241126131721434444445114610134117',15074,'356',39.48,1,2,1),(16,3813371,'1986-05-08 00:00:00',2,1,12,2005,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','224241248121342731223344342324610127182',NULL,'285',29.79,1,2,1),(16,3813380,'1987-10-13 00:00:00',2,1,12,2004,'M','N','LOURO','ANTôNIO CARLOS','SC','124241241117163441323625576324233244177',16517,'21',35.40,1,2,1),(16,3813398,'1987-04-17 00:00:00',2,1,12,2004,'M','N','ABRAãO','FLORIANóPOLIS','SC','124241241417475441633627495124231934057',11812,'300',45.61,1,3,NULL),(16,3813401,'1991-03-01 00:00:00',2,1,12,2008,'M','N','AREIAS','SAO JOSE','SC','124241241115271412426634444244610137093',NULL,'734',21.80,1,2,1),(16,3813410,'1991-08-21 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSé','SC','124241241117471431313319575124610124147',11027,'257',46.98,1,2,1),(16,3813428,'1989-01-16 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124201201116131431436614492334231017042',NULL,'9998',32.85,1,2,1),(16,3813436,'1984-02-28 00:00:00',4,1,12,2004,'F','N','SERRARIA','S JOSé','SC','124241247336473421334544345334610124187',NULL,'9999',29.44,1,3,NULL),(16,3813444,'1981-05-14 00:00:00',2,1,6,1999,'F','N','PASSA VINTE','PALHOçA','SC','224241243136475421234344245132610163192',NULL,'306',0.00,1,2,1),(16,3813452,'1989-11-07 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241137131431313319582324610125052',NULL,'595',23.50,1,3,NULL),(16,3813460,'1991-10-04 00:00:00',4,1,12,2008,'M','N','JD DAS PALMEIRAS','S JOSé','SC','124243241117131431313624445124610147047',NULL,'733',23.10,1,3,NULL),(16,3813487,'1987-09-17 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241226135431526679342224230822157',16105,'262',36.92,1,3,NULL),(16,3813509,'1990-06-17 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241244126472431123344145124610123057',NULL,'293',23.19,1,3,NULL),(16,3813525,'1991-05-31 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241136151431526711585122610167052',12641,'283',44.10,1,2,1),(16,3813533,'1990-06-08 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241116471411526711575124610164173',14537,'283',40.63,1,2,1),(16,3813541,'1989-06-18 00:00:00',2,1,12,2006,'F','N','SERRARIA','S JOSé','SC','124241241126132431323424185124222364097',NULL,'726',0.00,1,2,1),(16,3813550,'1988-05-25 00:00:00',4,1,7,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','624241247147272431216759382324610126187',NULL,'9999',29.24,4,2,1),(16,3813568,'1991-11-12 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124241241136271431336729585124610165197',15617,'307',38.26,1,2,1),(16,3813576,'1989-12-07 00:00:00',2,1,12,2007,'F','N','VILA ROSANA','LIMEIRA','SP','125251258127131731546622342132610128147',NULL,'9998',0.00,3,3,NULL),(16,3813584,'1990-07-23 00:00:00',4,1,12,2008,'F','N','SãO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241115131431412111111324610135147',16666,'772',34.13,1,2,1),(16,3813592,'1991-02-25 00:00:00',4,4,12,2008,'M','N','CENTRO','IRATI','SC','124241241126161431444923575121610124087',NULL,'380',30.12,1,2,1),(16,3813606,'1991-10-25 00:00:00',4,1,12,2008,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241115131431223369331324610145072',NULL,'772',17.88,1,2,1),(16,3813614,'1991-12-25 00:00:00',2,8,12,2008,'F','N','SãO MIGUEL','CPO ALEGRE','SC','124241241115131431536615331124610125057',NULL,'132',0.00,1,2,1),(16,3813622,'1985-05-24 00:00:00',2,1,12,2005,'M','N','CACUPé','FLORIANóPOLIS','SC','124241241126371731335324242113610127042',NULL,'307',26.35,1,3,NULL),(16,3813630,'1991-08-14 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOãO BATISTA','SC','124241241137131731536611345121610166142',NULL,'712',31.64,1,3,NULL),(16,3813649,'1991-06-09 00:00:00',2,1,12,2008,'M','N','BARRA DE IBIRAQUERA','IMBITUBA','SC','124241241117131511413621342114610127042',NULL,'359',32.13,1,2,1),(16,3813657,'1985-03-21 00:00:00',2,1,12,2005,'F','N','ARAUCÁRIA SERRARIA','S JOSé','SC','224241241137131231224351182114610164142',NULL,'800',22.54,1,3,NULL),(16,3813665,'1991-08-06 00:00:00',2,5,12,2008,'M','N','CENTRO','PR GRANDE','SC','124241241125131431217629572121610134057',NULL,'641',0.00,1,2,1),(16,3813673,'1986-05-19 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANóPOLIS','SC','224201201136471431443354345124610121147',15631,'9998',38.23,1,2,1),(16,3813681,'1974-02-24 00:00:00',2,1,12,1993,'F','N','INGLESES','FLORIANóPOLIS','SC','124201201126131411123544345334613264147',NULL,'9998',31.78,1,3,NULL),(16,3813690,'1979-12-25 00:00:00',2,1,12,1996,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124204203226271421126644245123610127047',10702,'9998',47.55,1,3,NULL),(16,3813703,'1970-09-05 00:00:00',2,1,12,2003,'F','N','JARDIM CARANDAí','BIGUAçU','SC','124203207121132421321241112324610166017',NULL,'9998',27.19,1,3,NULL),(16,3813711,'1984-07-28 00:00:00',5,1,12,2001,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124201201116141421223344345134233223057',15996,'9998',37.26,1,3,NULL),(16,3813720,'1991-02-25 00:00:00',4,4,12,2008,'F','N','INTERIOR','LINDOIA DO SUL','SC','124241241115131412424436572324610114057',NULL,'534',22.25,1,3,NULL),(16,3813738,'1991-08-22 00:00:00',2,4,12,2008,'F','N','CENTRO','DESCANSO','SC','124241241111131731539733575125610161097',NULL,'242',21.88,1,2,1),(16,3813746,'1991-09-15 00:00:00',4,1,11,2008,'M','N','CENTRO','CANOINHAS','SC','124241247115131431624315385324610124142',NULL,'153',0.00,1,2,1),(16,3813754,'1990-08-24 00:00:00',2,4,12,2007,'F','N','PRESIDENTE MEDICI','CHAPECó','SC','124201241117272431337614342122132838182',11237,'182',46.58,1,2,1),(16,3813762,'1990-12-03 00:00:00',4,6,12,2008,'M','N','BATEIAS','BRUSQUE','SC','124241241125271741426633515124610137107',NULL,'111',32.21,1,3,NULL),(16,3813770,'1988-02-11 00:00:00',2,1,11,2005,'F','N','KOBRASOL','S JOSé','SC','124241241116374431433623385114610162142',14315,'307',41.02,1,2,1),(16,3813789,'1978-08-03 00:00:00',2,1,12,2005,'F','N','FORQUILHINHAS','S JOSé','SC','224241241125132731626644342124610123147',NULL,'9997',24.50,1,2,1),(16,3813797,'1991-02-16 00:00:00',4,1,12,2008,'M','N','JARDIM ELDORADO','PALHOçA','SC','124241246217131211426614572322610124142',10455,'1075',48.00,4,3,NULL),(16,3813827,'1985-09-22 00:00:00',4,6,7,2000,'F','N','CENTRO','BAL CAMBORIú','SC','124242241312372431246729492124132027122',12930,'49',43.62,1,3,NULL),(16,3813851,'1991-12-05 00:00:00',2,4,12,2008,'M','N','CENTRO','ENTRE RIOS','SC','124241241115131431555923572222610127047',5703,'249',57.05,3,2,1),(16,3813860,'1991-12-05 00:00:00',2,4,12,2008,'M','N','CENTRO','ENTRE RIOS','SC','124241241115111431555923572222610127047',10939,'249',47.14,3,2,1),(16,3813878,'1971-10-11 00:00:00',2,1,12,1989,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241126134431433144245134122212047',16049,'298',37.11,1,2,1),(16,3813886,'1966-06-16 00:00:00',2,1,12,1992,'F','N','BELA VISTA DOIS','S JOSé','SC','124201201117371431312279182224610125147',NULL,'9999',28.70,1,2,1),(16,3813916,'1981-11-20 00:00:00',2,1,6,2003,'M','N','SERRINHA','FLORIANóPOLIS','SC','124201057147131431126744342334610124047',NULL,'9998',0.00,3,2,1),(16,3813940,'1991-06-19 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124241241116131431228333575124610128197',NULL,'257',18.37,1,3,NULL),(16,3813967,'1991-07-05 00:00:00',4,2,12,2008,'M','N','CENTRO','POMERODE','SC','124241241215111411348514176122610163187',742,'624',73.92,1,3,NULL),(16,3813975,'1988-06-01 00:00:00',4,2,12,2005,'F','N','GARCIA','BLUMENAU','SC','124241241147131431546714186124131366187',13812,'69',42.03,1,2,1),(16,3813991,'1991-02-12 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANOPOLIS','SC','124201201147131131433614285124610126147',11202,'9998',46.66,1,2,1),(16,3814017,'1985-04-28 00:00:00',2,5,12,2003,'F','N','CENTRO','CRICIúMA','SC','124241246135133411624611375122221418197',3489,'228',62.41,1,2,1),(16,3814041,'1987-11-03 00:00:00',4,1,12,2006,'M','N','JD DA CONQUISTA','S PAULO','SP','125251257127271411523314344324610114197',NULL,'9999',0.00,2,2,1),(16,3814076,'1972-12-06 00:00:00',2,1,11,2003,'M','N','CARIANOS','FLORIANóPOLIS','SC','624241247146131431324454312224610121187',NULL,'9999',28.08,1,2,1),(16,3814106,'1991-12-23 00:00:00',4,10,11,2008,'F','N','VILA MOEMA','TUBARãO','SC','124242241215271431326611572122610132077',8236,'809',51.89,1,3,NULL),(16,3814130,'1979-05-27 00:00:00',2,1,12,1996,'F','N','COHATRAC I','S LUíS','MA','110102101417574731538613392124610132096',NULL,'9998',0.00,4,3,NULL),(16,3814149,'1990-06-19 00:00:00',2,2,12,2007,'F','N','SALTO DO NORTE','BLUMENAU','SC','124244241117372441425614245124610114142',5231,'84',58.04,1,3,NULL),(16,3814165,'1988-04-26 00:00:00',4,8,12,2006,'F','N','CIDADE ARACY II','S CARLOS','SP','125251251146241711323311215334610164147',NULL,'9998',19.66,4,2,1),(16,3814181,'1986-03-10 00:00:00',4,3,12,2002,'M','N','CENTRO','BAL CAMBORIú','SC','124201202117131421123344341124140846047',NULL,'9998',33.57,3,2,1),(16,3814190,'1991-06-19 00:00:00',4,1,12,2008,'F','N','VILA PAULISTA','RIO CLARO','SP','125251251147141711535614242221610136177',14168,'9998',41.28,2,1,1),(16,3814203,'1991-11-01 00:00:00',4,7,12,2008,'F','N','VILA ALEMANHA','LUZERNA','SC','124241241115131431533511142124610136057',14797,'539',40.07,1,2,1),(16,3814211,'1991-02-20 00:00:00',2,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSé','SC','124242241117271231223321572124610117047',5617,'739',57.22,1,3,NULL),(16,3814238,'1984-11-02 00:00:00',2,1,7,2005,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241247127333431123344342234610124087',NULL,'9999',18.49,4,1,1),(16,3814246,'1960-09-08 00:00:00',2,1,12,1989,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','224241247127132411436654182114131362097',NULL,'190',25.93,1,2,1),(16,3814262,'1991-06-17 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','224241241115271411223654372224610116142',NULL,'295',28.01,1,2,1),(16,3814270,'1990-12-25 00:00:00',2,1,12,2008,'F','N','PRAIA DE ITAPIRUBá','LAGUNA','SC','124241241115131431624319572124610143172',NULL,'359',0.00,1,3,NULL),(16,3814289,'1991-01-27 00:00:00',4,1,12,2008,'F','N','JARDIM EUCALIPTUS','PALHOçA','SC','124241241115131131325611335124610122197',NULL,'592',16.84,1,2,1),(16,3814327,'1987-11-10 00:00:00',4,1,2,2005,'F','N','VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC','124241241116132431326411381114230261142',6669,'739',54.93,1,2,1),(16,3814343,'1986-08-04 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANóPOLIS','SC','624241248141131731423344241123610128197',11098,'281',46.84,1,2,1),(16,3814351,'1991-11-23 00:00:00',4,1,11,2008,'F','N','CENTRO','CARATINGA','MG','113133131216131411639313575125610164147',NULL,'9998',0.00,4,3,NULL),(16,3814360,'1991-10-28 00:00:00',2,4,11,2008,'F','N','CENTRO','IPORã OESTE','SC','124241241226271431333414235121610121047',NULL,'370',0.00,1,3,NULL),(16,3814378,'1991-08-31 00:00:00',2,9,12,2008,'M','N','BORGES','ANITA GARIBALDI','SC','124241241136161331424612485122610161197',11713,'18',45.80,1,3,NULL),(16,3814386,'1991-10-14 00:00:00',4,9,12,2008,'F','N','SãO LUIZ','CURITIBANOS','SC','124241241115161431425733572125610133147',15875,'239',37.54,1,2,1),(16,3814394,'1991-11-15 00:00:00',4,8,12,2008,'F','N','TRICOLIN','CANOINHAS','SC','124241241136131431535314295132610137077',NULL,'146',0.00,1,2,1),(16,3814408,'1991-10-02 00:00:00',2,1,12,2008,'F','N','N SENHORA DO ROSáRIO','S JOSé','SC','124241241111471431325313572124610164077',NULL,'257',29.73,1,2,1),(16,3814416,'1991-02-03 00:00:00',2,1,12,2008,'F','N','PONTAL','PALHOçA','SC','124241241145131212424623472224610118197',NULL,'594',26.49,1,2,1),(16,3814424,'1990-10-05 00:00:00',4,1,12,2008,'F','N','ITAQUERA','S PAULO','SP','125251251127471421524412475122610134177',NULL,'9998',0.00,1,2,1),(16,3814432,'1991-08-19 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSé','SC','124242241215111431236624575124610124077',13999,'737',41.64,1,3,NULL),(16,3814440,'1988-11-27 00:00:00',2,1,10,2005,'F','N','INGLESES','FLORIANóPOLIS','SC','124161241136133412546824385124610126197',NULL,'57',23.50,1,3,NULL),(16,3814459,'1992-06-20 00:00:00',2,1,12,2008,'F','N','SERTãO DO IMARUIM','S JOSé','SC','124243241435131431423834342124610134182',10781,'944',47.41,1,3,NULL),(16,3814467,'1985-04-04 00:00:00',2,1,11,2003,'F','N','INGLESES','FLORIANóPOLIS','SC','124241247627271411223644244234610123187',11862,'9999',45.53,1,3,NULL),(16,3814475,'1989-03-22 00:00:00',4,1,12,2006,'F','N','TIJUQUINHAS','BIGUAçU','SC','124241241116133421523311441344610124147',NULL,'64',0.00,4,3,NULL),(16,3814483,'1986-07-08 00:00:00',3,1,12,2003,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241117134431237721475124222234092',NULL,'307',0.00,1,2,1),(16,3814491,'1985-12-15 00:00:00',4,1,12,2008,'M','N','SERRARIA','S JOSé','SC','124241247147131731124437145124610116022',NULL,'9999',25.96,1,2,1),(16,3814505,'1987-05-05 00:00:00',2,3,12,2004,'M','N','SÃO JUDAS TADEU','BALNEARIO CAMBORIU','SC','124243241432272431223329292135133226177',NULL,'1039',0.00,1,3,NULL),(16,3814521,'1991-01-17 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124201248115471431554372575324610134122',NULL,'298',28.04,1,2,1),(16,3814530,'1980-10-02 00:00:00',2,1,7,2000,'F','N','TAPERA','FLORIANóPOLIS','SC','224243247346132732323359442114610168187',NULL,'270',0.00,1,3,NULL),(16,3814548,'1989-12-03 00:00:00',2,1,12,2008,'F','N','BREJARú','PALHOçA','SC','124241241125111431623174182324610163047',NULL,'289',19.26,4,2,1),(16,3814556,'1990-03-31 00:00:00',2,1,12,2008,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124241241135131451423159141334610137142',NULL,'289',13.29,2,1,1),(16,3814564,'1953-07-19 00:00:00',2,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','224241241145131411211159182324610167047',NULL,'289',1.00,2,1,1),(16,3814572,'1953-06-29 00:00:00',2,1,12,1972,'F','N','CENTRO','FLORIANóPOLIS','SC','124204208415373431313679386245142635187',NULL,'9998',20.13,1,3,NULL),(16,3814580,'1991-03-28 00:00:00',2,1,12,2008,'F','N','AGUAS FERREAS','PAULO LOPES','SC','124241241227131411623315571224610116187',NULL,'262',26.28,4,3,NULL),(16,3814599,'1968-11-25 00:00:00',2,1,12,1991,'F','N','JOSé MENDES','FLORIANóPOLIS','SC','224181188132371411312379572114610132197',5403,'9998',57.65,1,2,1),(16,3814602,'1989-06-26 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241201145371432326624392124610127147',16535,'9998',35.29,2,1,1),(16,3814610,'1991-06-18 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241115161731524314572324610164147',NULL,'592',0.00,1,2,1),(16,3814629,'1990-09-10 00:00:00',2,1,12,2008,'F','N','COLONINHA','FLORIANóPOLIS','SC','124241241115471431423331272222610114022',NULL,'293',34.93,4,2,1),(16,3814645,'1957-02-25 00:00:00',2,1,12,1980,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','224241243227142421433444142134610167043',NULL,'302',22.65,4,1,2),(16,3814653,'1991-04-23 00:00:00',2,8,12,2008,'F','N','XXV DE JULHO','S BENTO SUL','SC','124241241135131431326623235125610137187',NULL,'697',0.00,1,3,NULL),(16,3814661,'1979-11-27 00:00:00',2,1,11,2006,'F','N','BELA VISTA','PALHOçA','SC','224241241147131431223344342134610138147',NULL,'591',19.69,2,3,NULL),(16,3814670,'1984-07-29 00:00:00',2,1,12,2001,'M','N','LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC','624201201117131431235744445124610144047',NULL,'9998',21.32,1,2,1),(16,3814688,'1988-08-10 00:00:00',2,1,12,2005,'F','N','BELA VISTA','PALHOçA','SC','124241241116141451323314295124230228097',NULL,'592',32.82,1,2,1),(16,3814700,'1988-06-04 00:00:00',2,1,12,2006,'F','N','AREIAS','S JOSé','SC','124241241136472431323314375124610167077',NULL,'257',30.35,1,2,1),(16,3814718,'1988-05-06 00:00:00',2,1,12,2005,'M','N','NOVA SUIçA','LIMEIRA','SP','125251251115571431426611285122610164017',NULL,'9998',28.59,1,2,1),(16,3814726,'1985-11-28 00:00:00',2,1,12,2003,'F','N','BARREIROS','S JOSé','SC','124241241226372421426514342334610141143',11963,'262',45.33,1,3,NULL),(16,3814734,'1982-02-22 00:00:00',2,1,12,1999,'F','N','PRAIA COMPRIDA','S JOSé','SC','124203203516132521227843235234122221197',11094,'9998',46.85,1,3,NULL),(16,3814742,'1991-04-19 00:00:00',2,9,12,2008,'F','N','áGUA SANTA','CURITIBANOS','SC','124241241115131431324723392335610126142',14547,'239',40.61,1,2,1),(16,3814750,'1991-04-10 00:00:00',2,4,12,2008,'F','N','INTERIOR','ANCHIETA','SC','124241241115161411313319572344610133057',NULL,'16',30.32,1,2,1),(16,3814769,'1987-03-04 00:00:00',4,1,12,2004,'M','N','FORQUILHINHAS','S JOSé','SC','124241247126272731656321575114610124187',11082,'9999',46.87,1,2,1),(16,3814777,'1989-10-02 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','624243241317131531446823282224610126057',NULL,'298',27.94,4,3,NULL),(16,3814785,'1985-08-28 00:00:00',4,1,12,2003,'M','N','NOVA SOROCABA','SOROCABA','SP','125251251126132411435619385121610144097',NULL,'9998',34.49,4,2,1),(16,3814793,'1990-09-12 00:00:00',2,1,12,2007,'F','N','VILA NOVA','PALHOçA','SC','124241241116152431323419572124610117147',NULL,'591',22.96,1,2,1),(16,3814807,'1990-02-02 00:00:00',2,1,11,2007,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241122131411423314472224231026152',NULL,'290',0.00,1,2,1),(16,3814815,'1989-09-26 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124241241116141731523923475124610165077',NULL,'726',19.31,1,2,1),(16,3814823,'1986-01-17 00:00:00',2,1,12,2004,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124241241115333421536339341234610126092',NULL,'271',35.09,1,2,1),(16,3814831,'1990-05-10 00:00:00',2,1,12,2007,'F','N','BARREIROS AREIAS','S JOSé','SC','124241241146471411226521482324610121032',NULL,'730',26.93,1,3,NULL),(16,3814840,'1987-11-09 00:00:00',4,8,12,2005,'F','N','JARDIM NOVO OSASCO','OSASCO','SP','125255251517471431426611274124610144057',NULL,'9998',0.00,1,3,NULL),(16,3814858,'1981-05-29 00:00:00',2,1,12,2000,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241126133431123349195334231333147',NULL,'564',25.28,1,2,1),(16,3814866,'1990-07-02 00:00:00',4,1,12,2008,'F','N','ITAQUERA','S PAULO','SP','125251251117471431326624343324610168092',NULL,'9998',0.00,4,1,1),(16,3814874,'1991-02-21 00:00:00',4,1,12,2008,'M','N','JARDIM AMERICA','ITUPORANGA','SC','124241241146131431446614372122610132147',11403,'415',46.34,1,2,1),(16,3814882,'1985-07-09 00:00:00',2,1,11,2002,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','624241241125474431333354242134610122192',11389,'285',46.36,2,1,1),(16,3814890,'1989-01-03 00:00:00',2,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124241241142131421623319192224610147137',NULL,'293',6.78,1,2,1),(16,3814904,'1986-07-14 00:00:00',2,1,11,2003,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','624241241127471421333354245134610124052',15722,'285',38.02,1,2,1),(16,3814912,'1978-06-25 00:00:00',2,1,12,1995,'M','N','JARDIM ATLÂNTICO','FLORIANóPOLIS','SC','224241243126575751323659192124132468092',1342,'182',70.15,1,2,1),(16,3814920,'1986-04-15 00:00:00',2,1,12,2004,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124161161147431732223379342324610123187',NULL,'9998',26.03,2,1,1),(16,3814939,'1984-08-09 00:00:00',2,1,12,2002,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124161161147471731223341342324610123147',NULL,'9998',18.50,2,1,1),(16,3814947,'1989-11-26 00:00:00',2,1,12,2007,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124244241113472431336623375124610131192',6545,'307',55.18,1,3,NULL),(16,3814955,'1979-06-03 00:00:00',2,1,12,1996,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','224201203116135431233344445134121732097',NULL,'9998',39.05,1,2,1),(16,3814963,'1990-03-14 00:00:00',2,1,12,2007,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124201201117131331426614276314610167147',NULL,'9998',21.65,1,3,NULL),(16,3814971,'1980-05-21 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','224241241122132731311154382344610127187',NULL,'9999',28.50,1,3,NULL),(16,3814980,'1975-10-13 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','224241241122135731321144342344610126047',NULL,'284',38.18,1,2,1),(16,3814998,'1984-05-11 00:00:00',2,2,12,2002,'F','N','VORSTADT','BLUMENAU','SC','124241241116131721621569392234333266147',NULL,'69',0.00,1,3,NULL),(16,3815005,'1982-12-02 00:00:00',4,1,12,2000,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241127535731123344345314610144147',NULL,'646',28.51,1,2,1),(16,3815013,'1991-04-06 00:00:00',4,10,11,2008,'F','N','CENTRO','GR PARá','SC','124243241216111431423329571124610127147',9538,'806',49.64,1,3,NULL),(16,3815030,'1985-06-17 00:00:00',4,1,7,2004,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115573411323444241324610126027',16045,'306',37.13,1,2,1),(16,3815048,'1991-08-28 00:00:00',4,5,12,2008,'F','N','NOVA FATIMA','S JOãO SUL','SC','124241241144131431324465572323610117057',NULL,'717',24.73,1,2,1),(16,3815064,'1974-05-09 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANóPOLIS','SC','224241241126131231224349192122610167057',15927,'77',37.43,4,2,1),(16,3815072,'1991-09-28 00:00:00',2,4,12,2008,'F','N','CENTRO','RIQUEZA','SC','124241241136161431326314571122610126147',NULL,'674',25.28,1,2,1),(16,3815080,'1991-02-11 00:00:00',2,1,12,2008,'M','N','RIO GRANDE','PALHOçA','SC','124241241122131132323321212341610117057',NULL,'1108',0.00,1,2,1),(16,3815099,'1981-04-12 00:00:00',2,1,12,1998,'F','N','CENTRO','FLORIANóPOLIS','SC','124051055116132431123648482314610162142',NULL,'9998',24.64,4,3,NULL),(16,3815102,'1984-04-29 00:00:00',2,1,12,2001,'F','N','INGLESES','FLORIANóPOLIS','SC','124201201147141421123144442334610134145',NULL,'9998',31.42,2,1,1),(16,3815110,'1989-11-11 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241116273431334314282114610123142',11558,'288',46.08,1,2,1),(16,3815129,'1988-05-17 00:00:00',4,9,12,2005,'M','N','APARECIDA','CURITIBANOS','SC','124241241127241431223629145234131432092',8657,'239',51.15,1,2,1),(16,3815161,'1991-10-06 00:00:00',2,9,12,2008,'M','N','NOSSA SRA APARECIDA','CURITIBANOS','SC','124241241117131752429615342125610144012',NULL,'239',33.78,3,2,1),(16,3815170,'1986-06-06 00:00:00',4,1,12,2003,'M','N','ESTREITO','FLORIANóPOLIS','SC','124243241415373411226624372124230262052',13557,'269',42.53,1,3,NULL),(16,3815200,'1990-09-01 00:00:00',4,2,12,2007,'F','N','CAMPESTRE','VIDAL RAMOS','SC','124241241121131431423315572344610163052',NULL,'828',13.64,1,2,1),(16,3815218,'1959-10-07 00:00:00',2,1,11,2003,'F','N','BREJARU','PALHOçA','SC','224241247127533721326654292344610161197',NULL,'9999',14.76,1,3,NULL),(16,3815226,'1989-06-26 00:00:00',2,8,12,2006,'F','N','CENTRO','SALTO','SP','125251251136471751423314245325243262017',NULL,'9998',0.00,4,1,1),(16,3815234,'1978-01-13 00:00:00',2,1,12,2006,'F','N','AREIAS','S JOSé','SC','624241245122171421426344145224610136043',NULL,'307',26.02,1,3,NULL),(16,3815242,'1965-05-29 00:00:00',4,1,12,2008,'F','N','FORQUILHAS','S JOSé','SC','124241245137242432413344342134610122092',NULL,'307',1.00,4,1,1),(16,3815250,'1991-10-17 00:00:00',4,1,12,2008,'F','N','COSTEIRA DO RIBEIRãO','FLORIANóPOLIS','SC','124241241111141431423331245124610145157',NULL,'307',25.23,1,2,1),(16,3815269,'1990-12-12 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241115131451323611582124610167047',NULL,'298',19.94,1,2,1),(16,3815277,'1991-10-01 00:00:00',1,4,12,2008,'F','N','VILA SANTA CATARINA','STA CATARINA','RS','120201201115131431426615471124610126182',13994,'9998',41.65,1,2,1),(16,3815293,'1983-12-24 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241117375431129948385124131327097',8341,'757',51.71,1,3,NULL),(16,3815307,'1989-06-24 00:00:00',2,1,12,2006,'F','N','SãO SEBASTIãO','PALHOçA','SC','124243241116271731233524385124610166027',NULL,'592',9.01,2,1,2),(16,3815315,'1967-06-13 00:00:00',2,1,12,2006,'F','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124203241127133431423344442124610111182',NULL,'282',28.25,1,3,NULL),(16,3815323,'1988-12-22 00:00:00',2,1,12,2006,'F','N','SAO BERNARDO','CAMPINAS','SP','125251254117471431537823471124610167147',NULL,'9998',0.00,1,2,1),(16,3815331,'1990-05-04 00:00:00',4,1,12,2007,'M','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124243241347131421423634385124610167042',NULL,'282',27.32,1,3,NULL),(16,3815340,'1991-03-08 00:00:00',4,1,12,2008,'F','N','CENTRO','PRES BERNARDES','SP','125251251136131431423624275124610165032',NULL,'9998',29.44,1,3,NULL),(16,3815358,'1992-03-01 00:00:00',2,7,12,2008,'F','N','CENTRO','CAMPOS NOVOS','SC','124241241115131231322439575122610117017',NULL,'139',21.93,1,3,NULL),(16,3815366,'1980-05-17 00:00:00',2,1,12,1999,'M','N','CENTRO','PALHOçA','SC','124243241432175411126643233124123064043',NULL,'9999',31.97,1,3,NULL),(16,3815374,'1990-06-03 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124243241115271431337923575124610127097',NULL,'732',27.04,1,3,NULL),(16,3815382,'1980-03-24 00:00:00',2,1,2,1999,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124201206116243421126341285124133262147',NULL,'9998',0.00,1,2,1),(16,3815390,'1991-07-26 00:00:00',2,1,12,2008,'F','N','PRAIA DE FORA','PALHOçA','SC','124241241147131711423334595124610125142',NULL,'594',28.30,1,2,1),(16,3815404,'1981-12-25 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241147133731115448282324610126185',14300,'736',41.05,1,2,1),(16,3815412,'1992-01-14 00:00:00',4,1,12,2008,'M','N','ARIRIU','PALHOçA','SC','124241241146151231326324575114610164047',NULL,'594',27.27,4,1,1),(16,3815420,'1965-06-04 00:00:00',2,1,12,2000,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','524241247126135421521144242331220536045',NULL,'9999',27.35,2,1,1),(16,3815439,'1991-11-25 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124241241116371731436534575124610144147',8555,'257',51.33,1,3,NULL),(16,3815447,'1989-12-09 00:00:00',2,10,12,2006,'M','N','MIRIM','IMBITUBA','SC','124241241136372431323424392124610147147',10700,'359',47.56,1,2,1),(16,3815455,'1990-11-10 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241116472431224429575114610162097',14796,'257',40.07,1,2,1),(16,3815471,'1987-11-01 00:00:00',4,8,12,2004,'M','N','NOVA RAFARD','RAFARD','SP','125251251126131441536424284124140237147',13200,'9998',43.14,1,2,1),(16,3815480,'1992-05-08 00:00:00',4,4,12,2008,'M','N','CENTRO','ANCHIETA','SC','124241241116131431538923575125610168077',14493,'16',40.71,1,2,1),(16,3815498,'1990-12-20 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124161241126132411536834575124610168097',NULL,'922',29.71,4,2,1),(16,3815501,'1981-11-06 00:00:00',4,1,12,2000,'F','N','PONTAL','PALHOçA','SC','224241241122133731321454482214610164192',NULL,'295',19.00,1,2,1),(16,3815510,'1969-09-13 00:00:00',2,1,7,1992,'F','N','CAMPECHE','FLORIANóPOLIS','SC','524241241326132422424448285124610124097',NULL,'9999',18.37,4,1,2),(16,3815528,'1991-01-09 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241117471751533319295324610164142',16489,'257',35.51,4,2,1),(16,3815536,'1980-09-23 00:00:00',2,1,12,2000,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','224241241136214431426654482114610143147',13142,'292',43.25,1,2,1),(16,3815544,'1991-10-30 00:00:00',2,4,12,2008,'F','N','CENTRO','RIQUEZA','SC','124241241121131411323613571122610136057',NULL,'674',13.55,1,2,1),(16,3815552,'1984-09-03 00:00:00',2,1,12,2001,'M','N','VILA OPORTUNIDADE','CARAPICUíBA','SP','125251256116471431323429595144610168197',148,'9998',80.05,4,1,1),(16,3815560,'1991-10-28 00:00:00',4,10,12,2008,'F','N','VILA NOVA','IMBITUBA','SC','124241241115131331325312212344610131157',NULL,'359',0.00,4,3,NULL),(16,3815587,'1992-10-22 00:00:00',2,8,12,2008,'M','N','SENHORINHAS','JUQUITIBA','SP','125251251116151431326819572221610118057',NULL,'9998',0.00,1,2,1),(16,3815595,'1990-06-22 00:00:00',4,2,12,2007,'M','N','CENTRO','PRES GETúLIO','SC','124241241116132331433634345121231227077',15842,'644',37.64,1,2,1),(16,3815609,'1971-11-04 00:00:00',2,1,11,1998,'M','N','INGLESES','FLORIANóPOLIS','SC','124241245112135751113349296214610147147',NULL,'307',24.51,1,3,NULL),(16,3815617,'1961-05-26 00:00:00',2,1,10,1980,'M','N','JD ATLâNTICO','FLORIANóPOLIS','SC','524241243127143421224444341114120546047',14389,'264',40.90,1,2,1),(16,3815625,'1987-05-18 00:00:00',2,1,12,2005,'F','N','JARDIM JANAINA','BIGUAçU','SC','124243241137313411435334343134610164187',NULL,'66',21.40,4,3,NULL),(16,3815641,'1980-06-12 00:00:00',2,1,11,2001,'M','N','PANTANAL','FLORIANóPOLIS','SC','124131131127131521323644246344610112017',NULL,'9998',35.92,1,2,1),(16,3815650,'1988-09-17 00:00:00',4,1,12,2006,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241116135131526414445114610117087',NULL,'307',25.24,4,3,NULL),(16,3815668,'1976-05-28 00:00:00',2,1,12,2001,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124181181127133712123344445124610137143',NULL,'9998',26.87,4,2,1),(16,3815676,'1991-11-27 00:00:00',4,1,12,2008,'M','N','BARRA DO ARIRIú','PALHOçA','SC','124241241115131431323723572224610127047',NULL,'592',20.77,1,2,1),(16,3815684,'1991-10-09 00:00:00',2,1,12,2008,'F','N','CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC','124241241127131731323329192344610127187',15517,'288',38.50,4,2,1),(16,3815692,'1987-08-02 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124243241317333431418413182124610114112',NULL,'300',0.00,1,3,NULL),(16,3815706,'1988-09-07 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241132372431114341412124610127057',NULL,'60',26.25,1,2,1),(16,3815714,'1981-11-20 00:00:00',2,1,12,2001,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124053051311131431326644245124610147054',NULL,'9998',33.90,2,1,2),(16,3815722,'1982-07-23 00:00:00',2,1,7,2002,'M','N','SERTÃO DO MARUIM','S JOSé','SC','124241247221135441111449191324233244047',NULL,'9999',23.50,2,1,2),(16,3815730,'1985-08-15 00:00:00',2,1,12,2002,'F','N','JOÃO PAULO','FLORIANóPOLIS','SC','124241241116135431123344445134610167147',NULL,'307',30.70,1,2,1),(16,3815749,'1989-07-29 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124243241116472421324421345124610146182',15816,'307',37.72,1,3,NULL),(16,3815757,'1989-11-16 00:00:00',2,1,12,2006,'F','N','PRAIA DE FORA','PALHOçA','SC','124241241127132721534431215124230224157',NULL,'594',0.00,1,2,1),(16,3815773,'1970-04-03 00:00:00',2,1,12,2005,'M','N','S J DO RIO VERMELHO','FLORIANóPOLIS','SC','224121127226131421434444145324140266067',NULL,'9999',33.42,4,3,NULL),(16,3815781,'1984-09-02 00:00:00',2,1,12,2002,'M','N','PRAIA DE FORA','PALHOçA','SC','124161241121144431534431245113610161197',NULL,'594',26.61,4,1,1),(16,3815790,'1986-01-06 00:00:00',2,1,12,2005,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124241241125132431323343232124610144187',NULL,'279',22.61,1,3,NULL),(16,3815803,'1983-03-27 00:00:00',2,1,12,2001,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241146132331226424285114610162047',NULL,'281',19.44,1,3,NULL),(16,3815811,'1986-10-09 00:00:00',2,1,12,2004,'M','N','MADRI','PALHOçA','SC','624241241124154431326344342124221737047',NULL,'592',38.50,4,2,1),(16,3815820,'1982-09-02 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANóPOLIS','SC','124242241214372431129344445124331525177',14962,'213',39.76,1,3,NULL),(16,3815838,'1989-08-24 00:00:00',4,1,11,2006,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241245126131431428513571124610161047',NULL,'283',18.12,1,3,NULL),(16,3815846,'1985-09-28 00:00:00',2,1,7,2003,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241116271431125344445114610124117',NULL,'359',29.38,1,2,1),(16,3815854,'1976-10-19 00:00:00',2,1,12,1995,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124041043116132411121544441334341626027',13380,'9998',42.83,4,3,NULL),(16,3815862,'1991-12-11 00:00:00',2,1,11,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124243241315371431636931375124610126182',12163,'1048',44.97,1,3,NULL),(16,3815870,'1991-03-05 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124241241137131332534329282124610133147',NULL,'734',24.91,1,2,1),(16,3815889,'1983-03-17 00:00:00',4,1,12,2000,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124241241115143431333324215224423224187',5848,'307',56.68,1,2,1),(16,3815897,'1988-07-01 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241137133431123349292124230217147',NULL,'702',22.96,1,2,1),(16,3815900,'1983-10-16 00:00:00',2,1,12,2001,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124131131131143111123544141124143227047',14632,'9998',40.43,4,1,1),(16,3815919,'1970-05-27 00:00:00',2,1,8,1993,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124201207427231451233479235124610144187',16333,'9999',36.26,2,3,NULL),(16,3815927,'1985-01-25 00:00:00',2,1,12,2005,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124201207127131421312119282114610124142',NULL,'9999',0.00,1,2,1),(16,3815935,'1987-08-20 00:00:00',2,1,12,2004,'M','N','ARIRIú','PALHOçA','SC','124241241142231411213629382214130225171',10271,'592',48.30,1,2,1),(16,3815943,'1990-10-22 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241134472411123344344324610122142',6751,'60',54.76,1,2,1),(16,3815951,'1976-02-10 00:00:00',2,1,4,1995,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242247116142411227649392134610112077',NULL,'9999',0.00,4,3,NULL),(16,3815960,'1991-03-25 00:00:00',4,1,12,2008,'F','N','JARDIM ELDORADO','PALHOçA','SC','124241241117151431433534336124610123142',12617,'739',44.15,1,2,1),(16,3815978,'1989-09-15 00:00:00',2,1,12,2006,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241116143431323615372124223034197',10441,'941',48.02,1,3,NULL),(16,3815986,'1982-10-10 00:00:00',2,1,12,2000,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124161161124131421111249292234610116052',NULL,'9998',20.11,4,2,1),(16,3815994,'1984-02-13 00:00:00',2,1,12,2003,'F','N','BARREIROS','S JOSé','SC','124241241117424711526613382244610124142',NULL,'734',24.76,1,2,1),(16,3816001,'1986-12-12 00:00:00',2,1,12,2004,'F','N','CAMPINAS','S JOSé','SC','124241244127234431323369241134610127147',NULL,'736',22.36,1,3,NULL),(16,3816010,'1986-02-21 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241146133421323911291114122362097',12109,'288',45.08,1,3,NULL),(16,3816028,'1971-11-06 00:00:00',2,1,11,2008,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','524241247125131741221178285224610166187',13212,'9999',43.12,4,1,1),(16,3816036,'1988-10-10 00:00:00',2,1,12,2006,'F','N','ARMAçãO DA PIEDADE','GOV CELSO RAMOS','SC','124241241116152441323414375344610146142',15865,'65',37.59,1,3,NULL),(16,3816044,'1991-05-03 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241115131432523419572124610165147',NULL,'288',28.27,1,2,1),(16,3816052,'1979-04-03 00:00:00',2,1,11,1996,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124202208215373411226344345124610137057',NULL,'9998',31.95,1,3,NULL),(16,3816060,'1984-06-15 00:00:00',2,1,11,2002,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241146134431115441215224223022147',10423,'804',48.05,1,2,1),(16,3816079,'1958-07-16 00:00:00',2,1,12,1995,'F','N','TAPERA','FLORIANóPOLIS','SC','324241245127375431325648382224132731197',NULL,'281',10.06,1,3,NULL),(16,3816087,'1982-11-07 00:00:00',2,1,12,1999,'F','N','JARDIM AQUáRIUS','PALHOçA','SC','124161161126475121124644145334610116187',15877,'9998',37.54,1,3,NULL),(16,3816095,'1974-10-20 00:00:00',4,1,12,1992,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241243111475431123648481115610167052',14126,'357',41.38,1,2,1),(16,3816109,'1989-01-12 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241116272411534411445115133237011',11329,'307',46.44,1,2,1),(16,3816117,'1990-07-13 00:00:00',4,1,2,2008,'F','N','CENTRO','S JOSé','SC','124241241117371431446613273114610161032',10606,'739',47.72,1,2,1),(16,3816125,'1990-09-14 00:00:00',2,1,12,2007,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241137131431523524242214610167042',NULL,'288',26.79,1,3,NULL),(16,3816133,'1974-11-08 00:00:00',2,1,12,1998,'F','N','ESTREITO','FLORIANóPOLIS','SC','224201201337132731224379292334143223182',13808,'9998',42.04,1,3,NULL),(16,3816141,'1977-08-06 00:00:00',2,1,12,1995,'F','N','CAMPINAS','S JOSé','SC','124241245427133321325941215324610126027',NULL,'487',21.00,1,3,NULL),(16,3816150,'1991-03-09 00:00:00',4,1,11,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241115231431523324576324610126072',10511,'307',47.89,1,2,1),(16,3816168,'1991-04-04 00:00:00',4,1,11,2008,'F','N','SANTOS DUMONT','S JOSé','SC','124241241116211431324511575124610145142',NULL,'307',24.53,1,2,1),(16,3816176,'1991-10-14 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241117131431423611572124610127147',NULL,'257',21.58,1,3,NULL),(16,3816184,'1989-02-13 00:00:00',2,1,11,2008,'M','N','BALNEáRIO','FLORIANóPOLIS','SC','124241241115272431216644345134610167027',NULL,'303',26.21,1,2,1),(16,3816192,'1991-05-27 00:00:00',2,1,11,2008,'M','N','JARDIM CIDADE','S JOSé','SC','124241241117221421223328582121610117052',NULL,'734',25.01,1,3,NULL),(16,3816206,'1980-03-10 00:00:00',4,1,7,2008,'M','N','JARDIM JANAINA','BIGUAçU','SC','124243247125131721523354145123610168042',NULL,'9997',25.69,1,3,NULL),(16,3816214,'1981-03-25 00:00:00',4,1,12,1998,'F','N','JARDIM JANAíNA','BIGUAçU','SC','124241241136113431648944441123322226092',NULL,'498',0.00,1,3,NULL),(16,3816222,'1988-11-25 00:00:00',2,1,12,2006,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241117133431328831572344610133097',7163,'267',53.97,1,2,1),(16,3816230,'1990-07-01 00:00:00',4,1,11,2008,'F','N','REAL PARQUE','S JOSé','SC','124241241225271431214621295123610123097',8370,'262',51.64,1,3,NULL),(16,3816249,'1991-10-04 00:00:00',4,1,12,2008,'F','N','RATONES','FLORIANóPOLIS','SC','124241248225111431523331571124610134147',NULL,'262',28.43,1,3,NULL),(16,3816257,'1986-01-23 00:00:00',2,1,12,2003,'F','N','CAETE','GRAVATAL','SC','124241241126132431623313281324130227057',NULL,'331',28.32,4,1,1),(16,3816265,'1990-03-12 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124243241127131731216769582224610164147',12970,'307',43.56,1,3,NULL),(16,3816281,'1984-03-17 00:00:00',2,1,12,2003,'F','N','SAO SEBASTIAO','PALHOçA','SC','124241241137132711123644242234610166177',NULL,'591',29.91,1,2,1),(16,3816303,'1988-08-05 00:00:00',2,1,12,2005,'F','N','VILA IVETE','S JOSé','SC','124241241111132421123444342214610122147',10879,'542',47.22,1,2,1),(16,3816311,'1989-01-11 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241117272711616579381123221665157',13667,'267',42.33,1,2,1),(16,3816320,'1975-09-07 00:00:00',2,1,12,1997,'M','N','IPIRANGA','S JOSé','SC','124242247226374431423311445133610117117',NULL,'725',16.97,1,3,NULL),(16,3816338,'1990-04-17 00:00:00',4,1,12,2006,'F','N','BELA VISTA I','S JOSé','SC','124243241447133731426629277124121144127',1618,'262',68.81,1,3,NULL),(16,3816346,'1989-06-21 00:00:00',4,1,12,2008,'F','N','PARQUE SAO JORGE','FLORIANóPOLIS','SC','124254241135271441535821315124610148097',12703,'307',43.99,1,3,NULL),(16,3816354,'1988-01-27 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124221221136472431223619395124610125097',NULL,'9998',29.85,2,1,1),(16,3816362,'1987-09-15 00:00:00',2,1,12,2008,'F','N','VARGEM GRANDE','FLORIANOPOLIS','SC','124241241115131431213329392344610126197',NULL,'288',12.04,1,2,1),(16,3816370,'1991-05-30 00:00:00',2,1,12,2008,'F','N','SANTINHO','FLORIANóPOLIS','SC','124241241115131631425413382124610113141',NULL,'288',24.32,1,2,1),(16,3816389,'1988-04-24 00:00:00',2,1,12,2005,'M','N','PROMOAR','FLORIANóPOLIS','SC','124242241217133711426419492114610127067',NULL,'269',27.59,2,1,2),(16,3816397,'1991-10-24 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241115131431425323472224610136042',NULL,'295',25.78,1,2,1),(16,3816400,'1988-03-08 00:00:00',2,1,12,2005,'F','N','CACUPé','FLORIANóPOLIS','SC','124243241332231121335324442134110227017',15878,'442',37.53,1,3,NULL),(16,3816419,'1991-06-16 00:00:00',2,1,12,2008,'F','N','FORQUILHAS','S JOSé','SC','124241241116371431421111595124610147057',NULL,'732',20.92,4,2,1),(16,3816427,'1985-10-22 00:00:00',4,1,12,2003,'F','N','FORQUILHAS','S JOSé','SC','124241241126475411421111342134610125147',NULL,'727',28.54,4,2,1),(16,3816435,'1991-07-13 00:00:00',2,1,12,2008,'F','N','SOROCABA DE FORA','BIGUAçU','SC','124241241115161431434415572124610128147',NULL,'65',27.41,1,3,NULL),(16,3816443,'1991-04-26 00:00:00',4,6,12,2008,'F','N','VILA MARIA','BOTUCATU','SP','125251251117471431547824575122610167093',11755,'9998',45.72,1,2,1),(16,3816451,'1991-12-23 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241248225141431423524592124610124147',NULL,'262',24.89,1,3,NULL),(16,3816460,'1991-04-05 00:00:00',2,1,12,2008,'F','N','ABRAÃO','FLORIANóPOLIS','SC','124241241225131431223624575124610127057',NULL,'262',24.72,1,3,NULL),(16,3816478,'1986-03-04 00:00:00',4,1,12,2003,'F','N','CAMINHO NOVO','PALHOçA','SC','124161161122131421323344243314610144047',NULL,'9998',20.23,1,2,1),(16,3816486,'1984-07-31 00:00:00',2,1,12,2003,'F','N','COSTA DA LAGOA','FLORIANóPOLIS','SC','124241241126473432423311295324610163092',NULL,'282',23.76,1,2,1),(16,3816494,'1991-04-15 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241115141731223729395234610137093',NULL,'288',23.49,3,2,1),(16,3816508,'1988-07-01 00:00:00',2,1,12,2005,'F','N','JURERE INTERNACIONAL','FLORIANóPOLIS','SC','124241241111154441448823371111610154177',NULL,'288',28.05,1,2,1),(16,3816516,'1986-07-02 00:00:00',2,1,9,2006,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241337151441446823572124133266045',NULL,'288',0.00,4,3,NULL),(16,3816532,'1958-06-29 00:00:00',2,1,6,1979,'M','N','SESC SUZANO SP','SUZANO','SP','125251257226471211324449495224610137097',NULL,'9999',0.00,1,3,NULL),(16,3816540,'1990-07-16 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241136132441224579296124230224012',14881,'763',39.92,1,2,1),(16,3816567,'1991-02-03 00:00:00',2,1,12,2008,'F','N','COLONINHA','FLORIANóPOLIS','SC','124242241215132431446813595124610124147',7984,'738',52.46,1,3,NULL),(16,3816575,'1976-12-12 00:00:00',4,1,12,1994,'M','N','SERRARIAS','S JOSé','SC','624241241122135421221844345114610122042',16053,'307',37.10,2,1,1),(16,3816583,'1992-03-04 00:00:00',2,5,12,2008,'F','N','CENTRO','CAPãO CANOA','RS','120201201116131431224724575124610127092',NULL,'9998',21.81,1,2,1),(16,3816591,'1991-05-17 00:00:00',4,1,11,2008,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124064241316171512538813342124610122147',NULL,'734',23.02,1,3,NULL),(16,3816605,'1975-03-25 00:00:00',2,1,12,1992,'F','N','DONA WANDA','S JOSé','SC','124241248125372421226544341234130238147',NULL,'257',20.30,2,1,1),(16,3816613,'1989-02-19 00:00:00',2,1,12,2006,'F','N','GLóRIA','PTO ALEGRE','RS','120204201217471431226628575124610144197',5749,'9998',56.96,1,3,NULL),(16,3816621,'1991-11-17 00:00:00',2,1,12,2008,'F','N','DONA WANDA','S JOSé','SC','124244241115371731235724575214610166193',NULL,'307',21.03,2,3,NULL),(16,3816630,'1988-07-02 00:00:00',4,1,12,2006,'F','N','CAMPINAS','S JOSé','SC','124241241115471431538314342124610121147',NULL,'307',17.99,1,2,1),(16,3816648,'1989-03-02 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241136132411225579295124231034142',NULL,'763',0.00,1,2,1),(16,3816656,'1990-10-20 00:00:00',2,1,12,2008,'F','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124241241116151431323469575124610137143',NULL,'288',27.98,1,2,1),(16,3816664,'1970-10-31 00:00:00',4,1,12,1989,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','224131138122135751213351482124630266197',NULL,'9998',0.00,1,2,1),(16,3816672,'1986-12-10 00:00:00',2,2,12,2004,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124241241126371721125644245334131362147',14377,'115',40.91,4,2,1),(16,3816680,'1990-11-27 00:00:00',4,5,12,2008,'F','N','SãO LUIZ','CRICIúMA','SC','124241241117131431436933331124610127017',NULL,'221',25.48,1,2,1),(16,3816699,'1989-05-02 00:00:00',4,1,12,2006,'F','N','ROÇADO','SAO JOSE','SC','124241241117271711323329392124610122077',NULL,'733',27.46,1,3,NULL),(16,3816702,'1966-02-02 00:00:00',2,1,12,1984,'M','N','COLONINHA','FLORIANóPOLIS','SC','224241245126135411445443331124610164067',NULL,'356',27.17,1,3,NULL),(16,3816710,'1985-03-03 00:00:00',2,1,12,2000,'M','N','CENTRO','FLORIANóPOLIS','SC','124241248111132231226661342334610134057',NULL,'307',25.24,2,3,NULL),(16,3816745,'1985-03-06 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241116135431446313245124230245092',11191,'808',46.67,1,2,1),(16,3816761,'1986-02-24 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241115144431438913495124232043182',NULL,'307',0.00,1,2,1),(16,3816770,'1990-09-16 00:00:00',4,1,3,2008,'M','N','INGL DO RIO VERMELHO','FLORIANOPOLIS','SC','124244241317372431236824374124610124147',2298,'739',66.06,1,3,NULL),(16,3816796,'1983-05-10 00:00:00',2,3,12,2002,'M','N','PIONEIROS','BAL CAMBORIú','SC','124203201426152711225744145221610111092',NULL,'9998',0.00,1,3,NULL),(16,3816800,'1986-07-16 00:00:00',2,1,11,2005,'M','N','JOSé MENDES','FLORIANóPOLIS','SC','124241241126372431523424345123610124027',NULL,'286',27.77,4,2,1),(16,3816818,'1989-04-09 00:00:00',4,1,7,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124243241117373431638629496124221467052',NULL,'306',0.00,1,3,NULL),(16,3816826,'1988-02-20 00:00:00',5,1,8,2006,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241117132431638629596124233263142',NULL,'306',0.00,1,2,1),(16,3816834,'1991-05-31 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241115131431223329575224610126182',1480,'267',69.46,1,2,1),(16,3816842,'1980-01-27 00:00:00',2,1,12,1998,'F','N','BARRA DO ARIRIú','PALHOçA','SC','124141141137272421221423485124343222147',9075,'9998',50.46,4,1,1),(16,3816850,'1989-11-15 00:00:00',2,1,6,2008,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241247337131431439313392124610168087',13373,'300',42.84,4,3,NULL),(16,3816869,'1991-10-18 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S JOSé','SC','124243241117131431324679272124610117047',13707,'734',42.26,1,3,NULL),(16,3816877,'1974-06-29 00:00:00',5,1,12,1992,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124243241434135411127843432314521245112',8701,'360',51.07,1,3,NULL),(16,3816885,'1987-11-28 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241436273431436631395124221324017',10712,'111',47.52,1,3,NULL),(16,3816893,'1989-12-29 00:00:00',2,1,3,2008,'F','N','LOTEAMENTO BROERING','STO AMARO IMPERATRIZ','SC','124241241115132431524314271124610132097',8613,'739',51.22,1,2,1),(16,3816907,'1985-09-05 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANóPOLIS','SC','124201201136133731123644242124610136187',NULL,'9998',32.33,1,2,1),(16,3816915,'1989-05-15 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241127141711221324345334610137127',NULL,'307',31.63,4,3,NULL),(16,3816923,'1982-09-02 00:00:00',4,1,12,2004,'F','N','CAMPECHE','FLORIANóPOLIS','SC','624243241327131721235644345224610161147',12774,'86',43.88,1,3,NULL),(16,3816931,'1987-04-21 00:00:00',4,1,10,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','624243241327132221235644445224610168012',NULL,'9999',20.13,4,3,NULL),(16,3816940,'1990-02-03 00:00:00',2,1,12,2007,'F','N','RATONES','FLORIANóPOLIS','SC','124241241116372431325534175124610168061',14117,'307',41.40,1,2,1),(16,3816958,'1991-04-25 00:00:00',4,1,12,2008,'M','N','ARIRIú DA FORMIGA','PALHOçA','SC','124241248226111411434219241124610114112',NULL,'262',26.82,1,3,NULL),(16,3816966,'1991-09-23 00:00:00',2,1,12,2008,'F','N','PENHA','PAULO LOPES','SC','124241241225111431323236572224610136147',9352,'262',49.98,1,3,NULL),(16,3816974,'1981-07-13 00:00:00',4,1,12,2000,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241147142751223449192333610133043',NULL,'65',31.03,1,2,1),(16,3816982,'1971-04-23 00:00:00',2,1,8,2006,'F','N','TAPERA','FLORIANóPOLIS','SC','124241247127132431424349292224610124147',14771,'306',40.13,1,2,1),(16,3816990,'1974-10-08 00:00:00',2,1,3,1993,'M','N','KOBRASOL','S JOSé','SC','624241248146134731123444145124610122057',NULL,'306',22.22,2,2,1),(16,3817008,'1971-12-30 00:00:00',2,1,12,1990,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','624241241126335731335354445114610117027',11814,'281',45.61,1,2,1),(16,3817016,'1991-03-27 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241337131451228629492224610128027',7802,'267',52.76,1,3,NULL),(16,3817024,'1991-06-07 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124242241215111731336732275125610162062',5220,'1022',58.07,1,3,NULL),(16,3817032,'1989-02-22 00:00:00',2,1,12,2007,'M','N','TAPERA','FLORIANóPOLIS','SC','124241247117371431215624382214610167057',NULL,'9999',0.00,2,1,1),(16,3817040,'1983-01-22 00:00:00',2,1,12,2000,'F','N','ARIRIU','PALHOçA','SC','124244241212275431437331382124121147147',4787,'774',59.09,1,3,NULL),(16,3817067,'1989-05-02 00:00:00',2,1,12,2007,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124183241122132751424641311344610161157',NULL,'9997',22.05,4,3,NULL),(16,3817075,'1991-04-06 00:00:00',2,1,12,2008,'F','N','PENHA','PAULO LOPES','SC','124241241225111451424411572224610168172',11702,'262',45.82,1,3,NULL),(16,3817083,'1982-03-04 00:00:00',2,1,11,1999,'F','N','CENTRO','FLORIANOPOLIS','SC','124211241126135411223329295224223023147',10708,'307',47.54,1,2,1),(16,3817091,'1990-06-03 00:00:00',4,1,12,2008,'F','N','SãO LUIZ','CURITIBANOS','SC','124241241135151431426611272325610131192',NULL,'239',20.94,1,2,1),(16,3817105,'1991-12-05 00:00:00',4,9,12,2008,'F','N','SANTO ANTONIO','CURITIBANOS','SC','124241241115161431623333572125610124147',NULL,'239',16.54,1,2,1),(16,3817113,'1991-01-27 00:00:00',4,10,12,2008,'M','N','AÇUCENA','BRAçO NORTE','SC','124241241112131431423335152213610127047',15695,'100',38.07,1,2,1),(16,3817121,'1985-06-15 00:00:00',4,2,12,2006,'M','N','INTERIOR','CURITIBANOS','SC','124241241126131431521112141331610154097',NULL,'239',29.93,4,2,1),(16,3817164,'1990-08-22 00:00:00',2,10,12,2008,'F','N','RIO DOS INDIOS','STA ROSA LIMA','SC','124241241122131431413316572324610127057',NULL,'688',23.44,1,2,1),(16,3817172,'1991-10-02 00:00:00',2,10,12,2008,'F','N','CENTRO','STA ROSA LIMA','SC','124241241125271431626313332225610166147',NULL,'688',0.00,1,2,1),(16,3817180,'1987-07-21 00:00:00',4,1,12,2004,'F','N','CENTRO','PALHOCA','SC','124243241336373431234321245124610135142',NULL,'1014',23.86,1,3,NULL),(16,3817199,'1987-08-19 00:00:00',4,8,12,2004,'M','N','COSTA E SILVA','JOINVILLE','SC','124241241316373411435933595124221754182',2828,'454',64.29,4,3,NULL),(16,3817202,'1990-02-18 00:00:00',2,1,12,2008,'F','N','SãO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241115131732313314586224610134057',NULL,'772',0.00,1,3,NULL),(16,3817210,'1990-08-21 00:00:00',4,9,12,2008,'F','N','BOM JESUS','CURITIBANOS','SC','124241241135131711527711495325610134177',NULL,'239',20.35,1,3,NULL),(16,3817237,'1991-12-14 00:00:00',4,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241123131411423521272321610137017',NULL,'772',18.56,1,3,NULL),(16,3817245,'1991-03-27 00:00:00',2,1,12,2008,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241115151232524321286344610135147',NULL,'288',30.43,4,2,1),(16,3817253,'1986-02-02 00:00:00',2,1,12,2003,'F','N','JARDIM JANAINA','BIGUAçU','SC','224241241126575121325351385114131062127',NULL,'307',27.71,1,2,1),(16,3817261,'1991-06-22 00:00:00',2,1,12,2008,'F','N','SANTO ANTONIO LISBOA','FLORIANóPOLIS','SC','124241241115151331333419282124610123147',NULL,'288',21.01,1,3,NULL),(16,3817288,'1989-02-02 00:00:00',2,1,12,2007,'F','N','IPIRANGA','S JOSé','SC','124241241137172732111344441324610122077',NULL,'734',23.02,1,2,1),(16,3817296,'1984-09-17 00:00:00',2,1,12,2002,'F','N','BARREIROS','S JOSé','SC','624241241317274731223334282114333244183',11635,'943',45.94,1,3,NULL),(16,3817300,'1990-12-16 00:00:00',2,1,12,2007,'F','N','CAMILA BEATRIZ','STA ADéLIA','SP','125251251117471451547642321122610132074',NULL,'9998',0.00,1,2,1),(16,3817326,'1989-04-27 00:00:00',2,1,12,2006,'F','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124241241317131431426923485124232733187',NULL,'288',28.50,1,3,NULL),(16,3817334,'1991-05-06 00:00:00',2,1,12,2008,'F','N','RIO DO MEIO','STA ROSA LIMA','SC','124241241115161411413315152224610166052',10696,'688',47.56,1,2,1),(16,3817342,'1991-01-18 00:00:00',2,10,12,2008,'M','N','RIO BRAVO ALTO','STA ROSA LIMA','SC','124241241117151711413315162224610126097',NULL,'688',26.61,1,2,1),(16,3817350,'1988-10-21 00:00:00',2,1,12,2006,'F','N','PONTE DE IMARUIM','PALHOçA','SC','624241241147132111226844242224610124147',NULL,'591',29.37,4,3,NULL),(16,3817377,'1991-04-08 00:00:00',4,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241116131731423313572124610124077',NULL,'941',19.77,1,2,1),(16,3817385,'1990-05-25 00:00:00',4,9,12,2008,'F','N','CENTRO','CURITIBANOS','SC','124241241135131431311324572321610127147',NULL,'239',24.96,1,2,1),(16,3817393,'1985-11-14 00:00:00',2,1,12,2003,'F','N','IPIRANGA','S JOSé','SC','124241241126132131426729342334610124117',NULL,'729',20.65,1,2,1),(16,3817407,'1991-06-02 00:00:00',4,1,11,2008,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241117131432326527575124610117057',NULL,'281',21.91,1,2,1),(16,3817415,'1988-08-18 00:00:00',2,1,12,2006,'M','N','IPIRANGA','S JOSé','SC','124241247122131431426729382314610127117',NULL,'736',29.82,1,2,1),(16,3817423,'1987-07-17 00:00:00',2,1,12,2004,'F','N','AREIAS','S JOSé','SC','124241241116132431326544345124610164097',NULL,'734',22.43,4,3,NULL),(16,3817431,'1991-05-04 00:00:00',2,1,11,2008,'F','N','COSTEIRA DO PIRAJUB','FLORIANóPOLIS','SC','124241241112131431545339392124610133147',15380,'281',38.81,1,2,1),(16,3817440,'1990-03-06 00:00:00',2,1,12,2007,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124242241112132731336614242334610128187',NULL,'257',29.34,1,3,NULL),(16,3817458,'1985-11-30 00:00:00',2,1,12,2004,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241123373731221524345334610114097',13329,'282',42.91,4,2,1),(16,3817466,'1988-10-17 00:00:00',2,1,12,2005,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124242241211134111643511341124130847157',13083,'988',43.35,1,3,NULL),(16,3817474,'1990-11-18 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124242241215272431446611375122610163027',9397,'1098',49.90,1,3,NULL),(16,3817482,'1984-12-06 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANóPOLIS','SC','124201201115232421111179442334140222092',NULL,'9998',29.27,1,3,NULL),(16,3817490,'1988-05-12 00:00:00',2,1,12,2008,'M','N','REAL PARQUE','S JOSé','SC','124241241111231421423329483211610114047',NULL,'734',18.39,1,3,NULL),(16,3817504,'1989-11-24 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241126133431434624345124223026097',NULL,'285',0.00,1,2,1),(16,3817512,'1987-02-25 00:00:00',4,1,12,2008,'M','N','VARGEM GRANDE','ÁGUAS MORNAS','SC','124241241125131531333314242324610127047',NULL,'12',0.00,1,2,1),(16,3817520,'1989-12-11 00:00:00',2,1,12,2006,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124161241112132731635611342334610164157',15638,'288',38.22,1,2,1),(16,3817539,'1991-06-08 00:00:00',5,1,12,2008,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','125161241115131731625511372324610165127',10315,'288',48.23,1,2,1),(16,3817547,'1981-09-30 00:00:00',2,1,4,2002,'M','N','CANPINAS','S JOSé','SC','124241247147471511113331216324610164057',NULL,'9999',25.00,1,2,1),(16,3817571,'1991-01-24 00:00:00',4,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241115131431324614275114610117057',NULL,'772',19.81,1,2,1),(16,3817580,'1986-07-28 00:00:00',2,1,12,2004,'F','N','GUARDA DO EMBAú','PALHOçA','SC','124241241147134432424611382114610122147',NULL,'595',25.30,1,2,1),(16,3817598,'1991-01-17 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124243241127131431437934372324610121097',13833,'274',41.98,1,3,NULL),(16,3817610,'1991-08-16 00:00:00',2,1,12,2008,'F','N','RIO VEMELHO','FLORIANóPOLIS','SC','124241241125131732613379276324610144192',NULL,'274',0.00,1,2,1),(16,3817628,'1991-08-16 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241125161732523579296324610134192',NULL,'274',0.00,1,2,1),(16,3817636,'1978-08-26 00:00:00',4,1,11,1998,'F','N','INGLESES DO RIO VERM','FLORIANóPOLIS','SC','524051053147131731113444346344610126047',NULL,'9998',27.61,2,2,1),(16,3817644,'1991-11-22 00:00:00',2,1,12,2008,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241117271431523429575114610117142',NULL,'298',30.42,1,2,1),(16,3817652,'1991-04-14 00:00:00',4,4,12,2008,'F','N','CENTRO','ANCHIETA','SC','124241241115131431523316572344610127047',NULL,'16',0.00,1,2,1),(16,3817660,'1991-12-02 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241127111531333314372124610127062',NULL,'274',24.51,1,2,1),(16,3817679,'1991-05-24 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241125141431624611242344610135182',NULL,'274',28.83,1,2,1),(16,3817687,'1991-03-07 00:00:00',4,1,12,2008,'F','N','PINHEIRA','PALHOCA','SC','124241241115131752423311292324610161147',NULL,'595',28.08,1,2,1),(16,3817709,'1979-10-20 00:00:00',2,10,12,1996,'M','N','OFICINAS','TUBARãO','SC','124251251116133431128844341321320527112',NULL,'9998',0.00,1,2,1),(16,3817717,'1991-08-01 00:00:00',4,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124241241115131431335734572124610123147',NULL,'307',21.78,1,2,1),(16,3817725,'1988-09-03 00:00:00',4,1,12,2006,'F','N','CENTRO','TIJUCAS','SC','124242241115133431546614345122610147147',3582,'306',62.13,2,1,2),(16,3817733,'1981-10-31 00:00:00',4,1,12,2000,'F','N','PANTANAL','FLORIANóPOLIS','SC','224052051217271731326751415124610134077',7651,'9998',53.05,1,3,NULL),(16,3817741,'1980-12-10 00:00:00',4,1,12,1998,'M','N','PANTANAL','FLORIANóPOLIS','SC','224241246117133731324441412124221437067',5497,'306',57.48,1,2,1),(16,3817776,'1990-10-16 00:00:00',2,1,11,2008,'M','N','KOBRASOL','S JOSé','SC','124242241215131431326424272124610136077',1868,'723',67.71,1,3,NULL),(16,3817784,'1991-02-17 00:00:00',2,4,12,2008,'F','N','CENTRO','RIQUEZA','SC','124241241125131721421426245124610123197',NULL,'674',16.83,3,2,1),(16,3817806,'1989-01-11 00:00:00',2,1,12,2006,'F','N','JARDIM CARANDAí','BIGUAçU','SC','124241241116273131236811282114610166044',12731,'257',43.96,1,2,1);
INSERT INTO candidato VALUES (16,3817814,'1988-02-27 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241117375421438639272124610137147',15951,'307',37.36,1,2,1),(16,3817822,'1990-07-30 00:00:00',4,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124241241117131431443823291124610164072',NULL,'307',26.26,3,2,1),(16,3817830,'1965-07-24 00:00:00',2,1,12,1993,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','524241245115573431124648385124610116092',NULL,'293',22.92,1,2,1),(16,3817849,'1989-09-24 00:00:00',2,1,12,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC','124241241125163431223329285124610142152',14426,'278',40.84,1,2,1),(16,3817857,'1991-09-10 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSé','SC','124241241115371431223623572124610112141',NULL,'734',17.15,1,3,NULL),(16,3817865,'1986-01-04 00:00:00',2,1,12,2003,'M','N','ABRAãO','FLORIANóPOLIS','SC','124241241113214411326629494241610164092',6920,'257',54.47,1,2,1),(16,3817873,'1981-06-05 00:00:00',2,1,12,1998,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','624241241147132432226544342321610134075',NULL,'290',0.00,1,2,1),(16,3817881,'1980-08-25 00:00:00',4,1,12,2003,'M','N','INGLESES','FLORIANóPOLIS','SC','120241241127132421123344342324130226111',NULL,'922',0.00,1,3,NULL),(16,3817890,'1990-09-23 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241317372431541831575124610161187',3137,'300',63.43,1,3,NULL),(16,3817903,'1988-08-25 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANóPOLIS','SC','124241241117472431526624245124610135167',9156,'307',50.31,1,2,1),(16,3817911,'1990-10-19 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241116472431433324342224610124195',11880,'592',45.50,1,2,1),(16,3817920,'1960-06-30 00:00:00',2,1,12,1990,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','524241245122135411323343432344610126047',16237,'734',36.56,1,3,NULL),(16,3817938,'1974-07-24 00:00:00',2,1,12,1994,'F','N','IPIRANGA','S JOSé','SC','224243243121135411323354382324610124147',16355,'734',36.17,1,3,NULL),(16,3817946,'1982-10-03 00:00:00',2,1,12,2000,'F','N','BARREIROS','S JOSé','SC','224241241112133411436313271124132824027',11228,'293',46.59,1,3,NULL),(16,3817954,'1983-07-29 00:00:00',2,1,12,2003,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241121575721132344235314610138147',15966,'755',37.32,1,2,1),(16,3817962,'1991-09-21 00:00:00',2,1,12,2008,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241116131431416614385124610142142',NULL,'65',27.03,1,2,1),(16,3817970,'1983-02-03 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241216274431126644342134121437147',3743,'210',61.71,1,3,NULL),(16,3817989,'1991-10-05 00:00:00',4,1,12,2008,'M','N','COSTEIRA DOPIRAJUBAÉ','FLORIANóPOLIS','SC','124241241226131731534414241324610124043',11301,'262',46.47,1,3,NULL),(16,3817997,'1989-02-18 00:00:00',2,1,12,2006,'M','N','LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC','124241241116344431326411315324230827142',NULL,'307',19.19,1,2,1),(16,3818004,'1987-05-10 00:00:00',2,1,12,2004,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241125132431523311382244610124147',15815,'296',37.72,2,2,1),(16,3818012,'1981-08-23 00:00:00',2,1,12,1996,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241126135121126544343334610164187',NULL,'293',26.80,1,2,1),(16,3818020,'1990-08-11 00:00:00',2,1,11,2008,'F','N','CENTRO','S JOSé','SC','124241241134131411115644345124610141182',11813,'733',45.61,1,2,1),(16,3818039,'1984-04-02 00:00:00',2,1,12,2003,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241131171351321119497114610168197',NULL,'477',27.37,2,1,1),(16,3818047,'1988-09-15 00:00:00',2,1,12,2006,'M','N','JARDIM CARANDAÍ','BIGUAçU','SC','124241241117273431335524345224610167092',6572,'306',55.13,1,2,1),(16,3818055,'1987-03-15 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124161241136132431527174195334221768187',11876,'292',45.50,1,2,1),(16,3818063,'1980-02-06 00:00:00',2,1,12,2001,'M','N','FORQUILHINHAS','S JOSé','SC','224241247126174131226844145123610137112',NULL,'9999',36.63,1,3,NULL),(16,3818071,'1972-05-27 00:00:00',4,1,12,1995,'M','N','AREIAS','S JOSé','SC','224201203226151431438844445224340758013',7552,'9998',53.23,1,3,NULL),(16,3818080,'1991-02-24 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSé','SC','124243241115271431525311575124610144072',14715,'734',40.24,1,3,NULL),(16,3818098,'1988-02-07 00:00:00',2,1,12,2005,'F','N','BARREIROS AREIAS','S JOSé','SC','124241241116474431533614341124610121187',15802,'734',37.76,1,3,NULL),(16,3818101,'1982-11-03 00:00:00',2,1,8,2005,'M','N','SAMBAQUI','FLORIANóPOLIS','SC','624241241126131421326344345124132765144',NULL,'279',23.15,2,1,1),(16,3818110,'1991-04-20 00:00:00',4,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAçU','SC','124244241245131411416434572124610134072',13612,'262',42.44,1,3,NULL),(16,3818128,'1990-09-16 00:00:00',2,1,12,2007,'M','N','CENTRO','NOVA TRENTO','SC','124241242116272431328623275114610124092',6322,'129',55.64,1,2,1),(16,3818136,'1991-10-06 00:00:00',4,4,12,2008,'M','N','INTERIOR','PALMITOS','SC','124241241114131541323335552212610125147',NULL,'1150',0.00,1,2,1),(16,3818144,'1984-01-21 00:00:00',2,1,12,2002,'F','N','CENTRO','TIJUCAS','SC','124241251126131431126544342333132018092',NULL,'9998',0.00,1,2,1),(16,3818152,'1978-11-17 00:00:00',2,6,12,1999,'M','N','SÃO JUDAS','ITAJAí','SC','124111117126131411125544345334610137147',NULL,'9998',25.20,1,2,1),(16,3818160,'1991-11-14 00:00:00',2,10,11,2008,'F','N','CENTRO','JAGUARUNA','SC','124241241116471411314419285124610134147',NULL,'421',29.39,1,2,1),(16,3818179,'1986-10-31 00:00:00',2,1,2,2005,'F','N','CAMPINAS','S JOSé','SC','124241241116372421533314395334121136147',9158,'739',50.30,1,2,1),(16,3818187,'1957-06-28 00:00:00',2,1,11,2002,'F','N','BARREIROS','SAO JOSE','SC','124201247122372411223344242134610126197',NULL,'9999',25.66,1,3,NULL),(16,3818195,'1985-12-23 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANóPOLIS','SC','624252241417272431226844345124610137057',9663,'271',49.40,2,1,2),(16,3818209,'1985-05-01 00:00:00',2,8,12,1999,'F','N','JARDIM AMERICA','MAFRA','SC','124241241111132711115374182344131016197',NULL,'257',25.28,1,3,NULL),(16,3818217,'1985-03-20 00:00:00',2,1,5,2005,'M','N','CARIANOS','FLORIANóPOLIS','SC','624243247342271421228444242334610121117',NULL,'9999',40.19,1,3,NULL),(16,3818225,'1983-06-01 00:00:00',4,8,12,1997,'F','N','JARDIM AMERICA','MAFRA','SC','124241241132132411115344142343131314037',NULL,'257',25.89,1,3,NULL),(16,3818233,'1989-12-01 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124243241415371431524419592114610127117',15344,'1022',38.89,1,3,NULL),(16,3818241,'1988-08-25 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124201241146232431224924445124610164147',NULL,'277',21.85,1,3,NULL),(16,3818250,'1991-05-18 00:00:00',4,10,12,2008,'F','N','VILA NOVA','IMBITUBA','SC','124241241116151331523414295134610118147',NULL,'359',0.00,1,3,NULL),(16,3818268,'1985-04-28 00:00:00',2,1,12,2003,'F','N','PRAINHA','FLORIANóPOLIS','SC','224241241116374421226651342233610126187',NULL,'281',34.12,1,3,NULL),(16,3818276,'1990-01-26 00:00:00',2,1,6,2008,'M','N','AREIAS','S JOSé','SC','124241247117131411623121185324610117142',NULL,'9999',4.05,1,2,1),(16,3818284,'1982-11-24 00:00:00',4,1,12,2001,'F','N','RIBEIRAO DA ILHA','FLORIANOPOLIS','SC','624252251216574131229944345224610163027',NULL,'9998',33.47,1,3,NULL),(16,3818292,'1989-06-05 00:00:00',2,3,12,2006,'F','N','CENTRO','BAL CAMBORIú','SC','124242241217123451325923375125610167142',15027,'44',39.60,1,3,NULL),(16,3818306,'1981-04-02 00:00:00',2,1,12,1995,'M','N','RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC','624241247327272411221354282224610124042',NULL,'9999',37.16,4,3,NULL),(16,3818314,'1987-08-21 00:00:00',4,1,12,2005,'M','N','JARDIM SUMAREZINHO','HORTOLâNDIA','SP','125251251126571431324318285122610127047',3280,'9998',63.07,1,2,1),(16,3818322,'1992-03-04 00:00:00',4,7,12,2008,'F','N','VILA ALEMANHA','LUZERNA','SC','124241241115241431323634445122610125142',NULL,'539',25.64,1,3,NULL),(16,3818349,'1979-09-23 00:00:00',2,8,12,1997,'F','N','CENTRO','BARRA VELHA','SC','124243241216151441113349395121131436017',6621,'424',55.01,1,3,NULL),(16,3818357,'1987-11-13 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124242248612413111533431242234232114187',8620,'784',51.21,1,3,NULL),(16,3818365,'1990-10-14 00:00:00',4,1,11,2007,'F','N','JARDIM TERRAS DO SUL','S JOSé CAMPOS','SP','125253251116471431226624592124610161147',NULL,'9998',0.00,1,3,NULL),(16,3818373,'1988-12-30 00:00:00',4,1,12,2006,'F','N','SÃO BERNARDO','CAMPINAS','SP','125251251117132431543669571124610164147',15965,'9998',37.32,1,2,1),(16,3818381,'1984-02-23 00:00:00',2,1,7,2003,'F','N','CAMINHO NOVO','PALHOçA','SC','124244247227131412228324382324610164187',NULL,'86',28.42,1,3,NULL),(16,3818390,'1990-06-22 00:00:00',2,8,12,2007,'F','N','CAMPOS DE SAO JOSE','S JOSé CAMPOS','SP','125251251115371311436823385124610132042',14795,'9998',40.08,1,2,1),(16,3818403,'1991-04-06 00:00:00',2,1,12,2008,'M','N','PACHECOS','PALHOçA','SC','124241241126131421223321245124610137177',NULL,'1109',39.11,1,2,1),(16,3818411,'1990-10-29 00:00:00',2,4,12,2008,'M','N','INTERIOR','DIONíSIO CERQUEIRA','SC','124241242115161431323369595224610127052',NULL,'758',0.00,1,2,1),(16,3818420,'1991-12-20 00:00:00',2,8,11,2005,'F','N','IPEROBA','S FRANCISCO SUL','SC','124241241116371711213329575124610124092',NULL,'711',18.75,1,3,NULL),(16,3818438,'1987-05-05 00:00:00',2,1,12,2004,'F','N','IPIRANGA','S JOSé','SC','124241241117133431423314171124610113187',NULL,'734',0.00,1,3,NULL),(16,3818446,'1990-10-11 00:00:00',4,1,12,2008,'F','N','VILA ISABEL','OSASCO','SP','125251251126131731326669572324610162186',NULL,'9998',0.00,1,2,1),(16,3818454,'1987-05-28 00:00:00',2,1,11,2004,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241116174431436644445224231443072',NULL,'808',0.00,1,3,NULL),(16,3818462,'1991-03-19 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241117131411326329575124610154012',8836,'307',50.83,1,2,1),(16,3818470,'1984-04-12 00:00:00',2,1,1,2003,'M','N','INGLESES','FLORIANóPOLIS','SC','124252247337142411458723322123133267117',NULL,'9999',34.72,1,3,NULL),(16,3818489,'1990-01-24 00:00:00',4,1,12,2007,'M','N','ALTO BIGUACU','BIGUAçU','SC','124241241117271731523313245123610134197',1502,'21',69.36,1,2,1),(16,3818500,'1980-12-15 00:00:00',2,1,12,1999,'M','N','KOBRASOL II','S JOSé','SC','224241248146472411236643192122232757022',NULL,'293',0.00,4,1,1),(16,3818519,'1976-09-21 00:00:00',2,1,6,2006,'M','N','AREIAS','S JOSé','SC','124241247136162332333335335334610164192',NULL,'9999',27.81,1,3,NULL),(16,3818527,'1967-04-21 00:00:00',2,1,7,1989,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','224241248146133721424649392123522968187',NULL,'306',39.52,1,2,1),(16,3818535,'1989-11-05 00:00:00',2,8,11,2008,'F','N','ACARAI','S FRANCISCO SUL','SC','124241241115131631325519575224610133147',NULL,'710',0.00,4,2,1),(16,3818551,'1991-07-08 00:00:00',2,5,11,2008,'F','N','VILA SÃO JOSÉ','IçARA','SC','124241241136131431323424383324610123147',NULL,'1005',24.31,1,2,1),(16,3818560,'1987-10-13 00:00:00',2,9,12,2005,'M','N','JARDIM COLINA','DOIS VIZINHOS','PR','116161161117372731413339175224241536187',NULL,'9998',0.00,2,1,1),(16,3818578,'1991-01-25 00:00:00',4,1,12,2008,'M','N','CENTRO','ITUPORANGA','SC','124241241126131431553629345133610166142',NULL,'415',24.65,1,2,1),(16,3818594,'1989-12-09 00:00:00',4,1,11,2007,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241117131411524641315334610134042',16075,'9999',37.01,1,2,1),(16,3818608,'1991-12-24 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANóPOLIS','SC','124242241215111412327629275124610127097',7056,'273',54.19,1,3,NULL),(16,3818616,'1992-02-29 00:00:00',4,1,12,2008,'F','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241241115141451624633345334610125055',NULL,'293',15.53,2,1,1),(16,3818624,'1985-06-16 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241147343431111344241325610136147',16688,'359',33.62,1,2,1),(16,3818632,'1991-04-09 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSé','SC','124241241117111731336424396124610127047',NULL,'734',26.65,1,3,NULL),(16,3818640,'1971-10-12 00:00:00',2,1,7,1993,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124241247322415431211149192224610123091',NULL,'190',28.58,1,3,NULL),(16,3818659,'1990-08-31 00:00:00',2,1,12,2007,'F','N','BARRA DO ARIRIú','PALHOçA','SC','124241241116472431336614342124610127165',NULL,'592',31.65,1,2,1),(16,3818667,'1985-06-04 00:00:00',2,1,7,2005,'M','N','IPIRANGA','S JOSé','SC','124243241346145431346714245234610127167',NULL,'295',38.03,1,3,NULL),(16,3818675,'1991-12-07 00:00:00',4,1,12,2008,'F','N','IPIRANGA','S JOSé','SC','124241241115141731312629292324610118142',NULL,'734',21.04,1,2,1),(16,3818683,'1990-07-02 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241436132331525923435124222367052',14529,'262',40.64,1,3,NULL),(16,3818691,'1991-03-03 00:00:00',2,1,11,2008,'M','N','BARREIROS','S JOSé','SC','124243241135131431427611292324610132047',NULL,'734',27.40,2,1,2),(16,3818705,'1985-12-24 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243241137131732128344242314610122097',NULL,'359',26.47,1,3,NULL),(16,3818713,'1982-03-01 00:00:00',2,1,7,2005,'M','N','INGLESES DO RIO VERM','FLORIANóPOLIS','SC','624241247647131411223344342244610167045',NULL,'9999',4.97,1,3,NULL),(16,3818721,'1990-02-07 00:00:00',2,1,12,2008,'F','N','JARDIM AQUARIUS','PALHOçA','SC','124241241115131751526614395124610126147',NULL,'591',21.45,1,2,1),(16,3818730,'1990-01-20 00:00:00',4,1,12,2007,'F','N','RIO BONITO','RANCHO QUEIMADO','SC','124241241126131431324335292125610132067',NULL,'649',24.20,1,3,NULL),(16,3818748,'1990-12-22 00:00:00',2,1,12,2008,'F','N','BREJARU','PALHOçA','SC','124241241135131431433314382224610122142',NULL,'1009',23.95,4,2,1),(16,3818756,'1974-12-13 00:00:00',2,1,8,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','224241247125572411636358345124610145077',NULL,'9999',30.11,2,1,1),(16,3818764,'1985-04-01 00:00:00',4,1,8,2003,'M','N','PICADAS DO SUL','S JOSé','SC','124242241136134741236623341223133222187',8093,'739',52.24,1,3,NULL),(16,3818780,'1987-02-09 00:00:00',4,1,11,2005,'F','N','BARREIROS','S JOSé','SC','124241241117273411435424391124610142197',6791,'306',54.67,1,2,1),(16,3818799,'1983-09-20 00:00:00',2,1,6,2003,'F','N','LAGOA DA CONCEICAO','FLORIANóPOLIS','SC','124133137417232421226824482311610131022',10629,'9998',47.67,1,3,NULL),(16,3818802,'1991-07-11 00:00:00',2,4,12,2008,'M','N','INTERIOR','IPUAçU','SC','124241241115141431423315572223610117057',NULL,'372',0.00,1,2,1),(16,3818810,'1981-01-17 00:00:00',4,1,12,1997,'M','N','BARAO GERALDO','CAMPINAS','SP','125201203127132421323649192132610127187',8817,'9998',50.86,1,2,1),(16,3818837,'1989-02-09 00:00:00',2,1,11,2005,'F','N','AREIAS DE CIMA','GOV CELSO RAMOS','SC','124241241116374731434314395134230223041',13780,'64',42.10,1,2,1),(16,3818845,'1991-12-03 00:00:00',2,4,12,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124241241145131431226629192341610147187',NULL,'757',0.00,1,2,1),(16,3818853,'1986-06-18 00:00:00',2,1,12,2003,'F','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124201201112135431226644342224231023091',NULL,'9998',32.30,1,2,1),(16,3818870,'1991-02-15 00:00:00',2,10,12,2008,'F','N','STO ANTONIO DE PADUA','TUBARãO','SC','124241241117131411528413242125610123017',NULL,'1034',0.00,4,3,NULL),(16,3818888,'1976-12-30 00:00:00',2,1,12,1998,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124161241121132731323344242234610163092',NULL,'294',24.96,4,2,1),(16,3818900,'1970-05-06 00:00:00',2,1,12,1987,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','624201201116134421226654485324140262097',NULL,'9998',0.00,1,2,1),(16,3818918,'1991-06-04 00:00:00',2,10,12,2008,'F','N','DOIS IRMÃOS','STA ROSA LIMA','SC','124241241115161431624415152223610148057',NULL,'688',20.38,1,2,1),(16,3818926,'1988-01-18 00:00:00',2,1,12,2005,'F','N','ARAçATUBA','IMBITUBA','SC','124241241115132431526611282344610124072',7069,'361',54.16,1,2,1),(16,3818942,'1991-05-26 00:00:00',4,4,12,2008,'M','N','SANTOS DIAS','XANXERê','SC','124241241145131431425444342341610127047',NULL,'841',21.75,4,2,1),(16,3818950,'1991-07-13 00:00:00',4,1,12,2008,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241248116131431528729592314610117012',NULL,'278',0.00,1,2,1),(16,3818969,'1989-01-23 00:00:00',4,4,12,2008,'F','N','CRISTO REI','IPUAçU','SC','124241241125131431313129572344610126147',NULL,'372',18.72,1,2,1),(16,3818977,'1957-05-28 00:00:00',5,1,12,1999,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','224241241125135731322258292224222233187',NULL,'281',0.00,4,2,1),(16,3818985,'1991-10-28 00:00:00',2,1,12,2008,'M','N','IBIRAQUERA','IMBITUBA','SC','124241241137131431216721272324610137047',NULL,'1136',31.01,1,2,1),(16,3818993,'1991-03-07 00:00:00',2,10,12,2008,'F','N','QUEDAS','STA ROSA LIMA','SC','124241241125271431411315152324610167057',NULL,'688',0.00,1,2,1),(16,3819000,'1958-11-21 00:00:00',2,1,12,1975,'M','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','224163161421133441328648381224121767097',NULL,'9998',0.00,1,3,NULL),(16,3819019,'1991-11-24 00:00:00',2,4,12,2008,'F','N','INTERIOR','IPUAçU','SC','124241241125131431534334572122610124057',NULL,'372',19.82,1,2,1),(16,3819027,'1982-07-22 00:00:00',2,1,12,2001,'F','N','JARDIM ATLÂNTICO','FLORIANóPOLIS','SC','224243248312474751323649492114131364182',NULL,'983',33.06,5,4,NULL),(16,3819035,'1990-06-20 00:00:00',4,10,12,2008,'F','N','CENTRO','STA ROSA LIMA','SC','124241241125271431626313332225610166147',NULL,'688',0.00,1,2,1),(16,3819043,'1991-09-17 00:00:00',2,1,12,2008,'F','N','SOROCABA','BIGUAçU','SC','124241241115131431323415572324610127057',NULL,'65',20.60,1,2,1),(16,3819051,'1991-07-14 00:00:00',4,1,12,2008,'F','N','CAMINHO NOVO','PALHOçA','SC','124241241225131411536321375124610127092',NULL,'262',36.37,1,3,NULL),(16,3819060,'1989-11-05 00:00:00',2,1,12,2006,'M','N','SERRARIA','S JOSé','SC','124241241147142711521644442115610118047',10731,'730',47.49,4,1,1),(16,3819078,'1991-01-11 00:00:00',2,4,12,2008,'F','N','CRISTO REI','IPUAçU','SC','124241241125131431421339572344610121057',NULL,'372',0.00,1,2,1),(16,3819086,'1987-12-12 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241127152411534663445114610124145',NULL,'285',27.35,1,2,1),(16,3819094,'1990-10-21 01:00:00',4,4,12,2008,'F','N','CENTRO','IPUAçU','SC','124241241125131431623314572344610122147',NULL,'372',13.53,1,2,1),(16,3819108,'1991-12-07 00:00:00',4,4,12,2007,'F','N','CENTRO','IPUAçU','SC','124241241135131431523315572124610126057',NULL,'372',20.20,1,2,1),(16,3819116,'1988-01-12 00:00:00',4,4,12,2008,'F','N','INTERIOR','IPUAçU','SC','124241241125131431513315572344610126147',NULL,'372',0.00,1,2,1),(16,3819124,'1979-08-24 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124244245441131431423324241334132716117',NULL,'9997',16.14,1,3,NULL),(16,3819132,'1991-07-30 00:00:00',2,1,12,2008,'F','N','PENHA','PAULO LOPES','SC','124241241225131431423311572124610127043',15940,'262',37.39,1,3,NULL),(16,3819140,'1991-10-09 00:00:00',4,4,12,2008,'F','N','INTERIOR','IPUAçU','SC','124241241115161431323339572344610121147',NULL,'372',24.40,1,2,1),(16,3819159,'1990-01-13 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241241147132322226312242124610117067',NULL,'285',27.66,1,2,1),(16,3819167,'1989-12-18 00:00:00',2,3,12,2007,'F','N','CENTRO','BAL CAMBORIú','SC','124244241134132431115841316325610128092',NULL,'49',28.05,1,3,NULL),(16,3819175,'1990-08-03 00:00:00',2,7,12,2008,'F','N','COHAB','PTE SERRADA','SC','124241241145161431533311242324610133147',NULL,'629',0.00,1,2,1),(16,3819183,'1991-03-20 00:00:00',2,1,12,2008,'M','N','PENHA','PAULO LOPES','SC','124241241225111751323311592224610127147',8009,'262',52.41,1,3,NULL),(16,3819191,'1989-07-27 00:00:00',2,1,12,2006,'M','N','AREIAS DO MACACU','GAROPABA','SC','124243241237131431526611342211610137177',NULL,'322',25.25,1,3,NULL),(16,3819205,'1981-03-18 00:00:00',4,1,12,2004,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','624201247126271411323349292324610127057',NULL,'9999',19.03,1,2,1),(16,3819213,'1989-06-15 00:00:00',2,1,11,2006,'F','N','AREIAS','S JOSé','SC','124241241127472411433324341334610117097',NULL,'9997',22.82,1,2,1),(16,3819230,'1991-10-23 00:00:00',4,1,12,2008,'F','N','PENHA','PAULO LOPES','SC','124241241425131432227923575124610134052',9998,'262',48.78,1,3,NULL),(16,3819256,'1978-04-21 00:00:00',2,1,12,1997,'F','N','ARMAÇÃO DO PANTANO D','FLORIANóPOLIS','SC','624241241127133411323359382114610128047',15204,'740',39.19,1,2,1),(16,3819264,'1991-08-09 00:00:00',2,5,11,2008,'F','N','POLíCIA RODOVIáRIA','ARARANGUá','SC','124241241115131431533634575124610168052',NULL,'30',26.39,1,2,1),(16,3819272,'1989-10-11 00:00:00',4,1,12,2008,'M','N','AREIAS','S JOSé','SC','124201241135131431536519392224610123047',NULL,'734',0.00,4,3,NULL),(16,3819280,'1981-06-12 00:00:00',2,1,12,1998,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124201201146132441123622485124342324027',12053,'9998',45.19,1,2,1),(16,3819299,'1987-12-14 00:00:00',2,1,12,2004,'F','N','BOM VIVER','BIGUAçU','SC','124241241226474431226629395124233245017',11119,'262',46.80,1,3,NULL),(16,3819302,'1984-06-25 00:00:00',2,1,12,2001,'F','N','CENTRO','GAROPABA','SC','124241241142331431423619342334610128197',NULL,'322',24.56,2,1,1),(16,3819310,'1988-08-01 00:00:00',2,1,12,2006,'M','N','PONTA DE BAIXO','S JOSé','SC','124241241117273411124844345111610164087',9662,'733',49.41,1,2,1),(16,3819329,'1963-02-18 00:00:00',4,3,12,1998,'F','N','CENTRO','BAL CAMBORIú','SC','124241207322131411322244142225141022187',NULL,'9999',23.79,4,3,NULL),(16,3819337,'1991-03-05 00:00:00',2,4,12,2008,'M','N','LA SALLE','XANXERê','SC','124241241115131531533523242221610147047',NULL,'841',24.30,1,2,1),(16,3819345,'1991-02-14 00:00:00',2,1,11,2008,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124243241116331431536313345124610163112',NULL,'257',28.00,1,3,NULL),(16,3819353,'1984-03-29 00:00:00',2,1,12,2001,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','624201201117271631221753285124610146027',NULL,'9998',0.00,1,2,1),(16,3819370,'1987-07-27 00:00:00',4,1,12,2004,'F','N','BELA VISTA','S JOSé','SC','124241248132371531434413382324610122097',NULL,'726',23.72,1,3,NULL),(16,3819388,'1991-11-28 00:00:00',2,1,12,2008,'M','N','MACACU','GAROPABA','SC','124241241137141231223511212112610117057',NULL,'322',26.23,1,3,NULL),(16,3819396,'1988-10-11 00:00:00',2,1,11,2005,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241116574431333613372124232727097',6513,'257',55.25,1,2,1),(16,3819418,'1989-03-08 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124131241115372451326621371124610168147',15117,'306',39.38,4,1,1),(16,3819426,'1988-02-21 00:00:00',4,1,12,2005,'M','N','VILA SINHá','S JOSé CAMPOS','SP','125251251125571431321644245324610167082',14028,'9998',41.59,2,1,1),(16,3819434,'1991-09-13 00:00:00',4,1,12,2008,'M','N','FERRAZ','GAROPABA','SC','124241241145151732436613372131610134052',12503,'322',44.38,1,2,1),(16,3819442,'1990-01-12 00:00:00',2,4,12,2007,'M','N','INTERIOR','IPUAçU','SC','124241241117141431423315442343610117057',NULL,'372',19.82,1,2,1),(16,3819469,'1986-12-30 00:00:00',4,1,12,2006,'M','N','PINHEIRA','PALHOçA','SC','124241241127131431631334282124231427177',NULL,'595',28.25,2,1,1),(16,3819477,'1986-12-01 00:00:00',2,1,12,2004,'M','N','SãO JOSé','STA MARIA','RS','120201201127133711325323282314610127042',NULL,'9998',0.00,2,1,1),(16,3819485,'1976-07-09 00:00:00',2,1,11,2003,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','224241248127271431233443232123610147047',NULL,'9999',29.96,2,1,1),(16,3819507,'1987-05-29 00:00:00',4,1,11,2007,'F','N','BELA VISTA','S JOSé','SC','124213247126131411216324385314610146177',14204,'1117',41.24,1,3,NULL),(16,3819515,'1981-09-22 00:00:00',4,1,12,2000,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241116475411124329295124610114122',NULL,'175',4.95,1,2,1),(16,3819531,'1986-05-11 00:00:00',2,1,4,2004,'F','N','AREIAS','S JOSé','SC','124241241115133751637619295334222967097',9767,'739',49.21,1,2,1),(16,3819558,'1990-12-26 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241115112431443329342124610116047',NULL,'592',14.63,1,2,1),(16,3819566,'1992-02-15 00:00:00',2,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241115131431326624572224610143147',NULL,'941',28.25,1,2,1),(16,3819574,'1987-07-09 00:00:00',3,2,12,2004,'F','N','JARDIM NISSALVES','ITAPECERICA SERRA','SP','125251251116571711534514245124610124187',NULL,'9998',26.10,1,3,NULL),(16,3819582,'1989-12-14 00:00:00',2,1,7,2008,'F','N','AREIAS','S JOSé','SC','124241241117141431637619142124610124172',10993,'739',47.03,1,2,1),(16,3819590,'1986-07-27 00:00:00',2,1,12,2003,'F','N','PRAIA COMPRIDA','S JOSé','SC','124243241215375421446824391124221434092',2595,'1036',65.03,1,3,NULL),(16,3819604,'1991-06-25 00:00:00',4,4,12,2008,'M','N','VISTA ALEGRE','XANXERê','SC','124241241115131431113347272321610137047',NULL,'841',19.67,1,2,1),(16,3819612,'1991-01-11 00:00:00',4,1,12,2008,'F','N','VILA PAULISTA','RIO CLARO','SP','125251251146141431434724345121610122142',NULL,'9998',0.00,1,2,1),(16,3819620,'1991-08-13 00:00:00',2,1,12,2008,'F','N','SANTA GEMA','S DOMINGOS SUL','RS','120201201126131731323339192324610138052',NULL,'9998',29.59,1,2,1),(16,3819639,'1977-05-13 00:00:00',2,1,12,1996,'M','N','ST ANTONIO DE LISBOA','FLORIANóPOLIS','SC','224241241142232421323344142124610117047',NULL,'65',23.21,1,3,NULL),(16,3819647,'1985-09-14 00:00:00',4,1,12,2004,'M','N','SERRARIA','S JOSé','SC','124241241137134731323344442224610144057',NULL,'257',29.75,1,2,1),(16,3819671,'1991-07-05 00:00:00',4,5,12,2008,'M','N','VILA SãO JOSé','ARARANGUá','SC','124241241117131531326514375121610164147',NULL,'29',28.60,1,2,1),(16,3819680,'1980-02-20 00:00:00',5,1,9,2003,'F','N','SANTA MONICA','FLORIANóPOLIS','SC','124243248337131431213348182324610146157',NULL,'609',7.72,1,3,NULL),(16,3819698,'1991-09-01 00:00:00',4,1,12,2008,'F','N','JARDIM BIGUAçU','BIGUAçU','SC','124241241117131431426627575124610163147',NULL,'1088',20.07,2,1,1),(16,3819701,'1991-05-27 00:00:00',4,4,12,2008,'F','N','INTERIOR','ARVOREDO','SC','124241241125131432426615282224610113197',NULL,'36',4.20,1,3,NULL),(16,3819710,'1986-08-08 00:00:00',2,8,12,2003,'M','N','BOM RETIRO','RIO PEDRAS','SP','125251251127571711522311171224610164047',6413,'9998',55.45,4,1,1),(16,3819736,'1988-01-11 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANóPOLIS','SC','124251251137472441124844395124610114042',NULL,'9998',28.00,1,3,NULL),(16,3819744,'1992-01-24 00:00:00',4,9,12,2008,'F','N','VILA MARIZA','LAGES','SC','124241241116131431433514185124610128147',NULL,'505',24.31,1,3,NULL),(16,3819752,'1988-09-07 00:00:00',2,1,11,2008,'F','N','TAPERA','FLORIANóPOLIS','SC','124241247327131431423629341234610126097',NULL,'9999',25.79,1,3,NULL),(16,3819760,'1991-01-29 00:00:00',4,4,12,2008,'M','N','PRESIDENTE MEDICI','CHAPECó','SC','124241241215132231558923575125610167042',NULL,'185',41.56,1,3,NULL),(16,3819779,'1990-03-14 00:00:00',2,1,12,2007,'F','N','RATONES','FLORIANóPOLIS','SC','124241241127151421443311341113610124145',NULL,'307',6.82,1,2,1),(16,3819787,'1991-10-24 00:00:00',4,4,12,2008,'F','N','CENTRO','DESCANSO','SC','124243241116131431433922242222610132147',NULL,'242',23.41,1,3,NULL),(16,3819809,'1971-01-30 00:00:00',2,1,7,1990,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','624201205116131721321151335234141966187',NULL,'9998',10.50,1,3,NULL),(16,3819817,'1972-10-25 00:00:00',2,1,9,1990,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','224201205216131421443451232124142245147',15476,'9998',38.59,1,3,NULL),(16,3819825,'1990-11-18 00:00:00',2,1,12,2008,'M','N','RESIDENCIAL PLANALTO','S JOSé CAMPOS','SP','125251251137271431436611375124610126052',7501,'9998',53.33,4,1,1),(16,3819833,'1978-10-15 00:00:00',2,1,12,1994,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124221225116143411231843335124142763147',NULL,'9998',25.35,2,1,1),(16,3819841,'1970-07-27 00:00:00',2,1,12,1991,'F','N','TAPERA','FLORIANóPOLIS','SC','524241245117131431423343331224122228197',NULL,'281',20.10,4,3,NULL),(16,3819850,'1970-02-22 00:00:00',2,1,12,1998,'F','N','CENTRO','FLORIANóPOLIS','SC','124091097124242411233343234224141626077',NULL,'9999',20.43,4,2,1),(16,3819884,'1991-06-24 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241117271431526313175124610268147',14297,'307',41.05,3,2,1),(16,3819892,'1974-08-11 00:00:00',4,1,12,1997,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','224214218421161421423653271224341224092',NULL,'9998',0.00,1,3,NULL),(16,3819906,'1989-02-04 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124241241135272431344633281124610125142',9148,'307',50.32,1,2,1),(16,3819914,'1989-02-10 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241116371331433833281115132225097',NULL,'359',29.73,1,2,1),(16,3819922,'1988-02-01 00:00:00',4,3,12,2006,'F','N','CENTRO','BAL CAMBORIú','SC','124201205132131411423724342225231026147',15198,'9998',39.21,1,2,1),(16,3819949,'1988-04-05 00:00:00',4,1,12,2006,'F','N','KOBRASOL','S JOSé','SC','124113241131132431226644442334610124147',NULL,'257',20.39,1,3,NULL),(16,3819957,'1990-08-22 00:00:00',4,3,12,2007,'F','N','CENTRO','BAL CAMBORIú','SC','124244241215572431323339292112610124147',8742,'967',51.00,1,3,NULL),(16,3819965,'1990-11-21 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241117132431538621382121610137177',3126,'574',63.46,4,2,1),(16,3819973,'1989-09-07 00:00:00',2,1,12,2007,'F','N','BIGUAÇU','BIGUAçU','SC','124243241116272431423324345334610124187',NULL,'734',35.29,1,3,NULL),(16,3819981,'1989-04-28 00:00:00',4,1,12,2006,'F','N','KOBRASOL','S JOSé','SC','124241248136132421226644242334610124097',NULL,'307',22.14,1,3,NULL),(16,3819990,'1990-09-06 00:00:00',2,1,11,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241116372441423519395124610147142',7737,'288',52.90,1,2,1),(16,3820009,'1991-06-26 00:00:00',2,1,11,2008,'M','N','CIDADE VERA CRUZ II','APARECIDA GOIâNIA','GO','109093091117131411326324572124610124147',NULL,'9998',0.00,4,3,NULL),(16,3820017,'1989-02-17 00:00:00',4,1,6,2008,'M','N','INGLESES','FLORIANóPOLIS','SC','124211211117132711135411572324610122052',15503,'9998',38.54,1,2,1),(16,3820025,'1987-10-06 00:00:00',2,1,12,2004,'F','N','BARRA DO ARIRIÚ','PALHOçA','SC','124241241116271431536464345233610134147',NULL,'978',33.89,1,2,1),(16,3820041,'1991-02-17 00:00:00',4,5,12,2008,'M','N','MATO ALTO','ARARANGUá','SC','124241241135151231468834345112610127047',16387,'30',36.03,1,2,1),(16,3820050,'1991-05-03 00:00:00',4,4,12,2008,'F','N','CRISTO REI','IPUAçU','SC','124241241115131431436733572224610114057',NULL,'372',0.00,1,2,1),(16,3820068,'1991-09-14 00:00:00',2,5,12,2008,'M','N','OPERáRIA','ARARANGUá','SC','124241241115131431623425282324610117042',NULL,'30',0.00,1,2,1),(16,3820076,'1984-11-12 00:00:00',2,1,12,2000,'F','N','CANTO','FLORIANóPOLIS','SC','124241241122131431513415292344610118197',NULL,'742',16.44,1,2,1),(16,3820084,'1987-05-11 00:00:00',2,1,12,2004,'F','N','FLORESTA','S JOSé','SC','124241241115474431446629575114610164047',5811,'732',56.77,1,2,1),(16,3820106,'1979-07-24 00:00:00',4,1,7,1998,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124251251126131421123344345234610128141',NULL,'9999',24.43,4,2,1),(16,3820114,'1987-04-02 00:00:00',2,1,12,2004,'F','N','AREIAS DO CAMPECHE','FLORIANóPOLIS','SC','124241241112373431438624442124610123097',12619,'307',44.15,1,2,1),(16,3820130,'1991-12-17 00:00:00',2,4,12,2008,'F','N','CENTRO','RIQUEZA','SC','124241241115131431446613572122610124147',16019,'674',37.19,1,2,1),(16,3820149,'1991-09-08 00:00:00',2,4,12,2008,'M','N','CENTRO','IPUAçU','SC','124241241115141431423311573224610112147',NULL,'372',0.00,1,2,1),(16,3820157,'1992-03-15 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241115131731516529392324610118147',NULL,'295',20.20,1,2,1),(16,3820165,'1989-03-06 00:00:00',2,1,12,2006,'F','N','COLONINHA','FLORIANóPOLIS','SC','124241241416574431643839372124233224097',3799,'1022',61.60,2,1,2),(16,3820173,'1969-01-17 00:00:00',4,1,12,1987,'M','N','PâNTANO DO SUL','FLORIANóPOLIS','SC','124203204316132441226448185234121962197',12695,'9998',44.01,2,1,2),(16,3820181,'1989-11-02 00:00:00',2,1,12,2006,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241241115272431443619382324610123142',8633,'307',51.19,1,2,1),(16,3820190,'1988-05-09 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241226274431325327172124610132142',10913,'262',47.17,1,3,NULL),(16,3820203,'1991-01-10 00:00:00',2,10,12,2008,'F','N','MAGALHAES','LAGUNA','SC','124242241225151431338613385122610138197',NULL,'9997',22.98,1,3,NULL),(16,3820238,'1991-01-22 00:00:00',4,4,12,2008,'F','N','CENTRO','DESCANSO','SC','124241241147131431325623242334610132147',NULL,'242',22.72,1,2,1),(16,3820246,'1991-11-14 00:00:00',4,1,12,2008,'M','N','GRAMA','GAROPABA','SC','124241241115131431426611271321610167047',NULL,'1136',28.06,1,2,1),(16,3820254,'1991-08-03 00:00:00',4,4,12,2008,'F','N','CENTRO','RIQUEZA','SC','124241241115131431446923335122610124147',13418,'674',42.77,1,2,1),(16,3820270,'1986-10-14 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241122131431415524272344610132072',NULL,'9997',0.00,1,3,NULL),(16,3820300,'1991-12-23 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANóPOLIS','SC','124203241217131431648839575114610132097',16633,'1118',34.48,1,3,NULL),(16,3820319,'1991-10-24 00:00:00',2,5,12,2008,'F','N','POLíCIA RODOVIáRIA','ARARANGUá','SC','124241241115131431459933572224610168092',NULL,'30',30.74,1,2,1),(16,3820327,'1982-01-15 00:00:00',2,1,12,1999,'M','N','CARVOEIRA','FLORIANóPOLIS','SC','124251241147574431627331295324233227052',NULL,'9998',38.04,2,1,1),(16,3820343,'1984-08-08 00:00:00',2,1,12,2008,'M','N','BREJARU DOIS','PALHOçA','SC','124241247121131451333379312324610164147',NULL,'9999',9.48,4,3,NULL),(16,3820351,'1990-06-10 00:00:00',2,1,11,2008,'F','N','POçO FUNDO','STO AMARO IMPERATRIZ','SC','124243248346111211625672575124610744047',NULL,'12',16.38,1,3,NULL),(16,3820360,'1991-09-17 00:00:00',4,5,12,2008,'M','N','SANGA DA AREIA','ARARANGUá','SC','124243241115151431426639372124610137047',NULL,'30',25.81,1,3,NULL),(16,3820378,'1972-04-04 00:00:00',2,1,12,1991,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','224246248627132431523439282134610131167',NULL,'9999',29.05,1,3,NULL),(16,3820386,'1967-01-16 00:00:00',2,1,12,2005,'M','N','SAO SEBASTIAO','PALHOçA','SC','224241247126331431431144445334610124047',NULL,'736',28.13,1,2,1),(16,3820394,'1991-11-02 00:00:00',2,1,12,2008,'F','N','SAO SEBASTIAO','PALHOçA','SC','124241241137131431436414572344610124187',NULL,'591',0.00,1,2,1),(16,3820408,'1984-03-14 00:00:00',2,1,12,2005,'M','N','NOVA SUISSA','LIMEIRA','SP','125251251126331111222623182324620164177',NULL,'9998',29.34,2,1,1),(16,3820416,'1987-12-07 00:00:00',2,1,12,2005,'M','N','CAMPINAS','S JOSé','SC','124243241127134411227819485124120964097',1010,'736',72.02,1,3,NULL),(16,3820424,'1991-11-09 00:00:00',2,4,12,2008,'F','N','VILA F FOLLE','XAXIM','SC','124241241117131431423314582124610122147',NULL,'847',0.00,4,2,1),(16,3820432,'1978-10-19 00:00:00',2,1,8,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','624211247126341731326344445124610134195',14805,'9999',40.05,2,1,1),(16,3820440,'1982-04-26 00:00:00',2,1,12,2000,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124241247326273421313329175124610127063',15323,'281',38.93,1,3,NULL),(16,3820459,'1990-12-18 00:00:00',2,7,12,2008,'F','N','BELA VISTA','PTE SERRADA','SC','124241241145161731433321575122610125057',NULL,'629',0.00,1,2,1),(16,3820467,'1991-02-12 00:00:00',4,1,12,2008,'M','N','REAL PARK','S JOSé','SC','124242241117131432326624346214610127182',10153,'306',48.51,1,3,NULL),(16,3820475,'1991-07-26 00:00:00',2,1,11,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241415121731223579582114610126127',12932,'1022',43.62,1,3,NULL),(16,3820483,'1971-12-25 00:00:00',4,1,11,1989,'F','N','CAMPECHE','FLORIANóPOLIS','SC','224202208216151431336654241324140226027',NULL,'9998',0.00,1,3,NULL),(16,3820491,'1988-10-25 00:00:00',2,1,12,2008,'M','N','PINGUIRITO','GAROPABA','SC','124241241122131232123341312341610134047',NULL,'322',17.41,2,2,1),(16,3820505,'1989-06-03 00:00:00',4,1,12,2006,'F','N','VILA SANTA HELENA','S JOSé CAMPOS','SP','125251251115571411434613575124610136097',4400,'9998',60.01,1,2,1),(16,3820521,'1990-12-23 00:00:00',2,5,12,2007,'F','N','PRóSPERA','CRICIúMA','SC','124241241112131731523824382114610125177',NULL,'209',27.40,2,1,1),(16,3820530,'1991-08-23 00:00:00',2,4,12,2008,'F','N','CASCATINHA','PTE SERRADA','SC','124241241145141411423614245225610128147',NULL,'629',0.00,1,2,1),(16,3820548,'1986-07-23 00:00:00',2,1,12,2005,'F','N','AREIAS','S JOSé','SC','124212218112372431423764445124610146092',NULL,'9998',27.54,1,3,NULL),(16,3820556,'1991-10-11 00:00:00',2,1,12,2008,'M','N','GANCHOS DE FORA','GOV CELSO RAMOS','SC','124241241145161431525419575124610168112',NULL,'329',0.00,1,2,1),(16,3820564,'1989-07-22 00:00:00',2,1,12,2008,'M','N','BARRA DO ARIRIU','PALHOçA','SC','124241241111131711436624292134610167022',NULL,'306',30.54,1,2,1),(16,3820572,'1991-09-11 00:00:00',4,4,12,2008,'F','N','INTERIOR','SAO MIGUEL DOESTE','SC','124241241115131431323319572225610148057',10987,'757',47.05,1,2,1),(16,3820599,'1992-02-20 00:00:00',4,7,12,2008,'F','N','SANTO ANTONIO','IRANI','SC','124241241116131431433812245122610136147',11870,'379',45.52,4,2,1),(16,3820602,'1991-09-22 00:00:00',2,4,12,2008,'M','N','INDUSTRIARIOS','CONCóRDIA','SC','124241241116131731523619575125610114057',NULL,'193',0.00,4,3,NULL),(16,3820610,'1992-03-15 00:00:00',2,1,12,2008,'M','N','MAGALHAES','LAGUNA','SC','124243242221131131426421182221610162057',NULL,'524',29.89,1,3,NULL),(16,3820629,'1991-09-03 00:00:00',4,10,12,2008,'F','N','MAGALHãES','LAGUNA','SC','124242241245131231536414571124610137147',NULL,'524',22.81,1,3,NULL),(16,3820637,'1991-09-03 00:00:00',4,10,12,2008,'M','N','MAGALHãES','LAGUNA','SC','124242241245131232536414575124610146142',NULL,'524',25.57,1,3,NULL),(16,3820645,'1988-07-16 00:00:00',2,1,12,2005,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241126271731323319475124130253042',NULL,'290',28.88,1,3,NULL),(16,3820653,'1988-08-13 00:00:00',4,1,11,2005,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241216573751538814495124233232192',10989,'581',47.04,1,3,NULL),(16,3820670,'1987-06-19 00:00:00',4,1,12,2004,'M','N','PARQUE HIPóLITO','LIMEIRA','SP','125251256116371431435314282124610127152',10767,'9998',47.43,4,2,1),(16,3820688,'1969-01-13 00:00:00',2,1,12,1987,'F','N','PONTE DO IMARUIM','PALHOçA','SC','224241248142133412432353282124130244047',NULL,'512',27.14,1,2,1),(16,3820700,'1991-12-11 00:00:00',2,5,12,2008,'F','N','URUSSANGUINHA','ARARANGUá','SC','124241241115131232426619392332610132052',NULL,'29',26.72,1,3,NULL),(16,3820718,'1988-03-12 00:00:00',4,1,12,2005,'M','N','BARREIROS','S JOSé','SC','124243241417374411638879472114221464052',4668,'1039',59.39,1,3,NULL),(16,3820726,'1991-05-05 00:00:00',4,1,11,2008,'M','N','MONT SERRAT','FLORIANóPOLIS','SC','124243248225111731528239292224610167163',NULL,'262',22.77,2,1,2),(16,3820734,'1990-08-11 00:00:00',4,1,12,2007,'F','N','MONTE CARLO','ARAçATUBA','SP','125252251215412431438624375125610114192',823,'9998',73.25,4,3,NULL),(16,3820769,'1991-01-06 00:00:00',4,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAçU','SC','124241241116131431623314272314610127047',NULL,'295',18.08,1,3,NULL),(16,3820777,'1991-01-16 00:00:00',2,8,12,2008,'M','N','ADHEMAR GARCIA','JOINVILLE','SC','124242241337271431323314345224610137042',14967,'467',39.73,1,3,NULL),(16,3820785,'1990-01-30 00:00:00',4,1,12,2007,'M','N','RAYCOS','FRANCA','SP','125251251116131431428621575121610166047',12280,'9998',44.76,1,2,1),(16,3820793,'1974-12-04 00:00:00',4,1,11,2008,'M','N','AREIAS','S JOSé','SC','624241247326152231421334442324610122097',NULL,'9997',26.74,1,3,NULL),(16,3820807,'1988-09-26 00:00:00',4,4,12,2005,'M','N','INTERIOR','ARVOREDO','SC','124241241124131232426615282214231114197',NULL,'36',0.00,1,3,NULL),(16,3820815,'1991-02-27 00:00:00',4,1,12,2008,'M','N','AMBROSIO','GAROPABA','SC','124241241142111731623311372321610114142',NULL,'322',0.00,1,2,1),(16,3820823,'1991-04-11 00:00:00',2,1,12,2008,'M','N','AREIAS DE AMBROSIO','GAROPABA','SC','124241248125131531523411382224610127147',NULL,'322',17.92,1,2,1),(16,3820831,'1987-01-18 00:00:00',2,1,4,2005,'F','N','BARREIROS','S JOSé','SC','124243241116374431546614485122232767077',NULL,'739',37.82,1,3,NULL),(16,3820840,'1991-07-27 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124241241116131431546614572114610167073',12492,'733',44.39,1,2,1),(16,3820858,'1982-07-09 00:00:00',2,1,12,1999,'F','N','LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC','124201201116371431125344342114610146117',10778,'9998',47.41,1,2,1),(16,3820874,'1991-05-09 00:00:00',2,7,12,2008,'F','N','NOSSA SRA DE LURDES','CAMPOS NOVOS','SC','124241241116131431423319595222610168077',NULL,'139',29.10,1,2,1),(16,3820882,'1987-03-17 00:00:00',2,1,11,2006,'M','N','LAGOA DA CONCEIÇAO','FLORIANóPOLIS','SC','124251258112231741123177242334610162093',NULL,'9998',20.94,4,3,NULL),(16,3820890,'1991-01-15 00:00:00',4,4,12,2008,'F','N','ESTRELA','S MIGUEL OESTE','SC','124241241115131731423723492333610121142',NULL,'757',32.34,2,2,1),(16,3820912,'1987-11-23 00:00:00',2,1,12,2004,'F','N','LEOPOLDO ZARLING','ITAPEMA','SC','124241241146131721321344145123610126151',NULL,'405',30.20,1,2,1),(16,3820939,'1988-12-09 00:00:00',4,1,12,2007,'F','N','IPIRANGA','S JOSé','SC','124241241117132131623634416224610127142',NULL,'734',10.41,4,2,1),(16,3820947,'1982-06-28 00:00:00',2,1,8,2008,'M','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','624241247322131431623319192224510128187',NULL,'9999',18.78,1,3,NULL),(16,3820955,'1986-08-02 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241116134431226521385224610132147',NULL,'257',25.13,3,2,1),(16,3820963,'1989-08-03 00:00:00',2,1,12,2006,'M','N','VILA RESENDE','CAçAPAVA','SP','125253251147571451428811285124610134112',NULL,'9998',29.70,1,3,NULL),(16,3820971,'1991-03-31 00:00:00',4,1,12,2008,'F','N','CENTRO','PETRóPOLIS','RJ','121133211217121741326729297124610144092',4557,'9998',59.66,1,3,NULL),(16,3820980,'1987-09-03 00:00:00',2,1,7,2008,'F','N','PACHECO','PALHOçA','SC','124241247142271211223344241334610122182',14365,'595',40.94,1,3,NULL),(16,3820998,'1990-05-29 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241211272431434311341124610146032',4511,'269',59.74,1,3,NULL),(16,3821005,'1988-05-18 00:00:00',2,1,7,2006,'F','N','FORQUILHINHAS','S JOSé','SC','124241247137131431336824285114133232197',14911,'9999',39.87,1,2,1),(16,3821013,'1978-08-07 00:00:00',2,1,12,2006,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','224202205137331431324359286344610166182',NULL,'9998',0.00,1,3,NULL),(16,3821021,'1989-02-23 00:00:00',2,1,12,2007,'F','N','FLOR DE NáPOLIS','S JOSé','SC','124241247337131431425624382314610123142',2509,'9999',65.31,2,1,2),(16,3821030,'1990-07-04 00:00:00',4,1,12,2007,'M','N','PADRE MARTINHO STEIN','TIMBó','SC','124241241215472431323621375114133267047',268,'1157',78.36,1,3,NULL),(16,3821048,'1988-01-17 00:00:00',4,8,12,2005,'M','N','JARIVATUBA','JOINVILLE','SC','124241241117271441426414341224610163147',NULL,'472',0.00,1,2,1),(16,3821056,'1990-12-13 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241125131431423314342334610134147',NULL,'274',0.00,3,2,1),(16,3821064,'1986-10-09 00:00:00',2,5,12,2004,'F','N','CENTRO','CRICIúMA','SC','124241241115374411624611575122610138197',5458,'228',57.58,1,2,1),(16,3821072,'1983-09-07 00:00:00',2,1,12,2000,'M','N','RIO BRANCO','NOVO HAMBURGO','RS','120201201126131431113335182324241427042',NULL,'9998',0.00,1,2,1),(16,3821080,'1991-06-18 00:00:00',4,5,11,2008,'F','N','CENTRO','BRAçO NORTE','SC','124241241116371731326411286122610124141',16372,'9997',36.09,1,2,1),(16,3821099,'1991-02-01 00:00:00',2,3,12,2008,'M','N','INTERIOR','S JOãO OESTE','SC','124241241115131231233324145124610163147',NULL,'716',33.70,1,3,NULL),(16,3821102,'1990-03-07 00:00:00',4,1,12,2006,'F','N','CENTRO','GAROPABA','SC','124201201117131431227849495334610123147',NULL,'9998',28.92,1,2,1),(16,3821129,'1991-02-10 00:00:00',2,1,12,2008,'F','N','SãO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241115131741631211386324610146057',14973,'9997',39.73,1,2,1),(16,3821137,'1991-04-12 00:00:00',4,4,12,2008,'F','N','CENTRO','ITAPIRANGA','SC','124241241146131431423313575123610141057',NULL,'412',0.00,1,2,1),(16,3821145,'1990-10-30 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSé','SC','124201201217131431123644342334610128097',7766,'9998',52.83,4,1,2),(16,3821153,'1989-06-04 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241317133431124644346224610122147',6661,'1005',54.95,1,3,NULL),(16,3821170,'1978-03-27 00:00:00',4,1,12,1997,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','624241243121274431433241111122131437043',NULL,'773',27.47,1,2,1),(16,3821188,'1990-04-07 00:00:00',2,1,12,2007,'F','N','JARDIM COLONIAL','ATIBAIA','SP','125253251117131431426723272324610131147',12273,'9998',44.77,1,3,NULL),(16,3821200,'1991-03-23 00:00:00',4,5,12,2008,'M','N','CENTRO','IçARA','SC','124241241125141431434424382224610122047',NULL,'1005',0.00,1,3,NULL),(16,3821218,'1991-07-21 00:00:00',4,5,12,2008,'F','N','LAGOA DOS FREITAS','IçARA','SC','124241241115131431336579341124610124147',16046,'1005',37.12,1,2,1),(16,3821285,'1990-10-29 00:00:00',4,5,12,2008,'M','N','RAICHASKI','IçARA','SC','124243241145131431435611312112233224017',NULL,'1005',0.00,1,3,NULL),(16,3821323,'1991-06-23 00:00:00',2,1,12,2008,'F','N','BELA VISTA','PALHOçA','SC','124241241116131431625611472224610126177',NULL,'591',25.87,1,2,1),(16,3821340,'1976-09-13 00:00:00',4,1,8,2007,'F','N','COQUEIROS','FLORIANóPOLIS','SC','624241247216132431322359282124610126192',NULL,'9999',28.08,1,3,NULL),(16,3821366,'1974-01-27 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANóPOLIS','SC','224204241121131431323344141214610166017',NULL,'287',23.69,2,1,2),(16,3821374,'1982-02-17 00:00:00',2,1,12,2000,'F','N','IPIRANGA','S JOSé','SC','224243247216134431227354442124333226091',NULL,'270',36.24,1,3,NULL),(16,3821382,'1990-08-20 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124243241116132731421324382314610142077',5623,'307',57.21,1,3,NULL),(16,3821390,'1989-10-13 00:00:00',2,1,12,2008,'F','N','PORTO DA LAGOA','FLORIANóPOLIS','SC','124242241117151431223329572124610166052',11346,'306',46.41,1,3,NULL),(16,3821404,'1989-02-08 00:00:00',2,1,12,2005,'F','N','CENTRO','STA MARIA','RS','121201201117572431436719392325610138077',NULL,'9998',34.36,1,2,1),(16,3821412,'1990-05-20 00:00:00',4,1,12,2007,'M','N','BOM VIVER','BIGUAçU','SC','124241241142372431224644242124610127052',11569,'307',46.06,1,2,1),(16,3821439,'1989-02-27 00:00:00',4,1,12,2006,'F','N','SANTA RITA','BORDA MATA','MG','613252254117271431228874571324610133097',NULL,'9998',31.47,1,3,NULL),(16,3821447,'1987-11-06 00:00:00',2,1,12,2005,'F','N','FATIMA I','POUSO ALEGRE','MG','113131131117131421625514246123140263192',NULL,'9998',0.00,1,2,1),(16,3821455,'1991-09-24 00:00:00',2,1,11,2008,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241116131431326631375324610137145',NULL,'288',30.65,1,2,1),(16,3821463,'1991-02-27 00:00:00',4,1,12,2008,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241116141431423419391124610138147',NULL,'772',25.13,1,2,1),(16,3821471,'1982-09-29 00:00:00',2,3,12,2001,'M','N','NAÇÕES','BAL CAMBORIú','SC','124201208136132741312219295325231064097',NULL,'9998',0.00,1,3,NULL),(16,3821498,'1991-04-03 00:00:00',4,1,12,2008,'F','N','BELA VISTA','BOM RETIRO','SC','124241248146131431323515252312610144147',NULL,'95',0.00,1,2,1),(16,3821501,'1991-05-01 00:00:00',4,1,12,2008,'F','N','BELA VISTA','BOM RETIRO','SC','124241248126131431426335155112610124147',NULL,'95',0.00,1,2,1),(16,3821510,'1982-07-01 00:00:00',2,9,12,2002,'M','N','BRUSQUE','LAGES','SC','124241241116133431225424345114610164177',NULL,'513',0.00,4,3,NULL),(16,3821536,'1991-10-08 00:00:00',2,10,12,2008,'F','N','RIO SANTO ANTONIO','STA ROSA LIMA','SC','124241241115131431613315152324610161147',15767,'688',37.87,1,2,1),(16,3821552,'1991-12-15 00:00:00',4,1,12,2008,'F','N','CENTRO','ANTôNIO CARLOS','SC','124241241137131331423611275321610126052',NULL,'21',0.00,1,2,1),(16,3821560,'1991-10-11 00:00:00',4,1,12,2008,'F','N','PINHEIRA','PALHOçA','SC','124241241125131531437923575124610122147',NULL,'595',22.23,1,2,1),(16,3821609,'1990-09-08 00:00:00',4,9,12,2008,'F','N','BAIRRO SÃO LUIS','CURITIBANOS','SC','124241241115161731645923572125610124017',NULL,'239',25.21,1,2,1),(16,3821617,'1991-06-25 00:00:00',4,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241116271431223329575124610134197',NULL,'772',16.04,1,2,1),(16,3821625,'1989-11-29 00:00:00',2,1,12,2007,'F','N','SAO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241117272431433624441334610128192',11168,'772',46.72,1,2,1),(16,3821633,'1990-11-29 00:00:00',2,10,11,2008,'M','N','CENTRO','BRAçO NORTE','SC','124243241116271431533814345124610126142',8698,'100',51.08,1,3,NULL),(16,3821641,'1991-12-27 00:00:00',2,4,12,2008,'F','N','INTERIOR','ANCHIETA','SC','124241241115161411513315593344610136147',NULL,'16',29.02,1,2,1),(16,3821650,'1991-07-21 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241126131431423639285121610137147',NULL,'274',17.21,1,2,1),(16,3821668,'1986-05-28 00:00:00',2,1,12,2004,'F','N','BREJARU','PALHOçA','SC','124241241132133712423329442334610112147',NULL,'281',26.38,4,3,NULL),(16,3821676,'1991-11-21 00:00:00',2,9,12,2008,'M','N','COHAB I','S JOAQUIM','SC','124241241115131731323624392225610128047',8284,'719',51.81,2,1,1),(16,3821684,'1991-08-08 00:00:00',2,1,12,2008,'M','N','ENSEADA DE BRITO','PALHOçA','SC','124241241145141752326529292311610117117',NULL,'594',25.29,1,2,1),(16,3821692,'1990-07-28 00:00:00',2,1,12,2008,'F','N','BELA VISTA','PALHOçA','SC','124241241125151732623314575324610118147',NULL,'1108',28.25,1,2,1),(16,3821706,'1989-01-26 00:00:00',2,1,9,2008,'M','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241125151721423411115112610137043',NULL,'274',19.33,1,3,NULL),(16,3821714,'1991-09-02 00:00:00',2,1,12,2008,'F','N','ENSEADA DE BRITO','PALHOçA','SC','124241241125151431526329271324610164197',NULL,'594',23.43,1,2,1),(16,3821722,'1989-10-18 00:00:00',4,10,12,2007,'F','N','PINHEIRAL','BRAçO NORTE','SC','124241241116132441623436595124230324147',NULL,'100',0.00,1,2,1),(16,3821730,'1991-11-12 00:00:00',4,4,12,2008,'F','N','SANTA TEREZA ALTA','ITAPIRANGA','SC','124241241135131411536414335122610137147',NULL,'412',0.00,1,2,1),(16,3821749,'1991-01-09 00:00:00',2,1,12,2008,'F','N','LOURO','ANTôNIO CARLOS','SC','124241241116131711523415255324610138147',12858,'21',43.75,1,2,1),(16,3821757,'1988-06-17 00:00:00',4,8,12,2006,'M','N','CENTRO','ITAPETININGA','SP','125251251116131411427628285324231738092',NULL,'9998',26.13,1,2,1),(16,3821765,'1991-04-15 00:00:00',4,1,11,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115111731226619392114610121077',NULL,'307',18.28,1,2,1),(16,3821773,'1992-08-16 00:00:00',4,4,12,2008,'F','N','CENTRO','UNIãO OESTE','SC','124241241145131431424334582222610134057',NULL,'816',24.92,1,2,1),(16,3821781,'1992-04-24 00:00:00',4,4,11,2008,'M','N','CENTRO','IPORã OESTE','SC','124241241225161231437613575122610164187',3065,'370',63.61,1,3,NULL),(16,3821790,'1986-04-11 00:00:00',4,1,12,2003,'F','N','CONSOLACAO','S PAULO','SP','125251251126471751211129185324142222187',16496,'9998',35.48,2,2,1),(16,3821803,'1986-10-31 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANóPOLIS','SC','124201201146371731446844445134143235147',14807,'9998',40.04,1,2,1),(16,3821811,'1968-07-13 00:00:00',4,1,12,1986,'F','N','FORQUILHINHAS','S JOSé','SC','224211215111131431533351483122140221197',NULL,'9998',0.00,1,3,NULL),(16,3821820,'1985-10-22 00:00:00',4,1,12,2002,'F','N','ESTREITO','FLORIANóPOLIS','SC','124202201216133721127844345324230243187',5964,'9998',56.43,1,3,NULL),(16,3821838,'1989-10-05 00:00:00',4,1,12,2006,'F','N','FORQUILHINHAS','S JOSé','SC','124241241117131431647521315124231034147',13473,'295',42.66,1,2,1),(16,3821846,'1991-05-29 00:00:00',4,1,12,2008,'F','N','FORQUILHINHAS','S JOSé','SC','124241248115161712412824272324610117051',NULL,'733',0.00,1,3,NULL),(16,3821854,'1990-12-27 00:00:00',4,1,12,2008,'F','N','CENTRO','PNT GROSSA','PR','116161161116371411228361585124610134147',NULL,'9998',32.81,1,2,1),(16,3821870,'1990-11-07 00:00:00',2,1,12,2007,'F','N','FLOR DE NAPOLIS','S JOSé','SC','124241241116132431539413575124610143147',16407,'727',35.90,4,2,1),(16,3821889,'1982-09-28 00:00:00',2,1,12,1999,'M','N','IPIRANGA','S JOSé','SC','624241241146375431236649142322130828047',NULL,'630',30.43,4,1,1),(16,3821900,'1988-07-17 00:00:00',2,9,12,2005,'F','N','SANTA HELENA','LAGES','SC','124241241116273411433331312324610167142',NULL,'498',0.00,3,2,1),(16,3821919,'1989-07-22 00:00:00',2,9,12,2007,'F','N','UNIVERSITARIO','LAGES','SC','124241241115131431433923572214610128172',NULL,'513',23.86,4,2,1),(16,3821927,'1977-06-09 00:00:00',2,9,12,1995,'M','N','BEATRIZ','LAGES','SC','124242241117135431113444342335130234197',7551,'500',53.23,1,3,NULL),(16,3821935,'1957-03-04 00:00:00',4,9,12,1976,'M','N','CAROBA','LAGES','SC','624124126447231431513354282221141767057',16528,'9998',35.33,4,3,NULL),(16,3821943,'1989-04-08 00:00:00',5,3,12,2006,'F','N','CENTRO','BAL CAMBORIú','SC','124241241126133431423315395125230244142',8753,'853',50.98,1,2,1),(16,3821951,'1977-06-18 00:00:00',4,6,11,1996,'M','N','SAO JOAO','ITAJAí','SC','124244247421132721226569391321333214112',NULL,'9999',24.89,1,3,NULL),(16,3821960,'1980-12-18 00:00:00',4,6,12,1998,'F','N','CENTRO','BAL CAMBORIú','SC','124201201122131411114349491114141966027',NULL,'9998',15.61,1,2,1),(16,3821978,'1984-01-12 00:00:00',2,6,12,2000,'F','N','SãO ROQUE','ITAJAí','SC','124241241116132431536331385124231065147',NULL,'396',28.99,2,1,1),(16,3821986,'1992-04-14 00:00:00',4,6,12,2008,'F','N','SãO JOãO','ITAJAí','SC','124244241215132431323826572124610164187',5693,'392',57.09,1,3,NULL),(16,3822001,'1980-11-08 00:00:00',2,3,12,2005,'M','N','NAçOES','BAL CAMBORIú','SC','124161241426131711333319141321610137047',NULL,'967',26.85,2,1,2),(16,3822010,'1988-06-17 00:00:00',4,3,12,2006,'M','N','CENTRO','CAMBORIú','SC','124241243116132431327623575124232617052',NULL,'129',0.00,1,2,1),(16,3822028,'1989-04-06 00:00:00',2,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124241242115131431525721291324610135047',NULL,'129',35.96,1,2,1),(16,3822036,'1989-07-27 00:00:00',2,3,12,2006,'M','N','CENTRO','S JOãO BATISTA','SC','124243241112131441436611392122610137147',15318,'712',38.93,1,3,NULL),(16,3822044,'1985-11-29 00:00:00',4,3,7,2006,'F','N','CENTRO','BAL CAMBORIú','SC','124244241346371431436419275123610168142',12549,'49',44.26,1,3,NULL),(16,3822052,'1990-10-07 00:00:00',4,1,12,2008,'M','N','CENTRO','BAL CAMBORIú','SC','124243242117131431327921592121610124117',10036,'129',48.71,1,3,NULL),(16,3822060,'1986-06-28 00:00:00',2,1,12,2004,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241117131411125341112123610134157',NULL,'50',27.09,4,2,1),(16,3822079,'1991-05-14 00:00:00',2,8,12,2008,'M','N','CENTRO','ITAIóPOLIS','SC','124241241115131431524614215132610124052',NULL,'387',0.00,1,2,1),(16,3822087,'1991-03-21 00:00:00',2,1,11,2008,'F','N','PRAIA COMPRIDA','S JOSé','SC','124244241215112431236369575124610162017',10743,'1022',47.46,1,3,NULL),(16,3822095,'1991-10-23 00:00:00',4,1,12,2008,'M','N','PINHEIRA','PALHOçA','SC','124241241125131431333923475121610167147',15129,'595',39.35,1,2,1),(16,3822109,'1990-03-12 00:00:00',4,8,12,2008,'F','N','COMASA','JOINVILLE','SC','124241248115141431623311442324610126172',NULL,'469',0.00,1,3,NULL),(16,3822133,'1991-02-11 00:00:00',4,1,12,2008,'F','N','CENTRO','BOM RETIRO','SC','124241248122131431523329192315610144147',NULL,'95',0.00,1,2,1),(16,3822141,'1990-12-29 00:00:00',2,9,12,2008,'M','N','RIO DE AREIA','RIO RUFINO','SC','124241241125131411423335152341610167097',NULL,'673',0.00,1,3,NULL),(16,3822168,'1991-07-12 00:00:00',2,6,12,2008,'M','N','CENTRO','ITAJAí','SC','124242241217111231346834575124610118197',8128,'392',52.17,1,3,NULL),(16,3822176,'1991-04-18 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241127131731525614482324610127072',NULL,'290',21.36,1,2,1),(16,3822184,'1988-06-09 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124201201116373431435617345134610127052',NULL,'9998',24.07,1,3,NULL),(16,3822192,'1989-04-22 00:00:00',2,1,12,2007,'F','N','SERTãO DO MARUIM','S JOSé','SC','124241241137272311321431346124610121192',14209,'1155',41.22,1,2,1),(16,3822214,'1989-04-30 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241115231731423319341344610126095',NULL,'281',28.76,1,2,1),(16,3822222,'1990-02-11 00:00:00',4,1,7,2008,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241241116271411426314585114610162181',2002,'306',67.17,1,2,1),(16,3822230,'1989-05-18 00:00:00',2,1,12,2006,'M','N','SERRINHA','FLORIANóPOLIS','SC','124241241116271221533534445333610144047',NULL,'134',22.14,1,2,1),(16,3822249,'1990-01-25 00:00:00',2,1,12,2007,'F','N','STO ANTONIO DE LISBO','FLORIANóPOLIS','SC','124241241127472711423329291324610126147',NULL,'279',24.78,1,2,1),(16,3822257,'1986-10-21 00:00:00',2,1,12,2004,'F','N','CAMINHO NOVO','PALHOçA','SC','124241241131273721123344146334610165183',NULL,'591',25.80,1,2,1),(16,3822265,'1985-06-29 00:00:00',2,1,12,2003,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124201201117271451123344445334140864187',14522,'9998',40.65,1,2,1),(16,3822273,'1985-02-20 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241245116373431425424335124610122147',NULL,'281',29.08,2,1,1),(16,3822281,'1982-05-15 00:00:00',4,1,12,2001,'F','N','ESTREITO','FLORIANóPOLIS','SC','124244241117272431533744242334610125147',16066,'307',37.05,1,3,NULL),(16,3822290,'1985-02-13 00:00:00',4,1,11,2003,'F','N','INGLESES','FLORIANóPOLIS','SC','124253248127372421636611342134610161077',NULL,'922',29.63,2,1,2),(16,3822303,'1991-09-15 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115271431526629575124610138182',NULL,'733',34.08,1,2,1),(16,3822311,'1991-02-06 00:00:00',2,1,12,2008,'M','N','PICADAS DO SUL','S JOSé','SC','124241241115271731426513275124610167042',10814,'733',47.33,1,2,1),(16,3822320,'1991-06-25 00:00:00',4,1,12,2008,'M','N','ALTO ARIRIU','PALHOçA','SC','124241241116371711443814292124610168147',7994,'592',52.44,1,2,1),(16,3822338,'1990-01-19 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241126272421326424345114610147115',14809,'290',40.04,1,2,1),(16,3822346,'1989-07-24 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241127371431223364445124610164047',13791,'740',42.08,1,2,1),(16,3822354,'1991-03-11 00:00:00',2,1,12,2008,'F','N','JARDIM ELDORADO','PALHOçA','SC','124241241115371431435511377124610141032',7076,'739',54.15,1,2,1),(16,3822362,'1987-06-14 00:00:00',4,1,12,2005,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241125273411525614241124610124092',12668,'307',44.05,1,2,1),(16,3822370,'1988-05-20 00:00:00',2,1,12,2005,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241211243431547723341134610122147',NULL,'9999',7.42,1,3,NULL),(16,3822389,'1985-04-13 00:00:00',2,1,2,2005,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241317231431523323382114610124142',NULL,'9999',26.53,4,1,2),(16,3822397,'1983-09-14 00:00:00',2,1,12,2001,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241127372431121644345224610128182',NULL,'95',24.00,1,3,NULL),(16,3822400,'1979-03-07 00:00:00',4,1,12,1996,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241126271411223319282124610161187',14882,'560',39.92,1,2,1),(16,3822419,'1984-05-14 00:00:00',2,1,12,2001,'F','N','VARGEM PEQUENA','FLORIANóPOLIS','SC','124241241126272411336613484324610123187',11697,'307',45.83,1,2,1),(16,3822427,'1989-11-04 00:00:00',4,1,7,2008,'F','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241241116272731436711385224610166012',4682,'306',59.35,1,2,1),(16,3822435,'1990-05-31 00:00:00',2,1,12,2008,'F','N','FAZENDA STO ANTONIO','S JOSé','SC','124243247111372311637731285114610133017',12820,'9999',43.82,1,3,NULL),(16,3822443,'1986-10-08 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241247127341121114844246334610137057',NULL,'9999',0.00,1,2,1),(16,3822451,'1989-03-02 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANOPOLIS','SC','124241241126274411337721372114610165143',12672,'922',44.04,1,3,NULL),(16,3822460,'1987-04-13 00:00:00',4,1,12,2006,'F','N','ARMAçãO','FLORIANóPOLIS','SC','124071241111475431538644341334610152147',11808,'306',45.61,1,2,1),(16,3822478,'1979-01-09 00:00:00',2,1,12,1997,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124093091126472441223544145124142836097',11244,'9998',46.57,4,3,NULL),(16,3822486,'1983-11-30 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241126471111524314245134610167147',NULL,'307',21.70,1,2,1),(16,3822494,'1987-09-28 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241124471431626611481114610124147',12110,'922',45.08,1,2,1),(16,3822508,'1989-12-14 00:00:00',2,1,12,2007,'F','N','REAL PARQUE','S JOSé','SC','124243241225372431326419392124233262142',4436,'262',59.92,1,3,NULL),(16,3822516,'1989-02-15 00:00:00',4,1,12,2006,'F','N','CENTRO','ARMAZEM','SC','124241241126471731421114185124610125077',NULL,'34',27.77,4,2,1),(16,3822524,'1989-09-20 00:00:00',2,1,12,2007,'M','N','CENTRO','FARTURA','SP','124251251116472431226612475124610137032',8727,'9998',51.03,1,2,1),(16,3822532,'1990-06-27 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241315472241534623571324610167047',12516,'300',44.36,1,3,NULL),(16,3822540,'1989-07-23 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241117472431423319575124610136187',NULL,'307',33.67,4,1,1),(16,3822559,'1988-11-23 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241135574431323311472124610163142',NULL,'307',41.83,1,2,1),(16,3822567,'1986-12-13 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241146471751313369191324610123143',NULL,'295',32.44,4,2,1),(16,3822575,'1983-07-29 00:00:00',2,1,12,2000,'F','N','RIO VERMELHO','FLORIANOPOLIS','SC','624202201115571411226651385324142721197',4037,'9998',60.95,1,3,NULL),(16,3822583,'1985-01-10 00:00:00',2,1,12,2001,'F','N','INGLESES','FLORIANóPOLIS','SC','124244241122473431537724282114610123147',4129,'922',60.69,1,3,NULL),(16,3822591,'1991-09-25 00:00:00',2,1,12,2008,'F','N','SNT ANT DE LISBOA','FLORIANóPOLIS','SC','124241241114371511623423574124610162142',14253,'288',41.13,1,2,1),(16,3822605,'1990-01-01 00:00:00',2,1,12,2007,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241125432731533314342234610146052',10061,'294',48.67,4,2,1),(16,3822613,'1990-08-12 00:00:00',2,1,12,2007,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241117372431434329381124610127047',5455,'298',57.58,1,2,1),(16,3822621,'1983-08-03 00:00:00',2,1,12,2001,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241124473431224644244334610126117',NULL,'290',31.23,1,2,1),(16,3822630,'1986-10-15 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241127473731532319292324610128042',NULL,'922',29.26,4,2,1),(16,3822648,'1990-02-12 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241116472751326619495114613247097',NULL,'298',23.78,1,2,1),(16,3822656,'1981-07-01 00:00:00',2,1,10,2005,'M','N','FUNDOS','BIGUAçU','SC','124241247142474431323329395124610116097',12151,'9999',44.98,1,2,1),(16,3822664,'1989-11-27 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241116471711523329295334610168077',NULL,'287',9.34,1,3,NULL),(16,3822672,'1963-02-14 00:00:00',2,1,12,1977,'M','N','CARIANOS','FLORIANóPOLIS','SC','224241243121472411533143231334610136063',NULL,'287',37.67,1,2,1),(16,3822680,'1978-06-13 00:00:00',2,1,12,1997,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124161163347331711113344442124610138187',NULL,'9998',25.97,1,3,NULL),(16,3822699,'1978-07-01 00:00:00',2,1,12,1997,'F','N','RIO TAVARES','FLORIANOPOLIS','SC','124203201147472231338844245224610125141',16390,'9998',36.01,1,3,NULL),(16,3822702,'1986-09-18 00:00:00',2,1,12,2007,'M','N','INGLESE','FLORIANOPOLIS','SC','124241241116412212213347375124610114047',NULL,'288',21.66,3,2,1),(16,3822710,'1988-10-05 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241116473431559613395124610167153',16215,'307',36.64,1,2,1),(16,3822729,'1987-12-07 00:00:00',2,1,12,2006,'F','N','SAMBAQUI','FLORIANóPOLIS','SC','124241241117472751623529282124610132045',11768,'298',45.69,1,2,1),(16,3822737,'1990-11-04 00:00:00',2,1,12,2007,'F','N','SACO SOA LIMõES','FLORIANóPOLIS','SC','124241241137471731333339342334610137147',13821,'281',42.01,1,2,1),(16,3822745,'1987-06-15 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANóPOLIS','SC','124243241126472351426619285214610168147',NULL,'307',23.39,1,3,NULL),(16,3822753,'1955-09-15 00:00:00',2,1,12,1985,'F','N','INGLESES','FLORIANóPOLIS','SC','524241203127431421216344342244610126097',NULL,'9998',32.25,1,2,1),(16,3822761,'1983-01-06 00:00:00',2,1,12,2004,'M','N','ITACORUBI','FLORIANóPOLIS','SC','624241241326472122633421242334610127047',12595,'287',44.19,2,3,NULL),(16,3822770,'1988-04-10 00:00:00',2,1,12,2005,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241117474231446313245114610122112',11721,'281',45.79,1,2,1),(16,3822788,'1990-10-06 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124242241216472431456639592114610127052',10496,'273',47.91,1,3,NULL),(16,3822796,'1989-02-13 00:00:00',2,1,12,2006,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124241241112372431447633372124610131187',14207,'307',41.23,1,2,1),(16,3822800,'1989-12-20 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124243241112472731525631345124610138087',9253,'307',50.14,1,3,NULL),(16,3822818,'1987-11-13 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241248436474431423511295124610111182',13564,'1036',42.52,1,3,NULL),(16,3822826,'1990-02-25 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241115372431345423332134610122015',15137,'267',39.33,1,2,1),(16,3822834,'1983-01-10 00:00:00',2,1,12,2002,'F','N','FORQUILHINHAS','S JOSé','SC','124241243146473431424619274124610145177',8138,'739',52.15,1,2,1),(16,3822842,'1988-07-31 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241136471331345524195124610163147',14746,'298',40.19,1,2,1),(16,3822850,'1989-07-31 00:00:00',2,1,11,2007,'F','N','COSTA DA LAGOA','FLORIANóPOLIS','SC','124241241127472431621119592345610137042',13008,'282',43.48,4,2,1),(16,3822869,'1973-04-10 00:00:00',2,1,12,1996,'M','N','SERRARIA','SAO JOSE','SC','224111118121431732421119492124610118043',NULL,'9998',26.14,4,2,1),(16,3822877,'1990-03-18 00:00:00',2,1,12,2007,'F','N','COSTA DA LAGOA','FLORIANóPOLIS','SC','124241241127472331413319572344610164077',NULL,'282',31.38,1,2,1),(16,3822885,'1980-12-17 00:00:00',2,1,2,2005,'M','N','INGLESES','FLORIANOPOLIS','SC','124241246145433431225629282314610167042',NULL,'303',NULL,1,2,1),(16,3822893,'1984-10-26 00:00:00',2,1,12,2004,'F','N','COLONIA SANTANA','S JOSé','SC','124241241141471411523349192234610124147',15894,'592',37.49,1,2,1),(16,3822907,'1985-09-05 00:00:00',2,1,11,2005,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','224161167146472441123344245124610114057',6842,'9999',54.59,1,2,1),(16,3822915,'1988-05-20 00:00:00',2,1,11,2006,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241137471411326524245114610165182',NULL,'288',34.64,1,2,1),(16,3822923,'1990-09-03 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241117471431533334242114610127055',15953,'298',37.35,1,3,NULL),(16,3822931,'1989-10-26 00:00:00',2,1,11,2007,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124243241315372751438719395124610144091',8966,'271',50.64,1,3,NULL),(16,3822940,'1988-03-04 00:00:00',2,1,12,2005,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241127373511333623346124610134067',NULL,'307',21.67,1,2,1),(16,3822958,'1980-10-28 00:00:00',2,1,7,2000,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241246117474431433619472224610147052',6944,'306',54.40,1,2,1),(16,3822966,'1981-03-19 00:00:00',2,1,12,1998,'M','N','TAPERA','FLORIANóPOLIS','SC','124241248122471441234649243124610127017',NULL,'84',41.75,1,2,1),(16,3822974,'1988-03-05 00:00:00',2,1,12,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124241241146371431321529285124130244147',NULL,'294',23.65,1,2,1),(16,3822982,'1989-10-17 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124112241347472411226641115334610167097',NULL,'307',0.00,1,3,NULL),(16,3822990,'1990-10-20 00:00:00',2,1,12,2007,'M','N','RETIRO DA LAGOA','FLORIANóPOLIS','SC','124241241116471732427329275124610128092',11843,'307',45.57,1,2,1),(16,3823008,'1984-01-21 00:00:00',2,1,12,2001,'M','N','FAZENDA SANTO ANTONI','S JOSé','SC','624241241127472411223444341335610137047',11016,'736',46.99,1,2,1),(16,3823016,'1986-07-26 00:00:00',2,1,12,2004,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241127373411123444441334610117147',NULL,'1',25.10,4,3,NULL),(16,3823024,'1983-11-23 00:00:00',2,1,12,2003,'M','N','ABRAãO','FLORIANóPOLIS','SC','124241246117471431444413482324610137057',NULL,'306',29.75,4,2,1),(16,3823032,'1980-03-31 00:00:00',2,1,12,1998,'M','N','TRINDADE','FLORIANóPOLIS','SC','124251251116474441218529315114610127042',8770,'9998',50.95,1,2,1),(16,3823040,'1990-01-24 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241115472732535514381124610123147',14138,'287',41.35,1,2,1),(16,3823059,'1986-06-18 00:00:00',2,1,12,2003,'F','N','VARGEM DO BRAçO','STO AMARO IMPERATRIZ','SC','124241241116473431226644345334610124017',8811,'772',50.88,1,2,1),(16,3823067,'1986-12-20 00:00:00',2,1,12,2004,'M','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','124241241126573411533314441124610117042',11942,'278',45.37,1,2,1),(16,3823075,'1981-05-17 00:00:00',2,1,12,2001,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','224101101122471751321174142344610123023',NULL,'9998',29.05,2,1,1),(16,3823083,'1982-08-23 00:00:00',2,1,12,2001,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','624213211127471412226641311124610113097',NULL,'9998',25.77,1,3,NULL),(16,3823091,'1990-04-28 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241125472751424414392314610124147',11860,'290',45.54,1,2,1),(16,3823105,'1987-06-04 00:00:00',2,1,12,2005,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241125473431423331212124610124142',NULL,'290',27.07,1,2,1),(16,3823113,'1987-01-26 00:00:00',4,1,12,2004,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241136273431136319385121121734052',6962,'482',54.37,1,2,1),(16,3823121,'1990-07-29 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241137471331423539385114610114142',NULL,'288',21.11,1,2,1),(16,3823130,'1988-08-11 00:00:00',2,1,12,2005,'F','N','STO ANTONIO DE LISBO','FLORIANóPOLIS','SC','124241241142473421423321345124610127073',7159,'279',53.99,1,2,1),(16,3823148,'1990-04-13 00:00:00',2,1,12,2007,'F','N','AREIAS','S JOSé','SC','124241241117471411213669496124610124187',NULL,'734',22.76,1,2,1),(16,3823156,'1990-09-27 00:00:00',2,1,12,2008,'F','N','MORRO DA BOA VISTA','BIGUAçU','SC','124241241112231421433514172134610117057',NULL,'65',41.36,1,2,1),(16,3823164,'1990-11-03 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241125471431436613345134610124117',NULL,'288',11.31,1,2,1),(16,3823172,'1989-01-28 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMOES','FLORIANóPOLIS','SC','124241244117471731646613485114610138142',NULL,'281',21.43,1,2,1),(16,3823180,'1990-09-05 00:00:00',2,1,12,2007,'F','N','ABRAAO','FLORIANóPOLIS','SC','124241241117472751444413592314610138197',NULL,'292',34.92,4,2,1),(16,3823199,'1984-03-09 00:00:00',2,1,12,2000,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241316374431436349192224610164047',9685,'362',49.37,1,3,NULL),(16,3823202,'1987-09-27 00:00:00',2,1,11,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124251241225472411525517175224610116017',13552,'262',42.53,4,3,NULL),(16,3823210,'1988-01-30 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241111373431126644442324133225097',NULL,'754',42.85,1,2,1),(16,3823229,'1988-09-22 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241121373431423311312114610164187',14655,'274',40.37,4,2,1),(16,3823237,'1982-07-04 00:00:00',2,1,12,2001,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241321372411523344345334130237027',NULL,'9999',21.36,1,3,NULL),(16,3823245,'1991-08-07 00:00:00',2,1,12,2007,'M','N','CACHOEIRA','FLORIANóPOLIS','SC','124241241117471431625619292344610137095',9293,'288',50.09,4,2,1),(16,3823253,'1990-03-23 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241147472751233321575125610131142',10520,'415',47.89,4,2,1),(16,3823261,'1990-07-19 00:00:00',2,1,12,2007,'F','N','SERTAO DO IMARUIM','S JOSé','SC','124241241117231731426319395224610138147',14009,'733',41.63,1,2,1),(16,3823270,'1969-09-30 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','224241241125371431534144342214610136197',14473,'290',40.73,1,2,1),(16,3823288,'1989-09-18 00:00:00',2,1,12,2007,'M','N','CENTRO','ITUPORANGA','SC','124241241127472411423339291213610144187',13782,'416',42.10,1,2,1),(16,3823296,'1989-03-13 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241116473411336611575224610132172',15600,'289',38.32,3,2,1),(16,3823300,'1985-05-22 00:00:00',2,1,12,2003,'F','N','SERRARIA','S JOSé','SC','124241241116471431535419442124610124147',10354,'130',48.16,4,2,1),(16,3823318,'1990-07-12 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241117472431225411175124610133155',5524,'281',57.41,1,2,1),(16,3823326,'1986-11-23 00:00:00',2,1,12,2004,'M','N','RIO TAVARE','FLORIANóPOLIS','SC','124241248127472411623329385313610124113',16689,'285',33.58,1,2,1),(16,3823334,'1986-11-23 00:00:00',2,1,12,2004,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241127471421613328282323610167117',14234,'285',41.17,1,3,NULL),(16,3823342,'1990-11-05 00:00:00',2,1,12,2007,'M','N','PASSA VINTE','PALHOçA','SC','124241241137472431333623342344610117047',14136,'592',41.36,1,2,1),(16,3823350,'1985-08-05 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANóPOLIS','SC','124241247627471732431324495124610127067',NULL,'9999',23.94,4,3,NULL),(16,3823369,'1990-06-28 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANóPOLIS','SC','124241241117472431524714582114610137143',NULL,'257',28.65,1,2,1),(16,3823377,'1987-07-11 00:00:00',2,1,12,2004,'F','N','INTERIOR','GUARACIABA','SC','124241241117472431533435342334610168047',13224,'334',43.11,1,2,1),(16,3823385,'1989-08-10 00:00:00',2,1,12,2007,'F','N','BREJARU','PALHOçA','SC','124243241127471411623311341234610137077',NULL,'285',23.14,1,3,NULL),(16,3823407,'1990-08-18 00:00:00',2,1,12,2007,'F','N','COSTA DA LAGOA','FLORIANóPOLIS','SC','124241241114472732413111572344610148183',NULL,'307',30.78,1,2,1),(16,3823415,'1991-01-13 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241125472431424431242334610127142',12975,'290',43.54,1,2,1),(16,3823423,'1990-02-19 00:00:00',2,1,7,2008,'M','N','FLORESTA','S JOSé','SC','124211247126271431225621185124610161152',NULL,'9999',33.19,1,2,1),(16,3823431,'1990-04-29 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241127371731423319292124610113042',NULL,'1097',18.84,1,2,1),(16,3823440,'1988-03-02 00:00:00',2,1,11,2007,'F','N','PANTANAL','FLORIANOPOLIS','SC','124241241337471431434521272224610127145',13150,'9999',43.24,1,3,NULL),(16,3823458,'1990-07-11 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124243248116471411325514345124610127182',NULL,'257',23.60,1,3,NULL),(16,3823466,'1984-12-30 00:00:00',2,1,12,2001,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124201241115575451326319381324610147097',12124,'281',45.04,4,1,1),(16,3823474,'1989-10-15 01:00:00',2,1,12,2007,'M','N','JOãO PAULO','FLORIANóPOLIS','SC','124241248112472431323539585124610127042',13906,'298',41.84,1,2,1),(16,3823482,'1963-07-24 00:00:00',2,1,11,1994,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','524201201147472421312248482324142723027',NULL,'9998',9.49,1,2,1),(16,3823490,'1989-10-02 00:00:00',2,1,12,2007,'M','N','VARGEM PEQUENA','FLORIANOPOLIS','SC','124243241117572231526911295114610112145',12164,'288',44.96,1,3,NULL),(16,3823504,'1989-12-02 00:00:00',2,1,12,2006,'F','N','BAIRRO IPIRANGA','S JOSé','SC','124243241117373432533611282112610124147',8175,'257',52.06,1,3,NULL),(16,3823512,'1990-08-23 00:00:00',4,1,12,2007,'M','N','BOM ABRIGO','FLORIANóPOLIS','SC','124243241425372431529624345124610137112',NULL,'524',33.05,1,3,NULL),(16,3823520,'1985-05-17 00:00:00',4,1,12,2002,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124063061137474531223544142123142763197',NULL,'9998',25.50,1,3,NULL),(16,3823547,'1988-02-26 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241126474751623414241124610168057',NULL,'287',26.54,1,2,1),(16,3823555,'1985-07-13 00:00:00',4,1,7,2004,'M','N','KOBRASOL','S JOSé','SC','124241247127471431337544345124610121037',NULL,'736',34.88,1,2,1),(16,3823563,'1989-02-13 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241127473432413521172324610157147',14794,'736',40.08,1,2,1),(16,3823571,'1984-07-02 00:00:00',4,1,12,2001,'F','N','AREIAS','S JOSé','SC','124241241125572431434544244334610123097',NULL,'730',27.33,1,2,1),(16,3823580,'1984-10-02 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANóPOLIS','SC','624241241122453431221354442334131062147',NULL,'524',28.31,1,2,1),(16,3823598,'1983-08-04 00:00:00',2,1,12,2004,'F','N','AREIAS','S JOSé','SC','124241247327471431113344342314610118141',16035,'9999',37.15,1,3,NULL),(16,3823601,'1987-07-15 00:00:00',2,1,12,2004,'M','N','FLOR DE NAPOLES','S JOSé','SC','124251251137371441435311145133610121177',14933,'9998',39.81,4,2,1),(16,3823610,'1991-01-08 00:00:00',2,1,12,2007,'F','N','MADRI','PALHOçA','SC','124241241115472431213623572324610128072',12286,'733',44.74,1,2,1),(16,3823628,'1986-09-11 00:00:00',2,1,12,2006,'F','N','IPIRANGA','S JOSé','SC','124241241136474731434364242124610137057',NULL,'734',21.03,4,2,1),(16,3823636,'1977-05-05 00:00:00',2,1,12,1995,'F','N','ARMAçãO PANTANO SUL','FLORIANóPOLIS','SC','124251251416471411228371312124143248027',7842,'9998',52.69,1,3,NULL),(16,3823644,'1990-06-18 00:00:00',2,1,12,2007,'F','N','ROçADO','S JOSé','SC','124241241116472731326319195334610127077',14406,'307',40.87,1,2,1),(16,3823660,'1988-05-29 00:00:00',2,1,12,2007,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124241241115472431326524342224610122147',NULL,'298',21.16,4,2,1),(16,3823679,'1984-07-29 00:00:00',2,1,12,2002,'M','N','INGLESES DO RIO VERM','FLORIANóPOLIS','SC','124201201337471441228624442224610168057',12924,'9998',43.63,1,3,NULL),(16,3823687,'1990-05-17 00:00:00',2,1,12,2007,'M','N','PANTANA','FLORIANóPOLIS','SC','124244241415471431547633372114610127117',15079,'269',39.47,1,3,NULL),(16,3823695,'1982-03-31 00:00:00',2,1,12,2001,'F','N','SAO SEBASTIAO','PALHOCA','SC','224241241627134511323644142224610127147',16106,'265',36.92,1,3,NULL),(16,3823709,'1985-05-15 00:00:00',2,1,6,2003,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241127131731523544243334610134187',9177,'307',50.28,1,2,1),(16,3823717,'1976-10-07 00:00:00',5,1,12,1994,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124201201122472431223319185124610165192',4796,'9998',59.07,1,2,1),(16,3823725,'1990-11-30 00:00:00',2,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','124241241142472431113335392325610123147',16385,'298',36.05,1,2,1),(16,3823733,'1987-07-25 00:00:00',2,1,12,2005,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241111472731624744245334610123185',NULL,'289',29.35,2,1,1),(16,3823741,'1988-10-19 00:00:00',4,1,12,2005,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241335474742323329445114610164013',14193,'262',41.25,1,3,NULL),(16,3823750,'1985-04-08 00:00:00',2,1,12,2002,'M','N','CORRéGO GRANDE','FLORIANóPOLIS','SC','124241241117474752336313572114610114045',NULL,'298',34.10,1,3,NULL),(16,3823768,'1989-12-12 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124243241227472431326624272314610147067',NULL,'262',24.29,1,3,NULL),(16,3823776,'1985-03-23 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241127574121433519482114610162187',NULL,'591',43.48,1,3,NULL),(16,3823784,'1989-05-03 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241125573331524631241234610124097',15893,'922',37.50,1,2,1),(16,3823792,'1989-10-10 00:00:00',2,1,12,2006,'F','N','ROçADO','S JOSé','SC','124241241116473431323639575124610167061',NULL,'729',33.97,1,2,1),(16,3823814,'1990-07-13 00:00:00',2,1,12,2008,'M','N','JOSé MENDES','FLORIANóPOLIS','SC','124243241117471431344723242114610117042',8741,'307',51.00,1,3,NULL),(16,3823822,'1990-06-23 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','S JOSé','SC','124241241137372751323324242334610114182',NULL,'727',20.99,1,2,1),(16,3823830,'1965-05-23 00:00:00',2,1,12,1986,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','524131135132233711425541412314143216185',13539,'9998',42.56,1,3,NULL),(16,3823849,'1984-01-04 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANóPOLIS','SC','124241248127161731211319492234610123157',NULL,'359',23.22,1,3,NULL),(16,3823857,'1960-03-17 00:00:00',2,1,12,1977,'M','N','PANTANAL','FLORIANóPOLIS','SC','624201203222471311214447182344610117042',NULL,'995',25.11,1,3,NULL),(16,3823865,'1985-05-13 00:00:00',2,1,12,2003,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241147472421634411342134610123043',NULL,'275',25.87,4,1,1),(16,3823873,'1978-06-06 00:00:00',2,1,12,1998,'M','N','FUNDOS','BIGUAçU','SC','124241241121472721225529242334610124047',12112,'65',45.07,1,2,1),(16,3823881,'1990-02-27 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241116472321423419195324610123151',9071,'412',50.46,1,2,1),(16,3823890,'1986-04-10 00:00:00',2,1,12,2003,'F','N','ENSEADA DE BRITO','ENS BRITO','SC','124241241127272731423629446114133268177',14267,'594',41.10,1,2,1),(16,3823903,'1983-01-16 00:00:00',2,1,12,2002,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124201201125471451223674284214610143051',6914,'9998',54.47,1,2,1),(16,3823911,'1983-10-05 00:00:00',2,1,12,2001,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124201201115471731423811282124610124047',NULL,'9998',30.90,1,2,1),(16,3823920,'1984-11-30 00:00:00',2,1,12,2008,'M','N','AREIAS','SAO JOSE','SC','124241241126433751333119145334610164117',13886,'730',41.89,4,2,1),(16,3823938,'1990-12-16 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124141241142411431633324243324610137055',15963,'287',37.33,4,2,1),(16,3823946,'1990-12-29 00:00:00',2,1,12,2007,'F','N','CAMINHO NOVO','PALHOçA','SC','124241241115472431523611395124610127147',NULL,'733',25.21,1,2,1),(16,3823954,'1988-12-15 00:00:00',2,1,12,2006,'F','N','CENTRO','PALHOçA','SC','124241241112372731423618445334610114142',11492,'591',46.19,1,2,1),(16,3823962,'1982-09-26 00:00:00',2,1,12,2002,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241122472421323328242324610128187',11949,'292',45.36,1,2,1),(16,3823970,'1990-09-21 00:00:00',2,1,12,2007,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124161161117471431323174346324610133197',16444,'9998',35.74,1,2,1),(16,3823989,'1988-02-11 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241115473431525319381324610164117',14227,'293',41.18,4,2,1),(16,3823997,'1986-10-20 00:00:00',2,1,12,2007,'M','N','CACUPE','FLORIANóPOLIS','SC','124241247127271731223349392124613225147',15538,'9999',38.46,1,2,1),(16,3824004,'1987-03-18 00:00:00',2,1,12,2003,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241241116573431123544242134132727117',8005,'89',52.41,1,2,1),(16,3824012,'1987-02-24 00:00:00',2,1,12,2003,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124243241125474431431621342114122314142',8790,'285',50.92,1,3,NULL),(16,3824020,'1984-01-31 00:00:00',2,1,12,2002,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124243241125472451441421192124143237053',7589,'285',53.17,1,3,NULL),(16,3824039,'1989-09-24 00:00:00',2,1,12,2006,'F','N','COLôNIA 20','TAQUARI','RS','120203201116472431516813272124610127097',NULL,'9998',33.48,1,3,NULL),(16,3824047,'1989-03-31 00:00:00',2,1,12,2006,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241137471731625319145134610114197',NULL,'288',27.91,1,2,1),(16,3824055,'1989-02-05 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241125471431633514344124610147077',14250,'288',41.14,4,2,1),(16,3824063,'1986-12-20 00:00:00',2,1,12,2004,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241125372431536411295124610127057',NULL,'772',36.69,1,2,1),(16,3824071,'1989-08-28 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241215473321433644242334610163067',NULL,'1036',34.70,1,3,NULL),(16,3824080,'1990-07-22 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241147472431556413374124610126097',8544,'1097',51.35,1,2,1),(16,3824098,'1987-07-31 00:00:00',2,1,12,2005,'F','N','RATONES','FLORIANóPOLIS','SC','124201201112472431113344242334610117147',14713,'9998',40.25,1,2,1),(16,3824101,'1990-06-26 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124244241316572411628874475124233267047',4954,'267',58.72,1,3,NULL),(16,3824110,'1980-04-19 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241147471731323379342125610127045',NULL,'9997',20.02,1,2,1),(16,3824128,'1981-08-30 00:00:00',4,1,12,1998,'F','N','KOBRASOL','S JOSé','SC','124241243127273411323321245124133247047',7365,'406',53.59,1,2,1),(16,3824136,'1983-09-30 00:00:00',2,1,12,2003,'F','N','IPIRANGA','S JOSé','SC','124241241147471411223319292124610113027',NULL,'734',22.62,1,2,1),(16,3824144,'1990-06-17 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124241241137472431523331245124610135152',13147,'307',43.24,1,2,1),(16,3824160,'1988-11-26 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241248115471221416618245131610114042',NULL,'298',26.66,1,2,1),(16,3824179,'1989-01-13 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124211211117371431113644242224610168042',13811,'9998',42.03,1,2,1),(16,3824187,'1991-02-13 00:00:00',2,1,11,2008,'F','N','RIO GRANDE','PALHOçA','SC','124241241116271431226624392124610125117',NULL,'591',38.31,1,2,1),(16,3824195,'1989-08-24 00:00:00',4,1,11,2007,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241435472731426634445134610127147',16017,'278',37.20,1,3,NULL),(16,3824209,'1989-01-04 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANOPOLIS','SC','124211211116471431513379145114610121017',NULL,'9998',25.10,4,1,1),(16,3824217,'1983-11-23 00:00:00',2,1,12,2002,'F','N','MONTE CRISTO','FLORIANóPOLIS','SC','124201201121472711113344341324610162141',15849,'9998',37.63,1,2,1),(16,3824225,'1989-06-25 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANóPOLIS','SC','124111241141572431425539281324610124057',11830,'922',45.59,4,2,1),(16,3824233,'1989-03-04 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124244241111472441456823571124610114017',6641,'267',54.97,1,3,NULL),(16,3824241,'1958-07-19 00:00:00',2,1,12,2000,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','624241247112471421424648482124610128187',NULL,'9999',16.56,1,2,1),(16,3824250,'1988-11-20 00:00:00',4,1,12,2006,'F','N','JURERE','FLORIANóPOLIS','SC','124243241115371431216669382324610126187',NULL,'307',22.16,1,3,NULL),(16,3824268,'1990-02-03 00:00:00',2,1,12,2007,'F','N','JOSé MENDES','FLORIANóPOLIS','SC','124241241112471411523329441334610147152',NULL,'286',9.11,1,2,1),(16,3824276,'1983-06-04 00:00:00',2,1,12,2004,'M','N','ESTREITO','FLORIANóPOLIS','SC','124051121115471131226649342114141227044',NULL,'9998',26.14,4,2,1),(16,3824284,'1989-10-19 00:00:00',2,1,12,2007,'F','N','ARIRIÚ','PALHOçA','SC','124241247122471431224329572324610133147',NULL,'9999',0.00,1,2,1),(16,3824292,'1986-10-04 00:00:00',2,1,12,2004,'F','N','BARREIROS','S JOSé','SC','124201201117471431436531484224330237147',NULL,'9998',37.41,1,2,1),(16,3824306,'1975-01-08 00:00:00',2,1,12,1995,'F','N','SAUDADE','BIGUAçU','SC','224241241122471431421151341324610117142',11414,'831',46.33,1,2,1),(16,3824314,'1963-06-19 00:00:00',2,1,12,1985,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','224251251121471431526644241324141012041',NULL,'9998',25.74,1,2,1),(16,3824322,'1989-07-26 00:00:00',2,1,12,2006,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124252251111472411527614341324610161142',6423,'9998',55.43,1,3,NULL),(16,3824330,'1990-03-11 00:00:00',2,1,12,2007,'F','N','RATONES','FLORIANOPOLIS','SC','124241248221471431523331571124610137147',NULL,'262',34.23,1,3,NULL),(16,3824349,'1987-11-02 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241121471731523329382224610134197',NULL,'295',24.03,1,2,1),(16,3824357,'1988-01-28 00:00:00',2,1,12,2005,'M','N','TAPERA','FLORIANóPOLIS','SC','124241241137374431324619375124610127017',7300,'286',53.71,1,2,1),(16,3824365,'1990-09-08 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241212472751453613595324610127077',11461,'272',46.23,1,3,NULL),(16,3824373,'1988-09-09 00:00:00',2,1,12,2007,'F','N','CAMINHO NOVO','PALHOçA','SC','124241241116471431423314571324610124147',15353,'733',38.86,4,2,1),(16,3824381,'1986-10-25 01:00:00',2,1,8,2005,'M','N','CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC','124241241125475411423311445114610164042',NULL,'9999',38.38,1,2,1),(16,3824390,'1989-12-20 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSé','SC','124241241137471332523311231234610153143',NULL,'734',18.15,1,2,1),(16,3824403,'1988-06-01 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241217473431338823314114610152177',3390,'272',62.70,1,3,NULL),(16,3824411,'1979-08-18 00:00:00',2,1,12,1997,'M','N','BARRA SUL','BALNEARIO CAMBORIU','SC','124241241126372751223344184324130248187',11493,'45',46.19,4,1,1),(16,3824420,'1977-04-05 00:00:00',2,1,12,2003,'F','N','SERRINHA','FLORIANóPOLIS','SC','124241248127473411211343332344610118145',NULL,'267',20.78,4,1,1),(16,3824438,'1989-07-20 00:00:00',2,1,12,2006,'F','N','IPIRANGA','S JOSé','SC','124241241117473751433479395334610143077',14393,'123',40.89,1,2,1),(16,3824446,'1989-07-26 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124242241227472441423611375114133234187',6730,'262',54.81,1,3,NULL),(16,3824454,'1963-09-13 00:00:00',2,1,11,1982,'F','N','ARMAçãO PANT D SUL','FLORIANóPOLIS','SC','624241243226433731313329491124610116187',NULL,'303',21.99,1,3,NULL),(16,3824462,'1987-12-19 00:00:00',4,1,12,2005,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124201201436472731123344345114610137077',3348,'9998',62.85,1,3,NULL),(16,3824470,'1985-06-13 00:00:00',2,1,12,2004,'M','N','RATONES','FLORIANóPOLIS','SC','124142047411341731525551492324610147042',NULL,'9999',24.71,1,3,NULL),(16,3824489,'1990-04-18 00:00:00',4,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241137272451433329485124610137187',10128,'592',48.57,1,2,1),(16,3824497,'1970-06-18 00:00:00',2,1,12,2005,'F','N','FORQUILHAS','S JOSé','SC','124241241122473611523339141334610126057',14580,'727',40.55,1,2,1),(16,3824500,'1992-01-15 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241116371431349313575124610123097',NULL,'288',22.87,1,2,1),(16,3824519,'1983-05-27 00:00:00',4,1,12,2001,'M','N','JARDIM ATLâNTICO','FLORIANóPOLIS','SC','124241241125475721355529341124610134192',8091,'257',52.25,1,2,1),(16,3824527,'1990-06-07 00:00:00',2,1,12,2007,'F','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','124241241126372411523374572124610123147',NULL,'278',28.75,1,2,1),(16,3824535,'1984-11-29 00:00:00',2,1,12,2001,'F','N','RIBEIRAO DA ILHA','FLORIANóPOLIS','SC','124241241126271431123344342334610133097',NULL,'733',29.43,1,2,1),(16,3824543,'1989-12-21 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANóPOLIS','SC','124201241127132431323324385124121463142',NULL,'922',19.48,1,2,1),(16,3824551,'1988-11-12 00:00:00',2,1,6,2007,'F','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124243247147472421228873386224610114147',16370,'9999',36.09,1,3,NULL),(16,3824560,'1986-05-05 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124201201127472431212444345124610127042',NULL,'9998',27.62,1,2,1),(16,3824578,'1989-12-19 00:00:00',2,1,12,2007,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241117372431333329244124610163057',10679,'298',47.61,1,2,1),(16,3824594,'1991-02-20 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124243241111472531436611291334610163117',NULL,'278',26.52,1,3,NULL),(16,3824608,'1990-10-31 00:00:00',2,1,12,2007,'F','N','SERRINHA','FLORIANóPOLIS','SC','124241241111472431523574242234610131155',12282,'298',44.75,1,2,1),(16,3824616,'1989-12-11 00:00:00',2,1,12,2007,'M','N','SAO JUDAS TADEU','BAL CAMBORIú','SC','124241241127371441223444244324610127117',12555,'50',44.25,4,1,1),(16,3824624,'1948-06-17 00:00:00',2,1,12,2005,'F','N','MONTE CRISTO','FLORIANóPOLIS','SC','124201247127471411213359282344610131187',NULL,'736',18.00,1,2,1),(16,3824632,'1988-09-08 00:00:00',2,1,12,2006,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124244241121373731636524285124610127041',NULL,'296',0.00,1,3,NULL),(16,3824640,'1990-02-09 00:00:00',2,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241121471431326364572224610137042',13495,'290',42.62,1,2,1),(16,3824659,'1969-05-16 00:00:00',2,1,12,2006,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','224241241126473431424253135124610124097',15967,'9999',37.32,1,2,1),(16,3824667,'1986-11-17 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241347472431436524245124610118017',NULL,'922',42.78,1,3,NULL),(16,3824675,'1968-01-02 00:00:00',2,1,12,1986,'M','N','RIO VERDE','COLOMBO','PR','216241243325473421423144242124610162047',12855,'141',43.75,4,3,NULL),(16,3824683,'1987-02-16 00:00:00',4,1,12,2004,'F','N','RIO GRANDE','PALHOCA','SC','124243241147574751526611375124610155142',5746,'591',56.97,2,1,2),(16,3824691,'1988-10-28 00:00:00',2,1,12,2005,'F','N','COSTA DE CIMA','FLORIANóPOLIS','SC','124241241127474441536731392224610127112',10403,'291',48.08,1,2,1),(16,3824705,'1988-04-15 00:00:00',2,1,12,2006,'F','N','BELA VISTA','S JOSé','SC','124243241317473731338613342124610126041',15678,'257',38.12,1,3,NULL),(16,3824713,'1985-02-09 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANóPOLIS','SC','624201201147371411226454375114141267112',NULL,'9998',0.00,1,2,1),(16,3824721,'1981-10-24 00:00:00',4,1,12,2000,'F','N','FORQUILHINHAS','S JOSé','SC','124241244136475411236443435122610117187',15338,'307',38.90,1,2,1),(16,3824730,'1979-10-08 00:00:00',2,1,12,1998,'M','N','COQUEIROS','FLORIANóPOLIS','SC','224253251127372731233652215333610167057',NULL,'9998',43.44,1,3,NULL),(16,3824748,'1987-08-15 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124243247335472431448613345124610137072',NULL,'9999',26.77,1,3,NULL),(16,3824756,'1988-08-28 00:00:00',4,1,12,2005,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124243241417572431357613345114610122092',13903,'288',41.85,1,3,NULL),(16,3824772,'1984-10-07 00:00:00',2,1,12,2003,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241116572431133543431332610121143',7541,'772',53.25,1,2,1),(16,3824780,'1982-07-03 00:00:00',2,1,12,2001,'M','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241127471431523321282114610127047',10648,'288',47.66,1,2,1),(16,3824799,'1987-10-07 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241125471431536611485124610117182',NULL,'922',35.31,1,2,1),(16,3824802,'1976-08-11 00:00:00',2,1,8,2004,'F','N','TAPERA','FLORIANóPOLIS','SC','124241241121342421213343331124610164141',NULL,'283',0.00,1,2,1),(16,3824810,'1987-10-21 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241147472451526611242234610118147',NULL,'298',22.42,1,2,1),(16,3824829,'1984-01-11 00:00:00',2,1,12,2000,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124201201117472751526311285124610161197',NULL,'9998',32.86,1,2,1),(16,3824837,'1989-01-13 00:00:00',4,1,9,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241247215471431433423472114610167072',13767,'9999',42.13,1,3,NULL),(16,3824845,'1966-07-16 00:00:00',2,1,12,1985,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','524053055317471431522348382344610116093',NULL,'9999',21.30,1,3,NULL),(16,3824853,'1987-12-27 00:00:00',2,1,3,2008,'F','N','TRINDADE','FLORIANóPOLIS','SC','124252257437472431116544245134610135187',13327,'9999',42.91,2,1,2),(16,3824861,'1987-03-23 00:00:00',2,1,12,2005,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241125573431426144245334610164197',7252,'307',53.81,1,2,1),(16,3824870,'1986-10-02 00:00:00',2,1,12,2005,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241125474431522614485114610167042',12289,'283',44.74,1,2,1),(16,3824888,'1988-01-08 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','624243241317471531411374282214610134147',NULL,'276',25.73,1,3,NULL),(16,3824896,'1989-02-01 00:00:00',2,1,12,2006,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241112372431221724575124610127047',13935,'298',41.78,1,2,1),(16,3824900,'1990-07-25 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241112372421625319582124610147042',NULL,'281',33.56,1,2,1),(16,3824918,'1976-09-02 00:00:00',2,1,5,1995,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','624161163126371731634651241124610128147',10457,'9998',47.99,1,2,1),(16,3824926,'1991-01-30 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241117472411638635585124610144047',6442,'288',55.40,1,2,1),(16,3824934,'1988-06-06 00:00:00',2,1,11,2006,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241327471421434314345334610148197',14097,'296',41.45,1,3,NULL),(16,3824942,'1985-03-21 00:00:00',4,1,12,2002,'F','N','PONTE DO IMARUIM','PALHOçA','SC','224161161112271431626451372124610164177',10087,'9998',48.62,1,2,1),(16,3824950,'1981-08-09 00:00:00',2,1,12,2000,'F','N','NOSSA SRA DO ROSARIO','S JOSé','SC','224241241146273431334354345124610124187',13493,'736',42.62,1,2,1),(16,3824969,'1987-11-26 00:00:00',2,1,12,2006,'F','N','AREIAS','S JOSé','SC','124241241126473711321311385314610123187',14575,'730',40.56,1,2,1),(16,3824977,'1989-10-05 00:00:00',2,1,12,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC','124241241316472711256623372124610127077',NULL,'307',27.37,4,1,2),(16,3824985,'1989-06-23 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241117372431454653571124610123183',5204,'267',58.10,1,2,1),(16,3825000,'1990-02-10 00:00:00',2,1,12,2007,'F','N','SANTOS DUMONT','S JOSé','SC','124241241227472731524314342124610134147',15860,'9997',37.60,1,3,NULL),(16,3825019,'1981-04-17 00:00:00',2,1,12,2000,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124251241142575441636631495114610162177',4665,'9997',59.40,1,2,1),(16,3825027,'1990-03-17 00:00:00',4,1,12,2007,'M','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124242241216272412338824575114610162047',7466,'262',53.37,1,3,NULL),(16,3825035,'1989-07-16 00:00:00',2,1,12,2007,'F','N','JARDIM CIDADE','S JOSé','SC','124241241111271731215629441334610122147',NULL,'295',20.42,1,2,1),(16,3825043,'1989-10-21 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124161241122472711324524242324610122142',NULL,'922',29.81,1,2,1),(16,3825051,'1984-09-15 00:00:00',2,1,12,2004,'F','N','JURERE','FLORIANóPOLIS','SC','624204201146471431224347375121610164187',NULL,'9998',26.09,4,3,NULL),(16,3825060,'1989-11-30 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSé','SC','124244241237472421428623285124610123197',NULL,'1098',22.72,1,3,NULL),(16,3825078,'1987-12-06 00:00:00',2,1,12,2007,'F','N','SAUDADE','BIGUAçU','SC','624243241137471421323744342344610145147',NULL,'307',28.20,2,1,2),(16,3825086,'1989-01-03 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124161161117471431256516292122140238142',NULL,'9998',26.55,1,2,1),(16,3825094,'1988-09-24 00:00:00',4,1,12,2007,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241241346471431333633485124610134047',NULL,'298',13.62,4,3,NULL),(16,3825108,'1989-12-27 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANóPOLIS','SC','124201201112472411523335344114610134042',6681,'9998',54.91,4,2,1),(16,3825116,'1988-07-21 00:00:00',2,1,11,2006,'M','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124244247416573411355923372114610162045',NULL,'9999',34.61,1,3,NULL),(16,3825124,'1988-08-20 00:00:00',2,1,12,2005,'F','N','ALTO ARIRIú','PALHOçA','SC','124241241115472751633513445124610144192',11835,'591',45.58,1,2,1),(16,3825140,'1986-01-12 00:00:00',2,1,12,2004,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124241241126471411333344145123610137047',NULL,'281',25.99,1,2,1),(16,3825159,'1989-06-18 00:00:00',4,1,12,2005,'M','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124242241212373431338613575124130232183',NULL,'270',33.47,1,3,NULL),(16,3825167,'1980-08-18 00:00:00',2,1,12,1997,'M','N','SAO SEBASTIAO','PALHOçA','SC','124241243122371711633374145123610124067',13158,'591',43.22,1,2,1),(16,3825175,'1963-07-16 00:00:00',4,1,12,1983,'F','N','ITACORUBI','FLORIANóPOLIS','SC','124241244126475421141443335124330822092',15626,'190',38.24,1,2,1),(16,3825183,'1978-09-04 00:00:00',2,1,12,1997,'M','N','SACO DOS LIMÕES','FLORIANóPOLIS','SC','124203201115574751327644445334340438017',6125,'9998',56.08,1,3,NULL),(16,3825191,'1991-05-23 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSé','SC','124201241115371411324321575124610166147',12299,'733',44.73,1,2,1),(16,3825205,'1990-09-22 00:00:00',2,1,12,2007,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241117472332326318382224610124142',11124,'288',46.80,1,2,1),(16,3825213,'1988-08-19 00:00:00',4,1,12,2007,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241247127472431623319292324610134182',11588,'9999',46.02,1,2,1),(16,3825221,'1989-07-10 00:00:00',2,1,12,2006,'F','N','ARIRIU DA FORMIGA','PALHOçA','SC','124243241115373421326624492124610126181',9223,'592',50.21,1,3,NULL),(16,3825230,'1984-09-17 00:00:00',2,1,12,2002,'M','N','CANTO DA AMIZADE','STO AMARO IMPERATRIZ','SC','124241241126371431223429345123610128047',9266,'750',50.13,1,2,1),(16,3825248,'1990-11-10 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241115471711346613345124610127182',15083,'307',39.47,1,2,1),(16,3825256,'1990-07-31 00:00:00',2,1,12,2007,'F','N','AREIAS','S JOSé','SC','124241241132471421526631282134610111051',14077,'257',41.50,1,2,1),(16,3825264,'1988-06-05 00:00:00',2,1,8,2006,'M','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241121274431426324442344610124187',16190,'289',36.69,1,2,1),(16,3825272,'1990-04-18 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANóPOLIS','SC','124071241111272421115544342334610136097',15381,'288',38.81,2,1,1),(16,3825280,'1990-07-09 00:00:00',2,1,12,2007,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241127471431446633572124610127047',NULL,'290',27.20,1,2,1),(16,3825299,'1990-08-25 00:00:00',2,1,12,2007,'M','N','SANTINHO','FLORIANóPOLIS','SC','124241241117371331211428372114610114117',NULL,'288',19.24,1,2,1),(16,3825302,'1972-09-08 00:00:00',2,1,6,1993,'F','N','COLONINHA','FLORIANóPOLIS','SC','224241247127373721333353275124610122147',10736,'263',47.48,1,2,1),(16,3825329,'1985-03-09 00:00:00',2,1,12,2004,'F','N','CORREGO GRANDE','FLORIANóPOLIS','SC','124241241122371131623214112344610164197',NULL,'307',0.00,2,1,1),(16,3825337,'1991-03-28 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124244241217371411456713575124610164147',9993,'1022',48.79,1,3,NULL),(16,3825345,'1984-06-18 00:00:00',2,1,7,2003,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241247125371431124344445124610123057',NULL,'178',0.00,1,2,1),(16,3825353,'1985-11-25 00:00:00',2,1,12,2003,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241248126271431226614342114610137057',NULL,'808',33.49,1,2,1),(16,3825361,'1988-03-03 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241121372431633514345124610137077',NULL,'288',19.72,4,2,1),(16,3825370,'1986-06-02 00:00:00',2,1,12,2003,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241122372431525444442124222327117',4606,'279',59.54,1,2,1),(16,3825388,'1975-02-24 00:00:00',2,1,12,1992,'F','N','BARREIROS','S JOSé','SC','224241248117271711323352486124610121187',NULL,'591',25.42,1,2,1),(16,3825396,'1990-09-06 00:00:00',2,1,12,2007,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','124203241146272431437611295124610134117',6594,'289',55.06,1,3,NULL),(16,3825400,'1987-05-12 00:00:00',4,1,12,2004,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241147271411336624295124130224097',4475,'111',59.84,1,2,1),(16,3825418,'1989-11-30 00:00:00',2,1,12,2006,'M','N','COSTEIRA','FLORIANóPOLIS','SC','124241251117372432356333395114610168147',14787,'281',40.09,4,2,1),(16,3825426,'1990-06-28 00:00:00',2,1,12,2007,'M','N','CENTRO','S JOSé','SC','124161161136371411123316345334610116057',14316,'9998',41.02,1,2,1),(16,3825434,'1986-02-13 00:00:00',2,1,12,2004,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124241241125373411124444141334610128097',11255,'307',46.55,1,2,1),(16,3825442,'1990-11-03 00:00:00',4,1,2,2008,'M','N','PANTANAL','FLORIANóPOLIS','SC','124243241116271431458823574124610124187',3114,'271',63.49,1,3,NULL),(16,3825450,'1987-09-12 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANOPOLIS','SC','124241248112372731318339345234610148187',14954,'257',39.78,1,2,1),(16,3825469,'1978-06-19 00:00:00',2,1,12,1998,'F','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124201201117371431114344442324610145197',16456,'9998',35.66,1,2,1),(16,3825485,'1989-04-13 00:00:00',2,1,12,2006,'M','N','AREIAS','S JOSé','SC','124241241116372421646334245133610137037',9508,'257',49.71,1,2,1),(16,3825493,'1988-03-12 00:00:00',2,1,11,2006,'F','N','ABRAãO','FLORIANóPOLIS','SC','524241241116332421125344245334610134142',NULL,'276',30.37,4,2,1),(16,3825507,'1982-05-31 00:00:00',5,1,12,1999,'F','N','ABRAAO','FLORIANóPOLIS','SC','224245243541133411323359291115610116092',NULL,'338',0.00,1,3,NULL),(16,3825515,'1986-06-18 00:00:00',4,1,12,2002,'M','N','ITACORUBI','FLORIANóPOLIS','SC','124241241121272431226648181124130224033',5954,'57',56.44,1,2,1),(16,3825523,'1988-05-09 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241117274431438813575124610114017',14812,'147',40.04,1,2,1),(16,3825531,'1986-08-05 00:00:00',2,1,12,2004,'F','N','JARDIM ELDORADO','PALHOçA','SC','124241241142272231123344142324610124147',NULL,'772',0.00,3,2,1),(16,3825540,'1984-08-15 00:00:00',4,1,12,2001,'M','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124241241117374431226829345234610114037',NULL,'281',25.86,1,2,1),(16,3825558,'1966-08-30 00:00:00',2,1,12,2008,'M','N','AGRONôMICA','FLORIANóPOLIS','SC','224241241127371421424443235134610124117',NULL,'9999',32.15,1,2,1),(16,3825566,'1967-11-22 00:00:00',4,1,12,1993,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241146271431123348285124610137187',NULL,'790',25.25,4,2,1),(16,3825574,'1990-02-08 00:00:00',4,1,12,2007,'F','N','CENTRO','PALHOçA','SC','124241241115272431526622385124610164141',10689,'306',47.58,1,2,1),(16,3825582,'1988-03-01 00:00:00',2,1,12,2006,'M','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124241241125271431223529245124610127052',9154,'288',50.31,1,2,1),(16,3825590,'1982-12-08 00:00:00',2,1,12,2004,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241127271511116341212111610167057',NULL,'281',0.00,3,2,1),(16,3825604,'1983-06-23 00:00:00',2,1,12,2002,'F','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','124241247127271731123339342334610126187',NULL,'9999',27.39,1,2,1),(16,3825612,'1969-08-19 00:00:00',2,1,12,2002,'F','N','COQUEIROS','FLORIANóPOLIS','SC','524242247146372711323344142124610167183',12029,'9999',45.22,1,3,NULL),(16,3825620,'1986-02-10 00:00:00',4,1,12,2003,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241135472411127448385124131024092',14820,'177',40.03,4,2,1),(16,3825639,'1986-07-08 00:00:00',2,1,12,2004,'F','N','BARREIROS','S JOSé','SC','624141141337271431316654482124610124147',NULL,'9998',29.57,4,3,NULL),(16,3825647,'1989-02-23 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241125372411225644342124610114045',12686,'560',44.02,1,2,1),(16,3825655,'1963-12-19 00:00:00',2,1,12,2008,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','524201248126371421343343235134610162197',NULL,'9999',24.40,1,2,1),(16,3825663,'1988-10-27 00:00:00',4,1,12,2005,'F','N','INGLESES','FLORIANóPOLIS','SC','124203241122273431523631382324610124047',13107,'922',43.32,2,1,2),(16,3825671,'1985-05-13 00:00:00',2,1,12,2002,'M','N','RIO TAVARES','FLORIANóPOLIS','SC','124241241135373431524614342234610117047',11988,'285',45.28,1,2,1),(16,3825680,'1986-03-10 00:00:00',2,1,12,2003,'F','N','CóRREGO GRANDE','FLORIANóPOLIS','SC','124241161116374411126843132344121761182',5999,'9998',56.35,4,2,1),(16,3825698,'1987-12-23 00:00:00',2,1,12,2007,'M','N','SãO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241247126272431523621335124610132147',NULL,'9999',27.98,1,2,1),(16,3825701,'1991-11-22 00:00:00',2,1,12,2008,'F','N','AREIAS','S JOSé','SC','124244241116271531326314575224610124197',NULL,'739',27.93,1,3,NULL),(16,3825710,'1989-11-21 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSé','SC','124241241117372411333311442344610122147',NULL,'17',40.49,1,2,1),(16,3825728,'1982-10-15 00:00:00',2,1,12,2000,'M','N','SERRINHA','FLORIANóPOLIS','SC','124161161124271731123449282324610127043',16259,'9998',36.49,4,2,1),(16,3825736,'1985-07-27 00:00:00',4,1,7,2004,'F','N','AREIAS','S JOSé','SC','124243241127372431623311442314610116077',13088,'730',43.35,1,3,NULL),(16,3825744,'1987-01-22 00:00:00',2,1,12,2004,'F','N','CÓRREGO GRANDE','FLORIANOPOLIS','SC','224241247346271431626324382214610127015',NULL,'9999',21.07,1,3,NULL),(16,3825752,'1982-01-13 00:00:00',2,1,12,1999,'M','N','FORQUILHINHAS','S JOSé','SC','224241241137131421325444345324610122157',NULL,'295',40.91,1,2,1),(16,3825760,'1986-05-26 00:00:00',4,1,12,2004,'F','N','ESTREITO','FLORIANóPOLIS','SC','224241241116372411233353275114610163147',14396,'359',40.88,1,2,1),(16,3825787,'1983-09-30 00:00:00',2,1,12,2003,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124241241125373431623311381224610124187',NULL,'307',42.38,1,2,1),(16,3825795,'1982-03-29 00:00:00',2,1,12,2001,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','224041044126271731233354342124610128187',NULL,'9998',30.38,4,2,1),(16,3825809,'1988-02-06 00:00:00',2,1,12,2005,'F','N','CAMINHO NOVO','PALHOçA','SC','124241241127371751436624141224130828142',9012,'592',50.56,1,2,1),(16,3825817,'1985-04-02 00:00:00',2,1,12,2005,'M','N','RATONES','FLORIANóPOLIS','SC','124241241121273421633324242314610117033',8104,'279',52.21,1,2,1),(16,3825825,'1988-08-05 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241147331431623314285324610131117',16368,'288',36.13,1,2,1),(16,3825833,'1981-08-29 00:00:00',2,1,12,1996,'F','N','BELA VISTA','S JOSé','SC','124241241117372431334429445124610123147',NULL,'65',39.27,4,1,1),(16,3825841,'1986-03-12 00:00:00',2,1,12,2003,'F','N','CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC','124241241127371421321329242124610154067',14249,'288',41.14,4,2,1),(16,3825850,'1990-08-01 00:00:00',2,1,2,2007,'F','N','FORQUILHAS','S JOSé','SC','124241241111271431424313595124610124147',NULL,'733',26.12,1,2,1),(16,3825868,'1983-04-13 00:00:00',4,1,12,2005,'M','N','SERRARIA','S JOSé','SC','624241247122272411225541112324142937032',NULL,'635',0.00,1,2,1),(16,3825884,'1985-09-25 00:00:00',4,1,7,2008,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','224241247147271421223344346134610124147',15200,'9999',39.20,1,2,1),(16,3825892,'1976-04-12 00:00:00',2,1,12,1993,'M','N','GUARDA DO CUBATAO','PALHOçA','SC','224241248127271721323544341344610128183',NULL,'591',30.85,1,2,1),(16,3825906,'1988-06-10 00:00:00',2,1,12,2005,'M','N','BARREIROS','S JOSé','SC','124243241136272411324644245233610127047',10363,'257',48.15,1,3,NULL),(16,3825914,'1989-02-27 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241111472231426629211134610114147',NULL,'288',32.01,1,2,1),(16,3825922,'1986-12-19 00:00:00',2,1,12,2004,'F','N','CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC','124241248127371731623419346314610137187',NULL,'288',30.47,1,2,1),(16,3825930,'1987-05-05 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANóPOLIS','SC','124201204117271721633614442334610123157',15684,'9998',38.11,1,2,1),(16,3825949,'1981-08-20 00:00:00',2,1,12,1998,'F','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124201201137272432126449445334610133047',15211,'9998',39.18,1,2,1),(16,3825957,'1991-09-25 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124201241115371431434839275124610127147',10523,'295',47.88,1,2,1),(16,3825965,'1988-05-15 00:00:00',2,1,12,2005,'M','N','BELA VISTA','S JOSé','SC','124241241146372431425454215134610117052',13063,'840',43.37,1,2,1),(16,3825973,'1992-03-11 00:00:00',2,1,12,2008,'M','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124203241136371231436511595224610166147',8893,'295',50.75,1,3,NULL),(16,3825981,'1983-12-03 00:00:00',2,1,12,2003,'M','N','PANTANAL','FLORIANóPOLIS','SC','124241241127273521543311342345610127047',NULL,'281',23.11,1,2,1),(16,3825990,'1985-11-29 00:00:00',4,1,12,2003,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124241241427272431226544445123610128047',9933,'262',48.89,1,3,NULL),(16,3826007,'1981-08-06 00:00:00',4,1,12,2003,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','224241247127371431223351382114610127147',15066,'9999',39.51,1,2,1),(16,3826015,'1988-07-29 00:00:00',4,1,12,2005,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241117372331326624342344610123027',15345,'276',38.88,2,1,1),(16,3826023,'1988-06-19 00:00:00',2,1,7,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241247417372732457837345124610127067',NULL,'9999',30.94,1,3,NULL),(16,3826031,'1986-09-10 00:00:00',2,1,12,2003,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124241241116374421226643232324610166072',NULL,'257',36.22,1,2,1),(16,3826040,'1985-03-25 00:00:00',2,1,12,2002,'F','N','BELA VISTA','S JOSé','SC','324241241147271431227644244334610122187',8875,'293',50.77,1,2,1),(16,3826058,'1990-05-19 00:00:00',2,1,11,2007,'F','N','KOBRASOL','S JOSé','SC','124241241117271431225624282124610143087',15759,'733',37.89,1,2,1),(16,3826066,'1988-06-30 00:00:00',2,1,7,2006,'F','N','PONTA DAS CANAS','FLORIANóPOLIS','SC','124201241337372411345623145114131023187',NULL,'9999',26.23,1,3,NULL),(16,3826074,'1985-10-25 00:00:00',2,1,12,2003,'M','N','ESTACAO','FRANCA','SP','125253251235374431327614275125121427057',1762,'9998',68.16,1,3,NULL),(16,3826082,'1982-09-20 00:00:00',2,1,12,2002,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124171171122271431221144442324610124147',16232,'9998',36.58,4,2,1),(16,3826090,'1978-03-24 00:00:00',2,1,12,1994,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124204201111373411323641412224610133043',NULL,'9998',30.88,1,3,NULL),(16,3826104,'1988-03-03 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241117512431226649395114610138187',NULL,'798',28.35,1,2,1),(16,3826112,'1982-02-24 00:00:00',2,1,12,2000,'M','N','SAO SEBASTIAO','PALHOCA','SC','224241241147573451426644241224610118197',NULL,'357',40.84,1,2,1),(16,3826120,'1990-03-12 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANóPOLIS','SC','124164161327271431326868295124610127057',9426,'9998',49.85,1,3,NULL),(16,3826139,'1987-12-28 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241125271451336664285124610127017',8018,'922',52.39,1,2,1),(16,3826147,'1990-01-18 00:00:00',4,1,12,2007,'F','N','BOM ABRIGO','FLORIANóPOLIS','SC','124202248127371731126649392324610132117',NULL,'9997',21.58,1,3,NULL),(16,3826163,'1990-07-02 00:00:00',4,1,12,2007,'M','N','VARGEM PEQUENA','FLORIANóPOLIS','SC','124241241146371711126614285124610147182',15357,'288',38.86,1,2,1),(16,3826171,'1991-04-23 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSé','SC','124241241111271411636613275124610147047',14568,'733',40.58,1,2,1),(16,3826180,'1986-02-28 00:00:00',4,1,12,2003,'M','N','INGLESES','FLORIANóPOLIS','SC','124252241127373431118817382344130226147',7090,'288',54.11,1,3,NULL),(16,3826198,'1983-08-15 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241116372441223349445334610144147',NULL,'194',25.24,1,2,1),(16,3826201,'1990-06-17 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOçA','SC','124241241117271732323319582324610138147',10664,'591',47.63,1,2,1),(16,3826210,'1988-03-01 00:00:00',4,1,12,2006,'F','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124251251116372431223344245224610164047',14661,'9998',40.36,1,2,1),(16,3826228,'1982-04-30 00:00:00',2,1,12,2001,'M','N','CARIANOS','FLORIANóPOLIS','SC','124243247327513731217444441324610121097',NULL,'9999',19.99,1,3,NULL),(16,3826236,'1978-10-11 00:00:00',4,1,12,1998,'F','N','VARGEM DO BOM JESUS','FLORIANóPOLIS','SC','224241241147231411323334241234610126147',15970,'289',37.32,1,2,1),(16,3826244,'1990-12-10 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124243241317372411426924586114610132147',NULL,'257',33.90,1,3,NULL),(16,3826252,'1986-01-06 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANóPOLIS','SC','224241241116371431233354444234610128147',14650,'184',40.38,1,2,1),(16,3826260,'1983-11-29 00:00:00',4,1,12,2001,'F','N','PANTANAL','FLORIANóPOLIS','SC','124201201136272421225974442324143224052',15271,'9998',39.04,4,2,1),(16,3826279,'1987-09-25 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124241241137272451123644344334610147147',7227,'359',53.86,1,2,1),(16,3826287,'1981-02-11 00:00:00',2,1,12,2002,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241146271731523219345123610127047',11918,'281',45.42,1,3,NULL),(16,3826295,'1985-08-15 00:00:00',2,1,11,2005,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124243247332371431327214385214610167057',NULL,'9999',0.00,2,1,2),(16,3826309,'1976-01-14 00:00:00',2,1,7,2008,'M','N','FLORESTA','S JOSé','SC','224241248125371732323344145113613267047',NULL,'1117',27.33,1,2,1),(16,3826317,'1987-05-17 00:00:00',2,1,12,2004,'M','N','FORQUILHINHAS','S JOSé','SC','124241241112272421424314381113610167057',NULL,'727',0.00,1,2,1),(16,3826325,'1988-11-19 00:00:00',2,1,11,2007,'F','N','MONTE CRISTO','FLORIANóPOLIS','SC','124241241112372411325323382124610138142',NULL,'257',12.92,1,2,1),(16,3826333,'1988-05-26 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241241116372431126344445124132527053',7463,'601',53.38,1,2,1),(16,3826341,'1985-11-16 00:00:00',2,1,12,2003,'F','N','FORQUILHINHAS','S JOSé','SC','124241241122375731426314241334610126097',13457,'727',42.68,1,2,1),(16,3826350,'1984-01-25 00:00:00',2,1,12,2001,'F','N','COLONINHA','FLORIANóPOLIS','SC','124241241116275431335414445114610164142',15915,'257',37.46,1,3,NULL),(16,3826368,'1978-12-17 00:00:00',2,1,12,2008,'F','N','PONTA DE BAIXO','SAO JOSE','SC','124241247145375421121644242124610122047',8415,'9999',51.56,4,1,2),(16,3826376,'1990-04-07 00:00:00',2,1,12,2007,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','124201241127271431226629341333610124147',11263,'257',46.53,1,2,1),(16,3826384,'1989-09-18 00:00:00',4,1,12,2006,'F','N','RIBEIRãO DA ILHA','FLORIANóPOLIS','SC','124241241146371742331121345234610122141',NULL,'278',25.68,1,2,1),(16,3826406,'1990-01-08 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241111371731424314381344610137142',14166,'295',41.29,2,1,1),(16,3826414,'1989-03-18 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241137371432356623345114610165182',NULL,'281',29.26,1,2,1),(16,3826422,'1983-05-22 00:00:00',2,1,12,2000,'F','N','ESTREITO','FLORIANóPOLIS','SC','124201205111231431526574381114143034117',NULL,'9998',21.48,1,3,NULL),(16,3826430,'1974-03-07 00:00:00',2,1,12,1995,'F','N','PANTANAL','FLORIANóPOLIS','SC','124173173122271411223341411123141061187',NULL,'9998',26.28,4,3,NULL),(16,3826449,'1989-11-01 00:00:00',2,1,7,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','624241241117271431423514481124610167147',8083,'306',52.26,5,2,1),(16,3826457,'1985-06-18 00:00:00',4,1,12,2000,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241146211431322424242334131322027',NULL,'348',0.00,4,2,1),(16,3826465,'1987-09-30 00:00:00',2,1,12,2004,'F','N','CACHOEIRA DO BOM','FLORIANóPOLIS','SC','124241241134371741523311242214133246145',9768,'49',49.21,1,2,1),(16,3826473,'1990-04-16 00:00:00',2,1,12,2007,'F','N','ARMAçãO DO P DO SUL','FLORIANóPOLIS','SC','124241241115272431335431372124610121017',13816,'281',42.02,1,2,1),(16,3826481,'1992-01-27 00:00:00',2,1,12,2008,'F','N','FABRICIO','STO AMARO IMPERATRIZ','SC','124241241115271431426611475124610132013',NULL,'941',26.31,1,2,1),(16,3826490,'1989-08-24 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241146273431226444242134610127145',14637,'281',40.41,1,2,1),(16,3826503,'1985-07-02 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSé','SC','124201241115471431435531442224610123072',NULL,'732',27.71,1,2,1),(16,3826511,'1985-02-08 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241241136372411123344345224130247147',NULL,'76',32.83,1,2,1),(16,3826520,'1990-12-10 00:00:00',2,1,12,2007,'F','N','SANTINHO','FLORIANóPOLIS','SC','124241241137271411335921382324610125177',11760,'288',45.71,1,2,1),(16,3826538,'1990-03-26 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241316273411423331342334610126142',9682,'9997',49.37,4,3,NULL),(16,3826546,'1986-02-05 00:00:00',2,1,12,2004,'M','N','CANTO DA LAGOA','FLORIANóPOLIS','SC','124241241124272412424321212114610112117',11180,'285',46.70,1,2,1),(16,3826589,'1991-04-30 00:00:00',2,1,12,2008,'F','N','FAZNDA STO ANTONIO','S JOSé','SC','124241241115371721223324572124610167057',NULL,'733',29.64,1,2,1),(16,3826597,'1975-03-24 00:00:00',2,1,7,2005,'F','N','INGLESES','FLORIANóPOLIS','SC','224251258125272421523359182124610118187',NULL,'9998',0.00,1,2,1),(16,3826600,'1983-08-29 00:00:00',2,1,12,2000,'F','N','CARVOEIRA','FLORIANóPOLIS','SC','124241241137372431123344245224121724147',10561,'689',47.81,1,2,1),(16,3826619,'1986-07-29 00:00:00',4,1,12,2005,'F','N','RATONES','FLORIANóPOLIS','SC','124241241125372431423511344114610164042',15121,'922',39.37,1,2,1),(16,3826627,'1965-03-22 00:00:00',2,1,12,2002,'F','N','PICADAS DOSUL','S JOSé','SC','224241247122233232333343432134610168187',NULL,'9999',18.96,1,2,1),(16,3826643,'1984-10-21 00:00:00',2,1,12,2002,'M','N','PANTANAL','FLORIANóPOLIS','SC','124242247416331421444433485324610114122',NULL,'281',16.20,1,3,NULL),(16,3826651,'1984-04-13 00:00:00',2,1,12,2001,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241147372411123348385124610138017',10773,'292',47.42,1,2,1),(16,3826660,'1983-12-13 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANóPOLIS','SC','124241248116331421124729395124610114042',NULL,'298',19.16,1,2,1),(16,3826678,'1989-08-02 00:00:00',4,1,12,2006,'F','N','ABRAAO','FLORIANóPOLIS','SC','124241241116271432449831415124610121187',13854,'307',41.94,1,2,1),(16,3826708,'1987-05-25 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241126372431336611312324610112042',7675,'307',53.01,1,2,1),(16,3826716,'1991-11-06 00:00:00',2,1,12,2008,'F','N','FUNDOS','BIGUAçU','SC','124241241112371711323129571224610166142',11471,'65',46.22,4,2,1),(16,3826724,'1988-12-20 00:00:00',2,1,12,2006,'M','N','ABRAãO','FLORIANóPOLIS','SC','124241241117272331316679572124230217057',NULL,'293',25.97,1,2,1),(16,3826732,'1988-01-29 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241125272411533344345334610138177',11524,'282',46.13,4,2,1),(16,3826740,'1988-02-13 00:00:00',4,1,12,2005,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241121273411334334244224610122052',13942,'298',41.77,4,2,1),(16,3826759,'1976-08-28 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANóPOLIS','SC','124161241122372421226641112314610167142',NULL,'292',27.59,1,2,1),(16,3826767,'1986-11-26 00:00:00',2,1,5,2005,'M','N','INGLESES','FLORIANóPOLIS','SC','624201201147231731235444442334610147062',11401,'9998',46.34,1,2,1),(16,3826775,'1989-07-20 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241112271731528629582324131217043',NULL,'307',0.00,4,2,1),(16,3826783,'1990-01-09 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANóPOLIS','SC','124241241135272431436334345334610134047',13250,'281',43.06,4,2,1),(16,3826791,'1991-06-21 00:00:00',2,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAçU','SC','124243241411271431326619272124610137147',16140,'63',36.80,1,3,NULL),(16,3826805,'1980-05-15 00:00:00',2,1,12,2000,'F','N','PANTANAL','FLORIANóPOLIS','SC','124243241327371411112244251324610125097',NULL,'263',4.00,1,3,NULL),(16,3826813,'1990-01-04 00:00:00',2,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241127342712436619492324610117042',NULL,'290',30.40,1,2,1),(16,3826821,'1990-12-25 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124241241112371431433324342224610118142',10608,'287',47.71,1,2,1),(16,3826830,'1987-04-23 00:00:00',2,1,12,2003,'F','N','COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC','124201201112271431123444341124610133157',NULL,'9998',28.52,3,3,NULL),(16,3826848,'1989-09-24 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124161241447271441224544245124610124042',NULL,'783',27.31,1,3,NULL),(16,3826856,'1989-06-06 00:00:00',4,1,12,2006,'F','N','SAO SEBASTIAO','PALHOçA','SC','124241241111271451123444445124132724077',NULL,'592',32.18,1,2,1),(16,3826864,'1986-04-05 00:00:00',2,1,12,2003,'M','N','CARIANOS','FLORIANóPOLIS','SC','124241241115273721325339282223610138117',11829,'283',45.59,1,2,1),(16,3826872,'1987-07-09 00:00:00',2,1,11,2004,'F','N','BARRA DO SAMBAQUI','FLORIANóPOLIS','SC','124241241117371411423574285124610126167',NULL,'307',0.00,3,2,1),(16,3826880,'1982-09-30 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANóPOLIS','SC','124243241135271431123344244324610148147',9934,'757',48.89,1,3,NULL),(16,3826899,'1984-01-05 00:00:00',2,1,12,2003,'M','N','LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC','124241241125273431622111196114610127147',NULL,'282',25.94,1,2,1),(16,3826902,'1990-08-02 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANóPOLIS','SC','124243241117272431426614491114610124142',NULL,'307',41.45,1,3,NULL),(16,3826910,'1990-08-10 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241132371711435623585124610117012',11578,'281',46.05,4,2,1),(16,3826929,'1973-01-16 00:00:00',4,1,7,2006,'F','N','AGRONôMICA','FLORIANóPOLIS','SC','124201207127231231223344142334610136097',NULL,'9999',23.37,1,2,1),(16,3826937,'1990-03-28 00:00:00',4,1,7,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241117371631437613376124610124197',2625,'306',64.91,1,2,1),(16,3826945,'1986-05-08 00:00:00',2,1,6,2004,'F','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241126373731236544345122122224043',NULL,'307',39.90,1,2,1),(16,3826953,'1989-05-25 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANóPOLIS','SC','124242241212574431468833492124230263043',2209,'883',66.38,1,3,NULL),(16,3826970,'1985-08-27 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANóPOLIS','SC','124241241137242411246844345331610137092',NULL,'289',25.08,1,3,NULL),(16,3826988,'1985-02-14 00:00:00',2,1,12,2002,'M','N','INGLESES','FLORIANóPOLIS','SC','124251241125271411336644242124610127067',11572,'922',46.05,1,2,1),(16,3826996,'1987-03-10 00:00:00',4,1,6,2005,'M','N','CAMPECHE','FLORIANóPOLIS','SC','124244247437372441258823434325131068177',NULL,'9999',41.62,1,3,NULL),(16,3827003,'1978-10-02 00:00:00',2,1,12,2004,'M','N','SERRARIA','S JOSé','SC','124241241123241311316644142333610116027',NULL,'736',25.58,2,1,1),(16,3827011,'1989-03-01 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANóPOLIS','SC','125251251117471421326621575125610141142',10697,'9998',47.56,1,2,1),(16,3827020,'1988-07-13 00:00:00',2,1,8,2006,'F','N','JOAO PAULO','FLORIANOPOLIS','SC','124241241124373431112544342334610122147',NULL,'289',23.82,1,2,1),(16,3827038,'1988-09-21 00:00:00',2,1,12,2005,'F','N','SERRINHA','FLORIANóPOLIS','SC','124241241116272431433319492334610128197',11771,'298',45.69,4,2,1),(16,3827046,'1983-09-19 00:00:00',2,1,12,2002,'F','N','PANTANAL','FLORIANóPOLIS','SC','124241241127373421123344446334610122147',16285,'857',36.41,1,2,1),(16,3827054,'1990-12-25 00:00:00',2,1,12,2007,'F','N','COLONINHA','FLORIANóPOLIS','SC','124241241117371431526569295124610126147',NULL,'9997',30.15,1,2,1),(16,3827062,'1982-11-12 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241127273751427644245224610141117',9442,'922',49.83,4,2,1),(16,3827089,'1989-10-04 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANóPOLIS','SC','124241241135372431313619342324610137142',NULL,'307',27.25,1,2,1),(16,3827097,'1988-07-12 00:00:00',2,1,12,2005,'F','N','PANTANO DO SUL','FLORIANóPOLIS','SC','124241241147272431428524242124610121057',NULL,'291',29.57,1,2,1),(16,3827100,'1985-04-23 00:00:00',4,1,12,2001,'F','N','BARREIROS','S JOSé','SC','124243241117373541638879471124130628097',15584,'712',38.35,1,3,NULL),(16,3827119,'1985-02-12 00:00:00',2,1,12,2002,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','124241241114373431623324245124610124097',13270,'276',43.03,1,2,1),(16,3827127,'1990-01-03 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANóPOLIS','SC','124243241135372411243529572122610147177',14773,'288',40.12,1,3,NULL),(16,3827135,'1985-11-05 00:00:00',2,1,12,2005,'F','N','ARMAçãO PâNTANO SUL','FLORIANóPOLIS','SC','124241241117372411426344244224610136142',15603,'307',38.31,1,2,1),(16,3827143,'1984-10-20 00:00:00',4,1,12,2006,'M','N','AGRONOMICA','FLORIANOPOLIS','SC','124051051111271411121144244324610116141',11780,'9998',45.68,2,1,1),(16,3827151,'1977-05-14 00:00:00',2,1,12,1995,'F','N','CENTRO','FLORIANóPOLIS','SC','524241241127371411116341212221610127097',NULL,'171',0.00,1,2,1),(16,3827160,'1988-11-26 00:00:00',2,1,12,2006,'F','N','RIO VERMELHO','FLORIANóPOLIS','SC','124241241126272431533313342114610167047',NULL,'274',28.26,4,2,1),(16,3827178,'1991-09-28 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSé','SC','124243248117271551526829575114610122012',NULL,'733',38.15,4,3,NULL),(16,3827186,'1988-03-17 00:00:00',2,1,12,2005,'F','N','JOãO PAULO','FLORIANóPOLIS','SC','124241241116374431325344342134610122147',10598,'298',47.74,1,2,1),(16,3827194,'1990-03-07 00:00:00',2,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241127272731324419375314610117042',12140,'290',45.01,1,3,NULL),(16,3827224,'1979-09-02 00:00:00',4,1,12,1999,'M','N','ESTREITO','FLORIANóPOLIS','SC','124202203116371431129644245124142062097',NULL,'9998',0.00,4,3,NULL),(16,3827232,'1991-04-08 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241247216231451526574585114610124117',NULL,'9999',16.36,1,3,NULL),(16,3827240,'1984-09-15 00:00:00',2,1,12,2001,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241137372421423629442234610124097',11017,'287',46.99,1,3,NULL),(16,3827259,'1985-02-07 00:00:00',2,1,12,2003,'M','N','MORRO DAS PEDRAS','FLORIANóPOLIS','SC','124241241127271411634311372341610117042',NULL,'291',28.69,1,2,1),(16,3827267,'1983-07-15 00:00:00',2,1,12,2003,'M','N','BREJARU','PALHOçA','SC','124241241112271431424344441123610137067',NULL,'359',0.00,1,2,1),(16,3827275,'1990-10-03 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANóPOLIS','SC','124244241116311431527614245314610127147',NULL,'288',25.01,1,3,NULL),(16,3827283,'1983-07-16 00:00:00',2,1,12,2002,'F','N','CARIANOS','FLORIANóPOLIS','SC','124241241127373421218348481324610126182',NULL,'283',27.41,2,1,1),(16,3827291,'1989-12-23 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMõES','FLORIANóPOLIS','SC','124131131126271731421274585214610123147',14179,'9998',41.27,4,2,1),(16,3827305,'1981-06-27 00:00:00',2,1,12,2002,'M','N','BARRA DO ARIRIU','PALHOçA','SC','124241245126133411623321132324610156143',NULL,'307',24.38,1,3,NULL),(16,3827313,'1965-02-07 00:00:00',2,1,12,2002,'F','N','RIO TAVARES','FLORIANóPOLIS','SC','224201205136131421424443235124610127147',13921,'9998',41.82,1,2,1),(16,3827321,'1970-01-13 00:00:00',2,1,12,2001,'F','N','JARDIM ATLANTICO','FLORIANóPOLIS','SC','624241241126132421423443235134610123143',15897,'284',37.49,4,1,1),(16,3827330,'1979-06-09 00:00:00',4,1,10,1999,'F','N','CAMPINAS','S JOSé','SC','124202208216143431539923435124232717187',NULL,'9998',24.92,1,3,NULL),(16,3827348,'1979-11-03 00:00:00',4,1,12,1997,'F','N','CAPOEIRAS','FLORIANóPOLIS','SC','224163165117132421335854235124140233022',NULL,'9998',0.00,1,3,NULL),(16,3827364,'1986-08-09 00:00:00',2,1,12,2003,'F','N','CAMPINAS','S JOSé','SC','124241241146132431126644245334130834057',NULL,'19',25.28,1,2,1),(16,3827372,'1991-05-31 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOçA','SC','124241241115371731437614371124610162147',14572,'592',40.57,1,2,1),(16,3827380,'1967-01-31 00:00:00',2,1,12,1986,'F','N','TRINDADE','FLORIANóPOLIS','SC','124241245136135411323319481344610132182',NULL,'307',18.51,1,3,NULL),(16,3827399,'1988-11-09 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANóPOLIS','SC','124161161116132431221323375224121727077',14163,'9998',41.30,1,2,1),(16,3827402,'1982-03-28 00:00:00',4,1,7,2001,'F','N','TRINDADE','FLORIANóPOLIS','SC','624241248347271441433354442324610128187',15811,'9999',37.74,2,1,2),(16,3827429,'1991-10-02 00:00:00',2,4,12,2008,'F','N','CENTRO','DESCANSO','SC','124243241317131431436632575124610167057',16432,'242',35.79,1,3,NULL),(16,3827437,'1983-11-03 00:00:00',2,1,12,1999,'M','N','MONTE VERDE','FLORIANóPOLIS','SC','124241241137131431343344245124610164037',NULL,'192',23.05,1,3,NULL),(16,3827445,'1991-01-06 00:00:00',4,9,12,2008,'M','N','NOSSA S APARECIDA','CURITIBANOS','SC','124241241116271441323364375125610166047',11908,'240',45.43,4,2,1),(16,3827453,'1991-03-11 00:00:00',4,9,3,2008,'M','N','NOSSA SENHARPARECIDA','CURITIBANOS','SC','124241241115131531613319245122610114047',NULL,'240',0.00,4,2,1),(16,3827461,'1983-04-11 00:00:00',2,9,4,2008,'F','N','AGUA SANTA','CURITIBANOS','SC','224241241115131711631474342222610121144',NULL,'240',0.00,1,3,NULL),(16,3827470,'1991-09-16 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANóPOLIS','SC','124161241117371431437634475124610168092',7114,'298',54.07,1,2,1),(16,3827488,'1991-06-16 00:00:00',2,7,12,2008,'F','N','APARECIDA','CAMPOS NOVOS','SC','124241241115131732323634575125610114012',NULL,'139',22.06,4,2,1),(16,3827496,'1991-07-25 00:00:00',2,7,12,2008,'F','N','APARECIDA','CAMPOS NOVOS','SC','124241241115131732213624575225610164012',NULL,'139',19.00,4,2,1),(16,3827500,'1989-09-10 00:00:00',4,9,12,2006,'F','N','CENTRO','LAGES','SC','124242241216372431438619375124231426172',15917,'1065',37.45,4,3,NULL),(16,3827518,'1985-07-11 00:00:00',2,1,12,2003,'F','N','CENTRO','ANTôNIO CARLOS','SC','224241241126131422236654245121130214147',NULL,'95',20.54,1,2,1),(16,3827526,'1991-12-21 00:00:00',2,7,12,2008,'F','N','CENTRO','LUZERNA','SC','124241241136131431423316172222610121142',15820,'539',37.71,1,2,1),(16,3827534,'1990-10-12 00:00:00',4,1,10,2008,'F','N','FLOR DE NAPOLIS','S JOSé','SC','224241241127131441225944145134610124147',NULL,'727',20.54,1,3,NULL),(16,3827542,'1989-09-24 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANóPOLIS','SC','124242241215272731328529212344610127047',12455,'266',44.46,1,3,NULL),(16,3827550,'1980-07-11 00:00:00',2,1,12,1997,'F','N','FORQUILHINHAS','S JOSé','SC','124242241216134721229343432314610168097',NULL,'266',0.00,4,3,NULL),(16,3827569,'1990-10-15 00:00:00',2,6,11,2007,'M','N','NOSSA SENHORA DA PAZ','BAL PIçARRAS','SC','124241241416131431423324141221231034141',NULL,'614',0.00,1,3,NULL),(16,3827585,'1991-07-05 00:00:00',2,10,12,2008,'F','N','PEDRA BRANCA','PALHOçA','SC','624241241127231231223371385323610164047',NULL,'591',22.37,1,2,1),(16,3827593,'1983-04-11 00:00:00',2,1,12,2001,'M','N','BARREIROS','S JOSé','SC','124161161125372421433644146333143247047',12616,'9998',44.16,2,3,NULL),(16,3827607,'1991-06-07 00:00:00',2,6,12,2008,'F','N','CORDEIROS','S SEBASTIãO ARVOREDO','SC','124241241125132731326714381321610114077',NULL,'396',0.00,2,1,1),(16,3827615,'1991-05-11 00:00:00',4,7,12,2008,'F','N','TOBIAS','JOAçABA','SC','124241241116271431434929395222610164017',13909,'449',41.84,1,2,1),(16,3827623,'1991-11-29 00:00:00',4,4,12,2008,'M','N','PASSO DOS FORTES','CHAPECó','SC','124241241127131742323324145124610124177',15597,'171',38.32,1,2,1),(16,3827631,'1991-09-21 00:00:00',4,9,12,2008,'F','N','SANTA RITA','LAGES','SC','124243241117151731437923294124610132097',NULL,'935',32.29,1,3,NULL),(16,3827640,'1991-08-28 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANóPOLIS','SC','124241241115141431446614375124610137082',NULL,'267',15.58,1,3,NULL),(16,3827658,'1991-03-04 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOçA','SC','124241241127131732226329275324610124197',12954,'592',43.59,1,2,1),(16,3827666,'1991-05-18 00:00:00',4,7,12,2008,'F','N','CENTRO','JOAçABA','SC','124241241116331431534419275122610165097',14208,'449',41.22,1,2,1),(16,3827674,'1991-08-08 00:00:00',4,7,12,2008,'M','N','CENTRO','JOAçABA','SC','124241241115371432536617242122610124087',11230,'449',46.59,1,2,1),(16,3827690,'1991-08-10 00:00:00',4,9,12,2008,'M','N','NS APARECIDA','CURITIBANOS','SC','124241241115161431423423572321610127057',9729,'239',49.29,1,2,1),(16,3827704,'1991-11-22 00:00:00',2,1,12,2008,'M','N','FUNDOS','BIGUAçU','SC','124241241116131431323639241124610127057',NULL,'65',23.58,1,3,NULL),(16,3827712,'1991-07-30 00:00:00',2,10,12,2008,'F','N','CAMACHO','JAGUARUNA','SC','124241241116371431524311576124610166197',8172,'421',52.07,1,2,1),(16,3827720,'1991-06-28 00:00:00',2,1,12,2008,'F','N','CENTRO','URUBICI','SC','124241241115131431425411571121610123147',NULL,'818',0.00,3,3,NULL),(16,3827739,'1991-03-18 00:00:00',4,1,12,2008,'F','N','CAMPO DEMONSTRAÇÃO','SAO PEDRO DE ALCANTARA','SC','124241241124131131414315552224610123017',14224,'869',41.19,1,2,1),(16,3827755,'1991-05-29 00:00:00',4,7,12,2008,'F','N','CENTRO','PRES CASTELO BRANCO','SC','124241241125161631624314572324610112147',NULL,'642',21.04,1,2,1),(16,3827763,'1991-03-06 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANóPOLIS','SC','124241241126271411324319565324610126147',15312,'922',38.94,4,2,1),(16,3827771,'1990-08-09 00:00:00',4,1,12,2008,'F','N','SANTA MARIA','ANITáPOLIS','SC','124241241115161421414336572324610133147',NULL,'19',31.47,1,2,1),(16,3827780,'1991-05-07 00:00:00',4,1,12,2008,'M','N','ROçADO','S JOSé','SC','124241241116151331216647575114610117112',NULL,'729',27.19,1,2,1),(16,3827798,'1991-11-07 00:00:00',2,1,12,2008,'M','N','ROCADO','S JOSé','SC','124241241116171431223369575124610117042',NULL,'729',22.49,1,2,1),(16,3827801,'1991-10-03 00:00:00',4,1,12,2008,'F','N','PEREQUê','PTO BELO','SC','124241241137141431613369215324610143147',NULL,'630',20.76,1,2,1),(16,3827810,'1991-02-28 00:00:00',4,1,12,2008,'M','N','PICADAS DO SUL','S JOSé','SC','124241241115141731526611315124610162037',NULL,'733',31.07,1,2,1),(16,3827828,'1991-04-05 00:00:00',4,1,12,2008,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241121131431523633281122610127147',NULL,'13',27.33,1,2,1),(16,3827844,'1991-06-02 00:00:00',4,1,12,2008,'M','N','FORQUILHAS','S JOSé','SC','124243241117131411435613272224610124047',NULL,'733',27.52,1,3,NULL),(16,3827852,'1990-11-09 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSé','SC','124243241117131432323327382124610137092',NULL,'733',23.46,1,3,NULL),(16,3827860,'1991-04-09 00:00:00',2,1,11,2008,'F','N','BARRA DA LAGOA','FLORIANóPOLIS','SC','124241241122131431423319575224610127142',NULL,'290',24.90,1,2,1),(16,3827879,'1990-09-14 00:00:00',4,1,12,2008,'M','N','SANTA ISABEL','ÁGUAS MORNAS','SC','124241241115131431323436172224610137047',3870,'978',61.41,1,2,1),(16,3827887,'1991-03-18 00:00:00',4,1,12,2008,'F','N','SANTA FILOMENA','S PEDRO ALCâNTARA','SC','124241241122131231413315572224610153047',12933,'869',43.62,1,2,1),(16,3827895,'1991-11-01 00:00:00',4,9,12,2008,'F','N','CENTRO','URUBICI','SC','124241241117161731424634572125610168147',NULL,'818',25.50,1,2,1),(16,3827909,'1991-04-15 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANóPOLIS','SC','124241241117271431423623575124610144141',12840,'298',43.77,2,1,1),(16,3827925,'1991-06-11 00:00:00',4,1,11,2008,'F','N','SAO PEDRO','PTO UNIãO','SC','124241241115131331326314572324610126042',15144,'638',39.32,1,3,NULL),(16,3827941,'1991-07-25 00:00:00',2,1,12,2008,'F','N','RIO CACHIMBO','ANITáPOLIS','SC','124241241115161431313336162324610126197',NULL,'19',0.00,1,2,1),(16,3827950,'1991-05-01 00:00:00',2,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAçU','SC','124241241117161431323327152124610131197',NULL,'65',23.69,1,2,1),(16,3827968,'1991-01-04 00:00:00',2,1,12,2008,'M','N','MARACUJA','ANITáPOLIS','SC','124241241116131431623315156124610127051',NULL,'19',0.00,1,2,1),(16,3827992,'1991-03-18 00:00:00',4,1,12,2008,'M','N','IBIRAQUERA','IMBITUBA','SC','124241241135141431316329392324610127047',NULL,'1136',19.38,1,3,NULL),(16,3828026,'1990-12-15 00:00:00',2,8,11,2008,'F','N','JARDIM LOS ANGELES','BARRA VELHA','SC','124241241125141431533411295321610134147',NULL,'57',30.87,1,2,1),(16,3828034,'1990-11-04 00:00:00',2,1,12,2008,'F','N','BARRA GASPAR','ANITáPOLIS','SC','124241241115161431314436162324610126197',NULL,'19',33.76,1,2,1),(16,3828042,'1991-07-30 00:00:00',2,5,12,2008,'F','N','OPERARIA NOVA','CRICIúMA','SC','124241241115271441216329272124610128097',6731,'209',54.81,2,2,1),(16,3828050,'1991-06-08 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSé','SC','124241241137131431313649395124610123072',NULL,'257',22.75,1,2,1),(16,3828069,'1991-10-31 00:00:00',4,10,12,2008,'M','N','CENTRO','JAGUARUNA','SC','124241241116131431536923575121610134042',NULL,'421',0.00,1,3,NULL),(16,3828077,'1991-11-06 00:00:00',4,1,12,2008,'M','N','RIO CUBATãO','ÁGUAS MORNAS','SC','124241241117161411523336572222610124182',10358,'978',48.16,1,3,NULL),(16,3828093,'1991-01-11 00:00:00',4,5,11,2008,'F','N','LIVRAMENTO','TURVO','SC','124241241115371431533316572124610167147',NULL,'814',21.67,1,2,1),(16,3828107,'1991-12-10 00:00:00',4,1,12,2008,'F','N','SERTãO DO MARUIM','S JOSé','SC','124241241135141712433324245334610128147',NULL,'1155',20.15,1,2,1),(16,3828115,'1991-11-17 00:00:00',4,1,12,2008,'F','N','SANTA ISABEL','ÁGUAS MORNAS','SC','124241241116131731623335575224610114047',NULL,'978',24.15,1,3,NULL),(16,3828131,'1991-05-22 00:00:00',4,8,12,2008,'F','N','ÁGUAS NEGRAS','ITUPORANGA','SC','124241241136131431423424175225610127057',NULL,'415',0.00,1,2,1),(16,3828140,'1991-11-21 00:00:00',4,1,12,2008,'F','N','STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC','124241241115131732224429245124610122147',NULL,'978',20.16,1,3,NULL),(16,3828158,'1990-03-15 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSé','SC','124241241126131431613329292334610164147',NULL,'730',25.61,2,1,1),(16,3828166,'1991-07-05 00:00:00',4,1,12,2008,'M','N','RIO DO CEDRO','ÁGUAS MORNAS','SC','124241241117161411423316172222610114172',NULL,'978',26.43,1,3,NULL),(16,3828174,'1991-10-12 00:00:00',4,9,12,2008,'F','N','QUATRO PINHEIROS','PTE ALTA NORTE','SC','124241241125271431624324572224610125147',7704,'626',52.95,1,2,1),(16,3828182,'1991-12-18 00:00:00',2,8,12,2008,'F','N','VILA CEDRO','CPO ALEGRE','SC','124241241115131431323329572122610124157',NULL,'132',0.00,1,3,NULL),(16,3828190,'1991-05-21 00:00:00',2,8,12,2008,'F','N','CENTRO','CPO ALEGRE','SC','124241241115131431433314472122610134077',NULL,'132',0.00,1,3,NULL),(16,3828204,'1992-01-19 00:00:00',4,1,12,2008,'F','N','TRêS RIACHOS','BIGUAçU','SC','124241241115111731423411172224610124047',14160,'65',41.31,1,3,NULL),(16,3828212,'1991-06-29 00:00:00',2,1,12,2008,'M','N','VARGEM GRANDE','FLORIANóPOLIS','SC','124241241115111431525511342222610134147',NULL,'288',23.92,4,2,1),(16,3828220,'1991-09-26 00:00:00',4,1,12,2008,'F','N','SANTA ISABEL','ÁGUAS MORNAS','SC','124241241116131731423439575224610114047',NULL,'978',30.40,1,3,NULL),(16,3828239,'1991-08-17 00:00:00',2,1,12,2008,'F','N','JARDIM CARANDAI','BIGUAçU','SC','124241241116131431426714572321610121092',NULL,'65',26.39,1,2,1),(16,3828247,'1988-03-11 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241116473721325419195124610121017',14929,'281',39.82,1,2,1),(16,3828255,'1988-05-13 00:00:00',2,1,12,2006,'F','N','SERRARIA','S JOSé','SC','124241241227113431323413482324222744147',NULL,'262',0.00,1,3,NULL),(16,3828263,'1990-10-13 00:00:00',1,1,12,2008,'F','N','TERESóPOLIS','ÁGUAS MORNAS','SC','124241241115131432423316162224610147047',NULL,'978',29.43,1,2,1),(16,3828271,'1991-02-02 00:00:00',4,1,12,2008,'F','N','SANTA ISABEL','ÁGUAS MORNAS','SC','124241241115131431423336172224610137047',NULL,'978',14.83,1,2,1),(16,3828280,'1991-03-10 00:00:00',4,1,12,2008,'F','N','RIO CUBATÃO','AGUAS MORNAS','SC','124241241116131431434416172224610144147',NULL,'978',20.04,1,2,1),(16,3828298,'1991-02-02 00:00:00',4,9,12,2008,'F','N','TRAçADO','URUBICI','SC','124241241115131431413313282324610134147',NULL,'818',17.13,4,2,1),(16,3828301,'1984-06-02 00:00:00',4,1,12,2003,'F','N','ESTREITO','FLORIANóPOLIS','SC','124241241212133132326624382124120532097',NULL,'1036',13.57,2,3,NULL),(16,3828310,'1991-07-05 00:00:00',4,1,12,2008,'F','N','ESTREITRO','FLORIANóPOLIS','SC','124242241146131431327721485124610168172',NULL,'733',0.00,1,3,NULL),(16,3828379,'1990-10-24 00:00:00',4,1,12,2007,'F','N','CENTRO','QUEDAS IGUAçU','PR','116161161116272431438611585114610161052',6314,'9998',55.65,1,2,1),(16,3828387,'1984-08-25 00:00:00',2,1,12,2001,'F','N','SERRARIA','S JOSé','SC','124201201136132431115344242314121932097',6871,'9998',54.53,1,2,1),(20,5000009,'1988-09-05 00:00:00',4,1,12,2006,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241116374421434313435124610164192',1852,'295',77.26,1,2,1),(20,5000017,'1988-09-22 00:00:00',4,9,12,2006,'M','N','VILA NOVA','LAGES','SC','124241241416131441223329575114132766181',NULL,'515',43.46,1,3,NULL),(20,5000033,'1986-05-15 00:00:00',4,10,11,2003,'F','N','CENTRO','TUBARÃO','SC','124242241216372441339923415122332526142',6126,'807',63.69,1,3,NULL),(20,5000041,'1992-06-09 00:00:00',4,8,12,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','116242161216111431438814572324610135025',2880,'9998',72.62,1,3,NULL),(20,5000050,'1985-02-23 00:00:00',2,15,3,2003,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','224241241136142431323353145132130223075',15082,'29',47.63,1,2,1),(20,5000068,'1991-03-21 00:00:00',2,1,12,2008,'F','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124241241215272431323411575124610126182',6089,'63',65.81,1,3,NULL),(20,5000092,'1975-08-22 00:00:00',4,1,12,1992,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241417574431158629485114131442092',573,'79',84.00,1,3,NULL),(20,5000114,'1990-02-17 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216143411388839445122232161182',NULL,'262',0.00,1,3,NULL),(20,5000122,'1991-07-10 00:00:00',4,9,12,2008,'M','N','CENTRO','PTE ALTA','SC','124242241215271431546632575124610164057',13657,'499',49.31,4,3,NULL),(20,5000157,'1987-05-19 00:00:00',5,1,12,2004,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241237333421438724345124131032187',NULL,'270',43.20,1,3,NULL),(20,5000165,'1991-10-12 00:00:00',4,1,12,2008,'F','N','PARQUE SISI','S CARLOS','SP','125251251115471411423421175124610164191',8772,'9998',58.85,1,2,1),(20,5000181,'1992-04-12 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431328912475112610134062',NULL,'226',26.16,1,3,NULL),(20,5000190,'1990-12-03 00:00:00',1,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241215472431336831575124610124182',2037,'884',76.69,1,3,NULL),(20,5000203,'1976-10-11 00:00:00',4,3,12,1996,'M','N','CENTRO','BAL CAMBORIÚ','SC','224164161216471411358351485124131454047',3566,'9998',71.18,1,3,NULL),(20,5000211,'1990-12-25 00:00:00',4,1,6,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243281417261731228434375122610127147',NULL,'9998',28.25,1,3,NULL),(20,5000246,'1991-05-21 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215374431376921411112610152182',2886,'270',73.89,1,3,NULL),(20,5000254,'1991-01-12 00:00:00',4,8,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161214571431469933572124610133187',4036,'9998',68.74,1,3,NULL),(20,5000262,'1991-09-21 00:00:00',2,4,12,2008,'M','N','AMADORI','PATO BRANCO','PR','116161161116572431553632244122610127057',11151,'9998',52.97,1,2,1),(20,5000270,'1991-05-21 00:00:00',2,1,12,2008,'F','N','UNIVERSITARIO','TIJUCAS','SC','124242241216152411642715395125610164142',13662,'781',51.02,1,3,NULL),(20,5000289,'1992-04-17 00:00:00',4,1,12,2009,'M','N','CDHU','APIAÍ','SP','125251251137161431548613395122610162047',NULL,'9998',46.16,1,2,1),(20,5000297,'1989-06-24 00:00:00',4,1,11,2006,'M','N','VILA PIRATININGA','CPO GRANDE','MS','112123121216472431133923575124141566097',NULL,'9998',NULL,1,3,NULL),(20,5000319,'1990-09-24 00:00:00',2,1,11,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241216474421436416475124131026147',2765,'995',73.70,1,3,NULL),(20,5000343,'1987-02-17 00:00:00',2,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115373431336324341124610126182',16186,'307',42.70,1,2,1),(20,5000351,'1990-12-08 00:00:00',2,8,12,2007,'M','N','CRISTO REI','CURITIBA','PR','116162161115571411328624574121610166042',947,'9998',81.63,1,3,NULL),(20,5000360,'1993-03-02 00:00:00',4,7,12,2009,'F','N','CAMPO EXPERIMENTAL','VIDEIRA','SC','124241241216162431366712375122610134092',14293,'1080',46.47,1,3,NULL),(20,5000386,'1991-08-19 00:00:00',4,8,12,2008,'F','N','AMIZADE','JARAGUÁ SUL','SC','124243243215373431458632345122610123142',1823,'1061',77.50,1,3,NULL),(20,5000394,'1988-09-17 00:00:00',4,2,12,2005,'M','N','CENTRO','ASCURRA','SC','124244241412575441548833575122231322195',14633,'940',48.91,1,3,NULL),(20,5000408,'1992-08-12 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124162241215471441468912575124610168092',9689,'1118',56.77,1,3,NULL),(20,5000416,'1991-11-18 00:00:00',2,3,12,2008,'F','N','JOÁIA','TIJUCAS','SC','124243246216152431435331215132610124092',10484,'1119',57.26,1,3,NULL),(20,5000424,'1984-10-12 00:00:00',2,1,11,2001,'F','N','BARREIROS','S JOSÉ','SC','124242241216153741668832315122331044057',11764,'738',54.80,1,3,NULL),(20,5000432,'1991-01-11 00:00:00',2,1,11,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115112431527519492124610127183',NULL,'271',27.38,1,2,1),(20,5000440,'1991-08-01 00:00:00',4,1,12,2008,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125254251217471431338634475112610168192',6524,'9998',64.87,1,3,NULL),(20,5000467,'1984-04-24 00:00:00',3,5,12,2001,'F','N','ALTO DA GLORIA','CURITIBA','PR','116242241215372721369911475125343264127',75,'226',90.81,1,3,NULL),(20,5000475,'1990-08-05 00:00:00',4,1,12,2007,'F','N','AREIAS','S JOSÉ','SC','124241241311132731434373445124132836172',6157,'270',64.64,1,3,NULL),(20,5000483,'1991-04-12 00:00:00',4,1,12,2008,'F','N','VILA MORANGUEIRA','MARINGÁ','PR','116162161216372431326611575122610162187',5121,'9998',65.63,1,3,NULL),(20,5000491,'1990-06-19 00:00:00',2,1,12,2007,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241445371431425611575124132011147',8436,'643',59.40,1,3,NULL),(20,5000513,'1992-04-13 00:00:00',2,4,12,2009,'M','N','CENTRO','ANTÔNIO OLINTO','PR','116161242115151431437833375124610167052',11543,'196',53.87,1,2,1),(20,5000530,'1990-11-19 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217373731469813572112221327077',5155,'270',66.32,1,3,NULL),(20,5000548,'1978-11-02 00:00:00',2,1,11,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224161237146152411453453595122610164177',3815,'9998',70.26,1,2,1),(20,5000556,'1990-06-27 00:00:00',4,5,12,2007,'M','N','CENTRO','CRICIÚMA','SC','124254251216372441358833575124131464191',3088,'9998',72.68,1,3,NULL),(20,5000564,'1992-03-10 00:00:00',4,2,12,2009,'F','N','XAXIM','CURITIBA','PR','116161161126141431424419242124610133147',NULL,'9998',11.93,1,2,1),(20,5000572,'1990-11-18 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241215374431343327215124610167045',8427,'1022',61.08,1,3,NULL),(20,5000580,'1992-01-24 00:00:00',2,1,12,2008,'F','N','PASSO DAREIA','STA MARIA','RS','120202201417271441431823575122241644192',NULL,'9998',0.00,1,3,NULL),(20,5000599,'1976-07-12 00:00:00',4,1,12,1993,'M','N','CENTRO','FLORIANÓPOLIS','SC','224212241217152711488843432132320267055',NULL,'269',0.00,1,3,NULL),(20,5000602,'1980-01-10 00:00:00',2,1,11,2009,'F','N','FORQUILHAS','S JOSÉ','SC','224241241115371431424354285124610162043',NULL,'729',27.88,3,2,1),(20,5000629,'1992-01-01 00:00:00',2,7,12,2008,'F','N','CENTRO','JOAÇABA','SC','124241241116371751326639385125610148197',NULL,'449',23.17,2,1,1),(20,5000637,'1991-06-03 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241415472431547914585112610166177',NULL,'991',0.00,1,3,NULL),(20,5000645,'1982-06-11 00:00:00',4,9,12,1999,'F','N','CENTRO','LAGES','SC','224242241216132221348644442132341537187',7855,'541',62.10,1,3,NULL),(20,5000653,'1991-09-04 00:00:00',4,8,12,2008,'F','N','XAXIM','CURITIBA','PR','116162161315471431457514575122610124092',1286,'9998',78.35,1,3,NULL),(20,5000670,'1992-01-18 00:00:00',4,4,12,2009,'F','N','ALVORADA','XAXIM','SC','124241241125141451423923275123610157043',NULL,'848',15.84,1,2,1),(20,5000688,'1989-02-03 00:00:00',4,3,12,2006,'M','N','CENTRO','CURITIBA','PR','116163161236151411226614574115141032046',NULL,'9998',0.00,3,3,NULL),(20,5000696,'1988-12-25 00:00:00',4,1,12,2006,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116144731466313332122222327117',16022,'307',43.96,1,2,1),(20,5000700,'1988-08-11 00:00:00',2,1,12,2006,'M','N','PICADAS DO SUL','S JOSÉ','SC','124202247247141431558713245122231064112',NULL,'944',35.13,1,3,NULL),(20,5000718,'1988-01-14 00:00:00',2,1,5,2006,'M','N','KOBRASOL','S JOSÉ','SC','124244247136271431226624245124610138043',NULL,'732',41.47,1,3,NULL),(20,5000734,'1990-05-09 00:00:00',4,5,12,2007,'F','N','RIO FIORITA','SIDERÓPOLIS','SC','124244248216372431336619275114610168147',14236,'995',49.87,1,3,NULL),(20,5000742,'1987-01-15 00:00:00',4,1,12,2004,'M','N','VILA MARTINS','CARAPICUÍBA','SP','125251253226571431454314275122610132092',4081,'9998',68.34,1,3,NULL),(20,5000750,'1989-04-04 00:00:00',4,8,12,2006,'F','N','GLÓRIA','JOINVILLE','SC','124244241215572431337633575122232462142',9309,'1063',59.41,1,3,NULL),(20,5000769,'1956-10-17 00:00:00',4,1,12,1974,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','424242241216155411187643435122422467122',9986,'70',58.17,1,3,NULL),(20,5000777,'1980-10-15 00:00:00',4,1,6,2003,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','224241247127134741455644245134122268173',13790,'9999',50.75,1,3,NULL),(20,5000785,'1992-08-26 00:00:00',4,7,12,2009,'M','N','SANTA TEREZA','VIDEIRA','SC','124243241216371431454812594123610134092',12172,'1080',50.60,1,3,NULL),(20,5000793,'1988-05-21 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116272431578834492125121217075',1749,'267',77.84,1,2,1),(20,5000807,'1982-03-24 00:00:00',4,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241127131431123374445122610162197',NULL,'520',0.00,1,2,1),(20,5000815,'1991-04-24 00:00:00',4,1,12,2009,'M','N','JARDIM PORTUGAL','S JOSÉ CAMPOS','SP','125252251216111411446631575124610164047',NULL,'9998',0.00,1,3,NULL),(20,5000823,'1989-08-28 00:00:00',4,8,12,2006,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241217574441438814572124141764092',4555,'422',67.47,1,3,NULL),(20,5000831,'1991-03-16 00:00:00',4,17,12,2008,'F','N','NAÇÕES','FRAIBURGO','SC','124241241142231431225329372225610122147',NULL,'315',25.34,1,2,1),(20,5000840,'1990-03-20 00:00:00',4,4,12,2006,'M','N','CENTRO','QUILOMBO','SC','124244241227133441436631395125231566177',5893,'647',64.08,1,3,NULL),(20,5000858,'1990-12-29 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215574431368962574124130264147',5803,'270',66.45,1,3,NULL),(20,5000874,'1991-03-23 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124244241212473431563831575124610122142',638,'270',83.64,1,3,NULL),(20,5000882,'1985-04-26 00:00:00',4,1,12,2002,'F','N','PRAIA MOLE','FLORIANÓPOLIS','SC','124242241316133431228748482214133224147',10284,'271',57.64,1,3,NULL),(20,5000890,'1989-10-02 00:00:00',4,8,11,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241211112511489712581122610121112',NULL,'457',31.63,1,3,NULL),(20,5000904,'1987-03-12 00:00:00',4,1,12,2004,'M','N','ARAÉS','CUIABÁ','MT','111112111216371711348839495124340762172',3402,'9998',70.08,4,3,NULL),(20,5000912,'1988-10-23 00:00:00',4,1,12,2006,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116162161215572441169813471124141026092',6027,'9998',64.98,1,3,NULL),(20,5000920,'1990-10-08 00:00:00',4,2,12,2008,'M','N','PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP','125251251127471441655919281124610167092',NULL,'9998',0.00,1,2,1),(20,5000939,'1989-05-11 00:00:00',4,4,12,2006,'F','N','CENTRO','CURITIBA','PR','116243241235571431656936571125140622187',634,'836',83.68,1,3,NULL),(20,5000955,'1985-03-13 00:00:00',2,1,12,2002,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241216135721258629445124610128042',14227,'724',49.88,1,3,NULL),(20,5000963,'1991-04-07 00:00:00',2,3,12,2008,'F','N','JARDIM GLÓRIA','AMERICANA','SP','125252251216471431246831575112610162072',14435,'9998',45.75,1,3,NULL),(20,5000980,'1991-09-14 00:00:00',4,8,11,2008,'F','N','ALTO DA GLÓRIA','CURITIBA','PR','116163161215571431367714172124610161197',4727,'9998',66.72,1,3,NULL),(20,5000998,'1991-01-30 00:00:00',2,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241216352411339811575121610137044',NULL,'499',28.07,1,3,NULL),(20,5001013,'1991-04-11 00:00:00',4,1,1,2009,'M','N','ITARARÉ','S VICENTE','SP','125252281337471411569933571114610144117',NULL,'9998',0.00,1,3,NULL),(20,5001021,'1991-11-25 00:00:00',4,9,12,2008,'M','N','SAGRADO C DE JESUS','LAGES','SC','124244241215371451339632575122233265092',14462,'1065',46.94,4,3,NULL),(20,5001030,'1990-12-04 00:00:00',4,1,12,2007,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241247145311431444414245124131026142',NULL,'9999',20.24,1,2,1),(20,5001064,'1990-11-01 00:00:00',4,1,11,2009,'F','N','MOSSUNGUÊ','CURITIBA','PR','116164167436371451227632296124610166112',NULL,'9998',20.28,1,3,NULL),(20,5001072,'1991-09-04 00:00:00',2,5,12,2008,'M','N','SANTA AUGUSTA','CRICIÚMA','SC','124244246217372421443817172114610127042',11496,'995',55.35,1,3,NULL),(20,5001080,'1990-08-09 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124052051217574411479914576122610126182',290,'9998',86.77,1,3,NULL),(20,5001099,'1991-09-26 00:00:00',4,2,12,2009,'M','N','JACARECANGA','FORTALEZA','CE','106062061237111431558634575124610122047',2648,'9998',73.39,4,3,NULL),(20,5001102,'1991-03-25 00:00:00',4,6,12,2009,'M','N','PEDREGULHO','GUARATINGUETÁ','SP','125252251117471411541769575122610137042',8150,'9998',58.47,1,3,NULL),(20,5001110,'1991-03-05 00:00:00',4,9,12,2008,'M','N','NOVO MUNDO','CURITIBA','PR','116162161237471431549821371124610132012',NULL,'9998',NULL,1,3,NULL),(20,5001137,'1979-05-14 00:00:00',4,1,12,1996,'F','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','224201208116372431434355372124143238097',8023,'9998',59.47,1,2,1),(20,5001145,'1990-03-27 00:00:00',4,8,12,2007,'F','N','MERCÊS','CURITIBA','PR','116161161116572431343336472224610133092',4435,'9998',67.92,1,2,1),(20,5001153,'1991-01-02 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161216471431468834595114610148097',99,'9998',90.12,1,3,NULL),(20,5001161,'1988-06-25 00:00:00',2,4,12,2005,'F','N','MARIA GORETTI','CHAPECÓ','SC','124241241135274441226421295335132862057',12628,'182',48.24,3,2,1),(20,5001170,'1992-07-15 00:00:00',4,2,12,2009,'M','N','SANTA RITA','BRUSQUE','SC','124242241215272411375437275121610117182',NULL,'107',30.59,1,3,NULL),(20,5001188,'1985-10-03 00:00:00',4,1,12,2003,'M','N','DOM MIELLE','RIBEIRÃO PRETO','SP','125252251216571431346629572122610138197',NULL,'9998',0.00,4,3,NULL),(20,5001200,'1990-05-21 00:00:00',4,1,12,2007,'M','N','SANTO ANTÔNIO','ITUPORANGA','SC','124242241215573731359933576214610162017',71,'959',90.96,1,3,NULL),(20,5001218,'1992-02-01 00:00:00',4,1,11,2008,'F','N','JARDIM NACIONAL','FOZ IGUAÇU','PR','116162161215471431359814574124610161142',12248,'9998',49.84,1,3,NULL),(20,5001226,'1991-02-20 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431377823575122610162191',5877,'262',64.12,1,3,NULL),(20,5001234,'1992-05-27 00:00:00',4,1,12,2009,'F','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162161215111431458812425122610137142',NULL,'9998',43.67,1,3,NULL),(20,5001242,'1992-03-13 00:00:00',4,1,11,2009,'M','N','CENTRO','CURITIBA','PR','116162161217471411468831571125610138043',4,'9998',96.96,1,3,NULL),(20,5001250,'1992-03-05 00:00:00',2,2,11,2009,'M','N','SOUZA CRUZ','BRUSQUE','SC','124242241215141731477612127122610124097',6916,'107',64.01,1,3,NULL),(20,5001277,'1988-10-06 00:00:00',4,1,12,2006,'F','N','VILA STA CATARINA','AMERICANA','SP','125253251216571431456319475112610133147',7287,'9998',60.68,1,3,NULL),(20,5001285,'1965-12-29 00:00:00',2,15,12,1984,'M','N','MATO ALTO','ARARANGUÁ','SC','224243243326133431544431315122130267041',NULL,'29',37.15,1,3,NULL),(20,5001293,'1990-02-12 00:00:00',2,1,12,2007,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241216373431526621345124610124092',14330,'1074',47.49,1,3,NULL),(20,5001307,'1990-06-13 00:00:00',2,7,11,2007,'M','N','CENTRO','JOAÇABA','SC','124242241215572411225532574124613266153',11999,'446',51.79,1,3,NULL),(20,5001315,'1991-01-04 00:00:00',4,8,12,2008,'F','N','VILA NOVA','JARAGUÁ SUL','SC','124243241217372411346624374121610166142',5515,'1061',67.07,1,3,NULL),(20,5001331,'1993-09-18 00:00:00',4,15,11,2009,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241215121431468813575122610132147',2002,'970',76.92,1,3,NULL),(20,5001340,'1991-07-09 00:00:00',4,8,12,2008,'M','N','JARDIM ESPLANADA','S JOSÉ CAMPOS','SP','125252251235421431458814375122610167052',4655,'9998',66.15,1,3,NULL),(20,5001358,'1990-04-30 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241111372431326364385124610115051',14983,'288',45.18,1,2,1),(20,5001374,'1992-03-20 00:00:00',4,2,12,2009,'M','N','AZAMBUJA','BRUSQUE','SC','124242241217371131469832345112610124114',NULL,'107',22.65,1,3,NULL),(20,5001382,'1991-11-30 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241315371431323324274124610126177',NULL,'307',25.98,1,3,NULL),(20,5001390,'1992-06-07 00:00:00',2,1,11,2009,'M','N','SACO DOS LOMÕES','FLORIANÓPOLIS','SC','124243241226371431333411315124610134041',7923,'262',61.78,1,3,NULL),(20,5001404,'1990-11-24 00:00:00',2,3,12,2008,'F','N','QUISSISSANA','S JOSÉ PINHAIS','PR','116161165126471411536634275124610127122',NULL,'9998',0.00,1,2,1),(20,5001412,'1989-09-14 00:00:00',4,1,11,2007,'M','N','CAMPESTRE','STO ANDRÉ','SP','125252251217571431349831385112610167067',3668,'9998',68.75,4,3,NULL),(20,5001439,'1991-10-16 00:00:00',2,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241216132411435514575125610124187',12776,'1036',51.18,1,3,NULL),(20,5001447,'1990-03-09 00:00:00',4,10,12,2007,'F','N','BELA VISTA','ERECHIM','RS','124202241211211421336514391125133216122',NULL,'9997',27.18,1,3,NULL),(20,5001455,'1990-10-29 00:00:00',4,1,12,2008,'F','N','JARDIM PAULISTA','OURINHOS','SP','125254251217472731569923575112610167182',3343,'9998',71.69,1,3,NULL),(20,5001463,'1990-11-03 00:00:00',4,1,12,2008,'M','N','VL ALEXANDRIA','S PAULO','SP','125254251226272431238764245124141022097',9247,'9998',57.69,1,3,NULL),(20,5001471,'1991-09-15 00:00:00',2,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124242241215372431226629575113610164045',8492,'1175',59.70,1,3,NULL),(20,5001480,'1988-03-10 00:00:00',2,5,12,2005,'F','N','CENTRO','CRICIÚMA','SC','124241244122373421424814272124131326112',15008,'1034',42.93,1,2,1),(20,5001498,'1992-12-18 00:00:00',4,8,10,2009,'M','N','BATEL','CURITIBA','PR','116242161216121751466716371125610167127',3000,'9998',72.45,1,3,NULL),(20,5001501,'1986-07-27 00:00:00',2,1,12,2003,'M','N','FORQUILINHAS','S JOSÉ','SC','124245241521131431126644441224130267187',11775,'524',54.78,1,3,NULL),(20,5001510,'1992-04-18 00:00:00',4,1,12,2009,'M','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125222251215421441489912575122610164182',2274,'9998',74.70,1,3,NULL),(20,5001528,'1986-06-19 00:00:00',4,1,12,2003,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241216434431226654285122221436127',NULL,'442',0.00,4,3,NULL),(20,5001536,'1992-06-16 00:00:00',4,1,12,2009,'F','N','PRAIA DE FORA','PALHOÇA','SC','124243241135471431336563576114610124142',15366,'592',46.73,1,3,NULL),(20,5001544,'1991-08-01 00:00:00',2,8,12,2008,'F','N','CENTRO','PNT GROSSA','PR','116252161212411431428831582124610113091',NULL,'9998',27.49,1,3,NULL),(20,5001552,'1975-02-01 00:00:00',4,1,12,1995,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','224241241116143711438743335124121416147',15981,'267',44.23,4,1,1),(20,5001560,'1988-04-28 00:00:00',2,1,12,2005,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241116274411366633495124220821147',7845,'267',62.12,4,2,1),(20,5001579,'1991-05-01 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116242241415472431648932574124610145017',5464,'1174',67.19,1,3,NULL),(20,5001595,'1988-01-21 00:00:00',2,1,12,2005,'F','N','SANTANA','RIO SUL','SC','124241241215335731436714395324233265182',12573,'991',49.82,1,3,NULL),(20,5001625,'1990-04-02 00:00:00',2,1,12,2007,'F','N','JARDIM COLINAS','S JOSÉ CAMPOS','SP','125252251216571331369832575112610133152',NULL,'9998',0.00,1,3,NULL),(20,5001633,'1990-07-09 00:00:00',4,5,12,2007,'F','N','LINHA TRES RIBEIROES','IÇARA','SC','124241241116271411431315381223610116182',15787,'1005',45.13,1,2,1),(20,5001641,'1988-09-24 00:00:00',4,1,12,2006,'F','N','PERDIZES','S PAULO','SP','125252251216571731449829585114610164047',434,'9998',84.93,1,3,NULL),(20,5001684,'1991-07-22 00:00:00',4,4,12,2008,'F','N','CRISTO REI','CURITIBA','PR','116242161216121431258824575124240442142',8400,'9998',57.56,1,3,NULL),(20,5001706,'1990-05-23 00:00:00',2,10,12,2007,'F','N','PASSAGEM','TUBARÃO','SC','124241241216372731436431575124131464142',9384,'797',56.73,1,3,NULL),(20,5001714,'1990-10-10 00:00:00',2,1,12,2008,'F','N','MADRI','PALHOÇA','SC','124241241117271731326619595124610463197',NULL,'591',29.01,1,2,1),(20,5001722,'1989-06-26 00:00:00',4,1,7,2007,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124243241117472411569633385124122264185',739,'306',82.90,1,3,NULL),(20,5001730,'1989-10-11 00:00:00',1,8,12,2007,'M','N','ENTRE RIOS','JORDÃOZINHO','PR','124162161216574441133736575124221427142',NULL,'9998',0.00,1,3,NULL),(20,5001749,'1990-02-27 00:00:00',4,1,6,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124072281217372431139813472222221467092',NULL,'9998',28.62,1,3,NULL),(20,5001757,'1992-01-02 00:00:00',2,10,12,2009,'F','N','CENTRO','STA ROSA LIMA','SC','124241241146131731636613242135610124182',NULL,'688',0.00,1,2,1),(20,5001765,'1992-05-14 00:00:00',4,7,11,2009,'F','N','CENTRO','JOAÇABA','SC','124243241215151531267823575125610134082',NULL,'454',NULL,1,3,NULL),(20,5001773,'1992-08-14 00:00:00',4,1,12,2009,'F','N','CENTRO','CAMPINAS','SP','125252251217121751349923275125610125142',5789,'9998',66.50,1,3,NULL),(20,5001790,'1968-11-21 00:00:00',4,1,12,1989,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','624244221436132431126653285212142222187',NULL,'9998',0.00,1,3,NULL),(20,5001803,'1992-06-05 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241216421431589931575122610126091',3700,'270',70.10,1,3,NULL),(20,5001811,'1990-10-10 00:00:00',2,4,12,2007,'F','N','CENTRO','STA MARIA','RS','120202201217571731338639592115610168197',NULL,'9998',0.00,1,3,NULL),(20,5001820,'1991-06-25 00:00:00',4,3,12,2008,'F','N','VILA TONANI','DOURADOS','MS','112122241215371431489813575125610167012',NULL,'1038',0.00,1,3,NULL),(20,5001854,'1992-04-29 00:00:00',2,1,12,2009,'F','N','INTERIOR','JÓIA','RS','120201201117111431623833575122610164182',8882,'9998',60.18,1,2,1),(20,5001862,'1987-03-23 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124133131217151421226924575314141813027',NULL,'9998',22.18,4,3,NULL),(20,5001870,'1991-12-20 00:00:00',4,8,12,2008,'F','N','CIDADE INDUSTRIAL','CURITIBA','PR','116162161215471411236533271124610163073',3577,'9998',69.95,1,3,NULL),(20,5001900,'1991-08-06 00:00:00',4,1,7,2009,'M','N','ARIRIÚ','PALHOÇA','SC','124241241114131411427614382124610164042',9831,'739',58.49,1,2,1),(20,5001919,'1991-02-04 00:00:00',2,1,12,2008,'F','N','VILA BERTIOGA','S PAULO','SP','125251251215571451479813575125610124187',7599,'9998',59.77,1,3,NULL),(20,5001943,'1990-07-02 00:00:00',2,17,12,2007,'F','N','COLÔNIA RUTHES','MAJ VIEIRA','SC','124241241126131621533316575124231518057',NULL,'548',21.20,1,3,NULL),(20,5001951,'1991-02-15 00:00:00',4,7,12,2008,'M','N','INTERIOR','LACERDÓPOLIS','SC','124241241126472431544316575222610127042',5057,'496',66.21,1,2,1),(20,5001960,'1988-04-21 00:00:00',4,1,12,2006,'M','N','INCONFIDENTES','CONTAGEM','MG','113131137217571631536624582122610132077',NULL,'9998',25.68,4,3,NULL),(20,5001994,'1991-07-22 00:00:00',4,1,12,2009,'F','N','CENTRO','MISSAL','PR','116164166136371431443632212124610167142',NULL,'9998',0.00,1,3,NULL),(20,5002001,'1991-08-28 00:00:00',4,8,11,2008,'F','N','CENTRO','COLÍDER','MT','111112111216471451358811574122610136097',4059,'9998',68.26,1,3,NULL),(20,5002028,'1992-08-16 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242248215112431468833572112610137182',8782,'272',58.75,1,3,NULL),(20,5002036,'1989-03-21 00:00:00',2,1,11,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242248215372431468833485124133262182',16018,'1022',43.98,1,3,NULL),(20,5002052,'1992-07-24 00:00:00',4,8,11,2009,'F','N','PILARZINHO','CURITIBA','PR','116163161214471731446519291122610144142',8397,'9998',59.78,1,3,NULL),(20,5002060,'1990-12-21 00:00:00',4,8,11,2007,'F','N','LA SALLE','PATO BRANCO','PR','116162161216573451377811575145610112147',1261,'9998',79.93,1,3,NULL),(20,5002095,'1992-06-02 00:00:00',4,7,12,2009,'F','N','DOIS PINHEIROS','VIDEIRA','SC','124241246216151431384411572122610133017',12013,'1080',52.76,1,3,NULL),(20,5002109,'1991-10-27 00:00:00',2,8,12,2008,'M','N','PASSO','MAFRA','SC','124161161317112711326731582324610168192',12144,'9998',51.21,1,3,NULL),(20,5002125,'1990-04-08 00:00:00',4,1,12,2007,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241115472431547613485124610128142',NULL,'307',26.44,1,2,1),(20,5002133,'1989-12-27 00:00:00',4,1,12,2006,'M','N','KOBRASOL','S JOSÉ','SC','124241241117372431336664345134610128172',3827,'307',70.84,1,2,1),(20,5002141,'1955-05-16 00:00:00',4,1,12,1972,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','224242241216152711588651432122322666185',NULL,'266',0.00,1,3,NULL),(20,5002150,'1992-08-28 00:00:00',2,2,12,2009,'M','N','BADENFURT','BLUMENAU','SC','124241241115371331436634345124610167142',12484,'84',50.80,1,2,1),(20,5002168,'1991-02-16 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241111372431338714485114610137185',8461,'271',60.99,1,3,NULL),(20,5002176,'1991-01-13 00:00:00',2,9,12,2008,'M','N','GABIROBA','ITUPORANGA','SC','124241241115371431438432145122610167147',2068,'416',75.82,1,2,1),(20,5002206,'1990-12-18 00:00:00',2,5,7,2009,'M','N','CENTRO','NOVA VENEZA','SC','124244248415211751456829575112610127182',NULL,'995',28.25,1,3,NULL),(20,5002214,'1991-10-14 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216152411478769575124231025093',7571,'1022',59.67,1,3,NULL),(20,5002222,'1991-04-05 00:00:00',4,1,11,2008,'M','N','VILA SÃO JOÃO','CAMPINAS','SP','125282281317471431567867575115610168057',6383,'9998',65.16,1,3,NULL),(20,5002230,'1988-01-25 00:00:00',4,1,11,2005,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241216273431368712495122220764035',552,'270',84.19,1,3,NULL),(20,5002249,'1991-04-29 00:00:00',2,4,12,2008,'M','N','BAIRRO AGOSTINI','S MIGUEL OESTE','SC','124241241116371411425514272122610142197',13674,'757',48.28,1,2,1),(20,5002257,'1992-02-25 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248215574431469613372122610123147',1201,'270',80.22,1,3,NULL),(20,5002265,'1990-08-05 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241125132411311335285124222312177',16134,'199',43.19,1,2,1),(20,5002273,'1992-02-15 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241216112741558831575122610124097',9724,'737',56.62,1,3,NULL),(20,5002281,'1990-05-28 00:00:00',2,4,12,2009,'M','N','CENTRO','NOVA ERECHIM','SC','124241241316161731459632585122610148192',NULL,'572',10.75,1,3,NULL),(20,5002290,'1961-03-16 00:00:00',4,1,12,1978,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124204208322153411153343235132522662182',NULL,'9998',0.00,1,3,NULL),(20,5002303,'1992-03-04 00:00:00',4,10,11,2009,'M','N','CENTRO','IMBITUBA','SC','124241241136271312437633295124610122047',15007,'359',43.88,4,2,1),(20,5002311,'1990-06-13 00:00:00',4,1,12,2008,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241417472431362729575122610146072',7088,'1022',63.00,1,3,NULL),(20,5002320,'1989-11-16 00:00:00',4,5,6,2007,'M','N','MICHEL','CRICIÚMA','SC','124242246215473431245623372112231464097',1798,'995',77.59,1,3,NULL),(20,5002338,'1964-08-06 00:00:00',3,6,12,1964,'M','N','CENTRO','ITAJAÍ','SC','624241244216113421143341315122322415143',10477,'392',57.28,1,3,NULL),(20,5002346,'1984-05-07 00:00:00',2,1,12,2004,'M','N','BOM VIVER','BIGUAÇU','SC','124241247336132751636361145134610127182',NULL,'9999',23.14,1,3,NULL),(20,5002354,'1990-03-28 00:00:00',4,1,12,2007,'F','N','ALTO DO IPIRANGA','MOGI CRUZES','SP','125252251215572431448812571122610163157',NULL,'9998',0.00,1,3,NULL),(20,5002362,'1992-06-07 00:00:00',4,8,12,2009,'F','N','JARDIM IRIRIU','JOINVILLE','SC','124241241116371731633311576124610161147',NULL,'476',22.46,4,2,1),(20,5002389,'1991-10-17 00:00:00',2,15,11,2008,'F','N','CENTRO','MELEIRO','SC','124241241215472431348912375114610164092',NULL,'32',27.59,1,3,NULL),(20,5002397,'1993-01-23 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431458812572124610146072',9666,'883',57.83,1,3,NULL),(20,5002400,'1992-01-07 00:00:00',2,8,12,2009,'M','N','XAXIM','CURITIBA','PR','116162161315471431556714371112610167047',3913,'9998',68.18,1,3,NULL),(20,5002419,'1988-01-13 00:00:00',4,1,12,2004,'M','N','CENTRO','CAMPOS SALES','CE','106062061417371412523763385223142215142',NULL,'9998',26.37,1,3,NULL),(20,5002427,'1981-02-04 00:00:00',2,1,12,2001,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243247326135731136841115132132062197',NULL,'9999',19.63,1,3,NULL),(20,5002435,'1991-02-13 00:00:00',2,6,12,2008,'F','N','FAZENDA','ITAJAÍ','SC','124243241215372431538614572112610163172',11784,'1026',54.77,1,3,NULL),(20,5002443,'1992-05-14 00:00:00',4,6,12,2009,'F','N','SAO VICENTE','ITAJAÍ','SC','124241241115171131423331275324610116141',NULL,'401',21.04,1,3,NULL),(20,5002451,'1991-04-15 00:00:00',4,1,12,2008,'M','N','RECANTO DAS ROSAS','CERQUILHO','SP','125252251217371731364834575122610162042',3445,'9998',69.92,1,3,NULL),(20,5002460,'1988-01-20 00:00:00',4,1,12,2005,'M','N','MEIA PRAIA','ITAPEMA','SC','124162241217132431326618241121132132012',4031,'948',70.77,1,3,NULL),(20,5002478,'1988-06-03 00:00:00',2,9,12,2006,'M','N','CENTRO','LAGES','SC','124241241145412331612213175124131327057',NULL,'134',0.00,4,2,1),(20,5002486,'1992-03-07 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115471431521411575124610133163',7697,'278',61.34,4,2,1),(20,5002494,'1992-09-09 00:00:00',2,10,12,2009,'F','N','CENTRO','STA ROSA LIMA','SC','124241241115161431558913472124610124197',10714,'688',52.71,1,2,1),(20,5002508,'1991-04-15 00:00:00',4,1,12,2008,'F','N','CAMPO BELO','S PAULO','SP','125212211211472751368619595114610164092',1021,'9998',80.41,1,3,NULL),(20,5002516,'1990-06-12 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117153431559933475114220767052',5701,'267',64.20,1,2,1),(20,5002524,'1990-08-26 00:00:00',4,17,12,2007,'F','N','ALTO DE MAFRA','MAFRA','SC','124241241216472431356823574124610122071',1768,'541',77.74,1,3,NULL),(20,5002532,'1987-03-20 00:00:00',4,9,12,2004,'M','N','CENTRO','LAGES','SC','124242241216151431469611485122333241142',NULL,'499',46.23,1,3,NULL),(20,5002559,'1992-09-12 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215372441469611575125610164142',907,'213',81.68,1,3,NULL),(20,5002567,'1991-01-06 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241116472431533312375124610127072',14024,'257',50.35,1,2,1),(20,5002575,'1983-07-14 00:00:00',2,1,12,2001,'M','N','CENTRO','CURITIBA','PR','116162161247471431133824415124342427047',3382,'9998',70.49,4,3,NULL),(20,5002583,'1993-01-31 00:00:00',2,8,12,2009,'F','N','CENTRO','PALMAS','PR','116162161212111431448813572342610143092',NULL,'9998',0.00,1,3,NULL),(20,5002591,'1992-05-15 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215211432569513275123610134052',NULL,'44',27.88,1,3,NULL),(20,5002621,'1988-10-17 00:00:00',2,6,12,2005,'F','N','DOS MUNICÍPIOS','BAL CAMBORIÚ','SC','124241241216141731436411492123133268187',NULL,'53',22.98,1,3,NULL),(20,5002630,'1980-10-01 00:00:00',2,1,2,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241246116552411486617431124121414187',14373,'306',49.55,1,2,1),(20,5002664,'1992-08-17 00:00:00',4,9,12,2009,'F','N','CENTRO','CAXIAS SUL','RS','120201201137371411324638272124610167147',NULL,'9998',0.00,1,2,1),(20,5002672,'1992-01-12 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124162161217372431169812574314610167042',549,'9998',83.67,1,3,NULL),(20,5002680,'1992-07-18 00:00:00',4,9,12,2009,'M','N','VILA PALMIRA','S JOSÉ PINHAIS','PR','116162161246111431358432275124610168142',10345,'9998',54.94,1,3,NULL),(20,5002699,'1992-04-13 00:00:00',4,9,11,2009,'M','N','REBOUÇAS','CURITIBA','PR','116242161215122431579911295125610127061',2695,'9998',74.45,1,3,NULL),(20,5002702,'1991-12-26 00:00:00',2,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120203201115471431445512572122610133147',NULL,'9998',0.00,1,3,NULL),(20,5002729,'1992-11-19 00:00:00',4,9,11,2009,'M','N','EUGÊNIO SCHNEIDER','RIO SUL','SC','124242241215111431548811175122610148142',11974,'991',51.35,1,3,NULL),(20,5002737,'1992-09-02 00:00:00',4,1,11,2009,'M','N','CENTRO','TIJUCAS','SC','124242241216172431444712575124610127042',3220,'270',72.04,1,3,NULL),(20,5002753,'1992-08-26 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241212111731458914275122610137112',4299,'1075',70.04,1,3,NULL),(20,5002761,'1992-08-08 00:00:00',4,3,12,2009,'M','N','MUNICÍPIOS','BAL CAMBORIÚ','SC','124241241147271431653312145124610157042',NULL,'49',0.00,1,2,1),(20,5002796,'1974-12-28 00:00:00',2,1,12,1992,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124162161216151751228749495111340666187',6876,'9998',64.11,1,3,NULL),(20,5002800,'1990-12-27 00:00:00',4,1,12,2009,'M','N','SANTA CATARINA','AMERICANA','SP','125252251215371431556613575124610147012',NULL,'9998',0.00,1,3,NULL),(20,5002826,'1990-12-13 00:00:00',4,3,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161216572431387811575122610167043',201,'9998',87.96,1,3,NULL),(20,5002834,'1976-01-20 00:00:00',4,1,12,1997,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124122127436153411237929485124320532047',15144,'9998',47.43,1,3,NULL),(20,5002842,'1976-04-07 00:00:00',4,1,12,1995,'F','N','BARREIROS','S JOSÉ','SC','224242248211132431426659492224610168187',NULL,'9997',0.00,1,3,NULL),(20,5002850,'1988-04-20 00:00:00',2,15,11,2005,'F','N','CENTRO','ARARANGUÁ','SC','124244241215574711455933384112610122072',NULL,'32',0.00,1,3,NULL),(20,5002869,'1992-10-26 00:00:00',4,16,12,2009,'F','N','PAULISTA','CPO BOM','RS','120201201116471741336619292122610138157',NULL,'9998',28.70,1,2,1),(20,5002877,'1989-04-07 00:00:00',2,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241117372431536623381324610168047',14141,'307',50.09,2,1,2),(20,5002885,'1992-03-10 00:00:00',4,1,5,2009,'M','N','MONTE CASTELO','CPO GRANDE','MS','112122121217371231468932575112610167093',4923,'9998',65.40,1,3,NULL),(20,5002893,'1993-04-16 00:00:00',4,2,12,2009,'F','N','BOA ESPERANÇA','ROLIM MOURA','RO','122221221116471431367923475122610166043',9100,'9998',56.63,1,2,1),(20,5002907,'1992-09-22 00:00:00',4,4,11,2009,'M','N','VILA REAL','CHAPECÓ','SC','124242241117131441456633385124610144177',5738,'169',64.04,4,3,NULL),(20,5002915,'1991-02-07 00:00:00',2,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117472411658624341124610166042',4319,'267',69.99,1,3,NULL),(20,5002923,'1991-07-02 00:00:00',4,1,11,2008,'M','N','ASA SUL','BRASÍLIA','DF','107211071115271431459613592122610125132',NULL,'9998',0.00,1,3,NULL),(20,5002940,'1991-12-21 00:00:00',2,3,12,2009,'M','N','AFONSO PENA','S JOSÉ PINHAIS','PR','116162161236111431488614275122610168182',NULL,'9998',0.00,1,3,NULL),(20,5002958,'1991-02-21 00:00:00',4,1,12,2008,'F','N','VILA ITAJUBÁ','FOZ IGUAÇU','PR','116162161216472431663831574122610127142',1195,'9998',79.83,1,3,NULL),(20,5002966,'1992-04-24 00:00:00',4,4,11,2009,'M','N','CINQÜENTENÁRIO','CONCÓRDIA','SC','124252241215113411466552375122610167042',10292,'1000',56.26,1,3,NULL),(20,5002974,'1984-12-28 00:00:00',4,1,12,2001,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241215474431579932375124320234181',1154,'185',79.78,1,3,NULL),(20,5002982,'1991-11-13 00:00:00',4,1,12,2008,'M','N','CENTRO','S BONIFÁCIO','SC','124241241126371231436613385121610164052',10751,'702',56.77,1,3,NULL),(20,5003008,'1993-03-01 00:00:00',4,1,12,2009,'F','N','JARDIM PAULISTA','BAURU','SP','125252251216111431319718575122610134182',7889,'9998',59.75,1,3,NULL),(20,5003016,'1991-05-18 00:00:00',2,1,11,2008,'F','N','SCHREIBER','SALETE','SC','124241241415412431448612575122610123142',8396,'776',60.08,1,3,NULL),(20,5003032,'1992-02-16 00:00:00',2,1,12,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124242241215131431436613572124610162172',11302,'1011',55.69,1,3,NULL),(20,5003040,'1991-01-17 00:00:00',4,2,12,2008,'F','N','FORTALEZA','BLUMENAU','SC','124241241135272411444314243124610122062',9442,'69',57.58,1,2,1),(20,5003059,'1990-02-26 00:00:00',2,1,12,2007,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241137374431433514283144610127047',9494,'307',57.09,4,2,1),(20,5003067,'1984-06-12 00:00:00',2,15,11,2003,'M','N','POÇO DA LONTRA','TURVO','SC','124241241116141441453335445122610157045',NULL,'814',22.53,1,2,1),(20,5003075,'1990-03-24 00:00:00',4,1,12,2007,'M','N','VILA BELMIRO','SANTOS','SP','125252251211471531348831571122610162047',NULL,'9998',NULL,1,3,NULL),(20,5003083,'1991-12-29 00:00:00',4,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241217121441469813435122610147077',NULL,'797',0.00,1,3,NULL),(20,5003091,'1991-08-26 00:00:00',4,1,12,2008,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241216472411446611572124610127057',15098,'273',46.29,1,3,NULL),(20,5003105,'1988-08-15 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124162161115154431346613475124230226092',3792,'9998',71.39,1,3,NULL),(20,5003113,'1990-09-03 00:00:00',2,1,12,2009,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124243247315371411426824294124610143147',14428,'9999',45.87,4,3,NULL),(20,5003121,'1992-09-24 00:00:00',4,1,12,2009,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241115371431457632574122610127117',8848,'107',60.26,1,3,NULL),(20,5003130,'1992-06-02 00:00:00',2,1,12,2009,'F','N','CENTRO','LAGUNA','SC','124246241215131431339933575122610126182',NULL,'525',28.23,1,3,NULL),(20,5003148,'1989-12-21 00:00:00',2,4,10,2009,'M','N','EFAPI','CHAPECÓ','SC','124241241315371531425631281124610124052',NULL,'9997',25.62,1,3,NULL),(20,5003156,'1993-05-26 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215113431468614572124610148092',8193,'1118',61.48,1,3,NULL),(20,5003164,'1992-03-15 00:00:00',2,1,12,2009,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124243241212271231537613395125610167111',14027,'299',48.35,1,3,NULL),(20,5003172,'1987-07-23 00:00:00',4,1,11,2004,'M','N','AREÃO','PIRACICABA','SP','225251251116242111433612145123610132184',NULL,'9998',28.61,1,2,1),(20,5003180,'1992-08-31 00:00:00',4,1,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161415371531478834575112610167042',NULL,'9998',0.00,1,3,NULL),(20,5003199,'1991-09-15 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115151441353613575122610167122',12007,'292',52.27,1,2,1),(20,5003202,'1992-03-28 00:00:00',4,1,12,2009,'F','N','SANTOS DUMMONT','S JOSÉ','SC','124243241117371431625514574114610165022',NULL,'257',30.34,1,3,NULL),(20,5003210,'1982-01-20 00:00:00',4,8,6,2000,'M','N','SAGUAÇÚ','JOINVILLE','SC','224241247346571712223643432113132314195',NULL,'9999',0.00,4,3,NULL),(20,5003229,'1990-01-28 00:00:00',2,1,11,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241216372731436617575124610117041',14944,'269',48.04,1,3,NULL),(20,5003237,'1988-11-02 00:00:00',4,1,6,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116141421423339345134610137013',13649,'306',46.53,1,2,1),(20,5003245,'1992-12-12 00:00:00',2,2,12,2009,'F','N','VORSTADT','BLUMENAU','SC','124241241116271441213644245324610114147',NULL,'79',20.18,2,1,1),(20,5003253,'1993-01-29 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124242241216111731468811572112610135147',NULL,'1065',26.04,1,3,NULL),(20,5003261,'1992-12-16 00:00:00',4,2,11,2009,'F','N','VELHA','BLUMENAU','SC','124242241216112431478813572124610127012',2270,'71',74.43,1,3,NULL),(20,5003270,'1980-08-04 00:00:00',4,1,12,1997,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','224242241215372411279643435124320762127',2143,'70',76.41,1,3,NULL),(20,5003296,'1989-03-18 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117272431159613275124220724032',7643,'8',59.88,1,2,1),(20,5003300,'1992-06-16 00:00:00',4,8,11,2009,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241116371431436419595124610167052',15151,'1103',44.83,1,2,1),(20,5003334,'1992-01-10 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241215121431343311572124610124187',2436,'737',74.68,1,3,NULL),(20,5003342,'1992-06-30 00:00:00',4,1,12,2009,'F','N','JARDIM PAULISTA','VÁRZEA PAULISTA','SP','125251251116471411526524172124610166177',9659,'9998',55.74,1,2,1),(20,5003350,'1990-07-10 00:00:00',2,1,12,2008,'F','N','SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC','124242241217271411226823585124130232182',NULL,'1048',28.84,1,3,NULL),(20,5003369,'1989-09-29 00:00:00',4,1,12,2007,'F','N','BOQUEIRÃO','SANTOS','SP','125252251215511431248821571114610124077',NULL,'9998',0.00,2,3,NULL),(20,5003377,'1990-12-15 00:00:00',4,1,12,2008,'M','N','VALE DO ITAMARACA','VALINHOS','SP','125252251215471531468814575122610122046',NULL,'9998',0.00,1,3,NULL),(20,5003407,'1992-04-25 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216112321468613572124610133053',10479,'1022',57.27,1,3,NULL),(20,5003415,'1992-01-06 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124202241415372431438932571124221427182',765,'270',82.77,1,3,NULL),(20,5003423,'1992-11-02 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431366634577114610164017',10719,'1022',56.84,1,3,NULL),(20,5003431,'1989-10-27 00:00:00',2,1,12,2007,'F','N','ARMAÇÃO PÂNTANO SUL','FLORIANÓPOLIS','SC','124243241316572411338621245114610126142',14732,'307',46.29,1,3,NULL),(20,5003440,'1992-05-12 00:00:00',2,1,12,2008,'M','N','JARDIM UNIVERSITÁRIO','MARINGÁ','PR','116113111216471431673416475115610167076',6601,'9998',62.66,1,3,NULL),(20,5003458,'1991-09-25 00:00:00',4,3,11,2008,'F','N','CENTRO','CURITIBA','PR','116162161236472431338722574125610162012',3269,'9998',71.17,1,3,NULL),(20,5003466,'1992-12-18 00:00:00',4,1,12,2010,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241217151431469933575122610168197',NULL,'1061',18.05,1,3,NULL),(20,5003474,'1992-12-14 00:00:00',2,5,12,2009,'F','N','CENTRO','COCAL SUL','SC','124241241116161421423619575124610167147',NULL,'189',21.48,1,2,1),(20,5003482,'1989-09-14 00:00:00',2,9,12,2006,'F','N','COPACABANA','LAGES','SC','124241241231133431218844141134133267057',8735,'515',58.71,4,3,NULL),(20,5003490,'1987-05-09 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241115271521524331482324610114022',NULL,'275',23.91,2,1,1),(20,5003504,'1987-10-29 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241317574431548939595115130867135',9755,'882',57.69,1,3,NULL),(20,5003512,'1990-10-02 00:00:00',4,1,12,2008,'M','N','NOVA ESTÂNCIA','S CARLOS','SP','125042251215411431479933575124610127012',NULL,'9998',0.00,1,3,NULL),(20,5003520,'1993-07-11 00:00:00',2,2,11,2010,'F','S','SÃO LUIZ','BRUSQUE','SC','124242241215121431233823375122610135092',NULL,'107',60.79,1,3,NULL),(20,5003539,'1992-05-13 00:00:00',4,8,12,2009,'F','N','GUANABARA','JOINVILLE','SC','124242241215121731568714595114610123195',7824,'1016',60.07,1,3,NULL),(20,5003547,'1992-08-19 00:00:00',2,1,12,2009,'M','N','SERRANO','S BENTO SAPUCAÍ','SP','125251251246111732338631575111610162092',NULL,'9998',0.00,1,3,NULL),(20,5003555,'1992-11-17 00:00:00',4,1,12,2009,'F','N','CENTRO','MARINGÁ','PR','116162161216111411468934575122610161197',12766,'9998',49.47,3,3,NULL),(20,5003571,'1993-01-14 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431458812572122610166043',2476,'262',74.05,1,3,NULL),(20,5003580,'1993-03-17 00:00:00',4,1,12,2009,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215271431269912571122610138112',14522,'270',49.19,1,3,NULL),(20,5003598,'1992-12-16 00:00:00',4,6,12,2009,'F','N','CORDEIROS','ITAJAÍ','SC','124244241216131431526624594124610148182',NULL,'394',0.00,1,3,NULL),(20,5003601,'1992-07-01 00:00:00',2,6,12,2009,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241415111731345934245125610136182',8628,'388',58.49,1,3,NULL),(20,5003610,'1990-05-10 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','113132131217372441279613575114610164083',NULL,'9998',0.00,1,3,NULL),(20,5003628,'1992-11-16 00:00:00',4,1,12,2009,'F','N','VILA ESTRELA','PNT GROSSA','PR','116162161215111731449811575122610164117',7627,'9998',59.33,1,3,NULL),(20,5003636,'1991-07-30 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215472431458733574124610133185',813,'1022',82.32,1,3,NULL),(20,5003644,'1990-10-18 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215373411428834575122610147147',NULL,'1050',19.87,1,3,NULL),(20,5003652,'1986-12-28 00:00:00',2,1,12,2004,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241431471431557712281124233261177',NULL,'9997',29.10,1,3,NULL),(20,5003660,'1985-07-27 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201126373411223344345124610163077',NULL,'9998',26.05,1,2,1),(20,5003679,'1993-02-13 00:00:00',4,1,12,2009,'M','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124242241217132411533411115125610164042',10669,'9997',56.92,1,3,NULL),(20,5003687,'1992-05-11 00:00:00',4,1,12,2009,'F','N','SANTO ANTONIO','URUBICI','SC','124243241115161431333636575122610127142',NULL,'818',24.04,1,3,NULL),(20,5003695,'1987-06-23 00:00:00',2,1,12,2006,'M','N','BOM VIVER','BIGUAÇU','SC','124241241346272431536414342122610124082',NULL,'66',31.43,1,3,NULL),(20,5003709,'1988-01-06 00:00:00',2,1,12,2006,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241116274411556614575114221146012',7055,'307',63.71,1,2,1),(20,5003717,'1988-08-13 00:00:00',4,5,12,2006,'M','N','AMERICANO','LAJEADO','RS','120204201211571431534931571125610167017',10244,'9998',55.73,1,3,NULL),(20,5003725,'1994-01-22 00:00:00',2,4,12,2010,'F','S','SANTA MARIA','CHAPECÓ','SC','124242241215271431539913475122610164142',NULL,'983',17.83,1,3,NULL),(20,5003733,'1991-10-02 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431278923572112610124072',6551,'270',62.26,1,3,NULL),(20,5003741,'1992-10-17 00:00:00',2,1,11,2009,'F','N','ARIRIÚ DA FORMIGA','PALHOÇA','SC','124243241215112431476513575124610122072',10904,'1011',54.93,1,3,NULL),(20,5003750,'1992-09-09 00:00:00',4,15,12,2009,'M','N','VILA SAO JOSE','ARARANGUÁ','SC','124241248116111431337614245121610117052',NULL,'29',18.66,1,2,1),(20,5003768,'1993-01-03 00:00:00',4,8,11,2009,'M','N','CENTRO','CURITIBA','PR','116202161216471711358939571124610162132',2710,'9998',74.18,1,3,NULL),(20,5003776,'1990-04-20 00:00:00',2,1,12,2008,'F','N','FLORESTA','CONCÓRDIA','SC','124241247146271421226923275123610146147',NULL,'9999',27.15,1,2,1),(20,5003784,'1993-03-10 00:00:00',4,8,11,2009,'M','N','CENTRO','CURITIBA','PR','116244161215471411466612175124610137062',NULL,'9998',0.00,1,3,NULL),(20,5003814,'1992-04-21 00:00:00',4,17,12,2009,'F','N','CENTRO CÍVICO','CURITIBA','PR','116162161217471411468833575122610124182',NULL,'9998',0.00,1,3,NULL),(20,5003822,'1993-01-12 00:00:00',4,1,11,2009,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125112251215111431388411575122610167042',1420,'9998',78.26,1,3,NULL),(20,5003830,'1992-10-25 01:00:00',4,1,12,2009,'M','N','CENTRO','PARECI NOVO','RS','120254201417131431579614172122610168017',7987,'9998',58.53,1,3,NULL),(20,5003849,'1991-09-01 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124243241116472431423911575114610141147',13943,'734',47.66,1,3,NULL),(20,5003857,'1992-03-27 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161235121731388833571115610162012',7205,'9998',61.99,4,3,NULL),(20,5003865,'1988-09-28 00:00:00',2,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124251251427273431117644245114610131182',10489,'9998',57.25,4,3,NULL),(20,5003873,'1992-02-10 00:00:00',4,1,12,2009,'M','N','ENGORDADOURO','JUNDIAÍ','SP','125252251215121431689834575122610137112',2451,'9998',73.35,1,3,NULL),(20,5003881,'1991-09-15 00:00:00',4,1,12,2009,'F','N','JARDIM VALERI','REGISTRO','SP','125251251216131431548831575124610131141',NULL,'9998',23.12,3,3,NULL),(20,5003890,'1990-04-25 00:00:00',4,1,12,2007,'F','N','CENTRO','CASCAVEL','PR','116162161416471411486712575122610164142',2636,'9998',72.62,1,3,NULL),(20,5003903,'1992-03-04 00:00:00',2,1,12,2009,'F','N','CARMO II','MTE CARMELO','MG','113133131217111751479811475122610136185',12834,'9998',49.39,1,3,NULL),(20,5003911,'1989-08-26 00:00:00',4,3,12,2007,'M','N','MERCÊS','UBERABA','MG','113132131216571751438712424145610166097',2857,'9998',72.37,1,3,NULL),(20,5003920,'1990-04-17 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215374431466814574114133266143',4762,'1022',67.90,1,3,NULL),(20,5003938,'1992-02-05 00:00:00',4,1,12,2009,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241115271431437614375124610124147',15514,'733',42.98,1,2,1),(20,5003946,'1989-12-31 00:00:00',4,1,12,2007,'F','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125252254236572431568924371124610167072',4648,'9998',67.13,1,3,NULL),(20,5003954,'1991-09-19 00:00:00',4,1,12,2009,'M','N','ATALAIA','ARACAJU','SE','126262261217111431479914575122610167042',96,'9998',90.17,4,3,NULL),(20,5003962,'1991-04-25 00:00:00',2,1,12,2008,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251217472431468611575112610127182',4326,'9998',68.02,1,3,NULL),(20,5003989,'1991-11-03 00:00:00',4,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241212111231434634575124610164182',NULL,'1048',20.68,1,3,NULL),(20,5004004,'1990-09-12 00:00:00',2,1,11,2007,'M','N','CENTRO','FOZ IGUAÇU','PR','116162161215221731438711472112610137187',16158,'9998',43.00,1,3,NULL),(20,5004020,'1991-05-17 00:00:00',2,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241216473411338923275124610167062',4235,'962',70.02,1,3,NULL),(20,5004039,'1990-03-31 00:00:00',4,1,12,2008,'M','N','ALTO BIGUAÇU','BIGUAÇU','SC','124241241116371431363616352123610164017',NULL,'65',21.23,1,3,NULL),(20,5004047,'1982-03-10 00:00:00',2,1,12,1999,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241116232421236344445134610124042',NULL,'521',46.20,1,2,1),(20,5004055,'1978-08-01 00:00:00',2,8,12,1997,'F','N','BOQUEIRÃO','CURITIBA','PR','616161167116152411431353375112142763146',NULL,'9998',17.62,1,3,NULL),(20,5004063,'1991-07-03 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124243241337371441633723241224610125071',NULL,'734',28.92,4,3,NULL),(20,5004071,'1991-05-29 00:00:00',4,6,12,2008,'M','N','FAZENDA','ITAJAÍ','SC','124241241116151411333619574111610167187',NULL,'393',27.68,1,2,1),(20,5004080,'1991-03-15 00:00:00',4,1,11,2008,'F','N','CERQUEIRA CÉSAR','S PAULO','SP','125252251215471411477661575122610128022',4685,'9998',69.13,1,3,NULL),(20,5004098,'1991-11-01 00:00:00',4,1,5,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242281435371411468811575112610135075',6884,'9998',62.56,1,3,NULL),(20,5004101,'1990-03-31 00:00:00',4,7,11,2008,'M','N','BIGORRILHO','CURITIBA','PR','116092091217371432459636375125642924053',NULL,'9998',22.01,1,3,NULL),(20,5004110,'1992-04-14 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124244241215372431266924572124610164191',4866,'738',68.20,1,3,NULL),(20,5004128,'1991-05-26 00:00:00',4,8,12,2008,'F','N','AVENTUREIRO','JOINVILLE','SC','124244241215131131457634346124610163097',NULL,'462',44.74,1,3,NULL),(20,5004136,'1992-04-23 00:00:00',4,1,11,2009,'F','N','BOMBAS','BOMBINHAS','SC','124242247434161711348822175124610168097',NULL,'9999',9.67,1,3,NULL),(20,5004160,'1992-02-21 00:00:00',4,1,11,2009,'M','N','SÃO VICENTE','VITÓRIA CONQUISTA','BA','105052051216111711346823475124610162193',NULL,'9998',NULL,4,3,NULL),(20,5004179,'1989-09-14 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116373431434616275124231122172',9839,'17',58.46,1,2,1),(20,5004187,'1992-07-07 00:00:00',2,2,12,2009,'F','N','MOURA','CANELINHA','SC','124241241126161431534719295122610124177',NULL,'913',28.11,1,2,1),(20,5004209,'1992-11-09 00:00:00',2,4,12,2009,'F','N','CENTRO','ABELARDO LUZ','SC','124241241115271431537315372122610132142',NULL,'4',21.53,1,2,1),(20,5004225,'1991-11-25 00:00:00',4,1,12,2009,'F','N','JARDIM HAWAÍ','S CARLOS','SP','125252251416111411466833272122610132094',NULL,'9998',NULL,1,3,NULL),(20,5004233,'1991-07-03 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','125254251215371431648811595124610132187',8863,'9998',58.17,1,3,NULL),(20,5004241,'1990-02-16 00:00:00',2,1,12,2006,'F','N','VILA CLEÓPATRA','MARINGÁ','PR','116161161416571431248633575112610127187',NULL,'9998',0.00,3,3,NULL),(20,5004250,'1991-12-01 00:00:00',4,8,12,2009,'M','N','JARIVATUBA','JOINVILLE','SC','124242241216371431456632595124610144092',4317,'1105',68.39,1,3,NULL),(20,5004268,'1993-07-13 00:00:00',4,9,12,2010,'F','S','CENTRO','LAGES','SC','124242241215112431339814244122610163092',NULL,'499',64.95,1,3,NULL),(20,5004276,'1991-07-12 00:00:00',2,8,12,2008,'F','N','JARDIM TULIPAS','JUNDIAÍ','SP','125254251216311731546832595122610118071',NULL,'9998',24.46,1,3,NULL),(20,5004284,'1992-08-06 00:00:00',4,9,11,2009,'F','N','FREI ROGERIO','LAGES','SC','124242241215111411478712595122610122122',1176,'497',80.38,1,3,NULL),(20,5004292,'1990-10-24 00:00:00',4,1,12,2008,'F','N','JARDIM JEQUITIBÁ','MARÍLIA','SP','125252258216471431438812572122610161147',11391,'9998',51.99,1,3,NULL),(20,5004306,'1991-12-04 00:00:00',4,1,11,2009,'F','N','CENTRO','BRUSQUE','SC','124242241215271311387812575112610162125',2967,'107',73.42,1,3,NULL),(20,5004314,'1992-02-22 00:00:00',2,1,12,2009,'M','N','LA SALLE','PATO BRANCO','PR','116162161215111431326832575122610164192',NULL,'9998',27.04,1,3,NULL),(20,5004330,'1992-05-20 00:00:00',4,1,12,2009,'F','N','JARDIM AQUARIUS IV','S JOSÉ CAMPOS','SP','125252251215111441259923575112610165057',7632,'9998',60.11,1,3,NULL),(20,5004349,'1993-05-20 00:00:00',4,4,11,2009,'F','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124242241215272731453932222112610164072',14106,'983',47.59,1,3,NULL),(20,5004373,'1992-04-20 00:00:00',4,1,12,2009,'F','N','BOQUEIRÃO','SANTOS','SP','125252251217471431489912595122610166122',15713,'9998',45.45,1,3,NULL),(20,5004381,'1991-12-21 00:00:00',4,8,12,2009,'F','N','JARDIM IRIRIRU','JOINVILLE','SC','124241241112271411636429575124610147052',NULL,'470',0.00,4,2,1),(20,5004390,'1986-03-12 00:00:00',4,1,9,2003,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241336151411367863575122333222142',NULL,'9999',49.72,1,3,NULL),(20,5004411,'1986-07-27 00:00:00',4,1,12,2003,'M','N','MEIA PRAIA','ITAPEMA','SC','124112241216141441456611245114142744032',5788,'932',66.50,1,3,NULL),(20,5004438,'1987-06-15 00:00:00',4,2,12,2005,'F','N','FORTALEZA','BLUMENAU','SC','124241241116574441323619391234230667047',11035,'83',56.22,1,2,1),(20,5004446,'1992-06-03 00:00:00',2,1,12,2009,'M','N','JARDIM CENTRAL','DOURADOS','MS','112124121216371431386716572112610144042',10865,'9998',52.79,1,3,NULL),(20,5004454,'1992-02-08 00:00:00',2,1,11,2009,'M','N','PENHA','PAULO LOPES','SC','124241241225371431323319185224610167042',9349,'262',58.14,1,3,NULL),(20,5004462,'1991-10-19 00:00:00',2,5,12,2008,'F','N','LIBERDADE','CRICIÚMA','SC','124242243216371431336914345124610164147',11141,'995',52.43,1,3,NULL),(20,5004470,'1992-01-30 00:00:00',4,6,11,2009,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241216111431467812575122610164142',10128,'392',57.92,1,3,NULL),(20,5004489,'1991-05-06 00:00:00',4,8,11,2008,'F','N','BOM RETIRO','JOINVILLE','SC','124201241216472431447714272114610123187',572,'486',84.00,1,3,NULL),(20,5004497,'1990-11-08 00:00:00',4,1,12,2008,'M','N','CENTRO','CPO BOM','RS','120202201217471431356831472124610122077',2855,'9998',73.57,1,3,NULL),(20,5004500,'1992-10-28 00:00:00',4,3,11,2009,'F','N','ARIRIBA','BAL CAMBORIÚ','SC','124242241217112431347839574125610166197',NULL,'1038',0.00,1,3,NULL),(20,5004519,'1990-03-21 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215272431336939495112610167055',9541,'270',58.99,1,3,NULL),(20,5004543,'1991-10-15 00:00:00',3,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215373431488923575112610162072',753,'270',82.85,1,3,NULL),(20,5004551,'1992-04-30 00:00:00',4,1,12,2009,'M','N','RESIDENCIAL SANTA HE','LIMEIRA','SP','125252251217111431568712272124610117042',11954,'9998',53.55,1,3,NULL),(20,5004560,'1992-02-24 00:00:00',4,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','122222221417121411469813595122610127012',NULL,'9998',27.03,1,3,NULL),(20,5004578,'1986-06-08 00:00:00',2,8,12,2004,'F','N','SANTA FELICIDADE','CURITIBA','PR','116141161116571711236879374124610163187',NULL,'9998',0.00,1,2,1),(20,5004586,'1990-03-08 00:00:00',4,6,12,2007,'M','N','FAZENDA','ITAJAÍ','SC','124242241216572451333822574122610112097',701,'392',82.85,1,3,NULL),(20,5004594,'1991-03-11 00:00:00',4,8,12,2008,'M','N','SAGUAÇÚ','JOINVILLE','SC','124242241214475411559614574121610146017',68,'486',91.01,1,3,NULL),(20,5004608,'1990-12-21 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124162161215574431446632572115610167042',4484,'9998',67.95,4,3,NULL),(20,5004624,'1992-07-29 00:00:00',2,5,11,2009,'M','N','PIO CORRÊA','CRICIÚMA','SC','124243241215211411668613572122610125147',803,'226',82.47,1,3,NULL),(20,5004632,'1991-05-23 00:00:00',2,9,12,2008,'F','N','PINHALZINHO','MIRIM DOCE','SC','124241241114111231324425575122610144042',NULL,'560',14.35,1,2,1),(20,5004640,'1991-12-26 00:00:00',4,1,12,2009,'M','N','VILA IRACEMA','S JOSÉ CAMPOS','SP','122222251211111751458837571325610168092',7336,'9998',60.35,3,3,NULL),(20,5004659,'1992-04-17 00:00:00',4,3,12,2009,'M','N','CENTRO','STA MARIA','RS','120202201217151431469813575122610124095',NULL,'9998',0.00,1,3,NULL),(20,5004667,'1991-11-13 00:00:00',4,10,11,2009,'M','N','STO ANTÔNIO DE PÁDUA','TUBARÃO','SC','124242241215111441448634374122610138047',364,'807',85.79,1,3,NULL),(20,5004675,'1992-11-18 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431368731574122610167077',NULL,'270',55.29,1,3,NULL),(20,5004691,'1990-11-10 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161211411751488831571115610164162',6133,'9998',63.39,4,3,NULL),(20,5004705,'1990-07-23 00:00:00',4,1,12,2007,'F','N','CENTRO','MARAU','RS','120202201216571431438934572122610167152',882,'9998',81.99,1,3,NULL),(20,5004713,'1991-10-05 00:00:00',4,6,11,2008,'F','N','CENTRO','ITAJAÍ','SC','124242241215472731459912575122610166122',7320,'9997',63.20,1,3,NULL),(20,5004721,'1992-02-21 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215112232378833575122610127147',2237,'738',76.03,1,3,NULL),(20,5004748,'1993-02-26 00:00:00',4,8,12,2009,'F','N','ESPINHEIROS','JOINVILLE','SC','124242241216131732456814595124610134097',NULL,'1105',0.00,1,3,NULL),(20,5004756,'1991-03-13 00:00:00',4,1,12,2008,'F','N','LOTEAMENTO KLITZKE','MAL CÂNDIDO RONDON','PR','116162161216271431469923575112143242072',11696,'9998',54.95,1,3,NULL),(20,5004764,'1989-10-26 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241111133421423319385124221642192',NULL,'293',33.31,2,1,1),(20,5004772,'1991-07-15 00:00:00',4,1,11,2008,'F','N','JARDIM PAULISTANO','SOROCABA','SP','125252251216472431459813575122610134012',4951,'9998',65.74,1,3,NULL),(20,5004780,'1991-03-15 00:00:00',4,8,12,2008,'M','N','BAIRRO UNIVERSITARIO','MARINGÁ','PR','116162251217371431468811572112610137122',8383,'9998',60.33,1,3,NULL),(20,5004799,'1993-03-21 00:00:00',4,5,12,2009,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241216111431349814495122610127127',NULL,'226',0.00,1,3,NULL),(20,5004802,'1990-02-12 00:00:00',2,8,12,2007,'F','N','JARDIM EUROPA','GOIÂNIA','GO','109092091216571411368813375112610162047',NULL,'9998',NULL,2,3,NULL),(20,5004810,'1988-03-09 00:00:00',2,1,12,2007,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241247226374411323324272324610156047',11249,'9999',55.81,1,3,NULL),(20,5004837,'1991-08-15 00:00:00',2,8,12,2009,'M','N','ESTRADINHA','PARANAGUÁ','PR','116164161216471411456414275122610167047',NULL,'9998',52.24,1,3,NULL),(20,5004845,'1989-08-13 00:00:00',2,8,12,2006,'F','N','PAULAS','S FRANCISCO SUL','SC','124241241116161411437933235122333248112',NULL,'710',0.00,1,3,NULL),(20,5004861,'1983-04-27 00:00:00',4,1,12,2001,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124142141236271431226841415124141062093',NULL,'9998',19.12,4,3,NULL),(20,5004870,'1993-10-06 00:00:00',2,4,12,2010,'F','S','BELA VISTA','ITAPIRANGA','SC','124241241235111411459832575122610122092',NULL,'1060',21.10,1,3,NULL),(20,5004888,'1992-05-23 00:00:00',1,8,11,2009,'M','N','CENTRO','JOINVILLE','SC','124242241215112431438921575112610128067',2873,'457',73.10,1,3,NULL),(20,5004896,'1988-05-14 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216372431628811572112140662177',NULL,'988',38.31,1,3,NULL),(20,5004918,'1982-12-09 00:00:00',2,1,12,2004,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241126131421621144242334610127067',NULL,'296',17.93,2,1,1),(20,5004926,'1992-02-19 00:00:00',4,8,12,2009,'M','N','AVAÍ','GUARAMIRIM','SC','124243243127131411439824285122610132047',11791,'336',49.99,1,3,NULL),(20,5004942,'1989-10-22 00:00:00',4,9,12,2006,'M','N','COPACABANA','LAGES','SC','124241241117271451533634286124610135177',4776,'935',67.50,1,2,1),(20,5004950,'1992-01-10 00:00:00',4,1,11,2009,'F','N','JARDIM MARIA AUGUSTA','TAUBATÉ','SP','125252251217121711588832475122610132192',NULL,'9998',0.00,1,3,NULL),(20,5004977,'1991-11-06 00:00:00',4,1,12,1991,'M','N','VILA RIO BRANCO','CASTRO','PR','116162162411471421238823122111112922022',NULL,'9998',0.00,1,3,NULL),(20,5004985,'1990-10-25 00:00:00',4,1,12,2008,'F','N','JARDIM SÃO PAULO','RIO CLARO','SP','125252251211471411468614572122610162053',10647,'9998',55.14,1,3,NULL),(20,5004993,'1991-12-23 00:00:00',4,5,11,2009,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241215111431244812574112610124191',11390,'32',53.21,1,3,NULL),(20,5005019,'1979-04-13 00:00:00',4,15,5,2007,'M','N','MATO ALTO','ARARANGUÁ','SC','124241248127131431423749292112610162043',NULL,'9999',30.25,1,2,1),(20,5005035,'1985-05-03 00:00:00',4,1,8,2003,'F','N','PRAIA DE FORA','PALHOÇA','SC','224131247116152431343452375112140846187',NULL,'9997',0.00,1,3,NULL),(20,5005043,'1992-09-29 00:00:00',4,2,11,2009,'M','N','VISTA ALEGRE','CURITIBA','PR','116162161216111431459614591112610127041',11971,'9998',52.46,1,3,NULL),(20,5005051,'1992-06-06 00:00:00',2,2,12,2009,'F','N','NAÇÕES','INDAIAL','SC','124242241216151741469612575124610163142',NULL,'88',26.98,1,3,NULL),(20,5005060,'1992-06-29 00:00:00',2,6,11,2009,'F','N','CENTRO','MARILUZ','PR','116163161216121731336839575112610164111',13606,'9998',48.14,1,3,NULL),(20,5005078,'1990-03-20 00:00:00',4,1,6,2008,'F','N','LIBERDADE','S PAULO','SP','125124121416371411468933573122610142183',NULL,'9998',0.00,1,3,NULL),(20,5005108,'1991-06-04 00:00:00',4,8,11,2008,'M','N','AEROPORTO','MARINGÁ','PR','116162161215212731459914592122610167122',5468,'9998',66.18,1,3,NULL),(20,5005116,'1992-06-12 00:00:00',4,8,12,2009,'F','N','CAPIVARI','JAGUARIAÍVA','PR','116162161215111431236527175122610162192',7839,'9998',58.76,1,3,NULL),(20,5005132,'1989-10-15 01:00:00',4,8,12,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216372431668814495122233263182',13202,'1063',51.98,1,3,NULL),(20,5005140,'1986-11-25 00:00:00',4,1,12,2005,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241216475711268833575112131768083',8247,'262',61.39,1,3,NULL),(20,5005167,'1991-02-16 00:00:00',4,1,11,2008,'M','N','RES SAMAMBAIA','BAURU','SP','125252251217472431479812575122610167042',6500,'9998',62.36,1,3,NULL),(20,5005175,'1992-06-12 00:00:00',2,7,12,2009,'M','N','SANTA HELENA','JOAÇABA','SC','124241241115371431324415182122610127047',NULL,'449',0.00,1,2,1),(20,5005183,'1991-07-15 00:00:00',4,1,11,2008,'M','N','BATEL','CURITIBA','PR','116162161217472731478811572345610137095',3718,'237',70.75,1,3,NULL),(20,5005191,'1990-09-13 00:00:00',2,1,12,2007,'F','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120202201216471431348633375124140642072',NULL,'9998',0.00,1,3,NULL),(20,5005205,'1984-12-01 00:00:00',4,8,12,2002,'M','N','VILA NOVA','JOINVILLE','SC','124244246216271441349923245123131738192',NULL,'494',24.51,1,3,NULL),(20,5005213,'1992-02-18 00:00:00',2,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431378823572112610162112',14527,'270',45.41,1,3,NULL),(20,5005221,'1992-03-20 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215371311626412591122610167147',16147,'1118',40.79,1,3,NULL),(20,5005230,'1991-10-21 00:00:00',4,8,12,2009,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241215152441588711575122610164042',667,'457',83.42,1,3,NULL),(20,5005248,'1992-06-30 00:00:00',4,8,11,2009,'F','N','ICARAÍ','BARRA VELHA','SC','124241241215111731344669572125610164077',4627,'932',68.74,4,3,NULL),(20,5005256,'1993-03-15 00:00:00',4,1,12,2011,'F','S','INGLESES','FLORIANÓPOLIS','SC','124242241212111431557633595122610167015',NULL,'262',47.31,1,3,NULL),(20,5005272,'1992-04-09 00:00:00',4,2,10,2009,'M','N','ASILO','BLUMENAU','SC','124242241217111431479932275124610164182',1899,'909',77.04,1,3,NULL),(20,5005280,'1984-07-07 00:00:00',4,1,11,2002,'M','N','LAGO SUL','LG SUL','DF','107072071216272731489811575122243227042',NULL,'9998',0.00,1,3,NULL),(20,5005299,'1990-12-17 00:00:00',2,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241112131431433319242134610118147',NULL,'282',15.98,2,1,1),(20,5005302,'1990-07-17 00:00:00',4,1,12,2008,'M','N','FLORESTA','CAXIAS SUL','RS','120202201216471731548734575122610167047',NULL,'9998',0.00,1,3,NULL),(20,5005329,'1992-10-19 00:00:00',4,3,12,2009,'M','N','CENTRO','PARANAVAÍ','PR','116164161215111731448812575122610167064',4227,'9998',68.19,1,3,NULL),(20,5005337,'1992-08-19 00:00:00',4,8,12,2009,'M','N','CENTRO','PALOTINA','PR','116162161217111431458832571122610132092',173,'9998',88.54,1,3,NULL),(20,5005361,'1989-06-28 00:00:00',4,1,11,2008,'F','N','REAL PARQUE','S PAULO','SP','125252251217471131689916265112610167027',NULL,'9998',0.00,1,3,NULL),(20,5005370,'1991-12-05 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241116471431224629575124610116097',NULL,'257',0.00,1,3,NULL),(20,5005388,'1992-04-24 00:00:00',4,1,12,2009,'F','N','CENTRO','JABOTICABAL','SP','125252251211111431478833571122610116092',NULL,'9998',27.57,1,3,NULL),(20,5005400,'1991-03-20 00:00:00',4,3,12,2008,'F','N','CENTRO','CAÇADOR','SC','116242161215172731348831575122242466192',NULL,'9998',0.00,1,3,NULL),(20,5005418,'1991-11-12 00:00:00',2,1,12,2008,'F','N','RIBEIRANIA','RIBEIRÃO PRETO','SP','125252251217422411458813572122610133187',10662,'9998',53.56,1,3,NULL),(20,5005434,'1992-06-02 00:00:00',4,3,12,2009,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116163161115371431433612275122610133092',7716,'9998',59.06,1,3,NULL),(20,5005442,'1987-09-02 00:00:00',4,8,12,2006,'M','N','MORRO VERMELHO','MOGI MIRIM','SP','125252251216211631449914475112342917053',13787,'9998',46.88,1,3,NULL),(20,5005450,'1989-10-28 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116575431434615445233130266147',1894,'818',76.96,1,2,1),(20,5005469,'1991-08-11 00:00:00',3,1,12,2008,'M','N','BARRA DO JUCU','VL VELHA','ES','108082081216471411469933415114610137032',8371,'9998',58.20,4,3,NULL),(20,5005477,'1992-11-30 00:00:00',4,4,11,2009,'F','N','PARQUE DAS PALMEIRAS','CHAPECÓ','SC','124241241116171411347619385124610143143',NULL,'169',25.96,1,2,1),(20,5005485,'1991-12-26 00:00:00',4,1,12,2008,'M','N','LIBERDADE','S PAULO','SP','125122251215472431368734572125610142122',4915,'9998',67.54,1,3,NULL),(20,5005493,'1986-01-17 00:00:00',2,1,12,2003,'F','N','CAMPINAS','S JOSÉ','SC','124242241215475231238623472114131423182',3378,'1036',72.17,1,3,NULL),(20,5005507,'1992-04-18 00:00:00',4,1,12,2009,'F','N','JD DAS LARANJEIRAS','BRAGANÇA PAULISTA','SP','125252251215111731454834375122610164147',5479,'9998',66.02,1,3,NULL),(20,5005515,'1991-10-08 00:00:00',4,1,12,2009,'F','N','ALPHAVILLE','CAMPINAS','SP','125252251217111431468814475122610126143',8345,'9998',58.25,1,3,NULL),(20,5005540,'1991-11-04 00:00:00',4,1,12,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241217112411388812571114610164092',411,'270',85.27,4,3,NULL),(20,5005558,'1992-07-07 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241112471431665613575124610113192',7109,'307',61.25,1,2,1),(20,5005566,'1989-05-11 00:00:00',4,8,11,2006,'F','N','CENTRO','TEN PORTELA','RS','120201161215571411458832574124610126057',15895,'9997',39.31,1,3,NULL),(20,5005574,'1990-10-30 00:00:00',2,1,12,2007,'M','N','CENTRO','IMBITUBA','SC','124241241216413431556714595124610167114',7557,'362',62.70,4,3,NULL),(20,5005604,'1991-04-15 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216131431368413175124610145182',15507,'262',46.29,1,3,NULL),(20,5005612,'1991-08-16 00:00:00',4,15,12,2008,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124242241217372431349929574125610122182',3433,'970',71.68,1,3,NULL),(20,5005639,'1992-11-15 00:00:00',2,5,11,2009,'F','N','PRESIDENTE VARGAS','IÇARA','SC','124242241215151431339734375112610141197',NULL,'920',11.97,1,3,NULL),(20,5005647,'1986-04-24 00:00:00',2,8,12,2004,'F','N','BOA VISTA','JOINVILLE','SC','124241241121371731224444245334610132145',15837,'996',40.86,1,2,1),(20,5005655,'1992-05-15 00:00:00',4,6,12,2009,'F','N','FAZENDA','ITAJAÍ','SC','124242241216371731247922575122610122072',15488,'1057',46.36,4,3,NULL),(20,5005663,'1991-05-23 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431336933575121610135097',126,'270',89.50,1,3,NULL),(20,5005671,'1991-08-12 00:00:00',4,1,12,2008,'F','N','SUMARÉ','RIO SUL','SC','124242241215372431457814272122610163192',5857,'654',66.33,1,3,NULL),(20,5005680,'1990-12-31 00:00:00',2,9,12,2007,'F','N','CENTRO','RIO SUL','SC','124242241215574451547312194125610167187',8496,'663',58.31,4,3,NULL),(20,5005698,'1992-04-22 00:00:00',4,1,12,2009,'F','N','ZONA NOVE','MARINGÁ','PR','116163161115371411448823475125610163077',4458,'9998',68.89,1,3,NULL),(20,5005701,'1988-09-23 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241217372441437831582114610142062',NULL,'590',46.49,1,3,NULL),(20,5005710,'1992-05-26 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241145371731524411245124610128092',NULL,'287',19.51,1,2,1),(20,5005736,'1991-08-05 00:00:00',2,1,12,2009,'F','N','PROTASIO ALVES','PTO ALEGRE','RS','120201201117471711334519275124610134057',NULL,'9998',43.09,1,2,1),(20,5005744,'1989-12-17 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124161241125272431113644242334610137147',NULL,'288',26.90,1,2,1),(20,5005752,'1992-01-03 00:00:00',4,1,11,2009,'M','N','MORUMBI','S PAULO','SP','125212251217372231378812375112610167047',5300,'9998',64.18,1,3,NULL),(20,5005760,'1989-09-05 00:00:00',2,3,12,2008,'F','N','TERRAS DE ITAICI','INDAIATUBA','SP','125251257325471751358614291122610142112',NULL,'9999',0.00,1,3,NULL),(20,5005795,'1988-04-02 00:00:00',4,1,7,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242247316475411368618475124133252183',13876,'9999',50.60,1,3,NULL),(20,5005809,'1991-10-23 00:00:00',4,1,11,2009,'F','N','PARQUE DO CASTELO','FRANCA','SP','125251251216121431338829595122610163097',NULL,'9998',30.45,1,3,NULL),(20,5005817,'1992-06-22 00:00:00',2,1,11,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241237131431626538495124610163147',NULL,'300',17.79,1,3,NULL),(20,5005825,'1990-12-03 00:00:00',4,1,12,2008,'M','N','CENTRO','ITURAMA','MG','125132131216472741448923575124610122092',7454,'9998',61.07,1,3,NULL),(20,5005833,'1992-12-22 00:00:00',4,3,12,2009,'F','N','CAIOBÁ','MATINHOS','PR','116164161216371431449632295121610117112',NULL,'9998',40.22,1,3,NULL),(20,5005841,'1992-11-07 00:00:00',4,1,11,2009,'M','N','RIO GRANDE','PALHOÇA','SC','124242241214472431363332575122610122092',8302,'989',58.75,1,3,NULL),(20,5005850,'1991-11-02 00:00:00',4,1,12,2009,'F','N','GRAVATÁ','NAVEGANTES','SC','124254241217111431337529572324610136142',8004,'1008',59.42,1,3,NULL),(20,5005868,'1985-04-19 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224243241417275431229659375125610164071',NULL,'270',20.96,2,3,NULL),(20,5005876,'1988-06-01 00:00:00',2,1,12,2005,'M','N','KOBRASOL','S JOSÉ','SC','124204208226372431123319385124131427057',14829,'9998',44.53,1,3,NULL),(20,5005884,'1989-03-31 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201241216274411329631192124610132187',4848,'299',67.24,1,3,NULL),(20,5005892,'1991-12-22 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124241241117111731447413595122610118192',NULL,'733',22.06,1,2,1),(20,5005906,'1991-06-14 00:00:00',4,9,12,2008,'M','N','SAO CRISTOVAO','LAGES','SC','124241241117471431431415575224610167052',NULL,'498',28.36,1,2,1),(20,5005914,'1966-03-24 00:00:00',4,1,12,1983,'M','N','SERRARIA','S JOSÉ','SC','224072071216152441449641415132241466011',NULL,'9998',0.00,1,3,NULL),(20,5005922,'1992-10-17 00:00:00',2,1,12,2009,'F','N','BARRA DO RIO MOLHA','JARAGUÁ SUL','SC','124242241214142732569814471112610137145',NULL,'442',27.45,1,3,NULL),(20,5005930,'1992-08-22 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÔES','FLORIANÓPOLIS','SC','124244241217111531359333375114610167092',1690,'1022',78.09,1,3,NULL),(20,5005949,'1991-05-22 00:00:00',4,1,12,2008,'F','N','MIRANDÓPOLIS','S PAULO','SP','125254251215472431558832576125610118042',6672,'9998',61.65,1,3,NULL),(20,5005965,'1981-07-19 00:00:00',2,1,12,2000,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241127133431446313145123610163022',NULL,'727',33.47,1,2,1),(20,5005973,'1992-02-02 00:00:00',2,8,12,2008,'M','N','BOA VISTA','SIQUEIRA CAMPOS','PR','116161161215471431437819575122610127067',NULL,'9998',0.00,1,3,NULL),(20,5005981,'1992-04-24 00:00:00',4,1,11,2009,'M','N','CENTRO','PALHOÇA','SC','124242241237272431558731344114610164152',545,'1011',84.24,1,3,NULL),(20,5005990,'1990-07-23 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241115372431627744345124222363022',8884,'271',60.18,1,3,NULL),(20,5006007,'1990-03-07 00:00:00',4,1,12,2007,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241216574731456829495122130567042',12143,'988',51.53,1,3,NULL),(20,5006015,'1966-04-30 00:00:00',4,8,12,1985,'M','N','ÁGUA VERDE','CURITIBA','PR','516111115136571421246171485122341665147',4492,'9998',69.05,1,3,NULL),(20,5006040,'1991-03-06 00:00:00',4,1,12,2008,'F','N','JD SOLANGE','BAURU','SP','125252251216471431358814575122610132147',12597,'9998',48.91,1,3,NULL),(20,5006066,'1990-09-27 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215473431478833572112133233052',777,'1022',82.69,1,3,NULL),(20,5006082,'1990-10-01 00:00:00',4,1,12,2008,'F','N','CENTRO','PTO ALEGRE','RS','120114111216471431344434572125610162197',7071,'9998',62.73,1,3,NULL),(20,5006104,'1992-06-06 00:00:00',2,7,12,2009,'F','N','CENTRO','VIDEIRA','SC','124242241215111531426612585122610127057',NULL,'829',22.66,1,3,NULL),(20,5006112,'1991-08-17 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472431456937372124610121072',6721,'270',62.55,1,3,NULL),(20,5006120,'1989-01-09 00:00:00',4,3,12,2006,'F','N','AREIAS','CAMBORIÚ','SC','124241241136131431226529272224231324147',NULL,'50',21.82,1,2,1),(20,5006139,'1989-02-15 00:00:00',4,1,7,2009,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124243247647272431658313375124610162187',12578,'9999',53.18,3,3,NULL),(20,5006155,'1991-02-10 00:00:00',4,1,12,2008,'F','N','VILA AURORA','S PAULO','SP','125252251216471411368924315124610143182',NULL,'9998',0.00,1,3,NULL),(20,5006163,'1992-06-13 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241216131131425631282124610113072',NULL,'737',21.53,1,3,NULL),(20,5006171,'1984-02-10 00:00:00',4,1,5,2002,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124221244116132321128943435134322232097',12096,'306',54.17,1,2,1),(20,5006180,'1992-09-15 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116371411536623291124610126047',6028,'739',64.88,2,2,1),(20,5006198,'1991-10-13 00:00:00',2,9,12,2008,'M','N','CENTRO','LAGES','SC','124134241415473431578614472112610137052',14883,'497',48.20,1,3,NULL),(20,5006201,'1990-10-24 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242251217472331388833575124610135022',3408,'9998',70.81,1,3,NULL),(20,5006210,'1991-04-09 00:00:00',4,1,12,2008,'F','N','CONSERVA','AMERICANA','SP','125252251217471751443331195122610153117',14800,'9998',43.57,1,3,NULL),(20,5006228,'1990-12-07 00:00:00',4,1,12,2008,'F','N','JARDIM IPIRANGA','AMERICANA','SP','125252251216471311426673572122610145114',NULL,'9998',30.10,1,3,NULL),(20,5006236,'1992-03-21 00:00:00',4,1,11,2009,'F','N','CABRAL','CURITIBA','PR','116162161215121731448813575114610167042',NULL,'9998',0.00,1,3,NULL),(20,5006244,'1990-08-13 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','125254257436471451469911575122610144182',NULL,'9998',0.00,1,3,NULL),(20,5006260,'1992-08-12 00:00:00',4,2,12,2009,'M','N','BADENFURT','BLUMENAU','SC','124241246217111232566622322122610134142',12160,'1018',50.63,1,3,NULL),(20,5006279,'1992-03-08 00:00:00',4,1,5,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242284215372731468812571122610138192',4825,'9998',67.10,1,3,NULL),(20,5006287,'1992-07-25 00:00:00',4,1,12,2009,'M','N','CENTRO','CPO GRANDE','MS','112122121236211432466739475122610127042',6138,'9998',63.07,1,3,NULL),(20,5006333,'1991-06-25 00:00:00',4,1,12,2008,'F','N','LIBERDADE','S PAULO','SP','125162161216471431479933471125610136141',NULL,'9998',0.00,1,3,NULL),(20,5006341,'1988-03-10 00:00:00',2,1,12,2005,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241416133741538624145124233237147',NULL,'1134',0.00,1,3,NULL),(20,5006350,'1984-11-07 00:00:00',2,1,11,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124282281216233431328811482114143223141',12174,'9998',54.03,1,3,NULL),(20,5006368,'1991-11-29 00:00:00',4,10,11,2009,'M','N','CAMPESTRE','TUBARÃO','SC','124242241216111431459913572122610127042',11679,'797',51.83,1,3,NULL),(20,5006376,'1989-02-16 00:00:00',2,1,12,2008,'M','N','JARDIM DA GLORIA','COTIA','SP','125252251217431412527831295124610167127',NULL,'9998',39.72,4,3,NULL),(20,5006384,'1992-04-30 00:00:00',4,1,12,2009,'M','N','VILA GARCIA','JUNDIAÍ','SP','125252251217371441479911415122610157182',NULL,'9998',0.00,4,3,NULL),(20,5006392,'1991-06-17 00:00:00',2,1,12,2008,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241216511411446914345132610134142',NULL,'781',25.71,4,3,NULL),(20,5006414,'1990-09-27 00:00:00',4,1,12,2008,'M','N','PARQUE COSMO','MTE ALTO','SP','125254251216372731438612572124610167051',13296,'9998',48.66,1,3,NULL),(20,5006422,'1990-11-09 00:00:00',4,1,12,2008,'F','N','RUDGE RAMOS','S BERNARDO CAMPO','SP','125252251215571431466414275122610168197',NULL,'9998',0.00,1,3,NULL),(20,5006430,'1980-02-15 00:00:00',2,1,12,1997,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124124241436475411439429485123131047112',NULL,'258',29.13,1,3,NULL),(20,5006449,'1992-02-20 00:00:00',4,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124242246215111431358611295122610164182',8048,'1119',59.75,1,3,NULL),(20,5006457,'1990-04-25 00:00:00',4,1,12,2007,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124243241225374431437679341124610167052',9047,'262',57.28,1,3,NULL),(20,5006473,'1992-10-12 00:00:00',4,5,11,2009,'F','N','VILA FLORESTA','CRICIÚMA','SC','124244241215111431446612575124610134092',NULL,'226',48.09,1,3,NULL),(20,5006481,'1992-03-13 00:00:00',4,1,11,2009,'F','N','CENTRO','BIGUAÇU','SC','124242241217141431544612345122610128072',NULL,'63',25.22,1,3,NULL),(20,5006490,'1992-02-29 00:00:00',4,8,12,2009,'F','N','RIO BONITO','IRATI','PR','116162161215111531536933592122610162015',6418,'9998',62.12,1,3,NULL),(20,5006503,'1990-05-30 00:00:00',4,1,12,2007,'F','N','BELA SUIÇA','LONDRINA','PR','116162161214571421467833574112610135187',1621,'9998',78.38,1,3,NULL),(20,5006511,'1990-04-29 00:00:00',4,1,12,2007,'M','N','ALPHAVILLE','CAMPINAS','SP','125252251217571431468814575122610127043',5224,'9998',65.17,1,3,NULL),(20,5006520,'1990-09-09 00:00:00',4,6,11,2007,'F','N','TRÊS MARIAS','PERUÍBE','SP','125251251117471731538624474121610127147',6370,'9998',63.39,1,2,1),(20,5006538,'1988-09-07 00:00:00',4,1,12,2006,'M','N','SETOR JAÓ','GOIÂNIA','GO','109092091217151751545839475121143262192',5926,'9998',66.17,1,3,NULL),(20,5006546,'1990-06-18 00:00:00',4,8,12,2008,'F','N','BATEL','CURITIBA','PR','116242161215472411488811575122610122127',3047,'9998',72.42,1,3,NULL),(20,5006554,'1992-06-02 00:00:00',2,15,12,2009,'F','N','RIO DO SALTO','TIMBÉ SUL','SC','124241241116131431426911372124610127142',NULL,'814',23.87,1,2,1),(20,5006562,'1982-05-29 00:00:00',4,1,12,1999,'F','N','CENTRO','PARAGUAÇU PAULISTA','SP','125251251416152421456824415122322834017',NULL,'9998',0.00,1,3,NULL),(20,5006570,'1990-07-11 00:00:00',4,8,12,2008,'M','N','ASSUNÇÃO','S BERNARDO CAMPO','SP','125253251215371431456611343111610134182',NULL,'9998',0.00,1,3,NULL),(20,5006589,'1987-06-01 00:00:00',2,1,12,2005,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124243241116475431446618572124230823094',NULL,'257',30.00,1,3,NULL),(20,5006600,'1989-05-24 00:00:00',2,1,12,2006,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215372431259923374114132845192',NULL,'807',41.61,1,3,NULL),(20,5006619,'1992-07-17 00:00:00',2,1,12,2009,'F','N','CENTRO','PNT GROSSA','PR','116162161216111431368634575125610164077',12920,'9998',48.24,1,3,NULL),(20,5006627,'1992-06-30 00:00:00',4,1,12,2009,'M','N','JARDIM DAS FLORES','OSASCO','SP','625204251216271451479612395122613266112',NULL,'9998',0.00,1,3,NULL),(20,5006635,'1991-03-07 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124252251237272431339831575121221461187',6450,'9998',62.56,1,3,NULL),(20,5006643,'1991-07-11 00:00:00',4,1,11,2008,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124243241415472411546611575124610164142',5454,'270',67.04,4,3,NULL),(20,5006651,'1991-08-01 00:00:00',4,1,12,2008,'F','N','MEDITERRANEO','LONDRINA','PR','116162161216271431448832572122610137122',14166,'9998',50.04,1,3,NULL),(20,5006660,'1993-04-20 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215151431368411214122610131182',NULL,'1169',62.32,1,3,NULL),(20,5006678,'1991-08-26 00:00:00',4,1,12,2009,'M','N','AMÉRICA','JOINVILLE','SC','116242161215113431488811574112610164122',78,'9998',90.75,1,3,NULL),(20,5006686,'1991-01-23 00:00:00',4,1,12,2008,'M','N','PIRITUBA','S PAULO','SP','125254251216471431426614575114610137123',4621,'9998',66.57,4,3,NULL),(20,5006694,'1987-10-01 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241114575531464623582124610142197',16087,'257',41.45,1,2,1),(20,5006708,'1990-05-29 00:00:00',4,1,12,2009,'M','N','CENTRO','S JOÃO BATISTA','SC','124241241147271451233324285122610162182',13534,'712',51.31,1,2,1),(20,5006716,'1992-05-17 00:00:00',4,1,12,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241215111751335429572124610135092',NULL,'1022',21.36,1,3,NULL),(20,5006724,'1992-04-03 00:00:00',4,2,10,2009,'F','N','IMIGRANTES','TIMBÓ','SC','124243241215111431486612176112610136012',2110,'1157',76.53,1,3,NULL),(20,5006732,'1991-03-09 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472451556622575122610134072',14475,'262',49.31,1,3,NULL),(20,5006740,'1992-05-02 00:00:00',4,2,11,2009,'F','N','VILA NOVA','BLUMENAU','SC','124242241215111431359923372124610133142',3676,'71',70.17,1,3,NULL),(20,5006775,'1994-01-10 00:00:00',4,1,12,2010,'F','S','VILA ASAS','LGA SANTA','MG','113134131116131431349813572222610143097',NULL,'9998',49.61,2,3,NULL),(20,5006783,'1991-03-05 00:00:00',5,3,12,2008,'F','N','CENTRO','TIJUCAS','SC','124241241145151411326624345112131046162',NULL,'783',0.00,1,2,1),(20,5006791,'1992-01-02 00:00:00',4,1,12,2008,'F','N','CENTRO','IBIÚNA','SP','125252251211471431236821571124610123142',10387,'9998',54.04,1,3,NULL),(20,5006805,'1992-02-17 00:00:00',4,3,12,2009,'F','N','NACOES','BAL CAMBORIÚ','SC','116243161212411211369613595124610132022',12067,'9998',51.16,1,3,NULL),(20,5006813,'1992-05-09 00:00:00',2,4,11,2009,'F','N','UNIVERSITARIO','CHAPECÓ','SC','124241242116221131433354572124610117127',NULL,'169',19.80,4,2,1),(20,5006821,'1986-09-02 00:00:00',2,1,6,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241247126131732433379142334610157043',NULL,'9999',17.12,4,3,NULL),(20,5006830,'1991-05-15 00:00:00',2,1,12,2008,'M','N','CENTRO','COLÍDER','MT','124114111136152431432412192324221438047',NULL,'9998',42.41,4,1,2),(20,5006848,'1992-12-14 00:00:00',4,8,12,2009,'F','N','OURO VERDE','CPO LARGO','PR','116162161235111431456632571124610166122',1645,'9998',77.45,5,3,NULL),(20,5006856,'1991-10-31 00:00:00',4,1,12,2009,'M','N','JD EGLE','S PAULO','SP','125251251136131431126819585124610114077',NULL,'9998',0.00,1,2,1),(20,5006864,'1992-10-16 00:00:00',2,5,10,2009,'F','N','CEARÁ','CRICIÚMA','SC','124242241215111431459831575122610127051',15344,'226',46.80,1,3,NULL),(20,5006872,'1992-03-28 00:00:00',4,8,12,2009,'M','N','NEREU RAMOS','JARAGUÁ SUL','SC','124242241215111731467413346124610117042',NULL,'441',0.00,1,3,NULL),(20,5006880,'1991-02-11 00:00:00',4,8,11,2007,'F','N','CENTRO','CURITIBA','PR','116222221216572431478831574125610123012',1274,'9998',79.75,1,3,NULL),(20,5006899,'1988-04-23 00:00:00',5,1,12,2006,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201201116141431433329395124610136183',NULL,'9998',0.00,1,2,1),(20,5006902,'1989-05-29 00:00:00',4,1,11,2006,'F','N','VILA MARIANA','S PAULO','SP','125252251217371441378713575112140944182',15140,'9998',47.44,1,3,NULL),(20,5006910,'1992-04-08 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215112431444821345124610126041',11389,'737',53.22,1,3,NULL),(20,5006929,'1991-08-05 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241216313741438313575124610167097',7381,'1010',60.79,1,3,NULL),(20,5006961,'1988-02-10 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116254161216471451455631575114610167017',NULL,'9998',44.59,2,1,2),(20,5006970,'1992-12-11 00:00:00',4,8,12,2009,'F','N','CENTRO','GUARARAPES','SP','125251251215111431438814575112610164147',NULL,'9998',0.00,1,3,NULL),(20,5006988,'1990-11-01 00:00:00',4,1,12,2007,'F','N','JARDIM BÉLGICA','S PAULO','SP','125252251217571411356923474112610167097',3493,'9998',70.40,1,3,NULL),(20,5006996,'1974-11-18 00:00:00',4,1,12,1991,'F','N','PONTA DE BAIXO','S JOSÉ','SC','224244241416135431468643335124331036093',NULL,'272',0.00,1,3,NULL),(20,5007003,'1992-04-30 00:00:00',2,1,12,2008,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124244241217471431366613575114610164193',11661,'1119',55.00,1,3,NULL),(20,5007011,'1991-08-20 00:00:00',2,1,12,2008,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241216472411658923374124610125127',372,'737',85.69,1,3,NULL),(20,5007046,'1991-08-29 00:00:00',4,8,12,2008,'F','N','PETRÓPOLIS','JOINVILLE','SC','124242241216472411448934575114610168077',NULL,'932',41.85,1,3,NULL),(20,5007062,'1992-03-13 00:00:00',2,1,12,2009,'M','N','VILA JARDIM POMPÉIA','GOIÂNIA','GO','109094091216111431566519575122610157142',NULL,'9998',10.97,1,3,NULL),(20,5007070,'1991-04-01 00:00:00',2,1,12,2008,'F','N','JARDIM CIDADE ALTA','JOAÇABA','SC','124244241215473431455954575112610167142',7835,'962',60.67,1,3,NULL),(20,5007097,'1993-07-11 00:00:00',4,1,12,2009,'M','N','CENTRO','CANARANA','MT','111112111216161431467611472121610123185',NULL,'9998',0.00,1,3,NULL),(20,5007100,'1992-10-12 00:00:00',4,1,12,2009,'F','N','CENTRO','IMBITUBA','SC','124241241116371451337313385122610164192',NULL,'359',28.88,1,2,1),(20,5007119,'1989-03-24 00:00:00',2,1,12,2006,'M','N','JARDIM SANTA MÔNICA','S BERNARDO CAMPO','SP','125251251147572431436319375124610138187',4297,'9998',69.25,4,1,1),(20,5007127,'1991-05-11 00:00:00',4,1,12,2008,'F','N','FLORADAS DE SÃO JOSÉ','S JOSÉ CAMPOS','SP','125252251215471231478831572122610124057',6885,'9998',61.53,1,3,NULL),(20,5007135,'1989-01-13 00:00:00',4,1,12,2007,'M','N','TAQUARAL','CAMPINAS','SP','125252251216571431656829595114610132097',5975,'9998',63.74,1,3,NULL),(20,5007143,'1992-06-09 00:00:00',4,8,12,2009,'M','N','CENTRO','CURITIBA','PR','116162161217471431449819372112610167072',5136,'9998',65.25,1,3,NULL),(20,5007151,'1981-05-08 00:00:00',4,1,12,1998,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124202201216272431253744445334143224013',7146,'9998',62.49,1,3,NULL),(20,5007160,'1992-04-03 00:00:00',4,1,12,2009,'F','N','SANTA LUZIA','ALUMÍNIO','SP','125254251416111411446823435124610163187',NULL,'9998',0.00,4,3,NULL),(20,5007178,'1992-12-04 00:00:00',2,4,11,2009,'F','N','CENTRO','CHAPECÓ','SC','124162241116271431458619372122610122047',NULL,'983',30.37,1,3,NULL),(20,5007194,'1991-01-18 00:00:00',4,1,12,2008,'F','N','CAMBUCI','S PAULO','SP','125252251236471411469821575114610127112',7745,'9998',60.90,1,3,NULL),(20,5007208,'1992-01-03 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241115271451326614575124610128147',NULL,'739',32.58,1,2,1),(20,5007216,'1993-09-15 00:00:00',4,5,12,2010,'M','S','CENTRO','CRICIÚMA','SC','124242241216111431346832595122610137117',NULL,'211',44.98,1,3,NULL),(20,5007224,'1992-01-31 00:00:00',4,1,11,2008,'F','N','KOBRASOL','S JOSÉ','SC','124243241215472431456833435124610123072',10442,'1076',56.70,2,3,NULL),(20,5007240,'1985-10-06 00:00:00',2,1,12,2003,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','224241246117373441435514245124610122092',14091,'306',44.47,1,2,1),(20,5007267,'1991-06-20 00:00:00',4,1,12,2008,'M','N','CENTRO','ORLÂNDIA','SP','125252251215471431348614572122610124042',NULL,'9998',0.00,1,3,NULL),(20,5007291,'1991-05-12 00:00:00',2,4,11,2008,'M','N','MARIA GORETTI','CHAPECÓ','SC','116242241216471431369932575122610167042',7488,'1046',62.82,1,3,NULL),(20,5007305,'1991-04-08 00:00:00',2,4,12,2008,'F','N','JARDIM AMÉRICA','S LEOPOLDO','RS','120202201215471731468811572125610162157',230,'9998',87.19,1,3,NULL),(20,5007313,'1991-04-07 00:00:00',4,1,12,2009,'M','N','VILA VICENTINA','GUARULHOS','SP','125052251117111731358631575124610167114',7192,'9998',60.26,4,3,NULL),(20,5007330,'1990-11-26 00:00:00',4,1,12,2008,'F','N','MONT SERRAT','PTO ALEGRE','RS','120203201217371431567721574124142265017',NULL,'9998',0.00,4,3,NULL),(20,5007356,'1989-05-26 00:00:00',4,1,11,2006,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124252251237571411159949575122131924142',7221,'9998',62.70,1,3,NULL),(20,5007372,'1993-03-07 00:00:00',4,1,11,2009,'F','N','GRUTA','ITUPORANGA','SC','124241241235111431336522121124610166142',10948,'991',53.89,3,3,NULL),(20,5007380,'1992-10-05 00:00:00',4,1,12,2009,'M','N','CRISTO REI','GUARANTÃ NORTE','MT','111114111216161231449433575122610167014',NULL,'9998',25.21,1,3,NULL),(20,5007399,'1991-04-13 00:00:00',4,8,12,2009,'F','N','GRANJA OLGA','SOROCABA','SP','125252251216471411579814595122610166072',NULL,'9998',0.00,1,3,NULL),(20,5007402,'1993-02-20 00:00:00',4,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124243241117271431447722345125610121097',7318,'169',61.37,1,3,NULL),(20,5007410,'1991-03-13 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372411489414575112610167052',5869,'424',64.09,1,3,NULL),(20,5007429,'1992-01-01 00:00:00',4,8,12,2009,'F','N','ÁGUA VERDE','JARAGUÁ SUL','SC','124242241215271431648812571122610167182',NULL,'1061',26.40,1,3,NULL),(20,5007437,'1991-05-02 00:00:00',4,1,12,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124243241111372731536634342114610164041',14916,'592',48.10,1,3,NULL),(20,5007445,'1987-08-15 00:00:00',4,1,12,2004,'F','N','BALNEARIO DA DANIELA','FLORIANÓPOLIS','SC','124244241216135431224841215124230536091',NULL,'943',0.00,1,3,NULL),(20,5007453,'1993-08-24 00:00:00',4,1,11,2010,'M','S','PICADAS DO SIL','S JOSÉ','SC','124242241216151431345512575122610126122',NULL,'1074',31.02,4,3,NULL),(20,5007461,'1990-06-19 00:00:00',4,1,11,2008,'F','N','JARDIM PACAEMBU','JUNDIAÍ','SP','125252251216471431388813571112610162187',7577,'9998',59.80,1,3,NULL),(20,5007488,'1991-10-03 00:00:00',4,8,12,2008,'M','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','116242241215472451469921575122610137045',1573,'442',78.58,1,3,NULL),(20,5007496,'1991-02-22 00:00:00',4,5,12,2008,'F','N','PIO CORRÊA','CRICIÚMA','SC','124242241216372431337734571124131444012',NULL,'213',0.00,1,3,NULL),(20,5007500,'1993-03-10 00:00:00',4,2,11,2009,'M','N','VILA FORMOSA','APUCARANA','PR','116162161217111431338612585122610167122',4384,'9998',67.05,1,3,NULL),(20,5007526,'1991-04-29 00:00:00',4,2,10,2009,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241215271411379814575112610138192',NULL,'855',42.16,1,3,NULL),(20,5007534,'1990-11-11 00:00:00',4,1,12,2009,'M','N','ZONA SETE','MARINGÁ','PR','116162161235111431468811465113610128182',NULL,'9998',0.00,1,3,NULL),(20,5007542,'1993-12-13 00:00:00',4,1,11,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431579931575122610127042',NULL,'270',65.85,1,3,NULL),(20,5007550,'1990-10-13 00:00:00',2,15,12,2007,'M','N','MATO ALTO','ARARANGUÁ','SC','124244241215131431466923485112130267117',11380,'32',55.55,1,3,NULL),(20,5007569,'1992-05-23 00:00:00',4,2,12,2009,'F','N','VELHA CENTRAL','BLUMENAU','SC','124242241215112431446832575124610164147',14295,'71',47.84,1,3,NULL),(20,5007577,'1990-09-27 00:00:00',4,1,12,2008,'M','N','JARDIM APOLO','S JOSÉ CAMPOS','SP','125252251215471421666821475122610122072',11237,'9998',52.82,1,3,NULL),(20,5007593,'1987-09-19 00:00:00',4,6,12,2004,'F','N','CENTRO','ITAJAÍ','SC','124162241211575431436714575122610162091',116,'1025',89.78,1,3,NULL),(20,5007607,'1991-01-06 00:00:00',2,4,12,2008,'F','N','VILA NOVA','FRANCISCO BELTRÃO','PR','116161161116471431627711575112610134057',NULL,'9998',NULL,4,2,1),(20,5007615,'1991-04-16 00:00:00',4,1,11,2008,'F','N','PRAIA DE ITAPARICA','VL VELHA','ES','108082081217471431258811572122141434112',NULL,'9998',0.00,1,3,NULL),(20,5007623,'1991-07-02 00:00:00',4,8,10,2009,'M','N','CENTRO','JOINVILLE','SC','124242241216111711465833475125610166053',9513,'9997',59.05,1,3,NULL),(20,5007640,'1993-03-11 00:00:00',4,9,12,2009,'M','N','SÃO CRISTOVÃO','LAGES','SC','124241241115271532335679572115610117052',NULL,'512',23.36,1,2,1),(20,5007658,'1991-01-22 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','124241161215472431369632572122610164177',4003,'9998',69.75,1,3,NULL),(20,5007666,'1992-05-18 00:00:00',4,1,12,2009,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215113431356923575122610166072',4690,'262',68.18,1,3,NULL),(20,5007674,'1991-10-26 00:00:00',4,1,12,2008,'M','N','ACLIMAÇÃO','S PAULO','SP','125252251216472441469911576122610137052',NULL,'9998',0.00,4,3,NULL),(20,5007682,'1990-08-29 00:00:00',4,8,12,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241217573411448821592114610115012',2555,'1006',74.31,1,3,NULL),(20,5007690,'1984-07-02 00:00:00',4,1,12,2002,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241117373411635324345124610138042',10204,'591',56.40,1,2,1),(20,5007704,'1988-01-16 00:00:00',2,9,12,2004,'M','N','CENTRO','VACARIA','RS','120203201317151411438632491122240368182',NULL,'9998',9.71,1,3,NULL),(20,5007712,'1992-02-02 00:00:00',4,7,12,2008,'F','N','NOSSA S DE LOURDES','STA MARIA','RS','120241201135472411435634571324610144177',9399,'9998',57.53,4,1,1),(20,5007720,'1991-01-22 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247216151311479811575112610137072',NULL,'9999',0.00,1,3,NULL),(20,5007739,'1988-09-23 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242247415471411328611481124610116092',NULL,'9999',16.03,1,3,NULL),(20,5007755,'1982-11-17 00:00:00',2,1,12,2000,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241126135141223329192233132968174',NULL,'772',0.00,1,2,1),(20,5007763,'1992-02-21 00:00:00',2,10,12,2009,'F','N','RECIFE','TUBARÃO','SC','124241241117271631535413575124610161017',NULL,'1034',26.97,2,1,1),(20,5007771,'1991-12-07 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241115151411446633575114610164027',11036,'267',56.22,1,3,NULL),(20,5007780,'1992-08-29 00:00:00',4,4,12,2009,'F','N','VENEZA','XANXERÊ','SC','124241241116131731436611375125610165172',5694,'840',64.87,1,2,1),(20,5007798,'1992-12-09 00:00:00',4,8,11,2009,'M','N','SÃO JUDAS TADEU','S JOSÉ CAMPOS','SP','125222251216111431478831574124610137092',7102,'9998',60.10,1,3,NULL),(20,5007801,'1990-10-05 00:00:00',2,1,12,2009,'F','N','URCA','RIO JANEIRO','RJ','121213211416111431437733175114610162117',14279,'9998',47.14,1,3,NULL),(20,5007828,'1987-06-17 00:00:00',4,1,8,2009,'M','N','ALTO INDEPENDENCIA','PETRÓPOLIS','RJ','121213217317131231423344145323610133027',NULL,'9998',43.01,1,3,NULL),(20,5007836,'1991-06-28 00:00:00',4,1,11,2008,'F','N','CENTRO','CRICIÚMA','SC','124242241215472431466821575114610164112',15745,'211',41.79,1,3,NULL),(20,5007879,'1990-08-08 00:00:00',2,15,12,2007,'M','N','CENTRO','ARARANGUÁ','SC','124242241216152431366819485112132067047',13385,'32',51.61,1,3,NULL),(20,5007887,'1992-09-10 00:00:00',4,1,11,2009,'F','N','CENTRO','GAROPABA','SC','124241241145131431313113345334610124197',NULL,'322',14.92,2,3,NULL),(20,5007895,'1993-09-29 00:00:00',4,5,10,2009,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215371431458811572122610164182',5458,'226',67.21,1,3,NULL),(20,5007909,'1990-09-11 00:00:00',4,1,12,2007,'F','N','VILA DO SALTO','LUIZ ALVES','SC','124244241216273411457812375124610144052',10137,'71',54.40,1,3,NULL),(20,5007917,'1991-11-27 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241132242422426544342134610122147',NULL,'307',26.28,1,3,NULL),(20,5007925,'1992-05-12 00:00:00',4,1,12,2009,'F','N','PAES LEME','IMBITUBA','SC','124244241216372411438924572121610163022',11924,'362',52.86,1,3,NULL),(20,5007933,'1991-04-06 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372431456634345112610132162',2223,'424',74.65,1,3,NULL),(20,5007941,'1986-07-05 00:00:00',2,8,12,2003,'M','N','CENTRO CURITIBA','CURITIBA','PR','116251251116573431323624574124610127157',4165,'9998',69.35,4,2,1),(20,5007950,'1992-06-16 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241117151232556612585124610124047',13345,'739',48.43,1,3,NULL),(20,5007976,'1989-10-22 00:00:00',4,2,12,2006,'F','N','PETROPOLIS','PTO ALEGRE','RS','120203201115571431347877575124610113047',2310,'9998',74.35,1,3,NULL),(20,5008000,'1993-05-03 00:00:00',4,6,12,2009,'M','N','SÃO LUIZ','BRUSQUE','SC','124242241215111331468632575122610127142',9386,'109',56.33,1,3,NULL),(20,5008018,'1992-01-17 00:00:00',4,1,12,2008,'F','N','PRESIDENTE MEDICI','CHAPECÓ','SC','124243241215472231448732574124610143097',5852,'185',65.74,1,3,NULL),(20,5008026,'1989-06-06 00:00:00',4,1,12,2007,'M','N','TARRAF II','S JOSÉ R PRETO','SP','125252251217471611458611295122142047042',9173,'9998',57.19,1,3,NULL),(20,5008042,'1993-06-19 00:00:00',4,1,12,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215112732357823575124610127042',12616,'988',49.92,4,3,NULL),(20,5008050,'1992-10-10 00:00:00',4,17,12,2009,'M','N','ROCIO','UNIÃO VITÓRIA','PR','116243241116161431338611295121610127147',NULL,'635',29.37,1,3,NULL),(20,5008069,'1994-05-08 00:00:00',4,1,12,2010,'M','S','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124243241216111731334329575111610127047',NULL,'1014',19.14,1,3,NULL),(20,5008077,'1987-03-11 00:00:00',2,1,12,2006,'M','N','FIGUEROA','CAÇADOR','SC','124241247526271611446634341122610154052',NULL,'119',0.00,1,3,NULL),(20,5008085,'1991-07-23 00:00:00',4,1,12,2009,'F','N','MATA DA PRAIA','VITÓRIA','ES','108082081217111431478614272112610162187',9136,'9998',57.08,1,3,NULL),(20,5008093,'1981-09-09 00:00:00',2,15,12,2005,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241116132521443419235232130837087',12716,'29',52.90,1,2,1),(20,5008107,'1991-02-28 00:00:00',4,1,1,2009,'M','N','CERQUEIRA CÉSAR','S PAULO','SP','125252251215471431488814472122610168052',NULL,'9998',0.00,1,3,NULL),(20,5008115,'1992-02-18 00:00:00',4,9,12,2008,'F','N','CENTRO','VACARIA','RS','120203201217272431428823391124610121097',NULL,'9998',19.07,1,3,NULL),(20,5008131,'1991-04-22 00:00:00',2,1,11,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115472711523311274114610127052',13850,'293',50.66,1,2,1),(20,5008140,'1991-12-11 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124243241435272411237712125122610166147',12511,'736',52.10,1,3,NULL),(20,5008158,'1992-01-13 00:00:00',4,2,12,2009,'F','N','RIO DO BRAÇO','S JOÃO BATISTA','SC','124241241122161411533328382124610166142',NULL,'574',26.18,1,2,1),(20,5008166,'1992-12-30 00:00:00',4,2,12,2009,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241435111431323324572324610163142',10808,'71',52.27,1,3,NULL),(20,5008182,'1990-12-26 00:00:00',4,1,12,2008,'F','N','BOSQUE DA SAÚDE','S PAULO','SP','125252251217471751357512575114610168027',9664,'9998',58.80,1,3,NULL),(20,5008190,'1990-12-21 00:00:00',4,1,12,2008,'F','N','CENTRO','FRUTAL','MG','125132251215472431586612571122610163117',4871,'9998',66.54,1,3,NULL),(20,5008204,'1989-01-28 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215472731689913475124120428145',4542,'270',67.32,1,3,NULL),(20,5008247,'1989-01-24 00:00:00',2,1,12,2006,'M','N','CENTRO','IRINEÓPOLIS','SC','124241241141134411535933241121132927052',NULL,'381',0.00,1,2,1),(20,5008255,'1990-12-19 00:00:00',4,3,12,2009,'M','N','ITANHANGÁ PARK','CPO GRANDE','MS','112122121217351541278912175112610166172',NULL,'9998',0.00,1,3,NULL),(20,5008263,'1992-09-25 00:00:00',4,8,12,2009,'M','N','BARREIRINHA','CURITIBA','PR','116162161216471431467924575122610122012',4632,'9998',66.91,1,3,NULL),(20,5008271,'1991-12-10 00:00:00',4,3,11,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124112241215271731566612575112610164012',NULL,'403',0.00,1,3,NULL),(20,5008280,'1992-05-24 00:00:00',4,1,12,2009,'F','N','SANTO ANT DE LISBOA','FLORIANÓPOLIS','SC','124242241215113451479911572122610167071',4405,'270',69.39,1,3,NULL),(20,5008298,'1992-06-30 00:00:00',4,1,11,2009,'F','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124244241215131431526824575124610137052',NULL,'63',22.59,2,1,2),(20,5008301,'1992-01-27 00:00:00',2,1,12,2009,'F','N','JARDIM DONA JOAQUINA','PINHAIS','PR','116163161416311731423532575124610112072',NULL,'9998',0.00,1,3,NULL),(20,5008310,'1988-06-28 00:00:00',2,1,11,2005,'M','N','ARIRIÚ','PALHOÇA','SC','124241241116372431546613382124610127057',16033,'591',43.87,1,2,1),(20,5008328,'1991-06-14 00:00:00',2,9,12,2008,'F','N','CENTRO','VIDAL RAMOS','SC','124243241126472431526612575122610132057',NULL,'828',48.66,1,3,NULL),(20,5008336,'1992-07-13 00:00:00',4,1,12,2009,'M','N','BETEL','PAULÍNIA','SP','125252251217121731448814575112610165157',5657,'9998',64.37,4,3,NULL),(20,5008360,'1992-12-14 00:00:00',4,1,12,2010,'M','S','BARREIROS','S JOSÉ','SC','124242241212111731436632242122610117057',NULL,'738',31.55,1,3,NULL),(20,5008379,'1989-04-27 00:00:00',4,1,12,2006,'M','N','COPACABANA','RIO JANEIRO','RJ','121072071217371431469914575114143267182',NULL,'9998',0.00,1,3,NULL),(20,5008387,'1991-09-03 00:00:00',4,1,12,2009,'M','N','BOSQUE DA SAUDE','CUIABÁ','MT','111112251235111431468831475112610162111',4106,'9998',68.99,1,3,NULL),(20,5008409,'1990-10-02 00:00:00',4,1,11,2008,'F','N','TERRANOVA','VALINHOS','SP','125252251217471431489934571122610127043',3738,'9998',69.67,1,3,NULL),(20,5008425,'1992-12-11 00:00:00',2,1,12,2009,'F','N','AGUAS CLARAS','TAGUATINGA','DF','107132071216271411548714572122610121077',5349,'9998',65.29,1,3,NULL),(20,5008450,'1991-07-07 00:00:00',4,1,12,2009,'F','N','VILA YARA','OSASCO','SP','125252251126371431677814345122610162092',10108,'9998',55.58,1,3,NULL),(20,5008468,'1992-04-11 00:00:00',2,7,12,2009,'F','N','CENTRO','TANGARÁ','SC','124244241216111431449812575124610134072',NULL,'829',25.30,1,3,NULL),(20,5008476,'1990-02-23 00:00:00',4,10,12,2009,'M','N','MORRO GRANDE','SANGÃO','SC','124121241125131411433119245124610164142',NULL,'1072',23.78,4,1,1),(20,5008484,'1992-06-12 00:00:00',4,4,11,2009,'M','N','CENTRO','CHAPECÓ','SC','124242241211131431469931571112610164047',2693,'983',73.40,1,3,NULL),(20,5008492,'1992-05-18 00:00:00',4,1,12,2009,'M','N','MANDAQUI','S PAULO','SP','125252251217131231428634572114610124117',NULL,'9998',0.00,1,3,NULL),(20,5008506,'1992-10-23 00:00:00',2,1,12,2009,'F','N','ALTO ARIRIU','PALHOÇA','SC','124243241215112431433612194122610124042',5132,'1011',67.82,1,3,NULL),(20,5008514,'1990-08-17 00:00:00',4,1,2,2008,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241117133411343913375114610144141',5603,'739',66.89,1,2,1),(20,5008522,'1988-01-06 00:00:00',4,1,2,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124262241315374451568713275124130717041',8133,'267',61.22,4,3,NULL),(20,5008530,'1989-02-21 00:00:00',4,1,12,2006,'F','N','PARQUE DO IMPERADOR','MATÃO','SP','125252251216574431548831571122610147122',NULL,'9998',0.00,1,3,NULL),(20,5008549,'1991-01-11 00:00:00',4,6,12,2008,'F','N','CASARAO','SUMARÉ','SP','125251251216471431247414572114610133027',NULL,'9998',0.00,1,3,NULL),(20,5008557,'1991-03-18 00:00:00',4,1,12,2008,'M','N','LIBERDADE','S PAULO','SP','125252251216471451466932572125610132047',231,'9998',87.56,4,3,NULL),(20,5008565,'1992-08-19 00:00:00',2,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241117112411468933345122610164196',6272,'267',65.39,1,3,NULL),(20,5008573,'1990-05-11 00:00:00',4,8,12,2007,'F','N','CENTRO CURITIBA','CURITIBA','PR','116251161216571411323624574124610123187',414,'9998',85.25,1,3,NULL),(20,5008581,'1992-04-14 00:00:00',4,1,12,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431479613435122610166185',6452,'883',64.23,1,3,NULL),(20,5008590,'1990-01-01 00:00:00',2,1,11,2007,'M','N','ROÇADO','S JOSÉ','SC','124243241216153712446612435122231424183',NULL,'723',0.00,1,3,NULL),(20,5008603,'1990-02-17 00:00:00',2,1,12,2008,'F','N','TATUAPÉ','S PAULO','SP','126251257236572431558614572114610164097',NULL,'9998',28.28,1,3,NULL),(20,5008611,'1991-10-26 00:00:00',4,4,12,2008,'M','N','EFACIP','PINHALZINHO','SC','124241241114271421423612272114610117042',2061,'616',75.17,4,2,1),(20,5008620,'1991-10-23 00:00:00',4,1,12,2009,'M','N','RECREIO DOS CAFEZAIS','VALINHOS','SP','125252251215271531349714575122610124127',NULL,'9998',0.00,1,3,NULL),(20,5008638,'1990-08-29 00:00:00',4,1,12,2007,'F','N','CENTRO','PALMITAL','SP','125252251216571431533336242124610165042',NULL,'9998',0.00,1,3,NULL),(20,5008646,'1991-08-24 00:00:00',4,1,12,2008,'M','N','RIO BRANCO','PTO ALEGRE','RS','120202201216571421489913571124241026097',NULL,'9998',0.00,1,3,NULL),(20,5008662,'1989-09-02 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124122121217372431339834575114142847072',5773,'9998',66.10,4,3,NULL),(20,5008670,'1984-05-26 00:00:00',4,1,6,2002,'M','N','KOBRASOL','S JOSÉ','SC','124241246136134421123344345134610162141',13324,'306',51.70,1,2,1),(20,5008689,'1991-11-12 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411489911575112610133132',2055,'270',76.60,1,3,NULL),(20,5008697,'1992-04-09 00:00:00',5,2,12,2009,'F','N','CANTA GALO','RIO SUL','SC','124242241215371431446413575122610147077',10301,'663',55.88,1,3,NULL),(20,5008700,'1989-06-22 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241146131731336529345134610168047',NULL,'257',23.45,1,2,1),(20,5008719,'1992-07-08 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241417112411268813572114610164146',3456,'270',72.20,1,3,NULL),(20,5008727,'1989-04-07 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201241115132431117749395221220923187',NULL,'169',0.00,1,2,1),(20,5008735,'1992-10-21 00:00:00',2,2,11,2009,'M','N','ASILO','BLUMENAU','SC','124243241216112431458832345124610167142',12424,'88',52.15,1,3,NULL),(20,5008760,'1992-10-02 00:00:00',4,1,11,2009,'M','N','CENTRO','BOA VISTA','RR','125232251237111411456923581114610164193',3697,'9997',70.41,1,3,NULL),(20,5008786,'1989-05-01 00:00:00',4,6,9,2007,'M','N','JARDIM SÃO PAULO','S JOÃO BATISTA','SC','124241247426162641423334385124231066177',NULL,'9999',0.00,1,3,NULL),(20,5008794,'1992-10-25 01:00:00',4,1,11,2009,'F','N','WERNER PLAAS','AMERICANA','SP','125252251216421431478834575122610124096',NULL,'9998',0.00,1,3,NULL),(20,5008808,'1993-02-23 00:00:00',4,1,12,2009,'M','N','SÃO JOÃO','MONTENEGRO','RS','120202201217151431347932575124610135187',NULL,'9998',29.58,1,3,NULL),(20,5008816,'1992-11-24 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216111451568713595124610117112',11280,'270',55.76,1,3,NULL),(20,5008824,'1992-02-05 00:00:00',4,1,12,2009,'F','N','ESPLANADA','S JOSÉ CAMPOS','SP','125122251447121411448812571122610127073',NULL,'9998',0.00,4,3,NULL),(20,5008832,'1989-01-30 00:00:00',4,1,12,2008,'M','N','CAMBOINHAS','NITERÓI','RJ','121212211216572431688834575112610167112',NULL,'9998',0.00,1,3,NULL),(20,5008840,'1992-11-03 00:00:00',5,8,12,2009,'M','N','GLÓRIA','JOINVILLE','SC','124244241215372731448614575124610162127',1895,'486',76.37,4,3,NULL),(20,5008867,'1990-12-06 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241216272431437923445122130227047',NULL,'724',0.00,1,3,NULL),(20,5008875,'1990-06-04 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212473731239924572125610122197',NULL,'269',48.20,1,3,NULL),(20,5008883,'1993-01-03 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215113431369833575124610161112',734,'270',82.73,1,3,NULL),(20,5008905,'1991-07-30 00:00:00',4,8,12,2008,'M','N','BOA VISTA','JOINVILLE','SC','124242241216372451469512385121610112113',6783,'1105',64.30,1,3,NULL),(20,5008913,'1991-01-07 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431476612575124610165072',9201,'1124',57.31,1,3,NULL),(20,5008921,'1992-02-16 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242243215121431437911175122610122037',13394,'737',48.75,1,3,NULL),(20,5008930,'1970-10-21 00:00:00',2,16,7,1989,'F','N','CENTRO','CURITIBANOS','SC','124241245116374411647521385125610114187',NULL,'238',23.08,1,3,NULL),(20,5008972,'1991-02-22 00:00:00',2,1,12,2007,'F','N','CENTRO','CÉU AZUL','PR','116164161216571411466815574112610163187',NULL,'9998',42.11,1,3,NULL),(20,5008980,'1990-04-10 00:00:00',4,1,12,2007,'F','N','CENTRAL','ANÁPOLIS','GO','109092091216131411328821575125610146122',752,'9998',82.86,1,3,NULL),(20,5008999,'1991-12-31 00:00:00',3,8,11,2009,'M','N','ITINGA','JOINVILLE','SC','124152248215121731485739584112610168181',14532,'932',45.74,4,3,NULL),(20,5009006,'1990-09-16 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241135472751326319375124610127052',NULL,'733',23.38,4,3,NULL),(20,5009014,'1985-09-16 00:00:00',2,1,12,2005,'F','N','CANTRO','FLORIANÓPOLIS','SC','124241247426132431333329245134610133187',NULL,'307',41.31,4,1,2),(20,5009022,'1990-12-23 00:00:00',2,3,12,2007,'M','N','CENTRO','BAL CAMBORIÚ','SC','124161161116271731428619482324610121042',NULL,'9997',25.62,4,2,1),(20,5009030,'1991-04-19 00:00:00',4,8,12,2008,'F','N','SÃO LOURENÇO','CURITIBA','PR','116252161216471431678814575122610168077',580,'9998',83.73,1,3,NULL),(20,5009049,'1990-07-14 00:00:00',2,8,12,2008,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241216471432479814272114610122097',1936,'441',76.98,1,3,NULL),(20,5009057,'1990-05-21 00:00:00',4,1,12,2007,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241217162511463923575114232843145',NULL,'1023',0.00,4,3,NULL),(20,5009065,'1990-01-18 00:00:00',4,8,12,2007,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124243241212473311547712595124610167067',3268,'1061',71.89,1,3,NULL),(20,5009073,'1990-08-22 00:00:00',4,1,12,2008,'M','N','FREZZARIM','AMERICANA','SP','125252251217471751358812241122610164117',NULL,'9998',0.00,1,3,NULL),(20,5009090,'1991-11-08 00:00:00',4,8,12,2008,'F','N','CHAMPAGNAT','CURITIBA','PR','116162161217471431558824575124241438082',992,'9998',80.75,1,3,NULL),(20,5009111,'1992-04-17 00:00:00',2,1,11,2009,'F','N','PRAIA DA CAL','TORRES','RS','120202201217111421326621572125610134077',NULL,'9998',43.12,1,3,NULL),(20,5009120,'1990-12-04 00:00:00',1,8,12,2008,'M','N','CENTRO','CPO ALEGRE','SC','124241241215273332539714345122610162191',NULL,'974',20.79,1,3,NULL),(20,5009146,'1991-02-28 00:00:00',4,1,12,2009,'F','N','JATIÚCA','MACEIÓ','AL','102022021211111411349913575124610142092',NULL,'9998',0.00,1,3,NULL),(20,5009154,'1988-10-16 01:00:00',2,1,11,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241215143431648619445114122222182',NULL,'270',28.44,1,3,NULL),(20,5009162,'1992-08-24 00:00:00',2,1,12,2009,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241115271431444723576124610132017',8155,'267',60.05,1,2,1),(20,5009170,'1986-01-03 00:00:00',2,1,7,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241145371431113141212124610121152',15281,'593',43.05,1,2,1),(20,5009197,'1992-12-23 00:00:00',4,8,12,2009,'F','N','BOA VISTA','JOINVILLE','SC','124242241215111431446829375122610123182',NULL,'457',27.17,1,3,NULL),(20,5009200,'1990-05-05 00:00:00',2,1,11,2007,'M','N','CENTRO','FREDERICO WESTPHALEN','RS','120202201215573431454819575124610127052',5336,'9998',66.10,1,3,NULL),(20,5009219,'1992-06-30 00:00:00',2,10,11,2009,'F','N','CENTRO','ARMAZÉM','SC','124241241215111411466611595124610125172',5831,'807',64.56,1,3,NULL),(20,5009227,'1987-12-06 00:00:00',2,1,12,2007,'F','N','JARDIM ANAPOLIS','BIGUAÇU','SC','124243241135472421625729342234610125147',NULL,'307',29.39,2,1,2),(20,5009243,'1992-09-04 00:00:00',2,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124241241115271331624414576122610164077',NULL,'169',24.29,1,2,1),(20,5009251,'1991-03-05 00:00:00',2,1,12,2008,'F','N','LIBERDADE','S PAULO','SP','125252251215471411678831575125610165097',NULL,'9998',0.00,1,3,NULL),(20,5009260,'1993-03-05 00:00:00',2,8,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116163161114471451539819595112610162037',3333,'9998',70.96,1,3,NULL),(20,5009278,'1993-06-08 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111431457813575122610131092',NULL,'1023',28.60,1,3,NULL),(20,5009286,'1992-09-17 00:00:00',2,1,12,2009,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241126162411326613295121610165142',11637,'649',52.30,1,2,1),(20,5009294,'1987-12-14 00:00:00',4,2,12,2004,'F','N','PASSO MANSO','BLUMENAU','SC','124241241147471431633324385124610124177',NULL,'69',26.04,1,2,1),(20,5009308,'1992-10-19 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217271431589613595112610167062',287,'273',86.78,1,3,NULL),(20,5009316,'1991-10-30 00:00:00',4,1,12,2008,'F','N','CAMBUCI','S PAULO','SP','125252251216371731468819575114610124097',7986,'9998',59.77,1,3,NULL),(20,5009324,'1992-12-07 00:00:00',4,8,12,2008,'F','N','BATEL','CURITIBA','PR','116242241216471431469931575122610164032',NULL,'185',0.00,1,3,NULL),(20,5009332,'1992-03-01 00:00:00',2,1,12,2009,'F','N','MARIA ANTONIETA','PINHAIS','PR','116161161215111731328614572324610166146',NULL,'1169',49.59,1,3,NULL),(20,5009340,'1990-10-16 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161216571451438611575125610132092',3232,'9998',71.49,1,3,NULL),(20,5009359,'1992-11-18 00:00:00',2,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124241241216112731335824342222610164141',15458,'1119',46.43,1,3,NULL),(20,5009367,'1992-05-11 00:00:00',4,8,12,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124244241215113411559817575122610166097',359,'1063',85.89,1,3,NULL),(20,5009383,'1986-08-22 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243248335131451335511111233610126187',NULL,'977',43.59,1,3,NULL),(20,5009391,'1993-03-21 00:00:00',2,1,12,2009,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215111431448712575124610147042',1378,'1011',79.38,1,3,NULL),(20,5009405,'1991-07-09 00:00:00',4,1,11,2009,'F','N','JARDIM DA PENHA','VITÓRIA','ES','108082088216111531543815272125610122127',14039,'9998',45.77,1,3,NULL),(20,5009413,'1992-03-08 00:00:00',2,1,12,2009,'M','N','PONTE DO ÍMARUIM','PALHOÇA','SC','124243241116272411566513575122610127142',4999,'739',66.14,1,3,NULL),(20,5009421,'1989-05-13 00:00:00',4,1,12,2007,'M','N','VILA MARIANA','S PAULO','SP','125252251217471711558811395125610121097',NULL,'9998',0.00,1,3,NULL),(20,5009430,'1990-05-21 00:00:00',4,1,12,2007,'M','N','VILA NOVA','TRÊS LAGOAS','MS','112122121316571731348313335333610122021',NULL,'9998',27.39,4,1,2),(20,5009448,'1991-01-04 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215373431265923372122610151182',5323,'270',67.11,1,3,NULL),(20,5009464,'1992-09-22 00:00:00',2,9,12,2009,'F','N','CENTRO','LAGES','SC','124244241215111431468612595122610121092',NULL,'1065',0.00,1,3,NULL),(20,5009502,'1991-01-11 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161216471431469832574124610166072',865,'9998',81.80,1,3,NULL),(20,5009510,'1988-02-17 00:00:00',4,1,12,2005,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241211574431258923445125231464185',10253,'270',56.10,1,3,NULL),(20,5009529,'1990-06-26 00:00:00',4,1,12,2007,'F','N','ACLIMAÇÃO','S PAULO','SP','125252251216571441658811575112610162182',NULL,'9998',0.00,3,3,NULL),(20,5009553,'1987-02-03 00:00:00',4,7,12,2005,'M','N','FARROUPILHA','VIDEIRA','SC','124243241337131141333614285123133212194',NULL,'9999',27.34,4,3,NULL),(20,5009570,'1990-10-31 00:00:00',4,8,12,2008,'F','N','JARDIM PLANALTO','PAULÍNIA','SP','125241241317471411456714271114610132047',11984,'1154',50.25,4,3,NULL),(20,5009588,'1989-12-23 00:00:00',3,1,12,2007,'F','N','VILA MARIANA','S PAULO','SP','125252251217371431478814472122610132112',NULL,'9998',0.00,1,3,NULL),(20,5009600,'1987-05-03 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124112111216333431426664285124143262095',9604,'9998',58.91,1,3,NULL),(20,5009618,'1989-04-14 00:00:00',4,8,12,2006,'F','N','VILA LAUCY','OSASCO','SP','125251253236512411433611375114610164077',NULL,'9998',0.00,1,3,NULL),(20,5009626,'1989-09-17 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216373431334514585112610127047',15053,'272',47.71,1,3,NULL),(20,5009634,'1990-08-06 00:00:00',4,1,12,2007,'F','N','BOA VISTA','NOVO HAMBURGO','RS','120202206117471441348831345122610165182',4254,'9998',68.49,1,3,NULL),(20,5009642,'1989-04-19 00:00:00',4,1,12,2006,'M','N','XINGU','LINS','SP','125252251215571431578811575114610114057',NULL,'9998',0.00,1,3,NULL),(20,5009650,'1991-01-04 00:00:00',2,8,12,2008,'M','N','PQ DO SOL NASCENTE','STA ROSA VITERBO','SP','125251251216321231336661575111610167047',NULL,'9998',0.00,1,3,NULL),(20,5009677,'1992-05-07 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','125252251217151431358519475124610132147',1586,'9998',76.82,1,3,NULL),(20,5009685,'1991-07-13 00:00:00',4,1,12,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242241215473431469811474122610127087',NULL,'1063',83.52,1,3,NULL),(20,5009707,'1984-06-04 00:00:00',2,1,12,2001,'F','N','NOSSA SRA DE LOURDES','STA MARIA','RS','120201201116171721478813445122341514192',NULL,'9998',43.96,1,3,NULL),(20,5009715,'1991-07-07 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161216471431548832575115610164142',6035,'9998',63.60,3,3,NULL),(20,5009740,'1990-09-30 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117131431226619285124232527037',14705,'96',44.62,1,2,1),(20,5009758,'1982-04-20 00:00:00',4,1,12,2000,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241416135411459834575111121412061',1484,'499',78.94,1,3,NULL),(20,5009766,'1991-09-01 00:00:00',4,1,12,2009,'M','N','JARDIM APIPEMA','SALVADOR','BA','105052051216111431248731575124610161112',NULL,'9998',54.55,4,3,NULL),(20,5009774,'1991-12-19 00:00:00',2,6,12,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241215372431469932574124610167147',844,'389',82.21,1,3,NULL),(20,5009782,'1991-02-27 00:00:00',4,3,12,2008,'F','N','JARDIM ELDORADO','NOVA A SUL','MS','112122121416271431243822572122240244147',NULL,'9998',0.00,1,3,NULL),(20,5009790,'1991-01-12 00:00:00',4,1,11,2008,'F','N','CENTRO','BIGUAÇU','SC','124242241216472731457533575122610152192',9216,'63',57.34,1,3,NULL),(20,5009812,'1992-01-17 00:00:00',4,1,11,2009,'F','N','RESIDENCIAL DO LAGO','LONDRINA','PR','116162161217111431347834576122610142191',NULL,'9998',NULL,1,3,NULL),(20,5009820,'1991-09-22 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111131252329575122610161192',14252,'1118',46.68,1,3,NULL),(20,5009839,'1992-03-10 00:00:00',4,1,12,2009,'F','N','VIVENDAS DO BOSQUE','CPO GRANDE','MS','112122121215471431478833575112610137142',2822,'9998',72.46,1,3,NULL),(20,5009847,'1992-04-12 00:00:00',4,8,11,2009,'M','N','BATEL','CURITIBA','PR','116244161435111422346629375121610167045',11798,'461',54.75,1,3,NULL),(20,5009855,'1990-12-17 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624242241213112431234621593124610125182',11749,'1022',54.84,1,3,NULL),(20,5009863,'1992-03-15 00:00:00',4,1,12,2009,'M','N','SANTA CECILIA','S PAULO','SP','125252251117471431348823475125610127182',6284,'9998',62.32,1,3,NULL),(20,5009871,'1992-11-29 00:00:00',4,2,11,2009,'M','N','VICTOR KONDER','BLUMENAU','SC','124242248215111531439612575124610136082',15676,'87',45.59,1,3,NULL),(20,5009880,'1991-07-29 00:00:00',4,3,12,2009,'M','N','JARDIM COLINAS','S JOSÉ CAMPOS','SP','125252217237471431479912575122610112047',NULL,'9998',0.00,1,3,NULL),(20,5009898,'1990-01-18 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116164161416471731438839575114610162187',NULL,'9998',36.34,1,3,NULL),(20,5009901,'1991-04-29 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124112241217474431148823574224610167112',2925,'270',72.82,1,3,NULL),(20,5009910,'1991-07-12 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112731453839575125610138107',7468,'262',62.87,1,3,NULL),(20,5009936,'1990-11-26 00:00:00',4,1,12,2008,'F','N','JARDIM ASTRO','SOROCABA','SP','125252251215472431468832571122610157147',NULL,'9998',0.00,1,3,NULL),(20,5009944,'1992-07-16 00:00:00',4,1,12,2009,'F','N','JARDIM BRASIL','SALTO','SP','125252251215111411337823272122610135197',NULL,'9998',0.00,1,3,NULL),(20,5009952,'1992-09-02 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215121431369931575125610167012',3147,'226',73.07,1,3,NULL),(20,5009960,'1991-08-25 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241415272751268812171324610126092',8351,'272',61.22,1,3,NULL),(20,5009979,'1993-05-24 00:00:00',4,1,12,2009,'F','N','SANTO ANTÔNIO','PTO ALEGRE','RS','120204201216151721357922575124610164117',NULL,'9998',37.47,1,3,NULL),(20,5009995,'1989-11-13 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','S JOSÉ','SC','124244241414143121326412242124232522097',NULL,'727',0.00,1,3,NULL),(20,5010004,'1992-06-02 00:00:00',4,1,12,2009,'F','N','VILA BELA','CAMPINAS','SP','125252251216111431369914575112610165097',11525,'9998',51.67,1,3,NULL),(20,5010012,'1993-07-20 00:00:00',4,1,11,2010,'F','S','CENTRO','PALHOÇA','SC','124242241217111431459913475124610138092',NULL,'270',54.65,1,3,NULL),(20,5010020,'1992-01-09 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124243251215111731446639495124610128071',NULL,'737',30.60,1,3,NULL),(20,5010039,'1989-07-14 00:00:00',4,1,12,2006,'F','N','JARDIM','STO ANDRÉ','SP','125252251215572411458912571125610133122',NULL,'9998',0.00,1,3,NULL),(20,5010047,'1991-11-14 00:00:00',4,2,11,2009,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111431468813575122610136052',2189,'909',76.06,1,3,NULL),(20,5010055,'1992-07-14 00:00:00',4,3,12,2009,'M','N','JARDIM EUROPA','PNT GROSSA','PR','116162161216111431368619574122610162012',11116,'9998',52.31,1,3,NULL),(20,5010063,'1992-08-16 00:00:00',2,4,12,2009,'F','N','CENTRO','S BERNARDINO','SC','124241241135111431426634292325610148057',NULL,'701',0.00,1,3,NULL),(20,5010071,'1990-06-22 00:00:00',4,1,12,2009,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241215131411226821375124610142092',10217,'883',55.50,1,3,NULL),(20,5010080,'1990-11-27 00:00:00',4,1,12,2008,'F','N','VILLA REDHER','AMERICANA','SP','125252251217471531438932575112610167047',9052,'9998',56.75,1,3,NULL),(20,5010098,'1992-07-23 00:00:00',4,1,12,2009,'M','N','CIDADE MAIA','GUARULHOS','SP','125253251211471431456619575122610124031',5204,'9998',67.83,1,3,NULL),(20,5010101,'1991-02-28 00:00:00',4,1,12,2009,'M','N','CIDADE LÍDER','S PAULO','SP','125252251236471431364833471112610137112',3942,'9998',70.99,1,3,NULL),(20,5010110,'1991-06-14 00:00:00',4,1,12,2008,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241215474431349911572112610162147',1693,'107',77.23,1,3,NULL),(20,5010128,'1991-10-03 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241212372741348911572122610144092',1047,'497',81.03,1,3,NULL),(20,5010136,'1991-01-04 00:00:00',4,1,12,2009,'F','N','PETRÓPOLIS','PASSO FUNDO','RS','120201201126141431446519345124610168147',NULL,'9998',0.00,1,2,1),(20,5010144,'1987-12-28 00:00:00',4,1,12,2005,'F','N','VILA MAZZEI','STO ANDRÉ','SP','125252251216572431456314575124143264027',2209,'9998',73.84,1,3,NULL),(20,5010152,'1991-08-19 00:00:00',2,1,12,2008,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241117473431447833576114610123182',10816,'21',54.13,1,2,1),(20,5010160,'1992-12-01 00:00:00',4,4,12,2009,'F','N','ENGENHO BRAUN','CHAPECÓ','SC','124242241216272431489812575122610167041',1205,'983',80.20,1,3,NULL),(20,5010179,'1990-11-07 00:00:00',4,1,12,2008,'M','N','VILA COUTO','CUBATÃO','SP','125251251114471411436633595124610132053',11843,'9998',50.66,4,2,1),(20,5010195,'1992-04-03 00:00:00',4,5,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124241241315111441227823575122610131072',NULL,'920',0.00,1,3,NULL),(20,5010209,'1992-07-16 00:00:00',4,8,11,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215371431349914586112610132012',NULL,'486',55.54,1,3,NULL),(20,5010217,'1991-11-12 00:00:00',4,1,12,2009,'M','N','MORUMBI','S PAULO','SP','125252253215111411468812274122610162107',9340,'9998',57.05,1,3,NULL),(20,5010225,'1991-03-04 00:00:00',4,1,12,2008,'F','N','JARDIM PAULISTA','S PAULO','SP','125254251435371431569812571124610127182',NULL,'9998',0.00,1,3,NULL),(20,5010241,'1991-12-21 00:00:00',4,1,12,2009,'F','N','LAVAPÉS','BRAGANÇA PAULISTA','SP','125256251215271431336734312122610131147',NULL,'9998',NULL,1,3,NULL),(20,5010250,'1991-02-17 00:00:00',4,2,12,2008,'F','N','PONTA AGUDA','BLUMENAU','SC','124241241316372431336823575124610116112',13758,'88',47.83,1,3,NULL),(20,5010268,'1991-11-20 00:00:00',4,4,12,2008,'F','N','UNIVERSITÁRIO','CHAPECÓ','SC','124241241115472431459933572114610133147',8727,'174',58.82,1,2,1),(20,5010276,'1992-09-30 00:00:00',4,8,12,2009,'F','N','JARDIM','STO ANDRÉ','SP','125252251217371431589832572122610146182',NULL,'9998',0.00,1,3,NULL),(20,5010292,'1992-04-17 00:00:00',4,1,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161215121431668832575122610164042',10417,'9998',54.89,3,3,NULL),(20,5010306,'1990-09-21 00:00:00',4,1,12,2007,'F','N','LAUZANE PAULISTA','S PAULO','SP','125252251216571731458612371124610162097',NULL,'9998',0.00,1,3,NULL),(20,5010314,'1992-04-22 00:00:00',2,1,12,2009,'F','N','JARDIM CIDADE','S JOSÉ','SC','124243241315111431331169192124610168187',NULL,'1022',24.84,1,3,NULL),(20,5010322,'1978-11-13 00:00:00',4,1,7,1997,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241246137135411446313235124121717182',5218,'306',66.00,1,2,1),(20,5010330,'1990-09-21 00:00:00',4,1,12,2008,'M','N','ACLIMAÇÃO','S PAULO','SP','125252251217471441388931576122610164042',527,'9998',83.74,1,3,NULL),(20,5010349,'1991-01-09 00:00:00',4,8,12,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215472431369832572122610131127',4793,'1063',67.21,1,3,NULL),(20,5010357,'1992-11-14 00:00:00',2,4,11,2009,'F','N','CENTRO','BARRACÃO','PR','115162161215111431559939275125610146092',15220,'9998',42.92,1,3,NULL),(20,5010373,'1989-07-18 00:00:00',1,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124242241216134711226624395124230566183',10991,'723',56.31,1,3,NULL),(20,5010381,'1992-10-12 00:00:00',4,1,12,2009,'F','N','FORTE','PR GRANDE','SP','125252251217371431578832575122610162192',4158,'9998',68.06,1,3,NULL),(20,5010403,'1978-10-02 00:00:00',2,16,12,2003,'M','N','BOM JESUS','CURITIBANOS','SC','224241247121231421321344245334131048197',NULL,'9999',0.00,4,3,NULL),(20,5010411,'1990-04-06 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241248135471451535569212334610157182',NULL,'257',23.91,3,2,1),(20,5010420,'1988-07-27 00:00:00',4,1,12,2006,'M','N','PARAISO','S PAULO','SP','125252251236271331468834372122141424042',13961,'9998',48.64,1,3,NULL),(20,5010438,'1989-07-31 00:00:00',4,1,12,2006,'M','N','JARDIM MONÇÕES','MARINGÁ','PR','116162161216571441488713575112610167182',2795,'9998',72.90,1,3,NULL),(20,5010446,'1992-07-02 00:00:00',4,1,12,2009,'F','N','JARDIM SÃO MIGUEL','BIGUAÇU','SC','124242241215111431458833572122610168142',NULL,'63',18.47,1,3,NULL),(20,5010489,'1993-05-14 00:00:00',4,1,12,2009,'F','N','CENTRO','S JOSÉ','SC','124242241217111431338813575122610127117',14848,'270',44.18,1,3,NULL),(20,5010497,'1990-03-21 00:00:00',2,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124243241216372431423531245123130737117',13236,'737',48.77,1,3,NULL),(20,5010500,'1992-02-20 00:00:00',4,1,11,2009,'F','N','BATEL','CURITIBA','PR','116162161216121531458834375124610137012',10202,'9998',53.23,1,3,NULL),(20,5010535,'1992-03-27 00:00:00',2,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215211511568712325114610117184',NULL,'737',45.61,1,3,NULL),(20,5010551,'1992-12-11 00:00:00',4,1,12,2009,'M','N','DAMHA IV','S JOSÉ R PRETO','SP','125254251416211411448832575122610162122',NULL,'9998',0.00,4,3,NULL),(20,5010560,'1991-01-24 00:00:00',4,1,12,2008,'M','N','RIO BRANCO','PTO ALEGRE','RS','120241241215473441359824591124610124077',2876,'270',72.54,1,3,NULL),(20,5010578,'1992-02-27 00:00:00',4,1,12,2009,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124242241216271731333534275124610164042',8844,'1175',57.77,3,3,NULL),(20,5010586,'1992-09-15 00:00:00',2,4,11,2009,'F','N','CENTRO','RIQUEZA','SC','124241241336141431545532295122610134142',15012,'185',44.19,1,3,NULL),(20,5010594,'1992-06-02 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115371421426614274124610138147',NULL,'307',28.78,4,1,1),(20,5010608,'1991-01-15 00:00:00',2,1,12,2008,'F','N','JARDIM SANTA MARIA','JACAREÍ','SP','125252251215471731478914595112610161147',7603,'9998',60.71,4,3,NULL),(20,5010616,'1992-06-22 00:00:00',4,5,11,2009,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215372431289913574112610166092',1410,'226',79.24,1,3,NULL),(20,5010624,'1991-12-06 00:00:00',4,1,12,2008,'M','N','FORTALEZA DA BARRA','FLORIANÓPOLIS','SC','124202241217372411576732272112231267012',8551,'262',60.83,1,3,NULL),(20,5010632,'1990-11-30 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215474431267713586124610122115',3114,'1022',73.17,1,3,NULL),(20,5010640,'1992-08-31 00:00:00',4,6,12,2009,'F','N','SÃO JOÃO','ITAJAÍ','SC','124244241215121231445511295125610125017',NULL,'392',0.00,4,3,NULL),(20,5010659,'1988-08-30 00:00:00',4,8,12,2005,'F','N','BAEPENDI','JARAGUÁ SUL','SC','124241241116131731336337245331130234017',NULL,'433',0.00,1,2,1),(20,5010667,'1990-01-10 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','120202201216152431229644445335610164187',13239,'9998',51.88,1,3,NULL),(20,5010675,'1989-10-14 00:00:00',4,1,11,2007,'M','N','BELA VISTA','S PAULO','SP','125252251217572431476619575124610167016',3538,'9998',72.05,3,3,NULL),(20,5010683,'1991-08-26 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216113441469813472124231467082',13451,'1133',51.48,4,3,NULL),(20,5010691,'1991-10-28 00:00:00',4,8,12,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215372431289834574122610146142',1567,'1063',77.46,1,3,NULL),(20,5010721,'1992-08-13 00:00:00',2,6,12,2009,'M','N','CENTRO','ITAJAÍ','SC','124242241416131421133661595121610124152',NULL,'1056',15.31,1,3,NULL),(20,5010730,'1991-12-17 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241417474431333632175125610164147',7623,'270',60.78,3,3,NULL),(20,5010748,'1990-10-08 00:00:00',4,8,10,2007,'F','N','BOQUEIRÃO','CURITIBA','PR','116162161217571431478832575122610132147',NULL,'9998',0.00,1,3,NULL),(20,5010756,'1992-01-11 00:00:00',4,16,12,2009,'M','N','D E R','CAÇADOR','SC','124244241116161431458833575121610127097',10347,'122',53.93,1,3,NULL),(20,5010764,'1991-04-16 00:00:00',4,1,12,2008,'F','N','CAMPO GRANDE','SANTOS','SP','125252251215471431344924575124141563112',2791,'9998',72.67,1,3,NULL),(20,5010772,'1991-12-20 00:00:00',2,5,12,2009,'M','N','MARIA CÉU','CRICIÚMA','SC','124242241215112222456612562122610167057',16170,'226',42.86,1,3,NULL),(20,5010780,'1982-04-19 00:00:00',2,15,12,1999,'F','N','COLONINHA','ARARANGUÁ','SC','624241248126131421323444345122610124147',NULL,'28',28.31,1,2,1),(20,5010799,'1988-06-16 00:00:00',4,1,2,2008,'M','N','FORQUILHAS','S JOSÉ','SC','124241248136161411527313385114610118187',NULL,'733',17.43,1,2,1),(20,5010802,'1992-03-09 00:00:00',4,3,11,2009,'F','N','SÃO PEDRO','BRUSQUE','SC','124242241215111431448429575122610127012',13838,'1123',46.27,1,3,NULL),(20,5010810,'1991-02-04 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115271431223274295334610165092',16103,'592',41.23,2,1,1),(20,5010837,'1990-09-25 00:00:00',4,1,12,2008,'M','N','INDUSTRIAL','BAURU','SP','125252251217471431448811575112610162197',5398,'9998',65.00,1,3,NULL),(20,5010870,'1991-10-14 00:00:00',4,8,12,2009,'F','N','ICOARACI','BELÉM','PA','114142141216371431466932341124610162092',NULL,'9998',37.29,1,3,NULL),(20,5010896,'1991-05-14 00:00:00',4,1,12,2009,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241632131431323429572124610148147',15318,'63',43.20,4,3,NULL),(20,5010918,'1992-01-15 00:00:00',3,1,11,2009,'F','N','CENTRO','MANAUS','AM','104042041217111721577712575122610121187',NULL,'9998',0.00,4,3,NULL),(20,5010926,'1992-02-10 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241215111731338634575124610148165',5954,'1022',66.12,1,3,NULL),(20,5010934,'1992-09-30 00:00:00',4,1,12,2009,'M','N','TAJUBA II','S JOÃO BATISTA','SC','124142241215151431556412575125610137057',9305,'109',59.20,4,3,NULL),(20,5010942,'1992-02-05 00:00:00',4,1,12,2009,'F','N','GRAMADO','CAMPINAS','SP','125252251236111431337773575112610162127',NULL,'9998',NULL,1,3,NULL),(20,5010950,'1992-03-25 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124124241436141731236614245111610167077',12995,'49',52.36,1,3,NULL),(20,5010969,'1989-09-12 00:00:00',2,4,12,2007,'F','N','PARQUE DAS PALMEIRAS','CHAPECÓ','SC','124021241114131731458619472224610124142',NULL,'181',18.82,1,2,1),(20,5010977,'1992-09-14 00:00:00',2,5,10,2009,'F','N','MICHEL','CRICIÚMA','SC','124242241216112531337712575122610133012',NULL,'226',29.33,1,3,NULL),(20,5010985,'1986-05-02 00:00:00',2,1,12,2001,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241111241431224519395124610164057',NULL,'192',25.73,1,2,1),(20,5011019,'1990-11-29 00:00:00',4,1,11,2007,'F','N','ENSEADA','S FRANCISCO SUL','SC','124242241215272531436612575124131467071',7714,'486',59.44,1,3,NULL),(20,5011027,'1991-06-28 00:00:00',4,1,12,2008,'F','N','CENTRO','BIGUAÇU','SC','124242241212271431335914575122610124147',15887,'63',44.68,1,3,NULL),(20,5011035,'1986-10-23 00:00:00',2,1,12,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241126132441119823285324132362091',9010,'870',59.94,1,2,1),(20,5011043,'1981-07-01 00:00:00',2,1,12,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','224161247325373431223554212124610124147',15773,'9999',45.19,1,3,NULL),(20,5011051,'1989-01-20 00:00:00',2,8,12,2006,'M','N','CENTRO','JOINVILLE','SC','124244251217573741356622525125610164011',425,'9998',85.18,1,3,NULL),(20,5011060,'1990-07-05 00:00:00',4,1,12,2007,'F','N','CENTRO EDUCACIONAL','NOVA ANDRADINA','MS','112214121217573431347824571122610136072',334,'9998',86.14,1,3,NULL),(20,5011078,'1991-09-06 00:00:00',2,1,12,2008,'M','N','BOMBAS','BOMBINHAS','SC','124241241146372431434639575322133237117',3746,'574',70.77,1,2,1),(20,5011086,'1980-09-18 00:00:00',2,1,11,1997,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241211142441163311441122332066092',NULL,'70',28.72,1,3,NULL),(20,5011094,'1992-11-08 00:00:00',4,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124242241215121731448833575122610115022',5018,'939',67.33,1,3,NULL),(20,5011108,'1986-07-17 00:00:00',2,8,12,2002,'F','N','JD CIDADE ALTA','UMUARAMA','PR','116161168316571431426421395125610123092',NULL,'9998',0.00,1,3,NULL),(20,5011116,'1979-01-04 00:00:00',2,1,11,1998,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','424243243136134421336641215123130222182',NULL,'277',24.56,1,3,NULL),(20,5011124,'1992-05-14 00:00:00',4,9,10,2009,'M','N','JARDIM CAIÇARA','S JOAQUIM','SC','116242161215422431459613575124610167042',2042,'9998',75.11,1,3,NULL),(20,5011132,'1990-07-17 00:00:00',2,1,11,2008,'M','N','JURERE','FLORIANÓPOLIS','SC','124242245212312231486912412122130265112',14147,'1022',50.08,1,3,NULL),(20,5011140,'1992-01-08 00:00:00',2,7,12,2009,'F','N','SENHOR BOM JESUS','CAMPOS NOVOS','SC','124241241116371531446914275122610163147',NULL,'139',0.00,1,3,NULL),(20,5011159,'1990-12-26 00:00:00',4,8,12,2008,'M','N','SAGUAÇÚ','JOINVILLE','SC','124242246214472411469923415124610161183',3708,'494',70.62,1,3,NULL),(20,5011167,'1992-07-02 00:00:00',4,1,12,2009,'M','N','SETOR OESTE','GOIÂNIA','GO','109094091215111611548931374122610162187',2465,'9998',74.36,4,3,NULL),(20,5011175,'1989-09-02 00:00:00',4,10,12,2007,'F','N','OFICINAS','TUBARÃO','SC','124242241215271431434732345123132527077',9947,'806',58.24,1,3,NULL),(20,5011183,'1992-05-12 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215112431569713592125610122057',7293,'738',62.94,1,3,NULL),(20,5011191,'1992-03-30 00:00:00',4,10,11,2009,'F','N','MORROTES','TUBARÃO','SC','124242241215371431258924572122610122197',NULL,'806',41.92,1,3,NULL),(20,5011205,'1992-07-02 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431333813594124610123187',NULL,'1050',0.00,1,3,NULL),(20,5011213,'1980-04-23 00:00:00',2,1,12,1997,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224241241216135741245544495114131062187',14814,'272',48.43,1,3,NULL),(20,5011221,'1991-01-18 00:00:00',2,8,12,2008,'M','N','PARQUE NACIONAL','JUQUIÁ','SP','125243251215161431446516275122140235147',NULL,'9998',0.00,1,3,NULL),(20,5011230,'1991-01-15 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241217372431686824575124130424052',14801,'1133',48.47,1,3,NULL),(20,5011248,'1991-09-19 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','624241241117131431226676575125610147047',NULL,'298',27.18,1,2,1),(20,5011256,'1992-07-27 00:00:00',2,10,12,2009,'F','N','MAR GROSSO','LAGUNA','SC','624204241235151431336613472122610123182',NULL,'525',28.72,1,3,NULL),(20,5011264,'1992-07-03 00:00:00',2,1,12,2009,'M','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241115131421446333472124610137047',15011,'772',44.70,1,2,1),(20,5011272,'1991-09-21 00:00:00',4,1,12,2008,'M','N','JARDIM DA GLÓRIA','COTIA','SP','125252251117471431467711575124610167112',2487,'9998',74.31,1,3,NULL),(20,5011280,'1992-02-21 00:00:00',4,1,6,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242281417271441489933572122610134145',4694,'9998',66.62,1,3,NULL),(20,5011299,'1991-06-14 00:00:00',4,1,12,2009,'F','N','ISOLINA MAZZEI','S PAULO','SP','125252251216121431248824574124510124112',NULL,'9998',NULL,1,3,NULL),(20,5011302,'1990-05-07 00:00:00',4,3,12,2007,'F','N','SOLAR DOS LAGOS','S LOURENÇO','MG','113132131216472431658713595124610165092',NULL,'9998',0.00,1,3,NULL),(20,5011310,'1990-01-25 00:00:00',4,1,12,2006,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124244241215473421249932445122230764032',NULL,'270',0.00,1,3,NULL),(20,5011329,'1992-05-18 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431468713571124610117012',7548,'1022',60.65,1,3,NULL),(20,5011345,'1992-08-03 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113431488933572112610123146',3,'270',97.58,1,3,NULL),(20,5011353,'1989-12-27 00:00:00',4,1,12,2007,'M','N','PARAÍSO','S PAULO','SP','125252251217571731268829575112610167032',2468,'9998',74.30,1,3,NULL),(20,5011361,'1992-07-29 00:00:00',4,2,12,2009,'F','N','COLONINHA','GASPAR','SC','124241241117131441346631392124610126147',11958,'327',51.41,1,2,1),(20,5011370,'1989-12-03 00:00:00',4,1,11,2007,'F','N','SANTO ANTONIO','S CAETANO SUL','SP','125252251215471431358824571125610135112',10772,'9998',55.25,1,3,NULL),(20,5011388,'1991-05-06 00:00:00',4,8,11,2008,'F','N','BUCAREIN','JOINVILLE','SC','124241241415572431366823574122610124185',6042,'1016',63.72,1,3,NULL),(20,5011396,'1992-01-15 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124242241215111431544639472112610128047',15186,'989',43.46,1,3,NULL),(20,5011400,'1992-07-24 00:00:00',4,1,11,2009,'F','N','JD CARANDAI','BIGUAÇU','SC','124241241215131451423321572122610145197',14175,'63',46.51,1,3,NULL),(20,5011418,'1991-02-15 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241215132411446624445124610164162',11849,'738',52.16,1,3,NULL),(20,5011426,'1989-02-26 00:00:00',4,1,12,2007,'M','N','JARDIM PAULISTA','S PAULO','SP','125252251217571411268627575112610142182',NULL,'9998',0.00,1,3,NULL),(20,5011434,'1992-02-06 00:00:00',4,8,11,2009,'M','N','SAGUAÇU','JOINVILLE','SC','124242241212112431459933572114610167186',NULL,'9997',23.02,1,3,NULL),(20,5011442,'1978-11-30 00:00:00',4,1,12,1995,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224241248126272711256443232124122334043',10506,'712',57.22,1,3,NULL),(20,5011450,'1991-09-03 00:00:00',4,1,12,2008,'M','N','BELA VISTA I','S JOSÉ','SC','124202211216471411467933585114610167042',5076,'9998',66.24,1,3,NULL),(20,5011469,'1992-07-27 00:00:00',4,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124244241415121431289912372122610127115',8289,'807',61.32,1,3,NULL),(20,5011477,'1986-10-28 00:00:00',4,1,7,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115151431117731445324132062177',NULL,'89',43.64,1,3,NULL),(20,5011485,'1985-12-15 00:00:00',2,1,12,2008,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241247146232211124417145134230244042',NULL,'9999',0.00,1,2,1),(20,5011493,'1992-05-05 00:00:00',4,4,12,2009,'F','N','DAS NAÇÕES','SEARA','SC','124244241215111431469913432122610163052',14093,'1047',46.65,1,3,NULL),(20,5011507,'1992-01-29 00:00:00',2,8,12,2008,'F','N','CENTRO','ENG BELTRÃO','PR','116163161216471431549935575122610135142',5432,'9998',66.80,1,3,NULL),(20,5011540,'1990-03-29 00:00:00',2,8,12,2007,'F','N','ITINGA','JOINVILLE','SC','124241246215573431463532375114610162187',7240,'1006',61.72,1,3,NULL),(20,5011558,'1977-08-06 00:00:00',2,1,12,1994,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243243436135731646319245124122234182',NULL,'9997',28.95,2,1,2),(20,5011566,'1991-10-28 00:00:00',4,1,12,2008,'M','N','SÃO MIGUEL','CONCÓRDIA','SC','124241241316472431566852575114610161012',12053,'192',54.28,4,3,NULL),(20,5011574,'1990-11-09 00:00:00',4,1,5,2009,'F','N','JARDIM ARUÃ','CAMPINAS','SP','125252251417271431269929575124610125072',3014,'9998',72.14,1,3,NULL),(20,5011582,'1991-09-12 00:00:00',4,1,12,2009,'M','N','LAPA','S PAULO','SP','125253251217111751368823581124610138022',11811,'9998',52.54,1,3,NULL),(20,5011604,'1991-06-26 00:00:00',2,10,12,2008,'F','N','OFICINAS','TUBARÃO','SC','124241241117131411526369372321610162037',NULL,'804',43.60,1,2,1),(20,5011612,'1992-08-04 00:00:00',2,3,12,2009,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241216111431469913575122610164142',NULL,'981',46.83,1,3,NULL),(20,5011620,'1991-09-27 00:00:00',4,1,12,2008,'F','N','CENTRO','CARAPICUÍBA','SP','124252251216471431566412575112610165044',13339,'9998',51.68,1,3,NULL),(20,5011647,'1991-06-15 00:00:00',2,8,12,2008,'M','N','BOM RETIRO','JOINVILLE','SC','124241241116112211345814375123610137142',13047,'449',50.48,1,2,1),(20,5011655,'1987-02-23 00:00:00',4,8,12,2005,'M','N','ESPINHEIROS','JOINVILLE','SC','124241241127151411524479442124131956142',NULL,'477',0.00,4,2,1),(20,5011663,'1990-09-26 00:00:00',4,1,12,2009,'M','N','TORRES DE SÃO JOSÉ','JUNDIAÍ','SP','125252251217371531448811175112610122013',2466,'9998',73.06,4,3,NULL),(20,5011671,'1989-02-18 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216152421124644345124222266187',NULL,'210',49.05,1,3,NULL),(20,5011680,'1991-09-11 00:00:00',2,8,12,2008,'F','N','PORTÃO','CURITIBA','PR','116162161216471411258823575124610134187',NULL,'9998',27.82,4,3,NULL),(20,5011698,'1992-07-08 00:00:00',4,8,12,2009,'F','N','ITAUM','JOINVILLE','SC','116162161215111431458712595122610163092',2628,'9998',72.64,1,3,NULL),(20,5011701,'1992-08-07 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215112411568614571124610137042',12553,'270',53.24,1,3,NULL),(20,5011710,'1991-09-17 00:00:00',4,1,11,2009,'F','N','PARQUE DEZ','MANAUS','AM','104043041117111431359924575122610131122',2039,'9998',75.86,1,3,NULL),(20,5011728,'1992-02-25 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215271431326911575122610137127',NULL,'213',0.00,1,3,NULL),(20,5011736,'1992-03-20 00:00:00',4,2,12,2009,'F','N','ÁGUA VERDE','BLUMENAU','SC','124244241215121231449934575124610126091',7397,'855',61.31,1,3,NULL),(20,5011760,'1990-12-05 00:00:00',4,1,12,2008,'M','N','LIBERDADE','S PAULO','SP','125252251217371711668732575125610164197',NULL,'9998',0.00,1,3,NULL),(20,5011787,'1991-01-24 00:00:00',4,1,12,2008,'F','N','MOOCA','S PAULO','SP','125252251317471431558814575124610162072',4361,'9998',69.87,1,3,NULL),(20,5011809,'1991-12-06 00:00:00',4,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124252241217123431258821415114610122092',480,'270',84.77,1,3,NULL),(20,5011817,'1989-03-23 00:00:00',2,8,11,2007,'F','N','MORRO DO MEIO','JOINVILLE','SC','124243241315371431633519575124610142141',12122,'1016',52.20,1,3,NULL),(20,5011825,'1992-10-14 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215113431468813432124610133142',5700,'270',64.28,1,3,NULL),(20,5011833,'1990-05-07 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372411386933575112132124122',389,'270',85.52,1,3,NULL),(20,5011841,'1992-05-19 00:00:00',4,8,11,2009,'M','N','GUANABARA','JOINVILLE','SC','124244241215151731369613575124610132012',7888,'459',61.21,1,3,NULL),(20,5011850,'1993-03-14 00:00:00',2,1,12,2010,'F','S','CENTRO','XANXERÊ','SC','124241241216131431336639295122610124182',NULL,'1159',0.00,1,3,NULL),(20,5011868,'1992-02-11 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215122431469913575114610146077',2475,'270',74.13,1,3,NULL),(20,5011876,'1992-01-05 00:00:00',2,1,12,2009,'M','N','ALTO ARIRIÚ','PALHOÇA','SC','124242241215111431448619475124610167042',8894,'1118',57.69,1,3,NULL),(20,5011892,'1992-04-26 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241216112432588933571112610124192',280,'213',86.35,1,3,NULL),(20,5011906,'1991-10-15 00:00:00',4,1,11,2009,'M','N','TERRAS DE SAO JOAO','JACAREÍ','SP','125253251217111431367632575124610127057',2157,'9998',76.33,4,3,NULL),(20,5011914,'1992-07-01 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431458619395124610163142',11119,'1118',54.60,1,3,NULL),(20,5011922,'1992-09-30 00:00:00',4,1,12,2009,'M','N','CENTRO','LUCAS R VERDE','MT','111112111216111431588916295122610147042',15115,'9998',43.53,1,3,NULL),(20,5011949,'1990-10-10 00:00:00',4,1,12,2008,'M','N','JARDIM VITÓRIA RÉGIA','S PAULO','SP','125252251217471431235848582122610134187',NULL,'9998',NULL,1,3,NULL),(20,5011957,'1992-01-27 00:00:00',4,8,12,2008,'F','N','CENTRO','GUARAPUAVA','PR','116164161416571431448831575124610153092',NULL,'9998',0.00,1,3,NULL),(20,5011965,'1992-06-17 00:00:00',4,1,12,2009,'F','N','BOM RETIRO','BRAGANÇA PAULISTA','SP','125252251217121431467832375322610127077',NULL,'9998',0.00,1,3,NULL),(20,5011973,'1991-10-28 00:00:00',4,8,11,2008,'F','N','ALTO DA XV','CURITIBA','PR','116162161216471421449933575124610167013',6075,'9998',64.49,1,3,NULL),(20,5011981,'1989-09-28 00:00:00',4,1,12,2008,'M','N','CIDADE JARDIM','RIO CLARO','SP','125252251215471431578814575122610117052',NULL,'9998',30.51,1,3,NULL),(20,5011990,'1992-06-13 00:00:00',4,1,12,2009,'F','N','SAO LOURENÇO','CPO GRANDE','MS','112122121217231431338823575122610125142',NULL,'9998',26.48,3,3,NULL),(20,5012007,'1989-11-04 00:00:00',4,1,12,2007,'F','N','JARDIM CONCEIÇÃO','OSASCO','SP','125252251226571711358834274112610162093',NULL,'9998',0.00,4,3,NULL),(20,5012015,'1994-01-13 00:00:00',2,1,12,2010,'M','S','SANTA TERESA','S PEDRO ALCÂNTARA','SC','124242241217111412388812475122610161185',NULL,'270',47.38,1,3,NULL),(20,5012031,'1991-03-14 00:00:00',4,6,12,2008,'F','N','CENTRO','ITAPEMA','SC','124241241215272431458619575122610114187',9166,'1006',59.66,1,3,NULL),(20,5012040,'1992-10-24 00:00:00',4,3,12,2009,'M','N','CORDEIROS','ITAJAÍ','SC','124243242117372431533434275124610162147',8226,'129',60.41,1,3,NULL),(20,5012058,'1974-06-07 00:00:00',2,1,8,2009,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241247146131442223319245113610114117',NULL,'9999',28.84,5,3,NULL),(20,5012066,'1991-12-21 00:00:00',4,1,12,2009,'F','N','JARDIM LUCEMAR','BARRA BONITA','SP','125252251216171431468814575122610167092',NULL,'9998',0.00,1,3,NULL),(20,5012074,'1992-01-04 00:00:00',4,8,12,2009,'M','N','JARDIM DAS MARAVILHA','STO ANDRÉ','SP','125252251217371432446632575122610162124',NULL,'9998',0.00,1,3,NULL),(20,5012082,'1956-07-24 00:00:00',4,1,4,1975,'M','N','CENTRO','FLORIANÓPOLIS','SC','224251087222151711384142225122342264172',NULL,'9998',0.00,1,3,NULL),(20,5012090,'1990-07-17 00:00:00',2,10,11,2008,'F','N','JARDIM MAR E CÉU','GUARUJÁ','SP','125251251117471431539511482224610142097',NULL,'9998',27.54,4,2,1),(20,5012104,'1992-10-12 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215151431336514575122610131052',2699,'213',73.63,1,3,NULL),(20,5012112,'1991-11-17 00:00:00',2,1,12,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215372431476612572112610132075',2070,'1022',76.65,1,3,NULL),(20,5012120,'1992-04-01 00:00:00',4,5,10,2009,'F','N','CENTRO','IÇARA','SC','124242241215111431448914572112610166092',2729,'226',73.29,1,3,NULL),(20,5012139,'1992-09-07 00:00:00',4,8,12,2009,'M','N','JARDIM DAS BANDEIRAS','FOZ IGUAÇU','PR','116162161217121431455519575115610167042',2351,'9998',74.84,3,3,NULL),(20,5012155,'1991-11-15 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472411159931475124610114112',3844,'820',71.24,1,3,NULL),(20,5012163,'1990-12-04 00:00:00',4,8,12,2008,'M','N','JARDIM TROPICAL','OURINHOS','SP','125252251216271431437811272122610162012',NULL,'9998',42.74,1,3,NULL),(20,5012171,'1990-02-08 00:00:00',2,4,12,2007,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120201201216572711526311375124610137057',8372,'9998',57.88,1,3,NULL),(20,5012198,'1989-09-02 00:00:00',4,1,11,2007,'F','N','JARDIM PAULISTA','JUNDIAÍ','SP','125252251216571431379814574112610121142',3874,'9998',69.42,1,3,NULL),(20,5012201,'1993-02-06 00:00:00',4,4,12,2009,'M','N','CENTRO','STA LÚCIA','PR','116161161435111531436822572121610167052',NULL,'9998',18.14,1,3,NULL),(20,5012210,'1989-07-19 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241316372751324629395114223061187',NULL,'1065',25.92,1,3,NULL),(20,5012228,'1991-09-27 00:00:00',2,1,12,2008,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241147161231434431245111610132042',NULL,'591',23.07,1,2,1),(20,5012236,'1990-04-23 00:00:00',2,3,12,2007,'F','N','INDEPENDÊNCIA','POUSO REDONDO','SC','124243241126272441456814335132610166092',NULL,'639',0.00,1,3,NULL),(20,5012252,'1991-12-06 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215212431488831595122610127072',10168,'262',56.77,1,3,NULL),(20,5012260,'1991-03-12 00:00:00',4,4,11,2008,'F','N','SANTANA','PTO ALEGRE','RS','120202201216371411148611575124141062196',2359,'9998',75.60,1,3,NULL),(20,5012279,'1991-04-30 00:00:00',4,1,12,2008,'F','N','NOVA SANTA CRUZ','MOGI MIRIM','SP','125252251216472441588811571122610156186',471,'9998',84.42,1,3,NULL),(20,5012287,'1991-02-05 00:00:00',4,7,12,2008,'F','N','ALVORADA','VIDEIRA','SC','124241241216132411638813575121610141197',6590,'829',63.18,4,3,NULL),(20,5012295,'1992-01-24 00:00:00',4,10,11,2009,'M','N','VILLA MOEMA','TUBARÃO','SC','124242241215112231369822575112610127062',11382,'807',53.60,1,3,NULL),(20,5012309,'1992-02-06 00:00:00',4,1,12,2009,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091215411421348812595121610164052',1280,'9998',79.71,1,3,NULL),(20,5012317,'1991-07-22 00:00:00',4,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244248136372431248519372114610166092',NULL,'257',0.00,1,3,NULL),(20,5012325,'1991-04-08 00:00:00',2,8,11,2007,'F','N','NOVA BRASÍLIA','JOINVILLE','SC','124242241215573431334311574112610128182',4964,'461',65.60,1,3,NULL),(20,5012341,'1989-05-15 00:00:00',2,1,12,2006,'M','N','CAMPO DA AVIAÇÃO','IMBITUBA','SC','124241241123131231223619241331610124057',NULL,'622',18.50,1,2,1),(20,5012350,'1989-08-25 00:00:00',4,2,12,2006,'F','N','APARECIDA','SANTOS','SP','125092091236471751358813585122140442182',NULL,'9998',0.00,1,3,NULL),(20,5012368,'1987-12-17 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124252241216472431429969472124233251081',5844,'262',66.36,1,3,NULL),(20,5012376,'1986-11-22 00:00:00',4,4,12,2004,'F','N','CENTRO','ABELARDO LUZ','SC','124244241216374741229823575124610126097',NULL,'1081',0.00,1,3,NULL),(20,5012384,'1992-11-28 00:00:00',4,8,12,2009,'F','N','CENTRO','PALOTINA','PR','116162161215471431456829575122610168197',7391,'9998',60.99,1,3,NULL),(20,5012392,'1992-08-24 00:00:00',2,8,11,2009,'F','N','UBERABA','CURITIBA','PR','116162161216111441348731575122610137072',6080,'9998',62.71,4,3,NULL),(20,5012406,'1988-04-12 00:00:00',2,1,12,2005,'F','N','BOA PARADA','S PEDRO ALCÂNTARA','SC','124241248126133431526319242224610115072',15320,'307',42.82,1,2,1),(20,5012414,'1992-07-07 00:00:00',4,1,12,2009,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241115271731444623572124610132053',9484,'739',56.02,1,2,1),(20,5012422,'1992-01-02 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116141411321119381125610131192',NULL,'307',21.05,1,2,1),(20,5012430,'1993-03-29 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215161451458933475124610134015',NULL,'259',36.95,1,3,NULL),(20,5012449,'1993-02-24 00:00:00',2,3,12,2009,'F','N','CENTRO','UMUARAMA','PR','116164161215111531547319575112610137052',NULL,'9998',41.24,1,3,NULL),(20,5012465,'1991-09-27 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241217271431436621512224132744072',14467,'269',49.34,1,3,NULL),(20,5012481,'1991-09-28 00:00:00',4,1,12,2009,'F','N','JARDIM AMÉRICA','GOIÂNIA','GO','109082091215111431486933575122610166142',NULL,'9998',0.00,1,3,NULL),(20,5012490,'1993-09-27 00:00:00',4,5,12,2010,'F','S','CENTRO','SIDERÓPOLIS','SC','124242241215371741438932575122610123192',NULL,'767',24.34,1,3,NULL),(20,5012511,'1992-07-06 00:00:00',2,6,12,2009,'F','N','VARGEM GRANDE','PINHAIS','PR','116161161116371431236924574124610135112',15541,'9998',46.13,1,3,NULL),(20,5012520,'1982-11-30 00:00:00',4,16,12,2000,'M','N','BOM JESUS','CURITIBANOS','SC','624241241126271431424343132123230242197',9485,'239',59.10,4,2,1),(20,5012546,'1990-10-27 00:00:00',4,1,12,2008,'M','N','VILA OLIVEIRA','MOGI CRUZES','SP','125252251217472431568812575122610127057',13469,'9998',46.45,3,3,NULL),(20,5012554,'1992-04-14 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217272441368939595122610132147',3256,'262',71.77,1,3,NULL),(20,5012562,'1992-08-12 00:00:00',2,1,12,2010,'F','S','ARIRÚ','PALHOÇA','SC','124241241115141431433414141124610126177',NULL,'592',43.19,1,3,NULL),(20,5012570,'1991-10-03 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215472441359913575114610124115',13471,'1022',51.45,4,3,NULL),(20,5012597,'1992-02-02 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216112431456933575124610162072',1275,'270',79.02,1,3,NULL),(20,5012600,'1986-08-26 00:00:00',4,2,12,2003,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241136271751433434445124610134147',NULL,'75',28.07,1,2,1),(20,5012627,'1990-07-06 00:00:00',2,1,12,2007,'F','N','NOSSA SENHORA DO ROS','S JOSÉ','SC','124244241416271711544823385122610132092',15619,'729',45.82,1,3,NULL),(20,5012635,'1992-05-13 00:00:00',4,3,11,2009,'M','N','JARDIM ITALIA','ITAPETININGA','SP','125254251216151431558834315122610161097',NULL,'9998',0.00,1,3,NULL),(20,5012643,'1993-07-08 00:00:00',4,3,11,2009,'M','N','ITANHANGÁ PARK','CPO GRANDE','MS','112202121117111331569932576112610167185',NULL,'9998',0.00,1,3,NULL),(20,5012651,'1992-04-17 00:00:00',2,1,11,2009,'M','N','BELA VISTA','PALHOÇA','SC','124241241215131431326611282124610134052',NULL,'1075',31.20,1,3,NULL),(20,5012660,'1992-04-11 00:00:00',4,1,12,2009,'M','N','SOUZA CRUZ','BRUSQUE','SC','124242241217112431659612575124610164142',2616,'270',74.32,1,3,NULL),(20,5012678,'1992-08-27 00:00:00',4,7,11,2009,'M','N','ÁGUA VERDE','CURITIBA','PR','116242168215371431448812595124610137042',NULL,'9998',0.00,1,3,NULL),(20,5012686,'1990-09-12 00:00:00',4,1,11,2007,'F','N','RIO MAINA','CRICIÚMA','SC','124244241212473441366934372124610125042',4614,'995',67.22,1,3,NULL),(20,5012694,'1990-11-11 00:00:00',2,7,12,2008,'F','N','CENTRO','JOAÇABA','SC','124241241415131431636514245122610121097',14206,'454',45.59,1,3,NULL),(20,5012716,'1989-06-19 00:00:00',4,2,11,2006,'F','N','VILA SANTANA','MOGI CRUZES','SP','125251251211571511568711575115610162187',NULL,'9998',0.00,3,3,NULL),(20,5012732,'1991-10-19 00:00:00',4,1,12,2008,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115372431223332592124610124145',9275,'307',56.53,1,2,1),(20,5012740,'1985-12-15 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373431456524442124122928187',5634,'270',66.84,1,3,NULL),(20,5012767,'1991-07-20 00:00:00',4,1,11,2008,'M','N','CENTRO','CORUMBÁ','MS','125122251234271711363612575325610168197',1449,'9998',78.00,1,3,NULL),(20,5012783,'1992-05-11 00:00:00',4,1,12,2009,'F','N','ALTOS DE IGARACU','IGARAÇU TIETÊ','SP','125253258235111731443212175122610162145',NULL,'9997',0.00,1,3,NULL),(20,5012791,'1989-09-14 00:00:00',4,1,12,2007,'F','N','PARQUE PADUAN','TAUBATÉ','SP','125252251216571431669811575122610124153',NULL,'9998',0.00,1,3,NULL),(20,5012805,'1991-07-24 00:00:00',4,1,12,2008,'M','N','CINQUENTENÁRIO','CAXIAS SUL','RS','120201201117572431437624345124610164012',8094,'9998',59.09,1,2,1),(20,5012813,'1991-07-09 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472451469813472122233223072',NULL,'273',44.71,1,3,NULL),(20,5012821,'1991-01-19 00:00:00',2,8,12,2008,'F','N','CENTRO','ÁGUA DOCE','SC','124241241216473451458939574122610128142',7868,'9997',61.02,1,3,NULL),(20,5012830,'1992-06-20 00:00:00',4,1,12,2009,'M','N','CENTRO','CURITIBA','PR','116242161215121531449931175115610167042',NULL,'9998',0.00,1,3,NULL),(20,5012848,'1988-01-10 00:00:00',4,1,12,2005,'F','N','CRISTO REI','CURITIBA','PR','116164161216371731369913475124343264092',15843,'9998',40.26,1,3,NULL),(20,5012856,'1990-12-31 00:00:00',1,1,12,2008,'F','N','CENTRO','CAMPINAS','SP','125252251217471431459737574124610163112',1259,'9998',79.94,1,3,NULL),(20,5012864,'1991-03-26 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241215412411129911592214610121032',12625,'991',50.73,1,3,NULL),(20,5012872,'1991-06-25 00:00:00',4,10,12,2009,'F','N','GETÚLIO VARGAS','RIO GRANDE','RS','120204201117471431466613571122610133097',NULL,'9998',0.00,1,3,NULL),(20,5012880,'1992-07-04 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201241315121431466612571122610138142',5559,'299',65.09,1,3,NULL),(20,5012899,'1990-05-16 00:00:00',4,1,12,2006,'M','N','PONTE DE IMARUIM','PALHOÇA','SC','124243241116272411366619345124231418182',11837,'271',54.68,1,3,NULL),(20,5012902,'1992-04-25 00:00:00',4,8,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161217471411466933572121610166046',NULL,'9998',NULL,1,3,NULL),(20,5012910,'1993-11-02 00:00:00',2,2,11,2010,'F','S','JARDIM MALUCHE','BRUSQUE','SC','124242241215121431458839575122610145182',NULL,'107',29.48,1,3,NULL),(20,5012929,'1991-06-10 00:00:00',4,8,11,2008,'M','N','SAGUAÇU','JOINVILLE','SC','124244241215474431448633372124610167081',5346,'806',66.09,1,3,NULL),(20,5012937,'1988-05-02 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124163161136152431449911145121233238142',NULL,'9998',30.13,1,3,NULL),(20,5012945,'1991-04-25 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241217472411178921575115610122112',3154,'486',71.45,1,3,NULL),(20,5012953,'1992-02-04 00:00:00',2,1,12,2009,'F','N','BELA VISTA II','S JOSÉ','SC','124241241135271431535534345124610138072',NULL,'257',27.55,1,2,1),(20,5012961,'1991-04-11 00:00:00',4,10,12,2008,'F','N','PORTINHO','LAGUNA','SC','124242241215471431436819492124130441125',5900,'525',65.26,1,3,NULL),(20,5012970,'1992-02-03 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215473431558614392124222927042',1542,'269',78.71,1,3,NULL),(20,5012988,'1987-01-23 00:00:00',4,1,12,2004,'M','N','BARREIROS','S JOSÉ','SC','124244241116131721223324315122610114187',13788,'732',50.75,1,3,NULL),(20,5012996,'1977-07-03 00:00:00',2,1,12,2000,'F','N','JARDIM CIDADE','S JOSÉ','SC','124241241126131431233641112112130214147',NULL,'9997',47.27,2,1,1),(20,5013003,'1991-04-15 00:00:00',4,1,12,2008,'F','N','CENTRO','CHAPADA','RS','120201201116472431436911595124610164042',4587,'9998',67.98,4,2,1),(20,5013011,'1991-10-22 00:00:00',4,1,12,2008,'F','N','BUENO','GOIÂNIA','GO','109092091215472431427613535122610126147',3702,'9998',69.58,1,3,NULL),(20,5013020,'1992-11-24 00:00:00',2,1,12,2009,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241112161432324414172124610124143',NULL,'307',26.32,1,2,1),(20,5013038,'1992-07-29 00:00:00',4,8,12,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241216131731444314375121610132042',14258,'441',46.92,1,3,NULL),(20,5013046,'1991-09-21 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215473431369612575114610146192',4509,'270',67.86,1,3,NULL),(20,5013054,'1991-09-26 00:00:00',4,1,10,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241217371431258619275122610142082',12693,'269',49.28,1,3,NULL),(20,5013062,'1993-01-20 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111411338933574124610124095',899,'1022',81.88,1,3,NULL),(20,5013070,'1992-06-07 00:00:00',4,5,10,2009,'M','N','PIO CORREA','CRICIÚMA','SC','124242241215112431478714575112610117052',10715,'226',52.51,1,3,NULL),(20,5013089,'1992-06-17 00:00:00',4,1,11,2009,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241216271431255524575121610168092',16108,'1119',43.38,1,3,NULL),(20,5013100,'1991-12-12 00:00:00',2,3,12,2009,'F','N','UNIVERSITARIO','TIJUCAS','SC','124241241215171431434622292122610142122',NULL,'1119',28.12,1,3,NULL),(20,5013119,'1992-09-10 00:00:00',2,2,11,2009,'F','N','SANTA RITA','BRUSQUE','SC','124242241215151451379419575122610132176',10154,'107',55.59,1,3,NULL),(20,5013127,'1990-03-17 00:00:00',4,1,12,2007,'M','N','VILA MORANGUEIRA','MARINGÁ','PR','116161161117151431344614245122241865092',NULL,'9998',0.00,1,3,NULL),(20,5013135,'1991-06-05 00:00:00',4,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124241241112273431336923571124610164043',6858,'271',62.93,1,2,1),(20,5013143,'1982-06-02 00:00:00',4,1,12,1999,'F','N','MIRANDÓPOLIS','S PAULO','SP','125251251215571431456824475125343161147',NULL,'9998',0.00,3,3,NULL),(20,5013151,'1991-10-18 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215474431488832575122610164042',47,'226',91.70,1,3,NULL),(20,5013160,'1991-03-11 00:00:00',2,1,11,2008,'F','N','RACHADEL','ANTÔNIO CARLOS','SC','124243241315372431443329574124610131042',9927,'270',54.64,1,3,NULL),(20,5013178,'1992-05-11 00:00:00',4,1,12,2009,'F','N','CHACARA STO ANTONIO','S PAULO','SP','125252251217371711278924414125610145182',3491,'9998',71.37,1,3,NULL),(20,5013186,'1991-04-17 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241226132711238623375114230762095',NULL,'262',28.83,4,3,NULL),(20,5013194,'1990-08-29 00:00:00',2,8,12,2007,'M','N','REBOUÇAS','CURITIBA','PR','116161161235571411446933575115610132192',NULL,'9998',0.00,1,3,NULL),(20,5013208,'1992-04-01 00:00:00',2,1,12,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241211113431358821571122610144142',6176,'270',63.62,1,3,NULL),(20,5013216,'1992-11-13 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215152431489813575122610145112',4406,'262',69.23,1,3,NULL),(20,5013224,'1992-04-28 00:00:00',4,1,12,2010,'M','S','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124201241115131431333714285122610166147',NULL,'772',27.60,4,3,NULL),(20,5013232,'1991-07-25 00:00:00',3,1,6,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124283281117271741369933432112610163142',6043,'9998',63.11,1,3,NULL),(20,5013240,'1992-10-07 00:00:00',4,1,12,2009,'F','N','CENTRO','CRUZ ALTA','RS','120201201117131431326629412124610142197',NULL,'9998',32.40,1,2,1),(20,5013259,'1990-04-07 00:00:00',4,1,7,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244247212474731448812572124610127161',NULL,'9999',21.55,1,3,NULL),(20,5013267,'1992-08-27 00:00:00',4,1,12,2009,'F','N','JARDIM BELA VISTA','S JOSÉ CAMPOS','SP','125252251215111751448832575124610154182',NULL,'9998',0.00,3,3,NULL),(20,5013275,'1987-06-22 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241115132422338539595124120762097',4562,'293',69.39,1,2,1),(20,5013283,'1991-03-14 00:00:00',4,1,12,2008,'M','N','ASA SUL','BRASÍLIA','DF','107132071216371431479931575112610164022',NULL,'9998',0.00,1,3,NULL),(20,5013291,'1992-10-28 00:00:00',4,1,12,2009,'F','N','JARDIM PAULISTA','S PAULO','SP','125252251216111431536861575124610147052',6847,'9998',62.20,1,3,NULL),(20,5013305,'1988-03-31 00:00:00',4,1,12,2005,'F','N','LIBERDADE','S PAULO','SP','125252251216571431358813275125610144142',NULL,'9998',0.00,1,3,NULL),(20,5013313,'1993-06-02 00:00:00',4,1,11,2009,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124244241215112431479833494124610136182',66,'270',91.14,1,3,NULL),(20,5013321,'1977-05-08 00:00:00',4,2,12,1994,'F','N','BELEM','S PAULO','SP','125251251126272421333523295122340667082',NULL,'9998',0.00,1,2,1),(20,5013330,'1992-05-09 00:00:00',4,4,12,2009,'F','N','VILA ZIZINHA','S JOSÉ CAMPOS','SP','125254251216321411356614575122610162092',12377,'9998',50.07,1,3,NULL),(20,5013348,'1990-05-18 00:00:00',4,1,11,2007,'M','N','QUILOMBO','CUIABÁ','MT','111254251416271711468612525122610164182',NULL,'9998',0.00,1,3,NULL),(20,5013364,'1992-10-23 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215371431458833572124610127042',1384,'262',79.35,1,3,NULL),(20,5013380,'1993-02-22 00:00:00',4,1,12,2010,'F','S','CENTRO','XANXERÊ','SC','124242241216161751338832275122610124182',NULL,'1159',0.00,1,3,NULL),(20,5013429,'1994-02-21 00:00:00',4,1,12,2010,'F','S','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124242241215111231458632325124610167017',NULL,'262',47.87,4,3,NULL),(20,5013437,'1991-06-30 00:00:00',4,1,12,2008,'F','N','JARDIM GUANABARA','CAMPINAS','SP','125252251217371431449911575122620132092',2782,'9998',71.92,1,3,NULL),(20,5013445,'1988-12-20 00:00:00',4,1,12,2006,'M','N','SANTO ANTONIO','JAÚ','SP','125254251215472411446614575122610167042',NULL,'9998',0.00,1,3,NULL),(20,5013461,'1992-12-12 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431468934574122610123012',10195,'738',56.30,1,3,NULL),(20,5013470,'1994-05-21 00:00:00',4,1,12,2010,'M','S','PONTA DE BAIXO','S JOSÉ','SC','124243241116151711337823445124610126052',NULL,'739',22.16,1,3,NULL),(20,5013488,'1992-07-06 00:00:00',4,1,10,2009,'M','N','CENTRO','PTO SEGURO','BA','105054051216111731448831575114610127092',2787,'9998',73.17,1,3,NULL),(20,5013496,'1992-09-14 00:00:00',4,1,12,2009,'M','N','JARDIM PANORAM','FOZ IGUAÇU','PR','116162161216121431368914275122610127052',NULL,'9998',28.15,1,3,NULL),(20,5013500,'1986-03-18 00:00:00',4,1,12,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241215475421669419495124533266091',621,'269',83.74,1,3,NULL),(20,5013518,'1991-04-16 00:00:00',4,8,12,2008,'M','N','BARRA DO RIO MOLHA','JARAGUÁ SUL','SC','124242241217473431479932575122610167112',6512,'441',64.89,1,3,NULL),(20,5013526,'1991-01-17 00:00:00',4,6,11,2008,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124244241215411731545532392111610168067',5459,'107',65.92,1,3,NULL),(20,5013534,'1991-06-25 00:00:00',2,1,12,2008,'F','N','BELEM NOVO','PTO ALEGRE','RS','120201241315471431627528271124610165147',14230,'288',48.60,1,3,NULL),(20,5013542,'1992-01-09 00:00:00',4,1,11,2009,'M','N','CENTRO','S JOSÉ','SC','124243241117274431469613585114610122165',415,'271',85.25,1,3,NULL),(20,5013550,'1992-05-28 00:00:00',4,1,12,2009,'M','N','SÃO CONRADO','SOROCABA','SP','125251251216111741348614575124610148024',NULL,'9998',0.00,1,3,NULL),(20,5013569,'1987-01-26 00:00:00',2,2,12,2004,'M','N','BAIRRO ANA PAULA','JARAGUÁ SUL','SC','124161161115573431533714374124610167147',2587,'9998',74.44,4,2,1),(20,5013577,'1990-01-05 00:00:00',2,1,12,2007,'F','N','JARDIM GUANABARA','CAMPINAS','SP','125252251117571431338512576115610162112',1459,'9998',78.10,1,3,NULL),(20,5013585,'1989-07-19 00:00:00',4,8,12,2006,'M','N','IRIRIU','JOINVILLE','SC','124241241137372431466611395224130234097',3773,'469',71.42,1,2,1),(20,5013593,'1992-01-29 00:00:00',4,1,12,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215113441646621272114610124141',7312,'1022',61.46,3,3,NULL),(20,5013607,'1989-10-08 00:00:00',4,8,12,2007,'F','N','BOA VISTA','JOINVILLE','SC','124242241215572431577614575112610166197',4698,'1105',69.09,1,3,NULL),(20,5013631,'1992-01-13 00:00:00',2,5,12,2009,'F','N','SAMUEL SANDRINI','ORLEANS','SC','124241241415111431227634595122610168142',NULL,'581',NULL,1,3,NULL),(20,5013640,'1992-06-16 00:00:00',4,8,11,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215123431468812425122610144142',13,'1063',95.57,1,3,NULL),(20,5013658,'1983-04-15 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','224241247346373431236454372124610127187',12409,'9999',53.54,1,3,NULL),(20,5013666,'1993-08-23 00:00:00',4,1,12,2010,'F','S','CENTRO','PALHOÇA','SC','124242241215471431488812572122610132192',NULL,'262',47.91,1,3,NULL),(20,5013674,'1992-09-21 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124244241215471411439913595124610162092',2702,'270',74.10,1,3,NULL),(20,5013682,'1992-02-20 00:00:00',4,3,12,2009,'F','N','BARRA','BAL CAMBORIÚ','SC','124242241215122431355651374112610147071',5940,'1038',63.93,1,3,NULL),(20,5013690,'1990-05-24 00:00:00',3,1,12,2008,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125284251217471731688814571124610113152',5649,'9998',64.66,1,3,NULL),(20,5013712,'1991-05-07 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215473431469934572124610123075',10907,'269',56.47,1,3,NULL),(20,5013720,'1991-10-15 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241215131431426623575124610164017',15381,'259',44.51,1,3,NULL),(20,5013739,'1992-10-13 00:00:00',2,1,12,2009,'F','N','PARTENON','PTO ALEGRE','RS','120202201216471731426823595124610168197',NULL,'9998',25.42,1,3,NULL),(20,5013747,'1991-01-23 00:00:00',4,2,12,2008,'F','N','VELHA','BLUMENAU','SC','124242241215472431358823571124610122097',1162,'855',79.56,1,3,NULL),(20,5013755,'1992-08-29 00:00:00',4,1,11,2009,'F','N','CENTRO','JOAÇABA','SC','124243241217271411469813434122610126182',5817,'446',64.76,1,3,NULL),(20,5013763,'1992-10-08 00:00:00',4,5,11,2009,'M','N','CENTRO','NOVA VENEZA','SC','124242241215131411347732574124610146147',2173,'213',74.26,1,3,NULL),(20,5013771,'1990-12-14 00:00:00',4,8,12,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215573422468713575122610126197',7914,'486',60.85,1,3,NULL),(20,5013780,'1992-07-12 00:00:00',4,1,11,2009,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124244241215112431479833494124610136182',3816,'270',69.55,1,3,NULL),(20,5013798,'1992-01-31 00:00:00',2,15,11,2009,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241241215121431357669572122610138182',11181,'970',53.04,1,3,NULL),(20,5013801,'1991-10-22 00:00:00',4,1,10,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244246215131431458712325121610167067',NULL,'269',31.67,1,3,NULL),(20,5013810,'1991-05-09 00:00:00',4,2,12,2008,'F','N','SUMARÉ','RIO SUL','SC','116242241215473431458914472125610162147',9902,'991',54.99,1,3,NULL),(20,5013828,'1993-03-22 00:00:00',2,8,12,2009,'F','N','CENTRO','PELOTAS','RS','120242201215151421228923372125610165076',12318,'9998',51.41,1,3,NULL),(20,5013836,'1991-12-19 00:00:00',4,6,12,2009,'F','N','BELA VISTA','OSASCO','SP','125252251216111431567612195122610167042',NULL,'9998',0.00,1,3,NULL),(20,5013844,'1992-09-07 00:00:00',2,10,12,2009,'F','N','CENTRO','BRAÇO NORTE','SC','124241241216131441459811595124613222142',NULL,'950',29.82,1,3,NULL),(20,5013852,'1993-01-30 00:00:00',4,7,12,2009,'F','N','CENTRO','VIDEIRA','SC','124241241217131431546933275124610125197',14285,'1080',45.89,1,3,NULL),(20,5013879,'1991-05-18 00:00:00',4,1,12,2008,'F','N','STO ANT DE LISBOA','FLORIANÓPOLIS','SC','124242241215473431568832575122610135112',299,'270',86.65,1,3,NULL),(20,5013887,'1993-02-25 00:00:00',4,4,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241217151431326612595112610167052',3868,'1079',70.10,1,3,NULL),(20,5013895,'1992-09-18 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124032241217111432226923472114610127182',7537,'270',62.73,3,3,NULL),(20,5013909,'1991-08-01 00:00:00',2,1,12,2009,'M','N','PRAIA DA DANIELA','FLORIANÓPOLIS','SC','124242241215111431468923375124610122062',NULL,'270',0.00,1,3,NULL),(20,5013917,'1991-06-11 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124202201215473431368933575124610127117',1924,'9998',77.19,1,3,NULL),(20,5013933,'1992-05-20 00:00:00',4,4,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241216151431459613595122610122052',2818,'1079',73.30,1,3,NULL),(20,5013941,'1992-05-27 00:00:00',2,3,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111731469813575115610118197',15861,'266',43.61,1,3,NULL),(20,5013976,'1991-05-12 00:00:00',2,5,11,2008,'F','N','MICHEL','CRICIÚMA','SC','124242241215112731436834495112610168073',NULL,'226',28.12,1,3,NULL),(20,5013984,'1992-04-29 00:00:00',4,10,12,2009,'M','N','PAES LEME','IMBITUBA','SC','124243241315152431536614575122610124112',7107,'1161',61.58,1,3,NULL),(20,5013992,'1992-11-22 00:00:00',4,1,11,2009,'F','N','GANCHOS DE FORA','GOV CELSO RAMOS','SC','124241241215112731335639394124610166117',NULL,'1118',26.18,1,3,NULL),(20,5014000,'1986-12-28 00:00:00',4,1,12,2003,'F','N','RIO BRANCO','PTO ALEGRE','RS','120162161216575731348824472124230222097',479,'9998',84.77,4,3,NULL),(20,5014018,'1991-06-15 00:00:00',4,3,12,2008,'F','N','CAMBUI','CAMPINAS','SP','125112251216471731536832575115610144092',NULL,'9998',0.00,3,3,NULL),(20,5014026,'1993-01-21 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','120244241116272431326611572124610133182',10285,'307',56.32,1,3,NULL),(20,5014042,'1992-09-23 00:00:00',4,1,12,2009,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215151441688934575114610128065',1363,'883',79.45,1,3,NULL),(20,5014050,'1982-09-02 00:00:00',4,1,7,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241247626151721121314245113610168033',NULL,'9999',46.67,1,3,NULL),(20,5014069,'1992-03-08 00:00:00',2,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215272431636923572124231227067',13091,'299',52.18,1,3,NULL),(20,5014085,'1992-02-28 00:00:00',4,2,12,2009,'M','N','JARDIM GOIÁS','GOIÂNIA','GO','109092091217111441469939575121610167012',2882,'9998',73.90,1,3,NULL),(20,5014093,'1993-01-02 00:00:00',2,8,12,2009,'F','N','CENTRO','IRATI','PR','116161161215471731545619435124610138093',NULL,'9998',39.06,1,3,NULL),(20,5014115,'1984-01-09 00:00:00',2,8,11,2001,'F','N','TUCURUVI','S PAULO','SP','125252251216231431436863395114140634027',NULL,'9998',NULL,1,3,NULL),(20,5014131,'1991-12-24 00:00:00',4,4,12,2008,'M','N','JARDIM PAULISTA','S PAULO','SP','125241241116472431427415475122610127057',NULL,'192',25.81,1,2,1),(20,5014140,'1993-12-14 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124241241116131431435613575124610162097',14965,'739',47.99,1,2,1),(20,5014158,'1993-05-03 00:00:00',2,1,12,2009,'M','N','JARDIM AQUARIUS','PALHOÇA','SC','124242241216131431438613345122610127052',15172,'1075',47.34,2,1,2),(20,5014166,'1990-03-14 00:00:00',4,6,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241212112431468914575122222333142',13131,'9997',52.11,1,3,NULL),(20,5014174,'1990-11-05 00:00:00',4,5,10,2008,'M','N','VILA FLORESTA','CRICIÚMA','SC','124242241215473431448314172122610134061',3059,'213',73.02,1,3,NULL),(20,5014182,'1991-06-26 00:00:00',4,1,11,2008,'F','N','ASA NORTE','BRASÍLIA','DF','107123121117271431457613475112610142072',NULL,'9998',0.00,1,3,NULL),(20,5014190,'1993-01-20 00:00:00',2,1,11,2009,'M','N','SUMARÉ','RIO SUL','SC','124242248215111731346622572122610128181',NULL,'991',30.06,1,3,NULL),(20,5014204,'1991-04-01 00:00:00',2,1,12,2008,'F','N','JARDIM CIDADE','S JOSÉ','SC','124243241215273232336634475114610162041',14323,'269',49.66,1,3,NULL),(20,5014212,'1991-10-25 00:00:00',4,1,12,2009,'M','N','BELA VISTA','S PAULO','SP','125253251117371431535514375114610154167',13896,'9998',48.19,4,3,NULL),(20,5014220,'1992-03-31 00:00:00',4,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124244247316151411578513575124610164193',14468,'9999',49.33,4,3,NULL),(20,5014239,'1990-05-18 00:00:00',2,1,12,2008,'F','N','VILA NOVA','PTO ALEGRE','RS','120202201416371431224879571324610134147',NULL,'9998',0.00,4,3,NULL),(20,5014247,'1992-10-16 00:00:00',4,1,12,2009,'M','N','PLANALTO PAULISTA','S PAULO','SP','125252251215271431488934574125610137042',3394,'9998',69.93,1,3,NULL),(20,5014255,'1985-11-22 00:00:00',4,5,12,2003,'M','N','COMERCIÁRIO','CRICIÚMA','SC','224242246217152731237744345122231467053',14032,'995',50.33,1,3,NULL),(20,5014263,'1992-08-08 00:00:00',4,8,12,2009,'M','N','JD STA EUGÊNIA','PARANAVAÍ','PR','116162161216151431257839574122610166165',1428,'9998',78.39,1,3,NULL),(20,5014280,'1988-10-19 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241146271411136444342124131121127',NULL,'83',0.00,1,3,NULL),(20,5014298,'1991-04-19 00:00:00',4,1,12,2009,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124241241215112231324373475124610123077',NULL,'1048',25.95,1,3,NULL),(20,5014301,'1992-06-21 00:00:00',4,1,12,2009,'F','N','JARDIM ESTORIL','S JOSÉ CAMPOS','SP','125254251437111411348512291122610114142',NULL,'9998',23.44,2,1,2),(20,5014310,'1989-07-10 00:00:00',4,1,11,2006,'F','N','RIBEIRÂNIA','RIBEIRÃO PRETO','SP','125252251216571431336821575122140313097',NULL,'9998',0.00,1,3,NULL),(20,5014336,'1992-02-03 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431366673395122610164187',7268,'262',62.44,2,3,NULL),(20,5014344,'1991-12-21 00:00:00',2,1,12,2008,'F','N','POÇO FUNDO','STO AMARO IMPERATRIZ','SC','124241241416372411538913335124610128042',11022,'772',53.94,1,3,NULL),(20,5014352,'1991-05-07 00:00:00',4,1,12,2008,'M','N','JARDIM PAULICÉIA','CAMPINAS','SP','125254251212571441443834591122610132092',1550,'9998',77.24,1,3,NULL),(20,5014379,'1993-02-22 00:00:00',2,1,12,2009,'M','N','QUINTO BEC','VILHENA','RO','122223221417131431345613575112610164192',NULL,'9998',31.04,4,3,NULL),(20,5014395,'1992-10-08 00:00:00',2,1,12,2009,'F','N','CENTRO','EXTREMA','MG','113132251316121411226823575124610165012',13199,'9998',48.16,1,3,NULL),(20,5014409,'1991-01-09 00:00:00',4,1,11,2009,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091217111751228819575125610168192',NULL,'9998',0.00,1,3,NULL),(20,5014417,'1990-10-28 00:00:00',2,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241216373451456619495114221424117',NULL,'724',0.00,1,3,NULL),(20,5014425,'1992-07-09 00:00:00',4,5,10,2009,'M','N','PIO CORREA','CRICIÚMA','SC','124242241217111431579814575115610127047',6295,'226',65.34,1,3,NULL),(20,5014433,'1985-09-07 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117274421668712345122333262143',5726,'739',66.65,1,2,1),(20,5014441,'1992-12-08 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124124241315271731458713572124610127091',NULL,'732',26.49,1,3,NULL),(20,5014450,'1992-07-21 00:00:00',4,1,11,2009,'F','N','SANTO ANTONIO','MOSSORÓ','RN','119192191417111431358923595122610125147',3481,'9998',71.54,4,3,NULL),(20,5014468,'1992-09-30 00:00:00',4,1,11,2009,'M','N','RES EUROVILLE','CARAPICUÍBA','SP','125252251217121411464821372142610147043',NULL,'9998',0.00,1,3,NULL),(20,5014476,'1990-12-16 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241217111431438814575122610127047',2740,'226',74.14,1,3,NULL),(20,5014484,'1992-07-04 00:00:00',4,1,11,2009,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121216161431428811445124610137092',7907,'9998',60.24,1,3,NULL),(20,5014492,'1992-11-13 00:00:00',2,1,12,2009,'F','N','PARQUE VISTA ALEGRE','ITAPEVA','SP','125253251417111431426634271122610138092',15723,'9998',41.91,1,3,NULL),(20,5014506,'1991-05-07 00:00:00',4,1,12,2009,'M','N','JARDIM AVARE','PARANAVAÍ','PR','116162161216111231458835475112610124092',NULL,'9998',0.00,1,3,NULL),(20,5014514,'1992-05-29 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241115271431348824575122610144142',13508,'271',47.74,1,3,NULL),(20,5014522,'1992-11-19 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431239933575122610133146',10025,'1023',55.45,1,3,NULL),(20,5014530,'1992-08-22 00:00:00',4,2,11,2009,'F','N','GARCIA','BLUMENAU','SC','124244241216112441448619395124610164012',3845,'71',70.17,1,3,NULL),(20,5014549,'1992-01-10 00:00:00',2,5,11,2009,'F','N','CENTRO','MRO FUMAÇA','SC','124244241215121431354712335122610122052',10298,'226',57.62,1,3,NULL),(20,5014557,'1992-02-07 00:00:00',4,4,12,2009,'F','N','SÃO CRISTOVÃO','FAXINAL GUEDES','SC','124241241215111431333314272124610121172',7693,'1081',59.56,4,3,NULL),(20,5014565,'1992-02-02 00:00:00',2,1,12,2009,'F','N','JARDIM BEIJA FLOR','ITAPEVA','SP','125252251217111431529718475122610124074',7655,'9998',60.25,1,3,NULL),(20,5014581,'1992-12-29 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241416372431364726275122610134092',13211,'1010',49.74,1,3,NULL),(20,5014590,'1991-04-19 00:00:00',4,1,12,2008,'F','N','GRANJA VIANA','COTIA','SP','125252251216471411458614275124610141142',NULL,'9998',0.00,1,3,NULL),(20,5014603,'1991-12-12 00:00:00',4,1,12,2009,'M','N','JD IGUAÇU','MARINGÁ','PR','116162161215112431488831572122610164042',180,'9998',88.32,1,3,NULL),(20,5014620,'1991-04-22 00:00:00',4,1,12,2009,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215111431479913575121610167165',16106,'883',43.39,1,3,NULL),(20,5014638,'1991-04-18 00:00:00',4,1,12,2008,'M','N','CAMPO BELO','S PAULO','SP','125252251236471431479812572122610134047',NULL,'9998',0.00,1,3,NULL),(20,5014646,'1991-08-11 00:00:00',2,1,12,2009,'M','N','CENTRO','TOLEDO','PR','116162161317471411366712575211610167042',3909,'9998',69.17,1,3,NULL),(20,5014654,'1992-07-29 00:00:00',4,5,11,2009,'F','N','SÃO CRISTOVÃO','CRICIÚMA','SC','124242241215121731457634575122610147053',12009,'213',51.78,1,3,NULL),(20,5014662,'1981-03-29 00:00:00',4,1,12,2002,'M','N','REAL PARQUE','S JOSÉ','SC','124241241126474431321241115122610127022',2806,'730',73.92,1,2,1),(20,5014670,'1992-05-13 00:00:00',4,2,12,2009,'M','N','CENTRO','APUCARANA','PR','116162161217111411539813572122610132122',1569,'9998',78.59,3,3,NULL),(20,5014689,'1992-10-06 00:00:00',4,1,11,2009,'M','N','SANTO ANTÔNIO','CPO GRANDE','MS','112122121217371731469933575122610142097',1929,'9998',76.68,4,3,NULL),(20,5014697,'1990-05-10 00:00:00',2,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241115372431439813275124610124045',NULL,'298',29.55,1,3,NULL),(20,5014700,'1991-10-14 00:00:00',4,8,12,2008,'F','N','BOM RETIRO','CURITIBA','PR','116162163236471431548831574124610146077',1529,'9998',77.58,1,3,NULL),(20,5014719,'1992-05-14 00:00:00',4,8,10,2009,'F','N','JARDIM VAZANI','S PAULO','SP','125252251216271411558714273124610135092',NULL,'9998',0.00,1,3,NULL),(20,5014735,'1992-05-03 00:00:00',4,8,12,2009,'M','N','ZONA CINCO','MARINGÁ','PR','116163161215111431468834472122610117062',1781,'9998',76.22,1,3,NULL),(20,5014743,'1990-05-27 00:00:00',2,1,12,2007,'F','N','CENTRO','VENÂNCIO AIRES','RS','120202201217573431445619572114610144147',5912,'9998',65.17,1,3,NULL),(20,5014751,'1992-09-08 00:00:00',4,1,12,2009,'F','N','CAMILÓPOLIS','STO ANDRÉ','SP','125251251147471411329721575124610122147',14783,'9998',44.89,1,2,1),(20,5014760,'1992-03-15 00:00:00',4,1,12,2009,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241215111431357823472114610124042',1902,'1022',77.25,1,3,NULL),(20,5014778,'1991-02-25 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241416111511668919575124610124172',13577,'269',51.20,1,3,NULL),(20,5014786,'1984-09-05 00:00:00',2,8,12,2003,'M','N','BOA VISTA','CURITIBA','PR','116162161436171711128619415324143227112',NULL,'489',0.00,1,3,NULL),(20,5014794,'1990-06-20 00:00:00',4,4,12,2008,'M','N','CENTRO','CPO ERÊ','SC','124241242116111731524923585112610114057',15914,'135',40.64,1,3,NULL),(20,5014808,'1990-03-13 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124252241217273431269814575112233266176',2859,'270',73.68,1,3,NULL),(20,5014816,'1992-07-05 00:00:00',4,16,12,2009,'F','N','CENTRO','RIO ANTAS','SC','124241241416121431423521495125610168192',3915,'885',70.76,1,3,NULL),(20,5014824,'1991-02-28 00:00:00',4,3,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241242117272431343973475124610165097',4050,'129',70.74,1,2,1),(20,5014832,'1991-08-10 00:00:00',4,1,12,2008,'M','N','CIDADE JARDIM','RIO CLARO','SP','125252251215371421488812225122610167092',NULL,'9998',0.00,1,3,NULL),(20,5014840,'1972-11-25 00:00:00',2,15,7,2009,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','624241247127131431233353212122610117047',NULL,'9999',25.87,1,2,1),(20,5014859,'1983-07-01 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215152431638614213122221465047',NULL,'272',27.50,1,3,NULL),(20,5014867,'1984-04-10 00:00:00',4,1,12,2001,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124206248147131221233349245334610138093',NULL,'289',29.80,1,3,NULL),(20,5014883,'1990-04-22 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201116573431437933575115610126187',3855,'9998',69.19,1,2,1),(20,5014891,'1991-04-29 00:00:00',2,1,12,2007,'F','N','MENINO DEUS','PTO ALEGRE','RS','120203201217571431348923572112142867097',NULL,'9998',47.41,4,3,NULL),(20,5014905,'1991-11-12 00:00:00',4,1,12,2008,'F','N','SAÚDE','S PAULO','SP','125252254237471731288834392125610123147',7155,'9998',62.53,1,3,NULL),(20,5014913,'1991-02-28 00:00:00',2,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217273451349913575124231066192',8190,'269',59.71,1,3,NULL),(20,5014921,'1990-10-22 00:00:00',4,1,12,2008,'M','N','SANTA CECILIA','S PAULO','SP','125252251216471731548831575114610168152',NULL,'9998',0.00,1,3,NULL),(20,5014948,'1992-01-16 00:00:00',2,10,11,2009,'F','N','MAR GROSSO','LAGUNA','SC','124242241215111751348819291122610163077',12798,'807',52.75,1,3,NULL),(20,5014964,'1991-06-10 00:00:00',4,1,11,2008,'M','N','ANITA GARIBALDE','JOINVILLE','SC','124022271142212211215222312111112622171',NULL,'1063',57.36,1,3,NULL),(20,5014972,'1992-01-23 00:00:00',4,5,11,2009,'F','N','JARDIM SILVANA','IÇARA','SC','124242241215112431344434575122610117072',NULL,'213',0.00,4,3,NULL),(20,5014980,'1992-09-27 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241215271432443312295122610113012',15525,'738',43.57,3,3,NULL),(20,5014999,'1991-01-29 00:00:00',2,1,12,2008,'F','N','AZENHA','PTO ALEGRE','RS','120202201217472431559712425124610165017',9447,'9998',59.18,1,3,NULL),(20,5015006,'1992-02-28 00:00:00',4,1,12,2009,'M','N','JARDIN PEDREIRAS','FRANCA','SP','125252251215111431448811575122610164142',NULL,'9998',53.24,1,3,NULL),(20,5015014,'1992-08-07 00:00:00',4,16,11,2009,'M','N','CENTRO','FRAIBURGO','SC','124162161216111431469811575114610122072',6215,'9998',64.17,1,3,NULL),(20,5015022,'1991-05-24 00:00:00',2,8,12,2008,'F','N','FLORESTA','JOINVILLE','SC','124241241215472751458912595112610168192',11634,'1063',53.30,1,3,NULL),(20,5015030,'1990-12-17 00:00:00',4,1,12,2007,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215371431348714272124131027097',NULL,'270',0.00,1,3,NULL),(20,5015049,'1987-07-25 00:00:00',3,4,12,2005,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124242241217575441448833575115610122192',444,'168',85.09,1,3,NULL),(20,5015057,'1992-06-08 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','123162241216121731356531574114610143047',7498,'1118',61.37,1,3,NULL),(20,5015065,'1992-06-24 00:00:00',4,1,12,2009,'M','N','BUENO','GOIÂNIA','GO','109092098217131432458831372122610117012',NULL,'9998',0.00,1,3,NULL),(20,5015073,'1992-08-27 00:00:00',4,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124244241111371431437613491144610164142',7898,'739',60.25,4,3,NULL),(20,5015081,'1992-03-10 00:00:00',4,1,12,2009,'F','N','CENTRO','CORUMBÁ','MS','112121121217271711458832575122610133197',12847,'9998',52.66,2,3,NULL),(20,5015090,'1989-12-08 00:00:00',4,1,12,2007,'M','N','VILA MONTEIRO','PIRACICABA','SP','125252251236571431458831275122610166043',NULL,'9998',0.00,1,3,NULL),(20,5015103,'1988-10-29 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241215371411338612474114610165195',NULL,'1048',0.00,1,3,NULL),(20,5015111,'1991-09-17 00:00:00',4,8,11,2008,'M','N','PORTÃO','CURITIBA','PR','116161168317471541667823436114610164042',11602,'9998',50.76,1,3,NULL),(20,5015120,'1991-04-01 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241237472431366823572114610164172',757,'1022',82.84,1,3,NULL),(20,5015138,'1990-08-09 00:00:00',4,1,6,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244247225271431626639342124610124142',NULL,'9999',21.83,1,3,NULL),(20,5015154,'1990-06-23 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217372432359823376124133267181',NULL,'1022',28.79,4,3,NULL),(20,5015170,'1992-07-18 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124202241215111431658879595122610167046',8983,'44',60.00,1,3,NULL),(20,5015189,'1990-02-09 00:00:00',4,1,12,2007,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215372431426619382114610162077',9997,'1011',58.16,1,3,NULL),(20,5015197,'1981-07-11 00:00:00',2,1,12,2001,'F','N','ARMAÇÃO PÂNTANO SUL','FLORIANÓPOLIS','SC','224201207146271731326571312324241361097',12057,'9998',54.27,1,2,1),(20,5015200,'1993-03-24 00:00:00',4,1,10,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215171431556612245122610167055',13698,'269',49.14,1,3,NULL),(20,5015219,'1992-01-15 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212473431465512595124123264097',2611,'515',74.71,1,3,NULL),(20,5015227,'1987-05-26 00:00:00',4,1,12,2004,'F','N','CENTRO','S ROQUE','SP','125252251216575451479919575122610137092',531,'9998',84.25,1,3,NULL),(20,5015235,'1992-08-25 00:00:00',2,4,12,2009,'F','N','CENTRO','S DOMINGOS','SC','124243161435111531448831592125610124147',NULL,'9998',32.78,1,3,NULL),(20,5015243,'1992-11-16 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431437924572115610163041',6937,'1050',61.44,1,3,NULL),(20,5015251,'1991-12-24 00:00:00',4,1,12,2008,'M','N','ALTO BOQUEIRÃO','CURITIBA','PR','116161161116571731456833575124610127055',NULL,'9998',0.00,1,2,1),(20,5015260,'1992-10-16 00:00:00',4,1,12,2009,'F','N','CAMBUCI','S PAULO','SP','125252251217171731536612275124610162072',NULL,'9998',28.25,1,3,NULL),(20,5015278,'1993-01-13 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215471431369813575122610122142',7283,'270',61.63,1,3,NULL),(20,5015286,'1991-10-30 00:00:00',4,1,11,2009,'F','N','AGENOR DE CARVALHO','PTO VELHO','RO','122223221416111431666632591112613234182',NULL,'9998',0.00,4,3,NULL),(20,5015294,'1991-05-15 00:00:00',4,1,12,2008,'F','N','HIGIENOPOLIS','RIBEIRÃO PRETO','SP','125252251217473751339719475115610168142',12178,'9998',50.81,1,3,NULL),(20,5015308,'1988-07-25 00:00:00',2,7,12,2005,'F','N','CENTRO','CAÇADOR','SC','124241241126141731326624142124110163057',NULL,'532',18.48,1,2,1),(20,5015316,'1992-08-15 00:00:00',4,1,11,2009,'F','N','CENTRO','PATO BRANCO','PR','116162161215471431564632152112610162092',14430,'9998',45.22,1,3,NULL),(20,5015324,'1990-10-06 00:00:00',2,15,12,2007,'M','N','ERECHIM','BAL ARROIO SILVA','SC','124241241112131231524933245112130817147',NULL,'29',35.73,1,3,NULL),(20,5015332,'1993-12-05 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111731568812575124610121072',NULL,'262',29.59,1,3,NULL),(20,5015367,'1993-05-27 00:00:00',2,17,12,2009,'F','N','CENTRO','CURITIBA','PR','116242161211121451348933572125610127092',3037,'9998',72.42,1,3,NULL),(20,5015375,'1992-06-06 00:00:00',2,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215112431479613575124610166197',6045,'269',65.89,4,3,NULL),(20,5015383,'1988-09-21 00:00:00',4,8,1,2007,'M','N','PARQUE DAS NAÇÕES','S JOÃO B VISTA','SP','125254251216371431246624574112140724142',2422,'9998',74.96,1,3,NULL),(20,5015391,'1991-09-04 00:00:00',2,1,12,2009,'F','N','PALMITAL','MARÍLIA','SP','125251251215111431436714571112610123092',NULL,'9998',23.22,3,3,NULL),(20,5015405,'1990-07-22 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116132711326523395124230243185',NULL,'298',0.00,1,2,1),(20,5015413,'1992-03-23 00:00:00',4,1,12,2009,'F','N','CENTRO','CPO GRANDE','MS','112122121215111431655734575122610124152',NULL,'9998',0.00,1,3,NULL),(20,5015421,'1993-03-06 00:00:00',2,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241112151431333827275124610134142',NULL,'257',24.15,1,3,NULL),(20,5015430,'1991-04-24 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215374731558824575122130223052',2384,'270',74.69,1,3,NULL),(20,5015448,'1991-06-09 00:00:00',4,1,12,2009,'F','N','CAJURU','CURITIBA','PR','116162163211271431347834375124610146172',1559,'9998',78.64,1,3,NULL),(20,5015456,'1983-02-06 00:00:00',4,1,12,2000,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124252253236272731239941112122143124023',8375,'9998',57.82,1,3,NULL),(20,5015464,'1992-09-22 00:00:00',4,2,12,2009,'M','N','CENTRO','POMERODE','SC','124242241217111431488714575124610122122',1189,'855',80.32,1,3,NULL),(20,5015472,'1990-01-30 00:00:00',4,3,11,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217473441248939572125223268172',3118,'1057',73.16,1,3,NULL),(20,5015480,'1992-10-06 00:00:00',4,1,12,2009,'M','N','CABRAL','CURITIBA','PR','116162168215111341558832575124610118042',NULL,'9998',0.00,1,3,NULL),(20,5015499,'1991-10-27 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216374431688833475124221467077',6903,'270',64.04,1,3,NULL),(20,5015510,'1991-11-16 00:00:00',4,3,12,2008,'F','N','CENTRO','CAMBORIÚ','SC','124241241111272431556313344114610126197',NULL,'130',21.57,1,3,NULL),(20,5015529,'1992-02-07 00:00:00',4,2,11,2008,'M','N','COUNTRY','CASCAVEL','PR','116162161216473411478613575112610144197',3521,'9998',71.41,1,3,NULL),(20,5015537,'1991-04-28 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124243241215372431459833592124610143142',1023,'185',81.20,1,3,NULL),(20,5015553,'1992-01-16 00:00:00',4,1,12,2009,'F','N','TATUAPÉ','S PAULO','SP','125252251217371711637714294124610134147',14357,'9998',45.02,1,3,NULL),(20,5015570,'1991-11-14 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115472411626514572114610136187',4840,'295',67.87,1,2,1),(20,5015588,'1992-12-04 00:00:00',4,9,12,2009,'F','N','ALTO','CURITIBA','PR','116162161416471411558632275122610142097',8717,'9998',56.87,1,3,NULL),(20,5015596,'1990-07-23 00:00:00',4,1,12,2007,'M','N','ESPL S TEREZINHA','TAUBATÉ','SP','125251251215472431236823575121610167042',12676,'9998',52.98,1,3,NULL),(20,5015600,'1992-07-15 00:00:00',4,4,12,2009,'F','N','SANTA FÉ ALTA','ITAPIRANGA','SC','124241241116131431325335152124610126142',14124,'412',46.69,1,2,1),(20,5015618,'1993-01-25 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244246615141711347923235124610168017',NULL,'1059',45.40,1,3,NULL),(20,5015626,'1992-03-14 00:00:00',4,4,12,2009,'M','N','NOVA DIVINÉIA','PINHALZINHO','SC','124242241216111531349814385125610127062',NULL,'1070',0.00,1,3,NULL),(20,5015634,'1992-09-09 00:00:00',4,8,12,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241415111411536937575114610136142',1669,'486',78.19,1,3,NULL),(20,5015642,'1975-08-15 00:00:00',4,1,11,1993,'F','N','GLEBA PALHANO','LONDRINA','PR','116161161117571431463315412122342656197',9929,'9998',58.28,1,2,1),(20,5015669,'1992-02-05 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241214112431437814595112610166037',1411,'738',78.78,1,3,NULL),(20,5015677,'1993-01-21 00:00:00',4,6,12,2009,'F','N','PRAIA ALEGRE','PENHA','SC','124241241117271411338823275122610132177',NULL,'614',0.00,1,2,1),(20,5015685,'1992-08-18 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241136131431223529575124610114192',10935,'257',54.76,1,2,1),(20,5015693,'1990-05-08 00:00:00',2,1,12,2007,'F','N','TATUAPÉ','S PAULO','SP','125252251316571431628874591122610168092',NULL,'9998',0.00,1,3,NULL),(20,5015707,'1985-01-10 00:00:00',4,1,8,2003,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124202217236152441228811115125220936052',NULL,'9998',35.40,1,3,NULL),(20,5015715,'1992-09-06 00:00:00',4,4,11,2009,'F','N','BATEL','CURITIBA','PR','116162161215121531568971575112610122072',16241,'9998',41.99,1,3,NULL),(20,5015723,'1992-05-12 00:00:00',4,4,12,2009,'F','N','CENTRO','PINHALZINHO','SC','124244241214111431456812225112610161191',NULL,'1070',0.00,1,3,NULL),(20,5015731,'1992-08-12 00:00:00',4,5,11,2009,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111411248532575112610166042',9751,'213',54.82,1,3,NULL),(20,5015740,'1990-12-03 00:00:00',2,8,12,2008,'F','N','GLORIA','JOINVILLE','SC','124241241214473411459914574121610113142',8387,'488',59.22,1,3,NULL),(20,5015758,'1992-02-19 00:00:00',2,1,11,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124243241215111731333334572124610133077',6633,'723',63.61,4,3,NULL),(20,5015766,'1992-02-18 00:00:00',4,1,12,2009,'M','N','BAIRRO IPIRANGA','S JOSÉ','SC','124243241116371431323924275124610167181',8941,'739',56.97,4,3,NULL),(20,5015774,'1994-02-05 00:00:00',4,2,12,2010,'F','S','LIMOEIRO','BRUSQUE','SC','124242241115111742479833175124610131177',NULL,'107',12.86,1,3,NULL),(20,5015782,'1991-07-12 00:00:00',4,8,12,2008,'M','N','PRESIDENTE ALTINO','OSASCO','SP','125252251216471431368824315122610162097',NULL,'9998',0.00,4,3,NULL),(20,5015790,'1992-09-20 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431489911575122610168067',3614,'270',71.32,1,3,NULL),(20,5015804,'1992-01-04 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431436979585124610124112',9191,'270',59.62,1,3,NULL),(20,5015812,'1992-01-16 00:00:00',2,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124252248215112431538831572122610121127',6064,'270',63.78,1,3,NULL),(20,5015820,'1991-10-18 00:00:00',4,1,12,2008,'F','N','V HIGIENÓPOLIS','S JOSÉ CAMPOS','SP','125252251216471441359914575122610147077',NULL,'9998',0.00,3,3,NULL),(20,5015839,'1992-07-10 00:00:00',4,1,11,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241215152431326824572124610121187',385,'269',85.56,1,3,NULL),(20,5015847,'1992-04-10 00:00:00',4,8,11,2009,'M','N','CENTRO','S BENTO SUL','SC','124242241215122431479612575124610137122',7819,'1016',62.18,1,3,NULL),(20,5015855,'1991-11-06 00:00:00',4,6,12,2009,'F','N','CENTRO','PIRACICABA','SP','125252251215111431369814573122610166072',NULL,'9998',0.00,1,3,NULL),(20,5015863,'1991-05-25 00:00:00',4,1,12,2008,'F','N','CHACARA MALOTA','JUNDIAÍ','SP','125252251216471431385921575122610136092',2668,'9998',72.37,1,3,NULL),(20,5015871,'1992-07-20 00:00:00',4,9,10,2009,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124242241215151231468811494112610123092',3551,'497',71.80,1,3,NULL),(20,5015880,'1991-05-26 00:00:00',4,1,11,2008,'F','N','ROYAL TENNIS','LONDRINA','PR','116162161217472431589931575122610146042',608,'9998',83.77,1,3,NULL),(20,5015898,'1993-09-22 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215422431327763575114610124072',7075,'1022',60.72,1,3,NULL),(20,5015901,'1992-09-20 00:00:00',2,10,10,2009,'F','N','CENTRO','TUBARÃO','SC','124244241216112431558614371122610166073',5901,'807',64.78,1,3,NULL),(20,5015910,'1992-06-13 00:00:00',4,5,10,2009,'M','N','MINA BRASIL','CRICIÚMA','SC','124242241216111331379914475122610167122',7154,'226',63.52,1,3,NULL),(20,5015928,'1992-06-23 00:00:00',4,1,12,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241316371751447931575124610164053',NULL,'307',28.52,1,3,NULL),(20,5015952,'1990-12-29 00:00:00',4,1,12,2008,'M','N','VILLAGGIO I','BAURU','SP','125252251237471431468831315122610162047',2799,'9998',72.83,1,3,NULL),(20,5015960,'1992-08-12 00:00:00',2,2,12,2009,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241215271431566614575122610132142',2972,'107',73.15,1,3,NULL),(20,5015979,'1989-08-13 00:00:00',2,1,12,2006,'M','N','VILA NOVA','PTO ALEGRE','RS','120202201217572431468933575124610127067',NULL,'9998',32.60,1,3,NULL),(20,5015987,'1992-05-04 00:00:00',4,1,12,2009,'M','N','CENTRO','SINOP','MT','111112111217111431568811415122610167042',NULL,'9999',21.96,1,3,NULL),(20,5015995,'1993-08-28 00:00:00',2,1,12,2010,'M','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124244241117112431228923575124610137042',NULL,'267',60.07,1,3,NULL),(20,5016002,'1989-02-21 00:00:00',2,1,12,2006,'M','N','ZONA SETE','MARINGÁ','PR','116161161116571731253732294125143268197',4441,'9998',67.34,1,2,1),(20,5016029,'1992-12-13 00:00:00',2,1,12,2009,'F','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124241241435141431546711341224610116097',16294,'63',40.73,1,3,NULL),(20,5016037,'1990-09-03 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124244241117373411326634395124233265142',NULL,'257',NULL,1,3,NULL),(20,5016053,'1990-06-08 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124242241215372531435311415123610118197',13780,'868',50.77,1,3,NULL),(20,5016061,'1992-02-28 00:00:00',4,8,11,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161217571431548634574125610164147',3610,'9998',70.70,1,3,NULL),(20,5016088,'1992-04-19 00:00:00',4,8,12,2009,'F','N','CENTRO','MATINHOS','PR','116162161216271431439913575121610121185',15023,'9998',47.79,1,3,NULL),(20,5016096,'1992-06-25 00:00:00',4,3,12,2009,'M','N','VILA INDAIÁ','RIO CLARO','SP','125252251217131411348934474121610164092',6583,'9998',62.28,1,3,NULL),(20,5016100,'1993-01-26 00:00:00',2,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241217113531478914575124610163092',6831,'270',61.29,1,3,NULL),(20,5016118,'1990-07-28 00:00:00',4,1,12,2007,'M','N','BOA VISTA','BOTUCATU','SP','125252251217573731439634595122142967047',NULL,'9998',0.00,1,3,NULL),(20,5016126,'1989-07-10 00:00:00',4,8,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215573451579934575114610163182',3350,'270',72.17,1,3,NULL),(20,5016134,'1991-12-08 00:00:00',4,1,12,2009,'F','N','SÃO FRANCISCO','NITERÓI','RJ','121102211217111552487819571121610167182',NULL,'9998',0.00,1,3,NULL),(20,5016142,'1993-04-19 00:00:00',2,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124122241215111531468934272124610132067',NULL,'262',38.15,2,3,NULL),(20,5016150,'1991-12-26 00:00:00',4,2,12,2008,'F','N','VALPARAÍSO','BLUMENAU','SC','124241241146132431443633345134610125142',6840,'85',61.74,1,2,1),(20,5016169,'1967-08-08 00:00:00',2,15,12,1988,'M','N','MORRO DOS CONVENTOS','ARARANGUÁ','SC','224241248126153421224442425122610117047',NULL,'28',27.71,1,3,NULL),(20,5016177,'1992-05-06 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215123411366833572114610164185',7487,'1022',60.56,1,3,NULL),(20,5016185,'1991-02-02 00:00:00',4,4,12,2007,'F','N','CENTRO','S LOURENÇO OESTE','SC','124241241136573431346834572114610133197',4996,'745',67.30,1,2,1),(20,5016193,'1992-08-04 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241215152431436632575122610164052',2419,'1011',74.94,1,3,NULL),(20,5016207,'1991-12-07 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124252241215111411438821495122610123092',15821,'1038',42.71,1,3,NULL),(20,5016215,'1992-03-07 00:00:00',4,6,12,2009,'F','N','CIDADE NOVA','PTO UNIÃO','SC','124242161216471431478933574124610167012',2956,'9998',72.46,1,3,NULL),(20,5016223,'1993-08-12 00:00:00',4,3,12,2009,'F','N','NOVO ESTEIO','ESTEIO','RS','120202201216121731436512575122610158187',NULL,'9998',0.00,1,3,NULL),(20,5016231,'1993-06-09 00:00:00',2,3,12,2010,'F','S','JARDIM AMERICA','ITUPORANGA','SC','124242241215111431366612575122610131077',NULL,'991',28.99,4,3,NULL),(20,5016240,'1991-11-23 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124252251217471731478833572124610168042',6760,'9998',62.87,1,3,NULL),(20,5016266,'1992-10-07 00:00:00',2,1,12,2009,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124242241215272432546823397122610138017',4267,'1134',69.48,1,3,NULL),(20,5016274,'1992-09-07 00:00:00',4,1,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241217121451476619475112610162092',9095,'1038',59.78,1,3,NULL),(20,5016282,'1988-12-08 00:00:00',2,8,11,2005,'F','N','LINDÓIA','CURITIBA','PR','116161161117472231316314376114610168097',NULL,'9998',33.67,1,2,1),(20,5016290,'1992-04-24 00:00:00',4,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124242241216132431469934595122610148142',8218,'1119',59.00,1,3,NULL),(20,5016304,'1992-07-03 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','125252251111471431367832391114610121072',13776,'9998',49.66,4,3,NULL),(20,5016312,'1992-06-08 00:00:00',2,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241215373431333933574124610134093',9822,'1022',57.47,1,3,NULL),(20,5016320,'1991-05-23 00:00:00',4,1,6,2008,'M','N','CENTRO','CPO GRANDE','MS','112122281235472431549911475122610162047',8679,'9998',57.29,1,3,NULL),(20,5016347,'1991-10-21 00:00:00',4,3,12,2008,'M','N','CENTRO','PATO BRANCO','PR','116162161216471431368733575122610162047',NULL,'9998',54.02,1,3,NULL),(20,5016355,'1989-09-06 00:00:00',4,1,8,2008,'F','N','REAL PARQUE','S JOSÉ','SC','124241247126471431323651345122610127033',13180,'9999',50.21,1,2,1),(20,5016363,'1992-03-03 00:00:00',2,4,12,2009,'F','N','CENTRO','S MIGUEL OESTE','SC','124243241216121431353623375122610166072',NULL,'752',0.00,1,3,NULL),(20,5016380,'1993-07-07 00:00:00',2,10,11,2009,'F','N','CENTRO','BRAÇO NORTE','SC','124242241215123411447832175124610164172',1417,'807',79.22,1,3,NULL),(20,5016398,'1992-05-11 00:00:00',2,10,11,2009,'F','N','SÃO BASÍLIO','BRAÇO NORTE','SC','124243241216111531535823432124610133167',NULL,'102',21.05,1,3,NULL),(20,5016401,'1992-10-24 00:00:00',2,10,11,2009,'M','N','SÃO BASILIO','BRAÇO NORTE','SC','124242241211142431448912121121610167141',NULL,'102',0.00,1,3,NULL),(20,5016410,'1990-09-07 00:00:00',4,3,11,2007,'F','N','BIGORRILHO','CURITIBA','PR','116162161215471731459972272124141062147',2920,'9998',72.30,1,3,NULL),(20,5016428,'1992-03-18 00:00:00',4,1,10,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241235112411478933475122610147042',12466,'270',53.43,1,3,NULL),(20,5016436,'1989-12-15 00:00:00',4,8,12,2007,'F','N','BUCAREIN','JOINVILLE','SC','124242241312273431436524272114231746075',11203,'478',55.91,1,3,NULL),(20,5016452,'1992-12-21 00:00:00',2,4,12,2009,'F','N','CENTRO','CAIBI','SC','124241241116161431444912575122610122072',NULL,'127',NULL,1,2,1),(20,5016460,'1991-06-06 00:00:00',2,1,12,2008,'M','N','FORQUILHAS','S JOSÉ','SC','124241241112272411646669342224610137047',NULL,'733',26.28,4,1,1),(20,5016479,'1992-05-28 00:00:00',4,1,12,2009,'F','N','OURO PRETO','CARAZINHO','RS','120202201217111731523312575124610133012',14670,'9998',45.29,1,3,NULL),(20,5016487,'1993-02-24 00:00:00',4,15,12,2009,'F','N','CENTRO','SOMBRIO','SC','124243241116161431343311595124610152017',4391,'690',67.37,1,3,NULL),(20,5016495,'1991-11-09 00:00:00',2,8,12,2008,'F','N','JARDIM ITÚ SABARÁ','PTO ALEGRE','RS','120202201217571431569914591112610161092',5837,'9998',64.39,1,3,NULL),(20,5016509,'1991-04-21 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431379923475114610114042',6502,'270',64.91,1,3,NULL),(20,5016525,'1989-02-04 00:00:00',4,1,11,2006,'M','N','VILA SÃO FRANCISCO','S PAULO','SP','125252251216571411258824575114610164012',NULL,'9998',0.00,1,3,NULL),(20,5016533,'1991-06-11 00:00:00',4,1,12,2008,'F','N','ZONA UM','MARINGÁ','PR','116164161216471431467632275122610164197',NULL,'9998',24.27,1,3,NULL),(20,5016541,'1991-04-15 00:00:00',4,1,5,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242281435372431479931575122610141142',408,'9998',85.29,1,3,NULL),(20,5016568,'1991-02-21 00:00:00',4,1,12,2007,'M','N','RIBANCEIRA DO SUL','S JOÃO BATISTA','SC','124241258617131731123674345122610126172',12841,'9998',48.57,1,3,NULL),(20,5016576,'1991-12-26 00:00:00',4,1,12,2008,'F','N','JARDIM FERRARI','ITAPEVA','SP','125252251217112431568839575125142668092',352,'9998',85.99,1,3,NULL),(20,5016584,'1992-06-27 00:00:00',4,8,12,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215111731558814572124610136122',14051,'1105',46.90,1,3,NULL),(20,5016592,'1992-06-13 00:00:00',4,1,12,2009,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241241215111431558614575114610146142',NULL,'1022',0.00,1,3,NULL),(20,5016606,'1992-01-15 00:00:00',4,10,12,2009,'M','N','ICARAI','NITERÓI','RJ','121212211217111431486614575111610127043',NULL,'9998',0.00,1,3,NULL),(20,5016614,'1988-06-02 00:00:00',4,1,12,2005,'F','N','ESPLANADA DO SOL','S JOSÉ CAMPOS','SP','125252251212372431458732482222241067017',NULL,'9998',0.00,1,3,NULL),(20,5016622,'1992-04-03 00:00:00',4,1,11,2009,'F','N','CENTRO HISTÓRICO','S JOSÉ','SC','124242241217372431456723242124610166051',NULL,'723',40.85,1,3,NULL),(20,5016630,'1991-03-25 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215473751566611175124610117042',1884,'270',76.67,1,3,NULL),(20,5016649,'1990-03-13 00:00:00',4,1,11,2008,'M','N','VILA MARIANA','RIBEIRÃO PRETO','SP','125252161217412431466611594114610164044',7613,'9998',62.60,1,3,NULL),(20,5016657,'1991-07-29 00:00:00',4,1,12,2008,'F','N','SANTO AMARO','S PAULO','SP','125252251117571431255823572124610136092',NULL,'9998',0.00,4,3,NULL),(20,5016665,'1992-08-06 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111411489933575112610132092',4237,'262',68.87,1,3,NULL),(20,5016673,'1992-05-29 00:00:00',4,15,11,2009,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215372431448813572122610127012',2387,'970',74.62,1,3,NULL),(20,5016681,'1993-01-02 00:00:00',2,17,12,2009,'F','N','PANORAMA','UNIÃO VITÓRIA','PR','116161161316131331325614572124610153142',NULL,'9998',0.00,1,3,NULL),(20,5016690,'1992-04-22 00:00:00',4,10,11,2009,'M','N','CENTRO','IPORÃ OESTE','SC','124243241215121431436811575122610128052',3916,'807',70.53,1,3,NULL),(20,5016703,'1992-02-09 00:00:00',2,5,12,2009,'F','N','RIO MAINA','CRICIÚMA','SC','124242243117141431448813574124610146057',11600,'995',51.96,1,3,NULL),(20,5016711,'1991-03-25 00:00:00',2,2,12,2008,'F','N','APARECIDA','SANTOS','SP','125252251216471751448833585124610164092',NULL,'9998',27.47,1,3,NULL),(20,5016720,'1983-11-23 00:00:00',4,8,12,2001,'F','N','VL VICENTINA','GUARULHOS','SP','125251251217571431368823591124610166197',NULL,'9998',0.00,4,3,NULL),(20,5016738,'1992-12-13 00:00:00',4,1,11,2009,'F','N','CENTRO','PAPANDUVA','SC','124243241217112411438635575124610121097',9289,'270',55.76,1,3,NULL),(20,5016746,'1992-01-14 00:00:00',4,1,12,2009,'M','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112122121215421441678932275122610127052',6651,'9998',64.42,1,3,NULL),(20,5016754,'1992-06-12 00:00:00',4,7,12,2009,'F','N','SANTA TERESA','JOAÇABA','SC','124242241215151731376812572122610121142',NULL,'446',20.86,1,3,NULL),(20,5016762,'1991-10-07 00:00:00',2,1,12,2008,'F','N','MOOCA','S PAULO','SP','125252254216471451558814575124610124097',5743,'9998',64.04,1,3,NULL),(20,5016770,'1991-02-16 00:00:00',4,1,12,2008,'M','N','SAMAMBAIA','BAURU','SP','125252251212472311479812572112610117042',9917,'9998',55.59,1,3,NULL),(20,5016797,'1992-10-03 00:00:00',4,1,11,2009,'F','N','CAPÃO DA IMBUIA','CURITIBA','PR','116161161215121441428514574124610132147',13415,'9998',49.80,1,3,NULL),(20,5016800,'1991-03-22 00:00:00',2,6,12,2008,'F','N','MIRANDÓPOLIS','S PAULO','SP','125252251217471431368811415122610165047',NULL,'9998',0.00,1,3,NULL),(20,5016819,'1990-03-19 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215272441469714575124121444107',751,'262',82.87,1,3,NULL),(20,5016827,'1992-04-26 00:00:00',4,3,12,2009,'F','N','SÃO FRANCISCO','BENTO GONÇALVES','RS','120202201217471431459811572122610131092',2792,'9998',71.95,1,3,NULL),(20,5016835,'1992-09-13 00:00:00',2,2,11,2009,'F','N','VELHA','BLUMENAU','SC','124242241217111711449613572124610142181',NULL,'88',24.40,1,3,NULL),(20,5016843,'1989-09-08 00:00:00',4,8,12,2006,'M','N','SAGUAÇU','JOINVILLE','SC','124242246216474421677732345114131427181',3228,'1105',72.53,1,3,NULL),(20,5016851,'1990-01-10 00:00:00',2,1,12,2006,'F','N','CENTRO','JURANDA','PR','116164161216571431448714575124610123097',1918,'9998',76.36,1,3,NULL),(20,5016860,'1991-11-28 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431356629475122610122147',6718,'262',63.17,1,3,NULL),(20,5016878,'1992-12-03 00:00:00',4,1,12,2009,'M','N','SETOR OESTE','GOIÂNIA','GO','109092091216111431468912575112610132042',254,'9998',86.93,1,3,NULL),(20,5016886,'1989-01-25 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124212241316343411368819495124233224143',NULL,'1022',0.00,1,3,NULL),(20,5016894,'1990-08-10 00:00:00',4,1,11,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241216272712466619585114610138176',3760,'270',71.46,4,3,NULL),(20,5016908,'1991-10-24 00:00:00',4,1,12,2009,'F','N','BELA VISTA','ITAPIRA','SP','125252251216111431457813572122610151012',NULL,'9998',0.00,1,3,NULL),(20,5016916,'1992-11-16 00:00:00',2,1,12,2009,'F','N','SANTA QUITERIA','CURITIBA','PR','116164161235111711445769591122610167147',NULL,'9998',28.22,1,3,NULL),(20,5016924,'1992-11-07 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215113431358634574124610144015',3012,'270',72.49,1,3,NULL),(20,5016932,'1989-04-21 00:00:00',4,1,12,2006,'M','N','BOA VISTA','BOTUCATU','SP','125252251217573731439634585122141567057',161,'9998',88.69,1,3,NULL),(20,5016959,'1992-05-14 00:00:00',2,1,12,2009,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124243241215131431434614275125610167051',NULL,'299',61.24,1,3,NULL),(20,5016967,'1991-07-17 00:00:00',4,8,11,2008,'M','N','JARDIM PAULISTANO','S PAULO','SP','125252251211471731588814575112610137112',2116,'9998',76.50,1,3,NULL),(20,5016983,'1991-04-26 00:00:00',4,8,12,2008,'F','N','GUAÍRA','CURITIBA','PR','116161161315271311238724571124131016187',NULL,'9998',0.00,1,3,NULL),(20,5016991,'1993-03-30 00:00:00',4,1,12,2009,'F','N','ITACURUBI','FLORIANÓPOLIS','SC','124242241215131731468972575124610163172',5560,'262',66.22,1,3,NULL),(20,5017009,'1991-07-08 00:00:00',4,1,12,2008,'F','N','QUISISANA','POÇOS CALDAS','MG','113133131216472431424332575124610122162',NULL,'9998',0.00,1,3,NULL),(20,5017017,'1991-03-21 00:00:00',4,2,12,2008,'M','N','NOVO BOTAFOGO','CAMPINAS','SP','125252251316471431646634375124610164187',NULL,'9998',27.40,1,3,NULL),(20,5017025,'1991-09-23 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','116162161217472441378834373122610162092',9348,'9998',58.19,1,3,NULL),(20,5017033,'1989-08-30 00:00:00',4,1,12,2006,'F','N','CENTRO','ITAPEVA','SP','125251251217573431456639572314610127082',NULL,'9998',0.00,1,3,NULL),(20,5017041,'1992-12-29 00:00:00',4,1,12,2009,'F','N','SETOR SUL','GOIANÉSIA','GO','109092091216111431688812575122610112042',12258,'9998',53.87,1,3,NULL),(20,5017076,'1992-09-22 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215152431389854592112610124042',1358,'262',78.66,1,3,NULL),(20,5017084,'1991-09-14 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117112531435131342122610124147',NULL,'283',23.44,4,2,1),(20,5017092,'1994-02-13 00:00:00',4,9,11,2010,'F','S','CENTRO','LAGES','SC','124242241215151431368812575122610123147',NULL,'499',54.30,1,3,NULL),(20,5017106,'1990-07-24 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215273431246824445124223264185',14389,'1022',45.01,1,3,NULL),(20,5017114,'1992-06-01 00:00:00',4,1,11,2009,'F','N','SÃO LUÍS','BRUSQUE','SC','124244241215271431457931175122610124142',7489,'107',62.20,1,3,NULL),(20,5017122,'1993-01-13 00:00:00',4,8,12,2009,'M','N','MÊRCES','CURITIBA','PR','116163161315471431356616582125610124057',NULL,'9998',38.68,1,3,NULL),(20,5017149,'1991-07-18 00:00:00',1,8,10,2009,'M','N','CENTRO','CURITIBA','PR','116162161215121211468616475115610167012',5997,'9998',64.00,1,3,NULL),(20,5017157,'1992-04-04 00:00:00',2,8,12,2009,'F','N','CENTRO','IMBITUVA','PR','116164161415471431336631575124610124127',NULL,'9998',26.97,1,3,NULL),(20,5017165,'1992-08-19 00:00:00',4,1,11,2009,'M','N','SANTO INÁCIO','CURITIBA','PR','116162161216471431356831274112610164042',10229,'9998',55.72,1,3,NULL),(20,5017173,'1991-01-30 00:00:00',2,1,12,2008,'M','N','JARDIM ANA MARIA','SOROCABA','SP','125253251216471431346624375124610167047',5514,'9998',63.88,1,3,NULL),(20,5017181,'1992-01-18 00:00:00',4,1,12,2009,'M','N','ESPLANADA DO SOL','S JOSÉ CAMPOS','SP','125252251217471231489612575123610167142',2347,'9998',74.80,1,3,NULL),(20,5017190,'1988-11-08 00:00:00',4,8,12,2006,'F','N','JD PAULISTA','S PAULO','SP','125251251137571411435618195225610131187',10373,'9998',55.53,1,2,1),(20,5017203,'1992-09-22 00:00:00',4,8,12,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124241241117271431333711575124610126147',14025,'476',48.82,1,2,1),(20,5017211,'1993-05-31 00:00:00',4,8,12,2009,'M','N','COHAPAR II','MATINHOS','PR','116162161215471431555632172114610124117',2805,'9998',72.21,1,3,NULL),(20,5017220,'1992-02-19 00:00:00',2,6,12,2009,'M','N','PIEDADE','JABOATÃO GUARARAPES','PE','117244171317151411366514275114610166192',4576,'9998',66.91,1,3,NULL),(20,5017238,'1992-04-15 00:00:00',4,3,12,2009,'M','N','AREIAS','CAMBORIÚ','SC','124241242115271411433331495121610136142',7797,'129',61.07,1,2,1),(20,5017246,'1990-04-16 00:00:00',4,5,11,2007,'M','N','COMERCIARIO','CRICIÚMA','SC','124242241211474431369714385122133222121',10283,'226',57.64,1,3,NULL),(20,5017254,'1991-10-27 00:00:00',4,15,12,2009,'F','N','CENTRO','S LEOPOLDO','RS','120204201216371411459719575122610135097',8260,'9998',60.05,1,3,NULL),(20,5017270,'1992-08-04 00:00:00',4,3,11,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241217122431468613574114610133182',11252,'1038',53.94,1,3,NULL),(20,5017289,'1991-04-04 00:00:00',4,1,12,2010,'F','S','SÃO BENEDITO','CPO MAGRO','PR','116161165116141431237923342124610164057',NULL,'9998',24.39,1,3,NULL),(20,5017297,'1992-10-15 00:00:00',2,1,12,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242241217111431248713472114610114142',NULL,'270',54.21,1,3,NULL),(20,5017319,'1991-09-16 00:00:00',4,1,12,2008,'F','N','VILA MATHIAS','SANTOS','SP','125252251217471431538814345112610122147',8566,'9998',58.09,1,3,NULL),(20,5017343,'1992-05-03 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431488732272112610125095',NULL,'270',44.70,1,3,NULL),(20,5017378,'1992-09-24 00:00:00',2,1,11,2009,'M','N','CENTRO','ARROIO SAL','RS','120201201215131431468831412124610147052',12733,'9998',49.30,1,3,NULL),(20,5017386,'1991-04-30 00:00:00',4,7,12,2008,'M','N','INTERIOR','ARROIO TRINTA','SC','124241242216311731644315352213610127054',NULL,'8',0.00,1,3,NULL),(20,5017394,'1992-11-24 00:00:00',2,8,12,2009,'M','N','ÁGUA VERDE','CURITIBA','PR','116252168215111451569814472112610132091',7324,'9998',61.11,1,3,NULL),(20,5017408,'1992-06-12 00:00:00',4,1,12,2009,'M','N','PARQUE TAQUARAL','CAMPINAS','SP','125252251217111431469614572122610167047',4619,'9998',67.72,1,3,NULL),(20,5017424,'1992-08-05 00:00:00',4,2,11,2009,'F','N','SANTANA','RIO SUL','SC','124242241215121431489911475122610124092',93,'991',90.28,1,3,NULL),(20,5017432,'1980-06-05 00:00:00',4,15,12,1997,'M','N','NOVA DIVINÉIA','ARARANGUÁ','SC','224241241126131731224344145123610128057',NULL,'29',24.26,1,3,NULL),(20,5017440,'1989-12-23 00:00:00',4,8,11,2008,'M','N','SUMAREZINHO','S PAULO','SP','125252251216371431489814575112610167111',8402,'9998',60.39,1,3,NULL),(20,5017459,'1986-08-14 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241216575431338833372124610163147',1857,'9997',77.38,1,3,NULL),(20,5017483,'1989-02-24 00:00:00',4,1,12,2005,'F','N','REGINA','CACHOEIRINHA','RS','120203201217141431568614445124242964142',NULL,'9998',35.43,1,3,NULL),(20,5017491,'1992-03-17 00:00:00',4,1,11,2009,'M','N','COSTA TELLES I','UBERABA','MG','113132131215111431446834395121610164142',129,'9998',89.47,1,3,NULL),(20,5017505,'1993-02-28 00:00:00',4,1,10,2009,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215121431459614475124510168172',7335,'1022',61.00,1,3,NULL),(20,5017521,'1990-08-16 00:00:00',4,1,12,2008,'M','N','SÃO FRANCISCO','CPO GRANDE','MS','112121121217371441668711572112610164047',3345,'9998',71.17,4,3,NULL),(20,5017530,'1992-01-17 00:00:00',4,6,12,2009,'F','N','BARRA DO RIO','ITAJAÍ','SC','124242241215151431568813375122610166012',8066,'388',59.82,1,3,NULL),(20,5017556,'1986-10-29 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241126133531543414242334610151147',NULL,'257',16.88,1,2,1),(20,5017564,'1993-02-13 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215123411388822574124610163072',1385,'1022',79.28,1,3,NULL),(20,5017580,'1991-04-27 00:00:00',4,1,11,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217472431467813576114610167082',2641,'270',74.60,2,1,2),(20,5017599,'1992-03-15 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111431633319575124610162037',7626,'1022',59.39,1,3,NULL),(20,5017602,'1990-11-15 00:00:00',2,15,12,2009,'M','N','SÃO CRISTÓVÃO','TURVO','SC','124243241415151331574812292132610132052',NULL,'814',0.00,1,3,NULL),(20,5017610,'1986-03-02 00:00:00',2,1,12,2003,'F','N','CENTRO','TIJUCAS','SC','124242241232131731445419395122610164097',NULL,'972',22.30,1,3,NULL),(20,5017629,'1989-12-17 00:00:00',2,6,11,2007,'F','N','JARDIM AMÉRICA','BELO HORIZONTE','MG','113132138216571531535622585122610127092',NULL,'9998',0.00,4,3,NULL),(20,5017637,'1990-05-28 00:00:00',2,2,12,2007,'F','N','VIETNÃ','VÍTOR MEIRELES','SC','124241241126161431423329346125610128057',NULL,'834',26.71,1,2,1),(20,5017645,'1989-09-29 00:00:00',4,1,12,2007,'M','N','SÃO BRAZ','BELÉM','PA','114244141217471431479933575124141136062',3415,'9998',70.41,4,3,NULL),(20,5017653,'1992-06-29 00:00:00',4,9,11,2009,'F','N','CENTRO','LAGES','SC','124244241215111431359923372122610124092',11833,'497',52.14,1,3,NULL),(20,5017661,'1992-06-14 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373731578823575125610167011',8674,'270',58.52,1,3,NULL),(20,5017670,'1991-04-22 00:00:00',2,5,7,2009,'M','N','RIO MAINA','CRICIÚMA','SC','124241246216151411444514495122610166172',4074,'995',69.71,1,3,NULL),(20,5017688,'1991-08-26 00:00:00',4,3,12,2008,'F','N','CENTRO','LONDRINA','PR','116162161217471411578811472122610163072',1170,'9998',78.92,3,3,NULL),(20,5017700,'1989-01-21 00:00:00',4,3,11,2005,'F','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124242241215511431368634581124610134097',NULL,'185',0.00,1,3,NULL),(20,5017718,'1992-10-27 00:00:00',4,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124241241216112432326611375124610143052',NULL,'259',59.69,1,3,NULL),(20,5017726,'1988-07-27 00:00:00',4,1,8,2005,'F','N','BUENO','GOIÂNIA','GO','109092137135371431228727575122143256147',NULL,'9998',0.00,1,3,NULL),(20,5017734,'1990-10-30 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241415573431123612275124610162142',209,'1047',87.80,1,3,NULL),(20,5017742,'1991-01-09 00:00:00',4,1,12,2008,'M','N','GONZAGA','SANTOS','SP','125252251215411411439914575125140464182',1137,'9998',78.78,1,3,NULL),(20,5017750,'1991-07-26 00:00:00',4,1,12,2009,'M','N','MORUMBI','S PAULO','SP','125252251217421221389911315122610134042',NULL,'9998',0.00,1,3,NULL),(20,5017769,'1991-08-05 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373431579811575114131467052',473,'109',84.81,1,3,NULL),(20,5017777,'1987-10-07 00:00:00',4,8,12,2004,'M','N','PORTÃO','CURITIBA','PR','116164161216472431478614575112143137047',1350,'9998',79.34,1,3,NULL),(20,5017785,'1990-12-18 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241215373431536834572124610123075',11157,'1022',53.08,1,3,NULL),(20,5017793,'1991-10-25 00:00:00',4,1,12,2009,'F','N','SUIÇA','ARACAJU','SE','126262261216151431556612574122610164192',1262,'9998',79.39,1,3,NULL),(20,5017807,'1992-03-31 00:00:00',2,1,12,2009,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124242241215112441468814575124610122192',6905,'1022',61.47,4,3,NULL),(20,5017823,'1991-10-10 00:00:00',4,1,12,2008,'F','N','VILA PROGRESSO','GUARULHOS','SP','125252251216471431369933575122610135122',4859,'9998',68.40,4,3,NULL),(20,5017840,'1993-03-09 00:00:00',4,2,12,2009,'M','N','SANTA RITA','BRUSQUE','SC','124241241415271431343634575122610121142',7829,'107',60.89,1,3,NULL),(20,5017858,'1992-08-30 00:00:00',4,1,12,2009,'F','N','VILA BERTIOGA','S PAULO','SP','125252251217111441558814575122610132072',6848,'9998',62.01,1,3,NULL),(20,5017866,'1991-01-19 00:00:00',4,1,12,2008,'M','N','CENTRO','PTO ALEGRE','RS','120252251216471431258823575124610167092',8831,'9998',58.37,1,3,NULL),(20,5017874,'1991-03-23 00:00:00',4,1,11,2008,'F','N','ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC','124241241127131431346923245124131434072',12331,'831',53.72,1,3,NULL),(20,5017890,'1992-03-01 00:00:00',4,8,12,2009,'M','N','ALTO DA RUA XV','CURITIBA','PR','116162161215411441368824595124610137042',9685,'9998',55.02,1,3,NULL),(20,5017904,'1990-04-23 00:00:00',4,8,12,2007,'M','N','SOLAR DO AGRESTE A','RIO VERDE','GO','109092241217571441468714475122610167057',2844,'457',73.97,1,3,NULL),(20,5017912,'1991-03-28 00:00:00',4,1,12,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215372431369913575124610134112',1864,'1169',76.81,1,3,NULL),(20,5017939,'1991-12-23 00:00:00',4,3,12,2009,'F','N','FAZENDA','ITAJAÍ','SC','124242248115111431468913571124610136092',NULL,'129',34.94,1,3,NULL),(20,5017947,'1992-01-30 00:00:00',4,3,12,2009,'F','N','JARDIM MORUMBI','JUNDIAÍ','SP','125252251215111431488813575112610165147',NULL,'9998',0.00,1,3,NULL),(20,5017955,'1992-11-23 00:00:00',4,1,12,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241215112431225622142122610134192',NULL,'1014',29.32,1,3,NULL),(20,5017971,'1991-07-10 00:00:00',2,4,12,2008,'M','N','PRIMO TACCA','XANXERÊ','SC','120242241216473431448931275122610147062',6859,'1038',62.81,4,3,NULL),(20,5017980,'1992-08-10 00:00:00',4,4,12,2009,'F','N','CRISTO REI','PATO BRANCO','PR','116162161215151431345639572112610118047',NULL,'9998',0.00,1,3,NULL),(20,5017998,'1991-03-26 00:00:00',4,1,11,2009,'M','N','MUNDINHO','MINEIROS','GO','109092091215111431337616364122610124042',6058,'9998',63.16,4,3,NULL),(20,5018005,'1992-04-20 00:00:00',4,3,12,2009,'M','N','CENTRO','CURITIBA','PR','116242161216111431468831571122610162092',NULL,'9998',0.00,1,3,NULL),(20,5018013,'1991-04-13 00:00:00',4,10,12,2008,'M','N','SAÚDE','S PAULO','SP','125092091217472731468811575125610137147',1419,'9998',78.99,1,3,NULL),(20,5018021,'1992-03-26 00:00:00',4,1,12,2009,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','624244241217151431577712575121610167052',5075,'1119',66.24,1,3,NULL),(20,5018030,'1992-12-07 00:00:00',4,1,12,2009,'M','N','JABAQUARA','S PAULO','SP','125222251216111312489931472125610167051',1998,'9998',76.18,3,3,NULL),(20,5018056,'1991-09-04 00:00:00',2,4,12,2009,'F','N','NOVA DIVINÉIA','PINHALZINHO','SC','124241241116111431536412245122610122143',NULL,'1032',0.00,1,2,1),(20,5018064,'1984-05-25 00:00:00',4,1,12,2001,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120201201136143421238844445134141432153',NULL,'9998',38.71,1,2,1),(20,5018072,'1987-11-17 00:00:00',4,8,12,2004,'F','N','AAHÚ','CURITIBA','PR','116163161316511451468911575114141332097',912,'9998',81.30,1,3,NULL),(20,5018080,'1991-05-24 00:00:00',4,1,8,2009,'M','N','CAPÃO DA IMBUIA','CURITIBA','PR','116163161117371411458914572122243267042',660,'9998',83.45,1,3,NULL),(20,5018102,'1993-02-21 00:00:00',4,3,12,2009,'F','N','VILA VERDE','PNT PORÃ','MS','112122161216371331455716345124610133077',10803,'9998',54.25,4,3,NULL),(20,5018110,'1992-08-13 00:00:00',4,2,12,2009,'M','N','CENTRO','BLUMENAU','SC','124242241215131431328624575125610168187',12919,'87',49.96,1,3,NULL),(20,5018129,'1992-02-27 00:00:00',4,1,12,2009,'M','N','COPACABANA','RIO JANEIRO','RJ','121212211217111421368837575114610167042',4293,'9998',68.30,1,3,NULL),(20,5018137,'1993-05-28 00:00:00',4,8,12,2009,'F','N','BOA VISTA','CURITIBA','PR','116164161215121431338814445124610123147',5949,'9998',63.89,3,3,NULL),(20,5018153,'1991-07-11 00:00:00',4,1,12,2008,'M','N','LAGO SUL','LG SUL','DF','107072071216471431578833575112610164142',NULL,'9998',0.00,1,3,NULL),(20,5018161,'1992-10-20 00:00:00',2,15,11,2009,'F','N','CENTRO','SOMBRIO','SC','124242241215271431325771575124610145092',NULL,'970',27.03,1,3,NULL),(20,5018170,'1992-08-07 00:00:00',4,1,12,2009,'F','N','SÃO JOSÉ','S JOSÉ','SC','124241242116131431433923571122610116052',NULL,'129',0.00,1,2,1),(20,5018188,'1990-05-21 00:00:00',4,1,11,2007,'F','N','BUENO','GOIÂNIA','GO','109092091215512731568811573125610167017',NULL,'9998',0.00,1,3,NULL),(20,5018196,'1983-07-05 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216274411244644445122333268055',13576,'269',51.21,1,3,NULL),(20,5018200,'1992-10-14 00:00:00',2,6,12,2009,'M','N','CENTRO','MARINGÁ','PR','116164161415121431559614475124610167042',7553,'9998',61.66,1,3,NULL),(20,5018218,'1988-10-12 00:00:00',4,5,11,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124062061212111411146913375122222027052',10233,'9998',57.73,4,3,NULL),(20,5018226,'1992-04-02 00:00:00',2,8,12,2009,'F','N','MORUMBI','NERÓPOLIS','GO','109092091217111431436623571124610136095',NULL,'9998',0.00,1,3,NULL),(20,5018234,'1989-05-22 00:00:00',4,8,12,2006,'M','N','JARDIM','STO ANDRÉ','SP','125253251214571711359914275125610167097',NULL,'9998',0.00,1,3,NULL),(20,5018242,'1990-11-02 00:00:00',2,8,12,2009,'M','N','CENTRO','DRACENA','SP','125251251217271431348439175122610132127',9693,'9998',55.16,1,3,NULL),(20,5018250,'1988-12-24 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431488614494122132722152',6520,'1022',62.96,1,3,NULL),(20,5018277,'1992-05-26 00:00:00',4,1,11,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241217121431435713575114610131072',1546,'270',78.68,1,3,NULL),(20,5018285,'1992-04-04 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111411357819292124610147145',1492,'272',78.57,1,3,NULL),(20,5018307,'1992-09-17 00:00:00',2,16,12,2009,'M','N','QUARTEL','VIDEIRA','SC','124241241135131431337624341125610124142',15719,'831',45.41,1,2,1),(20,5018315,'1991-01-29 00:00:00',4,1,12,2009,'M','N','VILA MONTEIRO','PIRACICABA','SP','125252251215121432579913475122610164052',NULL,'9998',0.00,1,3,NULL),(20,5018323,'1992-08-13 00:00:00',4,16,12,2009,'F','N','CENTRO','CAÇADOR','SC','124241241115161411423311245122610123142',NULL,'124',0.00,1,2,1),(20,5018331,'1991-04-07 00:00:00',2,4,12,2008,'M','N','EFACIP','PINHALZINHO','SC','124243241433172431534311173325231467047',NULL,'1070',0.00,1,3,NULL),(20,5018358,'1992-08-04 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431555824575122610124072',7019,'737',61.35,1,3,NULL),(20,5018366,'1991-12-28 00:00:00',4,1,12,2009,'F','N','JARDIM PARAÍSO','CAMPINAS','SP','125251251116141731448919575122610125142',2529,'9998',74.01,1,2,1),(20,5018374,'1990-10-24 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241115471431426611285124610163197',16151,'257',43.04,4,2,1),(20,5018382,'1991-07-22 00:00:00',4,2,12,2008,'F','N','SANTANA','RIO SUL','SC','124242241215373421336639495111610167057',7440,'654',62.92,1,3,NULL),(20,5018390,'1991-05-13 00:00:00',4,1,7,2008,'F','N','ASA NORTE','BRASÍLIA','DF','107072217416371431668913175124240646192',NULL,'9998',0.00,4,3,NULL),(20,5018404,'1992-02-19 00:00:00',4,1,10,2009,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215113231459912575124610164182',4236,'270',69.48,1,3,NULL),(20,5018412,'1992-11-25 00:00:00',4,2,12,2009,'F','N','RECREIO','RIO JANEIRO','RJ','121212211235121741477814391122610165072',NULL,'9998',0.00,4,3,NULL),(20,5018420,'1990-10-04 00:00:00',4,1,12,2008,'M','N','MIRAGEM','LAURO FREITAS','BA','105252051217471431479614575122610127042',1776,'9998',77.11,1,3,NULL),(20,5018439,'1991-10-04 00:00:00',4,1,11,2009,'F','N','GRANJA VIANA','COTIA','SP','125252251217151431468913275122610136072',10602,'9998',54.33,1,3,NULL),(20,5018447,'1992-02-10 00:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215131411348813595124610165045',NULL,'392',0.00,1,3,NULL),(20,5018455,'1991-01-02 00:00:00',2,1,12,2008,'M','N','UVARANAS','PNT GROSSA','PR','116163161217221531646514172122610164147',13669,'9998',51.01,1,3,NULL),(20,5018463,'1991-12-24 00:00:00',4,5,11,2009,'F','N','PIO CORRÊA','CRICIÚMA','SC','124242241215121431489914571122610136192',9344,'213',55.45,1,3,NULL),(20,5018480,'1992-06-09 00:00:00',4,8,12,2009,'F','N','CENTRO','JOINVILLE','SC','124242241215111411469911572122610144072',9553,'456',56.94,1,3,NULL),(20,5018498,'1989-07-27 00:00:00',2,1,6,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247226131432338751315134610123147',NULL,'9999',0.00,1,3,NULL),(20,5018501,'1992-05-31 00:00:00',2,1,11,2009,'M','N','BROOKLIN','S PAULO','SP','125252251217131431345812575122610147057',NULL,'9998',0.00,1,3,NULL),(20,5018510,'1992-07-07 00:00:00',3,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215472441469913596124610128052',11859,'883',53.58,1,3,NULL),(20,5018528,'1984-07-22 00:00:00',4,1,12,2002,'F','N','SANTO ANTONIO','LADÁRIO','MS','112213121217371731626833482124610165042',NULL,'9998',47.34,2,1,2),(20,5018544,'1985-09-20 00:00:00',2,3,12,2002,'F','N','BACACHERI','CURITIBA','PR','116162161231412431449931411122343264142',NULL,'9998',0.00,1,3,NULL),(20,5018552,'1991-07-11 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241114472732436653572124610128052',NULL,'287',25.18,1,3,NULL),(20,5018579,'1992-09-26 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215121431437731575122610141147',10823,'737',54.19,1,3,NULL),(20,5018587,'1992-06-06 00:00:00',4,1,12,2009,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091216111731555616471112610164077',6275,'9998',63.13,4,3,NULL),(20,5018595,'1991-06-30 00:00:00',4,1,12,2008,'M','N','ASA SUL','BRASÍLIA','DF','107072071217471431489933435122610122092',NULL,'9998',NULL,1,3,NULL),(20,5018609,'1991-10-24 00:00:00',4,1,5,2009,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122281215311431389933585112610164042',5156,'9998',65.51,1,3,NULL),(20,5018617,'1993-03-22 00:00:00',4,2,12,2010,'F','S','JARDIM BLUMENAU','BLUMENAU','SC','124242241215131431348412175122610123187',NULL,'87',49.25,1,3,NULL),(20,5018625,'1991-07-25 00:00:00',4,1,12,2008,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241216151411265614575112610145182',14653,'424',48.85,1,3,NULL),(20,5018633,'1991-04-21 00:00:00',2,4,12,2008,'F','N','MARIA GORETTI','CHAPECÓ','SC','124241241111472731458914571112610161177',11089,'169',53.69,1,2,1),(20,5018668,'1980-10-24 00:00:00',2,8,12,1997,'F','N','CENTRO','CURITIBA','PR','216162161236151431246854575124142522197',NULL,'9998',0.00,1,3,NULL),(20,5018676,'1946-05-13 00:00:00',5,1,7,1978,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224241246126132441436613431124321617042',NULL,'306',25.89,1,2,1),(20,5018684,'1991-05-05 00:00:00',2,1,12,2008,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241114472431433314344114610134147',10979,'739',53.34,1,2,1),(20,5018692,'1991-06-17 00:00:00',4,1,12,2008,'F','N','LARSEN','LONDRINA','PR','116161161111572431558834575112610164012',9432,'9998',56.83,1,2,1),(20,5018706,'1992-08-04 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431368824595114610134042',NULL,'270',18.07,1,3,NULL),(20,5018714,'1991-02-04 00:00:00',2,1,11,2009,'F','N','PONTE IMARUIM','PALHOÇA','SC','124242241215131531216627571114610117092',NULL,'1011',13.67,2,3,NULL),(20,5018730,'1993-02-16 00:00:00',4,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124242241215111411468823575122610137112',13146,'989',51.37,1,3,NULL),(20,5018749,'1992-01-03 00:00:00',4,5,10,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215122431586924475122610124052',38,'226',92.28,1,3,NULL),(20,5018757,'1992-02-23 00:00:00',4,1,11,2009,'M','N','MORUMBI','S PAULO','SP','125252251217261432469814575112610127113',7043,'9998',61.00,1,3,NULL),(20,5018781,'1992-05-11 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241135371431436414595124610134195',12021,'295',52.39,1,2,1),(20,5018790,'1989-10-20 00:00:00',4,1,12,2006,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241211152441147874175124222964172',NULL,'1022',0.00,1,3,NULL),(20,5018803,'1992-12-02 00:00:00',4,1,12,2009,'M','N','RIO BRANCO','CAXIAS SUL','RS','120202201217372431459812595122610167042',831,'9998',82.27,1,3,NULL),(20,5018811,'1992-08-21 00:00:00',4,9,11,2009,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124242241217151731489612475112610123182',NULL,'497',0.00,1,3,NULL),(20,5018820,'1991-11-03 00:00:00',4,1,12,2009,'M','N','PQ FLORESTA','SUMARÉ','SP','125252251211141231576632345122610164042',NULL,'9998',35.16,1,3,NULL),(20,5018862,'1988-09-27 00:00:00',2,1,12,2006,'M','N','CENTRO','STA MARIA','RS','120201201116161751443821395314610168182',132,'9998',89.46,4,2,1),(20,5018870,'1991-06-03 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241214372431368933495122132121192',11826,'266',54.70,1,3,NULL),(20,5018889,'1991-08-29 00:00:00',4,9,12,2008,'M','N','VILA NOVA','LAGES','SC','120242241216152441469933295124242944042',4747,'497',68.99,1,3,NULL),(20,5018897,'1992-08-29 00:00:00',2,6,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241415111731547714492124610133032',NULL,'1111',0.00,1,3,NULL),(20,5018919,'1992-06-08 00:00:00',4,2,12,2009,'M','N','JARDIM BANDEIRANTES','CORNÉLIO PROCÓPIO','PR','116162161217121411558716474114610166127',1370,'9998',78.93,3,3,NULL),(20,5018927,'1991-04-16 00:00:00',4,1,12,2009,'F','N','SANTA CRUZ','CUIABÁ','MT','111112111216111431379933575112610145072',5787,'9998',63.80,4,3,NULL),(20,5018935,'1993-04-27 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241212111731469813572122610127077',NULL,'262',0.00,1,3,NULL),(20,5018951,'1991-07-26 00:00:00',4,1,12,2008,'M','N','BAEPENDI','JARAGUÁ SUL','SC','124242241216372431385512375111610122092',8827,'442',60.30,1,3,NULL),(20,5018960,'1992-06-20 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215271731473722296124510118087',12637,'1075',50.52,1,3,NULL),(20,5018986,'1991-07-06 00:00:00',2,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120203201216471431478833575125610168193',3359,'9998',70.68,1,3,NULL),(20,5018994,'1991-12-05 00:00:00',4,1,12,2009,'F','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251215471431469812595122610125092',7410,'9998',60.93,1,3,NULL),(20,5019001,'1988-12-06 00:00:00',3,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124282281217373431378811575112233261192',1514,'9998',78.82,1,3,NULL),(20,5019010,'1992-10-29 00:00:00',4,8,11,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241217271431488831575111610167062',946,'457',81.64,1,3,NULL),(20,5019028,'1992-04-07 00:00:00',4,1,12,2009,'M','N','VILA SAO FRANCISCO','S PAULO','SP','125252251217271431369914492122610137052',4265,'9998',69.77,1,3,NULL),(20,5019036,'1992-05-23 00:00:00',4,9,12,2009,'M','N','BEATRIZ','LAGES','SC','124242241212151411458814592122610168012',6240,'499',63.29,1,3,NULL),(20,5019044,'1992-02-24 00:00:00',4,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116371431424329275121610122197',14427,'592',46.14,1,2,1),(20,5019052,'1991-08-21 00:00:00',4,1,12,2008,'M','N','COLONIA SANTANA','S JOSÉ','SC','124242241216272431336779575114133264192',14241,'1074',49.86,1,3,NULL),(20,5019060,'1991-04-16 00:00:00',4,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124163247222141431469814272122610132097',16268,'9999',41.43,1,3,NULL),(20,5019079,'1992-02-12 00:00:00',2,8,12,2009,'F','N','CENTRO','JOINVILLE','SC','124244241417111431438811572122610123112',15695,'1016',43.39,1,3,NULL),(20,5019087,'1989-04-10 00:00:00',4,1,11,2006,'F','N','JARDIM REGIS','S PAULO','SP','125252251216571431349821591122610135097',4568,'9998',68.22,1,3,NULL),(20,5019095,'1988-03-21 00:00:00',4,1,12,2005,'M','N','SCHRAMM','S BENTO SUL','SC','124242241346151421446512335122230661092',12691,'1178',52.94,1,3,NULL),(20,5019117,'1993-05-28 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215122431469813575122610132185',10186,'1022',57.82,1,3,NULL),(20,5019125,'1992-09-02 00:00:00',2,8,12,2009,'F','N','CENTRO','GUARAMIRIM','SC','124242241215111431464732575112610146142',NULL,'442',22.83,4,3,NULL),(20,5019133,'1991-11-04 00:00:00',4,1,11,2009,'M','N','HORTO FLORESTAL','SALVADOR','BA','105052051217151731668839595112610167186',NULL,'9998',0.00,1,3,NULL),(20,5019141,'1991-12-18 00:00:00',2,1,11,2009,'M','N','CRUZEIRO','CPO GRANDE','MS','112122121215111431588312175122610162142',9331,'9998',56.46,1,3,NULL),(20,5019168,'1987-02-20 00:00:00',4,1,2,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243247336231431336519245124132216012',NULL,'9999',43.39,2,1,2),(20,5019176,'1992-12-10 00:00:00',4,1,11,2009,'F','N','JARDIM DAS PALMEIRAS','MARAU','RS','120202201215471431468931592122610117072',2619,'9998',74.09,1,3,NULL),(20,5019184,'1991-12-02 00:00:00',4,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127351431435614285114610167047',NULL,'274',24.01,1,2,1),(20,5019192,'1988-10-14 00:00:00',4,1,12,2005,'M','N','BARREIROS','S JOSÉ','SC','124244241435372231337923485114131067127',4396,'736',69.78,1,3,NULL),(20,5019206,'1992-05-27 00:00:00',4,8,11,2009,'M','N','ZONA II','UMUARAMA','PR','116162161215171131357722572112610112172',4618,'9998',68.21,1,3,NULL),(20,5019214,'1992-02-25 00:00:00',2,8,12,2009,'M','N','CENTRO','IRATI','PR','116164161212121431576612595122610127045',8338,'9998',58.41,1,3,NULL),(20,5019230,'1992-06-07 00:00:00',4,1,11,2009,'F','N','VILA MEDON','AMERICANA','SP','125252251216111431448811111122610161182',NULL,'9997',0.00,1,3,NULL),(20,5019249,'1991-12-19 00:00:00',4,1,11,2009,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251215111411689833575112610133072',4336,'9998',69.12,1,3,NULL),(20,5019257,'1991-04-11 00:00:00',4,1,12,2008,'F','N','VILA MOEMA','TUBARÃO','SC','124244241235473431456819292125610144077',3830,'797',70.19,1,3,NULL),(20,5019265,'1989-11-06 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272731327812485124231066192',12728,'1050',52.87,1,3,NULL),(20,5019281,'1992-02-09 00:00:00',4,1,12,2009,'F','N','JAÇANÃ','S PAULO','SP','125252251117271431338814272124610124147',11042,'9998',53.06,2,1,2),(20,5019290,'1992-08-29 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','125252251217131431448833475124610124017',9251,'9998',56.68,1,3,NULL),(20,5019303,'1990-12-13 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217122731338834595112610128111',12256,'270',49.02,1,3,NULL),(20,5019320,'1991-02-11 00:00:00',4,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241415472431448614574124610124122',3304,'270',72.03,1,3,NULL),(20,5019338,'1993-01-23 00:00:00',2,8,12,2009,'F','N','CENTRO','LARANJEIRAS SUL','PR','116161161116151431543933592122610137143',NULL,'9998',23.57,1,3,NULL),(20,5019346,'1992-03-12 00:00:00',2,2,12,2009,'F','N','SÃO CRISTÓVÃO','SALETE','SC','124241241116131731248929585122610138097',NULL,'680',NULL,1,2,1),(20,5019362,'1992-04-19 00:00:00',4,2,12,2009,'M','N','POÇO FUNDO','BRUSQUE','SC','124241241115141431433331245124610167052',NULL,'1019',21.48,1,2,1),(20,5019370,'1991-12-26 00:00:00',4,1,12,2008,'M','N','CIDADE ALTA','VENÂNCIO AIRES','RS','120202201215471431368831595122610167057',10985,'9998',54.34,1,3,NULL),(20,5019397,'1992-03-17 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241215111451426613575122610138147',NULL,'1118',33.30,1,3,NULL),(20,5019427,'1991-05-24 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241111131431425618441114610168117',NULL,'288',18.60,1,2,1),(20,5019435,'1987-06-25 00:00:00',2,1,12,2004,'F','N','KOBRASOL','S JOSÉ','SC','124241241146271451223354385124130726117',NULL,'893',35.10,1,2,1),(20,5019443,'1990-07-07 00:00:00',2,1,11,2007,'F','N','CENTRO','APUCARANA','PR','116162161215571431437739595125610161142',8073,'9998',59.95,1,3,NULL),(20,5019460,'1988-05-04 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252251215573431458814575125610167187',2294,'9998',75.84,1,3,NULL),(20,5019478,'1990-10-29 00:00:00',4,1,12,2007,'M','N','CENTRO','S JOSÉ','SC','124243241215575331569831575114231064115',2849,'270',73.96,1,3,NULL),(20,5019486,'1988-12-28 00:00:00',2,1,12,2007,'M','N','NOVA ESPERANÇA','BAL CAMBORIÚ','SC','124241243116132411116641215324610168186',NULL,'129',40.53,4,1,1),(20,5019494,'1992-11-11 00:00:00',4,1,12,2009,'F','N','CENTRO','SANTANA LIVRAMENTO','RS','120202201216151441455511295122610126172',5455,'9998',64.95,1,3,NULL),(20,5019508,'1990-06-26 00:00:00',2,4,12,2009,'M','N','CENTRO','IPORÃ OESTE','SC','124241241135131431423639231124610127147',NULL,'371',30.89,1,2,1),(20,5019516,'1989-11-04 00:00:00',2,15,12,2006,'F','N','NITERÓI','CANOAS','RS','120241241316471431226944342124131422147',NULL,'26',28.50,1,3,NULL),(20,5019524,'1992-11-19 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215372721443819575122610164076',13793,'738',46.77,1,3,NULL),(20,5019567,'1991-07-10 00:00:00',2,8,12,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215471411559931572122610127187',NULL,'9998',0.00,1,3,NULL),(20,5019575,'1991-04-04 00:00:00',2,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242247235472441458733574122610141072',5014,'9999',67.82,1,3,NULL),(20,5019583,'1992-10-03 00:00:00',4,8,11,2009,'F','N','IRIRIU','JOINVILLE','SC','124242241215111431469934572122610164145',888,'457',81.96,1,3,NULL),(20,5019591,'1990-09-19 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124162161215573431468813135125610137092',5392,'9998',66.61,4,3,NULL),(20,5019605,'1992-10-05 00:00:00',4,3,12,2009,'M','N','PIRITUBA','S PAULO','SP','125252251116461431469811572124610124042',8450,'9998',57.86,1,3,NULL),(20,5019648,'1991-12-09 00:00:00',4,2,12,2009,'F','N','BREMER','RIO SUL','SC','124244241217131431356713385124610124077',9894,'663',56.56,1,3,NULL),(20,5019656,'1992-02-14 00:00:00',4,8,11,2009,'M','N','GUANABARA','JOINVILLE','SC','124242241216122431487712271112610137091',5098,'457',67.90,1,3,NULL),(20,5019664,'1992-02-19 00:00:00',4,8,12,2009,'M','N','IRIRIU','JOINVILLE','SC','124212241216371431547732595122610147042',14491,'459',44.31,4,3,NULL),(20,5019672,'1991-08-02 00:00:00',4,1,12,2008,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241217474751568712172122610166015',135,'270',89.36,1,3,NULL),(20,5019699,'1988-11-19 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115373751437811474121123235017',3444,'192',71.84,4,2,1),(20,5019702,'1990-04-29 00:00:00',4,1,12,2007,'M','N','CITY RIBEIRAO','RIBEIRÃO PRETO','SP','125252251212571311278831592122610162056',NULL,'9998',0.00,1,3,NULL),(20,5019710,'1992-01-13 00:00:00',4,4,11,2009,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241235372431488833575122610167046',4298,'983',68.90,1,3,NULL),(20,5019729,'1992-10-03 00:00:00',4,8,11,2009,'F','N','IRIRIÚ','JOINVILLE','SC','124242241214111441479933574122610161141',1100,'457',80.11,1,3,NULL),(20,5019737,'1992-03-27 00:00:00',2,1,12,2009,'F','N','CPA II','CUIABÁ','MT','111112111217111431233611575122610162142',10924,'9998',52.87,1,3,NULL),(20,5019745,'1991-10-27 00:00:00',4,2,12,2008,'M','N','VORSTADT','BLUMENAU','SC','124241241215371431359813575114610147057',12837,'855',48.98,1,3,NULL),(20,5019753,'1992-04-30 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115471432646563581124610166147',15333,'298',44.44,1,2,1),(20,5019761,'1985-09-11 00:00:00',4,8,12,2003,'M','N','JARDIM CAMARGO','MOGI GUAÇU','SP','125252251317571531368811585132142462183',NULL,'9998',0.00,1,3,NULL),(20,5019788,'1993-02-07 00:00:00',4,2,12,2009,'M','N','CENTRO','SALETE','SC','124241241116151431348933575122610146197',4148,'680',69.68,1,2,1),(20,5019818,'1990-04-25 00:00:00',2,15,12,2008,'M','N','GÁVEA','JACINTO MACHADO','SC','124241241121132411312615242331610127047',NULL,'420',0.00,1,2,1),(20,5019826,'1992-07-20 00:00:00',4,1,12,2009,'F','N','CENTRO DE SÃO JOSÉ','S JOSÉ','SC','124241241117471512347722575114610124042',NULL,'733',27.60,1,2,1),(20,5019842,'1992-08-16 00:00:00',4,1,11,2009,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215371431488933475122610167042',292,'262',86.76,1,3,NULL),(20,5019850,'1989-02-23 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241117575431366519574124233224012',628,'271',83.71,1,3,NULL),(20,5019869,'1991-01-25 00:00:00',4,8,12,2008,'M','N','BOM RETIRO','JOINVILLE','SC','124242246215372431376634375112610134072',6915,'1006',64.02,1,3,NULL),(20,5019877,'1991-08-22 00:00:00',4,4,12,2008,'F','N','CENTRO','ABELARDO LUZ','SC','124243241216473431436815575124610126197',930,'9997',80.78,4,3,NULL),(20,5019885,'1977-09-23 00:00:00',4,1,12,1994,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215575441468532472124322564125',387,'272',85.54,4,3,NULL),(20,5019893,'1991-10-26 00:00:00',2,1,12,2009,'F','N','CENTRO','ITAPIRA','SP','125251251246111421554923574122610163092',13213,'9998',47.30,1,3,NULL),(20,5019907,'1991-05-06 00:00:00',2,1,12,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215272411569814575124133233182',8319,'272',61.27,1,3,NULL),(20,5019915,'1991-12-11 00:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124252241215121711447832244122610144182',NULL,'1038',0.00,1,3,NULL),(20,5019931,'1991-04-05 00:00:00',2,1,6,2009,'F','N','RIO GUARAPARI','NOVA VENEZA','SC','124241246215311431425312145124610141142',NULL,'995',46.86,1,3,NULL),(20,5019940,'1981-03-01 00:00:00',4,1,11,1998,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241217575431469511172124533233187',9740,'269',57.63,1,3,NULL),(20,5019958,'1988-04-25 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124111117126141231644631145123610135057',NULL,'9998',28.83,1,2,1),(20,5019974,'1991-07-01 00:00:00',4,1,12,2008,'M','N','VILA SUZANA','S PAULO','SP','125252251215471441379939575112610132084',NULL,'9998',0.00,1,3,NULL),(20,5019982,'1992-05-20 00:00:00',2,1,12,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124241248117251331436319245124610132052',NULL,'730',29.25,4,2,1),(20,5019990,'1992-03-12 00:00:00',2,2,12,2009,'F','N','VILA NOVA','BLUMENAU','SC','124241241117372431334436575122610127051',NULL,'84',33.19,1,2,1),(20,5020000,'1989-12-17 00:00:00',4,1,7,2008,'M','N','PASSA VINTE','PALHOÇA','SC','124242241117111431235863395123610167112',NULL,'306',26.41,1,3,NULL),(20,5020018,'1975-03-15 00:00:00',4,1,12,1998,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','220202201216153441358741315122221765162',952,'9998',81.03,1,3,NULL),(20,5020026,'1989-02-01 00:00:00',2,5,12,2006,'F','N','CENTRO','CRICIÚMA','SC','124244241216374431533923345124131442187',10254,'995',55.47,1,3,NULL),(20,5020034,'1990-12-30 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126132431113349495124220764173',13818,'356',50.72,2,1,1),(20,5020042,'1983-08-29 00:00:00',4,6,12,2001,'F','N','CASTELO BRANCO','ITAPEMA','SC','124241241417233421129741415124333264097',NULL,'168',0.00,1,3,NULL),(20,5020050,'1988-10-17 00:00:00',4,1,12,2006,'M','N','JARDIM GOIÁS','GOIÂNIA','GO','109092091216372431538611575122121464052',2341,'9998',75.65,4,3,NULL),(20,5020069,'1983-12-24 00:00:00',2,15,12,2003,'M','N','NOVA DIVINEIA','ARARANGUÁ','SC','124241241117142441423314142234223222087',NULL,'30',23.92,1,2,1),(20,5020077,'1989-03-26 00:00:00',4,1,12,2006,'M','N','ALTO DE PINHEIROS','S PAULO','SP','125252251116571411458811411114610112047',NULL,'9998',0.00,1,3,NULL),(20,5020085,'1992-10-01 00:00:00',4,5,10,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215271431478932575122610167142',2352,'213',74.77,1,3,NULL),(20,5020093,'1991-12-19 00:00:00',2,9,12,2008,'M','N','COPACABANA','LAGES','SC','124244241215471431326824572122610122032',NULL,'515',0.00,1,3,NULL),(20,5020107,'1991-11-27 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241215121741445931576122610167032',15202,'1022',47.22,3,3,NULL),(20,5020115,'1993-04-02 00:00:00',2,4,11,2010,'F','S','CENTRO','CUNHA PORÃ','SC','124243241216111711466873595122610133192',NULL,'1037',41.66,1,3,NULL),(20,5020131,'1982-04-19 00:00:00',2,1,12,2001,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124241247127272431432317145124610127097',NULL,'9997',17.70,4,2,1),(20,5020140,'1992-03-04 00:00:00',4,6,12,2009,'F','N','TRÊS BARRAS','AGROLÂNDIA','SC','124241241127131431559713375121610144177',NULL,'6',31.25,1,2,1),(20,5020158,'1987-03-27 00:00:00',2,10,12,2004,'M','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124241241126272411543612145122610164047',12026,'332',50.01,1,2,1),(20,5020166,'1991-09-01 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201241215111431537934575122610167052',15482,'1049',42.17,1,3,NULL),(20,5020174,'1991-01-01 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241215473431353811575124610134152',2080,'737',76.62,1,3,NULL),(20,5020182,'1988-12-01 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124201201215573741456619572114610164142',NULL,'9998',23.75,1,3,NULL),(20,5020204,'1992-09-01 00:00:00',2,8,12,2009,'F','N','JKNOVA CAPITAL','ANÁPOLIS','GO','109092091217111431467413571122610168182',11220,'9998',53.46,1,3,NULL),(20,5020212,'1988-03-25 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241214272421588833495122322162172',902,'270',81.87,1,3,NULL),(20,5020220,'1992-12-23 00:00:00',4,17,12,2009,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116242241215271431459834585112610144091',2997,'632',72.95,1,3,NULL),(20,5020255,'1991-01-28 00:00:00',2,1,12,2009,'M','N','JARDIM PANORAMA','LARANJEIRAS SUL','PR','116162161147141431644326345125610157042',NULL,'9998',18.83,1,3,NULL),(20,5020263,'1990-09-12 00:00:00',4,8,12,2008,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124241243216471441336611445124610167097',8249,'1105',61.39,1,3,NULL),(20,5020271,'1986-06-26 00:00:00',2,1,11,2004,'M','N','VILA ESTER','S PAULO','SP','125252251217573431458713481125143267047',4353,'9998',67.84,4,3,NULL),(20,5020298,'1983-07-27 00:00:00',2,1,11,2000,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124164161416133421127644345124140247057',NULL,'9998',51.23,1,3,NULL),(20,5020301,'1991-02-14 00:00:00',2,1,11,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241117272411343624245134610142017',9952,'1116',55.67,1,2,1),(20,5020310,'1992-11-04 00:00:00',2,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111731458614275114610128167',13945,'270',46.86,1,3,NULL),(20,5020328,'1992-02-18 00:00:00',4,1,6,2009,'M','N','JARDIM APOLO I','S JOSÉ CAMPOS','SP','125252281217271431589912575111610167182',NULL,'9998',28.57,1,3,NULL),(20,5020336,'1986-04-04 00:00:00',2,1,12,2003,'F','N','JARDIM ÍRIS','S PAULO','SP','125251251117371411459923391115141225027',NULL,'9998',0.00,4,2,1),(20,5020352,'1991-06-13 00:00:00',2,1,12,2008,'F','N','ROÇADO','S JOSÉ','SC','124241241217473431443311574114610166187',8171,'1076',60.36,1,3,NULL),(20,5020360,'1991-03-05 00:00:00',2,1,12,2007,'F','N','CENTRO','STA MARIA','RS','120203201211471431436716572324140367147',NULL,'9998',0.00,1,3,NULL),(20,5020379,'1990-06-22 00:00:00',2,1,12,2007,'F','N','CAMPOS DE SOA JOSE','S JOSÉ CAMPOS','SP','125251251115572411666874395124610124042',NULL,'9998',28.40,4,1,1),(20,5020387,'1988-12-26 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','125251253237131711537934345124233244092',9025,'9998',57.60,1,3,NULL),(20,5020395,'1992-02-23 00:00:00',4,8,12,2009,'M','N','BOM RETIRO','JOINVILLE','SC','124243241336471711436873391134610128042',NULL,'1016',30.99,1,3,NULL),(20,5020409,'1993-03-03 00:00:00',2,1,12,2009,'M','N','CENTRO','TERRA BOA','PR','116161161116471231428923575122610127042',NULL,'9998',0.00,1,2,1),(20,5020425,'1992-04-24 00:00:00',4,1,10,2009,'F','N','SETOR BUENO','GOIÂNIA','GO','109112091216111431578812574112610123182',NULL,'9998',0.00,4,3,NULL),(20,5020433,'1992-07-07 00:00:00',4,1,12,2009,'F','N','VILA BOCAINA','MAUÁ','SP','125252251215411431484924475122610112142',NULL,'9998',0.00,1,3,NULL),(20,5020441,'1991-01-25 00:00:00',2,1,7,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247414372431334631275114610137147',15530,'9999',41.91,1,3,NULL),(20,5020450,'1986-05-07 00:00:00',4,9,6,2004,'M','N','CENTRO','LAGES','SC','124241247416473431436811475112130244182',6750,'9999',62.06,1,3,NULL),(20,5020492,'1990-11-11 00:00:00',4,1,11,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124254251216473431338829372124610134017',8147,'9998',59.54,3,3,NULL),(20,5020506,'1989-08-02 00:00:00',4,1,12,2006,'F','N','CENTRO','MARINGÁ','PR','116112151216572431568711575125610162191',NULL,'9998',0.00,1,3,NULL),(20,5020514,'1987-12-18 00:00:00',2,7,12,2008,'F','N','FARROUPILHA','VIDEIRA','SC','124241241116132431313339571125610123082',NULL,'831',22.80,1,2,1),(20,5020530,'1984-11-21 00:00:00',2,1,7,2003,'F','N','REAL PARQUE','S JOSÉ','SC','124241241121472431236629385124610168187',NULL,'734',28.79,1,2,1),(20,5020565,'1992-01-12 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241201126372431444511275124610122152',NULL,'9998',0.00,1,2,1),(20,5020573,'1991-12-20 00:00:00',2,9,11,2008,'M','N','PRADINHO','S JOAQUIM','SC','124244241216472231446951575115610164012',NULL,'1035',26.42,1,3,NULL),(20,5020581,'1991-04-07 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431559513575122610165143',NULL,'266',24.95,1,3,NULL),(20,5020603,'1992-01-28 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115471431546619361124610142073',10353,'295',56.41,4,2,1),(20,5020646,'1991-08-05 00:00:00',4,3,12,2008,'M','N','SÃO FCO DE ASSIS','CAMBORIÚ','SC','124241241115271431433334575124610164177',12818,'130',49.44,1,2,1),(20,5020662,'1992-02-04 00:00:00',4,16,12,2009,'M','N','CENTRO','CURITIBANOS','SC','124242241217121541489923575122610134045',NULL,'881',33.53,3,3,NULL),(20,5020689,'1987-07-02 00:00:00',2,1,12,2004,'M','N','BELA VISTA','S JOSÉ','SC','124241241116154442335619332133610127122',NULL,'732',0.00,1,2,1),(20,5020697,'1981-11-10 00:00:00',5,5,11,2000,'M','N','PRÓSPERA','CRICIÚMA','SC','124241246516273431447819485123333215131',NULL,'230',38.81,1,3,NULL),(20,5020719,'1987-03-31 00:00:00',4,1,5,2007,'M','N','JARDIM DAS COLINAS','HORTOLÂNDIA','SP','125251257146371451433419185121610144047',10179,'9998',53.94,4,2,1),(20,5020727,'1992-10-22 00:00:00',4,1,12,2009,'M','N','VILAS BOAS','CPO GRANDE','MS','112122121217111711348711575122610132077',12508,'9998',48.46,1,3,NULL),(20,5020735,'1990-04-25 00:00:00',4,1,10,2008,'M','N','CHACARA CNEO','CAMPINAS','SP','125254256137471411469813245124610128072',5142,'9998',64.92,3,3,NULL),(20,5020751,'1990-07-16 00:00:00',4,7,12,2008,'M','N','TOBIAS','JOAÇABA','SC','124241241115252431523544345113610125012',11197,'449',55.92,1,3,NULL),(20,5020786,'1992-10-02 00:00:00',4,1,12,2009,'F','N','PASSAGEM DO MACIAMBU','PALHOÇA','SC','124241241146371431223229175124610122197',8089,'592',59.95,1,3,NULL),(20,5020808,'1991-05-29 00:00:00',4,1,11,2008,'M','N','PEDRA DO BODE','PETROLINA','PE','125172051216471431689931572125610122172',NULL,'9998',NULL,1,3,NULL),(20,5020832,'1993-01-26 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124252241215111431438821575124610127047',NULL,'723',27.49,1,3,NULL),(20,5020840,'1989-05-29 00:00:00',2,1,12,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241247335373751436374345124610114145',13461,'9999',51.46,1,3,NULL),(20,5020859,'1992-12-14 00:00:00',4,17,12,2009,'M','N','ENCRUZILHADA','CANOINHAS','SC','124241241116271431324835382324610117047',NULL,'147',23.74,1,3,NULL),(20,5020867,'1991-02-14 00:00:00',4,6,12,2008,'M','N','FAZENDA','ITAJAÍ','SC','124212241116472751446619395124610167117',1648,'395',77.56,4,3,NULL),(20,5020875,'1989-06-19 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241116574431538813441334610127142',13611,'307',51.14,1,3,NULL),(20,5020883,'1988-12-29 00:00:00',3,1,12,2006,'F','N','JARDIM ESPERANÇA','CANOINHAS','SC','124241241216131431448934415321610166181',9208,'154',58.14,1,3,NULL),(20,5020891,'1992-04-02 00:00:00',4,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241317131731346724275124610133077',NULL,'1023',30.20,1,3,NULL),(20,5020905,'1987-09-18 00:00:00',2,1,12,2005,'M','N','CENTRO','RIO SUL','SC','124243241217373431446912345123230267022',8715,'663',57.65,1,3,NULL),(20,5020913,'1991-04-20 00:00:00',4,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124243241117471431328623575124610132192',NULL,'478',25.25,1,3,NULL),(20,5020921,'1992-04-27 00:00:00',2,9,12,2009,'M','N','JARDIM AMÉRICA','VACARIA','RS','120201201237121431353416175112610132142',NULL,'9998',0.00,1,3,NULL),(20,5020930,'1992-11-01 00:00:00',2,9,12,2009,'F','N','PLANALTO','VACARIA','RS','120202201235121431336632576112610123142',NULL,'9998',0.00,1,3,NULL),(20,5020948,'1986-07-24 00:00:00',2,1,12,2004,'F','N','CAMPINAS','S JOSÉ','SC','124241247126133431558611392124232566187',NULL,'736',42.08,1,2,1),(20,5020956,'1992-03-04 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241127131431223823295124610123077',NULL,'736',43.58,1,2,1),(20,5020964,'1990-09-12 00:00:00',4,1,12,2008,'M','N','CASCATA','MARÍLIA','SP','125252251215471431449854582122610127042',2602,'9998',72.50,1,3,NULL),(20,5020980,'1993-02-03 00:00:00',4,1,12,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241116141431436613475125610122097',NULL,'772',25.82,1,3,NULL),(20,5020999,'1991-01-29 00:00:00',4,1,1,2009,'M','N','CENTRO','S JOSÉ CAMPOS','SP','125252257235472411349823575122610167182',3230,'9998',72.02,1,3,NULL),(20,5021006,'1990-02-27 00:00:00',2,1,12,2007,'F','N','FAYH','CARAZINHO','RS','120201205216131441336324372122143225197',NULL,'9998',0.00,1,3,NULL),(20,5021014,'1990-03-18 00:00:00',4,1,12,2006,'M','N','PRAÇA','TIJUCAS','SC','124242241432131431423311292121610138143',NULL,'971',38.97,1,3,NULL),(20,5021049,'1972-12-25 00:00:00',4,1,12,1990,'F','N','TERRAS QUATRO','PIRACICABA','SP','225251251216151431354651215122342113017',NULL,'9998',0.00,1,3,NULL),(20,5021057,'1992-04-16 00:00:00',2,9,12,2009,'F','N','CENTRO','VACARIA','RS','120202201217121431437833372122610164142',NULL,'9998',0.00,1,3,NULL),(20,5021073,'1990-10-07 00:00:00',2,1,11,2007,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241137371451526623246234610141017',NULL,'733',25.97,1,2,1),(20,5021081,'1992-02-11 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124162241217271731465812575122610167072',4034,'273',69.15,1,3,NULL),(20,5021103,'1990-05-15 00:00:00',2,1,7,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124201201116372131525729275124610167147',NULL,'9999',0.00,2,1,1),(20,5021111,'1989-04-16 00:00:00',2,1,12,2008,'M','N','GLORIA','CARAZINHO','RS','120201208127131431633319242334610127047',NULL,'9998',0.00,4,2,1),(20,5021120,'1985-11-08 00:00:00',2,1,12,2003,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241216375441633422575124122267147',NULL,'300',20.71,1,3,NULL),(20,5021138,'1990-03-03 00:00:00',2,1,12,2007,'F','N','BELA VISTA','RIO OESTE','SC','124241241117371421425824274124610121197',9411,'652',59.23,1,2,1),(20,5021146,'1991-04-10 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215271431665712575122610163077',NULL,'273',26.23,1,3,NULL),(20,5021162,'1988-08-31 00:00:00',4,3,12,2006,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215573751668813575122610164046',NULL,'9997',0.00,3,3,NULL),(20,5021197,'1991-04-17 00:00:00',4,9,12,2008,'M','N','CENTRO','ITUPORANGA','SC','124243241425131431523619142331610134057',NULL,'416',0.00,4,1,2),(20,5021200,'1991-02-07 00:00:00',4,1,12,2008,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241116371431333314572124610134142',13233,'733',51.89,1,2,1),(20,5021219,'1991-09-17 00:00:00',2,1,11,2008,'F','N','FLORESTA','S JOSÉ','SC','124242241217132431679913382114610164072',16261,'269',41.53,1,3,NULL),(20,5021235,'1989-08-13 00:00:00',4,1,12,2006,'F','N','CENTRO','GAROPABA','SC','124241241146151431333314395135132868047',NULL,'322',20.18,1,3,NULL),(20,5021260,'1992-12-29 00:00:00',4,1,11,2009,'M','N','CENTRO','WENCESLAU BRAZ','PR','116162161217111331558613575112610167162',NULL,'9998',0.00,1,3,NULL),(20,5021278,'1991-06-07 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241126141431233424145124610127142',16259,'257',41.60,1,2,1),(20,5021286,'1991-01-28 00:00:00',2,1,11,2008,'M','N','CONJUNTO LIBRA I','FOZ IGUAÇU','PR','116162161117571441459932175122610137052',8811,'9998',58.91,1,3,NULL),(20,5021294,'1987-02-02 00:00:00',4,1,12,2004,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241201317273411126641215124610131062',10006,'9998',58.14,1,3,NULL),(20,5021308,'1988-11-27 00:00:00',2,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241447133431423314245134610164017',11533,'262',52.16,2,1,2),(20,5021316,'1992-04-22 00:00:00',2,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431347834475122610117057',10785,'226',56.70,1,3,NULL),(20,5021324,'1992-06-24 00:00:00',4,1,7,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242281217371751438934575112610124073',10559,'9998',53.96,1,3,NULL),(20,5021332,'1966-11-10 00:00:00',2,1,12,1987,'F','N','CAMPINAS','S JOSÉ','SC','124241243126134411233341312124331028187',NULL,'281',22.07,1,3,NULL),(20,5021359,'1993-03-15 00:00:00',4,1,12,2009,'F','N','PALHOCINHA','GAROPABA','SC','124241241147271432426619575224610162077',NULL,'322',27.75,1,2,1),(20,5021367,'1991-12-22 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241226132431226629345124610132142',11472,'262',54.45,4,1,2),(20,5021375,'1984-09-29 00:00:00',2,1,12,2001,'M','N','BOA VISTA','ITUPORANGA','SC','224241241126271431223643235133132824187',NULL,'364',NULL,1,2,1),(20,5021383,'1991-06-06 00:00:00',4,10,12,2008,'M','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124241241136372751438612175112610168092',8593,'798',58.93,1,2,1),(20,5021391,'1989-07-12 00:00:00',4,1,12,2006,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241416142431564934335124230265063',5827,'1022',66.40,1,3,NULL),(20,5021405,'1991-06-18 00:00:00',4,1,12,2008,'F','N','HIGIENOPOLIS','CATANDUVA','SP','125252251215471431568821575112610164077',NULL,'9998',0.00,1,3,NULL),(20,5021421,'1992-04-29 00:00:00',2,5,11,2009,'F','N','LINHA CONTESSI','TURVO','SC','124241241417161751534315595122610162077',8763,'813',57.23,1,3,NULL),(20,5021430,'1990-01-05 00:00:00',2,1,12,2006,'F','N','VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC','124243241116244431425611345124610123047',6377,'592',65.19,1,3,NULL),(20,5021448,'1991-05-13 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215372731348822395124610164012',3182,'723',72.28,1,3,NULL),(20,5021456,'1991-06-18 00:00:00',4,1,12,2008,'F','N','RES BEIJA FLOR A','ITATIBA','SP','125251251116131731434923342134610167072',9129,'9998',57.35,1,2,1),(20,5021464,'1992-12-15 00:00:00',4,4,12,2009,'F','N','CENTRO','SAUDADES','SC','124241241146151352449932345122610127072',NULL,'761',28.55,1,3,NULL),(20,5021472,'1992-12-30 00:00:00',4,4,12,2009,'M','N','INTERIOR','S JOSÉ CEDRO','SC','124241241117161431415335251324610137042',NULL,'646',0.00,1,3,NULL),(20,5021480,'1992-01-07 00:00:00',4,8,12,2008,'M','N','MOSSUNGUE','CURITIBA','PR','116161161215571431258812275124610162016',NULL,'9998',0.00,1,3,NULL),(20,5021499,'1978-02-01 00:00:00',2,1,12,1996,'F','N','INGLESES','FLORIANÓPOLIS','SC','224244245426133421528644442124132736192',NULL,'266',29.25,1,3,NULL),(20,5021502,'1991-01-02 00:00:00',4,15,12,2008,'M','N','JARDIM YPU','PTO ALEGRE','RS','120201201216471431324739575124610168193',NULL,'9998',0.00,1,3,NULL),(20,5021510,'1991-12-05 00:00:00',4,1,12,2008,'M','N','BELA SUIÇA','LONDRINA','PR','116163161216471421367619595112610164012',5015,'9998',67.14,1,3,NULL),(20,5021529,'1991-01-14 00:00:00',1,1,10,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243281115472411346819345134610124185',2335,'271',75.37,1,3,NULL),(20,5021537,'1978-09-30 00:00:00',2,1,7,1998,'F','N','PASSA VINTE','PALHOÇA','SC','224241247435471711253959241222610124141',NULL,'9999',27.49,2,3,NULL),(20,5021545,'1992-05-31 00:00:00',4,1,11,2009,'F','N','JATIUCA','MACEIÓ','AL','102022021216121441266923575122610167112',10264,'9998',55.91,4,3,NULL),(20,5021588,'1985-04-25 00:00:00',2,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224241247134233431323454292324222332092',12761,'9999',52.81,1,2,1),(20,5021618,'1991-01-30 00:00:00',4,1,12,2008,'F','N','BELA VISTA II','S JOSÉ','SC','124244241216372511229649595124610124091',NULL,'300',23.91,1,3,NULL),(20,5021634,'1985-08-25 00:00:00',4,1,12,2004,'F','N','AREIAS','S JOSÉ','SC','124241241132271431333329482114610127057',NULL,'945',45.17,3,2,1),(20,5021669,'1991-05-19 00:00:00',4,8,11,2008,'F','N','AMERICA','JOINVILLE','SC','124242241216472431457712575115610166092',4009,'1063',70.79,1,3,NULL),(20,5021685,'1987-04-13 00:00:00',4,1,4,2009,'M','N','JARDIM SÃO PAULO','S JOÃO BATISTA','SC','124241247526151331523315245234610116187',NULL,'9999',24.33,1,3,NULL),(20,5021693,'1988-08-06 00:00:00',2,1,11,2009,'M','N','VALE VERDE','GOV VALADARES','MG','113132217417371431466631445124610137142',NULL,'9998',27.01,1,3,NULL),(20,5021707,'1990-03-29 00:00:00',2,1,12,2007,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241125571731423319575114610113142',NULL,'291',24.13,1,2,1),(20,5021731,'1991-03-17 00:00:00',4,1,12,2008,'F','N','VILA DUARTINA','DUARTINA','SP','125252251417471441546823475124610168097',NULL,'9998',0.00,1,3,NULL),(20,5021740,'1992-08-23 00:00:00',2,4,12,2009,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116163161216111411336823575112610167142',4745,'9998',66.35,1,3,NULL),(20,5021758,'1991-03-24 00:00:00',5,8,12,2009,'F','N','REBOUÇAS','CURITIBA','PR','116162161215111431459714285124610163142',NULL,'9998',27.27,1,3,NULL),(20,5021766,'1988-06-27 00:00:00',2,8,12,2006,'M','N','BIGORRILHO','CURITIBA','PR','116161111116471631435536571324143246097',12030,'9998',52.13,1,2,1),(20,5021782,'1983-02-05 00:00:00',4,1,12,2000,'M','N','QUADRA COBERTA','PINDAMONHANGABA','SP','125252251216471411567821315221340638182',6302,'9998',62.81,1,3,NULL),(20,5021790,'1992-05-02 00:00:00',2,1,12,2009,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241115141731456313345124610164072',NULL,'257',29.54,4,2,1),(20,5021804,'1991-10-06 00:00:00',4,9,12,2008,'M','N','SANTANA','RIO SUL','SC','124242241215472431489921585125610167045',469,'653',84.86,1,3,NULL),(20,5021820,'1991-04-12 00:00:00',4,1,12,2008,'F','N','PAMPLONA','RIO SUL','SC','124242241215472431375812572122610134192',4646,'654',67.79,1,3,NULL),(20,5021839,'1992-08-20 00:00:00',4,8,11,2009,'M','N','BACACHERI','CURITIBA','PR','116162161216111411459813572124610167042',714,'9998',82.21,1,3,NULL),(20,5021847,'1991-09-20 00:00:00',4,1,12,2008,'M','N','PREDIAL','TORRES','RS','120204201217472431668933571122610164117',4918,'9998',65.82,1,3,NULL),(20,5021855,'1991-09-30 00:00:00',2,8,12,2008,'M','N','JD CALIFORNIA','IRATI','PR','116164161116411711251162585212610117127',5706,'9998',64.28,2,3,NULL),(20,5021863,'1987-10-19 00:00:00',4,7,12,2006,'M','N','CENTRO','IPUMIRIM','SC','124241242112152411446413315121133247092',16308,'196',40.19,1,2,1),(20,5021871,'1991-03-16 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241216373531467832472122610124142',4823,'1133',68.80,1,3,NULL),(20,5021898,'1990-10-28 00:00:00',2,5,12,2008,'M','N','CENTRO','BAL ARROIO SILVA','SC','124241242115372411446821286122610127182',NULL,'690',22.44,1,3,NULL),(20,5021901,'1993-01-01 00:00:00',4,4,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124241241135141431548811345132610121042',NULL,'192',27.37,1,2,1),(20,5021910,'1990-03-01 00:00:00',4,8,6,2008,'F','N','JD BANDEIRANTES','SALTO','SP','125242281416471431558931414122610122077',NULL,'9998',0.00,1,3,NULL),(20,5021928,'1991-04-25 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215473431346652342134610128187',12665,'738',51.30,1,3,NULL),(20,5021944,'1990-08-24 00:00:00',2,5,12,2007,'F','N','JARDIM ITÁLIA','COCAL SUL','SC','124244241215372431336724572124132523147',NULL,'226',32.06,1,3,NULL),(20,5021952,'1991-01-06 00:00:00',4,8,11,2008,'M','N','VILA ANTÔNIO AUGUSTO','CAÇAPAVA','SP','125252251216471432468314275112610167042',2727,'9998',72.47,1,3,NULL),(20,5021960,'1991-06-08 00:00:00',2,4,12,2008,'M','N','CENTRO','CONCÓRDIA','SC','124241241116152712323619576115610144155',13707,'192',50.92,1,2,1),(20,5021987,'1989-11-29 00:00:00',2,10,12,2007,'F','N','TIRADENTES','GRAVATAL','SC','124241241126272431323321214134610137057',12963,'332',49.69,1,2,1),(20,5021995,'1990-04-14 00:00:00',2,1,12,2007,'F','N','ARIRIÚ','PALHOÇA','SC','124241241147372731336324345334610124147',NULL,'593',29.03,1,2,1),(20,5022002,'1989-06-13 00:00:00',4,8,12,2006,'M','N','JARDIM NOEMIA','FRANCA','SP','125252251217571231469911475113141465017',NULL,'9998',0.00,1,3,NULL),(20,5022037,'1991-10-08 00:00:00',4,7,12,2008,'F','N','CINQUENTENÁRIO','CONCÓRDIA','SC','124241241116132431448934372124231532142',13365,'858',48.52,1,3,NULL),(20,5022053,'1991-03-18 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124201201117472431246846195114610167072',9788,'9998',58.57,1,2,1),(20,5022070,'1993-04-29 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241216111411438814375122610136017',3429,'226',71.57,1,3,NULL),(20,5022088,'1990-09-12 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241112342431323344242324610167042',NULL,'288',22.49,3,2,1),(20,5022096,'1980-02-08 00:00:00',4,1,12,1997,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215374411128841415224521066182',472,'226',84.83,1,3,NULL),(20,5022100,'1990-05-17 00:00:00',2,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124241241125372711435319493114610164072',NULL,'592',40.45,1,2,1),(20,5022118,'1989-11-16 00:00:00',2,6,12,2007,'M','N','ITAIPAVA','ITAJAÍ','SC','124241241125573431333414375125610146051',1078,'388',80.64,1,3,NULL),(20,5022126,'1992-06-17 00:00:00',2,1,12,2009,'F','N','CENTRO','PASSOS','MG','113132131217211331329824574122610126147',9983,'9998',56.22,1,3,NULL),(20,5022134,'1987-02-07 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241216575431436729475124233267141',5520,'269',65.11,1,3,NULL),(20,5022142,'1991-01-01 00:00:00',4,8,12,2008,'M','N','JARDIM BOTÂNICO','CURITIBA','PR','116221221116471721456736271114610167042',735,'9998',82.09,1,2,1),(20,5022150,'1991-10-28 00:00:00',4,1,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116162161216471431438532375122610162047',NULL,'9998',37.08,1,3,NULL),(20,5022169,'1987-03-14 00:00:00',2,1,12,2004,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201201146272431424679275114140827182',NULL,'9998',31.63,1,2,1),(20,5022177,'1990-04-18 00:00:00',2,1,12,2007,'F','N','VILA DUARTINA','DUARTINA','SP','125251258117471431223319375114610168037',NULL,'9998',28.30,1,3,NULL),(20,5022185,'1992-06-30 00:00:00',2,1,12,2009,'F','N','N SRA DO ROSARIO','S JOSÉ','SC','124242241225372231438834375122610125072',5549,'262',64.38,4,3,NULL),(20,5022193,'1990-10-11 00:00:00',4,1,12,2007,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124243241211372411456614475124232067043',7578,'273',62.67,1,3,NULL),(20,5022258,'1990-08-12 00:00:00',2,1,11,2007,'M','N','PINHEIROS','PATO BRANCO','PR','116162161211151731558819291324610165027',NULL,'9997',0.00,1,3,NULL),(20,5022266,'1975-12-08 00:00:00',2,1,9,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124246247611153441116641315334610112092',NULL,'9999',11.78,1,3,NULL),(20,5022274,'1988-06-08 00:00:00',2,1,12,2005,'M','N','CENTRO','ÁGUA BOA','MT','111112111217573431366614575122141418072',11235,'9998',53.89,1,3,NULL),(20,5022282,'1992-06-02 00:00:00',4,4,11,2009,'M','N','SÃO CRISTOVÃO','CHAPECÓ','SC','125244251236411441469934575124610162176',6572,'9998',61.77,4,3,NULL),(20,5022304,'1991-02-08 00:00:00',4,1,12,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215212431249921472114133237047',11133,'270',56.01,1,3,NULL),(20,5022312,'1989-04-07 00:00:00',2,1,12,2007,'M','N','JD COCAIA','GUARULHOS','SP','125252253426371431466713115222610164092',NULL,'9998',0.00,1,3,NULL),(20,5022320,'1985-01-13 00:00:00',2,8,12,2002,'F','N','MATO PRETO','S BENTO SUL','SC','124241241126131731334624335124533236197',NULL,'697',0.00,1,2,1),(20,5022347,'1992-02-15 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124244241215121431439612575122610117117',12441,'738',51.71,1,3,NULL),(20,5022355,'1992-04-07 00:00:00',4,7,12,2009,'F','N','VILA PEDRINI','JOAÇABA','SC','124241241116471741335514345124610134192',12811,'341',50.50,1,2,1),(20,5022371,'1992-10-24 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117371531558833575124610164143',9368,'293',58.07,1,2,1),(20,5022380,'1990-06-14 00:00:00',2,10,12,2007,'M','N','CENTRO','PEDRAS GRANDES','SC','124241241125471411537723385124610124097',NULL,'608',23.84,1,2,1),(20,5022401,'1989-10-24 00:00:00',2,8,12,2007,'F','N','AMERICA','JOINVILLE','SC','124244241216572411459814472124610131097',NULL,'1016',0.00,1,3,NULL),(20,5022428,'1990-08-12 00:00:00',4,1,12,2007,'F','N','CENTRO','PARIQUERA-AÇU','SP','125252251217573431568612575114610162097',4147,'9998',70.28,1,3,NULL),(20,5022436,'1988-12-22 00:00:00',4,8,12,2008,'F','N','VILA THAÍS','ATIBAIA','SP','125251257336371731324461385124610133092',15639,'9998',45.73,2,1,2),(20,5022444,'1990-03-11 00:00:00',2,5,12,2007,'F','N','LOMBA','ORLEANS','SC','124241241146473431423331275123231026097',NULL,'580',0.00,1,2,1),(20,5022479,'1988-06-04 00:00:00',2,1,12,2006,'F','N','FLORESTA','S JOSÉ','SC','124241241146131431224644245124610128147',NULL,'1117',25.03,1,2,1),(20,5022487,'1992-04-26 00:00:00',4,1,12,2008,'F','N','CENTRO','PAULO LOPES','SC','124241241137372751458814245124610167187',13956,'607',47.33,4,2,1),(20,5022495,'1991-12-23 00:00:00',4,1,12,2009,'M','N','PQ DAS VIDEIRAS','LOUVEIRA','SP','125252251215111431368831575122610122182',NULL,'9998',36.97,1,3,NULL),(20,5022509,'1989-08-20 00:00:00',2,1,12,2007,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241216373431436614335124610167047',4084,'1098',70.33,1,3,NULL),(20,5022517,'1989-08-16 00:00:00',4,8,12,2005,'M','N','CENTRO','CURITIBA','PR','116162161215571441553312575315143234016',10579,'9998',54.93,1,3,NULL),(20,5022533,'1990-03-27 00:00:00',2,4,12,2009,'M','N','CENTRO','IPORÃ OESTE','SC','124241241136131431366612225123610127182',NULL,'371',20.93,1,2,1),(20,5022541,'1989-05-23 00:00:00',4,5,11,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217472411138641315121230268125',NULL,'210',0.00,1,3,NULL),(20,5022568,'1989-04-10 00:00:00',4,1,12,2006,'F','N','INDIANÓPOLIS','S PAULO','SP','125252251216571731656611575114142564042',4810,'9998',66.07,1,3,NULL),(20,5022576,'1991-05-29 00:00:00',4,1,12,2008,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215473431347714572114610122012',6223,'441',62.61,1,3,NULL),(20,5022606,'1982-05-21 00:00:00',2,1,12,1999,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124202241217475431549628285124121267047',1659,'27',77.43,1,3,NULL),(20,5022614,'1988-02-25 00:00:00',2,1,12,2006,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242248236473311347819394124231024043',NULL,'298',42.10,1,3,NULL),(20,5022622,'1992-03-07 00:00:00',2,7,12,2009,'F','N','MENINO DEUS','JOAÇABA','SC','124241241115271531535511375112610126197',NULL,'9997',0.00,1,2,1),(20,5022630,'1991-08-24 00:00:00',4,4,12,2008,'M','N','PINHEIRINHO','PATO BRANCO','PR','116162161216472431469912274122610127062',5622,'9998',65.34,1,3,NULL),(20,5022657,'1990-11-27 00:00:00',2,1,12,2007,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241126271751223354285324140224187',NULL,'329',27.02,1,2,1),(20,5022665,'1991-11-09 00:00:00',2,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116471431426612275124610122142',11173,'296',53.54,1,2,1),(20,5022673,'1990-04-01 00:00:00',4,1,12,2007,'M','N','SANTA LUZIA','BRAGANÇA PAULISTA','SP','125252251216473431589611575124610112163',NULL,'9998',0.00,1,3,NULL),(20,5022681,'1989-08-22 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124062241215473441328947375124233237147',2904,'262',73.02,1,3,NULL),(20,5022703,'1992-12-23 00:00:00',4,1,12,2009,'F','N','MARAPÉ','SANTOS','SP','125252251214111411248823575124610133147',NULL,'9998',0.00,4,3,NULL),(20,5022711,'1990-12-19 00:00:00',4,3,12,2007,'F','N','JARDIM SOCIAL','CURITIBA','PR','116162161215571431457512585112610164127',2056,'9998',76.56,3,3,NULL),(20,5022738,'1991-07-30 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116161161216472431439713575121610122177',12539,'9998',49.29,1,3,NULL),(20,5022746,'1991-12-23 00:00:00',4,1,11,2009,'F','N','LA BRUNETTI','ITAPETININGA','SP','125252251216111431368831575122610128142',NULL,'9998',0.00,1,3,NULL),(20,5022754,'1991-08-20 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242241216272231249823345114610117052',NULL,'737',41.18,1,3,NULL),(20,5022789,'1991-04-20 00:00:00',4,1,12,2009,'F','N','ARIRIÚ','PALHOÇA','SC','124241241126131731445519395124610154142',NULL,'593',26.08,1,2,1),(20,5022797,'1991-06-23 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124241241116111431426669375124610164187',NULL,'734',26.67,1,2,1),(20,5022800,'1988-03-18 00:00:00',4,1,12,2005,'F','N','JARDIM PARAÍSO II','BOTUCATU','SP','125254251236571431226823571114610162087',NULL,'9998',28.33,1,3,NULL),(20,5022819,'1982-04-10 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224201204316131411245743435114610164047',16099,'9998',43.42,1,3,NULL),(20,5022827,'1992-05-22 00:00:00',4,3,12,2009,'F','N','CASTELO BRANCO','ITAPEMA','SC','124241241135141432334621112121610118147',NULL,'405',14.67,1,2,1),(20,5022843,'1990-12-04 00:00:00',4,1,12,2008,'F','N','JOSE MENDES','FLORIANÓPOLIS','SC','124163241347371421324524382324610131167',NULL,'307',0.00,1,3,NULL),(20,5022851,'1986-06-11 00:00:00',2,1,12,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201117373431126344145334610125147',14457,'9998',46.14,1,3,NULL),(20,5022860,'1989-03-26 00:00:00',2,1,12,2006,'F','N','PALHOÇA','PALHOÇA','SC','124241241116274431646621345124610135185',13383,'591',51.61,1,2,1),(20,5022878,'1991-05-17 00:00:00',4,2,12,2008,'F','N','CENTRO','BLUMENAU','SC','124242241211473451468813575112610144042',503,'855',84.59,1,3,NULL),(20,5022886,'1992-03-12 00:00:00',4,3,12,2008,'F','N','VILA PROGRESSO','MARINGÁ','PR','116164161215421731539933585112610163187',NULL,'9998',24.72,1,3,NULL),(20,5022894,'1991-04-29 00:00:00',4,1,12,2008,'M','N','CHÁCARAS CORNÉLIA','BAURU','SP','125252253217471331356713345114610134142',NULL,'9998',27.49,1,3,NULL),(20,5022908,'1991-05-09 00:00:00',4,4,10,2008,'M','N','CENTRO','STA MARIA','RS','120202201216271431653614472124143234157',7077,'9998',63.67,1,3,NULL),(20,5022916,'1990-07-16 00:00:00',2,1,12,2007,'F','N','SÃO JOSÉ','SAPUCAIA SUL','RS','120202201216271431444631575124610126147',NULL,'9998',29.40,1,3,NULL),(20,5022932,'1989-09-29 00:00:00',4,2,12,2007,'M','N','GARCIA','BLUMENAU','SC','124241241116271431358814475124130627017',15252,'757',47.11,1,2,1),(20,5022959,'1988-09-01 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216575711449931571124130264081',28,'262',93.11,1,3,NULL),(20,5022975,'1991-11-16 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124162161217212431247933342324610121117',11991,'9998',51.84,1,3,NULL),(20,5022983,'1991-01-25 00:00:00',4,1,12,2008,'F','N','SANTO ANTONIO','FLORIANÓPOLIS','SC','124242241215472731368829572124610168073',10687,'262',56.62,1,3,NULL),(20,5022991,'1991-10-14 00:00:00',4,10,12,2008,'F','N','CENTRO','CAPIVARI BAIXO','SC','124242241216372431336637395124610124042',NULL,'797',41.36,1,3,NULL),(20,5023009,'1983-08-04 00:00:00',4,1,12,2001,'M','N','VILA MARIANA','S PAULO','SP','125252251215571411368813191122141764101',905,'9998',81.66,1,3,NULL),(20,5023017,'1986-07-04 00:00:00',4,3,12,2006,'M','N','ALTO DA XV','CURITIBA','PR','116164161417571711458713375121140367187',10752,'9998',56.77,1,3,NULL),(20,5023033,'1984-05-27 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241212373721468819414132331067065',12886,'270',52.58,1,3,NULL),(20,5023041,'1992-05-13 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241217111331479714472112610132057',15379,'995',46.69,1,3,NULL),(20,5023068,'1990-01-25 00:00:00',4,1,11,2008,'M','N','PAU PRETO','INDAIATUBA','SP','125253257317471411346863415122610146047',4366,'9998',69.86,1,3,NULL),(20,5023076,'1988-12-12 00:00:00',2,17,12,2006,'F','N','CENTRO','MAFRA','SC','124241241116271421428921395112140221153',NULL,'542',26.83,1,2,1),(20,5023084,'1991-10-24 00:00:00',4,8,12,2008,'F','N','ZONA OITO','MARINGÁ','PR','116162161216471431477712575112610164053',10629,'9998',55.07,1,3,NULL),(20,5023092,'1991-08-23 00:00:00',4,8,12,2008,'F','N','CENTRO','MARINGÁ','PR','116162161215411731489911575112610162142',NULL,'9998',0.00,1,3,NULL),(20,5023106,'1991-03-09 00:00:00',2,1,12,2008,'F','N','JARDIM ATLANTICO','S JOSÉ','SC','124241241117272411448714341124610124147',NULL,'257',26.45,1,2,1),(20,5023114,'1991-01-11 00:00:00',2,8,10,2008,'M','N','CENTRO','ARAQUARI','SC','124241242116372731436634445132610132141',12750,'24',50.98,1,2,1),(20,5023122,'1992-02-07 00:00:00',4,1,10,2009,'F','N','CENTRO','STA BÁRBARA D OESTE','SP','125254251211111431558711471122610123122',15221,'9998',42.14,1,3,NULL),(20,5023130,'1983-07-28 00:00:00',4,1,12,2001,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124202201216373421358923425132321467115',NULL,'9998',0.00,1,3,NULL),(20,5023149,'1990-02-12 00:00:00',2,17,12,2007,'F','N','CAPÃO RASO','CURITIBA','PR','116161161211571431246839495124610163012',NULL,'9998',0.00,1,3,NULL),(20,5023157,'1991-06-27 00:00:00',4,6,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242248215412431236912592122610115142',NULL,'1038',0.00,1,3,NULL),(20,5023165,'1988-04-19 00:00:00',4,1,12,2006,'M','N','CAMBUÍ','CAMPINAS','SP','125254251416321731478814485111141024012',NULL,'9998',0.00,1,3,NULL),(20,5023173,'1991-03-12 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241122472431336623382344610123097',NULL,'281',29.38,4,1,1),(20,5023181,'1990-07-18 00:00:00',2,3,12,2007,'M','N','INDEPENDENCIA','POUSO REDONDO','SC','124241248126141231527613145121610122172',NULL,'639',26.90,1,2,1),(20,5023211,'1972-01-12 00:00:00',4,1,12,1988,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224203201416151711358749192132540852142',15720,'9998',45.41,1,3,NULL),(20,5023220,'1992-10-05 00:00:00',2,8,12,2009,'M','N','SERTÃOZINHO','BARRA VELHA','SC','124244241126162431344614145121610127172',NULL,'57',0.00,1,3,NULL),(20,5023238,'1992-06-29 00:00:00',2,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241215111431568923575125610122071',12854,'299',50.61,1,3,NULL),(20,5023246,'1991-06-28 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473731569913472112610127092',940,'262',81.66,1,3,NULL),(20,5023254,'1988-12-30 00:00:00',4,15,12,2007,'F','N','POLICIA RODOVIARIA','ARARANGUÁ','SC','124241241116131231333321241124610124047',NULL,'852',12.37,1,2,1),(20,5023262,'1992-09-22 00:00:00',4,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241215131441327824575125610138147',15331,'392',46.83,1,3,NULL),(20,5023270,'1992-09-17 00:00:00',4,8,12,2009,'F','N','SERRA ALTA','S BENTO SUL','SC','124241241314131431238713575224610122097',NULL,'697',26.84,1,3,NULL),(20,5023289,'1992-09-12 00:00:00',4,8,12,2009,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116162161215121431458834572122640162097',2388,'9998',74.43,1,3,NULL),(20,5023297,'1991-12-31 00:00:00',4,17,12,2008,'F','N','CENTRO','S JOÃO TRIUNFO','PR','116162161216372451448839574122610168012',NULL,'9998',0.00,1,3,NULL),(20,5023319,'1990-04-17 00:00:00',2,1,12,2007,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241117132731326622575122610127077',NULL,'273',26.51,4,3,NULL),(20,5023327,'1993-03-13 00:00:00',4,17,12,2009,'F','N','SOSSEGO','CANOINHAS','SC','124243241215111431369933572122610166072',7100,'154',60.92,1,3,NULL),(20,5023335,'1993-10-05 00:00:00',4,10,11,2009,'F','N','VILLA MOEMA','TUBARÃO','SC','124242241217121431478811595112610164092',10372,'807',57.46,1,3,NULL),(20,5023343,'1992-03-11 00:00:00',4,9,11,2009,'M','N','CORAL','LAGES','SC','124243241415111731569613575122610162032',NULL,'1065',48.08,1,3,NULL),(20,5023351,'1989-08-11 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251258126472441526419172124223268177',10214,'9998',57.77,1,3,NULL),(20,5023360,'1991-12-02 00:00:00',4,1,12,2009,'F','N','CENTRO','BRUSQUE','SC','124242241215112411438922385122610132185',8241,'107',59.13,1,3,NULL),(20,5023378,'1992-06-04 00:00:00',4,8,11,2009,'M','N','CENTRO','CURITIBA','PR','116222168235411431169932575125610117092',10959,'9998',53.09,1,3,NULL),(20,5023386,'1992-10-25 01:00:00',2,5,11,2009,'F','N','PIO CORRÊA','CRICIÚMA','SC','124242241215111431336729475122610163142',NULL,'213',29.39,1,3,NULL),(20,5023394,'1992-05-24 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241117141531328319382124610121097',NULL,'732',28.40,1,2,1),(20,5023408,'1990-06-30 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115472131538813385124610147042',9731,'307',58.69,1,2,1),(20,5023416,'1991-09-21 00:00:00',4,3,11,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124242248115112431546832315124610136185',8265,'129',58.97,1,3,NULL),(20,5023424,'1988-03-24 00:00:00',2,1,12,2006,'M','N','AREIAS','S JOSÉ','SC','124242241217113321549911445122230817072',15803,'738',45.08,1,3,NULL),(20,5023432,'1991-12-26 00:00:00',4,17,12,2008,'F','N','CENTRO','S MATEUS SUL','PR','116162161216472731436612575115610168187',2484,'9998',73.20,1,3,NULL),(20,5023440,'1992-11-14 00:00:00',4,6,11,2009,'M','N','CAPAO DA IMBUIA','CURITIBA','PR','116163161114271431358832574124610127047',NULL,'9998',0.00,1,3,NULL),(20,5023459,'1989-12-10 00:00:00',2,1,12,2007,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241241216272731357724345124610127042',15111,'1075',47.54,1,3,NULL),(20,5023467,'1991-11-15 00:00:00',4,1,12,2009,'F','N','CENTRO','CASCAVEL','PR','116162161215111331539933575125610166121',9683,'9998',55.85,3,3,NULL),(20,5023475,'1992-07-25 00:00:00',4,1,12,2009,'M','N','JARDIM APIPEMA','SALVADOR','BA','105052051216271431466814575124610127042',NULL,'9998',0.00,4,3,NULL),(20,5023491,'1991-03-18 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241113472431459612575114610167097',NULL,'292',44.04,1,2,1),(20,5023505,'1992-03-25 00:00:00',4,1,12,2008,'F','N','CENTRO','CASCAVEL','PR','116162161215471411438812584122610133047',5410,'9998',65.58,1,3,NULL),(20,5023513,'1992-02-14 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241216131431448614575124610124142',8180,'1078',59.40,1,3,NULL),(20,5023521,'1990-02-23 00:00:00',4,1,12,2006,'F','N','TAGUATINGA NORTE','TAGUATINGA','DF','107072071214572431478833572122610162187',NULL,'9998',0.00,1,3,NULL),(20,5023530,'1989-12-08 00:00:00',2,1,12,2007,'F','N','CENTRO','STA MARIA','RS','120202201216472431469733475112610124142',10135,'9998',56.56,1,3,NULL),(20,5023548,'1992-02-18 00:00:00',4,4,12,2009,'F','N','INTERIOR','NOVA ERECHIM','SC','124241241125141421316616575124610117057',NULL,'572',20.63,1,2,1),(20,5023556,'1992-02-22 00:00:00',4,1,12,2009,'M','N','CITY RIBEIRÃO','RIBEIRÃO PRETO','SP','125252251215111432466731172112610167187',9941,'9998',55.41,1,3,NULL),(20,5023564,'1980-05-21 00:00:00',4,1,4,2004,'M','N','INGLESES','FLORIANÓPOLIS','SC','124251257326151431134441245124610167097',NULL,'9998',45.82,1,3,NULL),(20,5023572,'1987-12-18 00:00:00',2,1,12,2005,'M','N','PAGARÁ','STO AMARO IMPERATRIZ','SC','124241241126132431643317342233130222097',NULL,'772',29.67,1,2,1),(20,5023580,'1992-02-18 00:00:00',4,8,12,2009,'M','N','ANHANGABAÚ','JUNDIAÍ','SP','125251251116471431446634575122610124092',NULL,'9998',0.00,1,2,1),(20,5023599,'1992-07-02 00:00:00',2,1,12,2009,'F','N','NSA SRA DO ROSÁRIO','S JOSÉ','SC','124241241135371431433634245122610134047',NULL,'726',45.94,1,2,1),(20,5023602,'1992-12-29 00:00:00',2,1,11,2009,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241417162731546629182124610167172',12418,'989',51.29,1,3,NULL),(20,5023610,'1991-06-27 00:00:00',2,10,12,2009,'F','N','ARAÇATUBA','IMBITUBA','SC','124244241415111431345556494124610137187',NULL,'362',0.00,1,3,NULL),(20,5023637,'1990-09-14 00:00:00',2,1,12,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241125371431433424381124610125171',14496,'298',46.76,1,2,1),(20,5023645,'1989-04-05 00:00:00',2,1,11,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241126471431224421245133610127187',16029,'282',41.61,1,2,1),(20,5023661,'1991-11-11 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241215373431467331575124610128142',3186,'270',72.11,1,3,NULL),(20,5023670,'1993-05-25 00:00:00',4,7,12,2010,'F','S','DOIS PINHEIROS','VIDEIRA','SC','124243241215111431466932325122610123152',NULL,'1080',19.89,1,3,NULL),(20,5023696,'1991-11-29 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244247217371231366923572122610145142',NULL,'9999',0.00,1,3,NULL),(20,5023700,'1990-11-09 00:00:00',4,8,12,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215474431248823335122610127077',NULL,'486',54.81,1,3,NULL),(20,5023718,'1992-08-11 00:00:00',4,2,12,2009,'F','N','CENTRO','POMERODE','SC','124241241115131431436324572122610113057',NULL,'621',13.46,1,2,1),(20,5023726,'1992-06-16 00:00:00',4,1,12,2009,'F','N','PITANGUEIRAS','LAURO FREITAS','BA','105052051217111431548711575122610127147',15121,'9998',47.49,1,3,NULL),(20,5023742,'1991-05-07 00:00:00',4,8,12,2008,'M','N','CENTRO','IRATI','PR','116162161215471731469931411315610147047',12082,'9998',50.27,1,3,NULL),(20,5023750,'1992-06-22 00:00:00',4,1,10,2009,'M','N','SÃO SILVANO','COLATINA','ES','108082081216271411549931575122610127152',4679,'9998',65.83,3,3,NULL),(20,5023769,'1991-05-23 00:00:00',4,3,12,2009,'F','N','PARTENON','PTO ALEGRE','RS','120202201211111132337723391124610164092',NULL,'9998',27.29,1,3,NULL),(20,5023777,'1987-11-02 00:00:00',4,3,12,2004,'F','N','CENTRO','TIJUCAS','SC','124201201137131421334434245135130862047',NULL,'9998',0.00,1,2,1),(20,5023785,'1992-06-28 00:00:00',4,3,12,2009,'F','N','CENTRO','PASSO FUNDO','RS','120202201216151431459912571122610123182',5321,'9998',66.19,1,3,NULL),(20,5023793,'1990-05-30 00:00:00',2,1,12,2007,'M','N','MORADA DO SOL','PALHOÇA','SC','124241241115372411438511316122610167122',14615,'592',48.97,1,2,1),(20,5023807,'1988-12-08 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124244241214374431566614575124121722012',4243,'809',70.17,1,3,NULL),(20,5023823,'1991-08-10 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241125472431554451115124610123142',6443,'274',64.69,1,2,1),(20,5023866,'1991-05-22 00:00:00',4,1,12,2008,'F','N','ATUBA','CURITIBA','PR','116162161215471731567634575124610167077',NULL,'9998',0.00,1,3,NULL),(20,5023882,'1992-05-04 00:00:00',2,1,12,2009,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241215111431377832475122610164052',NULL,'1022',30.52,1,3,NULL),(20,5023890,'1990-10-06 00:00:00',4,1,10,2008,'M','N','PAULISTA','PIRACICABA','SP','125253251217421441335811145122610167012',11821,'9998',51.49,1,3,NULL),(20,5023904,'1991-02-08 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472411489911575122230266072',657,'262',83.50,1,3,NULL),(20,5023920,'1983-12-06 00:00:00',2,1,12,2001,'M','N','REPÚBLICA','S PAULO','SP','125252251216151731348841415124343242027',NULL,'9998',0.00,1,3,NULL),(20,5023963,'1993-06-23 00:00:00',4,1,12,2009,'M','N','CENTRO','CONSTANTINA','RS','120201201117471431343313275124610126147',NULL,'9998',0.00,1,2,1),(20,5023971,'1991-02-19 00:00:00',4,1,12,2008,'F','N','VILA XAVIER','ARARAQUARA','SP','125092251216471431346619375112610124091',5756,'9998',66.34,1,3,NULL),(20,5023980,'1987-11-06 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215152431469914375125121432041',5146,'185',65.77,1,3,NULL),(20,5023998,'1989-04-25 00:00:00',2,1,12,2006,'F','N','PORTAL DA PRIMAVERA','COLORADO','PR','116162161216573431255811172325610164147',1254,'9998',79.24,1,3,NULL),(20,5024005,'1991-04-27 00:00:00',4,8,12,2008,'M','N','CENTRO','S BENTO SUL','SC','124242241216472731489912572122610157053',NULL,'1178',0.00,1,3,NULL),(20,5024013,'1991-02-25 00:00:00',4,10,12,2008,'M','N','SOBRADINHO','SOBRADINHO','DF','107071071336141741666313285124142926152',10377,'9998',57.45,4,3,NULL),(20,5024021,'1992-04-12 00:00:00',4,8,10,2009,'F','N','BALNEÁRIO ENSEADA','S FRANCISCO SUL','SC','124241241415371431236614574124610136012',6288,'932',61.64,1,3,NULL),(20,5024030,'1993-01-06 00:00:00',4,1,11,2009,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241216132231436614575122610123142',NULL,'63',26.86,1,3,NULL),(20,5024048,'1991-11-26 00:00:00',2,8,11,2009,'F','N','JUVEVÊ','CURITIBA','PR','116162161236421432457714574122610124112',NULL,'9998',20.17,1,3,NULL),(20,5024056,'1991-02-03 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124242248216471731469611595112610127122',NULL,'499',29.02,1,3,NULL),(20,5024080,'1993-03-10 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111411469911575122610164095',NULL,'270',63.41,1,3,NULL),(20,5024099,'1990-12-19 00:00:00',2,15,12,2008,'M','N','ALTO FELIZ','ARARANGUÁ','SC','124241241436141431346611342223610164147',NULL,'9997',27.48,1,3,NULL),(20,5024102,'1989-04-10 00:00:00',4,8,12,2007,'M','N','BOM RETIRO','CURITIBA','PR','116162161417471231478814471122610167112',NULL,'9998',0.00,1,3,NULL),(20,5024110,'1987-07-09 00:00:00',4,1,12,2004,'F','N','NOVO MUNDO','CURITIBA','PR','216161161325371421226954245124142112153',NULL,'9998',29.24,1,3,NULL),(20,5024129,'1991-08-01 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212573751369923571122610168182',4379,'270',69.55,1,3,NULL),(20,5024137,'1992-10-03 00:00:00',2,7,12,2009,'M','N','INTERIOR','OURO','SC','124241241116271431326336472224610147042',NULL,'585',33.64,1,2,1),(20,5024153,'1986-02-20 00:00:00',4,1,12,2003,'M','N','REAL PARQUE','S JOSÉ','SC','124243241215273731333444445332610164057',11204,'258',55.91,1,3,NULL),(20,5024161,'1990-07-27 00:00:00',4,1,11,2008,'F','N','CABRAL','CURITIBA','PR','116162161215471431276922575122610164112',1118,'9998',80.07,1,3,NULL),(20,5024170,'1990-07-30 00:00:00',4,2,11,2007,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120201201116571411347933575112610137117',NULL,'9998',19.44,1,2,1),(20,5024196,'1991-11-20 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215271431358732575122610137112',15042,'1038',47.73,1,3,NULL),(20,5024218,'1989-11-28 00:00:00',4,3,12,2007,'F','N','PROGRESSO','POUSO REDONDO','SC','124241241127141431434923245224232834092',NULL,'639',0.00,1,2,1),(20,5024226,'1993-01-08 00:00:00',4,1,12,2010,'F','S','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215121431446319595124610138072',NULL,'1011',43.72,1,3,NULL),(20,5024234,'1991-09-19 00:00:00',4,1,11,2009,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124244241415111431348723372114610132077',NULL,'269',25.71,1,3,NULL),(20,5024242,'1991-12-26 00:00:00',4,1,12,2009,'M','N','VILA GATO','BRAGANÇA PAULISTA','SP','125252251215171431458314271122610167143',8028,'9998',61.78,1,3,NULL),(20,5024250,'1984-08-11 00:00:00',4,1,12,2002,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241217375411538613334234130634112',3035,'970',73.40,1,3,NULL),(20,5024269,'1990-06-22 00:00:00',4,1,12,2007,'F','N','JARDIM SÃO PAULO','S PAULO','SP','125252251117571431236611276224610143147',NULL,'9998',0.00,1,3,NULL),(20,5024277,'1988-01-29 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124241241144131431421365342334610127052',NULL,'21',22.25,1,3,NULL),(20,5024285,'1991-08-01 00:00:00',2,1,12,2009,'F','N','CENTRO','ANITÁPOLIS','SC','124241241125131431423319282122610127052',NULL,'19',21.83,1,3,NULL),(20,5024293,'1991-03-22 00:00:00',4,1,12,2008,'M','N','GRANVILLE','TAUBATÉ','SP','125252251217371431547821575114610167052',NULL,'9998',0.00,4,3,NULL),(20,5024307,'1991-06-15 00:00:00',4,3,12,2008,'F','N','CRISTO REI','CURITIBA','PR','116162161211471431558834571122610124142',6698,'9998',62.41,1,3,NULL),(20,5024315,'1992-05-14 00:00:00',4,8,12,2009,'M','N','CENTRO','S BENTO SUL','SC','124242161216111231469912592122610157057',NULL,'9998',0.00,1,3,NULL),(20,5024323,'1992-07-29 00:00:00',4,1,12,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241217272531448571575124610124147',5351,'1011',67.10,1,3,NULL),(20,5024331,'1991-10-16 00:00:00',4,1,12,2009,'M','N','JARDIM BELA VISTA','SOCORRO','SP','125252251216111431548819575111610164182',NULL,'9998',27.65,1,3,NULL),(20,5024340,'1993-05-22 00:00:00',2,1,12,2009,'F','N','CENTRO','GAROPABA','SC','124241241215272431556312376124610114142',NULL,'362',0.00,1,3,NULL),(20,5024358,'1993-07-19 00:00:00',4,8,10,2010,'F','S','CENTRO','JOINVILLE','SC','124242241217111231439613574112610147017',NULL,'1063',50.01,1,3,NULL),(20,5024366,'1992-03-24 00:00:00',2,1,12,2009,'F','N','TROPICAL','CASCAVEL','PR','116162161216111431368813575112610144141',15711,'9998',41.20,1,3,NULL),(20,5024404,'1987-12-09 00:00:00',5,1,11,2005,'F','N','CENTRO','URUSSANGA','SC','124242241215575431359934575124133267117',1034,'226',80.79,1,3,NULL),(20,5024412,'1992-12-02 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241315111431229727275125610136042',NULL,'270',48.52,1,3,NULL),(20,5024420,'1992-07-01 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241217162431546828376121610168187',5776,'1118',64.89,1,3,NULL),(20,5024439,'1992-08-08 00:00:00',4,1,11,2009,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091217111731579711572125610164187',10436,'9998',56.33,1,3,NULL),(20,5024447,'1992-02-12 00:00:00',2,1,12,2009,'F','N','SÃO PASCOAL','IRINEÓPOLIS','SC','124241241116271451338923392224610164033',NULL,'146',31.06,1,2,1),(20,5024455,'1991-10-19 00:00:00',4,1,12,2008,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201217371731489811571124141127116',5669,'9998',66.76,1,3,NULL),(20,5024463,'1991-11-03 00:00:00',2,4,11,2008,'F','N','NOSSA SRA DE FÁTIMA','BARRACÃO','PR','116162161215472751359933575122610167142',NULL,'9998',27.10,1,3,NULL),(20,5024471,'1991-05-28 00:00:00',2,4,11,2009,'F','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124243161416471451538711594124610138172',11635,'245',52.98,1,3,NULL),(20,5024480,'1992-11-27 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111731478833572122610131055',4446,'1050',69.68,1,3,NULL),(20,5024498,'1992-02-05 00:00:00',4,4,12,2009,'F','N','CENTRO','CURITIBA','PR','116232161215471431238811575124610124042',1313,'9998',79.68,1,3,NULL),(20,5024501,'1992-08-31 00:00:00',4,3,11,2009,'F','N','CENTRO','CAMBORIÚ','SC','124242241215112431336613335122610134187',11516,'9997',52.05,1,3,NULL),(20,5024510,'1989-04-06 00:00:00',2,1,12,2006,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241116132431546833372124231034142',7618,'307',62.59,1,2,1),(20,5024528,'1990-12-01 00:00:00',4,4,12,2007,'M','N','SANTA MARIA','CHAPECÓ','SC','124241241115373431443732141121121446192',2010,'176',76.83,1,2,1),(20,5024536,'1991-06-10 00:00:00',2,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242241215473431358613575112610167072',1318,'1063',79.33,1,3,NULL),(20,5024544,'1992-06-05 00:00:00',4,2,12,2009,'F','N','ESTADOS','TIMBÓ','SC','124242241215112531438834575122610122144',NULL,'1157',23.34,1,3,NULL),(20,5024552,'1992-01-12 00:00:00',4,1,12,2009,'F','N','CENTRO','CONGONHAS','MG','113132131216111451565612575122610124042',13128,'9998',48.04,1,3,NULL),(20,5024560,'1982-12-24 00:00:00',2,1,12,2001,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','624163161312573421328954382214140611147',NULL,'9998',28.81,1,3,NULL),(20,5024579,'1992-05-04 00:00:00',4,1,11,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215111431538613572124610127092',2510,'737',75.05,1,3,NULL),(20,5024587,'1990-11-16 00:00:00',2,1,12,2007,'M','N','REBOUÇAS','CURITIBA','PR','116241241115573431425619572325610142197',9581,'192',56.70,1,2,1),(20,5024595,'1988-06-29 00:00:00',4,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124242241215474431248927572122610124092',8031,'270',59.75,1,3,NULL),(20,5024609,'1992-02-25 00:00:00',4,5,10,2009,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241215271431559931571122610126192',2167,'213',76.29,1,3,NULL),(20,5024625,'1992-09-30 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124243161215122431568715575124610123092',839,'9998',82.23,3,3,NULL),(20,5024641,'1991-12-03 00:00:00',4,17,12,2009,'M','N','ORFÃS','PNT GROSSA','PR','116163166116271211643722345124610167052',2833,'9998',72.43,1,3,NULL),(20,5024650,'1985-07-24 00:00:00',4,1,12,2002,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124251251117371751337812475114341338097',4393,'9998',68.85,4,2,1),(20,5024668,'1991-12-21 00:00:00',2,1,12,2008,'F','N','CENTRO','CAÇADOR','SC','124242241216371431468832572112143268117',6381,'1124',63.12,1,3,NULL),(20,5024676,'1991-07-20 00:00:00',4,8,6,2009,'F','N','CENTRO','CURITIBA','PR','116222281215371431486814375115610166122',2646,'9998',73.62,1,3,NULL),(20,5024684,'1991-12-28 00:00:00',4,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124243241115131531448413275122610137067',7692,'1116',60.39,1,3,NULL),(20,5024692,'1988-11-17 00:00:00',4,1,12,2006,'M','N','CENTRO','LIMEIRA','SP','125252251215571431468812312122140264122',6823,'9998',61.44,2,3,NULL),(20,5024706,'1989-11-14 00:00:00',4,1,12,2007,'M','N','VILA MADALENA','S PAULO','SP','125252251217571231278921575112610147047',805,'9998',82.44,1,3,NULL),(20,5024714,'1992-10-23 00:00:00',4,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215112431238834572112610162145',6056,'807',63.68,1,3,NULL),(20,5024722,'1992-07-06 00:00:00',4,6,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124161241416131731437732392124610131147',NULL,'1111',0.00,4,3,NULL),(20,5024749,'1992-09-07 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215112411468924142122610136092',NULL,'738',28.41,1,3,NULL),(20,5024757,'1991-09-15 00:00:00',4,6,11,2009,'M','N','CORDEIROS','ITAJAÍ','SC','124241241441272431343311285124610137042',3919,'388',70.05,4,3,NULL),(20,5024765,'1992-07-24 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241235152431489933575122610138097',14485,'883',47.24,1,3,NULL),(20,5024773,'1991-12-01 00:00:00',2,8,11,2009,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','123242241215112431489612174122610124152',6052,'457',65.88,1,3,NULL),(20,5024781,'1991-03-11 00:00:00',4,3,12,2008,'F','N','CENTRO','CURITIBA','PR','116161161215471431428913274124610166142',779,'9998',82.40,1,3,NULL),(20,5024811,'1991-02-15 00:00:00',2,2,12,2009,'F','N','VALPARAISO','BLUMENAU','SC','124244241215111451436622571124610128017',NULL,'9997',28.79,1,3,NULL),(20,5024820,'1993-03-17 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124242241215373731348613575122610141092',2048,'1146',76.73,1,3,NULL),(20,5024838,'1992-12-19 00:00:00',4,2,12,2009,'F','N','PANORAMA','PARANAVAÍ','PR','116164161217111221665512575112610132152',14719,'9998',46.52,1,3,NULL),(20,5024846,'1992-04-26 00:00:00',4,1,12,2009,'F','N','CENTRO','STA CRUZ SUL','RS','120202201216371731378831415122610162142',NULL,'9998',0.00,1,3,NULL),(20,5024854,'1990-08-23 00:00:00',4,1,12,2008,'F','N','SOUSAS','CAMPINAS','SP','125254251116472411578933575124610143162',10093,'9998',57.97,1,3,NULL),(20,5024862,'1993-06-09 00:00:00',4,15,11,2010,'M','S','CENTRO','ARARANGUÁ','SC','124242241217111731339722272125610134052',NULL,'970',49.53,1,3,NULL),(20,5024870,'1992-04-21 00:00:00',2,1,11,2009,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124242241215111431348833575114610117187',NULL,'1011',46.49,1,3,NULL),(20,5024889,'1988-06-28 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','125242241215574431378811574122610167097',106,'306',89.92,1,3,NULL),(20,5024897,'1989-06-24 00:00:00',4,9,12,2006,'M','N','MEDIANEIRA','CAXIAS SUL','RS','120203201336572431347924482124140738047',9696,'9998',56.60,1,3,NULL),(20,5024900,'1992-05-25 00:00:00',4,1,12,2009,'M','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251215111431379713575121610117047',NULL,'9998',0.00,1,3,NULL),(20,5024919,'1992-05-01 00:00:00',4,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241417112731436611572124610162077',NULL,'1023',30.18,1,3,NULL),(20,5024927,'1992-04-29 00:00:00',4,8,12,2009,'M','N','CENTRO','LONDRINA','PR','116252161417111432479814275142610137097',7036,'9998',60.72,3,3,NULL),(20,5024935,'1991-05-20 00:00:00',4,8,12,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242241216373431366724572124610127012',NULL,'459',36.67,1,3,NULL),(20,5024951,'1993-04-11 00:00:00',4,4,11,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241211112511438931245222610146012',9488,'185',56.51,4,3,NULL),(20,5024960,'1992-07-04 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241315311431436741375122610162147',9818,'44',54.98,1,3,NULL),(20,5024978,'1991-10-07 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242247215472431589913575114610147165',9403,'270',56.21,1,3,NULL),(20,5024994,'1992-06-25 00:00:00',4,2,12,2009,'F','N','CENTRO','MATOS COSTA','SC','124241241124131411445914571121610124072',NULL,'557',0.00,1,2,1),(20,5025001,'1992-07-13 00:00:00',4,6,12,2009,'M','N','CENTRO','ITAJAÍ','SC','124162161216471431479911575125610117062',1129,'9998',80.23,1,3,NULL),(20,5025010,'1991-03-06 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241216372731646411341124610122077',9311,'1074',57.25,1,3,NULL),(20,5025028,'1992-07-10 00:00:00',4,8,10,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215111431469911571112610135182',6264,'855',63.48,1,3,NULL),(20,5025036,'1990-02-18 00:00:00',4,1,11,2007,'M','N','CERQUEIRA CÉSAR','S PAULO','SP','125252251217571441379823571124610166097',697,'9998',82.49,1,3,NULL),(20,5025044,'1991-03-09 00:00:00',4,8,12,2008,'M','N','COLONIAL','S BENTO SUL','SC','124241241211472431356624574124610112171',3305,'974',71.85,1,3,NULL),(20,5025052,'1991-04-14 00:00:00',2,1,12,2008,'M','N','PINEVILLE','PINHAIS','PR','116241161116141431524518281334610165077',NULL,'9998',32.13,1,2,1),(20,5025079,'1992-01-14 00:00:00',4,1,11,2008,'F','N','CENTRO','CASCAVEL','PR','116162161215471431367913575122610162097',6807,'9998',60.71,1,3,NULL),(20,5025087,'1992-09-30 00:00:00',4,8,11,2009,'M','N','VILA IRACEMA','S JOSÉ CAMPOS','SP','125052251216471411548811375124610125097',8172,'9998',58.79,2,1,2),(20,5025109,'1993-02-11 00:00:00',4,4,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124242241216112331366824475112610121072',NULL,'1047',0.00,1,3,NULL),(20,5025117,'1992-03-20 00:00:00',4,1,12,2009,'F','N','RECANTO DOS PÁSSAROS','ALUMÍNIO','SP','125252251216111431469614572122610133094',NULL,'9998',0.00,1,3,NULL),(20,5025133,'1987-03-17 00:00:00',4,1,12,2004,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125252251215571431468711475125340747042',NULL,'9998',0.00,1,3,NULL),(20,5025141,'1992-05-03 00:00:00',2,1,12,2009,'F','N','CENTRO','ERNESTINA','RS','120201201135371411434923434124610133052',NULL,'9998',10.23,1,2,1),(20,5025168,'1992-12-22 00:00:00',4,5,11,2009,'F','N','VILA MANAUS','CRICIÚMA','SC','124241241115131431433714575124610126177',NULL,'921',0.00,1,3,NULL),(20,5025176,'1992-10-06 00:00:00',2,4,12,2009,'M','N','BELA VISTA','CHAPECÓ','SC','124241241127131331213321281224610136147',NULL,'963',34.91,1,2,1),(20,5025184,'1989-01-29 00:00:00',4,8,11,2005,'F','N','CENTRO','CURITIBA','PR','116252251216371411268934575122141421092',NULL,'9998',45.64,1,3,NULL),(20,5025192,'1991-10-15 00:00:00',4,10,12,2008,'F','N','DEHON','TUBARÃO','SC','124241241115372431537612575122610164047',11513,'1034',53.22,1,2,1),(20,5025206,'1989-06-01 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241125372311436511385124133237112',10695,'282',56.31,1,2,1),(20,5025214,'1992-11-22 00:00:00',4,8,11,2009,'M','N','VILA IRACEMA','S JOSÉ CAMPOS','SP','125112251215471531558814375124610127077',4580,'9998',67.04,3,3,NULL),(20,5025222,'1991-05-06 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241315373441237639395122231265143',4089,'272',70.02,1,3,NULL),(20,5025230,'1992-08-21 00:00:00',4,1,12,2009,'M','N','CENTRO','LARANJAL PAULISTA','SP','125252251215121432467614575122610124057',NULL,'9998',0.00,1,3,NULL),(20,5025249,'1988-11-29 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116573431126319445324610122142',8959,'359',57.97,1,2,1),(20,5025257,'1992-08-30 00:00:00',4,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215131431435411575124610161092',NULL,'1010',28.30,1,3,NULL),(20,5025265,'1992-03-30 00:00:00',4,3,12,2009,'M','N','CENTRO','ITUPORANGA','SC','124242241215371431538813475122610147052',15670,'654',43.94,1,3,NULL),(20,5025273,'1983-10-09 00:00:00',4,15,12,2001,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','224241241115131421226644442223610127051',NULL,'29',24.58,1,3,NULL),(20,5025290,'1991-05-07 00:00:00',4,1,12,2008,'F','N','PONTE PRETA','CAMPINAS','SP','125252251217472431466831575122610165092',710,'9998',83.11,1,3,NULL),(20,5025311,'1991-04-12 00:00:00',4,6,12,2008,'M','N','SÃO JOÃO','ITAJAÍ','SC','124242243215211331564414271114610114012',NULL,'388',0.00,1,3,NULL),(20,5025320,'1986-01-18 00:00:00',2,4,12,2003,'M','N','MELLO','CPO ERÊ','SC','124241241126271521433432245314610124027',3928,'137',68.97,1,2,1),(20,5025346,'1985-08-15 00:00:00',4,1,12,2003,'M','N','PERDIZES','S PAULO','SP','125252251617312352242221323322212624165',NULL,'9998',0.00,1,3,NULL),(20,5025354,'1990-06-23 00:00:00',2,1,12,2008,'M','N','CENTRO','VENÂNCIO AIRES','RS','120201201116371331448631381215610167042',NULL,'9998',34.17,1,2,1),(20,5025362,'1989-01-04 00:00:00',2,1,12,2006,'F','N','VILA SÃO JOÃO','FLORIANÓPOLIS','SC','124242241116472441226624382114610168197',10789,'307',54.89,1,3,NULL),(20,5025397,'1990-07-16 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','118182181217271441259813575124610136057',13116,'9998',49.33,1,3,NULL),(20,5025400,'1992-01-07 00:00:00',4,8,11,2009,'F','N','JARDIM SOCIAL','CURITIBA','PR','116162161217421711368714575124610165077',NULL,'9998',NULL,1,3,NULL),(20,5025419,'1985-09-01 00:00:00',2,1,12,2008,'F','N','BOTAFOGO','CAMPINAS','SP','125134137121531441335921282114610112086',NULL,'9998',0.00,2,3,NULL),(20,5025427,'1990-10-05 00:00:00',4,1,12,2007,'M','N','JARDIM TROPICAL','MARÍLIA','SP','125162161216412441469812195122141467042',14253,'9998',46.56,1,3,NULL),(20,5025435,'1992-08-11 00:00:00',4,6,10,2009,'M','N','DOM BOSCO','ITAJAÍ','SC','124244241215121211478812575112610164042',10441,'1026',57.34,1,3,NULL),(20,5025443,'1992-11-13 00:00:00',4,3,12,2009,'F','N','CASTELO BRANCO','ITAPEMA','SC','124241241115131332526311315124610124197',NULL,'405',0.00,1,2,1),(20,5025451,'1989-08-20 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241415371711337829285124610164077',NULL,'9999',21.42,1,3,NULL),(20,5025460,'1992-05-11 00:00:00',4,6,11,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241215373431235832385122610132097',5792,'1026',65.14,4,3,NULL),(20,5025478,'1991-06-01 00:00:00',4,4,12,2008,'F','N','INTERIOR','S CARLOS','SC','124241241126271432425435395122610126057',NULL,'704',17.29,1,3,NULL),(20,5025486,'1990-06-18 00:00:00',4,1,12,2007,'M','N','JARDIM LONGATTO','MOGI MIRIM','SP','125252251215571431467811575122610127042',NULL,'9998',0.00,1,3,NULL),(20,5025494,'1990-07-10 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111431489812125121610167042',NULL,'270',24.35,1,3,NULL),(20,5025508,'1992-03-29 00:00:00',4,8,11,2009,'M','N','ITAUM','JOINVILLE','SC','124242241217151531289813575122610127062',7416,'457',60.43,1,3,NULL),(20,5025516,'1991-08-25 00:00:00',4,3,12,2008,'F','N','BATEL','CURITIBA','PR','116162161216571431668811574124610123092',5316,'9998',66.65,1,3,NULL),(20,5025524,'1992-10-05 00:00:00',2,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215111421456612292122610127182',12885,'738',52.58,1,3,NULL),(20,5025532,'1991-07-26 00:00:00',4,8,12,2008,'F','N','FLORESTA','JOINVILLE','SC','124242241235371731337312382122610133012',7811,'489',60.13,1,3,NULL),(20,5025559,'1991-12-03 00:00:00',4,7,12,2008,'M','N','CENTRO','JOAÇABA','SC','124241241236272431457414245115610165172',NULL,'454',29.97,1,3,NULL),(20,5025567,'1991-05-30 00:00:00',4,17,12,2008,'F','N','JD CRISTAL','CASCAVEL','PR','116162168214121511488712573125610166082',320,'9998',86.22,4,3,NULL),(20,5025575,'1989-11-09 00:00:00',4,1,12,2007,'F','N','SANTA HILDA','FRANCA','SP','125254251215571241456632572122610162014',NULL,'9998',0.00,4,3,NULL),(20,5025583,'1984-02-09 00:00:00',4,1,12,2000,'M','N','HIGIENÓPOLIS','BAURU','SP','125251253446131431538813235133342142031',5967,'9998',62.44,4,3,NULL),(20,5025591,'1988-09-21 00:00:00',2,7,12,2005,'M','N','MATRIZ','VIDEIRA','SC','124243241117152711333833185125232366197',14903,'831',48.16,1,3,NULL),(20,5025621,'1992-12-18 00:00:00',4,1,12,2009,'M','N','BARRA FUNDA','S PAULO','SP','125252251217471331457832582122610167052',NULL,'9998',0.00,1,3,NULL),(20,5025630,'1992-07-14 00:00:00',2,1,11,2009,'M','N','ROÇADO','S JOSÉ','SC','124242241215111421458812375122610127042',14402,'737',47.44,1,3,NULL),(20,5025648,'1991-08-07 00:00:00',4,3,12,2008,'F','N','MOEMA','S PAULO','SP','125162251215471431267712575112610165112',NULL,'9998',0.00,1,3,NULL),(20,5025656,'1991-11-05 00:00:00',4,17,12,2009,'M','N','VILA NOVA','MAFRA','SC','124241241215111441458823575122610164141',6851,'541',60.99,1,3,NULL),(20,5025664,'1990-09-15 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215473431448829575124610134182',5868,'988',65.89,1,3,NULL),(20,5025672,'1969-07-16 00:00:00',2,2,5,2005,'M','N','VELHA','BLUMENAU','SC','224241247116151421332244345224130256092',NULL,'9999',7.54,1,3,NULL),(20,5025699,'1992-10-23 00:00:00',4,1,12,2009,'M','N','JARDIM LAGOA','PNT GROSSA','PR','116162161217311531479813575122610117041',8056,'9998',58.13,1,3,NULL),(20,5025702,'1991-08-29 00:00:00',4,8,12,2008,'M','N','VILA OLIMPIA','S PAULO','SP','125163251317471731486762575124610164057',5053,'9998',66.01,1,3,NULL),(20,5025710,'1992-05-29 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215121411488811575112610167122',530,'403',84.35,1,3,NULL),(20,5025745,'1992-10-22 00:00:00',4,1,12,2009,'M','N','CENTRO','GUARAPUAVA','PR','116162161217111431565816575122610164033',NULL,'9998',0.00,1,3,NULL),(20,5025753,'1992-01-04 00:00:00',4,9,12,2009,'F','N','FREI ROGÉRIO','LAGES','SC','124241241117131511533334272225610124147',NULL,'512',26.67,4,2,1),(20,5025761,'1992-02-03 00:00:00',4,8,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116164161215171431568833575122610157042',3548,'9998',71.17,3,3,NULL),(20,5025770,'1990-10-09 00:00:00',2,15,12,2008,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124242248216472231437613495112610117042',5898,'970',66.24,1,3,NULL),(20,5025788,'1988-02-25 00:00:00',5,8,12,2005,'F','N','FLORESTA','JOINVILLE','SC','124241241116473431536314345124131423011',NULL,'466',23.28,1,2,1),(20,5025796,'1991-04-03 00:00:00',4,1,12,2008,'F','N','JARDIM ANDERE','VARGINHA','MG','112134251216471431478812295122610134127',11599,'9998',51.96,1,3,NULL),(20,5025800,'1990-06-10 00:00:00',4,1,7,2008,'F','N','ASA NORTE','BRASÍLIA','DF','107074071117471431259923582112610148147',651,'9998',83.54,1,3,NULL),(20,5025818,'1993-01-04 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','126242241212111431578833375122610146147',NULL,'262',54.90,1,3,NULL),(20,5025826,'1990-09-17 00:00:00',4,1,12,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','116242161215473431588811571122610124192',1362,'9998',79.45,1,3,NULL),(20,5025834,'1990-09-17 00:00:00',2,8,12,2007,'F','N','BOQUEIRAO','CURITIBA','PR','116161161215472431326611572124610168177',10973,'9998',53.84,1,3,NULL),(20,5025850,'1991-11-14 00:00:00',4,1,12,2009,'F','N','MONTE LÍBANO','CPO GRANDE','MS','112122121216471411459713574112610163143',7012,'9998',61.22,1,3,NULL),(20,5025869,'1990-12-15 00:00:00',4,8,11,2008,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124243241216472431338833375122610166092',NULL,'422',36.45,1,3,NULL),(20,5025885,'1992-06-22 00:00:00',4,1,11,2009,'F','N','MONTE CARLO','CPO GRANDE','MS','112122121216111431376612582122610131197',12247,'9998',50.32,1,3,NULL),(20,5025893,'1991-03-07 00:00:00',2,1,11,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124251241415111732265574572122610168185',NULL,'1175',27.04,1,3,NULL),(20,5025907,'1991-11-04 00:00:00',2,1,12,2008,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124242241215472431338923475122610162192',5828,'970',65.70,4,3,NULL),(20,5025915,'1988-11-13 00:00:00',2,3,11,2007,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241416151621437611571122610114042',NULL,'44',24.40,1,3,NULL),(20,5025931,'1992-08-17 00:00:00',4,17,12,2009,'F','N','JD CRISTAL','CASCAVEL','PR','116162168214111512488712575125610164141',786,'9998',82.62,4,3,NULL),(20,5025940,'1993-06-24 00:00:00',4,1,12,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124254241215131411466614575122610134173',NULL,'1133',16.11,1,3,NULL),(20,5025966,'1991-04-23 00:00:00',4,1,12,2008,'F','N','TIJUQUINHAS','BIGUAÇU','SC','124241241116472431323319585124610166177',10176,'64',55.21,1,2,1),(20,5025974,'1992-07-13 00:00:00',4,8,12,2009,'F','N','B AHÚ','CURITIBA','PR','116162161215111431479931572124610165092',NULL,'9998',0.00,1,3,NULL),(20,5025982,'1992-02-16 00:00:00',4,1,12,2009,'M','N','VILA RAMI','JUNDIAÍ','SP','125252251117131411468813575124610122047',NULL,'9998',0.00,1,3,NULL),(20,5025990,'1990-08-21 00:00:00',4,1,12,2009,'M','N','LOT MADRI','PALHOÇA','SC','124241241145241711423324335224610114046',NULL,'293',28.73,4,2,1),(20,5026008,'1991-01-04 00:00:00',4,8,11,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242241215472411369933572122610124062',4503,'1063',67.40,1,3,NULL),(20,5026016,'1987-07-04 00:00:00',4,8,12,2007,'F','N','CENTRO','JOINVILLE','SC','124242241215574431378811572122610167072',12572,'461',50.36,1,3,NULL),(20,5026024,'1992-03-16 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241116321712426413472124610124017',14026,'307',48.54,1,2,1),(20,5026032,'1991-07-08 00:00:00',4,1,12,2008,'M','N','VILA MARIANA','S PAULO','SP','125252251216472431689831575122610137047',1658,'9998',77.68,1,3,NULL),(20,5026040,'1991-03-11 00:00:00',2,7,12,2008,'M','N','INTERIOR','LACERDÓPOLIS','SC','124241241121272431443336162224610127092',6193,'496',64.01,1,2,1),(20,5026059,'1987-05-07 00:00:00',2,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241125151431636353585124231227045',NULL,'282',25.74,1,3,NULL),(20,5026067,'1989-10-21 00:00:00',4,1,12,2006,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216324431247921495124233228097',NULL,'270',0.00,1,3,NULL),(20,5026075,'1989-05-18 00:00:00',3,1,12,2007,'M','N','SANTO AMARO','S PAULO','SP','125252251217271712489931311122240667184',1487,'9998',78.93,1,3,NULL),(20,5026083,'1987-09-16 00:00:00',2,8,12,2005,'M','N','BOM RETIRO','JOINVILLE','SC','124252251216272431358913415123131445122',10225,'9998',57.75,1,3,NULL),(20,5026091,'1990-03-24 00:00:00',2,8,12,2006,'M','N','GLORIA','JOINVILLE','SC','124241241116371352437614575124143242141',NULL,'475',0.00,1,3,NULL),(20,5026113,'1992-12-17 00:00:00',4,3,12,2009,'M','N','PEREQUÊ','PTO BELO','SC','124241241415111411456332175122610137052',14772,'1111',45.20,1,3,NULL),(20,5026121,'1991-11-28 00:00:00',2,1,12,2008,'F','N','PINGUIRITO','GAROPABA','SC','124241241146373431333312342122610136182',NULL,'322',0.00,1,2,1),(20,5026130,'1982-10-29 00:00:00',2,4,12,2001,'M','N','CENTRO','PINHALZINHO','SC','124241241111132421436812372111610117042',11776,'616',54.78,1,2,1),(20,5026148,'1992-11-17 00:00:00',4,8,12,2009,'M','N','VILA A','FOZ IGUAÇU','PR','116162161217111431478823575122610128181',NULL,'9998',0.00,1,3,NULL),(20,5026164,'1981-07-10 00:00:00',4,1,12,1998,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216213721329943435234121864047',NULL,'270',0.00,1,3,NULL),(20,5026172,'1991-08-03 00:00:00',2,8,11,2008,'F','N','CENTRO','CURITIBA','PR','116162161215571431668832391324610163172',10231,'9998',54.88,1,3,NULL),(20,5026180,'1991-07-14 00:00:00',2,1,12,2008,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242241316142731546823342134610163147',NULL,'9997',26.90,1,3,NULL),(20,5026202,'1990-10-30 00:00:00',4,1,12,2008,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125092251215421431569931575112610164093',2614,'9998',73.62,1,3,NULL),(20,5026229,'1982-09-17 00:00:00',2,1,12,2001,'F','N','BOA VISTA','CURITIBA','PR','116162161216143431347911385124242636122',4664,'9998',69.17,1,3,NULL),(20,5026237,'1992-09-10 00:00:00',4,10,12,2009,'M','N','CENTRO','TUBARÃO','SC','124242241215372751388812575122610115142',5529,'797',67.04,1,3,NULL),(20,5026245,'1992-12-13 00:00:00',4,15,12,2009,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124243241116111312624614245121610167017',NULL,'1033',29.16,4,1,2),(20,5026253,'1992-06-11 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431369839271124610146072',11085,'1050',52.68,1,3,NULL),(20,5026261,'1989-07-19 00:00:00',4,9,12,2006,'M','N','CENTRO','CPO BELO SUL','SC','124241241116252231435633475124132244052',2717,'745',74.37,1,2,1),(20,5026288,'1989-08-13 00:00:00',2,3,12,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215574431359913371114610125012',330,'1038',86.15,1,3,NULL),(20,5026296,'1993-11-11 00:00:00',4,10,11,2009,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215111532468814572122610134052',14469,'807',49.33,1,3,NULL),(20,5026318,'1991-09-06 00:00:00',2,7,12,2008,'M','N','CINQUENTENÁRIO','CONCÓRDIA','SC','124241241111111451226629395221132628057',NULL,'192',27.22,1,2,1),(20,5026326,'1993-01-25 00:00:00',2,8,12,2009,'F','N','JD ANTARTICA','S PAULO','SP','125254251215371431457613574124610143147',NULL,'9998',0.00,1,3,NULL),(20,5026342,'1988-04-29 00:00:00',4,1,12,2005,'M','N','VILA OLÍMPIA','S PAULO','SP','125132071217571411289912575112140262122',NULL,'9998',0.00,1,3,NULL),(20,5026350,'1991-03-01 00:00:00',4,1,12,2008,'M','N','VILA SAO JOSE','TAUBATÉ','SP','125252251217371431538832325111610167097',NULL,'9998',0.00,1,3,NULL),(20,5026369,'1992-12-13 00:00:00',2,8,12,2009,'F','N','JARDIM RECANTO','TOLEDO','PR','116161161137371431436612245122610168077',10542,'9998',53.69,1,2,1),(20,5026377,'1992-09-17 00:00:00',4,8,12,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215111431478813372122610163147',NULL,'9998',0.00,1,3,NULL),(20,5026393,'1991-08-23 00:00:00',2,1,11,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124242241215112431333339375114610147055',12587,'269',50.73,1,3,NULL),(20,5026407,'1992-08-18 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124243241216111411558731395122610164142',12695,'1111',49.08,1,3,NULL),(20,5026415,'1992-08-07 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202241215111432669831295115610167042',3164,'270',71.70,1,3,NULL),(20,5026423,'1992-07-11 00:00:00',2,7,12,2009,'F','N','FIGUEROA','CAÇADOR','SC','124241241115161431438614385124610136142',NULL,'122',0.00,1,2,1),(20,5026431,'1991-05-20 00:00:00',4,1,12,2008,'F','N','ZONA II','UMUARAMA','PR','116252161216371411468732575122610125077',NULL,'9998',0.00,1,3,NULL),(20,5026474,'1991-11-25 00:00:00',4,1,12,2008,'F','N','PARQUE MANDAQUI','S PAULO','SP','125252251215471431379812572122610113097',NULL,'9998',0.00,1,3,NULL),(20,5026482,'1991-02-22 00:00:00',2,4,12,2008,'F','N','ZONA DOIS','UMUARAMA','PR','116162161215471431568833575122610127012',1503,'9998',77.53,1,3,NULL),(20,5026490,'1990-09-12 00:00:00',4,4,12,2007,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241216574431446632575124610167092',12823,'185',49.87,1,3,NULL),(20,5026504,'1992-03-29 00:00:00',4,1,12,2009,'M','N','JARDIM CENTRAL','DOURADOS','MS','112122121214111222488816575122610167082',13587,'9998',48.93,1,3,NULL),(20,5026512,'1990-10-02 00:00:00',2,1,12,2008,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215472431236823272314610133187',11814,'1022',51.76,1,3,NULL),(20,5026520,'1991-03-12 00:00:00',4,1,12,2008,'F','N','CASTELO','BELO HORIZONTE','MG','113132131216471431456632575112610122142',3983,'9998',70.89,4,3,NULL),(20,5026539,'1991-04-09 00:00:00',2,1,12,2008,'M','N','PRADO','BIGUAÇU','SC','124241241117131111323469385214610112194',NULL,'65',18.01,1,2,1),(20,5026547,'1988-07-01 00:00:00',2,1,12,2005,'F','N','IPIRANGA','S JOSÉ','SC','124242241216375431344432245122122232072',NULL,'976',29.34,1,3,NULL),(20,5026555,'1992-01-15 00:00:00',4,8,12,2009,'F','N','SAGUAÇÚ','JOINVILLE','SC','124241246216211431665514375122610122145',14242,'1105',49.86,1,3,NULL),(20,5026563,'1992-01-22 00:00:00',4,1,12,2009,'F','N','JARDIM UNIVERSITARIO','S JOSÉ R PRETO','SP','125252251215111221378814575122610166142',NULL,'9998',0.00,1,3,NULL),(20,5026571,'1992-06-16 00:00:00',2,1,12,2009,'F','N','CENTRO','SALTO LONTRA','PR','116162161217161731259813575125610134075',NULL,'9998',0.00,1,3,NULL),(20,5026598,'1991-10-30 00:00:00',2,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','624244241415472431458813595114610127117',NULL,'267',24.49,4,3,NULL),(20,5026601,'1982-12-16 00:00:00',5,5,12,2000,'F','N','CENTRO','SIDERÓPOLIS','SC','524243241436131431635333431122332954177',10393,'768',57.42,1,3,NULL),(20,5026610,'1991-03-22 00:00:00',4,1,12,2008,'M','N','JARDIM AEROPORTO','MATÃO','SP','125252251211471431438823572112610147042',5625,'9998',64.82,1,3,NULL),(20,5026636,'1991-06-10 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116164161217471421566815576325610117077',2171,'9998',75.58,1,3,NULL),(20,5026644,'1993-07-27 00:00:00',4,2,12,2010,'F','S','ITOUPAVAZINHA','BLUMENAU','SC','124242241215111411567732575112610146172',NULL,'71',63.66,1,3,NULL),(20,5026652,'1992-11-12 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124281241235122431479934375124610164012',840,'883',82.22,1,3,NULL),(20,5026660,'1992-09-27 00:00:00',4,1,12,2009,'F','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124242241217271411336511175124610164042',3930,'1074',70.90,1,3,NULL),(20,5026679,'1979-01-09 00:00:00',4,1,12,1999,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124194171436151641129713376221541666177',9352,'9998',56.83,1,3,NULL),(20,5026687,'1990-06-01 00:00:00',2,3,12,2007,'F','N','BATEL','CURITIBA','PR','125253251126371411327933571124610123097',NULL,'9998',22.32,1,3,NULL),(20,5026695,'1990-07-17 00:00:00',2,10,11,2008,'F','N','JARDIM MARECÉU','GUARUJÁ','SP','125251251117571431539519272224610132097',NULL,'9998',0.00,2,2,1),(20,5026709,'1990-05-25 00:00:00',4,2,12,2007,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124242241215373441488633575122131424092',6165,'107',65.67,1,3,NULL),(20,5026717,'1987-10-19 00:00:00',4,1,12,2007,'F','N','CENTRO','AVARÉ','SP','125251257126571432246631375113610144087',11534,'9998',51.30,3,2,1),(20,5026733,'1992-09-19 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116141431336764242224610137072',13705,'285',46.77,1,3,NULL),(20,5026750,'1989-12-29 00:00:00',2,1,12,2007,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124241241116242431425534345214610124052',NULL,'298',30.30,4,2,1),(20,5026768,'1988-11-05 00:00:00',4,1,12,2006,'M','N','MENINO DEUS','PTO ALEGRE','RS','120211211116271731225579485114610137112',NULL,'9998',0.00,1,2,1),(20,5026776,'1992-03-24 00:00:00',4,1,12,2009,'F','N','ARIRIÚ','PALHOÇA','SC','124243241145271751323312282124610132142',NULL,'733',40.44,1,3,NULL),(20,5026784,'1991-01-30 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431358821575112610161072',6077,'270',64.09,1,3,NULL),(20,5026792,'1991-01-30 00:00:00',4,8,12,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124244241215372431369914572112610142042',4443,'1063',69.69,1,3,NULL),(20,5026806,'1991-08-16 00:00:00',2,3,11,2009,'M','N','JARDIM VALE VERDE','ROLÂNDIA','PR','116162161216171711489932575112610127055',NULL,'9998',22.25,1,3,NULL),(20,5026814,'1979-08-29 00:00:00',4,1,12,1999,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241126272441223464345124131922177',NULL,'818',0.00,1,3,NULL),(20,5026849,'1992-04-29 00:00:00',4,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215112731379919435112610124185',2896,'270',73.87,1,3,NULL),(20,5026857,'1992-02-20 00:00:00',2,8,12,2009,'M','N','BACACHERI','CURITIBA','PR','116162161216371431439932395122610164047',NULL,'9998',25.15,1,3,NULL),(20,5026865,'1991-04-23 00:00:00',4,1,12,2008,'M','N','BENASSI','MATÃO','SP','125252251216471441468831575112610117043',NULL,'9998',26.80,1,3,NULL),(20,5026873,'1990-04-18 00:00:00',4,1,12,2007,'F','N','JARDIM RONDONIA','RONDONÓPOLIS','MT','111111111347141441446924295124242864142',NULL,'9998',0.00,1,3,NULL),(20,5026881,'1980-07-15 00:00:00',2,1,12,1999,'F','N','CAMPINAS','S JOSÉ','SC','124161161136131431321229282124610121187',NULL,'9998',42.64,3,2,1),(20,5026890,'1992-08-06 00:00:00',4,1,12,2009,'F','N','SÃO LOURENÇO','CURITIBA','PR','116164161215471431559821572122610126147',NULL,'9998',0.00,1,3,NULL),(20,5026911,'1991-05-10 00:00:00',2,1,12,2008,'M','N','IPIRANGA','S JOSÉ','SC','124241241116131731426614295124230818147',NULL,'734',29.18,1,2,1),(20,5026920,'1991-10-17 00:00:00',2,4,12,2008,'F','N','BURTET','IJUÍ','RS','120201201115271411453811175124610136197',10383,'9998',57.44,1,2,1),(20,5026938,'1989-08-18 00:00:00',4,6,12,2006,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241215273431555832345122131467042',1882,'394',77.32,1,3,NULL),(20,5026946,'1992-04-25 00:00:00',4,3,12,2009,'F','N','JARDIM AMERICA','ITUPORANGA','SC','124241241146141431339923395122610123147',15977,'416',44.25,1,3,NULL),(20,5026954,'1970-04-24 00:00:00',2,1,12,1988,'M','N','INGLESES','FLORIANÓPOLIS','SC','524241248121131421423342122232330268192',NULL,'831',46.40,1,3,NULL),(20,5026962,'1991-03-07 00:00:00',5,8,12,2008,'M','N','TRÊS RIOS DO SUL','JARAGUÁ SUL','SC','124246241117151411323311415324610166052',NULL,'890',32.66,1,3,NULL),(20,5026970,'1992-07-09 00:00:00',2,10,12,2009,'F','N','MAR GROSSO','LAGUNA','SC','124242248215131731456623592124610138182',NULL,'525',28.31,1,3,NULL),(20,5026989,'1991-10-20 01:00:00',4,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124093241111271431525511372124610137077',NULL,'739',28.14,4,3,NULL),(20,5026997,'1993-02-25 00:00:00',4,3,11,2009,'M','N','PEREQUE','PTO BELO','SC','124242241215372251366632125121610167042',13923,'403',48.17,1,3,NULL),(20,5027004,'1980-11-21 00:00:00',2,1,10,2001,'M','N','GUAIRA','CURITIBA','PR','216161161126271431125541215322610127037',NULL,'9998',0.00,1,3,NULL),(20,5027012,'1988-06-25 00:00:00',4,1,10,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216152411448813485112232064195',8834,'1169',60.29,1,3,NULL),(20,5027020,'1991-06-17 00:00:00',4,1,12,2008,'F','N','BATEL','CURITIBA','PR','116162161215471431479933575122610122142',3659,'9998',69.25,1,3,NULL),(20,5027039,'1992-07-15 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241215111711436621575122610127093',NULL,'1118',20.21,1,3,NULL),(20,5027047,'1991-10-18 00:00:00',4,1,12,2009,'F','N','JARDIM PAU PRETO','INDAIATUBA','SP','125252251211111412459919495122610161112',10817,'9998',54.12,1,3,NULL),(20,5027055,'1991-07-22 00:00:00',4,1,12,2009,'F','N','NOVA CAMPINAS','CAMPINAS','SP','125252251215371531348813375124610133097',5292,'9998',65.00,1,3,NULL),(20,5027063,'1989-03-27 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217153411579812445122221452047',6341,'262',65.24,1,3,NULL),(20,5027071,'1991-02-25 00:00:00',1,2,12,2008,'F','N','SAO LUIZ','BRUSQUE','SC','124282281415471411388832215122610135076',7224,'9998',59.59,1,3,NULL),(20,5027080,'1991-10-28 00:00:00',4,1,12,2009,'F','N','VILA UNIVERSITÁRIA','BAURU','SP','125252251216111431358812572112610125051',2119,'9998',76.49,1,3,NULL),(20,5027098,'1991-06-28 00:00:00',4,1,12,2008,'F','N','VILA FORMOSA','S PAULO','SP','125252251217471441466722571124610136111',NULL,'9998',0.00,4,3,NULL),(20,5027101,'1992-08-26 00:00:00',4,1,12,2009,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241221111431424511571124610141183',15372,'262',46.71,1,3,NULL),(20,5027136,'1987-04-21 00:00:00',4,1,12,2005,'F','N','PANATANAL','FLORIANÓPOLIS','SC','124244241217275451443923385325222721022',NULL,'1022',0.00,4,1,2),(20,5027144,'1991-07-08 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372211558738576114610167185',1510,'1022',78.84,1,3,NULL),(20,5027152,'1977-10-19 00:00:00',2,1,12,2008,'M','N','JD VELOSO','OSASCO','SP','125161257116133711123344242231141056057',NULL,'9998',41.43,2,1,1),(20,5027160,'1990-09-13 00:00:00',4,1,12,2007,'F','N','PONTE ALTA','APARECIDA','SP','125252251216574431338823575122610166177',NULL,'9998',0.00,1,3,NULL),(20,5027179,'1989-06-05 00:00:00',2,3,12,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215474431333923575121610167141',13944,'44',47.01,1,3,NULL),(20,5027187,'1993-03-22 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431369923472122610133147',12366,'270',53.63,1,3,NULL),(20,5027195,'1990-04-09 00:00:00',4,1,12,2008,'F','N','JD DAS INDÚSTRIAS','S JOSÉ CAMPOS','SP','125251251215471311379914575114610116197',NULL,'9998',0.00,1,3,NULL),(20,5027217,'1992-01-27 00:00:00',4,2,11,2009,'F','N','BUDAG','RIO SUL','SC','124242241217151431427813572122610138077',NULL,'663',30.85,1,3,NULL),(20,5027225,'1980-01-02 00:00:00',1,1,12,1998,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241121272421123849494334322256187',3389,'295',72.39,2,1,1),(20,5027241,'1989-03-10 00:00:00',4,1,11,2006,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241217373451568939492125122668185',705,'270',83.14,1,3,NULL),(20,5027250,'1992-04-26 00:00:00',4,1,12,2009,'F','N','JARDIM TAROBÁ','FOZ IGUAÇU','PR','116161161117371431337813495124610127092',4194,'9998',68.53,1,2,1),(20,5027276,'1992-01-22 00:00:00',4,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124242241215111231346623575122610123142',NULL,'989',25.95,1,3,NULL),(20,5027292,'1990-10-29 00:00:00',4,4,12,2009,'M','N','ZONA III CENTRO','UMUARAMA','PR','116161163116131731226624572125610164077',8988,'9998',57.53,1,2,1),(20,5027306,'1962-03-24 00:00:00',4,1,12,1983,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242247227232421126644445124610164197',NULL,'260',26.72,1,3,NULL),(20,5027314,'1991-05-20 00:00:00',4,1,12,2008,'M','N','SANTA ROSA','MATÃO','SP','125251251117471431446611575122610137097',10100,'9998',54.70,1,2,1),(20,5027322,'1989-12-23 00:00:00',4,8,12,2007,'M','N','LIBERDADE','S PAULO','SP','125252251117371232438817572145143267117',4645,'9998',68.66,3,3,NULL),(20,5027330,'1992-07-17 00:00:00',2,1,11,2009,'F','N','CENTRO','TAIÓ','SC','124242241215111431437932575125610163142',3762,'270',70.23,1,3,NULL),(20,5027349,'1992-05-15 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115371732538564245124610127057',NULL,'295',25.22,1,2,1),(20,5027357,'1989-12-20 00:00:00',4,3,12,2006,'F','N','JARDIM ITATIAIA','LONDRINA','PR','116162161216574431337712575122610137187',1458,'9998',78.47,1,3,NULL),(20,5027373,'1991-07-09 00:00:00',4,1,12,2008,'M','N','SETOR OESTE','GOIÂNIA','GO','109092091215371421559831575122610117042',NULL,'9998',0.00,4,3,NULL),(20,5027381,'1992-04-03 00:00:00',2,8,11,2009,'M','N','MERCES','CURITIBA','PR','116162161215121411589934571122610126042',1926,'9998',75.50,1,3,NULL),(20,5027390,'1988-01-15 00:00:00',2,1,12,2007,'F','N','BURITI','RONDONÓPOLIS','MT','111111201127131431227714291223141314182',NULL,'9998',19.24,3,2,1),(20,5027403,'1991-07-09 00:00:00',4,1,11,2008,'M','N','CENTRO','CURITIBANOS','SC','124242241216373751248612575124610167072',538,'270',84.28,1,3,NULL),(20,5027411,'1991-02-20 00:00:00',2,2,11,2008,'F','N','EUGENIO SCHNEIDER','RIO SUL','SC','124241241111471331328614575124610128177',NULL,'75',22.30,1,2,1),(20,5027420,'1982-11-17 00:00:00',2,1,12,2000,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241346315431133344442112321534062',2402,'813',74.58,1,3,NULL),(20,5027438,'1989-09-13 00:00:00',4,4,12,2006,'F','N','LA SALLE','XANXERÊ','SC','124241241116573451433629272212610136147',3561,'840',70.54,4,2,1),(20,5027462,'1990-07-03 00:00:00',2,1,12,2007,'M','N','LAGOA BONITA','ENG COELHO','SP','125252251216572431469931575125610164042',NULL,'9998',NULL,1,3,NULL),(20,5027470,'1982-02-09 00:00:00',4,5,12,1999,'M','N','CENTRO','CRICIÚMA','SC','224244246436171431253944445132330122052',NULL,'230',0.00,1,3,NULL),(20,5027489,'1991-11-02 00:00:00',4,1,10,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241215111431335319291224610125097',14908,'269',45.50,1,3,NULL),(20,5027497,'1991-10-02 00:00:00',4,1,12,2009,'F','N','CENTRO','BURITAMA','SP','125253251117131431336615372221610124187',10502,'9998',53.69,1,3,NULL),(20,5027519,'1991-01-18 00:00:00',2,1,12,2008,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','125253258217311331638813572112610137042',12277,'9998',50.58,1,3,NULL),(20,5027535,'1991-12-18 00:00:00',4,1,12,2009,'F','N','LOT DONA ADÉLIA','S JOSÉ','SC','124244241215142431557612241124230263092',10165,'270',57.86,1,3,NULL),(20,5027543,'1985-08-15 00:00:00',4,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247437472431238624372314610162192',2768,'270',74.23,1,3,NULL),(20,5027551,'1992-09-25 00:00:00',2,3,11,2009,'F','N','CENTRO','BOMBINHAS','SC','124242241215111411348933275122610145132',10850,'1111',52.88,1,3,NULL),(20,5027560,'1990-02-10 00:00:00',4,1,12,2007,'F','N','RIBEIRÂNIA','RIBEIRÃO PRETO','SP','125254251216571211379811575122610162187',NULL,'9998',0.00,1,3,NULL),(20,5027578,'1993-04-17 00:00:00',2,1,12,2009,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124244241216111711465632575122610127052',NULL,'1023',0.00,1,3,NULL),(20,5027586,'1989-08-11 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241216475431448821445134133262197',NULL,'272',0.00,1,3,NULL),(20,5027594,'1992-04-08 00:00:00',4,1,10,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241215112731446619575124610123091',8271,'269',60.14,1,3,NULL),(20,5027616,'1992-04-02 00:00:00',4,1,11,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111231369632571122610167142',8832,'270',57.91,1,3,NULL),(20,5027632,'1990-10-28 00:00:00',4,1,12,2008,'M','N','MORUMBI SUL','S PAULO','SP','125252251217472411368814575112610162112',4173,'9998',67.61,1,3,NULL),(20,5027640,'1990-07-13 00:00:00',4,1,1,2009,'F','N','PQ DAS LARANJEIRAS','GOIÂNIA','GO','109092097315351431448933345122610166186',7651,'9998',62.52,1,3,NULL),(20,5027659,'1990-05-30 00:00:00',4,1,12,2007,'M','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241215372431439821315124220738092',2853,'270',73.95,1,3,NULL),(20,5027667,'1992-12-29 00:00:00',4,4,11,2009,'F','N','CENTRO','XANXERÊ','SC','124244241235152421636729575122610134147',14995,'836',45.39,1,3,NULL),(20,5027675,'1991-07-30 00:00:00',4,1,12,2008,'F','N','FERRAZ','GAROPABA','SC','124241241146151411658611276112610131197',NULL,'322',29.08,1,3,NULL),(20,5027683,'1992-06-01 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO','FLORIANÓPOLIS','SC','124241241116131711447614575124610128197',11945,'298',50.55,1,2,1),(20,5027691,'1991-07-12 00:00:00',4,5,12,2008,'M','N','CENTRO','BRUSQUE','SC','124242241215473431339834585122610127041',8876,'107',60.19,1,3,NULL),(20,5027705,'1992-10-12 00:00:00',4,1,12,2009,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124243241112131431566833575124610167047',NULL,'307',0.00,1,3,NULL),(20,5027721,'1992-03-17 00:00:00',4,6,12,2009,'F','N','SÃO JUDAS','ITAJAÍ','SC','124242241215121331366632345122610123042',NULL,'1172',0.00,1,3,NULL),(20,5027730,'1992-04-28 00:00:00',2,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242248115111431336329275122610133071',NULL,'1022',23.88,1,3,NULL),(20,5027748,'1991-05-06 00:00:00',2,1,12,2008,'M','N','CACHOEIRAS','BIGUAÇU','SC','124241241117372431536414342314610164027',NULL,'64',37.15,1,2,1),(20,5027756,'1989-11-14 00:00:00',4,1,12,2007,'M','N','PARK IMPERADOR','MATÃO','SP','125252251216571431548831575112610127042',NULL,'9998',0.00,1,3,NULL),(20,5027764,'1991-12-31 00:00:00',4,4,12,2008,'M','N','CENTRO','CHAPECÓ','SC','124201241136142421127344245124243264142',NULL,'177',0.00,1,2,1),(20,5027780,'1992-10-07 00:00:00',4,2,12,2009,'M','N','NAÇÕES','INDAIAL','SC','124242241216171431487831575112610134042',494,'909',84.57,1,3,NULL),(20,5027810,'1991-12-07 00:00:00',4,1,12,2009,'F','N','JD SÃO DIMAS','S JOSÉ CAMPOS','SP','125252251215121331358921375122610133077',11334,'9998',52.43,1,3,NULL),(20,5027829,'1991-09-02 00:00:00',4,1,12,2008,'F','N','VILA VITORIA','INDAIATUBA','SP','125251251115472431458911575112610134042',NULL,'9998',0.00,1,3,NULL),(20,5027837,'1992-08-18 00:00:00',4,2,11,2009,'F','N','ASILO','BLUMENAU','SC','124242241216132431238612195124610124147',1215,'71',78.91,1,3,NULL),(20,5027845,'1990-01-01 00:00:00',4,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124242241217272431338824375114133226142',NULL,'724',39.56,1,3,NULL),(20,5027870,'1990-04-09 00:00:00',4,8,12,2007,'F','N','JARDIM CHAPADAO','CAMPINAS','SP','125252251216574431349712271112610164177',NULL,'9998',0.00,1,3,NULL),(20,5027888,'1992-10-12 00:00:00',4,4,11,2009,'M','N','MARIA GORETTI','CHAPECÓ','SC','124242241215371431448831575112610164147',5097,'983',65.92,1,3,NULL),(20,5027896,'1992-03-02 00:00:00',4,1,12,2009,'M','N','MORADAS DO JATAY','CAÇAPAVA','SP','125252251217111711445812472245610117012',7262,'9998',61.63,1,3,NULL),(20,5027926,'1984-06-28 00:00:00',2,1,12,2001,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241136575431437419242124610134147',NULL,'307',31.68,2,1,1),(20,5027942,'1987-11-22 00:00:00',4,1,12,2005,'M','N','CANTO','FLORIANÓPOLIS','SC','124243241116153731336728475112221134132',13190,'306',52.00,4,1,2),(20,5027950,'1991-10-18 00:00:00',2,1,12,2008,'M','N','CRISTO REI','ESTRELA','RS','120202201332371411578839595125610167042',NULL,'9998',46.83,1,3,NULL),(20,5027969,'1992-03-26 00:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241215373751543611172122610164147',NULL,'44',32.17,1,3,NULL),(20,5027977,'1990-04-09 00:00:00',2,15,12,2007,'F','N','CENTRO','MARACAJÁ','SC','124242241216573441468833275224610122092',9222,'1169',58.52,1,3,NULL),(20,5027985,'1992-07-09 00:00:00',2,1,12,2009,'F','N','PRAINHA','FLORIANÓPOLIS','SC','124241241112241411334624292125610113187',NULL,'307',21.87,1,3,NULL),(20,5028019,'1991-04-26 00:00:00',4,1,12,2008,'F','N','VILA SOLTO','BAURU','SP','125121121115371431336622575124610134142',NULL,'9998',26.99,1,2,1),(20,5028043,'1985-12-23 00:00:00',2,1,12,2003,'M','N','PARTENON','PTO ALEGRE','RS','120202208217272431337377344224610138113',9534,'9998',57.34,1,3,NULL),(20,5028051,'1992-04-02 00:00:00',4,1,12,2009,'M','N','JD LAS PALMAS','GUARUJÁ','SP','125252251236131731467812472121610127117',NULL,'9998',0.00,1,3,NULL),(20,5028086,'1986-12-14 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201117373441245574175114143242152',11460,'9998',53.00,1,2,1),(20,5028094,'1992-06-07 00:00:00',4,1,11,2009,'M','N','FLORESTA','S JOSÉ','SC','124242241216131422468752145111610164117',14882,'723',48.20,4,3,NULL),(20,5028108,'1990-02-19 00:00:00',4,8,11,2008,'M','N','VILA MATHILDE VIEIRA','PRES PRUDENTE','SP','125122121216472431458831375124610164112',6154,'9998',64.57,3,3,NULL),(20,5028116,'1992-08-01 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471431467832582112610123097',7486,'262',60.91,1,3,NULL),(20,5028132,'1992-01-24 00:00:00',4,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431449619575114610164015',13130,'269',52.11,4,3,NULL),(20,5028140,'1990-09-18 00:00:00',4,9,12,2009,'F','N','PLANALTO','CAXIAS SUL','RS','120202201217471431368614272122610167122',10881,'9998',53.31,1,3,NULL),(20,5028159,'1991-11-13 00:00:00',2,1,12,2008,'M','N','JARDIM DAS NAÇÕES','TAUBATÉ','SP','125252251216471431448734575122610132032',NULL,'9998',0.00,1,3,NULL),(20,5028167,'1990-01-11 00:00:00',4,1,12,2007,'F','N','MORUMBI','S PAULO','SP','125252251217571431589913571122610167077',1702,'9998',76.81,1,3,NULL),(20,5028175,'1989-05-24 00:00:00',2,1,12,2006,'F','N','IPANEMA','PTO ALEGRE','RS','120202201116472751456839372124610165072',14730,'9998',45.00,1,3,NULL),(20,5028191,'1989-08-30 00:00:00',4,1,12,2007,'F','N','PITUBA','SALVADOR','BA','105052051215571431469934575122610122142',NULL,'9998',NULL,1,3,NULL),(20,5028205,'1991-11-20 00:00:00',4,1,12,2008,'M','N','SERTAO DO IMARUIM','S JOSÉ','SC','124241241114151421446611595224233222177',NULL,'614',0.00,1,2,1),(20,5028213,'1992-02-02 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431479911472124610146192',2672,'270',73.93,1,3,NULL),(20,5028221,'1992-07-30 00:00:00',4,7,12,2009,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','124162161215471431458912274124610166142',3657,'446',69.77,1,3,NULL),(20,5028248,'1988-11-20 00:00:00',4,1,12,2006,'F','N','CENTRO','CAMPINAS','SP','125252251211571431556632591124610164142',10553,'9998',56.34,1,3,NULL),(20,5028264,'1992-12-12 00:00:00',4,8,12,2009,'M','N','VILA IPIRANGA','LONDRINA','PR','116162161216111311378811572112610167056',NULL,'9998',0.00,1,3,NULL),(20,5028280,'1991-09-14 00:00:00',4,1,12,2008,'F','N','FORQUILHINHAS','S JOSÉ','SC','124244241212132422527832392132610151057',13830,'1075',50.69,1,3,NULL),(20,5028299,'1992-03-31 00:00:00',2,1,12,2009,'M','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125254251415171431448823485112610162054',NULL,'9998',0.00,1,3,NULL),(20,5028302,'1992-11-06 00:00:00',4,1,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241215151431456612574112610164182',178,'1038',88.38,1,3,NULL),(20,5028310,'1991-08-05 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472431369923572114610128071',3580,'1050',71.74,1,3,NULL),(20,5028329,'1992-02-11 00:00:00',4,1,10,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241214113431546639572112610121182',684,'1038',83.32,1,3,NULL),(20,5028337,'1991-02-11 00:00:00',4,2,10,2008,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241216473431557611595122610138092',2198,'855',76.06,1,3,NULL),(20,5028353,'1989-09-29 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116142731436436291124231066195',NULL,'616',0.00,1,2,1),(20,5028361,'1992-01-15 00:00:00',4,2,10,2009,'F','N','ITOUPAVAZINHA','BLUMENAU','SC','124242241212121431378939572122610147052',2047,'855',75.87,1,3,NULL),(20,5028370,'1991-01-01 00:00:00',4,1,12,2008,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241217472411446834375114610116051',8969,'1077',56.73,1,3,NULL),(20,5028396,'1992-11-10 00:00:00',2,9,12,2009,'F','N','VILA NOVA','LAGES','SC','124242241137131231458924375122610128094',NULL,'515',19.74,1,3,NULL),(20,5028418,'1992-04-11 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124244241412371441456612272112610165057',10116,'738',57.15,1,3,NULL),(20,5028426,'1991-11-02 00:00:00',4,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217111411369813475124610122013',1203,'270',80.21,1,3,NULL),(20,5028434,'1986-09-03 00:00:00',2,1,6,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124203247216271431436627495123610127112',16021,'9997',43.96,1,3,NULL),(20,5028442,'1991-05-29 00:00:00',4,8,11,2009,'F','N','SANTA QUITÉRIA','CURITIBA','PR','116162167317471711368931573121610132047',2987,'9998',71.57,1,3,NULL),(20,5028450,'1989-09-12 00:00:00',4,2,12,2006,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241216574431557631575122610123187',123,'855',89.59,4,3,NULL),(20,5028469,'1988-07-30 00:00:00',4,8,12,2005,'M','N','VILA IZABEL','CURITIBA','PR','116162251215572431348823571122142144042',NULL,'9998',33.83,1,3,NULL),(20,5028477,'1993-01-29 00:00:00',4,3,12,2009,'F','N','CENTRO','MISSAL','PR','116162161217161532478832572112610167157',14538,'9998',46.78,1,3,NULL),(20,5028485,'1992-09-09 00:00:00',4,1,12,2009,'M','N','CENTRO','S JOSÉ PINHAIS','PR','115162161116371431547414242124610162147',NULL,'9998',27.65,1,3,NULL),(20,5028493,'1992-08-22 00:00:00',4,2,12,2009,'F','N','POÇO GRANDE','GASPAR','SC','124242241216112431466911375122610127042',5296,'1137',66.11,1,3,NULL),(20,5028507,'1992-06-03 00:00:00',4,1,10,2009,'M','N','AREIAS','S JOSÉ','SC','124242241215113731476632575124610128182',1726,'269',77.43,1,3,NULL),(20,5028515,'1992-06-18 00:00:00',4,8,12,2009,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241115271431326829395124610127147',NULL,'1103',24.93,1,3,NULL),(20,5028523,'1987-04-26 00:00:00',4,1,12,2005,'M','N','CIDADE NOVA I','MANAUS','AM','104233046317131431656644345224143264012',NULL,'9998',NULL,4,3,NULL),(20,5028531,'1991-11-21 00:00:00',4,1,11,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111731349833571124610122037',4120,'883',69.12,1,3,NULL),(20,5028540,'1989-03-17 00:00:00',4,1,12,2006,'M','N','MARACANÃ','UBERLÂNDIA','MG','113132131216271731458939215122141464092',NULL,'9998',NULL,1,3,NULL),(20,5028558,'1991-05-20 00:00:00',4,8,12,2008,'M','N','VILA IZABEL','CURITIBA','PR','116162161215371441477912575124141447032',2041,'9998',75.25,1,3,NULL),(20,5028566,'1992-10-07 00:00:00',4,8,12,2009,'F','N','JARDIM PARAISO','ALM TAMANDARÉ','PR','116162161215111431348814575114610166183',NULL,'9998',53.69,4,3,NULL),(20,5028574,'1992-02-27 00:00:00',4,8,12,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215151431456614345121610167182',NULL,'441',29.82,1,3,NULL),(20,5028582,'1992-10-21 00:00:00',2,1,11,2009,'F','N','CENTRO','PALHOÇA','SC','124241241215112511343313275114610164142',NULL,'1011',28.39,1,3,NULL),(20,5028604,'1992-10-16 00:00:00',4,8,12,2009,'M','N','IRIRIU','JOINVILLE','SC','124242241215271451339632575122610167067',NULL,'1105',15.84,1,3,NULL),(20,5028620,'1991-11-16 00:00:00',4,1,12,2008,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','125252258217371331536829592112610122122',8807,'9998',57.36,1,3,NULL),(20,5028639,'1990-07-10 00:00:00',2,1,12,2008,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125252251216473441568619375125610126182',9466,'9998',56.82,1,3,NULL),(20,5028647,'1992-06-16 00:00:00',4,1,11,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217112431326629375124610167042',9407,'270',57.19,1,3,NULL),(20,5028655,'1992-05-11 00:00:00',4,8,7,2009,'M','N','TATUAPÉ','S PAULO','SP','125252251237111431468812575121610127182',3968,'9998',68.58,1,3,NULL),(20,5028671,'1993-02-17 00:00:00',4,5,10,2010,'F','S','PIO CORRÊA','CRICIÚMA','SC','124242241217111751469931575122610163127',NULL,'226',43.10,1,3,NULL),(20,5028680,'1989-12-15 00:00:00',2,3,12,2006,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124244241216515431469913575124610147092',1149,'109',80.35,1,3,NULL),(20,5028710,'1988-11-09 00:00:00',4,1,12,2006,'F','N','BOQUEIRÃO','SANTOS','SP','125252251237151411127841315122140464092',16257,'9998',41.61,1,3,NULL),(20,5028728,'1991-04-28 00:00:00',2,1,12,2008,'F','N','CENTRO','PTO ALEGRE','RS','120201201316471431427611591125610157147',NULL,'9998',21.58,1,3,NULL),(20,5028736,'1989-12-18 00:00:00',4,2,12,2007,'F','N','EMBARÉ','SANTOS','SP','125254251416573341536611575124610162142',7735,'9998',60.75,1,3,NULL),(20,5028744,'1991-12-17 00:00:00',4,8,12,2008,'M','N','CENTRO','CPO GRANDE','MS','112122121216372431479811575122610127122',NULL,'9998',27.88,1,3,NULL),(20,5028752,'1991-09-03 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115472431366613572124610125141',6573,'288',61.58,1,2,1),(20,5028760,'1992-07-14 00:00:00',2,15,10,2009,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241215111531468933575112610162056',7817,'32',62.18,1,3,NULL),(20,5028779,'1991-11-21 00:00:00',4,1,12,2009,'F','N','ITAMARACA','VALINHOS','SP','125252251211111411448713571114610118192',NULL,'9998',NULL,1,3,NULL),(20,5028787,'1992-11-25 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215311411358711572124610125142',6219,'270',65.53,1,3,NULL),(20,5028795,'1992-02-12 00:00:00',4,1,10,2009,'F','N','ITAIGARA','SALVADOR','BA','605052051217111431259811511122610126092',6332,'9998',62.14,1,3,NULL),(20,5028809,'1991-04-24 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241215473431433312575124610167055',2985,'1118',73.48,1,3,NULL),(20,5028817,'1991-11-24 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215411131356614575114610114077',8162,'273',61.54,1,3,NULL),(20,5028825,'1992-09-01 00:00:00',4,1,12,2009,'M','N','VILA GOMES','CPO GRANDE','MS','112122121216111421468914275122610117127',14759,'9998',45.91,1,3,NULL),(20,5028833,'1992-10-04 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241415112412366414345112610164172',611,'738',83.06,1,3,NULL),(20,5028841,'1985-08-15 00:00:00',2,1,12,2003,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241126131411646414345124610117057',NULL,'257',0.00,1,2,1),(20,5028850,'1991-09-17 00:00:00',2,3,12,2008,'F','N','CASA BRANCA','ITAPEMA','SC','124161168117571431424721385114610136152',NULL,'9998',44.82,1,3,NULL),(20,5028868,'1991-06-16 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215131431426314575124610165197',NULL,'273',28.39,1,3,NULL),(20,5028876,'1992-09-10 00:00:00',2,4,12,2009,'F','N','SANTA MARIA','MTE ALEGRE MINAS','MG','113241131117161431636414375124610143177',NULL,'9998',29.42,1,3,NULL),(20,5028892,'1991-03-23 00:00:00',4,1,12,2008,'F','N','RIO MOLHA','JARAGUÁ SUL','SC','124241241136371431426329295122610141017',NULL,'438',33.29,1,3,NULL),(20,5028906,'1990-11-22 00:00:00',4,1,12,2009,'M','N','CENTRO','GUAPORÉ','RS','120203201216271411559731575124610162097',NULL,'9998',0.00,1,3,NULL),(20,5028922,'1992-09-24 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212122411568813492122610164182',6262,'270',65.42,1,3,NULL),(20,5028930,'1990-08-09 00:00:00',2,1,11,2007,'F','N','CENTRO','VILHENA','RO','122221221116371431633536442125242013052',NULL,'9998',20.56,1,3,NULL),(20,5028949,'1992-08-02 00:00:00',2,1,11,2009,'F','N','IPIRANGA','S JOSÉ','SC','124242241215321431236823395114610163072',15493,'269',44.75,2,1,2),(20,5028957,'1983-09-03 00:00:00',4,1,12,2001,'M','N','CENTRO','TIJUCAS','SC','124241241116151431353123435122610127042',12134,'783',54.11,1,2,1),(20,5028965,'1992-05-18 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161216121431447934572124610163017',1611,'9998',78.43,1,3,NULL),(20,5028973,'1991-04-26 00:00:00',2,3,12,2008,'F','N','JD LIBERDADE','MARINGÁ','PR','116162161216371431348614575122610165047',NULL,'9998',26.61,1,3,NULL),(20,5028981,'1991-06-14 00:00:00',2,4,12,2008,'F','N','GERMÂNICO','XAXIM','SC','124241241116472411354512322122610126097',5772,'846',66.13,1,2,1),(20,5028990,'1992-11-04 00:00:00',2,1,11,2009,'M','N','RESTINGA','MAFRA','SC','124241248217111421328614595122613227047',9144,'541',58.19,1,3,NULL),(20,5029007,'1991-02-10 00:00:00',2,1,12,2008,'M','N','PARTENON','PTO ALEGRE','RS','120112111216471431459933575124610167012',11912,'9998',51.23,1,3,NULL),(20,5029015,'1992-04-18 00:00:00',4,8,12,2009,'M','N','ZONA III','UMUARAMA','PR','116122161235171411258934574322610124072',9765,'9998',56.65,1,3,NULL),(20,5029023,'1992-06-10 00:00:00',4,1,10,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241215121431476932575124610161122',8665,'1022',57.83,1,3,NULL),(20,5029031,'1992-05-13 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217113431549911415112610164097',1549,'270',77.80,1,3,NULL),(20,5029040,'1990-09-25 00:00:00',2,5,12,2007,'M','N','CENTRO','FORQUILHINHA','SC','124242241215573531547611374222610143147',391,'995',85.51,1,3,NULL),(20,5029058,'1972-07-10 00:00:00',4,1,12,1989,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216153431438741315132330266092',NULL,'305',0.00,1,3,NULL),(20,5029066,'1989-11-14 00:00:00',2,1,12,2007,'M','N','SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC','124241241115372411659613575124221427187',2854,'267',73.95,1,2,1),(20,5029082,'1992-08-03 00:00:00',4,3,12,2009,'M','N','VILA REAL','BAL CAMBORIÚ','SC','124241241416121431336636575122610134142',7947,'1038',60.21,1,3,NULL),(20,5029090,'1991-12-02 00:00:00',4,8,12,2009,'F','N','SUMARÉ','S PAULO','SP','125252251214371431379811575112610167012',NULL,'9998',0.00,1,3,NULL),(20,5029104,'1991-05-17 00:00:00',4,1,12,2008,'F','N','VILA CABANA','CANANÉIA','SP','125251251116141411636673346334142967087',NULL,'9998',24.20,4,3,NULL),(20,5029112,'1988-09-07 00:00:00',4,1,12,2006,'M','N','BOSQUE DA PRINCESA','PINDAMONHANGABA','SP','125252251216271411438811191124610162193',6467,'9998',64.99,1,3,NULL),(20,5029120,'1982-04-22 00:00:00',2,8,2,2002,'M','N','JUVEVÊ','CURITIBA','PR','116162167217571431388612572122342827047',7729,'9998',60.20,1,3,NULL),(20,5029139,'1989-07-14 00:00:00',2,10,12,2006,'F','N','TRISTEZA','PTO ALEGRE','RS','120202201217571751448719391114610164177',9073,'9998',56.37,1,3,NULL),(20,5029147,'1991-09-26 00:00:00',2,1,12,2008,'F','N','SANTA ISABEL','ÁGUAS MORNAS','SC','124241241116162731323419492224610127047',NULL,'978',19.77,1,3,NULL),(20,5029155,'1992-04-29 00:00:00',4,8,11,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161215471431588932575122610122013',4546,'9998',67.83,1,3,NULL),(20,5029163,'1988-12-09 00:00:00',4,1,12,2006,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124074071215574431487834375124231032132',5680,'9998',66.74,4,3,NULL),(20,5029171,'1986-11-17 00:00:00',4,1,12,2003,'F','N','JARDIM DAS IMBUIAS','S PAULO','SP','125252251216151721238823315134341764112',4320,'9998',68.34,1,3,NULL),(20,5029198,'1988-02-25 00:00:00',4,17,12,2006,'M','N','VILA ADYANA','S JOSÉ CAMPOS','SP','125252251216572431388813475122143237047',NULL,'9998',0.00,3,3,NULL),(20,5029201,'1992-04-06 00:00:00',2,1,12,2009,'M','N','SANTA MARIA','UBERLÂNDIA','MG','113133131216371431379813575122610167012',7448,'9998',61.31,1,3,NULL),(20,5029210,'1992-09-25 00:00:00',4,8,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161216121431279814575112610136192',2527,'9998',72.91,1,3,NULL),(20,5029236,'1992-05-10 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431469813134122610112115',609,'262',83.81,1,3,NULL),(20,5029244,'1990-08-27 00:00:00',2,1,12,2008,'M','N','SACO DO LIMOES','FLORIANÓPOLIS','SC','124251251112272711357929595124231936057',NULL,'9998',0.00,1,3,NULL),(20,5029260,'1993-01-26 00:00:00',2,1,12,2009,'F','N','MAR DAS PEDRAS','BIGUAÇU','SC','124242241215112432466823595124610124147',8554,'270',59.08,1,3,NULL),(20,5029279,'1985-04-12 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124243241327131231336629345122610117057',NULL,'736',0.00,1,3,NULL),(20,5029287,'1990-11-19 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472411468613575122610154092',7540,'270',60.97,1,3,NULL),(20,5029309,'1992-04-28 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217111431368631572114610167015',5480,'1022',65.64,1,3,NULL),(20,5029317,'1992-01-23 00:00:00',4,1,12,2009,'F','N','JARDIM SÃO MIGUEL','BIGUAÇU','SC','124242241216271432446633575122610132067',9843,'63',56.80,1,3,NULL),(20,5029325,'1992-12-09 00:00:00',4,17,12,2009,'M','N','ENCRUZILHADA','CANOINHAS','SC','124241241434111441327713395222610127052',NULL,'973',0.00,1,3,NULL),(20,5029333,'1989-09-05 00:00:00',2,4,12,2008,'M','N','JD LA SALLE','TOLEDO','PR','116162161216472431349914475125610168182',3870,'9998',70.07,1,3,NULL),(20,5029341,'1990-06-21 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124241241145131431633519342333610156052',NULL,'734',17.75,1,2,1),(20,5029350,'1991-10-07 00:00:00',4,1,12,2009,'F','N','CENTRO','S JOSÉ CAMPOS','SP','125251251215111411566824375122610136042',NULL,'9998',0.00,1,3,NULL),(20,5029368,'1989-09-21 00:00:00',4,1,11,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216373331456612595114220264042',2682,'213',74.49,1,3,NULL),(20,5029376,'1992-04-13 00:00:00',4,1,11,2009,'M','N','PORTAL DE DOURADOS','DOURADOS','MS','112122121217111431568816575122610167187',2752,'9998',72.45,1,3,NULL),(20,5029384,'1988-03-12 00:00:00',4,1,7,2007,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','113133137215571431586871575122610162012',4094,'9998',68.75,1,3,NULL),(20,5029392,'1982-03-27 00:00:00',4,1,6,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124203207426475431246829285124222263097',NULL,'9998',28.52,1,3,NULL),(20,5029406,'1992-02-05 00:00:00',2,1,12,2009,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124243241215111431434537375114610128117',11030,'1022',52.81,1,3,NULL),(20,5029414,'1991-11-04 00:00:00',4,8,11,2009,'M','N','CENTRO','JOINVILLE','SC','124242241215111431458912275112610124062',NULL,'1063',0.00,1,3,NULL),(20,5029422,'1989-02-13 00:00:00',2,7,12,2006,'F','N','UBERABA','CURITIBA','PR','116254251416371231126841412224141564077',NULL,'9998',23.16,4,3,NULL),(20,5029430,'1991-04-01 00:00:00',4,8,12,2009,'F','N','BOQUEIRÃO','CURITIBA','PR','116161163115471431536412384124610146197',NULL,'9998',33.93,1,2,1),(20,5029449,'1992-06-18 00:00:00',4,1,12,2009,'M','N','CENTRO','BRAÇO NORTE','SC','124242241216151441458414445122610168112',7122,'950',61.26,1,3,NULL),(20,5029457,'1992-12-29 00:00:00',2,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115111431426813472112610167065',9926,'271',54.87,1,2,1),(20,5029465,'1992-08-24 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124112241216121431558913575124610128141',10519,'1022',55.23,1,3,NULL),(20,5029473,'1990-10-01 00:00:00',4,1,12,2008,'F','N','PLANALTO PAULISTA','S PAULO','SP','125172151217371411448969275114610142017',NULL,'9998',0.00,1,3,NULL),(20,5029481,'1990-07-29 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215474431458933572122130425152',403,'499',85.34,1,3,NULL),(20,5029490,'1991-01-26 00:00:00',2,1,11,2008,'M','N','CENTRO','PALHOÇA','SC','124241241137371431433321242124610122012',NULL,'591',20.50,2,1,1),(20,5029503,'1990-12-13 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215372431458613575122610127042',8007,'270',61.82,1,3,NULL),(20,5029511,'1989-09-12 00:00:00',4,1,12,2007,'M','N','SANTANA','RIO CLARO','SP','125251251217571711363833575112610164042',3320,'9998',71.79,1,3,NULL),(20,5029520,'1986-11-05 00:00:00',4,17,12,2003,'M','N','CENTRO','CURITIBA','PR','116161161126572721323429295124141314182',7174,'9998',60.87,1,2,1),(20,5029554,'1992-03-28 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431479911495122610147092',3879,'270',70.17,1,3,NULL),(20,5029562,'1992-05-16 00:00:00',4,4,12,2009,'M','N','CENTRO','S DOMINGOS','SC','124241241235121631437532345124610137042',3022,'836',72.65,1,3,NULL),(20,5029570,'1992-03-19 00:00:00',2,1,12,2009,'F','N','ARIRIÚ','PALHOÇA','SC','124243241117131231336823575124610135057',13298,'772',48.60,1,3,NULL),(20,5029589,'1993-03-12 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112432367612324122610134191',5128,'270',68.00,1,3,NULL),(20,5029597,'1991-05-29 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241248112211251621639183124610117051',NULL,'733',23.45,1,2,1),(20,5029600,'1989-02-04 00:00:00',4,1,12,2006,'M','N','BROOKLIN','S PAULO','SP','125252251216571431358821571114610167047',NULL,'9998',0.00,1,3,NULL),(20,5029627,'1991-11-24 00:00:00',2,1,12,2009,'F','N','CENTRO','S JOSÉ','SC','124242241216111751421823575124610122192',12364,'737',50.88,1,3,NULL),(20,5029635,'1993-02-02 00:00:00',4,1,12,2009,'F','N','CENTRO','JOAÇABA','SC','124242241215121431465932575122610131072',NULL,'1038',0.00,4,3,NULL),(20,5029643,'1992-08-29 00:00:00',4,8,12,2009,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124242246217151531438819395121610137182',NULL,'1061',27.85,1,3,NULL),(20,5029651,'1991-09-29 00:00:00',2,3,12,2008,'M','N','BELA VISTA','RIO CLARO','SP','125252251215471331456632575122610167172',NULL,'9998',0.00,1,3,NULL),(20,5029660,'1976-03-27 00:00:00',2,1,5,2005,'M','N','AREIAS','S JOSÉ','SC','224241247146374441334344145122231314047',6926,'9999',60.90,1,2,1),(20,5029686,'1990-03-04 00:00:00',2,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431436627576123610127047',NULL,'738',26.52,1,3,NULL),(20,5029694,'1994-03-01 00:00:00',2,7,12,2010,'F','S','APARECIDA','VIDEIRA','SC','124241241216171531463812575125610147072',NULL,'1080',44.78,1,3,NULL),(20,5029708,'1991-03-05 00:00:00',2,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241116572431446734575114123264077',3482,'271',71.15,1,3,NULL),(20,5029724,'1990-05-10 00:00:00',2,8,12,2007,'M','N','SALETE','FRAIBURGO','SC','124242241216472431447632575124610127122',8368,'969',59.47,1,3,NULL),(20,5029732,'1992-11-30 00:00:00',2,10,11,2009,'M','N','MONTE CASTELO','TUBARÃO','SC','124242241215112431466913575122610168082',5543,'807',65.54,1,3,NULL),(20,5029740,'1992-06-17 00:00:00',4,8,12,2009,'F','N','BROOKLIN','S PAULO','SP','125252251217111431588934575122610133142',NULL,'9998',0.00,1,3,NULL),(20,5029759,'1991-10-06 00:00:00',4,10,11,2009,'M','N','CENTRO','JAGUARUNA','SC','124242241215112431358713592224610167042',6685,'807',63.80,3,3,NULL),(20,5029767,'1987-07-22 00:00:00',2,15,12,2005,'M','N','ERECHIM','BAL ARROIO SILVA','SC','124241241412132211426831482114130747017',NULL,'29',0.00,1,3,NULL),(20,5029783,'1988-08-30 00:00:00',2,8,12,2005,'F','N','VISTA ALEGRE','CURITIBA','PR','116162161115571451327823571124142564142',7349,'9998',61.75,1,3,NULL),(20,5029805,'1990-08-24 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216272431449913575124221427122',8661,'855',60.62,1,3,NULL),(20,5029813,'1991-04-03 00:00:00',4,2,12,2008,'M','N','CENTRO','SALETE','SC','124241242115472231448732575124610147047',2947,'662',72.12,1,2,1),(20,5029821,'1990-02-03 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116161161314571751638914475125143261012',14466,'9998',44.90,1,3,NULL),(20,5029830,'1987-12-26 00:00:00',1,1,12,2005,'F','N','VILA MARIANA','S PAULO','SP','125252251216572411446313575122610124072',10709,'9998',54.79,1,3,NULL),(20,5029848,'1991-04-23 00:00:00',2,1,10,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241215111421555614385124610163147',NULL,'269',18.80,1,3,NULL),(20,5029872,'1984-04-28 00:00:00',4,4,12,2001,'M','N','TARUMÃ','UMUARAMA','PR','116161161115571431333923475124343112052',785,'9998',82.62,1,2,1),(20,5029880,'1991-09-13 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431566814372112610137072',7607,'262',60.96,1,3,NULL),(20,5029899,'1990-12-17 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241212472431326621582124610127092',NULL,'269',26.02,1,3,NULL),(20,5029902,'1992-07-14 00:00:00',2,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124244241212111431324417472114610166097',12241,'1022',53.90,1,3,NULL),(20,5029910,'1991-12-10 00:00:00',2,1,12,2009,'F','N','ARIRIU','PALHOÇA','SC','124242241216152431476833572124610134091',NULL,'1175',26.34,1,3,NULL),(20,5029929,'1992-09-28 00:00:00',4,1,11,2009,'F','N','MARECHAL RONDOM','CANOAS','RS','120202201217111431476971595122610114042',4397,'9998',69.78,1,3,NULL),(20,5029937,'1990-08-30 00:00:00',4,1,12,2007,'M','N','JARDIM GRANJA OLGA','SOROCABA','SP','125252251217571431468911175122610167052',6614,'9998',62.28,1,3,NULL),(20,5029945,'1991-06-18 00:00:00',4,1,12,2008,'M','N','CENTRO','PTO ALEGRE','RS','120252251217471431448933575111610124157',4467,'9998',69.24,1,3,NULL),(20,5029953,'1992-04-15 00:00:00',4,5,11,2009,'F','N','LOTE SEIS','CRICIÚMA','SC','124242241215111431358933575124610121182',4210,'213',69.92,1,3,NULL),(20,5029961,'1992-05-12 00:00:00',3,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121431548832575124610121032',3825,'270',70.40,1,3,NULL),(20,5029988,'1991-07-18 00:00:00',4,1,12,2008,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241116372431546513245124610134091',9343,'739',55.77,1,2,1),(20,5029996,'1992-06-25 00:00:00',2,10,11,2009,'M','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124243241216112431338634585124610117057',1842,'807',77.44,1,3,NULL),(20,5030005,'1989-07-15 00:00:00',4,10,11,2006,'M','N','OFICINAS','TUBARÃO','SC','124243241216153732339923585124122321187',6346,'806',65.23,1,3,NULL),(20,5030013,'1992-08-26 00:00:00',4,1,11,2009,'M','N','CAPOERIAS','FLORIANÓPOLIS','SC','124242241216112431356832575114610137062',NULL,'270',59.60,1,3,NULL),(20,5030021,'1991-10-01 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112411448854572122610126182',NULL,'1050',50.83,1,3,NULL),(20,5030030,'1993-04-18 00:00:00',4,7,12,2010,'F','S','SANTA CRUZ','CONCÓRDIA','SC','124241241616151431448932595124610126147',NULL,'1001',50.82,1,3,NULL),(20,5030048,'1988-07-07 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224161161116372411353654445114131016142',7126,'9998',61.59,1,2,1),(20,5030056,'1989-08-04 00:00:00',4,1,12,2006,'F','N','POMPÉIA','S PAULO','SP','125252251216572431369734571114610163097',NULL,'9998',0.00,1,3,NULL),(20,5030064,'1991-11-16 00:00:00',2,15,12,2009,'F','N','NONOAI','PTO ALEGRE','RS','120242201217471431489931573114610166096',1812,'9998',77.26,1,3,NULL),(20,5030072,'1992-12-17 00:00:00',4,2,12,2009,'M','N','ESCOLA AGRICOLA','BLUMENAU','SC','124244241215151531378614585124610117042',NULL,'87',30.74,1,3,NULL),(20,5030080,'1991-09-20 00:00:00',4,1,12,2008,'F','N','CENTRO','S BENTO SUL','SC','124242241215474431487911572124230266142',1808,'270',77.44,1,3,NULL),(20,5030102,'1991-06-25 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241242234121612337612425122610164012',NULL,'259',16.78,2,3,NULL),(20,5030110,'1991-09-14 00:00:00',4,1,12,2008,'F','N','ASILO','BLUMENAU','SC','124242241215373431479914572124230422142',6216,'71',63.88,1,3,NULL),(20,5030129,'1988-03-21 00:00:00',4,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216474431248832475124133225185',392,'1022',85.49,1,3,NULL),(20,5030137,'1992-11-11 00:00:00',4,4,11,1992,'F','N','CENTRO','CHAPECÓ','SC','124242241215472421348834572122610168092',9150,'983',58.39,1,3,NULL),(20,5030145,'1990-04-12 00:00:00',4,3,12,2007,'F','N','BIGORRILHO','CURITIBA','PR','116242241215572431248834275114610123042',748,'44',82.91,1,3,NULL),(20,5030153,'1988-12-22 00:00:00',4,8,12,2006,'F','N','PARAÍSO','S PAULO','SP','125252251216572311559831571115143262187',NULL,'9998',0.00,1,3,NULL),(20,5030161,'1991-06-14 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215474431556622172122610136141',41,'807',92.03,1,3,NULL),(20,5030188,'1991-06-12 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472411588811575122610127072',5049,'270',67.28,1,3,NULL),(20,5030196,'1992-12-15 00:00:00',4,1,11,2009,'F','N','ROÇADO','S JOSÉ','SC','124241241216111431435614442122610131187',10041,'1076',57.60,1,3,NULL),(20,5030200,'1989-05-22 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216574431446612375124131243092',5593,'270',66.35,1,3,NULL),(20,5030218,'1992-08-04 00:00:00',4,8,10,2009,'F','N','GUANABARA','JOINVILLE','SC','124244241215121732238634574122610163146',2698,'1016',73.31,4,1,2),(20,5030226,'1991-12-13 00:00:00',4,2,12,2009,'M','N','MOSSUNGUÊ','CURITIBA','PR','116162161215111431488814591124610163052',9196,'9998',55.47,1,3,NULL),(20,5030234,'1992-08-13 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215131731536414272122610135147',13881,'1118',46.58,1,3,NULL),(20,5030242,'1993-10-15 00:00:00',4,15,12,2010,'M','S','CENTRO','BAL ARROIO SILVA','SC','124242241215111431368923572125610167072',NULL,'970',45.50,1,3,NULL),(20,5030250,'1992-10-19 00:00:00',2,1,11,2009,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241217131431346612572122610136042',NULL,'1075',23.98,1,3,NULL),(20,5030269,'1993-01-19 00:00:00',2,2,12,2009,'F','N','ALTO PEREQUE','PTO BELO','SC','124241241136141431533514345124610132042',NULL,'630',27.17,1,2,1),(20,5030277,'1994-05-20 00:00:00',2,10,11,2011,'F','S','CENTRO','RIO FORTUNA','SC','124242241215111431448839295124610113042',NULL,'950',42.26,1,3,NULL),(20,5030293,'1991-11-01 00:00:00',4,6,12,2008,'F','N','AHUU','CURITIBA','PR','116162161215571441478934571122610127072',NULL,'9998',0.00,1,3,NULL),(20,5030307,'1992-08-31 00:00:00',2,1,12,2009,'F','N','SANTA TEREZINHA','S BERNARDO CAMPO','SP','125253251217471432448834575122610138142',8814,'9998',57.13,1,3,NULL),(20,5030315,'1989-06-21 00:00:00',4,5,6,2007,'M','N','RIO FIORITA','SIDERÓPOLIS','SC','124243241415372741323923475124131464197',11684,'995',54.97,1,3,NULL),(20,5030323,'1990-05-02 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241116374431228869341314610167183',NULL,'307',31.74,1,3,NULL),(20,5030331,'1991-10-29 00:00:00',4,1,12,2009,'M','N','CENTRO TÉCNICO AEROE','S JOSÉ CAMPOS','SP','125251251415111731368613392125610117056',NULL,'9998',0.00,1,3,NULL),(20,5030340,'1991-10-23 00:00:00',2,1,12,2009,'F','N','IGRA NORTE','TORRES','RS','120252201211151451236929392122610121093',NULL,'9998',28.78,1,3,NULL),(20,5030358,'1991-05-06 00:00:00',4,8,11,2008,'F','N','FLORESTA','JOINVILLE','SC','124241241215472431448634392124610166147',5711,'489',65.26,1,3,NULL),(20,5030366,'1991-08-21 00:00:00',4,1,12,2010,'F','S','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124241241115151431469713592124610121142',NULL,'267',19.01,1,3,NULL),(20,5030374,'1991-03-20 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124161241115271711537631571114610122057',14421,'732',47.55,1,2,1),(20,5030390,'1992-11-11 00:00:00',2,6,11,2010,'M','S','GRAVATÁ','NAVEGANTES','SC','124244241416131431548511245132610168037',NULL,'937',49.74,1,3,NULL),(20,5030404,'1992-05-20 00:00:00',4,1,12,2009,'F','N','EXPOSIÇÃO','CAXIAS SUL','RS','120202201216471431457923575124610138142',4061,'9998',70.20,1,3,NULL),(20,5030412,'1991-01-02 00:00:00',4,1,12,2008,'F','N','TREMEMBÉ','S PAULO','SP','125252251215571451489914571112610164027',NULL,'9998',0.00,1,3,NULL),(20,5030420,'1988-04-15 00:00:00',4,1,12,2005,'M','N','CAMOBI','STA MARIA','RS','120241201341572741348414572113610126141',861,'9998',82.12,1,3,NULL),(20,5030439,'1992-07-08 00:00:00',4,8,12,2009,'M','N','SANTA HELENA','MARINGÁ','PR','116163161217271711547612572112610144064',8775,'9998',57.02,1,3,NULL),(20,5030447,'1992-07-21 00:00:00',4,9,12,2009,'M','N','CENTRO','LAGES','SC','124242241215111431489611595122610127062',8944,'499',58.23,1,3,NULL),(20,5030455,'1992-04-01 00:00:00',4,8,12,2009,'F','N','PERÓPOLIS','JOINVILLE','SC','124241241215121431437621574124610122142',7322,'1016',62.20,1,3,NULL),(20,5030463,'1992-08-01 00:00:00',2,5,11,2009,'F','N','MINA BRASIL','CRICIÚMA','SC','124241241212111731438413435124610128117',13917,'920',45.97,1,3,NULL),(20,5030471,'1992-03-04 00:00:00',2,1,12,2009,'M','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241115371431323319375114610162192',8077,'65',61.34,1,2,1),(20,5030480,'1991-12-08 00:00:00',4,1,11,2009,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241216111431466832575124610142142',5083,'270',66.21,1,3,NULL),(20,5030498,'1991-11-16 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241215111431338313575124610122092',NULL,'944',25.04,1,3,NULL),(20,5030510,'1991-01-08 00:00:00',4,8,11,2008,'M','N','ROCIO PEQUENA','S FRANCISCO SUL','SC','124243247122132132318541112345610162057',NULL,'9999',15.01,3,3,NULL),(20,5030528,'1991-08-15 00:00:00',4,1,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','116152161217471431349933576122610122117',NULL,'9998',0.00,1,3,NULL),(20,5030536,'1991-04-13 00:00:00',2,1,11,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241215112711533439572244610114182',12294,'270',53.78,1,3,NULL),(20,5030544,'1992-03-17 00:00:00',4,2,12,2009,'F','N','VELHA','BLUMENAU','SC','124242241217111411469914295122610161142',12152,'1018',54.08,1,3,NULL),(20,5030552,'1986-12-18 00:00:00',4,1,12,2004,'M','N','LIBERDADE','S PAULO','SP','125252251217131421223912445134343262147',4881,'9998',66.13,1,3,NULL),(20,5030560,'1992-09-12 00:00:00',4,1,11,2009,'F','N','CARVOIRA','FLORIANÓPOLIS','SC','124242241215112731438819572112610118017',13041,'270',49.27,1,3,NULL),(20,5030579,'1992-03-08 00:00:00',2,8,11,2009,'M','N','SANTA TEREZINHA','TANGARÁ SERRA','MT','111112111216121431468814572122610137073',12421,'9998',49.91,4,3,NULL),(20,5030587,'1990-03-23 00:00:00',1,1,12,2008,'F','N','SANTANA','RIO SUL','SC','124162241211113431546414371124610162192',4601,'991',69.29,1,3,NULL),(20,5030595,'1989-12-15 00:00:00',4,8,12,2007,'F','N','ZONA II','MARINGÁ','PR','116162161215571431589931575122610113192',3967,'9998',69.38,1,3,NULL),(20,5030617,'1992-04-14 00:00:00',1,8,11,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124242241216111431469614475122610161182',6189,'457',63.92,1,3,NULL),(20,5030625,'1992-07-30 00:00:00',4,1,12,2009,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124212241215271441216724475124610143097',15608,'259',43.10,1,3,NULL),(20,5030633,'1992-06-09 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124112241217132431489912572122610123127',11459,'272',53.04,1,3,NULL),(20,5030641,'1990-04-09 00:00:00',4,1,11,2007,'F','N','JARDIM DAS AMÉRICAS','CUIABÁ','MT','111112111217473431238832572122140422092',5212,'9998',67.80,1,3,NULL),(20,5030650,'1992-09-04 00:00:00',4,4,11,2009,'F','N','CENTRO','CHAPECÓ','SC','124241241417131431527614392124610132197',14489,'169',45.36,1,3,NULL),(20,5030668,'1991-10-15 00:00:00',4,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241215271431479839575122610142142',3799,'883',70.69,1,3,NULL),(20,5030676,'1992-11-04 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215151431368919385112610162187',10513,'738',54.26,1,3,NULL),(20,5030684,'1992-04-27 00:00:00',1,1,7,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242281415371431489932575122610168045',65,'9998',91.21,1,3,NULL),(20,5030692,'1992-04-23 00:00:00',2,1,11,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241215121431548653272124610131042',NULL,'269',NULL,1,3,NULL),(20,5030714,'1991-05-11 00:00:00',4,1,12,2008,'F','N','TARRAF','S JOSÉ R PRETO','SP','125254251415371731358831572122610167092',12056,'9998',50.85,1,3,NULL),(20,5030722,'1991-11-29 00:00:00',4,1,12,2008,'F','N','CENTENÁRIO','MONTENEGRO','RS','220204201117472751337619491114610122047',NULL,'9998',26.27,1,3,NULL),(20,5030749,'1991-12-03 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215111431338627575124610144063',15949,'269',42.81,1,3,NULL),(20,5030757,'1991-12-25 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215121431366923572122610134102',12996,'270',50.75,1,3,NULL),(20,5030765,'1993-04-28 00:00:00',2,1,10,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211121431556613571115610133047',8276,'300',61.35,1,3,NULL),(20,5030773,'1992-05-08 00:00:00',2,1,11,2009,'F','N','SANA TEREZA','BELO HORIZONTE','MG','113132131216131751556939572122610134072',10121,'9998',55.68,4,3,NULL),(20,5030781,'1992-06-03 00:00:00',4,6,12,2009,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242161211112431558831575322610126142',4118,'9998',69.57,1,3,NULL),(20,5030790,'1990-12-23 00:00:00',4,1,12,2008,'M','N','CABULA VI','SALVADOR','BA','105052051217471751467839575122610162147',5751,'9998',64.24,4,3,NULL),(20,5030803,'1986-05-09 00:00:00',2,2,12,2003,'M','N','MARGEM ESQUERDA','GASPAR','SC','124241241125475431423619175124131532197',8068,'325',59.51,1,2,1),(20,5030811,'1991-03-20 00:00:00',4,1,12,2008,'F','N','VILA BOSQUE','MARINGÁ','PR','116162161216471431449934575112610133072',6594,'9998',62.79,1,3,NULL),(20,5030820,'1991-09-01 00:00:00',4,1,12,2008,'F','N','PARQUE EDU CHAVES','S PAULO','SP','125252251216471431478913575112610112146',1140,'9998',80.08,1,3,NULL),(20,5030838,'1992-07-04 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217121431459913472114610128185',8174,'300',58.48,1,3,NULL),(20,5030846,'1992-01-15 00:00:00',4,1,12,2009,'M','N','VILA VIOTTO','JUNDIAÍ','SP','125252251216121431346823575124610164172',NULL,'9998',0.00,1,3,NULL),(20,5030854,'1991-02-13 00:00:00',4,1,11,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217472431429924575114610165057',5689,'270',66.72,1,3,NULL),(20,5030862,'1985-04-11 00:00:00',4,1,12,2009,'M','N','PARQUE CUIABÁ','CUIABÁ','MT','111121117126372731433719175124610132192',5273,'9998',66.44,2,1,1),(20,5030870,'1991-03-01 00:00:00',2,15,12,2007,'F','N','AZENHA','PTO ALEGRE','RS','120201201117571441123649391124610142177',1460,'9998',77.84,1,2,1),(20,5030889,'1991-10-01 00:00:00',4,1,12,2008,'M','N','PRESIDENTE VARGAS','CAXIAS SUL','RS','120202201216271441446923475124610164032',2860,'9998',73.48,1,3,NULL),(20,5030897,'1984-05-16 00:00:00',4,8,12,2001,'F','N','ALTO BOQUEIRÃO','CURITIBA','PR','216161161116571441255754571122141222047',2367,'9998',74.11,1,2,1),(20,5030900,'1992-01-12 00:00:00',4,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241116151721438851595124610142092',NULL,'288',22.12,1,2,1),(20,5030927,'1991-08-01 00:00:00',4,1,12,2008,'M','N','VILA MARIANA','S PAULO','SP','125252251215371431479814595112610167122',3290,'9998',71.10,3,3,NULL),(20,5030943,'1992-12-06 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111231559913372122610137042',NULL,'262',47.29,1,3,NULL),(20,5030951,'1991-09-29 00:00:00',4,4,12,2008,'M','N','ESPLANADA','CHAPECÓ','SC','124241241235472431346633571114610124127',5344,'983',67.17,1,3,NULL),(20,5030978,'1991-11-08 00:00:00',4,1,12,2009,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215372431469833572124610162042',8072,'262',60.23,1,3,NULL),(20,5030994,'1990-09-10 00:00:00',2,1,12,2007,'F','N','PASSA VINTE','PALHOÇA','SC','124241241116372431433331315124610137187',NULL,'592',25.52,1,2,1),(20,5031001,'1991-02-20 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215572431438612575125610122147',3211,'446',72.49,1,3,NULL),(20,5031010,'1987-09-25 00:00:00',4,8,12,2004,'M','N','CHAC STO ANTONIO','S PAULO','SP','125251251316571431445439585121610122017',NULL,'9998',0.00,1,3,NULL),(20,5031028,'1991-03-30 00:00:00',2,1,11,2008,'M','N','REBOUÇAS','CURITIBA','PR','116222221222471751436836372122610167052',9979,'9998',56.06,4,3,NULL),(20,5031036,'1989-08-23 00:00:00',4,8,12,2006,'M','N','UVARANAS','PNT GROSSA','PR','116162161216571441268314574125141437042',11687,'9998',52.10,1,3,NULL),(20,5031044,'1991-05-08 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161215471441268839574125610135142',NULL,'9998',41.97,1,3,NULL),(20,5031052,'1986-08-20 00:00:00',2,1,12,2003,'F','N','JOSE MENDES','FLORIANÓPOLIS','SC','224201201137133411226344345134610133097',NULL,'9998',43.18,1,3,NULL),(20,5031060,'1991-04-07 00:00:00',4,8,12,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215473431446831191122610162175',1765,'1063',77.05,1,3,NULL),(20,5031095,'1989-01-09 00:00:00',4,15,12,2006,'F','N','BOA VISTA','PTO ALEGRE','RS','120204201213571431438923571124610165097',1397,'9998',78.30,1,3,NULL),(20,5031109,'1991-04-09 00:00:00',4,7,12,2008,'F','N','NEVA','CASCAVEL','PR','116161161315271731446634572122610166072',9119,'9998',56.74,1,3,NULL),(20,5031117,'1991-05-06 00:00:00',2,1,12,2008,'F','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124243241216472441438819595124610127113',7538,'1022',62.30,1,3,NULL),(20,5031133,'1992-12-13 00:00:00',2,1,12,2009,'F','N','JARDIM DAS PALMEIRAS','PALHOÇA','SC','124241241215131431436613575124610128187',NULL,'1075',23.85,1,3,NULL),(20,5031141,'1991-06-20 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215271711338923275124143266187',8532,'424',57.38,1,3,NULL),(20,5031168,'1989-06-16 00:00:00',4,15,12,2006,'M','N','VILA SAO JOSE','ARARANGUÁ','SC','124241241146151731336934442323130837052',NULL,'250',21.45,1,3,NULL),(20,5031176,'1988-04-10 00:00:00',2,1,11,2005,'F','N','ARIRIU DA FORMIGA','PALHOÇA','SC','124241241134141431421443236224232732017',NULL,'591',10.49,1,2,1),(20,5031184,'1992-07-30 00:00:00',2,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241115371431423311312124610124147',NULL,'288',30.68,1,2,1),(20,5031192,'1991-01-17 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211372411559833572122130465187',2320,'270',75.73,1,3,NULL),(20,5031206,'1991-01-06 00:00:00',2,8,11,2008,'F','N','ACARAI','S FRANCISCO SUL','SC','124204241116273252446513575125610164077',NULL,'710',44.81,4,3,NULL),(20,5031214,'1990-11-22 00:00:00',4,8,12,2008,'F','N','SANTO AMARO','S PAULO','SP','125252251217471431677814375122610147047',6546,'9998',63.33,1,3,NULL),(20,5031230,'1992-03-29 00:00:00',4,1,12,2009,'M','N','CIDADE DE JARDIM','JACAREÍ','SP','125252251317111431278513575114610167092',8815,'9998',56.43,1,3,NULL),(20,5031249,'1985-06-29 00:00:00',2,5,12,2003,'M','N','PRIMEIRO DE MAIO','IÇARA','SC','124241248146131732121344442334610118147',NULL,'420',19.72,2,3,NULL),(20,5031257,'1990-11-25 00:00:00',2,1,12,2008,'F','N','FUNDOS','BIGUAÇU','SC','124241241115272431624414572114610132147',NULL,'65',18.67,1,2,1),(20,5031265,'1994-05-06 00:00:00',2,2,12,2010,'F','S','BELCHIOR ALTO','GASPAR','SC','124242241215111432659834375114610134012',NULL,'855',50.10,1,3,NULL),(20,5031273,'1985-04-28 00:00:00',2,1,12,2003,'M','N','BARREIROS','S JOSÉ','SC','124241241126135231635721445124220617042',NULL,'732',21.34,4,1,1),(20,5031281,'1987-06-21 00:00:00',4,1,11,2004,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241215373431669933582114220762182',1994,'266',75.46,1,3,NULL),(20,5031290,'1992-01-08 00:00:00',4,1,11,2009,'F','N','JD BELA VISTA','CPO GRANDE','MS','112122121215121431477832575112610121142',NULL,'9998',26.18,1,3,NULL),(20,5031303,'1992-12-09 00:00:00',2,4,12,2009,'F','N','CENTRO','BOM JESUS','SC','124241241216121431446934371124610132147',10517,'1081',55.73,1,3,NULL),(20,5031311,'1987-11-19 00:00:00',2,1,11,2004,'M','N','BATEL','CURITIBA','PR','116222221235271431568613491114141067052',NULL,'9998',0.00,1,3,NULL),(20,5031338,'1991-01-31 00:00:00',4,1,11,2008,'F','N','VILA MARIANA','S PAULO','SP','125252251217471431353612575122610162127',2681,'9998',72.52,1,3,NULL),(20,5031346,'1992-03-29 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215112431458814475124610121147',12816,'272',51.49,1,3,NULL),(20,5031354,'1992-01-12 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431568823575122610118072',13293,'270',51.75,1,3,NULL),(20,5031370,'1992-05-01 00:00:00',4,8,11,2009,'F','N','TRÊS RIOS DO SUL','JARAGUÁ SUL','SC','124241246216271231356674575122610128057',12449,'1061',53.47,4,3,NULL),(20,5031389,'1987-03-24 00:00:00',2,1,12,2004,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241136374431323313275124120831097',5356,'307',66.51,1,2,1),(20,5031397,'1990-08-15 00:00:00',2,1,12,2007,'F','N','ROÇADO','S JOSÉ','SC','124244241215473431433611482114610163077',6964,'813',63.91,1,3,NULL),(20,5031400,'1993-01-02 00:00:00',4,9,12,2010,'F','S','GRUTA','ITUPORANGA','SC','124244241216151751458913295122610133142',NULL,'1173',27.29,1,3,NULL),(20,5031419,'1989-02-04 00:00:00',4,1,12,2006,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124161161411371431239923571124240828182',6401,'9998',63.40,1,3,NULL),(20,5031435,'1990-10-22 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215573431457732572124610114125',4269,'1022',68.83,1,3,NULL),(20,5031451,'1992-12-25 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112431468914572114610133142',2267,'270',75.94,1,3,NULL),(20,5031460,'1992-11-28 00:00:00',2,1,12,2009,'F','N','JARDIM AQUARIUS','PALHOÇA','SC','124243241215111431638613432124610123017',11044,'1011',54.69,1,3,NULL),(20,5031478,'1991-09-06 00:00:00',4,8,11,2009,'M','N','ATIRADORES','JOINVILLE','SC','124242241215111431447612395115610164112',NULL,'1063',26.46,1,3,NULL),(20,5031486,'1991-05-24 00:00:00',2,8,12,2008,'M','N','PALMITAL','PARANAGUÁ','PR','116162161217371731557512575125610167072',NULL,'9998',40.25,3,3,NULL),(20,5031494,'1993-08-15 00:00:00',4,1,12,2010,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124243241215151431459831575124610164032',NULL,'262',49.56,1,3,NULL),(20,5031516,'1990-04-21 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241112271731633431415114610133057',NULL,'733',26.81,1,2,1),(20,5031524,'1992-07-02 00:00:00',4,8,11,2009,'F','N','FLORESTA','JOINVILLE','SC','124242241215372431267614575122610162142',6830,'486',61.52,1,3,NULL),(20,5031532,'1991-11-25 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215473431459812275124610127042',7148,'273',61.56,1,3,NULL),(20,5031540,'1991-03-18 00:00:00',4,1,12,2008,'F','N','NOVA JACAREZINHO','JACAREZINHO','PR','116162161216272411359814575122610162127',NULL,'9998',0.00,1,3,NULL),(20,5031559,'1990-03-11 00:00:00',4,3,12,2008,'M','N','CENTRO','TIJUCAS','SC','124241241114131431524311572221610164172',NULL,'783',24.76,4,2,1),(20,5031567,'1992-08-01 00:00:00',2,1,12,2009,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124242241217111431437632575122610164012',NULL,'770',24.50,1,3,NULL),(20,5031575,'1992-09-09 00:00:00',4,1,11,2009,'F','N','VILA PLANALTO','DOURADOS','MS','112122161216111421428811575122610127182',5524,'9998',65.17,3,3,NULL),(20,5031583,'1991-05-22 00:00:00',4,8,12,2008,'M','N','V SAO FRANCISCO','S PAULO','SP','125252251216472212458834575114610147077',146,'9998',89.14,1,3,NULL),(20,5031591,'1988-09-12 00:00:00',4,1,12,2006,'M','N','JARDIM PRIMAVERA','CAÇAPAVA','SP','125252251216572411476613275112610112172',NULL,'9998',32.82,4,3,NULL),(20,5031605,'1992-02-07 00:00:00',4,8,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161435111311466632572124610162092',7725,'9998',60.92,1,3,NULL),(20,5031613,'1991-04-14 00:00:00',2,8,12,2008,'F','N','VITOR DANTAS','CORNÉLIO PROCÓPIO','PR','116162161216471721457923435124610166017',NULL,'9998',0.00,1,3,NULL),(20,5031630,'1992-04-01 00:00:00',2,6,12,2009,'F','N','VILA OPERARIA','ITAJAÍ','SC','124244241216131731434411395125610162042',NULL,'388',0.00,1,3,NULL),(20,5031672,'1992-05-26 00:00:00',4,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124241241117472431348913471121610164177',6448,'239',64.69,1,2,1),(20,5031680,'1992-03-04 00:00:00',4,6,12,2009,'F','N','CENTRO','CORUPÁ','SC','124241241116372431446531395122610144092',15586,'203',45.94,1,2,1),(20,5031699,'1992-07-21 00:00:00',2,6,11,2009,'F','N','BIGORRILHO','CURITIBA','PR','116242161215471431478714572122610142072',13778,'9998',47.34,1,3,NULL),(20,5031702,'1991-08-27 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215272431378911575124221442122',1839,'991',76.11,1,3,NULL),(20,5031710,'1992-04-21 00:00:00',4,2,11,2009,'M','N','STO INACIO','CURITIBA','PR','116162161217111731488831315122610147112',6168,'9998',62.80,1,3,NULL),(20,5031729,'1992-09-25 00:00:00',4,1,12,2009,'F','N','ZONA SETE','MARINGÁ','PR','116163161216111431468834575122610127142',NULL,'9998',0.00,1,3,NULL),(20,5031737,'1991-03-27 00:00:00',2,5,12,2008,'F','N','IAPI','PTO ALEGRE','RS','120202201216271431448823595124610148177',NULL,'9998',21.67,1,3,NULL),(20,5031745,'1991-04-01 00:00:00',4,8,12,2009,'M','N','GLÓRIA','JOINVILLE','SC','124242241215111411489933595112610168142',NULL,'1063',59.03,1,3,NULL),(20,5031761,'1988-02-26 00:00:00',4,2,12,2005,'M','N','CENTRO','STA BÁRBARA D OESTE','SP','125253251115571421536611175124610142027',NULL,'9998',0.00,1,3,NULL),(20,5031770,'1990-12-03 00:00:00',2,1,12,2008,'F','N','JORDANOPOLIS','S PAULO','SP','125251251117371731556714485122610122077',12446,'9998',51.05,1,2,1),(20,5031788,'1991-04-10 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124241241117272311326634571124610134147',15548,'733',46.11,1,2,1),(20,5031796,'1991-07-25 00:00:00',2,8,11,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215271431388931575112610131142',2439,'486',75.31,1,3,NULL),(20,5031800,'1991-09-25 00:00:00',4,8,12,2009,'F','N','CENTRO','RIO NEGRINHO','SC','124242161217111411477812572122610166187',NULL,'9998',0.00,1,3,NULL),(20,5031826,'1984-07-26 00:00:00',4,1,11,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241217374411229859472114120364182',NULL,'806',0.00,1,3,NULL),(20,5031834,'1985-03-01 00:00:00',4,1,12,2002,'F','N','TREMEMBÉ','S PAULO','SP','125253251116572411458411175114140663167',5436,'9998',65.32,1,3,NULL),(20,5031850,'1992-01-24 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216372131479934575124231418182',12942,'270',52.47,1,3,NULL),(20,5031869,'1991-12-12 00:00:00',4,1,11,2009,'M','N','ENCANTADA','GAROPABA','SC','124244241345272731548613575124610134012',7116,'362',61.73,1,3,NULL),(20,5031877,'1978-12-18 00:00:00',2,1,12,1997,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','624241246116355721255443131122121767147',12262,'306',53.86,1,2,1),(20,5031885,'1992-01-06 00:00:00',4,1,12,2009,'M','N','CAIXA POSTAL','FLORIANÓPOLIS','SC','124252241215111431466672572122610111125',11485,'270',54.41,1,3,NULL),(20,5031893,'1992-09-15 00:00:00',4,1,11,2009,'M','N','SANTA TEREZINHA','PATO BRANCO','PR','116162161211111411236622573124610134142',4294,'9998',67.36,1,3,NULL),(20,5031907,'1992-04-08 00:00:00',4,8,12,2009,'M','N','REBOUÇAS','CURITIBA','PR','116161161315121431345514575124610137057',3163,'9998',71.79,1,3,NULL),(20,5031915,'1985-02-20 00:00:00',2,1,12,2002,'F','N','VILA NOVA','PTO ALEGRE','RS','120202201217371431559819514112343234093',10682,'9998',55.25,1,3,NULL),(20,5031923,'1965-08-11 00:00:00',2,1,12,2001,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','224241247622132721631154282122610126047',NULL,'9999',24.06,1,3,NULL),(20,5031931,'1990-10-09 00:00:00',4,1,7,2008,'M','N','ATIRADORES','JOINVILLE','SC','124284281415471431489932574122610124085',535,'9998',84.33,1,3,NULL),(20,5031958,'1991-10-11 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113431489613572125610127112',924,'270',81.73,1,3,NULL),(20,5031966,'1992-07-15 00:00:00',4,1,10,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241215112431468712572114610167187',6037,'269',65.87,1,3,NULL),(20,5031974,'1990-01-21 00:00:00',4,1,12,2007,'M','N','CIDADE JARDIM','BELO HORIZONTE','MG','113082081217572431488814475114610142093',1731,'9998',76.87,1,3,NULL),(20,5031982,'1992-10-12 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215122431347824575124610147022',9493,'270',57.66,1,3,NULL),(20,5031990,'1991-08-17 00:00:00',4,8,12,2009,'M','N','COMASA','JOINVILLE','SC','124241241111141721334311381121610162062',NULL,'469',0.00,4,2,1),(20,5032008,'1992-03-19 00:00:00',4,1,11,2008,'M','N','LIBERDADE','S PAULO','SP','125142141216272441588812475124610144197',NULL,'9998',0.00,1,3,NULL),(20,5032016,'1992-08-18 00:00:00',4,4,11,2009,'M','N','SANTA MARIA','CHAPECÓ','SC','124242241116311711459912575122610117047',15278,'983',47.03,1,3,NULL),(20,5032024,'1992-02-26 00:00:00',4,1,11,2009,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121216151431458811372122610124117',993,'9998',79.54,1,3,NULL),(20,5032040,'1990-11-12 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431368612575112610162012',6899,'270',62.76,1,3,NULL),(20,5032067,'1992-10-27 00:00:00',4,4,11,2009,'M','N','CENTRO','CONCÓRDIA','SC','124242241215112431428652275122610137052',12959,'1000',48.64,1,3,NULL),(20,5032083,'1992-12-11 00:00:00',2,4,12,2009,'F','N','CENTRO','PINHALZINHO','SC','124241241116161431443911285132610168017',13553,'616',51.27,1,3,NULL),(20,5032091,'1991-01-06 00:00:00',2,6,12,2008,'M','N','CENTRO','ITAJAÍ','SC','124241241217131431646521575124231467012',NULL,'388',12.43,1,3,NULL),(20,5032105,'1990-08-06 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124212241215373431458713335124133242191',1964,'262',76.53,1,3,NULL),(20,5032113,'1991-08-09 00:00:00',2,1,12,2008,'F','N','DOM FELICIANO','GRAVATAÍ','RS','120202201216571431568814572112610163072',12308,'9998',53.76,1,3,NULL),(20,5032121,'1992-08-22 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431358811575122610121172',7713,'270',59.88,1,3,NULL),(20,5032130,'1992-11-25 00:00:00',4,4,12,2009,'M','N','CENTRO','XANXERÊ','SC','124241241115141431248654245112610167045',14440,'840',45.41,4,3,NULL),(20,5032148,'1992-09-14 00:00:00',2,8,12,2009,'F','N','JARDIM OURO VERDE','OURINHOS','SP','125252251217111431327722572125610121047',NULL,'9998',0.00,1,3,NULL),(20,5032156,'1992-02-25 00:00:00',4,4,12,2009,'F','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124242241215111431436714572122610117147',1615,'983',78.41,1,3,NULL),(20,5032164,'1990-01-01 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241416372431427723475114131328091',NULL,'1022',33.04,1,3,NULL),(20,5032172,'1991-06-18 00:00:00',2,1,12,2008,'F','N','BALNEARIO ESTREITO','FLORIANÓPOLIS','SC','124242241215272431639614245114610163077',11675,'1022',51.19,1,3,NULL),(20,5032199,'1990-03-02 00:00:00',2,15,12,2007,'M','N','ALTO FELIZ','ARARANGUÁ','SC','124241248147141532435434245125611454052',NULL,'29',21.19,1,3,NULL),(20,5032202,'1991-03-04 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124244241215271431369913372122610123142',8114,'723',60.06,1,3,NULL),(20,5032210,'1986-10-16 00:00:00',4,1,12,2005,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241216575431569833575122132664042',6654,'270',64.59,1,3,NULL),(20,5032229,'1992-04-27 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112531466912275112610137042',3002,'270',72.34,1,3,NULL),(20,5032237,'1992-05-25 00:00:00',4,8,12,2009,'M','N','CENTRO','TOLEDO','PR','116162161215111731418632225114610167122',6950,'9998',60.80,1,3,NULL),(20,5032245,'1988-06-21 00:00:00',2,1,11,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247216274741328412425134610124057',NULL,'1169',0.00,1,3,NULL),(20,5032253,'1991-03-22 00:00:00',4,1,12,2008,'F','N','JARDIM AMÉRICA','RIO CLARO','SP','125252251217471431356314175112610164077',9132,'9998',56.05,1,3,NULL),(20,5032261,'1991-11-18 00:00:00',4,1,12,2009,'M','N','VILA BARTH','ITAPETININGA','SP','625252251216111731558736275122610164042',NULL,'9998',0.00,3,3,NULL),(20,5032270,'1992-10-07 00:00:00',2,1,11,2009,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124243241217111431348711572114610167041',NULL,'269',25.66,1,3,NULL),(20,5032296,'1992-01-01 00:00:00',4,1,12,2009,'F','N','FONTE GRANDE','CONTAGEM','MG','113042131216271331458714572122610168182',13187,'9998',46.39,3,3,NULL),(20,5032300,'1991-06-06 00:00:00',4,1,12,2008,'M','N','VILA ADYANA','S JOSÉ CAMPOS','SP','125252251215471431579834575111140867042',3763,'9998',69.36,1,3,NULL),(20,5032318,'1992-02-28 00:00:00',4,1,12,2009,'F','N','CENTRO','CASCAVEL','PR','116162161215121451349634575112610166172',5135,'9998',66.52,1,3,NULL),(20,5032326,'1993-01-30 00:00:00',4,1,11,2009,'F','N','CENTRO','PALHOÇA','SC','124242241215113431449933572114610166171',1796,'270',77.59,1,3,NULL),(20,5032334,'1992-01-15 00:00:00',4,9,12,2008,'F','N','UNIVERSITÁRIO','LAGES','SC','124242241216472431468813575124610133147',1457,'1146',79.03,1,3,NULL),(20,5032342,'1992-04-27 00:00:00',2,5,11,2009,'F','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241216112431336812575122610127146',9291,'210',57.58,1,3,NULL),(20,5032350,'1991-08-14 00:00:00',4,1,12,2008,'M','N','DOIS','CIANORTE','PR','116162161217471441568831571124610168062',NULL,'9998',42.39,3,3,NULL),(20,5032369,'1987-09-07 00:00:00',2,8,12,2004,'F','N','CENTRO','CURITIBA','PR','116161111336572431547923374114610162097',5589,'9998',65.39,1,3,NULL),(20,5032377,'1991-09-10 00:00:00',2,8,12,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215472431456814575122610134072',5777,'1016',64.35,1,3,NULL),(20,5032385,'1992-02-05 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124242241215131431324534575124610165092',NULL,'1022',25.69,1,3,NULL),(20,5032393,'1993-04-06 00:00:00',4,2,12,2009,'M','N','SÃO LUIS','BRUSQUE','SC','124244241215111331568932475122610164082',6930,'981',62.47,1,3,NULL),(20,5032407,'1989-03-24 00:00:00',2,8,12,2006,'F','N','NOVA AMERICA','PIRACICABA','SP','125252251211531431228711571341610161193',NULL,'9998',0.00,1,3,NULL),(20,5032415,'1993-01-03 00:00:00',4,2,12,2009,'M','N','FIGUEIRA','GASPAR','SC','124242241215111411219629592124610167042',3994,'955',70.33,4,3,NULL),(20,5032423,'1991-04-27 00:00:00',4,1,12,2008,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125252251217471431366839575122610167042',5445,'9998',65.55,1,3,NULL),(20,5032440,'1989-11-15 00:00:00',4,1,12,2006,'F','N','VILA CLÁUDIA','S PAULO','SP','125252251217571431347814575114610138142',NULL,'9998',NULL,1,3,NULL),(20,5032458,'1990-08-30 00:00:00',4,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241415112731228513475122610143175',NULL,'944',21.08,1,3,NULL),(20,5032466,'1991-10-23 00:00:00',4,1,12,2009,'M','N','HORIZONTE AZUL','ITUPEVA','SP','125252251216271431348931315124610127045',NULL,'9998',0.00,4,3,NULL),(20,5032482,'1992-04-25 00:00:00',4,1,11,2009,'F','N','JARDIM ANTÁRTICA','RIBEIRÃO PRETO','SP','125252251215111631449932575112610164144',10466,'9998',54.07,1,3,NULL),(20,5032490,'1992-02-27 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215121431569831475112610126041',5993,'269',65.51,1,3,NULL),(20,5032504,'1990-07-18 00:00:00',4,1,12,2007,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124264241415573431458713574112610123182',833,'272',81.89,1,3,NULL),(20,5032512,'1991-07-15 00:00:00',4,10,12,2008,'M','N','CENTRO','TUBARÃO','SC','124242241217372431379811575122610117112',4592,'807',68.79,1,3,NULL),(20,5032520,'1991-05-07 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217473431388912575114610121181',8648,'270',60.65,1,3,NULL),(20,5032539,'1988-02-01 00:00:00',2,6,11,2005,'F','N','CENTRO','BAL CAMBORIÚ','SC','124142141216271421221411572124142464197',NULL,'9998',0.00,4,3,NULL),(20,5032547,'1990-03-10 00:00:00',4,1,12,2007,'M','N','CAMPO BELO','SUMARÉ','SP','125252251216571431567823575124610164182',2403,'9998',74.38,1,3,NULL),(20,5032571,'1991-02-09 00:00:00',4,4,12,2007,'F','N','BAIRRO ALTO','CURITIBA','PR','116161161116471441459614575124610162147',4054,'9998',69.59,1,2,1),(20,5032580,'1989-08-03 00:00:00',2,1,12,2009,'M','N','MORRO DA BINA','BIGUAÇU','SC','124242247211371441346414375124610127027',NULL,'9999',22.96,2,1,2),(20,5032598,'1991-08-03 00:00:00',4,1,12,2008,'M','N','CENTRO','JACAREÍ','SP','125252251215471431369934291124610137052',2305,'9998',75.52,1,3,NULL),(20,5032601,'1990-10-31 00:00:00',4,1,12,2007,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215143421468613335124230227052',NULL,'1022',0.00,1,3,NULL),(20,5032610,'1992-10-07 00:00:00',4,1,12,2009,'M','N','DOIS','CIANORTE','PR','116162161217111411568831571124610167062',NULL,'9998',0.00,3,3,NULL),(20,5032636,'1990-02-12 00:00:00',2,8,12,2007,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116163161216471431469913575121141067147',NULL,'9998',20.62,1,3,NULL),(20,5032652,'1991-05-31 00:00:00',4,2,12,2008,'F','N','VILA NOVA','BLUMENAU','SC','124252241214371421458914494122610165142',5379,'855',67.37,1,3,NULL),(20,5032679,'1992-05-29 00:00:00',4,4,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241315112431553612575122610135152',9726,'1038',56.49,1,3,NULL),(20,5032687,'1987-05-02 00:00:00',2,1,12,2004,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241117472732446921475124220738045',983,'306',81.42,1,3,NULL),(20,5032695,'1976-12-08 00:00:00',4,1,12,1996,'M','N','JD HELENA','S PAULO','SP','125251251127142421434411345124610112142',NULL,'9998',26.54,1,2,1),(20,5032709,'1991-04-09 00:00:00',4,2,12,2008,'F','N','GARCIA','BLUMENAU','SC','124241241217471731428614571124610164147',11478,'86',55.39,4,3,NULL),(20,5032725,'1993-01-22 00:00:00',4,1,12,2009,'M','N','ZONA I','UMUARAMA','PR','116162161217121431458812345122610124052',NULL,'9998',0.00,1,3,NULL),(20,5032733,'1990-08-23 00:00:00',4,8,12,2007,'M','N','GUABIROTUBA','CURITIBA','PR','116162161215471431578821595122140637142',2124,'9998',74.66,1,3,NULL),(20,5032741,'1989-01-29 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216472451427748382122610167157',10348,'1022',56.19,1,3,NULL),(20,5032750,'1989-10-13 00:00:00',4,1,12,2007,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241215573431588839375122610162122',4146,'1026',70.47,1,3,NULL),(20,5032768,'1993-07-28 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241315122441369914445124610163142',3407,'1022',71.02,1,3,NULL),(20,5032784,'1992-07-29 00:00:00',2,9,11,2009,'F','N','CONTA DINHEIRO','LAGES','SC','124242241215112431468633394122610162072',5100,'1146',65.57,4,3,NULL),(20,5032792,'1991-02-16 00:00:00',4,1,12,2008,'M','N','ITANHANGA PARK','CPO GRANDE','MS','112122121217471431468811495122610167042',6562,'9998',64.79,1,3,NULL),(20,5032806,'1990-10-03 00:00:00',2,1,12,2007,'F','N','MATHIAS VELHO','CANOAS','RS','120204208417572431548819494122610142122',14095,'9998',46.58,1,3,NULL),(20,5032814,'1992-09-21 00:00:00',2,2,12,2009,'F','N','VORSTADT','BLUMENAU','SC','124241241215121431557614574124610128122',11352,'87',52.87,1,3,NULL),(20,5032822,'1991-08-05 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116372451537711575124610167077',9837,'804',57.43,1,2,1),(20,5032830,'1993-01-20 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241215112431459814575124610167012',419,'270',85.22,1,3,NULL),(20,5032865,'1991-09-09 00:00:00',4,6,12,2008,'M','N','SÃO JOÃO','ITAJAÍ','SC','124241241216342431436931235121231237142',4091,'391',69.47,1,3,NULL),(20,5032873,'1992-05-18 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241215111231466411575124610147147',10533,'737',55.52,1,3,NULL),(20,5032881,'1992-08-26 00:00:00',4,1,11,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241217372431578833372114610167145',2339,'270',74.95,1,3,NULL),(20,5032890,'1989-08-31 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217574431448719585124610127122',42,'1038',92.03,1,3,NULL),(20,5032911,'1990-05-30 00:00:00',4,1,12,2007,'F','N','JARDIM FRANÇA','S PAULO','SP','125252251215571431488812575112610163076',3040,'9998',72.79,1,3,NULL),(20,5032920,'1992-12-31 00:00:00',4,1,12,2009,'M','N','PACHECOS','PALHOÇA','SC','124241241115271532436414572124610164147',14980,'592',44.65,4,2,1),(20,5032938,'1992-03-06 00:00:00',4,1,12,2008,'M','N','PLANO DIRETOR SUL','PALMAS','TO','127271271315471431468613574121610167052',10569,'9998',53.87,4,3,NULL),(20,5032962,'1991-09-26 00:00:00',4,1,4,2009,'F','N','JARDIM LANCASTER','FOZ IGUAÇU','PR','116162161217371431569831575114610163147',NULL,'9998',0.00,1,3,NULL),(20,5032970,'1990-07-29 00:00:00',2,1,12,2007,'M','N','BOA VISTA','PTO ALEGRE','RS','120202201216571431558813575124610127047',6911,'9998',62.39,1,3,NULL),(20,5032989,'1993-02-18 00:00:00',4,3,12,2009,'M','N','ZONA CINCO','MARINGÁ','PR','116161161216152431449933574122610157092',3494,'9998',70.05,1,3,NULL),(20,5032997,'1992-08-20 00:00:00',4,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241316131431436723245124610167147',NULL,'277',4.90,1,3,NULL),(20,5033004,'1992-06-25 00:00:00',2,5,11,2009,'M','N','MINA DO MATO','CRICIÚMA','SC','124244241215111431568932575122610127062',NULL,'213',25.51,1,3,NULL),(20,5033012,'1992-01-13 00:00:00',4,8,12,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241215113431446712572111610167061',13246,'457',51.87,1,3,NULL),(20,5033020,'1992-08-15 00:00:00',4,1,11,2009,'M','N','JARDIM ELDORADO','FOZ IGUAÇU','PR','116162161217121741249813185121610162112',7715,'9998',59.24,1,3,NULL),(20,5033047,'1993-02-17 00:00:00',4,8,12,2010,'M','S','GLÓRIA','JOINVILLE','SC','124242248216151431589811572122610137122',NULL,'494',21.64,1,3,NULL),(20,5033055,'1992-03-01 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241211111411425629575112610168147',15599,'1022',43.09,1,3,NULL),(20,5033063,'1990-07-05 00:00:00',4,3,12,2008,'M','N','CEDRO','CAMBORIÚ','SC','124243241116271411323532375124610162177',13825,'49',48.59,1,3,NULL),(20,5033071,'1991-07-04 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241415473421166763574325610156072',9462,'1038',56.77,1,3,NULL),(20,5033080,'1991-03-23 00:00:00',2,9,12,2008,'F','N','CORAL','LAGES','SC','124242241415274731536519395124230367075',12095,'1022',54.18,1,3,NULL),(20,5033098,'1982-05-07 00:00:00',4,8,12,1999,'M','N','BIGORRILHO','CURITIBA','PR','116162161211472731568831374122343222042',NULL,'9998',0.00,3,3,NULL),(20,5033101,'1991-12-26 00:00:00',2,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124241241117141451223344345124610133117',NULL,'726',26.76,1,2,1),(20,5033110,'1988-07-06 00:00:00',2,2,12,2005,'F','N','PORTO DO RIBEIRA','IGUAPE','SP','125254251216571411448733475124610131192',NULL,'9998',34.54,1,3,NULL),(20,5033128,'1991-04-06 00:00:00',2,8,12,2008,'F','N','GLÓRIA','JOINVILLE','SC','124164241116372431457732225122610142092',NULL,'49',25.08,1,3,NULL),(20,5033136,'1991-04-24 00:00:00',4,1,12,2008,'M','N','CENTRO','CURITIBANOS','SC','124244241416372431438631585124610127051',8437,'881',59.29,1,3,NULL),(20,5033152,'1992-11-17 00:00:00',4,2,12,2009,'M','N','SÃO JOÃO','BRUSQUE','SC','124242241136271731566612572122610124142',NULL,'107',39.70,1,3,NULL),(20,5033160,'1991-12-16 00:00:00',4,1,12,2008,'M','N','FUNDOS','BIGUAÇU','SC','124241241117471431336324245324610164052',NULL,'257',0.00,4,1,1),(20,5033179,'1984-05-27 00:00:00',4,10,11,2001,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241241146273731545539295122232424097',NULL,'158',0.00,1,2,1),(20,5033187,'1991-04-29 00:00:00',2,1,12,2008,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251217471431248923341124610122162',NULL,'9998',0.00,1,3,NULL),(20,5033195,'1992-01-18 00:00:00',4,1,12,2009,'M','N','PINHEIRA','PALHOÇA','SC','124241241415211731453311375125610122072',13330,'944',48.10,1,3,NULL),(20,5033209,'1991-05-25 00:00:00',4,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','124243241337371431327321315124610132021',16226,'182',42.22,1,3,NULL),(20,5033225,'1992-01-30 00:00:00',4,2,11,2009,'M','N','CENTRO','BRUSQUE','SC','124242241215372511366732495122610127122',14043,'981',47.48,1,3,NULL),(20,5033233,'1991-05-09 00:00:00',4,1,12,2008,'M','N','TERRA NOVA SEGUNDO','S BERNARDO CAMPO','SP','125251251117572441533611575124610137042',14363,'9998',45.81,1,2,1),(20,5033241,'1990-04-16 00:00:00',2,5,12,2007,'M','N','SÃO JOÃO','COCAL SUL','SC','124241241235143431224611342123610122062',15014,'920',47.83,1,3,NULL),(20,5033268,'1992-02-23 00:00:00',4,1,12,2009,'M','N','VILA ADYANA','S JOSÉ CAMPOS','SP','125252251216111431558814375124610127042',NULL,'9998',0.00,1,3,NULL),(20,5033284,'1991-12-29 00:00:00',2,1,11,2009,'F','N','TURU','S LUÍS','MA','110102101217111552359934572122610112142',NULL,'9998',0.00,4,3,NULL),(20,5033292,'1990-05-22 00:00:00',4,4,12,2007,'M','N','SÃO LUIZ','S MIGUEL OESTE','SC','124243248216471431558934575122610158197',5373,'752',67.39,4,3,NULL),(20,5033314,'1993-01-27 00:00:00',2,3,12,2009,'F','N','PARQUE ORTOLÂNDIA','HORTOLÂNDIA','SP','125252251215211411477614175122610123072',NULL,'9998',0.00,1,3,NULL),(20,5033322,'1990-03-10 00:00:00',4,8,12,2007,'M','N','BOSQUE DOS EUCALPITO','S JOSÉ CAMPOS','SP','125252251216571331368923575122610167097',2337,'9998',74.32,1,3,NULL),(20,5033330,'1992-09-08 00:00:00',4,1,12,2009,'M','N','CANOAS','RIO SUL','SC','124241241117141732333533375122610112042',16137,'658',43.17,2,1,1),(20,5033349,'1992-04-10 00:00:00',4,1,10,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242241215122431458612575124610112192',3523,'1022',70.61,1,3,NULL),(20,5033373,'1986-04-30 00:00:00',2,1,11,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115372431325624385114610133197',13163,'307',52.05,1,2,1),(20,5033381,'1989-03-13 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241243215272411128944346124610121097',5129,'1001',67.99,1,3,NULL),(20,5033390,'1992-04-22 00:00:00',2,1,11,2009,'M','N','IPIRANGA','S JOSÉ','SC','124242241215131431333312342124610127187',15142,'1118',43.80,1,3,NULL),(20,5033403,'1992-10-02 00:00:00',4,1,12,2009,'M','N','CENTRO','VIDEIRA','SC','124242241217471431568813575124610122122',604,'270',83.84,1,3,NULL),(20,5033411,'1991-09-14 00:00:00',2,1,12,2009,'M','N','MORADA DO VALE','GOV VALADARES','MG','113131131116131441436614575121610167057',1367,'9998',78.83,1,2,1),(20,5033420,'1991-04-02 00:00:00',4,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242241215472431468932575112610146122',936,'457',81.67,1,3,NULL),(20,5033438,'1992-02-28 00:00:00',4,1,12,2009,'F','N','JARDIM CLAÚDIA','LONDRINA','PR','116162161216111431349913572122610166032',NULL,'9998',0.00,1,3,NULL),(20,5033446,'1992-02-21 00:00:00',2,1,12,2009,'F','N','CENTRO','S JOSÉ','SC','124242241117372411487912584114610144142',5687,'739',64.82,1,3,NULL),(20,5033454,'1992-05-28 00:00:00',4,1,12,2009,'M','N','RECREIO','RIO JANEIRO','RJ','121213211117471731477814475125610162172',1334,'9998',79.14,1,3,NULL),(20,5033462,'1992-01-12 00:00:00',4,8,12,2009,'M','N','GLÓRIA','JOINVILLE','SC','124242241217271432479932472122610137017',12288,'1063',49.24,4,3,NULL),(20,5033489,'1992-05-11 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431436812575122610168152',13262,'724',48.09,1,3,NULL),(20,5033497,'1990-12-02 00:00:00',4,6,12,2008,'M','N','PORTO DAS BALSAS','NAVEGANTES','SC','124243241117131731444614342124232822057',NULL,'1068',48.58,4,3,NULL),(20,5033500,'1991-11-18 00:00:00',4,1,12,2009,'M','N','UNIVERSITÁRIO','STA CRUZ SUL','RS','120202201216111432467914395124610132122',NULL,'9998',0.00,1,3,NULL),(20,5033519,'1991-08-05 00:00:00',4,1,12,2008,'M','N','CENTRO','TAQUARITUBA','SP','125252251216471211437831575125610166054',310,'9998',86.37,1,3,NULL),(20,5033527,'1991-10-28 00:00:00',4,1,12,2009,'F','N','CIDADE VERA CRUZ','APARECIDA GOIÂNIA','GO','109092091216111211488811572112610162157',1541,'9998',78.30,1,3,NULL),(20,5033535,'1992-12-14 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241315112431456939595122610132172',NULL,'1038',31.80,1,3,NULL),(20,5033543,'1989-05-05 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241146272421126643335114131434057',12120,'1034',54.13,1,2,1),(20,5033551,'1992-02-20 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216111431456812294124610164077',6777,'270',63.84,1,3,NULL),(20,5033560,'1988-09-19 00:00:00',4,1,6,2008,'M','N','SANTA GENEBRA','CAMPINAS','SP','125252257117142431446814141114610162172',NULL,'9998',0.00,1,3,NULL),(20,5033578,'1991-10-03 00:00:00',2,1,12,2008,'F','N','CENTRO','CHIAPETTA','RS','120201201135271431523615155325610137042',NULL,'9998',0.00,1,3,NULL),(20,5033586,'1988-02-15 00:00:00',4,2,12,2002,'M','N','VELHA','BLUMENAU','SC','124241248147371431447654285124130224112',NULL,'69',23.78,1,2,1),(20,5033594,'1992-01-20 00:00:00',4,1,11,2009,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215472451489911574122610164122',8198,'270',59.37,1,3,NULL),(20,5033608,'1992-03-21 00:00:00',4,8,11,2009,'F','N','CENTRO','CURITIBA','PR','116162161215121411569932242124610143012',NULL,'9998',0.00,1,3,NULL),(20,5033616,'1991-01-28 00:00:00',4,8,11,2008,'M','N','PARANAGUAMIRIN','JOINVILLE','SC','124161241125131721434314445124610134177',12344,'484',49.81,1,2,1),(20,5033624,'1991-05-23 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241417131431436939472122610124017',NULL,'257',26.52,1,3,NULL),(20,5033640,'1992-08-21 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215111331665512572112610134192',14873,'1022',48.23,1,3,NULL),(20,5033659,'1992-10-16 00:00:00',4,10,12,2009,'M','N','SÃO MARTINHHO','TUBARÃO','SC','124241241115331431325627245121610127047',13699,'798',48.93,1,2,1),(20,5033667,'1985-03-11 00:00:00',2,1,12,2004,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242247217131411326679315122131067047',16092,'9999',43.48,2,1,2),(20,5033683,'1990-11-21 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124152241215111441229733575124610164011',14065,'1022',45.91,4,3,NULL),(20,5033691,'1990-07-26 00:00:00',4,3,12,2008,'M','N','PASSA VINTE','PALHOÇA','SC','124241241437131432533319296132610137142',NULL,'49',20.10,1,3,NULL),(20,5033721,'1990-04-15 00:00:00',4,8,12,2008,'M','N','FLORESTA','JOINVILLE','SC','124241241215271231226329385114133214011',NULL,'459',29.45,1,3,NULL),(20,5033730,'1992-11-04 00:00:00',2,1,11,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241135141431336623342124610128197',NULL,'257',20.67,1,2,1),(20,5033748,'1980-06-20 00:00:00',2,1,12,1998,'F','N','BARREIROS','S JOSÉ','SC','224243241416155121246454482122130714147',NULL,'1134',0.00,1,3,NULL),(20,5033756,'1991-03-22 00:00:00',2,1,12,2008,'M','N','CENTRO','IMBITUBA','SC','124241241117271421538634145124610168117',NULL,'307',45.81,1,2,1),(20,5033764,'1992-09-27 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244248215122431448619472124610123077',11172,'1022',53.78,1,3,NULL),(20,5033780,'1987-07-01 00:00:00',2,1,12,2004,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241122371421223344342123610117132',NULL,'361',43.14,1,2,1),(20,5033829,'1992-09-23 00:00:00',4,1,12,2009,'F','N','CENTRO','CASCAVEL','PR','116162161216121431448832575122610152091',2296,'9998',75.07,1,3,NULL),(20,5033837,'1992-05-07 00:00:00',4,1,12,2009,'M','N','COROA DO MEIO','ARACAJU','SE','126262261217111441575732174112610126162',4124,'9998',68.71,1,3,NULL),(20,5033845,'1990-05-04 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241311472431546612294124610127142',7471,'1036',61.63,1,3,NULL),(20,5033853,'1991-10-07 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241134142431426311345124610126143',NULL,'281',22.93,1,2,1),(20,5033870,'1979-08-10 00:00:00',4,1,6,2002,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247126151421124244142234610162147',NULL,'9999',20.59,1,3,NULL),(20,5033888,'1989-06-21 00:00:00',5,1,6,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124122288116172111539911474124243261144',NULL,'9998',0.00,4,3,NULL),(20,5033896,'1991-08-12 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241211152231456322571114610137047',11619,'259',53.55,1,3,NULL),(20,5033900,'1990-06-09 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215472431468813575122122532187',1281,'270',79.34,1,3,NULL),(20,5033918,'1992-03-18 00:00:00',4,7,12,2009,'M','N','JARDIM AMERICA','ASSIS CHATEAUBRIAND','PR','116163161216111431436632345121610127062',NULL,'9998',27.74,1,3,NULL),(20,5033926,'1990-08-08 00:00:00',4,1,12,2007,'F','N','CENTRO','FRAIBURGO','SC','124242241216473431569813575124221468097',56,'885',91.37,1,3,NULL),(20,5033934,'1991-02-07 00:00:00',2,1,11,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241136272431523511342124610127077',NULL,'730',32.50,1,2,1),(20,5033942,'1988-05-04 00:00:00',4,3,12,2005,'M','N','ZONA TRÊS','MARINGÁ','PR','116162161216573451446933574122610168082',1088,'9998',80.81,3,3,NULL),(20,5033950,'1991-09-17 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116472451435313471124610167017',6710,'307',64.37,2,1,1),(20,5033977,'1992-07-18 00:00:00',4,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124242241212371431666631595115610127112',5853,'806',65.38,1,3,NULL),(20,5033993,'1990-11-28 00:00:00',4,1,12,2008,'M','N','ALTO DE PINHEIROS','S PAULO','SP','125162091216472431468614575124610127082',7098,'9998',60.59,1,3,NULL),(20,5034019,'1991-10-24 00:00:00',4,1,12,2009,'M','N','CENTRO','PASSOS','MG','113132131216111431438635571122610144142',NULL,'9998',0.00,3,3,NULL),(20,5034027,'1991-08-15 00:00:00',4,10,12,2008,'M','N','SANTO ANTONIO','TUBARÃO','SC','124244241115372431346514341121133264057',14167,'1034',46.21,1,3,NULL),(20,5034035,'1991-07-29 00:00:00',4,1,12,2008,'M','N','CIDADE JARDIM','RIO CLARO','SP','125252251217371431568834375115610124057',9475,'9998',55.98,1,3,NULL),(20,5034043,'1991-05-26 00:00:00',4,1,11,2008,'M','N','JARDIM AMERICA','VILHENA','RO','122222221217271431379812445122140227052',NULL,'9998',29.72,1,3,NULL),(20,5034051,'1991-02-22 00:00:00',4,1,12,2008,'M','N','CENTRO','CPO GRANDE','MS','112112111212131752125379481341610167117',5682,'9998',65.86,3,3,NULL),(20,5034078,'1990-04-16 00:00:00',2,5,12,2007,'M','N','MICHEL','CRICIÚMA','SC','124243246217372331448414341134131164112',1840,'188',77.45,1,3,NULL),(20,5034094,'1989-04-30 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124243241147574431653821594124121427112',3813,'290',71.31,1,3,NULL),(20,5034116,'1991-01-22 00:00:00',4,15,12,2008,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242131216373431559823575114610147072',12901,'9998',47.67,4,3,NULL),(20,5034132,'1992-11-17 00:00:00',4,3,12,2009,'M','N','ZONA TRÊS','MARINGÁ','PR','116162161216111451446933574122610168042',NULL,'9998',0.00,3,3,NULL),(20,5034140,'1993-03-03 00:00:00',2,1,12,2009,'M','N','CENTRO','TERRA BOA','PR','116161161116471731428833575122610127042',NULL,'9998',0.00,1,2,1),(20,5034159,'1988-03-18 00:00:00',2,1,12,2005,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241346131411523324445124610132192',NULL,'307',20.50,1,3,NULL),(20,5034167,'1991-03-09 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212272431469911212122231012012',12417,'262',51.48,1,3,NULL),(20,5034183,'1990-12-04 00:00:00',4,1,12,2008,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243241117372431456923381114610162072',8610,'307',60.72,1,3,NULL),(20,5034191,'1989-03-03 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124242241216474221433311375114121327092',365,'1134',85.79,1,3,NULL),(20,5034205,'1991-11-09 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241215372431438931575124610142055',4556,'883',69.40,1,3,NULL),(20,5034213,'1990-02-24 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215572431469831575124233262113',10398,'262',56.07,1,3,NULL),(20,5034221,'1980-02-12 00:00:00',2,1,12,1997,'F','N','FORTALEZA DA BARRA','FLORIANÓPOLIS','SC','124251251127373421128444242224143264187',NULL,'9998',50.06,4,1,1),(20,5034230,'1992-10-24 00:00:00',4,1,12,2009,'M','N','JARDIM SIMUS','SOROCABA','SP','125253251115471431466514275114610114143',6364,'9998',63.66,1,3,NULL),(20,5034256,'1990-08-23 00:00:00',4,8,12,2007,'M','N','CENTRO','FOZ IGUAÇU','PR','116162161217573231479931575124610164042',2340,'9998',72.29,1,3,NULL),(20,5034264,'1989-12-12 00:00:00',2,1,12,2007,'F','N','COSTA DE DENTRO','FLORIANÓPOLIS','SC','124243241316272731434469392124610128012',12065,'1022',51.51,1,3,NULL),(20,5034272,'1992-08-07 00:00:00',4,4,12,2009,'F','N','JARDIM','CUNHA PORÃ','SC','124241241114271431444312575122610136142',14239,'234',46.21,1,2,1),(20,5034299,'1990-08-16 00:00:00',4,1,12,2007,'F','N','ZONA SETE','MARINGÁ','PR','116164161216371451448834595122141563053',7228,'9998',60.96,1,3,NULL),(20,5034302,'1983-02-23 00:00:00',4,1,12,2000,'M','N','SANTO ANTONIO','FLORIANÓPOLIS','SC','124242241216142431239913345122121737065',NULL,'1169',0.00,1,3,NULL),(20,5034310,'1992-03-19 00:00:00',4,8,12,2009,'F','N','ITINGA','JOINVILLE','SC','124241241116371731448612345124610131052',NULL,'472',25.55,1,2,1),(20,5034329,'1991-08-20 00:00:00',4,1,12,2009,'M','N','MOOCA','S PAULO','SP','125252257147131431546921395134610122057',NULL,'9998',9.73,1,3,NULL),(20,5034337,'1991-08-10 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241116151431239714375124610127182',12373,'257',48.69,1,3,NULL),(20,5034353,'1990-07-12 00:00:00',2,1,12,2007,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216575431378914572124230231095',283,'270',86.80,1,3,NULL),(20,5034370,'1975-11-29 00:00:00',4,1,6,1994,'M','N','REAL PARQUE','S JOSÉ','SC','124241241327165421124444245124610117047',NULL,'1003',25.16,1,3,NULL),(20,5034396,'1989-02-04 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201111372431429613572324610126197',NULL,'9998',39.85,1,2,1),(20,5034418,'1991-01-18 00:00:00',4,15,11,2008,'M','N','GIRASSOL','GRAVATAÍ','RS','120206201625371431436314375124610137056',5955,'9998',66.12,1,3,NULL),(20,5034426,'1991-02-18 00:00:00',4,3,12,2008,'F','N','CENTRO','MARINGÁ','PR','116162161215471441459813475122610143182',12081,'9998',50.79,1,3,NULL),(20,5034434,'1991-11-24 00:00:00',4,2,12,2008,'M','N','VELHA','BLUMENAU','SC','124242241215474441579932345124610122122',1126,'87',80.46,1,3,NULL),(20,5034442,'1981-08-18 00:00:00',2,1,6,2003,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','224203206145155311345643135123341767181',1171,'9998',78.83,1,3,NULL),(20,5034469,'1991-06-03 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241112372411538813572324610127042',NULL,'307',26.45,1,3,NULL),(20,5034477,'1992-12-28 00:00:00',4,6,12,2009,'M','N','CIDADE NOVA','ITAJAÍ','SC','124241241135131711525614275124610126142',NULL,'401',25.90,1,2,1),(20,5034493,'1990-03-26 00:00:00',4,6,12,2007,'F','N','JARDIM MARIA LUIZA','CASCAVEL','PR','116161161215471411425619575122610164182',11730,'9998',52.09,1,3,NULL),(20,5034507,'1991-12-27 00:00:00',4,1,12,2009,'M','N','CENTRO','STA RITA P QUATRO','SP','125252251217111431438711275121610127097',NULL,'9998',0.00,1,3,NULL),(20,5034515,'1977-07-22 00:00:00',2,1,12,1997,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224243241216272451246344245132331427061',9282,'210',59.45,1,3,NULL),(20,5034523,'1992-12-10 00:00:00',2,5,12,2009,'M','N','COMERCIARIO','CRICIÚMA','SC','124242246217111531458934575124610154067',11221,'995',52.86,1,3,NULL),(20,5034531,'1980-01-13 00:00:00',2,5,12,1998,'M','N','MORRO ESTEVÃO','CRICIÚMA','SC','124241241146151431436436442132330238197',NULL,'209',21.75,1,2,1),(20,5034540,'1990-06-27 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241115373751468831345124231064145',11058,'271',52.61,1,3,NULL),(20,5034558,'1991-10-12 00:00:00',4,1,12,2008,'M','N','SANTA FÉ','CPO GRANDE','MS','112122121216372431368632575122141737052',1199,'9998',79.88,1,3,NULL),(20,5034566,'1969-04-15 00:00:00',2,1,12,2009,'F','N','JOSE MENDES','FLORIANÓPOLIS','SC','224241241115154531343353472224610161015',12545,'286',50.05,1,2,1),(20,5034574,'1982-10-17 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','224201208122131421324444342221610112181',NULL,'9998',0.00,1,3,NULL),(20,5034582,'1992-11-19 00:00:00',4,1,12,2009,'F','N','FIGUEIRA ALÉSSIO','TIMBÉ SUL','SC','124241241147161431323315572321610128057',NULL,'785',30.93,1,3,NULL),(20,5034590,'1991-12-26 00:00:00',4,6,12,2008,'F','N','JARDIM CANADÁ','MARINGÁ','PR','116162161216371451568811572122610163186',NULL,'9998',0.00,1,3,NULL),(20,5034604,'1991-10-21 00:00:00',4,8,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116162161216471431448832575124610147182',1853,'9998',76.50,3,3,NULL),(20,5034612,'1992-05-16 00:00:00',2,1,7,2009,'F','N','CENTRO HISTÓRICO','S JOSÉ','SC','124241247216131431228624472324610114147',NULL,'9999',13.42,1,3,NULL),(20,5034620,'1975-01-27 00:00:00',4,1,12,1992,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224201208116133751323354485134141862143',NULL,'9998',18.28,1,2,1),(20,5034639,'1991-11-11 00:00:00',2,10,11,2008,'F','N','HUMAITÁ','TUBARÃO','SC','124243241215371411555514345121610164063',NULL,'797',0.00,3,3,NULL),(20,5034647,'1993-02-09 00:00:00',2,9,12,2009,'F','N','CENTRO','S JOSÉ CERRITO','SC','124241241136161231449313445222610154057',NULL,'742',0.00,1,3,NULL),(20,5034663,'1988-04-30 00:00:00',1,1,12,2005,'F','N','JUVEVE','CURITIBA','PR','116162161217472431237921315122610112182',9278,'9998',57.01,1,3,NULL),(20,5034671,'1991-09-10 00:00:00',4,1,11,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215373431669919591124130536192',1277,'270',79.88,1,3,NULL),(20,5034680,'1991-07-03 00:00:00',4,1,11,2008,'F','N','VILA PANTALEÃO','CAÇAPAVA','SP','125252251231471431548632375122610162092',7964,'9998',59.28,4,3,NULL),(20,5034710,'1991-10-27 00:00:00',4,8,12,2009,'F','N','JARDIM TANGARÁ','MARÍLIA','SP','125252251216121431469834575122610124097',2208,'9998',76.04,1,3,NULL),(20,5034728,'1991-11-18 00:00:00',2,4,12,2009,'M','N','EFAPI','CHAPECÓ','SC','124241241117131731533424572124610127077',14678,'184',46.32,4,1,1),(20,5034736,'1989-10-27 00:00:00',4,1,12,2007,'F','N','CENTRO','CATANDUVA','SP','125252251215471451234846371124610136097',NULL,'9998',0.00,1,3,NULL),(20,5034744,'1992-12-21 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241115271411323614291224610126177',NULL,'732',22.14,1,2,1),(20,5034752,'1992-11-14 00:00:00',2,9,12,2009,'F','N','INTERIOR','S JOSÉ CERRITO','SC','124241241116371331533613475122610134057',NULL,'742',25.91,1,3,NULL),(20,5034779,'1991-02-04 00:00:00',4,8,12,2008,'F','N','MOSSUNGUÊ','CURITIBA','PR','116162161215271731568813574112143264197',3785,'9998',71.40,1,3,NULL),(20,5034795,'1989-02-22 00:00:00',4,3,12,2007,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241126572411336344245225610141047',3082,'49',73.26,1,2,1),(20,5034809,'1992-07-27 00:00:00',4,6,12,2009,'F','N','CENTRO II','BRUSQUE','SC','124241241141141431434511245235610111147',NULL,'110',0.00,1,2,1),(20,5034817,'1991-02-04 00:00:00',2,4,12,2008,'F','N','TRES PALMEIRAS','CEL FREITAS','SC','124241241136272431325524245124610136012',13175,'199',48.55,1,2,1),(20,5034825,'1991-07-04 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241336132431526611345124610124147',NULL,'282',21.98,1,3,NULL),(20,5034833,'1992-02-23 00:00:00',4,5,12,2009,'M','N','VILA SÃO JOÃO','TORRES','RS','120201201136131432323524382124610137047',NULL,'9998',25.22,1,2,1),(20,5034841,'1990-09-24 00:00:00',2,1,12,2006,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124071071116131421536638445234610134143',NULL,'9998',0.00,1,2,1),(20,5034850,'1986-09-15 00:00:00',2,1,12,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224241241144151711265653395122131261072',NULL,'113',0.00,1,2,1),(20,5034868,'1990-02-10 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241214374451323422384124610163187',13210,'525',51.14,1,3,NULL),(20,5034884,'1990-05-03 00:00:00',4,8,12,2007,'F','N','ESTRADINHA','PARANAGUÁ','PR','116162161217373431426614575125143047147',NULL,'9998',0.00,1,3,NULL),(20,5034906,'1987-07-02 00:00:00',4,8,12,2004,'F','N','RIO CERRO II','JARAGUÁ SUL','SC','124241241125232431635324295124610153147',NULL,'434',9.85,4,2,1),(20,5034922,'1991-09-13 00:00:00',4,1,12,2008,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251217471751569811575122610164042',NULL,'9998',0.00,1,3,NULL),(20,5034930,'1991-04-12 00:00:00',2,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124242241415471131326634245124610133077',NULL,'257',19.96,1,3,NULL),(20,5034957,'1991-05-14 00:00:00',2,3,12,2008,'F','N','BATEL','CURITIBA','PR','116243241215471411326821376124610125117',10401,'424',55.15,1,3,NULL),(20,5034965,'1992-10-19 00:00:00',4,1,11,2009,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124242241215111431455823572112610121015',NULL,'1023',28.63,1,3,NULL),(20,5034973,'1992-05-29 00:00:00',4,1,12,2009,'M','N','JARDIM CRISTAL','APARECIDA GOIÂNIA','GO','109092091217111431488813475122610122022',1177,'9998',80.38,1,3,NULL),(20,5034990,'1992-07-28 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241415371431467933295124610117061',NULL,'307',25.04,1,3,NULL),(20,5035007,'1991-01-25 00:00:00',4,1,12,2008,'M','N','CENTRO','LAURENTINO','SC','124242241216132731438414485124610137147',2117,'654',76.44,1,3,NULL),(20,5035015,'1983-01-12 00:00:00',4,15,12,2000,'M','N','CENTRO','PR GRANDE','SC','224241241136131431333344245121610117057',NULL,'717',22.46,4,2,1),(20,5035031,'1992-04-23 00:00:00',4,1,12,2009,'M','N','CENTRO','S FRANCISCO SUL','SC','124242243225111731236621412124610127125',NULL,'867',21.38,1,3,NULL),(20,5035040,'1976-04-18 00:00:00',2,4,9,2001,'F','N','UNIVERCITARIO','CHAPECÓ','SC','124241244142131431322324442123610167047',NULL,'9997',0.00,4,1,1),(20,5035058,'1991-01-09 00:00:00',2,1,12,2008,'F','N','BELA VISTA III','S JOSÉ','SC','124243241111372431336633342124610137072',10693,'307',56.88,1,3,NULL),(20,5035066,'1992-06-01 00:00:00',4,1,11,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241117151411438831475121610137016',5096,'271',65.98,1,3,NULL),(20,5035090,'1988-06-17 00:00:00',4,1,12,2006,'M','N','CENTRO','PALHOÇA','SC','124241241146131411336623245124610124017',NULL,'591',27.61,1,3,NULL),(20,5035112,'1990-11-12 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215372431456823342114610167062',NULL,'273',NULL,1,3,NULL),(20,5035120,'1991-07-02 00:00:00',4,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124244241215373431359923572112610134142',5989,'1016',66.03,1,3,NULL),(20,5035139,'1991-04-24 00:00:00',4,8,12,2009,'M','N','PIRABEIRABA','JOINVILLE','SC','124242241236472751348632575112610162182',3303,'1063',70.40,1,3,NULL),(20,5035147,'1989-12-13 00:00:00',4,15,12,2007,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124241241126151411321124345124633238177',15449,'1033',46.46,1,2,1),(20,5035155,'1993-01-02 00:00:00',2,1,10,2009,'M','N','CENTRO','AQUIDAUANA','MS','112122121215111731448712472125610134022',NULL,'9998',0.00,1,3,NULL),(20,5035163,'1993-03-25 00:00:00',2,4,11,2009,'M','N','VISTA ALEGRE','CONCÓRDIA','SC','116163161215472731248622571124610142172',7341,'9998',61.10,4,3,NULL),(20,5035171,'1991-02-27 00:00:00',4,1,12,2008,'F','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124241241217372431537412345123610124142',16121,'63',43.28,1,3,NULL),(20,5035180,'1989-01-31 00:00:00',2,8,11,2005,'M','N','BOM RETIRO','JOINVILLE','SC','124242241212133411428524272341230622137',16131,'486',43.21,1,3,NULL),(20,5035198,'1973-01-06 00:00:00',4,1,11,1998,'F','N','FUNDOS','BIGUAÇU','SC','224241247146133411433659292124231026187',NULL,'9999',28.82,1,3,NULL),(20,5035201,'1991-09-11 00:00:00',4,2,12,2008,'M','N','VELHA','BLUMENAU','SC','124243241416272441666739575124610147182',NULL,'69',44.03,2,1,2),(20,5035210,'1991-09-09 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215113451438934575124221334092',7963,'262',60.02,1,3,NULL),(20,5035228,'1991-06-14 00:00:00',2,1,12,2008,'M','N','BARAO GERALDO','CAMPINAS','SP','125252251217471431368834575122610164187',8825,'9998',57.52,1,3,NULL),(20,5035236,'1987-12-03 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241126273121426919235134610167111',NULL,'307',0.00,1,3,NULL),(20,5035244,'1991-07-15 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241115372431326628585114610133147',NULL,'307',28.12,4,3,NULL),(20,5035252,'1992-08-24 00:00:00',4,2,12,2009,'F','N','VILA FORMOSA','BLUMENAU','SC','124242241215112431468832572122610143142',1979,'71',75.84,1,3,NULL),(20,5035260,'1992-03-12 00:00:00',2,1,12,2009,'F','N','CENTRO','GAROPABA','SC','124241241145142751446933341122610126022',NULL,'322',27.42,1,2,1),(20,5035279,'1992-04-14 00:00:00',2,1,11,2009,'M','N','JARDIM ZARA','RIBEIRÃO PRETO','SP','125251251215111451446834375112610167127',NULL,'9998',0.00,1,3,NULL),(20,5035287,'1988-10-05 00:00:00',2,1,7,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124164247211574441627769281114610164037',10788,'270',56.70,1,3,NULL),(20,5035309,'1991-03-09 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116252251211471411539923571115610117071',NULL,'9998',0.00,4,3,NULL),(20,5035325,'1992-03-15 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111311347722572122610122185',4936,'262',67.66,1,3,NULL),(20,5035333,'1989-11-01 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216474431437739592124221166097',9709,'1022',58.71,1,3,NULL),(20,5035341,'1990-03-02 00:00:00',4,1,12,2007,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124243241116575431439833575112130262182',583,'271',83.92,1,3,NULL),(20,5035368,'1988-06-28 00:00:00',4,8,12,2005,'M','N','ITAUM','JOINVILLE','SC','124241246117151731343627445134610134047',NULL,'472',0.00,1,2,1),(20,5035384,'1991-02-26 00:00:00',2,1,12,2007,'F','N','SOARES','CACHOEIRA SUL','RS','120201201116131411313512285123140265057',NULL,'9998',0.00,1,3,NULL),(20,5035392,'1987-08-17 00:00:00',2,15,12,2004,'M','N','COLONINHA','ARARANGUÁ','SC','124241241126141421536636441133132327183',NULL,'641',20.16,1,2,1),(20,5035406,'1987-02-16 00:00:00',4,6,12,2004,'M','N','BARRA','OURO PRETO','MG','113254251216573431137749292224141922132',6084,'9998',63.28,1,3,NULL),(20,5035414,'1990-10-12 00:00:00',4,1,12,2007,'F','N','SÃO JOÃO BATISTA','S CARLOS','SP','125252251216571431448819175122610163042',5733,'9998',65.06,1,3,NULL),(20,5035430,'1992-03-27 00:00:00',4,1,12,2009,'F','N','PARQUE DAS NAÇÕES','BAURU','SP','125254251236111351454434375122610162042',NULL,'9998',0.00,1,3,NULL),(20,5035449,'1992-09-06 00:00:00',2,17,12,2009,'M','N','CENTRO','MATOS COSTA','SC','124241241144131431425633572221610168147',NULL,'557',28.33,1,2,1),(20,5035457,'1991-08-01 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215374431337729281124610144147',5763,'1169',66.15,1,3,NULL),(20,5035465,'1988-07-25 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241134132431436349392234131034047',NULL,'199',25.87,4,2,1),(20,5035473,'1991-02-06 00:00:00',2,1,10,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241215121431436623371124610164147',NULL,'300',16.05,1,3,NULL),(20,5035481,'1992-07-22 00:00:00',2,1,12,2009,'F','N','IPIRANGA','RIBEIRÃO PRETO','SP','125252251215111431333811571124610168147',11488,'9998',52.52,1,3,NULL),(20,5035490,'1992-04-30 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','116162161215121431369934572122610136186',NULL,'9998',0.00,1,3,NULL),(20,5035503,'1989-01-16 00:00:00',4,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116253161326471421326611275134140766047',9429,'9998',59.21,1,3,NULL),(20,5035511,'1983-05-21 00:00:00',2,1,12,1999,'M','N','MACUCO','SANTOS','SP','125252251216571431359711315122343267042',NULL,'9998',0.00,1,3,NULL),(20,5035520,'1991-01-18 00:00:00',4,1,12,2008,'F','N','MOOCA','S PAULO','SP','125252211217472431669812571124610133072',NULL,'9998',0.00,1,3,NULL),(20,5035538,'1988-04-22 00:00:00',4,1,12,2006,'M','N','PARQ DAS LARANJEIRAS','CAMPINAS','SP','125254251215572431236641315122610122187',NULL,'9998',19.24,4,3,NULL),(20,5035546,'1975-07-23 00:00:00',2,1,12,2002,'M','N','RIO GRANDE','PALHOÇA','SC','224241241116275321656643432222521427047',2585,'267',74.84,1,2,1),(20,5035570,'1984-01-21 00:00:00',2,1,8,2004,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241248626271751323344345124610127187',NULL,'9999',26.91,1,3,NULL),(20,5035589,'1986-01-28 00:00:00',4,8,12,2003,'M','N','VILA HENRIQUE','SALTO','SP','125252251216371431448632345132340717055',NULL,'9997',0.00,1,3,NULL),(20,5035597,'1992-09-17 00:00:00',4,1,12,2010,'F','S','ROÇADO','S JOSÉ','SC','124242241215111431588814342122610134075',NULL,'262',50.02,1,3,NULL),(20,5035600,'1992-01-22 00:00:00',4,1,11,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124212241217371431588912475124610128142',3332,'262',71.85,1,3,NULL),(20,5035627,'1990-03-02 00:00:00',4,1,7,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124241241417111431466611342122610128042',NULL,'9999',21.02,1,3,NULL),(20,5035643,'1989-09-12 00:00:00',2,10,12,2008,'M','N','MAR GROSSO','LAGUNA','SC','124244241116151431435512295112230217112',NULL,'521',19.60,1,3,NULL),(20,5035660,'1991-03-18 00:00:00',2,6,11,2009,'M','N','SÃO JOÃO','ITAJAÍ','SC','124242241215372731569933435112130424147',8956,'1026',60.05,4,3,NULL),(20,5035678,'1986-06-02 00:00:00',4,1,12,2004,'F','N','CENTRO','ILHÉUS','BA','105252251216371431478814415124343267012',7815,'9998',58.80,1,3,NULL),(20,5035694,'1992-01-20 00:00:00',4,16,12,2008,'F','N','CENTRO','CURITIBANOS','SC','124241241116472441424324345235610143075',14443,'239',49.39,1,2,1),(20,5035708,'1991-08-07 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244246437372411246624285114231967032',NULL,'1105',0.00,1,3,NULL),(20,5035716,'1984-03-13 00:00:00',4,1,12,2002,'F','N','BELA VISTA II','S JOSÉ','SC','124241241146133431129449242334141127037',14693,'736',48.75,1,2,1),(20,5035724,'1990-09-07 00:00:00',2,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244241215472431468519574114131933097',5799,'272',65.85,1,3,NULL),(20,5035732,'1989-11-04 00:00:00',4,1,12,2008,'F','N','VILA SUZANA','S PAULO','SP','125252257217471431488814575114610162192',13565,'9998',48.88,1,3,NULL),(20,5035740,'1984-01-14 00:00:00',2,1,12,2001,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241126375421346343334122122327187',13176,'307',52.02,1,2,1),(20,5035759,'1993-05-15 00:00:00',2,1,2,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111411454524575122610134147',NULL,'738',23.96,1,3,NULL),(20,5035767,'1991-08-14 00:00:00',4,1,12,2008,'M','N','JARDIM MANSUR','CPO GRANDE','MS','125122121215472441358933575125610167052',547,'9998',84.23,1,3,NULL),(20,5035775,'1992-03-04 00:00:00',4,15,12,2009,'F','N','SAO CRISTOVAO','MARACAJÁ','SC','124241241147151431326614572122610135097',NULL,'550',22.04,1,2,1),(20,5035783,'1988-07-28 00:00:00',4,1,12,2005,'F','N','TIROL','BELO HORIZONTE','MG','113032031216471431636921575324610123015',6914,'9998',64.02,2,3,NULL),(20,5035791,'1992-08-25 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431449934575125610137042',5752,'262',66.58,4,3,NULL),(20,5035821,'1984-11-23 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624201201147271421323354382324610127057',16320,'9998',39.77,4,1,1),(20,5035830,'1992-07-09 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241115152431468814572124610127017',10822,'271',55.44,1,3,NULL),(20,5035856,'1990-02-24 00:00:00',5,1,12,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124113111216371431326511575124142266077',15005,'9998',44.43,4,3,NULL),(20,5035864,'1989-02-01 00:00:00',2,1,12,2006,'F','N','ARIRIU','PALHOÇA','SC','224241241126131431234653485114610147097',NULL,'591',0.00,1,2,1),(20,5035872,'1991-06-10 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241215372431346933571124610126077',12100,'737',51.50,1,3,NULL),(20,5035880,'1993-05-10 00:00:00',4,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241115112431466833575122610136185',8080,'262',59.32,1,3,NULL),(20,5035899,'1989-01-13 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241116473431349933345123233263012',NULL,'306',30.07,1,3,NULL),(20,5035929,'1991-03-20 00:00:00',4,1,5,2009,'F','N','CENTRO','DOURADOS','MS','112122121215271431587779574122610166192',NULL,'9998',43.81,3,3,NULL),(20,5035953,'1991-01-27 00:00:00',4,1,6,2009,'M','N','VIVENDAS DO BOSQUE','CPO GRANDE','MS','112122288416371431458812425122610137121',NULL,'9998',33.08,1,3,NULL),(20,5035961,'1990-08-29 00:00:00',4,1,12,2007,'M','N','BUSSOLO','ORLEANS','SC','124243241211474411338953571124610117062',2024,'820',76.78,1,3,NULL),(20,5035988,'1980-01-15 00:00:00',2,8,12,1997,'M','N','CENTRO','GARUVA','SC','124241243126155451423411292234610137142',NULL,'474',15.75,4,2,1),(20,5035996,'1991-03-21 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','121242241215472411129947574311610167092',NULL,'1022',0.00,1,3,NULL),(20,5036038,'1990-11-15 00:00:00',2,1,11,2007,'F','N','KOBRASOL','S JOSÉ','SC','124242241215473431477532275124233226091',5612,'723',66.88,4,3,NULL),(20,5036054,'1990-09-14 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216112431448839595124221864181',7137,'270',63.55,1,3,NULL),(20,5036062,'1992-02-10 00:00:00',2,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241137471432436523475124610168192',NULL,'733',27.58,1,2,1),(20,5036097,'1990-10-29 00:00:00',4,2,12,2007,'M','N','PONTA AGUDA','BLUMENAU','SC','116243241217472431466934571125610135092',2742,'87',73.15,1,3,NULL),(20,5036100,'1991-05-02 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215472431336971275122610162142',NULL,'1038',0.00,1,3,NULL),(20,5036127,'1991-03-25 00:00:00',4,1,12,2008,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124241241115472751436513372124610117055',14939,'287',48.05,1,2,1),(20,5036135,'1991-08-07 00:00:00',2,1,8,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242247217151431324619585114610167075',NULL,'9999',24.94,1,3,NULL),(20,5036143,'1990-02-14 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215373441239823572124121467017',81,'262',90.67,1,3,NULL),(20,5036151,'1986-04-18 00:00:00',2,1,12,2003,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241137132421223624283224330826057',NULL,'1',29.59,1,2,1),(20,5036160,'1984-08-31 00:00:00',4,1,12,2002,'M','N','CENTRO','S BERNARDO CAMPO','SP','125252251217271731566632295122140234097',7285,'9998',63.26,1,3,NULL),(20,5036178,'1989-03-17 00:00:00',4,10,6,2007,'M','N','CENTRO','CAPIVARI BAIXO','SC','124281281115372452338769475224610138182',4410,'9998',67.89,1,3,NULL),(20,5036186,'1992-07-08 00:00:00',5,4,11,2009,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241215121431389923575125610144182',2603,'983',74.75,1,3,NULL),(20,5036194,'1992-09-13 00:00:00',4,9,11,2009,'M','N','SÃO CRISTÓÃO','LAGES','SC','124242241215131231437814172125610127097',NULL,'499',54.29,1,3,NULL),(20,5036208,'1989-12-22 00:00:00',4,2,12,2007,'M','N','VORSTADT','BLUMENAU','SC','124244241231112411534621245123231467112',12161,'87',54.05,1,3,NULL),(20,5036216,'1991-10-28 00:00:00',4,1,11,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161215471431488831471112610167092',NULL,'9998',0.00,1,3,NULL),(20,5036224,'1992-09-02 00:00:00',2,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124243241217132422543311185124610164095',7260,'1074',61.99,1,3,NULL),(20,5036232,'1992-03-08 00:00:00',4,6,11,2009,'M','N','MACHADOS','NAVEGANTES','SC','124241241115141441656634342121610112042',NULL,'569',27.49,1,3,NULL),(20,5036240,'1991-11-02 00:00:00',2,1,12,2009,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241145131431544314572124610128142',12453,'592',50.07,1,2,1),(20,5036267,'1992-06-26 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113431538912276123610121097',NULL,'1022',29.62,1,3,NULL),(20,5036283,'1991-11-18 00:00:00',2,1,12,2008,'F','N','BOA VISTA','PTO ALEGRE','RS','120204201411471231435411371124610126047',11620,'9998',52.13,1,3,NULL),(20,5036291,'1992-04-15 00:00:00',4,3,12,2009,'M','N','CENTRO','S VICENTE','SP','125254251217271231254827595114610124152',13745,'9998',46.93,2,3,NULL),(20,5036305,'1991-09-03 00:00:00',4,9,12,2008,'M','N','CORAL','LAGES','SC','124244241215373431446611475114610162097',88,'499',90.37,1,3,NULL),(20,5036313,'1991-09-14 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242071215471441249913395124610137045',8690,'9998',60.55,1,3,NULL),(20,5036321,'1985-10-13 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241126131431126644445334631323147',NULL,'908',23.77,1,3,NULL),(20,5036330,'1992-07-14 00:00:00',4,4,12,2009,'F','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120202201314111731668614571124610163047',NULL,'9998',0.00,1,3,NULL),(20,5036348,'1991-11-13 00:00:00',2,4,12,2009,'F','N','EFAPI','CHAPECÓ','SC','124241241115471711533834275122610127042',NULL,'174',26.03,4,3,NULL),(20,5036356,'1988-09-30 00:00:00',2,1,12,2009,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124242247216142431436614345124610164142',NULL,'9999',28.33,1,3,NULL),(20,5036364,'1991-01-11 00:00:00',2,8,12,2008,'M','N','AGUA VERDE','CURITIBA','PR','116162161115471431548824592124613227147',1654,'882',77.61,3,3,NULL),(20,5036372,'1989-03-04 00:00:00',4,3,12,2006,'F','N','ALTO PEREQUE','PTO BELO','SC','124241241115271431435634241114610114197',NULL,'630',23.60,1,3,NULL),(20,5036380,'1992-07-15 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111751368823475122610162182',10193,'262',57.66,1,3,NULL),(20,5036399,'1990-02-25 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215473431245539375124231463072',NULL,'1022',0.00,1,3,NULL),(20,5036402,'1990-10-18 00:00:00',4,6,12,2007,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124241241111271431433619395124610127042',NULL,'111',25.08,1,3,NULL),(20,5036410,'1989-02-08 00:00:00',4,1,11,2005,'M','N','FLORESTA','S JOSÉ','SC','124241241117472431333512575114610134142',4300,'257',70.04,1,2,1),(20,5036429,'1992-10-03 00:00:00',4,10,10,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215121431536712576122610161142',913,'807',81.82,1,3,NULL),(20,5036437,'1991-11-04 00:00:00',4,1,12,2008,'M','N','RIO BRANCO','CANOAS','RS','120202201317271431456734572114610147162',NULL,'9998',24.61,1,3,NULL),(20,5036445,'1992-12-10 00:00:00',4,8,12,2009,'M','N','CENTENARIO','S BENTO SUL','SC','124243241217111731469614572122610128057',NULL,'974',0.00,1,3,NULL),(20,5036470,'1988-05-15 00:00:00',2,1,12,2005,'M','N','ZONA DOIS','MARINGÁ','PR','116161161146271231124644242233610126022',8646,'9998',58.37,1,2,1),(20,5036488,'1991-01-27 00:00:00',4,5,6,2009,'F','N','CENTRO','SIDERÓPOLIS','SC','124243248216271431436634575124610168152',NULL,'995',31.84,1,3,NULL),(20,5036500,'1992-12-19 00:00:00',4,15,12,2009,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241215471731536719575125610142052',13297,'26',48.63,1,3,NULL),(20,5036518,'1990-09-12 00:00:00',4,1,12,2008,'M','N','LAGOINHA','RIBEIRÃO PRETO','SP','125252251215112431538714591122610117042',NULL,'9998',0.00,1,3,NULL),(20,5036526,'1991-03-28 00:00:00',4,1,12,2008,'F','N','DITZ','STO ÂNGELO','RS','120202201217272431368623575114141466092',1754,'9998',77.35,1,3,NULL),(20,5036534,'1990-12-03 00:00:00',2,1,12,2008,'F','N','JARDIM AMÉLIA','SUMARÉ','SP','125251251316471732234421495324610126047',11262,'9998',55.78,4,3,NULL),(20,5036542,'1962-06-23 00:00:00',5,1,6,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624281247125472721354479395124610138183',9056,'9997',57.45,1,2,1),(20,5036550,'1982-12-23 00:00:00',2,1,11,2007,'F','N','SERRARIA','S JOSÉ','SC','124241247126131432521121295124133238071',NULL,'9999',20.23,1,2,1),(20,5036569,'1989-01-21 00:00:00',4,1,9,2006,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124112281417572431467512592122610161017',10171,'9998',55.14,1,3,NULL),(20,5036577,'1992-11-08 00:00:00',4,1,12,2010,'F','S','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215111751369914575122610117122',NULL,'262',27.45,1,3,NULL),(20,5036585,'1987-10-09 00:00:00',2,1,12,2004,'M','N','RIO BRANCO','PTO ALEGRE','RS','120204201217371431336811385121140664117',10276,'9998',54.73,4,3,NULL),(20,5036593,'1992-06-15 00:00:00',4,1,12,2009,'M','N','RESID DONA GERCINA','RIO VERDE','GO','109092091216111431388632575122610167052',5550,'9998',64.08,1,3,NULL),(20,5036615,'1980-09-01 00:00:00',2,1,12,1998,'F','N','KOBRASOL','S JOSÉ','SC','124241241217272441334629495122122263187',11013,'737',56.27,1,3,NULL),(20,5036623,'1992-12-09 00:00:00',2,1,12,2009,'F','N','JARAGUA ESQUERDO','JARAGUÁ SUL','SC','124241241116271431334539272224610125147',NULL,'425',0.00,1,2,1),(20,5036631,'1991-02-18 00:00:00',4,8,12,2008,'M','N','LOURDES','CAXIAS SUL','RS','120202201217572711458614175112610161182',3553,'9998',69.81,1,3,NULL),(20,5036640,'1992-03-30 00:00:00',2,15,11,2009,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241215131431446914575122610124042',12276,'32',51.01,1,3,NULL),(20,5036658,'1989-02-11 00:00:00',4,1,12,2006,'M','N','JARDIM PETRÓPOLIS','BAURU','SP','125251251116572341448833385123613267047',4429,'9998',68.67,1,2,1),(20,5036666,'1991-09-27 00:00:00',2,1,11,2008,'M','N','CENTRO','CAÇADOR','SC','124242161215371431436632572322610124182',5388,'120',67.35,1,3,NULL),(20,5036674,'1990-06-10 00:00:00',2,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241217133411546621245124133244067',12630,'1048',53.08,1,3,NULL),(20,5036682,'1992-09-19 00:00:00',4,15,12,2009,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124244241215121311446632575312610167187',8128,'970',59.49,1,3,NULL),(20,5036690,'1993-06-23 00:00:00',4,5,11,2009,'M','N','PRIMEIRA LINHA','CRICIÚMA','SC','124242241217111731468812472122610122122',NULL,'226',52.37,1,3,NULL),(20,5036704,'1991-03-26 00:00:00',4,1,11,2008,'M','N','LAGO SUL','LG SUL','DF','107072071237471431569811415112610167012',3480,'9998',72.18,4,3,NULL),(20,5036739,'1992-07-20 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472432478834372122610137122',2163,'270',76.30,4,3,NULL),(20,5036747,'1991-12-16 00:00:00',4,1,11,2009,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241215123431388812575112610126122',4960,'270',66.72,1,3,NULL),(20,5036755,'1992-06-16 00:00:00',2,3,12,2009,'F','N','PEREQUE','PTO BELO','SC','124243241215111151333334345122610124057',NULL,'1111',23.25,1,3,NULL),(20,5036771,'1988-01-20 00:00:00',4,1,12,2005,'M','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125251251117371431536614485124141444052',NULL,'9998',0.00,1,2,1),(20,5036780,'1991-07-06 00:00:00',4,2,11,2008,'M','N','JARDIN IGUAÇU','FOZ IGUAÇU','PR','116162161215371411558832591122141411112',NULL,'9998',27.19,1,3,NULL),(20,5036801,'1991-07-09 00:00:00',2,1,11,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241415111431334511115112610167117',NULL,'1022',36.24,1,3,NULL),(20,5036810,'1986-03-15 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241216154421267923435122521737161',7144,'266',63.54,1,3,NULL),(20,5036828,'1992-08-28 00:00:00',4,7,12,2009,'M','N','JARDIM AMERICA','ASSIS CHATEAUBRIAND','PR','116161161416111441436416495124610128142',3189,'9998',72.44,1,3,NULL),(20,5036836,'1990-10-03 00:00:00',4,1,12,2008,'M','N','BELA VISTA','S PAULO','SP','125072251237572441389913575124610166047',NULL,'9998',52.81,4,3,NULL),(20,5036844,'1992-11-05 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241215111431436624591224610128172',15070,'1118',47.66,1,3,NULL),(20,5036852,'1992-11-04 00:00:00',2,4,12,2009,'F','N','SÃO CRITOVÃO','CHAPECÓ','SC','124241248116271431325511475124610135147',NULL,'170',0.00,1,2,1),(20,5036860,'1992-06-25 00:00:00',2,1,12,2009,'F','N','SANTANA','S PAULO','SP','125254251217171731366669575122610164092',NULL,'9998',0.00,1,3,NULL),(20,5036879,'1993-03-29 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242201217371431466825575122610131112',NULL,'9998',0.00,1,3,NULL),(20,5036887,'1992-04-22 00:00:00',4,1,12,2009,'M','N','CENTRO','OSÓRIO','RS','120201201117141431638912275122610167142',14958,'9998',44.06,1,2,1),(20,5036909,'1991-12-15 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241117131432324524575124610128142',NULL,'296',27.81,2,1,1),(20,5036917,'1990-03-13 00:00:00',4,1,6,2008,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124242241114473431434954472124610117052',7846,'739',60.59,4,3,NULL),(20,5036925,'1991-11-06 00:00:00',4,1,11,2009,'F','N','SANTA QUITERIA','CURITIBA','PR','116162161217121431439718575122610164042',4922,'9998',66.40,1,3,NULL),(20,5036933,'1991-05-08 00:00:00',4,1,12,2008,'M','N','NOVA PETRÓPOLIS','S BERNARDO CAMPO','SP','125252251216472441567812473123243267113',9615,'9998',56.82,1,3,NULL),(20,5036941,'1992-06-20 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241115372431446611575112610132192',9020,'267',58.28,1,2,1),(20,5036950,'1991-06-21 00:00:00',2,8,12,2007,'F','N','CENTRO','PIÊN','PR','116161161116472731436632195124610118142',NULL,'9998',31.55,1,2,1),(20,5036976,'1990-09-27 00:00:00',5,10,12,2008,'M','N','CENTRO','TUBARÃO','SC','124244241236132431237623445124133226042',NULL,'809',30.67,1,3,NULL),(20,5037000,'1992-04-25 00:00:00',2,1,12,2009,'F','N','FAZENDA DA ARMACAO','GOV CELSO RAMOS','SC','124161241145131431528614382324610126177',NULL,'1099',0.00,1,2,1),(20,5037018,'1988-09-20 00:00:00',4,1,12,2006,'M','N','HIGIENÓPOLIS','S PAULO','SP','125252253227571431243364285125141164142',529,'9998',84.35,1,3,NULL),(20,5037026,'1992-04-09 00:00:00',4,1,11,2009,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161217171211475814575122610164052',7366,'9998',61.13,1,3,NULL),(20,5037034,'1989-03-09 00:00:00',4,1,12,2006,'F','N','CENTRO','LGA VERMELHA','RS','120201201216132751333832392125610148147',NULL,'9998',34.30,1,3,NULL),(20,5037042,'1991-09-28 00:00:00',2,1,10,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','116162161235121331378922571124610123092',NULL,'9998',0.00,1,3,NULL),(20,5037050,'1992-06-24 00:00:00',2,1,12,2009,'F','N','VILA NOVA','IMBITUBA','SC','124242241215112751338819575124610124072',12452,'1022',50.69,1,3,NULL),(20,5037069,'1993-01-09 00:00:00',4,8,11,2009,'F','N','PIRABEIRABA','JOINVILLE','SC','124241241215111411646624575114610162182',7523,'486',62.76,1,3,NULL),(20,5037077,'1991-04-05 00:00:00',4,1,11,2008,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241211273431468812572122230433072',9712,'270',56.05,1,3,NULL),(20,5037093,'1992-05-28 00:00:00',2,1,11,2009,'F','N','SERRARIA','S JOSÉ','SC','124242241215121231433312246124610123012',14771,'300',45.78,1,3,NULL),(20,5037107,'1992-09-26 00:00:00',4,10,11,2009,'F','N','CENTRO','BRAÇO NORTE','SC','124242241215121431486832274122610146186',7358,'807',60.41,1,3,NULL),(20,5037115,'1991-12-20 00:00:00',2,1,12,2009,'F','N','JARDINS','ARACAJU','SE','126262261216471411438821574122610162192',711,'9998',83.10,1,3,NULL),(20,5037123,'1990-09-22 00:00:00',4,8,12,2007,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161216573421448811571115610162197',6540,'9998',63.52,1,3,NULL),(20,5037131,'1992-02-15 00:00:00',4,1,11,2009,'F','N','BUENO','GOIÂNIA','GO','101011011111111111111111111111110111011',916,'9998',81.28,4,3,NULL),(20,5037158,'1992-09-19 00:00:00',4,1,11,2009,'M','N','JABAQUARA','S PAULO','SP','125252251417471531459931485124610115012',3962,'9998',68.81,1,3,NULL),(20,5037166,'1987-03-17 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162161211473431159911471122322046195',3665,'9998',71.71,1,3,NULL),(20,5037174,'1990-05-11 00:00:00',4,1,12,2007,'M','N','FORQUILHAS','S JOSÉ','SC','124243241117273442633623575114133234182',11855,'733',51.87,1,3,NULL),(20,5037182,'1990-03-21 00:00:00',4,8,12,2007,'F','N','CENTRO','APUCARANA','PR','116162161215571431448711572122610163097',54,'9998',91.42,1,3,NULL),(20,5037190,'1992-12-26 00:00:00',4,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124242241215112431466822575112610127142',1430,'807',78.48,1,3,NULL),(20,5037204,'1992-06-18 00:00:00',4,8,12,2009,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241116131431335823574121610154177',NULL,'1103',41.01,1,2,1),(20,5037212,'1992-10-07 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431378811572125610133182',8303,'270',60.96,1,3,NULL),(20,5037220,'1990-04-30 00:00:00',4,8,12,2007,'F','N','JARDIM ELIANE','APUCARANA','PR','116162161215473431448819595122610144011',4979,'9998',68.01,3,3,NULL),(20,5037255,'1989-10-22 00:00:00',2,1,6,2008,'M','N','CAMPINAS','S JOSÉ','SC','124241241127271431424414345134610147187',NULL,'736',40.72,1,2,1),(20,5037271,'1991-09-14 00:00:00',3,1,12,2009,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124244241215111731459923572124610163095',NULL,'270',59.29,1,3,NULL),(20,5037280,'1991-07-22 00:00:00',2,10,12,2008,'F','N','JARDIM PADROEIRA','GUARATINGUETÁ','SP','125252251217472431463923275122610122182',NULL,'9998',28.92,1,3,NULL),(20,5037298,'1991-04-12 00:00:00',2,5,12,2008,'M','N','AREIAS BRANCAS','BAL ARROIO SILVA','SC','124241242116272431449933485124610167177',8438,'690',59.15,1,2,1),(20,5037301,'1992-07-05 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241235131431348931574125610164147',NULL,'213',49.62,1,3,NULL),(20,5037310,'1992-09-29 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241112171421525654575124610117077',NULL,'307',16.92,1,2,1),(20,5037328,'1988-11-21 00:00:00',4,1,12,2006,'M','N','BAIRRO RENASCENCA','S LUÍS','MA','110102101217471431488834345122141064182',NULL,'9998',0.00,1,3,NULL),(20,5037344,'1991-10-28 00:00:00',4,1,12,2008,'F','N','BOQUEIRÃO','SANTOS','SP','125252251211471431459811571124610165147',NULL,'9998',0.00,1,3,NULL),(20,5037352,'1991-02-16 00:00:00',4,1,12,2008,'M','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124132241215372431548712575114131467042',1314,'1022',79.04,1,3,NULL),(20,5037379,'1990-08-08 00:00:00',4,8,12,2007,'F','N','GLEBA PALHANO','LONDRINA','PR','116162161215571431489931572122610122141',1682,'9998',76.49,1,3,NULL),(20,5037387,'1991-07-09 00:00:00',4,15,12,2009,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124243241215472431448912575122610166057',NULL,'26',51.21,1,3,NULL),(20,5037395,'1992-12-29 00:00:00',4,8,12,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215111531368933575122610127147',3352,'1016',71.91,1,3,NULL),(20,5037409,'1990-09-22 00:00:00',4,1,7,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241415573451319933572124610162091',1260,'270',79.28,1,3,NULL),(20,5037425,'1991-11-25 00:00:00',4,1,12,2009,'M','N','SÃO FRANCISCO','S PAULO','SP','125252251217111431479911575111610134092',13651,'9998',51.04,1,3,NULL),(20,5037433,'1988-09-27 00:00:00',4,6,12,2005,'F','N','CORDEIROS','ITAJAÍ','SC','124242241216132411449914485224131436172',12280,'389',53.81,1,3,NULL),(20,5037441,'1985-10-17 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241111143431537311345134220966097',12598,'289',53.14,1,2,1),(20,5037450,'1992-09-22 00:00:00',4,4,11,2009,'M','N','JARDIM AMÉRICA','CHAPECÓ','SC','124244241135441331433914245124610124052',NULL,'169',28.08,1,3,NULL),(20,5037468,'1989-12-07 00:00:00',2,8,12,2007,'F','N','JARIVATUBA','JOINVILLE','SC','124241241135573431423313171224610137077',623,'740',83.73,1,2,1),(20,5037476,'1989-04-01 00:00:00',4,8,12,2006,'F','N','BUTANTÃ','S PAULO','SP','125252251216571431237821571114610164047',NULL,'9998',0.00,1,3,NULL),(20,5037484,'1990-11-26 00:00:00',4,1,12,2008,'M','N','CIDADE ALTA','PTO SEGURO','BA','125132131217471431478714475124610167052',6779,'9998',61.58,1,3,NULL),(20,5037492,'1990-11-18 00:00:00',2,1,12,2009,'M','N','JD DONA LEILA','FOZ IGUAÇU','PR','116164161237111431426611312324610127112',NULL,'9998',0.00,3,3,NULL),(20,5037514,'1992-03-19 00:00:00',2,1,12,2008,'F','N','CENTRO','ESTEIO','RS','120202201217472431236829591122610137075',12470,'9998',50.28,1,3,NULL),(20,5037522,'1987-11-09 00:00:00',4,8,12,2004,'F','N','BIGORRILHO','CURITIBA','PR','116162161215471411248814311124143222192',781,'9998',82.34,1,3,NULL),(20,5037530,'1992-10-21 00:00:00',4,9,12,2009,'M','N','VILA MARIZA','LAGES','SC','124241241117271431436914575124610167047',NULL,'935',30.39,1,2,1),(20,5037549,'1992-12-19 00:00:00',4,1,12,2009,'F','N','VILA TONANI','DOURADOS','MS','112121121216121431576716162115610121012',11385,'9998',52.31,1,3,NULL),(20,5037557,'1992-08-14 00:00:00',2,8,12,2009,'F','N','JARDIM PARANÁ','MANDAGUARI','PR','116164161216111431448814572122610136182',7738,'9998',59.86,1,3,NULL),(20,5037565,'1981-06-24 00:00:00',4,1,12,1998,'F','N','CENTRO','LONDRINA','PR','116162161216471421475516415122340461092',1357,'9998',78.98,3,3,NULL),(20,5037573,'1991-10-24 00:00:00',4,4,12,2008,'M','N','CENTRO','PASSO FUNDO','RS','116162201216471431279822375225610164142',1616,'9998',78.32,1,3,NULL),(20,5037590,'1991-12-01 00:00:00',4,6,12,2009,'F','N','CENTRO','PENHA','SC','124243241346131431226721595124610166171',NULL,'609',41.64,1,3,NULL),(20,5037620,'1992-03-15 00:00:00',2,8,12,2008,'F','N','AVENTUREIRO','JOINVILLE','SC','124161161116471751325964572324610146177',8613,'9998',59.39,1,2,1),(20,5037638,'1992-10-13 00:00:00',4,4,12,2009,'F','N','LIBERDADE','CONCÓRDIA','SC','124242241215121431349813575122610138142',4754,'1047',66.50,1,3,NULL),(20,5037654,'1993-02-19 00:00:00',4,8,11,2009,'F','N','JARDIM TANGARÁ I','TANGARÁ SERRA','MT','111112111217111731369931575112610132097',NULL,'9998',37.12,4,3,NULL),(20,5037662,'1981-01-10 00:00:00',2,1,11,2002,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241246116244431443614371124232722147',15733,'306',43.16,1,3,NULL),(20,5037670,'1986-02-05 00:00:00',4,1,12,2003,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241111131421134444345124610113097',NULL,'727',10.74,1,2,1),(20,5037689,'1992-03-07 00:00:00',3,1,11,2009,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215113431238727575114610136052',257,'270',87.15,1,3,NULL),(20,5037697,'1978-04-20 00:00:00',4,1,12,1995,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216475731477812445132221464082',7530,'272',62.74,1,3,NULL),(20,5037700,'1991-06-06 00:00:00',4,3,12,2008,'F','N','CENTRO','ASTORGA','PR','116162161215371732448812575112610164077',5569,'9998',65.20,1,3,NULL),(20,5037727,'1989-06-28 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116273411433313345134610122043',NULL,'307',41.23,1,2,1),(20,5037735,'1992-12-09 00:00:00',4,1,11,2009,'F','N','CENTRO','GEN CARNEIRO','PR','124163241315111431437632572222610122142',NULL,'633',17.39,1,3,NULL),(20,5037751,'1989-02-15 00:00:00',4,1,11,2006,'F','N','VILA GUILHERME','SOROCABA','SP','125251251417571751668614574124610128187',13988,'9998',48.03,1,3,NULL),(20,5037760,'1992-06-21 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241212273411366719572124233223182',2629,'270',74.64,1,3,NULL),(20,5037778,'1992-01-06 00:00:00',4,2,12,2009,'M','N','CONJUNTO LIBRA','FOZ IGUAÇU','PR','116161161216111441537412575124610144097',13138,'9998',48.94,1,3,NULL),(20,5037786,'1989-08-19 00:00:00',4,8,12,2006,'M','N','CENTRO','ARIRANHA','SP','125252251217371431368811571114142246141',NULL,'9998',0.00,1,3,NULL),(20,5037840,'1984-09-07 00:00:00',2,6,12,2002,'M','N','ROÇA GRANDE','COLOMBO','PR','216092161216471421625311282124143238057',10534,'9998',53.02,1,3,NULL),(20,5037859,'1991-01-17 00:00:00',4,8,12,2008,'M','N','AMERICA','JOINVILLE','SC','124242241217232431455624575121231437072',1806,'489',77.57,3,3,NULL),(20,5037867,'1992-07-11 00:00:00',2,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215113431489932575112610137042',12202,'270',53.98,1,3,NULL),(20,5037891,'1992-06-23 00:00:00',4,1,12,2009,'M','N','VILA SANTO ANTÔNIO','OURINHOS','SP','125252251217111431268831472121610134082',NULL,'9998',0.00,1,3,NULL),(20,5037905,'1985-10-14 00:00:00',2,7,12,2003,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241241135371441346614245122610162042',NULL,'808',28.52,1,2,1),(20,5037913,'1991-09-22 00:00:00',2,1,12,2008,'F','N','PARQUE DA MATRIZ','CACHOEIRINHA','RS','120201201146371431436839592122610137054',NULL,'9998',20.02,1,2,1),(20,5037948,'1991-07-08 00:00:00',4,1,12,2008,'F','N','VILA MATHIAS','SANTOS','SP','125252251215472431448811574124610132196',NULL,'9998',0.00,4,3,NULL),(20,5037956,'1991-04-16 00:00:00',4,1,12,2008,'M','N','MARIA ISABEL','MARÍLIA','SP','125252251246471411458811271112610124053',NULL,'9998',25.83,3,3,NULL),(20,5037972,'1993-02-21 00:00:00',2,8,12,2009,'F','N','CENTRO','ADAMANTINA','SP','125252251217271432258821575112610161192',NULL,'9998',0.00,1,3,NULL),(20,5037980,'1983-02-14 00:00:00',2,1,12,2002,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243241111373451359619435124122317112',NULL,'307',46.76,1,3,NULL),(20,5037999,'1992-01-18 00:00:00',4,8,12,2009,'F','N','PINEVILLE','PINHAIS','PR','116162161212471431559932575122610162143',4248,'9998',68.33,1,3,NULL),(20,5038006,'1992-02-19 00:00:00',4,3,12,2009,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125252251215321431468832592322610137013',NULL,'9998',0.00,1,3,NULL),(20,5038014,'1990-03-21 00:00:00',4,5,1,2009,'F','N','MENINO DEUS','PTO ALEGRE','RS','120202207437372421545811415134610132112',NULL,'9998',46.17,1,3,NULL),(20,5038030,'1992-08-04 00:00:00',4,1,12,2009,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241115471431224624575124610122172',10998,'733',54.13,1,2,1),(20,5038073,'1992-07-04 00:00:00',4,8,11,2009,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241215151431478832575112610144181',3650,'457',69.67,1,3,NULL),(20,5038081,'1993-11-03 00:00:00',4,5,11,2010,'F','S','RIO MAINA','CRICIÚMA','SC','124242241216111431358732475122610124147',NULL,'211',39.81,1,3,NULL),(20,5038103,'1991-01-17 00:00:00',2,15,12,2008,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241215372431367729495122610137042',3961,'970',69.87,1,3,NULL),(20,5038111,'1987-09-10 00:00:00',4,1,12,2005,'M','N','ROÇADO','S JOSÉ','SC','124241241127371311533319375113131014047',13361,'729',51.64,1,2,1),(20,5038138,'1987-05-24 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215274411456714272124122833141',2425,'884',75.35,1,3,NULL),(20,5038146,'1993-04-01 00:00:00',4,8,12,2009,'F','N','JOÃO COSTA','JOINVILLE','SC','124241241215131431427632275124610162097',NULL,'459',49.49,1,3,NULL),(20,5038154,'1992-07-14 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241146141421325469292124610127052',NULL,'278',22.59,1,2,1),(20,5038162,'1990-05-29 00:00:00',4,1,12,2007,'M','N','CENTRO','VALPARAÍSO','SP','125254251215571431458815575124610127083',1156,'9998',79.49,3,3,NULL),(20,5038170,'1989-11-21 00:00:00',2,1,12,2007,'M','N','BOM VIVER','BIGUAÇU','SC','124242241215372451443611442114610127042',15789,'1118',45.12,1,3,NULL),(20,5038197,'1992-07-03 00:00:00',4,1,11,2009,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242241215112231336632572122610127012',10884,'1022',56.52,1,3,NULL),(20,5038200,'1991-02-07 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241112272431414414372114610124197',NULL,'292',23.87,1,2,1),(20,5038227,'1991-11-09 00:00:00',4,8,12,2009,'M','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124242241215111431579911575124610124122',NULL,'442',0.00,1,3,NULL),(20,5038243,'1986-04-04 00:00:00',2,1,11,2003,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241116375431539923574124610142142',2459,'271',75.24,1,3,NULL),(20,5038251,'1992-11-21 00:00:00',2,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241217111411446812344122610166042',4278,'213',68.64,1,3,NULL),(20,5038260,'1992-05-12 00:00:00',4,4,12,2009,'M','N','SAIC','CHAPECÓ','SC','124241241217151431359812575122610147012',11139,'1046',53.07,1,3,NULL),(20,5038286,'1988-11-12 00:00:00',4,3,12,2006,'M','N','JUDITH','LONDRINA','PR','116112111217571231469914575112141467043',4846,'9998',65.42,1,3,NULL),(20,5038324,'1951-02-09 00:00:00',2,1,5,1981,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247127154411343149492112122266187',NULL,'9999',23.25,1,2,1),(20,5038332,'1991-01-05 00:00:00',4,1,10,2008,'M','N','LAUZANE PAULISTA','S PAULO','SP','125214251216472751227824175114610162197',NULL,'9998',0.00,1,3,NULL),(20,5038375,'1992-10-03 00:00:00',4,16,12,2009,'F','N','SANTA TERESINHA','GASPAR','SC','124241241136141431539613345124610127142',NULL,'327',20.00,1,2,1),(20,5038383,'1991-11-22 00:00:00',2,1,11,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124242241213221211182613571121613217052',9931,'1175',56.16,1,3,NULL),(20,5038391,'1992-12-12 00:00:00',2,4,12,2009,'F','N','EFACIP','PINHALZINHO','SC','124242241421111121111112111111110111146',14371,'1070',45.34,1,3,NULL),(20,5038405,'1992-07-03 00:00:00',4,6,11,2009,'F','N','VILA DO POLONÊS','CPO GRANDE','MS','112122128217421431448912575122610121157',NULL,'9998',0.00,1,3,NULL),(20,5038413,'1992-06-16 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124242241214371431436614575124610166172',6693,'1018',62.39,1,3,NULL),(20,5038421,'1992-08-17 00:00:00',2,8,12,2009,'F','N','CIDADE INDUSTRIAL','CURITIBA','PR','116164161215421741336724391224610163147',12518,'9998',49.45,2,1,2),(20,5038448,'1992-04-25 00:00:00',4,9,10,2009,'M','N','IGUAÇU','IPATINGA','MG','113134131217271441377614295112610168042',400,'9998',85.38,1,3,NULL),(20,5038456,'1993-12-28 00:00:00',2,1,12,2009,'F','N','CENTRO','BIGUAÇU','SC','124244241215132731446612371122610126157',NULL,'1118',22.36,1,3,NULL),(20,5038464,'1988-01-19 00:00:00',2,1,12,2005,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241111575431539923572114610132182',1072,'271',80.89,1,3,NULL),(20,5038480,'1990-07-22 00:00:00',2,7,12,2007,'M','N','NOSSA SRA DE LOURDES','CAMPOS NOVOS','SC','124241241116372431343936395124130868042',6016,'140',63.71,1,2,1),(20,5038499,'1982-12-18 00:00:00',3,1,12,2001,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124212217216371431226824375124610133182',14298,'9998',49.72,1,3,NULL),(20,5038510,'1991-12-09 00:00:00',4,1,11,2009,'F','N','APARECIDA','SANTOS','SP','125252251215371431467924575122610168127',NULL,'9998',NULL,1,3,NULL),(20,5038529,'1992-08-07 00:00:00',4,4,11,2009,'M','N','COLINA VERDE','ITÁ','SC','120242201216121441449811575122610168172',NULL,'9998',0.00,1,3,NULL),(20,5038545,'1992-09-13 00:00:00',4,1,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241217171311239821575125610121192',NULL,'1038',28.96,1,3,NULL),(20,5038553,'1990-11-24 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124251251216271411433312575122610124197',NULL,'9998',0.00,1,3,NULL),(20,5038561,'1992-12-31 00:00:00',4,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124121241117341431536639275124610121142',NULL,'286',36.23,1,2,1),(20,5038570,'1990-06-23 00:00:00',2,1,12,2007,'M','N','SERTÃO','STO AMARO IMPERATRIZ','SC','124241241116272221353722345134610117147',NULL,'941',43.07,1,2,1),(20,5038596,'1989-10-25 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124112111217471441348612575124142926092',9070,'9998',56.91,1,3,NULL),(20,5038600,'1991-11-26 00:00:00',4,8,12,2008,'M','N','BOM RETIRO','JOINVILLE','SC','124202201217371411436832575124610137053',13053,'9998',52.26,1,3,NULL),(20,5038618,'1992-03-24 00:00:00',2,1,11,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124243241235372431566633572114610126147',10434,'944',57.35,1,3,NULL),(20,5038626,'1992-02-27 00:00:00',4,1,12,2009,'F','N','ITAIM','TAUBATÉ','SP','125252251215121432459923575122610162147',NULL,'9998',0.00,1,3,NULL),(20,5038634,'1992-07-09 00:00:00',4,1,11,2009,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116162161215111431468812572122610137102',NULL,'9998',0.00,1,3,NULL),(20,5038642,'1992-01-18 00:00:00',2,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215112411558814292124610137162',4808,'270',67.71,1,3,NULL),(20,5038650,'1992-08-28 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215121431357933232112610123077',14593,'226',49.02,1,3,NULL),(20,5038669,'1990-12-03 00:00:00',4,1,12,2008,'M','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241126142431453711245123610127047',NULL,'731',28.23,1,3,NULL),(20,5038685,'1989-08-11 00:00:00',2,1,8,2008,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124244244425371421423623445124610117042',NULL,'300',25.07,1,3,NULL),(20,5038707,'1993-01-04 00:00:00',4,6,11,2010,'M','S','CENTRO','ITAJAÍ','SC','124242241216151431485612575122610118191',NULL,'392',49.23,1,3,NULL),(20,5038715,'1990-01-22 00:00:00',4,1,12,2006,'F','N','FUNDOS','BIGUAÇU','SC','124242241213131111424411381324132168117',NULL,'63',20.51,1,3,NULL),(20,5038723,'1992-07-03 00:00:00',4,1,12,2009,'F','N','VILA RUBI','S PAULO','SP','125254251216111431468714575112610132077',NULL,'9998',0.00,1,3,NULL),(20,5038731,'1992-11-02 00:00:00',4,1,12,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241217111431459933575114610121182',9582,'1022',56.45,1,3,NULL),(20,5038758,'1973-06-05 00:00:00',4,1,12,2001,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224241247327131731353354145121231047062',NULL,'9999',28.37,2,1,2),(20,5038766,'1985-12-01 00:00:00',2,1,7,2004,'F','N','CANTO','FLORIANÓPOLIS','SC','124243248342274211533511345134133224187',15775,'257',42.01,1,3,NULL),(20,5038774,'1991-10-16 00:00:00',2,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241215472431435313572124610124197',3984,'299',70.89,1,3,NULL),(20,5038782,'1993-12-30 00:00:00',4,1,12,2010,'M','S','BARREIROS','S JOSÉ','SC','124242241215111431435911572124610137045',NULL,'738',17.82,1,3,NULL),(20,5038790,'1991-06-07 00:00:00',2,8,12,2008,'F','N','CENTRO','TUPARENDI','RS','120204201217471731438921572124610166183',2083,'9998',76.30,1,3,NULL),(20,5038804,'1990-02-24 00:00:00',4,1,12,2007,'M','N','SETOR SUL','GOIÂNIA','GO','109092091215512751668813592112610167047',NULL,'9998',0.00,1,3,NULL),(20,5038812,'1990-04-01 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251216473411328814475124610162182',6649,'9998',64.60,1,3,NULL),(20,5038820,'1990-12-19 00:00:00',4,1,12,2008,'M','N','OTAVIO PECORA','CPO GRANDE','MS','112122121216472431468812575112610164052',9288,'9998',56.09,1,3,NULL),(20,5038839,'1991-06-19 00:00:00',2,1,11,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241116372421228529245134610134197',15621,'257',45.80,1,2,1),(20,5038863,'1992-06-09 00:00:00',4,1,12,2009,'F','N','CENTRO','S CARLOS','SP','125252251217371731579831212112610138147',NULL,'9998',22.49,1,3,NULL),(20,5038871,'1990-03-01 00:00:00',4,1,12,2007,'M','N','HIGIENÓPOLIS','LONDRINA','PR','116162161217572431488811575125610144181',699,'9998',82.71,3,3,NULL),(20,5038880,'1992-07-23 00:00:00',4,15,11,2009,'M','N','CENTRO','SOMBRIO','SC','124242241215271431489819575124610166092',5390,'970',66.22,4,1,2),(20,5038910,'1990-07-04 00:00:00',2,1,12,2007,'F','N','VERA CRUZ','PASSO FUNDO','RS','124202201212574431448611572124610138182',13963,'9998',45.21,1,3,NULL),(20,5038944,'1990-11-18 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','120201201316273431463612595124222327057',7588,'9998',58.57,1,3,NULL),(20,5038952,'1990-05-28 00:00:00',4,8,12,2007,'F','N','VILA MARIA','S JOSÉ CAMPOS','SP','125252252216471441337612571244610166092',8069,'9998',59.46,1,3,NULL),(20,5038960,'1989-09-14 00:00:00',2,1,12,2006,'F','N','VILA VOTURUA','S VICENTE','SP','125252251217573431536824344134610162097',10114,'9998',54.08,1,3,NULL),(20,5038979,'1992-08-03 00:00:00',2,1,11,2009,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241215122411579933572322610167142',5856,'13',64.34,1,3,NULL),(20,5038995,'1991-06-06 00:00:00',2,1,12,2009,'M','N','PRAINHA','FLORIANÓPOLIS','SC','124241241115271531526411292124610164057',13043,'286',48.52,1,2,1),(20,5039002,'1989-01-16 00:00:00',2,8,7,2007,'F','N','VIEIRAS','JARAGUÁ SUL','SC','124241246215371431135344442122131437147',NULL,'995',0.00,1,3,NULL),(20,5039045,'1988-05-03 00:00:00',4,8,12,2005,'M','N','AMERICA','JOINVILLE','SC','125242241216575431568833591122130234042',NULL,'461',NULL,1,3,NULL),(20,5039053,'1992-01-06 00:00:00',4,4,12,2008,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116162161216472432556831375125610164112',4024,'9998',69.83,1,3,NULL),(20,5039061,'1991-07-26 00:00:00',4,1,12,2009,'F','N','CERÂMICA','S CAETANO SUL','SP','125252251211121431459814574125610131172',8642,'9998',57.40,1,3,NULL),(20,5039088,'1992-01-24 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215122431438814474124610122127',11970,'269',52.80,1,3,NULL),(20,5039096,'1990-01-11 00:00:00',4,1,12,2007,'F','N','JARDIM MARIA CÂNDIDA','S JOSÉ R PRETO','SP','125252251215571431458814275122610135077',NULL,'9998',0.00,1,3,NULL),(20,5039100,'1992-03-16 00:00:00',2,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241115351231336434575124610127147',NULL,'257',0.00,4,2,1),(20,5039118,'1991-11-08 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431479933575112610136182',2295,'270',75.83,1,3,NULL),(20,5039126,'1991-08-17 00:00:00',4,1,11,2008,'F','N','ELDORADO','TREMEMBÉ','SP','125252251215471431358822595112610134047',1271,'9998',79.90,3,3,NULL),(20,5039134,'1991-03-28 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241114131431324424272324610167142',15627,'984',45.76,1,2,1),(20,5039142,'1990-07-21 00:00:00',4,6,12,2008,'M','N','CENTRO','BAL PIÇARRAS','SC','124241241127131431436432145124610158142',NULL,'609',15.49,1,2,1),(20,5039150,'1989-11-15 00:00:00',4,8,12,2007,'M','N','JARDIM ALVORADA','S JOSÉ CAMPOS','SP','125253251216471431438413571221610162082',5905,'9998',63.60,1,3,NULL),(20,5039169,'1992-05-09 00:00:00',4,1,10,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217131431248717572122610168197',NULL,'273',38.28,1,3,NULL),(20,5039177,'1986-04-20 00:00:00',2,1,12,2005,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','224241241146274431323358382124610146097',15465,'288',46.42,1,2,1),(20,5039185,'1992-08-23 00:00:00',4,1,12,2009,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241115161431423311575124610121147',14217,'772',47.39,1,2,1),(20,5039193,'1991-09-25 00:00:00',4,6,11,2009,'M','N','FAZENDA','ITAJAÍ','SC','124242241215111411435731374323610122182',7351,'392',60.76,1,3,NULL),(20,5039207,'1991-04-10 00:00:00',4,8,12,2008,'F','N','NOVA BRASÍLIA','JOINVILLE','SC','124243241215372731456912421124610134121',NULL,'1016',30.65,1,3,NULL),(20,5039215,'1990-08-01 00:00:00',4,1,12,2007,'F','N','COND MORRO VERMELHO','MOGI MIRIM','SP','125252251217571441288921475122610127122',6987,'9998',60.89,1,3,NULL),(20,5039223,'1992-01-15 00:00:00',2,2,12,2009,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241216131431226729575224610168187',NULL,'86',26.84,1,3,NULL),(20,5039240,'1979-02-19 00:00:00',3,1,12,1995,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241216573731369923445132322065197',11303,'272',55.69,1,3,NULL),(20,5039266,'1991-10-04 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372431259933372124133242012',2689,'270',73.59,1,3,NULL),(20,5039274,'1990-10-09 00:00:00',4,1,12,2008,'M','N','TABOAO','BRAGANÇA PAULISTA','SP','125252251217151411336612274122241467186',NULL,'9998',48.73,1,3,NULL),(20,5039282,'1989-05-13 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241212374741487732272114130267092',NULL,'269',53.30,1,3,NULL),(20,5039290,'1991-04-09 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215374411648511575124610127147',NULL,'262',0.00,1,3,NULL),(20,5039304,'1992-12-03 00:00:00',2,1,12,2009,'F','N','VILA THIESEN','IMARUÍ','SC','124241241125161411324451295122610167057',NULL,'356',0.00,1,3,NULL),(20,5039347,'1989-09-02 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241212574431454911472124610123142',NULL,'273',17.31,1,3,NULL),(20,5039355,'1991-09-06 00:00:00',4,1,12,2009,'M','N','JARDIM PARAISO','BEBEDOURO','SP','125252251215111431456931595122610167142',NULL,'9998',NULL,1,3,NULL),(20,5039363,'1992-12-23 00:00:00',4,3,11,2009,'F','N','REBOUÇAS','CURITIBA','PR','116162161217111411459923475124610142017',NULL,'9998',0.00,1,3,NULL),(20,5039371,'1992-06-08 00:00:00',4,2,10,2009,'M','N','VILA NOVA','BLUMENAU','SC','124242241215112431359418575122610137142',3284,'855',71.41,1,3,NULL),(20,5039380,'1991-10-07 00:00:00',4,2,12,2009,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242248215351641568812295123610136032',NULL,'107',33.79,1,3,NULL),(20,5039398,'1993-05-21 00:00:00',4,1,12,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124202241114371431456613177224610168052',NULL,'739',45.13,1,3,NULL),(20,5039401,'1993-03-21 00:00:00',4,4,12,2009,'M','N','CENTRO','ABELARDO LUZ','SC','124241241116271532453621575112610164142',13924,'4',46.59,1,2,1),(20,5039436,'1967-02-11 00:00:00',4,1,12,1985,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','224242245226135751425253131234322748187',NULL,'266',26.28,4,1,2),(20,5039444,'1990-03-18 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124241241116133431234923375214133232042',12704,'512',49.81,1,2,1),(20,5039452,'1989-03-29 00:00:00',4,1,12,2007,'M','N','TERRAS DO BARÃO','CAMPINAS','SP','125132251217571431279913575113610147091',7474,'9998',60.07,1,3,NULL),(20,5039460,'1989-01-19 00:00:00',4,1,12,2006,'F','N','TERRAS DE STA ELISA','LIMEIRA','SP','125252251215572411678411475122610168182',NULL,'9998',0.00,1,3,NULL),(20,5039479,'1991-09-18 00:00:00',4,1,11,2009,'F','N','JARDIM CHAPADAO','CAMPINAS','SP','125252251217111741369912575122610127097',NULL,'9998',0.00,1,3,NULL),(20,5039487,'1992-12-19 00:00:00',4,7,12,2009,'F','N','CENTRO','JOAÇABA','SC','124242241217121431426924572122610132187',12638,'454',49.88,1,3,NULL),(20,5039495,'1992-05-31 00:00:00',2,1,12,2009,'M','N','CENTURY PARK','CIANORTE','PR','116162161216111431576832124112610127042',4963,'9998',66.34,1,3,NULL),(20,5039509,'1991-10-11 00:00:00',4,8,12,2009,'M','N','OXFORD','S BENTO SUL','SC','124242241211111431358632244322610127047',NULL,'1178',0.00,1,3,NULL),(20,5039517,'1989-05-08 00:00:00',4,1,7,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243247315371411337813582114610168092',NULL,'9999',20.54,1,3,NULL),(20,5039525,'1992-03-31 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241217113431358612476124610122195',717,'270',83.04,1,3,NULL),(20,5039533,'1983-12-13 00:00:00',4,3,12,2000,'F','N','JARDIM AMÉRICA','PNT GROSSA','PR','116162161335571431658923472122341567147',759,'9998',82.13,1,3,NULL),(20,5039541,'1991-07-19 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431456834575122610148042',12828,'1050',50.12,1,3,NULL),(20,5039550,'1992-04-13 00:00:00',4,8,11,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241235111731338614342234610124077',15778,'1016',45.17,1,3,NULL),(20,5039568,'1990-11-22 00:00:00',4,1,11,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217373431258823572124131067062',965,'270',81.53,1,3,NULL),(20,5039576,'1993-05-01 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241211111231444339571124610133147',NULL,'1022',19.14,1,3,NULL),(20,5039584,'1992-10-08 00:00:00',2,9,12,2009,'F','N','BOA VISTA','POUSO REDONDO','SC','124241241435112431436614375124610132197',NULL,'991',43.67,1,3,NULL),(20,5039614,'1991-02-10 00:00:00',2,9,11,2008,'F','N','SANTA QUITERIA','CURITIBA','PR','116163161214571441439813592112610161086',7960,'9998',59.12,1,3,NULL),(20,5039622,'1991-09-16 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124252241215112731658814572124610127012',9240,'270',56.71,1,3,NULL),(20,5039630,'1992-10-30 00:00:00',2,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241215121231479812175114610118112',14193,'1022',49.97,1,3,NULL),(20,5039649,'1992-06-20 00:00:00',4,8,12,2009,'M','N','AMÉRICA','JOINVILLE','SC','124244241215111431448713472121610127097',11608,'1016',55.12,1,3,NULL),(20,5039657,'1991-11-25 00:00:00',4,5,10,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241217372511469933475122610164073',7150,'226',60.70,1,3,NULL),(20,5039665,'1992-04-08 00:00:00',4,4,12,2009,'F','N','CENTRO','NOVA P IGUAÇU','PR','116161161112131331428731572224610126072',NULL,'9998',30.70,2,1,1),(20,5039673,'1992-03-13 00:00:00',4,8,12,2009,'F','N','COHAPAR','GUARATUBA','PR','124162241216151411456612574122610166127',4383,'1105',67.92,1,3,NULL),(20,5039681,'1978-03-29 00:00:00',4,1,4,1997,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242247217133441235644242235130264197',10363,'9999',57.49,1,3,NULL),(20,5039711,'1991-07-10 00:00:00',4,6,12,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241132131431433539282221610134187',NULL,'405',0.00,1,3,NULL),(20,5039720,'1991-10-18 00:00:00',2,2,12,2008,'F','N','UBERABA','CURITIBA','PR','116162161215471431549811472122610162077',2516,'9998',75.04,1,3,NULL),(20,5039738,'1967-02-03 00:00:00',4,1,12,1984,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243244326155421132144235122121561097',3073,'785',72.76,1,3,NULL),(20,5039754,'1989-04-03 00:00:00',4,8,12,2007,'M','N','BRACINHO','SCHROEDER','SC','124241241117131431326374442214610122197',NULL,'425',0.00,2,1,1),(20,5039762,'1991-06-21 00:00:00',4,8,11,2008,'F','N','CENTRO','APUCARANA','PR','116162161215472231458811271122610167147',9,'9998',96.22,1,3,NULL),(20,5039770,'1991-01-12 00:00:00',4,1,12,2008,'M','N','CENTRO','CAMPOS NOVOS','SC','124242241215373431466632575114132462146',128,'1038',89.49,1,3,NULL),(20,5039789,'1986-04-03 00:00:00',2,1,12,2003,'M','N','INTERLAGOS','S PAULO','SP','125251251116175441111823275344240966096',12742,'9998',49.47,4,1,1),(20,5039800,'1991-03-27 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215471531378812475122610166192',NULL,'9997',0.00,1,3,NULL),(20,5039827,'1991-10-29 00:00:00',4,1,12,2009,'M','N','JOSE BONEFACIO','FORTALEZA','CE','106202061217111411269821472125610165197',NULL,'9998',42.05,1,3,NULL),(20,5039835,'1991-10-25 00:00:00',4,8,11,2009,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241211111431368611591124610127062',7884,'457',59.67,1,3,NULL),(20,5039843,'1991-10-01 00:00:00',4,1,12,2009,'M','N','BARRA DA TIJUCA','RIO JANEIRO','RJ','121212217216471431489814495122610147121',9067,'9998',57.14,1,3,NULL),(20,5039851,'1991-04-20 00:00:00',2,2,12,2009,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124241241215271431569714575124610164112',NULL,'88',0.00,1,3,NULL),(20,5039860,'1991-12-28 00:00:00',4,8,12,2009,'F','N','FLORESTA','JOINVILLE','SC','124241248215471431536724272124613265097',9051,'1016',57.56,1,3,NULL),(20,5039878,'1990-05-31 00:00:00',2,4,12,2007,'F','N','CENTRO','CPO ERÊ','SC','124241241116573431453915572122610133042',10587,'137',54.33,1,2,1),(20,5039894,'1991-06-07 00:00:00',3,4,12,2008,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241116372711468914571125610167182',6455,'169',62.37,1,2,1),(20,5039908,'1984-04-27 00:00:00',2,1,12,2001,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241216153431554612395122231017062',15795,'269',45.10,1,3,NULL),(20,5039916,'1969-09-09 00:00:00',2,1,12,1987,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','624242241236155721288643431122120267112',11886,'305',54.59,1,3,NULL),(20,5039924,'1992-09-02 00:00:00',2,4,12,2009,'F','N','CENTRO','XANXERÊ','SC','124242241216111751643821292122610124197',NULL,'836',31.74,1,3,NULL),(20,5039932,'1992-07-23 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431468814574122610124092',1660,'988',77.32,1,3,NULL),(20,5039940,'1992-10-31 00:00:00',4,2,11,2009,'M','N','VELHA','BLUMENAU','SC','124242241217372431479931574122610162122',5981,'855',64.83,1,3,NULL),(20,5039959,'1989-04-19 00:00:00',4,1,11,2006,'F','N','CAMPO DA AGUA VERDE','CANOINHAS','SC','124244161217473431368923575114610163072',1571,'9998',78.24,1,3,NULL),(20,5039967,'1992-09-07 00:00:00',2,15,12,2009,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215371421557912595122610147077',5656,'970',65.44,1,3,NULL),(20,5039975,'1993-01-02 00:00:00',2,1,12,2010,'F','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124201241115131731343564472124610127147',NULL,'271',45.24,1,3,NULL),(20,5039983,'1988-09-09 00:00:00',4,1,12,2005,'F','N','JARDIM PARAISO','BOTUCATU','SP','125251251115571431435521572223610161027',3780,'9998',70.06,1,2,1),(20,5039991,'1989-06-01 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241236131331223823245124130267092',NULL,'515',27.17,1,3,NULL),(20,5040000,'1992-09-28 00:00:00',2,15,12,2009,'F','N','COLONINHA','ARARANGUÁ','SC','124242241215271431646454275122610137052',NULL,'970',28.18,1,3,NULL),(20,5040019,'1992-04-01 00:00:00',2,1,12,2009,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124244241116472431646733595124610128142',7271,'307',61.69,1,3,NULL),(20,5040027,'1991-04-13 00:00:00',4,8,12,2008,'F','N','UBERABA','CURITIBA','PR','116161161317571411468813574124610142077',1680,'9998',76.92,1,3,NULL),(20,5040035,'1992-11-29 00:00:00',4,10,11,2009,'M','N','MAR GROSSO','LAGUNA','SC','124242241216171431356923575124610162122',NULL,'807',24.17,1,3,NULL),(20,5040051,'1992-09-01 00:00:00',4,3,12,2009,'F','N','ALTO DO PARQUE','STA ROSA','RS','120201201117471331536933571124610122097',NULL,'9998',28.09,1,2,1),(20,5040060,'1987-03-20 00:00:00',2,1,12,2004,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241446153421346524245134610127052',NULL,'272',44.05,1,3,NULL),(20,5040078,'1992-04-13 00:00:00',4,1,12,2009,'F','N','CENTRO','S BERNARDO CAMPO','SP','125252251217311431578913575112610167142',12246,'9998',51.05,1,3,NULL),(20,5040086,'1992-11-05 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161215471411378612572122610114142',14714,'9998',48.66,4,3,NULL),(20,5040094,'1989-12-01 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241225373431536324241124610131172',NULL,'262',0.00,1,3,NULL),(20,5040108,'1993-01-05 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241216111751459934574122610125092',NULL,'270',66.58,1,3,NULL),(20,5040116,'1990-01-15 00:00:00',4,1,12,2007,'F','N','JARDIM CARANDAI','BIGUAÇU','SC','124242242116133431328821382214610124092',10349,'960',55.53,1,3,NULL),(20,5040132,'1989-02-08 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242248215472711456639495112610136092',NULL,'1011',30.44,1,3,NULL),(20,5040167,'1983-02-18 00:00:00',4,1,12,2002,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124052257247371431128812412124342122032',NULL,'9998',31.29,1,3,NULL),(20,5040175,'1992-09-16 00:00:00',4,8,11,2009,'F','N','CENTRO','CORUPÁ','SC','124243241215162431556612272124610164143',NULL,'424',0.00,1,3,NULL),(20,5040183,'1992-07-10 00:00:00',4,8,11,2009,'M','N','SANTA FELICIDADE','CURITIBA','PR','116204161215121431457834572122610127066',5120,'9998',65.78,1,3,NULL),(20,5040191,'1986-05-30 00:00:00',2,1,12,2003,'F','N','CENTRO','STA MARIA','RS','120201201116472431227829491124121367142',6351,'9998',64.88,1,2,1),(20,5040205,'1991-08-24 00:00:00',4,8,12,2008,'F','N','RONDINHA','CPO LARGO','PR','116162161217471752469812571114610164027',NULL,'9998',48.57,1,3,NULL),(20,5040213,'1992-08-28 00:00:00',4,8,11,2009,'M','N','CENTRO','PALMAS','TO','116272161215112721489914572122610164047',NULL,'9998',0.00,1,3,NULL),(20,5040230,'1992-06-19 00:00:00',4,1,12,2009,'F','N','CENTRO','AQUIDAUANA','MS','112122121217112431478831572122610167013',1720,'9998',77.22,4,3,NULL),(20,5040248,'1992-06-05 00:00:00',4,8,12,2009,'F','N','RECANTO REAL','S JOSÉ R PRETO','SP','125252251217111431468831575122610136197',NULL,'9998',0.00,1,3,NULL),(20,5040256,'1976-03-02 00:00:00',2,1,12,1993,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242243236273711135649395124131046142',NULL,'524',29.25,1,3,NULL),(20,5040264,'1991-01-17 00:00:00',2,1,12,2008,'F','N','LEODORO AZEVEDO','CANELA','RS','120202241215272431446732495114610167075',7580,'270',60.18,1,3,NULL),(20,5040280,'1991-09-22 00:00:00',4,9,12,2008,'M','N','MATRIZ','VIDEIRA','SC','124242241115472431258923275122610167142',7493,'831',59.91,1,3,NULL),(20,5040302,'1990-08-05 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217572451268823592124610168185',8122,'270',61.61,1,3,NULL),(20,5040310,'1992-03-23 00:00:00',4,4,11,2009,'F','N','ALVORADA','XAXIM','SC','124241241234131431438611171124610166012',NULL,'836',26.53,1,3,NULL),(20,5040329,'1991-05-13 00:00:00',4,8,12,2008,'F','N','BOM RETIRO','CURITIBA','PR','116162161215471431518913574122610134177',3541,'9998',69.45,1,3,NULL),(20,5040337,'1992-10-23 00:00:00',4,7,11,2009,'F','N','SÃO FRANCISCO','LUZERNA','SC','124241241216371431435731574124610137012',NULL,'446',27.59,1,3,NULL),(20,5040345,'1992-07-23 00:00:00',4,3,12,2009,'F','N','ESTADOS','BAL CAMBORIÚ','SC','124241241116131431426632572124610156197',NULL,'49',34.54,1,2,1),(20,5040353,'1992-11-11 00:00:00',4,8,12,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241217111431336923445124610124052',8323,'1006',57.58,1,3,NULL),(20,5040361,'1991-12-04 00:00:00',4,6,12,2009,'M','N','BOSQUE DA SAUDE','S PAULO','SP','125252251215111441559711475122610127122',2457,'9998',74.77,3,3,NULL),(20,5040396,'1992-07-21 00:00:00',4,3,12,2009,'F','N','CENTRO','OURINHOS','SP','125252251216111431458831575122610164142',10986,'9998',53.42,1,3,NULL),(20,5040400,'1991-04-25 00:00:00',4,1,11,2008,'M','N','CANDEAL','SALVADOR','BA','105052051236371451489919596122141442122',1230,'9998',80.08,1,3,NULL),(20,5040418,'1992-01-02 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215112431469931575122610168017',7106,'210',61.70,1,3,NULL),(20,5040434,'1992-06-21 00:00:00',4,10,12,2009,'F','N','MAR GROSSO','LAGUNA','SC','124243241215131431358939572122610124047',10118,'525',55.03,4,3,NULL),(20,5040442,'1991-04-30 00:00:00',4,17,12,2008,'F','N','CENTRO','PTO UNIÃO','SC','116242241216471231549937575125610167052',NULL,'990',37.81,1,3,NULL),(20,5040450,'1993-02-17 00:00:00',4,1,12,2009,'M','N','CENTRO','CANELINHA','SC','124242246217111332366614275124610122042',NULL,'1119',43.63,1,3,NULL),(20,5040469,'1992-12-18 00:00:00',4,7,12,2009,'F','N','FARROUPILHA','VIDEIRA','SC','124241241235111731679714575122610164192',7946,'829',60.74,1,3,NULL),(20,5040485,'1991-08-27 00:00:00',4,5,12,2008,'M','N','MEDIANEIRA','PTO ALEGRE','RS','120202201215571431369813575122610137047',NULL,'9998',0.00,1,3,NULL),(20,5040493,'1992-03-27 00:00:00',2,1,11,2009,'F','N','JARDIM DAS ACACIAS','S JOSÉ','SC','124241241115272421231329575124610134012',14249,'726',45.95,1,2,1),(20,5040507,'1992-10-05 00:00:00',2,1,12,2009,'F','N','JARDIM TEXTIL','S PAULO','SP','116252161217162231427734275122610145057',NULL,'9998',0.00,1,3,NULL),(20,5040515,'1993-02-27 00:00:00',4,8,11,2009,'F','N','CENTRO','CURITIBA','PR','116162161211111431648832572322610144172',10357,'9998',53.70,1,3,NULL),(20,5040523,'1990-11-14 00:00:00',4,1,12,2007,'F','N','VILA VILAS BOAS','CPO GRANDE','MS','112122121215572431469813572122610163072',NULL,'9998',0.00,2,3,NULL),(20,5040531,'1992-03-15 00:00:00',4,7,11,2009,'F','N','CENTRO','OURO','SC','116242161217473411468613574122610166192',2674,'446',74.50,1,3,NULL),(20,5040540,'1991-11-07 00:00:00',4,1,11,2009,'F','N','ST MARIA DE NAZARETH','ANÁPOLIS','GO','109092091215111431226724595112610124042',NULL,'9998',NULL,1,3,NULL),(20,5040558,'1992-07-21 00:00:00',4,4,11,2009,'F','N','TRES VENDAS','ERECHIM','RS','120202201217271431459911571112610126182',5793,'9998',65.07,1,3,NULL),(20,5040566,'1993-09-28 00:00:00',2,4,12,2010,'M','S','CENTRO','CHAPECÓ','SC','124243241116131431438834341122610167122',NULL,'169',57.68,1,3,NULL),(20,5040574,'1992-06-23 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215112411636911242122610152117',13929,'1010',47.90,1,3,NULL),(20,5040582,'1985-10-12 00:00:00',4,1,12,2003,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124204201317271431227844342234140662021',NULL,'9998',0.00,1,3,NULL),(20,5040604,'1991-07-31 00:00:00',4,1,12,2008,'F','N','ALTO DA MOÓCA','S PAULO','SP','125252251217471431468713575114610162112',6567,'9998',64.78,1,3,NULL),(20,5040612,'1988-08-11 00:00:00',4,6,12,2005,'M','N','VILA IZOLINA MAZZEI','S PAULO','SP','125252251217472411258824575115610164117',1576,'9998',78.02,1,3,NULL),(20,5040620,'1990-12-18 00:00:00',4,1,12,2008,'M','N','SÃO FRANCISCO','VALINHOS','SP','125254251415471411368822575122610124022',NULL,'9998',0.00,1,3,NULL),(20,5040639,'1993-03-19 00:00:00',4,1,12,2009,'M','N','VILA NARCISO','APUCARANA','PR','116162161216111411458823575122610134052',NULL,'9998',51.02,1,3,NULL),(20,5040647,'1992-01-24 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117131331423319575124610135192',NULL,'285',29.67,4,1,1),(20,5040663,'1994-01-12 00:00:00',4,2,12,2010,'F','S','SÃO PEDRO','GUABIRUBA','SC','124242241215111731569939575112610132192',NULL,'107',60.99,1,3,NULL),(20,5040680,'1993-04-20 00:00:00',4,6,12,2009,'F','N','ITAIPAVA','ITAJAÍ','SC','124243248215111451437622576124613233057',NULL,'1141',15.47,1,3,NULL),(20,5040698,'1992-02-08 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431489811472122610127042',8,'270',96.23,1,3,NULL),(20,5040701,'1992-10-16 00:00:00',4,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116252161215111231478831375125610127141',NULL,'9998',0.00,3,3,NULL),(20,5040728,'1991-04-21 00:00:00',4,1,12,2008,'F','N','BOM RETIRO','CURITIBA','PR','116163161215571712469913574121610165094',6969,'9998',61.88,4,3,NULL),(20,5040736,'1988-01-21 00:00:00',2,1,12,2005,'M','N','MADUREIRA','BAURU','SP','125133251217472711678814575114141468047',NULL,'9998',NULL,1,3,NULL),(20,5040744,'1993-11-03 00:00:00',4,1,12,2010,'F','S','SAMBAQUI','FLORIANÓPOLIS','SC','124241241115111431358911572124610125092',NULL,'262',21.70,1,3,NULL),(20,5040752,'1992-03-14 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217111231468811575122610123142',11185,'262',55.10,1,3,NULL),(20,5040760,'1992-03-29 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431469911475122610122182',217,'270',87.74,1,3,NULL),(20,5040779,'1990-11-20 00:00:00',2,1,12,2008,'F','N','HUMAITA','PTO ALEGRE','RS','120201201117571431449823372124610133077',11901,'9998',54.56,4,2,1),(20,5040787,'1992-01-27 00:00:00',4,1,12,2009,'F','N','MONT SERRAT','PTO ALEGRE','RS','120202201217471411447661582114610161047',6913,'9998',61.17,1,3,NULL),(20,5040795,'1992-11-20 00:00:00',4,1,12,2009,'F','N','VALE DAS ARAUCARIAS','LONDRINA','PR','116162161216111431538811372122610147182',3804,'9998',69.22,3,3,NULL),(20,5040809,'1992-03-31 00:00:00',4,1,9,2009,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215111232368517572122610112095',4067,'270',69.99,1,3,NULL),(20,5040817,'1990-03-17 00:00:00',2,1,12,2008,'F','N','FUNDOS','BIGUAÇU','SC','124241241137131431533319342333610162187',NULL,'65',26.97,2,1,1),(20,5040825,'1992-08-25 00:00:00',4,8,12,2009,'M','N','SAGUAÇU','JOINVILLE','SC','124072241217151431479913572124610134052',10472,'457',52.94,1,3,NULL),(20,5040833,'1988-05-01 00:00:00',4,1,12,2005,'M','N','LAGOINHA','RIBEIRÃO PRETO','SP','125254251217571431538832574122610162042',251,'9998',87.26,1,3,NULL),(20,5040850,'1992-01-23 00:00:00',4,4,12,2008,'M','N','CENTRO SUL','DOIS VIZINHOS','PR','116161161116151731336934485115610167052',NULL,'9998',30.73,1,2,1),(20,5040868,'1990-08-25 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124132241435131711557734345124610164017',15199,'257',47.23,1,3,NULL),(20,5040876,'1991-07-31 00:00:00',4,1,12,2009,'F','N','JARDIM ESTORIL','BAURU','SP','125252251217111711548832572122610163192',NULL,'9998',26.27,1,3,NULL),(20,5040884,'1986-05-14 00:00:00',4,1,12,2003,'M','N','CASA VERDE','S PAULO','SP','125253253136471431548639395124610121192',6536,'9998',63.20,3,3,NULL),(20,5040892,'1968-03-27 00:00:00',4,1,12,1988,'M','N','CASA CAIADA','OLINDA','PE','217214211336151721267743435124141026173',NULL,'9998',0.00,1,3,NULL),(20,5040906,'1992-10-13 00:00:00',2,1,11,2009,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124243241215111731336313275124610133192',NULL,'9997',23.06,1,3,NULL),(20,5040922,'1987-10-28 00:00:00',2,1,12,2006,'F','N','VALE DO IPÊ','JZ FORA','MG','113131131116131752336833275114140742186',NULL,'9998',NULL,1,3,NULL),(20,5040949,'1989-06-08 00:00:00',4,1,12,2007,'M','N','CENTRO','CRUZ ALTA','RS','120201206236272431458832385123610167012',13080,'9998',47.32,1,3,NULL),(20,5040957,'1991-12-17 00:00:00',2,4,12,2008,'F','N','CENTRO','S CARLOS','SC','124242241417471231468514575125610164092',NULL,'185',25.37,1,3,NULL),(20,5040965,'1992-04-14 00:00:00',4,1,12,2009,'M','N','CENTRO','PNT GROSSA','PR','116162161215421431557811375122610162097',6014,'9998',63.47,1,3,NULL),(20,5040973,'1991-08-20 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215372431546712572122610165077',NULL,'1118',28.09,1,3,NULL),(20,5040981,'1990-10-01 00:00:00',4,1,12,2008,'M','N','VILA MARINA','STO ANDRÉ','SP','125251251446371431479714181122610127042',NULL,'9998',0.00,1,3,NULL),(20,5040990,'1991-12-20 00:00:00',4,16,12,2008,'M','N','BIGORRILHO','CURITIBA','PR','116244161415471231578812575124610127052',4673,'9998',66.92,1,3,NULL),(20,5041007,'1991-10-11 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161215471411249929494124610148057',428,'9998',84.57,1,3,NULL),(20,5041015,'1991-04-15 00:00:00',2,1,12,2009,'F','N','PRAIA DOS INGLESES','FLORIANÓPOLIS','SC','124202241215111411468829595114610121197',NULL,'1022',24.08,1,3,NULL),(20,5041031,'1992-03-01 00:00:00',4,1,12,2009,'F','N','SOUSAS','CAMPINAS','SP','125254251217111431569913595124610127042',NULL,'9998',30.93,1,3,NULL),(20,5041040,'1990-04-03 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216573451586933575122230267122',879,'270',82.02,1,3,NULL),(20,5041074,'1991-06-30 00:00:00',4,1,7,2009,'M','N','CENTRO','S JOSÉ R PRETO','SP','125252281417271431588832345132610167047',11409,'9998',50.70,1,3,NULL),(20,5041090,'1992-07-31 00:00:00',4,1,11,2009,'M','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241216112431668319475124610124187',3435,'1011',71.90,1,3,NULL),(20,5041112,'1989-10-25 00:00:00',2,6,10,2006,'M','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','124242161215574431459813575124610164041',145,'9998',89.15,4,3,NULL),(20,5041139,'1985-09-16 00:00:00',3,1,12,2002,'M','N','SANTINHO','FLORIANÓPOLIS','SC','224254251416445411325544245221122236175',12808,'9998',52.73,1,3,NULL),(20,5041147,'1992-04-12 00:00:00',2,1,12,2009,'M','N','ILHA DO GOVERNADOR','RIO JANEIRO','RJ','121212211217111431388832575122610167052',NULL,'9998',0.00,1,3,NULL),(20,5041155,'1988-04-22 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124211211117472411328849295321121863027',NULL,'9998',0.00,1,2,1),(20,5041171,'1992-05-19 00:00:00',2,10,11,2009,'F','N','VILA NOVA','IMBITUBA','SC','124241241315111211542322175124610136092',NULL,'362',20.40,1,3,NULL),(20,5041198,'1990-08-26 00:00:00',4,1,11,2007,'F','N','VILA SANTANA','SOROCABA','SP','125252251215572431438873591122610124077',10112,'9998',54.48,1,3,NULL),(20,5041201,'1992-08-05 00:00:00',2,8,11,2009,'F','N','VILA NOVA','JOINVILLE','SC','124241241215121451456514445124610167017',3363,'1016',71.87,1,3,NULL),(20,5041210,'1990-03-18 00:00:00',4,9,12,2007,'F','N','BEATRIZ','LAGES','SC','124241241315473431326639575122610125172',5741,'9997',65.79,1,3,NULL),(20,5041228,'1990-11-20 00:00:00',4,1,12,2008,'M','N','PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP','125252256217271431238823375112610164192',NULL,'9998',50.75,1,3,NULL),(20,5041236,'1989-11-17 00:00:00',2,1,12,2007,'F','N','SÃO JOSÉ','S LEOPOLDO','RS','120201201215471431426619272124610126147',4477,'9998',67.12,1,3,NULL),(20,5041244,'1991-09-16 00:00:00',4,8,12,2008,'M','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124242241215412431369931575122610147017',8263,'424',59.41,1,3,NULL),(20,5041252,'1989-02-17 00:00:00',2,1,12,2005,'F','N','SAMUEL SANDRINI','ORLEANS','SC','124241241316573431363935574122610143051',58,'580',91.29,1,3,NULL),(20,5041260,'1993-03-03 00:00:00',4,3,12,2009,'M','N','PORTÃO','CURITIBA','PR','116162161216111431379923575122610137142',NULL,'9998',29.99,1,3,NULL),(20,5041279,'1990-07-07 00:00:00',2,1,12,2007,'M','N','CENTRO','IMBITUBA','SC','124241241315473441458513375124610136131',9622,'307',58.88,1,3,NULL),(20,5041287,'1991-08-08 00:00:00',4,8,12,2008,'F','N','UBATUBA','S FRANCISCO SUL','SC','124241241215472441436811572125610147072',3064,'992',73.24,3,3,NULL),(20,5041295,'1992-05-11 00:00:00',2,3,11,2009,'M','N','EMBRATEL','PTO VELHO','RO','122222221216111431237629375122610167042',13702,'9998',50.94,3,3,NULL),(20,5041309,'1992-08-17 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111231588933572112610164042',250,'270',87.26,1,3,NULL),(20,5041317,'1989-03-15 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215372231458317445112121867067',NULL,'1022',26.37,1,3,NULL),(20,5041333,'1992-05-16 00:00:00',4,1,12,2009,'F','N','ITAIM BIBI','S PAULO','SP','125252251217151431469812575125610132017',9355,'9998',55.84,1,3,NULL),(20,5041341,'1992-07-22 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241315151411447754595122610134052',NULL,'273',42.08,1,3,NULL),(20,5041350,'1992-03-05 00:00:00',2,10,12,2009,'F','N','HUMAITA DE CIMA','TUBARÃO','SC','124241241211121431545312575122610124182',NULL,'797',25.19,1,3,NULL),(20,5041376,'1991-04-23 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215112431258829372124610124077',8412,'951',58.17,1,3,NULL),(20,5041384,'1992-03-27 00:00:00',2,4,12,2009,'M','N','TRIANON','GUARAPUAVA','PR','116163161316271321349913435122610122177',15369,'9998',43.06,4,3,NULL),(20,5041392,'1989-05-30 00:00:00',4,1,12,2006,'M','N','CENTRO','MARINGÁ','PR','116162161217272431459812225122242837042',14560,'9998',49.10,1,3,NULL),(20,5041406,'1993-02-01 00:00:00',2,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431458932572122610137072',NULL,'1169',43.76,1,3,NULL),(20,5041414,'1993-03-21 00:00:00',4,5,12,2009,'F','N','SÃO LUIZ','CRICIÚMA','SC','124242246217131431446933572124610127072',15125,'188',44.04,1,3,NULL),(20,5041422,'1990-04-17 00:00:00',4,1,12,2007,'F','N','CENTRO','CPO MOURÃO','PR','116162161217571431459931572112610162117',NULL,'9998',0.00,1,3,NULL),(20,5041457,'1991-09-27 00:00:00',4,3,12,2008,'F','N','CENTRO','PATO BRANCO','PR','116162161215472721428811572122610142017',5481,'9998',65.29,1,3,NULL),(20,5041465,'1991-04-16 00:00:00',2,8,12,2008,'F','N','VINTE CINCO DE JULHO','S BENTO SUL','SC','124242241216111431449913392122233027012',NULL,'1178',0.00,1,3,NULL),(20,5041473,'1993-02-13 00:00:00',2,9,12,2010,'F','S','BOA VISTA','RIO SUL','SC','124241244415111431466632171122610124177',NULL,'991',43.42,1,3,NULL),(20,5041490,'1990-12-15 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241115573431446819575124610163052',1822,'271',77.50,1,3,NULL),(20,5041511,'1991-11-12 00:00:00',4,8,12,2008,'F','N','NOVO MUNDO','CURITIBA','PR','116161161117571731647669571124610164077',8463,'9998',58.19,1,2,1),(20,5041520,'1992-03-22 00:00:00',2,1,12,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241117112431348621572124610124095',5966,'1022',63.10,1,3,NULL),(20,5041538,'1986-06-25 00:00:00',4,4,12,2005,'F','N','CENTRO','CONCÓRDIA','SC','124241241146151431123444345114133261177',NULL,'314',25.28,1,2,1),(20,5041546,'1992-10-07 00:00:00',2,15,12,2009,'F','N','CENTRO','TRAMANDAÍ','RS','120203201216151431548833575122610166142',NULL,'9998',25.32,1,3,NULL),(20,5041554,'1992-09-11 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116471432324622575124610127045',NULL,'288',28.47,1,2,1),(20,5041562,'1991-02-23 00:00:00',4,1,12,2008,'F','N','VILA ROMANA','S PAULO','SP','125252251237471411579913575112610164141',7370,'9998',59.49,1,3,NULL),(20,5041570,'1990-04-03 00:00:00',4,2,12,2007,'M','N','VORSTADT','BLUMENAU','SC','124242241216471431355812595122131424142',NULL,'855',0.00,1,3,NULL),(20,5041589,'1991-05-27 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241217472731228823572124610162141',2129,'270',76.45,1,3,NULL),(20,5041597,'1992-06-19 00:00:00',4,1,12,2009,'F','N','LAGO SUL','LG SUL','DF','107072071216271731488833572112610162143',NULL,'9998',0.00,1,3,NULL),(20,5041600,'1992-06-19 00:00:00',2,10,12,2009,'M','N','RECIFE','TUBARÃO','SC','124241241117272441536634272121610143097',10038,'798',54.52,1,2,1),(20,5041619,'1992-08-24 00:00:00',4,1,12,2009,'F','N','CENTRO','VACARIA','RS','120202201216271431447934275122610162192',11625,'9998',52.32,1,3,NULL),(20,5041627,'1991-04-11 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241112141411328863391124610168181',NULL,'292',23.63,1,3,NULL),(20,5041635,'1990-07-25 00:00:00',2,1,11,2008,'F','N','JD LA SALLE','TOLEDO','PR','116284161246572631226515375125610164072',NULL,'9998',28.46,1,3,NULL),(20,5041643,'1992-11-17 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202241115141431438714345124610168012',13821,'267',50.71,1,3,NULL),(20,5041651,'1987-05-14 00:00:00',4,1,12,2004,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241112142421448933495123233264197',10549,'739',57.15,1,2,1),(20,5041660,'1992-07-13 00:00:00',2,1,12,2009,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124243241411111431538824591122610132077',NULL,'1134',26.65,1,3,NULL),(20,5041678,'1991-02-10 00:00:00',4,5,11,2008,'F','N','JARDIM ITALIA','COCAL SUL','SC','124241241321131711525411291324610162152',NULL,'189',25.38,1,3,NULL),(20,5041694,'1991-06-06 00:00:00',4,1,12,2008,'F','N','TREMEMBÉ','S PAULO','SP','125254251117471431427723295124610167143',10166,'9998',54.31,3,3,NULL),(20,5041732,'1990-09-07 00:00:00',2,6,12,2008,'M','N','CENTRO','BAL PIÇARRAS','SC','124244241415371431437614445122610137012',13496,'614',51.39,1,3,NULL),(20,5041740,'1989-07-17 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216474431349913585124130238062',10781,'1169',56.71,1,3,NULL),(20,5041759,'1991-11-01 00:00:00',2,1,12,2009,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215111431467769295122610126052',14481,'951',49.30,1,3,NULL),(20,5041767,'1985-11-06 00:00:00',4,1,12,2002,'M','N','SANTANA','S PAULO','SP','125252251217371421538814475114340722057',NULL,'9998',0.00,1,3,NULL),(20,5041783,'1993-07-13 00:00:00',4,1,12,2010,'F','S','VILA SÓFIA','S PAULO','SP','125252251217121432358714595122610133147',NULL,'9998',41.77,1,3,NULL),(20,5041791,'1992-02-14 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244247415151431356613572124610134093',NULL,'9999',20.64,1,3,NULL),(20,5041805,'1991-01-31 00:00:00',4,1,11,2009,'F','N','PARQUE ACALANTO','GOIÂNIA','GO','109284091417111411589813575122610128142',NULL,'9998',0.00,1,3,NULL),(20,5041830,'1990-06-09 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241247415371431334414472124610168195',15358,'9999',46.74,1,3,NULL),(20,5041848,'1989-01-14 00:00:00',2,1,12,2006,'F','N','PLANALTO PAULISTA','S PAULO','SP','125252251216571431367739591125610127122',7702,'9998',60.16,1,3,NULL),(20,5041856,'1991-09-24 00:00:00',2,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124243241312373331433332125122231026052',NULL,'976',23.80,1,3,NULL),(20,5041864,'1993-04-04 00:00:00',4,1,11,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217151411588712571122610128112',14681,'262',48.79,1,3,NULL),(20,5041872,'1992-08-26 00:00:00',4,1,12,2009,'F','N','SETOR PLANALTO','JATAÍ','GO','109092091216111431588636572122610134146',NULL,'9998',0.00,4,3,NULL),(20,5041899,'1988-10-10 00:00:00',4,1,12,2005,'F','N','GUANABARA','CAMPINAS','SP','125252251216511431578614573122610163142',NULL,'9998',0.00,1,3,NULL),(20,5041902,'1991-06-15 00:00:00',2,1,11,2008,'F','N','GRANJA VIANA','COTIA','SP','125252251217411731368834572122610114047',NULL,'9998',NULL,1,3,NULL),(20,5041910,'1990-11-15 00:00:00',4,1,12,2008,'M','N','HIGIENOPOLIS','S PAULO','SP','125252251215111431558731571124143268117',9315,'9998',56.99,1,3,NULL),(20,5041937,'1981-12-01 00:00:00',4,15,12,2000,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','224241241126131411223344142324610132047',NULL,'769',28.33,1,2,1),(20,5041953,'1990-01-03 00:00:00',2,8,11,2007,'F','N','ZONA OITO','MARINGÁ','PR','116284161215572431117824575325610137027',2686,'9998',73.50,3,3,NULL),(20,5041961,'1989-03-29 00:00:00',4,1,12,2006,'M','N','PLANALTO PAULISTA','S PAULO','SP','125252251234561411488831471112610167042',5012,'9998',66.85,1,3,NULL),(20,5041970,'1990-07-12 00:00:00',2,8,12,2007,'F','N','GUAIRA','CURITIBA','PR','116042161416451431238713575124143263097',NULL,'9998',0.00,4,1,2),(20,5041988,'1992-12-17 00:00:00',4,3,12,2009,'M','N','PORTÃO','CURITIBA','PR','116162161217111231469714575114610137047',NULL,'9998',0.00,1,3,NULL),(20,5041996,'1992-03-02 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124132241215141431557834575125610168172',13038,'9997',52.29,1,3,NULL),(20,5042003,'1992-09-26 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215272431436914575112610125197',10855,'273',54.21,1,3,NULL),(20,5042020,'1986-12-12 00:00:00',4,1,12,2003,'F','N','CENTRO','S JOSÉ','SC','124242241236135431438411482124133224187',12306,'737',50.69,1,3,NULL),(20,5042038,'1980-11-08 00:00:00',4,1,6,1999,'M','N','INGLESES','FLORIANÓPOLIS','SC','124252251226371431226818412123340234097',NULL,'9998',23.61,1,3,NULL),(20,5042046,'1985-09-21 00:00:00',4,1,12,2004,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124252251337571751127749215124243046197',NULL,'9998',0.00,1,3,NULL),(20,5042054,'1989-05-19 00:00:00',2,4,12,2007,'M','N','CENTRO','XANXERÊ','SC','124241241117151431535516285214610127052',15786,'840',42.90,4,3,NULL),(20,5042070,'1991-10-26 00:00:00',4,1,11,2008,'F','N','PORTÃO','CURITIBA','PR','116162161216471431449934575124610167032',4659,'9998',68.32,1,3,NULL),(20,5042100,'1990-11-20 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241112142431436513574124610157041',16206,'269',42.48,1,3,NULL),(20,5042127,'1988-08-26 00:00:00',4,8,11,2005,'F','N','CENTRO','APUCARANA','PR','116162161216571431546931595125610162147',2165,'9998',74.58,4,3,NULL),(20,5042135,'1992-06-05 00:00:00',4,3,12,2009,'F','N','PORTÃO','CURITIBA','PR','116162161215471411486632575112610168192',NULL,'9998',0.00,1,3,NULL),(20,5042143,'1991-07-20 00:00:00',4,1,12,2008,'M','N','S ANTONIO DE LISOA','FLORIANÓPOLIS','SC','124242241216273412389813575122231127047',1750,'262',77.83,1,3,NULL),(20,5042178,'1992-02-25 00:00:00',4,8,11,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124244241236121431459611175124610127142',4433,'457',68.64,1,3,NULL),(20,5042186,'1987-07-30 00:00:00',4,8,12,2006,'M','N','XAXIM','CURITIBA','PR','116201161415572741578711371114141464112',NULL,'9998',0.00,4,3,NULL),(20,5042208,'1992-04-15 00:00:00',4,3,12,2009,'F','N','BOA VISTA','CURITIBA','PR','116162161215121431357933371112610162112',9981,'9998',54.22,1,3,NULL),(20,5042224,'1993-06-15 00:00:00',4,9,12,2010,'F','S','CENTRO','S JOAQUIM','SC','124242241215161431458813294122610148141',NULL,'1035',0.00,1,3,NULL),(20,5042232,'1991-10-25 00:00:00',4,1,7,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242281415371421568812575122610128125',2091,'9998',75.64,1,3,NULL),(20,5042259,'1991-03-20 00:00:00',2,3,12,2008,'F','N','CENTRO','MAFRA','SC','124241241216471431558836575122610122147',6092,'541',65.56,1,3,NULL),(20,5042267,'1992-02-28 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241216111431225534575114610124077',13033,'738',51.58,1,3,NULL),(20,5042275,'1991-02-23 00:00:00',2,2,12,2008,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251216471411469834572122610145126',6098,'9998',63.60,1,3,NULL),(20,5042283,'1979-01-10 00:00:00',4,1,12,1995,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216333431455639445124321524097',4590,'270',69.31,1,3,NULL),(20,5042291,'1993-06-22 00:00:00',4,1,12,2010,'F','S','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215111431367773475124610117112',NULL,'270',39.56,1,3,NULL),(20,5042305,'1982-10-26 00:00:00',4,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473731124847475122322833182',1422,'262',79.21,1,3,NULL),(20,5042313,'1992-07-17 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124163241215121331339714575114610148182',NULL,'1022',30.42,1,3,NULL),(20,5042321,'1992-07-20 00:00:00',4,1,11,2009,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241216121431568851595124610122142',NULL,'270',29.28,1,3,NULL),(20,5042330,'1992-03-19 00:00:00',4,4,12,2009,'M','N','INTERIOR','MONDAÍ','SC','124241241117161731426412185125610126177',10987,'564',52.60,1,2,1),(20,5042348,'1991-03-08 00:00:00',5,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124244241235111431538811385112610132122',NULL,'806',53.72,1,3,NULL),(20,5042364,'1993-05-03 00:00:00',4,1,12,2009,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215111431464611245124610137043',4943,'1022',66.58,1,3,NULL),(20,5042372,'1991-02-09 00:00:00',4,1,12,2008,'F','N','CIDADE JARDIM','AMERICANA','SP','125252251217471431326624572112610122097',NULL,'9998',26.59,1,3,NULL),(20,5042380,'1991-06-02 00:00:00',4,1,12,2008,'F','N','GRANJA VIANA','COTIA','SP','125252251237571411559933375124610142187',NULL,'9998',0.00,1,3,NULL),(20,5042399,'1991-11-05 00:00:00',4,1,12,2009,'M','N','BUENO','GOIÂNIA','GO','109092091216111531486926575112610167042',NULL,'9998',0.00,1,3,NULL),(20,5042402,'1989-10-24 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117371431435519385124610161174',NULL,'306',48.00,1,2,1),(20,5042429,'1992-10-21 00:00:00',2,1,12,2009,'F','N','TRIANON','GUARAPUAVA','PR','116162161217111431577823242122610132192',NULL,'9998',0.00,1,3,NULL),(20,5042445,'1992-06-25 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431356821575112610133192',NULL,'738',25.01,1,3,NULL),(20,5042453,'1992-02-10 00:00:00',4,1,11,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215111441567712594122610167052',4246,'723',69.60,1,3,NULL),(20,5042461,'1990-04-16 00:00:00',4,3,12,2007,'F','N','PETRÓPOLIS','LONDRINA','PR','116162161216573231337811375124610167187',1548,'9998',77.82,4,3,NULL),(20,5042470,'1992-04-18 00:00:00',2,1,11,2009,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124243241212131431433324571121610128017',NULL,'1040',26.50,1,3,NULL),(20,5042488,'1991-11-06 00:00:00',2,1,12,2008,'F','N','CENTRO','IA SOLTEIRA','SP','125252251216471431458713572122610137052',NULL,'9998',0.00,1,3,NULL),(20,5042496,'1992-12-10 00:00:00',4,1,11,2009,'F','N','IPIRANGA','S JOSÉ','SC','124242241215313431468832575122610126195',8809,'270',56.85,1,3,NULL),(20,5042500,'1992-01-24 00:00:00',4,1,12,2009,'F','N','CENTRO','LONDRINA','PR','116163161216111431578516571112610137182',12046,'9998',51.30,3,3,NULL),(20,5042518,'1992-12-19 00:00:00',4,1,12,2010,'M','S','FORQUILHINHAS','S JOSÉ','SC','124242241217151732368833575124610164147',NULL,'262',54.76,1,3,NULL),(20,5042534,'1988-10-07 00:00:00',4,8,11,2006,'F','N','PARQUE GUARANI','JOINVILLE','SC','124241241147572221223624282124131566197',14272,'469',49.79,1,2,1),(20,5042542,'1992-05-16 00:00:00',4,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215112431547914575124610167142',1729,'270',77.93,1,3,NULL),(20,5042577,'1991-09-06 00:00:00',4,4,11,2008,'F','N','BELA VISTA','CHAPECÓ','SC','124241241112472421326924375122610164047',11820,'169',51.72,1,2,1),(20,5042585,'1991-08-11 00:00:00',4,1,12,2008,'F','N','JARDIM AMÉRICA','PEDERNEIRAS','SP','125252251214471711338833375121610164077',NULL,'9998',0.00,1,3,NULL),(20,5042593,'1991-02-21 00:00:00',2,1,12,2009,'F','N','CENTRO','SAPIRANGA','RS','120201201317411431338613575124610167072',8214,'9998',59.43,1,3,NULL),(20,5042607,'1992-04-01 00:00:00',4,6,11,2009,'M','N','CENTRO','NAVEGANTES','SC','124242241216111431368611575124610164141',7127,'1172',63.57,1,3,NULL),(20,5042615,'1993-04-11 00:00:00',4,9,12,2010,'F','S','CENTRO','S JOAQUIM','SC','124242241215161431458815295122610138142',NULL,'1035',15.14,1,3,NULL),(20,5042623,'1990-12-19 00:00:00',2,3,12,2008,'M','N','CENTRO','RIO CLARO','SP','125252251215471431468921575122610127042',NULL,'9998',0.00,1,3,NULL),(20,5042631,'1991-06-25 00:00:00',4,1,11,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242241215473431479833575122610122195',4705,'270',68.65,1,3,NULL),(20,5042640,'1992-12-05 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244248115271431559933575124610164095',9143,'267',58.80,1,3,NULL),(20,5042682,'1993-09-08 00:00:00',4,10,12,2008,'F','N','VILA NOVA','IMBITUBA','SC','124242244215151431538932275112610137142',NULL,'362',25.79,1,3,NULL),(20,5042704,'1985-05-28 00:00:00',4,15,12,2002,'M','N','PETROPOLIS','PTO ALEGRE','RS','120202201217341421348811411124141467112',8360,'9998',58.71,1,3,NULL),(20,5042712,'1991-04-16 00:00:00',2,2,12,2008,'F','N','BELA VISTA','GASPAR','SC','624241241142272431426654212134610153057',13536,'325',48.97,1,2,1),(20,5042720,'1990-04-30 00:00:00',4,1,12,2007,'F','N','NOSSA SRA DE FÁTIMA','BOTUCATU','SP','125253251217571431453634585112610162192',11297,'9998',52.71,1,3,NULL),(20,5042739,'1992-01-26 00:00:00',4,1,12,2009,'F','N','LIBERDADE','NOVO HAMBURGO','RS','120203201216371231367414445122610167052',NULL,'9998',0.00,1,3,NULL),(20,5042747,'1987-05-20 00:00:00',2,1,12,2004,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124161161146232131325443135124610162187',NULL,'9998',29.95,1,2,1),(20,5042755,'1990-08-16 00:00:00',4,1,12,2007,'F','N','PARI','S PAULO','SP','125252251415571431465531275115610127047',NULL,'9998',49.77,3,3,NULL),(20,5042763,'1992-02-03 00:00:00',4,1,11,2009,'F','N','SÃO PAULO II','COTIA','SP','125252251216111451576612292112610127122',NULL,'9998',0.00,1,3,NULL),(20,5042771,'1992-02-26 00:00:00',2,15,12,2009,'F','N','DIVINÉIA','ARARANGUÁ','SC','124241241115151431437634572122610164097',NULL,'30',25.25,4,2,1),(20,5042798,'1988-11-28 00:00:00',4,15,12,2005,'F','N','MATO ALTO','ARARANGUÁ','SC','124241245111131731336823341121130628147',NULL,'29',22.19,1,3,NULL),(20,5042801,'1991-09-14 00:00:00',4,1,12,2008,'M','N','VILA MAZZARINO','ITAPETININGA','SP','125252251215364431568611575122610167042',6283,'9998',62.84,1,3,NULL),(20,5042828,'1992-08-25 00:00:00',2,1,11,2009,'F','N','JARDIM CIDADE','S JOSÉ','SC','124241241117371431445313575124610126141',NULL,'257',29.44,1,2,1),(20,5042836,'1991-04-14 00:00:00',4,1,12,2008,'M','N','BOA VISTA','PRES PRUDENTE','SP','116252251216471731458831572112610128067',9681,'9998',56.39,1,3,NULL),(20,5042844,'1979-09-01 00:00:00',2,1,8,2000,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224201205136141121223354445134610115057',NULL,'9998',0.00,4,3,NULL),(20,5042852,'1992-05-12 00:00:00',2,4,12,2009,'F','N','CENTRO','S MIGUEL OESTE','SC','124243241316241231335612212125613264142',NULL,'752',0.00,1,3,NULL),(20,5042860,'1989-03-27 00:00:00',4,1,12,2006,'F','N','VILA DO ENCONTRO','S PAULO','SP','125252251215511412527631591124142612081',NULL,'9998',0.00,3,3,NULL),(20,5042879,'1991-02-02 00:00:00',2,8,12,2008,'F','N','CENTRO','IRINEÓPOLIS','SC','124242241215471511669613572124610154147',NULL,'633',52.60,1,3,NULL),(20,5042895,'1994-01-10 00:00:00',4,6,12,2010,'F','S','CENTRO','BAL CAMBORIÚ','SC','124072241217151431568813474124610127012',NULL,'1017',56.84,1,3,NULL),(20,5042909,'1991-11-11 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215122411558832575122610124141',8979,'270',56.66,1,3,NULL),(20,5042917,'1975-03-24 00:00:00',4,15,12,1993,'M','N','BOCA DO PIQUE','MELEIRO','SC','124241241136151411553316435122143242187',NULL,'559',29.48,1,3,NULL),(20,5042925,'1992-08-18 00:00:00',4,1,12,2009,'M','N','VILA BOAVA','ITAPEVA','SP','125253251217111431223616575124610147022',5742,'9998',64.50,1,3,NULL),(20,5042933,'1990-03-21 00:00:00',2,1,12,2007,'F','N','JD BOTANICO','SINOP','MT','124112111215374731344434445124610164092',NULL,'9998',31.03,1,3,NULL),(20,5042968,'1989-12-09 00:00:00',2,8,12,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124244241211372411323924271124610113141',NULL,'1006',37.50,1,3,NULL),(20,5042984,'1989-02-19 00:00:00',4,8,12,2006,'F','N','BOM RETIRO','JOINVILLE','SC','124241241127131231456614345124231023147',NULL,'476',40.46,1,3,NULL),(20,5042992,'1992-04-24 00:00:00',2,10,11,2009,'F','N','OFICINAS','TUBARÃO','SC','124243241215111731348923435122610164197',5139,'807',66.80,1,3,NULL),(20,5043018,'1982-12-30 00:00:00',2,1,11,1999,'F','N','SEMINARIO','CURITIBA','PR','116162161216371741346421271114142122187',1257,'9998',78.29,1,3,NULL),(20,5043026,'1992-04-15 00:00:00',2,1,11,2009,'F','N','CENTRO','TAIÓ','SC','124242241215113751449632585125610163142',1941,'270',76.30,1,3,NULL),(20,5043034,'1990-09-21 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124242241215574431468613572122133223072',1470,'737',78.99,4,3,NULL),(20,5043050,'1992-05-31 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241216131431629919345124610164047',15473,'724',42.50,1,3,NULL),(20,5043069,'1992-10-23 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624244241215122341569933275122610143182',7401,'991',62.02,1,3,NULL),(20,5043077,'1991-04-29 00:00:00',4,1,12,2008,'M','N','PASSA VINTE','PALHOÇA','SC','124241241112131722446514442124133231147',NULL,'591',29.83,1,2,1),(20,5043085,'1992-03-28 00:00:00',4,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241415121731369923415114610124075',4691,'270',67.68,1,3,NULL),(20,5043093,'1982-07-17 00:00:00',4,1,11,1999,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124242241211372721249813315122121433177',9074,'269',59.83,1,3,NULL),(20,5043107,'1991-01-25 00:00:00',4,1,12,2008,'F','N','CENTRO','PTO ALEGRE','RS','120201201116372731223329172124610134047',11707,'9998',52.42,1,2,1),(20,5043115,'1992-03-26 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241212112531318812472112610117046',2837,'213',73.58,1,3,NULL),(20,5043123,'1992-04-13 00:00:00',2,7,12,2009,'F','N','SÃO SEBASTIÃO','CAMPOS NOVOS','SC','124241241115161431533614245122610138017',NULL,'140',25.78,1,2,1),(20,5043131,'1992-08-05 00:00:00',2,8,12,2009,'F','N','BREJATUBA','GUARATUBA','PR','116161161116161431536621575121610162142',NULL,'9998',25.95,1,2,1),(20,5043140,'1992-02-29 00:00:00',4,1,11,2009,'F','N','BOQUEIRÃO','SANTOS','SP','125254251216111431456632572122610121082',NULL,'9998',30.14,1,3,NULL),(20,5043158,'1991-04-11 00:00:00',2,8,12,2008,'F','N','CENTRO','MANOEL RIBAS','PR','116162168215572411374632572122610162172',NULL,'9998',0.00,1,3,NULL),(20,5043174,'1992-06-30 00:00:00',4,10,10,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215111531448812495122610167122',NULL,'807',45.39,1,3,NULL),(20,5043182,'1992-07-10 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112431466633372112610123182',11960,'270',50.46,1,3,NULL),(20,5043190,'1989-12-04 00:00:00',4,1,12,2007,'F','N','BOQUEIRÃO','SANTOS','SP','125252251216471411467812571125610166117',NULL,'9998',0.00,1,3,NULL),(20,5043220,'1992-07-22 00:00:00',4,8,11,2009,'F','N','XAXIM','CURITIBA','PR','116252161415111431469614575124610167047',NULL,'9998',34.26,1,3,NULL),(20,5043247,'1990-12-24 00:00:00',2,9,12,2008,'F','N','BONFIM','CAMPINAS','SP','125252251216471721447719195122610168181',NULL,'9998',0.00,1,3,NULL),(20,5043255,'1990-08-28 00:00:00',4,1,10,2008,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251215471331589811575112610167082',NULL,'9998',0.00,1,3,NULL),(20,5043271,'1992-02-09 00:00:00',4,1,12,2009,'M','N','JARDIM AMÉRICA','GOIÂNIA','GO','109092091217111431358614395112610167047',8634,'9998',58.69,1,3,NULL),(20,5043280,'1993-02-09 00:00:00',2,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241114271411437613275124610126192',12478,'307',50.15,3,2,1),(20,5043298,'1991-07-20 00:00:00',4,9,12,2008,'F','N','FÁTIMA','CAXIAS SUL','RS','120201201216471731333314592324610128072',10156,'9998',54.49,1,3,NULL),(20,5043301,'1991-12-18 00:00:00',4,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243241115132431538824372124610166147',4470,'271',67.27,1,3,NULL),(20,5043310,'1993-04-29 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124012241217112431326716575124610164092',15659,'272',45.65,4,3,NULL),(20,5043328,'1991-05-02 00:00:00',4,9,12,2008,'M','N','VALADA MOSQUITINHO','AGRONÔMICA','SC','124224241215312531179913575124610162077',NULL,'991',0.00,1,3,NULL),(20,5043336,'1991-11-09 00:00:00',4,1,11,2009,'F','N','FLORESTA','S JOSÉ','SC','124241241215131431446934282124610143112',NULL,'724',20.92,1,3,NULL),(20,5043352,'1991-09-11 00:00:00',4,1,11,2009,'M','N','PARQUE DOS CISNES','GOIÂNIA','GO','109092091215111431568713575122610137052',1169,'9998',79.70,4,3,NULL),(20,5043360,'1993-06-02 00:00:00',2,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431436634575125610117053',NULL,'262',54.62,1,3,NULL),(20,5043379,'1993-01-02 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241115142431323332441125610163037',NULL,'405',13.24,4,2,1),(20,5043409,'1988-08-12 00:00:00',4,8,11,2006,'F','N','BOA VISTA','CURITIBA','PR','116164161231371411438824472114141013022',447,'9998',85.07,1,3,NULL),(20,5043417,'1992-11-08 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215112431439713572122610168077',10550,'738',57.14,1,3,NULL),(20,5043425,'1992-09-16 00:00:00',4,4,11,2009,'M','N','CENTRO','ITAPIRANGA','SC','124241241245112431448613275122610127042',3177,'1060',72.98,1,3,NULL),(20,5043433,'1992-01-29 00:00:00',4,5,11,2009,'M','N','CENTRO','COCAL SUL','SC','124242246217131431458722571122610137042',8723,'188',55.76,1,3,NULL),(20,5043441,'1991-03-07 00:00:00',4,2,12,2008,'F','N','JARDIM TRÊS MARIAS','GUARUJÁ','SP','125252251217471451456411575124610162187',NULL,'9998',25.23,4,3,NULL),(20,5043450,'1992-11-02 00:00:00',2,4,12,2009,'F','N','INDUSTRIAL','XAXIM','SC','124241241115131431424462342124610124147',NULL,'846',28.42,1,2,1),(20,5043468,'1986-04-04 00:00:00',2,2,10,2005,'M','N','JARDIM DAS HORTENCIA','RIO OESTE','SC','124241241111354411621544241123610157047',NULL,'652',0.00,1,2,1),(20,5043484,'1992-02-03 00:00:00',4,1,11,2009,'F','N','BATEL','CURITIBA','PR','116252161236111432588814572112610147142',7661,'9998',60.56,1,3,NULL),(20,5043492,'1990-10-08 00:00:00',4,8,12,2007,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161216471431447912575124610152117',13205,'9998',47.55,1,3,NULL),(20,5043514,'1979-09-24 00:00:00',2,1,12,1996,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243241416145451333439385124331966182',12990,'272',52.38,4,3,NULL),(20,5043522,'1990-05-09 00:00:00',4,1,11,2008,'F','N','AQUARIO','VINHEDO','SP','125252251117371731458932372122610164187',NULL,'9998',0.00,1,3,NULL),(20,5043530,'1988-02-13 00:00:00',4,1,1,2006,'F','N','ASA NORTE','BRASÍLIA','DF','125072077416573431468819571124610167127',2106,'9998',76.54,3,3,NULL),(20,5043549,'1992-04-22 00:00:00',2,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124241241116141731423314245324610124057',NULL,'591',12.65,1,2,1),(20,5043557,'1992-11-20 00:00:00',2,1,11,2009,'F','N','AREIAS','S JOSÉ','SC','124241241117471431336539575124610127141',NULL,'257',27.86,1,2,1),(20,5043565,'1991-06-29 00:00:00',4,1,12,2008,'F','N','MADUREIRA','CAXIAS SUL','RS','120202201211571431569931571122610132187',2738,'9998',74.32,1,3,NULL),(20,5043573,'1991-10-23 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124244241215111731436614375112610121012',14339,'737',45.24,3,3,NULL),(20,5043581,'1992-11-13 00:00:00',4,1,12,2009,'F','N','CENTRO','TOLEDO','PR','116162161215111431469812571122610133197',6095,'9998',64.45,1,3,NULL),(20,5043590,'1991-03-06 00:00:00',4,8,11,2009,'F','N','TINGUI','CURITIBA','PR','116162161215371431588814575124610126072',7172,'9998',62.26,1,3,NULL),(20,5043603,'1990-05-22 00:00:00',4,8,12,2007,'M','N','VILA CARRÃO','S PAULO','SP','125252251216472741429921575124141437187',11344,'9998',51.80,3,3,NULL),(20,5043611,'1990-01-19 00:00:00',4,8,11,2007,'M','N','BATEL','CURITIBA','PR','116162161217571411459813572112610124057',1856,'9998',77.39,3,3,NULL),(20,5043620,'1991-04-14 00:00:00',2,1,12,2008,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241137472131335711495114610167097',NULL,'291',24.80,1,2,1),(20,5043638,'1991-11-25 00:00:00',4,1,12,2008,'M','N','MALUCHE','BRUSQUE','SC','124242241215473421459911575124610127042',536,'981',84.32,1,3,NULL),(20,5043646,'1988-12-15 00:00:00',4,1,11,2006,'F','N','LIBERDADE','S PAULO','SP','125112111216572431439934575124141062097',NULL,'9998',35.64,1,3,NULL),(20,5043654,'1993-03-16 00:00:00',2,1,2,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241212111431436823472112610123157',16142,'737',43.12,1,3,NULL),(20,5043662,'1988-10-13 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431358919482122333228095',NULL,'1022',0.00,1,3,NULL),(20,5043670,'1992-08-17 00:00:00',4,1,11,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241212111411456513576114610164045',NULL,'1022',56.12,1,3,NULL),(20,5043689,'1991-12-31 00:00:00',4,9,12,2009,'F','N','CANTA GALO','RIO SUL','SC','124242241217111431459832575122610124142',979,'991',81.06,1,3,NULL),(20,5043700,'1991-06-01 00:00:00',4,1,12,2008,'F','N','PACAEMBU','S PAULO','SP','125252251216471711438629345124610167147',NULL,'9998',21.54,1,3,NULL),(20,5043719,'1992-05-24 00:00:00',4,1,12,2009,'M','N','CENTRO','JACAREZINHO','PR','116164161216221411359832575122610134184',NULL,'9998',0.00,1,3,NULL),(20,5043727,'1993-02-02 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241235111431336611571124610163145',NULL,'272',33.09,1,3,NULL),(20,5043735,'1991-06-08 00:00:00',4,3,12,2008,'M','N','SEMINARIO','CURITIBA','PR','116162161215471441568812571122610147052',5802,'9998',63.32,1,3,NULL),(20,5043743,'1992-06-15 00:00:00',2,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212112431548714575112610122192',13334,'270',49.70,1,3,NULL),(20,5043760,'1989-04-27 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241117133431369923495124233234092',3326,'306',72.53,1,3,NULL),(20,5043786,'1991-03-19 00:00:00',2,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431436634572125610116043',NULL,'262',23.93,1,3,NULL),(20,5043794,'1986-01-08 00:00:00',4,1,12,2003,'M','N','BAIRRO IPIRANGA','S JOSÉ','SC','124242241316273431557619445132121424142',3452,'943',72.24,1,3,NULL),(20,5043808,'1991-07-20 00:00:00',2,1,11,2008,'M','N','BOA PARADA','S PEDRO ALCÂNTARA','SC','124241248217372731458613392114610133072',10895,'9997',56.30,1,3,NULL),(20,5043824,'1992-01-10 00:00:00',4,1,12,2009,'F','N','VILA DEODORO','S PAULO','SP','125252251216471431338831575122610124147',NULL,'9998',0.00,3,3,NULL),(20,5043832,'1993-08-20 00:00:00',4,5,11,2010,'M','S','COMERCIÁRIO','CRICIÚMA','SC','124242241215151431479612595122610127182',NULL,'226',46.56,1,3,NULL),(20,5043840,'1993-04-21 00:00:00',4,5,12,2009,'M','N','SÃO LUIZ','FARROUPILHA','RS','120201201217371431348811495122610147172',1982,'9998',76.98,4,3,NULL),(20,5043859,'1990-07-14 00:00:00',2,1,12,2007,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241116473531334473342123610123147',15788,'65',42.97,1,2,1),(20,5043867,'1992-12-19 00:00:00',2,2,12,2009,'F','N','ALEGRE','RIO NEGRINHO','SC','124241241115141431567833214125610145017',12195,'669',50.18,1,2,1),(20,5043875,'1989-07-16 00:00:00',2,4,12,2006,'F','N','CENTRO','BARRACÃO','PR','116161161116131411423679292124242748147',NULL,'9998',22.21,1,2,1),(20,5043891,'1992-03-25 00:00:00',4,1,12,2009,'M','N','VILA FLORA','SUMARÉ','SP','125253251215111431468814572122610167014',NULL,'9998',23.58,1,3,NULL),(20,5043905,'1992-05-28 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241241315121411334311571124610167057',5705,'737',64.84,1,3,NULL),(20,5043913,'1992-04-13 00:00:00',4,8,11,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111731479913575112610127062',11375,'486',55.56,1,3,NULL),(20,5043921,'1991-01-15 00:00:00',4,1,10,2008,'F','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125252251215471431259714575112610127097',NULL,'9998',0.00,1,3,NULL),(20,5043948,'1992-01-09 00:00:00',4,1,12,2009,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215112441567911584124610161077',9672,'1022',56.57,1,3,NULL),(20,5043956,'1992-10-22 00:00:00',4,8,11,2009,'M','N','GLÓRIA','JOINVILLE','SC','124242241215372431379814575112610167052',11848,'486',52.53,1,3,NULL),(20,5043964,'1990-07-18 00:00:00',5,1,12,2007,'M','N','CENTRO','EREBANGO','RS','120201201127131711113348382344140226057',NULL,'9998',0.00,1,3,NULL),(20,5043972,'1993-07-27 00:00:00',4,1,11,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215121431547732575122610168182',NULL,'723',0.00,1,3,NULL),(20,5043980,'1990-10-03 00:00:00',2,1,12,2008,'F','N','LAGO SUL','LG SUL','DF','107072071217471451438833476112610127077',NULL,'9998',0.00,1,3,NULL),(20,5043999,'1991-12-22 00:00:00',4,1,12,2009,'F','N','VILA BASTOS','STO ANDRÉ','SP','125252251216121431438814575122610162187',NULL,'9998',0.00,1,3,NULL),(20,5044006,'1990-07-13 00:00:00',4,1,2,2008,'F','N','CENTRO','S JOSÉ','SC','124241241115272431456433345122610161035',10847,'739',54.07,1,2,1),(20,5044014,'1992-02-08 00:00:00',4,1,11,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124252241232111432438739576114610143187',13532,'270',51.32,1,3,NULL),(20,5044022,'1992-05-13 00:00:00',2,9,12,2009,'M','N','CENTRO','LAGES','SC','124241241115151232339711375124610117042',NULL,'935',17.44,1,3,NULL),(20,5044057,'1992-11-08 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201241115111451644369572124610128051',NULL,'307',14.10,4,2,1),(20,5044065,'1993-01-01 00:00:00',4,3,12,2009,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215111431438819575114610162042',NULL,'9998',0.00,1,3,NULL),(20,5044103,'1992-05-28 00:00:00',2,1,11,2009,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241415111431336113575124610126017',8060,'1022',60.45,1,3,NULL),(20,5044111,'1993-11-05 00:00:00',4,2,10,2010,'F','S','ITOUPAVA SECA','BLUMENAU','SC','124242241215111431376831575112610123142',NULL,'909',56.82,1,3,NULL),(20,5044120,'1992-08-06 00:00:00',4,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217112431367933574114610164193',NULL,'270',43.21,1,3,NULL),(20,5044138,'1985-06-16 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243247246271431369933285121610126192',15755,'9999',45.24,1,3,NULL),(20,5044146,'1992-05-05 00:00:00',4,1,12,2009,'M','N','VILLAGGIO','BAURU','SP','125252251215111431469614575122610132042',NULL,'9998',0.00,1,3,NULL),(20,5044154,'1990-05-24 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215122421378924572122610154072',13111,'1022',48.66,1,3,NULL),(20,5044170,'1983-08-08 00:00:00',2,1,12,2002,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224241241126131411236654185114131217187',NULL,'415',27.67,1,2,1),(20,5044189,'1992-02-01 00:00:00',4,1,12,2009,'M','N','RENASCENÇA','STA CRUZ SUL','RS','120202201217271431345931575122610157032',NULL,'9998',0.00,1,3,NULL),(20,5044200,'1992-09-19 00:00:00',2,4,12,2009,'F','N','CENTRO','S JOÃO OESTE','SC','124241241245111431324816392121610128177',NULL,'1060',27.17,1,3,NULL),(20,5044219,'1989-05-10 00:00:00',2,10,12,2006,'F','N','CENTRO','CPO BOM','RS','120204204215371731536624485114141322147',12485,'9998',50.66,1,3,NULL),(20,5044235,'1992-04-22 00:00:00',2,1,12,2008,'F','N','NOVA DESCOBERTA','TIJUCAS','SC','124241241215472431233329575114610124147',9217,'781',57.25,1,3,NULL),(20,5044243,'1992-02-28 00:00:00',4,4,12,2008,'F','N','BRASÍLIA','PATO BRANCO','PR','116162161212472431537612572122610124012',6581,'9998',63.77,1,3,NULL),(20,5044251,'1993-10-31 00:00:00',4,9,10,2009,'F','N','CENTRO','LAGES','SC','124242241216111431489931574122610162122',NULL,'497',NULL,1,3,NULL),(20,5044260,'1991-09-05 00:00:00',2,8,12,2008,'M','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241215412311478722575122610166012',2259,'1061',74.82,1,3,NULL),(20,5044278,'1990-02-06 00:00:00',2,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216472411658413575114610166197',12087,'1022',52.14,1,3,NULL),(20,5044286,'1991-05-10 00:00:00',4,8,11,2008,'M','N','VISTA ALEGRE','CURITIBA','PR','116162161217571531578813575112610167047',NULL,'9998',0.00,1,3,NULL),(20,5044294,'1976-05-13 00:00:00',2,1,12,2001,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','224121127327142711332241111334610132097',13559,'9998',49.01,1,3,NULL),(20,5044308,'1992-05-13 00:00:00',4,1,12,2009,'M','N','JARAGUÁ','UBERLÂNDIA','MG','113132131216111411579614575114610134092',1130,'9998',79.08,1,3,NULL),(20,5044316,'1991-09-24 00:00:00',4,4,11,2008,'F','N','JARDIM UNIVERSITÁRIO','CASCAVEL','PR','116244241216273431459814572124610132147',1667,'1000',77.43,1,3,NULL),(20,5044324,'1989-12-29 00:00:00',4,1,12,2007,'F','N','VILA LIVIEIRO','S PAULO','SP','125252251216571751458833575124610136147',3204,'9998',70.92,1,3,NULL),(20,5044340,'1991-08-04 00:00:00',2,1,12,2008,'F','N','KOLLER','ERECHIM','RS','120201201116472411348633272124610122097',4665,'9998',68.45,1,2,1),(20,5044359,'1991-12-01 00:00:00',4,2,11,2009,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111431456629375122610146072',6049,'87',63.76,1,3,NULL),(20,5044367,'1990-03-01 00:00:00',4,1,12,2007,'F','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251216573731348833575122610163145',937,'9998',81.67,1,3,NULL),(20,5044375,'1992-10-26 00:00:00',4,9,12,2009,'M','N','PINHEIROS','OTACÍLIO COSTA','SC','124242241217272431379914275124610134072',5492,'497',65.20,1,3,NULL),(20,5044383,'1992-08-27 00:00:00',4,2,11,2009,'F','N','VILA NOVA','BLUMENAU','SC','124242241214272431479812571122610136183',541,'909',83.99,1,3,NULL),(20,5044405,'1990-09-04 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216472431458832444122610168122',1068,'270',80.90,1,3,NULL),(20,5044413,'1992-09-25 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431479813571122610127052',1439,'270',78.83,1,3,NULL),(20,5044421,'1993-12-08 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215151731566712495122610168125',NULL,'262',55.01,1,3,NULL),(20,5044456,'1992-01-10 00:00:00',2,15,12,2009,'M','N','CENTRO','SOMBRIO','SC','124241242116131431226814572124610127017',14465,'690',45.52,1,2,1),(20,5044464,'1991-10-08 00:00:00',4,1,11,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215121432336312575112610137111',12896,'270',52.56,4,3,NULL),(20,5044472,'1990-02-06 00:00:00',4,1,12,2007,'F','N','NOVA IORQUE','ARAÇATUBA','SP','125252251215571431468911571122610162052',NULL,'9998',0.00,1,3,NULL),(20,5044480,'1993-01-18 00:00:00',4,1,11,2010,'F','S','SACO GRANDE','FLORIANÓPOLIS','SC','124242241214111431388923471124610164075',NULL,'883',66.90,1,3,NULL),(20,5044499,'1991-11-18 00:00:00',4,2,11,2009,'M','N','CENTRO','BENEDITO NOVO','SC','124241241215111431458612225111610167052',12767,'1157',49.14,1,3,NULL),(20,5044502,'1986-12-21 00:00:00',4,6,12,2007,'M','N','EUGENIO FERREIRA','CANELA','RS','120162167237111731348812482114610167127',14433,'9998',49.41,1,3,NULL),(20,5044510,'1991-03-27 00:00:00',4,1,12,2008,'F','N','POLON','MARÍLIA','SP','125252251217472431447832571122610145147',NULL,'9998',NULL,1,3,NULL),(20,5044529,'1988-04-13 00:00:00',4,8,12,2005,'F','N','CONSOLAÇÃO','S PAULO','SP','125131251216571431468934575114610164142',3281,'9998',70.41,1,3,NULL),(20,5044537,'1992-10-04 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241415111431447813385114610162177',NULL,'259',25.55,1,3,NULL),(20,5044545,'1992-12-30 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124244241215111731443811175124610135142',14422,'1118',46.93,1,3,NULL),(20,5044553,'1992-05-21 00:00:00',4,15,11,2009,'F','N','BOM JESUS','PTO ALEGRE','RS','120202201117211431579933572124610162047',NULL,'9998',0.00,1,3,NULL),(20,5044561,'1990-11-24 00:00:00',4,8,12,2007,'M','N','BARRA FUNDA','GUARUJÁ','SP','125252251215572431468921572124141427112',NULL,'9998',43.28,1,3,NULL),(20,5044570,'1987-07-16 00:00:00',2,9,12,2004,'F','N','EXPOSIÇÃO','CAXIAS SUL','RS','220201201136471451223354175114610168047',11747,'9998',53.19,1,2,1),(20,5044588,'1992-07-22 00:00:00',2,4,12,2009,'F','N','BOQUEIRÃO','PASSO FUNDO','RS','120201201115471431323633572124610124142',NULL,'9998',25.49,1,2,1),(20,5044596,'1992-06-28 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215112721278614571114610164182',8892,'1038',57.92,1,3,NULL),(20,5044600,'1993-03-30 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241115271431436521242124610166042',15016,'288',45.69,1,2,1),(20,5044618,'1991-11-18 00:00:00',2,8,12,2009,'F','N','VILA NOVA','MAFRA','SC','124241166417111431221322575124610164057',NULL,'9998',0.00,1,3,NULL),(20,5044626,'1991-09-26 00:00:00',4,8,12,2008,'M','N','BOSQUE EUCALIPTOS','S JOSÉ CAMPOS','SP','125254251215471731558734575112610167097',NULL,'9998',NULL,3,3,NULL),(20,5044634,'1991-12-14 00:00:00',2,8,12,2008,'F','N','VILA IZABEL','CURITIBA','PR','116162161115471431476514592114610117057',NULL,'9998',0.00,1,3,NULL),(20,5044642,'1990-02-21 00:00:00',5,3,12,2008,'M','N','SÃO PELEGRINO','CAXIAS SUL','RS','120202201215572411278813575114143227042',2523,'9998',74.76,1,3,NULL),(20,5044650,'1982-05-12 00:00:00',4,1,1,2000,'F','N','CARIANOS','FLORIANÓPOLIS','SC','624251251117141411266644442133610143032',NULL,'9998',0.00,1,2,1),(20,5044677,'1992-08-05 00:00:00',4,3,12,2009,'F','N','JARDIM CANADA','ASSIS','SP','125252251216111431338832595112610112097',NULL,'9998',0.00,1,3,NULL),(20,5044685,'1989-06-24 00:00:00',4,1,12,2006,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241146471431434524245124133224011',11711,'732',54.92,4,1,1),(20,5044707,'1984-09-25 00:00:00',4,8,12,2001,'F','N','CRISTO REI','CURITIBA','PR','116161161216572431569913311122343233142',2745,'9998',73.57,1,3,NULL),(20,5044715,'1992-04-02 00:00:00',4,6,12,2009,'F','N','CENTRO','NAVEGANTES','SC','124244241215122431347712575122610146072',9584,'1026',55.40,1,3,NULL),(20,5044723,'1991-04-05 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241215472411565532575114610137097',45,'1174',91.74,1,3,NULL),(20,5044731,'1991-12-05 00:00:00',4,1,11,2009,'M','N','SALINAS','TORRES','RS','120202201215131431448716352122610127042',5915,'9998',64.15,1,3,NULL),(20,5044740,'1990-02-18 00:00:00',4,1,12,2007,'F','N','JARDIM MORUMBI','S PAULO','SP','125163251216572431458816474124610137072',5168,'9998',65.57,1,3,NULL),(20,5044758,'1990-11-20 00:00:00',4,8,11,2008,'F','N','SANTA CATARINA','JOINVILLE','SC','124242247212132431569913445112610136187',14812,'1016',48.44,1,3,NULL),(20,5044766,'1990-06-28 00:00:00',4,1,12,2008,'M','N','ITAICI','INDAIATUBA','SP','125252251215411711479934595122610167122',NULL,'9998',0.00,1,3,NULL),(20,5044774,'1990-04-07 00:00:00',4,2,12,2008,'M','N','CHACARA KLABIN','S PAULO','SP','125252251215472431488832575112610167042',11088,'9998',56.11,1,3,NULL),(20,5044782,'1989-09-10 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241137373431563614392124610128147',5134,'307',67.25,1,2,1),(20,5044790,'1991-04-10 00:00:00',4,8,12,2008,'M','N','JARDIM ORIENTE','S JOSÉ CAMPOS','SP','125252251237471431468614575122610167042',NULL,'9998',0.00,1,3,NULL),(20,5044812,'1992-03-22 00:00:00',4,1,10,2009,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215112431356622575124610114042',1887,'1022',76.55,1,3,NULL),(20,5044839,'1991-05-23 00:00:00',4,4,12,2008,'F','N','CENTRO','CURITIBA','PR','116241161317151731449614575124242634192',16174,'9998',42.84,1,3,NULL),(20,5044847,'1991-08-16 00:00:00',4,4,12,2008,'M','N','CENTRO','CHAPECÓ','SC','116241161216571421344614575124610164197',13581,'9998',47.59,1,3,NULL),(20,5044855,'1988-12-19 00:00:00',4,1,12,2006,'M','N','SERRARIA','S JOSÉ','SC','124242241114152411549813475124233268197',13404,'733',51.58,1,3,NULL),(20,5044863,'1989-11-04 00:00:00',4,7,12,2006,'M','N','CENTRO','PTO ALEGRE','RS','120202201216571751359911475124141567057',13420,'9998',47.55,1,3,NULL),(20,5044871,'1991-06-22 00:00:00',2,1,6,2009,'F','N','KOBRASOL','S JOSÉ','SC','124244288415361431449913575124610136091',11626,'9998',55.08,1,3,NULL),(20,5044880,'1992-11-14 00:00:00',4,1,12,2009,'M','N','JARDIM AMÉRICA','DOURADOS','MS','112122121215121431458916575122610147057',9860,'9998',54.58,1,3,NULL),(20,5044898,'1991-10-11 00:00:00',4,1,12,2008,'M','N','VILA RODRIGUES','ASSIS','SP','125252251217371431358831572111610122127',NULL,'9998',0.00,1,3,NULL),(20,5044901,'1990-06-26 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217373441369923575122610162032',6896,'1022',64.06,1,3,NULL),(20,5044910,'1991-04-08 00:00:00',4,1,12,2008,'M','N','CENTRO','LONDRINA','PR','116162161215471741459813576122610167122',NULL,'9998',48.42,1,3,NULL),(20,5044936,'1992-03-08 00:00:00',4,8,11,2009,'F','N','CRUZEIRO','S BENTO SUL','SC','124241241415111731636923575122610123057',12517,'1178',50.19,1,3,NULL),(20,5044944,'1992-06-26 00:00:00',2,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241216111431569831575122610127112',6025,'738',64.65,1,3,NULL),(20,5044979,'1990-02-06 00:00:00',4,1,12,2007,'F','N','NOVA IORQUE','ARAÇATUBA','SP','125252251215571431468931571122610165012',NULL,'9998',0.00,1,3,NULL),(20,5044987,'1990-11-16 00:00:00',4,1,12,2007,'M','N','LIBERDADE','S PAULO','SP','125252251217571431479811475112610167127',322,'9998',86.25,3,3,NULL),(20,5045010,'1991-02-15 00:00:00',4,8,11,2008,'M','N','VILA IZABEL','CURITIBA','PR','116162281211271531558831471124610117077',3215,'9998',72.85,1,3,NULL),(20,5045037,'1992-11-24 00:00:00',2,10,11,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215111431456614575112610127082',NULL,'807',30.52,1,3,NULL),(20,5045053,'1992-11-21 00:00:00',2,4,12,2008,'F','N','BELA VISTA','CHAPECÓ','SC','124243241111472551449933572114610167017',11269,'180',52.92,1,3,NULL),(20,5045061,'1991-12-27 00:00:00',2,9,12,2009,'F','N','ESQUINA','URUBICI','SC','124242241217112431443331275114610127142',NULL,'1028',27.12,1,3,NULL),(20,5045070,'1992-10-21 00:00:00',2,17,11,2009,'F','N','CENTRO','PTO UNIÃO','SC','124241241115111531326619595124610127057',NULL,'1038',NULL,1,3,NULL),(20,5045088,'1990-06-28 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215272431479933572124222622142',2152,'807',76.36,1,3,NULL),(20,5045118,'1993-08-18 00:00:00',4,4,12,2009,'M','N','TONIAL','XANXERÊ','SC','124244241217151431448933475125610164182',12932,'836',52.49,1,3,NULL),(20,5045126,'1992-11-21 00:00:00',2,9,12,2009,'F','N','SAGRADO CORAÇÃO J','LAGES','SC','124241241117111431336624575125610142052',NULL,'505',24.66,1,2,1),(20,5045134,'1991-12-22 00:00:00',4,4,12,2009,'F','N','PALMITAL','CHAPECÓ','SC','124242241215371231478834572112610161182',2770,'983',74.11,1,3,NULL),(20,5045150,'1991-03-18 00:00:00',4,1,12,2008,'F','N','HIGIENOPOLIS','S PAULO','SP','125252251217471411489811575122610164182',1341,'9998',78.46,1,3,NULL),(20,5045169,'1992-07-13 00:00:00',4,2,12,2009,'M','N','VILA NOVA','BLUMENAU','SC','124244241215111431459611575122610154141',12084,'87',54.21,1,3,NULL),(20,5045177,'1992-06-01 00:00:00',4,1,12,2009,'F','N','FLORESTA','S JOSÉ','SC','124242241217151431466613575122610138052',NULL,'1075',22.27,1,3,NULL),(20,5045193,'1992-11-25 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216111431459632575122610142147',NULL,'273',25.58,1,3,NULL),(20,5045207,'1991-12-06 00:00:00',4,1,12,2009,'M','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125252251215111431478934571122610162092',2488,'9998',73.35,1,3,NULL),(20,5045215,'1991-07-19 00:00:00',2,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241312271431326527275124610124073',NULL,'257',25.67,1,3,NULL),(20,5045223,'1992-10-23 00:00:00',4,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241135472411323414575124510136142',12314,'307',49.38,1,2,1),(20,5045240,'1992-03-10 00:00:00',2,6,12,2009,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241217112531466613475122613264142',NULL,'1038',0.00,1,3,NULL),(20,5045258,'1969-06-19 00:00:00',2,1,12,1990,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224091093116133421434944242124610112043',14913,'9998',48.12,1,2,1),(20,5045266,'1984-10-19 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124203247227111731122221285114610168092',NULL,'9999',20.68,1,3,NULL),(20,5045274,'1992-05-09 00:00:00',2,1,11,2009,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215112331536814272124610168192',3255,'1022',72.48,1,3,NULL),(20,5045282,'1990-04-09 00:00:00',4,1,10,2009,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124241241215111411548513282124610124075',9607,'269',56.87,1,3,NULL),(20,5045290,'1992-02-11 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241211124431568813575124610122062',563,'1022',84.05,1,3,NULL),(20,5045304,'1991-11-30 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241116142441436319395122233236142',NULL,'11',51.18,1,2,1),(20,5045320,'1992-05-06 00:00:00',2,8,12,2009,'F','N','SÃO MARCOS','JOINVILLE','SC','124241241215122131458714372122610137077',8266,'1016',58.90,1,3,NULL),(20,5045339,'1991-10-31 00:00:00',4,1,12,2008,'F','N','VILA OPERÁRIA','MARINGÁ','PR','116162161217371451448831575122610164077',2240,'9998',74.78,1,3,NULL),(20,5045347,'1993-02-10 00:00:00',2,2,12,2010,'M','S','VELHA','BLUMENAU','SC','124242241215111431459933595122610127042',NULL,'909',38.73,1,3,NULL),(20,5045355,'1991-01-07 00:00:00',4,8,12,2008,'F','N','PINHEIRINHO','CURITIBA','PR','116162161245471431249734272124610122072',5016,'9998',66.90,4,1,2),(20,5045363,'1991-03-18 00:00:00',4,1,12,2008,'F','N','JARDIM ESTER','S PAULO','SP','125252251217471531468814575124610124023',9939,'9998',55.67,1,3,NULL),(20,5045371,'1987-03-04 00:00:00',4,1,6,2004,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117371431213342325332610161145',NULL,'281',19.10,1,3,NULL),(20,5045380,'1988-05-15 00:00:00',4,1,12,2005,'M','N','CENTRO','PALHOÇA','SC','124242241216154431456419395124610132062',12911,'989',52.53,1,3,NULL),(20,5045398,'1992-02-13 00:00:00',4,1,12,2009,'M','N','SANTO ANDRÉ','ANÁPOLIS','GO','109092091216151431486912575122610166092',7069,'9998',60.28,1,3,NULL),(20,5045401,'1992-01-10 00:00:00',4,8,12,2009,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242241215111431478821574122610147112',NULL,'442',0.00,1,3,NULL),(20,5045410,'1991-08-03 00:00:00',4,8,11,2009,'F','N','GUANABARA','JOINVILLE','SC','124244241215121431367723575124610147097',7899,'486',60.17,1,3,NULL),(20,5045428,'1992-05-10 00:00:00',4,1,11,2009,'F','N','BOSQUE DA SAUDE','CUIABÁ','MT','111112111215111431378933575122610148192',9746,'9998',55.06,1,3,NULL),(20,5045436,'1991-03-23 00:00:00',4,1,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161235111231479914175112610135042',NULL,'9998',0.00,1,3,NULL),(20,5045444,'1991-10-24 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217111431487716576114610127091',1181,'951',80.36,1,3,NULL),(20,5045452,'1990-12-20 00:00:00',2,1,12,2008,'M','N','CORAL','LAGES','SC','124243241215372431336732575122610124142',12994,'497',48.29,1,3,NULL),(20,5045479,'1990-05-02 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124242241212411311436823582124610112097',NULL,'270',29.19,1,3,NULL),(20,5045487,'1991-01-23 00:00:00',4,1,12,2008,'F','N','VILA PORTES','FOZ IGUAÇU','PR','116162161217471731446632285112610164076',5943,'9998',63.40,1,3,NULL),(20,5045495,'1991-03-24 00:00:00',4,1,11,2009,'M','N','CENTRO','TIJUCAS','SC','124242241217111431469811385124610167142',NULL,'270',0.00,1,3,NULL),(20,5045509,'1991-12-20 00:00:00',4,1,12,2009,'F','N','VILA CALIFORNIA','S PAULO','SP','125252251217151431569914345122610162147',NULL,'9998',0.00,1,3,NULL),(20,5045517,'1992-06-28 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111411379614575112610134092',NULL,'1038',41.32,1,3,NULL),(20,5045525,'1992-07-07 00:00:00',4,5,12,2009,'M','N','CENTRO','MRO FUMAÇA','SC','124243241215151431446612275124610162091',2228,'995',75.73,1,3,NULL),(20,5045533,'1991-09-06 00:00:00',4,8,12,2008,'F','N','BOM RETIRO','CURITIBA','PR','116162161215521441338824572112610137143',4961,'9998',66.45,1,3,NULL),(20,5045541,'1991-10-31 00:00:00',4,1,11,2008,'M','N','FÁTIMA','FLORIANÓPOLIS','SC','124241241115271231434514346114610141197',NULL,'257',29.83,1,3,NULL),(20,5045550,'1991-03-12 00:00:00',4,5,7,2009,'M','N','MINA UNIÃO','CRICIÚMA','SC','124241241217271431248932575124610166182',15740,'995',45.31,1,3,NULL),(20,5045568,'1991-04-08 00:00:00',4,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124242246217372421318811386114131467041',12004,'494',54.36,1,3,NULL),(20,5045576,'1992-02-01 00:00:00',4,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111432587812575124610144092',NULL,'270',0.00,1,3,NULL),(20,5045584,'1990-07-06 00:00:00',4,8,12,2008,'F','N','VILA LOBOS','ARARAS','SP','125252251216471411558933445112610125187',NULL,'9998',0.00,1,3,NULL),(20,5045614,'1991-12-26 00:00:00',4,1,12,2008,'F','N','CENTRO','PALHOÇA','SC','124242241215474731569833574124610125097',1091,'270',80.78,1,3,NULL),(20,5045622,'1992-03-06 00:00:00',4,1,12,2008,'M','N','SÃO BRÁZ','CURITIBA','PR','116162161217573711448831573134610167057',1984,'9998',76.49,1,3,NULL),(20,5045630,'1990-02-14 00:00:00',2,17,12,2007,'F','N','CENTRO','PTO UNIÃO','SC','124242241215471731458834592112610146092',2477,'633',74.05,1,3,NULL),(20,5045657,'1992-04-25 00:00:00',4,1,12,2009,'F','N','JARDIM CLAUDIA','LONDRINA','PR','116162161217111411336933575122610164062',NULL,'9998',0.00,1,3,NULL),(20,5045673,'1990-10-06 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECÓ','SC','124242241116571421437963142124610166177',15944,'169',44.44,1,3,NULL),(20,5045690,'1983-04-09 00:00:00',2,5,12,2000,'M','N','CENTRO','PTO ALEGRE','RS','120202201216571731256621274125141067127',4125,'9998',68.71,1,3,NULL),(20,5045703,'1989-09-30 00:00:00',3,1,12,2007,'F','N','PARK WAY','NUC BANDEIRANTE','DF','107072071216371431579933572122243267074',1912,'9998',77.22,1,3,NULL),(20,5045711,'1989-07-22 00:00:00',4,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124203241116471441438821485124610122142',13684,'307',50.97,1,3,NULL),(20,5045738,'1993-01-15 00:00:00',4,1,12,2010,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215151451338812575122610122015',NULL,'262',47.65,1,3,NULL),(20,5045746,'1993-01-15 00:00:00',4,7,12,2009,'M','N','VILA ALEMANHA','LUZERNA','SC','124243241215111431458619575124610127067',13811,'446',48.48,1,3,NULL),(20,5045754,'1991-02-06 00:00:00',2,1,12,2009,'F','N','VILAREJO','CARAPICUÍBA','SP','125252251217151411559821573122610166143',NULL,'9998',0.00,1,3,NULL),(20,5045789,'1991-01-28 00:00:00',2,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124112111223472231546634275124610167072',4564,'9998',67.36,4,3,NULL),(20,5045797,'1992-08-16 00:00:00',4,1,12,2010,'M','S','RIO TAVARES','FLORIANÓPOLIS','SC','124244241317111431448734272124610148042',NULL,'267',28.58,1,3,NULL),(20,5045819,'1990-11-29 00:00:00',4,1,12,2007,'M','N','CENTRO','BOMBINHAS','SC','124243241215574431334414275124610162152',18,'1119',95.01,1,3,NULL),(20,5045827,'1992-09-01 00:00:00',4,1,11,2009,'F','N','AREIAS','S JOSÉ','SC','124242241212111111436634575224610167045',4699,'300',67.81,1,3,NULL),(20,5045843,'1989-12-11 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116142431323319445134610134142',NULL,'257',19.96,1,2,1),(20,5045851,'1991-07-15 00:00:00',4,4,12,2008,'M','N','CENTRO','CONCÓRDIA','SC','124241241116572411355632575125610168092',5198,'192',65.61,1,2,1),(20,5045860,'1991-04-29 00:00:00',4,1,12,2008,'F','N','CENTRO','PALHOÇA','SC','116244241217472331568811575124610124071',2211,'270',76.10,1,3,NULL),(20,5045878,'1992-08-04 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431239513375114610122011',5322,'1022',65.89,1,3,NULL),(20,5045886,'1992-02-15 00:00:00',2,4,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244244231231251678812192125333267047',NULL,'168',26.34,1,3,NULL),(20,5045894,'1987-09-15 00:00:00',4,6,12,2005,'F','N','CENTRO','ITAJAÍ','SC','124252251215372441446631285121130624147',3019,'9998',71.84,1,3,NULL),(20,5045908,'1990-12-31 00:00:00',4,3,12,2007,'F','N','CENTRO','UMUARAMA','PR','116161161316572431468833575122610162092',1241,'9998',80.03,1,3,NULL),(20,5045916,'1992-05-29 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241217171431216923572224610123145',10654,'1022',55.02,1,3,NULL),(20,5045924,'1991-11-25 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115141421434534145114610124047',NULL,'257',23.47,2,1,1),(20,5045932,'1991-01-11 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241235472431436413574124122924017',7515,'720',62.77,1,3,NULL),(20,5045940,'1992-11-09 00:00:00',4,1,11,2009,'M','N','BOSQUE DAS MANSÕES','S JOSÉ','SC','124242241215271431468933472122610164062',1190,'262',80.06,1,3,NULL),(20,5045959,'1991-02-15 00:00:00',2,1,12,2008,'F','N','CENTRO','LAGES','SC','124242241216373421467412575112610134012',12984,'497',49.37,1,3,NULL),(20,5045967,'1992-10-08 00:00:00',4,1,11,2009,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125254251237121431389913575122610167042',2959,'9998',71.69,1,3,NULL),(20,5045975,'1994-04-20 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431456521112122610134142',NULL,'270',40.83,1,3,NULL),(20,5045983,'1991-07-19 00:00:00',4,1,12,2008,'F','N','PAU PRETO','INDAIATUBA','SP','125252251215471411668832575111610165013',NULL,'9998',0.00,1,3,NULL),(20,5045991,'1992-06-06 00:00:00',4,8,10,2009,'M','N','SAO CRISTOVÃO','PTO VELHO','RO','122222227217111431457612392122610137012',16052,'9998',43.77,1,3,NULL),(20,5046009,'1992-03-16 00:00:00',4,1,12,2009,'F','N','COHAFABA II PLANO','DOURADOS','MS','112042121237121431358929394112610162092',8019,'9998',58.88,1,3,NULL),(20,5046017,'1992-01-30 00:00:00',4,17,12,2008,'F','N','CENTRO','S MATEUS SUL','PR','116162161215471431566517272122610114092',3460,'9998',70.71,1,3,NULL),(20,5046025,'1991-03-05 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215473431388931472112610166191',1589,'909',78.51,1,3,NULL),(20,5046033,'1989-11-18 00:00:00',2,1,12,2006,'F','N','CENTRO','TANGARÁ','SC','124241241126274421123849395124610127042',NULL,'618',28.87,1,2,1),(20,5046041,'1991-11-17 00:00:00',4,2,12,2009,'M','N','SALTO DO NORTE','BLUMENAU','SC','124242241215112431469933575124610124142',7037,'71',60.59,1,3,NULL),(20,5046076,'1985-09-19 00:00:00',4,8,12,2002,'M','N','BATEL','CURITIBA','PR','116242168216532751468712382124131067182',11768,'9998',54.79,1,3,NULL),(20,5046084,'1991-10-04 00:00:00',4,1,12,2010,'F','S','PARQUE TAQUARAL','CAMPINAS','SP','125252251236111741338833295124610126187',NULL,'9998',0.00,1,3,NULL),(20,5046092,'1991-10-13 00:00:00',4,8,1,2010,'F','N','BURU','SALTO','SP','125252251215121331568811575122610125093',NULL,'9998',0.00,1,3,NULL),(20,5046106,'1991-01-25 00:00:00',2,1,12,2009,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124243241215372431556612475122610122187',8522,'1022',59.31,1,3,NULL),(20,5046114,'1992-04-14 00:00:00',4,1,12,2009,'M','N','ITAIPUAÇU','MARICÁ','RJ','121212211117471431438624375124610167041',NULL,'9998',33.14,1,3,NULL),(20,5046157,'1986-02-04 00:00:00',4,1,6,2004,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241247221131521231523345114610144155',NULL,'9999',23.93,4,3,NULL),(20,5046173,'1989-09-02 00:00:00',2,1,12,2006,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241248126272431246823345124610142041',16178,'307',42.82,1,2,1),(20,5046181,'1983-11-21 00:00:00',2,8,12,2001,'M','N','ADHEMAR GARCIA','JOINVILLE','SC','124241241136271451334344445123131444057',NULL,'468',20.69,4,2,1),(20,5046190,'1992-03-12 00:00:00',4,1,12,2009,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125112251217111431458833575122610133192',1482,'9998',78.68,1,3,NULL),(20,5046203,'1988-11-24 00:00:00',4,2,8,2007,'M','N','GARCIA','BLUMENAU','SC','124244281437371431248822315111131464013',3322,'9998',71.62,1,3,NULL),(20,5046211,'1992-04-15 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115271432436614575124610127142',NULL,'257',27.29,1,2,1),(20,5046220,'1991-03-01 00:00:00',4,1,12,2008,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241217272431336939575124233244092',14180,'259',50.00,2,1,2),(20,5046238,'1991-10-02 00:00:00',4,1,12,2009,'M','N','RIO PEQUENO','S PAULO','SP','125253251117471511457613576124610137052',3598,'9998',69.69,1,3,NULL),(20,5046246,'1992-12-18 00:00:00',4,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124242241215112531467732575122610164042',4333,'989',68.42,1,3,NULL),(20,5046254,'1989-09-20 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241235272431489831412124610147053',NULL,'269',28.05,1,3,NULL),(20,5046289,'1990-06-01 00:00:00',4,1,12,2008,'M','N','PASSA VINTE','PALHOÇA','SC','124241241135471431454314342124610117145',NULL,'592',31.74,1,2,1),(20,5046297,'1991-04-22 00:00:00',4,1,12,2008,'M','N','CENTRO','STA HELENA','PR','124162161215112431359923575124221437012',302,'9998',86.53,1,3,NULL),(20,5046300,'1992-02-02 00:00:00',4,8,12,2009,'M','N','ALTO DA GLORIA','CURITIBA','PR','116162161217471431478833495124610134043',6606,'9998',61.68,1,3,NULL),(20,5046319,'1990-09-10 00:00:00',2,1,12,2008,'M','N','UNIVERSITARIO','CAXIAS SUL','RS','120203201127271131326812285124142862117',14045,'9998',45.66,1,3,NULL),(20,5046327,'1988-06-17 00:00:00',4,3,7,2006,'F','N','AGUA VERDE','CURITIBA','PR','116161281317371411337611315121610134141',10016,'9998',55.28,1,3,NULL),(20,5046335,'1990-07-06 00:00:00',4,1,12,2007,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121217371731256831475112140868112',11261,'9998',52.61,1,3,NULL),(20,5046343,'1991-03-22 00:00:00',2,1,12,2009,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124242241117371431543311275123610164072',10076,'591',56.69,1,3,NULL),(20,5046351,'1991-07-18 00:00:00',2,1,12,2008,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241145371431521411342114610168197',NULL,'288',31.30,1,2,1),(20,5046360,'1990-12-12 00:00:00',4,8,12,2007,'F','N','BIGORRILHO','CURITIBA','PR','116162161216571431548814571122610145097',142,'9998',89.23,3,3,NULL),(20,5046378,'1992-07-13 00:00:00',2,1,12,2009,'M','N','BOTAFOGO','RIO JANEIRO','RJ','121212218216471441379914572111610114176',239,'9998',87.40,4,3,NULL),(20,5046386,'1992-01-04 00:00:00',4,1,12,2009,'M','N','JARDIM JAMAICA','STO ANDRÉ','SP','125252251237471431446614375124610122083',6144,'9998',62.67,4,3,NULL),(20,5046394,'1991-01-15 00:00:00',4,9,12,2008,'M','N','SANTO ANTÃO','BENTO GONÇALVES','RS','120201201217471431356627575122610117042',3782,'9998',70.27,1,3,NULL),(20,5046408,'1991-12-12 00:00:00',4,8,12,2009,'F','N','SANTA CRUZ','RIO CLARO','SP','125254251216471431439674575125610162073',NULL,'9998',0.00,1,3,NULL),(20,5046416,'1992-10-29 00:00:00',2,5,12,2009,'F','N','CENTRO','IÇARA','SC','124242241217111431459913434122610166112',14680,'349',48.79,1,3,NULL),(20,5046440,'1992-08-20 00:00:00',4,4,12,2009,'F','N','FLORESTA','MARAVILHA','SC','124241241136161751223344146124610167057',NULL,'552',23.92,1,2,1),(20,5046459,'1990-06-22 00:00:00',2,4,12,2007,'M','N','CENTRO','STA MARIA','RS','120201208117471751343436295115610164067',2784,'9998',74.17,1,2,1),(20,5046475,'1990-02-09 00:00:00',2,1,12,2008,'M','N','CRISTO REDENTOR','CAXIAS SUL','RS','120203201127141431436614385122241427187',NULL,'9998',19.83,1,3,NULL),(20,5046483,'1971-01-25 00:00:00',4,1,12,1991,'M','N','TAPERA','FLORIANÓPOLIS','SC','224162256316372711248643232122440222087',5866,'9998',62.84,3,3,NULL),(20,5046491,'1992-05-20 00:00:00',4,1,11,2009,'M','N','PRAIA DA COSTA','VL VELHA','ES','108084081417111331528867595124610137112',NULL,'9998',0.00,2,3,NULL),(20,5046505,'1990-12-26 00:00:00',4,10,11,2009,'M','N','OFICINAS','TUBARÃO','SC','124244241217131441349923374124610132173',5028,'806',67.75,1,3,NULL),(20,5046513,'1992-12-01 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117151452437811576124610168187',11842,'307',51.08,1,2,1),(20,5046521,'1993-02-06 00:00:00',4,9,12,2009,'F','N','CORAL','LAGES','SC','124241241115271431338623574115610148172',NULL,'505',33.29,1,2,1),(20,5046548,'1980-12-18 00:00:00',5,1,12,1997,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224242241216143431269953415122322266193',NULL,'907',0.00,1,3,NULL),(20,5046556,'1989-08-08 00:00:00',2,1,12,2007,'M','N','JARDIM ALVORADA','OURINHOS','SP','125252251216573432258923575112610147057',6621,'9998',63.81,1,3,NULL),(20,5046564,'1991-05-24 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241217273431448613482124610127147',7881,'738',59.28,4,3,NULL),(20,5046572,'1986-05-23 00:00:00',2,1,12,2003,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241127472752644414341112610137097',15280,'773',44.32,1,2,1),(20,5046599,'1992-01-27 00:00:00',4,1,12,2009,'M','N','VILA BETÂNIA','S JOSÉ CAMPOS','SP','125252251215111431468814275121610157052',NULL,'9998',NULL,1,3,NULL),(20,5046610,'1989-08-31 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124134247437371431347744341124133267042',3822,'9999',70.21,1,3,NULL),(20,5046637,'1991-04-29 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215372431227624371114610127147',8030,'738',60.36,1,3,NULL),(20,5046645,'1991-10-09 00:00:00',2,8,12,2008,'F','N','SAGUAÇÚ','JOINVILLE','SC','124241241214371411533414314124610133077',NULL,'1105',25.87,1,3,NULL),(20,5046653,'1990-04-14 00:00:00',4,1,12,2007,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242241217573331378823575114610132041',6,'1022',96.86,1,3,NULL),(20,5046661,'1990-05-28 00:00:00',4,2,12,2007,'M','N','CENTRO','STA MARIANA','PR','116161161111111741428823574123143264042',13362,'9998',51.64,1,3,NULL),(20,5046670,'1989-01-14 00:00:00',2,1,12,2005,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241217152411466619345124330257113',11025,'1048',56.24,1,3,NULL),(20,5046688,'1991-10-10 00:00:00',2,7,12,2009,'M','N','SÃO VICENTE','HERVAL D OESTE','SC','124241243115141431336619285124610137052',NULL,'341',0.00,1,2,1),(20,5046700,'1992-09-29 00:00:00',2,1,12,2009,'F','N','CAIEIRA BARRA D SUL','FLORIANÓPOLIS','SC','124241241115472411323334575124610137057',NULL,'307',25.80,1,2,1),(20,5046769,'1977-06-01 00:00:00',4,1,11,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','624201247136475721325751115122121146187',2017,'9999',76.80,1,2,1),(20,5046777,'1990-06-19 00:00:00',2,1,11,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241316574441323823574124610126092',4047,'270',69.28,1,3,NULL),(20,5046785,'1960-01-18 00:00:00',4,1,12,1980,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','224201206116155431243344342122230732093',15146,'9998',47.43,1,3,NULL),(20,5046793,'1991-05-24 00:00:00',5,9,12,2008,'M','N','CENTRO','LAGES','SC','124243241216472431564613135122221417042',8112,'499',61.63,1,3,NULL),(20,5046815,'1987-09-09 00:00:00',2,7,7,2005,'M','N','SÃO FRANCISCO','LUZERNA','SC','124241241146573431553314245124610122017',9221,'539',59.58,1,2,1),(20,5046840,'1991-03-05 00:00:00',2,4,12,2008,'F','N','CENTRO','CAMBORIÚ','SC','124241241115372441539314385121223231097',12789,'175',50.40,1,2,1),(20,5046858,'1991-07-29 00:00:00',2,1,11,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241111231441222121341124610128147',NULL,'298',12.10,1,2,1),(20,5046866,'1990-01-04 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124242241116472431225624443134610124187',NULL,'1116',46.23,1,3,NULL),(20,5046874,'1991-04-17 00:00:00',4,2,12,2008,'F','N','BELCHIOR BAIXO','GASPAR','SC','124242241215473431468811574122610154197',5175,'909',66.79,1,3,NULL),(20,5046890,'1982-05-08 00:00:00',4,1,12,2003,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124143141342151451175341115224140242162',NULL,'9998',23.18,1,3,NULL),(20,5046904,'1987-11-10 00:00:00',2,4,12,2004,'M','N','TRÊS VENDAS','ERECHIM','RS','120201201216262331453313245124141437042',NULL,'9998',0.00,1,3,NULL),(20,5046939,'1989-01-13 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124241241215573451226624585124131164012',5027,'1022',68.24,1,3,NULL),(20,5046955,'1986-10-17 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124131137141372711424524393121142226177',NULL,'9998',45.12,4,2,1),(20,5046963,'1991-05-20 00:00:00',4,8,11,2009,'M','N','PROGRESSO','S BENTO SUL','SC','124242241216122231556612595125610167012',1264,'1063',78.86,1,3,NULL),(20,5046971,'1991-01-04 00:00:00',2,6,12,2008,'M','N','COLÔNIA IGUAÇU','S MATEUS SUL','PR','116164161216472431444414375225610164152',6537,'9998',62.82,1,3,NULL),(20,5046980,'1989-12-27 00:00:00',4,7,12,2007,'F','N','FARROUPILHA','VIDEIRA','SC','124241241217574431458829575124610142077',2302,'969',74.65,1,3,NULL),(20,5046998,'1990-11-08 00:00:00',4,1,11,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124214217237371411245921385122610142022',15802,'9998',45.08,1,3,NULL),(20,5047005,'1990-05-04 00:00:00',2,2,12,2007,'F','N','POMERANOS','TIMBÓ','SC','124241241146131531627414345121610128077',NULL,'787',0.00,1,3,NULL),(20,5047013,'1992-09-19 00:00:00',4,1,12,2009,'F','N','PALEMEIRAS IV','DRACENA','SP','125253251217115431437814572122610115171',5665,'9998',64.09,1,3,NULL),(20,5047030,'1990-04-17 00:00:00',4,1,12,2007,'F','N','CRUZEIRO','PASSO FUNDO','RS','120201201116572741437813575124610166197',3016,'9998',72.60,1,2,1),(20,5047048,'1992-11-02 00:00:00',4,4,12,2009,'F','N','CENTRO','MARAVILHA','SC','124241241136141431323524345125610136197',NULL,'552',0.00,3,2,1),(20,5047056,'1988-10-02 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124212241217372431468813475122230224181',NULL,'1063',28.41,1,3,NULL),(20,5047064,'1989-05-26 00:00:00',4,1,12,2006,'M','N','CENTRO','LIMEIRA','SP','125252251116471411448831415121141846022',2299,'9998',74.77,4,3,NULL),(20,5047072,'1973-02-22 00:00:00',2,1,12,1992,'F','N','AREIAS','S JOSÉ','SC','624243241112133731338644342232121762092',15997,'307',44.10,1,3,NULL),(20,5047099,'1991-05-21 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431587933572122610137142',5228,'262',67.35,1,3,NULL),(20,5047110,'1991-09-25 00:00:00',2,10,12,2008,'F','N','SÃO MARTINHO','TUBARÃO','SC','124241241142371331323628342334610135147',NULL,'802',18.65,1,2,1),(20,5047137,'1991-10-25 00:00:00',4,8,12,2008,'F','N','JARDIM OURO BRANCO','PARANAVAÍ','PR','116162161215471431578834572125610131047',NULL,'9998',29.28,1,3,NULL),(20,5047153,'1982-12-10 00:00:00',2,2,12,2003,'M','N','RIO MORTO','INDAIAL','SC','124241248125132751433334131134610168147',NULL,'9997',19.77,1,2,1),(20,5047161,'1991-01-28 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124252241215372431444414345134610137147',NULL,'259',29.44,1,3,NULL),(20,5047188,'1991-09-03 00:00:00',4,16,12,2008,'M','N','BOM JESUS','CURITIBANOS','SC','124241241111272441215629245135610124013',NULL,'239',26.23,1,2,1),(20,5047200,'1989-09-25 00:00:00',4,1,11,2006,'M','N','ASA SUL','BRASÍLIA','DF','107072071217573711489814492111610164022',NULL,'9998',0.00,2,3,NULL),(20,5047218,'1990-04-29 00:00:00',4,1,11,2008,'F','N','RATONES','FLORIANÓPOLIS','SC','124244241416374731336615585114610113147',NULL,'300',24.36,1,3,NULL),(20,5047226,'1990-02-01 00:00:00',4,1,11,2007,'F','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124052058216473431248923572122610167182',NULL,'9998',0.00,4,3,NULL),(20,5047234,'1991-01-24 00:00:00',4,8,1,2009,'F','N','CENTRO','MAIRIPORÃ','SP','125252257216471431576622394125610168022',NULL,'9998',0.00,1,3,NULL),(20,5047242,'1985-05-08 00:00:00',4,1,12,2002,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117272431435311214224610122147',NULL,'307',34.42,4,2,1),(20,5047250,'1991-11-23 00:00:00',4,8,12,2008,'M','N','SANTA CANDIDA','CURITIBA','PR','116163166111371421544732575124610164042',8859,'9998',57.71,1,3,NULL),(20,5047323,'1991-03-12 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215473431654832171124610137011',4001,'270',70.86,1,3,NULL),(20,5047331,'1991-11-01 00:00:00',2,1,12,2008,'F','N','CENTRO','ESTRELA','RS','220203201116572451437733275122610167037',3877,'9998',69.13,1,3,NULL),(20,5047340,'1985-11-24 00:00:00',4,8,12,2003,'F','N','GLÓRIA','JOINVILLE','SC','124243241146271431546614385124133224052',NULL,'478',0.00,4,3,NULL),(20,5047358,'1984-09-14 00:00:00',4,1,3,2005,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241217144421129944445134143212183',NULL,'9999',0.00,1,3,NULL),(20,5047366,'1991-09-18 00:00:00',2,8,12,2008,'F','N','CENTRO','BARRA VELHA','SC','124251241136151431233324345114610132072',NULL,'57',0.00,1,2,1),(20,5047374,'1990-12-24 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212272431558812372134610127117',3021,'262',73.30,1,3,NULL),(20,5047382,'1992-08-17 00:00:00',2,1,12,2009,'F','N','SERTÃOZINHO','MATINHOS','PR','116161168125131131437638295121610137147',NULL,'9998',0.00,1,3,NULL),(20,5047404,'1989-05-31 00:00:00',4,1,6,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243247212372751445523335124610112143',14296,'9999',47.30,2,1,2),(20,5047412,'1987-07-16 00:00:00',4,8,12,2004,'M','N','FLORESTA','JOINVILLE','SC','124241241215372431568813481124230727112',15502,'867',46.31,1,3,NULL),(20,5047439,'1984-05-24 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124204201214112431178813473122221417117',5744,'9998',63.56,1,3,NULL),(20,5047455,'1976-02-21 00:00:00',4,1,12,1995,'F','N','INGLESES','FLORIANÓPOLIS','SC','124246248332131431221141412122610162045',NULL,'513',21.21,1,3,NULL),(20,5047480,'1988-02-22 00:00:00',2,10,12,2004,'F','N','CENTRO','MARINGÁ','PR','116164161215271731157836445132343263117',12350,'9998',53.67,1,3,NULL),(20,5047498,'1992-08-23 00:00:00',2,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124241241112251531426722575124610124142',NULL,'726',0.00,2,2,1),(20,5047501,'1991-01-28 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241235473411467652212132610127142',14932,'738',44.24,1,3,NULL),(20,5047528,'1991-08-09 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215373451556923392122610164177',15559,'515',46.05,1,3,NULL),(20,5047536,'1990-09-16 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215371231238569572324613217012',15768,'299',41.99,1,3,NULL),(20,5047552,'1993-03-13 00:00:00',4,1,12,2009,'M','N','BOSQUE DA SAUDE','CUIABÁ','MT','111112251215121431378923575112610167011',NULL,'9998',38.74,4,3,NULL),(20,5047560,'1991-03-15 00:00:00',4,6,12,2008,'F','N','CENTRO','CURITIBA','PR','116163161415472731336627572122610134197',3545,'9998',71.25,1,3,NULL),(20,5047579,'1983-10-10 00:00:00',4,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124071247221131421346319445334610156187',NULL,'9999',17.58,1,3,NULL),(20,5047587,'1992-10-16 00:00:00',4,1,12,2009,'F','N','ITAPIRUBÁ','IMBITUBA','SC','124242241215271431249622575122610167142',355,'362',85.93,1,3,NULL),(20,5047595,'1990-02-28 00:00:00',2,2,12,2007,'M','N','NAÇÕES','INDAIAL','SC','124241241212273731343833371124610167047',6069,'986',65.85,1,3,NULL),(20,5047617,'1991-02-18 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116164161415471431578831575112610117042',11213,'9998',51.97,1,3,NULL),(20,5047625,'1990-05-06 00:00:00',4,1,11,2007,'F','N','MANDAQUI','S PAULO','SP','125252251216572751455823435124610127114',7108,'9998',61.29,1,3,NULL),(20,5047633,'1979-12-17 00:00:00',2,1,12,1995,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201116371421226344345122142226092',NULL,'9998',22.17,1,2,1),(20,5047641,'1988-04-02 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241216374431388613475124221462142',4080,'270',68.89,1,3,NULL),(20,5047650,'1991-01-19 00:00:00',4,1,12,2008,'M','N','PQ ALTO DO TAQUARAL','CAMPINAS','SP','125254251415374431549814575114610167012',5935,'9998',65.79,1,3,NULL),(20,5047668,'1992-07-12 00:00:00',4,1,10,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111411337411575114610162192',11976,'273',51.02,1,3,NULL),(20,5047676,'1992-02-28 00:00:00',4,4,12,2009,'F','N','CENTRO','ÁGUAS FRIAS','SC','124241241126161231324622195125610128147',NULL,'11',0.00,1,3,NULL),(20,5047684,'1991-01-15 00:00:00',2,3,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241216372411455312495122610141072',NULL,'1085',44.82,1,3,NULL),(20,5047706,'1992-02-09 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241415472751446632575124610127142',13140,'270',48.50,1,3,NULL),(20,5047722,'1991-07-18 00:00:00',4,1,11,2008,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116074161416471732559919575114610124017',NULL,'9998',0.00,1,3,NULL),(20,5047749,'1991-03-02 00:00:00',4,8,11,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124244241217371431449914574114610152072',5179,'486',66.72,1,3,NULL),(20,5047765,'1991-10-17 00:00:00',4,1,10,2009,'F','N','PARQUE PRADO','CAMPINAS','SP','125252251116211411448814575124610167141',847,'9998',82.18,1,3,NULL),(20,5047773,'1988-03-24 00:00:00',4,1,12,2005,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241215575431489734572112610132122',13990,'981',47.56,1,3,NULL),(20,5047790,'1991-08-30 00:00:00',4,6,11,2008,'M','N','SANTO ANTONIO','PTO ALEGRE','RS','120202201211142741433912245121240264113',9174,'9998',56.95,1,3,NULL),(20,5047803,'1991-06-23 00:00:00',4,1,11,2008,'M','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251216372431368821575112610137047',15881,'9998',41.46,1,3,NULL),(20,5047811,'1989-07-29 00:00:00',2,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241116273411558933475121232125162',2280,'262',75.82,1,3,NULL),(20,5047820,'1990-09-06 00:00:00',2,7,12,2008,'F','N','CENTRO','CURITIBA','PR','116241161415473431556711575114610164142',NULL,'9998',45.09,1,3,NULL),(20,5047838,'1993-02-25 00:00:00',4,2,11,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161215111231248816571124610162057',NULL,'9998',0.00,1,3,NULL),(20,5047846,'1990-11-01 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431559923575112133233142',3425,'1050',72.31,1,3,NULL),(20,5047862,'1991-11-25 00:00:00',4,1,12,2008,'F','N','ITINGA','LAURO FREITAS','BA','105203201216371731226724575124610168192',866,'9998',82.09,1,3,NULL),(20,5047870,'1990-06-03 00:00:00',2,5,12,2007,'F','N','MICHEL','CRICIÚMA','SC','124242241217431732435731435124133226152',8587,'226',60.77,1,3,NULL),(20,5047897,'1988-08-11 00:00:00',2,4,12,2005,'F','N','CENTRO','CHAPECÓ','SC','124241241125274731324326572124610126197',8101,'11',58.01,1,2,1),(20,5047900,'1991-04-20 00:00:00',2,8,11,2009,'M','N','CENTRO','JOINVILLE','SC','124243241321131411123314191225610124042',13751,'1016',50.83,1,3,NULL),(20,5047927,'1990-05-16 00:00:00',2,1,12,2007,'F','N','JARDIM CARLA','FOZ IGUAÇU','PR','116164161417571431534611315124610134127',10367,'9998',55.55,1,3,NULL),(20,5047935,'1989-07-23 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124241241216272431235323375114610137012',10469,'1076',57.30,4,3,NULL),(20,5047943,'1992-01-18 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241115271422323624575124610124192',15531,'257',46.19,1,2,1),(20,5047951,'1991-12-20 00:00:00',4,1,12,2009,'M','N','BOSQUE DA SAUDE','CUIABÁ','MT','111112251217121431478833575112610117052',4905,'9998',68.58,1,3,NULL),(20,5047960,'1992-08-15 00:00:00',4,3,12,2009,'F','N','BRASILIA','PATO BRANCO','PR','116162161215471431569931575122610121187',7022,'9998',62.01,1,3,NULL),(20,5047986,'1991-08-10 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241111471531536634242124610113145',NULL,'287',18.49,1,2,1),(20,5047994,'1985-05-23 00:00:00',2,1,12,2002,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241346374431531679245124620166067',14891,'307',48.18,4,3,NULL),(20,5048001,'1991-01-28 00:00:00',4,1,11,2009,'F','N','SANTA ROSA','NITERÓI','RJ','121212217317111441377823575124610162042',NULL,'9998',0.00,2,1,2),(20,5048010,'1990-08-31 00:00:00',4,4,12,2007,'F','N','CENTRO','CARAZINHO','RS','120202201215571431448923574114610137097',3336,'9998',71.86,1,3,NULL),(20,5048028,'1990-10-20 00:00:00',2,1,12,2008,'F','N','ASA SUL','BRASÍLIA','DF','107072071216471431478819572122610137054',NULL,'9998',NULL,1,3,NULL),(20,5048044,'1992-01-02 00:00:00',4,8,12,2008,'M','N','CENTRO','S BENTO SUL','SC','124241241215372231448833575114610127015',13098,'974',49.95,1,3,NULL),(20,5048052,'1990-07-09 00:00:00',2,1,8,2008,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241116372431557717375124130232112',5272,'306',66.48,1,3,NULL),(20,5048060,'1990-11-26 00:00:00',2,1,12,2008,'F','N','VILA SÃO JOÃO','FLORIANÓPOLIS','SC','124242241216133431546614445114610126172',NULL,'273',24.65,1,3,NULL),(20,5048079,'1991-12-19 00:00:00',2,7,12,2008,'F','N','CENTRO','CURITIBA','PR','116243241216572411547632575124610124092',14607,'446',44.68,1,3,NULL),(20,5048087,'1992-06-01 00:00:00',4,15,11,2009,'F','N','SÃO LUIZ','SOMBRIO','SC','124244241425111411323821572223610167147',14074,'770',46.46,4,3,NULL),(20,5048109,'1970-01-31 00:00:00',2,1,12,1986,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124202201116151411423348283121542664057',1596,'9998',78.48,4,3,NULL),(20,5048117,'1989-08-27 00:00:00',4,1,12,2006,'M','N','SÃO SEBASTIÃO','S MIGUEL OESTE','SC','124242241216172431358619575113131432127',5845,'752',64.40,1,3,NULL),(20,5048125,'1988-10-07 00:00:00',4,1,12,2005,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241216373431369933475112122161095',5453,'260',67.22,1,3,NULL),(20,5048133,'1985-12-25 00:00:00',2,1,12,2003,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241122373431435614332124610123097',NULL,'278',28.91,1,2,1),(20,5048141,'1991-08-03 00:00:00',2,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124201241317473441336823571224610168152',5730,'969',64.34,1,3,NULL),(20,5048150,'1991-10-27 00:00:00',4,4,12,2008,'M','N','SANTA MARIA','CHAPECÓ','SC','124243241111573441359833577125610164042',821,'175',82.35,1,3,NULL),(20,5048176,'1992-03-02 00:00:00',2,1,11,2009,'F','N','BUDAG','RIO SUL','SC','124243241215471431434834572124610124052',12999,'653',49.81,1,3,NULL),(20,5048192,'1990-09-11 00:00:00',2,6,12,2007,'M','N','CENTRO','NAVEGANTES','SC','124252251216231432422428281131140724047',6247,'9998',65.46,4,3,NULL),(20,5048206,'1990-11-04 00:00:00',4,9,12,2007,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124242241315575431345934575122610123142',12362,'1065',51.65,1,3,NULL),(20,5048214,'1990-12-11 00:00:00',2,1,12,2008,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241241116272731553511275124610136162',NULL,'591',42.11,4,3,NULL),(20,5048222,'1974-08-06 00:00:00',4,1,12,1992,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','224242241214142441459851315122233116187',NULL,'1063',0.00,1,3,NULL),(20,5048230,'1989-05-11 00:00:00',2,1,12,2006,'M','N','MORADA NOBRE','BARREIRAS','BA','105052051216571431288612494112610127041',NULL,'9998',0.00,1,3,NULL),(20,5048257,'1991-01-07 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244241117272431539823572124610131092',3208,'271',72.07,1,3,NULL),(20,5048273,'1991-10-21 00:00:00',2,8,12,2008,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241117131431416629572125610136182',NULL,'483',17.34,1,2,1),(20,5048311,'1991-09-22 00:00:00',2,9,11,2009,'M','N','CORAL','LAGES','SC','124242241215111431548816575124610127182',15209,'1146',43.79,1,3,NULL),(20,5048320,'1992-06-12 00:00:00',4,8,11,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241217111411469914574112610132192',9500,'9997',59.08,1,3,NULL),(20,5048346,'1991-02-06 00:00:00',4,6,12,2008,'M','N','CENTRO','BAL PIÇARRAS','SC','124242241215372731468833275122610167047',91,'392',90.34,1,3,NULL),(20,5048354,'1984-07-14 00:00:00',3,1,12,2001,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','624121121436132412253653274122342033143',5372,'9998',65.37,5,3,NULL),(20,5048362,'1992-08-17 00:00:00',4,8,11,2009,'M','N','CENTRO','CURITIBA','PR','116242161212171431478811571122610137122',1751,'9998',77.83,1,3,NULL),(20,5048370,'1991-01-29 00:00:00',4,1,12,2008,'F','N','CENTRO','CIANORTE','PR','116164161216471231348934272122610142157',9710,'9998',56.94,1,3,NULL),(20,5048389,'1991-06-30 00:00:00',4,8,5,2009,'F','N','JARDIM JATAÍ','CAÇAPAVA','SP','125252281416271431458811495122610128041',NULL,'9998',0.00,1,3,NULL),(20,5048400,'1990-06-19 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472221447811472112610133092',10732,'262',54.35,1,3,NULL),(20,5048427,'1991-11-01 00:00:00',4,1,12,2008,'F','N','VILA AUGUSTA','GUARULHOS','SP','125252253215471731448734474114610122142',NULL,'9998',0.00,1,3,NULL),(20,5048435,'1991-07-12 00:00:00',2,1,11,2008,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124202241215372431226724445122610123187',NULL,'9997',29.62,1,3,NULL),(20,5048443,'1992-11-15 00:00:00',4,2,12,2009,'F','N','VILA NOVA','BLUMENAU','SC','124242241216371431478832424112610168172',6313,'855',62.86,1,3,NULL),(20,5048451,'1968-03-22 00:00:00',4,1,12,1988,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','524204208126155741423349395134222267187',15346,'9998',46.79,1,3,NULL),(20,5048460,'1990-10-07 00:00:00',4,8,12,2008,'M','N','CENTRO','JOINVILLE','SC','124242241215472211469714574112611466016',3624,'1063',71.06,1,3,NULL),(20,5048478,'1990-08-06 00:00:00',4,1,11,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216132431647821575122610168182',5637,'1075',66.68,1,3,NULL),(20,5048486,'1992-07-31 00:00:00',4,7,12,2009,'F','N','FLORESTA','CONCÓRDIA','SC','124241241115471311343623575122610126092',4889,'192',68.02,1,2,1),(20,5048508,'1989-06-26 00:00:00',2,8,12,2006,'M','N','BOA VISTA','JOINVILLE','SC','124241246117271431546317342233610164027',15703,'477',45.50,4,2,1),(20,5048524,'1992-04-03 00:00:00',4,5,11,2009,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215152411468931475122610162017',11554,'211',51.46,1,3,NULL),(20,5048532,'1987-04-19 00:00:00',4,1,12,2004,'M','N','CAMPINAS','S JOSÉ','SC','124241241121272431434613341222610167112',12871,'736',52.60,1,2,1),(20,5048540,'1992-07-08 00:00:00',4,4,12,2009,'M','N','CENTRO','XAXIM','SC','124241241117371431336632372122610134022',7459,'847',62.89,1,2,1),(20,5048559,'1991-10-27 00:00:00',2,1,12,2008,'M','N','J ELDORADO','PALHOÇA','SC','124243241312211421456619275122131017182',NULL,'591',14.80,4,3,NULL),(20,5048567,'1992-04-29 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241415251452323334575122610125185',NULL,'967',0.00,1,3,NULL),(20,5048575,'1992-06-23 00:00:00',2,1,11,2009,'F','N','ALTO ARIRIÚ','PALHOÇA','SC','124242241215111731536612572124610127142',NULL,'989',26.68,1,3,NULL),(20,5048583,'1990-12-28 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201215473731468712375112123224141',176,'9998',88.44,1,3,NULL),(20,5048591,'1991-10-03 00:00:00',2,10,11,2008,'F','N','SANTO ANTONIO','TUBARÃO','SC','124242247115132431424424345121610124067',NULL,'797',25.77,1,3,NULL),(20,5048613,'1991-11-14 00:00:00',2,1,12,2008,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241245115271431328834255224610165042',15672,'21',43.03,1,2,1),(20,5048621,'1992-08-25 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241216112431356613575124610137012',NULL,'737',29.22,1,3,NULL),(20,5048630,'1991-09-25 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201241116573431433819572124610137147',4989,'295',66.97,1,2,1),(20,5048648,'1992-08-29 00:00:00',4,2,12,2009,'M','N','CENTRO','BRUSQUE','SC','124244241215272411356312575122610164142',4087,'109',70.39,1,3,NULL),(20,5048656,'1991-04-19 00:00:00',4,1,11,2009,'M','N','JARDIM BOA VISTA','PINDAMONHANGABA','SP','125252251217111431368821475122610164117',542,'9998',84.25,1,3,NULL),(20,5048664,'1990-03-20 00:00:00',4,4,12,2007,'M','N','CENTRO','CONCÓRDIA','SC','124243248316371431355522595112610114042',NULL,'1000',0.00,1,3,NULL),(20,5048672,'1989-01-08 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124251251316471411235541485124610142082',10683,'9998',54.47,1,3,NULL),(20,5048680,'1985-11-13 00:00:00',4,1,12,2004,'M','N','MARIA HELENA','PEDERNEIRAS','SP','125251251316571441436623335123610168047',4650,'9998',66.81,4,3,NULL),(20,5048702,'1989-11-19 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241417411331328927575122610162192',NULL,'272',20.88,4,3,NULL),(20,5048710,'1989-11-29 00:00:00',2,8,12,2006,'F','N','CENTRO','RIVERSUL','SP','125251251316572431348821572125610164142',4149,'9998',68.67,1,3,NULL),(20,5048729,'1989-11-04 00:00:00',4,5,11,2007,'M','N','MICHEL','CRICIÚMA','SC','124244241212112411478734381112131467182',NULL,'226',26.01,1,3,NULL),(20,5048737,'1992-12-03 00:00:00',4,7,12,2009,'F','N','PIONEIROS','ITÁ','SC','124241241114471431568912422122610137185',NULL,'383',22.31,4,3,NULL),(20,5048753,'1991-11-01 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241112132431336724332114610137047',NULL,'307',25.73,1,3,NULL),(20,5048761,'1992-09-09 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217171431489813575122610122062',NULL,'270',20.04,1,3,NULL),(20,5048770,'1990-06-09 00:00:00',2,1,12,2007,'F','N','RIO GRANDE','PALHOÇA','SC','124243241112372431324412572124610112141',NULL,'257',22.11,1,3,NULL),(20,5048788,'1991-08-13 00:00:00',4,3,12,2008,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124242241216471731358611374125610166017',1825,'9997',77.36,1,3,NULL),(20,5048796,'1986-12-07 00:00:00',4,5,12,2004,'M','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241331473441358634371122130237042',4898,'228',68.37,1,3,NULL),(20,5048800,'1991-12-22 00:00:00',2,1,12,2009,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124244241115372431578913572122610147072',378,'271',85.64,1,3,NULL),(20,5048826,'1988-08-17 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241248121272421326628345315610167117',NULL,'277',14.03,4,3,NULL),(20,5048842,'1992-11-15 00:00:00',2,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242248215111431248832575122610134092',NULL,'1038',0.00,1,3,NULL),(20,5048850,'1991-09-20 00:00:00',2,1,12,2008,'F','N','JARDIM SOLEMAR','S JOSÉ','SC','124241241116311531526311375124610148142',NULL,'734',22.87,1,2,1),(20,5048869,'1985-11-01 00:00:00',4,1,12,2003,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124251251142271431226327382324610167047',NULL,'9998',0.00,1,2,1),(20,5048877,'1992-10-05 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431369733575125610133017',6762,'1050',61.80,1,3,NULL),(20,5048885,'1980-02-05 00:00:00',2,1,12,2002,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124073071126375411123343431312610117047',8810,'9998',60.34,1,3,NULL),(20,5048915,'1982-02-04 00:00:00',4,1,12,1999,'F','N','CAMPINAS','S JOSÉ','SC','124242241217575431448643334132321362097',313,'737',86.32,1,3,NULL),(20,5048923,'1992-08-05 00:00:00',4,1,12,2009,'F','N','ALTO DA XV','GUARAPUAVA','PR','116161161216211431359933174122610126037',2385,'9998',74.54,4,3,NULL),(20,5048931,'1990-11-18 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216574431533311395124610124127',14379,'969',47.31,1,3,NULL),(20,5048940,'1992-03-30 00:00:00',2,1,12,2009,'F','N','FLORESTAL','LAJEADO','RS','120202201317371411336924374122610168057',6771,'9998',61.57,1,3,NULL),(20,5048958,'1990-08-22 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241212373731356613575124121364097',8560,'1022',59.18,1,3,NULL),(20,5048966,'1991-11-06 00:00:00',2,7,12,2008,'M','N','SANTA TEREZINHA','CONCÓRDIA','SC','124241241111372431533356345124610138057',NULL,'858',22.59,1,2,1),(20,5048974,'1989-04-18 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117371531434414442124610124147',NULL,'293',26.45,1,2,1),(20,5048990,'1991-08-26 00:00:00',4,1,12,2009,'F','N','SANTA MARTA','S CARLOS','SP','125252251217111431569913596122610142092',NULL,'9998',0.00,1,3,NULL),(20,5049008,'1993-02-16 00:00:00',2,1,12,2009,'F','N','COBRE','CANELINHA','SC','124241241136141432443431345122610168197',NULL,'142',25.94,1,2,1),(20,5049016,'1991-09-09 00:00:00',4,3,12,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','124244241216153231655712272122133222142',13063,'1111',52.24,1,3,NULL),(20,5049024,'1985-05-15 00:00:00',4,6,12,2002,'M','N','CENTRO','ITAJAÍ','SC','124242241217131431339844445122133224192',14146,'391',50.08,1,3,NULL),(20,5049032,'1992-08-07 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242244215131451429819571125610137052',13715,'270',47.44,4,3,NULL),(20,5049040,'1992-03-05 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431436654575224610168192',10535,'1022',55.58,1,3,NULL),(20,5049059,'1990-08-31 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241216573431346619395122610167042',870,'738',82.08,1,3,NULL),(20,5049067,'1992-08-30 00:00:00',4,8,11,2009,'M','N','CENTRO','JOINVILLE','SC','124242241217372411459932572122610132062',491,'486',84.65,1,3,NULL),(20,5049075,'1986-10-06 00:00:00',4,6,12,2003,'M','N','ITAIPAVA','ITAJAÍ','SC','124241241125371432421314241231610167057',NULL,'401',34.51,1,2,1),(20,5049083,'1992-03-16 00:00:00',4,6,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124202201217471431469933475122610122142',7637,'9998',59.83,1,3,NULL),(20,5049091,'1991-01-17 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124244241415473431348413572124610162142',2966,'1022',73.62,1,3,NULL),(20,5049105,'1988-09-07 00:00:00',4,1,12,2005,'F','N','CENTRO','STA FÉ','PR','116161161416571431446923575124610164147',2741,'9998',73.82,1,3,NULL),(20,5049113,'1992-02-03 00:00:00',4,1,12,2009,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215131431439624282114610131147',15645,'1022',42.65,1,3,NULL),(20,5049130,'1981-10-07 00:00:00',2,1,12,1998,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124204201217371731456739445134240233187',7058,'9998',61.25,4,1,2),(20,5049156,'1992-05-25 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124244241212271721458839595125610167147',1832,'185',77.47,1,3,NULL),(20,5049164,'1992-01-08 00:00:00',4,1,11,2009,'M','N','CENTRO','BIGUAÇU','SC','124242241217111211658919575222610127042',NULL,'63',25.10,1,3,NULL),(20,5049172,'1992-11-17 00:00:00',4,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124244241216131731539614572221610137057',NULL,'948',34.80,1,3,NULL),(20,5049180,'1991-06-06 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431489913575122130431182',1196,'270',80.27,1,3,NULL),(20,5049199,'1991-01-04 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241432252322322322374233112061181',10840,'9997',53.81,1,3,NULL),(20,5049202,'1992-08-03 00:00:00',4,1,11,2009,'F','N','CENTRO','LGA VERMELHA','RS','120203241215121731439819575115610133142',13998,'1038',48.61,1,3,NULL),(20,5049210,'1991-09-10 00:00:00',4,1,11,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124243241317141731633512345124610168197',NULL,'944',21.84,1,3,NULL),(20,5049229,'1989-12-31 00:00:00',4,1,12,2007,'F','N','VILA MARIANA','S PAULO','SP','125252251217271431221321285124610121022',NULL,'9998',0.00,1,3,NULL),(20,5049237,'1989-11-07 00:00:00',4,1,12,2007,'M','N','BELA VISTA','CAMPOS GERAIS','MG','113133136217471421467514387122610144017',NULL,'9998',0.00,1,3,NULL),(20,5049245,'1992-03-16 00:00:00',2,8,12,2009,'F','N','AVENTUREIRO','JOINVILLE','SC','124243241214122431438639574324610144177',2066,'1016',76.66,1,3,NULL),(20,5049253,'1992-03-21 00:00:00',4,1,12,2008,'M','N','NITERÓI','CANOAS','RS','120202201216371431559812575124510167187',NULL,'9998',NULL,1,3,NULL),(20,5049261,'1992-01-22 00:00:00',4,8,12,2009,'M','N','BOM RETIRO','CURITIBA','PR','116162161215111431536832575124610167043',NULL,'9998',0.00,1,3,NULL),(20,5049270,'1990-12-25 00:00:00',4,16,12,2007,'F','N','CENTRO','S CRISTÓVÃO SUL','SC','124241241126141431527933345122130223145',NULL,'705',22.10,1,3,NULL),(20,5049288,'1990-04-22 00:00:00',4,1,12,2007,'F','N','JD SÃO NICOLAU','BIGUAÇU','SC','124242241215373431426822345134610126097',14943,'63',44.87,1,3,NULL),(20,5049296,'1992-09-18 00:00:00',2,5,12,2009,'M','N','BORTTOLUZI','NOVA VENEZA','SC','124241241116271441336636195124610156172',14321,'576',46.73,1,2,1),(20,5049300,'1992-06-02 00:00:00',4,6,12,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241117161731454432572122610165147',NULL,'712',0.00,1,2,1),(20,5049326,'1993-04-13 00:00:00',4,4,12,2009,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241117371431558833574125610126187',10379,'169',55.21,1,2,1),(20,5049334,'1990-10-05 00:00:00',4,8,12,2008,'M','N','SAGUACU','JOINVILLE','SC','124244241216152431479914575112231462052',2777,'457',74.19,1,3,NULL),(20,5049342,'1992-09-14 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241147141531226744145124610132147',NULL,'257',27.83,1,2,1),(20,5049369,'1992-01-28 00:00:00',2,1,12,2009,'F','N','SÃO LUIS','S JOSÉ','SC','124241241215151431545319572124610128043',NULL,'1022',23.64,4,3,NULL),(20,5049377,'1993-01-03 00:00:00',2,9,12,2009,'F','N','IGARA','CANOAS','RS','120201201111571721436614271124610123147',NULL,'9998',22.57,1,2,1),(20,5049393,'1992-12-22 00:00:00',2,3,11,2009,'F','N','MORRETES','ITAPEMA','SC','124242241216373431546619295124610166172',10104,'403',54.46,1,3,NULL),(20,5049407,'1991-07-29 00:00:00',4,1,11,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217373431558719592124610124167',4386,'1022',69.02,1,3,NULL),(20,5049415,'1989-08-18 00:00:00',2,6,6,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124243247437572411246649394115610115192',NULL,'9999',21.24,1,3,NULL),(20,5049423,'1990-09-23 00:00:00',2,16,12,2007,'F','N','ZONA RURAL','CURITIBANOS','SC','124243241111473441316815575224233264147',NULL,'320',22.64,4,3,NULL),(20,5049431,'1992-09-05 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241215271431346623475124610113092',NULL,'1022',0.00,1,3,NULL),(20,5049440,'1990-07-28 00:00:00',2,1,12,2007,'F','N','TINGUI','CURITIBA','PR','116161161317572431435812292112610162097',5189,'9998',64.62,1,3,NULL),(20,5049458,'1991-07-16 00:00:00',2,4,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161212572431456611572122610123097',10800,'9998',52.65,1,3,NULL),(20,5049466,'1992-07-01 00:00:00',4,3,12,2009,'F','N','CENTRO','RONDON','PR','116162161216111731488819575112610162142',NULL,'9998',0.00,1,3,NULL),(20,5049474,'1989-05-25 00:00:00',4,6,12,2008,'F','N','CENTRO','ITAJAÍ','SC','124281241416372411565722372121610124012',NULL,'1026',47.67,3,3,NULL),(20,5049482,'1992-07-04 00:00:00',4,10,11,2009,'F','N','MAR GROSSO','LAGUNA','SC','124242241215112431446812575142610138192',1525,'807',77.68,1,3,NULL),(20,5049490,'1992-04-28 00:00:00',2,5,11,2009,'F','N','CENTRO','ORLEANS','SC','124244241216151411476632575124610166172',11582,'581',51.97,1,3,NULL),(20,5049504,'1992-11-27 00:00:00',4,4,12,2009,'F','N','BRASÍLIA','S LOURENÇO OESTE','SC','124242161217151231436619575122610124142',3018,'9998',71.90,1,3,NULL),(20,5049512,'1991-12-31 00:00:00',4,6,11,2008,'F','N','FAZENDA','ITAJAÍ','SC','124242241216571451468832192122610163132',12652,'1026',51.56,1,3,NULL),(20,5049547,'1991-08-05 00:00:00',2,4,12,2008,'F','N','CENTRO','AMPÉRE','PR','116164161216471431426632574122610167052',10425,'9998',54.58,1,3,NULL),(20,5049555,'1972-03-27 00:00:00',4,15,12,1997,'M','N','CENTRO','PR GRANDE','SC','224203208126151431326443345125610118067',NULL,'9999',0.00,1,3,NULL),(20,5049563,'1990-02-11 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115374451227724346124610168012',2258,'267',75.97,1,2,1),(20,5049571,'1992-10-30 00:00:00',4,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215122411469833571122610134072',1239,'270',80.04,1,3,NULL),(20,5049580,'1991-07-18 00:00:00',2,8,11,2008,'F','N','MERCES','CURITIBA','PR','116162161215472431437632292122610127142',9858,'9998',56.21,1,3,NULL),(20,5049598,'1990-07-23 00:00:00',4,10,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161216572431568834575124610164187',3141,'9998',72.65,1,3,NULL),(20,5049601,'1989-03-28 00:00:00',4,1,11,2007,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241215573431367911494124233231092',11104,'270',56.07,1,3,NULL),(20,5049610,'1988-09-29 00:00:00',2,1,12,2006,'F','N','NOVA BAHIA','CPO GRANDE','MS','112124121137471421363822595122141063142',NULL,'9998',0.00,1,3,NULL),(20,5049628,'1990-07-24 00:00:00',2,1,12,2007,'M','N','LOURO','ANTÔNIO CARLOS','SC','124241241116131431623335442214610117047',NULL,'21',26.06,1,2,1),(20,5049636,'1984-09-30 00:00:00',4,1,12,2002,'F','N','CENTRO','BIGUAÇU','SC','124243241216275431331679385124130861117',15079,'63',47.63,4,3,NULL),(20,5049644,'1992-11-17 00:00:00',4,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124244241216131731539619572221610137057',11771,'948',53.08,1,3,NULL),(20,5049652,'1988-04-06 00:00:00',4,1,11,2005,'M','N','CENTRO','IMBITUBA','SC','124241241217272431664637572122122667185',7,'807',96.44,1,3,NULL),(20,5049660,'1990-12-27 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116242241216372231489914575122610163182',9756,'1073',56.22,1,3,NULL),(20,5049679,'1956-02-12 00:00:00',5,1,12,1975,'F','N','CARIANOS','FLORIANÓPOLIS','SC','324243241435112411223353571124320513097',NULL,'210',24.42,1,3,NULL),(20,5049687,'1989-11-05 00:00:00',2,1,12,2006,'M','N','SERRARIA','S JOSÉ','SC','124241241147143752621644442235610168182',8684,'730',59.45,4,2,1),(20,5049717,'1986-07-14 00:00:00',4,1,12,2003,'F','N','NONOAI','PASSO FUNDO','RS','120201201117572431334611375124140262092',1972,'9998',76.55,1,2,1),(20,5049725,'1991-05-20 00:00:00',4,1,12,2008,'F','N','BELA VISTA','PALHOÇA','SC','124241241146131231236414245124610124147',NULL,'278',27.09,1,2,1),(20,5049741,'1992-03-17 00:00:00',2,1,12,2009,'M','N','VILA ANDRADE','S PAULO','SP','125252251217151231448718285112610147043',15911,'9998',44.61,1,3,NULL),(20,5049750,'1988-05-09 00:00:00',2,1,12,2005,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241134133411223344142334610134143',NULL,'733',15.24,1,2,1),(20,5049768,'1992-05-08 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241415111431525711295124610137077',NULL,'1023',46.21,4,3,NULL),(20,5049776,'1992-04-13 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431438822275112610123077',9192,'270',59.62,1,3,NULL),(20,5049784,'1988-06-15 00:00:00',2,8,12,2006,'F','N','BOA VISTA','JOINVILLE','SC','124241241116371431424614385124610132097',NULL,'477',30.42,1,2,1),(20,5049792,'1991-06-19 00:00:00',2,9,12,2008,'M','N','CENTRO','S JOAQUIM','SC','124241241116372711426611375121610127051',NULL,'719',21.30,1,3,NULL),(20,5049806,'1988-12-22 00:00:00',4,8,12,2006,'F','N','PETRÓPOLIS','JOINVILLE','SC','124241241116371431224444345334610134187',NULL,'472',32.84,1,2,1),(20,5049814,'1987-08-30 00:00:00',5,1,12,2006,'M','N','PINHEIRA PALHOÇA','PALHOÇA','SC','124241241121131431316444341221131432177',15653,'322',45.67,1,2,1),(20,5049822,'1992-08-16 00:00:00',4,1,10,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241241215131431437614375122610168015',4856,'737',65.44,1,3,NULL),(20,5049830,'1990-10-15 00:00:00',4,8,12,2007,'M','N','PILARZINHO','CURITIBA','PR','116161161217571731469932585124610144047',1986,'9998',75.57,1,3,NULL),(20,5049849,'1991-02-20 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124204241215111431338614575124610127142',4861,'270',66.91,1,3,NULL),(20,5049857,'1989-12-01 00:00:00',4,1,12,2007,'M','N','LIBERDADE','S PAULO','SP','125132251217571431468934571122610144082',996,'9998',79.93,1,3,NULL),(20,5049865,'1993-03-16 00:00:00',4,6,10,2009,'M','N','CENTRO','VILHENA','RO','122222221215121531469614215122610127017',10626,'9998',54.21,1,3,NULL),(20,5049873,'1976-03-11 00:00:00',4,15,12,1995,'M','N','SANDA DA TOCA','ARARANGUÁ','SC','224241241127571731421154142124630117061',NULL,'29',32.65,1,3,NULL),(20,5049881,'1992-06-24 00:00:00',2,4,11,2009,'F','N','CENTRO','XAXIM','SC','124242241214372331337632382122610126197',14128,'994',47.37,1,3,NULL),(20,5049903,'1990-03-09 00:00:00',2,1,12,2007,'M','N','SÃO GERALDO','PTO ALEGRE','RS','120202201217573711366619274224610164057',29,'9998',93.07,1,3,NULL),(20,5049920,'1991-12-19 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124242246217132411466832576124610137012',NULL,'1105',48.24,1,3,NULL),(20,5049938,'1991-10-26 00:00:00',2,1,12,2009,'F','N','BELA VISTA I','S JOSÉ','SC','124242241215121431546613575114610167177',NULL,'1022',31.17,1,3,NULL),(20,5049946,'1992-01-10 00:00:00',4,8,11,2009,'M','N','BIGORRILHO','CURITIBA','PR','124244161217471531468822575124610134182',1565,'9998',78.57,1,3,NULL),(20,5049954,'1991-03-18 00:00:00',4,8,12,2008,'F','N','REBOUÇAS','CURITIBA','PR','116162161216471431255532575112610147072',NULL,'9998',0.00,1,3,NULL),(20,5049962,'1988-09-30 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217545431368934575114233267062',8939,'270',60.08,1,3,NULL),(20,5049970,'1990-08-03 00:00:00',2,1,9,2008,'M','N','PLANO DIRETOR NORTE','PALMAS','TO','127272271216371751339929595125610168182',NULL,'9998',0.00,1,3,NULL),(20,5049989,'1992-02-27 00:00:00',4,8,12,2009,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124252241415131431126621472324610165182',NULL,'478',0.00,1,3,NULL),(20,5049997,'1992-03-03 00:00:00',2,2,12,2009,'F','N','DAS NAÇÕES','TIMBÓ','SC','124241241136141421433329295121610124072',NULL,'787',22.77,1,3,NULL),(20,5050006,'1988-01-27 00:00:00',2,1,12,2008,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124074077311271411228614281224610167022',NULL,'9998',19.04,4,3,NULL),(20,5050014,'1989-10-16 00:00:00',4,1,11,2007,'F','N','ASA NORTE','BRASÍLIA','DF','107072071217471441237673395114610144026',NULL,'9998',NULL,4,3,NULL),(20,5050049,'1992-03-30 00:00:00',4,3,12,2008,'F','N','CENTRO','MARILUZ','PR','116161161315571411566711575124610136142',5758,'9998',65.02,4,3,NULL),(20,5050065,'1992-02-22 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215141431456634392124610133053',NULL,'951',36.90,1,3,NULL),(20,5050081,'1989-09-24 00:00:00',2,1,12,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217274451246824572124223233077',5143,'270',66.76,1,3,NULL),(20,5050090,'1991-07-04 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241117372421345614245114220327057',15783,'257',45.16,1,3,NULL),(20,5050103,'1992-06-16 00:00:00',4,6,12,2009,'M','N','BELA VISTA','RIO NEGRINHO','SC','124242241215111431489712596122610164126',4438,'541',67.37,1,3,NULL),(20,5050111,'1990-01-23 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124242241215373411356613575112610168112',12594,'738',51.69,1,3,NULL),(20,5050120,'1992-04-24 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217111741488833435122610168042',NULL,'270',24.29,1,3,NULL),(20,5050138,'1991-09-15 00:00:00',4,1,12,2009,'M','N','DANIELA','FLORIANÓPOLIS','SC','124242241217112431538619572124610137137',1212,'1048',79.61,1,3,NULL),(20,5050154,'1991-06-23 00:00:00',2,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120201201136471431336724372125610163077',9537,'9998',54.93,1,2,1),(20,5050162,'1990-02-04 00:00:00',4,1,12,2007,'M','N','PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP','125254256217573731378814375122610124112',3318,'9998',72.40,1,3,NULL),(20,5050170,'1988-04-26 00:00:00',4,9,12,2005,'M','N','CENTRO','BENTO GONÇALVES','RS','120202201211271411456739395125143267092',3843,'9998',69.43,1,3,NULL),(20,5050189,'1991-03-14 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124234241216472431445933375114610142032',9142,'138',59.70,1,3,NULL),(20,5050200,'1992-11-30 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215121431367933172124610168192',4768,'1118',66.67,1,3,NULL),(20,5050219,'1991-11-28 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124243241117231431546613271124610125072',10157,'307',54.27,1,3,NULL),(20,5050227,'1992-09-24 00:00:00',4,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215111431379927446114610137183',9096,'951',59.78,1,3,NULL),(20,5050235,'1991-11-19 00:00:00',4,1,10,2009,'M','N','JARDIM ALIANÇA','CAMPINAS','SP','125252258215111431668872575124610112172',6706,'9998',61.65,1,3,NULL),(20,5050251,'1991-01-04 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124092091216272731286812175112610162035',605,'9998',83.84,1,3,NULL),(20,5050260,'1992-03-16 00:00:00',4,1,11,2009,'F','N','SANTA TEREZA','BELO HORIZONTE','MG','113132131217471431458814444122610164142',252,'9998',87.26,1,3,NULL),(20,5050278,'1992-02-17 00:00:00',4,8,12,2008,'M','N','SAO JOAQUIM','UNIÃO VITÓRIA','PR','116161161116473431459914572112610122012',NULL,'9998',39.39,1,2,1),(20,5050308,'1992-05-02 00:00:00',4,8,12,2009,'F','N','CENTRO','RIO NEGRO','PR','116241241215371431448812575122610161092',8016,'541',60.71,1,3,NULL),(20,5050316,'1988-03-08 00:00:00',4,1,12,2005,'M','N','JARDIM SILVEIRA','BARUERI','SP','125253251216272731456911275125243226182',NULL,'9998',0.00,1,3,NULL),(20,5050324,'1976-01-19 00:00:00',4,1,12,1993,'M','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124244241116155421259844345124120827112',12853,'307',52.63,1,3,NULL),(20,5050332,'1991-03-02 00:00:00',4,1,12,2008,'M','N','CHACARA INGLESA','S PAULO','SP','125252251215471431459713575124610127042',NULL,'9998',NULL,1,3,NULL),(20,5050340,'1989-05-20 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217373431479933275122231063112',1008,'270',81.27,1,3,NULL),(20,5050359,'1992-06-27 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215121431268712172124610168192',6609,'1118',64.56,1,3,NULL),(20,5050367,'1992-02-11 00:00:00',4,8,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161217411431336912575122610121072',681,'9998',82.31,1,3,NULL),(20,5050383,'1992-08-11 00:00:00',2,2,11,2009,'F','N','VILA GERMER','TIMBÓ','SC','124241241126111731433319445122610147142',NULL,'870',0.00,1,2,1),(20,5050391,'1992-09-09 00:00:00',4,1,11,2009,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121215112431449933575122610164122',NULL,'9998',0.00,1,3,NULL),(20,5050405,'1989-11-25 00:00:00',4,1,12,2007,'F','N','JARDIM PAULISTA','S PAULO','SP','125252251217571712589811571125610168092',7741,'9998',58.42,1,3,NULL),(20,5050413,'1992-11-03 00:00:00',4,4,12,2009,'M','N','CENTRO','IPORÃ OESTE','SC','124241241216111431536732275122610137052',9725,'1079',56.60,1,3,NULL),(20,5050430,'1992-08-17 00:00:00',2,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242247216271431335614285114610147065',NULL,'9999',16.96,1,3,NULL),(20,5050448,'1989-08-31 00:00:00',2,4,12,2005,'F','N','MARECHAL RONDON','CANOAS','RS','120202201216573431467612572125141363097',1228,'9998',79.83,1,3,NULL),(20,5050456,'1992-05-25 00:00:00',4,8,12,2009,'F','N','VILA CLEMENTINA','MAFRA','SC','124241241215121431637823572122610132011',7011,'541',61.61,4,3,NULL),(20,5050464,'1992-03-27 00:00:00',2,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112731348833571124610164191',6994,'270',62.42,1,3,NULL),(20,5050480,'1991-10-23 00:00:00',4,9,11,2008,'F','N','MORRO DO POSTO','LAGES','SC','124241241115272431524734375124610166057',7042,'512',61.34,1,2,1),(20,5050510,'1973-10-05 00:00:00',2,1,12,1991,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224241241111134421353343331124220636042',12944,'271',52.47,1,2,1),(20,5050529,'1990-04-25 00:00:00',4,1,12,2008,'M','N','VILA MELO','S VICENTE','SP','125252251117572751468913572125610164051',2467,'9998',75.08,1,3,NULL),(20,5050570,'1992-10-26 00:00:00',4,3,11,2009,'F','N','ALTO DA GLÓRIA','CURITIBA','PR','116162161215111431456615274124610116147',1360,'9998',79.46,1,3,NULL),(20,5050588,'1990-09-25 00:00:00',4,8,12,2008,'F','N','PIRABEIRABA','JOINVILLE','SC','124243241215473411466311212124610123142',15032,'1016',47.77,1,3,NULL),(20,5050596,'1992-05-12 00:00:00',4,8,12,2009,'F','N','VILA LALAU','JARAGUÁ SUL','SC','124242246215111751463632342122610168092',NULL,'1061',0.00,1,3,NULL),(20,5050600,'1991-06-09 00:00:00',2,9,11,2008,'F','N','CENTRO','S JOAQUIM','SC','124242241212472431438913575122610121197',NULL,'1035',0.00,1,3,NULL),(20,5050618,'1992-01-07 00:00:00',2,1,12,2008,'F','N','BELA VISTA','BRAÇO NORTE','SC','124242241216473431664412395124610128143',NULL,'950',39.81,1,3,NULL),(20,5050626,'1991-12-28 00:00:00',4,1,12,2009,'M','N','VILA PROGRESSO','DOURADOS','MS','112122121215111531568831472122610167062',NULL,'9998',33.53,1,3,NULL),(20,5050634,'1989-06-15 00:00:00',4,3,12,2006,'M','N','CENTRO','ARAPONGAS','PR','116162161216371231448619395123143264192',NULL,'9998',0.00,1,3,NULL),(20,5050642,'1992-10-30 00:00:00',4,4,12,2009,'F','N','PIONEIROS','ITÁ','SC','124241241115111731436612212324610163057',10601,'384',54.43,1,2,1),(20,5050650,'1972-08-05 00:00:00',2,15,7,2006,'M','N','COLONINHA','ARARANGUÁ','SC','224246248627111621424334286222613268177',NULL,'9997',9.41,1,3,NULL),(20,5050685,'1990-06-25 00:00:00',4,8,12,2007,'F','N','VILA LENZI','JARAGUÁ SUL','SC','124241241115271741357424342121610168147',14850,'425',48.31,1,2,1),(20,5050693,'1992-07-09 00:00:00',2,10,12,2009,'M','N','PORTINHO','LAGUNA','SC','124244241226131411426613391121610124182',NULL,'524',27.57,1,3,NULL),(20,5050723,'1991-12-14 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431448832475122610124072',1906,'270',77.24,1,3,NULL),(20,5050731,'1991-05-13 00:00:00',2,1,11,2008,'M','N','ARIRIU DA FORMIGA','PALHOÇA','SC','124241241115472431333613275124610121142',10468,'592',53.68,1,2,1),(20,5050740,'1992-02-02 00:00:00',4,2,11,2009,'F','N','VELHA','BLUMENAU','SC','124242241215111431459814475122610127142',NULL,'87',0.00,1,3,NULL),(20,5050758,'1991-04-22 00:00:00',4,1,12,2008,'M','N','JARDIM FLORENÇA','LIMEIRA','SP','125252251217471431558632475112610167052',NULL,'9998',0.00,1,3,NULL),(20,5050766,'1992-10-20 00:00:00',4,2,12,2009,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124242241215321431453432225222610164052',NULL,'981',0.00,1,3,NULL),(20,5050774,'1989-05-14 00:00:00',2,1,7,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242247215373421248823385124610127062',NULL,'9999',22.14,2,1,2),(20,5050790,'1992-04-01 00:00:00',4,1,12,2009,'M','N','PARQUE ALVORADA','DOURADOS','MS','112122121215111231369931472122610167062',8141,'9998',60.04,1,3,NULL),(20,5050804,'1992-02-03 00:00:00',2,4,12,2009,'M','N','PIONEIRO','PINHALZINHO','SC','124241241115151431435311345122610167052',NULL,'1032',39.42,4,2,1),(20,5050812,'1991-07-28 00:00:00',4,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241347132411447832595124610166181',6927,'1022',62.58,1,3,NULL),(20,5050820,'1992-04-29 00:00:00',4,8,12,2008,'F','N','AMÉRICA','JOINVILLE','SC','124243241115471411337924575124610124017',3328,'478',72.53,1,3,NULL),(20,5050839,'1992-08-28 00:00:00',4,2,10,2009,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111431365832275112610124052',NULL,'855',0.00,1,3,NULL),(20,5050847,'1991-02-02 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124212241215122222459933575112610168143',9525,'270',57.72,1,3,NULL),(20,5050855,'1993-03-13 00:00:00',4,1,12,2009,'M','N','BAIRRO BÁU','CUIABÁ','MT','111112111216111431466332275124610166092',4414,'9998',66.31,1,3,NULL),(20,5050880,'1991-06-28 00:00:00',4,8,8,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124244246617141421126644345124610167062',NULL,'995',33.26,4,3,NULL),(20,5050898,'1981-03-16 00:00:00',2,1,12,1998,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241122375431334419135224121114097',10868,'277',54.65,1,2,1),(20,5050901,'1992-07-09 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215112431226624575114610127147',7056,'738',63.50,1,3,NULL),(20,5050910,'1992-05-09 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241317111431469933572122610124052',1963,'270',77.03,1,3,NULL),(20,5050928,'1993-05-25 00:00:00',4,1,12,2010,'M','S','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241215111431438821575124610123067',NULL,'270',NULL,1,3,NULL),(20,5050944,'1990-06-01 00:00:00',4,1,12,2009,'F','N','BOM VIVER','BIGUAÇU','SC','124243241116133431224624585224610162047',12167,'307',54.04,1,3,NULL),(20,5050960,'1992-01-06 00:00:00',4,1,12,2008,'F','N','VILA ESTRELA','PNT GROSSA','PR','116162161217471411468921472112610164046',2368,'9998',73.69,1,3,NULL),(20,5050979,'1992-06-11 00:00:00',4,1,12,2009,'M','N','PARQUE ARNOLD SHIMID','S CARLOS','SP','125252251215111431368831575122610144047',6770,'9998',61.71,1,3,NULL),(20,5050987,'1991-10-04 00:00:00',4,3,12,2009,'F','N','NITEROI','CANOAS','RS','120202201217472411449911571125610116042',NULL,'9998',0.00,1,3,NULL),(20,5050995,'1991-01-03 00:00:00',4,1,12,2009,'M','N','CAIU DO CÉU','OSÓRIO','RS','120204201116151752538811215125610167132',9875,'9998',57.02,1,3,NULL),(20,5051002,'1990-01-30 00:00:00',2,4,12,2006,'F','N','CENTRO','PELOTAS','RS','120202201217571431238823574124610134142',2551,'9998',73.72,1,3,NULL),(20,5051029,'1992-09-10 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117141411446611345114610133142',NULL,'307',28.82,2,1,1),(20,5051045,'1979-12-04 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124161167126134451236659385115132838182',14638,'9998',48.88,1,2,1),(20,5051061,'1991-07-30 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124054241217372451534419575114610166052',13722,'1022',48.11,1,3,NULL),(20,5051096,'1991-01-06 00:00:00',4,8,12,2007,'M','N','ZONA I','UMUARAMA','PR','116162161215572451559931571114610127047',8447,'9998',59.28,1,3,NULL),(20,5051100,'1988-04-01 00:00:00',1,8,12,2006,'M','N','AVENTUREIRO','JOINVILLE','SC','124163246217141421626414442123610147051',NULL,'9999',0.00,1,3,NULL),(20,5051118,'1990-01-07 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124241247211272431326413445124610116142',NULL,'9999',22.32,1,3,NULL),(20,5051126,'1991-09-21 00:00:00',4,1,11,2008,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215473431467812475112610164047',NULL,'226',0.00,1,3,NULL),(20,5051134,'1993-04-02 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215172231478833575122610117145',NULL,'270',29.87,1,3,NULL),(20,5051142,'1992-06-22 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241115141731533331215121610164077',NULL,'405',19.10,1,3,NULL),(20,5051150,'1992-02-28 00:00:00',2,1,12,2009,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241215272411458914575124610131142',10630,'1014',54.43,1,3,NULL),(20,5051169,'1992-01-01 00:00:00',4,1,12,2009,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241117131431324469292124610136077',NULL,'307',24.24,1,2,1),(20,5051177,'1992-06-15 00:00:00',2,7,12,2009,'M','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124241241131131311423339312321610164042',15877,'140',44.72,1,2,1),(20,5051185,'1992-03-04 00:00:00',4,1,11,2009,'F','N','WEISSOPOLIS','PINHAIS','PR','116162161217121411353322571124610167122',NULL,'9998',15.40,1,3,NULL),(20,5051193,'1992-11-19 00:00:00',4,2,12,2009,'F','N','GUABIRUBA SUL','GUABIRUBA','SC','124244244215273711458732475122610124072',NULL,'109',0.00,1,3,NULL),(20,5051207,'1965-03-07 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','224241247122471431224454481114610128147',NULL,'9999',0.00,1,3,NULL),(20,5051215,'1991-07-23 00:00:00',2,17,6,2009,'M','N','SAO CRISTOVAO','PAPANDUVA','SC','124241248317141431469933345333610167072',NULL,'9999',34.75,4,3,NULL),(20,5051223,'1991-11-24 00:00:00',4,1,12,2008,'F','N','PIO X','CAXIAS SUL','RS','120203201116371431343414572124610144147',NULL,'9998',0.00,4,3,NULL),(20,5051258,'1991-05-28 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472431488812575112610121092',NULL,'270',43.75,1,3,NULL),(20,5051266,'1992-09-21 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241335131731353511575121610167182',13318,'1010',49.58,1,3,NULL),(20,5051274,'1991-12-20 00:00:00',4,2,12,2008,'F','N','CENTRO','LUCAS R VERDE','MT','124112111217271731443616572124231467147',NULL,'9998',0.00,1,3,NULL),(20,5051282,'1992-07-15 00:00:00',2,1,12,2009,'M','N','CENTRO','PASSO FUNDO','RS','120202201217112411347923571124610166022',7053,'9998',61.86,1,3,NULL),(20,5051290,'1990-10-19 00:00:00',4,1,12,2008,'F','N','PAINEIRAS','CAMPINAS','SP','125252251217371731587921291112610167123',NULL,'9998',NULL,1,3,NULL),(20,5051304,'1992-04-28 00:00:00',2,1,12,2009,'F','N','VILA A','FOZ IGUAÇU','PR','116163161147231431228213241234610144097',NULL,'9998',8.47,2,1,2),(20,5051312,'1991-06-09 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241121112251431534621372114610164147',NULL,'9998',19.32,4,2,1),(20,5051320,'1992-06-19 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117472251467614575124610127011',1981,'739',76.98,1,2,1),(20,5051339,'1989-07-14 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124241241115372441546613242124610132012',NULL,'739',0.00,4,3,NULL),(20,5051347,'1992-08-26 00:00:00',4,4,12,2009,'M','N','SÃO CRISTÓVÃO','PASSO FUNDO','RS','120201201215471411463933375124610116147',5023,'9998',66.23,1,3,NULL),(20,5051355,'1988-02-09 00:00:00',2,3,12,2005,'F','N','MEIA PRAIA','ITAPEMA','SC','124122127216371431436632595122141027042',NULL,'9998',27.16,1,3,NULL),(20,5051363,'1986-03-25 00:00:00',4,1,11,2003,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124202207327371421348639345134610162047',NULL,'9998',47.96,1,3,NULL),(20,5051371,'1991-12-04 00:00:00',2,1,12,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116151432626614575124610127045',NULL,'288',23.29,1,2,1),(20,5051398,'1992-03-19 00:00:00',2,1,11,2009,'M','N','SERRARIA','S JOSÉ','SC','124241248115321411426611212224610168191',NULL,'1116',26.78,1,2,1),(20,5051410,'1991-07-01 00:00:00',4,6,12,2008,'M','N','CENTRO','STO ÂNGELO','RS','120201241136472431346479595125610164047',8129,'51',59.38,1,2,1),(20,5051428,'1992-01-13 00:00:00',4,1,12,2009,'M','N','PARQUE PRADO','CAMPINAS','SP','125252251215111431458619595122610162042',NULL,'9998',32.57,1,3,NULL),(20,5051436,'1992-06-12 00:00:00',4,8,12,2009,'M','N','CABRAL','CURITIBA','PR','116162161215471231458814342334610167047',11649,'9998',51.74,1,3,NULL),(20,5051444,'1993-01-10 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116163161235121731568924572124610121187',1204,'9998',79.53,1,3,NULL),(20,5051452,'1992-09-13 00:00:00',2,7,12,2009,'F','N','SÃO JOSÉ','FRAIBURGO','SC','124242241235121331329923285112610136192',NULL,'317',21.31,1,3,NULL),(20,5051460,'1992-04-29 00:00:00',4,8,12,2009,'F','N','PORTÃO','CURITIBA','PR','116162161216121431566824472114610167052',3990,'9998',70.13,1,3,NULL),(20,5051479,'1989-01-04 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124201241135131411223149492324610138057',NULL,'285',18.96,2,1,1),(20,5051487,'1991-12-31 00:00:00',2,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','624242248215272711247824595122610111142',11388,'213',53.51,1,3,NULL),(20,5051495,'1991-05-13 00:00:00',2,1,12,2008,'F','N','MANSUR DAUD','S JOSÉ R PRETO','SP','125244251216371451426634191122610166077',NULL,'9998',21.53,4,3,NULL),(20,5051509,'1989-06-25 00:00:00',2,5,12,2006,'M','N','CENTRO','CRICIÚMA','SC','124242241226133431379914375122232032047',14598,'211',49.01,1,3,NULL),(20,5051517,'1992-10-02 00:00:00',4,4,12,2009,'M','N','MATINHO','XANXERÊ','SC','124242241217111441449814254121610163052',4134,'836',67.86,1,3,NULL),(20,5051525,'1991-09-09 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','116162161215272431148832575121241462112',1272,'9998',79.84,1,3,NULL),(20,5051533,'1992-02-05 00:00:00',2,1,12,2009,'F','N','FERRAZ','GAROPABA','SC','124243241345111732337679181114610135032',NULL,'1022',30.45,1,3,NULL),(20,5051550,'1992-04-02 00:00:00',2,3,12,2009,'F','N','JARDIM SÃO PEDRO','APUCARANA','PR','116163161216121431336514275122610123147',13186,'9998',47.59,1,3,NULL),(20,5051568,'1991-07-17 00:00:00',4,1,12,2009,'M','N','BONFIGLIOLI','S PAULO','SP','125252241413132432328814573121610121172',6423,'726',62.22,1,3,NULL),(20,5051584,'1992-06-13 00:00:00',4,2,12,2009,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241215112431647612575122610164142',NULL,'70',0.00,1,3,NULL),(20,5051606,'1980-08-20 00:00:00',4,1,12,1997,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124202201216271221238811411122342666017',8110,'9998',61.63,1,3,NULL),(20,5051614,'1985-09-06 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241147131411324429295124232013025',NULL,'307',17.59,1,3,NULL),(20,5051622,'1991-07-02 00:00:00',4,4,12,2009,'F','N','INDUSTRIAL','FRANCISCO BELTRÃO','PR','116161163116141431323334245124610121142',NULL,'9998',0.00,1,3,NULL),(20,5051630,'1991-10-16 00:00:00',4,17,12,2009,'M','N','CENTRO','MAFRA','SC','124244241217111731485932575122610167122',9991,'541',55.66,1,3,NULL),(20,5051649,'1990-11-13 00:00:00',4,1,12,2007,'F','N','JARDIM MARILU','MIRASSOL','SP','125252251217572431479931575122610127057',NULL,'9998',0.00,1,3,NULL),(20,5051657,'1991-11-04 00:00:00',4,1,12,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241216121411569614575125610134142',NULL,'486',34.75,1,3,NULL),(20,5051665,'1992-11-09 00:00:00',2,4,12,2009,'F','N','IMIGRANTES','CONCÓRDIA','SC','124241241117131751426619575122610128187',NULL,'192',27.16,1,2,1),(20,5051681,'1990-09-09 00:00:00',2,8,12,2008,'F','N','CENTRO','S TIAGO','MG','113131131416372431447832475124610162147',13837,'9998',47.43,1,3,NULL),(20,5051690,'1991-11-25 00:00:00',4,8,11,2008,'F','N','CENTRO','CASCAVEL','PR','116162161215472431468831574122610126097',3243,'9998',71.21,1,3,NULL),(20,5051703,'1992-06-20 00:00:00',4,1,11,2009,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241115131411417618576122610164077',4990,'1134',68.16,1,3,NULL),(20,5051711,'1993-10-14 00:00:00',4,7,12,2010,'F','S','CENTRO','BAL CAMBORIÚ','SC','124242161215111431268831572122610135172',NULL,'9997',0.00,1,3,NULL),(20,5051720,'1992-02-12 00:00:00',4,4,12,2009,'M','N','VILA SOBRINHO','CPO GRANDE','MS','112123121115111431579933575112610127122',NULL,'9998',0.00,1,3,NULL),(20,5051746,'1992-03-09 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215122431358613572122610126075',11499,'272',54.57,1,3,NULL),(20,5051754,'1991-05-25 00:00:00',4,8,11,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242161415472431478813571112610162041',543,'9998',84.25,3,3,NULL),(20,5051762,'1989-12-02 00:00:00',2,5,12,2006,'F','N','AGRONOMIA','PTO ALEGRE','RS','120202208217571731336612572122610123143',NULL,'9998',26.76,1,3,NULL),(20,5051770,'1991-01-09 00:00:00',2,9,11,2009,'M','N','CENTRO','LAGES','SC','124242241217111431448832371112610167054',NULL,'497',26.77,1,3,NULL),(20,5051789,'1992-12-22 00:00:00',2,1,12,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241117271431433311395122610164142',NULL,'591',25.34,1,2,1),(20,5051797,'1990-08-31 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472411479911374114610135072',165,'262',88.66,1,3,NULL),(20,5051800,'1992-09-30 00:00:00',4,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241215271431459919292122610167042',6329,'723',63.20,1,3,NULL),(20,5051819,'1991-05-26 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124133071417472751266839597315610164147',9422,'9998',59.22,1,3,NULL),(20,5051851,'1989-11-05 00:00:00',4,8,12,2006,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215474431558612575114610134192',1676,'1063',78.14,1,3,NULL),(20,5051878,'1989-11-17 00:00:00',2,9,12,2007,'F','N','MARILAND','CAXIAS SUL','RS','120204201115571431433414272124610164057',7559,'9998',60.84,1,3,NULL),(20,5051886,'1993-03-17 00:00:00',2,1,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124162241215111431589812575112610132142',NULL,'1038',23.77,1,3,NULL),(20,5051894,'1992-07-09 00:00:00',2,6,12,2009,'M','N','SANTA CECILIA','S PAULO','SP','125252251216111431368932575125610144017',4638,'9998',66.82,1,3,NULL),(20,5051908,'1992-08-07 00:00:00',2,17,12,2009,'F','N','VILA NOVA','MAFRA','SC','124241241215111131535612425122610137143',NULL,'541',22.43,1,3,NULL),(20,5051916,'1990-12-22 00:00:00',4,1,12,2007,'M','N','JARDIM LEONOR','CAMPINAS','SP','122252251216515751268814595112610114184',NULL,'9998',29.05,1,3,NULL),(20,5051924,'1989-09-12 00:00:00',4,2,12,2007,'F','N','VELHA CENTRAL','BLUMENAU','SC','124243241116131431358711285124132036182',NULL,'77',24.19,1,3,NULL),(20,5051932,'1992-04-29 00:00:00',4,1,12,2009,'M','N','TREZE DE JULHO','ARACAJU','SE','126262261216111431488912474122610127042',826,'9998',82.32,1,3,NULL),(20,5051959,'1990-08-24 00:00:00',2,3,11,2008,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251416371431448719575124610133092',10583,'9998',57.07,1,3,NULL),(20,5051967,'1990-03-01 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241132132431228511581114610134197',NULL,'292',29.50,1,2,1),(20,5051975,'1992-08-11 00:00:00',4,2,12,2009,'F','N','DO SOL','INDAIAL','SC','124242241215111431579814575122610137142',NULL,'87',26.54,1,3,NULL),(20,5051991,'1992-04-30 00:00:00',4,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241215121451245529292124610138142',14280,'1074',47.03,1,3,NULL),(20,5052017,'1992-06-26 00:00:00',2,1,11,2009,'F','N','CENTRO','PALHOÇA','SC','124242241215151431559613575124610128092',NULL,'1175',26.88,1,3,NULL),(20,5052025,'1992-10-31 00:00:00',4,2,12,2009,'M','N','BAIRRO DOS ESTADOS','TIMBÓ','SC','124241246127141441546612345134610166171',14972,'870',45.11,1,2,1),(20,5052033,'1991-01-12 00:00:00',4,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116131331329313115124610138157',NULL,'592',28.90,4,2,1),(20,5052041,'1991-03-25 00:00:00',4,3,12,2008,'F','N','CENTRO','RIO NEGRO','PR','116242241216371431336834572124610132142',6261,'541',62.71,1,3,NULL),(20,5052050,'1990-06-16 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242247212473431646619571224133247051',5236,'9999',67.76,1,3,NULL),(20,5052068,'1974-09-01 00:00:00',2,1,12,1993,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','524251255116371421236644142124610163012',NULL,'9998',24.24,1,2,1),(20,5052084,'1992-06-24 00:00:00',4,3,12,2009,'M','N','CENTRO','ITUPORANGA','SC','124241241245111431539923385122610164052',5371,'1173',65.45,1,3,NULL),(20,5052092,'1993-01-13 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241413111221468813432114610127055',13424,'270',49.80,1,3,NULL),(20,5052106,'1987-05-10 00:00:00',4,1,12,2004,'M','N','PARQUE ATENAS DO SUL','ITAPETININGA','SP','125252251215571411478811575122610162042',5699,'9998',64.97,1,3,NULL),(20,5052114,'1990-05-17 00:00:00',2,9,12,2007,'F','N','CENTRO','ANITA GARIBALDI','SC','120244241235572341348923574122133163147',3571,'1065',71.25,1,3,NULL),(20,5052122,'1992-06-17 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241117471731436619275124610144147',13734,'257',49.39,1,2,1),(20,5052130,'1992-06-03 00:00:00',4,8,12,2009,'F','N','CENTRO','NEVES PAULISTA','SP','125252251217111451468811571122610164047',NULL,'9998',0.00,1,3,NULL),(20,5052157,'1992-03-24 00:00:00',2,1,12,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241236161431549923575124610127057',10940,'541',53.56,1,3,NULL),(20,5052165,'1986-03-28 00:00:00',4,9,12,2005,'F','N','CENTRO','GARIBALDI','RS','120201201131571441435711194124610126147',NULL,'9998',32.08,1,2,1),(20,5052173,'1992-04-19 00:00:00',4,8,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161216121431568811575124610162072',2460,'9998',75.09,1,3,NULL),(20,5052181,'1989-01-13 00:00:00',2,1,12,2005,'M','N','CENTRO','AJURICABA','RS','120201201116571451568821592124610132043',2452,'9998',74.55,1,2,1),(20,5052190,'1991-04-23 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215272411366612572124610133012',8828,'737',58.85,1,3,NULL),(20,5052203,'1992-04-07 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124241241117131431433529572124610114192',NULL,'734',26.69,1,2,1),(20,5052220,'1988-05-22 00:00:00',2,1,12,2005,'F','N','VILA MATILDE','S PAULO','SP','125252251211572421448813571122610145072',NULL,'9998',0.00,1,3,NULL),(20,5052238,'1992-07-25 00:00:00',4,8,12,2009,'F','N','SCHRAMM','S BENTO SUL','SC','124241241216111431358631575122610116075',10350,'1178',54.41,1,3,NULL),(20,5052246,'1991-08-21 00:00:00',2,1,11,2008,'F','N','JARDIM DO SOL','CPO BOM','RS','120203201347411231222423181124610163152',11494,'9998',50.88,4,3,NULL),(20,5052254,'1991-09-24 00:00:00',2,8,12,2008,'F','N','CENTRO','ESTEIO','RS','120202201216471431478614495115610164042',10335,'9998',54.61,1,3,NULL),(20,5052262,'1992-03-18 00:00:00',4,1,12,2009,'M','N','GUANABARA','LONDRINA','PR','116162161217121751468812493122610134164',NULL,'9998',0.00,1,3,NULL),(20,5052270,'1992-10-15 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215271731233629375122610135012',6570,'273',63.34,1,3,NULL),(20,5052289,'1992-02-14 00:00:00',2,4,12,2008,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120163161215471431467819591122610167042',NULL,'9998',0.00,1,3,NULL),(20,5052297,'1984-03-25 00:00:00',2,1,12,2001,'M','N','MENINO DEUS','PTO ALEGRE','RS','120201201416471731348714375124140726042',11519,'9998',53.30,1,3,NULL),(20,5052300,'1993-09-10 00:00:00',4,2,12,2010,'F','S','FORTALEZA','BLUMENAU','SC','124242241215121431557731572122610132142',NULL,'909',46.75,1,3,NULL),(20,5052319,'1987-12-04 00:00:00',4,1,7,2009,'F','N','SERRARIA','S JOSÉ','SC','124242247122371431536511375114610164172',NULL,'946',23.47,1,3,NULL),(20,5052327,'1993-02-13 00:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121431433639575122610122142',3424,'1038',70.48,1,3,NULL),(20,5052335,'1965-05-08 00:00:00',4,1,7,1991,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241321134331123344211344610113147',NULL,'270',20.89,1,3,NULL),(20,5052343,'1990-07-30 00:00:00',4,8,12,2007,'F','N','ITAUM','JOINVILLE','SC','124241241211371431336513342224610123182',11118,'489',54.85,1,3,NULL),(20,5052351,'1989-04-13 00:00:00',2,9,12,2006,'F','N','POR DO SOL','CAXIAS SUL','RS','120201201117571731553539175124143238147',NULL,'9998',24.29,4,2,1),(20,5052360,'1991-09-10 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241437132441325811286224231941151',NULL,'362',0.00,1,3,NULL),(20,5052378,'1988-01-18 00:00:00',4,1,10,2006,'F','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241248127132421434414242133610131042',NULL,'322',21.00,1,2,1),(20,5052386,'1990-02-07 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241415373431447614442114132744142',6390,'1022',65.15,1,3,NULL),(20,5052394,'1992-10-10 00:00:00',4,1,11,2009,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215271531468612575122610124195',NULL,'262',0.00,1,3,NULL),(20,5052408,'1992-04-21 00:00:00',2,4,11,2009,'F','N','JARDIM AMERICA','CHAPECÓ','SC','124244241215122411448822144122610152052',NULL,'983',0.00,1,3,NULL),(20,5052416,'1993-02-11 00:00:00',2,1,12,2009,'F','N','ITACOROBI','FLORIANÓPOLIS','SC','124241241315131211226324585124610164072',NULL,'307',29.93,1,3,NULL),(20,5052424,'1991-01-30 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473431568931575124610165142',386,'270',85.55,1,3,NULL),(20,5052440,'1981-07-17 00:00:00',2,2,3,2000,'F','N','TESTO REGA','POMERODE','SC','224161018126271731448352345122642836172',NULL,'9998',29.30,4,3,NULL),(20,5052467,'1988-10-14 00:00:00',4,1,11,2006,'M','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125252251217572441469814571122610144047',NULL,'9998',0.00,1,3,NULL),(20,5052475,'1980-09-12 00:00:00',5,1,12,1997,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','624242241436155351479571125124121566116',5319,'270',67.53,1,3,NULL),(20,5052483,'1991-03-09 00:00:00',4,1,12,2008,'F','N','JARDIM IDEAL','GUARUJÁ','SP','125252251215471431458811574122610124172',NULL,'9998',0.00,1,3,NULL),(20,5052491,'1991-08-15 00:00:00',4,1,12,2009,'M','N','JARDINS FLORENÇA','GOIÂNIA','GO','109092091215111411576632572115610167182',NULL,'9998',0.00,1,3,NULL),(20,5052505,'1989-02-02 00:00:00',4,8,12,2006,'M','N','JARDIM IRIRIU','JOINVILLE','SC','124241241122372411456614445124610126192',NULL,'957',0.00,1,3,NULL),(20,5052513,'1991-01-25 00:00:00',4,8,12,2008,'M','N','AGUA VERDE','CURITIBA','PR','116163161217572411448832575224610144047',7917,'9998',59.70,1,3,NULL),(20,5052521,'1990-08-05 00:00:00',4,1,12,2007,'F','N','BELA VISTA','AMERICANA','SP','125252251215571411468914571122610147097',NULL,'9998',0.00,1,3,NULL),(20,5052530,'1989-08-29 00:00:00',4,1,12,2007,'F','N','JD CARVALHO','PNT GROSSA','PR','116254251436571231138513395332610134197',NULL,'9998',0.00,1,3,NULL),(20,5052572,'1992-01-17 00:00:00',4,1,12,2009,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124241241117371431569913275122610157185',7047,'271',62.12,1,3,NULL),(20,5052580,'1991-06-04 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241146271432323321386114610134147',NULL,'285',25.25,1,2,1),(20,5052599,'1992-04-19 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111431368832372122610113142',NULL,'1049',0.00,1,3,NULL),(20,5052602,'1992-09-21 00:00:00',4,1,12,2010,'M','S','BOSQUE DA MANSÕES','S JOSÉ','SC','124241241115111431468931575122610127012',NULL,'267',53.83,1,3,NULL),(20,5052610,'1991-08-28 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372221469933595122133217052',NULL,'270',30.69,1,3,NULL),(20,5052629,'1993-01-02 00:00:00',4,4,12,2009,'M','N','NAZARÉ','CONCÓRDIA','SC','124241241117131231534314495125610138147',NULL,'193',0.00,1,2,1),(20,5052645,'1992-09-13 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431456634574124610168077',11733,'988',51.99,1,3,NULL),(20,5052653,'1992-06-13 00:00:00',2,8,12,2009,'F','N','FAXINAL','MAFRA','SC','124241241215121431455632575122610123047',NULL,'541',31.11,1,3,NULL),(20,5052661,'1978-10-30 00:00:00',4,1,12,2000,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124251257127271411223741245224142154027',NULL,'9998',0.00,1,2,1),(20,5052696,'1992-04-10 00:00:00',2,3,12,2009,'M','N','JARDIM UNIVERSITARIO','MARINGÁ','PR','116162161215171431448933575122610117042',8488,'9998',58.03,1,3,NULL),(20,5052700,'1992-03-11 00:00:00',4,1,12,2009,'M','N','VILA ORTÊNCIA','SOROCABA','SP','125251251225111431458632241122610152072',2921,'9998',71.81,1,3,NULL),(20,5052718,'1992-08-13 00:00:00',4,1,11,2009,'M','N','BERGER','CAÇADOR','SC','124242241216472431489814575112610167042',8034,'270',59.24,1,3,NULL),(20,5052726,'1990-01-15 00:00:00',4,1,12,2006,'F','N','CENTRO','UNIÃO VITÓRIA','PR','116241241117141411126644344232131043172',9586,'636',58.94,1,3,NULL),(20,5052734,'1992-05-14 00:00:00',4,1,12,2009,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241217111431548811272124610163182',5420,'262',64.69,1,3,NULL),(20,5052742,'1990-10-11 00:00:00',4,1,12,2009,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124242241336151651357829375123610164182',NULL,'592',22.16,1,3,NULL),(20,5052750,'1988-02-17 00:00:00',4,1,12,2006,'M','N','MOOCA','S PAULO','SP','125252251212571431468811575124610125047',588,'9998',83.91,1,3,NULL),(20,5052769,'1992-08-25 00:00:00',2,17,12,2009,'M','N','KM DOIS','TRÊS BARRAS','SC','124241241215161431456934142124610167077',NULL,'973',21.70,1,3,NULL),(20,5052785,'1978-10-18 00:00:00',2,9,12,1997,'M','N','AZENHA','PTO ALEGRE','RS','120203201216571431238529575114141061047',5489,'9998',64.49,1,3,NULL),(20,5052793,'1991-10-31 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217271431467832575112610162012',1150,'883',80.50,1,3,NULL),(20,5052807,'1993-03-24 00:00:00',4,2,12,2010,'F','S','VOLTA GRANDE','MIRIM DOCE','SC','124241242116141431525415575124610113141',NULL,'662',15.50,1,3,NULL),(20,5052815,'1992-03-07 00:00:00',4,1,12,2009,'M','N','USINA','ANTÔNIO CARLOS','SC','124241241115252431424614575124610162147',5784,'21',63.87,1,2,1),(20,5052823,'1991-05-16 00:00:00',4,1,12,2008,'M','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125254251247271431348811315121140234042',NULL,'9998',NULL,5,3,NULL),(20,5052831,'1990-01-21 00:00:00',4,1,10,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241215112431468814471122610168112',15542,'269',46.13,1,3,NULL),(20,5052840,'1991-12-12 00:00:00',4,1,12,2009,'M','N','JARDIM IGUAÇU','MARINGÁ','PR','116162161217112431478832475122610124142',2472,'9998',74.63,1,3,NULL),(20,5052858,'1991-09-11 00:00:00',4,10,11,2009,'M','N','MAR GROSSO','LAGUNA','SC','124242241217111431479814575124610124022',2266,'807',75.94,1,3,NULL),(20,5052866,'1992-05-28 00:00:00',4,1,12,2009,'F','N','AMERICANO','LAJEADO','RS','120201201216471431425532595122610168142',14268,'9998',47.13,1,3,NULL),(20,5052874,'1991-12-06 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431455621272125610141147',10896,'270',55.01,1,3,NULL),(20,5052882,'1992-09-25 00:00:00',2,1,12,2009,'M','N','CENTRO','TERRA BOA','PR','116161161217171431538831414124610127042',7757,'9998',59.79,1,3,NULL),(20,5052904,'1991-08-20 00:00:00',2,1,12,2008,'M','N','ZONA UM','MARINGÁ','PR','116162161215471431576814345122610132182',3642,'9998',69.62,1,3,NULL),(20,5052912,'1992-03-03 00:00:00',2,1,11,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431325923142124610132156',3253,'262',72.54,1,3,NULL),(20,5052920,'1984-02-06 00:00:00',2,1,12,2002,'F','N','BIGORRILHO','CURITIBA','PR','116162161215371431225574386325143138187',12516,'9998',50.60,1,3,NULL),(20,5052939,'1990-02-05 00:00:00',4,8,12,2007,'M','N','VILA ALPINA','STO ANDRÉ','SP','125252251216471431446823415132610162045',1868,'9998',75.72,3,3,NULL),(20,5052955,'1985-08-31 00:00:00',4,1,12,2003,'M','N','VILA NOVA','IMBITUBA','SC','124243241211132421666714445112131037117',NULL,'362',23.26,1,3,NULL),(20,5052971,'1983-10-28 00:00:00',4,1,12,2001,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','224242241215475431279851572114331021112',3757,'270',70.04,1,3,NULL),(20,5052980,'1992-10-06 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124012241215122431637612575112610143192',11306,'1011',53.35,1,3,NULL),(20,5052998,'1991-06-15 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215373211487732372114610163192',NULL,'269',26.15,1,3,NULL),(20,5053005,'1992-11-21 00:00:00',4,8,12,2009,'M','N','TABULEIRO','BARRA VELHA','SC','124241241111161451559933575122610137151',15181,'58',44.54,1,2,1),(20,5053021,'1993-04-20 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111431457731275124610137075',14484,'1023',49.29,1,3,NULL),(20,5053030,'1991-03-28 00:00:00',1,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215371731369932575124233221192',1630,'991',77.48,1,3,NULL),(20,5053056,'1992-07-27 00:00:00',4,1,12,2009,'M','N','CHAMPAGNAT','CURITIBA','PR','116162161217111431458816572122610127042',7535,'9998',58.95,1,3,NULL),(20,5053080,'1992-06-03 00:00:00',4,10,11,2009,'F','N','MORROTES','TUBARÃO','SC','124244241215111751469814574112610132182',6576,'806',63.01,1,3,NULL),(20,5053099,'1991-03-07 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241136473441447613575124610168127',7631,'298',61.19,4,1,1),(20,5053102,'1991-08-21 00:00:00',4,5,12,2008,'F','N','JARDIM ITU SABARÁ','PTO ALEGRE','RS','120251256216571431238629575124610123097',4247,'9998',68.33,1,3,NULL),(20,5053110,'1991-06-14 00:00:00',2,1,12,2008,'F','N','CENTRO','CLEVELÂNDIA','PR','124162161415473431435752575112610167042',9486,'9998',56.71,1,3,NULL),(20,5053129,'1984-02-14 00:00:00',2,1,12,2002,'F','N','FLORESTA','S JOSÉ','SC','124241241111235731656813481124233232077',NULL,'307',18.03,2,1,1),(20,5053137,'1991-01-14 00:00:00',4,1,6,2009,'M','N','VILA FORMOSA','S PAULO','SP','125252257237271731448662112114610125122',NULL,'9998',0.00,1,3,NULL),(20,5053145,'1992-11-30 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241115272431336813572124610128187',13921,'257',48.63,1,2,1),(20,5053153,'1993-02-05 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217112431579952575124610167062',1369,'270',79.43,1,3,NULL),(20,5053161,'1991-09-12 00:00:00',4,3,12,2008,'F','N','VILA FLAMBOYANT','APUCARANA','PR','116162161216472431667511372112610164143',NULL,'9998',17.38,3,3,NULL),(20,5053170,'1991-04-13 00:00:00',4,1,12,2008,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241216272231437814572124610162147',6790,'1014',64.22,1,3,NULL),(20,5053188,'1988-10-07 00:00:00',2,1,12,2007,'M','N','ITAIM BIBI','S PAULO','SP','125252251215571431489914572122610124046',3122,'9998',70.95,1,3,NULL),(20,5053200,'1991-11-12 00:00:00',2,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111431468811572112610127042',7392,'737',60.69,1,3,NULL),(20,5053218,'1992-10-20 00:00:00',2,1,12,2009,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124243248315271431446623472224610167042',NULL,'21',26.02,1,3,NULL),(20,5053226,'1992-01-24 00:00:00',2,1,12,2008,'M','N','CENTRO','NOVO HAMBURGO','RS','120204201215471331369614575124610124196',569,'9998',84.01,1,3,NULL),(20,5053234,'1992-04-21 00:00:00',4,1,12,2009,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241241117372431326618575124610114097',NULL,'733',0.00,1,2,1),(20,5053242,'1991-11-29 00:00:00',2,1,12,2009,'F','N','VILA SANTO ANTONIO','MARINGÁ','PR','116164161336111131346634445124610123142',NULL,'9998',0.00,1,3,NULL),(20,5053269,'1988-11-07 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241347271511367741415115610162097',NULL,'169',21.86,1,3,NULL),(20,5053277,'1991-06-29 00:00:00',4,1,12,2008,'F','N','CHÁCARA AGÁRI','LONDRINA','PR','116162161215471431458811572122610123182',NULL,'9998',0.00,1,3,NULL),(20,5053285,'1991-09-24 00:00:00',4,1,11,2008,'M','N','CHACARA PRIMAVERA','CAMPINAS','SP','125252251217271711368832571121141256117',4195,'9998',67.16,4,3,NULL),(20,5053293,'1992-05-28 00:00:00',4,15,11,2009,'F','N','CENTRO','ARARANGUÁ','SC','124242241215371411466813475122610128147',11445,'970',52.93,1,3,NULL),(20,5053307,'1987-04-11 00:00:00',4,1,12,2004,'F','N','CENTRO','IJUÍ','RS','120202201217571431437639592324610122187',2312,'9998',75.64,1,3,NULL),(20,5053315,'1992-07-10 00:00:00',2,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124243241135271411339734595124610124147',NULL,'257',32.03,1,3,NULL),(20,5053323,'1992-02-07 00:00:00',4,1,12,2009,'M','N','VILA PLANALTO','DOURADOS','MS','112122121215111431568613592112610162182',2647,'9998',73.43,1,3,NULL),(20,5053340,'1991-01-05 00:00:00',2,1,12,2008,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124206208137271451458317375124610127014',14423,'9998',46.06,1,3,NULL),(20,5053358,'1988-02-19 00:00:00',4,8,12,2008,'M','N','IRIRIU','JOINVILLE','SC','124092168337271521458612215112610117057',NULL,'9998',28.13,1,3,NULL),(20,5053374,'1991-06-17 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241315372431446413575124610166013',NULL,'1022',61.58,4,3,NULL),(20,5053382,'1992-08-06 00:00:00',4,9,12,2009,'F','N','BUTANTÃ JD ESTHER','S PAULO','SP','125243251215111431367512371122610124112',5045,'9998',66.06,1,3,NULL),(20,5053390,'1992-01-12 00:00:00',4,1,12,2008,'F','N','ZONA RURAL','CIANORTE','PR','116162161217471442447833575125610153116',6990,'9998',62.79,1,3,NULL),(20,5053404,'1992-01-07 00:00:00',4,8,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','116162161215111231568924572115610166152',12395,'9998',49.48,1,3,NULL),(20,5053412,'1988-07-06 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472231488833575122231066172',2052,'270',76.70,1,3,NULL),(20,5053439,'1992-02-25 00:00:00',4,10,12,2008,'F','N','OFICINAS','TUBARÃO','SC','124242241215472431349933575122610132092',7057,'807',62.66,4,3,NULL),(20,5053447,'1989-01-24 00:00:00',4,8,11,2006,'F','N','AGUA VERDE','CURITIBA','PR','116164161216571431569913575114610124142',NULL,'9998',0.00,1,3,NULL),(20,5053455,'1991-09-16 00:00:00',2,10,12,2008,'F','N','CENTRO','TUBARÃO','SC','124242241214471431336813582122131038142',NULL,'807',36.28,1,3,NULL),(20,5053463,'1992-03-29 00:00:00',4,8,11,2009,'F','N','CAPÃO RASO','CURITIBA','PR','116162161217111411559933595124610123097',3631,'9998',69.94,4,3,NULL),(20,5053471,'1991-12-27 00:00:00',4,1,11,2008,'F','N','JARDIM CENTRAL','DOURADOS','MS','112122121216472431456813372122610122017',3656,'9998',69.80,1,3,NULL),(20,5053480,'1992-01-20 00:00:00',4,17,12,2009,'M','N','CENTRO','CANOINHAS','SC','124242241215111711336829575122610117052',NULL,'154',8.94,1,3,NULL),(20,5053510,'1992-08-03 00:00:00',4,1,11,2009,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124242241215112431343414575124610125037',6655,'1022',63.76,1,3,NULL),(20,5053536,'1991-07-09 00:00:00',2,1,12,2009,'M','N','CENTRO','CIRÍACO','RS','120201208126161431346616495124610138147',NULL,'9998',30.01,4,2,1),(20,5053544,'1991-12-31 00:00:00',2,4,12,2008,'F','N','SÃO FRANCISCO','CEL FREITAS','SC','124241241115371431326524295124610156192',NULL,'199',42.05,1,2,1),(20,5053552,'1990-02-19 00:00:00',4,1,12,2007,'M','N','JARDIM IRAJÁ','RIBEIRÃO PRETO','SP','125252251217311431358839296125142844087',NULL,'9998',0.00,1,3,NULL),(20,5053560,'1989-02-19 00:00:00',4,1,12,2006,'F','N','BROOKLIN PAULISTA','S PAULO','SP','125252251215571531579934492112610142182',NULL,'9998',0.00,1,3,NULL),(20,5053579,'1991-11-19 00:00:00',4,10,11,2009,'M','N','PASSAGEM','TUBARÃO','SC','124242241215112431457639575124610164057',2139,'807',75.89,1,3,NULL),(20,5053587,'1989-04-13 00:00:00',2,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241415372431348823375114610164042',12200,'239',53.98,4,3,NULL),(20,5053595,'1992-05-06 00:00:00',4,8,12,2009,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124242241216151531479914572122610143012',NULL,'1061',28.05,1,3,NULL),(20,5053617,'1991-03-28 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241211472431568413571114610164041',7809,'1022',61.50,1,3,NULL),(20,5053625,'1991-04-16 00:00:00',2,1,12,2008,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242248215273431357714495124131247112',10142,'1022',55.61,1,3,NULL),(20,5053633,'1991-07-02 00:00:00',2,10,11,2008,'F','N','POUSO ALTO','GRAVATAL','SC','124241241216272411424314345124610137142',NULL,'807',30.55,1,3,NULL),(20,5053641,'1977-10-04 00:00:00',4,1,12,2008,'M','N','FATIMA','CAXIAS SUL','RS','120201207326131321122344342214610132057',NULL,'9998',0.00,4,3,NULL),(20,5053650,'1992-05-12 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241315121431226829592124610134195',2226,'270',76.05,1,3,NULL),(20,5053668,'1991-03-20 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472431458819475114610167045',574,'1022',84.00,1,3,NULL),(20,5053676,'1992-05-28 00:00:00',2,8,12,2009,'M','N','VILA LABRUNETTI','ITAPETININGA','SP','125254251437171731448834595124610137057',NULL,'9998',NULL,1,3,NULL),(20,5053684,'1993-03-13 00:00:00',4,1,11,2010,'F','S','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217111411488612392122610165111',NULL,'270',49.48,1,3,NULL),(20,5053706,'1991-01-23 00:00:00',4,1,12,2007,'F','N','PARQUE DOS VINHEDOS','CAXIAS SUL','RS','120203201117572431444833474124610166072',1372,'9998',79.12,4,3,NULL),(20,5053714,'1991-03-02 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241215473431468614592124610144182',12500,'1022',50.16,1,3,NULL),(20,5053722,'1992-02-21 00:00:00',4,1,11,2009,'M','N','FUNDOS','BIGUAÇU','SC','124241241217131451334619271121610167117',14018,'63',47.94,1,3,NULL),(20,5053749,'1992-11-01 00:00:00',4,4,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241217151431536632115122610167122',5661,'752',63.71,1,3,NULL),(20,5053757,'1992-05-15 00:00:00',4,1,12,2009,'F','N','JARDIM CENTENÁRIO','JAMBEIRO','SP','125252251217111431369811542122610161012',15211,'9998',42.37,1,3,NULL),(20,5053765,'1992-12-05 00:00:00',4,8,12,2009,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116164168217272741347713295124610134187',NULL,'9998',0.00,1,3,NULL),(20,5053773,'1993-03-09 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215122431259923571124610135187',16019,'1022',43.98,1,3,NULL),(20,5053781,'1992-04-28 00:00:00',4,3,12,2009,'M','N','TABULEIRO','CAMBORIÚ','SC','124243241215111431436621472121610167147',3682,'1038',71.48,1,3,NULL),(20,5053803,'1992-04-14 00:00:00',4,8,12,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215112431486812575122610142072',NULL,'1174',0.00,1,3,NULL),(20,5053811,'1991-05-11 00:00:00',4,1,12,2008,'M','N','TERRA NOVA','PIRACICABA','SP','125252251211571431458814395122610162042',12547,'9998',49.28,4,3,NULL),(20,5053838,'1991-06-06 00:00:00',2,4,12,2008,'F','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124162161214371431449913274124610162147',12408,'9997',53.54,1,3,NULL),(20,5053846,'1992-05-04 00:00:00',4,5,12,2009,'M','N','MORRO ESTEVAO','CRICIÚMA','SC','124242246217131431548413472124610166172',NULL,'995',41.80,1,3,NULL),(20,5053870,'1992-05-01 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731367824575122610164182',3193,'270',71.78,1,3,NULL),(20,5053889,'1992-04-21 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431689911575125610167052',3294,'270',72.45,1,3,NULL),(20,5053897,'1990-02-23 00:00:00',4,1,12,2008,'M','N','VILA FERROVIARIA','MAFRA','SC','124241241136272431558813595112610134122',NULL,'542',28.14,1,2,1),(20,5053900,'1991-12-07 00:00:00',4,8,12,2009,'M','N','BOA VISTA','JOINVILLE','SC','124243241215371431248923575114610167112',7338,'932',62.88,1,3,NULL),(20,5053919,'1992-03-04 00:00:00',4,8,12,2009,'F','N','SANTA TEREZINHA','S BERNARDO CAMPO','SP','125254251216122431377732175124610122051',4758,'9998',66.58,4,3,NULL),(20,5053927,'1992-02-15 00:00:00',4,4,11,2009,'F','N','CENTRO','PINHALZINHO','SC','124242241215111431458614572124610168042',NULL,'185',0.00,1,3,NULL),(20,5053935,'1990-11-03 00:00:00',2,8,12,2008,'F','N','VILA NOVA','JOINVILLE','SC','124242241215472431436614575122610133097',6662,'1016',64.57,1,3,NULL),(20,5053943,'1991-10-06 00:00:00',4,1,12,2009,'M','N','CHÁCARA SANTA MARGAR','CAMPINAS','SP','125252251217111431589614571122610167072',NULL,'9998',NULL,3,3,NULL),(20,5053951,'1993-04-26 00:00:00',2,1,12,2009,'F','N','BOM VIVER','BIGUAÇU','SC','124243241215111731433729395124610123187',NULL,'1022',29.61,1,3,NULL),(20,5053960,'1991-02-17 00:00:00',4,7,12,2008,'M','N','BELLO','CAÇADOR','SC','124241121116161131425414492222610168074',NULL,'9998',26.30,1,2,1),(20,5053978,'1990-09-01 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215574431459811572112610122042',2217,'270',75.49,1,3,NULL),(20,5053986,'1991-06-14 00:00:00',3,1,7,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242281231572432579913571123610126095',1033,'9998',81.11,4,3,NULL),(20,5053994,'1991-09-27 00:00:00',4,1,12,2008,'F','N','VILA MONTEIRO','S CARLOS','SP','125252251215471431468814175112610165147',NULL,'9998',0.00,1,3,NULL),(20,5054001,'1991-05-06 00:00:00',4,8,12,2008,'F','N','CENTRO','CASCAVEL','PR','116162161215471231346612572122610144097',NULL,'9998',35.04,1,3,NULL),(20,5054010,'1980-10-18 00:00:00',4,1,12,1998,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224241241317574451239952415124322833117',11,'270',96.13,1,3,NULL),(20,5054028,'1993-04-14 00:00:00',2,1,12,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124244241215372431376712175112610134182',14899,'1074',48.17,1,3,NULL),(20,5054036,'1992-02-12 00:00:00',4,1,12,2009,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125252251216111711458834576115610166093',NULL,'9998',0.00,1,3,NULL),(20,5054044,'1992-05-23 00:00:00',2,4,12,2009,'F','N','CENTRO','S JOSÉ CEDRO','SC','124241241317131431455823575112610138077',NULL,'740',0.00,1,3,NULL),(20,5054052,'1991-08-15 00:00:00',2,1,11,2008,'F','N','FLORESTA','S JOSÉ','SC','124242241215373431458612172114610164147',NULL,'738',27.59,1,3,NULL),(20,5054079,'1992-02-26 00:00:00',4,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215112431449833591124610164071',174,'270',88.53,1,3,NULL),(20,5054087,'1992-07-17 00:00:00',2,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115271411423611572124610127077',9004,'21',58.44,1,2,1),(20,5054095,'1992-08-26 00:00:00',2,15,12,2009,'M','N','POÇO VERDE','MELEIRO','SC','124243241215371431366416575124610144142',12723,'970',48.34,1,3,NULL),(20,5054109,'1992-02-06 00:00:00',4,1,11,2009,'M','N','JARDIM DO MAR','S BERNARDO CAMPO','SP','125252251217271411348834595113610164112',9609,'9998',56.20,1,3,NULL),(20,5054117,'1992-10-15 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113431459933572112610163182',1062,'270',80.94,1,3,NULL),(20,5054125,'1992-05-01 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731376824574122610124182',2406,'270',75.41,1,3,NULL),(20,5054133,'1990-03-17 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241135574431334619171114610134122',5860,'298',65.97,1,2,1),(20,5054150,'1992-09-21 00:00:00',4,4,12,2009,'F','N','CENTRO','PALMITOS','SC','124242241217371431368734271122610168182',9046,'9997',57.71,1,3,NULL),(20,5054168,'1992-12-29 00:00:00',4,1,12,2009,'M','N','BOQUEIRÃO','CURITIBA','PR','116162161217111331548812475114610117042',NULL,'9998',0.00,1,3,NULL),(20,5054176,'1992-12-06 00:00:00',4,1,12,2009,'F','N','BAIRRO IPIRANGA','S JOSÉ','SC','624241241116331131436613135124610117047',NULL,'734',29.17,4,2,1),(20,5054184,'1992-06-18 00:00:00',4,1,12,2009,'F','N','JARDIM ESTHER','S PAULO','SP','125254251217271751335724375124610162197',5878,'9998',63.23,1,3,NULL),(20,5054192,'1982-04-03 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224241241126132131334359482112321664177',NULL,'172',NULL,1,2,1),(20,5054230,'1991-08-20 00:00:00',4,8,11,2008,'M','N','CENTRO','BARRA VELHA','SC','124164241415112231366824445122231517052',NULL,'486',27.41,1,3,NULL),(20,5054257,'1989-10-16 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241214474431458814575124610134122',9987,'1022',57.44,1,3,NULL),(20,5054265,'1989-10-07 00:00:00',4,1,12,2007,'F','N','VILA MARIANA','S PAULO','SP','125252251214572421348731371114610133097',1977,'9998',76.45,1,3,NULL),(20,5054273,'1983-05-31 00:00:00',4,1,11,2000,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215134441437542425122123244092',4296,'210',70.06,1,3,NULL),(20,5054281,'1992-01-28 00:00:00',4,1,11,2009,'F','N','ROÇADO SÃO JOSE','S JOSÉ','SC','124242241215113431546612575114610134092',9159,'270',57.74,1,3,NULL),(20,5054290,'1992-04-21 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431689911575125610167052',4191,'270',69.39,1,3,NULL),(20,5054303,'1990-03-19 00:00:00',4,4,11,2007,'F','N','SANTA MARIA','CHAPECÓ','SC','124242241211574441346623271124610167012',5578,'9997',65.39,1,3,NULL),(20,5054311,'1992-01-21 00:00:00',4,1,12,2009,'F','N','RIO BRANCO','NOVO HAMBURGO','RS','120202201217271431488833575112610148093',8624,'9998',57.89,1,3,NULL),(20,5054320,'1992-04-22 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431276623274124610136122',6070,'270',64.06,1,3,NULL),(20,5054338,'1992-01-11 00:00:00',2,15,12,2009,'F','N','VILA CONCEIÇÃO','S JOÃO SUL','SC','124241201516151431524612275124610131142',7529,'9998',58.14,1,3,NULL),(20,5054346,'1992-12-17 00:00:00',4,1,12,2009,'M','N','JD SOCIAL','CURITIBA','PR','116162161217121431379831571124610167122',5169,'9998',67.11,1,3,NULL),(20,5054362,'1992-06-19 00:00:00',2,1,12,2009,'M','N','JARDIM MERCURIO','MANDAGUAÇU','PR','116162161217121431348832595112610127072',11210,'9998',54.21,1,3,NULL),(20,5054370,'1991-10-17 00:00:00',4,8,11,2008,'M','N','VILA SOFIA','S PAULO','SP','125252251215471431478812571122610167057',1077,'9998',80.69,1,3,NULL),(20,5054419,'1992-09-02 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241217111431427933572314610117147',5348,'1022',65.69,1,3,NULL),(20,5054443,'1991-11-26 00:00:00',4,1,11,2009,'M','N','VILA OLÍMPIA','S PAULO','SP','125252251217371431358834575122610134187',10090,'9998',57.98,1,3,NULL),(20,5054451,'1991-02-19 00:00:00',1,1,12,2009,'F','N','ALTO DO RIBEIRÃO','FLORIANÓPOLIS','SC','124243241115151431349834571124610137112',11941,'267',54.47,1,3,NULL),(20,5054460,'1989-12-28 00:00:00',2,1,11,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241115472431569713345124610167187',8118,'271',60.54,1,3,NULL),(20,5054486,'1991-08-26 00:00:00',4,1,10,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215121411466913472112610126055',NULL,'269',43.81,1,3,NULL),(20,5054494,'1990-09-20 00:00:00',4,1,12,2008,'F','N','PARQUE DA FLORESTA','SUMARÉ','SP','125252251216111731248921374122610166182',NULL,'9998',0.00,1,3,NULL),(20,5054508,'1990-06-11 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116122161215571431558619574124610162057',548,'9998',83.94,1,3,NULL),(20,5054516,'1988-12-26 00:00:00',2,1,12,2005,'F','N','VILA MARIA','PALMEIRA','PR','116162161216575411536633175124142665077',969,'9998',81.49,1,3,NULL),(20,5054524,'1994-05-09 00:00:00',4,1,12,2010,'F','S','IPIRANGA','S JOSÉ','SC','124242241216111431326631595122610118012',NULL,'1118',25.16,1,3,NULL),(20,5054540,'1977-12-31 00:00:00',2,1,5,2008,'M','N','CANASVIERAS','FLORIANÓPOLIS','SC','224243247321132411323344141324610166187',NULL,'9999',26.78,4,3,NULL),(20,5054567,'1992-05-20 00:00:00',4,9,11,2009,'F','N','SAGRADO COR DE JESUS','LAGES','SC','124242241215111731559959595112610134092',5980,'497',65.15,1,3,NULL),(20,5054575,'1992-11-20 00:00:00',4,8,11,2009,'M','N','SEMINÁRIO','CURITIBA','PR','116162161216111431478624574122610167112',5610,'9998',64.16,1,3,NULL),(20,5054583,'1991-07-14 00:00:00',4,1,12,2009,'F','N','JARDIM AQUARIUS','PALHOÇA','SC','124241241115131731424319192124610123197',NULL,'592',24.63,1,2,1),(20,5054591,'1991-07-01 00:00:00',4,4,11,2008,'M','N','JUVEVE','CURITIBA','PR','116242161215472431379914372124610132173',1651,'168',77.08,1,3,NULL),(20,5054605,'1989-10-14 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252251215572441468833576124610166042',1696,'9998',78.07,1,3,NULL),(20,5054613,'1993-01-06 00:00:00',2,8,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','116162161315471431339923594124610132142',NULL,'9998',0.00,4,3,NULL),(20,5054621,'1992-05-23 00:00:00',4,1,12,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241135131431423319195124610165147',NULL,'592',14.67,1,2,1),(20,5054630,'1992-09-02 00:00:00',4,8,12,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124242246217111531359912375124610124142',7065,'1105',61.86,1,3,NULL),(20,5054656,'1988-09-22 00:00:00',4,8,11,2006,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215575411459813575114130462197',2505,'457',74.55,1,3,NULL),(20,5054672,'1992-09-27 00:00:00',4,8,11,2009,'F','N','FLORESTA','JOINVILLE','SC','124242241215131731426629572124610133147',NULL,'459',0.00,1,3,NULL),(20,5054680,'1992-04-12 00:00:00',4,1,12,2009,'F','N','NOVO MUNDO','CURITIBA','PR','116161161116131731336624345124610123052',NULL,'9998',17.61,1,2,1),(20,5054702,'1992-03-27 00:00:00',4,1,12,2009,'M','N','TIMBÉ','TIJUCAS','SC','124242246215151431537619571221610126077',6475,'1119',63.48,1,3,NULL),(20,5054710,'1992-06-26 00:00:00',4,1,12,2009,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217272441467714376124610116171',3368,'270',72.27,1,3,NULL),(20,5054729,'1982-04-27 00:00:00',2,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624201201116274731436353172123610121187',NULL,'9998',49.20,1,3,NULL),(20,5054737,'1990-12-06 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124244241215132421326923395124610122067',NULL,'1075',28.14,1,3,NULL),(20,5054753,'1979-09-05 00:00:00',4,5,11,1997,'F','N','CIDADE NOVA','RIO GRANDE','RS','220242241216273731247854385124121821077',8120,'457',58.23,1,3,NULL),(20,5054761,'1992-10-05 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215273731249513575124610124142',5891,'262',65.71,1,3,NULL),(20,5054788,'1993-03-02 00:00:00',2,1,11,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217113231447639572114610111052',4734,'270',68.01,1,3,NULL),(20,5054796,'1990-04-19 00:00:00',4,3,12,2007,'M','N','BARRA','BAL CAMBORIÚ','SC','124243241215573731456613425122610166092',1180,'44',80.36,1,3,NULL),(20,5054800,'1992-01-29 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215271431269931572122610121182',5762,'883',66.20,1,3,NULL),(20,5054818,'1993-03-27 00:00:00',4,4,12,2009,'M','N','CENTRO','S CARLOS','SC','124241241147371731538933575125610167042',13671,'704',46.88,1,2,1),(20,5054826,'1992-10-06 00:00:00',4,1,12,2009,'F','N','CENTRO','MARINGÁ','PR','116162161217471431579933572112610133042',2354,'9998',74.67,3,3,NULL),(20,5054834,'1991-09-06 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161127471431558811572124610164177',7461,'9998',59.63,3,3,NULL),(20,5054842,'1990-10-06 00:00:00',4,1,12,2007,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125252256217471411488814371114610127012',NULL,'9998',0.00,1,3,NULL),(20,5054850,'1992-09-26 00:00:00',4,1,11,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241215122431438613575124610134092',644,'1022',83.61,1,3,NULL),(20,5054869,'1983-02-21 00:00:00',4,1,12,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224241241216133711337649495122421664045',10394,'272',57.42,1,3,NULL),(20,5054877,'1990-04-21 00:00:00',4,1,12,2007,'M','N','NOVO CENTRO','MARINGÁ','PR','116162161216573431468836435112610148062',2411,'9998',74.15,1,3,NULL),(20,5054885,'1989-10-17 00:00:00',2,9,12,2006,'F','N','CENTRO ADMINISTRATIV','OTACÍLIO COSTA','SC','124241241416574431459613594124610127147',374,'499',85.67,1,3,NULL),(20,5054893,'1991-08-05 00:00:00',4,8,12,2008,'F','N','CENTRO','ERECHIM','RS','120202208217272731467812575122610123092',5809,'9998',65.43,1,3,NULL),(20,5054907,'1993-09-14 00:00:00',4,1,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124241241635131231436933572115610167187',NULL,'192',25.49,4,1,2),(20,5054915,'1993-05-13 00:00:00',2,15,12,2010,'F','S','POÇO VERDE','MELEIRO','SC','124243241217151731463616165122610133175',NULL,'813',33.27,1,3,NULL),(20,5054923,'1992-02-11 00:00:00',2,4,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243242116141531546724592124610158017',NULL,'129',43.79,1,3,NULL),(20,5054931,'1982-02-24 00:00:00',2,1,12,2000,'M','N','CAMINHO NOVO','PALHOÇA','SC','224241241116573431433344445114610137047',12006,'357',52.32,1,2,1),(20,5054940,'1990-03-29 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251215473431458924585124222763117',9974,'9998',54.57,3,3,NULL),(20,5054958,'1992-07-17 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241215112411333614471122610126092',8658,'951',59.52,1,3,NULL),(20,5054974,'1992-04-02 00:00:00',4,8,12,2009,'F','N','IRIRIU','JOINVILLE','SC','124242241217111431546914175124610128072',14806,'1006',44.69,1,3,NULL),(20,5054982,'1987-04-02 00:00:00',4,1,7,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252247237471231367974475114610168044',15178,'9999',47.31,4,1,2),(20,5054990,'1992-04-15 00:00:00',2,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241135271411434311571121610127052',NULL,'21',25.72,1,2,1),(20,5055008,'1992-08-02 00:00:00',4,3,12,2009,'F','N','ARIRIBÁ','BAL CAMBORIÚ','SC','124241242117372431437814572124610131017',9835,'129',54.82,1,2,1),(20,5055016,'1990-03-27 00:00:00',4,1,12,2007,'F','N','VL MARIANA','S PAULO','SP','125252251217511451289914372122610165046',NULL,'9998',53.01,1,3,NULL),(20,5055024,'1991-12-15 00:00:00',2,1,11,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216472431336624575124610164142',8655,'32',58.42,1,3,NULL),(20,5055032,'1992-05-15 00:00:00',4,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124241241115471441323324441121610126197',5894,'239',64.01,1,2,1),(20,5055040,'1988-12-06 00:00:00',4,1,12,2007,'M','N','MOOCA','S PAULO','SP','125251253215371431658614375123140247057',4826,'9998',66.59,1,3,NULL),(20,5055059,'1990-07-10 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241237374731243319395124230247141',5790,'1065',66.49,1,3,NULL),(20,5055067,'1991-04-04 00:00:00',2,1,12,2008,'M','N','CENTRO','CURITIBA','PR','116222168215473751465612575124610164062',9918,'9998',55.55,1,3,NULL),(20,5055075,'1992-06-27 00:00:00',2,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241216373431457632475122610127042',1317,'44',79.66,1,3,NULL),(20,5055083,'1992-01-27 00:00:00',4,1,11,2008,'F','N','PORTÃO','CURITIBA','PR','116242241215412721246933375124240615147',9670,'270',58.78,3,3,NULL),(20,5055113,'1990-05-04 00:00:00',2,8,12,2007,'F','N','BIGORRILHO','CURITIBA','PR','116162161216571431367924271122610166077',1375,'9998',78.10,1,3,NULL),(20,5055121,'1986-06-03 00:00:00',2,1,12,2004,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241116442431433344445124610127042',14906,'357',45.66,1,2,1),(20,5055130,'1980-12-24 00:00:00',2,1,6,2000,'M','N','CENTRO','VACARIA','RS','124201208126233411422419145334610127047',NULL,'9998',26.70,4,2,1),(20,5055156,'1992-10-28 00:00:00',4,1,11,2009,'F','N','SANTIAGO POMPEU','SANTIAGO','RS','120204201216151431339932572122610134146',6289,'9998',62.45,1,3,NULL),(20,5055164,'1992-10-31 00:00:00',4,1,12,2009,'M','N','CENTRO','TELÊMACO BORBA','PR','116164161435111131488614575114610134044',10621,'9998',53.20,1,3,NULL),(20,5055172,'1970-04-22 00:00:00',4,1,12,1989,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','224204207416151441467744445122241767112',9775,'9998',58.61,4,3,NULL),(20,5055180,'1992-10-19 00:00:00',2,1,10,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431455933572122610147062',12224,'273',51.46,2,3,NULL),(20,5055199,'1984-09-24 00:00:00',4,3,12,2003,'F','N','BIGORRILHO','CURITIBA','PR','116242241215571431448817474124131026122',7876,'109',60.66,1,3,NULL),(20,5055202,'1990-02-19 00:00:00',4,1,12,2007,'F','N','LAGO NORTE','LG NORTE','DF','107072071217571431589933571122610146143',NULL,'9998',0.00,1,3,NULL),(20,5055210,'1989-10-09 00:00:00',4,7,12,2007,'F','N','CONSOLAÇÃO','RIO CLARO','SP','125252251216572431448814245122610161187',876,'9998',81.52,1,3,NULL),(20,5055229,'1992-10-18 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241117151411228824572124610166082',10668,'307',54.03,1,2,1),(20,5055237,'1991-06-10 00:00:00',4,8,12,2009,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241215371441257913295122610142187',NULL,'1174',0.00,1,3,NULL),(20,5055245,'1983-01-04 00:00:00',2,1,12,2000,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','224244241336135711133454445124331263097',NULL,'9997',43.40,1,3,NULL),(20,5055253,'1992-01-10 00:00:00',4,4,11,2008,'F','N','CENTRO','CARAZINHO','RS','120203201217472431449913234124610166022',1631,'9998',76.87,1,3,NULL),(20,5055288,'1992-05-27 00:00:00',2,15,11,2009,'M','N','SANTANA','ERMO','SC','124244241415271431544515352122610162057',3282,'970',72.01,1,3,NULL),(20,5055296,'1991-04-05 00:00:00',2,1,12,2008,'F','N','JD MARIA DO CARMO','SOROCABA','SP','125254251217472431438614585124610112077',13891,'9998',47.63,1,3,NULL),(20,5055300,'1991-01-30 00:00:00',4,1,12,2008,'F','N','ALFÂNDEGA','GARIBALDI','RS','120204201116471431437734371124610127147',4506,'9998',68.88,1,3,NULL),(20,5055318,'1990-01-12 00:00:00',4,8,11,2008,'F','N','BATEL','CURITIBA','PR','116162161216471431368814574112610161012',NULL,'9998',0.00,3,3,NULL),(20,5055326,'1990-07-27 00:00:00',2,3,12,2007,'F','N','SANTA CATARINA','CAXIAS SUL','RS','120202201216571431446831375112141467047',8576,'9998',58.52,1,3,NULL),(20,5055334,'1992-03-23 00:00:00',2,1,12,2009,'M','N','CAMINHO NOVO','PALHOÇA','SC','124242241215111431326611212121610167152',2132,'989',76.36,1,3,NULL),(20,5055342,'1992-02-11 00:00:00',2,9,11,2009,'F','N','PARQUE RENATO MAIA','GUARULHOS','SP','125252251211111431447612575112610132072',NULL,'9998',27.66,1,3,NULL),(20,5055350,'1992-01-23 00:00:00',4,10,11,2009,'F','N','CENTRO','IMBITUBA','SC','124243241415111431439923175125610143187',7687,'807',59.68,1,3,NULL),(20,5055369,'1992-12-06 00:00:00',2,4,11,2009,'M','N','SÃO CRISTÓVÃO','FRANCISCO BELTRÃO','PR','116274161315271431544935275125610162192',NULL,'9998',29.18,1,3,NULL),(20,5055377,'1991-08-26 00:00:00',2,2,11,2008,'M','N','BNH SEGUNDO PLANO','DOURADOS','MS','112122121237472431368711575122610134042',14934,'9998',48.06,1,3,NULL),(20,5055385,'1991-07-03 00:00:00',4,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241212152751336433575124233225142',11905,'1011',54.55,1,3,NULL),(20,5055393,'1991-10-29 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372731456813432124610128057',9439,'1022',55.98,4,3,NULL),(20,5055407,'1992-02-01 00:00:00',2,1,12,2009,'F','N','CENTRO','TAIÓ','SC','124242241216372751437312275121610127092',NULL,'776',26.88,1,3,NULL),(20,5055423,'1992-07-11 00:00:00',4,8,12,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124252241215111411469814475112610137077',6933,'457',61.57,3,3,NULL),(20,5055431,'1991-08-22 00:00:00',4,1,12,2008,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241215472431549834575124610125182',8571,'71',58.97,1,3,NULL),(20,5055466,'1989-12-18 00:00:00',4,1,12,2008,'M','N','JARDIM BARBOSA','GUARULHOS','SP','125252281215471431468612382125610167052',NULL,'9998',0.00,4,3,NULL),(20,5055474,'1988-10-23 00:00:00',2,1,12,2008,'M','N','BELA VISTA I','S JOSÉ','SC','124241241137473231446714242113610152047',NULL,'9999',40.13,1,2,1),(20,5055482,'1992-04-07 00:00:00',4,1,12,2009,'F','N','VILA PARAÍSO','CAÇADOR','SC','124242241214122431239923575122610126142',3534,'120',71.05,1,3,NULL),(20,5055490,'1992-07-21 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241125151431567832325122610113193',NULL,'277',40.05,1,3,NULL),(20,5055504,'1991-09-25 00:00:00',4,4,11,2008,'M','N','VARGAS','CARAZINHO','RS','120202201211471431449912375115610167092',2589,'9998',73.78,1,3,NULL),(20,5055512,'1992-12-02 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217112411178932585124610262046',9451,'883',57.08,1,3,NULL),(20,5055520,'1992-04-14 00:00:00',2,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215112531388933574114610132072',7251,'270',62.28,1,3,NULL),(20,5055547,'1989-07-07 00:00:00',4,1,12,2007,'M','N','PARQUE CELESTE','S JOSÉ R PRETO','SP','125251251446472451446412175124610135172',2054,'9998',76.67,1,3,NULL),(20,5055555,'1991-06-19 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215322431348633595124232514092',10047,'272',58.07,1,3,NULL),(20,5055563,'1991-02-12 00:00:00',4,2,12,2008,'M','N','CANOAS','RIO SUL','SC','124242241216142431546931345112610134012',15375,'663',46.71,1,3,NULL),(20,5055571,'1990-07-14 00:00:00',4,1,12,2007,'M','N','EXPOSIÇÃO','CAXIAS SUL','RS','120202201141371231475912291122241414042',13992,'9998',47.40,1,3,NULL),(20,5055580,'1991-10-22 00:00:00',4,1,12,2009,'F','N','TRINTA E UM DE MARÇO','S JOSÉ CAMPOS','SP','125253251215271431368812575122610163112',NULL,'9998',17.99,1,3,NULL),(20,5055598,'1992-03-01 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241225111222457312375124610117047',10474,'270',54.65,1,3,NULL),(20,5055601,'1991-10-26 00:00:00',4,8,11,2008,'M','N','AGUA VERDE','CURITIBA','PR','116162161211111751359912395124241468052',NULL,'9998',19.02,1,3,NULL),(20,5055610,'1992-05-08 00:00:00',2,3,12,2009,'M','N','BNH ALTA FLORESTA','TOLEDO','PR','116162161217471411439914575122610167052',2656,'9998',73.04,1,3,NULL),(20,5055628,'1992-07-20 00:00:00',4,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124244241215372531378732575124610126111',10482,'723',53.73,1,3,NULL),(20,5055636,'1992-02-25 00:00:00',2,2,12,2009,'F','N','PROGRESSO','BLUMENAU','SC','124243241436271431656614245124610125142',6190,'85',63.47,4,3,NULL),(20,5055644,'1989-05-09 00:00:00',4,8,12,2006,'M','N','BOA VISTA','CURITIBA','PR','116163161214571431479813475124610167051',1526,'9998',76.17,3,3,NULL),(20,5055652,'1992-09-27 00:00:00',4,8,12,2009,'M','N','VILA ESTRELA','PNT GROSSA','PR','116162161215111431549834575122610144092',5931,'9998',64.89,1,3,NULL),(20,5055679,'1991-01-13 00:00:00',2,10,12,2008,'M','N','CENTRO','ARMAZÉM','SC','124241241126142721534411342121610131071',NULL,'34',26.60,1,2,1),(20,5055695,'1990-04-04 00:00:00',4,2,12,2007,'F','N','BELA VISTA','GASPAR','SC','124242241215372431346434435124132824142',13271,'71',48.79,1,3,NULL),(20,5055709,'1993-01-29 00:00:00',4,1,12,2009,'M','N','PICADAS DO SUL','FLORIANÓPOLIS','SC','124243241215133431444633575114610117052',9573,'1074',55.51,1,3,NULL),(20,5055717,'1991-05-01 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216373331458912492124230441142',7388,'262',63.05,1,3,NULL),(20,5055725,'1992-02-23 00:00:00',2,1,12,2009,'M','N','JD LOS ANGELES','NOVA ESPERANÇA','PR','116163161417471431568814572112610137062',9438,'9998',56.64,1,3,NULL),(20,5055733,'1991-02-26 00:00:00',2,5,12,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241215132431439613375114231464052',7941,'213',58.62,1,3,NULL),(20,5055741,'1991-09-14 00:00:00',4,10,11,2009,'F','N','REVOREDO','TUBARÃO','SC','124242241215171731646612475122610144182',15268,'806',45.32,1,3,NULL),(20,5055750,'1990-05-06 00:00:00',2,1,11,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243241215271431126611482124130224182',NULL,'806',41.48,1,3,NULL),(20,5055768,'1989-11-13 00:00:00',4,1,12,2007,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125252251216571431348819575121610127047',NULL,'9998',0.00,4,3,NULL),(20,5055776,'1988-08-28 00:00:00',4,1,12,2006,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241116142431435619491124610167047',NULL,'772',23.79,1,3,NULL),(20,5055784,'1992-01-25 00:00:00',4,1,12,2009,'M','N','COPOEIRAS','FLORIANÓPOLIS','SC','124252251216371431648814575124610117162',1340,'9998',79.21,1,3,NULL),(20,5055792,'1993-07-02 00:00:00',4,4,12,2009,'F','N','JARDIM','MARAVILHA','SC','124241241116161731439913185122611028092',NULL,'552',0.00,1,2,1),(20,5055806,'1990-08-21 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124201201117411311223331245124610122052',NULL,'9998',44.30,4,2,1),(20,5055814,'1991-11-06 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115472431269913375124610137147',8664,'169',58.35,1,2,1),(20,5055822,'1991-11-28 00:00:00',2,7,12,2008,'F','N','SAYONARA','CATANDUVAS','SC','124241241116372431325614386122610128057',NULL,'161',28.21,1,2,1),(20,5055830,'1978-01-01 00:00:00',2,8,12,1995,'F','N','CENTRO','JOINVILLE','SC','124241241116475431623319392324610161187',9306,'671',57.34,1,2,1),(20,5055849,'1992-04-13 00:00:00',2,4,12,2009,'F','N','VERA CRUZ','PASSO FUNDO','RS','120203201117131751416619575122610161197',NULL,'9998',22.22,1,3,NULL),(20,5055857,'1993-02-12 00:00:00',2,8,12,2009,'M','N','OFICINAS','PNT GROSSA','PR','116162161216411121239514571122610114172',14677,'9998',47.61,1,3,NULL),(20,5055865,'1992-11-14 00:00:00',4,4,12,2009,'M','N','APARECIDA','XANXERÊ','SC','124241241237171431448632595122613265011',6961,'836',62.22,1,3,NULL),(20,5055873,'1982-08-17 00:00:00',2,8,12,1999,'F','N','CENTRO','JOINVILLE','SC','124241241116475431623319392324610161187',5921,'670',64.19,1,2,1),(20,5055890,'1991-02-18 00:00:00',4,1,6,2009,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124244247417251431226529485114610127042',NULL,'9999',27.17,4,3,NULL),(20,5055903,'1987-02-16 00:00:00',4,5,12,2004,'M','N','CENTRO','STA MARIA','RS','120242241216572411249731575125610168187',NULL,'9998',0.00,1,3,NULL),(20,5055911,'1990-01-11 00:00:00',2,1,12,2007,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244241432372231666633475122610127042',16180,'269',39.93,2,1,2),(20,5055920,'1991-06-12 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242161435373751489933575114610144092',2220,'9998',76.06,1,3,NULL),(20,5055946,'1991-02-20 00:00:00',4,1,12,2008,'M','N','PERDIZES','S PAULO','SP','125252251216371231568814595124241432052',9320,'9998',58.18,1,3,NULL),(20,5055954,'1990-12-27 00:00:00',4,1,12,2009,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241115161431433119575112610137057',NULL,'772',28.08,1,2,1),(20,5055970,'1991-03-18 00:00:00',2,8,11,2008,'M','N','CENTRO','ITAPORANGA','SP','125254161221471421427615594124610166112',NULL,'9998',36.19,1,3,NULL),(20,5055989,'1991-02-20 00:00:00',4,8,12,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215471431368814375122610122072',8497,'9998',58.18,1,3,NULL),(20,5055997,'1982-09-01 00:00:00',4,8,12,2000,'M','N','AMÉRICA','JOINVILLE','SC','124244241217131731337619485115330262115',NULL,'487',28.31,1,3,NULL),(20,5056004,'1983-04-24 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224201203216271721227944245124340142097',NULL,'9998',0.00,1,3,NULL),(20,5056012,'1984-01-08 00:00:00',4,9,12,2002,'M','N','HABITAÇÃO','LAGES','SC','124241241126271431223327442334610115147',NULL,'500',25.13,4,2,1),(20,5056020,'1990-04-30 00:00:00',4,1,12,2007,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241217574431589832575122231144042',460,'262',84.91,1,3,NULL),(20,5056039,'1992-06-15 00:00:00',4,17,12,2009,'M','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124242161216111441459833575122610137047',2870,'9998',71.20,1,3,NULL),(20,5056047,'1991-11-18 00:00:00',4,8,12,2008,'M','N','CENTRO','GOIOERÊ','PR','116162161216272431466835575124610164092',10988,'9998',52.54,1,3,NULL),(20,5056055,'1992-01-06 00:00:00',2,1,12,2008,'F','N','ATUBA','CURITIBA','PR','116253161216411431489711584114610162145',NULL,'9998',0.00,1,3,NULL),(20,5056063,'1991-02-02 00:00:00',2,1,12,2007,'F','N','MARAGATINHO','PALMEIRA MISSÕES','RS','120201201116572431333611412125610128092',12376,'9998',50.64,1,2,1),(20,5056071,'1988-04-12 00:00:00',2,1,12,2005,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241146475431524335372114123228197',9624,'21',57.31,1,2,1),(20,5056080,'1990-10-19 00:00:00',4,1,12,2008,'M','N','ZONA SUL','IA SOLTEIRA','SP','125252251213311431479813575112610147186',1393,'9998',77.81,1,3,NULL),(20,5056098,'1988-12-29 00:00:00',4,1,12,2005,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241147131431326644345124610124097',13928,'727',50.52,1,2,1),(20,5056101,'1993-02-19 00:00:00',2,1,12,2009,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241217111431357773575112610134123',13500,'737',49.62,1,3,NULL),(20,5056110,'1992-03-23 00:00:00',2,1,10,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215111431548812192124610167043',6584,'270',64.74,1,3,NULL),(20,5056136,'1992-10-01 00:00:00',4,1,12,2009,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241115271731333319192124610122147',NULL,'288',26.06,4,2,1),(20,5056144,'1993-01-19 00:00:00',2,5,12,2009,'F','N','ALTO RIO MAINA','SIDERÓPOLIS','SC','124243248215131431435314574124610167042',NULL,'995',28.90,1,3,NULL),(20,5056187,'1989-04-23 00:00:00',2,1,12,2006,'F','N','CENTRO','PALHOÇA','SC','124242241215574431673519595124610133042',598,'269',83.86,1,3,NULL),(20,5056195,'1992-03-24 00:00:00',2,8,11,2009,'F','N','COLÉGIO AGRÍCOLA','ARAQUARI','SC','124242241216162431449813475122610134142',13290,'461',51.76,1,3,NULL),(20,5056209,'1991-10-24 00:00:00',2,5,12,2008,'F','N','CERÂMICA','ERECHIM','RS','120201201117272431436615571124610146147',4206,'9998',67.27,1,2,1),(20,5056217,'1991-09-05 00:00:00',4,1,11,2008,'M','N','CENTRO','TURVO','SC','124242248415471751578831572112610147047',8001,'814',61.10,1,3,NULL),(20,5056233,'1991-08-12 00:00:00',2,1,11,2008,'M','N','KOBRASOL','S JOSÉ','SC','124242241216574431366933435132610167142',2831,'654',72.62,1,3,NULL),(20,5056241,'1991-12-15 00:00:00',2,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124244248415111751554422596112610133117',NULL,'1022',7.86,1,3,NULL),(20,5056250,'1992-01-06 00:00:00',4,8,12,2009,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215151431459838292122610116172',3235,'932',72.26,1,3,NULL),(20,5056276,'1991-04-08 00:00:00',2,3,12,2008,'F','N','CENTRO','VIDAL RAMOS','SC','124241241115472431438932575122610124142',14588,'828',44.68,1,2,1),(20,5056284,'1992-03-22 00:00:00',4,8,11,2009,'M','N','SCHRAMM','S BENTO SUL','SC','624243241215121232367632575122610127011',12349,'1063',48.53,1,3,NULL),(20,5056292,'1991-01-10 00:00:00',4,8,12,2008,'F','N','ABRANCHES','CURITIBA','PR','116162161216571731479829575124610161147',8669,'9998',58.29,1,3,NULL),(20,5056306,'1992-03-19 00:00:00',4,1,12,2009,'M','N','CENTRO','DOURADOS','MS','112122121217121431448832575122610114142',3146,'9998',71.02,1,3,NULL),(20,5056314,'1978-11-03 00:00:00',2,1,1,2006,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','524074077436271451426743235124610144017',NULL,'9998',9.96,1,3,NULL),(20,5056330,'1986-07-30 00:00:00',4,1,12,2003,'M','N','BARREIRINHA','CURITIBA','PR','116254251216121221636712395122243263097',4882,'9998',65.10,1,3,NULL),(20,5056349,'1991-04-06 00:00:00',4,1,12,2008,'M','N','BOA PARADA','S PEDRO ALCÂNTARA','SC','124244241216273431548839576114610167142',6812,'1050',62.70,1,3,NULL),(20,5056357,'1991-02-07 00:00:00',2,4,12,2008,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241236472431248812572122610167061',5564,'752',64.50,1,3,NULL),(20,5056373,'1990-02-01 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372731358812572124230564182',11290,'269',55.72,1,3,NULL),(20,5056390,'1988-12-27 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124253251115372421236829445124610138077',NULL,'9998',23.02,1,3,NULL),(20,5056403,'1992-07-15 00:00:00',4,1,12,2009,'F','N','BERGER','CAÇADOR','SC','124244241215111531429624312122610145072',2005,'120',76.16,1,3,NULL),(20,5056411,'1986-12-12 00:00:00',4,1,12,2004,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241117372431369813572122220636197',2135,'267',76.43,1,2,1),(20,5056420,'1993-03-05 00:00:00',4,2,12,2009,'F','N','VELHA','BLUMENAU','SC','124242241216113351358833575114610168197',NULL,'855',64.94,1,3,NULL),(20,5056438,'1991-10-05 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241212111731523634372112330128147',NULL,'1049',22.99,1,3,NULL),(20,5056446,'1989-03-20 00:00:00',4,8,12,2006,'M','N','FLORESTA','JOINVILLE','SC','124241241216474411244417345124231432111',NULL,'486',0.00,1,3,NULL),(20,5056454,'1992-09-01 00:00:00',2,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241126131432323319385124610124172',NULL,'274',30.11,1,2,1),(20,5056462,'1992-03-15 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112411459814571325610166182',1536,'270',78.74,1,3,NULL),(20,5056470,'1990-12-18 00:00:00',4,1,12,2009,'M','N','VILA SÃO FRANCISCO','S PAULO','SP','125252251216111431469814475122610147122',11659,'9998',52.01,1,3,NULL),(20,5056489,'1989-06-16 00:00:00',4,1,12,2006,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125252251217572431556811574322610126047',955,'9998',81.08,1,3,NULL),(20,5056500,'1990-04-07 00:00:00',4,1,12,2007,'M','N','PLANALTO PARAÍSO','S CARLOS','SP','125252251217371721579812492122142134022',NULL,'9998',0.00,1,3,NULL),(20,5056519,'1990-01-16 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211213411265511421122131067042',11518,'270',55.30,4,3,NULL),(20,5056527,'1992-05-26 00:00:00',4,1,12,2009,'M','N','SEMINARIO','CURITIBA','PR','116164161215471741548823475124610137043',7541,'9998',60.79,1,3,NULL),(20,5056551,'1992-06-12 00:00:00',4,4,11,2009,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241215112431549932572122610127042',8208,'185',61.45,1,3,NULL),(20,5056594,'1988-03-20 00:00:00',4,1,12,2006,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241136131431314111585124610121177',NULL,'733',27.96,1,2,1),(20,5056608,'1992-06-09 00:00:00',4,1,11,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431637612395124610127097',NULL,'272',24.15,1,3,NULL),(20,5056616,'1989-08-07 00:00:00',4,1,12,2006,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091214571431346821575122143267072',NULL,'9998',0.00,1,3,NULL),(20,5056632,'1991-02-05 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217113731469813474122610161192',59,'270',91.28,1,3,NULL),(20,5056640,'1992-08-03 00:00:00',2,1,11,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241216112431457813572114610163182',7330,'270',60.67,1,3,NULL),(20,5056659,'1991-10-01 00:00:00',4,1,11,2009,'M','N','REAL PARQUE','S PAULO','SP','125252251211271431489816571112610167102',2297,'9998',73.63,1,3,NULL),(20,5056667,'1988-06-16 00:00:00',2,1,12,2005,'M','N','CENTRO','PALHOÇA','SC','124244241211252431367879395124230247182',9612,'266',58.89,1,3,NULL),(20,5056675,'1992-05-28 00:00:00',4,1,10,2009,'M','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251216122431378931275122610127052',13567,'9998',48.32,1,3,NULL),(20,5056691,'1992-09-05 00:00:00',4,5,11,2009,'F','N','CENTRO','IÇARA','SC','124241241215111711544419575114610164142',6507,'210',61.74,1,3,NULL),(20,5056713,'1992-09-15 00:00:00',2,17,12,2009,'F','N','JD IPIRANGA','ADAMANTINA','SP','125252251336141231223644245332610147147',NULL,'9998',0.00,1,3,NULL),(20,5056721,'1990-11-01 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241115131431556611315124610166047',NULL,'873',0.00,1,2,1),(20,5056730,'1977-09-15 00:00:00',4,1,7,1999,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247427133431321648282324120521097',12370,'9999',53.62,4,3,NULL),(20,5056748,'1990-12-21 00:00:00',2,1,11,2007,'M','N','BARREIROS','S JOSÉ','SC','124242241212473431346621342132131827112',2639,'738',73.85,4,3,NULL),(20,5056756,'1992-05-29 00:00:00',4,1,12,2009,'F','N','ALTO BONITO','CAÇADOR','SC','124244241416121411448933575112610146092',6749,'120',62.25,1,3,NULL),(20,5056772,'1989-05-04 00:00:00',4,8,12,2006,'F','N','GLÓRIA','JOINVILLE','SC','124242241215373431469954384122233225142',NULL,'459',0.00,1,3,NULL),(20,5056780,'1993-02-28 00:00:00',2,9,12,2009,'F','N','POPULAR','LAGES','SC','124243241215311441447914571124610144141',15928,'1146',43.54,4,3,NULL),(20,5056802,'1993-01-15 00:00:00',2,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124244241215111711333611312115610164042',NULL,'1026',27.03,1,3,NULL),(20,5056810,'1993-03-02 00:00:00',4,4,12,2009,'F','N','ZONA RURAL','SANTIAGO SUL','SC','124241241117271431434923495222610131142',12964,'866',48.42,1,2,1),(20,5056829,'1987-12-02 00:00:00',2,1,12,2005,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124201201111472411533314241234140227042',13578,'9998',49.62,1,2,1),(20,5056837,'1978-08-23 00:00:00',4,1,11,1995,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124202201217144711258841415122420227112',6141,'9998',65.71,1,3,NULL),(20,5056861,'1992-06-29 00:00:00',4,1,11,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241216111421224421295124610127142',NULL,'944',15.39,1,3,NULL),(20,5056888,'1991-03-21 00:00:00',4,1,11,2008,'F','N','VILA COSTA E SILVA','CAMPINAS','SP','125253251217471751388934574124610166192',7689,'9998',62.46,1,3,NULL),(20,5056896,'1990-07-26 00:00:00',4,1,6,2008,'F','N','CENTRO','S JOAQUIM','SC','124242281415572431576936575124610164011',12475,'9998',53.40,3,3,NULL),(20,5056900,'1992-04-12 00:00:00',4,1,11,2009,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241417111431268833572124610134042',9263,'270',57.18,1,3,NULL),(20,5056918,'1992-06-10 00:00:00',4,8,12,2009,'M','N','CENTRO','BARRA VELHA','SC','124241248215111431535923275122610127047',6690,'459',64.51,1,3,NULL),(20,5056926,'1992-05-14 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215371431426613575124610164052',NULL,'1134',53.00,1,3,NULL),(20,5056934,'1992-08-08 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242244215111432588813575112610167142',NULL,'724',25.44,1,3,NULL),(20,5056942,'1989-09-04 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124202241336575411569933595124610164147',1219,'307',80.13,1,3,NULL),(20,5056969,'1992-03-24 00:00:00',2,7,12,2008,'M','N','CENTRO','PTO ALEGRE','RS','120241241415472711438813372131610117127',5062,'190',65.83,1,3,NULL),(20,5056977,'1990-07-10 00:00:00',4,1,12,2007,'M','N','JARDIM CASTRO ALVES','S PAULO','SP','125252251216371431533314572124610167042',NULL,'9998',0.00,1,3,NULL),(20,5056985,'1992-03-02 00:00:00',4,10,11,2009,'M','N','MAGALHÃES','LAGUNA','SC','124246241435121431536823575114610162182',260,'807',86.64,1,3,NULL),(20,5057000,'1992-06-18 00:00:00',2,1,12,2009,'F','N','CENTRO','ARMAZÉM','SC','124241241127141731426831315131610118072',NULL,'34',0.00,1,2,1),(20,5057019,'1991-06-13 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216272431589812575125233238122',6716,'1022',64.46,1,3,NULL),(20,5057035,'1991-05-08 00:00:00',4,1,12,2008,'F','N','KORASOL','S JOSÉ','SC','124201201111473721356313445124610164197',NULL,'9998',25.29,1,3,NULL),(20,5057043,'1992-02-19 00:00:00',4,8,11,2009,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242241217471231689931574122610164056',6819,'1063',64.22,1,3,NULL),(20,5057051,'1990-12-06 00:00:00',4,1,12,2008,'F','N','IDEAL','NOVO HAMBURGO','RS','120202201216472431458732575112610166142',1166,'9998',80.27,1,3,NULL),(20,5057060,'1989-12-09 00:00:00',2,1,12,2008,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124012241217372431469933575114610137142',11813,'1022',52.06,4,3,NULL),(20,5057078,'1991-07-31 00:00:00',4,8,12,2008,'M','N','CENTRO','CONCHAS','SP','125254251216471431358819572124610144052',NULL,'9998',0.00,1,3,NULL),(20,5057086,'1989-07-07 00:00:00',2,1,12,2006,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241146373221466624345123221127042',NULL,'281',47.46,1,2,1),(20,5057094,'1992-07-02 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241215111431328729474122610153187',5556,'1038',66.05,1,3,NULL),(20,5057108,'1990-07-17 00:00:00',4,1,12,2007,'F','N','LA SALLE','XANXERÊ','SC','124244241216472711458632295124610162185',1721,'836',77.17,1,3,NULL),(20,5057116,'1994-04-09 00:00:00',4,1,12,2011,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216111531479912572122610155172',NULL,'262',51.49,1,3,NULL),(20,5057124,'1990-04-09 00:00:00',2,1,12,2007,'F','N','CENTRO','MARINGÁ','PR','116162161216571431368612575122610162147',9885,'9998',58.40,1,3,NULL),(20,5057132,'1991-12-17 00:00:00',2,4,12,2008,'M','N','BELA VISTA','CHAPECÓ','SC','124241241315372421558613475124610127177',NULL,'185',25.21,1,3,NULL),(20,5057140,'1991-01-12 00:00:00',2,2,12,2008,'F','N','ARAPONGUINHAS','TIMBÓ','SC','124241241136131731333314395125610138187',NULL,'787',0.00,4,2,1),(20,5057159,'1989-10-14 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241316573431236321295334610121197',8657,'298',60.63,1,3,NULL),(20,5057167,'1992-04-13 00:00:00',4,1,12,2009,'M','N','PARAISO','STO ANDRÉ','SP','125254251217111411668812575124610127182',NULL,'9998',52.81,4,3,NULL),(20,5057175,'1992-11-21 00:00:00',2,1,11,2009,'F','N','BNH III PLANO','DOURADOS','MS','112122121217111431356923475122610128187',NULL,'9998',41.99,1,3,NULL),(20,5057183,'1991-10-05 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241212111731535739375122610128142',NULL,'1049',0.00,1,3,NULL),(20,5057191,'1989-01-30 00:00:00',4,1,7,2007,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124244247421271431638661241134132846112',NULL,'9999',27.46,1,3,NULL),(20,5057213,'1985-06-20 00:00:00',2,1,12,2002,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241116275431447823285113131046187',10992,'49',56.31,1,3,NULL),(20,5057230,'1992-03-27 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241215121431348533572122610127142',12387,'723',52.23,4,3,NULL),(20,5057248,'1990-05-20 00:00:00',4,1,6,2008,'M','N','CAMPOS ELÍSEOS','S PAULO','SP','125282281217471431378714575114610162122',398,'9998',85.40,1,3,NULL),(20,5057256,'1991-04-22 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215472431256621575124230242121',4906,'1022',68.11,1,3,NULL),(20,5057264,'1988-06-28 00:00:00',4,5,12,2005,'M','N','CENTRO','NOVO HAMBURGO','RS','120201201216472431463639472112140862147',4335,'9998',69.39,1,3,NULL),(20,5057272,'1992-07-13 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124222248215111731268811595115610168142',NULL,'1022',24.33,1,3,NULL),(20,5057280,'1991-09-04 00:00:00',2,8,12,2008,'F','N','SÃO GERALDO','PTO ALEGRE','RS','120202201215571431468923574114610144017',1588,'9998',78.51,1,3,NULL),(20,5057302,'1992-05-28 00:00:00',4,9,11,2009,'F','N','SÃO CRISTOVAO','LAGES','SC','124242241215131431438813275122610131142',13694,'497',47.90,1,3,NULL),(20,5057310,'1993-07-12 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215271711479911475122610164096',NULL,'270',68.01,1,3,NULL),(20,5057329,'1991-09-25 00:00:00',2,1,12,2008,'F','N','JD UNIVERSITÁRIO','MARINGÁ','PR','116253161217471411447711575112610167187',NULL,'9998',0.00,1,3,NULL),(20,5057337,'1988-03-24 00:00:00',2,8,12,2005,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161216151731669713495124243261092',5761,'9998',62.86,3,3,NULL),(20,5057345,'1992-02-10 00:00:00',1,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241112271411339813275124610147057',11259,'267',53.82,1,2,1),(20,5057353,'1990-08-17 00:00:00',4,1,12,2007,'M','N','JARDIM PAULISTA','S JOSÉ CAMPOS','SP','125252251217471431533331345134610137057',NULL,'9998',25.44,4,3,NULL),(20,5057370,'1992-04-14 00:00:00',4,8,12,2009,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124242241215371431437931375112610123077',NULL,'441',20.91,1,3,NULL),(20,5057388,'1992-06-07 00:00:00',2,8,11,2009,'F','N','FLORESTA','JOINVILLE','SC','124244241416131411536619575122610126187',4253,'461',69.23,1,3,NULL),(20,5057396,'1988-09-01 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241111371431367619485114610132015',15355,'307',43.15,4,2,1),(20,5057400,'1992-03-26 00:00:00',4,1,12,2009,'M','N','VILA REAL','DOURADOS','MS','112122121216111711663932272122610138127',2306,'9998',74.91,1,3,NULL),(20,5057418,'1992-04-14 00:00:00',4,1,12,2009,'F','N','PARQUE ALTO TAQUARAL','CAMPINAS','SP','125254251236111431579931371121610123142',1380,'9998',78.57,1,3,NULL),(20,5057426,'1993-01-25 00:00:00',4,5,11,2009,'F','N','SÃO LUIZ','CRICIÚMA','SC','124242241212111431424624575122610168197',NULL,'210',24.95,1,3,NULL),(20,5057434,'1988-11-22 00:00:00',4,3,12,2006,'M','N','CASA BRANCA','ITAPEMA','SC','124241241145371441434611475121610166112',NULL,'406',47.65,2,1,1),(20,5057442,'1989-09-18 00:00:00',2,3,12,2006,'M','N','CENTRO','ITUPORANGA','SC','124241241116573411443411472124610147091',4141,'416',70.27,1,2,1),(20,5057450,'1992-07-10 00:00:00',4,2,12,2009,'F','N','CENTRO','CORNÉLIO PROCÓPIO','PR','512164085344545351276324255343231636155',NULL,'9998',44.38,1,3,NULL),(20,5057477,'1990-07-22 00:00:00',4,3,12,2007,'M','N','LAGOA NOVA','NATAL','RN','119112191217272431456973575122241727182',NULL,'9998',0.00,1,3,NULL),(20,5057485,'1989-03-20 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216574431578817575122232427142',4997,'270',67.18,1,3,NULL),(20,5057507,'1991-10-31 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241415122431269713475124610144072',6725,'270',63.21,1,3,NULL),(20,5057515,'1991-05-20 00:00:00',4,1,12,2008,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116162161216471431448812244124610126172',629,'9998',83.71,1,3,NULL),(20,5057523,'1992-10-14 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243241215112431489614375122610123147',3126,'1134',73.14,1,3,NULL),(20,5057531,'1992-03-30 00:00:00',4,8,12,2009,'M','N','PILARZINHO','CURITIBA','PR','116162161217471431468833575122610164171',11897,'9998',50.47,1,3,NULL),(20,5057540,'1976-02-04 00:00:00',2,1,12,1992,'M','N','REAL PARQUE','S JOSÉ','SC','624241241126145411443343232134120827097',15998,'284',44.09,1,2,1),(20,5057558,'1987-04-10 00:00:00',2,1,12,2004,'F','N','SERRARIA','S JOSÉ','SC','124241241116371431446611445122610162192',NULL,'257',26.94,1,2,1),(20,5057566,'1991-12-03 00:00:00',2,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241217151431438814572112610124012',NULL,'213',33.03,1,3,NULL),(20,5057574,'1991-07-24 00:00:00',4,8,12,2008,'F','N','CENTRO','ITAJAÍ','SC','124202201216571431459914575122610163142',5227,'9998',67.72,1,3,NULL),(20,5057582,'1992-10-12 00:00:00',4,1,11,2009,'F','N','CENTRO','ERECHIM','RS','120202201215121731458834572122610131077',NULL,'9998',0.00,1,3,NULL),(20,5057590,'1992-01-06 00:00:00',2,5,11,2009,'F','N','BARRO VERMELHO','ORLEANS','SC','124242241215171431466612372122610431147',NULL,'581',0.00,1,3,NULL),(20,5057604,'1993-05-26 00:00:00',2,1,11,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215222431448713475122610166192',11431,'723',51.82,1,3,NULL),(20,5057620,'1992-10-29 00:00:00',4,1,11,2010,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124242241215471751469932375124610167062',NULL,'270',56.14,1,3,NULL),(20,5057639,'1986-09-29 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247316133431326423482124222338082',NULL,'9999',30.87,1,3,NULL),(20,5057655,'1991-03-18 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161216471441449922572224610167016',5377,'9998',64.44,1,3,NULL),(20,5057671,'1991-11-02 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241117372431446611572122610167042',14792,'257',48.49,1,2,1),(20,5057680,'1987-04-19 00:00:00',4,16,12,2004,'M','N','INTERIOR','FR ROGÉRIO','SC','124241241117372131322216572214610127047',12482,'320',51.09,3,2,1),(20,5057701,'1991-01-06 00:00:00',4,1,12,2008,'M','N','ARMAÇÃOD PÂNTANODOSU','FLORIANÓPOLIS','SC','124242241216472431467833592114610147067',NULL,'262',23.62,1,3,NULL),(20,5057710,'1991-09-14 00:00:00',5,1,11,2008,'F','N','MAGALHAES','LAGUNA','SC','124242241215473752458912575124610124182',1579,'807',78.53,1,3,NULL),(20,5057728,'1991-06-19 00:00:00',4,8,12,2008,'M','N','NOVO HORIZONTE','MARINGÁ','PR','116162161215371411358619575122610167047',9374,'9998',56.38,1,3,NULL),(20,5057736,'1992-05-21 00:00:00',2,1,12,2009,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241115271131334624375124610124057',8121,'288',61.61,1,2,1),(20,5057752,'1992-05-18 00:00:00',4,1,12,2009,'F','N','BELA VISTA','PTO ALEGRE','RS','120242201216472731489919575122610164192',2430,'9998',74.56,1,3,NULL),(20,5057779,'1992-06-10 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115471431336311472124610142072',10696,'278',55.73,1,2,1),(20,5057795,'1990-05-11 00:00:00',4,1,12,2007,'M','N','CENTRO','S JOSÉ R PARDO','SP','125252251216571411456813575114240464094',NULL,'9998',0.00,1,3,NULL),(20,5057809,'1992-06-22 00:00:00',2,3,12,2009,'F','N','CENTRO','BRUSQUE','SC','124244241215271431449834592125610144052',NULL,'107',0.00,1,3,NULL),(20,5057817,'1991-07-16 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116131431436633575124610118012',NULL,'307',0.00,1,3,NULL),(20,5057833,'1992-03-16 00:00:00',4,1,12,2009,'M','N','SAO FRANCISCO','CPO GRANDE','MS','112122126216311621438836575122610167051',NULL,'9998',0.00,1,3,NULL),(20,5057841,'1989-06-24 00:00:00',2,1,12,2007,'M','N','JARDIM UNVERSITARO','MARINGÁ','PR','116161161112571412434863281125610166017',10585,'9998',55.10,1,2,1),(20,5057850,'1992-09-20 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124072241217421441568813575112610122185',1409,'9997',78.62,1,3,NULL),(20,5057876,'1990-05-18 00:00:00',4,10,12,2007,'M','N','VILA ALVORADA','IMBITUBA','SC','124241241116111431556319295124610137047',NULL,'359',24.92,4,3,NULL),(20,5057884,'1993-01-22 00:00:00',4,1,12,2010,'F','S','MATO QUEIMADO','NOVA TRENTO','SC','124242248215151411548812375122610166192',NULL,'948',51.75,4,3,NULL),(20,5057892,'1993-02-20 00:00:00',2,1,11,2009,'F','N','GRAVATÁ','NAVEGANTES','SC','124162241317112731458923571112610153142',8630,'1026',58.03,1,3,NULL),(20,5057906,'1993-02-16 00:00:00',4,1,11,2009,'M','N','CENTRO','CPO GRANDE','MS','112122121216371431479913475112610137042',2927,'9998',71.99,1,3,NULL),(20,5057914,'1993-01-25 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431369933275122610165195',3848,'262',69.64,1,3,NULL),(20,5057922,'1992-08-25 00:00:00',2,10,10,2009,'M','N','CENTRO','JAGUARUNA','SC','124241241215121431326623575122610162092',14819,'807',48.41,1,3,NULL),(20,5057930,'1991-02-25 00:00:00',2,1,12,2008,'M','N','CENTRO','SALTO GRANDE','SP','125251251215472431458613575112610167047',NULL,'9998',0.00,1,3,NULL),(20,5057949,'1992-03-18 00:00:00',4,1,11,2009,'M','N','AMERICA','JOINVILLE','SC','124242241215112431559614574122610137062',6558,'457',62.85,1,3,NULL),(20,5057957,'1991-10-08 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271531488829571122610157072',2750,'270',73.89,4,3,NULL),(20,5057973,'1974-09-29 00:00:00',2,9,12,2003,'F','N','CENTRO','S MARCOS','RS','220203201337131431434319191122610161097',NULL,'9998',0.00,1,3,NULL),(20,5057981,'1992-05-07 00:00:00',4,1,12,2009,'F','N','NOVA DESCOBERTA','TIJUCAS','SC','124241241147161431213329235121610137042',NULL,'783',21.00,1,2,1),(20,5057990,'1984-07-05 00:00:00',2,1,12,2003,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241111155731226371385124223267185',14667,'257',48.83,1,2,1),(20,5058007,'1990-12-30 00:00:00',2,1,12,2007,'M','N','JARDIM AMÉRICA','GOIÂNIA','GO','109241246146571431533334142121610127047',NULL,'757',28.86,1,2,1),(20,5058015,'1991-01-12 00:00:00',4,4,12,2009,'F','N','CENTRO','ENTRE R SUL','RS','120201201117131431333315172122610136187',NULL,'9998',40.56,1,3,NULL),(20,5058023,'1991-09-15 00:00:00',2,1,12,2008,'F','N','BOA PARADA','S PEDRO ALCÂNTARA','SC','124241241215372751444911342124610165012',9560,'1074',56.31,1,3,NULL),(20,5058031,'1990-09-25 00:00:00',4,1,12,2009,'F','N','ALTO DO PARQUE','LAJEADO','RS','120202201211471431469832575122610144127',8617,'9998',60.71,1,3,NULL),(20,5058040,'1992-08-30 00:00:00',2,1,12,2009,'M','N','PORTO FLUVIAL','ITAPUÍ','SP','125252253116111431448831572122610126142',NULL,'9998',0.00,1,3,NULL),(20,5058058,'1992-10-18 00:00:00',4,1,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121431269923572112610143192',4714,'269',66.95,1,3,NULL),(20,5058066,'1989-11-06 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124052051217371731368834592112610167117',11943,'9998',51.48,1,3,NULL),(20,5058074,'1992-05-07 00:00:00',4,1,11,2009,'F','N','HIGIENÓPOLIS','S PAULO','SP','125252251217471431488931576122610147072',3475,'9998',70.67,1,3,NULL),(20,5058090,'1992-12-11 00:00:00',4,16,12,2009,'F','N','CENTRO','AGROLÂNDIA','SC','124241248135111431423619342221610156197',NULL,'6',21.99,4,2,1),(20,5058104,'1992-02-17 00:00:00',4,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161217111451468619575124610145047',6736,'9998',61.75,1,3,NULL),(20,5058112,'1992-02-03 00:00:00',4,8,12,2009,'F','N','JARDIM AMÉRICA','ITUPORANGA','SC','124241241225131431337613292122610127147',NULL,'1173',31.29,1,3,NULL),(20,5058120,'1992-01-21 00:00:00',4,8,12,2009,'F','N','CENTRO','CPO MOURÃO','PR','116162161217111731668831414112610123122',NULL,'9998',0.00,1,3,NULL),(20,5058139,'1992-10-18 00:00:00',4,10,12,2009,'F','N','CAMPO DUNA','GAROPABA','SC','124241241115131511446619295122610112042',NULL,'1136',31.59,1,2,1),(20,5058171,'1992-02-28 00:00:00',4,4,12,2009,'F','N','ALVORADA','XAXIM','SC','124241241216111431368813575112610127012',NULL,'836',0.00,1,3,NULL),(20,5058180,'1992-02-10 00:00:00',4,16,12,2009,'F','N','CENTRO','AGROLÂNDIA','SC','124241248135111431323324342321610157047',NULL,'6',19.92,1,2,1),(20,5058198,'1991-06-25 00:00:00',2,1,12,2008,'M','N','CENTRO','DIAMANTE NORTE','PR','116161162117311731438634572115610117177',NULL,'9998',0.00,1,2,1),(20,5058210,'1991-12-09 00:00:00',2,1,12,2008,'F','N','PLANALTO','GRAMADO','RS','120203201216471431236721572124610123142',NULL,'9998',17.75,1,3,NULL),(20,5058228,'1992-02-27 00:00:00',4,1,12,2009,'F','N','JARDIM SINUELO','ASTORGA','PR','116164161216111431338813571122610124147',7740,'9998',59.23,1,3,NULL),(20,5058236,'1986-04-29 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215372731389614592122233228052',8698,'262',60.54,1,3,NULL),(20,5058244,'1989-02-01 00:00:00',2,3,12,2006,'F','N','ALTO DA XV','CURITIBA','PR','116162151216571431458713575124610121097',10027,'9998',54.71,1,3,NULL),(20,5058252,'1992-09-22 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124241241131131431423319292325613264147',NULL,'734',23.95,1,2,1),(20,5058260,'1992-08-25 00:00:00',2,1,12,2009,'F','N','FUNDOS','BIGUAÇU','SC','124241241115271431323321575124610134147',NULL,'295',23.30,1,2,1),(20,5058279,'1989-11-15 00:00:00',4,1,11,2007,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241216373431336651345124610142097',13224,'1023',51.92,1,3,NULL),(20,5058287,'1992-01-21 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241215111431346823371122610164042',4287,'1038',69.07,1,3,NULL),(20,5058309,'1989-09-22 00:00:00',4,8,12,2006,'M','N','JARDIM TAROBÁ','FOZ IGUAÇU','PR','116162161215471431336834575112142662192',NULL,'9998',70.43,1,3,NULL),(20,5058317,'1992-12-21 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243241215131411445663575124610143072',NULL,'300',19.92,1,3,NULL),(20,5058325,'1991-09-30 00:00:00',4,1,12,2008,'M','N','SERRARIA','S JOSÉ','SC','124274241215131431528613595124610168187',3889,'976',70.26,4,3,NULL),(20,5058333,'1983-05-18 00:00:00',2,1,12,2000,'F','N','INGLESES','FLORIANÓPOLIS','SC','624243241116273421443333345124322721187',NULL,'307',48.54,1,3,NULL),(20,5058341,'1991-07-12 00:00:00',4,1,12,2008,'M','N','ZONA','MARINGÁ','PR','116162161215471441148831575124610165182',3069,'9998',71.82,1,3,NULL),(20,5058350,'1993-01-18 00:00:00',5,9,11,2009,'F','N','JARDIM CAIÇARA','S JOAQUIM','SC','124242241216111431557614575122610121142',8476,'1035',59.78,1,3,NULL),(20,5058368,'1992-07-22 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215151431447821572122610125087',NULL,'272',NULL,1,3,NULL),(20,5058376,'1992-05-23 00:00:00',4,1,12,2009,'F','N','CENTRO HISTÓRICO','S JOSÉ','SC','124242241215111431456611112124610128092',9478,'723',59.13,1,3,NULL),(20,5058384,'1991-02-12 00:00:00',4,1,12,2007,'M','N','JD ATLANTICO','GOIÂNIA','GO','109093091217571411449831591114610162037',NULL,'9998',0.00,3,3,NULL),(20,5058406,'1991-02-14 00:00:00',2,1,12,2009,'M','N','SANTANA','STO AMARO IMPERATRIZ','SC','124243241335161731446614571124610124057',NULL,'772',28.64,1,3,NULL),(20,5058414,'1991-06-05 00:00:00',4,1,12,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241116131431435619575124610132047',NULL,'772',20.63,1,3,NULL),(20,5058422,'1991-10-31 00:00:00',4,7,11,2008,'F','N','CENTRO','PASSO FUNDO','RS','124242241216472231478831384124610163142',5693,'1000',65.10,1,3,NULL),(20,5058430,'1991-10-16 00:00:00',2,1,12,2008,'M','N','ARDENGHI','PALMEIRA MISSÕES','RS','112201201214221411447832181114610114172',4624,'9998',68.18,1,3,NULL),(20,5058457,'1991-05-04 00:00:00',4,8,11,2008,'M','N','CENTRO','JOINVILLE','SC','124242241217271431389931575111610167032',NULL,'457',0.00,1,3,NULL),(20,5058473,'1984-02-14 00:00:00',2,15,12,2000,'M','N','HARMONIA','CANOAS','RS','120201201211571421236823271124341567042',271,'9998',86.97,1,3,NULL),(20,5058490,'1992-10-02 00:00:00',2,1,12,2009,'F','N','ARMAÇAO DO P DO SUL','FLORIANÓPOLIS','SC','124241241215111431433314281224610128057',NULL,'1023',28.78,1,3,NULL),(20,5058503,'1990-12-29 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272431538833572122610127142',8394,'262',60.19,1,3,NULL),(20,5058511,'1992-05-24 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215113211569932372124610123187',10190,'272',54.91,1,3,NULL),(20,5058520,'1993-03-14 00:00:00',4,1,12,2009,'F','N','BARRA DO RIO MOLHA','JARAGUÁ SUL','SC','124242241217111431556632571122610128052',11511,'424',55.32,1,3,NULL),(20,5058538,'1992-01-17 00:00:00',4,8,12,2008,'F','N','SANTANA','GUARAPUAVA','PR','116162161217472431458722571122610123057',6890,'9998',61.11,1,3,NULL),(20,5058546,'1989-07-27 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116162251215571441338879571215610162062',1028,'9998',81.17,3,3,NULL),(20,5058554,'1992-01-26 00:00:00',4,3,12,2009,'F','N','JARDIM NOVO HORIZONT','MARINGÁ','PR','116162161216271411469931575122610164172',653,'9998',83.52,1,3,NULL),(20,5058562,'1991-08-20 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241135372431426824372224610132042',12917,'295',50.75,1,3,NULL),(20,5058589,'1992-08-02 00:00:00',2,17,12,2009,'M','N','CENTRO','MAJ VIEIRA','SC','124241241147131431434623291222610127047',NULL,'548',0.00,1,2,1),(20,5058597,'1991-09-01 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217373441479912472122231031115',NULL,'262',28.84,1,3,NULL),(20,5058600,'1992-02-11 00:00:00',4,1,11,2009,'F','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112122121215571311389911574122610167146',NULL,'9998',0.00,1,3,NULL),(20,5058619,'1992-06-25 00:00:00',4,1,12,2009,'M','N','CENTRO','PIRAPOZINHO','SP','125251251211111231458833571125610167013',2086,'9998',76.58,1,3,NULL),(20,5058635,'1986-12-21 00:00:00',4,1,12,2004,'M','N','CENTRO','ERECHIM','RS','120201201116371431535521342114610168197',NULL,'9998',27.97,4,2,1),(20,5058651,'1991-07-25 00:00:00',2,4,12,2008,'M','N','POMPÉIA','TAPERA','RS','120201201116471431446614345122610127047',6339,'9998',62.07,1,2,1),(20,5058686,'1992-08-11 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241115371431436613575124610123012',11641,'271',52.48,4,2,1),(20,5058694,'1992-03-19 00:00:00',4,4,12,2009,'F','N','BOQUEIRÃO','PASSO FUNDO','RS','120202201215221431367823595124610128092',NULL,'9998',21.94,1,3,NULL),(20,5058708,'1992-03-19 00:00:00',2,1,11,2009,'F','N','COSTA DO MACACU','GAROPABA','SC','124241241147161431523519172224610164072',14429,'322',45.55,1,2,1),(20,5058716,'1992-04-08 00:00:00',4,1,12,2009,'F','N','BARRA DO RIO MOLHA','JARAGUÁ SUL','SC','124242241217111731556632595122610148092',NULL,'424',22.08,4,3,NULL),(20,5058724,'1988-11-06 00:00:00',4,8,12,2006,'F','N','AGUA BRANCA','S FRANCISCO SUL','SC','124242241215473431536319571124231526197',8927,'494',60.10,1,3,NULL),(20,5058732,'1992-04-01 00:00:00',2,15,11,2009,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241235321231443412222322610141057',10911,'970',54.67,1,3,NULL),(20,5058740,'1985-04-30 00:00:00',2,1,12,2004,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241117271431233344242333610117147',NULL,'357',19.04,1,2,1),(20,5058759,'1992-06-05 00:00:00',2,1,12,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241112471411225624242124610128142',11907,'733',52.22,1,3,NULL),(20,5058767,'1992-02-17 00:00:00',4,1,10,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272431369913575112610168187',15593,'262',45.92,1,3,NULL),(20,5058775,'1992-05-08 00:00:00',4,8,12,2009,'M','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241215371431356422575112610122012',NULL,'1174',0.00,1,3,NULL),(20,5058783,'1992-10-03 00:00:00',2,1,12,2009,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124243241115271431226624572124610133197',8341,'271',59.70,1,3,NULL),(20,5058805,'1991-03-21 00:00:00',2,1,12,2009,'F','N','JARDIM CARVALHO','PNT GROSSA','PR','116163167237371411539913441142610155152',NULL,'9998',29.78,1,3,NULL),(20,5058813,'1992-04-14 00:00:00',4,3,12,2009,'M','N','PEREQUE','PTO BELO','SC','124241241135371511528651572322610114142',NULL,'405',28.26,1,2,1),(20,5058821,'1991-06-04 00:00:00',4,8,12,2009,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116162168116271431438914375124610132096',5039,'9998',66.40,1,3,NULL),(20,5058830,'1985-04-25 00:00:00',2,17,4,2008,'M','N','BOA VISTA','CANOINHAS','SC','124241247145272431324748184323610138097',8962,'9999',60.04,1,2,1),(20,5058848,'1992-10-10 00:00:00',4,8,10,2010,'M','S','ANITA GARIBALDI','JOINVILLE','SC','124242241215151431579932474121610144172',NULL,'457',22.28,1,3,NULL),(20,5058856,'1992-10-19 00:00:00',3,4,11,2009,'F','N','CENTRO','CURITIBA','PR','116242161214271311368731575125610146196',747,'9998',82.37,1,3,NULL),(20,5058872,'1988-03-29 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241141134411224644242124132036167',11111,'307',52.36,1,3,NULL),(20,5058880,'1990-07-29 00:00:00',2,1,12,2007,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124242241216573431246823572124610161097',9398,'1050',58.07,1,3,NULL),(20,5058899,'1991-06-25 00:00:00',2,1,11,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241217121431466813575114610157077',NULL,'1022',17.77,1,3,NULL),(20,5058902,'1992-05-01 00:00:00',2,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116242161215471731459933572125610122097',10599,'9998',55.23,1,3,NULL),(20,5058910,'1992-01-31 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241416121731626614572224610137182',13274,'269',51.81,1,3,NULL),(20,5058929,'1958-10-07 00:00:00',2,1,12,1976,'F','N','ROÇADO','S JOSÉ','SC','524241243121134431123343232124322236187',NULL,'722',42.56,1,3,NULL),(20,5058945,'1992-04-04 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','120202201216151431438619492125610124052',8386,'9998',59.55,1,3,NULL),(20,5058953,'1992-04-04 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','120202201216151431438619492125610128057',NULL,'9998',25.68,1,3,NULL),(20,5058961,'1992-06-20 00:00:00',4,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124244241215111431223823571124610166112',14697,'9997',44.99,1,3,NULL),(20,5058970,'1990-10-20 00:00:00',2,1,11,2008,'M','N','GAMBOA','PAULO LOPES','SC','124241241146132411434413235124610166112',16156,'607',43.01,1,2,1),(20,5058988,'1992-09-17 00:00:00',4,1,11,2009,'M','N','GRAVATÁ','NAVEGANTES','SC','124242241215111431248611275112610132072',NULL,'1026',0.00,1,3,NULL),(20,5058996,'1987-05-30 00:00:00',4,16,11,2006,'M','N','SAO JOSÉ','CURITIBANOS','SC','124241248111141431632316181112610168052',NULL,'239',17.70,4,3,NULL),(20,5059011,'1991-03-11 00:00:00',4,9,12,2008,'M','N','IPIRANGA','LAGES','SC','124242241216373431558832595122231467043',8986,'499',59.99,1,3,NULL),(20,5059038,'1984-01-29 00:00:00',2,1,6,2002,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124246247646132431633219245113610117047',16049,'9999',43.79,4,3,NULL),(20,5059046,'1991-07-30 00:00:00',4,7,12,2008,'F','N','CENTRO','CELSO RAMOS','SC','124241241116372431436912571124610124142',14809,'163',45.21,1,2,1),(20,5059054,'1993-01-16 00:00:00',4,3,12,2009,'F','N','REBOUCAS','CURITIBA','PR','116162161216111411345631575124610118092',NULL,'9998',0.00,1,3,NULL),(20,5059062,'1991-04-05 00:00:00',4,1,12,2008,'M','N','MOOCA','S PAULO','SP','125254251115471431467732575124610122142',2063,'9998',75.30,1,3,NULL),(20,5059070,'1991-01-13 00:00:00',4,1,12,2009,'F','N','CAMPEHE','FLORIANÓPOLIS','SC','124241241126131751416624472344610117182',NULL,'307',22.80,1,3,NULL),(20,5059089,'1992-08-14 00:00:00',4,4,12,2009,'M','N','CENTRO','PALMAS','PR','116164161216111531469934575122610114192',1500,'9998',78.38,1,3,NULL),(20,5059097,'1992-06-13 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115371411437939345124610126191',NULL,'288',22.51,1,2,1),(20,5059100,'1992-07-24 00:00:00',2,15,11,2009,'F','N','CENTRO','ERMO','SC','124244241215371421436624575122610161077',10155,'813',55.13,1,3,NULL),(20,5059119,'1991-08-06 00:00:00',2,1,12,2008,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241126373431458933575124133233192',1267,'12',79.91,1,2,1),(20,5059127,'1991-07-03 00:00:00',4,1,12,2009,'F','N','JARDIM GUAPORÉ','MARINGÁ','PR','116162161217471411669911474112610163092',5278,'9998',66.37,1,3,NULL),(20,5059143,'1992-11-03 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241225473431433324575114610147091',3602,'262',71.11,1,3,NULL),(20,5059151,'1991-07-22 00:00:00',4,3,12,2008,'M','N','CENTRO CIVICO','CURITIBA','PR','116162164215472431568714171112610167052',NULL,'9998',0.00,1,3,NULL),(20,5059160,'1990-11-10 00:00:00',4,1,12,2007,'M','N','PARQUE SÃO VICENTE','S VICENTE','SP','125252251217471431436614275124610167095',12148,'9998',50.62,1,3,NULL),(20,5059186,'1990-12-11 00:00:00',4,1,12,2007,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251217571441469814581124610164052',NULL,'9998',0.00,1,3,NULL),(20,5059208,'1992-08-20 00:00:00',4,1,12,2009,'F','N','ROYAL PARK','CPO GRANDE','MS','112122121215111431568831574122610165182',1866,'9998',76.17,3,3,NULL),(20,5059216,'1990-09-14 00:00:00',4,1,11,2007,'F','N','FLAMBOYANT','CPO GRANDE','MS','112122121217571431668813574122610143187',NULL,'9998',0.00,1,3,NULL),(20,5059224,'1989-09-15 00:00:00',2,15,12,2006,'M','N','LINHA CONTESSI','TURVO','SC','124241241116141521434614445123610117043',NULL,'814',19.73,1,3,NULL),(20,5059240,'1992-10-22 00:00:00',2,1,11,2009,'M','N','REBOUÇAS','CURITIBA','PR','116162161116411431379911575122610162182',5131,'9998',65.97,4,3,NULL),(20,5059259,'1993-09-01 00:00:00',4,1,12,2010,'F','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111532389832575112610165042',NULL,'262',48.68,1,3,NULL),(20,5059267,'1991-05-16 00:00:00',4,1,12,2009,'F','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241116371431433611472124610121147',NULL,'772',29.14,1,2,1),(20,5059275,'1992-04-10 00:00:00',2,5,11,2009,'F','N','NASPOLINI','CRICIÚMA','SC','124242241215121431466312272114610168142',12558,'213',53.22,1,3,NULL),(20,5059283,'1985-07-29 00:00:00',4,1,12,2002,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215274431129843331123131034092',8982,'723',60.01,1,3,NULL),(20,5059305,'1990-04-01 00:00:00',4,1,12,2007,'M','N','JARDIM MARABÁ','ITAPETININGA','SP','125254251215572431466815175115610144052',NULL,'9998',0.00,3,3,NULL),(20,5059313,'1992-10-23 00:00:00',4,4,12,2009,'M','N','CENTRO','PATO BRANCO','PR','116162161215371331468611475122610144142',NULL,'9998',0.00,1,3,NULL),(20,5059321,'1992-06-25 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215111411444931312125613226147',6883,'270',62.92,1,3,NULL),(20,5059356,'1992-03-26 00:00:00',2,1,11,2009,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241135141431426664232124610126147',NULL,'307',26.89,1,2,1),(20,5059364,'1992-02-21 00:00:00',2,1,12,2009,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241248215111431333623275124610127067',15428,'300',44.11,1,3,NULL),(20,5059372,'1990-08-17 00:00:00',2,4,12,2007,'M','N','CENTRO','XANXERÊ','SC','124241201137131431333929285125230764067',NULL,'9998',23.91,1,2,1),(20,5059380,'1991-10-20 01:00:00',2,1,12,2008,'F','N','BOM JESUS','RIO NEGRO','PR','116241161117271431539611375124610114147',NULL,'9998',22.82,1,2,1),(20,5059399,'1990-10-12 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216272411167923575124133237162',NULL,'269',33.16,1,3,NULL),(20,5059410,'1992-07-03 00:00:00',2,1,12,2009,'F','N','GLORIA','CATANDUVA','SP','125252251216271331436633574122610168072',NULL,'9998',0.00,1,3,NULL),(20,5059429,'1980-06-05 00:00:00',4,3,12,1999,'M','N','PERDIZES','S PAULO','SP','125252251216572731226611311121343267047',187,'9998',88.13,1,3,NULL),(20,5059437,'1992-08-01 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111731336314575114610164097',NULL,'1118',21.88,1,3,NULL),(20,5059453,'1992-06-15 00:00:00',4,1,11,2009,'F','N','JURERE','FLORIANÓPOLIS','SC','124242241215112431269612371122610144053',13537,'270',47.77,1,3,NULL),(20,5059461,'1992-06-19 00:00:00',4,8,11,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215112441469934571122610127012',151,'457',89.02,1,3,NULL),(20,5059470,'1991-05-05 00:00:00',2,4,12,2008,'F','N','SANTA MARIA','CHAPECÓ','SC','124241241114472431423311282125610127052',5282,'176',66.43,1,2,1),(20,5059488,'1991-08-28 00:00:00',2,1,12,2008,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241216273251358821315114233264141',2471,'270',75.21,1,3,NULL),(20,5059496,'1992-01-03 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241145272731345833595114610134047',9341,'278',56.52,1,3,NULL),(20,5059500,'1991-07-22 00:00:00',4,4,12,2008,'M','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241215273431358611475112610134082',698,'983',83.19,1,3,NULL),(20,5059518,'1961-07-22 00:00:00',2,1,12,1981,'F','N','COLONINHA','FLORIANÓPOLIS','SC','224212215227371421446651485124610166192',NULL,'9998',42.02,1,3,NULL),(20,5059526,'1992-09-07 00:00:00',2,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124241241115472431347613572124610122053',NULL,'733',45.92,4,2,1),(20,5059534,'1991-07-05 00:00:00',4,4,10,2008,'M','N','CENTRO','ERECHIM','RS','120204201216371431337912575124141436012',NULL,'9998',0.00,1,3,NULL),(20,5059550,'1990-11-20 00:00:00',4,1,12,2008,'M','N','JARDIM CASQUEIRO','CUBATÃO','SP','125254251216471431335812575124610134192',NULL,'9998',0.00,1,3,NULL),(20,5059569,'1989-12-19 00:00:00',4,1,12,2007,'F','N','ITAGUACU','FLORIANÓPOLIS','SC','124242241216574441457814575124610122091',12305,'1134',52.10,1,3,NULL),(20,5059577,'1990-09-30 00:00:00',2,1,12,2008,'M','N','UNIÃO','ETN VELHA','RS','120201201137472431226324585114610162142',NULL,'9998',22.33,1,2,1),(20,5059585,'1991-02-22 00:00:00',2,1,12,2008,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241112271431335529245124610122067',NULL,'288',26.84,1,2,1),(20,5059593,'1992-01-01 00:00:00',2,3,12,2009,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124241242115132431426315595324610167052',14627,'129',45.08,1,2,1),(20,5059607,'1991-07-18 00:00:00',4,4,12,2008,'F','N','CENTRO','FAXINALZINHO','RS','120201201125471711223923492124610132052',NULL,'9998',27.38,1,3,NULL),(20,5059623,'1989-11-23 00:00:00',4,15,12,2007,'F','N','JARDIM CIBELE','ARARANGUÁ','SC','124241241127132431326614385123610122067',NULL,'30',11.74,4,2,1),(20,5059631,'1988-01-01 00:00:00',4,1,12,2005,'M','N','JARDIM BRASIL','BOTUCATU','SP','125251251417571431548613272114610124097',553,'9998',84.15,1,3,NULL),(20,5059640,'1992-01-16 00:00:00',4,1,11,2009,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124242241215121431468833575122610164072',9029,'270',59.91,1,3,NULL),(20,5059658,'1991-09-09 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215373431479813575122610134143',13676,'262',47.17,1,3,NULL),(20,5059666,'1992-01-10 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216111411468813575114610168197',7908,'270',59.89,1,3,NULL),(20,5059674,'1992-03-21 00:00:00',2,5,12,2008,'M','N','SÃO PEDRO','URUSSANGA','SC','124241246415151731343632345121610167047',NULL,'995',0.00,1,3,NULL),(20,5059682,'1992-07-20 00:00:00',4,2,12,2009,'M','N','CENTRO','MARUMBI','PR','116164161215111431538631574122610134047',2572,'9998',74.07,1,3,NULL),(20,5059690,'1992-08-20 00:00:00',4,8,11,2009,'F','N','SAGUCU','JOINVILLE','SC','124244161214111431141923381125610166122',7470,'457',61.88,1,3,NULL),(20,5059712,'1990-12-18 00:00:00',4,1,12,2008,'F','N','JARDIM ANA EMÍLIA','TAUBATÉ','SP','125252251216472441446532345222610134142',NULL,'9998',0.00,4,3,NULL),(20,5059720,'1991-08-07 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431438811215122610167045',6804,'262',63.03,4,3,NULL),(20,5059739,'1990-06-08 00:00:00',4,1,12,2007,'F','N','JARDIM','STO ANDRÉ','SP','125252251217571431488814575122610137042',NULL,'9998',0.00,1,3,NULL),(20,5059747,'1982-12-06 00:00:00',4,1,12,1999,'F','N','FORQUILHAS','S JOSÉ','SC','124241241137133431547939482114610163197',NULL,'153',25.28,1,2,1),(20,5059755,'1992-10-07 00:00:00',2,1,11,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241135271431436713562124610134147',NULL,'288',29.20,1,2,1),(20,5059763,'1990-08-03 00:00:00',4,1,12,2007,'F','N','JARDIM ELITE','PIRASSUNUNGA','SP','125254251215571431568813294125610136072',NULL,'9998',0.00,1,3,NULL),(20,5059771,'1989-02-11 00:00:00',2,4,12,2006,'F','N','CENTRO','SARANDI','RS','120202201216571431436923572325610122097',5858,'9998',66.33,1,3,NULL),(20,5059780,'1992-01-20 00:00:00',4,8,11,2009,'F','N','CENTRO','CPO ALEGRE','SC','124242241216111431448933575112610124142',NULL,'1073',25.28,1,3,NULL),(20,5059798,'1990-10-23 00:00:00',2,4,12,2009,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241125311431535312575124610114197',NULL,'169',0.00,4,3,NULL),(20,5059801,'1990-02-08 00:00:00',4,15,12,2007,'F','N','JARDIM CIBELE','ARARANGUÁ','SC','124241241111232431623314315123610123147',NULL,'30',16.92,4,3,NULL),(20,5059810,'1990-11-05 00:00:00',2,1,12,2008,'F','N','VILA RICA','CPO GRANDE','MS','112124121216471431478811475122610124182',9649,'9998',56.11,1,3,NULL),(20,5059836,'1990-12-30 00:00:00',2,1,12,2007,'F','N','IPIRANGA','S JOSÉ','SC','124244241315573431367713171124610134091',2405,'307',74.13,1,3,NULL),(20,5059852,'1992-09-17 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471431369613575122610163052',7652,'270',62.48,1,3,NULL),(20,5059860,'1992-02-14 00:00:00',4,1,11,2009,'F','N','AGRNÔMICA','FLORIANÓPOLIS','SC','124242241217122431459313575122610162045',6488,'270',61.99,1,3,NULL),(20,5059879,'1991-06-25 00:00:00',2,4,12,2009,'F','N','PRESIDENTE MEDICI','CHAPECÓ','SC','124241241125311431433725575124610127047',NULL,'169',16.36,1,3,NULL),(20,5059887,'1991-12-26 00:00:00',4,1,12,2008,'M','N','ITARARÉ','S VICENTE','SP','125252251215571431468911572111610167186',514,'9998',83.31,1,3,NULL),(20,5059895,'1992-08-11 00:00:00',4,1,11,2009,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241415473431358924471122610166121',3731,'262',71.44,1,3,NULL),(20,5059909,'1989-10-29 00:00:00',4,1,12,2006,'F','N','BOQUEIRAO','SANTOS','SP','125252251216572431327821571114610165112',15170,'9998',43.18,1,3,NULL),(20,5059917,'1989-05-30 00:00:00',2,8,11,2006,'F','N','JARDIM ARACILIA','GUARULHOS','SP','125251251411111111638611292344610135144',NULL,'9998',0.00,1,3,NULL),(20,5059976,'1989-05-06 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216373431349814574244610135012',14652,'497',43.65,1,3,NULL),(20,5059984,'1991-10-01 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111531468934575122610134195',10208,'262',56.87,1,3,NULL),(20,5059992,'1987-07-17 00:00:00',2,4,12,2004,'F','N','SAIC','CHAPECÓ','SC','124241241416573431454939471125610162187',3245,'185',71.22,1,3,NULL),(20,5060001,'1991-10-19 00:00:00',4,1,12,2008,'F','N','VILA CLEMENTINO','S PAULO','SP','125252251217471431568811475125610114147',NULL,'9998',0.00,1,3,NULL),(20,5060010,'1990-10-22 00:00:00',4,9,12,2008,'F','N','SANTANA','PTO ALEGRE','RS','120242241217474751468639574144610168191',136,'270',89.33,1,3,NULL),(20,5060028,'1992-05-17 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431569511572122610156082',NULL,'270',26.63,1,3,NULL),(20,5060036,'1990-09-05 00:00:00',4,8,12,2007,'M','N','GUABIROTUBA','CURITIBA','PR','116162161215571431358839375124610134097',817,'9998',81.74,1,3,NULL),(20,5060044,'1990-08-14 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215573431358614572122610124172',10273,'270',56.11,1,3,NULL),(20,5060052,'1992-11-03 00:00:00',2,4,12,2009,'F','N','MORADA DO SOL','ERECHIM','RS','120204201216121431563611575122513266187',5220,'9998',67.79,1,3,NULL),(20,5060060,'1991-08-22 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431336613395134610121057',NULL,'273',27.74,1,3,NULL),(20,5060079,'1992-07-17 00:00:00',4,8,11,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241217111431369813575121610167142',1453,'457',79.07,1,3,NULL),(20,5060087,'1987-10-22 00:00:00',2,1,12,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124233241416275431447719492124610168191',6652,'307',63.91,1,3,NULL),(20,5060095,'1992-07-02 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212121531466813572122610114047',NULL,'300',0.00,1,3,NULL),(20,5060117,'1987-07-08 00:00:00',4,1,12,2004,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241216155732578833375124610161097',7866,'272',62.08,1,3,NULL),(20,5060125,'1988-01-19 00:00:00',4,1,12,2005,'F','N','CABRAL','CURITIBA','PR','116163161314573441469613271224143223092',3045,'9998',73.38,4,3,NULL),(20,5060141,'1991-11-04 00:00:00',4,1,12,2008,'F','N','JARDIM CARANDAI','BIGUAÇU','SC','124242241211472431456833345134610142181',13010,'63',50.02,1,3,NULL),(20,5060150,'1992-09-03 00:00:00',4,8,11,2009,'F','N','CENTRO','CURITIBA','PR','116162161215471431469931472112610132052',3957,'9998',69.60,1,3,NULL),(20,5060176,'1993-03-11 00:00:00',4,1,11,2009,'M','N','ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC','124242241215111431369614575124610134012',3130,'270',72.10,2,1,2),(20,5060184,'1992-05-05 00:00:00',4,8,11,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241215371431448612575122610167147',4238,'486',68.68,1,3,NULL),(20,5060192,'1993-07-04 00:00:00',4,1,11,2010,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241215151731368811592122610124012',NULL,'262',59.52,1,3,NULL),(20,5060206,'1992-06-06 00:00:00',4,8,12,2009,'F','N','ATUBA','PINHAIS','PR','116162161111371431468822171122610167042',5314,'9998',64.93,1,3,NULL),(20,5060214,'1992-06-15 00:00:00',4,1,12,2009,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124242241217114731669813275124610164031',10981,'1022',56.32,1,3,NULL),(20,5060222,'1992-09-07 00:00:00',4,8,11,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111431469931575122610167015',6447,'1063',62.39,1,3,NULL),(20,5060230,'1992-06-23 00:00:00',4,8,12,2008,'M','N','SCHROEDE I','SCHROEDER','SC','124241246216152751548831515132610164017',NULL,'1061',0.00,1,3,NULL),(20,5060257,'1993-02-13 00:00:00',4,1,12,2009,'M','N','CAMPO DA AVIAÇÃO','IMBITUBA','SC','124241241116141431333319245122610127072',NULL,'359',22.80,1,2,1),(20,5060273,'1984-12-15 00:00:00',4,1,12,2002,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241215373451546612415122133264127',NULL,'806',40.91,1,3,NULL),(20,5060281,'1992-11-12 00:00:00',4,8,12,2009,'M','N','JARDIM SANTO ANTONIO','CASCAVEL','PR','116161161116471431436412495122610162142',NULL,'9998',0.00,1,2,1),(20,5060320,'1992-08-19 00:00:00',2,1,12,2009,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241117131411433311272121610141147',NULL,'65',30.47,1,2,1),(20,5060346,'1993-02-09 00:00:00',4,1,12,2009,'F','N','GRUTA','ITUPORANGA','SC','124241241113151731448513574122610134194',NULL,'416',0.00,1,3,NULL),(20,5060354,'1991-05-16 00:00:00',4,4,11,2007,'F','N','BOM FIM','PTO ALEGRE','RS','120241241317571431454839592124610163092',7801,'190',61.12,1,3,NULL),(20,5060362,'1991-06-11 00:00:00',2,15,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372431547832571114233264111',3865,'770',71.18,1,3,NULL),(20,5060370,'1991-04-09 00:00:00',2,1,12,2008,'F','N','REAL PARQUE','S JOSÉ','SC','124241241115472731336424444114610127063',NULL,'734',28.71,1,3,NULL),(20,5060389,'1991-10-05 00:00:00',4,1,12,2008,'F','N','CENTRO','GUARUJÁ','SP','125252251216471431379914575122610161092',15003,'9998',44.04,1,3,NULL),(20,5060400,'1991-05-09 00:00:00',4,10,12,2008,'F','N','CENTRO','BRAÇO NORTE','SC','124242241216141431546911245122230833097',15365,'102',46.73,1,3,NULL),(20,5060419,'1991-10-28 00:00:00',4,2,11,2009,'M','N','SÃO LUIZ','BRUSQUE','SC','124242241215371411327724575115610124055',3139,'107',71.87,1,3,NULL),(20,5060435,'1990-06-13 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215573431469933575112610123092',3172,'883',73.00,1,3,NULL),(20,5060443,'1992-05-12 00:00:00',2,4,11,2009,'M','N','CENTRO','DIONÍSIO CERQUEIRA','SC','116162161217211731546612595122610167042',15634,'9997',41.37,1,3,NULL),(20,5060451,'1984-10-20 00:00:00',2,1,12,2008,'F','N','PALHOCINHA','GAROPABA','SC','124201201126131111114744441221610116173',NULL,'9998',39.29,4,2,1),(20,5060478,'1992-03-20 00:00:00',4,1,12,2009,'F','N','JARDIM MATILDE','OURINHOS','SP','125252251215111431356611575122610143092',2212,'9998',75.28,1,3,NULL),(20,5060486,'1992-04-26 00:00:00',4,1,12,2009,'M','N','SANTA ROSA','PTO UNIÃO','SC','124242241317161731236623375121610138042',NULL,'635',26.99,1,3,NULL),(20,5060494,'1991-11-01 00:00:00',4,17,12,2009,'M','N','JARDIM ESPERANÇA','CANOINHAS','SC','124242241215112421489832372112610127012',5188,'154',64.84,1,3,NULL),(20,5060508,'1991-05-21 00:00:00',2,1,12,2008,'M','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124241241117131431638567242311610137037',NULL,'726',25.50,2,1,1),(20,5060516,'1991-07-06 00:00:00',2,1,11,2009,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241215411431456313575124610117112',11636,'270',52.80,1,3,NULL),(20,5060524,'1992-07-27 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431458834585114610128192',7598,'270',61.49,1,3,NULL),(20,5060532,'1951-07-04 00:00:00',4,1,12,1974,'F','N','CAMPINAS','S JOSÉ','SC','124241241131133751134443231124321661187',NULL,'69',13.07,1,3,NULL),(20,5060540,'1991-05-13 00:00:00',4,8,11,2008,'M','N','CENTRO','CURITIBA','PR','116112111216471411456632572124610167062',11547,'9998',52.78,1,3,NULL),(20,5060567,'1992-07-19 00:00:00',4,8,12,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124242241217111711368924575122610124097',10766,'1016',54.46,1,3,NULL),(20,5060575,'1992-07-15 00:00:00',4,1,12,2009,'F','N','SERRADINHO','CPO GRANDE','MS','112123121215111431258823574122610165147',903,'9998',81.54,4,3,NULL),(20,5060583,'1990-01-24 00:00:00',2,1,12,2007,'F','N','COPACABANA','LAGES','SC','124242241212575431448933592124610138182',2036,'499',76.75,1,3,NULL),(20,5060605,'1992-03-14 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124241241117141551666633245124610128147',NULL,'257',28.34,1,2,1),(20,5060613,'1992-03-27 00:00:00',4,1,11,2009,'F','N','JARDIM PARAISO','LUÍS E MAGALHÃES','BA','105052051217151731267822572122613264032',NULL,'9998',0.00,1,3,NULL),(20,5060621,'1992-03-10 00:00:00',4,4,12,2009,'M','N','EFAPI','CHAPECÓ','SC','124241241112271431426614372124610122157',15446,'169',43.75,1,2,1),(20,5060630,'1991-12-17 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241112473431526331372344610164142',12020,'288',54.34,1,2,1),(20,5060648,'1992-06-07 00:00:00',2,1,12,2009,'M','N','PAPAGAIOS','CANELINHA','SC','124241241145162731425711242122610112097',NULL,'142',28.06,1,3,NULL),(20,5060664,'1992-03-02 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115472431558933595121610166042',929,'295',81.71,1,2,1),(20,5060672,'1990-01-23 00:00:00',4,1,12,2007,'F','N','DAS NAÇÕES','FRAIBURGO','SC','124243241415574431436714275124610134143',1528,'885',78.73,1,3,NULL),(20,5060699,'1991-07-24 00:00:00',4,1,11,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215473431349931572124610155057',2998,'1169',72.86,1,3,NULL),(20,5060702,'1992-09-27 00:00:00',4,1,11,2009,'M','N','JDM PAULO AFONSO','PETROLINA','PE','125172251215111431478813585324610162082',3859,'9998',69.87,1,3,NULL),(20,5060710,'1981-09-19 00:00:00',2,5,11,2001,'M','N','CENTRO','AMPÉRE','PR','116161161137471751624311476324610164017',NULL,'9998',29.06,1,2,1),(20,5060729,'1990-11-04 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241212372411468911592124133261175',3612,'1022',71.33,1,3,NULL),(20,5060737,'1978-07-02 00:00:00',4,1,12,1995,'F','N','SÃO JOSÉ','S JOSÉ','SC','116162161217471431348912474124343262027',625,'9998',83.73,1,3,NULL),(20,5060745,'1988-08-17 00:00:00',4,1,12,2006,'M','N','SAMAMBAIA NORTE','SAMAMBAIA','DF','107072071215471741367823575122610167147',9109,'9998',59.75,5,3,NULL),(20,5060753,'1990-12-21 00:00:00',2,3,12,2009,'M','N','CENTRO','CAMBORIÚ','SC','124241242115371431525355275324610127052',14997,'129',44.09,3,2,1),(20,5060761,'1991-03-03 00:00:00',4,1,11,2008,'M','N','CONSOLAÇÃO','S PAULO','SP','125112111235352431569932275124610122012',79,'9998',90.72,1,3,NULL),(20,5060770,'1993-08-29 00:00:00',4,1,12,2009,'F','N','CENTRO','GAROPABA','SC','124243241147271431348921575114610136172',11256,'322',51.79,1,3,NULL),(20,5060788,'1991-07-20 00:00:00',4,6,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216473431457634575122610164097',7958,'1038',60.03,1,3,NULL),(20,5060796,'1992-03-09 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241217151731558413595113610127052',11115,'738',52.77,1,3,NULL),(20,5060800,'1990-05-07 00:00:00',2,1,12,2007,'F','N','PORTAL DOS PILARES','CERQUILHO','SP','125253251215471431379614575112610164057',3759,'9998',69.39,1,3,NULL),(20,5060826,'1990-02-17 00:00:00',4,1,12,2007,'F','N','TATUAPÉ','S PAULO','SP','125252251217471431466823571125610138047',NULL,'9998',0.00,1,3,NULL),(20,5060842,'1993-03-27 00:00:00',2,9,12,2009,'F','N','KENNEDY','VACARIA','RS','120202201215111731466631591122610131142',NULL,'9998',23.57,1,3,NULL),(20,5060850,'1988-08-19 00:00:00',4,1,12,2006,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241247127574751653319242224610128015',NULL,'9999',47.80,1,2,1),(20,5060869,'1985-05-29 00:00:00',4,1,12,2003,'F','N','CENTRO','JOAÇABA','SC','124242247411372431668823571224133127092',8367,'9999',59.78,1,3,NULL),(20,5060877,'1992-06-22 00:00:00',2,1,11,2009,'F','N','CENTRO','BIGUAÇU','SC','124241241215471431557833372124610125142',NULL,'63',0.00,1,3,NULL),(20,5060893,'1993-12-31 00:00:00',4,2,12,2010,'F','S','FORTALEZA','BLUMENAU','SC','124241241117131731435634573124610122142',NULL,'83',45.02,1,3,NULL),(20,5060907,'1992-05-12 00:00:00',4,4,11,2009,'M','N','CENTRO','CHAPECÓ','SC','124242246115111431464411212112610162192',NULL,'983',30.98,4,3,NULL),(20,5060915,'1992-08-23 00:00:00',4,4,12,2009,'F','N','ESPLANADA','CHAPECÓ','SC','124241241115471411423521174124610124147',3972,'174',69.80,1,2,1),(20,5060923,'1991-11-13 00:00:00',4,5,12,2009,'M','N','CENTRO','JOINVILLE','SC','124242241215121431237729572124610124147',4888,'461',66.70,1,3,NULL),(20,5060931,'1993-02-19 00:00:00',2,3,12,2009,'F','N','MERCES','CURITIBA','PR','116162161215121431636724575122610167072',11797,'9998',50.12,1,3,NULL),(20,5060940,'1988-06-27 00:00:00',2,9,12,2005,'F','N','UNIVERSITARIO','BENTO GONÇALVES','RS','120201201116571111423339575124610163182',NULL,'9998',36.05,1,2,1),(20,5060958,'1992-05-16 00:00:00',4,8,12,2009,'F','N','VILA GUAÍRA','CURITIBA','PR','116162161235111731648811591124610124142',3217,'9998',72.84,3,3,NULL),(20,5060966,'1987-06-11 00:00:00',4,8,12,2004,'F','N','VILA GUMERCINDO','S PAULO','SP','125252251215572751357924571112610128147',NULL,'9998',NULL,1,3,NULL),(20,5060974,'1992-02-18 00:00:00',4,1,12,2008,'M','N','CENTRO','CORUMBÁ','MS','125122121216471431686632576125610167182',5177,'9998',65.63,1,3,NULL),(20,5060982,'1992-07-15 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124244248135141721422114242121610167041',NULL,'592',21.67,1,3,NULL),(20,5060990,'1991-02-13 00:00:00',5,5,12,2009,'M','N','RIO FIORITA','SIDERÓPOLIS','SC','124243248115131432326679192121610126052',NULL,'768',0.00,1,3,NULL),(20,5061008,'1992-02-15 00:00:00',4,1,11,2009,'M','N','CAMBUI','CAMPINAS','SP','125252251217371431488911571122610167184',NULL,'9998',0.00,1,3,NULL),(20,5061016,'1991-11-30 00:00:00',4,5,12,2008,'F','N','RIO BELO','ORLEANS','SC','124242241215472431446614492122610121142',8987,'226',57.77,1,3,NULL),(20,5061032,'1955-03-22 00:00:00',2,1,12,1972,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','224243248227132441432244241114610166047',11562,'141',55.20,4,3,NULL),(20,5061040,'1989-08-11 00:00:00',4,4,12,2007,'M','N','VENEZA','XANXERÊ','SC','124242241215471431455651272225242654052',7723,'836',62.38,1,3,NULL),(20,5061067,'1991-07-13 00:00:00',4,4,12,2008,'F','N','CENTRO','S JOSÉ CEDRO','SC','124241248116471331454522472125610166072',NULL,'740',39.36,4,2,1),(20,5061075,'1989-10-31 00:00:00',4,1,11,2006,'M','N','PROGRESSO','S LOURENÇO OESTE','SC','116241161211572431453611571114610164142',2893,'9998',73.01,1,3,NULL),(20,5061083,'1990-11-06 00:00:00',3,1,12,2007,'F','N','MADUREIRA','CAXIAS SUL','RS','120202201216271431458819392122610163187',5600,'9998',66.08,1,3,NULL),(20,5061091,'1990-02-19 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116372431534434245114610127057',14035,'267',47.84,4,2,1),(20,5061105,'1992-05-07 00:00:00',4,4,12,2009,'F','N','VENEZA','XANXERÊ','SC','124242241236112431448619282112610137142',13268,'836',50.97,1,3,NULL),(20,5061113,'1992-10-20 00:00:00',4,8,11,2009,'M','N','BUCAREIN','JOINVILLE','SC','124244241215121421558834395125610167171',1777,'489',75.73,1,3,NULL),(20,5061121,'1993-02-19 00:00:00',2,3,12,2009,'F','N','MERCES','CURITIBA','PR','116162161215121731636724575122610167072',NULL,'9998',29.20,4,3,NULL),(20,5061130,'1992-04-28 00:00:00',4,8,12,2009,'F','N','AMERICA','JOINVILLE','SC','124242241215111431368861575122610114072',14090,'457',46.01,1,3,NULL),(20,5061148,'1991-01-31 00:00:00',2,1,12,2007,'F','N','COMERCIARIO','CRICIÚMA','SC','124244201215572431638814571122610167047',6205,'9998',64.05,1,3,NULL),(20,5061156,'1992-12-07 00:00:00',2,4,11,2009,'M','N','CENTRO','ABELARDO LUZ','SC','124164161416131431348854594122610167037',4136,'9998',70.24,1,3,NULL),(20,5061164,'1990-10-18 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161211412431558632575122610115041',345,'9998',86.04,1,3,NULL),(20,5061172,'1993-05-03 00:00:00',4,8,11,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241216122731469914575122610164062',8585,'457',60.78,1,3,NULL),(20,5061180,'1991-04-03 00:00:00',4,17,12,2008,'M','N','BIGORRILHO','CURITIBA','PR','116242161215371411468814575124141414082',3971,'9998',69.50,1,3,NULL),(20,5061199,'1992-10-21 00:00:00',4,1,12,2009,'M','N','SÃO CRISTÓVÃO','PASSO FUNDO','RS','120202201215151731447712575114610134052',3901,'9998',69.30,1,3,NULL),(20,5061202,'1990-05-05 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241217272751588911575124231464182',6695,'1133',64.50,1,3,NULL),(20,5061210,'1992-04-06 00:00:00',2,8,12,2009,'F','N','SANTOS DUMONT','PARANAGUÁ','PR','116162161215471751448839575124610166197',NULL,'9998',0.00,1,3,NULL),(20,5061229,'1989-06-02 00:00:00',4,1,12,2006,'F','N','LAGOA BONITA','ENG COELHO','SP','125252251212571431349911575122610144147',718,'9998',83.04,1,3,NULL),(20,5061237,'1992-06-14 00:00:00',4,4,11,2009,'M','N','COLATTO','XANXERÊ','SC','124244241211112421468814572124613267052',3537,'836',70.14,1,3,NULL),(20,5061245,'1991-08-26 00:00:00',2,8,12,2008,'F','N','JARDIM ANA MARIA','APUCARANA','PR','116162161216471431458934275112610134147',114,'9998',89.80,1,3,NULL),(20,5061253,'1985-11-24 00:00:00',4,1,12,2003,'M','N','VILA INDEPENDENCIA','PIRACICABA','SP','125252251215574431469713591121610167097',304,'9998',86.48,1,3,NULL),(20,5061261,'1993-02-03 00:00:00',4,8,12,2009,'F','N','CENTRO','PNT GROSSA','PR','116162161216311451649811575112610163137',NULL,'9998',0.00,1,3,NULL),(20,5061270,'1980-01-12 00:00:00',2,1,12,1998,'M','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','224241248125271411233341212222610134047',15780,'66',45.16,1,2,1),(20,5061288,'1990-04-06 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124162161216514411337934575114610167042',13579,'9998',49.58,1,3,NULL),(20,5061296,'1992-12-02 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124252241217211431679814575112610121092',7844,'1118',60.27,1,3,NULL),(20,5061300,'1990-07-12 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241215472431368611415122610167065',5645,'270',66.83,1,3,NULL),(20,5061318,'1981-01-27 00:00:00',4,6,12,1999,'M','N','CORDEIROS','ITAJAÍ','SC','224242241226131751436829185123331068047',NULL,'388',19.60,1,3,NULL),(20,5061326,'1965-03-22 00:00:00',4,1,12,1981,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','224244241216152741586543431132320566183',8602,'497',60.74,1,3,NULL),(20,5061334,'1992-06-27 00:00:00',4,17,10,2009,'F','N','VILLA IZABEL','CURITIBA','PR','116162161216271431239811575224610163122',3497,'9998',71.23,1,3,NULL),(20,5061342,'1987-05-07 00:00:00',2,1,11,2004,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124204201216573431573673495114140327042',4523,'9998',66.60,1,3,NULL),(20,5061350,'1991-10-25 00:00:00',4,8,12,2008,'F','N','PROGRESSO','S BENTO SUL','SC','124241241215372731559819574112610122177',7791,'974',61.13,1,3,NULL),(20,5061369,'1992-04-29 00:00:00',4,1,12,2008,'F','N','MARIA GORETE','CHAPECÓ','SC','124242241217473731335332375124121432172',517,'983',84.43,4,3,NULL),(20,5061377,'1991-06-20 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472431269923572112610144192',2881,'270',73.90,1,3,NULL),(20,5061385,'1992-06-15 00:00:00',4,1,12,2009,'M','N','CENTRO','PATO BRANCO','PR','116162161215271431489831595112610167042',14492,'9998',49.27,1,3,NULL),(20,5061393,'1990-09-08 00:00:00',4,3,12,2008,'M','N','ASA SUL','BRASÍLIA','DF','107072071217471431589923472122610141182',NULL,'9998',0.00,1,3,NULL),(20,5061407,'1989-09-28 00:00:00',4,8,12,2007,'F','N','CENTRO','RIO NEGRINHO','SC','124245241516572531459933575122610164147',14000,'666',46.73,1,3,NULL),(20,5061415,'1991-07-17 00:00:00',4,1,12,2008,'M','N','BRÍGIDA','VENÂNCIO AIRES','RS','120202201216472431436833171124610141112',2298,'9998',75.81,1,3,NULL),(20,5061423,'1987-05-30 00:00:00',4,8,12,2004,'F','N','GLÓRIA','JOINVILLE','SC','124242241216573431246821575124142525127',3254,'457',72.52,1,3,NULL),(20,5061431,'1993-11-04 00:00:00',4,1,12,2010,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217111431469931576122610167125',NULL,'270',68.02,1,3,NULL),(20,5061440,'1992-03-17 00:00:00',4,2,12,2009,'M','N','JARDIM','STO ANDRÉ','SP','125252251215471731479831572112610166142',NULL,'9998',0.00,1,3,NULL),(20,5061458,'1990-11-11 00:00:00',4,8,12,2007,'M','N','RESIDENCIA AEROPORTO','MARINGÁ','PR','116161161215471411537632215122610145097',3315,'9998',72.57,1,3,NULL),(20,5061466,'1992-07-27 00:00:00',2,4,12,2009,'F','N','EFAPI ALTA FLORESTA','CHAPECÓ','SC','124241241116271731337414275124610127057',NULL,'169',18.49,4,2,1),(20,5061474,'1989-07-06 00:00:00',4,1,12,2006,'F','N','VILA SAO JOAO','PASSO FUNDO','RS','120202201416372431359767471122140231192',10567,'9998',54.61,1,3,NULL),(20,5061482,'1983-12-12 00:00:00',4,1,12,2003,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241127372421123344242324610167042',13620,'744',47.43,1,2,1),(20,5061490,'1990-12-24 00:00:00',4,17,10,2009,'M','N','VILA ISABEL','CURITIBA','PR','116162161217111551438833592121610147017',NULL,'9998',37.92,1,3,NULL),(20,5061504,'1990-02-20 00:00:00',4,1,12,2007,'F','N','VILA DO PRINCIPE','LAPA','PR','116161161116571431448313375124610127142',10661,'9998',53.81,1,2,1),(20,5061520,'1992-05-28 00:00:00',4,8,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','116161161116131431426833575124610166142',8541,'9998',58.36,1,2,1),(20,5061539,'1990-06-21 00:00:00',4,8,12,2007,'M','N','AHÚ','CURITIBA','PR','116162161211572431489933571112610132047',3568,'9998',69.93,1,3,NULL),(20,5061547,'1991-03-06 00:00:00',5,1,12,2009,'F','N','VILA MORUMBI','CPO GRANDE','MS','112281121316131431116419395114610166187',NULL,'9998',44.35,1,3,NULL),(20,5061563,'1990-09-10 00:00:00',4,4,12,2007,'F','N','SENAI','STA CRUZ SUL','RS','120201201117131731457813572122610167187',NULL,'9998',0.00,1,2,1),(20,5061571,'1992-04-04 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124244241115131431333623572124610137042',NULL,'257',29.61,1,3,NULL),(20,5061580,'1990-12-30 00:00:00',2,8,4,2009,'M','N','CENTRO','PNT GROSSA','PR','116201161116471731646519575125610167147',NULL,'9998',0.00,1,3,NULL),(20,5061598,'1992-07-16 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215423431467832574122610161092',127,'270',89.50,1,3,NULL),(20,5061601,'1989-08-18 00:00:00',4,1,12,2007,'F','N','LIBERDADE','S PAULO','SP','125092091215571231458812581125610164147',NULL,'9998',0.00,1,3,NULL),(20,5061610,'1986-09-16 00:00:00',4,1,9,2007,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242257236233421119641415134143267067',NULL,'9998',0.00,1,3,NULL),(20,5061628,'1992-09-17 00:00:00',4,1,12,2009,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201216371411458832475121610147042',NULL,'9998',31.03,1,3,NULL),(20,5061652,'1991-03-20 00:00:00',4,8,12,2008,'M','N','VILA IZABEL','CURITIBA','PR','116161161116131411227829572114610146147',NULL,'9998',0.00,1,2,1),(20,5061679,'1988-11-10 00:00:00',2,4,12,2005,'F','N','AUXILIADORA','PTO ALEGRE','RS','120241241112573731449833392124610143191',3038,'169',72.25,1,2,1),(20,5061687,'1991-10-08 00:00:00',4,8,12,2008,'F','N','CENTRO','ITAPOÁ','SC','124241241142141431438813392124610165047',NULL,'425',25.14,2,1,1),(20,5061695,'1974-09-10 00:00:00',2,5,12,1996,'M','N','SANTO ANTÔNIO','CRICIÚMA','SC','124243243113131721643839482112331237077',NULL,'228',43.10,1,3,NULL),(20,5061709,'1989-11-03 00:00:00',2,2,12,2007,'M','N','CENTRO','NOVA TRENTO','SC','124241241216573351556617195124131024182',4030,'109',70.08,1,3,NULL),(20,5061717,'1987-09-17 00:00:00',2,1,12,2004,'F','N','MENINO DEUS','PTO ALEGRE','RS','120202201216271431558933572124141332182',NULL,'9998',33.54,1,3,NULL),(20,5061733,'1990-07-03 00:00:00',4,1,12,2007,'M','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124242241215373411666614445114133234191',4873,'1118',66.18,1,3,NULL),(20,5061741,'1987-07-15 00:00:00',2,9,6,2005,'M','N','PROGRESSO','POUSO REDONDO','SC','124241242116163421436611445124130265052',NULL,'741',22.37,1,3,NULL),(20,5061750,'1990-06-22 00:00:00',2,8,12,2007,'F','N','ALTO DA RUA XV','CURITIBA','PR','116163161215571431527737575124143163117',4674,'9998',66.71,1,3,NULL),(20,5061768,'1990-10-07 00:00:00',4,1,11,2008,'F','N','SETOR BELA VISTA','GOIÂNIA','GO','109092091212471431448821592122610142147',NULL,'9998',0.00,4,3,NULL),(20,5061776,'1990-04-07 00:00:00',4,10,8,2008,'F','N','MONTE CASTELO','TUBARÃO','SC','124242281415472431239924175122610122097',4696,'9998',67.90,1,3,NULL),(20,5061784,'1991-10-07 00:00:00',4,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215473431369914575112610164142',2289,'270',75.87,1,3,NULL),(20,5061792,'1989-10-27 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124201241147142431313344345124610136147',NULL,'298',17.64,1,2,1),(20,5061806,'1988-09-15 00:00:00',2,1,12,2005,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241116133411355313393123231012092',15106,'271',47.56,1,2,1),(20,5061814,'1992-05-12 00:00:00',4,1,11,2009,'M','N','BIGORRILHO','CURITIBA','PR','116164161415111431688711575124610127042',193,'9998',87.71,1,3,NULL),(20,5061822,'1991-05-09 00:00:00',4,10,12,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124241241217272731436624572121610118042',5442,'1120',66.15,1,3,NULL),(20,5061830,'1990-07-27 00:00:00',4,3,12,2007,'M','N','TABULEIRO','CAMBORIÚ','SC','124251241116371431333511345123610121143',NULL,'49',28.62,1,2,1),(20,5061865,'1991-09-04 00:00:00',4,16,12,2009,'F','N','JD ITALIA','JUNDIAÍ','SP','125252251216111731268814345122610163142',NULL,'9998',NULL,1,3,NULL),(20,5061881,'1986-03-23 00:00:00',2,8,12,2003,'M','N','BOA VISTA','JOINVILLE','SC','124241241114274431226644441124610132097',8699,'359',60.54,1,2,1),(20,5061890,'1991-11-16 00:00:00',3,1,11,2009,'F','N','TRIDADE','FLORIANÓPOLIS','SC','124242241215572431369827312124610165185',12390,'270',53.58,1,3,NULL),(20,5061903,'1992-09-17 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241115471431458614572124610123077',13257,'732',49.60,1,2,1),(20,5061911,'1990-11-15 00:00:00',2,17,12,2007,'F','N','CENTRO','CANOINHAS','SC','124241241216472411538831571124610132142',8245,'88',61.39,1,3,NULL),(20,5061938,'1992-12-14 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111431446611575114610126072',5103,'1022',67.55,1,3,NULL),(20,5061962,'1992-04-30 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241216141431534811345122610127052',10937,'737',54.30,1,3,NULL),(20,5061970,'1992-07-14 00:00:00',4,1,11,2009,'F','N','ESTEITO','FLORIANÓPOLIS','SC','124242241215112431578813332112610121112',8268,'270',61.36,1,3,NULL),(20,5061989,'1992-12-02 00:00:00',2,1,11,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241415271531436933575124610144145',NULL,'1022',34.85,1,3,NULL),(20,5062012,'1992-11-11 00:00:00',2,2,11,2009,'F','N','GABIROBA','RIO OESTE','SC','124241241215371431438912225124610143142',7830,'653',60.87,1,3,NULL),(20,5062020,'1991-01-17 00:00:00',5,1,12,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241241215212411428919575124221466042',7104,'1022',63.61,1,3,NULL),(20,5062047,'1991-01-04 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241316272431458713381223610151142',12719,'110',49.97,1,3,NULL),(20,5062071,'1992-10-27 00:00:00',2,4,11,2009,'M','N','CENTRO','BARRACÃO','PR','116114161217271431234612225125610132192',NULL,'9998',0.00,1,3,NULL),(20,5062080,'1991-08-20 00:00:00',2,1,12,2008,'F','N','CANASVIERAS','FLORIANÓPOLIS','SC','124241241115371411546519575112610112142',NULL,'288',17.77,4,2,1),(20,5062098,'1992-07-15 00:00:00',4,8,12,2009,'M','N','BAIRRO ALTO','CURITIBA','PR','116242161217111731468814472114610167047',9841,'9998',58.46,1,3,NULL),(20,5062101,'1988-02-02 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241136272431331119385124610127047',NULL,'298',43.05,1,2,1),(20,5062110,'1987-01-03 00:00:00',4,8,12,2004,'M','N','IRIRIÚ','JOINVILLE','SC','124241241116371411456633345124610127047',NULL,'469',17.30,1,3,NULL),(20,5062128,'1993-11-13 00:00:00',4,5,11,2009,'M','N','MINA BRASIL','CRICIÚMA','SC','124242241215121431458823575122610127072',9204,'226',56.43,1,3,NULL),(20,5062136,'1992-07-08 00:00:00',4,1,11,2009,'F','N','ACLIMAÇÃO','S PAULO','SP','125252251217471731657812575125610162197',NULL,'9998',0.00,1,3,NULL),(20,5062152,'1988-03-24 00:00:00',2,1,12,2006,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124243241117373731646611382114610134082',14044,'306',45.83,1,3,NULL),(20,5062160,'1993-05-03 00:00:00',4,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124242241117111431558533435124610112172',13708,'739',50.92,1,3,NULL),(20,5062179,'1990-05-15 00:00:00',4,1,12,2007,'F','N','PARTENON','PTO ALEGRE','RS','120222161216471431369933475114142234182',7076,'9998',59.59,3,3,NULL),(20,5062187,'1982-03-15 00:00:00',2,1,12,2004,'F','N','BARREIROS','S JOSÉ','SC','124241241112331421423434442114610167181',NULL,'257',16.65,1,2,1),(20,5062195,'1976-10-29 00:00:00',4,1,12,1995,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241326153431233343232122221763187',NULL,'68',0.00,1,3,NULL),(20,5062209,'1992-07-14 00:00:00',4,17,12,2009,'M','N','ALTO DA TIJUCA','CANOINHAS','SC','124241248135271431328934595322610134012',NULL,'146',27.54,1,2,1),(20,5062217,'1987-04-29 00:00:00',4,4,9,2009,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241247426371431323514245124610127067',NULL,'9997',23.41,4,3,NULL),(20,5062225,'1992-11-07 00:00:00',2,5,11,2009,'F','N','ANA MARIA','CRICIÚMA','SC','124241241115271431213328186124610138077',NULL,'209',0.00,1,2,1),(20,5062233,'1986-02-23 00:00:00',2,1,12,2003,'F','N','BARREIROS','S JOSÉ','SC','624044041237151431552331395124142342047',NULL,'9998',48.83,4,3,NULL),(20,5062250,'1991-08-04 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217353311478613315124231032192',9168,'1022',59.66,4,1,2),(20,5062276,'1990-08-01 00:00:00',2,1,12,2008,'M','N','JD UNIVERSITARIO','MARINGÁ','PR','116161111417272431569814575124241464117',13401,'9998',49.24,1,3,NULL),(20,5062284,'1992-01-15 00:00:00',4,1,12,2009,'F','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125251251215111431346534572122610121112',3308,'9998',69.39,1,3,NULL),(20,5062292,'1989-07-21 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124202201437272431336814475114243223092',NULL,'9998',50.84,1,3,NULL),(20,5062306,'1992-11-04 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431568833585122610122141',7403,'270',61.38,1,3,NULL),(20,5062322,'1991-08-10 00:00:00',4,1,12,2008,'M','N','SETOR SUL','GOIÂNIA','GO','109243241115472231458818575121610124167',238,'1022',87.41,1,3,NULL),(20,5062330,'1992-04-06 00:00:00',4,1,11,2009,'F','N','SETOR MARISTA','GOIÂNIA','GO','109132091217111721448821575122610113147',NULL,'9998',0.00,1,3,NULL),(20,5062349,'1992-05-04 00:00:00',2,5,11,2009,'F','N','CENTRO','NOVA VENEZA','SC','124241241215111431546619495124610127147',5363,'226',65.67,1,3,NULL),(20,5062357,'1990-03-06 00:00:00',4,1,12,2007,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124162161216473411447313572124221527142',2991,'9998',73.24,1,3,NULL),(20,5062365,'1992-04-13 00:00:00',4,8,12,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242246217131431459923595122610162147',NULL,'1061',26.89,1,3,NULL),(20,5062373,'1991-10-16 00:00:00',2,1,11,2008,'F','N','BARRA DE LAGOA','FLORIANÓPOLIS','SC','124243241115572431627631272124610167112',3828,'271',70.64,1,3,NULL),(20,5062390,'1986-01-25 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','125162161316575431536619595124610142092',761,'9998',82.81,1,3,NULL),(20,5062403,'1992-01-20 00:00:00',2,4,12,2008,'M','N','CENTRO','QUILOMBO','SC','124245241545472431433621371124610136012',1284,'647',79.52,1,3,NULL),(20,5062411,'1991-01-29 00:00:00',4,1,11,2008,'M','N','VARGEM BOM JESUS','FLORIANÓPOLIS','SC','124101241322242411336664342214233261142',12368,'307',53.63,2,1,2),(20,5062420,'1992-10-14 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215123431469411572124610148072',10666,'1022',54.82,1,3,NULL),(20,5062438,'1991-07-01 00:00:00',4,8,12,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124244241215141431468733392122610135073',7978,'489',61.87,1,3,NULL),(20,5062446,'1992-01-18 00:00:00',4,6,12,2009,'M','N','CENTRO','CORUPÁ','SC','124241241415473441479713375114610162126',4773,'442',68.92,1,3,NULL),(20,5062454,'1991-04-05 00:00:00',4,1,7,2008,'F','N','ASA NORTE','BRASÍLIA','DF','107073071115571451549821175124610144137',NULL,'9998',0.00,1,3,NULL),(20,5062470,'1991-11-22 00:00:00',2,1,7,2009,'M','N','JARDIM CIDADE FLORIA','S JOSÉ','SC','124244241435271432455632192124231027042',14103,'9999',50.17,4,3,NULL),(20,5062489,'1990-01-05 00:00:00',2,1,12,2007,'F','N','PQ BUTURUSSU','S PAULO','SP','125253251116572431446622271124610163187',NULL,'9998',NULL,1,3,NULL),(20,5062497,'1992-08-30 00:00:00',4,1,12,2009,'F','N','VILA CLEMENTINO','S PAULO','SP','125252251217371431437731375124610167122',NULL,'9998',0.00,1,3,NULL),(20,5062500,'1992-03-11 00:00:00',4,2,12,2009,'F','N','VILA ARENS','JUNDIAÍ','SP','125252251217111431468814574122610166187',NULL,'9998',NULL,1,3,NULL),(20,5062519,'1991-10-28 00:00:00',4,1,12,2008,'M','N','SANTO AMARO','S PAULO','SP','125252251217271432586812572112141434041',5452,'9998',67.22,1,3,NULL),(20,5062527,'1990-12-07 00:00:00',2,1,12,2008,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241117471431423324385124610163197',NULL,'281',32.32,1,2,1),(20,5062535,'1991-11-05 00:00:00',4,1,11,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241216122431448832475124610128072',2102,'270',76.55,1,3,NULL),(20,5062543,'1992-07-07 00:00:00',4,1,12,2009,'F','N','PARAÍSO DO MORUMBI','S PAULO','SP','125252251216471751568814475122610167182',NULL,'9998',0.00,1,3,NULL),(20,5062551,'1992-11-04 00:00:00',4,2,12,2009,'F','N','SAO LOURENCO','CURITIBA','PR','116162161217111431469923576122610122177',381,'9998',85.44,1,3,NULL),(20,5062560,'1992-06-10 00:00:00',4,8,12,2009,'M','N','JARDIM LEONOR','LONDRINA','PR','116162161216111441378612575122610167187',NULL,'9998',0.00,1,3,NULL),(20,5062578,'1992-02-24 00:00:00',4,1,12,2009,'M','N','BNH III PLANO','DOURADOS','MS','112122121216151411478814574121610162012',4093,'9998',68.94,1,3,NULL),(20,5062586,'1990-02-02 00:00:00',4,1,12,2007,'M','N','CENTRO','TANABI','SP','125252251215571411369921411114610162042',NULL,'9998',0.00,1,3,NULL),(20,5062594,'1992-07-15 00:00:00',2,8,12,2009,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161216111731458832422122610137182',NULL,'9998',0.00,1,3,NULL),(20,5062616,'1989-09-11 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241116543411346779495124233227057',13276,'267',51.81,1,3,NULL),(20,5062624,'1989-06-05 00:00:00',2,5,12,2006,'F','N','SÃO LUIZ','CRICIÚMA','SC','124241241212474411323339572224610135092',13970,'920',46.37,1,3,NULL),(20,5062632,'1991-01-15 00:00:00',4,1,12,2008,'M','N','INDEPENDÊNCIA','CASCAVEL','PR','116162161217471411558831575112610135177',1481,'9998',78.87,4,3,NULL),(20,5062640,'1991-07-11 00:00:00',2,5,11,2008,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215372421446931395124610124142',11154,'211',53.82,1,3,NULL),(20,5062675,'1992-05-23 00:00:00',4,1,11,2009,'M','N','BOSQUE DAS MANSÕES','S JOSÉ','SC','124242241217272431479824572122610128032',267,'723',86.99,1,3,NULL),(20,5062683,'1992-11-26 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241216112431535939275114610167187',NULL,'737',26.27,1,3,NULL),(20,5062691,'1993-01-29 00:00:00',4,6,11,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241236261731358813575124610125092',NULL,'1026',33.07,1,3,NULL),(20,5062705,'1991-09-24 00:00:00',4,8,12,2009,'F','N','FLORESTA','JOINVILLE','SC','124242241216371731428624574124610162012',9130,'1105',57.03,1,3,NULL),(20,5062713,'1992-11-10 00:00:00',2,8,12,2009,'F','N','JARDIM BELA VISTA','ELDORADO','SP','125251251116161531523311285124610168147',14881,'9998',44.36,1,3,NULL),(20,5062721,'1992-05-22 00:00:00',2,5,12,2009,'M','N','JARDIM SILVANA','IÇARA','SC','124242241215111431436734575122610127182',12278,'995',50.10,1,3,NULL),(20,5062730,'1991-06-23 00:00:00',4,8,12,2008,'M','N','JARDIM AVIAÇÃO','PRES PRUDENTE','SP','125252251215472731458912575112610167012',2094,'9998',75.64,3,3,NULL),(20,5062756,'1976-10-10 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241244142375131232244345122610164157',NULL,'9997',26.88,1,3,NULL),(20,5062764,'1991-08-22 00:00:00',4,8,12,2008,'M','N','CENTRO','S JOSÉ CAMPOS','SP','112122121215371441468923575122610164182',4736,'9998',66.38,1,3,NULL),(20,5062772,'1992-09-30 00:00:00',4,8,12,2009,'M','N','JARDIM MARIAS','S BENTO SUL','SC','124244161217422431479933574124610147117',878,'9998',82.03,1,3,NULL),(20,5062780,'1992-02-17 00:00:00',2,5,11,2009,'F','N','CENTRO','TORRES','RS','120202201217131431238624272121610137092',14704,'9998',45.36,1,3,NULL),(20,5062799,'1992-10-03 00:00:00',4,4,11,2009,'M','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124241241116471431366614575122610167042',3119,'169',72.66,1,2,1),(20,5062802,'1989-11-04 00:00:00',2,10,12,2006,'F','N','ILHOTINHA','CAPIVARI BAIXO','SC','124241241114372451526413431124130227147',11617,'158',53.03,1,2,1),(20,5062829,'1990-06-03 00:00:00',4,8,12,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242241216571441458713575124131063182',459,'931',84.93,3,3,NULL),(20,5062837,'1992-03-31 00:00:00',4,1,10,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241215111431569933575124610167012',NULL,'270',31.12,1,3,NULL),(20,5062845,'1991-10-18 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241248125271411333671575124610122041',NULL,'283',46.59,1,2,1),(20,5062861,'1992-12-17 00:00:00',4,8,11,2009,'F','N','BOA VISTA','JOINVILLE','SC','124242241215271451326624575124610147182',13863,'462',48.16,1,3,NULL),(20,5062870,'1991-09-30 00:00:00',4,8,11,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124172241215111431458814572122610165052',10739,'457',56.79,1,3,NULL),(20,5062888,'1991-06-07 00:00:00',4,1,12,2008,'F','N','CODESPAULO','PIRAJU','SP','125252251216471431357814575112610124197',NULL,'9998',0.00,1,3,NULL),(20,5062896,'1993-01-06 00:00:00',4,1,12,2010,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431557934445124610167142',NULL,'270',28.02,1,3,NULL),(20,5062900,'1983-08-31 00:00:00',5,1,2,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124164161131151451556619115124342027041',NULL,'9998',0.00,1,3,NULL),(20,5062934,'1989-09-06 00:00:00',4,1,11,2008,'F','N','VEREDAS DAS GERAES','NOVA LIMA','MG','113132131216471431569923575122610167087',NULL,'9998',0.00,1,3,NULL),(20,5062942,'1991-01-19 00:00:00',4,1,11,2008,'M','N','JARDIM SATÉLITE','S JOSÉ CAMPOS','SP','125252251217371732388923472112610168042',10653,'9998',56.96,3,3,NULL),(20,5062969,'1988-10-29 00:00:00',4,1,12,2006,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215372431546613435114610167057',10702,'272',56.87,1,3,NULL),(20,5062977,'1992-12-10 00:00:00',4,1,12,2009,'F','N','PAQUETA','BRUSQUE','SC','124241241135271731334521344222610142142',NULL,'1019',0.00,1,3,NULL),(20,5062985,'1991-07-11 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241117471431545312575124610134052',16258,'732',41.60,1,2,1),(20,5062993,'1992-11-28 00:00:00',4,1,12,2009,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243241115152431226624395124610138177',NULL,'278',33.07,1,3,NULL),(20,5063000,'1984-03-29 00:00:00',4,4,12,2001,'M','N','PARQUE SÃO PAULO','CASCAVEL','PR','116164161524471421456923275124343264147',NULL,'9998',0.00,1,3,NULL),(20,5063019,'1992-04-28 00:00:00',4,8,11,2009,'M','N','CENTRO','JOINVILLE','SC','124242243216112231549911411112610117043',NULL,'457',37.00,1,3,NULL),(20,5063027,'1992-02-04 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215372431569933582122610167042',3089,'262',72.35,1,3,NULL),(20,5063035,'1989-12-01 00:00:00',2,1,12,2007,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112111121217572531236835574125610142147',NULL,'9998',27.03,3,3,NULL),(20,5063043,'1991-08-03 00:00:00',4,1,12,2008,'M','N','LIMÃO','S PAULO','SP','125252251217471431357923575124610147052',8970,'9998',56.16,1,3,NULL),(20,5063051,'1988-11-07 00:00:00',2,8,12,2006,'F','N','IRIRIÚ','JOINVILLE','SC','124163161216572431366979575112610121181',4797,'9998',68.87,1,3,NULL),(20,5063060,'1990-03-23 00:00:00',4,1,12,2007,'F','N','CASA VERDE','S PAULO','SP','125251251115572411366612472114610167147',NULL,'9998',46.06,1,2,1),(20,5063078,'1991-02-25 00:00:00',4,1,11,2009,'F','N','VEREDAS DAS GERAES','NOVA LIMA','MG','113132131216111431569923574122610167097',NULL,'9998',0.00,1,3,NULL),(20,5063086,'1993-11-28 00:00:00',4,5,11,2009,'F','N','SÃO SIMÃO','CRICIÚMA','SC','124242241217151432449934472122610124052',12324,'213',53.74,1,3,NULL),(20,5063094,'1992-08-22 00:00:00',4,2,12,2009,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241217121531368731574124610123147',15108,'87',43.49,1,3,NULL),(20,5063108,'1992-09-11 00:00:00',2,4,12,2009,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241215371431436614345122610127012',NULL,'751',28.93,1,3,NULL),(20,5063116,'1992-11-27 00:00:00',4,1,12,2009,'M','N','CENTRO','PNT GROSSA','PR','116112161217111731289931575114610137062',179,'9998',87.89,1,3,NULL),(20,5063124,'1991-10-08 00:00:00',2,1,11,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241116372732558714245124610167147',NULL,'257',45.27,1,2,1),(20,5063132,'1992-05-30 00:00:00',2,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124241241137131431339613575124610127183',NULL,'592',16.44,1,2,1),(20,5063140,'1992-10-14 00:00:00',4,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215112431438832275124610134072',10592,'1038',56.00,1,3,NULL),(20,5063159,'1989-01-05 00:00:00',4,1,12,2006,'F','N','PARAISO','S PAULO','SP','125252251217571431478813435112610162147',NULL,'9998',0.00,1,3,NULL),(20,5063167,'1993-06-28 00:00:00',4,1,12,2010,'M','S','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216111432569934592112610137031',NULL,'270',62.48,1,3,NULL),(20,5063175,'1990-06-16 00:00:00',4,8,12,2007,'F','N','AREA UM','TELÊMACO BORBA','PR','116164161216371731459911575124141362097',1706,'9998',77.15,1,3,NULL),(20,5063183,'1987-09-21 00:00:00',2,1,12,2005,'M','N','SANTA TEREZINHA','PIRACICABA','SP','125251251116472431456613485122610117041',NULL,'9998',0.00,4,2,1),(20,5063191,'1991-12-09 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216112431459933575122610147182',2691,'988',74.46,1,3,NULL),(20,5063213,'1992-02-04 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215372741569933572122610122142',4133,'262',69.65,1,3,NULL),(20,5063221,'1980-06-13 00:00:00',2,1,6,2000,'F','N','FORQUILHINHAS','S JOSÉ','SC','224243247226133721653623245124133222017',NULL,'1003',40.91,2,1,2),(20,5063248,'1988-06-06 00:00:00',4,1,12,2005,'F','N','RESIDENCIAL ALFA','PINDAMONHANGABA','SP','125252251216571431468834571122610123142',NULL,'9998',0.00,1,3,NULL),(20,5063256,'1990-04-04 00:00:00',4,1,12,2007,'M','N','BOA VISTA','CURITIBA','PR','116162161217521411467634485114140217062',NULL,'9998',0.00,1,3,NULL),(20,5063264,'1992-02-18 00:00:00',2,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115571331546613375124610143147',NULL,'307',30.37,1,2,1),(20,5063272,'1992-03-13 00:00:00',4,1,11,2009,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251217111431476714172112610142092',8092,'9998',59.30,1,3,NULL),(20,5063280,'1993-02-23 00:00:00',4,1,7,2012,'M','S','CAMPECHE','FLORIANÓPOLIS','SC','124242248115152431579932243124610117052',NULL,'306',62.05,4,3,NULL),(20,5063299,'1992-05-16 00:00:00',4,8,12,2009,'M','N','BOM RETIRO','JOINVILLE','SC','124242246217141411559614495122610167011',8148,'1006',59.42,1,3,NULL),(20,5063302,'1991-10-15 00:00:00',2,4,12,2008,'F','N','CENTRO','PTE SERRADA','SC','124244241216471431546619575112610164182',NULL,'1081',25.67,1,3,NULL),(20,5063310,'1991-11-22 00:00:00',4,1,12,2009,'F','N','JD PIRATININGA','LIMEIRA','SP','125253251315271731558832575122610168057',NULL,'9998',0.00,3,3,NULL),(20,5063329,'1992-04-04 00:00:00',4,1,12,2009,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215122431346611371124610136182',4016,'270',69.78,1,3,NULL),(20,5063337,'1991-08-22 00:00:00',4,1,11,2009,'M','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125252251215111431458811575121610137012',9503,'9998',55.16,1,3,NULL),(20,5063345,'1991-05-24 00:00:00',4,1,12,2008,'M','N','CENTRO','NOVA TRENTO','SC','124242241217473441378819475124610117062',830,'109',82.28,1,3,NULL),(20,5063353,'1992-12-14 00:00:00',4,1,11,2009,'M','N','GOIABEIRAS','CUIABÁ','MT','111112111217111431589911571122610122045',9364,'9998',56.47,1,3,NULL),(20,5063400,'1989-06-09 00:00:00',4,1,12,2006,'M','N','SANTA HELENA','LAGES','SC','124243241215374431166632485124230226147',809,'497',82.41,1,3,NULL),(20,5063418,'1990-12-06 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241215573431569614472124610125191',6577,'270',62.51,1,3,NULL),(20,5063426,'1991-06-30 00:00:00',2,1,12,2008,'F','N','BOM JESUS','PTO ALEGRE','RS','120202201217471411557834375124610126057',3458,'9998',71.10,4,3,NULL),(20,5063434,'1991-04-14 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241116312431347924385124610128042',11809,'292',54.73,1,3,NULL),(20,5063442,'1992-01-20 00:00:00',2,1,12,2008,'F','N','FREI BRUNO','JOAÇABA','SC','124243241415272731436912372125610111142',9545,'962',56.63,1,3,NULL),(20,5063469,'1987-07-27 00:00:00',2,1,12,2005,'M','N','CAMPININHA','S PAULO','SP','125252251215371431356667375125243237092',NULL,'9998',28.86,1,3,NULL),(20,5063485,'1992-10-13 00:00:00',4,10,11,2009,'F','N','CENTRO','CAPIVARI BAIXO','SC','124242241211112732558633344124610117052',12962,'806',49.87,1,3,NULL),(20,5063493,'1991-11-10 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124243241215372411468614572124230267112',8288,'738',61.33,1,3,NULL),(20,5063507,'1992-11-12 00:00:00',4,7,12,2009,'F','N','IPOMÉIA','IPOMÉIA','SC','124241248115371441526336575124610123012',13272,'831',47.52,4,2,1),(20,5063515,'1992-02-04 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216372431569933572122610121172',3851,'262',70.30,1,3,NULL),(20,5063523,'1992-08-10 00:00:00',4,1,12,2009,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251216111431477712375122610163187',NULL,'9998',0.00,1,3,NULL),(20,5063540,'1992-06-30 00:00:00',4,1,12,2009,'M','N','CENTRO','S JOSÉ PINHAIS','PR','116161161115111431328823575124610131192',15826,'9998',44.98,1,2,1),(20,5063558,'1993-01-05 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202241215172431468933495115610162017',NULL,'988',29.88,1,3,NULL),(20,5063574,'1989-02-11 00:00:00',4,8,12,2006,'F','N','CENTRO','UMUARAMA','PR','116161161115471431523419572345610126072',NULL,'9998',0.00,4,2,1),(20,5063590,'1991-01-26 00:00:00',2,4,12,2008,'M','N','CENTRO','TAPERA','RS','120201201116151431434633575122610167047',15625,'9998',45.77,1,3,NULL),(20,5063604,'1990-06-22 00:00:00',4,1,12,2007,'M','N','LAGO SUL','LG SUL','DF','107072071217571531668813572122610167047',NULL,'9998',0.00,1,3,NULL),(20,5063612,'1990-11-03 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215142431568833572122610137041',9587,'270',58.94,1,3,NULL),(20,5063639,'1992-04-22 00:00:00',2,8,12,2009,'M','N','CENTRO','CURITIBA','PR','116162158216151411548832575125610115091',3923,'9998',71.03,1,3,NULL),(20,5063655,'1989-12-30 00:00:00',2,1,11,2008,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241136132451646639375124610136181',5127,'307',68.00,1,2,1),(20,5063663,'1991-11-11 00:00:00',4,1,11,2009,'F','N','JARDIM ATRLÂNTICO','FLORIANÓPOLIS','SC','124242241215113411438534572114610123142',9802,'270',58.07,4,3,NULL),(20,5063671,'1988-03-22 00:00:00',4,1,12,2005,'F','N','CAMPINAS','S JOSÉ','SC','124242241217272431376834474122230245142',8567,'269',60.81,1,3,NULL),(20,5063680,'1988-12-14 00:00:00',4,1,12,2006,'M','N','JARDIM BRASÍLIA','JAÚ','SP','125252251215571431468634475112610162052',597,'9998',83.18,1,3,NULL),(20,5063698,'1992-12-28 00:00:00',4,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124242241215271431216612575124610162057',2721,'976',73.35,4,3,NULL),(20,5063701,'1992-08-11 00:00:00',4,1,12,2009,'F','N','EMBARÉ','SANTOS','SP','125252251215121431478834575122610133042',3383,'9998',70.21,1,3,NULL),(20,5063728,'1991-07-31 00:00:00',4,8,11,2008,'M','N','BATEL','CURITIBA','PR','116162161216571411589932575124610162042',1278,'9998',79.88,1,3,NULL),(20,5063736,'1993-05-23 00:00:00',4,1,12,2010,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241217111431479811471122610133185',NULL,'883',60.58,1,3,NULL),(20,5063744,'1990-09-24 00:00:00',4,1,12,2008,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215474421479933575124230267052',1121,'270',80.62,1,3,NULL),(20,5063752,'1992-10-22 00:00:00',4,16,12,2009,'M','N','CENTRO','CURITIBANOS','SC','124244241117372431349933574122610168052',4585,'239',69.13,1,3,NULL),(20,5063760,'1992-03-06 00:00:00',4,8,11,2009,'F','N','ANITA GARIBALD','JOINVILLE','SC','124242241215113431448931572122610123071',10525,'1063',54.66,1,3,NULL),(20,5063779,'1992-01-25 00:00:00',4,2,12,2009,'M','N','ZONA DOIS','CIANORTE','PR','116241161216111431445811575112610127042',15126,'9998',42.91,1,3,NULL),(20,5063787,'1991-04-22 00:00:00',4,8,11,2008,'F','N','JARDIM BOTÂNICO','CURITIBA','PR','116162161211471441556629571124610155072',1323,'9998',79.43,1,3,NULL),(20,5063809,'1992-06-03 00:00:00',2,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241217142531458911275114610145197',11616,'988',53.67,1,3,NULL),(20,5063817,'1992-10-13 00:00:00',2,3,12,2009,'F','N','VILA NOVA','PTO BELO','SC','124242241216162411326929374123610168147',10671,'1111',54.13,1,3,NULL),(20,5063825,'1992-03-16 00:00:00',4,8,12,2009,'M','N','SÃO LOURENÇO','CURITIBA','PR','116162161237151332458832481122610127072',14761,'9998',48.57,1,3,NULL),(20,5063833,'1987-01-26 00:00:00',4,1,12,2004,'M','N','ACLIMACAO','S PAULO','SP','125252251216512411489813575122610167187',6079,'9998',63.60,1,3,NULL),(20,5063841,'1992-04-06 00:00:00',4,8,11,2009,'M','N','FLORESTA','JOINVILLE','SC','124242241216372411356613575124610167042',1685,'461',78.12,1,3,NULL),(20,5063868,'1992-02-16 00:00:00',2,8,12,2009,'F','N','CENTRO','ELDORADO','SP','125251251116161431336613572124610125197',NULL,'9998',28.11,1,3,NULL),(20,5063884,'1990-08-11 00:00:00',2,10,12,2007,'F','N','CENTRO','CAPIVARI BAIXO','SC','124241241137371431246629395121133227042',NULL,'1034',22.96,1,2,1),(20,5063906,'1989-04-01 00:00:00',2,1,11,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124253241216374431345631314124610121177',9971,'1022',58.20,1,3,NULL),(20,5063914,'1992-03-12 00:00:00',2,10,12,2009,'F','N','SANTA LUZIA','TUBARÃO','SC','124241241116271431436414292124610136147',NULL,'1034',28.00,1,2,1),(20,5063922,'1993-05-24 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215113451239923572114610122182',50,'270',91.59,1,3,NULL),(20,5063930,'1988-03-26 00:00:00',4,1,12,2005,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124251251416151431117644245124610156045',NULL,'9998',0.00,1,3,NULL),(20,5063949,'1990-02-16 00:00:00',4,1,10,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124244247416273431337911485124610114082',NULL,'9999',23.67,1,3,NULL),(20,5063957,'1992-04-02 00:00:00',4,8,11,2009,'M','N','JARDIM ALVORADA','S PAULO','SP','125252251217151431488832571111610167037',5906,'9998',63.49,3,3,NULL),(20,5063965,'1993-02-24 00:00:00',4,1,12,2009,'F','N','ÍNDIA','CANELINHA','SC','124241241215151431556313571124610166142',12510,'948',53.32,1,3,NULL),(20,5063973,'1987-08-19 00:00:00',4,8,12,2004,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116163161115471731226569272315141467017',NULL,'9998',0.00,1,3,NULL),(20,5063981,'1990-03-07 00:00:00',2,9,12,2007,'F','N','POÇO RICO','OTACÍLIO COSTA','SC','124244241317272431438612572124131463074',11144,'9997',56.00,1,3,NULL),(20,5063990,'1991-02-19 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241235371431346622282121610167017',NULL,'44',0.00,1,3,NULL),(20,5064007,'1989-12-30 00:00:00',2,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124241241117271231326624472124610137187',15203,'733',45.47,1,2,1),(20,5064015,'1992-06-22 00:00:00',4,8,11,2009,'F','N','BIGORRILHO','CURITIBA','PR','116122161215121751478814494114610166195',4511,'9998',67.30,1,3,NULL),(20,5064023,'1990-10-09 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217474431578834575122610134162',5024,'1048',67.31,1,3,NULL),(20,5064031,'1992-03-05 00:00:00',4,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215121431489911574112610161096',NULL,'270',0.00,1,3,NULL),(20,5064040,'1992-02-10 00:00:00',4,3,12,2009,'M','N','CENTRO','PRES PRUDENTE','SP','125252251215271231458814445122610162127',NULL,'9998',NULL,1,3,NULL),(20,5064058,'1992-06-05 00:00:00',4,2,11,2009,'M','N','VELHA','BLUMENAU','SC','124242241217271431559931575122610117042',1331,'909',79.60,1,3,NULL),(20,5064066,'1993-01-29 00:00:00',2,10,12,2009,'M','N','BELA VISTA','S LUDGERO','SC','124242241215141431658612245121610167042',15706,'950',42.05,1,3,NULL),(20,5064074,'1992-01-30 00:00:00',4,2,10,2009,'F','N','DAS NAÇÕES','INDAIAL','SC','124244241215112431469811595124610133052',3641,'909',70.53,1,3,NULL),(20,5064082,'1988-01-18 00:00:00',4,8,12,2004,'F','N','BOM RETIRO','CURITIBA','PR','116164161217472731679834572124231227142',369,'9998',85.70,1,3,NULL),(20,5064090,'1992-11-11 00:00:00',4,4,11,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241212371411478814474122610168091',1793,'185',76.67,1,3,NULL),(20,5064104,'1992-02-23 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111631228724372215610164031',4358,'1038',69.76,1,3,NULL),(20,5064112,'1992-10-19 00:00:00',4,7,12,2009,'M','N','BAIRRO DER','CAÇADOR','SC','124242241215111431479934575112610144012',NULL,'1124',29.23,1,3,NULL),(20,5064120,'1988-02-03 00:00:00',4,1,12,2005,'M','N','CENTRO','BRUSQUE','SC','124242241211574431454923575124610164117',3091,'981',72.00,1,3,NULL),(20,5064139,'1992-12-24 00:00:00',4,8,12,2009,'M','N','ALEGRE','RIO NEGRINHO','SC','124241241215111431443923575122610126173',6988,'974',63.86,4,3,NULL),(20,5064147,'1991-02-19 00:00:00',4,8,12,2008,'M','N','JARDIM MOINHO','MAFRA','SC','124241241236151731456912574124231462015',3377,'541',72.41,1,3,NULL),(20,5064171,'1990-10-05 00:00:00',4,1,12,2008,'M','N','CECAP','MORUNGABA','SP','125252253117371431546912575124610132092',5525,'9998',64.67,4,3,NULL),(20,5064180,'1993-04-26 00:00:00',4,1,12,2009,'F','N','FERRAZ','GAROPABA','SC','124242241215272431448832372124610161142',4288,'362',69.02,1,3,NULL),(20,5064201,'1992-03-05 00:00:00',4,9,11,2009,'F','N','CORAL','LAGES','SC','124242241215113431569812492122610123182',13356,'497',51.65,1,3,NULL),(20,5064210,'1991-10-01 00:00:00',2,7,12,2008,'F','N','BELA VISTA','CONCÓRDIA','SC','124241241115472741333531175115610166197',8701,'192',58.54,1,2,1),(20,5064228,'1987-05-26 00:00:00',2,1,12,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124161162117271411113721445124140224012',12414,'9998',52.29,1,2,1),(20,5064236,'1991-04-26 00:00:00',2,1,12,2008,'M','N','MARAMBAIA','VINHEDO','SP','125252251215471431588812575122610127012',2789,'9998',72.38,1,3,NULL),(20,5064244,'1992-04-03 00:00:00',2,10,11,2009,'F','N','CENTRO','GR PARÁ','SC','124244241217122231367951575122610124042',1511,'807',78.10,1,3,NULL),(20,5064252,'1992-10-23 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORES CUNHA','RS','120201201215471231447312275122610123182',7464,'9998',60.81,1,3,NULL),(20,5064260,'1991-05-04 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241112473431533514445124610127142',13070,'287',52.23,1,2,1),(20,5064279,'1991-01-18 00:00:00',4,1,12,2008,'F','N','ÁGUA VERDE','JARAGUÁ SUL','SC','124242241215372431589932445114130833017',4474,'1174',69.56,1,3,NULL),(20,5064287,'1989-06-06 00:00:00',4,8,12,2006,'F','N','CENTRO','APUCARANA','PR','116162161216573751438612571125610168097',NULL,'9998',NULL,3,3,NULL),(20,5064309,'1992-01-19 00:00:00',4,1,10,2008,'F','N','CENTRO','CIDADE GAÚCHA','PR','116162168217472411439919474124610166142',5768,'9998',64.96,1,3,NULL),(20,5064317,'1990-12-15 00:00:00',4,5,11,2008,'F','N','SANTA BARBARA','CRICIÚMA','SC','124242241216373431459914575122610167092',1480,'210',78.95,1,3,NULL),(20,5064325,'1990-06-13 00:00:00',4,1,12,2007,'M','N','ARAÇATUBA','IMBITUBA','SC','124241241137151231438933372124610127142',NULL,'361',0.00,1,2,1),(20,5064333,'1989-02-04 00:00:00',4,1,12,2006,'F','N','ÁGUA VERDE','JARAGUÁ SUL','SC','124242241215574431589932575114610133017',312,'422',86.33,1,3,NULL),(20,5064341,'1992-08-29 00:00:00',2,1,12,2009,'F','N','UBERABA','CURITIBA','PR','116162161237121731539614575124610134197',10869,'9998',54.06,1,3,NULL),(20,5064368,'1992-05-28 00:00:00',4,1,12,2010,'M','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111522479933575124610112052',NULL,'270',43.87,1,3,NULL),(20,5064376,'1993-02-01 00:00:00',2,5,10,2009,'F','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124242241215222431426812475124610147147',11322,'226',53.67,1,3,NULL),(20,5064384,'1991-08-31 00:00:00',4,15,11,2008,'M','N','CENTRO','JACINTO MACHADO','SC','124241241125141421546319195124610164042',NULL,'420',29.37,1,2,1),(20,5064392,'1991-09-10 00:00:00',4,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431346932572122610111052',2170,'270',75.72,1,3,NULL),(20,5064406,'1989-11-01 00:00:00',4,1,12,2007,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241217514431569711575112610131042',6767,'270',64.33,1,3,NULL),(20,5064414,'1992-09-30 00:00:00',4,8,11,2009,'M','N','AMÉRICA','JOINVILLE','SC','124243241215231411469812175124610124017',13292,'1105',51.75,1,3,NULL),(20,5064422,'1991-11-06 00:00:00',2,1,12,2009,'F','N','ALTOS DE SANTANA','S JOSÉ CAMPOS','SP','125251251216111431236824571222610143072',NULL,'9998',17.03,4,3,NULL),(20,5064430,'1990-05-24 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161235571331467831242122610117063',1665,'9998',77.69,1,3,NULL),(20,5064449,'1990-08-29 00:00:00',4,1,11,2009,'M','N','BOQUEIRÃO','SANTOS','SP','125252258217271431326619595124610118043',13679,'9998',50.99,1,3,NULL),(20,5064457,'1992-08-08 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215163431456634575125610146141',9679,'1077',56.91,1,3,NULL),(20,5064465,'1991-09-13 00:00:00',4,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215121431446632272112610126142',4189,'807',69.43,1,3,NULL),(20,5064481,'1991-05-30 00:00:00',4,1,12,2008,'M','N','AUGUSTO J VALENTE II','POSSE','GO','109091091212471731566731595114610167017',NULL,'9998',0.00,1,3,NULL),(20,5064490,'1992-12-09 00:00:00',4,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241217151411469814575122610162145',6778,'807',63.01,1,3,NULL),(20,5064503,'1992-03-25 00:00:00',4,17,12,2009,'F','N','COLONIAL','S BENTO SUL','SC','124241241215131431433631575124610141147',NULL,'1154',0.00,1,3,NULL),(20,5064511,'1991-05-28 00:00:00',4,8,12,2008,'F','N','VILA NOVA','JOINVILLE','SC','124241243215372411458714245122130215092',6325,'1105',64.39,1,3,NULL),(20,5064520,'1991-03-07 00:00:00',4,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215474411359711594124610164077',332,'270',86.15,1,3,NULL),(20,5064538,'1989-01-08 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162161216174441557619375125223017145',13483,'9998',51.41,1,3,NULL),(20,5064546,'1991-03-20 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215472431488911576124610164182',2400,'270',75.31,1,3,NULL),(20,5064562,'1991-03-18 00:00:00',2,10,11,2009,'M','N','CENTRO','JAGUARUNA','SC','124241241217221431569816571124610127182',10744,'807',53.93,1,3,NULL),(20,5064570,'1992-07-06 00:00:00',4,4,11,2009,'F','N','CENTRO','CASCAVEL','PR','116162161215111441378834575122610132093',4289,'9998',68.73,1,3,NULL),(20,5064589,'1990-03-03 00:00:00',2,8,12,2007,'F','N','CENTRO','RIBEIRA','SP','125251251126571411443931575114610132147',4829,'9998',67.96,1,2,1),(20,5064597,'1992-09-30 00:00:00',4,8,11,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161215471731456832272124610164032',2774,'9998',73.66,1,3,NULL),(20,5064600,'1991-07-12 00:00:00',2,4,12,2008,'F','N','NATUREZA','CONCÓRDIA','SC','124241241136272731324424375124610161147',NULL,'192',22.26,4,2,1),(20,5064627,'1990-03-12 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242161216574431658731574124610133072',1132,'9998',80.58,1,3,NULL),(20,5064635,'1991-12-16 00:00:00',4,1,12,2008,'M','N','VILA DO PRINCIPE','LAPA','PR','116161161116571431543619575124610122147',3559,'9998',71.18,1,2,1),(20,5064643,'1991-11-15 00:00:00',4,1,11,2009,'F','N','VILA MADALENA','S PAULO','SP','125252251217471431538831381124210166172',2973,'9998',73.60,1,3,NULL),(20,5064651,'1992-08-10 00:00:00',4,1,12,2009,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124202241215151731239912572124610137137',7288,'262',60.55,1,3,NULL),(20,5064660,'1990-08-02 00:00:00',4,8,12,2007,'F','N','JARDIM PAULISTA','S PAULO','SP','125252241217573411268811574124610121072',784,'1105',82.64,1,3,NULL),(20,5064678,'1991-08-01 00:00:00',2,4,12,2008,'F','N','FRAGOSOS','CONCÓRDIA','SC','124241241116272431626633475324610161147',NULL,'192',26.04,4,2,1),(20,5064686,'1992-05-07 00:00:00',4,1,11,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124241241126141211423314245114610124112',NULL,'591',27.45,1,2,1),(20,5064694,'1992-04-29 00:00:00',4,1,10,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111441339634575122610166182',9424,'1022',56.94,1,3,NULL),(20,5064724,'1991-08-19 00:00:00',2,8,12,2009,'M','N','MARTINS DOIS','MINEIROS','GO','109092091216111432448931572121610167053',12908,'9998',49.03,1,3,NULL),(20,5064740,'1992-10-11 00:00:00',4,1,12,2009,'M','N','SÃO DIMAS','PIRACICABA','SP','125254251217331741479833475122610145177',1670,'9998',77.61,1,3,NULL),(20,5064759,'1992-02-23 00:00:00',4,8,12,2008,'F','N','CENTRO','S FRANCISCO SUL','SC','124242241216473421358829575124610165117',4834,'486',68.78,1,3,NULL),(20,5064767,'1992-03-31 00:00:00',4,8,12,2009,'F','N','JARDIM ARISTOCRATA','S JOSÉ PINHAIS','PR','116162161215471431456632574122610166097',9183,'9998',56.02,1,3,NULL),(20,5064775,'1992-01-09 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112441469633575124610156097',4939,'262',68.30,2,1,2),(20,5064783,'1992-06-10 00:00:00',4,1,11,2009,'F','N','JARDIM DAS PALMEIRAS','BRAGANÇA PAULISTA','SP','125252251217111431575812571122610166182',1741,'9998',76.55,1,3,NULL),(20,5064805,'1993-05-23 00:00:00',4,1,12,2009,'F','N','VILA AURORA','RONDONÓPOLIS','MT','111282111417371441489814575122610138092',11591,'9998',51.98,1,3,NULL),(20,5064813,'1991-12-12 00:00:00',4,1,12,2008,'M','N','JARDIM PAULISTA','RIBEIRÃO PRETO','SP','125252141216471331566815595124610117042',NULL,'9998',0.00,4,3,NULL),(20,5064821,'1990-10-02 00:00:00',4,1,12,2008,'M','N','CIDADE JARDIM','LEME','SP','125252251217371431337831375114610167182',NULL,'9998',NULL,1,3,NULL),(20,5064830,'1992-07-10 00:00:00',2,5,10,2009,'F','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124241241215111431453622575114610163072',10381,'213',54.25,1,3,NULL),(20,5064848,'1990-11-08 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216372431537714485124122931182',11709,'1022',51.67,1,3,NULL),(20,5064856,'1988-09-20 00:00:00',4,1,12,2006,'F','N','VILA SANTANA','SOROCABA','SP','125252251236571411545814575124610164187',10245,'9998',54.78,1,3,NULL),(20,5064864,'1992-04-14 00:00:00',2,10,12,2009,'F','N','PAES LEME','IMBITUBA','SC','124241248115271711335419575122610138147',NULL,'359',25.41,1,2,1),(20,5064872,'1991-04-26 00:00:00',4,1,12,2008,'F','N','JARDIM SANTANA','FRANCA','SP','125252251217471431468933575122610126197',4035,'9998',68.81,1,3,NULL),(20,5064880,'1992-07-28 00:00:00',4,1,12,2009,'M','N','CENTRO','S SEBASTIÃO CAÍ','RS','120201201415131431438612375124610122097',NULL,'9998',NULL,1,3,NULL),(20,5064899,'1991-11-04 00:00:00',4,1,12,2009,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215112431568832575122610127042',5200,'270',67.17,1,3,NULL),(20,5064902,'1990-10-13 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241122471431111141112324610126142',12274,'740',52.52,1,2,1),(20,5064929,'1990-12-04 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124244241431114431423628275124233227017',11330,'1011',53.11,1,3,NULL),(20,5064937,'1975-05-11 00:00:00',4,8,11,1993,'M','N','JARDIM DALLAS','PALOTINA','PR','616162161217114431438419492122121428052',8917,'9998',60.13,3,3,NULL),(20,5064945,'1991-10-21 00:00:00',2,8,12,2008,'F','N','AEROPORTO','MARINGÁ','PR','116161161215271411537632211122610162197',NULL,'9998',47.34,1,3,NULL),(20,5064953,'1990-10-24 00:00:00',4,1,12,2008,'M','N','BOQUEIRÃO','SANTOS','SP','125252251217471431469834575112610167042',4518,'9998',67.36,1,3,NULL),(20,5064961,'1991-11-28 00:00:00',4,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124242241215212231438934572122610167112',6210,'270',65.55,1,3,NULL),(20,5064988,'1991-10-30 00:00:00',2,8,12,2009,'F','N','JARDIM MATILDE','OURINHOS','SP','125251251316172741338822421121610123092',NULL,'9998',22.87,1,3,NULL),(20,5064996,'1989-08-15 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216575431468914395125610124102',5539,'266',65.36,1,3,NULL),(20,5065011,'1991-03-08 00:00:00',4,10,12,2008,'M','N','MAR GROSSO','LAGUNA','SC','124234241447272431546619591121610167041',328,'9998',86.16,1,3,NULL),(20,5065020,'1990-03-10 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241225574431445334271124123234065',2078,'262',76.62,1,3,NULL),(20,5065038,'1988-09-23 00:00:00',4,8,12,2006,'M','N','CAJURU','CURITIBA','PR','116161161336572711346614371124610162037',5462,'9998',65.09,1,3,NULL),(20,5065046,'1990-09-18 00:00:00',4,1,12,2007,'F','N','AGUA VERDE','CURITIBA','PR','116241241215573431237921575124610121097',5864,'633',63.39,1,3,NULL),(20,5065054,'1991-11-08 00:00:00',2,2,12,2008,'M','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241215473431336619292124610137042',5451,'909',66.51,1,3,NULL),(20,5065062,'1992-06-04 00:00:00',2,1,12,2009,'F','N','SOROCABA','BIGUAÇU','SC','124241241115151131433315572114610164144',NULL,'65',29.08,1,2,1),(20,5065070,'1990-12-01 00:00:00',4,8,12,2008,'M','N','PILARZINHO','CURITIBA','PR','116162161215471411459931574112140862122',3134,'9998',71.63,1,3,NULL),(20,5065089,'1991-01-11 00:00:00',4,8,12,2009,'F','N','SÃO BRAZ','CURITIBA','PR','116162161216471211478814571124610165015',2928,'9998',73.41,1,3,NULL),(20,5065097,'1992-10-16 00:00:00',4,9,12,2009,'M','N','ÁGUAS BRANCAS','URUBICI','SC','124242241237111231434936486124610167052',NULL,'497',23.24,1,3,NULL),(20,5065100,'1992-08-31 00:00:00',4,10,11,2009,'F','N','CENTRO','BRAÇO NORTE','SC','124244241215111451638612245124610138142',7165,'806',61.08,1,3,NULL),(20,5065127,'1986-01-07 00:00:00',2,1,12,2003,'M','N','CENTRO','STA MARIA','RS','124203201435572431459913592222142838187',560,'9998',84.09,1,3,NULL),(20,5065135,'1992-06-24 00:00:00',4,1,9,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215172451324821592114610137042',NULL,'270',27.37,1,3,NULL),(20,5065143,'1992-02-23 00:00:00',4,8,11,2009,'F','N','BUCAREIN','JOINVILLE','SC','124242241217111431366923234122610117057',NULL,'932',21.25,1,3,NULL),(20,5065151,'1991-08-17 00:00:00',1,1,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241415473431459921575122610122172',198,'44',87.98,1,3,NULL),(20,5065160,'1991-11-07 00:00:00',4,3,12,2008,'F','N','SÃO PEDRO','PTO UNIÃO','SC','124162161215371411428912594122610147072',7305,'9998',61.79,1,3,NULL),(20,5065178,'1992-07-02 00:00:00',4,6,11,2009,'F','N','CENTRO','ITAJAÍ','SC','124162161215471431466712572112610126072',11580,'9998',52.88,1,3,NULL),(20,5065186,'1992-05-04 00:00:00',4,3,12,2009,'M','N','CENTRO','MARINGÁ','PR','116162161216121431489911574122610137057',2525,'9998',74.56,1,3,NULL),(20,5065208,'1991-10-08 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431459811295125610138043',7859,'262',61.56,1,3,NULL),(20,5065216,'1980-12-10 00:00:00',4,1,12,1998,'M','N','FREGUESIA DO Ó','S PAULO','SP','125252251237121411646611215122340265092',14831,'9998',48.36,1,3,NULL),(20,5065224,'1988-04-23 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124131131116131321125641415132610118173',NULL,'9998',0.00,4,2,1),(20,5065232,'1991-10-31 00:00:00',4,3,12,2009,'M','N','PRAIA DE ARMAÇÃO','PENHA','SC','124241241115111432455512275124610167047',13866,'129',50.62,1,2,1),(20,5065240,'1992-10-31 00:00:00',2,1,12,2009,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241115271431523311272124610126197',NULL,'288',30.21,1,2,1),(20,5065267,'1992-05-20 00:00:00',4,7,11,2009,'F','N','AEROPORTO','VIDEIRA','SC','124242241216112431379814475122610134092',7186,'969',61.51,1,3,NULL),(20,5065275,'1991-05-25 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124092131217471431548831575122610127047',348,'9998',86.01,1,3,NULL),(20,5065291,'1991-06-11 00:00:00',4,8,12,2008,'F','N','CASTELINHO','PIRACICABA','SP','125252251216471431345839575112610116097',NULL,'9998',0.00,1,3,NULL),(20,5065305,'1991-10-12 00:00:00',2,8,12,2008,'F','N','VILA NOVA','JARAGUÁ SUL','SC','124242241215472431236923372124610147147',3892,'486',70.39,1,3,NULL),(20,5065313,'1991-01-05 00:00:00',4,4,12,2008,'F','N','CENTRO','ABELARDO LUZ','SC','124241241116472741454821415124233223192',13773,'4',50.78,1,2,1),(20,5065321,'1990-11-21 00:00:00',4,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215371431268711295121610161097',9182,'883',56.50,1,3,NULL),(20,5065330,'1991-03-05 00:00:00',4,8,7,2009,'M','N','JARDIM SOCIAL','CURITIBA','PR','116162281215371431458836575121610127182',3876,'9998',70.42,1,3,NULL),(20,5065356,'1991-02-12 00:00:00',4,10,12,2008,'M','N','CENTRO','IMBITUBA','SC','124241241115372731333619174124610134047',3020,'359',71.74,1,2,1),(20,5065364,'1989-12-27 00:00:00',4,1,12,2007,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241217573431489933575112610134042',1965,'884',76.55,1,3,NULL),(20,5065372,'1989-08-16 00:00:00',4,3,12,2006,'F','N','JD DAS PALMEIRAS','LONDRINA','PR','116161161116572431339712575114610164092',NULL,'9998',0.00,4,1,1),(20,5065380,'1992-04-15 00:00:00',4,1,12,2009,'F','N','JARDIM OLÍMPIA','S JOSÉ CAMPOS','SP','125251251217111431526414571124610166194',11572,'9998',51.98,1,3,NULL),(20,5065402,'1990-04-12 00:00:00',2,3,11,2009,'F','N','RURAL','STA TEREZINHA','SC','124241161131133411323616292324610166057',1248,'9998',79.49,1,2,1),(20,5065410,'1991-08-03 00:00:00',4,4,12,2008,'F','N','CENTRO','FAXINAL GUEDES','SC','124244241415472751578839475112610168142',14042,'270',47.55,1,3,NULL),(20,5065429,'1988-08-05 00:00:00',2,7,12,2005,'F','N','INTERIOR','CONCÓRDIA','SC','124241241111134431422236572124213243057',NULL,'192',23.10,1,2,1),(20,5065437,'1992-03-01 00:00:00',2,1,12,2008,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116164168211471411423729571124610122187',11277,'9998',53.39,1,3,NULL),(20,5065445,'1990-03-08 00:00:00',4,1,12,2007,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241216273431436624475124610163052',5614,'1014',66.88,1,3,NULL),(20,5065453,'1990-04-12 00:00:00',4,1,11,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','111112091215571431568832572122610122187',4431,'9998',67.02,1,3,NULL),(20,5065461,'1992-02-14 00:00:00',2,1,11,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241115372431469933571124231066067',5276,'271',67.63,1,3,NULL),(20,5065470,'1992-12-09 00:00:00',4,4,11,2009,'M','N','CENTRO','BARRACÃO','PR','116162161216112431458933475125610117052',1431,'9998',79.15,1,3,NULL),(20,5065488,'1993-06-03 00:00:00',4,1,12,2010,'F','S','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242241215111531448811475124610112142',NULL,'270',21.85,1,3,NULL),(20,5065526,'1992-01-08 00:00:00',4,1,12,2009,'M','N','DANIELA','FLORIANÓPOLIS','SC','124242241215111431468832581122610142096',NULL,'883',0.00,1,3,NULL),(20,5065534,'1991-12-11 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241211151411456213371124610113172',NULL,'737',28.98,1,3,NULL),(20,5065550,'1992-07-10 00:00:00',4,8,12,2009,'M','N','TRES PODERES','IMPERATRIZ','MA','110102101217111231567731475125610165177',9297,'9998',59.43,1,3,NULL),(20,5065569,'1992-08-15 00:00:00',4,8,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161217371431368931572122610137047',NULL,'9998',0.00,1,3,NULL),(20,5065577,'1983-08-29 00:00:00',2,17,12,2000,'M','N','CENTRO','S BENTO SUL','SC','124241241136151431225644345333133238187',NULL,'147',25.69,1,2,1),(20,5065585,'1990-12-12 00:00:00',4,8,12,2007,'F','N','CENTRO','CPO LARGO','PR','116162161216571431438832571122610163182',1547,'9998',78.23,1,3,NULL),(20,5065593,'1991-11-26 00:00:00',4,1,12,2009,'M','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251215111431467812575122610137052',NULL,'270',0.00,1,3,NULL),(20,5065607,'1992-08-17 00:00:00',4,8,12,2009,'F','N','GLORIA','JOINVILLE','SC','124242161216471531579914575112610157057',12497,'9998',49.67,1,3,NULL),(20,5065623,'1990-04-28 00:00:00',2,8,12,2009,'M','N','CENTRO','PARANAGUÁ','PR','116162161215121431436833575114610167052',NULL,'9998',0.00,4,3,NULL),(20,5065631,'1992-12-01 00:00:00',4,4,12,2009,'F','N','INTERIOR','TRINDADE SUL','RS','120201201114161731524939592224610126147',NULL,'9998',20.47,4,2,1),(20,5065640,'1989-10-27 00:00:00',2,5,11,2007,'M','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241216154231568719495121221017062',1213,'226',80.16,1,3,NULL),(20,5065666,'1992-07-17 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127151731424629372324610134057',NULL,'283',37.43,1,2,1),(20,5065674,'1989-11-10 00:00:00',4,1,12,2007,'F','N','PERDIZES','S PAULO','SP','125252251215571431679831345125610164112',5737,'9998',64.64,1,3,NULL),(20,5065682,'1991-12-20 00:00:00',4,8,12,2008,'F','N','BATEL','CURITIBA','PR','116161161117571421435522175124610165142',4368,'9998',69.07,1,2,1),(20,5065690,'1987-04-26 00:00:00',2,1,12,2004,'M','N','BOM JESUS','CURITIBANOS','SC','224241241145575431558513242124610154187',5337,'239',67.47,1,2,1),(20,5065704,'1987-04-29 00:00:00',4,7,12,2004,'M','N','NAÇÕES','CONCÓRDIA','SC','124241241146472421434414245123610134057',4991,'192',67.76,1,2,1),(20,5065712,'1993-09-29 00:00:00',4,1,12,2010,'F','S','KOBRASOL','S JOSÉ','SC','124243241312131711326923592124610128042',NULL,'739',25.31,1,3,NULL),(20,5065739,'1983-01-30 00:00:00',2,8,12,2001,'M','N','AVENTUREIRO','JOINVILLE','SC','224241241127272411326314145314131227047',15223,'483',47.18,1,2,1),(20,5065747,'1991-11-01 00:00:00',4,1,12,2009,'M','N','INDIANOPOLIS','S PAULO','SP','125252251217111731479812471122610137081',NULL,'9998',0.00,1,3,NULL),(20,5065755,'1990-05-01 00:00:00',4,1,7,2008,'F','N','PERDIZES','S PAULO','SP','125252281415571411478733575114610162183',6661,'9998',61.92,1,3,NULL),(20,5065763,'1991-11-11 00:00:00',4,1,12,2009,'F','N','LAPA','S PAULO','SP','125252251417151442368812576114610161027',15691,'9998',41.46,1,3,NULL),(20,5065771,'1992-01-06 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124204248215473731338739294124233268142',NULL,'269',28.92,1,3,NULL),(20,5065798,'1989-02-10 00:00:00',2,1,12,2006,'F','N','SÃO JOSÉ','CAXIAS SUL','RS','120202201217371411436924471124140435192',3511,'9998',72.11,1,3,NULL),(20,5065801,'1991-05-24 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241211372411468921575124610162182',3157,'1022',72.00,1,3,NULL),(20,5065810,'1992-11-05 00:00:00',4,3,10,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215112431448834575122610164142',1407,'1038',78.29,1,3,NULL),(20,5065828,'1990-01-05 00:00:00',4,8,12,2007,'M','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241146271431466414345133610126092',6020,'430',65.96,1,2,1),(20,5065836,'1991-11-13 00:00:00',2,8,12,2009,'F','N','VILA NOVA','JOINVILLE','SC','124241242115111431346773572124610168172',15009,'24',42.88,1,2,1),(20,5065844,'1991-02-13 00:00:00',4,3,12,2008,'M','N','CAMBUÍ','CAMPINAS','SP','125251251215472431477624171112610132082',10586,'9998',54.41,3,3,NULL),(20,5065860,'1989-01-10 00:00:00',4,3,12,2006,'M','N','ZONA SEIS','MARINGÁ','PR','116162161216321231355631472122143264092',NULL,'877',0.00,1,3,NULL),(20,5065879,'1994-07-03 00:00:00',2,15,12,2010,'F','S','CENTRO','JACINTO MACHADO','SC','124243241215111731339933485112610138147',NULL,'970',25.60,1,3,NULL),(20,5065887,'1991-10-05 00:00:00',4,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124244241216473431343812574124610122145',92,'270',90.33,1,3,NULL),(20,5065909,'1992-09-28 00:00:00',4,8,12,2009,'F','N','BRACINHO','SCHROEDER','SC','124241241136271431336622345124610136142',NULL,'762',0.00,1,2,1),(20,5065917,'1992-05-09 00:00:00',4,8,12,2009,'F','N','FLORESTA','JOINVILLE','SC','124242241215371431449932571122610126142',2677,'459',74.04,1,3,NULL),(20,5065933,'1992-04-28 00:00:00',2,10,12,2009,'F','N','SÃO BERNARDO','TUBARÃO','SC','124241241117271441424669172122610147147',14929,'798',46.21,1,2,1),(20,5065941,'1992-09-12 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241137131431339923575124610124092',NULL,'307',22.63,1,2,1),(20,5065950,'1990-11-07 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241213132731379613445132232862072',11337,'262',55.63,1,3,NULL),(20,5065968,'1990-07-11 00:00:00',4,1,12,2007,'M','N','CAMINHO NOVO','PALHOÇA','SC','124243241236332431443431316321610148057',NULL,'988',0.00,1,3,NULL),(20,5065976,'1981-09-17 00:00:00',4,1,12,1998,'F','N','CAMPINAS','S JOSÉ','SC','224245241516155431363643432122321364197',NULL,'666',0.00,1,3,NULL),(20,5065984,'1992-05-07 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241215131431434611575124610127147',16084,'273',43.53,1,3,NULL),(20,5065992,'1989-11-28 00:00:00',2,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217373431679914382122230237011',NULL,'1048',28.38,1,3,NULL),(20,5066000,'1992-01-25 00:00:00',4,2,12,2009,'F','N','NOVA DESCOBERTA','TIJUCAS','SC','124241248125131731333434275124610131097',NULL,'783',27.12,1,2,1),(20,5066026,'1992-12-10 00:00:00',2,1,10,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431246923575124610123051',7457,'270',60.11,1,3,NULL),(20,5066034,'1992-10-14 00:00:00',4,8,10,2009,'M','N','GUANABARA','JOINVILLE','SC','124241241215111451433614595125610164141',3605,'459',70.56,4,3,NULL),(20,5066042,'1993-04-06 00:00:00',4,4,12,2009,'F','N','SANTA MARIA','CHAPECÓ','SC','124242241215271431479913275122610126182',13160,'983',48.23,1,3,NULL),(20,5066050,'1992-03-18 00:00:00',4,8,12,2009,'M','N','ALTO','CURITIBA','PR','116164161411471511358813571122610165047',3439,'9998',71.72,1,3,NULL),(20,5066069,'1993-10-17 01:00:00',2,7,11,2009,'M','N','JARDIM JOSÉ RUPP','HERVAL D OESTE','SC','124242241217371431438812572122610126082',12979,'446',52.40,1,3,NULL),(20,5066077,'1990-01-05 00:00:00',4,1,12,2006,'F','N','CENTRO','GURUPI','TO','127274271417133431337731574121620128037',6521,'9998',62.93,4,3,NULL),(20,5066085,'1989-12-02 00:00:00',4,8,12,2006,'M','N','NOVO MUNDO','CURITIBA','PR','116161161116574441623332395224610168147',631,'9998',83.71,1,2,1),(20,5066093,'1990-12-09 00:00:00',4,1,12,2008,'F','N','SUMARÉ','S PAULO','SP','125252251217471431468711575124610163072',3124,'9998',73.15,1,3,NULL),(20,5066107,'1992-03-20 00:00:00',2,15,12,2009,'M','N','ZONA NOVA','CAPÃO CANOA','RS','120201242115111441348814575124610127012',NULL,'690',30.14,1,3,NULL),(20,5066115,'1991-09-15 00:00:00',4,1,12,2009,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251215111431488821575122610164187',NULL,'9998',0.00,1,3,NULL),(20,5066131,'1986-10-04 00:00:00',2,1,12,2004,'M','N','SERRARIA','S JOSÉ','SC','224241241126375431246443235123121127087',6667,'307',64.56,1,2,1),(20,5066140,'1990-03-24 00:00:00',2,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241215112411348813495124610117062',14060,'723',50.27,1,3,NULL),(20,5066158,'1992-03-03 00:00:00',4,1,12,2009,'M','N','JARDIM DAS AMÉRICAS','CUIABÁ','MT','111112111217111411367832574122610147042',4507,'9998',67.07,4,3,NULL),(20,5066166,'1992-09-09 00:00:00',4,8,10,2009,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241217272431489814575112610137052',NULL,'457',NULL,1,3,NULL),(20,5066174,'1992-11-16 00:00:00',4,8,12,2009,'M','N','BUTANTA','S PAULO','SP','125252251212471411568931585124610167047',NULL,'9998',0.00,1,3,NULL),(20,5066182,'1990-01-03 00:00:00',4,1,12,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215372431468613572124610114121',8126,'272',61.60,1,3,NULL),(20,5066190,'1992-07-30 00:00:00',2,1,12,2009,'F','N','JARDIM RIO PRETO','TANGARÁ SERRA','MT','111112111116371531459932246314610167017',14116,'9998',46.44,1,3,NULL),(20,5066212,'1990-11-01 00:00:00',4,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161211471421368612375114610138045',NULL,'9998',0.00,1,3,NULL),(20,5066220,'1992-10-29 00:00:00',2,5,10,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431353312275115610168177',26,'226',93.53,1,3,NULL),(20,5066239,'1990-06-01 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162241216572431459912375122610164175',2926,'269',72.56,1,3,NULL),(20,5066247,'1988-07-14 00:00:00',2,4,12,2005,'F','N','CENTRO','IVATÉ','PR','116161161145572431536613575112610126147',8166,'9998',60.32,1,2,1),(20,5066255,'1989-09-13 00:00:00',4,8,12,2007,'M','N','SANTA FÉ','VINHEDO','SP','125252251216371731458834572122141127043',NULL,'9998',41.97,1,3,NULL),(20,5066263,'1989-10-27 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242244215373411388832571122132638092',14069,'262',50.26,1,3,NULL),(20,5066280,'1992-05-23 00:00:00',4,1,12,2009,'M','N','SUDOESTE','CRUZEIRO','DF','107162071217131531259923435121610137017',NULL,'9998',0.00,1,3,NULL),(20,5066298,'1991-07-29 00:00:00',4,2,12,2008,'F','N','DOS ESTADOS','INDAIAL','SC','124242241215372431489914275114133234092',10978,'855',53.63,1,3,NULL),(20,5066310,'1991-01-30 00:00:00',2,1,11,2008,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241136272421435931245115610141197',NULL,'712',30.04,1,2,1),(20,5066328,'1979-03-24 00:00:00',2,8,12,1998,'F','N','PORTÃO','CURITIBA','PR','116161164116573411133543235112141362097',3952,'9998',68.54,1,2,1),(20,5066336,'1986-12-26 00:00:00',4,1,11,2004,'M','N','CENTRO','GUARAREMA','SP','125254251217473431458831575122141461077',901,'9998',81.87,1,3,NULL),(20,5066344,'1991-10-16 00:00:00',4,1,12,2009,'F','N','CENTRO','HOLAMBRA','SP','125252251215111731547614572122610167072',NULL,'9998',0.00,1,3,NULL),(20,5066379,'1992-07-19 00:00:00',2,3,11,2009,'F','N','CEDRO','CAMBORIÚ','SC','124243241217151431336633574121610168192',12035,'1045',54.32,1,3,NULL),(20,5066387,'1992-07-29 00:00:00',4,1,12,2009,'F','N','UBERABA','CURITIBA','PR','116163161116151411456833371122610126092',NULL,'9998',0.00,4,3,NULL),(20,5066395,'1989-11-06 00:00:00',4,1,12,2007,'M','N','JARDIM GRANJA OLGA','SOROCABA','SP','125252251215571431378814575124610117181',NULL,'9998',NULL,1,3,NULL),(20,5066409,'1989-12-12 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241215372431326624575112610167012',10905,'497',54.86,3,3,NULL),(20,5066417,'1992-07-29 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215121431345611292112610124092',8668,'1118',60.20,1,3,NULL),(20,5066425,'1991-04-08 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215472431548832572224610127072',7810,'262',60.72,1,3,NULL),(20,5066433,'1992-01-11 00:00:00',4,5,12,2009,'F','N','PIO CORRÊA','CRICIÚMA','SC','124242241215272431568614571122610122095',13589,'211',48.58,1,3,NULL),(20,5066441,'1991-04-15 00:00:00',4,1,12,2008,'M','N','CENTRO','S BENTO SUL','SC','124242241217472621468912575314610157162',658,'270',83.50,1,3,NULL),(20,5066450,'1990-12-14 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241315372431436627575124131042112',5320,'1022',66.50,1,3,NULL),(20,5066468,'1991-02-24 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431348821575124131422017',1330,'270',79.60,1,3,NULL),(20,5066476,'1993-06-10 00:00:00',2,8,12,2009,'F','N','VILA NOVA','JOINVILLE','SC','124241241215111431534412225124610126142',12049,'457',54.30,1,3,NULL),(20,5066484,'1993-06-30 00:00:00',4,2,2,2010,'M','N','ASILO','BLUMENAU','SC','124244244217111412579914345122610127117',12493,'909',53.36,1,3,NULL),(20,5066492,'1987-04-18 00:00:00',4,1,12,2004,'M','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124244241417455431538933495124120768057',11935,'935',54.49,1,3,NULL),(20,5066506,'1992-02-06 00:00:00',4,8,12,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215121431548832574125610166142',7640,'9998',62.55,1,3,NULL),(20,5066514,'1990-11-21 00:00:00',4,8,12,2008,'M','N','BAIRRO AHU','CURITIBA','PR','116242241215471431289834572114610167016',760,'1063',81.91,1,3,NULL),(20,5066522,'1993-02-24 00:00:00',4,15,11,2009,'F','N','JARDIM ITÁLIA','MELEIRO','SC','124244241215271431556932575124610128142',13147,'970',50.84,1,3,NULL),(20,5066530,'1992-02-10 00:00:00',4,4,12,2008,'M','N','CENTRO','CHAPECÓ','SC','124244246216371231456932575122610117052',15990,'1094',44.17,1,3,NULL),(20,5066549,'1992-06-25 00:00:00',4,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241225111432426634575124610118145',NULL,'262',28.08,1,3,NULL),(20,5066557,'1990-04-14 00:00:00',4,1,12,2007,'F','N','PQ HIGIENOPOLIS','PRES PRUDENTE','SP','125252251217573431558914575124610162097',4738,'9998',68.51,1,3,NULL),(20,5066565,'1992-08-17 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121412456614275124610134077',NULL,'738',25.12,1,3,NULL),(20,5066581,'1990-08-30 00:00:00',4,1,11,2007,'F','N','AREIAS','S JOSÉ','SC','124242241215573431469933594122133227151',57,'737',91.32,1,3,NULL),(20,5066590,'1992-02-27 00:00:00',4,1,11,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217112431488619595124610167095',5242,'270',66.49,1,3,NULL),(20,5066603,'1991-12-16 00:00:00',4,1,11,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217312431459713575124610164012',NULL,'723',42.76,1,3,NULL),(20,5066611,'1985-04-10 00:00:00',4,1,12,2002,'M','N','NOVA REDENTORA','S JOSÉ R PRETO','SP','125252251216472431458876485122343227067',NULL,'9998',0.00,1,3,NULL),(20,5066620,'1983-09-09 00:00:00',4,8,12,2002,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124242241211372411468414274112343262042',6511,'441',63.08,1,3,NULL),(20,5066638,'1988-07-20 00:00:00',4,1,12,2005,'F','N','CENTRO','TIJUCAS','SC','124242241216472431438833394124131063182',2767,'948',74.23,4,3,NULL),(20,5066654,'1991-01-17 00:00:00',2,1,12,2008,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241116142431336614345124610124142',NULL,'732',20.16,1,2,1),(20,5066689,'1992-12-16 00:00:00',4,8,11,2009,'F','N','BUCAREIN','JOINVILLE','SC','124141241416131411543616572124610144147',NULL,'489',27.41,1,3,NULL),(20,5066697,'1991-12-23 00:00:00',4,7,12,2008,'M','N','CENTRO','FAXINAL GUEDES','SC','124241241345473431356614374125610134057',NULL,'255',26.50,1,3,NULL),(20,5066700,'1990-12-07 00:00:00',4,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116242161211573431578831574124610167122',1120,'9998',80.31,1,3,NULL),(20,5066719,'1992-08-30 00:00:00',4,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124241241227131431423311371124610124037',10566,'262',54.63,1,3,NULL),(20,5066727,'1992-08-27 00:00:00',4,8,12,2009,'F','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124244241435111441346923275124610134142',10555,'1174',55.21,1,3,NULL),(20,5066735,'1992-01-06 00:00:00',4,8,11,2009,'F','N','PORTAO','CURITIBA','PR','116161161236111731426424345124610167042',NULL,'9998',25.30,4,3,NULL),(20,5066743,'1992-03-02 00:00:00',2,3,12,2009,'M','N','IGREJINHA','APUCARANA','PR','116162161216271411568934575125611467032',6548,'9998',62.99,4,3,NULL),(20,5066751,'1992-12-23 00:00:00',4,6,11,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241212372431269931575122610124142',NULL,'394',0.00,1,3,NULL),(20,5066760,'1992-08-26 00:00:00',4,1,12,2009,'M','N','DOS ESTADOS','GUARAPUAVA','PR','116162161217321731468935575122610123124',NULL,'9998',0.00,1,3,NULL),(20,5066778,'1992-08-09 00:00:00',4,1,12,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241116141431436612525124610124142',16037,'733',40.49,1,2,1),(20,5066786,'1992-09-26 00:00:00',2,1,12,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241248115111411637311242224610143147',NULL,'592',16.03,1,2,1),(20,5066808,'1992-09-10 00:00:00',4,8,12,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241215123431469814572122610124142',160,'1063',88.75,1,3,NULL),(20,5066824,'1991-02-03 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472411468833575124610167113',2486,'1050',74.47,1,3,NULL),(20,5066832,'1992-03-12 00:00:00',4,5,11,2009,'F','N','PIO CORREA','CRICIÚMA','SC','124242241215111431459834274112610123142',2659,'213',73.49,1,3,NULL),(20,5066840,'1989-01-25 00:00:00',4,15,12,2006,'F','N','CENTRO','TORRES','RS','120201201116132631637311292224610132187',NULL,'9998',40.97,1,2,1),(20,5066859,'1990-08-12 00:00:00',2,1,11,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241216573731546639572124233222091',1403,'723',78.47,1,3,NULL),(20,5066875,'1991-04-09 00:00:00',4,1,12,2008,'F','N','FLORESTA','S JOSÉ','SC','124243241211372431336613394224610163057',9124,'1022',56.22,1,3,NULL),(20,5066883,'1992-09-11 00:00:00',4,1,12,2009,'M','N','JARDIM APOLO','S JOSÉ CAMPOS','SP','125252251217171631488833495122610167187',11964,'9998',51.49,1,3,NULL),(20,5066891,'1991-03-16 00:00:00',2,1,12,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215113431367613575124610137052',11847,'1022',52.64,1,3,NULL),(20,5066905,'1992-04-16 00:00:00',2,1,11,2009,'M','N','TRINTA RÉIS','NOVA TRENTO','SC','124244241416113332466613495124610167067',4128,'109',69.97,1,3,NULL),(20,5066913,'1992-07-24 00:00:00',4,8,12,2009,'M','N','SÃO LUÍS','JARAGUÁ SUL','SC','124242241217151431354823575124610137012',9668,'1061',54.83,1,3,NULL),(20,5066921,'1991-12-09 00:00:00',2,2,12,2008,'M','N','CRUZEIRO','RIO CAMPO','SC','124241242116371431333629575122610117182',NULL,'662',19.24,1,3,NULL),(20,5066948,'1990-02-22 00:00:00',4,1,12,2008,'M','N','VILA PAULICEIA','S PAULO','SP','125252253216471441478834445124610164077',NULL,'9998',0.00,1,3,NULL),(20,5066956,'1992-02-12 00:00:00',4,6,11,2009,'M','N','PRAIA BRAVA','ITAJAÍ','SC','124242241215111431328812475112610137115',12168,'1038',54.04,1,3,NULL),(20,5066964,'1990-04-26 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241217273431348823472114131464185',7329,'1022',61.06,1,3,NULL),(20,5066972,'1989-01-24 00:00:00',4,1,12,2006,'F','N','JD COLOMBO','S PAULO','SP','125252251215571431466924275112610135077',6459,'9998',61.89,1,3,NULL),(20,5066999,'1992-09-18 00:00:00',4,1,11,2009,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215112431338823575114610121111',8521,'883',59.58,1,3,NULL),(20,5067006,'1993-01-16 00:00:00',4,2,11,2009,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215273731489932374125610137062',366,'855',85.78,1,3,NULL),(20,5067014,'1991-12-23 00:00:00',4,1,12,2009,'M','N','HUMAITÁ','RIO JANEIRO','RJ','121214211126271431469833575124610167182',NULL,'9998',0.00,1,3,NULL),(20,5067022,'1992-08-05 00:00:00',4,7,12,2009,'F','N','COLINA DA LAGOA','LGA VERMELHA','RS','120203201216111431449619391122610127147',NULL,'9998',0.00,1,3,NULL),(20,5067030,'1991-12-11 00:00:00',5,8,12,2008,'F','N','VILA NOVA','JOINVILLE','SC','124244241217372431344633234122610162092',1537,'1016',78.73,1,3,NULL),(20,5067049,'1991-07-08 00:00:00',4,1,11,2008,'M','N','ALVORADA','FRANCISCO BELTRÃO','PR','116162161217471411448931571114610164012',353,'9998',85.33,1,3,NULL),(20,5067057,'1991-09-30 00:00:00',4,1,12,2008,'M','N','RETIRO VALE DO SOL','EMBU','SP','125253251116471431566914275112610164047',NULL,'9998',0.00,1,3,NULL),(20,5067065,'1992-02-02 00:00:00',2,15,12,2009,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241215371731335914382122610127047',15736,'26',42.98,1,3,NULL),(20,5067073,'1991-12-26 00:00:00',4,1,12,2008,'F','N','CENTRO','CURITIBA','PR','116242241217472531529816575125610143075',NULL,'885',0.00,4,3,NULL),(20,5067081,'1990-01-31 00:00:00',4,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116166168615472211363432591115610168187',1135,'9998',79.80,1,3,NULL),(20,5067090,'1991-11-16 00:00:00',4,1,11,2009,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242241215121431688811575114610126113',10507,'270',57.22,1,3,NULL),(20,5067103,'1989-01-24 00:00:00',2,1,12,2005,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241116175431436613375124610161097',NULL,'278',24.18,1,2,1),(20,5067111,'1991-03-02 00:00:00',4,1,12,2008,'M','N','ASA SUL','BRASÍLIA','DF','107072071217371711688921575122610164022',4192,'9998',68.57,1,3,NULL),(20,5067138,'1992-02-28 00:00:00',4,1,11,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215472731478613371124610166185',109,'270',89.90,1,3,NULL),(20,5067146,'1987-02-18 00:00:00',4,1,12,2005,'F','N','VILA MARIANA','S PAULO','SP','125042046436471441667912571125142447147',1475,'9998',78.10,1,3,NULL),(20,5067154,'1988-03-06 00:00:00',2,8,12,2005,'F','N','JARDIM NOVE DE JULHO','S PAULO','SP','125252251217571431464931576124610167017',NULL,'9998',0.00,1,3,NULL),(20,5067189,'1991-01-01 00:00:00',2,1,12,2007,'F','N','CENTRO','LONDRINA','PR','116162161216571431489819575122610166122',4742,'9998',68.24,1,3,NULL),(20,5067197,'1991-04-04 00:00:00',4,1,12,2008,'M','N','CAMBUI','CAMPINAS','SP','125252251212471711458833575112610167112',NULL,'9998',0.00,1,3,NULL),(20,5067200,'1993-01-20 00:00:00',4,2,10,2009,'F','N','VELHA','BLUMENAU','SC','124242241117222431468933576114610163182',NULL,'855',30.74,1,3,NULL),(20,5067219,'1990-08-30 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241215373411226613192324510147047',3662,'807',71.72,1,3,NULL),(20,5067235,'1991-11-04 00:00:00',4,1,12,2008,'F','N','CAMPO GRANDE','SANTOS','SP','125252251216471431379911572112610132196',NULL,'9998',0.00,1,3,NULL),(20,5067243,'1990-07-20 00:00:00',2,3,12,2007,'F','N','CENTRO','LONDRINA','PR','116162161216572431448817575122610164142',1874,'9998',76.65,1,3,NULL),(20,5067251,'1990-11-05 00:00:00',4,8,12,2008,'F','N','BELA VISTA','S PAULO','SP','125252251216471431477812575112610165176',NULL,'9998',0.00,1,3,NULL),(20,5067278,'1989-01-24 00:00:00',2,8,12,2006,'F','N','BUTANTA','S PAULO','SP','125252251116571441548931545122242664094',NULL,'9998',0.00,1,3,NULL),(20,5067294,'1992-12-19 00:00:00',4,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124241241125131711326629392125610123142',NULL,'783',14.02,1,3,NULL),(20,5067308,'1992-07-23 00:00:00',2,4,12,2009,'M','N','CENTRO','PALMAS','PR','116162161215121431355916495122610137042',NULL,'9998',0.00,1,3,NULL),(20,5067332,'1990-12-09 00:00:00',2,8,7,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116162167216471441356622575124610124122',16132,'9998',40.26,1,3,NULL),(20,5067340,'1991-03-12 00:00:00',4,1,12,2008,'F','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251217471731489714575112610163187',3448,'9998',71.09,1,3,NULL),(20,5067359,'1990-06-28 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215373431578933572114610161112',3259,'270',72.72,1,3,NULL),(20,5067367,'1992-09-20 00:00:00',2,4,12,2009,'F','N','AGOSTINI','S MIGUEL OESTE','SC','124242241216151431447614375122610164147',NULL,'752',0.00,1,3,NULL),(20,5067375,'1984-05-04 00:00:00',2,1,12,2002,'M','N','ARMAÇÃO DO PANT SUL','FLORIANÓPOLIS','SC','224201201137272421226644341133140867052',NULL,'9998',16.34,1,3,NULL),(20,5067383,'1991-09-05 00:00:00',4,8,11,2008,'F','N','JARDIM AMÉRICA','PNT GROSSA','PR','116162161216471211479813574112610163017',NULL,'9998',0.00,1,3,NULL),(20,5067391,'1991-12-11 00:00:00',2,8,12,2008,'F','N','VILA GUAIRA','CURITIBA','PR','116161161115571431434611375124610124147',10321,'9998',54.65,1,2,1),(20,5067405,'1985-12-18 00:00:00',4,1,12,2003,'M','N','KOBRASOL','S JOSÉ','SC','124242241215373751687929445122130262047',7249,'272',63.32,1,3,NULL),(20,5067413,'1985-11-27 00:00:00',2,9,12,2003,'F','N','SANTA CORONA','CAXIAS SUL','RS','120201201137571731336319194224610163057',NULL,'9998',28.34,1,2,1),(20,5067421,'1992-07-21 00:00:00',4,1,12,2009,'M','N','COLINA VERDE','LONDRINA','PR','116164161217111431337711576124610164177',2883,'9998',72.08,1,3,NULL),(20,5067456,'1991-09-29 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215131431568812572124610127042',1466,'262',79.01,3,3,NULL),(20,5067464,'1993-04-15 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124102241215121431368831575115610134112',14617,'270',48.96,1,3,NULL),(20,5067472,'1992-09-03 00:00:00',4,1,11,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241117271431448914575124610137062',155,'271',88.95,1,3,NULL),(20,5067480,'1991-03-30 00:00:00',2,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241215111431247614182124610127187',NULL,'1022',23.53,1,3,NULL),(20,5067499,'1989-05-08 00:00:00',2,1,12,2006,'M','N','LIBERDADE','S PAULO','SP','112122121211571431348921271325610117097',NULL,'9998',0.00,1,3,NULL),(20,5067502,'1990-06-21 00:00:00',2,1,7,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243247331141431423311291124610165057',NULL,'9999',43.05,1,3,NULL),(20,5067510,'1992-05-06 00:00:00',4,5,12,2009,'M','N','BELLA VISTA','S LUDGERO','SC','124241241135371431416422575121610127147',NULL,'748',14.23,1,2,1),(20,5067529,'1990-05-06 00:00:00',4,8,12,2007,'F','N','JUVEVÊ','CURITIBA','PR','116162161214571731159811581114610146097',3369,'9998',71.42,1,3,NULL),(20,5067537,'1990-01-27 00:00:00',4,1,10,2007,'F','N','CAMPINAS','S JOSÉ','SC','124242241216573431538724575122610134077',1766,'1022',76.76,1,3,NULL),(20,5067553,'1992-07-01 00:00:00',4,1,11,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241215122731469913595124610137052',4574,'272',68.00,1,3,NULL),(20,5067561,'1993-02-26 00:00:00',2,10,12,2009,'F','N','OFICINAS','TUBARÃO','SC','124241241111271431325511575122610142057',NULL,'1034',26.73,1,2,1),(20,5067570,'1991-05-03 00:00:00',4,1,11,2008,'F','N','CENTRO CÍVICO','CURITIBA','PR','116052051116471431546616572124610136057',3752,'9998',69.79,1,3,NULL),(20,5067588,'1991-07-17 00:00:00',2,1,12,2008,'F','N','PARTENON','PTO ALEGRE','RS','120202201217571731447832581114610142147',11121,'9998',53.85,1,3,NULL),(20,5067596,'1992-06-16 00:00:00',4,1,12,2009,'M','N','JARDIM MARABÁ','ITAPETININGA','SP','125254251216111531435815575112610167044',16260,'9998',41.54,3,3,NULL),(20,5067600,'1974-11-12 00:00:00',2,1,12,1990,'F','N','PINGUIRITO','GAROPABA','SC','224201201116131421337349344112141267187',12786,'9998',52.77,1,2,1),(20,5067618,'1992-01-05 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215472431379613575114610163187',9002,'262',56.77,1,3,NULL),(20,5067626,'1988-09-14 00:00:00',4,8,12,2006,'F','N','JARDIM APOLO','S JOSÉ CAMPOS','SP','125252251217571731458912572115610167072',8839,'9998',59.79,1,3,NULL),(20,5067634,'1992-07-16 00:00:00',4,1,11,2009,'M','N','CENTRO','FRAIBURGO','SC','624242241217162431269931391115610134142',13371,'885',49.10,1,3,NULL),(20,5067642,'1991-06-28 00:00:00',4,1,12,2008,'F','N','PERDIZES','S PAULO','SP','125252251217471411588824571114610126097',3451,'9998',70.38,1,3,NULL),(20,5067650,'1993-09-07 00:00:00',4,2,11,2010,'M','S','ITOUPAVA CENTRAL','BLUMENAU','SC','124244241217111431467831575124610148017',NULL,'87',47.96,1,3,NULL),(20,5067669,'1991-10-10 00:00:00',4,1,11,2008,'F','N','CENTRO','STO CRISTO','RS','120203201216372431549912575124242226142',11192,'9998',53.42,1,3,NULL),(20,5067677,'1991-06-23 00:00:00',2,1,12,2008,'F','N','BELA VISTA III','S JOSÉ','SC','124241241216474431439814574124610123057',7701,'738',60.49,1,3,NULL),(20,5067685,'1990-09-12 00:00:00',4,6,12,2007,'F','N','CENTRO','CASCAVEL','PR','116113111217571431439933575125610122077',1426,'9998',78.72,1,3,NULL),(20,5067693,'1992-11-24 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215112431338614575124610144091',9242,'270',59.53,1,3,NULL),(20,5067707,'1991-12-31 00:00:00',4,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215271431458513275124610134147',NULL,'1075',21.88,1,3,NULL),(20,5067715,'1988-08-16 00:00:00',2,1,12,2007,'F','N','VILA SAO JORGE','TAMBAÚ','SP','125252251211571431468832571114610122187',6980,'9998',62.54,1,3,NULL),(20,5067723,'1990-09-01 00:00:00',4,1,12,2008,'F','N','VILA MARIANA','S PAULO','SP','125252251217471431487811571115610133186',NULL,'9998',0.00,3,3,NULL),(20,5067731,'1991-05-13 00:00:00',4,8,11,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161216571431589812581122610117092',NULL,'9998',0.00,1,3,NULL),(20,5067740,'1992-05-22 00:00:00',4,9,12,2009,'F','N','IPIRANGA','LAGES','SC','124242241216111431458639472122610111142',15385,'515',43.52,1,3,NULL),(20,5067758,'1990-12-19 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116242161216573731479931571124610142112',775,'9998',82.27,1,3,NULL),(20,5067774,'1990-12-18 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241135473431544834145114133224091',1339,'267',79.56,1,3,NULL),(20,5067782,'1991-04-16 00:00:00',4,8,12,2008,'F','N','BUCAREIN','JOINVILLE','SC','124242251216372431239921415124610144117',NULL,'486',0.00,1,3,NULL),(20,5067790,'1992-06-25 00:00:00',2,1,12,2009,'M','N','CENTRO','FRAIBURGO','SC','124242241217151431348812275125610168057',NULL,'885',0.00,1,3,NULL),(20,5067804,'1992-05-11 00:00:00',2,3,12,2009,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124242241215112431666631375112610167187',NULL,'1038',0.00,1,3,NULL),(20,5067812,'1990-01-22 00:00:00',4,8,12,2007,'F','N','CONJ RES INOCOP','PINHAIS','PR','116162161217571731466834575112610168182',NULL,'9998',0.00,1,3,NULL),(20,5067820,'1990-08-18 00:00:00',3,17,12,2009,'M','N','SÃO BASÍLIO MAGNO','UNIÃO VITÓRIA','PR','116162166115251431433612275124610124072',3143,'9998',71.54,1,3,NULL),(20,5067839,'1991-02-21 00:00:00',2,1,12,2008,'F','N','EVANGELISTA','CASCA','RS','120201201116471431426336462112610137192',NULL,'9998',32.88,1,2,1),(20,5067847,'1992-10-28 00:00:00',4,8,11,2009,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241115371711524624275124610135142',NULL,'465',23.73,1,2,1),(20,5067855,'1992-09-29 00:00:00',4,2,11,2009,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241215112441459714375125610127142',5312,'855',65.23,1,3,NULL),(20,5067871,'1992-01-23 00:00:00',2,17,12,2008,'M','N','REBOUÇAS','CURITIBA','PR','116161241215471431528823571125610126092',4725,'632',67.23,1,3,NULL),(20,5067880,'1987-04-29 00:00:00',2,1,7,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241247216152431238823575124121844031',7067,'9999',61.46,1,3,NULL),(20,5067898,'1990-08-17 00:00:00',4,1,12,2008,'M','N','IMIRIM','S PAULO','SP','125252251216411331444819595114610164042',5428,'9998',66.08,3,3,NULL),(20,5067901,'1990-05-23 00:00:00',2,1,11,2008,'F','N','FLORESTA','S JOSÉ','SC','124241248115471231326433571124610127182',NULL,'734',17.48,1,2,1),(20,5067910,'1993-04-17 00:00:00',4,1,11,2010,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217212431579933595122610162042',NULL,'951',68.45,3,3,NULL),(20,5067928,'1989-10-03 00:00:00',4,1,12,2007,'F','N','VILA JACI','S JOSÉ CAMPOS','SP','125252251215471432369613575112241431012',3906,'9998',70.65,3,3,NULL),(20,5067936,'1991-09-18 00:00:00',4,7,12,2008,'F','N','TINGUI','CURITIBA','PR','116162161215571411569934371122610127056',1090,'9998',80.19,1,3,NULL),(20,5067944,'1990-05-24 00:00:00',4,1,12,2007,'F','N','VILA LEOPOLDINA','S PAULO','SP','125256251215371432468834571112610162143',NULL,'9998',0.00,1,3,NULL),(20,5067952,'1990-10-20 00:00:00',2,1,12,2007,'M','N','PARTENON','PTO ALEGRE','RS','120114111216472441348614475124141464067',7803,'9998',59.25,1,3,NULL),(20,5067960,'1993-04-04 00:00:00',2,4,12,2009,'F','N','BELA VISTA','CEL MARTINS','SC','124243241315111411539831571125610133177',NULL,'120',26.98,1,3,NULL),(20,5067979,'1991-03-22 00:00:00',4,1,12,2008,'M','N','PARQUE DA REPRESA','JUNDIAÍ','SP','125252256216471731558734295124610168143',NULL,'9998',0.00,1,3,NULL),(20,5067987,'1990-12-24 00:00:00',2,1,12,2007,'F','N','SANTA CECILIA','VIAMÃO','RS','120202201216141711334721215124143243182',NULL,'9998',0.00,1,3,NULL),(20,5067995,'1991-12-05 00:00:00',4,16,12,2008,'F','N','SANTO ANTONIO','FRAIBURGO','SC','116242241216371431358514575124610136092',10182,'317',55.85,1,3,NULL),(20,5068002,'1992-05-14 00:00:00',4,9,11,2008,'M','N','CORAL','LAGES','SC','124242241211111721349931591125131418052',5365,'497',66.81,1,3,NULL),(20,5068037,'1993-11-02 00:00:00',4,2,12,2010,'F','S','VICTOR KONDER','BLUMENAU','SC','124242241217151731489813472122610123115',NULL,'855',0.00,1,3,NULL),(20,5068045,'1990-12-05 00:00:00',4,1,12,2007,'M','N','VILA IZABEL','CURITIBA','PR','116162161217571221458831571124610167017',NULL,'9998',0.00,1,3,NULL),(20,5068053,'1992-12-16 00:00:00',4,8,12,2009,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215141432439713575124610122072',NULL,'861',26.11,1,3,NULL),(20,5068061,'1991-12-02 00:00:00',4,8,12,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161214571741336831594124610162097',5811,'9998',66.43,1,3,NULL),(20,5068070,'1990-12-01 00:00:00',2,1,12,2008,'F','N','CENTRO','LUÍS E MAGALHÃES','BA','105241051416472431425614245324610138197',10120,'9998',56.21,1,3,NULL),(20,5068088,'1991-06-29 00:00:00',4,1,12,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215373431436915375122610152072',3496,'270',71.27,1,3,NULL),(20,5068096,'1991-03-03 00:00:00',4,1,12,2008,'M','N','CHACARA BELENZINHO','S PAULO','SP','125254251416471411568634496125610162182',NULL,'9998',0.00,1,3,NULL),(20,5068100,'1990-07-28 00:00:00',2,1,11,2007,'M','N','ROSARIO','STA MARIA','RS','120203208346473751233329575112610164042',4972,'9998',67.22,1,3,NULL),(20,5068118,'1991-05-15 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124241241117141431625336242124130227057',NULL,'17',0.00,1,2,1),(20,5068126,'1990-09-27 00:00:00',4,8,12,2007,'M','N','CENTRO','GUARATUBA','PR','116164161217572431458632574124610137122',898,'9998',81.10,1,3,NULL),(20,5068142,'1991-11-14 00:00:00',4,1,11,2008,'F','N','SANTANA','S PAULO','SP','125252251217471411478934571114610124146',4931,'9998',66.69,1,3,NULL),(20,5068150,'1992-10-22 00:00:00',4,6,10,2009,'M','N','CENTRO','ITAJAÍ','SC','116162161216121431368832571112610162092',601,'9998',83.56,1,3,NULL),(20,5068177,'1989-03-17 00:00:00',4,1,12,2006,'F','N','BATEL','CURITIBA','PR','116162168616572751456819595122613228172',NULL,'244',0.00,1,3,NULL),(20,5068185,'1992-04-24 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241117471411358933575124610164042',2820,'307',74.06,1,2,1),(20,5068193,'1988-06-27 00:00:00',4,5,12,2005,'F','N','PINHEIRINHO','CRICIÚMA','SC','124242241217372441334839495124231422092',NULL,'208',0.00,1,3,NULL),(20,5068207,'1991-09-17 00:00:00',4,1,12,2008,'F','N','MOOCA','S PAULO','SP','125252251215571431668814572125610124187',3101,'9998',70.33,1,3,NULL),(20,5068215,'1990-12-16 00:00:00',4,1,12,2008,'M','N','JARDIM LEOCÁDIA','SOROCABA','SP','125254251416471431559811571122610164052',4977,'9998',65.90,1,3,NULL),(20,5068223,'1991-03-09 00:00:00',2,8,12,2008,'M','N','VILA ISABEL','CURITIBA','PR','116121161215472411544414491114610164092',7870,'9998',60.31,1,3,NULL),(20,5068231,'1992-06-30 00:00:00',4,2,12,2009,'M','N','CANTA GALO','RIO SUL','SC','124241241217132431439934475121610147147',4868,'654',67.81,1,3,NULL),(20,5068240,'1991-10-06 00:00:00',4,8,11,2008,'F','N','JARDIM IMPERIAL','MARINGÁ','PR','116162161215471431469932572125610164092',NULL,'9998',45.70,1,3,NULL),(20,5068258,'1991-09-28 00:00:00',4,1,12,2008,'M','N','CENTRO','S CARLOS','SP','125252251215471411448831571125610167042',3628,'9998',69.64,1,3,NULL),(20,5068266,'1992-11-18 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','116162161217112431467831572112610162196',NULL,'9998',0.00,3,3,NULL),(20,5068274,'1990-05-31 00:00:00',4,1,12,2007,'F','N','SANTO INÁCIO','CURITIBA','PR','116162161237272431458613572114610142112',4862,'9998',67.26,1,3,NULL),(20,5068290,'1990-03-28 00:00:00',4,1,12,2007,'M','N','JARDIM PAULICÉIA','CAMPINAS','SP','125252251217371431435833575124610123057',7776,'9998',60.07,1,3,NULL),(20,5068304,'1992-07-21 00:00:00',4,1,12,2009,'M','N','JARDIM AQUÁIUS','S JOSÉ CAMPOS','SP','125252251217111431568814375122610127047',11531,'9998',52.93,1,3,NULL),(20,5068312,'1991-10-19 00:00:00',4,2,12,2008,'F','N','VILA NOVA','BLUMENAU','SC','124242241236272431446712345114132064187',NULL,'909',0.00,1,3,NULL),(20,5068320,'1982-09-03 00:00:00',4,8,12,1999,'M','N','CENTRO','PALMEIRA','PR','116163161216571411246923432124341524117',NULL,'9997',0.00,1,3,NULL),(20,5068347,'1992-10-29 00:00:00',2,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241217111752469913575124610167047',3601,'1022',71.48,1,3,NULL),(20,5068355,'1993-01-17 00:00:00',4,4,12,2009,'M','N','CENTRO','PINHALZINHO','SC','124241241115111431553619245122610127057',NULL,'1032',22.81,1,2,1),(20,5068363,'1991-07-02 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215111231249677335124610147042',NULL,'1118',27.38,1,3,NULL),(20,5068371,'1992-04-11 00:00:00',4,1,12,2009,'M','N','VILA HORIZONTE','MOGI CRUZES','SP','125252251216111422479913572124610161117',10941,'9998',52.19,4,3,NULL),(20,5068398,'1993-05-25 00:00:00',4,8,12,2010,'F','S','AMÉRICA','JOINVILLE','SC','124242241217111731488933575112610124075',NULL,'1063',55.22,1,3,NULL),(20,5068401,'1990-01-19 00:00:00',4,1,12,2007,'F','N','LURDES','CAXIAS SUL','RS','120202201216471431449614575122610132147',1011,'9998',81.14,1,3,NULL),(20,5068410,'1988-11-14 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124113161416572751458911575114610162197',1956,'9998',77.05,1,3,NULL),(20,5068428,'1992-08-22 00:00:00',4,16,12,2009,'M','N','BOSQUE','CURITIBANOS','SC','124243241115472431568713572122610167042',NULL,'239',40.09,1,3,NULL),(20,5068436,'1993-04-20 00:00:00',4,5,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215111741468912425122610123113',14132,'226',50.11,1,3,NULL),(20,5068444,'1979-01-08 00:00:00',2,1,12,1997,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248116151411536443435124332735087',NULL,'182',25.20,1,3,NULL),(20,5068452,'1992-11-18 00:00:00',4,1,12,2009,'F','N','JURERE','FLORIANÓPOLIS','SC','124242241215112731338821593124610113043',NULL,'270',29.77,1,3,NULL),(20,5068460,'1991-02-15 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215372431489933575122232427122',21,'299',94.40,1,3,NULL),(20,5068479,'1992-02-05 00:00:00',4,1,11,2009,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124242241215121431469923575112610162181',NULL,'270',41.89,1,3,NULL),(20,5068487,'1992-01-16 00:00:00',4,5,12,2009,'M','N','CENTRO','URUSSANGA','SC','624242241215112411469913575122610162042',8286,'226',58.66,1,3,NULL),(20,5068495,'1991-03-25 00:00:00',4,1,12,2008,'M','N','CENTRO','LEME','SP','125252251217471431438811585121141032014',NULL,'9998',0.00,1,3,NULL),(20,5068509,'1987-10-14 00:00:00',4,1,12,2005,'M','N','VILA MARIANA','S PAULO','SP','125042046216471441356631575125142422096',39,'9998',92.12,1,3,NULL),(20,5068517,'1990-12-27 00:00:00',4,1,12,2009,'F','N','VILA BARTH','ITAPETININGA','SP','125252251215571431569414571112610168097',119,'9998',89.70,1,3,NULL),(20,5068525,'1992-05-14 00:00:00',4,4,12,2009,'F','N','CANTRO','MARAVILHA','SC','124243241215161531338833392125610166192',NULL,'1037',27.03,1,3,NULL),(20,5068533,'1989-04-27 00:00:00',4,1,12,2006,'M','N','VILA MORAES','S PAULO','SP','125252251215571431378716295125610164017',NULL,'9998',0.00,4,3,NULL),(20,5068541,'1991-03-11 00:00:00',4,1,12,2008,'F','N','JARDIM VALPARAIBA','S JOSÉ CAMPOS','SP','125251256237471441356614371124610166097',14519,'9998',46.42,1,3,NULL),(20,5068550,'1991-04-03 00:00:00',4,8,12,2009,'M','N','GUABIROTUBA','CURITIBA','PR','116162161215112311548811474122610167032',8385,'9998',59.81,3,3,NULL),(20,5068568,'1987-12-12 00:00:00',4,1,12,2005,'M','N','CAPÃO DA IMBUIA','CURITIBA','PR','116162161244575441349813175125141466172',413,'9998',84.25,4,3,NULL),(20,5068576,'1989-11-14 00:00:00',4,8,12,2006,'F','N','GUABIROTUBA','CURITIBA','PR','116163161316471431338823571122241566092',5439,'9998',63.92,1,3,NULL),(20,5068584,'1990-04-30 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124252251217371431448714372114143227112',NULL,'9998',34.54,1,3,NULL),(20,5068592,'1991-07-27 00:00:00',4,8,11,2008,'F','N','CENTRO','S FRANCISCO SUL','SC','124244241216373731458819594124610164092',10678,'486',54.12,1,3,NULL),(20,5068606,'1991-11-20 00:00:00',2,4,12,2008,'F','N','ALVORADA','XAXIM','SC','124242241316472431436532595122610127192',13022,'994',48.33,1,3,NULL),(20,5068614,'1992-01-24 00:00:00',4,6,11,2009,'M','N','CENTRO','ITAJAÍ','SC','116242161215422431579914171125610165042',2642,'9998',74.29,3,3,NULL),(20,5068622,'1992-01-14 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241311131431537933572114610164017',10319,'307',55.86,1,3,NULL),(20,5068630,'1992-09-04 00:00:00',2,4,12,2009,'F','N','UNIVERSITÁRIO','CHAPECÓ','SC','124241241127271711436614275124610128187',15193,'172',42.82,1,2,1),(20,5068649,'1984-08-02 00:00:00',2,1,12,2002,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124163167347375431247832415123610167182',2464,'9998',74.70,1,3,NULL),(20,5068657,'1992-12-11 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241215111431346822575124610137077',7777,'1022',59.74,1,3,NULL),(20,5068665,'1991-06-28 00:00:00',4,1,11,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124241241112161411323336252344610168142',NULL,'888',0.00,1,3,NULL),(20,5068673,'1992-01-30 00:00:00',4,1,11,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217473431668813572114610117092',578,'270',83.96,1,3,NULL),(20,5068681,'1992-03-17 00:00:00',2,1,12,2009,'F','N','MENINO DEUS','PATO BRANCO','PR','116162161215131431438613471124610161042',12379,'9998',49.89,1,3,NULL),(20,5068690,'1990-10-31 00:00:00',4,8,12,2008,'M','N','PILARZINHO','CURITIBA','PR','124241241215472721569819575124610164063',4097,'1154',68.09,1,3,NULL),(20,5068703,'1989-12-05 00:00:00',4,8,12,2007,'F','N','CENTRO','RIO NEGRINHO','SC','124242241216572431447612575112610162147',1675,'1178',77.92,1,3,NULL),(20,5068720,'1991-03-05 00:00:00',2,1,11,2008,'F','N','CENTRO','PENHA','SC','124242241217473431455732575112610162192',NULL,'1026',27.64,1,3,NULL),(20,5068738,'1992-08-13 00:00:00',2,7,12,2009,'F','N','FARROUPILHA','VIDEIRA','SC','124241241215111331446933572122610134077',NULL,'829',24.01,1,3,NULL),(20,5068746,'1991-08-06 00:00:00',4,8,12,2008,'M','N','AGUA VERDE','CURITIBA','PR','116162168215471431477714371124610167047',12532,'9998',49.48,1,3,NULL),(20,5068754,'1990-03-14 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241316472441259923391124232746182',NULL,'1118',0.00,1,3,NULL),(20,5068762,'1992-03-24 00:00:00',4,8,12,2009,'M','N','VILA A','FOZ IGUAÇU','PR','116162161216411431476913435122610146142',453,'9998',84.94,1,3,NULL),(20,5068770,'1991-05-22 00:00:00',4,1,12,2008,'F','N','MERCÊS','CURITIBA','PR','116162161215472221356912575122610168093',NULL,'9998',23.79,1,3,NULL),(20,5068789,'1990-04-18 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124241241337141411324424442124610164142',NULL,'9999',27.93,1,3,NULL),(20,5068797,'1992-09-17 00:00:00',4,1,11,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241215113411368724575114610122052',210,'1022',87.80,1,3,NULL),(20,5068800,'1992-11-20 00:00:00',4,3,12,2009,'F','N','ZONA SETE','MARINGÁ','PR','116162161215151731458614575122610128012',13689,'9998',46.60,1,3,NULL),(20,5068819,'1992-07-05 00:00:00',2,4,11,2009,'F','N','INTERIOR','VITORINO','PR','116162161216111431545834575122610168147',NULL,'9998',NULL,1,3,NULL),(20,5068827,'1992-12-01 00:00:00',4,15,12,2009,'F','N','PASSO MAGNUS','S JOÃO SUL','SC','124201241134131431563616575124610127052',15533,'717',46.19,1,2,1),(20,5068835,'1993-08-03 00:00:00',4,1,10,2010,'M','S','ZONA SETE','MARINGÁ','PR','116162161215111231579632595122610167043',NULL,'9998',0.00,1,3,NULL),(20,5068843,'1991-05-18 00:00:00',2,4,12,2008,'F','N','CENTRO','STA MARIA','RS','120203201117471431359933471112610162197',NULL,'9998',0.00,1,3,NULL),(20,5068851,'1993-02-05 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731336821572122610138195',9962,'1022',58.21,1,3,NULL),(20,5068860,'1992-09-20 00:00:00',4,8,11,2009,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241115471231469914575112610157041',1801,'1063',76.43,1,3,NULL),(20,5068886,'1992-05-12 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215112431689913572122610116041',NULL,'270',0.00,1,3,NULL),(20,5068908,'1990-12-02 00:00:00',4,1,12,2007,'M','N','CENTRO','LGA VERMELHA','RS','120201201217471731448819592115610167047',13418,'9998',48.57,1,3,NULL),(20,5068916,'1991-09-05 00:00:00',4,3,12,2009,'M','N','CENTRO','CURITIBA','PR','116152161217571411579813575122610137117',3835,'9998',69.52,2,1,2),(20,5068924,'1990-11-27 00:00:00',4,1,12,2009,'F','N','VILA SANTANA','SUMARÉ','SP','125251254116471431468733595124610162033',NULL,'9998',0.00,1,3,NULL),(20,5068940,'1989-11-15 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116122121416571731466614575325613267047',2590,'9998',73.55,1,3,NULL),(20,5068959,'1993-04-07 00:00:00',4,2,10,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116243161415111731228923575114610164092',11903,'9998',51.41,1,3,NULL),(20,5068967,'1991-03-17 00:00:00',2,1,12,2008,'F','N','CENTRO','ALM TAMANDARÉ','PR','116161168116471431423623492224610166197',11057,'9998',52.93,1,3,NULL),(20,5068975,'1992-06-10 00:00:00',4,5,10,2009,'F','N','CENTRO','CRICIÚMA','SC','124244241415111431456639371112610124142',NULL,'213',28.70,1,3,NULL),(20,5068983,'1992-01-10 00:00:00',2,2,12,2009,'F','N','SOUZA CRUZ','BRUSQUE','SC','124244241215273411466822575112610122046',NULL,'107',0.00,1,3,NULL),(20,5069017,'1988-11-28 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124253251217271731117644445224140267047',NULL,'9998',16.49,1,3,NULL),(20,5069025,'1991-12-19 00:00:00',2,1,12,2008,'M','N','TIJUQUINHAS','BIGUAÇU','SC','124241241115273431526613475124610124022',8756,'64',60.43,1,2,1),(20,5069033,'1985-04-26 00:00:00',2,1,12,2002,'F','N','FLORESTA','PTO ALEGRE','RS','120243241211473431546324571344141364077',1971,'752',77.00,1,3,NULL),(20,5069041,'1990-06-07 00:00:00',4,1,12,2008,'F','N','ACLIMAÇÃO','S PAULO','SP','125252257217571431336539575114610163127',NULL,'9998',0.00,3,3,NULL),(20,5069050,'1972-12-18 00:00:00',2,2,5,1991,'F','N','GARCIA','BLUMENAU','SC','124243243426151431433379195124610162171',NULL,'67',26.25,1,3,NULL),(20,5069068,'1991-05-31 00:00:00',4,8,12,2008,'F','N','BAIRRO AHÚ','CURITIBA','PR','116242161215471431588833574114610126172',NULL,'9998',0.00,1,3,NULL),(20,5069076,'1991-05-08 00:00:00',2,1,12,2008,'F','N','SÃO FRANCISCO','S LOURENÇO OESTE','SC','124241241137131431323319282344610118147',NULL,'744',29.75,1,2,1),(20,5069084,'1991-04-26 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241217473441567614574124610136092',19,'1063',94.91,1,3,NULL),(20,5069092,'1991-06-12 00:00:00',2,8,12,2008,'F','N','ÓRFÃS','PNT GROSSA','PR','116162161216371431536832572122243268192',12491,'9998',50.13,1,3,NULL),(20,5069106,'1991-05-07 00:00:00',4,2,12,2008,'F','N','CENTRO','CURITIBA','PR','116241241215472431559614575124610132097',3520,'855',72.08,1,3,NULL),(20,5069114,'1994-04-13 00:00:00',4,7,12,2009,'F','N','CENTRO','PINHEIRO PRETO','SC','124241241345151731446931171124610136096',NULL,'829',0.00,1,3,NULL),(20,5069122,'1991-04-19 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117371431426621572114610112142',NULL,'298',25.82,1,2,1),(20,5069130,'1986-10-31 00:00:00',4,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116272421546933444124333268143',8179,'306',61.51,1,2,1),(20,5069149,'1992-04-16 00:00:00',4,1,11,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124244247415131231559613585124610155012',NULL,'9999',0.00,1,3,NULL),(20,5069157,'1991-02-18 00:00:00',3,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161117471431589931594124610164092',NULL,'9998',0.00,1,3,NULL),(20,5069165,'1986-03-18 00:00:00',2,1,7,2004,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124243247241574411436521111333610147092',6843,'9999',64.16,1,3,NULL),(20,5069173,'1988-12-03 00:00:00',4,1,12,2006,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241216273411339933485124610166142',10698,'737',55.20,1,3,NULL),(20,5069181,'1991-07-10 00:00:00',4,3,12,2008,'M','N','REBOUÇAS','CURITIBA','PR','116162161215371411426814481122610122072',6173,'9998',62.76,1,3,NULL),(20,5069190,'1992-05-14 00:00:00',4,1,12,2009,'M','N','CENTRO','CURITIBA','PR','116162161215111431288923575115610142143',NULL,'9998',0.00,4,3,NULL),(20,5069211,'1983-04-10 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124251251136131441146643435125343224042',12563,'9998',53.21,1,2,1),(20,5069220,'1991-04-01 00:00:00',2,1,12,2008,'F','N','SARANDI','PTO ALEGRE','RS','120201201116471431366614485114610167092',NULL,'9998',28.71,1,2,1),(20,5069238,'1992-06-26 00:00:00',2,1,11,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161435111431259824576124610164072',2635,'9998',72.88,1,3,NULL),(20,5069254,'1989-10-02 00:00:00',4,2,12,2007,'M','N','CHACARA MACHADINHO I','AMERICANA','SP','125251251115571531458611275122610137017',NULL,'9998',29.03,1,2,1),(20,5069262,'1993-05-08 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431358913572112610118092',NULL,'1022',57.93,1,3,NULL),(20,5069289,'1989-08-25 00:00:00',2,1,12,2007,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124243241211474751438814574124610163071',3924,'270',70.49,1,3,NULL),(20,5069297,'1992-01-27 00:00:00',2,4,11,2009,'M','N','CENTRO','MARCELINO RAMOS','RS','120203201212161431353633272124610122142',NULL,'9998',0.00,1,3,NULL),(20,5069300,'1992-04-24 00:00:00',2,7,12,2009,'M','N','CENTRO','HERVAL D OESTE','SC','124243241515271431546632575122610126197',10028,'445',54.64,1,3,NULL),(20,5069319,'1992-10-13 00:00:00',4,1,12,2009,'M','N','JD DAS INDÚSTRIAS','S JOSÉ CAMPOS','SP','125252251215111411466814471124610167112',NULL,'9998',22.29,1,3,NULL),(20,5069327,'1987-01-13 00:00:00',2,1,12,2003,'F','N','SANTA TERESA','PTO ALEGRE','RS','120201201117131221648623391224341821047',9669,'9998',58.78,1,2,1),(20,5069335,'1991-05-22 00:00:00',2,8,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116252251217411731458719592125610137071',NULL,'9998',0.00,2,3,NULL),(20,5069343,'1992-02-29 00:00:00',4,1,12,2009,'M','N','POPULAR','CUIABÁ','MT','111112211236111431479911575122610122042',NULL,'9998',0.00,1,3,NULL),(20,5069351,'1990-08-25 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472421368817475114610112071',1489,'262',78.16,3,3,NULL),(20,5069360,'1992-09-11 00:00:00',2,4,12,2009,'F','N','CENTRO','SALTO LONTRA','PR','116161161215111411468912475122610147032',NULL,'9998',24.70,1,3,NULL),(20,5069378,'1991-05-04 00:00:00',1,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431368919372122610137141',7848,'262',59.88,1,3,NULL),(20,5069386,'1991-08-29 00:00:00',4,1,12,2008,'M','N','VILA SÃO PAULO','CPO LIMPO PAULISTA','SP','125251251216372341436914575122610127042',NULL,'9998',30.38,1,3,NULL),(20,5069394,'1992-03-30 00:00:00',4,2,12,2009,'M','N','GARCIA','BLUMENAU','SC','124242241215111431578933595122610147042',10443,'909',55.57,1,3,NULL),(20,5069408,'1990-09-10 00:00:00',4,1,12,2008,'M','N','CHACARA PRIMAVERA','CAMPINAS','SP','125252251216411131467811595112610118012',4932,'9998',66.30,1,3,NULL),(20,5069416,'1992-07-02 00:00:00',4,4,11,2009,'F','N','JARDIM SEMINÁRIO','FRANCISCO BELTRÃO','PR','116162161216271431447632574122610146142',7033,'9998',61.16,1,3,NULL),(20,5069424,'1990-06-02 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241243215572431458531376124610125017',5774,'1105',66.08,4,3,NULL),(20,5069432,'1986-07-04 00:00:00',2,1,12,2003,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241147372732553314341112610117057',13742,'773',49.00,1,2,1),(20,5069440,'1991-05-07 00:00:00',2,10,12,2008,'F','N','BARRO VERMELHO','ORLEANS','SC','124241241115471411336632575122610122142',12713,'580',49.57,1,2,1),(20,5069459,'1990-08-29 00:00:00',4,1,12,2007,'F','N','BATEL','CURITIBA','PR','116162161216372431658719572125142922177',NULL,'9998',27.25,1,3,NULL),(20,5069467,'1992-02-10 00:00:00',4,8,12,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241216131431537924275124610144017',11745,'1105',54.85,1,3,NULL),(20,5069475,'1990-02-23 00:00:00',4,1,12,2008,'M','N','PQ DAS UNIVERSIDADES','CAMPINAS','SP','125252256317371431349831385123610147072',4845,'9998',66.55,1,3,NULL),(20,5069483,'1991-03-18 00:00:00',4,1,12,2008,'F','N','VILA A','FOZ IGUAÇU','PR','116162161216472431556873575114610166092',5671,'9998',64.83,1,3,NULL),(20,5069491,'1992-03-25 00:00:00',4,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241215371751467819572122610164195',14805,'1026',45.64,1,3,NULL),(20,5069513,'1991-09-18 00:00:00',2,1,12,2008,'F','N','CAMPO D UNA','GAROPABA','SC','124241241135472741424639592122610157097',NULL,'1136',37.00,1,2,1),(20,5069521,'1991-06-14 00:00:00',4,1,12,2008,'M','N','MARIA IZABEL','MARÍLIA','SP','125252251217471431557833572125610167012',6278,'9998',62.12,1,3,NULL),(20,5069530,'1992-11-16 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241215131431228521215124610126057',11206,'272',53.87,1,3,NULL),(20,5069548,'1991-09-07 00:00:00',2,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124242248217372431464612575114610127112',10554,'737',56.42,1,3,NULL),(20,5069556,'1994-03-07 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431448933572112610164092',NULL,'738',42.40,1,3,NULL),(20,5069564,'1991-08-18 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124252251217111431436614145125610164027',8633,'9998',59.59,1,3,NULL),(20,5069572,'1991-11-26 00:00:00',4,1,12,2009,'M','N','NOVO CENTRO','FRANCA','SP','125254251216171431434611591122610122096',15416,'9998',42.95,1,3,NULL),(20,5069580,'1989-10-24 00:00:00',4,1,12,2007,'F','N','SÃO JUDAS','PIRACICABA','SP','125254251416571431438814275124610142041',NULL,'9998',0.00,4,3,NULL),(20,5069599,'1992-08-17 00:00:00',1,4,12,2009,'M','N','INTERIOR','ITAPIRANGA','SC','124241241116111431643933455124610167041',14905,'412',44.52,1,2,1),(20,5069602,'1992-08-06 00:00:00',2,1,12,2009,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215131731359619492112610128047',NULL,'1048',25.14,1,3,NULL),(20,5069629,'1989-11-02 00:00:00',4,16,12,2006,'F','N','NOSSA SRA APARECIDA','CURITIBANOS','SC','124241241117141711224624375115130238097',NULL,'239',21.15,1,2,1),(20,5069645,'1991-12-19 00:00:00',4,8,10,2009,'M','N','GLÓRIA','JOINVILLE','SC','124242241237271411447812584121610164092',678,'932',83.38,1,3,NULL),(20,5069653,'1991-08-16 00:00:00',4,1,12,2008,'M','N','PARQUE ALTO TAQUARAL','CAMPINAS','SP','125252251237471431478814595122610137042',970,'9998',80.97,1,3,NULL),(20,5069661,'1985-10-28 00:00:00',2,1,7,2004,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241247224134431444313495124233211187',15141,'63',47.44,1,3,NULL),(20,5069670,'1992-09-06 00:00:00',4,1,11,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431346832572124610114183',NULL,'1022',39.74,1,3,NULL),(20,5069688,'1993-02-26 00:00:00',4,1,12,2010,'M','S','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217111431456929572122610167057',NULL,'951',24.15,1,3,NULL),(20,5069696,'1991-09-17 00:00:00',4,1,12,2008,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161217371731427721192125610154147',10265,'9998',55.68,1,3,NULL),(20,5069700,'1992-06-12 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431469831575125610124117',1888,'270',77.30,1,3,NULL),(20,5069718,'1992-01-21 00:00:00',4,1,12,2009,'F','N','CENTRO','LORENA','SP','125252251215111441467822575122610127052',NULL,'9998',0.00,1,3,NULL),(20,5069726,'1990-03-26 00:00:00',4,8,12,2007,'F','N','REBOUCAS','CURITIBA','PR','116122121216371431437614282125142863017',NULL,'9998',0.00,1,3,NULL),(20,5069734,'1990-12-08 00:00:00',4,8,12,2009,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251215471431448812471112610112017',NULL,'9998',0.00,1,3,NULL),(20,5069750,'1991-11-30 00:00:00',2,1,12,2008,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241115472431356429391124610166187',7831,'257',60.52,1,2,1),(20,5069769,'1991-06-11 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215373431438811395124610133092',9568,'1022',58.75,1,3,NULL),(20,5069777,'1992-06-27 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115111731526533474122610114147',NULL,'307',25.69,1,2,1),(20,5069793,'1992-11-05 00:00:00',4,1,11,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215271431256931375124610147112',NULL,'270',57.80,1,3,NULL),(20,5069815,'1990-07-28 00:00:00',4,1,11,2009,'F','N','SANTA EFIGÊNIA','BELO HORIZONTE','MG','113133134236121431635979485124610167022',10510,'9998',55.12,1,3,NULL),(20,5069831,'1990-04-24 00:00:00',2,5,12,2007,'M','N','PIO CORREA','CRICIÚMA','SC','124241241117131431335827272124231217057',NULL,'225',39.01,1,2,1),(20,5069840,'1990-03-12 00:00:00',4,1,12,2009,'M','N','SÃO JOSÉ','S JOSÉ','SC','124242241212111312249613575124610117115',NULL,'976',27.48,1,3,NULL),(20,5069858,'1991-10-03 00:00:00',4,6,12,2008,'M','N','AGUA VERDE','CURITIBA','PR','116162161216471431489914575122610124182',NULL,'9998',0.00,1,3,NULL),(20,5069866,'1992-04-10 00:00:00',4,1,12,2009,'M','N','CENTRO','TRÊS MAIO','RS','120202201217151431548814571122610164056',NULL,'9998',43.63,1,3,NULL),(20,5069874,'1987-12-31 00:00:00',2,8,12,2004,'M','N','CENTRO','CURITIBA','PR','116164161415572411348823571115610167177',4166,'9998',68.79,3,3,NULL),(20,5069882,'1992-11-17 00:00:00',4,8,12,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124241246217152431346614375122610146192',3997,'1006',68.23,1,3,NULL),(20,5069890,'1990-07-02 00:00:00',4,15,11,2009,'F','N','CENTRO','TORRES','RS','120204201237131411567413575122610168147',NULL,'9998',25.84,1,3,NULL),(20,5069904,'1992-02-08 00:00:00',4,10,11,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215112431459811475122610164072',2584,'807',74.84,1,3,NULL),(20,5069920,'1991-09-27 00:00:00',4,1,12,2009,'M','N','VALE DO SOL','TREMEMBÉ','SP','125252251217111431358814575112610167042',5370,'9998',65.67,1,3,NULL),(20,5069939,'1968-02-01 00:00:00',4,5,12,1986,'F','N','COMERCIÁRIO','CRICIÚMA','SC','224241243126153421566359132122321365187',15844,'771',44.87,2,1,1),(20,5069947,'1992-10-28 00:00:00',2,4,11,2009,'M','N','CENTRO','CHAPECÓ','SC','124242241215372431259939572122610167142',8440,'185',58.99,1,3,NULL),(20,5069955,'1989-05-28 00:00:00',2,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241212212111436623371124610167113',14136,'1133',50.10,1,3,NULL),(20,5069963,'1992-08-06 00:00:00',2,9,11,2009,'F','N','FREI ROGÉRIO','LAGES','SC','124242241215131431328624272321610164117',NULL,'499',28.57,1,3,NULL),(20,5069971,'1992-08-04 00:00:00',4,5,10,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431238824572112610167042',1356,'226',79.27,1,3,NULL),(20,5069980,'1991-04-25 00:00:00',1,8,12,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215471431589711591124610163072',9256,'9997',57.15,1,3,NULL),(20,5069998,'1993-05-03 00:00:00',4,1,12,2009,'F','N','CENTRO','CASTRO','PR','116244161116372411448814575122610162142',10600,'9998',54.94,1,3,NULL),(20,5070007,'1991-06-19 00:00:00',4,1,12,2008,'F','N','QUIRIRIM','TAUBATÉ','SP','125252251216471431456832577122610166191',5513,'9998',64.01,1,3,NULL),(20,5070015,'1991-01-03 00:00:00',5,1,6,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124242281417271411378813495124610144042',1359,'751',79.48,1,3,NULL),(20,5070023,'1988-05-17 00:00:00',2,1,12,2005,'F','N','LURDE','CAXIAS SUL','RS','120202201216572731459614575122610161017',988,'9998',81.40,1,3,NULL),(20,5070031,'1986-03-17 00:00:00',4,3,12,2003,'F','N','CENTRO','JATAIZINHO','PR','116162161116571721448819571122341364092',2944,'9998',71.99,4,3,NULL),(20,5070040,'1992-04-06 00:00:00',4,1,12,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124244241435151432226529592124610143147',15762,'1075',45.22,1,3,NULL),(20,5070058,'1991-05-24 00:00:00',4,1,12,2009,'F','N','JARDIM MACEDO','RIBEIRÃO PRETO','SP','125252251215471431479833571122610143147',1119,'9998',80.34,1,3,NULL),(20,5070066,'1989-09-21 00:00:00',4,1,12,2007,'F','N','CENTRO','CUIABÁ','MT','111112111217272731368821572122140461092',7422,'9998',62.98,3,3,NULL),(20,5070074,'1981-07-12 00:00:00',4,1,12,1999,'M','N','SERRARIA','S JOSÉ','SC','124241248116375421565533445133610146042',8954,'306',60.05,1,2,1),(20,5070090,'1988-09-09 00:00:00',4,1,12,2005,'F','N','JARDIM MARAJOARA','S PAULO','SP','125252251217571411458611311122610163147',2700,'9998',74.43,1,3,NULL),(20,5070104,'1992-11-17 00:00:00',4,9,12,2009,'F','N','CORAL','LAGES','SC','124241241117371731535423475122610124142',NULL,'505',21.24,1,2,1),(20,5070120,'1992-04-08 00:00:00',4,2,11,2009,'F','N','CENTRO','POMERODE','SC','124242241217272431588811574122610163182',159,'909',88.78,1,3,NULL),(20,5070139,'1991-01-15 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116472431344422595114610116147',4039,'564',69.84,1,2,1),(20,5070147,'1991-12-13 00:00:00',2,1,12,2008,'M','N','PASSA VINTE','PALHOÇA','SC','124243241213273412548914383214610163042',5288,'1075',66.01,1,3,NULL),(20,5070155,'1991-11-07 00:00:00',4,8,12,2009,'F','N','SÃO PEDRO','S JOSÉ PINHAIS','PR','116162161217111631379812472122610133142',NULL,'9998',NULL,1,3,NULL),(20,5070163,'1988-02-18 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124202201316575321438832571124223231187',2501,'9998',75.09,1,3,NULL),(20,5070171,'1990-11-18 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','112122121215571231588713575112610134092',1594,'9998',77.93,1,3,NULL),(20,5070180,'1991-02-15 00:00:00',2,1,12,2009,'F','N','FUNDOS','BIGUAÇU','SC','124241241115272731535514582224610168077',NULL,'295',23.30,1,3,NULL),(20,5070198,'1993-02-22 00:00:00',4,10,11,2009,'F','N','SÃO MARTINHO','TUBARÃO','SC','124243241315111421563832576124610123077',NULL,'806',0.00,1,3,NULL),(20,5070201,'1990-11-04 00:00:00',2,10,11,2008,'F','N','PASSAGEM','TUBARÃO','SC','124242241215312411338413575124610126117',NULL,'807',27.40,1,3,NULL),(20,5070210,'1990-08-24 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215372411367613572124610112183',6608,'270',64.69,2,1,2),(20,5070228,'1991-02-21 00:00:00',4,8,12,2008,'M','N','MERCES','CURITIBA','PR','116252251216311231479821415122610117114',NULL,'9998',0.00,1,3,NULL),(20,5070236,'1991-08-01 00:00:00',2,15,12,2009,'M','N','SÃO PELEGRINO','CAXIAS SUL','RS','120201207227141431223329345124610167047',16254,'9998',41.72,1,3,NULL),(20,5070244,'1991-09-28 00:00:00',2,5,12,2009,'M','N','MINA DO MATO','CRICIÚMA','SC','124241241316111431438513595124613211147',NULL,'985',19.29,1,3,NULL),(20,5070252,'1992-03-25 00:00:00',4,1,11,2009,'F','N','SANTA FÉ','CPO GRANDE','MS','112122121216471431578813572122610124142',NULL,'9998',0.00,1,3,NULL),(20,5070260,'1991-12-12 00:00:00',2,4,12,2008,'F','N','NOVA DIVINÉIA','PINHALZINHO','SC','124244241216472751434619595122610128182',11898,'1070',49.76,1,3,NULL),(20,5070279,'1991-07-30 00:00:00',2,1,12,2008,'M','N','JARDIM VAL PARAIBA','S JOSÉ CAMPOS','SP','125252251215472421568613575112610117052',NULL,'9998',0.00,1,3,NULL),(20,5070287,'1991-10-14 00:00:00',4,1,12,2009,'F','N','CENTRO','RIO CLARO','SP','125252251215111431456833595112610164092',5070,'9998',65.94,1,3,NULL),(20,5070295,'1992-02-02 00:00:00',4,2,12,2009,'M','N','CHÁCARA CACHOEIRA','CPO GRANDE','MS','112122121215111431478932575122610127122',708,'9998',82.74,1,3,NULL),(20,5070309,'1991-04-30 00:00:00',4,8,12,2008,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241212473411469814574114221464042',5284,'1063',65.10,1,3,NULL),(20,5070325,'1988-05-31 00:00:00',4,1,12,2005,'F','N','PASSO DA AREIA','STA MARIA','RS','120202201215471431436733572124143212187',1698,'9998',77.88,1,3,NULL),(20,5070333,'1989-05-06 00:00:00',4,1,12,2006,'F','N','TAVEIROPOLIS','CPO GRANDE','MS','112122121216571442468913574122141527077',2412,'9998',74.06,1,3,NULL),(20,5070341,'1990-09-14 00:00:00',4,1,11,2007,'F','N','VIVENDA DO BOSQUE','CPO GRANDE','MS','112122121217571731648831346122141323147',871,'9998',82.08,4,3,NULL),(20,5070350,'1988-08-21 00:00:00',4,1,12,2005,'M','N','PRQ SABARÁ','S CARLOS','SP','125252251216471431389911575122142442016',NULL,'9998',0.00,1,3,NULL),(20,5070368,'1992-06-29 00:00:00',2,8,11,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215371431438919572112610134072',15185,'486',44.93,1,3,NULL),(20,5070376,'1991-11-05 00:00:00',4,17,12,2008,'M','N','CENTRO','MAJ VIEIRA','SC','124243241215371441638812475114131466012',7582,'541',58.81,1,3,NULL),(20,5070384,'1992-05-01 00:00:00',2,9,12,2009,'M','N','CENTRO','LAGES','SC','124242241215111431458936575121610117052',NULL,'1065',26.74,1,3,NULL),(20,5070430,'1991-01-19 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','120203201137571411444729595112610166092',6469,'9998',63.69,1,3,NULL),(20,5070449,'1991-01-25 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116171711286923575112610164011',16311,'267',40.06,1,3,NULL),(20,5070457,'1991-05-23 00:00:00',2,4,12,2008,'F','N','CENTRO','S LOURENÇO OESTE','SC','124241241126471411523329144325610146147',15352,'744',42.47,1,3,NULL),(20,5070465,'1992-05-20 00:00:00',4,17,12,2009,'F','N','CENTRO','RIO NEGRO','PR','116163161215111311366933592122610136092',11272,'9998',52.11,1,3,NULL),(20,5070481,'1993-04-03 00:00:00',4,4,11,2009,'F','N','CENTRO','PARANATINGA','MT','111112111216111731358832572112610167077',9064,'9998',57.46,1,3,NULL),(20,5070490,'1988-06-24 00:00:00',4,7,12,2005,'F','N','FLOR DA SERRA','JOAÇABA','SC','124243241316271731435813445135133228147',NULL,'445',21.23,1,3,NULL),(20,5070503,'1991-10-31 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215372731456812275124610164122',2599,'738',73.92,1,3,NULL),(20,5070511,'1992-10-30 00:00:00',4,8,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161235371731384612575115610167061',NULL,'9998',0.00,1,3,NULL),(20,5070538,'1990-09-27 00:00:00',4,8,12,2007,'M','N','CENTRO','CANOINHAS','SC','124241241116572731556313575114610137017',10290,'153',57.63,1,2,1),(20,5070546,'1992-06-12 00:00:00',4,2,11,2009,'M','N','PRAIA DA COSTA','VL VELHA','ES','108052081217111431368931575115610162193',4919,'9998',65.76,1,3,NULL),(20,5070554,'1992-06-17 00:00:00',2,1,10,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215123431335734575114610127087',8283,'1022',59.63,1,3,NULL),(20,5070562,'1993-01-28 00:00:00',2,4,12,2009,'F','N','VILA BOSQUE','MARINGÁ','PR','116244161217271731548632575122610122197',NULL,'9998',37.11,1,3,NULL),(20,5070570,'1987-08-01 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241316373431228629475124133264141',11341,'1169',53.60,1,3,NULL),(20,5070589,'1986-11-10 00:00:00',4,1,12,2005,'M','N','CERAMARTE','RIO NEGRINHO','SC','124241241137161431354311315113610162091',NULL,'669',29.23,1,2,1),(20,5070597,'1992-01-23 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124161241145271431334219395124610164077',NULL,'922',24.25,1,2,1),(20,5070600,'1987-06-01 00:00:00',2,1,12,2004,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241251136271431568613435323610127042',NULL,'9998',0.00,3,2,1),(20,5070627,'1993-03-20 00:00:00',2,1,12,2009,'M','N','AREAL','PELOTAS','RS','120202201217121331347923435114610137117',NULL,'9998',20.93,1,3,NULL),(20,5070635,'1973-03-20 00:00:00',4,1,12,2009,'M','N','SANTO ANT DE LISBOA','FLORIANÓPOLIS','SC','124241247427271431123449275122610167087',NULL,'270',56.48,3,3,NULL),(20,5070643,'1989-10-20 00:00:00',4,1,12,2008,'F','N','HIGIENOPOLIS','S PAULO','SP','105052051211471431588911472125610144122',NULL,'9998',0.00,1,3,NULL),(20,5070651,'1990-09-06 00:00:00',4,1,12,2008,'M','N','JARDIM ADÉLIA','JUNDIAÍ','SP','125252251111471431335814481124610164142',6451,'9998',62.04,1,3,NULL),(20,5070660,'1988-10-07 00:00:00',2,1,12,2006,'M','N','ITAQUERA','S PAULO','SP','125252251114571711436714245122610164012',13006,'9998',48.12,1,3,NULL),(20,5070686,'1991-08-25 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241316131442237821575124610166187',NULL,'298',17.04,1,3,NULL),(20,5070694,'1985-03-18 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252251237141441168943335124342266172',8026,'9998',61.79,4,3,NULL),(20,5070708,'1987-12-18 00:00:00',4,1,12,2005,'M','N','VILA SONIA','S PAULO','SP','125252251217471431449912315122243264073',NULL,'9998',40.56,1,3,NULL),(20,5070716,'1981-03-12 00:00:00',4,1,12,1999,'M','N','BAETA NEVES','S BERNARDO CAMPO','SP','125254258425471431337823235124610152057',NULL,'9998',27.10,1,3,NULL),(20,5070724,'1992-08-12 00:00:00',4,5,10,2009,'M','N','COLONINHA','ARARANGUÁ','SC','124242241215371431469713375122610134063',5663,'32',64.59,1,3,NULL),(20,5070732,'1991-05-13 00:00:00',4,1,12,2008,'M','N','GUAIUBA','GUARUJÁ','SP','125252251217371431458923571112610164117',NULL,'9998',0.00,1,3,NULL),(20,5070740,'1988-05-21 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124164161236241431233874345114140946187',10854,'9998',56.57,4,3,NULL),(20,5070759,'1986-04-08 00:00:00',4,8,12,2003,'M','N','SANTO ANTONIO','JOINVILLE','SC','124241241236371431659412445132333267041',14034,'489',50.32,1,3,NULL),(20,5070767,'1990-10-25 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124246241115472431479931575124610122092',984,'9997',81.09,1,3,NULL),(20,5070775,'1992-07-08 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431587914595122610167041',9528,'262',56.70,1,3,NULL),(20,5070783,'1991-09-19 00:00:00',4,1,12,2008,'M','N','VELHA','BLUMENAU','SC','124242241215372732366721595124610164142',2428,'71',74.09,1,3,NULL),(20,5070805,'1992-12-02 00:00:00',2,1,12,2009,'M','N','FIGUEIRA GRANDE','IMARUÍ','SC','124241241135161431326613575224610147052',9401,'357',58.47,4,2,1),(20,5070848,'1987-01-06 00:00:00',4,1,12,2004,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241216272741478414344122221164125',6251,'9999',65.45,1,3,NULL),(20,5070864,'1992-09-25 00:00:00',2,8,10,2009,'M','N','GUANABARA','JOINVILLE','SC','124241241435471431453611575114610164012',NULL,'1016',29.06,1,3,NULL),(20,5070872,'1990-02-20 00:00:00',4,1,11,2008,'M','N','SANTA PAULA','S CAETANO SUL','SP','125252251216471431489912475121610168022',14566,'9998',46.00,1,3,NULL),(20,5070880,'1991-08-01 00:00:00',2,4,12,2008,'F','N','CENTRO','REDENTORA','RS','120201201116571731458923475124610111177',1001,'9998',80.80,1,2,1),(20,5070899,'1991-02-12 00:00:00',4,1,12,2008,'F','N','CENTRO','BRAÇO NORTE','SC','124242241217372431466933574124610146071',2097,'270',75.66,1,3,NULL),(20,5070902,'1987-03-04 00:00:00',4,1,12,2006,'M','N','FUNDOS','BIGUAÇU','SC','124241241137131411434621242113610126017',13090,'65',47.90,1,2,1),(20,5070910,'1990-08-07 00:00:00',4,1,12,2008,'M','N','VILA TANCREDO NEVES','CAMPINAS','SP','125251254117461431421612291124610165092',2965,'9998',72.45,2,1,1),(20,5070929,'1991-07-17 00:00:00',4,1,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161216472531347824575124610162077',8514,'9998',58.77,1,3,NULL),(20,5070937,'1990-09-13 00:00:00',4,1,12,2008,'M','N','CENTRAL PARK','PRES PRUDENTE','SP','125252258216471541468811572112610164062',15897,'9998',42.36,4,3,NULL),(20,5070953,'1991-06-10 00:00:00',4,1,12,2008,'F','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124241241117133431424629342334612816182',NULL,'592',28.13,1,2,1),(20,5070961,'1966-11-07 00:00:00',2,1,12,1989,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','524203207331132411236544442334142232097',NULL,'9998',35.13,1,3,NULL),(20,5070970,'1991-03-05 00:00:00',4,3,12,2008,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125252251217471431469911575124610122177',NULL,'9998',0.00,1,3,NULL),(20,5070996,'1988-02-13 00:00:00',2,8,12,2005,'F','N','BIGORRILHO','CURITIBA','PR','116242241215521411567819574124610161092',7135,'441',60.62,1,3,NULL),(20,5071011,'1991-05-26 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216472411366613575124610167012',13178,'1022',52.02,1,3,NULL),(20,5071020,'1991-07-31 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241145231411438811395124610118195',NULL,'283',21.01,1,2,1),(20,5071038,'1965-11-07 00:00:00',4,10,12,1985,'M','N','OFICINAS','TUBARÃO','SC','124242244136134431323319482325131112042',NULL,'804',45.06,1,3,NULL),(20,5071046,'1992-07-26 00:00:00',4,1,12,2009,'F','N','VILA IZABEL','CURITIBA','PR','116162161217471731457924575114610167047',15746,'9998',41.52,1,3,NULL),(20,5071054,'1991-01-13 00:00:00',4,1,12,2008,'F','N','VILA BETHANIA','S JOSÉ CAMPOS','SP','125254251215472431267924575112610126197',1412,'9998',79.03,1,3,NULL),(20,5071062,'1991-09-09 00:00:00',4,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215271431669813575122610128185',10956,'272',54.26,1,3,NULL),(20,5071070,'1979-08-12 00:00:00',4,1,12,1997,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241247316574421326619445224610167187',NULL,'9999',27.35,1,3,NULL),(20,5071097,'1987-11-30 00:00:00',2,1,11,2005,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124241241126233731333571341134133213177',NULL,'292',53.62,4,2,1),(20,5071100,'1984-03-01 00:00:00',4,1,12,2001,'M','N','CENTRO','SANTANA LIVRAMENTO','RS','120201201117131451338826415124610124092',NULL,'9998',43.48,1,2,1),(20,5071119,'1992-06-16 00:00:00',4,1,12,2009,'F','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251217111731389914575112610128183',NULL,'9998',0.00,1,3,NULL),(20,5071135,'1990-08-10 00:00:00',4,7,12,2009,'M','N','TUIUTI','PARANAGUÁ','PR','116212211217371211358811572315610154117',11429,'9998',55.47,3,3,NULL),(20,5071151,'1987-01-20 00:00:00',4,1,12,2004,'M','N','PITANGUEIRA','AGROLÂNDIA','SC','124241241117373431436614352112610114092',6720,'850',62.64,1,2,1),(20,5071160,'1990-07-08 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215573431658469174122610123185',730,'1022',82.99,1,3,NULL),(20,5071178,'1990-08-02 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124254251416472431236823445224220562142',10035,'9998',56.27,1,3,NULL),(20,5071194,'1990-10-16 00:00:00',4,5,11,2007,'F','N','CENTRO','SIDERÓPOLIS','SC','124242241215373431436632575124610162187',12388,'226',51.38,1,3,NULL),(20,5071208,'1991-05-17 00:00:00',4,1,12,2008,'F','N','CENTRO','PAULO LOPES','SC','124243241215472431453524345134610113097',4672,'262',68.05,1,3,NULL),(20,5071216,'1988-03-21 00:00:00',2,8,12,2005,'M','N','BELENZINHO','S PAULO','SP','125251251115571441466612572124610167042',NULL,'9998',NULL,1,2,1),(20,5071224,'1992-10-04 00:00:00',4,1,12,2009,'M','N','FLORESTA','RIO CAMPO','SC','124241242111131731323626575224610134147',NULL,'662',0.00,1,2,1),(20,5071232,'1991-02-16 00:00:00',2,1,12,2008,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241415372731358914344134610122142',10493,'269',54.20,1,3,NULL),(20,5071240,'1991-07-25 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241126272431533331142114143224017',14129,'289',46.95,1,2,1),(20,5071259,'1967-06-13 00:00:00',2,1,12,1985,'F','N','BARREIROS','S JOSÉ','SC','524242241216132721127849495134333232193',NULL,'266',27.74,1,3,NULL),(20,5071267,'1985-02-12 00:00:00',4,1,12,2002,'M','N','CENTRO','MIRASSOL','SP','125253251117131411434823135123143234087',11801,'9998',51.14,1,3,NULL),(20,5071275,'1991-01-14 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124244241137131431446419595121610118142',NULL,'513',25.18,4,3,NULL),(20,5071283,'1990-11-03 00:00:00',4,8,11,2007,'F','N','REBOUÇAS','CURITIBA','PR','116161161336571711456619245124610124112',4666,'9998',68.25,1,3,NULL),(20,5071291,'1988-02-26 00:00:00',2,1,12,2003,'M','N','SÃO JOSÉ','FRAIBURGO','SC','124242241216371431426924375124130347057',NULL,'885',26.56,1,3,NULL),(20,5071305,'1979-06-10 00:00:00',4,1,12,2006,'M','N','JARDIM DUARTE','FOZ IGUAÇU','PR','116162241216142711436823315124322966187',6376,'270',61.77,4,3,NULL),(20,5071313,'1989-07-27 00:00:00',4,2,12,2007,'F','N','VILA FORMOSA','BLUMENAU','SC','124062081216371731676519495124232233027',NULL,'9998',29.69,2,3,NULL),(20,5071330,'1984-11-30 00:00:00',2,1,12,2003,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124132241216372431346613485124321322187',4532,'262',69.45,1,3,NULL),(20,5071348,'1989-12-08 00:00:00',4,1,12,2007,'M','N','PARQUE IRACEMA','CATANDUVA','SP','125252251217471411458834575115610146127',2821,'9998',73.01,1,3,NULL),(20,5071356,'1987-11-17 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241416135431128544245124233261117',NULL,'904',28.17,1,3,NULL),(20,5071364,'1984-03-22 00:00:00',2,8,12,2001,'F','N','BIGORRILHO','CURITIBA','PR','116252161215471751459814375122342823187',NULL,'9998',0.00,1,3,NULL),(20,5071372,'1991-01-04 00:00:00',2,1,11,2008,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115472431438313382124610131147',6898,'307',62.78,1,2,1),(20,5071380,'1989-07-16 00:00:00',2,1,12,2007,'F','N','JARDIM CIDADE','S JOSÉ','SC','124241241116172731225629381124610146142',NULL,'295',18.16,1,2,1),(20,5071402,'1991-10-02 00:00:00',2,1,12,2009,'F','N','CENTRO','BIGUAÇU','SC','124243241317131431323314171224610144057',NULL,'1040',21.82,1,3,NULL),(20,5071410,'1986-03-30 00:00:00',2,1,12,2003,'F','N','AMAMBAI','CPO GRANDE','MS','112122121217371431356736265122342531097',6754,'9998',61.51,1,3,NULL),(20,5071429,'1991-10-05 00:00:00',4,1,12,2008,'F','N','SANTO ANTÔNIO','PTO ALEGRE','RS','120202201217371711328839275124610168172',7785,'9998',59.55,1,3,NULL),(20,5071437,'1988-12-10 00:00:00',4,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124242241215574411146842525122120862187',4422,'270',69.73,1,3,NULL),(20,5071445,'1986-09-16 00:00:00',4,1,12,2003,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241215135451335814345114610162147',15455,'269',46.45,1,3,NULL),(20,5071461,'1985-10-12 00:00:00',2,7,12,2002,'M','N','CENTRO','CURITIBA','PR','116243248216473131438923475122130667054',4469,'872',67.90,1,3,NULL),(20,5071470,'1988-10-10 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241247316252541369933475122222964182',12980,'9999',52.40,1,3,NULL),(20,5071488,'1990-12-29 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241316373431238624395112610125142',9436,'1022',59.20,4,3,NULL),(20,5071496,'1985-08-03 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116134431443624345233610122187',NULL,'539',44.31,1,2,1),(20,5071500,'1989-04-28 00:00:00',2,1,4,2009,'F','N','BARREIROS','S JOSÉ','SC','124242247316372421436624375114610163062',NULL,'9999',0.00,1,3,NULL),(20,5071518,'1991-05-24 00:00:00',2,5,12,2007,'F','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124241241215472451567933315125230661182',NULL,'32',29.48,1,3,NULL),(20,5071526,'1990-05-15 00:00:00',2,1,12,2008,'F','N','JABAQUARA','S PAULO','SP','125252251217471431458814345124610127147',4658,'9998',65.85,1,3,NULL),(20,5071534,'1991-10-25 00:00:00',4,8,12,2009,'M','N','IRIRIÚ','JOINVILLE','SC','124242246217111732468914575112610164195',NULL,'1006',29.02,1,3,NULL),(20,5071542,'1984-09-03 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624282247337472421333644245134610167043',9933,'9999',55.44,1,3,NULL),(20,5071550,'1986-11-21 00:00:00',4,6,12,2004,'F','N','SAO JOAO','ITAJAÍ','SC','124242241216375411339921341122132466177',6464,'391',62.26,1,3,NULL),(20,5071585,'1990-05-30 00:00:00',2,8,12,2007,'M','N','VILA ESPERANÇA','S PAULO','SP','125252251215571431448819575115610164072',NULL,'9998',62.11,1,3,NULL),(20,5071593,'1992-02-20 00:00:00',4,8,12,2008,'M','N','JARDIM SAMAMBAIA','PARANAGUÁ','PR','116164161216111431458834372124240827112',NULL,'9998',0.00,1,3,NULL),(20,5071615,'1989-09-13 00:00:00',4,1,12,2007,'M','N','PARQUE PINHEIROS','BIRIGÜI','SP','125251251216572431436619575123610127142',NULL,'9998',28.05,1,3,NULL),(20,5071640,'1984-07-12 00:00:00',4,1,12,2001,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124202241217274421533344445132131027093',NULL,'970',30.96,1,3,NULL),(20,5071658,'1990-10-03 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216374731459933571112130412142',8889,'270',59.77,1,3,NULL),(20,5071674,'1975-08-26 00:00:00',4,1,12,1994,'M','N','AREIAS','S JOSÉ','SC','224241241146135711435644145124233217047',NULL,'293',26.83,2,1,1),(20,5071682,'1989-08-23 00:00:00',4,1,11,2006,'M','N','VILA PASSOS','S LUÍS','MA','110102101217571411588831575112610164092',NULL,'9998',0.00,1,3,NULL),(20,5071712,'1991-05-31 00:00:00',2,1,12,2008,'F','N','CENTRO','IBIRAMA','SC','124241242116371431426731382324610124147',9406,'662',57.22,1,3,NULL),(20,5071739,'1991-01-14 00:00:00',4,1,12,2007,'F','N','SANTO ANTONIO','RONDONÓPOLIS','MT','111111111416343431337721345112610132192',11597,'9998',52.79,1,3,NULL),(20,5071747,'1987-07-25 00:00:00',2,1,12,2004,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116373711266829495124221132181',12542,'307',53.26,1,2,1),(20,5071755,'1991-02-22 00:00:00',4,1,12,2008,'M','N','JARDINS','ARACAJU','SE','126262261217472431468833571325610127122',2307,'9998',74.82,4,3,NULL),(20,5071763,'1989-05-25 00:00:00',2,1,12,2006,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215372741456633585114610122182',13573,'1048',48.17,1,3,NULL),(20,5071771,'1991-08-26 00:00:00',4,2,12,2009,'F','N','CENTRO','S MATEUS SUL','PR','116162161215471751346722571124610168182',NULL,'9998',0.00,1,3,NULL),(20,5071798,'1992-04-29 00:00:00',4,1,5,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124212281316372411528711115124610147042',15018,'298',47.81,1,3,NULL),(20,5071801,'1986-09-18 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216373421447814425122231417063',4461,'269',69.64,1,3,NULL),(20,5071810,'1990-08-29 00:00:00',2,9,12,2007,'M','N','PETROPOLIS','LAGES','SC','124242241115271421438611385122610117051',NULL,'513',17.56,1,3,NULL),(20,5071828,'1992-07-08 00:00:00',4,1,12,2009,'M','N','SANTA GENOVEVA','GOIÂNIA','GO','109092091216111231466816571112610114042',NULL,'9998',0.00,1,3,NULL),(20,5071836,'1984-02-08 00:00:00',4,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473431277833375122332865187',12688,'270',52.95,1,3,NULL),(20,5071852,'1989-04-30 00:00:00',4,1,12,2007,'F','N','CENTRO','OLÍMPIA','SP','125254251317271411358811575112610166182',NULL,'9998',0.00,1,3,NULL),(20,5071860,'1988-09-23 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241312372731537631482114610167017',15934,'464',44.50,1,3,NULL),(20,5071879,'1987-08-17 00:00:00',4,1,12,2005,'M','N','AGUA VERDE','CURITIBA','PR','116162161216372411447931575122140867042',2062,'9998',76.67,1,3,NULL),(20,5071887,'1990-04-20 00:00:00',4,1,12,2007,'F','N','JARDIM B HORIZONTE','S JOSÉ R PRETO','SP','125064061236573431238821596224610145147',417,'9998',85.25,4,3,NULL),(20,5071895,'1989-03-21 00:00:00',2,1,12,2006,'F','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124242241215134111323619495124222764097',14112,'63',50.15,1,3,NULL),(20,5071909,'1979-05-27 00:00:00',4,1,12,1996,'F','N','CENTRO DE SÃO JOSÉ','S JOSÉ','SC','124242241216373431469933485112320824187',5449,'1076',67.23,1,3,NULL),(20,5071925,'1987-01-05 00:00:00',2,1,12,2004,'F','N','CAMPINAS','S JOSÉ','SC','124241241117274431457413445124123027143',8175,'307',61.52,1,2,1),(20,5071941,'1991-02-12 00:00:00',4,4,12,2009,'M','N','VISTA ALEGRE','CONCÓRDIA','SC','124241248115111711663833475224610167052',NULL,'196',25.88,4,2,1),(20,5071950,'1988-12-17 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373431136624472124133237182',5735,'118',66.63,1,3,NULL),(20,5071968,'1987-05-26 00:00:00',4,3,12,2004,'F','N','VILA MARIANA','S PAULO','SP','125252251211371431348821475122240227182',NULL,'9998',0.00,1,3,NULL),(20,5071976,'1990-09-27 00:00:00',4,1,11,2008,'F','N','ATALAIA','ARACAJU','SE','126262261217141431458912495124240462122',NULL,'9998',22.43,1,3,NULL),(20,5071984,'1979-12-08 00:00:00',4,1,12,1996,'M','N','CAMPINAS','S JOSÉ','SC','124241241136133421126529235234131022167',NULL,'257',48.14,4,1,1),(20,5071992,'1990-10-04 00:00:00',4,8,11,2008,'F','N','CENTRO','CURITIBA','PR','116162241211471431349713571214610166122',5114,'1154',65.26,1,3,NULL),(20,5072000,'1991-06-15 00:00:00',4,1,12,2008,'F','N','VILA MARIA','S PAULO','SP','125253251117371731674931584124610133147',NULL,'9998',0.00,1,3,NULL),(20,5072034,'1992-06-22 00:00:00',2,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431438831574125610135077',NULL,'210',0.00,1,3,NULL),(20,5072042,'1991-08-20 00:00:00',4,8,12,2008,'F','N','ZONA DOIS','MARINGÁ','PR','116162161216211431448813575122610136147',14354,'9998',48.95,1,3,NULL);
INSERT INTO candidato VALUES (20,5072050,'1991-08-29 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116112111216411431236611575315610121192',7415,'9998',60.75,1,3,NULL),(20,5072069,'1989-04-25 00:00:00',2,1,12,2006,'M','N','VILA SANTOS','CAÇAPAVA','SP','125251251116571311336611215122610114122',13672,'9998',46.74,1,2,1),(20,5072085,'1991-09-15 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117372751534629575122610128182',NULL,'733',41.47,1,2,1),(20,5072093,'1987-02-15 00:00:00',2,8,12,2005,'F','N','JD DAS LARANJEIRAS','FOZ IGUAÇU','PR','116162161216571411546711571122610126042',NULL,'9998',0.00,1,3,NULL),(20,5072107,'1990-05-10 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241214275731368667575114221734175',NULL,'266',0.00,1,3,NULL),(20,5072123,'1986-07-01 00:00:00',4,1,11,2003,'M','N','CID FLORIANÓPOLIS','S JOSÉ','SC','124241241116472431435313435114610164142',10424,'734',55.54,1,2,1),(20,5072131,'1991-07-09 00:00:00',2,1,7,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242247226131411245749372124230868183',NULL,'9999',24.03,1,3,NULL),(20,5072158,'1987-10-20 00:00:00',2,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215374611258411435112610124182',9753,'724',58.65,1,3,NULL),(20,5072166,'1990-02-08 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','S JOSÉ','SC','124243241112273431435514272121233217122',9748,'739',58.66,1,3,NULL),(20,5072174,'1988-04-23 00:00:00',4,1,12,2006,'F','N','BELA VISTA','S JOSÉ','SC','124244241217373431657513372114131822197',4323,'1036',68.74,1,3,NULL),(20,5072182,'1979-05-29 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124161247111371211124444241333613267117',NULL,'9999',20.86,1,2,1),(20,5072190,'1990-01-29 00:00:00',2,1,11,2007,'M','N','CENTRO','CRICIÚMA','SC','124242241216152451479614485112131062042',13950,'226',50.49,1,3,NULL),(20,5072204,'1991-10-16 00:00:00',4,3,11,2008,'F','N','ECOVILLE','CURITIBA','PR','116242241215472231589813572114243224047',4872,'424',66.28,1,3,NULL),(20,5072220,'1988-03-07 00:00:00',2,8,12,2005,'F','N','CENTRO','PARAÍSO NORTE','PR','116162161215572731435611572122610167157',2557,'9998',73.05,1,3,NULL),(20,5072239,'1992-01-31 00:00:00',1,8,12,2009,'F','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124242241215111731489932571124610166182',12913,'1063',52.52,1,3,NULL),(20,5072247,'1956-12-22 00:00:00',3,1,12,1974,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241246126152441333659295122222947142',NULL,'306',30.73,1,2,1),(20,5072255,'1972-10-04 00:00:00',4,1,11,1992,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124031033116131441136643435134341826187',NULL,'9998',39.21,3,3,NULL),(20,5072263,'1991-09-21 00:00:00',3,1,12,2009,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241215372431589911575114610166092',2718,'270',74.37,4,3,NULL),(20,5072280,'1990-12-09 00:00:00',4,1,12,2008,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241435472431369733571124120527062',4801,'1133',68.08,1,3,NULL),(20,5072298,'1989-10-10 00:00:00',4,1,12,2006,'M','N','JARDIM CLIPPER','S PAULO','SP','125252251216571411338961245214610138017',12706,'9998',49.28,3,3,NULL),(20,5072310,'1990-08-23 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217272411468413495122222232042',6359,'270',65.21,1,3,NULL),(20,5072328,'1989-06-23 00:00:00',4,3,12,2006,'F','N','VILA IZABEL','CURITIBA','PR','116162161235571411368821574124610141192',2723,'9998',74.36,1,3,NULL),(20,5072344,'1990-11-23 00:00:00',4,1,12,2008,'M','N','CENTRO','PALMAS','TO','127271271116151441236713575124610148172',15286,'9998',46.99,4,2,1),(20,5072360,'1988-08-04 00:00:00',2,1,12,2005,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241317144731338923492124232833072',13342,'270',51.67,1,3,NULL),(20,5072379,'1989-12-04 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215575431446633572124233231192',2565,'272',74.90,1,3,NULL),(20,5072387,'1992-12-03 00:00:00',4,8,11,2009,'F','N','ITAUM','JOINVILLE','SC','124243241216131431427838472122610147057',NULL,'489',0.00,1,3,NULL),(20,5072409,'1991-04-23 00:00:00',4,9,12,2009,'M','N','LOURDES','VIDEIRA','SC','124241241126161331326436575124610127094',NULL,'831',0.00,1,2,1),(20,5072417,'1989-07-01 00:00:00',2,1,11,2009,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241126141411421314295224610125097',NULL,'1155',23.54,1,2,1),(20,5072425,'1990-08-08 00:00:00',4,1,11,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241217374431555823372324230232055',4262,'807',70.14,1,3,NULL),(20,5072433,'1991-03-18 00:00:00',4,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124241246216372421534812335122610121147',10315,'1006',57.59,1,3,NULL),(20,5072450,'1988-04-20 00:00:00',4,3,12,2005,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217155432447732575112610122092',14416,'53',49.43,1,3,NULL),(20,5072476,'1983-06-29 00:00:00',4,1,12,2000,'F','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124252251217371411236743335334610168117',9686,'9998',58.76,1,3,NULL),(20,5072484,'1988-12-02 00:00:00',4,10,12,2006,'F','N','BELA VISTA','GRAVATAL','SC','124241241121141421426614242121231827057',NULL,'332',12.14,1,2,1),(20,5072492,'1990-06-26 00:00:00',4,8,12,2007,'F','N','BIGORRILHO','CURITIBA','PR','116162161216571231228827574124610163097',NULL,'9998',NULL,3,3,NULL),(20,5072506,'1991-01-17 00:00:00',4,1,12,2008,'M','N','CENTRO','STA MARIA','RS','120202201217471431468931575122610134187',NULL,'9998',0.00,1,3,NULL),(20,5072530,'1988-10-20 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241315274451336634385121610144067',14919,'272',47.00,1,3,NULL),(20,5072549,'1985-07-05 00:00:00',2,1,7,2005,'F','N','SERRARIA','S JOSÉ','SC','124241241116233421224411242124130245092',NULL,'595',21.52,1,3,NULL),(20,5072565,'1992-05-27 00:00:00',4,7,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','624241241115471411426634394122610125017',9188,'192',56.65,1,2,1),(20,5072573,'1992-03-28 00:00:00',2,1,12,2009,'F','N','CENTRO','ESTRELA','RS','120202201216471431479911571122343266122',15218,'9998',43.80,1,3,NULL),(20,5072581,'1993-02-09 00:00:00',4,1,12,2009,'F','N','CENTRO','CAÇADOR','SC','124242241212111431464733372122610146142',NULL,'120',0.00,1,3,NULL),(20,5072590,'1991-09-05 00:00:00',4,1,12,2008,'F','N','JD D ABRIL','S PAULO','SP','125253251146131731328629572214143263077',NULL,'9998',0.00,1,3,NULL),(20,5072603,'1990-01-24 00:00:00',2,8,11,2006,'F','N','BATEL','CURITIBA','PR','116161161115372411455832571122140411072',NULL,'9998',0.00,1,3,NULL),(20,5072611,'1990-10-02 00:00:00',2,9,7,2009,'F','N','DESVIO RIZZO','CAXIAS SUL','RS','120201205117131411316613431124510124147',NULL,'9998',0.00,1,3,NULL),(20,5072646,'1992-06-19 00:00:00',2,1,12,2009,'F','N','ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC','124241241115271431436669192124610161097',10596,'307',54.08,1,2,1),(20,5072654,'1992-04-30 00:00:00',2,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215121411453911215112610162142',8747,'807',58.28,1,3,NULL),(20,5072662,'1991-10-22 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124202201216371431235728572124610134092',NULL,'9998',29.16,1,3,NULL),(20,5072670,'1988-02-11 00:00:00',2,1,11,2005,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244241216132131466513485114133227111',13195,'1022',51.99,1,3,NULL),(20,5072689,'1992-10-13 00:00:00',4,2,10,2009,'F','N','PONTA AGUDA','BLUMENAU','SC','124243241215131431636521114125610132182',2245,'909',75.03,1,3,NULL),(20,5072697,'1993-05-17 00:00:00',4,1,12,2010,'M','S','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217111231568834275124610117057',NULL,'266',27.62,1,3,NULL),(20,5072700,'1992-04-27 00:00:00',2,5,10,2009,'F','N','CENTRO','URUSSANGA','SC','124242241215113431478713575112610122056',9179,'211',57.40,1,3,NULL),(20,5072727,'1991-11-16 00:00:00',4,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243247327131531443314246111611217062',NULL,'9999',20.47,1,3,NULL),(20,5072735,'1992-08-31 00:00:00',4,6,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121421337524382124610162087',14900,'1038',46.55,1,3,NULL),(20,5072743,'1991-07-02 00:00:00',4,1,12,2008,'M','N','JD EUROPA','BAURU','SP','125252251212371431459934585122610134117',11377,'9998',51.73,1,3,NULL),(20,5072760,'1988-04-07 00:00:00',4,1,7,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242247211473441489614495124610167125',NULL,'270',27.74,1,3,NULL),(20,5072786,'1990-07-12 00:00:00',4,1,12,2007,'F','N','JD NOVO HORIZONTE','MARINGÁ','PR','116242161217571411558833572122610165092',NULL,'9998',0.00,1,3,NULL),(20,5072794,'1990-03-26 00:00:00',4,1,12,2007,'M','N','BOTUJURU','MOGI CRUZES','SP','125252251215311411548832515122141414182',NULL,'9998',0.00,1,3,NULL),(20,5072808,'1993-02-25 00:00:00',4,3,11,2009,'F','N','CENTRO','CONCÓRDIA','SC','124242161215121751548832425115610164147',10334,'9998',54.93,1,3,NULL),(20,5072816,'1991-01-27 00:00:00',4,8,12,2008,'F','N','JARDIM GUAPORÉ','MARINGÁ','PR','116161161215372431566924375122610134042',6774,'9998',62.74,1,3,NULL),(20,5072824,'1962-09-07 00:00:00',4,3,12,1983,'M','N','CENTRO','CAMBORIÚ','SC','224251251126133431323644142124231822147',NULL,'9998',40.06,4,2,1),(20,5072832,'1991-10-05 00:00:00',2,1,12,2008,'F','N','BELCHIOR ALTO','GASPAR','SC','124242246216371231436822185122610131142',NULL,'1018',32.66,1,3,NULL),(20,5072840,'1991-08-11 00:00:00',4,1,12,2008,'F','N','BELCHIOR BAIXO','GASPAR','SC','124242241215373431428612582124610167142',1748,'71',77.84,1,3,NULL),(20,5072867,'1993-01-05 00:00:00',2,2,12,2009,'F','N','NAÇÕES','TIMBÓ','SC','124241241215111731433319472125610128197',NULL,'1157',32.53,1,3,NULL),(20,5072883,'1992-02-03 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124162241215473431268713575124610127042',2521,'885',75.03,4,3,NULL),(20,5072891,'1993-12-28 00:00:00',2,1,12,2009,'M','N','CENTRO','CAMBORIÚ','SC','124241241111131731423631282124610126047',NULL,'1043',21.47,1,2,1),(20,5072905,'1990-03-30 00:00:00',4,1,2,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242281215573731489923575122610145132',2120,'9998',76.49,1,3,NULL),(20,5072921,'1991-08-14 00:00:00',4,10,12,2008,'F','N','MAR GROSSO','LAGUNA','SC','124241241116371231436619575124610136192',NULL,'521',17.34,1,2,1),(20,5072930,'1991-11-11 00:00:00',2,1,12,2009,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124201205116472421436814245122610164117',16184,'9998',42.72,1,3,NULL),(20,5072948,'1992-07-08 00:00:00',4,7,12,2008,'M','N','CENTRO','CELSO RAMOS','SC','124241241116371731436622475112610137047',NULL,'163',58.88,1,3,NULL),(20,5072956,'1992-12-20 00:00:00',4,6,12,2009,'F','N','FAZENDA','ITAJAÍ','SC','124241241136131711333339195124610137057',16225,'401',42.24,1,2,1),(20,5072964,'1990-04-07 00:00:00',2,1,12,2007,'M','N','PASSA VINTE','PALHOÇA','SC','124241241116132441456612145124230756177',NULL,'591',33.31,1,2,1),(20,5072972,'1991-01-18 00:00:00',4,1,10,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124064061116131721358913432124241064077',NULL,'9998',19.75,1,3,NULL),(20,5072980,'1992-03-18 00:00:00',4,1,12,2009,'F','N','JD NOVA BRAGANÇA','BRAGANÇA PAULISTA','SP','125254251437141431447811344122610168077',NULL,'9998',0.00,1,3,NULL),(20,5073014,'1992-06-15 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215112431458622575122610134045',9807,'737',56.91,1,3,NULL),(20,5073022,'1992-09-26 00:00:00',4,1,12,2009,'M','N','CIDADE INDUSTRIAL','CURITIBA','PR','116163161217111731325324575224610114097',11424,'9998',51.46,1,3,NULL),(20,5073030,'1990-05-30 00:00:00',4,4,12,2007,'F','N','CENTRO','PALOTINA','PR','116162161216572431355632575122610164191',139,'9998',89.27,1,3,NULL),(20,5073049,'1992-01-26 00:00:00',2,8,12,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124244241215111751368614375124610163097',12584,'1016',51.23,1,3,NULL),(20,5073057,'1991-12-10 00:00:00',2,1,12,2008,'F','N','BEVERLY FALLS PARK','FOZ IGUAÇU','PR','116163161415211311423312271122610112052',14548,'9998',49.13,4,3,NULL),(20,5073065,'1992-03-27 00:00:00',4,1,11,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','624242241214151751238813395124610115142',NULL,'1133',27.55,4,3,NULL),(20,5073073,'1988-09-21 00:00:00',4,1,12,2005,'M','N','VILA INDEPENDENCIA','LIMEIRA','SP','125251251217572221326724575123610134017',NULL,'9998',NULL,1,3,NULL),(20,5073081,'1992-11-11 00:00:00',2,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124244248217113411187732594121610125172',8861,'1022',60.24,1,3,NULL),(20,5073090,'1993-05-31 00:00:00',4,6,12,2009,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124241241415111331468932575122610164112',7374,'1026',61.14,1,3,NULL),(20,5073103,'1990-01-25 00:00:00',4,1,12,2007,'M','N','JARDIM ARCO ÍRIS','ATIBAIA','SP','125252251217573431367614285122610161182',NULL,'9998',0.00,1,3,NULL),(20,5073120,'1992-04-12 00:00:00',2,15,12,2009,'M','N','CENTRO','TURVO','SC','124244241215111731336612575122610164117',15573,'813',45.98,1,3,NULL),(20,5073138,'1990-05-13 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117473431458833572124610122197',13934,'193',46.74,1,2,1),(20,5073146,'1991-05-06 00:00:00',4,1,12,2008,'M','N','JARDIM EUROPA','SOROCABA','SP','125252251216272431556923572122610164097',NULL,'9998',0.00,1,3,NULL),(20,5073154,'1990-08-15 00:00:00',4,6,12,2007,'F','N','BARRA SUL','BAL CAMBORIÚ','SC','124242248216372431368824595124142924172',NULL,'9997',0.00,3,3,NULL),(20,5073162,'1991-10-03 00:00:00',4,1,12,2008,'M','N','PEDRA BRANCA','PALHOÇA','SC','124052051217111431356411572124231467052',13260,'9998',48.84,4,3,NULL),(20,5073170,'1992-09-04 00:00:00',2,5,12,2009,'F','N','MAE LUZIA','FORQUILHINHA','SC','124242241215112531568812375122610127157',7414,'213',63.00,1,3,NULL),(20,5073189,'1991-10-30 00:00:00',4,1,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116242161217371511368814575125610164192',NULL,'9998',0.00,1,3,NULL),(20,5073197,'1991-02-18 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217473431589813575122231067062',1402,'270',79.01,1,3,NULL),(20,5073200,'1991-11-04 00:00:00',4,3,12,2008,'M','N','JARDIM PARIS','MARINGÁ','PR','116162161217472431477632372122610167182',7646,'9998',62.54,1,3,NULL),(20,5073219,'1985-07-04 00:00:00',2,1,12,2003,'F','N','FORTALEZA','RIO PARDO','RS','120201208116131441623371291334241046177',NULL,'9999',0.00,2,1,1),(20,5073235,'1988-04-19 00:00:00',4,1,11,2005,'F','N','KOBRASOL','S JOSÉ','SC','124242241217372431236612575122131322193',NULL,'723',0.00,1,3,NULL),(20,5073243,'1991-07-08 00:00:00',4,8,11,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161215472731345832575122610143042',NULL,'9998',0.00,1,3,NULL),(20,5073251,'1978-09-18 00:00:00',5,1,12,1998,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241141373731224351472225122266182',13252,'292',48.86,1,3,NULL),(20,5073260,'1992-09-21 00:00:00',4,2,12,2009,'F','N','PADRE MARTINHO STEIN','TIMBÓ','SC','124241241215112431348611572122610131182',7981,'1157',59.87,1,3,NULL),(20,5073278,'1993-11-20 00:00:00',2,1,12,2009,'M','N','JOSÉ NITRO SERRARIA','S JOSÉ','SC','124242241217372431438714575124610152091',6039,'1036',65.90,4,3,NULL),(20,5073286,'1992-07-16 00:00:00',1,2,11,2009,'F','N','ARAPONGUINHAS','TIMBÓ','SC','124241241115122431544712571122610142142',7125,'1157',61.66,1,3,NULL),(20,5073294,'1991-12-07 00:00:00',4,8,12,2008,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241116271732636724345114610117057',NULL,'1103',22.62,1,3,NULL),(20,5073308,'1990-12-13 00:00:00',2,1,12,2008,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241212372431458923572124610122097',7017,'1022',62.14,1,3,NULL),(20,5073324,'1989-02-11 00:00:00',4,8,12,2006,'F','N','CENTRO','S BENTO SUL','SC','124242241211574421568914571321610126142',NULL,'974',0.00,1,3,NULL),(20,5073332,'1987-09-16 00:00:00',4,1,12,2005,'M','N','JD PAULISTA','S PAULO','SP','125252251211571711638813381121140768187',5974,'9998',63.81,1,3,NULL),(20,5073340,'1988-05-25 00:00:00',2,3,12,2005,'F','N','BATEL','CURITIBA','PR','116052091215571421426839575125610132172',3617,'9998',71.08,1,3,NULL),(20,5073359,'1991-12-07 00:00:00',4,8,12,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215371441569934575122610166142',1561,'1174',78.04,1,3,NULL),(20,5073375,'1993-05-17 00:00:00',4,1,12,2010,'M','S','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111211589834575124610117062',NULL,'1169',48.92,1,3,NULL),(20,5073383,'1987-07-02 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241215371441526823385124232826187',13223,'9999',51.92,1,3,NULL),(20,5073391,'1992-02-12 00:00:00',4,3,12,2009,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121215111451378831471122610122186',NULL,'9998',0.00,1,3,NULL),(20,5073413,'1992-01-16 00:00:00',2,1,12,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241415111431448812425122610132121',NULL,'298',24.11,1,3,NULL),(20,5073421,'1989-10-17 00:00:00',4,1,2,2009,'M','N','JUNÇÃO','RIO GRANDE','RS','120201247217372451335614475214610146172',NULL,'9999',0.00,1,3,NULL),(20,5073430,'1991-10-15 00:00:00',4,1,12,2009,'F','N','CENTRO','BOITUVA','SP','125253251217161431326823475122610124097',NULL,'9998',26.90,1,3,NULL),(20,5073464,'1993-02-09 00:00:00',2,6,12,2009,'M','N','SAO JOÃO','ITAJAÍ','SC','124244248215141431556639295132610138183',7129,'1141',63.57,1,3,NULL),(20,5073480,'1992-11-06 00:00:00',2,2,12,2009,'F','N','CENTRO','TAIÓ','SC','124244241215111231447639575114610164142',NULL,'991',0.00,1,3,NULL),(20,5073499,'1993-03-25 00:00:00',4,4,12,2009,'F','N','CENTRO','TOLEDO','PR','116162161215371431456712572122610163112',NULL,'9998',0.00,1,3,NULL),(20,5073502,'1991-10-19 00:00:00',4,1,11,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111411479833575122610137122',6623,'270',62.10,1,3,NULL),(20,5073529,'1992-10-08 00:00:00',4,1,11,2009,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251217111431576814242112610133092',12385,'9998',50.00,1,3,NULL),(20,5073537,'1992-11-27 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241117131431423611375114610138177',NULL,'288',25.87,1,2,1),(20,5073545,'1992-11-13 00:00:00',2,1,11,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242248215113432588412282124610127142',1551,'270',78.64,1,3,NULL),(20,5073553,'1981-07-31 00:00:00',2,1,12,1991,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124201201147272721336139492124141133187',NULL,'9998',45.09,4,3,NULL),(20,5073561,'1991-02-22 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212271152335627476114610138066',NULL,'269',45.69,1,3,NULL),(20,5073570,'1988-12-02 00:00:00',2,1,12,2007,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241115273431444313345134610133142',11918,'307',53.04,1,2,1),(20,5073588,'1992-12-25 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215112431358923575122610115092',7893,'270',60.33,1,3,NULL),(20,5073596,'1992-07-14 00:00:00',4,8,12,2009,'M','N','CENTRO','PATO BRANCO','PR','116162161211111431567732572112610137042',7945,'9998',60.41,1,3,NULL),(20,5073600,'1992-04-07 00:00:00',4,1,12,2009,'M','N','VILA IZABELA','CURITIBA','PR','116162161211121431448734395114610137052',NULL,'9998',70.53,1,3,NULL),(20,5073618,'1993-06-09 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111432348931572122610127142',13608,'270',51.15,4,3,NULL),(20,5073626,'1991-08-21 00:00:00',4,8,11,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215213431547814295124231027072',14535,'486',49.17,1,3,NULL),(20,5073634,'1991-05-02 00:00:00',2,8,12,2009,'F','N','GUAIRA','CURITIBA','PR','116162161215111531323623572124610164146',NULL,'9998',0.00,1,3,NULL),(20,5073642,'1992-04-18 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215122431356934575124610117055',3302,'270',71.43,1,3,NULL),(20,5073650,'1992-02-13 00:00:00',2,8,12,2009,'F','N','FLORESTA','JOINVILLE','SC','124241241215121731446432374124610127112',NULL,'1016',31.19,1,3,NULL),(20,5073669,'1991-03-29 00:00:00',2,10,12,2008,'M','N','MIRIM','IMBITUBA','SC','124241241415273431345933575122610164072',10238,'1034',57.72,1,3,NULL),(20,5073685,'1991-12-05 00:00:00',2,9,11,2008,'M','N','COHAB II','S JOAQUIM','SC','124241241111162731327615322332610167067',NULL,'719',27.35,1,3,NULL),(20,5073693,'1987-10-29 00:00:00',2,1,12,2005,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241133232441128644245124133264094',NULL,'298',29.96,1,3,NULL),(20,5073715,'1992-03-05 00:00:00',4,8,11,2009,'F','N','JUVEVE','CURITIBA','PR','116162161415371431468814372124610135042',NULL,'9998',0.00,1,3,NULL),(20,5073723,'1984-09-09 00:00:00',2,1,12,2002,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','624243241217272431223413495334131467117',NULL,'970',30.16,1,3,NULL),(20,5073731,'1970-01-30 00:00:00',4,1,11,1987,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124251251412372531227641412225142264112',120,'9998',89.65,1,3,NULL),(20,5073740,'1986-12-28 00:00:00',4,1,12,2004,'M','N','CENTRO','MARINGÁ','PR','116162161217571411468831572112140364062',NULL,'9998',0.00,1,3,NULL),(20,5073758,'1991-07-26 00:00:00',4,8,12,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242246212371431448739375111610137042',6214,'494',64.61,1,3,NULL),(20,5073766,'1991-09-26 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215151431445514575122610123142',9657,'976',56.49,1,3,NULL),(20,5073774,'1991-10-13 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115372731333632342122610124092',NULL,'592',0.00,1,3,NULL),(20,5073790,'1990-07-11 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241414573421337833485114231947042',2160,'270',76.31,1,3,NULL),(20,5073804,'1990-01-24 00:00:00',4,8,12,2007,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241335372411229649395322130264092',4995,'459',68.34,1,3,NULL),(20,5073820,'1977-04-07 00:00:00',2,1,12,2000,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241243121171751123329211334130857017',NULL,'9999',23.21,1,3,NULL),(20,5073839,'1992-06-04 00:00:00',4,16,12,2009,'M','N','BATEL','CURITIBA','PR','116162161216471441478811575124612467042',NULL,'9998',0.00,1,3,NULL),(20,5073847,'1992-11-04 00:00:00',4,4,12,2009,'F','N','SÃO LUIZ','S MIGUEL OESTE','SC','124242241215111431358932575122610127187',5421,'1079',64.61,1,3,NULL),(20,5073863,'1990-12-24 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217371711468714571144610161017',NULL,'1133',0.00,1,3,NULL),(20,5073871,'1991-11-11 00:00:00',4,7,12,2008,'F','N','BELA VISTA','CONCÓRDIA','SC','124201201316372431449714575125610166142',15139,'9998',47.44,1,3,NULL),(20,5073880,'1990-05-17 00:00:00',4,1,12,2007,'M','N','JARDIM PAULISTA','S PAULO','SP','125252251216571441448811495114610167017',NULL,'9998',0.00,1,3,NULL),(20,5073898,'1991-10-19 00:00:00',2,5,12,2009,'M','N','COMERCIARIO','CRICIÚMA','SC','624242241215111411446814446122610114062',NULL,'995',0.00,1,3,NULL),(20,5073901,'1992-05-31 00:00:00',4,1,11,2009,'M','N','CENTRO','NOVA ANDRADINA','MS','112124121216111731568611575122610114187',NULL,'9998',0.00,1,3,NULL),(20,5073910,'1992-09-25 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217122431478823572122610123182',207,'270',87.82,1,3,NULL),(20,5073928,'1992-07-09 00:00:00',2,2,12,2009,'F','N','CENTRO','IBIRAMA','SC','124241241116271331534939295124610122147',NULL,'348',0.00,1,2,1),(20,5073936,'1990-12-28 00:00:00',4,1,12,2008,'M','N','CENTRO','LAGES','SC','116242243217371412438614574112610128051',NULL,'497',44.10,1,3,NULL),(20,5073944,'1991-09-28 00:00:00',2,9,12,2008,'F','N','SÃO PEDRO','LAGES','SC','124241241116372411424579575124610138177',NULL,'512',32.93,4,2,1),(20,5073952,'1991-02-10 00:00:00',4,2,12,2008,'M','N','SÃO DIMAS','PIRACICABA','SP','125252251217371211588712575122610127044',NULL,'9998',0.00,1,3,NULL),(20,5073960,'1987-06-23 00:00:00',4,8,12,2005,'F','N','JOAO COSTA','JOINVILLE','SC','124241248146271751233529142324610126037',NULL,'482',13.01,1,2,1),(20,5073979,'1978-07-13 00:00:00',2,1,12,1996,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124121121126131421124444341124340668152',NULL,'9998',28.25,1,2,1),(20,5074002,'1992-10-29 00:00:00',4,1,12,2009,'F','N','JARDIM APUCARANA','APUCARANA','PR','116162161216111731466712575122610166187',9186,'9998',57.50,1,3,NULL),(20,5074010,'1992-05-29 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431449721572124610117147',NULL,'1050',28.74,1,3,NULL),(20,5074029,'1990-02-06 00:00:00',4,1,11,2009,'F','N','VILA REZENDE','PIRACICABA','SP','125251251115411441338413131122610128142',NULL,'9998',10.63,1,2,1),(20,5074037,'1991-07-21 00:00:00',4,1,12,2008,'M','N','VILA DINIZ','S JOSÉ R PRETO','SP','125254251215471431349821575112610167092',2408,'9998',74.60,1,3,NULL),(20,5074053,'1993-03-26 00:00:00',4,4,12,2009,'M','N','CINQUENTENÁRIO','CONCÓRDIA','SC','124241241115161431333614575122610125182',11963,'192',52.64,1,2,1),(20,5074088,'1991-09-17 00:00:00',2,8,11,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241335111731266619345122610128141',13864,'486',47.33,1,3,NULL),(20,5074100,'1992-07-13 00:00:00',2,4,11,2009,'F','N','CENTRO','GUATAMBÚ','SC','124242241111161731447412571122610133052',NULL,'169',0.00,1,3,NULL),(20,5074118,'1974-08-05 00:00:00',4,1,12,1991,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224241241146374431256653385124510127147',13030,'307',52.31,1,2,1),(20,5074126,'1988-10-10 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242244216272431454623441224610122022',NULL,'977',39.32,1,3,NULL),(20,5074134,'1991-08-22 00:00:00',4,8,12,2009,'M','N','NOVA BRASILIA','JOINVILLE','SC','124152241215132421538824572224610162052',NULL,'1016',0.00,3,3,NULL),(20,5074142,'1990-12-07 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217471431369611471324610137182',NULL,'1022',24.44,1,3,NULL),(20,5074169,'1989-09-02 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215112731358814487124221467112',2974,'226',73.60,1,3,NULL),(20,5074177,'1988-02-11 00:00:00',4,1,12,2005,'F','N','ZONA SETE','MARINGÁ','PR','116111111446574431448434175125140264072',14662,'9998',46.68,1,3,NULL),(20,5074185,'1991-02-17 00:00:00',2,6,12,2008,'F','N','CANOAS','RIO SUL','SC','124241241135271431533432385122610168147',NULL,'658',25.61,1,2,1),(20,5074193,'1991-11-11 00:00:00',2,1,12,2008,'F','N','CENTRO','VIDAL RAMOS','SC','124241241117131441431923315124232834092',NULL,'828',27.01,1,2,1),(20,5074207,'1991-08-27 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217373431468933594122610127125',4946,'262',67.53,1,3,NULL),(20,5074223,'1991-03-22 00:00:00',2,1,6,2009,'F','N','SANTA TEREZA','PTO ALEGRE','RS','120202201217471711358921575124610145112',14569,'9998',45.10,1,3,NULL),(20,5074240,'1991-12-20 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111441558812375122610164172',9900,'9997',55.17,1,3,NULL),(20,5074258,'1986-08-19 00:00:00',4,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124161241435271431236548381124610164182',15096,'9997',47.59,1,3,NULL),(20,5074266,'1992-03-27 00:00:00',4,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215131431537614482124610126141',12024,'300',51.81,1,3,NULL),(20,5074274,'1991-07-08 00:00:00',2,5,12,2008,'F','N','CENTRO','IBAITI','PR','116162161216271231323414175124610127047',NULL,'9998',23.31,1,3,NULL),(20,5074282,'1988-03-16 00:00:00',2,8,12,2004,'M','N','JARDIM SOFIA','JOINVILLE','SC','124201201117163431436611572124131434067',13230,'9998',51.90,1,2,1),(20,5074290,'1990-10-17 00:00:00',4,1,12,2007,'M','N','BARRO BRANCO','S PAULO','SP','125252251216572431558614375125610124023',2811,'9998',73.13,1,3,NULL),(20,5074304,'1990-08-05 00:00:00',2,1,7,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244247435472431328413585124610134197',NULL,'9999',24.37,1,3,NULL),(20,5074312,'1991-05-29 00:00:00',2,1,12,2008,'M','N','SERRARIAS','S JOSÉ','SC','124241241127472431433933382124610117057',NULL,'66',33.73,4,2,1),(20,5074339,'1991-12-15 00:00:00',4,2,12,2009,'M','N','SÃO LOURENÇO','CPO GRANDE','MS','112161121311172441225522241121610125172',NULL,'9998',0.00,4,3,NULL),(20,5074347,'1990-03-03 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORAÍ','PR','116161161114571411426616375124610144147',NULL,'9998',14.92,1,2,1),(20,5074363,'1990-01-18 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247427231411423344345334610164142',6897,'9999',62.84,4,1,2),(20,5074371,'1992-01-08 00:00:00',4,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241217112431466939595114610168175',9936,'270',54.59,1,3,NULL),(20,5074380,'1991-04-24 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252251215472431468714575124610144091',2375,'9998',74.03,1,3,NULL),(20,5074398,'1992-07-19 00:00:00',4,1,12,2009,'F','N','VILA NAIR','S JOSÉ CAMPOS','SP','125252251215171731479933575122610163143',6870,'9998',62.43,1,3,NULL),(20,5074401,'1988-04-04 00:00:00',4,8,12,2005,'F','N','UNIVERSITÁRIO II','MARINGÁ','PR','116162161215571431479934575122610166192',1762,'9998',77.41,1,3,NULL),(20,5074410,'1990-08-21 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242248215472431488833575112610142015',4860,'262',67.20,1,3,NULL),(20,5074436,'1991-12-26 00:00:00',4,8,12,2009,'M','N','PANAGUAMIRIM','JOINVILLE','SC','124242241215121431239614255124610132142',NULL,'1105',29.80,1,3,NULL),(20,5074444,'1992-01-06 00:00:00',4,1,11,2009,'M','N','RETIRO DA MANTIQUEIR','CRUZEIRO','SP','125252251215121431489614575122610137042',NULL,'9998',0.00,1,3,NULL),(20,5074452,'1991-08-18 00:00:00',4,1,12,2008,'M','N','FREGUESIA DO O','S PAULO','SP','125252251216471431348822575124610164057',3883,'9998',69.31,1,3,NULL),(20,5074479,'1989-10-02 00:00:00',4,6,12,2006,'F','N','CENTRO','PIRAQUARA','PR','116163161216571431435923445124610166146',NULL,'9998',30.87,1,3,NULL),(20,5074487,'1988-06-22 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243131416271431346624346224610125091',11003,'9998',54.67,2,3,NULL),(20,5074495,'1993-03-13 00:00:00',4,5,11,2009,'M','N','SÃO LUIZ','SOMBRIO','SC','124244241215111431338524475115610138047',3095,'32',72.78,1,3,NULL),(20,5074509,'1991-09-09 00:00:00',4,1,11,2009,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124241241215111331569812572112610124172',2196,'270',76.18,1,3,NULL),(20,5074517,'1992-06-07 00:00:00',2,2,12,2009,'M','N','LIMEIRA BAIXA','BRUSQUE','SC','124243241117371331367713335244610127072',NULL,'111',34.71,1,3,NULL),(20,5074525,'1993-04-16 00:00:00',4,1,11,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241215111711438729295124610112057',NULL,'300',18.86,1,3,NULL),(20,5074533,'1991-12-27 00:00:00',4,8,11,2009,'F','N','BAIRRO MARTINS','MINEIROS','GO','109092091216111431465812575123610132152',NULL,'9998',0.00,1,3,NULL),(20,5074541,'1990-07-10 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215474431358932372112130267183',NULL,'270',24.41,1,3,NULL),(20,5074550,'1993-05-13 00:00:00',4,1,11,2009,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124244241415111451356923472124610133142',4819,'270',66.61,1,3,NULL),(20,5074568,'1992-08-13 00:00:00',4,2,10,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124242241215121431586812572122610137142',NULL,'1123',0.00,1,3,NULL),(20,5074576,'1993-03-24 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241115152451438633475124610132197',11102,'271',53.55,1,3,NULL),(20,5074584,'1993-03-06 00:00:00',4,1,12,2009,'M','N','CENTRO','SANTANA LIVRAMENTO','RS','120202201217111431457619575122610164182',NULL,'9998',24.51,1,3,NULL),(20,5074592,'1989-12-13 00:00:00',4,1,12,2007,'M','N','CAMOBI','STA MARIA','RS','120241242116371431445516575124610127042',NULL,'662',0.00,1,3,NULL),(20,5074606,'1987-11-06 00:00:00',4,1,11,2005,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241216575751379913445122230222072',293,'270',86.73,1,3,NULL),(20,5074614,'1992-10-13 00:00:00',4,1,12,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241215152441557923575114610162185',4342,'951',68.64,1,3,NULL),(20,5074622,'1992-04-17 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217122431479611215122610134042',11339,'270',52.51,1,3,NULL),(20,5074630,'1990-04-22 00:00:00',4,1,12,2007,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241211273431448632571124131427122',2328,'1022',75.70,1,3,NULL),(20,5074649,'1991-03-23 00:00:00',2,1,12,2008,'F','N','VEDAVAL','BIGUAÇU','SC','124241241115372431654933385124612213092',NULL,'21',41.64,1,2,1),(20,5074657,'1992-01-16 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201241115141431354614275124610167142',NULL,'307',28.83,1,2,1),(20,5074673,'1982-05-18 00:00:00',2,1,7,2002,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201208227231731326519391124142727042',NULL,'9998',22.84,1,3,NULL),(20,5074681,'1993-11-23 00:00:00',2,6,12,2009,'F','N','RIO DO MEIO','ITAJAÍ','SC','124241241115271731424414572224610124047',15260,'395',44.61,1,2,1),(20,5074711,'1988-06-03 00:00:00',2,1,11,2005,'M','N','JARDIM NOVA AMERICA','CAMPINAS','SP','125251251126271441436134241124610167052',16199,'9998',39.20,2,1,1),(20,5074720,'1992-02-07 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242246215111431428832472112610127097',NULL,'724',22.68,1,3,NULL),(20,5074738,'1993-03-31 00:00:00',4,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243243215141431458814575114610135147',5054,'1075',65.76,1,3,NULL),(20,5074746,'1991-09-30 00:00:00',4,9,12,2008,'F','N','FUNDO CANOAS','RIO SUL','SC','124241241125472731334329475124610126042',7784,'900',59.62,1,2,1),(20,5074754,'1991-10-12 00:00:00',4,1,11,2008,'M','N','AEROPORTO','JARAGUÁ','GO','109092091216371731589911475112610137042',NULL,'9998',0.00,1,3,NULL),(20,5074762,'1990-09-22 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216312431659913575124613235072',NULL,'1118',41.36,1,3,NULL),(20,5074770,'1989-12-02 00:00:00',4,1,12,2007,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124244241216274731458613485124122917042',6428,'403',65.08,1,3,NULL),(20,5074789,'1992-01-12 00:00:00',4,8,12,2009,'M','N','CENTRO','CURITIBA','PR','116162161215111731389611571122610167045',NULL,'9998',0.00,1,3,NULL),(20,5074797,'1992-08-14 00:00:00',2,9,12,2009,'M','N','SÃO CRISTOVÃO','LAGES','SC','124241241215111751455632345121610127057',NULL,'1106',0.00,1,3,NULL),(20,5074800,'1992-09-20 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241215111431248833372344610112092',14859,'1022',48.29,1,3,NULL),(20,5074827,'1992-08-16 00:00:00',2,1,12,2009,'F','N','JOAÕ PAULO','FLORIANÓPOLIS','SC','124252241216121431459932575124610127072',10445,'1022',54.98,1,3,NULL),(20,5074835,'1986-04-14 00:00:00',4,8,11,2009,'M','N','CENTRO','JOINVILLE','SC','124242241215211711387934575121610162092',4849,'457',67.11,1,3,NULL),(20,5074843,'1991-10-02 00:00:00',2,8,12,2008,'F','N','CENTRO','PNT GROSSA','PR','116162164216472431569933571122610162147',5429,'9998',64.41,1,3,NULL),(20,5074851,'1977-10-29 00:00:00',2,1,6,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','624241248427131731333374443342610165197',NULL,'9999',20.20,4,3,NULL),(20,5074860,'1990-01-24 00:00:00',4,1,12,2007,'M','N','JD AMERICA','S JOSÉ CAMPOS','SP','125254251417131411528544342334610131197',NULL,'9998',0.00,1,3,NULL),(20,5074878,'1990-09-06 00:00:00',4,1,12,2008,'F','N','CAMBUÍ','CAMPINAS','SP','125252251216411431439831575122610131147',NULL,'9998',0.00,1,3,NULL),(20,5074886,'1992-12-15 00:00:00',2,4,12,2009,'F','N','CENTRO','LINDÓIA SUL','SC','124241241134131431323713572324610135147',NULL,'534',29.76,1,2,1),(20,5074894,'1992-11-25 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112431349713435122610116092',939,'270',81.66,1,3,NULL),(20,5074908,'1992-04-17 00:00:00',4,8,12,2009,'F','N','COMASA DO BOA VISTA','JOINVILLE','SC','124242241215271451323317175124610133187',NULL,'462',0.00,5,3,NULL),(20,5074916,'1984-01-01 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201201437134431333923485114122237045',14559,'9998',49.10,1,3,NULL),(20,5074924,'1991-07-12 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241215372431557724575124610137047',1598,'317',78.48,1,3,NULL),(20,5074932,'1991-01-07 00:00:00',4,1,11,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215274441238724375122232764147',6250,'270',63.69,1,3,NULL),(20,5074940,'1991-01-16 00:00:00',4,1,12,2009,'M','N','CENTRO','AGRONÔMICA','SC','124244161211471441445832372114610142092',4453,'9998',69.23,1,3,NULL),(20,5074983,'1991-10-09 00:00:00',4,8,12,2008,'F','N','ACARAÍ','S FRANCISCO SUL','SC','124241241116272411553664345121610134147',NULL,'710',29.39,1,2,1),(20,5074991,'1989-05-22 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217372431466633375124131442112',6393,'1022',61.94,1,3,NULL),(20,5075009,'1993-09-06 00:00:00',4,4,10,2010,'F','S','SÃO CRISTÓVÃO','CHAPECÓ','SC','124241241117271431454811572122610168147',NULL,'169',51.77,1,3,NULL),(20,5075017,'1991-04-24 00:00:00',4,1,12,2008,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241212473431538831275114610167182',7356,'269',63.13,1,3,NULL),(20,5075050,'1992-02-20 00:00:00',4,1,12,2009,'M','N','CENTRO','UBIRAJARA','SP','125251251417111431446916575122610147042',14754,'9998',44.62,1,3,NULL),(20,5075068,'1990-04-11 00:00:00',4,1,7,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247216371422467612495122130227067',NULL,'9999',22.26,1,3,NULL),(20,5075076,'1992-04-04 00:00:00',4,8,12,2009,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241215111431368833572112610167112',1320,'486',79.65,1,3,NULL),(20,5075092,'1987-09-05 00:00:00',4,1,12,2005,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241217473731389831471114610164062',NULL,'883',25.11,1,3,NULL),(20,5075106,'1990-02-19 00:00:00',4,1,12,2007,'F','N','GRANJA VIANA','COTIA','SP','125252251215372331468812491142610161152',NULL,'9998',0.00,1,3,NULL),(20,5075114,'1992-10-20 00:00:00',4,4,11,2009,'M','N','CIDADE NOVA','PTO UNIÃO','SC','124244241216131431354931575122610167092',4654,'633',66.33,1,3,NULL),(20,5075122,'1991-11-18 00:00:00',2,3,12,2008,'F','N','VÁRZEA','ITAPEMA','SC','124241241216473441466912575112610124143',11054,'1038',53.78,1,3,NULL),(20,5075149,'1992-08-03 00:00:00',2,10,11,2009,'M','N','CENTRO','ARMAZÉM','SC','124244241215112431459811575124610147061',7142,'807',60.56,1,3,NULL),(20,5075157,'1989-07-01 00:00:00',2,1,12,2006,'F','N','INTERIOR','QUILOMBO','SC','124241241245572431433316495324610166057',12041,'497',52.34,1,3,NULL),(20,5075238,'1992-12-18 00:00:00',2,1,12,2009,'M','N','FRAGATA','MARÍLIA','SP','125032251217111531648713585125610132086',NULL,'9998',26.83,4,3,NULL),(20,5075246,'1988-08-10 00:00:00',4,1,8,2006,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242247617373431246823345125610168047',15980,'9999',44.24,1,3,NULL),(20,5075254,'1990-03-09 00:00:00',4,15,12,2006,'M','N','GARUVA NOVA','SOMBRIO','SC','124241241125131431433336442323131437067',NULL,'1033',28.49,1,2,1),(20,5075262,'1985-09-11 00:00:00',4,1,2,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241243216131421233623385122610167047',NULL,'9999',27.16,2,1,2),(20,5075270,'1992-06-20 00:00:00',2,4,12,2009,'F','N','CENTRO','SEARA','SC','124242241215122411558611394124610164177',NULL,'1047',21.38,1,3,NULL),(20,5075289,'1992-06-26 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431327713272124610168187',5922,'270',64.15,1,3,NULL),(20,5075297,'1991-03-21 00:00:00',4,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215173431459934495122610113015',2561,'270',74.12,1,3,NULL),(20,5075300,'1990-08-30 00:00:00',2,1,11,2009,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241116472411656822575112610133027',NULL,'358',0.00,4,2,1),(20,5075319,'1992-09-19 00:00:00',2,8,12,2009,'F','N','ESTAÇÃO','ARAUCÁRIA','PR','116162161215121431458832572112610124012',NULL,'9998',0.00,1,3,NULL),(20,5075327,'1989-12-23 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124242241215473431469611572122133267187',9502,'737',57.39,3,3,NULL),(20,5075335,'1991-05-08 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117472731447513575124610167183',NULL,'257',18.59,1,2,1),(20,5075343,'1989-05-11 00:00:00',2,1,12,2007,'M','N','CENTRO','TURVO','SC','124241248116371411423923252224131056172',NULL,'814',28.11,1,2,1),(20,5075351,'1992-08-25 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124052241215111431489922575114610162042',NULL,'270',30.56,1,3,NULL),(20,5075360,'1991-02-18 00:00:00',2,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241216112431328611375122133262012',NULL,'497',11.00,1,3,NULL),(20,5075378,'1993-03-10 00:00:00',4,1,2,2010,'F','N','FLORESTA','S JOSÉ','SC','124242241115111431447933195122610163147',13828,'739',47.59,1,3,NULL),(20,5075386,'1989-01-30 00:00:00',2,1,11,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241211133431636634441124610136077',NULL,'723',26.97,2,1,2),(20,5075394,'1991-08-30 00:00:00',4,1,10,2008,'M','N','SUMARÉ','RIO SUL','SC','124242241215473411358911412124610162142',4006,'991',68.39,1,3,NULL),(20,5075416,'1992-05-05 00:00:00',2,8,12,2009,'F','N','AMIZADE','JARAGUÁ SUL','SC','124241241116371431446619292324610161147',11652,'425',52.48,4,2,1),(20,5075424,'1966-11-13 00:00:00',2,1,12,1985,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242243216152411433467471124132266177',NULL,'212',24.02,1,3,NULL),(20,5075432,'1990-01-18 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248215273431469952572122121433092',4423,'270',69.73,1,3,NULL),(20,5075440,'1976-10-06 00:00:00',4,1,11,1994,'F','N','VILA FORMOSA','S PAULO','SP','125253251116472411346619495124142762106',NULL,'9998',0.00,1,3,NULL),(20,5075459,'1954-08-16 00:00:00',2,1,12,1971,'F','N','CENTRO','FLORIANÓPOLIS','SC','524162245116273451243342225134321826182',NULL,'307',0.00,1,3,NULL),(20,5075467,'1991-11-05 00:00:00',2,15,12,2008,'F','N','TRISTEZA','PTO ALEGRE','RS','120202201116471431438623575124610148097',2950,'9998',73.27,1,3,NULL),(20,5075475,'1992-10-17 00:00:00',4,5,12,2009,'F','N','CEARÁ','CRICIÚMA','SC','124241241417131431433314242124610134187',NULL,'920',30.21,1,3,NULL),(20,5075483,'1985-09-08 00:00:00',4,16,12,2003,'M','N','NÚCLEO TRITÍCOLA','FR ROGÉRIO','SC','224241241411141412225545451222130716042',12242,'320',53.90,1,3,NULL),(20,5075491,'1992-04-30 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215122431357714492115610132172',4222,'1133',70.26,1,3,NULL),(20,5075505,'1993-01-12 00:00:00',4,8,12,2009,'F','N','CZERNIERWCZ','JARAGUÁ SUL','SC','124242241215371431368912241122610127142',5674,'424',64.31,1,3,NULL),(20,5075513,'1992-02-14 00:00:00',4,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','116164161216112431328832572123610166097',10656,'9998',53.04,1,3,NULL),(20,5075521,'1991-03-21 00:00:00',4,8,12,2008,'M','N','GLORIA','JOINVILLE','SC','124242241215473731548811575124610167041',10812,'459',54.35,1,3,NULL),(20,5075530,'1991-06-22 00:00:00',4,17,12,2008,'F','N','VILA FATY','S MATEUS SUL','PR','116162161216472431468934595115610164142',11308,'9998',53.12,1,3,NULL),(20,5075548,'1991-04-14 00:00:00',4,1,12,2008,'M','N','JARDIM MARISTELA','ITAPEVI','SP','125252258117571431428923575122610164112',6596,'9998',62.92,1,3,NULL),(20,5075556,'1990-09-30 00:00:00',2,1,11,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124244241211152431436614345123610146092',11712,'944',53.35,1,3,NULL),(20,5075564,'1978-09-30 00:00:00',2,1,12,1997,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241222133731123344442344222927187',14335,'9997',49.64,1,3,NULL),(20,5075580,'1974-06-29 00:00:00',4,15,12,1994,'M','N','ALTO FELIZ','ARARANGUÁ','SC','224242241216275421258641215122432164015',14135,'269',50.10,1,3,NULL),(20,5075599,'1991-08-20 00:00:00',4,1,12,2008,'F','N','CENTRO','IMBITUBA','SC','124241241116271731535514575122610168097',15501,'359',46.31,1,2,1),(20,5075602,'1992-03-06 00:00:00',2,10,11,2009,'F','N','TIRADENTES','GRAVATAL','SC','124241241115371411526624142124610128017',12939,'1034',50.24,1,2,1),(20,5075610,'1991-10-28 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216111721363332325124610167112',NULL,'270',25.54,1,3,NULL),(20,5075629,'1990-12-18 00:00:00',4,1,12,2008,'M','N','SÃO LUIZ','BRUSQUE','SC','124242241215372431477914375112610164082',7257,'1123',63.30,1,3,NULL),(20,5075637,'1992-01-05 00:00:00',2,1,12,2009,'F','N','ENGENHEIRO GUTIERREZ','IRATI','PR','116163161417131411639913572124610122144',11196,'9998',51.90,1,3,NULL),(20,5075645,'1992-08-05 00:00:00',4,17,12,2009,'F','N','MERCES','CURITIBA','PR','116162161117371731358832472122610167092',3609,'9998',71.05,1,3,NULL),(20,5075653,'1991-10-16 00:00:00',4,1,12,2008,'F','N','AMÉRICA','JOINVILLE','SC','124242241215472431466612575122610164042',4100,'486',70.09,1,3,NULL),(20,5075661,'1991-02-10 00:00:00',2,5,11,2007,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124244241216113231359913575124221464017',15920,'210',44.57,4,1,2),(20,5075670,'1985-11-30 00:00:00',4,1,6,2004,'M','N','CENTRO','PENHA','SC','124244247436272431228669475124133242092',12365,'9999',53.63,1,3,NULL),(20,5075688,'1989-03-12 00:00:00',4,8,12,2006,'F','N','CENTRO','RIO NEGRO','PR','116162241215472451538721575125610133122',4375,'541',68.41,1,3,NULL),(20,5075696,'1991-02-01 00:00:00',4,8,11,2008,'F','N','CENTRO','JOINVILLE','SC','124242241215372431589912575122610123142',1512,'461',78.42,1,3,NULL),(20,5075700,'1991-08-19 00:00:00',4,8,12,2008,'M','N','MONTE CASTELO','S JOSÉ CAMPOS','SP','125252251214471432223623572124610161092',2911,'9998',72.07,1,3,NULL),(20,5075718,'1988-10-31 00:00:00',2,8,12,2005,'M','N','JARDIM BELA VISTA II','CARAMBEÍ','PR','116162164216571431557933375122141027012',NULL,'9998',0.00,1,3,NULL),(20,5075726,'1990-06-18 00:00:00',2,1,12,2007,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241137141431436723392124233222017',NULL,'733',0.00,1,2,1),(20,5075734,'1992-05-28 00:00:00',2,1,12,2009,'F','N','CENTRO','BIGUAÇU','SC','124162241212132531326621371121610137053',NULL,'1040',29.56,1,3,NULL),(20,5075742,'1992-02-08 00:00:00',2,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241212121431558632575124610162095',NULL,'269',22.14,1,3,NULL),(20,5075750,'1986-10-20 00:00:00',2,1,11,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215575431346823574224121534142',4930,'213',68.51,1,3,NULL),(20,5075777,'1990-08-25 00:00:00',2,1,12,2007,'M','N','PQ GREVILLEAS III','MARINGÁ','PR','116162166215371431567312244132141254152',NULL,'9998',0.00,4,3,NULL),(20,5075785,'1987-02-17 00:00:00',4,2,4,2007,'M','N','JARDIM ROSINHA','S PAULO','SP','125241247127471751423344341334610156041',9744,'9999',56.84,1,2,1),(20,5075793,'1990-10-20 00:00:00',2,10,6,2008,'F','N','CENTRO','TUBARÃO','SC','124243241335271431513728282321610153147',NULL,'9999',23.97,1,3,NULL),(20,5075823,'1992-02-28 00:00:00',4,8,12,2009,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241215272731459814572122610122197',9517,'441',58.00,1,3,NULL),(20,5075840,'1991-07-27 00:00:00',2,4,12,2008,'M','N','CENTRO','ITAPIRANGA','SC','124243241225473741634432574345610167042',13562,'1060',47.04,1,3,NULL),(20,5075858,'1991-08-29 00:00:00',4,8,12,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241216132431458611415134131426147',1914,'486',77.08,1,3,NULL),(20,5075866,'1992-06-19 00:00:00',4,1,12,2009,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241216371431459713375122610164042',12701,'259',50.92,1,3,NULL),(20,5075890,'1991-08-29 00:00:00',4,1,12,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216121431468813575124610132015',NULL,'1022',26.09,1,3,NULL),(20,5075904,'1991-01-28 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116473731448723572112610123147',14269,'298',46.74,1,2,1),(20,5075912,'1988-01-08 00:00:00',2,1,12,2005,'F','N','CENTRO','STA MARIA','RS','120201201146571731335639395125143267147',10141,'9998',55.84,1,3,NULL),(20,5075920,'1993-10-10 00:00:00',2,5,12,2009,'F','N','VILA FRANCA','FORQUILHINHA','SC','124241241417151731338512572122610163192',NULL,'995',29.52,1,3,NULL),(20,5075939,'1990-09-12 00:00:00',4,6,12,2007,'M','N','CENTRO','CPO MOURÃO','PR','116162161216573421558712575122610167057',8449,'9998',58.45,1,3,NULL),(20,5075947,'1990-07-13 00:00:00',4,7,12,2007,'M','N','CENTRO','CONCÓRDIA','SC','124241246117573432669913572122221744012',NULL,'196',23.09,1,2,1),(20,5075955,'1991-12-18 00:00:00',4,1,12,2009,'M','N','PITUBA','SALVADOR','BA','105052051237111431686812572122610167042',3627,'9998',69.74,1,3,NULL),(20,5075980,'1990-07-18 00:00:00',4,1,12,2007,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217474431478612575122230267042',10241,'270',57.72,1,3,NULL),(20,5076005,'1991-10-01 00:00:00',2,10,12,2008,'F','N','DEHON','TUBARÃO','SC','124243241315372731436614475112610164197',12442,'809',51.60,4,3,NULL),(20,5076021,'1990-08-27 00:00:00',2,1,12,2007,'M','N','ESTRELA','PNT GROSSA','PR','116162161216371731469913215122243122032',NULL,'9998',0.00,1,3,NULL),(20,5076030,'1991-01-11 00:00:00',4,8,12,2008,'F','N','SANTA RITA','S JOSÉ PINHAIS','PR','116162161211471431628319371324610123027',11724,'9998',51.91,1,3,NULL),(20,5076048,'1990-01-06 00:00:00',2,1,12,2006,'M','N','CENTRO','STA MARIA','RS','120204201216471731458923572122140467147',35,'9998',92.47,1,3,NULL),(20,5076056,'1990-07-22 00:00:00',4,1,12,2008,'F','N','JD LA SALLE','TOLEDO','PR','116162161215472441433815175112610133072',13522,'9998',47.57,1,3,NULL),(20,5076072,'1992-04-13 00:00:00',2,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','125251251117151431356824385122610137052',NULL,'9998',26.54,1,2,1),(20,5076102,'1984-01-23 00:00:00',4,1,11,2001,'M','N','COPACABANA','RIO JANEIRO','RJ','121212211212571441458921472114241462057',7975,'9998',61.88,1,3,NULL),(20,5076110,'1992-09-18 00:00:00',2,15,11,2009,'F','N','ÚLTIMO RIO','JACINTO MACHADO','SC','124243241215272231436614372122610133142',10002,'970',56.19,1,3,NULL),(20,5076129,'1990-12-31 00:00:00',2,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120201201136431421443535592124610137057',NULL,'9998',23.34,1,2,1),(20,5076137,'1992-08-30 00:00:00',4,7,12,2009,'F','N','NSA SRA DE LOURDES','CAMPOS NOVOS','SC','124242241215111431468912575112610132092',13827,'962',50.70,1,3,NULL),(20,5076170,'1992-04-30 00:00:00',2,1,12,2008,'F','N','CENTRO','BIGUAÇU','SC','124242241215472411348614275124610134142',4717,'63',67.89,1,3,NULL),(20,5076196,'1988-01-02 00:00:00',2,1,12,2005,'M','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124242241116273431467312245123130867042',11304,'739',55.69,1,3,NULL),(20,5076200,'1993-02-24 00:00:00',4,4,12,2009,'F','N','CENTRO','PALMITOS','SC','124242241215471431468932496122610126182',13984,'9997',46.42,1,3,NULL),(20,5076218,'1991-06-07 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116241161217471711536733596114610164017',1087,'9998',79.71,1,3,NULL),(20,5076226,'1987-07-28 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124251257315371431358711275124610162182',NULL,'9998',0.00,1,3,NULL),(20,5076234,'1992-02-28 00:00:00',4,1,12,2009,'M','N','JARDIM SAO DOMINGOS','MARÍLIA','SP','125252251216271731436839595125610164047',NULL,'9998',NULL,1,3,NULL),(20,5076242,'1991-01-25 00:00:00',2,1,7,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243247417271431226729385114610137047',NULL,'9999',22.58,2,1,2),(20,5076269,'1992-05-11 00:00:00',2,5,11,2009,'F','N','OPERARIA NOVA','CRICIÚMA','SC','124241241216331431338823385124610114072',NULL,'920',26.20,2,1,2),(20,5076285,'1991-08-12 00:00:00',4,1,12,2007,'F','N','CENTRO','XANXERÊ','SC','124242241237373431459814575124121467142',850,'836',82.17,1,3,NULL),(20,5076293,'1993-02-14 00:00:00',4,2,11,2009,'M','N','CENTRO','BOTUVERÁ','SC','124161241136161431456823275122610137042',15478,'98',46.39,1,2,1),(20,5076307,'1990-03-16 00:00:00',2,15,12,2007,'F','N','SILVA','SAPUCAIA SUL','RS','120202201215471131349732345122140223117',6850,'9998',61.14,1,3,NULL),(20,5076331,'1991-04-11 00:00:00',4,8,12,2008,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242161211472451468832575125610162092',1907,'9998',76.13,1,3,NULL),(20,5076340,'1991-07-09 00:00:00',4,1,12,2008,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251215471431368623575122610114117',NULL,'9998',0.00,1,3,NULL),(20,5076358,'1984-02-05 00:00:00',2,1,12,2001,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241316375421324641215123133262143',9226,'266',59.57,1,3,NULL),(20,5076366,'1991-06-17 00:00:00',2,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241135131331543611345121610124187',NULL,'51',29.05,1,2,1),(20,5076382,'1989-08-24 00:00:00',4,1,12,2007,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217573451568713574124222933181',51,'262',91.58,4,1,2),(20,5076390,'1993-04-09 00:00:00',4,1,12,2010,'F','S','BARREIROS','S JOSÉ','SC','124242241212171412445411572122610167147',NULL,'1118',22.38,1,3,NULL),(20,5076404,'1991-09-12 00:00:00',4,1,11,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217111431489933575112610122182',11062,'270',52.25,1,3,NULL),(20,5076412,'1988-03-19 00:00:00',4,1,12,2005,'M','N','CAMPINAS','S JOSÉ','SC','124242241216243421566834445132333267053',7479,'270',61.02,1,3,NULL),(20,5076420,'1991-05-16 00:00:00',5,8,12,2008,'M','N','CAPÃO DA IMBUIA','CURITIBA','PR','116162161317472431568923572114610124097',3169,'9998',70.87,1,3,NULL),(20,5076447,'1991-03-02 00:00:00',4,2,12,2008,'M','N','VELHA','BLUMENAU','SC','124242241217473431459813575124610168042',1456,'855',78.05,4,3,NULL),(20,5076455,'1990-02-10 00:00:00',4,1,12,2007,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125252251215472231658815572124610122052',5836,'9998',64.73,1,3,NULL),(20,5076463,'1991-10-20 01:00:00',4,1,12,2009,'M','N','VILA DUBUS','PRES PRUDENTE','SP','125252251217111431368814572122610168042',8100,'9998',59.20,1,3,NULL),(20,5076471,'1987-11-12 00:00:00',4,1,12,2005,'F','N','SÃO MIGUEL','BIGUAÇU','SC','124242241216133411348612342234132534177',15135,'424',47.45,1,3,NULL),(20,5076480,'1991-05-10 00:00:00',4,1,12,2008,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241217472231379814574114610168042',6129,'262',63.44,1,3,NULL),(20,5076498,'1989-07-27 00:00:00',4,1,12,2007,'M','N','VILA NOVA','AVARÉ','SP','125252251217571431478711575122610117122',NULL,'9998',0.00,1,3,NULL),(20,5076501,'1991-06-05 00:00:00',4,4,7,2009,'F','N','SAIC','CHAPECÓ','SC','124241281417271511438924575112610125197',NULL,'185',0.00,1,3,NULL),(20,5076510,'1992-12-09 00:00:00',4,8,12,2009,'M','N','GLÓRIA','JOINVILLE','SC','124122241314131431548834574121610147052',NULL,'492',0.00,1,3,NULL),(20,5076528,'1993-07-11 00:00:00',4,10,12,2010,'M','S','CENTRO','BRAÇO NORTE','SC','124242241217111432479932475122610164172',NULL,'807',50.40,1,3,NULL),(20,5076536,'1988-03-21 00:00:00',4,1,10,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243247235471411129532475314610114023',15993,'300',44.14,1,3,NULL),(20,5076544,'1991-09-29 00:00:00',4,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215123431489913572112610147042',539,'270',84.28,1,3,NULL),(20,5076552,'1992-02-12 00:00:00',2,5,11,2009,'F','N','MINA DO MATO','CRICIÚMA','SC','124242241217112431449619372124610137092',9912,'226',55.72,1,3,NULL),(20,5076560,'1992-03-16 00:00:00',4,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124242241215111431346823395124610136042',14050,'1078',47.14,1,3,NULL),(20,5076579,'1992-07-23 00:00:00',4,1,12,2009,'F','N','SAO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241135141411533314341224610124112',NULL,'772',27.98,1,2,1),(20,5076595,'1992-04-10 00:00:00',4,1,12,2009,'M','N','MERCÊS','CURITIBA','PR','116162161215111431488812575112610117122',NULL,'9998',0.00,1,3,NULL),(20,5076609,'1990-11-18 00:00:00',2,1,12,2007,'M','N','JARDIM DAS AMERICAS','CURITIBA','PR','116162161215574431488823585124610137011',3736,'9998',70.23,1,3,NULL),(20,5076617,'1993-04-09 00:00:00',2,4,12,2009,'M','N','CENTRO','VARGEÃO','SC','124243241217111431356831412114610167052',NULL,'836',50.24,1,3,NULL),(20,5076625,'1993-06-09 00:00:00',4,1,11,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217111431336931572124610162017',2145,'299',76.40,1,3,NULL),(20,5076633,'1987-11-07 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244247415471431243439495124610124053',14079,'266',50.25,1,3,NULL),(20,5076641,'1993-03-26 00:00:00',4,10,12,2009,'F','N','CENTRO','RIO FORTUNA','SC','124243241116161411627832325122610134047',NULL,'665',28.39,1,3,NULL),(20,5076650,'1991-01-10 00:00:00',2,8,12,2008,'M','N','MERCES','CURITIBA','PR','116162161217271741548834595121610122181',NULL,'9998',62.35,1,3,NULL),(20,5076668,'1989-10-09 00:00:00',2,6,11,2006,'F','N','FAZENDA','ITAJAÍ','SC','124241241215571431578633575122610163195',NULL,'969',46.37,1,3,NULL),(20,5076684,'1992-05-30 00:00:00',4,1,12,2009,'F','N','CENTRO','S BERNARDO CAMPO','SP','125252251211321431448619371124610126077',NULL,'9998',0.00,1,3,NULL),(20,5076692,'1991-11-27 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241211472411122313571111610124171',4260,'1022',68.96,1,3,NULL),(20,5076706,'1987-07-21 00:00:00',2,5,12,2004,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124244241415153431327722385124231414181',11482,'226',55.37,1,3,NULL),(20,5076714,'1992-04-10 00:00:00',4,1,11,2009,'F','N','JARDIM DO LAGO','LONDRINA','PR','116162161215171431468832592122610147182',NULL,'9998',0.00,3,3,NULL),(20,5076722,'1992-07-10 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124243241215111411558614574122610134182',4279,'213',68.03,1,3,NULL),(20,5076730,'1991-10-05 00:00:00',2,1,12,2009,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215111431446613395124610167042',15015,'269',45.68,1,3,NULL),(20,5076749,'1988-02-25 00:00:00',4,1,12,2005,'M','N','VILA NARCISA','BARRA BONITA','SP','125251251136271432436814342123141422197',NULL,'9998',26.11,1,2,1),(20,5076757,'1993-03-22 00:00:00',4,4,12,2009,'F','N','BAIXADA AMARELA','STA HELENA','PR','116162161417111331469933475124610124143',11348,'9998',53.56,1,3,NULL),(20,5076765,'1993-04-12 00:00:00',4,8,12,2009,'M','N','CENTRO','PITANGA','PR','116162161217161411588632595122610117142',7406,'9998',60.04,1,3,NULL),(20,5076773,'1992-12-02 00:00:00',2,1,12,2009,'F','N','RECANTO TROPICAL','CASCAVEL','PR','116161161136131511434611345124610131197',9317,'9998',56.76,1,2,1),(20,5076781,'1992-08-04 00:00:00',2,8,11,2009,'F','N','BOA VISTA','JOINVILLE','SC','124241241215111431659714572121610144147',9313,'461',56.19,1,3,NULL),(20,5076790,'1988-11-22 00:00:00',2,1,12,2005,'F','N','CENTRO','UMUARAMA','PR','116161141226271431229311385124243263157',NULL,'9998',0.00,1,3,NULL),(20,5076803,'1988-04-10 00:00:00',4,6,11,2005,'M','N','FAZENDA','ITAJAÍ','SC','124241241217151431576633575112140364055',12875,'9997',52.59,1,3,NULL),(20,5076820,'1991-09-07 00:00:00',4,5,12,2008,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215453431346633595112610137117',2621,'211',74.13,1,3,NULL),(20,5076838,'1990-05-19 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124204201316473441436931571124610136177',13197,'9998',49.57,1,3,NULL),(20,5076846,'1988-07-05 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241212272231465733445122333217061',NULL,'269',28.91,1,3,NULL),(20,5076854,'1989-12-14 00:00:00',1,1,12,2007,'M','N','VALE ITAMARACA','VALINHOS','SP','125252251217471432568812575122610117117',2134,'9998',75.15,1,3,NULL),(20,5076862,'1991-08-30 00:00:00',4,5,11,2009,'F','N','MARECHAL RONDON','CANOAS','RS','120202201211471431558819575124610166147',NULL,'9998',0.00,1,3,NULL),(20,5076870,'1990-02-12 00:00:00',2,1,12,2009,'M','N','CENTRO','CAXIAS SUL','RS','120203208346111711228549315114110112111',NULL,'9998',23.75,1,3,NULL),(20,5076897,'1992-10-08 00:00:00',4,2,12,2009,'F','N','CENTRO','MASSARANDUBA','SC','124241241215162431236624472122610147052',3767,'424',71.43,1,3,NULL),(20,5076900,'1991-10-08 00:00:00',4,1,12,2009,'F','N','JARDIM SILVA MELLO','OLÍMPIA','SP','125252251215111411446934345122610144197',3258,'9998',70.50,1,3,NULL),(20,5076919,'1991-06-09 00:00:00',4,17,12,2008,'F','N','CENTRO','CURITIBA','PR','116244241215471411428811574124610161092',6308,'633',62.86,1,3,NULL),(20,5076927,'1992-12-31 00:00:00',4,1,12,2009,'M','N','PONTA DO PAPAGAIO','PALHOÇA','SC','124242241215111431338811376114610164052',9497,'989',55.87,1,3,NULL),(20,5076935,'1992-12-20 00:00:00',4,6,11,2009,'F','N','FAZENDA','ITAJAÍ','SC','124242241215371731443939575122610148147',15118,'394',43.69,4,3,NULL),(20,5076943,'1991-12-04 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241115151431668811376122610144017',11741,'988',52.12,1,3,NULL),(20,5076951,'1991-06-30 00:00:00',2,4,12,2008,'F','N','DOM BOSCO','UMUARAMA','PR','116161161126132411331823115124610115012',NULL,'9998',54.95,2,1,1),(20,5076960,'1991-08-29 00:00:00',4,10,11,2008,'F','N','VILA MOEMA','TUBARÃO','SC','124242241217373431569811472124610163072',1544,'807',78.47,1,3,NULL),(20,5076978,'1992-08-04 00:00:00',2,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111521458814572122610122142',NULL,'272',28.01,1,3,NULL),(20,5076986,'1992-10-07 00:00:00',2,10,11,2009,'M','N','HUMAITA','TUBARÃO','SC','124243241216111431548811575121610127042',NULL,'809',26.69,1,3,NULL),(20,5076994,'1986-12-27 00:00:00',4,1,12,2004,'F','N','TORRES DE SÃO JOSÉ','JUNDIAÍ','SP','125252251215472731458834475124122262077',NULL,'9998',NULL,1,3,NULL),(20,5077001,'1991-09-18 00:00:00',4,3,12,2008,'F','N','CASA BRANCA','ITAPEMA','SC','124111111216472431426634574324610132012',3188,'9998',72.94,1,3,NULL),(20,5077010,'1989-11-13 00:00:00',2,1,11,2007,'F','N','AGUA VERDE','CURITIBA','PR','116244241215574431433821572124610163057',8517,'270',60.89,1,3,NULL),(20,5077028,'1991-12-22 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241217371431469923575114610133122',16013,'269',41.89,1,3,NULL),(20,5077036,'1990-11-02 00:00:00',4,6,12,2008,'F','N','SANTA RITA','BRUSQUE','SC','124241241117572411436333572124610136187',NULL,'876',36.90,1,2,1),(20,5077044,'1992-04-27 00:00:00',4,1,11,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111431463913342122610123065',7086,'272',61.70,1,3,NULL),(20,5077052,'1989-03-09 00:00:00',4,1,12,2007,'M','N','LOURDES','BELO HORIZONTE','MG','113134133216471411367912177121610147181',NULL,'9998',0.00,4,3,NULL),(20,5077060,'1991-03-20 00:00:00',4,8,12,2008,'M','N','CENTRO','COLOMBO','PR','116163161435111431536639575224610162057',NULL,'9998',0.00,1,3,NULL),(20,5077087,'1992-09-08 00:00:00',4,1,12,2010,'M','S','JARDIM SÃO PAULO','AMERICANA','SP','125252251217111431468614272112610118042',NULL,'9998',42.28,4,3,NULL),(20,5077095,'1991-07-22 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217372431579914575124610167042',2315,'270',74.73,1,3,NULL),(20,5077125,'1989-08-03 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201205112372411436611491124232726042',16059,'9998',43.68,4,3,NULL),(20,5077133,'1991-10-04 00:00:00',4,8,12,2009,'M','N','CENTRO','JOINVILLE','SC','124242241217151311468711472115610164121',10848,'488',53.72,1,3,NULL),(20,5077141,'1992-12-09 00:00:00',4,4,12,2009,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124242248215471231458812591122610167041',14480,'983',46.02,1,3,NULL),(20,5077150,'1990-05-02 00:00:00',4,4,12,2007,'F','N','CENTRO','CURITIBA','PR','116241161117575441434635574114610125042',NULL,'9998',0.00,1,2,1),(20,5077168,'1991-06-14 00:00:00',2,1,12,2008,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124243248112472411549414242224610113145',NULL,'281',47.74,1,3,NULL),(20,5077176,'1990-08-21 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431428721492124610163186',NULL,'1118',27.49,1,3,NULL),(20,5077184,'1991-11-05 00:00:00',2,8,12,2009,'F','N','CENTRO','ARAQUARI','SC','124241241235111431657813581124610164187',NULL,'1016',43.29,2,1,2),(20,5077192,'1985-07-04 00:00:00',2,1,12,2003,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241126132421633321445332610134183',NULL,'307',29.77,1,3,NULL),(20,5077206,'1992-03-09 00:00:00',4,1,10,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216113431489932575122610137072',1595,'270',77.85,1,3,NULL),(20,5077214,'1992-09-15 00:00:00',4,8,12,2009,'F','N','VINTE CINCO DE JULHO','S BENTO SUL','SC','124241241237171431359913575122610123057',NULL,'1154',0.00,1,3,NULL),(20,5077222,'1991-10-17 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124162161215472431359913375122610127092',NULL,'9998',32.00,1,3,NULL),(20,5077249,'1992-01-14 00:00:00',4,10,11,2009,'M','N','SÃO JOÃO MDIREITA','TUBARÃO','SC','124242241215111431337679571122610124112',NULL,'806',27.66,1,3,NULL),(20,5077265,'1992-03-03 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124244241215111431233823295114610127077',8297,'1118',61.24,1,3,NULL),(20,5077273,'1989-09-02 00:00:00',4,1,12,2007,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215373431579814474122233224185',10962,'270',56.38,1,3,NULL),(20,5077281,'1991-09-08 00:00:00',4,8,12,2009,'M','N','GUANABARA','JOINVILLE','SC','124241241436271411465634575124610127051',7442,'472',61.00,1,3,NULL),(20,5077290,'1991-12-07 00:00:00',4,3,11,2008,'F','N','SANTA QUITÉRIA','CURITIBA','PR','116162161211471451568833571122610167012',9866,'9998',56.19,4,3,NULL),(20,5077303,'1991-03-17 00:00:00',4,1,11,2008,'M','N','RIO BRANCO','PTO ALEGRE','RS','120201201217471431357719395124610164177',2383,'9998',73.43,1,3,NULL),(20,5077311,'1991-01-02 00:00:00',4,3,12,2009,'F','N','CENTRO','CAXIAS SUL','RS','120202201212471431237731574122610165097',NULL,'9998',0.00,1,3,NULL),(20,5077320,'1993-06-22 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124241241145111431433933572124610161147',10849,'1116',53.21,4,2,1),(20,5077338,'1992-04-21 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216121431536879575122610127012',NULL,'1038',0.00,1,3,NULL),(20,5077346,'1990-12-21 00:00:00',4,1,12,2008,'M','N','VILA MARISTELA','PRES PRUDENTE','SP','125252251215271431468836575122610162187',NULL,'9998',0.00,1,3,NULL),(20,5077354,'1984-08-04 00:00:00',2,1,12,2001,'M','N','CAMPINAS','S JOSÉ','SC','124204201216413441248823395122230226172',15527,'9998',46.20,1,3,NULL),(20,5077362,'1991-10-10 00:00:00',2,1,12,2009,'F','N','CENTRO','PANAMBI','RS','120201201116131431535823571124610127072',NULL,'9998',0.00,1,2,1),(20,5077370,'1977-01-29 00:00:00',2,1,6,1996,'M','N','CENTRO','FLORIANÓPOLIS','SC','524241247246272421436333435123610124042',NULL,'9999',24.22,1,3,NULL),(20,5077389,'1992-09-29 00:00:00',4,1,12,2009,'F','N','CABRAL','CURITIBA','PR','116162161216111431355633572124610124042',11622,'9998',53.61,1,3,NULL),(20,5077397,'1992-07-02 00:00:00',4,1,10,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217111431469814375124610124147',7746,'270',60.87,1,3,NULL),(20,5077400,'1991-04-26 00:00:00',4,1,12,2008,'M','N','LAGO SUL','LG SUL','DF','107072071217471431568833575112610134042',652,'9998',82.91,1,3,NULL),(20,5077419,'1993-05-15 00:00:00',4,1,11,2010,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242248215111431359939592122610132075',NULL,'270',47.97,1,3,NULL),(20,5077427,'1991-11-29 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124244241217151711546873595122610168152',NULL,'9999',47.59,1,3,NULL),(20,5077435,'1991-07-07 00:00:00',5,3,12,2008,'F','N','CAMPO GRANDE','PARANAGUÁ','PR','116162161216471231457933595124610125142',NULL,'9998',0.00,1,3,NULL),(20,5077443,'1993-07-09 00:00:00',4,8,12,2010,'F','S','BOM RETIRO','JOINVILLE','SC','124242241216111432369911577124610164147',NULL,'486',51.05,1,3,NULL),(20,5077451,'1989-03-24 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217443431449711442112230267047',NULL,'262',28.93,1,3,NULL),(20,5077460,'1992-08-27 00:00:00',2,1,12,2009,'F','N','CACHOEIRA DO BOM JS','FLORIANÓPOLIS','SC','624242241211111411447622291224610117147',10001,'1022',58.15,1,3,NULL),(20,5077486,'1989-04-14 00:00:00',4,1,12,2006,'M','N','EXPOSIÇÃO','CAXIAS SUL','RS','120204201117471431347923242125241464042',1976,'9998',76.99,1,3,NULL),(20,5077494,'1987-12-01 00:00:00',2,4,12,2006,'F','N','SÃO CRISTOVÃO','PASSO FUNDO','RS','120203201316573411466723442124142831012',15597,'9998',41.39,1,3,NULL),(20,5077516,'1991-09-27 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244247217271411588912575112610147187',15427,'9999',46.54,1,3,NULL),(20,5077532,'1991-01-24 00:00:00',2,1,12,2007,'M','N','CENTRO','TUNAS','RS','120201201122571411336413372324610168052',1540,'9998',78.72,1,2,1),(20,5077540,'1991-01-15 00:00:00',4,3,7,2009,'M','N','JARDIM COLINAS','S JOSÉ CAMPOS','SP','125252257237371431489912575122610117047',NULL,'9998',21.24,1,3,NULL),(20,5077559,'1977-08-30 00:00:00',4,8,12,1995,'M','N','SITIO CERCADO','CURITIBA','PR','216251256116371711126849345124143234117',NULL,'9998',27.16,1,3,NULL),(20,5077575,'1992-05-25 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215113431468813575112610132142',5065,'270',67.81,1,3,NULL),(20,5077583,'1989-09-28 00:00:00',2,1,12,2007,'M','N','CENTRO','IRAÍ','RS','120201201217571731323632572315610168167',1554,'9998',77.63,1,3,NULL),(20,5077591,'1991-01-21 00:00:00',4,1,11,2008,'M','N','CENTRO','CAMPINAS','SP','125252251217472431269923575122610137052',NULL,'9998',0.00,1,3,NULL),(20,5077605,'1989-08-21 00:00:00',2,3,12,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124202201215573411547732575124610142142',1076,'9998',80.87,1,3,NULL),(20,5077621,'1989-09-19 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215152431368814395124223264092',8096,'392',61.66,1,3,NULL),(20,5077630,'1991-06-21 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215473431548633572124610136052',212,'270',87.78,1,3,NULL),(20,5077648,'1991-07-31 00:00:00',4,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241114472731436919295224610133182',13820,'322',50.71,1,2,1),(20,5077656,'1991-10-12 00:00:00',2,8,11,2009,'F','N','COHAPAR','GUARATUBA','PR','116162241215111421467823575112610137122',NULL,'486',0.00,1,3,NULL),(20,5077664,'1990-09-04 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215575441256923572122610145052',33,'270',92.55,1,3,NULL),(20,5077672,'1992-11-04 00:00:00',4,1,12,2009,'M','N','ATENAS DO SUL','ITAPETININGA','SP','125252251216111431466631575122610167042',NULL,'9998',0.00,1,3,NULL),(20,5077699,'1990-11-28 00:00:00',4,8,12,2007,'F','N','BOQUEIRÃO','CURITIBA','PR','116162161216572411456612174122610127182',NULL,'9998',0.00,1,3,NULL),(20,5077702,'1989-02-05 00:00:00',2,1,12,2006,'F','N','REAL PARQUE','S JOSÉ','SC','124243241217273431336814446112131042037',11379,'259',55.55,1,3,NULL),(20,5077710,'1991-05-24 00:00:00',2,10,7,2008,'F','N','STO ANTONIO DE PADUA','TUBARÃO','SC','124244247216472431438623375322610118142',NULL,'9999',0.00,1,3,NULL),(20,5077729,'1988-02-25 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216575431456612375124610137012',NULL,'836',36.76,1,3,NULL),(20,5077737,'1992-07-29 00:00:00',4,5,9,2009,'F','N','MINA DO MATO','CRICIÚMA','SC','124242241217271431469914574122610111122',11851,'213',51.66,1,3,NULL),(20,5077753,'1992-05-23 00:00:00',4,1,11,2009,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242248215121431447812595124610127113',3137,'270',73.11,1,3,NULL),(20,5077761,'1990-08-02 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241215171421523953291124610123092',NULL,'1022',26.32,1,3,NULL),(20,5077788,'1992-07-18 00:00:00',2,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124242241337371331326414575124610122092',NULL,'592',24.85,1,3,NULL),(20,5077796,'1990-12-14 00:00:00',4,1,12,2008,'F','N','ALPHAVILLE','CAMPINAS','SP','125252251216472441548716571122610133142',2308,'9998',74.78,1,3,NULL),(20,5077800,'1991-01-13 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241115473431359923572112610122042',3234,'267',72.78,1,2,1),(20,5077818,'1989-09-06 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431568779382124222925112',6360,'1048',65.21,1,3,NULL),(20,5077826,'1991-09-21 00:00:00',2,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241215111431443311315112610144182',NULL,'269',45.22,4,3,NULL),(20,5077842,'1991-04-08 00:00:00',4,1,12,2007,'M','N','JD GUILHERMINA','PR GRANDE','SP','125252251217573211579811585315221467077',NULL,'9998',39.80,2,1,2),(20,5077850,'1989-12-29 00:00:00',4,1,11,2008,'M','N','BARRA DA TIJUCA','RIO JANEIRO','RJ','121213211336571451579934572112610164046',NULL,'9998',0.00,4,3,NULL),(20,5077869,'1980-04-15 00:00:00',2,8,12,1997,'F','N','TUIUTI','PARANAGUÁ','PR','116163161216571431526641415114343226092',NULL,'9998',0.00,2,3,NULL),(20,5077877,'1993-05-12 00:00:00',4,5,12,2010,'M','S','CENTRO','SIDERÓPOLIS','SC','124242246237141431636412275124610162143',NULL,'995',55.84,1,3,NULL),(20,5077885,'1991-02-14 00:00:00',2,16,12,2008,'M','N','CENTRO','CURITIBANOS','SC','124241242114141441423335441324610167067',NULL,'196',37.71,1,2,1),(20,5077893,'1992-10-02 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215111732469713572112610167047',15025,'1118',45.44,1,3,NULL),(20,5077907,'1992-03-24 00:00:00',4,8,11,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124252241215111421478614575124610141122',5311,'1016',65.64,1,3,NULL),(20,5077915,'1987-05-20 00:00:00',4,8,12,2005,'F','N','ZONA CINCO','MARINGÁ','PR','116162161216571411378811571112610164092',NULL,'9998',0.00,1,3,NULL),(20,5077923,'1990-10-17 00:00:00',4,1,12,2008,'M','N','JARDIM TANGARA','MARÍLIA','SP','125252251217471431458812595122610127042',4436,'9998',67.49,1,3,NULL),(20,5077931,'1991-12-13 00:00:00',4,1,12,2008,'F','N','VILA ISABEL','CURITIBA','PR','116162161211471431458934571122610122147',2919,'9998',73.08,1,3,NULL),(20,5077940,'1992-06-09 00:00:00',2,1,11,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241211112431454314571122610123142',5396,'270',67.33,1,3,NULL),(20,5077966,'1992-07-06 00:00:00',4,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241415112331443621572124610126093',2519,'1022',75.03,1,3,NULL),(20,5077974,'1990-03-19 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241217153741366811572124231568077',NULL,'1022',30.69,1,3,NULL),(20,5077982,'1991-07-31 00:00:00',4,8,11,2008,'F','N','CENTRO','CURITIBA','PR','116252161214471451548832575324610166192',NULL,'9998',NULL,4,3,NULL),(20,5077990,'1993-11-01 00:00:00',4,1,11,2010,'M','S','CAMPINAS','S JOSÉ','SC','124242241217111431468614375122610168052',NULL,'737',49.93,1,3,NULL),(20,5078008,'1993-10-31 00:00:00',4,1,11,2008,'F','N','BELA VISTA','S JOSÉ','SC','124242248215112431228624345124610132077',NULL,'1022',30.31,1,3,NULL),(20,5078016,'1990-09-20 00:00:00',4,4,12,2007,'M','N','VENEZA','XANXERÊ','SC','124242241215472431548811571125131524057',NULL,'1081',0.00,1,3,NULL),(20,5078024,'1989-05-26 00:00:00',2,4,12,2006,'F','N','CENTRO','S MARTINHO','RS','120203201317371411438812575124142617184',9757,'9998',55.97,1,3,NULL),(20,5078032,'1991-04-19 00:00:00',4,1,12,2008,'M','N','BANDEIRANTE','CALDAS NOVAS','GO','109092091216472731568933572112610167122',NULL,'9998',50.34,1,3,NULL),(20,5078059,'1992-02-05 00:00:00',4,8,12,2009,'M','N','BOA VISTA','CURITIBA','PR','116162161215111231466719576114610167052',NULL,'9998',NULL,1,3,NULL),(20,5078067,'1992-01-30 00:00:00',4,2,11,2009,'M','N','JARAGUÁ','S PAULO','SP','125252251216471431447611572122610137042',NULL,'9998',0.00,1,3,NULL),(20,5078075,'1992-09-01 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215112431379533575112610136141',4857,'270',68.73,1,3,NULL),(20,5078083,'1990-11-26 00:00:00',4,1,12,2007,'F','N','NOVA BRASILIA','IMBITUBA','SC','124243241136472531336313285124610147147',NULL,'359',37.65,1,3,NULL),(20,5078091,'1990-12-17 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215273431546933375122610127072',4722,'270',68.95,1,3,NULL),(20,5078105,'1992-02-20 00:00:00',4,8,12,2009,'F','N','BOA VISTA','JOINVILLE','SC','124242241215111331456811575124610162072',NULL,'1006',28.08,4,3,NULL),(20,5078113,'1992-10-28 00:00:00',4,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124242241215122431368824575112610114142',8850,'807',60.26,1,3,NULL),(20,5078121,'1994-09-02 00:00:00',4,3,12,2011,'F','S','CENTRO','BAL CAMBORIÚ','SC','124242241215111431349911314125610123192',NULL,'9997',35.90,1,3,NULL),(20,5078148,'1992-05-31 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124244248417111411446632575112610137111',14524,'738',49.19,1,3,NULL),(20,5078156,'1991-10-09 00:00:00',4,1,12,2008,'M','N','CERQUEIRA CESAR','S PAULO','SP','125252251217471411489914475125610137072',4217,'9998',68.91,1,3,NULL),(20,5078172,'1991-10-07 00:00:00',4,1,11,2009,'M','N','CENTRAL PARK','PRES PRUDENTE','SP','125251257111111432218826595124143212042',NULL,'9998',21.44,1,2,1),(20,5078199,'1989-08-23 00:00:00',4,16,12,2006,'F','N','LARANJEIRAS','RIO SUL','SC','124242241215571431273462575124131038182',4573,'654',68.44,1,3,NULL),(20,5078202,'1992-02-14 00:00:00',2,1,12,2009,'M','N','JARDIM DA SAUDE','S PAULO','SP','125252251217151431338831575124610117047',NULL,'9998',0.00,1,3,NULL),(20,5078210,'1987-07-11 00:00:00',4,1,12,2005,'M','N','CEL PEROBA','ITATIBA','SP','125254251125371411455512171112610124092',12181,'9998',51.01,1,3,NULL),(20,5078229,'1992-01-16 00:00:00',4,10,11,2009,'M','N','MAR GROSSO','LAGUNA','SC','124252241217133431439911596334610164136',5749,'807',65.08,1,3,NULL),(20,5078237,'1989-04-14 00:00:00',4,15,12,2008,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','125241247141132231528314341125610126047',NULL,'9999',14.87,1,2,1),(20,5078245,'1992-02-01 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215171431456933571124610127067',15892,'738',42.65,1,3,NULL),(20,5078253,'1985-06-26 00:00:00',4,3,12,2003,'F','N','CENTRO','AVARÉ','SP','125252251216571421239823571124610162097',NULL,'9998',0.00,1,3,NULL),(20,5078261,'1991-02-17 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241216142421469714315122233264097',436,'1022',85.13,1,3,NULL),(20,5078270,'1991-11-20 00:00:00',4,6,12,2009,'M','N','CORDEIROS','ITAJAÍ','SC','124244246216141431438719385121610167117',NULL,'1059',26.42,1,3,NULL),(20,5078300,'1990-07-11 00:00:00',2,1,12,2007,'F','N','VILA SUÍÇA','GRAMADO','RS','120202201216372131279627575114141447144',12548,'9998',49.18,1,3,NULL),(20,5078318,'1991-04-28 00:00:00',4,1,12,2008,'M','N','CENTRO','LOANDA','PR','116162161216471731246636375124610167053',8370,'9998',58.75,3,3,NULL),(20,5078326,'1990-09-11 00:00:00',4,1,12,2008,'M','N','JD N S DE FÁTIMA','LIMEIRA','SP','125252251216471441443823475124610127092',NULL,'9998',0.00,2,3,NULL),(20,5078342,'1992-05-24 00:00:00',4,3,12,2009,'M','N','VILA OPERARIA','MARINGÁ','PR','116162161215121431388911574112610162042',1471,'9998',78.61,1,3,NULL),(20,5078350,'1970-05-17 00:00:00',4,15,12,1987,'M','N','URUSANGUINHA','ARARANGUÁ','SC','624201201127131421626644442124610128097',NULL,'9998',0.00,1,3,NULL),(20,5078369,'1982-06-27 00:00:00',2,1,6,1982,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124251251146271711526514345324133221042',NULL,'9998',19.44,1,2,1),(20,5078377,'1992-02-15 00:00:00',4,5,11,2009,'M','N','CENTRO','BIGUAÇU','SC','124241246415111531468514445124610124143',NULL,'995',46.55,1,3,NULL),(20,5078385,'1992-02-04 00:00:00',4,1,11,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124244248215111731448612325124610153047',NULL,'1022',28.70,1,3,NULL),(20,5078393,'1993-01-21 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215271431569812575122610167047',6727,'737',64.12,1,3,NULL),(20,5078407,'1992-08-20 00:00:00',4,1,11,2009,'M','N','CENTRO','BIGUAÇU','SC','124242241215111431446632245111610132045',6543,'1118',61.72,1,3,NULL),(20,5078423,'1992-04-14 00:00:00',4,8,11,2009,'M','N','BENTO FERREIRA','VITÓRIA','ES','108082081217111431579814575122610164072',NULL,'9998',0.00,4,3,NULL),(20,5078431,'1991-10-04 00:00:00',4,1,12,2008,'F','N','LAGO AZUL','ARAÇOIABA SERRA','SP','125252251217471431388831575122610133147',5484,'9998',65.63,1,3,NULL),(20,5078440,'1991-05-27 00:00:00',4,1,11,2008,'M','N','SANTANA','RIO SUL','SC','124242241215472442568631591124610162172',337,'9997',86.12,1,3,NULL),(20,5078458,'1992-08-02 00:00:00',2,9,11,2009,'F','N','CENTRO','POUSO REDONDO','SC','124243241415132431346924574124610124097',NULL,'991',29.87,1,3,NULL),(20,5078466,'1988-02-12 00:00:00',4,1,11,2005,'M','N','VILA EUTHALIA','S PAULO','SP','125252251211511411668811271122610167052',NULL,'9998',0.00,1,3,NULL),(20,5078474,'1991-10-03 00:00:00',2,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215122431456912572124610123052',4022,'270',70.80,1,3,NULL),(20,5078482,'1983-10-10 00:00:00',2,1,12,2000,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241246126132731323343435132241424017',8709,'772',57.63,4,2,1),(20,5078490,'1992-07-16 00:00:00',4,2,10,2009,'M','N','CENTRO','BRUSQUE','SC','124242241215111711368833385122610164182',12216,'981',53.95,1,3,NULL),(20,5078512,'1990-09-28 00:00:00',4,1,12,2009,'F','N','JARDIM MAGNÓLIA','MTE STO MINAS','MG','113132251217471431658616575125610163097',NULL,'9998',NULL,1,3,NULL),(20,5078520,'1991-09-14 00:00:00',4,1,12,2009,'F','N','NOVA HOLANDA','HOLAMBRA','SP','125252251216111431557716475122610163016',10375,'9998',54.09,1,3,NULL),(20,5078539,'1992-07-06 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241217111431578912572112610124047',9797,'270',56.87,1,3,NULL),(20,5078547,'1989-11-30 00:00:00',4,2,12,2007,'M','N','VILA VICENTINA','GUARULHOS','SP','125252251215571431467839375122610134187',9479,'9998',57.01,3,3,NULL),(20,5078555,'1992-07-02 00:00:00',4,1,10,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241215111752337723585124613264057',7545,'273',62.72,1,3,NULL),(20,5078563,'1993-10-30 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217111431578813575114610418052',12915,'270',52.52,1,3,NULL),(20,5078571,'1992-06-15 00:00:00',4,8,11,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241217271531388814472112610128092',NULL,'457',0.00,1,3,NULL),(20,5078580,'1992-10-22 00:00:00',2,1,10,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215151431457634574122610128112',NULL,'273',27.39,1,3,NULL),(20,5078598,'1991-08-21 00:00:00',2,5,11,2009,'F','N','PAULO DE FRONTIN','CRICIÚMA','SC','124244243216142431534614385124610134053',NULL,'995',24.28,1,3,NULL),(20,5078601,'1992-09-29 00:00:00',2,4,12,2009,'F','N','INTERIOR','VANINI','RS','120201201147161431423316262224610147057',NULL,'9998',28.42,1,2,1),(20,5078610,'1991-12-25 00:00:00',4,2,11,2009,'M','N','SÃO LUIZ','BRUSQUE','SC','124242246215131431445834575121610162192',9013,'1090',56.51,1,3,NULL),(20,5078628,'1991-11-08 00:00:00',4,1,11,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215272431369613575114610167042',5287,'262',66.84,1,3,NULL),(20,5078644,'1992-07-04 00:00:00',4,3,12,2009,'M','N','REBOUÇAS','CURITIBA','PR','116162161217371431568812245121610117117',NULL,'9998',0.00,1,3,NULL),(20,5078652,'1992-11-02 00:00:00',4,1,12,2009,'F','N','JARDIM DO ENGENHO','ITATIBA','SP','125251251117151731326521181124610125147',NULL,'9998',0.00,4,2,1),(20,5078660,'1992-07-22 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242248215111232538874471114610134042',NULL,'1022',26.70,1,3,NULL),(20,5078679,'1992-10-09 00:00:00',2,8,11,2009,'F','N','ADHEMAR GARCIA','JOINVILLE','SC','124241241117131432426514285124610137142',NULL,'467',16.52,1,3,NULL),(20,5078687,'1993-03-28 00:00:00',2,1,12,2009,'F','N','VENDAVAL','BIGUAÇU','SC','124201201116151431327512242122610132182',NULL,'9998',39.34,1,3,NULL),(20,5078695,'1991-07-08 00:00:00',4,1,12,2008,'M','N','VILA NOVA CONCEIÇÃO','S PAULO','SP','125252251214471711488732375124610166042',3325,'9998',70.01,1,3,NULL),(20,5078709,'1992-06-19 00:00:00',2,17,11,2009,'F','N','PORTÃO','CURITIBA','PR','116241168415421451379713575114610138142',NULL,'153',53.09,1,3,NULL),(20,5078717,'1993-07-02 00:00:00',4,1,11,2010,'F','S','UNIVERSITARIO','TIJUCAS','SC','124242241215111431448933574124610125022',NULL,'9997',64.86,1,3,NULL),(20,5078725,'1991-08-13 00:00:00',4,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124242241211572731456613471122610122071',13433,'738',49.33,1,3,NULL),(20,5078733,'1992-09-11 00:00:00',4,3,11,2009,'F','N','CENTRO','CAMBORIÚ','SC','124243241615131431435514242121610168077',NULL,'1045',23.81,1,3,NULL),(20,5078741,'1991-06-17 00:00:00',2,1,12,2008,'M','N','SANTO INACIO','CURITIBA','PR','116161161417471751556639591114610167047',7302,'9998',61.24,1,3,NULL),(20,5078750,'1992-03-20 00:00:00',2,4,12,2009,'F','N','INTERIOR','VANINI','RS','120201201137161431423316572224610117057',NULL,'9998',24.87,1,2,1),(20,5078768,'1991-01-16 00:00:00',2,8,12,2008,'M','N','VILA ORESTES','ASSIS','SP','125252251217471731558813276122610167122',NULL,'9998',27.88,4,3,NULL),(20,5078776,'1989-02-27 00:00:00',2,4,12,2006,'F','N','COLATTO','XANXERÊ','SC','124242241216574431439632272224610163017',4332,'1159',68.67,1,3,NULL),(20,5078784,'1991-09-08 00:00:00',2,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215153431568813574114610132057',16251,'951',41.82,1,3,NULL),(20,5078806,'1990-10-03 00:00:00',2,1,11,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241415121741556419572114610127052',NULL,'300',20.16,1,3,NULL),(20,5078814,'1992-04-12 00:00:00',2,17,12,2009,'M','N','CENTRO','TRÊS BARRAS','SC','116244161215471431239923575124610167072',12739,'9998',52.85,1,3,NULL),(20,5078830,'1991-03-25 00:00:00',2,1,12,2008,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124204241115371431427834572124610135047',NULL,'307',26.27,2,1,2),(20,5078849,'1992-06-15 00:00:00',4,1,12,2009,'M','N','CRISTO REI','CURITIBA','PR','116162161215111431469814375122610137047',3549,'9998',69.11,1,3,NULL),(20,5078865,'1993-01-28 00:00:00',2,4,11,2009,'F','N','CENTRO','PATO BRANCO','PR','116162161215111411579832545114610123092',6245,'9998',63.09,1,3,NULL),(20,5078873,'1985-07-27 00:00:00',2,1,12,2002,'M','N','JARDIM IPIRANGA','PTO ALEGRE','RS','120202201216471431248832315122342068147',1217,'9998',79.42,1,3,NULL),(20,5078881,'1992-06-26 00:00:00',4,1,12,2009,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241214111731459733475122610112147',NULL,'948',0.00,1,3,NULL),(20,5078903,'1990-02-12 00:00:00',4,1,11,2007,'F','N','SÃO CRISTOVÃO','BAURU','SP','125252251216471411446319592122610162112',11394,'9998',54.04,1,3,NULL),(20,5078911,'1992-09-24 00:00:00',2,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431566632572122610127012',11266,'270',55.78,1,3,NULL),(20,5078946,'1991-04-30 00:00:00',4,1,12,2008,'M','N','LAGO NORTE','LG NORTE','DF','107072071217471431369923575122610162042',7495,'9998',62.80,1,3,NULL),(20,5078954,'1992-08-15 00:00:00',4,8,10,2009,'M','N','ATIRADORES','JOINVILLE','SC','124242241415121431558832275112610127042',13207,'486',49.64,1,3,NULL),(20,5078962,'1993-11-01 00:00:00',4,2,12,2010,'F','S','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241215111431369911415122610124142',NULL,'87',29.71,1,3,NULL),(20,5078970,'1990-04-05 00:00:00',2,3,12,2007,'F','N','VILA MARIANA','TAIÓ','SC','124241241146371431433831172115610163157',12429,'777',53.50,1,2,1),(20,5078989,'1986-07-04 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124243247317311451339733275124610163147',NULL,'9999',27.91,1,3,NULL),(20,5078997,'1989-03-30 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215574431558812575125222463072',1326,'270',79.62,1,3,NULL),(20,5079004,'1992-04-10 00:00:00',4,1,12,2009,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215111432559833572114610132147',12675,'1022',48.94,1,3,NULL),(20,5079012,'1991-09-04 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242248217473251359952196124610167115',NULL,'270',59.12,1,3,NULL),(20,5079020,'1993-07-11 00:00:00',2,15,12,2009,'F','N','JUNDIÁ','MELEIRO','SC','124241241115261431326616291124610116052',NULL,'559',25.37,4,2,1),(20,5079039,'1991-07-28 00:00:00',4,1,12,2008,'F','N','JARDIM DAS AMERICAS','CUIABÁ','MT','111162111217271731588814575112610128095',13448,'9998',48.61,1,3,NULL),(20,5079047,'1985-07-08 00:00:00',4,6,12,2003,'F','N','SÃO VICENTE','ITAJAÍ','SC','124241241117132411335374436324231966171',NULL,'401',42.02,1,3,NULL),(20,5079055,'1993-04-08 00:00:00',4,1,11,2010,'F','S','CENTRO','TIJUCAS','SC','124242241215111431459933586122610118197',NULL,'948',NULL,1,3,NULL),(20,5079071,'1993-03-18 00:00:00',4,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124243248335111751537734595124610134191',16281,'1022',41.08,1,3,NULL),(20,5079080,'1993-09-27 00:00:00',4,1,12,2010,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111412248823575124610124027',NULL,'270',NULL,3,3,NULL),(20,5079101,'1991-09-09 00:00:00',4,3,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161215472431449931572112610143127',3473,'9998',70.85,1,3,NULL),(20,5079110,'1987-07-17 00:00:00',4,1,12,2006,'F','N','VILA ADYANA','S JOSÉ CAMPOS','SP','125252251215571432458614571112610167147',NULL,'9998',0.00,1,3,NULL),(20,5079128,'1992-08-23 00:00:00',2,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242243217131531456812572124610163171',16307,'723',40.25,4,3,NULL),(20,5079144,'1993-10-23 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241317111451468932275125610167062',NULL,'270',27.80,1,3,NULL),(20,5079152,'1991-01-17 00:00:00',2,10,12,2008,'M','N','CENTRO','TUBARÃO','SC','124242246217373441359914475115610142111',NULL,'1120',29.90,1,3,NULL),(20,5079160,'1991-03-01 00:00:00',2,15,11,2007,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215573431449711295124610164117',6460,'32',65.00,1,3,NULL),(20,5079179,'1991-12-19 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242247215112431428611575115610123092',NULL,'1118',43.53,1,3,NULL),(20,5079209,'1991-03-19 00:00:00',4,17,11,2008,'F','N','REBOUÇAS','CURITIBA','PR','116241241215471411466833575114610162147',4471,'154',67.62,1,3,NULL),(20,5079217,'1992-01-09 00:00:00',4,1,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215123431578934475122610164192',NULL,'807',0.00,1,3,NULL),(20,5079225,'1991-12-11 00:00:00',4,10,12,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124241241317131431443311115121610137057',NULL,'9999',0.00,1,3,NULL),(20,5079233,'1992-07-02 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115151731558913575122610147055',11300,'267',54.38,1,2,1),(20,5079241,'1992-06-20 00:00:00',4,8,12,2009,'F','N','CENTRO','GUARAPUAVA','PR','116162161216221431659931575122610147077',2696,'9998',74.05,1,3,NULL),(20,5079268,'1992-12-17 00:00:00',2,5,11,2009,'F','N','CENTRO','IÇARA','SC','124242241215121431435734575124610122012',15227,'226',47.17,1,3,NULL),(20,5079276,'1990-08-27 00:00:00',4,8,11,2007,'M','N','ZONA SETE','MARINGÁ','PR','116162161217571431457614572115610142016',8078,'9998',59.74,3,3,NULL),(20,5079284,'1983-12-15 00:00:00',4,1,12,2000,'M','N','NOVA BRASILIA','IMBITUBA','SC','124241241317142111337329115133130237067',NULL,'359',0.00,1,3,NULL),(20,5079292,'1993-04-04 00:00:00',2,5,10,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215111731365612576122610137097',NULL,'226',24.52,1,3,NULL),(20,5079306,'1990-07-24 00:00:00',2,1,2,2008,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241115372431433611472124231026092',3787,'739',70.40,1,2,1),(20,5079314,'1990-10-25 00:00:00',2,9,12,2007,'F','N','SÃO LUIZ','FARROUPILHA','RS','120201201437571731646839572114610121147',NULL,'9998',26.25,1,3,NULL),(20,5079322,'1990-03-12 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241117372741123544341134110167017',NULL,'307',26.03,1,3,NULL),(20,5079330,'1989-10-25 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124204241217271421268831472124610137115',2103,'1022',76.46,1,3,NULL),(20,5079349,'1991-03-17 00:00:00',5,8,12,2008,'F','N','SÃO MARCOS','JOINVILLE','SC','124244241235473411555862375122610135055',NULL,'459',0.00,4,3,NULL),(20,5079357,'1993-12-28 00:00:00',4,1,12,2010,'F','S','CENTRO','BIGUAÇU','SC','124242241217111431569911472124610137062',NULL,'262',45.43,1,3,NULL),(20,5079365,'1991-05-22 00:00:00',4,1,12,2008,'F','N','CHACARAS SAO JOSE','S JOSÉ CAMPOS','SP','125254251217371431548821576122610133077',NULL,'9998',0.00,1,3,NULL),(20,5079373,'1990-05-07 00:00:00',4,1,12,2007,'M','N','JARDIM EUROPA','MARÍLIA','SP','124252251216574731448812575124610167017',11782,'9998',54.77,1,3,NULL),(20,5079390,'1990-11-30 00:00:00',4,8,11,2009,'M','N','PERDIZES','S PAULO','SP','125252251215371431568811575124610167052',14918,'9998',48.10,1,3,NULL),(20,5079411,'1992-09-29 00:00:00',2,1,11,2009,'F','N','CENTRO','PATO BRANCO','PR','116162161216372431328833574122610134147',NULL,'9998',24.95,1,3,NULL),(20,5079420,'1991-11-28 00:00:00',2,4,12,2009,'F','N','JARDIM AMÉRICA','CHAPECÓ','SC','124241241112271431344411575122610132147',NULL,'170',0.00,1,2,1),(20,5079438,'1993-05-19 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431668934575122610163142',NULL,'262',27.73,1,3,NULL),(20,5079446,'1993-03-18 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241116371732636523275124610128077',NULL,'257',31.70,1,2,1),(20,5079454,'1992-09-23 00:00:00',4,1,12,2009,'F','N','LA SALLE','PATO BRANCO','PR','116162161217121431438612575122610138143',NULL,'9998',24.55,1,3,NULL),(20,5079470,'1990-05-12 00:00:00',4,2,12,2007,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241211572431466729595124232427112',7874,'87',62.07,1,3,NULL),(20,5079489,'1988-12-20 00:00:00',2,1,12,2005,'M','N','CENTRO','TIJUCAS','SC','124243241216373431136673385121230461085',6810,'781',64.24,4,3,NULL),(20,5079497,'1993-02-17 00:00:00',2,6,12,2009,'F','N','CENTRO','PTO UNIÃO','SC','124244241216161432438832572122610124052',6871,'632',61.02,1,3,NULL),(20,5079500,'1992-05-04 00:00:00',4,2,11,2009,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215122411578911475121610134042',15,'909',95.16,1,3,NULL),(20,5079519,'1991-10-30 00:00:00',4,6,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124162161215472231448931475122610162142',10890,'9998',54.88,1,3,NULL),(20,5079535,'1979-09-27 00:00:00',2,1,12,1997,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241136132431225544442124610162043',15528,'291',46.20,1,2,1),(20,5079543,'1993-05-05 00:00:00',4,1,12,2010,'F','S','HIGIENOPOLIS','PIRACICABA','SP','125252251217111731469914242112610112141',NULL,'9998',0.00,1,3,NULL),(20,5079551,'1992-07-09 00:00:00',4,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124162241215111431466714572124610128182',6955,'270',62.10,1,3,NULL),(20,5079560,'1993-03-05 00:00:00',2,1,12,2009,'F','N','SÃO JOÃO','CURITIBA','PR','116163161216121411646614571224610138172',6815,'9998',61.59,1,3,NULL),(20,5079578,'1990-12-13 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241117372431425511485124610162141',13949,'288',50.49,4,3,NULL),(20,5079608,'1993-02-23 00:00:00',4,1,11,2009,'F','N','BOQUEIRÃO','CURITIBA','PR','116162161216121411389832571112610137042',6731,'9998',64.42,1,3,NULL),(20,5079624,'1992-01-14 00:00:00',2,1,12,2009,'M','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241116131431556413135112610117142',NULL,'772',21.72,1,2,1),(20,5079640,'1989-01-10 00:00:00',4,6,12,2006,'F','N','JARDIM INDUSTRIAS','S JOSÉ CAMPOS','SP','125251251217573731445611585112610164147',404,'9998',85.33,1,3,NULL),(20,5079659,'1991-08-16 00:00:00',4,1,12,2008,'F','N','CENTRO','CURITIBA','PR','116222161216472451258833571125610124092',137,'9998',89.33,1,3,NULL),(20,5079667,'1993-02-24 00:00:00',4,4,12,2009,'M','N','CENTRO','PALMITOS','SC','124241241417111431449953574124610167122',7690,'1046',60.74,1,3,NULL),(20,5079675,'1992-06-15 00:00:00',2,17,12,2008,'F','N','JARDIM AMÉRICA','MAFRA','SC','124242241216473431538834575122610163093',NULL,'541',27.84,4,3,NULL),(20,5079683,'1992-02-19 00:00:00',4,1,11,2009,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215113431349932575114610164187',2072,'270',76.16,1,3,NULL),(20,5079691,'1992-08-24 00:00:00',2,1,12,2009,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241237151431568813574124610134017',14531,'988',47.67,1,3,NULL),(20,5079705,'1991-11-08 00:00:00',4,1,12,2009,'M','N','PARQUE PREZOTTO','PIRACICABA','SP','125253251215111431348821315122610128097',7101,'9998',60.52,1,3,NULL),(20,5079713,'1992-03-07 00:00:00',4,1,12,2009,'M','N','SÃO BRAZ','CURITIBA','PR','116162161217471431456612376114610164192',2707,'9998',72.47,1,3,NULL),(20,5079721,'1991-10-29 00:00:00',2,8,12,2008,'F','N','CENTRO','IRATI','PR','116161161215471431544819595124610162142',14244,'9998',47.45,1,3,NULL),(20,5079730,'1991-08-23 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431526831576124610127045',NULL,'272',30.11,1,3,NULL),(20,5079748,'1991-09-23 00:00:00',4,8,11,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241217471431569912572112610122142',NULL,'1063',32.47,1,3,NULL),(20,5079756,'1990-11-29 00:00:00',2,1,12,2008,'M','N','CENTRO','URUBICI','SC','124242241217472431365633575114130422115',1578,'817',78.54,1,3,NULL),(20,5079764,'1990-04-16 00:00:00',4,8,12,2007,'M','N','BATEL','CURITIBA','PR','116252251216571431379931575122610127042',1527,'9998',78.76,1,3,NULL),(20,5079799,'1991-12-06 00:00:00',4,4,12,2009,'M','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124242241215371431348834575122610124052',13643,'185',46.25,1,3,NULL),(20,5079802,'1991-10-19 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431356923572124610133147',5863,'272',64.84,1,3,NULL),(20,5079810,'1991-07-18 00:00:00',4,5,7,2009,'M','N','CENTRO','CRICIÚMA','SC','124243241236111431456413342125610124062',NULL,'920',25.26,1,3,NULL),(20,5079829,'1958-09-13 00:00:00',4,1,12,1978,'F','N','CENTRO','CAMPINAS','SP','125131138616571731156613432122342247187',NULL,'9998',31.53,4,3,NULL),(20,5079837,'1991-09-26 00:00:00',2,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215112431359613572124610141142',3354,'270',71.61,1,3,NULL),(20,5079845,'1990-05-16 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','S JOSÉ','SC','624243241135371451666934345124610163042',15686,'733',41.52,1,3,NULL),(20,5079853,'1991-03-15 00:00:00',4,1,11,2008,'F','N','DAMHA III','S JOSÉ R PRETO','SP','125252251213472311436611582124610164142',NULL,'9998',0.00,1,3,NULL),(20,5079861,'1989-12-20 00:00:00',4,1,7,2008,'F','N','BARREIROS','S JOSÉ','SC','124243247336271421426551242234610122147',NULL,'9999',25.10,4,3,NULL),(20,5079870,'1991-10-18 00:00:00',4,10,11,2009,'F','N','CENTRO','BRAÇO NORTE','SC','124241241215111551446432474124610114041',NULL,'806',29.73,1,3,NULL),(20,5079888,'1990-07-13 00:00:00',4,1,11,2008,'M','N','CAMBUCI','S PAULO','SP','125252251216471711469823585114610167047',11077,'9998',52.43,2,3,NULL),(20,5079896,'1990-08-03 00:00:00',4,7,12,2007,'M','N','CENTRO','JOAÇABA','SC','124242248215573731329632572124610162057',NULL,'446',48.25,1,3,NULL),(20,5079900,'1991-11-19 00:00:00',2,6,11,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241215111441468813575122610114141',4219,'1026',69.10,1,3,NULL),(20,5079926,'1991-06-07 00:00:00',4,8,12,2008,'M','N','VILA JABUTICABEIRAS','TAUBATÉ','SP','125254251126141131688814445111610142052',11759,'9998',54.81,5,1,2),(20,5079934,'1992-05-22 00:00:00',4,3,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161217111331537934271122610114182',NULL,'9998',30.93,1,3,NULL),(20,5079942,'1987-12-22 00:00:00',4,1,12,2005,'F','N','PONTA DA PRAIA','SANTOS','SP','125253251217574431569614575115610123187',156,'9998',88.82,1,3,NULL),(20,5079969,'1980-01-14 00:00:00',4,1,12,1997,'M','N','BIGORRILHO','CURITIBA','PR','616244246116254721256749294112121437047',NULL,'303',0.00,1,3,NULL),(20,5079985,'1992-02-10 00:00:00',2,1,11,2009,'M','N','PICADAS DO NORTE','S JOSÉ','SC','124241241217111231676312375124610124172',2179,'9997',75.40,1,3,NULL),(20,5079993,'1992-03-26 00:00:00',4,7,11,2009,'F','N','CENTRO','LACERDÓPOLIS','SC','124162161215122431548832372125610166072',8392,'9998',58.15,1,3,NULL),(20,5080002,'1992-07-16 00:00:00',2,3,12,2009,'M','N','JARDIM SANTA EUGÊNIA','PARANAVAÍ','PR','116162161215271731463816572112610127062',NULL,'9998',53.08,1,3,NULL),(20,5080010,'1991-04-26 00:00:00',4,1,11,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124202241217473431376936572122123223112',265,'270',87.01,4,3,NULL),(20,5080029,'1993-08-21 00:00:00',4,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124242241217151431548632575112610162092',11574,'1119',55.17,1,3,NULL),(20,5080037,'1990-03-11 00:00:00',2,1,7,2009,'F','N','VARGEN DO BOM JESUS','FLORIANÓPOLIS','SC','124241241116271751358313445114610162142',NULL,'9999',21.52,1,2,1),(20,5080045,'1991-07-17 00:00:00',4,8,11,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161235571731326611571112610132197',1081,'9998',80.79,1,3,NULL),(20,5080053,'1991-10-21 00:00:00',2,1,11,2008,'M','N','ITACURUBI','FLORIANÓPOLIS','SC','124203241216372431459514575124610167042',5957,'270',65.62,1,3,NULL),(20,5080061,'1990-09-24 00:00:00',2,1,12,2008,'F','N','JD IPE','ITATIBA','SP','125251251211411751426832382121610167097',10097,'9998',55.70,1,3,NULL),(20,5080070,'1993-05-29 00:00:00',4,1,12,2010,'M','S','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215111431456911575124610127042',NULL,'1022',17.73,1,3,NULL),(20,5080088,'1992-10-09 00:00:00',4,1,12,2010,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111421468819474122610133142',NULL,'9997',46.33,1,3,NULL),(20,5080096,'1991-03-15 00:00:00',4,1,12,2008,'F','N','JARDIM TERRA BRANCA','BAURU','SP','125252251215471431557732571122610167097',8570,'9998',59.24,1,3,NULL),(20,5080100,'1993-06-14 00:00:00',4,9,11,2010,'F','S','SANTA MARIA','LAGES','SC','124242241215111431548713572122610144092',NULL,'1106',41.80,1,3,NULL),(20,5080118,'1992-01-22 00:00:00',4,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124243241215121431458717172122610157182',7124,'1016',62.10,1,3,NULL),(20,5080134,'1990-01-08 00:00:00',2,15,11,2007,'F','N','VISTA ALEGRE','ERMO','SC','124241241116132331313415342121610111177',NULL,'250',25.77,1,2,1),(20,5080142,'1992-12-16 00:00:00',4,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124244241315132731427824275124610134057',10939,'1074',53.59,1,3,NULL),(20,5080150,'1992-01-28 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242241215473431346633434122610122192',10098,'737',55.33,1,3,NULL),(20,5080169,'1992-02-10 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271731589833582114610165145',8872,'270',57.27,1,3,NULL),(20,5080177,'1990-12-08 00:00:00',1,1,6,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244281115471411337611275124610124043',7491,'9998',62.81,1,3,NULL),(20,5080185,'1990-03-05 00:00:00',4,1,12,2007,'F','N','FORTALEZA','BLUMENAU','SC','124242241216133431547532341134610166147',14956,'88',48.02,1,3,NULL),(20,5080193,'1992-02-28 00:00:00',2,5,11,2009,'F','N','VILA NOVA','COCAL SUL','SC','124241241215111441667311575124610162097',16211,'210',42.41,1,3,NULL),(20,5080207,'1992-02-06 00:00:00',2,1,12,2008,'M','N','TRINTADE','FLORIANÓPOLIS','SC','124242241216472431579911575114610128052',7985,'654',59.91,1,3,NULL),(20,5080215,'1991-09-15 00:00:00',2,1,11,2009,'M','N','ARIRIU DA FORMIGA','PALHOÇA','SC','124244241115312421455334345124610126061',NULL,'733',27.95,1,3,NULL),(20,5080223,'1986-07-21 00:00:00',4,1,12,2003,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242241216575711269714436122331222182',6996,'273',63.83,3,3,NULL),(20,5080240,'1992-11-21 00:00:00',4,8,11,2009,'M','N','BAIRRO ALTO','CURITIBA','PR','116162161215471431448614594122610144172',3575,'9998',70.78,1,3,NULL),(20,5080258,'1992-04-29 00:00:00',4,1,12,2009,'M','N','JARDIM AMÁLIA','CAÇAPAVA','SP','125252251215111431578814575112610127142',2726,'9998',72.57,1,3,NULL),(20,5080266,'1992-01-11 00:00:00',2,7,12,2009,'F','N','CENTRO','LACERDÓPOLIS','SC','124244241216142431435514245121610161087',NULL,'454',34.34,1,3,NULL),(20,5080274,'1992-03-10 00:00:00',4,8,12,2009,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161216121431386612571112610166093',NULL,'9998',0.00,1,3,NULL),(20,5080282,'1991-12-11 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215171431458832345122610127041',7679,'1038',59.76,1,3,NULL),(20,5080290,'1991-05-08 00:00:00',2,4,11,2008,'F','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','120243241217471431447714571324610127172',7569,'185',60.07,1,3,NULL),(20,5080312,'1988-11-21 00:00:00',4,1,7,2009,'F','N','SANTOS SARAIVA','S JOSÉ','SC','124241241136133121644414342234610112194',NULL,'9999',35.17,1,2,1),(20,5080320,'1990-03-01 00:00:00',4,1,12,2008,'M','N','CENTRO','GUAXUPÉ','MG','113132131217472431588814475112610127047',6925,'9998',61.31,1,3,NULL),(20,5080347,'1992-01-07 00:00:00',4,1,11,2009,'F','N','CHÁCARA CACHOEIRA','CPO GRANDE','MS','112122121215471431359923572122610137142',1836,'9998',77.45,4,3,NULL),(20,5080355,'1990-08-03 00:00:00',4,1,12,2008,'M','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251216471431468612575112610124112',6100,'9998',62.87,4,3,NULL),(20,5080363,'1992-03-06 00:00:00',3,1,12,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241216112411457613574124610142182',4281,'1022',70.05,1,3,NULL),(20,5080371,'1993-03-22 00:00:00',4,1,12,2009,'F','N','BELA VISTA','FRAIBURGO','SC','124241241115161731648514575122610134047',NULL,'314',29.13,1,2,1),(20,5080380,'1991-11-17 00:00:00',2,1,10,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111532438832322112610163187',12189,'1050',52.05,1,3,NULL),(20,5080410,'1984-06-04 00:00:00',4,1,6,2003,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124281281116131431528623575124121027147',NULL,'9998',0.00,2,3,NULL),(20,5080428,'1988-04-08 00:00:00',2,8,12,2005,'M','N','TINGUI','CURITIBA','PR','116161161315571711356623575122241562177',2265,'9998',73.68,1,3,NULL),(20,5080436,'1986-05-29 00:00:00',4,8,12,2003,'M','N','VILA TOLENTINO','CASCAVEL','PR','116162161325471451459931375122140237047',6574,'9998',64.09,1,3,NULL),(20,5080444,'1989-03-16 00:00:00',2,4,12,2006,'F','N','TIARAJU','IJUÍ','RS','120204201216472731368813194125610142047',5352,'9998',66.87,1,3,NULL),(20,5080452,'1993-06-09 00:00:00',4,1,11,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215112731468931575122610167042',NULL,'270',70.67,1,3,NULL),(20,5080460,'1990-09-04 00:00:00',4,3,12,2007,'F','N','ALPHAVILLE','CAMPINAS','SP','125252251216471431569814575122610122043',3933,'9998',70.02,1,3,NULL),(20,5080479,'1992-08-19 00:00:00',4,3,12,2009,'F','N','SANTO ANTÃO','BENTO GONÇALVES','RS','120201201215371411488811394112610146181',NULL,'9998',NULL,1,3,NULL),(20,5080495,'1991-12-24 00:00:00',4,1,12,2009,'M','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241215272411348933474124610168175',4454,'1074',68.58,1,3,NULL),(20,5080509,'1992-01-17 00:00:00',3,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241317151531469913575122610163145',14237,'271',47.92,1,3,NULL),(20,5080517,'1991-09-02 00:00:00',2,1,12,2008,'M','N','ARMAÇAO DO P DO SUL','FLORIANÓPOLIS','SC','124244241215473431346632345114610167111',12839,'1022',52.67,1,3,NULL),(20,5080525,'1990-02-05 00:00:00',2,1,12,2007,'M','N','JARDIM UMARIZAL','S PAULO','SP','125254251417471711443812176122610162052',NULL,'9998',NULL,1,3,NULL),(20,5080533,'1990-08-05 00:00:00',2,15,12,2007,'M','N','GARAPUVU','ERMO','SC','124241241123132232524515152224230727042',NULL,'250',26.79,1,2,1),(20,5080541,'1991-07-28 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242248215472731457814475124610167057',8215,'962',59.17,4,3,NULL),(20,5080550,'1992-05-12 00:00:00',4,8,12,2009,'F','N','GUABIROTUBA','CURITIBA','PR','116162161215121431468613576124610133092',6229,'9998',65.51,1,3,NULL),(20,5080568,'1992-06-11 00:00:00',4,1,12,2009,'M','N','UBERABA','CURITIBA','PR','116162161215472411358911271124610124147',NULL,'9998',48.42,1,3,NULL),(20,5080576,'1992-02-12 00:00:00',4,6,11,2009,'F','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','124242241215111431259931471124610164112',NULL,'9997',43.42,1,3,NULL),(20,5080584,'1991-08-08 00:00:00',4,1,11,2008,'M','N','GOES CALMON','ITABUNA','BA','105082081216471431458939581125610118092',NULL,'9998',0.00,1,3,NULL),(20,5080592,'1991-03-01 00:00:00',2,1,11,2008,'F','N','JARDIM MARINGÁ','S JOSÉ CAMPOS','SP','125254253245471431349711272122610135182',NULL,'9998',0.00,1,3,NULL),(20,5080606,'1978-03-30 00:00:00',4,1,7,1996,'M','N','CENTRO','BIGUAÇU','SC','224241247236155231244644445132130262097',13025,'9999',52.32,1,3,NULL),(20,5080614,'1990-08-05 00:00:00',4,1,12,2007,'M','N','VILA PADOVAN','BOTUCATU','SP','125254251415571431666824575113610112047',NULL,'9998',49.91,1,3,NULL),(20,5080622,'1990-10-24 00:00:00',4,1,12,2007,'M','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251215572431368831575122610167047',NULL,'9998',0.00,1,3,NULL),(20,5080630,'1991-08-21 00:00:00',4,9,11,2008,'F','N','PALUGANA','VERANÓPOLIS','RS','120202201215471731545834295124610168092',7513,'9998',60.56,1,3,NULL),(20,5080649,'1991-05-03 00:00:00',4,1,12,2009,'M','N','CAIÇARA','BELO HORIZONTE','MG','122132221216151431279613572123610162182',NULL,'9998',0.00,4,3,NULL),(20,5080657,'1991-04-08 00:00:00',2,1,11,2008,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241217373731226623385114610164143',NULL,'737',43.27,1,3,NULL),(20,5080673,'1991-12-11 00:00:00',4,2,12,2009,'F','N','NAÇÕES','TIMBÓ','SC','124242241215121431469933275112610122173',6316,'1157',63.10,1,3,NULL),(20,5080681,'1991-08-23 00:00:00',4,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215111431489933575122610111192',5992,'807',63.33,1,3,NULL),(20,5080690,'1991-04-20 00:00:00',4,1,12,2008,'M','N','PARQUE IRACEMA','CATANDUVA','SP','125242251416414231446919395112610164052',NULL,'9998',0.00,1,3,NULL),(20,5080703,'1992-11-30 00:00:00',4,8,11,2009,'F','N','CAPÃO RASO','CURITIBA','PR','116162161215121431358811574122610126072',5944,'9998',63.06,1,3,NULL),(20,5080711,'1991-04-24 00:00:00',4,3,12,2008,'F','N','CABRAL','CURITIBA','PR','116162161211371431556934571124610124147',NULL,'9998',0.00,1,3,NULL),(20,5080720,'1990-10-29 00:00:00',2,9,12,2008,'F','N','CENTRO','FLORES CUNHA','RS','120201201216271431446923572124610123192',8625,'9998',60.70,1,3,NULL),(20,5080738,'1986-03-15 00:00:00',2,8,12,2003,'F','N','FAZENDINHA','CURITIBA','PR','116162161215513431237622575124141237072',5253,'9998',64.77,1,3,NULL),(20,5080746,'1989-12-26 00:00:00',4,8,12,2007,'F','N','LIBERDADE','S PAULO','SP','125252251216571432338811572122610145072',6345,'9998',62.12,1,3,NULL),(20,5080762,'1992-01-24 00:00:00',4,8,11,2009,'M','N','JARDIN SAO PAULO DOI','COTIA','SP','125252251215111431679912385122610117152',NULL,'9998',0.00,1,3,NULL),(20,5080789,'1991-03-18 00:00:00',4,9,11,2008,'M','N','CENTRO','VERANÓPOLIS','RS','120202201217471431456614271114610127042',2769,'9998',72.58,1,3,NULL),(20,5080797,'1980-11-30 00:00:00',2,1,11,1999,'M','N','VILA ALEXANDRIA','S PAULO','SP','125251251117574431335664382113610162187',5946,'9998',64.51,3,2,1),(20,5080800,'1993-07-08 00:00:00',4,2,12,2010,'F','S','GARCIA','BLUMENAU','SC','124242241217171431446614295124610124147',NULL,'71',40.74,1,3,NULL),(20,5080819,'1992-11-12 00:00:00',4,1,12,2009,'M','N','BURGO PAULISTA','S PAULO','SP','125252251215111431368812586114610134042',NULL,'9998',0.00,1,3,NULL),(20,5080827,'1990-01-27 00:00:00',4,1,12,2007,'M','N','PARQUE TAQUARAL','CAMPINAS','SP','125252251217372431479614575112141027052',4701,'9998',67.64,4,3,NULL),(20,5080835,'1988-09-12 00:00:00',4,1,12,2005,'F','N','JARDIM AMOREIRAS','CAMPINAS','SP','125252254415471451558934592122141364054',NULL,'9998',NULL,3,3,NULL),(20,5080843,'1979-12-10 00:00:00',2,1,12,1998,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241248127141431323344446134610117145',NULL,'281',26.15,1,2,1),(20,5080851,'1992-09-04 00:00:00',2,5,11,2009,'F','N','CENTRO','ARARANGUÁ','SC','124244241215122431457614472122610127147',1770,'32',76.76,1,3,NULL),(20,5080860,'1992-07-30 00:00:00',4,1,12,2009,'F','N','VILA IZABEL','CURITIBA','PR','116162161217111431279834175112610134092',NULL,'9998',0.00,3,3,NULL),(20,5080878,'1990-08-01 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241115372451426513375124610166182',5473,'271',67.18,1,3,NULL),(20,5080886,'1992-02-12 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124152241216121431369933575122610161112',9303,'1133',59.42,1,3,NULL),(20,5080894,'1989-09-13 00:00:00',4,5,12,2007,'M','N','CENTRO','TORRES','RS','120201241115471411334933572122610147042',3214,'690',70.72,1,2,1),(20,5080908,'1992-11-02 00:00:00',4,1,12,2010,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431389933572122610123182',NULL,'270',29.43,1,3,NULL),(20,5080916,'1992-06-16 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472731368932572124610114092',NULL,'270',24.38,1,3,NULL),(20,5080932,'1990-09-10 00:00:00',2,1,10,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373431547614375124233267052',14007,'809',50.38,1,3,NULL),(20,5080940,'1991-08-23 00:00:00',4,9,12,2008,'M','N','CORAL','LAGES','SC','124241241117151731436619395135610117051',11125,'505',54.63,1,2,1),(20,5080959,'1990-03-01 00:00:00',2,4,12,2007,'M','N','CENTRO','CURITIBA','PR','116222221211371411436831592321610164172',NULL,'9998',0.00,1,3,NULL),(20,5080967,'1988-03-15 00:00:00',2,1,11,2005,'F','N','CENTRO','INDAIAL','SC','124241241216134431423364395122221212092',NULL,'88',0.00,1,3,NULL),(20,5080975,'1991-09-09 00:00:00',4,1,12,2009,'M','N','BOQUEIRÃO','CURITIBA','PR','116162161215111431356513575124610122147',NULL,'9998',0.00,1,3,NULL),(20,5080983,'1992-11-25 00:00:00',4,2,11,2009,'F','N','JD FAZENDA RINCÃO','ARUJÁ','SP','125252251216111431547714575122610122197',11794,'9998',51.48,3,3,NULL),(20,5080991,'1990-12-27 00:00:00',2,1,12,2007,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241116153441436413175124231564142',9770,'592',58.62,1,2,1),(20,5081009,'1992-01-12 00:00:00',2,1,11,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215112731357723595124610127042',10428,'272',56.63,1,3,NULL),(20,5081017,'1989-09-18 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217574431439614572115610122012',8609,'270',58.10,1,3,NULL),(20,5081025,'1984-02-08 00:00:00',4,1,12,2001,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241335575441356311275121232622035',NULL,'9997',0.00,1,3,NULL),(20,5081041,'1991-03-30 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241217372731437719275124221462092',2737,'981',73.47,1,3,NULL),(20,5081050,'1992-02-12 00:00:00',4,4,12,2008,'M','N','CENTRO','CEL FREITAS','SC','124242241217472431346612195124610127047',2338,'168',74.99,1,3,NULL),(20,5081068,'1989-06-26 00:00:00',2,1,12,2007,'M','N','JD SÃO JUDAS','TABOÃO SERRA','SP','125254251212573411434711575111610112114',NULL,'9998',NULL,1,3,NULL),(20,5081076,'1991-08-29 00:00:00',4,8,12,2009,'F','N','JARDIM BOTÂNICO','PTO ALEGRE','RS','120202201217571411468823571122610162122',5702,'9998',63.93,1,3,NULL),(20,5081092,'1991-10-08 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431558817595112610145092',11672,'270',54.87,1,3,NULL),(20,5081114,'1991-07-28 00:00:00',4,1,12,2009,'M','N','MALUCHE','BRUSQUE','SC','124244241212272711476933572122610168092',8651,'270',56.21,1,3,NULL),(20,5081122,'1991-05-06 00:00:00',2,1,12,2009,'F','N','CANTO DOS ARAÇÁS','FLORIANÓPOLIS','SC','124243241315111432349913575124610164185',NULL,'883',31.80,1,3,NULL),(20,5081130,'1990-12-24 00:00:00',4,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242247415271431338839175124610164172',NULL,'9999',25.55,1,3,NULL),(20,5081149,'1991-05-06 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241217472751448833395114610164042',1074,'270',80.31,1,3,NULL),(20,5081157,'1992-11-11 00:00:00',4,1,11,2009,'M','N','PORTO','CUIABÁ','MT','111112111217121431468636275114610168052',10143,'9998',54.77,1,3,NULL),(20,5081165,'1992-05-09 00:00:00',2,1,11,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241215121431453624575122610123057',NULL,'1023',26.98,1,3,NULL),(20,5081173,'1991-10-27 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241115372431426619572124610133072',16244,'733',41.97,1,2,1),(20,5081181,'1992-05-23 00:00:00',2,5,11,2009,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111431469914272122610138142',NULL,'210',0.00,1,3,NULL),(20,5081203,'1977-05-12 00:00:00',2,15,9,2002,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241204321142411233134445233610127043',NULL,'1122',20.54,2,1,2),(20,5081220,'1990-12-08 00:00:00',2,1,11,2008,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215372431338869572122610134072',6733,'270',63.21,1,3,NULL),(20,5081238,'1992-11-04 00:00:00',4,1,12,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124241241116271431325314395124610128143',4780,'307',68.53,1,2,1),(20,5081254,'1987-09-11 00:00:00',4,1,12,2004,'M','N','CENTRO','STA MARIA','RS','120201201116571441323836572124610162187',1597,'9998',78.48,1,2,1),(20,5081262,'1990-11-27 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111731223824572124610137015',12794,'1022',52.76,2,3,NULL),(20,5081270,'1990-06-29 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124243241417272441448831372124610136112',3403,'1022',72.36,4,3,NULL),(20,5081289,'1992-07-10 00:00:00',2,1,12,2009,'F','N','FÁTIMA','ANTÔNIO PRADO','RS','120203201116131431433519392122610167187',NULL,'9998',26.28,1,3,NULL),(20,5081297,'1991-12-02 00:00:00',4,6,12,2008,'F','N','CABEÇUDAS','ITAJAÍ','SC','124242248215372231449911575112510124141',3236,'1026',72.19,1,3,NULL),(20,5081319,'1991-12-02 00:00:00',4,1,12,2008,'F','N','CENTRO','MARAU','RS','120204201116471431426711275124610133092',5779,'9998',64.71,1,3,NULL),(20,5081327,'1991-08-12 00:00:00',4,8,12,2008,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241236471231429633574124610163097',1115,'1174',80.44,1,3,NULL),(20,5081335,'1991-06-28 00:00:00',4,1,12,2008,'M','N','GRANJA VIANA','CARAPICUÍBA','SP','125252251217272751377954575114143264051',1371,'9998',79.26,1,3,NULL),(20,5081351,'1987-09-02 00:00:00',4,1,2,2004,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241216152431363432415124331244052',9873,'784',58.41,1,3,NULL),(20,5081360,'1992-08-12 00:00:00',4,1,12,2009,'F','N','CRIMEIA OESTE','GOIÂNIA','GO','109092091217111431376823572112610168146',NULL,'9998',0.00,1,3,NULL),(20,5081378,'1992-01-10 00:00:00',2,8,11,2009,'F','N','ATIRADORES','JOINVILLE','SC','124243241216151431438812274122610166182',NULL,'1006',0.00,1,3,NULL),(20,5081386,'1989-05-17 00:00:00',4,1,12,2006,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241217133421456568185112121964171',NULL,'737',29.41,1,3,NULL),(20,5081416,'1993-05-20 00:00:00',4,2,12,2009,'F','N','CAPITAIS','TIMBÓ','SC','124242241215121231379614272125610128052',NULL,'1157',0.00,1,3,NULL),(20,5081424,'1992-10-02 00:00:00',4,9,12,2009,'F','N','GUADALUPE','LAGES','SC','124241241116271411328914475122610124092',NULL,'935',26.22,1,2,1),(20,5081440,'1991-04-19 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216372431249914575124610122192',3943,'1172',70.99,1,3,NULL),(20,5081459,'1991-11-26 00:00:00',4,1,12,2009,'M','N','JARDIM CANADA','RIBEIRÃO PRETO','SP','125252251215411431588831415122610127052',7209,'9998',62.46,1,3,NULL),(20,5081467,'1988-09-15 00:00:00',2,1,7,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116275431647621215114610127182',7010,'306',61.83,1,2,1),(20,5081475,'1990-11-03 00:00:00',4,1,11,2008,'F','N','CENTRO','CATUÍPE','RS','120202201216471431488931575122610127147',3501,'9998',71.95,1,3,NULL),(20,5081483,'1990-04-10 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217472752576311291114133264112',11644,'299',55.04,1,3,NULL),(20,5081491,'1989-09-11 00:00:00',4,1,12,2006,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','112122251215572431359811472122610168142',5854,'9998',65.28,1,3,NULL),(20,5081505,'1990-07-29 00:00:00',4,1,11,2007,'M','N','CENTRO','S JOSÉ','SC','124242241215574431558617175114610167042',344,'724',86.04,1,3,NULL),(20,5081513,'1991-01-10 00:00:00',4,1,12,2008,'M','N','JARDIM SATÉLITE','S JOSÉ CAMPOS','SP','125252251217472341459934572122610127042',8379,'9998',58.90,1,3,NULL),(20,5081521,'1982-07-22 00:00:00',2,8,7,2000,'M','N','IRIRIÚ','JOINVILLE','SC','124241247347131431354474445114232035182',NULL,'9999',39.79,1,3,NULL),(20,5081530,'1992-05-14 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215272731348911471122610168047',5929,'737',65.21,1,3,NULL),(20,5081548,'1990-11-13 00:00:00',2,1,11,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241216122411439633575124610125072',NULL,'1048',22.96,1,3,NULL),(20,5081564,'1992-12-14 00:00:00',4,8,11,2009,'F','N','CENTRO','JOINVILLE','SC','124242241215372431268622574122610143181',1306,'457',79.72,1,3,NULL),(20,5081572,'1990-11-21 00:00:00',4,1,12,2007,'M','N','CENTRO','CASCAVEL','PR','116162161215412441258823572122140866012',1107,'9998',80.71,1,3,NULL),(20,5081580,'1993-01-20 00:00:00',4,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215112531369934575114610163012',10861,'270',55.35,1,3,NULL),(20,5081610,'1992-07-13 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241215151431463329575122610162042',NULL,'53',0.00,1,3,NULL),(20,5081629,'1991-11-25 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241115371531456633572124610127092',NULL,'298',21.91,1,3,NULL),(20,5081645,'1992-11-19 00:00:00',4,8,12,2009,'M','N','SÃO JOÃO','CURITIBA','PR','116162161215471431588833575122610134126',883,'9998',81.99,1,3,NULL),(20,5081653,'1990-08-30 00:00:00',2,15,12,2007,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241117141721363634345122610127051',NULL,'29',13.93,1,2,1),(20,5081661,'1993-04-17 00:00:00',4,1,12,2010,'M','S','PANTANO DO SUL','FLORIANÓPOLIS','SC','124242241217111421578812395114610117112',NULL,'270',26.02,1,3,NULL),(20,5081670,'1992-07-27 00:00:00',4,8,12,2009,'M','N','SANTA FELICIDADE','CURITIBA','PR','116161161416471432447612571114610127043',9467,'9998',56.00,1,3,NULL),(20,5081696,'1993-10-18 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241235111751378679592112610124195',NULL,'9998',40.62,1,3,NULL),(20,5081700,'1991-09-09 00:00:00',4,1,9,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241215121431265923472122610162172',NULL,'723',45.12,1,3,NULL),(20,5081718,'1991-04-17 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211272211378833572112123267172',836,'270',82.25,1,3,NULL),(20,5081726,'1991-03-06 00:00:00',2,1,12,2008,'M','N','VILA BUARQUE','S PAULO','SP','125252251216471431458811571115610147187',NULL,'9998',0.00,1,3,NULL),(20,5081734,'1991-11-27 00:00:00',4,8,12,2008,'M','N','JARDIM SOCIAL','CPO LARGO','PR','116161161116471231433319171124610144047',2894,'9998',72.85,1,2,1),(20,5081742,'1992-09-08 00:00:00',4,1,11,2009,'M','N','MORUMBI','S PAULO','SP','125252251217371211489812375122610166112',NULL,'9998',0.00,1,3,NULL),(20,5081750,'1991-07-19 00:00:00',4,8,12,2008,'F','N','REBOUÇAS','CURITIBA','PR','116161161417571731337532591114610124107',NULL,'9998',0.00,1,3,NULL),(20,5081769,'1992-05-26 00:00:00',4,8,11,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215111411468731572121610137061',4713,'486',67.16,1,3,NULL),(20,5081785,'1993-08-20 00:00:00',4,1,12,2010,'M','S','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241237111431453623575114610126142',NULL,'737',48.72,1,3,NULL),(20,5081807,'1990-11-19 00:00:00',2,4,11,2007,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124052241212474751358734595124233237052',NULL,'1000',33.74,4,3,NULL),(20,5081815,'1992-09-12 00:00:00',4,8,11,2009,'M','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241246215151631368414271122233267052',7789,'1061',59.09,1,3,NULL),(20,5081831,'1992-02-27 00:00:00',2,10,12,2009,'F','N','CENTRO','S LUDGERO','SC','124244248216271431547911485122610164142',NULL,'950',43.17,1,3,NULL),(20,5081840,'1989-07-12 00:00:00',2,3,12,2006,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120201208116471431546933575125610168142',NULL,'9998',0.00,1,2,1),(20,5081858,'1992-06-16 00:00:00',4,4,11,2009,'F','N','PALMITAL','CHAPECÓ','SC','124242241215272431369611572122610164042',5117,'983',68.03,1,3,NULL),(20,5081866,'1990-06-09 00:00:00',2,1,12,2007,'M','N','LAGO NORTE','LG NORTE','DF','107072071217271731388933492112143264057',NULL,'9998',NULL,1,3,NULL),(20,5081874,'1990-01-20 00:00:00',4,1,12,2007,'M','N','COIMBRA','GOIÂNIA','GO','109092091215571431446879572114610164092',NULL,'9998',0.00,4,3,NULL),(20,5081882,'1992-03-18 00:00:00',2,1,12,2009,'F','N','NOSSA SRA ROSÁRIO','S JOSÉ','SC','124241248115161431423329295124610127017',NULL,'281',18.95,1,2,1),(20,5081890,'1991-07-09 00:00:00',2,4,11,2008,'F','N','AGUA VERDE','CURITIBA','PR','116161161117471431336634571124610118097',NULL,'9998',0.00,4,1,1),(20,5081904,'1992-12-12 00:00:00',4,10,11,2009,'F','N','BEIJA FLOR JAGUARUNA','JAGUARUNA','SC','124243241216132431469934575124610167077',9015,'806',59.93,1,3,NULL),(20,5081920,'1989-09-02 00:00:00',2,9,11,2006,'M','N','BOQUEIRÃO','CURITIBA','PR','116161161435472441233323471114241442047',2499,'9998',74.09,1,3,NULL),(20,5081939,'1988-07-22 00:00:00',4,1,12,2007,'F','N','TERESÓPOLIS','PTO ALEGRE','RS','120204201146131431448724382114610136187',8399,'9998',57.97,1,3,NULL),(20,5081947,'1990-08-28 00:00:00',4,1,12,2007,'M','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125252251215471431368923492122610164182',6114,'9998',63.62,1,3,NULL),(20,5081963,'1992-11-13 00:00:00',4,10,11,2009,'M','N','CENTRO','BRAÇO NORTE','SC','124242241217131431428833572124610164097',4122,'806',69.78,1,3,NULL),(20,5081971,'1992-08-24 00:00:00',4,2,10,2009,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215272431469831572112610117042',6954,'855',62.51,1,3,NULL),(20,5081998,'1992-10-17 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241217272431368714475112610137072',1247,'213',79.50,1,3,NULL),(20,5082005,'1992-05-08 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116242161215471441488832481125610143182',819,'9998',82.00,1,3,NULL),(20,5082013,'1989-03-22 00:00:00',4,1,12,2007,'M','N','SAO JOSE','BELO HORIZONTE','MG','113132137612271711469834571114140664041',NULL,'9998',29.00,4,3,NULL),(20,5082021,'1992-05-05 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431369933472122610132042',991,'262',80.89,1,3,NULL),(20,5082030,'1992-08-28 00:00:00',4,2,12,2009,'F','N','CENTRO','CLEVELÂNDIA','PR','116161161214111731346612592112610134072',11451,'9998',52.59,1,3,NULL),(20,5082048,'1989-12-01 00:00:00',4,1,12,2006,'M','N','JARDIM SAO LOURENÇO','CPO GRANDE','MS','112122121216571431475332375122610167017',3339,'9998',69.62,1,3,NULL),(20,5082056,'1986-02-13 00:00:00',4,8,12,2003,'F','N','CENTRO','CURITIBA','PR','103112111216572421548813575125343224072',2437,'9998',74.10,1,3,NULL),(20,5082064,'1991-01-26 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241011111111111111111111111231961011',5221,'658',67.79,1,3,NULL),(20,5082072,'1990-01-03 00:00:00',2,3,12,2007,'F','N','NOVO CENTRO','MARINGÁ','PR','116161161215511431546531575125610135182',NULL,'9998',29.73,1,3,NULL),(20,5082080,'1992-04-06 00:00:00',4,8,12,2009,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161217371431478832575112610167047',NULL,'9998',0.00,1,3,NULL),(20,5082099,'1992-10-21 00:00:00',4,4,11,2009,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116164161215271431459814375125610132142',NULL,'9998',0.00,1,3,NULL),(20,5082102,'1991-10-05 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215473431378814574124610124041',67,'270',91.10,1,3,NULL),(20,5082110,'1990-05-30 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215473441249924442124230267111',9295,'270',59.43,1,3,NULL),(20,5082129,'1988-12-06 00:00:00',2,1,12,2007,'F','N','CENTRO','MARINGÁ','PR','116162161417211431347512471122142028017',NULL,'9998',0.00,1,3,NULL),(20,5082137,'1990-06-13 00:00:00',4,3,11,2007,'M','N','CENTRO','BAL CAMBORIÚ','SC','124161241116373431436834341111610132017',6156,'49',65.23,4,3,NULL),(20,5082145,'1992-10-15 00:00:00',4,1,10,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215112431323319195124610162157',NULL,'1169',56.41,1,3,NULL),(20,5082153,'1991-03-20 00:00:00',4,1,12,2008,'F','N','BELA VISTA','CAXIAS SUL','RS','120201201117271411535634291121610142012',6010,'9998',64.01,1,2,1),(20,5082161,'1992-05-29 00:00:00',4,1,11,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215113431248923592114610123055',3723,'1022',71.57,1,3,NULL),(20,5082170,'1992-05-02 00:00:00',4,4,12,2009,'M','N','CENTRO','XANXERÊ','SC','124242241216111431456819375122610137042',8647,'836',56.75,1,3,NULL),(20,5082188,'1988-12-23 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','111112111235573431426664245124610162073',12883,'9998',52.58,1,3,NULL),(20,5082196,'1990-06-22 00:00:00',4,1,12,2007,'F','N','JARDIM ESPLANADA II','S JOSÉ CAMPOS','SP','125252251116572231479914575122610133097',NULL,'9998',NULL,1,3,NULL),(20,5082200,'1977-01-02 00:00:00',2,3,12,1998,'M','N','CENTRO','BAL CAMBORIÚ','SC','224243241326233411423344342123132864092',NULL,'657',22.49,1,3,NULL),(20,5082226,'1991-11-23 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217113431468832572122610136182',4321,'270',68.27,1,3,NULL),(20,5082234,'1992-08-28 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215272431479613574122610167042',636,'723',83.65,1,3,NULL),(20,5082250,'1991-09-07 00:00:00',4,1,12,2008,'M','N','AMAMBAÍ','CPO GRANDE','MS','112122121216472431468833315122143264047',5248,'9998',66.36,1,3,NULL),(20,5082269,'1990-11-12 00:00:00',4,1,11,2008,'F','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251215471431468614572122610167047',NULL,'9998',0.00,1,3,NULL),(20,5082277,'1991-11-29 00:00:00',2,4,11,2008,'F','N','BELA VISTA','CHAPECÓ','SC','124242248216471531336729575124610164147',NULL,'1021',23.12,1,3,NULL),(20,5082285,'1992-01-30 00:00:00',4,8,12,2009,'F','N','HUGO LANGE','CURITIBA','PR','116162161215171231489923575122610164092',NULL,'9998',0.00,1,3,NULL),(20,5082293,'1992-06-06 00:00:00',2,1,12,2009,'M','N','BORDA DO CAMPO','S JOSÉ PINHAIS','PR','116162161216171441426814575124610132092',14110,'9998',45.15,1,3,NULL),(20,5082307,'1991-05-07 00:00:00',4,4,12,2008,'F','N','PRESIDENTE MEDICE','CHAPECÓ','SC','124241241116373231246349575124610125012',11207,'182',53.45,1,2,1),(20,5082323,'1991-10-31 00:00:00',4,2,12,2009,'M','N','CENTRO','BONITO','MS','112122121217271431337716175121610164192',NULL,'9998',28.82,1,3,NULL),(20,5082331,'1991-10-18 00:00:00',4,1,12,2009,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241212113431459733372114610161182',7059,'1022',61.20,1,3,NULL),(20,5082340,'1992-08-08 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431542413172124610167142',15380,'737',45.04,1,3,NULL),(20,5082358,'1992-01-21 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241415111331337921412114610167057',NULL,'738',25.67,1,3,NULL),(20,5082366,'1992-03-14 00:00:00',4,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','125242241235272531478831575124610164142',3638,'723',71.77,1,3,NULL),(20,5082374,'1992-06-17 00:00:00',4,17,12,2009,'F','N','CENTRO','CANOINHAS','SC','116241161215221441228923475124610122127',5280,'9998',64.77,1,3,NULL),(20,5082382,'1992-10-17 00:00:00',4,1,12,2009,'F','N','ITANHANGÁ PARK','CPO GRANDE','MS','112122121216111731468811312122610163142',NULL,'9998',0.00,1,3,NULL),(20,5082390,'1992-04-17 00:00:00',4,1,12,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124243241215371412554924595124610167062',6895,'1010',64.06,1,3,NULL),(20,5082404,'1991-06-08 00:00:00',4,1,12,2008,'M','N','FLORESTA','PTO ALEGRE','RS','120202208217471411466631595124610164052',12607,'9998',50.76,1,3,NULL),(20,5082412,'1990-07-05 00:00:00',2,8,12,2007,'M','N','IRIRIU','JOINVILLE','SC','124241241216573751463332571122610167052',10207,'462',54.77,1,3,NULL),(20,5082420,'1991-05-24 00:00:00',4,2,12,2008,'F','N','VILA SCARPELLI','STO ANDRÉ','SP','125252251217471431479814442122610164072',1607,'9998',77.88,1,3,NULL),(20,5082439,'1992-02-19 00:00:00',4,1,12,2008,'M','N','CENTRO','STA MARIA','RS','120202201211471531169812475112610167052',6254,'9998',63.42,1,3,NULL),(20,5082447,'1991-10-17 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215474431269811572122133243187',500,'270',84.60,1,3,NULL),(20,5082463,'1991-09-30 00:00:00',4,8,12,2008,'F','N','AMÉRICA','JOINVILLE','SC','124242241215151712659831575122610167152',1861,'459',76.79,1,3,NULL),(20,5082471,'1992-03-07 00:00:00',4,1,12,2009,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241115271431325514575124610166185',NULL,'733',27.29,1,2,1),(20,5082480,'1990-10-01 00:00:00',4,1,12,2008,'M','N','GRANJA VIANA','COTIA','SP','125252251215471711666624575125610164182',NULL,'9998',0.00,3,3,NULL),(20,5082501,'1992-06-01 00:00:00',4,1,12,2009,'F','N','VILA A','FOZ IGUAÇU','PR','116162161235121411458514475122610124122',NULL,'9998',0.00,1,3,NULL),(20,5082510,'1990-11-03 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241115312431468913392112230267112',3225,'271',72.81,1,3,NULL),(20,5082544,'1992-03-10 00:00:00',2,1,11,2009,'F','N','KOBRASSOL','S JOSÉ','SC','124242241215372431357933575122610127092',NULL,'270',0.00,1,3,NULL),(20,5082552,'1991-12-08 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241215112431386923574124610162114',7905,'270',59.93,1,3,NULL),(20,5082560,'1991-09-08 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124252251217111411488831572122610132112',12127,'9998',51.54,1,3,NULL),(20,5082579,'1990-03-11 00:00:00',4,1,12,2007,'M','N','CENTRO','RIO GRANDE','RS','120112111217471431447812372122610114091',7419,'9998',61.35,1,3,NULL),(20,5082587,'1992-11-11 00:00:00',4,1,12,2009,'M','N','CENTRO','ROLÂNDIA','PR','116162161215171431468931475122610144187',8137,'9998',58.95,1,3,NULL),(20,5082595,'1990-11-15 00:00:00',4,1,12,2008,'M','N','MONTE BIANCO','ARAÇOIABA SERRA','SP','125252251214471431448734572122610147042',6236,'9998',62.99,1,3,NULL),(20,5082609,'1992-09-07 00:00:00',4,3,12,2009,'F','N','CENTRO','ITUPORANGA','SC','124242241235111731368921575122610128057',9498,'1173',55.81,1,3,NULL),(20,5082617,'1991-08-01 00:00:00',4,1,12,2008,'M','N','FLORESTA','PTO ALEGRE','RS','120202208217471431468439595114610167052',9111,'9998',57.30,1,3,NULL),(20,5082625,'1987-09-15 00:00:00',2,1,12,2004,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124161161116174421636519295124121728183',12068,'9998',52.36,4,2,1),(20,5082633,'1990-10-24 00:00:00',4,17,12,2009,'F','N','CENTRO','MAFRA','SC','124242241215311731347935572122610166092',NULL,'541',23.32,1,3,NULL),(20,5082641,'1991-08-23 00:00:00',2,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124244241215472731554622575122610133142',14562,'185',49.10,1,3,NULL),(20,5082650,'1990-11-18 00:00:00',4,1,12,2008,'M','N','CENTRO','NOVA ODESSA','SP','125252251117271441448734247131610137042',NULL,'9998',32.10,1,3,NULL),(20,5082668,'1992-08-10 00:00:00',4,1,12,2009,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124244241117131711537824575124610166142',11307,'307',53.31,1,3,NULL),(20,5082676,'1992-04-21 00:00:00',2,4,11,2009,'F','N','UNIVERSITÁRIO','CHAPECÓ','SC','124241241136371431346933574124610152142',NULL,'169',27.30,4,2,1),(20,5082684,'1992-03-14 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116112161215111731549913575115610114182',4460,'9998',68.42,1,3,NULL),(20,5082692,'1991-08-03 00:00:00',2,1,12,2009,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124243241111471432424419272314610167047',NULL,'298',26.01,1,3,NULL),(20,5082706,'1990-06-16 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241216375231158813575125231465072',15986,'737',41.80,1,3,NULL),(20,5082714,'1990-10-06 00:00:00',2,1,12,2007,'F','N','ALTO RIBEIRÃO','FLORIANÓPOLIS','SC','124244241216143431338529345124610167057',14726,'951',48.64,1,3,NULL),(20,5082730,'1991-03-06 00:00:00',4,1,11,2008,'M','N','CENTRO','S JOSÉ','SC','124242241216373431459613582122233217097',262,'723',87.07,1,3,NULL),(20,5082749,'1992-07-03 00:00:00',4,7,12,2009,'F','N','MENINO DEUS','JOAÇABA','SC','124242241215372731468834572122610164142',4925,'453',67.16,1,3,NULL),(20,5082790,'1988-05-22 00:00:00',4,1,11,2005,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124161241136164431536444245124231066177',NULL,'275',43.47,1,2,1),(20,5082803,'1988-12-16 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241126274431223424382114122367047',11063,'287',56.17,1,2,1),(20,5082811,'1978-10-05 00:00:00',4,8,12,1999,'M','N','JOÃO COSTA','JOINVILLE','SC','224241247211111711244344441124333216042',NULL,'487',16.62,1,3,NULL),(20,5082820,'1991-09-18 00:00:00',4,1,6,2009,'M','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242281415371431568814475114610152125',11412,'9998',55.49,1,3,NULL),(20,5082838,'1991-06-20 00:00:00',2,1,12,2008,'F','N','BAIRRO JURERÊ','FLORIANÓPOLIS','SC','107241071116141431637629345124241027142',NULL,'9998',36.69,4,3,NULL),(20,5082846,'1988-05-23 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124122121216575411437615574124610161147',1151,'9998',80.49,1,3,NULL),(20,5082854,'1992-08-07 00:00:00',2,1,12,2009,'F','N','SANTA CRUZ DA FIGUEI','ÁGUAS MORNAS','SC','124241241125161431433923572124610132147',15307,'12',43.86,1,2,1),(20,5082870,'1990-04-26 00:00:00',4,1,12,2007,'M','N','VILA INDUSTRIAL','S JOSÉ CAMPOS','SP','125252251217371441458833335121140421052',13490,'9998',51.40,1,3,NULL),(20,5082889,'1990-04-14 00:00:00',2,1,12,2008,'M','N','CRUZEIRO','CRUZEIRO','DF','107071071116471711556823592112610147073',NULL,'9998',0.00,4,3,NULL),(20,5082897,'1991-08-09 00:00:00',2,1,12,2008,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241121371412326621285124610132057',15326,'182',46.84,3,2,1),(20,5082900,'1989-04-19 00:00:00',2,15,12,2006,'F','N','CENTRO','TURVO','SC','124241241215574751365912575112610168181',11006,'813',56.28,1,3,NULL),(20,5082919,'1992-03-25 00:00:00',4,1,12,2009,'M','N','JDM EUROPA','ASSIS','SP','125251251216111431456811234121610144142',4728,'9998',66.54,1,3,NULL),(20,5082927,'1991-04-09 00:00:00',2,1,12,2008,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241215373731543311372124610137012',13584,'1022',51.19,1,3,NULL),(20,5082935,'1991-01-04 00:00:00',4,8,12,2008,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241146371431425633385224610124187',NULL,'1101',0.00,1,2,1),(20,5082943,'1990-01-14 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217273411656611125122121326097',11026,'1118',56.24,1,3,NULL),(20,5082951,'1991-10-27 00:00:00',2,9,12,2008,'M','N','CENTRO','AURORA','SC','124241241146272431446814245115610137042',NULL,'40',0.00,1,2,1),(20,5082960,'1989-05-19 00:00:00',2,1,12,2006,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241115373431433414445134610167057',NULL,'281',23.55,1,2,1),(20,5082994,'1992-01-07 00:00:00',4,1,11,1992,'M','N','CENTRO','CPO GRANDE','MS','112122121217471451469913571122610137013',2507,'9998',74.42,1,3,NULL),(20,5083001,'1989-01-31 00:00:00',2,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116131131136571431336429185115610138095',10520,'9998',53.74,4,2,1),(20,5083036,'1990-12-17 00:00:00',4,1,12,2008,'M','N','SANTA TEREZINHA','S PAULO','SP','125252258246111431458614345124243234097',NULL,'9998',0.00,4,3,NULL),(20,5083060,'1988-11-28 00:00:00',4,8,12,2005,'F','N','PILARZINHO','CURITIBA','PR','116161161116571751434733592124142644147',802,'9998',82.47,1,2,1),(20,5083087,'1981-11-16 00:00:00',4,1,12,2001,'M','N','N SENHORA DAS DORES','STA MARIA','RS','120211201136471411413641115321610147022',8344,'9998',58.52,4,2,1),(20,5083109,'1991-05-18 00:00:00',4,1,12,2008,'M','N','CENTRO','STA CRUZ SUL','RS','120202201217371411368834575112610127117',NULL,'9998',24.75,1,3,NULL),(20,5083117,'1990-08-27 00:00:00',4,1,12,2007,'M','N','CENTRO','GRAVATAÍ','RS','120202206216471431336614575124610167042',NULL,'9998',48.84,1,3,NULL),(20,5083125,'1991-03-08 00:00:00',4,1,11,2008,'M','N','CENTRO','S JOSÉ CAMPOS','SP','125222251215471411489811472115610144016',5238,'9998',67.06,1,3,NULL),(20,5083133,'1992-11-27 00:00:00',2,3,12,2009,'F','N','CENTRO','MAMBORÊ','PR','116163161116421431426621585125610114072',NULL,'9998',36.43,4,1,2),(20,5083141,'1991-02-26 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431478514595122231427047',7943,'262',61.95,4,3,NULL),(20,5083176,'1990-01-14 00:00:00',4,9,12,2007,'F','N','BIGORRILHO','CURITIBA','PR','116242161216371431436833575122140644187',NULL,'9998',0.00,1,3,NULL),(20,5083192,'1992-12-01 00:00:00',2,1,12,2009,'M','N','BOM JESUS','RIO NEGRO','PR','116241161117371431539614475124610124052',NULL,'9998',26.31,1,2,1),(20,5083214,'1992-01-08 00:00:00',4,6,12,2009,'F','N','DOM BOSCO','ITAJAÍ','SC','124244241115371432436613575121610128197',NULL,'395',0.00,4,3,NULL),(20,5083222,'1991-07-17 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241217372431549814342124131464142',5528,'995',67.05,1,3,NULL),(20,5083230,'1993-02-03 00:00:00',4,4,12,2009,'M','N','MORUMBI','FOZ IGUAÇU','PR','116161161115271741233321575124610166057',NULL,'9998',0.00,1,2,1),(20,5083257,'1990-05-29 00:00:00',4,1,11,2007,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124092091216155412288813575111221467046',1734,'9998',77.91,1,3,NULL),(20,5083265,'1992-03-19 00:00:00',2,10,12,2009,'F','N','CENTRO','IMARUÍ','SC','624243248332472431448833594122610124142',NULL,'356',21.84,1,3,NULL),(20,5083273,'1980-09-15 00:00:00',4,1,2,1999,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','524204203136131431147544345122140764182',NULL,'9998',0.00,1,3,NULL),(20,5083320,'1989-03-17 00:00:00',4,15,12,2006,'M','N','CENTRO','SOMBRIO','SC','124241241145131431435622285122231454177',NULL,'1033',19.97,1,2,1),(20,5083338,'1987-12-07 00:00:00',2,1,3,2006,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241115132431438614372124222931097',10304,'739',57.61,1,2,1),(20,5083354,'1992-11-02 00:00:00',4,2,12,2009,'M','N','PADRE MARTINHO STEIN','TIMBÓ','SC','124241241117131431443431345121610136062',NULL,'787',0.00,1,3,NULL),(20,5083362,'1988-06-08 00:00:00',2,8,12,2005,'F','N','SAO GABRIEL','COLOMBO','PR','116163161316571441455811575112610144097',1354,'9998',78.86,2,3,NULL),(20,5083370,'1991-06-27 00:00:00',4,4,11,2008,'F','N','CENTRO','ERECHIM','RS','120202201236471431566631575124610147147',NULL,'9998',0.00,1,3,NULL),(20,5083389,'1986-11-29 00:00:00',4,1,12,2004,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241216575451346823475124233226077',457,'988',84.93,4,3,NULL),(20,5083397,'1993-04-01 00:00:00',4,1,12,2010,'M','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241212132432438813592122610117042',NULL,'270',26.38,1,3,NULL),(20,5083400,'1983-02-25 00:00:00',2,1,12,2002,'M','N','JARDIM SÃO NICOLAU','BIGUAÇU','SC','124241241127133721445324242322231037047',NULL,'287',29.37,1,2,1),(20,5083419,'1990-08-22 00:00:00',2,1,11,2007,'F','N','CENTRO','CAÇADOR','SC','124242241216574431468932575124610123142',7581,'270',59.91,1,3,NULL),(20,5083427,'1989-10-28 00:00:00',2,1,12,2006,'M','N','JARDIM ALVORADA','MARINGÁ','PR','116161161216572451463332374121610165092',639,'9998',83.64,1,3,NULL),(20,5083435,'1992-12-05 00:00:00',2,1,12,2009,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241115272411327424572324610164191',8737,'739',56.61,1,2,1),(20,5083443,'1980-09-17 00:00:00',2,16,7,1999,'M','N','CENTRO','CURITIBANOS','SC','224242247247152431238841215132331417062',NULL,'237',31.72,1,3,NULL),(20,5083478,'1992-05-19 00:00:00',2,4,12,2009,'F','N','INTERIOR','SERRA ALTA','SC','124241241115271431534436192224610136017',9065,'765',57.44,1,2,1),(20,5083486,'1991-02-08 00:00:00',2,9,12,2008,'M','N','SÃO CRISTÓVÃO','CORREIA PINTO','SC','124242241316371431456923385112610137042',NULL,'515',0.00,1,3,NULL),(20,5083508,'1990-04-11 00:00:00',4,1,12,2007,'M','N','CENTRO','S MANUEL','SP','125252251215571431468833475122610127042',8287,'9998',58.00,1,3,NULL),(20,5083516,'1992-02-13 00:00:00',4,1,12,2009,'F','N','NOVA GARDENIA','ATIBAIA','SP','125252251216111431379911145122610162123',NULL,'9998',28.20,1,3,NULL),(20,5083524,'1992-10-19 00:00:00',4,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115371331436319395124610136197',14012,'21',48.50,1,2,1),(20,5083532,'1991-06-12 00:00:00',4,6,12,2008,'F','N','INTERLAGOS','S PAULO','SP','125252251217472431227524575124610157127',11592,'9998',50.45,1,3,NULL),(20,5083540,'1990-09-20 00:00:00',4,1,12,2008,'F','N','PARQUE IMPERADOR','CAMPINAS','SP','125252251217471431368824571122610134017',4827,'9998',66.08,1,3,NULL),(20,5083559,'1992-02-23 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215572431489913575124230222072',2938,'270',72.28,1,3,NULL),(20,5083575,'1992-04-10 00:00:00',4,1,12,2009,'F','N','VILA GOMES CARDIM','S PAULO','SP','125252258117131711448829585124610133097',NULL,'9998',0.00,1,3,NULL),(20,5083583,'1992-05-13 00:00:00',4,1,12,2009,'F','N','JARDIM SANTA MARINA','S JOSÉ R PARDO','SP','125252251217111751456639595122610124072',NULL,'9998',28.76,1,3,NULL),(20,5083591,'1991-04-17 00:00:00',4,1,12,2008,'M','N','SÃO PELEGRINO','CAXIAS SUL','RS','120202201216371431458833575122243238182',15816,'9998',45.01,1,3,NULL),(20,5083605,'1991-08-14 00:00:00',4,1,12,2009,'F','N','BEIRA RIO','S JOSÉ R PARDO','SP','125252251215111732546819595122610134077',NULL,'9998',0.00,1,3,NULL),(20,5083613,'1991-11-23 00:00:00',4,1,12,2009,'M','N','VILA PATTI','NOVO HORIZONTE','SP','125252251215171431556615575115610124057',14927,'9998',44.54,1,3,NULL),(20,5083630,'1979-08-08 00:00:00',4,1,12,1996,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124202201216135231428711497135523268193',3673,'9998',71.69,1,3,NULL),(20,5083648,'1991-10-12 00:00:00',4,1,12,2009,'F','N','CENTRO','S JOSÉ R PARDO','SP','125252251217111431448814575112610114047',15963,'9998',44.33,1,3,NULL),(20,5083656,'1992-09-30 00:00:00',2,5,12,2009,'F','N','VILA SÃO JORGE','SIDERÓPOLIS','SC','124244241215131431437734571124610124057',NULL,'767',20.40,1,3,NULL),(20,5083672,'1992-06-11 00:00:00',4,1,12,2009,'M','N','TAMBORÉ','SANTANA PARNAÍBA','SP','125252251215271432458831575122610147042',NULL,'9998',0.00,1,3,NULL),(20,5083680,'1990-12-12 00:00:00',2,8,12,2008,'M','N','IRIRIU','JOINVILLE','SC','124243241437131431433511312121610164051',NULL,'469',21.88,1,3,NULL),(20,5083699,'1990-08-21 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241215573731558714472114610167042',7314,'807',61.02,1,3,NULL),(20,5083702,'1989-09-04 00:00:00',2,8,12,2006,'F','N','FLORESTA','JOINVILLE','SC','124244241417372431438613335124230737117',11986,'466',54.40,1,3,NULL),(20,5083710,'1975-09-13 00:00:00',4,1,12,1993,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241248146131411223643432334610126187',NULL,'281',0.00,1,3,NULL),(20,5083729,'1992-01-16 00:00:00',4,3,12,2007,'F','N','NOSSA SRA APARECIDA','STA CECÍLIA','SC','124241241211473711456632572122610144182',3321,'9997',72.55,3,3,NULL),(20,5083737,'1990-03-06 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241112273731326639272114610167187',NULL,'257',27.54,1,3,NULL),(20,5083753,'1992-08-19 00:00:00',4,1,11,2009,'M','N','SÃO JUDAS TADEU','S JOSÉ CAMPOS','SP','122222251135121431468812572122610142122',2930,'9998',71.72,1,3,NULL),(20,5083761,'1989-12-06 00:00:00',5,1,12,2008,'F','N','SAO FRANCISCO','CURITIBA','PR','116284281214571511469911595221610152146',841,'9998',81.52,1,3,NULL),(20,5083788,'1982-06-11 00:00:00',2,1,12,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247326275431236643335114122267043',15825,'1003',44.98,1,3,NULL),(20,5083796,'1992-01-04 00:00:00',4,1,12,2009,'F','N','CENTRO','PEDRO LEOPOLDO','MG','113133138216111731223629475124610127097',NULL,'9998',0.00,4,3,NULL),(20,5083800,'1990-12-13 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216573731468614575122610164187',849,'270',82.18,1,3,NULL),(20,5083818,'1991-03-01 00:00:00',4,1,12,2008,'F','N','CENTRO','AURIFLAMA','SP','125252251217131721446823415121610126077',NULL,'9998',0.00,4,3,NULL),(20,5083826,'1990-06-15 00:00:00',2,1,12,2007,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241411132421423731392124610127117',NULL,'307',41.14,4,3,NULL),(20,5083850,'1991-01-22 00:00:00',2,1,12,2007,'F','N','CALEMBA','STO AMARO IMPERATRIZ','SC','124243241215375411454312575122610164092',5606,'270',65.92,1,3,NULL),(20,5083869,'1991-01-25 00:00:00',4,4,12,2007,'F','N','CONSOLATA','TRÊS MAIO','RS','120201201216131411323623575222140726172',5888,'9998',64.09,1,3,NULL),(20,5083877,'1989-12-18 00:00:00',4,1,12,2006,'F','N','REBOUÇAS','CURITIBA','PR','116162161216573431335814575115610163197',2830,'9998',73.00,1,3,NULL),(20,5083885,'1991-03-22 00:00:00',4,6,12,2008,'F','N','ALTO DA COLINA','LONDRINA','PR','116162161216131432136834415124241063117',5781,'9998',66.52,1,3,NULL),(20,5083893,'1992-11-23 00:00:00',2,1,11,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216113521559937272224610144097',1472,'270',78.53,1,3,NULL),(20,5083907,'1987-11-30 00:00:00',3,2,12,2004,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124244241416273411438923345122130631092',NULL,'69',0.00,1,3,NULL),(20,5083915,'1986-04-08 00:00:00',2,1,12,2003,'M','N','BOM JESUS','STA CRUZ SUL','RS','120204201116574431127944345133610147067',NULL,'9998',0.00,1,3,NULL),(20,5083923,'1990-03-30 00:00:00',2,1,12,2006,'M','N','CENTRO','QUILOMBO','SC','124242201217154431456814275124221737093',4804,'9998',68.85,1,3,NULL),(20,5083931,'1985-03-08 00:00:00',4,1,7,2004,'M','N','SANTINHO','FLORIANÓPOLIS','SC','224241247335271731424439385224610127187',NULL,'977',24.80,1,3,NULL),(20,5083958,'1991-04-30 00:00:00',4,1,12,2008,'F','N','CAPISTRANO','BOM RETIRO','SC','124241241126131431321413245321610134057',NULL,'95',21.26,1,2,1),(20,5083966,'1991-09-09 00:00:00',4,1,12,2008,'M','N','CENTRO','GUARAMIRIM','SC','124244241112371431546814575124231321177',NULL,'335',29.98,1,3,NULL),(20,5083974,'1991-07-20 00:00:00',4,2,11,2008,'F','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241217473431489814574122610134182',6244,'909',63.25,1,3,NULL),(20,5083982,'1991-11-02 00:00:00',4,1,11,2008,'F','N','BAIRRO ALTO','BOTUCATU','SP','125252251215471431359711575122610142092',14578,'9998',45.90,1,3,NULL),(20,5084008,'1989-08-08 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216574431467711492112132831197',11190,'262',55.93,1,3,NULL),(20,5084016,'1988-07-28 00:00:00',4,3,12,2005,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241436141341433544345123231034192',NULL,'1039',28.16,1,3,NULL),(20,5084024,'1983-11-23 00:00:00',2,1,12,2004,'M','N','SANTINHO','FLORIANÓPOLIS','SC','624204207447371741338659491123140867112',14828,'9998',48.37,1,3,NULL),(20,5084032,'1992-05-11 00:00:00',2,7,12,2009,'F','N','CAETANO BRANCO','JOAÇABA','SC','124243241516272731534833575222610127097',NULL,'445',26.39,1,3,NULL),(20,5084040,'1992-02-19 00:00:00',2,8,12,2009,'F','N','TINGUI','CURITIBA','PR','116161161115471431438823571124610136072',4144,'9998',69.16,1,2,1),(20,5084059,'1990-04-25 00:00:00',4,1,12,2007,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215574441469533422114233267042',949,'262',81.62,1,3,NULL),(20,5084075,'1992-11-25 00:00:00',4,1,12,2009,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125252251215111431469613575112610127182',NULL,'9998',38.12,1,3,NULL),(20,5084091,'1991-07-14 00:00:00',2,5,11,2008,'F','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241215372431339613475124610167077',3522,'213',70.65,1,3,NULL),(20,5084105,'1981-07-13 00:00:00',4,1,12,1998,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124162161217144421128839345124433262095',13085,'9998',52.19,1,3,NULL),(20,5084113,'1983-06-10 00:00:00',4,1,12,2002,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244247441231231436741311122133227117',NULL,'9999',45.16,4,3,NULL),(20,5084121,'1977-01-17 00:00:00',2,1,12,1997,'M','N','JARDIM SÃO LUIZ','RIBEIRÃO PRETO','SP','125252251226151411377913122122343267182',NULL,'9998',0.00,1,3,NULL),(20,5084130,'1993-03-10 00:00:00',4,3,11,2009,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116242161215111411579813572124610117047',7816,'9998',58.54,1,3,NULL),(20,5084148,'1991-09-26 00:00:00',2,1,11,2009,'F','N','COLONIA SANTANA','S JOSÉ','SC','124241241225372431634629372124610165011',NULL,'262',30.92,2,1,2),(20,5084164,'1977-09-04 00:00:00',4,1,12,1998,'M','N','CENTRO','S JOSÉ','SC','124161161126141711133641245223343222012',NULL,'9998',0.00,1,3,NULL),(20,5084180,'1974-06-08 00:00:00',2,1,6,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','624243247236131421333144142332610167047',NULL,'9999',22.91,1,3,NULL),(20,5084202,'1992-03-23 00:00:00',4,4,11,2008,'F','N','CENTRO','CURITIBA','PR','116222221217471431438911574125610122172',1164,'9998',80.42,4,3,NULL),(20,5084210,'1992-01-22 00:00:00',4,4,12,2008,'F','N','SEMINÁRIO','CURITIBA','PR','116243241414171431558831171144610167042',2539,'185',73.70,1,3,NULL),(20,5084229,'1986-11-05 00:00:00',4,8,12,2004,'F','N','CENTRO','CURITIBA','PR','116122131215371231558812592324143164077',NULL,'9998',0.00,4,3,NULL),(20,5084237,'1989-12-24 00:00:00',4,9,12,2007,'F','N','LARANJEIRAS','RIO SUL','SC','124242241215475451348911575122132663072',8635,'654',58.48,1,3,NULL),(20,5084253,'1991-09-18 00:00:00',4,1,12,2009,'F','N','CENTRO','TORRES','RS','120202201217151431356611475122610128032',13184,'9998',48.51,1,3,NULL),(20,5084261,'1992-08-19 00:00:00',4,2,12,2009,'F','N','VILA IZABEL','CURITIBA','PR','116162161216111431367732572112610167042',NULL,'9998',0.00,1,3,NULL),(20,5084296,'1991-02-07 00:00:00',4,1,11,2008,'M','N','SÃO DIMAS','S JOSÉ CAMPOS','SP','125252251216471411468712375125610164092',NULL,'9998',0.00,1,3,NULL),(20,5084318,'1990-04-04 00:00:00',4,1,11,2007,'F','N','MAR GROSSO','LAGUNA','SC','124242241217575431438714594124610145147',707,'807',83.12,1,3,NULL),(20,5084326,'1992-11-10 00:00:00',4,8,11,2009,'F','N','AGUA VERDE','CURITIBA','PR','116212161215121431313364272114610122147',NULL,'9998',0.00,1,3,NULL),(20,5084334,'1990-04-29 00:00:00',4,1,12,2007,'M','N','PQ PINHEIROS','TABOÃO SERRA','SP','125252251216561731458511485124610164096',NULL,'9998',0.00,3,3,NULL),(20,5084342,'1991-01-18 00:00:00',4,2,12,2008,'F','N','BELA VISTA','GASPAR','SC','124241241116132431447823345124610137142',5425,'69',67.27,4,1,1),(20,5084377,'1993-02-20 00:00:00',4,1,11,2009,'M','N','JD SHANGRI LÁ','ATIBAIA','SP','125252251216111431458712145122610127042',NULL,'9998',27.78,1,3,NULL),(20,5084385,'1992-07-04 00:00:00',4,4,12,2009,'F','N','CENTRO','DOIS VIZINHOS','PR','116162161236471431469614575122610137077',NULL,'9998',0.00,1,3,NULL),(20,5084393,'1992-07-22 00:00:00',2,2,12,2009,'F','N','ESTRADINHA','PARANAGUÁ','PR','116162161217371412438721575124610133147',NULL,'9998',0.00,3,3,NULL),(20,5084415,'1991-02-16 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSÉ','SC','124243241215373431456611575114610144197',3097,'723',72.89,1,3,NULL),(20,5084423,'1991-10-28 00:00:00',2,1,12,2008,'F','N','JARDIM PRESIDENTE','LONDRINA','PR','116162161217471431536833341132610146092',10039,'9998',58.08,1,3,NULL),(20,5084440,'1990-08-25 00:00:00',4,8,12,2008,'M','N','JARDIM FLORIDA','CPO MOURÃO','PR','116162161117312431359814575115610116122',1646,'9998',77.10,1,3,NULL),(20,5084458,'1987-01-10 00:00:00',2,1,12,2004,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241117374431456614345124121764197',13204,'295',48.29,1,2,1),(20,5084490,'1988-12-13 00:00:00',4,1,12,2006,'F','N','CAMBUÍ','CAMPINAS','SP','125042251216271441369814281124140962027',11099,'9998',56.08,1,3,NULL),(20,5084504,'1986-01-17 00:00:00',4,1,12,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124202201216374431227822285114220767052',2012,'9998',76.53,1,3,NULL),(20,5084512,'1987-03-14 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243131316274431338724271124610127147',6209,'9998',65.55,1,3,NULL),(20,5084520,'1991-01-16 00:00:00',4,1,12,2008,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241215473731246811272124610122142',2000,'855',76.93,1,3,NULL),(20,5084547,'1991-05-09 00:00:00',4,1,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161216471531549832574312610167122',13311,'9998',48.88,1,3,NULL),(20,5084555,'1988-10-31 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217473742468713432125230212112',NULL,'1022',26.29,1,3,NULL),(20,5084571,'1991-01-16 00:00:00',2,1,12,2008,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241115372411226844241324610138187',NULL,'307',30.96,2,1,1),(20,5084580,'1992-06-22 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215121431558911575124610154067',4688,'270',68.48,1,3,NULL),(20,5084598,'1990-04-25 00:00:00',4,1,11,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241216273731225323152124121424197',2605,'738',74.74,1,3,NULL),(20,5084601,'1988-04-07 00:00:00',2,10,12,2005,'M','N','LAGUNA','LAGUNA','SC','124111211116471431426619295124610128011',NULL,'520',0.00,1,3,NULL),(20,5084610,'1992-11-12 00:00:00',2,1,11,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241215112431538834575122610142142',NULL,'944',26.45,1,3,NULL),(20,5084628,'1991-10-30 00:00:00',2,10,12,2008,'F','N','MAR GROSSO','LAGUNA','SC','124241241114271731426611312334610118197',NULL,'521',0.00,1,2,1),(20,5084652,'1982-05-22 00:00:00',2,8,12,2000,'M','N','BOM RETIRO','JOINVILLE','SC','124241241126132431233344245124610162052',9992,'629',55.36,2,1,1),(20,5084695,'1991-08-22 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241215372431433411375114610124197',15938,'868',42.07,1,3,NULL),(20,5084709,'1983-01-12 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216512741469931271122130216121',5690,'266',66.72,1,3,NULL),(20,5084725,'1987-01-21 00:00:00',4,1,11,2005,'F','N','BELA VISTA','S JOSÉ','SC','124243248316211311523419372124132023042',NULL,'1003',22.51,2,1,2),(20,5084733,'1986-09-17 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372451478833475122121467187',1860,'270',77.06,1,3,NULL),(20,5084741,'1987-12-26 00:00:00',2,4,12,2005,'M','N','CENTRO','BARRACÃO','PR','116241241146572441668813275112610136042',4677,'245',68.74,1,2,1),(20,5084750,'1986-04-25 00:00:00',2,1,12,2003,'F','N','ESTREITO BALNEÁRIO','FLORIANÓPOLIS','SC','224242241316474431248954442134222337047',NULL,'882',27.59,1,3,NULL),(20,5084768,'1990-12-30 00:00:00',4,1,12,2008,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241214472431288933575122610117047',14597,'262',49.01,1,3,NULL),(20,5084776,'1991-03-21 00:00:00',4,8,12,2008,'F','N','GLÓRIA','JOINVILLE','SC','124242241411471431269914581324610153012',NULL,'1061',29.44,1,3,NULL),(20,5084784,'1991-03-08 00:00:00',2,1,12,2007,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215573441336624572224610164057',NULL,'9998',31.86,1,3,NULL),(20,5084792,'1990-04-15 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124241241411274431448614595124230261192',NULL,'1036',0.00,1,3,NULL),(20,5084806,'1987-04-09 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124252251216131431338644445123230227042',NULL,'9998',29.05,1,3,NULL),(20,5084814,'1991-03-30 00:00:00',2,5,12,2008,'M','N','NOSSA SENHORA DA SAL','CRICIÚMA','SC','124241244325121441336119391224613224147',NULL,'209',23.87,1,3,NULL),(20,5084822,'1990-04-08 00:00:00',4,3,12,2007,'M','N','VILA ROSA','PRES PRUDENTE','SP','125254251316572431459831382112143267077',NULL,'9998',35.00,1,3,NULL),(20,5084849,'1988-05-29 00:00:00',2,1,12,2005,'F','N','ATUBA','CURITIBA','PR','116162161215371431536624344122610165077',NULL,'9998',0.00,1,3,NULL),(20,5084857,'1987-04-27 00:00:00',4,1,12,2004,'F','N','PARQUE AMÉRICA','S PAULO','SP','125254251216571711468314575124610166147',8790,'9998',58.31,4,3,NULL),(20,5084873,'1992-07-02 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215142411334311375124610133077',13105,'1050',52.15,1,3,NULL),(20,5084881,'1991-10-16 00:00:00',4,2,12,2008,'F','N','TARUMÃ','CURITIBA','PR','116162161215471411469934572112610164147',9499,'9998',55.78,1,3,NULL),(20,5084890,'1990-12-21 00:00:00',2,1,6,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117111441432423242224131437142',12156,'306',54.07,1,2,1),(20,5084920,'1992-02-01 00:00:00',4,4,12,2008,'F','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124244161415472431467932371122610162177',7211,'9998',61.39,1,3,NULL),(20,5084938,'1992-06-08 00:00:00',2,2,12,2009,'M','N','ESCOLA AGRICOLA','BLUMENAU','SC','124244241215121421129941215134610142182',NULL,'87',0.00,1,3,NULL),(20,5084954,'1984-08-27 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252251217142411148844345122333258097',NULL,'9998',0.00,1,3,NULL),(20,5084962,'1991-12-10 00:00:00',4,8,12,2008,'F','N','CENTRO','IRATI','PR','116162161215471751456632575125610123092',NULL,'9998',0.00,1,3,NULL),(20,5084970,'1988-06-07 00:00:00',4,1,12,2004,'F','N','VITOR KONDER','BLUMENAU','SC','124281288117152431337823572124231464147',16195,'9998',42.59,2,1,1),(20,5084989,'1991-01-19 00:00:00',3,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','624242241215372411459913481114610164072',12619,'270',53.10,4,3,NULL),(20,5085004,'1992-03-14 00:00:00',4,1,12,2009,'F','N','SANTA MARTA','BENTO GONÇALVES','RS','120201201117271711443314375122610146092',NULL,'9998',0.00,1,2,1),(20,5085012,'1989-03-09 00:00:00',4,1,10,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242247217272431548813575112133245037',15149,'9999',42.80,1,3,NULL),(20,5085020,'1992-01-27 00:00:00',4,8,12,2008,'F','N','REBOUCAS','CURITIBA','PR','116242241215471441469922575125610167042',6127,'632',64.82,1,3,NULL),(20,5085039,'1989-08-30 00:00:00',2,1,12,2009,'M','N','COHAB','BOM JD SERRA','SC','124241242146151711523313575114610164147',NULL,'903',41.52,4,2,1),(20,5085047,'1992-04-08 00:00:00',4,1,12,2009,'M','N','PACHECOS','PALHOÇA','SC','124241241125141431437639242124610138142',NULL,'592',21.30,1,2,1),(20,5085055,'1988-05-14 00:00:00',2,15,12,2005,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241116575751455573595224232466097',2371,'30',74.73,1,2,1),(20,5085071,'1986-11-25 00:00:00',2,1,12,2004,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124243241147271431126644245334130227117',NULL,'476',46.87,1,3,NULL),(20,5085080,'1993-02-18 00:00:00',4,10,10,2009,'M','N','MAR GROSSO','LAGUNA','SC','124244241217111431478811472121610164112',NULL,'807',0.00,1,3,NULL),(20,5085101,'1983-05-20 00:00:00',4,1,12,2000,'F','N','KOBRASOL','S JOSÉ','SC','124242241215374431369933575124122421097',654,'723',83.52,1,3,NULL),(20,5085136,'1991-02-22 00:00:00',4,6,12,2009,'M','N','CENTRO','ITAJAÍ','SC','124242241215311431468831575125610128032',13550,'1057',51.27,1,3,NULL),(20,5085144,'1990-08-09 00:00:00',2,8,12,2007,'M','N','CIDADE INDUSTRIAL','CURITIBA','PR','116161161126471732534629291124610142187',8542,'9998',58.00,1,2,1),(20,5085152,'1986-08-27 00:00:00',4,1,12,2003,'M','N','CENTRO','PARANAVAÍ','PR','116164161217273411568831472115141424062',5626,'9998',64.27,1,3,NULL),(20,5085160,'1987-09-20 00:00:00',4,1,4,2008,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124253251327272441447912375124141414047',15243,'9998',47.13,1,3,NULL),(20,5085179,'1991-04-17 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241137471731436639375124610138057',NULL,'733',21.16,1,3,NULL),(20,5085187,'1991-06-18 00:00:00',4,1,10,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241315472731226611392124610167052',11081,'307',54.27,1,3,NULL),(20,5085195,'1992-06-16 00:00:00',2,17,12,2009,'F','N','VILA PINHEIRINHO','S MATEUS SUL','PR','116162161236371131436613592324610163147',10703,'9998',55.22,1,3,NULL),(20,5085217,'1989-08-17 00:00:00',2,1,11,2006,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124243248415273451448713396124610117047',NULL,'1076',26.01,1,3,NULL),(20,5085225,'1991-07-12 00:00:00',4,1,6,2009,'M','N','SAO JOAQUIM','VINHEDO','SP','125252281417271431458834575122610167042',5540,'9998',64.23,1,3,NULL),(20,5085241,'1977-08-12 00:00:00',2,1,12,1995,'M','N','SERRARIA','S JOSÉ','SC','224201201126273731223344145212121712197',4941,'9998',68.17,1,2,1),(20,5085250,'1992-09-19 00:00:00',4,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124121241115371731323311275122610126177',NULL,'592',20.02,1,3,NULL),(20,5085268,'1992-03-16 00:00:00',2,5,12,2009,'F','N','AIRES RODRIGUES','ORLEANS','SC','124241241217271411423211285124610124172',10636,'950',55.20,1,3,NULL),(20,5085276,'1988-09-01 00:00:00',2,1,12,2005,'F','N','COLONIA SANTANA','S JOSÉ','SC','124242241215272421358413575124333224097',NULL,'1074',28.08,1,3,NULL),(20,5085284,'1988-10-16 01:00:00',3,1,12,2006,'F','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124071071116271411528631445124610136192',15798,'9998',45.09,4,3,NULL),(20,5085292,'1991-06-13 00:00:00',4,8,12,2008,'F','N','BATEL','CURITIBA','PR','116164161215471431486814574122610134052',7236,'9998',60.82,1,3,NULL),(20,5085306,'1976-10-18 00:00:00',4,1,12,1994,'F','N','CANTO','FLORIANÓPOLIS','SC','224202201116132431437359472114141026187',NULL,'9998',0.00,1,3,NULL),(20,5085314,'1991-01-25 00:00:00',4,2,12,2007,'F','N','INTERIOR','RIO OESTE','SC','124241241116141431525335345233610126177',NULL,'652',25.24,1,2,1),(20,5085322,'1991-10-07 00:00:00',4,1,12,2008,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124243241316272431526414342224233224172',NULL,'948',0.00,1,3,NULL),(20,5085330,'1992-03-02 00:00:00',4,8,12,2009,'M','N','GUANABARA','JOINVILLE','SC','124241246215271731446414576124610125177',4798,'1006',67.83,1,3,NULL),(20,5085349,'1990-06-12 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241247415371731236923575124610127012',15614,'9999',45.83,1,3,NULL),(20,5085357,'1993-10-27 00:00:00',4,1,12,2010,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241212111431569913595122610127057',NULL,'270',50.23,1,3,NULL),(20,5085365,'1992-03-23 00:00:00',4,1,12,2008,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124243241415373441526879291224610167012',1967,'723',77.01,1,3,NULL),(20,5085373,'1992-03-19 00:00:00',4,1,12,2009,'F','N','CENTRO','NOVA TRENTO','SC','124244241215162731377619195122610138092',NULL,'948',28.95,1,3,NULL),(20,5085403,'1992-06-18 00:00:00',4,1,11,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241115271431418612572122610127042',5526,'267',64.48,1,2,1),(20,5085420,'1992-07-19 00:00:00',4,9,12,2009,'M','N','VILA NOVA','LAGES','SC','124242241215111441369711572322610127042',NULL,'497',27.73,1,3,NULL),(20,5085438,'1992-04-05 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124161241115111431333329595124610123017',NULL,'307',13.97,1,2,1),(20,5085446,'1991-09-28 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124202241215373431233821575124610133142',2125,'1133',76.48,1,3,NULL),(20,5085454,'1991-10-08 00:00:00',1,8,11,2009,'M','N','CENTRO','JOINVILLE','SC','124242241217121431268631575111610117042',3120,'457',71.64,4,3,NULL),(20,5085470,'1992-08-13 00:00:00',4,8,11,2009,'M','N','CENTRO','S BENTO SUL','SC','124242244217111431588611575122610127012',NULL,'1178',28.66,4,1,2),(20,5085497,'1991-06-21 00:00:00',4,1,12,2008,'M','N','ZONA QUATRO','MARINGÁ','PR','116162161217371431478811475112610137052',788,'9998',81.92,1,3,NULL),(20,5085500,'1991-11-24 00:00:00',4,1,12,2008,'F','N','JARDIM DO ALTO','IVOTI','RS','120202201216571431469811575112610164177',4464,'9998',67.79,1,3,NULL),(20,5085519,'1964-03-04 00:00:00',2,1,12,1990,'F','N','TAPERA','FLORIANÓPOLIS','SC','124243246346245421126323432131221467167',NULL,'306',0.00,1,3,NULL),(20,5085527,'1992-10-04 00:00:00',4,2,10,2009,'F','N','ASILO','BLUMENAU','SC','124242241215121431466812572122610136182',13665,'855',51.02,1,3,NULL),(20,5085543,'1990-04-29 00:00:00',2,1,12,2007,'M','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124242241215573431336329571114610127072',9511,'738',56.45,1,3,NULL),(20,5085551,'1989-10-30 00:00:00',4,1,12,2008,'F','N','VILA SÃO FRANCISCO','S PAULO','SP','125252251217371431558811355122610122072',NULL,'9998',0.00,1,3,NULL),(20,5085560,'1992-09-22 00:00:00',4,2,12,2009,'F','N','SÃO LUIS','BRUSQUE','SC','124242241217111431459911585122610166197',2871,'109',73.92,1,3,NULL),(20,5085578,'1991-05-08 00:00:00',4,1,12,2008,'M','N','JD AERPORTO','S PAULO','SP','125254251215471431648824576114610137097',NULL,'9998',0.00,4,3,NULL),(20,5085594,'1992-11-16 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431435531575122610146042',14071,'737',49.39,1,3,NULL),(20,5085608,'1991-10-29 00:00:00',2,1,12,2008,'F','N','SAO SEBASTIAO','PALHOÇA','SC','124241241145272431633471245124610124197',12352,'307',51.01,1,2,1),(20,5085616,'1992-12-04 00:00:00',4,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215112432466613435114610163095',6912,'1022',62.16,4,3,NULL),(20,5085624,'1985-07-28 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241127372731116644345334610136097',NULL,'416',48.44,1,2,1),(20,5085632,'1992-01-23 00:00:00',4,8,12,2009,'M','N','MOSSUNGUE','CURITIBA','PR','116162161217271441489913285124610164042',7134,'9998',62.37,1,3,NULL),(20,5085640,'1977-07-14 00:00:00',2,1,12,2003,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201207127131421124443235324141966187',NULL,'9998',47.17,1,3,NULL),(20,5085659,'1992-09-04 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241215111751674832576112610113177',6527,'1022',64.51,1,3,NULL),(20,5085667,'1988-08-11 00:00:00',2,1,12,2005,'F','N','SANTANA','PTO ALEGRE','RS','120202201216571431549933574122141363142',NULL,'9998',0.00,1,3,NULL),(20,5085675,'1990-12-26 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215472431445813572124610133067',10215,'269',57.77,1,3,NULL),(20,5085683,'1992-05-19 00:00:00',2,7,12,2009,'F','N','PÔR DO SOL','CAPINZAL','SC','124241241417271431433853272123610134187',14275,'1093',47.13,1,3,NULL),(20,5085691,'1992-02-16 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215121431147634575124610167012',9827,'1022',57.96,1,3,NULL),(20,5085705,'1991-06-15 00:00:00',1,1,12,2008,'M','N','CENTRO','PTO BELO','SC','124241241217371411368831395124610167132',3999,'270',70.86,1,3,NULL),(20,5085713,'1990-07-16 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216573431569913595124610122097',317,'262',86.30,1,3,NULL),(20,5085721,'1989-05-15 00:00:00',2,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241215473431546621572124610167052',5081,'300',67.03,1,3,NULL),(20,5085748,'1991-02-10 00:00:00',4,4,12,2007,'F','N','JARDIM CRISTAL','CASCAVEL','PR','116164161217572441436814346222610124077',5493,'9998',64.97,4,3,NULL),(20,5085756,'1989-09-03 00:00:00',4,1,11,2006,'F','N','BARREIROS','S JOSÉ','SC','124214241215575431456534372124610134077',1870,'738',77.36,4,3,NULL),(20,5085764,'1990-05-21 00:00:00',4,1,12,2007,'M','N','HIGIENÓPOLIS','S PAULO','SP','125252251217271431557873375115610127052',NULL,'9998',0.00,1,3,NULL),(20,5085772,'1992-10-13 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241215111431346734575114610135077',NULL,'272',53.22,1,3,NULL),(20,5085780,'1987-05-07 00:00:00',4,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124243241322111431613379392134610163187',NULL,'944',20.57,1,3,NULL),(20,5085799,'1992-09-21 00:00:00',4,1,12,2009,'M','N','CENTRO','SUMARÉ','SP','125252251217111431458831575124610127112',9492,'9998',55.04,1,3,NULL),(20,5085802,'1991-01-15 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215372431468813575114131437062',732,'270',82.99,1,3,NULL),(20,5085810,'1991-02-27 00:00:00',4,1,12,2008,'F','N','VILA INDEPENDÊNCIA','BAURU','SP','125254251217471431578832581122610134057',6481,'9998',62.90,1,3,NULL),(20,5085837,'1992-02-26 00:00:00',4,3,11,2009,'F','N','SANTA QUITERIA','CURITIBA','PR','116162161416121411448629595124610162042',NULL,'9998',0.00,1,3,NULL),(20,5085845,'1993-07-01 00:00:00',4,1,12,2009,'F','N','NOSSA SRA ROSÁRIO','S JOSÉ','SC','124242241215111431549614592122610124097',NULL,'991',34.01,1,3,NULL),(20,5085853,'1992-03-06 00:00:00',4,2,11,2009,'M','N','ALTO DA GLORIA','CURITIBA','PR','116162161216111431358632595122610147062',4249,'9998',68.14,1,3,NULL),(20,5085861,'1992-06-01 00:00:00',2,5,12,2009,'F','N','BARRO VERMELHO','ORLEANS','SC','124242241215111431446619572122610122097',NULL,'581',0.00,1,3,NULL),(20,5085888,'1991-09-02 00:00:00',4,1,12,2009,'M','N','VILA MONTEIRO','S CARLOS','SP','125253251215111731346624575122610137057',NULL,'9998',0.00,1,3,NULL),(20,5085896,'1993-02-17 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124161241135131211423311572124610125057',NULL,'274',26.04,1,2,1),(20,5085900,'1992-08-24 00:00:00',2,10,11,2009,'F','N','MONTE CATELO','TUBARÃO','SC','124241241115271431426714285124613224077',11942,'1034',51.51,1,2,1),(20,5085926,'1992-05-15 00:00:00',2,1,11,2009,'F','N','CAPÃO RASO','CURITIBA','PR','116164161245471431628712381124610111142',NULL,'1134',37.87,1,3,NULL),(20,5085934,'1991-04-10 00:00:00',4,1,12,2008,'F','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125252251215471431336622572122610162147',NULL,'9998',0.00,1,3,NULL),(20,5085942,'1992-07-30 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241115111411538613572114610134144',10406,'1118',56.20,1,3,NULL),(20,5085969,'1992-07-24 00:00:00',2,8,12,2009,'F','N','VILA SÃO JOSÉ','STO ANTÔNIO PLATINA','PR','116161161216111731546629595122610127142',NULL,'9998',23.62,1,3,NULL),(20,5085993,'1989-05-23 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216135431458811415124231362047',15341,'1022',46.81,1,3,NULL),(20,5086019,'1992-12-06 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124112241217421431489831572124610134142',6241,'270',65.21,1,3,NULL),(20,5086027,'1990-12-04 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124241241116272521356731245124610127067',NULL,'595',0.00,1,3,NULL),(20,5086051,'1990-09-06 00:00:00',2,1,11,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212474431356924574244121467112',1780,'210',77.69,1,3,NULL),(20,5086060,'1991-04-03 00:00:00',4,1,12,2008,'M','N','JARDIM KARAIBA','UBERLÂNDIA','MG','113132131216271711348915575122141864052',11078,'9998',52.00,4,3,NULL),(20,5086078,'1991-07-27 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215273431477712572114610121143',10652,'262',53.58,1,3,NULL),(20,5086108,'1986-09-28 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241248146211431533321315224610114057',NULL,'298',0.00,4,1,1),(20,5086116,'1991-06-16 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242241216372431536612575122610138077',16154,'1011',43.02,1,3,NULL),(20,5086124,'1990-11-20 00:00:00',4,1,11,2008,'M','N','HIGIENOPOLIS','S PAULO','SP','125252251217311241579914345122610166112',NULL,'9998',0.00,1,3,NULL),(20,5086132,'1992-05-25 00:00:00',4,9,12,2009,'M','N','CENTRO','CAÇADOR','SC','116162161217111441378733375121610166045',3364,'9998',71.12,1,3,NULL),(20,5086140,'1991-05-01 00:00:00',4,8,11,2008,'M','N','GLÓRIA','JOINVILLE','SC','124242241215372431469914575124131432053',NULL,'457',0.00,1,3,NULL),(20,5086159,'1992-12-24 00:00:00',4,1,11,2009,'F','N','TRISTEZA','PTO ALEGRE','RS','120202201217471731449911575112610134142',NULL,'9998',0.00,1,3,NULL),(20,5086183,'1992-11-03 00:00:00',4,1,12,2009,'M','N','VILA DO POLONES','CPO GRANDE','MS','112122121216111331539811475122610127012',5446,'9998',65.23,1,3,NULL),(20,5086191,'1978-10-13 00:00:00',2,1,12,1996,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224161164126271451356659176224242828142',12843,'9998',52.66,1,2,1),(20,5086205,'1991-05-16 00:00:00',4,1,11,2008,'M','N','JURERE','FLORIANÓPOLIS','SC','124242247216272431269813575122130227047',16091,'9999',43.49,1,3,NULL),(20,5086213,'1990-02-14 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212573431547412572124233211192',5385,'1098',65.29,1,3,NULL),(20,5086230,'1981-12-26 00:00:00',4,1,8,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124131281117473431225823275125643227112',NULL,'9998',54.56,1,2,1),(20,5086248,'1992-12-31 00:00:00',2,6,12,2009,'F','N','MEIA PRAIA','NAVEGANTES','SC','124242241235141531346724245122610126172',10753,'1141',55.84,1,3,NULL),(20,5086256,'1992-01-20 00:00:00',2,9,11,2009,'F','N','MARTORANO','S JOAQUIM','SC','124242241115111551638933585112610128077',NULL,'1035',0.00,1,3,NULL),(20,5086264,'1987-06-06 00:00:00',2,1,12,2004,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241136374431533529345124610124097',NULL,'298',25.64,1,2,1),(20,5086272,'1991-11-02 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271731589813575122610144092',5598,'262',66.77,1,3,NULL),(20,5086280,'1988-08-24 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241122272721423639272121610161057',NULL,'277',47.14,2,1,1),(20,5086299,'1990-06-12 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215572431156823392124610168052',7375,'1022',60.99,4,3,NULL),(20,5086302,'1994-06-27 00:00:00',4,1,12,2011,'M','S','AGRÔNOMICA','FLORIANÓPOLIS','SC','124242241215111411458811475122610137142',NULL,'1169',36.90,1,3,NULL),(20,5086310,'1992-11-11 00:00:00',4,4,12,2009,'F','N','CENTRO','JARDINÓPOLIS','SC','124241241115161531426534572223610126147',NULL,'444',27.96,1,2,1),(20,5086329,'1992-11-15 00:00:00',4,7,12,2009,'M','N','CENTRO','VIDEIRA','SC','124241241115141431438634345125610167057',NULL,'831',0.00,1,2,1),(20,5086337,'1992-02-03 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212112431547412572124610112172',3198,'270',72.43,1,3,NULL),(20,5086345,'1992-03-07 00:00:00',4,8,12,2009,'F','N','CENTRO','CASCAVEL','PR','116162161215111431378834575122610164142',11583,'9998',51.87,1,3,NULL),(20,5086353,'1991-11-20 00:00:00',1,9,12,2009,'M','N','CENTRO','LAGES','SC','124242241215272232369933575115610164042',60,'9997',91.25,1,3,NULL),(20,5086361,'1991-10-08 00:00:00',4,1,10,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431348823435124610128087',8592,'1022',58.95,1,3,NULL),(20,5086370,'1990-06-19 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241137271421626314345124610121097',13088,'358',49.89,1,2,1),(20,5086388,'1988-06-15 00:00:00',4,15,12,2007,'M','N','ZONA NOVA SUL','ARARANGUÁ','SC','124201201137131431625519411224130734177',NULL,'9998',25.73,1,2,1),(20,5086400,'1991-03-28 00:00:00',4,1,11,2008,'F','N','JARDIM FERES','INDAIATUBA','SP','125252251216471431566814575112610164142',9068,'9998',57.12,4,3,NULL),(20,5086418,'1988-05-29 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117271411425311345134610126065',12848,'84',52.65,4,2,1),(20,5086426,'1963-10-31 00:00:00',4,1,10,1987,'M','N','INGLESES','FLORIANÓPOLIS','SC','224241247147151341443343235124610166032',8324,'9999',61.26,1,2,1),(20,5086434,'1990-12-17 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215472431258814595124610124062',3764,'270',71.45,1,3,NULL),(20,5086450,'1992-02-21 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215113431663732575122610122182',14150,'270',50.07,1,3,NULL),(20,5086469,'1991-02-05 00:00:00',2,1,11,2008,'F','N','JARDIM MOSTEIRO','RIBEIRÃO PRETO','SP','125252251215471431368712575112610161042',NULL,'9998',0.00,1,3,NULL),(20,5086477,'1990-11-01 00:00:00',4,8,12,2007,'M','N','GLÓRIA','JOINVILLE','SC','124241248217151341559914385124231722091',NULL,'1105',29.19,1,3,NULL),(20,5086485,'1993-01-09 00:00:00',4,1,12,2009,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111221269719575124610164012',NULL,'1048',21.54,1,3,NULL),(20,5086493,'1987-03-21 00:00:00',2,1,12,2004,'F','N','UNIVERSITARIO','TIJUCAS','SC','124242241317141411129541112221231926187',NULL,'405',28.52,1,3,NULL),(20,5086507,'1990-06-22 00:00:00',4,1,12,2007,'F','N','NOVA RIBEIRÂNIA','RIBEIRÃO PRETO','SP','125252251215571431338734471122610165092',NULL,'9998',0.00,1,3,NULL),(20,5086523,'1991-10-16 00:00:00',2,1,12,2008,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241115271431533315385124610127147',NULL,'733',27.97,1,2,1),(20,5086531,'1991-03-25 00:00:00',2,2,12,2008,'M','N','CENTRO','S JOÃO BATISTA','SC','124241246217372431355733345112610164182',3987,'1119',69.08,4,3,NULL),(20,5086540,'1991-08-15 00:00:00',4,8,12,2009,'M','N','SAGUACU','JOINVILLE','SC','124243241215111431456413572122610117112',NULL,'931',22.25,1,3,NULL),(20,5086558,'1990-12-13 00:00:00',4,1,11,2008,'M','N','BAIXADA','S JOAQUIM BARRA','SP','125252251217471431456512574112610144057',NULL,'9998',0.00,1,3,NULL),(20,5086574,'1991-04-16 00:00:00',2,4,12,2007,'F','N','CENTRO','XAXIM','SC','124242241214473431324922344122610146017',NULL,'994',0.00,1,3,NULL),(20,5086582,'1986-10-14 00:00:00',4,15,11,2003,'M','N','PARQUE ALVORADA','ARARANGUÁ','SC','124241241127131411433219245123610154057',NULL,'29',21.81,3,3,NULL),(20,5086590,'1990-03-28 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124241241135371731556923382124610113147',15698,'733',45.53,2,1,1),(20,5086604,'1992-03-16 00:00:00',2,1,12,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241116161431438933345124610128187',NULL,'739',23.81,1,3,NULL),(20,5086612,'1992-10-09 00:00:00',2,1,12,2009,'F','N','COSTA DE CIMA','FLORIANÓPOLIS','SC','124241241115161711448723585124610124197',NULL,'307',28.69,1,2,1),(20,5086620,'1990-01-15 00:00:00',4,8,12,2007,'M','N','BOA VISTA','CURITIBA','PR','116161161115571431468819271124240461097',9861,'9998',54.33,1,3,NULL),(20,5086639,'1992-07-18 00:00:00',4,1,12,2009,'F','N','VALPARAÍSO','PETRÓPOLIS','RJ','121212211216111411368819475122610162192',NULL,'9998',0.00,1,3,NULL),(20,5086647,'1990-09-29 00:00:00',4,7,12,2007,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241215573431448933412122610163147',6802,'138',64.26,1,3,NULL),(20,5086663,'1992-08-05 00:00:00',4,1,12,2009,'M','N','JARDINS','S PAULO','SP','125252251235111431589734571112610167043',12198,'9998',48.81,1,3,NULL),(20,5086680,'1991-01-02 00:00:00',4,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124241241212472731533612574124610142142',NULL,'976',34.89,1,3,NULL),(20,5086698,'1992-05-13 00:00:00',2,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241145131431325624175124610132057',NULL,'283',25.41,1,2,1),(20,5086701,'1991-03-23 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124244241215372431556614345124610131077',NULL,'1022',30.42,1,3,NULL),(20,5086744,'1990-12-18 00:00:00',2,1,12,2007,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241137232411533518115124610121177',NULL,'772',28.81,1,2,1),(20,5086760,'1992-02-07 00:00:00',2,1,12,2008,'F','N','SANTA TEREZA','PTO ALEGRE','RS','120202201217471731448911571124610131142',NULL,'9998',27.65,1,3,NULL),(20,5086787,'1990-07-07 00:00:00',2,1,12,2007,'F','N','RODRIGUES','LGA VERMELHA','RS','124201201236133431326627375124221427071',11087,'9998',56.11,1,3,NULL),(20,5086795,'1988-10-30 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431379933575122120224042',1182,'262',80.35,1,3,NULL),(20,5086809,'1990-12-19 00:00:00',4,1,12,2008,'M','N','JARDIN CITY','GUARULHOS','SP','125252251216372411355811371124610162042',NULL,'9998',50.98,1,3,NULL),(20,5086817,'1992-11-26 00:00:00',4,4,12,2009,'F','N','NATUREZA','ITÁ','SC','124241241114151731426933435124610144057',11143,'384',56.00,1,2,1),(20,5086825,'1990-08-03 00:00:00',2,1,12,2007,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201216571431348923571114610137012',10791,'9998',54.21,1,3,NULL),(20,5086850,'1993-07-18 00:00:00',4,5,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241211111431468832575122610136092',NULL,'226',25.46,1,3,NULL),(20,5086884,'1992-04-22 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431238824575122610137052',NULL,'1118',27.38,1,3,NULL),(20,5086892,'1993-07-24 00:00:00',4,1,12,2009,'F','N','CENTRO','PAULO LOPES','SC','124241241125141431565933375122610138192',NULL,'607',0.00,4,2,1),(20,5086906,'1987-12-10 00:00:00',2,1,12,2004,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241117131421436613395123130824142',NULL,'592',29.17,1,2,1),(20,5086922,'1992-09-16 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431569813575124610138182',446,'270',83.75,1,3,NULL),(20,5086930,'1990-05-29 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241117271441254454445124610118193',NULL,'156',41.52,1,2,1),(20,5086949,'1990-03-28 00:00:00',4,1,12,2007,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','120204121216572431343911175122610152142',1534,'9998',78.74,1,3,NULL),(20,5086965,'1992-09-29 00:00:00',2,1,12,2009,'F','N','BELA VISTA','PALHOÇA','SC','123242241215112411336614142122610124092',NULL,'989',24.60,1,3,NULL),(20,5086973,'1992-07-18 00:00:00',2,10,12,2009,'M','N','BELA VISTA','S LUDGERO','SC','124242241217122411466933245122610144097',11731,'950',50.95,1,3,NULL),(20,5087007,'1992-07-13 00:00:00',2,7,12,2009,'F','N','SÃO FRANCISCO','LUZERNA','SC','124241241117271431459613385124610123147',10872,'539',53.16,1,2,1),(20,5087015,'1991-12-09 00:00:00',4,1,11,2009,'F','N','LULU ILGENFRITZ','IJUÍ','RS','220202201217141411228854341222610164047',NULL,'9997',24.39,1,3,NULL),(20,5087023,'1991-10-21 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111411456679572124610162062',8675,'1022',60.59,1,3,NULL),(20,5087031,'1990-11-05 00:00:00',4,1,12,2008,'M','N','REBOUÇAS','CURITIBA','PR','116161161117571431469914375124241464052',13809,'9998',50.73,1,3,NULL),(20,5087040,'1992-09-01 00:00:00',4,8,12,2009,'M','N','PIRABEIRABA','JOINVILLE','SC','124241241147141431538614372124610122177',NULL,'474',39.50,1,2,1),(20,5087066,'1993-05-19 00:00:00',4,10,10,2009,'F','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124242241215111431447832575122610112042',7786,'807',58.91,1,3,NULL),(20,5087074,'1991-04-23 00:00:00',4,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241135271731444639342124610122077',12124,'307',51.52,1,2,1),(20,5087082,'1991-09-11 00:00:00',1,4,12,2008,'F','N','MORADA DO SOL','MONDAÍ','SC','124241241116151221336634345123230247057',NULL,'564',20.30,1,2,1),(20,5087090,'1978-05-15 00:00:00',2,1,9,2005,'M','N','BARREIROS','S JOSÉ','SC','124241241146141522224443242124110122047',NULL,'9999',0.71,1,3,NULL),(20,5087104,'1991-01-04 00:00:00',4,1,12,2008,'M','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125251251215412431668933591112610127042',6365,'9998',63.42,1,3,NULL),(20,5087112,'1991-04-11 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431457732575122230267047',4069,'270',69.95,1,3,NULL),(20,5087120,'1992-05-12 00:00:00',4,2,12,2009,'M','N','CENTRO','GUABIRUBA','SC','624241241212111431438823145121610164122',NULL,'1123',25.48,4,3,NULL),(20,5087139,'1992-09-27 00:00:00',2,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241216111431425732575122610124055',NULL,'807',21.66,1,3,NULL),(20,5087155,'1993-03-01 00:00:00',4,8,12,2009,'F','N','SANTANA','GUARAPUAVA','PR','116163161215371431436823471124610167142',NULL,'9998',0.00,1,3,NULL),(20,5087163,'1991-12-03 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111732659921475112610128181',5042,'270',65.61,3,3,NULL),(20,5087171,'1987-10-18 00:00:00',4,1,12,2005,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124073071117472741438832275222220667111',2662,'9998',74.53,2,3,NULL),(20,5087180,'1988-07-02 00:00:00',4,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','119241241116472431548314472124610131147',NULL,'307',24.78,1,2,1),(20,5087198,'1990-09-27 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201201114574131266613475125610124142',7833,'9998',62.16,1,2,1),(20,5087201,'1989-06-22 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241337151431446913295123230834177',NULL,'9999',26.02,1,3,NULL),(20,5087210,'1976-08-12 00:00:00',2,1,12,1993,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201206226574421138641315133241462042',11292,'9998',55.72,1,3,NULL),(20,5087228,'1992-09-21 00:00:00',4,15,12,2009,'F','N','ZANETTE','MELEIRO','SC','124241241136271431323523582321610121147',NULL,'559',31.20,1,2,1),(20,5087236,'1992-06-16 00:00:00',4,8,12,2009,'M','N','CENTRO','SIQUEIRA CAMPOS','PR','116162161216121431469933575122610128142',2884,'9998',71.88,1,3,NULL),(20,5087260,'1992-10-20 00:00:00',2,9,12,2009,'M','N','COPACABANA','LAGES','SC','124244241417271612448833282221610157057',NULL,'515',0.00,1,3,NULL),(20,5087279,'1992-04-28 00:00:00',4,4,12,2009,'M','N','PIONEIRO','PINHALZINHO','SC','124244241215111531479912275122610167042',NULL,'185',0.00,1,3,NULL),(20,5087287,'1992-01-22 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217121711357731574122610166017',1783,'1038',77.66,1,3,NULL),(20,5087295,'1989-09-12 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215573431568811474122610124191',4276,'269',69.43,1,3,NULL),(20,5087325,'1994-05-09 00:00:00',4,1,12,2010,'M','S','JD ESTRELA','FOZ IGUAÇU','PR','116162161217111431449911572122610168092',NULL,'9998',73.36,1,3,NULL),(20,5087341,'1993-06-01 00:00:00',4,10,10,2010,'M','S','DEHON','TUBARÃO','SC','124242241217171432358913575115610137052',NULL,'807',52.24,1,3,NULL),(20,5087350,'1993-06-10 00:00:00',4,1,11,2009,'F','N','CENTRO','S LUIZ GONZAGA','RS','120202201215371431246626575122610164052',NULL,'9998',0.00,1,3,NULL),(20,5087376,'1991-07-12 00:00:00',4,1,11,2009,'M','N','BATEL','CURITIBA','PR','116164161215471751458913285124610124012',NULL,'9998',0.00,1,3,NULL),(20,5087384,'1991-04-01 00:00:00',4,1,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','116242161437111431358824345124610165112',NULL,'9998',30.34,1,3,NULL),(20,5087406,'1991-12-30 00:00:00',2,1,12,2009,'F','N','ZONA UM','MARINGÁ','PR','116162161215111731376812572122610164077',NULL,'9998',31.44,1,3,NULL),(20,5087414,'1987-10-18 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244247414112421358623415122610114142',NULL,'9999',32.41,4,3,NULL),(20,5087422,'1990-02-07 00:00:00',4,1,11,2006,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091215571431468813572324610124187',NULL,'9998',0.00,4,3,NULL),(20,5087430,'1989-07-26 00:00:00',2,1,12,2006,'M','N','CENTRO','CASTRO','PR','116162161217573411378616572112610167012',5732,'9998',65.50,1,3,NULL),(20,5087457,'1973-03-26 00:00:00',4,1,12,2005,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','224243247347153752421179597345622368197',13757,'9999',50.81,1,3,NULL),(20,5087465,'1991-04-02 00:00:00',2,1,12,2008,'M','N','BELLA VISTA III','COSMÓPOLIS','SP','125252251215471431249833475122610122082',NULL,'9998',0.00,1,3,NULL),(20,5087473,'1989-09-18 00:00:00',2,9,12,2006,'F','N','PETRÓPOLIS','LAGES','SC','124243241117471531326624342124610123077',NULL,'500',23.01,3,3,NULL),(20,5087490,'1993-02-11 00:00:00',2,9,12,2009,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124241241117271431468833575122610124097',12117,'505',54.14,1,2,1),(20,5087503,'1991-02-01 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241116372431323624573224610128197',11191,'288',53.90,1,3,NULL),(20,5087511,'1979-05-31 00:00:00',4,15,6,1999,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','224241241124151431423431385121610136197',NULL,'9999',32.93,1,3,NULL),(20,5087538,'1991-11-14 00:00:00',2,1,11,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215213431428611582114223247047',12333,'1118',53.71,1,3,NULL),(20,5087554,'1990-02-24 00:00:00',4,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116164161216471741448832575121141467012',338,'9998',85.99,1,3,NULL),(20,5087562,'1989-09-12 00:00:00',2,1,12,2009,'M','N','SÃO CRISTOVÃO','PIRAQUARA','PR','116161161116471711326479295124610165147',NULL,'9998',0.00,1,2,1),(20,5087570,'1992-05-20 00:00:00',4,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241212272411368823572124610167042',5350,'262',65.24,1,3,NULL),(20,5087597,'1991-11-25 00:00:00',4,1,11,2009,'F','N','BUENO','GOIÂNIA','GO','109092091215111731589811574112610162072',NULL,'9998',0.00,1,3,NULL),(20,5087600,'1991-06-21 00:00:00',4,8,11,2008,'F','N','ALTO DA BOA VISTA','VALINHOS','SP','125252251216411431458712575122610113072',NULL,'9998',22.09,1,3,NULL),(20,5087619,'1992-06-09 00:00:00',2,8,12,2009,'F','N','JARDIM MARGARIDA','GARUVA','SC','124241241145131431536611235125610122057',NULL,'923',0.00,1,2,1),(20,5087627,'1991-06-24 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSÉ','SC','124242241217272431438732345124610162197',13495,'270',51.39,1,3,NULL),(20,5087635,'1990-08-13 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241116472411579933245124610134162',8901,'267',56.58,1,3,NULL),(20,5087651,'1992-08-23 00:00:00',4,5,11,2009,'M','N','SARANDI','PTO ALEGRE','RS','120204201217111731316638575124610167092',8013,'9998',58.78,1,3,NULL),(20,5087660,'1992-01-21 00:00:00',2,1,12,2008,'M','N','PETROPLIS','VACARIA','RS','120201201116151431456812345121610127047',NULL,'9998',42.73,3,2,1),(20,5087678,'1993-04-11 00:00:00',4,1,12,2008,'M','N','FÁTIMA','S LUÍS','MA','110162101216471412468813572112610114042',NULL,'9998',52.20,1,3,NULL),(20,5087694,'1990-01-01 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215272431348827471112122222092',8578,'272',60.79,1,3,NULL),(20,5087716,'1990-12-14 00:00:00',4,10,12,2008,'M','N','VILA JOSE NAZARIO','ARMAZÉM','SC','124241241126472431333411275122610167057',2473,'34',74.58,1,2,1),(20,5087724,'1992-11-28 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115131421426634392224610123057',NULL,'278',17.70,1,2,1),(20,5087732,'1991-01-27 00:00:00',4,8,12,2007,'F','N','NOVA RÚSSIA','PNT GROSSA','PR','116162161215371751458711571124140936092',NULL,'9998',0.00,1,3,NULL),(20,5087767,'1991-06-16 00:00:00',4,1,12,2008,'F','N','NOSSA SRA APARECIDA','MOGI MIRIM','SP','125251251115471451533429575125610162143',NULL,'9998',0.00,1,2,1),(20,5087783,'1988-01-23 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244247215352411229924395124233227117',NULL,'270',31.10,1,3,NULL),(20,5087791,'1992-01-02 00:00:00',4,1,12,2008,'F','N','VILA VERGUEIRO','PASSO FUNDO','RS','120202201217572431448812575122610143142',6773,'9998',62.89,1,3,NULL),(20,5087805,'1987-11-26 00:00:00',2,1,12,2005,'F','N','N S DE LOURDES','CAXIAS SUL','RS','120202201217151411246722175125240433097',15394,'9998',42.74,1,3,NULL),(20,5087813,'1984-04-21 00:00:00',4,1,1,2003,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','624204201337573431356727485124133224117',16113,'9998',43.36,4,3,NULL),(20,5087830,'1984-05-11 00:00:00',4,1,12,2004,'M','N','BARREIROS','S JOSÉ','SC','224243241317141421663331145132610167117',NULL,'9999',32.44,3,3,NULL),(20,5087848,'1990-12-07 00:00:00',2,1,12,2008,'M','N','CENTRO','PALHOÇA','SC','124241241215112431443317285121230217052',NULL,'989',30.46,1,3,NULL),(20,5087864,'1991-10-31 00:00:00',4,10,12,2009,'F','N','CENTRO','IMBITUBA','SC','124241241117131431457574572125610135077',NULL,'1034',17.60,4,2,1),(20,5087872,'1992-09-25 00:00:00',2,8,12,2009,'M','N','BATEL','CURITIBA','PR','116162161215111231548712241121610164017',NULL,'9998',0.00,1,3,NULL),(20,5087880,'1990-01-11 00:00:00',4,3,11,2007,'F','N','CENTRO','POUSO REDONDO','SC','124241241125573431225569372125610163177',5716,'639',65.22,4,2,1),(20,5087899,'1992-10-02 00:00:00',2,1,12,2009,'F','N','OLARIAS','PNT GROSSA','PR','116162161216471431439732574124610133182',NULL,'9998',0.00,1,3,NULL),(20,5087902,'1991-08-15 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116151431613336582124610146017',11866,'639',50.67,1,2,1),(20,5087910,'1992-05-12 00:00:00',4,8,11,2009,'M','N','CENTRO','S BENTO SUL','SC','124242241235111231558812575122610137127',7750,'1178',59.01,1,3,NULL),(20,5087937,'1980-11-19 00:00:00',4,8,7,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124241247115271411334317575124610125197',NULL,'9999',22.17,1,2,1),(20,5087945,'1988-04-30 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241117373411579833571124240468092',351,'267',85.99,1,3,NULL),(20,5087953,'1989-11-16 00:00:00',2,8,12,2007,'M','N','FREGUESIA DO Ó','S PAULO','SP','125252251216571431556812575124610167142',NULL,'9998',25.87,1,3,NULL),(20,5087961,'1985-03-18 00:00:00',2,1,11,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224131131116372431244552245124610163182',7778,'9998',62.28,4,3,NULL),(20,5087970,'1988-06-15 00:00:00',2,10,12,2006,'F','N','DEHON','TUBARÃO','SC','124241241126271711523319485124610164197',13218,'332',49.13,1,2,1),(20,5088003,'1988-10-05 00:00:00',2,1,12,2006,'F','N','VILA CLEMENTINO','S PAULO','SP','125251251117571731344711491124610164097',NULL,'9998',26.51,4,2,1),(20,5088011,'1992-04-02 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215271431376612375122610123072',6135,'737',65.72,1,3,NULL),(20,5088020,'1992-07-16 00:00:00',2,8,12,2009,'F','N','CENTRO','S JOSÉ PINHAIS','PR','116133161317471431336823575124610167092',NULL,'9998',42.19,1,3,NULL),(20,5088038,'1992-07-23 00:00:00',4,8,12,2009,'M','N','BUCAREIN','JOINVILLE','SC','124242241216111451479813572124610116017',NULL,'486',0.00,1,3,NULL),(20,5088062,'1992-06-27 00:00:00',4,1,12,2009,'M','N','COLINAS DA MANTIQUEI','BRAGANÇA PAULISTA','SP','125252251217111431358812575122610127052',15609,'9998',42.52,1,3,NULL),(20,5088070,'1992-06-09 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241217151431655614375122610137057',NULL,'976',29.30,1,3,NULL),(20,5088089,'1992-03-30 00:00:00',2,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241115372431458833595124610126017',8143,'267',58.87,1,2,1),(20,5088097,'1988-09-24 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215475431256823482114133245096',14507,'1048',49.23,1,3,NULL),(20,5088119,'1991-05-20 00:00:00',4,1,12,2008,'F','N','CENTRO','CURITIBA','PR','616124121217471431238815581124610166187',NULL,'9998',57.68,1,3,NULL),(20,5088127,'1992-09-18 00:00:00',2,1,11,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124244241112271431333514292122610117053',13653,'733',49.06,1,3,NULL),(20,5088135,'1988-08-14 00:00:00',2,1,12,2006,'F','N','JADIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241237574441334979572124610128012',11186,'1134',53.62,4,3,NULL),(20,5088143,'1991-10-24 00:00:00',5,1,12,2009,'F','N','SANTA FELICIA','S CARLOS','SP','125252251417111431358911572122610162182',NULL,'9998',28.57,1,3,NULL),(20,5088160,'1991-10-10 00:00:00',4,6,11,2009,'M','N','VILA OPERARIA','ITAJAÍ','SC','124242244215111331555722375122112814147',NULL,'9997',19.95,1,3,NULL),(20,5088178,'1992-07-05 00:00:00',2,1,12,2009,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241116141431326629395124610128112',NULL,'288',26.75,3,2,1),(20,5088186,'1985-04-28 00:00:00',2,1,12,2002,'M','N','JARDIM MARISTELA','ATIBAIA','SP','125252251416371431658712415132610147112',NULL,'9998',0.00,1,3,NULL),(20,5088194,'1980-03-04 00:00:00',4,4,12,1997,'M','N','CENTRO','IVATÉ','PR','116161161147331431534431183324340666042',5805,'9998',64.92,1,2,1),(20,5088208,'1986-03-13 00:00:00',2,1,12,2003,'F','N','MENINO DEUS','PTO ALEGRE','RS','120203201216571731436823575114143215177',NULL,'9998',28.63,1,3,NULL),(20,5088216,'1990-07-19 00:00:00',4,1,12,2007,'F','N','JD EUROPA','SOROCABA','SP','125252251225471431358911575112141526147',NULL,'9998',0.00,1,3,NULL),(20,5088224,'1993-11-02 00:00:00',2,15,12,2010,'F','S','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124242241215111431569311575122610127042',NULL,'32',23.20,1,3,NULL),(20,5088240,'1989-02-01 00:00:00',4,8,12,2006,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251216471431469614375124610137107',NULL,'9998',0.00,1,3,NULL),(20,5088259,'1992-02-14 00:00:00',2,1,12,2008,'M','N','VERANOPOLIS','CACHOEIRINHA','RS','120201201217571431646614473122610167054',NULL,'9998',0.00,1,3,NULL),(20,5088267,'1992-03-19 00:00:00',4,4,12,2009,'M','N','CENTRO','QUILOMBO','SC','124243246427161431448613285124610152172',6388,'647',62.10,1,3,NULL),(20,5088275,'1991-04-03 00:00:00',2,5,12,2008,'M','N','PRIMEIRA LINHA','CRICIÚMA','SC','124242241215472231368732242122610144062',NULL,'226',22.35,1,3,NULL),(20,5088283,'1990-11-13 00:00:00',4,1,12,2008,'M','N','PLANO DIRETOR SUL','PALMAS','TO','127092091216371431238851575121141427013',NULL,'9998',0.00,1,3,NULL),(20,5088291,'1988-04-15 00:00:00',4,1,12,2005,'M','N','PRAIA DO CANTO','VITÓRIA','ES','108072081217271431479814495122343227042',8641,'9998',57.85,1,3,NULL),(20,5088305,'1992-01-10 00:00:00',4,1,12,2009,'M','N','NOVA OURINHOS','OURINHOS','SP','125252251217171431448814575122610167082',NULL,'9998',32.27,1,3,NULL),(20,5088313,'1988-12-15 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116575431435511395224610124157',9968,'307',55.61,1,2,1),(20,5088321,'1992-11-07 00:00:00',2,4,12,2009,'F','N','CENTRO','RIQUEZA','SC','124241241216422431626921585224610134057',NULL,'185',35.18,1,3,NULL),(20,5088330,'1990-03-20 00:00:00',4,8,12,2007,'F','N','JARDIM COLISEU','LONDRINA','PR','116162161217271431347832575112610136191',7379,'9998',60.05,1,3,NULL),(20,5088348,'1991-03-04 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215472731368934575122610127041',3858,'87',70.19,1,3,NULL),(20,5088356,'1992-01-13 00:00:00',2,3,12,2009,'F','N','PORTO DOS PADRES','PARANAGUÁ','PR','116164161216371731464923595122610148197',NULL,'9998',0.00,1,3,NULL),(20,5088364,'1991-03-02 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241216111712636916492124610123187',14277,'720',49.78,1,3,NULL),(20,5088380,'1989-05-30 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216274411336732572224121467141',1082,'462',80.84,1,3,NULL),(20,5088399,'1992-10-24 00:00:00',2,1,12,2009,'F','N','BELA VISTA III','S JOSÉ','SC','124243241311161731216629292224610122197',NULL,'257',22.96,1,3,NULL),(20,5088410,'1992-02-14 00:00:00',4,6,12,2009,'F','N','SÃO JOÃO','ITAJAÍ','SC','124243241215111711328814446224610163187',NULL,'392',43.56,1,3,NULL),(20,5088429,'1989-11-01 00:00:00',4,2,11,2007,'F','N','VILA ANDRADE','S PAULO','SP','125252251211271731567831575122142162092',737,'9998',82.97,1,3,NULL),(20,5088437,'1989-12-21 00:00:00',2,1,12,2007,'F','N','VILA TESOURO','S JOSÉ CAMPOS','SP','125251251117571131526611575122610163187',NULL,'9998',51.33,1,2,1),(20,5088445,'1993-04-29 00:00:00',4,1,12,2010,'F','S','FERRAZ','GAROPABA','SC','124241241216111711558818572124610123077',NULL,'270',48.18,1,3,NULL),(20,5088453,'1990-05-02 00:00:00',4,1,11,2009,'F','N','SAGRADA FAMILIA','BELO HORIZONTE','MG','113132131217111731378812575122610164046',2776,'9998',74.19,3,3,NULL),(20,5088461,'1991-04-10 00:00:00',4,1,11,2008,'F','N','COROA DO MEIO','ARACAJU','SE','126262261217472221356823575224610163112',3356,'9998',71.44,4,3,NULL),(20,5088488,'1989-10-19 00:00:00',4,1,12,2006,'F','N','BARRA DO TROMBUDO','RIO SUL','SC','124242241217131211338813335124133235092',12976,'663',52.42,1,3,NULL),(20,5088496,'1992-09-10 00:00:00',2,1,11,2009,'M','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124243241115131431435823131221610127057',NULL,'772',28.84,1,3,NULL),(20,5088500,'1990-02-05 00:00:00',4,1,12,2008,'M','N','TAPERA','FLORIANÓPOLIS','SC','124201247127131431123749345134610134057',NULL,'9999',19.58,1,2,1),(20,5088526,'1988-11-18 00:00:00',2,1,11,2006,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215574741547711575125222422087',687,'486',83.29,1,3,NULL),(20,5088550,'1991-05-09 00:00:00',4,16,12,2008,'M','N','REUNIDAS','CAÇADOR','SC','124242241215472431436312572114610164193',NULL,'1124',0.00,1,3,NULL),(20,5088569,'1992-01-20 00:00:00',4,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215121431466832425122610124072',9777,'737',55.77,1,3,NULL),(20,5088577,'1990-10-15 00:00:00',4,1,11,2008,'M','N','CENTRO','ARARAQUARA','SP','125252251216472411578714574112610137052',NULL,'9998',0.00,1,3,NULL),(20,5088585,'1990-11-13 00:00:00',4,1,11,2008,'F','N','ALPHAVILLE','CAMPINAS','SP','125252251215471751448812571122610167047',1523,'9998',78.21,1,3,NULL),(20,5088593,'1991-05-14 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241117472451524414342334610136037',NULL,'727',34.27,1,2,1),(20,5088607,'1991-01-13 00:00:00',4,1,12,2008,'F','N','PORTÃO','CURITIBA','PR','116162161217471431349714572114610163077',3694,'9998',71.64,1,3,NULL),(20,5088615,'1991-12-11 00:00:00',4,10,11,2009,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215121752458939575122610131183',3539,'807',71.01,1,3,NULL),(20,5088640,'1992-06-01 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215112411235923575124610124147',10852,'1022',55.26,1,3,NULL),(20,5088666,'1993-01-07 00:00:00',2,1,12,2009,'F','N','CENTRO','VIDAL RAMOS','SC','124241241116271431426711572125610148142',NULL,'828',0.00,1,2,1),(20,5088704,'1991-12-31 00:00:00',1,8,12,2009,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216121431489514375114610167052',1896,'486',76.06,1,3,NULL),(20,5088712,'1991-09-08 00:00:00',2,9,11,2008,'M','N','POPULAR','LAGES','SC','124241241117473411449513475124610136177',3613,'512',70.06,1,2,1),(20,5088720,'1990-11-21 00:00:00',4,8,12,2008,'M','N','GONZAGA','SANTOS','SP','125253251215471441558813575114610132097',3450,'9998',70.68,4,3,NULL),(20,5088739,'1992-01-04 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241415111431433923475124610123191',14616,'1022',46.34,1,3,NULL),(20,5088747,'1990-06-08 00:00:00',4,1,12,2007,'M','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251216571431547812575122610137042',NULL,'9998',0.00,1,3,NULL),(20,5088755,'1992-11-01 00:00:00',2,1,12,2009,'M','N','CENTRO','ANGELINA','SC','124241241115161521556612145121610167052',NULL,'17',24.43,3,2,1),(20,5088763,'1991-02-06 00:00:00',4,1,12,2008,'M','N','JARDIM SANTO ANTONIO','STA RITA SAPUCAÍ','MG','113132131215471731369813575122610124052',1701,'9998',76.86,1,3,NULL),(20,5088771,'1992-03-07 00:00:00',2,1,12,2009,'F','N','BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC','124241241215111431337811375124610164052',NULL,'300',32.08,1,3,NULL),(20,5088780,'1990-01-27 00:00:00',2,15,12,2007,'F','N','SÃO FELIPE','TURVO','SC','124241241116133421633316272122231437142',14885,'814',47.16,1,2,1),(20,5088798,'1992-09-01 00:00:00',4,3,12,2009,'M','N','SANTA EFIGÊNIA','BELO HORIZONTE','MG','113122131217111431489614575122610134116',4494,'9998',68.06,1,3,NULL),(20,5088801,'1990-02-22 00:00:00',4,1,12,2007,'F','N','VILA ASSIS','SOROCABA','SP','125252281216371431337812441122140214182',NULL,'9998',24.89,1,3,NULL),(20,5088810,'1985-01-18 00:00:00',4,1,3,2003,'M','N','BARREIROS','S JOSÉ','SC','124242241115475731368819345122533237043',8689,'306',60.55,1,3,NULL),(20,5088836,'1991-03-24 00:00:00',2,1,12,2008,'F','N','CRISTAL','PTO ALEGRE','RS','120203201137131721546623592214610165147',NULL,'9998',0.00,4,3,NULL),(20,5088844,'1992-11-07 00:00:00',2,4,12,2009,'F','N','CENTRO','RIQUEZA','SC','124241241216422431626921575224610134057',13697,'185',50.95,1,3,NULL),(20,5088852,'1992-03-01 00:00:00',4,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124242241212272431336614383214130751077',NULL,'868',27.59,1,3,NULL),(20,5088860,'1988-04-25 00:00:00',2,1,12,2005,'F','N','AREIAS','S JOSÉ','SC','124241241146374431123344345134610115042',NULL,'322',29.38,1,2,1),(20,5088879,'1991-06-26 00:00:00',4,8,12,2008,'M','N','CENTRO','BELA V PARAÍSO','PR','116162161216472431468731572112610135097',2026,'9998',75.93,3,3,NULL),(20,5088887,'1991-08-28 00:00:00',2,1,12,2008,'F','N','BELA VISTA','RIO NEGRINHO','SC','124241241116131711421329295124610167057',NULL,'669',0.00,1,2,1),(20,5088895,'1992-04-27 00:00:00',2,1,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161216471731449932575124610164147',3024,'9998',73.44,1,3,NULL),(20,5088909,'1992-02-15 00:00:00',4,8,11,2009,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215152411459913577114610163022',9521,'486',55.74,1,3,NULL),(20,5088925,'1991-01-18 00:00:00',4,15,12,2008,'F','N','CENTRO','LONDRINA','PR','116162161216471731489931571122610167042',10224,'9998',54.74,1,3,NULL),(20,5088933,'1991-11-17 00:00:00',4,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111431458511175122610142093',10230,'272',55.09,1,3,NULL),(20,5088950,'1992-09-21 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241116112431438623575124610127012',16269,'271',41.43,1,3,NULL),(20,5088976,'1991-10-27 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215112431469833472114123224042',10021,'1169',58.10,1,3,NULL),(20,5088992,'1994-06-21 00:00:00',2,1,12,2010,'F','S','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241216111531359934572122610137147',NULL,'1014',39.50,1,3,NULL),(20,5089000,'1992-05-08 00:00:00',2,9,12,2009,'M','N','CENTRO','VACARIA','RS','120202201115271431469933572122610134057',NULL,'9998',0.00,1,3,NULL),(20,5089018,'1992-06-10 00:00:00',4,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124241246117161411533312485121610117082',NULL,'9997',22.74,1,2,1),(20,5089026,'1991-05-31 00:00:00',4,6,12,2008,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241145271431433839575122610135017',12281,'430',50.64,1,2,1),(20,5089042,'1986-02-26 00:00:00',4,1,11,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242247211272431236669475124140222122',NULL,'1003',38.43,1,3,NULL),(20,5089050,'1992-09-24 00:00:00',2,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241212111411476614572114610164072',12655,'272',49.07,1,3,NULL),(20,5089069,'1991-03-29 00:00:00',4,1,12,2008,'M','N','CENTRO','S JOSÉ','SC','124242241215473411269923575114610167145',5984,'1169',63.91,1,3,NULL),(20,5089077,'1992-05-27 00:00:00',4,9,11,2009,'M','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124244248215131431538723372325610137017',15423,'497',44.67,2,1,2),(20,5089085,'1993-02-26 00:00:00',4,1,12,2010,'M','S','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111431489911595122610127045',NULL,'262',53.10,1,3,NULL),(20,5089107,'1992-03-08 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116141332424514342124610127077',NULL,'922',25.84,1,3,NULL),(20,5089115,'1991-04-05 00:00:00',4,8,12,2008,'M','N','SÃO GERALDO','ARARAQUARA','SP','125252111216471431378931595121610167057',6910,'9998',62.79,1,3,NULL),(20,5089123,'1989-05-20 00:00:00',4,1,11,2006,'M','N','CENTRO','CURITIBA','PR','116162161215472731358834345124140464187',6673,'9998',61.15,1,3,NULL),(20,5089166,'1989-10-20 00:00:00',4,4,12,2006,'M','N','CENTRO','TANGARÁ','SC','124242241217153411449732141121133264186',12960,'272',48.10,1,3,NULL),(20,5089190,'1991-05-19 00:00:00',4,1,11,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111421478931572112610127047',1214,'270',80.16,1,3,NULL),(20,5089204,'1992-10-15 00:00:00',4,8,12,2009,'F','N','PARQUE GUARANI','JOINVILLE','SC','124241241215111431246634575122610124017',NULL,'456',30.02,4,3,NULL),(20,5089212,'1990-12-13 00:00:00',4,1,11,2008,'M','N','SANTA ROSALIA','SOROCABA','SP','125252251217471431688714375112610137042',10407,'9998',53.72,1,3,NULL),(20,5089220,'1992-04-09 00:00:00',4,1,12,2009,'M','N','PARQUE ORTOLANDIA','HORTOLÂNDIA','SP','125072251217161431578814475122610144142',8779,'9998',57.19,1,3,NULL),(20,5089239,'1992-04-16 00:00:00',4,3,12,2009,'F','N','JARDIM POLONÊS','CPO GRANDE','MS','212122121215121731248923175122610132182',10932,'9998',56.43,1,3,NULL),(20,5089255,'1993-05-25 00:00:00',4,1,9,2010,'F','S','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217121431489933575114610164017',NULL,'1169',49.93,1,3,NULL),(20,5089263,'1989-05-26 00:00:00',4,1,12,2008,'M','N','ZONA DOIS','MARINGÁ','PR','116162161215472731568716542113610167114',1724,'9997',77.95,1,3,NULL),(20,5089271,'1992-11-25 00:00:00',2,1,11,2009,'F','N','TERRAS DO PIRACICABA','PIRACICABA','SP','125252251217111411579631575122610146097',NULL,'9998',29.88,1,3,NULL),(20,5089280,'1991-11-11 00:00:00',2,4,12,2008,'M','N','CENTRO','S LOURENÇO OESTE','SC','124242241216272751568614345112610117042',NULL,'743',0.00,1,3,NULL),(20,5089298,'1990-11-13 00:00:00',4,1,7,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115131431645631572124610138097',8753,'306',60.43,1,2,1),(20,5089310,'1991-09-03 00:00:00',4,1,12,2009,'M','N','ALTO DA GLORIA','MAMBORÊ','PR','116164161437111231458813271124610114017',NULL,'9998',46.04,1,3,NULL),(20,5089328,'1990-02-14 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242161216272431238924441114130261112',12756,'9998',52.82,1,3,NULL),(20,5089344,'1991-03-16 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241211472451334631572124610167062',7708,'270',61.72,1,3,NULL),(20,5089360,'1991-12-26 00:00:00',4,1,12,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241248111472541549424345114610167042',14782,'292',46.41,1,2,1),(20,5089387,'1992-10-01 00:00:00',5,7,12,2009,'F','N','COLINS DAS FLORES','CAMPOS NOVOS','SC','124244241315131432326624245125610121082',NULL,'140',23.26,1,3,NULL),(20,5089409,'1991-10-06 00:00:00',4,8,12,2008,'F','N','ESPINHEIROS','JOINVILLE','SC','124163248215371441433732394222610131015',8837,'1016',58.53,1,3,NULL),(20,5089425,'1993-06-08 00:00:00',4,3,11,2010,'F','S','CENTRO','BAL CAMBORIÚ','SC','124242241215111731488812572122610122012',NULL,'9997',29.21,1,3,NULL),(20,5089450,'1991-12-17 00:00:00',2,5,11,2009,'F','N','MICHEL','CRICIÚMA','SC','124242244215111432466631475122610163017',NULL,'210',28.61,1,3,NULL),(20,5089468,'1979-02-18 00:00:00',2,1,11,1998,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241247336141721226344442334610134047',NULL,'270',41.83,2,1,2),(20,5089484,'1992-05-19 00:00:00',4,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','116162161217151441458933572112610166172',13427,'9998',48.35,1,3,NULL),(20,5089492,'1992-08-04 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241315121431537614342124610133142',NULL,'1022',23.90,1,3,NULL),(20,5089506,'1989-05-04 00:00:00',4,1,12,2006,'F','N','JD ROSA DE FRANCA','GUARULHOS','SP','125252251116271411448623495124141021077',NULL,'9998',26.30,1,3,NULL),(20,5089514,'1992-09-20 00:00:00',4,2,12,2009,'F','N','POMERODE FUNDOS','POMERODE','SC','124243241214112451333639575125610127152',NULL,'925',0.00,1,3,NULL),(20,5089522,'1992-06-04 00:00:00',4,8,11,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241215121431466532294121610127052',4411,'1016',69.75,1,3,NULL),(20,5089530,'1990-06-15 00:00:00',4,1,11,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124092241216112431478811575114610167015',7691,'270',60.46,1,3,NULL),(20,5089549,'1991-08-05 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373131458813575124121767045',5538,'226',66.05,1,3,NULL),(20,5089557,'1992-08-21 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117151421235572245124610164047',NULL,'257',23.34,1,2,1),(20,5089565,'1990-09-27 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124202201217472451467614575124610132077',4757,'9998',67.77,1,3,NULL),(20,5089573,'1989-11-12 00:00:00',4,1,12,2006,'M','N','SÃO JOSÉ','FRAIBURGO','SC','124244241215574731457924382224231364172',4761,'885',68.96,1,3,NULL),(20,5089590,'1992-09-07 00:00:00',4,1,11,2009,'F','N','AREIAS','S JOSÉ','SC','124242241215131731426313495122610118077',NULL,'9997',26.27,1,3,NULL),(20,5089620,'1987-08-20 00:00:00',4,15,12,2004,'M','N','OPERÁRIA','ARARANGUÁ','SC','124241248116112431533319345123610164041',NULL,'29',26.49,1,2,1),(20,5089638,'1992-06-26 00:00:00',3,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124284241235111431637811575124610126112',NULL,'272',38.26,1,3,NULL),(20,5089654,'1993-09-11 00:00:00',4,9,11,2010,'M','S','CENTRO','LAGES','SC','124242241215151431278812275111610167185',NULL,'499',48.56,1,3,NULL),(20,5089662,'1989-08-29 00:00:00',4,1,12,2006,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124243241127374441457613445124610154042',10980,'291',56.32,1,3,NULL),(20,5089689,'1991-06-26 00:00:00',4,3,11,2008,'F','N','ASTÚRIAS','GUARUJÁ','SP','125252251215471731338833572112610141096',3744,'9998',69.73,1,3,NULL),(20,5089700,'1991-08-27 00:00:00',4,8,12,2009,'M','N','CAMPO DA LANÇA','MAFRA','SC','124246241215121411335412526121610167142',8597,'541',58.67,1,3,NULL),(20,5089719,'1987-12-22 00:00:00',4,1,11,2005,'M','N','VILA PROGREDIOR','S PAULO','SP','125254251236571411558921371114610162057',510,'9998',84.50,4,3,NULL),(20,5089727,'1993-04-13 00:00:00',2,1,12,2010,'F','S','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241215111432226624572124610132112',NULL,'1022',43.55,1,3,NULL),(20,5089751,'1992-07-24 00:00:00',4,1,11,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124243241215112411458612575124610124145',2493,'270',73.61,1,3,NULL),(20,5089778,'1992-07-28 00:00:00',4,4,11,2008,'F','N','CENTRO','PASSO FUNDO','RS','120114111215271531448931574124610163042',7023,'9998',60.24,1,3,NULL),(20,5089794,'1985-06-16 00:00:00',4,1,3,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241248122131721523449392114610137072',NULL,'9997',21.60,4,3,NULL),(20,5089808,'1990-04-16 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242211212471711469723595124610164031',9057,'9998',59.85,1,3,NULL),(20,5089824,'1992-11-02 00:00:00',1,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111411369923475124610144042',NULL,'270',NULL,4,3,NULL),(20,5089832,'1991-10-19 00:00:00',2,2,12,2009,'M','N','JARDIM AMERICA','JAÚ','SP','125252251217161431439934575122610127142',NULL,'9998',22.11,1,3,NULL),(20,5089840,'1993-02-20 00:00:00',4,1,12,2010,'M','S','DANIELA','FLORIANÓPOLIS','SC','124242241217111431538619592124610167137',NULL,'1048',75.45,1,3,NULL),(20,5089859,'1992-08-31 00:00:00',2,3,11,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124241248132141431226312242122610134147',NULL,'405',0.00,1,3,NULL),(20,5089867,'1989-09-11 00:00:00',4,10,10,2008,'M','N','CENTRO','TUBARÃO','SC','124244241215372431367774574122610167086',NULL,'807',46.16,1,3,NULL),(20,5089883,'1993-11-22 00:00:00',4,2,12,2010,'M','S','VORSTADT','BLUMENAU','SC','124244241216111732549814595124610164187',NULL,'855',58.44,1,3,NULL),(20,5089891,'1970-04-29 00:00:00',2,1,12,1990,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224202201146141731346374145234140832187',NULL,'9998',4.66,1,3,NULL),(20,5089905,'1992-10-10 00:00:00',4,1,11,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','116162161216121431476611575122610127182',NULL,'9998',0.00,1,3,NULL),(20,5089913,'1991-03-23 00:00:00',4,3,12,2008,'F','N','VILA LARSEN','LONDRINA','PR','116162161211571431479932475115610167132',10412,'9998',54.06,1,3,NULL),(20,5089921,'1992-07-17 00:00:00',4,8,12,2009,'F','N','CENTRO','MAMBORÊ','PR','116162161216471451388921575122610138012',12660,'9998',49.22,1,3,NULL),(20,5089930,'1993-10-20 00:00:00',4,6,12,2010,'F','S','CENTRO','BAL CAMBORIÚ','SC','124242241215111731463712175122610132112',NULL,'9997',43.10,1,3,NULL),(20,5089948,'1990-11-01 00:00:00',4,1,11,2009,'M','N','COLMÉIA','JAGUARIÚNA','SP','125254252237161411687839575115610117032',16150,'9998',39.14,3,3,NULL),(20,5089964,'1992-06-24 00:00:00',4,1,11,2009,'M','N','CENTRO','CAMPOS NOVOS','SC','124242241215112731249933575122610117037',7586,'270',60.15,1,3,NULL),(20,5089972,'1990-11-27 00:00:00',4,17,12,2007,'F','N','VILA CLEMENTINA','MAFRA','SC','124241241217271731627714345122610162197',7748,'541',59.60,1,3,NULL),(20,5089980,'1989-01-20 00:00:00',4,1,12,2006,'F','N','AIMORES','BAURU','SP','125252251211571111439913191112610164012',4408,'9998',68.42,1,3,NULL),(20,5089999,'1993-04-28 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111441469933575122610126192',13156,'270',52.06,1,3,NULL),(20,5090008,'1992-07-15 00:00:00',4,1,12,2009,'M','N','JARDIM DAS ACÁCIAS','QUATRO BARRAS','PR','116162161216371751568833331212610117073',12752,'9998',50.35,1,3,NULL),(20,5090016,'1992-05-22 00:00:00',4,2,10,2009,'M','N','CENTRO','TIMBÓ','SC','124242241215111731388811575112613262012',NULL,'1157',20.69,1,3,NULL),(20,5090024,'1982-02-01 00:00:00',2,15,12,2000,'M','N','SAO LUIZ','SOMBRIO','SC','224241241127131731223344246341610167047',NULL,'769',22.60,4,2,1),(20,5090032,'1992-04-25 00:00:00',4,1,12,2009,'M','N','CENTRO','NOVA OLÍMPIA','PR','116163161135271431546936317212510167145',9638,'9998',55.16,4,3,NULL),(20,5090040,'1991-10-21 00:00:00',4,8,12,2008,'M','N','BATEL','CURITIBA','PR','116162161215471411468923575122610137046',2396,'9998',73.63,1,3,NULL),(20,5090059,'1991-02-28 00:00:00',2,8,12,2008,'F','N','CENTRO','RIO NEGRINHO','SC','124242241215372731427834445124610135077',14865,'666',48.26,1,3,NULL),(20,5090067,'1991-01-10 00:00:00',4,1,12,2008,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124202241216472431589914575122610124052',5194,'1133',66.99,1,3,NULL),(20,5090075,'1990-08-09 00:00:00',2,1,11,2007,'F','N','CENTRO','TAPEJARA','PR','116161161216572431578831574245610126092',5138,'9998',67.01,1,3,NULL),(20,5090083,'1991-05-15 00:00:00',2,1,11,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241216373431366973382114610114187',9310,'270',58.64,1,3,NULL),(20,5090091,'1992-01-25 00:00:00',4,17,12,2009,'F','N','CENTRO','CANOINHAS','SC','124243241215122431444619175122610123152',NULL,'154',26.21,1,3,NULL),(20,5090113,'1989-09-08 00:00:00',4,1,12,2006,'M','N','JD DAS PAINEIRAS','BRAGANÇA PAULISTA','SP','125252251212573411456832395122242424012',2498,'9998',73.77,1,3,NULL),(20,5090121,'1992-12-14 00:00:00',4,1,12,2009,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241211111751459833575124610124057',14419,'738',47.60,1,3,NULL),(20,5090156,'1984-06-16 00:00:00',4,3,12,2001,'F','N','ANDORINHA','ITAPEMA','SC','124164241215373431368713414124321524187',2670,'270',74.51,1,3,NULL),(20,5090164,'1992-03-09 00:00:00',4,1,12,2009,'M','N','JARDIM LARANJEIRAS','FLORIANÓPOLIS','SC','124241241135131232423534385124610134181',NULL,'592',27.41,1,2,1),(20,5090172,'1993-01-13 00:00:00',4,5,11,2009,'M','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241217121431459911492122610127122',14224,'226',49.89,1,3,NULL),(20,5090180,'1986-12-30 00:00:00',4,8,12,2003,'M','N','AQUILA','PINHAIS','PR','116163161112371711428613311122143264062',581,'9998',83.94,4,3,NULL),(20,5090199,'1991-05-17 00:00:00',4,8,11,2008,'F','N','AGUA VERDE','CURITIBA','PR','116161161141131451537735172224610126092',NULL,'9998',0.00,1,2,1),(20,5090202,'1991-08-30 00:00:00',2,4,11,2008,'F','N','LIDER','CHAPECÓ','SC','124242241216472431435614275124610136092',NULL,'1021',36.84,1,3,NULL),(20,5090210,'1989-07-23 00:00:00',2,1,10,2007,'F','N','AREIAS','S JOSÉ','SC','124244247117311421636674582324610147057',NULL,'9999',39.85,4,3,NULL),(20,5090229,'1992-08-20 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216111431347823575124610127057',10891,'272',54.16,1,3,NULL),(20,5090245,'1991-06-20 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124022021216472431369933575124610142122',4349,'9998',68.66,1,3,NULL),(20,5090261,'1991-10-02 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORES CUNHA','RS','120201201215471431569832574124610163077',5406,'9998',65.02,1,3,NULL),(20,5090270,'1991-09-21 00:00:00',2,1,11,2009,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124244241215111441336723572124610134112',NULL,'1022',33.06,1,3,NULL),(20,5090296,'1992-04-29 00:00:00',2,15,12,2009,'M','N','JARDIM ULTRAMAR','BAL GAIVOTA','SC','124241241114161731335633575121610163117',NULL,'1162',25.99,1,2,1),(20,5090300,'1992-06-12 00:00:00',4,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111451335532392122610164092',10914,'723',53.25,1,3,NULL),(20,5090318,'1990-09-02 00:00:00',2,1,12,2007,'M','N','ARIRIU','PALHOÇA','SC','124241241211273431535511312123610168032',9473,'1075',56.20,1,3,NULL),(20,5090326,'1991-05-16 00:00:00',4,1,10,2008,'M','N','JARDIM CHAPADÃO','CAMPINAS','SP','125254251217271431548833275121610132037',NULL,'9998',0.00,1,3,NULL),(20,5090334,'1990-01-23 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECÓ','SC','124241241216572431336923335122610164172',NULL,'185',33.04,1,3,NULL),(20,5090342,'1992-11-09 00:00:00',4,8,12,2009,'M','N','CABRAL','CURITIBA','PR','116162161216421431488813232122610137112',8086,'9998',58.26,1,3,NULL),(20,5090350,'1988-11-22 00:00:00',2,1,12,2007,'M','N','SETOR DOS AFONSOS','APARECIDA GOIÂNIA','GO','109093091415475431237721575124610117092',NULL,'9998',0.00,1,3,NULL),(20,5090369,'1993-04-28 00:00:00',4,9,12,2010,'M','S','BRUSQUE','LAGES','SC','124243241217121431438611412122610127187',NULL,'515',48.88,1,3,NULL),(20,5090377,'1991-10-18 00:00:00',4,1,12,2008,'M','N','HIGIENÓPOLIS','BAURU','SP','125252251215471531358712575122610164092',14576,'9998',44.76,1,3,NULL),(20,5090385,'1992-08-12 00:00:00',4,1,12,2009,'F','N','CENTRO','ÁGUAS MORNAS','SC','124242248217152741546829175114610136165',4209,'1075',68.10,1,3,NULL),(20,5090393,'1990-04-23 00:00:00',4,1,12,2006,'F','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124242241217373711438619344124610124172',12857,'1022',52.62,1,3,NULL),(20,5090407,'1992-02-01 00:00:00',4,2,12,2009,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241217111721489919475112611063142',NULL,'855',0.00,1,3,NULL),(20,5090415,'1988-07-04 00:00:00',4,1,12,2005,'M','N','SÃO DIMAS','PIRACICABA','SP','125252251217571221588812595112610162012',6966,'9998',62.05,1,3,NULL),(20,5090423,'1990-01-30 00:00:00',2,1,12,2008,'F','N','CENTRO NORTE','DOIS VIZINHOS','PR','116161165116472731553912322112230462142',14740,'9998',48.62,1,2,1),(20,5090431,'1985-10-11 00:00:00',2,15,12,2003,'M','N','CENTRO','ARARANGUÁ','SC','124242248412152421626939442122133267042',NULL,'29',8.38,1,3,NULL),(20,5090440,'1990-04-04 00:00:00',2,4,12,2008,'M','N','CENTRO','STA MARIA','RS','120203207117471231338933572124610137047',NULL,'9998',24.88,1,3,NULL),(20,5090458,'1992-05-16 00:00:00',4,5,11,2009,'F','N','UNIVERSITÁRIO','CRICIÚMA','SC','124242241215111411469913272122610144192',3457,'226',71.61,1,3,NULL),(20,5090466,'1992-09-08 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731478612575114610163142',3686,'270',70.18,1,3,NULL),(20,5090474,'1993-03-29 00:00:00',4,5,11,2009,'M','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124244247215122431468614575122610132185',9809,'210',55.51,1,3,NULL),(20,5090482,'1992-08-24 00:00:00',2,4,12,2009,'F','N','PERPETUO SOCORRO','S LOURENÇO OESTE','SC','124241241114131431324923575122610136142',NULL,'744',22.79,1,2,1),(20,5090490,'1990-12-20 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116191191117471331366923575125610122097',NULL,'9998',0.00,1,3,NULL),(20,5090504,'1990-05-15 00:00:00',2,1,12,2008,'M','N','JARDIM IPANEMA','UMUARAMA','PR','116164161417471431558613432124610137052',NULL,'9998',21.03,4,3,NULL),(20,5090520,'1989-11-02 00:00:00',4,1,12,2008,'M','N','CENTRO','UNAÍ','MG','113132241416371431358811275124140232044',NULL,'9999',0.00,1,3,NULL),(20,5090539,'1991-06-13 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124164241215372431339714342124610125147',NULL,'1075',47.43,1,3,NULL),(20,5090547,'1990-06-24 00:00:00',4,8,12,2007,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215472411328614272124121366052',1366,'1016',79.44,1,3,NULL),(20,5090555,'1992-01-27 00:00:00',4,1,12,2009,'M','N','CENTRO','JACAREÍ','SP','125252251215111751246639575115610167182',NULL,'9998',0.00,1,3,NULL),(20,5090563,'1991-10-11 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124242241217372431326624572124610167057',2222,'737',75.31,1,3,NULL),(20,5090571,'1991-05-13 00:00:00',2,3,11,2009,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116162161215471411358834575112610146046',7967,'9998',58.92,1,3,NULL),(20,5090580,'1992-12-09 00:00:00',4,1,12,2010,'M','S','KOBRASOL','S JOSÉ','SC','124242241212111732538712372122610112067',NULL,'723',58.22,1,3,NULL),(20,5090598,'1992-08-25 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215112431447513575122610127092',NULL,'1022',21.52,1,3,NULL),(20,5090636,'1992-11-03 00:00:00',4,1,11,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161217111431588832575124610122013',8949,'9998',57.30,1,3,NULL),(20,5090644,'1991-12-19 00:00:00',2,1,12,2008,'M','N','CENTRO','IMBITUBA','SC','124241241215472432348932572312610167117',7895,'807',59.77,1,3,NULL),(20,5090652,'1993-01-12 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241216111431259934575125610112142',14261,'9997',49.81,1,3,NULL),(20,5090660,'1992-11-04 00:00:00',4,4,12,2009,'F','N','JARDIM AMÉRICA','CHAPECÓ','SC','124241241111231411443319245124610116057',NULL,'174',22.99,1,2,1),(20,5090687,'1992-05-09 00:00:00',2,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116163161215121411448833494124610135147',2910,'9998',72.55,1,3,NULL),(20,5090717,'1988-10-21 00:00:00',4,2,12,2005,'M','N','VELHA','BLUMENAU','SC','124242241215472731478812372122130767172',5052,'88',66.07,3,3,NULL),(20,5090733,'1990-07-02 00:00:00',4,2,12,2007,'M','N','VELHA','BLUMENAU','SC','124242241215471731478812572122610167097',3370,'88',71.11,3,3,NULL),(20,5090750,'1988-08-02 00:00:00',2,8,11,2005,'F','N','CHACARA BELENZINHO','S PAULO','SP','125212161216572431379914585124610163097',3741,'9998',69.03,1,3,NULL),(20,5090776,'1991-04-25 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217272431458839396114610161142',6513,'270',64.14,1,3,NULL),(20,5090792,'1991-11-11 00:00:00',2,1,12,2009,'F','N','ENSEADA DO BRITO','PALHOÇA','SC','124242241215111431656513572114610113112',NULL,'1022',29.99,1,3,NULL),(20,5090806,'1989-06-16 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','125052051237573711576619575122610167117',16,'9998',95.14,1,3,NULL),(20,5090814,'1991-06-20 00:00:00',4,1,12,2008,'F','N','MARIA LUIZA','CASCAVEL','PR','116162161217472431556934572122610166097',2650,'9998',72.39,1,3,NULL),(20,5090822,'1992-03-16 00:00:00',4,4,12,2009,'F','N','CENTRO','S CARLOS','SC','124241241117141431448833245125610164142',NULL,'704',26.05,1,2,1),(20,5090830,'1991-09-10 00:00:00',4,1,12,2009,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241115141721534413442124610125052',NULL,'307',0.00,1,2,1),(20,5090865,'1989-02-09 00:00:00',4,8,12,2006,'M','N','GUANABARA','JOINVILLE','SC','124244247215372411546814485114610117067',NULL,'9999',0.00,1,3,NULL),(20,5090881,'1991-04-20 00:00:00',4,7,12,2008,'F','N','JARDIM DAS HORTENCIA','FRAIBURGO','SC','124242161216472451469911571122610162017',NULL,'9998',27.08,1,3,NULL),(20,5090890,'1986-03-06 00:00:00',4,1,12,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217372531368929572122122364172',52,'270',91.47,1,3,NULL),(20,5090903,'1992-02-03 00:00:00',4,1,12,2009,'M','N','DOM JOAQUIM','BRUSQUE','SC','124241246217111431434832425122233217042',NULL,'1090',24.17,1,3,NULL),(20,5090911,'1992-07-21 00:00:00',2,4,10,2008,'M','N','CENTRO','ERECHIM','RS','120202201216471431436624575122610142187',4608,'9998',69.28,1,3,NULL),(20,5090920,'1990-04-11 00:00:00',4,1,12,2007,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251216571431366914275122610133187',2690,'9998',72.31,1,3,NULL),(20,5090938,'1988-12-09 00:00:00',4,4,12,2006,'F','N','CENTRO','XANXERÊ','SC','124242241237472451336812272122131568187',13762,'836',47.97,1,3,NULL),(20,5090946,'1991-03-24 00:00:00',4,1,11,2008,'F','N','AEROPORTO','TUBARÃO','SC','124242241215471231479934475112610116092',NULL,'807',38.96,1,3,NULL),(20,5090954,'1989-05-22 00:00:00',2,8,12,2006,'F','N','CENTRO','PALMEIRA','PR','116162161216572411466932571112610164017',1987,'9998',76.97,1,3,NULL),(20,5090962,'1986-04-17 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217574411489813475112120768172',2374,'260',74.43,1,3,NULL),(20,5090989,'1991-12-11 00:00:00',2,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215132411569812571114610166012',6217,'270',63.27,1,3,NULL),(20,5091004,'1990-04-07 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241116472431238923572124610163192',NULL,'307',27.70,1,3,NULL),(20,5091012,'1991-12-16 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124241248215111431344314491122610132142',14394,'1118',47.03,1,3,NULL),(20,5091020,'1991-04-29 00:00:00',4,1,12,2008,'F','N','SANTANA','S JOSÉ CAMPOS','SP','125251251435471731356314571124610164127',8186,'9998',59.05,1,3,NULL),(20,5091039,'1985-08-02 00:00:00',2,3,12,2002,'F','N','REBOUÇAS','CURITIBA','PR','125253161116473751566816584125341326142',5395,'9998',65.48,1,3,NULL),(20,5091047,'1991-05-07 00:00:00',4,3,12,2008,'F','N','JARDIM AMÉRICA','INDAIATUBA','SP','125252251215471432449612375122610143077',NULL,'9998',34.91,1,3,NULL),(20,5091055,'1990-10-11 00:00:00',4,1,8,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241247315471431526651575124610124147',NULL,'269',19.98,1,3,NULL),(20,5091071,'1992-11-13 00:00:00',2,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431333312575124610167042',10786,'272',56.70,1,3,NULL),(20,5091080,'1988-02-22 00:00:00',2,1,9,2007,'M','N','CENTRO','PIRACICABA','SP','125251251126131411446611211324610113167',6909,'9998',63.14,1,2,1),(20,5091098,'1990-08-06 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241315374431336627595124610164047',15134,'1022',47.47,1,3,NULL),(20,5091101,'1989-10-21 00:00:00',2,1,11,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215472731646673475124610162185',6962,'270',61.19,1,3,NULL),(20,5091110,'1992-05-26 00:00:00',2,1,10,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215113431447613275124610127077',11267,'1022',53.62,1,3,NULL),(20,5091128,'1992-12-16 00:00:00',2,4,12,2009,'M','N','ITAIBA','CONCÓRDIA','SC','124241246215111231356911475122610167012',NULL,'1001',29.55,1,3,NULL),(20,5091136,'1990-05-07 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241417574431468614572114610164012',15251,'1047',45.64,1,3,NULL),(20,5091144,'1992-03-24 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151431468912575112610124192',3654,'262',70.29,1,3,NULL),(20,5091152,'1992-11-04 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216153451449714572122610132145',NULL,'988',48.13,1,3,NULL),(20,5091160,'1992-06-02 00:00:00',2,1,12,2009,'F','N','ZONA SETE','MARINGÁ','PR','116163161116151411236921472121610124097',NULL,'9998',28.92,1,3,NULL),(20,5091179,'1990-11-05 00:00:00',4,1,12,2007,'M','N','VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC','124241241134131431333529382213610167047',14768,'772',48.55,1,2,1),(20,5091187,'1992-04-11 00:00:00',4,1,12,2009,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241235111431438814575124610161142',5380,'262',67.11,1,3,NULL),(20,5091195,'1992-04-14 00:00:00',2,4,12,2009,'F','N','CENTRO','VANINI','RS','120201201147161431423315372224610111147',14140,'9998',50.09,1,2,1),(20,5091209,'1990-08-09 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215472431366632395122610166043',13436,'737',51.52,3,3,NULL),(20,5091217,'1990-08-31 00:00:00',2,8,12,2007,'M','N','REBOUÇAS','CURITIBA','PR','116241161216371421443931575114141817041',2331,'9998',74.94,1,3,NULL),(20,5091225,'1992-10-08 00:00:00',4,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115261431643334245114610164042',NULL,'307',26.78,1,2,1),(20,5091233,'1992-05-27 00:00:00',4,1,12,2010,'F','S','DANIELA','FLORIANÓPOLIS','SC','624241248212111731423439491124612467062',NULL,'1022',18.04,1,3,NULL),(20,5091241,'1992-06-30 00:00:00',4,3,12,2009,'M','N','CENTRO','CEL VIVIDA','PR','116162161215111431568612572125610167042',NULL,'9998',0.00,1,3,NULL),(20,5091250,'1989-06-16 00:00:00',4,1,12,2006,'M','N','JARDIM FLÓRIDA','MOGI MIRIM','SP','125251252116132411544623582114610162097',10892,'9998',53.30,4,2,1),(20,5091276,'1992-11-08 00:00:00',4,5,11,2009,'F','N','QUARTA LINHA','CRICIÚMA','SC','124244241215112431448832574124610163017',NULL,'210',NULL,1,3,NULL),(20,5091284,'1992-11-29 00:00:00',4,7,11,2009,'F','N','CIDADE ALTA','VIDEIRA','SC','124241241117151441336629572122610168192',13237,'831',48.54,1,2,1),(20,5091292,'1991-04-02 00:00:00',2,3,11,2008,'M','N','GUAIANUBA','GRAVATAÍ','RS','120202201211371431448831591122610167187',3552,'9998',70.15,1,3,NULL),(20,5091306,'1990-12-05 00:00:00',2,1,12,2009,'M','N','BARÃO GERALDO','CAMPINAS','SP','125251251127141441479933325122610131047',NULL,'9998',22.04,1,2,1),(20,5091314,'1992-11-12 00:00:00',4,1,10,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217122431578619476124610127072',2073,'270',76.13,1,3,NULL),(20,5091322,'1991-05-31 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241132141431333519242122610124147',NULL,'734',0.00,1,2,1),(20,5091330,'1990-08-18 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472731388772275122610164192',12038,'807',54.32,1,3,NULL),(20,5091349,'1990-09-08 00:00:00',4,1,12,2007,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124241241315573431458813572124610147052',567,'812',84.03,1,3,NULL),(20,5091357,'1989-08-22 00:00:00',2,4,1,2007,'F','N','CENTRO','CONCÓRDIA','SC','124201201117131411124544442124610168057',NULL,'9998',0.00,1,3,NULL),(20,5091365,'1992-02-06 00:00:00',4,8,12,2008,'M','N','SAGUAÇU','JOINVILLE','SC','124242241235372231569613575124610167121',11159,'154',52.66,1,3,NULL),(20,5091373,'1992-11-10 00:00:00',2,1,12,2009,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241115151431546833572124610166142',NULL,'281',29.08,1,2,1),(20,5091381,'1990-03-03 00:00:00',4,1,12,2007,'M','N','REBOUÇAS','CURITIBA','PR','116162161235571432448811575115610127047',1108,'9998',80.45,3,3,NULL),(20,5091390,'1991-08-15 00:00:00',4,1,11,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111231379823572124610167012',5071,'262',68.13,1,3,NULL),(20,5091403,'1988-04-13 00:00:00',4,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241122211431526424242314610123142',NULL,'9997',0.00,1,3,NULL),(20,5091411,'1993-05-29 00:00:00',2,1,12,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242241235171721566613575122610164011',NULL,'737',27.42,1,3,NULL),(20,5091438,'1992-07-05 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215371231467812395112610162047',3837,'738',71.25,1,3,NULL),(20,5091446,'1992-11-05 00:00:00',4,3,12,2009,'F','N','JARDIM PANCERA','TOLEDO','PR','116164161215472431466839572112610144182',NULL,'9998',0.00,1,3,NULL),(20,5091454,'1991-06-07 00:00:00',2,1,12,2009,'M','N','REAL PARK','S JOSÉ','SC','124244241216111431347919595122610164042',NULL,'976',22.34,1,3,NULL),(20,5091470,'1990-09-16 00:00:00',4,1,12,2008,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215472531489813574122610136092',342,'270',86.09,1,3,NULL),(20,5091497,'1991-07-05 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241215142411458612241124610144042',NULL,'9997',0.00,1,3,NULL),(20,5091500,'1977-01-22 00:00:00',4,1,11,1995,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124204201442132731448814415112141462131',NULL,'9998',0.00,1,3,NULL),(20,5091519,'1993-02-26 00:00:00',4,9,12,2009,'M','N','SAO CRISTÓVÃO','LAGES','SC','124242241217112431459913575122610137012',10058,'497',55.28,1,3,NULL),(20,5091535,'1992-11-27 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241212111412456612572112610167042',NULL,'1118',28.42,1,3,NULL),(20,5091543,'1991-08-18 00:00:00',4,1,12,2008,'M','N','FAZENDA','ITAJAÍ','SC','124242241217474431369939275125610127091',2562,'389',74.04,1,3,NULL),(20,5091560,'1991-08-07 00:00:00',3,10,12,2009,'F','N','VIAL MOEMA','TUBARÃO','SC','124244241216111331437611595122610111182',NULL,'797',0.00,1,3,NULL),(20,5091578,'1989-10-04 00:00:00',2,9,11,2009,'M','N','BELA VISTA','S JOAQUIM','SC','124243242126131711527815345122610117042',NULL,'903',0.00,1,3,NULL),(20,5091586,'1990-08-28 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217573431467832492122610167012',140,'499',89.26,1,3,NULL),(20,5091594,'1991-09-17 00:00:00',4,8,12,2009,'M','N','SÃO MARCOS','JOINVILLE','SC','124243246217271411468933475122610122192',2885,'1105',71.25,1,3,NULL),(20,5091608,'1991-06-07 00:00:00',4,8,11,2008,'M','N','CENTRO','PAIÇANDU','PR','116162161217371231469911381122610164192',7282,'9998',63.27,1,3,NULL),(20,5091616,'1988-03-17 00:00:00',2,4,12,2008,'F','N','UNIVERSITÁRIO','CHAPECÓ','SC','124243247246472451438314275124610124197',NULL,'1126',44.62,1,3,NULL),(20,5091624,'1991-09-16 00:00:00',4,16,12,2009,'M','N','JARDIM DAS AMERICAS','CURITIBA','PR','116162161217111431336629572124610164097',9653,'9998',58.81,4,3,NULL),(20,5091632,'1991-04-29 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','121212211217371431228824445114610166192',2090,'9998',75.65,1,3,NULL),(20,5091659,'1991-07-19 00:00:00',4,1,12,2008,'F','N','SANTO ANTÔNIO','PTO ALEGRE','RS','120202201216471431438811475124610122093',NULL,'9998',29.04,1,3,NULL),(20,5091667,'1992-07-08 00:00:00',4,8,11,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216112751457819595122610123041',7395,'1063',63.04,1,3,NULL),(20,5091683,'1982-12-26 00:00:00',2,1,11,2001,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124051051112141411146644445122340214142',16191,'9998',42.63,2,1,1),(20,5091691,'1992-03-29 00:00:00',4,2,10,2009,'M','N','VORSTADT','BLUMENAU','SC','124242241215152231478833575111610164162',4273,'909',68.50,1,3,NULL),(20,5091705,'1986-07-06 00:00:00',4,1,12,2003,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','116242241215575431459933572124133114117',NULL,'270',0.00,1,3,NULL),(20,5091713,'1990-01-19 00:00:00',2,4,12,2007,'M','N','PLANALTO','PATO BRANCO','PR','116161161125572731538339375124610127052',15654,'9998',43.27,1,2,1),(20,5091721,'1991-01-26 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124204241217573451269933595124610126147',104,'270',89.99,1,3,NULL),(20,5091730,'1988-07-04 00:00:00',4,17,12,2005,'M','N','VILA NUNES','LORENA','SP','125254251217573431358712371112610166037',301,'9998',86.30,1,3,NULL),(20,5091748,'1992-07-08 00:00:00',4,1,11,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215113441369923395124610164047',6103,'270',64.51,1,3,NULL),(20,5091756,'1991-03-09 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241211372231436613372224610117045',7025,'269',63.77,1,3,NULL),(20,5091764,'1987-11-09 00:00:00',2,5,12,2004,'F','N','PARTENON','PTO ALEGRE','RS','120201201116571451445514575124610122097',5659,'9998',64.00,1,2,1),(20,5091772,'1990-02-10 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241115574731278923595124610124052',2598,'267',74.64,1,2,1),(20,5091799,'1991-12-16 00:00:00',2,8,12,2009,'M','N','CENTRO','JOINVILLE','SC','124241241317131411424711175121610166117',NULL,'1016',0.00,1,3,NULL),(20,5091802,'1990-02-13 00:00:00',4,1,12,2007,'M','N','CENTRO','STO ANDRÉ','SP','125112111216571441589914573122610166016',NULL,'9998',0.00,1,3,NULL),(20,5091810,'1992-10-03 00:00:00',2,15,11,2009,'F','N','CENTRO','SOMBRIO','SC','124242241215121431448914571124610166172',7585,'970',60.54,1,3,NULL),(20,5091829,'1991-09-13 00:00:00',2,1,11,2009,'M','N','JD APOLLO II','S JOSÉ CAMPOS','SP','125252251215111311347612276112610137042',2634,'9998',74.25,1,3,NULL),(20,5091837,'1992-03-03 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111452568614592112610143095',NULL,'262',36.22,3,3,NULL),(20,5091853,'1991-12-26 00:00:00',4,10,11,2008,'F','N','PARQUE SÃO SEBASTIÃO','PTO ALEGRE','RS','120244241217472411368713484124610137057',412,'806',85.27,1,3,NULL),(20,5091870,'1984-09-21 00:00:00',4,5,12,2001,'M','N','AMERICANO','LAJEADO','RS','120201201217371431469919391122140437045',7214,'9998',59.65,1,3,NULL),(20,5091896,'1992-08-12 00:00:00',4,8,11,2009,'M','N','CAMPUS DO CTA','S JOSÉ CAMPOS','SP','125251251215111431356612475125610147017',NULL,'9998',0.00,1,3,NULL),(20,5091900,'1992-03-01 00:00:00',4,1,11,2009,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124244241237112431429634575124610144142',5608,'270',65.72,1,3,NULL),(20,5091918,'1989-10-07 00:00:00',2,3,11,2006,'F','N','CANGO','FRANCISCO BELTRÃO','PR','116164161217573411448833572112610164147',7916,'9998',60.34,1,3,NULL),(20,5091926,'1992-03-08 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241215121431446659575122610127092',15403,'723',43.43,1,3,NULL),(20,5091934,'1988-09-27 00:00:00',4,1,12,2006,'F','N','SOUSAS','CAMPINAS','SP','125252251217511411466821571122141446092',NULL,'9998',NULL,1,3,NULL),(20,5091942,'1990-05-02 00:00:00',4,5,12,2007,'F','N','RIO MAINA','CRICIÚMA','SC','124242246214573431336919574124610125072',8774,'995',57.49,1,3,NULL),(20,5091950,'1991-03-30 00:00:00',2,1,12,2008,'M','N','CENTRO','RIO GRANDE','RS','120202201117471441348613275115610134142',4496,'9998',67.48,1,3,NULL),(20,5091969,'1993-02-03 00:00:00',4,4,12,2009,'M','N','PARQUE DE EXPOSIÇÕES','CONCÓRDIA','SC','124241248115151431447923476122610127182',12664,'196',51.70,1,2,1),(20,5091977,'1990-10-30 00:00:00',4,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161215571431479931575122610167072',NULL,'9998',0.00,1,3,NULL),(20,5091985,'1991-03-01 00:00:00',4,1,12,2008,'F','N','BELA VISTA','CAXIAS SUL','RS','120202201215571431467939575124610127097',7332,'9998',59.75,1,3,NULL),(20,5091993,'1991-06-06 00:00:00',4,1,12,2008,'M','N','BERLIM','JAGUARIÚNA','SP','125252251215471432358612325122610164122',NULL,'9998',0.00,1,3,NULL),(20,5092000,'1991-11-29 00:00:00',4,1,12,2009,'M','N','CENTRO','LAURENTINO','SC','124242241216111431527712325123610142052',NULL,'654',0.00,1,3,NULL),(20,5092019,'1990-12-14 00:00:00',2,8,12,2007,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161217211211345735572113610162172',NULL,'9998',0.00,3,3,NULL),(20,5092027,'1989-10-30 00:00:00',4,8,11,2007,'F','N','BATEL','CURITIBA','PR','116162161215573431366624575122610123181',NULL,'9998',0.00,1,3,NULL),(20,5092035,'1990-03-09 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372431436639395124610167043',NULL,'269',23.95,1,3,NULL),(20,5092051,'1992-09-13 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215153432667812395122610126192',1291,'262',79.79,1,3,NULL),(20,5092086,'1992-09-15 00:00:00',2,3,12,1992,'F','N','VILA NOVA','PTO BELO','SC','124241241216111431324911372121610112197',NULL,'1111',0.00,1,3,NULL),(20,5092094,'1989-03-05 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','125252251217573411458831575122610142147',980,'9998',81.44,4,3,NULL),(20,5092108,'1990-10-01 00:00:00',4,5,11,2007,'F','N','JARDIM AEROPORTO','S PAULO','SP','125242241215572431469714575114610121115',2182,'226',75.05,1,3,NULL),(20,5092116,'1991-12-04 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471411248833575112610122147',13000,'970',48.93,1,3,NULL),(20,5092124,'1991-05-31 00:00:00',4,1,11,2008,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215473431359923575124131144012',2905,'270',73.83,1,3,NULL),(20,5092167,'1992-05-21 00:00:00',4,4,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124241241115151431336724345122610127142',NULL,'192',24.11,1,2,1),(20,5092183,'1992-02-09 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431378821585125610124042',1518,'262',78.80,1,3,NULL),(20,5092191,'1992-06-19 00:00:00',2,1,12,2009,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241145141731356613245124610167185',NULL,'591',44.09,1,2,1),(20,5092205,'1992-07-02 00:00:00',2,9,11,2009,'F','N','BRUSQUE','LAGES','SC','124242241234151431458833292122610114182',NULL,'499',23.85,1,3,NULL),(20,5092213,'1991-05-03 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241412151431423634445124610167147',NULL,'1075',18.98,1,3,NULL),(20,5092221,'1992-06-19 00:00:00',4,5,10,2009,'F','N','PIO CORREA','CRICIÚMA','SC','124242241215112431469814572112610147112',4475,'226',68.64,1,3,NULL),(20,5092230,'1987-08-17 00:00:00',2,10,12,2004,'M','N','MAR GROSSO','LAGUNA','SC','124243241215474431548614442122131422112',NULL,'807',0.00,1,3,NULL),(20,5092248,'1990-03-26 00:00:00',4,1,6,2008,'F','N','CHÁCARA SALTINHO','S MANUEL','SP','125252281415471431458831475122610127082',NULL,'9998',30.17,1,3,NULL),(20,5092256,'1992-04-04 00:00:00',4,1,12,2009,'F','N','CAPÃO RASO','CURITIBA','PR','116162161215111431467632572122610143092',12462,'9998',49.72,1,3,NULL),(20,5092264,'1992-06-24 00:00:00',4,1,11,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241211111431538814575124610127047',14790,'272',48.50,1,3,NULL),(20,5092302,'1992-03-02 00:00:00',4,1,12,2009,'M','N','CENTRO','CIANORTE','PR','116161161217121441436632585112610125082',9671,'9998',56.67,1,3,NULL),(20,5092310,'1988-12-13 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124242241213151411433612425123631468163',NULL,'9997',24.38,1,3,NULL),(20,5092329,'1988-12-06 00:00:00',2,1,12,2007,'M','N','CENTRO','MONTAURI','RS','120201206126131431424613445123613217054',NULL,'299',15.65,1,2,1),(20,5092345,'1992-03-27 00:00:00',4,1,12,2009,'M','N','CIDADE JARDIM','PATROCÍNIO','MG','113132131215111431466832575122610114142',NULL,'9998',0.00,1,3,NULL),(20,5092353,'1992-08-13 00:00:00',2,1,12,2009,'M','N','CENTRO','TOLEDO','PR','116162161216271731244824575121610127077',8429,'9998',58.72,1,3,NULL),(20,5092370,'1992-07-11 00:00:00',4,1,10,2009,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124242241215132432238711172124610167067',468,'262',84.87,4,3,NULL),(20,5092388,'1992-05-29 00:00:00',4,8,12,2009,'M','N','VISTA ALEGRE','CURITIBA','PR','116162161216471531389914572122610137062',12974,'9998',48.76,1,3,NULL),(20,5092396,'1992-06-11 00:00:00',4,4,12,2009,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241216371531357822572125610127012',13629,'168',48.80,1,3,NULL),(20,5092400,'1994-06-02 00:00:00',4,1,12,2011,'F','S','PRAIA COMPRIDA','S JOSÉ','SC','124242241216111431356931575122610134142',NULL,'1074',19.90,1,3,NULL),(20,5092418,'1990-08-27 00:00:00',4,2,11,2007,'M','N','MEIRELES','FORTALEZA','CE','106252061216571231167612475114142664112',872,'9998',82.08,4,3,NULL),(20,5092426,'1992-02-02 00:00:00',4,10,12,2009,'F','N','BARRO VERMELHO','ORLEANS','SC','124241241115131441423335152222610126052',NULL,'580',16.56,1,3,NULL),(20,5092434,'1990-10-09 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241315573431244412595124610167142',10934,'453',55.05,1,3,NULL),(20,5092442,'1989-06-10 00:00:00',4,1,11,2006,'M','N','BELA VISTA','S PAULO','SP','125202201215471141119931375125140266162',495,'9998',83.49,1,3,NULL),(20,5092469,'1992-10-30 00:00:00',4,2,11,2009,'M','N','PLANTA O RECANTO','PIRAQUARA','PR','116162161215111731578811572112610137042',4086,'9998',68.96,1,3,NULL),(20,5092477,'1992-04-21 00:00:00',4,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124244241117131441447619395124610161147',11285,'307',53.59,1,3,NULL),(20,5092485,'1992-08-31 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215113431233923572124610165192',5887,'1022',65.10,1,3,NULL),(20,5092507,'1992-08-24 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113411378712572115610166152',388,'270',85.53,1,3,NULL),(20,5092515,'1993-01-03 00:00:00',4,8,12,2010,'F','S','ATIRADORES','JOINVILLE','SC','124242241215111131468612245122610166017',NULL,'1063',49.21,4,3,NULL),(20,5092523,'1989-12-07 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124132131217371411137763442124140461096',8558,'9998',60.82,4,3,NULL),(20,5092531,'1990-05-04 00:00:00',4,1,11,2007,'F','N','BELA VISTA','S PAULO','SP','125252251216471431248819571122140262187',6147,'9998',64.41,4,3,NULL),(20,5092540,'1992-05-28 00:00:00',2,4,12,2009,'F','N','CENTRO','S BERNARDINO','SC','124241241115131411436635593324610126097',NULL,'701',0.00,1,2,1),(20,5092558,'1992-01-17 00:00:00',4,1,12,2009,'F','N','JARDINS','S PAULO','SP','125252251215371431489934571112610143102',NULL,'9998',0.00,1,3,NULL),(20,5092566,'1991-04-25 00:00:00',2,1,12,2009,'M','N','CENTRO','MARAU','RS','120201201145141431558711342115610164042',NULL,'9998',23.70,1,2,1),(20,5092590,'1992-04-21 00:00:00',4,8,12,2009,'F','N','ALTO DA RUA XV','CURITIBA','PR','116162161212371211449914272122610124142',8516,'9998',57.12,1,3,NULL),(20,5092604,'1990-07-23 00:00:00',4,1,11,2007,'M','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251215571442488832574114510167042',1910,'9998',76.56,1,3,NULL),(20,5092612,'1988-08-01 00:00:00',2,8,12,2005,'M','N','NOVO MUNDO','CURITIBA','PR','116162161216571411326532175124610167067',3574,'9998',71.04,1,3,NULL),(20,5092620,'1987-12-08 00:00:00',4,15,11,2004,'M','N','POLICIA RODOVIARIA','ARARANGUÁ','SC','124241248126131131324414245111610136053',NULL,'852',22.58,1,2,1),(20,5092639,'1990-10-26 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116133751344623345132610134147',NULL,'592',39.00,1,2,1),(20,5092647,'1992-07-12 00:00:00',2,1,11,2009,'M','N','XAXIM','CURITIBA','PR','116162161217111431429714375112610127057',1194,'9998',79.20,1,3,NULL),(20,5092655,'1982-11-03 00:00:00',4,1,12,1999,'M','N','COSTA DE CIMA','FLORIANÓPOLIS','SC','124204241217142431148844341232120967112',11885,'270',54.59,4,3,NULL),(20,5092663,'1991-06-10 00:00:00',2,8,12,2008,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215233431646824215121610124177',7648,'486',60.66,2,3,NULL),(20,5092671,'1990-04-02 00:00:00',2,5,12,2007,'M','N','CEARÁ','CRICIÚMA','SC','124241246315371431233632445122610164052',NULL,'995',45.42,1,3,NULL),(20,5092680,'1992-06-22 00:00:00',4,1,11,2009,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215112431478813474124610162142',5259,'262',65.66,1,3,NULL),(20,5092698,'1992-08-27 00:00:00',4,2,12,2009,'M','N','RIBEIRÃO FRESCO','BLUMENAU','SC','124242241213111431455612575122610124062',7337,'87',63.16,1,3,NULL),(20,5092701,'1992-07-24 00:00:00',4,2,11,2009,'M','N','VELHA','BLUMENAU','SC','124241241215111231334434575124610167042',NULL,'86',0.00,1,3,NULL),(20,5092710,'1992-08-06 00:00:00',4,1,12,2009,'F','N','GONZAGA','SANTOS','SP','125252251215371431377714275121610164092',8528,'9998',60.87,1,3,NULL),(20,5092744,'1992-03-31 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241216112451356761591114610123091',NULL,'1118',26.86,1,3,NULL),(20,5092752,'1992-08-01 00:00:00',4,8,12,2009,'M','N','CENTRO','CPO LARGO','PR','116162161217471411589814571124610164112',509,'9998',83.68,1,3,NULL),(20,5092760,'1993-04-14 00:00:00',4,5,12,2010,'F','S','DE VILLA','URUSSANGA','SC','124241241415271431455312574122610152172',NULL,'226',61.35,1,3,NULL),(20,5092779,'1991-02-10 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215132431538633582124610116147',NULL,'269',38.52,1,3,NULL),(20,5092787,'1992-04-08 00:00:00',2,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124244248212111731426619575124610114141',NULL,'1022',19.08,1,3,NULL),(20,5092795,'1993-11-08 00:00:00',4,6,12,2010,'F','S','CENTRO','BAL CAMBORIÚ','SC','124244241217111721437634374122610133077',NULL,'1017',48.30,1,3,NULL),(20,5092809,'1992-07-01 00:00:00',2,7,12,2009,'F','N','VILA PEDRINE','JOAÇABA','SC','124241241415472431435614374122610162112',7094,'341',62.38,1,3,NULL),(20,5092817,'1993-05-01 00:00:00',4,3,12,2009,'F','N','BAIRRO DA BARRA','BAL CAMBORIÚ','SC','124244241217121431449939575112610124142',3148,'1038',72.80,4,3,NULL),(20,5092825,'1993-01-28 00:00:00',4,1,11,2009,'F','N','AGUA VERDE','CURITIBA','PR','116164161215471431369912575125610166112',9728,'9998',55.80,1,3,NULL),(20,5092833,'1989-11-21 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215575431569934575115610167115',218,'270',87.73,1,3,NULL),(20,5092841,'1991-07-06 00:00:00',4,1,12,2008,'F','N','SOMENZARI','MARÍLIA','SP','125254251216471431459713592112610162092',11502,'9998',51.38,1,3,NULL),(20,5092850,'1992-04-18 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124244241215111531455639395122610117112',NULL,'1078',30.17,1,3,NULL),(20,5092868,'1991-10-22 00:00:00',4,1,12,2009,'M','N','ESPLANADA DO SOL','S JOSÉ CAMPOS','SP','125252251215411631358831571111610167112',2909,'9998',73.29,1,3,NULL),(20,5092884,'1992-09-16 00:00:00',4,1,12,2009,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241116271431633311585124610127187',NULL,'1088',25.73,1,2,1),(20,5092892,'1990-10-05 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217574431658869375124610132152',4609,'1022',68.70,1,3,NULL),(20,5092906,'1989-12-12 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217574731489931575112610162182',452,'270',85.04,1,3,NULL),(20,5092914,'1990-12-12 00:00:00',4,1,12,2008,'F','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251216471431469913575112610123092',NULL,'9998',0.00,1,3,NULL),(20,5092922,'1993-06-30 00:00:00',4,2,12,2010,'M','S','VELHA','BLUMENAU','SC','124242241216111431369933495122610137142',NULL,'909',NULL,1,3,NULL),(20,5092949,'1992-12-06 00:00:00',4,4,11,2008,'F','N','CASCAVEL VELHO','CASCAVEL','PR','116162161216111331566619572122610168012',NULL,'9998',0.00,1,3,NULL),(20,5092965,'1991-09-06 00:00:00',4,1,12,2008,'F','N','V ALTO DE STO ANDRÉ','STO ANDRÉ','SP','125252251215472431439834175122610167072',NULL,'9998',0.00,1,3,NULL),(20,5092973,'1989-10-27 00:00:00',2,8,12,2006,'M','N','NOVO MUNDO','CURITIBA','PR','116162161216571411523718571124610124062',11873,'9998',51.59,1,3,NULL),(20,5092981,'1992-02-18 00:00:00',2,1,11,2009,'M','N','PORTO DAS DUNAS','AQUIRAZ','CE','106062061216111711468834375112610134181',NULL,'9998',0.00,1,3,NULL),(20,5092990,'1990-11-19 00:00:00',2,1,12,2008,'M','N','CENTRO HISTÓRICO','S JOSÉ','SC','124241241136473431346622195124610167043',13902,'733',49.51,1,2,1),(20,5093007,'1992-03-08 00:00:00',2,3,12,2009,'F','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124241248117272451448739585122610145192',6221,'129',64.56,1,2,1),(20,5093015,'1991-12-06 00:00:00',4,2,10,2009,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215112721465939592112610128147',14994,'855',45.98,1,3,NULL),(20,5093023,'1991-01-25 00:00:00',4,6,12,2009,'F','N','ÁGUAS CLARAS','BRUSQUE','SC','124241241117151731436621315122610111147',NULL,'110',13.50,1,3,NULL),(20,5093031,'1991-09-02 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248215413432345511575122611063182',NULL,'270',33.57,1,3,NULL),(20,5093040,'1992-08-04 00:00:00',2,1,12,2009,'M','N','SOROCABA DE DENTRO','BIGUAÇU','SC','124241241115131431323433575124610167047',NULL,'65',11.30,1,2,1),(20,5093058,'1989-09-09 00:00:00',2,4,12,2007,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241115574421449832345122610147062',10637,'169',54.90,1,2,1),(20,5093066,'1993-05-18 00:00:00',4,1,12,2010,'M','S','CENTRO','ARAPONGAS','PR','116161161116111231335923475122610127053',NULL,'9998',0.00,1,3,NULL),(20,5093074,'1992-03-25 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215273431668831575122610133073',8507,'1077',59.96,1,3,NULL),(20,5093082,'1991-05-22 00:00:00',2,1,12,2009,'M','N','ZONA SUL','IA SOLTEIRA','SP','125252251217111431368814585111610164143',NULL,'9998',28.91,3,3,NULL),(20,5093090,'1992-07-08 00:00:00',4,8,11,2009,'F','N','GLÓRIA','JOINVILLE','SC','124242241215121441469819471122610124072',2093,'457',76.16,1,3,NULL),(20,5093120,'1992-03-05 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431379713475122610164147',497,'270',84.63,1,3,NULL),(20,5093139,'1991-11-26 00:00:00',2,1,12,2008,'M','N','GANCHOS DE FORA','GOV CELSO RAMOS','SC','124241241147371731456611375124610127052',NULL,'329',37.61,1,2,1),(20,5093155,'1989-12-06 00:00:00',2,1,12,2007,'F','N','VILA ANDRADE','S PAULO','SP','125252251212571431538819575114610147031',NULL,'9998',0.00,1,3,NULL),(20,5093163,'1991-09-14 00:00:00',4,4,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241214111331266924492122610167051',8847,'1079',56.21,1,3,NULL),(20,5093180,'1992-09-29 00:00:00',2,1,11,2009,'M','N','CONSIL','CUIABÁ','MT','111113111215111431466722271122610167012',6197,'9998',62.43,1,3,NULL),(20,5093210,'1989-12-22 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241215111411569914372124610128015',11247,'1133',55.82,1,3,NULL),(20,5093228,'1991-07-02 00:00:00',4,8,11,2008,'M','N','CENTRO','CANOINHAS','SC','124244241216473431578813575114610127062',2638,'154',74.29,1,3,NULL),(20,5093236,'1992-02-09 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217272431489931575112610164182',NULL,'262',43.96,1,3,NULL),(20,5093244,'1992-07-02 00:00:00',2,1,11,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215111431536612575124610113147',12079,'270',52.70,1,3,NULL),(20,5093252,'1992-06-22 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242248215311431348821592124610123113',9935,'270',54.75,1,3,NULL),(20,5093260,'1992-01-01 00:00:00',2,1,12,2008,'F','N','CENTRO','SUL BRASIL','SC','124241241115472431559813475122610162052',9230,'775',57.72,1,2,1),(20,5093279,'1991-04-06 00:00:00',4,1,12,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241116131731448614445124610141062',NULL,'257',28.70,1,3,NULL),(20,5093287,'1966-09-12 00:00:00',2,1,12,1987,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','524201202116111412333353425132143168182',NULL,'9998',44.42,1,3,NULL),(20,5093295,'1992-11-19 00:00:00',2,1,12,2009,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241115141231644432241112610127115',NULL,'288',41.70,1,2,1),(20,5093309,'1993-04-26 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215112421467831274112610167065',NULL,'1133',26.73,1,3,NULL),(20,5093317,'1992-07-08 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124244241315272411437823575124610144142',NULL,'944',42.22,1,3,NULL),(20,5093325,'1992-03-02 00:00:00',4,1,12,2009,'M','N','CHÁCARA GALEGA','PINDAMONHANGABA','SP','125252251215121231356823577124610132196',1042,'9998',80.28,3,3,NULL),(20,5093333,'1992-06-25 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121431449832574122610137042',8117,'1038',61.62,1,3,NULL),(20,5093341,'1989-05-11 00:00:00',4,3,12,2006,'M','N','CENTRO','CURITIBA','PR','116164161216471431456812285124141424062',5879,'9998',66.28,1,3,NULL),(20,5093350,'1991-01-10 00:00:00',4,8,12,2007,'F','N','CRISTO REI','CURITIBA','PR','116122161114513431369911575112610164142',1878,'9998',75.97,1,3,NULL),(20,5093368,'1990-05-21 00:00:00',4,1,12,2007,'F','N','JARDIM PAULISTANO','SOROCABA','SP','125252251216411431468614575122610112147',9737,'9998',54.56,1,3,NULL),(20,5093376,'1993-04-14 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111441377933575122610168196',1531,'1022',78.75,1,3,NULL),(20,5093392,'1991-05-15 00:00:00',2,5,11,2008,'F','N','ESTAÇÃO','URUSSANGA','SC','124242241215472331448713575114610121062',3562,'820',71.98,1,3,NULL),(20,5093406,'1991-11-03 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431547879295124610167145',10300,'262',56.02,1,3,NULL),(20,5093422,'1993-05-29 00:00:00',4,1,11,2009,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091215111431468814475122610134037',NULL,'9998',0.00,1,3,NULL),(20,5093430,'1992-05-26 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112211458531372112610127072',1048,'262',80.76,1,3,NULL),(20,5093449,'1990-09-06 00:00:00',4,8,12,2008,'F','N','SILVEIRA DA MOTTA','S JOSÉ PINHAIS','PR','116164161315571411446614571124610167092',5403,'9998',65.90,1,3,NULL),(20,5093457,'1992-04-13 00:00:00',2,8,12,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241216111431488914575122610121042',11489,'1063',55.36,1,3,NULL),(20,5093465,'1991-08-31 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122432468833472112610127092',3620,'270',69.70,1,3,NULL),(20,5093473,'1992-05-11 00:00:00',2,1,12,2008,'M','N','CAPELA DE POMPÉIA','VISTA A PRATA','RS','120201202216371431646336175224610167147',NULL,'9998',0.00,1,3,NULL),(20,5093481,'1993-01-15 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215111431346912495114610163142',8216,'270',59.16,1,3,NULL),(20,5093490,'1990-04-09 00:00:00',4,1,12,2007,'F','N','PRAIA DE BAIXO','BIGUAÇU','SC','124244241214152131346831415124223266173',5924,'269',66.18,1,3,NULL),(20,5093503,'1989-07-14 00:00:00',4,6,12,2006,'F','N','STIEP','SALVADOR','BA','105052051216271431247823575124141042017',NULL,'9998',0.00,1,3,NULL),(20,5093511,'1992-02-06 00:00:00',4,1,11,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241315123431369933575124610127062',2067,'270',76.66,1,3,NULL),(20,5093520,'1987-04-26 00:00:00',4,8,6,2006,'M','N','VILA NOVA','ARAUCÁRIA','PR','116161161215471731443632375122141527047',NULL,'9998',28.74,1,3,NULL),(20,5093538,'1990-09-19 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431387813575112121967182',6684,'270',64.53,1,3,NULL),(20,5093546,'1991-03-11 00:00:00',4,8,12,2008,'M','N','CENTRO CÍVICO','CURITIBA','PR','116163161311571311356623595114610167042',9857,'9998',56.66,1,3,NULL),(20,5093554,'1990-10-26 00:00:00',4,1,12,2007,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215143431446913435122233262095',15437,'272',46.50,1,3,NULL),(20,5093562,'1990-11-06 00:00:00',4,1,12,2008,'F','N','JARDIM PAULISTA','COSMÓPOLIS','SP','125252251215471731337611315122610137077',NULL,'9998',0.00,1,3,NULL),(20,5093570,'1990-11-22 00:00:00',2,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116243161417574751523923575125610133057',11629,'9998',52.23,1,3,NULL),(20,5093589,'1988-09-19 00:00:00',4,1,12,2005,'M','N','CENTRO','ITAPETININGA','SP','116252251417571231469933575124143264177',11509,'9998',50.48,1,3,NULL),(20,5093597,'1992-03-30 00:00:00',4,1,11,2009,'F','N','CENTRO','PASSO FUNDO','RS','120202201217371511558715175122610166182',8378,'9998',59.85,1,3,NULL),(20,5093600,'1990-11-02 00:00:00',4,8,12,2008,'M','N','COMAZA','JOINVILLE','SC','124252251215371411368823375124610167053',14113,'9998',50.15,1,3,NULL),(20,5093627,'1992-06-17 00:00:00',4,1,12,2009,'M','N','CZERNIEVICZ','JARAGUÁ SUL','SC','124244243217112431469834575124610168182',NULL,'1061',34.14,1,3,NULL),(20,5093635,'1992-05-29 00:00:00',2,1,11,2009,'F','N','CANTO','FLORIANÓPOLIS','SC','124242241215113711467734595122610161182',2900,'270',72.86,4,3,NULL),(20,5093643,'1992-07-01 00:00:00',2,5,12,2009,'F','N','SÃO GERALDO','PTO ALEGRE','RS','120202201215111431448839575124610167072',7826,'9998',59.01,1,3,NULL),(20,5093651,'1985-08-11 00:00:00',4,1,12,2002,'F','N','SANTA CÂNDIDA','CURITIBA','PR','116162161211471421658831413122343162097',2309,'9998',74.20,1,3,NULL),(20,5093660,'1991-12-04 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241235111431249913386114610168197',13910,'1022',50.54,1,3,NULL),(20,5093678,'1990-03-28 00:00:00',4,8,12,2007,'F','N','JARDIM GOLLO','SOCORRO','SP','125252251117571431468812575122610138147',NULL,'9998',0.00,1,3,NULL),(20,5093686,'1991-07-09 00:00:00',4,1,12,2008,'M','N','CIDADE JARDIM','SOROCABA','SP','125252251215471431366322575112610164012',11653,'9998',51.36,1,3,NULL),(20,5093694,'1992-02-25 00:00:00',4,8,12,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215141431478711145114610164042',2008,'932',76.37,1,3,NULL),(20,5093708,'1992-06-06 00:00:00',4,8,12,2009,'M','N','MERCÊS','CURITIBA','PR','116162161215111431469714174112610164042',6104,'9998',62.78,1,3,NULL),(20,5093716,'1990-05-25 00:00:00',2,4,12,2007,'F','N','UNIVERSITÁRIO','CHAPECÓ','SC','124241241126412451433833575124610143147',12668,'169',50.08,1,2,1),(20,5093724,'1990-02-23 00:00:00',2,1,12,2009,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241115241711346623495124610137067',NULL,'307',38.64,1,2,1),(20,5093732,'1992-10-02 00:00:00',2,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124243241215131431326621575124610167047',8482,'723',59.63,1,3,NULL),(20,5093740,'1992-03-09 00:00:00',4,8,11,2009,'M','N','SANTA QUITÉRIA','CURITIBA','PR','116162161217471431388932571122610127142',NULL,'9998',0.00,1,3,NULL),(20,5093767,'1988-10-18 00:00:00',4,1,12,2006,'M','N','SANTO AMARO','S PAULO','SP','125252251216271431467832275112140637042',NULL,'9998',0.00,1,3,NULL),(20,5093775,'1992-10-14 00:00:00',2,9,12,2009,'F','N','EUGENIO SCHNEIDER','RIO SUL','SC','124242241215111431569731575122610162012',7590,'991',61.42,1,3,NULL),(20,5093783,'1992-03-03 00:00:00',4,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162241215112431348812596124610167042',5206,'270',66.10,1,3,NULL),(20,5093791,'1987-05-20 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','116162161217574711342433433222221523164',8382,'9998',56.64,1,3,NULL),(20,5093805,'1991-12-14 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124252251215473431348824575114610134092',3753,'9998',71.47,1,3,NULL),(20,5093813,'1992-06-03 00:00:00',4,1,12,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241117371431467923371124610134097',14196,'307',46.95,1,3,NULL),(20,5093821,'1988-09-05 00:00:00',4,1,9,2007,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241115142411334473415124121444183',8334,'739',61.25,1,2,1),(20,5093830,'1991-03-03 00:00:00',4,1,12,2008,'M','N','ZONA SETE','MARINGÁ','PR','116162161217371231459923575122610114187',NULL,'9998',0.00,1,3,NULL),(20,5093848,'1992-11-14 00:00:00',4,4,12,2009,'F','N','INDUSTRIAL','FRANCISCO BELTRÃO','PR','116161161116371731446632274122610134192',NULL,'9998',34.30,1,2,1),(20,5093856,'1990-08-04 00:00:00',4,8,12,2007,'F','N','BIGORRILHO','CURITIBA','PR','116242161215572731545732572122610167117',702,'9998',82.50,1,3,NULL),(20,5093864,'1990-03-17 00:00:00',4,1,12,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243241116473411336634575124233264053',7061,'278',63.69,1,3,NULL),(20,5093872,'1991-08-07 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431489933575122610122183',15876,'262',44.72,1,3,NULL),(20,5093880,'1991-02-16 00:00:00',2,8,11,2007,'M','N','REBOUÇAS','CURITIBA','PR','116162161115511431449931592124610167042',1761,'9998',77.76,4,3,NULL),(20,5093902,'1991-11-15 00:00:00',2,1,12,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241117131131423621572121610127147',NULL,'288',39.09,1,2,1),(20,5093929,'1990-05-26 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115111431348823435124610148091',NULL,'267',21.12,1,2,1),(20,5093945,'1993-01-06 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215272431456932592122610134142',5668,'226',66.76,1,3,NULL),(20,5093953,'1992-11-12 00:00:00',2,5,11,2009,'M','N','CENTRO','URUSSANGA','SC','124243241215121431436723475125610127057',6402,'820',62.88,1,3,NULL),(20,5093961,'1983-10-07 00:00:00',4,15,11,2002,'M','N','CENTRO','ARARANGUÁ','SC','124241248147131431223824495123610168187',NULL,'9999',18.70,1,3,NULL),(20,5093988,'1991-12-21 00:00:00',4,1,12,2009,'F','N','JARDIM IRAJÁ','RIBEIRÃO PRETO','SP','125254251217111431467934575112610165147',NULL,'9998',0.00,1,3,NULL),(20,5094003,'1991-11-28 00:00:00',4,4,11,2009,'M','N','POTOSI','BALSAS','MA','110102101217411431558834575122610167122',NULL,'9998',20.82,1,3,NULL),(20,5094011,'1991-12-12 00:00:00',2,1,12,2008,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241116372431433514282114610132145',6273,'307',64.04,3,2,1),(20,5094020,'1991-03-29 00:00:00',4,1,12,2009,'M','N','FAZENDA','ITAJAÍ','SC','116164161411411421688811275341610116142',895,'392',81.93,1,3,NULL),(20,5094038,'1991-03-07 00:00:00',4,5,12,2009,'M','N','SÃO LUIZ','CRICIÚMA','SC','124244246417151721456514575124610137057',15031,'995',47.77,1,3,NULL),(20,5094046,'1992-10-25 01:00:00',2,1,11,2009,'F','N','SANTA LUZIA','STO AMARO IMPERATRIZ','SC','124241241215111731544612171124610168012',15923,'1011',42.56,1,3,NULL),(20,5094089,'1991-10-03 00:00:00',4,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241137131431336624582124230227047',NULL,'464',27.61,1,3,NULL),(20,5094097,'1992-08-12 00:00:00',4,7,11,2009,'F','N','MARAFON','VIDEIRA','SC','124241241216131711456632575115610134192',NULL,'1080',24.72,1,3,NULL),(20,5094100,'1992-07-27 00:00:00',4,1,12,2009,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242243215472431436439575122610115187',NULL,'259',31.89,4,3,NULL),(20,5094119,'1992-07-19 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242251215111431246614575124610137142',7505,'1134',61.54,1,3,NULL),(20,5094127,'1983-12-01 00:00:00',2,1,7,2009,'M','N','PRAINHA','FLORIANÓPOLIS','SC','124241241321211122526329242114613212047',NULL,'9999',18.84,2,1,2),(20,5094135,'1991-08-09 00:00:00',4,1,11,2008,'F','N','SANTOS DUMONT','STA MARIA','DF','107074071217472431448914175124610133197',7188,'9998',63.46,1,3,NULL),(20,5094143,'1990-12-19 00:00:00',4,1,11,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124282241216472431578814575122610127042',170,'9998',88.57,1,3,NULL),(20,5094160,'1992-06-09 00:00:00',4,1,12,2009,'M','N','VILLAGE GARAVELO','APARECIDA GOIÂNIA','GO','109092091217111431449933374124610122185',NULL,'9998',0.00,3,3,NULL),(20,5094186,'1984-06-04 00:00:00',4,8,12,2003,'M','N','BOSQUE DA SAUDE','S PAULO','SP','125252251211371431549923471125141417037',4337,'9998',68.05,3,3,NULL),(20,5094194,'1991-12-04 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431459834575112610164052',4244,'270',70.17,1,3,NULL),(20,5094208,'1991-05-17 00:00:00',4,10,12,2008,'M','N','SANTO ANTÔNIO DE PÁD','TUBARÃO','SC','124243242312141432436833441111610147042',NULL,'960',0.00,1,3,NULL),(20,5094216,'1990-03-16 00:00:00',4,2,12,2008,'F','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162161215471431336828575122610124112',2089,'9998',76.21,1,3,NULL),(20,5094224,'1989-09-12 00:00:00',4,1,2,2008,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252281417572711478834572112610143017',1013,'9998',80.92,1,3,NULL),(20,5094232,'1991-11-17 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242241216473731358813575114131926191',6522,'737',62.82,1,3,NULL),(20,5094240,'1993-12-21 00:00:00',4,15,12,2010,'F','S','CENTRO','ARARANGUÁ','SC','124241241215111431548924575122610148072',NULL,'970',45.66,1,3,NULL),(20,5094259,'1988-11-05 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216143411438613295122230217042',NULL,'273',0.00,1,3,NULL),(20,5094267,'1992-11-22 00:00:00',2,2,12,2009,'M','N','PONTA FINA SUL','NOVA TRENTO','SC','124241241215112431458933292124610147052',NULL,'1123',37.07,1,3,NULL),(20,5094275,'1989-09-04 00:00:00',4,1,12,2006,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241214134431254823395124610121067',8907,'272',60.14,1,3,NULL),(20,5094283,'1992-09-26 00:00:00',2,1,12,2009,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241235223431346634575112610137055',6159,'737',63.59,1,3,NULL),(20,5094291,'1991-02-18 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241217273431447833572124610161182',9231,'299',57.27,1,3,NULL),(20,5094305,'1990-12-01 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124202241215474721467831271114121243145',6116,'1133',63.24,1,3,NULL),(20,5094321,'1989-11-17 00:00:00',4,1,12,2007,'M','N','ALTANEIRA','MARÍLIA','SP','125254251217471431368923575112140232187',13464,'9998',51.12,1,3,NULL),(20,5094348,'1987-05-11 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215575441349923571124121237042',2756,'269',73.65,1,3,NULL),(20,5094356,'1974-06-05 00:00:00',2,1,9,1996,'M','N','CENTRO','S MIGUEL ARCANJO','SP','125251257216273441353331481125141334142',NULL,'9998',0.00,3,3,NULL),(20,5094372,'1992-12-14 00:00:00',2,5,12,2009,'M','N','CENTRO','CANOAS','RS','120123201416371431346514575124610147097',NULL,'9998',32.26,1,3,NULL),(20,5094380,'1993-02-02 00:00:00',4,1,12,2010,'F','S','CAMPINAS','S JOSÉ','SC','124241241117151431535511575124610114142',NULL,'739',49.14,1,3,NULL),(20,5094410,'1992-02-07 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241217111731489931474122610144122',525,'213',84.16,1,3,NULL),(20,5094429,'1976-10-10 00:00:00',2,15,12,1993,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','224241241127132731333343335235610144197',NULL,'28',25.05,1,2,1),(20,5094453,'1992-10-14 00:00:00',4,9,12,2009,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124242246215111431468932574122610168092',7184,'1106',62.41,1,3,NULL),(20,5094461,'1991-01-12 00:00:00',4,1,11,2008,'M','N','JARDIM ESPLANADA','S JOSÉ CAMPOS','SP','125252251215472231169711575122610164142',3297,'9998',70.72,4,3,NULL),(20,5094470,'1991-07-12 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215474431489813575122610121182',300,'270',86.59,1,3,NULL),(20,5094496,'1990-08-07 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215573431489813571122610165185',2122,'270',76.14,1,3,NULL),(20,5094500,'1991-11-27 00:00:00',4,8,11,2009,'M','N','VILA ANDRADE','S PAULO','SP','125252251217471441259912575112610164194',2394,'9998',73.49,1,3,NULL),(20,5094518,'1990-03-29 00:00:00',4,8,12,2007,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161215471731479813132122610128042',4330,'9998',69.57,4,3,NULL),(20,5094526,'1991-09-29 00:00:00',4,1,11,2008,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125254251217471731236319575122610167187',NULL,'9998',0.00,1,3,NULL),(20,5094534,'1989-05-20 00:00:00',4,2,12,2006,'M','N','JARDIM ESTHER','S PAULO','SP','125254251217471431247724471125610117187',5164,'9998',66.11,1,3,NULL),(20,5094542,'1992-05-18 00:00:00',2,1,11,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215271431359821595122610166142',7200,'262',62.76,1,3,NULL),(20,5094550,'1989-07-26 00:00:00',4,1,12,2007,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161217571451369833571122610164122',NULL,'9998',0.00,3,3,NULL),(20,5094569,'1990-03-13 00:00:00',4,1,12,2007,'F','N','MOEMA','S PAULO','SP','125252251216571411379814575122610123062',4351,'9998',68.31,1,3,NULL),(20,5094585,'1991-12-30 00:00:00',2,1,12,2009,'F','N','CENTRO','GUARAPUAVA','PR','116162161216471431447734575122610114122',NULL,'9998',0.00,1,3,NULL),(20,5094607,'1989-10-26 00:00:00',4,8,11,2007,'F','N','SERTÃOZINHO','BARRA VELHA','SC','124241241125471431424611474324610166192',NULL,'57',19.20,1,2,1),(20,5094615,'1992-04-16 00:00:00',4,1,12,2009,'M','N','BATEL','CURITIBA','PR','116162161217471431469914571115610164052',NULL,'9998',35.37,1,3,NULL),(20,5094623,'1992-02-16 00:00:00',2,16,12,2009,'F','N','CENTRO','FRAIBURGO','SC','124243248311111131436631571122610147187',NULL,'317',22.14,1,3,NULL),(20,5094631,'1991-05-21 00:00:00',4,1,12,2008,'M','N','CENTRO','GAROPABA','SC','124241241127372431338313435124610147042',8960,'322',57.19,1,2,1),(20,5094640,'1992-07-07 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215171721479914585112610167012',8854,'270',57.65,1,3,NULL),(20,5094658,'1991-02-27 00:00:00',4,1,11,2008,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125252251215471211389911582112610161184',NULL,'9998',0.00,1,3,NULL),(20,5094666,'1992-01-25 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL PIÇARRAS','SC','124242241215111231347531582112610167112',13965,'392',50.46,1,3,NULL),(20,5094682,'1991-08-02 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115141731326329242114610127045',NULL,'286',22.69,1,2,1),(20,5094712,'1989-03-03 00:00:00',4,1,12,2006,'F','N','AGENOR M CARVALHO','PTO VELHO','RO','125222221215571431449933575124141032142',NULL,'9998',0.00,1,3,NULL),(20,5094720,'1987-03-18 00:00:00',2,8,12,2005,'M','N','FLORESTA','JOINVILLE','SC','124242241216135451457823375122610168091',6619,'459',62.21,1,3,NULL),(20,5094739,'1992-08-21 00:00:00',4,1,11,2009,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215111431236633575124610162147',6865,'270',61.98,1,3,NULL),(20,5094755,'1990-03-11 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','224241241142131431226654482111610111037',NULL,'922',27.15,4,3,NULL),(20,5094763,'1992-05-05 00:00:00',4,5,10,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431546627472122610162077',NULL,'213',20.96,1,3,NULL),(20,5094771,'1991-12-12 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242248215371431357713575124610137043',NULL,'1022',25.83,1,3,NULL),(20,5094780,'1992-07-24 00:00:00',4,1,11,2009,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241216111431458812575112610111133',9945,'270',58.25,1,3,NULL),(20,5094798,'1985-10-09 00:00:00',2,1,12,2002,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241163215573441149613432132610147047',4950,'9998',66.79,1,3,NULL),(20,5094801,'1993-10-24 00:00:00',4,2,12,2010,'F','S','VILA NOVA','BLUMENAU','SC','124244241215111432359934572112610134042',NULL,'909',49.38,1,3,NULL),(20,5094836,'1991-11-01 00:00:00',2,8,12,2009,'F','N','ITAUM','JOINVILLE','SC','124242241215271451323619171124610166073',NULL,'1105',0.00,1,3,NULL),(20,5094844,'1989-12-15 00:00:00',4,1,12,2006,'F','N','BOM FIM','PTO ALEGRE','RS','120201201117472411428728175124141524097',NULL,'9998',27.06,1,2,1),(20,5094852,'1992-04-16 00:00:00',2,15,12,2009,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241241215371711335934575122610132112',10119,'970',57.93,1,3,NULL),(20,5094879,'1980-10-08 00:00:00',4,1,12,2000,'M','N','CAMPINAS','S JOSÉ','SC','224241241127371711137613242133133232057',16010,'239',44.05,1,2,1),(20,5094887,'1992-01-08 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217473731489923572125610162051',2246,'262',76.00,1,3,NULL),(20,5094895,'1992-05-15 00:00:00',4,2,11,2009,'M','N','GARCIA','BLUMENAU','SC','124244241217121731478831575124610164017',2826,'855',72.63,4,3,NULL),(20,5094909,'1991-10-24 00:00:00',4,9,12,2009,'F','N','CORAL','LAGES','SC','124242241215372231537622575112610117041',9853,'515',58.44,1,3,NULL),(20,5094917,'1993-03-24 00:00:00',4,1,12,2010,'F','S','PONTE DO IMARUIM','PALHOÇA','SC','124244241215111751466611475122610166072',NULL,'1011',27.79,1,3,NULL),(20,5094933,'1991-10-25 00:00:00',4,1,12,2008,'F','N','BOM FIM','PTO ALEGRE','RS','120201201117471431346613375124610167047',1319,'9998',78.83,1,2,1),(20,5094941,'1992-04-03 00:00:00',4,1,12,2009,'F','N','JARDIM CENTRAL','DOURADOS','MS','112122121217111441578816572122610164122',3361,'9998',70.50,1,3,NULL),(20,5094950,'1991-09-30 00:00:00',4,5,11,2009,'M','N','FIGUEIRA','URUSSANGA','SC','124242241211123441446629295121610136112',10056,'820',58.05,1,3,NULL),(20,5094968,'1987-11-04 00:00:00',4,1,12,2005,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124244241416573411568613411124230264096',3027,'271',73.43,1,3,NULL),(20,5094976,'1990-10-08 00:00:00',4,1,12,2008,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124072241215472431557916375124233233112',1931,'270',77.17,1,3,NULL),(20,5094984,'1991-09-07 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241211112731379722575114610164112',9094,'270',59.79,1,3,NULL),(20,5094992,'1991-08-27 00:00:00',4,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120202201212371441359913415125610168142',NULL,'9998',0.00,1,3,NULL),(20,5095000,'1992-02-07 00:00:00',4,2,12,2009,'M','N','CENTRO','BRUSQUE','SC','124244241215271431535914445122610147052',NULL,'107',41.45,1,3,NULL),(20,5095026,'1992-05-21 00:00:00',4,1,12,2009,'F','N','ALTO DO IPIRANGA','MOGI CRUZES','SP','125252251215111431458812571122610121147',NULL,'9998',0.00,1,3,NULL),(20,5095034,'1992-08-22 00:00:00',4,15,12,2009,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124242241215131431448834585122610127042',7447,'970',62.35,1,3,NULL),(20,5095042,'1990-06-09 00:00:00',4,1,11,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241137141431427931445124610147112',NULL,'257',25.36,1,2,1),(20,5095069,'1991-08-20 00:00:00',5,7,12,2008,'F','N','CENTRO','ARROIO TRINTA','SC','124241241116372431459933375124610146097',10064,'853',53.69,1,2,1),(20,5095077,'1990-07-06 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241247432131431526613345124610142142',NULL,'9997',39.59,4,3,NULL),(20,5095085,'1989-06-09 00:00:00',4,1,12,2007,'M','N','AZAMBUJA','BRUSQUE','SC','124243241217574241466822175122131462112',762,'107',82.80,1,3,NULL),(20,5095093,'1990-03-08 00:00:00',2,1,12,2007,'F','N','MEDIANIERA','PTO ALEGRE','RS','120202201216371431246623375124610123187',9395,'9998',55.73,1,3,NULL),(20,5095107,'1992-12-06 00:00:00',4,7,12,2009,'F','N','CENTRO','PERITIBA','SC','124241241132161431426612124122610136142',NULL,'612',20.94,1,2,1),(20,5095115,'1990-10-04 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202201215373431368914472124133237187',2675,'9998',74.50,1,3,NULL),(20,5095131,'1993-04-13 00:00:00',2,10,12,2009,'F','N','CENTRO','IMBITUBA','SC','124241241115371431326624575124610133072',NULL,'359',29.27,1,3,NULL),(20,5095140,'1990-12-26 00:00:00',4,1,12,2008,'M','N','ESPLANADA DO SOL','S JOSÉ CAMPOS','SP','125252251217471751588933575112610146091',NULL,'9998',0.00,4,3,NULL),(20,5095174,'1991-12-14 00:00:00',2,5,12,2008,'F','N','CENTRO','SOMBRIO','SC','124242241215373431448614572124130437147',12413,'970',49.81,1,3,NULL),(20,5095190,'1992-07-02 00:00:00',2,8,12,2009,'F','N','CENTRO','SINOP','MT','111112111237371431458934575122610148193',8993,'9998',57.30,4,3,NULL),(20,5095204,'1989-02-19 00:00:00',2,4,12,2006,'F','N','CONJHAB TERRA ROXA','DOURADOS','MS','112123121415571431643612574222610124187',10746,'9998',53.43,4,3,NULL),(20,5095212,'1992-04-10 00:00:00',4,1,11,2008,'F','N','CENTRO','CANOAS','RS','120202201216571431337911571122610122197',NULL,'9998',23.69,1,3,NULL),(20,5095220,'1991-12-16 00:00:00',2,2,12,2009,'M','N','MARGEM ESQUERDA','GASPAR','SC','124244241215211231568812175112610167182',NULL,'1137',0.00,1,3,NULL),(20,5095239,'1992-10-21 00:00:00',4,1,11,2009,'M','N','PLANO DIRETOR SUL','PALMAS','TO','109092091215111431457912572114610162047',3323,'9998',71.17,1,3,NULL),(20,5095247,'1992-05-14 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431467921472125610164052',11324,'262',53.24,1,3,NULL),(20,5095255,'1989-12-28 00:00:00',2,1,12,2007,'M','N','CENTRO','PIRAQUARA','PR','116162161117371731337514375114610167062',NULL,'9998',0.00,1,3,NULL),(20,5095271,'1992-03-07 00:00:00',2,1,10,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241437131731437727275122610134047',NULL,'283',29.12,1,3,NULL),(20,5095280,'1992-07-14 00:00:00',4,1,11,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241215111431466933572114610167055',3197,'1022',72.71,1,3,NULL),(20,5095310,'1992-04-01 00:00:00',4,1,12,2009,'M','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125222251237411231478833475122610127147',NULL,'9998',NULL,4,3,NULL),(20,5095328,'1980-08-12 00:00:00',2,15,12,2001,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241247227131431334414145113610122047',NULL,'32',25.45,1,3,NULL),(20,5095344,'1992-02-06 00:00:00',4,8,12,2008,'F','N','JARDIM PETROPOLIS','LONDRINA','PR','116112111216472751346532374124610123077',1488,'9998',78.17,1,3,NULL),(20,5095379,'1992-03-18 00:00:00',4,1,11,2009,'M','N','VILLAS BOAS','CPO GRANDE','MS','112122121216121331378833585114610164082',6458,'9998',63.37,1,3,NULL),(20,5095387,'1992-04-02 00:00:00',4,8,12,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241217162431258821572122610128143',NULL,'456',27.05,1,3,NULL),(20,5095395,'1992-09-26 00:00:00',4,1,11,2009,'M','N','JARDIM BELA VISTA','CPO GRANDE','MS','112122121217111431367714575122610168181',7275,'9998',60.27,1,3,NULL),(20,5095417,'1992-02-28 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241415111431225621575114610133077',NULL,'1022',0.00,1,3,NULL),(20,5095425,'1990-01-24 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241117574431358614572122610162012',8752,'499',57.82,1,3,NULL),(20,5095433,'1991-11-14 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161217471311369931574122610162032',NULL,'9998',0.00,3,3,NULL),(20,5095450,'1992-06-30 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217113411569933574122610127052',1464,'951',79.02,1,3,NULL),(20,5095468,'1991-09-18 00:00:00',4,1,12,2009,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125251251217111431466624575122610147012',6841,'9998',59.75,1,3,NULL),(20,5095492,'1992-02-16 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','620201201147161412334314345124610164057',13498,'9998',48.26,1,2,1),(20,5095506,'1991-11-26 00:00:00',4,1,12,2009,'M','N','JARDIM CANADA','RIBEIRÃO PRETO','SP','125252251215471431588831575122610167052',5577,'9998',66.27,1,3,NULL),(20,5095514,'1991-11-23 00:00:00',4,1,12,2009,'F','N','MONTE CASTELO','CPO GRANDE','MS','112122121237111531588813575122610164097',3607,'9998',69.99,1,3,NULL),(20,5095530,'1991-09-02 00:00:00',2,5,12,2009,'M','N','JANUÁRIA','SOMBRIO','SC','124241241147131231236531316122610127057',NULL,'1033',27.75,1,3,NULL),(20,5095549,'1985-06-08 00:00:00',2,1,12,2002,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241146271431121349292224610124067',NULL,'564',0.00,1,2,1),(20,5095565,'1985-11-14 00:00:00',4,1,12,2003,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124251201137273431427844245124610137117',10828,'9998',53.82,4,2,1),(20,5095573,'1991-05-14 00:00:00',4,1,12,2008,'F','N','BOA VISTA','PNT GROSSA','PR','116164161216471431538811575122241412142',6671,'9998',61.94,1,3,NULL),(20,5095590,'1991-10-31 00:00:00',4,1,12,2009,'M','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','110102251217121432378832475112610162017',NULL,'9998',NULL,2,3,NULL),(20,5095603,'1990-06-19 00:00:00',2,4,12,2007,'F','N','CENTRO','PALMA SOLA','SC','124161161316573731438633575115610164077',NULL,'9998',0.00,1,3,NULL),(20,5095611,'1989-10-03 00:00:00',2,1,10,2008,'F','N','CENTRO','TIJUCAS','SC','124241241126131331434619575124231026147',NULL,'1119',0.00,1,2,1),(20,5095620,'1990-08-21 00:00:00',4,17,12,2009,'M','N','JARDIM CARVALHO','PNT GROSSA','PR','116164166115271451433316381221610167172',10824,'9998',52.67,1,3,NULL),(20,5095638,'1992-01-24 00:00:00',4,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215111441457824245122610123057',11624,'797',52.49,1,3,NULL),(20,5095646,'1990-12-04 00:00:00',4,1,11,2008,'F','N','PARQUE DAS MANSOES','TANGARÁ SERRA','MT','109112117216571431647816574125610164097',NULL,'9998',0.00,4,3,NULL),(20,5095654,'1991-10-11 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241146131411524334242124610137052',NULL,'277',29.07,4,2,1),(20,5095662,'1984-04-03 00:00:00',2,5,12,2001,'M','N','RUBEM BERTA','PTO ALEGRE','RS','120203207337271431325319345124610163184',NULL,'9998',27.73,1,3,NULL),(20,5095670,'1988-02-10 00:00:00',4,2,12,2005,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124244241215131432568714442114333244047',12699,'956',52.93,1,3,NULL),(20,5095689,'1992-05-04 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215132731638721476124610125197',NULL,'272',30.69,4,3,NULL),(20,5095697,'1990-03-28 00:00:00',4,5,12,2007,'M','N','JARDIM MARISTELA','CRICIÚMA','SC','124242246217373451369614475124131434011',630,'188',83.71,1,3,NULL),(20,5095700,'1989-01-15 00:00:00',2,1,12,2006,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241131271431244369245124130237052',7149,'307',61.40,1,3,NULL),(20,5095719,'1991-06-25 00:00:00',4,17,12,2008,'M','N','CENTRO','CURITIBA','PR','116112161215471631479913434124610162042',647,'9998',83.59,1,3,NULL),(20,5095727,'1990-01-24 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216575431479913575122610127012',9019,'270',59.93,1,3,NULL),(20,5095735,'1992-06-19 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215112731369923592114610147055',10936,'262',54.51,1,3,NULL),(20,5095743,'1990-06-30 00:00:00',4,1,12,2007,'F','N','JD BELA VISTA','GOIÂNIA','GO','109092091235572431666832571125610162097',1947,'9998',76.00,4,3,NULL),(20,5095751,'1991-10-04 00:00:00',4,1,12,2008,'F','N','GUARANI','NOVO HAMBURGO','RS','120203201217372431348714241124140431042',13618,'9998',48.87,1,3,NULL),(20,5095760,'1992-10-05 00:00:00',4,1,11,2009,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215111431448431575114610131192',NULL,'270',0.00,1,3,NULL),(20,5095778,'1992-05-19 00:00:00',2,8,12,2009,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241116131421226629195124610161177',NULL,'1144',28.08,4,2,1),(20,5095786,'1990-11-01 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162161215372431548611345132610131077',6395,'9998',65.14,1,3,NULL),(20,5095794,'1992-09-26 00:00:00',4,1,12,2009,'F','N','SANTA CATARINA','S LOURENÇO OESTE','SC','124241241135131331424424345122610111052',NULL,'745',31.98,2,1,1),(20,5095816,'1992-04-10 00:00:00',4,1,12,2009,'M','N','ATALAIA','ARACAJU','SE','126262261217111431585612175112610164042',361,'9998',85.85,4,3,NULL),(20,5095832,'1992-08-20 00:00:00',4,1,11,2009,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121215372432486832474122610132072',4324,'9998',68.32,1,3,NULL),(20,5095840,'1993-02-11 00:00:00',4,17,11,2009,'M','N','VILA SOLENE','CPO LARGO','PR','116163161235471431345422575122610162047',NULL,'9998',0.00,1,3,NULL),(20,5095859,'1976-09-09 00:00:00',4,8,12,1993,'M','N','JARDIM CENTENÁRIO','S CARLOS','SP','125251251116574411324435485122610167052',11155,'9998',53.37,3,2,1),(20,5095867,'1990-06-20 00:00:00',4,5,12,2007,'M','N','JARDIM KENNDY','RIO CLARO','SP','125252251217572231366634385122610137047',7625,'9998',59.46,1,3,NULL),(20,5095875,'1989-12-29 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243247413271431116747393314610144052',9024,'9999',59.92,1,3,NULL),(20,5095883,'1992-05-12 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124241248112471431335819572122610134102',NULL,'734',29.21,3,2,1),(20,5095905,'1992-02-12 00:00:00',4,1,12,2009,'M','N','JARDINS','ARACAJU','SE','126262261217271431589833475122610144082',1160,'9998',80.03,2,1,2),(20,5095913,'1989-02-13 00:00:00',2,1,12,2007,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241241127372431446633442133610162147',7854,'592',59.18,1,2,1),(20,5095921,'1988-05-04 00:00:00',2,1,12,2005,'F','N','REAL PARQUE','S JOSÉ','SC','124241241117372451422329472114123023147',15828,'734',44.97,1,2,1),(20,5095930,'1990-09-02 00:00:00',4,1,11,2008,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241315272431346624395114233265113',13622,'300',51.12,1,3,NULL),(20,5095948,'1991-01-26 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124241241116272431226644345124610126167',NULL,'169',23.60,1,2,1),(20,5095956,'1990-11-13 00:00:00',4,1,12,2008,'F','N','LAUZANE PAULISTA','S PAULO','SP','125252251216372231339934574124610133012',NULL,'9998',23.73,1,3,NULL),(20,5095964,'1990-11-19 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241212131421328613372124610128097',NULL,'1022',23.12,1,3,NULL),(20,5095972,'1989-03-26 00:00:00',4,10,12,2006,'M','N','OFICINAS','TUBARÃO','SC','124243241315272431337823245131610162042',15869,'1034',44.74,1,3,NULL),(20,5095999,'1990-07-25 00:00:00',2,1,12,2007,'M','N','ITAGUA','UBATUBA','SP','125252256217472431348931575121610137012',4131,'9998',68.68,4,1,2),(20,5096006,'1990-11-03 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124241241412373431436519385112610135057',NULL,'724',28.70,1,3,NULL),(20,5096022,'1989-05-31 00:00:00',4,1,12,2006,'M','N','JD UNIVERSITÁRIO','MARINGÁ','PR','116163161216371411346923475111610164052',11804,'9998',52.94,1,3,NULL),(20,5096049,'1990-11-07 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241214372441246823575121221464112',465,'71',84.88,1,3,NULL),(20,5096065,'1990-10-23 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162168217372751238613375114610161117',14931,'9998',44.92,1,3,NULL),(20,5096073,'1991-06-25 00:00:00',4,1,12,2008,'M','N','JARDIM LAMBRETA','COTIA','SP','125252251217472431568931575122610122015',NULL,'9998',0.00,1,3,NULL),(20,5096081,'1981-09-21 00:00:00',4,4,12,1999,'M','N','COQUEIRAL','CASCAVEL','PR','116163161116571431446614575124141447147',6166,'9998',64.07,1,3,NULL),(20,5096090,'1992-03-28 00:00:00',4,1,11,2009,'M','N','LAGO SUL','LG SUL','DF','107072071217371751358821575122610124187',NULL,'9998',0.00,1,3,NULL),(20,5096111,'1992-07-17 00:00:00',4,4,12,2009,'M','N','CENTRO','QUILOMBO','SC','124241241116471431323415571124610137057',8976,'648',58.31,1,2,1),(20,5096138,'1989-10-19 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124251281417271431345947475122610127112',NULL,'9998',46.67,1,3,NULL),(20,5096154,'1991-05-30 00:00:00',4,8,12,2008,'M','N','VILA MARIANA','S PAULO','SP','125244251217372231467614575125241067087',NULL,'9998',0.00,1,3,NULL),(20,5096170,'1990-08-02 00:00:00',4,4,12,2007,'F','N','CENTRO','MARAVILHA','SC','124242241214273431247932575112141414041',6663,'1037',64.56,1,3,NULL),(20,5096189,'1992-04-04 00:00:00',4,1,12,2009,'M','N','CENTRO','IMARUÍ','SC','124241241135271431239823435122610164172',NULL,'356',0.00,1,2,1),(20,5096200,'1989-09-01 00:00:00',4,1,11,2008,'M','N','CENTRO','STA MARIA','RS','120202201216471411333924575225610131014',8051,'9998',59.77,1,3,NULL),(20,5096219,'1991-01-15 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372731466912575122610137052',3765,'270',71.39,1,3,NULL),(20,5096235,'1990-02-15 00:00:00',4,1,11,2007,'F','N','CENTRO','STA RITA SAPUCAÍ','MG','113134251216371431378816435122610123142',6737,'9998',60.31,1,3,NULL),(20,5096243,'1977-02-18 00:00:00',5,1,12,1994,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241122373721248343435132333231097',13541,'307',51.29,1,2,1),(20,5096251,'1991-01-08 00:00:00',2,1,12,2008,'F','N','CHACARA DAS PEDRAS','PTO ALEGRE','RS','120243241437471411468923575124610165142',NULL,'798',30.37,1,3,NULL),(20,5096278,'1990-05-14 00:00:00',2,8,12,2007,'F','N','CRISTO REI','CURITIBA','PR','116162161211571411448813571124610162097',4357,'9998',67.98,3,3,NULL),(20,5096286,'1981-03-21 00:00:00',4,1,12,1998,'F','N','CAMPINAS','S JOSÉ','SC','124242241217473721247824435122332121097',8408,'270',61.12,1,3,NULL),(20,5096316,'1991-08-22 00:00:00',2,1,12,2008,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124201201115472431588823575124610166042',2712,'9998',72.55,1,2,1),(20,5096324,'1991-08-22 00:00:00',2,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124201201117372431388823575114221444052',1222,'9998',79.63,1,2,1),(20,5096340,'1992-10-15 00:00:00',4,1,12,2009,'F','N','LOURDES','CAXIAS SUL','RS','120202201217471411448933591122613215012',7223,'862',61.50,1,3,NULL),(20,5096359,'1988-12-08 00:00:00',4,1,11,2007,'M','N','RATONES','FLORIANÓPOLIS','SC','124244241415372431468833495123120764187',6526,'269',62.84,1,3,NULL),(20,5096367,'1989-07-28 00:00:00',4,1,12,2006,'M','N','CENTRO','STA MARIA','RS','120091091216571431347913575125610164097',NULL,'9998',0.00,1,3,NULL),(20,5096383,'1991-09-01 00:00:00',4,9,11,2009,'F','N','CENTRO','LAGES','SC','103032031216471431449913572124610137147',7234,'9998',60.27,4,3,NULL),(20,5096391,'1992-08-22 00:00:00',4,4,12,2009,'F','N','CENTRO','BOM J OESTE','SC','124241241125161431236321144125610133057',NULL,'94',0.00,1,3,NULL),(20,5096405,'1989-01-13 00:00:00',2,1,4,2007,'M','N','SERRARIA','S JOSÉ','SC','124241247336472231227624145114610127067',13554,'9999',49.36,1,3,NULL),(20,5096413,'1989-11-13 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241126371722556664445124610162187',NULL,'257',24.83,1,2,1),(20,5096430,'1991-10-13 00:00:00',2,1,7,2009,'F','N','FAZ SANTO ANTÔNIO','S JOSÉ','SC','124243241116373731438613345124610123147',10700,'739',54.85,1,3,NULL),(20,5096472,'1989-01-31 00:00:00',2,8,12,2006,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124244241215574431459813374114610165051',686,'486',83.29,1,3,NULL),(20,5096480,'1991-10-21 00:00:00',2,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124162161212211511349913245115610167042',5182,'9998',65.68,1,3,NULL),(20,5096499,'1992-05-28 00:00:00',4,2,12,2009,'F','N','VILA NOVA','BLUMENAU','SC','124241241216151431459914575124610164192',3060,'88',72.52,1,3,NULL),(20,5096502,'1992-05-14 00:00:00',2,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115471232543331395124610124045',NULL,'298',14.84,2,1,1),(20,5096510,'1991-02-24 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215372431468813572112610163017',10218,'1022',54.21,1,3,NULL),(20,5096529,'1992-03-14 00:00:00',2,4,12,2009,'F','N','CENTRO','ERECHIM','RS','120201201216211411448834575122610122197',NULL,'9998',47.50,1,3,NULL),(20,5096537,'1985-04-21 00:00:00',2,1,12,2002,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224161161117272441224459485122142714197',14625,'9998',46.81,1,2,1),(20,5096545,'1989-10-25 00:00:00',4,8,12,2006,'F','N','CENTRO','CASCAVEL','PR','116162161215571331356524572114610132146',750,'9998',82.46,3,3,NULL),(20,5096553,'1977-05-05 00:00:00',4,1,12,1995,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241248316374411328623375113610167147',NULL,'107',25.49,1,3,NULL),(20,5096570,'1991-10-21 00:00:00',4,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241214372431436614595114610127112',6764,'269',63.24,1,3,NULL),(20,5096588,'1992-10-07 00:00:00',2,4,12,2009,'F','N','INTERIOR','SERRA ALTA','SC','124241241145151732623816572324610136017',NULL,'765',18.96,1,2,1),(20,5096596,'1991-08-15 00:00:00',4,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241216372431223923345124610134082',14139,'944',46.57,1,3,NULL),(20,5096618,'1985-02-12 00:00:00',2,1,12,2006,'M','N','CENTRO','GAROPABA','SC','124241241121371441626414241334610117057',15469,'322',46.42,1,2,1),(20,5096626,'1991-03-26 00:00:00',2,4,12,2008,'M','N','JARDIM UNIVERSITÁRIO','PNT PORÃ','MS','112252252315271441436611571323610166052',NULL,'9998',0.00,1,3,NULL),(20,5096634,'1986-05-14 00:00:00',4,1,7,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241136575441313679575124121467045',1499,'281',78.88,1,3,NULL),(20,5096669,'1988-03-23 00:00:00',2,1,12,2004,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124201201216132731526844442134610167181',NULL,'9998',26.86,1,3,NULL),(20,5096677,'1992-04-19 00:00:00',4,4,12,2009,'F','N','CENTRO','ERECHIM','RS','120202201216411431368933575122610124047',NULL,'9998',0.00,1,3,NULL),(20,5096685,'1989-09-16 00:00:00',2,1,12,2008,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241335371411625331481224610131112',12806,'295',49.65,1,3,NULL),(20,5096715,'1993-05-27 00:00:00',4,2,12,2009,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241217271511437712575124610162112',10034,'909',58.09,1,3,NULL),(20,5096723,'1983-04-17 00:00:00',2,1,12,2000,'M','N','AREIAS','S JOSÉ','SC','124241241127372411326329285114610164047',NULL,'734',53.90,1,2,1),(20,5096731,'1992-01-09 00:00:00',2,1,12,2009,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241248415111731355632375124610124023',NULL,'1022',0.00,1,3,NULL),(20,5096740,'1989-10-04 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241217232431239844241124131068052',NULL,'269',44.36,1,3,NULL),(20,5096758,'1991-06-24 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241212472431448939445124610157142',6462,'738',63.47,1,3,NULL),(20,5096766,'1988-06-11 00:00:00',2,1,12,2006,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241248116373431313321345124610127047',NULL,'288',22.01,1,2,1),(20,5096774,'1991-03-22 00:00:00',4,2,12,2008,'M','N','BOA VISTA','RIO SUL','SC','124241241116273411323411382124610167047',13764,'659',46.83,1,2,1),(20,5096790,'1992-07-31 00:00:00',4,17,11,2009,'F','N','RIO NEGRO','S BENTO SUL','SC','124241241117131431433634575122610134017',15565,'697',42.36,4,2,1),(20,5096804,'1992-11-06 00:00:00',4,4,12,2009,'F','N','INTERIOR','SUL BRASIL','SC','124241241114162411353316375224610136142',5988,'775',63.08,1,3,NULL),(20,5096812,'1990-11-21 00:00:00',2,1,12,2007,'F','N','JARDIM JANAÍNA','BIGUAÇU','SC','124241241117273731525413382244610122187',NULL,'257',8.06,1,2,1),(20,5096839,'1990-07-27 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116253161216571411538831571225610147147',721,'9998',83.03,1,3,NULL),(20,5096847,'1992-12-09 00:00:00',4,1,12,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161217271431689712575124610165122',8240,'9998',60.02,1,3,NULL),(20,5096855,'1982-09-29 00:00:00',4,1,6,2000,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124202207211151421158713295114130231155',14002,'9998',50.39,1,3,NULL),(20,5096863,'1984-12-23 00:00:00',2,1,12,2003,'F','N','FLORESTA','S JOSÉ','SC','124244241315374221454623341124610114192',16327,'943',38.08,1,3,NULL),(20,5096880,'1991-03-27 00:00:00',2,1,11,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215372421478833475112130767042',NULL,'1022',20.96,1,3,NULL),(20,5096898,'1987-06-23 00:00:00',2,1,12,2005,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241117273441324724342124610142197',14825,'257',44.65,1,2,1),(20,5096901,'1989-11-08 00:00:00',2,5,12,2007,'F','N','CENTENÁRIO','TORRES','RS','120203201116131751535923391124610162047',4175,'9998',68.39,1,3,NULL),(20,5096910,'1992-01-12 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242243212472431458832592122610144092',14204,'270',48.19,1,3,NULL),(20,5096936,'1982-10-22 00:00:00',2,1,12,2009,'F','N','PRADO','BIGUAÇU','SC','224243247225131432333351282322610168182',NULL,'9999',14.20,1,3,NULL),(20,5096952,'1992-09-07 00:00:00',4,1,12,2009,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124242241215112431456933332114610124142',14709,'1022',48.70,1,3,NULL),(20,5096960,'1992-07-21 00:00:00',5,8,11,2009,'F','N','SAO MARCOS','JOINVILLE','SC','124242241217471411459823494124610133147',7799,'1105',60.58,4,3,NULL),(20,5096979,'1991-11-04 00:00:00',2,1,12,2008,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241116132411523314245124610165117',14954,'727',43.61,1,2,1),(20,5096987,'1950-11-23 00:00:00',4,1,12,1968,'M','N','CENTRO','FLORIANÓPOLIS','SC','224132136116132711638841415122341467191',NULL,'306',26.30,1,3,NULL),(20,5096995,'1987-11-09 00:00:00',2,1,11,2006,'M','N','BELA VISTA','S JOSÉ','SC','124191241136132311226744445124610127047',NULL,'9999',30.22,1,2,1),(20,5097002,'1991-11-12 00:00:00',2,1,12,2008,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241111473431425334272224610127183',14319,'292',47.14,1,2,1),(20,5097010,'1992-04-24 00:00:00',4,1,12,2009,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215372431578839571122610124145',8623,'262',58.34,1,3,NULL),(20,5097045,'1989-04-28 00:00:00',4,1,11,2006,'F','N','ASA NORTE','BRASÍLIA','DF','107072071216571431588831575122610137017',NULL,'9998',0.00,1,3,NULL),(20,5097053,'1962-03-08 00:00:00',2,1,7,1979,'M','N','REAL PARQUE','S JOSÉ','SC','224022028236161211346513232122140228041',NULL,'564',47.00,4,3,NULL),(20,5097061,'1988-11-16 00:00:00',2,9,10,2009,'M','N','SAGRADA FAMILHA','NOVA PRATA','RS','120203207137361711445652291124610123147',NULL,'9998',0.00,4,3,NULL),(20,5097070,'1990-11-24 00:00:00',2,3,11,2008,'M','N','BOQUEIRÃO','PASSO FUNDO','RS','120203201315132441626314582124610167047',1287,'1000',79.82,1,3,NULL),(20,5097134,'1990-09-27 00:00:00',4,8,11,2007,'M','N','ALTO TARUMA','PINHAIS','PR','116162161216474441448714585124610162092',5167,'9998',65.58,4,3,NULL),(20,5097142,'1991-03-06 00:00:00',2,7,12,2008,'M','N','REGINA','CATANDUVAS','SC','124241248116372451425634385122610114052',15158,'161',47.39,1,2,1),(20,5097150,'1990-03-18 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124241241217153711123374395114222268187',12054,'1076',54.28,1,3,NULL),(20,5097169,'1991-08-29 00:00:00',4,3,12,2008,'M','N','VILA ÉDIO','ARAPONGAS','PR','116164161117471431236923575111610137091',13440,'9998',49.49,1,3,NULL),(20,5097177,'1978-05-08 00:00:00',2,1,9,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243167147131431237944145121610147012',14223,'9998',49.89,1,3,NULL),(20,5097185,'1992-07-29 00:00:00',2,8,12,2009,'M','N','LENÇOL','S BENTO SUL','SC','124241241115271431445313395124610127187',11674,'697',51.87,1,2,1),(20,5097193,'1990-07-27 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247216471431365821475122610147112',13799,'9999',48.17,1,3,NULL),(20,5097207,'1991-10-09 00:00:00',4,1,12,2008,'F','N','NOVA BRASÍLIA','IMBITUBA','SC','124241241112472431426619491224610166152',NULL,'359',28.57,1,2,1),(20,5097215,'1992-02-06 00:00:00',4,1,10,2009,'F','N','MOSSUNGUE','CURITIBA','PR','116162161217111431388831574122610127112',NULL,'9998',0.00,1,3,NULL),(20,5097223,'1991-05-02 00:00:00',4,1,12,2008,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241217414431356933575124610117047',3705,'1022',71.36,1,3,NULL),(20,5097231,'1992-11-07 00:00:00',4,1,12,2009,'M','N','LIBERDADE','NOVO HAMBURGO','RS','120202201416271431367812275124610127042',6344,'9998',62.53,1,3,NULL),(20,5097240,'1991-12-07 00:00:00',4,4,12,2008,'F','N','ESPLANDA','CHAPECÓ','SC','124241241116372431533613341224610146142',11927,'174',50.59,1,2,1),(20,5097258,'1983-10-23 00:00:00',2,1,12,2001,'M','N','KOBRASOL','S JOSÉ','SC','124241241116135451116649392334120237017',2773,'525',74.21,1,2,1),(20,5097266,'1991-07-01 00:00:00',2,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111431436734475114610164187',14584,'1022',45.67,4,3,NULL),(20,5097274,'1988-07-18 00:00:00',4,8,12,2005,'M','N','CENTRO','CURITIBA','PR','125254251415572431556632592125131567042',5201,'9998',66.74,4,3,NULL),(20,5097282,'1992-02-05 00:00:00',4,17,11,2009,'M','N','CENTRO','CANOINHAS','SC','124242241216152431467733575122610167012',506,'154',84.55,1,3,NULL),(20,5097290,'1993-04-02 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431466314575122610167147',14695,'738',48.74,4,3,NULL),(20,5097312,'1991-08-06 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124202201215472431348639472114610168045',9172,'9998',57.29,1,3,NULL),(20,5097320,'1991-11-15 00:00:00',2,1,11,2009,'F','N','MORRINHOS','GAROPABA','SC','124242241215371431538412575122610147147',NULL,'362',13.83,1,3,NULL),(20,5097339,'1992-12-20 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241117371431336613575124610132142',NULL,'733',20.74,1,2,1),(20,5097355,'1992-04-02 00:00:00',4,8,12,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161235471431345824241334610127147',NULL,'9998',45.31,1,3,NULL),(20,5097371,'1989-08-02 00:00:00',4,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161216471411248839171122610168092',10062,'9998',54.69,1,3,NULL),(20,5097380,'1986-09-08 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124251241215373441356619345123133237062',NULL,'943',0.00,1,3,NULL),(20,5097398,'1992-08-12 00:00:00',4,8,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','116062161235111431356923572122610162197',13690,'9998',46.40,1,3,NULL),(20,5097401,'1991-10-06 00:00:00',4,6,12,2008,'F','N','ARMAÇÃO','PENHA','SC','124241248116271431536631276112610131147',NULL,'609',22.25,1,2,1),(20,5097410,'1986-08-08 00:00:00',2,1,11,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241217575431556622242124123262187',13639,'807',51.07,1,3,NULL),(20,5097428,'1991-11-21 00:00:00',4,1,11,2009,'M','N','CENTRO','S JOSÉ CAMPOS','SP','125124251415111511468931572125610117122',4843,'9998',67.50,1,3,NULL),(20,5097436,'1991-12-01 00:00:00',4,1,12,2008,'F','N','SANTANA','RIO SUL','SC','124242241215471731438352572122610134157',15929,'654',44.53,1,3,NULL),(20,5097444,'1990-06-24 00:00:00',4,1,12,2007,'F','N','SÃO FRANCISCO','CURITIBA','PR','116161161415571411469933135122610142097',NULL,'9998',0.00,1,3,NULL),(20,5097452,'1991-08-18 00:00:00',2,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244247427141411648634245134610117057',NULL,'9999',19.60,1,3,NULL),(20,5097460,'1992-11-26 00:00:00',2,1,10,2009,'F','N','CRISTO REI','CURITIBA','PR','116121161115471731436713535124610113147',3104,'9998',72.28,1,2,1),(20,5097487,'1991-10-14 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','624242248211372731436833291124610134171',NULL,'738',28.84,1,3,NULL),(20,5097495,'1991-08-28 00:00:00',4,1,12,2008,'M','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241125151731333311172324610128062',15846,'95',44.87,1,2,1),(20,5097509,'1990-05-10 00:00:00',2,1,12,2007,'F','N','PACHECOS','PALHOÇA','SC','124241241226372431446953375124610133187',NULL,'262',30.93,1,3,NULL),(20,5097517,'1977-12-31 00:00:00',2,8,12,1998,'M','N','GUANABARA','JOINVILLE','SC','224241246126132451223374282224331536072',9470,'485',59.14,1,2,1),(20,5097525,'1978-12-14 00:00:00',2,1,12,2001,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224241241146131431336844342122332912091',NULL,'360',25.05,1,2,1),(20,5097533,'1991-01-25 00:00:00',2,1,11,2008,'M','N','PEDRO LUDOVICO','GOIÂNIA','GO','109094091215411431538821575121610127077',NULL,'9998',0.00,4,3,NULL),(20,5097541,'1991-01-02 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115472751239913376124610124017',3400,'307',72.31,1,2,1),(20,5097550,'1989-11-01 00:00:00',4,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124092091216473431469622585114221462042',NULL,'9998',0.00,1,3,NULL),(20,5097568,'1990-12-22 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241316152421446812375124610161143',15852,'9997',44.83,1,3,NULL),(20,5097576,'1991-07-29 00:00:00',2,8,12,2008,'F','N','XAXIM','CURITIBA','PR','116161161116471431534329375124610134047',7244,'9998',63.00,4,2,1),(20,5097584,'1991-07-04 00:00:00',2,8,11,2008,'F','N','SITIO CERCADO','CURITIBA','PR','116161161111471431346834591124610166092',6582,'9998',63.05,1,2,1),(20,5097606,'1991-05-24 00:00:00',2,1,8,2009,'F','N','CRISTO REI','CURITIBA','PR','116121161115311431436713575124610124097',14169,'9998',47.30,1,2,1),(20,5097614,'1991-09-16 00:00:00',4,8,12,2008,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124242241217471421349814575124610164147',NULL,'1174',31.11,1,3,NULL),(20,5097622,'1990-10-25 00:00:00',4,9,11,2008,'M','N','SAGRADO C DE JESUS','LAGES','SC','124242241215371431479614575112610164193',5804,'497',66.45,4,3,NULL),(20,5097630,'1989-06-21 00:00:00',4,1,12,2008,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124254241135472431634821275114610168097',7782,'307',60.59,1,3,NULL),(20,5097649,'1991-03-14 00:00:00',2,1,12,2009,'M','N','CENTRO','CURITIBA','PR','116162161215131712248869576224610167017',2665,'262',73.12,4,3,NULL),(20,5097657,'1991-09-19 00:00:00',4,1,12,2008,'F','N','CIDADE PATRIARCA','S PAULO','SP','125254251115571731376612575112610162146',NULL,'9998',0.00,1,3,NULL),(20,5097665,'1990-10-29 00:00:00',4,9,12,2008,'M','N','SAGRADO CORAÇÃO','LAGES','SC','124242241234372431469911595112133262147',NULL,'497',0.00,1,3,NULL),(20,5097690,'1982-04-05 00:00:00',4,1,12,1999,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241236373411439619245122322038177',3644,'723',71.75,1,3,NULL),(20,5097703,'1991-10-10 00:00:00',2,1,12,2008,'M','N','PARQUE DA MATRIZ','CACHOEIRINHA','RS','120204201217471411336834245124610164047',NULL,'9998',25.48,1,3,NULL),(20,5097711,'1989-09-12 00:00:00',4,8,12,2006,'M','N','CENTRO','LAGES','SC','116242161217572731579832272125610167061',1773,'9998',76.36,1,3,NULL),(20,5097720,'1986-09-10 00:00:00',2,1,11,2005,'M','N','AREIAS','S JOSÉ','SC','124241247427371421336524245224130827092',NULL,'9999',43.05,1,3,NULL),(20,5097746,'1989-08-18 00:00:00',2,1,12,2006,'M','N','PAROLIN','CURITIBA','PR','116121161116572431136533576112610167045',NULL,'9998',0.00,1,2,1),(20,5097754,'1990-05-02 00:00:00',2,1,11,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241215373431348329575114122725017',5497,'738',67.09,1,3,NULL),(20,5097762,'1992-08-23 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241145371732535621372124610138072',NULL,'307',0.00,1,2,1),(20,5097789,'1992-02-06 00:00:00',4,5,12,2009,'F','N','PIO CORRÊA','CRICIÚMA','SC','124242246216371411459832575122610122047',13244,'188',48.36,1,3,NULL),(20,5097835,'1992-03-01 00:00:00',2,7,11,2008,'F','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241135112431459913332122610131142',NULL,'454',26.72,1,3,NULL),(20,5097843,'1985-07-24 00:00:00',2,1,12,2002,'M','N','PRESIDENTE ALTINO','OSASCO','SP','125251251116151441456813485124341734187',12270,'9998',53.83,1,2,1),(20,5097851,'1991-03-31 00:00:00',2,8,12,2008,'F','N','CAPÃO DA IMBUIA','CURITIBA','PR','116162161215471411338823375134610167141',10757,'9998',52.61,1,3,NULL),(20,5097878,'1970-07-31 00:00:00',2,1,7,1996,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','624241247346132451423358285124330828187',NULL,'9999',41.49,2,1,2),(20,5097886,'1989-05-10 00:00:00',2,8,12,2006,'M','N','CAJURU','CURITIBA','PR','116161161216573431454824442124610124182',518,'9998',84.43,3,3,NULL),(20,5097908,'1990-08-04 00:00:00',2,1,12,2007,'F','N','CENTENÁRIO','SAPIRANGA','RS','120201206117471431336834585122610163047',11108,'9998',53.58,1,2,1),(20,5097924,'1989-04-03 00:00:00',2,1,12,2006,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215134431548823394134230261167',15225,'260',47.18,1,3,NULL),(20,5097940,'1992-01-08 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241217472411459611575114610124192',1396,'1000',78.47,1,3,NULL),(20,5097959,'1991-07-29 00:00:00',2,4,12,2009,'M','N','VILA ESTRELA','AMAMBAÍ','MS','112121242115131431426911215111610167077',NULL,'196',42.24,1,3,NULL),(20,5097967,'1988-07-17 00:00:00',4,1,12,2005,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241248116372232428344345324610124197',NULL,'727',18.76,4,2,1),(20,5097975,'1974-01-08 00:00:00',4,1,12,2006,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','524243247427141421434644145124130423187',NULL,'9999',29.66,1,3,NULL),(20,5097983,'1992-11-22 00:00:00',4,6,12,2009,'F','N','ARMAÇÃO','PENHA','SC','124241248117161431536631275112610134147',NULL,'609',23.35,1,2,1),(20,5098009,'1981-03-31 00:00:00',2,1,12,1999,'F','N','INGLESES','FLORIANÓPOLIS','SC','524202204337571411128741412124610168187',NULL,'9998',0.00,1,3,NULL),(20,5098017,'1985-10-06 00:00:00',4,1,12,2002,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224131131116371421236643435132610124143',15774,'9998',42.86,4,3,NULL),(20,5098025,'1990-03-21 00:00:00',4,15,12,2007,'F','N','CENTRO','ARARANGUÁ','SC','124242241216142431434814432122130411055',12856,'970',52.62,1,3,NULL),(20,5098033,'1985-04-24 00:00:00',2,1,2,2003,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124112111116131751237728342334142226047',16232,'9998',42.18,1,3,NULL),(20,5098041,'1993-03-11 00:00:00',4,15,12,2009,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215372431459914571122610123092',5037,'970',67.34,1,3,NULL),(20,5098050,'1991-11-29 00:00:00',4,17,12,2009,'F','N','ALTO DE MAFRA','MAFRA','SC','124241241116271511658713571112610144013',NULL,'542',27.28,1,2,1),(20,5098076,'1990-07-10 00:00:00',2,15,12,2007,'F','N','LIVRAMENTO','TURVO','SC','124242241211573431434715574122610162186',4472,'270',69.60,1,3,NULL),(20,5098092,'1989-11-27 00:00:00',2,1,11,2006,'F','N','ZONA TRES','CIANORTE','PR','116162161236571431446923575112140426182',6106,'9998',62.28,1,3,NULL),(20,5098106,'1991-04-29 00:00:00',4,1,12,2008,'M','N','JARDIM PAULISTA','S PAULO','SP','125252251237371431488962575112610137112',NULL,'9998',0.00,1,3,NULL),(20,5098122,'1989-03-13 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117473431646622134132231143097',11676,'306',54.98,1,2,1),(20,5098130,'1992-03-07 00:00:00',4,1,12,2009,'F','N','CENTRO','NONOAI','RS','120201201117131331442613435125610127042',NULL,'9998',0.00,1,2,1),(20,5098149,'1992-07-13 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241216111431423624275124610137092',11281,'299',54.51,1,3,NULL),(20,5098157,'1992-12-21 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124242241215472431566632595125610147127',186,'185',88.14,1,3,NULL),(20,5098165,'1988-03-27 00:00:00',2,8,12,2006,'M','N','JD BANDEIRANTES','TELÊMACO BORBA','PR','116161161146131432434474245133141037172',13726,'9998',47.25,1,2,1),(20,5098181,'1990-02-18 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241226573431238914244124610146187',12534,'524',49.21,1,3,NULL),(20,5098190,'1991-05-22 00:00:00',4,8,9,2007,'M','N','ATIRADORES','JOINVILLE','SC','124142241217474411236612572111230717052',9874,'932',58.41,4,3,NULL),(20,5098203,'1988-04-09 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241415474232338311575122131267052',NULL,'901',19.66,1,3,NULL),(20,5098220,'1989-05-18 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241147371431335613341124610117041',NULL,'283',19.69,1,2,1),(20,5098238,'1991-06-28 00:00:00',4,3,10,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161217411221339922325132610167112',NULL,'9998',0.00,1,3,NULL),(20,5098246,'1990-10-25 00:00:00',2,15,11,2008,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241215272431549631475122610167062',4403,'32',69.77,1,3,NULL),(20,5098254,'1992-05-09 00:00:00',4,6,12,2009,'F','N','FAZENDA','ITAJAÍ','SC','124242241215372411437714575122610122142',10050,'1172',55.33,1,3,NULL),(20,5098297,'1990-07-07 00:00:00',2,1,12,2009,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241247222111421634511115123610117042',NULL,'9999',0.67,4,3,NULL),(20,5098300,'1983-02-23 00:00:00',4,1,12,1999,'F','N','CENTRO','DOIS VIZINHOS','PR','224161161336271731253354275122343261147',5291,'9998',65.21,1,3,NULL),(20,5098319,'1991-08-20 00:00:00',2,1,11,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216273431259613385122610127055',8615,'951',57.93,1,3,NULL),(20,5098327,'1991-08-13 00:00:00',4,1,12,2008,'F','N','CENTRO','MARINGÁ','PR','116162161216472431364832571122610165122',NULL,'9998',0.00,1,3,NULL),(20,5098335,'1988-04-17 00:00:00',4,1,12,2005,'M','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124242248227112611449813492121231464021',NULL,'262',0.00,1,3,NULL),(20,5098343,'1990-09-06 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224161241116132451226549292124610161047',15075,'281',47.64,1,2,1),(20,5098351,'1992-06-21 00:00:00',4,17,11,2009,'F','N','CENTRO','CANOINHAS','SC','116162161215471431369834472122610124042',NULL,'9998',0.00,1,3,NULL),(20,5098378,'1991-12-04 00:00:00',2,9,12,2008,'F','N','CENTRO','POUSO REDONDO','SC','124244241211372411458814571124610145142',13678,'9997',46.17,1,3,NULL),(20,5098386,'1990-10-22 00:00:00',2,15,12,2007,'M','N','CENTRO','BOM RER SUL','RS','120201201116571431337612172225610137057',2146,'9998',76.39,1,2,1),(20,5098394,'1991-10-28 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215472231268932275114610167182',15601,'991',45.88,4,3,NULL),(20,5098408,'1991-07-01 00:00:00',4,1,12,2008,'F','N','CENTRO','UNIÃO VITÓRIA','PR','116243241215372431339923575124610162147',7326,'632',60.27,1,3,NULL),(20,5098432,'1988-09-20 00:00:00',4,1,12,2006,'M','N','JARDIM MARIA AUGUSTA','TAUBATÉ','SP','125254251215571431558833274111610134077',14320,'9998',46.92,4,3,NULL),(20,5098459,'1993-01-13 00:00:00',4,6,12,2009,'F','N','FAZENDA','ITAJAÍ','SC','124242241235141431246923395124610166096',NULL,'388',27.93,4,3,NULL),(20,5098467,'1990-12-24 00:00:00',4,1,12,2009,'F','N','HAUER','CURITIBA','PR','116163161436141411328833445124610122097',NULL,'9998',18.55,1,3,NULL),(20,5098483,'1988-03-12 00:00:00',2,1,12,2005,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122161215571731449933575124610127015',7034,'9998',61.11,1,3,NULL),(20,5098491,'1992-05-12 00:00:00',4,1,11,2009,'F','N','REBOUÇAS','CURITIBA','PR','116254161217111731457913585125610163187',NULL,'9998',30.87,1,3,NULL),(20,5098521,'1989-01-18 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241116273431468814374124610121182',6169,'267',65.18,1,2,1),(20,5098530,'1984-11-16 00:00:00',4,1,11,2002,'M','N','JUVEVÊ','CURITIBA','PR','116162161217271231469714215122341237052',7594,'9998',59.46,1,3,NULL),(20,5098556,'1989-05-21 00:00:00',2,8,12,2006,'F','N','BOM RETIRO','JOINVILLE','SC','124241241116473221233374342114610118142',NULL,'50',45.34,3,2,1),(20,5098564,'1992-03-17 00:00:00',2,4,12,2009,'F','N','CENTRO','PASSOS MAIA','SC','124241241126161431438933475122610137057',NULL,'606',27.93,3,2,1),(20,5098572,'1989-05-17 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217374411348832574122130232012',931,'1036',81.70,4,1,2),(20,5098580,'1992-07-25 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241125141731433614242124610121067',NULL,'592',23.31,1,2,1),(20,5098599,'1992-04-26 00:00:00',4,3,12,2009,'F','N','CENTRO','IRATI','PR','116162161215121731446614172122610134077',5565,'9998',64.42,1,3,NULL),(20,5098602,'1990-02-13 00:00:00',4,6,12,2007,'M','N','FAZENDA','ITAJAÍ','SC','124242241215572431456879375125610124092',5193,'389',67.85,1,3,NULL),(20,5098610,'1990-11-13 00:00:00',4,15,12,2008,'F','N','SÃO LUIZ','SOMBRIO','SC','124241241146151731533314245121610137187',NULL,'1033',25.41,1,3,NULL),(20,5098629,'1992-02-22 00:00:00',2,1,12,2009,'F','N','SOLAR DO AGRESTE B','RIO VERDE','GO','109092091216371431436816575122610124072',NULL,'9998',31.97,4,3,NULL),(20,5098637,'1991-05-06 00:00:00',4,1,6,2009,'M','N','MAR GROSSO','LAGUNA','SC','124242281237371431478811592315610164062',NULL,'9998',30.69,1,3,NULL),(20,5098645,'1992-10-25 01:00:00',4,5,10,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241217273431337923585125610168182',7099,'211',62.13,1,3,NULL),(20,5098661,'1993-02-02 00:00:00',4,1,12,2009,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241115161431326923575124610137087',16262,'772',41.53,1,2,1),(20,5098670,'1991-09-14 00:00:00',4,1,11,2009,'M','N','CENTRO','PALHOÇA','SC','124242241211111431278429574112610112182',8683,'270',60.57,1,3,NULL),(20,5098696,'1990-08-29 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217473431456611572124231467043',14397,'884',49.48,1,3,NULL),(20,5098700,'1991-08-12 00:00:00',4,1,12,2008,'M','N','RECANTO TROPICAL','CASCAVEL','PR','116162161217471411359923475122610164112',4102,'9998',69.26,1,3,NULL),(20,5098726,'1992-08-01 00:00:00',4,1,12,2009,'M','N','CENTRO','FRAIBURGO','SC','124242241216112711349911575112610114192',7886,'885',62.05,1,3,NULL),(20,5098734,'1988-05-11 00:00:00',2,1,7,2007,'M','N','SERTÃO DO IMARUÍM','S JOSÉ','SC','124241241115271431356623345134610122182',10511,'306',54.67,1,2,1),(20,5098750,'1992-12-23 00:00:00',4,1,12,2009,'M','N','JARDIM FAZENDARINCÃO','ARUJÁ','SP','125254251116371431468931575124610157057',NULL,'9998',0.00,4,1,2),(20,5098769,'1991-12-11 00:00:00',4,16,12,2009,'M','N','PRAIA DE ITPARICA','VL VELHA','ES','108082081217111431488612595122610167052',NULL,'9998',0.00,1,3,NULL),(20,5098777,'1988-09-14 00:00:00',2,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124241241121271721223344442341610122182',NULL,'818',42.36,1,3,NULL),(20,5098785,'1992-07-03 00:00:00',2,1,12,2009,'F','N','IDEAL','NOVO HAMBURGO','RS','120202201216371431457812275122610163154',NULL,'9998',26.89,1,3,NULL),(20,5098793,'1991-04-11 00:00:00',4,1,12,2008,'M','N','VILA MELO','S VICENTE','SP','125252251215471731448619471122610127047',NULL,'9998',0.00,2,3,NULL),(20,5098807,'1992-08-17 00:00:00',4,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124241241135131431336611575122610124092',NULL,'729',20.22,4,2,1),(20,5098815,'1990-11-01 00:00:00',2,8,12,2007,'M','N','MERCÊS','CURITIBA','PR','116161161216571411445814571122610115017',482,'9998',84.72,1,3,NULL),(20,5098823,'1990-11-03 00:00:00',4,8,12,2008,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161215411731478822585124610163097',15747,'9998',45.29,1,3,NULL),(20,5098831,'1993-05-03 00:00:00',4,5,11,2010,'F','S','COMERCIÁRIO','CRICIÚMA','SC','124242241215111731467712575122610122123',NULL,'211',23.41,1,3,NULL),(20,5098858,'1986-12-28 00:00:00',2,1,12,2004,'F','N','CALHEIROS','GOV CELSO RAMOS','SC','124243241116273451446933445124332016187',9608,'307',56.85,1,3,NULL),(20,5098874,'1990-09-04 00:00:00',2,1,11,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241216333431464751575124230242077',NULL,'270',0.00,1,3,NULL),(20,5098882,'1983-10-24 00:00:00',4,1,12,2002,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201201126231421213314285123143218187',7423,'9998',62.97,1,2,1),(20,5098890,'1990-11-04 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241415373431556313345122610164092',NULL,'1022',0.00,1,3,NULL),(20,5098920,'1992-03-19 00:00:00',4,2,11,2009,'M','N','MALUCHE','BRUSQUE','SC','124242241217111431468611375112610137041',10498,'1123',56.60,1,3,NULL),(20,5098947,'1991-08-24 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472431379913574122610154182',131,'270',89.46,1,3,NULL),(20,5098955,'1992-01-24 00:00:00',4,8,11,2009,'F','N','AMERICA','JOINVILLE','SC','124242241216111431369831575122610162185',13710,'457',46.20,1,3,NULL),(20,5098963,'1989-04-22 00:00:00',2,1,12,2006,'F','N','ZONA SETE','MARINGÁ','PR','116164161316571431448812575122140627142',3507,'9998',72.13,1,3,NULL),(20,5098998,'1991-12-18 00:00:00',2,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124241241215111431624611575122610127047',4117,'213',70.55,1,3,NULL),(20,5099005,'1992-05-05 00:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241215112431436612274124610126127',8801,'1038',59.14,1,3,NULL),(20,5099030,'1989-02-03 00:00:00',4,1,12,2008,'F','N','SÃO FRANCISCO XAXIER','DOIS VIZINHOS','PR','116161161336471751443532415122610162036',NULL,'9998',0.00,1,3,NULL),(20,5099048,'1983-03-08 00:00:00',2,1,12,2001,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241126475741533414345334610127057',NULL,'294',33.46,1,2,1),(20,5099056,'1990-02-14 00:00:00',4,1,12,2007,'F','N','FLORESTA','S JOSÉ','SC','124242241216272431346713495122231964052',NULL,'738',0.00,3,3,NULL),(20,5099064,'1991-04-20 00:00:00',2,1,12,2009,'F','N','CENTRO','TELÊMACO BORBA','PR','116163161317311731458714492122610147147',NULL,'9998',16.50,1,3,NULL),(20,5099099,'1989-06-10 00:00:00',2,8,12,2006,'F','N','CENTRO','NUPORANGA','SP','125252251211541221536521571124610124197',NULL,'9998',0.00,1,3,NULL),(20,5099110,'1992-07-20 00:00:00',4,1,11,2009,'F','N','SERRARIA','S JOSÉ','SC','124244241215372751456619395124610168072',NULL,'976',34.44,1,3,NULL),(20,5099129,'1992-06-24 00:00:00',2,1,11,2009,'M','N','BIGORRILHO','CURITIBA','PR','116164161217471731436824575121610167112',NULL,'9998',18.09,1,3,NULL),(20,5099137,'1991-12-31 00:00:00',2,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215112431437634575124610138053',6877,'1022',63.25,1,3,NULL),(20,5099145,'1989-05-11 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217472711679931285124220766177',2503,'44',75.07,1,3,NULL),(20,5099153,'1991-07-27 00:00:00',4,5,7,2009,'F','N','QUARTA LINHA','CRICIÚMA','SC','124243241216371431543319575124610164142',NULL,'995',30.88,1,3,NULL),(20,5099161,'1985-05-02 00:00:00',2,1,12,2002,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241116475731543414246134610124147',11869,'307',54.62,1,2,1),(20,5099170,'1991-04-21 00:00:00',4,4,12,2008,'M','N','CENTRO','ITAPIRANGA','SC','124241241116151431336923572122610127042',8686,'412',58.78,1,2,1),(20,5099188,'1991-10-04 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431477832572122610147117',5130,'262',66.49,1,3,NULL),(20,5099200,'1992-07-17 00:00:00',4,7,12,2009,'M','N','MUNDINHO','MINEIROS','GO','109244091216111431369714175112610134052',NULL,'9998',28.95,1,3,NULL),(20,5099218,'1992-11-26 00:00:00',4,5,11,2009,'F','N','CENTRO','URUSSANGA','SC','124242241215122431548932474122610136112',8996,'226',59.97,1,3,NULL),(20,5099226,'1991-03-07 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216573441369911175114610164017',4800,'270',68.74,1,3,NULL),(20,5099242,'1991-02-23 00:00:00',2,7,12,2009,'F','N','INTERIOR','HERVAL D OESTE','SC','124241243115161751533375572324610141147',6592,'341',62.86,1,2,1),(20,5099250,'1992-03-27 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124244241215111431426521396122610164072',9678,'1134',58.10,1,3,NULL),(20,5099277,'1991-08-08 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241142142431423434245123610137057',16128,'592',39.59,1,2,1),(20,5099285,'1992-10-18 00:00:00',2,4,12,2009,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241115131431533411175122610138072',12579,'169',49.94,1,2,1),(20,5099293,'1991-02-21 00:00:00',4,1,12,2008,'M','N','JARDIM DA PENHA','VITÓRIA','ES','108081082116271411446831575124141442182',2105,'9998',74.83,1,2,1),(20,5099307,'1989-12-10 00:00:00',2,1,12,2006,'F','N','DANIELA','FLORIANÓPOLIS','SC','224241241115371431226311342124610166142',NULL,'733',0.00,1,2,1),(20,5099323,'1991-10-28 00:00:00',4,1,11,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241216121731458814572124610124012',582,'270',83.74,1,3,NULL),(20,5099331,'1988-04-19 00:00:00',2,1,11,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431546614472114133217041',9654,'270',58.81,1,3,NULL),(20,5099340,'1993-06-21 00:00:00',4,2,12,2010,'M','S','CENTRO','GASPAR','SC','124242241215171731465812292122610138142',NULL,'909',63.23,1,3,NULL),(20,5099358,'1989-05-16 00:00:00',4,10,12,2006,'M','N','MAGALHÃES','LAGUNA','SC','124246241626371431526823275112133237052',15284,'524',47.01,1,3,NULL),(20,5099366,'1992-09-13 00:00:00',4,8,12,2009,'M','N','AHU','CURITIBA','PR','116162161215421341489813575112610125047',4514,'9998',68.28,1,3,NULL),(20,5099374,'1988-01-16 00:00:00',4,1,12,2005,'M','N','CAMBUÍ','CAMPINAS','SP','125251251115471431456933471122610127047',15022,'9998',47.79,1,2,1),(20,5099382,'1992-06-24 00:00:00',4,2,12,2009,'F','N','GARCIA','BLUMENAU','SC','124242241215272331238834272122610122092',13507,'855',48.98,1,3,NULL),(20,5099390,'1991-05-11 00:00:00',2,1,12,2008,'F','N','CENTRO','TIJUCAS','SC','124242246215473451536823375121610167091',9115,'1119',57.47,1,3,NULL),(20,5099404,'1991-03-25 00:00:00',4,1,11,2008,'F','N','CITY RIBEIRAO','RIBEIRÃO PRETO','SP','125252251217472431388911572112610162094',4107,'9998',68.37,1,3,NULL),(20,5099412,'1991-03-21 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242231215473431469923575122610133072',130,'270',89.47,1,3,NULL),(20,5099420,'1992-05-19 00:00:00',4,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241437111431538823575114610161142',11113,'1022',56.04,1,3,NULL),(20,5099439,'1991-11-13 00:00:00',4,1,11,2008,'M','N','CABRAL','CURITIBA','PR','116164161416122451448514575125610167042',NULL,'9998',0.00,2,1,2),(20,5099447,'1977-04-23 00:00:00',2,1,3,1994,'M','N','ALTO DA XV','CURITIBA','PR','516214213237131411128849395225341668182',5106,'9998',68.06,1,3,NULL),(20,5099455,'1992-10-21 00:00:00',4,8,11,2009,'M','N','VISTA ALEGE','CURITIBA','PR','116162161211111431479934572122610167127',NULL,'9998',0.00,1,3,NULL),(20,5099463,'1992-02-10 00:00:00',2,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241216111431348632172122610167052',13634,'723',48.70,1,3,NULL),(20,5099471,'1992-03-29 00:00:00',4,1,11,2009,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242246237111731436824372125610137042',NULL,'1090',0.00,1,3,NULL),(20,5099498,'1989-02-27 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216474711358812295115610167042',9559,'44',57.23,1,3,NULL),(20,5099501,'1992-01-09 00:00:00',4,8,11,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215371331458914375122610167092',7615,'424',60.78,1,3,NULL),(20,5099510,'1990-05-23 00:00:00',4,3,12,2007,'F','N','ROSARIO','STA MARIA','RS','120203201116471431468911575122243232047',3421,'9998',71.02,1,3,NULL),(20,5099528,'1988-11-10 00:00:00',2,1,11,2008,'M','N','JD CHAPADÃO','CAMPINAS','SP','125254256217332711528818285124610128117',NULL,'9998',0.00,1,3,NULL),(20,5099544,'1990-03-08 00:00:00',4,8,12,2007,'F','N','CENTRO','SUZANO','SP','125251251116571231558811472114610134197',NULL,'9998',NULL,3,2,1),(20,5099552,'1991-07-17 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115572431536334575114610134077',13441,'293',48.34,1,2,1),(20,5099560,'1992-01-28 00:00:00',4,17,12,2009,'M','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','116242161217471431468821572125610127122',6040,'9998',65.08,1,3,NULL),(20,5099579,'1989-04-02 00:00:00',2,1,11,2007,'F','N','RIO TAVAREZ','FLORIANÓPOLIS','SC','124252258217131411628841315321610131091',NULL,'9998',40.52,1,3,NULL),(20,5099609,'1986-07-21 00:00:00',2,1,12,2003,'F','N','NONOAI','PTO ALEGRE','RS','220202201216471431359613475124610136097',NULL,'9998',0.00,1,3,NULL),(20,5099617,'1991-05-08 00:00:00',2,8,12,2008,'F','N','JARDIM PORTO ALEGRE','TOLEDO','PR','116161161215471431457932572122610121017',NULL,'9998',37.47,4,3,NULL),(20,5099625,'1977-01-30 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124111113127134421321244146334220562197',NULL,'9998',0.00,4,3,NULL),(20,5099633,'1990-04-29 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115473411436813285124233254187',12730,'307',50.51,1,3,NULL),(20,5099641,'1990-10-10 00:00:00',4,1,12,2008,'M','N','JARDIM EUROPA','ASSIS','SP','125252251215471431459914375122610127044',NULL,'9998',0.00,1,3,NULL),(20,5099650,'1991-05-09 00:00:00',4,1,10,2008,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215472431578833392124231127042',1802,'1169',77.58,1,3,NULL),(20,5099668,'1987-10-05 00:00:00',2,1,12,2005,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124243241126371431325329285124610128047',15101,'307',47.57,1,3,NULL),(20,5099676,'1991-11-21 00:00:00',4,1,12,2008,'F','N','NOVA PIRACICABA','PIRACICABA','SP','125252251217571431469931572114610146142',7527,'9998',61.84,1,3,NULL),(20,5099684,'1990-05-08 00:00:00',2,1,12,2007,'M','N','JARDIM CIDADE','S JOSÉ','SC','124241241116372321435613435124610112041',11294,'726',55.71,1,2,1),(20,5099692,'1962-04-07 00:00:00',4,1,12,1980,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','224251253146153751344459215124323067147',NULL,'9998',50.37,3,2,1),(20,5099706,'1991-10-02 00:00:00',2,4,12,2008,'M','N','CENTRO','QUILOMBO','SC','124241162117271431329613575122610157057',NULL,'9998',47.35,1,2,1),(20,5099722,'1987-08-08 00:00:00',4,1,12,2005,'M','N','CH RECREIO ALVORADA','HORTOLÂNDIA','SP','125251251127311431436434381224610134047',9005,'9998',58.14,2,1,1),(20,5099730,'1992-03-20 00:00:00',2,1,11,2009,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124244241215122451279921572124610123183',NULL,'270',0.00,1,3,NULL),(20,5099757,'1990-03-03 00:00:00',4,8,12,2006,'F','N','COSTA E SILVA','JOINVILLE','SC','124241246215575731456614574124610124147',857,'494',82.14,1,3,NULL),(20,5099773,'1992-03-09 00:00:00',4,1,12,2009,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241115471331535319575124610123147',NULL,'1088',38.80,1,2,1),(20,5099781,'1991-01-09 00:00:00',4,17,12,2008,'M','N','CENTRO','CANOINHAS','SC','124242161216472431538834595112610134043',NULL,'9998',24.89,1,3,NULL),(20,5099803,'1992-05-24 00:00:00',4,9,12,2009,'M','N','UNIVERSITÁRIO','LAGES','SC','120244201216111431645812575125610164147',NULL,'9998',0.00,1,3,NULL),(20,5099820,'1986-04-17 00:00:00',4,8,12,2003,'F','N','BATEL','CURITIBA','PR','116162161216472731579833594122340622112',926,'9998',81.44,1,3,NULL),(20,5099838,'1981-06-12 00:00:00',4,1,12,1998,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','424241241117373431446411385124120221187',NULL,'293',35.20,1,2,1),(20,5099846,'1992-09-15 00:00:00',2,1,12,2009,'F','N','MOSSUNGUÊ','CURITIBA','PR','116162161215111751579911575122610168072',NULL,'9998',0.00,1,3,NULL),(20,5099854,'1986-12-20 00:00:00',2,1,12,2004,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241126274411536319242122230227057',NULL,'772',33.87,1,2,1),(20,5099862,'1989-09-26 00:00:00',2,1,8,2007,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241115572441546623335134610125141',4864,'739',68.69,1,3,NULL),(20,5099870,'1990-12-08 00:00:00',2,6,12,2008,'F','N','FAZENDA','ITAJAÍ','SC','124242241216371411436834341124610116092',7821,'1172',61.93,1,3,NULL),(20,5099889,'1992-02-08 00:00:00',2,1,11,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124242241215111231336313571124610126052',4110,'270',69.73,1,3,NULL),(20,5099897,'1992-10-31 00:00:00',2,1,12,2009,'F','N','CENTRO','GAROPABA','SC','124241241146271431523312275125610162073',16141,'322',43.14,1,2,1),(20,5099900,'1992-04-20 00:00:00',4,10,11,2009,'F','N','VILA ESPERANÇA','IMBITUBA','SC','124241241115112421527214572224610124152',NULL,'359',0.00,1,2,1),(20,5099919,'1990-07-13 00:00:00',2,5,12,2007,'F','N','SAMUEL SANDRINI','ORLEANS','SC','124241241117273432634611346132130227142',NULL,'580',26.01,1,2,1),(20,5099927,'1992-01-08 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242248215111431459711375112610137045',12399,'9997',53.56,1,3,NULL),(20,5099935,'1972-11-20 00:00:00',4,8,12,1993,'M','N','AGAPEAMA','JUNDIAÍ','SP','125251251136152531468413475122610134147',13768,'9998',48.25,1,2,1),(20,5099943,'1992-11-18 00:00:00',2,1,12,2009,'M','N','CENTRO','SOMBRIO','SC','124241241117371531249313385112610167052',NULL,'1033',28.06,1,3,NULL),(20,5099951,'1990-03-21 00:00:00',4,10,12,2007,'M','N','CENTRO','LAGUNA','SC','124242241215371431558934572122610167112',NULL,'525',37.40,1,3,NULL),(20,5099960,'1993-04-26 00:00:00',4,4,12,2009,'F','N','CENTRO','PALMITOS','SC','124244241217151431455939574124610166171',NULL,'1046',41.52,1,3,NULL),(20,5099978,'1989-04-12 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124283241317112711468812592124610142092',NULL,'272',19.59,3,3,NULL),(20,5099986,'1991-12-22 00:00:00',4,1,12,2008,'M','N','PROTASIO ALVES','PTO ALEGRE','RS','120202201116471431469933595114610148077',8152,'9998',61.56,4,3,NULL),(20,5099994,'1988-10-29 00:00:00',4,1,12,2005,'F','N','PARQUE VERDE','CASCAVEL','PR','116162161215371331434412282122240264152',NULL,'9998',0.00,1,3,NULL),(20,5100003,'1992-02-18 00:00:00',4,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241217131431226724376122610123141',NULL,'1074',30.94,3,3,NULL),(20,5100011,'1992-07-22 00:00:00',2,4,12,2009,'F','N','CENTRO','TUNÁPOLIS','SC','124241241136132431438633575124610137077',NULL,'812',0.00,1,2,1),(20,5100038,'1971-09-04 00:00:00',2,1,12,1993,'F','N','INGLESES','FLORIANÓPOLIS','SC','624201207226231721223141115334140237187',NULL,'9998',0.00,1,3,NULL),(20,5100046,'1992-03-12 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241235321431359923595124610166142',NULL,'299',39.73,1,3,NULL),(20,5100054,'1987-11-27 00:00:00',2,1,11,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241415373431636833575124130264072',7972,'1022',59.75,1,3,NULL),(20,5100062,'1991-12-15 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624241241147131631226673285124131066182',NULL,'521',28.98,1,3,NULL),(20,5100089,'1994-07-01 00:00:00',4,1,11,2011,'M','S','CAMPINAS','S JOSÉ','SC','124242241215111431438633575124610138143',NULL,'1022',57.22,1,3,NULL),(20,5100100,'1992-11-01 00:00:00',4,1,12,2009,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241248116131411426534575122610112082',NULL,'278',23.65,1,2,1),(20,5100119,'1991-12-30 00:00:00',4,8,12,2008,'F','N','JARDIM BOTÂNICO','CURITIBA','PR','116072071235471431368933314124610133112',3231,'9998',71.68,1,3,NULL),(20,5100127,'1992-08-03 00:00:00',2,1,12,2009,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241215111411424633575125610124182',NULL,'1119',28.56,1,3,NULL),(20,5100135,'1985-12-26 00:00:00',2,1,12,2006,'M','N','CAMPINAS','S JOSÉ','SC','124241248122142712324424282244610124197',NULL,'9997',16.20,1,2,1),(20,5100151,'1990-10-25 00:00:00',4,17,12,2009,'M','N','SANTA MARIA','MTE CASTELO','SC','124201241137161531449713285121610148147',NULL,'566',17.79,1,2,1),(20,5100160,'1992-01-25 00:00:00',4,5,12,2009,'M','N','PIO CORREA','CRICIÚMA','SC','124242241217371411228921571125610164172',5882,'211',66.27,1,3,NULL),(20,5100186,'1992-02-20 00:00:00',4,1,12,2008,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161215411332325821574322610123057',15357,'9998',46.74,1,3,NULL),(20,5100194,'1991-04-02 00:00:00',4,8,10,2008,'M','N','CONDOMÍNIO B','FOZ IGUAÇU','PR','116162161217471441579814575124610134052',998,'9998',81.32,1,3,NULL),(20,5100208,'1990-04-27 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116132411323411471224610138142',NULL,'288',22.23,1,3,NULL),(20,5100224,'1984-06-19 00:00:00',2,1,12,2002,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241427573431223354385124610128047',15059,'9997',47.70,3,3,NULL),(20,5100232,'1988-07-08 00:00:00',2,1,11,2005,'F','N','CENTRO','PALHOÇA','SC','124241241111374421333319495114610122147',11153,'591',54.03,1,2,1),(20,5100240,'1992-05-27 00:00:00',1,2,11,2009,'M','N','BELCHIOR','GASPAR','SC','124241241217111431469912391121610167187',9965,'88',56.02,1,3,NULL),(20,5100259,'1991-07-17 00:00:00',4,8,11,2008,'F','N','CAMILÓPOLIS','STO ANDRÉ','SP','125252251217471531378614575122610162152',8731,'9998',56.79,1,3,NULL),(20,5100275,'1991-08-27 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241211472411576612345124610162187',4973,'1118',66.12,1,3,NULL),(20,5100283,'1992-03-29 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431559914572122610167061',2570,'270',74.68,1,3,NULL),(20,5100291,'1986-12-07 00:00:00',2,1,12,2004,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124201202116143711443334345124230267057',13859,'9998',46.91,1,2,1),(20,5100305,'1990-07-05 00:00:00',2,3,12,2007,'F','N','CENTRO','CAMBARÁ','PR','116162161116472431337923575125610114097',NULL,'9998',0.00,1,3,NULL),(20,5100313,'1990-01-03 00:00:00',2,1,12,2006,'F','N','RIBEIRÃO FRESCO','BLUMENAU','SC','124241241215473431458833422122132664192',NULL,'499',27.70,1,3,NULL),(20,5100321,'1992-01-23 00:00:00',4,1,11,2009,'M','N','PRAIA DO MORRO','GUARAPARI','ES','108082081217121431479934575122610137092',NULL,'9998',NULL,1,3,NULL),(20,5100330,'1987-09-13 00:00:00',2,1,6,2005,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241247415573411456929572114231424181',NULL,'9999',0.00,1,3,NULL),(20,5100348,'1992-01-21 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124201201117371431336613572114610167142',14038,'9998',45.99,1,2,1),(20,5100356,'1991-03-09 00:00:00',4,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124164241415111331259729591112610135197',NULL,'1038',27.64,1,3,NULL),(20,5100372,'1991-03-07 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124162241311371431558851385124610127057',NULL,'592',30.44,1,3,NULL),(20,5100380,'1990-08-20 00:00:00',2,1,12,2008,'F','N','PARK WAY','NUC BANDEIRANTE','DF','107072071216371431559833435122610167186',NULL,'9998',0.00,1,3,NULL),(20,5100402,'1990-01-27 00:00:00',4,1,12,2003,'F','N','OURO PRETO','CARAZINHO','RS','120202201211572431334315591121610127112',16212,'9998',42.41,1,3,NULL),(20,5100410,'1992-11-25 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241213122451259914575124610127032',3112,'270',72.35,1,3,NULL),(20,5100429,'1992-08-01 00:00:00',2,1,12,2009,'M','N','JARDIM PINHEIROS','S JOSÉ','SC','124241241117131411643839292124610122097',NULL,'293',29.10,1,2,1),(20,5100437,'1989-06-23 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241116473431447633372122610134073',NULL,'271',34.91,1,3,NULL),(20,5100445,'1990-02-04 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241216272431636916495124610133057',NULL,'720',18.70,1,3,NULL),(20,5100453,'1992-02-01 00:00:00',4,1,11,2010,'F','S','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215111422338939472124610133095',NULL,'270',23.07,1,3,NULL),(20,5100461,'1991-08-28 00:00:00',4,5,12,2008,'F','N','VILA SANTA CATARINA','S JOÃO SUL','SC','124241241136163431445912345123231464072',NULL,'717',0.00,1,2,1),(20,5100470,'1992-03-03 00:00:00',2,1,12,2009,'M','N','RIO MARACUJÁ','PETROLÂNDIA','SC','124241241117161431414415252212610114052',NULL,'613',33.98,1,3,NULL),(20,5100488,'1992-03-12 00:00:00',4,8,12,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124243241215111451467712575122610126097',15050,'424',44.02,4,3,NULL),(20,5100496,'1991-10-30 00:00:00',2,1,12,2009,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','224241241115131431424414345124610127187',NULL,'591',18.93,1,2,1),(20,5100500,'1989-10-27 00:00:00',4,7,12,2006,'F','N','MORADA DO SOL','VIDEIRA','SC','124241241117131311435714382124233261177',NULL,'831',42.35,1,3,NULL),(20,5100526,'1991-07-23 00:00:00',4,8,12,2009,'F','N','JARDIM PRESIDENTE','ARAÇATUBA','SP','125252251216111431338725575121610133042',NULL,'9998',0.00,1,3,NULL),(20,5100534,'1992-11-28 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116271431443723472124610164147',NULL,'307',25.06,1,2,1),(20,5100542,'1991-06-19 00:00:00',4,1,12,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241215221431486632572112610127145',NULL,'1063',27.46,1,3,NULL),(20,5100550,'1992-09-16 00:00:00',2,4,12,2009,'M','N','CENTRO','XAXIM','SC','124094241215151231336821575122610147042',9127,'185',59.72,4,3,NULL),(20,5100569,'1992-11-13 00:00:00',2,1,12,2009,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241115471331335514445124610123097',NULL,'1088',39.14,1,2,1),(20,5100577,'1993-02-16 00:00:00',4,1,12,2009,'F','N','CENTRO','PRIMAVERA LESTE','MT','111112111216111351449736595122610128072',NULL,'9998',0.00,1,3,NULL),(20,5100585,'1987-03-13 00:00:00',2,1,6,2008,'M','N','CAMPESINA','OSASCO','SP','125254257431571411676412571112111037042',NULL,'9998',21.94,1,3,NULL),(20,5100593,'1991-08-31 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241116132731438613372112610163015',NULL,'281',30.25,1,3,NULL),(20,5100623,'1958-05-15 00:00:00',5,1,12,1977,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','624241245227152411238643135334610166044',NULL,'751',46.06,1,3,NULL),(20,5100631,'1992-04-04 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111412459613574112610146192',7231,'270',63.36,1,3,NULL),(20,5100640,'1992-09-05 00:00:00',4,6,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241317111431528711575224610136097',NULL,'9997',0.00,1,3,NULL),(20,5100658,'1992-09-02 00:00:00',4,8,12,2009,'M','N','VILA NOVA','JOINVILLE','SC','124241241117151731437829585121610147187',NULL,'475',0.00,1,2,1),(20,5100666,'1987-07-14 00:00:00',4,1,12,2004,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241211133411313841411224130214183',NULL,'266',29.72,1,3,NULL),(20,5100674,'1992-10-08 00:00:00',4,8,12,2009,'M','N','PARANAGUAMIRIM','JOINVILLE','SC','124243241215111411242568171324610124032',7688,'456',62.46,4,3,NULL),(20,5100682,'1991-03-05 00:00:00',2,8,12,2008,'F','N','JARDIM DO LAGO','LIMEIRA','SP','125253251117471431538613392112610165017',9491,'9998',55.28,4,3,NULL),(20,5100690,'1992-04-09 00:00:00',2,6,12,2009,'F','N','RESSACADA','ITAJAÍ','SC','124241241117271431346624392124610122072',NULL,'395',48.28,1,2,1),(20,5100704,'1990-05-18 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115131431335521342134610123037',NULL,'281',23.52,1,2,1),(20,5100712,'1989-11-07 00:00:00',4,1,5,2009,'M','N','BELA VISTA','S JOSÉ','SC','124243247217271432436869342124610125117',NULL,'9999',20.42,1,3,NULL),(20,5100720,'1991-02-06 00:00:00',4,1,12,2008,'M','N','CIDADE UNIVERSITARIA','CAMPINAS','SP','125252251215471431468814575112610127043',12674,'9998',52.99,1,3,NULL),(20,5100739,'1992-07-07 00:00:00',4,1,12,2009,'M','N','MONTE CARLO','GUAPIAÇU','SP','125252251215111431447711572222610117047',NULL,'9998',0.00,1,3,NULL),(20,5100747,'1985-11-03 00:00:00',4,1,12,2006,'M','N','BELA VISTA I','S JOSÉ','SC','124241247435271431636623385122610127112',14541,'9999',49.15,1,3,NULL),(20,5100755,'1992-10-27 00:00:00',4,1,12,2010,'F','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217151431448832575122610142192',NULL,'270',0.00,1,3,NULL),(20,5100763,'1990-06-23 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241135471321446619572124610122077',NULL,'282',26.15,1,2,1),(20,5100771,'1991-08-21 00:00:00',4,2,12,2009,'F','N','CENTRO','STO ANDRÉ','SP','125252251217471431566612571112610167042',NULL,'9998',22.71,1,3,NULL),(20,5100780,'1992-09-01 00:00:00',4,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241248115151731538923572124610113195',NULL,'307',25.65,1,3,NULL),(20,5100798,'1992-06-20 00:00:00',4,15,12,2009,'F','N','SÃO JOSÉ','SOMBRIO','SC','124241242115131431538911195124610143057',11017,'690',54.30,1,2,1),(20,5100810,'1992-06-03 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241117373431379933575122610166092',5913,'271',64.95,1,3,NULL),(20,5100828,'1991-01-30 00:00:00',2,1,12,2008,'F','N','JARDIM AVELINO','S PAULO','SP','125252251214571441668813575124610115147',NULL,'9998',0.00,1,3,NULL),(20,5100836,'1991-10-13 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115332431526614571124610166047',NULL,'292',32.24,1,2,1),(20,5100852,'1993-02-18 00:00:00',4,7,11,2009,'M','N','SAO VICENTE','HERVAL D OESTE','SC','124242241217371411356624275122610117047',9147,'446',56.96,1,3,NULL),(20,5100879,'1991-05-05 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217475731489913575112610122123',8406,'262',58.06,1,3,NULL),(20,5100887,'1989-02-08 00:00:00',2,1,12,2006,'M','N','BREJARU','PALHOÇA','SC','124241241127271411124444245234610123075',9007,'702',57.42,1,2,1),(20,5100895,'1993-01-07 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241215111621523623415124610148072',NULL,'1078',29.06,1,3,NULL),(20,5100909,'1986-10-09 00:00:00',4,1,12,2003,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241416374421236643335323120367183',NULL,'809',0.00,1,3,NULL),(20,5100917,'1983-10-22 00:00:00',2,1,7,2003,'M','N','SERRARIAS','S JOSÉ','SC','124243241226473431426644345224610156183',NULL,'9999',28.36,1,3,NULL),(20,5100925,'1986-05-19 00:00:00',4,1,12,2003,'F','N','APARECIDA','SANTOS','SP','125253251117141421426624285124143264147',NULL,'9998',NULL,1,3,NULL),(20,5100933,'1991-11-23 00:00:00',2,5,12,2009,'M','N','MICHEL','ORLEANS','SC','124241241416231531436414475122610124187',NULL,'581',0.00,1,3,NULL),(20,5100950,'1990-03-16 00:00:00',4,1,12,2009,'M','N','CENTRO','CASCAVEL','PR','116163167436211311323421215121610167172',NULL,'9998',0.00,1,3,NULL),(20,5100976,'1993-08-23 00:00:00',2,1,12,2009,'F','N','VILA ANTÔNIO DAVID','ANITÁPOLIS','SC','124241241126161731459913472122610128097',13101,'19',48.68,1,2,1),(20,5100984,'1990-03-11 00:00:00',2,15,12,2008,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241115131431426333572321610133052',NULL,'29',23.99,1,2,1),(20,5100992,'1991-01-11 00:00:00',4,1,11,2008,'M','N','BOA ESPERANÇA','CUIABÁ','MT','111112281415472431478912441124610127052',6879,'9998',61.93,1,3,NULL),(20,5101000,'1991-11-21 00:00:00',4,1,12,2009,'M','N','JARDIM IRAJÁ','RIBEIRÃO PRETO','SP','125252251215111431448814475112610134197',NULL,'9998',0.00,1,3,NULL),(20,5101018,'1991-08-08 00:00:00',2,5,12,2008,'F','N','CENTRO','CRICIÚMA','SC','124242241211373411537923575122610137117',13198,'226',49.01,1,3,NULL),(20,5101034,'1992-12-30 00:00:00',2,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241214131411434311375124610146182',NULL,'262',0.00,1,3,NULL),(20,5101042,'1987-11-21 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215575431358932575124122522185',NULL,'270',0.00,1,3,NULL),(20,5101077,'1992-05-02 00:00:00',4,1,11,2009,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215113431436632573124610165182',2783,'270',74.17,1,3,NULL),(20,5101085,'1991-02-21 00:00:00',2,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241346132431448711475124231048047',NULL,'282',29.54,1,3,NULL),(20,5101093,'1992-01-09 00:00:00',4,15,12,2009,'F','N','ERECHIM','BAL ARROIO SILVA','SC','124241241116131441523639175122610138182',NULL,'854',29.70,1,2,1),(20,5101115,'1990-06-29 00:00:00',4,8,12,2007,'M','N','ALTO','CURITIBA','PR','116161161116571441549913135112610162097',4678,'9998',67.31,1,2,1),(20,5101123,'1988-05-04 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115134431354623275124221364017',2261,'307',75.95,2,1,1),(20,5101140,'1990-01-18 00:00:00',2,1,1,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124204207216371431356721472314610121117',8108,'9998',58.73,1,3,NULL),(20,5101158,'1988-12-16 00:00:00',4,8,12,2005,'M','N','NOVA RUSSIA','PNT GROSSA','PR','116162161216571431659911315132142646167',NULL,'9998',0.00,1,3,NULL),(20,5101174,'1991-03-14 00:00:00',2,1,12,2008,'F','N','CORAL','LAGES','SC','124242241216373421533923385124610127017',977,'499',81.18,1,3,NULL),(20,5101182,'1992-04-22 00:00:00',4,3,11,2009,'M','N','DOS ESTADOS','BAL CAMBORIÚ','SC','124242241215111431479931575122610127181',NULL,'1038',29.64,1,3,NULL),(20,5101190,'1991-03-11 00:00:00',2,1,12,2008,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124241241115472431438923345124610162147',9886,'307',57.77,1,2,1),(20,5101204,'1988-08-22 00:00:00',4,8,12,2005,'M','N','BOA VISTA','JOINVILLE','SC','124242241215471431369731315122333234017',NULL,'456',0.00,1,3,NULL),(20,5101212,'1990-10-30 00:00:00',4,1,12,2008,'M','N','JARDIM PALMARES','GUAÍRA','SP','125253251217371211548832575122610146057',NULL,'9998',0.00,1,3,NULL),(20,5101220,'1993-03-16 00:00:00',2,5,12,2009,'F','N','JARDIM PORTO ALEGRE','TOLEDO','PR','116162161215371431439932576322612463147',NULL,'9998',0.00,1,3,NULL),(20,5101247,'1989-06-04 00:00:00',2,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161215572431444814175112610134193',NULL,'9998',0.00,1,3,NULL),(20,5101255,'1990-12-01 00:00:00',4,1,12,2008,'M','N','LIBERDADE','S PAULO','SP','125252251217471411388811471125610137187',NULL,'9998',0.00,3,3,NULL),(20,5101263,'1990-12-19 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124112111216472731338831574124610164112',1532,'9998',78.67,3,3,NULL),(20,5101271,'1992-08-30 00:00:00',4,1,11,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241217113431457513575124610164182',2872,'270',73.42,1,3,NULL),(20,5101298,'1990-11-30 00:00:00',4,1,12,2009,'M','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241215112431238824474124610122082',11416,'270',52.76,1,3,NULL),(20,5101301,'1988-12-28 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124212241236272431356639471122230264047',6474,'262',64.98,1,3,NULL),(20,5101310,'1992-12-22 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115371231436619575124610167042',NULL,'307',22.22,1,2,1),(20,5101328,'1992-07-09 00:00:00',4,1,12,2009,'F','N','JARDIM AMÉRICA','ITUPORANGA','SC','124242241246142731446619395112610162147',NULL,'1173',34.22,1,3,NULL),(20,5101336,'1992-10-06 00:00:00',2,1,12,2009,'M','N','JARDIM PRIMAVERA','PONTAL','SP','125252251215121442468712475114610166197',9870,'9998',56.54,1,3,NULL),(20,5101344,'1991-10-12 00:00:00',4,6,12,2008,'F','N','SÃO JOÃO','ITAJAÍ','SC','124243242116373411447917575122610133072',1110,'129',80.70,4,3,NULL),(20,5101352,'1992-07-15 00:00:00',4,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124241241125121431633311275114610167147',NULL,'592',27.48,1,3,NULL),(20,5101360,'1992-04-30 00:00:00',4,1,12,2009,'M','N','JARDIM COLINAS','S JOSÉ CAMPOS','SP','125252251217111731488811575112610167042',11614,'9998',50.62,1,3,NULL),(20,5101379,'1991-09-26 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241417221431667833575122610137062',7674,'272',59.46,1,3,NULL),(20,5101387,'1990-03-09 00:00:00',4,1,12,2008,'M','N','GONZAGA','SANTOS','SP','125252251217471431678614575124610122147',NULL,'9998',29.15,1,3,NULL),(20,5101409,'1991-11-04 00:00:00',4,2,11,2009,'M','N','SANTA RITA','BRUSQUE','SC','124241241135211731356612425114610147044',10993,'1123',54.25,1,3,NULL),(20,5101417,'1991-05-30 00:00:00',4,1,12,2009,'F','N','BINGEN','PETRÓPOLIS','RJ','221212211117111431488811591122610162097',NULL,'9998',0.00,1,3,NULL),(20,5101433,'1992-03-23 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241411111731236812595122610145182',13241,'1118',49.12,1,3,NULL),(20,5101476,'1991-05-24 00:00:00',4,1,11,2008,'M','N','TAPERA','FLORIANÓPOLIS','SC','124243241115472421538823575124610164097',74,'271',90.83,1,3,NULL),(20,5101484,'1991-12-28 00:00:00',4,8,11,2008,'F','N','BOHEMERWALDT','JOINVILLE','SC','124241241116371411323614572124610164051',8968,'472',57.95,1,2,1),(20,5101492,'1992-05-02 00:00:00',2,8,12,2009,'F','N','BOA VISTA','JOINVILLE','SC','124243241235471431328634574314610128197',NULL,'1016',0.00,1,3,NULL),(20,5101506,'1991-09-27 00:00:00',2,8,12,2008,'M','N','BATEL','CURITIBA','PR','116241241115172531325824574211610137052',NULL,'744',21.33,4,2,1),(20,5101514,'1991-01-26 00:00:00',3,1,12,2008,'F','N','CENTRO','MAMBORÊ','PR','116162161216271431569931575122610166142',594,'9998',83.88,1,3,NULL),(20,5101522,'1992-08-24 00:00:00',4,8,10,2009,'M','N','ATIRADORES','JOINVILLE','SC','124242241215411411447731575125610142182',8749,'1063',56.89,1,3,NULL),(20,5101549,'1984-12-22 00:00:00',4,1,12,2002,'M','N','JARDIM NOVA ALIANÇA','RIBEIRÃO PRETO','SP','125251251317571451444614275222610167097',7558,'9998',61.40,1,3,NULL),(20,5101557,'1991-09-05 00:00:00',4,8,10,2008,'F','N','PIRABEIRABA','JOINVILLE','SC','124242161216473431489712592122610161182',NULL,'9998',0.00,1,3,NULL),(20,5101565,'1990-09-08 00:00:00',4,1,12,2006,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124242241116374711349914145124230441147',NULL,'499',0.00,1,3,NULL),(20,5101573,'1992-03-20 00:00:00',4,7,12,2009,'F','N','LOTEAMENTO PARIZOTTO','CAPINZAL','SC','124241241116271431449934195124610125142',NULL,'156',29.93,4,2,1),(20,5101581,'1993-02-28 00:00:00',4,15,12,2010,'F','S','CENTRO','ARARANGUÁ','SC','124243241215111431447833374122610128052',NULL,'32',45.72,1,3,NULL),(20,5101611,'1991-02-16 00:00:00',4,1,11,2008,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124244241216372421343779425124610125142',14054,'269',50.29,1,3,NULL),(20,5101620,'1991-11-27 00:00:00',4,1,12,2009,'F','N','SANTA MARTA','S CARLOS','SP','125252251217121431459913575122610133097',7500,'9998',59.64,1,3,NULL),(20,5101646,'1992-07-04 00:00:00',4,9,12,2009,'F','N','CONTA DINHEIRO','LAGES','SC','124242241215111451639814575122610132187',NULL,'515',27.44,1,3,NULL),(20,5101654,'1984-12-19 00:00:00',4,1,11,2002,'F','N','VILA EMA','S PAULO','SP','125252251211571431543363371124142433097',NULL,'9998',0.00,3,3,NULL),(20,5101670,'1990-12-07 00:00:00',4,8,12,2008,'F','N','CENTRO','S BENTO SUL','SC','124241241216152441558812575122232867012',9393,'974',57.08,1,3,NULL),(20,5101689,'1992-01-11 00:00:00',4,1,12,2008,'M','N','SANTO INÁCIO','CURITIBA','PR','116162161217472431488832575122610127122',1083,'9998',80.82,1,3,NULL),(20,5101697,'1990-05-21 00:00:00',2,8,12,2007,'M','N','ALTO DA XV','CURITIBA','PR','116161161136371432447624343114610127057',NULL,'9998',35.29,1,2,1),(20,5101735,'1992-08-03 00:00:00',2,15,12,2009,'F','N','BARRANCA','ARARANGUÁ','SC','124241241115371431423314175121610167052',NULL,'29',22.26,1,2,1),(20,5101743,'1992-12-08 00:00:00',3,1,11,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241215112411557722575124610126095',1709,'262',78.01,4,3,NULL),(20,5101751,'1992-03-13 00:00:00',4,1,12,2009,'F','N','BANDEIRANTES','SERTÃOZINHO','SP','125254251217111431558833575122610131097',7894,'9998',59.93,1,3,NULL),(20,5101794,'1986-02-01 00:00:00',4,1,12,2003,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216154431469613475124221467065',4790,'185',68.88,1,3,NULL),(20,5101808,'1991-07-31 00:00:00',2,5,12,2008,'M','N','SANTA BARBARA','CRICIÚMA','SC','124242241215372431355934372124610127142',11537,'210',52.03,1,3,NULL),(20,5101816,'1990-07-10 00:00:00',4,8,10,2007,'M','N','CRISTO REI','CURITIBA','PR','116162161217572751458611571124610162052',69,'9998',90.97,1,3,NULL),(20,5101840,'1994-03-20 00:00:00',4,5,10,2009,'M','N','CENTRO','URUSSANGA','SC','124242241217111151458814275112610167047',NULL,'820',28.28,1,3,NULL),(20,5101859,'1992-03-22 00:00:00',4,7,12,2009,'F','N','FLORESTA','CONCÓRDIA','SC','124241241116131331536619195122610133147',NULL,'192',22.10,1,2,1),(20,5101867,'1992-12-28 00:00:00',4,1,12,2009,'M','N','FLOR DE NAPOLES','S JOSÉ','SC','124243241117271431566614575122610138052',8455,'727',59.24,1,3,NULL),(20,5101875,'1992-07-14 00:00:00',4,1,12,2009,'M','N','JARDIM CAMBURI','VITÓRIA','ES','108082081216111431248921585124610137182',NULL,'9998',28.27,4,3,NULL),(20,5101883,'1992-07-27 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241117141431438619345124610113142',NULL,'307',27.23,1,3,NULL),(20,5101891,'1991-11-27 00:00:00',4,6,12,2009,'F','N','BARRA DO RIO','ITAJAÍ','SC','124242241217371431346639372124610144187',7409,'1057',61.27,1,3,NULL),(20,5101921,'1992-01-26 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124202241215211731439911372122610122012',6118,'226',64.95,1,3,NULL),(20,5101948,'1990-05-11 00:00:00',4,1,10,2009,'M','N','BELA VISTA','S JOSÉ','SC','124243247617131431427644246333610137037',NULL,'9999',26.11,1,3,NULL),(20,5101972,'1993-03-05 00:00:00',2,5,10,2009,'F','N','PRESIDENTE VARGAS','IÇARA','SC','124242241215112411446614375224610133147',8728,'226',58.67,1,3,NULL),(20,5101980,'1991-01-10 00:00:00',4,1,12,2009,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242248215472411346923495124610126092',9798,'1174',55.55,1,3,NULL),(20,5101999,'1992-06-17 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241215272431347524345124610123142',10665,'1048',55.10,1,3,NULL),(20,5102006,'1992-05-14 00:00:00',4,3,12,2009,'F','N','MORRETES','ITAPEMA','SC','124241241115371441216729375324610128177',14366,'406',46.41,1,2,1),(20,5102014,'1991-07-20 00:00:00',4,8,12,2008,'M','N','CENTURY PARK','CIANORTE','PR','116164161416521431547732595112610118193',NULL,'9998',58.12,1,3,NULL),(20,5102030,'1988-12-05 00:00:00',4,3,12,2006,'M','N','TUPI','TUPI','SP','125251251216573441436823574124610112142',NULL,'9998',25.91,1,3,NULL),(20,5102049,'1992-03-06 00:00:00',4,3,11,2009,'F','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124243241315111431437824374221610128147',3293,'1038',71.35,1,3,NULL),(20,5102057,'1992-12-16 00:00:00',4,1,12,2009,'M','N','CENTRO','MAFRA','SC','124241161217121421468913575122610118067',886,'9998',81.98,1,3,NULL),(20,5102065,'1991-07-24 00:00:00',2,9,12,2008,'F','N','COPACABANA','LAGES','SC','124241241116471231533319341332613227182',NULL,'935',22.34,1,2,1),(20,5102073,'1992-04-25 00:00:00',2,8,12,2009,'F','N','FLORESTA','JOINVILLE','SC','124242241217111431568613575112610161177',7758,'486',58.74,1,3,NULL),(20,5102081,'1992-11-27 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215132431469933575122610131077',8330,'1134',59.24,4,3,NULL),(20,5102090,'1947-08-05 00:00:00',4,1,12,1973,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','224251257126151441353349291222340766042',NULL,'9998',33.29,4,3,NULL),(20,5102103,'1989-05-25 00:00:00',5,3,12,2006,'F','N','SÃO LOURENÇO','CURITIBA','PR','116162161215571431488931571112140264117',3747,'9998',70.71,1,3,NULL),(20,5102111,'1982-02-07 00:00:00',4,1,12,2003,'F','N','SERRARIA','S JOSÉ','SC','224241241122131431223354382324610136197',NULL,'9999',24.67,1,2,1),(20,5102120,'1985-12-13 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215575431278923471112132524147',2283,'270',74.65,1,3,NULL),(20,5102138,'1990-10-31 00:00:00',2,8,12,2007,'F','N','ORFAS','PNT GROSSA','PR','116162161216571411437719575112610146142',12925,'9998',48.55,1,3,NULL),(20,5102146,'1993-09-24 00:00:00',2,1,12,2010,'F','S','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215161751578713575124610128043',NULL,'1048',34.52,4,3,NULL),(20,5102162,'1988-12-27 00:00:00',4,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124252251217212431258832445132220763055',12151,'9998',54.08,3,3,NULL),(20,5102170,'1992-07-15 00:00:00',4,1,12,2009,'M','N','VISTA ALEGRE','RIO NEGRINHO','SC','124241241112371431326624472122612458041',6953,'669',62.92,1,2,1),(20,5102189,'1992-04-06 00:00:00',4,1,12,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241135371131435612325124610134073',NULL,'733',25.74,1,2,1),(20,5102200,'1992-02-20 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112731369812575112610117122',7672,'270',59.68,1,3,NULL),(20,5102219,'1988-08-12 00:00:00',4,1,12,2005,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241216153431443644345113122264087',NULL,'738',35.24,1,3,NULL),(20,5102227,'1987-10-28 00:00:00',2,1,12,2005,'F','N','SERRARIAS','S JOSÉ','SC','124241241116342421423644442234610132187',NULL,'281',21.49,4,2,1),(20,5102235,'1993-01-29 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242243117151431476612575122610138195',3478,'129',70.16,1,3,NULL),(20,5102243,'1992-06-10 00:00:00',4,1,12,2009,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215113431249923575124610167052',6212,'262',63.83,1,3,NULL),(20,5102251,'1991-11-01 00:00:00',4,2,12,2009,'F','N','SALTO DO NORTE','BLUMENAU','SC','124242241115111751476913576112610138192',NULL,'909',32.87,1,3,NULL),(20,5102278,'1992-09-25 00:00:00',4,1,11,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111431468814575122610167052',8165,'1133',60.90,1,3,NULL),(20,5102286,'1992-05-02 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241215121431358712375124610132193',4599,'272',67.58,1,3,NULL),(20,5102294,'1991-10-09 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111432258823572114610133092',NULL,'1022',21.57,1,3,NULL),(20,5102308,'1991-04-30 00:00:00',4,8,12,2008,'M','N','ESPINHEIROS','JOINVILLE','SC','124242246215252431456814575124610137045',10167,'1105',57.85,1,3,NULL),(20,5102316,'1993-06-04 00:00:00',4,4,12,2009,'F','N','PADRE ANTONIO','MARAVILHA','SC','124241241116151731336934575122610162087',NULL,'552',26.86,1,3,NULL),(20,5102324,'1990-09-24 00:00:00',4,8,12,2007,'M','N','XAXIM','CURITIBA','PR','116162161215571431349811384124141565072',1292,'9998',79.79,1,3,NULL),(20,5102332,'1990-02-10 00:00:00',2,1,12,2007,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124201241136573751423431485214610166195',8692,'291',59.11,1,2,1),(20,5102340,'1992-11-16 00:00:00',4,1,12,2009,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124244241216131431438113332124610132197',NULL,'1075',22.86,1,3,NULL),(20,5102359,'1992-09-09 00:00:00',2,1,11,2009,'F','N','JARDIM CARANDAI','BIGUAÇU','SC','124241211215112431654412572124610128077',NULL,'269',42.20,1,3,NULL),(20,5102367,'1992-02-20 00:00:00',4,1,12,2009,'F','N','PRAIA DO CANTO','VITÓRIA','ES','108082081216111431578831574122610114192',NULL,'9998',0.00,1,3,NULL),(20,5102383,'1992-04-16 00:00:00',4,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124243241212121731326619572124610162022',1294,'270',79.27,1,3,NULL),(20,5102391,'1992-02-12 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241115131331426627591114610155147',13616,'271',48.99,1,3,NULL),(20,5102413,'1986-09-09 00:00:00',2,8,12,2004,'F','N','AVENTUREIRO','JOINVILLE','SC','124242241215371431438832575124131034197',NULL,'9997',0.00,3,3,NULL),(20,5102448,'1979-11-27 00:00:00',2,15,10,2008,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','224246248642131421322141312122610117051',NULL,'9997',0.00,1,3,NULL),(20,5102464,'1990-03-06 00:00:00',4,4,12,2007,'F','N','SÃO DANIEL','SEARA','SC','124241241121161721323334275113610163031',NULL,'764',27.05,4,3,NULL),(20,5102472,'1992-06-22 00:00:00',5,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215111211338724575122610142142',NULL,'806',0.00,1,3,NULL),(20,5102480,'1992-07-11 00:00:00',4,7,11,2009,'F','N','CENTRO','HERVAL D OESTE','SC','124242241216371431338924372122610123142',10944,'962',54.65,1,3,NULL),(20,5102499,'1992-03-30 00:00:00',4,1,12,2009,'F','N','VILA DAINESE','AMERICANA','SP','125252251216471411478834572122610162072',NULL,'9998',0.00,1,3,NULL),(20,5102510,'1989-11-29 00:00:00',2,1,12,2006,'M','N','BELA VISTA','PALHOÇA','SC','124161161116171411113344445114610162177',NULL,'9998',19.74,1,3,NULL),(20,5102529,'1990-07-30 00:00:00',4,1,12,2007,'F','N','VILA AMALIA','S PAULO','SP','125251251117571411366713445124610122052',NULL,'9998',0.00,1,2,1),(20,5102537,'1985-12-25 00:00:00',2,1,8,2004,'F','N','REAL PARQUE','S JOSÉ','SC','124241241116274411441319242234130837142',NULL,'293',47.95,3,2,1),(20,5102545,'1993-04-03 00:00:00',2,1,11,2009,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241248112271431536634275124610132182',16078,'591',43.57,1,2,1),(20,5102553,'1993-09-22 00:00:00',4,5,10,2009,'M','N','ESTAÇÃO COCAL','ETC COCAL','SC','124244241215121731685612595122610122072',13920,'820',50.53,1,3,NULL),(20,5102561,'1992-11-27 00:00:00',4,8,12,2009,'M','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120242208236111431339814475124610168092',6799,'9998',62.06,1,3,NULL),(20,5102588,'1992-01-03 00:00:00',2,1,12,2008,'F','N','CENTRO','URUGUAIANA','RS','120202201216371431636632342322610166017',NULL,'9998',24.79,4,3,NULL),(20,5102596,'1992-10-30 00:00:00',2,1,12,2009,'M','N','FÁTIMA','FREDERICO WESTPHALEN','RS','120203201417131431136563372124610164047',4544,'9998',66.72,1,3,NULL),(20,5102618,'1992-01-31 00:00:00',2,1,12,2009,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241415271431334314572122610125042',12461,'299',50.83,1,3,NULL),(20,5102626,'1992-01-16 00:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215422431349812575122610121012',7938,'1038',59.22,1,3,NULL),(20,5102634,'1992-09-09 00:00:00',4,4,11,2009,'M','N','JANDIM ITÁLIA','CHAPECÓ','SC','124242241215471411457832225122610134052',8223,'185',59.50,1,3,NULL),(20,5102642,'1992-03-03 00:00:00',4,4,12,2008,'M','N','GUARANI','XAXIM','SC','124241241111372431446714341111610124141',12909,'847',49.00,1,3,NULL),(20,5102650,'1992-01-10 00:00:00',4,1,11,2009,'F','N','CENTRO','CURITIBA','PR','116162161215111431278914575125610166147',NULL,'9998',0.00,1,3,NULL),(20,5102669,'1989-01-28 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242247216131431548833575124232723147',NULL,'270',16.92,1,3,NULL),(20,5102685,'1992-07-15 00:00:00',4,1,12,2009,'M','N','JARDIM SOCIAL','CURITIBA','PR','116162161216471452569813572112610167092',6565,'9998',62.13,1,3,NULL),(20,5102693,'1992-03-30 00:00:00',4,4,11,2009,'M','N','CENTRO','CHAPECÓ','SC','124244241215371411369931575122610127092',944,'185',80.95,1,3,NULL),(20,5102707,'1991-01-21 00:00:00',4,1,12,2008,'M','N','PINHEIROS','S PAULO','SP','125112111216371431278811575115610167047',NULL,'9998',28.65,3,3,NULL),(20,5102715,'1992-05-16 00:00:00',4,5,11,2009,'M','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241216152431345931295112610127077',244,'213',87.33,1,3,NULL),(20,5102723,'1989-11-08 00:00:00',4,1,12,2006,'M','N','CENTRO','CURITIBA','PR','116162161215371431566819575112141467052',NULL,'9998',0.00,4,3,NULL),(20,5102731,'1993-08-09 00:00:00',4,5,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124241241212131311547929575124610138147',NULL,'995',31.14,1,3,NULL),(20,5102740,'1992-01-21 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113431479923375112610167042',1054,'270',80.99,1,3,NULL),(20,5102758,'1990-10-02 00:00:00',4,4,12,2009,'M','N','CENTRO','CURITIBA','PR','116242161212171431378811572122610237123',NULL,'9998',0.00,1,3,NULL),(20,5102766,'1992-04-21 00:00:00',4,4,12,2009,'F','N','CENTRO','PALMA SOLA','SC','124243241136151431458822575122610165092',NULL,'598',0.00,1,3,NULL),(20,5102774,'1989-12-06 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473421459933575112610167057',12343,'272',51.22,4,3,NULL),(20,5102782,'1992-04-09 00:00:00',4,8,12,2009,'F','N','JARDIM LA SALLE','TOLEDO','PR','116162161216121331578731192142610126182',968,'9998',79.72,1,3,NULL),(20,5102790,'1992-02-02 00:00:00',4,1,11,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111431359923572114610161146',5271,'270',67.01,4,3,NULL),(20,5102812,'1991-10-19 00:00:00',4,1,12,2008,'M','N','CENTRO','PARAGUAÇU PAULISTA','SP','125252251215472431356816575115610167142',NULL,'9998',35.22,3,3,NULL),(20,5102820,'1992-04-07 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272431579913275112610164187',3484,'270',70.70,1,3,NULL),(20,5102839,'1991-04-07 00:00:00',4,3,11,2008,'M','N','CENTRO','BRUSQUE','SC','124242241217472431566732175121610165012',7650,'1123',59.06,1,3,NULL),(20,5102847,'1990-08-21 00:00:00',2,8,6,2009,'F','N','FLORESTA','JOINVILLE','SC','124242247215471411336823575124610128182',NULL,'9999',31.13,1,3,NULL),(20,5102871,'1992-07-05 00:00:00',4,5,10,2009,'F','N','SANTA LUZIA','CRICIÚMA','SC','124242241215151431547932224122610126057',3249,'880',71.67,1,3,NULL),(20,5102880,'1991-10-16 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431268833572114610127185',NULL,'270',45.05,1,3,NULL),(20,5102901,'1992-08-18 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431546632342124610163092',5516,'1022',66.07,1,3,NULL),(20,5102910,'1991-08-05 00:00:00',4,1,11,2008,'M','N','CENTRO','PALHOÇA','SC','124244241415111431379932145122330737042',NULL,'989',0.00,1,3,NULL),(20,5102936,'1981-12-20 00:00:00',2,1,12,2001,'M','N','NOSSA SENHORA DE LOU','STA MARIA','RS','120203201412272231129942225131141716042',NULL,'9998',38.21,1,3,NULL),(20,5102944,'1989-03-28 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224242248215574431337851594124233267182',5939,'71',65.16,1,3,NULL),(20,5102960,'1992-11-19 00:00:00',4,8,11,2009,'F','N','NOVO MUNDO','CURITIBA','PR','116162161211111411489931371121610166172',NULL,'9998',45.54,1,3,NULL),(20,5102979,'1992-11-04 00:00:00',4,15,12,2009,'M','N','CENTRO','TURVO','SC','124242241216311431568931575124610117042',10095,'970',55.97,1,3,NULL),(20,5102987,'1992-04-22 00:00:00',4,1,12,2009,'M','N','ASSUNÇÃO','PTO ALEGRE','RS','120202201215371751389811575122610164042',NULL,'9998',0.00,1,3,NULL),(20,5102995,'1992-09-29 00:00:00',2,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241215133431536619575124610164197',8760,'1022',59.66,1,3,NULL),(20,5103002,'1991-09-03 00:00:00',2,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124242241235111631334419495122610168192',8292,'738',59.62,1,3,NULL),(20,5103010,'1990-09-17 00:00:00',2,3,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124162161215472431357712574124610134147',15072,'9998',44.40,1,3,NULL),(20,5103029,'1992-04-29 00:00:00',4,1,12,2009,'M','N','VENDAVAL','S JOSÉ','SC','124241241216111431436623275124610127052',11075,'1118',53.61,1,3,NULL),(20,5103037,'1990-09-27 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216372431579713475124610131182',1927,'884',77.18,1,3,NULL),(20,5103045,'1993-09-27 00:00:00',4,1,11,2010,'M','S','CARVOEIRA','FLORIANÓPOLIS','SC','124243241215111431469813575122610118082',NULL,'270',48.76,1,3,NULL),(20,5103053,'1989-12-12 00:00:00',4,1,12,2007,'F','N','ROÇADO','S JOSÉ','SC','124242241217153431488834445122610164142',NULL,'737',32.57,1,3,NULL),(20,5103061,'1990-02-20 00:00:00',4,8,11,2007,'F','N','CAPAO RASO','CURITIBA','PR','116162161217573431489931371121610166172',2235,'9998',74.34,1,3,NULL),(20,5103096,'1992-12-07 00:00:00',4,1,11,2010,'M','S','CARIANOS','FLORIANÓPOLIS','SC','124242241216111431678811575114610122142',NULL,'270',55.79,4,3,NULL),(20,5103100,'1991-09-10 00:00:00',2,1,11,2008,'F','N','CENTRO','S JOSÉ','SC','124242241216273431556631572122610163147',11685,'723',53.08,1,3,NULL),(20,5103118,'1981-03-12 00:00:00',4,2,11,1999,'F','N','CENTRO','LAGES','SC','124241241216152421163643431132321542142',3941,'809',70.99,1,3,NULL),(20,5103126,'1993-04-19 00:00:00',4,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124241241216371431459914575122610168172',5017,'185',67.72,1,3,NULL),(20,5103134,'1992-11-11 00:00:00',5,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431436924572122610137047',NULL,'723',29.62,1,3,NULL),(20,5103142,'1992-03-27 00:00:00',2,10,12,2009,'M','N','MAR GROSSO','LAGUNA','SC','124242241215112431336954575122610127052',7915,'525',60.64,1,3,NULL),(20,5103193,'1991-03-20 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243248214371431535539292121610161087',12309,'299',51.60,4,3,NULL),(20,5103207,'1991-12-30 00:00:00',4,2,12,2008,'F','N','ASILO','BLUMENAU','SC','124162161216473431488933571124610144142',24,'9998',93.72,1,3,NULL),(20,5103223,'1991-06-09 00:00:00',4,8,11,2008,'F','N','SAGUAÇÚ','JOINVILLE','SC','124242241215472511589911574112610163095',380,'1063',85.61,1,3,NULL),(20,5103231,'1991-10-01 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431379933575112610167042',2843,'262',73.98,1,3,NULL),(20,5103240,'1993-10-27 00:00:00',4,1,12,2010,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431458713575112610115182',NULL,'270',71.25,1,3,NULL),(20,5103258,'1991-10-17 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217373731477831395124610124112',183,'262',88.19,1,3,NULL),(20,5103266,'1992-06-25 00:00:00',4,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124241241115111732338313432124610133052',NULL,'733',17.94,1,3,NULL),(20,5103274,'1991-04-12 00:00:00',2,4,12,2008,'M','N','CENTRO','RONDINHA','RS','120201201111111411544416591112610122192',NULL,'9998',26.29,1,2,1),(20,5103282,'1992-06-26 00:00:00',4,1,11,2009,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215161431348819375124610167047',10726,'262',52.81,1,3,NULL),(20,5103290,'1992-01-23 00:00:00',4,2,10,2009,'F','N','POÇO GRANDE','GASPAR','SC','124242241217122431448832474124610131092',NULL,'855',0.00,1,3,NULL),(20,5103320,'1991-04-25 00:00:00',4,8,12,2008,'M','N','CRISTO REI','CURITIBA','PR','116253251217471731635639571124610166182',NULL,'9998',45.34,3,3,NULL),(20,5103339,'1992-05-15 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215111431448612375124610136112',11437,'262',53.02,1,3,NULL),(20,5103347,'1992-07-18 00:00:00',4,1,11,2009,'M','N','PINHEIROS','S PAULO','SP','125252251217111431366812395122610167012',5889,'9998',62.14,1,3,NULL),(20,5103355,'1989-05-16 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117312431337713445314610113147',NULL,'307',41.83,1,3,NULL),(20,5103363,'1992-07-03 00:00:00',4,1,12,2009,'M','N','JARDIM SÃO DOMINGOS','MARÍLIA','SP','125252251417161431669611576124610132122',7421,'9998',60.72,1,3,NULL),(20,5103371,'1992-03-15 00:00:00',2,1,11,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241112151531354412572124230222042',NULL,'257',27.59,1,3,NULL),(20,5103398,'1988-01-12 00:00:00',4,1,11,2006,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215573751466619592112610162047',10598,'270',56.82,1,3,NULL),(20,5103401,'1992-04-11 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217131431248634575114610127042',4370,'262',68.92,1,3,NULL),(20,5103410,'1990-10-11 00:00:00',2,5,12,2007,'F','N','CIDADE ALTA','VENÂNCIO AIRES','RS','120202201217571431469811582124610162187',1795,'9998',75.48,1,3,NULL),(20,5103428,'1993-06-19 00:00:00',4,1,11,2010,'M','S','FUNDOS','BIGUAÇU','SC','124242241212111521546512345111610137117',NULL,'63',25.59,1,3,NULL),(20,5103444,'1991-02-22 00:00:00',2,1,11,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124242241215112431556831282124610167057',11860,'270',52.85,1,3,NULL),(20,5103452,'1992-02-28 00:00:00',4,1,11,2009,'F','N','BAIRRO TABOÃO','RIO SUL','SC','124242241215111731437813574122610123142',NULL,'991',0.00,1,3,NULL),(20,5103460,'1992-02-06 00:00:00',4,3,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124241242116131421235623381124610125097',NULL,'129',0.00,4,2,1),(20,5103487,'1991-11-21 00:00:00',4,2,10,2009,'F','N','SALTO DO NORTE','BLUMENAU','SC','124242241215111431359911575122610126092',NULL,'909',0.00,1,3,NULL),(20,5103495,'1988-03-22 00:00:00',2,15,12,2004,'F','N','JARDIM BOTANICO','PTO ALEGRE','RS','120202201216371431446723575114141036147',6408,'9998',62.60,1,3,NULL),(20,5103517,'1992-10-20 00:00:00',4,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241216113431426619595122610123072',13375,'737',49.03,1,3,NULL),(20,5103525,'1987-04-20 00:00:00',4,1,12,2004,'M','N','JD JANAINA','BIGUAÇU','SC','124241241215372431579913385124130267092',6921,'20',64.00,1,3,NULL),(20,5103533,'1992-02-06 00:00:00',4,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244246315112431366624475124610134062',8205,'270',59.24,1,3,NULL),(20,5103550,'1993-03-18 00:00:00',4,17,11,2009,'F','N','MERCÊS','CURITIBA','PR','116243161217122431469831595112610124092',4537,'9998',67.39,1,3,NULL),(20,5103568,'1991-08-28 00:00:00',4,1,12,2009,'M','N','VILA ZIZINHA','S JOSÉ CAMPOS','SP','125251251215111411626619575124610112142',NULL,'9998',0.00,1,3,NULL),(20,5103576,'1975-11-27 00:00:00',4,1,12,1995,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124252021211131411238711322122131417112',NULL,'1022',27.03,1,3,NULL),(20,5103584,'1992-10-07 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241235112431359923575122610144112',12983,'270',49.74,1,3,NULL),(20,5103592,'1991-07-15 00:00:00',2,5,11,2008,'F','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124241241215472431458612572124610126142',4090,'213',69.49,1,3,NULL),(20,5103614,'1992-03-06 00:00:00',4,8,12,2009,'F','N','JARDIM ARISTOCRATA','S JOSÉ PINHAIS','PR','116162161217471431268834591122610137117',10632,'9998',53.52,1,3,NULL),(20,5103622,'1992-03-16 00:00:00',2,1,12,2009,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241111131721626624145124610167032',NULL,'307',21.36,1,2,1),(20,5103630,'1991-10-15 00:00:00',4,5,11,2009,'M','N','MICHEL','CRICIÚMA','SC','124244241217112431368813575122610122092',9552,'210',57.12,1,3,NULL),(20,5103649,'1990-11-16 00:00:00',2,1,11,2007,'M','N','BELA VISTA','ERECHIM','RS','124202201216574431466823571124610167052',4749,'9998',68.15,1,3,NULL),(20,5103665,'1991-07-23 00:00:00',4,1,12,2008,'M','N','TERESOPOLIS','PTO ALEGRE','RS','120201201117471412543723575124610137052',7699,'9998',60.64,1,2,1),(20,5103681,'1992-08-06 00:00:00',4,1,10,2009,'M','N','TREINDADE','FLORIANÓPOLIS','SC','124242241217111531467833136114610137185',14601,'262',49.00,1,3,NULL),(20,5103690,'1989-11-08 00:00:00',4,1,12,2008,'M','N','SÃO VICENTE','VITÓRIA CONQUISTA','BA','105052051417371741366823577112610132086',NULL,'9998',NULL,4,3,NULL),(20,5103703,'1992-01-27 00:00:00',4,1,12,2009,'M','N','CENTRO','MARINGÁ','PR','116162161217111731379919575112610117017',7451,'9998',59.31,1,3,NULL),(20,5103711,'1992-10-02 00:00:00',4,3,12,2009,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161215111451479712572112610167092',NULL,'9998',0.00,1,3,NULL),(20,5103720,'1992-05-11 00:00:00',4,8,12,2009,'F','N','NOVA SÃO JOÃO','S JOÃO B VISTA','SP','125252251216121431328514571124610144072',NULL,'9998',NULL,1,3,NULL),(20,5103738,'1992-03-11 00:00:00',4,8,12,2009,'F','N','FRAGOSOS','S BENTO SUL','SC','124242241215111231348612575125610134052',13906,'1114',45.78,1,3,NULL),(20,5103746,'1991-12-27 00:00:00',4,1,12,2009,'F','N','CENTRO','ANGELINA','SC','124241241117131431236923435124610131182',NULL,'17',28.82,1,2,1),(20,5103754,'1991-12-25 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215321431235824285122610124077',NULL,'299',0.00,1,3,NULL),(20,5103762,'1991-05-08 00:00:00',2,1,11,2008,'F','N','FLORESTA','S JOSÉ','SC','124242241216373431438714575124610131142',NULL,'270',37.39,1,3,NULL),(20,5103770,'1989-01-14 00:00:00',4,2,12,2005,'M','N','GARCIA','BLUMENAU','SC','124242241216151421128644445122133264142',NULL,'855',0.00,1,3,NULL),(20,5103789,'1992-06-18 00:00:00',2,5,11,2009,'F','N','CENTRO','IÇARA','SC','124242241212111431463352575124610136012',8343,'226',58.95,1,3,NULL),(20,5103819,'1992-11-23 00:00:00',4,5,12,2009,'F','N','VILA NOVA','COCAL SUL','SC','124241241112131631423119571124610163147',NULL,'189',25.19,1,2,1),(20,5103827,'1989-11-15 00:00:00',4,8,12,2007,'F','N','MOSSUNGUE','CURITIBA','PR','116162161215572431358813391114610164187',NULL,'9998',22.33,1,3,NULL),(20,5103835,'1986-11-22 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127141431623129492214610111077',NULL,'283',17.04,1,2,1),(20,5103843,'1992-11-20 00:00:00',4,4,11,2009,'F','N','MARIA GORETTI','CHAPECÓ','SC','124244241215371431238831345122610147012',14064,'185',47.08,1,3,NULL),(20,5103851,'1989-04-25 00:00:00',4,7,9,2009,'M','N','CENTRO','VIDEIRA','SC','124241241436271431318841315325610164117',8868,'9997',60.22,1,3,NULL),(20,5103860,'1990-03-02 00:00:00',2,8,12,2007,'M','N','CENTRO','LARANJEIRAS SUL','PR','116164161215571431346634572122610167042',655,'9998',83.36,1,3,NULL),(20,5103878,'1990-03-21 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124252251217572431478762271112610162127',NULL,'9998',0.00,1,3,NULL),(20,5103894,'1989-08-07 00:00:00',2,1,12,2008,'F','N','PEDRA BRANCA','PALHOÇA','SC','124164241215373431558813575124122668197',10475,'262',57.28,1,3,NULL),(20,5103908,'1993-02-05 00:00:00',4,6,12,2010,'F','S','CENTRO','BAL CAMBORIÚ','SC','124242241237131631227622125134610166072',NULL,'9997',24.58,1,3,NULL),(20,5103924,'1991-05-12 00:00:00',4,1,12,2008,'F','N','CENTRO','CASCAVEL','PR','116162161215471451458611592124610166077',5616,'9998',65.47,1,3,NULL),(20,5103932,'1988-08-07 00:00:00',2,8,12,2004,'F','N','GLÓRIA','JOINVILLE','SC','124203201116371711126644445122141465147',15810,'9998',45.04,1,3,NULL),(20,5103940,'1992-04-06 00:00:00',4,1,12,2009,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124242241215112431336629492124610167042',2244,'1022',75.61,1,3,NULL),(20,5103959,'1991-04-08 00:00:00',2,8,12,2008,'M','N','VILANOVA','REGISTRO','SP','116251251417471431447832595125613232092',15824,'9998',44.98,1,3,NULL),(20,5103967,'1993-02-26 00:00:00',4,1,11,2009,'M','N','CENTRO','CURITIBA','PR','116162161216411732276632595114610147184',NULL,'884',19.09,1,3,NULL),(20,5103983,'1992-10-05 00:00:00',4,7,11,2009,'F','N','CENTRO','JOAÇABA','SC','124242241215111431445639374122610127142',11453,'446',52.34,1,3,NULL),(20,5104017,'1993-07-23 00:00:00',4,1,11,2010,'M','S','PRAIA JOÃO ROSA','BIGUAÇU','SC','124242241215111211439711475124610166172',NULL,'1022',45.12,1,3,NULL),(20,5104025,'1989-12-28 00:00:00',2,3,12,2007,'F','N','CRUZEIRO','PASSO FUNDO','RS','120201201116271411443316572214610136052',12223,'9998',51.68,1,2,1),(20,5104033,'1991-04-11 00:00:00',2,1,12,2008,'F','N','CENTRO','SERRA ALTA','SC','125241241126271431438561195124610163142',NULL,'765',23.56,1,2,1),(20,5104050,'1992-05-13 00:00:00',4,8,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','116162161217111431578934574124610167147',5043,'9998',67.26,1,3,NULL),(20,5104068,'1989-09-08 00:00:00',4,1,12,2008,'F','N','BOTAFOGO','CAMPINAS','SP','125252251215371431459934575122610162142',9250,'9998',56.73,1,3,NULL),(20,5104084,'1992-01-25 00:00:00',4,1,12,2009,'M','N','N SRA DO ROSÁRIO','S JOSÉ','SC','124242241215123432468833575114610167172',44,'1022',91.82,1,3,NULL),(20,5104092,'1991-02-13 00:00:00',4,1,12,2008,'F','N','BARREIROS AREIAS','S JOSÉ','SC','124242241216271431439313212124610134057',13113,'1040',51.24,1,3,NULL),(20,5104106,'1989-04-08 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124244241411372431366933575114120764012',1584,'262',78.52,1,3,NULL),(20,5104122,'1990-11-16 00:00:00',2,1,12,2007,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117132431436934342213230867052',NULL,'306',27.22,1,2,1),(20,5104149,'1993-04-21 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124244241217151731339931574124610132072',NULL,'262',53.85,1,3,NULL),(20,5104157,'1992-12-23 00:00:00',4,3,12,2009,'F','N','JARDIM CLAUDINA','ITARARÉ','SP','125252161216151711648831571122610162112',NULL,'9998',0.00,1,3,NULL),(20,5104181,'1992-10-27 00:00:00',4,1,12,2009,'F','N','SANTO ANT DE LISBOA','FLORIANÓPOLIS','SC','124242241217111431438811572124610146152',NULL,'1022',0.00,1,3,NULL),(20,5104190,'1991-08-05 00:00:00',2,8,12,2008,'F','N','REBOUÇAS','CURITIBA','PR','116162161216471411589811585122610144147',5582,'9998',63.96,1,3,NULL),(20,5104203,'1991-01-11 00:00:00',4,3,12,2008,'M','N','PROENÇA','CAMPINAS','SP','125252251117571441356823571112610164172',9298,'9998',58.18,1,3,NULL),(20,5104211,'1992-01-03 00:00:00',4,3,12,2009,'M','N','JARDIM REAL','MARINGÁ','PR','116162161216111431459913475122610127012',8748,'9998',56.89,1,3,NULL),(20,5104220,'1991-05-25 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215131732438612372114610164141',8405,'738',58.87,1,3,NULL),(20,5104238,'1992-08-12 00:00:00',4,1,12,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124252248215112231478811475122610124147',11883,'9997',51.19,1,3,NULL),(20,5104246,'1992-06-14 00:00:00',4,8,12,2009,'M','N','PIRABEIRABA','JOINVILLE','SC','124242241217111431489814275112610167042',6367,'457',62.91,1,3,NULL),(20,5104254,'1989-08-06 00:00:00',2,1,12,2007,'F','N','CAMBUÍ','CAMPINAS','SP','125251251135572431436823375122610124197',NULL,'9998',0.00,1,2,1),(20,5104262,'1991-01-30 00:00:00',2,1,12,2008,'F','N','JD MARIA CANDIDA','CAÇAPAVA','SP','125252251215471431466532575112610127077',6874,'9998',61.10,3,3,NULL),(20,5104270,'1992-04-22 00:00:00',4,7,11,2009,'F','N','CENTRO','CAPINZAL','SC','124244241217152431368612125124610127052',4657,'446',68.27,1,3,NULL),(20,5104289,'1992-08-04 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111431336814575124610122091',10252,'1050',56.88,1,3,NULL),(20,5104297,'1990-01-19 00:00:00',2,3,12,2007,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124241248115143431333367245124610124042',12440,'129',53.49,1,2,1),(20,5104300,'1993-03-05 00:00:00',2,1,12,2010,'F','S','CALHEIROS','GOV CELSO RAMOS','SC','124244241215111731439731575124610168057',NULL,'1118',51.55,1,3,NULL),(20,5104319,'1977-03-27 00:00:00',2,1,12,1997,'F','N','BARREIROS','S JOSÉ','SC','124241241126273731233823342124610116097',NULL,'734',30.51,1,2,1),(20,5104327,'1990-08-24 00:00:00',2,1,12,2007,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241112373411536419575124610124141',NULL,'295',23.66,2,1,1),(20,5104343,'1991-07-06 00:00:00',2,16,12,2008,'M','N','APARECIDA','CURITIBANOS','SC','124243241115272431427615572122610137042',16160,'239',42.97,1,3,NULL),(20,5104351,'1985-08-27 00:00:00',2,1,12,2003,'M','N','CENTRO','BAL CAMBORIÚ','SC','124163164112471332238724341212610164047',NULL,'49',0.00,1,3,NULL),(20,5104360,'1992-04-11 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215113731448711412124610124092',NULL,'270',27.20,1,3,NULL),(20,5104378,'1992-04-29 00:00:00',2,1,11,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241237111731558869372124610128197',NULL,'269',27.79,1,3,NULL),(20,5104416,'1992-04-26 00:00:00',2,4,12,2009,'M','N','SANTO INÁCIO','FREDERICO WESTPHALEN','RS','120201202117131431427811275124610167077',NULL,'9998',23.48,1,2,1),(20,5104424,'1992-03-11 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','116162161217151431479934471122610143182',10430,'9998',55.93,1,3,NULL),(20,5104432,'1991-12-12 00:00:00',4,5,11,2008,'F','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124243241215472431356634575124610126142',1258,'226',79.94,1,3,NULL),(20,5104440,'1992-11-22 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111411468913575114610142142',8750,'262',58.60,1,3,NULL),(20,5104459,'1993-06-04 00:00:00',4,1,12,2010,'F','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241212111431487823572122610165092',NULL,'270',56.90,1,3,NULL),(20,5104475,'1991-11-05 00:00:00',2,1,12,2009,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215152451558919146122610143017',NULL,'988',35.08,4,1,2),(20,5104505,'1992-03-26 00:00:00',4,8,12,2009,'F','N','BACACHERI','CURITIBA','PR','116162161215111451337821571122610163097',8424,'9998',58.75,1,3,NULL),(20,5104513,'1992-01-18 00:00:00',4,1,12,2008,'M','N','ZONA DOIS','CIANORTE','PR','116162161216471431474912325112610164097',694,'9998',82.88,1,3,NULL),(20,5104521,'1993-10-13 00:00:00',4,1,11,2009,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124242241217151431369814571124610133033',15377,'270',46.70,1,3,NULL),(20,5104548,'1991-08-09 00:00:00',2,1,12,2008,'M','N','CENTRO','BIGUAÇU','SC','124242241216132431556839395124610127047',NULL,'737',30.30,1,3,NULL),(20,5104564,'1992-09-05 00:00:00',4,1,12,2009,'F','N','JARDIM BONANZA','TIETÊ','SP','125253251215271431467832575124610165092',NULL,'9998',0.00,1,3,NULL),(20,5104572,'1992-11-10 00:00:00',4,3,12,2009,'F','N','CENTRO','PATO BRANCO','PR','116162161216121531346913475122610125092',3486,'9998',70.06,1,3,NULL),(20,5104580,'1991-07-04 00:00:00',4,4,11,2008,'F','N','BOM FIM','PTO ALEGRE','RS','120202201216471731556814595124610126181',5713,'9998',64.35,1,3,NULL),(20,5104599,'1992-07-10 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247215271431248824575122610166042',13951,'9999',48.61,1,3,NULL),(20,5104602,'1990-04-19 00:00:00',4,1,12,2007,'F','N','RESIDÊNCIAL ALDEIA','GOIÂNIA','GO','109092091215573731578712575122610144112',3110,'9998',71.58,1,3,NULL),(20,5104610,'1992-07-10 00:00:00',2,4,12,2009,'M','N','ZONA RURAL','CAIBI','SC','124241242117111431423716195124610137052',9489,'129',55.63,3,2,1),(20,5104629,'1992-10-28 00:00:00',4,1,12,2009,'F','N','SANTANA','RIO SUL','SC','124243241215111712468812595122610142072',11200,'991',52.44,1,3,NULL),(20,5104637,'1991-12-11 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215272431469833575124231837115',5485,'270',67.14,1,3,NULL),(20,5104645,'1992-10-28 00:00:00',2,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217111431458831575124610161092',11568,'270',53.85,1,3,NULL),(20,5104653,'1991-11-13 00:00:00',2,1,12,2008,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241215372451457933372124610135182',NULL,'1022',53.20,1,3,NULL),(20,5104661,'1992-04-08 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242248215112431456632321122610135142',11779,'270',50.83,1,3,NULL),(20,5104688,'1992-03-16 00:00:00',4,2,12,2009,'F','N','PARAÍSO','S PAULO','SP','125252251217371711347823575122610163077',NULL,'9998',0.00,1,3,NULL),(20,5104696,'1992-11-23 00:00:00',4,1,11,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217113431178811412124610117062',5535,'270',67.03,1,3,NULL),(20,5104700,'1991-04-13 00:00:00',4,8,11,2008,'M','N','MUNDINHO','MINEIROS','GO','109092161216371431383816165122610167052',NULL,'9998',0.00,1,3,NULL),(20,5104718,'1991-12-06 00:00:00',4,8,12,2008,'F','N','SANTA FELICIDADE','CURITIBA','PR','116242161215471431479934294114610163142',329,'9998',86.00,1,3,NULL),(20,5104734,'1991-09-28 00:00:00',4,3,12,2008,'F','N','SEMINÁRIO','CURITIBA','PR','116162161215471431349932591122610162142',NULL,'9998',0.00,1,3,NULL),(20,5104750,'1992-01-26 00:00:00',4,1,12,2009,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201217121441356816376125610161112',7542,'9998',59.34,1,3,NULL),(20,5104769,'1992-01-16 00:00:00',4,8,12,2009,'F','N','IRIRIU','JOINVILLE','SC','124244241217121431449639574112610116071',NULL,'931',23.60,1,3,NULL),(20,5104777,'1992-02-21 00:00:00',4,5,10,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215272431447932574122610135142',3573,'213',70.45,1,3,NULL),(20,5104785,'1992-03-19 00:00:00',4,4,12,2009,'M','N','INDUSTRIAL','SEARA','SC','124242161214112431368633575112610164052',4955,'9998',66.24,1,3,NULL),(20,5104807,'1989-12-28 00:00:00',2,1,12,2006,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124243247637373732313449495234610164187',NULL,'9999',29.85,1,3,NULL),(20,5104815,'1980-06-02 00:00:00',2,8,12,1997,'M','N','COSTA E SILVA','JOINVILLE','SC','224161243246272411355441315122430752051',14235,'459',49.87,1,3,NULL),(20,5104823,'1991-11-07 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124252251217372751469813471115610167112',2875,'9998',72.68,1,3,NULL),(20,5104831,'1990-05-23 00:00:00',4,5,12,2007,'M','N','FLORESTA','PTO ALEGRE','RS','120202201216571431489834475124610167147',1767,'9998',77.62,1,3,NULL),(20,5104840,'1990-10-15 00:00:00',4,8,11,2008,'F','N','AGUA VERDE','CURITIBA','PR','116112111215411711646831571125610123187',9389,'9998',56.92,3,3,NULL),(20,5104858,'1992-03-12 00:00:00',4,1,11,2009,'F','N','BUENO','GOIÂNIA','GO','109092091215111751569939572112610165182',NULL,'9998',0.00,1,3,NULL),(20,5104882,'1992-10-10 00:00:00',4,1,11,2009,'F','N','ROÇADO','S JOSÉ','SC','124241241415371751533334592224610164141',NULL,'1075',25.22,1,3,NULL),(20,5104890,'1992-09-29 00:00:00',4,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111731467834592122610162142',10976,'1063',53.01,1,3,NULL),(20,5104904,'1992-12-18 00:00:00',4,8,11,2009,'M','N','PORTÃO','CURITIBA','PR','116162161115472231446632575124610122092',NULL,'9998',43.45,1,3,NULL),(20,5104912,'1986-12-29 00:00:00',2,8,12,2004,'F','N','JARDIM SOCIAL','CURITIBA','PR','116242241415574711547814585124143225097',NULL,'185',NULL,1,3,NULL),(20,5104920,'1992-03-27 00:00:00',4,1,12,2009,'M','N','CORAÇÃO EUCARÍSTICO','BELO HORIZONTE','MG','113142131215111431579713476124610144092',3176,'9998',71.27,4,3,NULL),(20,5104947,'1981-08-19 00:00:00',4,1,12,1998,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242246116152421679631335132323267162',4903,'306',68.59,1,3,NULL),(20,5104955,'1992-06-03 00:00:00',4,8,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161215411431447614575124610117047',8104,'9998',60.19,1,3,NULL),(20,5104963,'1985-12-14 00:00:00',4,1,12,2003,'M','N','CENTRO','QUEDAS IGUAÇU','PR','116162161217572751468514172325141467182',10616,'9998',57.01,1,3,NULL),(20,5104971,'1989-09-15 00:00:00',4,6,11,2007,'M','N','CENTRO','BAL PIÇARRAS','SC','124241241417132431648421342124131066012',12906,'389',52.54,1,3,NULL),(20,5104998,'1992-06-13 00:00:00',2,8,12,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215111431546612592112610127125',3273,'1063',71.85,1,3,NULL),(20,5105013,'1992-10-22 00:00:00',4,1,10,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151431479933475112610162195',12301,'1022',50.65,1,3,NULL),(20,5105021,'1991-11-30 00:00:00',4,6,11,2009,'M','N','CABRAL','CURITIBA','PR','116162161211573411558814571121610167122',14817,'9998',45.28,1,3,NULL),(20,5105030,'1992-04-22 00:00:00',4,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124242248235121431426734242121610167043',NULL,'809',0.00,1,3,NULL),(20,5105048,'1992-06-25 00:00:00',4,3,12,2009,'F','N','VILA MARIA LUÍZA','JUNDIAÍ','SP','125252251235111451468814475122610161142',4174,'9998',67.54,1,3,NULL),(20,5105056,'1987-10-20 00:00:00',4,1,11,2004,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124201201217133431334724341114141936142',5782,'9998',66.52,1,3,NULL),(20,5105064,'1984-01-31 00:00:00',2,1,12,2002,'M','N','BOM VIVER','BIGUAÇU','SC','124243247346132421324444141334610167177',NULL,'300',28.22,1,3,NULL),(20,5105072,'1989-02-03 00:00:00',4,1,12,2006,'F','N','BOSQUE DAS MANSOES','S JOSÉ','SC','124242241216574431478912575122122534121',80,'270',90.67,1,3,NULL),(20,5105080,'1992-11-12 00:00:00',4,1,12,2009,'M','N','BATEL','CURITIBA','PR','116162161217121411458832572122610164052',1958,'9998',76.16,1,3,NULL),(20,5105099,'1989-01-13 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','624246247437373251438729375111610168027',3808,'9999',69.56,1,3,NULL),(20,5105102,'1992-03-23 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','120204201217471431338912575122242667092',5261,'9998',67.30,1,3,NULL),(20,5105110,'1991-08-09 00:00:00',2,1,12,2008,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215372431546632572114131063145',6018,'270',63.48,1,3,NULL),(20,5105129,'1988-05-18 00:00:00',4,1,12,2005,'M','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','121212211216153411479814475121241464117',4929,'9998',68.51,1,3,NULL),(20,5105137,'1992-04-26 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431448612422112610124197',9097,'738',58.84,1,3,NULL),(20,5105145,'1992-03-26 00:00:00',4,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244247417471431447634345124610136042',NULL,'9999',25.74,1,3,NULL),(20,5105153,'1987-09-08 00:00:00',4,1,12,2005,'M','N','LIBERDADE','S PAULO','SP','125252251416572731458811475125610161092',13282,'9998',46.60,1,3,NULL),(20,5105161,'1991-02-22 00:00:00',2,4,11,2008,'F','N','TRÊS PALMEIRAS','CEL FREITAS','SC','124241241116472331433912142122610163017',14514,'199',46.31,1,2,1),(20,5105170,'1990-06-27 00:00:00',4,1,12,2007,'F','N','MARECHAL FLORIANO','CAXIAS SUL','RS','120201201117271411558839281112140664092',9333,'9998',59.36,1,2,1),(20,5105188,'1992-12-02 00:00:00',2,1,11,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241216121752338614375122610168192',NULL,'1022',26.98,1,3,NULL),(20,5105196,'1991-08-27 00:00:00',4,1,12,2008,'F','N','JARDIM AURORA','LONDRINA','PR','116162161216471751489739571112610162091',7912,'9998',58.61,1,3,NULL),(20,5105200,'1992-02-14 00:00:00',4,1,11,1992,'M','N','GRAVATÁ','NAVEGANTES','SC','124243241316472431467632575124610162172',1361,'1026',79.46,1,3,NULL),(20,5105218,'1991-03-22 00:00:00',2,1,12,2008,'M','N','PASSO DA AREIA','PTO ALEGRE','RS','120202201217573431336729575114610137047',5698,'9998',64.97,1,3,NULL),(20,5105234,'1993-01-27 00:00:00',4,1,12,2009,'M','N','JARDIM ASTRO','SOROCABA','SP','125252251217111431447712592122610167117',NULL,'9998',0.00,1,3,NULL),(20,5105242,'1989-12-10 00:00:00',4,1,12,2007,'M','N','BUTANTA','S PAULO','SP','125252251217471731568831375122610131097',3173,'9998',72.27,1,3,NULL),(20,5105269,'1992-11-22 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215121331433624575114610137025',7519,'1022',60.23,1,3,NULL),(20,5105285,'1992-11-16 00:00:00',2,1,11,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241248115151441536513576125610162147',16036,'267',43.85,1,2,1),(20,5105293,'1983-09-05 00:00:00',4,1,12,2002,'F','N','BARREIROS','S JOSÉ','SC','124242241411135711528743132122610123181',NULL,'1076',26.00,1,3,NULL),(20,5105307,'1991-11-28 00:00:00',4,4,10,2009,'M','N','POTOSI','BALSAS','MA','110102108217421442568812475122610127122',13414,'9998',49.85,1,3,NULL),(20,5105315,'1992-09-28 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215121431489923572112610144062',2029,'270',76.77,1,3,NULL),(20,5105323,'1992-04-11 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431569913572122610136147',3518,'211',70.81,1,3,NULL),(20,5105331,'1992-03-06 00:00:00',2,1,11,2008,'M','N','CENTRO','CURITIBA','PR','116164161217471531587821595122610164116',7207,'9998',60.01,1,3,NULL),(20,5105340,'1989-11-10 00:00:00',4,1,11,2006,'F','N','TAMBORÉ','SANTANA PARNAÍBA','SP','125252251216572731359934574114610163152',6291,'9998',65.23,1,3,NULL),(20,5105358,'1991-01-03 00:00:00',4,1,11,2009,'M','N','PRAINHA','FLORIANÓPOLIS','SC','124242241215471432469811576122610134171',14365,'270',46.90,1,3,NULL),(20,5105366,'1992-06-21 00:00:00',4,1,12,2009,'F','N','CRUZEIRO','CAXIAS SUL','RS','120201201417271451436719275124610147042',NULL,'9998',27.55,1,3,NULL),(20,5105374,'1990-07-17 00:00:00',4,1,12,2007,'M','N','SERRARIA','S JOSÉ','SC','124241248115573411123344345233610157053',NULL,'13',28.78,1,3,NULL),(20,5105382,'1990-09-29 00:00:00',4,1,12,2007,'F','N','ACLIMAÇÃO','S PAULO','SP','125252251217572751558839572125141061147',1365,'9998',79.45,3,3,NULL),(20,5105390,'1991-04-29 00:00:00',4,2,12,2008,'M','N','VILA NOVA','BLUMENAU','SC','124242241215472432248833574125610167017',2502,'633',75.08,1,3,NULL),(20,5105404,'1991-03-13 00:00:00',4,1,12,2008,'F','N','LARANJAL','PELOTAS','RS','120202201317571231159739595114610166142',NULL,'9998',24.37,1,3,NULL),(20,5105412,'1992-02-04 00:00:00',4,1,12,2009,'M','N','JUVEVÊ','CURITIBA','PR','116162161417371731478814572124610164047',10721,'9998',54.23,1,3,NULL),(20,5105420,'1989-10-30 00:00:00',4,1,11,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217133531227773345334610165147',15942,'422',44.44,4,1,2),(20,5105439,'1992-04-17 00:00:00',2,1,12,2009,'F','N','VILA DOZE','ANTÔNIO CARLOS','SC','124241241115112431533416582124610137077',12887,'21',51.04,1,2,1),(20,5105447,'1989-08-24 00:00:00',5,1,11,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241216254431446933575124231144092',5970,'270',66.09,1,3,NULL),(20,5105455,'1993-05-03 00:00:00',4,8,12,2009,'F','N','ACARAÍ','S FRANCISCO SUL','SC','124241242115151431458613572322613234122',8071,'24',57.57,1,2,1),(20,5105463,'1992-10-06 00:00:00',2,1,11,2010,'F','S','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243247115131431528614582124610134077',NULL,'271',40.36,1,3,NULL),(20,5105471,'1990-10-08 00:00:00',4,1,12,2008,'M','N','JARDI RUBÍ','SANTANA PARNAÍBA','SP','125252251117471431467834575122610124152',8318,'9998',57.48,1,3,NULL),(20,5105480,'1991-09-15 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241245111431436924572122610137012',NULL,'1022',27.27,1,3,NULL),(20,5105498,'1992-03-31 00:00:00',4,1,12,2009,'F','N','JARDIM BONFIGLIOLI','S PAULO','SP','125254251216121441446612575124610135117',NULL,'9998',0.00,1,3,NULL),(20,5105510,'1989-06-30 00:00:00',2,1,12,2007,'F','N','JD SANTOS REIS','POTIRENDABA','SP','125252251215571431568833572122610122093',NULL,'9998',0.00,1,3,NULL),(20,5105528,'1992-01-04 00:00:00',4,7,11,2008,'M','N','BOM RETIRO','JOINVILLE','SC','124244241216353411446614575125221464012',2764,'1146',74.00,1,3,NULL),(20,5105536,'1991-04-08 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116241241115471431548931572114610145042',2188,'603',76.13,1,2,1),(20,5105544,'1987-08-12 00:00:00',2,1,12,2007,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241117131441226744442314610166177',NULL,'170',29.01,2,1,1),(20,5105552,'1992-08-10 00:00:00',4,1,12,2009,'M','N','SANTANA','S PAULO','SP','125252251215251431437511385115610137047',15027,'9998',45.47,1,3,NULL),(20,5105560,'1993-06-03 00:00:00',2,15,12,2010,'F','S','CENTRO','ARARANGUÁ','SC','124242241215121431346933471122610124142',NULL,'970',24.52,1,3,NULL),(20,5105579,'1991-03-13 00:00:00',4,4,12,2009,'F','N','ELDORADO','CHAPECÓ','SC','124111241135141431433632445324610137052',NULL,'177',20.38,1,3,NULL),(20,5105587,'1990-08-22 00:00:00',2,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241115473431435513275124610148092',8793,'271',60.36,1,3,NULL),(20,5105595,'1977-07-07 00:00:00',4,1,12,1994,'F','N','CAPOIERAS','FLORIANÓPOLIS','SC','124241243126135441113348285224221867141',NULL,'513',44.21,4,2,1),(20,5105609,'1990-10-14 00:00:00',4,1,12,2007,'M','N','SANTO AMARO','S PAULO','SP','125252251216571441568811572124610132122',NULL,'9998',0.00,3,3,NULL),(20,5105617,'1992-03-24 00:00:00',4,4,11,2008,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241215472431449812225122610164147',NULL,'168',38.90,1,3,NULL),(20,5105625,'1982-04-28 00:00:00',2,1,12,1999,'F','N','PONTE IMARUIM','PALHOÇA','SC','124241241141134421323729245124610161051',NULL,'12',25.62,1,2,1),(20,5105633,'1992-06-23 00:00:00',2,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242243215111431569812171122610144112',NULL,'270',11.28,4,3,NULL),(20,5105641,'1991-10-11 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242244215474431469613574124610167042',3643,'738',71.55,1,3,NULL),(20,5105650,'1992-06-08 00:00:00',2,8,12,2009,'M','N','BOM RETIRO','CURITIBA','PR','116222161211121711678613432125610127047',8107,'9998',58.79,1,3,NULL),(20,5105668,'1990-06-14 00:00:00',4,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241147131411324921585124610124052',NULL,'295',29.95,2,1,1),(20,5105676,'1993-11-05 00:00:00',4,9,12,2010,'F','S','UNIVERSITÁRIO','VIDEIRA','SC','124242241217151431459911372122610123073',NULL,'969',55.18,1,3,NULL),(20,5105684,'1991-10-22 00:00:00',4,1,11,2009,'F','N','BUTÃNTA','S PAULO','SP','125254251215131431445611375124610134117',NULL,'9998',0.00,1,3,NULL),(20,5105692,'1993-10-10 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124201241117271431458614577124610114112',NULL,'285',0.00,1,2,1),(20,5105706,'1990-04-15 00:00:00',2,1,12,2007,'M','N','ALTO BIGUAÇU','BIGUAÇU','SC','124241241115473431444416592124610137042',NULL,'21',42.52,1,2,1),(20,5105714,'1992-07-27 00:00:00',4,6,12,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241116131431445634372124610127147',15626,'712',42.22,1,2,1),(20,5105722,'1992-06-01 00:00:00',4,8,12,2009,'F','N','BATEL','CURITIBA','PR','116162161215111751448832594122610124092',NULL,'9998',0.00,1,3,NULL),(20,5105730,'1992-11-01 00:00:00',4,7,12,2009,'F','N','CENTRO','JOAÇABA','SC','124241241215112431469712572122610164142',NULL,'962',38.51,1,3,NULL),(20,5105749,'1992-04-23 00:00:00',4,8,12,2009,'F','N','JARDIM IRIRIÚ','JOINVILLE','SC','124243241216111431428831275124610124142',9942,'1105',55.13,1,3,NULL),(20,5105757,'1989-08-04 00:00:00',4,1,12,2007,'M','N','PERDIZES','S PAULO','SP','125252251217572711469833575114610164047',10514,'9998',53.27,1,3,NULL),(20,5105765,'1992-04-22 00:00:00',4,1,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','116162161217111731488914575124610136197',780,'9998',82.38,1,3,NULL),(20,5105781,'1990-10-12 00:00:00',2,1,3,2008,'F','N','ARIRIÚ','PALHOÇA','SC','124242241116473431456923374124121263142',2238,'739',75.78,1,3,NULL),(20,5105803,'1992-10-08 00:00:00',4,2,12,2009,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241217111411226622375114610144095',11010,'1018',53.35,1,3,NULL),(20,5105811,'1992-06-26 00:00:00',4,8,12,2009,'M','N','PROGRESSO','S BENTO SUL','SC','124241241115271441456733575111610167011',14266,'697',47.60,1,2,1),(20,5105820,'1992-05-18 00:00:00',2,9,11,2009,'F','N','CENTRO','S JOAQUIM','SC','124242241217161432558913475122610118187',NULL,'1035',0.00,1,3,NULL),(20,5105846,'1992-03-08 00:00:00',4,1,11,2009,'M','N','PARTENON','PTO ALEGRE','RS','120202201216421411268824395124610147041',NULL,'9998',24.20,1,3,NULL),(20,5105854,'1992-04-13 00:00:00',4,1,12,2009,'M','N','CONDOMINIO SP II','COTIA','SP','125252251217111431378847575124610164177',10871,'9998',53.44,1,3,NULL),(20,5105862,'1991-01-07 00:00:00',4,2,10,2009,'M','N','VELHA','BLUMENAU','SC','124212241215121411366921474122610168092',1818,'855',77.51,1,3,NULL),(20,5105870,'1992-12-26 00:00:00',4,4,11,2009,'M','N','BELA VISTA','ERECHIM','RS','120202201215111431448924572122610127057',8456,'9998',58.60,1,3,NULL),(20,5105889,'1991-01-09 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241217473731344632576124610136185',1739,'270',77.89,1,3,NULL),(20,5105897,'1991-05-09 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431569813575112610124192',11916,'737',54.53,1,3,NULL),(20,5105900,'1991-07-27 00:00:00',4,9,12,2009,'M','N','CAPIVARI','ÁGUAS STA BÁRBARA','SP','125252251417161731458514595115610167052',13803,'9998',46.91,1,3,NULL),(20,5105935,'1992-04-02 00:00:00',4,1,12,2009,'F','N','SÃO LUIZ','BRUSQUE','SC','124241241115131331343611315122610111042',NULL,'112',19.26,1,2,1),(20,5105943,'1989-12-09 00:00:00',4,1,12,2006,'M','N','AEROPORTO','CRISTALINA','GO','124092091317574711388716575122221467092',10194,'9998',56.50,1,3,NULL),(20,5105978,'1992-05-11 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122751488819575112610168115',9806,'270',58.54,1,3,NULL),(20,5105986,'1983-06-16 00:00:00',2,15,12,2009,'M','N','FORQUILHA DO CEDRO','STA ROSA SUL','SC','124241247126131411333426152323610167047',NULL,'9999',22.68,1,2,1),(20,5105994,'1991-10-03 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241317151431479413472114610164052',9619,'269',56.26,1,3,NULL),(20,5106010,'1990-11-24 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215373431488834575112221417042',4746,'262',68.99,1,3,NULL),(20,5106028,'1992-01-18 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431358824375114610125075',10023,'272',55.94,1,3,NULL),(20,5106036,'1991-10-14 00:00:00',4,1,12,2007,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215573431346832572124610167121',2291,'1022',75.86,1,3,NULL),(20,5106044,'1991-10-29 00:00:00',4,1,12,2008,'F','N','PERDIZES','S PAULO','SP','125252251217471411687831575112610162192',10068,'9998',58.02,1,3,NULL),(20,5106052,'1991-09-07 00:00:00',2,8,11,2008,'F','N','SÃO FRANCISCO','CURITIBA','PR','116162161215371731449831574124610136077',NULL,'9998',28.75,3,3,NULL),(20,5106087,'1990-03-20 00:00:00',4,1,12,2008,'M','N','ALEGRE','HOLAMBRA','SP','125252251215471431436636571122610167077',NULL,'9998',0.00,1,3,NULL),(20,5106117,'1992-04-17 00:00:00',2,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124241241217121431469833575122610135142',13253,'723',48.81,1,3,NULL),(20,5106125,'1992-05-06 00:00:00',4,1,11,2009,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215113411467619572122610167142',2980,'270',72.92,1,3,NULL),(20,5106133,'1992-07-13 00:00:00',2,8,12,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124244241215121431546922115124610127072',NULL,'1063',0.00,5,3,NULL),(20,5106141,'1993-09-14 00:00:00',2,5,11,2009,'F','N','SÃO LUIZ','CRICIÚMA','SC','124242241215111411556922575122610146092',10235,'226',55.35,1,3,NULL),(20,5106150,'1992-04-17 00:00:00',4,1,12,2009,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124083241215111231347664575124610147037',12080,'1022',50.93,3,3,NULL),(20,5106168,'1992-11-01 00:00:00',4,8,12,2009,'M','N','PORTÃO','CURITIBA','PR','116162161231471431439613571124610127052',6986,'9998',61.18,1,3,NULL),(20,5106176,'1991-04-06 00:00:00',4,1,12,2008,'M','N','HIGIENÓPOLIS','RIBEIRÃO PRETO','SP','125252251217471431568833575112610167042',5313,'9998',65.15,1,3,NULL),(20,5106192,'1992-04-21 00:00:00',2,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241112141432426339392124610155147',NULL,'289',NULL,2,1,1),(20,5106206,'1992-04-02 00:00:00',2,1,12,2008,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124243241215372431426629572124610128197',12265,'988',53.85,1,3,NULL),(20,5106214,'1992-02-11 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124244241215111431449931575122610167072',8995,'213',56.98,1,3,NULL),(20,5106230,'1991-06-12 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124094091416472431479611572124610134187',10672,'9998',53.76,1,3,NULL),(20,5106249,'1990-12-08 00:00:00',4,1,11,2009,'M','N','VILA IPOJUCA','S PAULO','SP','125252251214271431466932472112610164182',NULL,'9998',0.00,1,3,NULL),(20,5106265,'1993-01-31 00:00:00',2,17,11,2009,'F','N','BELA VISTA','PTO UNIÃO','SC','124243241216111431448632575112610128182',NULL,'633',27.24,1,3,NULL),(20,5106273,'1993-01-27 00:00:00',4,1,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','116252161216111431469932575112610127052',NULL,'9998',0.00,1,3,NULL),(20,5106281,'1991-12-21 00:00:00',4,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124243241215112431346333172124610124192',13752,'944',47.09,1,3,NULL),(20,5106303,'1991-12-17 00:00:00',4,8,12,2009,'F','N','SAGUAÇÚ','JOINVILLE','SC','124242241217371431468811574122610134142',NULL,'1006',33.55,1,3,NULL),(20,5106311,'1989-07-19 00:00:00',4,8,12,2006,'M','N','PQ SAO QUIRINO','CAMPINAS','SP','125252241215573431387912575112610167187',4577,'1063',66.48,1,3,NULL),(20,5106320,'1991-05-02 00:00:00',4,4,12,2008,'F','N','SÃO CRISTÓVÃO','PASSO FUNDO','RS','120202201216471431536732574112610137142',NULL,'9998',25.18,1,3,NULL),(20,5106338,'1992-12-10 00:00:00',4,8,12,2009,'M','N','TINGUI','CURITIBA','PR','116162161215471231678814575122610165152',12757,'9998',49.55,1,3,NULL),(20,5106346,'1989-09-19 00:00:00',2,1,12,2006,'F','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124241241416272731433314482124610114017',NULL,'1169',27.71,1,3,NULL),(20,5106354,'1992-07-05 00:00:00',4,1,11,2009,'M','N','ZONA DOIS','MARINGÁ','PR','116162161216151431479933575122610167052',4818,'9998',67.18,1,3,NULL),(20,5106362,'1992-09-18 00:00:00',4,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124241241115131731335634345124610124117',15834,'592',40.98,4,2,1),(20,5106370,'1992-11-07 00:00:00',4,16,12,2009,'M','N','CENTRO','CURITIBANOS','SC','124242241211112731458832571122610167011',4242,'881',69.04,1,3,NULL),(20,5106389,'1992-04-06 00:00:00',2,3,12,2009,'M','N','PEREQUÊ','PTO BELO','SC','124241241215121731436912395122610164187',12918,'1111',50.43,1,3,NULL),(20,5106397,'1992-05-25 00:00:00',4,4,11,2009,'M','N','CENTRO','XANXERÊ','SC','124242241215151431689813375122610161142',9896,'836',54.48,1,3,NULL),(20,5106400,'1990-02-26 00:00:00',4,1,12,2006,'M','N','CENTRO','CURITIBA','PR','116162161211474111488811475112141014122',NULL,'9998',0.00,1,3,NULL),(20,5106419,'1991-05-27 00:00:00',2,8,12,2008,'M','N','ITAUM','JOINVILLE','SC','124242246211472751357732494124610117071',NULL,'1105',15.19,1,3,NULL),(20,5106427,'1992-12-19 00:00:00',4,6,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431588712274122610122122',6195,'1038',62.55,1,3,NULL),(20,5106435,'1992-06-08 00:00:00',2,8,12,2009,'F','N','JARDIM BOA VISTA','S JOÃO B VISTA','SP','125252251216161431458811372112610122077',NULL,'9998',NULL,1,3,NULL),(20,5106443,'1992-07-14 00:00:00',4,1,12,2009,'F','N','NOVA PETROPOLIS','S BERNARDO CAMPO','SP','125252251217471431456832575122610164097',NULL,'9998',0.00,4,3,NULL),(20,5106451,'1993-02-15 00:00:00',4,1,12,2010,'M','S','FLORESTA','S JOSÉ','SC','124241241117151431545534572124610135147',NULL,'307',27.02,1,3,NULL),(20,5106460,'1992-11-25 00:00:00',2,16,12,2009,'M','N','RESTINGA','MAFRA','SC','124243241317271731456613575124610124092',NULL,'542',25.41,1,3,NULL),(20,5106486,'1989-07-11 00:00:00',4,8,12,2006,'F','N','ATUBA','CURITIBA','PR','116162161436571431468814472124610124077',921,'9998',81.02,1,3,NULL),(20,5106508,'1993-01-28 00:00:00',4,1,12,2009,'F','N','BARRA FUNDA','GUARUJÁ','SP','125252251216121432348823575112610164077',NULL,'9998',30.20,1,3,NULL),(20,5106524,'1991-08-14 00:00:00',4,1,12,1991,'M','N','ITAPEMA DO NORTE','ITAPOÁ','SC','124243161316111412458813275122610137117',16116,'9998',39.94,1,3,NULL),(20,5106559,'1993-08-06 00:00:00',4,1,12,2010,'F','S','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215121731469933572122610144142',NULL,'299',28.88,1,3,NULL),(20,5106567,'1992-09-28 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241415111431368939572114610137052',10624,'1118',55.68,1,3,NULL),(20,5106575,'1990-08-07 00:00:00',2,8,12,2007,'M','N','CENTRO','GARUVA','SC','124241241215472431546818572124610164147',NULL,'459',25.61,1,3,NULL),(20,5106583,'1992-05-20 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121731468933572122610147015',8369,'270',58.79,1,3,NULL),(20,5106591,'1992-03-23 00:00:00',4,1,11,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241215124451367614495112610124142',12458,'270',51.03,1,3,NULL),(20,5106605,'1993-01-24 00:00:00',2,1,11,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241215112431323423575124610163027',10354,'1022',55.24,1,3,NULL),(20,5106613,'1985-06-29 00:00:00',4,4,11,2002,'M','N','CENTRO','XANXERÊ','SC','116242241235471441166816172122130264112',4048,'872',69.20,1,3,NULL),(20,5106621,'1993-01-21 00:00:00',4,1,11,2010,'F','S','BARREIROS','S JOSÉ','SC','124242241215151431349921475122610124172',NULL,'1169',56.38,1,3,NULL),(20,5106630,'1992-04-07 00:00:00',2,15,12,2009,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241241316471731226329295121610121077',13995,'26',46.74,1,3,NULL),(20,5106656,'1993-08-30 00:00:00',4,1,9,2010,'M','S','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215111431478812322122610164122',NULL,'270',29.71,1,3,NULL),(20,5106664,'1992-06-01 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215262431424412572114610121073',11787,'738',51.67,1,3,NULL),(20,5106672,'1992-07-02 00:00:00',4,6,12,2009,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241215111531448911372122610128092',NULL,'1026',34.52,1,3,NULL),(20,5106680,'1991-12-17 00:00:00',4,1,12,2009,'F','N','JARDIM PAULISTA','S PAULO','SP','125252251217111431467732571124610123112',NULL,'9998',0.00,1,3,NULL),(20,5106699,'1993-09-03 00:00:00',4,9,11,2010,'F','S','CENTRO COM PINHEIROS','OTACÍLIO COSTA','SC','124244241217111431459812575124610134147',NULL,'497',25.95,1,3,NULL),(20,5106710,'1992-01-26 00:00:00',4,17,12,2008,'F','N','CENTRO','MAFRA','SC','124241241217373431436923572122140222092',5256,'541',65.80,1,3,NULL),(20,5106729,'1992-11-16 00:00:00',4,4,11,2009,'F','N','PASSOS DOS FORTES','CHAPECÓ','SC','124241241116471731436614595122610134142',15623,'182',41.23,1,2,1),(20,5106745,'1991-02-14 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241417472431449613572114610165185',6363,'1022',63.68,1,3,NULL),(20,5106753,'1991-10-02 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241112371431488813572122610162097',15017,'271',44.07,1,3,NULL),(20,5106761,'1986-01-30 00:00:00',2,1,12,2003,'M','N','KAYSER','CAXIAS SUL','RS','120201201147572431434614292114610167117',8059,'9998',61.24,2,1,1),(20,5106770,'1991-07-03 00:00:00',2,8,12,2009,'M','N','VILA MARARI','S PAULO','SP','125252251216371431226729575124610126142',7890,'9998',59.53,1,3,NULL),(20,5106788,'1993-07-08 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431438612572122610138197',15784,'270',45.15,1,3,NULL),(20,5106796,'1992-08-03 00:00:00',4,8,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161215111711458713475121610147077',3219,'9998',71.29,1,3,NULL),(20,5106800,'1992-09-10 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431366923575124610134142',9734,'270',56.63,1,3,NULL),(20,5106818,'1992-09-03 00:00:00',2,1,12,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241111131431446833572122610122142',NULL,'772',19.48,1,2,1),(20,5106834,'1991-12-02 00:00:00',2,1,12,2008,'F','N','CENTRO','PETROLÂNDIA','SC','124241241315413431468832272124610131052',4640,'991',68.91,1,3,NULL),(20,5106842,'1990-09-11 00:00:00',4,1,12,2008,'M','N','ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC','124241241111372411435933532122610116112',NULL,'271',26.49,4,2,1),(20,5106850,'1991-08-18 00:00:00',2,5,12,2008,'F','N','CENTRO','MRO FUMAÇA','SC','124244243215473431343332575112610164147',NULL,'995',0.00,1,3,NULL),(20,5106877,'1990-12-13 00:00:00',4,8,12,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215473431568714574122610137047',665,'486',83.43,1,3,NULL),(20,5106885,'1991-10-13 00:00:00',2,1,11,2008,'F','N','JARDIM EUROPA','DOURADOS','MS','112122121216471431458833575112610167012',16122,'9998',43.28,4,3,NULL),(20,5106907,'1992-07-08 00:00:00',4,16,11,2009,'M','N','JARDIM DAS HORTENCIA','FRAIBURGO','SC','124243241216112431468711585122610127172',1625,'885',77.38,1,3,NULL),(20,5106915,'1992-11-08 00:00:00',4,1,12,2009,'M','N','CENTRO','S JOSÉ PINHAIS','PR','116162161217111431468829476122610167111',NULL,'9998',NULL,1,3,NULL),(20,5106923,'1992-02-14 00:00:00',4,1,12,2009,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124242241417162731448931585121610114142',10547,'1090',54.92,1,3,NULL),(20,5106931,'1991-05-18 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215111221556632342112610167042',NULL,'738',39.82,2,1,2),(20,5106940,'1987-09-11 00:00:00',4,5,12,2005,'F','N','JD CAPELINHA','S PAULO','SP','125252251217571751426614241124610163027',5750,'9998',64.82,2,3,NULL),(20,5106958,'1993-04-15 00:00:00',2,6,11,2009,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124242241215372431326614575121610162182',NULL,'44',33.22,4,3,NULL),(20,5106974,'1992-04-13 00:00:00',4,1,12,2009,'M','N','JARDIM ESPERANÇA','PILAR SUL','SP','125252251215121231388931411124610117077',7959,'9998',59.27,1,3,NULL),(20,5106982,'1992-05-08 00:00:00',4,2,12,2009,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241215271421369813474122610137042',3283,'909',71.79,1,3,NULL),(20,5106990,'1991-03-01 00:00:00',2,1,11,2009,'F','N','ROÇADO','S JOSÉ','SC','124242241215131431438614122124610123077',NULL,'9997',20.75,1,3,NULL),(20,5107024,'1990-06-07 00:00:00',4,1,12,2007,'F','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251211572411358813572122610113142',NULL,'9998',0.00,1,3,NULL),(20,5107032,'1986-02-18 00:00:00',4,1,12,2004,'M','N','SAPETINGA','ILHÉUS','BA','105163161416573751257923395121610166182',NULL,'9998',0.00,1,3,NULL),(20,5107059,'1992-08-25 00:00:00',4,1,12,2009,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','113252131217271431469931577124610163147',306,'9998',86.47,1,3,NULL),(20,5107067,'1961-12-04 00:00:00',4,1,6,1981,'M','N','CAMPINAS','S JOSÉ','SC','324241243137154441353349295122333263183',14102,'306',50.17,1,3,NULL),(20,5107075,'1990-03-21 00:00:00',2,1,11,2007,'F','N','PRAIA DE FORA','PALHOÇA','SC','124244241416372431336619445124610127147',11910,'737',52.84,1,3,NULL),(20,5107083,'1993-01-08 00:00:00',4,1,12,2009,'M','N','CENTRO','S JOSÉ PINHAIS','PR','116162161215111431665612572122610137051',NULL,'9998',0.00,1,3,NULL),(20,5107113,'1987-12-08 00:00:00',2,10,8,2008,'F','N','CENTRO','BRAÇO NORTE','SC','624241247116371411275351472122132524142',NULL,'9999',18.53,1,3,NULL),(20,5107121,'1989-02-17 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372441447614275124610163181',NULL,'362',31.85,1,3,NULL),(20,5107130,'1992-09-10 00:00:00',2,8,12,2009,'F','N','RESIDENCIAL','GUARAPUAVA','PR','116161161235311211535732571212613218142',NULL,'9998',0.00,4,3,NULL),(20,5107148,'1991-02-21 00:00:00',5,6,12,2008,'F','N','AFONSO PENA','S JOSÉ PINHAIS','PR','116164165215471451556811375124610126147',6400,'9998',63.41,1,3,NULL),(20,5107156,'1992-07-10 00:00:00',4,8,11,2009,'M','N','CABRAL','CURITIBA','PR','116162161215121431668811572122610133057',NULL,'9998',0.00,1,3,NULL),(20,5107164,'1991-08-25 00:00:00',4,1,12,2008,'M','N','CRUZEIRO','BELO HORIZONTE','MG','113134131216371431366834575114610124057',NULL,'9998',0.00,1,3,NULL),(20,5107172,'1991-10-22 00:00:00',4,8,12,2009,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091217111431546614582124610167092',NULL,'9998',0.00,1,3,NULL),(20,5107180,'1992-07-17 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217271431489913575122610161145',226,'262',87.64,1,3,NULL),(20,5107199,'1990-11-12 00:00:00',2,1,12,2009,'F','N','CRISTO REI','CURITIBA','PR','116111167116121331621364275124610146147',NULL,'9998',0.00,2,1,1),(20,5107202,'1992-08-31 00:00:00',2,1,11,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241212142231455632345122610162162',13735,'1074',49.00,1,3,NULL),(20,5107229,'1992-05-05 00:00:00',4,8,11,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215121741559911414122610141137',14840,'1063',48.33,1,3,NULL),(20,5107237,'1992-10-13 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248217111431548514572125610141177',8156,'270',59.73,1,3,NULL),(20,5107245,'1992-11-29 00:00:00',2,1,12,2010,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431478813575112610124072',NULL,'270',43.83,4,3,NULL),(20,5107253,'1993-02-12 00:00:00',2,1,12,2009,'F','N','CENTRO','PELOTAS','RS','620204201415111431416912575122610135196',NULL,'9998',0.00,1,3,NULL),(20,5107261,'1992-07-15 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111431346819495124610146141',5950,'723',63.60,1,3,NULL),(20,5107270,'1992-03-05 00:00:00',4,1,12,2009,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215121331327923572124610127052',15681,'1022',43.43,1,3,NULL),(20,5107300,'1992-07-31 00:00:00',2,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124241241135371431533519395124610118147',14107,'729',47.42,1,2,1),(20,5107334,'1992-08-31 00:00:00',4,1,11,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124243241216372411226921375124610112032',1673,'403',78.17,1,3,NULL),(20,5107342,'1990-02-15 00:00:00',4,3,11,2007,'F','N','VALE DO SOL','S JOSÉ R PRETO','SP','125252251217573711469933575112610167097',1833,'9998',76.39,4,3,NULL),(20,5107393,'1993-02-13 00:00:00',2,1,12,2009,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241248127161751524622295121610127057',NULL,'649',17.93,1,2,1),(20,5107415,'1984-02-17 00:00:00',4,1,12,2000,'F','N','VILA ASSUNÇÃO','PTO ALEGRE','RS','120204201211572521449811482122333267185',8390,'9998',58.60,1,3,NULL),(20,5107423,'1993-10-15 00:00:00',4,2,12,2010,'M','S','CENTRO','VIDAL RAMOS','SC','124241241415111221353431212121610168052',NULL,'909',30.61,1,3,NULL),(20,5107431,'1992-05-20 00:00:00',2,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241215113431437613295122610117062',11178,'723',54.37,4,3,NULL),(20,5107466,'1978-06-16 00:00:00',2,2,12,1995,'F','N','JD SÃO JORGE','MARINGÁ','PR','116161161416574441368923415122333166092',6003,'9998',63.05,4,3,NULL),(20,5107474,'1991-07-11 00:00:00',2,1,12,2008,'F','N','FOQUILHINHAS','S JOSÉ','SC','124241241215373431328823372114610163092',13449,'1022',48.44,1,3,NULL),(20,5107482,'1992-06-16 00:00:00',4,1,10,2009,'M','N','JARDIM MARINGA II','SINOP','MT','611112111217111431546833391121610167017',NULL,'9998',26.92,1,3,NULL),(20,5107490,'1992-05-22 00:00:00',4,1,11,2009,'F','N','ESTEITO','FLORIANÓPOLIS','SC','124242241217121431569834575124610117031',6735,'270',61.96,1,3,NULL),(20,5107520,'1992-07-06 00:00:00',4,4,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124243241117271431334921372122610128143',NULL,'192',15.88,1,3,NULL),(20,5107555,'1991-01-28 00:00:00',4,1,11,2008,'M','N','NOVA HIGIENOPOLIS','JANDIRA','SP','125252251217471431488811575122610147041',2128,'9998',74.98,1,3,NULL),(20,5107563,'1991-05-22 00:00:00',4,1,11,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241145151231536611345124610164017',NULL,'922',37.94,4,2,1),(20,5107571,'1990-10-23 00:00:00',4,1,12,2009,'M','N','VILLAGE','IMBITUBA','SC','124242241347141431428831345121610162047',NULL,'359',12.93,1,3,NULL),(20,5107580,'1990-04-17 00:00:00',4,3,11,2007,'M','N','VILA REAL','BAL CAMBORIÚ','SC','124241241117271431115644345121610164193',NULL,'139',26.42,1,3,NULL),(20,5107601,'1991-07-15 00:00:00',4,6,12,2008,'F','N','CENTRO','UMUARAMA','PR','116162161215471431454832475122610137172',4085,'9998',69.98,3,3,NULL),(20,5107610,'1992-01-20 00:00:00',4,1,12,2009,'F','N','PIRITUBA','S PAULO','SP','125253251217141411443612342122610166093',NULL,'9998',NULL,1,3,NULL),(20,5107628,'1991-06-19 00:00:00',4,1,11,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241217272411339833574114610166171',122,'723',89.60,1,3,NULL),(20,5107636,'1991-03-01 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201241117572441227824472124610167042',3931,'209',70.64,1,2,1),(20,5107652,'1989-02-12 00:00:00',4,1,12,2006,'M','N','CAMPINAS','S JOSÉ','SC','124242241215272431457712445122233268117',14137,'1169',50.10,1,3,NULL),(20,5107660,'1987-05-19 00:00:00',2,8,11,2004,'F','N','CENTRO','CURITIBA','PR','116163161115572731348614592122610168147',4402,'9998',69.77,1,3,NULL),(20,5107679,'1992-01-17 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431479913574122610132182',2391,'262',75.16,1,3,NULL),(20,5107695,'1991-06-25 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSÉ','SC','124244241117371732558614345124610122187',NULL,'733',28.84,1,3,NULL),(20,5107709,'1991-06-05 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117372411443344345114121734042',1454,'412',79.07,1,2,1),(20,5107717,'1992-02-20 00:00:00',4,1,12,2009,'F','N','GOIABEIRAS','CUIABÁ','MT','111112111216271432378831295122610124187',8411,'9998',58.54,2,3,NULL),(20,5107725,'1991-11-29 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSÉ','SC','124243241115472711436813395124610164112',NULL,'733',25.80,4,1,2),(20,5107733,'1991-10-29 00:00:00',4,7,12,2009,'F','N','SÃO JOSÉ','HORIZONTINA','RS','120202201246131731336914285122610126182',NULL,'9998',0.00,1,3,NULL),(20,5107741,'1991-10-02 00:00:00',4,1,12,2009,'F','N','BUENO','GOIÂNIA','GO','109092091217111751568812575122610164142',NULL,'9998',0.00,4,3,NULL),(20,5107750,'1991-04-30 00:00:00',4,15,12,2007,'M','N','CENTRO','ARARANGUÁ','SC','124242241215573431346823285122132024171',975,'32',81.47,1,3,NULL),(20,5107776,'1990-12-26 00:00:00',4,1,12,2008,'F','N','JARDIM','STO ANDRÉ','SP','125252258216371731338823575121610128017',NULL,'9998',35.18,1,3,NULL),(20,5107784,'1992-05-21 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241215111431343832221125610124062',NULL,'1038',27.85,1,3,NULL),(20,5107792,'1986-05-10 00:00:00',2,1,12,2003,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241147271451546611215124610123177',NULL,'192',21.84,4,2,1),(20,5107806,'1992-04-21 00:00:00',2,8,12,2009,'M','N','SÃO LOURENÇO','MAFRA','SC','124241241115141431526633245124610147067',NULL,'542',0.00,1,2,1),(20,5107814,'1991-03-12 00:00:00',2,4,12,2008,'F','N','NOVO PARANÁ','LUÍS E MAGALHÃES','BA','105051051127131431545419372124610124057',NULL,'9998',0.00,1,2,1),(20,5107822,'1988-08-25 00:00:00',4,1,12,2005,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241121472431543511345124610162145',11678,'307',51.99,1,2,1),(20,5107830,'1987-07-14 00:00:00',2,1,12,2004,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241217272411548739282124123024182',11699,'1036',54.94,1,3,NULL),(20,5107865,'1992-08-05 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117371531321528375124610134142',NULL,'307',38.86,1,2,1),(20,5107873,'1990-05-16 00:00:00',4,1,12,2007,'M','N','ATLÂNTICO','ERECHIM','RS','120201201117132431326823385124140764187',14149,'9998',45.50,1,2,1),(20,5107890,'1992-06-01 00:00:00',4,4,12,2009,'F','N','SANTA MARIA','CHAPECÓ','SC','124242241214111431238813571125610162052',14117,'983',46.41,1,3,NULL),(20,5107903,'1983-10-14 00:00:00',4,1,12,2001,'F','N','PARAISO','S PAULO','SP','125252251217471421577812115112342161142',5892,'9998',64.38,3,3,NULL),(20,5107911,'1992-02-06 00:00:00',2,9,12,2008,'M','N','CENTRO','BENTO GONÇALVES','RS','120202201236471431437612371122610127052',6201,'9998',64.26,1,3,NULL),(20,5107920,'1992-09-28 00:00:00',4,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116232731626511575124610124142',13843,'592',48.59,1,2,1),(20,5107938,'1991-04-02 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215372431459953395114610167042',5069,'269',67.14,1,3,NULL),(20,5107946,'1992-08-10 00:00:00',4,10,12,2009,'M','N','PORTINHO','LAGUNA','SC','124242241217273431469933574124610127092',7450,'525',60.52,1,3,NULL),(20,5107954,'1990-03-31 00:00:00',4,1,12,2007,'M','N','JARDIM ESPLANADA II','S JOSÉ CAMPOS','SP','125252251217231231228619381121610128045',NULL,'9998',0.00,1,3,NULL),(20,5107962,'1992-02-02 00:00:00',2,1,11,2009,'F','N','AREIAS','S JOSÉ','SC','124242241114131111423619445124610112077',NULL,'257',25.33,1,3,NULL),(20,5107970,'1992-08-04 00:00:00',4,8,11,2009,'F','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116162161235271431568831574122610123097',2948,'9998',72.06,1,3,NULL),(20,5107989,'1991-03-04 00:00:00',4,1,12,2008,'F','N','CENTRO','SANANDUVA','RS','120201201115471431327624345124610164197',NULL,'9998',25.70,1,2,1),(20,5108004,'1991-06-07 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212473431369913374122610162171',25,'270',93.58,1,3,NULL),(20,5108012,'1992-03-05 00:00:00',4,1,12,2009,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251216271431577513585112610116192',NULL,'9998',0.00,1,3,NULL),(20,5108020,'1988-05-01 00:00:00',4,1,10,2008,'M','N','LIBERDADE','S PAULO','SP','125252257136371431218841275124610162097',15583,'9998',45.94,4,3,NULL),(20,5108039,'1990-01-06 00:00:00',2,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241347272221463311414112130237052',NULL,'736',46.15,1,3,NULL),(20,5108055,'1990-07-21 00:00:00',2,15,7,2008,'F','N','JARDIM ITÁLIA','MELEIRO','SC','124244241431142411559954495122231526072',NULL,'1096',19.49,1,3,NULL),(20,5108063,'1991-05-02 00:00:00',4,1,12,2008,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124241241415473431436613572124230262197',2779,'1022',73.43,1,3,NULL),(20,5108080,'1989-01-25 00:00:00',4,1,12,2006,'M','N','AREIAS','S JOSÉ','SC','124241241126131431323314445124610126152',NULL,'730',28.80,1,3,NULL),(20,5108101,'1989-01-20 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124202241415574751439711575124610137057',776,'292',82.69,1,3,NULL),(20,5108144,'1991-01-06 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124242241216371731234624285114610124142',NULL,'944',29.48,1,3,NULL),(20,5108160,'1990-04-15 00:00:00',2,7,7,2009,'M','N','MORADA DO SOL','CAMPOS NOVOS','SC','124241247222131631435623472321610154057',NULL,'982',24.17,4,3,NULL),(20,5108179,'1990-03-13 00:00:00',2,1,11,2007,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241211374211443419345111610158183',7850,'1011',62.11,1,3,NULL),(20,5108195,'1976-10-08 00:00:00',4,1,12,1993,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202201216334411139944445134123262197',NULL,'9998',0.00,1,3,NULL),(20,5108209,'1989-05-22 00:00:00',2,1,12,2006,'F','N','CENTRO','ESTEIO','RS','120201201147131441228823575114610162192',3076,'9998',71.66,1,2,1),(20,5108217,'1991-07-01 00:00:00',4,4,12,2008,'M','N','SANTA MARIA','CHAPECÓ','SC','124242241216472351337714291121610144142',6832,'168',64.18,1,3,NULL),(20,5108233,'1991-12-28 00:00:00',4,1,12,2008,'M','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241117271211435614345124610127052',NULL,'941',30.68,4,2,1),(20,5108241,'1990-09-28 00:00:00',4,8,12,2007,'F','N','JARIVATUBA','JOINVILLE','SC','124241241116271441333319345134610136097',NULL,'484',0.00,1,3,NULL),(20,5108268,'1987-06-12 00:00:00',2,1,12,2004,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241317144731646923445134230862142',13020,'300',52.33,1,3,NULL),(20,5108276,'1992-02-22 00:00:00',4,4,12,2009,'F','N','CENTRO','ERECHIM','RS','120203201216112431438633575122610125092',3679,'9998',70.70,1,3,NULL),(20,5108284,'1988-06-04 00:00:00',4,8,12,2005,'F','N','ITINGA','JOINVILLE','SC','124241241116371411666613445132610144172',NULL,'478',0.00,1,3,NULL),(20,5108306,'1989-12-18 00:00:00',4,1,7,2009,'F','N','NOVA BRASILIA','JARAGUÁ SUL','SC','124283247216161431378632575122610137032',NULL,'9999',23.23,1,3,NULL),(20,5108349,'1992-08-26 00:00:00',2,8,12,2009,'M','N','JARDIM AMERICA','ASSIS CHATEAUBRIAND','PR','116164161416111231588831224112610167047',NULL,'9998',0.00,1,3,NULL),(20,5108357,'1992-03-24 00:00:00',4,1,12,2009,'M','N','ITAIÓ SETÃO','STA TEREZINHA','SC','124241242116161411426316162324610113147',NULL,'662',21.91,1,2,1),(20,5108381,'1988-02-10 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSÉ','SC','124242241215474451237833382113610141087',8732,'1022',56.17,1,3,NULL),(20,5108390,'1990-09-02 00:00:00',4,1,11,2007,'F','N','CENTRO DE SÃO JOSÉ','S JOSÉ','SC','124242241215173431349923435124610131077',NULL,'737',38.36,1,3,NULL),(20,5108403,'1992-05-16 00:00:00',4,3,12,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116163161235371441566812575112610162147',3414,'9998',71.47,1,3,NULL),(20,5108411,'1992-03-25 00:00:00',4,8,12,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124244241217141731448734475124610124123',NULL,'1105',22.71,1,3,NULL),(20,5108420,'1992-09-29 00:00:00',4,1,11,2009,'M','N','GIRASSOL','AMERICANA','SP','125252251237111431558811415112610167042',5233,'9998',65.86,1,3,NULL),(20,5108438,'1991-08-28 00:00:00',4,1,10,2009,'M','N','IATE CLUBE DE CAMPIN','AMERICANA','SP','125252251216111451368913275112610117042',NULL,'9998',0.00,1,3,NULL),(20,5108446,'1991-07-19 00:00:00',2,6,12,2009,'F','N','VILA OPERARIA','ITAJAÍ','SC','124204241236111431338814575122610134187',NULL,'1161',32.84,1,3,NULL),(20,5108454,'1992-01-20 00:00:00',4,15,12,2009,'M','N','ERECHIN','BAL ARROIO SILVA','SC','124241241111131431314814582224610117117',NULL,'29',0.00,1,2,1),(20,5108462,'1993-07-13 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124212241215111431458813572122610123027',7477,'272',62.85,1,3,NULL),(20,5108470,'1992-07-02 00:00:00',4,8,12,2009,'M','N','BOEHMERWALD','JOINVILLE','SC','124241241225421431557814241134610125142',NULL,'1016',0.00,1,3,NULL),(20,5108489,'1991-01-24 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216372431469931575124610117117',1324,'270',79.63,1,3,NULL),(20,5108497,'1988-09-08 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241147374431433624245124610124117',12968,'307',49.02,2,1,1),(20,5108500,'1992-10-31 00:00:00',4,17,12,2009,'M','N','PARADO','CANOINHAS','SC','124244241414111331333421152224610167052',NULL,'973',28.75,1,3,NULL),(20,5108527,'1990-03-30 00:00:00',4,1,12,2007,'M','N','AREIAS','TIJUCAS','SC','124243241116132411426614445121610167122',NULL,'783',0.00,1,3,NULL),(20,5108535,'1991-02-19 00:00:00',4,1,12,2008,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124244241215372411486613574112232736092',10537,'272',53.84,1,3,NULL),(20,5108543,'1990-12-07 00:00:00',2,1,12,2007,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241217132431557734345124610164187',NULL,'259',25.74,1,3,NULL),(20,5108551,'1991-10-30 00:00:00',2,1,12,2008,'F','N','SAUDADE','BIGUAÇU','SC','124241241117131411633314341334610132022',NULL,'65',30.41,1,2,1),(20,5108560,'1990-12-17 00:00:00',4,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124242241215472431656571571122610132142',13011,'1010',49.95,1,3,NULL),(20,5108586,'1993-01-16 00:00:00',2,4,12,2009,'F','N','CENTRO','QUILOMBO','SC','124243241215311441348821572122610167052',NULL,'185',23.23,4,3,NULL),(20,5108594,'1990-11-19 00:00:00',2,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241215374411348923375125130863197',8409,'272',59.73,1,3,NULL),(20,5108608,'1983-12-24 00:00:00',2,1,11,2001,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241116575431139939375124131367097',5109,'757',67.34,1,3,NULL),(20,5108616,'1983-07-24 00:00:00',2,17,12,2000,'F','N','CRISTO REI','CURITIBA','PR','116241241116572431254453275124610124197',6505,'152',63.45,1,2,1),(20,5108624,'1992-01-12 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241248127141431436314242224610167147',NULL,'1116',26.48,1,2,1),(20,5108632,'1987-08-21 00:00:00',2,1,7,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','224241241237131431226544241211610167187',NULL,'9999',29.90,4,3,NULL),(20,5108659,'1976-04-24 00:00:00',2,15,12,1993,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','224241241127141722343343135112610167145',13724,'28',50.89,1,2,1),(20,5108675,'1991-03-31 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202201215472431337813374125610131142',NULL,'9998',0.00,1,3,NULL),(20,5108683,'1982-10-12 00:00:00',2,1,12,1999,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124201203136571751337543435234241964117',5331,'9998',64.26,1,3,NULL),(20,5108691,'1992-07-26 00:00:00',2,1,11,2009,'F','N','CORDEIROS','ITAJAÍ','SC','124241241227141731223329385122610132142',NULL,'388',25.28,1,3,NULL),(20,5108705,'1991-12-21 00:00:00',2,1,12,2009,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124244241216271711458812575122610168192',14307,'270',46.43,1,3,NULL),(20,5108713,'1991-03-20 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSÉ CAMPOS','SP','125222251215471641368833575124610125097',1959,'9998',75.38,1,3,NULL),(20,5108721,'1991-09-22 00:00:00',4,8,12,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124241241215111431456611575125610167042',NULL,'1006',25.10,4,3,NULL),(20,5108748,'1990-09-10 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241216574431466632575124610116062',10580,'1048',54.73,1,3,NULL),(20,5108756,'1980-08-09 00:00:00',4,1,12,1997,'F','N','PRAIA DE BELAS','PTO ALEGRE','RS','120204201116373431239873472124340226097',1582,'9998',77.44,1,3,NULL),(20,5108772,'1992-03-11 00:00:00',2,1,12,2008,'F','N','BELEM NOVO','PTO ALEGRE','RS','120202201116471411568821571124610125097',11549,'9998',52.26,1,3,NULL),(20,5108780,'1992-04-11 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124243241136141431323529295124610144147',NULL,'307',21.25,1,3,NULL),(20,5108799,'1990-02-12 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116574751326614475124610137095',NULL,'298',23.32,1,2,1),(20,5108829,'1991-02-08 00:00:00',4,8,12,2008,'M','N','AGUA VERDE','CURITIBA','PR','116161161215471731546632575122610167037',7386,'9998',61.71,1,3,NULL),(20,5108845,'1990-05-16 00:00:00',2,8,11,2007,'M','N','VILA RICA','CRUZEIRO','SP','125252251216511431588812525122610117112',NULL,'9998',NULL,1,3,NULL),(20,5108870,'1982-05-25 00:00:00',2,1,12,2000,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224241241124342411323351331324610114077',NULL,'307',20.95,2,1,1),(20,5108888,'1992-05-05 00:00:00',2,17,12,2009,'F','N','VILA IVETE','MAFRA','SC','124241241146141431448633345124610164147',NULL,'542',0.00,1,2,1),(20,5108896,'1991-03-24 00:00:00',4,8,12,2008,'F','N','FLORESTA','JOINVILLE','SC','124242241215472431439813572114610135072',9137,'1016',57.01,1,3,NULL),(20,5108918,'1991-04-08 00:00:00',4,1,12,2008,'F','N','VILA ITALIA','S JOSÉ R PRETO','SP','125252251215471431437812575122610121142',NULL,'9998',0.00,1,3,NULL),(20,5108926,'1989-12-19 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241211572431448313575114610161043',15359,'724',46.74,1,3,NULL),(20,5108934,'1992-02-17 00:00:00',2,1,12,2008,'F','N','PINGUIRITO','GAROPABA','SC','124241241136134411325611285124221446147',4893,'322',67.08,1,2,1),(20,5108950,'1982-12-13 00:00:00',4,16,12,2000,'M','N','FLORESTA','VIDEIRA','SC','124242241216143431358634445122331541097',NULL,'237',NULL,1,3,NULL),(20,5108969,'1991-08-27 00:00:00',4,1,12,2009,'F','N','JARDIM COLOMBO','ITAPETININGA','SP','125252251216111431358924372122610162092',NULL,'9998',0.00,1,3,NULL),(20,5109000,'1991-04-08 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241146141431233379292124610142142',NULL,'295',0.00,1,2,1),(20,5109019,'1990-01-05 00:00:00',4,1,11,2006,'M','N','PEDRINHAS','PTO VELHO','RO','122224221412571231479613572114610122043',NULL,'9998',0.00,1,3,NULL),(20,5109027,'1992-07-11 00:00:00',2,1,12,2009,'F','N','SENAI','MONTENEGRO','RS','120201201146131711549929195134610142187',16110,'9998',41.56,1,3,NULL),(20,5109043,'1991-01-02 00:00:00',2,1,11,2008,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241146131231635514245224610145177',15673,'278',40.79,1,2,1),(20,5109094,'1992-04-18 00:00:00',4,8,12,2009,'F','N','CENTRO','JACAREZINHO','PR','116162161215121431349933371124610125172',8721,'9998',58.40,1,3,NULL),(20,5109124,'1987-08-09 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSÉ','SC','124241241117131511546312385114610131037',NULL,'257',47.27,1,2,1),(20,5109132,'1980-09-18 00:00:00',2,1,12,1997,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241127275411476813485114122913182',NULL,'307',25.29,1,2,1),(20,5109159,'1989-06-27 00:00:00',2,8,12,2006,'M','N','BIGORRILHO','CURITIBA','PR','116164161216572411548831572325610144012',10995,'9998',52.66,1,3,NULL),(20,5109167,'1990-02-15 00:00:00',2,1,10,2006,'F','N','PORTÃO','CURITIBA','PR','116223161216573431658819572124610165147',1983,'9998',76.92,4,1,2),(20,5109175,'1991-01-08 00:00:00',2,3,12,2009,'M','N','CENTRO','RIBEIRÃO BRANCO','SP','125253251335371421544312575122610137052',NULL,'9998',38.33,1,3,NULL),(20,5109183,'1992-06-15 00:00:00',4,1,12,2009,'M','N','CENTRO','SERTANÓPOLIS','PR','116162251217111431458932595114610137042',3057,'9998',71.82,1,3,NULL),(20,5109191,'1992-03-21 00:00:00',4,1,11,2009,'F','N','PRAIA DE FORA','PALHOÇA','SC','124242241117151711338812245322610124095',11876,'592',50.93,1,3,NULL),(20,5109205,'1992-06-21 00:00:00',2,1,12,2010,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242246117151431468833572124610131182',NULL,'306',49.68,1,3,NULL),(20,5109213,'1992-05-16 00:00:00',2,4,12,2009,'F','N','DOS ESTADOS','GUARAPUAVA','PR','116164161215371431456933574122610144147',NULL,'9998',0.00,1,3,NULL),(20,5109221,'1991-10-08 00:00:00',4,4,12,2008,'F','N','CENTRO','MARAVILHA','SC','124241241116371431326611572122610143142',NULL,'552',3.80,1,3,NULL),(20,5109230,'1990-09-18 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241217273731468711572124232722092',13348,'262',51.66,1,3,NULL),(20,5109248,'1990-03-07 00:00:00',4,1,12,2008,'M','N','BOTAFOGO','RIO JANEIRO','RJ','121212211217271451247824345124610147117',NULL,'9998',NULL,1,3,NULL),(20,5109256,'1989-01-22 00:00:00',2,1,12,2007,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241237111731236629575112610117187',NULL,'9999',19.58,1,3,NULL),(20,5109264,'1992-04-05 00:00:00',2,15,11,2009,'F','N','JARDIM ITÁLIA','MELEIRO','SC','124241241123151711558833246111610134072',NULL,'559',0.00,1,3,NULL),(20,5109272,'1988-08-26 00:00:00',2,1,8,2008,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124243247316231431526631572124610167042',NULL,'9999',21.93,1,3,NULL),(20,5109280,'1991-12-12 00:00:00',4,1,12,2009,'F','N','CON JD DO CEDRO','S JOSÉ R PRETO','SP','125252251215111411378812571122610166093',NULL,'9998',0.00,1,3,NULL),(20,5109302,'1991-02-26 00:00:00',2,1,12,2008,'F','N','SANTOS SARAIVA','S JOSÉ','SC','124241241136271531423414245234610114075',NULL,'733',17.84,4,2,1),(20,5109310,'1991-10-14 00:00:00',4,1,12,2008,'F','N','CEN TRO','FLORIANÓPOLIS','SC','124242241215372431266821574122132133092',6875,'262',64.11,1,3,NULL),(20,5109329,'1980-08-31 00:00:00',4,1,11,1998,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242246437475421238849495224221441087',5157,'306',67.93,1,3,NULL),(20,5109337,'1980-01-11 00:00:00',4,1,12,1996,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124202201416151431127944145132341217145',10159,'9998',57.87,1,3,NULL),(20,5109345,'1987-04-04 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241215374431348823445124610137185',11803,'951',53.20,1,3,NULL),(20,5109353,'1990-10-21 01:00:00',4,3,12,2007,'F','N','NOSSA SRA APARECIDA','CPO NOVO PARECIS','MT','111111111116571431248723372113142864142',2321,'9998',75.11,1,2,1),(20,5109388,'1992-02-18 00:00:00',4,1,12,2009,'M','N','BOQUEIRÃO','CURITIBA','PR','116163161115471441335824572124610167042',6644,'9998',63.56,1,3,NULL),(20,5109396,'1991-10-03 00:00:00',2,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241216373431355312575124231436092',9702,'1022',55.69,1,3,NULL),(20,5109400,'1991-08-05 00:00:00',4,8,12,2008,'M','N','COSTEIRA','PARANAGUÁ','PR','116162161217571431459611575124610127047',NULL,'9998',0.00,1,3,NULL),(20,5109418,'1992-12-03 00:00:00',4,8,12,2009,'F','N','PINHEIRINHO','S MATEUS SUL','PR','116162161215111431477812575125610125096',11498,'9998',54.96,1,3,NULL),(20,5109442,'1989-08-19 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241145141431325554275124610167045',NULL,'922',25.35,1,2,1),(20,5109477,'1985-08-18 00:00:00',4,1,7,2005,'F','N','PRAINHA','FLORIANÓPOLIS','SC','124241241136534431225424312334613222141',NULL,'307',26.58,2,1,1),(20,5109485,'1991-05-01 00:00:00',4,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241115131411239674372224610144073',9956,'267',55.47,1,3,NULL),(20,5109493,'1991-09-25 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241146141741336624342114610123147',NULL,'277',47.65,1,2,1),(20,5109523,'1990-03-31 00:00:00',4,8,12,2009,'M','N','NOVO MUNDO','CURITIBA','PR','116164131111111431448614332124610138092',1575,'9998',76.67,4,3,NULL),(20,5109531,'1977-09-19 00:00:00',4,1,12,1995,'M','N','ALTO DA BOA VISTA','S PAULO','SP','125252251217241441447831441121341455082',2007,'9998',75.54,1,3,NULL),(20,5109540,'1992-08-25 00:00:00',2,1,11,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431468611582112610147065',NULL,'951',44.74,4,3,NULL),(20,5109558,'1990-08-18 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215574451469613572122610163147',917,'807',81.80,1,3,NULL),(20,5109566,'1988-05-03 00:00:00',2,1,12,2005,'F','N','PASSA VINTE','PALHOÇA','SC','124241241137372411534416161124610136142',16198,'307',42.57,1,2,1),(20,5109574,'1990-03-06 00:00:00',4,8,12,2008,'F','N','AMÉRICA','JOINVILLE','SC','124242241235371431578712385112610124182',8352,'486',61.22,1,3,NULL),(20,5109582,'1991-09-10 00:00:00',4,1,12,2009,'F','N','DALTRO FILHO','GUARACIABA','SC','124241241117161431534336572324610127042',NULL,'334',20.16,1,2,1),(20,5109590,'1991-10-24 00:00:00',2,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215372431466722572122131428072',8620,'270',59.12,1,3,NULL),(20,5109604,'1991-08-30 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215513431268831214114610163177',7728,'190',60.48,1,3,NULL),(20,5109612,'1991-08-30 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431578717582122610122142',10526,'262',54.59,1,3,NULL),(20,5109620,'1991-03-21 00:00:00',4,1,5,2009,'M','N','SANTA CRUZ','S JOSÉ R PRETO','SP','125252281116211432458819575122610167042',3474,'9998',70.84,1,3,NULL),(20,5109655,'1991-09-09 00:00:00',4,8,12,2009,'M','N','INDEPEDENCIA','POUSO REDONDO','SC','124241241117131431446814141125610137141',NULL,'639',16.97,4,2,1),(20,5109663,'1993-10-23 00:00:00',4,3,12,2010,'F','S','JARDIM AMÉRICA','ITUPORANGA','SC','124242241215111431537832572122610121142',NULL,'9997',57.26,1,3,NULL),(20,5109680,'1991-10-27 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241248115421732326614592124610128187',16189,'307',40.33,1,2,1),(20,5109701,'1992-05-01 00:00:00',4,1,12,2009,'M','N','ALTO BIGUAÇU','BIGUAÇU','SC','624241241116271431343316455124610117057',9045,'21',58.10,1,2,1),(20,5109710,'1992-06-28 00:00:00',4,15,11,2009,'F','N','VILA BRASIL','LONDRINA','PR','116162161215111411469931572112610127182',7342,'9998',59.45,1,3,NULL),(20,5109728,'1990-12-05 00:00:00',4,5,12,2008,'M','N','CENTRO','IÇARA','SC','124242246215371431466931194124131435062',11830,'995',54.69,1,3,NULL),(20,5109736,'1987-06-29 00:00:00',2,15,12,2004,'M','N','CENTRO','ARARANGUÁ','SC','124243241216112421336923485122610117051',NULL,'26',24.29,1,3,NULL),(20,5109744,'1991-01-07 00:00:00',2,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124241241227132431546411345124230835145',15026,'262',42.98,1,3,NULL),(20,5109752,'1991-03-12 00:00:00',2,1,12,2008,'F','N','CASCATINHA','PTE SERRADA','SC','124241241116372411226429575224610114051',NULL,'629',29.48,1,2,1),(20,5109760,'1991-09-04 00:00:00',4,1,12,2008,'M','N','ALTO DA GLORIA','CURITIBA','PR','116162161317471431439923574114610167017',12826,'9998',48.32,1,3,NULL),(20,5109795,'1991-08-30 00:00:00',2,1,12,2009,'F','N','BELA VISTA I','S JOSÉ','SC','124242241235111711447732575112610138197',NULL,'1022',20.03,1,3,NULL),(20,5109809,'1992-07-06 00:00:00',4,1,12,2009,'M','N','CENTRO','TACIBA','SP','125251251116271431548633595121610168171',NULL,'9998',27.50,1,2,1),(20,5109825,'1991-07-31 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241135142711327679245115510133182',NULL,'307',18.58,1,3,NULL),(20,5109833,'1991-08-31 00:00:00',2,2,12,2009,'F','N','SOUZA CRUZ','BRUSQUE','SC','124242241215111111558813411121613221092',NULL,'107',27.83,1,3,NULL),(20,5109841,'1992-11-15 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215111431434414572114610134142',NULL,'1022',26.40,1,3,NULL),(20,5109850,'1991-10-23 00:00:00',4,8,12,2008,'M','N','ITAPEUNA','ITAPEUNA','SP','125251251117471711448813575112610167042',14240,'9998',44.58,1,3,NULL),(20,5109876,'1992-07-03 00:00:00',2,1,12,2009,'M','N','ALTO DA XV','GUARAPUAVA','PR','116164161437151431457919292122610164012',NULL,'9998',0.00,1,3,NULL),(20,5109892,'1991-05-23 00:00:00',4,2,12,2008,'M','N','CENTRO','BRUSQUE','SC','124242241215371731468711445112133264052',6700,'109',64.49,1,3,NULL),(20,5109914,'1986-08-26 00:00:00',4,1,11,2003,'F','N','CAMPINAS','S JOSÉ','SC','124242241216574411228644445132230244123',8550,'262',60.83,1,3,NULL),(20,5109922,'1988-05-08 00:00:00',4,10,12,2006,'M','N','ESPERANÇA','LAGUNA','SC','124241241116131751546613345124231911147',NULL,'521',0.00,4,1,1),(20,5109930,'1991-05-27 00:00:00',4,1,12,2008,'F','N','BELA VISTA I','S JOSÉ','SC','124251251117131431113833582324610142197',NULL,'9998',47.32,1,2,1),(20,5109965,'1992-03-09 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241211121431433833571124610124072',NULL,'300',25.17,2,3,NULL),(20,5109973,'1992-10-07 00:00:00',4,2,12,2009,'M','N','CENTRO','BRUSQUE','SC','124242241215271431576632492121610132052',9793,'107',54.53,1,3,NULL),(20,5109981,'1992-03-25 00:00:00',4,6,12,2009,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161215111411568912572122610114147',11875,'9998',50.99,1,3,NULL),(20,5110009,'1987-03-30 00:00:00',2,1,12,2008,'F','N','SERTAO','STO AMARO IMPERATRIZ','SC','224241247146372731226453274124133217141',2963,'9999',73.42,1,2,1),(20,5110017,'1993-08-25 00:00:00',4,9,11,2009,'M','N','CENTRO','CAÇADOR','SC','124243241215161431568619575112610136057',NULL,'120',0.00,1,3,NULL),(20,5110025,'1992-05-20 00:00:00',2,7,12,2009,'F','N','BELA VISTA','FRAIBURGO','SC','124242241216161532424311575122610147167',7032,'885',61.76,4,3,NULL),(20,5110033,'1993-02-03 00:00:00',2,1,11,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241215111421428632295122610112071',NULL,'9997',18.44,1,3,NULL),(20,5110041,'1991-12-25 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215121531568612575112610128195',15265,'1022',43.23,1,3,NULL),(20,5110092,'1993-01-04 00:00:00',4,10,12,2009,'F','N','MAGALHÃES','LAGUNA','SC','124242241215152431328632572122610142042',NULL,'525',22.40,1,3,NULL),(20,5110106,'1989-12-12 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247217272421327731446234130717067',16287,'9999',40.91,1,3,NULL),(20,5110114,'1991-10-15 00:00:00',4,1,12,2008,'F','N','CENTRO','PTO ALEGRE','RS','120204201117471431559813435124610144017',NULL,'9998',0.00,4,3,NULL),(20,5110122,'1992-03-14 00:00:00',4,1,12,2009,'F','N','MARIA DE LOURDES','HORTOLÂNDIA','SP','125252251211371331444632375122610124142',NULL,'9998',0.00,1,3,NULL),(20,5110130,'1988-07-17 00:00:00',4,2,11,2005,'F','N','GLORIA','BLUMENAU','SC','124241241137272741338377386114610138187',NULL,'69',46.10,1,2,1),(20,5110149,'1991-01-06 00:00:00',2,1,11,2007,'F','N','CAMPINAS','S JOSÉ','SC','124242241216474431433734575124122567117',3806,'723',70.65,1,3,NULL),(20,5110173,'1987-06-29 00:00:00',4,16,12,2004,'M','N','CENTRO','CURITIBANOS','SC','124241241116575431443313572114610162177',14824,'239',45.01,1,2,1),(20,5110181,'1989-01-14 00:00:00',2,1,9,2007,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241117143431558613385122231227117',NULL,'739',27.80,1,2,1),(20,5110190,'1990-03-30 00:00:00',2,1,12,2008,'M','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124242241215142431556614332134610167057',14506,'1075',49.23,1,3,NULL),(20,5110203,'1990-05-26 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241225373431433119345114610124042',15103,'262',45.36,1,3,NULL),(20,5110211,'1990-11-16 00:00:00',2,8,11,2008,'M','N','FÁTIMA','JOINVILLE','SC','124242241211472431638612311324610127097',3635,'1105',71.79,1,3,NULL),(20,5110220,'1992-05-27 00:00:00',2,1,11,2009,'M','N','SERRARIA','S JOSÉ','SC','124241241335371431445513375124610137092',NULL,'300',23.30,1,3,NULL),(20,5110246,'1984-07-23 00:00:00',2,1,12,2001,'M','N','TRNDADE','FLORIANÓPOLIS','SC','124161208113135431526749395125121267047',14287,'9998',49.75,1,2,1),(20,5110254,'1990-04-11 00:00:00',2,1,11,2007,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241215373421336613282214121722042',8652,'1011',60.64,4,3,NULL),(20,5110262,'1991-05-18 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124241241126141731623324345124610123047',NULL,'257',15.36,1,2,1),(20,5110270,'1989-05-24 00:00:00',2,1,12,2006,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124201201116131431223344442213610125057',14599,'9998',49.00,1,2,1),(20,5110289,'1993-03-07 00:00:00',4,1,11,2010,'F','S','CENTRO','IOMERÊ','SC','124241241137141431624414242124610113147',NULL,'368',20.28,1,3,NULL),(20,5110300,'1986-01-05 00:00:00',4,1,12,2006,'F','N','AGRONÔMICA','AGRONÔMICA','SC','124241247121232611123344141334610164052',NULL,'9999',24.15,1,2,1),(20,5110319,'1992-07-06 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243241115471441436711272124610135057',8501,'271',59.59,1,3,NULL),(20,5110327,'1989-06-17 00:00:00',2,1,12,2006,'F','N','CENTRO','CNSO MAIRINCK','PR','116162161415572711466934572122610163192',5917,'9998',63.82,1,3,NULL),(20,5110335,'1993-06-08 00:00:00',2,1,12,2010,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124244241212111531448611412124610133072',NULL,'262',27.83,4,3,NULL),(20,5110343,'1993-02-18 00:00:00',4,7,12,2009,'F','N','UNIVERSITÁRIO','VIDEIRA','SC','124242241217111731559819475122610134072',13312,'969',48.29,1,3,NULL),(20,5110386,'1989-02-07 00:00:00',4,1,12,2006,'M','N','CENTRO','LONDRINA','PR','116252251216571731438814575125610112057',938,'9998',80.65,4,3,NULL),(20,5110394,'1991-11-19 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248215471751479933572122610168197',11570,'262',52.16,1,3,NULL),(20,5110408,'1991-10-19 00:00:00',2,4,12,2009,'M','N','CENTRO','PATO BRANCO','PR','116164168417111431435732241123610157057',NULL,'9998',22.04,1,3,NULL),(20,5110416,'1991-08-23 00:00:00',4,1,12,2008,'F','N','CENTRO','BRAÇO TROMBUDO','SC','124242247216163431563632595112610161061',13781,'654',50.77,1,3,NULL),(20,5110424,'1988-05-24 00:00:00',2,1,12,2006,'F','N','KOBRASOL','S JOSÉ','SC','124242248211372732226412392122123024047',13450,'737',51.48,1,3,NULL),(20,5110432,'1989-09-29 00:00:00',4,15,12,2006,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241137151431454414345133610164092',NULL,'29',20.65,1,3,NULL),(20,5110440,'1991-12-14 00:00:00',4,2,12,2008,'M','N','SENHOR BOM JESUS','CAMPOS NOVOS','SC','124242241216272731678811575115610144172',8849,'497',60.26,1,3,NULL),(20,5110467,'1992-07-02 00:00:00',4,1,12,2009,'M','N','CENTRO','PNT GROSSA','PR','116132161216111431448731575112610137142',7793,'9998',59.25,1,3,NULL),(20,5110475,'1990-12-14 00:00:00',4,1,5,2008,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','624244281117372741489933596114223268195',396,'9998',85.46,1,3,NULL),(20,5110483,'1992-03-20 00:00:00',4,1,11,2009,'F','N','SANTA MARTA','UBERABA','MG','113132131217111731544432571112610167092',10745,'9998',53.83,1,3,NULL),(20,5110505,'1991-05-21 00:00:00',4,8,12,2008,'F','N','CENTRO','STO ANTÔNIO POSSE','SP','125241251115471332438715572122610163057',12715,'9998',49.03,1,2,1),(20,5110521,'1990-03-21 00:00:00',4,8,11,2008,'M','N','AMÉRICA','JOINVILLE','SC','124052241215473431458814392122610162017',8414,'486',61.11,1,3,NULL),(20,5110530,'1991-06-18 00:00:00',2,1,12,2008,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124122241117373331226651282114610167152',NULL,'288',29.09,1,3,NULL),(20,5110548,'1992-11-06 00:00:00',4,1,12,2009,'M','N','SAO BRAS','CURITIBA','PR','116162161215471441458831572124610167187',1661,'9998',78.05,1,3,NULL),(20,5110556,'1988-12-03 00:00:00',2,9,12,2006,'M','N','BARIA LUISA','LAGES','SC','124242241215372411469713345123131467052',NULL,'1065',0.00,1,3,NULL),(20,5110572,'1991-04-25 00:00:00',2,10,12,2008,'F','N','CENTRO','IMBITUBA','SC','124241241115131431323623342124610123077',10655,'1034',53.94,1,2,1),(20,5110599,'1992-08-21 00:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215131431448769595122610141182',9077,'44',56.72,1,3,NULL),(20,5110602,'1992-11-03 00:00:00',4,8,12,2009,'M','N','PORTÃO','CURITIBA','PR','116162161215121432368831575122610167042',NULL,'9998',18.73,1,3,NULL),(20,5110610,'1991-12-15 00:00:00',4,1,12,2009,'F','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251215111431478812385112610142052',NULL,'9998',0.00,1,3,NULL),(20,5110645,'1990-03-19 00:00:00',2,4,11,2008,'M','N','SANTA CATARINA','S LOURENÇO OESTE','SC','124244161316372721457939395122130267125',NULL,'744',0.00,1,3,NULL),(20,5110653,'1990-08-07 00:00:00',2,15,12,2008,'M','N','CENTRO','PTO ALEGRE','RS','120202201216471431448614141124610167112',6111,'9998',64.60,1,3,NULL),(20,5110661,'1992-04-02 00:00:00',4,1,12,2009,'F','N','CENTRO','FRUTAL','MG','113133131217111731458513575124610132077',NULL,'9998',43.97,4,3,NULL),(20,5110688,'1989-04-19 00:00:00',2,1,12,2006,'F','N','JARDIM PATENTE NOVO','S PAULO','SP','125253251217571411368823441134610161077',12264,'9998',51.01,1,3,NULL),(20,5110696,'1991-03-23 00:00:00',2,5,12,2008,'F','N','PINHEIRINHO','CRICIÚMA','SC','124241241116163431334531345124231424142',NULL,'580',0.00,1,2,1),(20,5110718,'1989-04-02 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124241241113131421424324345134610127087',NULL,'730',0.00,1,2,1),(20,5110726,'1991-02-21 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252241215473431356823575124610122177',2176,'270',75.25,1,3,NULL),(20,5110734,'1991-06-23 00:00:00',2,1,12,2008,'F','N','CENTRO','ESTEIO','RS','120204201215471711467834245124610128097',11841,'9998',51.31,4,3,NULL),(20,5110750,'1991-04-03 00:00:00',4,8,12,2008,'M','N','CIDADE INDUSTRIAL','CURITIBA','PR','116161161216571411356319275124610117187',NULL,'9998',57.22,3,3,NULL),(20,5110769,'1983-07-25 00:00:00',4,1,12,2001,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241216275421666673435122130221027',11932,'270',51.42,1,3,NULL),(20,5110777,'1992-06-12 00:00:00',4,3,12,2009,'F','N','SÃO JOÃO','PASSO FUNDO','RS','120203201216471431446929495122610127142',11725,'9998',51.85,1,3,NULL),(20,5110793,'1992-07-14 00:00:00',4,1,11,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215173431333512575122610161093',2652,'270',74.46,1,3,NULL),(20,5110807,'1990-09-14 00:00:00',2,1,12,2007,'F','N','PALMITAL','PARANAGUÁ','PR','116161161116331431426634372124610132197',NULL,'9998',28.53,1,2,1),(20,5110815,'1992-06-04 00:00:00',2,8,12,2009,'M','N','CENTRO','UMUARAMA','PR','116161161147371421339213432325610168042',8430,'9998',60.54,1,2,1),(20,5110823,'1992-10-27 00:00:00',2,4,12,2009,'F','N','NOVA DIVINÉIA','PINHALZINHO','SC','124241241117151431523316162224610167156',14380,'616',46.74,1,2,1),(20,5110831,'1992-08-15 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215113431458931576124610147072',6798,'270',62.43,1,3,NULL),(20,5110840,'1992-11-30 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241215111731259923572124610133187',10092,'262',57.97,1,3,NULL),(20,5110866,'1992-11-10 00:00:00',4,8,12,2009,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241215121431568912571122610126142',9237,'1174',59.54,4,3,NULL),(20,5110882,'1993-04-08 00:00:00',4,1,11,2010,'M','S','CENTRO','PALHOÇA','SC','124244241417111231366623395114610164182',NULL,'989',27.93,1,3,NULL),(20,5110890,'1988-03-11 00:00:00',2,1,12,2006,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124241241125371431433312281114610127112',13148,'307',49.89,1,2,1),(20,5110904,'1992-04-15 00:00:00',4,3,11,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124164241417121731578614344122610141197',3597,'1038',70.59,1,3,NULL),(20,5110912,'1991-03-18 00:00:00',4,1,12,2008,'M','N','JD DEL REY','POÇOS CALDAS','MG','113132131215471631478831575114610124182',NULL,'9998',0.00,1,3,NULL),(20,5110920,'1987-04-04 00:00:00',4,1,12,2004,'M','N','KOBRASOL','S JOSÉ','SC','124242241217375421457813315133610127062',11296,'262',54.37,1,3,NULL),(20,5110939,'1987-08-02 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241217272431454451345124231063077',NULL,'269',18.70,1,3,NULL),(20,5110947,'1991-01-01 00:00:00',4,1,12,2009,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242241215111431446613345124610124077',NULL,'1022',29.16,1,3,NULL),(20,5110963,'1992-07-24 00:00:00',4,4,12,2009,'M','N','CENTRO','TAPERA','RS','120201201117151511478811495111610167142',7070,'9998',63.06,1,2,1),(20,5110971,'1990-12-31 00:00:00',4,1,12,2008,'M','N','JARDIM PIRATININGA','LIMEIRA','SP','125254251217471431448871495112141434047',NULL,'9998',0.00,1,3,NULL),(20,5110980,'1991-09-28 00:00:00',4,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124242241215372431346634275124131434095',7153,'737',63.52,1,3,NULL),(20,5110998,'1990-09-22 00:00:00',4,10,11,2008,'M','N','BARREIROS','LAGUNA','SC','124241241136271441433314385124610134142',NULL,'1148',0.00,1,2,1),(20,5111005,'1992-09-04 00:00:00',4,1,12,2009,'F','N','CENTRO','CAÇADOR','SC','124242241215111431443325575122610123142',NULL,'120',28.39,1,3,NULL),(20,5111013,'1992-11-30 00:00:00',4,2,12,2009,'F','N','JALISCO','TROMBUDO CENTRAL','SC','124241241126131431533611245334610138017',NULL,'796',0.00,1,2,1),(20,5111021,'1991-11-29 00:00:00',4,1,12,2009,'M','N','CACHOEIRA DO B J','FLORIANÓPOLIS','SC','124242241216111731446632575114610167187',15690,'1048',44.68,1,3,NULL),(20,5111030,'1990-02-05 00:00:00',4,1,12,2007,'F','N','PARAÍSO','S PAULO','SP','125252191216571431549911575114610162181',6861,'9998',62.75,1,3,NULL),(20,5111056,'1992-09-26 00:00:00',4,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241415152431469932575122610122091',NULL,'288',39.36,1,3,NULL),(20,5111064,'1989-08-05 00:00:00',4,1,12,2007,'M','N','LIBERDADE','S PAULO','SP','125102101215472431589911474225140237052',4693,'9998',67.27,1,3,NULL),(20,5111110,'1991-01-24 00:00:00',2,4,12,2008,'M','N','BARRA GRANDE','FAXINAL GUEDES','SC','124241241336473731458614592115610134057',5527,'255',67.05,1,3,NULL),(20,5111129,'1991-11-07 00:00:00',4,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124244241215111411258833575112610162122',3529,'1063',71.00,1,3,NULL),(20,5111137,'1985-02-15 00:00:00',4,8,12,2008,'M','N','JD COLINA','AMERICANA','SP','125251251347111431328614225124610131177',NULL,'9998',28.07,4,1,2),(20,5111145,'1990-12-07 00:00:00',4,1,12,2008,'F','N','PARQUE ESPACIAL','S BERNARDO CAMPO','SP','125252251216411411541821575122610123047',NULL,'9998',0.00,1,3,NULL),(20,5111153,'1991-04-11 00:00:00',4,1,12,2008,'F','N','NOVA PETRÓPOLIS','S BERNARDO CAMPO','SP','125252251217471431478911215122610142047',9431,'9998',57.34,1,3,NULL),(20,5111170,'1992-01-30 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161215471431568811475122610126142',4993,'9998',66.52,1,3,NULL),(20,5111188,'1991-03-01 00:00:00',4,1,12,2008,'M','N','ALPHAVILLE','CAMPINAS','SP','125252251215471411479914571122610117097',11317,'9998',54.07,1,3,NULL),(20,5111196,'1991-09-01 00:00:00',2,1,12,2008,'F','N','BOA VISTA','CURITIBA','PR','116164161117471431246911585124610161187',9980,'9998',54.83,1,3,NULL),(20,5111200,'1983-09-28 00:00:00',2,1,11,2001,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224243247447274441253344345123130237047',11248,'185',52.83,2,1,2),(20,5111218,'1989-01-03 00:00:00',2,1,2,2006,'F','N','BELA VISTA','PALHOÇA','SC','124202241416372431438869335124610124167',NULL,'9997',33.95,1,3,NULL),(20,5111234,'1991-02-28 00:00:00',2,1,11,2008,'F','N','CENTRO','BIGUAÇU','SC','124242248215312431358633575122610123142',12550,'270',51.92,1,3,NULL),(20,5111242,'1992-03-18 00:00:00',2,4,12,2009,'F','N','NOVA DIVINÉIA','PINHALZINHO','SC','124241241116152431434614175122610162147',NULL,'616',27.82,1,2,1),(20,5111250,'1985-04-29 00:00:00',4,1,6,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','624204247226271431323644445224610127047',NULL,'977',24.40,1,3,NULL),(20,5111269,'1992-04-10 00:00:00',4,5,10,2009,'M','N','CENTRO','CRICIÚMA','SC','124242242411433231343544222222211127096',3621,'226',71.83,1,3,NULL),(20,5111277,'1986-10-24 00:00:00',2,1,6,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241126133421216224482211610117031',NULL,'922',18.54,1,2,1),(20,5111285,'1988-12-31 00:00:00',2,8,12,2006,'F','N','SÃO FRANCISCO','CURITIBA','PR','116241241116572431334354375114610124097',1198,'477',80.25,1,2,1),(20,5111293,'1989-02-15 00:00:00',2,8,12,2006,'F','N','COSTA E SILVA','JOINVILLE','SC','124243241147471431458931282124130232127',NULL,'464',25.93,4,3,NULL),(20,5111307,'1991-04-29 00:00:00',4,1,12,2008,'M','N','CENTRO','PARANAVAÍ','PR','124164161215474721138832575122610127122',1694,'9998',78.07,1,3,NULL),(20,5111323,'1992-06-17 00:00:00',4,8,11,2009,'F','N','JARDIM CAMPESTRE','ARARAS','SP','125252261216111431327724271122610141052',NULL,'9998',30.45,1,3,NULL),(20,5111331,'1991-02-21 00:00:00',4,1,12,2008,'M','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125252251217472411248924581122610167047',8999,'9998',57.60,1,3,NULL),(20,5111340,'1991-12-13 00:00:00',4,17,12,1991,'M','N','RIO DAS ANTAS','MTE CASTELO','SC','124241242112331341425526255222610137142',NULL,'566',21.08,4,2,1),(20,5111358,'1992-10-31 00:00:00',2,1,12,2009,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124244241115141631447614345122610137145',NULL,'783',24.37,1,3,NULL),(20,5111366,'1992-11-06 00:00:00',2,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124242241216121431467715571122610117102',NULL,'881',24.00,1,3,NULL),(20,5111374,'1976-07-03 00:00:00',4,1,12,2001,'M','N','CENTRO','CAMBÉ','PR','116164167126132431633331235334610164047',NULL,'9998',0.00,1,3,NULL),(20,5111390,'1991-11-02 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124204241216473431557713475124123232042',3262,'951',72.71,1,3,NULL),(20,5111404,'1992-04-13 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431288929571112610162187',2474,'270',74.55,1,3,NULL),(20,5111412,'1990-03-23 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431548913592324122962177',4176,'190',70.39,1,3,NULL),(20,5111439,'1992-06-23 00:00:00',2,4,12,2009,'F','N','SÃO JORGE','S MIGUEL OESTE','SC','124241241116271431554933273122610128147',15229,'753',44.55,1,2,1),(20,5111455,'1992-06-28 00:00:00',4,8,11,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241216131431438614475122610146092',11160,'1006',52.43,1,3,NULL),(20,5111463,'1991-03-10 00:00:00',2,1,12,2009,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124241241237372431424331374124610128185',NULL,'988',45.80,1,3,NULL),(20,5111480,'1992-05-31 00:00:00',4,8,12,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241214371431489932574122610123142',2687,'424',74.04,1,3,NULL),(20,5111498,'1991-12-03 00:00:00',2,9,12,2009,'M','N','PETERLONGO','GARIBALDI','RS','120201201216161731456612175121610134127',NULL,'9998',0.00,1,3,NULL),(20,5111501,'1987-07-04 00:00:00',4,2,12,2004,'M','N','CENTRO','ASCURRA','SC','124241241215473231466612375122131464057',8606,'956',58.77,1,3,NULL),(20,5111510,'1990-08-22 00:00:00',4,1,12,2007,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125252256215472441569922372122610144092',NULL,'9998',37.73,1,3,NULL),(20,5111528,'1993-05-24 00:00:00',4,7,11,2009,'F','N','VILA SIMONE','JOAÇABA','SC','124242241216272431248811574124610166092',1786,'446',77.08,1,3,NULL),(20,5111536,'1991-04-05 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','S JOSÉ','SC','124242241215151431347612245122610125077',NULL,'737',26.84,1,3,NULL),(20,5111544,'1990-03-15 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241135151751336679342124610131187',NULL,'307',24.39,1,2,1),(20,5111560,'1991-08-10 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241212312431466613575124610157042',1495,'270',78.90,1,3,NULL),(20,5111579,'1993-10-14 00:00:00',4,10,11,2010,'M','S','CENTRO','TUBARÃO','SC','124242241215571411558614575122610162087',NULL,'807',48.74,1,3,NULL),(20,5111609,'1992-11-26 00:00:00',2,1,12,2009,'F','N','CENTRO','ÁUREA','RS','120201201116161222423315585224610163052',NULL,'9998',23.52,1,3,NULL),(20,5111617,'1991-05-19 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212111511338924592112610117182',NULL,'270',36.69,1,3,NULL),(20,5111625,'1991-02-27 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473451468833575124610136182',325,'270',86.19,1,3,NULL),(20,5111633,'1990-01-03 00:00:00',4,3,12,2006,'M','N','JABAQUARA','S PAULO','SP','125252251211571431469513391145610117052',NULL,'9998',0.00,1,3,NULL),(20,5111641,'1992-06-04 00:00:00',4,8,12,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241215111711554411571122610134142',NULL,'456',0.00,1,3,NULL),(20,5111668,'1991-06-11 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217132731438711492124231868017',9283,'270',59.45,1,3,NULL),(20,5111676,'1993-03-06 00:00:00',2,3,12,2009,'M','N','MORADIAS VITÓRIA','UMUARAMA','PR','116163161116151411444811175122610164047',14453,'9998',45.82,1,3,NULL),(20,5111692,'1991-05-25 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241215472431338614575114610138177',2427,'299',75.35,1,3,NULL),(20,5111706,'1988-01-16 00:00:00',4,8,12,2004,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161216471431518818485122343267017',3151,'9998',71.74,1,3,NULL),(20,5111714,'1991-02-27 00:00:00',2,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116243241116471531348833575124610133157',NULL,'192',0.00,1,3,NULL),(20,5111722,'1990-09-16 00:00:00',2,5,12,2008,'F','N','IMPERATRIZ','CRICIÚMA','SC','124241241127131431525314445124610156047',NULL,'222',28.25,2,1,1),(20,5111730,'1992-09-02 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217271411328624575115610168072',NULL,'262',37.60,1,3,NULL),(20,5111749,'1987-08-25 00:00:00',4,8,12,2005,'F','N','COSTA E SILVA','JOINVILLE','SC','124243241115574751458931472124610136187',200,'464',87.96,1,3,NULL),(20,5111765,'1985-04-06 00:00:00',4,3,12,2002,'M','N','BOA VISTA','CARAZINHO','RS','120202201216152431426611485123143264187',NULL,'9998',27.73,1,3,NULL),(20,5111773,'1992-09-10 00:00:00',4,1,12,2009,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124243241116271731226511572324610126187',10565,'288',55.19,3,3,NULL),(20,5111781,'1991-09-16 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215473751439911572124610145112',6427,'226',61.90,1,3,NULL),(20,5111790,'1992-01-02 00:00:00',4,4,12,2009,'F','N','NITERÓI','SEARA','SC','124241241116151711456612241122610164142',NULL,'763',20.88,1,2,1),(20,5111811,'1990-10-30 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124244248137151421357511345134610147017',NULL,'733',42.94,4,1,2),(20,5111820,'1989-07-18 00:00:00',4,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124241241215273731446313495124230263057',10160,'737',57.87,1,3,NULL),(20,5111838,'1991-08-18 00:00:00',4,1,12,2008,'F','N','MENINO DEUS','PTO ALEGRE','RS','120202201216372411568921575114610147182',NULL,'9998',0.00,1,3,NULL),(20,5111846,'1992-04-11 00:00:00',2,1,11,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241217472431446612176124610121092',11765,'1011',54.80,1,3,NULL),(20,5111854,'1993-01-09 00:00:00',2,1,12,2009,'F','N','IGARA','CANOAS','RS','120201201116471431426528271224610122142',11788,'9998',51.35,1,2,1),(20,5111862,'1992-06-22 00:00:00',4,8,11,2009,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161216471432579834144112610164012',814,'9998',81.33,1,3,NULL),(20,5111870,'1992-02-03 00:00:00',4,2,11,2009,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241215111431477813575122610167182',10338,'87',57.54,1,3,NULL),(20,5111889,'1991-12-21 00:00:00',4,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124243241117151431436314272122610138042',NULL,'733',24.25,1,3,NULL),(20,5111897,'1981-03-08 00:00:00',2,5,12,2000,'M','N','CEARÁ','CRICIÚMA','SC','124243241316573741336311182324331262187',NULL,'229',26.81,5,3,NULL),(20,5111900,'1991-12-13 00:00:00',4,1,12,2008,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251215471431566774475111610137092',5599,'9998',66.19,1,3,NULL),(20,5111927,'1988-07-25 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115132431523314172224230214112',13325,'271',51.70,1,2,1),(20,5111935,'1991-09-29 00:00:00',4,1,11,2008,'F','N','NOVA PIRACICABA','PIRACICABA','SP','125252281412471441458811472122610128047',5384,'9998',65.32,1,3,NULL),(20,5111943,'1991-06-25 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212111431257669491124610156183',5166,'1022',65.77,4,3,NULL),(20,5111960,'1991-01-10 00:00:00',4,1,12,2008,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241217373431489613575122610168182',7068,'270',60.47,1,3,NULL),(20,5111978,'1992-04-06 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431269823572125610137012',2887,'270',73.89,1,3,NULL),(20,5111986,'1991-01-16 00:00:00',4,1,12,2008,'M','N','FLORESTA','PTO ALEGRE','RS','120252241216472431589814585112610134042',2649,'807',73.27,1,3,NULL),(20,5112001,'1953-09-15 00:00:00',2,1,12,1978,'M','N','JURERÊ','FLORIANÓPOLIS','SC','224251251126471751375543335124340962182',15637,'9998',45.73,4,3,NULL),(20,5112010,'1990-05-26 00:00:00',4,1,11,2007,'M','N','CENTRO','S JOSÉ CAMPOS','SP','125252251217571441457932575112610112142',NULL,'9998',0.00,1,3,NULL),(20,5112028,'1991-03-30 00:00:00',2,6,12,2008,'F','N','CENTRO','ITAJAÍ','SC','124251251147141431325614342212610123182',NULL,'9998',42.67,4,2,1),(20,5112036,'1991-06-28 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215273441368923575122220717073',NULL,'270',0.00,1,3,NULL),(20,5112044,'1992-02-21 00:00:00',4,16,12,2009,'M','N','CENTRO','CURITIBANOS','SC','124243241244111211436619212122610117147',NULL,'237',0.00,1,3,NULL),(20,5112052,'1980-11-21 00:00:00',4,1,12,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124251251117571431235544341123610124052',NULL,'9998',37.65,4,3,NULL),(20,5112060,'1990-03-16 00:00:00',4,1,11,2007,'F','N','CENTRO','LONDRINA','PR','116162161216513411458833575122610167092',10346,'9998',54.13,1,3,NULL),(20,5112079,'1989-04-04 00:00:00',4,3,12,2006,'M','N','JARDIM JEQUITIBA','MARÍLIA','SP','125252251217473431668819275123610164052',11693,'9998',52.21,1,3,NULL),(20,5112087,'1986-04-13 00:00:00',2,1,12,2003,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241215273711338824475114120362187',5184,'956',67.87,1,3,NULL),(20,5112095,'1989-03-15 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247316373431446621342114610127057',NULL,'9999',52.06,4,3,NULL),(20,5112109,'1993-05-07 00:00:00',4,9,12,2009,'F','N','ALTOS DA GLÓRIA','VACARIA','RS','120202201216111731538612575122610127142',NULL,'9998',23.79,1,3,NULL),(20,5112117,'1990-05-03 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242244212111431246324142122610134142',NULL,'269',43.93,1,3,NULL),(20,5112125,'1988-12-30 00:00:00',2,1,12,2006,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241116155431433331295124610168192',14346,'733',49.62,1,2,1),(20,5112133,'1991-08-15 00:00:00',4,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215273431353512342224610164095',2705,'1010',72.58,1,3,NULL),(20,5112141,'1991-09-08 00:00:00',4,1,12,2009,'M','N','CENTRO','GUARIBA','SP','125253251216111441448831272111610127182',NULL,'9998',16.12,1,3,NULL),(20,5112150,'1992-02-20 00:00:00',4,9,11,2009,'F','N','CENTRO','LAGES','SC','124242241215371631339814272122610122197',7111,'515',63.60,1,3,NULL),(20,5112176,'1992-11-16 00:00:00',4,1,12,2009,'F','N','BROOKLIN','S PAULO','SP','125252251236131431216621575124610124142',10223,'9998',55.14,3,3,NULL),(20,5112184,'1991-09-28 00:00:00',4,7,12,2008,'M','N','TOBIAS','JOAÇABA','SC','124241241135151331323623345232610164187',NULL,'449',27.35,1,3,NULL),(20,5112192,'1992-10-11 00:00:00',4,8,12,2009,'F','N','PORTÃO','CURITIBA','PR','116162241215151731334823276324610146077',7572,'1161',59.62,1,3,NULL),(20,5112206,'1991-05-20 00:00:00',4,1,12,2008,'F','N','CENTRO','CAPINZAL','SC','116241241216471231333322275324610123097',15792,'1093',42.99,1,3,NULL),(20,5112214,'1992-01-17 00:00:00',2,2,12,2009,'M','N','RAINHA','BRUSQUE','SC','124241241116271231453339575124610161142',NULL,'1019',0.00,1,2,1),(20,5112230,'1991-01-08 00:00:00',2,4,12,2008,'F','N','INTERIOR','CAIBI','SC','124241241117371731433635172114610143057',4642,'127',67.21,1,2,1),(20,5112257,'1992-03-30 00:00:00',4,1,12,2009,'M','N','JARDIM PARATI','MARÍLIA','SP','125254251217151441337527575121610162142',6051,'9998',62.60,1,3,NULL),(20,5112265,'1991-10-18 00:00:00',2,1,12,2008,'F','N','AREIAS','PAULO LOPES','SC','124241241137371431441179345124610162057',14654,'726',48.85,1,2,1),(20,5112273,'1992-04-15 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241211112432457723571124610134097',NULL,'270',35.51,1,3,NULL),(20,5112281,'1992-06-13 00:00:00',4,1,12,2009,'M','N','NOVA SUIÇA','GOIÂNIA','GO','109091091216111441468812175122610162012',NULL,'9998',0.00,4,3,NULL),(20,5112290,'1992-05-12 00:00:00',4,1,11,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217221431458814592114610124092',7166,'270',60.82,1,3,NULL),(20,5112303,'1990-10-13 00:00:00',4,1,12,2008,'M','N','CENTRO','DOURADOS','MS','112122121215472431468627571112610164042',1872,'9998',77.18,3,3,NULL),(20,5112320,'1992-01-26 00:00:00',2,8,11,2009,'F','N','PORTO GRANDE','ARAQUARI','SC','124241241216111451436419275124610143147',NULL,'461',30.18,1,3,NULL),(20,5112346,'1992-05-24 00:00:00',4,4,12,2009,'F','N','CENTRO','PATO BRANCO','PR','116162161225131431459914575122610166047',5673,'9998',64.39,1,3,NULL),(20,5112354,'1990-03-01 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124243241215372411329612572124122367052',9474,'723',56.09,1,3,NULL),(20,5112362,'1992-10-21 00:00:00',4,4,11,2009,'M','N','CENTRO','CPO ERÊ','SC','124164161416132431336816245124610148057',NULL,'9998',29.48,1,3,NULL),(20,5112370,'1993-05-13 00:00:00',4,6,10,2009,'F','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124242241216111731458814475122610126122',5641,'1038',65.49,1,3,NULL),(20,5112389,'1992-05-23 00:00:00',4,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124242241215112411434419375122610122051',12777,'270',50.44,1,3,NULL),(20,5112397,'1990-06-02 00:00:00',4,1,12,2007,'F','N','AREIAS','S JOSÉ','SC','124242241215272431556811394122122236192',11161,'269',55.98,1,3,NULL),(20,5112400,'1989-11-01 00:00:00',2,1,12,2007,'M','N','CENTRO','JAÚ','SP','125252251216472431558711575121610114112',NULL,'9998',30.29,1,3,NULL),(20,5112419,'1992-06-30 00:00:00',4,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124163241215112731538611575124610167012',7147,'270',61.99,1,3,NULL),(20,5112427,'1993-01-09 00:00:00',4,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124241241215111431536619592122610163077',8079,'807',59.41,1,3,NULL),(20,5112435,'1992-09-27 00:00:00',2,1,11,2010,'F','S','PANTANAL','FLORIANÓPOLIS','SC','124242241217171451458833572124610123145',NULL,'270',53.27,1,3,NULL),(20,5112443,'1992-12-13 00:00:00',4,6,12,2009,'M','N','BOM RETIRO','CURITIBA','PR','116162161215111441489914575122610144012',NULL,'9998',28.43,1,3,NULL),(20,5112460,'1991-12-03 00:00:00',4,8,11,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241216371431389933572112610136132',1037,'457',80.17,1,3,NULL),(20,5112486,'1992-01-07 00:00:00',2,1,11,2009,'F','N','ROÇADO','S JOSÉ','SC','124241241116131731426614245124610152097',NULL,'732',24.17,1,3,NULL),(20,5112494,'1990-10-24 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215473431446819395114610137117',14868,'1023',48.25,1,3,NULL),(20,5112508,'1989-03-02 00:00:00',2,1,11,2008,'M','N','JARDIM MONÇOES','LONDRINA','PR','116282101415371751367829574122610164092',NULL,'9998',22.43,4,3,NULL),(20,5112516,'1991-08-01 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215472431489933575112610111112',6835,'270',64.18,1,3,NULL),(20,5112532,'1986-09-17 00:00:00',4,1,12,2003,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124243241315575431669713445122221024062',3087,'270',73.25,1,3,NULL),(20,5112540,'1992-03-28 00:00:00',4,1,12,2009,'F','N','JARDIM MORUMBY','S PAULO','SP','125252253217121531459932581122610167144',NULL,'9998',0.00,1,3,NULL),(20,5112567,'1991-03-27 00:00:00',4,1,12,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111732336619375124610133097',NULL,'1022',27.00,1,3,NULL),(20,5112575,'1989-11-16 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216272431436514235132220865187',8313,'210',61.28,1,3,NULL),(20,5112583,'1987-12-05 00:00:00',4,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215575411568633574114610136182',349,'269',86.01,3,3,NULL),(20,5112591,'1993-02-02 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202241217572431356833475112610166141',6692,'270',62.68,1,3,NULL),(20,5112605,'1991-07-03 00:00:00',4,1,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124062241217471731545612376341610164092',NULL,'1026',31.00,4,3,NULL),(20,5112613,'1992-12-30 00:00:00',4,15,12,2009,'F','N','PARQUE ALVORADA','ARARANGUÁ','SC','124241241115131411226629245122610123142',NULL,'30',21.58,1,2,1),(20,5112621,'1985-01-04 00:00:00',4,8,12,2003,'M','N','CENTRO','CURITIBA','PR','116242241215373431444423475125131022097',NULL,'959',26.03,1,3,NULL),(20,5112630,'1991-11-18 00:00:00',4,7,12,2009,'F','N','LINHA EMPRESA VELHA','CAPINZAL','SC','124241241112151411424414272224610155077',NULL,'156',0.00,1,2,1),(20,5112648,'1981-04-28 00:00:00',2,1,12,1998,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','224163166336153721336851342122231468193',7516,'9998',62.77,1,3,NULL),(20,5112664,'1991-07-11 00:00:00',4,1,12,2008,'M','N','JARDIM','SAPUCAIA SUL','RS','120204201316471751336867581125610164047',5982,'9998',64.03,1,3,NULL),(20,5112672,'1992-04-16 00:00:00',4,6,11,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241216371231456634245141610114092',14661,'403',48.84,1,3,NULL),(20,5112680,'1991-08-25 00:00:00',2,1,12,2008,'F','N','BARRA','TRAMANDAÍ','RS','120201201111371411313411272222241417113',NULL,'9998',30.29,2,1,1),(20,5112699,'1982-02-08 00:00:00',2,15,12,1999,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241142151711323329242335132337187',NULL,'30',24.30,1,2,1),(20,5112702,'1992-02-04 00:00:00',4,5,11,2009,'M','N','MICHEL','CRICIÚMA','SC','124242241215111431437832572115610164072',9334,'226',59.36,1,3,NULL),(20,5112710,'1987-08-28 00:00:00',4,1,12,2005,'M','N','MIRANDOPOLIS','S PAULO','SP','125252251217571431549914473115141367187',NULL,'9998',NULL,4,1,2),(20,5112729,'1992-03-30 00:00:00',2,4,12,2009,'F','N','SANTO ANTONIO','CHAPECÓ','SC','124241241115311431436612572122613226142',NULL,'172',0.00,1,2,1),(20,5112737,'1989-08-11 00:00:00',4,1,11,2007,'M','N','GRANJA VIANA','CARAPICUÍBA','SP','125252251217571431369921575122610137122',1656,'9998',78.25,1,3,NULL),(20,5112745,'1992-01-18 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241411121431437739575124610123057',NULL,'1022',24.97,3,3,NULL),(20,5112753,'1991-04-03 00:00:00',4,1,12,2007,'M','N','CENTRO','TIJUCAS','SC','124242241217374731457812275114230724015',6689,'1169',64.52,1,3,NULL),(20,5112761,'1988-10-29 00:00:00',2,1,12,2006,'M','N','PORTÃO','CURITIBA','PR','116161161336134711638824572224221444062',NULL,'9998',42.71,2,1,2),(20,5112770,'1992-02-29 00:00:00',4,1,10,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411469914372112610162052',1850,'1022',77.42,1,3,NULL),(20,5112788,'1991-04-21 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431347823572122610161147',NULL,'1022',30.19,1,3,NULL),(20,5112796,'1992-09-24 00:00:00',4,2,12,2009,'F','N','GLORIA','RODEIO','SC','124243241215131431324623282324610167057',14291,'940',45.50,1,3,NULL),(20,5112818,'1992-04-28 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116372431648511285124610128197',NULL,'257',42.58,1,2,1),(20,5112826,'1991-02-18 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124122241215273411468612575122130242042',9177,'270',57.74,4,3,NULL),(20,5112834,'1991-07-12 00:00:00',4,3,12,2008,'M','N','CENTRO','ROLÂNDIA','PR','116162161217371511469813591122610114052',NULL,'9998',18.19,1,3,NULL),(20,5112842,'1984-03-03 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241248137372751334419396334610167157',NULL,'298',38.02,1,2,1),(20,5112850,'1988-12-16 00:00:00',4,1,6,2006,'M','N','AGUA VERDE','CURITIBA','PR','116123281416471451348919575124143234187',5518,'9998',65.70,1,3,NULL),(20,5112877,'1993-08-30 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215121431388933574124610137097',3285,'270',72.65,1,3,NULL),(20,5112907,'1992-07-01 00:00:00',2,2,11,2009,'M','N','CENTRO II','BRUSQUE','SC','124242241115111531659939342121610167012',15440,'9997',46.49,1,3,NULL),(20,5112915,'1992-09-14 00:00:00',2,1,12,2009,'M','N','FURADINHO','PALHOÇA','SC','124241241115131431535313332124610127047',13102,'592',48.09,1,2,1),(20,5112923,'1990-10-04 00:00:00',4,8,12,2007,'M','N','CENTRO','ITAPORANGA','SP','125252251215571441469611574112610162082',1461,'9998',77.30,3,3,NULL),(20,5112931,'1989-06-18 00:00:00',4,1,7,2008,'M','N','CENTRO','PALHOÇA','SC','124241241116131731226624172324610124015',NULL,'306',0.00,2,1,1),(20,5112940,'1991-06-21 00:00:00',2,1,12,2008,'F','N','TRINTA RÉIS','NOVA TRENTO','SC','124241241217471431336451572125610123142',4505,'981',68.97,1,3,NULL),(20,5112958,'1988-02-16 00:00:00',4,1,1,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124131131116455431638832285133142012047',NULL,'9998',14.75,1,3,NULL),(20,5112966,'1992-05-18 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124162241217112232269933475114610134062',5814,'1133',64.33,1,3,NULL),(20,5112974,'1991-09-27 00:00:00',4,8,12,2008,'F','N','REBOUÇAS','CURITIBA','PR','116163161211211231228833574124610126142',6605,'9998',62.94,1,3,NULL),(20,5112990,'1991-12-27 00:00:00',4,8,11,2009,'F','N','CENTRO','JOINVILLE','SC','124242241215121431478931575122610168122',NULL,'1063',31.81,1,3,NULL),(20,5113016,'1992-07-02 00:00:00',2,1,11,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241125131431328629345124610166187',NULL,'9997',25.41,1,2,1),(20,5113024,'1992-09-29 00:00:00',4,1,9,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124113241215122741369514572124610144012',3372,'1022',71.66,1,3,NULL),(20,5113040,'1952-02-27 00:00:00',2,1,12,1977,'F','N','CARIANOS','FLORIANÓPOLIS','SC','524241245135314441234449494324133247095',NULL,'512',22.48,1,2,1),(20,5113059,'1993-08-27 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111721468812575112610123115',NULL,'270',42.56,1,3,NULL),(20,5113067,'1991-05-01 00:00:00',2,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241116272711223344345123610121157',NULL,'65',20.70,1,2,1),(20,5113083,'1987-07-22 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241416375431226521445124130264162',11168,'976',55.97,1,3,NULL),(20,5113091,'1990-09-05 00:00:00',2,1,12,2007,'F','N','PORTÃO','CURITIBA','PR','116163161316133711638824385124221544052',NULL,'9998',41.40,2,1,2),(20,5113113,'1989-10-24 00:00:00',4,8,12,2006,'F','N','COSTA E SILVA','JOINVILLE','SC','124251251116372411556614175124143234072',6518,'9998',63.59,4,2,1),(20,5113121,'1988-11-28 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241137313431311244442314610114057',NULL,'298',23.66,1,2,1),(20,5113130,'1992-05-13 00:00:00',4,1,11,2009,'F','N','FRAGATA','MARÍLIA','SP','125252251215111331348611575112610161084',2496,'9998',73.44,1,3,NULL),(20,5113172,'1992-12-08 00:00:00',4,1,12,2009,'F','N','CENTRO','LINS','SP','125252251217121531249914596122610143042',NULL,'9998',0.00,1,3,NULL),(20,5113180,'1992-01-04 00:00:00',2,1,12,2008,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241215472431466933592124610123147',NULL,'1014',42.34,1,3,NULL),(20,5113199,'1991-07-03 00:00:00',2,1,12,2008,'F','N','CENTRO','S JOÃO BATISTA','SC','124242241115472431336939575122610168172',10771,'712',55.39,1,3,NULL),(20,5113210,'1992-02-17 00:00:00',4,3,12,2009,'M','N','JRD PORTAO VERMELHO','VARGEM G PAULISTA','SP','125252251216111711336532575122610135187',NULL,'9998',NULL,1,3,NULL),(20,5113229,'1989-12-16 00:00:00',2,1,12,2005,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241116272721113349295124610113047',NULL,'750',27.15,1,2,1),(20,5113237,'1991-02-10 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241112271432546619442112610112142',NULL,'288',13.99,1,2,1),(20,5113245,'1991-12-05 00:00:00',2,1,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161215571751678811472124610164042',5987,'9998',64.62,1,3,NULL),(20,5113253,'1992-11-16 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124243241217371431429911575124610154012',3680,'723',70.05,1,3,NULL),(20,5113270,'1992-01-08 00:00:00',4,6,12,2008,'F','N','CENTRO','ITAJAÍ','SC','124242241215472431449919495122133225116',2346,'392',75.14,1,3,NULL),(20,5113288,'1992-05-02 00:00:00',2,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124242241215111431466611572114610137052',7657,'1022',62.51,1,3,NULL),(20,5113296,'1992-10-08 00:00:00',2,17,12,2009,'F','N','CENTRO','MTE CASTELO','SC','124241241146231431423314292322610136017',NULL,'566',28.12,1,2,1),(20,5113300,'1992-02-08 00:00:00',2,1,12,2009,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241117151331558613575122610163147',NULL,'739',26.04,1,2,1),(20,5113318,'1991-12-16 00:00:00',2,1,12,2009,'M','N','CENTRO','RANCHO QUEIMADO','SC','124241241126111431426637275121610114142',NULL,'649',20.36,1,3,NULL),(20,5113326,'1992-02-07 00:00:00',4,1,12,2009,'M','N','NOVA BRASÍLIA','IMBITUBA','SC','124241248115151411435532325122610166082',NULL,'359',0.00,1,2,1),(20,5113334,'1990-05-16 00:00:00',2,1,12,2007,'F','N','BELA VISTA','PALHOÇA','SC','124241241136141431333434345124230834197',NULL,'1108',0.00,1,3,NULL),(20,5113342,'1992-12-21 00:00:00',2,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124242248215311431349613434122610142077',NULL,'983',20.40,1,3,NULL),(20,5113350,'1988-09-05 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241115372431436619572114610167077',9648,'307',58.00,2,1,2),(20,5113369,'1991-02-02 00:00:00',4,1,11,2008,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215372411479813575122121432042',810,'270',82.07,1,3,NULL),(20,5113377,'1992-01-06 00:00:00',2,1,10,1992,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124244241217132431636621275124610152077',5158,'723',67.93,4,3,NULL),(20,5113385,'1990-09-14 00:00:00',2,8,12,2007,'F','N','BOM RETIRO','JOINVILLE','SC','124254251215572431336823571124610137142',5658,'9998',64.23,1,3,NULL),(20,5113423,'1992-03-30 00:00:00',4,8,11,2009,'M','N','BOA VISTA','JOINVILLE','SC','124242246212141721468814572121610167061',NULL,'1105',29.03,1,3,NULL),(20,5113431,'1991-03-10 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217473451578613575114610168055',9041,'1022',56.46,3,3,NULL),(20,5113440,'1992-02-05 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241215111431336633575122610127042',10124,'1023',54.77,1,3,NULL),(20,5113458,'1989-09-03 00:00:00',2,1,12,2006,'M','N','CENTRO','PASSO FUNDO','RS','120201201136473431533311575124120467057',11466,'9998',51.99,2,1,1),(20,5113466,'1991-07-03 00:00:00',4,5,11,2009,'F','N','SANTA BARBARA','CRICIÚMA','SC','124242241217131731435811315124610121187',NULL,'995',18.84,1,3,NULL),(20,5113474,'1992-06-13 00:00:00',5,1,12,2009,'M','N','BATEL','CURITIBA','PR','116162161217111431488832485122610164096',NULL,'9998',0.00,1,3,NULL),(20,5113482,'1990-11-05 00:00:00',4,1,12,2008,'M','N','POMTA DE BAIXO','S JOSÉ','SC','124241241136133421528613483324610162152',13743,'732',48.34,4,2,1),(20,5113520,'1993-12-08 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241415112431453623575114610124037',4228,'1022',69.61,1,3,NULL),(20,5113539,'1991-09-21 00:00:00',4,1,7,2009,'M','N','ARIRIÚ','PALHOÇA','SC','124243241117373441446923574124610147097',589,'739',83.87,1,3,NULL),(20,5113547,'1990-12-02 00:00:00',2,1,12,2008,'F','N','PIRAPO','PIRAPÓ','PR','116162161217471731446832572112610164097',7229,'9998',60.59,1,3,NULL),(20,5113555,'1990-09-23 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241212472451434911574324610167073',11483,'1022',55.37,1,3,NULL),(20,5113563,'1992-02-22 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161241117471431469913472124610123152',NULL,'281',22.71,1,2,1),(20,5113571,'1992-05-16 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215121731423519575212610127142',14048,'738',47.55,4,3,NULL),(20,5113580,'1991-02-24 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241116475441438733585115610164117',4835,'271',67.59,1,3,NULL),(20,5113598,'1989-01-20 00:00:00',2,1,12,2008,'M','N','TATUAPE','S PAULO','SP','125051051136131431111344445334610118092',NULL,'9998',20.32,2,1,1),(20,5113628,'1993-08-13 00:00:00',4,5,10,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215371731428833425122610117187',14442,'226',49.39,1,3,NULL),(20,5113636,'1991-08-22 00:00:00',2,1,12,2008,'F','N','JARDIM CIDADE','S JOSÉ','SC','124244241211272431433811345122610122147',7095,'868',61.92,1,3,NULL),(20,5113644,'1992-09-28 00:00:00',2,1,12,2009,'F','N','CENTRO','CAÇADOR','SC','124244241216161431424924275122610134142',NULL,'1124',0.00,1,3,NULL),(20,5113652,'1992-10-12 00:00:00',2,1,12,2009,'M','N','ALTO ARIRIU','PALHOÇA','SC','124242241215111531468833572124610127142',8236,'270',59.31,1,3,NULL),(20,5113660,'1993-11-15 00:00:00',4,1,11,2010,'F','S','CENTRO','CANELINHA','SC','124243241215151731328933575122610127052',NULL,'1119',26.46,1,3,NULL),(20,5113679,'1993-01-18 00:00:00',4,1,11,2009,'F','N','CENTRO','DEZESSEIS NOVEMBRO','RS','120203201335371441458932571122610126197',NULL,'9998',0.00,1,3,NULL),(20,5113687,'1992-02-01 00:00:00',4,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124241241145141431436621331224610143152',NULL,'592',21.93,1,2,1),(20,5113709,'1992-05-11 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115271431426833575124610162047',5605,'267',66.50,1,3,NULL),(20,5113717,'1991-08-18 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202201216472431377839592112610162196',8640,'9998',57.94,1,3,NULL),(20,5113725,'1992-04-20 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241215122431669713231122610124093',3184,'1022',72.95,1,3,NULL),(20,5113733,'1989-03-23 00:00:00',4,1,12,2006,'F','N','SAÚDE','S PAULO','SP','125252251216572431348823575122610127057',6625,'9998',62.58,1,3,NULL),(20,5113741,'1990-07-13 00:00:00',2,1,12,2007,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241147371411313444345124610165087',NULL,'400',38.42,1,3,NULL),(20,5113750,'1992-07-02 00:00:00',4,8,11,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215111431358933575122610166172',426,'1063',84.62,3,3,NULL),(20,5113768,'1992-09-04 00:00:00',4,1,12,2009,'M','N','CENTRO','INDIANÓPOLIS','PR','116161161417111431333621575124610132072',NULL,'9998',28.74,1,3,NULL),(20,5113776,'1991-11-02 00:00:00',4,1,12,2008,'M','N','CENTRO','LONDRINA','PR','116162288217371221459935575124610162043',11904,'9998',50.99,1,3,NULL),(20,5113784,'1992-03-25 00:00:00',4,8,12,2009,'M','N','CABRAL','CURITIBA','PR','116252161217151421465532595121610167187',NULL,'9998',0.00,1,3,NULL),(20,5113806,'1988-05-28 00:00:00',2,1,12,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241112372431236349392224610162142',NULL,'281',19.92,1,3,NULL),(20,5113814,'1989-08-31 00:00:00',4,8,12,2008,'M','N','CH STO ANTONIO','S PAULO','SP','125254251217472431468924575114610164012',NULL,'9998',0.00,1,3,NULL),(20,5113822,'1982-02-03 00:00:00',4,1,12,1999,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224162161216132741223644242223121466182',1347,'9998',79.52,1,3,NULL),(20,5113849,'1992-06-28 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215371411539933572122610134142',8524,'1134',58.63,1,3,NULL),(20,5113857,'1993-01-27 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121531249933585112610122142',16245,'9997',41.97,1,3,NULL),(20,5113865,'1992-05-08 00:00:00',4,1,12,2009,'F','N','SANTA LUZIA','BRAGANÇA PAULISTA','SP','125252251217111331489813575122610162192',NULL,'9998',0.00,1,3,NULL),(20,5113881,'1991-05-17 00:00:00',4,8,12,2008,'F','N','IPIRANGA','S PAULO','SP','125252251216471741449814571125610163151',3100,'9998',70.98,1,3,NULL),(20,5113890,'1992-04-10 00:00:00',4,7,12,2009,'F','N','FLORESTA','CONCÓRDIA','SC','124241241115471551226623571123610128197',NULL,'192',21.18,1,3,NULL),(20,5113903,'1992-09-27 00:00:00',2,17,11,2009,'M','N','RIO NEGRO','S BENTO SUL','SC','124241241115141751535933395122610144047',NULL,'697',32.40,1,2,1),(20,5113911,'1990-08-02 00:00:00',4,1,12,2007,'M','N','ROÇADO','S JOSÉ','SC','124242241215373431489633575122230234181',13444,'738',51.49,1,3,NULL),(20,5113920,'1992-05-30 00:00:00',4,9,12,2009,'M','N','CENTRO','LAGES','SC','124244241217112432438839271221610124052',13804,'1065',46.74,1,3,NULL),(20,5113938,'1991-09-13 00:00:00',4,4,11,2008,'M','N','SÃO JOSÉ','S DOMINGOS','SC','124241241116371531535852215122610137042',NULL,'374',16.38,1,3,NULL),(20,5113954,'1992-02-15 00:00:00',4,5,11,2009,'F','N','JARDIM ELIZABETE','IÇARA','SC','124241241215221431464432575122610143192',NULL,'226',32.54,1,3,NULL),(20,5113970,'1992-04-09 00:00:00',4,1,11,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241116471431459813575122610124047',1636,'271',78.01,1,3,NULL),(20,5113989,'1989-11-16 00:00:00',2,1,12,2006,'F','N','LAMI','PTO ALEGRE','RS','120202201211571411536814341124610127187',NULL,'9998',44.77,1,3,NULL),(20,5113997,'1991-01-17 00:00:00',4,1,11,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215372431349933575122231162092',2728,'270',74.35,1,3,NULL),(20,5114004,'1992-03-21 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215112431479914445122610167077',15213,'262',44.21,1,3,NULL),(20,5114012,'1992-10-08 00:00:00',4,8,12,2009,'F','N','VILA MARIANA','S PAULO','SP','125252251216111431468811575122610138127',NULL,'9998',0.00,3,3,NULL),(20,5114020,'1992-11-17 00:00:00',4,1,12,2009,'F','N','AREAIS','S JOSÉ','SC','124241241416271431348614575114610122097',NULL,'976',25.49,4,3,NULL),(20,5114039,'1991-09-08 00:00:00',4,9,12,2008,'M','N','SÃO SEBASTIÃO','PTO ALEGRE','RS','120201201116572411348729345122610167057',5609,'9998',64.39,1,2,1),(20,5114055,'1992-01-12 00:00:00',4,3,12,2008,'F','N','NOVA RUSSIA','PNT GROSSA','PR','116162161216371431348912575112610162192',5088,'9998',66.12,1,3,NULL),(20,5114063,'1991-01-02 00:00:00',4,1,11,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241116371431448823275124610142012',14447,'271',47.07,5,3,NULL),(20,5114080,'1991-05-11 00:00:00',4,1,12,2008,'F','N','FEREIRRA','S PAULO','SP','125254251116272431358924571114610142047',10320,'9998',55.26,4,1,2),(20,5114101,'1991-05-10 00:00:00',2,1,11,2009,'F','N','FLORESTA','S JOSÉ','SC','124242241215112411559833575122610127092',11944,'270',51.45,1,3,NULL),(20,5114110,'1981-03-20 00:00:00',2,1,12,1999,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241137273431126644341334610122147',NULL,'293',45.60,1,2,1),(20,5114128,'1992-01-19 00:00:00',2,1,12,2009,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241215121311336633275114610122117',4105,'1022',70.01,1,3,NULL),(20,5114136,'1992-03-12 00:00:00',2,8,11,2009,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215411731386821345112610122092',NULL,'486',0.00,4,3,NULL),(20,5114144,'1991-06-18 00:00:00',4,1,12,2008,'F','N','ÁGUAS CLARAS','BRUSQUE','SC','124244241215574431345632574124610122042',363,'109',85.80,1,3,NULL),(20,5114152,'1992-12-29 00:00:00',2,1,12,2009,'F','N','CENTRO','CAÇADOR','SC','124242241215161431337923575122610137072',14077,'1124',50.25,1,3,NULL),(20,5114160,'1991-04-04 00:00:00',2,1,10,2009,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124244246216112451466824584124610111115',15890,'269',44.67,1,3,NULL),(20,5114179,'1992-01-14 00:00:00',2,1,11,2009,'M','N','FLORESTA','S JOSÉ','SC','124241241115141711336329392124610147142',NULL,'734',26.06,1,2,1),(20,5114187,'1992-10-06 00:00:00',4,7,12,2009,'M','N','FARROUPILHA','VIDEIRA','SC','124242246215111531368813495122610168052',15498,'1080',46.32,1,3,NULL),(20,5114195,'1988-06-08 00:00:00',2,4,12,2005,'M','N','SÃO JOSÉ','FAXINAL GUEDES','SC','124241241146162411646512345125131147052',13016,'255',48.86,1,2,1),(20,5114209,'1992-09-12 00:00:00',2,15,12,2009,'F','N','COLONINHA','ARARANGUÁ','SC','124162241415272431468631575122610126195',2955,'970',72.49,1,3,NULL),(20,5114217,'1991-07-05 00:00:00',4,3,12,2008,'M','N','UVARANAS','PNT GROSSA','PR','116162161216371431449931575112610167043',NULL,'9998',0.00,1,3,NULL),(20,5114225,'1991-03-23 00:00:00',4,1,6,2009,'F','N','ACLIMACAO','S PAULO','SP','125252288236271741188814394114610141182',8314,'9998',61.28,1,3,NULL),(20,5114250,'1991-10-31 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212114231486632372122610167041',7473,'270',60.29,1,3,NULL),(20,5114284,'1990-04-11 00:00:00',2,1,12,2007,'M','N','ROÇADO','S JOSÉ','SC','124242241236471431558632395122133134143',NULL,'738',21.53,1,3,NULL),(20,5114314,'1993-01-24 00:00:00',4,15,12,2009,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241115131431433314245124610161141',NULL,'30',19.15,1,3,NULL),(20,5114322,'1991-08-08 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372411338823345125610137047',NULL,'269',19.88,1,3,NULL),(20,5114349,'1993-01-19 00:00:00',4,6,12,2009,'M','N','CENTRO','ITAJAÍ','SC','124242241215121431358814475122610167012',13238,'392',48.20,1,3,NULL),(20,5114357,'1987-03-06 00:00:00',2,1,11,2004,'F','N','STEFFEN','BRUSQUE','SC','124241241127134741323329283324223023187',NULL,'112',0.00,1,2,1),(20,5114365,'1992-08-17 00:00:00',4,1,12,2009,'F','N','SULBRASILEIRO','OSÓRIO','RS','120201201116271331538632572122610162077',NULL,'9998',26.26,1,2,1),(20,5114373,'1989-06-13 00:00:00',4,1,12,2007,'F','N','CENTRO','GAROPABA','SC','124241247145132451633869382124610161097',NULL,'9999',25.66,1,2,1),(20,5114381,'1992-08-18 00:00:00',4,1,10,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215122431568932322124610123077',NULL,'270',35.68,1,3,NULL),(20,5114390,'1992-09-05 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124242241215111231449934375124610167072',2253,'855',75.58,1,3,NULL),(20,5114403,'1992-11-16 00:00:00',4,1,11,2009,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242231215111431338623495114610125097',8316,'1022',59.04,4,3,NULL),(20,5114420,'1992-09-15 00:00:00',4,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121331236723392112610168192',NULL,'44',28.25,1,3,NULL),(20,5114438,'1992-05-18 00:00:00',2,17,12,2009,'F','N','CENTRO','PAPANDUVA','SC','124241241115132131424634272325610113147',NULL,'603',24.24,1,2,1),(20,5114446,'1992-09-22 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431489832575114610134062',7319,'270',60.54,4,3,NULL),(20,5114454,'1992-09-15 00:00:00',4,1,11,2009,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125252251215111731668813575125610165147',NULL,'9998',0.00,4,3,NULL),(20,5114462,'1992-11-12 00:00:00',2,1,12,2009,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124241241115141431424419141124610165097',NULL,'307',23.65,3,2,1),(20,5114470,'1989-09-21 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215571441345933575112610166157',10017,'9997',54.91,1,3,NULL),(20,5114489,'1990-04-02 00:00:00',2,4,12,2007,'F','N','FLORESTA','VIDEIRA','SC','124241241137141431521411345134610135187',NULL,'182',26.70,1,3,NULL),(20,5114497,'1992-10-20 00:00:00',2,4,12,2009,'M','N','PALMITAL','CHAPECÓ','SC','124241241134371431445923575124610112142',NULL,'172',38.40,1,2,1),(20,5114519,'1992-06-23 00:00:00',2,1,12,2009,'F','N','PEDRA BRANCA','PALHOÇA','SC','116164161416111731449614572122610163192',NULL,'9998',29.09,3,3,NULL),(20,5114527,'1992-07-13 00:00:00',4,6,12,2009,'F','N','FAZENDINHA','ITAJAÍ','SC','124244241215112231567832575124610131142',NULL,'1026',27.91,1,3,NULL),(20,5114535,'1991-09-27 00:00:00',2,1,11,2008,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124243241115273431435621371124233262147',6406,'307',64.04,1,3,NULL),(20,5114543,'1991-03-23 00:00:00',4,5,12,2008,'F','N','JARDIM DELFORNO','ITATIBA','SP','125254251227471431458711215125610165177',NULL,'9998',0.00,1,3,NULL),(20,5114551,'1992-08-16 00:00:00',2,8,11,2009,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161217121431348833595124610162042',NULL,'9998',0.00,1,3,NULL),(20,5114560,'1979-04-28 00:00:00',2,1,12,1998,'F','N','CENTRO','FLORIANÓPOLIS','SC','124074078446131751222347385124143227147',NULL,'9998',0.00,4,3,NULL),(20,5114578,'1984-04-15 00:00:00',2,1,7,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241247342132431646611245114610126197',NULL,'9999',25.69,1,3,NULL),(20,5114586,'1992-10-21 00:00:00',4,1,12,2009,'M','N','VL MUNICIPAL','JUNDIAÍ','SP','125254251215111431357923575125610127042',NULL,'9998',NULL,1,3,NULL),(20,5114594,'1991-05-18 00:00:00',4,1,11,2008,'M','N','PEDRO LUDOVICO','GOIÂNIA','GO','109092091215471431587834572112610167042',NULL,'9998',0.00,1,3,NULL),(20,5114624,'1990-01-23 00:00:00',2,8,12,2007,'F','N','NOVA RUSSIA','PNT GROSSA','PR','116162161216371431333931575122142636147',NULL,'9998',0.00,1,3,NULL),(20,5114632,'1985-07-30 00:00:00',4,4,12,2003,'F','N','CIRO NARDI','CASCAVEL','PR','116241241124131431128719485221133214097',NULL,'551',24.69,1,2,1),(20,5114640,'1993-09-08 00:00:00',4,2,11,2010,'F','S','PONTA AGUDA','BLUMENAU','SC','124244248215111731458831595122611034145',NULL,'909',30.67,1,3,NULL),(20,5114659,'1991-12-15 00:00:00',2,1,12,2009,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241115371732423319285124610124057',NULL,'734',26.15,4,2,1),(20,5114675,'1989-02-01 00:00:00',4,1,12,2005,'F','N','SENANDES','RIO GRANDE','RS','120202201216471731369813375112141063195',4220,'9998',66.99,1,3,NULL),(20,5114683,'1991-10-18 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431448911575122610143112',7235,'270',63.35,1,3,NULL),(20,5114705,'1992-08-25 00:00:00',2,6,10,2009,'M','N','SÃO JUDAS','ITAJAÍ','SC','124242246215111432449623575122610114117',NULL,'9997',0.00,1,3,NULL),(20,5114721,'1992-03-25 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431344439575122610144012',11282,'1038',52.91,1,3,NULL),(20,5114730,'1991-03-23 00:00:00',4,1,12,2008,'F','N','PQ SÃO DOMINGOS','S PAULO','SP','125252251215471731368833571124610162072',NULL,'9998',0.00,1,3,NULL),(20,5114748,'1991-11-08 00:00:00',4,1,11,2009,'M','N','BUENO','GOIÂNIA','GO','109092091217111231438823575121610142042',NULL,'9998',0.00,4,3,NULL),(20,5114756,'1991-05-13 00:00:00',2,1,11,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241211111731549931311111610168145',12374,'737',51.06,1,3,NULL),(20,5114764,'1993-02-05 00:00:00',4,3,12,2009,'F','N','TV MORENA','CPO GRANDE','MS','112122124215211531448715452124610164072',NULL,'9998',0.00,1,3,NULL),(20,5114780,'1990-02-16 00:00:00',2,8,11,2007,'F','N','RIO VERDE','COLOMBO','PR','116161161116271431433319295114610134147',NULL,'9998',0.00,1,2,1),(20,5114799,'1991-10-30 00:00:00',2,8,12,2008,'F','N','ZONA DOIS','MARINGÁ','PR','116163161237471431447714374122610132142',8423,'9998',59.03,1,3,NULL),(20,5114802,'1991-07-21 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431558831595124610168092',3861,'948',70.36,1,3,NULL),(20,5114810,'1992-05-17 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431468612275124610167147',8356,'738',61.21,1,3,NULL),(20,5114829,'1992-07-15 00:00:00',2,7,12,2009,'F','N','CENTRO','ARROIO TRINTA','SC','124241241126161331324411215125610117057',NULL,'853',19.74,1,3,NULL),(20,5114837,'1992-06-17 00:00:00',2,9,12,2009,'F','N','CENTRO','LAGES','SC','124242241216122431449934582125610122011',10645,'1146',55.45,1,3,NULL),(20,5114845,'1992-04-18 00:00:00',4,1,11,2009,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215111431446933474114610124182',3850,'1022',70.62,1,3,NULL),(20,5114853,'1992-05-25 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431449814474124610164017',4183,'1022',70.38,1,3,NULL),(20,5114861,'1991-02-01 00:00:00',4,1,12,2008,'F','N','VILA NOVA CONCEIÇAO','S PAULO','SP','125252251216471431448811591122610167092',5511,'9998',65.52,1,3,NULL),(20,5114870,'1992-05-12 00:00:00',4,15,12,2009,'F','N','SANTA CATARINA','ARARANGUÁ','SC','124241241115131432434833285124610166045',NULL,'30',28.35,4,3,NULL),(20,5114900,'1989-03-15 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241216574431438611475124133222091',7676,'1022',62.48,3,3,NULL),(20,5114918,'1987-07-28 00:00:00',4,1,12,2004,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243241317152431454436375124323024085',NULL,'776',NULL,1,3,NULL),(20,5114926,'1992-03-30 00:00:00',4,15,12,2009,'F','N','ALTO FELIZ','ARARANGUÁ','SC','124241241115131741437614385123610127092',NULL,'30',23.64,1,2,1),(20,5114934,'1987-09-21 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241437272431244643235124610127092',NULL,'9999',39.12,1,3,NULL),(20,5114942,'1991-06-27 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215372431456911575124610162012',NULL,'9997',0.00,1,3,NULL),(20,5114950,'1991-11-18 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241212472531256833575122610111077',12389,'362',49.89,1,3,NULL),(20,5114969,'1990-04-01 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215573431458911572122133127017',167,'951',88.64,1,3,NULL),(20,5114977,'1991-09-08 00:00:00',4,1,12,2009,'F','N','JARDIM EULÁLIA','TAUBATÉ','SP','125251251237111431443514272124610132197',NULL,'9998',0.00,4,3,NULL),(20,5114985,'1985-05-09 00:00:00',4,1,12,2003,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241217155431558811385122233227082',11714,'262',51.65,1,3,NULL),(20,5114993,'1992-09-22 00:00:00',4,9,12,2009,'F','N','S CORAÇÃO DE JESUS','LAGES','SC','124242241215111431338613575122610121182',10760,'515',53.45,4,3,NULL),(20,5115019,'1991-01-31 00:00:00',4,1,12,2008,'F','N','CENTRO','CPO ERÊ','SC','124241241126371731523611575124610127057',NULL,'136',24.52,1,2,1),(20,5115027,'1991-09-30 00:00:00',4,8,10,2009,'M','N','SAGUAÇU','JOINVILLE','SC','124242248215112231569812595122610167052',NULL,'486',0.00,1,3,NULL),(20,5115035,'1992-11-27 00:00:00',2,8,10,2009,'M','N','MOSSUNGUE','CURITIBA','PR','116162164215111321276422592122610167012',14247,'9998',47.54,1,3,NULL),(20,5115043,'1991-11-04 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241211111431339923575114610167043',3229,'262',71.35,4,3,NULL),(20,5115078,'1992-01-30 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111411465633472124610121147',NULL,'1022',24.05,1,3,NULL),(20,5115086,'1991-11-25 00:00:00',2,1,12,2008,'M','N','JARDIM AQUARIUS','PALHOÇA','SC','124241241137142431434614244124231067022',13240,'592',51.88,1,2,1),(20,5115094,'1990-04-07 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202241215472431469814245115610162047',5937,'185',64.75,1,3,NULL),(20,5115116,'1992-12-27 00:00:00',4,1,11,2009,'M','N','VILA NOVA','FRANCISCO BELTRÃO','PR','116162161216112441566832285122610124062',2543,'9998',74.12,1,3,NULL),(20,5115124,'1993-05-24 00:00:00',2,1,12,2009,'F','N','MACIAMBÚ','PALHOÇA','SC','124241241116161431447634572124610167047',NULL,'595',10.50,1,2,1),(20,5115132,'1990-04-10 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124164161316573431557611375124610134142',7462,'9998',62.88,1,3,NULL),(20,5115140,'1992-08-27 00:00:00',4,16,12,2009,'M','N','APARECIDA','CURITIBANOS','SC','124242241215111411535833295122610144015',NULL,'881',28.74,1,3,NULL),(20,5115159,'1989-12-13 00:00:00',4,1,12,2006,'M','N','VILA IZABEL','CURITIBA','PR','116162161216572411466923575121143264137',4005,'9998',69.18,1,3,NULL),(20,5115175,'1991-11-16 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124252241215111431468514575124610127142',669,'1038',83.41,1,3,NULL),(20,5115205,'1992-01-08 00:00:00',4,1,10,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124163241417111411457714575115610134042',3890,'1022',70.05,3,3,NULL),(20,5115221,'1991-12-28 00:00:00',4,1,12,2009,'M','N','SANTA ANA','STO AMARO IMPERATRIZ','SC','124241241116151431434631575122610118057',NULL,'772',23.25,1,2,1),(20,5115230,'1991-03-15 00:00:00',2,8,12,2008,'F','N','ALTO','CURITIBA','PR','116163161126471431628624282124610164117',NULL,'9998',39.41,1,3,NULL),(20,5115248,'1993-07-28 00:00:00',4,1,12,2010,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215111311468813571124610162166',NULL,'270',51.29,1,3,NULL),(20,5115256,'1992-05-23 00:00:00',2,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124243241315431441336923575122610167097',NULL,'983',28.65,1,3,NULL),(20,5115264,'1988-07-04 00:00:00',2,1,12,2006,'M','N','FUNCIONARIOS','BELO HORIZONTE','MG','113132131217574431668831575124121437097',205,'9998',87.88,4,3,NULL),(20,5115280,'1991-07-05 00:00:00',4,1,12,2008,'F','N','GLÓRIA','PTO ALEGRE','RS','120202201217471411536813572124610137147',10910,'9998',55.43,2,3,NULL),(20,5115299,'1987-07-18 00:00:00',2,1,7,2006,'M','N','BARREIROS','S JOSÉ','SC','124204208433372431259839342124140232117',NULL,'9998',22.94,1,3,NULL),(20,5115302,'1991-05-16 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162241217272231348759575122223264117',16197,'270',42.57,1,3,NULL),(20,5115337,'1987-09-04 00:00:00',4,8,12,2005,'F','N','CRISTO REI','CURITIBA','PR','116112111216571731578611575112610162047',NULL,'9998',0.00,1,3,NULL),(20,5115345,'1992-01-13 00:00:00',4,1,11,2009,'M','N','VILA MILTON','GUARULHOS','SP','125252251217111441667632191122610167047',8285,'9998',58.81,1,3,NULL),(20,5115353,'1991-12-19 00:00:00',4,9,11,2009,'M','N','CENTRO','LAGES','SC','124244241417131412578311215125610127092',NULL,'497',19.81,1,3,NULL),(20,5115361,'1985-09-03 00:00:00',1,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','116164167337133411458822195123221464172',1390,'9998',79.33,1,3,NULL),(20,5115370,'1988-11-15 00:00:00',4,8,12,2005,'M','N','ZONA CINCO','MARINGÁ','PR','116162161215575431348711472125610167042',181,'9998',88.29,1,3,NULL),(20,5115388,'1992-10-18 00:00:00',4,7,12,2009,'M','N','VILA RICA','CARAZINHO','RS','120202201216141431436632195124610138052',NULL,'9998',24.69,1,3,NULL),(20,5115396,'1991-08-03 00:00:00',2,1,12,2009,'M','N','MARIA LUIZA IV','JAÚ','SP','125251251225171211543411215122610112044',NULL,'9998',44.56,1,3,NULL),(20,5115400,'1993-06-13 00:00:00',2,5,12,2009,'F','N','BOA VISTA','COCAL SUL','SC','124241241215121431556612575122610126142',11588,'820',55.15,1,3,NULL),(20,5115418,'1992-07-07 00:00:00',4,8,11,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124242241217121431359913575122610132185',6936,'1063',62.01,1,3,NULL),(20,5115426,'1992-01-26 00:00:00',4,5,3,2007,'M','N','CENTRO','CRICIÚMA','SC','124242241215111731346632375122610115047',NULL,'213',25.23,1,3,NULL),(20,5115434,'1992-06-03 00:00:00',4,1,12,2009,'F','N','CENTRO','RIO NEGRO','PR','116241241215121431487716565122610168182',13962,'541',47.33,1,3,NULL),(20,5115442,'1992-06-30 00:00:00',4,1,11,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241247217112731334319575114610162147',NULL,'9999',18.91,1,3,NULL),(20,5115450,'1992-03-05 00:00:00',2,1,12,2009,'M','N','RIO GRANDE','PALHOÇA','SC','124241248215111731456723375114610167047',NULL,'1011',29.58,1,3,NULL),(20,5115469,'1992-06-20 00:00:00',2,15,12,2009,'F','N','SÃO JOSÉ','SOMBRIO','SC','124243241215111431355619395122610168142',7130,'770',62.94,1,3,NULL),(20,5115477,'1990-12-14 00:00:00',4,1,12,2007,'M','N','AGOSTINI','S MIGUEL OESTE','SC','120244241236473751479923575125121164042',94,'752',90.27,1,3,NULL),(20,5115485,'1993-02-28 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431365432572124610127042',5643,'272',66.83,1,3,NULL),(20,5115493,'1992-02-17 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124242241217271741278839591122610168115',9158,'185',58.93,1,3,NULL),(20,5115515,'1991-01-11 00:00:00',2,1,12,2008,'M','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124241241127132431426314282214610168057',NULL,'329',25.84,1,2,1),(20,5115523,'1990-10-18 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124072241215272131458313575122610142177',NULL,'1038',0.00,1,3,NULL),(20,5115531,'1992-09-06 00:00:00',4,4,12,2009,'F','N','LIDER','CHAPECÓ','SC','124242241215121331459933135122610111142',NULL,'983',0.00,1,3,NULL),(20,5115540,'1989-11-21 00:00:00',4,9,12,2007,'F','N','BRUSQUE','LAGES','SC','124201246116152711437614382112610164197',NULL,'498',25.10,1,2,1),(20,5115566,'1992-09-18 00:00:00',2,7,12,2009,'M','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124243241312161411446823572112610136091',15926,'140',40.20,1,3,NULL),(20,5115582,'1972-10-20 00:00:00',2,1,10,1991,'M','N','CENTRO','S JOSÉ','SC','224241246126153751467942325122331464162',8733,'306',60.48,1,2,1),(20,5115590,'1990-10-28 00:00:00',2,17,12,2007,'F','N','CENTRO','UNIÃO VITÓRIA','PR','116161241416131411538933581144141462197',NULL,'633',0.00,1,3,NULL),(20,5115604,'1992-03-09 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624242241115112731379823435124610167042',11096,'272',53.93,1,3,NULL),(20,5115612,'1992-04-10 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215112511485612141122610167124',16098,'1049',43.43,1,3,NULL),(20,5115620,'1991-10-10 00:00:00',4,1,12,2008,'F','N','CENTRO','ANTÔNIO PRADO','RS','120201201116371411436311574125610147141',15504,'9998',42.55,1,2,1),(20,5115647,'1992-09-04 00:00:00',4,7,11,2009,'F','N','CENTRO','JOAÇABA','SC','124242241237131731358824575112610162042',14263,'446',49.80,1,3,NULL),(20,5115663,'1992-03-31 00:00:00',2,5,11,2009,'F','N','MICHEL','CRICIÚMA','SC','124242241215122431438921495122610128187',5806,'226',64.57,1,3,NULL),(20,5115671,'1990-05-15 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215574431559714175124610126097',197,'1022',88.01,1,3,NULL),(20,5115680,'1992-01-28 00:00:00',4,9,12,2009,'F','N','VILA NOVA','LAGES','SC','124242241215111431536819592122610121147',15566,'515',46.01,1,3,NULL),(20,5115698,'1992-01-17 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215473431468832575124610167012',4483,'403',69.50,1,3,NULL),(20,5115701,'1990-09-12 00:00:00',4,1,12,2008,'M','N','NOVA PETROPOLIS','S BERNARDO CAMPO','SP','125252251215471411468821375122610166042',1187,'9998',78.16,1,3,NULL),(20,5115710,'1992-12-02 00:00:00',4,1,11,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431388811475122610123192',NULL,'270',46.67,1,3,NULL),(20,5115736,'1987-02-27 00:00:00',2,1,11,2004,'M','N','AGUAS CLARAS','TAGUATINGA','DF','107072071217571751558613574122610167077',3432,'9998',71.83,3,3,NULL),(20,5115744,'1990-04-14 00:00:00',4,8,12,2007,'F','N','HIGIENÓPOLIS','S PAULO','SP','125132131211571211348879572112610164194',1644,'9998',78.23,1,3,NULL),(20,5115752,'1991-09-04 00:00:00',2,15,9,2008,'F','N','SANTA TERESA','PTO ALEGRE','RS','120202201216471431469934375124610167057',5199,'9998',65.48,1,3,NULL),(20,5115760,'1991-12-06 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124241248111141431454432212124610141147',NULL,'734',18.31,1,3,NULL),(20,5115779,'1990-02-09 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241112374421336612342124132063097',NULL,'287',24.39,1,2,1),(20,5115787,'1992-08-25 00:00:00',4,2,11,2009,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215271231577812422122610168122',NULL,'909',0.00,1,3,NULL),(20,5115817,'1991-07-04 00:00:00',4,8,11,2008,'M','N','JD NOVO HORIZONTE','MARINGÁ','PR','116162161216322431468833574122610122062',1221,'9998',80.08,1,3,NULL),(20,5115825,'1992-02-03 00:00:00',4,1,12,2009,'F','N','BACACHERI','CURITIBA','PR','116162161216111431469939572122610144192',6140,'9998',62.72,1,3,NULL),(20,5115833,'1991-09-15 00:00:00',4,8,12,2008,'M','N','CENTRO','ITAPETININGA','SP','125252251216471431468813475112610132142',NULL,'9998',0.00,1,3,NULL),(20,5115841,'1992-04-07 00:00:00',2,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124242248215111731456639395114610164077',13747,'1011',48.03,1,3,NULL),(20,5115850,'1993-05-24 00:00:00',2,1,10,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431637732275122610127072',NULL,'262',0.00,1,3,NULL),(20,5115868,'1989-08-28 00:00:00',4,1,12,2005,'F','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125122121217574441486932375122610124122',1295,'9998',78.40,1,3,NULL),(20,5115876,'1990-02-26 00:00:00',1,1,12,2008,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215473751568822572124610167042',632,'883',83.70,1,3,NULL),(20,5115884,'1992-07-17 00:00:00',4,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111431366719194124610166172',3678,'1022',71.68,1,3,NULL),(20,5115892,'1991-10-06 00:00:00',2,1,12,2008,'F','N','COPACABANA','UBERLÂNDIA','MG','113132131216471431448831575124610141117',NULL,'9998',0.00,1,3,NULL),(20,5115906,'1991-04-10 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241215474731269811395124610124012',4487,'723',68.07,1,3,NULL),(20,5115914,'1992-04-19 00:00:00',2,1,11,2009,'F','N','RACHADEL','ANTÔNIO CARLOS','SC','124241241217112431565812575124610131177',4499,'270',68.09,1,3,NULL),(20,5115922,'1993-09-04 00:00:00',4,1,11,2010,'F','S','PICADAS DO SUL','S JOSÉ','SC','124242241217111431536439572122610147142',NULL,'9997',35.64,1,3,NULL),(20,5115930,'1989-07-04 00:00:00',4,1,12,2007,'F','N','NOSSA SRA VITORIAS','UNIÃO VITÓRIA','PR','116241161315371421543711575124142238147',NULL,'633',15.31,1,3,NULL),(20,5115949,'1992-06-06 00:00:00',4,3,12,2009,'M','N','MERCÊS','CURITIBA','PR','116162161215121431579811575122610127082',9888,'9998',54.73,1,3,NULL),(20,5115957,'1991-06-03 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472431568914275224610168017',4853,'1169',67.98,1,3,NULL),(20,5115965,'1979-07-04 00:00:00',4,1,12,1996,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241214132431228829582324610162172',1803,'269',77.58,1,3,NULL),(20,5115981,'1986-02-05 00:00:00',2,6,12,2004,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124121121116371421223341215123610164017',NULL,'9998',24.29,1,2,1),(20,5116007,'1992-05-27 00:00:00',4,1,12,2009,'F','N','MARECHAL RONDON','CANOAS','RS','120202208212411431477711572112610167112',11158,'9998',53.07,1,3,NULL),(20,5116023,'1989-04-29 00:00:00',2,1,12,2006,'M','N','JARDIM ESTORIL','S JOSÉ CAMPOS','SP','125251251117231431544823275124140465017',NULL,'9998',32.09,1,2,1),(20,5116040,'1990-08-27 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241217152431669713135124121767187',NULL,'1022',0.00,1,3,NULL),(20,5116058,'1987-09-09 00:00:00',4,8,12,2005,'F','N','PORTÃO','CURITIBA','PR','116162161215574451468823475122243262047',6374,'9998',62.71,1,3,NULL),(20,5116074,'1987-08-25 00:00:00',2,4,12,2004,'M','N','BOM FIM','PTO ALEGRE','RS','120201201211571431368837571124610127042',854,'9998',81.85,1,3,NULL),(20,5116082,'1992-09-14 00:00:00',4,8,12,2009,'F','N','AFONSO PENA','S JOSÉ PINHAIS','PR','116164161215121451437619575122610128195',NULL,'9998',0.00,4,3,NULL),(20,5116090,'1992-04-11 00:00:00',2,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124243241217111431438313271124610124182',14086,'1022',47.15,1,3,NULL),(20,5116104,'1992-07-27 00:00:00',4,4,11,2009,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241115371731538639575125610134172',4567,'169',68.70,1,2,1),(20,5116112,'1988-03-18 00:00:00',4,3,12,2006,'F','N','CHACARA MONTE ALEGRE','S PAULO','SP','125252251217571431569911573112610163147',NULL,'9998',0.00,1,3,NULL),(20,5116120,'1991-01-19 00:00:00',4,1,12,2008,'F','N','FREGUESIA DO Ó','S PAULO','SP','125252251217471431448833475114610167147',820,'9998',81.99,1,3,NULL),(20,5116139,'1990-11-20 00:00:00',4,1,12,2007,'M','N','CENTRO','BOTUCATU','SP','125251251211571531238824532122221624112',NULL,'9998',0.00,1,3,NULL),(20,5116147,'1992-12-13 00:00:00',4,1,12,2009,'M','N','CENTRO','TELÊMACO BORBA','PR','116164161217111431466632475121610134142',11882,'9998',51.60,1,3,NULL),(20,5116155,'1992-04-30 00:00:00',4,1,11,2009,'F','N','PEDRO LUDOVICO','GOIÂNIA','GO','109272091216111441578832575124610162042',2190,'9998',75.58,1,3,NULL),(20,5116171,'1993-03-12 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241211113451439819571125610124142',NULL,'270',67.14,1,3,NULL),(20,5116198,'1989-01-03 00:00:00',2,1,12,2005,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241315133431425823295124221434091',11552,'1065',55.22,1,3,NULL),(20,5116201,'1991-12-03 00:00:00',4,1,12,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111431579913575124610138071',NULL,'270',41.83,4,3,NULL),(20,5116228,'1992-09-22 00:00:00',2,8,12,2009,'M','N','CENTRO','JOINVILLE','SC','124242241217151431578834475124610167042',NULL,'494',25.95,1,3,NULL),(20,5116236,'1992-01-01 00:00:00',2,5,11,2009,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111431568732345121610127042',11710,'210',54.92,1,3,NULL),(20,5116244,'1983-10-12 00:00:00',4,1,12,2001,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124212241216575231588713475124121862187',NULL,'262',20.45,1,3,NULL),(20,5116252,'1991-09-21 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241115111431568611575122610136182',10368,'262',54.71,1,3,NULL),(20,5116279,'1990-10-08 00:00:00',2,1,12,2008,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124242241215472431356919475112610164142',8663,'270',59.35,1,3,NULL),(20,5116287,'1991-12-18 00:00:00',4,1,12,2009,'F','N','JARDIM EUROPA','ASSIS','SP','125252251217111431448932572122610163192',9967,'9998',55.63,1,3,NULL),(20,5116309,'1988-08-30 00:00:00',4,1,6,2007,'M','N','BARREIRINHA','CURITIBA','PR','116161167137471441468919445133610167052',NULL,'9998',0.00,1,2,1),(20,5116317,'1991-04-26 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241415111431646678572114610134052',NULL,'1022',21.33,1,3,NULL),(20,5116333,'1990-06-28 00:00:00',4,1,12,2007,'F','N','GUANABARA','JOINVILLE','SC','124242241215474441467814575124123246147',1,'461',99.56,1,3,NULL),(20,5116350,'1991-12-10 00:00:00',4,1,11,2009,'M','N','PENHA','IJUÍ','RS','120202201236111531359819575124610117016',NULL,'9998',30.66,1,3,NULL),(20,5116368,'1990-09-21 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124132241215272431479814575124123267075',7103,'226',63.61,1,3,NULL),(20,5116384,'1991-01-15 00:00:00',4,1,12,2009,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124244241215171431373671393124610162017',12471,'272',50.27,4,3,NULL),(20,5116392,'1992-07-25 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111431558614595114610124172',6821,'262',62.54,1,3,NULL),(20,5116406,'1991-10-22 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215122431458813572112610134197',666,'270',83.42,1,3,NULL),(20,5116414,'1992-06-09 00:00:00',2,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124243241215272441435631272112610164192',7896,'403',59.74,1,3,NULL),(20,5116422,'1991-06-12 00:00:00',4,4,12,2008,'F','N','SANTA CRUZ','CONCÓRDIA','SC','124241241116131431523616345214610125147',NULL,'192',0.00,1,3,NULL),(20,5116430,'1991-01-31 00:00:00',2,8,12,2008,'M','N','GUABIROTUBA','CURITIBA','PR','116162161215471431579833575114610167043',NULL,'9998',39.46,4,3,NULL),(20,5116449,'1991-01-07 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115412431347313472114610162143',11781,'307',54.77,1,2,1),(20,5116457,'1992-11-07 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215113411347914595125610164182',394,'1038',85.47,1,3,NULL),(20,5116465,'1986-01-18 00:00:00',2,1,12,2003,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241232474411238779482224330267087',13955,'9997',50.48,1,3,NULL),(20,5116481,'1992-06-04 00:00:00',2,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241116271431356633575124610117142',NULL,'278',29.25,1,2,1),(20,5116490,'1991-11-19 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241217151431178814475125610127062',2104,'210',75.77,1,3,NULL),(20,5116511,'1987-12-12 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241417132431637712215122130264075',NULL,'273',0.00,1,3,NULL),(20,5116520,'1991-01-09 00:00:00',4,1,12,2009,'M','N','PROTASIO ALVES','PTO ALEGRE','RS','120201201117371731336644342124610127042',NULL,'9998',25.70,1,2,1),(20,5116554,'1992-04-20 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216113431466632344122610147052',3524,'262',70.31,1,3,NULL),(20,5116562,'1993-02-22 00:00:00',4,8,12,2009,'F','N','CENTRO','IRATI','PR','116161161215471431526316375124610164147',13886,'9998',48.80,1,3,NULL),(20,5116619,'1991-09-23 00:00:00',4,1,12,2009,'M','N','JARDIM DAS PALMEIRAS','VALINHOS','SP','125254251117131731338829572221610162072',8243,'9998',57.44,1,3,NULL),(20,5116627,'1992-04-03 00:00:00',4,8,12,2009,'M','N','NOVA BRASÍLIA','JARAGUÁ SUL','SC','124242241212112441468932245121610127042',7638,'441',59.83,1,3,NULL),(20,5116635,'1992-05-21 00:00:00',4,4,12,2009,'M','N','ALVORADA','FRANCISCO BELTRÃO','PR','116162161235371431449931275125610126042',9826,'9998',54.98,1,3,NULL),(20,5116643,'1989-11-13 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241125272131423311212124610113077',NULL,'595',24.49,1,2,1),(20,5116651,'1991-07-06 00:00:00',4,1,11,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124202201216472431359833575122610146183',915,'9998',81.75,1,3,NULL),(20,5116678,'1992-08-12 00:00:00',4,16,12,2009,'F','N','CENTRO','STA CECÍLIA','SC','116242161216311731446836171124610164052',NULL,'9998',20.80,1,3,NULL),(20,5116686,'1992-07-23 00:00:00',4,4,12,2009,'F','N','CENTRO','ITAPIRANGA','SC','124241241245161731236823481122610164047',4669,'1060',67.27,1,3,NULL),(20,5116694,'1990-01-06 00:00:00',2,1,12,2007,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241241112373732434434242114610134182',NULL,'307',0.00,1,3,NULL),(20,5116708,'1990-07-25 00:00:00',2,1,11,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217272411339911442124231931182',NULL,'1169',27.23,1,3,NULL),(20,5116716,'1992-02-07 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124201241215111731338614573124610131182',9090,'1118',59.09,1,3,NULL),(20,5116724,'1991-12-19 00:00:00',2,1,12,2008,'F','N','DOIS PINHEIROS','VIDEIRA','SC','124241241215472421579831575114610111092',5908,'1022',65.12,1,3,NULL),(20,5116732,'1981-10-05 00:00:00',4,16,12,1999,'M','N','BELA VISTA','FRAIBURGO','SC','224241242126162431434453245124231424057',NULL,'316',28.61,1,2,1),(20,5116740,'1992-03-16 00:00:00',2,10,12,2009,'F','N','CANTRO','CAPIVARI BAIXO','SC','124241248136371131336614475122610113142',NULL,'1034',17.90,1,2,1),(20,5116767,'1992-01-05 00:00:00',4,3,11,2009,'M','N','BUTIATUVINHA','CURITIBA','PR','116162161215111451469932575112610127042',8233,'9998',61.41,1,3,NULL),(20,5116775,'1993-01-07 00:00:00',4,10,12,2009,'F','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124244241215111431466632375122610163192',7841,'807',59.93,1,3,NULL),(20,5116783,'1992-09-12 00:00:00',4,1,11,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112431456954575124610124092',8105,'270',59.02,1,3,NULL),(20,5116791,'1992-04-27 00:00:00',4,9,12,2009,'F','N','CENTRO','URUBICI','SC','124244241215131431325823295124610144037',7671,'515',59.72,1,3,NULL),(20,5116805,'1991-01-13 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411433812575124610167097',8204,'1050',60.28,1,3,NULL),(20,5116813,'1988-12-30 00:00:00',4,8,12,2005,'F','N','BONSUCESSO','GUARAPUAVA','PR','116241241215575431165461575114141063187',2793,'486',73.85,1,3,NULL),(20,5116821,'1991-06-26 00:00:00',2,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241415111412468933572122610161092',NULL,'270',26.42,1,3,NULL),(20,5116830,'1991-11-22 00:00:00',4,6,12,2008,'F','N','SÃO JUDAS','ITAJAÍ','SC','124242241215472431535729572124610141147',1116,'1026',80.67,1,3,NULL),(20,5116848,'1992-11-07 00:00:00',4,1,11,2009,'F','N','BANCO DE HABITAÇÃO','ARIQUEMES','RO','122222221211161411358833472122610163152',NULL,'9998',0.00,1,3,NULL),(20,5116856,'1991-08-10 00:00:00',4,1,10,2009,'F','N','JD BOA ESPERANÇA','CAMPINAS','SP','125252251217121431479933485124610166097',NULL,'9998',0.00,1,3,NULL),(20,5116872,'1988-01-23 00:00:00',4,1,6,2005,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124162241211372421446632241122133267051',14174,'9999',45.86,1,3,NULL),(20,5116880,'1984-09-05 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217375731437813495124120367142',NULL,'272',31.47,1,3,NULL),(20,5116899,'1992-03-03 00:00:00',2,1,12,2009,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241115131411424411575124610122142',15383,'64',44.09,1,2,1),(20,5116902,'1986-02-06 00:00:00',4,1,12,2003,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124254251217272431236721445114610132042',NULL,'9998',0.00,1,3,NULL),(20,5116910,'1993-03-06 00:00:00',4,1,12,2009,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124202241217121431569914475122610164142',8362,'270',60.33,1,3,NULL),(20,5116929,'1992-04-28 00:00:00',4,9,11,2009,'F','N','CONTA DINHERIO','LAGES','SC','124242241215372431428824445122610121192',9181,'497',57.23,1,3,NULL),(20,5116937,'1992-04-21 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215112751356823575114610162012',14700,'1022',47.22,1,3,NULL),(20,5116945,'1991-09-03 00:00:00',2,1,12,2009,'M','N','VILA VELHA','FARTURA','SP','125251251115271411426923475212610147052',NULL,'9998',32.51,1,2,1),(20,5116953,'1990-02-24 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241112273431436633395324610124047',NULL,'298',18.58,1,2,1),(20,5116961,'1990-07-25 00:00:00',4,4,12,2007,'F','N','AEROPORTO','ERECHIM','RS','120201201116272431423334442124610114142',NULL,'9998',27.70,1,2,1),(20,5116970,'1992-03-01 00:00:00',4,1,12,2009,'M','N','CAMOBI','STA MARIA','RS','620242201215151431689939572214610167066',NULL,'9998',0.00,1,3,NULL),(20,5116996,'1993-08-09 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124244241215111732446833575125610162095',NULL,'270',51.26,1,3,NULL),(20,5117011,'1992-07-21 00:00:00',4,1,12,2009,'M','N','BUQUIRINHA II','S JOSÉ CAMPOS','SP','125251251215121711443612375122610132093',NULL,'9998',0.00,1,3,NULL),(20,5117020,'1992-08-22 00:00:00',4,10,11,2009,'F','N','SÃO MARTINHO','TUBARÃO','SC','124241241215131431443834575122610166047',NULL,'806',28.26,1,3,NULL),(20,5117038,'1994-02-18 00:00:00',2,15,12,2009,'M','N','JARDIM ITÁLIA','MELEIRO','SC','124241241115111431446514375121610127092',6981,'559',61.74,4,2,1),(20,5117046,'1991-12-11 00:00:00',2,10,11,2009,'M','N','MAR GROSSO','LAGUNA','SC','124242247215373421458714445122610167042',NULL,'525',20.94,1,3,NULL),(20,5117054,'1992-04-23 00:00:00',4,2,12,2009,'M','N','BURITIS','BELO HORIZONTE','MG','113133131217131431368623215124610162032',NULL,'9998',0.00,1,3,NULL),(20,5117070,'1992-05-20 00:00:00',4,5,11,2009,'M','N','OPERARIA NOVA','CRICIÚMA','SC','124242241215111131558631475122610117042',16219,'226',42.30,1,3,NULL),(20,5117089,'1988-06-07 00:00:00',4,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217473231369934575124133261142',1757,'883',76.69,1,3,NULL),(20,5117100,'1992-06-07 00:00:00',4,8,11,2009,'F','N','TARUMÃ','CURITIBA','PR','116162161211171411338711591124610135092',NULL,'9998',0.00,1,3,NULL),(20,5117119,'1991-05-11 00:00:00',4,2,6,2009,'M','N','JARDIM DAS PALMEIRAS','UBERLÂNDIA','MG','113134137416471751366923575112610164192',NULL,'9998',0.00,4,3,NULL),(20,5117127,'1991-08-12 00:00:00',2,4,12,2008,'F','N','CENTRO','PATO BRANCO','PR','116162161217411411347934572115610124097',5342,'9998',67.46,1,3,NULL),(20,5117135,'1992-08-05 00:00:00',4,8,12,2009,'M','N','THOMAZ COELHO','ARAUCÁRIA','PR','116162161216321431458833333124610127052',2801,'9998',73.02,4,3,NULL),(20,5117143,'1992-05-22 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431479814575112610127042',138,'951',89.28,1,3,NULL),(20,5117151,'1991-07-15 00:00:00',2,1,12,2008,'F','N','BEIRA RIO','GUARATINGUETÁ','SP','125253251116471431349611475124610168127',14558,'9998',44.47,1,3,NULL),(20,5117160,'1990-12-19 00:00:00',2,8,12,2007,'M','N','QUEBEC','LONDRINA','PR','116162161217571431333729195122610167047',1683,'9998',76.32,1,3,NULL),(20,5117194,'1992-05-08 00:00:00',4,3,12,2009,'F','N','CENTRO','TRÊS PASSOS','RS','120201201116151411347732375122610142142',NULL,'9998',49.52,1,3,NULL),(20,5117208,'1990-09-24 00:00:00',4,1,12,2008,'M','N','ALTO DA BOA VISTA','S PAULO','SP','125252251216471711358812597112610142016',NULL,'9998',0.00,1,3,NULL),(20,5117216,'1991-07-09 00:00:00',4,2,12,2009,'M','N','BUENO','GOIÂNIA','GO','109092091215111431448822572112610167042',6017,'9998',63.65,1,3,NULL),(20,5117232,'1992-02-01 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215132731557629592125610167047',12222,'262',52.46,1,3,NULL),(20,5117240,'1992-06-16 00:00:00',2,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241215121431575531175114610137052',NULL,'1022',28.59,1,3,NULL),(20,5117259,'1992-03-31 00:00:00',4,1,12,2009,'F','N','SANTA CATARINA','BIGUAÇU','SC','124241241112372431546619495124610137142',5686,'21',65.16,1,2,1),(20,5117275,'1992-07-24 00:00:00',2,4,12,2009,'F','N','CENTRO','CEL VIVIDA','PR','116162161217121231533536272124610121057',NULL,'9998',27.85,1,3,NULL),(20,5117283,'1990-05-17 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241213473411146724575124233264097',6182,'210',64.21,1,3,NULL),(20,5117291,'1992-07-03 00:00:00',4,1,12,2009,'F','N','ZONA SETE','MARINGÁ','PR','116161161217121751338923475122610163127',6878,'9998',62.22,1,3,NULL),(20,5117305,'1992-10-23 00:00:00',4,8,11,2009,'F','N','UBERABA','CURITIBA','PR','116162161235121231589931571122610126077',3366,'9998',71.07,3,3,NULL),(20,5117330,'1987-03-15 00:00:00',4,1,12,2004,'M','N','CAMPINAS','S JOSÉ','SC','124252241346134711236844245124130764021',9961,'307',58.21,1,3,NULL),(20,5117348,'1991-08-23 00:00:00',4,6,5,2009,'M','N','FLAMBOYANT','CPO GRANDE','MS','112122281416271431346824575124610137092',6923,'9998',62.02,1,3,NULL),(20,5117356,'1990-04-21 00:00:00',4,1,12,2007,'M','N','VILA BUARQUE','S PAULO','SP','125252251214571431348831575125610114017',2348,'9998',73.91,1,3,NULL),(20,5117364,'1991-04-05 00:00:00',4,4,12,2008,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124243241216472411589913575122610167092',9925,'185',55.67,1,3,NULL),(20,5117380,'1991-08-24 00:00:00',4,8,12,2008,'M','N','HAUER','CURITIBA','PR','116161161136471451435532575124610127187',4447,'9998',67.62,1,2,1),(20,5117399,'1992-05-14 00:00:00',4,5,10,2009,'M','N','CENTO','CRICIÚMA','SC','124242241215111431436828575122610122097',12400,'226',53.56,1,3,NULL),(20,5117437,'1992-06-03 00:00:00',4,8,11,2009,'M','N','CENTRO','ARAUCÁRIA','PR','116162161235421241456923475124610167112',4130,'9998',69.57,3,3,NULL),(20,5117445,'1991-09-16 00:00:00',4,8,11,2009,'F','N','BATEL','CURITIBA','PR','116162161215471411378872575125610164112',9330,'9998',56.56,1,3,NULL),(20,5117453,'1992-04-17 00:00:00',4,2,12,2009,'F','N','VELHA','BLUMENAU','SC','124242248215111731448812222124610145122',14282,'855',47.86,1,3,NULL),(20,5117461,'1988-07-30 00:00:00',4,1,8,2006,'M','N','ARIRIU','PALHOÇA','SC','124241241117373321368613435123221143172',3430,'306',72.30,1,2,1),(20,5117470,'1989-12-09 00:00:00',4,1,12,2007,'M','N','CENTRO','SOROCABA','SP','125252251216571731558814372112610137047',3781,'9998',70.48,1,3,NULL),(20,5117488,'1991-08-29 00:00:00',4,1,12,2008,'F','N','CENTRO','VENÂNCIO AIRES','RS','120202201216471431589831575124610134182',NULL,'9998',0.00,1,3,NULL),(20,5117500,'1993-01-05 00:00:00',4,9,11,2009,'M','N','UNIVERSITÁRIO','LAGES','SC','124244241215111431436612595121610127052',NULL,'1106',22.66,1,3,NULL),(20,5117518,'1992-05-11 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241125151511426614185122610134142',NULL,'736',10.49,1,3,NULL),(20,5117526,'1990-02-03 00:00:00',2,2,12,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','124243241216131431326617175124231417117',16302,'317',40.35,1,3,NULL),(20,5117534,'1991-11-23 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124241241115371731337823595114610168182',10738,'732',53.31,1,2,1),(20,5117569,'1989-09-01 00:00:00',4,5,11,2007,'M','N','MILANESE','CRICIÚMA','SC','124123241134132431545821342114131932097',8928,'216',60.10,4,3,NULL),(20,5117577,'1989-04-10 00:00:00',4,8,12,2007,'M','N','JARDIM IRIRIÚ','JOINVILLE','SC','124241241116142711533314341114610124047',16290,'470',40.79,1,2,1),(20,5117585,'1986-04-29 00:00:00',2,1,10,2009,'M','N','NOSSA SRA DAS DORES','STO AMARO IMPERATRIZ','SC','124201247321271331114441311114610113187',NULL,'9999',0.00,2,1,2),(20,5117607,'1992-02-19 00:00:00',4,1,12,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124244241415111731438519575114610131193',11222,'1022',52.85,1,3,NULL),(20,5117615,'1992-12-28 00:00:00',4,4,12,2009,'M','N','JARDIM','CUNHA PORÃ','SC','124241241117271331469923275124610164142',7680,'552',59.54,1,3,NULL),(20,5117623,'1993-02-11 00:00:00',2,4,12,2009,'F','N','MONTE CASTELO','XANXERÊ','SC','124241241126131431234433295122610164147',NULL,'949',23.05,1,3,NULL),(20,5117631,'1990-12-03 00:00:00',2,10,12,2009,'F','N','MIRIM','IMBITUBA','SC','124241241115131431527611575324610125077',13750,'359',50.83,1,2,1),(20,5117640,'1986-12-13 00:00:00',4,1,12,2003,'M','N','PASSA VINTE','PALHOÇA','SC','124241241136272431343923245133610127152',13367,'592',51.63,1,2,1),(20,5117658,'1990-01-18 00:00:00',4,1,12,2006,'M','N','SÃO SEBASTIÃO','PTO ALEGRE','RS','120203201117571531457821371124610127047',11695,'9998',51.84,1,3,NULL),(20,5117666,'1978-07-12 00:00:00',2,1,12,1998,'M','N','FLORESTA','S JOSÉ','SC','124204203117131421128344245134610127085',NULL,'9998',31.43,1,3,NULL),(20,5117674,'1990-09-20 00:00:00',4,8,12,2007,'F','N','VILA OPERARIA','MARINGÁ','PR','116163161216571451459933575124610162147',2992,'9998',73.55,4,3,NULL),(20,5117682,'1988-01-05 00:00:00',4,1,12,2005,'M','N','JABAQUARA','S PAULO','SP','125252253216271411368824245122610131122',NULL,'9998',30.90,4,3,NULL),(20,5117690,'1991-04-17 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124254241116372411388613375124610132172',2376,'298',75.51,1,3,NULL),(20,5117704,'1990-08-27 00:00:00',4,8,11,2007,'M','N','CENTRO','CURITIBA','PR','116162161215471731569962572124140764012',NULL,'9998',0.00,1,3,NULL),(20,5117712,'1986-09-15 00:00:00',4,1,11,2007,'M','N','ARIRIU','PALHOÇA','SC','124243247327272431633311215114610122187',7021,'593',63.12,1,3,NULL),(20,5117720,'1990-12-31 00:00:00',4,4,12,2008,'M','N','CENTRO','IPORÃ OESTE','SC','124243241226371431546512316122610144023',NULL,'370',29.63,1,3,NULL),(20,5117739,'1992-07-27 00:00:00',4,1,12,2009,'F','N','CENTRO','GAROPABA','SC','124241241145111411435619345122610157075',NULL,'322',18.54,1,2,1),(20,5117747,'1989-05-02 00:00:00',2,1,12,2006,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216211421423324345124130214187',NULL,'138',26.17,1,3,NULL),(20,5117755,'1991-03-06 00:00:00',2,9,12,2008,'M','N','CENTRO','LAGES','SC','124241241136271421527514345122610154182',NULL,'935',39.47,1,2,1),(20,5117763,'1992-03-03 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215153431448933572122610162072',4417,'262',69.36,1,3,NULL),(20,5117771,'1991-06-15 00:00:00',4,4,12,2008,'M','N','CENTRO','ERVAL GRANDE','RS','120201201116411431334627595112610127182',15002,'9998',44.11,2,1,1),(20,5117780,'1984-02-25 00:00:00',4,1,12,2003,'M','N','CENTRO','PTO ALEGRE','RS','120203201417371431247623345124142064017',NULL,'9998',0.00,1,3,NULL),(20,5117801,'1992-12-09 00:00:00',4,17,12,2009,'M','N','CENTRO','CANOINHAS','SC','124242241217151431437811576112610164016',NULL,'154',NULL,1,3,NULL),(20,5117844,'1992-05-05 00:00:00',4,1,12,2009,'M','N','BELA VISTA','PALHOÇA','SC','124241241126111432337913175124610132182',NULL,'592',30.50,1,2,1),(20,5117852,'1991-10-21 00:00:00',4,1,12,2008,'M','N','JARDIM PARAISO','BOTUCATU','SP','125252251215471421549813431124610162117',4092,'9998',69.09,4,3,NULL),(20,5117860,'1992-11-08 00:00:00',4,9,12,2009,'M','N','GETHAL','LAGES','SC','124241241116372411246623172112610138172',6723,'505',61.60,1,2,1),(20,5117887,'1992-11-17 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241117471431538813574124610134147',9091,'307',57.54,1,3,NULL),(20,5117895,'1991-04-13 00:00:00',4,8,12,2009,'M','N','JARIVATUBA','JOINVILLE','SC','124243241215271431326319491124610134052',NULL,'1105',16.07,1,3,NULL),(20,5117909,'1990-06-22 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241117371411348823475114610132142',13139,'257',48.89,1,3,NULL),(20,5117941,'1984-05-17 00:00:00',2,2,12,2001,'F','N','FIGUEIRA','GASPAR','SC','124244241216575431445819175124610164147',2891,'328',73.37,1,3,NULL),(20,5117950,'1990-02-07 00:00:00',4,1,11,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','123241247416271421333723345124610128097',NULL,'9999',22.61,4,3,NULL),(20,5117968,'1991-08-26 00:00:00',4,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215112411339913235122610164171',NULL,'807',26.44,1,3,NULL),(20,5117976,'1991-10-15 00:00:00',4,1,12,2009,'F','N','HIDRAULICA','LAJEADO','RS','120202201216111431455739371125610162143',15102,'9998',47.57,1,3,NULL),(20,5117984,'1989-12-29 00:00:00',4,15,12,2006,'F','N','CENTENÁRIO','MONTENEGRO','RS','120203201317571431447313575124610132177',NULL,'9998',31.93,1,3,NULL),(20,5117992,'1991-09-05 00:00:00',4,2,12,2008,'M','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241215471431369912275122610167052',3313,'909',71.14,1,3,NULL),(20,5118000,'1991-05-31 00:00:00',2,1,12,2009,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241215111731645923572124610163182',NULL,'1022',20.55,1,3,NULL),(20,5118018,'1992-07-13 00:00:00',4,1,12,2008,'F','N','CASCATA','GARÇA','SP','125252251216111431347811471122610132197',NULL,'9998',0.00,1,3,NULL),(20,5118026,'1989-09-22 00:00:00',4,1,12,2007,'F','N','MEDITERRÂNEO','LIMEIRA','SP','125251251215572731448619575122610114147',5563,'9998',65.41,1,3,NULL),(20,5118034,'1989-11-15 00:00:00',2,1,12,2007,'F','N','CENTRO','S JOSÉ','SC','124244241215373431467933372122610166042',9708,'270',55.37,1,3,NULL),(20,5118042,'1990-04-06 00:00:00',2,1,12,2008,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241117372512524421572214610117067',NULL,'288',18.49,3,2,1),(20,5118069,'1990-03-12 00:00:00',2,1,11,2007,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241215474751546711575124610167122',8806,'486',57.59,1,3,NULL),(20,5118077,'1992-11-23 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241117141431226424342224610124142',NULL,'734',17.41,3,2,1),(20,5118085,'1991-10-14 00:00:00',4,8,12,2009,'M','N','GUANABARA','JOINVILLE','SC','124242246215151421569912285121610162062',10483,'1105',53.15,1,3,NULL),(20,5118093,'1989-04-08 00:00:00',2,1,12,2006,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215575431258829315122610127061',5555,'270',66.32,1,3,NULL),(20,5118107,'1988-05-28 00:00:00',2,1,12,2005,'F','N','SERRARIA','S JOSÉ','SC','224241241122411451225451285124610115032',15585,'66',45.94,1,2,1),(20,5118140,'1991-12-20 00:00:00',2,1,12,2009,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124244241137131411545623242114610137187',NULL,'257',0.00,2,1,2),(20,5118158,'1985-11-24 00:00:00',2,1,12,2003,'F','N','KOBRASOL','S JOSÉ','SC','124243241216375431436633474124121141112',5880,'1076',66.28,1,3,NULL),(20,5118166,'1993-01-13 00:00:00',4,1,11,2009,'F','N','JURERÊ TRADICIONAL','FLORIANÓPOLIS','SC','124202241217161431349711575112610138182',14631,'1048',45.90,1,3,NULL),(20,5118182,'1991-08-09 00:00:00',2,4,12,2009,'M','N','INTERIOR','CHAPECÓ','SC','124242242217111431425516175124610166042',NULL,'836',14.17,1,3,NULL),(20,5118190,'1989-08-23 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124202251217272431127616345124130262187',12647,'9998',53.04,1,3,NULL),(20,5118212,'1992-06-23 00:00:00',2,1,12,2009,'F','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124244241215271431649933572222610118192',13093,'1014',50.24,1,3,NULL),(20,5118220,'1988-03-03 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241416574411468813375124230744197',NULL,'269',38.70,1,3,NULL),(20,5118239,'1992-08-01 00:00:00',2,1,12,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241415271431634412575122610118192',NULL,'1014',20.41,1,3,NULL),(20,5118247,'1992-08-08 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124244241215121731457933575124610124047',10796,'1022',55.03,1,3,NULL),(20,5118263,'1990-10-19 00:00:00',4,1,12,2008,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124243241215373431346823375124120767092',1787,'1022',77.08,1,3,NULL),(20,5118271,'1989-10-22 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241247315371431354623245122610167042',NULL,'9999',27.94,1,3,NULL),(20,5118280,'1989-02-22 00:00:00',2,8,12,2006,'F','N','MOSSUNGUE','CURITIBA','PR','116123121416471431478933385122143264147',15226,'9998',42.30,1,3,NULL),(20,5118301,'1991-12-10 00:00:00',4,5,12,2008,'F','N','SANTA ALGUSTA','CRICIÚMA','SC','124242246215372431358614395122610121072',NULL,'995',0.00,1,3,NULL),(20,5118310,'1982-01-21 00:00:00',2,1,12,1999,'F','N','JARDIM EL DORADO','PALHOÇA','SC','124204241111275411338811445124230222182',14674,'298',48.81,1,3,NULL),(20,5118328,'1986-12-29 00:00:00',4,1,12,2004,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241216273431558614245124131414011',6110,'1014',63.65,1,3,NULL),(20,5118336,'1992-12-03 00:00:00',4,17,12,2009,'F','N','BUTIA DOS TABORDAS','MAFRA','SC','124241241117271411533923576124610116142',NULL,'542',48.59,4,2,1),(20,5118352,'1987-11-03 00:00:00',2,1,12,2005,'M','N','CENTRO','SANTOS','SP','125203251147471751436821491123610127147',7721,'9998',59.69,1,3,NULL),(20,5118360,'1991-03-31 00:00:00',2,1,12,2008,'F','N','CENTRO','PAULO LOPES','SC','124241241216373431336611572124131937127',5274,'1011',65.74,1,3,NULL),(20,5118379,'1990-10-29 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241114472431435524445124610132091',NULL,'307',27.54,1,3,NULL),(20,5118409,'1993-05-19 00:00:00',2,7,12,2009,'M','N','SÃO LUIZ','JABORÁ','SC','124241241115131431433316572224610118142',13889,'418',50.58,1,2,1),(20,5118417,'1989-09-22 00:00:00',4,4,12,2007,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241215574431369913575112610167062',NULL,'751',0.00,1,3,NULL),(20,5118425,'1990-01-11 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116241161216573451468832571112610144042',NULL,'9998',0.00,1,3,NULL),(20,5118450,'1992-12-03 00:00:00',2,4,12,2009,'F','N','CENTRO','MARAVILHA','SC','124241241116131431536319375121610138194',NULL,'9998',26.63,3,2,1),(20,5118468,'1989-08-06 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216373431359813575124122864177',1035,'499',81.10,1,3,NULL),(20,5118476,'1990-10-10 00:00:00',4,8,12,2007,'F','N','BOM RETIRO','CURITIBA','PR','116162161215571431237824572124610125097',3674,'9998',71.02,1,3,NULL),(20,5118484,'1991-01-06 00:00:00',4,1,12,2008,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124241241112272431326618482224610114177',11387,'307',54.35,1,2,1),(20,5118492,'1969-02-04 00:00:00',2,1,12,1986,'F','N','CAEIRA SACO LIMÕES','FLORIANÓPOLIS','SC','324211218215372421646644445124610162183',NULL,'9998',28.52,1,3,NULL),(20,5118506,'1992-07-14 00:00:00',4,1,12,2009,'F','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116163161212171711656834575114610161173',NULL,'9998',0.00,1,3,NULL),(20,5118514,'1989-04-12 00:00:00',4,8,12,2006,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162251216571751479614575122610122092',556,'9998',84.08,1,3,NULL),(20,5118522,'1989-11-27 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117153411323414195114220626092',8643,'307',60.66,1,2,1),(20,5118530,'1991-12-02 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241121272731324154282114610167062',NULL,'274',29.35,1,2,1),(20,5118549,'1992-06-08 00:00:00',4,2,12,2009,'F','N','CRISTO REI','CURITIBA','PR','116242161215121431669714595124610137092',8033,'9998',59.36,1,3,NULL),(20,5118557,'1985-12-13 00:00:00',4,8,12,2002,'F','N','ALTO DA XV','CURITIBA','PR','116161161214471431589614375125340622182',1973,'9998',76.40,1,3,NULL),(20,5118565,'1991-09-14 00:00:00',2,1,12,2008,'F','N','F SANTO ANTONIO','S JOSÉ','SC','124241241215472411646933575124610134072',11951,'1048',54.45,1,3,NULL),(20,5118573,'1992-09-16 00:00:00',3,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241215111731338639572122610147182',13039,'1133',52.29,1,3,NULL),(20,5118581,'1985-12-26 00:00:00',2,8,6,2006,'F','N','POCINHO','CAMPINA G SUL','PR','116161167111471711378613574124610167075',13114,'9998',50.40,1,2,1),(20,5118590,'1992-05-07 00:00:00',2,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124244241215111431548934175122610114197',NULL,'723',31.27,1,3,NULL),(20,5118603,'1990-08-11 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124242241235271431448839275124610137182',11666,'1022',51.91,1,3,NULL),(20,5118611,'1989-02-26 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243247431274431348611345124610142047',13165,'9999',52.05,1,3,NULL),(20,5118646,'1989-08-25 00:00:00',2,5,12,2007,'M','N','CURTUME','TORRES','RS','120202201216372431436621281225610136117',1771,'9998',77.16,1,3,NULL),(20,5118654,'1990-11-09 00:00:00',2,1,12,2008,'F','N','PATAMARES','SALVADOR','BA','105052267217271411328849295224610161117',4251,'9998',70.16,4,3,NULL),(20,5118662,'1988-08-07 00:00:00',2,15,12,2004,'M','N','RIO BRENCO','CANOAS','RS','120202201211461641444711371114241467112',NULL,'9998',32.89,1,3,NULL),(20,5118670,'1993-02-13 00:00:00',4,4,12,2009,'F','N','PALMITAL','CHAPECÓ','SC','124241241115271432337511415125610125142',14209,'169',47.81,1,2,1),(20,5118689,'1991-12-03 00:00:00',4,8,12,2009,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215111411227922315124610134052',1447,'9998',78.55,1,3,NULL),(20,5118697,'1991-04-30 00:00:00',2,8,6,2009,'M','N','BOM RETIRO','JOINVILLE','SC','124241246216111411223873445111610167062',NULL,'1006',23.41,1,3,NULL),(20,5118700,'1990-10-28 00:00:00',2,1,12,2008,'F','N','CENTRO','PALHOÇA','SC','124242241215472431326413575122610137152',NULL,'989',27.48,1,3,NULL),(20,5118719,'1988-01-23 00:00:00',4,1,12,2005,'M','N','DIONISIO TORRES','FORTALEZA','CE','106062061236113531447732575112240867047',13203,'9998',51.97,4,3,NULL),(20,5118727,'1991-12-10 00:00:00',4,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120201201115471431458933595112610112142',4399,'9998',67.91,1,2,1),(20,5118743,'1987-11-30 00:00:00',4,1,12,2005,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241117271631224321472214610117047',NULL,'591',10.08,1,3,NULL),(20,5118751,'1990-02-25 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124252251215473431228823571124610124142',8812,'9998',58.53,1,3,NULL),(20,5118760,'1990-09-11 00:00:00',2,7,12,2008,'M','N','CENTRO','JOAÇABA','SC','124241241136371752222629395123610124012',NULL,'449',21.27,1,2,1),(20,5118778,'1985-11-13 00:00:00',2,1,11,2003,'M','N','CENTRO','CURITIBA','PR','116164168247471741116579285121243264047',13932,'9998',50.51,1,3,NULL),(20,5118786,'1990-04-11 00:00:00',2,5,12,2007,'F','N','SÃO JOÃO','COCAL SUL','SC','124244246212473331459814371124610123117',1617,'188',78.14,1,3,NULL),(20,5118794,'1992-10-25 01:00:00',2,8,12,2009,'F','N','CENTRO','S JOSÉ PINHAIS','PR','116162161216111431466923575122610167117',NULL,'9998',0.00,1,3,NULL),(20,5118808,'1990-03-09 00:00:00',4,1,12,2007,'M','N','CENTRO','S JOSÉ','SC','124242241117372231445833344124233226177',NULL,'733',0.00,1,3,NULL),(20,5118816,'1988-04-11 00:00:00',2,1,12,2008,'F','N','GUABIROTUBA','CURITIBA','PR','116161161146132431323939595123610122187',NULL,'9998',25.53,2,1,1),(20,5118824,'1983-04-16 00:00:00',4,8,12,2001,'F','N','JARIVATUBA','JOINVILLE','SC','524241246217131431226643432224132733147',NULL,'494',0.00,1,3,NULL),(20,5118859,'1992-06-24 00:00:00',4,1,12,2009,'M','N','INTERIOR','FRAIBURGO','SC','124241242117131511537923296225610167067',NULL,'662',22.28,1,2,1),(20,5118875,'1991-11-12 00:00:00',4,1,12,2008,'F','N','JARDIM DAS AMERICAS','PATO BRANCO','PR','116163161315141732468932295125610164142',13595,'9998',51.18,1,3,NULL),(20,5118883,'1992-02-14 00:00:00',4,3,12,2009,'M','N','VILA SOARES','OURINHOS','SP','125252251215171431237812572112610117042',NULL,'9998',0.00,1,3,NULL),(20,5118891,'1977-09-12 00:00:00',2,1,11,2006,'M','N','FORQUILHAS','S JOSÉ','SC','224121247125472431422244242343610167042',NULL,'9997',27.20,2,1,1),(20,5118905,'1991-05-01 00:00:00',2,4,12,2009,'M','N','PROGRESSO','S LOURENÇO OESTE','SC','124242241217271431348712345122610137117',NULL,'743',0.00,1,3,NULL),(20,5118913,'1988-11-17 00:00:00',2,1,12,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241117371421446313345124610133147',NULL,'281',22.86,1,3,NULL),(20,5118930,'1992-01-30 00:00:00',4,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215172231327814272124610127117',11651,'44',53.71,1,3,NULL),(20,5118948,'1992-11-23 00:00:00',2,9,12,2010,'F','S','MARTURANO','S JOAQUIM','SC','124242241215111331543312425122610124092',NULL,'1035',31.57,1,3,NULL),(20,5118956,'1991-04-18 00:00:00',4,7,12,2009,'M','N','CENTRO','FRAIBURGO','SC','124244241215111431338911475122610167041',NULL,'885',19.71,1,3,NULL),(20,5118964,'1991-12-23 00:00:00',2,8,12,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241235111431566614275122610134171',NULL,'456',0.00,1,3,NULL),(20,5118972,'1991-03-18 00:00:00',4,8,12,2008,'M','N','AGUA VERDE','CURITIBA','PR','116242241316572431456612271125610167182',1208,'974',79.60,1,3,NULL),(20,5118980,'1992-06-27 00:00:00',2,1,12,2009,'M','N','ARMAÇAO DO PANTANO','FLORIANÓPOLIS','SC','124241241225371431233662296324610167117',9627,'262',58.87,4,3,NULL),(20,5118999,'1993-06-28 00:00:00',4,9,2,2011,'F','S','EUGÊNIO SCHINEIDER','RIO SUL','SC','124242241217111431478613571125610126182',NULL,'991',61.15,1,3,NULL),(20,5119022,'1990-11-13 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124244241216473431468512275124132766147',5249,'272',66.03,1,3,NULL),(20,5119030,'1992-03-08 00:00:00',4,5,12,2009,'F','N','COLONINHA','ARARANGUÁ','SC','124241241215111331343934575124610122141',NULL,'920',19.67,1,3,NULL),(20,5119049,'1992-04-14 00:00:00',2,1,12,2009,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241122131431425334342334610168047',NULL,'291',39.92,1,2,1),(20,5119057,'1991-03-12 00:00:00',4,1,11,2008,'F','N','ITAIGARA','SALVADOR','BA','105052051216151711659913575124241443022',7910,'9998',59.08,4,3,NULL),(20,5119073,'1993-01-01 00:00:00',2,4,12,2009,'F','N','CENTRO','STA MARIA','RS','120241201216271451536912595124610124142',NULL,'9998',0.00,1,3,NULL),(20,5119081,'1992-08-29 00:00:00',4,2,11,2009,'F','N','CENTRO','BLUMENAU','SC','124242248215112431443312272122610134142',NULL,'909',0.00,1,3,NULL),(20,5119103,'1989-08-13 00:00:00',4,1,12,2007,'F','N','JARDIM REDENTOR','S JOSÉ R PRETO','SP','125252251215571411477614575122610144192',5976,'9998',63.67,1,3,NULL),(20,5119120,'1992-11-09 00:00:00',4,9,12,2009,'M','N','NAÇÕES','FRAIBURGO','SC','124242241216132431238823575121610167042',5307,'885',65.72,1,3,NULL),(20,5119138,'1992-04-02 00:00:00',4,2,10,2009,'M','N','VORSDADT','BLUMENAU','SC','124242241215372431488831375112610167062',4045,'909',70.06,1,3,NULL),(20,5119146,'1991-06-20 00:00:00',4,8,12,2007,'M','N','RIO CERRO DOIS','JARAGUÁ SUL','SC','124244242117373441128444345334610164113',13064,'129',52.24,1,3,NULL),(20,5119154,'1992-10-01 00:00:00',2,5,10,2009,'M','N','LOTEAMENTO CAROL','URUSSANGA','SC','124242241215121431338634344132610167042',11681,'820',54.97,1,3,NULL),(20,5119162,'1989-08-04 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215575451238724372115610123077',704,'270',83.14,1,3,NULL),(20,5119170,'1993-08-10 00:00:00',4,10,11,2010,'F','S','DEHON','TUBARÃO','SC','124242241215111731466823475112610123072',NULL,'807',0.00,1,3,NULL),(20,5119189,'1988-08-14 00:00:00',2,1,12,2006,'F','N','CENTRO','BIGUAÇU','SC','124241241115575411546611572224133246041',1019,'306',81.21,1,2,1),(20,5119197,'1986-09-29 00:00:00',4,1,12,2003,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124222221217274431468919495124230562142',5679,'9998',66.74,4,3,NULL),(20,5119200,'1991-12-04 00:00:00',2,15,12,2008,'M','N','COLONINHA','ARARANGUÁ','SC','124242241215271712358833575122610162047',11216,'970',55.89,1,3,NULL),(20,5119219,'1982-06-17 00:00:00',4,1,12,1999,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241146153421253341215124120766192',NULL,'49',52.05,1,2,1),(20,5119227,'1990-05-17 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241212144431449611592122230264064',NULL,'1038',0.00,1,3,NULL),(20,5119235,'1991-12-13 00:00:00',4,8,12,2008,'F','N','CENTRO','IRATI','PR','116164161215471751578813574125610121142',62,'9998',91.23,1,3,NULL),(20,5119243,'1989-05-06 00:00:00',2,1,8,2008,'F','N','FLORESTA','S JOSÉ','SC','124243241115373411333321472124233245142',12196,'306',52.09,1,3,NULL),(20,5119251,'1990-04-05 00:00:00',4,1,12,2007,'F','N','ASA SUL','BRASÍLIA','DF','107162161217471431459712571111141032097',NULL,'9998',0.00,1,3,NULL),(20,5119260,'1992-07-03 00:00:00',4,1,12,2009,'F','N','RIO ENGANO','ALFREDO WAGNER','SC','124241241135372331528311192124610135092',NULL,'888',0.00,1,2,1),(20,5119278,'1992-03-26 00:00:00',2,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241215111431248612575112610138042',7754,'1026',61.47,1,3,NULL),(20,5119308,'1987-10-18 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124241241132131431427413345124610122077',NULL,'257',17.04,2,1,1),(20,5119324,'1992-11-11 00:00:00',4,8,11,2009,'M','N','CENTRO','CURITIBA','PR','116142161215121431367615152122610164172',NULL,'9998',0.00,1,3,NULL),(20,5119332,'1981-10-25 00:00:00',4,1,11,2002,'M','N','PALHOÇA','PALHOÇA','SC','124241241132271731457619442122610127067',16238,'591',42.05,1,2,1),(20,5119340,'1991-11-27 00:00:00',4,8,12,2008,'F','N','NOVA LONDRES','LONDRINA','PR','116163161216471431469614572122610124146',622,'9998',83.38,1,3,NULL),(20,5119359,'1979-10-01 00:00:00',4,1,12,2000,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','224241241125472411226544142223610122047',NULL,'307',34.85,2,1,1),(20,5119367,'1991-11-09 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215373431533532295124610134012',11215,'226',55.89,1,3,NULL),(20,5119375,'1991-11-05 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217152751438638372124230268187',NULL,'1022',0.00,1,3,NULL),(20,5119391,'1978-06-25 00:00:00',2,3,7,2002,'M','N','ALTO SAO BENTO','ITAPEMA','SC','124241247346271441223644242221333268112',14642,'9999',48.87,1,3,NULL),(20,5119413,'1990-04-29 00:00:00',2,1,12,2007,'M','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','124241241112473431523439192124610127142',NULL,'288',27.43,1,2,1),(20,5119421,'1992-05-06 00:00:00',2,15,12,2009,'F','N','CIDADE ALTA','TURVO','SC','124241241116141731633411191321610127055',NULL,'814',0.00,1,3,NULL),(20,5119430,'1991-10-25 00:00:00',2,7,9,2008,'F','N','SAO JOSÉ','FRAIBURGO','SC','124241241146131422224721282225231514097',NULL,'315',0.00,1,2,1),(20,5119448,'1988-11-11 00:00:00',4,5,6,2007,'M','N','PONTA GROSSA','PTO ALEGRE','RS','120203201437571731438833472114610147112',NULL,'9998',29.25,3,3,NULL),(20,5119456,'1990-11-11 00:00:00',2,8,12,2007,'F','N','CAMPO DO GADO','RIO NEGRO','PR','116162241215371431668613571124142362042',NULL,'541',0.00,1,3,NULL),(20,5119464,'1991-03-03 00:00:00',4,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124243241116471431346314345114610134087',11123,'257',52.86,1,3,NULL),(20,5119472,'1991-11-19 00:00:00',4,8,11,2008,'F','N','CENTRO','CURITIBA','PR','116112161215471431553836582112610164092',NULL,'9998',0.00,1,3,NULL),(20,5119480,'1977-09-28 00:00:00',4,1,11,1998,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224243248343141421439943435122130227182',NULL,'9999',0.00,1,3,NULL),(20,5119499,'1988-04-16 00:00:00',4,1,12,2005,'F','N','GRANJA JULIETA','S PAULO','SP','125172091217572431268824571124610164157',152,'9998',89.00,1,3,NULL),(20,5119502,'1992-02-20 00:00:00',2,1,11,2008,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241236142421539816392325230334042',NULL,'720',35.13,1,3,NULL),(20,5119510,'1992-04-20 00:00:00',4,8,11,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241215113431438812572124610137042',4103,'1063',68.85,1,3,NULL),(20,5119537,'1991-01-12 00:00:00',4,1,12,2008,'F','N','CENTRO','PALHOÇA','SC','124243241215373431524923272114610127072',12427,'939',53.50,1,3,NULL),(20,5119545,'1990-07-25 00:00:00',4,1,12,2007,'M','N','TUCURUVI','S PAULO','SP','125252251215511431687712595122610118182',NULL,'9998',0.00,1,3,NULL),(20,5119561,'1993-08-17 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431367731574112610123142',NULL,'270',50.86,1,3,NULL),(20,5119570,'1990-11-04 00:00:00',4,1,12,2008,'M','N','SONHO NOSSO II','BARRA BONITA','SP','125251251116471231333624285124610137057',NULL,'9998',0.00,1,2,1),(20,5119588,'1990-10-18 00:00:00',2,8,12,2007,'M','N','JD PARANÁ','ASSIS CHATEAUBRIAND','PR','116162161216372411344924575114610148072',11407,'9998',52.05,1,3,NULL),(20,5119596,'1992-02-05 00:00:00',4,8,12,2009,'M','N','SAO LUIS','JARAGUÁ SUL','SC','116162161217112431458811575125610164097',6517,'9998',64.88,1,3,NULL),(20,5119600,'1991-01-14 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124243241415372731337723442124121347077',6711,'1022',64.25,1,3,NULL),(20,5119618,'1982-10-15 00:00:00',2,16,12,2004,'M','N','SÃO SBASTIÃO','PTE ALTA NORTE','SC','124241241121232741426334185115610122187',NULL,'626',30.25,1,2,1),(20,5119626,'1991-04-05 00:00:00',2,1,12,2008,'F','N','CERRADO','SOROCABA','SP','125252251217471731646813575122610128047',NULL,'9998',0.00,1,3,NULL),(20,5119634,'1993-06-17 00:00:00',4,1,11,2008,'F','N','CENTRO','TIJUCAS','SC','124242241235111531446932574122610144042',NULL,'270',8.30,1,3,NULL),(20,5119642,'1991-10-20 01:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472231268923576122610123177',11983,'270',51.26,1,3,NULL),(20,5119650,'1991-06-01 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215474411468814576124610126177',2200,'1146',75.82,1,3,NULL),(20,5119669,'1992-04-01 00:00:00',4,8,11,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241211111431488813571122610167012',6001,'1063',62.33,1,3,NULL),(20,5119685,'1991-12-19 00:00:00',4,10,11,2009,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215371411236812475122610125193',14775,'806',48.53,1,3,NULL),(20,5119693,'1991-10-04 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241216273411549931315124610128092',6416,'738',62.65,1,3,NULL),(20,5119707,'1990-12-31 00:00:00',2,4,12,2008,'F','N','DESVIO RIZZO','CAXIAS SUL','RS','120201201126471431426633171224610128147',NULL,'9998',29.37,1,2,1),(20,5119715,'1992-08-19 00:00:00',4,1,11,2009,'F','N','SERTÃO','STO AMARO IMPERATRIZ','SC','124241241115141431521823395124610137052',NULL,'772',25.58,1,2,1),(20,5119723,'1992-02-23 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241222111432214361575114610127145',12845,'262',52.66,4,3,NULL),(20,5119731,'1992-02-08 00:00:00',2,1,12,2009,'M','N','JD CLAUDIA','LONDRINA','PR','116162161216121431487712371112610167042',NULL,'9998',0.00,4,3,NULL),(20,5119740,'1992-05-14 00:00:00',4,1,11,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241217111431469633575122610162042',10263,'1133',57.67,1,3,NULL),(20,5119758,'1991-11-17 00:00:00',2,1,12,2008,'M','N','ALTO ARIRIÚ','PALHOÇA','SC','124243241216142531434933345111610127115',10380,'1011',55.02,1,3,NULL),(20,5119766,'1992-04-09 00:00:00',4,4,12,2009,'M','N','ESTRELA','S MIGUEL OESTE','SC','124241241216271431346613575122610167047',NULL,'1079',0.00,1,3,NULL),(20,5119782,'1989-07-23 00:00:00',4,8,12,2006,'F','N','CIDADE MONÇÕES','MARINGÁ','PR','116162161216574441468711571124610136012',1566,'9998',78.30,1,3,NULL),(20,5119790,'1991-10-30 00:00:00',4,1,11,2009,'M','N','GONZAGA','SANTOS','SP','125252251215111431218812575225610168147',9122,'9998',57.03,1,3,NULL),(20,5119839,'1990-02-17 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124201201116111431226664471314231333147',NULL,'9998',28.78,1,2,1),(20,5119847,'1991-01-24 00:00:00',4,1,11,2007,'M','N','CENTRO','CURITIBA','PR','116162161211372411458923574125610122042',14666,'9998',48.83,1,3,NULL),(20,5119855,'1991-04-25 00:00:00',4,1,11,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124254251212374411326933395114610137117',11790,'9998',50.52,1,3,NULL),(20,5119863,'1992-05-22 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','108083081216111431379933575122610117017',13380,'9998',47.77,1,3,NULL),(20,5119871,'1992-06-05 00:00:00',4,7,12,2009,'F','N','INTERIOR','LACERDÓPOLIS','SC','124241241126151431653356575224610137052',NULL,'496',32.26,1,2,1),(20,5119910,'1992-12-15 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241241215131431457714275124610164197',6697,'723',62.81,4,3,NULL),(20,5119928,'1982-09-20 00:00:00',4,1,12,2000,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','224241241126273431223353312222610136147',15257,'294',47.10,1,2,1),(20,5119936,'1989-03-01 00:00:00',4,1,11,2006,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241211272412533522442224610167045',14985,'1048',47.91,1,3,NULL),(20,5119944,'1992-12-15 00:00:00',4,1,12,2009,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241315371431669713571324610127045',NULL,'307',23.89,1,3,NULL),(20,5119952,'1991-10-07 00:00:00',4,3,12,2008,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124162241215471411458734242122610126097',6270,'1086',62.51,4,3,NULL),(20,5119960,'1990-12-26 00:00:00',2,4,12,2008,'F','N','DESVIO RIZZO','CAXIAS SUL','RS','120201201122131431523411212234610128147',NULL,'9998',46.88,1,2,1),(20,5119979,'1984-04-07 00:00:00',4,15,11,2002,'M','N','CENTRO','ARARANGUÁ','SC','124241241137151431426827345122133227052',NULL,'9999',6.18,3,3,NULL),(20,5119995,'1993-05-14 00:00:00',4,10,12,2010,'F','S','CERAMARTE','RIO NEGRINHO','SC','124242241217112731338632295125610123017',NULL,'541',0.00,1,3,NULL),(20,5120004,'1993-06-28 00:00:00',4,4,12,2009,'M','N','TONIAL','XANXERÊ','SC','124241241212111441423336572225610137177',5086,'836',66.54,1,3,NULL),(20,5120012,'1991-02-09 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241126372431446614345124610166167',10084,'66',53.91,4,3,NULL),(20,5120020,'1989-12-10 00:00:00',4,1,12,2006,'F','N','PRESIDENTE','LONDRINA','PR','116164161237571431358613392115610165187',86,'9998',90.39,1,3,NULL),(20,5120039,'1988-06-07 00:00:00',2,1,12,2005,'F','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241132474431525751371144121362072',2373,'772',75.53,1,2,1),(20,5120047,'1990-06-22 00:00:00',4,1,6,2007,'M','N','VILA ADILETA','ASSIS','SP','125252281417571711548835575311610135115',13623,'9998',48.91,3,3,NULL),(20,5120063,'1992-04-20 00:00:00',4,5,11,2009,'F','N','SANTO ANTÔNIO','CRICIÚMA','SC','124241241215151412424412182222610136157',NULL,'920',43.58,1,3,NULL),(20,5120080,'1992-06-22 00:00:00',4,4,12,2009,'F','N','SANTA MARIA','CHAPECÓ','SC','124252241215111431568814575122610166187',13212,'168',47.75,1,3,NULL),(20,5120098,'1992-12-16 00:00:00',4,2,12,2009,'F','N','CENTRO','IBIRAMA','SC','124241241117131431333332575122610128142',NULL,'348',0.00,4,2,1),(20,5120101,'1993-03-11 00:00:00',4,4,12,2009,'F','N','CENTRO','GALVÃO','SC','124241241116111731347835572122610156177',NULL,'321',28.85,1,2,1),(20,5120110,'1991-05-04 00:00:00',4,7,12,2008,'F','N','VILA ALEMANHA','LUZERNA','SC','124241241216472431458833572125610128142',12928,'962',49.28,1,3,NULL),(20,5120136,'1982-04-16 00:00:00',4,1,11,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241315144731338913425132321122197',NULL,'270',39.40,1,3,NULL),(20,5120144,'1991-03-06 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241217143421569913335124230222065',NULL,'1022',0.00,1,3,NULL),(20,5120152,'1991-11-17 00:00:00',2,8,12,2008,'F','N','VILA RIO BRANCO','CASTRO','PR','116162161215471751468822582125610168017',837,'9998',82.17,1,3,NULL),(20,5120160,'1985-05-24 00:00:00',4,1,12,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116273441568613315134123234167',2747,'271',73.02,1,2,1),(20,5120179,'1992-10-01 00:00:00',2,1,12,2009,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241115231131313339595124610164192',NULL,'733',27.98,1,2,1),(20,5120187,'1992-07-03 00:00:00',4,1,12,2009,'F','N','BOM RETIRO','CURITIBA','PR','116082161217111431358823572122610143187',9630,'9998',55.09,1,3,NULL),(20,5120195,'1992-12-01 00:00:00',4,1,12,2009,'F','N','PRAIA COMPRIGA','S JOSÉ','SC','124242241215141132435719345124610114142',NULL,'1075',24.22,1,3,NULL),(20,5120209,'1992-10-20 00:00:00',2,1,12,2009,'M','N','JARDIM PAULISTA','APUCARANA','PR','116162161216271431454932345122610157052',NULL,'9998',36.72,4,3,NULL),(20,5120217,'1989-04-20 00:00:00',2,4,12,2008,'M','N','INTERIOR','CPO ERÊ','SC','124241242116111431423335585112610137047',NULL,'135',18.66,1,3,NULL),(20,5120233,'1992-05-07 00:00:00',4,3,11,2009,'F','N','JARDIM AMÉRICA','PNT GROSSA','PR','116162161217471411378811371112610134092',9236,'9998',56.89,1,3,NULL),(20,5120241,'1992-11-12 00:00:00',4,1,11,2009,'M','N','BOQUEIRÃO','CURITIBA','PR','116162161215471231348823572124510134097',12209,'9998',49.78,1,3,NULL),(20,5120250,'1989-04-10 00:00:00',4,1,12,2005,'M','N','LIBERDADE','S PAULO','SP','125252251215571431469911371325610152166',NULL,'9998',0.00,1,3,NULL),(20,5120276,'1978-03-19 00:00:00',4,1,11,1998,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224203207337271751233341112124610144187',15556,'9998',46.06,1,3,NULL),(20,5120284,'1990-09-18 00:00:00',4,1,12,2008,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','111112241217272431356614385124610147057',10658,'272',54.53,1,3,NULL),(20,5120292,'1976-12-01 00:00:00',4,8,12,1996,'M','N','CAMPINAS','FLORIANÓPOLIS','SC','524244247232131331127643231222430214172',NULL,'486',0.00,1,3,NULL),(20,5120314,'1986-09-13 00:00:00',2,1,12,2005,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124201208137371731336729485124133242157',NULL,'9998',24.43,1,3,NULL),(20,5120322,'1992-05-17 00:00:00',4,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124242241216111331557612245122610118143',13067,'881',49.05,1,3,NULL),(20,5120330,'1992-05-21 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241215271431348611575122610124052',15748,'44',42.69,1,3,NULL),(20,5120349,'1993-01-03 00:00:00',4,6,11,2009,'M','N','LOTEAMENTO BOLNADO','VIDEIRA','SC','124241241117131441446614395121610145077',12221,'831',53.93,1,2,1),(20,5120357,'1992-08-03 00:00:00',2,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241135141111316621345124610143142',NULL,'307',21.71,4,2,1),(20,5120365,'1991-12-05 00:00:00',4,8,12,2008,'M','N','AVAÍ','GUARAMIRIM','SC','124241201211571411557923574114610133142',2839,'9998',73.12,4,3,NULL),(20,5120381,'1987-05-26 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241247435131431321379342214610124117',NULL,'1076',25.99,1,3,NULL),(20,5120390,'1988-02-25 00:00:00',4,6,7,2006,'F','N','CENTRO','BAL PIÇARRAS','SC','124241247122271431113344442311610134197',NULL,'9999',27.91,1,2,1),(20,5120403,'1983-07-14 00:00:00',4,1,12,2000,'F','N','REVOREDO','TUBARÃO','SC','124242241212372421636721272115333263092',NULL,'807',0.00,4,3,NULL),(20,5120411,'1988-09-20 00:00:00',4,1,12,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','124203201116472231436711185124610164027',7217,'9998',63.39,1,3,NULL),(20,5120420,'1992-04-06 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241215111711469613595124610164055',12342,'269',51.97,1,3,NULL),(20,5120438,'1988-10-07 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248212373731557513472122122266042',NULL,'300',57.33,1,3,NULL),(20,5120446,'1990-10-29 00:00:00',4,1,11,2007,'M','N','VILA APRAZIVEL','JACAREÍ','SP','125252251215573431458831571114141438093',691,'9998',83.26,1,3,NULL),(20,5120462,'1993-01-15 00:00:00',4,1,12,2009,'F','N','JD PORTO ALEGRE','TOLEDO','PR','116162168215112431468812575115610134093',NULL,'9998',0.00,1,3,NULL),(20,5120489,'1991-04-21 00:00:00',4,3,12,2008,'M','N','CENTRO','CURITIBA','PR','116202161217372431468831274314610137057',6162,'9998',62.85,1,3,NULL),(20,5120497,'1990-04-18 00:00:00',4,6,12,2007,'F','N','FAZENDA','ITAJAÍ','SC','125242161216373231348811192124240265092',2292,'9998',75.85,1,3,NULL),(20,5120500,'1991-07-17 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124246241215372431468613375112610147057',NULL,'724',0.00,1,3,NULL),(20,5120519,'1989-07-14 00:00:00',4,8,12,2006,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161216471751459832571122241437097',2014,'9998',76.82,1,3,NULL),(20,5120527,'1991-10-23 00:00:00',4,1,11,2008,'M','N','ALTO DA GLORIA','CURITIBA','PR','116162161436271451456632582115610167043',NULL,'9998',29.44,1,3,NULL),(20,5120535,'1992-11-28 00:00:00',4,4,12,2009,'F','N','INTERIOR','ARVOREDO','SC','124241241127161431444336462222610124052',NULL,'36',26.76,1,2,1),(20,5120543,'1990-11-17 00:00:00',4,8,12,2007,'M','N','LIBERDADE','S PAULO','SP','125162161215571431458811571112610162092',2225,'9998',74.13,1,3,NULL),(20,5120560,'1990-04-25 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373431336853475124132763147',13947,'272',50.49,1,3,NULL),(20,5120578,'1992-03-04 00:00:00',2,3,12,2008,'F','N','VILA BOM JESUS','ITAPEVA','SP','125252251215471441638831575222610121147',NULL,'9998',0.00,1,3,NULL),(20,5120586,'1992-08-26 00:00:00',4,1,12,2009,'M','N','PONTA VERDE','MACEIÓ','AL','102072021216151431289813575122610127042',7583,'9998',61.51,1,3,NULL),(20,5120608,'1990-02-12 00:00:00',4,1,12,2007,'M','N','JARDIM SATÉLITE','S JOSÉ CAMPOS','SP','125252251215572431679712572224610127142',1847,'9998',77.01,1,3,NULL),(20,5120632,'1955-11-09 00:00:00',5,2,12,1976,'M','N','GARCIA','BLUMENAU','SC','224241251227151431553317175112130864057',NULL,'9998',43.39,1,3,NULL),(20,5120659,'1991-08-11 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241316131431436613395124610127047',NULL,'293',22.80,1,3,NULL),(20,5120667,'1991-12-05 00:00:00',2,1,12,2008,'F','N','CENTRO','S JOSÉ','SC','124242241215373431447612572124610165191',5162,'1022',67.07,1,3,NULL),(20,5120713,'1992-04-29 00:00:00',2,1,12,2009,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215131431556633395124610121072',NULL,'1048',26.81,1,3,NULL),(20,5120721,'1992-03-17 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241433151151426613576114610136147',NULL,'296',20.31,4,3,NULL),(20,5120730,'1992-03-20 00:00:00',4,1,11,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124202241215122431339813572114610132192',4788,'270',66.92,1,3,NULL),(20,5120748,'1993-09-10 00:00:00',2,4,12,2009,'F','N','CENTRO','GALVÃO','SC','124241241116111411436833575122610167142',NULL,'321',23.13,1,2,1),(20,5120756,'1988-09-04 00:00:00',4,4,12,2005,'F','N','CANGO','FRANCISCO BELTRÃO','PR','116161161115471431234624375122141124182',9163,'9998',56.48,1,2,1),(20,5120764,'1992-08-25 00:00:00',4,4,12,2009,'F','N','CENTRO','ARVOREDO','SC','124241241127161731646933335122610122142',11286,'36',51.99,1,2,1),(20,5120772,'1991-10-08 00:00:00',2,5,12,2008,'M','N','QUARTA LINHA','CRICIÚMA','SC','124241241215472431333739495124610126147',6588,'226',63.69,4,3,NULL),(20,5120780,'1992-01-04 00:00:00',2,5,10,2009,'M','N','COMERCIARIO','CRICIÚMA','SC','124241241215111431446414195122610137012',13824,'226',50.71,1,3,NULL),(20,5120799,'1991-08-30 00:00:00',4,1,12,2008,'F','N','GRANJA VIANA','COTIA','SP','125252251217471441469911575122610164012',571,'9998',82.74,1,3,NULL),(20,5120802,'1988-03-24 00:00:00',2,1,11,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241212133721234424446114610166145',15404,'1003',46.60,1,3,NULL),(20,5120810,'1991-11-04 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243247216151411337611375114610132193',NULL,'9999',19.17,4,3,NULL),(20,5120829,'1992-07-11 00:00:00',4,1,11,2009,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215111411689934576124610168091',2433,'270',75.32,1,3,NULL),(20,5120861,'1986-12-12 00:00:00',2,1,12,2005,'M','N','KOBRASOL','S JOSÉ','SC','124242241236125751238524495124631335167',NULL,'1036',45.05,3,3,NULL),(20,5120870,'1992-03-23 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215131411533434572124610137051',5467,'262',66.89,1,3,NULL),(20,5120896,'1991-10-13 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471431478733572112610143141',240,'270',87.37,1,3,NULL),(20,5120900,'1986-05-13 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241216473431544711395122130267067',NULL,'272',28.20,1,3,NULL),(20,5120918,'1992-09-05 00:00:00',4,8,11,2009,'F','N','CENTRO','JOINVILLE','SC','124242241216372731589912575122610164142',2304,'486',75.27,1,3,NULL),(20,5120926,'1992-06-22 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241147141732638674291134610136172',13603,'283',46.61,1,3,NULL),(20,5120934,'1992-10-12 00:00:00',3,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111711228839576115610132017',NULL,'1169',52.66,1,3,NULL),(20,5120942,'1991-08-02 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243247331111511326639392324610133051',NULL,'9999',26.66,1,3,NULL),(20,5120977,'1988-11-16 00:00:00',4,1,12,2007,'M','N','IRIRIÚ','JOINVILLE','SC','124242248215574451237623572122123267037',31,'494',92.62,4,3,NULL),(20,5120985,'1991-07-29 00:00:00',2,1,11,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216372431235822572124610164072',6665,'970',64.56,1,3,NULL),(20,5121019,'1989-05-13 00:00:00',4,8,12,2006,'F','N','CENTRO','IBIÚNA','SP','125252251217571451443622575122610162072',6410,'9998',62.24,1,3,NULL),(20,5121027,'1991-12-12 00:00:00',4,1,12,2008,'F','N','CENTRO','BIGUAÇU','SC','124242241215472431326714575124610133042',10540,'1022',55.39,1,3,NULL),(20,5121035,'1990-06-10 00:00:00',2,1,12,2007,'M','N','BELA VISTA','S JOSÉ','SC','124241241135472411655671485122130816047',10247,'726',57.71,4,2,1),(20,5121051,'1992-12-02 00:00:00',4,1,12,2009,'F','N','GUIOMAR','ANTÔNIO CARLOS','SC','124241241115372431536335572224610127072',3263,'21',71.92,1,2,1),(20,5121086,'1992-11-19 00:00:00',4,15,12,2010,'M','S','CIDADE ALTA','TURVO','SC','124242241214131731346732575121610167052',NULL,'813',46.51,1,3,NULL),(20,5121094,'1988-05-24 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215515441229813395124232066042',NULL,'226',42.64,1,3,NULL),(20,5121108,'1991-05-09 00:00:00',4,1,12,2008,'F','N','SAO JOAO','BRUSQUE','SC','124243241215474431544412575125610136192',1250,'109',78.63,1,3,NULL),(20,5121116,'1992-01-02 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241315131431536511575124610147072',NULL,'271',21.83,1,3,NULL),(20,5121132,'1992-08-18 00:00:00',4,1,12,2009,'M','N','CENTOR','FLORIANÓPOLIS','SC','124243247311111511216618192324610132057',NULL,'9999',21.55,1,3,NULL),(20,5121140,'1985-05-08 00:00:00',4,1,12,2001,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124212213216475451448319445134610162097',10639,'9998',54.75,4,3,NULL),(20,5121159,'1990-10-29 00:00:00',4,1,11,2007,'F','N','IATE CLUBE DE AM','AMERICANA','SP','125252251215472431446812175122610134077',NULL,'9998',0.00,1,3,NULL),(20,5121167,'1992-07-21 00:00:00',2,1,11,2009,'M','N','SANTA RITA','MACAPÁ','AP','103034031216211431468923372112610112052',7705,'9998',61.29,4,3,NULL),(20,5121183,'1992-12-29 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115131411226813571324610137072',11836,'271',54.68,4,2,1),(20,5121191,'1989-08-10 00:00:00',3,1,12,2006,'M','N','JARDIM AMÉRICA','JUNDIAÍ','SP','125252251216573441558311571122610144042',NULL,'9998',0.00,4,3,NULL),(20,5121205,'1992-10-01 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431468814575112610132017',NULL,'1169',0.00,1,3,NULL),(20,5121213,'1989-04-18 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241113143411534114492124231064062',14902,'271',48.16,4,2,1),(20,5121256,'1992-02-26 00:00:00',4,8,11,2009,'F','N','SAGUAÇÚ','JOINVILLE','SC','124241241215111431359821575124610127142',14118,'486',50.14,1,3,NULL),(20,5121299,'1993-05-21 00:00:00',2,1,12,2009,'F','N','LOURO','ANTÔNIO CARLOS','SC','124241241115271531533335572224610127072',NULL,'21',28.95,1,2,1),(20,5121302,'1992-09-21 00:00:00',2,1,12,2009,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241225111311453314575124610117052',8417,'262',59.25,1,3,NULL),(20,5121310,'1990-05-14 00:00:00',2,3,12,2007,'M','N','VILA SUCONASA','ARARAQUARA','SP','125253251216571431643724482113610124077',NULL,'9998',NULL,1,3,NULL),(20,5121329,'1992-12-26 00:00:00',2,4,12,2009,'M','N','CENTRO','BANDEIRANTE','SC','124241241127161132624623575124610164197',NULL,'55',0.00,1,2,1),(20,5121337,'1992-01-08 00:00:00',4,8,11,2009,'F','N','CENTRO','CURITIBA','PR','116162161216471731146639572325610124072',NULL,'9998',0.00,1,3,NULL),(20,5121345,'1986-02-22 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','324242241211144431467839471122221466042',11981,'270',54.41,1,3,NULL),(20,5121353,'1992-03-24 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116131331433823195124610135152',NULL,'276',20.40,1,2,1),(20,5121361,'1991-01-09 00:00:00',4,10,12,2008,'M','N','CENTRO','TUBARÃO','SC','124243241117272451523664335121610134042',NULL,'1034',34.02,1,3,NULL),(20,5121370,'1991-01-18 00:00:00',4,1,12,2007,'F','N','ALTO DA BRONZE','ESTRELA','RS','120201201117133451546619592114610167072',NULL,'9998',0.00,1,2,1),(20,5121388,'1992-08-06 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241147161432436633575114610114092',NULL,'288',17.26,1,2,1),(20,5121418,'1992-05-06 00:00:00',4,1,12,2009,'M','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161215321741478815575112610168072',16129,'9998',43.22,1,3,NULL),(20,5121434,'1990-09-21 00:00:00',4,1,12,2007,'F','N','JARDIM AMÉRICA','RIO SUL','SC','124242241217573411359932572122610114042',NULL,'270',0.00,1,3,NULL),(20,5121442,'1992-11-05 00:00:00',4,1,12,2009,'M','N','JARDIM ITALIA','CUIABÁ','MT','111111111236111431458811575124610137052',8466,'9998',58.30,1,3,NULL),(20,5121450,'1992-11-14 00:00:00',4,8,12,2009,'F','N','CENTRO CIVICO','CURITIBA','PR','116162161217111331678819471122610123187',NULL,'9998',0.00,1,3,NULL),(20,5121469,'1979-06-05 00:00:00',2,1,12,1996,'F','N','BARREIROS','S JOSÉ','SC','224241241126473441433354274112610126181',5303,'733',66.04,1,2,1),(20,5121477,'1990-07-13 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241217473441455923445124610168011',8070,'977',59.02,1,3,NULL),(20,5121485,'1988-06-27 00:00:00',4,1,12,2005,'F','N','VILA ANTONIETA','S PAULO','SP','125251251117371431536679295122610121077',NULL,'9998',0.00,1,2,1),(20,5121493,'1991-06-04 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241215372421448733575124610127057',9959,'724',55.12,1,3,NULL),(20,5121515,'1992-01-13 00:00:00',2,1,12,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117472431348614292124610128097',NULL,'298',27.24,1,2,1),(20,5121523,'1991-05-20 00:00:00',2,2,12,2009,'M','N','ITOUPAVAZINHA','BLUMENAU','SC','124241241116371441555339395123610128142',NULL,'79',28.78,1,2,1),(20,5121531,'1990-08-25 00:00:00',4,1,12,2008,'M','N','JARDIM BRASIL','CAMPINAS','SP','125244241215472731348844244232610164097',3540,'270',70.49,1,3,NULL),(20,5121540,'1992-05-15 00:00:00',2,7,12,2009,'F','N','PORTAL','VIDEIRA','SC','124241241214111231535712342122610166142',NULL,'829',24.59,1,3,NULL),(20,5121558,'1992-01-26 00:00:00',2,4,11,2009,'F','N','CENTRO','XANXERÊ','SC','124242248214161711468811592122610134142',NULL,'836',13.52,1,3,NULL),(20,5121566,'1990-11-21 00:00:00',2,1,12,2008,'F','N','CENTRO','S JOSÉ CAMPOS','SP','125252251217471431368923571115610142197',NULL,'9998',0.00,1,3,NULL),(20,5121574,'1992-06-30 00:00:00',4,3,12,2009,'M','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161216111721356626575122610167122',12275,'9998',51.99,1,3,NULL),(20,5121582,'1989-10-18 00:00:00',2,1,11,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241212433441533357215114221766193',10504,'270',55.49,1,3,NULL),(20,5121590,'1988-01-04 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217272431447613575114121467074',3405,'1022',72.36,1,3,NULL),(20,5121604,'1991-04-26 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212412431446612572224610167042',606,'273',83.83,1,3,NULL),(20,5121612,'1991-05-22 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216473431337739575124610144077',5394,'270',66.37,1,3,NULL),(20,5121620,'1990-11-08 00:00:00',4,1,12,2007,'F','N','BELA VISTA','S PAULO','SP','125164251217571451468924572115610144096',NULL,'9998',0.00,1,3,NULL),(20,5121639,'1993-02-10 00:00:00',2,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241315111431546619244122610162187',NULL,'267',31.92,1,3,NULL),(20,5121655,'1991-10-12 00:00:00',4,8,11,2009,'F','N','CONTINENTE','FLORIANÓPOLIS','SC','124242241215121331388832581122610137142',NULL,'1063',0.00,1,3,NULL),(20,5121663,'1993-03-27 00:00:00',4,4,12,2009,'F','N','CENTRO','MODELO','SC','124241241134141431326634145125610134147',NULL,'562',0.00,1,3,NULL),(20,5121671,'1992-10-03 00:00:00',4,1,12,2009,'M','N','SÃO LUIZ','GRAVATAÍ','RS','120202201215271431537511574344610134117',NULL,'9998',NULL,1,3,NULL),(20,5121680,'1975-12-17 00:00:00',4,1,12,1992,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241417332421259913493123330267097',NULL,'267',41.73,4,3,NULL),(20,5121698,'1992-05-08 00:00:00',4,1,12,2009,'M','N','TV MORENA','CPO GRANDE','MS','112122121217471431478814575122610167042',3174,'9998',72.14,1,3,NULL),(20,5121710,'1986-05-12 00:00:00',4,1,12,2005,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241135371431426624342124610118067',NULL,'283',30.77,1,2,1),(20,5121736,'1993-07-13 00:00:00',2,15,11,2009,'F','N','CENTRO','ERMO','SC','124241241215271451533312575122610168057',14510,'813',44.89,1,3,NULL),(20,5121744,'1992-01-04 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215371431437713332124610125072',NULL,'269',20.89,1,3,NULL),(20,5121779,'1992-10-30 00:00:00',4,8,12,2009,'M','N','CENTRO','CURITIBA','PR','116242161212171121388811571122610134042',NULL,'9998',0.00,1,3,NULL),(20,5121787,'1991-09-24 00:00:00',2,1,12,2008,'F','N','MAR GROSSO','LAGUNA','SC','124242241216472431539814475122610132197',8342,'525',59.62,1,3,NULL),(20,5121795,'1992-09-28 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215112431448832575122610138142',3756,'226',70.50,1,3,NULL),(20,5121809,'1988-08-31 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201136351421126643435124610166042',9277,'9998',57.19,1,2,1),(20,5121817,'1990-05-31 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215273731169719595224231068012',1327,'87',79.39,1,3,NULL),(20,5121825,'1992-11-10 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241217111731316414295124610155142',NULL,'1022',22.15,1,3,NULL),(20,5121833,'1991-07-17 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215121431456614485112610132042',15650,'737',43.33,1,3,NULL),(20,5121841,'1991-12-08 00:00:00',2,1,11,2009,'F','N','AGUA VERDE','CURITIBA','PR','116162168215471751476614171114610161112',NULL,'9998',0.00,1,3,NULL),(20,5121850,'1991-05-16 00:00:00',2,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117372732466533381322610147065',NULL,'298',16.54,1,3,NULL),(20,5121876,'1993-02-09 00:00:00',4,8,11,2009,'M','N','CENTRO','IMBITUVA','PR','116162161216371711458812575114610164181',3013,'9998',72.35,1,3,NULL),(20,5121884,'1992-06-21 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117471732448723572224610166147',9350,'298',57.94,1,2,1),(20,5121892,'1986-11-12 00:00:00',2,10,12,2004,'F','N','CENTRO','TUBARÃO','SC','124241241116472441426614475125131336182',NULL,'1034',32.53,1,2,1),(20,5121906,'1992-08-28 00:00:00',4,4,11,2009,'M','N','SANTA MARIA','CHAPECÓ','SC','124242241215121411237923374122610132122',2049,'185',75.53,1,3,NULL),(20,5121922,'1991-10-01 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431564923372114221417042',9366,'270',59.32,1,3,NULL),(20,5121930,'1991-11-12 00:00:00',4,1,12,2009,'F','N','PERDIZES','S PAULO','SP','125252251216161431458831315122610167072',NULL,'9998',0.00,1,3,NULL),(20,5121949,'1993-01-21 00:00:00',4,2,12,2009,'F','N','PETRÓPOLIS','BLUMENAU','SC','124241241212111431349923575125610122057',NULL,'1018',0.00,1,3,NULL),(20,5121957,'1984-08-30 00:00:00',2,4,12,2003,'F','N','CRISTO REI','CHAPECÓ','SC','124241248126131431423314181334132262177',NULL,'916',18.86,1,3,NULL),(20,5121965,'1991-09-07 00:00:00',2,1,12,2008,'M','N','CENTRO','LAGES','SC','124243241315473431468933576124610127012',NULL,'1146',64.60,1,3,NULL),(20,5121973,'1991-12-20 00:00:00',4,8,12,2009,'M','N','VALINHOS','TATUÍ','SP','125254251217121431369714275112610162142',NULL,'9998',0.00,1,3,NULL),(20,5121981,'1992-08-02 00:00:00',4,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215272431458911575124610122072',5414,'737',67.30,1,3,NULL),(20,5121990,'1993-12-26 00:00:00',2,1,12,2009,'M','N','FLORESTA','S JOSÉ','SC','124241241215111731326639192121610127182',15467,'737',46.42,4,3,NULL),(20,5122007,'1992-06-14 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242244215372441425519591124610164092',16081,'1118',39.78,1,3,NULL),(20,5122015,'1991-10-21 00:00:00',4,1,12,2008,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215112411468711472114610124077',7922,'299',61.98,1,3,NULL),(20,5122023,'1991-12-16 00:00:00',4,1,12,2008,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124242241217473421528833596114610131032',13126,'1022',49.99,1,3,NULL),(20,5122031,'1985-10-30 00:00:00',2,1,11,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252248146134451656519292124610126195',16071,'1003',43.62,1,3,NULL),(20,5122040,'1991-07-29 00:00:00',4,8,12,2008,'F','N','CENTRO','RONDON','PR','116164161217471431168833575121610122122',3771,'9998',69.34,1,3,NULL),(20,5122058,'1987-08-30 00:00:00',4,3,12,2004,'M','N','LAGO PARQUE','LONDRINA','PR','116162161216574451668811571122610147032',6087,'9998',62.55,1,3,NULL),(20,5122074,'1992-04-24 00:00:00',4,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117161411466319515124610144192',5670,'307',66.67,1,2,1),(20,5122104,'1991-04-26 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241212112431337713392224231024187',NULL,'738',26.27,1,3,NULL),(20,5122112,'1992-04-28 00:00:00',4,1,11,2009,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215111411466732575112610137187',NULL,'1022',25.77,1,3,NULL),(20,5122120,'1991-08-26 00:00:00',4,8,11,2008,'F','N','GLÓRIA','JOINVILLE','SC','124244241215473431456834572324610137072',13402,'489',49.18,1,3,NULL),(20,5122139,'1988-04-02 00:00:00',4,1,8,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124201207117131751326349345314610164042',NULL,'9998',38.19,2,1,1),(20,5122147,'1986-10-07 00:00:00',4,1,12,2004,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124241241216114421248927485124332116042',NULL,'270',0.00,1,3,NULL),(20,5122171,'1992-02-19 00:00:00',4,1,12,2009,'M','N','DOM JOAQUIM','BRUSQUE','SC','124241246215161432436611476122610137062',NULL,'1090',47.39,1,3,NULL),(20,5122180,'1992-01-16 00:00:00',4,6,11,2009,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241215121431468614575121610124055',6248,'1026',64.79,1,3,NULL),(20,5122198,'1991-05-28 00:00:00',2,4,12,2008,'F','N','CENTRO','CONCÓRDIA','SC','124241241116132731443419241133610128147',15410,'192',43.30,1,2,1),(20,5122244,'1991-06-10 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215271731477732575122610128012',11376,'262',53.29,1,3,NULL),(20,5122252,'1989-07-05 00:00:00',2,17,11,2006,'F','N','SEMINÁRIO','CURITIBA','PR','116241241215571731354633575124610168197',8841,'541',57.39,1,3,NULL),(20,5122287,'1983-03-11 00:00:00',2,1,8,2004,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','224244247427271431423354345124610147187',NULL,'9999',0.00,4,3,NULL),(20,5122295,'1991-04-22 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117372422326623342134610148147',NULL,'307',0.00,1,2,1),(20,5122309,'1989-08-30 00:00:00',4,1,12,2006,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241232373721336533472324131031147',NULL,'881',22.53,1,3,NULL),(20,5122317,'1989-06-30 00:00:00',2,1,12,2006,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241117371421534311243113610164042',NULL,'732',26.33,1,2,1),(20,5122333,'1989-03-27 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216273431285923496122231023182',13691,'270',50.96,1,3,NULL),(20,5122341,'1989-07-08 00:00:00',4,1,11,2008,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124243244316151331641323435114610167052',NULL,'281',19.55,2,1,2),(20,5122350,'1982-07-14 00:00:00',2,1,7,2000,'F','N','AREIAS','S JOSÉ','SC','224204208216471711327854472122241562197',NULL,'9998',28.46,1,3,NULL),(20,5122376,'1990-09-15 00:00:00',4,1,12,2008,'F','N','ASA SUL','BRASÍLIA','DF','107072071217371431248717372122610156197',NULL,'9998',0.00,1,3,NULL),(20,5122392,'1992-02-02 00:00:00',2,15,12,2009,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241243116271431553314375122610124142',10833,'29',53.07,1,2,1),(20,5122406,'1991-07-05 00:00:00',2,8,10,2008,'F','N','CHACARA INGLESA','S PAULO','SP','125254251411471321237733575124610136082',NULL,'9997',0.00,1,3,NULL),(20,5122414,'1991-02-22 00:00:00',4,15,11,2008,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241241115372431439933585125610124011',15603,'29',45.86,1,2,1),(20,5122430,'1992-08-27 00:00:00',4,1,12,2009,'M','N','PORTÃO','CURITIBA','PR','116164161217121431468614575114610127062',6456,'9998',62.26,1,3,NULL),(20,5122465,'1992-11-17 00:00:00',2,4,12,2009,'M','N','JARDIM PORTO ALEGRE','TOLEDO','PR','116162161216471731446933576112610167072',3051,'9998',71.95,4,3,NULL),(20,5122473,'1993-03-21 00:00:00',4,8,11,2009,'F','N','RIO VERDE','PNT GROSSA','PR','116162161216121751346922574112610168187',14409,'9998',49.44,1,3,NULL),(20,5122481,'1992-01-27 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215131431337731571124610126062',5383,'269',65.55,1,3,NULL),(20,5122503,'1992-02-18 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212171431356923575122610132042',10339,'266',57.25,1,3,NULL),(20,5122511,'1992-06-06 00:00:00',2,8,12,2009,'M','N','ALEGRE','RIO NEGRINHO','SC','124241241116131411324624285121610167017',NULL,'669',27.08,1,2,1),(20,5122538,'1988-12-07 00:00:00',4,1,12,2006,'M','N','SETOR OESTE','GOIÂNIA','GO','109092091214473321546631575122143127033',NULL,'9998',0.00,4,3,NULL),(20,5122546,'1991-12-16 00:00:00',4,1,12,2009,'M','N','VILA MARIANA','AMERICANA','SP','125252251215111211448614475122610167047',11743,'9998',49.82,1,3,NULL),(20,5122554,'1991-10-19 00:00:00',2,1,12,2008,'F','N','POTECAS','S JOSÉ','SC','124242241217472411226933585124610124173',NULL,'944',28.91,1,3,NULL),(20,5122562,'1992-07-15 00:00:00',4,1,12,2009,'M','N','CAMPO DO GADO','RIO NEGRO','PR','116161168217111431558419282122610124092',NULL,'9998',0.00,1,3,NULL),(20,5122597,'1986-02-10 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','125252251211574411246573571224142418192',208,'9998',87.10,4,3,NULL),(20,5122619,'1992-10-22 00:00:00',4,1,11,2009,'M','N','DANIELA','FLORIANÓPOLIS','SC','124242241215111431466912575124610134042',NULL,'1169',0.00,1,3,NULL),(20,5122627,'1992-05-17 00:00:00',2,1,12,2009,'F','N','CAIEIRA DA B DO SUL','FLORIANÓPOLIS','SC','124241241115131742325633575124610134047',NULL,'278',25.40,1,2,1),(20,5122635,'1992-08-29 00:00:00',2,6,11,2009,'F','N','CENTRO','NAVEGANTES','SC','124243241217111431523511175124610134197',9970,'937',55.38,1,3,NULL),(20,5122643,'1992-11-12 00:00:00',2,1,11,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217271431479833472121610127112',NULL,'272',33.33,1,3,NULL),(20,5122651,'1992-10-02 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215132731436824275214610165147',1543,'738',78.70,1,3,NULL),(20,5122660,'1993-07-22 00:00:00',4,15,12,2011,'F','S','CENTRO','ARARANGUÁ','SC','124244241215151531359813575122610154192',NULL,'970',51.44,1,3,NULL),(20,5122678,'1992-05-18 00:00:00',4,5,10,2009,'M','N','PRÓSPERA','CRICIÚMA','SC','124242241215112431336632572112610128142',NULL,'226',7.43,1,3,NULL),(20,5122694,'1982-09-27 00:00:00',4,4,12,2000,'M','N','JARDIM BRASILIA','TARABAI','SP','125251255116141711426145452224610124057',11692,'9998',52.57,4,2,1),(20,5122708,'1991-02-25 00:00:00',4,15,12,2006,'M','N','NOSSA SRA DAS GRAÇAS','CANOAS','RS','120202201211271441445923371145141344187',13913,'9998',50.54,1,3,NULL),(20,5122716,'1989-01-10 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244241217374421435312575113610124072',NULL,'1134',28.62,1,3,NULL),(20,5122724,'1992-08-30 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215113411335829572122610164171',554,'737',84.17,1,3,NULL),(20,5122732,'1990-05-30 00:00:00',4,8,12,2007,'F','N','SÁO RAFAEL','RIO NEGRINHO','SC','124242241216571331424834482114610162142',NULL,'666',7.09,1,3,NULL),(20,5122740,'1992-04-23 00:00:00',2,1,12,2009,'M','N','CENTROS','FLORIANÓPOLIS','SC','124242241215111431458633375125610127052',NULL,'269',41.50,1,3,NULL),(20,5122759,'1992-11-28 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','116162161217111431558772575124610132072',NULL,'9998',29.70,1,3,NULL),(20,5122767,'1991-05-09 00:00:00',2,1,12,2008,'F','N','CENTRO','STA BÁRBARA D OESTE','SP','125252251216371431388831575112610113122',NULL,'9998',0.00,1,3,NULL),(20,5122775,'1990-06-15 00:00:00',3,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241215111411338639572122610147182',NULL,'1133',20.53,1,3,NULL),(20,5122783,'1993-07-27 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431458734575124610127052',15790,'270',45.12,1,3,NULL),(20,5122813,'1992-09-03 00:00:00',2,15,12,2009,'M','N','VILA BEATRIZ','MARACAJÁ','SC','124243241215221431653312271124610127052',3802,'970',69.89,1,3,NULL),(20,5122848,'1985-01-09 00:00:00',4,1,12,2003,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215473431348833445114133235092',NULL,'269',31.99,1,3,NULL),(20,5122856,'1989-09-30 00:00:00',4,1,6,2008,'M','N','JARDIM SATÉLITE','S JOSÉ CAMPOS','SP','125252251215471431456814375122610127112',9011,'9998',57.17,1,3,NULL),(20,5122864,'1992-06-06 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215161431445531571122610128192',4875,'738',68.39,1,3,NULL),(20,5122872,'1992-05-03 00:00:00',4,7,11,2009,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','124242241235271431436619195122610147012',10754,'454',54.14,1,3,NULL),(20,5122880,'1989-09-30 00:00:00',4,1,12,1997,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162161216141751239949495125342364197',11605,'9998',55.13,3,3,NULL),(20,5122899,'1991-02-17 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117273712446413332122231464017',9108,'281',59.75,1,2,1),(20,5122902,'1990-10-27 00:00:00',2,1,11,2007,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241116133431235723385124222221147',NULL,'288',31.24,1,2,1),(20,5122929,'1992-05-19 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215122431356613592122610127182',8627,'738',59.24,1,3,NULL),(20,5122937,'1991-05-05 00:00:00',2,6,12,2009,'F','N','CENTRO','NOVA OLÍMPIA','PR','116161168215471721526614441122610138197',NULL,'9998',0.00,1,3,NULL),(20,5122945,'1992-09-20 00:00:00',2,8,12,2009,'F','N','AMIZADE','JARAGUÁ SUL','SC','124243241214111431556613591122610162142',NULL,'1061',27.59,1,3,NULL),(20,5122953,'1992-07-06 00:00:00',4,1,12,2009,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241115141431326639295114610127047',NULL,'257',25.10,1,2,1),(20,5122961,'1992-05-31 00:00:00',2,1,12,2009,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241122161711436614575122610117142',14727,'649',48.64,1,2,1),(20,5122988,'1992-05-18 00:00:00',4,1,12,2009,'M','N','REAL PARQUE','S JOSÉ','SC','124242241211152431338514575112610127142',1710,'1078',77.15,1,3,NULL),(20,5122996,'1984-12-08 00:00:00',2,1,2,2003,'F','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','624281288136372431246542425122140461112',8327,'9998',61.26,1,3,NULL),(20,5123003,'1991-07-06 00:00:00',4,8,12,2009,'F','N','SALINAS','BAL BARRA SUL','SC','124243241136161431537813575125610136147',NULL,'41',0.00,1,3,NULL),(20,5123020,'1993-05-21 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111732478613485125610147045',NULL,'1169',15.21,1,3,NULL),(20,5123038,'1988-01-04 00:00:00',4,1,12,2006,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124281241215574431267622575124610121192',2546,'1011',74.95,3,3,NULL),(20,5123046,'1992-06-18 00:00:00',4,8,12,2009,'F','N','IRIRIÚ','JOINVILLE','SC','124242161217121431468821575122610167012',NULL,'9998',0.00,1,3,NULL),(20,5123054,'1992-06-02 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431478924275112610142076',4420,'210',67.75,1,3,NULL),(20,5123062,'1992-04-22 00:00:00',4,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124241241117132431436414272125610122097',12334,'798',52.55,1,2,1),(20,5123070,'1994-05-23 00:00:00',4,1,12,2009,'F','N','PALHOÇA','PALHOÇA','SC','124242241215111431567733572112610167042',13118,'1011',48.34,1,3,NULL),(20,5123089,'1992-03-03 00:00:00',4,8,11,2009,'F','N','AMÉRICA','JOINVILLE','SC','624243241215112731569614572124610126182',9316,'486',56.78,1,3,NULL),(20,5123100,'1989-10-12 00:00:00',4,1,12,2007,'F','N','MACHADINHO','AMERICANA','SP','125252251216571431469813575112143232152',NULL,'9998',NULL,1,3,NULL),(20,5123119,'1992-05-05 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241217111412327712575112610128097',10710,'737',54.44,1,3,NULL),(20,5123127,'1991-07-23 00:00:00',2,1,12,2009,'M','N','CANASVIERAS','FLORIANÓPOLIS','SC','124241247425111531423314442123610124062',NULL,'9999',10.41,1,1,2),(20,5123135,'1989-05-08 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116471421531534445114610114043',NULL,'732',24.60,1,3,NULL),(20,5123143,'1992-10-16 00:00:00',4,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124244241215112431444612192124610124057',370,'270',85.70,1,3,NULL),(20,5123151,'1991-03-28 00:00:00',2,16,12,2007,'M','N','UNIVERSITARIO','CURITIBANOS','SC','124241241117144721346414215112610167052',NULL,'239',24.83,4,3,NULL),(20,5123160,'1992-06-09 00:00:00',2,4,12,2009,'F','N','MIRANTE','ITÁ','SC','124241241315141511536713435112610134042',NULL,'384',25.41,1,3,NULL),(20,5123178,'1982-07-11 00:00:00',2,1,12,2009,'M','N','PORTÃO VELHO','PORTÃO','RS','120201207227151611632219241324610164047',NULL,'9998',0.00,1,3,NULL),(20,5123186,'1988-10-18 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215152712339879495124132864067',14084,'270',50.23,1,3,NULL),(20,5123194,'1992-09-15 00:00:00',2,1,11,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215371431356634571124610127142',4140,'272',70.41,1,3,NULL),(20,5123208,'1991-07-18 00:00:00',4,1,12,2008,'M','N','ESTREITO BALNEÁRIO','FLORIANÓPOLIS','SC','124242241417133431438813585124610114047',NULL,'257',31.47,3,3,NULL),(20,5123240,'1990-05-05 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116472431356823475122610137045',5252,'307',67.14,1,2,1),(20,5123259,'1990-01-12 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124131131116472411331923441324142164183',15061,'9998',43.47,1,2,1),(20,5123267,'1991-09-28 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161215472431469811571122610162182',1232,'9998',79.34,3,3,NULL),(20,5123291,'1978-08-02 00:00:00',2,1,1,1998,'F','N','CENTRO','ARARANGUÁ','SC','624201201147131431223359282314610166147',NULL,'9998',27.68,4,2,1),(20,5123305,'1992-06-02 00:00:00',4,1,12,2009,'F','N','PORTAL DE DOURADOS','DOURADOS','MS','112122121215111331467832574122610124192',3023,'9998',72.35,1,3,NULL),(20,5123313,'1992-01-21 00:00:00',2,1,12,2009,'M','N','RIO GRANDE','PALHOÇA','SC','124242241147131431326619395124610133185',NULL,'592',26.12,4,3,NULL),(20,5123321,'1992-06-06 00:00:00',4,16,12,2009,'F','N','APARECIDA','CURITIBANOS','SC','124241241115471731326519575122610166172',11982,'239',52.75,1,3,NULL),(20,5123330,'1979-01-05 00:00:00',4,15,12,1999,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124243241327141731446412242112610127062',NULL,'29',16.42,1,3,NULL),(20,5123348,'1992-04-09 00:00:00',2,2,10,2009,'M','N','VILA NOVA','BLUMENAU','SC','124244241217112431259912585125610127112',NULL,'855',31.69,1,3,NULL),(20,5123356,'1988-01-28 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624131131416151431236644345122241862182',NULL,'9998',0.00,1,3,NULL),(20,5123364,'1992-03-18 00:00:00',4,3,12,2009,'F','N','VILA MARGARIDA','OURINHOS','SP','125252251212111441447833575122610134097',13539,'9998',48.20,1,3,NULL),(20,5123372,'1993-03-25 00:00:00',2,1,12,2009,'M','N','PRAÇA','TIJUCAS','SC','124243241417112431337923175121610124177',13132,'948',52.11,1,3,NULL),(20,5123380,'1991-07-26 00:00:00',4,8,12,2008,'F','N','APARECIDA','SANTOS','SP','125252251217411411468811581115610115147',NULL,'9998',0.00,4,3,NULL),(20,5123402,'1990-06-26 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241211573431478811576122130247122',1418,'666',79.22,1,3,NULL),(20,5123410,'1991-12-23 00:00:00',4,1,12,2010,'F','S','CARVOEIRA','FLORIANÓPOLIS','SC','124241241115151431436633575122610123147',NULL,'267',4.09,1,3,NULL),(20,5123437,'1991-12-05 00:00:00',4,1,12,2008,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124201201117472441468733571124233267092',12520,'9998',53.30,4,2,1),(20,5123461,'1992-06-04 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215112531458913573121610167042',4083,'226',70.64,1,3,NULL),(20,5123470,'1992-05-17 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216111431458614345122610124093',NULL,'270',32.25,1,3,NULL),(20,5123488,'1987-06-17 00:00:00',4,4,12,2004,'F','N','CENTRO','CURITIBA','PR','116161161215573431446934572124610162172',NULL,'9998',0.00,1,3,NULL),(20,5123500,'1991-04-29 00:00:00',4,2,12,2008,'M','N','VALPARAÍSO','BLUMENAU','SC','124242241215152431569834375124231462092',9342,'71',56.42,1,3,NULL),(20,5123518,'1991-04-24 00:00:00',4,9,6,2009,'M','N','CENTRO','LAGES','SC','124242247337131432226721485111610164187',NULL,'9999',26.45,1,3,NULL),(20,5123526,'1990-09-10 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124204201217371411237823575114610111142',NULL,'9998',0.00,1,3,NULL),(20,5123534,'1992-01-03 00:00:00',4,1,12,2009,'F','N','SANTANA','S PAULO','SP','125252251215111431578814574115610134072',4285,'9998',69.54,1,3,NULL),(20,5123542,'1992-05-08 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241243316371311416111572124610121142',NULL,'288',17.29,4,3,NULL),(20,5123550,'1989-06-07 00:00:00',4,1,12,2006,'M','N','SAO LUIZ','BRUSQUE','SC','124242241217574431379811575122230226182',825,'109',82.32,1,3,NULL),(20,5123569,'1990-05-15 00:00:00',2,1,12,2007,'F','N','CENTRO','IPIRANGA','PR','116161161415572751216629571125610164097',6194,'9998',63.97,1,3,NULL),(20,5123577,'1989-12-08 00:00:00',4,1,12,2006,'F','N','VILA FLORESTA','CRICIÚMA','SC','124243241215473751448914491125132454097',1816,'226',77.53,1,3,NULL),(20,5123585,'1990-10-23 00:00:00',4,15,11,2007,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241111111411544413585122231767147',16048,'30',43.79,1,2,1),(20,5123593,'1990-01-23 00:00:00',4,1,11,2007,'F','N','JARDIM ANGÉLICA','CRICIÚMA','SC','124244241215573411446331272345610122042',1714,'226',77.98,1,3,NULL),(20,5123607,'1992-04-08 00:00:00',4,9,12,2009,'F','N','SAGRADO C DE JESUS','LAGES','SC','124244241215111731448769275112610161097',8401,'497',61.13,1,3,NULL),(20,5123615,'1982-10-03 00:00:00',4,1,12,2001,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201201116131741136349395234340614157',15087,'9998',47.62,1,3,NULL),(20,5123623,'1992-11-09 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111731438924475124610133187',NULL,'270',24.91,1,3,NULL),(20,5123631,'1991-11-17 00:00:00',2,5,11,2008,'F','N','CENTRO','CRICIÚMA','SC','124243241215372431328514275124231464177',9053,'210',59.86,1,3,NULL),(20,5123640,'1980-04-14 00:00:00',4,1,1,2000,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241247317373421238844342132223264071',4820,'1003',68.81,1,3,NULL),(20,5123658,'1989-04-14 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241146272431335474245124610127142',11581,'307',52.79,1,2,1),(20,5123666,'1990-03-31 00:00:00',4,8,12,2007,'F','N','HUGO LANGE','CURITIBA','PR','116162161211572751458814572122610142097',5033,'9998',66.04,1,3,NULL),(20,5123674,'1990-08-16 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241212472411535729575112123268145',2531,'1169',74.36,1,3,NULL),(20,5123682,'1990-02-20 00:00:00',4,8,12,2009,'F','N','CENTRO','FOZ IGUAÇU','PR','116162164211571751531119374244610163092',NULL,'9998',0.00,1,3,NULL),(20,5123690,'1981-09-04 00:00:00',4,6,11,1998,'M','N','CENTRO','CURITIBA','PR','116111111111471441643316391124610122042',4548,'9998',67.52,3,2,1),(20,5123704,'1992-04-14 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215372431468813572124610143145',46,'270',91.71,1,3,NULL),(20,5123712,'1992-11-18 00:00:00',4,1,11,2009,'F','N','MARTORANO','S JOAQUIM','SC','124012241415311431626923575114610123142',2065,'1022',76.66,1,3,NULL),(20,5123720,'1992-08-05 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431446914272124610123182',14122,'1118',47.14,1,3,NULL),(20,5123739,'1992-08-03 00:00:00',4,5,11,2009,'M','N','PIO CORREA','CRICIÚMA','SC','124242241217152731488811575122610134192',9957,'210',55.40,1,3,NULL),(20,5123747,'1991-07-02 00:00:00',4,8,12,2008,'F','N','UBERABA','CURITIBA','PR','116162161216271411449914595124610127057',4004,'9998',69.55,3,3,NULL),(20,5123763,'1989-04-14 00:00:00',2,1,12,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241137372431536873572224610167117',NULL,'289',48.44,1,2,1),(20,5123771,'1991-07-21 00:00:00',4,8,12,2008,'F','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116161161116371331538813572114610166187',5553,'9998',66.27,1,2,1),(20,5123780,'1990-09-07 00:00:00',4,1,12,2007,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124252241215573431564812322124610138142',3965,'270',70.28,1,3,NULL),(20,5123798,'1992-03-08 00:00:00',4,1,7,2009,'F','N','CENTRO','CURITIBA','PR','116242161216371721236614575125610137142',4156,'9998',68.76,1,3,NULL),(20,5123801,'1992-09-11 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215112431478722575124610122092',14171,'1022',46.97,1,3,NULL),(20,5123810,'1993-06-15 00:00:00',4,1,11,2010,'M','S','BARREIROS','S JOSÉ','SC','124242241215111431633632572124610134147',NULL,'738',44.60,1,3,NULL),(20,5123828,'1992-01-22 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241217271131479933372114610163195',7307,'270',61.14,1,3,NULL),(20,5123836,'1987-04-24 00:00:00',2,1,12,2003,'F','N','FLORESTA','S JOSÉ','SC','124241241117572431535534445124232524187',11145,'307',56.00,1,2,1),(20,5123844,'1992-01-18 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271411468832572122610135187',6794,'1050',62.14,1,3,NULL),(20,5123852,'1992-12-15 00:00:00',4,10,12,2010,'F','S','VILA MOEMA','TUBARÃO','SC','124242241216111411479814472122610114192',NULL,'807',53.68,1,3,NULL),(20,5123860,'1991-04-21 00:00:00',2,1,11,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215372431468611572124131028182',2536,'270',74.77,1,3,NULL),(20,5123887,'1992-11-09 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241135271231536513575123610114072',NULL,'734',22.06,1,2,1),(20,5123895,'1992-03-04 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124243248215111431433436342124610128097',NULL,'944',11.58,1,3,NULL),(20,5123909,'1991-09-19 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162241415372711547632572125610164147',5483,'270',67.15,1,3,NULL),(20,5123917,'1992-09-17 00:00:00',4,10,12,2010,'F','S','OFICINAS','TUBARÃO','SC','124242241217111411345832574122610113182',NULL,'807',28.18,1,3,NULL),(20,5123933,'1991-05-08 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116372431525312345124610162145',14037,'307',46.15,1,2,1),(20,5123941,'1991-04-01 00:00:00',4,5,11,2008,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241216473431379911595122610152192',4322,'270',69.86,1,3,NULL),(20,5123950,'1992-01-30 00:00:00',2,1,11,2009,'F','N','AREIAS','S JOSÉ','SC','124242241217122431446713572114610122047',14160,'1022',46.30,1,3,NULL),(20,5123968,'1992-01-30 00:00:00',4,8,12,2009,'M','N','CAPÃO RASO','CURITIBA','PR','116161161215121431336621575124610124052',NULL,'9998',62.89,1,3,NULL),(20,5123976,'1989-07-20 00:00:00',4,1,12,2006,'M','N','VALE DO SOL','COLORADO','PR','116162161217571231339936575124610164097',7226,'9998',61.53,1,3,NULL),(20,5123984,'1992-01-12 00:00:00',4,1,12,2009,'F','N','CENTRO','APUCARANA','PR','116162161214111431439914574122610144072',NULL,'9998',0.00,1,3,NULL),(20,5123992,'1992-09-30 00:00:00',4,1,11,2009,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215111431478813572124610162122',522,'270',84.41,1,3,NULL),(20,5124000,'1992-07-26 00:00:00',4,1,11,2009,'F','N','PACAEMBU','CASCAVEL','PR','116162161215111431458612371122610137017',12654,'9998',51.05,1,3,NULL),(20,5124018,'1989-03-26 00:00:00',2,1,12,2008,'M','N','PETROPOLIS','PTO ALEGRE','RS','120202201217572431458821572124610127047',NULL,'9998',26.05,1,3,NULL),(20,5124026,'1990-04-23 00:00:00',4,8,12,2007,'F','N','FANNY','CURITIBA','PR','116113111216575431545732275124610134097',NULL,'9998',0.00,1,3,NULL),(20,5124034,'1975-04-24 00:00:00',2,5,12,1992,'M','N','SÃO FRANCISCO','CRICIÚMA','SC','224242246446231421234244445132610127052',NULL,'230',25.92,1,3,NULL),(20,5124042,'1991-01-08 00:00:00',4,1,12,2008,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124163161215472431456933575122610132077',2178,'9998',76.25,1,3,NULL),(20,5124050,'1989-04-05 00:00:00',4,1,12,2005,'M','N','ACLIMAÇÃO','S PAULO','SP','125252251217571212358811196325610167036',NULL,'9998',0.00,3,3,NULL),(20,5124069,'1992-07-07 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111411348813572124610111012',9828,'262',56.39,1,3,NULL),(20,5124077,'1992-08-05 00:00:00',4,1,12,2009,'F','N','VILA QUINTINO','MOCOCA','SP','125254251215111731451921575122610123097',NULL,'9998',0.00,1,3,NULL),(20,5124085,'1992-07-20 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111431159923592124610163182',6184,'270',64.26,1,3,NULL),(20,5124107,'1992-06-21 00:00:00',4,9,12,2009,'F','N','FÁTIMA','VACARIA','RS','120202201216111331319927285121610117182',NULL,'497',28.90,1,3,NULL),(20,5124115,'1991-04-19 00:00:00',4,1,12,2008,'M','N','ALTO DE PINHEIROS','S PAULO','SP','125254251217471431369814374114610167047',NULL,'9998',0.00,1,3,NULL),(20,5124123,'1991-11-17 00:00:00',2,1,12,2009,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241122161411423314572122610124057',NULL,'649',17.76,1,2,1),(20,5124131,'1979-12-03 00:00:00',4,10,12,2000,'M','N','ANDRINO','TUBARÃO','SC','124242247322132411326219245222132236017',NULL,'9999',45.48,1,3,NULL),(20,5124140,'1992-05-26 00:00:00',2,1,12,2009,'F','N','ARIRIÚ','PALHOÇA','SC','124241241114161431536613445124610142147',NULL,'772',16.72,1,2,1),(20,5124158,'1992-12-10 00:00:00',2,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124244241115172111557914595115610167042',NULL,'807',47.40,1,3,NULL),(20,5124166,'1991-11-28 00:00:00',4,1,11,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124112241216112431266919472124610114092',8173,'1022',58.75,1,3,NULL),(20,5124174,'1992-01-18 00:00:00',4,5,11,2009,'F','N','RIO MAINA','CRICIÚMA','SC','124243241215131431526619575124610124072',NULL,'230',0.00,1,3,NULL),(20,5124190,'1991-11-13 00:00:00',4,5,11,2009,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215112431269712574122610133012',10888,'210',56.51,1,3,NULL),(20,5124212,'1992-10-24 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124243248117151732436613572124610167051',NULL,'306',56.48,3,3,NULL),(20,5124220,'1991-05-24 00:00:00',5,8,10,2008,'F','N','ATIRADORES','JOINVILLE','SC','124162161215372411339921372122130215182',8746,'9998',58.87,1,3,NULL),(20,5124239,'1992-08-25 00:00:00',2,8,12,2009,'M','N','BOM RETIRO','JOINVILLE','SC','124202241216471431469914575114610134047',6486,'1016',63.53,1,3,NULL),(20,5124247,'1989-09-22 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216473411467933395122221346097',NULL,'270',24.20,1,3,NULL),(20,5124263,'1992-05-19 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215123431467414575114610134057',4356,'1022',69.06,1,3,NULL),(20,5124271,'1986-07-28 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANÓPOLIS','SC','124252251217251441238924315124232167091',10494,'9998',53.62,1,3,NULL),(20,5124298,'1991-05-18 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215474431469914572114610147142',1432,'270',79.15,1,3,NULL),(20,5124301,'1992-10-05 00:00:00',4,15,11,2009,'M','N','MATO ALTO','ARARANGUÁ','SC','124243241215372431248923575122610126012',6282,'970',63.58,4,3,NULL),(20,5124310,'1990-05-18 00:00:00',2,10,12,2007,'M','N','VILA NOVA','IMBITUBA','SC','124241241317213431445514445112610137147',13644,'797',47.90,1,3,NULL),(20,5124328,'1992-01-27 00:00:00',4,1,11,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216112731346921591114610163142',7761,'270',61.16,1,3,NULL),(20,5124336,'1992-04-23 00:00:00',4,5,11,2009,'F','N','SANTA CATARINA','CRICIÚMA','SC','124242241215111431538733575122610163091',13516,'210',48.45,1,3,NULL),(20,5124344,'1992-11-21 00:00:00',2,5,12,2009,'F','N','RAICHASCKI','IÇARA','SC','124243244216151231444614344122610168017',11362,'349',52.70,1,3,NULL),(20,5124352,'1991-11-25 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215122431349814575122610126092',4634,'1038',69.03,1,3,NULL),(20,5124360,'1992-03-30 00:00:00',4,1,12,2009,'M','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241217371731556632176124610138032',NULL,'1075',43.54,1,3,NULL),(20,5124379,'1979-11-14 00:00:00',2,1,12,2000,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124131131111172732616344442124610117041',NULL,'9998',29.57,4,2,1),(20,5124387,'1989-11-07 00:00:00',2,1,12,2007,'M','N','JARDIM VISTA ALEGRE','MARÍLIA','SP','125251251316471431535513271224610121171',NULL,'9998',0.00,1,3,NULL),(20,5124395,'1992-03-27 00:00:00',2,1,12,2009,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124244241215121431426623571124610124057',12494,'1022',53.36,1,3,NULL),(20,5124409,'1992-09-23 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124192241215111411357614575114610133072',6225,'1022',64.50,1,3,NULL),(20,5124417,'1992-05-06 00:00:00',2,1,12,2009,'M','N','CENTRO','RANCHO QUEIMADO','SC','124241241125161411426913582222610157052',NULL,'649',25.12,1,2,1),(20,5124425,'1993-02-26 00:00:00',4,8,12,2009,'M','N','BOA VISTA','JOINVILLE','SC','124242241217271431238923572124610138012',15553,'1105',46.08,1,3,NULL),(20,5124468,'1989-12-10 00:00:00',4,1,12,2006,'F','N','LIBERDADE','S PAULO','SP','125122121215571411358828575125610164147',3536,'9998',70.77,1,3,NULL),(20,5124476,'1992-01-14 00:00:00',4,1,11,2009,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241235112431379933515124610124012',4787,'270',68.74,1,3,NULL),(20,5124484,'1981-08-16 00:00:00',4,1,12,1998,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124163161116273451117678475124221128187',10590,'9998',57.06,1,3,NULL),(20,5124492,'1991-03-07 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241216111431333311475114610124177',NULL,'1022',30.85,1,3,NULL),(20,5124506,'1990-09-17 00:00:00',4,8,12,2008,'M','N','INDUSTRIAL SUL','RIO NEGRINHO','SC','124242241216273431454912345112133262187',12551,'666',48.46,1,3,NULL),(20,5124514,'1991-09-22 00:00:00',4,8,11,2009,'M','N','ITAUM','JOINVILLE','SC','124242246217141511326629573114610137182',NULL,'1006',0.00,1,3,NULL),(20,5124522,'1992-10-02 00:00:00',4,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124242241215131731445313575122610166182',13942,'1078',47.76,1,3,NULL),(20,5124530,'1992-03-17 00:00:00',4,8,12,2009,'F','N','STA FELICIDADE','CURITIBA','PR','116162161215471311488813595124610167077',NULL,'9998',0.00,1,3,NULL),(20,5124557,'1992-01-22 00:00:00',2,7,12,2009,'F','N','COMUNIDADE','OURO','SC','124241241116371431335316176224610167147',NULL,'585',29.07,1,2,1),(20,5124565,'1989-05-02 00:00:00',2,15,12,2006,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241146131431633669245123610117067',NULL,'29',20.63,1,2,1),(20,5124573,'1990-10-11 00:00:00',2,8,12,2007,'F','N','VILA TUPI','REGISTRO','SP','125251251116571411433339195131610124097',10908,'9998',56.47,1,2,1),(20,5124581,'1993-01-18 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113431338832572122610164112',5936,'270',65.00,1,3,NULL),(20,5124590,'1991-06-06 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473751478831575124610123027',1029,'270',81.14,4,3,NULL),(20,5124603,'1992-08-29 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431457534345122610138042',NULL,'272',0.00,1,3,NULL),(20,5124611,'1991-11-14 00:00:00',4,8,11,2008,'M','N','MERCES','CURITIBA','PR','116162161212471441358632575112610164127',NULL,'9998',21.31,1,3,NULL),(20,5124620,'1992-10-23 00:00:00',2,8,12,2009,'M','N','MERCES','CURITIBA','PR','116164168415111311446831572124610112152',5251,'9998',67.21,1,3,NULL),(20,5124638,'1992-06-14 00:00:00',4,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241116151231443911575124610127042',NULL,'772',25.73,1,3,NULL),(20,5124654,'1991-11-21 00:00:00',4,1,11,2008,'M','N','CENTRO','UMUARAMA','PR','116162161216372412548831575124610166057',2458,'9998',73.98,1,3,NULL),(20,5124662,'1991-10-09 00:00:00',4,8,11,2008,'F','N','VILA AURORA','RONDONÓPOLIS','MT','125112111216371431668817575125610162097',2575,'9998',73.05,1,3,NULL),(20,5124697,'1993-03-18 00:00:00',4,1,12,2010,'F','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111732368614575122610137146',NULL,'262',49.98,1,3,NULL),(20,5124700,'1991-04-08 00:00:00',4,1,11,2008,'M','N','CENTRO','PALHOÇA','SC','124242241217273431478912575112610167042',2491,'989',74.19,1,3,NULL),(20,5124719,'1990-12-17 00:00:00',4,1,11,2008,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125112251217471441466614345125610126047',3535,'9998',71.04,1,3,NULL),(20,5124727,'1993-05-22 00:00:00',4,2,12,2010,'M','S','ESCOLA AGRICOLA','BLUMENAU','SC','124242241212111431358919595124610117147',NULL,'909',29.05,1,3,NULL),(20,5124735,'1991-02-13 00:00:00',4,1,12,2008,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241215272431468819575112610134142',9662,'724',58.80,1,3,NULL),(20,5124743,'1993-07-27 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215151432558632574122610131127',NULL,'270',53.66,3,3,NULL),(20,5124751,'1993-02-27 00:00:00',4,15,12,2009,'F','N','CENTRO','SOMBRIO','SC','124242241217121431469933475122610167057',1229,'970',79.76,1,3,NULL),(20,5124760,'1992-06-17 00:00:00',4,1,11,2009,'F','N','CABRAL','CURITIBA','PR','110102101217111511438832592122610116015',NULL,'9998',0.00,1,3,NULL),(20,5124778,'1993-01-27 00:00:00',2,15,12,2010,'F','S','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242248215111732439611135122610134012',NULL,'970',48.02,1,3,NULL),(20,5124786,'1992-07-24 00:00:00',2,17,12,2009,'M','N','JARDIM CATEDRAL','MARINGÁ','PR','116162161217371431456632572122610117052',2069,'9998',75.61,4,3,NULL),(20,5124794,'1991-09-23 00:00:00',4,3,11,2008,'M','N','CENTRO','CAMBÉ','PR','116162161215361431488834575122610147051',1207,'9998',79.60,1,3,NULL),(20,5124808,'1992-04-11 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431438639575122610161182',9329,'270',56.84,1,3,NULL),(20,5124816,'1981-04-16 00:00:00',2,1,12,1999,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120242241232575431336519395122331227187',900,'262',81.88,1,3,NULL),(20,5124824,'1991-09-10 00:00:00',4,4,12,2008,'M','N','JARDIM ITÚ SABARÁ','PTO ALEGRE','RS','120244241217272441656923571124610146162',NULL,'168',42.66,1,3,NULL),(20,5124832,'1991-05-07 00:00:00',4,1,12,2008,'M','N','MARIA AP PEDROSSIAN','CPO GRANDE','MS','112122121217571431246723375112610164192',6317,'9998',62.95,1,3,NULL),(20,5124840,'1992-01-20 00:00:00',2,5,10,2009,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241215111431557811175112610134182',13366,'226',47.54,1,3,NULL),(20,5124859,'1992-06-26 00:00:00',4,1,11,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161216121232437614572114610168052',9286,'9998',57.41,1,3,NULL),(20,5124875,'1992-03-13 00:00:00',2,4,12,2009,'M','N','CENTRO','SORRISO','MT','111113111217111432446821285115610167052',NULL,'9998',31.29,1,3,NULL),(20,5124883,'1993-02-17 00:00:00',4,8,12,2009,'M','N','IRIRIÚ','JOINVILLE','SC','124212241115271731446719575125610128097',11660,'469',50.92,1,3,NULL),(20,5124891,'1991-11-27 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241115111112415611275124610123017',NULL,'9998',0.00,1,3,NULL),(20,5124905,'1983-01-30 00:00:00',4,1,6,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224243241147131731623374146124610132193',NULL,'9999',29.39,1,3,NULL),(20,5124913,'1992-11-18 00:00:00',4,1,12,2009,'M','N','VILA ESTRELA','PNT GROSSA','PR','116162161217111431368832572112610164042',NULL,'9998',30.17,1,3,NULL),(20,5124921,'1992-04-30 00:00:00',4,1,11,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242241215111231448833576114610127087',12091,'1050',54.19,1,3,NULL),(20,5124930,'1992-08-28 00:00:00',4,1,12,2009,'F','N','JARDIM GERMÂNIA','S PAULO','SP','125252251217111731488614372112610148072',4364,'9998',68.55,1,3,NULL),(20,5124972,'1989-08-09 00:00:00',2,1,12,2006,'F','N','AREIAS','S JOSÉ','SC','124241241115372431246879295122610128141',13954,'733',50.48,1,2,1),(20,5124980,'1993-01-07 00:00:00',2,4,12,2009,'F','N','CENTRO','PELOTAS','RS','120201201116371431433315575125610167057',NULL,'9998',32.81,1,2,1),(20,5124999,'1992-02-29 00:00:00',2,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124241241111272312478812273122610164012',8829,'169',58.82,1,2,1),(20,5125006,'1993-05-18 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111732576612571112610163047',NULL,'1118',30.05,1,3,NULL),(20,5125014,'1991-03-03 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115132431323221215114610162142',10622,'307',51.97,1,2,1),(20,5125022,'1992-11-07 00:00:00',4,1,12,2010,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111711478912474122610164142',NULL,'270',50.09,1,3,NULL),(20,5125030,'1992-05-19 00:00:00',4,1,12,2009,'F','N','UNIVERSITARIO','VIDEIRA','SC','124241241112161431324434442122610162052',NULL,'831',25.75,4,2,1),(20,5125049,'1988-05-08 00:00:00',2,3,12,2005,'M','N','CENTRO','SOLEDADE','RS','120052051215371431447622471124141417052',NULL,'9998',0.00,1,3,NULL),(20,5125057,'1992-02-25 00:00:00',2,7,11,2009,'M','N','PARQUE JARDIN OURO','OURO','SC','124244241215271532448914445124610127042',12784,'446',49.75,1,3,NULL),(20,5125073,'1991-05-19 00:00:00',2,1,12,2008,'M','N','ARIRIU','PALHOÇA','SC','124244241215372431454433386125610138182',NULL,'989',17.48,1,3,NULL),(20,5125081,'1992-05-05 00:00:00',2,1,11,2009,'F','N','SÃO JOSÉ','S JOSÉ','SC','124242241215122441468923572122610141142',7141,'723',60.59,1,3,NULL),(20,5125090,'1984-12-17 00:00:00',2,1,10,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224241247126271431233354391324610144097',NULL,'9999',29.09,1,3,NULL),(20,5125103,'1989-05-13 00:00:00',4,1,11,2006,'F','N','JD LUCIARA','GUARULHOS','SP','125252258217571711448813575125610123017',4588,'9998',67.83,1,3,NULL),(20,5125120,'1992-06-26 00:00:00',4,17,12,2009,'F','N','CENTRO','ITAIÓPOLIS','SC','124241241116371431438713495122610126012',NULL,'387',38.35,1,3,NULL),(20,5125138,'1991-06-09 00:00:00',2,10,11,2008,'F','N','HUMAITÁ','TUBARÃO','SC','124242241217131751226624375122610168097',15569,'807',46.00,1,3,NULL),(20,5125154,'1992-10-19 00:00:00',2,16,12,2009,'F','N','FLORESTA','VIDEIRA','SC','124241241117131431323314245125610127012',NULL,'831',20.78,1,2,1),(20,5125170,'1991-01-14 00:00:00',4,8,12,2008,'M','N','CENTRO','S BENTO SUL','SC','124242241215471431559814592124610124112',NULL,'1178',0.00,1,3,NULL),(20,5125189,'1992-08-27 00:00:00',4,5,12,2009,'M','N','COQUEIRAL','CASCAVEL','PR','116161161117471431559513395125610114042',9589,'9998',57.70,2,1,1),(20,5125197,'1992-12-21 00:00:00',2,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124244241215111431457812275124610167045',NULL,'1169',26.25,1,3,NULL),(20,5125200,'1992-01-22 00:00:00',2,1,12,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124203241115271231547711575114610162192',NULL,'288',17.88,1,3,NULL),(20,5125219,'1991-02-26 00:00:00',2,5,12,2009,'M','N','CENTRO','BOM JD SERRA','SC','124241242124131231436923375124610127172',NULL,'903',0.00,1,2,1),(20,5125227,'1986-10-30 00:00:00',2,1,12,2004,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241116275711336413445134122314147',NULL,'307',28.98,2,1,2),(20,5125235,'1993-06-24 00:00:00',4,6,12,2009,'F','N','FAZENDA','ITAJAÍ','SC','124243241215131431556614472122610133147',12042,'389',51.21,1,3,NULL),(20,5125243,'1991-05-20 00:00:00',4,1,12,2007,'F','N','BATEL','CURITIBA','PR','116203161117572731547613575125610136187',NULL,'9998',0.00,4,3,NULL),(20,5125260,'1990-06-29 00:00:00',4,1,12,2007,'F','N','BOA ESPERANÇA','CUIABÁ','MT','111112111217571431489931572122610136032',835,'9998',81.27,1,3,NULL),(20,5125278,'1992-07-17 00:00:00',2,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124241241115131731525539571124610168142',15554,'307',46.08,1,2,1),(20,5125286,'1989-10-19 00:00:00',4,1,10,2008,'M','N','VILA VELHA','ROSEIRA','SP','125254257346371411334812175122610167097',NULL,'9998',0.00,4,3,NULL),(20,5125294,'1990-05-11 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241136142421547731245123233227051',10049,'307',55.56,4,3,NULL),(20,5125316,'1988-09-08 00:00:00',4,1,6,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124252251447371411226614485114610162187',7686,'9998',59.70,1,3,NULL),(20,5125359,'1992-03-01 00:00:00',2,1,12,2009,'M','N','USINA','ANTÔNIO CARLOS','SC','124241241111371431523514575124610112192',4398,'21',68.61,1,2,1),(20,5125367,'1991-06-15 00:00:00',2,8,11,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116244161231472431363833575125610166072',NULL,'9998',0.00,1,3,NULL),(20,5125375,'1991-01-27 00:00:00',2,5,11,2008,'F','N','RIO MAINA','CRICIÚMA','SC','124241241216112431543412125122610114193',7807,'226',62.20,1,3,NULL),(20,5125405,'1992-04-12 00:00:00',4,1,11,2009,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215113431677611572114610127045',NULL,'270',0.00,4,3,NULL),(20,5125413,'1993-07-12 00:00:00',4,1,11,2010,'M','S','RIO GRANDE','PALHOÇA','SC','124244248211131511436613575122610117052',NULL,'1075',24.24,1,3,NULL),(20,5125421,'1992-11-01 00:00:00',4,4,12,2009,'F','N','INTERIOR','S JOSÉ CEDRO','SC','124241241116161431356312575122610126052',6564,'9997',62.42,1,2,1),(20,5125430,'1971-04-22 00:00:00',4,1,11,1987,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','224202201211152421357844445134221767117',1990,'9998',74.23,1,3,NULL),(20,5125448,'1992-07-19 00:00:00',2,1,12,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241241215121431356724242114510117061',15996,'1022',44.10,1,3,NULL),(20,5125456,'1992-10-10 00:00:00',4,7,11,2009,'M','N','CENTRO','JOAÇABA','SC','124242241216271431345614245122610164072',12689,'446',52.95,1,3,NULL),(20,5125464,'1991-09-04 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241217372431433411575112610126077',9249,'1011',57.29,1,3,NULL),(20,5125472,'1992-04-08 00:00:00',2,4,12,2009,'M','N','CENTRO','S BERNARDINO','SC','124241241137161421444933572225610127062',NULL,'701',0.00,1,2,1),(20,5125480,'1992-02-21 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241112161431467824575124610123017',14288,'271',49.75,1,3,NULL),(20,5125499,'1992-02-28 00:00:00',2,1,11,2009,'F','N','CENTRO','EXTREMA','MG','113132251215121741549532571124610167047',12687,'9998',49.10,1,3,NULL),(20,5125502,'1992-04-18 00:00:00',4,1,11,2009,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215272431439832475122610127091',11365,'1048',54.15,1,3,NULL),(20,5125510,'1992-11-05 00:00:00',2,4,12,2008,'F','N','CENTRO','ABELARDO LUZ','SC','124245241316133441448831145235610124182',NULL,'4',0.00,1,3,NULL),(20,5125529,'1992-04-05 00:00:00',4,1,7,2009,'M','N','ASA NORTE','BRASÍLIA','DF','107074281416371431469813575124610122092',NULL,'9998',0.00,1,3,NULL),(20,5125545,'1992-07-10 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112411359931572124610116182',6437,'1022',63.31,1,3,NULL),(20,5125553,'1980-12-16 00:00:00',2,1,12,1998,'M','N','VILA INDIANA','TABOÃO SERRA','SP','125253253437141421349314185124141427047',NULL,'9998',0.00,4,3,NULL),(20,5125561,'1991-05-28 00:00:00',4,1,11,2008,'M','N','BAIRRO AREIAS','S JOSÉ','SC','116162161217572431448613572112141452182',3257,'9998',71.58,1,3,NULL),(20,5125570,'1982-11-07 00:00:00',2,1,12,2000,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116375421436529395132610127042',NULL,'307',29.38,1,3,NULL),(20,5125588,'1992-09-07 00:00:00',2,15,12,2009,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241241416131132236624275125610123197',NULL,'29',28.15,1,3,NULL),(20,5125596,'1992-12-28 00:00:00',2,4,12,2009,'F','N','PIONEIROS','ITÁ','SC','124241241125141432537932394125610154127',NULL,'383',0.00,1,2,1),(20,5125600,'1991-12-29 00:00:00',4,2,2,2009,'M','N','QUINTINO','TIMBÓ','SC','124241288147271431454312345124610124192',6744,'9998',63.46,1,3,NULL),(20,5125618,'1988-10-04 00:00:00',4,1,12,2006,'M','N','BELA VISTA II','S JOSÉ','SC','624242248217143421656633445122133262075',NULL,'738',23.12,2,1,2),(20,5125626,'1992-06-11 00:00:00',5,2,12,2009,'F','N','BAIXO SALTO','NOVA TRENTO','SC','124241241126141431534434242124610124147',14520,'574',46.07,1,2,1),(20,5125634,'1992-04-30 00:00:00',4,7,11,2009,'F','N','CENTRO','VIDEIRA','SC','124243247215112431586632574122610133072',4952,'969',68.46,1,3,NULL),(20,5125669,'1991-02-16 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242246216472431436313245124610164181',NULL,'1075',27.73,1,3,NULL),(20,5125677,'1991-05-23 00:00:00',4,1,12,2008,'M','N','ROÇADO','S JOSÉ','SC','124103241113132711626329494124610163097',NULL,'733',24.72,2,1,2),(20,5125685,'1992-01-23 00:00:00',2,1,11,2008,'M','N','N SR DO ROSÁRIO','S JOSÉ','SC','124241241112231712434521315121610117142',NULL,'257',21.10,1,3,NULL),(20,5125693,'1992-10-26 00:00:00',4,9,12,2009,'M','N','CINQUENTENÁRIO','CAXIAS SUL','RS','120202201217271431358732571224610167182',1173,'9998',80.15,1,3,NULL),(20,5125707,'1992-01-07 00:00:00',4,4,12,2009,'M','N','CENTRO','CONCÓRDIA','SC','124201241117151431466614372221333228187',NULL,'192',19.71,1,2,1),(20,5125715,'1991-01-30 00:00:00',4,1,12,2009,'M','N','XAXIM','CURITIBA','PR','116163163217271411689932215134610124052',NULL,'9998',0.00,1,3,NULL),(20,5125723,'1989-10-03 00:00:00',4,8,12,2007,'F','N','CIDADE BRASIL','GUARULHOS','SP','125251251116571441438629575124610134097',NULL,'9998',NULL,1,3,NULL),(20,5125731,'1994-04-09 00:00:00',4,2,11,2010,'M','S','GARCIA','BLUMENAU','SC','124243241217111311548813276122610117092',NULL,'855',40.71,1,3,NULL),(20,5125740,'1990-08-03 00:00:00',2,6,12,2007,'F','N','JD NOVO HORIZONTE','CARAMBEÍ','PR','116161165236271411449814375124143262092',14966,'9998',47.99,1,3,NULL),(20,5125758,'1991-08-20 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241211122431446931575112610126145',7286,'1022',61.04,1,3,NULL),(20,5125766,'1990-10-25 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215471721256624475114610134115',6612,'269',62.92,1,3,NULL),(20,5125774,'1993-08-15 00:00:00',4,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124243241117131711626311114124610167016',NULL,'733',27.41,2,1,2),(20,5125782,'1992-01-05 00:00:00',2,1,12,2009,'M','N','TRINTA RÉIS','NOVA TRENTO','SC','124241241135161431444319295121610132052',NULL,'574',40.58,1,2,1),(20,5125790,'1987-05-09 00:00:00',2,1,12,2004,'F','N','JARDM EUROPA','BIGUAÇU','SC','124241244117142421445619432224610136142',NULL,'65',24.39,1,2,1),(20,5125820,'1992-02-04 00:00:00',4,1,12,2009,'F','N','BACACHERI','CURITIBA','PR','116163161117471431225611571124610144142',6602,'9998',61.88,1,3,NULL),(20,5125839,'1989-11-28 00:00:00',4,1,7,2007,'F','N','ASA NORTE','BRASÍLIA','DF','107073071116573431488833572122610142092',150,'9998',89.06,1,3,NULL),(20,5125847,'1991-08-18 00:00:00',4,8,12,2008,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241137371431335624242124610122117',10874,'430',53.93,1,2,1),(20,5125855,'1968-10-12 00:00:00',4,1,12,2009,'M','N','FORTALEZA DA BARRA','FLORIANÓPOLIS','SC','124251247112131411123344242343610131112',NULL,'9999',26.20,4,2,1),(20,5125863,'1989-10-07 00:00:00',4,1,12,2006,'F','N','CAPAO DA IMBUIA','CURITIBA','PR','116162161216471431359831571124610154182',1478,'9998',78.95,1,3,NULL),(20,5125880,'1992-06-18 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215111431239863572124610123057',13505,'1022',51.36,1,3,NULL),(20,5125898,'1991-03-13 00:00:00',4,8,12,2008,'F','N','VILA ITAJUBA','FOZ IGUAÇU','PR','116162161215411731555512595112141063182',NULL,'9998',0.00,1,3,NULL),(20,5125901,'1992-06-09 00:00:00',4,2,11,2009,'F','N','SETE DE SETEMBRO','GASPAR','SC','124242241215111431456834572122610133072',NULL,'855',32.39,4,3,NULL),(20,5125910,'1991-07-15 00:00:00',3,3,12,2009,'M','N','CENTRO','CURITIBA','PR','116284161216121232567834475122610147047',7354,'9998',63.13,1,3,NULL),(20,5125928,'1990-11-29 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202241211573531469813474114610165147',6704,'988',64.10,4,3,NULL),(20,5125936,'1985-09-21 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124241245116274451334429485114610162072',NULL,'734',27.23,1,3,NULL),(20,5125952,'1992-05-31 00:00:00',4,1,12,2009,'F','N','BUTANTÃ','S PAULO','SP','125243251347211431436813375124610164077',NULL,'9998',28.98,1,3,NULL),(20,5125987,'1988-02-03 00:00:00',4,8,12,2005,'F','N','AMÉRICA','JOINVILLE','SC','124243241317371711225411142334610123057',15036,'478',47.76,1,3,NULL),(20,5126002,'1991-12-16 00:00:00',4,1,11,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112451468852575124610167012',347,'270',86.04,1,3,NULL),(20,5126010,'1975-09-27 00:00:00',2,8,12,1994,'M','N','BOA VISTA','CURITIBA','PR','116161161115471451563519411122343228142',3671,'9998',70.17,1,3,NULL),(20,5126037,'1992-06-19 00:00:00',4,1,11,2009,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124242241215112411479613175124610168183',7269,'270',62.21,1,3,NULL),(20,5126053,'1991-10-07 00:00:00',4,5,11,2008,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215472431438812381124230262112',4730,'226',69.03,1,3,NULL),(20,5126061,'1992-12-23 00:00:00',4,9,12,2009,'M','N','CENTRO','BOM REPOUSO','MG','113132131216111232436612575122610132097',2594,'9998',72.54,1,3,NULL),(20,5126088,'1989-08-19 00:00:00',2,1,12,2006,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241131472421453417345124610128112',14292,'298',48.31,1,2,1),(20,5126100,'1992-04-10 00:00:00',4,8,12,2008,'M','N','CENTRO','GLÓRIA DOURADOS','MS','112123121216571431489933575112610134082',3572,'9998',70.54,1,3,NULL),(20,5126126,'1969-08-30 00:00:00',3,1,12,1987,'M','N','AREIAS','S JOSÉ','SC','224241241216154451471343435122121166093',7187,'117',63.46,1,3,NULL),(20,5126134,'1991-01-29 00:00:00',2,8,12,2008,'M','N','CENTRO','IVAÍ','PR','116163161336471431368439574112610167177',13940,'9998',49.08,4,3,NULL),(20,5126142,'1993-03-22 00:00:00',2,1,11,2010,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241315111421448313595124610138142',NULL,'271',28.45,1,3,NULL),(20,5126169,'1991-03-04 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124243241125372311365313571124610162182',NULL,'290',26.82,4,3,NULL),(20,5126193,'1987-12-12 00:00:00',2,8,12,2006,'M','N','AVENTUREIRO','JOINVILLE','SC','124241246212152431456414395123231737051',14803,'1105',48.47,1,3,NULL),(20,5126215,'1991-04-03 00:00:00',4,1,11,2009,'M','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124242241215112431479823595122610168042',6647,'270',62.45,1,3,NULL),(20,5126223,'1992-04-03 00:00:00',4,8,12,2009,'F','N','JARDIM ELVIRA ZANELA','PARIQUERA-AÇU','SP','125252251215371531368833572122610134147',NULL,'9998',0.00,1,3,NULL),(20,5126240,'1986-07-01 00:00:00',4,8,12,2003,'M','N','JD IPANEMA','MARINGÁ','PR','116162161211571411269612325122140745046',10770,'9998',56.73,3,3,NULL),(20,5126258,'1993-05-12 00:00:00',1,8,12,2010,'M','S','AMÉRICA','JOINVILLE','SC','124242241217111431369814445122610164142',NULL,'457',55.01,1,3,NULL),(20,5126266,'1992-01-20 00:00:00',4,1,12,2009,'M','N','JARDIM AMÉRICA','JAÚ','SP','125254251226111231449611285123610123113',NULL,'9998',19.45,1,3,NULL),(20,5126274,'1992-07-30 00:00:00',2,10,12,2009,'F','N','ENCRUZO','JAGUARUNA','SC','124241241215311711453412575122610126077',NULL,'1034',0.00,1,3,NULL),(20,5126282,'1991-12-02 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241316372411459513575114610134142',4329,'1036',69.81,1,3,NULL),(20,5126290,'1992-08-11 00:00:00',2,4,12,2009,'F','N','APARECIDA','ABELARDO LUZ','SC','124241241142131431336619374122610127057',NULL,'4',12.24,1,2,1),(20,5126304,'1991-10-31 00:00:00',4,8,12,2009,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124242241115111431578312474122610163142',3495,'1063',71.36,1,3,NULL),(20,5126312,'1992-02-09 00:00:00',2,1,12,2009,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116161163117271411346812285125610164112',3995,'9998',70.22,4,3,NULL),(20,5126320,'1993-04-02 00:00:00',4,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215121431553621412114610124147',11095,'270',52.74,1,3,NULL),(20,5126339,'1987-06-05 00:00:00',4,1,12,2004,'M','N','BOM FIM','PTO ALEGRE','RS','120203208316533111546823475115610166177',NULL,'9998',0.00,1,3,NULL),(20,5126347,'1992-11-10 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111432489931572122610117012',NULL,'262',61.40,1,3,NULL),(20,5126355,'1993-03-22 00:00:00',2,1,12,2009,'F','N','PIRATINI','STA CRUZ SUL','RS','120202201216471231656812575122610164182',NULL,'9998',0.00,1,3,NULL),(20,5126363,'1992-04-15 00:00:00',4,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241147372411326924272324610133182',NULL,'322',27.64,1,2,1),(20,5126371,'1991-03-17 00:00:00',4,8,12,2008,'M','N','CENTRO','ASSIS CHATEAUBRIAND','PR','116161161216472431548832392111610167042',5266,'9998',67.65,1,3,NULL),(20,5126380,'1989-02-16 00:00:00',4,1,5,2007,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242247416151451568812575112610161197',1106,'9999',80.71,1,3,NULL),(20,5126398,'1992-06-10 00:00:00',2,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124242241215131431536634575124610162147',NULL,'1119',29.09,2,1,2),(20,5126436,'1992-04-25 00:00:00',2,1,12,2009,'F','N','AREIAS DE CIMA','GOV CELSO RAMOS','SC','124241241115371732313319576114610134057',NULL,'64',24.30,1,2,1),(20,5126452,'1990-11-22 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242247317131431446624482324610146142',14515,'9999',45.29,4,3,NULL),(20,5126460,'1992-08-27 00:00:00',4,4,12,2009,'F','N','CENTRO','S MIGUEL OESTE','SC','124241241115371431436613485122610167177',NULL,'753',29.22,1,2,1),(20,5126495,'1992-10-23 00:00:00',2,1,11,2009,'M','N','SÃO JOSÉ','S JOSÉ','SC','124243241115271731426611395124610114052',NULL,'733',27.03,1,3,NULL),(20,5126509,'1992-04-30 00:00:00',2,17,12,2009,'F','N','FAXINAL','MAFRA','SC','124241241116271431547923575122610167017',NULL,'542',41.51,1,2,1),(20,5126517,'1989-01-04 00:00:00',2,1,12,2007,'M','N','ZONA DOIS','MARINGÁ','PR','116163161415572431438831471111610167057',11481,'9998',51.17,1,3,NULL),(20,5126525,'1990-03-29 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124112241215273411468811195112133267051',613,'262',83.79,1,3,NULL),(20,5126541,'1991-04-26 00:00:00',4,1,12,2008,'M','N','COLINA SORRISO','CAXIAS SUL','RS','120202201214371731458831345124610117042',11780,'9998',50.60,1,3,NULL),(20,5126550,'1992-07-07 00:00:00',4,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115271431448319592124610132142',14735,'267',45.48,1,2,1),(20,5126568,'1991-09-19 00:00:00',2,5,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124241241116172431538511595122610148097',15442,'209',46.48,1,2,1),(20,5126576,'1993-08-23 00:00:00',4,1,11,2010,'F','S','SERRARIA','S JOSÉ','SC','124241241225111431421329574344610144112',NULL,'262',28.12,1,3,NULL),(20,5126584,'1992-06-03 00:00:00',4,6,12,2009,'F','N','CORDEIROS','ITAJAÍ','SC','124242241215131431228722195124610138187',NULL,'1057',27.20,1,3,NULL),(20,5126592,'1991-10-24 00:00:00',2,4,12,2009,'M','N','CENTRO','STA TEREZINHA ITAIPU','PR','116161161116331431333613255124610137047',NULL,'9999',0.00,1,2,1),(20,5126614,'1992-11-24 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431238821571122610164077',3413,'262',71.53,1,3,NULL),(20,5126622,'1992-04-12 00:00:00',4,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124242241215111431338729575114610124017',15863,'1118',44.76,1,3,NULL),(20,5126630,'1992-04-21 00:00:00',4,2,12,2009,'F','N','COOPAGRO','TOLEDO','PR','116161161116271441323823572122610167142',NULL,'9998',26.55,4,2,1),(20,5126649,'1992-12-11 00:00:00',2,6,12,2009,'F','N','DOM JOAQUIM','BRUSQUE','SC','124241241146271731543338145122610164177',14009,'114',47.88,1,2,1),(20,5126657,'1992-03-17 00:00:00',4,1,12,2009,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124244241435131431438833585122610117057',15665,'1075',45.64,1,3,NULL),(20,5126665,'1992-06-29 00:00:00',2,10,11,2009,'F','N','CENTRO','ARMAZÉM','SC','124241241215111731473512472112610136142',15456,'807',46.45,1,3,NULL),(20,5126673,'1991-10-01 00:00:00',4,1,11,2008,'F','N','BELA VISTA I','S JOSÉ','SC','124242241216372431447412375114610144012',6181,'738',65.61,1,3,NULL),(20,5126681,'1992-05-15 00:00:00',4,10,12,2009,'F','N','MADRE TEREZA','S LUDGERO','SC','124241241116371431633924285122610136072',13269,'748',47.92,1,3,NULL),(20,5126690,'1988-10-24 00:00:00',4,1,12,2006,'F','N','BARÃO GERALDO','CAMPINAS','SP','125254254117571431357923572122610162197',9738,'9998',58.67,1,3,NULL),(20,5126703,'1990-11-01 00:00:00',2,10,12,2009,'F','N','SANTA AUGUSTA','BRAÇO NORTE','SC','124241242116132441438923275124610126177',9418,'690',56.23,1,2,1),(20,5126711,'1992-12-10 00:00:00',3,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111731446813332124610136097',8116,'270',61.62,1,3,NULL),(20,5126720,'1991-11-15 00:00:00',2,1,11,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111431576924395124610167113',NULL,'1022',0.00,1,3,NULL),(20,5126738,'1990-10-11 00:00:00',2,5,12,2008,'F','N','CENTRO','TORRES','RS','120201201215472431438313385124610164147',12526,'9998',49.93,1,3,NULL),(20,5126746,'1991-04-10 00:00:00',2,1,6,2009,'F','N','DANIELA','FLORIANÓPOLIS','SC','124202201216271411458833574314610127143',2229,'9998',75.68,1,3,NULL),(20,5126762,'1984-01-03 00:00:00',4,1,10,2002,'M','N','ENSEADA DO BRITO','PALHOÇA','SC','124241246117141421426414435122610167067',10836,'306',56.61,1,2,1),(20,5126770,'1991-06-14 00:00:00',4,1,12,2008,'M','N','JARDIM ALTO TARUMA','PINHAIS','PR','116164161216571212468613375112610132117',438,'9998',84.49,4,3,NULL),(20,5126789,'1992-08-09 00:00:00',2,1,12,2009,'F','N','ARIRIÚ','PALHOÇA','SC','124241241115141431526331245124610131147',NULL,'772',23.41,1,2,1),(20,5126797,'1992-03-13 00:00:00',2,1,12,2009,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241115371731446314572124610127142',NULL,'307',47.72,1,2,1),(20,5126800,'1990-03-25 00:00:00',3,1,11,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215373431446813335122610134167',4032,'1022',70.77,1,3,NULL),(20,5126819,'1992-10-15 00:00:00',2,6,12,2009,'F','N','DOM JOAQUIM','BRUSQUE','SC','124241241146141731453314145122610165147',NULL,'114',26.27,1,2,1),(20,5126827,'1991-01-25 00:00:00',4,1,12,2008,'M','N','EUGÊNIO SCHNEIDER','RIO SUL','SC','124242241215472431366913575122610137067',2714,'654',73.67,1,3,NULL),(20,5126843,'1987-10-17 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244247227271751668814375124610168077',NULL,'9999',28.39,1,3,NULL),(20,5126860,'1990-06-16 00:00:00',4,16,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124241241116373431226923595125610137017',NULL,'239',40.82,4,2,1),(20,5126878,'1992-03-04 00:00:00',2,9,12,2009,'F','N','BREMER','RIO SUL','SC','124242241215111441337639575122610141042',6494,'991',61.85,1,3,NULL),(20,5126886,'1988-05-27 00:00:00',4,1,12,2005,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217274752438937576123120766172',671,'262',83.40,1,3,NULL),(20,5126894,'1991-07-08 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241136132431626324345224610125182',NULL,'281',30.17,1,2,1),(20,5126908,'1993-02-02 00:00:00',4,1,12,2009,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117271431444311232134610137052',12010,'772',51.36,1,2,1),(20,5126924,'1993-05-19 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431458832575112610136132',NULL,'1022',0.00,1,3,NULL),(20,5126932,'1991-07-01 00:00:00',2,4,12,2009,'F','N','SÃO VICENTE','PATO BRANCO','PR','116161166115471441337914572124610143143',11059,'9998',52.34,1,3,NULL),(20,5126940,'1993-12-21 00:00:00',2,1,12,2010,'F','S','CENTRO','ARROIO TRINTA','SC','124241241117131431324414271325610168057',NULL,'853',24.83,1,3,NULL),(20,5126959,'1992-04-26 00:00:00',2,1,12,2009,'F','N','JARDIM EUCALÍPTUS','PALHOÇA','SC','124241241135341431323619395124610121142',16139,'592',43.16,1,2,1),(20,5126975,'1991-10-24 00:00:00',4,1,12,2009,'M','N','CENTRO','CAMPINAS','SP','125252253217111431379923591122610122042',6355,'9998',62.84,1,3,NULL),(20,5126983,'1992-03-27 00:00:00',4,1,8,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241415371431468812392112610164187',11920,'262',50.69,1,3,NULL),(20,5127009,'1993-06-24 00:00:00',4,1,11,2010,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431479933572122610133142',NULL,'270',54.77,1,3,NULL),(20,5127025,'1990-07-10 00:00:00',4,1,12,2008,'F','N','JD PAULISTA','RIBEIRÃO PRETO','SP','125252251215471411458831415122610127077',3103,'9998',72.59,1,3,NULL),(20,5127041,'1990-09-10 00:00:00',2,1,12,2007,'F','N','NOVO CENTRO','MARINGÁ','PR','116161161116571411435816365125610122182',NULL,'9998',36.58,1,2,1),(20,5127050,'1992-09-22 00:00:00',2,8,12,2009,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241216111431336614595124610125142',NULL,'1105',29.50,1,3,NULL),(20,5127068,'1987-06-30 00:00:00',4,8,12,2004,'F','N','BARREIRINHA','CURITIBA','PR','116162161215571431569831571124141363057',NULL,'9998',0.00,1,3,NULL),(20,5127084,'1992-10-18 00:00:00',4,2,12,2009,'F','N','ASILO','BLUMENAU','SC','124244241215111411468832575122610122122',NULL,'87',25.07,1,3,NULL),(20,5127092,'1993-06-24 00:00:00',4,4,12,2009,'F','N','INTERIOR','ROMELÂNDIA','SC','124241241147161431527835345124610135057',NULL,'692',28.07,1,3,NULL),(20,5127106,'1991-07-18 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431456833372124120633152',1844,'1022',77.44,1,3,NULL),(20,5127114,'1985-09-19 00:00:00',2,8,12,2003,'M','N','CAPÃO DA IMBUIA','CURITIBA','PR','116164161316571431368933345132141365147',NULL,'9998',0.00,1,3,NULL),(20,5127122,'1981-04-12 00:00:00',2,1,8,2000,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224111111126141421323354441124140614143',NULL,'9998',0.00,4,2,1),(20,5127130,'1992-04-14 00:00:00',4,1,11,2009,'M','N','CENTRO','S JOSÉ','SC','124241241215111431479613575122610122093',NULL,'723',0.00,1,3,NULL),(20,5127149,'1991-04-28 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248117372431436633382115610136147',NULL,'307',23.73,1,2,1),(20,5127157,'1992-03-31 00:00:00',4,17,12,2009,'M','N','AGUÁ VERDE','CURITIBA','PR','116162161215111431468831591224610134122',NULL,'9998',0.00,1,3,NULL),(20,5127173,'1992-04-15 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241115361432333614275114610138197',15797,'734',41.63,1,2,1),(20,5127181,'1989-03-06 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241417472431468919596124610134032',5269,'1022',65.69,1,3,NULL),(20,5127190,'1989-06-26 00:00:00',2,1,12,2007,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241116272421327611392124610144077',NULL,'257',28.93,1,2,1),(20,5127203,'1982-03-07 00:00:00',4,1,12,1998,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124244241216272431458621445122221462092',1344,'269',79.54,1,3,NULL),(20,5127220,'1992-03-13 00:00:00',4,8,12,2009,'F','N','ENSEADA','S FRANCISCO SUL','SC','124241241216161431457614572124610114122',NULL,'1105',24.30,1,3,NULL),(20,5127246,'1992-08-25 00:00:00',4,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241117272431434614345124610137142',10205,'21',55.94,1,2,1),(20,5127254,'1992-01-02 00:00:00',4,4,12,2009,'F','N','CENTRO','IPORÃ','PR','116161161315471431436624571124610166097',4412,'9998',69.61,1,3,NULL),(20,5127262,'1991-07-31 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241125131731423134296324610126077',NULL,'736',37.73,1,2,1),(20,5127270,'1993-04-04 00:00:00',2,1,11,2010,'F','S','INGLESES','FLORIANÓPOLIS','SC','124242241215111431468619595124610138012',NULL,'270',0.00,1,3,NULL),(20,5127289,'1991-10-28 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241216272711347811595124233262057',10270,'87',57.66,1,3,NULL),(20,5127297,'1991-02-10 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472431329611592112610132077',12064,'270',52.70,1,3,NULL),(20,5127319,'1991-04-16 00:00:00',4,1,12,2008,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124242241217372142553311141124233224047',5534,'1074',67.03,1,3,NULL),(20,5127327,'1991-02-28 00:00:00',4,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241131272431627614345124610164052',NULL,'464',27.43,1,2,1),(20,5127335,'1992-11-17 00:00:00',4,4,11,2009,'M','N','NATUREZA','ITÁ','SC','124241241315111732468912572325610144067',5034,'1000',65.64,1,3,NULL),(20,5127343,'1992-08-15 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','624244241115151731367611395122610167072',NULL,'405',0.00,1,3,NULL),(20,5127360,'1992-02-25 00:00:00',4,4,11,2009,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124242241215372431559952375122610122072',12772,'185',50.45,1,3,NULL),(20,5127386,'1992-04-23 00:00:00',4,1,12,2009,'F','N','PONTE DO IIMARUIM','PALHOÇA','SC','124241241115131751435314245124610112197',NULL,'592',30.06,1,2,1),(20,5127394,'1992-10-04 00:00:00',4,1,12,2009,'F','N','CENTRO','AURORA','SC','124241241145131432323324242222610128177',NULL,'40',0.00,1,2,1),(20,5127408,'1982-02-02 00:00:00',4,1,12,1999,'M','N','FORQUILHAS','S JOSÉ','SC','124241241127335421128944445132121724067',NULL,'620',36.72,1,2,1),(20,5127416,'1991-12-23 00:00:00',2,7,12,2008,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241216472431443412575122610166142',NULL,'962',27.30,1,3,NULL),(20,5127424,'1991-12-19 00:00:00',2,4,12,2008,'F','N','CENTRO','SALTO LONTRA','PR','116161161317131411636935292124610164142',NULL,'9998',0.00,1,3,NULL),(20,5127440,'1989-04-28 00:00:00',4,8,12,2006,'F','N','VILA ROSSI BORGI','CAMPINAS','SP','125251131417571451458613572324610134197',NULL,'9998',0.00,1,3,NULL),(20,5127459,'1992-09-01 00:00:00',4,8,11,2009,'M','N','SAGUAÇÚ','JOINVILLE','SC','124242241217121541489934575111610167012',12731,'457',49.93,4,3,NULL),(20,5127467,'1989-12-29 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','116163161116574431446731442122610144017',1405,'9998',78.81,4,3,NULL),(20,5127475,'1992-03-11 00:00:00',4,8,12,2009,'M','N','CRUZEIRO','RIO NEGRINHO','SC','124242241215111432345932575122610127041',NULL,'666',0.00,1,3,NULL),(20,5127483,'1991-08-27 00:00:00',4,1,12,2008,'M','N','FLORESTA','S JOSÉ','SC','124242241216272431236534275124220524043',3133,'1036',73.03,1,3,NULL),(20,5127491,'1989-12-04 00:00:00',4,1,12,2007,'M','N','VILA MACHADO','JACAREÍ','SP','125252251216471431458834275114610137042',15610,'9998',41.06,1,3,NULL),(20,5127505,'1992-07-16 00:00:00',4,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211132751468839495122610167185',14008,'883',50.38,1,3,NULL),(20,5127521,'1992-01-06 00:00:00',4,2,12,2009,'F','N','DOM JOAQUIM','BRUSQUE','SC','124244241215111431652463471122610132182',NULL,'107',34.34,1,3,NULL),(20,5127530,'1992-09-05 00:00:00',1,8,12,2009,'M','N','PIRABEIRABA','JOINVILLE','SC','124244241217111631236626362122610147041',6208,'1105',62.43,1,3,NULL),(20,5127556,'1991-04-27 00:00:00',4,1,12,2008,'F','N','VILA CAROL','SOROCABA','SP','125252251215411411348923575112610127097',NULL,'9998',0.00,1,3,NULL),(20,5127572,'1992-08-17 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431569811595122610164092',15216,'737',47.19,1,3,NULL),(20,5127580,'1985-03-10 00:00:00',4,1,11,2003,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124243241217155441353744345122222368082',12104,'882',54.16,1,3,NULL),(20,5127599,'1992-10-27 00:00:00',4,1,11,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217121531588812375122610126147',NULL,'270',26.29,1,3,NULL),(20,5127602,'1991-11-24 00:00:00',2,1,11,2009,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124241241116371231224321315224610144052',NULL,'288',27.18,1,2,1),(20,5127610,'1982-03-17 00:00:00',2,8,12,1999,'M','N','REBOUÇAS','CURITIBA','PR','116221221135511411423334292315610166067',6732,'9998',63.35,1,2,1),(20,5127629,'1992-08-15 00:00:00',4,4,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124241241114271431436832571122610145147',NULL,'192',25.79,1,2,1),(20,5127637,'1984-03-18 00:00:00',2,1,11,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215372731537669285124333227067',NULL,'525',25.16,1,3,NULL),(20,5127645,'1992-04-29 00:00:00',2,1,11,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215271531377737575114610127042',102,'1048',90.04,1,3,NULL),(20,5127696,'1993-07-26 00:00:00',2,7,12,2008,'F','N','VILA PEDRINE','JOAÇABA','SC','124244241215131431458912585122610121052',15960,'454',44.34,1,3,NULL),(20,5127718,'1990-01-15 00:00:00',2,1,12,2006,'F','N','CENTRO','STA MARIA','RS','120201201317571451537739572125610144013',13065,'9998',50.36,1,3,NULL),(20,5127742,'1991-01-21 00:00:00',2,1,12,2008,'M','N','VILA ESTRELA','PNT GROSSA','PR','116164161215471411479613172122241464067',1235,'9998',79.20,1,3,NULL),(20,5127750,'1993-12-18 00:00:00',4,17,12,2010,'F','S','CENTRO','CANOINHAS','SC','124242241217111431469914475122610138142',NULL,'154',44.90,1,3,NULL),(20,5127769,'1988-05-17 00:00:00',4,8,12,2006,'M','N','AMÉRICA','JOINVILLE','SC','124242246213153421466412415132131462047',NULL,'1105',20.19,1,3,NULL),(20,5127777,'1991-11-20 00:00:00',4,1,12,2009,'M','N','SÃO JOSÉ','S JOSÉ','SC','124241241125131331526614242214610112017',NULL,'733',0.00,1,2,1),(20,5127785,'1990-03-01 00:00:00',2,4,12,2007,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241125473431238814575125610166097',6180,'169',63.36,1,2,1),(20,5127793,'1992-11-14 00:00:00',2,1,12,2010,'F','S','CONTRO','FLORIANÓPOLIS','SC','124242241115171731459813572122610135017',NULL,'266',16.85,1,3,NULL),(20,5127807,'1992-04-23 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124244241115271431437619572124610122047',14299,'307',47.71,1,3,NULL),(20,5127815,'1991-05-08 00:00:00',4,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124042241215121431458713475124610168195',NULL,'1022',0.00,4,3,NULL),(20,5127823,'1992-08-12 00:00:00',2,1,12,2009,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241115271431435514472124610137147',12957,'64',49.95,1,2,1),(20,5127831,'1992-02-22 00:00:00',2,1,12,2009,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241135271431636313332224610123072',14989,'941',46.39,1,2,1),(20,5127840,'1989-12-15 00:00:00',2,1,12,2007,'F','N','JARDIM CIDADE','S JOSÉ','SC','124242241216575431436911571124610124127',5226,'988',67.78,1,3,NULL),(20,5127858,'1992-03-06 00:00:00',4,8,10,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161225121712588832422124610147112',NULL,'9998',0.00,1,3,NULL),(20,5127866,'1992-12-28 00:00:00',2,1,12,2009,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241125161411426923292122610164142',13524,'649',46.82,1,2,1),(20,5127890,'1991-09-06 00:00:00',4,5,12,2008,'F','N','CENTRO','MRO FUMAÇA','SC','124242241215473431476933574124610162182',3922,'211',71.03,1,3,NULL),(20,5127904,'1993-07-29 00:00:00',2,1,12,2009,'F','N','DEER','CAÇADOR','SC','124241241117162431458933575122610132142',10077,'122',55.63,1,2,1),(20,5127912,'1991-12-30 00:00:00',2,2,10,2009,'M','N','VILA NOVA','BLUMENAU','SC','124242241215111431468611415125610167042',8919,'855',57.40,1,3,NULL),(20,5127939,'1989-01-09 00:00:00',2,1,12,2006,'M','N','XAXIM','CURITIBA','PR','116161161116271431337724115124141427042',NULL,'9998',41.76,4,2,1),(20,5127947,'1991-09-09 00:00:00',4,1,12,2008,'F','N','ABRAÃP','FLORIANÓPOLIS','SC','124242241236373431479933584124610124141',2778,'262',73.97,1,3,NULL),(20,5127955,'1990-02-23 00:00:00',4,2,12,2007,'F','N','CAMPOS SANTO ANTONIO','ITU','SP','125252251217573431468814571122142417097',NULL,'9998',0.00,1,3,NULL),(20,5127963,'1992-11-13 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241215132431236412122324610122172',4055,'1118',69.28,1,3,NULL),(20,5127971,'1991-11-17 00:00:00',4,1,12,2009,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241125161731423414575122610134147',NULL,'12',22.00,1,3,NULL),(20,5127980,'1987-09-24 00:00:00',4,15,11,2004,'M','N','COLONINHA','ARARANGUÁ','SC','124244241216131441468727245122131067112',NULL,'32',31.43,1,3,NULL),(20,5127998,'1988-06-13 00:00:00',2,3,12,2005,'F','N','ITAPEMA','ITAPEMA','SC','124252258216533731613311275124610168182',NULL,'9998',15.39,4,3,NULL),(20,5128005,'1990-07-11 00:00:00',1,8,12,2007,'M','N','AMÉRICA','JOINVILLE','SC','124252241215372431419824572122610167057',515,'457',84.44,1,3,NULL),(20,5128013,'1991-09-16 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241116111431336674395124610127042',NULL,'257',25.30,1,2,1),(20,5128021,'1992-04-25 00:00:00',2,3,11,2009,'F','N','CENTRO','STO ANTÔNIO MISSÕES','RS','120201201216111431547923575124610127057',NULL,'9998',0.00,1,3,NULL),(20,5128048,'1989-10-04 00:00:00',2,4,11,2007,'M','N','CENTRO','CLEVELÂNDIA','PR','116163161315572441476635571325610134092',2633,'9998',74.02,1,3,NULL),(20,5128056,'1992-03-01 00:00:00',2,1,12,2008,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241116371441438831472114610165192',10309,'307',55.96,4,2,1),(20,5128072,'1992-12-26 00:00:00',2,1,12,2009,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241215111231424624575122610124097',NULL,'1119',24.01,1,3,NULL),(20,5128080,'1992-02-23 00:00:00',2,1,12,2009,'F','N','BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC','124241241115271452323319576124610122053',NULL,'307',27.51,1,2,1),(20,5128102,'1992-02-18 00:00:00',2,1,12,2008,'M','N','SETOR OESTE','VL RICA','MT','111241111136162431423536275113610137047',NULL,'9998',18.15,4,2,1),(20,5128110,'1992-01-28 00:00:00',2,1,12,2009,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124243241315111431436413285122610124172',NULL,'20',26.51,1,3,NULL),(20,5128129,'1992-07-20 00:00:00',2,2,12,2009,'F','N','BENEDITO','INDAIAL','SC','124241241116161431316628575124610124177',15868,'887',42.13,1,2,1),(20,5128137,'1992-10-15 00:00:00',4,5,11,2010,'F','S','CENTRO','CRICIÚMA','SC','124242241217111431438631595122610161142',NULL,'210',47.77,1,3,NULL),(20,5128145,'1992-08-05 00:00:00',4,8,12,2009,'F','N','FLORESTA','JOINVILLE','SC','124241241242121411449914241124610128052',NULL,'932',30.82,1,3,NULL),(20,5128153,'1984-12-02 00:00:00',2,1,12,2003,'M','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124251251126135411134944242334610164071',NULL,'9998',27.81,1,2,1),(20,5128161,'1993-02-03 00:00:00',4,17,12,2009,'F','N','PORTÃO','CURITIBA','PR','116164161215111731448829575124610164177',2730,'9998',73.65,1,3,NULL),(20,5128188,'1989-04-20 00:00:00',2,1,12,2007,'M','N','ZONA UM A','UMUARAMA','PR','116162161217573431469831576114610137052',9706,'9998',56.68,1,3,NULL),(20,5128196,'1993-04-08 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217111431389833575112610163147',12025,'270',51.66,1,3,NULL),(20,5128218,'1991-03-07 00:00:00',4,1,12,2008,'F','N','VILA ARENS','JUNDIAÍ','SP','125252251215371431489834571124610147092',3591,'9998',71.04,1,3,NULL),(20,5128226,'1993-06-06 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431466632595122610127057',NULL,'262',50.53,1,3,NULL),(20,5128234,'1990-09-15 00:00:00',4,1,12,2009,'M','N','JARDIM ZANELLATO','S JOSÉ','SC','124241241135371751336619575124610167017',3891,'1116',71.10,1,2,1),(20,5128242,'1992-05-26 00:00:00',4,8,12,2009,'M','N','GUANABARA','JOINVILLE','SC','124243241235111431334412341114610137042',NULL,'1016',0.00,1,3,NULL),(20,5128250,'1991-09-24 00:00:00',4,8,12,2009,'F','N','SANTA QUITÉRIA','CURITIBA','PR','116162161215471411579814571122610127012',10452,'9998',53.02,1,3,NULL),(20,5128269,'1989-10-04 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124164161417152431336621375125222362117',8867,'9998',60.22,1,3,NULL),(20,5128285,'1992-07-11 00:00:00',4,1,12,2009,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241126131431436723275222610134192',NULL,'1099',22.20,1,2,1),(20,5128293,'1988-01-25 00:00:00',2,8,12,2005,'F','N','UVARANAS','PNT GROSSA','PR','116162161216575431548923572124610162147',3489,'9998',71.10,1,3,NULL),(20,5128315,'1991-09-09 00:00:00',4,15,12,2008,'F','N','CENTRO','TORRES','RS','120201201117131431337923572315610122077',NULL,'9998',37.56,1,2,1),(20,5128323,'1991-08-09 00:00:00',4,1,11,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215472431486612345112610127042',2456,'270',75.25,1,3,NULL),(20,5128331,'1982-10-28 00:00:00',2,1,12,2006,'F','N','MAR GROSSO','LAGUNA','SC','124241241127371431223379495114610124187',NULL,'521',24.32,1,2,1),(20,5128340,'1993-02-04 00:00:00',4,7,11,2009,'F','N','CENTRO','LUZERNA','SC','124241241215111431376832574124610124142',NULL,'446',0.00,1,3,NULL),(20,5128358,'1989-05-06 00:00:00',4,1,11,2006,'M','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124242241215474411358913396112233247182',7041,'1098',63.74,4,3,NULL),(20,5128366,'1992-10-19 00:00:00',2,8,11,2009,'F','N','UBATUBA','S FRANCISCO SUL','SC','124243248216311431334752575124610114117',11147,'486',53.98,1,3,NULL),(20,5128382,'1989-03-11 00:00:00',2,1,12,2006,'F','N','SITIO PAE CARA','GUARUJÁ','SP','125251251116571421668412446124610164197',13599,'9998',48.17,3,2,1),(20,5128390,'1992-10-02 00:00:00',4,1,12,2009,'F','N','COOPHAVALLE','CAMAPUÃ','MS','112122121214312431447612475122610124142',NULL,'9998',0.00,1,3,NULL),(20,5128404,'1990-02-14 00:00:00',2,1,12,2007,'M','N','RIO GRANDE','PALHOÇA','SC','124241241116141341533311431124231644141',NULL,'110',0.00,4,2,1),(20,5128412,'1992-08-12 00:00:00',4,8,12,2009,'F','N','PETRÓPOLIS','JOINVILLE','SC','124243241114471431538711574122610132187',9430,'478',57.85,1,3,NULL),(20,5128420,'1990-04-15 00:00:00',2,3,12,2007,'M','N','JARDIM CARVALHO','PNT GROSSA','PR','116162164417471431438832575112610167063',12232,'9998',49.91,1,3,NULL),(20,5128439,'1984-12-08 00:00:00',4,1,12,2002,'M','N','BELA VISTA','S PAULO','SP','125252251211471411488821415122243224172',7536,'9998',62.73,4,3,NULL),(20,5128447,'1990-11-12 00:00:00',4,8,12,2008,'F','N','COLINA DA BOA VISTA','AVARÉ','SP','125253251216471731547814574112610168054',NULL,'9998',0.00,1,3,NULL),(20,5128455,'1991-08-28 00:00:00',2,1,12,2009,'M','N','JARDIM BELA VISTA','APARECIDA GOIÂNIA','GO','109092091217111431446824295122610167012',7270,'9998',62.04,4,3,NULL),(20,5128463,'1988-09-15 00:00:00',4,1,12,2005,'M','N','CENTRO','MAJ VIEIRA','SC','124241241215574751458939571112610164067',NULL,'154',0.00,1,3,NULL),(20,5128471,'1992-05-14 00:00:00',2,4,12,2008,'M','N','CENTRO','PLANALTO ALEGRE','SC','124241241415472431336913375124610137057',14630,'185',48.92,1,3,NULL),(20,5128480,'1992-01-04 00:00:00',4,8,12,2008,'M','N','JARDIM INDEPENDENCIA','S VICENTE','SP','125253251115471731346814575122610167047',NULL,'9998',0.00,1,3,NULL),(20,5128498,'1992-04-08 00:00:00',4,8,12,2009,'M','N','ATIRADORES','JOINVILLE','SC','124242246211111731458613571124610117041',13129,'1105',47.81,1,3,NULL),(20,5128510,'1991-06-18 00:00:00',4,5,12,2008,'F','N','CENTRO','BRAÇO NORTE','SC','124241241116132431326418286322121721147',NULL,'100',29.35,1,2,1),(20,5128528,'1990-10-13 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241235473431579813572122610124092',496,'262',84.63,1,3,NULL),(20,5128536,'1992-12-23 00:00:00',4,2,12,2009,'F','N','VORSTADT','BLUMENAU','SC','124242241217111431478814572122610132183',12219,'71',51.96,1,3,NULL),(20,5128544,'1990-03-15 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217144431468923572124232637147',10106,'270',57.95,1,3,NULL),(20,5128579,'1982-05-01 00:00:00',2,1,12,1999,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','624201202116371411225551445324610128182',NULL,'9998',17.12,1,2,1),(20,5128587,'1991-12-24 00:00:00',4,1,12,2009,'M','N','CHACARA DO OURO','MOGI GUAÇU','SP','125252251216111431568811575122610112197',NULL,'9998',0.00,1,3,NULL),(20,5128595,'1991-06-01 00:00:00',4,1,12,2008,'F','N','CRISTO REI','CURITIBA','PR','116162161215371731389833471112610144127',4552,'9998',67.57,1,3,NULL),(20,5128609,'1993-01-23 00:00:00',2,7,12,2010,'F','S','CENTRO','CAPINZAL','SC','124243241416111431423312575124610137042',NULL,'446',10.95,1,3,NULL),(20,5128617,'1992-09-23 00:00:00',4,1,12,2009,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124243241115371231326512292224610128147',13206,'307',50.64,1,3,NULL),(20,5128633,'1979-03-30 00:00:00',2,1,12,1997,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124201243116134411458469445114143248147',13221,'9998',51.92,2,1,1),(20,5128641,'1990-11-25 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241216472431337923575124610161187',NULL,'737',26.20,1,3,NULL),(20,5128650,'1992-12-23 00:00:00',2,7,12,2009,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241215272431247922274124610122077',NULL,'962',0.00,1,3,NULL),(20,5128668,'1988-11-03 00:00:00',4,1,12,2006,'M','N','PARQUE TAQUARAL','CAMPINAS','SP','125252251315571431376814475122141246126',NULL,'9998',0.00,1,3,NULL),(20,5128684,'1984-07-01 00:00:00',4,1,12,2001,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242161215475431458827475124321537097',27,'9998',93.52,1,3,NULL),(20,5128692,'1991-05-30 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241117471411543421574114610121097',12692,'257',49.54,1,2,1),(20,5128706,'1992-01-24 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241214371431388933573122610162112',3860,'262',71.15,1,3,NULL),(20,5128714,'1992-07-23 00:00:00',4,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215112431475512572124610144061',NULL,'1022',27.20,1,3,NULL),(20,5128730,'1991-11-07 00:00:00',2,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241116154411443114175124221447042',12131,'307',54.11,1,2,1),(20,5128757,'1982-03-30 00:00:00',2,1,12,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124161161126473731221114182114610164047',6977,'9998',63.51,2,1,1),(20,5128765,'1992-03-13 00:00:00',2,1,11,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','125242251217112441636872592124610133182',NULL,'9997',0.00,1,3,NULL),(20,5128773,'1991-08-19 00:00:00',2,1,12,2009,'M','N','VENDAVAL','BIGUAÇU','SC','124244241215371431436914175124610164016',NULL,'1040',29.06,2,1,2),(20,5128781,'1992-10-25 01:00:00',2,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241215111711357823582124610143182',NULL,'1022',27.95,1,3,NULL),(20,5128790,'1992-05-04 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113331479714574122610166172',4584,'270',68.44,1,3,NULL),(20,5128803,'1991-02-26 00:00:00',4,5,12,2008,'M','N','MINA BRASIL','CRICIÚMA','SC','124242246217152411448831495124123267112',7256,'188',63.31,1,3,NULL),(20,5128811,'1989-09-16 00:00:00',4,17,12,2006,'M','N','REBOUÇAS','CURITIBA','PR','116162161215571731466932175124142667077',3829,'9998',69.06,1,3,NULL),(20,5128820,'1992-08-03 00:00:00',4,4,11,2009,'F','N','LA SALLE','XANXERÊ','SC','124242241215111431468831272112610121142',5437,'836',64.57,1,3,NULL),(20,5128838,'1992-02-12 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431326621575124610137077',NULL,'269',26.01,1,3,NULL),(20,5128846,'1992-07-09 00:00:00',4,2,11,2009,'M','N','ITOUPAVAZINHA','BLUMENAU','SC','124241241117141431428614342114610122177',13442,'83',45.89,1,2,1),(20,5128862,'1992-05-09 00:00:00',4,5,11,2009,'M','N','RIO MAINA','CRICIÚMA','SC','124242243216131431426614275124610164022',NULL,'995',27.93,1,3,NULL),(20,5128889,'1990-08-15 00:00:00',4,1,12,2007,'M','N','PRAÇA','TIJUCAS','SC','124241241126221731533513235124610137047',NULL,'783',18.91,4,2,1),(20,5128897,'1992-03-06 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469813572114610127117',423,'270',85.19,1,3,NULL),(20,5128900,'1990-11-03 00:00:00',4,1,12,2008,'F','N','OLINDA','UBERABA','MG','113132131217471731677415575122610167077',9792,'9998',54.74,1,3,NULL),(20,5128919,'1991-02-20 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431237521585125610132042',4616,'270',69.05,1,3,NULL),(20,5128927,'1988-02-18 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127472731445434345114133218142',14414,'274',49.43,1,2,1),(20,5128943,'1987-11-07 00:00:00',2,1,12,2005,'F','N','CENTRO','CPO GRANDE','MS','112132131315571431458811274125610113077',2035,'9998',75.85,1,3,NULL),(20,5128960,'1993-08-25 00:00:00',4,5,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215371431549933575122610146142',10144,'226',53.89,1,3,NULL),(20,5128978,'1993-01-05 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431478923275122610161122',4602,'270',69.03,1,3,NULL),(20,5128986,'1992-02-12 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431326621575124610137077',NULL,'269',40.71,1,3,NULL),(20,5129001,'1990-03-10 00:00:00',2,1,11,2007,'F','N','PONTE DE IMARUIM','PALHOÇA','SC','124241241117271431623577575124610165076',NULL,'733',0.00,4,2,1),(20,5129010,'1992-04-18 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241217133431533811575124610116177',1904,'270',77.25,4,3,NULL),(20,5129028,'1991-08-16 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217472431469833575124610168042',4622,'262',69.26,1,3,NULL),(20,5129044,'1990-10-25 00:00:00',4,1,12,2008,'M','N','VILA FORMOSA','S PAULO','SP','125254251215312431346812185112241432177',1640,'9998',78.21,1,3,NULL),(20,5129052,'1991-04-10 00:00:00',4,1,12,2008,'M','N','JD COLINAS','S JOSÉ CAMPOS','SP','125252251417471731579813585122610167187',5006,'9998',66.10,1,3,NULL),(20,5129060,'1992-04-02 00:00:00',4,15,12,2009,'F','N','CENTRO','BUTIÁ','RS','120202201217161431367723171112610165057',NULL,'9998',0.00,4,3,NULL),(20,5129079,'1993-01-17 00:00:00',4,8,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116161161215471431448933572122610147187',8820,'9998',56.59,1,3,NULL),(20,5129087,'1992-03-24 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431479911572122610127122',3564,'270',71.98,1,3,NULL),(20,5129095,'1992-06-11 00:00:00',2,1,11,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241225372431657633575124610125177',4338,'262',67.88,1,3,NULL),(20,5129109,'1993-12-09 00:00:00',2,1,11,2010,'F','S','CENTRO','BIGUAÇU','SC','124242241216111421356633375112610164042',NULL,'262',0.00,1,3,NULL),(20,5129117,'1993-07-31 00:00:00',4,16,12,2009,'F','N','CENTRO','MTE CARLO','SC','124241241215161431458815575124610134147',3944,'885',69.78,1,3,NULL),(20,5129125,'1992-03-23 00:00:00',4,7,11,2009,'F','N','NOSSA SR DE LURDES','JOAÇABA','SC','124241248215372531459614395122610168017',14930,'446',45.56,1,3,NULL),(20,5129133,'1990-10-10 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373431427629495124610124017',10497,'9997',57.24,1,3,NULL),(20,5129141,'1992-05-22 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215121431438833572124610121147',4709,'1118',66.82,1,3,NULL),(20,5129168,'1989-04-14 00:00:00',4,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116242241216471421427711595124240468197',NULL,'1063',29.58,1,3,NULL),(20,5129176,'1993-01-09 00:00:00',4,1,12,2009,'M','N','NONOAI','PTO ALEGRE','RS','120202201217111431366939595112610167043',8792,'9998',56.37,1,3,NULL),(20,5129184,'1991-11-11 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113431469614572122610166142',2019,'1169',76.79,1,3,NULL),(20,5129192,'1983-02-09 00:00:00',2,8,12,2001,'M','N','AVENTUREIRO','JOINVILLE','SC','124241246232331431233644441224131422047',NULL,'230',23.91,1,3,NULL),(20,5129206,'1992-06-03 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202241215122431447619294112610124122',439,'270',85.12,1,3,NULL),(20,5129214,'1988-08-15 00:00:00',2,15,12,2006,'F','N','JARDIM FORMOSO','CAPIVARI SUL','RS','120201201145471431543315271224141314197',NULL,'9998',38.73,1,2,1),(20,5129230,'1982-09-10 00:00:00',4,1,11,2000,'M','N','BOQUEIRÃO','CURITIBA','PR','216241241217472431245942425124321566177',34,'541',92.48,1,3,NULL),(20,5129249,'1991-02-23 00:00:00',2,1,12,2008,'F','N','CENTRO','TORRES','RS','120201207127271751226923375122610127112',NULL,'9998',22.92,1,2,1),(20,5129265,'1989-05-04 00:00:00',4,15,12,2006,'M','N','CENTRO','ARARANGUÁ','SC','124242241211111431338712395122240264047',NULL,'26',0.00,1,3,NULL),(20,5129273,'1993-03-16 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111631538821275124610164175',NULL,'1022',68.99,1,3,NULL),(20,5129281,'1992-01-26 00:00:00',4,1,11,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111431468833572114610137182',1715,'270',77.98,1,3,NULL),(20,5129290,'1986-04-15 00:00:00',2,1,12,2004,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124161161147472421223579331124610123147',NULL,'9998',30.95,2,1,1),(20,5129303,'1993-04-10 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215111721433419582124610124137',NULL,'266',26.59,1,3,NULL),(20,5129311,'1993-05-18 00:00:00',2,4,12,2009,'F','N','SANTA MARIA','CHAPECÓ','SC','124243241415111112438923475112610165196',7407,'983',63.01,1,3,NULL),(20,5129346,'1992-07-06 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215121431588812575122610167042',14955,'262',48.02,1,3,NULL),(20,5129354,'1990-11-24 00:00:00',4,3,12,2007,'F','N','ALTO BOQUEIRAO','CURITIBA','PR','116162161216571431436627574124610134142',3606,'9998',70.41,1,3,NULL),(20,5129362,'1992-03-31 00:00:00',4,1,11,2009,'M','N','VILA MARIANA','S PAULO','SP','125122251217121431468932571114610137162',798,'9998',82.50,1,3,NULL),(20,5129397,'1992-03-17 00:00:00',4,8,12,2009,'F','N','CENTRO','MARAU','RS','120202201217112431456931271124610146172',3693,'9998',69.84,1,3,NULL),(20,5129419,'1991-02-28 00:00:00',4,1,12,2008,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124132241215472411424729575124610122142',5059,'1118',68.11,1,3,NULL),(20,5129435,'1992-11-30 00:00:00',2,4,12,2009,'M','N','CENTRO','GALVÃO','SC','124241242215221431335914345122613237047',NULL,'836',17.34,1,3,NULL),(20,5129443,'1979-12-30 00:00:00',4,8,12,1999,'F','N','BACACHERI','CURITIBA','PR','116162161216572431438319491124243264192',11242,'9998',52.11,1,3,NULL),(20,5129451,'1991-05-26 00:00:00',2,8,12,2008,'F','N','CENTRO','PARANAVAÍ','PR','116163161216471451358824471122610162012',409,'9998',85.29,1,3,NULL),(20,5129460,'1992-02-18 00:00:00',4,1,11,2009,'F','N','SAO JOSE','ARACAJU','SE','126262261216111431258711475122610127121',NULL,'270',0.00,1,3,NULL),(20,5129478,'1992-01-30 00:00:00',2,4,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124241241135141331556432331122610126017',NULL,'192',0.00,1,3,NULL),(20,5129486,'1991-01-05 00:00:00',2,1,12,2008,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124242241215372431566823315124231836077',NULL,'1134',0.00,4,3,NULL),(20,5129494,'1992-12-06 00:00:00',4,5,11,2009,'F','N','SANTA BÁRBARA','CRICIÚMA','SC','124244241215111431446611575122610128092',6239,'226',63.40,1,3,NULL),(20,5129508,'1993-10-23 00:00:00',4,9,12,2010,'M','S','COPACABANA','LAGES','SC','124243246215111431436734274124610168022',NULL,'1106',45.10,1,3,NULL),(20,5129516,'1993-01-03 00:00:00',4,4,12,2009,'F','N','CINQUENTENARIO','CONCÓRDIA','SC','124244241215112431448812572112610162112',NULL,'1047',0.00,1,3,NULL),(20,5129524,'1990-09-17 00:00:00',2,1,12,2009,'M','N','PACHECOS','PALHOÇA','SC','124241241132141431556611315124610137052',15636,'592',42.66,1,2,1),(20,5129559,'1991-03-13 00:00:00',2,8,12,2008,'F','N','CRISTO REI','CURITIBA','PR','116162161216471711357934572114610124097',13174,'9998',48.70,1,3,NULL),(20,5129567,'1992-08-20 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241127131421545633582121610167067',NULL,'274',17.46,1,2,1),(20,5129575,'1983-04-16 00:00:00',2,1,12,2001,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224241241146371421224653175124130236192',NULL,'769',30.04,1,2,1),(20,5129591,'1991-08-07 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217372431446831572124610167017',3191,'403',71.61,1,3,NULL),(20,5129605,'1991-06-06 00:00:00',4,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241216154431359913575122230224097',NULL,'1050',0.00,1,3,NULL),(20,5129613,'1992-03-25 00:00:00',2,9,10,2009,'M','N','CENTRO','LAGES','SC','124242241211111431459911575112610167097',14952,'1146',44.04,1,3,NULL),(20,5129621,'1992-01-18 00:00:00',4,1,12,2009,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124244241211111432568719312124610165017',NULL,'270',13.42,1,3,NULL),(20,5129648,'1989-07-30 00:00:00',2,1,12,2009,'M','N','BARRA DE LAGOA','FLORIANÓPOLIS','SC','124241241122131432426654342341610167057',NULL,'290',12.15,2,1,1),(20,5129656,'1990-04-07 00:00:00',2,8,12,2007,'M','N','JARDIM ALVORADA','PARANAVAÍ','PR','116164161216472441646622275124610164092',6002,'9998',64.44,3,3,NULL),(20,5129664,'1990-02-10 00:00:00',4,1,12,2007,'M','N','ALTO PARANÁ','ORLEANS','SC','124241241126131411436629495124130227042',NULL,'580',0.00,1,2,1),(20,5129680,'1990-10-19 00:00:00',4,1,12,2007,'M','N','JARDIM CIDADE DE FPO','S JOSÉ','SC','124242241215574431323619595122232415127',4902,'262',66.26,1,3,NULL),(20,5129702,'1992-02-18 00:00:00',2,16,12,2009,'F','N','SANTANA','GUARAPUAVA','PR','116164161415111411468914391122610164142',14563,'9998',49.10,1,3,NULL),(20,5129710,'1988-12-22 00:00:00',4,8,12,2005,'M','N','REBOUÇAS','CURITIBA','PR','116162161215571431578614585115610167052',1038,'9998',79.95,3,3,NULL),(20,5129729,'1985-05-17 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124063061116475731324534142134142764197',NULL,'9998',0.00,1,3,NULL),(20,5129737,'1991-11-22 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217372231348811572122131462127',4914,'1038',67.09,1,3,NULL),(20,5129745,'1992-01-09 00:00:00',4,2,12,2009,'M','N','BELCHIOR','GASPAR','SC','124243241417151431468713475122610167182',NULL,'88',41.61,1,3,NULL),(20,5129761,'1993-08-22 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124241241215121431436531575114610126075',11350,'1011',53.03,1,3,NULL),(20,5129770,'1989-10-23 00:00:00',4,1,12,2007,'F','N','CENTRO','CANOAS','RS','620202201217471431468832272122610137092',5219,'9998',65.76,1,3,NULL),(20,5129788,'1988-06-01 00:00:00',2,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241247125231431121644445124610167047',NULL,'9999',26.56,4,2,1),(20,5129800,'1991-06-03 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124241241115371431226634575121610167057',NULL,'169',43.26,1,2,1),(20,5129818,'1993-01-17 00:00:00',4,8,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116161161215111431659933572124610127182',NULL,'9998',39.11,1,3,NULL),(20,5129826,'1992-06-24 00:00:00',4,1,12,2009,'M','N','CENTRO','STA MARIA','RS','120202201216371431478634575112610137052',6942,'9998',63.73,1,3,NULL),(20,5129834,'1991-12-04 00:00:00',4,3,12,2009,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241215112431489911572112610121192',6542,'109',63.08,1,3,NULL),(20,5129842,'1991-09-16 00:00:00',4,1,12,2009,'M','N','JARDIM SÃO FRANCISCO','JAÚ','SP','125252251217171431556811575112610117042',NULL,'9998',28.16,1,3,NULL),(20,5129850,'1992-12-22 00:00:00',4,8,11,2009,'F','N','CENTRO LESTE','SCHROEDER','SC','124241241115271431446612495124610167052',NULL,'762',28.32,3,2,1),(20,5129869,'1991-01-25 00:00:00',2,1,11,2008,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241215272731558833435124223227112',12420,'807',50.98,1,3,NULL),(20,5129877,'1986-02-01 00:00:00',2,1,12,2003,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124161161116231231126822315124141417054',NULL,'9998',23.76,4,2,1),(20,5129885,'1991-09-09 00:00:00',4,1,12,2009,'F','N','MORRO DA BINA','BIGUAÇU','SC','124244241122131431428619382122610113147',NULL,'736',25.03,1,3,NULL),(20,5129893,'1991-06-28 00:00:00',4,1,12,2009,'M','N','PERDIZES','S PAULO','SP','125252251116111431267621575122610164047',NULL,'9998',0.00,1,3,NULL),(20,5129907,'1991-11-06 00:00:00',4,1,11,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241115372711379812225125610116181',9614,'262',57.66,1,3,NULL),(20,5129915,'1992-04-13 00:00:00',2,1,12,2009,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241127131411323644245124610134197',NULL,'290',25.72,1,2,1),(20,5129923,'1991-10-17 00:00:00',2,15,12,2008,'M','N','JACARÉ','TORRES','RS','120201201346471221434526491224610164042',NULL,'9998',28.71,1,3,NULL),(20,5129940,'1992-07-01 00:00:00',4,7,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','116162161217471732459911592125610133053',10267,'9998',54.66,3,3,NULL),(20,5129958,'1992-08-22 00:00:00',2,1,12,2009,'F','N','ALTO DA XV','CURITIBA','PR','116241161237121431366724575112610132047',NULL,'9998',0.00,1,3,NULL),(20,5129974,'1991-01-23 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431158612574325610113097',2410,'270',75.03,1,3,NULL),(20,5129990,'1992-01-04 00:00:00',4,1,11,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215121411388822575122610166072',NULL,'270',0.00,4,3,NULL),(20,5130018,'1990-07-03 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241125131431425524392124610114142',NULL,'277',23.72,2,2,1),(20,5130026,'1988-10-17 00:00:00',4,3,12,2005,'F','N','GLÓRIA','PTO ALEGRE','RS','120204201217571431348831571124610167117',297,'9998',86.66,1,3,NULL),(20,5130050,'1991-03-22 00:00:00',2,4,12,2008,'M','N','SÃO JOÃO','SEARA','SC','124243241415132321538824592114610132047',NULL,'1156',44.64,1,3,NULL),(20,5130069,'1982-06-12 00:00:00',4,1,12,2000,'F','N','KOBRASOL','S JOSÉ','SC','124254241117272431326641211115130264097',8930,'267',60.10,1,3,NULL),(20,5130085,'1991-09-03 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116371431426614395124610127043',NULL,'307',28.98,2,1,1),(20,5130093,'1964-11-07 00:00:00',2,1,12,1981,'F','N','JARDIM CIDADE','S JOSÉ','SC','224241246316135711437451241124330228187',NULL,'260',50.08,1,3,NULL),(20,5130115,'1991-11-09 00:00:00',4,1,11,2009,'M','N','OESTE','GOIÂNIA','GO','109092091216111411358822575112610162017',1916,'9998',76.87,1,3,NULL),(20,5130123,'1992-08-14 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215372431545823275124610124052',9370,'1010',59.31,1,3,NULL),(20,5130131,'1989-04-22 00:00:00',2,1,12,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241147372431128544345114610137043',14673,'209',48.81,1,3,NULL),(20,5130140,'1990-11-14 00:00:00',2,1,12,2008,'F','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125251251216132431436611381124610144147',2255,'9998',74.85,4,3,NULL),(20,5130166,'1992-05-29 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215173411569913575114610144141',11037,'270',54.63,1,3,NULL),(20,5130174,'1992-09-25 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431366923375114110164192',5885,'1118',65.40,1,3,NULL),(20,5130182,'1992-05-29 00:00:00',4,1,12,2009,'F','N','JARDM COLOMBO','S PAULO','SP','125252251216121431536831574124610117142',NULL,'9998',0.00,1,3,NULL),(20,5130190,'1992-05-28 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124042241215121431489713572112610124142',14611,'270',44.83,1,3,NULL),(20,5130204,'1989-07-21 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124202241215575451237819592114233267042',3681,'403',71.67,1,3,NULL),(20,5130220,'1991-07-04 00:00:00',4,1,11,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217142431335512371124233236187',4428,'1169',69.64,1,3,NULL),(20,5130255,'1991-04-18 00:00:00',4,5,11,2008,'F','N','MINA DO MATO','CRICIÚMA','SC','124241241435371341423314444124610168077',NULL,'920',24.17,1,3,NULL),(20,5130263,'1992-12-07 00:00:00',4,4,12,2009,'M','N','CENTRO','S LOURENÇO OESTE','SC','124241241112371431445933375111610124017',NULL,'745',28.44,1,2,1),(20,5130271,'1993-03-22 00:00:00',4,4,11,2009,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116163161216111431459939571125610164182',2804,'9998',71.93,1,3,NULL),(20,5130280,'1993-01-24 00:00:00',4,8,12,2009,'M','N','CENTRO','CURITIBA','PR','116163161216111331638932575114610167067',3001,'9998',72.38,4,3,NULL),(20,5130301,'1992-05-30 00:00:00',2,8,12,2009,'F','N','LAGEADO DOS VIEIRAS','RIO NEGRO','PR','116161241116161421436335572224610167142',NULL,'669',0.00,1,2,1),(20,5130310,'1992-05-30 00:00:00',4,1,12,2009,'M','N','ITAMARATI','JACAREÍ','SP','125252251217111431448814475114610168053',NULL,'1118',21.73,3,3,NULL),(20,5130336,'1990-12-15 00:00:00',2,1,12,2008,'F','N','VILA FORMOSA','S PAULO','SP','125251251416471431458512342124610161182',NULL,'9998',0.00,1,3,NULL),(20,5130344,'1992-05-07 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215112732458612575124610138147',7264,'1022',61.37,1,3,NULL),(20,5130352,'1990-10-27 00:00:00',2,1,12,2007,'F','N','SÃO FRANCISCO','BENTO GONÇALVES','RS','120202201216573431238719395122240424072',7029,'9998',62.68,1,3,NULL),(20,5130360,'1991-05-07 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243248112372411333929392324610112057',6145,'829',65.16,1,3,NULL),(20,5130379,'1991-10-19 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161214472451534615574324610167142',NULL,'9998',25.23,1,3,NULL),(20,5130387,'1991-07-22 00:00:00',4,3,10,2008,'M','N','HARMONIA','HARMONIA','PR','116162161217571331549914575124610138092',NULL,'9998',0.00,1,3,NULL),(20,5130395,'1986-09-11 00:00:00',4,1,12,2004,'F','N','ARAÉS','CUIABÁ','MT','111112111216571431437924275122610138032',2658,'9998',73.82,4,3,NULL),(20,5130409,'1988-09-09 00:00:00',4,1,11,2005,'F','N','MORADA DA SERRA II','CUIABÁ','MT','111112111216575431549931571122610121177',641,'9998',83.62,4,3,NULL),(20,5130417,'1993-01-04 00:00:00',4,17,12,2009,'M','N','CENTRO','MAJ VIEIRA','SC','124241241115161531546812595122610127142',NULL,'548',27.43,1,2,1),(20,5130425,'1993-09-14 00:00:00',4,4,12,2010,'F','S','PRESIDENTE MÉDICI','CHAPECÓ','SC','124241241416111731636712475122610144012',NULL,'168',16.38,1,3,NULL),(20,5130433,'1991-02-05 00:00:00',4,1,12,2008,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215312431588912572122610143052',986,'883',81.41,1,3,NULL),(20,5130468,'1988-08-15 00:00:00',2,1,12,2005,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124201201136272451123644245113140838057',NULL,'9998',50.74,1,2,1),(20,5130476,'1992-03-06 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215473431568932574122610131182',6301,'262',63.53,1,3,NULL),(20,5130484,'1981-09-20 00:00:00',4,1,12,1998,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201201116571741443923195224231468142',NULL,'9998',23.34,1,2,1),(20,5130492,'1992-11-06 00:00:00',4,7,12,2009,'F','N','INTERIOR','OURO','SC','124241241116131431523326572224610131057',NULL,'585',23.36,1,3,NULL),(20,5130506,'1989-10-12 00:00:00',4,1,12,2007,'F','N','CENTRO','SOROCABA','SP','125252251215571431468924572112610137097',4495,'9998',67.64,1,3,NULL),(20,5130514,'1985-09-23 00:00:00',4,5,6,2004,'M','N','CENTRO','URUSSANGA','SC','124244246216375451436639595125610164117',83,'995',90.56,1,3,NULL),(20,5130530,'1990-10-17 00:00:00',2,4,12,2007,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241216571431446619395125610137141',NULL,'751',41.66,1,3,NULL),(20,5130557,'1993-03-04 00:00:00',4,1,11,2010,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124244241215111431468921575124610123182',NULL,'270',32.87,1,3,NULL),(20,5130581,'1993-03-18 00:00:00',4,6,12,2009,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241215111431468813592114610127077',NULL,'1026',28.21,1,3,NULL),(20,5130603,'1991-11-23 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115371411336924575124610164012',NULL,'307',0.00,1,2,1),(20,5130611,'1990-08-16 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241416473451437833475114131217185',6951,'1022',63.93,1,3,NULL),(20,5130620,'1985-05-13 00:00:00',4,1,12,2003,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241131135431338523342124610117047',NULL,'257',47.62,1,2,1),(20,5130638,'1992-06-18 00:00:00',4,1,12,2009,'F','N','NONOAI','PTO ALEGRE','RS','120052201217121431449934445122610128182',NULL,'9998',0.00,1,3,NULL),(20,5130646,'1992-05-18 00:00:00',4,1,10,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241212173431466717575114610164117',3200,'270',71.68,1,3,NULL),(20,5130662,'1988-11-12 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212574431589911575122610162142',76,'270',90.78,1,3,NULL),(20,5130670,'1991-08-24 00:00:00',4,1,12,2009,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241117131431533721571124610132047',NULL,'307',20.93,1,2,1),(20,5130697,'1992-01-18 00:00:00',2,1,11,2009,'M','N','TIJUQUINHAS','BIGUAÇU','SC','124242241215121431376823435124610118092',NULL,'1118',30.08,1,3,NULL),(20,5130700,'1990-07-07 00:00:00',2,4,12,2008,'F','N','CENTRO','STO ANTÔNIO PALMA','RS','120201201126471431438613572111610124072',9940,'9998',55.45,1,2,1),(20,5130727,'1992-04-02 00:00:00',2,6,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241215371431445314292122610128147',NULL,'44',15.38,1,3,NULL),(20,5130735,'1992-05-18 00:00:00',4,1,12,2009,'F','N','ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC','124242242117142721646613572122610114147',NULL,'662',31.28,1,3,NULL),(20,5130743,'1991-12-18 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124241241117141421334624245124610167142',NULL,'732',23.05,1,2,1),(20,5130760,'1986-09-20 00:00:00',4,1,12,2003,'F','N','HUMAITÁ','S VICENTE','SP','125251251116572411423679375124610125187',795,'9998',82.52,1,2,1),(20,5130778,'1991-08-15 00:00:00',4,1,11,2008,'M','N','CENTRO','IMBITUBA','SC','124244241216473731457619572114610127117',2786,'807',73.48,1,3,NULL),(20,5130794,'1993-01-02 00:00:00',4,1,12,2009,'M','N','ZONA DOIS','CIANORTE','PR','116162161215371431429934575112610134042',14138,'9998',48.02,1,3,NULL),(20,5130824,'1992-06-17 00:00:00',4,3,11,2009,'F','N','BELA VISTA','CAXIAS SUL','RS','120202203215371431477814575122610164147',3948,'9998',68.85,1,3,NULL),(20,5130832,'1992-06-03 00:00:00',4,1,11,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127131331548614245124610125097',NULL,'274',25.70,1,2,1),(20,5130840,'1990-12-10 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201117273431253923585124231967047',NULL,'9998',0.00,1,2,1),(20,5130859,'1991-09-29 00:00:00',4,9,12,2008,'M','N','SANTA MARIA','LAGES','SC','124242241217372432489911574122131044042',1193,'497',80.29,1,3,NULL),(20,5130875,'1991-01-22 00:00:00',4,9,12,2008,'F','N','SANTA CRUZ','S JOAQUIM','SC','124242241215371451437613591345610168147',12861,'1035',49.02,2,1,2),(20,5130883,'1992-03-06 00:00:00',4,1,12,2009,'F','N','SÃO JUDAS','SALTO','SP','125251254436131441429913185124610166127',5753,'9998',66.32,1,3,NULL),(20,5130891,'1991-09-16 00:00:00',4,1,12,2008,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216412431228614475124610164052',2445,'991',75.01,1,3,NULL),(20,5130913,'1989-12-07 00:00:00',2,1,11,2008,'F','N','AREIAS','S JOSÉ','SC','124242241215372411643823575124610166171',10148,'976',57.88,1,3,NULL),(20,5130921,'1992-04-14 00:00:00',4,1,12,2009,'M','N','JARDIM IMPERIAL','MARINGÁ','PR','116162161215111431468833474122610126092',987,'9998',81.34,1,3,NULL),(20,5130930,'1986-06-10 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215575431446731575224121563072',195,'270',88.03,4,3,NULL),(20,5130948,'1978-03-02 00:00:00',4,1,11,1996,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124132131216131411128813412122341062092',6743,'9998',64.38,1,3,NULL),(20,5130956,'1992-03-04 00:00:00',4,1,12,2009,'M','N','AEROPORTO','VIDEIRA','SC','124242161215472431469936575124610162012',1753,'9998',76.18,1,3,NULL),(20,5130972,'1989-02-12 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217574431338629475124610168177',8771,'951',58.93,1,3,NULL),(20,5130980,'1987-08-27 00:00:00',4,8,11,2004,'M','N','BUCAREIN','JOINVILLE','SC','124242241217371431166933475124231566047',4139,'446',67.38,1,3,NULL),(20,5130999,'1991-06-07 00:00:00',2,1,12,2008,'M','N','SANTO ANTÔNIO','FLORIANÓPOLIS','SC','124241241137132421334319242133610137047',NULL,'279',21.59,1,2,1),(20,5131006,'1980-03-11 00:00:00',4,1,12,1998,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124242247221374431547621311121610114182',8929,'270',60.10,1,3,NULL),(20,5131014,'1986-03-10 00:00:00',4,1,12,2003,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115474741349851245124133267143',10837,'307',56.61,1,2,1),(20,5131030,'1982-04-01 00:00:00',2,8,12,1999,'F','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161232574421338629475122341227097',3677,'9998',69.49,1,3,NULL),(20,5131049,'1992-11-09 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241115131411436623435124610123057',NULL,'271',40.71,1,2,1),(20,5131073,'1993-06-30 00:00:00',4,4,11,2009,'F','N','CENTRO','IPUMIRIM','SC','124243241216111711446923575122610164127',7592,'1000',61.00,1,3,NULL),(20,5131081,'1992-05-21 00:00:00',4,8,12,2009,'F','N','VILA LANZI','JARAGUÁ SUL','SC','124242242111471431359934574124610147092',6026,'662',63.74,1,3,NULL),(20,5131090,'1992-04-30 00:00:00',4,1,12,2009,'M','N','CENTRO','CAMPINAS','SP','125252251216111431388811575122610168122',10260,'9998',54.44,1,3,NULL),(20,5131103,'1986-09-21 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224241241146374431243353245124121666147',10404,'545',54.08,1,2,1),(20,5131111,'1992-05-06 00:00:00',4,8,12,2009,'F','N','CENTRO HISTORICO','PARANAGUÁ','PR','616162161236111421448732574344610123154',NULL,'9998',0.00,1,3,NULL),(20,5131120,'1990-08-08 00:00:00',4,4,12,2007,'F','N','ALVORADA','XAXIM','SC','124241241212473411559913575124610141142',3365,'185',71.29,1,3,NULL),(20,5131138,'1991-11-20 00:00:00',4,10,12,2009,'F','N','CENTRO','IMBITUBA','SC','124241241115141431423619292122610127147',NULL,'1034',22.65,1,3,NULL),(20,5131146,'1992-03-25 00:00:00',2,17,12,2009,'F','N','BOM JESUS','ITAIÓPOLIS','SC','124241241224111431433833395124610126172',NULL,'1024',0.00,1,3,NULL),(20,5131154,'1992-08-29 00:00:00',4,8,12,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241217122411359932572122610127143',NULL,'1063',31.96,3,3,NULL),(20,5131162,'1990-07-29 00:00:00',4,1,12,2009,'M','N','BUTANTÃ','S PAULO','SP','125252251217121431589911572124610132172',5676,'9998',63.50,1,3,NULL),(20,5131170,'1990-10-27 00:00:00',2,1,12,2007,'F','N','BELA VISTA','S JOSÉ','SC','124051051116271411655539341124133222172',14426,'9998',46.93,4,1,1),(20,5131189,'1992-05-06 00:00:00',4,9,11,2009,'M','N','VILA NOVA','LAGES','SC','124241241115271431426332572222610136177',NULL,'935',26.75,1,2,1),(20,5131197,'1993-08-26 00:00:00',4,4,11,2010,'M','S','CENTRO','CHAPECÓ','SC','124242241217151421448739572112510118122',NULL,'168',46.42,1,3,NULL),(20,5131200,'1992-10-02 00:00:00',4,15,12,2009,'M','N','FLORESTA','LAJEADO','RS','120202201216371431568911571122610127043',NULL,'9998',45.55,1,3,NULL),(20,5131219,'1963-04-08 00:00:00',2,1,12,1983,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224212217417272431238654412114610123182',NULL,'9998',0.00,1,3,NULL),(20,5131227,'1989-01-13 00:00:00',2,1,12,2006,'F','N','FREITAS','PAULO LOPES','SC','624241241226471711523417271114610168057',15471,'262',43.76,1,3,NULL),(20,5131235,'1991-08-02 00:00:00',4,8,12,2009,'M','N','JARDIM ELDORADO','PRES PRUDENTE','SP','125252251216111411689814575112610167047',NULL,'9998',0.00,1,3,NULL),(20,5131243,'1990-08-14 00:00:00',4,1,12,2007,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124242248215514731446633575122610124017',12359,'270',53.65,1,3,NULL),(20,5131251,'1989-12-19 00:00:00',2,1,12,2006,'M','N','CENTRO','CIANORTE','PR','116164161217571751448833571121610167057',1236,'9998',80.05,1,3,NULL),(20,5131278,'1983-07-06 00:00:00',4,1,12,2000,'F','N','JARDIM IPIRANGA','PTO ALEGRE','RS','120202201216571751336721445124341322147',13784,'9998',50.76,1,3,NULL),(20,5131286,'1992-10-21 00:00:00',4,1,10,2009,'M','N','CAMPINAS','S JOSÉ','SC','124244241215122431568813472125610127092',823,'723',82.32,4,3,NULL),(20,5131294,'1991-07-01 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241214573431688813571114610167111',7387,'270',60.53,4,3,NULL),(20,5131308,'1988-08-25 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241111574411331827575121221467131',9720,'307',58.70,1,2,1),(20,5131316,'1991-04-28 00:00:00',4,8,12,2008,'M','N','SAGUAÇU','JOINVILLE','SC','124242241217471431489931572115610164122',2563,'457',74.40,1,3,NULL),(20,5131324,'1992-01-06 00:00:00',4,1,12,2009,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241436112411446659395124610164041',8317,'883',58.46,1,3,NULL),(20,5131332,'1992-02-04 00:00:00',4,6,11,2009,'M','N','CENTRO','BAL PIÇARRAS','SC','124242241215371441226842321124610168012',12386,'1026',53.59,1,3,NULL),(20,5131340,'1991-02-26 00:00:00',4,7,12,2008,'M','N','CETRO','CAPINZAL','SC','124241241111271731427424345123610167077',NULL,'156',26.55,1,2,1),(20,5131359,'1992-07-17 00:00:00',4,1,11,2009,'F','N','CENTRO','S JOSÉ','SC','124243241215111731468831575114610142171',6044,'270',61.67,1,3,NULL),(20,5131375,'1984-09-22 00:00:00',4,1,12,2001,'M','N','LAGO NORTE','LG NORTE','DF','107072071216572421558813315122341267186',2661,'9998',74.09,3,3,NULL),(20,5131383,'1992-03-26 00:00:00',4,2,12,2009,'F','N','CENTRO','PRES GETÚLIO','SC','124241241125131431533515142122610128147',NULL,'644',0.00,1,2,1),(20,5131391,'1985-07-29 00:00:00',4,1,11,2002,'M','N','CAMPESTRE','STO ANDRÉ','SP','125254251215571431668811471115142464127',2111,'9998',76.32,1,3,NULL),(20,5131405,'1992-09-15 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113431348814475122610164032',2612,'1022',74.27,1,3,NULL),(20,5131421,'1993-04-21 00:00:00',2,5,11,2010,'F','S','RIO MAINA','CRICIÚMA','SC','124242248215111431536634342122613264147',NULL,'226',53.19,1,3,NULL),(20,5131430,'1992-03-28 00:00:00',4,8,10,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241215122411369732575122610136122',2550,'457',74.79,1,3,NULL),(20,5131448,'1983-01-07 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241231472411458812572124121425052',1760,'213',76.99,1,3,NULL),(20,5131456,'1991-09-20 00:00:00',4,1,12,2009,'F','N','SANTA TEREZA','S LEOPOLDO','RS','120202201216111431469619571122610132147',NULL,'9998',0.00,1,3,NULL),(20,5131464,'1992-11-24 00:00:00',4,4,12,2009,'M','N','CENTRO','GUARACIABA','SC','124241241216111121669933432124610146197',11183,'1179',52.79,1,3,NULL),(20,5131480,'1989-10-16 00:00:00',4,8,12,2007,'M','N','NOVA BRASÍLIA','JOINVILLE','SC','124241246212372432435531215122131437057',NULL,'1006',23.73,1,3,NULL),(20,5131499,'1992-03-11 00:00:00',4,10,11,2009,'M','N','CENTRO','IPORÃ OESTE','SC','124243241217121411558611572122610167057',863,'807',82.10,1,3,NULL),(20,5131502,'1991-05-31 00:00:00',4,1,12,2008,'M','N','BOQUEIRÃO','CURITIBA','PR','116161161116571411449713572124242662177',NULL,'9998',0.00,1,2,1),(20,5131510,'1991-05-27 00:00:00',2,1,11,2008,'M','N','FARROUPILHA','PTO ALEGRE','RS','120203201416471731237721292124610167097',11422,'9998',51.73,1,3,NULL),(20,5131529,'1992-11-02 00:00:00',2,1,12,2008,'M','N','VILA PARAGUAIA','FOZ IGUAÇU','PR','116163161217152531478431575112610167047',NULL,'9998',0.00,4,3,NULL),(20,5131545,'1992-03-03 00:00:00',2,1,11,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124243241215131431436913472124610136152',NULL,'1175',0.00,1,3,NULL),(20,5131553,'1990-03-08 00:00:00',4,8,12,2007,'M','N','ITAUM','JOINVILLE','SC','124244246215572731353839394122610162062',2434,'494',75.08,1,3,NULL),(20,5131561,'1992-04-15 00:00:00',4,8,11,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215121431436612395122610162092',15066,'1063',47.67,1,3,NULL),(20,5131570,'1992-01-02 00:00:00',4,1,11,2009,'M','N','ITAJUBA','BARRA VELHA','SC','124242241216112731548812592125613228187',3823,'270',71.30,1,3,NULL),(20,5131596,'1992-10-14 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241215121431469913572114610161137',3423,'299',70.83,1,3,NULL),(20,5131600,'1992-05-28 00:00:00',4,1,12,2009,'M','N','CENTRO','PATO BRAGADO','PR','116161161116151431549933575121610157053',NULL,'9998',0.00,1,3,NULL),(20,5131618,'1991-02-02 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215372411238831575124610167182',2250,'836',75.99,1,3,NULL),(20,5131634,'1959-07-14 00:00:00',4,1,12,1983,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','224201203127151411413358285114133068197',NULL,'9998',17.76,1,2,1),(20,5131642,'1977-06-12 00:00:00',2,1,12,1996,'F','N','COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC','124241246126271431224344245124610166192',7610,'306',60.44,1,2,1),(20,5131650,'1991-07-23 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241115151431358924572122610137142',8819,'267',57.79,1,2,1),(20,5131669,'1992-07-04 00:00:00',4,1,12,2009,'M','N','PAIQUERÊ','VALINHOS','SP','125252251216111751448812245122610162182',NULL,'9998',0.00,1,3,NULL),(20,5131677,'1988-10-09 00:00:00',4,1,12,2005,'M','N','JARDIM ESPLANADA','S JOSÉ CAMPOS','SP','125252256217573332468812271112610167182',3882,'9998',70.16,3,3,NULL),(20,5131685,'1991-07-31 00:00:00',2,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431646823574124610136052',6151,'723',65.49,2,1,2),(20,5131693,'1992-01-23 00:00:00',4,8,12,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116163161316471431536814575124141426147',715,'9998',82.40,1,3,NULL),(20,5131723,'1991-09-04 00:00:00',4,8,11,2009,'F','N','GLÓRIA','JOINVILLE','SC','124242241215111431368613572122610134112',NULL,'1063',0.00,4,3,NULL),(20,5131731,'1993-06-04 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216151431559913372122610143147',NULL,'262',51.94,1,3,NULL),(20,5131740,'1989-02-24 00:00:00',4,1,11,2006,'M','N','VILA SANCHES','S JOSÉ CAMPOS','SP','125252251215571431568813472122610164147',NULL,'9998',NULL,1,3,NULL),(20,5131758,'1992-10-12 00:00:00',4,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241216111431423619275112610114142',14472,'1063',47.44,1,3,NULL),(20,5131766,'1992-04-27 00:00:00',4,1,12,2009,'M','N','COUNTRY','CASCAVEL','PR','116162161217121431369921575112610124122',NULL,'9998',43.68,1,3,NULL),(20,5131774,'1989-05-09 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211575431268713575122231464022',7267,'262',63.29,1,3,NULL),(20,5131782,'1992-09-17 00:00:00',4,6,12,2009,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124244241215141531434711395122610133182',NULL,'967',0.00,1,3,NULL),(20,5131804,'1989-11-13 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124244241317471422648624345124610168147',12431,'732',53.50,1,3,NULL),(20,5131812,'1986-02-18 00:00:00',2,3,12,2003,'F','N','CENTRO','MANDAGUARI','PR','116164161216572751449933574122610168187',2318,'9998',74.10,1,3,NULL),(20,5131820,'1990-08-28 00:00:00',2,1,12,2009,'M','N','FATIMA','CAXIAS SUL','RS','120201201116311331336923495124610137072',NULL,'9998',0.00,1,2,1),(20,5131839,'1991-06-26 00:00:00',2,1,11,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215173431338821575114610162142',15523,'270',46.21,1,3,NULL),(20,5131847,'1971-10-04 00:00:00',2,1,7,1989,'M','N','FORQUILHAS','S JOSÉ','SC','224241246116271421333344345124610124047',15195,'306',47.24,1,2,1),(20,5131855,'1992-06-01 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215271431586812575122610127182',5009,'262',66.99,1,3,NULL),(20,5131863,'1978-02-16 00:00:00',1,1,8,1998,'M','N','SACO GRANDE II','FLORIANÓPOLIS','SC','124243243326133431224348385124613244097',NULL,'68',0.00,1,3,NULL),(20,5131871,'1988-09-12 00:00:00',5,1,12,2006,'F','N','JARDIM JANAÍNA','BIGUAÇU','SC','124251161116143431536611245124610161192',NULL,'9998',18.60,1,2,1),(20,5131880,'1992-07-16 00:00:00',2,4,12,2009,'F','N','UNIÃO','ARATIBA','RS','120201201215111431439614345124610167047',NULL,'9998',27.38,1,3,NULL),(20,5131898,'1992-02-09 00:00:00',2,1,12,2009,'F','N','SAO SEBASTIAO','PALHOÇA','SC','124241241116141132523419295124613226142',NULL,'591',18.00,4,2,1),(20,5131901,'1992-09-10 00:00:00',4,8,12,2009,'F','N','TREMEMBÉ','S PAULO','SP','125252251216471731449729575124610124092',11361,'9998',52.82,1,3,NULL),(20,5131910,'1992-01-27 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241215111731357933472124610162182',4023,'270',70.17,1,3,NULL),(20,5131936,'1991-12-08 00:00:00',2,1,12,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117372731533334575124610164097',8787,'288',60.37,1,2,1),(20,5131944,'1993-02-10 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241217121431438754575124610123095',NULL,'1023',33.13,1,3,NULL),(20,5131979,'1992-02-22 00:00:00',4,1,12,2009,'M','N','SANTA LUCIA','BELO HORIZONTE','MG','113132131216111442469813575122610167032',NULL,'9998',NULL,1,3,NULL),(20,5131987,'1991-09-13 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241237472411458924384124610162197',2020,'262',76.79,1,3,NULL),(20,5131995,'1992-01-13 00:00:00',4,1,12,2009,'M','N','CENTRO','TAMBAÚ','SP','125252251216161431448814271121610126052',7334,'9998',61.02,1,3,NULL),(20,5132010,'1992-06-08 00:00:00',4,3,12,2009,'F','N','CENTRO','ITAPEMA','SC','124241241114271731424821575224610148112',NULL,'406',29.76,1,2,1),(20,5132029,'1991-03-03 00:00:00',2,3,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241116342431625313382124610144147',NULL,'405',22.27,1,2,1),(20,5132037,'1991-07-14 00:00:00',4,8,12,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241235472431568813574111610123017',NULL,'931',0.00,4,3,NULL),(20,5132053,'1991-02-07 00:00:00',4,2,10,2008,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215472431479614575122610167052',5544,'909',65.13,1,3,NULL),(20,5132061,'1986-12-29 00:00:00',4,1,11,2003,'F','N','EMBARE','SANTOS','SP','125252251216141431367719445132343237037',11808,'9998',50.06,1,3,NULL),(20,5132088,'1993-03-27 00:00:00',4,4,12,2009,'F','N','CENTRO','XAXIM','SC','124242241215372431347714495112610134042',7362,'983',59.68,1,3,NULL),(20,5132096,'1990-05-04 00:00:00',4,8,12,2007,'M','N','SANTO ANTONIO','S CAETANO SUL','SP','125252251217571431469914572124610162042',1240,'9998',80.04,1,3,NULL),(20,5132100,'1985-10-15 00:00:00',2,1,12,2003,'M','N','ACLIMAÇÃO','S PAULO','SP','125091091116371431128371375125610144017',NULL,'9998',0.00,1,2,1),(20,5132118,'1992-05-14 00:00:00',2,1,12,2010,'M','S','COQUEIROS','FLORIANÓPOLIS','SC','624243241212111431349814372124610117052',NULL,'270',26.87,1,3,NULL),(20,5132126,'1990-02-23 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124212241217272711588934595122231145187',8207,'270',61.45,1,3,NULL),(20,5132134,'1992-05-25 00:00:00',2,6,11,2009,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124242241215151431366813335122610127042',NULL,'424',25.50,1,3,NULL),(20,5132142,'1991-08-11 00:00:00',4,1,12,2008,'M','N','UNIVERSITARIO','TIJUCAS','SC','124242241125111431446614141121610127052',16213,'783',42.36,1,3,NULL),(20,5132150,'1992-06-25 00:00:00',4,3,12,2009,'F','N','JARDIM ROVERI','LONDRINA','PR','116163161216171431456831574122610166097',1065,'9998',80.56,1,3,NULL),(20,5132169,'1991-09-30 00:00:00',2,1,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116162161216471431548833575115610164177',NULL,'9998',0.00,1,3,NULL),(20,5132177,'1991-12-20 00:00:00',4,6,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241216121431458831474112610126172',10460,'1038',54.85,1,3,NULL),(20,5132185,'1991-03-02 00:00:00',4,1,12,2008,'F','N','CENTRO','TIJUCAS','SC','124242241211273431438933214124610132142',501,'1119',84.60,1,3,NULL),(20,5132193,'1992-08-03 00:00:00',4,4,12,2009,'F','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124241241136141431546914342124610144072',NULL,'169',14.53,1,3,NULL),(20,5132207,'1991-07-11 00:00:00',4,1,12,2008,'M','N','PARQUE RIZZO II','COTIA','SP','125251251217371411467411575112610164182',NULL,'9998',0.00,4,3,NULL),(20,5132215,'1992-02-19 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431449931572122610167092',175,'807',88.49,1,3,NULL),(20,5132223,'1990-07-08 00:00:00',2,3,12,2007,'F','N','JARDIM PRIMAVERA','JACAREÍ','SP','125253251216573431446614575124610142142',8565,'9998',58.40,4,3,NULL),(20,5132231,'1992-10-27 00:00:00',4,1,11,2009,'F','N','CENTRO','STA ROSA','RS','120202201217571431438812571112610132017',12114,'9998',51.16,1,3,NULL),(20,5132240,'1991-12-27 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215373431469617572112610162015',5151,'951',66.27,1,3,NULL),(20,5132274,'1992-06-08 00:00:00',2,1,12,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124242241215111431427632575114610128047',9416,'1022',57.54,1,3,NULL),(20,5132282,'1990-12-20 00:00:00',2,1,12,2008,'M','N','CENTRO','NOVO HAMBURGO','RS','120202203216471411458832421112610137122',8513,'9998',58.83,1,3,NULL),(20,5132290,'1993-09-19 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124242241215111431358814576122610134142',13641,'497',49.38,1,3,NULL),(20,5132304,'1993-01-27 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217122431546814472122610137142',NULL,'1022',37.42,1,3,NULL),(20,5132312,'1990-02-07 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115372431238674375114610164142',15561,'307',46.04,1,2,1),(20,5132320,'1992-05-24 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241214371431228733575124610167182',NULL,'1118',32.93,1,3,NULL),(20,5132339,'1987-03-15 00:00:00',4,1,11,2005,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124244247216132431434613185114610168017',10288,'1003',54.12,1,3,NULL),(20,5132347,'1991-09-29 00:00:00',2,1,12,2008,'M','N','JARDIM PARANÁ','ASSIS CHATEAUBRIAND','PR','116163161235472411436913215121610146092',7138,'9998',63.25,4,3,NULL),(20,5132363,'1991-01-30 00:00:00',2,1,12,2008,'F','N','CENTRO','STA VITÓRIA','MG','113135137616131411325865575122143232182',NULL,'9998',19.12,1,3,NULL),(20,5132371,'1992-08-19 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242248115111421457732575122610135143',6379,'270',64.61,1,3,NULL),(20,5132398,'1990-04-22 00:00:00',4,1,6,2008,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','624242247217173441517811475124233234187',NULL,'9999',0.00,2,3,NULL),(20,5132401,'1992-06-22 00:00:00',2,1,11,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','624242241215111731445513575124610167067',NULL,'269',45.61,2,3,NULL),(20,5132410,'1991-04-05 00:00:00',4,1,12,2009,'M','N','VILA LAUCY','OSASCO','SP','125252251217151421223663372114610115093',10219,'9998',53.00,4,3,NULL),(20,5132436,'1991-07-05 00:00:00',2,1,12,2008,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124243246217131431546734345121610164082',14610,'1119',45.31,1,3,NULL),(20,5132444,'1990-04-30 00:00:00',4,1,11,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124212241215573431346823575124610164042',4387,'270',68.85,1,3,NULL),(20,5132479,'1991-11-07 00:00:00',2,2,12,2009,'F','N','CENTRO','PRES GETÚLIO','SC','124241241215141731449933195121610167072',NULL,'88',0.00,1,3,NULL),(20,5132495,'1991-12-06 00:00:00',4,8,12,2008,'M','N','CENTRO','S BENTO SUL','SC','124242241216472431467713575122610117052',3672,'1178',69.74,1,3,NULL),(20,5132509,'1992-02-25 00:00:00',2,4,12,2009,'F','N','CENTRO','SERRA ALTA','SC','124241241146271431428932575122610137147',NULL,'765',25.98,1,2,1),(20,5132517,'1991-03-25 00:00:00',2,6,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124201241215371431456832195122610167122',9450,'44',57.68,4,1,2),(20,5132525,'1986-07-18 00:00:00',2,3,12,2005,'M','N','MEIA PRAIA','ITAPEMA','SC','624241246117131421523311245125330114117',NULL,'138',12.51,4,3,NULL),(20,5132533,'1992-07-27 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215122431569533575124610125142',14004,'1022',49.18,1,3,NULL),(20,5132541,'1993-03-31 00:00:00',4,1,12,2010,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241212111751469614442124610164125',NULL,'270',48.11,1,3,NULL),(20,5132550,'1991-01-17 00:00:00',2,6,11,2008,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161235571431348829572122610148042',3266,'9998',69.98,1,3,NULL),(20,5132568,'1990-11-01 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215373431458812575122221233052',2095,'262',76.56,1,3,NULL),(20,5132576,'1992-02-25 00:00:00',2,1,12,2009,'F','N','SAO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241215111131433611572324610164187',NULL,'989',19.87,1,3,NULL),(20,5132614,'1991-11-03 00:00:00',4,1,12,2009,'F','N','CENTRO','LGA VERMELHA','RS','120203201217161731448834572122610127057',14181,'9998',47.74,1,3,NULL),(20,5132622,'1992-10-29 00:00:00',4,1,12,2009,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217111452588912594122610146122',4017,'883',68.67,1,3,NULL),(20,5132630,'1987-03-03 00:00:00',4,15,12,2003,'F','N','FLORESTA','PTO ALEGRE','RS','120201201216575431348833575124141027187',2431,'9998',73.81,1,3,NULL),(20,5132649,'1992-05-30 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215273431639811375112610127057',2620,'738',73.71,1,3,NULL),(20,5132657,'1992-05-02 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112431457721572114610147122',2435,'270',74.76,1,3,NULL),(20,5132665,'1976-08-26 00:00:00',4,1,12,1994,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241212373421148729442124122826047',8974,'266',60.02,1,3,NULL),(20,5132673,'1992-03-12 00:00:00',2,1,12,2009,'F','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124242241215141731453432215122610122142',NULL,'1075',21.14,1,3,NULL),(20,5132681,'1985-04-01 00:00:00',2,1,12,2005,'F','N','ALTO RIBEIRAO','FLORIANÓPOLIS','SC','124241247327131421323459245334610165027',NULL,'281',21.84,1,3,NULL),(20,5132690,'1992-02-23 00:00:00',1,2,12,2009,'M','N','CENTRO','IBIRAMA','SC','124241241116161431228921395122610158077',NULL,'348',0.00,1,2,1),(20,5132703,'1991-04-04 00:00:00',4,1,12,2008,'F','N','EMBARÉ','SANTOS','SP','125252251216471711468814572124610128032',3242,'9998',71.46,3,3,NULL),(20,5132711,'1992-09-19 00:00:00',4,8,12,2009,'M','N','AVENTUREIRO','JOINVILLE','SC','124241246212111332668614245124610127031',4934,'1105',68.50,1,3,NULL),(20,5132720,'1993-01-04 00:00:00',4,1,12,2010,'M','S','BOA VISTA','AMERICANA','SP','125252251217151532458812572112610117097',NULL,'9998',20.85,1,3,NULL),(20,5132746,'1991-06-25 00:00:00',2,8,12,2008,'F','N','MERCÊS','CURITIBA','PR','116163161415472431446923574122610126142',3006,'9998',73.50,3,3,NULL),(20,5132754,'1990-03-28 00:00:00',4,1,12,2007,'F','N','LARANJEIRAS','RIO SUL','SC','124241241135372451423314344221610166142',8499,'657',57.66,1,2,1),(20,5132762,'1990-11-13 00:00:00',4,8,12,2008,'M','N','COLONIAL','S BENTO SUL','SC','124243241217142411436732445122231437041',NULL,'974',36.61,1,3,NULL),(20,5132770,'1992-12-03 00:00:00',4,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242248215111431635711572124610164077',10105,'1022',57.95,1,3,NULL),(20,5132789,'1992-03-28 00:00:00',4,1,11,2009,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124241241415272431549911475124610134192',7937,'270',60.45,1,3,NULL),(20,5132797,'1992-05-29 00:00:00',4,1,12,2009,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161217111432659813276122610137073',6206,'9998',63.34,1,3,NULL),(20,5132800,'1991-04-15 00:00:00',2,1,12,2009,'M','N','CENTRO','LAURENTINO','SC','124241243136241521349813245133610164197',NULL,'659',0.00,1,2,1),(20,5132819,'1992-03-01 00:00:00',2,9,12,2009,'F','N','TRAÇADO','URUBICI','SC','124242241216161431438813235122610134142',12234,'817',52.28,1,3,NULL),(20,5132835,'1992-08-04 00:00:00',4,2,11,2009,'F','N','ASILO','BLUMENAU','SC','124242241215371711358834575122610135127',2006,'87',76.89,1,3,NULL),(20,5132843,'1992-05-01 00:00:00',2,1,12,2009,'M','N','FORQUILHAS','S JOSÉ','SC','124241241112141431223321342224610124182',NULL,'733',30.07,1,2,1),(20,5132851,'1992-06-29 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431354821175114610162142',103,'1000',90.00,1,3,NULL),(20,5132860,'1992-09-24 00:00:00',4,1,11,2009,'F','N','NOVA BRASÍLIA','JARAGUÁ SUL','SC','116242161217121411489811575112610161012',8881,'9998',56.64,1,3,NULL),(20,5132886,'1992-05-19 00:00:00',4,2,12,2009,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124244241215122431456611575122610166142',9872,'87',54.89,1,3,NULL),(20,5132916,'1989-03-14 00:00:00',4,1,12,2006,'F','N','CENTRO','MARINGÁ','PR','116162161216575431348823572122610122017',4363,'9998',69.40,1,3,NULL),(20,5132924,'1991-05-03 00:00:00',2,8,12,2008,'F','N','VILA NOVA','JOINVILLE','SC','124241242115351541465713571124610127095',NULL,'24',45.95,1,2,1),(20,5132932,'1991-09-19 00:00:00',4,1,12,2008,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124202241216372431358814575114610127047',NULL,'1048',46.83,1,3,NULL),(20,5132940,'1992-12-11 00:00:00',2,15,12,2009,'F','N','CENTRO','ARARANGUÁ','SC','124243241416151431459923595112610135052',14589,'970',49.03,1,3,NULL),(20,5132959,'1991-07-17 00:00:00',4,9,12,2008,'M','N','UNIVERSITARIO','LAGES','SC','124241241117372421435611572114610111147',NULL,'935',0.00,1,2,1),(20,5132967,'1992-03-07 00:00:00',2,1,12,2009,'F','N','BREJARU','PALHOÇA','SC','124241241115371331246913575124610163142',NULL,'1009',18.60,4,2,1),(20,5132975,'1991-02-13 00:00:00',4,1,12,2008,'F','N','SERTÃO DO IMARUIM','S JOSÉ','SC','124252251224112431437823585124232836142',NULL,'9998',22.67,1,3,NULL),(20,5132983,'1991-02-16 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215474451438836575122610156037',7373,'270',61.31,1,3,NULL),(20,5132991,'1992-07-15 00:00:00',2,4,11,2009,'F','N','CENTRO','S MIGUEL B VISTA','SC','124241241435371531434616595124610134057',NULL,'185',22.03,4,3,NULL),(20,5133009,'1992-03-04 00:00:00',4,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117271451524311295224610164192',7190,'307',62.02,1,2,1),(20,5133017,'1992-09-30 00:00:00',2,1,12,2009,'M','N','VARGEM GRANDE','ÁGUAS MORNAS','SC','124241241116131411423312575121610167057',NULL,'978',38.98,1,2,1),(20,5133025,'1983-05-16 00:00:00',4,1,12,2000,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216112411568812385122321427042',7510,'270',62.78,1,3,NULL),(20,5133033,'1992-08-01 00:00:00',4,15,12,2009,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124244241215371411526634115112610162072',NULL,'26',26.94,1,3,NULL),(20,5133041,'1991-08-26 00:00:00',4,7,11,2009,'M','N','FLORESTA','VIDEIRA','SC','124051241112231411215644245125610146092',NULL,'830',24.03,4,1,1),(20,5133050,'1992-10-01 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217111431359933575122610143112',NULL,'270',27.45,1,3,NULL),(20,5133068,'1992-11-11 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124244241215111751468813375114610122147',NULL,'1022',26.23,1,3,NULL),(20,5133076,'1991-06-20 00:00:00',4,1,11,2009,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124242241215472431458913472124610124142',4145,'836',69.01,1,3,NULL),(20,5133084,'1990-03-28 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431269613572125610167077',1300,'270',79.74,1,3,NULL),(20,5133092,'1992-09-02 00:00:00',4,9,5,2009,'F','N','UNIVERSITÁRIO','LAGES','SC','124242241216371431459931575124610128092',NULL,'497',0.00,1,3,NULL),(20,5133106,'1992-10-19 00:00:00',4,2,11,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124243241215122431446913575124610124142',12467,'1123',50.80,1,3,NULL),(20,5133114,'1992-12-28 00:00:00',4,1,11,2009,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215111431268923572124610127142',188,'270',88.13,1,3,NULL),(20,5133122,'1992-03-13 00:00:00',4,1,11,2009,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215112431489811492122610127073',8581,'270',60.10,1,3,NULL),(20,5133130,'1992-03-25 00:00:00',4,10,11,2009,'M','N','OFICINAS','TUBARÃO','SC','124242241216111431458834575111610117142',4611,'806',68.20,1,3,NULL),(20,5133149,'1984-09-04 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216413411348619495123133227047',12253,'272',49.29,1,3,NULL),(20,5133157,'1993-04-11 00:00:00',4,4,12,2009,'F','N','INTERIOR','QUILOMBO','SC','124241241116151441356933575124610135022',NULL,'648',37.08,1,2,1),(20,5133165,'1992-02-24 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215112411447812571124610138017',10310,'1022',55.81,1,3,NULL),(20,5133173,'1992-09-12 00:00:00',4,1,12,2009,'M','N','PRAIA DO SONHO','PALHOÇA','SC','124201241127131431422611575124610164177',NULL,'595',42.24,1,2,1),(20,5133181,'1992-11-20 00:00:00',2,15,12,2009,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241215371431559911412122610168147',13123,'970',49.55,1,3,NULL),(20,5133203,'1992-08-05 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241112151732533614472114610167015',NULL,'281',26.43,1,3,NULL),(20,5133211,'1989-08-17 00:00:00',4,3,12,2006,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215372431448834575122120362042',8626,'1038',60.70,1,3,NULL),(20,5133220,'1987-08-23 00:00:00',4,1,12,2005,'M','N','BELA VISTA','S JOSÉ','SC','124241241116273431447714495124130237057',13196,'257',49.67,1,2,1),(20,5133238,'1992-06-13 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215123431267739575112610163142',1898,'1022',77.09,1,3,NULL),(20,5133246,'1990-05-24 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124212241212122511239923572124221435172',2924,'262',73.75,1,3,NULL),(20,5133254,'1990-05-31 00:00:00',2,8,12,2007,'F','N','BAIRRO ALTO','CURITIBA','PR','116163161336571431339634572124610163187',NULL,'9998',0.00,1,3,NULL),(20,5133270,'1988-07-05 00:00:00',4,1,11,2005,'M','N','JARDIM AMERICA','S JOSÉ CAMPOS','SP','125251253227571431556612141112610167047',2592,'9998',73.80,1,3,NULL),(20,5133289,'1988-07-17 00:00:00',4,1,12,2005,'M','N','BELA VISTA','S JOSÉ','SC','124241241115471431333849445133610167047',9346,'726',59.34,1,2,1),(20,5133300,'1987-06-18 00:00:00',4,4,12,2004,'F','N','CENTRO','CASCAVEL','PR','116161161116133431426426472324610126057',12530,'9998',50.77,1,2,1),(20,5133319,'1991-06-18 00:00:00',4,1,12,2008,'F','N','MOEMA','S PAULO','SP','125252251215471431558831575124610167072',NULL,'9998',NULL,1,3,NULL),(20,5133327,'1986-03-22 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124204207236132731424811245344610118027',NULL,'9998',45.11,1,3,NULL),(20,5133335,'1992-06-30 00:00:00',2,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124243241215131732546569572114610124057',13323,'1134',47.30,1,3,NULL),(20,5133343,'1990-06-25 00:00:00',4,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124244241142131421123923242121610164187',NULL,'123',24.00,1,3,NULL),(20,5133351,'1992-07-17 00:00:00',4,8,12,2009,'M','N','JARDIM IRIRIU','JOINVILLE','SC','124241241115371411539633575121610117017',16216,'469',42.31,1,2,1),(20,5133360,'1989-04-15 00:00:00',4,1,12,2006,'F','N','ANTONIO BEZERRA','FORTALEZA','CE','106062068217271731435721412124142623147',12326,'9998',53.73,4,3,NULL),(20,5133378,'1992-01-23 00:00:00',4,1,12,2009,'F','N','VILA MARIANA','S PAULO','SP','125252251216271411358824575124610131092',NULL,'9998',0.00,1,3,NULL),(20,5133386,'1992-01-09 00:00:00',4,8,12,2009,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241115331431535331585224610137012',NULL,'469',22.73,1,3,NULL),(20,5133394,'1985-06-01 00:00:00',4,2,12,2002,'F','N','ASILO','BLUMENAU','SC','124241241216355431426634445134610147147',1911,'90',77.23,1,3,NULL),(20,5133408,'1991-06-27 00:00:00',4,8,12,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241211271431438831294121610147017',NULL,'457',50.46,3,3,NULL),(20,5133416,'1988-09-23 00:00:00',4,1,12,2006,'F','N','JARDIM GUAPIRA','S PAULO','SP','125252257236571411438811335122610165077',9452,'9998',56.19,1,3,NULL),(20,5133432,'1992-01-13 00:00:00',4,8,12,2009,'M','N','CENTRO','JOINVILLE','SC','124242241327141751438923342122610145142',NULL,'465',19.16,1,3,NULL),(20,5133440,'1991-11-08 00:00:00',4,1,12,2008,'M','N','JARDIM IRAJÁ','RIBEIRÃO PRETO','SP','125252251211411331458831571122610112122',NULL,'9998',0.00,1,3,NULL),(20,5133459,'1988-03-21 00:00:00',2,1,12,2005,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241136575431646319445234610144092',NULL,'733',27.41,1,2,1),(20,5133467,'1992-01-22 00:00:00',4,15,12,2009,'F','N','CENTRO','IGREJINHA','RS','120202201216371431337824275122610162187',NULL,'9998',0.00,1,3,NULL),(20,5133475,'1992-06-01 00:00:00',4,6,11,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241116131431437714245121610132047',15483,'405',42.10,1,2,1),(20,5133483,'1988-11-14 00:00:00',4,1,7,2007,'M','N','ASA NORTE','BRASÍLIA','DF','107073071117571431489933575122141468012',1638,'9998',76.69,3,3,NULL),(20,5133505,'1989-04-23 00:00:00',2,3,12,2006,'F','N','GLEBA PALHANO','LONDRINA','PR','116164161445571431647834444122610144012',7484,'9998',61.79,1,3,NULL),(20,5133513,'1992-03-07 00:00:00',2,1,12,2008,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241115131431523311172224610168197',NULL,'592',22.99,1,2,1),(20,5133530,'1992-07-31 00:00:00',4,1,12,2009,'F','N','CENTRO','HOLAMBRA','SP','125252251215111431566816475121610118092',NULL,'9998',0.00,1,3,NULL),(20,5133564,'1992-04-13 00:00:00',2,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241216111731448814495122610128141',16126,'226',43.25,1,3,NULL),(20,5133572,'1992-09-22 00:00:00',2,5,10,2009,'F','N','PIO CORREA','CRICIÚMA','SC','124242241216112411346712585112610124053',12486,'226',49.81,1,3,NULL),(20,5133580,'1992-11-23 00:00:00',4,1,11,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124241241115111431436614572121610127042',NULL,'592',26.40,4,2,1),(20,5133599,'1991-11-29 00:00:00',4,1,12,2008,'M','N','CENTRO','IPUMIRIM','SC','124241241126472431556614294114610144052',791,'374',82.58,1,2,1),(20,5133602,'1991-04-08 00:00:00',4,1,12,2008,'M','N','IPIRANGA','CPO BOM','RS','120202201217571411368931571112610164043',4425,'9998',67.64,4,3,NULL),(20,5133610,'1992-09-25 00:00:00',4,1,12,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215123432468823575124610158187',8290,'270',60.69,1,3,NULL),(20,5133629,'1993-01-19 00:00:00',4,1,11,2009,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241217111431439814572122610122192',NULL,'270',27.99,1,3,NULL),(20,5133637,'1992-01-14 00:00:00',2,10,12,2009,'M','N','OFICINAS','TUBARÃO','SC','124241241115271431544419576121610118097',10983,'1034',56.32,1,2,1),(20,5133645,'1993-05-25 00:00:00',4,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217111431379923436122610166072',9546,'270',56.55,1,3,NULL),(20,5133661,'1990-04-06 00:00:00',4,1,12,2008,'M','N','VILA CINTRA','MOGI CRUZES','SP','125251251216471731326319575125610134142',NULL,'9998',0.00,3,3,NULL),(20,5133670,'1992-05-15 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431455834575122610136057',7082,'1169',61.09,1,3,NULL),(20,5133688,'1991-05-29 00:00:00',4,1,12,2008,'M','N','TOBIAS','JOAÇABA','SC','124242241215472411447632425122610162095',NULL,'446',19.82,1,3,NULL),(20,5133696,'1990-10-29 00:00:00',4,1,12,2009,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215573431448823292124610137107',2108,'270',75.42,4,3,NULL),(20,5133700,'1992-03-31 00:00:00',4,8,11,2009,'F','N','CRISTO REI','CURITIBA','PR','116162161215471741449923571114610162015',6063,'9998',63.90,1,3,NULL),(20,5133718,'1990-09-03 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124241241115473431336633285124132914142',12488,'306',51.10,1,2,1),(20,5133726,'1991-07-06 00:00:00',2,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241115471431333339372124610137047',NULL,'298',33.07,4,3,NULL),(20,5133734,'1989-11-28 00:00:00',4,1,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215473741589911294124121447182',316,'457',86.30,1,3,NULL),(20,5133742,'1983-08-14 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','524131137127132721245344342232142164187',NULL,'9998',0.00,1,3,NULL),(20,5133769,'1990-02-11 00:00:00',4,1,12,2007,'M','N','GUARANI','BRUSQUE','SC','124242241215573431369314395124122624182',749,'109',82.90,1,3,NULL),(20,5133785,'1992-04-16 00:00:00',4,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124202241115151431366414372122610123077',10416,'267',55.24,4,3,NULL),(20,5133793,'1990-11-22 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411367921575122610162185',15387,'1169',46.68,1,3,NULL),(20,5133807,'1991-03-20 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116372431336613575124610166192',10900,'267',56.48,1,2,1),(20,5133815,'1992-08-07 00:00:00',4,1,12,2009,'M','N','CAMPESTRE','VIDAL RAMOS','SC','124241242115371431426636572224610167047',NULL,'662',28.65,1,2,1),(20,5133823,'1991-12-27 00:00:00',4,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215153411488419575112610132127',6634,'270',63.38,1,3,NULL),(20,5133858,'1991-11-28 00:00:00',4,1,7,2011,'F','S','VILA NOVA','PALHOÇA','SC','124244243115131411236321175224610111141',NULL,'9997',25.78,1,3,NULL),(20,5133866,'1990-12-28 00:00:00',4,1,12,2008,'M','N','CENTRO','S JOAQUIM BARRA','SP','125122121216471431458614575112610164092',3427,'9998',72.31,1,3,NULL),(20,5133874,'1990-08-08 00:00:00',4,1,12,2008,'F','N','PQ DAS ARAUCARIAS','CAMPINAS','SP','125254251216311431368931571122610143187',NULL,'9998',0.00,1,3,NULL),(20,5133882,'1990-12-17 00:00:00',2,2,12,2009,'M','N','LARANJEIRAS','RIO SUL','SC','124242241117141231436422245122610127097',NULL,'9997',0.00,1,3,NULL),(20,5133904,'1989-08-20 00:00:00',2,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217273711586819275124131064047',8769,'266',60.40,2,1,2),(20,5133912,'1988-12-19 00:00:00',4,1,12,2008,'M','N','CABRAL','CURITIBA','PR','116162161217411731459734571114610167127',NULL,'9998',0.00,1,3,NULL),(20,5133963,'1991-10-12 00:00:00',2,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431567711575122610137127',7664,'1038',62.04,1,3,NULL),(20,5133971,'1992-04-07 00:00:00',4,8,12,2009,'M','N','FLORESTA','JOINVILLE','SC','124241241122131412327739585124610144182',7644,'465',59.20,1,2,1),(20,5133980,'1992-10-03 00:00:00',4,1,12,2009,'F','N','CENTRO','SOROCABA','SP','125252251217112431478811272122610113182',10492,'9998',54.79,1,3,NULL),(20,5134005,'1990-06-28 00:00:00',4,1,11,2007,'F','N','ITAJUBA','BARRA VELHA','SC','124242241215572431548814242122610166152',2970,'392',73.61,1,3,NULL),(20,5134013,'1988-09-10 00:00:00',2,1,12,2006,'M','N','SÃO VICENTE','ITAJAÍ','SC','124241241216575711333364595114610165177',507,'1058',84.45,1,3,NULL),(20,5134021,'1992-10-31 00:00:00',4,16,11,2009,'M','N','CENTRO','CURITIBANOS','SC','124244241215111451388912275222610134182',4786,'881',68.81,1,3,NULL),(20,5134030,'1990-05-18 00:00:00',4,8,12,2007,'F','N','LIBERDADE','S PAULO','SP','125252251216572431488714472122610164096',NULL,'9998',33.82,1,3,NULL),(20,5134048,'1989-09-24 00:00:00',4,8,12,2007,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241215473411579919575122133147147',683,'1063',83.33,1,3,NULL),(20,5134056,'1991-03-13 00:00:00',4,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124244241412313431446933572124610162182',3301,'1011',72.43,2,1,2),(20,5134072,'1989-07-25 00:00:00',4,8,12,2006,'F','N','SAGUAÇÚ','JOINVILLE','SC','124242246216574431478812275122130626187',407,'494',85.30,1,3,NULL),(20,5134080,'1991-07-27 00:00:00',4,1,12,2008,'F','N','MERCÊS','CURITIBA','PR','116252161216471431669414575114610134197',NULL,'9998',0.00,1,3,NULL),(20,5134099,'1992-10-01 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431468924575122610133052',3129,'270',71.44,1,3,NULL),(20,5134102,'1992-06-06 00:00:00',4,4,12,2009,'F','N','CENTRO','XANXERÊ','SC','124241241214111411438923375112610125192',5230,'836',66.17,1,3,NULL),(20,5134110,'1992-02-09 00:00:00',4,3,11,2009,'M','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124242241235371521348931575115610124075',NULL,'1038',32.89,1,3,NULL),(20,5134137,'1992-09-28 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217112431448811492112610111142',12711,'270',49.86,1,3,NULL),(20,5134145,'1992-04-10 00:00:00',4,2,12,2009,'F','N','CENTRO','IBIRAMA','SC','124241241137131431434324345224610125142',NULL,'348',0.00,4,2,1),(20,5134153,'1992-03-23 00:00:00',4,2,12,2009,'M','N','PONTA AGUDA','BLUMENAU','SC','124241241215111731533633375121610122057',11418,'855',52.20,1,3,NULL),(20,5134161,'1991-03-18 00:00:00',4,2,12,2008,'M','N','BELA VISTA','IBIRAMA','SC','124242241216131431324319585112610134147',NULL,'346',25.57,1,3,NULL),(20,5134188,'1992-12-07 00:00:00',4,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215121431489933575122610122072',5367,'270',66.23,1,3,NULL),(20,5134200,'1992-09-08 00:00:00',4,1,11,2009,'M','N','CENTRO','BIGUAÇU','SC','124244241415121231537819575124610124112',11198,'1118',54.50,1,3,NULL),(20,5134218,'1985-10-25 00:00:00',4,1,11,2006,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124204201137151711223444345214610168173',NULL,'9998',0.00,1,3,NULL),(20,5134234,'1982-10-25 00:00:00',4,8,12,1998,'F','N','REBOUÇAS','CURITIBA','PR','116164161317271721358923481122343264097',NULL,'9998',0.00,4,1,2),(20,5134242,'1991-09-11 00:00:00',4,8,10,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241215111431589913572122610123072',4706,'486',68.21,1,3,NULL),(20,5134250,'1992-08-19 00:00:00',4,4,12,2009,'F','N','ENGENHO VELHO','CONCÓRDIA','SC','124241248115141431334935574124610144072',NULL,'196',26.32,1,2,1),(20,5134269,'1992-11-13 00:00:00',2,10,12,2009,'M','N','FÁBIO SILVA','TUBARÃO','SC','124241246217141421359914575122610167062',NULL,'1120',31.45,1,3,NULL),(20,5134277,'1992-03-15 00:00:00',2,5,10,2009,'M','N','CENTRO','URUSSANGA','SC','124243241215112431438933572121610164172',5725,'820',63.72,1,3,NULL),(20,5134285,'1993-04-02 00:00:00',4,1,12,2009,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215112531479813575112610127045',7732,'270',62.36,1,3,NULL),(20,5134293,'1992-01-06 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242248215131331324529572125610132037',14810,'724',43.76,1,3,NULL),(20,5134307,'1992-08-28 00:00:00',4,1,12,2009,'F','N','PALMEIRAS','CAMPINAS','SP','125252251217371431458931571122610166187',1027,'9998',81.17,1,3,NULL),(20,5134315,'1991-12-01 00:00:00',4,4,11,2009,'M','N','CENTRO','NÃO-ME-TOQUE','RS','120202201217151521449931575124610117017',15684,'9998',45.58,1,3,NULL),(20,5134323,'1993-02-17 00:00:00',2,4,12,2009,'F','N','CENTRO','RIQUEZA','SC','124243241315111731534839572344610113097',NULL,'185',23.31,1,3,NULL),(20,5134340,'1992-02-25 00:00:00',2,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124242241215111711326614572121610168182',6707,'737',63.24,1,3,NULL),(20,5134366,'1992-04-23 00:00:00',4,9,11,2009,'M','N','JARDIM MINUANO','S JOAQUIM','SC','124242241215111431358319395124610167147',15254,'1035',47.11,1,3,NULL),(20,5134374,'1992-05-04 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241415112431426633335122610143195',15820,'1118',41.84,1,3,NULL),(20,5134382,'1992-10-26 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241216372731558611375124610164112',NULL,'109',21.61,1,3,NULL),(20,5134390,'1989-12-21 00:00:00',2,8,12,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124241241212472731449613475125610163155',NULL,'494',28.67,1,3,NULL),(20,5134404,'1992-05-24 00:00:00',4,6,11,2009,'F','N','BARRA DO RIO','ITAJAÍ','SC','124242241216371321336711392124610123077',3375,'392',70.20,1,3,NULL),(20,5134412,'1991-05-07 00:00:00',4,2,12,2008,'M','N','SÃO DIMAS','PIRACICABA','SP','125252251217471421586712571122610167042',NULL,'9998',0.00,1,3,NULL),(20,5134420,'1991-01-13 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241212473431469811595122610127042',5619,'497',66.87,1,3,NULL),(20,5134439,'1990-03-17 00:00:00',2,1,12,2007,'M','N','CENTRO','ÁGUAS MORNAS','SC','124241241111133431345311412122610127012',NULL,'307',27.00,1,2,1),(20,5134447,'1991-01-24 00:00:00',4,1,12,2007,'F','N','ARIRIÚ','PALHOÇA','SC','124242241215473751554832576122221562171',37,'723',92.40,1,3,NULL),(20,5134455,'1991-03-18 00:00:00',2,4,12,2009,'M','N','CENTRO','XANXERÊ','SC','124244242217141511554334385122610134052',NULL,'836',21.38,1,3,NULL),(20,5134463,'1992-03-07 00:00:00',2,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241116151451466834575124610164041',NULL,'278',27.46,1,2,1),(20,5134471,'1993-03-02 00:00:00',4,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241135131411533624442124610166192',NULL,'295',23.65,1,2,1),(20,5134480,'1993-02-23 00:00:00',4,9,12,2009,'F','N','CENTRO','VACARIA','RS','120202201215111731358913435122610122192',5270,'9998',64.42,1,3,NULL),(20,5134498,'1992-02-28 00:00:00',4,1,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215111431359612571122610121122',15174,'1022',43.62,1,3,NULL),(20,5134510,'1992-10-01 00:00:00',2,1,12,2009,'M','N','VILA NOVA','IMBITUBA','SC','124241241115271432523231242124610122147',NULL,'359',0.00,1,3,NULL),(20,5134528,'1990-12-22 00:00:00',4,1,12,2008,'M','N','VILA SCHIAVON','PEDERNEIRAS','SP','125251251215471431458614575122610122042',4615,'9998',67.11,1,3,NULL),(20,5134536,'1989-11-16 00:00:00',2,5,11,2007,'F','N','SANTO ANTONIO','CRICIÚMA','SC','124244241215573431437634575124610132071',4559,'210',66.90,4,3,NULL),(20,5134544,'1990-01-28 00:00:00',4,8,12,2007,'F','N','PROGRESSO','S BENTO SUL','SC','124241241216471731538514575122131423052',10199,'974',55.15,1,3,NULL),(20,5134552,'1990-09-19 00:00:00',4,2,12,2008,'F','N','CENTRO','PRES GETÚLIO','SC','124241241117131431536632572112610134197',NULL,'644',23.99,1,2,1),(20,5134560,'1992-07-20 00:00:00',4,2,12,2009,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241217151431669814395124610164062',9131,'88',56.24,1,3,NULL),(20,5134579,'1991-12-23 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124246241215223411256623335124610137042',6431,'1022',62.82,1,3,NULL),(20,5134587,'1985-07-31 00:00:00',5,1,12,2003,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216375431268833595125133263097',6963,'1022',63.91,1,3,NULL),(20,5134595,'1991-07-26 00:00:00',2,4,12,2008,'M','N','INTERIOR','PALMITINHO','RS','120201201112112731323823582124240716042',NULL,'9998',19.29,1,3,NULL),(20,5134609,'1992-02-11 00:00:00',4,1,12,2009,'M','N','PARQUE DAS FONTES','TREMEMBÉ','SP','125252251237321731558821474112610167016',8439,'9998',59.28,3,3,NULL),(20,5134617,'1992-09-29 00:00:00',2,1,12,2009,'F','N','NOSSA S DO ROSÁRIO','S JOSÉ','SC','124241241217371431344734575112610164095',13930,'1036',46.21,1,3,NULL),(20,5134625,'1990-07-05 00:00:00',4,1,12,2008,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215373431469813575114233267111',11606,'270',54.95,1,3,NULL),(20,5134668,'1992-04-15 00:00:00',2,1,11,2009,'F','N','CENTRO','PALMAS','TO','127272271216171411329932575112610167092',NULL,'9997',0.00,1,3,NULL),(20,5134692,'1992-05-20 00:00:00',4,1,12,2009,'M','N','VILA FELIZ','APUCARANA','PR','116162161216271221348613175115610117072',3222,'9998',71.32,1,3,NULL),(20,5134706,'1990-10-13 00:00:00',4,8,12,2007,'M','N','MARIA ISABEL','MARÍLIA','SP','125252251215573731588614575112610167042',NULL,'9998',0.00,4,3,NULL),(20,5134749,'1979-05-31 00:00:00',2,8,12,1997,'F','N','BAIRRO ALTO','CURITIBA','PR','116161161117271731533374142134243224052',10048,'9998',56.07,1,2,1),(20,5134757,'1992-11-05 00:00:00',4,4,12,2009,'F','N','CENTRO','XAXIM','SC','124241241215111731329613472122610123147',NULL,'1081',0.00,1,3,NULL),(20,5134765,'1984-08-21 00:00:00',4,1,12,2002,'M','N','CENTRO','S MIGUEL OESTE','SC','124241241117234731449413392324221267057',7384,'757',63.06,1,2,1),(20,5134773,'1992-08-25 00:00:00',4,1,12,2009,'M','N','DOM JOAQUIM','BRUSQUE','SC','124243241217132431566415575122610128057',5013,'109',67.86,1,3,NULL),(20,5134781,'1991-03-03 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217372431559613376124610165077',14161,'269',50.05,1,3,NULL),(20,5134790,'1992-11-10 00:00:00',4,4,12,2009,'M','N','JARDIM DAS AMÉRICAS','PATO BRANCO','PR','116163161216271741438839175122610162171',NULL,'9998',50.45,1,3,NULL),(20,5134803,'1990-01-04 00:00:00',3,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215274451489913491122231023137',13683,'270',50.97,1,3,NULL),(20,5134811,'1992-07-20 00:00:00',4,2,12,2009,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241217151431669814395124610134052',7309,'88',60.68,1,3,NULL),(20,5134820,'1986-06-09 00:00:00',2,1,12,2003,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241116374421434414445113131427042',13103,'307',52.15,1,2,1),(20,5134838,'1992-09-17 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241217151511547933475122610115097',NULL,'1078',28.63,1,3,NULL),(20,5134846,'1990-05-04 00:00:00',4,1,11,2007,'F','N','JARDIM FLÓRIDA','JACAREÍ','SP','125252251215572741548513572122610162092',3587,'9998',70.81,1,3,NULL),(20,5134862,'1992-02-09 00:00:00',2,8,12,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215111431469711575112610168122',13845,'457',47.16,1,3,NULL),(20,5134870,'1991-12-04 00:00:00',2,15,12,2008,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241117131431533314295122132715187',NULL,'29',19.37,1,2,1),(20,5134889,'1989-02-13 00:00:00',4,1,7,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241115573531437732572124610132017',493,'306',84.64,1,3,NULL),(20,5134897,'1990-05-21 00:00:00',4,8,12,2009,'M','N','ANITA GARIBALDE','JOINVILLE','SC','624243246215111732526679575124610167045',NULL,'1006',28.01,1,3,NULL),(20,5134900,'1992-08-04 00:00:00',4,1,12,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215273431537611214122610164172',7443,'1048',60.83,1,3,NULL),(20,5134919,'1992-06-12 00:00:00',4,3,12,2009,'F','N','AREIAS','TIJUCAS','SC','124241242115371431633336275224610127052',13194,'129',51.99,1,3,NULL),(20,5134927,'1993-12-18 00:00:00',4,1,12,2009,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215112431436937575124610144142',6560,'723',61.64,1,3,NULL),(20,5134935,'1990-04-10 00:00:00',4,1,12,2007,'F','N','SANTA ROSA','PTO UNIÃO','SC','124243241217472441569511575122610163052',1756,'633',77.41,1,3,NULL),(20,5134943,'1992-07-10 00:00:00',4,15,11,2009,'F','N','MORRO CHATO','TURVO','SC','124242241217121431536632374124610136142',NULL,'32',29.17,1,3,NULL),(20,5134951,'1992-01-28 00:00:00',2,1,11,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241117271431446613572124610167042',4636,'271',67.90,1,3,NULL),(20,5134960,'1992-06-06 00:00:00',4,1,12,2009,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091215111431478813572122610122043',11066,'9998',52.14,1,3,NULL),(20,5134978,'1990-09-14 00:00:00',4,1,12,2008,'M','N','RECANTO','VALINHOS','SP','125252253215471431389931572122610167082',1049,'9998',80.10,1,3,NULL),(20,5134986,'1992-02-06 00:00:00',4,6,12,2009,'M','N','DOM BOSCO','ITAJAÍ','SC','124242241215271431578714575122610132142',4390,'1172',68.00,4,3,NULL),(20,5134994,'1991-07-07 00:00:00',4,1,11,2008,'F','N','LIBERDADE','S PAULO','SP','110102101216471431469821575125610126182',12077,'9998',50.71,1,3,NULL),(20,5135001,'1992-08-23 00:00:00',4,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161215411431458811571122610162122',NULL,'9998',0.00,1,3,NULL),(20,5135010,'1992-08-28 00:00:00',4,10,12,2009,'M','N','CENTRO','TUBARÃO','SC','124242241215111431379913575122610126142',3125,'807',70.40,1,3,NULL),(20,5135028,'1991-01-23 00:00:00',4,1,12,2008,'M','N','PASSA VINTE','PALHOÇA','SC','124241241225272421433617242122122312092',NULL,'262',33.71,1,3,NULL),(20,5135036,'1990-09-30 00:00:00',2,1,12,2007,'F','N','BAIRRO IPIRANGA','S JOSÉ','SC','124242241215474411546412575124610137092',11542,'738',54.14,1,3,NULL),(20,5135044,'1992-02-06 00:00:00',2,8,12,2009,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116242161211111441568812572124610117092',5801,'9998',63.48,1,3,NULL),(20,5135052,'1993-02-28 00:00:00',2,5,12,2010,'F','S','CENTRO','ORLEANS','SC','124241241212151431345632291124610143017',NULL,'581',48.04,1,3,NULL),(20,5135060,'1992-07-24 00:00:00',4,10,12,2009,'F','N','VILLAGE','GAROPABA','SC','124201241216371731436663575124610166117',13846,'362',46.86,1,3,NULL),(20,5135079,'1988-01-20 00:00:00',4,1,10,2008,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124243241112271231423629481124610112177',NULL,'739',26.45,1,3,NULL),(20,5135087,'1992-07-01 00:00:00',4,1,11,2009,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241217371431469912275122610137062',8255,'909',59.83,1,3,NULL),(20,5135095,'1990-07-08 00:00:00',2,10,12,2007,'F','N','VILA FLÔR','CAPIVARI BAIXO','SC','124241241116131731444633375124610168147',NULL,'1034',25.89,2,1,1),(20,5135117,'1988-04-14 00:00:00',4,1,12,2006,'M','N','CAMPINAS','S JOSÉ','SC','124243241111273411336933381144610164186',NULL,'307',11.20,1,3,NULL),(20,5135133,'1970-08-10 00:00:00',4,1,12,1989,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','224241243126164421363453485113132222147',NULL,'592',0.00,1,2,1),(20,5135150,'1992-04-18 00:00:00',4,1,11,2009,'M','N','PINDORAMA','IJUÍ','RS','120202201217111431469914275122610164042',11366,'9998',52.76,1,3,NULL),(20,5135176,'1992-08-20 00:00:00',4,1,11,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111331589814575122610162042',6136,'1063',64.91,1,3,NULL),(20,5135184,'1985-08-03 00:00:00',2,1,6,2004,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116372431433313345124610161187',7064,'592',62.17,1,2,1),(20,5135192,'1991-12-08 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431478812592112610167047',3920,'270',70.35,1,3,NULL),(20,5135206,'1987-07-17 00:00:00',2,7,11,2004,'M','N','FLOR DA SERRA','JOAÇABA','SC','124201201116371431459931475124333264047',11403,'9998',52.01,1,2,1),(20,5135214,'1992-11-10 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124241241116141431426514345124610125147',NULL,'257',33.26,1,2,1),(20,5135222,'1989-01-10 00:00:00',4,9,11,2006,'F','N','SAGRADO','LAGES','SC','124242241215575431458713576122233113147',1788,'499',77.64,1,3,NULL),(20,5135230,'1993-06-09 00:00:00',4,7,12,2009,'M','N','FLOR DA SERRA','JOAÇABA','SC','124242241217151411469619575122610167052',5215,'446',67.80,1,3,NULL),(20,5135265,'1992-08-18 00:00:00',2,1,12,2009,'F','N','JARDIM BONFIGLIOLI','S PAULO','SP','125272251217111741438679395124610166112',NULL,'9998',0.00,1,3,NULL),(20,5135273,'1993-07-20 00:00:00',4,1,11,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124252241215111411478813475122610137047',NULL,'270',51.96,1,3,NULL),(20,5135281,'1990-06-06 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241247427131731433331242123610127043',NULL,'977',27.18,1,3,NULL),(20,5135303,'1991-12-24 00:00:00',4,8,12,2009,'M','N','FLORESTA','JOINVILLE','SC','124242241211141512438618575124610137041',NULL,'1105',55.41,1,3,NULL),(20,5135311,'1991-10-14 00:00:00',2,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124201201137371411223474342314610138182',NULL,'9998',27.62,1,2,1),(20,5135320,'1990-12-31 00:00:00',2,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215273431538679175124610166172',2725,'272',73.48,1,3,NULL),(20,5135338,'1991-03-28 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241417274531435933342134610117097',NULL,'307',30.74,1,3,NULL),(20,5135362,'1990-04-19 00:00:00',4,1,12,2007,'M','N','VILA PAVAN','AMERICANA','SP','125253251215572711569711571122610164042',4065,'9998',68.25,1,3,NULL),(20,5135389,'1992-03-02 00:00:00',4,7,12,2009,'M','N','CENTRO','PERITIBA','SC','124241241136131431433933575122610164191',3030,'612',71.76,1,2,1),(20,5135397,'1992-03-18 00:00:00',4,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124242241215112431348821595112610145011',11748,'881',51.87,1,3,NULL),(20,5135400,'1992-03-06 00:00:00',4,6,12,2009,'M','N','SÃO VICENTE','ITAJAÍ','SC','124242241215371441358912595122610167072',8061,'389',60.04,1,3,NULL),(20,5135419,'1991-03-27 00:00:00',4,8,12,2008,'M','N','JARDIM SERIMBURA','S JOSÉ CAMPOS','SP','125252251215471451478831575122610167122',NULL,'9998',0.00,1,3,NULL),(20,5135427,'1991-11-06 00:00:00',2,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241117152411469613576125610145085',7749,'267',59.04,1,2,1),(20,5135443,'1990-12-19 00:00:00',2,10,12,2007,'F','N','PARQUE BRASÍLIA','CACHOEIRINHA','RS','120202201216571431538432575124610136047',2979,'9998',73.09,1,3,NULL),(20,5135451,'1993-04-16 00:00:00',2,1,11,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241215111431327834572114610164197',NULL,'1022',42.13,1,3,NULL),(20,5135460,'1992-02-25 00:00:00',4,1,11,2009,'M','N','CENTRO','STA MARIA','RS','120204201215271431366739575122610127042',7452,'9998',61.93,1,3,NULL),(20,5135478,'1990-12-15 00:00:00',4,1,12,2008,'F','N','VILA MARIANA','S PAULO','SP','125252251217371431468712575115610132077',275,'9998',86.91,1,3,NULL),(20,5135486,'1992-08-14 00:00:00',2,10,12,2009,'F','N','CENTRO','S LUDGERO','SC','124241241116231431434923575122610134052',NULL,'748',25.08,1,2,1),(20,5135494,'1991-11-15 00:00:00',2,1,11,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244248215473531569912575124610117052',13107,'270',52.15,1,3,NULL),(20,5135508,'1992-06-13 00:00:00',2,1,11,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431568613575112610132192',7669,'270',60.92,1,3,NULL),(20,5135524,'1989-09-22 00:00:00',4,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241217372432356521485114610164143',14264,'1011',49.80,1,3,NULL),(20,5135532,'1990-09-14 00:00:00',4,1,11,2008,'F','N','RESIDENCIAL FLORENÇA','RIO CLARO','SP','125252251216471431447712572112610161097',NULL,'9998',0.00,1,3,NULL),(20,5135540,'1988-11-16 00:00:00',4,1,12,2005,'M','N','MOEMA','S PAULO','SP','125252251215571331358831595124610167042',4063,'9998',69.62,1,3,NULL),(20,5135567,'1992-05-27 00:00:00',2,1,11,2009,'F','N','TERRA FRACA','PALHOÇA','SC','124242241216161431536614575122610124072',14922,'989',48.08,1,3,NULL),(20,5135575,'1992-07-06 00:00:00',5,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431469933572122610131097',278,'883',86.88,1,3,NULL),(20,5135583,'1992-01-13 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217111431339933575124610128102',5210,'272',66.86,1,3,NULL),(20,5135591,'1991-12-26 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431479913572122610126192',1961,'270',77.03,1,3,NULL),(20,5135605,'1970-01-17 00:00:00',4,1,12,1987,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241126133131135543235134131024197',15506,'307',46.29,1,3,NULL),(20,5135613,'1991-05-14 00:00:00',2,4,12,2008,'F','N','CENTRO','CURITIBA','PR','116161161216472431449916592122610134147',10328,'9998',54.23,1,3,NULL),(20,5135621,'1990-05-02 00:00:00',2,1,12,2008,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241126131431256424245124610118181',15048,'288',44.48,1,3,NULL),(20,5135648,'1992-02-18 00:00:00',4,4,12,2009,'F','N','FLORESTA','CONCÓRDIA','SC','124242241216211431558812575122610137112',14886,'1001',46.21,1,3,NULL),(20,5135656,'1992-02-08 00:00:00',4,1,11,2009,'F','N','VILA PARAÍSO','GOIÂNIA','GO','109092091215111431586332572122610147073',NULL,'9998',0.00,4,3,NULL),(20,5135664,'1991-11-09 00:00:00',2,1,12,2008,'F','N','FORQUILHAS','S JOSÉ','SC','124241241113372731435534441224610164042',15263,'733',47.08,1,2,1),(20,5135672,'1991-05-30 00:00:00',4,1,11,2008,'M','N','CAXINGUI','S PAULO','SP','125252251217371431267814575114610162012',3192,'9998',70.59,1,3,NULL),(20,5135699,'1993-02-14 00:00:00',4,2,12,2010,'F','S','CENTRO','POMERODE','SC','124242241215121431365833472112610125192',NULL,'624',56.17,1,3,NULL),(20,5135702,'1991-10-14 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112711348821312112610121142',12378,'270',50.00,1,3,NULL),(20,5135729,'1992-06-28 00:00:00',4,1,12,2009,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124242241235113431566631575122610165051',5073,'270',66.83,1,3,NULL),(20,5135737,'1993-11-22 00:00:00',2,1,12,2010,'F','S','SANTO ANTONIO','ITUPORANGA','SC','124244248415111711578832425122610137052',NULL,'9997',0.00,1,3,NULL),(20,5135745,'1991-06-19 00:00:00',2,8,12,2008,'M','N','MERCES','CURITIBA','PR','116163161216471431446826595125610127052',4913,'9998',67.32,1,3,NULL),(20,5135753,'1986-02-18 00:00:00',2,1,11,2003,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124142141217132411218831482324142832037',NULL,'9998',0.00,4,3,NULL),(20,5135761,'1990-02-15 00:00:00',4,3,6,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241237152512447732375112610162192',15991,'967',44.16,1,3,NULL),(20,5135788,'1993-02-03 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241117271431436611212122610143147',NULL,'733',28.47,1,2,1),(20,5135796,'1988-07-12 00:00:00',4,4,12,1996,'M','N','VANEZA','XANXERÊ','SC','124242241212571431458933592122610137042',1504,'836',78.85,1,3,NULL),(20,5135800,'1992-04-09 00:00:00',4,2,12,2009,'F','N','CENTRO','ASCURRA','SC','124244241216371731567612244122610162172',12303,'37',53.77,1,3,NULL),(20,5135826,'1992-06-10 00:00:00',4,1,11,2009,'F','N','BELA VISTA','CASCA','RS','120201201216161431433539574124610147043',NULL,'9998',30.82,1,3,NULL),(20,5135834,'1992-12-11 00:00:00',4,1,12,2009,'F','N','SÃO SEBASTIÃO','S PEDRO ALCÂNTARA','SC','124241241125111731423339295124610112142',NULL,'869',21.61,1,2,1),(20,5135842,'1992-04-04 00:00:00',2,10,11,2009,'F','N','CENTRO','IMBITUBA','SC','124241241215121432458933475122610132142',13193,'807',48.50,1,3,NULL),(20,5135850,'1986-01-29 00:00:00',2,1,12,2002,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241131135441434614481224610167092',8130,'329',61.59,1,2,1),(20,5135869,'1991-09-06 00:00:00',4,1,12,2009,'F','N','LAGOA','FLORIANÓPOLIS','SC','124242241215113431458834572124610132121',5692,'270',65.28,1,3,NULL),(20,5135877,'1991-10-12 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241225112411336411575122610126172',5959,'262',64.80,1,3,NULL),(20,5135885,'1985-01-17 00:00:00',4,1,7,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124212217147141441434463381214610166093',NULL,'9998',26.21,1,3,NULL),(20,5135893,'1989-09-22 00:00:00',2,8,12,2006,'F','N','CENTRO','PNT GROSSA','PR','116161161215573411448613574214610163092',2207,'9998',76.13,1,3,NULL),(20,5135907,'1991-04-24 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117132431225923575114610127047',12260,'307',51.90,2,1,1),(20,5135923,'1991-10-31 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241216473431228834575124610167092',2180,'270',76.24,1,3,NULL),(20,5135931,'1986-01-27 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201116473431228813495124610163187',12921,'9998',52.51,1,2,1),(20,5135940,'1992-08-21 00:00:00',4,8,12,2009,'F','N','BUCAREIN','JOINVILLE','SC','124242241215111431468824572125610147052',15253,'457',47.11,1,3,NULL),(20,5135958,'1991-01-17 00:00:00',2,1,12,2008,'F','N','PORTAO','CURITIBA','PR','116162161211471431438614581124610168142',9234,'9998',57.87,1,3,NULL),(20,5135966,'1989-11-16 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217573431339933485124610122012',7852,'1022',60.48,1,3,NULL),(20,5135974,'1990-06-18 00:00:00',2,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241215271421419934192124610124142',NULL,'988',0.00,1,3,NULL),(20,5135982,'1992-06-04 00:00:00',4,4,12,2009,'F','N','CENTRO','FAXINAL GUEDES','SC','124243241215131751333935575124610145197',4921,'836',67.10,1,3,NULL),(20,5135990,'1990-12-20 00:00:00',4,1,12,2008,'F','N','JARDIM GUAPORÉ','MARINGÁ','PR','116162161216472431458814575122610164181',4334,'9998',68.19,3,3,NULL),(20,5136008,'1990-04-08 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241247141131411224311385324610144095',NULL,'190',17.11,1,3,NULL),(20,5136016,'1992-02-11 00:00:00',2,1,11,2009,'F','N','BELA VISTA','S JOSÉ','SC','124244241215112431668633574122610127147',7836,'270',60.31,1,3,NULL),(20,5136024,'1990-02-28 00:00:00',4,1,12,2007,'F','N','VILA ANDRADE','S PAULO','SP','124252258216574431458611595124610128122',10070,'9998',57.05,1,3,NULL),(20,5136032,'1966-04-09 00:00:00',2,1,12,1991,'M','N','SÃO JOSÉ OPERÁRIO','RIO GRANDE','RS','520201204116153411333639245124343264123',6441,'9998',65.05,1,3,NULL),(20,5136040,'1992-04-28 00:00:00',4,8,11,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215112531469834575122610132042',3902,'1063',68.96,1,3,NULL),(20,5136059,'1987-11-03 00:00:00',2,1,12,2005,'M','N','CAMPINAS','S JOSÉ','SC','124241241345373431344611385124222334042',NULL,'1036',0.00,1,3,NULL),(20,5136067,'1990-05-04 00:00:00',1,1,8,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124282281416371412278923575124610132097',NULL,'9998',0.00,5,3,NULL),(20,5136075,'1992-08-14 00:00:00',4,8,12,2010,'F','S','SANTO ANTONIO','JOINVILLE','SC','124242241217151411449934242112610168017',NULL,'932',60.18,1,3,NULL),(20,5136083,'1993-01-17 00:00:00',4,1,12,2009,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124243241117111531447933575115610167065',16218,'271',42.30,1,3,NULL),(20,5136091,'1992-08-03 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111411468933595114610127055',13895,'1022',48.48,1,3,NULL),(20,5136105,'1989-04-19 00:00:00',4,8,12,2006,'M','N','ZONA DOIS','CIANORTE','PR','116161161216512431556832575125610114181',615,'9998',83.73,1,3,NULL),(20,5136113,'1993-01-11 00:00:00',2,2,12,2009,'M','N','UMBARÁ','CURITIBA','PR','116164161214371411525823595124610166097',1288,'9998',79.08,4,3,NULL),(20,5136121,'1992-06-13 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202241217112431469912575112610164197',5424,'1022',65.53,1,3,NULL),(20,5136148,'1992-11-18 00:00:00',4,1,11,1992,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243241217111431326419575124610138192',1226,'270',80.10,1,3,NULL),(20,5136156,'1991-04-04 00:00:00',2,1,11,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241116142421444623345123131027185',NULL,'271',26.93,1,3,NULL),(20,5136164,'1992-04-20 00:00:00',4,8,12,2009,'M','N','VILA NOVA','JOINVILLE','SC','124241241112132421436633432124610117057',NULL,'475',29.77,1,2,1),(20,5136172,'1992-10-17 00:00:00',4,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217113441468813575112610165172',48,'270',91.61,1,3,NULL),(20,5136180,'1989-01-21 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124252251316142711569933425122220947095',12112,'9998',54.15,1,3,NULL),(20,5136199,'1989-09-24 00:00:00',4,10,12,2007,'M','N','VILLAGE','IMBITUBA','SC','124213217315472431357511375122610147092',NULL,'9998',0.00,1,3,NULL),(20,5136202,'1992-05-19 00:00:00',2,3,12,2009,'F','N','JARDIM UNIVERSITÁRIO','MARINGÁ','PR','116122161216111432474732375122610163077',9209,'9998',56.56,1,3,NULL),(20,5136210,'1992-06-21 00:00:00',4,7,12,2009,'M','N','ITAIBA','CONCÓRDIA','SC','124241242115131421526313435124610144047',14836,'196',44.72,1,3,NULL),(20,5136229,'1991-09-16 00:00:00',4,1,12,2008,'M','N','PARAÍSO','S PAULO','SP','125252251215471412378821575112610127057',2952,'9998',72.33,1,3,NULL),(20,5136237,'1991-02-03 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124241241116271441437533445114610164051',NULL,'733',22.40,1,2,1),(20,5136245,'1989-08-23 00:00:00',5,6,8,2009,'M','N','CENTRO','S JOÃO BATISTA','SC','124241241136131331436319292315610112042',NULL,'9999',0.00,1,3,NULL),(20,5136253,'1992-05-07 00:00:00',4,8,12,2009,'M','N','JARDIM SOFIA','JOINVILLE','SC','624244241215271432458934395124610124011',11706,'861',52.95,1,3,NULL),(20,5136261,'1992-04-30 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111751333639572112610118102',16028,'1022',43.33,1,3,NULL),(20,5136270,'1992-06-19 00:00:00',4,2,11,2009,'M','N','ITAIM BIBI','S PAULO','SP','125252251215111231589912575112610167042',14245,'9998',47.10,1,3,NULL),(20,5136288,'1992-09-22 00:00:00',4,4,12,2009,'M','N','INTERIOR','ITÁ','SC','124243241316211431426923595124610137182',NULL,'384',26.11,1,3,NULL),(20,5136296,'1992-09-24 00:00:00',4,8,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241215161431548413575122610146051',NULL,'967',31.29,1,3,NULL),(20,5136300,'1989-03-11 00:00:00',4,1,12,2005,'F','N','MEDIANEIRA','PTO ALEGRE','RS','120202201117571431336623372124610166187',8363,'9998',59.55,1,3,NULL),(20,5136318,'1987-06-29 00:00:00',4,8,12,2005,'F','N','MERCES','CURITIBA','PR','116163161216571441443932445134610147142',NULL,'9998',0.00,1,3,NULL),(20,5136326,'1991-06-19 00:00:00',2,1,12,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241137132431524339575114610168147',NULL,'307',27.45,1,2,1),(20,5136334,'1993-02-04 00:00:00',4,1,12,2010,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124244241115151431226624575124610134047',NULL,'271',48.31,1,3,NULL),(20,5136342,'1992-05-02 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124242241215471431478913572122610164052',8898,'185',58.63,1,3,NULL),(20,5136350,'1992-02-04 00:00:00',2,1,10,2009,'F','N','ROÇADO','S JOSÉ','SC','124243241215132431446612572124610144072',10528,'723',53.78,4,3,NULL),(20,5136369,'1985-04-30 00:00:00',2,1,12,2002,'M','N','JARDIM PETRÓPOLIS','FOZ IGUAÇU','PR','116161161126132421426314375324141367042',7635,'9998',62.56,4,1,1),(20,5136377,'1992-02-23 00:00:00',4,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431476612575114610123145',6860,'270',62.75,1,3,NULL),(20,5136385,'1992-02-04 00:00:00',2,8,12,2009,'F','N','CERAMARTE','RIO NEGRINHO','SC','124241241315271431426639572224610123197',NULL,'669',17.93,1,3,NULL),(20,5136393,'1982-11-12 00:00:00',2,8,12,1999,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116163161116371411547712471124342525142',NULL,'9998',0.00,1,3,NULL),(20,5136407,'1992-03-07 00:00:00',2,9,12,2009,'F','N','CORAL','LAGES','SC','124242241217152231479911475122610124042',5855,'497',64.56,1,3,NULL),(20,5136415,'1993-06-28 00:00:00',2,1,12,2010,'F','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111431549933572124610133117',NULL,'1050',50.91,1,3,NULL),(20,5136423,'1974-11-15 00:00:00',4,1,12,1992,'M','N','BOM VIVER','BIGUAÇU','SC','124241243126134721223444245122121724183',NULL,'66',28.73,3,2,1),(20,5136431,'1991-12-07 00:00:00',4,8,11,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215121431469913575122610132012',3684,'1063',70.77,1,3,NULL),(20,5136440,'1992-03-22 00:00:00',4,1,11,2009,'M','N','CENTRO','STA ROSA','RS','120202201217131431446923575122610121187',2785,'9998',74.17,1,3,NULL),(20,5136458,'1992-02-16 00:00:00',4,1,11,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215423441269931574124610136182',55,'270',91.39,1,3,NULL),(20,5136466,'1992-10-22 00:00:00',2,4,11,2009,'F','N','VENEZA','XANXERÊ','SC','124242241216111432458614342112610138147',NULL,'836',27.21,1,3,NULL),(20,5136474,'1988-03-21 00:00:00',2,8,12,2005,'F','N','CENTRO','CIANORTE','PR','116162161215371751469812575122142662092',NULL,'9998',0.00,1,3,NULL),(20,5136482,'1991-01-01 00:00:00',4,1,12,2008,'M','N','OCTOGONAL','CRUZEIRO','DF','107072071215471411378923576112610132057',1216,'9998',79.61,1,3,NULL),(20,5136490,'1992-07-02 00:00:00',2,4,11,2009,'F','N','CENTRO','XANXERÊ','SC','124241241235111211536614572122610165057',NULL,'836',27.34,1,3,NULL),(20,5136504,'1985-10-15 00:00:00',4,3,12,2002,'F','N','SANTA CANDIDA','CURITIBA','PR','116163161316571411457831445134342766057',2524,'9998',75.01,1,3,NULL),(20,5136547,'1989-01-04 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241111375441445739375124610167052',11060,'272',56.18,1,3,NULL),(20,5136555,'1991-09-10 00:00:00',4,2,11,2009,'F','N','ASILO','BLUMENAU','SC','124242241211111731549913581122610127112',NULL,'909',0.00,1,3,NULL),(20,5136563,'1992-02-14 00:00:00',4,3,7,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215371431448834575112610167047',7796,'1038',62.23,1,3,NULL),(20,5136571,'1989-07-26 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241126141411336624335123610167087',NULL,'286',23.29,2,2,1),(20,5136580,'1992-09-25 00:00:00',4,4,11,2009,'F','N','PARQUE DAS PALMEIRAS','CHAPECÓ','SC','124241241216274431348931572122610116147',11055,'983',53.61,1,3,NULL),(20,5136598,'1991-06-24 00:00:00',4,8,12,2008,'M','N','TUCURUVI','S PAULO','SP','125252256217471411457714274124610162092',488,'9998',84.46,1,3,NULL),(20,5136601,'1992-11-04 00:00:00',4,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215111411666412472122610137045',12338,'1023',53.70,1,3,NULL),(20,5136610,'1984-03-04 00:00:00',4,1,12,2001,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241216375431269913295123221462182',1871,'300',77.36,3,3,NULL),(20,5136628,'1993-02-17 00:00:00',4,1,12,2010,'F','S','GUIOMAR','ANTÔNIO CARLOS','SC','124241241115111331423635572121610135142',NULL,'21',47.12,1,3,NULL),(20,5136636,'1987-09-25 00:00:00',4,8,12,2005,'M','N','ZONA DOIS','MARINGÁ','PR','116162161216371411458815575122143264112',5491,'9998',67.12,1,3,NULL),(20,5136644,'1990-03-29 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241111132431437613271124610133172',14081,'739',47.53,1,2,1),(20,5136652,'1991-11-22 00:00:00',4,1,11,2009,'M','N','FLORESTA','S JOSÉ','SC','124242241215112431357823175124610136062',10063,'270',54.38,1,3,NULL),(20,5136660,'1990-11-08 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124244241415111751446839575114610137112',15063,'1022',47.17,1,3,NULL),(20,5136687,'1989-03-30 00:00:00',2,1,12,2006,'M','N','NONOAI','PTO ALEGRE','RS','120202201217572731277821195124610164047',577,'9998',83.95,1,3,NULL),(20,5136695,'1993-05-12 00:00:00',4,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124244248115131411337519475122610163017',NULL,'169',16.86,1,3,NULL),(20,5136709,'1991-01-02 00:00:00',4,1,12,2008,'F','N','NOSSA SRA DE FÁTIMA','CAXIAS SUL','RS','120201201116471411333732275324610121077',13753,'9998',45.82,1,2,1),(20,5136717,'1992-12-30 00:00:00',4,3,12,2009,'M','N','CENTRO','HONÓRIO SERPA','PR','116162161215111731656653575124610128072',NULL,'9998',0.00,1,3,NULL),(20,5136725,'1991-10-05 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372431348611575124610128052',1338,'270',79.40,1,3,NULL),(20,5136733,'1985-09-05 00:00:00',2,3,12,2003,'F','N','CENTRO','BAL CAMBORIÚ','SC','124131132117472431237611472122343238197',4517,'9998',67.54,4,2,1),(20,5136741,'1990-09-01 00:00:00',4,3,12,2008,'M','N','MERCÊS','CURITIBA','PR','116162161215471321348714371124610164042',NULL,'9998',26.97,1,3,NULL),(20,5136750,'1990-09-03 00:00:00',4,1,12,2007,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241411573431456929492124133228181',2453,'1022',75.25,1,3,NULL),(20,5136768,'1992-06-26 00:00:00',4,8,11,2009,'M','N','CENTRO','MORRETES','PR','116164161415471411446832575122610165073',2595,'9998',72.85,1,3,NULL),(20,5136784,'1991-06-12 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215472431457934575124130215071',1209,'883',80.18,1,3,NULL),(20,5136792,'1992-04-20 00:00:00',4,2,12,2009,'F','N','VILA NOVA','BLUMENAU','SC','124242241215112431356824572124610133147',6984,'855',61.97,1,3,NULL),(20,5136806,'1991-07-02 00:00:00',2,1,12,2008,'F','N','CENTRO','SANANDUVA','RS','120204201416473431548711572124610162092',NULL,'9998',28.49,1,3,NULL),(20,5136822,'1991-11-01 00:00:00',4,1,11,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241215111431358923575114610165013',4108,'262',67.80,1,3,NULL),(20,5136830,'1991-08-27 00:00:00',4,1,12,2008,'M','N','CAMPO DO GADO','RIO NEGRO','PR','116162161237471121644479195114610124194',NULL,'9998',0.00,1,3,NULL),(20,5136849,'1992-01-16 00:00:00',4,2,12,2009,'M','N','CANOAS','RIO SUL','SC','124242241215151431346933592122610168187',7191,'654',61.56,1,3,NULL),(20,5136857,'1990-12-28 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124163241217574711469613594125610117181',NULL,'270',39.71,1,3,NULL),(20,5136865,'1980-07-02 00:00:00',4,1,12,1997,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216274421458913215124342136112',10,'269',96.20,1,3,NULL),(20,5136873,'1991-04-14 00:00:00',4,1,12,2008,'F','N','CENTRO','CURITIBA','PR','116133161414132431423911575124610124097',12741,'9998',49.71,1,3,NULL),(20,5136890,'1987-02-03 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','125225235334343632363344264223332845187',NULL,'9998',34.00,1,3,NULL),(20,5136903,'1991-01-21 00:00:00',4,8,12,2008,'F','N','GUABIROTUBA','CURITIBA','PR','116162161236471431538833575112610166147',3384,'9998',70.17,1,3,NULL),(20,5136911,'1992-03-11 00:00:00',4,1,11,2009,'F','N','PARQUE ALVORADA','DOURADOS','MS','112122121235121751459811571122610143042',818,'9998',81.63,1,3,NULL),(20,5136920,'1992-05-23 00:00:00',4,1,11,2009,'M','N','CENTRO','PALHOÇA','SC','124242241215271431367813575124610122092',255,'270',87.19,1,3,NULL),(20,5136938,'1992-06-12 00:00:00',4,2,12,2009,'M','N','ESTAÇÃO','ASCURRA','SC','124241241215141431448814345122610122012',7427,'37',60.28,1,3,NULL),(20,5136946,'1992-09-04 00:00:00',4,1,12,2009,'F','N','MORRO DA BINA','BIGUAÇU','SC','124244241122131751428619572122610113017',NULL,'736',17.92,1,3,NULL),(20,5136954,'1991-06-19 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241235472431588813571122610134181',141,'270',89.24,1,3,NULL),(20,5136989,'1993-09-17 00:00:00',2,1,12,2010,'F','S','PANTANAL','FLORIANÓPOLIS','SC','124244241317151732456734575124610137072',NULL,'271',45.13,1,3,NULL),(20,5136997,'1988-09-18 00:00:00',4,1,3,2008,'M','N','PQ VIA NORTE','CAMPINAS','SP','125255217437471431446331445124610127187',4427,'9998',66.31,1,3,NULL),(20,5137004,'1992-11-22 00:00:00',4,5,11,2010,'F','S','CENTRO','SIDERÓPOLIS','SC','124242241215111431458912415122610113142',NULL,'9997',42.02,1,3,NULL),(20,5137012,'1990-02-12 00:00:00',4,1,12,2007,'M','N','AREIAS','S JOSÉ','SC','124241241116131431438831345124131064171',NULL,'257',23.87,1,2,1),(20,5137020,'1991-10-22 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215572441378823595122221437042',215,'262',87.76,1,3,NULL),(20,5137039,'1992-02-01 00:00:00',5,2,12,2009,'M','N','PONTA FINA SUL','NOVA TRENTO','SC','124241241126131431433311355121610128147',NULL,'574',25.45,1,2,1),(20,5137047,'1992-05-30 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215113431469813572122610127112',14742,'270',48.61,1,3,NULL),(20,5137063,'1991-01-28 00:00:00',4,8,12,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215471411446833574124610166172',540,'9998',84.27,1,3,NULL),(20,5137071,'1992-09-23 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124244241215151431248812475124610144052',3939,'213',69.97,1,3,NULL),(20,5137080,'1991-01-10 00:00:00',4,8,1,2009,'M','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252281417471741388932575124610161082',3636,'9998',71.19,1,3,NULL),(20,5137098,'1987-02-19 00:00:00',4,5,12,2005,'M','N','SÃO FRANCISCO','CRICIÚMA','SC','124243241346371431227522385123231442182',10806,'228',53.04,4,3,NULL),(20,5137101,'1994-03-12 00:00:00',4,1,11,2010,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241115111331548713192124610125142',NULL,'9997',16.73,1,3,NULL),(20,5137110,'1992-08-13 00:00:00',4,1,12,2009,'F','N','CENTRO','S JOAQUIM BARRA','SP','125252251215111432578814571122610144092',NULL,'9998',0.00,1,3,NULL),(20,5137128,'1985-08-08 00:00:00',4,1,12,2002,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124251241117373441128612575114221567122',4600,'307',69.29,1,2,1),(20,5137136,'1991-03-25 00:00:00',4,1,11,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215473431469911412124610168112',1824,'270',77.49,1,3,NULL),(20,5137152,'1991-09-12 00:00:00',4,10,11,2009,'M','N','HUMAITA','TUBARÃO','SC','124242241217111411566811315122610128142',7078,'807',63.67,1,3,NULL),(20,5137160,'1991-04-14 00:00:00',4,1,5,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242281415271431448923575124610132187',NULL,'9998',31.73,1,3,NULL),(20,5137179,'1991-05-30 00:00:00',4,8,12,2008,'F','N','VILA MARIANA','S PAULO','SP','125242251217572411467614596115610122097',3357,'932',71.07,1,3,NULL),(20,5137187,'1991-11-21 00:00:00',4,1,12,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124241241115152431437823285124610122052',7621,'592',62.43,1,2,1),(20,5137195,'1991-02-10 00:00:00',4,1,10,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215472731458862575122610128182',9721,'266',58.39,3,3,NULL),(20,5137217,'1992-03-18 00:00:00',2,1,11,2009,'M','N','CENTRO','STO ÂNGELO','RS','120202201216111431435832575112610132182',13060,'9998',49.76,1,3,NULL),(20,5137225,'1988-10-03 00:00:00',2,1,12,2006,'M','N','JARDIM CHAPADÃO','CAMPINAS','SP','125251254116571451448611571124610165057',NULL,'9998',NULL,3,2,1),(20,5137233,'1992-10-13 00:00:00',4,3,11,2009,'F','N','CENTRO','CURITIBA','PR','116164161215121311448933475122610164147',NULL,'9998',0.00,1,3,NULL),(20,5137241,'1992-01-18 00:00:00',2,1,10,2009,'F','N','N SENHORA DO ROSÁRIO','S JOSÉ','SC','124241241215111731327921572124610134012',13155,'723',48.92,1,3,NULL),(20,5137250,'1992-08-01 00:00:00',4,4,12,2009,'M','N','MARIA GORETTI','CHAPECÓ','SC','124242241217121711349632575122610148122',2131,'185',75.15,1,3,NULL),(20,5137268,'1990-09-03 00:00:00',4,1,12,2007,'M','N','ALTO DAS OLIVEIRAS','TELÊMACO BORBA','PR','116164161236372431359911575122121447122',575,'9998',83.98,1,3,NULL),(20,5137276,'1992-02-28 00:00:00',4,1,11,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215122451536961472124610124097',11039,'270',53.75,1,3,NULL),(20,5137284,'1992-06-29 00:00:00',4,2,12,2009,'M','N','TESTO REGA','POMERODE','SC','124241241116272431456933572124610167051',14546,'621',45.74,1,2,1),(20,5137306,'1991-10-10 00:00:00',4,8,12,2008,'M','N','CENTRO','IRAPURU','SP','125254251217471431358813575124610168047',NULL,'9998',0.00,1,3,NULL),(20,5137314,'1991-04-26 00:00:00',4,1,12,2008,'M','N','JARDIM REGINA','RANCHARIA','SP','125252251216371431468912573122610122152',4697,'9998',66.54,1,3,NULL),(20,5137322,'1992-01-18 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161215471431448831575124610167017',1493,'9998',77.45,1,3,NULL),(20,5137330,'1992-06-26 00:00:00',4,4,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124243241217131411434624345122610134017',NULL,'752',22.58,3,3,NULL),(20,5137349,'1990-11-24 00:00:00',2,1,12,2007,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124242241417373751658874346124610124032',NULL,'1036',22.41,1,3,NULL),(20,5137357,'1992-01-20 00:00:00',2,15,12,2009,'F','N','SANGA DA TOCA','ARARANGUÁ','SC','124241243115271531323329172124610123197',NULL,'29',21.07,1,2,1),(20,5137365,'1991-01-18 00:00:00',4,6,12,2008,'F','N','BOQUEIRAO','CURITIBA','PR','116162241215113431358834575122242447072',NULL,'1038',58.03,1,3,NULL),(20,5137373,'1989-07-26 00:00:00',2,3,12,2008,'F','N','ARISTOCRATA','S JOSÉ PINHAIS','PR','116163161417471411336614572114610162097',NULL,'9998',24.23,1,3,NULL),(20,5137381,'1988-05-20 00:00:00',4,8,12,2005,'F','N','PARQUE FEHR','S CARLOS','SP','125251251217511431336414575122140664197',NULL,'9998',NULL,1,3,NULL),(20,5137390,'1991-09-16 00:00:00',4,8,12,2008,'F','N','SÃO CRISTOVÃO','UNIÃO VITÓRIA','PR','116162241215472411537614571124610117072',9536,'632',56.40,1,3,NULL),(20,5137403,'1991-07-24 00:00:00',2,1,12,2008,'F','N','FORQUILHAS','S JOSÉ','SC','124241241137472531326729145124610114147',NULL,'733',26.68,1,2,1),(20,5137411,'1991-07-03 00:00:00',4,8,12,2008,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116162161237471731435531575124610163147',12677,'9998',51.11,1,3,NULL),(20,5137420,'1990-03-13 00:00:00',4,1,12,2007,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241217273431469911475124130446112',6989,'32',63.85,4,3,NULL),(20,5137438,'1992-05-11 00:00:00',4,8,12,2009,'F','N','BUCAREIN','JOINVILLE','SC','124242241215111431489912572112610144185',1974,'1063',76.29,1,3,NULL),(20,5137446,'1987-09-12 00:00:00',2,1,12,2005,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241211373441426714381124610131077',NULL,'944',47.94,1,3,NULL),(20,5137454,'1991-11-04 00:00:00',4,1,12,2009,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241215111411559713575124610162092',4775,'270',67.73,1,3,NULL),(20,5137462,'1992-08-22 00:00:00',2,4,11,2009,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241415211431568612472122610135077',15546,'983',42.22,1,3,NULL),(20,5137470,'1989-02-01 00:00:00',2,8,12,2006,'M','N','BOQUEIRÃO','CURITIBA','PR','116161161115471421533414475114610117147',2201,'9998',74.91,4,2,1),(20,5137489,'1991-12-21 00:00:00',4,1,12,2008,'M','N','JARDIM SÃO CRISTÓVÃO','BRAGANÇA PAULISTA','SP','125122121236472741669911575112610167042',1923,'9998',75.54,1,3,NULL),(20,5137497,'1992-08-19 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215473751546431571124610166181',144,'270',89.17,1,3,NULL),(20,5137500,'1993-01-06 00:00:00',4,4,12,2009,'M','N','CENTRO','MARAVILHA','SC','124242241317131431448413275125610166167',11214,'552',51.32,1,3,NULL),(20,5137527,'1989-03-18 00:00:00',2,4,12,2006,'F','N','PANORAMICO','MARAVILHA','SC','120241241116573431434624575124610123097',14970,'552',44.76,1,2,1),(20,5137535,'1991-05-27 00:00:00',4,1,12,2008,'M','N','RIOTAVARES','FLORIANÓPOLIS','SC','124241241137131421333334245124610124142',NULL,'307',24.77,1,2,1),(20,5137543,'1991-01-21 00:00:00',4,8,12,2008,'M','N','MIRANTE DA LAGOA','MACAÉ','RJ','121212211217112751469919595115241468012',12450,'9998',53.47,1,3,NULL),(20,5137551,'1991-08-16 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431358863572115610122092',2520,'270',75.03,1,3,NULL),(20,5137578,'1991-09-24 00:00:00',4,8,12,2009,'F','N','SANTA CATARINA','JOINVILLE','SC','124242241215122431458923575112610121152',8257,'1063',58.84,1,3,NULL),(20,5137586,'1982-04-05 00:00:00',4,1,12,1999,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216274741489911315122343261065',399,'269',85.38,1,3,NULL),(20,5137594,'1992-08-13 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242243215151451538519575124610137142',12315,'995',53.75,1,3,NULL),(20,5137608,'1992-08-18 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624242241215113431269619275124610134145',4998,'1022',66.61,1,3,NULL),(20,5137616,'1991-10-30 00:00:00',4,1,12,2009,'M','N','GRANJA VIANA','COTIA','SP','125252253217271431468612571122610167042',1736,'9998',77.36,1,3,NULL),(20,5137624,'1989-10-17 00:00:00',4,1,12,2009,'M','N','PARQUE DA FIGUEIRA','CAMPINAS','SP','125251251117411441436411295124610135187',NULL,'9998',0.00,1,2,1),(20,5137659,'1992-03-03 00:00:00',4,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241216211451238819574114610165117',NULL,'44',0.00,1,3,NULL),(20,5137667,'1989-07-02 00:00:00',2,1,12,2006,'F','N','PASSO DE AREIA','STA MARIA','RS','120202071316571731458813595122610164147',5165,'9998',66.00,1,3,NULL),(20,5137675,'1991-08-10 00:00:00',4,1,12,2009,'M','N','COLINAS DO ERMITAGE','CAMPINAS','SP','125252251215111431479933575122610167082',NULL,'9998',30.59,1,3,NULL),(20,5137683,'1991-09-18 00:00:00',4,6,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215372411456632395112613246092',NULL,'1038',37.59,1,3,NULL),(20,5137705,'1991-12-17 00:00:00',4,1,12,2008,'M','N','CENTRO','MARINGÁ','PR','616162161217472431348811175122610124172',2314,'9998',74.98,1,3,NULL),(20,5137713,'1990-10-10 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241147472431448633245124610122147',11442,'818',55.45,1,3,NULL),(20,5137721,'1992-12-20 00:00:00',4,1,11,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217271431228824475124610161053',11069,'269',55.68,4,3,NULL),(20,5137730,'1989-07-10 00:00:00',4,3,12,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215132431358713192125132864012',14655,'44',48.85,1,3,NULL),(20,5137748,'1990-06-13 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241115372431469933575124610128112',NULL,'267',25.36,1,3,NULL),(20,5137756,'1993-05-03 00:00:00',4,1,11,2009,'F','N','CENTRO','CASCAVEL','PR','116203161416121431588913572122610165092',1746,'9998',77.56,1,3,NULL),(20,5137764,'1991-04-09 00:00:00',4,1,12,2008,'F','N','JOAO PAULO II','PRES PRUDENTE','SP','125252251217474421486612575122610163092',526,'9998',84.38,1,3,NULL),(20,5137772,'1990-03-29 00:00:00',4,8,11,2007,'F','N','AGUA VERDE','CURITIBA','PR','116242161215573431348714572114610124177',2112,'9998',76.19,1,3,NULL),(20,5137799,'1941-09-27 00:00:00',2,1,10,1985,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224041017126131411155441215132610164042',NULL,'9998',26.85,4,3,NULL),(20,5137802,'1986-09-30 00:00:00',4,1,7,2005,'M','N','BARREIROS','S JOSÉ','SC','124242247235473431337619385124610127192',4581,'270',68.92,1,3,NULL),(20,5137810,'1989-04-12 00:00:00',4,1,12,2006,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125162161217574431568916571122610167181',3307,'9998',70.50,1,3,NULL),(20,5137829,'1973-08-10 00:00:00',4,1,12,1991,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224253255116573421434843235124132762092',NULL,'9998',0.00,1,3,NULL),(20,5137837,'1989-12-13 00:00:00',2,16,12,2007,'M','N','SÃO JOSÉ','FRAIBURGO','SC','124244241416271431466934345123130247057',NULL,'885',29.82,4,3,NULL),(20,5137845,'1992-02-20 00:00:00',4,10,11,2009,'M','N','DEHON','TUBARÃO','SC','124242248215111431447833575121610127047',12571,'806',50.52,1,3,NULL),(20,5137861,'1992-01-23 00:00:00',4,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115131221325413285124610114191',NULL,'592',29.69,1,2,1),(20,5137870,'1991-04-29 00:00:00',4,1,7,2008,'M','N','MONTE CASTELO','CPO GRANDE','MS','112123121117471731378913596121610165172',2858,'9998',73.94,1,3,NULL),(20,5137896,'1992-04-06 00:00:00',4,2,12,2009,'M','N','CARIJÓS','INDAIAL','SC','124241241137141412423619444121613262047',NULL,'887',0.00,1,2,1),(20,5137900,'1992-01-20 00:00:00',4,8,12,2009,'M','N','JOAO PESSOA','JARAGUÁ SUL','SC','124241241346171431336614245124610167012',12034,'762',50.30,1,3,NULL),(20,5137918,'1991-12-20 00:00:00',4,8,12,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124242241217111431557632591124610161137',NULL,'494',25.63,1,3,NULL),(20,5137926,'1992-08-02 00:00:00',4,8,12,2009,'M','N','CENTRO CIVÍCO','CURITIBA','PR','116162161217111431247924571124610167042',9593,'9998',55.30,1,3,NULL),(20,5137934,'1991-08-27 00:00:00',4,1,12,2008,'M','N','JD RES TIVOLI PARK','SOROCABA','SP','125252251215471731579812572125610167147',1045,'9998',80.35,1,3,NULL),(20,5137942,'1992-11-16 00:00:00',4,1,11,2009,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215111751468734572124610114057',14736,'270',43.83,4,1,2),(20,5137950,'1990-04-21 00:00:00',4,1,12,2007,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241136132431348724245124133262125',NULL,'433',36.03,1,2,1),(20,5137969,'1990-08-31 00:00:00',2,1,12,2007,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241116373431668633585124130827042',8043,'306',58.75,1,2,1),(20,5137977,'1992-02-15 00:00:00',4,1,12,2009,'M','N','EXPOSIÇÃO','CAXIAS SUL','RS','120202201217371431458714271122610167042',NULL,'9998',0.00,1,3,NULL),(20,5137985,'1990-05-27 00:00:00',4,10,12,2009,'M','N','CAPAO DA IMBUIA','CURITIBA','PR','116161161116171221336613395124610124012',NULL,'9998',0.00,1,3,NULL),(20,5137993,'1992-11-26 00:00:00',4,6,12,2009,'M','N','JARDIM BELVEDERE','ARARAS','SP','125251251117571531636431572122610112047',8115,'9998',59.06,1,2,1),(20,5138000,'1989-04-08 00:00:00',2,8,11,2006,'F','N','CENTRO','ASSIS','SP','125252251217571431668811575112610164142',3152,'9998',71.39,1,3,NULL),(20,5138019,'1992-04-02 00:00:00',4,16,10,2009,'M','N','SÃO LUIZ','CURITIBANOS','SC','124241241115141531433933345122610117187',NULL,'239',14.77,1,3,NULL),(20,5138027,'1989-09-14 00:00:00',4,1,12,2006,'M','N','CENTRO','DIADEMA','SP','125252251216571431448834575112610127122',NULL,'9998',0.00,1,3,NULL),(20,5138035,'1990-10-20 00:00:00',2,1,12,2007,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241216373431346624392122610167052',NULL,'262',26.05,1,3,NULL),(20,5138051,'1992-09-28 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241131131431556313345124610122057',NULL,'307',28.12,1,2,1),(20,5138060,'1990-07-23 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116242241215112231148611375124241464187',14789,'446',48.50,1,3,NULL),(20,5138078,'1992-07-01 00:00:00',4,4,12,2009,'M','N','SANTA MARIA','CHAPECÓ','SC','124241241215211431369853575122610127062',15878,'983',44.72,1,3,NULL),(20,5138086,'1990-08-13 00:00:00',2,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241417372431348813575114610168012',13624,'1022',47.99,1,3,NULL),(20,5138094,'1992-04-30 00:00:00',2,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116112161216472751368836595124610114143',NULL,'9998',0.00,1,3,NULL),(20,5138108,'1993-03-19 00:00:00',4,4,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241217161431358811575124610168015',6838,'1179',61.36,1,3,NULL),(20,5138116,'1992-05-16 00:00:00',4,10,12,2009,'M','N','MORRINHOS II','GUARUJÁ','SP','125121251116471431538813375124610168142',NULL,'9998',23.64,1,3,NULL),(20,5138124,'1991-04-14 00:00:00',2,1,6,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244248417271411511623491324132128097',15694,'995',45.54,1,3,NULL),(20,5138132,'1982-01-29 00:00:00',2,1,11,1999,'M','N','FORTALEZA DA BARRA','FLORIANÓPOLIS','SC','123253253226333431224443245123321864096',NULL,'9998',0.00,1,3,NULL),(20,5138140,'1990-09-14 00:00:00',4,8,12,2008,'M','N','VILA MATILDE','S PAULO','SP','125252254217471711238821572115140662192',2490,'9998',75.14,1,3,NULL),(20,5138159,'1991-06-21 00:00:00',4,1,12,2008,'F','N','CENTRO','TIJUCAS','SC','124242241215472431456911572122610136197',3795,'1169',70.08,1,3,NULL),(20,5138167,'1992-03-24 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241115111431458831575112610166192',6078,'273',63.60,1,3,NULL),(20,5138175,'1991-07-21 00:00:00',4,1,12,2008,'F','N','JD VITORIA','GOIÂNIA','GO','109284281415371431487732595122610137012',3168,'9998',70.95,1,3,NULL),(20,5138183,'1991-06-10 00:00:00',4,8,6,2009,'M','N','CENTRO','CURITIBA','PR','116282281216271431449932575124610165092',9514,'9998',56.98,1,3,NULL),(20,5138191,'1991-10-19 00:00:00',4,8,12,2009,'M','N','BOA VISTA','JOINVILLE','SC','124241246237151431346634375122610167142',2082,'1105',76.60,1,3,NULL),(20,5138205,'1992-10-22 00:00:00',4,2,12,2009,'M','N','CENTRO','BLUMENAU','SC','124242241217111431446911575112610117042',5488,'87',66.37,1,3,NULL),(20,5138213,'1990-07-18 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116132411633615341114133221197',16255,'740',41.68,1,3,NULL),(20,5138221,'1988-03-20 00:00:00',4,6,12,2006,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241146131411123614215121133232182',NULL,'425',25.20,1,2,1),(20,5138230,'1990-07-02 00:00:00',2,8,12,2007,'F','N','AGUA VERDE','CURITIBA','PR','116161161415572431533911574124610167147',675,'9998',82.54,1,3,NULL),(20,5138248,'1993-07-09 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124242241237111431468814492122610123145',5503,'497',64.91,1,3,NULL),(20,5138272,'1992-03-28 00:00:00',4,4,12,2009,'F','N','CRUZEIRO','S LOURENÇO OESTE','SC','124241241137151211434334345122610126057',6499,'745',61.42,1,2,1),(20,5138280,'1992-04-27 00:00:00',4,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124243241217151431248924575114610122012',NULL,'1105',0.00,4,3,NULL),(20,5138299,'1985-05-22 00:00:00',2,1,12,2003,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124243241341134431448619245124610167067',13247,'1003',51.87,1,3,NULL),(20,5138302,'1993-06-15 00:00:00',2,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217131731479933377122610167057',NULL,'262',51.55,1,3,NULL),(20,5138310,'1989-01-10 00:00:00',2,1,12,2006,'F','N','CENTRO','BIGUAÇU','SC','124242241215574751444719375124610168057',97,'226',90.16,1,3,NULL),(20,5138329,'1992-01-02 00:00:00',2,1,12,2009,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124201241137371432663535152124610137187',NULL,'298',29.96,1,2,1),(20,5138345,'1990-11-15 00:00:00',2,8,12,2007,'F','N','BAEPENDI','JARAGUÁ SUL','SC','124243241215573431456612574124610166097',2685,'1174',73.57,1,3,NULL),(20,5138361,'1989-08-31 00:00:00',2,1,12,2006,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124201201216575431457614574114131468092',NULL,'9998',46.93,1,3,NULL),(20,5138370,'1993-03-25 00:00:00',2,9,12,2010,'F','S','MARTORANO','S JOAQUIM','SC','124243241215111751424419295122610118192',NULL,'1035',28.97,1,3,NULL),(20,5138388,'1991-10-20 01:00:00',2,5,11,2009,'F','N','SANTA CATARINA','CRICIÚMA','SC','124231241215111221343512572112610135142',NULL,'226',24.00,1,3,NULL),(20,5138396,'1991-10-12 00:00:00',4,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241115131431448714385124610127052',NULL,'271',28.69,1,3,NULL),(20,5138400,'1991-12-19 00:00:00',2,4,12,2009,'M','N','CENTRO','MARIANO MORO','RS','120201202116111431346611595122610127143',NULL,'9998',0.00,1,3,NULL),(20,5138418,'1991-07-29 00:00:00',4,8,12,2008,'M','N','REBOUÇAS','CURITIBA','PR','116162161215471431456632312124610167047',723,'9998',82.46,1,3,NULL),(20,5138434,'1992-10-01 00:00:00',4,5,12,2009,'F','N','COMERCIARIO','CRICIÚMA','SC','124242246217151511449834575124610143057',15248,'188',43.95,1,3,NULL),(20,5138442,'1989-01-18 00:00:00',2,4,12,2006,'M','N','PIONEIRO','PINHALZINHO','SC','124241241135473431436512392112142627127',3721,'1032',70.12,1,2,1),(20,5138450,'1994-03-11 00:00:00',4,9,11,2010,'M','S','UNIVERSITÁRIO','LAGES','SC','124244241217151531488931574122610118142',NULL,'497',49.92,1,3,NULL),(20,5138477,'1991-10-07 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431468834576122610134192',1155,'1050',79.86,4,3,NULL),(20,5138485,'1992-02-11 00:00:00',4,15,12,2009,'M','N','ZONA NOVA','CAPÃO CANOA','RS','120201242115161631443923575124610127117',NULL,'690',25.19,1,2,1),(20,5138493,'1993-01-02 00:00:00',4,3,12,2009,'F','N','CENTRO','CANARANA','MT','111112111217151431378932575121610134057',10604,'9998',53.53,1,3,NULL),(20,5138507,'1992-09-02 00:00:00',4,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241215111431458632595112610117092',1742,'270',77.87,1,3,NULL),(20,5138540,'1993-02-03 00:00:00',4,3,12,2010,'F','S','PIONEIROS','BAL CAMBORIÚ','SC','124242241215121431359939252122610125112',NULL,'9997',45.82,1,3,NULL),(20,5138558,'1990-04-08 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242248216372431369613575122610124045',NULL,'270',25.85,1,3,NULL),(20,5138566,'1991-05-25 00:00:00',2,1,12,2009,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241116271431236623595114610167057',15191,'257',45.15,1,3,NULL),(20,5138574,'1990-07-24 00:00:00',4,8,11,2007,'M','N','VILA SANTA TERESA','S PAULO','SP','125252251235571431487832581125610167117',NULL,'9998',0.00,3,3,NULL),(20,5138582,'1991-11-01 00:00:00',4,1,10,2009,'M','N','MARÍLIA','LGA PRATA','MG','113132131216111411556621274114610162092',NULL,'9998',0.00,4,3,NULL),(20,5138590,'1992-01-14 00:00:00',4,1,11,2009,'F','N','CENTRO','SORRISO','MT','111112111216111431449931572122610122177',NULL,'9998',0.00,1,3,NULL),(20,5138612,'1979-04-21 00:00:00',2,1,12,1996,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241248126244451353619295132120862147',8745,'294',60.46,1,2,1),(20,5138620,'1984-03-04 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624241241126371431223348185124610164047',10045,'50',58.07,1,2,1),(20,5138647,'1991-07-12 00:00:00',4,1,12,2008,'F','N','CENTRO','MARIALVA','PR','116162161217472421636336195124610164147',7739,'9998',59.44,3,3,NULL),(20,5138655,'1991-05-07 00:00:00',4,1,12,2008,'M','N','JARDIM PACAEMBU','CAMPINAS','SP','125254251216471411354934575114610162017',NULL,'9998',0.00,1,3,NULL),(20,5138663,'1990-01-29 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573121227823373124610122147',3695,'270',71.25,1,3,NULL),(20,5138671,'1992-02-14 00:00:00',4,17,12,2009,'M','N','ALTO DE MAFRA','MAFRA','SC','124241241215271431438819595122610117042',10612,'541',53.57,1,3,NULL),(20,5138701,'1992-07-20 00:00:00',2,3,12,2009,'F','N','ZONA TRÊS','UMUARAMA','PR','116161161117271421329873575122610115072',NULL,'9998',29.78,1,3,NULL),(20,5138710,'1992-01-20 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431468513575124610122077',NULL,'738',29.49,1,3,NULL),(20,5138728,'1993-05-09 00:00:00',4,3,12,2010,'F','S','CENTRO','BAL CAMBORIÚ','SC','124242241215121431458831252122610121112',NULL,'9997',48.69,1,3,NULL),(20,5138736,'1992-06-25 00:00:00',4,1,11,2009,'F','N','JARDIM TAQUARAL','S PAULO','SP','125252251217471411469712575122640144012',NULL,'9998',0.00,1,3,NULL),(20,5138744,'1988-01-08 00:00:00',4,8,11,2006,'F','N','XAXIM','CURITIBA','PR','116161161115571531428614274124610124142',NULL,'9998',21.54,1,2,1),(20,5138752,'1991-11-20 00:00:00',4,10,12,2009,'F','N','VILA MOEMA','TUBARÃO','SC','124242241212172731459814592122610136072',6687,'807',62.61,1,3,NULL),(20,5138760,'1991-03-09 00:00:00',4,1,12,2008,'F','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162161215471531569921572122610118092',2758,'9998',73.12,1,3,NULL),(20,5138779,'1991-09-09 00:00:00',2,1,11,2008,'M','N','CENTRO','LAGUNA','SC','124242241217373431648924475124221442172',5031,'807',68.23,1,3,NULL),(20,5138787,'1990-02-15 00:00:00',4,1,12,2007,'M','N','BELA VISTA','BARRETOS','SP','125253251217571411546711584124610122017',5815,'9998',63.29,1,3,NULL),(20,5138795,'1980-05-27 00:00:00',2,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201203112375411123241115123143213063',NULL,'9998',7.17,1,2,1),(20,5138817,'1991-07-08 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241217574411366913572122610167042',341,'738',86.09,1,3,NULL),(20,5138825,'1992-11-22 00:00:00',4,1,11,2009,'M','N','CENTRO SÃO JOSÉ','S JOSÉ','SC','124242247217111431469811575122610132051',3358,'723',70.96,1,3,NULL),(20,5138833,'1992-06-27 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215123431469613576112610143182',2479,'270',75.20,1,3,NULL),(20,5138850,'1991-11-08 00:00:00',1,8,12,2008,'F','N','CABRAL','CURITIBA','PR','116164161237471411359919576124610132097',2579,'9998',74.87,1,3,NULL),(20,5138868,'1990-10-30 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241235372431366834475124231067093',3544,'883',72.04,1,3,NULL),(20,5138876,'1991-11-14 00:00:00',4,1,12,2008,'F','N','CENTRO','MARINGÁ','PR','116162168215371431469933531122610127042',NULL,'9998',0.00,1,3,NULL),(20,5138884,'1992-02-21 00:00:00',2,1,12,2009,'M','N','VILA SUISSA','RIBEIRÃO PIRES','SP','125252251217271331479933235125610167097',10711,'9998',53.45,1,3,NULL),(20,5138892,'1992-01-02 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215121431359913432114610137092',7825,'270',59.85,1,3,NULL),(20,5138906,'1990-04-30 00:00:00',2,3,12,2007,'F','N','BATEL','CURITIBA','PR','116051051216471311334436281124610165077',2290,'9998',75.87,1,3,NULL),(20,5138914,'1989-07-11 00:00:00',4,1,12,2009,'M','N','VILA GRANADA','S PAULO','SP','125252253216151431348813575124610114181',12001,'9998',50.69,3,3,NULL),(20,5138922,'1992-01-05 00:00:00',4,1,11,2009,'M','N','VILA A','FOZ IGUAÇU','PR','116162161216371711345923575114610138094',7390,'9998',61.53,4,3,NULL),(20,5138930,'1992-11-12 00:00:00',4,7,12,2009,'M','N','SÃO SEBASTIÃO','CAMPOS NOVOS','SC','124242241137161531447613242121610128147',NULL,'140',26.35,1,3,NULL),(20,5138949,'1991-10-26 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241231113431579931571122610164093',4007,'270',68.28,1,3,NULL),(20,5138957,'1993-04-14 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241235111441568813574122610116095',2722,'270',74.36,1,3,NULL),(20,5138965,'1991-07-25 00:00:00',4,1,10,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215112431238621196124610124112',8798,'269',60.36,1,3,NULL),(20,5138981,'1992-03-22 00:00:00',2,6,11,2009,'F','N','FAZENDA','ITAJAÍ','SC','124241243115141431347923215124610136091',7617,'129',59.18,1,2,1),(20,5138990,'1991-05-08 00:00:00',4,15,12,2008,'F','N','BOM FIM','PTO ALEGRE','RS','120204201215471431468631271124610126012',3745,'9998',71.03,1,3,NULL),(20,5139007,'1992-11-22 00:00:00',4,1,12,2009,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117161431569313575124610167045',15388,'772',45.14,1,2,1),(20,5139015,'1992-04-06 00:00:00',4,7,11,2009,'M','N','PORTAL DAS VIDEIRAS','VIDEIRA','SC','124244241415112731469819575122610164097',NULL,'969',38.47,1,3,NULL),(20,5139040,'1987-09-23 00:00:00',2,1,12,2004,'M','N','BARREIROS','S JOSÉ','SC','124241241411273731126543131113610125015',10663,'943',56.94,4,3,NULL),(20,5139066,'1992-04-14 00:00:00',4,8,11,2009,'M','N','CENTRO','CURITIBA','PR','116162161215211212478812575115610164127',383,'9998',85.11,1,3,NULL),(20,5139074,'1989-07-05 00:00:00',4,1,12,2007,'M','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125252251217271431468833575122241067047',NULL,'9998',32.37,1,3,NULL),(20,5139082,'1993-03-01 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116164161135271411256627575122610145147',NULL,'9998',0.00,1,3,NULL),(20,5139090,'1992-06-04 00:00:00',2,1,12,2009,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215271431569812296124610128062',NULL,'1048',27.76,1,3,NULL),(20,5139104,'1992-09-22 00:00:00',2,10,11,2009,'M','N','CENTRO','JAGUARUNA','SC','124241241215111431428732375122610127047',14168,'807',47.92,1,3,NULL),(20,5139112,'1991-08-21 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431569914575122610167052',13794,'262',46.60,1,3,NULL),(20,5139139,'1990-12-25 00:00:00',2,4,12,2008,'M','N','CENTRO','PALMITOS','SC','124243248317471331436414341135610144017',NULL,'601',22.33,4,3,NULL),(20,5139155,'1992-04-27 00:00:00',4,1,12,2009,'M','N','CENTRO','S JOSÉ CAMPOS','SP','125252251237111431379811575122610132042',1517,'9998',77.04,1,3,NULL),(20,5139163,'1984-07-05 00:00:00',4,1,6,2003,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124281283117132411326541415124141441012',13472,'9998',51.45,1,3,NULL),(20,5139171,'1992-05-02 00:00:00',4,7,12,2009,'M','N','SANTA TEREZA','VIDEIRA','SC','124242241215131411228924345125610128177',6265,'1080',62.67,1,3,NULL),(20,5139180,'1988-08-01 00:00:00',4,1,11,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215374431469613475112131047062',3525,'1169',70.19,1,3,NULL),(20,5139198,'1992-05-04 00:00:00',2,7,12,2008,'F','N','ITAIBA','CONCÓRDIA','SC','124241241114472431323516573124610146147',14267,'858',47.57,1,2,1),(20,5139201,'1992-06-22 00:00:00',4,8,12,2009,'M','N','CENTRO','JOINVILLE','SC','124242248235111511576612295124610122072',NULL,'1105',0.00,1,3,NULL),(20,5139210,'1991-11-27 00:00:00',4,1,10,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212112431466832575114610142072',7506,'1169',61.16,1,3,NULL),(20,5139228,'1992-06-03 00:00:00',4,3,12,2009,'F','N','DAS NACOES','BAL CAMBORIÚ','SC','124241241416131331646532242122610147077',NULL,'873',28.10,1,3,NULL),(20,5139236,'1992-10-03 00:00:00',4,1,10,2009,'M','N','ÁGUA VERDA','CURITIBA','PR','116164161412421431466932371122610167012',NULL,'9998',24.97,1,3,NULL),(20,5139244,'1991-12-10 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241225112431459914572112610127017',5324,'262',66.99,1,3,NULL),(20,5139252,'1991-08-24 00:00:00',2,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242248216111431479913585112610121092',NULL,'1022',25.90,1,3,NULL),(20,5139279,'1992-01-11 00:00:00',4,1,12,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217151411358823595114610136182',4680,'1022',69.14,1,3,NULL),(20,5139295,'1990-09-08 00:00:00',2,4,12,2007,'M','N','EFAPI','CHAPECÓ','SC','124241241136133451323614375324231564147',NULL,'765',38.90,1,2,1),(20,5139317,'1990-03-27 00:00:00',4,1,12,2007,'M','N','JARDIM RENE','S ROQUE','SP','125256251116372411444619375112610118047',8124,'9998',59.10,4,3,NULL),(20,5139325,'1993-12-06 00:00:00',4,1,12,2010,'F','S','JARDIM EUROPA','ITAPEVA','SP','125252251417132431458823575122610144072',NULL,'9998',49.09,1,3,NULL),(20,5139333,'1992-09-12 00:00:00',4,15,11,2009,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241215322431466832575122610127052',1381,'970',79.36,1,3,NULL),(20,5139341,'1991-12-22 00:00:00',4,3,11,2008,'F','N','SETOR BUENO','GOIÂNIA','GO','109272091216472431569931415125610134092',8896,'9998',60.16,1,3,NULL),(20,5139350,'1992-01-27 00:00:00',4,1,12,2010,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','125252251217321411369934245124610137097',NULL,'9998',51.70,1,3,NULL),(20,5139368,'1991-09-27 00:00:00',4,2,12,2008,'M','N','CENTRO','MARINGÁ','PR','116162161216471531468811574125610167057',8594,'9998',58.51,3,3,NULL),(20,5139376,'1984-10-29 00:00:00',4,1,12,2002,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241216273431478833475124321222075',1131,'269',80.58,1,3,NULL),(20,5139384,'1992-01-11 00:00:00',2,3,12,2008,'F','N','SANTA CRUZ','GUARAPUAVA','PR','116164161416131411526834572324242934022',12141,'9998',49.42,1,3,NULL),(20,5139392,'1992-12-03 00:00:00',4,1,11,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241415111331258312491124610167062',NULL,'270',0.00,1,3,NULL),(20,5139414,'1990-09-24 00:00:00',4,1,12,2007,'F','N','CIDADE JARDIM','JACAREÍ','SP','125252251216571732478934575122610166097',NULL,'9998',0.00,1,3,NULL),(20,5139422,'1986-09-11 00:00:00',2,2,11,2005,'M','N','AGUA VERDE','CURITIBA','PR','116214211437574451368512471114610147187',8535,'9998',60.86,1,3,NULL),(20,5139430,'1984-02-28 00:00:00',2,1,12,2002,'M','N','CACH DO BOM JESUS','FLORIANÓPOLIS','SC','124251251127152411126841215112140237055',15367,'9998',46.73,1,3,NULL),(20,5139457,'1992-06-02 00:00:00',4,7,11,2009,'M','N','CENTRO','JOAÇABA','SC','124242241215141431347832575122610167112',11239,'446',53.82,1,3,NULL),(20,5139473,'1991-03-18 00:00:00',4,1,11,2007,'M','N','JARDIM PAULISTA','CPO GRANDE','MS','112122121216371431369833575124241067046',NULL,'9998',0.00,1,3,NULL),(20,5139490,'1991-06-30 00:00:00',4,10,11,2008,'F','N','DEHON','TUBARÃO','SC','124242241215312431557812575112610163147',6030,'806',64.28,1,3,NULL),(20,5139503,'1987-09-22 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216372431126344345122131464182',10575,'497',57.09,1,3,NULL),(20,5139511,'1987-02-08 00:00:00',2,8,12,2007,'F','N','BELA VISTA','IBAITI','PR','116161161116131431423335482344610127052',10688,'9998',55.20,4,1,1),(20,5139520,'1968-12-07 00:00:00',2,1,12,1986,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','224241241417374412434452272112610166197',NULL,'1169',24.96,1,3,NULL),(20,5139538,'1992-12-21 00:00:00',2,1,11,2009,'M','N','SERRARIA','S JOSÉ','SC','124243241215111432557914595114610127087',15190,'738',45.71,1,3,NULL),(20,5139546,'1991-04-21 00:00:00',4,10,12,2008,'M','N','PASSAGEM','TUBARÃO','SC','124241241147131431533532215111610133172',15939,'801',44.47,1,2,1),(20,5139554,'1991-07-22 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215372431356623342114610163182',10878,'988',56.53,1,3,NULL),(20,5139562,'1989-08-19 00:00:00',2,1,12,2008,'F','N','FAZENDINHA','CURITIBA','PR','116163161246571611428613195224610168117',NULL,'9998',25.54,1,3,NULL),(20,5139570,'1991-07-12 00:00:00',4,8,12,2008,'M','N','PORTAO','CURITIBA','PR','116252161235471431369834575114610137185',566,'9998',82.91,1,3,NULL),(20,5139589,'1993-05-12 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215372431489932575122610135012',2147,'262',76.36,1,3,NULL),(20,5139597,'1990-10-22 00:00:00',4,9,12,2007,'F','N','CONTA DINHEIRO','LAGES','SC','124244241216272431178832595125231432052',NULL,'270',5.70,1,3,NULL),(20,5139600,'1989-01-02 00:00:00',2,1,12,2006,'F','N','GUARUJÁ','PTO ALEGRE','RS','120201201116471411423524285224610132147',NULL,'9998',25.99,1,2,1),(20,5139619,'1991-09-23 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','120204201217472431468931315114610164042',4726,'9998',67.97,1,3,NULL),(20,5139627,'1992-04-09 00:00:00',4,1,12,2009,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124243241217112431447964572122610127147',14921,'883',45.48,1,3,NULL),(20,5139635,'1992-10-24 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202241212111751438812575114610162147',NULL,'270',0.00,1,3,NULL),(20,5139643,'1986-12-11 00:00:00',4,1,12,2004,'M','N','ALDEOTA','FORTALEZA','CE','106062061216571431468833475122142535117',NULL,'9998',0.00,4,3,NULL),(20,5139651,'1992-05-19 00:00:00',4,8,12,2009,'M','N','FLORESTA','JOINVILLE','SC','124242246211272411569614292122610147042',10427,'1105',57.37,1,3,NULL),(20,5139686,'1992-09-26 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151431338613595114610134187',14405,'1022',46.10,1,3,NULL),(20,5139694,'1990-06-15 00:00:00',4,1,12,2008,'F','N','SANTANA','PTO ALEGRE','RS','120204201117471431348834575124610147052',9066,'9998',57.28,1,3,NULL),(20,5139708,'1991-07-02 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242248215272431384622475122610137182',11251,'262',55.81,1,3,NULL),(20,5139716,'1991-12-16 00:00:00',2,1,12,2008,'F','N','FUNDOS','BIGUAÇU','SC','124121241312141431535334345114610128147',NULL,'1088',21.73,1,3,NULL),(20,5139724,'1982-02-22 00:00:00',4,1,11,2000,'F','N','CAMPINAS','S JOSÉ','SC','124221251136414441124344445123121726112',8713,'9998',58.85,1,2,1),(20,5139732,'1984-03-09 00:00:00',2,8,11,2002,'F','N','VILA TARUMA','PINHAIS','PR','116161161236571431544621395114142862147',NULL,'9998',0.00,1,3,NULL),(20,5139740,'1990-07-02 00:00:00',3,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217373231589612572122230265121',4554,'270',69.41,1,3,NULL),(20,5139767,'1990-12-11 00:00:00',4,8,12,2007,'F','N','SÃO LOURENÇO','CURITIBA','PR','116162161211571431459933571122140222142',2013,'9998',76.50,1,3,NULL),(20,5139775,'1990-07-31 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241237373741356819591112130264047',8888,'1098',60.17,1,3,NULL),(20,5139783,'1991-12-10 00:00:00',2,1,12,2009,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215111431358613475124610127052',2866,'262',73.44,1,3,NULL),(20,5139791,'1989-01-01 00:00:00',2,2,12,2005,'M','N','CENTRO','BRUSQUE','SC','124161161116271431421144144235610167187',NULL,'9998',35.11,1,2,1),(20,5139805,'1992-05-15 00:00:00',2,1,10,2009,'M','N','DONA WANDA','S JOSÉ','SC','124241241215121231356923395124610137052',13329,'300',49.52,1,3,NULL),(20,5139813,'1992-09-19 00:00:00',2,8,11,2009,'M','N','ATUBA','CURITIBA','PR','116164161427111531566332572122610147092',NULL,'9998',24.49,1,3,NULL),(20,5139821,'1991-01-03 00:00:00',4,5,11,2008,'F','N','CRISTO REI','COCAL SUL','SC','124241241435472731436632241124610162142',NULL,'820',35.11,1,3,NULL),(20,5139830,'1990-09-20 00:00:00',4,8,11,2008,'M','N','CONDOMINEO SANTA FÉ','VINHEDO','SP','125252251216471411368934575122610162182',7521,'9998',58.97,4,3,NULL),(20,5139856,'1991-05-13 00:00:00',4,2,11,2008,'F','N','PROGRESSO','BLUMENAU','SC','124241241147131411335614345121610162192',NULL,'85',46.72,1,3,NULL),(20,5139864,'1988-10-06 00:00:00',4,1,11,2006,'M','N','POÇAO','CUIABÁ','MT','111112111117572751469933575114610148092',10403,'9998',54.31,1,3,NULL),(20,5139880,'1990-03-29 00:00:00',4,1,12,2007,'M','N','MOOCA','S PAULO','SP','125252251235472411356622481122240934052',NULL,'9998',0.00,1,3,NULL),(20,5139899,'1991-04-14 00:00:00',2,1,12,2007,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124243241216373431447613485124610167147',6666,'1118',64.56,1,3,NULL),(20,5139937,'1985-04-27 00:00:00',4,5,12,2004,'M','N','PRESIDENTE VARGAS','IÇARA','SC','124243241117152411443939345122130732017',NULL,'228',24.71,1,3,NULL),(20,5139945,'1991-03-07 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','120202201211371431538812575124610132192',NULL,'9998',0.00,1,3,NULL),(20,5139953,'1989-08-31 00:00:00',2,1,12,2006,'M','N','SAO LUIS','CEL VIVIDA','PR','116161161116371531624723485115610122064',12149,'9998',50.32,1,2,1),(20,5139970,'1982-08-28 00:00:00',2,1,12,1999,'F','N','ROÇADO','S JOSÉ','SC','124241241126335431543319392224610114092',NULL,'729',30.43,1,2,1),(20,5139988,'1989-08-14 00:00:00',4,1,12,2007,'F','N','SETOR AEROPORTO','GOIÂNIA','GO','109092091214572431369411575122610162096',3250,'9998',71.60,4,3,NULL),(20,5139996,'1992-03-31 00:00:00',4,2,12,2009,'M','N','BAETA NEVES','S BERNARDO CAMPO','SP','125252251245111731246924575114610127047',NULL,'9998',27.00,1,3,NULL),(20,5140005,'1987-02-16 00:00:00',4,1,12,2005,'M','N','PORTAL DE VERSALHES','LONDRINA','PR','116251251221131731523419191122242962097',8335,'9998',61.25,1,3,NULL),(20,5140013,'1990-03-10 00:00:00',4,3,11,2007,'M','N','SETOR BUENO','GOIÂNIA','GO','109272091215472431589931575125610122042',3306,'9998',70.83,1,3,NULL),(20,5140021,'1991-09-08 00:00:00',2,1,12,2008,'M','N','LAGO AZUL','ARAÇOIABA SERRA','SP','125252251215471431389814571122610146112',3896,'9998',68.72,1,3,NULL),(20,5140030,'1989-01-21 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','624161248125232441225644241123610152087',NULL,'285',41.32,4,2,1),(20,5140048,'1986-02-08 00:00:00',2,8,12,2003,'F','N','FREGUESIA DO O','S PAULO','SP','125251251117572711423529472224243237097',11329,'9998',54.68,4,1,1),(20,5140056,'1989-08-11 00:00:00',4,1,12,2006,'M','N','URBANOVA VI','S JOSÉ CAMPOS','SP','125252251235571431468831572122610147047',NULL,'9998',0.00,1,3,NULL),(20,5140072,'1992-04-06 00:00:00',4,1,12,2009,'M','N','CENTRO','MTE APRAZÍVEL','SP','125251251215111141338614345122610164012',9592,'9998',56.37,1,3,NULL),(20,5140080,'1991-06-28 00:00:00',2,8,12,2008,'M','N','BATEL','CURITIBA','PR','116163161114471411449519574124241437112',10595,'9998',54.17,1,3,NULL),(20,5140099,'1992-05-30 00:00:00',4,4,11,2009,'M','N','NAÇÕES','CONCÓRDIA','SC','124241241215111431357823585122610132052',7673,'1000',59.67,1,3,NULL),(20,5140102,'1992-08-17 00:00:00',4,1,12,2009,'M','N','NAÇÕES','FRAIBURGO','SC','124242241215422431588814575112610127052',15680,'885',43.95,1,3,NULL),(20,5140110,'1991-01-18 00:00:00',4,1,12,2008,'F','N','RIO GRANDE','PALHOÇA','SC','124244241215273731233322574324231932072',790,'1022',82.58,4,3,NULL),(20,5140137,'1992-05-12 00:00:00',2,1,12,2009,'F','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241212111431648813572222610117182',NULL,'1014',12.46,1,3,NULL),(20,5140145,'1992-01-09 00:00:00',4,4,11,2009,'M','N','SÍTIO CERCADO','CURITIBA','PR','116162161215411351679832375114610167112',10804,'9998',53.84,1,3,NULL),(20,5140161,'1991-11-03 00:00:00',4,8,12,2009,'M','N','RES VALE DO ARVOREDO','LONDRINA','PR','116162161215111431469811495122610167062',9421,'9998',56.18,3,3,NULL),(20,5140170,'1992-06-16 00:00:00',2,1,12,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241215111431344432145122610133052',NULL,'1014',26.08,1,3,NULL),(20,5140196,'1986-09-24 00:00:00',2,1,8,2006,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241147372431546611216114610167023',NULL,'322',37.76,1,2,1),(20,5140200,'1990-07-27 00:00:00',4,1,12,2008,'M','N','JARDIM ALVES CARNEIR','ARTUR NOGUEIRA','SP','125251251116371122443316575114610162196',NULL,'9998',0.00,1,2,1),(20,5140226,'1987-09-29 00:00:00',4,1,12,2009,'M','N','CAIERA','FLORIANÓPOLIS','SC','224241247127131411223544142344610146192',NULL,'9999',39.46,1,2,1),(20,5140234,'1991-11-06 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161216371431579913485114141523187',3434,'9998',70.80,1,3,NULL),(20,5140250,'1991-01-09 00:00:00',4,1,12,2008,'F','N','CENTRO','CAPINZAL','SC','124241241215472431426923575324121566192',5297,'446',65.64,1,3,NULL),(20,5140269,'1992-08-10 00:00:00',4,8,12,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124243241331141721356819345122610124182',NULL,'464',28.77,4,3,NULL),(20,5140277,'1992-03-14 00:00:00',4,1,12,2010,'F','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217111711368933435122610141132',NULL,'883',56.35,1,3,NULL),(20,5140293,'1983-01-28 00:00:00',4,5,12,2001,'M','N','SANTA CATARINA','CRICIÚMA','SC','124242247216141411328744445122131462041',NULL,'920',22.99,1,3,NULL),(20,5140307,'1991-03-27 00:00:00',4,1,12,2008,'M','N','OCTOGONAL','CRUZEIRO','DF','107072071217151231368821475114241467052',2192,'9998',76.20,1,3,NULL),(20,5140315,'1991-06-10 00:00:00',4,3,12,2008,'M','N','RIO LAGEADO','CHAP LAGEADO','SC','124241242116141441333923452122610143147',NULL,'662',28.84,1,2,1),(20,5140323,'1991-10-30 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116473731343923575114610127017',NULL,'307',26.96,1,2,1),(20,5140331,'1991-11-18 00:00:00',4,5,12,2009,'M','N','PIO CORREIA','CRICIÚMA','SC','124244246436172431649812575113610117042',NULL,'230',24.82,1,3,NULL),(20,5140340,'1982-08-30 00:00:00',2,1,8,2002,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247616131731429623185122610168047',NULL,'9999',0.00,1,3,NULL),(20,5140358,'1992-02-24 00:00:00',4,8,12,2008,'F','N','BACACHERI','CURITIBA','PR','116163161315571431459711384114610164147',2569,'9998',74.70,1,3,NULL),(20,5140366,'1991-05-07 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124244248417111211337662285124613217112',15129,'951',47.48,1,3,NULL),(20,5140374,'1990-06-27 00:00:00',4,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116272731426614341124610124147',NULL,'592',27.97,1,2,1),(20,5140390,'1991-06-30 00:00:00',4,1,12,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215472421239923575112610136017',9590,'486',57.36,4,3,NULL),(20,5140412,'1988-03-16 00:00:00',2,1,12,2005,'M','N','UVARANAS','PNT GROSSA','PR','116161161126141411656312245122240232076',NULL,'9998',0.00,4,2,1),(20,5140420,'1992-12-09 00:00:00',2,1,11,2009,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241241215111431446616391124610167047',NULL,'300',19.04,1,3,NULL),(20,5140447,'1991-11-29 00:00:00',4,3,11,2008,'M','N','JD PANORAMA','VINHEDO','SP','125254246216161411437814584132421335144',NULL,'1061',0.00,1,3,NULL),(20,5140455,'1992-10-16 00:00:00',2,5,11,2009,'F','N','PARAGUAI','JACINTO MACHADO','SC','124242241215131431437512575124610167147',NULL,'32',0.00,1,3,NULL),(20,5140463,'1954-01-08 00:00:00',2,1,11,1993,'M','N','CENTRO','FLORIANÓPOLIS','SC','624211217112133711374443435122120867062',NULL,'9998',52.29,1,3,NULL),(20,5140471,'1989-09-14 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215372431466611492114610134187',10903,'270',55.20,1,3,NULL),(20,5140480,'1992-04-22 00:00:00',2,8,12,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241216141431366814385122610117122',NULL,'1105',28.32,1,3,NULL),(20,5140501,'1991-11-09 00:00:00',4,8,12,2008,'F','N','MERCES','CURITIBA','PR','116162161216571431489931572122232463072',NULL,'9998',0.00,1,3,NULL),(20,5140528,'1987-05-17 00:00:00',4,1,12,2006,'F','N','LAGO NORTE','LG NORTE','DF','107072071216374411588839575124221323142',NULL,'9998',28.66,4,1,2),(20,5140544,'1992-11-24 00:00:00',4,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241212112731366812271112610161142',NULL,'737',28.51,1,3,NULL),(20,5140552,'1988-01-31 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124252251215132431558834475122222967042',NULL,'9998',0.00,1,3,NULL),(20,5140560,'1991-04-03 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124243241215112711428678485124233214082',15076,'1022',47.64,1,3,NULL),(20,5140595,'1992-11-28 00:00:00',4,4,12,2009,'F','N','CENTRO','MARAVILHA','SC','124241241134141232447632145122610123197',NULL,'552',28.06,1,2,1),(20,5140617,'1991-02-24 00:00:00',2,9,11,2008,'M','N','CENTRO','LAGES','SC','124241241315371431435832345122610124012',13489,'1065',51.40,4,3,NULL),(20,5140633,'1983-08-16 00:00:00',2,8,12,2000,'F','N','TARUMA','CURITIBA','PR','116253258136131751325623395134610165097',NULL,'9998',23.58,4,3,NULL),(20,5140641,'1991-12-16 00:00:00',2,8,12,2008,'M','N','ATUBA','COLOMBO','PR','116161161315471431435319575124610117072',3337,'9998',71.43,1,3,NULL),(20,5140650,'1984-11-14 00:00:00',2,2,12,2002,'F','N','VILA MADALENA','S PAULO','SP','125252251416471411468834445124142226187',NULL,'9998',0.00,1,3,NULL),(20,5140668,'1991-01-23 00:00:00',4,1,12,2008,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125252251215471711556733575114610142142',1712,'9998',76.54,4,3,NULL),(20,5140676,'1992-09-02 00:00:00',4,15,12,2009,'M','N','IGRA NORTE','TORRES','RS','120201201216151212458923572211610163027',NULL,'9998',21.09,4,3,NULL),(20,5140692,'1992-09-18 00:00:00',4,1,12,2009,'F','N','CENTRO','LONTRAS','SC','124241241117131731525632275124610114057',NULL,'535',NULL,1,2,1),(20,5140706,'1988-05-07 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124253256216132431468834475125222965182',NULL,'9998',0.00,1,3,NULL),(20,5140714,'1992-08-04 00:00:00',2,1,12,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241215271432446833575124610123142',NULL,'1014',22.92,1,3,NULL),(20,5140722,'1988-05-15 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215475441127941216124232062187',9362,'269',56.69,1,3,NULL),(20,5140730,'1988-02-12 00:00:00',4,1,12,2005,'M','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124062061216573431227814485114141437183',6738,'9998',64.41,4,3,NULL),(20,5140757,'1974-03-16 00:00:00',2,1,12,1989,'F','N','KOBRASOL','S JOSÉ','SC','224243241335575421336723485124420663147',7170,'735',63.49,1,3,NULL),(20,5140773,'1991-05-07 00:00:00',4,8,12,2008,'M','N','CENTRO','MARINGÁ','PR','116162251217472431588833575112510167012',4448,'9998',67.06,3,3,NULL),(20,5140781,'1990-06-23 00:00:00',4,1,12,2007,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217273431448812442112231427042',5617,'270',64.81,1,3,NULL),(20,5140803,'1992-09-27 00:00:00',4,1,12,2010,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241215151431368813572122610122147',NULL,'884',33.41,1,3,NULL),(20,5140838,'1991-05-11 00:00:00',2,1,12,2008,'M','N','JARDIM PAULISTA','PITANGUEIRAS','SP','125252251215475431478814592124610112122',NULL,'9998',0.00,1,3,NULL),(20,5140862,'1991-11-18 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','120202201217471431337933294124143246091',3142,'9998',72.10,1,3,NULL),(20,5140870,'1982-06-06 00:00:00',4,8,12,2000,'M','N','JARDIM IRIRIÚ','JOINVILLE','SC','224242243214271711237744345122530742042',8058,'494',61.73,1,3,NULL),(20,5140889,'1992-07-15 00:00:00',2,1,11,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215131431336923592124610144112',11589,'272',54.46,1,3,NULL),(20,5140897,'1991-09-05 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124244241136151731638624245124610167042',NULL,'732',40.79,1,3,NULL),(20,5140919,'1983-10-28 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241345131441326324281324132066187',10740,'270',56.79,1,3,NULL),(20,5140927,'1991-09-18 00:00:00',4,1,11,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241216121431436614572124610117112',NULL,'272',27.96,1,3,NULL),(20,5140935,'1991-01-12 00:00:00',4,8,12,2008,'F','N','FLORESTA','JOINVILLE','SC','124241241216132411366834341122610164112',NULL,'489',42.01,1,3,NULL),(20,5140951,'1991-09-21 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241215473521467812572114610147145',11335,'1022',52.25,4,3,NULL),(20,5140978,'1989-10-03 00:00:00',4,1,11,2007,'F','N','SETOR MARISTA','GOIÂNIA','GO','109092097215472451538832245122610124092',NULL,'9998',0.00,3,3,NULL),(20,5140986,'1991-06-15 00:00:00',4,1,12,2008,'M','N','VIVENDAS','S JOSÉ R PRETO','SP','125252251215471431388821575122610114043',5546,'9998',64.26,1,3,NULL),(20,5141001,'1983-12-14 00:00:00',2,1,12,2000,'F','N','CAMPINAS','S JOSÉ','SC','124242241216152721557811212134323035093',11539,'723',55.25,1,3,NULL),(20,5141010,'1992-09-18 00:00:00',4,4,11,2009,'M','N','CENTRO','CEL FREITAS','SC','124242241347371431349933275122610128041',7472,'169',61.03,1,3,NULL),(20,5141036,'1986-03-31 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211343711438712195124131864187',2934,'262',73.72,1,3,NULL),(20,5141044,'1991-06-25 00:00:00',2,1,12,2007,'F','N','CENTRO','VIDAL RAMOS','SC','124241241116372431443923575124133216047',4978,'828',65.24,1,2,1),(20,5141052,'1990-02-04 00:00:00',2,1,12,2007,'F','N','ARIRIÚ','PALHOÇA','SC','124243241116373411545923473114133244047',9641,'307',56.19,1,3,NULL),(20,5141060,'1990-06-05 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115372431436624342124610167042',NULL,'307',29.47,1,2,1),(20,5141079,'1987-03-11 00:00:00',2,1,12,2004,'F','N','PARK WAY','NUC BANDEIRANTE','DF','107072071217571431569933572112141323097',4515,'9998',67.71,3,3,NULL),(20,5141095,'1991-10-08 00:00:00',2,1,12,2008,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241112272731523433572324610164142',NULL,'307',52.41,1,2,1),(20,5141109,'1987-07-05 00:00:00',4,1,7,2005,'M','N','BOA VISTA','PTO ALEGRE','RS','120202207217271431468813495122140264042',NULL,'9998',29.11,1,3,NULL),(20,5141117,'1990-07-12 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124243241315574431328629572124610127077',9783,'1022',57.46,1,3,NULL),(20,5141125,'1990-07-21 00:00:00',5,3,12,2007,'F','N','JUVEVÊ','CURITIBA','PR','116161161116371411333667345124143244047',NULL,'9998',25.32,1,3,NULL),(20,5141141,'1991-03-03 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241311573411338721575114610163073',9998,'1022',56.75,1,3,NULL),(20,5141176,'1992-06-09 00:00:00',2,8,12,2009,'F','N','BATEL','CURITIBA','PR','116162161215471731458614471112610165087',9495,'1104',56.49,1,3,NULL),(20,5141192,'1990-02-15 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116374741636654385124233264142',12297,'733',52.84,4,2,1),(20,5141206,'1990-11-08 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431438823342124610163182',NULL,'1169',26.51,1,3,NULL),(20,5141222,'1989-06-14 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124241241131134431433319341124122234147',NULL,'730',24.97,1,2,1),(20,5141230,'1990-11-13 00:00:00',4,1,12,2008,'M','N','PARQUE DOS RESEDAS','CAMPINAS','SP','125252251211411431457612375122610167042',9048,'9998',55.69,1,3,NULL),(20,5141273,'1992-01-15 00:00:00',4,1,12,2009,'M','N','CENTRO','CURITIBA','PR','116162161215121431578831574125610117122',NULL,'9998',0.00,1,3,NULL),(20,5141281,'1973-06-03 00:00:00',4,1,12,1990,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','424244246117152421238842424122131064182',3543,'498',72.04,1,3,NULL),(20,5141303,'1990-06-16 00:00:00',4,1,11,2007,'F','N','JARDIM SÃO LUIZ','JARAGUÁ SUL','SC','124242248211413711459832495122231067017',NULL,'270',15.44,1,3,NULL),(20,5141311,'1989-01-03 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217272431569933571124223266045',8744,'299',60.46,1,3,NULL),(20,5141320,'1989-02-16 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','624241241137373231436631315124610117152',NULL,'257',49.02,1,2,1),(20,5141346,'1989-09-20 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241247431131441326348286324610165197',NULL,'9999',16.47,1,3,NULL),(20,5141354,'1992-03-16 00:00:00',4,1,10,2009,'M','N','CENTRO','CURITIBA','PR','116252161215421431688832474112610127043',12162,'9998',51.02,1,3,NULL),(20,5141370,'1993-08-26 00:00:00',4,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161215111431578831575122610128123',NULL,'9998',0.00,1,3,NULL),(20,5141389,'1983-07-09 00:00:00',4,1,12,2004,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124123247446474421476739215122610167112',6476,'9999',64.38,1,3,NULL),(20,5141397,'1991-06-26 00:00:00',4,1,12,2008,'F','N','CENTRO','CARAGUATATUBA','SP','125252251217151531369823575125610148187',16104,'9998',43.40,1,3,NULL),(20,5141419,'1985-08-04 00:00:00',2,1,12,2002,'M','N','CENTRO','STA MARIA','RS','112203201216571431446632475124140217097',2115,'9998',76.50,1,3,NULL),(20,5141427,'1991-07-01 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124201201117472431325632575114231213145',5237,'9998',65.91,1,2,1),(20,5141435,'1965-12-30 00:00:00',4,1,12,1994,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224163246116154431263443335122122266183',13718,'306',50.90,1,3,NULL),(20,5141451,'1992-09-24 00:00:00',2,3,12,2009,'F','N','SÃO FRANCISCO','CAMBORIÚ','SC','124241241117271731533329295124610127047',14707,'130',46.72,1,2,1),(20,5141460,'1991-07-13 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241111472431443325571324610164072',393,'339',85.48,1,2,1),(20,5141478,'1964-01-01 00:00:00',4,1,11,1981,'F','N','JARDIM SÃO LUIZ','JARAGUÁ SUL','SC','224161161117171752458842426132340366147',NULL,'9998',15.73,3,3,NULL),(20,5141486,'1983-02-02 00:00:00',2,1,12,2000,'M','N','SERRARIA','S JOSÉ','SC','124241241126134141331344245134131034087',15309,'66',46.89,1,3,NULL),(20,5141494,'1991-05-04 00:00:00',2,1,12,2008,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215372231469913575124233261187',10390,'262',53.80,1,3,NULL),(20,5141508,'1992-12-19 00:00:00',4,1,12,2009,'M','N','CENTRO','GUARAPUAVA','PR','116162161215471731468833595114610168122',NULL,'9998',0.00,1,3,NULL),(20,5141516,'1991-03-27 00:00:00',2,17,12,2008,'F','N','CAMPO D AGUA VERDE','CANOINHAS','SC','124241241116271411326823375121610118142',16127,'146',40.89,4,2,1),(20,5141524,'1992-05-12 00:00:00',4,1,11,2009,'M','N','ARIRIU','PALHOÇA','SC','124242241215112431586612575112610167042',7827,'1011',62.17,1,3,NULL),(20,5141532,'1985-04-28 00:00:00',2,1,12,2002,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241217373431258729485122320267045',6375,'260',62.66,1,3,NULL),(20,5141540,'1988-09-30 00:00:00',2,1,12,2007,'M','N','JARDIM MONÇÕES','MARINGÁ','PR','116162167146131441125641315223141164112',8653,'9999',60.64,1,3,NULL),(20,5141559,'1992-04-26 00:00:00',4,1,11,2009,'M','N','SÃO JUDAS TADEU','S JOSÉ CAMPOS','SP','125252258236411751446616495124610167047',8766,'9998',57.87,3,3,NULL),(20,5141567,'1991-12-19 00:00:00',4,7,12,2008,'F','N','VILA PARAÍSO','CAÇADOR','SC','124241241116372431426614175125610161187',9235,'124',57.37,1,2,1),(20,5141605,'1990-09-13 00:00:00',4,1,12,2008,'F','N','PQ VERSAILLES','SUMARÉ','SP','125253251216371431556632225122610167147',NULL,'9998',0.00,1,3,NULL),(20,5141613,'1972-05-30 00:00:00',2,1,12,1994,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','624243245326133441433343235124332241092',NULL,'281',29.23,1,3,NULL),(20,5141621,'1992-07-18 00:00:00',2,9,12,2009,'M','N','AGUAS BRANCAS','URUBICI','SC','124242241215131431344923575121610117057',16123,'817',43.26,1,3,NULL),(20,5141630,'1992-05-31 00:00:00',4,1,11,2009,'M','N','JK NOVA CAPITAL','ANÁPOLIS','GO','109093091215111751438814494122610168092',NULL,'9998',0.00,1,3,NULL),(20,5141648,'1990-08-17 00:00:00',4,9,11,2009,'M','N','CENTRO','S JOAQUIM','SC','124242241215111751549811575125610164032',NULL,'1035',0.00,1,3,NULL),(20,5141656,'1992-02-28 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117371411448823471124610162181',13310,'257',49.81,1,2,1),(20,5141699,'1992-01-07 00:00:00',4,4,11,2008,'F','N','CIDADE ALTA','MEDIANEIRA','PR','116162161316471431488831575122610164042',2276,'9998',74.02,1,3,NULL),(20,5141702,'1990-07-20 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241111573411666613372124232723115',13354,'307',47.83,1,3,NULL),(20,5141729,'1984-12-15 00:00:00',4,1,12,2001,'M','N','CENTRO','ITAPEMA','SC','124241241416152731279943435122220267057',3600,'270',71.89,1,3,NULL),(20,5141737,'1990-09-20 00:00:00',4,1,11,2007,'M','N','INDEPENDENCIA','TAUBATÉ','SP','125252251225572431663632222122610142012',NULL,'9998',0.00,1,3,NULL),(20,5141745,'1991-03-26 00:00:00',2,9,12,2008,'F','N','CAMPESTRE','VIDAL RAMOS','SC','124241241126373411524416295124610137077',11241,'828',52.85,1,2,1),(20,5141753,'1978-06-01 00:00:00',4,1,12,1998,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241245117131731333349491322610131117',NULL,'153',37.25,1,3,NULL),(20,5141770,'1992-05-16 00:00:00',2,4,11,2009,'M','N','CENTRO','ERECHIM','RS','120202201216111431448833575125610137182',8471,'9998',58.00,1,3,NULL),(20,5141788,'1992-02-12 00:00:00',2,8,12,2009,'F','N','VISTA ALEGRE','RIO NEGRINHO','SC','124241241335141431423319292124610127053',NULL,'669',0.00,4,3,NULL),(20,5141800,'1990-12-15 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241316272431437627475124610122057',8395,'271',58.92,1,3,NULL),(20,5141826,'1985-12-30 00:00:00',4,1,12,2003,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242201215271431239944345122142152097',NULL,'9998',30.19,1,3,NULL),(20,5141834,'1990-03-28 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124241241435373411226621315122610168092',NULL,'1036',0.00,1,3,NULL),(20,5141842,'1988-03-31 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241214574431466613575114230267072',1296,'272',79.23,1,3,NULL),(20,5141850,'1991-05-29 00:00:00',2,5,7,2009,'F','N','CENTRO','CRICIÚMA','SC','124244246215231431644614445124610126117',NULL,'995',0.00,1,3,NULL),(20,5141869,'1992-08-30 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241135251431478833435124610138092',NULL,'278',41.59,1,3,NULL),(20,5141877,'1992-10-29 00:00:00',4,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124242241215111431586611575122610167182',2409,'1022',75.39,1,3,NULL),(20,5141885,'1990-03-26 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241216133421534621242324610114172',13409,'1010',47.23,1,3,NULL),(20,5141893,'1987-05-25 00:00:00',2,3,12,2004,'M','N','XV DE NOVEMBRO','TIJUCAS','SC','124241241116272731452111345333610127062',13926,'783',50.52,1,2,1),(20,5141915,'1991-12-01 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241116271431546613575124610116097',NULL,'298',24.66,1,3,NULL),(20,5141931,'1992-07-02 00:00:00',4,1,11,2009,'M','N','CENTRO','PALHOÇA','SC','124242241215111311588913575122610167082',789,'270',82.60,1,3,NULL),(20,5141940,'1992-10-01 00:00:00',2,4,12,2009,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241135141731336514335122610167147',NULL,'169',26.35,1,3,NULL),(20,5141958,'1992-06-06 00:00:00',4,2,11,2009,'F','N','VISTA ALEGRE','MAFRA','SC','124242241215111731477833575124610117047',10414,'1174',57.39,1,3,NULL),(20,5141982,'1988-12-14 00:00:00',5,5,12,2005,'M','N','CENTRO','CRICIÚMA','SC','124201201136141431256833385124230667052',NULL,'9998',26.63,1,3,NULL),(20,5141990,'1990-08-16 00:00:00',2,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215373411466613575114610167043',9999,'272',56.19,4,3,NULL),(20,5142008,'1992-02-29 00:00:00',4,10,10,2009,'M','N','CENTRO','TUBARÃO','SC','124242241215373731586932575112610162126',2429,'807',73.55,1,3,NULL),(20,5142016,'1990-12-05 00:00:00',2,1,12,2007,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124244241215472441558813372124610167047',12604,'259',49.03,1,3,NULL),(20,5142024,'1992-02-07 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215131431459933575112610137047',10778,'213',54.75,1,3,NULL),(20,5142032,'1992-09-15 00:00:00',2,9,12,2009,'F','N','COPACABANA','LAGES','SC','124242241215131431549933572122610127182',12941,'499',49.76,1,3,NULL),(20,5142040,'1990-09-19 00:00:00',4,1,12,2008,'M','N','CHACARA DOS PINHEIRO','BOTUCATU','SP','125254251216371411339714375124620164082',NULL,'9998',0.00,1,3,NULL),(20,5142059,'1992-06-19 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215151431558914575125610137047',NULL,'53',0.00,1,3,NULL),(20,5142067,'1989-11-29 00:00:00',2,1,12,2007,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241117373431423624475124610168182',8225,'772',61.42,1,2,1),(20,5142075,'1990-10-17 00:00:00',4,1,12,2008,'M','N','CITY RIBEIRAO','RIBEIRÃO PRETO','SP','125252251217471741489812576112610167183',5618,'9998',64.76,1,3,NULL),(20,5142083,'1991-04-28 00:00:00',2,1,6,2009,'M','N','BARREIROS','S JOSÉ','SC','124242247232271511557832325122610117071',NULL,'9999',18.73,1,3,NULL),(20,5142091,'1991-08-20 00:00:00',4,1,12,2009,'F','N','SANTO ANTÃO','BENTO GONÇALVES','RS','120202201215471431459612572122610133192',NULL,'9998',0.00,1,3,NULL),(20,5142105,'1991-12-01 00:00:00',4,8,12,2009,'F','N','PONTE GRANDE','MOGI CRUZES','SP','125252251316351431323839172122610127142',NULL,'9998',14.84,1,3,NULL),(20,5142113,'1990-03-19 00:00:00',2,1,12,2007,'M','N','COLONIA SANTANA','S JOSÉ','SC','124242241216133411444614345124222367042',NULL,'1074',40.99,1,3,NULL),(20,5142121,'1990-12-03 00:00:00',4,8,11,2008,'M','N','JUVEVÊ','CURITIBA','PR','116162161215471411559811575114610122186',3446,'9998',69.65,1,3,NULL),(20,5142130,'1992-07-24 00:00:00',4,6,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241117121441258612375122610167147',4056,'1038',69.01,1,3,NULL),(20,5142148,'1987-08-03 00:00:00',4,6,11,2004,'M','N','CENTRO','BAL CAMBORIÚ','SC','124163161215473441479414375122143226182',4854,'9998',67.39,1,3,NULL),(20,5142156,'1992-04-03 00:00:00',2,1,11,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215112431478832575122610167185',NULL,'1022',25.38,1,3,NULL),(20,5142180,'1992-07-25 00:00:00',2,7,11,2009,'M','N','CENTRO','CAPINZAL','SC','124242241215151531466637575112610112141',NULL,'155',43.83,1,3,NULL),(20,5142199,'1992-12-02 00:00:00',4,5,10,2009,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111431236923472122610132077',11162,'226',55.98,1,3,NULL),(20,5142202,'1992-01-01 00:00:00',4,10,12,2009,'F','N','EVOLUÇÃO','S LUDGERO','SC','124241241137371431433912375124610121027',11164,'748',54.15,1,2,1),(20,5142210,'1980-10-25 00:00:00',4,6,12,1996,'F','N','PIONEIROS','ITAJAÍ','SC','524132131215472431238744445121343234023',11441,'9998',55.45,3,3,NULL),(20,5142237,'1991-01-25 00:00:00',4,5,12,2007,'M','N','SANTA MARIA','ANTÔNIO CARLOS','SC','124241241111375112544411591111231413101',3180,'21',71.43,1,2,1),(20,5142245,'1990-10-23 00:00:00',2,1,12,2007,'F','N','SANTA MARIA','ANTÔNIO CARLOS','SC','124241241115473231536613574124610117147',12512,'21',51.00,1,2,1),(20,5142253,'1987-07-13 00:00:00',2,1,12,2004,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','224241241145575431223448182124122333057',NULL,'298',49.39,1,2,1),(20,5142270,'1992-07-22 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215131431325614585122610168147',8426,'738',57.48,1,3,NULL),(20,5142296,'1990-05-07 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242248211371731317612272114131067182',NULL,'1022',16.11,1,3,NULL),(20,5142300,'1991-03-21 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241416142431426933435122233222092',15335,'1022',46.82,1,3,NULL),(20,5142318,'1992-08-03 00:00:00',2,1,12,2009,'F','N','VENDAVAL','BIGUAÇU','SC','124241241135131731633323395124610123147',NULL,'65',18.45,1,2,1),(20,5142326,'1985-08-13 00:00:00',4,3,12,2002,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124161161116271421136543435123141864182',NULL,'9998',12.36,1,3,NULL),(20,5142334,'1991-02-12 00:00:00',4,1,12,2007,'M','N','CENTRO','PALMEIRA MISSÕES','RS','124202201215471431358921385314610164047',9012,'9998',57.08,1,3,NULL),(20,5142342,'1991-06-04 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124202201217372411227779595124610136142',3288,'9998',72.06,1,3,NULL),(20,5142369,'1992-02-03 00:00:00',4,6,11,2009,'M','N','CENTRO','ERECHIM','RS','120202201215371431237734375125610132012',13341,'9998',47.16,1,3,NULL),(20,5142377,'1988-12-17 00:00:00',4,1,12,2005,'F','N','VILA IRMA','FRANCO ROCHA','SP','125252251446271451436613145124340225091',15781,'9998',45.16,4,3,NULL),(20,5142385,'1992-10-01 00:00:00',4,3,11,2009,'M','N','CENTRO','ITAPEMA','SC','124243241215121431466831495114610164112',1002,'1038',80.74,1,3,NULL),(20,5142393,'1988-10-12 00:00:00',2,1,12,2006,'F','N','KOBRASSOL','S JOSÉ','SC','124243241315574451335724572124233234017',3166,'270',72.25,1,3,NULL),(20,5142407,'1990-03-27 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215273431654832575114610127067',2191,'1022',76.20,1,3,NULL),(20,5142423,'1992-10-29 00:00:00',4,8,11,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241214111431489914472122610127012',2096,'457',76.49,1,3,NULL),(20,5142431,'1991-08-12 00:00:00',4,8,12,2009,'M','N','SANTO ANTONIO','JOINVILLE','SC','124241246217111431358614575122610167052',NULL,'1006',24.50,1,3,NULL),(20,5142440,'1991-07-22 00:00:00',4,9,12,2008,'M','N','SANTO ANTÃO','BENTO GONÇALVES','RS','120204201215471631469934475122610167052',9148,'9998',56.87,1,3,NULL),(20,5142458,'1990-02-15 00:00:00',4,1,12,2007,'F','N','COLONIA SANTANA','S JOSÉ','SC','124241241116142731339923245124222323097',NULL,'733',23.62,1,2,1),(20,5142474,'1992-10-30 00:00:00',2,1,11,2009,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','124242246217142431466933375122610132112',13883,'1075',50.59,1,3,NULL),(20,5142482,'1985-09-04 00:00:00',4,15,12,2003,'M','N','LAGOÃO','ARARANGUÁ','SC','124241241121131331431311242222610127045',NULL,'30',25.34,1,2,1),(20,5142490,'1991-10-17 00:00:00',4,9,12,2009,'M','N','VILA MARIA','LAGES','SC','124241241215112431528939592142610167042',8725,'499',57.18,1,3,NULL),(20,5142504,'1992-06-05 00:00:00',4,9,12,2009,'F','N','PETRÓPOLIS','LAGES','SC','124241241115271331339513571114610126092',NULL,'935',27.62,1,2,1),(20,5142512,'1989-03-25 00:00:00',4,1,12,2006,'M','N','JD CHAPADÃO','CAMPINAS','SP','125255251515113421448814345122610127052',6758,'9998',60.76,1,3,NULL),(20,5142539,'1991-10-30 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124283241335132411538831372122610127047',11355,'1077',54.42,1,3,NULL),(20,5142547,'1992-07-06 00:00:00',4,1,12,2009,'M','N','BELA VISTA','S JOSÉ','SC','124243241135141431436814345114610137047',10963,'257',56.37,1,3,NULL),(20,5142563,'1991-08-22 00:00:00',4,1,11,2009,'M','N','CENTRO','AMERICANA','SP','125252251217111431478818477322610167122',4451,'9998',67.20,1,3,NULL),(20,5142571,'1992-02-24 00:00:00',2,4,12,2008,'F','N','VILA MARIA DELANI','FRANCISCO BELTRÃO','PR','116163161215471431459931572122610127142',NULL,'9998',0.00,1,3,NULL),(20,5142580,'1992-04-08 00:00:00',2,1,12,2009,'F','N','CENTRO','STA MARIA','RS','120281201315471431336833575124610127012',NULL,'9998',0.00,1,3,NULL),(20,5142598,'1991-09-14 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217153431359911575112610164152',NULL,'270',0.00,1,3,NULL),(20,5142601,'1992-08-15 00:00:00',4,9,11,2009,'F','N','CENTRO','LAGES','SC','124242241215373431479714474122610137142',8622,'497',58.71,1,3,NULL),(20,5142628,'1988-07-12 00:00:00',4,1,12,2009,'M','N','SERRARIA','BIGUAÇU','SC','124243247227141451655332311123610152061',NULL,'9999',0.00,1,3,NULL),(20,5142636,'1992-04-03 00:00:00',4,2,12,2009,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124241241417131431344434215125610144172',NULL,'109',0.00,1,3,NULL),(20,5142644,'1992-10-09 00:00:00',2,1,12,2009,'M','N','PROGRESSO','MONTENEGRO','RS','120202201217111411337619571121610168112',NULL,'9998',26.73,1,3,NULL),(20,5142652,'1992-04-03 00:00:00',4,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241117371431548613572121610137042',4689,'267',67.83,1,2,1),(20,5142660,'1992-12-06 00:00:00',2,7,12,2009,'M','N','SANTA TEREZA','JOAÇABA','SC','124242241215111431336612595112610135017',NULL,'446',48.46,1,3,NULL),(20,5142679,'1987-10-01 00:00:00',4,1,12,2005,'M','N','CENTRO','PEDRINHAS PAULISTA','SP','125251251136471411336533485122610124042',NULL,'9998',0.00,1,2,1),(20,5142687,'1992-07-22 00:00:00',4,1,12,2009,'F','N','CENTRO','MONTENEGRO','RS','120202201216111451577812575122610136091',9901,'9998',55.11,1,3,NULL),(20,5142695,'1991-01-12 00:00:00',4,2,12,2008,'M','N','ALTO DA GLÓRIA','CURITIBA','PR','116242241217371411359611571145610126192',4764,'346',65.66,1,3,NULL),(20,5142709,'1988-03-06 00:00:00',4,1,12,2005,'M','N','JARDIM RENATA','INDAIATUBA','SP','125251251136571431456314245122610142042',NULL,'9998',0.00,1,2,1),(20,5142717,'1992-06-27 00:00:00',4,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124242241215111431524479575122610134052',NULL,'1078',24.95,4,3,NULL),(20,5142725,'1993-07-26 00:00:00',4,2,12,2010,'M','S','JARDIM','CONCÓRDIA','SC','124242241217111431437712576121610164057',NULL,'190',12.61,1,3,NULL),(20,5142741,'1991-11-21 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472432427922575124231128013',3393,'446',71.12,1,3,NULL),(20,5142750,'1991-09-29 00:00:00',2,4,12,2008,'F','N','SAO LUIS','S MIGUEL OESTE','SC','624244241216371731358823335112610167182',NULL,'1079',0.00,1,3,NULL),(20,5142768,'1990-01-24 00:00:00',4,1,12,2007,'M','N','UNIVERSITARIO','GOIÂNIA','GO','109092091215111431678813575112243267127',NULL,'9998',0.00,1,3,NULL),(20,5142784,'1992-06-29 00:00:00',4,1,12,2009,'M','N','EXPOSIÇÃO','CAXIAS SUL','RS','120202201216151411438916576125610165046',NULL,'9998',0.00,1,3,NULL),(20,5142792,'1985-02-15 00:00:00',4,1,12,2002,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241315274431478613275112133264162',13774,'272',50.78,1,3,NULL),(20,5142814,'1991-05-18 00:00:00',4,8,12,2008,'M','N','PORTÃO','CURITIBA','PR','116162161217471531469913574114610164182',2263,'9998',75.34,3,3,NULL),(20,5142830,'1992-08-09 00:00:00',4,1,12,2009,'M','N','SEMINARIO','ITUPORANGA','SC','124241248116151211543312245125610117052',NULL,'416',0.00,3,2,1),(20,5142849,'1992-12-21 00:00:00',2,3,11,2009,'F','N','MORRETES','ITAPEMA','SC','124241241215271321536923215122610125147',NULL,'403',29.05,1,3,NULL),(20,5142865,'1986-04-29 00:00:00',4,1,12,2003,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124161161145131231123341312214610154117',NULL,'9998',26.75,1,2,1),(20,5142873,'1992-04-18 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241215371431566313272124610131196',9375,'1118',56.25,1,3,NULL),(20,5142881,'1987-11-11 00:00:00',4,2,12,2004,'M','N','CENTRO','POMERODE','SC','124241241147131311323714495124231047047',NULL,'621',0.00,1,2,1),(20,5142903,'1992-09-05 00:00:00',4,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124242246216112431448833375122610164072',NULL,'237',0.00,1,3,NULL),(20,5142911,'1992-09-02 00:00:00',4,1,12,2009,'M','N','ITACURUBI','FLORIANÓPOLIS','SC','124242241215112531538812575122610127047',6811,'951',63.54,1,3,NULL),(20,5142938,'1989-04-25 00:00:00',4,8,12,2007,'M','N','ZONA SETE','MARINGÁ','PR','117252251216571741448834585122610127053',7751,'9998',60.32,3,3,NULL),(20,5142946,'1989-05-17 00:00:00',5,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216154411468833575122233231092',NULL,'270',0.00,1,3,NULL),(20,5142954,'1992-07-09 00:00:00',2,1,11,2009,'M','N','BELA VISTA I','S JOSÉ','SC','124243241216271412536624575114610168197',15080,'738',47.63,1,3,NULL),(20,5142989,'1991-01-08 00:00:00',4,1,4,2008,'F','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','124212217215473431457812575122141417112',3616,'9998',70.05,1,3,NULL),(20,5142997,'1991-07-04 00:00:00',4,8,12,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161215471411468814575124610166042',6277,'9998',62.35,1,3,NULL),(20,5143004,'1992-12-17 00:00:00',4,8,11,2009,'M','N','HAUER','CURITIBA','PR','116162161215421431333314345114610164047',13615,'9998',46.55,1,3,NULL),(20,5143012,'1991-02-23 00:00:00',2,1,12,2008,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124201201116371431525633385124610122147',NULL,'9998',23.37,2,2,1),(20,5143039,'1989-12-23 00:00:00',4,1,12,2006,'F','N','CAREANOS','FLORIANÓPOLIS','SC','124241248211153431446532241124230224092',NULL,'1022',22.96,1,3,NULL),(20,5143055,'1991-11-11 00:00:00',2,3,12,2008,'F','N','VILA NOVA','NOVO HAMBURGO','RS','120203201216471431458834175124610127097',377,'9998',85.59,1,3,NULL),(20,5143063,'1992-06-12 00:00:00',2,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241216111431466417575122610164047',10792,'723',53.79,1,3,NULL),(20,5143071,'1990-09-22 00:00:00',2,8,12,2007,'F','N','CENTRO','COLORADO','PR','116162161214572431548831572112610163197',362,'9998',85.81,3,3,NULL),(20,5143080,'1993-08-13 00:00:00',4,1,11,2010,'M','S','CACUPÉ','FLORIANÓPOLIS','SC','124242241217111711446712575124610137045',NULL,'951',48.49,1,3,NULL),(20,5143098,'1990-03-24 00:00:00',2,8,12,2007,'F','N','IRIRIÚ','JOINVILLE','SC','124242241215372431466632371124610122141',9014,'462',59.93,1,3,NULL),(20,5143101,'1991-03-04 00:00:00',2,8,12,2008,'M','N','ATUBA','CURITIBA','PR','116162161215571431248624375124610127052',5642,'9998',65.21,1,3,NULL),(20,5143110,'1992-05-06 00:00:00',2,1,12,2009,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241215211431358614575124610137177',2206,'270',76.14,1,3,NULL),(20,5143128,'1992-09-21 00:00:00',2,17,12,2009,'F','N','ALTO DE MAFRA','MAFRA','SC','124241241215271411468923572112610167037',NULL,'541',0.00,1,3,NULL),(20,5143136,'1991-08-03 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215372231338625572122133262192',2957,'1038',73.66,1,3,NULL),(20,5143144,'1992-12-07 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241215111732323632241122610128062',NULL,'1118',25.86,1,3,NULL),(20,5143152,'1992-04-02 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431455524472124610122177',9120,'1022',56.62,1,3,NULL),(20,5143160,'1988-02-10 00:00:00',4,1,12,2005,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124242241216143431555532575122233264115',NULL,'270',0.00,1,3,NULL),(20,5143195,'1990-02-17 00:00:00',4,5,12,2007,'M','N','OPERARIA NOVA','CRICIÚMA','SC','124243247227371131228863372122610124012',NULL,'1096',0.00,1,3,NULL),(20,5143209,'1991-10-14 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124244241216473431469923575114130227147',1506,'737',78.04,1,3,NULL),(20,5143217,'1992-08-16 00:00:00',4,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124244241216271411626734372122610114192',14474,'1075',49.31,1,3,NULL),(20,5143225,'1991-08-04 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373411369913575112610116192',11975,'262',51.14,1,3,NULL),(20,5143233,'1991-12-11 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215271431256863575124610124182',8992,'1022',57.34,2,3,NULL),(20,5143241,'1988-08-12 00:00:00',2,1,12,2006,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241116131411623321495221132834182',NULL,'592',37.66,3,3,NULL),(20,5143250,'1992-12-29 00:00:00',2,4,11,2009,'M','N','CENTRO','CHAPECÓ','SC','124243241217151412458632325124610128122',10413,'185',52.68,1,3,NULL),(20,5143268,'1992-08-30 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115131431436713575125610133187',NULL,'257',28.11,4,2,1),(20,5143284,'1992-07-06 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241117471231346823375124610164077',9824,'307',56.75,2,1,2),(20,5143292,'1991-12-20 00:00:00',2,1,11,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215272731446653572112610162185',10399,'270',56.02,1,3,NULL),(20,5143306,'1993-04-01 00:00:00',2,5,11,2009,'M','N','CENTRO','URUSSANGA','SC','124242241215111431611812172221610117063',12039,'820',54.32,1,3,NULL),(20,5143314,'1991-01-21 00:00:00',2,6,12,2008,'M','N','ARMAÇÃO','PENHA','SC','124241241116271731335724345124610167052',10410,'610',57.40,1,2,1),(20,5143322,'1992-04-15 00:00:00',4,8,12,2009,'F','N','NOVA CAMPINAS','CAMPINAS','SP','125252251215112221348924575122610167172',NULL,'9998',0.00,1,3,NULL),(20,5143330,'1991-12-17 00:00:00',4,3,12,2009,'M','N','CENTRO','PTO BELO','SC','124242241215121221369613495122613227072',NULL,'1038',31.16,1,3,NULL),(20,5143349,'1990-02-01 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217574431248624442124610168197',3964,'87',70.95,1,3,NULL),(20,5143357,'1989-12-29 00:00:00',4,10,12,2007,'M','N','CAÇADOR','CAPIVARI BAIXO','SC','124241241115274431436823575114610142052',7913,'1034',62.00,1,2,1),(20,5143365,'1993-09-05 00:00:00',4,15,12,2010,'M','S','CENTRO','TURVO','SC','124242241215111431477831212122610127052',NULL,'813',49.41,1,3,NULL),(20,5143373,'1992-12-05 00:00:00',4,4,12,2009,'F','N','CENTRO','XAXIM','SC','124241241212111431423619372124610128197',5794,'836',66.47,1,3,NULL),(20,5143381,'1988-10-20 00:00:00',4,8,11,2006,'F','N','ACLIMAÇÃO','S PAULO','SP','125253251216511411448719575122610127057',2654,'9998',73.64,1,3,NULL),(20,5143390,'1991-06-07 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431469613175112610138152',13971,'1022',50.45,1,3,NULL),(20,5143403,'1992-08-13 00:00:00',4,1,11,2009,'M','N','VILA PROGRESSO','DOURADOS','MS','112122121217111511379933475122610148032',NULL,'9998',0.00,1,3,NULL),(20,5143411,'1990-08-22 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124092091217573431568933572112131213092',7044,'9998',63.73,1,3,NULL),(20,5143420,'1990-11-03 00:00:00',4,8,12,2008,'F','N','VILA RODRIGUES','ASSIS','SP','125252251216471731468914575112610127097',15228,'9998',45.61,1,3,NULL),(20,5143438,'1992-04-23 00:00:00',4,6,12,2009,'F','N','CABEÇUDAS','ITAJAÍ','SC','124242241215221531438911574112610138072',15382,'392',44.25,1,3,NULL),(20,5143454,'1992-06-05 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241315111431237314572114610117143',14708,'1022',46.15,4,3,NULL),(20,5143470,'1976-01-07 00:00:00',4,1,11,1993,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124163161117152411266941412122321062182',13867,'9998',50.62,1,3,NULL),(20,5143497,'1992-02-16 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244248216111431568819595112610124071',NULL,'300',36.95,1,3,NULL),(20,5143500,'1990-11-22 00:00:00',4,5,12,2007,'F','N','CENTRO','CRICIÚMA','SC','124242241215143431248822295114231431141',7399,'211',63.03,1,3,NULL),(20,5143519,'1985-02-19 00:00:00',3,1,9,2004,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124243247132133411539513442124133264192',NULL,'9999',0.00,2,1,2),(20,5143527,'1988-05-07 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224241241116142421646673185122610123182',NULL,'277',27.29,2,1,1),(20,5143535,'1991-04-12 00:00:00',4,3,12,2008,'M','N','BIGORRILHO','CURITIBA','PR','116162161216411221457912575124610168147',3819,'9998',68.29,1,3,NULL),(20,5143543,'1991-08-02 00:00:00',2,8,12,2009,'F','N','SAGUAÇÚ','JOINVILLE','SC','124242241217111711456722425112610128127',NULL,'486',27.40,1,3,NULL),(20,5143551,'1992-02-25 00:00:00',2,1,12,1992,'M','N','BARREIROS','S JOSÉ','SC','124244241115272521348314285114610168183',13966,'307',49.15,1,3,NULL),(20,5143560,'1990-11-05 00:00:00',4,1,11,2007,'F','N','KOBRASOL','S JOSÉ','SC','124242241235153431348732395124231122012',NULL,'723',0.00,1,3,NULL),(20,5143578,'1990-02-02 00:00:00',4,1,12,2007,'F','N','BOSQUE','CAMPINAS','SP','125252251216121442348923575122610168183',NULL,'9998',0.00,1,3,NULL),(20,5143586,'1992-12-21 00:00:00',2,15,12,2009,'M','N','SÃO LUÍS','SOMBRIO','SC','124243241215321421466739592114610167045',10863,'970',53.71,1,3,NULL),(20,5143594,'1983-09-19 00:00:00',4,1,12,2000,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216142421158944445122330462117',NULL,'461',0.00,1,3,NULL),(20,5143608,'1990-10-24 00:00:00',4,1,12,2008,'M','N','CENTRO','BIGUAÇU','SC','124212241315572431437619275114610117061',5996,'306',64.14,1,3,NULL),(20,5143616,'1982-01-06 00:00:00',4,1,12,1999,'M','N','FLORESTA','S JOSÉ','SC','124241246116153711368419335132321962052',10250,'306',57.70,1,2,1),(20,5143624,'1989-10-28 00:00:00',2,15,12,2007,'M','N','IMIGRANTE','BOM RER SUL','RS','120201201317471421228322275114141464047',6328,'9998',62.50,1,3,NULL),(20,5143632,'1992-09-21 00:00:00',4,8,12,2009,'F','N','PORTÃO','CURITIBA','PR','116162161235371431466731574122610163077',12298,'9998',51.84,1,3,NULL),(20,5143640,'1989-03-03 00:00:00',4,8,12,2006,'F','N','JARDIM FLÓRIDA','CPO MOURÃO','PR','116162161217572531348913592115610144047',NULL,'9998',0.00,1,3,NULL),(20,5143659,'1992-03-19 00:00:00',2,1,11,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111231448713575114610134081',11755,'270',52.73,1,3,NULL),(20,5143667,'1992-03-18 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431459813572122610137182',12585,'272',50.91,1,3,NULL),(20,5143683,'1992-05-03 00:00:00',4,1,11,2009,'F','N','FLORIANOPOLIS','FLORIANÓPOLIS','SC','124243241215111431544662572122610134195',12139,'1022',50.68,4,3,NULL),(20,5143691,'1991-11-29 00:00:00',2,5,11,2009,'F','N','FIGUEIRA','URUSSANGA','SC','124242241215122431628819492222610138142',11936,'820',52.59,1,3,NULL),(20,5143713,'1992-01-05 00:00:00',4,1,11,2009,'M','N','CENTRO','S JOSÉ','SC','124242241217122431346714342124610121182',3645,'738',71.75,1,3,NULL),(20,5143721,'1988-12-06 00:00:00',4,1,12,2006,'M','N','BOM PASTOR','JZ FORA','MG','113132131216571431368833575124342162047',NULL,'9998',0.00,1,3,NULL),(20,5143730,'1990-08-07 00:00:00',4,1,12,2007,'F','N','PORTAL DO SOL','S CARLOS','SP','125252251215571131488714571112141034041',NULL,'9998',0.00,1,3,NULL),(20,5143748,'1991-09-28 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124243241117471431444614475114610168097',NULL,'257',44.11,1,3,NULL),(20,5143756,'1990-07-02 00:00:00',4,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124242241216574731489714595112231434042',7606,'457',62.61,3,3,NULL),(20,5143764,'1992-12-26 00:00:00',4,8,11,2009,'M','N','SÃO JOÃO','CURITIBA','PR','116162161215471431489911575122610167117',3515,'9998',70.20,1,3,NULL),(20,5143772,'1992-08-24 00:00:00',2,1,12,2009,'M','N','ARMACAO','FLORIANÓPOLIS','SC','124241241145152731433319195141610167061',NULL,'291',20.66,1,2,1),(20,5143780,'1988-08-06 00:00:00',4,1,11,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216153431648711445122231047047',6587,'270',64.73,1,3,NULL),(20,5143799,'1991-06-25 00:00:00',2,3,12,2008,'M','N','VILA REAL','BAL CAMBORIÚ','SC','124241241215471411453332575122610137112',10211,'1086',56.29,4,3,NULL),(20,5143802,'1990-08-06 00:00:00',2,1,12,2007,'M','N','JARDIM PARAÍBA','APARECIDA','SP','125252251217573331458631315122610144046',11831,'9998',54.69,1,3,NULL),(20,5143829,'1990-11-23 00:00:00',4,1,12,2008,'M','N','VILA OLIVEIRA','MOGI CRUZES','SP','125252251215471432689811435122610147012',NULL,'9998',0.00,1,3,NULL),(20,5143837,'1990-04-29 00:00:00',2,1,12,2007,'M','N','ALTO','PIRACICABA','SP','125252251216471311588831572122610167057',NULL,'9998',0.00,1,3,NULL),(20,5143845,'1991-07-06 00:00:00',4,1,11,2008,'F','N','LAGOINHA','RIBEIRÃO PRETO','SP','125252251215471431337731572222610122142',NULL,'9998',0.00,1,3,NULL),(20,5143853,'1989-08-19 00:00:00',2,5,8,2008,'M','N','OPERÁRIA NOVA','CRICIÚMA','SC','124244241215271531554517475124130227112',NULL,'1096',20.70,4,3,NULL),(20,5143861,'1985-06-25 00:00:00',2,1,12,2002,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241161216162721138732295122321537065',NULL,'9998',0.00,1,3,NULL),(20,5143870,'1991-09-13 00:00:00',4,3,12,2009,'M','N','CEDRO','CAMBORIÚ','SC','124241242115371431626411394221610137087',6062,'129',64.29,1,2,1),(20,5143896,'1989-08-16 00:00:00',2,1,12,2006,'F','N','IPIRANGA','S JOSÉ','SC','124241241412373431445634245124610121191',16016,'868',44.00,1,3,NULL),(20,5143918,'1987-09-11 00:00:00',4,4,12,2005,'M','N','CENTRO','IPORÃ OESTE','SC','124243241226473751559933285121143266027',1863,'370',77.37,1,3,NULL),(20,5143926,'1990-05-11 00:00:00',2,3,12,2007,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241122572731453823132122610136192',NULL,'712',0.00,1,2,1),(20,5143934,'1990-11-17 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431456723572115610165192',NULL,'270',40.20,1,3,NULL),(20,5143942,'1993-02-09 00:00:00',4,1,10,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242248212111431336819595124610162182',NULL,'270',44.33,1,3,NULL),(20,5143950,'1989-08-05 00:00:00',4,1,12,2006,'F','N','JD GUANABARA','CAMPINAS','SP','125252251217572411468813171122610162072',NULL,'9998',32.76,1,3,NULL),(20,5143977,'1992-11-03 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431466934442124610127042',NULL,'1022',26.68,1,3,NULL),(20,5143985,'1992-10-11 00:00:00',4,4,12,2009,'F','N','INTERIOR','ARVOREDO','SC','124241241123161731546616162222610118152',NULL,'36',21.25,1,2,1),(20,5143993,'1989-08-09 00:00:00',4,1,12,2007,'M','N','CHACARA DA BARRA','CAMPINAS','SP','125252251215172321259627576122610168172',3953,'9998',68.48,1,3,NULL),(20,5144019,'1992-11-06 00:00:00',4,8,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116163161312471431456639392124613266147',NULL,'9998',0.00,1,3,NULL),(20,5144027,'1989-08-22 00:00:00',4,1,12,2007,'F','N','NOVA CAMPINAS','CAMPINAS','SP','125252251216271411466812575122140462093',12346,'9998',49.97,1,3,NULL),(20,5144035,'1993-07-07 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151451489933571122610165186',14256,'270',49.82,1,3,NULL),(20,5144043,'1978-10-20 00:00:00',4,1,12,1999,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124254257447141431167741315123141434182',NULL,'9998',0.00,1,3,NULL),(20,5144051,'1992-05-24 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124201201116161731447514441122230227147',NULL,'9998',22.82,1,2,1),(20,5144078,'1991-07-04 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111451345669574122610168197',4770,'723',68.93,1,3,NULL),(20,5144086,'1978-05-28 00:00:00',2,1,11,1998,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124161161126472731123344441314610118185',NULL,'9998',44.54,1,2,1),(20,5144094,'1977-10-26 00:00:00',4,15,12,1995,'M','N','TIMBOPEBA','S JOÃO SUL','SC','224241241126132421322243135124130227047',NULL,'717',40.57,1,2,1),(20,5144116,'1991-04-23 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241345472431439919391124610128187',5090,'307',67.26,1,3,NULL),(20,5144124,'1991-02-12 00:00:00',4,1,11,2008,'F','N','BUTANTÃ','S PAULO','SP','125252251217471751478923571124610166147',1276,'9998',78.33,1,3,NULL),(20,5144132,'1992-02-20 00:00:00',2,1,12,2009,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241115141331216629582224610116147',NULL,'288',28.38,1,2,1),(20,5144159,'1990-06-12 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241112472431445634371124610126097',NULL,'288',17.97,1,2,1),(20,5144167,'1992-11-03 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124244241215111411479811572125610128052',NULL,'213',0.00,1,3,NULL),(20,5144191,'1992-05-23 00:00:00',2,9,11,2009,'M','N','CENTRO','LAGES','SC','124242241214111431447911475122610124052',NULL,'499',17.65,1,3,NULL),(20,5144213,'1991-11-13 00:00:00',4,1,12,2009,'F','N','JD DAS OLIVEIRAS','CAMPINAS','SP','125252251215112321378924595122610167185',NULL,'9998',30.39,1,3,NULL),(20,5144221,'1991-11-09 00:00:00',4,17,12,2009,'F','N','CENTRO','PAPANDUVA','SC','124241241215111431446632395125610146147',NULL,'541',0.00,1,3,NULL),(20,5144256,'1992-05-23 00:00:00',4,8,11,2009,'F','N','VILA IZABEL','CURITIBA','PR','116164161437111431465923335132610126197',13744,'9998',47.42,1,3,NULL),(20,5144264,'1988-09-26 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117152431333521375124132061073',14425,'49',49.42,1,3,NULL),(20,5144272,'1991-02-16 00:00:00',4,1,12,2008,'M','N','CONTINENTAL','MARÍLIA','SP','125254251216371411558813575122610167042',5376,'9998',64.82,1,3,NULL),(20,5144299,'1991-05-11 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431389863575112121467042',5115,'270',68.04,1,3,NULL),(20,5144337,'1992-02-09 00:00:00',2,9,11,2009,'M','N','CENTRO','S JOAQUIM','SC','124242241412121421469632395112610167042',NULL,'1035',26.86,1,3,NULL),(20,5144345,'1988-07-04 00:00:00',4,1,12,2007,'M','N','SANTO ANTÔNIO','LOUVEIRA','SP','125252251217573431354616271212610162197',4457,'9998',68.94,1,3,NULL),(20,5144353,'1992-12-05 00:00:00',4,4,12,2009,'F','N','CENTRO','XAXIM','SC','124241241211131531423619372124610126197',NULL,'836',43.23,1,3,NULL),(20,5144361,'1992-02-14 00:00:00',4,1,11,2009,'F','N','JUNDIAI','ANÁPOLIS','GO','109092091217151731388912574122610123197',5796,'9998',64.99,1,3,NULL),(20,5144370,'1991-08-14 00:00:00',4,1,12,2008,'F','N','PONTE GRANDE','GUARULHOS','SP','125252251217571731436512575124610162197',14441,'9998',45.26,4,3,NULL),(20,5144388,'1991-05-22 00:00:00',2,1,12,2007,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241117132731436612175124232911047',NULL,'322',0.00,1,2,1),(20,5144396,'1985-01-08 00:00:00',2,1,12,2002,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241126133411125743232133133212197',NULL,'65',27.94,1,3,NULL),(20,5144400,'1991-04-06 00:00:00',2,15,11,2008,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124243241316151431437613395125223224051',12295,'32',53.78,1,3,NULL),(20,5144418,'1991-02-06 00:00:00',2,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124241241116151431456923575122610127047',NULL,'734',0.00,1,2,1),(20,5144426,'1993-05-20 00:00:00',4,7,12,2009,'F','N','INTERIOR','IBICARÉ','SC','124241241126131411314615275124610123097',14821,'345',43.76,1,2,1),(20,5144434,'1982-03-12 00:00:00',4,1,11,1999,'F','N','CAMPO BELO','S PAULO','SP','125252251215571431468811175122343222187',956,'9998',80.54,1,3,NULL),(20,5144450,'1989-09-28 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241236373431468832385224131427062',3887,'836',69.79,1,3,NULL),(20,5144469,'1992-07-29 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216123431489811475122610132122',2109,'270',76.53,1,3,NULL),(20,5144477,'1992-02-22 00:00:00',2,4,11,2009,'M','N','CENTRO','CHAPECÓ','SC','124242241215271431549811575112610167042',7611,'983',60.28,1,3,NULL),(20,5144485,'1992-07-04 00:00:00',4,1,12,2009,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241116151751223324575124610168187',NULL,'772',28.55,1,2,1),(20,5144493,'1992-02-25 00:00:00',4,1,12,2009,'M','N','JARDIM DAS AMERICAS','CURITIBA','PR','116162161215111431478834445122610127042',NULL,'9998',28.58,1,3,NULL),(20,5144523,'1986-09-06 00:00:00',2,1,12,2006,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241226273431223514345344610137187',16203,'262',42.51,4,3,NULL),(20,5144531,'1991-11-13 00:00:00',4,1,12,2009,'M','N','JARDIM AMÉRICA','SOROCABA','SP','125251251216111431478812372112610137013',NULL,'9998',0.00,1,3,NULL),(20,5144540,'1993-08-01 00:00:00',4,1,12,2010,'F','S','BARREIROS','S JOSÉ','SC','124244241217111431478814575122610128192',NULL,'738',38.44,1,3,NULL),(20,5144558,'1991-08-10 00:00:00',2,1,11,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241217111421346733572124610167062',NULL,'1133',27.55,1,3,NULL),(20,5144574,'1992-04-02 00:00:00',2,8,12,2009,'F','N','CENTRO','CAIBATÉ','RS','120204201117471431333823335124610137052',15034,'9998',43.79,1,3,NULL),(20,5144582,'1992-08-31 00:00:00',4,16,12,2009,'F','N','SÃO JOSÉ','CURITIBANOS','SC','124241241115471231439812323132610124057',NULL,'239',24.07,1,3,NULL),(20,5144590,'1991-07-17 00:00:00',4,8,11,2009,'F','N','IRIRIU','JOINVILLE','SC','124243241217131731536311312124610132051',NULL,'489',0.00,2,1,2),(20,5144612,'1992-06-18 00:00:00',4,1,12,2009,'M','N','PLAN DO SOL','SUMARÉ','SP','125252251215112521269813575122610128164',10561,'9998',52.47,1,3,NULL),(20,5144620,'1991-07-06 00:00:00',2,1,12,2009,'M','N','ITALIA','AMPARO','SP','125251251116111411528723571122610165152',NULL,'9998',0.00,1,2,1),(20,5144639,'1990-08-17 00:00:00',4,3,12,2007,'M','N','CENTRO','MARINGÁ','PR','116162161236571531438832575112610168117',2596,'9998',73.17,1,3,NULL),(20,5144647,'1992-06-17 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215141431346623344134610167077',12729,'1050',50.87,1,3,NULL),(20,5144655,'1990-02-15 00:00:00',2,1,12,2006,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124241242116134441146834385124230633187',7988,'662',58.33,1,2,1),(20,5144663,'1991-12-24 00:00:00',2,1,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241217111731349822325122610144093',NULL,'44',29.28,1,3,NULL),(20,5144671,'1993-07-04 00:00:00',4,4,12,2009,'F','N','CENTRO','ARVOREDO','SC','124241241127161431443916362222610128142',NULL,'36',26.59,1,2,1),(20,5144680,'1992-12-07 00:00:00',4,3,12,2009,'F','N','CENTRO','PATO BRANCO','PR','116162161215121411466832571122610164075',NULL,'9998',0.00,1,3,NULL),(20,5144701,'1991-03-07 00:00:00',4,5,12,2008,'M','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124243241211152441548831371124231464172',8770,'880',60.40,1,3,NULL),(20,5144736,'1992-03-17 00:00:00',4,8,12,2009,'M','N','FLORESTA','JOINVILLE','SC','124243241212132431459714572124610167052',12404,'1105',51.50,4,3,NULL),(20,5144744,'1991-03-01 00:00:00',4,1,11,2009,'M','N','CENTRO','S BENTO SUL','SC','124241241215121432356873345122610148067',NULL,'1073',0.00,1,3,NULL),(20,5144752,'1985-12-05 00:00:00',4,1,12,2002,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241217274431558611484114132164185',3579,'272',71.95,1,3,NULL),(20,5144787,'1991-07-21 00:00:00',4,1,12,2009,'M','N','PQ FRANCESCHINI','SUMARÉ','SP','125252251215122411458524596122610138154',6047,'9998',64.53,1,3,NULL),(20,5144795,'1992-08-17 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431558619572124610167017',NULL,'738',30.84,1,3,NULL),(20,5144817,'1991-01-19 00:00:00',2,1,12,2008,'M','N','VILA MARIA','UBIRAJARA','SP','125251251117371411435511575122610167042',14766,'9998',43.99,1,2,1),(20,5144841,'1989-04-09 00:00:00',2,1,12,2006,'M','N','ROÇADO','S JOSÉ','SC','124243241215373411348614385114120324042',8599,'1076',60.75,1,3,NULL),(20,5144850,'1991-08-09 00:00:00',2,9,11,2009,'F','N','SUMARÉ','RIO SUL','SC','124242241216111431236823575122610164017',14580,'991',47.72,1,3,NULL),(20,5144868,'1991-12-10 00:00:00',4,8,12,2009,'M','N','RECANTO DO SALTO','LONDRINA','PR','116162161217111431576916575122610167112',12069,'9998',50.44,1,3,NULL),(20,5144876,'1973-01-29 00:00:00',2,1,10,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247616131722323329285122610117147',NULL,'9999',11.31,1,3,NULL),(20,5144892,'1991-11-24 00:00:00',2,1,12,2008,'M','N','CENTRO','CURITIBA','PR','116161161316471411336829574114610117042',NULL,'882',36.36,1,3,NULL),(20,5144906,'1991-05-15 00:00:00',4,4,9,2008,'M','N','AUXILIADORA','PTO ALEGRE','RS','120202208213571711478813595124610167042',NULL,'9998',0.00,1,3,NULL),(20,5144922,'1991-12-12 00:00:00',4,1,11,2009,'M','N','JARDIM BOTANICO','SINOP','MT','111114111327111631524619345221610167072',14308,'9998',45.33,1,3,NULL),(20,5144930,'1987-10-20 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161216372431566912395122221922193',3982,'9998',70.89,1,3,NULL),(20,5144949,'1992-08-09 00:00:00',2,7,12,2009,'F','N','CENTRO','CAPINZAL','SC','124243241116131411425519572122610143147',NULL,'156',0.00,1,3,NULL),(20,5144957,'1992-11-29 00:00:00',4,5,11,2009,'F','N','ANA MARIA','CRICIÚMA','SC','124241241217151431446314572124610121147',NULL,'920',0.00,1,3,NULL),(20,5144973,'1991-01-16 00:00:00',4,1,12,2009,'M','N','TIJUCO DAS TELHAS','CAMPINAS','SP','125252251216112421558924575122610128142',NULL,'9998',30.65,1,3,NULL),(20,5144981,'1972-03-31 00:00:00',2,1,4,2002,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224163167122151431353313192114610115142',NULL,'9998',23.25,1,3,NULL),(20,5144990,'1989-10-26 00:00:00',4,1,12,2006,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241116133421223611185124233226147',15943,'591',44.44,4,2,1),(20,5145007,'1993-01-01 00:00:00',2,4,11,2009,'F','N','CENTRO','PATO BRANCO','PR','116161161415111431436934572122610131142',NULL,'9998',27.94,1,3,NULL),(20,5145015,'1991-10-19 00:00:00',4,7,12,2008,'F','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242201216571431448814575124610134197',NULL,'9998',0.00,1,3,NULL),(20,5145031,'1994-09-29 00:00:00',4,1,12,2010,'F','S','RIO ANTINHA','PETROLÂNDIA','SC','124242241215161431428638595222610134052',NULL,'1173',0.00,1,3,NULL),(20,5145058,'1991-11-20 00:00:00',4,2,12,2009,'F','N','VELHA','BLUMENAU','SC','124241241212151431253434585124610128042',NULL,'1018',29.98,1,3,NULL),(20,5145066,'1991-08-20 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241117271752331771592124610162176',3905,'271',71.08,1,3,NULL),(20,5145074,'1993-08-09 00:00:00',4,1,12,2010,'M','S','PASSA VINTE','PALHOÇA','SC','124242241212111411523312572122610167042',NULL,'723',28.82,1,3,NULL),(20,5145090,'1990-06-10 00:00:00',4,8,12,2007,'M','N','ORFÃS','PNT GROSSA','PR','116162161215471431558834575122142617077',1174,'9998',79.92,1,3,NULL),(20,5145104,'1992-09-15 00:00:00',2,1,12,2009,'F','N','MOSSUNGUÊ','CURITIBA','PR','116162161215111431579931571112610124122',NULL,'9998',0.00,1,3,NULL),(20,5145112,'1992-03-21 00:00:00',4,7,11,2009,'M','N','CENTRO','TANGARÁ','SC','124244241414271411446911575124610164052',2185,'446',75.57,1,3,NULL),(20,5145120,'1987-11-30 00:00:00',4,8,12,2004,'M','N','COMASA','JOINVILLE','SC','124241246217372431347923315123231424171',9304,'1105',59.42,1,3,NULL),(20,5145155,'1990-01-08 00:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217373431358723575124610168182',2333,'272',74.78,1,3,NULL),(20,5145163,'1992-05-09 00:00:00',4,6,12,2009,'F','N','FAZENDA','ITAJAÍ','SC','124242241214371431447712375122610162142',6108,'1172',65.02,1,3,NULL),(20,5145171,'1992-05-08 00:00:00',4,5,12,2009,'F','N','JD MADALENA','CAMPINAS','SP','125252251215112211359814575122610128021',NULL,'9998',0.00,1,3,NULL),(20,5145180,'1992-06-08 00:00:00',4,1,11,2009,'F','N','ESQUINA','URUBICI','SC','124242241316111411316519295124610114142',NULL,'818',24.39,1,3,NULL),(20,5145198,'1991-01-18 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215371431579812445114133234182',1507,'1026',78.84,1,3,NULL),(20,5145210,'1991-09-02 00:00:00',2,1,12,2008,'M','N','BOM VIVER','BIGUAÇU','SC','124051051216372431426614345124610127042',NULL,'9998',43.59,1,3,NULL),(20,5145228,'1992-08-01 00:00:00',4,8,12,2009,'M','N','JARDIM SOCIAL','CURITIBA','PR','116162161215471431579813575122210126042',1828,'9998',75.93,1,3,NULL),(20,5145236,'1992-11-19 00:00:00',4,1,11,2010,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242244215111431469613175125612428142',NULL,'1050',28.49,1,3,NULL),(20,5145244,'1991-12-10 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431324829575124610167042',10369,'1022',57.47,1,3,NULL),(20,5145260,'1991-07-08 00:00:00',2,7,11,2008,'F','N','ZONA RURAL','JABORÁ','SC','124241241117371431426436572224610123057',NULL,'418',44.36,1,2,1),(20,5145279,'1991-09-09 00:00:00',4,1,12,2009,'M','N','CIDADE UNIVERSITARIA','CAMPINAS','SP','125252251211121451388813435122610164182',NULL,'9998',NULL,1,3,NULL),(20,5145287,'1989-05-29 00:00:00',4,1,12,2006,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242241215271431688711475122232826192',12977,'270',52.41,1,3,NULL),(20,5145295,'1988-04-10 00:00:00',4,3,12,2005,'F','N','FLORESTA','PTO ALEGRE','RS','120202201217572431358717572115610164077',932,'9998',81.49,1,3,NULL),(20,5145309,'1988-01-08 00:00:00',2,1,12,2005,'F','N','STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC','224241241136153411223454485114130216143',11548,'978',52.43,1,2,1),(20,5145317,'1991-10-31 00:00:00',2,1,12,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241241115271431633514342324610132147',NULL,'733',0.00,1,2,1),(20,5145333,'1990-09-11 00:00:00',2,8,11,2007,'F','N','CENTRO','CURITIBA','PR','116224161215572751468631572324610167147',2380,'9998',74.41,1,3,NULL),(20,5145341,'1991-03-31 00:00:00',2,1,10,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242247427141411333911245122610127042',11452,'9999',52.58,1,3,NULL),(20,5145350,'1991-12-11 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431368923432112610137052',143,'1038',89.22,1,3,NULL),(20,5145376,'1991-01-23 00:00:00',4,10,12,2009,'M','N','CAMPO DE FORA','LAGUNA','SC','124244248415121452426611291112610162182',NULL,'1022',38.45,1,3,NULL),(20,5145384,'1991-07-04 00:00:00',4,8,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116162161216471731468833574122610147057',NULL,'9998',0.00,3,3,NULL),(20,5145392,'1991-04-22 00:00:00',4,1,12,2009,'M','N','VILA NOVA','LOUVEIRA','SP','125252251216111431468814575112610164022',NULL,'9998',NULL,4,3,NULL),(20,5145406,'1992-09-19 00:00:00',4,7,11,2009,'F','N','CIDADE JARDIM','CATANDUVAS','SC','124242241215161431466612574122610125192',NULL,'446',43.00,1,3,NULL),(20,5145430,'1992-12-30 00:00:00',4,4,11,2009,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116162168217371431356832574112610113017',9266,'9998',59.49,1,3,NULL),(20,5145449,'1964-08-03 00:00:00',2,1,12,1982,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224241242116155421223343432124310126017',NULL,'196',0.00,1,2,1),(20,5145457,'1990-03-13 00:00:00',4,8,12,2007,'F','N','CENTRO','CPO LARGO','PR','116162161217571431468919574112610164097',1063,'9998',80.94,1,3,NULL),(20,5145465,'1990-11-10 00:00:00',4,5,12,2007,'F','N','SÃO JOSÉ','PASSO FUNDO','RS','120201201217571421255823174114610113182',272,'9998',86.95,1,3,NULL),(20,5145473,'1989-06-10 00:00:00',4,8,12,2006,'F','N','PETROPOLIS','JOINVILLE','SC','124241241115471432446923342124610162077',14318,'472',47.62,1,2,1),(20,5145490,'1991-05-12 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215473431358832575122610127115',2142,'883',76.41,1,3,NULL),(20,5145503,'1993-12-20 00:00:00',4,10,12,2010,'F','S','INDUSTRIAL','S LUDGERO','SC','124242241215111432458812572112610117042',NULL,'807',47.16,1,3,NULL),(20,5145511,'1992-01-16 00:00:00',4,1,11,2008,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241215473411369953592124610123072',4231,'1011',68.90,4,3,NULL),(20,5145520,'1978-10-11 00:00:00',4,1,12,1996,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','224252251216154421355444445122221414112',NULL,'9998',37.32,1,3,NULL),(20,5145538,'1993-06-06 00:00:00',2,1,12,2010,'F','S','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215111731636613435124610127143',NULL,'737',24.11,2,3,NULL),(20,5145546,'1992-07-07 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115131431546611572112610167047',NULL,'257',18.73,1,2,1),(20,5145554,'1991-12-28 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241244117131431516519382124610137143',NULL,'733',17.52,1,3,NULL),(20,5145570,'1992-05-02 00:00:00',4,1,12,2011,'F','S','INGLESES','FLORIANÓPOLIS','SC','124241241111131251524569286224610156012',NULL,'739',0.00,4,3,NULL),(20,5145589,'1989-12-04 00:00:00',2,1,12,2009,'F','N','RATONES','FLORIANÓPOLIS','SC','124243241215111731466619395124610134071',NULL,'1048',10.76,1,3,NULL),(20,5145597,'1990-02-08 00:00:00',4,1,12,2007,'M','N','CHACARA DA BARRA','CAMPINAS','SP','125252251215111221368924594122610128074',11807,'9998',51.02,1,3,NULL),(20,5145600,'1987-05-27 00:00:00',4,1,12,2005,'F','N','PRAIA DA JOAQUINA','FLORIANÓPOLIS','SC','124201201136131711116544345314142627117',NULL,'9998',21.85,2,1,1),(20,5145627,'1990-05-20 00:00:00',2,1,12,2008,'M','N','JARDIM ALVORADA','S CARLOS','SP','125251251217371531436613575122140964017',NULL,'9998',0.00,1,3,NULL),(20,5145635,'1990-03-02 00:00:00',4,1,11,2007,'M','N','CUMBICA','GUARULHOS','SP','125252251217371411568712315112243232122',9954,'9998',58.23,1,3,NULL),(20,5145643,'1985-06-17 00:00:00',2,1,12,2003,'M','N','BELA VISTA','S JOSÉ','SC','124241241127271711523331212112610167067',NULL,'734',24.58,1,2,1),(20,5145660,'1992-10-17 00:00:00',2,7,11,2009,'F','N','CENTRO','HERVAL D OESTE','SC','124242241215271431438813575122610128142',NULL,'446',47.71,1,3,NULL),(20,5145678,'1983-02-22 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241112474421136643435114121562182',1285,'592',79.54,1,2,1),(20,5145686,'1990-04-04 00:00:00',4,2,12,2007,'M','N','PARQUE DA FIGUEIRA','PAULÍNIA','SP','125253251216571331466612575122610147041',8836,'9998',59.17,3,3,NULL),(20,5145694,'1992-12-11 00:00:00',2,7,11,2009,'M','N','SÃO VICENTE','HERVAL D OESTE','SC','124242241215371731366969395122610137052',NULL,'446',31.07,1,3,NULL),(20,5145716,'1991-10-18 00:00:00',2,4,12,2008,'M','N','CENTRO','SALTO LONTRA','PR','116161161116372331446933274122610147042',5190,'9998',67.86,1,2,1),(20,5145724,'1991-05-03 00:00:00',2,7,12,2008,'M','N','VILA ALEMANHA','LUZERNA','SC','124241241216371431436452575122610167197',NULL,'962',0.00,1,3,NULL),(20,5145732,'1991-10-17 00:00:00',4,1,11,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241215132411423363571344221066142',736,'807',82.97,1,3,NULL),(20,5145740,'1992-07-15 00:00:00',4,2,12,2009,'M','N','RIBEIRÃO TAQUARAS','IBIRAMA','SC','124242241235111431337624575122610126172',14309,'346',49.69,1,3,NULL),(20,5145759,'1993-06-05 00:00:00',4,5,10,2009,'M','N','PIO CORREA','CRICIÚMA','SC','124242241215351731579912116115610117041',7504,'226',62.79,1,3,NULL),(20,5145767,'1990-06-10 00:00:00',4,1,10,2008,'M','N','WERNER PLAAS','AMERICANA','SP','125252251217472431439912585125640138182',NULL,'9998',0.00,4,3,NULL),(20,5145775,'1991-07-19 00:00:00',4,1,12,2008,'F','N','ALTO DA BOA VISTA','SOROCABA','SP','125252251215371431558632475122143232187',771,'9998',82.06,3,3,NULL),(20,5145783,'1971-07-14 00:00:00',2,16,12,1993,'M','N','CENTRO','CURITIBANOS','SC','224241244127131521542333232123233267047',13977,'239',47.41,1,2,1),(20,5145805,'1991-10-04 00:00:00',4,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215121531379811572114610132046',8353,'270',61.22,4,3,NULL),(20,5145813,'1992-10-18 00:00:00',2,17,12,2009,'F','N','CENTRO','CAÇADOR','SC','124241241114161731446716572122610128091',NULL,'124',26.34,1,2,1),(20,5145821,'1992-09-30 00:00:00',4,1,12,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241415111731636613572124610134051',NULL,'259',30.77,1,3,NULL),(20,5145830,'1991-03-20 00:00:00',4,1,12,2008,'M','N','PONTA DAREIA','S LUÍS','MA','110102251215321731677911575142610112113',4360,'9998',67.57,1,3,NULL),(20,5145848,'1988-01-27 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124221221116573451223619395124610163147',NULL,'9998',27.26,2,1,1),(20,5145902,'1990-05-18 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124252251216572731578812572122610114052',8340,'9998',61.24,1,3,NULL),(20,5145910,'1990-05-05 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211122411267829575124233262193',NULL,'270',0.00,1,3,NULL),(20,5145945,'1992-08-31 00:00:00',4,7,12,2009,'F','N','NSA SRA DE LOURDES','CAMPOS NOVOS','SC','124242241416472731466812245122610124187',13429,'139',47.03,1,3,NULL),(20,5145953,'1990-06-09 00:00:00',2,1,12,2008,'F','N','PAROLIN','CURITIBA','PR','116162161215472411579613571122610162142',NULL,'9998',0.00,1,3,NULL),(20,5145961,'1991-07-14 00:00:00',2,1,12,2008,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241114574431456831475122610112123',12193,'298',51.96,1,2,1),(20,5145970,'1985-12-18 00:00:00',3,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','120201201111473441239634341224342226182',NULL,'9998',26.94,4,3,NULL),(20,5145988,'1987-12-25 00:00:00',4,8,12,2006,'M','N','COMASSA','JOINVILLE','SC','124241241127472411536611285123610124127',11351,'477',52.88,2,3,NULL),(20,5146003,'1990-02-01 00:00:00',2,1,12,2007,'M','N','BOA VISTA','JOINVILLE','SC','124241241225573451626311392124610117141',346,'457',86.04,1,3,NULL),(20,5146020,'1991-08-23 00:00:00',2,9,12,2008,'M','N','SUMARÉ','RIO SUL','SC','124242241216373731337811575112610147057',8457,'654',58.06,1,3,NULL),(20,5146038,'1990-03-09 00:00:00',4,1,12,2007,'F','N','SANTANA','S PAULO','SP','125252251226471431358721285124610121097',NULL,'9998',0.00,1,3,NULL),(20,5146046,'1986-05-08 00:00:00',4,1,12,2003,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241217143721636613385124333263147',NULL,'882',47.57,1,3,NULL),(20,5146070,'1992-06-09 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117271431346513345114610117042',12341,'307',53.69,1,2,1),(20,5146089,'1993-10-01 00:00:00',2,1,11,2009,'F','N','IPIRANGA','S JOSÉ','SC','124242241215121642535632572124610113057',NULL,'1118',25.04,3,3,NULL),(20,5146097,'1991-12-08 00:00:00',2,1,12,2008,'F','N','CENTRO','LEOBERTO LEAL','SC','124241241125473431436922575124610122147',1509,'533',78.84,1,2,1),(20,5146100,'1992-09-10 00:00:00',4,15,12,2009,'F','N','PEROBA','STA ROSA SUL','SC','124241241137141431323415242324610134071',NULL,'689',17.49,1,3,NULL),(20,5146119,'1991-01-05 00:00:00',4,9,12,2008,'M','N','VILA NOVA','LAGES','SC','124242241215271411579911412122610167052',4630,'497',67.79,1,3,NULL),(20,5146135,'1990-07-14 00:00:00',4,1,12,2006,'M','N','IPIRANGA','S JOSÉ','SC','124241241136473431435624572124610127042',NULL,'740',45.77,1,2,1),(20,5146143,'1989-08-14 00:00:00',2,1,12,2007,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241117133431233344442114610167027',NULL,'293',32.33,1,2,1),(20,5146160,'1989-04-06 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244247317372441425712576214610136172',7633,'9999',59.97,1,3,NULL),(20,5146178,'1992-07-07 00:00:00',2,1,12,2009,'F','N','VILA RICA','STO ANTÔNIO POSSE','SP','125252251217111332447915572112610162053',NULL,'9998',0.00,1,3,NULL),(20,5146186,'1991-10-22 00:00:00',2,1,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161215471431438833571112610122147',NULL,'9998',0.00,1,3,NULL),(20,5146194,'1991-04-03 00:00:00',2,15,12,2008,'F','N','CENTRO','BAL ARROIO SILVA','SC','124241241111131412335615342224610124142',NULL,'29',20.43,1,2,1),(20,5146208,'1991-03-28 00:00:00',4,1,12,2008,'M','N','BARREIRO','ARAÇOIABA SERRA','SP','125252251215471731468931472112610127043',NULL,'9998',0.00,1,3,NULL),(20,5146216,'1968-10-29 00:00:00',4,1,7,1991,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224241242126133751422253282124121827057',NULL,'306',19.88,1,3,NULL),(20,5146224,'1988-02-28 00:00:00',2,17,12,2005,'F','N','REBOUÇAS','CURITIBA','PR','116161161215571211558531572114143126197',NULL,'9997',0.00,1,3,NULL),(20,5146232,'1992-02-23 00:00:00',4,16,12,2009,'F','N','SAO JOSÉ','CURITIBANOS','SC','124241241116371431338713571122610124141',15702,'239',43.81,1,2,1),(20,5146240,'1990-11-13 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215272431456923595121221464145',1446,'1022',79.10,1,3,NULL),(20,5146259,'1991-06-14 00:00:00',2,17,12,2009,'F','N','CENTRO','PAPANDUVA','SC','124243241315161731338819576122612651192',NULL,'603',17.96,1,3,NULL),(20,5146267,'1993-08-09 00:00:00',4,2,12,2010,'F','S','GARCIA','BLUMENAU','SC','124242241215112711438831475122610124027',NULL,'87',54.26,1,3,NULL),(20,5146275,'1992-10-29 00:00:00',2,4,12,2009,'M','N','CENTRO','TAQUARUÇU SUL','RS','120201208116151731525431192125613057052',NULL,'9998',17.71,1,3,NULL),(20,5146291,'1991-11-15 00:00:00',4,1,11,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241215111732459813572114610134012',15353,'1022',46.76,1,3,NULL),(20,5146305,'1985-03-06 00:00:00',2,5,12,2002,'F','N','NOSSA SENH DA SALETE','CRICIÚMA','SC','124241241136371431434439382112610127147',9380,'228',59.30,2,1,1),(20,5146313,'1992-10-04 00:00:00',4,1,12,2009,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241215111732356423572114610168187',13960,'1011',48.69,1,3,NULL),(20,5146330,'1992-08-02 00:00:00',4,1,12,2009,'M','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124241241115131231666413472122610117047',15652,'1088',41.40,1,2,1),(20,5146348,'1991-01-01 00:00:00',2,1,12,2008,'M','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124242241215312521476723575122610126072',NULL,'1023',0.00,1,3,NULL),(20,5146356,'1972-12-17 00:00:00',5,1,12,1989,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243248217123451459913474122320427092',4098,'305',67.47,1,3,NULL),(20,5146364,'1990-09-13 00:00:00',2,1,11,2007,'F','N','BARREIROS','S JOSÉ','SC','124241241236573431646314594124133228187',1311,'738',79.70,1,3,NULL),(20,5146380,'1992-05-05 00:00:00',4,1,12,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241212123431468813572114610142143',11311,'1022',52.13,1,3,NULL),(20,5146402,'1991-04-24 00:00:00',4,10,12,2008,'M','N','BAIRRO DEHON','TUBARÃO','SC','124242241215122411448831415122232412127',NULL,'87',0.00,1,3,NULL),(20,5146410,'1989-09-04 00:00:00',2,8,12,2006,'F','N','TERESÓPOLIS','PTO ALEGRE','RS','120203201117571731678832445124610137047',13987,'9998',48.14,1,3,NULL),(20,5146429,'1979-10-26 00:00:00',4,8,12,2002,'M','N','NOVA BRASÍLIA','JOINVILLE','SC','124241247346131431334619182112333237047',NULL,'9997',0.00,1,3,NULL),(20,5146437,'1991-08-20 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124243241215342431416644341334610137057',NULL,'1018',30.49,4,3,NULL),(20,5146445,'1988-04-09 00:00:00',2,1,12,2007,'F','N','PONTE IMARUIM','PALHOÇA','SC','124241248132141731516629345124132721187',NULL,'13',0.00,1,3,NULL),(20,5146453,'1992-03-28 00:00:00',4,8,11,2009,'M','N','BIGORRILHO','CURITIBA','PR','116112161235111431548511594124610117067',NULL,'9998',46.41,4,3,NULL),(20,5146461,'1991-12-24 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241215132431438618575124220764077',5265,'738',67.65,1,3,NULL),(20,5146470,'1991-08-23 00:00:00',4,8,11,2008,'F','N','REBOUÇAS','CURITIBA','PR','116162161215421532478713572114610132183',557,'9998',83.32,3,3,NULL),(20,5146488,'1992-04-06 00:00:00',4,5,11,2009,'F','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124244241415111431576812425114610123012',NULL,'226',26.23,1,3,NULL),(20,5146500,'1990-12-28 00:00:00',4,3,12,2008,'M','N','VILA REAL','BAL CAMBORIÚ','SC','124242241125271431433611246121610124072',NULL,'51',38.94,1,3,NULL),(20,5146526,'1991-12-08 00:00:00',4,4,12,2008,'M','N','ESTRELA','S MIGUEL OESTE','SC','124243241116271232259923485115610137042',NULL,'757',0.00,1,3,NULL),(20,5146550,'1992-07-26 00:00:00',1,1,12,2009,'F','N','RIO BRANCO','S LEOPOLDO','RS','120202201217111431469931414112610135052',3532,'9998',70.25,1,3,NULL),(20,5146569,'1992-06-15 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124203241215111731436621595114610124182',NULL,'1022',47.65,1,3,NULL),(20,5146577,'1992-01-05 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215121431426619375124610128072',4075,'1050',69.60,1,3,NULL),(20,5146585,'1974-03-30 00:00:00',2,5,8,2003,'M','N','LARANJINHA','CRICIÚMA','SC','224243247323131431334441215132610127117',NULL,'227',26.23,1,3,NULL),(20,5146593,'1992-08-10 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431469933575124610166177',449,'1022',85.06,1,3,NULL),(20,5146607,'1988-11-12 00:00:00',2,8,11,2005,'F','N','EXPOSIÇÃO','PASSOS','MG','113132131216571431447839572112610124142',NULL,'9998',33.05,1,3,NULL),(20,5146623,'1988-06-20 00:00:00',4,1,11,2006,'M','N','TRIDADE','FLORIANÓPOLIS','SC','124072071216472411336623575114142864113',NULL,'9998',0.00,4,3,NULL),(20,5146640,'1991-07-20 00:00:00',4,3,12,2009,'M','N','ORLEANS','CURITIBA','PR','116162161215111431378714574124610144112',13352,'9998',50.07,1,3,NULL),(20,5146674,'1976-09-18 00:00:00',4,1,12,1993,'F','N','KOBRASOL','S JOSÉ','SC','124242241216133431326344245124130222147',NULL,'735',24.56,1,3,NULL),(20,5146682,'1993-03-17 00:00:00',2,1,12,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124242241147131432543623572324610124147',NULL,'591',26.56,2,1,2),(20,5146690,'1990-06-23 00:00:00',4,1,12,2007,'M','N','SAO BENEDITO','MORUNGABA','SP','125252251217572751365823574112610164092',5202,'9998',65.06,1,3,NULL),(20,5146704,'1990-01-10 00:00:00',4,6,12,2007,'M','N','DOM BOSCO','ITAJAÍ','SC','124252241232474431338711591124610167091',4159,'1026',70.43,1,3,NULL),(20,5146712,'1992-02-12 00:00:00',4,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241417271431438821571114610114051',13275,'307',51.81,1,3,NULL),(20,5146720,'1990-07-02 00:00:00',4,1,11,2009,'M','N','JARDIM VERDE VALE','URUBICI','SC','124241241145131431523633345221610132147',NULL,'818',24.30,2,1,1),(20,5146739,'1991-06-12 00:00:00',4,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124242241215111311535412392122610118092',NULL,'1078',24.82,1,3,NULL),(20,5146747,'1992-03-08 00:00:00',4,8,12,2009,'M','N','GUANABARA','JOINVILLE','SC','124242241215111752468812575122610168017',12279,'456',49.78,1,3,NULL),(20,5146755,'1993-01-29 00:00:00',2,9,12,2009,'F','N','CONTA DINHEIRO','LAGES','SC','124244241215111431556829575125610168152',11857,'1146',50.15,1,3,NULL),(20,5146763,'1991-02-15 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124242241216132731324644445112610163157',NULL,'723',26.90,1,3,NULL),(20,5146780,'1992-04-14 00:00:00',4,5,10,2009,'F','N','PIO CORREA','CRICIÚMA','SC','124242241215122431448911375122610133092',9617,'226',56.62,1,3,NULL),(20,5146798,'1990-01-14 00:00:00',4,1,12,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241126152731335333295122610132147',NULL,'278',26.28,1,2,1),(20,5146801,'1992-12-31 00:00:00',4,10,12,2009,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241246215111531459813575124610114057',NULL,'1120',28.05,1,3,NULL),(20,5146828,'1991-04-04 00:00:00',2,1,12,2008,'F','N','BALNEARIO ESTREITO','FLORIANÓPOLIS','SC','124242241215372431468319591124610123072',15210,'1022',43.48,1,3,NULL),(20,5146836,'1992-11-23 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111711459824375114610164185',13648,'1022',47.03,1,3,NULL),(20,5146844,'1992-01-08 00:00:00',4,8,11,2009,'F','N','CENTRO','CURITIBA','PR','116245161216121431446936571115610165092',12849,'9998',50.00,1,3,NULL),(20,5146860,'1992-07-06 00:00:00',2,5,11,2009,'M','N','CENTRO','ARARANGUÁ','SC','124242241215111411469932575112610167046',14133,'32',50.11,1,3,NULL),(20,5146879,'1986-08-03 00:00:00',4,1,6,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241327334121138722245122233262181',11870,'9999',54.62,1,3,NULL),(20,5146895,'1992-02-28 00:00:00',4,1,12,2009,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241116131411334634245124610138147',NULL,'772',24.00,1,2,1),(20,5146909,'1992-09-28 00:00:00',2,4,12,2009,'F','N','INTERIOR','S BERNARDINO','SC','124241241113161411426816571341610123142',NULL,'701',0.00,1,2,1),(20,5146925,'1991-11-07 00:00:00',4,16,11,2009,'M','N','CENTRO','CURITIBANOS','SC','124242241216121431444939575122610148012',8279,'881',59.42,1,3,NULL),(20,5146933,'1991-12-23 00:00:00',4,1,12,2009,'F','N','CAMBUÍ','CAMPINAS','SP','125252251217111431538933572122610163147',NULL,'9998',14.11,1,3,NULL),(20,5146941,'1989-06-02 00:00:00',2,1,12,2006,'F','N','CENTRO','BIGUAÇU','SC','124201201116161241323364382214610127187',NULL,'9998',0.00,1,3,NULL),(20,5146968,'1992-10-05 00:00:00',2,10,12,2009,'M','N','CENTRO','TUBARÃO','SC','124244241215111431439933575122610167057',9742,'807',56.89,1,3,NULL),(20,5146976,'1991-01-27 00:00:00',4,1,12,2007,'M','N','CENTRO','GUAÍRA','PR','116162161216573411546932575124610117052',2230,'9998',75.60,3,3,NULL),(20,5146984,'1990-06-22 00:00:00',4,1,12,2008,'M','N','VILA OLIMPIA','S PAULO','SP','125252251216471411549924571114610167186',908,'9998',80.98,1,3,NULL),(20,5146992,'1985-10-07 00:00:00',4,1,12,2005,'M','N','PARTENON','PTO ALEGRE','RS','120203207147471441127648381124610137163',NULL,'9998',25.39,1,3,NULL),(20,5147000,'1992-05-14 00:00:00',4,15,12,2009,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241115131431443933575122610131197',15432,'30',43.29,1,3,NULL),(20,5147018,'1975-01-16 00:00:00',4,1,12,1997,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224161161146131451433359292125232836147',NULL,'9998',27.83,1,2,1),(20,5147026,'1992-06-26 00:00:00',4,8,11,2009,'F','N','AVENTUREIRO','JOINVILLE','SC','124241243135372431326317282244610131177',NULL,'483',26.42,1,2,1),(20,5147042,'1991-09-22 00:00:00',4,10,11,2009,'M','N','CENTRO','ARMAZÉM','SC','124244241416111441428612155111610137042',NULL,'806',21.98,1,3,NULL),(20,5147050,'1994-01-27 00:00:00',4,9,11,2010,'F','S','CENTRO','LAGES','SC','124242241215151441467814445122610163077',NULL,'497',63.93,1,3,NULL),(20,5147069,'1992-03-25 00:00:00',4,10,11,2009,'F','N','HUMAITÁ','TUBARÃO','SC','124242241215111731328923432122610135182',14823,'809',46.10,1,3,NULL),(20,5147085,'1993-12-16 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111511468879595114610118042',NULL,'266',31.04,1,3,NULL),(20,5147093,'1992-04-19 00:00:00',4,8,12,2009,'M','N','PARANAGUAMIRIM','JOINVILLE','SC','124241246211151331325432145124610124062',NULL,'1105',28.15,1,3,NULL),(20,5147107,'1990-08-10 00:00:00',2,8,12,2007,'M','N','GUANABARA','JOINVILLE','SC','124241241125471441325661244124610167012',13189,'95',52.00,1,2,1),(20,5147115,'1992-02-23 00:00:00',4,5,12,2009,'F','N','CENTRO','ORLEANS','SC','124242241217152431366611575112610144142',7245,'820',62.34,1,3,NULL),(20,5147123,'1989-08-20 00:00:00',4,5,12,2006,'F','N','MOINHOS','LAJEADO','RS','120202201217571431348734371122142822147',7678,'9998',59.86,1,3,NULL),(20,5147131,'1991-09-24 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431379929575124610143122',13879,'262',46.77,1,3,NULL),(20,5147140,'1991-01-14 00:00:00',4,8,11,2008,'M','N','SETO BUENO','GOIÂNIA','GO','109252091217411731678813594122610133147',NULL,'9998',0.00,1,3,NULL),(20,5147158,'1987-10-31 00:00:00',4,2,12,2005,'M','N','INTERLAGOS','S PAULO','SP','125252251417571411548821573122141422073',NULL,'9998',0.00,1,3,NULL),(20,5147166,'1987-03-05 00:00:00',2,15,12,2006,'M','N','ZONA NOVA SUL','BAL ARROIO SILVA','SC','124241241142131431423551242223610127047',NULL,'854',37.17,2,1,1),(20,5147174,'1992-04-12 00:00:00',4,8,11,2009,'F','N','BOM RETIRO','CURITIBA','PR','116161161215111451323315574124610134147',NULL,'9998',49.43,1,3,NULL),(20,5147182,'1988-11-28 00:00:00',4,1,12,2008,'M','N','CENTRO','S CARLOS','SP','125252251216441531476832575122610132052',NULL,'9997',25.30,4,1,2),(20,5147190,'1992-08-14 00:00:00',2,1,12,2009,'M','N','BELA VISTA','S JOSÉ','SC','124244241115141421558831242122610137052',NULL,'733',28.42,1,3,NULL),(20,5147204,'1993-12-16 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111511468879595124610118093',NULL,'1169',44.82,1,3,NULL),(20,5147212,'1990-11-22 00:00:00',4,1,12,2008,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215272431367833575114610164192',5722,'270',65.43,1,3,NULL),(20,5147239,'1992-03-08 00:00:00',4,1,10,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113231578813275112610124052',1944,'1169',76.21,1,3,NULL),(20,5147247,'1992-09-05 00:00:00',4,1,12,2009,'M','N','PENHA','PAULO LOPES','SC','124243241225131112423311112224610164194',11835,'262',54.68,1,3,NULL),(20,5147255,'1989-12-15 00:00:00',4,1,12,2007,'M','N','MARISTA','GOIÂNIA','GO','109092091216571431568831575115610167056',2140,'9998',74.95,4,3,NULL),(20,5147263,'1992-12-25 00:00:00',4,1,12,2009,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124242241215122431467613571124610133185',12536,'1022',53.27,4,3,NULL),(20,5147271,'1991-11-26 00:00:00',4,1,11,2008,'F','N','JD PREVIDENCIA','S PAULO','SP','125252251217471411238722595114610121122',2107,'9998',75.67,1,3,NULL),(20,5147298,'1992-04-10 00:00:00',4,1,11,2009,'M','N','VILA SADIA','VÁRZEA GRANDE','MT','111243111317111431545611375122610132042',7591,'9998',61.20,1,3,NULL),(20,5147301,'1992-03-02 00:00:00',4,1,11,2009,'F','N','ESPLANADA DO SOL','S JOSÉ CAMPOS','SP','125252251215111731369914475122610167112',NULL,'9998',0.00,1,3,NULL),(20,5147328,'1992-10-05 00:00:00',4,1,12,2009,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241216111411446619575114610163127',NULL,'269',44.23,1,3,NULL),(20,5147336,'1991-12-23 00:00:00',2,9,12,2008,'F','N','CENTRO','VIDAL RAMOS','SC','124241241145372431536334272124610121142',12785,'828',49.28,1,2,1),(20,5147344,'1992-10-12 00:00:00',4,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215122411368811575112610161122',11566,'270',51.90,1,3,NULL),(20,5147360,'1991-11-04 00:00:00',2,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124244248432122321374313593134610122166',15853,'272',42.16,1,3,NULL),(20,5147395,'1991-05-30 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241137131751433314245134610127142',NULL,'285',25.04,1,2,1),(20,5147417,'1991-06-20 00:00:00',4,1,12,2008,'F','N','VILA CERQUEIRA','AMÉRICO BRASILIENSE','SP','125252251215471431458821575124610144072',4965,'9998',65.04,1,3,NULL),(20,5147425,'1989-07-15 00:00:00',2,1,12,2007,'M','N','PONTE IMARUIM','PALHOÇA','SC','124241248122141431326612342122610137042',NULL,'592',0.00,1,3,NULL),(20,5147433,'1988-11-23 00:00:00',4,1,12,2005,'F','N','KOBRASOL','S JOSÉ','SC','124243241216375431438833341114610126057',NULL,'1036',27.92,4,3,NULL),(20,5147441,'1989-01-21 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215152431449832595124221424142',6675,'820',64.55,1,3,NULL),(20,5147468,'1989-05-16 00:00:00',2,1,12,2006,'M','N','SÃO JOSÉ','S JOSÉ','SC','124214211217371411333354474124610137187',NULL,'9998',0.00,1,3,NULL),(20,5147476,'1991-08-07 00:00:00',2,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431459913435124610123075',5232,'270',67.77,1,3,NULL),(20,5147484,'1992-09-16 00:00:00',2,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124241241135371531423319212122610135072',NULL,'729',29.65,1,2,1),(20,5147492,'1992-03-19 00:00:00',4,3,12,2009,'F','N','CAMPO BELO','FRANCA','SP','125252251216111431368933495124610133092',14186,'9998',45.01,4,3,NULL),(20,5147514,'1990-06-15 00:00:00',4,1,12,2008,'F','N','CENTRO','S CARLOS','SP','125252251216471431426631575122610168092',14454,'9997',48.18,1,3,NULL),(20,5147530,'1991-09-09 00:00:00',4,1,11,2008,'F','N','PARAISO','S PAULO','SP','125252251217471431589813571112610163097',481,'9998',84.76,1,3,NULL),(20,5147549,'1992-04-29 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217131431546612572122610136052',11098,'273',52.68,1,3,NULL),(20,5147573,'1982-07-19 00:00:00',2,1,12,1999,'M','N','PORTO CUBATÃO','CANANÉIA','SP','125162161216141451138943331132341964042',13666,'9998',51.02,1,3,NULL),(20,5147581,'1984-01-07 00:00:00',2,1,12,2003,'M','N','EXPOSIÇÃO','CAXIAS SUL','RS','120201201147471411123341111224610127187',NULL,'9998',24.34,1,2,1),(20,5147590,'1988-11-19 00:00:00',2,5,11,2006,'F','N','CENTRO','URUSSANGA','SC','124243241215474431536611575122610162122',4812,'820',67.59,1,3,NULL),(20,5147603,'1991-11-25 00:00:00',2,1,12,2008,'F','N','NOSSA SR DO ROSARIO','S JOSÉ','SC','124241241112371431434911395124610154092',NULL,'730',41.19,1,2,1),(20,5147620,'1991-08-24 00:00:00',2,1,8,2009,'F','N','TARUMÃ','CURITIBA','PR','116166161117271531688831395124610167076',NULL,'9998',0.00,4,3,NULL),(20,5147638,'1992-06-06 00:00:00',4,7,12,2009,'F','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241215152731556722595115610147017',12872,'454',50.11,1,3,NULL),(20,5147646,'1992-06-14 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241317111431326424372114610136147',NULL,'1022',29.72,1,3,NULL),(20,5147654,'1990-03-05 00:00:00',4,1,12,2007,'M','N','PINHEIROS','S PAULO','SP','125252251217572741589813575114142067047',NULL,'9998',NULL,1,3,NULL),(20,5147662,'1992-05-27 00:00:00',4,6,12,2009,'F','N','ITAJUBA','BARRA VELHA','SC','124241241117161731448619385122610134017',NULL,'614',0.00,1,3,NULL),(20,5147689,'1990-05-04 00:00:00',4,1,12,2007,'F','N','GUABIROTUBA','CURITIBA','PR','116252161215573431477914571112610163142',NULL,'9998',0.00,1,3,NULL),(20,5147697,'1991-06-08 00:00:00',4,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111441368924575114610124091',13313,'1022',48.10,1,3,NULL),(20,5147700,'1990-04-16 00:00:00',2,10,12,2007,'M','N','PORTINHO','LAGUNA','SC','124241241126272731433613142221610117187',NULL,'521',0.00,1,2,1),(20,5147719,'1992-06-30 00:00:00',4,2,12,2009,'M','N','VILA NOVA','BLUMENAU','SC','124241241316111431446514475124610167052',10660,'88',53.94,1,3,NULL),(20,5147735,'1988-09-27 00:00:00',4,8,12,2005,'M','N','VILA IZABEL','CURITIBA','PR','116162161215572741338614572124610127047',1740,'9998',77.89,1,3,NULL),(20,5147751,'1991-08-05 00:00:00',2,16,12,2008,'M','N','CENTRO','STA CECÍLIA','SC','124241161216131512446731572112133267042',NULL,'9998',0.00,1,3,NULL),(20,5147760,'1992-05-25 00:00:00',2,1,11,2009,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241215112431448633575124610128187',13396,'1022',47.95,1,3,NULL),(20,5147778,'1993-03-16 00:00:00',2,9,12,2010,'F','S','PETRÓPOLIS','LAGES','SC','124243241415111431347933575112610132141',NULL,'9997',24.64,1,3,NULL),(20,5147786,'1992-01-13 00:00:00',2,1,12,2009,'F','N','FLOR DE NÁPOLES','S JOSÉ','SC','124242241215111751537839295124610137097',NULL,'944',24.64,1,3,NULL),(20,5147794,'1992-10-16 00:00:00',2,2,12,2009,'M','N','CIDADE ALTA','ITAQUI','RS','120201208116371431426631175123610167022',NULL,'9998',0.00,1,2,1),(20,5147808,'1991-02-23 00:00:00',2,1,12,2008,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241416472751468713575114610123172',12459,'1022',50.67,3,3,NULL),(20,5147816,'1991-04-12 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211474711368613571112610114111',2506,'270',75.06,1,3,NULL),(20,5147824,'1990-11-25 00:00:00',4,1,12,2008,'M','N','MOEMA','S PAULO','SP','125252251217371431337969575124610124182',10842,'9998',52.68,1,3,NULL),(20,5147832,'1993-05-08 00:00:00',1,2,12,2011,'F','S','TESTO REGA','POMERODE','SC','124242241235111431459734575122610134192',NULL,'624',51.75,1,3,NULL),(20,5147840,'1992-06-28 00:00:00',2,1,12,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111521466513245124610137047',NULL,'1048',NULL,1,3,NULL),(20,5147875,'1991-09-21 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372441489711571122141447145',1719,'262',76.85,1,3,NULL),(20,5147891,'1992-07-12 00:00:00',4,1,11,2009,'F','N','IBIRAQUERA','IMBITUBA','SC','124243241135271231527822572124610126112',NULL,'361',0.00,1,3,NULL),(20,5147913,'1990-11-13 00:00:00',2,1,12,2008,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','624244241215474432663411574112610167182',2248,'299',75.99,1,3,NULL),(20,5147921,'1990-08-22 00:00:00',4,10,11,2007,'F','N','SAPETINGA','ILHÉUS','BA','105052051216573431589923575122610127092',NULL,'9998',0.00,4,3,NULL),(20,5147930,'1993-08-21 00:00:00',4,1,12,2010,'F','S','PICADAS DO SUL','S JOSÉ','SC','124242241215111431346614575122610112142',NULL,'1074',27.98,1,3,NULL),(20,5147948,'1991-01-16 00:00:00',4,1,12,2008,'F','N','GARCIA','BLUMENAU','SC','124242241215473431557811575124610122142',1025,'855',81.19,1,3,NULL),(20,5147980,'1992-07-21 00:00:00',4,1,10,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215112411539832285124610126192',13169,'300',49.64,1,3,NULL),(20,5147999,'1993-05-29 00:00:00',4,5,10,2009,'F','N','MICHEL','CRICIÚMA','SC','124242241217111431368813475112610124192',7551,'226',62.71,1,3,NULL),(20,5148006,'1991-12-01 00:00:00',2,1,12,1991,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215173432664621514112610167112',12123,'299',51.63,1,3,NULL),(20,5148014,'1991-03-22 00:00:00',2,1,12,2008,'M','N','COHAB NOVA','POCONÉ','MT','111112111217472411445812575125610168052',2386,'9998',75.01,3,3,NULL),(20,5148022,'1986-10-16 00:00:00',4,15,12,2003,'M','N','MATO ALTO','ARARANGUÁ','SC','124201241147131231423644345312610168062',NULL,'29',0.00,1,3,NULL),(20,5148030,'1991-07-08 00:00:00',2,6,12,2009,'M','N','CORVETA','ARAQUARI','SC','124243241415111331323414575122610162017',NULL,'1161',19.13,1,3,NULL),(20,5148057,'1992-10-04 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217111431468931575112610124017',8067,'951',59.56,1,3,NULL),(20,5148065,'1990-09-22 00:00:00',2,1,12,2007,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241117372411333533386124610163142',12927,'733',50.18,1,2,1),(20,5148073,'1992-04-08 00:00:00',4,10,12,2009,'F','N','CENTRO','IMBITUBA','SC','124241241115131431436812172122610124047',NULL,'359',0.00,1,2,1),(20,5148081,'1989-08-16 00:00:00',2,1,12,2006,'F','N','CENTRO','PELOTAS','RS','120204201117571451568939374122610168182',NULL,'9998',0.00,1,3,NULL),(20,5148103,'1993-01-07 00:00:00',4,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215121231248823472122610164042',7849,'723',62.11,2,1,2),(20,5148120,'1993-02-01 00:00:00',2,1,11,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124244241435171751357734274122610164042',9989,'1011',56.35,1,3,NULL),(20,5148138,'1991-11-24 00:00:00',4,8,11,2008,'F','N','AMÉRICA','JOINVILLE','SC','124242241215473431369811372112610168152',4702,'1063',67.54,1,3,NULL),(20,5148146,'1992-05-27 00:00:00',4,6,12,2008,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241217371431467619395124610168117',NULL,'392',26.69,1,3,NULL),(20,5148170,'1990-04-28 00:00:00',4,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241415372431323514575122610132011',NULL,'1010',23.37,1,3,NULL),(20,5148189,'1993-04-16 00:00:00',4,1,12,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242241215111431469914575122610132017',NULL,'737',49.23,1,3,NULL),(20,5148197,'1989-07-06 00:00:00',4,1,12,2009,'M','N','PORTAL DOS NOBRES','AMERICANA','SP','125254254436111411458914471125610137092',NULL,'9998',10.40,1,3,NULL),(20,5148219,'1990-10-15 00:00:00',4,2,12,2008,'F','N','CENTRO','CURITIBA','PR','116242241215472431339532575124610123152',1188,'107',79.60,1,3,NULL),(20,5148227,'1989-11-25 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247215472431568619575122610127042',NULL,'9999',25.13,1,3,NULL),(20,5148235,'1992-06-20 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215112431466812575124610167061',5727,'737',66.38,1,3,NULL),(20,5148251,'1993-02-26 00:00:00',4,1,12,2009,'F','N','BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC','124244241215123431359613572112610143145',7880,'1022',59.41,1,3,NULL),(20,5148260,'1992-01-14 00:00:00',4,1,11,2009,'F','N','VELHA','BLUMENAU','SC','124242241217152431449814472124610144092',9677,'71',58.77,1,3,NULL),(20,5148278,'1992-03-01 00:00:00',2,4,12,2009,'M','N','CENTRO','FAXINAL GUEDES','SC','124241241215111431458414575124610137147',NULL,'1081',27.34,1,3,NULL),(20,5148286,'1993-04-11 00:00:00',4,2,11,2009,'F','N','DOS ESTADOS','INDAIAL','SC','124242241215111431448923572122610124037',NULL,'1157',23.76,4,3,NULL),(20,5148294,'1992-06-20 00:00:00',4,1,12,2009,'F','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125252251217111731568811595112610163077',NULL,'9998',0.00,1,3,NULL),(20,5148308,'1984-09-12 00:00:00',2,1,12,2003,'M','N','PARQUE DAS AMÉRICAS','PTO ESPERIDIÃO','MT','111111111127161531321335386311610164097',NULL,'9998',0.00,2,1,1),(20,5148316,'1994-01-27 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469933375112610132062',NULL,'262',48.18,1,3,NULL),(20,5148332,'1992-04-20 00:00:00',2,7,12,2009,'F','N','MATRIZ','VIDEIRA','SC','124241241216111531346414575122610122147',NULL,'829',22.41,1,3,NULL),(20,5148340,'1991-02-01 00:00:00',4,9,12,2007,'F','N','GLÓRIA','CARAZINHO','RS','120202201216572431469933382122610164182',2746,'9998',73.18,1,3,NULL),(20,5148359,'1990-02-12 00:00:00',4,1,7,2008,'F','N','CENTRO','S JOSÉ R PRETO','SP','125252281415471431468813575122610122052',NULL,'9998',0.00,4,3,NULL),(20,5148367,'1992-07-11 00:00:00',4,2,10,2009,'F','N','FORTALEZA','BLUMENAU','SC','124241241215121131358924575124610123142',3947,'855',69.33,1,3,NULL),(20,5148375,'1992-11-26 00:00:00',2,15,11,2009,'M','N','DIVINÉIA','ARARANGUÁ','SC','124241241115131431436714345121610127057',NULL,'30',17.95,1,2,1),(20,5148383,'1993-07-17 00:00:00',2,4,12,2009,'M','N','ITAJUBÁ','DESCANSO','SC','124241241114161431436612572122610137052',NULL,'242',0.00,1,2,1),(20,5148391,'1992-07-17 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241115472431427712172124610126077',9697,'732',55.90,1,2,1),(20,5148405,'1992-02-13 00:00:00',4,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242245245111431588714575122610167182',NULL,'723',22.65,1,3,NULL),(20,5148413,'1991-04-16 00:00:00',4,1,12,2008,'M','N','MARIA AMÉLIA','JACAREÍ','SP','125252251115371511536311575121610127115',10529,'9998',53.76,4,3,NULL),(20,5148421,'1993-06-30 00:00:00',4,1,12,2011,'F','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111531488832245121610118076',NULL,'1169',34.68,1,3,NULL),(20,5148448,'1992-02-07 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111431468613575124610127185',14937,'270',45.63,4,3,NULL),(20,5148456,'1992-06-12 00:00:00',4,2,12,2009,'F','N','PADRE EDUARDO','TAIÓ','SC','124241241116151751369813575122610132047',NULL,'777',NULL,1,2,1),(20,5148464,'1991-01-02 00:00:00',4,8,11,2007,'F','N','BATEL','CURITIBA','PR','116162161215572431459923592325141566142',3449,'9998',70.96,1,3,NULL),(20,5148499,'1990-09-17 00:00:00',4,1,12,2007,'M','N','SUMARÉ','RIO SUL','SC','124162241215375252326619575111121062197',523,'991',84.33,3,3,NULL),(20,5148502,'1990-12-01 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124132131217472431346622276114610162055',5683,'9998',64.71,4,3,NULL),(20,5148510,'1991-01-06 00:00:00',4,5,11,2007,'M','N','OURO NEGRO','FORQUILHINHA','SC','124241248122131431633314245124610158045',NULL,'310',28.29,1,3,NULL),(20,5148529,'1992-08-10 00:00:00',2,1,12,2009,'M','N','CENTRO','S JOÃO BATISTA','SC','124243241215112431468914275124610147112',6975,'109',63.88,1,3,NULL),(20,5148537,'1992-07-09 00:00:00',2,1,11,2009,'M','N','BELA VISTA I','S JOSÉ','SC','124243241215111431326612572124610147057',14878,'1022',48.21,1,3,NULL),(20,5148545,'1991-04-20 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241215373431336679574114610163141',5281,'737',67.15,1,3,NULL),(20,5148553,'1990-05-21 00:00:00',4,1,11,2008,'M','N','CENTRO','CUIABÁ','MT','111112111236211431238921475122610162042',NULL,'9998',0.00,1,3,NULL),(20,5148561,'1993-02-06 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431479713575112610124052',8416,'1118',59.93,1,3,NULL),(20,5148570,'1990-05-29 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215472431639934572124610122072',NULL,'1050',0.00,1,3,NULL),(20,5148588,'1984-02-13 00:00:00',4,1,12,2001,'F','N','AREIAS','S JOSÉ','SC','124242241217273431447614445124321566032',NULL,'725',53.23,1,3,NULL),(20,5148596,'1988-04-26 00:00:00',4,1,12,2005,'M','N','MOINHOS','LAJEADO','RS','120201201216271431358833335132143244177',8339,'9998',58.37,4,3,NULL),(20,5148600,'1991-04-14 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124241241137472421436614344124610137062',15234,'307',47.15,1,2,1),(20,5148618,'1991-06-04 00:00:00',2,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124241241115131431654723575124610127017',NULL,'257',21.65,1,2,1),(20,5148626,'1990-06-08 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241316372431436611342114610133147',NULL,'1022',17.07,4,1,2),(20,5148634,'1986-08-30 00:00:00',2,1,12,2004,'M','N','AREIAS','S JOSÉ','SC','124242241216565431467613495124220741182',7404,'725',63.02,1,3,NULL),(20,5148642,'1991-10-25 00:00:00',4,1,11,2009,'F','N','BOM VIVER','BIGUAÇU','SC','124241241127131731328617575124610111181',NULL,'66',27.37,1,2,1),(20,5148650,'1992-08-25 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431466614595125610167047',3838,'270',71.25,1,3,NULL),(20,5148669,'1991-09-28 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S PAULO','SP','125252251217571431579834575112610134092',1026,'9998',81.01,1,3,NULL),(20,5148677,'1992-11-12 00:00:00',4,1,11,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215112431458833575114610127145',12094,'270',54.18,1,3,NULL),(20,5148693,'1993-03-26 00:00:00',4,10,12,2010,'M','S','CENTRO','BRAÇO NORTE','SC','124242246215111431656939275124610137052',NULL,'1120',0.00,1,3,NULL),(20,5148707,'1992-09-08 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111531478912575124610125075',7345,'270',61.92,1,3,NULL),(20,5148715,'1992-07-21 00:00:00',2,3,12,2009,'M','N','CENTRO','PTO BELO','SC','124244241437161432564923592124610117057',NULL,'630',20.50,1,3,NULL),(20,5148723,'1992-12-24 00:00:00',4,1,12,2009,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124242241215111731578813575124610162122',7892,'1022',60.71,1,3,NULL),(20,5148731,'1992-11-07 00:00:00',4,2,12,2010,'M','S','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111431249911575122610114142',NULL,'71',28.28,1,3,NULL),(20,5148740,'1991-01-06 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215473431367623572122231427062',3032,'270',73.41,1,3,NULL),(20,5148766,'1991-11-28 00:00:00',2,1,11,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241116271451454363572124610133097',12859,'271',49.97,1,2,1),(20,5148774,'1992-05-28 00:00:00',2,8,12,2009,'F','N','COMASA','JOINVILLE','SC','124241241135371232636633345121610166177',NULL,'469',0.00,1,2,1),(20,5148782,'1992-01-28 00:00:00',4,1,12,2009,'F','N','PONTE PRETA','CAMPINAS','SP','125252251217141431436834395122610164142',NULL,'9998',0.00,1,3,NULL),(20,5148790,'1992-11-05 00:00:00',2,1,12,1992,'F','N','CENTRO DE FPOLIS','FLORIANÓPOLIS','SC','124242241215112431348654242124610132092',7996,'1022',61.44,1,3,NULL),(20,5148804,'1991-11-05 00:00:00',4,8,11,2008,'M','N','TRICOLIN','CANOINHAS','SC','124244241215161711468713575111231461012',5592,'154',66.91,1,3,NULL),(20,5148812,'1992-06-16 00:00:00',4,6,12,2009,'M','N','IPIRANGA','LAGES','SC','124242241215272431349614575122610137012',4877,'515',67.05,1,3,NULL),(20,5148820,'1992-05-29 00:00:00',4,1,12,2009,'M','N','CENTRO','CPO GRANDE','MS','112122121216111431489932595122610162182',10478,'9998',57.28,1,3,NULL),(20,5148839,'1991-03-13 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241115372431425614382124610153047',15579,'592',45.95,1,3,NULL),(20,5148847,'1992-03-21 00:00:00',4,5,12,2009,'F','N','BARRA FUNDA','S PAULO','SP','125252251117271411459914575125610163077',1901,'9998',75.75,1,3,NULL),(20,5148855,'1982-07-19 00:00:00',2,1,12,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241246126135411223644442225610134052',NULL,'808',41.86,1,2,1),(20,5148871,'1991-01-08 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211273551478812595125241437182',1297,'270',79.76,1,3,NULL),(20,5148898,'1980-04-03 00:00:00',2,1,12,1998,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124162161212142431229841315124232863112',NULL,'9998',0.00,1,3,NULL),(20,5148901,'1991-09-27 00:00:00',4,10,11,2008,'F','N','CENTRO','TUBARÃO','SC','124242241215473731488712475112610164092',8963,'807',59.37,1,3,NULL),(20,5148928,'1990-11-17 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431368821575112610132122',6979,'270',62.81,1,3,NULL),(20,5148936,'1992-09-18 00:00:00',2,8,11,2009,'M','N','SANTA CANDIDA','CURITIBA','PR','116162161237111231456612325134610164043',NULL,'9998',26.29,1,3,NULL),(20,5148944,'1992-10-16 00:00:00',4,2,12,2009,'M','N','CENTRO','BLUMENAU','SC','124242241215112431479931575115610144192',3244,'909',71.33,1,3,NULL),(20,5148952,'1988-04-06 00:00:00',2,1,12,2005,'M','N','VILA NOVA','IMBITUBA','SC','124241246117371431524314445121610117112',NULL,'359',30.33,1,2,1),(20,5148960,'1991-06-04 00:00:00',4,1,12,2008,'M','N','JARDIM BRASIL','MARINGÁ','PR','116162161215471511458733575125610161096',4968,'9998',66.23,3,3,NULL),(20,5148979,'1992-09-23 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124254251217271431368833575124610117052',6307,'9998',63.14,1,3,NULL),(20,5148995,'1992-05-02 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241117151431366317595122610138052',NULL,'739',0.00,1,2,1),(20,5149002,'1992-01-11 00:00:00',2,1,12,2009,'M','N','CALHEIROS','GOV CELSO RAMOS','SC','124241248126161231526613282124610137042',NULL,'329',0.00,1,2,1),(20,5149029,'1989-02-27 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124254251216273231439814445124231263021',4400,'9998',67.85,1,3,NULL),(20,5149045,'1992-01-02 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241126161431324329345124610127057',NULL,'736',24.24,1,2,1),(20,5149053,'1991-01-24 00:00:00',2,1,12,2008,'F','N','LAGO NORTE','LG NORTE','DF','107072071216371431477833472122610162182',3722,'9998',71.57,1,3,NULL),(20,5149096,'1988-05-06 00:00:00',4,1,11,1988,'M','N','CENTRO','FLORIANÓPOLIS','SC','124253253415574411147732385114610161022',5624,'9998',65.10,1,3,NULL),(20,5149100,'1992-09-15 00:00:00',4,1,12,2009,'M','N','VILA RICA','CPO GRANDE','MS','112122121217151731238829585124610164172',12457,'9998',51.70,1,3,NULL),(20,5149118,'1991-08-23 00:00:00',4,8,12,2008,'M','N','V ARICANDUVA','S PAULO','SP','125252251216471432546823175115610137111',NULL,'9998',0.00,1,3,NULL),(20,5149126,'1983-01-20 00:00:00',4,2,12,2000,'F','N','GASPAR MIRIM','GASPAR','SC','124241241116131431323333332234131066097',15443,'325',46.47,1,2,1),(20,5149134,'1992-02-11 00:00:00',2,1,12,2009,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241115371421453714572122610124144',NULL,'9997',24.83,1,3,NULL),(20,5149142,'1988-12-25 00:00:00',2,2,12,2007,'F','N','JARDIM AMÉRICA','RIO SUL','SC','124201205117131331123315346124231333077',NULL,'9998',0.00,1,2,1),(20,5149150,'1992-10-09 00:00:00',4,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124244241215131431433812125124610163037',3894,'272',69.71,1,3,NULL),(20,5149177,'1987-01-16 00:00:00',2,1,12,2004,'M','N','LAGO SUL','LG SUL','DF','107072071215573431587633575122141237042',NULL,'9998',0.00,1,3,NULL),(20,5149185,'1989-06-27 00:00:00',2,1,12,2007,'M','N','IPIRANGA','S JOSÉ','SC','124241241142273431546624345114610162042',15856,'592',44.80,1,3,NULL),(20,5149215,'1990-09-27 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215272721239713445124233262097',7779,'855',62.28,4,3,NULL),(20,5149223,'1988-12-25 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117134431538613341134230216147',11510,'733',55.32,1,2,1),(20,5149274,'1992-12-22 00:00:00',2,1,12,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241215111432526814572122610162143',NULL,'1014',16.43,1,3,NULL),(20,5149282,'1957-03-16 00:00:00',4,1,12,1976,'M','N','CENTRO','JOINVILLE','SC','124211215126171411173743332132341065142',NULL,'9998',50.59,1,3,NULL),(20,5149290,'1992-12-13 00:00:00',2,1,12,2009,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241137151431418721572124610127142',NULL,'288',20.23,1,2,1),(20,5149304,'1991-09-04 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241226472431523313442124610127043',14781,'262',47.19,4,3,NULL),(20,5149312,'1991-05-01 00:00:00',4,4,12,2007,'M','N','CENTRO','ÁGUAS CHAPECÓ','SC','124241241116272441428831595122612412052',NULL,'704',0.00,1,2,1),(20,5149320,'1991-11-22 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431236829592325130227052',1309,'270',78.72,1,3,NULL),(20,5149339,'1991-08-24 00:00:00',4,1,12,2008,'M','N','JARDIM MACARENGO','S CARLOS','SP','125252251217411411248624581122610164112',2913,'9998',72.38,1,3,NULL),(20,5149347,'1992-08-27 00:00:00',1,1,12,2009,'M','N','SANTO ANTONIO','S BONIFÁCIO','SC','124241241125161432614335152224610117047',16282,'702',41.07,1,3,NULL),(20,5149363,'1992-04-14 00:00:00',1,1,12,2009,'M','N','SANTO ANTONIO','S BONIFÁCIO','SC','124241241125141411513355152324610147183',NULL,'702',18.79,1,3,NULL),(20,5149371,'1989-12-21 00:00:00',2,1,12,2006,'M','N','IPIRANGA','S JOSÉ','SC','124243241336472421548613245132610165157',15314,'1022',46.87,4,3,NULL),(20,5149398,'1991-11-28 00:00:00',4,4,11,2008,'M','N','AREA INDUSTRIAL','S LOURENÇO OESTE','SC','124242241116131511549513575121610157033',NULL,'745',0.00,1,3,NULL),(20,5149410,'1987-08-01 00:00:00',1,5,12,2004,'M','N','NOSSA SENHORA FATIMA','IÇARA','SC','224241241127131732621144342131610128197',NULL,'9997',30.01,1,2,1),(20,5149428,'1983-09-04 00:00:00',4,1,12,2000,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241114274411447831345134133222013',16093,'307',43.47,1,3,NULL),(20,5149436,'1991-04-10 00:00:00',2,1,12,2008,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241127471432336369445124610126187',NULL,'257',18.16,1,2,1),(20,5149444,'1990-02-20 00:00:00',4,1,12,2007,'F','N','ASA NORTE','BRASÍLIA','DF','107074071116572431578933572122610164072',NULL,'9998',42.93,1,3,NULL),(20,5149460,'1993-03-30 00:00:00',2,4,12,2009,'F','N','CENTRO','ERVAL GRANDE','RS','120201201116131711416621112124610166187',12768,'9998',48.81,4,2,1),(20,5149479,'1980-04-07 00:00:00',4,1,12,1997,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124242241216152421237742321132331422053',12891,'68',52.57,1,3,NULL),(20,5149487,'1992-12-18 00:00:00',4,4,12,2009,'F','N','SANTA INES','FORMOSA SUL','SC','124241241116131431624315552224610126057',NULL,'308',0.00,1,2,1),(20,5149517,'1978-10-19 00:00:00',2,15,12,1996,'M','N','CENTRO','BAL ARROIO SILVA','SC','124241241342131431243643235112130822082',NULL,'26',16.50,1,3,NULL),(20,5149525,'1990-06-18 00:00:00',4,1,11,2007,'M','N','KOBRASOL','S JOSÉ','SC','124241241111373431548679572114610118022',6724,'639',63.30,1,2,1),(20,5149550,'1991-09-05 00:00:00',4,8,12,2008,'M','N','MOSSUNGUE','CURITIBA','PR','116162161216471441488813572112610127042',1954,'9998',76.56,1,3,NULL),(20,5149568,'1979-11-15 00:00:00',4,8,12,1999,'M','N','FLORESTA','JOINVILLE','SC','124161247321271721224444341323140224097',NULL,'631',21.68,4,3,NULL),(20,5149576,'1989-12-20 00:00:00',4,1,12,2009,'M','N','GRANJA OLGA','SOROCABA','SP','125252251215111431266722235112610127182',13575,'9998',46.44,1,3,NULL),(20,5149584,'1992-03-21 00:00:00',4,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241215271431449931115122610124193',NULL,'389',0.00,1,3,NULL),(20,5149592,'1992-09-19 00:00:00',2,1,12,2009,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241215111432326923575125610137173',NULL,'1014',21.39,1,3,NULL),(20,5149606,'1992-10-17 00:00:00',4,16,12,2009,'M','N','CENTRO','BRUNÓPOLIS','SC','124241241126131531426915355122610157052',NULL,'911',22.47,1,2,1),(20,5149622,'1991-10-28 00:00:00',4,1,12,2009,'M','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125131251215471431556812575122610137052',1016,'9998',81.24,1,3,NULL),(20,5149630,'1989-05-17 00:00:00',4,1,12,2008,'M','N','XAXIM','CURITIBA','PR','116164161236472411468614595124610164182',NULL,'9998',19.36,1,3,NULL),(20,5149649,'1991-08-08 00:00:00',2,1,12,2008,'F','N','JARDIM RECREIO','RIBEIRÃO PRETO','SP','125252251215471431558831572122610134147',NULL,'9998',0.00,1,3,NULL),(20,5149673,'1991-03-31 00:00:00',2,15,11,2009,'F','N','SAO LUIS','SOMBRIO','SC','124243241211371431333935381124610165142',12047,'770',50.89,1,3,NULL),(20,5149681,'1987-10-20 00:00:00',2,8,12,2004,'M','N','CANISIANAS','IRATI','PR','116162161315472711446832574122141434057',3207,'9998',72.37,1,3,NULL),(20,5149690,'1980-06-26 00:00:00',4,1,12,1998,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241126153411254344245122321167147',NULL,'295',14.88,1,2,1),(20,5149703,'1991-02-26 00:00:00',4,1,12,2009,'F','N','VILA IZABEL','CURITIBA','PR','116161168117421231338824575124610117097',NULL,'9998',22.65,5,3,NULL),(20,5149711,'1990-04-02 00:00:00',2,1,12,2007,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241335373421348652225124610167063',NULL,'1098',29.98,1,3,NULL),(20,5149720,'1988-07-08 00:00:00',4,1,3,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247147373411224421175114610134192',NULL,'9999',11.63,1,2,1),(20,5149738,'1992-01-10 00:00:00',4,9,12,2009,'M','N','JARDIM AMÉRICA','RIO SUL','SC','124242241217121431246829575122610147062',10161,'991',55.72,1,3,NULL),(20,5149746,'1990-04-24 00:00:00',2,1,12,2007,'M','N','ALDEIA FIGUEIRA','JOSÉ BOITEUX','SC','124241241126133311429713472224610165047',NULL,'1064',21.76,5,4,NULL),(20,5149754,'1978-11-17 00:00:00',4,1,7,1997,'F','N','KOBRASOL','S JOSÉ','SC','124242241216272411638339232122331324097',NULL,'270',0.00,1,3,NULL),(20,5149762,'1992-02-22 00:00:00',4,6,12,2009,'F','N','SÃO JOÃO','ITAJAÍ','SC','124244241417151431338719395125610148187',NULL,'400',19.57,1,3,NULL),(20,5149819,'1992-10-20 00:00:00',4,1,12,2009,'M','N','CENTRO','RIO SUL','SC','124242241215112431469612575122610162197',2916,'991',72.17,1,3,NULL),(20,5149827,'1990-12-18 00:00:00',2,1,11,2009,'M','N','SANTO ANTONIO','BAL PIÇARRAS','SC','124241248335171411438623375124610117115',NULL,'1022',0.00,1,3,NULL),(20,5149843,'1992-01-06 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243241125151431323669575124610138142',NULL,'732',22.64,1,3,NULL),(20,5149851,'1987-04-13 00:00:00',4,1,12,2004,'F','N','SERRARIA','S JOSÉ','SC','124244241216472431438623575124333222057',2907,'1036',73.10,1,3,NULL),(20,5149860,'1990-03-09 00:00:00',4,9,12,2007,'M','N','CENTRO','PTE ALTA','SC','124242241236472431556632345112610124052',8676,'499',60.39,4,3,NULL),(20,5149878,'1988-02-08 00:00:00',4,1,12,2008,'F','N','JD IPE','SOROCABA','SP','125251251117471431447611115124610123197',NULL,'9998',19.39,1,2,1),(20,5149886,'1991-09-15 00:00:00',2,3,12,2008,'F','N','UNIVERSITÁRIA','CPO GRANDE','MS','112122121216471431467722575112610122032',10213,'9998',53.74,1,3,NULL),(20,5149908,'1986-04-09 00:00:00',2,1,12,2003,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','224161161136131431324453287124342232197',8191,'9998',57.37,1,2,1),(20,5149924,'1976-01-16 00:00:00',2,1,12,2007,'F','N','BELA VISTA IV','S JOSÉ','SC','124243247341132411424344441234610137073',NULL,'9999',23.81,2,1,2),(20,5149932,'1992-07-11 00:00:00',4,1,11,2009,'F','N','CENTRO','ILHÉUS','BA','105052051216111431668812574124610144072',NULL,'9998',0.00,1,3,NULL),(20,5149959,'1982-09-29 00:00:00',4,4,12,2001,'M','N','ANCHIETA','PATO BRANCO','PR','116163161216271431538314485125140741042',NULL,'9998',13.57,2,1,2),(20,5149975,'1992-09-10 00:00:00',4,4,12,2009,'F','N','INTERIOR','VARGEÃO','SC','124241241136111431323936162224610166142',NULL,'824',27.43,1,3,NULL),(20,5149991,'1992-02-24 00:00:00',2,4,12,2008,'M','N','VISTA ALEGRE','CONCÓRDIA','SC','124241241116371531436814345122610157147',NULL,'194',24.00,4,2,1),(20,5150000,'1991-08-06 00:00:00',4,1,11,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215112431479933371111610143075',3279,'1133',71.11,1,3,NULL),(20,5150019,'1988-10-07 00:00:00',4,8,11,2005,'M','N','BATEL','CURITIBA','PR','116162161215573711469933574345610162047',2504,'9998',75.07,1,3,NULL),(20,5150027,'1991-05-06 00:00:00',4,1,12,2008,'M','N','JARDIM FLORENÇA','GOIÂNIA','GO','109092091215371511468811575122610114012',NULL,'9998',0.00,4,3,NULL),(20,5150043,'1987-03-31 00:00:00',2,1,12,2004,'M','N','JARDIM ITAIPÚ','DOURADOS','MS','112122121216574431469911575122142412012',3670,'9998',71.41,1,3,NULL),(20,5150051,'1992-06-18 00:00:00',4,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124241241115371432333311575124610127147',10790,'478',54.75,1,2,1),(20,5150060,'1984-05-21 00:00:00',2,1,12,2001,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217143421138813425332421566097',7630,'970',62.57,1,3,NULL),(20,5150078,'1992-08-15 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431379613575122610167042',NULL,'988',47.68,1,3,NULL),(20,5150086,'1984-05-04 00:00:00',4,6,12,2001,'M','N','SÃO LUIZ','BRUSQUE','SC','124242241116371421348722415122333264012',7483,'981',62.83,4,3,NULL),(20,5150108,'1990-01-14 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124242241216271441458923495121610166182',7977,'499',61.87,1,3,NULL),(20,5150124,'1991-08-16 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241125141431543632112114610162185',14953,'922',44.01,4,2,1),(20,5150132,'1991-09-24 00:00:00',4,1,1,2009,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124242281215472431264622572114610138145',1805,'9998',77.08,1,3,NULL),(20,5150167,'1981-05-29 00:00:00',4,1,12,2004,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224211211142131431431644242331140828072',NULL,'9998',35.95,2,1,1),(20,5150175,'1987-12-11 00:00:00',4,1,12,2004,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241216153441538634245113231064046',15752,'259',45.26,1,3,NULL),(20,5150183,'1989-01-07 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241215375431558612441124610165057',15772,'1036',45.19,2,1,2),(20,5150191,'1989-05-29 00:00:00',4,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124212217217574411228812575124610115072',NULL,'9998',19.73,1,3,NULL),(20,5150205,'1989-11-30 00:00:00',4,3,12,2006,'F','N','SUMARÉ','PARANAVAÍ','PR','116164161215574431568914575125610126182',3380,'9998',70.95,1,3,NULL),(20,5150213,'1990-02-21 00:00:00',4,6,12,2007,'M','N','CENTRO','NAVEGANTES','SC','124242241215472431437834274121610127092',3440,'1026',71.12,1,3,NULL),(20,5150221,'1990-03-19 00:00:00',2,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116244241411572431459934572124610137071',2671,'1022',73.98,1,3,NULL),(20,5150230,'1983-05-14 00:00:00',4,1,12,2000,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241112473421546313435122321324145',6757,'307',61.80,1,2,1),(20,5150248,'1990-04-16 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115331431456633475114610136041',11587,'307',55.15,4,2,1),(20,5150256,'1992-03-05 00:00:00',4,16,12,2009,'M','N','CENTRO','CURITIBANOS','SC','124242241116471431458811575112610167057',NULL,'239',32.16,1,3,NULL),(20,5150264,'1992-01-21 00:00:00',4,1,12,2009,'M','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241117131431433634342324610137047',14981,'9997',44.11,1,2,1),(20,5150272,'1992-04-24 00:00:00',4,1,12,2009,'F','N','GRANJA VIAN','COTIA','SP','125252251215371431487712575122610138042',8936,'9998',57.39,1,3,NULL),(20,5150280,'1991-03-12 00:00:00',4,5,12,2008,'M','N','SÃO DEFENDE','CRICIÚMA','SC','124242241216273431446813575124610162054',9847,'995',58.45,1,3,NULL),(20,5150302,'1985-06-21 00:00:00',2,1,7,2005,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','624241241126132741653829412124121626037',10538,'288',57.17,1,3,NULL),(20,5150310,'1991-02-05 00:00:00',4,1,6,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241247217272411356713575112610122011',9904,'9999',58.35,1,3,NULL),(20,5150337,'1990-02-04 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243248215412432428613485124610117112',NULL,'1022',19.01,1,3,NULL),(20,5150345,'1992-11-11 00:00:00',2,10,12,2009,'F','N','PROGRESSO','LAGUNA','SC','124243241112372411456933572122610124182',11933,'521',50.64,1,3,NULL),(20,5150370,'1992-10-17 00:00:00',2,4,12,2009,'M','N','CENTRO','S DOMINGOS','SC','124241242115131431436913575214610157052',NULL,'196',25.66,1,2,1),(20,5150388,'1991-10-16 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241215112431425634572114610136117',NULL,'1022',28.02,4,3,NULL),(20,5150396,'1967-05-15 00:00:00',2,1,5,1998,'F','N','ABRAAO','FLORIANÓPOLIS','SC','524243247222153731436552385124431043187',NULL,'1168',0.00,1,3,NULL),(20,5150400,'1991-09-24 00:00:00',2,7,12,2008,'F','N','CENTRO','CATANDUVAS','SC','124243241316472411336812572124610167077',13727,'454',48.63,1,3,NULL),(20,5150418,'1993-01-28 00:00:00',4,3,12,2009,'M','N','SUMARÉ','PARANAVAÍ','PR','116164161217111431568914575124610127012',12950,'9998',48.10,1,3,NULL),(20,5150426,'1986-03-26 00:00:00',2,9,12,2003,'M','N','CENTRO','LEOBERTO LEAL','SC','124241241124472431534933245124610127047',6620,'533',61.90,1,2,1),(20,5150434,'1989-06-15 00:00:00',2,1,12,2006,'F','N','SÃO BENTO','SIDROLÂNDIA','MS','112121121116211431323721292121143217097',NULL,'9998',0.00,4,2,1),(20,5150442,'1991-10-21 00:00:00',4,15,12,2008,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124242241215473731566612574122610125092',3102,'970',73.19,1,3,NULL),(20,5150450,'1975-08-13 00:00:00',4,1,12,1993,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224202201216371411246943432122140737147',853,'9998',82.16,1,3,NULL),(20,5150477,'1992-02-15 00:00:00',2,8,12,2009,'F','N','CENTRO','MASSARANDUBA','SC','124241241116373231433332272122610164077',NULL,'555',26.09,1,2,1),(20,5150485,'1951-06-13 00:00:00',3,9,12,1984,'M','N','SÃO PEDRO M DO POSTO','LAGES','SC','224241247126331421322143452324610167042',NULL,'512',24.23,1,3,NULL),(20,5150493,'1989-03-23 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124244241436131411236763445124610162195',NULL,'282',30.09,1,3,NULL),(20,5150507,'1988-09-30 00:00:00',4,4,11,2006,'F','N','ANCHIETA','PATO BRANCO','PR','116164161216371441538314291114142852127',NULL,'9998',18.91,4,3,NULL),(20,5150531,'1989-07-02 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241116472731236823442114610122047',12287,'271',50.70,2,3,NULL),(20,5150540,'1986-07-31 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124201201112152751133343435134610168187',13855,'9998',46.58,1,2,1),(20,5150566,'1985-11-24 00:00:00',4,1,12,2003,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216152731468714425122320267041',7546,'270',62.72,1,3,NULL),(20,5150574,'1990-11-23 00:00:00',2,1,12,2007,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124162241212242431248334145114440212042',NULL,'262',19.68,3,3,NULL),(20,5150612,'1991-06-29 00:00:00',2,8,12,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116203161115471431459714575124610122182',7005,'9998',60.70,1,3,NULL),(20,5150620,'1989-07-19 00:00:00',4,1,4,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243247321141421557813415122610144041',13564,'9997',51.24,1,3,NULL),(20,5150639,'1991-11-09 00:00:00',2,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124242241415151431538816575122610163032',NULL,'239',0.00,1,3,NULL),(20,5150647,'1992-04-19 00:00:00',2,1,12,2009,'F','N','JARDIM AQUARIUS','PALHOÇA','SC','124246241112371731346413572124610123142',9199,'733',57.85,1,3,NULL),(20,5150663,'1991-06-18 00:00:00',4,4,12,2008,'F','N','CENTRO','ASSIS CHATEAUBRIAND','PR','116161161135472431536833575122610163173',NULL,'9998',37.87,1,2,1),(20,5150680,'1989-09-08 00:00:00',4,1,12,2008,'M','N','ALTO DE PINHEIROS','S PAULO','SP','125252251216471431488812575122610167052',1400,'9998',78.43,1,3,NULL),(20,5150698,'1983-12-07 00:00:00',4,1,12,2001,'F','N','CENTRO','IBOTIRAMA','BA','105052051117131751336833445125340846182',NULL,'9998',50.49,2,1,2),(20,5150701,'1989-05-24 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241316154431569933472122231067147',7994,'267',61.84,1,3,NULL),(20,5150710,'1993-05-10 00:00:00',4,1,12,2009,'M','N','COLONINHA','FLORIANÓPOLIS','SC','111112111216111431559712575122610134177',9270,'9998',57.03,1,3,NULL),(20,5150736,'1991-09-27 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217272431669713275124233264082',2033,'270',76.12,1,3,NULL),(20,5150744,'1990-12-31 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241415473431466833594124610164115',1600,'1022',78.26,1,3,NULL),(20,5150760,'1989-09-13 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215133451446933475114121933187',6580,'272',64.75,1,3,NULL),(20,5150779,'1981-07-05 00:00:00',2,1,12,1998,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124201201126131411123344445124610126187',15305,'9998',46.92,1,2,1),(20,5150787,'1985-02-22 00:00:00',2,1,12,2003,'F','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124241241122334411424429382124610132147',NULL,'298',25.53,1,2,1),(20,5150795,'1990-12-12 00:00:00',4,8,12,2007,'F','N','ACARAÍ','S FRANCISCO SUL','SC','124242241216473421658933575122610127072',10293,'457',55.78,1,3,NULL),(20,5150809,'1990-12-03 00:00:00',2,8,12,2007,'F','N','ESTRADA NOVA','JARAGUÁ SUL','SC','124161241112134411323831282224610162147',15269,'425',44.14,1,2,1),(20,5150817,'1975-07-11 00:00:00',4,1,12,1992,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224241241316151751378943432122321566017',4644,'806',69.21,1,3,NULL),(20,5150833,'1992-03-11 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241235153451558812595122610127057',13267,'262',51.84,1,3,NULL),(20,5150841,'1990-04-09 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215374751468831575122130433187',2932,'262',73.73,1,3,NULL),(20,5150850,'1990-09-09 00:00:00',4,1,12,2009,'F','N','FORQUILINHAS','S JOSÉ','SC','124241241122141431437834341324610146012',NULL,'727',26.71,1,2,1),(20,5150868,'1991-03-11 00:00:00',4,7,12,2008,'M','N','CENTRO','PTO ALEGRE','RS','120242241216472431478814445122610127052',3043,'1047',71.89,1,3,NULL),(20,5150876,'1992-07-08 00:00:00',4,1,12,2009,'M','N','JURERE','FLORIANÓPOLIS','SC','124244241211131132426634295114610112141',12819,'1048',48.22,1,3,NULL),(20,5150884,'1990-11-13 00:00:00',4,1,12,2008,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161215471531579911575122610117011',521,'9998',84.41,1,3,NULL),(20,5150906,'1991-05-02 00:00:00',4,8,11,2008,'F','N','MERCÊS','CURITIBA','PR','116132161235471731568814575122610166075',NULL,'9998',0.00,1,3,NULL),(20,5150914,'1991-02-01 00:00:00',4,10,12,2008,'M','N','CENTRO','TUBARÃO','SC','124242241236472431457673395122610144012',1846,'806',76.43,1,3,NULL),(20,5150922,'1992-11-17 00:00:00',4,8,12,2009,'F','N','VILA HORIZONTE','PARANAGUÁ','PR','116162161215473421326623372124610112092',NULL,'9998',24.45,1,3,NULL),(20,5150930,'1989-12-29 00:00:00',4,1,12,2007,'F','N','JARDIM ITAIPU','DOURADOS','MS','112122121216173431469911575122143163182',NULL,'9998',27.37,1,3,NULL),(20,5150949,'1991-04-25 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSÉ','SC','124241241345472431446914275114610133147',8700,'13',59.07,1,3,NULL),(20,5150965,'1987-11-05 00:00:00',5,1,12,2005,'F','N','SANTA CANDIDA','CURITIBA','PR','116162161216271431339921245112142866117',NULL,'9998',NULL,1,3,NULL),(20,5150990,'1992-11-15 00:00:00',4,4,12,2009,'F','N','SÃO JOSÉ','CONCÓRDIA','SC','124241241216271431336534295124610133127',5765,'1001',64.64,1,3,NULL),(20,5151007,'1992-02-20 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124241241115111431336413575125610137042',NULL,'733',26.60,1,2,1),(20,5151015,'1992-04-06 00:00:00',2,8,12,2009,'F','N','SERRA ALTA','S BENTO SUL','SC','124241241116131431436614245124610127142',NULL,'694',27.93,1,3,NULL),(20,5151023,'1981-07-04 00:00:00',2,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201127271431226653272124132723182',NULL,'9998',23.17,1,3,NULL),(20,5151031,'1992-09-25 00:00:00',4,1,11,2009,'M','N','ALTO ARIRIU','PALHOÇA','SC','124243241115271231325624245124610124052',7208,'591',62.59,1,3,NULL),(20,5151040,'1991-03-30 00:00:00',2,1,6,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241247347131131425334145324610114095',NULL,'270',16.84,1,3,NULL),(20,5151066,'1992-04-13 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241225171732423639342134610124147',16168,'262',40.17,1,3,NULL),(20,5151074,'1987-03-19 00:00:00',2,1,6,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124213247135412531538513245124610137047',NULL,'9999',43.31,2,1,2),(20,5151082,'1991-05-29 00:00:00',4,3,12,2008,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161214412431368823575112610122097',2701,'9998',74.12,1,3,NULL),(20,5151090,'1991-12-19 00:00:00',2,10,11,2008,'M','N','DEHON','TUBARÃO','SC','124242241114152211359933435122230228022',8142,'807',59.26,1,3,NULL),(20,5151104,'1991-07-19 00:00:00',4,1,12,2008,'F','N','POÇO FUNDO','STO AMARO IMPERATRIZ','SC','124241241131131431528713495111610117182',NULL,'772',18.49,1,2,1),(20,5151112,'1983-08-31 00:00:00',4,3,12,2000,'M','N','ALTO BOQUEIRÃO','CURITIBA','PR','116161161116572441123344443333610134177',3145,'9998',70.83,1,2,1),(20,5151120,'1982-02-15 00:00:00',4,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217375731488611574122122222092',1352,'270',79.50,1,3,NULL),(20,5151139,'1990-09-21 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241201417472421439911575124142167072',5523,'9998',65.94,1,3,NULL),(20,5151147,'1991-06-17 00:00:00',4,3,12,2008,'F','N','ZONA UM','UMUARAMA','PR','116162161215472411367814575122610124012',NULL,'9998',0.00,1,3,NULL),(20,5151163,'1991-12-17 00:00:00',2,10,11,2009,'F','N','HUMAITÁ','TUBARÃO','SC','124242241215121431456532575122610134142',NULL,'807',20.00,1,3,NULL),(20,5151198,'1986-08-20 00:00:00',4,4,10,2004,'M','N','CENTRO','CONCÓRDIA','SC','124174171411271431469934281122343234125',NULL,'192',0.00,1,3,NULL),(20,5151201,'1974-09-22 00:00:00',4,1,10,2007,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124201247411232441138821385223222244107',NULL,'9999',53.84,1,3,NULL),(20,5151210,'1990-08-10 00:00:00',4,8,11,2007,'M','N','SANTA CATARINA','JOINVILLE','SC','124242246216472431658813344234610114191',8580,'494',60.79,1,3,NULL),(20,5151228,'1989-06-26 00:00:00',4,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116124121415573431468832575124610126012',4062,'9998',70.07,1,3,NULL),(20,5151236,'1991-09-09 00:00:00',2,15,12,2009,'M','N','CENTRO','TIMBÉ SUL','SC','124244241436151431336939375122610128117',NULL,'785',20.56,1,3,NULL),(20,5151244,'1992-04-07 00:00:00',4,10,11,2009,'M','N','SAO RAIMUNDO','TUBARÃO','SC','124243241215111431544411575124610137112',10136,'9997',55.37,1,3,NULL),(20,5151252,'1992-09-30 00:00:00',4,1,12,2009,'M','N','SANTANA','GUARAPUAVA','PR','116162161217111732348823575121610117017',NULL,'9998',0.00,1,3,NULL),(20,5151260,'1992-05-06 00:00:00',2,2,11,2009,'M','N','CENTRO','AGRONÔMICA','SC','124244241216131431333613472122610127052',14640,'663',48.88,1,3,NULL),(20,5151279,'1992-03-23 00:00:00',4,1,10,2009,'F','N','DEHON','TUBARÃO','SC','124242241211112411469931592122610141122',2651,'807',74.57,1,3,NULL),(20,5151287,'1990-02-14 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124241241137131431323339385114610134147',NULL,'257',21.64,2,1,1),(20,5151295,'1991-01-05 00:00:00',2,1,12,2008,'M','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124241241122151431423311382214610134142',13248,'307',51.86,1,2,1),(20,5151309,'1991-01-23 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116372431237624575124133226091',9550,'192',55.15,1,2,1),(20,5151317,'1991-12-08 00:00:00',2,1,11,1991,'F','N','ROÇADO','S JOSÉ','SC','124242241215112411469612395122610126187',12443,'1077',50.90,1,3,NULL),(20,5151333,'1988-01-09 00:00:00',4,1,12,2005,'M','N','CENTRO','GUARAPUAVA','PR','116164161416471311249713345113242064047',7367,'9998',60.89,1,3,NULL),(20,5151368,'1992-02-11 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431548829575124610123054',NULL,'1022',30.54,1,3,NULL),(20,5151376,'1991-04-23 00:00:00',2,1,11,2008,'F','N','COSTEIRA DO PIRAJUBÉ','FLORIANÓPOLIS','SC','124241241117272431428524595114610167057',11414,'281',53.35,1,2,1),(20,5151384,'1989-10-16 00:00:00',2,5,6,2008,'M','N','PRESIDENTE VARGAS','IÇARA','SC','124241246216152441433339394124610164182',6231,'995',65.50,1,3,NULL),(20,5151392,'1992-04-01 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124241241225272411439621375124610136091',1348,'262',79.42,1,3,NULL),(20,5151406,'1993-01-19 00:00:00',2,4,12,2009,'F','N','EFAPI','CHAPECÓ','SC','124241241115131531424714572122610123177',13738,'184',46.88,1,3,NULL),(20,5151422,'1991-12-05 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215272441436629571124610128071',NULL,'273',25.19,1,3,NULL),(20,5151430,'1992-01-06 00:00:00',2,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241417331432438923595224610127043',NULL,'884',24.90,1,3,NULL),(20,5151449,'1992-12-24 00:00:00',2,10,12,2009,'F','N','KM TRINTA E SETE','LAGUNA','SC','124241241111371431324319571224610127047',NULL,'521',0.00,1,3,NULL),(20,5151457,'1986-06-20 00:00:00',4,8,12,2003,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241216575421537969375112131423147',NULL,'499',0.00,1,3,NULL),(20,5151473,'1991-03-24 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215472431568813595114231966077',4681,'270',69.14,1,3,NULL),(20,5151481,'1990-10-01 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248215372411456679575124610121142',NULL,'262',24.84,1,3,NULL),(20,5151503,'1987-02-14 00:00:00',4,17,12,2004,'F','N','CENTRO','PAPANDUVA','SC','124242241216271431549931481124331338012',NULL,'541',21.43,1,3,NULL),(20,5151511,'1991-10-15 00:00:00',4,8,12,2008,'M','N','JARDIM IRIRIÚ','JOINVILLE','SC','124242241217211531556654575124610124041',NULL,'462',29.99,1,3,NULL),(20,5151520,'1991-04-05 00:00:00',2,1,12,2008,'M','N','JARDIM LANCASTER','FOZ IGUAÇU','PR','116162161211472411458839595114610112012',9207,'9998',58.38,2,1,2),(20,5151538,'1981-05-07 00:00:00',4,1,12,1997,'F','N','TRINDADE','FLORIANÓPOLIS','SC','424244241416474721269843435122333262122',7402,'269',61.39,1,3,NULL),(20,5151546,'1991-10-24 00:00:00',4,2,12,2008,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124241241216372751214616375122610168142',NULL,'1050',0.00,1,3,NULL),(20,5151562,'1992-07-07 00:00:00',4,8,12,2009,'M','N','JOÃ PESSOA','JARAGUÁ SUL','SC','124241241217131731649933575121610162097',NULL,'1006',35.95,1,3,NULL),(20,5151570,'1991-01-10 00:00:00',2,1,11,2008,'F','N','CENTRO','S JOSÉ','SC','124242241216472222436611495114610111182',11671,'1022',54.99,1,3,NULL),(20,5151589,'1991-03-27 00:00:00',4,1,12,2008,'M','N','JARDIM SANTA MENA','GUARULHOS','SP','125252251217472431468711175122610134012',6483,'9998',61.76,4,3,NULL),(20,5151597,'1991-08-30 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431579911571122610133072',1996,'270',76.95,1,3,NULL),(20,5151619,'1988-02-27 00:00:00',2,6,12,2004,'M','N','CENTRO','BAL CAMBORIÚ','SC','124114161216572431488836575325610147047',5800,'9998',65.19,1,3,NULL),(20,5151627,'1988-08-13 00:00:00',2,1,12,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241111373731226844341344610127187',NULL,'307',19.50,2,1,1),(20,5151660,'1990-10-31 00:00:00',4,1,11,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215372431378933572122610121145',4785,'270',68.89,1,3,NULL),(20,5151678,'1993-01-04 00:00:00',2,10,12,2009,'F','N','MAR GROSSO','LAGUNA','SC','124242241215111431446832575122610126072',NULL,'9997',31.45,1,3,NULL),(20,5151686,'1992-06-20 00:00:00',4,1,12,2009,'F','N','BALNEÁRIOS','FLORIANÓPOLIS','SC','624243241316161321631932111124610128042',NULL,'292',23.32,1,3,NULL),(20,5151694,'1992-03-18 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241215121431456932575112610167012',12502,'738',50.46,1,3,NULL),(20,5151708,'1989-02-12 00:00:00',4,1,12,2006,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124203201111131751116544342324230227045',NULL,'9998',0.00,1,3,NULL),(20,5151716,'1991-07-15 00:00:00',2,1,12,2008,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241116242732436613342124610136142',NULL,'288',41.48,1,3,NULL),(20,5151724,'1992-07-04 00:00:00',4,1,12,2009,'M','N','CENTRO','CALIFÓRNIA','PR','116162161217111431479923375112610162011',NULL,'9998',0.00,1,3,NULL),(20,5151732,'1989-03-17 00:00:00',4,8,12,2006,'M','N','CENTRO','LONDRINA','PR','116162161215561441468834573122610167097',224,'9998',87.66,1,3,NULL),(20,5151759,'1988-09-22 00:00:00',4,1,12,2005,'F','N','CENTRO','STA CRUZ R PARDO','SP','125251251117472431333631282121610132157',2964,'9998',73.07,1,2,1),(20,5151775,'1992-06-01 00:00:00',4,8,11,2009,'M','N','GLÓRIA','JOINVILLE','SC','124242241215111731369622571122610112052',NULL,'1063',25.41,1,3,NULL),(20,5151783,'1985-01-08 00:00:00',4,1,12,2002,'F','N','INGLESES','FLORIANÓPOLIS','SC','124252251117371411436641315134140823142',NULL,'9998',42.20,1,3,NULL),(20,5151791,'1991-09-02 00:00:00',2,8,12,2008,'M','N','BATEL','CURITIBA','PR','116162161235571721447831575122610124147',2999,'9998',72.72,1,3,NULL),(20,5151805,'1991-08-10 00:00:00',4,1,12,2008,'F','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124244241215373531538612345122610138187',7463,'63',62.25,1,3,NULL),(20,5151813,'1986-05-10 00:00:00',4,10,12,2007,'F','N','VILA MOEMA','TUBARÃO','SC','124242257215471431438819571124610142072',6397,'9998',63.99,1,3,NULL),(20,5151821,'1990-09-05 00:00:00',4,1,12,2008,'M','N','DAS NAÇÕES','FRAIBURGO','SC','124242241214271431623821575124610114012',NULL,'885',20.05,1,3,NULL),(20,5151830,'1988-10-11 00:00:00',4,1,11,2006,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217373431469914375112610167047',10022,'270',56.79,1,3,NULL),(20,5151856,'1992-05-08 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241115471731638811575124610137057',3123,'271',73.15,1,3,NULL),(20,5151864,'1989-07-10 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124243241215272431336624345124610132032',5192,'962',67.55,1,3,NULL),(20,5151872,'1977-12-29 00:00:00',2,4,12,1998,'M','N','CENTRO','CONDOR','RS','120201201126131731121141315122240217047',NULL,'9998',0.00,1,2,1),(20,5151880,'1991-06-15 00:00:00',4,8,12,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241217111521588811575112610132042',NULL,'9997',18.73,1,3,NULL),(20,5151899,'1992-08-10 00:00:00',2,16,12,2009,'F','N','CENTRO','BRAGANEY','PR','116163161217112731368819572122610166075',NULL,'9998',26.98,1,3,NULL),(20,5151902,'1991-02-14 00:00:00',2,4,12,2007,'M','N','SÃO JOSÉ','PTO ALEGRE','RS','120241241116472441433335391134610137052',NULL,'824',38.76,1,2,1),(20,5151910,'1991-03-01 00:00:00',2,1,12,2008,'F','N','JARDIM BOTÂNICO','PTO ALEGRE','RS','120201208116371431346629575124610163097',NULL,'9998',26.65,1,2,1),(20,5151929,'1985-07-28 00:00:00',2,2,12,2004,'M','N','VILA CARLI','GUARAPUAVA','PR','116251161146131431426716315121242962172',NULL,'9998',0.00,1,2,1),(20,5151937,'1990-11-03 00:00:00',4,9,12,2007,'F','N','CORAL','LAGES','SC','124241241112111431426611575122610127032',NULL,'505',21.85,1,3,NULL),(20,5151953,'1992-09-26 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243248115151431436739575114610167041',NULL,'288',25.93,4,3,NULL),(20,5151961,'1991-10-21 00:00:00',4,1,12,2009,'F','N','JARDIM SÃO PAULO','RIO CLARO','SP','125252251215271431678813575122610112087',NULL,'9998',0.00,1,3,NULL),(20,5151970,'1990-10-28 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241415473431338613592115130237052',133,'1022',89.43,1,3,NULL),(20,5151996,'1993-03-30 00:00:00',4,10,12,2009,'F','N','NOVA BRASÍLIA','IMBITUBA','SC','124241241116131431333923572124610124147',NULL,'359',0.00,1,2,1),(20,5152003,'1990-10-01 00:00:00',4,1,12,2007,'M','N','LAGO NORTE','LG NORTE','DF','107212251217571431579914575112610164047',NULL,'9998',0.00,4,3,NULL),(20,5152020,'1988-03-24 00:00:00',2,1,12,2004,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124212201212272421448319495114610162145',NULL,'9998',29.41,4,3,NULL),(20,5152038,'1986-06-25 00:00:00',2,1,6,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241437232752268923482124133221147',NULL,'977',20.91,2,3,NULL),(20,5152046,'1992-06-25 00:00:00',4,1,12,2009,'M','N','JURERÊ ITERNACIONAL','FLORIANÓPOLIS','SC','124244241215111211368915485124610147182',NULL,'9997',22.33,1,3,NULL),(20,5152054,'1992-02-01 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241216111731333319235124610124092',NULL,'1048',30.10,1,3,NULL),(20,5152070,'1992-10-20 00:00:00',4,5,12,2009,'M','N','BARRO VERMELHO','ORLEANS','SC','124241241417111431325724572122610127052',NULL,'950',25.63,1,3,NULL),(20,5152089,'1992-06-01 00:00:00',2,4,12,2009,'F','N','CENTRO','DESCANSO','SC','124241241116111231423412325122610123142',NULL,'242',0.00,1,2,1),(20,5152127,'1990-03-02 00:00:00',4,8,12,2007,'F','N','CRISTO REI','CURITIBA','PR','116162161216471751548714475112142664187',4304,'9998',68.53,1,3,NULL),(20,5152135,'1991-07-29 00:00:00',4,1,11,2008,'M','N','DAMHA I','S JOSÉ R PRETO','SP','125252251217471431368812272315610167042',NULL,'9998',0.00,1,3,NULL),(20,5152143,'1991-06-15 00:00:00',2,1,11,2009,'F','N','BUENO','GOIÂNIA','GO','109092091215131431435619292224610146187',NULL,'9998',22.29,4,3,NULL),(20,5152151,'1992-03-21 00:00:00',4,6,12,2009,'F','N','ÁGUAS CLARAS','BRUSQUE','SC','124242241236111731558814295122610156147',NULL,'1090',19.92,1,3,NULL),(20,5152186,'1992-07-22 00:00:00',4,1,12,2009,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215271431559833575122610122042',14154,'262',47.62,1,3,NULL),(20,5152194,'1991-10-04 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201241215373431256849594124610142172',9388,'1022',57.62,1,3,NULL),(20,5152208,'1992-09-28 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241212112411566822221114610122173',6082,'1022',64.80,1,3,NULL),(20,5152224,'1992-11-25 00:00:00',4,1,11,2009,'F','N','EMBARÉ','SANTOS','SP','125162251217121431379812575111610124122',5795,'9998',65.86,1,3,NULL),(20,5152232,'1989-11-13 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241215473431436633575124610162072',190,'991',88.10,1,3,NULL),(20,5152240,'1992-09-16 00:00:00',4,1,12,2009,'M','N','JARDIM BELA VISTA','ITAPIRANGA','SC','124241241117131431233923595112610138052',15457,'412',42.51,1,3,NULL),(20,5152259,'1987-03-06 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241211154431556833492221222134047',3595,'807',71.03,4,3,NULL),(20,5152267,'1992-06-11 00:00:00',4,7,12,2009,'M','N','CENTRO','CAMPOS NOVOS','SC','124244241216151431448933575115610142172',12899,'138',49.74,1,3,NULL),(20,5152275,'1991-10-10 00:00:00',4,9,12,2008,'F','N','CENTRO','VIDAL RAMOS','SC','124243241147473711536639295112610163141',10880,'828',55.05,1,3,NULL),(20,5152291,'1992-03-06 00:00:00',4,1,12,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124244241215131431456413275124610144057',5595,'976',65.41,1,3,NULL),(20,5152305,'1993-01-02 00:00:00',2,4,12,2009,'F','N','CENTRO','PASSO FUNDO','RS','120243208416321431535532142122610123077',NULL,'9998',24.93,1,3,NULL),(20,5152330,'1990-09-27 00:00:00',4,1,11,2007,'M','N','GLÉBAS CALIFÓRNIA','PIRACICABA','SP','125252251217371431368811475122610117092',NULL,'9998',0.00,1,3,NULL),(20,5152348,'1991-06-05 00:00:00',4,1,12,2008,'M','N','TRISTEZA','PTO ALEGRE','RS','120202201216471431489913574124610164093',4179,'9998',69.65,1,3,NULL),(20,5152356,'1992-08-05 00:00:00',4,2,12,2009,'M','N','CENTRO','TIMBÓ','SC','124242241215111431458812475122610125012',15708,'1157',45.47,1,3,NULL),(20,5152364,'1992-07-05 00:00:00',4,6,11,2009,'M','N','SETOR INDUSTRIAL','VILHENA','RO','122222221217111431337712345122610122172',3769,'9998',70.02,1,3,NULL),(20,5152372,'1991-05-24 00:00:00',4,1,11,2008,'F','N','ARAXA','LONDRINA','PR','116162161216451431558811575112610132122',6593,'9998',62.85,3,3,NULL),(20,5152399,'1986-09-21 00:00:00',4,1,12,2004,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124162161212374431459834475124221464182',5859,'9998',66.33,2,3,NULL),(20,5152402,'1991-01-08 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116272731423314272124610122053',NULL,'732',25.15,1,3,NULL),(20,5152429,'1991-02-21 00:00:00',4,1,11,2008,'F','N','LAPA','S PAULO','SP','125252251211471751468914575122610125077',NULL,'9998',0.00,1,3,NULL),(20,5152437,'1992-06-23 00:00:00',2,1,12,2009,'M','N','CENTRO','ALFREDO WAGNER','SC','124241241145272431534621572124610115192',NULL,'592',0.00,1,2,1),(20,5152445,'1991-02-06 00:00:00',4,1,12,2008,'M','N','JARDIM UNIVERSITÁRIO','MARÍLIA','SP','125252251215371731578513575122610127042',11524,'9998',52.30,1,3,NULL),(20,5152453,'1991-07-01 00:00:00',2,1,12,2008,'M','N','CENTRO','BIGUAÇU','SC','124243241215473431435572342124610117047',NULL,'63',20.49,1,3,NULL),(20,5152461,'1983-05-02 00:00:00',4,1,12,2000,'M','N','PEDRA BRANCA','PALHOÇA','SC','124241241115372411476633432122321412092',768,'271',82.76,1,2,1),(20,5152470,'1991-08-10 00:00:00',4,8,12,2008,'M','N','JARDIM MARUPIARA','PRES PRUDENTE','SP','125252251216471731448831572125610127057',4504,'9998',67.06,1,3,NULL),(20,5152488,'1992-05-26 00:00:00',4,1,12,2009,'F','N','CHACARA PRIMAVERA','CAMPINAS','SP','125252251215161431466823572122610121142',14746,'9998',44.92,1,3,NULL),(20,5152496,'1992-07-23 00:00:00',4,1,12,2009,'M','N','PQ RES CIDADE NOVA','MARINGÁ','PR','116163161215111131569913432111610134144',8515,'9998',57.87,1,3,NULL),(20,5152500,'1991-06-15 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124204201411472431118749392314610163077',2975,'9998',72.64,1,3,NULL),(20,5152518,'1992-05-09 00:00:00',4,1,11,2009,'M','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124244241435111431236621282124610124092',NULL,'300',22.69,1,3,NULL),(20,5152526,'1992-06-08 00:00:00',4,1,12,2009,'F','N','CAQUEIROS','FLORIANÓPOLIS','SC','124241241117111532321319576324610123141',NULL,'292',25.82,4,1,1),(20,5152542,'1992-03-23 00:00:00',4,8,12,2009,'M','N','RUDGE RAMOS','S BERNARDO CAMPO','SP','125252251216271731448814572122610147112',NULL,'9998',0.00,1,3,NULL),(20,5152550,'1993-01-08 00:00:00',4,1,11,2009,'M','N','CRISTO REI','FRANCISCO BELTRÃO','PR','116162161215152441368912272112610138172',1377,'9998',79.21,1,3,NULL),(20,5152569,'1991-08-11 00:00:00',4,8,11,2009,'F','N','CENTRO','JOINVILLE','SC','124242241215272431579931414122610165182',3824,'457',71.29,1,3,NULL),(20,5152577,'1993-01-28 00:00:00',4,6,11,2010,'F','S','FAZENDA','ITAJAÍ','SC','124242241217111431358931575122610117072',NULL,'1172',44.37,1,3,NULL),(20,5152585,'1991-07-07 00:00:00',2,1,11,2008,'M','N','PARQUE PENHA','S PAULO','SP','125252251212471432567832385124610167052',NULL,'9998',0.00,1,3,NULL),(20,5152607,'1992-08-20 00:00:00',4,3,12,2009,'M','N','CENTRO','ITAPEMA','SC','124203241117271231427811275125610167147',NULL,'406',0.00,1,3,NULL),(20,5152623,'1992-06-19 00:00:00',2,5,10,2009,'F','N','CENTRO','URUSSANGA','SC','124242241215271431467934575112610127092',8706,'820',59.66,1,3,NULL),(20,5152631,'1993-08-31 00:00:00',4,8,12,2010,'F','S','VILA NOVA','JOINVILLE','SC','124242241215112731466632211122610124182',NULL,'1063',49.11,1,3,NULL),(20,5152640,'1987-04-19 00:00:00',4,1,12,2004,'F','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124203201516574431266822275124143238077',11670,'9998',54.99,1,3,NULL),(20,5152658,'1992-05-09 00:00:00',2,7,12,2009,'F','N','CENTRO','CARAZINHO','RS','120204201415131431436923312124610147057',NULL,'9998',19.60,1,3,NULL),(20,5152666,'1990-03-16 00:00:00',4,1,12,2007,'F','N','CENTRO','PASSO FUNDO','RS','120203201217571431458813575122610164012',1633,'9998',78.32,1,3,NULL),(20,5152674,'1991-11-10 00:00:00',4,8,11,2008,'F','N','BOA VISTA','JOINVILLE','SC','124244246216472431628612572124610127071',11384,'1105',52.75,1,3,NULL),(20,5152712,'1989-05-19 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215273231369811395121133237112',NULL,'299',34.35,1,3,NULL),(20,5152720,'1984-02-03 00:00:00',2,15,12,2001,'F','N','CENTRO','S JOÃO SUL','SC','224241241127131712423654432332610126042',NULL,'717',20.18,1,2,1),(20,5152739,'1991-06-19 00:00:00',4,1,12,2008,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241237352411477923395124233267042',6303,'272',65.32,1,3,NULL),(20,5152755,'1992-09-28 00:00:00',4,1,12,2009,'F','N','LAGOA','FLORIANÓPOLIS','SC','124242241215121431479913572122610126142',121,'270',89.64,1,3,NULL),(20,5152763,'1993-08-21 00:00:00',4,5,11,2009,'M','N','PRÓSPERA','CRICIÚMA','SC','124242241215111431556731595114610167042',1303,'226',79.72,1,3,NULL),(20,5152771,'1990-08-15 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241316373431448733272124233233181',15913,'1098',44.60,1,3,NULL),(20,5152798,'1989-05-30 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','111112111217573451469933574125610135072',458,'9998',84.93,1,3,NULL),(20,5152801,'1976-06-24 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224161247344271411328349192124610157112',NULL,'9999',45.19,4,3,NULL),(20,5152810,'1990-09-04 00:00:00',2,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124244241215373131328734445114610111197',9787,'737',58.58,1,3,NULL),(20,5152828,'1991-09-05 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215473431569921572114123223185',3578,'807',71.95,1,3,NULL),(20,5152836,'1992-08-09 00:00:00',2,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215121331266712572122610123195',14968,'1169',44.59,1,3,NULL),(20,5152844,'1984-08-07 00:00:00',2,2,12,2001,'F','N','VILA NOVA','BLUMENAU','SC','124241241127151441436415315124232833192',NULL,'906',0.00,1,2,1),(20,5152852,'1992-12-26 00:00:00',4,10,11,2009,'M','N','LADO DA ÚNIÃO','BRAÇO NORTE','SC','124241241117271431346624145121610121082',12163,'100',50.93,1,2,1),(20,5152879,'1990-06-14 00:00:00',4,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161117371441378814572122241442092',1932,'9998',77.16,1,3,NULL),(20,5152887,'1992-07-16 00:00:00',4,8,12,2009,'M','N','AMÉRICA','JOINVILLE','SC','124241246211151211435632175111610142111',10906,'1006',52.54,4,3,NULL),(20,5152895,'1992-06-06 00:00:00',2,4,12,2009,'F','N','PALMITAL','CHAPECÓ','SC','124241241115271431336624572124610146147',NULL,'172',0.00,1,2,1),(20,5152933,'1991-03-01 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215471431559611472122610137072',NULL,'737',38.41,1,3,NULL),(20,5152941,'1991-02-22 00:00:00',2,1,12,2009,'M','N','TAQUARAÇUTUBA','IMARUÍ','SC','124241241137271431446635352232610118042',NULL,'356',25.79,1,2,1),(20,5152950,'1991-05-07 00:00:00',2,1,11,2008,'F','N','CENTRO','BOTUCATU','SP','125252251215471431448814275122610117072',NULL,'9998',0.00,1,3,NULL),(20,5152968,'1989-01-25 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241248117151431323361575115610138067',NULL,'288',43.63,1,2,1),(20,5152984,'1991-12-21 00:00:00',4,1,11,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215121431469812575122610124055',2711,'270',73.67,1,3,NULL),(20,5153018,'1980-09-04 00:00:00',4,1,12,1999,'M','N','CENTRO HISTÓRICO','S JOSÉ','SC','124241241126275421343311235233121224017',12330,'728',53.72,1,2,1),(20,5153026,'1989-09-01 00:00:00',4,3,11,2006,'F','N','MEIA PRAIA','ITAPEMA','SC','124162161216132411437811245121142966195',8887,'9998',56.55,1,3,NULL),(20,5153042,'1990-10-18 00:00:00',4,1,12,2007,'F','N','CENTRO','CAARAPÓ','MS','112122121217471431478315575122142834182',NULL,'9998',0.00,1,3,NULL),(20,5153050,'1990-09-07 00:00:00',4,1,12,2008,'F','N','PERDIZES','S PAULO','SP','125252251217471711566921571124142266022',2749,'9998',72.24,1,3,NULL),(20,5153069,'1991-06-23 00:00:00',2,4,12,2008,'F','N','CENTRO','BARRACÃO','PR','116241241116472431434624572122610112092',NULL,'245',27.94,1,2,1),(20,5153085,'1990-05-30 00:00:00',2,1,12,2007,'F','N','PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP','125252253216571451348624245124610167072',NULL,'9998',28.55,1,3,NULL),(20,5153115,'1987-12-08 00:00:00',4,1,12,2005,'M','N','CIDADE JARDIM','S CARLOS','SP','125252251216571731569819571112610137047',NULL,'9998',0.00,1,3,NULL),(20,5153131,'1988-07-19 00:00:00',2,1,11,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124052051216112431469632575124221837045',11545,'9998',55.23,1,3,NULL),(20,5153140,'1991-07-13 00:00:00',2,1,12,2008,'F','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124242241216472431358911575124231024182',NULL,'962',0.00,1,3,NULL),(20,5153158,'1990-12-06 00:00:00',4,1,12,2008,'M','N','VILA GUARANI','S PAULO','SP','125252251217471751268821571125610163147',3978,'9998',68.04,1,3,NULL),(20,5153174,'1991-06-03 00:00:00',4,1,12,2008,'M','N','JARDIM GONÇALVES','SOROCABA','SP','125252251215471431459839595122610124092',8768,'9998',57.31,1,3,NULL),(20,5153182,'1988-01-16 00:00:00',4,1,12,2004,'F','N','CAMPINAS','S JOSÉ','SC','124202201211372431638823575314140264197',NULL,'9998',35.07,1,3,NULL),(20,5153239,'1992-03-08 00:00:00',4,1,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241214111421457832474122610168142',NULL,'807',0.00,1,3,NULL),(20,5153247,'1992-03-12 00:00:00',2,1,12,2009,'M','N','VILA SILVINHA','BOTUCATU','SP','125252251236371431468833315125610122183',NULL,'9998',26.60,1,3,NULL),(20,5153263,'1989-07-09 00:00:00',4,1,12,2007,'F','N','JARDIM BOTANICO','LG SUL','DF','107074071216122451448833595122143222073',NULL,'9998',0.00,1,3,NULL),(20,5153271,'1992-11-03 00:00:00',2,4,12,2009,'F','N','ESPORTES','XANXERÊ','SC','124244241215111431446612342122610135142',8425,'836',58.15,1,3,NULL),(20,5153280,'1988-09-14 00:00:00',4,1,12,2006,'M','N','VILLA FLORA','SUMARÉ','SP','125253251217471411346634341124142122051',12623,'9998',53.09,2,3,NULL),(20,5153298,'1993-05-06 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121411539811472122610128143',14739,'262',48.62,1,3,NULL),(20,5153301,'1992-03-07 00:00:00',4,17,12,2009,'F','N','CENTRO','MAJ VIEIRA','SC','124241241414161411433624592124610124052',NULL,'973',0.00,1,3,NULL),(20,5153328,'1991-12-27 00:00:00',4,1,12,2008,'F','N','MOSSUNGUE','CURITIBA','PR','116162161215471431458812595122610164187',NULL,'9998',43.83,1,3,NULL),(20,5153344,'1972-04-16 00:00:00',4,1,6,1992,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224241241126342411256643235124320632047',11594,'307',55.14,1,3,NULL),(20,5153352,'1991-06-10 00:00:00',1,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431459813572125610164182',662,'262',83.43,1,3,NULL),(20,5153360,'1992-06-18 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115131431427624375124610127142',NULL,'257',26.82,2,2,1),(20,5153379,'1984-07-21 00:00:00',4,1,12,2005,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241248126232411313314385124610123187',10971,'9999',56.35,3,2,1),(20,5153395,'1992-07-15 00:00:00',2,3,12,2009,'M','N','FLAVIO GARCIA','COXIM','MS','112124121216271231536933572121610147057',NULL,'9998',22.15,4,3,NULL),(20,5153409,'1992-12-30 00:00:00',4,4,12,2009,'F','N','IMIGRANTES','CONCÓRDIA','SC','124241241112111731345811575122610143147',NULL,'192',27.29,1,2,1),(20,5153417,'1991-09-20 00:00:00',4,1,12,2008,'F','N','CENTRO','MARINGÁ','PR','116162161216471431558811575122610167017',6516,'9998',61.76,1,3,NULL),(20,5153425,'1970-12-10 00:00:00',4,1,12,1988,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224161166116151431456353472112343211197',15964,'9998',44.32,1,2,1),(20,5153433,'1991-08-15 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215374431254422575122123218042',100,'270',90.12,1,3,NULL),(20,5153441,'1989-08-06 00:00:00',2,1,12,2008,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241127271432223749395124610124042',NULL,'294',20.77,1,2,1),(20,5153450,'1989-01-29 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216574411248923571122231267091',1639,'262',78.31,1,3,NULL),(20,5153468,'1992-06-22 00:00:00',4,2,12,2009,'F','N','TAMANDUÁ','ASCURRA','SC','124242241116161431558833575122610124042',NULL,'37',37.24,1,3,NULL),(20,5153476,'1990-06-25 00:00:00',2,3,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124202241215573431348519595124610148047',2678,'9997',73.77,1,3,NULL),(20,5153484,'1991-12-28 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431378933572122610112072',12878,'262',50.63,1,3,NULL),(20,5153506,'1991-09-11 00:00:00',4,1,12,2008,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124244241214472441327913375124232761092',5951,'724',63.45,1,3,NULL),(20,5153522,'1993-01-13 00:00:00',2,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241337131431426823274124610132072',13235,'944',49.29,1,3,NULL),(20,5153530,'1990-02-10 00:00:00',4,1,12,2007,'M','N','CENTRO','S ROQUE','SP','125252251217573431469814571114610137042',2273,'9998',74.39,3,3,NULL),(20,5153549,'1989-02-27 00:00:00',2,1,12,2005,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241121271451532633291122431535187',NULL,'649',24.21,1,2,1),(20,5153557,'1992-09-03 00:00:00',2,4,11,2009,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241112331531326533432124610127072',NULL,'169',26.59,1,2,1),(20,5153565,'1960-01-02 00:00:00',2,1,12,1977,'F','N','JARDIM DAS AMERICAS','PATO BRANCO','PR','216161168116141711454472195132340263142',NULL,'9998',0.00,1,3,NULL),(20,5153573,'1992-02-06 00:00:00',4,8,12,2009,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124243246215131232439714575124610123077',14915,'1105',43.89,1,3,NULL),(20,5153581,'1992-11-04 00:00:00',2,15,12,2010,'M','S','COLONINHA','ARARANGUÁ','SC','124242241215121431344624272122610167017',NULL,'970',58.18,1,3,NULL),(20,5153638,'1990-11-29 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241436131731435579345114610164185',NULL,'307',46.66,1,3,NULL),(20,5153646,'1993-01-12 00:00:00',4,4,12,2009,'M','N','CENTRO','NONOAI','RS','120204201117371751326632572122610118187',NULL,'9998',20.90,1,3,NULL),(20,5153654,'1993-09-15 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111531488813571122610113187',NULL,'266',21.92,1,3,NULL),(20,5153662,'1992-11-21 00:00:00',2,8,12,2009,'F','N','RESTINGA','MAFRA','SC','124241241116151411336923395124610134077',NULL,'545',23.43,1,3,NULL),(20,5153670,'1993-02-23 00:00:00',4,8,11,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215111431388814575122610113092',13918,'457',50.53,1,3,NULL),(20,5153697,'1992-01-09 00:00:00',2,5,11,2009,'F','N','CENTRO','URUSSANGA','SC','124242241215122431476712225122610162093',NULL,'226',0.00,1,3,NULL),(20,5153727,'1992-08-30 00:00:00',4,1,12,2009,'M','N','CENTRO','GOIÂNIA','GO','109122091217111431668834572114610167082',505,'9998',83.58,1,3,NULL),(20,5153735,'1992-06-12 00:00:00',2,1,12,2009,'F','N','JARDIM AQUÁRIUS','PALHOÇA','SC','124242241215151432434632375122610164192',NULL,'1075',0.00,1,3,NULL),(20,5153743,'1991-05-27 00:00:00',2,1,12,2008,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124114111215372731334614595124610133042',13280,'9998',50.20,1,3,NULL),(20,5153751,'1990-06-11 00:00:00',2,1,12,2007,'M','N','INTERLAGOS','S PAULO','SP','125252251216571431426612575114610167047',NULL,'9998',0.00,1,3,NULL),(20,5153760,'1991-12-28 00:00:00',4,10,11,2009,'M','N','RECIFE','TUBARÃO','SC','124242241215112431476632575112610127057',1433,'807',79.14,1,3,NULL),(20,5153778,'1992-06-11 00:00:00',4,8,12,2009,'F','N','FAZENDINHA','CURITIBA','PR','116162161217111451338814575124610164057',NULL,'9998',0.00,1,3,NULL),(20,5153786,'1991-03-02 00:00:00',4,1,12,2008,'F','N','SANTANA','S PAULO','SP','125252251217372431435512575125610168072',14370,'9998',45.36,1,3,NULL),(20,5153808,'1992-05-19 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241215113431449614572122610167012',3748,'1022',69.93,1,3,NULL),(20,5153816,'1989-12-18 00:00:00',4,1,12,2007,'F','N','JARDIM POTIGUAR','PIRACICABA','SP','125252251215471431558614311322610123142',10197,'9998',55.70,1,3,NULL),(20,5153824,'1990-01-01 00:00:00',2,1,12,2007,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241215161411525611342222610118147',15376,'774',42.94,1,3,NULL),(20,5153832,'1992-10-03 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431688712572122233228092',978,'9997',81.25,1,3,NULL),(20,5153859,'1993-08-25 00:00:00',4,4,12,2010,'M','S','CENTRO','CHAPECÓ','SC','124162241215111431478812575122610168122',NULL,'983',0.00,1,3,NULL),(20,5153867,'1991-02-20 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241235372531368921572122131537145',3199,'270',72.33,1,3,NULL),(20,5153883,'1993-08-25 00:00:00',2,9,12,2009,'F','N','CENTRO','VACARIA','RS','120204201216111411336832591122610125142',NULL,'9998',0.00,1,3,NULL),(20,5153891,'1991-06-25 00:00:00',2,3,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241115271431425614575122610134147',9838,'51',58.47,1,2,1),(20,5153905,'1992-09-15 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215371751469931575112610145075',7641,'1022',61.20,1,3,NULL),(20,5153913,'1991-01-12 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216422711469934471122610127181',1224,'270',80.11,1,3,NULL),(20,5153921,'1977-12-01 00:00:00',4,1,12,1996,'M','N','TAPERA','FLORIANÓPOLIS','SC','124212211317151451268343435122343237112',NULL,'9998',21.53,1,3,NULL),(20,5153930,'1991-12-05 00:00:00',2,15,12,2008,'F','N','MORROTES','TUBARÃO','SC','124241241311132431337923341134610126092',NULL,'32',0.00,1,3,NULL),(20,5153956,'1992-08-19 00:00:00',2,2,12,2009,'F','N','MUNICÍPIOS','CAÇADOR','SC','124242244216121531448732575112612468077',NULL,'1124',28.40,1,3,NULL),(20,5153964,'1992-05-17 00:00:00',4,1,12,2009,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241215112431426414172124610122147',11397,'1010',52.36,1,3,NULL),(20,5153972,'1990-10-10 00:00:00',2,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216472411468712471114610165091',12285,'270',52.58,1,3,NULL),(20,5153980,'1993-09-25 00:00:00',2,1,11,2010,'F','S','JARDIM ELDORADO','PALHOÇA','SC','124242241215111431567313574122610125042',NULL,'723',47.16,1,3,NULL),(20,5153999,'1992-02-06 00:00:00',2,16,12,2009,'F','N','DEZ DE NOVEMBRO','FRAIBURGO','SC','124243241215161432349933385122610124147',5986,'885',64.98,1,3,NULL),(20,5154006,'1991-04-27 00:00:00',4,7,11,2007,'F','N','CENTRO','VIDEIRA','SC','124242161211473431438832575112610121147',4339,'969',69.93,1,3,NULL),(20,5154030,'1989-09-22 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','624244241416572441334812475115610126091',7323,'511',61.63,1,3,NULL),(20,5154049,'1988-06-26 00:00:00',4,8,12,2005,'F','N','CABRAL','CURITIBA','PR','116162161216575751577612571124610124037',6796,'9998',62.96,1,3,NULL),(20,5154057,'1986-03-31 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124251251117372731414419475124610134187',NULL,'9998',36.45,3,2,1),(20,5154065,'1992-08-10 00:00:00',2,1,12,2009,'F','N','ALTO RIBEIRÃO','FLORIANÓPOLIS','SC','124241241111111731426823475124610112172',NULL,'278',26.34,1,3,NULL),(20,5154073,'1989-04-11 00:00:00',2,1,11,2006,'F','N','CAIÇARAS','LONDRINA','PR','116162161216512411566312574122610131185',2133,'9998',75.56,3,3,NULL),(20,5154081,'1986-09-18 00:00:00',4,1,12,2004,'M','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124243241121212411348653115224610117117',NULL,'736',29.12,1,3,NULL),(20,5154090,'1987-01-16 00:00:00',4,1,12,2004,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124241241316132411323524195224233063117',NULL,'464',0.00,1,3,NULL),(20,5154103,'1989-06-03 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241137473231643311235123610127182',10239,'288',57.72,1,2,1),(20,5154111,'1992-07-09 00:00:00',4,4,12,2009,'M','N','CENTRO','TAQUARUÇU SUL','RS','120201208116111231546923572122610132057',NULL,'9998',21.09,1,2,1),(20,5154120,'1991-12-27 00:00:00',2,3,11,2008,'F','N','CENTRO','CURITIBA','PR','116204201414472441226629571324610143147',NULL,'9998',0.00,1,3,NULL),(20,5154138,'1979-11-30 00:00:00',4,1,12,1997,'M','N','ASSUNÇÃO','S BERNARDO CAMPO','SP','125252251416572711128849492221141464182',NULL,'9998',0.00,1,3,NULL),(20,5154154,'1991-05-11 00:00:00',4,1,12,2008,'M','N','JARDIM DAS NAÇÕES','TAUBATÉ','SP','125252251217471432468811475112610167097',1443,'9998',79.11,1,3,NULL),(20,5154170,'1978-08-15 00:00:00',2,4,12,1997,'M','N','BELA VISTA','CHAPECÓ','SC','124241241126132421331139132332131027067',NULL,'177',NULL,2,1,1),(20,5154189,'1990-12-31 00:00:00',2,1,12,2008,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241215372432366923472114610134077',NULL,'1022',27.52,1,3,NULL),(20,5154200,'1992-04-29 00:00:00',4,6,12,2009,'M','N','CENTRO','STA CRUZ SUL','RS','120203201216271431216512572124610135037',14647,'9998',45.12,4,3,NULL),(20,5154219,'1992-05-07 00:00:00',2,2,12,2009,'F','N','QUINTINO','TIMBÓ','SC','124241241215471431446834575112610162147',NULL,'1157',22.04,1,3,NULL),(20,5154235,'1992-04-29 00:00:00',4,1,10,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217121431458932576122610161095',8989,'262',57.03,4,3,NULL),(20,5154243,'1992-09-25 00:00:00',4,1,12,2009,'M','N','SOUZA CRUZ','BRUSQUE','SC','124241241415151431464414575122610114182',NULL,'1090',0.00,1,3,NULL),(20,5154260,'1992-04-02 00:00:00',4,6,12,2009,'F','N','SIEGEL','AGROLÂNDIA','SC','124241241116131432567834575112610167142',NULL,'850',0.00,1,2,1),(20,5154278,'1991-07-30 00:00:00',4,1,12,2008,'M','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125252256117471431477931575123610167052',3809,'9998',68.38,1,3,NULL),(20,5154286,'1993-01-12 00:00:00',4,1,10,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215151431369713435124610136187',NULL,'266',25.10,1,3,NULL),(20,5154294,'1992-10-07 00:00:00',2,1,12,2009,'F','N','CENTRO','STA CLARA SUL','RS','120201201417131431427921571124610113147',9321,'9998',59.38,1,3,NULL),(20,5154308,'1992-07-16 00:00:00',4,1,11,2009,'F','N','RESID ALDEIA DO VALE','GOIÂNIA','GO','109092091216111441568624224124610166072',2591,'9998',73.36,4,3,NULL),(20,5154316,'1992-02-25 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112421358714575124610124172',1677,'1022',78.09,4,3,NULL),(20,5154324,'1957-11-25 00:00:00',4,1,12,1978,'M','N','TAPERA','FLORIANÓPOLIS','SC','224251248121122111225533112115621426052',NULL,'307',29.84,1,2,1),(20,5154359,'1985-09-26 00:00:00',4,2,10,2005,'M','N','ASILO','BLUMENAU','SC','124241247337131441444317245123131964177',NULL,'9999',44.57,1,3,NULL),(20,5154367,'1968-05-08 00:00:00',2,1,12,1986,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','624201201136154431353349492232521262181',10455,'9998',57.32,1,2,1),(20,5154375,'1992-10-31 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215151431236619571122610133147',NULL,'273',31.25,1,3,NULL),(20,5154405,'1992-04-18 00:00:00',4,9,12,2009,'M','N','BRUSQUE','LAGES','SC','124243241315111431348626175122610127012',NULL,'1065',0.00,1,3,NULL),(20,5154413,'1990-11-26 00:00:00',4,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215131751423734221122610123187',NULL,'723',24.90,1,3,NULL),(20,5154421,'1992-08-07 00:00:00',2,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241217121731536623582124610128095',13874,'269',47.30,1,3,NULL),(20,5154448,'1991-10-04 00:00:00',4,1,11,2008,'F','N','VILA ASSUNÇÃO','STO ANDRÉ','SP','125252251215371431468911375122610147142',NULL,'9998',0.00,1,3,NULL),(20,5154456,'1988-01-05 00:00:00',4,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124161161117134441316624285114131038027',NULL,'9998',43.71,1,3,NULL),(20,5154464,'1985-07-05 00:00:00',2,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241247121362421331128442344610117042',NULL,'9999',19.53,2,1,1),(20,5154472,'1993-06-15 00:00:00',4,9,9,2010,'F','S','BRUSQUE','LAGES','SC','124242241215111431457612575122610138147',NULL,'497',26.33,1,3,NULL),(20,5154480,'1990-09-19 00:00:00',4,1,11,2007,'M','N','IPIRANGA','S PAULO','SP','125254251215471431346611585125610134142',NULL,'9998',0.00,1,3,NULL),(20,5154502,'1991-07-22 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242247215111431338623575114610134142',NULL,'270',0.00,1,3,NULL),(20,5154510,'1991-09-09 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201117372431327711575124610164147',7173,'9998',62.07,1,2,1),(20,5154529,'1992-01-09 00:00:00',4,2,12,2009,'M','N','ASILO','BLUMENAU','SC','124242241217112431376832575112610168192',618,'70',83.77,1,3,NULL),(20,5154537,'1993-03-08 00:00:00',2,5,10,2009,'F','N','RIBERÃO DA AREIA','PEDRAS GRANDES','SC','124241248435111431443312272122610135042',NULL,'820',24.20,1,3,NULL),(20,5154545,'1992-03-11 00:00:00',2,1,12,2009,'M','N','CENTRO','RANCHO QUEIMADO','SC','124241241125161411338613345122610127047',NULL,'649',23.18,1,2,1),(20,5154553,'1990-04-19 00:00:00',2,1,12,2007,'M','N','CENTRO','PALHOÇA','SC','124241241117142421444633241124610127142',NULL,'592',26.96,1,2,1),(20,5154561,'1992-01-13 00:00:00',2,1,12,2008,'M','N','BELA VISTA','CANOAS','RS','120202201217571431357823572112610162084',9529,'9998',56.02,1,3,NULL),(20,5154588,'1991-11-12 00:00:00',4,1,12,2009,'M','N','PRAIA MOLE','FLORIANÓPOLIS','SC','124242241217112431389813475124610161052',6471,'951',62.69,1,3,NULL),(20,5154596,'1989-12-07 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124132131215572331378619571122233232182',12218,'9998',52.17,1,3,NULL),(20,5154600,'1993-12-01 00:00:00',2,1,12,2009,'F','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124241241115271431337821571125510164057',NULL,'733',29.54,1,2,1),(20,5154618,'1990-06-06 00:00:00',4,1,12,2007,'M','N','BROOKLIN','S PAULO','SP','125252251215571431357621575114610168047',3639,'9998',70.80,1,3,NULL),(20,5154642,'1992-04-24 00:00:00',2,8,12,2009,'M','N','CENTRO','LAGES','SC','124243241215111431238733575122610137012',NULL,'1065',0.00,1,3,NULL),(20,5154650,'1992-04-24 00:00:00',4,10,11,2009,'F','N','AEROPORTO','TUBARÃO','SC','124242241215121731359914575122610164145',6822,'797',61.64,1,3,NULL),(20,5154669,'1992-09-21 00:00:00',4,8,11,2009,'M','N','ALTO DA GLORIA','CURITIBA','PR','116162161215471431478812576145610137062',NULL,'9998',0.00,1,3,NULL),(20,5154677,'1992-02-20 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241216131431446951575114610162097',NULL,'1022',30.22,1,3,NULL),(20,5154685,'1993-09-20 00:00:00',4,2,12,2009,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124244241217111531438731572124610132142',14406,'909',49.45,1,3,NULL),(20,5154693,'1992-11-02 00:00:00',4,5,11,2009,'F','N','BARRO VERMELHO','ORLEANS','SC','124242241216123431357911375114610142092',6353,'226',63.33,1,3,NULL),(20,5154707,'1991-03-27 00:00:00',4,8,12,2008,'M','N','SAGUAÇU','JOINVILLE','SC','124244246217472531569811575114610132042',9377,'494',55.98,1,3,NULL),(20,5154715,'1992-03-22 00:00:00',4,5,10,2009,'F','N','PIO CORREA','CRICIÚMA','SC','124242241215152451478821576112610146066',9113,'226',59.74,1,3,NULL),(20,5154723,'1979-01-04 00:00:00',2,1,8,2003,'M','N','KOBRASOL','S JOSÉ','SC','124244244112261531426671415124610118047',15871,'306',44.74,2,1,2),(20,5154731,'1989-07-10 00:00:00',4,1,12,2007,'M','N','VILA ANDRADE','S PAULO','SP','125252257437572432259831276114610164187',14928,'9998',43.92,1,3,NULL),(20,5154740,'1985-12-29 00:00:00',2,3,12,2003,'M','N','BOA VISTA','JOINVILLE','SC','124243241217133711125662282324231467112',NULL,'948',24.80,1,3,NULL),(20,5154758,'1991-12-06 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431259924494124610134182',10371,'270',54.15,1,3,NULL),(20,5154790,'1991-09-07 00:00:00',4,1,12,2009,'M','N','FATIMA','FLORIANÓPOLIS','SC','124242241216111431447913395124610168042',NULL,'1022',44.42,2,1,2),(20,5154804,'1992-05-26 00:00:00',4,8,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161217471431379614572124610127042',1811,'9998',77.06,1,3,NULL),(20,5154820,'1993-06-25 00:00:00',4,1,12,2010,'F','S','JARDIM EUROPA','BIGUAÇU','SC','124242241216111231536611595124610123112',NULL,'1022',42.59,1,3,NULL),(20,5154839,'1991-09-05 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241235112431558674395122610137045',13004,'262',52.35,1,3,NULL),(20,5154847,'1991-10-22 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORES CUNHA','RS','120201201115471331457314271124610127057',3349,'9998',70.50,1,2,1),(20,5154855,'1989-06-18 00:00:00',2,15,12,2006,'M','N','RUBEM BERTA','PTO ALEGRE','RS','120201208116151431536613571124241428042',NULL,'9998',25.89,1,2,1),(20,5154863,'1993-07-29 00:00:00',4,4,12,2010,'M','S','PRESIDENTE MEDICE','CHAPECÓ','SC','124242241116111412469834375121610117122',NULL,'185',25.14,1,3,NULL),(20,5154871,'1991-12-20 00:00:00',2,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215121431439913575114610147047',14949,'272',44.00,1,3,NULL),(20,5154880,'1991-03-19 00:00:00',4,10,11,2008,'M','N','CENTRO','BRAÇO NORTE','SC','124244248214472431557611312114131064056',14254,'806',46.11,1,3,NULL),(20,5154898,'1990-05-30 00:00:00',4,1,12,2007,'F','N','JABAQUARA','S PAULO','SP','125252251217571431347823571124610162072',NULL,'9998',NULL,1,3,NULL),(20,5154928,'1991-05-24 00:00:00',2,1,12,2008,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124244241115372431448823385124610137077',NULL,'271',27.32,1,3,NULL),(20,5154936,'1992-03-15 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216122431446612575124610131177',11760,'1022',53.23,1,3,NULL),(20,5154944,'1992-02-24 00:00:00',2,1,12,2009,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241112372411454413592124610144052',NULL,'733',21.72,1,2,1),(20,5154952,'1990-03-10 00:00:00',4,1,12,2007,'M','N','ESPLANADA MENDES','S ROQUE','SP','125252251417572431458824571122610167042',508,'9998',84.35,3,3,NULL),(20,5154960,'1972-03-30 00:00:00',2,1,12,2001,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','624241247147371411333349492224610152097',NULL,'9999',45.10,1,2,1),(20,5154979,'1992-11-03 00:00:00',4,5,11,2010,'M','S','PIO CORREIA','CRICIÚMA','SC','124242241217111431469631574125610135127',NULL,'213',26.55,1,3,NULL),(20,5154995,'1992-10-15 00:00:00',4,1,10,2009,'M','N','CENTRO','CPO GRANDE','MS','112122121215111751478933595122610167042',4885,'9998',67.67,1,3,NULL),(20,5155002,'1992-12-30 00:00:00',4,10,10,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215111431576469592122610122142',12972,'807',49.19,1,3,NULL),(20,5155010,'1991-04-29 00:00:00',2,1,12,2008,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','125252251215371431448821571124610165092',NULL,'9998',0.00,1,3,NULL),(20,5155029,'1983-01-22 00:00:00',2,1,7,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624201247145141411333344445123610136187',NULL,'9999',13.43,1,3,NULL),(20,5155037,'1991-09-22 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215472431448813572124610128082',10609,'269',56.98,1,3,NULL),(20,5155045,'1983-07-23 00:00:00',4,1,12,2001,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216154721459739585124330623097',NULL,'269',0.00,1,3,NULL),(20,5155070,'1992-08-07 00:00:00',2,10,12,2009,'M','N','PINDOTIBA','ORLEANS','SC','124241241116131431326811575124610127057',NULL,'580',0.00,1,3,NULL),(20,5155088,'1988-03-23 00:00:00',2,8,12,2005,'F','N','UBERABA','CURITIBA','PR','116163161216573411546633575124241337187',5038,'9998',66.51,3,3,NULL),(20,5155096,'1992-04-13 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215271431469932572112610167042',14549,'213',49.13,1,3,NULL),(20,5155100,'1991-03-23 00:00:00',4,1,12,2008,'M','N','SAO JOAO','MARÍLIA','SP','125254251415471351569913575122610147077',3401,'9998',71.11,1,3,NULL),(20,5155118,'1992-04-29 00:00:00',2,1,12,2010,'F','S','PANTANAL','FLORIANÓPOLIS','SC','124242241215111732329734175124610122142',NULL,'1022',19.60,1,3,NULL),(20,5155126,'1992-09-17 00:00:00',4,1,12,2009,'F','N','JARDIM FRANÇA','S PAULO','SP','125252251237111431578811572115610168077',2645,'9998',71.40,3,3,NULL),(20,5155134,'1991-07-31 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472751678833585115610112142',6280,'262',64.17,1,3,NULL),(20,5155142,'1991-02-05 00:00:00',4,1,12,2008,'M','N','STA TEREZINHA','BAURU','SP','125254251217471431439731575112610167012',8757,'9998',58.60,1,3,NULL),(20,5155150,'1992-09-24 00:00:00',2,8,12,2009,'F','N','LOS ANGELES','CASCAVEL','PR','116161161215111411323616284224610123061',NULL,'9998',0.00,1,3,NULL),(20,5155169,'1992-12-08 00:00:00',4,8,12,2009,'F','N','GLÓRIA','JOINVILLE','SC','124242241217151431456932572122610134186',323,'456',86.22,1,3,NULL),(20,5155177,'1991-06-20 00:00:00',4,1,12,2008,'M','N','ITAIM BIBI','S PAULO','SP','125252251215471231377912571124610167076',NULL,'9998',0.00,3,3,NULL),(20,5155185,'1991-10-21 00:00:00',2,1,12,2008,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124252251211572431428824571124610165112',8845,'9998',57.57,4,3,NULL),(20,5155193,'1989-08-16 00:00:00',4,1,12,2006,'F','N','VILA LIBERDADE','S PAULO','SP','125252251211572431568812571324610165147',927,'9998',80.76,3,3,NULL),(20,5155207,'1992-04-18 00:00:00',4,3,12,2009,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215121451436932172122610124142',NULL,'109',0.00,1,3,NULL),(20,5155215,'1992-10-21 00:00:00',2,1,12,2009,'F','N','CENTRO','ADAMANTINA','SP','125252251217371431438866272115610124142',NULL,'9998',0.00,1,3,NULL),(20,5155223,'1991-05-07 00:00:00',4,1,11,2008,'M','N','AQUARIUS','S JOSÉ CAMPOS','SP','125252251215471431487734572122610134041',NULL,'9998',51.04,1,3,NULL),(20,5155231,'1990-12-09 00:00:00',2,1,12,2008,'F','N','FORQUILHAS','S JOSÉ','SC','124241241111232711321133341114610162142',NULL,'733',13.31,1,2,1),(20,5155240,'1992-08-19 00:00:00',4,4,12,2009,'F','N','CENTRO','CAIBI','SC','124241241117161431534919241121610127147',4290,'127',68.48,1,2,1),(20,5155258,'1991-03-12 00:00:00',2,1,12,2008,'M','N','CENTRO','S JOSÉ','SC','124242241215372431453632395124610124052',1876,'270',77.35,1,3,NULL),(20,5155266,'1993-03-17 00:00:00',2,1,12,2009,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241115271432656913575124610125097',9402,'307',56.98,1,2,1),(20,5155274,'1991-12-08 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215151431568811575114610132112',5672,'270',64.54,1,3,NULL),(20,5155290,'1992-04-30 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241217121431426613572124610127117',NULL,'1022',30.85,4,3,NULL),(20,5155312,'1992-02-29 00:00:00',2,7,11,2009,'M','N','GIOPPO','CAÇADOR','SC','124242241217122751554939595122610167052',4777,'120',66.40,4,3,NULL),(20,5155339,'1988-11-10 00:00:00',4,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','120201208136151431327879115122141068092',NULL,'9998',33.31,1,2,1),(20,5155347,'1992-05-29 00:00:00',2,7,12,2009,'F','N','POR DO SOL','CAPINZAL','SC','124241241117131531327724315122610134017',NULL,'156',0.00,1,2,1),(20,5155355,'1989-06-25 00:00:00',4,1,12,2006,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124161168237271431438834485224140134047',12403,'9998',52.06,1,3,NULL),(20,5155363,'1991-09-30 00:00:00',2,1,12,2008,'M','N','JARDIM EUROPA','BIGUAÇU','SC','124242241216472431536614595124610117042',6107,'63',65.79,1,3,NULL),(20,5155380,'1979-02-28 00:00:00',4,1,2,1997,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224203207147132421336949392122230234017',7971,'9998',61.89,1,3,NULL),(20,5155398,'1992-09-13 00:00:00',2,1,12,2009,'M','N','JARDIM AQUÁRIOS','PALHOÇA','SC','124241248215131311645932372121610117052',NULL,'1175',0.00,1,3,NULL),(20,5155401,'1992-08-31 00:00:00',5,2,10,2009,'M','N','VIGOLO','NOVA TRENTO','SC','124241241315111411353312175124610124092',15207,'981',44.84,1,3,NULL),(20,5155428,'1992-09-09 00:00:00',4,1,11,2009,'F','N','MORUMBI','S PAULO','SP','125252251217111431378812275122610162142',NULL,'9998',0.00,1,3,NULL),(20,5155444,'1991-12-05 00:00:00',4,3,12,2008,'F','N','GLEBA PALHANO','LONDRINA','PR','116112161216475431437811571122610165142',NULL,'9998',0.00,1,3,NULL),(20,5155452,'1990-07-14 00:00:00',2,10,11,2007,'F','N','DEHON','TUBARÃO','SC','124241241216135531423319345125132667067',13119,'807',47.57,1,3,NULL),(20,5155479,'1991-12-18 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372441578814592114610144071',13012,'270',49.80,1,3,NULL),(20,5155495,'1992-12-11 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111732469913592122610127042',NULL,'262',0.00,1,3,NULL),(20,5155509,'1989-08-10 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216153431385812422112610137125',NULL,'1133',0.00,1,3,NULL),(20,5155517,'1990-09-26 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116242241216371431458614375125130763152',13363,'1063',51.64,1,3,NULL),(20,5155525,'1990-03-06 00:00:00',2,1,12,2007,'F','N','CENTRO','BOM JD SERRA','SC','124242241216574431326634575114610147182',13849,'1028',50.66,1,3,NULL),(20,5155541,'1977-02-21 00:00:00',2,15,12,1994,'M','N','CENTRO','ARARANGUÁ','SC','624243241217131431323344245133131011047',NULL,'27',29.22,1,3,NULL),(20,5155550,'1985-12-02 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201201115134731246511475114221764047',12601,'9998',53.14,1,2,1),(20,5155568,'1993-01-15 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243241115271731358631572122610142092',1827,'271',76.57,1,3,NULL),(20,5155576,'1985-11-03 00:00:00',4,1,12,1993,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241424112311123241145134130212161',NULL,'781',24.33,1,3,NULL),(20,5155584,'1992-08-11 00:00:00',4,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217111431456612575112610123052',NULL,'270',0.00,1,3,NULL),(20,5155592,'1991-08-31 00:00:00',4,5,11,2008,'M','N','JARDIM MARISTELA','CRICIÚMA','SC','124242241215472431466811315114610167052',4355,'210',69.89,1,3,NULL),(20,5155606,'1990-02-12 00:00:00',4,8,11,2007,'F','N','CENTRO','CURITIBA','PR','116252251215571731448831575125610164196',NULL,'9998',27.98,1,3,NULL),(20,5155614,'1993-10-17 01:00:00',2,1,12,2009,'M','N','JARDIM AMÉRICA','MAFRA','SC','124242241217471431449823572121610168012',435,'541',84.70,1,3,NULL),(20,5155622,'1991-06-14 00:00:00',4,8,12,2008,'F','N','BOQUEIRÃO','CURITIBA','PR','116162161215471451639912195124610167077',8911,'9998',57.20,1,3,NULL),(20,5155630,'1987-04-18 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116472431136317495124421768042',11858,'192',49.35,1,2,1),(20,5155657,'1992-12-11 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431468613575124610164197',5631,'1022',65.23,1,3,NULL),(20,5155665,'1991-07-12 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241216373231365922575122221462017',10453,'270',57.32,1,3,NULL),(20,5155681,'1992-02-18 00:00:00',4,1,10,2009,'F','N','ITAPUÃ','SALVADOR','BA','105052051217111451369933572122610143027',4957,'9998',65.29,1,3,NULL),(20,5155690,'1992-07-18 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241215114751369911595114610127017',NULL,'1022',25.91,1,3,NULL),(20,5155703,'1991-02-10 00:00:00',2,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111411448623575124610147062',NULL,'272',29.51,1,3,NULL),(20,5155711,'1988-12-31 00:00:00',4,1,12,2006,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241211373441569911595122130622112',NULL,'270',29.81,1,3,NULL),(20,5155720,'1991-11-02 00:00:00',4,1,12,2009,'F','N','CENTRO','S JOSÉ','SC','124242241215113431459813574124610134057',4462,'270',69.32,1,3,NULL),(20,5155738,'1990-08-15 00:00:00',2,1,12,2007,'F','N','PARTENON','PTO ALEGRE','RS','120162281216471431236933445224242244142',NULL,'9998',0.00,1,3,NULL),(20,5155746,'1973-07-06 00:00:00',2,3,11,2009,'M','N','TABULEIRO','CAMBORIÚ','SC','624243241526131411626449195121610147057',NULL,'9999',0.00,1,3,NULL),(20,5155754,'1988-12-01 00:00:00',2,1,11,2006,'F','N','AREIAS','S JOSÉ','SC','124243251146371431644414445124610128197',NULL,'257',0.00,1,3,NULL),(20,5155770,'1984-09-02 00:00:00',2,1,12,2003,'M','N','CACH DO BOM JESUS','FLORIANÓPOLIS','SC','124201201127132422423311342234610136032',14811,'9998',48.44,4,2,1),(20,5155789,'1961-04-13 00:00:00',4,1,6,1979,'M','N','CENTRO','FLORIANÓPOLIS','SC','224241246116114741263142325122521122162',11503,'306',55.33,1,3,NULL),(20,5155797,'1992-09-04 00:00:00',4,1,11,2009,'F','N','CENTRO','BAL PIÇARRAS','SC','124242241215111431356832572125610135115',12472,'270',49.59,1,3,NULL),(20,5155819,'1993-04-25 00:00:00',4,2,12,2010,'M','S','GARCIA','BLUMENAU','SC','124242241215111431568932595114610114052',NULL,'87',63.76,5,3,NULL),(20,5155827,'1992-09-13 00:00:00',4,1,12,2009,'F','N','JARDIM VENEZA','S JOSÉ CAMPOS','SP','125253251215111411568614575112610162052',2518,'9998',73.36,1,3,NULL),(20,5155835,'1992-06-02 00:00:00',4,8,12,2009,'M','N','CENTRO','PINHAIS','PR','116162161215121431568832375124610167067',15975,'9998',39.98,1,3,NULL),(20,5155851,'1990-09-20 00:00:00',2,6,11,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241417133731556613572124231528077',NULL,'1159',16.02,1,3,NULL),(20,5155860,'1991-01-18 00:00:00',4,8,11,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241217112431469813572124232124197',6888,'457',62.03,1,3,NULL),(20,5155878,'1991-02-14 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124244241417211431426632421124610114111',NULL,'1075',23.71,1,3,NULL),(20,5155886,'1991-04-08 00:00:00',4,1,12,2008,'M','N','CHACÁRA DO OURO','MOGI GUAÇU','SP','125252251215471431436619575113610127047',6805,'9998',62.39,4,3,NULL),(20,5155916,'1990-12-24 00:00:00',4,1,12,2008,'F','N','VILA ADYANNA','S JOSÉ CAMPOS','SP','125254251415471131478834575112610123183',15000,'9998',43.17,1,3,NULL),(20,5155924,'1994-01-12 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431478813571112610164172',NULL,'262',0.00,1,3,NULL),(20,5155940,'1988-08-20 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215374431377713345122121427042',1435,'262',79.14,1,3,NULL),(20,5155959,'1992-03-05 00:00:00',4,1,12,2009,'F','N','JARDIM SÃO LUIS','RIBEIRÃO PRETO','SP','125112251217111431478814474122610122072',NULL,'9998',0.00,1,3,NULL),(20,5155967,'1986-04-27 00:00:00',2,1,10,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241117275411566823445124610113042',15150,'306',47.42,1,3,NULL),(20,5155975,'1992-10-02 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431467832572122610167145',14155,'262',47.11,1,3,NULL),(20,5155983,'1988-10-28 00:00:00',4,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116162161216571451468632595122610167142',7081,'9998',61.52,1,3,NULL),(20,5155991,'1991-10-15 00:00:00',4,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241142272431426621381124610136047',7969,'278',61.89,1,2,1),(20,5156017,'1992-06-06 00:00:00',2,1,12,2009,'M','N','RATONES','FLORIANÓPOLIS','SC','124242241215472431566812575124610167012',NULL,'1048',20.68,1,3,NULL),(20,5156033,'1993-01-20 00:00:00',4,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111431438712575124610125102',NULL,'270',43.25,1,3,NULL),(20,5156041,'1993-08-11 00:00:00',4,1,11,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242241217151432326932375124610123017',NULL,'1075',10.55,1,3,NULL),(20,5156050,'1993-01-28 00:00:00',4,1,12,2010,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431369934412124610127142',NULL,'270',58.91,1,3,NULL),(20,5156068,'1992-09-17 00:00:00',4,8,11,2009,'M','N','CENTRO','JOINVILLE','SC','124243241217121432445532391322610121062',NULL,'1063',34.91,1,3,NULL),(20,5156076,'1990-05-08 00:00:00',2,1,12,2006,'F','N','MATHIAS VELHO','CANOAS','RS','120202201215471431324414275112610163147',13978,'9998',46.90,1,3,NULL),(20,5156084,'1992-08-05 00:00:00',4,1,12,2009,'F','N','MIRANDOPOLIS','S PAULO','SP','125252251117271431238823575124610142182',NULL,'9998',45.36,1,3,NULL),(20,5156092,'1991-09-15 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431389813395114610167112',2285,'1169',75.34,1,3,NULL),(20,5156114,'1990-06-28 00:00:00',4,1,12,2007,'M','N','CENTRO','NAVEGANTES','SC','124241241112132431343414395121230768097',11825,'570',54.70,1,2,1),(20,5156122,'1991-12-05 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111331589613575124610122072',289,'270',86.77,1,3,NULL),(20,5156130,'1987-05-03 00:00:00',4,1,11,2004,'M','N','TRINDADADE','FLORIANÓPOLIS','SC','124242241217372431256923575124130267112',2655,'270',74.56,1,3,NULL),(20,5156149,'1990-06-13 00:00:00',4,1,12,1997,'M','N','CENTRO','ASSIS','SP','125252161215571431568831575125610167057',562,'9998',83.34,1,3,NULL),(20,5156157,'1991-02-22 00:00:00',4,1,12,2008,'F','N','FORQUILHAS','S JOSÉ','SC','124043042116471431568813572124610164177',9255,'9998',57.85,1,3,NULL),(20,5156165,'1986-05-11 00:00:00',2,8,12,2003,'M','N','CENTRO','CURITIBA','PR','116162161416571451466834575122143162052',6357,'9998',61.84,1,3,NULL),(20,5156173,'1991-04-05 00:00:00',5,5,12,2008,'F','N','FIGUEIRA','URUSSANGA','SC','124242241215373431341112572124232414147',5554,'226',65.09,1,3,NULL),(20,5156181,'1990-11-12 00:00:00',4,1,12,2008,'M','N','JD FLORENÇA','LIMEIRA','SP','125251251137141431445731295122141437117',NULL,'9998',35.02,1,3,NULL),(20,5156190,'1990-06-09 00:00:00',4,7,12,2007,'M','N','CENTRO','FRAIBURGO','SC','124243241136372431436614485122610167142',NULL,'314',0.00,1,3,NULL),(20,5156203,'1993-07-31 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124242241217121431438932572114610124177',4971,'1022',67.26,1,3,NULL),(20,5156211,'1993-04-08 00:00:00',4,8,12,2010,'F','S','CENTRO','JARAGUÁ SUL','SC','124242241215111431446613235122610148017',NULL,'424',25.01,1,3,NULL),(20,5156238,'1987-04-26 00:00:00',2,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124242241215574432524412212114610133095',NULL,'868',40.59,1,3,NULL),(20,5156246,'1992-04-11 00:00:00',4,1,12,2009,'F','N','CENTRO','TAIÓ','SC','124242241215111431449933595124610144142',7074,'654',61.14,1,3,NULL),(20,5156254,'1990-03-07 00:00:00',2,1,12,2007,'F','N','CENTRO SAO JOSE','S JOSÉ','SC','124241241116273431345519492124610114147',NULL,'733',46.85,1,2,1),(20,5156262,'1992-07-31 00:00:00',4,15,12,2009,'F','N','CAMAQUÃ','PTO ALEGRE','RS','120202201116471431247633575124610114097',NULL,'9998',0.00,1,3,NULL),(20,5156270,'1991-03-17 00:00:00',4,1,11,2008,'F','N','MARAMBAIA','VINHEDO','SP','125252253217471431388814375112610164017',1637,'9998',76.95,1,3,NULL),(20,5156289,'1992-10-24 00:00:00',4,1,12,2010,'M','S','SACO GRANDE','FLORIANÓPOLIS','SC','124241241116151231437732575124610142182',NULL,'267',23.89,1,3,NULL),(20,5156297,'1990-03-15 00:00:00',4,1,11,2007,'M','N','MICHEL','CRICIÚMA','SC','124242241217574431469912572114610112042',3867,'270',70.23,1,3,NULL),(20,5156300,'1992-12-01 00:00:00',2,8,11,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215271431269813472114610167122',16097,'1063',43.44,1,3,NULL),(20,5156319,'1988-07-07 00:00:00',2,1,12,2008,'M','N','SERRARIA','S JOSÉ','SC','124243247336472751136923282113610117067',NULL,'9999',17.64,2,1,2),(20,5156327,'1991-01-02 00:00:00',2,8,12,2008,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215472411468813575114610164072',6202,'9997',63.14,1,3,NULL),(20,5156335,'1990-10-27 00:00:00',4,1,12,2008,'F','N','PARQUE PRADO','CAMPINAS','SP','125252251215411441388822591124610122182',NULL,'9998',0.00,1,3,NULL),(20,5156343,'1989-07-04 00:00:00',2,3,12,2006,'F','N','CENTRO','TIJUCAS','SC','124241241116371431433911575124610124147',NULL,'783',28.31,1,2,1),(20,5156351,'1992-05-14 00:00:00',2,1,12,2009,'F','N','LIBERDADE','NOVO HAMBURGO','RS','120204201215371631346311215122610148142',NULL,'9998',22.23,1,3,NULL),(20,5156386,'1992-07-22 00:00:00',4,5,11,2009,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241217212431488712575112610144112',15642,'226',45.71,1,3,NULL),(20,5156394,'1993-09-09 00:00:00',4,2,12,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241215111431457611572112610141147',9644,'1123',55.67,1,3,NULL),(20,5156408,'1992-03-11 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241216111431479933575122610131042',2342,'270',74.71,1,3,NULL),(20,5156440,'1991-10-12 00:00:00',4,1,12,2009,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241135131431624534231124610137187',13617,'592',48.88,1,2,1),(20,5156459,'1989-10-23 00:00:00',4,1,11,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241136271441243969395124610134192',NULL,'505',42.12,1,2,1),(20,5156467,'1990-06-16 00:00:00',2,8,11,2007,'F','N','JOAQUIM C FERREIRA','CPO LARGO','PR','116162161216571431456619592124610122087',8677,'9998',58.12,1,3,NULL),(20,5156475,'1991-08-12 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215372731556632375122130837112',15409,'723',46.58,1,3,NULL),(20,5156491,'1993-06-19 00:00:00',2,1,12,2009,'M','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124242241215111431239923435122610124012',16061,'724',43.67,1,3,NULL),(20,5156505,'1991-02-05 00:00:00',2,8,11,2008,'M','N','JARDIM ESTORIL','GUARATUBA','PR','116162161216371211236611572225241465117',8127,'9998',60.42,1,3,NULL),(20,5156513,'1992-11-02 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111532418639575125610168192',NULL,'1022',27.94,3,3,NULL),(20,5156521,'1992-12-18 00:00:00',4,1,11,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215111411269931575114610162192',NULL,'270',0.00,1,3,NULL),(20,5156530,'1991-03-13 00:00:00',4,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242241215473431448813574122610113142',3918,'1063',69.99,1,3,NULL),(20,5156548,'1993-09-01 00:00:00',4,1,11,2010,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124243241115111231468613275112610127065',NULL,'271',40.82,1,3,NULL),(20,5156556,'1992-04-22 00:00:00',4,1,12,2009,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124244241215121751468923575124610162187',7411,'1022',60.70,1,3,NULL),(20,5156564,'1992-01-28 00:00:00',4,8,12,2009,'F','N','CRISTO REI','CURITIBA','PR','116164161415111231338724345112610145013',NULL,'9998',0.00,1,3,NULL),(20,5156572,'1992-08-22 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111431449912575124610127042',6152,'1022',65.45,1,3,NULL),(20,5156580,'1984-12-11 00:00:00',4,1,12,2002,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215272711468714345122233247095',5748,'266',66.59,1,3,NULL),(20,5156599,'1989-02-28 00:00:00',4,1,12,2006,'M','N','AREIAS','S JOSÉ','SC','124244241137271431336674215124143224067',NULL,'307',0.00,1,3,NULL),(20,5156602,'1982-09-01 00:00:00',2,1,12,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241311153711268823285122231014113',11923,'9997',54.52,1,3,NULL),(20,5156610,'1992-11-11 00:00:00',2,1,12,2009,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124244241215111231366733595124610137112',15083,'1022',44.85,1,3,NULL),(20,5156629,'1990-12-03 00:00:00',2,1,12,2008,'M','N','CACUPE','FLORIANÓPOLIS','SC','116094098215371331548335151124610137052',NULL,'9998',0.00,1,3,NULL),(20,5156637,'1990-05-15 00:00:00',4,7,12,2007,'M','N','SANTO INÁCIO','CURITIBA','PR','116243241315472431538714375124131337012',14184,'119',46.61,1,3,NULL),(20,5156645,'1990-03-26 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215374431468913575122131467042',828,'270',82.31,1,3,NULL),(20,5156653,'1992-08-17 00:00:00',2,4,12,2009,'F','N','CENTRO','TRÊS PALMEIRAS','RS','120201201137131331416618382111610133147',NULL,'9998',29.78,1,2,1),(20,5156661,'1992-09-29 00:00:00',2,2,12,2009,'F','N','PADRE EDUARDO','TAIÓ','SC','124241241115371731426823395121610143182',7567,'777',60.37,1,3,NULL),(20,5156670,'1993-08-28 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111411489813575122610123015',NULL,'270',28.70,1,3,NULL),(20,5156688,'1990-08-09 00:00:00',4,4,12,2007,'M','N','CENTRO','S VALENTIM','RS','124201201117571431536939572224610164042',10524,'9998',55.01,1,2,1),(20,5156700,'1989-12-12 00:00:00',4,1,12,2007,'M','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251216472431378814475112610167042',5078,'9998',65.70,1,3,NULL),(20,5156718,'1988-10-09 00:00:00',2,1,12,2006,'M','N','CENTRO','CANOAS','RS','120201201216571531537814375112610167047',NULL,'9998',0.00,1,3,NULL),(20,5156726,'1991-08-24 00:00:00',2,3,12,2008,'F','N','GUARAITUBA','COLOMBO','PR','116161161116471441236623192224610134142',NULL,'9998',23.70,1,2,1),(20,5156734,'1992-09-09 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121331479814593122610128142',3132,'270',73.12,1,3,NULL),(20,5156742,'1991-11-25 00:00:00',2,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124243241215111431436414575125610122097',NULL,'989',43.82,1,3,NULL),(20,5156750,'1993-07-23 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431268612595124610167042',9565,'270',58.96,1,3,NULL),(20,5156769,'1992-01-14 00:00:00',4,1,12,2009,'F','N','CENTRO','HOLAMBRA','SP','125252251217111431548811571121610168092',NULL,'9998',0.00,1,3,NULL),(20,5156777,'1992-05-31 00:00:00',4,1,11,2009,'F','N','GUIOMAR','ANTÔNIO CARLOS','SC','124243241215372431553535575124610167147',4525,'20',69.46,1,3,NULL),(20,5156785,'1992-06-16 00:00:00',4,8,11,2009,'F','N','CAPÃO RASO','CURITIBA','PR','116162161235421431458632575122610142052',5434,'9998',66.16,1,3,NULL),(20,5156793,'1988-10-28 00:00:00',4,1,12,2009,'M','N','JD JAQUELINE','S PAULO','SP','125252257215371431246524395124610167182',NULL,'9998',0.00,4,1,2),(20,5156815,'1992-09-08 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124241241216112731456613372124610123073',10405,'1011',57.10,1,3,NULL),(20,5156823,'1992-11-25 00:00:00',4,8,12,2009,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241215111532549619385122610117052',NULL,'1016',25.54,1,3,NULL),(20,5156831,'1991-12-16 00:00:00',4,1,11,2009,'M','N','AGUA VERDE','CURITIBA','PR','116242166215111721257734475114610162052',NULL,'9999',0.00,1,3,NULL),(20,5156840,'1992-12-07 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241115271231653633575122610161142',NULL,'732',22.10,1,2,1),(20,5156858,'1990-09-25 00:00:00',4,1,12,2008,'F','N','VILA CLEMENTINO','S PAULO','SP','125252251215471431469811472112610164097',756,'9998',81.82,1,3,NULL),(20,5156866,'1992-07-23 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431458632575122610127127',12348,'262',49.81,1,3,NULL),(20,5156874,'1992-04-23 00:00:00',4,1,12,2009,'M','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124242241215122431668513572124610123077',13179,'270',50.46,1,3,NULL),(20,5156890,'1992-08-03 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','120202208217111421436839575124610164047',14787,'9998',44.83,1,3,NULL),(20,5156904,'1991-09-26 00:00:00',4,2,12,2008,'M','N','CENTRO','GASPAR','SC','124241241417572411434923345124230764052',NULL,'1018',0.00,1,3,NULL),(20,5156912,'1992-07-23 00:00:00',4,15,12,2009,'F','N','MATO ALTO','ARARANGUÁ','SC','124243241115131431333521275125610167091',NULL,'30',18.61,1,3,NULL),(20,5156920,'1993-11-16 00:00:00',2,10,10,2010,'F','S','MONTE CASTELO','TUBARÃO','SC','124244241215111431476913572112610148072',NULL,'807',27.56,1,3,NULL),(20,5156939,'1991-03-17 00:00:00',4,1,12,2008,'M','N','CENTRO','JOAÇABA','SC','124241241217572431448613575125610162097',259,'962',87.13,1,3,NULL),(20,5156955,'1991-10-08 00:00:00',4,1,12,2009,'F','N','LAGOINHA','RIBEIRÃO PRETO','SP','125252251215111431566819575122610142072',NULL,'9998',0.00,1,3,NULL),(20,5156971,'1992-02-26 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115152711464633576125610164145',9268,'267',59.11,1,2,1),(20,5156998,'1992-03-31 00:00:00',4,8,12,2009,'M','N','JARDIM ACAPULCO','LONDRINA','PR','116161161216111431446812215112610164012',8846,'9998',57.49,1,3,NULL),(20,5157005,'1992-06-08 00:00:00',4,1,7,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242281637271431468914572112610147097',15552,'9998',46.08,1,3,NULL),(20,5157013,'1975-01-27 00:00:00',4,1,12,1993,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124163166116151411166643332133341437183',2028,'9998',76.77,1,3,NULL),(20,5157021,'1992-02-18 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113411268833572122610147072',773,'270',82.70,1,3,NULL),(20,5157064,'1987-12-01 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124112211215574431549811473122231036042',2469,'9998',75.21,1,3,NULL),(20,5157072,'1992-01-14 00:00:00',2,5,11,2009,'F','N','ELIZA','NOVA VENEZA','SC','124243241215121431437631315124610121147',NULL,'226',0.00,1,3,NULL),(20,5157099,'1991-09-13 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431446623372122610115017',NULL,'738',19.77,1,3,NULL),(20,5157102,'1992-06-18 00:00:00',2,7,12,2009,'F','N','SÃO JOSÉ','FRAIBURGO','SC','124241241315111732443332575122610127042',NULL,'317',22.65,1,3,NULL),(20,5157110,'1990-07-06 00:00:00',2,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241117141431433439342112610167052',NULL,'733',27.69,2,1,1),(20,5157129,'1992-11-13 00:00:00',4,1,11,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242248215112411469911572112610143142',10619,'951',56.44,1,3,NULL),(20,5157137,'1990-03-11 00:00:00',4,1,12,2007,'F','N','JARDIM VITÓRIA','MARÍLIA','SP','125254251417571451438833575124610164147',4692,'9998',67.51,1,3,NULL),(20,5157145,'1992-10-29 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124244241216271232323823575124610127147',14413,'1076',45.31,1,3,NULL),(20,5157153,'1992-01-27 00:00:00',4,1,11,2009,'F','N','JARDIM CIDADE FLORIA','S JOSÉ','SC','124241241137141331126543242224610161142',NULL,'734',19.57,1,3,NULL),(20,5157161,'1992-11-03 00:00:00',4,8,11,2009,'F','N','VILA IZABEL','CURITIBA','PR','116162161215111431378939574122610167142',726,'9998',82.30,1,3,NULL),(20,5157196,'1990-01-29 00:00:00',4,8,12,2007,'F','N','IPIRANGA','S PAULO','SP','125252251211571431468814575124610127147',1463,'9998',78.87,1,3,NULL),(20,5157200,'1991-09-17 00:00:00',2,1,12,2009,'F','N','AVENIDA CENTRAL','GRAMADO','RS','120202201217471751467712572112610163182',8490,'9998',60.93,1,3,NULL),(20,5157218,'1992-04-01 00:00:00',4,17,12,2009,'M','N','CENTRO','CANOINHAS','SC','124241241117141431536931112121610167057',15231,'146',42.78,4,2,1),(20,5157234,'1992-01-16 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','624242241215211431458831472114610167187',15169,'1022',43.40,1,3,NULL),(20,5157242,'1991-09-18 00:00:00',4,1,12,2008,'F','N','BAIRRO AHÚ','CURITIBA','PR','116162161215571731468731575114610168187',4426,'9998',67.07,1,3,NULL),(20,5157269,'1991-10-14 00:00:00',1,2,11,2009,'M','N','CENTRO','POMERODE','SC','624242241215111711586612375121610137112',NULL,'624',0.00,1,3,NULL),(20,5157277,'1983-09-09 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124161161126271451223379392314610164047',NULL,'9998',29.10,2,3,NULL),(20,5157285,'1992-02-08 00:00:00',2,4,12,2008,'F','N','CENTRO','PASSO FUNDO','RS','120204241216471731447614475122610137047',9572,'185',56.01,1,3,NULL),(20,5157293,'1990-08-24 00:00:00',4,8,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161216571431378934575122610162183',303,'9998',86.50,1,3,NULL),(20,5157307,'1992-09-09 00:00:00',4,1,12,2009,'M','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241115271731448931172122610162177',15124,'146',44.17,1,2,1),(20,5157323,'1991-09-21 00:00:00',4,1,12,2008,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241241115413431313524576124610166187',6908,'733',63.15,4,2,1),(20,5157331,'1990-11-11 00:00:00',4,1,11,2009,'M','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241215111431357824375122610117112',6326,'951',64.28,1,3,NULL),(20,5157358,'1993-11-25 00:00:00',2,10,10,2010,'F','S','OFICINAS','TUBARÃO','SC','124244241215111332535714342122610134072',NULL,'807',25.59,1,3,NULL),(20,5157366,'1991-07-31 00:00:00',4,1,12,2008,'M','N','BARRO VERMELHO','ORLEANS','SC','124242241212413431469931573124130267121',36,'226',92.46,1,3,NULL),(20,5157374,'1988-10-19 00:00:00',4,1,12,2006,'F','N','VISTA ALEGRE','VINHEDO','SP','125252251217571451489834273112610163142',NULL,'9998',NULL,1,3,NULL),(20,5157382,'1989-12-09 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216133711456933382124610141187',NULL,'270',21.76,1,3,NULL),(20,5157390,'1993-03-06 00:00:00',2,8,11,2009,'F','N','FLORESTA','JOINVILLE','SC','124241241215471431448824575122610145147',NULL,'1016',0.00,1,3,NULL),(20,5157404,'1992-02-18 00:00:00',4,7,12,2009,'M','N','SENHOR BOM JESUS','CAMPOS NOVOS','SC','124243241316131431656911145121610124012',NULL,'139',0.00,1,3,NULL),(20,5157412,'1992-07-17 00:00:00',4,2,10,2009,'M','N','GARCIA','BLUMENAU','SC','124241241215111431358612575112610137052',14388,'855',49.50,1,3,NULL),(20,5157420,'1992-07-10 00:00:00',4,8,12,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215421711478831571112610128146',8267,'9998',58.09,1,3,NULL),(20,5157439,'1992-10-19 00:00:00',4,8,12,2010,'F','S','SAGUAÇÚ','JOINVILLE','SC','124243241312111431656824572122610127077',NULL,'931',25.48,1,3,NULL),(20,5157447,'1992-12-28 00:00:00',4,3,11,2009,'F','N','JUVEVE','CURITIBA','PR','116162161216371441456914575112610164091',1498,'9998',78.27,1,3,NULL),(20,5157455,'1993-12-01 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111721458632572114610162187',16237,'270',42.13,1,3,NULL),(20,5157471,'1993-04-28 00:00:00',2,8,11,2010,'F','S','BOA VISTA','POUSO REDONDO','SC','124241241215121411445923435124610132177',NULL,'991',30.73,1,3,NULL),(20,5157480,'1988-03-11 00:00:00',4,1,12,2009,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124241241115141132526431375124610114147',NULL,'257',17.43,1,2,1),(20,5157498,'1993-04-07 00:00:00',4,1,12,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241115112431468933572124610168197',12128,'271',50.92,1,3,NULL),(20,5157501,'1991-08-15 00:00:00',4,1,11,2009,'M','N','RECANTO DO SALTO','LONDRINA','PR','116042161217122431559813275122610144142',3706,'9998',71.20,3,3,NULL),(20,5157510,'1988-02-16 00:00:00',2,1,12,2008,'M','N','PARTENON','PTO ALEGRE','RS','120201208126271431636673445314610137052',NULL,'9998',26.46,2,1,1),(20,5157528,'1990-11-25 00:00:00',2,1,12,2007,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241217372751359923575122610145092',NULL,'1036',28.18,2,1,2),(20,5157536,'1992-05-27 00:00:00',4,1,11,2009,'M','N','ROÇADO','S JOSÉ','SC','124242241215112231458832574122610166187',11346,'723',54.62,1,3,NULL),(20,5157544,'1992-10-13 00:00:00',4,1,12,2010,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111211359934242124610124142',NULL,'270',40.45,1,3,NULL),(20,5157552,'1993-06-05 00:00:00',4,4,12,2009,'F','N','CINQUENTENÁRIO','CONCÓRDIA','SC','124241241115271431346913575122610128042',NULL,'192',0.00,1,3,NULL),(20,5157579,'1993-04-07 00:00:00',4,15,12,2009,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124242241215111431436923575122610164171',6243,'770',64.38,1,3,NULL),(20,5157587,'1991-03-05 00:00:00',4,16,12,2008,'F','N','SANTA CATARINA','CAÇADOR','SC','224241241136131431324354385114610114147',NULL,'123',21.13,1,2,1),(20,5157595,'1992-10-22 00:00:00',4,1,12,2010,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242248215111431249923574122610124012',NULL,'270',44.97,1,3,NULL),(20,5157609,'1992-05-22 00:00:00',5,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124244241115151431446623271124610133077',12307,'271',50.24,1,3,NULL),(20,5157617,'1992-10-08 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472431479833235122610164095',2827,'270',74.01,1,3,NULL),(20,5157625,'1992-10-08 00:00:00',4,5,11,2009,'M','N','MICHEL','CRICIÚMA','SC','124242241215152511468714575122610167147',14502,'210',49.24,1,3,NULL),(20,5157641,'1989-04-06 00:00:00',2,7,12,2006,'M','N','ZONA RURAL','PERITIBA','SC','124241241127272721523315152343610115182',15499,'14',41.04,1,2,1),(20,5157668,'1992-04-01 00:00:00',4,1,10,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431468814575122610127142',1678,'1169',78.08,1,3,NULL),(20,5157684,'1989-12-31 00:00:00',4,1,12,2006,'M','N','JARDIM DAS PALMEIRAS','S JOSÉ','SC','124243241336372431249612345124610147022',NULL,'9997',21.66,3,3,NULL),(20,5157706,'1992-01-25 00:00:00',2,8,12,2009,'M','N','JARDIM ALVES','JACAREZINHO','PR','116162161216171441336923575115610134177',9290,'9998',55.74,1,3,NULL),(20,5157730,'1991-04-15 00:00:00',4,1,12,2008,'F','N','VALE DO ALCANTARA','LONDRINA','PR','116162161215471441478811574122610135142',489,'9998',84.34,1,3,NULL),(20,5157757,'1992-07-29 00:00:00',4,1,11,2009,'M','N','AREIAS','S JOSÉ','SC','124242241215122432437732585114610167052',8088,'270',61.67,1,3,NULL),(20,5157773,'1991-04-15 00:00:00',4,1,12,2008,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215473431438823475122610167015',3786,'270',71.01,1,3,NULL),(20,5157781,'1990-09-04 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215574431345923572124610167147',3646,'751',71.46,1,3,NULL),(20,5157811,'1991-07-15 00:00:00',2,9,12,2008,'F','N','CENTRO','CAXIAS SUL','RS','120204201415372731248614474124610125097',13983,'9998',47.82,1,3,NULL),(20,5157846,'1992-08-31 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215112431226829592124610121187',NULL,'1022',32.54,1,3,NULL),(20,5157862,'1991-07-10 00:00:00',4,1,7,2009,'F','N','GRAJAÚ','BELO HORIZONTE','MG','113132281417271431558832571124610135142',10765,'9998',56.74,1,3,NULL),(20,5157870,'1991-07-11 00:00:00',4,1,11,2008,'F','N','BOM RETIRO','S PAULO','SP','125252251216571731546612575115610165147',NULL,'9998',NULL,3,3,NULL),(20,5157889,'1989-09-19 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117131531436413432124230227047',NULL,'298',20.64,1,2,1),(20,5157897,'1991-05-05 00:00:00',2,9,12,2008,'M','N','PROGRESSO','RIO SUL','SC','124242246215372721533419345122610167072',14982,'1013',45.57,1,3,NULL),(20,5157919,'1992-06-11 00:00:00',4,17,12,2009,'M','N','VILA PARANA','RIO NEGRO','PR','116246161215111431358923575112610167017',NULL,'9998',24.73,1,3,NULL),(20,5157927,'1992-02-18 00:00:00',1,8,12,2009,'M','N','FLORESTA','JOINVILLE','SC','124241246217141431569933575124610128052',NULL,'494',0.00,1,3,NULL),(20,5157935,'1951-06-07 00:00:00',5,1,1,1971,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124252257231141441275546461122340266182',NULL,'9998',0.00,1,3,NULL),(20,5157943,'1990-10-21 01:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSÉ','SC','124244241415232431454412241124610167147',NULL,'1118',25.52,1,3,NULL),(20,5157951,'1991-10-10 00:00:00',2,3,12,2009,'M','N','JARDIM DAS PALMEIRAS','RIO CLARO','SP','125252251216151432436619495221610127042',NULL,'9998',NULL,1,3,NULL),(20,5157960,'1993-09-08 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241217111411434659175124610168147',NULL,'738',21.31,1,3,NULL),(20,5157978,'1992-06-09 00:00:00',4,6,12,2009,'M','N','CENTRO','ITUPORANGA','SC','124242248227211131456614582112610114051',NULL,'1173',19.87,1,3,NULL),(20,5157986,'1993-06-10 00:00:00',4,1,11,2010,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241211111431379929435122610164142',NULL,'270',60.37,1,3,NULL),(20,5157994,'1989-03-14 00:00:00',4,8,12,2006,'F','N','ZONA RURAL','ASSIS','SP','125252251217571431458631591315610164142',579,'9998',83.95,1,3,NULL),(20,5158010,'1991-09-09 00:00:00',4,1,10,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217123431476823575112610164057',157,'270',88.80,1,3,NULL),(20,5158028,'1992-02-18 00:00:00',4,1,12,2009,'M','N','CH EMBU COLONIAL','EMBU','SP','125252251216271411489814575122610122182',NULL,'9998',30.94,1,3,NULL),(20,5158044,'1992-01-16 00:00:00',4,4,11,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241215121431229923575122610123182',15793,'185',41.53,1,3,NULL),(20,5158052,'1989-07-08 00:00:00',2,1,12,2007,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','624241241135372711259823285124233262087',6131,'267',65.74,4,2,1),(20,5158060,'1990-05-08 00:00:00',4,1,11,2007,'F','N','GRAMADO','CAMPINAS','SP','125252251217471441378812475122141427122',9716,'9998',54.81,1,3,NULL),(20,5158079,'1986-12-09 00:00:00',4,1,12,2003,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124123121116152431168913395124221126175',3934,'9998',69.20,3,3,NULL),(20,5158109,'1992-11-22 00:00:00',4,2,12,2009,'F','N','ÁGUAS CLARAS','BRUSQUE','SC','124242241215271431456612295112610164022',8008,'107',60.35,1,3,NULL),(20,5158117,'1991-03-08 00:00:00',2,5,12,2008,'M','N','RAICHASKI','IÇARA','SC','124242246217272411346824345124610137012',7731,'995',62.36,1,3,NULL),(20,5158125,'1992-07-14 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241211111431438813232125610126147',13192,'1038',48.50,1,3,NULL),(20,5158133,'1993-04-17 00:00:00',2,4,12,2008,'M','N','INTERIOR','MAREMA','SC','124241242216132411546511575122610167067',NULL,'836',0.00,1,3,NULL),(20,5158141,'1993-04-08 00:00:00',4,1,11,2010,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241235111431569819374122610164052',NULL,'737',0.00,1,3,NULL),(20,5158150,'1989-06-29 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242248217352411443639245122231062031',NULL,'723',22.66,1,3,NULL),(20,5158168,'1988-08-24 00:00:00',4,1,12,2005,'M','N','KOBRASOL','S JOSÉ','SC','124241241217144411458711245124610166172',15851,'1076',44.85,1,3,NULL),(20,5158176,'1993-03-07 00:00:00',4,2,12,2010,'M','S','CENTRO','POMERODE','SC','124243241216211431558514595121610117047',NULL,'624',51.88,1,3,NULL),(20,5158192,'1993-09-02 00:00:00',2,1,11,2010,'M','S','BOSQUE DAS MANSÕES','S JOSÉ','SC','124242241215111731368912575124610168182',NULL,'270',16.12,1,3,NULL),(20,5158214,'1992-03-06 00:00:00',4,1,12,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124244241437131431456413275124610144037',13159,'976',48.34,1,3,NULL),(20,5158222,'1993-04-14 00:00:00',4,4,11,2009,'F','N','CENTRO','PALMITOS','SC','124242241215121431478814241122610121042',NULL,'185',19.21,1,3,NULL),(20,5158249,'1992-10-18 00:00:00',4,1,12,2010,'F','S','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124244244217121431468923572124610145092',NULL,'270',0.00,1,3,NULL);
INSERT INTO candidato VALUES (20,5158265,'1992-12-19 00:00:00',4,1,12,2010,'F','S','JARDIM ELDORADO','PALHOÇA','SC','124241241115131431526624272124610124062',NULL,'592',48.96,1,3,NULL),(20,5158273,'1992-10-03 00:00:00',4,5,11,2009,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241415111431458714272122610122185',5640,'226',65.63,1,3,NULL),(20,5158281,'1993-01-19 00:00:00',2,1,12,2009,'F','N','PARTENOM','PTO ALEGRE','RS','120202201217131431338923272122610124077',9920,'9998',54.79,1,3,NULL),(20,5158290,'1992-07-28 00:00:00',4,4,11,2009,'F','N','CENTRO','CONCÓRDIA','SC','124242241212111431458832221125610136097',9865,'1000',56.88,1,3,NULL),(20,5158303,'1992-09-03 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124241241215132442246823292112610164191',11028,'1146',53.53,1,3,NULL),(20,5158311,'1988-04-07 00:00:00',2,1,12,2005,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241116375411446624392124232762092',13761,'281',49.68,1,2,1),(20,5158320,'1990-12-27 00:00:00',4,1,12,2008,'F','N','ALPHAVILLE','CAMPINAS','SP','125252251216471411468811575122610124012',NULL,'9998',0.00,1,3,NULL),(20,5158346,'1993-01-18 00:00:00',4,1,12,2010,'M','S','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','624243241215131341338933375124610164087',NULL,'1022',49.80,1,3,NULL),(20,5158354,'1990-02-13 00:00:00',4,1,12,2008,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241211373411378933591114131061182',15010,'272',47.84,1,3,NULL),(20,5158362,'1992-12-08 00:00:00',2,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124242241215112431447923572122610135042',NULL,'237',41.53,1,3,NULL),(20,5158370,'1991-04-09 00:00:00',4,17,11,2008,'F','N','CABRAL','CURITIBA','PR','116162161315471431566619494124610123147',1568,'9998',78.60,1,3,NULL),(20,5158397,'1993-07-02 00:00:00',4,15,12,2010,'F','S','SÃO CRISTOVÃO','TURVO','SC','124241241215111431443636575122610138142',NULL,'970',54.04,1,3,NULL),(20,5158419,'1991-07-30 00:00:00',4,1,12,2008,'F','N','JARDIM GUAIUBA','GUARUJÁ','SP','125252251217571431478831574112610162142',NULL,'9998',0.00,1,3,NULL),(20,5158427,'1991-10-09 00:00:00',4,1,12,2008,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241211375331487812195122610112041',3094,'270',73.23,1,3,NULL),(20,5158435,'1992-07-30 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124241241115171431445413575124610124142',NULL,'734',31.76,1,2,1),(20,5158443,'1990-08-27 00:00:00',2,1,12,2007,'F','N','CENTRO','LGA VERMELHA','RS','124201201115572751334315275124610127147',3940,'9998',70.99,1,2,1),(20,5158451,'1991-02-12 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217113431428812575114610124141',14314,'1022',49.68,1,3,NULL),(20,5158460,'1989-03-31 00:00:00',2,8,12,2006,'M','N','BATEL','CURITIBA','PR','125252251215472751538834375125610168197',NULL,'9998',29.85,3,3,NULL),(20,5158478,'1993-07-01 00:00:00',4,6,12,2009,'F','N','SOUZA CRUZ','BRUSQUE','SC','124242241215111431458612475122610111146',15132,'109',47.47,3,3,NULL),(20,5158486,'1992-10-13 00:00:00',4,10,11,2009,'F','N','ENCOSTA DO SOL','S LUDGERO','SC','124241241116141431435634395122610125077',14676,'748',48.80,1,2,1),(20,5158494,'1991-10-17 00:00:00',2,4,12,2008,'M','N','LA SALLE','PATO BRANCO','PR','116162161216371712336611275121140264017',NULL,'9998',0.00,1,3,NULL),(20,5158508,'1992-03-17 00:00:00',4,1,9,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411387614475122610144022',8041,'269',60.16,1,3,NULL),(20,5158516,'1991-03-01 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','107072071217472411589939572112610131196',14626,'9998',45.42,1,3,NULL),(20,5158524,'1991-05-07 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242247215112431446932215122610124033',13333,'9999',51.69,1,3,NULL),(20,5158540,'1991-11-22 00:00:00',4,1,11,2009,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241217371411568927575122610142012',1255,'262',79.96,1,3,NULL),(20,5158559,'1991-05-09 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124202201217372411228644345124610124077',13999,'9998',47.59,1,3,NULL),(20,5158567,'1992-09-25 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215473431469913575112610127042',40,'262',92.04,1,3,NULL),(20,5158583,'1992-04-24 00:00:00',4,8,10,2009,'F','N','GUANABARA','JOINVILLE','SC','124241241217111411479614575112610127122',7940,'457',58.92,1,3,NULL),(20,5158605,'1990-12-16 00:00:00',4,10,12,2007,'F','N','KMSESSENTA','TUBARÃO','SC','124241241116472431336923575114610167147',NULL,'798',29.60,1,2,1),(20,5158613,'1992-03-05 00:00:00',4,1,12,2009,'F','N','SAO JOSE','S JOSÉ','SC','124242241215131732456634395112610127077',NULL,'738',26.09,1,3,NULL),(20,5158621,'1990-11-27 00:00:00',4,8,11,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242241215372411478914475122131062122',12557,'457',53.22,1,3,NULL),(20,5158630,'1991-03-10 00:00:00',4,5,11,2008,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215372731438834375122610161072',5441,'226',66.15,1,3,NULL),(20,5158648,'1991-04-02 00:00:00',2,5,11,2008,'F','N','IMIGRANTES','CRICIÚMA','SC','124242248215152431457619441122610114147',7303,'211',60.31,1,3,NULL),(20,5158656,'1985-08-23 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161161116373421434911485122240864192',9905,'9998',57.11,1,2,1),(20,5158699,'1992-03-19 00:00:00',4,5,12,2009,'F','N','SANTA AUGUSTA','CRICIÚMA','SC','124244241215111431366812375122610147043',9018,'230',59.93,1,3,NULL),(20,5158702,'1990-02-17 00:00:00',4,1,12,2007,'M','N','ÁGUA RASA','S PAULO','SP','125251251117571431534611575114610144187',6492,'9998',63.28,1,2,1),(20,5158710,'1990-11-15 00:00:00',4,1,12,2009,'M','N','PARQUE PRESIDENTE','INDAIATUBA','SP','125252256137471431567831572124610167052',NULL,'9998',0.00,1,3,NULL),(20,5158729,'1991-12-28 00:00:00',4,1,11,2009,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251214111431388811575122610164047',NULL,'9998',0.00,1,3,NULL),(20,5158745,'1989-07-05 00:00:00',4,1,12,2006,'M','N','CENTRO','MOGI GUAÇU','SP','125252251216572431458811575123610167044',945,'9998',80.92,1,3,NULL),(20,5158753,'1992-02-12 00:00:00',4,1,12,2009,'M','N','PASSO DAREIA','PTO ALEGRE','RS','120203201216121731539314575124610124042',NULL,'9998',48.49,1,3,NULL),(20,5158761,'1991-03-26 00:00:00',4,3,11,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','624244241215371331436611245124610124185',13832,'403',50.69,1,3,NULL),(20,5158770,'1993-09-14 00:00:00',4,15,12,2010,'M','S','CENTRO','ARARANGUÁ','SC','124242241217111531548931472125610124047',NULL,'970',51.52,1,3,NULL),(20,5158788,'1989-09-08 00:00:00',4,1,12,2007,'M','N','BOM FIM','PTO ALEGRE','RS','120202201236472431147732371125610134051',10385,'9998',55.81,1,3,NULL),(20,5158796,'1987-12-27 00:00:00',2,1,12,2006,'M','N','CENTRO','PALHOÇA','SC','124242241211273411236818481124130817052',NULL,'1011',23.10,1,3,NULL),(20,5158800,'1991-03-16 00:00:00',4,1,12,2008,'M','N','BUTANTÃ','S PAULO','SP','125252251217471431248812571124610137047',11477,'9998',51.25,2,1,2),(20,5158818,'1992-01-11 00:00:00',4,8,12,2009,'M','N','BATEL','CURITIBA','PR','125254161217111431558332572122610138097',4641,'9998',67.49,1,3,NULL),(20,5158826,'1992-01-03 00:00:00',4,8,11,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161212471531469934575112610162052',NULL,'9998',45.88,1,3,NULL),(20,5158834,'1992-05-16 00:00:00',2,15,12,2009,'M','N','COMCOM','SOMBRIO','SC','124242241215151431435923572122610137142',12753,'770',49.99,1,3,NULL),(20,5158842,'1990-07-11 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215274731258923575122232824145',11014,'1022',56.27,1,3,NULL),(20,5158850,'1988-08-03 00:00:00',4,1,12,2005,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215373411469923445134121734095',5060,'269',67.54,1,3,NULL),(20,5158877,'1974-10-30 00:00:00',4,1,12,1991,'F','N','PICADAS DO SUL','S JOSÉ','SC','524241245117175431343343335122321216177',NULL,'9997',28.83,1,2,1),(20,5158885,'1992-06-16 00:00:00',2,10,12,2009,'F','N','VILA NOVA','IMBITUBA','SC','124241241115271431634933595124610127147',NULL,'359',24.69,1,2,1),(20,5158893,'1989-11-15 00:00:00',4,1,12,2006,'M','N','DESVIO RIZZO','CAXIAS SUL','RS','120202201217371331347824396124241424117',4099,'9998',70.61,1,3,NULL),(20,5158907,'1990-10-03 00:00:00',4,1,12,2007,'F','N','SÃO JUDAS','S PAULO','SP','125252251215571751468839575115610167047',3576,'9998',70.18,1,3,NULL),(20,5158915,'1992-10-22 00:00:00',2,1,12,2009,'F','N','JURERE INTERNACIOLNA','FLORIANÓPOLIS','SC','124242241216112431586812576122610128092',NULL,'1048',27.34,1,3,NULL),(20,5158923,'1992-07-08 00:00:00',2,1,12,2009,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124242241217121131446612575114610127067',NULL,'1022',27.85,1,3,NULL),(20,5158931,'1991-10-01 00:00:00',4,1,12,2009,'F','N','PLANALTO PAULISTA','S PAULO','SP','125252251214121531536614345124610144122',NULL,'9998',0.00,1,3,NULL),(20,5158940,'1990-01-16 00:00:00',4,1,12,2008,'M','N','IPANEMA','PTO ALEGRE','RS','120202207417131411546823416124610167017',NULL,'9998',23.26,1,3,NULL),(20,5158958,'1991-10-23 00:00:00',2,1,12,2008,'F','N','JARDIM AMÉRICA','ITUPORANGA','SC','124241241135171431434613335125610137057',NULL,'415',0.00,4,2,1),(20,5158966,'1987-04-13 00:00:00',4,1,12,2005,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124262261217152431249823435124221424182',2282,'9998',75.89,4,1,2),(20,5158990,'1992-09-13 00:00:00',4,2,12,2009,'M','N','CENTRO','PRES GETÚLIO','SC','124241241147271451546612245121610134047',10560,'644',53.82,1,2,1),(20,5159008,'1992-10-12 00:00:00',4,4,12,2009,'M','N','DIVINÉIA','PINHALZINHO','SC','124241241125111211543312145122610127052',NULL,'1032',20.48,1,3,NULL),(20,5159016,'1991-02-21 00:00:00',2,1,11,2009,'M','N','CALDAS','STO AMARO IMPERATRIZ','SC','124241241135141431536614345113610137057',NULL,'772',27.92,1,3,NULL),(20,5159024,'1992-06-11 00:00:00',2,5,11,2010,'F','S','SANTA BARBARA','CRICIÚMA','SC','124242241215271431475913372122610127142',NULL,'226',22.00,4,3,NULL),(20,5159032,'1991-10-08 00:00:00',4,1,12,2009,'F','N','CANASVIEIRA','FLORIANÓPOLIS','SC','124241241115371431214329592324610137047',14960,'307',48.00,1,2,1),(20,5159040,'1991-05-06 00:00:00',4,1,12,2009,'M','N','VILA LEOPOLDINA','S PAULO','SP','125252251116371731558812375115610127012',2825,'9998',72.98,1,3,NULL),(20,5159059,'1991-06-07 00:00:00',4,2,11,2009,'M','N','VILA FORMOSA','BLUMENAU','SC','124244241215122431348821476112610167182',6177,'855',64.39,1,3,NULL),(20,5159067,'1992-02-18 00:00:00',2,4,12,2008,'F','N','NOSSA SRA DE LURDES','PLANALTO','PR','116161161117471431456632475122610166172',NULL,'9998',30.88,1,2,1),(20,5159075,'1992-12-10 00:00:00',4,2,12,2009,'M','N','SANTA TEREZINHA','BRUSQUE','SC','124244241215272431465512175122610124042',1227,'107',80.02,1,3,NULL),(20,5159083,'1992-03-30 00:00:00',4,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','123242241215122431388712595122610122122',2349,'270',75.63,1,3,NULL),(20,5159091,'1990-11-29 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216473431459914595124610137172',16063,'270',43.66,4,3,NULL),(20,5159105,'1989-04-18 00:00:00',2,1,12,2008,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124201205116141431125344442334610126147',NULL,'9998',20.41,1,2,1),(20,5159113,'1991-01-07 00:00:00',4,1,12,2008,'F','N','VILA MUNIZ','VOTUPORANGA','SP','125252251215471431438931575122610167077',NULL,'9998',0.00,1,3,NULL),(20,5159121,'1991-05-31 00:00:00',4,9,12,2008,'M','N','EXPOSIÇÃO','CAXIAS SUL','RS','120082081216371441489932575122141567182',2878,'9998',73.70,1,3,NULL),(20,5159130,'1990-12-13 00:00:00',2,1,12,2008,'M','N','FURADINHO','PALHOÇA','SC','124241241115472731334314475114130622177',14486,'592',46.68,1,2,1),(20,5159148,'1990-09-02 00:00:00',2,15,12,2007,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241112151431526635175122130732112',NULL,'30',16.79,1,2,1),(20,5159156,'1992-06-17 00:00:00',4,1,12,2009,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241115271331423339571122610168182',NULL,'361',27.97,1,2,1),(20,5159164,'1992-08-03 00:00:00',4,1,11,2009,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','624242241215113431678813575112610127062',1968,'270',77.01,3,3,NULL),(20,5159172,'1991-09-03 00:00:00',2,7,12,2008,'F','N','SÃO CRISTÓVÃO','CONCÓRDIA','SC','124241241116472431436312442122610131187',12958,'858',49.26,1,2,1),(20,5159180,'1990-06-17 00:00:00',4,4,10,2007,'F','N','CAPÃO RASO','CURITIBA','PR','116164161216571731438824571114610147097',1738,'9998',77.81,1,3,NULL),(20,5159199,'1992-04-20 00:00:00',4,10,10,2009,'M','N','CENTRO','TUBARÃO','SC','124242241211271431566614271121610137142',NULL,'1181',45.80,4,3,NULL),(20,5159202,'1987-10-13 00:00:00',2,1,12,2005,'F','N','IPIRANGA','S JOSÉ','SC','124241241137475431325324242123610163147',14671,'734',48.82,1,2,1),(20,5159237,'1992-06-19 00:00:00',4,1,12,2009,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241217112732346611575114610128142',16069,'1011',41.76,1,3,NULL),(20,5159245,'1986-11-19 00:00:00',2,2,12,2004,'M','N','PROGRESSO','BLUMENAU','SC','124241241127575741446439572124610141092',2797,'80',73.38,1,2,1),(20,5159253,'1992-03-06 00:00:00',4,1,12,2009,'F','N','BUTANTÃ','S PAULO','SP','125252251215221441457823275124610122187',NULL,'9998',0.00,1,3,NULL),(20,5159261,'1990-08-11 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216153431657812395124221268083',14946,'1022',48.04,1,3,NULL),(20,5159288,'1986-02-09 00:00:00',4,1,12,2003,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217373221368913471124333262182',2088,'270',76.35,1,3,NULL),(20,5159300,'1988-06-30 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241115373431448923382124610164087',168,'306',88.62,1,3,NULL),(20,5159318,'1991-08-05 00:00:00',4,8,12,2009,'M','N','MOINHO VELHO','S PAULO','SP','125253251137151411147823575124610134182',NULL,'9998',0.00,1,3,NULL),(20,5159326,'1992-05-12 00:00:00',2,1,11,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241225272431536314275124610167057',5729,'262',64.71,1,3,NULL),(20,5159342,'1992-06-19 00:00:00',4,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215472431467714571124610137112',8685,'270',59.12,1,3,NULL),(20,5159350,'1990-10-25 00:00:00',2,1,12,2008,'F','N','CENTRO','URUBICI','SC','124242241215472431636723574124130424187',8742,'817',58.01,1,3,NULL),(20,5159369,'1990-09-03 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241115273431446333575122610112147',7350,'267',61.49,1,2,1),(20,5159377,'1991-11-01 00:00:00',2,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124242241215151431324612596125610117047',15545,'989',42.26,1,3,NULL),(20,5159393,'1990-09-26 00:00:00',2,1,11,2009,'M','N','SETOR OESTE','GOIÂNIA','GO','109092091211111231558833571124610166012',NULL,'9998',0.00,4,3,NULL),(20,5159407,'1992-05-22 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241225271431546634341124610148177',10897,'262',54.31,1,3,NULL),(20,5159423,'1991-05-13 00:00:00',2,2,11,2008,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241117131431224414572124231417032',7113,'666',63.60,1,3,NULL),(20,5159431,'1991-05-09 00:00:00',4,1,12,2008,'F','N','SANTA LUZIA','BRAGANÇA PAULISTA','SP','125254251217371431457711371122610165147',NULL,'9998',0.00,1,3,NULL),(20,5159440,'1988-11-11 00:00:00',4,3,12,2004,'M','N','CENTRO','ITAPEMA','SC','124241241131131431328327145233610132097',NULL,'406',37.50,1,3,NULL),(20,5159474,'1986-08-31 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241251116274411123329285324610118077',NULL,'359',42.77,1,2,1),(20,5159482,'1991-11-14 00:00:00',2,1,12,2009,'M','N','CENTRO','VL MARIA','RS','120201201337371331468611371122610167172',NULL,'9998',28.09,1,3,NULL),(20,5159504,'1986-10-02 00:00:00',4,5,12,2003,'M','N','PIQUE DO MEIO','MELEIRO','SC','124241241126371431323315342114133224047',12881,'309',48.43,1,2,1),(20,5159520,'1986-11-30 00:00:00',4,1,12,2004,'M','N','ELDORADO','TREMEMBÉ','SP','125252251217474441348829375112610147122',5580,'9998',64.92,1,3,NULL),(20,5159539,'1989-11-21 00:00:00',4,1,12,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124243257127371421226641212132610128043',NULL,'9998',0.00,1,3,NULL),(20,5159563,'1991-08-27 00:00:00',2,1,12,2008,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241217152411459614381124610117042',NULL,'1023',40.40,1,3,NULL),(20,5159598,'1984-01-04 00:00:00',2,3,11,2002,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241211375421428932485122610117047',NULL,'270',18.27,1,3,NULL),(20,5159601,'1992-08-06 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241236121731259712575124610162051',15396,'266',44.05,1,3,NULL),(20,5159610,'1991-10-25 00:00:00',2,1,11,2008,'F','N','PQ VALENTINA MIRANDA','MACAÉ','RJ','121212211215371331588831575122242412122',NULL,'9998',0.00,1,3,NULL),(20,5159628,'1988-01-07 00:00:00',4,1,12,2005,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','116161161117131731526923385224243268187',NULL,'9998',44.08,4,2,1),(20,5159644,'1991-08-22 00:00:00',4,1,12,2008,'M','N','SAINT ETIENNE','CAXIAS SUL','RS','120244241117572431478814575114610167043',5861,'271',64.48,1,3,NULL),(20,5159652,'1990-04-12 00:00:00',4,1,12,2007,'F','N','CAMBUI','CAMPINAS','SP','125251251215571751453432575122610127072',5046,'9998',65.81,4,3,NULL),(20,5159660,'1982-11-08 00:00:00',2,9,12,1999,'F','N','CORAL','LAGES','SC','224243241216472421343353375122333267097',6845,'514',62.47,1,3,NULL),(20,5159725,'1986-07-04 00:00:00',4,1,12,2003,'M','N','JARDIM CLAUDIA','LONDRINA','PR','116161161117571431458814494122141538147',1392,'9998',78.55,1,2,1),(20,5159750,'1989-04-23 00:00:00',4,1,3,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241117153431428823572114121444062',8258,'267',61.37,2,1,2),(20,5159768,'1990-08-17 00:00:00',4,1,12,2008,'M','N','SANTANA','S PAULO','SP','125251256217471411535621345125610132092',4138,'9998',67.50,1,3,NULL),(20,5159776,'1992-03-17 00:00:00',4,2,12,2009,'F','N','VALPARAÍSO','BLUMENAU','SC','124241241135141531534334345124610138142',NULL,'85',26.48,1,2,1),(20,5159784,'1971-04-13 00:00:00',2,9,5,2002,'M','N','CENTRO','CAMBORIÚ','SC','624241247137131731433449341333610137047',NULL,'9999',19.96,4,3,NULL),(20,5159792,'1988-11-05 00:00:00',4,6,12,2006,'M','N','CENTRO','BAL CAMBORIÚ','SC','124162241215472431488931574115130464097',5112,'9997',65.85,1,3,NULL),(20,5159806,'1992-09-08 00:00:00',4,4,12,2009,'M','N','SAIC','CHAPECÓ','SC','124241241132141431456932345122610164052',NULL,'169',23.10,1,3,NULL),(20,5159814,'1981-06-24 00:00:00',4,1,12,2000,'M','N','BARREIROS','S JOSÉ','SC','124201206136131451127444345125141766173',NULL,'9998',28.65,1,3,NULL),(20,5159822,'1982-12-16 00:00:00',4,1,12,1999,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241122131731524524385124131332187',NULL,'922',0.00,1,3,NULL),(20,5159830,'1992-07-28 00:00:00',4,1,12,2009,'F','N','CAMBUÍ','CAMPINAS','SP','125252251215111431589931572122610143142',5830,'9998',64.68,1,3,NULL),(20,5159881,'1992-06-06 00:00:00',4,1,12,2010,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242248215111731448823575124610163192',NULL,'270',39.35,1,3,NULL),(20,5159920,'1991-06-27 00:00:00',4,2,11,2009,'M','N','GUABIROTUBA','CURITIBA','PR','116162161217471431465814591114610124092',13759,'9998',46.66,1,3,NULL),(20,5159946,'1991-08-11 00:00:00',4,1,12,2009,'M','N','CENTRO','S JOSÉ','SC','124243241315111431677714275121610137092',NULL,'724',16.23,1,3,NULL),(20,5159954,'1992-09-27 00:00:00',2,1,12,2008,'F','N','RIO GRANDE','PALHOÇA','SC','124241241114132731433923572124232962191',NULL,'592',25.61,1,2,1),(20,5159962,'1991-04-02 00:00:00',4,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124246241211372431468732571122610164092',4732,'1118',68.67,1,3,NULL),(20,5159970,'1989-04-15 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241116142721334544445112610167043',NULL,'306',33.32,1,3,NULL),(20,5159989,'1992-01-05 00:00:00',4,1,12,2008,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125162251215471451558833574122610167047',8822,'9998',58.53,1,3,NULL),(20,5159997,'1979-07-28 00:00:00',1,1,12,1998,'M','N','SANTOS DUMONT','S JOSÉ','SC','224241241121135421326644241334130817037',13882,'73',46.34,1,2,1),(20,5160022,'1992-04-08 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241215111431437821572224610156142',8469,'737',58.92,1,3,NULL),(20,5160030,'1990-06-21 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244246215372431468613575122233247065',NULL,'269',27.47,1,3,NULL),(20,5160049,'1991-10-31 00:00:00',4,1,11,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215472431448623575124610164077',3392,'270',71.69,1,3,NULL),(20,5160103,'1991-12-11 00:00:00',4,2,11,2008,'M','N','CENTRO','BLUMENAU','SC','124244248436271432548712285125610134087',NULL,'9997',19.86,1,3,NULL),(20,5160111,'1992-11-04 00:00:00',4,1,12,2009,'M','N','VILA BELMIRO','SANTOS','SP','125252251217371431459632575122610162192',5684,'9998',64.11,4,3,NULL),(20,5160146,'1992-12-18 00:00:00',4,1,12,2010,'F','S','BELA VISTA','S JOSÉ','SC','124242241117151431369734474124610124142',NULL,'739',54.58,1,3,NULL),(20,5160154,'1986-12-15 00:00:00',2,4,12,2003,'F','N','MONTE PASQUAL','FARROUPILHA','RS','120201201147572731536421284124140465147',10615,'9998',54.63,1,2,1),(20,5160162,'1990-09-16 00:00:00',2,15,12,2007,'F','N','CENTRO','ARARANGUÁ','SC','124243241216372451345939595122130662147',11994,'26',54.38,1,3,NULL),(20,5160170,'1989-06-06 00:00:00',2,1,12,2008,'M','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124242241217272432568813593124130767042',NULL,'270',26.50,1,3,NULL),(20,5160189,'1984-04-14 00:00:00',2,4,12,2001,'F','N','JARDIM ITALIA','CHAPECÓ','SC','124241241216372441433319231125132866142',9667,'9997',55.15,1,3,NULL),(20,5160197,'1985-08-25 00:00:00',4,15,11,2004,'M','N','SANGA DA TOCA','ARARANGUÁ','SC','124241201146131431623634385224610122057',NULL,'30',33.17,1,2,1),(20,5160227,'1991-02-17 00:00:00',4,1,12,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124243241117372741236923595124223265182',NULL,'739',0.00,1,3,NULL),(20,5160235,'1991-09-07 00:00:00',2,2,12,2008,'M','N','SERAFIM','LUIZ ALVES','SC','124241248111262421518833293112230128171',NULL,'855',31.89,1,3,NULL),(20,5160243,'1992-07-30 00:00:00',2,4,12,2009,'F','N','CENTRO','VITORINO','PR','116161161116131731528611592124610123077',NULL,'9997',0.00,4,2,1),(20,5160260,'1990-11-26 00:00:00',2,15,12,2007,'M','N','SÃO LUIS','TIMBÉ SUL','SC','124243241111131121325616351341131424045',NULL,'785',0.00,1,3,NULL),(20,5160286,'1988-10-10 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215575431468934576122133264092',4578,'262',69.36,1,3,NULL),(20,5160359,'1988-07-29 00:00:00',2,10,12,2005,'M','N','CENTRO','PEDRAS GRANDES','SC','124241241127152431433923275114231437062',6342,'608',65.24,1,2,1),(20,5160367,'1990-08-17 00:00:00',4,1,12,2007,'M','N','ALPHAVILLE','CAMPINAS','SP','125252251216571211489914375112610164047',6149,'9998',63.01,1,3,NULL),(20,5160383,'1983-12-17 00:00:00',2,1,12,2001,'F','N','LOT MADRI','PALHOÇA','SC','124241241416473731223544342244131427097',11683,'317',54.97,1,3,NULL),(20,5160391,'1990-12-05 00:00:00',2,8,12,2008,'M','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241121371411426314245124610122172',15395,'484',46.63,1,2,1),(20,5160421,'1992-05-23 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111232356632572114610164047',15655,'1048',42.09,1,3,NULL),(20,5160480,'1989-02-13 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124163161116373431539911285114121744197',9812,'9998',58.53,1,3,NULL),(20,5160499,'1992-10-20 00:00:00',4,8,11,2009,'F','N','CENTRO','CURITIBA','PR','116162161215121431638731575124610125012',NULL,'9998',22.96,1,3,NULL),(20,5160502,'1989-12-27 00:00:00',4,1,12,2008,'M','N','SANTA CRUZ','ÁGUAS MORNAS','SC','124162071217571131438616475112610167113',NULL,'9998',0.00,1,3,NULL),(20,5160510,'1978-09-29 00:00:00',4,1,12,1995,'M','N','CENTRO','PALHOÇA','SC','124242241217154751568831495122520666183',2877,'589',73.91,1,3,NULL),(20,5160529,'1990-04-03 00:00:00',2,1,12,2007,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242248217271431359921472124133237093',NULL,'883',53.02,1,3,NULL),(20,5160537,'1963-10-07 00:00:00',4,1,12,1982,'M','N','PEDRA BRANCA','PALHOÇA','SC','224241248116152411434641415132330262137',NULL,'306',42.91,1,3,NULL),(20,5160553,'1989-06-30 00:00:00',2,1,12,2008,'F','N','BELA VISTA','S JOSÉ','SC','124243247335372731435679395124610114187',NULL,'726',22.44,1,3,NULL),(20,5160561,'1992-01-21 00:00:00',4,3,11,2009,'M','N','SANTA TEREZINHA','BRUSQUE','SC','122224221417151231346923572225610137057',9694,'912',58.74,1,3,NULL),(20,5160570,'1992-05-08 00:00:00',2,1,11,2008,'M','N','KOBRASOL','S JOSÉ','SC','124243241215372431438831572114610147092',3109,'724',73.08,1,3,NULL),(20,5160588,'1986-12-09 00:00:00',4,1,12,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124204201437271751536829295122141037087',NULL,'9998',27.81,1,3,NULL),(20,5160596,'1964-02-26 00:00:00',2,1,4,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224241247116131441522244245122610164045',NULL,'9999',30.43,4,2,1),(20,5160600,'1991-06-20 00:00:00',4,4,12,2008,'F','N','BOM FIM','PTO ALEGRE','RS','120202201217111411358634375124243223072',14010,'9998',46.23,1,3,NULL),(20,5160618,'1989-02-11 00:00:00',2,10,12,2005,'F','N','VILA FLOR','CAPIVARI BAIXO','SC','124241241116373431435619285124610127142',9767,'1034',56.40,2,1,1),(20,5160634,'1991-03-27 00:00:00',4,6,11,2008,'M','N','CENTRO','BLUMENAU','SC','124242241215112411366667575115130826187',8786,'9997',60.37,1,3,NULL),(20,5160642,'1991-02-21 00:00:00',2,1,12,2008,'F','N','CAMPO DUNA','GAROPABA','SC','124241241125272431533614375124610167147',NULL,'1136',42.81,1,2,1),(20,5160669,'1983-11-07 00:00:00',2,1,12,2000,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124162164215131431228941315221241363092',13071,'9998',52.23,1,3,NULL),(20,5160677,'1992-09-24 00:00:00',4,1,12,2009,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241248112371432436514575124610148197',14047,'288',48.33,1,2,1),(20,5160685,'1991-07-06 00:00:00',4,1,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161215471431458912575124610167053',590,'9998',83.90,1,3,NULL),(20,5160693,'1992-03-18 00:00:00',2,4,12,2009,'M','N','INTERIOR','SEARA','SC','124241242115131431323623575324610137057',NULL,'196',26.33,1,2,1),(20,5160715,'1991-04-17 00:00:00',4,1,12,2008,'F','N','BAIRRO ALTO','CURITIBA','PR','116161161115471431546623472124610163077',11726,'9998',51.51,1,2,1),(20,5160774,'1985-09-15 00:00:00',2,1,12,2002,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241116375421443612345124610162147',NULL,'281',30.94,1,3,NULL),(20,5160782,'1991-06-30 00:00:00',2,1,7,2009,'F','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251235131431438838592124610137187',NULL,'9998',0.00,1,3,NULL),(20,5160790,'1988-09-27 00:00:00',2,1,12,2006,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115372421336421144332130261057',NULL,'306',24.21,1,2,1),(20,5160812,'1979-03-20 00:00:00',5,1,12,1979,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241122274421114448285114122222182',16075,'257',43.59,1,3,NULL),(20,5160820,'1992-07-23 00:00:00',4,1,12,2009,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241115131411436723395124610112172',NULL,'281',28.36,1,2,1),(20,5160839,'1980-08-07 00:00:00',2,1,10,1999,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241247336134411353411281323133227097',15311,'9999',46.89,1,3,NULL),(20,5160863,'1987-07-09 00:00:00',3,1,6,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241116131431123314445124610168182',NULL,'9999',22.29,1,2,1),(20,5160871,'1992-03-23 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117152431439823572122610165015',8891,'267',59.62,1,2,1),(20,5160880,'1992-11-12 00:00:00',4,5,11,2009,'M','N','DAS DAMAS','URUSSANGA','SC','124242241215112411449933575112610114192',6066,'820',65.29,1,3,NULL),(20,5160898,'1992-02-07 00:00:00',4,1,12,2009,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241241115371431388933575124610161142',6554,'267',63.13,1,2,1),(20,5160901,'1991-04-13 00:00:00',2,1,11,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201241147272421316671282324610113142',NULL,'288',30.42,1,2,1),(20,5160910,'1993-01-20 00:00:00',2,4,12,2009,'M','N','RURAL','CEL FREITAS','SC','124241241112131732324615272212611447041',NULL,'199',35.84,1,3,NULL),(20,5160936,'1990-01-18 00:00:00',4,6,12,2006,'M','N','CENTRO','NAVEGANTES','SC','124202241211132211436114592115133268157',NULL,'1008',0.00,1,3,NULL),(20,5160952,'1991-05-13 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124252253217272231468814585121610162043',NULL,'9998',49.02,1,3,NULL),(20,5160979,'1987-02-15 00:00:00',4,15,5,2009,'M','N','CENTRO','BAL GAIVOTA','SC','124243241317141431527938395122610137052',NULL,'9999',28.30,1,3,NULL),(20,5160987,'1990-07-08 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115372431559613472114610124112',12059,'267',54.27,1,2,1),(20,5160995,'1990-01-25 00:00:00',2,1,12,2007,'F','N','SAUDADE','BIGUAÇU','SC','124241241116163421543313335124610161142',NULL,'65',35.69,1,2,1),(20,5161002,'1991-10-13 00:00:00',2,1,6,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124161247217371411426579572124610164147',NULL,'9999',41.05,1,3,NULL),(20,5161037,'1991-09-08 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115271431456413445114610122197',NULL,'307',25.88,1,2,1),(20,5161045,'1984-11-22 00:00:00',2,1,9,2001,'F','N','FORQUILHAS','S JOSÉ','SC','224241241115231431223344342114610121187',NULL,'276',26.11,1,3,NULL),(20,5161061,'1992-08-11 00:00:00',2,1,12,2009,'M','N','RIO GRANDE','PALHOÇA','SC','124241241115271731428653575124610124142',13792,'592',47.59,1,2,1),(20,5161070,'1989-04-21 00:00:00',4,1,12,2009,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241112131411416411412124610114142',NULL,'257',10.28,1,2,1),(20,5161088,'1993-01-09 00:00:00',4,1,12,2009,'F','N','CENTRO','IRANI','SC','124241241136471431456914332122610127147',NULL,'379',0.00,1,2,1),(20,5161118,'1992-04-13 00:00:00',2,4,12,2008,'M','N','POVOADO DEBONI','S VALENTIM','RS','120201208217271431536419592124141424047',8151,'9998',61.56,1,3,NULL),(20,5161134,'1992-12-14 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241115371732216514275124610133145',NULL,'307',25.58,1,3,NULL),(20,5161142,'1991-08-19 00:00:00',4,5,11,2008,'M','N','MINA BRASIL','CRICIÚMA','SC','124241241215272431568831415132610137041',14336,'213',49.64,1,3,NULL),(20,5161150,'1991-06-29 00:00:00',4,1,12,2008,'M','N','SUDOESTE','CRUZEIRO','DF','107072071215371741389823575112610162093',NULL,'9998',0.00,1,3,NULL),(20,5161177,'1988-02-28 00:00:00',4,9,12,2006,'F','N','FREI ROGÉRIO','LAGES','SC','124242241211575431437928571112610164097',14743,'497',47.41,1,3,NULL),(20,5161185,'1991-07-02 00:00:00',4,1,12,2008,'F','N','JARDIM ESPLANADA','S JOSÉ CAMPOS','SP','125252251215421431448813435122610166142',3081,'9998',71.23,1,3,NULL),(20,5161207,'1991-11-05 00:00:00',2,9,12,2009,'M','N','CENTRO','LAGES','SC','124244241217131431349614392121610134054',15062,'515',47.68,1,3,NULL),(20,5161215,'1990-07-14 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124212211215273411348723111114122367111',7213,'9998',60.21,1,3,NULL),(20,5161231,'1988-10-04 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241417132431467833375124222937097',5770,'267',66.54,1,3,NULL),(20,5161258,'1990-06-23 00:00:00',2,1,12,2007,'F','N','MARIA GORETTI','BENTO GONÇALVES','RS','120202201217133431438611575124241544077',15145,'9998',47.43,1,3,NULL),(20,5161266,'1984-03-15 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241146375231446636395124231025147',NULL,'127',23.91,1,2,1),(20,5161274,'1989-07-16 00:00:00',2,1,12,2009,'F','N','BOM RETIRO','CURITIBA','PR','116164167421151751348812575122610163147',NULL,'9998',0.00,1,3,NULL),(20,5161304,'1991-06-25 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431223721572115613266072',8435,'270',59.43,4,3,NULL),(20,5161312,'1992-06-14 00:00:00',4,2,10,2009,'F','N','CENTRO','POMERODE','SC','124244241235112331678914592122610114072',9780,'909',56.42,1,3,NULL),(20,5161320,'1992-07-09 00:00:00',4,15,11,2009,'M','N','CENTRO','SOMBRIO','SC','124242241215112441457832574112610167047',2703,'770',73.96,1,3,NULL),(20,5161339,'1992-03-10 00:00:00',4,8,12,2009,'M','N','SAGUAÇU','JOINVILLE','SC','124244241245121441449814375124610144092',5011,'1016',67.53,1,3,NULL),(20,5161355,'1991-10-15 00:00:00',4,1,12,2009,'F','N','VILA RESENDE','PIRACICABA','SP','125252254117151431358831575124610164092',NULL,'9998',0.00,1,3,NULL),(20,5161363,'1992-09-10 00:00:00',2,1,12,2009,'M','N','CENTRO','CURITIBA','PR','116154164437111431453416175124610167097',NULL,'9998',50.81,1,3,NULL),(20,5161371,'1992-06-08 00:00:00',4,10,12,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215112431469911575122610127077',5842,'806',66.36,1,3,NULL),(20,5161398,'1988-07-02 00:00:00',4,1,12,2005,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241214273431368612372122221461092',2754,'270',73.38,1,3,NULL),(20,5161401,'1990-10-01 00:00:00',4,8,12,2008,'F','N','JARDIM MONTESANO','ITAPECERICA SERRA','SP','125251251116472431523534441124610134042',NULL,'9998',30.56,1,2,1),(20,5161410,'1992-09-19 00:00:00',4,2,12,2009,'M','N','CENTRO','TAIÓ','SC','124241241116131431244923585125610114087',13592,'777',46.82,1,2,1),(20,5161444,'1993-01-18 00:00:00',4,3,12,2009,'M','N','TABULEIRO','ITAPEMA','SC','124241241117131432427679175122610138047',6327,'406',62.69,1,2,1),(20,5161452,'1986-06-14 00:00:00',4,1,12,2005,'M','N','PETROPOLIS','PTO ALEGRE','RS','120202207217371431238823595145142063134',NULL,'9998',0.00,4,3,NULL),(20,5161487,'1991-05-14 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124243247417141431447923345124610166012',NULL,'9999',16.32,1,3,NULL),(20,5161509,'1991-10-06 00:00:00',2,1,12,2008,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241115132431436314372124610132142',NULL,'591',23.77,1,2,1),(20,5161525,'1990-05-23 00:00:00',2,1,12,2009,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241247336142751523314445124610128182',NULL,'9999',23.28,1,3,NULL),(20,5161541,'1982-02-08 00:00:00',2,1,12,1999,'M','N','ESTREITO','FLORIANÓPOLIS','SC','624203201316374421334444445122133232112',11263,'9998',55.78,1,3,NULL),(20,5161576,'1992-09-29 00:00:00',2,7,12,2009,'F','N','BAIA ALTA','PTE SERRADA','SC','124244241115271311423321571224613238142',NULL,'629',0.00,1,3,NULL),(20,5161584,'1990-01-14 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215573431589913571124230227153',2669,'270',74.51,1,3,NULL),(20,5161606,'1989-08-03 00:00:00',3,1,12,2006,'F','N','CHÁC DOS PINHEIROS','BOTUCATU','SP','125254251215471411448711571112610163027',NULL,'9998',0.00,1,3,NULL),(20,5161614,'1992-03-30 00:00:00',4,3,10,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242248217121331489911415112610136112',NULL,'9997',0.00,1,3,NULL),(20,5161657,'1989-04-20 00:00:00',2,1,12,2006,'M','N','CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC','124134241217132431528834243121233267041',NULL,'266',0.00,1,3,NULL),(20,5161665,'1983-09-25 00:00:00',4,8,12,2000,'M','N','VILA NOVA','JOINVILLE','SC','124251251135571421135543335124341363027',NULL,'9998',0.00,1,2,1),(20,5161673,'1987-08-12 00:00:00',2,1,12,2004,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124251254117271441236672475124141323092',16185,'9998',42.70,4,1,1),(20,5161681,'1988-08-16 00:00:00',4,8,12,2005,'M','N','BIGORRILHO','CURITIBA','PR','116161161315571441569614575114610162052',1299,'9998',77.72,1,3,NULL),(20,5161690,'1992-05-13 00:00:00',4,1,12,2009,'F','N','CENTRO','BIGUAÇU','SC','124242241211111431457533571122610121192',NULL,'63',22.79,1,3,NULL),(20,5161703,'1986-01-29 00:00:00',4,1,12,2003,'F','N','FAZENDA S ANTONIO','S JOSÉ','SC','124241241126233731126614241124130213147',NULL,'9997',14.70,1,2,1),(20,5161711,'1982-09-26 00:00:00',4,1,12,1999,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243241217373411334321345124121164182',11400,'300',55.52,1,3,NULL),(20,5161720,'1993-07-06 00:00:00',4,1,12,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241115151431334339572122610134057',9351,'733',57.46,1,2,1),(20,5161738,'1992-07-24 00:00:00',2,6,12,2009,'M','N','SOUZA CRUZ','BRUSQUE','SC','124242241215211711446611292122610168017',NULL,'981',26.80,1,3,NULL),(20,5161746,'1993-06-04 00:00:00',4,5,11,2009,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215121411368711595112610137047',14450,'213',49.38,1,3,NULL),(20,5161754,'1989-02-12 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241217575431536923195121231467045',8563,'880',58.68,1,3,NULL),(20,5161762,'1988-05-03 00:00:00',2,1,12,2003,'M','N','FORQUILHAS','S JOSÉ','SC','124241248112272721563312172122230267041',15451,'727',46.46,1,2,1),(20,5161789,'1990-02-03 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373411348831272124610124147',2753,'1048',73.70,1,3,NULL),(20,5161797,'1990-05-30 00:00:00',4,8,12,2008,'M','N','FLORESTA','JOINVILLE','SC','124242241215472431329821592241133267093',8454,'931',59.95,1,3,NULL),(20,5161800,'1980-09-29 00:00:00',4,1,12,1999,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','524243243136134441348651245124610147047',15152,'303',47.41,4,3,NULL),(20,5161819,'1990-06-10 00:00:00',4,1,12,2007,'F','N','CENTRO','PIRAJUÍ','SP','125251251216471431325622572122610126072',NULL,'9998',0.00,1,3,NULL),(20,5161835,'1992-07-16 00:00:00',2,1,12,2008,'F','N','FLORES','MANAUS','AM','104042251216371431577919575122610134012',NULL,'9998',0.00,1,3,NULL),(20,5161843,'1991-03-31 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202201216372411558731145125610147077',13556,'9998',47.66,1,3,NULL),(20,5161851,'1987-04-08 00:00:00',4,1,12,2005,'M','N','PARQUE DOS PRINCIPES','S PAULO','SP','125252257216271431456821385122143267047',NULL,'9998',0.00,1,3,NULL),(20,5161860,'1988-09-22 00:00:00',2,5,12,2006,'M','N','CENTRO','BRAÇO NORTE','SC','124242241217574431478911575124231467057',15850,'807',44.85,1,3,NULL),(20,5161878,'1989-02-02 00:00:00',2,1,12,2006,'M','N','CIDADE JULIA','S PAULO','SP','125131131122471431323371472124610126047',NULL,'9998',0.00,4,2,1),(20,5161894,'1992-04-26 00:00:00',2,9,12,2009,'M','N','BRUSQUE','LAGES','SC','124242241215111431377934575122610147062',7780,'499',62.28,1,3,NULL),(20,5161908,'1991-09-09 00:00:00',4,1,12,2008,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124242241216212411238621472124231024072',10409,'1022',57.40,1,3,NULL),(20,5161916,'1991-12-28 00:00:00',2,1,12,2009,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241125211731635623385124610167042',14555,'772',47.63,1,2,1),(20,5161924,'1989-02-28 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241311132411238354242124610125043',NULL,'292',0.00,1,3,NULL),(20,5161932,'1992-12-29 00:00:00',4,9,12,2009,'F','N','FRÉI ROGÉRIO','LAGES','SC','124242241215121432434659595112610138187',NULL,'9997',22.75,1,3,NULL),(20,5161940,'1993-05-28 00:00:00',4,2,10,2010,'F','S','VELHA','BLUMENAU','SC','124242241215411431468911375122610132092',NULL,'909',46.48,1,3,NULL),(20,5161959,'1991-10-31 00:00:00',2,1,12,2008,'F','N','CENTRO','CPO BOM','RS','120202201217471431246724575124610132147',NULL,'9998',0.00,1,3,NULL),(20,5161967,'1989-02-20 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241117574731589813472122230227041',NULL,'271',0.00,1,3,NULL),(20,5161975,'1991-09-28 00:00:00',2,1,12,2008,'M','N','CENTRO','RIBEIRÃO PINHAL','PR','116164161215471431436813271124610127097',NULL,'9998',0.00,1,3,NULL),(20,5161983,'1994-02-20 00:00:00',4,7,12,2010,'F','S','ALVORADA','VIDEIRA','SC','124242241215111711446632595122610132182',NULL,'829',49.60,1,3,NULL),(20,5161991,'1992-07-03 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124074241315112431458613575122610133147',9059,'1134',58.05,1,3,NULL),(20,5162009,'1993-07-07 00:00:00',4,5,11,2009,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215152411379933471122610138181',NULL,'213',27.41,1,3,NULL),(20,5162017,'1991-12-28 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIÚMA','SC','124202201217272432567818575112610147042',10623,'9998',56.55,1,3,NULL),(20,5162025,'1991-03-14 00:00:00',2,4,12,2008,'F','N','NOVO PARANÁ','LUÍS E MAGALHÃES','BA','105051051127271431436516372124610125142',NULL,'9998',0.00,1,2,1),(20,5162033,'1992-09-28 00:00:00',2,8,12,2009,'F','N','ALTO DE MAFRA','MAFRA','SC','124241241215111731433932345122610123187',NULL,'541',21.68,1,3,NULL),(20,5162041,'1990-08-20 00:00:00',2,15,11,2007,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120242241216573431366811595114132463092',3485,'32',70.27,1,3,NULL),(20,5162050,'1992-07-24 00:00:00',2,2,12,2009,'M','N','SANTA RITA','BRUSQUE','SC','124242241237271431438613582212610114141',4928,'1123',66.23,1,3,NULL),(20,5162068,'1992-08-27 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431357813572122610136187',NULL,'270',26.34,1,3,NULL),(20,5162076,'1989-01-18 00:00:00',2,15,12,2006,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','224243241116271731225544345333610137077',NULL,'29',14.05,1,3,NULL),(20,5162084,'1992-08-19 00:00:00',4,7,12,2009,'M','N','CENTRO','CONCÓRDIA','SC','124243246235121351547839195122610114092',NULL,'1001',21.94,1,3,NULL),(20,5162092,'1990-09-16 00:00:00',4,5,11,2007,'M','N','CENTRO','CRICIÚMA','SC','624202201215572431557819495122140737042',7030,'9998',62.33,1,3,NULL),(20,5162106,'1992-05-09 00:00:00',2,1,10,2009,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241215112412453832575114610114142',12953,'270',52.46,1,3,NULL),(20,5162122,'1986-11-26 00:00:00',2,15,12,2003,'M','N','ALTO FELIZ','ARARANGUÁ','SC','124241241111112431339611345132231427052',NULL,'30',39.43,1,2,1),(20,5162130,'1984-08-21 00:00:00',2,1,12,2001,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','224242241216473422248844445132321567012',4328,'270',69.95,1,3,NULL),(20,5162149,'1990-07-14 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241235133431559914175124122327072',9381,'1098',59.30,1,3,NULL),(20,5162157,'1990-05-03 00:00:00',4,8,12,2007,'F','N','BOA VISTA','JOINVILLE','SC','124242246215472431466312475114610125147',13031,'1105',52.31,1,3,NULL),(20,5162165,'1989-01-06 00:00:00',4,1,12,2006,'M','N','CENTRO','BANDEIRANTES','PR','116162161217471411456833195123143267031',NULL,'9998',0.00,1,3,NULL),(20,5162173,'1992-12-30 00:00:00',4,1,10,2009,'M','N','CORONEL ANTONINO','CPO GRANDE','MS','125122251236221411483632195122610164082',5824,'9998',64.93,1,3,NULL),(20,5162181,'1988-12-12 00:00:00',2,1,12,2007,'F','N','GENTIL SANDIM','S JOSÉ','SC','124242241216134431336924342134131023142',NULL,'1098',41.11,1,3,NULL),(20,5162190,'1991-07-13 00:00:00',2,1,6,2009,'F','N','BARREIROS','S JOSÉ','SC','124244244215131441435312391122610168142',NULL,'1036',21.08,2,1,2),(20,5162203,'1993-05-23 00:00:00',4,1,12,2009,'F','N','APARECIDA','FREDERICO WESTPHALEN','RS','120201201116131431537813295125610124117',NULL,'9998',0.00,1,2,1),(20,5162211,'1963-09-08 00:00:00',2,1,12,1982,'M','N','CENTRO','FLORIANÓPOLIS','SC','124212218137151411186843235122343262183',NULL,'9998',0.00,1,3,NULL),(20,5162238,'1992-09-20 00:00:00',4,1,12,2009,'M','N','VILA FEPASA','APIAÍ','SP','125251251117161431436612575122610138177',NULL,'9998',25.87,1,2,1),(20,5162246,'1988-11-27 00:00:00',4,6,12,2006,'M','N','CORDEIROS','ITAJAÍ','SC','124244241215572331366613572114133144096',4193,'1058',69.67,1,3,NULL),(20,5162254,'1992-04-11 00:00:00',2,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241216141231553412195122610168092',9810,'20',55.39,1,3,NULL),(20,5162262,'1990-01-15 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161215572431259933575122610162077',5536,'9998',67.03,1,3,NULL),(20,5162270,'1992-01-02 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','105052051217111431379914572122610167142',4878,'9998',66.67,1,3,NULL),(20,5162289,'1991-02-07 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241241137371411346513275124610122042',8309,'307',59.85,1,2,1),(20,5162297,'1991-07-31 00:00:00',2,1,12,2008,'F','N','REAL PARQUE','S JOSÉ','SC','124241241117231731334339242124610114142',NULL,'734',13.17,1,2,1),(20,5162300,'1992-12-02 00:00:00',2,1,11,2010,'M','S','SANTA FELICIDADE','CURITIBA','PR','116162161217131231479831272122610124017',NULL,'9998',45.00,1,3,NULL),(20,5162319,'1992-07-22 00:00:00',2,8,11,2009,'F','N','CENTRO','S BENTO SUL','SC','124242241212131431314421582224610137017',NULL,'1073',0.00,4,3,NULL),(20,5162327,'1988-04-17 00:00:00',2,1,12,2006,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241317152441648611372114142762191',NULL,'274',26.02,1,3,NULL),(20,5162335,'1992-06-16 00:00:00',4,10,12,2009,'F','N','NOVA BRASÍLIA','IMBITUBA','SC','124241241115131731526531572222610162072',NULL,'359',29.37,2,1,1),(20,5162351,'1989-04-16 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215274431338829492112610123185',11336,'266',55.63,1,3,NULL),(20,5162360,'1991-10-10 00:00:00',2,1,11,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241112371731428429296324610166173',10916,'1035',53.07,1,3,NULL),(20,5162378,'1992-09-01 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241216131731335631575122610165197',NULL,'738',24.93,1,3,NULL),(20,5162386,'1988-08-18 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241211272431489833471112610117122',NULL,'9997',25.84,1,3,NULL),(20,5162394,'1990-03-28 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124093091215573431366722575121143236122',6160,'9998',63.26,1,3,NULL),(20,5162408,'1981-09-12 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216445221347711375112221415015',NULL,'262',22.02,1,3,NULL),(20,5162416,'1992-06-22 00:00:00',4,6,12,2009,'F','N','SÃO JOÃO','ITAJAÍ','SC','124162241416471431356916275112610144182',4739,'1172',67.30,1,3,NULL),(20,5162424,'1990-12-17 00:00:00',4,1,11,2007,'F','N','CABRAL','CURITIBA','PR','116162161217571731387823575122610162143',NULL,'9998',0.00,1,3,NULL),(20,5162432,'1992-05-28 00:00:00',4,1,12,2009,'F','N','NOVA BELEM','PAULO LOPES','SC','124241244126131431333833575124610113143',NULL,'607',23.24,1,3,NULL),(20,5162459,'1990-02-27 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217153441449813495124220266047',3955,'226',70.97,1,3,NULL),(20,5162467,'1968-11-25 00:00:00',2,1,12,1999,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','224243247347372712323353172124610128187',13637,'9999',47.58,1,3,NULL),(20,5162483,'1991-01-23 00:00:00',4,8,9,2009,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241235371731569914575122610162145',6575,'1063',63.36,1,3,NULL),(20,5162491,'1992-04-15 00:00:00',4,2,12,2009,'F','N','CENTRO','BRUSQUE','SC','124242241215271431554412372122610137147',6461,'107',63.67,1,3,NULL),(20,5162513,'1992-07-24 00:00:00',2,1,12,2009,'F','N','JARDIM SÃO FRANCISCO','STA BÁRBARA D OESTE','SP','125252251217471421546821275122610166057',NULL,'9998',0.00,1,3,NULL),(20,5162521,'1991-11-25 00:00:00',4,3,12,2009,'M','N','CENTRO','PTO BELO','SC','124242241215113441439931275124610127092',NULL,'1119',26.34,1,3,NULL),(20,5162530,'1990-04-14 00:00:00',4,1,7,2008,'M','N','EXPOSIÇÃO','CAXIAS SUL','RS','120282281411471411477812581125610167057',1608,'9998',76.18,1,3,NULL),(20,5162548,'1992-01-31 00:00:00',4,3,12,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116252168216421751588814575122610134117',12907,'9998',50.73,1,3,NULL),(20,5162572,'1989-07-17 00:00:00',4,1,12,2007,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252256217471432568839372112610167047',NULL,'9998',0.00,1,3,NULL),(20,5162599,'1992-11-05 00:00:00',4,1,12,2009,'M','N','SUMARE','RIO SUL','SC','124241242115111731445534275224610147051',12003,'662',54.36,1,3,NULL),(20,5162602,'1990-12-06 00:00:00',4,1,1,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247217372431258619575114610124182',NULL,'9999',0.00,1,3,NULL),(20,5162610,'1990-01-09 00:00:00',4,1,12,2007,'M','N','ACLIMAÇÃO','S PAULO','SP','125252251217571431448831571122610117062',NULL,'9998',0.00,1,3,NULL),(20,5162629,'1982-09-11 00:00:00',4,1,12,2000,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242248116373431369813474124333236187',11738,'306',54.86,1,3,NULL),(20,5162637,'1989-10-24 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241347372431627669385124610137147',NULL,'95',39.79,1,3,NULL),(20,5162645,'1983-07-04 00:00:00',2,1,12,2000,'F','N','RIO GRANDE','PALHOÇA','SC','124241241126375411343923345234330234097',14177,'592',45.20,1,2,1),(20,5162653,'1992-07-01 00:00:00',2,4,12,2009,'M','N','BEIRA RIO','ABELARDO LUZ','SC','124241241115371431546879592325610127017',NULL,'4',20.31,1,2,1),(20,5162661,'1992-01-13 00:00:00',4,1,12,2009,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124244241215111431433611575124610126042',NULL,'63',0.00,1,3,NULL),(20,5162670,'1989-07-11 00:00:00',2,1,12,2007,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241116272431328627275124610124057',9854,'306',58.44,1,3,NULL),(20,5162696,'1993-05-25 00:00:00',4,8,12,2010,'M','S','ATIRADORES','JOINVILLE','SC','124242241217111431479813372122610122182',NULL,'1063',64.21,1,3,NULL),(20,5162700,'1989-01-15 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241337161331333612385124132128121',NULL,'9997',20.69,1,3,NULL),(20,5162718,'1992-10-30 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242247215112421478813475124610127062',2535,'270',74.82,1,3,NULL),(20,5162726,'1992-02-18 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124202241215131431236623435121610127117',10968,'1049',54.95,1,3,NULL),(20,5162734,'1987-05-20 00:00:00',4,8,12,2004,'M','N','BOQUEIRAO','CURITIBA','PR','116162161212514431488612571122610162182',2630,'9998',74.64,3,3,NULL),(20,5162742,'1988-09-15 00:00:00',4,1,11,2005,'F','N','NOVO MUNDO','CURITIBA','PR','116163161213471451438674173324141068187',NULL,'9998',0.00,1,3,NULL),(20,5162769,'1989-08-05 00:00:00',2,3,12,2007,'F','N','SHANGRILÁ A','LONDRINA','PR','116163161417571411554832271122610141097',5234,'9998',65.79,1,3,NULL),(20,5162777,'1986-06-23 00:00:00',4,1,12,2005,'F','N','CONSOLAÇÃO','S PAULO','SP','125253251217141751225771381224610122142',NULL,'9998',47.77,1,3,NULL),(20,5162793,'1985-07-17 00:00:00',4,17,12,2001,'F','N','BIGORRILHO','CURITIBA','PR','116244161416571731357831575124343228187',13746,'9998',50.84,1,3,NULL),(20,5162807,'1990-07-20 00:00:00',4,1,12,2007,'F','N','JARDIM ITÚ SABARÁ','PTO ALEGRE','RS','120202201117571431536629572124610162097',11149,'9998',53.49,1,3,NULL),(20,5162815,'1973-12-05 00:00:00',4,1,12,1999,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','224124121212131421327743432124233267187',11853,'9998',54.66,4,3,NULL),(20,5162831,'1983-04-29 00:00:00',4,1,12,2000,'M','N','SAO CRISTOVAO','CRICIÚMA','SC','124242241217132411146942225132130767187',13848,'226',50.66,1,3,NULL),(20,5162840,'1989-03-06 00:00:00',2,1,12,2009,'F','N','CENTRO','QUERÊNCIA NORTE','PR','116161161116161411423312125123610154142',NULL,'9998',23.88,4,2,1),(20,5162866,'1987-04-09 00:00:00',2,17,12,2004,'M','N','CAMPO DA LANÇA','MAFRA','SC','124241241216371711646732445123140617182',NULL,'541',0.00,1,3,NULL),(20,5162874,'1992-04-08 00:00:00',4,1,12,2008,'F','N','BUENO','GOIÂNIA','GO','109094091215411711578631575122610166097',NULL,'9998',0.00,1,3,NULL),(20,5162882,'1993-05-08 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111311439814572122610142097',NULL,'270',23.61,1,3,NULL),(20,5162890,'1991-11-14 00:00:00',2,7,12,2009,'M','N','PARIZOTTO','CAPINZAL','SC','124241241215151411346634375124610146187',NULL,'155',0.00,1,3,NULL),(20,5162904,'1992-04-02 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117151431249823575124610168112',NULL,'267',30.71,1,2,1),(20,5162912,'1991-01-20 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124242241415131431457614286122610131152',NULL,'976',23.79,4,3,NULL),(20,5162920,'1992-07-04 00:00:00',4,1,11,2009,'F','N','JARDIM GIOCONDO ORSI','CPO GRANDE','MS','112122121215371431467911574122610133142',6780,'9998',60.85,1,3,NULL),(20,5162939,'1954-04-20 00:00:00',2,1,11,1985,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224201247146154721441159295124120548053',NULL,'9999',26.93,1,2,1),(20,5162947,'1991-12-17 00:00:00',4,3,12,2009,'M','N','SÃO FRANCISCO','S SEBASTIÃO','SP','125251251116131431423319375124610122097',NULL,'9998',0.00,1,2,1),(20,5162955,'1990-11-06 00:00:00',2,1,12,2008,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241215372431489352245114610137052',NULL,'1022',24.57,1,3,NULL),(20,5162971,'1990-07-16 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243248215273431347612345134610132042',15120,'270',47.50,3,3,NULL),(20,5162980,'1992-09-03 00:00:00',4,6,11,2009,'M','N','MONTE LIBANO','CPO GRANDE','MS','112122121217111531486839584122610168112',NULL,'9998',0.00,1,3,NULL),(20,5162998,'1991-08-02 00:00:00',2,1,12,2009,'M','N','BALNEARIO ESTREITO','FLORIANÓPOLIS','SC','124241248135271411333419395124610127047',NULL,'257',23.50,4,2,1),(20,5163005,'1988-05-08 00:00:00',2,1,12,2006,'M','N','SANTA MOCICA','FLORIANÓPOLIS','SC','124241241347241421676612415122131467042',NULL,'578',11.36,1,3,NULL),(20,5163013,'1991-11-14 00:00:00',4,5,12,2008,'F','N','FIGUEIRA','JACINTO MACHADO','SC','124241242116131431538923385122610166077',NULL,'690',45.21,1,2,1),(20,5163021,'1991-03-06 00:00:00',2,8,12,2008,'F','N','UBERABA','CURITIBA','PR','116161161211471411453923572114610166187',1717,'9998',77.97,4,1,2),(20,5163030,'1992-03-30 00:00:00',2,3,12,2009,'M','N','MONTE ALEGRE','CAMBORIÚ','SC','124241241116271431526631172121610122012',12796,'131',48.36,1,2,1),(20,5163048,'1989-07-14 00:00:00',2,1,12,2007,'F','N','CENTRO','S BENTO SUL','SC','124241241316131531449614575122231227182',NULL,'697',22.81,1,3,NULL),(20,5163056,'1992-09-04 00:00:00',4,1,12,2009,'M','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124242241217112431589913575124610137112',13026,'270',52.32,1,3,NULL),(20,5163064,'1992-01-13 00:00:00',4,1,11,2009,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124244241215152531468823575122610124054',2393,'262',74.83,1,3,NULL),(20,5163072,'1992-03-25 00:00:00',4,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241125141311425521395324610113072',NULL,'290',21.17,2,2,1),(20,5163080,'1988-02-09 00:00:00',2,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241247227141531524129242124610167047',NULL,'9999',0.00,2,1,2),(20,5163102,'1989-09-28 00:00:00',2,10,11,2007,'F','N','VILA FLOR','CAPIVARI BAIXO','SC','124241241235373451367613575122610168077',NULL,'807',0.00,1,3,NULL),(20,5163110,'1991-06-16 00:00:00',2,9,12,2007,'F','N','FUNDO CANOAS','RIO SUL','SC','124241241145572431559513235124610127057',NULL,'900',20.94,4,2,1),(20,5163129,'1992-03-09 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241125131731223329281324610116052',16070,'307',43.62,4,2,1),(20,5163137,'1990-01-17 00:00:00',2,8,11,2006,'F','N','CENTRO','ARAUCÁRIA','PR','116162161215572431436632591125610166182',NULL,'9998',0.00,1,3,NULL),(20,5163145,'1988-02-07 00:00:00',2,1,11,2005,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241137271721124641215124133264092',NULL,'727',17.55,1,2,1),(20,5163153,'1992-08-09 00:00:00',4,2,12,2009,'F','N','SETE DE SETEMBRO','GASPAR','SC','124242241215121431478811575122610137052',NULL,'855',0.00,1,3,NULL),(20,5163161,'1992-05-25 00:00:00',4,16,12,2009,'M','N','BOSQUE','CURITIBANOS','SC','124242241215121431536819272122610122142',NULL,'881',26.06,1,3,NULL),(20,5163170,'1990-07-11 00:00:00',2,1,12,2007,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241112272431326314372124610127017',13823,'281',50.71,4,2,1),(20,5163188,'1993-07-21 00:00:00',2,1,12,2010,'F','S','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124243241215111431543632174122610122072',NULL,'1014',24.56,1,3,NULL),(20,5163200,'1987-02-09 00:00:00',2,1,12,2007,'F','N','ROÇADO','S JOSÉ','SC','124201201126271421121244342234610138187',NULL,'9998',0.00,1,2,1),(20,5163218,'1992-03-05 00:00:00',4,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124243241215141431437611395122610131147',14936,'1119',45.67,1,3,NULL),(20,5163234,'1990-08-02 00:00:00',2,3,12,2008,'M','N','ZONA SETE','MARINGÁ','PR','122221221137272411544531392215610141092',13695,'9998',46.67,1,3,NULL),(20,5163250,'1989-01-18 00:00:00',2,1,12,2008,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124241247312371231436633345124610127047',NULL,'9999',40.16,1,3,NULL),(20,5163269,'1990-08-22 00:00:00',2,10,12,2007,'F','N','SANTA CECÍLIA','PTO ALEGRE','RS','120201201116571431446611572124610137147',NULL,'9998',35.61,1,3,NULL),(20,5163277,'1991-01-23 00:00:00',4,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241127151431468832245122610147052',NULL,'592',0.00,1,3,NULL),(20,5163285,'1989-05-31 00:00:00',4,8,12,2006,'M','N','BOA VISTA','JOINVILLE','SC','124244246217142431546812245122233237091',NULL,'494',33.83,1,3,NULL),(20,5163307,'1992-06-27 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215151611478832245114610132172',NULL,'1048',29.35,1,3,NULL),(20,5163315,'1991-05-09 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211572422378812475114610156063',9805,'270',55.25,4,3,NULL),(20,5163323,'1978-01-21 00:00:00',4,8,12,1994,'F','N','IRIRIÚ','JOINVILLE','SC','124244241126151441466314441124432266092',NULL,'470',0.00,1,3,NULL),(20,5163331,'1990-04-25 00:00:00',2,1,12,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241337132431336319315122610117042',NULL,'12',28.19,1,3,NULL),(20,5163340,'1984-04-07 00:00:00',4,5,12,2002,'M','N','BELA VIERA','PTO ALEGRE','RS','120202201211571751289811571112141062182',NULL,'9998',0.00,1,3,NULL),(20,5163358,'1991-10-22 00:00:00',4,1,12,2008,'M','N','MENINO DEUS','PTO ALEGRE','RS','120202201216271531478713585122611467092',NULL,'270',25.89,4,3,NULL),(20,5163366,'1988-03-20 00:00:00',2,1,12,2005,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241115272431224621442114610124042',9043,'64',58.58,1,2,1),(20,5163382,'1992-06-29 00:00:00',4,8,12,2009,'F','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124241241217151731439624395124610126023',6670,'1061',62.87,1,3,NULL),(20,5163390,'1989-01-17 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215372431489934575112220764015',NULL,'270',NULL,1,3,NULL),(20,5163404,'1992-01-24 00:00:00',2,4,12,2009,'F','N','CENTRO','IPUAÇU','SC','120241202116161431526614585125610117052',NULL,'9998',25.64,1,2,1),(20,5163412,'1990-02-06 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241216475431666613575124133232197',11444,'1022',55.45,4,3,NULL),(20,5163439,'1992-12-12 00:00:00',2,1,12,2009,'M','N','CENTRO','CIANORTE','PR','116164161436571431238679345122610122052',3271,'9998',71.99,4,3,NULL),(20,5163455,'1992-11-13 00:00:00',4,6,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241126131431535634575121610127047',NULL,'405',24.65,1,2,1),(20,5163463,'1990-06-09 00:00:00',4,8,11,2007,'M','N','DALBERGIA','DALBÉRGIA','SC','124244246217112131435432275122231416173',NULL,'1013',24.63,1,3,NULL),(20,5163480,'1988-08-23 00:00:00',2,2,12,2005,'M','N','DOM JOAQUIM','BRUSQUE','SC','124241241136161432436414245113233238097',NULL,'114',42.51,1,2,1),(20,5163498,'1980-05-02 00:00:00',2,5,12,1997,'F','N','CENTRO','CRICIÚMA','SC','624243245127131421223449292222132828192',NULL,'209',28.71,2,1,2),(20,5163501,'1993-04-02 00:00:00',4,4,12,2010,'F','S','CENTRO','ITAPIRANGA','SC','124241241235111731458737275125610122092',NULL,'1060',47.52,1,3,NULL),(20,5163528,'1988-05-02 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241132273721424644342324610124142',NULL,'283',22.16,1,2,1),(20,5163536,'1989-04-02 00:00:00',2,1,12,2006,'F','N','ALTO ARIRIÚ','PALHOÇA','SC','124243241215372431326321412124610167147',11899,'1036',54.56,1,3,NULL),(20,5163544,'1992-08-25 00:00:00',4,1,12,2009,'F','N','CENTRO','S LUIZ GONZAGA','RS','120201201117271431434316572122610134012',NULL,'9998',23.20,1,2,1),(20,5163560,'1985-03-30 00:00:00',4,1,12,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241125131431215578382124610166112',NULL,'289',19.76,4,3,NULL),(20,5163587,'1992-06-12 00:00:00',4,5,10,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215121431436724271112610168147',6128,'226',64.47,1,3,NULL),(20,5163595,'1993-09-09 00:00:00',4,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215122431346723575114610146042',1465,'723',79.01,1,3,NULL),(20,5163609,'1991-12-28 00:00:00',4,4,10,2008,'M','N','CENTRO','PTO ALEGRE','RS','120202201237471431267833572114610127047',3260,'9998',71.55,1,3,NULL),(20,5163617,'1991-11-07 00:00:00',4,1,12,2008,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124243241212272421533312342124610167052',NULL,'1048',30.48,4,3,NULL),(20,5163625,'1991-10-21 00:00:00',4,1,12,2008,'M','N','JARDIM BOA VISTA','CAIEIRAS','SP','125252251216472411546679585114610164072',NULL,'9998',0.00,1,3,NULL),(20,5163641,'1992-12-08 00:00:00',2,2,12,2009,'F','N','FORTALEZA','BLUMENAU','SC','124241241217111431336639595124610163142',NULL,'88',24.56,1,3,NULL),(20,5163650,'1989-07-04 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241415373341345614381224610124037',NULL,'977',31.20,1,3,NULL),(20,5163668,'1991-11-06 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241116471711423613575124610113012',NULL,'298',24.93,4,1,2),(20,5163692,'1989-10-31 00:00:00',4,8,11,2006,'M','N','CENTRO','TROMBUDO CENTRAL','SC','124244241217151431568613175125231424052',8817,'654',60.32,1,3,NULL),(20,5163714,'1990-03-14 00:00:00',4,8,12,2007,'M','N','CENTRO','GUARAMIRIM','SC','124242246217152431465412345132231464012',NULL,'1105',0.00,1,3,NULL),(20,5163722,'1993-04-13 00:00:00',4,2,12,2010,'M','S','ESCOLA AGRÍCOLA','BLUMENAU','SC','124244241417111431467933172122610138047',NULL,'909',67.41,1,3,NULL),(20,5163730,'1992-04-11 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONÇEIÇÃO','FLORIANÓPOLIS','SC','124244241231111711448852285124610117047',NULL,'951',26.41,1,3,NULL),(20,5163749,'1983-07-29 00:00:00',4,1,12,2001,'M','N','JD PLANALTO PARAÍSO','S CARLOS','SP','125252251216472431578711475122341434147',NULL,'9998',0.00,1,3,NULL),(20,5163757,'1988-02-05 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242247222271431676633485122610167042',NULL,'1134',20.44,1,3,NULL),(20,5163765,'1992-03-23 00:00:00',4,8,12,2009,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124241241215131431336824575122610147077',NULL,'1006',24.22,1,3,NULL),(20,5163781,'1993-06-24 00:00:00',2,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217121311218828375124610148182',NULL,'300',24.58,3,3,NULL),(20,5163790,'1971-07-28 00:00:00',2,1,12,2005,'M','N','SANTO ANT DE LISBOA','FLORIANÓPOLIS','SC','224243247127131451223343235124610145057',NULL,'9999',49.60,1,3,NULL),(20,5163811,'1987-12-16 00:00:00',4,1,1,2006,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124243241126471711236723435114610113087',NULL,'282',26.49,1,3,NULL),(20,5163838,'1987-04-01 00:00:00',2,1,11,2006,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124211247321333651425639345124610167047',NULL,'9999',26.33,1,3,NULL),(20,5163846,'1969-09-21 00:00:00',4,1,12,1987,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','224251251127132431433351285124130214187',NULL,'9998',42.65,1,3,NULL),(20,5163870,'1991-09-12 00:00:00',2,4,12,2008,'F','N','CENTRO','XANXERÊ','SC','124241241216371751423734571122610138052',NULL,'1081',20.53,1,3,NULL),(20,5163897,'1991-09-23 00:00:00',2,9,11,2009,'M','N','JARDIM CAIÇARA','S JOAQUIM','SC','124244246146161431535915375122610121092',NULL,'903',0.00,1,3,NULL),(20,5163900,'1992-11-14 00:00:00',1,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241112111711523312172121610117142',NULL,'21',23.31,1,2,1),(20,5163919,'1992-10-15 00:00:00',2,10,11,2009,'F','N','SÃO MARTINHO','TUBARÃO','SC','124241241215111741437623575124610124057',NULL,'807',45.02,1,3,NULL),(20,5163927,'1993-05-28 00:00:00',4,3,12,2009,'M','N','CENTRO','NAVEGANTES','SC','124242248115141431459913573124610127052',9490,'129',55.54,4,3,NULL),(20,5163951,'1991-10-02 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSÉ','SC','124243241215473431247619272324610133147',8895,'723',60.16,1,3,NULL),(20,5163960,'1993-07-26 00:00:00',4,4,12,2009,'F','N','INTERIOR','SANTIAGO SUL','SC','124241241115271431426923572224610123097',12419,'866',51.01,1,2,1),(20,5163978,'1990-06-11 00:00:00',2,1,6,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243247216371431545624475114610165187',NULL,'9999',31.39,1,3,NULL),(20,5163986,'1987-09-11 00:00:00',4,10,11,2004,'M','N','OFICINAS','TUBARÃO','SC','124241241117131431436614481113131422012',NULL,'477',25.49,4,2,1),(20,5163994,'1992-04-04 00:00:00',2,1,12,2008,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201216471431448911575122610122177',NULL,'9998',19.93,1,3,NULL),(20,5164001,'1994-03-17 00:00:00',4,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241215111431426612585122610123092',NULL,'1014',27.43,1,3,NULL),(20,5164028,'1991-12-18 00:00:00',4,8,12,2008,'M','N','CENTRO HISTÓRICO','PARANAGUÁ','PR','116162161211471451336631574344610128057',3821,'9998',70.28,1,3,NULL),(20,5164036,'1993-10-04 00:00:00',4,10,10,2009,'F','N','MAGALHÃES','LAGUNA','SC','124244241215111431659851574114610123072',2560,'226',74.92,1,3,NULL),(20,5164044,'1991-10-14 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241137472431326521382122610168042',NULL,'293',23.06,4,2,1),(20,5164060,'1991-06-12 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241415372431336679372224610138052',5783,'1134',65.38,1,3,NULL),(20,5164079,'1992-04-07 00:00:00',2,5,12,2009,'M','N','CENTRO','BOM JD SERRA','SC','124241242142161221433823375124610137187',NULL,'903',0.00,1,2,1),(20,5164087,'1992-05-19 00:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431446534274321610168097',NULL,'9997',31.67,1,3,NULL),(20,5164095,'1987-03-11 00:00:00',4,1,12,2004,'M','N','FORQUILHAS','S JOSÉ','SC','124241241131272451226624245124230722057',NULL,'757',41.24,1,2,1),(20,5164109,'1987-08-05 00:00:00',2,1,12,2005,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241112473431536313482114610127045',10558,'257',54.37,2,2,1),(20,5164117,'1986-09-22 00:00:00',2,6,12,2003,'F','N','CENTRO','PNT GROSSA','PR','116161161316573431127741211124610133187',4519,'9998',67.08,4,3,NULL),(20,5164125,'1991-12-13 00:00:00',4,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241217151431448832272124610137147',9781,'1048',55.33,1,3,NULL),(20,5164133,'1992-03-17 00:00:00',2,1,12,2009,'M','N','RIO GRANDE','PALHOÇA','SC','124241241116141431323424345224610127042',NULL,'592',38.84,1,2,1),(20,5164141,'1990-05-31 00:00:00',2,4,12,2007,'F','N','CENTRO','IPUAÇU','SC','120241241146373431526614282124610124147',NULL,'372',24.84,1,2,1),(20,5164150,'1992-10-28 00:00:00',4,8,12,2009,'M','N','CENTRO','JOINVILLE','SC','124242241225471531456869585112610138097',9435,'1016',59.20,1,3,NULL),(20,5164168,'1991-03-15 00:00:00',2,1,6,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124243247217131431223329391124610137047',NULL,'9999',13.77,2,1,2),(20,5164184,'1991-03-12 00:00:00',2,1,12,2008,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241212271431436629572124610162147',NULL,'1036',27.01,1,3,NULL),(20,5164192,'1986-12-05 00:00:00',4,1,12,2004,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124252251217271441128848181224141467187',2113,'9998',76.51,1,3,NULL),(20,5164206,'1992-03-28 00:00:00',4,1,11,2009,'F','N','ROÇADO','S JOSÉ','SC','124242241211111731433634245122610137092',NULL,'723',20.21,1,3,NULL),(20,5164214,'1993-03-30 00:00:00',4,5,11,2009,'F','N','LINHA BATISTA','CRICIÚMA','SC','124241241215111231556619575122610167142',14173,'213',45.97,1,3,NULL),(20,5164249,'1992-04-10 00:00:00',4,8,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161215111431278924574122610127097',NULL,'9998',0.00,1,3,NULL),(20,5164257,'1992-01-24 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241237131411236624275124610164067',NULL,'1118',26.02,1,3,NULL),(20,5164265,'1992-09-26 00:00:00',4,1,11,2009,'M','N','VILA PARQUE JABAQUAR','S PAULO','SP','125252251417471431447624575124610166042',NULL,'9998',0.00,1,3,NULL),(20,5164273,'1991-09-05 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242161216472731489813572112610142052',5759,'9998',63.85,1,3,NULL),(20,5164281,'1988-12-23 00:00:00',1,1,7,2007,'M','N','PARQUE ESTORIL','S JOSÉ R PRETO','SP','125252281436571741448831491122610134182',NULL,'9998',NULL,1,3,NULL),(20,5164290,'1991-04-04 00:00:00',2,9,12,2008,'F','N','PADRE EDUARDO','TAIÓ','SC','124241241315472431435332272124610133147',NULL,'991',24.37,1,3,NULL),(20,5164303,'1992-11-02 00:00:00',4,8,12,2009,'M','N','SÃO LUIZ','JARAGUÁ SUL','SC','124241241235111431426419575121610167052',NULL,'1061',22.22,1,3,NULL),(20,5164311,'1992-09-17 00:00:00',4,4,11,2009,'M','N','CENTRO','XANXERÊ','SC','124242241235111431646631575112610137042',13486,'836',47.19,1,3,NULL),(20,5164320,'1990-11-06 00:00:00',4,1,11,2008,'M','N','CENTRO','LGA VERMELHA','RS','120201201216371731466911592112610127047',NULL,'9998',21.63,1,3,NULL),(20,5164346,'1989-11-14 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211152411359811274124221126092',3317,'1098',72.56,4,3,NULL),(20,5164354,'1992-04-18 00:00:00',4,1,9,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241217122432389813574122610163192',5568,'457',65.59,1,3,NULL),(20,5164362,'1990-03-16 00:00:00',4,8,12,2007,'M','N','CENTRO','TOLEDO','PR','116162161215371711348939495122141237042',7933,'9998',61.96,1,3,NULL),(20,5164370,'1992-08-17 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241215111431238923572224610162047',11325,'1022',53.17,4,3,NULL),(20,5164389,'1991-03-07 00:00:00',4,10,11,2008,'F','N','PASSAGEM','TUBARÃO','SC','124242241215272431367712295112131034112',11405,'807',55.51,1,3,NULL),(20,5164397,'1958-11-05 00:00:00',4,1,12,1977,'F','N','CENTRO','FLORIANÓPOLIS','SC','524201203116271411238843435121341325092',7612,'9998',59.95,1,2,1),(20,5164400,'1991-03-09 00:00:00',2,1,12,2008,'M','N','VILA SANTANA','STO AMARO IMPERATRIZ','SC','124241241135271431526634215334610127182',8355,'941',61.21,1,2,1),(20,5164443,'1992-08-08 00:00:00',4,1,11,1992,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241217122431389914475124610134052',13151,'270',47.62,1,3,NULL),(20,5164451,'1985-10-27 00:00:00',2,1,11,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161161136472431555439375123141124067',4541,'9998',67.76,1,2,1),(20,5164460,'1990-11-06 00:00:00',2,1,12,2008,'F','N','NOVA PIRACICABA','PIRACICABA','SP','125254251215471731434811575122610161182',14013,'9998',45.34,1,3,NULL),(20,5164478,'1992-12-21 00:00:00',2,1,12,2009,'F','N','JARDIM AQUÁRIUS','PALHOÇA','SC','124241241625372431527524571124610116062',10777,'262',54.99,3,3,NULL),(20,5164494,'1991-04-13 00:00:00',4,1,12,2008,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215472431258814575114610126042',7435,'1022',59.26,1,3,NULL),(20,5164508,'1992-10-12 00:00:00',2,7,12,2009,'M','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124242248211111731446313242122610167052',NULL,'138',20.06,1,3,NULL),(20,5164516,'1992-06-11 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215111731436832572122610124097',13167,'1050',49.97,1,3,NULL),(20,5164532,'1992-04-03 00:00:00',2,7,12,2009,'M','N','CENTRO','CAPINZAL','SC','124243247427111711449912341132610157042',NULL,'9999',0.00,1,3,NULL),(20,5164540,'1989-12-22 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124241241214373411514629292124221366037',10362,'738',57.50,2,1,2),(20,5164559,'1986-04-18 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272431268921472125321622177',2268,'270',75.94,1,3,NULL),(20,5164567,'1986-09-09 00:00:00',2,1,1,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','124161247416375451433611295114610137051',NULL,'1003',20.72,3,3,NULL),(20,5164575,'1989-03-30 00:00:00',2,1,12,2006,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241215472431476613245122610127112',13485,'1022',51.41,1,3,NULL),(20,5164583,'1983-08-28 00:00:00',4,1,12,2001,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124252251217143421227841412311610166113',NULL,'9998',0.00,1,3,NULL),(20,5164591,'1991-10-24 00:00:00',2,1,12,2009,'M','N','UNIVERSIDADE','MACAPÁ','AP','103032038216311421458613435122610117047',NULL,'9998',0.00,4,3,NULL),(20,5164613,'1992-10-03 00:00:00',4,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124242248215111432536611595112610162142',NULL,'807',27.85,1,3,NULL),(20,5164621,'1990-01-07 00:00:00',4,1,6,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217142411117879295122231068187',13865,'9999',50.62,1,3,NULL),(20,5164630,'1991-09-07 00:00:00',4,1,12,2008,'F','N','MAUA','S CAETANO SUL','SP','125254251215411431537872595124610148122',NULL,'9998',24.84,1,3,NULL),(20,5164648,'1991-11-15 00:00:00',2,1,11,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241132372432424314282114610112182',NULL,'278',27.63,1,2,1),(20,5164656,'1992-11-25 00:00:00',4,8,12,2009,'M','N','ATIRADORES','JOINVILLE','SC','124242241217111751459619575112610112057',10400,'1006',55.91,1,3,NULL),(20,5164672,'1993-07-29 00:00:00',4,2,12,2010,'F','S','NAÇÕES','TIMBÓ','SC','124241241215111231328364572122510127057',NULL,'1157',58.45,1,3,NULL),(20,5164702,'1993-02-18 00:00:00',4,1,12,2009,'M','N','CENTRO','IPUMIRIM','SC','124241241117371531536612174122610118057',11610,'374',53.31,1,2,1),(20,5164710,'1991-08-23 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216372431189813275122231064092',NULL,'499',0.00,1,3,NULL),(20,5164737,'1990-03-11 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241248111271431331322185124610167042',NULL,'295',24.94,1,2,1),(20,5164745,'1992-09-21 00:00:00',2,1,12,2009,'F','N','NAÇOES','CONCÓRDIA','SC','124241241137131412438914295122610115147',NULL,'194',22.93,1,2,1),(20,5164753,'1991-05-28 00:00:00',4,3,12,2008,'F','N','MERCÊS','CURITIBA','PR','116162161215471441359913471112610127032',3691,'9998',70.19,1,3,NULL),(20,5164761,'1988-11-11 00:00:00',4,1,12,2009,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242247217131431468571485124610112042',NULL,'9999',25.72,1,3,NULL),(20,5164770,'1986-10-02 00:00:00',2,1,8,2008,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241247127272441523229345334610137027',NULL,'9999',43.53,4,2,1),(20,5164788,'1992-07-27 00:00:00',2,1,11,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241216121431536933375324610127062',14158,'1075',50.06,1,3,NULL),(20,5164796,'1992-05-14 00:00:00',4,5,12,2009,'F','N','AURORA','IÇARA','SC','124241241127131431521329245324610116017',NULL,'1053',17.39,1,2,1),(20,5164800,'1992-04-22 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111731449633575124610124117',NULL,'1022',28.61,1,3,NULL),(20,5164818,'1992-06-23 00:00:00',4,5,10,2009,'F','N','CENTRO','IÇARA','SC','124243241215111431248724575124610126192',5498,'226',67.09,1,3,NULL),(20,5164826,'1992-03-13 00:00:00',2,10,12,2009,'M','N','HUMAITA','TUBARÃO','SC','124242241215111412476612572122610114112',13771,'807',50.78,1,3,NULL),(20,5164834,'1990-07-28 00:00:00',4,1,12,2007,'F','N','TATUAPE','S PAULO','SP','125252251216572431248821572125610164027',1349,'9998',78.69,1,3,NULL),(20,5164842,'1992-08-14 00:00:00',3,1,12,2009,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124243241115471431458923475124610124182',6274,'307',64.02,1,3,NULL),(20,5164850,'1992-10-12 00:00:00',2,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241236111711636612575122610127142',NULL,'1074',21.35,1,3,NULL),(20,5164869,'1991-08-26 00:00:00',4,1,11,2009,'M','N','NOVA VÁRZEA GRANDE','VÁRZEA GRANDE','MT','111112111217111431349922574124610122182',11474,'9998',52.45,1,3,NULL),(20,5164877,'1992-09-06 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124242241215111732356613375122610165055',NULL,'1078',50.36,1,3,NULL),(20,5164885,'1990-05-08 00:00:00',1,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116163161215371431346827572124610134012',NULL,'9998',0.00,1,3,NULL),(20,5164915,'1992-08-07 00:00:00',4,5,11,2009,'F','N','PIO CORREA','CRICIÚMA','SC','124242241215272431456822472112610131067',16042,'226',43.82,1,3,NULL),(20,5164923,'1986-10-24 00:00:00',4,8,7,2006,'M','N','JARDIM IRIRIU','JOINVILLE','SC','124241247411371311633444341121131457057',NULL,'9999',22.57,1,3,NULL),(20,5164966,'1982-09-11 00:00:00',4,1,12,1999,'M','N','KOBRASOL','S JOSÉ','SC','124162161116151721358833435123340164035',NULL,'9998',0.00,3,3,NULL),(20,5164974,'1992-03-25 00:00:00',4,8,12,2009,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241215121231537813332124610133017',NULL,'441',0.00,1,3,NULL),(20,5164982,'1990-07-25 00:00:00',4,1,12,2007,'M','N','CENTRO','PTO ALEGRE','RS','120202201216571431438712572125610168122',9308,'9998',55.64,1,3,NULL),(20,5164990,'1992-04-03 00:00:00',4,17,12,2008,'F','N','SOSSEGO','CANOINHAS','SC','124242161115471431369931571125610126187',1268,'9998',79.91,1,3,NULL),(20,5165016,'1992-03-31 00:00:00',2,1,11,2009,'F','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124244241215111431438512392122610166142',NULL,'1076',26.78,1,3,NULL),(20,5165024,'1990-07-13 00:00:00',4,5,9,2007,'M','N','PRÓSPERA','CRICIÚMA','SC','124241241136132431325319395124232032191',NULL,'953',51.23,1,2,1),(20,5165032,'1989-06-25 00:00:00',2,1,11,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242247417131431236623342112610167053',NULL,'9999',24.77,2,1,2),(20,5165059,'1980-09-01 00:00:00',2,15,10,2009,'M','N','NOVA BRASILIA','SOMBRIO','SC','224241247131131511324954241114610118057',NULL,'9999',23.78,1,3,NULL),(20,5165067,'1990-09-15 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124112241216372411439622575122140817072',12540,'1076',49.17,2,1,2),(20,5165075,'1991-05-15 00:00:00',2,1,12,2008,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241227142431433519392224610167042',NULL,'262',27.04,1,3,NULL),(20,5165083,'1993-02-06 00:00:00',4,1,12,2009,'F','N','N SENHORA DO ROSÁRIO','S JOSÉ','SC','124241241215131431523319592124610125182',6352,'1076',63.70,4,3,NULL),(20,5165091,'1992-01-06 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241415111711389811471114610127115',NULL,'270',40.17,4,3,NULL),(20,5165105,'1990-03-08 00:00:00',4,1,6,2008,'F','N','JARDIM DAS OLIVEIRAS','VILHENA','RO','122223227226471431476823575122610164147',NULL,'9998',0.00,1,3,NULL),(20,5165121,'1988-12-08 00:00:00',4,1,12,2006,'F','N','VILA FRÓES','GOIÂNIA','GO','109092091217571431448913575122610122012',NULL,'9998',13.18,1,3,NULL),(20,5165130,'1991-07-02 00:00:00',4,1,12,2009,'M','N','JARDIM CARANDAI','BIGUAÇU','SC','124241241217131111337313215122610142112',NULL,'63',22.06,1,3,NULL),(20,5165148,'1992-12-08 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124244241415111431555414215124610135072',13504,'868',48.25,1,3,NULL),(20,5165172,'1989-09-22 00:00:00',4,1,12,2007,'F','N','ASSUNÇÃO','S BERNARDO CAMPO','SP','125254251216572431356419272112610146042',794,'9998',82.54,1,3,NULL),(20,5165180,'1990-07-30 00:00:00',4,1,12,2008,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241116431332326534345134610164052',NULL,'287',34.60,1,2,1),(20,5165199,'1994-06-06 00:00:00',2,9,11,2010,'M','S','CENTRO','CORREIA PINTO','SC','124242241215111231353422145124610167052',NULL,'9997',40.77,1,3,NULL),(20,5165202,'1991-10-29 00:00:00',2,1,12,2008,'M','N','CENTRO','SOMBRIO','SC','124243241316272441438833572124230625147',NULL,'770',24.90,1,3,NULL),(20,5165210,'1990-07-22 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124212241215573431379813575122610143072',1892,'262',76.08,1,3,NULL),(20,5165237,'1992-10-01 00:00:00',2,1,12,2009,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124243241215111231446823212124610127041',10152,'1022',56.26,1,3,NULL),(20,5165245,'1992-12-09 00:00:00',4,1,12,2009,'M','N','TRISTEZA','PTO ALEGRE','RS','120202201212471431477931572112610117132',NULL,'9998',29.84,1,3,NULL),(20,5165253,'1992-04-09 00:00:00',2,6,12,2009,'M','N','CENTRO','BOMBINHAS','SC','124243241315112531446619492122610127182',NULL,'1111',12.66,4,3,NULL),(20,5165270,'1992-05-01 00:00:00',2,5,11,2009,'F','N','CENTRO','SIDERÓPOLIS','SC','124244241215111731446512322122610134092',12384,'226',50.15,1,3,NULL),(20,5165288,'1991-08-24 00:00:00',4,8,12,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241211472421466912575122613262097',NULL,'457',0.00,1,3,NULL),(20,5165296,'1988-08-26 00:00:00',4,1,12,2009,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124244241225151431428511571124610166197',NULL,'9999',21.33,1,3,NULL),(20,5165300,'1992-06-15 00:00:00',2,15,12,2009,'F','N','COLONINHA','ARARANGUÁ','SC','124241241116131751224423185121610146177',NULL,'29',29.13,1,3,NULL),(20,5165318,'1975-11-23 00:00:00',2,1,12,1998,'M','N','MEDIANEIRA','PTO ALEGRE','RS','624202207226151731125453335125343263067',NULL,'9998',0.00,1,3,NULL),(20,5165326,'1987-01-13 00:00:00',4,1,12,2003,'M','N','SAO FRANSISCO','CURITIBA','PR','116164161217371641468831575112141464046',NULL,'9998',0.00,1,3,NULL),(20,5165334,'1989-01-18 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124203241125373432227844345123610164087',NULL,'257',24.54,1,3,NULL),(20,5165350,'1993-03-19 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121731489813575122610124122',7054,'1038',61.58,1,3,NULL),(20,5165369,'1983-11-18 00:00:00',4,6,12,2000,'M','N','BATEL','CURITIBA','PR','116162161215573731389932572122131057112',NULL,'9998',0.00,1,3,NULL),(20,5165377,'1993-03-27 00:00:00',4,5,11,2009,'M','N','CRISTO REI','IÇARA','SC','124241241315111431233322572124610125051',3295,'226',70.34,1,3,NULL),(20,5165385,'1985-09-23 00:00:00',4,1,12,2003,'F','N','REAL PARQUE','S JOSÉ','SC','124071191616111711456413475114610122042',NULL,'9998',24.53,1,3,NULL),(20,5165407,'1993-06-05 00:00:00',4,4,11,2010,'F','S','CENTRO','ITAPIRANGA','SC','124241241237111731436739295122610132182',NULL,'1060',25.05,1,3,NULL),(20,5165423,'1993-01-14 00:00:00',4,1,12,2009,'M','N','ITARARÉ','S VICENTE','SP','125252251217271431348812575125610168112',NULL,'9998',27.15,1,3,NULL),(20,5165431,'1992-01-02 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431488933595122610134042',11864,'270',54.64,1,3,NULL),(20,5165440,'1991-05-21 00:00:00',4,1,11,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241215472411444623575124610167042',12667,'723',50.61,2,1,2),(20,5165466,'1993-10-09 00:00:00',2,1,12,2010,'F','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111431436833572124610134142',NULL,'1134',31.11,1,3,NULL),(20,5165482,'1985-09-13 00:00:00',2,1,12,2002,'M','N','SERRARIA','S JOSÉ','SC','124111111112151411324641315332142337042',NULL,'9998',34.92,2,1,1),(20,5165490,'1988-08-15 00:00:00',4,8,12,2007,'M','N','BOA VISTA JOINVILLE','JOINVILLE','SC','124074248416472431231321485124610144041',13972,'9999',50.45,1,3,NULL),(20,5165504,'1992-10-12 00:00:00',4,3,11,2009,'F','N','LOTEAMENTO VERONA','BENTO GONÇALVES','RS','120203201415321431445612574122610161142',NULL,'9998',0.00,1,3,NULL),(20,5165539,'1992-02-03 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124201241115131432326828286224610114017',NULL,'257',23.52,1,2,1),(20,5165547,'1991-10-24 00:00:00',2,1,12,2009,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124201241315121421226624285124610168047',7215,'1022',63.39,4,3,NULL),(20,5165555,'1989-10-23 00:00:00',4,1,11,2007,'F','N','SETOR SUL','GOIÂNIA','GO','109092091216572431489911575122610123142',8958,'9998',57.98,1,3,NULL),(20,5165563,'1992-07-21 00:00:00',4,7,12,2009,'M','N','CENTRO','HERVAL D OESTE','SC','124242241215371531544732172122613267077',NULL,'446',27.61,1,3,NULL),(20,5165571,'1992-09-18 00:00:00',4,4,11,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241215371431367836575125610166192',13423,'983',51.55,1,3,NULL),(20,5165580,'1989-10-18 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242248215572431468811575124610123187',4670,'1048',68.78,1,3,NULL),(20,5165598,'1990-06-01 00:00:00',4,1,12,2008,'F','N','SETOR BELA VISTA','GOIÂNIA','GO','109092091217571231548832575122610123072',4214,'9998',69.53,1,3,NULL),(20,5165601,'1991-05-11 00:00:00',4,5,11,2008,'M','N','MINA BRASIL','CRICIÚMA','SC','124242241215372431558812375122231467042',234,'226',87.47,1,3,NULL),(20,5165610,'1988-09-27 00:00:00',4,1,12,2006,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241216374431558833575122221467052',1691,'1022',78.09,1,3,NULL),(20,5165628,'1983-12-08 00:00:00',4,1,12,2001,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124162161215374431168919485124421232182',87,'9998',90.39,1,3,NULL),(20,5165636,'1989-03-08 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215114431366613372124232024172',15604,'1022',45.86,1,3,NULL),(20,5165660,'1991-05-17 00:00:00',4,4,12,2009,'M','N','CENTRO','PTE SERRADA','SC','124242247326131531348932575112610127041',NULL,'9999',22.58,1,3,NULL),(20,5165679,'1983-03-21 00:00:00',2,7,12,2000,'M','N','IMIGRANTES','CONCÓRDIA','SC','624201201316135431336653485122321522187',1293,'9998',79.68,4,3,NULL),(20,5165687,'1989-09-15 00:00:00',2,8,12,2006,'F','N','FAZENDINHA','CURITIBA','PR','116161251215471411335831572224610134147',NULL,'9998',0.00,3,3,NULL),(20,5165695,'1992-10-10 00:00:00',2,1,11,2009,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241217111731338829475114610164162',NULL,'269',33.88,1,3,NULL),(20,5165709,'1992-05-14 00:00:00',4,1,12,2009,'F','N','JARDIM IMPERADOR','ARARAQUARA','SP','125254251216121431347732371122610122142',15424,'9998',42.87,1,3,NULL),(20,5165717,'1992-05-29 00:00:00',4,8,11,2009,'F','N','SAGUACU','JOINVILLE','SC','124242241215111431578933372112610123071',14134,'1063',50.11,1,3,NULL),(20,5165725,'1990-03-24 00:00:00',2,1,12,2009,'M','N','ZONA SETE','MARINGÁ','PR','116164161417111231486832295122610167183',NULL,'9998',0.00,4,3,NULL),(20,5165733,'1991-03-19 00:00:00',4,1,12,2008,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241115372431338833445134610134117',15832,'307',44.95,1,2,1),(20,5165784,'1990-06-30 00:00:00',4,1,12,2007,'M','N','TERRANOVA','VALINHOS','SP','125252251416571431478813575124241442042',NULL,'9998',0.00,1,3,NULL),(20,5165792,'1990-05-08 00:00:00',2,1,12,2007,'F','N','VARZEA','PIRAJU','SP','125251251136372431433334245123610166147',NULL,'9998',0.00,1,3,NULL),(20,5165806,'1991-01-23 00:00:00',2,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115131531656623575124610124117',15322,'267',46.85,1,2,1),(20,5165814,'1993-08-19 00:00:00',4,4,12,2009,'F','N','CENTRO','IPUAÇU','SC','124241241145161431538911595122610126142',NULL,'372',0.00,1,2,1),(20,5165830,'1987-03-06 00:00:00',2,5,11,2004,'M','N','BOSQUE DO REPOUSO','CRICIÚMA','SC','124243241326131551113441211231131468177',NULL,'228',0.00,1,3,NULL),(20,5165849,'1982-01-03 00:00:00',2,1,11,2000,'M','N','BARREIROS','S JOSÉ','SC','124246247122135111124344142331610122114',NULL,'9999',23.39,4,3,NULL),(20,5165857,'1990-10-19 00:00:00',2,1,12,2008,'F','N','JARDIM NOVO MUNDO','GOIÂNIA','GO','109092091236471441387713571122610132152',NULL,'9998',0.00,4,3,NULL),(20,5165873,'1991-01-30 00:00:00',4,1,10,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241417111731258622422112610163013',NULL,'1022',8.95,1,3,NULL),(20,5165890,'1989-04-08 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241248212134731356834284124610164097',NULL,'723',39.37,1,3,NULL),(20,5165911,'1986-09-01 00:00:00',4,1,11,2003,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241126374421436414395124233236147',NULL,'941',0.00,1,2,1),(20,5165962,'1992-09-09 00:00:00',4,8,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161217471411458934595114610134011',NULL,'9998',49.31,1,3,NULL),(20,5165997,'1991-11-14 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241345111451423611572124610128182',NULL,'1022',30.52,1,3,NULL),(20,5166004,'1993-02-06 00:00:00',4,1,12,2009,'M','N','CENTRO','HERVAL D OESTE','SC','124242241215111751468833572114610164052',8169,'270',59.42,1,3,NULL),(20,5166020,'1993-04-23 00:00:00',4,1,12,2010,'M','S','CENTRO','PALHOÇA','SC','124242241217151731457633572124610137042',NULL,'1011',55.86,1,3,NULL),(20,5166039,'1993-09-22 00:00:00',4,5,11,2010,'M','S','CENTRO','CRICIÚMA','SC','124242241212111512359931475112610114042',NULL,'213',0.00,1,3,NULL),(20,5166055,'1985-01-21 00:00:00',4,1,12,2005,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243247327131411327623386124132068187',NULL,'9999',42.64,2,1,2),(20,5166063,'1992-04-27 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124243241216111431446721572124610121142',NULL,'1022',28.38,1,3,NULL),(20,5166098,'1988-12-28 00:00:00',4,8,12,2006,'F','N','GLÓRIA','JOINVILLE','SC','124242241215572731338613472122610127082',16314,'87',39.93,1,3,NULL),(20,5166101,'1990-11-05 00:00:00',4,9,12,2007,'F','N','MENINO DEUS','PTO ALEGRE','RS','120204201217271441438911472122143226197',12249,'9998',53.89,1,3,NULL),(20,5166110,'1990-09-28 00:00:00',2,1,12,2007,'F','N','VILA BANDEIRANTES','CPO GRANDE','MS','112124121216472751643639574124610164142',9028,'9998',56.18,2,1,2),(20,5166128,'1992-10-29 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215131411538613375124610117045',8272,'1022',60.12,1,3,NULL),(20,5166136,'1991-09-24 00:00:00',2,4,12,2008,'F','N','SANTO ANTONIO','CHAPECÓ','SC','124241241417472431439414342122610134197',7595,'1021',62.63,1,3,NULL),(20,5166144,'1989-10-18 00:00:00',4,1,11,2007,'F','N','JARDIM PAULISTA','S PAULO','SP','125252251217571431469711575114610122197',315,'9998',85.62,1,3,NULL),(20,5166152,'1993-02-25 00:00:00',4,9,11,2010,'F','S','SAGRADO','LAGES','SC','124242248217111732338714592122610121142',NULL,'497',47.02,1,3,NULL),(20,5166160,'1995-04-22 00:00:00',4,1,11,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124243241215111431238823185114610134092',NULL,'270',57.35,1,3,NULL),(20,5166179,'1990-01-22 00:00:00',4,8,12,2007,'F','N','DEER','CAÇADOR','SC','124242241216573431457811575124610166097',9621,'1124',58.88,1,3,NULL),(20,5166187,'1991-09-14 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241235212412228622282124610163042',16102,'1022',43.41,1,3,NULL),(20,5166209,'1992-04-14 00:00:00',3,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124281241415111431576612345124610134095',3161,'1169',71.30,1,3,NULL),(20,5166217,'1993-02-08 00:00:00',2,15,12,2010,'M','S','CENTRO','SOMBRIO','SC','124242241215111332447923575122610132141',NULL,'970',59.13,1,3,NULL),(20,5166225,'1991-11-09 00:00:00',2,15,12,2008,'F','N','JARDIM DO SALSO','PTO ALEGRE','RS','120202201217371751668811571122141465017',688,'9998',83.21,1,3,NULL),(20,5166241,'1993-07-03 00:00:00',4,15,12,2009,'F','N','BOCA DO PIQUE','MELEIRO','SC','124241241115161431323367575124610142032',NULL,'559',32.33,1,2,1),(20,5166250,'1992-05-15 00:00:00',4,1,12,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215112431589912572122610146072',2899,'262',73.78,1,3,NULL),(20,5166268,'1988-11-28 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241137272421336611445114610164012',NULL,'267',20.60,1,2,1),(20,5166276,'1992-02-23 00:00:00',4,1,12,2009,'F','N','CENTRO','GOIÂNIA','GO','109092091215111531577831575112610166012',NULL,'9998',0.00,1,3,NULL),(20,5166284,'1990-05-26 00:00:00',2,4,11,2008,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242248216272731446939572122133264097',NULL,'983',28.26,1,3,NULL),(20,5166292,'1992-05-08 00:00:00',2,4,12,2009,'M','N','INTERIOR','GRAMADO LOUREIROS','RS','120201202117131431323823575324610167047',NULL,'9998',28.65,4,2,1),(20,5166306,'1992-07-23 00:00:00',2,1,12,2010,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124241246217121111589919595112610165094',NULL,'1075',14.41,1,3,NULL),(20,5166314,'1993-11-20 00:00:00',4,1,11,2010,'F','S','INGLESES','FLORIANÓPOLIS','SC','124242241215111431344824145124610123077',NULL,'1022',0.00,1,3,NULL),(20,5166330,'1992-01-14 00:00:00',4,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124203241312473432668913572124610133047',12451,'9997',50.72,4,3,NULL),(20,5166349,'1992-02-01 00:00:00',4,8,12,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124252241217151431377923575122610137042',NULL,'459',0.00,1,3,NULL),(20,5166357,'1992-10-17 00:00:00',4,1,11,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215112431346931572122610123172',15435,'1118',43.06,1,3,NULL),(20,5166365,'1993-06-18 00:00:00',4,3,12,2010,'M','S','CENTRO','STA CECÍLIA','SC','124241241117161411465531575122610158182',NULL,'686',0.00,3,3,NULL),(20,5166373,'1988-08-08 00:00:00',2,1,11,2006,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242247216272431336728485124133243115',16074,'270',43.59,1,3,NULL),(20,5166381,'1992-05-26 00:00:00',2,4,12,2009,'M','N','ARROIO MARIANO','S JOSÉ OURO','RS','120201242116161332323315352324610134197',14897,'196',44.48,1,3,NULL),(20,5166390,'1992-02-12 00:00:00',4,8,12,2009,'M','N','ITAPEMA DO NORTE','ITAPOÁ','SC','124243241315421431346911575122610125017',NULL,'1063',0.00,1,3,NULL),(20,5166403,'1991-05-06 00:00:00',2,1,12,2008,'M','N','SAO JOSE','CAXIAS SUL','RS','120204201117471411333314371124610164042',NULL,'9998',27.93,1,3,NULL),(20,5166420,'1991-07-09 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217372431369933575124233222052',12868,'1022',49.44,1,3,NULL),(20,5166438,'1992-01-25 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124243241415371431536312396112610144075',NULL,'257',27.18,1,3,NULL),(20,5166446,'1992-04-17 00:00:00',4,8,11,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215121431366834575112610132042',NULL,'1063',0.00,1,3,NULL),(20,5166454,'1991-07-06 00:00:00',2,7,12,2008,'F','N','VILA NOVA','ÁGUA DOCE','SC','124241241121131511623535382122131926017',NULL,'9',28.70,4,3,NULL),(20,5166462,'1991-04-10 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241215372431459414575114133264122',6793,'1022',62.48,1,3,NULL),(20,5166470,'1992-03-06 00:00:00',4,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124242241216111431439813595122610147117',1085,'806',80.82,1,3,NULL),(20,5166489,'1991-07-29 00:00:00',2,1,12,2008,'F','N','IMIGRANTES','CONCÓRDIA','SC','124241241115372431549953376124130423172',9790,'192',56.77,1,2,1),(20,5166497,'1990-06-15 00:00:00',4,1,12,2007,'F','N','CENTRO','MARINGÁ','PR','116162161215472411369811572112610122142',3106,'9998',71.63,3,3,NULL),(20,5166500,'1990-07-17 00:00:00',4,1,7,2008,'M','N','ITAIM BIBI','S PAULO','SP','125252257217472441479931576123610167076',NULL,'9998',0.00,1,3,NULL),(20,5166519,'1992-12-11 00:00:00',2,3,12,2009,'F','N','CENTRO','CAÇADOR','SC','124242241215111431466932575122610136142',NULL,'120',0.00,1,3,NULL),(20,5166527,'1988-07-02 00:00:00',2,1,6,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241248216131411123549395124131122157',NULL,'9999',21.60,1,3,NULL),(20,5166535,'1988-06-07 00:00:00',4,1,2,2008,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241247137133441638761411224221764177',8459,'9999',60.99,1,2,1),(20,5166543,'1991-04-26 00:00:00',2,8,12,2008,'M','N','IPIRANGA','S PAULO','SP','125252251115471421448612591125610117093',NULL,'9998',0.00,1,3,NULL),(20,5166560,'1991-10-07 00:00:00',5,1,12,2008,'F','N','CENTRO','ANTÔNIO PRADO','RS','120201201117471431343919492124610162091',NULL,'9998',29.54,1,2,1),(20,5166578,'1986-04-10 00:00:00',4,7,12,2006,'M','N','CENTRO','IRATI','PR','116161161137141431356332142222141122047',NULL,'9998',22.56,1,2,1),(20,5166586,'1989-11-13 00:00:00',4,1,12,2008,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124241241115132431356619576114223227047',9923,'271',58.30,4,1,1),(20,5166608,'1992-11-15 00:00:00',4,1,12,2010,'F','S','KOBRASOL','S JOSÉ','SC','124242241211141411456632345122610167043',NULL,'723',31.60,1,3,NULL),(20,5166616,'1988-05-23 00:00:00',4,1,12,2005,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124161161116131721226651385122142022037',NULL,'9998',28.35,1,2,1),(20,5166624,'1993-11-13 00:00:00',2,1,12,2010,'F','S','BARREIROS','S JOSÉ','SC','124241241315151431335514182122610134095',NULL,'9998',20.87,1,3,NULL),(20,5166632,'1991-09-26 00:00:00',4,3,12,2009,'F','N','NOVA POMPEIA','PIRACICABA','SP','125251251146471431448811572122610134147',NULL,'9998',25.77,2,1,1),(20,5166667,'1991-07-22 00:00:00',4,6,12,2009,'M','N','FAZENDA','ITAJAÍ','SC','124242241212151431438812574122610167012',NULL,'394',0.00,1,3,NULL),(20,5166683,'1990-03-23 00:00:00',2,1,12,2007,'M','N','CENTRO','PELOTAS','RS','120201201116471711326619481122610168017',NULL,'9998',0.00,1,2,1),(20,5166691,'1990-01-17 00:00:00',4,1,12,2007,'F','N','JARDIM PETRÓPOLIS','PRES PRUDENTE','SP','125242241215473411356611575122610163187',295,'270',86.67,1,3,NULL),(20,5166705,'1992-10-03 00:00:00',4,1,12,2010,'M','S','CARIANOS','FLORIANÓPOLIS','SC','124242241212111431448832575124610167045',NULL,'270',24.69,1,3,NULL),(20,5166713,'1992-10-03 00:00:00',2,4,11,2009,'M','N','CENTRO','CHAPECÓ','SC','124242241215111431458614572122610147052',12299,'983',51.30,1,3,NULL),(20,5166730,'1990-02-24 00:00:00',4,1,12,2006,'M','N','KOBRASOL','S JOSÉ','SC','124242241217373551448933447111132063106',6931,'270',62.20,4,3,NULL),(20,5166756,'1989-07-10 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212142411588832491122232066193',NULL,'270',0.00,1,3,NULL),(20,5166764,'1992-12-22 00:00:00',2,7,12,2009,'F','N','FARROUPILHA','VIDEIRA','SC','124241241216111431433836575125610114142',NULL,'829',25.81,1,3,NULL),(20,5166772,'1989-08-15 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215373431648613342112233264117',NULL,'266',34.31,1,3,NULL),(20,5166780,'1992-03-12 00:00:00',4,2,12,2009,'M','N','NOVA BRASÍLIA','RODEIO','SC','124241241412131231433729372121610134052',NULL,'37',16.75,1,3,NULL),(20,5166799,'1991-04-21 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247417111431348834575114610137053',15801,'9999',42.51,1,3,NULL),(20,5166810,'1992-01-08 00:00:00',4,15,12,2009,'M','N','COSTA DO CEU','MAQUINÉ','RS','120201201117471232448519491124610167187',NULL,'9998',27.72,4,2,1),(20,5166829,'1991-05-10 00:00:00',4,1,12,2008,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124243241315472431279933575114610167042',2353,'270',74.70,1,3,NULL),(20,5166837,'1992-08-17 00:00:00',4,1,12,2008,'M','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124244241215372431458819485124610167117',8250,'867',58.33,1,3,NULL),(20,5166845,'1991-04-22 00:00:00',4,1,11,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241215112231479913575122223264041',1858,'266',77.38,1,3,NULL),(20,5166870,'1993-11-01 00:00:00',2,1,11,2010,'F','S','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124241241216111531533439272124610116092',NULL,'723',21.49,1,3,NULL),(20,5166888,'1992-06-03 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111531568313435122610127087',NULL,'266',22.89,1,3,NULL),(20,5166896,'1989-10-15 01:00:00',2,1,12,2009,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124252247417271721358811395124610168017',NULL,'977',26.79,1,3,NULL),(20,5166900,'1989-08-04 00:00:00',4,8,12,2006,'F','N','JARDIM IRIRIÚ','JOINVILLE','SC','124241241127272441336319274224121436192',2512,'957',75.05,4,2,1),(20,5166918,'1991-10-08 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162161215472411468833575122610144192',6258,'9998',64.25,1,3,NULL),(20,5166934,'1993-09-27 00:00:00',4,1,10,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111531448833575124610111012',12877,'1169',52.59,1,3,NULL),(20,5166942,'1992-04-18 00:00:00',2,1,11,2009,'F','N','AREIAS','S JOSÉ','SC','124242241215111431226634595112610123012',NULL,'269',30.44,1,3,NULL),(20,5166950,'1980-02-04 00:00:00',2,1,12,1997,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124251161217131431548813315224142427085',6642,'9998',64.61,4,3,NULL),(20,5166985,'1992-05-19 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111731458814572122510161072',NULL,'1169',0.00,1,3,NULL),(20,5167000,'1991-04-19 00:00:00',2,1,12,2008,'M','N','ESTIVA','TAUBATÉ','SP','125254251215371411368833571121610164012',NULL,'9998',0.00,1,3,NULL),(20,5167019,'1991-09-26 00:00:00',4,3,12,2009,'F','N','NOVA POMPEIA','PIRACICABA','SP','125251251146471431448811572122610136097',NULL,'9998',25.68,2,1,1),(20,5167027,'1991-02-22 00:00:00',4,1,11,2008,'F','N','JARDIM ESPLANADA II','S JOSÉ CAMPOS','SP','125252251216472431459921571121610127152',7060,'9998',61.90,1,3,NULL),(20,5167043,'1992-06-12 00:00:00',4,1,10,2009,'F','N','CENTRO','LAGES','SC','124242241211373431368912372122610137012',4185,'497',68.96,1,3,NULL),(20,5167051,'1992-01-06 00:00:00',4,1,11,2008,'F','N','SANTA QUITÉRIA','CURITIBA','PR','116163161215471431458713575124610144147',6067,'9998',63.69,1,3,NULL),(20,5167060,'1992-04-01 00:00:00',4,8,12,2009,'M','N','CENTRO','STA MARIA OESTE','PR','116161161414111411379933575122610168172',8428,'9998',61.08,1,3,NULL),(20,5167078,'1992-11-23 00:00:00',4,1,6,2009,'M','N','CENTRO','CAMPOS NOVOS','SC','124282284217271431458616465122610147142',15551,'9998',43.56,1,3,NULL),(20,5167086,'1975-03-21 00:00:00',4,1,12,1992,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124161165116151411143344244134442766187',12624,'9998',53.09,1,3,NULL),(20,5167094,'1990-09-08 00:00:00',2,15,12,2007,'M','N','COLONINHA','ARARANGUÁ','SC','124241242136112441438613345122610124197',NULL,'690',26.02,4,2,1),(20,5167108,'1992-02-05 00:00:00',4,1,12,2009,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241212111431358834572124610127092',11360,'270',53.12,4,3,NULL),(20,5167116,'1992-07-07 00:00:00',4,6,12,2009,'F','N','PRAIA ALEGRE','PENHA','SC','124241241136131731326621471124610124117',NULL,'609',23.29,1,3,NULL),(20,5167124,'1990-04-13 00:00:00',2,9,12,2006,'F','N','CENTRO','PRES GETÚLIO','SC','124244241215373411469933575124233143142',6683,'991',64.53,1,3,NULL),(20,5167132,'1991-07-11 00:00:00',4,1,12,2009,'M','N','JARDIM EUCALIPTUS','PALHOÇA','SC','124241241325141432623321245123610124092',13719,'592',49.51,1,3,NULL),(20,5167167,'1991-06-23 00:00:00',2,4,12,2009,'M','N','PRIMAVERA','ITAPIRANGA','SC','124243241317141411344624212123610128182',NULL,'412',0.00,1,3,NULL),(20,5167175,'1987-02-17 00:00:00',2,1,5,2003,'M','N','CENTRO','GAROPABA','SC','124241241127534441334529392311610157112',12673,'322',50.79,1,2,1),(20,5167183,'1992-12-08 00:00:00',2,4,11,2009,'M','N','CENTRO','CHAPECÓ','SC','124241247215371751366833575122610163047',NULL,'185',0.00,1,3,NULL),(20,5167191,'1990-02-22 00:00:00',4,1,9,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241116144431428634345124231464193',6709,'739',64.47,1,3,NULL),(20,5167205,'1992-04-14 00:00:00',2,4,12,2009,'M','N','CENTRO','S DOMINGOS','SC','124241242115161431436632575125610124052',NULL,'196',40.33,1,2,1),(20,5167213,'1992-03-11 00:00:00',2,1,11,2009,'F','N','CENTRO','NAVEGANTES','SC','124244241215171232527311212121610166177',NULL,'1008',27.68,1,3,NULL),(20,5167230,'1992-07-07 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','120202201217111431479913172122610117047',9426,'9998',56.02,1,3,NULL),(20,5167248,'1992-05-27 00:00:00',4,9,12,2009,'M','N','CENTRO','LAGES','SC','124242241216133611636612575122610126177',9864,'515',56.91,1,3,NULL),(20,5167264,'1991-06-12 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241111472231453632575124231114042',2766,'267',73.22,1,3,NULL),(20,5167272,'1992-06-21 00:00:00',3,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241211112431589931472114610117112',959,'270',81.37,1,3,NULL),(20,5167299,'1992-07-27 00:00:00',4,7,11,2009,'F','N','CENTRO','VIDEIRA','SC','124241241215112431466814572122610148142',7368,'829',60.26,1,3,NULL),(20,5167302,'1989-01-21 00:00:00',2,1,11,2006,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124251241112272431658613482114610127072',15731,'289',42.19,4,1,1),(20,5167310,'1992-07-23 00:00:00',2,1,12,2010,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124241246216121512589911595112610164014',NULL,'1075',21.35,1,3,NULL),(20,5167329,'1992-02-09 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241235141431588812575122610128172',12672,'1169',53.00,1,3,NULL),(20,5167337,'1990-08-14 00:00:00',2,4,12,2008,'F','N','CENTRO','IRACEMINHA','SC','124243241336161431423321382122610128182',NULL,'412',0.00,4,3,NULL),(20,5167345,'1992-09-02 00:00:00',4,2,11,2009,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241116141431434632295124610123142',NULL,'83',18.96,4,2,1),(20,5167353,'1992-07-08 00:00:00',4,8,11,2009,'F','N','AGUA VERDE','CURITIBA','PR','116162161215121431356722571112610122097',5239,'9998',65.83,1,3,NULL),(20,5167361,'1992-09-24 00:00:00',4,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124242241215141431456639575124610127142',NULL,'1078',25.49,1,3,NULL),(20,5167370,'1991-10-23 00:00:00',2,1,12,2008,'F','N','CENTRO','PAPANDUVA','SC','124243241217473431356932222124610123097',8202,'541',58.15,1,3,NULL),(20,5167388,'1993-04-26 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124244241215111731569813572122610143145',NULL,'270',62.57,1,3,NULL),(20,5167396,'1992-05-20 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431469814575122610138142',14463,'266',46.49,1,3,NULL),(20,5167400,'1992-10-15 00:00:00',4,8,12,2009,'F','N','CENTRO','JOINVILLE','SC','124241241212111231233933595121610122053',NULL,'1006',0.00,1,3,NULL),(20,5167434,'1989-12-14 00:00:00',4,1,7,2008,'F','N','B DOS EUCALIPTOS','S JOSÉ CAMPOS','SP','125252251217372411236624471122610165092',7765,'9998',60.24,1,3,NULL),(20,5167442,'1992-12-29 00:00:00',2,1,12,2009,'F','N','CRISTO REDENTOR','PTO ALEGRE','RS','120203201317371431453623575124610143042',NULL,'9998',21.19,1,3,NULL),(20,5167450,'1992-06-16 00:00:00',4,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124242241217111431338923574124610164182',6153,'1011',64.86,1,3,NULL),(20,5167469,'1992-04-17 00:00:00',4,5,11,2008,'F','N','BORTOLATTO','MRO FUMAÇA','SC','124241241217473431446813575124610164171',2800,'210',74.13,1,3,NULL),(20,5167477,'1987-08-12 00:00:00',4,8,12,2004,'M','N','VICTOR CIVITA','TERRA BOA','PR','116161161216331431659923585124141422042',12726,'9998',52.88,1,3,NULL),(20,5167485,'1993-02-20 00:00:00',4,6,12,2009,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124242241215111431468931575122610162142',13953,'392',46.15,1,3,NULL),(20,5167493,'1988-05-02 00:00:00',2,1,12,2005,'F','N','FUNDOS','BIGUAÇU','SC','124244241212275431423614582114131221147',NULL,'63',26.52,3,3,NULL),(20,5167507,'1987-09-18 00:00:00',2,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124201247441274752368829291124610166177',15574,'9999',45.98,4,3,NULL),(20,5167523,'1980-03-27 00:00:00',4,1,12,1998,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241124475431343522475114122924195',6825,'322',63.17,1,2,1),(20,5167531,'1987-03-16 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241248121133331533714242124610136183',NULL,'279',30.67,4,2,1),(20,5167540,'1992-12-09 00:00:00',2,1,11,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241216131711456513275124610131147',NULL,'1075',52.87,1,3,NULL),(20,5167566,'1992-01-27 00:00:00',2,2,12,2009,'M','N','CENTRO','AGROLÂNDIA','SC','124243246217131431334911575124610117052',NULL,'1013',24.40,1,3,NULL),(20,5167574,'1992-04-08 00:00:00',2,1,12,2009,'M','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124241241216111431333614175124610117047',12560,'1023',50.95,1,3,NULL),(20,5167582,'1992-11-20 00:00:00',2,15,11,2009,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215211731458823232122610122077',10172,'970',55.04,1,3,NULL),(20,5167590,'1992-08-02 00:00:00',4,1,12,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124244241216132431426331386124610111092',12636,'1074',51.49,1,3,NULL),(20,5167604,'1991-07-28 00:00:00',4,1,11,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431368612572125610167182',NULL,'1133',33.17,1,3,NULL),(20,5167612,'1992-11-26 00:00:00',2,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215152431446612575122610166043',7090,'211',61.77,1,3,NULL),(20,5167620,'1984-08-05 00:00:00',3,1,12,2002,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241217154411569913575122221417185',4512,'883',69.49,1,3,NULL),(20,5167639,'1992-11-17 00:00:00',2,5,12,2009,'M','N','VILA MANAUS','CRICIÚMA','SC','124241241115271431433432575124610137047',NULL,'921',0.00,1,2,1),(20,5167647,'1993-10-21 00:00:00',4,9,12,2010,'F','S','SAGRADO C DE JESUS','LAGES','SC','124242241217121431568612572112610142182',NULL,'497',58.66,1,3,NULL),(20,5167655,'1972-02-16 00:00:00',4,1,12,1990,'M','N','BOTAFOGO','RIO JANEIRO','RJ','221252251216161431366654445132140266113',11176,'9998',55.96,1,3,NULL),(20,5167663,'1991-12-08 00:00:00',2,1,6,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124244241215471531324414575124610167145',NULL,'1022',19.84,1,3,NULL),(20,5167671,'1992-11-23 00:00:00',4,4,12,2009,'M','N','NITERÓI','SEARA','SC','124243241215131431344923575121610164057',15328,'1047',45.67,1,3,NULL),(20,5167680,'1992-04-25 00:00:00',2,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241214471751479911575124613267167',NULL,'270',0.00,1,3,NULL),(20,5167698,'1991-07-19 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124212217215113431366832576112610124122',11495,'9999',55.35,1,3,NULL),(20,5167710,'1992-06-07 00:00:00',4,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241215171431434323275114610124057',NULL,'1022',28.85,1,3,NULL),(20,5167728,'1992-04-01 00:00:00',4,8,12,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111431438618572122610147017',NULL,'457',0.00,1,3,NULL),(20,5167736,'1992-02-15 00:00:00',4,4,12,2009,'M','N','SÃO JORGE','S MIGUEL OESTE','SC','124241241116131432226823435125610162147',NULL,'753',7.09,1,2,1),(20,5167744,'1992-09-24 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124243241217151441349923575125610166015',3477,'737',70.53,1,3,NULL),(20,5167752,'1992-11-15 00:00:00',2,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124244241435111521433912495124610168012',NULL,'592',25.59,1,3,NULL),(20,5167760,'1988-05-18 00:00:00',4,1,12,2005,'M','N','PONTA DS CANAS','FLORIANÓPOLIS','SC','124251248122142511348811315124231017117',NULL,'307',21.07,2,1,1),(20,5167787,'1971-07-03 00:00:00',4,1,12,1988,'M','N','COLONINHA','FLORIANÓPOLIS','SC','224211251212112721288443435124341467047',1009,'9998',79.78,4,1,2),(20,5167795,'1993-01-29 00:00:00',2,7,12,2009,'M','N','MARTELLI','VIDEIRA','SC','124242246217131731423711212122610167042',NULL,'1080',28.50,2,1,2),(20,5167809,'1964-05-18 00:00:00',3,1,12,1982,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216152411134843432234321012182',11995,'262',54.38,1,3,NULL),(20,5167817,'1992-11-25 00:00:00',4,3,11,2009,'M','N','SANTA CLARA','ITAJAÍ','SC','124244241215111431236629575124610166097',7570,'9997',59.81,1,3,NULL),(20,5167825,'1991-06-01 00:00:00',4,8,12,2008,'F','N','BUTIATUVINHA','CURITIBA','PR','116162161235371331458619571114610123097',NULL,'9998',40.01,1,3,NULL),(20,5167833,'1986-12-10 00:00:00',4,1,12,2004,'M','N','SUDOESTE','CRUZEIRO','DF','107072071217471531488811575112141067186',NULL,'9998',0.00,4,3,NULL),(20,5167850,'1992-05-02 00:00:00',2,1,12,2009,'M','N','BOM JESUS','PTO ALEGRE','RS','120202201217111431355514575124610167047',10420,'9998',51.98,1,3,NULL),(20,5167868,'1988-12-10 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124092111346272431446614472124120824147',13460,'9998',51.46,1,3,NULL),(20,5167876,'1992-08-12 00:00:00',4,7,12,2009,'F','N','CENTRO','CAÇADOR','SC','124243241116161431436412245122610131192',NULL,'124',0.00,1,3,NULL),(20,5167884,'1993-08-12 00:00:00',4,1,12,2010,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431468923575122610134091',NULL,'1050',49.85,1,3,NULL),(20,5167892,'1991-06-06 00:00:00',4,8,12,2008,'M','N','ASSUNÇÃO','S BERNARDO CAMPO','SP','125251256116471751438512375114610167057',NULL,'9998',NULL,1,2,1),(20,5167906,'1990-11-30 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161216571411346714575125610164147',910,'9998',81.83,1,3,NULL),(20,5167914,'1982-09-09 00:00:00',4,1,12,1999,'F','N','BARREIROS','S JOSÉ','SC','224204201217271431239951314122141036187',3005,'9998',73.50,1,3,NULL),(20,5167922,'1990-11-14 00:00:00',4,1,12,2008,'M','N','JARDIM BRASIL','S PAULO','SP','125252251217372711456873591122610166052',602,'9998',83.55,1,3,NULL),(20,5167930,'1993-04-27 00:00:00',4,3,12,2009,'F','N','TABULEIRO','ITAPEMA','SC','124241241215112431536612174122610122142',8547,'407',58.88,1,3,NULL),(20,5167949,'1993-02-26 00:00:00',4,4,12,2009,'F','N','CENTRO','DESCANSO','SC','124241241316111431434412575122610137077',NULL,'1079',44.85,1,3,NULL),(20,5167965,'1991-07-26 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431557612572122610121142',NULL,'1022',17.92,1,3,NULL),(20,5167973,'1988-02-03 00:00:00',4,1,12,2005,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241122131431656511212124130224192',NULL,'307',31.19,1,2,1),(20,5167990,'1992-01-28 00:00:00',2,7,12,2009,'F','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124241241115131431435623345125610163097',NULL,'140',25.15,1,2,1),(20,5168007,'1992-03-28 00:00:00',2,4,12,2009,'F','N','SANTA RITA','JABOTICABA','RS','120201201111131431436736571225610124057',NULL,'9998',0.00,4,2,1),(20,5168015,'1992-05-15 00:00:00',2,9,11,2009,'M','N','CENTRO','S JOAQUIM','SC','124242241216111411346914595122610146057',NULL,'1035',26.30,1,3,NULL),(20,5168023,'1991-10-16 00:00:00',2,1,12,2008,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241116472431423331572124610135147',NULL,'288',26.58,4,2,1),(20,5168040,'1991-09-27 00:00:00',2,1,10,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215124431467914574122610162192',6589,'1169',63.38,1,3,NULL),(20,5168058,'1990-04-02 00:00:00',4,3,12,2007,'M','N','CENTRO','ROLÂNDIA','PR','116162161215571731356823575122610167097',2836,'9998',72.56,1,3,NULL),(20,5168066,'1993-02-04 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431379923575122610134072',9022,'270',59.92,1,3,NULL),(20,5168074,'1989-05-17 00:00:00',4,1,12,2006,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241211575431578832291124610131092',NULL,'266',39.53,1,3,NULL),(20,5168104,'1992-11-19 00:00:00',2,5,11,2009,'F','N','CENTRO','URUSSANGA','SC','124242241215221741448531575112610124142',NULL,'820',0.00,1,3,NULL),(20,5168112,'1991-12-24 00:00:00',4,1,11,2009,'M','N','TINDADE','FLORIANÓPOLIS','SC','124242241217273441348821575114610131182',3399,'270',72.37,1,3,NULL),(20,5168120,'1990-05-24 00:00:00',2,1,12,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243241216275431436614585124222364147',1434,'1169',79.14,1,3,NULL),(20,5168139,'1991-01-15 00:00:00',4,1,12,2008,'F','N','CORAL','LAGES','SC','124242241342372751368833572215231444032',NULL,'307',0.00,1,3,NULL),(20,5168147,'1992-07-28 00:00:00',4,1,12,2009,'M','N','ARAÉS','CUIABÁ','MT','111114111237111431458831365112610166012',NULL,'9998',0.00,3,3,NULL),(20,5168155,'1989-03-21 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431359811475115610123017',11845,'269',54.67,1,3,NULL),(20,5168163,'1993-10-11 00:00:00',2,15,12,2010,'F','S','SÃO PEREGRINO','TURVO','SC','124242241215111431463532572124610141012',NULL,'970',28.44,1,3,NULL),(20,5168171,'1990-01-29 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241216113431339933492122232067143',15491,'262',43.44,1,3,NULL),(20,5168180,'1991-12-26 00:00:00',4,8,12,2009,'M','N','ATIRADORES','JOINVILLE','SC','124242241215471531558811575122610167047',10053,'1016',58.06,1,3,NULL),(20,5168210,'1992-09-12 00:00:00',4,8,12,2009,'M','N','FLORESTA','JOINVILLE','SC','124244241215121231469813574124610147117',NULL,'1063',0.00,1,3,NULL),(20,5168228,'1992-01-19 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215131111549813572122610114192',6305,'262',64.68,1,3,NULL),(20,5168236,'1990-06-20 00:00:00',2,1,11,2007,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124244241416133411618661145324610164097',NULL,'259',19.09,1,3,NULL),(20,5168252,'1988-12-22 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241116474431468811575122610122147',5522,'271',66.82,1,3,NULL),(20,5168260,'1992-11-19 00:00:00',2,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215121731666919572112610117052',9187,'270',57.09,1,3,NULL),(20,5168279,'1993-04-23 00:00:00',2,1,12,2010,'F','S','KOBRASOL','S JOSÉ','SC','124242241215111432358823576122610135142',NULL,'723',26.38,1,3,NULL),(20,5168295,'1991-11-29 00:00:00',2,1,12,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124221221117472431523929572124610148177',15742,'9998',42.65,1,2,1),(20,5168309,'1992-10-03 00:00:00',4,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124242241136271231468913575124610117042',3970,'733',69.59,1,3,NULL),(20,5168317,'1984-12-11 00:00:00',2,1,12,2001,'F','N','ROÇADO','S JOSÉ','SC','124241241416154431336413395124322226187',13255,'1076',51.85,1,3,NULL),(20,5168333,'1992-08-17 00:00:00',2,1,12,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241111211731337411592122610166182',NULL,'592',41.75,1,3,NULL),(20,5168341,'1990-01-23 00:00:00',4,1,12,2007,'M','N','JAÇANÃ','S PAULO','SP','125251251116372411358814575124610162112',7412,'9998',60.35,1,2,1),(20,5168350,'1991-01-27 00:00:00',2,1,12,2009,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124244241216373231438613572124231464091',12876,'269',52.59,1,3,NULL),(20,5168368,'1992-09-14 00:00:00',4,1,11,2009,'F','N','BELA VISTA','PALHOÇA','SC','124243241415111431456633375124610122142',NULL,'737',27.44,1,3,NULL),(20,5168376,'1991-04-20 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215372431569834571122230226142',433,'270',85.14,1,3,NULL),(20,5168384,'1994-01-18 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111731248823575112610134192',NULL,'1022',28.17,1,3,NULL),(20,5168392,'1993-03-11 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241216122431346831575122610146073',9698,'270',55.81,1,3,NULL),(20,5168406,'1992-06-20 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124244241215112431439713575124610136197',NULL,'1022',26.96,1,3,NULL),(20,5168414,'1962-08-04 00:00:00',2,1,12,1979,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224241245126132431433341213124131026182',NULL,'65',0.00,1,2,1),(20,5168422,'1992-04-30 00:00:00',4,3,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161217471331389833572122610118147',NULL,'9998',0.00,1,3,NULL),(20,5168430,'1992-08-13 00:00:00',4,1,12,2010,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241217151451419912395122610164177',NULL,'262',31.16,1,3,NULL),(20,5168449,'1987-09-29 00:00:00',4,8,12,2004,'F','N','BACACHERI','CURITIBA','PR','116161161116275431457939445124610162047',2908,'9998',73.81,1,2,1),(20,5168457,'1992-02-21 00:00:00',4,1,12,2009,'M','N','ZONA QUATRO','MARINGÁ','PR','116164161215111411456614585121610161182',8961,'9998',55.56,4,3,NULL),(20,5168473,'1986-10-30 00:00:00',3,5,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211154751456639485124222246092',13817,'270',50.72,1,3,NULL),(20,5168503,'1992-09-07 00:00:00',4,1,11,2009,'F','N','KOBRASSOL','S JOSÉ','SC','124242241215111431578813372122610126072',NULL,'723',31.17,1,3,NULL),(20,5168511,'1992-06-10 00:00:00',2,15,12,2009,'M','N','SAGRADA FAMÍLIA','CAXIAS SUL','RS','120202201215471431338619575124610127047',5734,'9998',64.04,1,3,NULL),(20,5168520,'1992-03-11 00:00:00',2,1,7,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124244241117161431238669372124610144092',NULL,'739',43.62,1,3,NULL),(20,5168538,'1992-03-05 00:00:00',2,9,11,2009,'M','N','CENTRO','S JOAQUIM','SC','124242241211111112438615571111610166077',NULL,'1035',32.60,1,3,NULL),(20,5168546,'1993-05-01 00:00:00',2,1,12,2010,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431358911475124610143012',NULL,'1050',48.22,1,3,NULL),(20,5168570,'1992-03-11 00:00:00',2,4,12,2009,'F','N','GETULIO VARGAS','STO AUGUSTO','RS','120201201147141731428639192223610162037',NULL,'9998',0.00,1,3,NULL),(20,5168589,'1992-08-27 00:00:00',4,4,11,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241217111731469632572112610133182',NULL,'983',0.00,1,3,NULL),(20,5168619,'1989-12-02 00:00:00',4,8,12,2006,'F','N','TATUAPÉ','S PAULO','SP','125252251215571431578814475115610134042',NULL,'9998',0.00,1,3,NULL),(20,5168627,'1990-06-19 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215121431353824575124610162052',NULL,'1118',29.71,1,3,NULL),(20,5168635,'1993-08-20 00:00:00',4,6,12,2010,'M','S','CENTRO','BAL CAMBORIÚ','SC','124242241217151431479934575112610122197',NULL,'389',56.49,1,3,NULL),(20,5168643,'1992-08-10 00:00:00',2,1,12,2009,'M','N','GARCIA','ANGELINA','SC','124241241135161432323423575124610137147',NULL,'17',0.00,1,3,NULL),(20,5168660,'1992-05-08 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241216131431469932172112610137142',7957,'213',60.29,1,3,NULL),(20,5168678,'1986-09-22 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241437133441436944145134132042107',NULL,'855',24.96,4,3,NULL),(20,5168686,'1992-05-15 00:00:00',4,8,12,2009,'M','N','BOA VISTA','JOINVILLE','SC','124244241217131241226623575124610127147',NULL,'1105',27.55,1,3,NULL),(20,5168694,'1993-05-24 00:00:00',4,8,12,2010,'F','S','AMÉRICA','JOINVILLE','SC','124242241215111431256722574122610166012',NULL,'1063',58.35,1,3,NULL),(20,5168708,'1992-02-23 00:00:00',4,1,11,2009,'F','N','AMAMBAI','CPO GRANDE','MS','112122121217111751589923575112610134092',NULL,'9998',37.26,4,3,NULL),(20,5168716,'1991-08-20 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431588813475112610126072',1032,'270',81.12,1,3,NULL),(20,5168724,'1991-09-15 00:00:00',4,1,12,2008,'M','N','STA CRUZ DOS LAZAROS','JACAREÍ','SP','125252256217372431338761575122610164047',4116,'9998',69.38,1,3,NULL),(20,5168732,'1980-03-31 00:00:00',4,1,12,1997,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241131371431128441141324610162182',NULL,'257',33.35,1,2,1),(20,5168759,'1992-06-17 00:00:00',2,15,12,2009,'F','N','SANTA HELENA','BENTO GONÇALVES','RS','120201201335471431358711575124610145057',NULL,'9998',18.79,1,3,NULL),(20,5168767,'1994-02-21 00:00:00',4,1,12,2010,'F','S','BELA VISTA','PTO UNIÃO','SC','124241241117151431457932575112610143142',NULL,'635',23.75,1,3,NULL),(20,5168783,'1991-09-17 00:00:00',4,3,12,2008,'F','N','BOA VISTA','NOVO HAMBURGO','RS','120202201217471431468931592112610134042',NULL,'9998',45.45,1,3,NULL),(20,5168791,'1991-11-01 00:00:00',4,1,12,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241211372731444639575122610167097',14393,'259',49.05,1,3,NULL),(20,5168805,'1990-05-29 00:00:00',2,1,12,2008,'M','N','SERRARIA','S JOSÉ','SC','124241241135371741423321345114610127097',NULL,'257',28.22,1,2,1),(20,5168813,'1991-05-13 00:00:00',4,1,12,2008,'M','N','JARDIM PAULISTA','S PAULO','SP','125252251215471411569714571112610162182',NULL,'9998',36.06,1,3,NULL),(20,5168821,'1992-09-12 00:00:00',4,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124242241215111431646824575114610165192',12621,'1011',50.14,1,3,NULL),(20,5168856,'1992-02-26 00:00:00',4,1,12,2009,'F','N','BOQUEIRÃO','SANTOS','SP','125252251217471411436612271122610143047',8971,'9998',55.93,4,3,NULL),(20,5168864,'1989-09-10 00:00:00',4,9,12,2006,'F','N','CENTRO','LAGES','SC','124242241216373431438614275124231421177',NULL,'1065',24.13,4,3,NULL),(20,5168872,'1992-02-14 00:00:00',4,4,12,2009,'M','N','CENTRO','JABOTICABA','RS','120201201116131431435932575225610127057',NULL,'9998',25.00,1,2,1),(20,5168880,'1991-10-13 00:00:00',4,1,10,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431389913575122610167042',15522,'1169',46.22,1,3,NULL),(20,5168899,'1987-06-02 00:00:00',4,1,11,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242247217373131336633482122610147115',NULL,'1003',32.54,1,3,NULL),(20,5168910,'1992-02-05 00:00:00',2,1,12,2009,'M','N','CENTRO','ITUPORANGA','SC','124244242117161431468612592124610112042',NULL,'662',24.96,1,3,NULL),(20,5168937,'1992-06-06 00:00:00',2,1,12,2009,'M','N','ARIRIU','PALHOÇA','SC','124241241135151411434911571124610128092',NULL,'592',34.28,1,2,1),(20,5168945,'1991-06-09 00:00:00',4,1,12,2008,'M','N','CENTRO','VÍTOR MEIRELES','SC','124241242115171531435513445224610117052',NULL,'662',22.67,1,3,NULL),(20,5168953,'1991-12-23 00:00:00',4,6,12,2009,'M','N','VILA MARIANA','S PAULO','SP','125252251212111431488812422122610142112',6396,'9998',65.14,1,3,NULL),(20,5168961,'1983-11-28 00:00:00',4,1,12,2003,'F','N','CRIMEIA OESTE','GOIÂNIA','GO','109182091317271421466313315122340661182',NULL,'9998',0.00,4,3,NULL),(20,5168970,'1992-05-28 00:00:00',4,1,12,2009,'F','N','JARDIM SHANGAI','JUNDIAÍ','SP','125252251216111431457614275122610133143',7508,'9998',60.39,1,3,NULL),(20,5168988,'1992-12-05 00:00:00',4,1,12,2009,'M','N','CENTRO','NOVA TRENTO','SC','124244241215112431356933575124610162052',10673,'109',52.98,1,3,NULL),(20,5168996,'1992-09-22 00:00:00',4,2,12,2009,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241115131431328327275124610124182',13263,'83',47.88,1,3,NULL),(20,5169003,'1992-03-21 00:00:00',2,1,11,2009,'F','N','VENDAVAL','BIGUAÇU','SC','124241241116151431426629282124610113147',NULL,'257',24.55,1,2,1),(20,5169011,'1989-12-07 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215312411368813575114131464092',6094,'270',64.89,1,3,NULL),(20,5169020,'1991-11-03 00:00:00',4,1,12,2008,'M','N','VILA SANTA FRANCISCA','SOROCABA','SP','125252251214471431438821295112610162042',5896,'9998',63.65,1,3,NULL),(20,5169038,'1991-06-04 00:00:00',4,1,12,2009,'M','N','CAICARA','BIRIGÜI','SP','125253251417271431658832575112610167042',14712,'9998',48.67,1,3,NULL),(20,5169046,'1992-02-16 00:00:00',4,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241215111731469812575122610148042',9088,'407',59.80,1,3,NULL),(20,5169054,'1991-09-06 00:00:00',4,10,12,2009,'M','N','CENTRO','RIO FORTUNA','SC','124241241125131731334612142125610128047',NULL,'665',26.40,1,2,1),(20,5169070,'1992-02-06 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215272711479614444122610127062',5247,'262',66.58,1,3,NULL),(20,5169089,'1992-08-09 00:00:00',2,10,11,2009,'M','N','CENTRO','GR PARÁ','SC','124244241215112231446956295124610124142',NULL,'950',30.40,1,3,NULL),(20,5169097,'1992-05-22 00:00:00',4,8,12,2009,'F','N','CENTRO','S BENTO SUL','SC','124242241215271431478814575115610125042',NULL,'1114',0.00,1,3,NULL),(20,5169100,'1991-09-06 00:00:00',4,1,7,2009,'M','N','ASA NORTE','BRASÍLIA','DF','107073071117111431488813575122610134043',3699,'9998',70.29,1,3,NULL),(20,5169119,'1991-04-25 00:00:00',4,1,12,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161211471431548831571112610163127',4500,'9998',67.93,1,3,NULL),(20,5169127,'1990-10-01 00:00:00',4,6,12,2008,'F','N','ACLIMACAO','S PAULO','SP','125252251215371751348619571125610163147',4208,'9998',68.18,1,3,NULL),(20,5169135,'1992-04-08 00:00:00',2,5,11,2009,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111431546812125122610145012',NULL,'210',0.00,1,3,NULL),(20,5169143,'1992-01-14 00:00:00',4,8,11,2008,'M','N','NOVO MUNDO','CURITIBA','PR','116163161115571731466713572124610122012',406,'9998',85.01,1,3,NULL),(20,5169151,'1992-03-13 00:00:00',4,5,10,2009,'F','N','CENTRO','ORLEANS','SC','124242241215111411566712574112610133142',11819,'226',51.89,1,3,NULL),(20,5169160,'1982-10-15 00:00:00',2,1,12,2001,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241247126145711333471242122132367143',NULL,'9999',22.76,1,3,NULL),(20,5169178,'1990-09-13 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241216132431544312232334133217057',NULL,'1048',30.56,1,3,NULL),(20,5169186,'1988-05-18 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251251117131431326611385124610167057',NULL,'9998',42.10,1,2,1),(20,5169194,'1992-12-14 00:00:00',2,8,12,2009,'M','N','ESTRADINHA','PARANAGUÁ','PR','116164161415111231248611575112610167047',NULL,'9998',0.00,4,3,NULL),(20,5169208,'1993-03-12 00:00:00',2,1,12,2009,'F','N','CENTRO','CPO LARGO','PR','116161161217471331559932474124610117147',11194,'9998',52.60,1,3,NULL),(20,5169216,'1991-06-25 00:00:00',4,3,11,2008,'M','N','JARDIM PAULISTANO','S PAULO','SP','125252251217571431469934575124610166017',NULL,'9998',0.00,1,3,NULL),(20,5169224,'1991-09-25 00:00:00',2,1,12,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215372431468822575124221427142',1097,'983',79.99,1,3,NULL),(20,5169240,'1992-08-19 00:00:00',2,1,11,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215272432538831475124610167182',2533,'299',74.98,1,3,NULL),(20,5169259,'1991-07-23 00:00:00',2,1,12,2008,'F','N','KABRASOL','S JOSÉ','SC','124242241212372411567813492122232714077',NULL,'1077',25.41,1,3,NULL),(20,5169291,'1991-12-15 00:00:00',4,4,12,2008,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241415473431456631275124610164097',5241,'999',67.72,1,3,NULL),(20,5169305,'1992-12-01 00:00:00',4,2,12,2010,'M','S','JARDIM BLUMENAU','BLUMENAU','SC','124242243217151732577837575112610118182',NULL,'855',26.35,1,3,NULL),(20,5169313,'1991-06-23 00:00:00',4,5,11,2008,'F','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124244241216372451449614442124610137142',5229,'995',66.35,1,3,NULL),(20,5169321,'1993-06-28 00:00:00',2,9,12,2010,'M','S','CENTRO','S JOAQUIM','SC','124242241215111431449931495122610117052',NULL,'1035',29.18,1,3,NULL),(20,5169330,'1992-06-04 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241436111432454819275114610167067',7609,'1022',60.56,1,3,NULL),(20,5169348,'1990-12-31 00:00:00',4,16,12,2008,'M','N','CENTRO','BRUNÓPOLIS','SC','124241241147131431423431182321613212047',NULL,'911',0.00,1,2,1),(20,5169372,'1991-03-04 00:00:00',4,1,11,2008,'F','N','BROOKLIM','S PAULO','SP','125252251216471311646912575122610166142',NULL,'9998',0.00,1,3,NULL),(20,5169380,'1993-03-31 00:00:00',2,7,12,2009,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241216151731447614295122610162147',NULL,'446',20.74,1,3,NULL),(20,5169399,'1992-03-23 00:00:00',4,1,12,2009,'F','N','BARRO VERMELHO','VITÓRIA','ES','108082081215111431389916575122610132142',NULL,'9998',31.51,1,3,NULL),(20,5169402,'1991-05-11 00:00:00',4,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124241241115141731223624345124610123042',NULL,'307',14.80,2,1,1),(20,5169410,'1992-02-13 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111731338813575112610168017',NULL,'1022',28.53,1,3,NULL),(20,5169429,'1991-01-29 00:00:00',4,1,12,2008,'F','N','REDENTRA','S JOSÉ R PRETO','SP','125252251215471431448811575122610167142',NULL,'9998',0.00,1,3,NULL),(20,5169437,'1993-01-13 00:00:00',2,1,12,2009,'M','N','COLONIA SANTANA','S JOSÉ','SC','124241241215111411549613375124613233142',14195,'1022',47.66,1,3,NULL),(20,5169453,'1991-03-21 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241217123411336629572124232042073',6803,'1022',63.17,1,3,NULL),(20,5169461,'1991-12-26 00:00:00',4,8,11,2009,'F','N','BUCAREIN','JOINVILLE','SC','124242241216111432579914572122610122182',10722,'1063',54.02,1,3,NULL),(20,5169470,'1992-09-17 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241216111412537812575121610147085',NULL,'989',26.09,1,3,NULL),(20,5169496,'1992-11-21 00:00:00',4,15,12,2009,'M','N','CENTRO','ARARANGUÁ','SC','124242241215272431468839575121610137147',10341,'970',56.04,1,3,NULL),(20,5169518,'1993-08-30 00:00:00',4,10,11,2010,'M','S','HUMAITÁ','TUBARÃO','SC','124242241215111451468914575111610164095',NULL,'807',53.18,1,3,NULL),(20,5169526,'1993-10-08 00:00:00',4,5,11,2009,'F','N','MICHEL','CRICIÚMA','SC','124242241217111431458811472122610132142',7087,'213',63.65,1,3,NULL),(20,5169542,'1993-03-08 00:00:00',4,1,11,2009,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124244241215111431249822572224610122091',891,'270',81.94,1,3,NULL),(20,5169569,'1989-04-03 00:00:00',4,1,7,2007,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241116374731467613375114610167042',10312,'306',54.09,1,3,NULL),(20,5169577,'1992-07-14 00:00:00',4,1,12,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124162241215373431468912475114610124182',1125,'270',80.61,1,3,NULL),(20,5169585,'1986-04-14 00:00:00',4,1,12,2003,'F','N','CAMOBI','STA MARIA','RS','120201201316571431453829475114610161092',6746,'9998',62.73,1,3,NULL),(20,5169593,'1992-10-06 00:00:00',4,8,12,2009,'M','N','COLONIAL','S BENTO SUL','SC','124241241215112431356912326122610124092',4255,'1178',67.99,1,3,NULL),(20,5169607,'1992-05-26 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431568713572122610128142',11966,'262',50.56,1,3,NULL),(20,5169615,'1993-08-12 00:00:00',4,8,12,2010,'M','S','CENTRO','RIO SUL','SC','124242241217111441489911575122610124092',NULL,'991',50.14,1,3,NULL),(20,5169623,'1992-11-02 00:00:00',2,7,12,2009,'M','N','CENTRO','VARGEM BONITA','SC','124241242115131331433833155222610114082',NULL,'196',18.43,1,3,NULL),(20,5169631,'1991-08-29 00:00:00',4,1,12,2008,'F','N','YPE III','MOGI GUAÇU','SP','125253251117571431446823282124610132077',NULL,'9998',0.00,1,3,NULL),(20,5169640,'1988-11-18 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241216274421346823345124610117117',7843,'237',61.05,1,3,NULL),(20,5169658,'1991-09-06 00:00:00',4,10,12,2008,'F','N','CENTRO','BRAÇO NORTE','SC','124242241217471721448634372124610164147',2330,'806',75.04,1,3,NULL),(20,5169666,'1980-06-29 00:00:00',4,1,12,2000,'F','N','JURERE','FLORIANÓPOLIS','SC','124131131124131431124444341124141068097',NULL,'9998',43.56,1,2,1),(20,5169674,'1989-01-06 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241117574111378812597111610162017',8228,'262',59.60,1,3,NULL),(20,5169682,'1992-12-02 00:00:00',4,8,12,2009,'M','N','ITINGA','JOINVILLE','SC','124242241215161441583312375122610168192',NULL,'1063',0.00,1,3,NULL),(20,5169690,'1992-04-24 00:00:00',2,3,12,2009,'M','N','CENTRO','CAMBORIÚ','SC','624242241217111732545412345124610137052',NULL,'9997',12.98,1,3,NULL),(20,5169704,'1992-05-28 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115141431523659375124610163047',NULL,'293',27.06,1,2,1),(20,5169720,'1991-09-30 00:00:00',4,8,12,2008,'M','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161215471411358811595112610132115',14356,'9998',45.62,1,3,NULL),(20,5169739,'1984-06-01 00:00:00',2,1,12,2001,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241127272421333344345124130224057',11395,'812',53.72,1,2,1),(20,5169747,'1971-05-22 00:00:00',2,1,12,1989,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224162161211271431359641211122342264032',5003,'9998',68.32,1,3,NULL),(20,5169763,'1981-05-10 00:00:00',4,1,11,1998,'F','N','CENTRO','FLORIANÓPOLIS','SC','224252251212151411277712422132343266093',NULL,'9998',16.96,1,3,NULL),(20,5169771,'1993-03-17 00:00:00',4,1,12,2010,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241217111511449813575114610167045',NULL,'270',54.27,1,3,NULL),(20,5169780,'1992-02-19 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431469711575122610137092',5707,'270',64.13,1,3,NULL),(20,5169798,'1990-08-15 00:00:00',4,1,12,2007,'F','N','VILA INDEPENDENCIA','PIRACICABA','SP','125252251216571431248532572112610116042',1799,'9998',77.47,1,3,NULL),(20,5169801,'1986-05-24 00:00:00',4,1,12,2003,'M','N','OLIMPICO','S CAETANO SUL','SP','125251251115572431458832375122141442097',2856,'9998',73.45,1,2,1),(20,5169810,'1992-12-07 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431648832572114610125115',NULL,'1022',21.94,1,3,NULL),(20,5169836,'1992-12-07 00:00:00',4,3,12,2009,'M','N','PEREQUE','PTO BELO','SC','124204241116131431427719575121610162032',NULL,'630',0.00,1,3,NULL),(20,5169844,'1990-05-15 00:00:00',2,10,12,2007,'F','N','RIO BONITO','BRAÇO NORTE','SC','124241241115472431538612572124610161142',6539,'806',63.84,1,3,NULL),(20,5169852,'1988-03-25 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124121241115244751535329345124133226177',10717,'289',56.84,1,3,NULL),(20,5169860,'1993-02-11 00:00:00',4,2,12,2009,'F','N','SANTA RITA','BRUSQUE','SC','124242241215121431368914475122610124095',NULL,'109',18.37,1,3,NULL),(20,5169879,'1992-06-18 00:00:00',4,3,12,2009,'F','N','COSTA NERY','MINEIROS','GO','109092091216111431545954444121610167053',NULL,'9998',0.00,1,3,NULL),(20,5169887,'1990-01-14 00:00:00',4,8,12,2007,'F','N','ADHEMAR GARCIA','JOINVILLE','SC','124241241112271731633319242334610126042',NULL,'468',20.28,2,1,1),(20,5169895,'1991-08-30 00:00:00',4,1,12,2009,'M','N','CENTRO','APUCARANA','PR','116162161237111431458912424122610127142',NULL,'9998',31.67,1,3,NULL),(20,5169909,'1992-08-07 00:00:00',4,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241125141431433129245124610112172',NULL,'733',20.15,1,2,1),(20,5169917,'1992-05-05 00:00:00',2,3,12,2009,'F','N','MORRETES','ITAPEMA','SC','124241241117141431335632285121610141192',NULL,'405',0.00,1,2,1),(20,5169925,'1989-07-21 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241112141431333627211224610127112',NULL,'307',46.45,2,2,1),(20,5169968,'1993-01-15 00:00:00',4,4,12,2009,'F','N','SALATE','CONCÓRDIA','SC','124241241215151431646833275122610166152',8942,'1001',56.55,1,3,NULL),(20,5169976,'1992-08-22 00:00:00',4,1,7,2010,'F','S','CENTRO','STO AMARO IMPERATRIZ','SC','124242241115141322345633345124610121142',NULL,'739',21.02,1,3,NULL),(20,5170001,'1991-09-03 00:00:00',4,9,12,2008,'F','N','JARDIM ITÁLIA','CAXIAS SUL','RS','120201208215471231436834571124610134097',13614,'9998',46.84,1,3,NULL),(20,5170010,'1986-12-20 00:00:00',2,1,12,2005,'F','N','CAPÃO','GAROPABA','SC','124241241137271441258921596224221762092',15766,'307',45.21,1,3,NULL),(20,5170036,'1989-01-10 00:00:00',4,1,7,2007,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124252257232151411168817275122233267047',NULL,'9998',NULL,1,3,NULL),(20,5170044,'1991-04-10 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215132711333763346121233236077',12662,'770',53.01,1,3,NULL),(20,5170052,'1992-02-28 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124244241215112731456812295114610122147',NULL,'737',24.42,1,3,NULL),(20,5170060,'1983-03-31 00:00:00',2,1,12,2000,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241216154231538614485124322164037',14543,'52',49.14,1,3,NULL),(20,5170109,'1983-11-19 00:00:00',4,1,6,2006,'M','N','SERRARIA','S JOSÉ','SC','124241247147374421423314241114610168197',NULL,'946',39.60,1,2,1),(20,5170125,'1992-02-11 00:00:00',2,7,12,2009,'F','N','CENTRO','TREZE TÍLIAS','SC','124241241115241431226621282224610118147',NULL,'539',23.23,4,2,1),(20,5170133,'1992-09-12 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217112431348922575124610132072',NULL,'1022',46.21,1,3,NULL),(20,5170141,'1983-03-31 00:00:00',2,1,12,2000,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241216154431537614485124333264037',NULL,'52',0.00,1,3,NULL),(20,5170150,'1989-11-19 00:00:00',2,1,12,2006,'F','N','GUARUJÁ','PTO ALEGRE','RS','120202201116371441668833441124142126151',NULL,'9998',0.00,4,3,NULL),(20,5170168,'1990-11-01 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241235472431233924375114610133152',NULL,'883',0.00,1,3,NULL),(20,5170176,'1992-08-09 00:00:00',4,1,12,2009,'M','N','PALHOCINHA','GAROPABA','SC','124243241137131421538619575124610117087',NULL,'322',24.73,1,3,NULL),(20,5170192,'1992-08-08 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411337713572124610128182',NULL,'270',28.64,1,3,NULL),(20,5170206,'1991-07-12 00:00:00',4,1,12,2008,'F','N','BOQUEIRÃO','CURITIBA','PR','116214161216371431469714472114610134127',NULL,'9998',29.26,1,3,NULL),(20,5170214,'1990-03-03 00:00:00',2,1,11,2010,'M','S','PONTE IMARUIM','PALHOÇA','SC','124243246616271711526531381124610121067',NULL,'9999',25.48,4,3,NULL),(20,5170230,'1992-09-17 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124162241215111131478712291115610132045',13413,'270',51.57,1,3,NULL),(20,5170249,'1991-11-04 00:00:00',2,9,12,2009,'F','N','CENTRO','RIO SUL','SC','124242241212272731459611575122610165042',NULL,'959',24.19,1,3,NULL),(20,5170257,'1992-11-04 00:00:00',4,1,11,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241215151431448732595112610134142',NULL,'868',0.00,1,3,NULL),(20,5170265,'1990-12-23 00:00:00',4,3,12,2009,'M','N','MONTE CASTELO','CPO GRANDE','MS','112243121117371731438733285124610117057',NULL,'9998',15.54,1,3,NULL),(20,5170290,'1991-10-03 00:00:00',2,1,12,2008,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241111371232624454275124610134141',NULL,'288',20.21,4,2,1),(20,5170311,'1993-11-23 00:00:00',5,7,12,2009,'F','N','CAETANO BRANCO','LUZERNA','SC','124241241111271442436815574124610161092',8650,'539',57.62,1,2,1),(20,5170320,'1992-12-27 00:00:00',2,2,10,2009,'M','N','CENTRO','BRUSQUE','SC','124241241215131431228824575121610128057',8994,'1123',57.13,1,3,NULL),(20,5170338,'1988-09-20 00:00:00',2,1,11,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243248227372231421334575114610113075',NULL,'9999',22.70,4,1,2),(20,5170346,'1988-10-19 00:00:00',4,1,12,2005,'M','N','SANTA ROSA','PTO UNIÃO','SC','124161241415113412529513574111221023175',519,'633',84.42,4,3,NULL),(20,5170362,'1985-04-15 00:00:00',4,1,12,2008,'F','N','MORRETES','JOINVILLE','SC','124243241345471421656611325122330215172',NULL,'489',27.73,1,3,NULL),(20,5170370,'1992-09-18 00:00:00',4,10,11,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124241241417131431426814495122610142091',NULL,'809',23.30,1,3,NULL),(20,5170389,'1992-02-14 00:00:00',4,1,11,2009,'F','N','CENTRO','RIO VERDE','GO','109092091317111752536924575122610138182',NULL,'9998',14.65,1,3,NULL),(20,5170400,'1990-10-05 00:00:00',2,1,12,2007,'F','N','CANTO','FLORIANÓPOLIS','SC','124243241111372411456913245134130268197',NULL,'65',13.38,1,3,NULL),(20,5170419,'1992-04-17 00:00:00',4,6,12,2008,'F','N','HARMONIA','CANOAS','RS','120202201415371431346514475114610166071',9332,'9998',55.39,1,3,NULL),(20,5170427,'1988-06-09 00:00:00',2,8,12,2006,'M','N','GUANABARA','JOINVILLE','SC','124244241416152521646667115122130627052',NULL,'489',32.18,4,3,NULL),(20,5170435,'1979-05-10 00:00:00',4,1,12,1996,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','224244241116135421358554242122132322057',15605,'307',45.86,1,3,NULL),(20,5170451,'1988-05-04 00:00:00',2,1,11,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241214473411535729495124233228141',NULL,'1169',42.79,1,3,NULL),(20,5170460,'1990-07-25 00:00:00',1,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241435111431228724575124610122182',14495,'883',47.03,1,3,NULL),(20,5170478,'1990-01-12 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217373441488812493124610117131',10072,'1048',55.64,1,3,NULL),(20,5170486,'1990-05-16 00:00:00',4,8,12,2007,'F','N','ATIRADORES','JOINVILLE','SC','124202241215572431438813572112610164197',4374,'1063',69.77,1,3,NULL),(20,5170494,'1991-01-17 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111451289821572125610151092',9361,'262',57.41,4,3,NULL),(20,5170559,'1991-12-12 00:00:00',4,6,12,2009,'M','N','JARDIM BOTANICO','CURITIBA','PR','116164161314471321567931575124610167187',16080,'9998',43.56,1,3,NULL),(20,5170575,'1992-08-13 00:00:00',4,9,12,2009,'M','N','SÃO CRISTOVÃO','LAGES','SC','124241241115371432638831575121610127182',NULL,'935',20.93,1,3,NULL),(20,5170583,'1988-03-26 00:00:00',2,1,12,2006,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124243241216374431636313375123610127052',14582,'988',49.05,3,3,NULL),(20,5170630,'1987-07-11 00:00:00',2,8,12,2004,'F','N','JD IPANEMA','MARINGÁ','PR','116161161131131411212121111112610111191',NULL,'9998',23.05,1,2,1),(20,5170664,'1989-01-28 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251253217573431228644245124610166195',6680,'9998',62.09,1,3,NULL),(20,5170702,'1987-10-16 00:00:00',4,1,12,2005,'F','N','LAGOA BONITA','ENG COELHO','SP','125252251216572451589913474122610168197',1441,'9998',78.74,4,3,NULL),(20,5170710,'1991-09-27 00:00:00',3,1,5,2009,'F','N','CHACARRA CACHOEIRA','CPO GRANDE','MS','112122121215271451688933274122610127187',2644,'9998',73.64,1,3,NULL),(20,5170729,'1990-11-05 00:00:00',4,10,11,2008,'M','N','CENTRO','TUBARÃO','SC','124243241215472711537631292122610137047',16243,'806',41.98,1,3,NULL),(20,5170737,'1989-06-10 00:00:00',5,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216374431548819285124223267032',8818,'269',59.32,1,3,NULL),(20,5170745,'1991-04-24 00:00:00',4,1,12,2008,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124242241215373431656829592122610167052',14870,'1022',45.83,1,3,NULL),(20,5170761,'1983-03-01 00:00:00',2,1,11,2001,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124282288432141711239844342122341461162',16053,'9998',43.77,1,3,NULL),(20,5170770,'1983-03-07 00:00:00',4,15,12,2000,'M','N','COLONINHA','ARARANGUÁ','SC','224241241146271431337743332212131034117',NULL,'641',43.70,1,3,NULL),(20,5170788,'1989-07-25 00:00:00',4,1,9,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574421458613272114133267057',376,'262',85.65,1,3,NULL),(20,5170800,'1992-09-30 00:00:00',2,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215111441448814475122610122012',11715,'211',50.88,1,3,NULL),(20,5170818,'1992-05-13 00:00:00',4,8,11,2009,'F','N','GLÓRIA','JOINVILLE','SC','124242241215111411268611575112610162091',1057,'1063',80.96,1,3,NULL),(20,5170826,'1992-09-17 00:00:00',4,5,11,2009,'M','N','MICHEL','CRICIÚMA','SC','124242241215151431468812382115610144187',NULL,'211',16.44,1,3,NULL),(20,5170834,'1992-09-22 00:00:00',4,5,11,2009,'M','N','COMERCIARIO','CRICIÚMA','SC','124242241212113411469951292122610167092',5181,'211',65.76,1,3,NULL),(20,5170842,'1988-11-23 00:00:00',4,1,12,2006,'F','N','PINHEIROS','S PAULO','SP','225252251215572731479813575124610164197',2231,'9998',74.95,1,3,NULL),(20,5170850,'1992-02-11 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241216154431269953575122610134082',5551,'211',67.00,1,3,NULL),(20,5170869,'1992-02-10 00:00:00',2,8,12,2009,'M','N','BARRA DO SAI MIRIM','ITAPOÁ','SC','124241241216111731533831572124610167112',8468,'456',59.26,2,3,NULL),(20,5170877,'1992-02-17 00:00:00',4,5,11,2009,'M','N','PIO CORRÊA','CRICIÚMA','SC','124244241415132431428614575122610164142',NULL,'211',46.30,1,3,NULL),(20,5170885,'1991-12-16 00:00:00',4,5,11,2009,'F','N','PIO CORREA','CRICIÚMA','SC','124244241416112751345412571122610167143',8583,'211',59.13,1,3,NULL),(20,5170907,'1990-06-10 00:00:00',4,8,12,2007,'M','N','ALTO DA XV','CURITIBA','PR','116161161215471431448939575114610164057',995,'9998',80.61,3,3,NULL),(20,5170966,'1991-11-05 00:00:00',4,1,11,2008,'M','N','ARIRIU','PALHOÇA','SC','124242241216274421546612344134610118087',NULL,'1011',0.00,1,3,NULL),(20,5170974,'1991-05-01 00:00:00',4,1,11,2009,'M','N','JARDIM PORTUGAL','S JOSÉ CAMPOS','SP','125254253421111211118831221111610114143',NULL,'9998',0.00,1,3,NULL),(20,5170982,'1990-11-02 00:00:00',4,17,12,2007,'M','N','SANTA ROSA','PTO UNIÃO','SC','124244241215132451447934332124243227012',16041,'632',43.83,1,3,NULL),(20,5171008,'1978-10-11 00:00:00',2,1,12,1998,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','224241241127372411323359182214610166147',NULL,'289',52.78,1,2,1),(20,5171016,'1990-08-21 00:00:00',4,1,12,2008,'M','N','SANTA TEREZA','MARÍLIA','SP','125254251217471131558833575122610168042',13439,'9998',48.44,1,3,NULL),(20,5171024,'1991-11-17 00:00:00',2,1,12,2008,'F','N','FORQUILHAS','S JOSÉ','SC','124241244137141431436614242124610153012',NULL,'733',26.80,1,2,1),(20,5171032,'1992-03-05 00:00:00',4,1,12,2009,'F','N','JARDIM AVIAÇÃO','PRES PRUDENTE','SP','125252251215111431438711295122610127042',NULL,'9998',0.00,1,3,NULL),(20,5171040,'1991-02-14 00:00:00',4,5,12,2009,'M','N','LOTE SEIS','CRICIÚMA','SC','124242246215372451459832375112610164182',4478,'995',69.59,1,3,NULL),(20,5171059,'1990-10-20 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215272431369813375114220944077',10421,'1022',57.38,1,3,NULL),(20,5171067,'1991-12-07 00:00:00',4,6,12,2008,'F','N','NOSSA S APARECIDA','FRANCISCO BELTRÃO','PR','116162161215131421112444141324242765087',NULL,'9998',0.00,1,3,NULL),(20,5171075,'1989-04-24 00:00:00',4,5,12,2006,'F','N','CENTRO','CRICIÚMA','SC','124242241216574431458834572122610166072',326,'210',86.18,1,3,NULL),(20,5171091,'1992-04-27 00:00:00',4,8,11,2009,'F','N','SAO JOAO','CURITIBA','PR','116162161215411431459912572112610127142',NULL,'238',0.00,1,3,NULL),(20,5171121,'1988-07-02 00:00:00',4,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241216274431358622375122231264092',1792,'270',77.60,1,3,NULL),(20,5171130,'1992-01-22 00:00:00',2,1,12,2009,'F','N','BETÂNIA','ANGELINA','SC','124241241115161431443612372224610134142',11048,'17',53.58,1,2,1),(20,5171164,'1986-03-14 00:00:00',4,1,12,2003,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241211272431116648285124133225097',NULL,'272',0.00,1,3,NULL),(20,5171172,'1992-10-10 00:00:00',4,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124242241215271231557933395122610126142',5329,'1119',66.11,1,3,NULL),(20,5171180,'1991-06-28 00:00:00',4,1,12,2008,'M','N','CENTRO','BIGUAÇU','SC','124242241216372711457812275114610164092',6391,'262',65.15,1,3,NULL),(20,5171199,'1988-01-05 00:00:00',2,1,12,2006,'F','N','FUNDOS','BIGUAÇU','SC','124242241215574431353612575124610162072',9551,'270',57.42,4,3,NULL),(20,5171202,'1991-08-13 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116271711546313575124610124045',NULL,'298',25.52,4,2,1),(20,5171210,'1987-08-19 00:00:00',2,1,12,2004,'F','N','RIO GRANDE','PALHOÇA','SC','624241241142272431223354282313610125097',NULL,'96',39.61,1,2,1),(20,5171229,'1976-02-20 00:00:00',2,1,12,1999,'F','N','FORQUILHINHAS','S JOSÉ','SC','524241241127274711223344341124610112147',NULL,'728',29.80,1,2,1),(20,5171237,'1991-12-03 00:00:00',2,17,12,2008,'F','N','CENTRO','NOVO ITACOLOMI','PR','116161161146471431446933575114610124057',NULL,'9998',0.00,1,2,1),(20,5171245,'1992-03-27 00:00:00',2,3,12,2008,'F','N','CENTRO','MAMBORÊ','PR','116161161116571431555615575125610134142',14721,'9998',45.74,3,2,1),(20,5171253,'1991-09-18 00:00:00',4,2,11,2009,'M','N','CENTRO','BLUMENAU','SC','124241241417161421374772242122610124057',NULL,'49',10.28,1,3,NULL),(20,5171270,'1984-08-04 00:00:00',5,1,11,2001,'F','N','SERRARIA','S JOSÉ','SC','124241241116133431225353345124610118187',NULL,'657',46.19,1,2,1),(20,5171288,'1992-02-12 00:00:00',4,1,12,2008,'F','N','LA SALLE','PATO BRANCO','PR','116161161117471111436613395112610164194',15629,'9998',41.67,1,2,1),(20,5171296,'1990-01-30 00:00:00',2,1,12,2007,'F','N','AREIAS','S JOSÉ','SC','124241241127273431343729245114610163077',13797,'262',49.38,1,3,NULL),(20,5171300,'1992-12-25 00:00:00',2,1,12,2009,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241117471431446713575124610137037',7405,'298',60.72,1,2,1),(20,5171326,'1986-12-21 00:00:00',2,1,12,2003,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241251616373431113311482124610167057',3348,'9998',71.23,1,3,NULL),(20,5171342,'1991-07-07 00:00:00',4,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241216432411338714585114610121147',NULL,'1048',34.06,1,3,NULL),(20,5171350,'1991-07-08 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241116372441433524346124610123017',NULL,'288',27.53,1,2,1),(20,5171369,'1990-03-01 00:00:00',4,1,12,2007,'M','N','FLORESTA','S JOSÉ','SC','124162241215371431488613425122130267032',NULL,'1036',24.83,1,3,NULL),(20,5171377,'1992-05-28 00:00:00',4,6,12,2009,'F','N','CIDADE NOVA','ITAJAÍ','SC','124241241117131431323324345121610114147',NULL,'400',0.00,1,2,1),(20,5171407,'1992-08-18 00:00:00',2,1,12,2009,'M','N','ARIRIU','PALHOÇA','SC','124241241125111431436634285124610127142',NULL,'593',26.12,1,2,1),(20,5171415,'1991-12-10 00:00:00',4,1,12,2008,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241214372431436614346324610126095',14334,'459',45.75,1,3,NULL),(20,5171431,'1992-04-30 00:00:00',4,1,12,2009,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124244241415331411627621584124610164147',14355,'307',47.28,1,3,NULL),(20,5171440,'1972-02-24 00:00:00',4,1,12,1989,'F','N','BOM VIVER','BIGUAÇU','SC','524203201132131731426354282224242712143',NULL,'9998',25.82,4,3,NULL),(20,5171458,'1986-12-05 00:00:00',2,1,12,2004,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216473441476612475124221433162',3395,'213',72.38,1,3,NULL),(20,5171482,'1993-05-14 00:00:00',2,4,12,2009,'F','N','CENTRO','ÁGUAS CHAPECÓ','SC','124241241116161431348933575122610163052',NULL,'10',15.57,1,2,1),(20,5171490,'1991-06-21 00:00:00',4,8,12,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215421431478714575122610115072',NULL,'9998',0.00,4,3,NULL),(20,5171504,'1992-09-13 00:00:00',4,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215113431478823472124610124192',11723,'270',52.00,1,3,NULL),(20,5171520,'1991-10-30 00:00:00',4,8,12,2009,'M','N','BATEL','CURITIBA','PR','116161161415471411447612145122610143182',NULL,'9998',0.00,1,3,NULL),(20,5171555,'1990-06-04 00:00:00',4,1,12,2007,'F','N','FLORESTA','GRAMADO','RS','120203201117161731446332345122241442197',NULL,'9998',18.77,1,3,NULL),(20,5171580,'1992-03-16 00:00:00',2,1,12,2009,'F','N','CAMPO DUNA','GAROPABA','SC','124241241117131231512319572324610134147',NULL,'1136',30.60,1,2,1),(20,5171610,'1992-01-27 00:00:00',2,2,12,2009,'M','N','INTERIOR','RIO OESTE','SC','124241242116111431434319595222610127142',NULL,'662',0.00,1,3,NULL),(20,5171628,'1982-06-23 00:00:00',2,1,12,2001,'M','N','RIO GRANDE','PALHOÇA','SC','624241241121535421223744441323610117047',12283,'591',53.80,1,3,NULL),(20,5171636,'1989-12-14 00:00:00',4,1,12,2006,'M','N','CENTRO','RIO SUL','SC','124241241217514411479511592124610114052',6853,'991',64.15,1,3,NULL),(20,5171644,'1991-01-04 00:00:00',4,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242248215472411538812272124610162077',10364,'270',57.49,1,3,NULL),(20,5171652,'1987-05-04 00:00:00',2,9,12,2005,'F','N','JARDIM ATLÂNTICO','CANOAS','RS','120201201116571411337679571124610132177',7449,'9998',60.88,1,2,1),(20,5171660,'1987-01-07 00:00:00',4,1,12,2004,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125254251217571441358923271122141057047',NULL,'9998',36.64,1,3,NULL),(20,5171679,'1990-09-22 00:00:00',2,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117372231466923476114610164082',10305,'307',57.61,1,2,1),(20,5171695,'1986-04-28 00:00:00',4,1,12,2005,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241211574431238813372224232567147',16100,'1022',43.42,1,3,NULL),(20,5171709,'1987-03-07 00:00:00',2,1,12,2005,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241116374441446611431124610164147',12610,'64',49.61,1,2,1),(20,5171725,'1991-04-15 00:00:00',4,1,12,2008,'F','N','JUVEVE','CURITIBA','PR','116162161215411431468814575122610132182',NULL,'9998',28.43,1,3,NULL),(20,5171750,'1990-02-24 00:00:00',4,1,12,2007,'M','N','CENTRO','PARANAVAÍ','PR','116161161413373211438823413111141616017',12787,'9998',52.77,1,3,NULL),(20,5171768,'1992-02-05 00:00:00',4,1,7,2009,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124242247215471431469931571122610136095',NULL,'9999',27.41,4,3,NULL),(20,5171784,'1992-04-20 00:00:00',4,1,12,2009,'F','N','JARDIM SÃO MARCOS','JABOTICABAL','SP','125252251217111432568811572122610167142',NULL,'9998',24.26,1,3,NULL),(20,5171792,'1976-11-25 00:00:00',4,1,12,1994,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124202201212271731148632122122141467041',13215,'9998',51.93,1,3,NULL),(20,5171806,'1990-09-02 00:00:00',4,1,10,2009,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242247215371431458614215122610131187',NULL,'9999',55.87,1,3,NULL),(20,5171822,'1991-04-01 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124122121216412431558832575124610127057',12137,'9998',50.70,4,1,2),(20,5171830,'1991-08-12 00:00:00',2,3,6,2009,'M','N','CIDADE JARDIM','S JOSÉ PINHAIS','PR','116161161327271531435533341112610114047',NULL,'9998',0.00,1,3,NULL),(20,5171857,'1990-06-04 00:00:00',4,8,12,2007,'M','N','ZONA UM','CIANORTE','PR','116164161116511711438832171122610117055',603,'9998',83.30,1,3,NULL),(20,5171865,'1988-08-30 00:00:00',2,1,8,2006,'F','N','BARREIROS','S JOSÉ','SC','124242241116472131333623345132610134187',12641,'306',50.51,4,3,NULL),(20,5171873,'1991-12-12 00:00:00',4,4,11,2009,'F','N','SAIC','CHAPECÓ','SC','124243241115371431333623392114610136017',NULL,'169',22.24,1,3,NULL),(20,5171881,'1992-08-03 00:00:00',2,1,12,2009,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241115371441446611575124610164147',12055,'64',51.94,1,2,1),(20,5171938,'1979-10-10 00:00:00',4,1,12,1996,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241316154712336851271114321566045',5358,'269',67.42,1,3,NULL),(20,5171954,'1989-06-08 00:00:00',4,1,12,2006,'F','N','CABRAL','CURITIBA','PR','116162161216371731449812445134142863197',NULL,'9998',0.00,1,3,NULL),(20,5171970,'1990-07-25 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241315272431336673382124610167012',NULL,'292',27.46,4,3,NULL),(20,5171997,'1972-11-27 00:00:00',4,1,11,1998,'F','N','TAPERA','FLORIANÓPOLIS','SC','624161243136273421544442125132610162042',NULL,'306',43.47,1,2,1),(20,5172004,'1990-08-25 00:00:00',2,1,12,2007,'F','N','ITAPIRANGA','ITAPIRANGA','SC','124241241112132431438313434324130823187',NULL,'965',47.71,1,2,1),(20,5172012,'1983-08-25 00:00:00',2,1,11,2001,'F','N','PASSA VINTE','PALHOÇA','SC','224241241146273431433554345122130725187',NULL,'591',28.63,1,2,1),(20,5172020,'1990-08-14 00:00:00',4,8,12,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215472431457714574112610167047',NULL,'931',32.51,1,3,NULL),(20,5172039,'1984-02-08 00:00:00',4,1,12,2001,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215574431458814572124241764092',NULL,'262',0.00,1,3,NULL),(20,5172071,'1991-01-13 00:00:00',4,9,12,2008,'M','N','MEDIANEIRA','VERANÓPOLIS','RS','120204201216471441337431574124610145192',5602,'9998',64.06,1,3,NULL),(20,5172080,'1992-08-17 00:00:00',4,5,12,2009,'F','N','VOLTA REDONDA','TREVISO','SC','124241241116131131436615575124610166141',NULL,'792',24.98,1,3,NULL),(20,5172101,'1991-06-09 00:00:00',2,7,12,2008,'F','N','CENTRO','PIRATUBA','SC','124241241136372431244823575124131468171',4802,'619',68.04,1,2,1),(20,5172110,'1991-05-22 00:00:00',4,1,11,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241416472431333924572224610143191',NULL,'1022',29.57,1,3,NULL),(20,5172128,'1982-03-08 00:00:00',5,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161161116145421448831445134220268182',NULL,'9998',48.98,1,3,NULL),(20,5172152,'1989-05-26 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124243241316132411436639276124233265181',NULL,'1036',0.00,1,3,NULL),(20,5172160,'1974-10-20 00:00:00',4,1,12,1992,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241243117434431123644445115610167042',16124,'357',43.26,1,2,1),(20,5172179,'1973-08-04 00:00:00',4,1,12,1993,'F','N','MAR GROSSO','LAGUNA','SC','124241241117374421123341315124610124147',NULL,'659',28.44,1,3,NULL),(20,5172187,'1988-06-07 00:00:00',4,1,11,2005,'M','N','JUNQUEIRA','LINS','SP','125252251216271431488612445132140224092',13350,'9998',51.66,1,3,NULL),(20,5172209,'1992-06-25 00:00:00',2,1,12,2009,'M','N','CENTRO','NOVO HAMBURGO','RS','120202201216371431469814571122610164043',NULL,'9998',0.00,1,3,NULL),(20,5172217,'1990-08-20 00:00:00',2,10,12,2008,'F','N','HUMAITA DE CIMA','TUBARÃO','SC','124244241215473431428612392122610122097',14725,'797',48.64,1,3,NULL),(20,5172225,'1990-09-27 00:00:00',4,1,11,2007,'M','N','JARDIM CAMPOS ELISEO','CAMPINAS','SP','125251251116571411443464181124610132142',5140,'9998',65.91,1,2,1),(20,5172233,'1991-08-24 00:00:00',4,7,12,2008,'F','N','CENTRO','VARGEM','SC','124241241126371431533311575124610136187',NULL,'1082',0.00,4,2,1),(20,5172241,'1990-02-08 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216132431625634575114610124172',NULL,'270',28.67,1,3,NULL),(20,5172250,'1990-04-27 00:00:00',2,8,12,2007,'M','N','VILA NOVA CONCEIÇÃO','S PAULO','SP','125254251215471311259714372114241862042',NULL,'9998',0.00,1,3,NULL),(20,5172268,'1987-09-10 00:00:00',2,1,12,2005,'M','N','MORUMBI','UBERABA','MG','113273131136471751326869571325610164047',1624,'9998',77.39,4,3,NULL),(20,5172276,'1991-12-11 00:00:00',4,7,12,2009,'M','N','CENTRO','CAPINZAL','SC','124243241235271441368732325124610167042',1462,'1093',79.04,1,3,NULL),(20,5172306,'1983-10-26 00:00:00',2,1,12,2002,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241215375431646619471114122922187',9026,'269',57.04,1,3,NULL),(20,5172314,'1992-07-11 00:00:00',4,2,12,2009,'F','N','CENTRO','GASPAR','SC','124242161215121231126921575124610166172',12180,'9998',51.84,4,3,NULL),(20,5172322,'1990-11-29 00:00:00',4,1,12,2007,'M','N','SANTOS DUMONT','PARANAVAÍ','PR','116161161216572432548611412312140214015',16101,'9998',43.41,1,3,NULL),(20,5172330,'1987-12-07 00:00:00',2,1,12,2005,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124252241215572731648822345124131043182',NULL,'262',0.00,1,3,NULL),(20,5172349,'1992-02-28 00:00:00',4,1,11,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215121431478612595114610137045',NULL,'1022',33.66,1,3,NULL),(20,5172365,'1990-08-22 00:00:00',4,1,12,2008,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241117272411466834375124610168162',3061,'306',72.26,1,3,NULL),(20,5172373,'1973-04-22 00:00:00',4,1,6,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124223241241131421548623485124610154192',NULL,'9999',0.00,4,3,NULL),(20,5172381,'1985-12-14 00:00:00',4,1,12,2003,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241117271421666319385124133227047',15547,'307',46.12,1,2,1),(20,5172403,'1987-03-09 00:00:00',4,1,12,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124212261216374431468814575124221432012',3949,'9998',70.74,1,3,NULL),(20,5172411,'1993-06-07 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161215111411368813571124610146142',1663,'9998',78.21,3,3,NULL),(20,5172420,'1993-05-08 00:00:00',4,1,12,2010,'M','S','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241217111431469813575124610137063',NULL,'1118',13.61,1,3,NULL),(20,5172438,'1987-11-10 00:00:00',2,3,11,2005,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241136132712546613335123610127047',NULL,'278',0.00,1,2,1),(20,5172462,'1990-07-01 00:00:00',2,15,12,2007,'M','N','ZONA RURAL','SERINGUEIRAS','RO','122223221432472751425732575112613267057',NULL,'9998',0.00,1,3,NULL),(20,5172470,'1991-10-12 00:00:00',4,10,11,2008,'F','N','TERMAS','GRAVATAL','SC','124242241217373431359931595124610124181',9897,'807',58.37,1,3,NULL),(20,5172497,'1983-02-07 00:00:00',2,15,12,2003,'M','N','SANGA DA AREIA','ARARANGUÁ','SC','124241241122111721311444242343610162041',NULL,'852',5.24,1,3,NULL),(20,5172500,'1993-03-31 00:00:00',4,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124242241215121411469612595112610118112',15517,'807',46.23,1,3,NULL),(20,5172519,'1992-12-16 00:00:00',2,5,10,2009,'F','N','SANTA BARBARA','CRICIÚMA','SC','124242241215121421446712445112610164047',NULL,'9997',28.34,1,3,NULL),(20,5172527,'1992-01-30 00:00:00',4,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124241241115231431633534281124610117057',NULL,'734',20.94,1,3,NULL),(20,5172551,'1992-05-04 00:00:00',2,1,11,2009,'F','N','CENTRO','S JOAQUIM','SC','124242241212161711428814575122610118192',NULL,'942',20.13,1,3,NULL),(20,5172560,'1990-04-10 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124214241317273431659839345124133222087',9243,'733',59.53,1,3,NULL),(20,5172578,'1993-10-01 00:00:00',4,1,12,2010,'M','S','BARREIROS','S JOSÉ','SC','124252241237121731346811575122610132172',NULL,'723',62.60,1,3,NULL),(20,5172586,'1991-09-20 00:00:00',2,5,12,2008,'M','N','SANTA ANA','FORQUILHINHA','SC','124242246216131331449524345221610117052',12725,'995',52.88,1,3,NULL),(20,5172594,'1992-03-05 00:00:00',2,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241116371431436514375124610118193',12938,'278',50.30,1,2,1),(20,5172608,'1992-12-15 00:00:00',2,7,12,2009,'F','N','LINHA VISTA ALEGRE','JABORÁ','SC','124241241115131131633315572224610137057',NULL,'418',0.00,1,2,1),(20,5172624,'1993-06-16 00:00:00',2,7,12,2009,'F','N','CENTRO','CATANDUVAS','SC','124242241136271431546933575124610133142',NULL,'161',0.00,1,3,NULL),(20,5172632,'1992-09-21 00:00:00',2,6,12,2009,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124241241117161431346923435122610145012',NULL,'425',24.24,1,2,1),(20,5172640,'1989-03-05 00:00:00',4,16,12,2006,'F','N','CENTRO','STA CECÍLIA','SC','124241241116141421424623345124132763147',NULL,'686',8.66,1,2,1),(20,5172659,'1988-11-06 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217374431249613272114120832187',NULL,'262',32.72,4,3,NULL),(20,5172667,'1992-05-15 00:00:00',2,1,12,2009,'M','N','NHAPINDAZAL','IRATI','PR','116163161316131531316629572124610124067',NULL,'9998',0.00,1,3,NULL),(20,5172675,'1992-02-19 00:00:00',4,8,12,2009,'M','N','NAZARÉ','CONCÓRDIA','SC','124241246215141431436632125122610127143',NULL,'1001',26.83,1,3,NULL),(20,5172691,'1987-05-03 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124132131337131731438931115224140264111',9944,'9998',53.60,4,3,NULL),(20,5172705,'1992-07-29 00:00:00',4,9,11,2009,'M','N','BRUSQUE','LAGES','SC','124242241415211431466932575122610164192',5760,'499',63.37,1,3,NULL),(20,5172721,'1991-04-18 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241215472751368833575114610162122',NULL,'497',0.00,1,3,NULL),(20,5172730,'1992-09-02 00:00:00',4,4,11,2009,'M','N','FÁTIMA','ERECHIM','RS','120202201217271411345812275122610127042',NULL,'9998',0.00,1,3,NULL),(20,5172748,'1992-07-10 00:00:00',4,4,12,2009,'M','N','INTERLAGOS','PALOTINA','PR','116161161117141431438912295121610167047',14464,'9998',46.05,1,2,1),(20,5172756,'1992-07-06 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124241241115271431446634272124610132047',NULL,'734',22.91,1,2,1),(20,5172764,'1992-03-19 00:00:00',2,1,11,2008,'F','N','CENTRO','CURITIBA','PR','116162161216272411346613572114140263117',6597,'9998',62.64,1,3,NULL),(20,5172780,'1986-05-06 00:00:00',4,8,11,2007,'M','N','UBERABA','CURITIBA','PR','116161167445471331643334341124610156097',NULL,'9998',22.15,1,3,NULL),(20,5172802,'1992-02-09 00:00:00',4,1,12,2009,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126111632424534225124610167047',NULL,'290',20.72,1,2,1),(20,5172810,'1992-07-29 00:00:00',2,7,12,2009,'F','N','SANTO ANTÔNIO','FRAIBURGO','SC','124244241215111331359834575122610134012',NULL,'317',28.06,1,3,NULL),(20,5172845,'1992-10-20 00:00:00',2,4,12,2009,'M','N','IMIGRANTES','CONCÓRDIA','SC','124241241117131751528669575122610134052',NULL,'192',0.00,1,3,NULL),(20,5172861,'1992-04-29 00:00:00',4,1,11,2009,'F','N','CANTO','FLORIANÓPOLIS','SC','124242241215131431456724572122610123077',10975,'273',53.91,1,3,NULL),(20,5172870,'1990-08-04 00:00:00',2,1,12,2007,'M','N','MARGARIDA','CPO GRANDE','MS','112123121336141431246633345124640461042',NULL,'9998',0.00,4,3,NULL),(20,5172896,'1992-10-12 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124242241216151231246923335112610147047',12428,'1040',53.50,1,3,NULL),(20,5172900,'1992-11-19 00:00:00',4,17,12,2009,'M','N','CENTRO','LAGES','SC','124243248217121441426814576124610165182',NULL,'1106',0.00,5,3,NULL),(20,5172926,'1992-05-29 00:00:00',4,1,12,2008,'F','N','CENTRO','PALHOÇA','SC','624242241217153441457923212115610163077',8244,'1075',61.39,4,3,NULL),(20,5172934,'1993-03-19 00:00:00',2,10,12,2009,'F','N','CENTRO','BRAÇO NORTE','SC','124244241217111731468812572122610118057',NULL,'9997',24.00,1,3,NULL),(20,5172950,'1992-11-22 00:00:00',4,1,12,2009,'M','N','CHAMPAGNE','GARIBALDI','RS','120201201117131431628831276124610132197',NULL,'9998',26.48,1,2,1),(20,5172969,'1992-07-16 00:00:00',4,2,11,2009,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215111441469512495122610124122',5911,'855',65.69,1,3,NULL),(20,5172993,'1991-07-30 00:00:00',4,10,12,2008,'F','N','UNIÃO','BRAÇO NORTE','SC','124241241217473431233923292224610123057',3289,'226',72.05,1,3,NULL),(20,5173000,'1992-01-29 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431459713572122610167015',NULL,'1022',29.64,1,3,NULL),(20,5173019,'1989-10-25 00:00:00',4,7,12,2006,'M','N','CENTRO','CONCÓRDIA','SC','124241241415572431438833391214610164092',9151,'192',57.79,1,3,NULL),(20,5173027,'1990-10-31 00:00:00',4,1,12,2009,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124241241115111431469614575124610124145',NULL,'267',29.51,1,2,1),(20,5173060,'1992-03-04 00:00:00',2,5,12,2008,'F','N','CENTRO','CAPÃO CANOA','RS','120201201115472431224724372224610137112',NULL,'9998',0.00,1,2,1),(20,5173086,'1992-04-11 00:00:00',4,1,12,2009,'F','N','AMBRÓSIO DE DENTRO','GAROPABA','SC','124241241125131421423534272224610116142',NULL,'322',17.92,1,2,1),(20,5173094,'1988-08-17 00:00:00',4,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124244248217132431467614345122133234182',NULL,'9997',27.97,1,3,NULL),(20,5173108,'1991-05-15 00:00:00',4,1,12,2008,'F','N','PINHEIRINHO','CURITIBA','PR','116164161317371431526619275114610132032',NULL,'9998',0.00,1,3,NULL),(20,5173116,'1992-08-16 00:00:00',4,1,12,2009,'M','N','REAL PARQUE','S JOSÉ','SC','124243248617111652435332116124613247112',NULL,'9999',15.80,1,3,NULL),(20,5173124,'1992-10-23 00:00:00',4,1,10,2009,'M','N','CENTRO','CASCAVEL','PR','116162161217121431448812575122610137042',NULL,'9998',41.10,1,3,NULL),(20,5173132,'1989-12-26 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211473431438831594112610148052',4557,'262',68.85,1,3,NULL),(20,5173140,'1989-11-22 00:00:00',4,8,12,2007,'F','N','JARDIM DA FONTE','CACHOEIRA PAULISTA','SP','125252251537371431458714275124141324187',NULL,'9998',0.00,1,3,NULL),(20,5173167,'1993-01-21 00:00:00',2,4,12,2009,'M','N','CENTRO','VARGEÃO','SC','124244241116271431336923575124610167042',NULL,'824',0.00,1,3,NULL),(20,5173175,'1987-05-10 00:00:00',4,1,12,2004,'M','N','CENTRO','RANCHO QUEIMADO','SC','124241241122131421424923113122610118187',NULL,'649',39.41,1,2,1),(20,5173183,'1991-05-27 00:00:00',1,8,12,2008,'M','N','BIGORRILHO','CURITIBA','PR','116163161217371431458831575124610142042',NULL,'9998',55.96,1,3,NULL),(20,5173191,'1990-10-10 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242247217151231447724345114610136077',NULL,'9999',0.00,1,3,NULL),(20,5173213,'1992-07-27 00:00:00',4,2,11,2009,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124242248215111431476812521112610164092',NULL,'909',0.00,1,3,NULL),(20,5173221,'1992-06-02 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117372431446619375112610112047',NULL,'292',0.00,1,2,1),(20,5173248,'1991-10-04 00:00:00',2,1,12,2008,'F','N','CRISTAL','PTO ALEGRE','RS','120202204316471731256923575124610124091',NULL,'9998',0.00,1,3,NULL),(20,5173256,'1991-12-20 00:00:00',2,1,12,2008,'M','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120201201216471431447933571114610117093',2478,'9998',73.83,1,3,NULL),(20,5173280,'1992-11-19 00:00:00',4,1,12,2010,'F','S','CENTRO','S JOSÉ','SC','124242241215111431568834572122610161182',NULL,'270',NULL,1,3,NULL),(20,5173299,'1990-09-22 00:00:00',4,8,11,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241215121431348839495112610138122',NULL,'1063',26.87,1,3,NULL),(20,5173302,'1987-03-29 00:00:00',4,1,12,2004,'M','N','VILA ROMANA','S PAULO','SP','125252251216571431438814275124141238047',NULL,'9998',NULL,1,3,NULL),(20,5173310,'1990-05-11 00:00:00',4,8,12,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215372431469913576112133234117',NULL,'457',0.00,1,3,NULL),(20,5173337,'1990-05-22 00:00:00',4,1,12,2007,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215573231688811595122121427042',189,'1022',88.12,2,1,2),(20,5173361,'1989-11-24 00:00:00',4,1,6,2008,'M','N','SETOR JAO','GOIÂNIA','GO','109094247416472411369931475114610162012',9599,'9999',56.09,1,3,NULL),(20,5173370,'1990-10-01 00:00:00',2,9,12,2007,'M','N','PLANALTO','VACARIA','RS','120202201216572751526415595122610167042',6741,'9998',62.15,1,3,NULL),(20,5173400,'1992-06-17 00:00:00',4,1,12,2009,'F','N','SANTA CRUZ','GUARAPUAVA','PR','116162161215131451234614142124610164177',11902,'9998',54.56,1,3,NULL),(20,5173426,'1991-11-23 00:00:00',2,1,12,2008,'F','N','JARDIM BOTANICO','CURITIBA','PR','116162161215272431247831315124610167117',2906,'9998',73.80,1,3,NULL),(20,5173434,'1992-03-25 00:00:00',4,7,12,2009,'M','N','CIDADE ALTA','VIDEIRA','SC','124241241116151531436314245124610114057',NULL,'831',21.33,1,2,1),(20,5173442,'1988-06-28 00:00:00',4,1,7,2008,'M','N','TAPERA','FLORIANÓPOLIS','SC','124243241327132432459613285114610114017',NULL,'300',23.53,4,3,NULL),(20,5173469,'1991-03-25 00:00:00',4,1,11,2007,'F','N','VILA CARMEN','PASSO FUNDO','RS','120203201117572431558833572124610165097',2247,'9998',74.33,1,3,NULL),(20,5173485,'1991-06-17 00:00:00',4,1,12,2008,'M','N','CENTRO','INDAIATUBA','SP','125252251216413441435823175112110167043',6356,'9998',62.59,3,3,NULL),(20,5173515,'1993-02-16 00:00:00',2,7,11,2009,'F','N','REGINA','CATANDUVAS','SC','124244241235271431446413574124610132144',NULL,'454',27.67,1,3,NULL),(20,5173531,'1992-01-05 00:00:00',4,5,12,2008,'M','N','COLONINHA','ARARANGUÁ','SC','124242241215372431448932245112610144032',8823,'32',58.35,1,3,NULL),(20,5173574,'1993-12-13 00:00:00',4,9,12,2010,'F','S','CENTRO','OTACÍLIO COSTA','SC','124244241214111431478811572124610122097',NULL,'499',0.00,1,3,NULL),(20,5173582,'1993-09-29 00:00:00',2,10,11,2009,'M','N','VILA NOVA','IMBITUBA','SC','124243241211112421456631582122610117141',NULL,'807',33.14,1,3,NULL),(20,5173620,'1992-07-10 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247417371441359831475125610167045',16276,'270',41.21,1,3,NULL),(20,5173647,'1992-03-02 00:00:00',2,2,12,2009,'M','N','CENTRO','BRUSQUE','SC','124242241215271732463717575125610137061',9205,'107',59.60,1,3,NULL),(20,5173663,'1991-12-29 00:00:00',2,6,12,2008,'F','N','LINDÓIA','CURITIBA','PR','116241161116371431225629392334610122147',NULL,'9998',34.13,1,2,1),(20,5173671,'1993-01-14 00:00:00',4,6,11,2009,'F','N','CENTRO','PATO BRANCO','PR','116162161215111741458832574125610167097',NULL,'9998',0.00,1,3,NULL),(20,5173680,'1993-07-15 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111411248924572112610127142',NULL,'262',27.18,1,3,NULL),(20,5173698,'1992-01-31 00:00:00',4,4,11,2009,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241215371531288912322122610167142',NULL,'185',0.00,4,3,NULL),(20,5173701,'1989-12-31 00:00:00',4,7,12,2006,'M','N','SÃO MIGUEL','CONCÓRDIA','SC','124243241115574431456619295214610168057',6008,'192',65.72,1,3,NULL),(20,5173710,'1984-02-19 00:00:00',4,1,12,2003,'F','N','JARDIM ZANELLATO','S JOSÉ','SC','124201241127131431533434281114610164142',NULL,'277',27.46,1,2,1),(20,5173728,'1990-04-22 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217274431658934495122233237022',NULL,'270',0.00,1,3,NULL),(20,5173736,'1989-08-10 00:00:00',4,8,12,2006,'F','N','CENTRO','PATO BRANCO','PR','116162161216573751479631574124610163017',10736,'9998',56.80,1,3,NULL),(20,5173744,'1990-11-25 00:00:00',2,4,12,2007,'M','N','CENTRO','JARDINÓPOLIS','SC','124241241616572411223344442325610167187',6834,'295',64.18,1,3,NULL),(20,5173752,'1992-03-05 00:00:00',2,2,12,2009,'M','N','AZAMBUJA','BRUSQUE','SC','124242241215111431346934375122610137042',15951,'107',44.39,1,3,NULL),(20,5173760,'1991-07-25 00:00:00',4,8,11,2008,'M','N','PARANAGUAMIRIM','JOINVILLE','SC','124243241215472411335311576214610164017',520,'1016',84.42,3,3,NULL),(20,5173787,'1988-09-19 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215575431378933572125610122097',10342,'270',55.95,1,3,NULL),(20,5173795,'1992-06-16 00:00:00',4,15,12,2009,'F','N','CENTRO','MELEIRO','SC','124241241145141231424614241121610127072',NULL,'559',0.00,1,2,1),(20,5173809,'1992-06-10 00:00:00',4,1,11,2009,'M','N','JARDIM JANAINA','BIGUAÇU','SC','124243241215111431644313375124610127042',NULL,'1118',0.00,1,3,NULL),(20,5173817,'1992-04-24 00:00:00',2,4,11,2009,'F','N','SÃO CRISTOVÃO','FRANCISCO BELTRÃO','PR','116162161215371732356621585112610164017',11612,'9998',51.88,1,3,NULL),(20,5173833,'1985-01-18 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201247346371411536913145124543228027',NULL,'9998',12.83,1,3,NULL),(20,5173850,'1992-03-17 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241345111431547514375114610127042',NULL,'1022',24.56,4,3,NULL),(20,5173892,'1992-01-24 00:00:00',2,1,11,2009,'F','N','BELA VISTA I','S JOSÉ','SC','124242241215121431546934242124610168142',NULL,'723',26.74,1,3,NULL),(20,5173906,'1992-04-08 00:00:00',2,1,12,2009,'F','N','VENDAVAL','BIGUAÇU','SC','124242241215111731455612295112610164192',NULL,'1118',40.32,1,3,NULL),(20,5173949,'1989-05-25 00:00:00',4,1,12,2006,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','624241241127131431325354342214130813057',NULL,'322',0.00,1,3,NULL),(20,5173957,'1992-02-17 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215151431537714572114610167142',NULL,'724',33.27,1,3,NULL),(20,5173981,'1991-06-07 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116252251211471451336823271325610166147',NULL,'9998',0.00,1,3,NULL),(20,5173990,'1992-05-22 00:00:00',2,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115471431226614395114610147072',7982,'281',58.91,1,2,1),(20,5174007,'1991-03-28 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSÉ','SC','124244241215372751438831295124122264142',1165,'723',80.42,1,3,NULL),(20,5174023,'1992-02-23 00:00:00',4,1,11,2009,'F','N','SÃO GABRIEL','CAP LEÔNIDAS MARQUES','PR','116164161317121751436514571314610124142',14876,'9998',44.52,1,3,NULL),(20,5174031,'1989-05-14 00:00:00',4,1,12,2006,'M','N','JARDIM BRASIL','GOIÂNIA','GO','109092091216471411438823585124610132017',6765,'9998',62.18,1,3,NULL),(20,5174040,'1988-04-04 00:00:00',2,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116161161145412411546311171124610127147',1041,'9998',80.94,1,2,1),(20,5174058,'1994-05-01 00:00:00',4,1,12,2010,'M','S','PRAIA COMPRIDA','S JOSÉ','SC','124243241315151431435539575124610165142',NULL,'728',30.84,1,3,NULL),(20,5174074,'1991-08-27 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215472431268629572114610163092',10123,'273',55.02,1,3,NULL),(20,5174090,'1993-05-31 00:00:00',4,2,11,2009,'F','N','VELHA','BLUMENAU','SC','124242241216151431366612575112610124182',8682,'88',57.75,1,3,NULL),(20,5174112,'1991-09-13 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215372431456613344134610114142',12356,'738',53.66,1,3,NULL),(20,5174120,'1990-06-03 00:00:00',2,1,11,2007,'F','N','CENTRO','BIGUAÇU','SC','124242241215573731469811592122610163012',6041,'270',64.17,1,3,NULL),(20,5174155,'1992-11-12 00:00:00',4,2,11,2009,'M','N','CENTRO','BRUSQUE','SC','124242243215271331459934282112610167042',NULL,'107',0.00,1,3,NULL),(20,5174171,'1993-01-21 00:00:00',2,5,11,2009,'F','N','DAS DAMAS','URUSSANGA','SC','124241241217111711346622575122610135142',NULL,'820',19.07,1,3,NULL),(20,5174198,'1993-04-21 00:00:00',2,5,11,2008,'F','N','RIO AMERICA','URUSSANGA','SC','124241241215111631323419295124610114142',NULL,'820',19.48,1,3,NULL),(20,5174210,'1992-07-02 00:00:00',4,5,11,2009,'M','N','PIO CORREA','CRICIÚMA','SC','124242241215112531489811572112610162012',NULL,'226',0.00,1,3,NULL),(20,5174228,'1992-12-04 00:00:00',2,10,12,2009,'F','N','NOVA BRASÍLIA','IMBITUBA','SC','124241248115151431326939575124610138092',NULL,'359',30.99,1,2,1),(20,5174236,'1992-07-05 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241127131231323463572124610125147',NULL,'287',26.97,4,2,1),(20,5174244,'1980-05-22 00:00:00',4,1,11,1997,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','224241241216143421269944442232330767147',14854,'590',48.30,1,3,NULL),(20,5174287,'1989-04-15 00:00:00',2,1,12,2006,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241214573431555819475124610137057',10476,'752',57.28,1,3,NULL),(20,5174309,'1992-06-08 00:00:00',4,8,12,2009,'F','N','PINHEIRINHO','CURITIBA','PR','116162161215471411333512275122610127077',NULL,'9998',26.85,1,3,NULL),(20,5174317,'1989-03-31 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124092091216272431458811415122221437092',2481,'9998',75.19,1,3,NULL),(20,5174325,'1992-03-04 00:00:00',2,1,12,2009,'F','N','JARDIM NENA','SUZANO','SP','125254251217211431343522272122610133187',NULL,'9998',0.00,1,3,NULL),(20,5174333,'1989-03-13 00:00:00',2,9,12,2006,'M','N','DESPRAIADO','S JOAQUIM','SC','124202201216573431425816372322610114017',3596,'9998',70.99,1,3,NULL),(20,5174341,'1987-06-08 00:00:00',3,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247217135411528511497121221164177',NULL,'9999',34.14,1,3,NULL),(20,5174368,'1991-06-21 00:00:00',4,1,12,2008,'M','N','PARQUE SAO JORGE','FLORIANÓPOLIS','SC','124242241217372431468813575124231227112',NULL,'1169',0.00,1,3,NULL),(20,5174384,'1992-07-20 00:00:00',4,6,12,2009,'M','N','SÃO JUDAS','ITAJAÍ','SC','124242241215111431356631575122610134147',NULL,'392',24.78,1,3,NULL),(20,5174392,'1992-06-03 00:00:00',4,2,12,2009,'F','N','ZANTÃO','BRUSQUE','SC','124241241115271432456412276122610127057',NULL,'1019',22.59,1,2,1),(20,5174414,'1992-04-07 00:00:00',2,1,12,2009,'F','N','CANTA GALO','RIO SUL','SC','124241241136272411226624245314610166176',11753,'658',51.60,1,2,1),(20,5174422,'1992-02-04 00:00:00',4,2,12,2009,'F','N','POÇO FUNDO','BRUSQUE','SC','124241241117271431536313295124610148147',NULL,'1019',35.94,1,2,1),(20,5174430,'1985-11-13 00:00:00',4,1,11,2003,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224064201136141421248643435122610168042',NULL,'9998',46.09,1,3,NULL),(20,5174457,'1990-02-23 00:00:00',2,1,12,2006,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120201201111571651426839593124610168141',NULL,'9998',26.25,1,2,1),(20,5174473,'1991-07-15 00:00:00',4,9,12,2008,'F','N','UNIVERSITÁRIO','LAGES','SC','124241241215271431558514145112610132197',NULL,'499',0.00,1,3,NULL),(20,5174503,'1989-12-26 00:00:00',4,1,12,2007,'F','N','SANTA MARIA','UBERLÂNDIA','MG','113132131215571751368821571115610168182',NULL,'9998',0.00,1,3,NULL),(20,5174520,'1991-09-28 00:00:00',2,1,12,2009,'F','N','CENTRO','CAARAPÓ','MS','112121121417161431526615575122610138147',NULL,'9998',0.00,1,3,NULL),(20,5174538,'1992-03-10 00:00:00',2,1,12,2009,'F','N','JARDIM SÃO PAULO','FOZ IGUAÇU','PR','116161161116371431646814595114610122142',6315,'9998',63.19,4,2,1),(20,5174554,'1992-05-30 00:00:00',2,1,12,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241115331431423524575224610115147',12991,'591',50.00,1,2,1),(20,5174562,'1991-07-01 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124212211215271431468719385111142067042',10396,'9998',57.42,1,3,NULL),(20,5174589,'1991-09-04 00:00:00',4,1,12,2008,'F','N','VILA APARECIDA','RIO CLARO','SP','125252251216471431446614575122610127052',NULL,'9998',0.00,1,3,NULL),(20,5174597,'1992-05-11 00:00:00',4,4,12,2009,'M','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161217111431435631575121610138177',9212,'9998',55.35,1,3,NULL),(20,5174600,'1991-09-30 00:00:00',4,1,12,2008,'M','N','PARQUE DAS AMÉRICAS','UBERABA','MG','113131131134472431536631572124141522142',NULL,'9998',0.00,4,2,1),(20,5174619,'1992-07-06 00:00:00',4,8,12,2009,'M','N','JD DAS AMERICAS','CURITIBA','PR','116162161215121431368637575114610117047',3904,'9998',68.78,1,3,NULL),(20,5174635,'1992-03-13 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241115141731326731372224610123112',NULL,'307',29.17,1,3,NULL),(20,5174643,'1988-09-01 00:00:00',4,1,12,2005,'M','N','MARACANA','UBERLÂNDIA','MG','113132131215571751368811571115610162046',1935,'9998',75.32,1,3,NULL),(20,5174651,'1992-02-06 00:00:00',4,9,11,2009,'F','N','PROGRESSO','RIO SUL','SC','124242241215271751456812575122610122182',13834,'991',50.69,1,3,NULL),(20,5174660,'1991-07-26 00:00:00',4,8,11,2009,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124252241215111431258824575125610124012',NULL,'1063',27.34,1,3,NULL),(20,5174678,'1990-08-22 00:00:00',4,8,12,2008,'F','N','ITAUM','JOINVILLE','SC','124241242112152431226629482224610116141',7667,'24',59.93,1,2,1),(20,5174686,'1992-10-14 00:00:00',2,2,12,2009,'M','N','CENTRO','IBIRAMA','SC','124242241217111431449912245121610162172',NULL,'346',0.00,1,3,NULL),(20,5174708,'1991-08-13 00:00:00',2,1,12,2008,'F','N','FLORESTA','PTO ALEGRE','RS','120201201127272331323339192344610145117',NULL,'9998',32.22,1,2,1),(20,5174716,'1982-09-08 00:00:00',4,1,12,2000,'F','N','CASSINO','RIO GRANDE','RS','120251251211571441449711474224343265092',360,'9998',85.89,1,3,NULL),(20,5174724,'1992-11-09 00:00:00',2,15,12,2009,'M','N','SÃO FELIPE','TURVO','SC','124241241114271411436616562121610127067',NULL,'814',39.10,1,2,1),(20,5174732,'1992-02-14 00:00:00',2,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','120243201211111431236734595145610136075',12764,'983',49.96,1,3,NULL),(20,5174740,'1992-02-04 00:00:00',4,8,12,2009,'F','N','SAO PEDRO','S JOSÉ PINHAIS','PR','116162161215411431478611491122610128197',NULL,'9998',0.00,1,3,NULL),(20,5174759,'1992-08-02 00:00:00',2,1,12,2009,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124243241215111411336611592114610147022',15836,'1022',41.36,1,3,NULL),(20,5174767,'1990-06-07 00:00:00',4,1,12,2007,'F','N','JOAQUINA','FLORIANÓPOLIS','SC','124242241217272431358921573122231063122',15750,'1022',45.27,1,3,NULL),(20,5174775,'1991-12-19 00:00:00',4,2,11,2009,'M','N','SUMARÉ','RIO SUL','SC','124242241216371431458914575122610138052',NULL,'654',22.54,1,3,NULL),(20,5174805,'1992-05-14 00:00:00',4,8,12,2009,'F','N','CENTRO','RIO NEGRO','PR','116241241215111431438819495122610163013',NULL,'541',0.00,1,3,NULL),(20,5174813,'1991-06-06 00:00:00',2,8,12,2008,'F','N','MORUMBI','CASCAVEL','PR','116161161115171731434631592124610124147',NULL,'9998',9.12,1,3,NULL),(20,5174821,'1989-03-23 00:00:00',2,1,11,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215472431438823576124610131187',NULL,'272',43.63,1,3,NULL),(20,5174856,'1993-10-26 00:00:00',4,2,12,2010,'M','S','PONTA AGUDA','BLUMENAU','SC','124242241215111732467934572121610137045',NULL,'909',52.97,3,3,NULL),(20,5174864,'1987-08-13 00:00:00',4,1,12,2005,'M','N','SERRARIA','S JOSÉ','SC','124241241136272211433344345134610164197',7502,'257',62.79,1,2,1),(20,5174872,'1991-11-04 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241222151731446639585114610168181',NULL,'9999',13.85,4,3,NULL),(20,5174899,'1993-01-04 00:00:00',4,4,12,2009,'F','N','CENTOR','VARGEÃO','SC','124241241115131731428529394125610136053',NULL,'824',0.00,1,2,1),(20,5174902,'1990-12-12 00:00:00',4,1,12,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241132131731534414495124610137052',NULL,'287',28.03,1,2,1),(20,5174910,'1986-03-17 00:00:00',2,1,10,2004,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241248117372431433329442314610114142',NULL,'281',39.26,1,3,NULL),(20,5174945,'1991-12-11 00:00:00',4,8,11,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111731489914575112610162012',7466,'457',62.87,1,3,NULL),(20,5174953,'1979-08-30 00:00:00',2,8,12,1999,'F','N','FAZENDINHA','CURITIBA','PR','116164161415411451326671311324610133097',11430,'9998',52.69,1,3,NULL),(20,5174961,'1992-09-03 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217111431428638375114610167092',NULL,'9997',0.00,4,3,NULL),(20,5174970,'1987-08-20 00:00:00',2,6,12,2004,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241412132431657829275124230431177',NULL,'49',12.08,1,3,NULL),(20,5174996,'1992-05-25 00:00:00',2,8,12,2009,'F','N','BOA VISTA','JOINVILLE','SC','124243241217131731326624592222610114073',NULL,'1105',27.61,1,3,NULL),(20,5175003,'1984-05-07 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244247435372431246923245122130232047',NULL,'9999',48.29,1,3,NULL),(20,5175011,'1991-07-02 00:00:00',4,1,12,2008,'F','N','JARDIM EUROPA','BAURU','SP','125252251215471431469933575122610132117',NULL,'9998',0.00,1,3,NULL),(20,5175020,'1981-01-21 00:00:00',2,1,12,1998,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116135421226943435134333224197',NULL,'307',17.44,1,2,1),(20,5175038,'1992-11-07 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124241241115271431423331272124610121147',14947,'307',45.40,1,2,1),(20,5175046,'1988-07-02 00:00:00',4,1,7,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242288617373431448734445124133227052',6073,'9998',65.83,1,3,NULL),(20,5175062,'1992-05-06 00:00:00',4,8,12,2009,'F','N','BOA VISTA','PRES PRUDENTE','SP','125251251116471431548714575122610143097',NULL,'9998',32.70,1,2,1),(20,5175070,'1992-04-17 00:00:00',2,1,12,2009,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241225111422435511572124610137042',10456,'262',56.17,1,3,NULL),(20,5175089,'1987-06-27 00:00:00',4,1,12,2005,'M','N','VILA BRASILINA','S PAULO','SP','125254251217371711656879473124610162177',NULL,'9998',0.00,3,3,NULL),(20,5175097,'1983-03-24 00:00:00',2,1,12,2002,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224202201126133441228849295124220561177',NULL,'9998',44.02,1,3,NULL),(20,5175100,'1992-07-28 00:00:00',2,2,11,2009,'M','N','SÃO PEDRO','BRUSQUE','SC','124241241215141431234314392324610127052',5172,'1123',65.98,1,3,NULL),(20,5175119,'1992-10-14 00:00:00',4,15,12,2009,'F','N','ASA SUL','BRASÍLIA','DF','107242071215151431368931575122610144097',5918,'9998',63.55,1,3,NULL),(20,5175143,'1987-10-06 00:00:00',4,1,12,2005,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241217472711469913436124121964022',11480,'300',55.38,1,3,NULL),(20,5175151,'1991-11-25 00:00:00',4,8,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','116163161215471731586632571124610128146',14619,'9998',48.95,4,3,NULL),(20,5175160,'1991-04-30 00:00:00',2,6,12,2008,'F','N','NAÇOES','BAL CAMBORIÚ','SC','124244241415371741539912445124610156097',NULL,'1057',16.80,1,3,NULL),(20,5175178,'1992-08-14 00:00:00',2,1,12,2009,'F','N','CENTRO','CANOAS','RS','120202201217471431578833572112610142193',15529,'9998',42.67,1,3,NULL),(20,5175186,'1990-03-29 00:00:00',4,8,12,2007,'F','N','GUAIANAZES','S PAULO','SP','125252251216572431447834575124610162092',NULL,'9998',0.00,1,3,NULL),(20,5175194,'1991-09-16 00:00:00',4,8,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162168615471431448934571122610132092',9556,'9998',56.21,1,3,NULL),(20,5175208,'1992-09-24 00:00:00',4,3,12,2009,'M','N','LARANJEIRAS','RIO SUL','SC','124241241117371331467614286122610127057',NULL,'657',22.31,1,3,NULL),(20,5175216,'1992-12-21 00:00:00',4,9,12,2010,'F','S','CENTRO','LAGES','SC','124242241216111431468932572122610128112',NULL,'1146',28.04,1,3,NULL),(20,5175240,'1990-11-22 00:00:00',4,8,12,2007,'F','N','INDEPENDENCIA','CASCAVEL','PR','116162161217571731428632174125610125097',463,'9998',84.90,1,3,NULL),(20,5175259,'1982-01-05 00:00:00',2,1,12,1999,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215374511489614112121120727182',8534,'270',60.86,1,3,NULL),(20,5175283,'1991-06-10 00:00:00',4,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215472441335639392124610132072',3227,'9997',72.53,1,3,NULL),(20,5175291,'1992-09-26 00:00:00',4,8,12,2009,'M','N','LA SALLE','TOLEDO','PR','116163161216121431469913572121610144142',5848,'9998',66.35,1,3,NULL),(20,5175305,'1993-02-08 00:00:00',4,4,12,2009,'M','N','PALMEIRAS','VARGEÃO','SC','124241241112131511326624242225610124143',NULL,'824',0.00,4,2,1),(20,5175313,'1992-08-26 00:00:00',2,1,12,2009,'F','N','CENTRO','VIDAL RAMOS','SC','124241241147371431536911385124610126142',NULL,'828',0.00,1,2,1),(20,5175330,'1989-04-05 00:00:00',4,1,12,2006,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241215272431434411315124123242181',NULL,'266',0.00,1,3,NULL),(20,5175356,'1992-06-12 00:00:00',4,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624244241215111431566674272114610167187',650,'1022',83.54,1,3,NULL),(20,5175364,'1990-03-06 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115131431465619492122610146015',NULL,'267',26.04,1,2,1),(20,5175372,'1982-11-15 00:00:00',4,1,12,2000,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','224252251216272431237344345224140962047',1921,'9998',76.37,1,3,NULL),(20,5175380,'1991-07-15 00:00:00',2,1,11,2009,'F','N','CENTRO','S JOAQUIM','SC','124244241215111731469913575122610125127',16209,'1035',42.43,1,3,NULL),(20,5175399,'1991-04-04 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241216473431368611572124131127042',851,'738',81.74,1,3,NULL),(20,5175402,'1991-04-24 00:00:00',2,1,12,2008,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241116372431434434575124610162142',13981,'288',48.65,1,2,1),(20,5175410,'1992-06-30 00:00:00',4,5,10,2009,'M','N','CENTRO','ORLEANS','SC','124241241215123431447632574124610126047',727,'226',83.01,1,3,NULL),(20,5175437,'1992-12-21 00:00:00',4,4,12,2009,'F','N','LINHA SANTO ANTONIO','VARGEÃO','SC','124241241115131511425615374122610123054',NULL,'824',23.08,1,2,1),(20,5175445,'1980-06-21 00:00:00',2,1,12,1999,'F','N','MADRI CAMINHO NOVO','PALHOÇA','SC','224243241127272421324351171224610164091',NULL,'728',48.85,1,3,NULL),(20,5175470,'1992-03-06 00:00:00',4,15,12,2009,'M','N','FIGUEIRA','JACINTO MACHADO','SC','124241241125151411656933145122610127051',NULL,'420',28.77,4,2,1),(20,5175488,'1989-06-25 00:00:00',2,1,7,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241247347371411223329341234610143147',NULL,'9999',21.81,1,3,NULL),(20,5175496,'1991-02-08 00:00:00',4,1,12,2008,'M','N','REBOUÇAS','CURITIBA','PR','116242251217471421477913575112610162047',7924,'9998',60.41,1,3,NULL),(20,5175500,'1985-04-25 00:00:00',4,1,6,2003,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241337151521663612341122610137185',NULL,'1126',42.69,1,3,NULL),(20,5175526,'1986-12-15 00:00:00',4,1,12,2004,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241216152411659512485122232162095',10794,'226',56.69,1,3,NULL),(20,5175534,'1991-07-16 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241212134431436512285124610162093',NULL,'944',28.92,1,3,NULL),(20,5175542,'1986-03-11 00:00:00',2,7,5,2004,'M','N','SÃO FRANCISCO','VIDEIRA','SC','124241247127471431533334245123130327067',NULL,'9999',17.83,1,2,1),(20,5175550,'1989-11-15 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216133431427611495125221564147',6088,'227',65.81,2,1,2),(20,5175569,'1982-10-13 00:00:00',2,1,12,2008,'F','N','JD CARANDAÍ','BIGUAÇU','SC','624241247326271731326644445134610138187',11615,'9999',55.11,1,3,NULL),(20,5175577,'1992-02-28 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241115271231448813575114610162042',NULL,'271',0.00,1,3,NULL),(20,5175585,'1987-10-19 00:00:00',4,1,6,2006,'F','N','ANÁLIA FRANCO','S PAULO','SP','125252257237571451668813571124610166127',8322,'9998',59.29,1,3,NULL),(20,5175593,'1992-09-04 00:00:00',4,8,12,2009,'F','N','CENTRO','ITAPOÁ','SC','124241241115161431466612172122610124147',NULL,'413',0.00,1,2,1),(20,5175607,'1992-02-29 00:00:00',4,1,11,2009,'F','N','CENTRO','STO ÂNGELO','RS','120201201116271431537611285222610111197',11728,'9998',54.89,1,2,1),(20,5175623,'1992-11-09 00:00:00',2,6,12,2009,'F','N','CENRO','CAMBORIÚ','SC','124242241215211151589619595122610166182',NULL,'1038',0.00,1,3,NULL),(20,5175631,'1992-05-17 00:00:00',4,1,12,2009,'M','N','OURO VERDE','FOZ IGUAÇU','PR','116163161116271431536823572124610117017',14473,'9998',46.10,1,3,NULL),(20,5175640,'1992-01-04 00:00:00',2,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241215112412353533595114610117042',NULL,'1022',50.79,1,3,NULL),(20,5175658,'1991-05-06 00:00:00',2,8,12,2008,'M','N','VILA RAU','JARAGUÁ SUL','SC','124224241336372441243723575122610124111',13049,'432',48.41,4,3,NULL),(20,5175666,'1992-06-13 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241116111412466953595124610138117',NULL,'298',18.30,1,3,NULL),(20,5175682,'1989-03-27 00:00:00',4,8,12,2006,'M','N','PARQUE GUARANI','JOINVILLE','SC','124241241112332352638379345224231417047',NULL,'9997',31.89,1,3,NULL),(20,5175690,'1988-04-29 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241214575431366663571324230268182',15466,'1022',46.42,4,3,NULL),(20,5175704,'1993-10-12 00:00:00',4,5,2,2011,'M','S','MORRO DA GLÓRIA','URUSSANGA','SC','124243241117151411669611345112610128142',NULL,'821',26.31,1,3,NULL),(20,5175739,'1992-02-27 00:00:00',4,1,12,2009,'M','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241215111432556412595114610167042',NULL,'63',22.35,1,3,NULL),(20,5175747,'1981-11-13 00:00:00',2,1,12,1999,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624161161137133231223354485344641266187',NULL,'9998',25.33,1,2,1),(20,5175763,'1992-02-23 00:00:00',2,4,12,2008,'M','N','BOA VISTA','JOINVILLE','SC','124241241115132431439613575125231467052',15116,'192',47.51,1,3,NULL),(20,5175771,'1987-01-17 00:00:00',2,1,12,2006,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241248311272411447313295124610115097',NULL,'307',29.22,1,3,NULL),(20,5175801,'1986-12-01 00:00:00',2,15,12,2004,'M','N','AREIAS CLARAS','BAL ARROIO SILVA','SC','124241241117131531323374385122610127057',NULL,'420',22.19,1,3,NULL),(20,5175810,'1992-06-12 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215114431247721472114610133097',4162,'1022',68.84,1,3,NULL),(20,5175828,'1991-07-03 00:00:00',4,1,12,2009,'M','N','FREGUESIA DO Ó','S PAULO','SP','125252251215111431647823392124610137112',NULL,'9998',32.77,1,3,NULL),(20,5175836,'1992-06-30 00:00:00',4,8,12,2009,'F','N','AVAREI','JACAREÍ','SP','125252251216131431636831571122610127142',NULL,'9998',24.24,1,3,NULL),(20,5175844,'1990-12-15 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241117162441427663191124231428072',NULL,'359',26.94,4,2,1),(20,5175852,'1992-03-13 00:00:00',2,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215112431646612575122610137052',14901,'273',48.16,1,3,NULL),(20,5175860,'1974-04-30 00:00:00',2,4,12,1999,'F','N','RURAL','IPUAÇU','SC','124246244642131431423116232344133026187',NULL,'9999',0.00,5,4,NULL),(20,5175879,'1991-03-20 00:00:00',2,1,12,2008,'M','N','JARDIM COPACABANA','CPO MOURÃO','PR','116251161116471441546614575121610167017',NULL,'9998',27.54,4,1,1),(20,5175887,'1981-04-29 00:00:00',4,1,12,1998,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212373431356669495114130262192',NULL,'266',44.67,1,3,NULL),(20,5175895,'1991-11-11 00:00:00',4,1,12,2009,'M','N','FLORADAS DE SÃO JOSÉ','S JOSÉ CAMPOS','SP','125252251215151431358613575124610124097',NULL,'9998',19.90,1,3,NULL),(20,5175925,'1989-02-04 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211373431458713571122610114192',NULL,'270',0.00,1,3,NULL),(20,5175941,'1991-09-17 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241215372411458814571124610133142',14692,'737',48.75,1,3,NULL),(20,5175950,'1991-12-03 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431469933575122610126072',232,'270',87.50,1,3,NULL),(20,5175968,'1992-03-06 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241212111751446824475112610118145',6681,'737',61.26,1,3,NULL),(20,5175984,'1991-04-27 00:00:00',4,1,12,2008,'F','N','CENTRO','MARINGÁ','PR','116162161216371431458814392112610164187',10544,'9998',52.41,1,3,NULL),(20,5176000,'1991-01-28 00:00:00',4,6,12,2008,'F','N','SÃO DOMINGOS','AMERICANA','SP','125254251216471431448613595122610148077',6571,'9998',61.95,1,3,NULL),(20,5176018,'1992-05-04 00:00:00',2,9,11,2009,'F','N','ARNO SIEVERDT','POUSO REDONDO','SC','124243241335111231425612575122610123142',NULL,'991',23.09,1,3,NULL),(20,5176026,'1990-03-30 00:00:00',4,1,12,2007,'M','N','VILA TIBÉRIO','RIBEIRÃO PRETO','SP','125252251216571431577613572314610164187',NULL,'9998',0.00,1,3,NULL),(20,5176034,'1985-12-18 00:00:00',4,1,12,2008,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241127271742223344445323610154085',NULL,'288',19.33,1,3,NULL),(20,5176042,'1992-09-13 00:00:00',4,1,11,2009,'M','N','VILA ROSA','CPO GRANDE','MS','112122121216371511489812575122610117122',10503,'9998',55.49,1,3,NULL),(20,5176077,'1989-09-26 00:00:00',4,1,12,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217132411428627485114131032117',14993,'270',47.88,1,3,NULL),(20,5176085,'1992-02-24 00:00:00',2,7,12,2009,'M','N','INTERIOR','IOMERÊ','SC','124241242116371731534939475124610122077',NULL,'831',47.04,1,2,1),(20,5176107,'1989-05-24 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124243241126371711238623485124610122182',12464,'736',53.44,1,3,NULL),(20,5176115,'1991-09-17 00:00:00',2,8,12,2008,'M','N','CENTRO','PNT GROSSA','PR','116162161116471231236614275122610164181',7499,'9998',60.77,1,3,NULL),(20,5176123,'1980-05-01 00:00:00',2,5,12,1997,'M','N','RIO MAINA','CRICIÚMA','SC','124241243117131421344414342122331262057',NULL,'228',44.34,1,3,NULL),(20,5176131,'1988-08-15 00:00:00',2,1,12,2008,'F','N','MORRO DA BINA','BIGUAÇU','SC','124241241122372731516634442124610124187',NULL,'1088',14.81,2,1,1),(20,5176140,'1991-08-09 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215412431578814393124610127182',6473,'262',64.98,1,3,NULL),(20,5176166,'1987-04-24 00:00:00',4,1,12,2004,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242241212375431478933575124222667147',233,'272',87.47,1,3,NULL),(20,5176174,'1991-10-28 00:00:00',4,8,12,2008,'F','N','AMIZADE','GUARAMIRIM','SC','124241241145472441534923575124610163017',10697,'335',55.22,1,2,1),(20,5176182,'1992-05-18 00:00:00',4,3,11,2009,'M','N','ANDORINHA','ITAPEMA','SC','124241241215372431336634272221610147182',2954,'403',72.73,1,3,NULL),(20,5176212,'1992-12-08 00:00:00',4,1,12,2010,'M','S','CARIANOS','FLORIANÓPOLIS','SC','124241241215111431446833575124610164141',NULL,'270',25.15,1,3,NULL),(20,5176220,'1994-02-01 00:00:00',4,1,12,2010,'F','S','IBIRAQUERA','IMBITUBA','SC','124241241217211431446832575224610164141',NULL,'270',24.20,1,3,NULL),(20,5176247,'1992-11-23 00:00:00',4,2,12,2009,'F','N','CASCATA','NOVA TRENTO','SC','124241241216111751433632122122610112147',NULL,'1123',0.00,1,3,NULL),(20,5176255,'1989-08-10 00:00:00',2,1,1,2007,'F','N','PARQUE SAO LUIS','JUNDIAÍ','SP','125252251214572431546632495124610133182',NULL,'9998',29.49,3,3,NULL),(20,5176263,'1963-04-25 00:00:00',2,1,12,1981,'M','N','FLORESTA','PTO ALEGRE','RS','120201201126155711133349193214421646047',NULL,'9998',0.00,4,2,1),(20,5176271,'1993-03-22 00:00:00',4,1,12,2009,'F','N','JARDIM CATANHEIRAS','FLORIANÓPOLIS','SC','124242241217111431377831572122610162192',NULL,'270',45.39,1,3,NULL),(20,5176280,'1993-01-14 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111231567912595122610167041',NULL,'392',0.00,1,3,NULL),(20,5176298,'1992-10-06 00:00:00',2,1,12,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241135111421535319392124610113142',NULL,'733',19.60,1,2,1),(20,5176328,'1981-03-15 00:00:00',2,15,12,1999,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','224241241147173731226544345122133216197',NULL,'29',41.59,1,2,1),(20,5176336,'1990-04-24 00:00:00',2,1,6,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241116134421334631295122221764182',14603,'739',49.00,1,3,NULL),(20,5176344,'1992-04-06 00:00:00',2,5,11,2009,'F','N','MICHEL','CRICIÚMA','SC','124242241215111431469913372122610123042',7788,'210',62.26,1,3,NULL),(20,5176360,'1982-02-08 00:00:00',4,1,6,2001,'M','N','BARREIROS','S JOSÉ','SC','124242246142153721466419345132130767032',NULL,'306',20.30,1,3,NULL),(20,5176379,'1982-11-19 00:00:00',4,1,12,2000,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','624142141213141411338944445132343236117',11314,'9998',55.67,1,3,NULL),(20,5176387,'1991-10-28 00:00:00',4,8,11,2008,'M','N','TENIS CLUBE','ASSIS','SP','125252251217371431568813575112610164182',10613,'9998',52.82,1,3,NULL),(20,5176395,'1994-08-15 00:00:00',4,1,12,2011,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241217151431327732575122610124122',NULL,'262',30.99,1,3,NULL),(20,5176409,'1990-07-07 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124252251217472411236314371114610127182',4225,'9998',70.25,2,1,2),(20,5176417,'1989-08-02 00:00:00',2,16,12,2007,'M','N','SÃO JOSÉ','CURITIBANOS','SC','124241241142212311425624385125131714051',15316,'936',46.87,4,2,1),(20,5176425,'1992-03-03 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241215473431468933575124610167047',NULL,'1022',33.46,1,3,NULL),(20,5176450,'1993-10-25 00:00:00',4,3,12,2009,'F','N','FLOR DA SERRA','JOAÇABA','SC','124242241216472531568811514222610147092',NULL,'454',29.70,1,3,NULL),(20,5176468,'1988-05-29 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116133431236643335234610136092',NULL,'521',37.43,1,2,1),(20,5176476,'1990-04-30 00:00:00',4,2,12,2007,'F','N','COLONINHA','GASPAR','SC','124241241216373411338712425124230251147',6320,'1026',65.28,1,3,NULL),(20,5176484,'1984-05-24 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124252251216473421469613415122343237047',7277,'9998',63.28,1,3,NULL),(20,5176492,'1988-12-08 00:00:00',4,4,12,2006,'F','N','MATINHO','XANXERÊ','SC','124242241216574431434631175112610162197',8639,'836',60.68,1,3,NULL),(20,5176514,'1994-01-21 00:00:00',2,17,12,2010,'F','S','SANTA ROSA','PTO UNIÃO','SC','124242241216111731447934592122610138147',NULL,'632',27.58,1,3,NULL),(20,5176522,'1992-02-12 00:00:00',4,10,12,2009,'F','N','CENTRO','GR PARÁ','SC','124241241116151431356515163222610124142',NULL,'330',39.03,1,2,1),(20,5176530,'1991-06-14 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSÉ','SC','124241241211132531467512572124610127042',16067,'724',43.63,1,3,NULL),(20,5176549,'1985-02-12 00:00:00',2,1,12,2002,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224244241216375421243651242124233227152',15417,'270',46.55,1,3,NULL),(20,5176557,'1983-03-20 00:00:00',2,1,12,2000,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124244247447132331226569485124610137042',NULL,'9999',41.24,1,3,NULL),(20,5176565,'1992-04-21 00:00:00',4,8,12,2009,'M','N','CENTRO','ITAPOÁ','SC','124241241136161231625519575124610167047',NULL,'413',0.00,1,2,1),(20,5176573,'1991-09-10 00:00:00',2,8,12,2009,'F','N','JARDIM IRIRIÚ','JOINVILLE','SC','124242241417131331225624575321610167072',NULL,'462',25.64,4,3,NULL),(20,5176581,'1992-01-31 00:00:00',3,1,11,2010,'F','S','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251215111521328621272324610112071',NULL,'9998',47.30,1,3,NULL),(20,5176590,'1989-03-23 00:00:00',2,1,12,2007,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241312371222328824346314610118052',NULL,'733',23.89,1,3,NULL),(20,5176603,'1992-08-05 00:00:00',2,6,11,2009,'F','N','SÃO VICENTE','ITAJAÍ','SC','124244241215111432566512572124610167142',NULL,'1172',0.00,1,3,NULL),(20,5176611,'1991-03-23 00:00:00',4,10,12,2008,'M','N','PASSO DO GADO','TUBARÃO','SC','124201241147131431323421215121610127042',NULL,'798',24.33,3,2,1),(20,5176620,'1986-08-16 00:00:00',4,1,12,2004,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241217575431377619591122123234042',4432,'270',69.71,1,3,NULL),(20,5176638,'1990-06-11 00:00:00',3,1,12,2007,'M','N','JARDIM DAS PAINEIRAS','JAÚ','SP','125252251217471431348734171125610168097',NULL,'267',26.66,1,3,NULL),(20,5176646,'1991-06-24 00:00:00',4,10,12,2008,'M','N','MAGALHÃES','LAGUNA','SC','124241241117151532546619575111610118017',NULL,'522',0.00,1,3,NULL),(20,5176654,'1991-10-05 00:00:00',4,1,10,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215123231468814275122610147056',1813,'270',76.65,1,3,NULL),(20,5176662,'1992-05-06 00:00:00',4,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215112431479933572122610122122',6188,'723',64.02,1,3,NULL),(20,5176670,'1983-05-20 00:00:00',4,1,12,2000,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216155411489911475122221424057',NULL,'654',0.00,1,3,NULL),(20,5176697,'1990-04-05 00:00:00',2,1,12,2007,'M','N','SANTA CECILIA','PIRACICABA','SP','125252251217572122566912571111610164094',6059,'9998',65.87,1,3,NULL),(20,5176700,'1991-09-17 00:00:00',2,8,12,2008,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241217573431343817591121610162155',1772,'442',76.62,1,3,NULL),(20,5176735,'1989-04-11 00:00:00',2,1,12,2006,'F','N','TRES VENDAS','ERECHIM','RS','120201205116371431433632475122142322057',NULL,'9998',27.26,1,2,1),(20,5176751,'1991-01-12 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115241431536613482124610164062',14752,'307',46.89,2,3,NULL),(20,5176760,'1991-08-31 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','120202201117371431348933371124610127047',236,'9998',87.44,1,3,NULL),(20,5176786,'1992-10-16 00:00:00',4,4,11,2009,'F','N','TRES VENDAS','ERECHIM','RS','120202201215271431446916575122610123142',14066,'9998',50.26,1,3,NULL),(20,5176794,'1991-07-07 00:00:00',2,5,12,2009,'M','N','MINA DO MATO','CRICIÚMA','SC','124242241215111311358611575124610127042',NULL,'226',22.72,1,3,NULL),(20,5176808,'1992-10-26 00:00:00',4,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241425131431424619282244610123192',NULL,'262',32.23,4,3,NULL),(20,5176824,'1992-05-06 00:00:00',2,6,12,2009,'M','N','MACHADOS','NAVEGANTES','SC','125252251216111431454812575125610137042',11052,'9998',54.15,1,3,NULL),(20,5176832,'1991-11-01 00:00:00',2,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241215111431458714575124610167042',15725,'262',45.40,1,3,NULL),(20,5176840,'1991-07-11 00:00:00',4,8,11,2008,'F','N','ALTO CAFEZAL','MARÍLIA','SP','125252251215471431448833575122610134122',NULL,'9998',0.00,1,3,NULL),(20,5176859,'1986-05-10 00:00:00',4,8,11,2003,'M','N','PARQUE DEZ DE NOVEMB','MANAUS','AM','104042041216211431466639571112140667107',NULL,'9998',0.00,4,3,NULL),(20,5176867,'1992-05-05 00:00:00',4,10,10,2009,'F','N','REVOREDO','TUBARÃO','SC','125241241315111731328629595122610138147',12831,'807',52.68,1,3,NULL),(20,5176875,'1982-11-29 00:00:00',4,7,12,1999,'M','N','ALVORADA','VIDEIRA','SC','124241241146472421368713294112333268042',NULL,'830',27.47,1,3,NULL),(20,5176883,'1988-10-26 00:00:00',2,2,12,2006,'F','N','CENTRO','CURITIBA','PR','116161161116471431224623572124241414147',14377,'9998',47.20,1,2,1),(20,5176891,'1992-07-28 00:00:00',4,1,12,2009,'F','N','FABRICIO','STO AMARO IMPERATRIZ','SC','224241241125131531223654473223610114142',NULL,'941',21.42,1,2,1),(20,5176905,'1979-11-08 00:00:00',2,1,12,1998,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124203201126131421226244245124143223097',NULL,'9998',26.80,1,3,NULL),(20,5176921,'1992-06-25 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241236111452389933575122610167042',845,'951',81.90,1,3,NULL),(20,5176930,'1981-06-13 00:00:00',2,1,12,1998,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124204201117154431356613385122140467047',12629,'9998',53.08,1,3,NULL),(20,5176956,'1992-03-18 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215122431468811575122610137097',6971,'226',62.40,1,3,NULL),(20,5176972,'1993-01-19 00:00:00',4,1,12,2010,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431488922322124610143072',NULL,'262',29.93,1,3,NULL),(20,5176980,'1992-02-28 00:00:00',4,4,11,2009,'F','N','CENTRO','ERECHIM','RS','120202201215111431447632575122610147052',7666,'9998',60.98,1,3,NULL),(20,5176999,'1991-09-25 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215112231235924575114610144052',3196,'270',72.92,1,3,NULL),(20,5177014,'1972-08-10 00:00:00',4,1,12,2005,'M','N','FLOR DE NÁPOLIS','S JOSÉ','SC','624241247146131431521143131324232926027',NULL,'9999',30.53,4,1,1),(20,5177030,'1991-03-13 00:00:00',2,1,12,2008,'M','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124242241215372432447612392124610167115',5746,'738',66.60,1,3,NULL),(20,5177049,'1991-06-19 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241315131531435414281124610114052',NULL,'285',27.09,1,3,NULL),(20,5177057,'1990-08-31 00:00:00',2,8,12,2007,'M','N','CHÁCARA DAS ROSAS','JACUPIRANGA','SP','125252251214371411458814575114610147062',13482,'9998',49.54,4,3,NULL),(20,5177065,'1988-07-21 00:00:00',2,1,12,2005,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124223221116372231239613575114140262192',NULL,'9998',24.31,4,3,NULL),(20,5177073,'1992-03-24 00:00:00',4,5,10,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215121531569834494122610134142',15206,'226',47.21,1,3,NULL),(20,5177081,'1991-08-31 00:00:00',4,1,12,2009,'M','N','CENTRO','CAMPINAS','SP','125252251215111431368834571124610131042',NULL,'9998',0.00,1,3,NULL),(20,5177103,'1985-08-26 00:00:00',2,1,11,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241247117131431123544342124610113142',NULL,'9999',44.91,1,2,1),(20,5177111,'1992-07-31 00:00:00',4,1,12,2009,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251215111431478814575122610164082',1800,'9998',76.54,1,3,NULL),(20,5177120,'1993-09-24 00:00:00',4,1,11,2010,'F','S','ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC','124242241211122231434233374223222912074',NULL,'262',28.01,1,3,NULL),(20,5177138,'1991-04-07 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124072071216371431379614575114610167042',12570,'9998',53.20,1,3,NULL),(20,5177146,'1992-11-22 00:00:00',4,1,12,2010,'M','S','IPIRANGA','S JOSÉ','SC','124242241217111431336619145122610127054',NULL,'1118',28.81,1,3,NULL),(20,5177154,'1992-06-10 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217122431268829575112610127062',3550,'270',72.02,1,3,NULL),(20,5177162,'1991-02-15 00:00:00',4,1,12,2008,'M','N','JD DABRIL','OSASCO','SP','125252251227471441568819375124610168182',NULL,'9998',0.00,1,3,NULL),(20,5177170,'1990-12-08 00:00:00',4,1,12,2008,'F','N','VILA MADALENA','S PAULO','SP','125252251216472331356611575122610167127',2917,'9998',72.11,1,3,NULL),(20,5177189,'1939-09-06 00:00:00',2,1,12,2004,'M','N','KOBRASOL','S JOSÉ','SC','224281281122131411224147172244610166187',NULL,'9998',33.28,1,3,NULL),(20,5177197,'1991-04-21 00:00:00',4,1,12,2008,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242241114152431348813242124233224187',15822,'739',44.98,1,3,NULL),(20,5177200,'1990-08-06 00:00:00',2,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241217112731425619275124610126182',NULL,'1014',20.02,1,3,NULL),(20,5177219,'1991-11-04 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124202241215372431327832272114610143092',8301,'1022',58.91,1,3,NULL),(20,5177227,'1992-09-23 00:00:00',4,1,12,2008,'M','N','MENINO DEUS','PTO ALEGRE','RS','120203201316571441373473575124610162197',3397,'9998',70.66,1,3,NULL),(20,5177243,'1991-06-05 00:00:00',4,1,12,2009,'M','N','ICARAÍ','NITERÓI','RJ','121212211217111411368924575121610167042',11024,'9998',52.18,1,3,NULL),(20,5177251,'1992-05-23 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241215121431434612475122610134147',11778,'407',51.56,1,3,NULL),(20,5177260,'1993-05-14 00:00:00',4,1,12,2010,'F','S','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215111431369813475122610134182',NULL,'270',70.90,1,3,NULL),(20,5177278,'1969-01-24 00:00:00',2,1,12,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224011247321133122523344142113610116187',NULL,'9999',32.62,1,3,NULL),(20,5177286,'1992-02-04 00:00:00',4,5,12,2009,'F','N','MINEIRA NOVA','CRICIÚMA','SC','124242241211131431325923574122610127057',12044,'995',54.31,2,3,NULL),(20,5177308,'1982-01-09 00:00:00',4,1,9,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','224241247122131222422351212322610131097',NULL,'9999',25.21,1,3,NULL),(20,5177316,'1991-07-30 00:00:00',4,1,12,2008,'F','N','MAR GROSSO','LAGUNA','SC','124241241435371431433512571124610141047',NULL,'525',28.64,1,3,NULL),(20,5177324,'1989-11-03 00:00:00',2,1,12,2006,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124244241111574731549613442124610166142',NULL,'288',20.83,1,3,NULL),(20,5177332,'1982-01-31 00:00:00',4,1,11,1999,'M','N','LESTE UNIVERSITÁRIO','GOIÂNIA','GO','109222221216575541476933485122243222042',NULL,'9998',0.00,4,3,NULL),(20,5177340,'1991-04-25 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217473431249812575124610162127',11287,'392',55.73,1,3,NULL),(20,5177359,'1987-04-07 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116273441644632224124610127042',12145,'307',50.98,1,2,1),(20,5177367,'1990-10-09 00:00:00',2,1,12,2007,'F','N','PRAÇA','TIJUCAS','SC','124241246216132421323344345231610148142',10657,'1119',56.95,1,3,NULL),(20,5177375,'1990-09-23 00:00:00',2,1,11,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241247317151431456632322124610168182',NULL,'9999',40.90,1,3,NULL),(20,5177383,'1991-12-23 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124072241215112721446614175112610124057',2154,'272',76.28,1,3,NULL),(20,5177391,'1991-11-30 00:00:00',4,1,12,2008,'F','N','CENTRO','CANOAS','RS','120202201212572431247824572115610164047',7458,'9998',60.04,1,3,NULL),(20,5177413,'1987-05-21 00:00:00',3,1,12,2004,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241214274751129813242124221233113',NULL,'883',0.00,1,3,NULL),(20,5177421,'1979-01-31 00:00:00',2,1,11,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241336153731243141315111610167042',NULL,'9997',17.32,1,3,NULL),(20,5177430,'1992-11-22 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241217111431454632195122610136097',12380,'226',53.60,1,3,NULL),(20,5177472,'1991-11-25 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431466633572112610167017',15589,'9997',42.24,1,3,NULL),(20,5177480,'1989-06-04 00:00:00',2,1,12,2006,'F','N','LIBERDADE','S PAULO','SP','125252251215472431458613572325610164092',9085,'9998',57.84,1,3,NULL),(20,5177499,'1992-08-17 00:00:00',4,2,12,2009,'F','N','CENTRO','BENEDITO NOVO','SC','124241241416313411238823595124610164147',12650,'1157',50.93,1,3,NULL),(20,5177510,'1990-02-28 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','116284161417571431566613572122610163142',4571,'9998',69.37,1,3,NULL),(20,5177537,'1994-06-14 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124162241215111431478833475122610137122',NULL,'262',54.70,1,3,NULL),(20,5177545,'1992-02-19 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431438632575112610127042',NULL,'1022',30.65,1,3,NULL),(20,5177553,'1992-10-23 00:00:00',2,1,12,2009,'M','N','ARMAÇÃO','PENHA','SC','124241241117151251326623571124610167082',NULL,'609',29.74,1,2,1),(20,5177570,'1992-02-01 00:00:00',4,3,12,1992,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241212112232455611412122610124097',13434,'1038',47.94,1,3,NULL),(20,5177588,'1992-02-19 00:00:00',4,1,12,2009,'M','N','SÃO JOSÉ','S JOSÉ','SC','124241241117131432438911385124610167112',NULL,'307',24.22,1,2,1),(20,5177596,'1991-10-12 00:00:00',4,1,12,2009,'M','N','JARDIM ACAPULCO','S CARLOS','SP','125252251211111711468831472122610127042',NULL,'9998',0.00,1,3,NULL),(20,5177600,'1991-11-27 00:00:00',4,1,12,2008,'F','N','PANAZZOLO','CAXIAS SUL','RS','120201201116471431536419572124141046147',3029,'9998',72.59,1,2,1),(20,5177626,'1992-01-27 00:00:00',4,3,12,2009,'M','N','SAO FRANCISCO','CPO GRANDE','MS','112241121117271721438633575114610167047',NULL,'9998',13.30,1,3,NULL),(20,5177634,'1992-03-06 00:00:00',2,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215151431635613572122610164042',8348,'738',59.52,4,3,NULL),(20,5177642,'1990-10-17 00:00:00',4,1,12,2008,'F','N','SANTA RITA','BRUSQUE','SC','124242241117572731348934574115610164192',441,'109',85.10,1,3,NULL),(20,5177650,'1991-12-19 00:00:00',4,1,12,2008,'F','N','MARECHAL RONDON','CANOAS','RS','120202201217371411468923295122141066074',NULL,'9998',41.43,1,3,NULL),(20,5177669,'1989-10-22 00:00:00',4,1,12,2007,'F','N','JARDIM DAS INDÚSTRIA','S JOSÉ CAMPOS','SP','125052051215572411356811575124610163027',5107,'9998',66.02,1,3,NULL),(20,5177677,'1990-09-17 00:00:00',3,1,12,2007,'M','N','VILA AUGUSTO','MAUÁ','SP','125252251216232731447613575124610127077',12029,'9998',52.70,1,3,NULL),(20,5177685,'1993-08-09 00:00:00',4,1,12,2010,'M','S','PANTANAL','FLORIANÓPOLIS','SC','124242248212111731468832435124610167172',NULL,'270',36.43,1,3,NULL),(20,5177693,'1984-07-19 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624203201417131431423664485124610166182',14738,'9998',48.62,1,3,NULL),(20,5177715,'1992-07-29 00:00:00',2,4,11,2009,'M','N','PALMITAL','CHAPECÓ','SC','124244241215111231477912575122610167062',NULL,'185',29.13,1,3,NULL),(20,5177723,'1992-06-11 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431345912575124610123145',NULL,'1169',0.00,1,3,NULL),(20,5177731,'1992-10-16 00:00:00',4,2,11,2009,'M','N','VELHA','BLUMENAU','SC','124244241217111741338861575124610168197',2556,'88',74.15,1,3,NULL),(20,5177740,'1992-07-10 00:00:00',2,1,11,2009,'M','N','ROÇADO','S JOSÉ','SC','124244241216111431666931575112610167052',14777,'723',46.08,1,3,NULL),(20,5177758,'1990-03-05 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','624201201116131231235944342114610132097',NULL,'9998',25.04,1,2,1),(20,5177774,'1992-07-03 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241117372441359923575124610124142',9618,'307',56.48,1,3,NULL),(20,5177790,'1992-01-21 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111411657924575122610122102',13426,'269',48.61,1,3,NULL),(20,5177804,'1993-11-01 00:00:00',2,15,12,2009,'F','N','VILA FLORESTA','MARACAJÁ','SC','124241241115151531546933575124610144092',10311,'30',54.65,1,2,1),(20,5177812,'1992-04-03 00:00:00',4,1,12,2009,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124241246215111751458619595125610167092',8157,'1061',58.73,1,3,NULL),(20,5177820,'1987-08-14 00:00:00',4,2,12,2004,'M','N','MALUCHE','BRUSQUE','SC','124242241216151731333811446123231124012',11094,'107',56.10,1,3,NULL),(20,5177839,'1992-11-12 00:00:00',4,1,12,2009,'M','N','FAZENDA DO RIO TAVAR','FLORIANÓPOLIS','SC','124241241117141731426329292124610134042',NULL,'295',15.68,4,2,1),(20,5177847,'1993-05-10 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431357933572124610152012',16233,'1169',42.17,1,3,NULL),(20,5177855,'1989-02-19 00:00:00',2,4,12,2006,'F','N','CENTRO','XAVANTINA','SC','120241241216571751549933575124241434187',NULL,'1081',29.30,1,3,NULL),(20,5177871,'1987-01-26 00:00:00',4,1,12,2004,'F','N','PEDRA BRANCA','PALHOÇA','SC','124252251117145531558831572235232467072',NULL,'9998',0.00,1,3,NULL),(20,5177880,'1990-05-15 00:00:00',4,1,11,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124162241215372431256714221124610167042',NULL,'270',0.00,1,3,NULL),(20,5177898,'1993-01-04 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431479933575122610112012',NULL,'1169',60.09,1,3,NULL),(20,5177901,'1991-01-21 00:00:00',4,1,11,2008,'F','N','VILA SANCHES','S JOSÉ CAMPOS','SP','125252251216471431568813472122610162187',NULL,'9998',NULL,1,3,NULL),(20,5177910,'1989-11-04 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472711579811575121121464012',2130,'9997',76.41,1,3,NULL),(20,5177928,'1991-09-07 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241215122421336622325124610164015',NULL,'737',54.52,1,3,NULL),(20,5177936,'1985-01-02 00:00:00',4,1,12,2002,'F','N','RATONES','FLORIANÓPOLIS','SC','224251241126141431234443235134610122052',12238,'922',50.28,4,1,1),(20,5177944,'1992-09-17 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215151752338811372114610134187',16172,'1075',42.85,1,3,NULL),(20,5177952,'1990-07-23 00:00:00',4,1,12,2007,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241215372431346534315114610168197',15310,'1023',46.89,1,3,NULL),(20,5177960,'1992-07-30 00:00:00',4,6,11,2009,'M','N','CENTRO','CURITIBA','PR','116162161216111431589812575122610167041',5697,'9998',65.18,1,3,NULL),(20,5177987,'1991-04-07 00:00:00',4,6,12,2008,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241215472431349714585112610132072',8015,'1172',60.88,1,3,NULL),(20,5178002,'1992-10-23 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','116162161215411431468832325122610124047',3341,'9998',72.50,1,3,NULL),(20,5178010,'1991-07-28 00:00:00',4,4,12,2008,'F','N','CENTRO','CURITIBA','PR','116242241216472411458632171325610166092',2901,'185',72.67,4,3,NULL),(20,5178029,'1992-12-08 00:00:00',4,8,12,2009,'M','N','VILA RAU','JARAGUÁ SUL','SC','124244241417111531479614575112610117042',NULL,'1174',28.10,1,3,NULL),(20,5178037,'1992-02-19 00:00:00',2,2,12,2009,'M','N','CENTRO','S JOÃO BATISTA','SC','124241241235122231358923575224610147057',NULL,'1123',32.32,1,3,NULL),(20,5178045,'1988-11-09 00:00:00',4,1,12,2006,'M','N','JD INF D HENRIQUE','BAURU','SP','125252251211571131368812591111610118127',NULL,'9998',0.00,1,3,NULL),(20,5178061,'1992-08-18 00:00:00',4,7,12,2009,'F','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124242241215161711448612595122610137142',NULL,'962',35.94,1,3,NULL),(20,5178070,'1990-04-10 00:00:00',4,10,11,2007,'M','N','CENTRO','TUBARÃO','SC','124242241217372431369812375112130266095',10545,'807',57.16,1,3,NULL),(20,5178088,'1992-10-08 00:00:00',4,7,11,2009,'F','N','FLOR DA SERRA','JOAÇABA','SC','124244241217272431466814572342610166052',4721,'454',69.05,1,3,NULL),(20,5178096,'1986-07-18 00:00:00',5,4,12,2004,'M','N','INTERIOR','LAJEADO GRANDE','SC','124241241117141431334436592222610157067',NULL,'526',21.21,1,2,1),(20,5178100,'1989-11-24 00:00:00',2,1,12,2006,'M','N','SAO LUIZ','S JOSÉ','SC','124241241127271121663129342234130257077',NULL,'729',23.32,1,2,1),(20,5178118,'1987-05-08 00:00:00',2,1,6,2008,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241247137371431546463442114610127042',NULL,'9999',18.49,4,1,1),(20,5178142,'1992-03-18 00:00:00',4,3,12,2009,'F','N','SANTA TEREZINHA','BRUSQUE','SC','124241241135131431236623242231610122097',NULL,'116',13.08,1,2,1),(20,5178150,'1993-05-07 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431368833575122610122145',15563,'266',46.04,1,3,NULL),(20,5178169,'1986-09-13 00:00:00',4,2,6,2002,'F','N','SÃO LUIZ','BRUSQUE','SC','124241241126131421544424345215132624152',NULL,'9999',28.10,1,2,1),(20,5178185,'1992-02-17 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241215373421536723575124133231187',10189,'1022',55.60,1,3,NULL),(20,5178193,'1991-11-03 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472441349833382114610167042',8210,'270',60.28,1,3,NULL),(20,5178207,'1989-10-17 00:00:00',2,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124241241411171721236424142124133267052',NULL,'724',0.00,1,3,NULL),(20,5178223,'1992-11-20 00:00:00',2,1,12,2009,'F','N','BOA VISTA','POUSO REDONDO','SC','124241241116131711322235335122610133141',NULL,'639',19.69,4,2,1),(20,5178240,'1988-03-18 00:00:00',4,9,12,2004,'F','N','GLÓRIA','CARAZINHO','RS','120202201216572731459933272124140664092',3346,'9998',70.28,1,3,NULL),(20,5178258,'1992-05-04 00:00:00',4,1,12,2009,'M','N','GOIABEIRAS','CUIABÁ','MT','111112111215111211588832575112610113042',14556,'9998',45.64,1,3,NULL),(20,5178266,'1989-11-24 00:00:00',4,1,12,2007,'F','N','BRASIL','ITU','SP','125252251417271431538811335122142661147',NULL,'9998',0.00,1,3,NULL),(20,5178282,'1991-05-27 00:00:00',4,1,12,2008,'F','N','BELA VISTA I','S JOSÉ','SC','124251251117371431213877572324610146197',13935,'9998',46.32,1,2,1),(20,5178304,'1987-12-01 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241247226131411226544241324610153042',NULL,'9997',14.34,1,3,NULL),(20,5178312,'1986-02-01 00:00:00',2,1,12,2003,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124251251127471431126341212333610127047',NULL,'9998',0.00,1,2,1),(20,5178339,'1990-12-23 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241112272711323621575124133265187',11411,'307',55.49,1,3,NULL),(20,5178347,'1989-11-08 00:00:00',4,1,12,2006,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124212211217471431237629475124142824112',10435,'9998',57.35,1,3,NULL),(20,5178355,'1992-04-14 00:00:00',4,2,12,2009,'F','N','CENTRO','AURORA','SC','124241241125141331226523245124610117052',NULL,'40',0.00,1,3,NULL),(20,5178363,'1992-07-06 00:00:00',2,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215273431446614245112610147047',10103,'723',55.71,1,3,NULL),(20,5178371,'1991-09-30 00:00:00',4,1,11,2008,'F','N','CENTRO','PTO ALEGRE','RS','120202201216271431448811595124610162142',4535,'9998',68.06,1,3,NULL),(20,5178398,'1989-09-17 00:00:00',4,1,11,2007,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124252251237371231556612395124610124103',13938,'9998',50.50,1,3,NULL),(20,5178401,'1992-08-26 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113431249811575122610167072',713,'262',83.08,1,3,NULL),(20,5178410,'1991-11-01 00:00:00',5,3,11,2008,'F','N','CENTRO','NOVA TRENTO','SC','124241241217234731548879572322121465037',8421,'109',59.76,1,3,NULL),(20,5178436,'1989-07-26 00:00:00',4,1,12,2006,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241214272421458619385114610132097',12931,'269',52.49,1,3,NULL),(20,5178444,'1992-06-12 00:00:00',2,6,12,2009,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124244241415121431236823385115610167142',NULL,'1038',33.91,3,3,NULL),(20,5178452,'1992-08-25 00:00:00',4,16,12,2009,'F','N','CHACARA DAS PEDRAS','PTO ALEGRE','RS','120242201417271211579814475122610162146',14703,'9998',45.46,1,3,NULL),(20,5178460,'1991-08-18 00:00:00',4,1,12,2008,'F','N','PARADA INGLESA','S PAULO','SP','125252251117471441448821577125610167097',490,'9998',84.65,3,3,NULL),(20,5178479,'1991-05-25 00:00:00',4,1,12,2008,'M','N','LAGOINHA','MAIRINQUE','SP','125252251217471411558714572124610164127',8185,'9998',59.08,1,3,NULL),(20,5178487,'1988-10-05 00:00:00',2,1,12,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241115231451635611481124610168182',NULL,'281',0.00,1,2,1),(20,5178495,'1992-11-22 00:00:00',4,2,11,2009,'M','N','ASILO','BLUMENAU','SC','124241241217131431659514342124610137097',14448,'1018',45.66,1,3,NULL),(20,5178509,'1992-03-19 00:00:00',2,4,12,2009,'M','N','CENTRO','MARAVILHA','SC','124241241111151731656612395111610167042',14391,'552',49.49,1,3,NULL),(20,5178517,'1990-08-03 00:00:00',2,1,12,2007,'F','N','SANTA CRUZ','ÁGUAS MORNAS','SC','124241241116133751634413492114610127017',NULL,'978',22.75,1,2,1),(20,5178525,'1991-03-06 00:00:00',4,1,12,2008,'M','N','VILA AIROSA','OSASCO','SP','125252251247371431475811115123610131184',3881,'9998',68.73,1,3,NULL),(20,5178533,'1988-02-29 00:00:00',4,1,11,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117131711423114435321231027147',NULL,'192',21.21,1,2,1),(20,5178568,'1990-05-30 00:00:00',4,1,1,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124254281417572411288833575122610127117',1969,'9998',76.52,4,3,NULL),(20,5178576,'1990-11-06 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216373411358739575124231047042',7926,'270',60.33,1,3,NULL),(20,5178584,'1992-07-10 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215141411446631245114610147142',NULL,'1048',25.82,1,3,NULL),(20,5178592,'1992-05-12 00:00:00',2,1,12,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431338839575124610123125',NULL,'988',27.77,1,3,NULL),(20,5178606,'1992-05-26 00:00:00',4,10,11,2009,'M','N','SANTO ANTÔNIO','TUBARÃO','SC','124242241217111431448912275122610164142',12552,'807',53.24,1,3,NULL),(20,5178614,'1990-04-24 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247336131431634363345124610114147',NULL,'9999',0.00,4,1,2),(20,5178622,'1991-08-18 00:00:00',2,1,12,2008,'M','N','NOSSA DO ROSARIO','S JOSÉ','SC','124242241215472531419838575114610168052',NULL,'738',28.10,1,3,NULL),(20,5178630,'1991-05-24 00:00:00',2,1,12,2008,'F','N','JURERE','FLORIANÓPOLIS','SC','124241248111131751626433345124610167187',NULL,'288',15.41,1,2,1),(20,5178649,'1991-09-10 00:00:00',4,1,12,2009,'M','N','ARAÇATUBA','IMBITUBA','SC','124241241145141631543431312334610156177',NULL,'361',0.00,1,2,1),(20,5178657,'1989-08-16 00:00:00',4,1,6,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242281411574431479913575124231464143',6442,'9998',65.05,1,3,NULL),(20,5178681,'1992-07-18 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241115142431458833572122610133185',NULL,'271',33.56,1,3,NULL),(20,5178690,'1990-08-29 00:00:00',2,15,12,2007,'F','N','TRISTEZA','PTO ALEGRE','RS','120202201211571751271829571122241824142',9496,'9998',56.49,1,3,NULL),(20,5178703,'1992-03-02 00:00:00',2,1,12,2009,'M','N','CENTRO','BURITAMA','SP','125251251116131431443616192324610127047',NULL,'9998',28.80,1,2,1),(20,5178711,'1993-07-03 00:00:00',4,1,12,2010,'M','S','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111732368929275124610137045',NULL,'262',56.11,1,3,NULL),(20,5178720,'1992-04-20 00:00:00',4,1,12,2009,'M','N','BOSQUER DOS EUCALIPT','S JOSÉ CAMPOS','SP','125254251217111411238824575112610162047',NULL,'9998',46.22,1,3,NULL),(20,5178746,'1993-11-18 00:00:00',2,1,11,2010,'M','S','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241435111432226728575124610167077',NULL,'737',21.50,1,3,NULL),(20,5178754,'1974-09-27 00:00:00',2,1,12,1999,'F','N','JARDIM SÃO NICOLAU','BIGUAÇU','SC','124261268126131731221119141114610163047',NULL,'9998',28.79,4,2,1),(20,5178762,'1992-08-06 00:00:00',4,4,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124204241116271411458414575125610166093',NULL,'192',24.39,1,3,NULL),(20,5178789,'1993-03-21 00:00:00',4,2,12,2010,'F','S','PONTA AGUDA','BLUMENAU','SC','124242241215111431278914475122610163092',NULL,'909',52.62,1,3,NULL),(20,5178797,'1992-11-25 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241212111731468814571112610132111',NULL,'1022',28.92,1,3,NULL),(20,5178800,'1992-06-01 00:00:00',2,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217111731256621375125610141141',5171,'1038',66.39,1,3,NULL),(20,5178827,'1991-11-25 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217111731389912472122610132112',3986,'1038',69.82,1,3,NULL),(20,5178835,'1991-01-17 00:00:00',2,10,11,2008,'F','N','CENTRO','TUBARÃO','SC','124243241315472431337712574125610164037',5008,'807',67.16,1,3,NULL),(20,5178843,'1994-09-01 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431426834445112610167077',9314,'226',57.52,1,3,NULL),(20,5178851,'1992-05-31 00:00:00',1,8,12,2009,'F','N','IMIGRANTES','GUARAMIRIM','SC','124242241217271411456632572224610164052',10593,'441',54.71,1,3,NULL),(20,5178860,'1991-03-26 00:00:00',4,1,12,2008,'M','N','SANTA TERESINHA','STO ANDRÉ','SP','125252251215471431469932175122610164043',14794,'9998',44.67,1,3,NULL),(20,5178878,'1992-07-11 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241215113431586632575124610166147',897,'270',81.92,1,3,NULL),(20,5178886,'1992-04-03 00:00:00',2,5,11,2009,'M','N','JOSÉ BONIFÁCIO','ERECHIM','RS','120202208216111211458933595124610127047',NULL,'9998',27.92,1,3,NULL),(20,5178916,'1991-11-14 00:00:00',4,1,11,2009,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241217111451567919573124610168177',1067,'270',79.97,1,3,NULL),(20,5178924,'1992-08-12 00:00:00',4,8,12,2010,'F','S','FLORESTA','JOINVILLE','SC','124242241215141431479914575112610127071',NULL,'932',32.51,1,3,NULL),(20,5178932,'1980-12-09 00:00:00',4,1,12,1998,'M','N','CENTRO','PELOTAS','RS','120202201216575731648939191115140367047',731,'9998',82.99,1,3,NULL),(20,5178967,'1991-10-14 00:00:00',2,1,11,2008,'F','N','CAMOBI','STA MARIA','RS','120202201216472431434715275124610126182',10091,'9998',53.47,1,3,NULL),(20,5178975,'1992-05-15 00:00:00',4,1,12,2009,'M','N','JAGUARIBE','OSASCO','SP','125252251217151731467834315122610111017',3131,'9998',73.12,4,3,NULL),(20,5178983,'1991-08-03 00:00:00',2,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241215372631366612572114610127055',10485,'270',57.26,1,3,NULL),(20,5178991,'1991-11-05 00:00:00',4,1,12,2009,'M','N','SANTA FÉ','CPO GRANDE','MS','112122121217371731537719575114610167147',NULL,'9998',27.90,4,3,NULL),(20,5179009,'1992-05-18 00:00:00',4,1,12,2009,'F','N','ALTO CAFEZAL','MARÍLIA','SP','125284251216111431337716475124610168057',15470,'9998',44.06,1,3,NULL),(20,5179017,'1994-05-05 00:00:00',2,15,11,2010,'F','S','JARDIM ITÁLIA','MELEIRO','SC','124244241215111731458914575124610144142',NULL,'970',52.84,1,3,NULL),(20,5179050,'1991-10-23 00:00:00',4,1,12,2009,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124242241215111631424531575114610117047',NULL,'884',19.64,1,3,NULL),(20,5179068,'1992-10-31 00:00:00',4,4,11,2009,'M','N','CRISTO REI','FRANCISCO BELTRÃO','PR','116162161234151421357934272122610168057',4767,'9998',67.47,1,3,NULL),(20,5179084,'1991-09-06 00:00:00',4,1,12,2009,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215112431468633575112610112013',NULL,'262',42.96,1,3,NULL),(20,5179092,'1991-04-11 00:00:00',2,4,12,2009,'M','N','CENTRO','CPO ERÊ','SC','124241242116161531448872345122610137183',NULL,'135',28.66,1,3,NULL),(20,5179106,'1992-12-21 00:00:00',2,1,12,2009,'M','N','SANTA CRUZ','ÁGUAS MORNAS','SC','124241241115131431634413575124610127047',NULL,'978',26.11,1,2,1),(20,5179114,'1991-06-20 00:00:00',4,1,11,2008,'M','N','BELA VISTA','RIO JANEIRO','RJ','116162161216371411468921471125141022042',NULL,'9998',0.00,1,3,NULL),(20,5179122,'1991-12-25 00:00:00',2,1,12,2009,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124244241215111431588613572124610167042',15464,'1048',41.62,1,3,NULL),(20,5179130,'1991-04-22 00:00:00',4,1,12,2009,'M','N','CENTRO','S JOSÉ','SC','124243241115271531626414445114610118195',NULL,'733',23.70,1,3,NULL),(20,5179149,'1993-12-15 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241412111431468673572124610124147',NULL,'1133',29.70,1,3,NULL),(20,5179157,'1992-12-15 00:00:00',4,1,11,2009,'F','N','BARUERI','BARUERI','SP','125252251211271431487932571122610133122',NULL,'9998',30.78,3,3,NULL),(20,5179165,'1991-12-30 00:00:00',4,1,12,2008,'M','N','CENTRO','NOVA PALMA','RS','120201201112471431526633575123610164062',6617,'9998',64.68,1,3,NULL),(20,5179173,'1991-02-16 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241116372751438614375124610167027',9518,'257',56.77,1,3,NULL),(20,5179203,'1992-10-05 00:00:00',4,3,11,2009,'F','N','CENTRO','PNT GROSSA','PR','116162161212121731437711414122610164176',7878,'9998',59.77,1,3,NULL),(20,5179211,'1993-03-08 00:00:00',4,3,11,2010,'M','S','SUMARÉ','RIO SUL','SC','124242241215112431438812592112610127052',NULL,'991',39.86,1,3,NULL),(20,5179220,'1980-09-14 00:00:00',2,1,12,1999,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201201112271431356659375122130623197',12759,'9998',52.81,1,3,NULL),(20,5179238,'1993-10-14 00:00:00',4,4,11,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241217111412436612425122610118142',NULL,'185',23.95,1,3,NULL),(20,5179246,'1986-02-27 00:00:00',4,8,12,2003,'F','N','CIDADE PATRIARCA','S PAULO','SP','125252251211141411368814445135343237052',12311,'9998',50.18,3,3,NULL),(20,5179254,'1992-12-11 00:00:00',4,4,12,2009,'M','N','NAÇÕES','CONCÓRDIA','SC','124242241217111531456833596124610167052',NULL,'1047',0.00,1,3,NULL),(20,5179262,'1993-04-06 00:00:00',2,10,11,2009,'F','N','CENTRO','BRAÇO NORTE','SC','124242241215111331476632322112610113142',NULL,'807',22.32,1,3,NULL),(20,5179270,'1992-09-14 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111531458512595114610132192',NULL,'738',26.48,1,3,NULL),(20,5179297,'1990-09-25 00:00:00',2,9,12,2007,'F','N','SANTANA','RIO SUL','SC','124243241115472751569933595124610166182',10458,'659',55.26,1,3,NULL),(20,5179300,'1992-03-13 00:00:00',4,1,11,2009,'F','N','JARDIM MARAJOARA','S PAULO','SP','125252251217151431588732576122610143143',12060,'9998',51.63,1,3,NULL),(20,5179319,'1990-10-23 00:00:00',4,10,11,2007,'F','N','CENTRO','TUBARÃO','SC','124242241216573431336619575122610147012',4340,'806',69.26,1,3,NULL),(20,5179327,'1991-11-07 00:00:00',2,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111411456813275124610113075',12710,'1050',50.82,1,3,NULL),(20,5179335,'1992-02-12 00:00:00',2,5,11,2009,'M','N','MICHEL','CRICIÚMA','SC','124242241215111431436319175125610127047',NULL,'210',0.00,1,3,NULL),(20,5179351,'1990-08-23 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241116132731646634275124220714047',9140,'276',59.70,2,1,1),(20,5179360,'1992-05-14 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431589813472122610163142',NULL,'266',0.00,1,3,NULL),(20,5179378,'1994-09-15 00:00:00',4,6,12,2010,'F','S','CENTRO','NAVEGANTES','SC','124242241217111731349934145112610148052',NULL,'1008',30.43,1,3,NULL),(20,5179386,'1991-11-03 00:00:00',2,1,12,2009,'M','N','CENTRO','BURITAMA','SP','125251251116131431336624472222610127047',14723,'9998',44.34,1,2,1),(20,5179394,'1991-06-06 00:00:00',4,1,12,2008,'F','N','ALTOS DO ESPLANADA','S JOSÉ CAMPOS','SP','125252251215371441578814575112610124142',1373,'9998',79.40,1,3,NULL),(20,5179408,'1991-07-17 00:00:00',4,6,12,2009,'M','N','NOIVA DA COLINA','PIRACICABA','SP','125251251117151431348823475112610137052',14909,'9998',42.48,4,2,1),(20,5179416,'1992-01-27 00:00:00',2,10,11,2009,'M','N','CENTRO','BRAÇO NORTE','SC','124241241316111431459913395124610131057',9248,'806',57.68,1,3,NULL),(20,5179424,'1993-12-05 00:00:00',2,5,11,2010,'F','S','COMERCIARIO','CRICIÚMA','SC','124244241215131431336521275225610124152',NULL,'226',49.43,4,3,NULL),(20,5179432,'1991-03-13 00:00:00',4,1,12,2008,'M','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120202201217571431459939571114142844117',2819,'9998',73.01,1,3,NULL),(20,5179440,'1990-02-08 00:00:00',4,1,12,2007,'M','N','JARDIM PARAISO','BOTUCATU','SP','125252251215572431468923571125610112052',1242,'9998',80.03,1,3,NULL),(20,5179459,'1989-10-05 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216573441569913575124610116182',4560,'270',66.79,1,3,NULL),(20,5179475,'1987-06-11 00:00:00',4,15,12,2004,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241244136133231343823245123610114187',NULL,'30',24.64,4,2,1),(20,5179491,'1952-08-11 00:00:00',4,1,12,1969,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','424242241216152751578849495112521467013',13122,'262',52.13,4,1,2),(20,5179505,'1955-06-18 00:00:00',4,1,12,1974,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','224241136217373711463344442132421168045',9501,'9998',59.08,1,3,NULL),(20,5179513,'1988-12-16 00:00:00',2,1,7,2008,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241114141421433431345224610134027',7311,'306',63.22,1,2,1),(20,5179530,'1992-01-21 00:00:00',4,1,12,2009,'F','N','SETOR PEDRO LUDOVIDO','GOIÂNIA','GO','109092091214111731378831572122610144112',7465,'9998',59.59,4,3,NULL),(20,5179548,'1992-05-20 00:00:00',2,3,12,2009,'F','N','MUNICIPIOS','BAL CAMBORIÚ','SC','124241241116141431447933345121610128147',NULL,'51',24.69,1,2,1),(20,5179556,'1992-02-26 00:00:00',4,1,2,2010,'M','N','CENTRO','MANDAGUAÇU','PR','116161161117131431426511245124610167017',14312,'9998',46.81,4,2,1),(20,5179564,'1992-03-05 00:00:00',4,7,12,2009,'M','N','REUNIDAS','CAÇADOR','SC','124242241317161431445814465122610132042',12310,'122',50.70,1,3,NULL),(20,5179572,'1992-01-28 00:00:00',2,8,12,2008,'F','N','PROFIPO','JOINVILLE','SC','124241241115472731336623575114610136177',NULL,'479',23.62,2,1,1),(20,5179599,'1992-05-09 00:00:00',4,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241215131411443924145124610142192',8805,'394',57.80,1,3,NULL),(20,5179602,'1969-02-06 00:00:00',2,1,12,1986,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','624251254111131411635642225124142165093',10331,'9998',57.55,1,3,NULL),(20,5179610,'1987-03-08 00:00:00',4,2,12,2004,'M','N','GLÓRIA','BLUMENAU','SC','124241241127271531433311412122130222117',NULL,'76',0.00,1,2,1),(20,5179629,'1992-04-23 00:00:00',4,1,12,2008,'M','N','CHÁCARA CACHOEIRA','CPO GRANDE','MS','112124121415472431168821575124610122012',2278,'9998',75.41,1,3,NULL),(20,5179645,'1991-12-20 00:00:00',4,16,12,2009,'F','N','JARDIM DAS NAÇÕES','TAUBATÉ','SP','125252251216111431468933575122610123077',NULL,'9998',0.00,1,3,NULL),(20,5179653,'1988-03-29 00:00:00',2,1,12,2006,'F','N','AUXILIADORA','PTO ALEGRE','RS','120202201217471451247831571112143225182',NULL,'9998',0.00,1,3,NULL),(20,5179670,'1986-07-16 00:00:00',4,1,12,2005,'M','N','CAMBUCI','S PAULO','SP','125252251215571431448611175124610164027',NULL,'9998',0.00,1,3,NULL),(20,5179688,'1992-12-02 00:00:00',4,4,11,2009,'M','N','PRESIDENTE MEDICI','CHAPECÓ','SC','124241241217112521568923575122610167047',NULL,'185',33.90,1,3,NULL),(20,5179700,'1991-12-02 00:00:00',4,1,12,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241212121431566419572114610161047',7431,'1022',62.94,1,3,NULL),(20,5179718,'1993-01-25 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241217121431458713375114610134147',13601,'1169',51.17,1,3,NULL),(20,5179726,'1992-05-06 00:00:00',2,1,12,2009,'M','N','GANCHOS DE FORA','GOV CELSO RAMOS','SC','124241241125131731316639345124610152143',NULL,'329',16.53,1,2,1),(20,5179750,'1992-07-13 00:00:00',4,1,11,2009,'F','N','PASSO DAREIA','PTO ALEGRE','RS','120202201217111411558614492122610114077',NULL,'9998',29.40,1,3,NULL),(20,5179769,'1992-02-25 00:00:00',4,4,12,2009,'F','N','CENTRO','CASCAVEL','PR','116162161217111451477832474122610164142',NULL,'9998',0.00,1,3,NULL),(20,5179785,'1989-03-29 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115271732438813342124610126085',NULL,'307',24.54,1,2,1),(20,5179793,'1992-06-27 00:00:00',4,1,12,2009,'M','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112122121216111231428612372124610127044',9372,'9998',56.81,1,3,NULL),(20,5179807,'1990-08-06 00:00:00',2,1,12,2007,'F','N','SANTA TEREZA','S LEOPOLDO','RS','120201201216572731468811591112610131112',11100,'9998',55.75,1,3,NULL),(20,5179815,'1992-11-23 00:00:00',4,9,12,2009,'F','N','SÃO JOÃO','CORREIA PINTO','SC','124241241115131631326823572324610123147',NULL,'201',0.00,1,2,1),(20,5179823,'1992-09-23 00:00:00',4,1,11,2009,'M','N','SERRARIAS','S JOSÉ','SC','124241241116111451547733145124610126143',9505,'257',56.73,1,3,NULL),(20,5179831,'1965-01-17 00:00:00',5,1,12,1983,'F','N','FLORESTA','S JOSÉ','SC','124241248146132431335549392124610166142',NULL,'257',29.17,1,3,NULL),(20,5179840,'1991-07-30 00:00:00',4,1,11,2009,'M','N','VILA SUZANA','S PAULO','SP','125252251217151711488712271124610142113',4980,'9998',67.07,3,3,NULL),(20,5179866,'1990-05-02 00:00:00',2,1,12,2007,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124252241412133431424611342124610133187',NULL,'1076',18.29,1,3,NULL),(20,5179882,'1991-06-02 00:00:00',4,4,12,2008,'F','N','PRIMEIRO DE MAIO','DIONÍSIO CERQUEIRA','SC','124241241116271431533312572122610122192',NULL,'245',0.00,1,2,1),(20,5179890,'1991-05-17 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242248412131732438618572124610117057',14893,'293',48.18,1,3,NULL),(20,5179904,'1989-11-16 00:00:00',2,1,8,2008,'M','N','AREIAS','S JOSÉ','SC','124242247217152451448634575112610167046',NULL,'9999',23.24,1,3,NULL),(20,5179912,'1992-07-29 00:00:00',4,16,12,2009,'M','N','SANTO ANTONIO','FRAIBURGO','SC','124241241215111431349933575124610134077',14259,'317',46.20,1,3,NULL),(20,5179920,'1993-02-01 00:00:00',2,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431348919495112610133142',8084,'265',58.97,1,3,NULL),(20,5179939,'1992-07-25 00:00:00',4,1,12,2009,'M','N','BELA VISTA I','S JOSÉ','SC','124242241215121441627314585124610132091',11654,'1076',55.01,1,3,NULL),(20,5179947,'1984-12-13 00:00:00',4,1,12,2002,'M','N','SERRARIA','S JOSÉ','SC','124241241116133431436413445124610167147',NULL,'257',24.76,2,1,1),(20,5179955,'1991-09-05 00:00:00',4,1,11,2009,'M','N','JARDIM DAS PALMEIRAS','S JOSÉ','SC','124241241142151731533312245121610167042',NULL,'727',27.78,1,2,1),(20,5179963,'1993-01-22 00:00:00',4,1,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215371411449932574112610126193',9327,'403',57.06,1,3,NULL),(20,5179971,'1993-10-22 00:00:00',4,4,11,2010,'F','S','CENTRO','CHAPECÓ','SC','124242241215111432347714472122610124143',NULL,'168',55.04,1,3,NULL),(20,5179980,'1992-05-05 00:00:00',4,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124241241215111231447719576121610152147',NULL,'807',0.00,1,3,NULL),(20,5180007,'1992-08-11 00:00:00',2,4,12,2009,'F','N','PIONEIRO','PINHALZINHO','SC','124241241147151231434413245121610124177',14144,'616',45.85,1,2,1),(20,5180015,'1990-01-22 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216373431237923575122230234095',NULL,'1022',28.43,1,3,NULL),(20,5180023,'1992-10-11 00:00:00',2,5,12,2009,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242243216151431438619575124610137052',7662,'995',59.17,1,3,NULL),(20,5180031,'1992-03-18 00:00:00',2,1,12,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241117271431436414575124610142012',7763,'267',61.02,1,2,1),(20,5180040,'1992-06-29 00:00:00',4,6,12,2009,'M','N','FAZENDA','ITAJAÍ','SC','124242241217211551478931575121610167062',NULL,'389',0.00,1,3,NULL),(20,5180066,'1992-07-17 00:00:00',2,8,12,2009,'F','N','COLONIAL','S BENTO SUL','SC','124244241416151431663833594122610161011',NULL,'697',0.00,1,3,NULL),(20,5180082,'1989-02-18 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241137372721448623342124610112037',7942,'307',61.95,1,3,NULL),(20,5180090,'1992-03-27 00:00:00',2,1,11,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215113431346924572122610167042',NULL,'1169',0.00,1,3,NULL),(20,5180104,'1990-05-08 00:00:00',2,1,12,2007,'F','N','CENTRO','CAXIAS SUL','RS','120204201217572441336811572124610167097',6290,'9998',62.30,1,3,NULL),(20,5180112,'1992-06-04 00:00:00',4,8,12,2009,'M','N','GUANABARA','JOINVILLE','SC','124241241116141231446422245122610147042',NULL,'467',23.85,1,3,NULL),(20,5180120,'1988-02-11 00:00:00',2,1,11,2006,'F','N','JOSE MENDES','FLORIANÓPOLIS','SC','124241241122131731433821242114610112052',NULL,'286',0.00,1,2,1),(20,5180155,'1992-03-05 00:00:00',4,1,12,2009,'F','N','VILA INDUSTRIAL','ALUMÍNIO','SP','125252251215111431536614471122610128142',11166,'9998',53.79,4,3,NULL),(20,5180163,'1984-01-20 00:00:00',2,1,12,2003,'M','N','FORQUILHAS','S JOSÉ','SC','124241241142131711633214142114143241042',NULL,'727',16.37,1,2,1),(20,5180171,'1987-09-10 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241216153411669912275124232466035',NULL,'270',0.00,1,3,NULL),(20,5180180,'1992-01-10 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','120202201116371411436534575124610134182',15510,'9998',41.52,1,3,NULL),(20,5180201,'1987-11-07 00:00:00',4,1,11,2005,'M','N','NOSSA S DAS GRAÇAS','FRANCA','SP','125252251211472431444611475122140267087',NULL,'9998',0.00,4,3,NULL),(20,5180228,'1989-09-21 00:00:00',4,1,12,2007,'M','N','TV MORENA','CPO GRANDE','MS','112122121217571231388833575122610164177',1332,'9998',78.66,1,3,NULL),(20,5180260,'1993-03-06 00:00:00',2,8,12,2009,'F','N','EMBOGUAÇU','PARANAGUÁ','PR','116162161236271731433719575122610146092',NULL,'9998',0.00,1,3,NULL),(20,5180287,'1987-02-16 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241316275411356823445122131437081',15038,'307',47.75,1,3,NULL),(20,5180295,'1991-01-31 00:00:00',4,1,11,2007,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215152531388923575122131024042',3622,'807',71.83,1,3,NULL),(20,5180309,'1988-12-03 00:00:00',2,1,7,2009,'F','N','MORRO DA BINA','BIGUAÇU','SC','124241247347131431323421241324610123187',NULL,'9999',25.70,1,3,NULL),(20,5180317,'1992-06-19 00:00:00',4,3,12,2009,'F','N','SERRIL','BRAÇO TROMBUDO','SC','124241241146161231534313575124610128042',NULL,'103',23.69,1,2,1),(20,5180325,'1991-05-27 00:00:00',2,3,12,2008,'M','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116163161115471411348612575124610137062',2660,'9998',72.62,1,3,NULL),(20,5180333,'1988-07-27 00:00:00',2,1,12,2006,'F','N','CENTRO','PALHOÇA','SC','124241241117371721523314344124610142147',NULL,'591',28.08,1,3,NULL),(20,5180341,'1990-09-21 00:00:00',2,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241115571731458814492124610114145',NULL,'734',27.93,1,3,NULL),(20,5180376,'1986-07-07 00:00:00',2,1,12,2004,'F','N','CENTRO','PALHOÇA','SC','124241241117371721523314244121610124187',NULL,'591',24.22,1,3,NULL),(20,5180384,'1991-04-30 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216142432448833445121610136152',10674,'1022',56.91,1,3,NULL),(20,5180392,'1992-08-06 00:00:00',2,1,11,2009,'M','N','ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC','124241241226131431323624285124610167177',13545,'262',47.13,1,3,NULL),(20,5180414,'1989-09-30 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241226472431436611295124140244187',4196,'1060',68.88,1,3,NULL),(20,5180422,'1993-02-02 00:00:00',2,1,12,2009,'F','N','BORGES DE MEDEIROS','MARAU','RS','120201201117132731423314242124610134077',NULL,'9998',26.80,4,2,1),(20,5180465,'1989-11-09 00:00:00',2,1,12,2007,'M','N','CENTRO','S JOSÉ','SC','124243241116155441556711475124223232082',7049,'306',63.72,1,3,NULL),(20,5180481,'1986-09-14 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224072071412132711236944342114142835147',NULL,'9998',0.00,4,3,NULL),(20,5180503,'1974-09-20 00:00:00',4,1,8,2005,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224201207626131731326344441124610132187',NULL,'9998',0.00,2,3,NULL),(20,5180538,'1991-06-25 00:00:00',2,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217122431337823575112231237185',14500,'270',46.60,1,3,NULL),(20,5180554,'1991-03-26 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242241215273431446634375124230232042',10145,'738',57.89,1,3,NULL),(20,5180562,'1992-08-27 00:00:00',4,1,12,2009,'F','N','SANTA TERESA','S PEDRO ALCÂNTARA','SC','124241241127131731446739572121610122057',NULL,'869',27.48,1,3,NULL),(20,5180597,'1988-05-02 00:00:00',4,1,12,2008,'M','N','JARDIM SILVINA','S BERNARDO CAMPO','SP','125251257137131431524624185121140264147',14668,'9998',48.83,4,1,1),(20,5180619,'1991-07-21 00:00:00',4,1,7,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124242241117271212338823585114610134087',NULL,'739',25.30,1,3,NULL),(20,5180627,'1979-09-23 00:00:00',4,1,12,1999,'M','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124252251126272431126844345124121166047',NULL,'9998',35.81,1,3,NULL),(20,5180635,'1990-03-30 00:00:00',4,1,12,2007,'F','N','VILA SUZANA','S PAULO','SP','125252251217571411458821571112610164147',NULL,'9998',0.00,1,3,NULL),(20,5180643,'1982-02-26 00:00:00',4,8,12,1999,'F','N','AREIAS','TIJUCAS','SC','124241241116113421336419435113610168177',NULL,'768',21.45,1,3,NULL),(20,5180651,'1985-10-07 00:00:00',4,1,11,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241212152431569613475122231462065',15340,'266',46.81,1,3,NULL),(20,5180660,'1987-10-26 00:00:00',2,1,12,2004,'M','N','CAMPINAS','S JOSÉ','SC','124243241317132422469933345121121432187',NULL,'270',0.00,1,3,NULL),(20,5180678,'1992-03-27 00:00:00',4,1,10,2009,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124241241216161331238823375124610168052',NULL,'1049',30.38,1,3,NULL),(20,5180686,'1992-09-14 00:00:00',4,8,12,2009,'F','N','CENTRO','BAL BARRA SUL','SC','124241241126131431338923575122610163117',NULL,'41',24.63,1,2,1),(20,5180694,'1983-02-15 00:00:00',2,1,12,2001,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224241241126152441223349195124332766042',NULL,'290',0.00,2,3,NULL),(20,5180708,'1990-01-04 00:00:00',2,1,12,2007,'F','N','BOM VIVER','BIGUAÇU','SC','124243241216143221548612345122230227047',NULL,'1036',29.06,1,3,NULL),(20,5180716,'1984-12-29 00:00:00',4,1,12,2002,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217271431188714445124232763147',NULL,'9999',28.28,1,3,NULL),(20,5180724,'1992-07-13 00:00:00',1,2,12,2010,'M','S','CENTRO','POMERODE','SC','124242241217121531467833571321610137112',NULL,'624',56.75,1,3,NULL),(20,5180759,'1976-11-18 00:00:00',2,1,7,2003,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','624243247126272421523858182124610126097',9219,'9999',59.58,1,3,NULL),(20,5180767,'1974-11-06 00:00:00',2,15,12,1993,'M','N','CENTRO','ARARANGUÁ','SC','224243241311141731223649495125610137111',NULL,'32',24.59,1,3,NULL),(20,5180783,'1992-03-13 00:00:00',4,5,11,2009,'F','N','CENTRO','ORLEANS','SC','124242241216122431346923575122610127072',3503,'820',71.19,1,3,NULL),(20,5180813,'1991-07-03 00:00:00',4,8,12,2009,'F','N','CENTRO','IPORÃ','PR','116163161312271431539633574125610164072',NULL,'9998',0.00,1,3,NULL),(20,5180821,'1984-07-27 00:00:00',2,8,7,2004,'M','N','AVENTUREIRO','JOINVILLE','SC','124243247336372431433319185121610126187',7280,'489',61.33,1,3,NULL),(20,5180830,'1991-12-19 00:00:00',4,1,12,2008,'M','N','ARIRIÚ','PALHOÇA','SC','124242241215272441448632395124610127015',6561,'1022',64.79,1,3,NULL),(20,5180899,'1991-04-24 00:00:00',4,8,12,2008,'M','N','ATIRADORES','JOINVILLE','SC','124242241215471411489914384112610164034',5552,'1063',67.00,1,3,NULL),(20,5180902,'1992-01-27 00:00:00',4,1,11,2009,'M','N','SÃO BRAZ','CURITIBA','PR','116162161211111431569933394124610164017',14669,'9998',46.43,1,3,NULL),(20,5180929,'1983-11-03 00:00:00',4,1,12,2000,'M','N','EXPOSIÇÃO','CAXIAS SUL','RS','120202201216131331248919232124341447187',NULL,'9998',19.15,1,3,NULL),(20,5180937,'1992-08-27 00:00:00',4,7,12,2009,'M','N','CENTRO','CAMPOS NOVOS','SC','124242241215161431535812245122610138052',14622,'138',45.65,1,3,NULL),(20,5180961,'1989-07-23 00:00:00',2,8,12,2006,'M','N','PARQUE JOINVILLE','JOINVILLE','SC','124243241216271231648832381124610167047',4579,'462',67.04,2,1,2),(20,5180970,'1989-03-15 00:00:00',4,1,8,2007,'M','N','BARREIROS','S JOSÉ','SC','124244241117374431568931575124221464042',7204,'739',63.42,4,3,NULL),(20,5180996,'1989-01-29 00:00:00',4,1,12,2006,'M','N','CAMOBI','STA MARIA','RS','101011011111111111111111111111110111011',6906,'9998',60.75,1,3,NULL),(20,5181003,'1994-12-20 00:00:00',4,5,12,2012,'F','S','PIO CORREA','CRICIÚMA','SC','124242241215151731468832575122610124187',NULL,'211',18.64,1,3,NULL),(20,5181020,'1990-08-22 00:00:00',4,8,12,2007,'M','N','CENTRO','TERRA RICA','PR','116162161216571231458831575112610162072',NULL,'9998',0.00,1,3,NULL),(20,5181046,'1992-10-04 00:00:00',4,2,12,2009,'F','N','TABOÃO','RIO SUL','SC','124241241136151431434469232224610131057',NULL,'659',0.00,4,2,1),(20,5181062,'1990-08-24 00:00:00',2,8,12,2007,'F','N','NOVA RUSSIA','PNT GROSSA','PR','116162161216572451668832572112610162077',1117,'9998',79.12,1,3,NULL),(20,5181070,'1984-03-07 00:00:00',2,4,12,2001,'F','N','SAO FRANCISCO','S LOURENÇO OESTE','SC','124242245246371441138343336122232762071',15857,'266',44.80,4,3,NULL),(20,5181089,'1991-07-30 00:00:00',2,1,12,2008,'M','N','JARDIM GUARAPUAVA','FOZ IGUAÇU','PR','116112111215471441434432574122610134047',10054,'9998',55.02,1,3,NULL),(20,5181100,'1988-06-01 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201216151441226552242125241912102',14317,'9998',49.68,1,3,NULL),(20,5181119,'1991-02-15 00:00:00',2,1,12,2008,'M','N','CENTRO','ENCANTADO','RS','120204201217471431333631571112610167047',NULL,'9998',25.94,1,3,NULL),(20,5181127,'1990-02-14 00:00:00',2,3,12,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','120203201115471431333619375122610124047',5960,'9998',64.70,1,3,NULL),(20,5181135,'1991-06-15 00:00:00',2,1,12,2008,'F','N','PARTENON','PTO ALEGRE','RS','120201201117371431224629591224610166097',NULL,'9998',30.10,1,2,1),(20,5181143,'1989-08-29 00:00:00',4,8,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161214572431488811571124610167056',3275,'9998',70.88,1,3,NULL),(20,5181160,'1991-11-06 00:00:00',4,8,11,2008,'F','N','BACACHERI','CURITIBA','PR','116212161215471431469933575122610124092',10810,'9998',56.66,1,3,NULL),(20,5181186,'1990-12-03 00:00:00',2,6,12,2007,'M','N','RIO DO PEIXE','LUIZ ALVES','SC','124241241126473431635332275122610117047',454,'536',85.02,1,2,1),(20,5181194,'1984-02-11 00:00:00',2,1,12,2001,'F','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124241241126131431333319245333613252097',NULL,'329',25.77,1,2,1),(20,5181208,'1975-05-08 00:00:00',4,1,6,1994,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624283284117274431458711485124131512047',NULL,'9998',0.00,1,3,NULL),(20,5181216,'1990-06-02 00:00:00',4,1,7,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115271431448613372214133232012',2663,'306',74.52,1,2,1),(20,5181224,'1991-04-21 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241112371421535514345124610127042',NULL,'733',12.50,1,2,1),(20,5181232,'1990-06-25 00:00:00',2,1,12,2008,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124242248216373431338611342334610137142',NULL,'1022',27.14,1,3,NULL),(20,5181240,'1992-01-25 00:00:00',4,8,11,2009,'M','N','INDEPENDECIA','CASCAVEL','PR','116162161217111431457632574341610167012',13717,'9998',45.93,1,3,NULL),(20,5181267,'1990-02-21 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215143411467812572122230431092',8325,'270',61.26,1,3,NULL),(20,5181275,'1988-09-25 00:00:00',2,1,12,2007,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241146131711323379345114610148142',NULL,'1116',24.42,4,3,NULL),(20,5181283,'1991-07-15 00:00:00',2,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247113161431536411573324610131142',NULL,'9999',23.51,1,2,1),(20,5181291,'1992-01-09 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241117131431228831312124610114142',NULL,'257',0.00,1,3,NULL),(20,5181305,'1973-01-01 00:00:00',2,1,12,2001,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','224241247326134431334443135122222267047',NULL,'9999',43.06,1,3,NULL),(20,5181313,'1991-12-18 00:00:00',4,8,12,2008,'M','N','AGUA VERDE','CURITIBA','PR','116164161435471431458831473122610167122',4042,'9998',69.51,3,3,NULL),(20,5181330,'1972-10-27 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','224243247315371421536349242123610117065',NULL,'977',26.94,1,3,NULL),(20,5181348,'1983-05-29 00:00:00',2,1,12,1999,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243141136575431579619575122610166027',990,'9998',81.39,1,3,NULL),(20,5181356,'1988-11-08 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211143421449614445124230727122',11967,'737',54.42,1,3,NULL),(20,5181364,'1989-04-14 00:00:00',4,1,12,2006,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241212271421436511214114610115062',8990,'1022',59.98,1,3,NULL),(20,5181372,'1975-10-19 00:00:00',2,1,12,1993,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','224241191126133431336453445124222716147',NULL,'9998',0.00,4,3,NULL),(20,5181380,'1991-03-04 00:00:00',4,4,12,2008,'M','N','CENTRO','PASSO FUNDO','RS','120202201217471431338714345125610164047',357,'9998',85.91,1,3,NULL),(20,5181399,'1989-07-04 00:00:00',2,1,11,2007,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124243241443132431226643435124231062017',15833,'757',44.95,1,3,NULL),(20,5181402,'1987-01-02 00:00:00',4,1,12,2004,'M','N','VILA IPOJUCA','S PAULO','SP','125252251217371441369923575114142164042',2081,'9998',74.88,1,3,NULL),(20,5181429,'1991-12-18 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241136371431633359195324610126147',NULL,'281',24.42,4,2,1),(20,5181437,'1991-02-15 00:00:00',2,1,9,2009,'F','N','CENTRO','PAULO LOPES','SC','124246247127231711413854472124140235052',NULL,'9999',21.92,1,3,NULL),(20,5181445,'1989-11-20 00:00:00',4,1,12,2007,'M','N','SACO GRANDE II','FLORIANÓPOLIS','SC','124242241227152411466629395124233214187',NULL,'1098',34.44,1,3,NULL),(20,5181453,'1991-08-14 00:00:00',2,10,12,2008,'F','N','CENTRO','TUBARÃO','SC','124244241215272431656314375122231337142',NULL,'797',27.52,1,3,NULL),(20,5181488,'1987-10-26 00:00:00',2,1,12,2004,'M','N','CENTRO','PTO ALEGRE','RS','120201201127473441533923485124140236082',4197,'9998',68.52,4,2,1),(20,5181496,'1984-11-28 00:00:00',2,15,12,2002,'M','N','CAVERAZINHO','ARARANGUÁ','SC','224241241437141722353444445232133227045',16117,'541',43.32,1,3,NULL),(20,5181500,'1952-09-25 00:00:00',2,1,12,1970,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224202205217151711244449395112341062192',14717,'9998',48.65,1,3,NULL),(20,5181518,'1989-02-05 00:00:00',2,1,12,2007,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241248117151511433314445124610124192',NULL,'21',24.50,1,2,1),(20,5181526,'1989-03-22 00:00:00',2,15,11,2007,'M','N','COLONINHA','ARARANGUÁ','SC','124241241117141721333331145121610144055',NULL,'29',22.10,1,2,1),(20,5181534,'1989-06-13 00:00:00',2,1,12,2006,'F','N','AREIAS','S JOSÉ','SC','124241241116573431533631212224610127042',13782,'21',50.77,1,3,NULL),(20,5181542,'1986-04-10 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','120202208217271231339514285124143265041',13228,'9998',47.72,1,3,NULL),(20,5181550,'1991-12-05 00:00:00',4,1,12,2009,'M','N','TAQUARAL','CAMPINAS','SP','125252251216151731458914471122610137072',4612,'9998',67.85,1,3,NULL),(20,5181569,'1980-12-11 00:00:00',2,1,12,1998,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624244241217575451248643435122321364087',3921,'270',69.72,3,3,NULL),(20,5181593,'1983-07-19 00:00:00',4,1,11,2001,'M','N','NOVO CAMPECHE','FLORIANÓPOLIS','SC','124254071116271441137944345122140764042',NULL,'9998',0.00,1,3,NULL),(20,5181607,'1984-01-24 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202201216471421488716325122330267092',NULL,'9998',39.29,1,3,NULL),(20,5181615,'1982-07-22 00:00:00',4,1,12,2000,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','624251251146231431113531283334610166177',NULL,'9998',35.00,4,3,NULL),(20,5181623,'1993-07-07 00:00:00',2,1,11,2010,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242248215131221566833592112510118017',NULL,'262',26.55,1,3,NULL),(20,5181640,'1989-11-11 00:00:00',2,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215374721468814395132130267062',14624,'1022',48.93,1,3,NULL),(20,5181658,'1988-04-04 00:00:00',4,15,12,2005,'M','N','ERECHIM','BAL ARROIO SILVA','SC','124241241111132721624933181114130267147',NULL,'29',20.88,1,3,NULL),(20,5181674,'1992-08-18 00:00:00',4,1,11,2010,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','113132131217111331469933575122610167052',NULL,'9998',59.98,1,3,NULL),(20,5181682,'1987-01-24 00:00:00',4,1,12,2004,'F','N','JD EUROPA','SOROCABA','SP','125251251216573741569619575122610167027',3847,'9998',69.72,1,3,NULL),(20,5181690,'1992-04-15 00:00:00',4,4,12,2009,'M','N','CENTRO','XANXERÊ','SC','124241241116161431333923572121610162147',NULL,'840',19.18,4,2,1),(20,5181704,'1992-01-04 00:00:00',4,10,12,2009,'M','N','CAÇADOR','CAPIVARI BAIXO','SC','124241241115131431423934245124610122172',NULL,'1034',0.00,1,2,1),(20,5181712,'1992-08-25 00:00:00',2,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242244215111731555611525122610117091',NULL,'1050',26.34,1,3,NULL),(20,5181739,'1991-09-27 00:00:00',2,1,12,2009,'F','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124243241237123441359813374124610123021',1017,'1022',81.23,4,3,NULL),(20,5181747,'1989-09-27 00:00:00',4,1,12,2006,'F','N','CENTRO','CPO GRANDE','MS','112122121215573431578812575122610146087',5962,'9998',64.11,4,3,NULL),(20,5181755,'1989-12-15 00:00:00',2,8,11,2007,'F','N','CENTRO','ITAIÓPOLIS','SC','116241241442572431468833572124610164072',6800,'1085',61.58,1,3,NULL),(20,5181771,'1990-07-08 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124252251217572431569813575124610166075',8377,'9998',61.17,1,3,NULL),(20,5181798,'1983-05-17 00:00:00',4,1,12,2003,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124121128112472411113344342314610144183',NULL,'9998',0.00,4,3,NULL),(20,5181801,'1990-06-01 00:00:00',4,2,12,2007,'F','N','BOQUEIRAO','CURITIBA','PR','116161161117471731548833332124610163142',12393,'9998',50.44,1,2,1),(20,5181810,'1992-07-04 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111411386712222122610164132',12018,'1169',54.34,1,3,NULL),(20,5181828,'1992-10-28 00:00:00',4,1,11,2009,'F','N','ADIB MOUSSA','STA ROSA VITERBO','SP','125252251216111431458831575112610126197',NULL,'9998',0.00,1,3,NULL),(20,5181836,'1989-03-03 00:00:00',4,8,11,2006,'F','N','BARREIRINHA','CURITIBA','PR','116162161116571431427632572112610123097',1421,'9998',78.20,1,3,NULL),(20,5181844,'1991-04-27 00:00:00',4,1,12,2008,'F','N','VILA MARIA','CAMPINAS','SP','125252253116471431468831341122610167072',7315,'9998',60.21,1,3,NULL),(20,5181852,'1991-10-25 00:00:00',4,5,11,2008,'F','N','BELA VISTA','COCAL SUL','SC','124242246217372431326411395122610138052',13704,'188',48.06,1,3,NULL),(20,5181860,'1988-08-08 00:00:00',2,1,12,2005,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241342133331458514245123230227047',NULL,'737',28.48,1,3,NULL),(20,5181879,'1985-11-11 00:00:00',4,1,12,2002,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241122132431555819482114130732187',NULL,'322',41.38,4,2,1),(20,5181887,'1989-05-07 00:00:00',2,5,12,2007,'M','N','CIDADE MINERA VELHA','CRICIÚMA','SC','124241241147572411443332172123610127017',8098,'223',61.66,3,2,1),(20,5181895,'1992-03-15 00:00:00',2,7,12,2009,'F','N','CENTRO','HUMAITÁ','AM','122042221217111231268933572122610131112',NULL,'9998',0.00,4,3,NULL),(20,5181909,'1991-04-09 00:00:00',2,15,12,2008,'M','N','MATO ALTO','ARARANGUÁ','SC','124242241217472431538613592122610127147',9995,'970',58.16,1,3,NULL),(20,5181917,'1992-07-18 00:00:00',2,2,12,2009,'F','N','PADRE MARTINHO STEIN','TIMBÓ','SC','124244241216122431444934575121610137142',5417,'1157',66.41,1,3,NULL),(20,5181925,'1992-11-04 00:00:00',4,1,12,2009,'M','N','JARDIM FLAMBOYANT','PALHOÇA','SC','124243241216271431469613575122610127047',7051,'1010',62.18,1,3,NULL),(20,5181933,'1985-08-26 00:00:00',4,1,12,2003,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241126132721336429395334610122187',NULL,'274',21.25,1,2,1),(20,5181941,'1992-10-27 00:00:00',4,1,12,2009,'F','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120202201216471411589939571122610166092',5317,'9998',65.81,1,3,NULL),(20,5181950,'1993-04-27 00:00:00',4,1,12,2010,'F','S','SÃO SEBASTIÃO','PALHOÇA','SC','124241241215121731456933575124610126185',NULL,'1011',28.20,1,3,NULL),(20,5181968,'1992-11-11 00:00:00',2,4,12,2009,'M','N','SÃO FRANCISCO','S JOSÉ OURO','RS','124201242115131421533615595224610114147',NULL,'196',24.19,1,2,1),(20,5181992,'1990-04-16 00:00:00',4,8,12,2007,'F','N','CRISTO REI','CURITIBA','PR','116162161215572431468923375124610132147',7794,'9998',60.07,1,3,NULL),(20,5182018,'1986-12-15 00:00:00',2,8,12,2004,'M','N','PLANTA ARAÇATUBA','PIRAQUARA','PR','116161161115571741466622571124610136147',2969,'9998',70.81,1,2,1),(20,5182026,'1991-07-12 00:00:00',2,1,12,2009,'F','N','SANTOS DUMONT','S JOSÉ','SC','124243241115471431524464375124610143012',13861,'732',48.78,4,1,2),(20,5182042,'1993-03-30 00:00:00',4,7,12,2009,'F','N','NAÇÕES','FRAIBURGO','SC','124242241215111441454924375122610134192',14950,'317',48.03,1,3,NULL),(20,5182050,'1991-06-21 00:00:00',2,9,12,2008,'F','N','CENTRO','ITUPORANGA','SC','124244241415372431546511375125610164042',4850,'991',68.74,1,3,NULL),(20,5182069,'1993-02-07 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124242241212372442446933576122610127072',11553,'725',53.27,1,3,NULL),(20,5182077,'1992-02-06 00:00:00',4,1,11,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241248125131422435433372114610127043',NULL,'285',19.17,1,3,NULL),(20,5182085,'1991-02-27 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124241241215473431356631572124610121187',NULL,'1074',25.51,1,3,NULL),(20,5182093,'1984-06-13 00:00:00',4,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124254253116143411447743435124230261025',NULL,'9998',0.00,1,3,NULL),(20,5182115,'1991-02-01 00:00:00',2,1,12,2007,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241415473431357834495122231067042',10901,'1074',56.48,1,3,NULL),(20,5182123,'1989-03-05 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117161431534339495124610116047',NULL,'292',23.92,2,2,1),(20,5182140,'1989-10-27 00:00:00',2,6,12,2007,'M','N','CENTRO','ITAJAÍ','SC','124242241215132731636611345134231424141',NULL,'389',30.42,1,3,NULL),(20,5182166,'1992-05-01 00:00:00',2,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124201241116131732524534392124610142077',NULL,'732',22.83,1,2,1),(20,5182174,'1993-06-07 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241411111411468832425124610124072',NULL,'270',22.80,1,3,NULL),(20,5182182,'1992-01-20 00:00:00',2,8,12,2009,'F','N','FÁTIMA','JOINVILLE','SC','124241241245111431556414445124610146182',NULL,'932',25.76,1,3,NULL),(20,5182190,'1993-02-16 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431568812425124610127142',NULL,'270',25.21,1,3,NULL),(20,5182212,'1983-10-19 00:00:00',4,1,12,2001,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124103101116153741468643435122421642172',3067,'9998',73.29,1,3,NULL),(20,5182220,'1991-10-22 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241212152441486632582122610112042',1869,'737',77.36,1,3,NULL),(20,5182263,'1991-12-07 00:00:00',2,1,12,2008,'M','N','SERRARIA','S JOSÉ','SC','124111241112371431433619572124610114052',15899,'1116',44.64,1,2,1),(20,5182271,'1988-05-19 00:00:00',2,1,12,2005,'M','N','CENTRO','STA MARIA','RS','120204201217571711345639591325610164187',7114,'9998',62.57,1,3,NULL),(20,5182280,'1991-08-21 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','S JOSÉ','SC','124242241215112431468733575124610144142',4942,'738',66.87,1,3,NULL),(20,5182310,'1989-02-18 00:00:00',4,1,12,2006,'M','N','JARDIM JANAINA','BIGUAÇU','SC','124243248217131421646613245124610167097',NULL,'63',0.00,1,3,NULL),(20,5182336,'1988-01-18 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241417372411326623195124610126143',NULL,'293',23.61,1,3,NULL),(20,5182344,'1991-03-15 00:00:00',4,8,12,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242246215371711339923595112610111141',7246,'1061',61.27,1,3,NULL),(20,5182352,'1992-12-18 00:00:00',2,8,11,2009,'F','N','CENTRO','CURITIBA','PR','116162161235111431336824375124610142122',7900,'9998',60.09,1,3,NULL),(20,5182387,'1993-08-19 00:00:00',2,1,12,2010,'M','S','UNIVERSITÁRIO','TIJUCAS','SC','124242241215111441446912575121610127047',NULL,'1038',25.34,1,3,NULL),(20,5182395,'1990-08-12 00:00:00',2,1,12,2007,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241122373431426631581114233222147',NULL,'13',18.65,1,2,1),(20,5182409,'1991-08-28 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','125252251214472431448814572114610167052',4540,'9998',67.88,3,3,NULL),(20,5182417,'1988-09-17 00:00:00',4,1,12,2005,'M','N','PARQUE DA FAZENDA','ITATIBA','SP','125252251215572431556621571122610136182',NULL,'9998',0.00,1,3,NULL),(20,5182425,'1990-07-19 00:00:00',2,10,11,2008,'M','N','CENTRO','TUBARÃO','SC','124244241415372231436427577121131424117',9733,'807',58.68,1,3,NULL),(20,5182433,'1990-09-01 00:00:00',5,1,12,2007,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124241241136371231623623195124610122192',NULL,'163',40.62,1,2,1),(20,5182441,'1992-11-01 00:00:00',2,9,11,2009,'F','N','FÁTIMA','OTACÍLIO COSTA','SC','124241241415111431444411172114610164197',NULL,'1146',32.72,1,3,NULL),(20,5182468,'1990-09-15 00:00:00',4,9,12,2007,'M','N','POPULAR','LAGES','SC','124241241117371431226624495124610134172',13003,'935',52.35,1,2,1),(20,5182476,'1991-03-22 00:00:00',4,1,12,2009,'M','N','CHACÁRA BOA VISTA','APARECIDA TABOADO','MS','112121121116231431246923285121610114047',NULL,'9998',0.00,1,2,1),(20,5182484,'1991-03-28 00:00:00',2,17,11,2008,'F','N','AGUA VERDE','CURITIBA','PR','116242161215471431538714342124610146187',4628,'9998',67.80,1,3,NULL),(20,5182492,'1992-09-10 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241215372231226412572124610123141',NULL,'944',33.35,1,3,NULL),(20,5182514,'1990-03-09 00:00:00',2,1,11,2008,'M','N','CENTRO','PALHOÇA','SC','124242241217141731467731245124610164197',NULL,'1075',24.09,1,3,NULL),(20,5182522,'1988-10-27 00:00:00',5,1,11,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241126131431238914295124230641057',NULL,'278',22.66,2,2,1),(20,5182530,'1992-01-27 00:00:00',4,8,12,2009,'F','N','BACACHERI','CURITIBA','PR','116162161215121431657613575122610167112',3388,'9998',70.19,1,3,NULL),(20,5182557,'1989-08-22 00:00:00',2,1,12,2007,'F','N','SANTA PAULA','S CARLOS','SP','125253251236572431468923576112141722087',NULL,'9998',0.00,1,3,NULL),(20,5182565,'1980-08-24 00:00:00',4,1,6,1999,'F','N','RIBEIRAODAILHA','FLORIANÓPOLIS','SC','124241247441272411323424382344132726077',NULL,'9997',21.54,1,3,NULL),(20,5182573,'1980-12-11 00:00:00',2,1,12,1998,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241116135751338649385124233225187',NULL,'307',0.00,1,3,NULL),(20,5182581,'1992-05-31 00:00:00',4,1,12,2009,'M','N','ZONA SETE','MARINGÁ','PR','116112161217111411256611575122610127052',203,'9998',87.68,1,3,NULL),(20,5182590,'1992-05-04 00:00:00',4,1,11,2009,'M','N','CENTRO','TANGARÁ SERRA','MT','111112111217121531456616575122610132092',14609,'9998',46.07,1,3,NULL),(20,5182603,'1991-04-18 00:00:00',4,1,11,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241217122431467719595121233224075',6928,'270',62.55,1,3,NULL),(20,5182611,'1987-12-31 00:00:00',2,1,6,2005,'M','N','PETROPOLIS','PTO ALEGRE','RS','120202201216151412458814485111241267117',NULL,'9998',0.00,1,3,NULL),(20,5182620,'1989-09-23 00:00:00',4,1,1,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241316141411325579485314610128177',NULL,'9999',24.95,1,3,NULL),(20,5182646,'1992-02-02 00:00:00',2,7,12,2008,'F','N','CENTRO','PIRATUBA','SC','124243241216161431439712245122610127072',NULL,'1093',49.64,1,3,NULL),(20,5182662,'1989-03-01 00:00:00',4,1,12,2006,'M','N','VILA CRUZEIRO','PASSO FUNDO','RS','120202201211112411357863412122610112014',7675,'9998',62.48,1,3,NULL),(20,5182670,'1992-06-11 00:00:00',2,1,12,2009,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124242241411111431246812575124610116112',NULL,'1118',18.40,1,3,NULL),(20,5182689,'1988-05-22 00:00:00',4,3,12,2006,'M','N','SÃO FRANCISCO','CURITIBA','PR','116162168411572431228821592125140624047',5973,'9998',63.90,1,3,NULL),(20,5182697,'1991-03-15 00:00:00',2,1,12,2008,'F','N','JARDIM SÃO MIGUEL','BIGUAÇU','SC','124241241134472431346513572112610112097',16073,'1088',41.39,1,2,1),(20,5182719,'1992-10-02 00:00:00',2,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243241217111431466623575124610167097',15095,'1022',45.41,1,3,NULL),(20,5182727,'1991-03-21 00:00:00',4,8,11,2008,'M','N','CENTRO','CORUPÁ','SC','124241241146471411443339245121610166192',12103,'203',54.16,1,2,1),(20,5182735,'1991-10-29 00:00:00',2,1,10,2008,'M','N','PALHOÇA','PALHOÇA','SC','124242241216153221537733575124233267047',NULL,'1011',26.75,1,3,NULL),(20,5182751,'1991-12-11 00:00:00',4,4,11,2009,'F','N','CENTRO','XANXERÊ','SC','124242241117271451636611575122610162142',7383,'836',60.36,1,3,NULL),(20,5182760,'1989-10-18 00:00:00',4,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161211571731558611471124610164012',NULL,'9998',0.00,1,3,NULL),(20,5182786,'1990-02-23 00:00:00',4,1,8,2008,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124243247326131451556633345124610164097',NULL,'300',25.69,1,3,NULL),(20,5182794,'1992-09-25 00:00:00',4,1,12,2009,'F','N','MUNICÍPIOS','CAÇADOR','SC','124242241217131431235719575122610138077',13688,'119',47.79,1,3,NULL),(20,5182808,'1991-01-12 00:00:00',2,1,12,2008,'M','N','SÃO PELEGRINO','CAXIAS SUL','RS','120203201217571431338829375114241464182',8012,'9998',58.79,1,3,NULL),(20,5182816,'1987-11-09 00:00:00',2,15,12,2005,'F','N','CENTRO','VENÂNCIO AIRES','RS','120203201216571431439913571124610126142',10125,'9998',54.50,1,3,NULL),(20,5182824,'1990-12-23 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116153431458413132124230424182',NULL,'307',22.42,1,2,1),(20,5182832,'1992-04-10 00:00:00',4,3,12,2009,'F','N','PRESIDENTE ALTINO','OSASCO','SP','125253251147131431456613385122610127057',NULL,'9998',0.00,1,3,NULL),(20,5182840,'1991-03-21 00:00:00',4,1,12,2008,'M','N','CARMEM','PASSO FUNDO','RS','120202201211471711456823275125610164012',7377,'9998',62.51,4,3,NULL),(20,5182859,'1991-08-24 00:00:00',2,5,12,2008,'F','N','CENTRO','LAURO MÜLLER','SC','124243241215472521347622575122610162192',4419,'581',68.39,1,3,NULL),(20,5182867,'1987-10-01 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241117472231463623285124610124042',11673,'9997',52.57,1,2,1),(20,5182891,'1992-04-07 00:00:00',2,15,12,2008,'F','N','CENTRO','MRO GRANDE','SC','124241241116271431536616575112610165147',NULL,'30',32.13,1,2,1),(20,5182905,'1992-07-22 00:00:00',4,1,11,2009,'F','N','MEDIANEIRA','PANAMBI','RS','120202201217161432436832274122610142012',677,'9998',83.03,1,3,NULL),(20,5182921,'1990-11-08 00:00:00',4,1,12,2008,'M','N','ALEGRE','HOLAMBRA','SP','125252252214271431436616462122610127042',NULL,'9998',29.44,1,3,NULL),(20,5182948,'1991-09-15 00:00:00',2,15,12,2008,'M','N','DIVINEIA','ARARANGUÁ','SC','124241241116132431535931385122230727147',NULL,'29',23.59,1,2,1),(20,5182964,'1988-12-22 00:00:00',4,15,11,2006,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241116161211436619245223610137052',NULL,'29',23.71,1,2,1),(20,5182972,'1992-03-18 00:00:00',4,4,12,2008,'F','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124242161215571411459931574112610165172',466,'9998',84.88,1,3,NULL),(20,5182980,'1981-02-09 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124211247347131751123442125222610127187',NULL,'9999',0.00,1,3,NULL),(20,5183006,'1993-04-03 00:00:00',4,1,12,2009,'F','N','PILARZINHO','CURITIBA','PR','116162161217112411369812575112610167072',2627,'9998',73.36,1,3,NULL),(20,5183014,'1990-01-25 00:00:00',4,10,12,2007,'F','N','CONDE D EU','ORLEANS','SC','124241241136573431438611292124231333147',10261,'580',54.40,1,2,1),(20,5183022,'1992-09-10 00:00:00',2,4,11,2009,'F','N','FÁTIMA','ERECHIM','RS','620202201217272431348634575122610133077',12930,'9998',48.85,1,3,NULL),(20,5183030,'1992-01-27 00:00:00',2,1,12,2009,'F','N','SACO DOS LIMOÕES','FLORIANÓPOLIS','SC','124241241215121432346874575114610134072',NULL,'1022',30.86,1,3,NULL),(20,5183049,'1991-10-26 00:00:00',4,3,11,2009,'M','N','CENTRO','IJUÍ','RS','120202201215211432568831375122610127042',NULL,'9998',30.31,1,3,NULL),(20,5183057,'1987-07-13 00:00:00',2,1,12,2004,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241117473111226641212214610167114',15995,'307',44.11,1,2,1),(20,5183073,'1989-09-22 00:00:00',2,8,10,2006,'M','N','BIGORRILHO','CURITIBA','PR','116161161411572751489832571141610166116',6361,'9998',64.19,4,3,NULL),(20,5183081,'1992-05-19 00:00:00',4,1,12,2009,'M','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241241117131421525529571324610164187',10257,'295',57.68,1,2,1),(20,5183090,'1992-10-22 00:00:00',4,2,12,2009,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241215121431556812475124610167042',3565,'855',71.92,1,3,NULL),(20,5183111,'1991-04-28 00:00:00',4,4,12,2008,'F','N','CENTRO','STA MARIA','RS','120203201316371431523619171124610136097',12357,'9998',49.85,1,3,NULL),(20,5183120,'1993-03-18 00:00:00',2,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242248215111431337612575124610122047',12582,'738',52.80,1,3,NULL),(20,5183138,'1985-07-24 00:00:00',2,1,12,2003,'M','N','AGROMOMICA','FLORIANÓPOLIS','SC','124242241216575431338624245122231237087',NULL,'262',0.00,1,3,NULL),(20,5183154,'1990-10-02 00:00:00',4,9,12,2008,'F','N','FREI ROGERIO','LAGES','SC','124241241215371331336913572224610127147',NULL,'515',19.73,4,3,NULL),(20,5183170,'1992-10-22 00:00:00',4,2,12,2009,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241215121431556812475124610167092',2084,'855',75.81,1,3,NULL),(20,5183189,'1989-09-16 00:00:00',2,1,3,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242247211275431359932575124231038195',NULL,'262',22.62,1,3,NULL),(20,5183197,'1991-01-21 00:00:00',4,1,12,2009,'F','N','VILLAGE','GAROPABA','SC','124244241435371431421823375124610124147',12639,'362',48.92,1,3,NULL),(20,5183200,'1992-02-04 00:00:00',3,8,6,2009,'F','N','ANTARES','LONDRINA','PR','116283161111371441337939571114610165142',6050,'9998',62.98,1,3,NULL),(20,5183219,'1989-11-11 00:00:00',4,1,7,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241215272431349933575114610162082',NULL,'9999',0.00,1,3,NULL),(20,5183227,'1990-12-20 00:00:00',4,3,12,2008,'M','N','UVARANAS','PNT GROSSA','PR','116164161116141411556822595122242624187',12468,'9998',53.42,1,3,NULL),(20,5183243,'1991-05-24 00:00:00',4,8,11,2009,'M','N','CENTRO','PARAÍSO TOCANTINS','TO','127252271417161531569711595122610137052',NULL,'9998',0.00,1,3,NULL),(20,5183251,'1992-11-28 00:00:00',4,3,11,2009,'M','N','CENTRO','AGRONÔMICA','SC','124244241215371431469834275124610168172',NULL,'654',28.60,1,3,NULL),(20,5183260,'1986-06-25 00:00:00',4,1,12,2003,'M','N','CENTRO','CURITIBA','PR','116241241336151411127912181224243266047',NULL,'9997',0.00,1,3,NULL),(20,5183278,'1992-05-26 00:00:00',1,8,11,2009,'F','N','CENTRO','JOINVILLE','SC','124242241215111451469932575122610138145',2613,'457',73.81,1,3,NULL),(20,5183286,'1988-07-07 00:00:00',4,4,12,2006,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241216471132246613385122133244067',NULL,'751',20.98,1,3,NULL),(20,5183294,'1991-07-21 00:00:00',2,1,12,2009,'F','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124241241336272431336614345122610124097',11490,'1118',54.20,1,3,NULL),(20,5183308,'1991-05-25 00:00:00',4,1,12,2009,'M','N','JARDIM YPÊ','ITATIBA','SP','125254251237111431235833575122610162192',13647,'9998',47.18,1,3,NULL),(20,5183332,'1991-03-05 00:00:00',4,1,12,2008,'M','N','SÃO JUDAS TADEU','S JOSÉ CAMPOS','SP','125222221217471411466824391124610122122',1069,'9998',79.30,1,3,NULL),(20,5183340,'1990-12-04 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241416473421469913375114131064057',14793,'269',48.49,1,3,NULL),(20,5183367,'1991-05-28 00:00:00',2,1,11,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241247317272431338821346231610128097',11018,'9999',56.25,1,3,NULL),(20,5183375,'1992-12-03 00:00:00',4,4,12,2009,'M','N','CENTRO','CORBÉLIA','PR','116161161217151431336834275114610114072',NULL,'9998',37.54,1,3,NULL),(20,5183391,'1992-01-05 00:00:00',4,8,11,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241215112431469931414122610162172',610,'457',83.55,1,3,NULL),(20,5183413,'1983-07-17 00:00:00',2,1,12,2005,'M','N','SERRARIA','S JOSÉ','SC','124241241142133431333634442124233237043',NULL,'257',0.00,4,2,1),(20,5183421,'1992-03-02 00:00:00',4,7,12,2009,'M','N','IMIGRANTES','CONCÓRDIA','SC','124241246211131431435923215124620115092',10325,'1001',54.51,1,3,NULL),(20,5183430,'1990-02-02 00:00:00',2,1,6,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124243247127141431446513315124610152117',NULL,'9997',18.88,1,3,NULL),(20,5183448,'1992-06-10 00:00:00',4,5,9,2009,'M','N','PIO CORRÊA','CRICIÚMA','SC','124242241215373731356612475112610168127',9425,'211',56.58,1,3,NULL),(20,5183456,'1993-04-20 00:00:00',2,7,12,2009,'M','N','NOSSA S DE LOURDES','CAMPOS NOVOS','SC','124241241422131731424629212125610114122',NULL,'982',0.00,1,3,NULL),(20,5183464,'1992-01-07 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215152431458814595124610122147',5268,'988',66.05,1,3,NULL),(20,5183480,'1991-12-10 00:00:00',4,8,12,2009,'M','N','GLÓRIA','JOINVILLE','SC','124242241215122431358614575122610132013',14213,'1063',49.93,1,3,NULL),(20,5183502,'1990-01-17 00:00:00',2,1,12,2007,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124052051217131211537628485124610165142',NULL,'9998',NULL,1,3,NULL),(20,5183529,'1992-11-18 00:00:00',2,7,12,2009,'F','N','INTERIOR','IOMERÊ','SC','124241242116271411436535255124610132077',7772,'831',61.21,1,2,1),(20,5183553,'1990-12-10 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241216133431546734312124221335092',10734,'1036',56.80,1,3,NULL),(20,5183570,'1992-05-27 00:00:00',4,2,12,2009,'F','N','RIO TIGRE','BENEDITO NOVO','SC','124241241117131331424929572122610115147',NULL,'62',24.55,1,2,1),(20,5183588,'1992-12-07 00:00:00',2,5,11,2009,'F','N','CENTRO','ORLEANS','SC','124241241116371431323724575124610166172',NULL,'580',27.94,1,2,1),(20,5183596,'1993-09-17 00:00:00',4,8,12,2010,'M','S','GLÓRIA','JOINVILLE','SC','124242241217111431429812572122610137042',NULL,'461',59.52,1,3,NULL),(20,5183600,'1992-03-11 00:00:00',2,1,12,2009,'M','N','TIJUQUINHAS','BIGUAÇU','SC','124241241115271731436413485124610137057',15988,'64',44.19,1,2,1),(20,5183618,'1992-12-16 00:00:00',2,3,10,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215111331466632472122610127182',NULL,'1038',0.00,1,3,NULL),(20,5183626,'1992-11-12 00:00:00',2,1,12,2009,'M','N','JORDÃO','GOV CELSO RAMOS','SC','124241241116371521336311345134610167041',16094,'64',40.21,1,2,1),(20,5183634,'1989-12-25 00:00:00',2,1,7,2008,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124244247437361431333832571122610163147',NULL,'9999',20.58,1,3,NULL),(20,5183669,'1991-11-12 00:00:00',2,1,12,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241116371531436313265114233227112',NULL,'288',27.44,4,1,1),(20,5183677,'1991-07-22 00:00:00',4,8,12,2008,'M','N','PORTÃO','CURITIBA','PR','116163161135571431276923471114610167052',1623,'9998',77.94,1,3,NULL),(20,5183685,'1988-12-08 00:00:00',4,1,12,2005,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241116574431556613275114221462192',961,'288',81.55,4,2,1),(20,5183693,'1987-11-17 00:00:00',2,1,12,2008,'M','N','JARDIM LINDOIA','PTO ALEGRE','RS','120204207127471431569614371124610138092',15596,'9998',42.86,1,3,NULL),(20,5183723,'1992-04-21 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431458914572122610122127',10324,'270',55.50,1,3,NULL),(20,5183740,'1990-10-27 00:00:00',2,4,12,2007,'M','N','CENTRO','S MIGUEL OESTE','SC','124241241216473431333733575112610147052',NULL,'752',33.31,1,3,NULL),(20,5183758,'1987-08-18 00:00:00',2,8,11,2004,'F','N','CENTRO','PTO ALEGRE','RS','116161161315572531446635472224610165177',2597,'9998',73.03,1,3,NULL),(20,5183766,'1991-05-09 00:00:00',4,1,12,2008,'M','N','VILA MARIANA','TAIÓ','SC','124241241117272411334634171121610144197',14015,'777',50.36,1,2,1),(20,5183774,'1992-07-21 00:00:00',2,2,12,2009,'F','N','CASCATA','NOVA TRENTO','SC','124243241211111411438811572124610117147',11016,'1123',54.59,1,3,NULL),(20,5183790,'1982-12-16 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216475431468818575122221447042',10919,'855',52.74,1,3,NULL),(20,5183804,'1992-04-03 00:00:00',4,16,12,2009,'M','N','SANTA CRUZ','VIDAL RAMOS','SC','124241242116131431623436591224610144097',NULL,'662',0.00,1,2,1),(20,5183839,'1992-07-21 00:00:00',4,1,12,2009,'M','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124241241125161411536912245332610114052',16179,'329',42.81,1,2,1),(20,5183847,'1991-04-01 00:00:00',4,8,11,2008,'F','N','JARDIM MODELO','S PAULO','SP','125254251217351731438814274124610163142',NULL,'9998',0.00,1,3,NULL),(20,5183855,'1991-06-19 00:00:00',2,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216111711438613572145610168197',NULL,'1022',26.47,1,3,NULL),(20,5183863,'1992-03-06 00:00:00',4,1,12,2009,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241125161231636611575122610114142',10523,'12',55.88,1,2,1),(20,5183871,'1990-09-18 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','116164161216573751568612575122610122112',4180,'9998',68.88,1,3,NULL),(20,5183880,'1990-05-17 00:00:00',4,4,12,2007,'F','N','ALTO DA GLÓRIA','CURITIBA','PR','116242241236574431355522472114610144142',11260,'1000',55.79,1,3,NULL),(20,5183901,'1990-11-10 00:00:00',1,1,12,2008,'M','N','CAMOBI','STA MARIA','RS','120202201116271411459813576124243266122',3758,'9998',69.55,1,3,NULL),(20,5183910,'1992-03-28 00:00:00',2,6,12,2009,'F','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','124242241217371431449974592124342225145',9128,'389',57.77,1,3,NULL),(20,5183928,'1986-05-18 00:00:00',4,1,12,2003,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124251251332131431117849292331222216147',8666,'9998',60.61,1,3,NULL),(20,5183936,'1992-05-08 00:00:00',2,9,12,2008,'M','N','CENTRO','CORREIA PINTO','SC','124242242115112431443636372124230336172',NULL,'960',38.78,1,3,NULL),(20,5183944,'1990-05-14 00:00:00',3,1,7,2008,'F','N','SANTA MARIA','S CAETANO SUL','SP','125251288117571431377823572122610161022',6463,'9998',62.31,1,2,1),(20,5183952,'1993-06-19 00:00:00',4,2,12,2010,'M','S','SETE DE SETEMBRO','GASPAR','SC','124242241217111431466932246122610138142',NULL,'955',59.61,1,3,NULL),(20,5183960,'1991-10-15 00:00:00',4,1,12,2009,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091215111441189921572215610137054',5932,'9998',64.30,4,3,NULL),(20,5183979,'1984-03-20 00:00:00',2,1,12,2001,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241437134441217942395124133222187',9851,'282',54.28,1,3,NULL),(20,5183987,'1991-04-24 00:00:00',2,1,12,2008,'M','N','SUMARÉ','RIO SUL','SC','124242241216472431326324245112610137057',10289,'654',57.63,1,3,NULL),(20,5184002,'1989-06-06 00:00:00',2,1,12,2006,'F','N','ITACOROBI','FLORIANÓPOLIS','SC','124241241116473731426324282114610166042',NULL,'307',24.95,1,3,NULL),(20,5184010,'1989-08-08 00:00:00',4,4,12,2006,'F','N','CENTRO','CHAPECÓ','SC','124243241316472411449611572112610132097',9050,'185',57.66,1,3,NULL),(20,5184029,'1991-10-10 00:00:00',4,1,11,2009,'F','N','SAO JOSE','JOSÉ BONIFÁCIO','SP','125252251217111431368811312122610132117',NULL,'9998',0.00,1,3,NULL),(20,5184045,'1992-01-27 00:00:00',4,4,12,2009,'F','N','DISTRITO DE ITAJUBÁ','DESCANSO','SC','124241241116161431523315575224610116057',NULL,'243',0.00,1,2,1),(20,5184061,'1986-02-17 00:00:00',4,1,12,2003,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124164161216274431469913475124221417122',256,'9998',87.17,1,3,NULL),(20,5184070,'1991-06-16 00:00:00',4,1,12,2008,'M','N','JUNDIAPEBA','MOGI CRUZES','SP','125251251146471432546611572114610162147',NULL,'9998',0.00,1,2,1),(20,5184088,'1990-03-10 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','116162161216572231348833575122140767052',2316,'9998',74.44,1,3,NULL),(20,5184096,'1991-03-29 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','116162161216472751458712575122610122082',3698,'9998',69.81,1,3,NULL),(20,5184100,'1991-04-21 00:00:00',2,1,11,2009,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124201241115141431226541342124610123057',NULL,'298',24.64,1,2,1),(20,5184118,'1991-01-04 00:00:00',4,1,12,2008,'F','N','MORUMBI','S PAULO','SP','125252251217471431478813572112610144117',NULL,'9998',0.00,1,3,NULL),(20,5184126,'1992-02-01 00:00:00',4,3,12,2009,'F','N','PASSO','MAFRA','SC','124241241216111432549811572112610127072',NULL,'541',17.88,1,3,NULL),(20,5184177,'1989-05-05 00:00:00',4,8,12,2006,'F','N','VILA OPERÁRIA','CPO LARGO','PR','116162161216571431438912371112143166072',7659,'9998',60.74,1,3,NULL),(20,5184185,'1988-10-14 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115372431433612245134610112155',NULL,'293',27.26,1,2,1),(20,5184193,'1985-09-19 00:00:00',4,1,12,2002,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241117575431236821572122610161172',NULL,'203',0.00,1,2,1),(20,5184215,'1992-03-01 00:00:00',2,2,12,2009,'M','N','ESPIRÍTO SANTO','ERECHIM','RS','120201201117151431348919572122610137047',NULL,'9998',0.00,1,2,1),(20,5184223,'1990-05-21 00:00:00',2,1,12,2007,'F','N','SANTA CECILIA','S PAULO','SP','125252256236411441337821391111610164117',NULL,'9998',29.66,1,3,NULL),(20,5184231,'1988-08-30 00:00:00',2,1,7,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247316174451546833272124231817047',NULL,'9999',0.00,3,3,NULL),(20,5184258,'1993-01-16 00:00:00',4,1,12,2009,'M','N','JARDIM ITAIPU','DOURADOS','MS','112124121216121431568932574112610142052',NULL,'9998',0.00,1,3,NULL),(20,5184274,'1991-02-12 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431369933595122230262126',6945,'270',63.95,1,3,NULL),(20,5184290,'1992-04-29 00:00:00',2,1,11,2009,'M','N','CENTRO','CANELINHA','SC','124242241215132431327823435124610167017',NULL,'948',29.20,2,1,2),(20,5184304,'1981-03-20 00:00:00',4,1,11,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624191196116151751256643235234141026185',2864,'9998',73.93,4,2,1),(20,5184312,'1988-08-11 00:00:00',2,1,12,2006,'M','N','PRAIA DO SANTINHO','FLORIANÓPOLIS','SC','124241241116373411237644445124610136095',7073,'359',62.09,1,2,1),(20,5184320,'1988-10-19 00:00:00',2,1,12,2006,'M','N','MINUANO','S JOAQUIM','SC','124243241117273431346835285114610117052',10237,'719',53.83,1,3,NULL),(20,5184339,'1993-02-05 00:00:00',4,3,12,2009,'F','N','PAULISTA','PARANAVAÍ','PR','116162161217111431468911576122610164197',7444,'9998',59.95,1,3,NULL),(20,5184355,'1992-04-14 00:00:00',2,9,12,2009,'F','N','PETRÓPOLIS','VACARIA','RS','120202201237111431425616265122610137177',NULL,'9998',0.00,1,3,NULL),(20,5184363,'1991-06-19 00:00:00',2,8,12,2008,'M','N','ESTRADA NOVA','JARAGUÁ SUL','SC','124244241216372431469931575122610168142',6844,'442',64.16,1,3,NULL),(20,5184371,'1985-06-26 00:00:00',2,1,12,2002,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241131272411436364241114131223052',14208,'257',49.94,1,2,1),(20,5184380,'1990-11-03 00:00:00',2,1,12,2007,'M','N','ARIRIÚ','PALHOÇA','SC','124241241117233431426623235124610168012',NULL,'591',24.07,1,2,1),(20,5184398,'1992-02-28 00:00:00',2,1,12,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242248215111331447814272122610157043',NULL,'1074',26.26,1,3,NULL),(20,5184401,'1992-07-01 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124243241417271721426613585124610164057',NULL,'1075',42.98,1,3,NULL),(20,5184410,'1993-02-11 00:00:00',2,9,12,2009,'F','N','CENTRO','LAGES','SC','124244241215131431438751292121610168172',14852,'499',46.23,1,3,NULL),(20,5184428,'1988-09-04 00:00:00',4,1,12,2006,'M','N','PRAIA DO FLAMENGO','SALVADOR','BA','105052051216571431369614575122143247047',5745,'9998',66.61,4,3,NULL),(20,5184460,'1991-08-02 00:00:00',4,8,11,2008,'M','N','GLORIA','JOINVILLE','SC','124242241217373411478632575112221464012',2038,'457',76.04,1,3,NULL),(20,5184479,'1989-12-14 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211574411458831572125230227147',1807,'262',77.57,1,3,NULL),(20,5184487,'1992-09-06 00:00:00',4,2,12,2009,'F','N','CENTRO','BLUMENAU','SC','124241241217151431568914594122610134141',NULL,'88',22.42,1,3,NULL),(20,5184509,'1991-03-15 00:00:00',2,1,12,2007,'M','N','CENTRO','CAXIAS SUL','RS','120202201211131711511828282344612712147',NULL,'9998',29.68,1,3,NULL),(20,5184525,'1991-03-01 00:00:00',2,1,12,2008,'F','N','NÚCLEO BANDEIRANTE','NUC BANDEIRANTE','DF','107073071217471411338923571122610123022',NULL,'9998',24.76,4,3,NULL),(20,5184533,'1993-01-04 00:00:00',2,4,12,2009,'F','N','QUATRO IRMÃOS','PTE SERRADA','SC','124242241235111431458833595122610126142',NULL,'836',0.00,1,3,NULL),(20,5184568,'1992-05-21 00:00:00',4,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124243241415131431426513135131610118092',NULL,'1119',22.95,4,3,NULL),(20,5184584,'1991-06-05 00:00:00',2,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241241115141431323334142124610167111',NULL,'732',22.37,1,2,1),(20,5184622,'1992-03-31 00:00:00',4,8,12,2009,'F','N','NOVA JABOTICABAL','JABOTICABAL','SP','125252251217111441468814572121610167092',NULL,'9998',0.00,1,3,NULL),(20,5184630,'1991-12-26 00:00:00',4,1,12,2009,'F','N','AMERICANO','LAJEADO','RS','120202201216151531488614272122610162147',10929,'9998',53.55,1,3,NULL),(20,5184649,'1990-03-07 00:00:00',4,4,12,2007,'M','N','CENTRO','PANAMBI','RS','120202201217371431548722592212141542017',12505,'9998',53.33,1,3,NULL),(20,5184665,'1993-07-20 00:00:00',4,4,12,2009,'M','N','NAZARÉ','CONCÓRDIA','SC','124241241115151431433314375125610127177',NULL,'194',0.00,1,2,1),(20,5184690,'1993-02-25 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241215151431323363372124610165142',NULL,'9997',20.56,1,3,NULL),(20,5184711,'1991-09-01 00:00:00',2,10,11,2008,'F','N','ORATÓRIO','ORLEANS','SC','124243241315473411427514571124610125072',1797,'950',77.59,1,3,NULL),(20,5184738,'1991-01-30 00:00:00',2,1,12,2009,'M','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241137151431435613571124610127042',NULL,'772',26.47,1,2,1),(20,5184746,'1992-12-05 00:00:00',4,1,11,2009,'F','N','VILA ESTANISLAU','CAMPINAS','SP','125252251217571411348934571124610123042',5755,'9998',65.22,1,3,NULL),(20,5184754,'1988-04-15 00:00:00',2,1,11,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124202201216131321216841315314143267127',NULL,'257',0.00,1,3,NULL),(20,5184762,'1988-01-29 00:00:00',4,1,12,2005,'M','N','JARDIM GUARUJA','S PAULO','SP','125252251217471431648519382114610137077',NULL,'9998',0.00,4,3,NULL),(20,5184770,'1993-10-23 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242244215111431379634172122610134095',NULL,'1050',21.63,4,3,NULL),(20,5184789,'1989-12-20 00:00:00',2,1,11,2007,'F','N','CENTRO','S JOAQUIM','SC','124242241212372431239913572124131323077',9437,'720',56.90,1,3,NULL),(20,5184797,'1992-07-18 00:00:00',4,1,12,2009,'M','N','CENTRO','D ELISEU','PA','114141141117161311489812472112610167182',NULL,'9998',39.09,1,3,NULL),(20,5184819,'1991-05-05 00:00:00',2,8,10,2008,'F','N','SÃO RAFAEL','RIO NEGRINHO','SC','124241161216474431444932575124610122032',1096,'9998',80.77,1,3,NULL),(20,5184827,'1988-05-31 00:00:00',4,3,12,2005,'F','N','VÁRZEA','ITAPEMA','SC','424241241346151431327729245124233222182',13526,'406',51.33,1,3,NULL),(20,5184843,'1980-02-26 00:00:00',2,1,12,2008,'M','N','RATONES','FLORIANÓPOLIS','SC','124221248227372712123315195324610147047',NULL,'9997',26.66,1,3,NULL),(20,5184851,'1986-10-10 00:00:00',2,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241247122131411111349295334610124117',NULL,'306',25.61,2,1,1),(20,5184860,'1989-03-08 00:00:00',4,1,12,2006,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125254251217572611459814575112610162047',7534,'9998',59.71,1,3,NULL),(20,5184878,'1993-12-06 00:00:00',2,5,12,2010,'F','S','PRIMEIRA LINHA','CRICIÚMA','SC','124242246217151731634424292125610134147',NULL,'995',46.09,1,3,NULL),(20,5184894,'1993-04-19 00:00:00',2,4,12,2009,'F','N','MARECHAL RONDON','CANOAS','RS','120202201217141431457612275112610122092',NULL,'9998',0.00,1,3,NULL),(20,5184908,'1988-09-06 00:00:00',4,1,11,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217152431259923494122220964045',745,'9997',82.92,1,3,NULL),(20,5184916,'1991-01-05 00:00:00',4,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124202241215121431338364572124610121092',13437,'1038',48.82,1,3,NULL),(20,5184924,'1993-09-17 00:00:00',4,8,12,2010,'M','S','GLORIA','JOINVILLE','SC','124242241217111441429832572122610164052',NULL,'461',40.67,1,3,NULL),(20,5184932,'1987-03-16 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217151411458513575114610128041',NULL,'724',14.10,1,3,NULL),(20,5184940,'1992-09-03 00:00:00',2,4,12,2009,'M','N','CENTRO','MAREMA','SC','124241242116131331423922375322610137057',NULL,'196',28.03,1,2,1),(20,5184959,'1992-11-24 00:00:00',4,5,11,2009,'F','N','MICHEL','CRICIÚMA','SC','124242241215121731459833575112610126087',15831,'226',44.95,1,3,NULL),(20,5184967,'1989-05-25 00:00:00',2,1,12,2008,'M','N','TRINTA E UM DE MARÇO','S JOSÉ CAMPOS','SP','125251251335471431426631275122610167042',NULL,'9998',32.04,1,3,NULL),(20,5184975,'1993-07-09 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217112431478811472122610131092',NULL,'262',63.78,1,3,NULL),(20,5184983,'1992-02-07 00:00:00',4,1,11,2009,'M','N','AEROPORTO','ARACAJU','SE','126262261417111431355812375112610164182',5254,'9998',65.88,1,3,NULL),(20,5184991,'1991-10-16 00:00:00',4,1,12,2008,'F','N','JARDIM INDEPENDÊNCIA','RIBEIRÃO PRETO','SP','125252251217471431549633135124610126142',NULL,'9998',0.00,1,3,NULL),(20,5185009,'1990-11-08 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215472431388814575124610167097',14646,'1169',46.27,1,3,NULL),(20,5185017,'1992-07-01 00:00:00',2,1,12,2009,'F','N','ELDORADO','PALHOÇA','SC','124241241115271431463312472122610126192',9813,'592',57.57,1,2,1),(20,5185025,'1990-03-27 00:00:00',2,1,12,2007,'M','N','CENTRO','ANICUNS','GO','125092091216471731366812595125610168057',NULL,'9998',0.00,1,3,NULL),(20,5185041,'1989-10-24 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241216474441348823495124130621092',9060,'300',57.61,1,3,NULL),(20,5185050,'1990-05-14 00:00:00',2,1,12,2007,'F','N','JARDIM AMÉRICA','PNT GROSSA','PR','116163161236131431448714344122143032093',14910,'9998',48.13,1,3,NULL),(20,5185068,'1993-02-15 00:00:00',4,8,12,2010,'M','S','SANTO ANTÔNIO','JOINVILLE','SC','124242241217111531479933575122610164042',NULL,'457',74.25,1,3,NULL),(20,5185076,'1992-01-25 00:00:00',4,15,11,2009,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124242241215111431336811572122610162047',5310,'32',66.00,1,3,NULL),(20,5185092,'1992-03-18 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORES CUNHA','RS','120202201217271231448813481124610125182',NULL,'9998',0.00,1,3,NULL),(20,5185106,'1993-01-26 00:00:00',2,1,11,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124242241215161411468833175124610118142',NULL,'109',29.54,1,3,NULL),(20,5185114,'1991-09-30 00:00:00',2,1,12,2008,'F','N','PARQUE CUIABÁ','CUIABÁ','MT','111112111212412211356621574212142214102',NULL,'9998',0.00,1,3,NULL),(20,5185122,'1991-10-14 00:00:00',4,7,11,2008,'F','N','MERCÊS','CURITIBA','PR','124241241416471231428924275122610166097',2254,'1093',75.50,1,3,NULL),(20,5185130,'1992-03-11 00:00:00',4,6,11,2009,'F','N','CENTRO','ITAJAÍ','SC','124121241117131431336639575125610124097',NULL,'401',28.04,5,2,1),(20,5185149,'1991-09-03 00:00:00',4,1,11,2008,'M','N','AREIAS','S JOSÉ','SC','124242241215372431438824585114610127052',14243,'976',49.85,1,3,NULL),(20,5185165,'1991-06-30 00:00:00',2,1,12,2008,'F','N','ARIRIÚ','PALHOÇA','SC','124241248112371431423314572124610134052',NULL,'772',24.19,1,2,1),(20,5185173,'1992-04-03 00:00:00',4,2,11,2009,'M','N','GLÓRIA','RODEIO','SC','124243241216161751358817575122610162187',11949,'37',50.54,1,3,NULL),(20,5185181,'1992-12-22 00:00:00',2,5,12,2009,'M','N','PRESIDENTE VARGAS','IÇARA','SC','124243246215111731435614575124610114042',13775,'995',50.78,1,3,NULL),(20,5185190,'1992-11-05 00:00:00',4,1,12,2010,'F','S','CANTO DA LSGOA','FLORIANÓPOLIS','SC','124242241215111731247821572114610133117',NULL,'270',29.04,1,3,NULL),(20,5185203,'1992-05-30 00:00:00',4,1,12,2009,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124244241215131441439931595124610138172',1687,'738',78.10,1,3,NULL),(20,5185211,'1992-09-27 00:00:00',4,1,12,2009,'F','N','CENTRO','S JORGE','RS','120201201116471431436811175122610163012',NULL,'9998',0.00,1,2,1),(20,5185220,'1983-06-12 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124254251117571451235654441132343268185',NULL,'9998',19.00,1,3,NULL),(20,5185246,'1992-01-01 00:00:00',4,3,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241212472431239921412122610167047',15105,'403',47.56,1,3,NULL),(20,5185254,'1992-09-19 00:00:00',2,1,12,2009,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124244241415123431638871475124610163042',12670,'1022',53.00,1,3,NULL),(20,5185270,'1992-04-05 00:00:00',2,1,12,2009,'F','N','MUNICIPIOS','BAL CAMBORIÚ','SC','124243241215111431533331572122610163197',NULL,'1038',23.01,1,3,NULL),(20,5185289,'1990-03-28 00:00:00',4,8,12,2007,'F','N','PARQUE CEDRAL','PRES PRUDENTE','SP','125252251217573411458812221124610121092',154,'9998',88.98,1,3,NULL),(20,5185297,'1991-02-21 00:00:00',4,1,12,2008,'M','N','CENTRO','CORDEIRÓPOLIS','SP','125254251215471431468814375112610162092',10109,'9998',55.10,1,3,NULL),(20,5185319,'1990-09-26 00:00:00',4,3,12,2008,'F','N','VILA PRUDENTE','S PAULO','SP','125252251117471411633811575124610162146',3514,'9998',70.43,1,3,NULL),(20,5185327,'1992-06-04 00:00:00',4,8,12,2009,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242246216121431369911275122610137183',NULL,'1061',24.09,1,3,NULL),(20,5185335,'1976-02-10 00:00:00',4,8,12,1999,'M','N','FLORESTA','JOINVILLE','SC','424243241127151421434419331122610167147',15441,'472',46.48,1,3,NULL),(20,5185343,'1988-08-25 00:00:00',2,1,12,2006,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241217575431433631215124610162122',1774,'262',77.72,4,3,NULL),(20,5185351,'1988-08-26 00:00:00',3,1,4,2006,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247317133741313713185121610116197',NULL,'9999',30.35,1,3,NULL),(20,5185360,'1991-10-20 01:00:00',4,1,11,2008,'F','N','MADRI','PALHOÇA','SC','124241241116271431326634345124610114097',NULL,'733',27.10,4,2,1),(20,5185378,'1992-08-15 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124244241215132411438814495124610138172',16064,'976',41.95,1,3,NULL),(20,5185386,'1986-01-19 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215272431469813295122220446097',766,'270',82.76,1,3,NULL),(20,5185394,'1992-11-13 00:00:00',4,17,12,2009,'M','N','CRISTO REI','CANOINHAS','SC','124243241115151431426411245231610136057',14505,'153',46.01,1,3,NULL),(20,5185408,'1993-08-24 00:00:00',2,9,11,2010,'F','S','CENTRO','S JOAQUIM','SC','124242241216161431426615575122610127147',NULL,'1035',18.73,1,3,NULL),(20,5185424,'1990-11-20 00:00:00',4,5,11,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241217472442539911582112610127042',1620,'213',78.11,1,3,NULL),(20,5185440,'1992-07-25 00:00:00',2,6,12,2009,'F','N','ALTO SÃO BENTO','ITAPEMA','SC','124241241115131231423319272124610132147',NULL,'406',0.00,1,3,NULL),(20,5185467,'1989-11-01 00:00:00',4,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217151431237714445132132834125',13349,'88',51.66,1,3,NULL),(20,5185483,'1991-07-18 00:00:00',4,8,12,2008,'F','N','CENTRO','STA BÁRBARA D OESTE','SP','125252251215472431358831572115610163196',801,'9998',80.71,1,3,NULL),(20,5185491,'1986-02-04 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161161144232731123644342234610122172',NULL,'9998',27.37,4,3,NULL),(20,5185513,'1991-09-03 00:00:00',4,5,11,2008,'M','N','CENTRO','CRICIÚMA','SC','124242161217471431468914575122610167042',1084,'9998',80.82,1,3,NULL),(20,5185521,'1991-04-22 00:00:00',3,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241116151752537923575124610163147',12211,'267',52.99,4,1,1),(20,5185548,'1991-12-27 00:00:00',4,15,12,2009,'M','N','CENTRO','TORRES','RS','120201201117151211336829575125610154187',NULL,'9997',30.31,1,3,NULL),(20,5185556,'1992-09-24 00:00:00',2,4,12,2009,'F','N','PIONEIRO','ITÁ','SC','124241241125161431536336574224610117057',NULL,'383',0.00,1,2,1),(20,5185572,'1988-08-08 00:00:00',2,8,12,2005,'F','N','BOA VISTA','JOINVILLE','SC','124201201117573431455911575124610128147',6054,'9998',65.27,1,2,1),(20,5185580,'1990-03-03 00:00:00',4,6,12,2007,'M','N','SANTANA','S PAULO','SP','125252251216571341378823575115610164194',8470,'9998',58.11,4,3,NULL),(20,5185602,'1991-05-11 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241212111431323414572124610127047',NULL,'1078',24.60,4,3,NULL),(20,5185610,'1987-06-28 00:00:00',2,1,12,2005,'F','N','FORQUILINHA','S JOSÉ','SC','124241241116131411223244241224610116197',NULL,'361',29.10,1,2,1),(20,5185629,'1992-06-03 00:00:00',4,8,11,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124241241112371411627679575122610122072',NULL,'492',22.63,1,3,NULL),(20,5185645,'1990-11-12 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215473431425512575124610167072',NULL,'270',24.38,1,3,NULL),(20,5185661,'1992-04-23 00:00:00',4,1,12,2009,'M','N','AZENHA','PTO ALEGRE','RS','120202201216371431346832591122610167112',NULL,'9998',35.50,1,3,NULL),(20,5185670,'1988-11-19 00:00:00',4,9,12,2006,'M','N','CENTRO','S JOAQUIM','SC','124242241215211421556916475122231044052',NULL,'1035',0.00,3,3,NULL),(20,5185688,'1992-06-22 00:00:00',4,4,11,2009,'M','N','OSVALDO CRUZ','PALOTINA','PR','116162161236151431433412175121610164054',6409,'9998',63.28,1,3,NULL),(20,5185696,'1993-04-24 00:00:00',4,1,12,2009,'F','N','ESQUINA','URUBICI','SC','124241241115131431436613572124610146047',NULL,'818',26.01,1,2,1),(20,5185700,'1991-06-28 00:00:00',4,8,11,2008,'F','N','JARDIM DAS AMÉRICAS','PATO BRANCO','PR','116162161216472711566731574114610132172',1000,'9998',81.22,1,3,NULL),(20,5185718,'1991-11-13 00:00:00',4,3,12,2008,'F','N','UBERABA','CURITIBA','PR','116162161217471451489931572122610164077',NULL,'9998',0.00,1,3,NULL),(20,5185726,'1990-11-22 00:00:00',2,1,12,2008,'M','N','CENTRO','ARIQUEMES','RO','122222221216311431444432245122610127047',NULL,'9998',0.00,1,3,NULL),(20,5185742,'1992-03-08 00:00:00',2,1,12,2009,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241125161411323911585325610153147',NULL,'649',20.95,1,2,1),(20,5185750,'1993-10-15 00:00:00',4,2,12,2010,'F','S','ITOUPAVA NORTE','BLUMENAU','SC','124242241217151731326634575114610166047',NULL,'88',25.94,1,3,NULL),(20,5185769,'1993-11-29 00:00:00',4,5,10,2009,'F','N','CENTRO','CRICIÚMA','SC','124242244214172431479931415125610121192',11922,'213',54.52,1,3,NULL),(20,5185777,'1991-12-18 00:00:00',4,4,12,2008,'F','N','CENTRO','PASSO FUNDO','RS','120203201117571431459614471122610143122',5818,'9998',66.41,1,3,NULL),(20,5185785,'1991-02-26 00:00:00',4,3,12,2008,'F','N','JARDIM PANORAMA','MTE MOR','SP','125251251116471711433614385124610168044',NULL,'9998',28.21,1,2,1),(20,5185793,'1991-04-16 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112721558513392124610118043',NULL,'1133',36.01,1,3,NULL),(20,5185823,'1991-09-05 00:00:00',4,1,12,2009,'M','N','MONTE ALEGRE','TRÊS CORAÇÕES','MG','113134131216121431346933375122610167052',11772,'9998',51.35,1,3,NULL),(20,5185840,'1991-09-13 00:00:00',2,1,12,2008,'F','N','BELA VISTA','PALHOÇA','SC','124241241112132121523379342334610162192',15685,'592',45.58,1,3,NULL),(20,5185858,'1989-02-20 00:00:00',4,1,12,2006,'M','N','BELA VISTA','S PAULO','SP','125252251236572441458619215125610168142',318,'9998',85.59,1,3,NULL),(20,5185874,'1989-07-30 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124042241116274441559833575122230722017',NULL,'267',43.55,1,3,NULL),(20,5185890,'1992-05-27 00:00:00',4,3,11,2009,'F','N','PEDRINHAS','PTO VELHO','RO','122222221215111431458833575122610122142',NULL,'9998',0.00,1,3,NULL),(20,5185904,'1993-12-21 00:00:00',4,7,12,2009,'M','N','CENTRO','IPIRA','SC','124241241115131432344923572225610162142',4545,'619',67.99,1,2,1),(20,5185912,'1992-05-04 00:00:00',4,3,1,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215122431448832575124610124182',2632,'1038',74.12,3,3,NULL),(20,5185920,'1991-07-31 00:00:00',4,1,12,2008,'F','N','ZONA DOIS','CIANORTE','PR','116162161215471431456612574145610163157',1408,'9998',79.25,1,3,NULL),(20,5185939,'1982-01-18 00:00:00',2,1,12,1999,'F','N','BOM VIVER','BIGUAÇU','SC','224241243426135421235544245124131066017',15462,'303',46.43,2,1,2),(20,5185947,'1993-02-06 00:00:00',4,9,12,2009,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124244246211151431429933575122610124142',16043,'1106',39.59,1,3,NULL),(20,5185955,'1989-12-12 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124241241146111221633311242124610122097',NULL,'580',22.63,1,3,NULL),(20,5185963,'1991-12-22 00:00:00',4,1,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116161161215371431545832275122610138012',4310,'9998',69.01,3,3,NULL),(20,5185998,'1992-04-25 00:00:00',2,4,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124241241117131431534912572125610137147',NULL,'192',21.95,1,2,1),(20,5186005,'1992-07-22 00:00:00',4,16,12,2009,'M','N','SÃO LUIZ','CURITIBANOS','SC','124241242117161431434916591125610167057',9717,'662',54.29,1,2,1),(20,5186013,'1990-04-24 00:00:00',4,1,12,2007,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241117473441548313575114233264012',4967,'306',66.84,1,3,NULL),(20,5186030,'1992-06-01 00:00:00',4,6,12,2009,'M','N','PEREQUÊ','PTO BELO','SC','124241241115151731416619285121610164142',NULL,'405',27.15,1,2,1),(20,5186048,'1992-05-15 00:00:00',2,4,12,2009,'F','N','CENTRO','IPORÃ OESTE','SC','124241241115111411633311235125610114172',NULL,'371',0.00,1,2,1),(20,5186056,'1991-04-08 00:00:00',4,2,12,2008,'F','N','BOM FIM','PTO ALEGRE','RS','120202201216371751247833575124610132047',3025,'9998',72.33,1,3,NULL),(20,5186080,'1991-10-23 00:00:00',2,8,11,2008,'F','N','PIRABEIRABA','JOINVILLE','SC','124244241215372411383732575124131046182',2841,'457',72.41,1,3,NULL),(20,5186102,'1977-05-30 00:00:00',2,1,3,2002,'M','N','BOM VIVER','BIGUAÇU','SC','224241247326135431233354145124130217017',14986,'9999',47.91,2,1,2),(20,5186110,'1982-04-20 00:00:00',4,5,11,1999,'M','N','CENTRO','CRICIÚMA','SC','124242241217375231448831571115121762056',72,'213',90.96,1,3,NULL),(20,5186129,'1993-12-11 00:00:00',2,1,12,2010,'M','S','KOBRASSOL','S JOSÉ','SC','124242241217111431469614575122610117052',NULL,'723',43.07,1,3,NULL),(20,5186137,'1991-03-10 00:00:00',4,2,10,2008,'M','N','PONTA AGUDA','BLUMENAU','SC','124242248236412431469934335122231427072',9522,'855',55.62,1,3,NULL),(20,5186145,'1993-07-26 00:00:00',2,9,11,2009,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124243241117151432446839475112610138052',NULL,'935',26.24,1,3,NULL),(20,5186153,'1990-09-20 00:00:00',2,2,12,2007,'F','N','PIRITUBA','S PAULO','SP','125243241215574431348934572124610145187',1030,'776',79.41,1,3,NULL),(20,5186161,'1992-06-22 00:00:00',1,2,12,2009,'F','N','CENTRO','POMERODE','SC','124242241215271431539331275122610127072',NULL,'624',19.75,1,3,NULL),(20,5186170,'1992-09-08 00:00:00',4,2,12,2009,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241215131731449614495112610162142',8740,'109',60.47,4,3,NULL),(20,5186196,'1958-05-06 00:00:00',2,1,4,1980,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224241245411134411313359192144131036077',NULL,'301',13.49,1,3,NULL),(20,5186218,'1992-05-13 00:00:00',4,8,12,2009,'M','N','MOSSUNGUÊ','CURITIBA','PR','116162161214111411458932571122610127123',NULL,'9998',0.00,1,3,NULL),(20,5186234,'1992-01-14 00:00:00',5,8,12,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124242241216113431368833575124610127182',NULL,'486',27.77,1,3,NULL),(20,5186242,'1993-07-08 00:00:00',2,15,11,2010,'F','S','COLONINHA','ARARANGUÁ','SC','124241241215171731535332575122610142092',NULL,'970',26.96,1,3,NULL),(20,5186250,'1992-08-04 00:00:00',4,10,11,2009,'M','N','DEHON','TUBARÃO','SC','124242241215161731438839272122610137057',NULL,'809',19.42,1,3,NULL),(20,5186269,'1993-10-17 01:00:00',4,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115111431475632575124610166172',NULL,'739',30.94,1,2,1),(20,5186277,'1992-08-09 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215112431346812575122610127012',5147,'9997',67.95,1,3,NULL),(20,5186285,'1992-06-30 00:00:00',4,8,12,2009,'M','N','ATIRADORES','JOINVILLE','SC','124242241217141431389712175112610134092',11739,'1006',54.86,1,3,NULL),(20,5186293,'1990-03-29 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117131131424313345124610132192',NULL,'288',19.07,1,2,1),(20,5186307,'1992-05-04 00:00:00',2,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124161241117271431548619575125610154045',11729,'267',53.32,1,2,1),(20,5186315,'1992-05-16 00:00:00',4,1,11,2009,'F','N','AEROPORTO','TUBARÃO','SC','124242241215111411488832575112610146192',2610,'807',73.94,1,3,NULL),(20,5186331,'1992-09-06 00:00:00',4,5,10,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431328938575125610117112',13986,'226',50.42,1,3,NULL),(20,5186340,'1992-02-01 00:00:00',4,1,11,2009,'M','N','CABREUVA','CPO GRANDE','MS','112122121217471431668612572121610164017',4385,'9998',69.82,2,3,NULL),(20,5186358,'1992-03-22 00:00:00',2,9,12,2009,'F','N','CENTRO','VACARIA','RS','120204201336141331118615292122610127092',NULL,'9998',23.25,1,3,NULL),(20,5186374,'1992-02-15 00:00:00',4,2,12,2009,'F','N','CENTRO','BLUMENAU','SC','124241241116271331338824275122610164147',NULL,'69',29.31,1,2,1),(20,5186382,'1992-10-09 00:00:00',4,1,12,2009,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241116161731424514575124610122052',13692,'64',49.72,1,2,1),(20,5186390,'1989-08-01 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241147272731525534445114610116197',16236,'592',42.13,1,2,1),(20,5186404,'1991-07-24 00:00:00',2,2,12,2008,'F','N','SETE DE SETEMBRO','GASPAR','SC','124241241215132431438931585122231433097',12173,'1137',49.53,1,3,NULL),(20,5186412,'1991-02-03 00:00:00',4,7,12,2008,'F','N','SANTA TEREZA','VIDEIRA','SC','124161161216472751459634574125610163041',1086,'829',80.82,1,3,NULL),(20,5186420,'1991-07-07 00:00:00',2,1,12,2008,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124204201216161431338663595124610137015',NULL,'9998',14.69,1,3,NULL),(20,5186447,'1986-10-31 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241415134741559814395121233261187',NULL,'272',0.00,1,3,NULL),(20,5186455,'1991-12-03 00:00:00',4,10,11,2008,'M','N','OFICINAS','TUBARÃO','SC','124242241212472212234921513111610164112',NULL,'270',0.00,1,3,NULL),(20,5186463,'1991-09-28 00:00:00',4,8,12,2009,'M','N','VILA NOVA','JOINVILLE','SC','124241246217111431346434572124610127042',NULL,'1006',24.77,1,3,NULL),(20,5186480,'1991-12-28 00:00:00',4,3,12,2009,'M','N','JARDIM SATÉLITE','S JOSÉ CAMPOS','SP','125254251235111432569612445124610167047',NULL,'9998',0.00,1,3,NULL),(20,5186498,'1992-01-02 00:00:00',4,5,12,2009,'M','N','SANTO ANTONIO','CRICIÚMA','SC','124244241115131432324312345124610148171',NULL,'209',0.00,1,3,NULL),(20,5186501,'1992-05-07 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241115371431328631375125610117047',NULL,'49',29.55,1,2,1),(20,5186510,'1991-04-18 00:00:00',4,1,11,2008,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241217272741378923572125610124172',10764,'262',56.74,1,3,NULL),(20,5186528,'1991-07-19 00:00:00',2,8,12,2008,'M','N','JARDIM MONÇÕES','PARANAVAÍ','PR','116161161315471431248833575122610137057',NULL,'9998',44.21,4,3,NULL),(20,5186536,'1990-12-03 00:00:00',4,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124242241216272431559913585114610163047',NULL,'723',23.94,4,3,NULL),(20,5186544,'1992-06-01 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241225112431556633395124610144011',8085,'262',58.65,1,3,NULL),(20,5186552,'1985-06-09 00:00:00',4,8,12,2003,'M','N','GLÓRIA','JOINVILLE','SC','124244247226473431458813215112333224172',11342,'489',52.95,1,3,NULL),(20,5186560,'1991-06-29 00:00:00',4,9,12,2009,'M','N','SAG CORAÇÃO DE JESUS','LAGES','SC','124241241115371531444631442322610127042',NULL,'512',21.07,1,2,1),(20,5186579,'1991-01-02 00:00:00',4,1,12,2007,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243241215371411324933572124133211197',NULL,'1075',48.59,1,3,NULL),(20,5186587,'1993-04-06 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241117131531428811295122610163117',NULL,'49',24.31,1,2,1),(20,5186609,'1988-02-28 00:00:00',2,8,12,2005,'M','N','FLORESTA','JOINVILLE','SC','124241241147375431433432345122610127041',NULL,'465',32.42,1,2,1),(20,5186617,'1992-05-28 00:00:00',4,1,12,2010,'M','S','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242246117151441369923475124610161171',NULL,'306',61.44,1,3,NULL),(20,5186633,'1992-08-05 00:00:00',2,1,12,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241116471731323379345124610122192',12810,'287',51.01,1,2,1),(20,5186641,'1988-11-22 00:00:00',4,1,12,2005,'F','N','CENTRO','PASSO FUNDO','RS','120201201117131751624419182344610138097',13922,'9998',48.22,3,2,1),(20,5186650,'1992-08-24 00:00:00',4,1,12,2009,'M','N','CENTRO','MAFRA','SC','124241161216111431489931572122610162045',162,'9998',88.67,1,3,NULL),(20,5186668,'1991-05-07 00:00:00',4,5,2,2008,'F','N','BOM PASTOR','IGREJINHA','RS','120202201215572441589931571114610136091',2448,'9998',75.27,1,3,NULL),(20,5186684,'1990-05-15 00:00:00',2,5,12,2007,'M','N','CENTRO','BAL ARROIO SILVA','SC','124244241416373431453517375112131217042',NULL,'970',25.43,1,3,NULL),(20,5186692,'1985-06-15 00:00:00',2,16,12,2006,'M','N','BOSQUE','CURITIBANOS','SC','124241241116473711521139185121610124172',15271,'239',47.06,4,2,1),(20,5186706,'1985-02-28 00:00:00',4,1,12,2003,'M','N','JARDIM CIDADE','S JOSÉ','SC','124242248116152131448817445122610114053',10127,'306',57.92,4,3,NULL),(20,5186722,'1991-07-26 00:00:00',4,3,12,2008,'M','N','CENTRO','CASCAVEL','PR','116162161216421451478812472124142967067',NULL,'9998',0.00,1,3,NULL),(20,5186749,'1991-03-26 00:00:00',4,1,12,2008,'M','N','CENTRO','DIVINÓPOLIS','MG','113132131236471231364821495124610167042',NULL,'9998',0.00,1,3,NULL),(20,5186757,'1972-06-20 00:00:00',4,1,12,2000,'M','N','BELA VISTA','S JOSÉ','SC','124191198132131431121644442224610124093',NULL,'9998',23.27,4,2,1),(20,5186765,'1989-01-07 00:00:00',4,1,12,2006,'M','N','LIBERDADE','S PAULO','SP','125122121216572431569931575125610136097',NULL,'9998',0.00,3,3,NULL),(20,5186781,'1981-08-28 00:00:00',4,15,12,2000,'F','N','SAO PEREGRINO','TURVO','SC','124241241116131421434419445232330668167',NULL,'559',27.06,1,2,1),(20,5186811,'1992-01-12 00:00:00',4,15,12,2008,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241127131431224629295124231126072',NULL,'29',27.92,1,2,1),(20,5186820,'1987-06-28 00:00:00',2,1,12,2007,'F','N','ROÇADO','S JOSÉ','SC','124241241111141731453322222132130864041',NULL,'729',25.80,1,2,1),(20,5186838,'1980-07-17 00:00:00',4,1,9,2008,'M','N','MORRO DA CRUZ','FLORIANÓPOLIS','SC','220201207316273111339441415122610167047',14797,'9998',48.48,4,3,NULL),(20,5186846,'1991-07-31 00:00:00',2,1,12,2008,'M','N','SANTA TERESA','PTO ALEGRE','RS','120201201116271411446511575124610167092',6817,'9998',62.45,1,2,1),(20,5186862,'1992-08-01 00:00:00',2,10,11,2009,'F','N','PARQUE DAS ACÁCIAS','S LUDGERO','SC','124242241215112431566612575124610136142',12889,'807',49.29,1,3,NULL),(20,5186870,'1988-09-11 00:00:00',5,1,12,2006,'M','N','RIO MAINA','CRICIÚMA','SC','124242241214153431369931571114221426062',4151,'213',70.45,1,3,NULL),(20,5186889,'1991-08-26 00:00:00',2,6,11,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124113111217572431248923575124610137017',2794,'9998',73.26,1,3,NULL),(20,5186897,'1990-11-03 00:00:00',2,1,12,2007,'F','N','RIO BRANCO','CANOAS','RS','120202201217471411333812571125610136052',5386,'9998',64.96,1,3,NULL),(20,5186919,'1988-01-07 00:00:00',4,1,12,2004,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241216174431468813575124230262097',550,'1011',84.21,1,3,NULL),(20,5186935,'1991-11-12 00:00:00',2,9,11,2009,'M','N','ESQUINA','URUBICI','SC','124242241217122741548639492121610168042',8981,'1065',60.01,1,3,NULL),(20,5186951,'1991-07-27 00:00:00',4,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241216152711468813575114121468042',279,'1011',86.88,1,3,NULL),(20,5186960,'1991-04-17 00:00:00',4,1,12,2008,'F','N','NOVO CENTRO','MARINGÁ','PR','116162161215472431368914575122610124152',4252,'9998',69.33,1,3,NULL),(20,5186978,'1993-07-12 00:00:00',4,2,11,2009,'M','N','GARCIA','BLUMENAU','SC','124242241215112431567924482122610137042',7096,'855',61.63,1,3,NULL),(20,5186986,'1990-07-02 00:00:00',2,1,12,2007,'M','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124243241316372431663732245124120762097',3314,'269',72.57,1,3,NULL),(20,5186994,'1991-12-04 00:00:00',4,1,11,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115271431348313591124610132097',6097,'267',64.26,1,2,1),(20,5187001,'1992-09-24 00:00:00',4,9,12,2009,'F','N','PROGRESSO','BENTO GONÇALVES','RS','120201201117371411436634275122610162142',10607,'9998',52.78,1,2,1),(20,5187010,'1992-01-06 00:00:00',4,6,12,2009,'F','N','CENTRO','NAVEGANTES','SC','124242241215151431369911175122610166012',3709,'392',70.02,1,3,NULL),(20,5187028,'1992-03-05 00:00:00',2,2,12,2009,'M','N','PAQUETA','BRUSQUE','SC','124243248337371421456652215112610114042',NULL,'1019',23.57,1,3,NULL),(20,5187052,'1991-01-29 00:00:00',4,1,11,2008,'M','N','ALTO DA BOA VISTA','SOROCABA','SP','125252251215471431458811575122610127042',8441,'9998',57.53,1,3,NULL),(20,5187079,'1993-07-12 00:00:00',4,2,11,2009,'M','N','GARCIA','BLUMENAU','SC','124242241215112431567924485122610137042',10246,'855',54.12,1,3,NULL),(20,5187109,'1992-08-10 00:00:00',4,16,12,2009,'M','N','N S APARECIDA','CURITIBANOS','SC','124241241116471431348923475122610132057',7822,'239',61.05,1,2,1),(20,5187117,'1992-10-12 00:00:00',4,4,12,2009,'F','N','INDUSTRIAL','SEARA','SC','124241241116271231425632335124610127142',NULL,'763',22.72,1,2,1),(20,5187125,'1992-02-06 00:00:00',2,1,12,2008,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241117472711335923595114610168117',15057,'359',44.32,1,2,1),(20,5187133,'1992-03-26 00:00:00',2,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215111431257624575114610167121',4455,'1022',67.82,1,3,NULL),(20,5187141,'1992-12-13 00:00:00',2,1,12,2009,'M','N','NOSSA SENHORA DO R','S JOSÉ','SC','124241241312131431536311241124610127047',NULL,'733',25.06,1,3,NULL),(20,5187150,'1991-08-01 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124241241116131731224311145125610167077',NULL,'1033',41.32,1,2,1),(20,5187176,'1992-01-29 00:00:00',2,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241116111411338833275122610164147',9610,'9997',55.80,1,3,NULL),(20,5187184,'1989-04-10 00:00:00',4,1,12,2006,'F','N','CENTRO','PASSO FUNDO','RS','120201201416472431448732472222610162112',16153,'9998',43.02,1,3,NULL),(20,5187192,'1980-06-16 00:00:00',2,15,12,1997,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120203201216571451357829472114343242187',4407,'9998',67.13,1,3,NULL),(20,5187206,'1991-10-01 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124132241415371411433922571124610162172',2775,'1022',72.94,1,3,NULL),(20,5187214,'1967-04-26 00:00:00',2,1,12,1999,'M','N','PRAIA DO SONHO','ENS BRITO','SC','224201207222131431426849192114341932177',14679,'9998',48.79,1,3,NULL),(20,5187230,'1986-12-07 00:00:00',2,3,12,2004,'M','N','CENTRO','BAL CAMBORIÚ','SC','124224221216471441557632395122240363042',10418,'9998',54.66,1,3,NULL),(20,5187249,'1990-03-23 00:00:00',2,8,12,2007,'F','N','CENTRO','PNT GROSSA','PR','116164161216573431548612592124610135012',1909,'9998',76.58,1,3,NULL),(20,5187257,'1992-09-02 00:00:00',4,15,12,2009,'F','N','CENTRO','S LEOPOLDO','RS','120202201417131411459731565325610162031',NULL,'9998',0.00,1,3,NULL),(20,5187273,'1986-04-18 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124164241146374431447614375124610126145',12022,'580',52.24,1,3,NULL),(20,5187281,'1993-06-18 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111431437933572124610167145',13273,'1050',51.82,1,3,NULL),(20,5187290,'1991-11-11 00:00:00',4,8,12,2009,'M','N','CERAMARTE','RIO NEGRINHO','SC','124241241115131431653923595124610148147',NULL,'669',29.12,4,2,1),(20,5187303,'1987-12-26 00:00:00',4,1,12,2005,'M','N','CENTRO','CRUZEIRO','SP','125252251216111411558611475112241457082',7983,'9998',61.86,1,3,NULL),(20,5187311,'1990-05-02 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241331152431456933345124610168182',15089,'257',47.62,1,3,NULL),(20,5187320,'1992-07-11 00:00:00',4,8,12,2009,'F','N','COMASA','JOINVILLE','SC','124242241215371431538311475122610124182',NULL,'462',35.24,1,3,NULL),(20,5187338,'1992-11-13 00:00:00',4,1,12,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241115371731336514575122610136147',10299,'733',56.49,1,2,1),(20,5187346,'1990-10-22 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241137374731423439285124223037077',14813,'307',48.43,1,2,1),(20,5187362,'1985-01-20 00:00:00',4,1,12,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','107073071216151411156743436132341744067',2511,'9998',75.05,2,3,NULL),(20,5187370,'1993-03-26 00:00:00',2,4,12,2009,'M','N','CENTRO','ENGENHO VELHO','RS','120201201116471731536524346122610127141',5839,'9998',65.35,1,2,1),(20,5187389,'1972-09-29 00:00:00',2,1,12,1993,'M','N','VILLAGE','GAROPABA','SC','124201203127161431333142225134610136041',NULL,'9998',26.20,1,3,NULL),(20,5187397,'1990-04-14 00:00:00',4,1,11,2007,'M','N','N S LOURDES','CAMPOS NOVOS','SC','116242241216572431578835575114610112091',1831,'270',75.81,1,3,NULL),(20,5187400,'1992-02-04 00:00:00',4,9,12,2009,'F','N','SAGRADO C DE JESUS','LAGES','SC','124241241215112431448933572125610116072',9087,'1146',56.76,1,3,NULL),(20,5187419,'1992-02-09 00:00:00',4,1,11,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115272411279913575124610164092',NULL,'267',0.00,1,3,NULL),(20,5187427,'1992-01-22 00:00:00',4,6,12,2008,'M','N','VERONA','PNT GROSSA','PR','116164161216472431344624575122610124072',437,'9998',84.52,1,3,NULL),(20,5187435,'1974-05-14 00:00:00',4,1,12,1993,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124252251217471411148844341132340217042',NULL,'9998',0.00,1,3,NULL),(20,5187451,'1992-02-11 00:00:00',4,2,12,2009,'M','N','VALPARAISO','BLUMENAU','SC','124241241147141411343624245124610127147',NULL,'85',0.00,1,2,1),(20,5187460,'1991-01-11 00:00:00',2,15,12,2006,'M','N','CENTRO','SOMBRIO','SC','124241241216574431466632585122231447175',4938,'970',68.49,1,3,NULL),(20,5187478,'1992-03-30 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORES CUNHA','RS','120202201217271331346431372112610142157',6598,'9998',62.05,1,3,NULL),(20,5187486,'1993-02-28 00:00:00',4,1,12,2010,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241217111431457914245122610128062',NULL,'270',50.25,1,3,NULL),(20,5187508,'1991-06-05 00:00:00',4,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124166241215111431336924574124610116147',NULL,'1049',13.36,1,3,NULL),(20,5187524,'1992-02-02 00:00:00',4,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241212272431446619372124610136092',NULL,'259',25.55,1,3,NULL),(20,5187532,'1991-12-11 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247315131431333524245124610122077',NULL,'9999',21.17,4,3,NULL),(20,5187540,'1983-02-25 00:00:00',2,2,12,2000,'M','N','CENTRO','RIO CEDROS','SC','124241241121131431624419235124610137157',NULL,'664',0.00,1,2,1),(20,5187559,'1991-04-22 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241135371431324411272124610144147',NULL,'307',8.20,4,1,2),(20,5187575,'1991-09-21 00:00:00',4,10,12,2008,'M','N','CENTRO','ARMAZÉM','SC','124241241127141431458833285124231452057',NULL,'34',26.83,1,2,1),(20,5187583,'1992-01-07 00:00:00',4,1,12,2008,'F','N','VICENTINA','S LEOPOLDO','RS','120202201216471731438611572115610128072',15667,'9998',42.36,1,3,NULL),(20,5187591,'1990-08-10 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124242241411144411356733591124233214112',7292,'1022',63.25,1,3,NULL),(20,5187613,'1990-10-29 00:00:00',2,1,12,2007,'F','N','JARDIM ELDORADO III','PALHOÇA','SC','124241241122473732333313342124610164147',NULL,'728',18.79,1,2,1),(20,5187621,'1984-06-25 00:00:00',2,1,12,2001,'M','N','CAMPINAS','S JOSÉ','SC','124242241215574431358627375114131464115',3420,'737',71.97,1,3,NULL),(20,5187630,'1992-01-08 00:00:00',4,10,12,2009,'M','N','PORTINHO','LAGUNA','SC','124242246236151431448814245124610122062',15901,'1120',44.63,1,3,NULL),(20,5187648,'1990-10-02 00:00:00',2,9,12,2007,'F','N','SÃO BENTO','BENTO GONÇALVES','RS','120203201215573431437629372122610137042',1429,'9998',78.86,1,3,NULL),(20,5187656,'1991-01-09 00:00:00',4,17,11,2008,'M','N','CENTRO','CANOINHAS','SC','124241241236471431359914575122610114062',2798,'154',73.30,1,3,NULL),(20,5187664,'1992-09-29 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215111531336823575112610162193',NULL,'270',51.21,1,3,NULL),(20,5187702,'1992-06-29 00:00:00',4,8,12,2009,'F','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124241241214131411439624295124610126012',3570,'1061',71.70,1,3,NULL),(20,5187710,'1992-10-10 00:00:00',4,4,11,2009,'M','N','IMIGRANTES','CONCÓRDIA','SC','124242241215271431456932575122610164052',5330,'1000',65.03,1,3,NULL),(20,5187729,'1992-06-14 00:00:00',2,1,11,2009,'F','N','VILA NOVA','IMBITUBA','SC','124243241235371751268823584121610161092',6579,'362',64.75,1,3,NULL),(20,5187737,'1991-03-12 00:00:00',2,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241211472431379933531112610167182',778,'1038',82.65,1,3,NULL),(20,5187745,'1989-08-05 00:00:00',2,6,12,2006,'F','N','CORDEIROS','ITAJAÍ','SC','124241244137131711633734342124610128197',NULL,'396',0.00,1,2,1),(20,5187753,'1990-10-05 00:00:00',4,1,12,2008,'M','N','PARQUE FABER','S CARLOS','SP','125252251215471431489711575112610147043',4376,'9998',67.53,1,3,NULL),(20,5187761,'1991-07-13 00:00:00',2,1,7,2009,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241117472311536615575124610134147',NULL,'739',27.87,1,2,1),(20,5187770,'1992-05-20 00:00:00',2,10,12,2009,'M','N','SANTO ANTONIO','TUBARÃO','SC','124241241147141431323624242111610134057',NULL,'1034',30.63,1,2,1),(20,5187788,'1989-08-11 00:00:00',2,1,12,2006,'M','N','VICENTINA','S LEOPOLDO','RS','120202201217471411348631315115610118037',4169,'9998',69.04,3,3,NULL),(20,5187800,'1987-05-02 00:00:00',4,1,12,2005,'F','N','IGUAÇU','IPATINGA','MG','113134137416373411243624575122140242123',6993,'9998',63.84,1,3,NULL),(20,5187818,'1991-09-11 00:00:00',2,7,12,2008,'M','N','CENTRO','ÁGUA DOCE','SC','124241242117271731224611342214610167147',10505,'8',53.62,1,2,1),(20,5187826,'1991-12-21 00:00:00',4,5,12,2009,'F','N','SÃO LUIZ','CRICIÚMA','SC','124242248217151431436933575124610134041',7266,'995',63.29,1,3,NULL),(20,5187842,'1991-05-15 00:00:00',4,17,12,2008,'M','N','TRICOLIN','CANOINHAS','SC','124241241216371411459933575114610122047',3278,'154',71.22,1,3,NULL),(20,5187850,'1992-04-09 00:00:00',2,1,12,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124244241215111431459613572124610126143',3465,'1050',71.67,1,3,NULL),(20,5187869,'1992-02-11 00:00:00',4,9,11,2009,'F','N','BELA VISTA','S JOAQUIM','SC','124242241215111411328627575124610124147',NULL,'720',0.00,1,3,NULL),(20,5187877,'1991-12-19 00:00:00',4,1,12,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241116111311433434575124610131142',NULL,'772',29.72,1,2,1),(20,5187893,'1992-03-02 00:00:00',1,1,12,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124241248112331721424334572124610116087',NULL,'730',21.84,1,2,1),(20,5187907,'1992-04-17 00:00:00',4,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241135131431327624272124610122092',16280,'733',41.08,1,3,NULL),(20,5187915,'1992-06-09 00:00:00',4,4,11,2009,'F','N','CENTRO','CAMPINAS SUL','RS','120201201217111431536819375124610124097',NULL,'9998',30.59,1,3,NULL),(20,5187923,'1989-12-14 00:00:00',2,1,12,2007,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241117143331643413495134610124147',NULL,'288',25.43,2,1,1),(20,5187931,'1992-06-30 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431269929575122610132182',15348,'737',46.78,1,3,NULL),(20,5187940,'1990-06-24 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124161161116372411225536572124220327042',NULL,'9998',0.00,4,2,1),(20,5187958,'1992-04-14 00:00:00',2,15,12,2009,'F','N','LAGOAO','ARARANGUÁ','SC','124241241116111421437613595122610166031',15682,'30',41.46,1,2,1),(20,5187966,'1990-07-16 00:00:00',2,1,12,2007,'M','N','JD CIDADE FLORIANOPO','S JOSÉ','SC','124243241117373431556613342124610117042',16270,'257',41.39,1,3,NULL),(20,5187974,'1990-11-30 00:00:00',4,8,12,2007,'F','N','ZONA SETE','MARINGÁ','PR','116162161215572431448911171112610134092',5629,'9998',65.35,1,3,NULL),(20,5187982,'1992-08-28 00:00:00',2,7,12,2009,'F','N','CENTRO','ÁGUA DOCE','SC','124241241146271731436612572112610164147',NULL,'9',24.68,1,2,1),(20,5187990,'1991-09-08 00:00:00',2,1,12,2008,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241135272251536634345114610117042',NULL,'592',50.67,3,2,1),(20,5188008,'1991-08-17 00:00:00',4,7,12,2008,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124241241216371411345311375121231464187',9661,'1093',58.80,1,3,NULL),(20,5188016,'1993-01-19 00:00:00',4,1,12,2009,'M','N','CENTRO','MARCELÂNDIA','MT','111111111217111731356812275121610117052',NULL,'9998',20.13,1,3,NULL),(20,5188032,'1989-03-11 00:00:00',4,1,12,2006,'F','N','VILA ANDRADE','S PAULO','SP','125252251217571431549511571122610162057',NULL,'9998',0.00,1,3,NULL),(20,5188040,'1992-02-09 00:00:00',4,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124244241436271431336617575122610114042',10720,'729',54.83,1,3,NULL),(20,5188059,'1990-08-30 00:00:00',2,7,12,2008,'M','N','SALETE','CONCÓRDIA','SC','124242248236472732366811275122610132052',13890,'1001',49.12,1,3,NULL),(20,5188067,'1989-04-24 00:00:00',2,4,12,2006,'F','N','CENTRO','XANXERÊ','SC','120244241216573731434439571122131531017',14583,'836',46.73,1,3,NULL),(20,5188075,'1983-04-11 00:00:00',2,1,12,2002,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124201201116231411534379342124141227087',NULL,'9998',24.47,1,2,1),(20,5188083,'1992-09-22 00:00:00',4,7,12,2009,'M','N','CENTRO','CAMPOS NOVOS','SC','124242241216112211459519575125610167052',NULL,'446',27.74,1,3,NULL),(20,5188091,'1993-04-07 00:00:00',4,1,12,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242241217121431478833575124610136192',NULL,'270',50.90,1,3,NULL),(20,5188105,'1990-08-01 00:00:00',2,4,12,2007,'M','N','CENTRO','STA MARIA','RS','120201202117571421534933492125610167047',NULL,'9998',0.00,1,2,1),(20,5188113,'1992-12-28 00:00:00',2,1,12,2009,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241147131311536615345121610114047',NULL,'941',25.23,1,2,1),(20,5188121,'1993-04-08 00:00:00',4,1,11,2010,'F','S','FORQUILHINHAS','S JOSÉ','SC','124242241216111432466612375122610127142',NULL,'1074',61.93,1,3,NULL),(20,5188130,'1992-05-28 00:00:00',2,9,12,2009,'M','N','CENTRO','PTE SERRADA','SC','124244241116111431356613575125610133012',NULL,'629',0.00,1,3,NULL),(20,5188156,'1992-06-19 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121411337824575114610162092',NULL,'269',0.00,1,3,NULL),(20,5188164,'1988-01-05 00:00:00',2,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124161161146131711443344342113610138187',11476,'9998',51.73,4,1,1),(20,5188172,'1978-06-23 00:00:00',4,1,12,1995,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124164161416372421456541415124321547122',3710,'9998',71.61,1,3,NULL),(20,5188199,'1991-07-23 00:00:00',4,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242241216472431458813576122610122142',8229,'1063',59.14,1,3,NULL),(20,5188210,'1985-02-11 00:00:00',2,1,12,2002,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241126273421454319242132610137117',NULL,'727',29.99,1,2,1),(20,5188229,'1988-02-25 00:00:00',2,1,12,2005,'F','N','CANUDOS','NOVO HAMBURGO','RS','120201204136371431323337131322610164092',NULL,'9998',27.18,1,3,NULL),(20,5188237,'1992-11-17 00:00:00',2,6,12,2009,'F','N','MURTA','ITAJAÍ','SC','124241241115371411434614575121612062052',13044,'396',52.28,1,2,1),(20,5188245,'1992-10-02 00:00:00',4,1,12,2009,'M','N','PINHEIRA','PALHOÇA','SC','124241241146371431436314375224610164147',7936,'595',60.63,1,2,1),(20,5188253,'1993-12-29 00:00:00',4,16,12,2010,'F','S','CENTRO','STA CECÍLIA','SC','124241241417111231357712575112610124192',NULL,'1038',23.15,1,3,NULL),(20,5188261,'1990-01-09 00:00:00',4,1,12,2007,'M','N','IPIRANGA','S JOSÉ','SC','124241241115111711344614445123130264192',NULL,'734',26.73,1,3,NULL),(20,5188270,'1992-04-28 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215272431478913335112610117012',12076,'737',50.81,1,3,NULL),(20,5188288,'1990-09-04 00:00:00',4,1,12,2007,'F','N','MONTE DAS OLIVEIRAS','GUARÁ','SP','125252251215571431489831575122610162172',NULL,'9998',0.00,1,3,NULL),(20,5188296,'1985-04-03 00:00:00',2,1,11,2004,'M','N','CAMPINAS','S JOSÉ','SC','124171171126473451123449342124610144013',NULL,'9998',15.95,1,2,1),(20,5188300,'1992-06-12 00:00:00',4,8,12,2009,'F','N','UMBARÁ','CURITIBA','PR','116161161124371431558612575114610146092',7903,'9998',57.84,1,2,1),(20,5188318,'1991-06-27 00:00:00',4,1,12,2008,'F','N','PARQUE ONGARO','SUMARÉ','SP','125252251217471231469713575125610164182',3611,'9998',69.28,1,3,NULL),(20,5188342,'1991-08-05 00:00:00',2,17,12,2008,'F','N','CENTRO','CANOINHAS','SC','124241241211372731328821571225610132147',11150,'154',53.35,4,3,NULL),(20,5188350,'1991-10-20 01:00:00',2,1,12,2008,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124241241211272431326413371124610162171',3727,'738',71.55,1,3,NULL),(20,5188369,'1991-11-15 00:00:00',4,1,11,2009,'F','N','EMBARÉ','SANTOS','SP','125252251215111431367833372114610134197',11122,'9998',52.91,1,3,NULL),(20,5188377,'1988-12-11 00:00:00',4,8,12,2007,'F','N','AMERICA','JOINVILLE','SC','124242241215471431478614575122131062142',NULL,'1063',0.00,1,3,NULL),(20,5188385,'1991-09-12 00:00:00',4,1,12,2008,'M','N','CENTRO','PTO ALEGRE','RS','120202201217471431558832575124610167122',4121,'9998',70.20,1,3,NULL),(20,5188407,'1992-11-01 00:00:00',2,1,12,2009,'F','N','BELA VISTA I','S JOSÉ','SC','124241241116271731426613242124610164047',NULL,'257',28.15,1,2,1),(20,5188415,'1981-02-04 00:00:00',4,1,12,2000,'M','N','EMBARÉ','SANTOS','SP','125251251145571611254923435121340257187',NULL,'1087',0.00,1,3,NULL),(20,5188423,'1991-11-06 00:00:00',4,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241212112731359711412122610166112',15201,'1038',47.22,1,3,NULL),(20,5188431,'1990-02-09 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242247215111431348833415112610124195',NULL,'9999',42.29,4,3,NULL),(20,5188458,'1992-07-09 00:00:00',4,6,12,2009,'F','N','CENTRONORTE','BAL PIÇARRAS','SC','124241241111131411534311172124610132017',10690,'614',53.86,1,2,1),(20,5188466,'1990-03-01 00:00:00',2,1,12,2007,'F','N','CENTRO','S JOÃO B VISTA','SP','125251251215371411438314575125143243097',NULL,'9998',0.00,1,3,NULL),(20,5188474,'1991-08-18 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124222241215472431479833572114610124052',NULL,'270',0.00,4,3,NULL),(20,5188482,'1992-04-21 00:00:00',4,1,12,2009,'M','N','ARMAÇAO PANTANO SUL','FLORIANÓPOLIS','SC','124242241215111431337867472114610167057',14248,'1022',46.50,1,3,NULL),(20,5188490,'1991-07-24 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431449833573112610167052',8947,'262',59.01,1,3,NULL),(20,5188504,'1991-05-15 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115471731323624395324610128147',NULL,'298',23.81,1,2,1),(20,5188512,'1991-01-09 00:00:00',4,1,11,2008,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124242241216374431456632575122230263077',15967,'270',44.31,1,3,NULL),(20,5188520,'1993-02-22 00:00:00',4,16,12,2010,'F','S','CENTRO','STA CECÍLIA','SC','124241241211111331458714572112610167147',NULL,'1038',18.61,1,3,NULL),(20,5188539,'1991-09-28 00:00:00',4,1,11,2008,'F','N','VILAS DO ATLANICO','LAURO FREITAS','BA','105052051217471431488814445112610122112',NULL,'9998',0.00,1,3,NULL),(20,5188547,'1991-02-16 00:00:00',4,3,12,2008,'M','N','CIDADE JARDIM','RIO CLARO','SP','125252251215471431358634575122610127042',NULL,'9998',0.00,1,3,NULL),(20,5188555,'1984-07-29 00:00:00',2,1,12,2001,'F','N','BELA VISTA','S JOSÉ','SC','124244241111472421323343431122610158182',10463,'257',55.59,1,3,NULL),(20,5188563,'1990-01-05 00:00:00',2,1,12,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124252251217271731338831475112610211047',NULL,'9998',25.08,1,3,NULL),(20,5188571,'1990-11-28 00:00:00',4,1,12,2007,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215473321438931472124610128197',7171,'1146',63.23,1,3,NULL),(20,5188580,'1991-09-11 00:00:00',4,4,12,2008,'F','N','CENTRO','RONDINHA','RS','124201201115371411533612375125610121147',11326,'9998',53.02,1,2,1),(20,5188598,'1991-10-31 00:00:00',2,1,11,2008,'F','N','SETOR SUL','VL RICA','MT','109112111225471431536514572324640121142',7325,'9998',60.80,3,3,NULL),(20,5188601,'1992-09-14 00:00:00',4,6,12,2009,'M','N','FAZENDA','ITAJAÍ','SC','124242241215131431448812277124610112147',NULL,'1172',19.45,1,3,NULL),(20,5188610,'1993-04-21 00:00:00',4,9,12,2010,'F','S','BRUSQUE','LAGES','SC','124242241215151431468839575122610118172',NULL,'515',26.19,1,3,NULL),(20,5188628,'1990-03-17 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431489813572125610145182',NULL,'1022',41.19,1,3,NULL),(20,5188636,'1992-10-26 00:00:00',2,1,11,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215123411578812572122610127145',8154,'1169',61.03,1,3,NULL),(20,5188644,'1992-03-21 00:00:00',4,1,12,2009,'F','N','ALGODOAL','PIRACICABA','SP','125251251232111731546611271324610128077',NULL,'9998',0.00,1,3,NULL),(20,5188652,'1987-06-28 00:00:00',2,4,12,2004,'F','N','CENTRO','ERECHIM','RS','120201204226271421443315132114610132182',NULL,'9998',0.00,1,3,NULL),(20,5188660,'1993-07-29 00:00:00',4,8,12,2010,'F','S','AMÉRICA','JOINVILLE','SC','124242241216131431326734575225610134147',NULL,'932',68.33,1,3,NULL),(20,5188679,'1974-03-11 00:00:00',4,1,3,1996,'M','N','CANTO','FLORIANÓPOLIS','SC','124242247332133431126644345124120932017',NULL,'9999',0.00,1,3,NULL),(20,5188687,'1992-06-05 00:00:00',4,6,11,2009,'F','N','SÃO JOÃO','ITAJAÍ','SC','124241241117131432426614144124610128071',NULL,'400',27.66,1,2,1),(20,5188695,'1993-06-16 00:00:00',4,1,12,2009,'M','N','CERRITO','STA MARIA','RS','120204201117471431358939576124610114177',5041,'9998',65.98,1,3,NULL),(20,5188709,'1990-03-23 00:00:00',4,15,12,2007,'F','N','SÃO FRANCISCO','GARIBALDI','RS','120201201116371431443831292124610162077',NULL,'9998',0.00,1,2,1),(20,5188717,'1983-08-11 00:00:00',2,1,12,2001,'F','N','BELA VISTA','S JOSÉ','SC','224211211116371431233359392114610134147',NULL,'9998',30.88,1,2,1),(20,5188725,'1994-06-05 00:00:00',4,1,11,2010,'M','S','BARREIROS','S JOSÉ','SC','124242241215111431436629575122610166072',NULL,'738',18.05,1,3,NULL),(20,5188733,'1989-01-12 00:00:00',4,1,12,2007,'F','N','JARDIM BRASILÂNDIA','FRANCA','SP','125251258136131431444414275122610141017',NULL,'9998',24.45,1,3,NULL),(20,5188750,'1985-01-14 00:00:00',2,1,7,2003,'F','N','PASSA VINTE','PALHOÇA','SC','124161241111373431546429241114610132142',NULL,'591',45.70,1,2,1),(20,5188768,'1993-01-23 00:00:00',4,9,11,2009,'F','N','UNIVERSITÁRIO','LAGES','SC','124242241215272431469913571122610136142',2807,'497',73.69,1,3,NULL),(20,5188776,'1992-05-06 00:00:00',4,10,11,2009,'M','N','CENTRO','LAGUNA','SC','124242241217111431489811472121610166026',70,'807',90.96,1,3,NULL),(20,5188784,'1991-09-28 00:00:00',2,1,12,2008,'F','N','SANTANA','PTO ALEGRE','RS','120202201217471431367912341112610164142',NULL,'9998',0.00,1,3,NULL),(20,5188792,'1991-09-30 00:00:00',4,4,10,2008,'F','N','CENTRO','ERECHIM','RS','120204201215471741445611571125610167147',477,'9998',84.78,1,3,NULL),(20,5188806,'1992-03-23 00:00:00',4,2,12,2009,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241217373411369611575122610124172',2720,'109',73.72,1,3,NULL),(20,5188814,'1990-07-08 00:00:00',4,1,12,2007,'F','N','CENTRO','RIO PARDO','RS','120201201117571431456614574344610132192',868,'9998',82.09,1,2,1),(20,5188822,'1992-04-05 00:00:00',4,8,11,2009,'F','N','BOM RETIRO','CURITIBA','PR','116162161215121431469833572112610167142',13642,'9998',46.74,1,3,NULL),(20,5188830,'1994-01-06 00:00:00',2,4,12,2010,'F','S','CINQUENTENARIO','CONCÓRDIA','SC','124244241216111751439714475124610121142',NULL,'1001',19.10,1,3,NULL),(20,5188849,'1993-01-07 00:00:00',4,7,12,2009,'M','N','FLORESTA','CONCÓRDIA','SC','124241241117471732459612385121610167087',15576,'192',41.56,1,2,1),(20,5188857,'1990-02-05 00:00:00',4,2,12,2008,'F','N','GLORIA','RODEIO','SC','124241241116131121322241315124610128147',NULL,'787',8.49,1,2,1),(20,5188873,'1991-06-08 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124163241215151431459923372114230341145',NULL,'1022',20.06,1,3,NULL),(20,5188881,'1990-02-19 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241117472431527734381214610164185',11356,'288',53.48,1,3,NULL),(20,5188890,'1973-03-24 00:00:00',2,1,12,1993,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','224241248126131411432243132133610128183',NULL,'838',42.04,1,2,1),(20,5188903,'1992-08-15 00:00:00',4,1,12,2009,'M','N','JARDIM IMPERIAL','MARINGÁ','PR','116162161217121711469933575122610164186',3504,'9998',70.33,3,3,NULL),(20,5188911,'1989-02-19 00:00:00',4,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116251251416573721463611591124610164142',8943,'9998',59.75,1,3,NULL),(20,5188920,'1991-06-18 00:00:00',4,4,12,2008,'M','N','MATRIZ','VIDEIRA','SC','124242241215132431438613475121232037127',NULL,'829',29.49,1,3,NULL),(20,5188938,'1991-09-01 00:00:00',4,1,12,2009,'M','N','ASA SUL','BRASÍLIA','DF','107052071215151441389912572121610122142',9318,'9998',56.49,1,3,NULL),(20,5188946,'1984-03-24 00:00:00',4,1,12,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124252251216272431226812395124141434042',13326,'9998',51.70,1,3,NULL),(20,5188954,'1991-07-26 00:00:00',4,10,9,2008,'M','N','VILA MOEMA','TUBARÃO','SC','124242241211472431579811571122610137112',2322,'807',74.71,1,3,NULL),(20,5188970,'1992-08-16 00:00:00',4,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124241241115371431536719334125610168172',9844,'239',56.77,1,2,1),(20,5188997,'1989-03-13 00:00:00',2,1,7,2008,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241248117131431613111485114610112043',NULL,'9997',21.02,1,2,1),(20,5189004,'1986-03-30 00:00:00',4,1,6,2005,'M','N','VILA NOVA','IMBITUBA','SC','124241241112133752128644342113610167112',16284,'359',41.02,2,2,1),(20,5189012,'1990-03-10 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201241215473431238714575122230421146',6484,'270',64.96,1,3,NULL),(20,5189039,'1989-03-20 00:00:00',4,1,12,2006,'M','N','VILA FORMOSA','S PAULO','SP','125254251117431411578823375124243242042',6827,'9998',61.11,1,3,NULL),(20,5189055,'1990-03-06 00:00:00',2,1,12,2007,'F','N','INTERIOR','MARAU','RS','120201201136131431626315455123241036187',NULL,'9998',0.00,1,2,1),(20,5189071,'1992-01-25 00:00:00',4,5,11,2009,'M','N','ARGENTINA','CRICIÚMA','SC','124241241215111431456614485124610134172',NULL,'213',27.61,1,3,NULL),(20,5189080,'1992-10-23 00:00:00',4,1,12,2008,'F','N','INTERIOR','MULITERNO','RS','120201201126471731426823472112610136147',10446,'9998',53.96,1,2,1),(20,5189098,'1993-09-17 00:00:00',4,1,12,2010,'M','S','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215151431478932572112610127012',NULL,'262',49.54,1,3,NULL),(20,5189101,'1990-05-22 00:00:00',2,1,10,2009,'F','N','BALNEARIO ESTREITO','FLORIANÓPOLIS','SC','124241241417171431219774385324610112143',NULL,'9997',27.32,1,3,NULL),(20,5189128,'1991-05-30 00:00:00',2,1,12,2008,'F','N','CENTRO','SALETE','SC','124241241415472751445631575125610117052',NULL,'991',22.52,1,3,NULL),(20,5189136,'1991-09-22 00:00:00',4,1,5,2009,'F','N','NOVA SUIÇA','BELO HORIZONTE','MG','113136137416151712233347575124610164127',10780,'9998',56.71,5,3,NULL),(20,5189144,'1992-07-08 00:00:00',4,1,12,2009,'M','N','SÃO TOMAS','IMBITUBA','SC','124241248115151431447311115121610137112',NULL,'359',12.22,2,2,1),(20,5189152,'1992-06-09 00:00:00',4,4,12,2009,'F','N','CENTRO','S JOÃO OESTE','SC','124241241125161451438813212121610168147',NULL,'715',24.96,1,2,1),(20,5189179,'1992-04-15 00:00:00',4,10,11,1992,'M','N','FABIO SILVA','TUBARÃO','SC','124243241217131431638833275121610167147',9773,'809',55.24,1,3,NULL),(20,5189187,'1990-01-12 00:00:00',2,2,12,2007,'F','N','CENTRO','BRUSQUE','SC','124242241216574411458612475124610121187',4513,'107',68.46,1,3,NULL),(20,5189195,'1992-05-26 00:00:00',4,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112732589514576112610137185',11677,'270',52.71,1,3,NULL),(20,5189209,'1991-09-15 00:00:00',4,8,11,2009,'M','N','GLÓRIA','JOINVILLE','SC','124242241216111431579812476112610137122',1071,'457',80.89,1,3,NULL),(20,5189217,'1993-08-03 00:00:00',4,1,12,2009,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124244241415111431469613572124610123042',13386,'270',51.61,1,3,NULL),(20,5189225,'1991-06-14 00:00:00',2,10,12,2008,'F','N','CENTRO','LAGUNA','SC','124242241215372431437821471122610124112',NULL,'525',32.58,1,3,NULL),(20,5189233,'1990-08-29 00:00:00',4,9,12,2007,'F','N','SANTA CATARINA','OTACÍLIO COSTA','SC','124241241137131751434724295224233256052',NULL,'583',0.00,1,2,1),(20,5189241,'1988-04-21 00:00:00',2,1,12,2005,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241122274431443332482124122324147',9394,'307',55.87,1,2,1),(20,5189250,'1990-11-24 00:00:00',4,1,12,2007,'F','N','LUCAS ARAÚJO','PASSO FUNDO','RS','120203201311572331455624245224610164182',6669,'9998',63.00,1,3,NULL),(20,5189268,'1991-12-13 00:00:00',2,8,12,2008,'F','N','FAZENDINHA','CURITIBA','PR','116162161215471231436729572124243235042',14333,'9998',46.14,1,3,NULL),(20,5189284,'1988-11-27 00:00:00',4,1,12,2005,'M','N','SANTANA','STO AMARO IMPERATRIZ','SC','124241241117131731558633385114233264057',NULL,'772',28.49,1,2,1),(20,5189292,'1993-08-04 00:00:00',4,4,11,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241215271431348811575122610126192',NULL,'983',37.13,1,3,NULL),(20,5189306,'1991-09-11 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241217272451436314382311610147017',12840,'1048',51.22,1,3,NULL),(20,5189322,'1976-03-04 00:00:00',2,1,12,1994,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','224281285112132431328619281345142721112',NULL,'9998',48.91,1,2,1),(20,5189330,'1988-08-02 00:00:00',4,1,12,2005,'M','N','CENTRO','CAXIAS SUL','RS','120201201137371411336613385114610164052',NULL,'9998',28.45,1,2,1),(20,5189357,'1993-02-24 00:00:00',4,1,12,2009,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241212151451468619492122610125092',14786,'1061',45.88,1,3,NULL),(20,5189365,'1990-03-29 00:00:00',4,2,12,2007,'F','N','CENTRO','TIMBÓ','SC','124241241215374431348831344314610167072',NULL,'9997',42.91,1,3,NULL),(20,5189373,'1990-06-19 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241111272431223529572224610125047',14926,'840',45.27,1,3,NULL),(20,5189381,'1992-12-05 00:00:00',4,9,11,2009,'F','N','CENTRO','LAGES','SC','124242241215271411269933575122610133187',12133,'497',54.11,1,3,NULL),(20,5189390,'1985-11-13 00:00:00',4,5,12,2003,'M','N','PRÓSPERA','CRICIÚMA','SC','124241241117151411425529395124610164147',NULL,'228',0.00,1,2,1),(20,5189403,'1990-09-15 00:00:00',2,9,12,2007,'F','N','COPACABANA','LAGES','SC','124241241216373431338933595124610112052',6422,'497',64.88,4,1,2),(20,5189420,'1993-03-04 00:00:00',2,4,12,2009,'F','N','SAO CRISTOVAO','ERECHIM','RS','120202201215111411434832572112610124142',NULL,'9998',0.00,1,3,NULL),(20,5189438,'1991-07-06 00:00:00',4,3,12,2008,'M','N','BARRA DAS JANGADAS','PERUÍBE','SP','125254251215472431236829581115610137047',NULL,'9998',NULL,1,3,NULL),(20,5189446,'1992-10-13 00:00:00',4,3,12,2009,'F','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162161216111431448836595124610123077',NULL,'9998',0.00,1,3,NULL),(20,5189454,'1987-03-09 00:00:00',4,8,10,2008,'M','N','JARAGUA ESQUERDO','JARAGUÁ SUL','SC','124241241127371431347734343111610117172',NULL,'440',22.30,1,3,NULL),(20,5189462,'1991-04-26 00:00:00',4,2,12,2008,'F','N','CENTRO','MARINGÁ','PR','116162161217471731538839571112610166146',1269,'9998',79.28,3,3,NULL),(20,5189470,'1989-12-29 00:00:00',4,2,11,2007,'M','N','VORSTADT','BLUMENAU','SC','124241241217372411559733577124232462186',379,'88',85.36,1,3,NULL),(20,5189489,'1991-08-02 00:00:00',4,1,12,2008,'M','N','PARQUE AMAZONIA','GOIÂNIA','GO','109092091216471431546611215122610167052',NULL,'9998',0.00,1,3,NULL),(20,5189497,'1992-04-05 00:00:00',4,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241235112441348729175122610126047',3487,'806',72.17,1,3,NULL),(20,5189519,'1991-11-03 00:00:00',4,8,12,2008,'F','N','SÃO GABRIEL','COLOMBO','PR','116241241135471731228718575124610164147',12732,'650',49.67,1,2,1),(20,5189535,'1987-05-23 00:00:00',2,1,12,2004,'M','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124241241137272522423831212223610164052',NULL,'726',24.42,2,1,1),(20,5189551,'1988-04-20 00:00:00',2,9,4,2005,'M','N','VILA SANTA CATARINA','OTACÍLIO COSTA','SC','124241241116273731423311445121610166047',10164,'583',57.86,1,2,1),(20,5189578,'1986-03-04 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241124132431123344245124333225197',NULL,'214',24.76,1,3,NULL),(20,5189594,'1992-05-24 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124232241215112431347619275114610167057',6415,'270',63.69,1,3,NULL),(20,5189608,'1992-01-24 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215113412558833472124610163095',2763,'270',74.24,4,3,NULL),(20,5189616,'1991-07-22 00:00:00',2,1,11,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241112273431436629375224610167142',NULL,'288',15.59,1,3,NULL),(20,5189624,'1990-04-27 00:00:00',4,4,11,2007,'F','N','LIBERDADE','S PAULO','SP','111112111236573421589911595125610164142',2358,'9998',75.61,3,3,NULL),(20,5189640,'1992-07-24 00:00:00',4,6,11,2009,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241214271332355924375122610167147',7361,'1172',60.52,1,3,NULL),(20,5189667,'1992-02-19 00:00:00',4,1,11,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431536812572122610168142',NULL,'1133',23.74,1,3,NULL),(20,5189675,'1991-06-25 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215272431456814572124221467127',249,'270',87.27,1,3,NULL),(20,5189683,'1978-06-28 00:00:00',4,1,6,2003,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241326131411233614281214240254197',NULL,'935',0.00,1,3,NULL),(20,5189691,'1992-02-07 00:00:00',4,8,12,2009,'M','N','PAROLIN','CURITIBA','PR','116161161145371731368813571124610127042',1855,'9998',75.77,1,2,1),(20,5189705,'1989-06-27 00:00:00',2,2,12,2006,'M','N','TRINTA REIS','NOVA TRENTO','SC','124241241216152431333632312122231467047',NULL,'109',29.13,1,3,NULL),(20,5189713,'1991-02-05 00:00:00',2,1,12,2008,'F','N','CENTRO','GR PARÁ','SC','124243241215472431534635575114610161042',4807,'950',68.16,1,3,NULL),(20,5189721,'1991-04-06 00:00:00',4,8,10,2008,'F','N','CENTRO','CURITIBA','PR','116162161215412431257926574214610166142',NULL,'9998',0.00,1,3,NULL),(20,5189730,'1992-09-16 00:00:00',2,15,12,2009,'F','N','GÁVEA','JACINTO MACHADO','SC','124241241136131731433923575121610126092',NULL,'420',0.00,1,2,1),(20,5189748,'1992-05-11 00:00:00',4,1,12,2009,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241117131351635569235214610113181',NULL,'65',26.87,1,2,1),(20,5189756,'1991-10-02 00:00:00',4,1,12,2009,'M','N','CENTRO','CPO GRANDE','MS','112122121217111731558816465122610167182',7930,'9998',59.01,4,3,NULL),(20,5189764,'1991-11-19 00:00:00',2,1,12,2009,'M','N','LAGOINHA','RIBEIRÃO PRETO','SP','125251251217151411445514271112610134047',6726,'9998',60.74,4,3,NULL),(20,5189772,'1990-09-20 00:00:00',4,1,12,2008,'M','N','COND VILLA ROMANA','INDAIATUBA','SP','125252251215471431347834445122610167042',NULL,'9998',0.00,1,3,NULL),(20,5189799,'1991-11-19 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215272431368923572112610146092',5607,'262',65.89,1,3,NULL),(20,5189802,'1991-11-16 00:00:00',2,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124161241121151431246511245124610167042',NULL,'733',25.86,1,2,1),(20,5189810,'1993-07-08 00:00:00',4,9,12,2009,'F','N','JARDIM AMERICA','RIO SUL','SC','124242241215371431439931575122610124042',NULL,'991',24.30,4,3,NULL),(20,5189837,'1992-03-13 00:00:00',4,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215162721426722425114610164047',14764,'262',46.08,1,3,NULL),(20,5189845,'1984-02-12 00:00:00',4,1,12,2001,'F','N','AREIAS','S JOSÉ','SC','124241241116271421574319341114610164192',NULL,'730',32.21,2,1,1),(20,5189853,'1993-05-01 00:00:00',2,4,12,2009,'F','N','CENTRO','NONOAI','RS','124202241216271711445639575112610164182',15361,'983',42.44,1,3,NULL),(20,5189870,'1976-09-02 00:00:00',2,6,12,1993,'F','N','MURTA','ITAJAÍ','SC','124241241146342421443343235123331362017',NULL,'401',0.00,1,2,1),(20,5189888,'1992-05-14 00:00:00',4,1,12,2009,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241135131331523633573124610144043',NULL,'733',27.95,1,2,1),(20,5189896,'1992-08-20 00:00:00',4,9,11,2009,'F','N','CENTRO','LAGES','SC','124242241236131431549923435124610128147',NULL,'497',0.00,1,3,NULL),(20,5189900,'1989-07-19 00:00:00',2,1,12,2007,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242248217152731569913575122232528193',10899,'1011',56.49,1,3,NULL),(20,5189918,'1991-08-31 00:00:00',4,1,11,2009,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124242241215412431466811575112610137072',4020,'270',69.16,1,3,NULL),(20,5189926,'1992-12-31 00:00:00',4,1,12,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124243241435122431446823572114610165155',1681,'1022',78.07,4,3,NULL),(20,5189934,'1992-09-18 00:00:00',4,3,11,2009,'M','N','ELIZABETH','IJUÍ','RS','120202201217111731479914245122610167045',10572,'9998',54.20,1,3,NULL),(20,5189942,'1991-09-13 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111432489931575122610137042',NULL,'262',0.00,1,3,NULL),(20,5189969,'1992-10-05 00:00:00',4,7,12,2009,'F','N','CENTRO','MTE CARLO','SC','124241241215111431438612575124610133147',6657,'885',63.42,1,3,NULL),(20,5189977,'1992-07-30 00:00:00',2,1,12,2009,'M','N','N SENHORA ROSÁRIO','S JOSÉ','SC','124242241215122731458834175124610117047',NULL,'1077',30.59,1,3,NULL),(20,5189993,'1992-03-02 00:00:00',4,1,12,2009,'M','N','RUDGE RAMOS','S BERNARDO CAMPO','SP','125253251117471431438814595124610127047',14455,'9998',46.65,1,3,NULL),(20,5190002,'1992-11-11 00:00:00',2,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241215122331439611385112610134147',13952,'403',47.88,1,3,NULL),(20,5190010,'1986-07-22 00:00:00',4,5,12,2003,'F','N','JARDIM ITU SABARA','PTO ALEGRE','RS','124202201216141451417941495124141468177',15460,'9998',46.43,1,3,NULL),(20,5190037,'1988-10-12 00:00:00',2,4,12,2005,'F','N','CENTRO','CHAPECÓ','SC','124244241417571431269913575124610164152',6901,'185',64.05,1,3,NULL),(20,5190045,'1991-06-11 00:00:00',4,3,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161215472431568834342124610162197',2164,'9998',75.77,1,3,NULL),(20,5190053,'1991-01-25 00:00:00',4,2,12,2008,'F','N','SALTO WEISSBACH','BLUMENAU','SC','124242241216141711349919495124233261181',NULL,'1018',0.00,1,3,NULL),(20,5190061,'1993-11-08 00:00:00',4,1,12,2010,'F','S','PICADAS DO SUL','S JOSÉ','SC','124242241217111431547913575122610123197',NULL,'1074',45.33,1,3,NULL),(20,5190070,'1992-04-02 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431476612375122610167141',NULL,'226',0.00,1,3,NULL),(20,5190088,'1992-07-11 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117151431556533572124610127057',NULL,'307',21.27,1,2,1),(20,5190100,'1991-10-27 00:00:00',4,1,11,2009,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215111431368811575114610134123',4079,'270',69.36,1,3,NULL),(20,5190118,'1991-06-10 00:00:00',4,4,11,2008,'F','N','CENTRO','ANCHIETA','SC','124241241127131431534639242125610132147',NULL,'16',25.48,1,2,1),(20,5190126,'1977-02-20 00:00:00',4,2,12,1999,'M','N','VELHA','BLUMENAU','SC','224241247125472421123344144324131267147',NULL,'9999',32.43,1,2,1),(20,5190134,'1992-02-22 00:00:00',4,4,11,2009,'M','N','CENTRO','S DOMINGOS','SC','124241241217111431458934475124610164022',NULL,'836',35.07,4,3,NULL),(20,5190142,'1990-02-22 00:00:00',4,1,12,2007,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124243241115573411456612375124231264092',3311,'307',71.78,1,3,NULL),(20,5190150,'1988-02-25 00:00:00',4,4,12,2005,'M','N','NICOLAU VERGUEIRO','PASSO FUNDO','RS','120201201315571751449833595125610166183',3519,'9998',70.72,1,3,NULL),(20,5190169,'1991-11-01 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431358814372112610162091',NULL,'1022',42.51,1,3,NULL),(20,5190177,'1992-07-25 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115151431424314372124610164142',NULL,'281',21.55,1,2,1),(20,5190185,'1991-07-02 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241212272431346639475124610127057',NULL,'1075',22.34,1,3,NULL),(20,5190193,'1992-06-01 00:00:00',4,4,12,2009,'M','N','CENTRO','ESTRELA','RS','120241201216471431359913571122610137047',1043,'9998',81.04,1,3,NULL),(20,5190207,'1990-09-15 00:00:00',2,3,12,2008,'F','N','REBOUCAS','CURITIBA','PR','116112161215471331287812572125610123022',6734,'9998',62.61,1,3,NULL),(20,5190215,'1991-11-18 00:00:00',2,1,12,2008,'M','N','SERRARIA','S JOSÉ','SC','124244241212112431468513572144221422037',1310,'868',79.70,4,1,2),(20,5190223,'1991-03-27 00:00:00',4,1,12,2008,'M','N','TRINTA RÉIS','NOVA TRENTO','SC','124241241132272431226624375124610137052',5570,'574',64.94,1,2,1),(20,5190231,'1992-03-05 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241215122411348716571122610127052',3071,'270',73.08,1,3,NULL),(20,5190240,'1989-05-11 00:00:00',4,1,12,2006,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241317474751656662475124230562182',13050,'737',52.26,1,3,NULL),(20,5190258,'1990-10-22 00:00:00',2,1,12,2008,'F','N','CENTRO','IMBITUBA','SC','124242241216375431466612275124610127042',9367,'362',58.47,1,3,NULL),(20,5190266,'1991-06-12 00:00:00',4,1,12,2008,'F','N','JARDIM SANTA CRUZ','MOGI MIRIM','SP','125252251217471731469831575125610162187',NULL,'9998',42.99,1,3,NULL),(20,5190274,'1990-03-23 00:00:00',4,1,12,2007,'F','N','PIRITUBA','S PAULO','SP','125252251217572431438814572124610147147',909,'9998',81.84,1,3,NULL),(20,5190282,'1992-11-13 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241315131411588923575124610125185',10996,'267',52.24,1,3,NULL),(20,5190312,'1991-11-27 00:00:00',1,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241112151431523436572212610138187',NULL,'812',21.27,1,2,1),(20,5190320,'1982-03-27 00:00:00',1,1,12,1999,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216474431237473245122432467187',NULL,'457',0.00,1,3,NULL),(20,5190339,'1989-01-08 00:00:00',4,7,12,2006,'M','N','CENTRO','CONCÓRDIA','SC','124241242115271431443356262122610117042',NULL,'196',24.18,1,3,NULL),(20,5190347,'1991-04-12 00:00:00',4,1,12,2008,'M','N','JARDIM INDEPENDÊNCIA','CAMPINAS','SP','125254256117471421558831385124610127043',2814,'9998',72.32,4,3,NULL),(20,5190355,'1993-02-14 00:00:00',4,1,12,2008,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124122121215111731379813592124610165057',NULL,'9998',29.79,1,3,NULL),(20,5190371,'1992-07-26 00:00:00',4,8,12,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241217111431458832575112610164012',13509,'457',51.35,1,3,NULL),(20,5190380,'1992-01-13 00:00:00',4,3,12,2009,'F','N','JARDIM BRASILIA','PTO UNIÃO','SC','124241241127141431113344245324610137057',NULL,'130',29.20,1,2,1),(20,5190398,'1986-03-17 00:00:00',2,8,8,2005,'M','N','VILA CUBATÃO','JOINVILLE','SC','124241241135161431523334142223610167187',NULL,'483',28.27,1,2,1),(20,5190401,'1989-07-05 00:00:00',4,1,12,2006,'M','N','CENTRO','S VICENTE','SP','125252251117571411658839571225610128093',3506,'9998',72.13,1,3,NULL),(20,5190428,'1993-03-04 00:00:00',2,15,12,2009,'F','N','MATO ALTO','ARARANGUÁ','SC','124241241115271431434712572122610167187',NULL,'30',22.47,1,2,1),(20,5190436,'1990-03-04 00:00:00',4,1,12,2006,'F','N','CENTRO','TURVO','SC','124242241212573411548911572121610126092',2865,'32',73.93,1,3,NULL),(20,5190452,'1992-09-04 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215113731469939375122610144047',4291,'883',69.07,1,3,NULL),(20,5190460,'1992-06-28 00:00:00',4,5,11,2009,'M','N','CENTRO','TURVO','SC','124241241115472731448316574122610147182',14271,'814',49.79,1,2,1),(20,5190479,'1988-08-16 00:00:00',2,1,12,2006,'M','N','VILA BANDEIRANTES','S JOSÉ CAMPOS','SP','125251257237371441444624415121141447012',NULL,'9998',19.85,1,3,NULL),(20,5190487,'1990-03-09 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124251241116473431326324443124610167142',16143,'257',40.58,1,3,NULL),(20,5190495,'1992-01-22 00:00:00',4,1,11,2009,'M','N','CENTRO','PAULO LOPES','SC','124243241215112431448632575114610168192',3330,'1011',71.41,1,3,NULL),(20,5190509,'1984-11-24 00:00:00',4,1,12,2001,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124253241113372421438913345123320331015',4073,'271',70.66,1,3,NULL),(20,5190517,'1990-05-20 00:00:00',2,1,12,2007,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124241241115272431435511342114610114042',9763,'307',56.93,1,2,1),(20,5190525,'1991-03-19 00:00:00',4,1,12,2008,'F','N','CENTRO','NOVA PRATA','RS','120203201316371431326521472122610163147',NULL,'9998',29.69,1,3,NULL),(20,5190533,'1992-09-25 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215152431368613572122610122077',1592,'273',78.32,1,3,NULL),(20,5190541,'1991-04-05 00:00:00',4,1,11,2008,'F','N','NSA SRA APARECIDA','FRANCISCO BELTRÃO','PR','116164161217474211336611574124231968192',6514,'9998',63.08,1,3,NULL),(20,5190550,'1991-10-22 00:00:00',2,1,12,2008,'F','N','SANTA LÚCIA','MARAU','RS','120201201126471751223329295124610164072',NULL,'9998',21.32,1,2,1),(20,5190568,'1991-11-09 00:00:00',2,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124203241312371431313724393124610124092',NULL,'732',23.44,4,3,NULL),(20,5190576,'1989-05-28 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215574431438733592124233261171',4521,'1022',68.72,1,3,NULL),(20,5190584,'1992-06-25 00:00:00',4,1,11,2009,'M','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124242241215112431478811395122610137052',3956,'270',70.44,1,3,NULL),(20,5190592,'1993-03-04 00:00:00',4,8,12,2010,'F','S','FLORESTA','JOINVILLE','SC','124244241213151431268923573122610124196',NULL,'459',24.42,4,3,NULL),(20,5190606,'1993-05-28 00:00:00',2,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124243241147161432333312296122611744191',NULL,'971',20.69,1,3,NULL),(20,5190614,'1994-07-06 00:00:00',4,2,12,2010,'M','S','CENTRO','INDAIAL','SC','124242241217111752411111115114610147146',NULL,'909',68.88,1,3,NULL),(20,5190622,'1994-09-21 00:00:00',4,1,11,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241215111431335712575124610162172',15020,'1022',47.80,1,3,NULL),(20,5190630,'1992-05-03 00:00:00',2,3,12,2009,'F','N','ZONA UM','MARINGÁ','PR','116162161216121431439931575114610164157',NULL,'9998',0.00,1,3,NULL),(20,5190649,'1992-10-18 00:00:00',4,1,12,2009,'M','N','IMPERIAL','CONCÓRDIA','SC','124242241217121431369933575124610127057',NULL,'1047',24.25,1,3,NULL),(20,5190657,'1993-04-22 00:00:00',4,1,12,2010,'F','S','ENSEADA DE BRITO','PALHOÇA','SC','124244241215111432328623575124610124037',NULL,'1118',25.96,1,3,NULL),(20,5190665,'1992-10-13 00:00:00',4,7,12,2010,'F','S','CENTRO','JOAÇABA','SC','124242241215151432458812574122610121147',NULL,'962',48.13,1,3,NULL),(20,5190673,'1993-03-11 00:00:00',2,1,11,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124112241215111731379933572122610122142',NULL,'262',38.47,1,3,NULL),(20,5190681,'1990-10-02 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124162161237471431649931385124610127182',NULL,'9998',0.00,1,3,NULL),(20,5190690,'1989-10-17 00:00:00',4,1,12,2007,'F','N','VILA BUTANTÃ','S PAULO','SP','125252251217571431439511475124610111077',NULL,'9998',0.00,3,3,NULL),(20,5190703,'1992-12-12 00:00:00',4,3,12,2010,'F','S','JARDIM MALUCHE','BRUSQUE','SC','124242243215111431469912576122610164142',NULL,'109',22.65,1,3,NULL),(20,5190711,'1990-03-20 00:00:00',4,6,12,2007,'F','N','SÃO JOÃO','ITAJAÍ','SC','124241241417131531446514345124132812147',NULL,'1056',0.00,1,3,NULL),(20,5190738,'1993-01-07 00:00:00',4,2,12,2010,'F','S','TESTO CENTRAL ALTO','POMERODE','SC','124241241215111431224324144121610136072',NULL,'624',49.47,1,3,NULL),(20,5190746,'1992-05-17 00:00:00',4,8,12,2009,'M','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124242241215111751536832572122610167142',6806,'1174',62.29,1,3,NULL),(20,5190754,'1990-09-20 00:00:00',4,4,11,2007,'F','N','CENTRO','XANXERÊ','SC','124244241215572431437915275124610134141',2239,'1159',74.96,1,3,NULL),(20,5190762,'1988-01-18 00:00:00',2,1,12,2005,'M','N','BARREIROS','S JOSÉ','SC','124241241121372421536734291124610127052',NULL,'734',24.95,1,2,1),(20,5190800,'1991-04-22 00:00:00',4,8,11,2008,'F','N','CENTRO','CURITIBA','PR','116252251215572431668832274125610167077',4343,'9998',68.60,3,3,NULL),(20,5190819,'1992-04-29 00:00:00',4,8,12,2009,'M','N','NOVA BRASILIA','JOINVILLE','SC','124242241215111431489932395112610137142',3216,'1063',71.88,1,3,NULL),(20,5190827,'1990-06-05 00:00:00',2,1,12,2007,'F','N','SÃO LUIS','SAPIRANGA','RS','120243241115171431323623435324132144187',NULL,'712',30.53,3,3,NULL),(20,5190835,'1992-12-08 00:00:00',4,1,10,2009,'M','N','BATEL','CURITIBA','PR','116162161215111411569714575114610167187',4837,'9998',65.75,1,3,NULL),(20,5190851,'1991-02-15 00:00:00',4,8,12,2008,'F','N','AMÉRICA','JOINVILLE','SC','124244243215471431567812575122610167072',6824,'1105',63.25,1,3,NULL),(20,5190878,'1991-07-31 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216473431376622575124230262142',1036,'1046',81.10,1,3,NULL),(20,5190894,'1990-07-30 00:00:00',4,1,12,2007,'F','N','JARDIM ESPERANÇA','REGISTRO','SP','125251251216371751428839575122610132126',NULL,'9998',19.83,1,3,NULL),(20,5190916,'1987-02-11 00:00:00',4,1,4,2005,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124201201131151431226933345124241064182',14225,'9998',49.88,1,2,1),(20,5190932,'1990-12-24 00:00:00',4,4,11,2008,'M','N','CENTRO','IJUÍ','RS','120202201216471431345624575124610127047',3789,'9998',70.29,1,3,NULL),(20,5190940,'1990-12-29 00:00:00',4,8,12,2008,'M','N','FLORESTA','JOINVILLE','SC','124133241112371431223314345124610164047',NULL,'472',27.46,4,3,NULL),(20,5190959,'1991-01-29 00:00:00',4,5,12,2008,'M','N','MARECHAL FLORIANO','CAXIAS SUL','RS','120202201216571441269914595122610126182',169,'9998',88.62,1,3,NULL),(20,5190967,'1989-09-22 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241217444731538811571124230265117',15952,'1022',44.39,1,3,NULL),(20,5190975,'1990-12-11 00:00:00',2,4,12,2008,'M','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124244246216372432535924345125610167042',NULL,'1094',0.00,1,3,NULL),(20,5190983,'1991-11-25 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115372431436612345114610124147',12583,'288',51.49,1,2,1),(20,5190991,'1991-10-24 00:00:00',2,3,12,2008,'F','N','ZONA SETE','CIANORTE','PR','116161161116271431425931575124610162097',NULL,'9998',30.20,1,2,1),(20,5191009,'1992-09-15 00:00:00',4,8,12,2009,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241125141611437613145121610163142',NULL,'430',0.00,1,2,1),(20,5191025,'1992-07-10 00:00:00',4,9,11,2009,'M','N','VILA NOVA','LAGES','SC','124244241217272431658921575122610137062',7085,'497',61.91,1,3,NULL),(20,5191033,'1992-12-22 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124243241317141431446874345124610127182',13042,'1075',48.77,1,3,NULL),(20,5191041,'1991-01-21 00:00:00',2,5,12,2009,'M','N','UNIÃO','COCAL SUL','SC','124241242111131421437634275124610137052',9727,'690',55.82,1,2,1),(20,5191076,'1987-07-12 00:00:00',2,3,12,2006,'F','N','PRAÇA','TIJUCAS','SC','124241241126131721543519242113610134147',NULL,'783',11.46,4,2,1),(20,5191084,'1987-09-01 00:00:00',2,1,12,2004,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241212134431377933472114120867043',NULL,'737',0.00,1,3,NULL),(20,5191092,'1990-04-09 00:00:00',2,1,12,2007,'F','N','VILA NOVA','PEREIRA BARRETO','SP','125251251216571421328811592124610164146',NULL,'9998',0.00,3,3,NULL),(20,5191106,'1992-05-05 00:00:00',2,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111411488814575124610133142',15481,'1050',45.30,1,3,NULL),(20,5191114,'1992-07-31 00:00:00',2,1,11,2009,'F','N','CENTRO','S JOSÉ','SC','124241241215113731479833572114610162057',1716,'1022',76.68,4,3,NULL),(20,5191149,'1992-05-09 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241215113431453611574114610168195',5359,'270',65.86,1,3,NULL),(20,5191157,'1989-10-27 00:00:00',2,6,11,2006,'F','N','VILA TARUMÃ','PINHAIS','PR','116162161215571711447534575122610164047',635,'9998',82.70,1,3,NULL),(20,5191165,'1990-09-27 00:00:00',4,1,11,2008,'F','N','SANTA CATARINA','AMERICANA','SP','125252251215471431458811471115610132012',1111,'9998',79.65,1,3,NULL),(20,5191173,'1992-09-10 00:00:00',4,1,11,2009,'F','N','ESTREIO','FLORIANÓPOLIS','SC','124242241215422431368613375112610164192',10802,'270',55.56,1,3,NULL),(20,5191181,'1993-01-04 00:00:00',4,5,11,2009,'M','N','SAO RAFAEL','IÇARA','SC','124241248115161431424435252114610144067',NULL,'1005',25.86,1,2,1),(20,5191190,'1966-01-14 00:00:00',4,1,12,1983,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241246316155441363343331142321066195',8920,'306',60.12,1,3,NULL),(20,5191203,'1992-06-22 00:00:00',4,4,12,2009,'M','N','MARIA GORETTI','CHAPECÓ','SC','124242241215112431439619572122610137052',8238,'185',58.40,1,3,NULL),(20,5191211,'1992-11-23 00:00:00',2,1,12,2009,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241112471731325524382324610126197',NULL,'727',29.99,1,2,1),(20,5191220,'1990-01-04 00:00:00',4,8,11,2007,'F','N','CENTRO CÍVICO','CURITIBA','PR','116242241215571431149712475124610147142',2416,'457',73.71,1,3,NULL),(20,5191238,'1992-07-28 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124242246217141331258933345124610124041',6626,'1094',61.92,1,3,NULL),(20,5191246,'1994-04-21 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241211111431479811471125610138175',NULL,'270',35.58,1,3,NULL),(20,5191254,'1990-08-30 00:00:00',4,3,12,2007,'F','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162161216575431457811575115610124187',14417,'9998',49.43,1,3,NULL),(20,5191262,'1990-05-08 00:00:00',2,7,12,2007,'M','N','CENTRO','ASSIS CHATEAUBRIAND','PR','116163161415512431455632571121610117067',5886,'9998',65.39,1,3,NULL),(20,5191270,'1992-10-07 00:00:00',4,1,12,2009,'M','N','CENTRO','LEOBERTO LEAL','SC','124241241122151531334336572221610147052',NULL,'533',31.42,1,2,1),(20,5191297,'1989-03-02 00:00:00',2,1,12,2008,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241121132311223623242124610125182',NULL,'12',25.94,1,2,1),(20,5191319,'1991-05-31 00:00:00',2,10,12,2007,'M','N','ARROIO','IMBITUBA','SC','124241241116131431434913382114610117047',NULL,'359',16.68,1,2,1),(20,5191327,'1986-09-04 00:00:00',4,1,12,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124182181216271731478671475122141062092',1070,'9998',80.89,1,3,NULL),(20,5191335,'1984-02-17 00:00:00',4,1,12,2001,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','224241241124272711224344241244610144097',15426,'307',46.54,1,2,1),(20,5191343,'1990-01-21 00:00:00',4,1,12,2007,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251216572431548911575122610167057',NULL,'9998',0.00,1,3,NULL),(20,5191360,'1991-08-14 00:00:00',4,1,12,2009,'M','N','MIRANDÓPOLIS','S PAULO','SP','125252251217471431467819272122610137047',1810,'9998',76.36,1,3,NULL),(20,5191378,'1989-03-01 00:00:00',4,3,11,2006,'M','N','CENTRO','BAL CAMBORIÚ','SC','113242241217524421445512275124142462037',11734,'1038',54.87,1,3,NULL),(20,5191386,'1992-05-20 00:00:00',2,3,12,2008,'F','N','BOMBAS','BOMBINHAS','SC','124243248116473431538713572122610163142',NULL,'1089',29.88,1,3,NULL),(20,5191394,'1991-08-01 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241116152431436731572124230548097',NULL,'307',21.88,1,2,1),(20,5191408,'1992-04-05 00:00:00',5,7,12,2009,'F','N','CENTRO','ARROIO TRINTA','SC','124241241146161331323334245125610133057',NULL,'853',24.40,1,2,1),(20,5191416,'1991-07-03 00:00:00',4,1,10,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473431489811574124230264112',4223,'270',70.26,1,3,NULL),(20,5191432,'1992-08-25 00:00:00',4,1,12,2009,'F','N','SANTOS DUMONT','S JOSÉ','SC','124241241127131412656613582124610164142',13219,'736',48.99,1,2,1),(20,5191440,'1991-06-07 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','125254251217112431348814572122610132055',NULL,'9998',0.00,1,3,NULL),(20,5191459,'1988-10-17 00:00:00',4,1,12,2006,'M','N','ASA SUL','BRASÍLIA','DF','107072071216572411278924571122140222047',NULL,'9998',0.00,1,3,NULL),(20,5191467,'1989-04-19 00:00:00',2,6,12,2006,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241216474431538713575122231424197',7974,'1026',61.88,1,3,NULL),(20,5191475,'1989-06-19 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217374431578613495122230222077',NULL,'273',0.00,1,3,NULL),(20,5191483,'1991-11-21 00:00:00',2,1,11,2008,'F','N','CENTRO','S JOSÉ PINHAIS','PR','124244241216471431359833572112610164117',NULL,'1073',0.00,1,3,NULL),(20,5191491,'1985-01-08 00:00:00',2,6,12,2001,'F','N','FAZENDA','ITAJAÍ','SC','124241241145372421323611295124331367187',NULL,'532',0.00,1,2,1),(20,5191505,'1991-10-01 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473711468831572124610138142',273,'270',86.94,1,3,NULL),(20,5191513,'1991-08-02 00:00:00',4,1,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215472431459614572124610128192',9328,'1038',56.89,1,3,NULL),(20,5191521,'1989-11-23 00:00:00',4,1,12,2007,'M','N','TAQUARAL','CAMPINAS','SP','125252251217421431473612575112610127042',NULL,'9998',0.00,1,3,NULL),(20,5191530,'1990-06-13 00:00:00',4,8,11,2007,'M','N','CENTRO','BARRA VELHA','SC','124242241215472431468313475125610164182',NULL,'459',0.00,4,3,NULL),(20,5191556,'1989-09-03 00:00:00',2,8,12,2007,'M','N','AMERICA','JOINVILLE','SC','124052051336131451413823591121231356047',14215,'9998',45.78,2,3,NULL),(20,5191564,'1988-09-12 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216575451449919575124231022182',985,'422',81.41,1,3,NULL),(20,5191580,'1988-11-19 00:00:00',2,8,12,2006,'M','N','BATEL','CURITIBA','PR','116252251215571431457823575124610124142',1467,'9998',78.03,1,3,NULL),(20,5191602,'1992-02-07 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111442559829592124610117055',13588,'1169',48.86,1,3,NULL),(20,5191610,'1992-04-28 00:00:00',4,1,11,2009,'M','N','RATONES','FLORIANÓPOLIS','SC','124241241114271431356613382124610127042',NULL,'307',26.23,1,2,1),(20,5191629,'1989-11-04 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116232432116444342124610124117',NULL,'359',0.00,1,2,1),(20,5191645,'1993-07-19 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431227621272124610163191',15644,'1022',43.20,1,3,NULL),(20,5191653,'1989-10-20 00:00:00',4,1,12,2007,'M','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125252251217371431457819575113610162042',10389,'9998',53.86,1,3,NULL),(20,5191661,'1988-05-09 00:00:00',4,1,12,2004,'M','N','CAMPINAS','S JOSÉ','SC','124243241215575421379911575114221464045',3811,'723',71.34,1,3,NULL),(20,5191688,'1992-07-18 00:00:00',4,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124253241215212431449614575122610126147',7743,'1172',61.10,4,3,NULL),(20,5191696,'1986-11-01 00:00:00',2,1,12,2004,'F','N','VILA MAZZEI','S PAULO','SP','125251251116571741547619345124610164012',10280,'9998',54.79,1,2,1),(20,5191700,'1992-12-14 00:00:00',4,1,12,2009,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241115131412323311575124610162147',NULL,'591',19.44,1,2,1),(20,5191726,'1992-08-28 00:00:00',4,1,12,2009,'F','N','SÃO FRANCISCO','CURITIBA','PR','116162161216111331578912575122610143142',5633,'9998',65.10,1,3,NULL),(20,5191742,'1991-07-12 00:00:00',4,1,12,2008,'F','N','VILA MARIA','BOTUCATU','SP','125252251215471431448834531122640122077',6432,'9998',61.53,1,3,NULL),(20,5191750,'1989-02-23 00:00:00',2,1,12,2006,'F','N','CENTRO','STA MARIA','RS','120201205216471431433332591124610136147',5025,'9998',67.09,1,3,NULL),(20,5191769,'1990-10-03 00:00:00',4,3,12,2007,'M','N','CENTRO','ARAPONGAS','PR','116164161216571411368836575122610164067',4791,'9998',67.78,3,3,NULL),(20,5191777,'1984-01-26 00:00:00',2,1,12,2001,'F','N','CACH DO BOM JESUS','FLORIANÓPOLIS','SC','224251251326151431346653172112142763097',NULL,'9998',19.56,1,3,NULL),(20,5191793,'1985-04-23 00:00:00',4,1,12,2003,'F','N','ZONA UM','MARINGÁ','PR','116162161216472421448632495122343262072',10226,'9998',54.45,4,3,NULL),(20,5191823,'1992-05-25 00:00:00',2,1,12,2009,'M','N','ARBORETO JEQUITIBÁS','CAMPINAS','SP','125252253217151511468811475122610132187',NULL,'9998',0.00,1,3,NULL),(20,5191831,'1987-07-15 00:00:00',4,1,12,2004,'M','N','JARDIM ANA EMILIA','TAUBATÉ','SP','125252253247573431447532312322140247046',8380,'9998',57.72,2,3,NULL),(20,5191840,'1980-04-24 00:00:00',3,1,12,1997,'M','N','VILA PARIS','BELO HORIZONTE','MG','113133131216574431466633475122321567182',NULL,'9998',0.00,1,3,NULL),(20,5191858,'1990-09-14 00:00:00',4,1,11,2007,'F','N','INTERLAGOS','S PAULO','SP','125252251217271711338813375124610135157',NULL,'9998',0.00,1,3,NULL),(20,5191866,'1979-03-30 00:00:00',2,1,12,1996,'M','N','CACH BOM JESUS','FLORIANÓPOLIS','SC','224251251116151411343343435122343066053',NULL,'9998',0.00,1,3,NULL),(20,5191874,'1990-09-23 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211473431157923571125223232192',5710,'1050',65.38,1,3,NULL),(20,5191882,'1991-04-21 00:00:00',2,1,12,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241117372231533314242214610132187',13816,'287',50.72,1,2,1),(20,5191890,'1982-12-24 00:00:00',4,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115475441454419192125331326147',3410,'583',72.35,1,2,1),(20,5191904,'1992-04-19 00:00:00',4,1,12,2009,'F','N','LINHA GELAIN','IOMERÊ','SC','124241248346131411426335191224610168142',7239,'1133',62.50,1,3,NULL),(20,5191912,'1988-10-25 00:00:00',2,1,12,2006,'F','N','AREIAS','S JOSÉ','SC','124242241212272721326623412334610126097',NULL,'976',0.00,4,3,NULL),(20,5191920,'1992-04-25 00:00:00',5,1,11,2009,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242161215472751458831595112610168192',485,'9998',84.43,1,3,NULL),(20,5191939,'1992-03-19 00:00:00',2,4,12,2008,'F','N','CENTRO','ERVAL GRANDE','RS','120201201116271731338429571114610147142',NULL,'9998',27.17,1,2,1),(20,5191947,'1983-02-13 00:00:00',2,1,12,2001,'F','N','VALIM DE MELLO','UBERABA','MG','113131131415571751525327571122610136177',741,'9998',82.80,4,3,NULL),(20,5191955,'1992-04-19 00:00:00',4,3,12,2009,'F','N','MUNICIPIOS','BAL CAMBORIÚ','SC','124241241215132731436413232133610113182',12153,'44',53.70,1,3,NULL),(20,5191971,'1991-08-23 00:00:00',4,2,12,2008,'F','N','ESTADOS','TIMBÓ','SC','124241241212112432438413232125121566197',3914,'1157',71.06,1,3,NULL),(20,5191980,'1991-12-09 00:00:00',2,10,12,2009,'F','N','CONGONHAS','TUBARÃO','SC','124242241215111431357912572122610133072',12017,'807',50.31,1,3,NULL),(20,5192005,'1993-11-19 00:00:00',4,1,12,2009,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215111332468812475122610128142',14061,'270',50.27,1,3,NULL),(20,5192013,'1991-04-07 00:00:00',4,1,11,2008,'M','N','RECANTO REGINA','BARRA BONITA','SP','125251251145471431436314375111610167042',NULL,'9998',0.00,1,2,1),(20,5192021,'1991-07-04 00:00:00',4,9,6,2009,'F','N','PIRATINI','SAPUCAIA SUL','RS','120202281217371411469832572112610167147',3599,'9998',70.73,1,3,NULL),(20,5192030,'1992-07-15 00:00:00',4,8,11,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241117111731466612175122610142071',NULL,'1006',0.00,1,3,NULL),(20,5192048,'1988-09-14 00:00:00',2,1,12,2006,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241112372411536329342234610145092',NULL,'591',24.73,1,2,1),(20,5192056,'1992-11-24 00:00:00',2,2,11,2009,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124244241211272431588812321124610167042',576,'87',83.97,1,3,NULL),(20,5192064,'1991-04-13 00:00:00',2,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241116572411447833582124610146092',10323,'840',56.19,1,2,1),(20,5192072,'1993-01-22 00:00:00',4,1,12,2010,'F','S','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215112431589939596122610128142',NULL,'270',47.94,1,3,NULL),(20,5192080,'1990-10-11 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215573411446933575124610143092',4593,'270',68.21,1,3,NULL),(20,5192099,'1993-08-10 00:00:00',4,1,12,2010,'F','S','CARVOEIRA','FLORIANÓPOLIS','SC','113134131217111731468719495122610135182',NULL,'9998',52.36,1,3,NULL),(20,5192110,'1992-03-27 00:00:00',4,8,11,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241215112711438814575125610137062',649,'1063',83.42,1,3,NULL),(20,5192129,'1992-04-20 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431356833572114610127045',7364,'270',61.19,1,3,NULL),(20,5192137,'1992-03-17 00:00:00',2,8,12,2009,'F','N','BARRA DO SAI','ITAPOÁ','SC','124241241215111731425534574124610126192',NULL,'456',54.27,1,3,NULL),(20,5192145,'1991-07-12 00:00:00',4,1,12,2008,'F','N','VILA GOMES','S PAULO','SP','125252251216431751548811412124610143117',NULL,'9998',0.00,1,3,NULL),(20,5192153,'1990-03-15 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217573431343627575122610137041',3505,'1169',72.13,1,3,NULL),(20,5192161,'1992-02-25 00:00:00',4,1,12,2009,'M','N','ASSUNÇÃO','S BERNARDO CAMPO','SP','125252251215111421348819595122610167057',8432,'9998',57.36,1,3,NULL),(20,5192170,'1992-11-04 00:00:00',4,8,11,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241216111431469813472122610138147',3897,'1063',71.09,1,3,NULL),(20,5192188,'1991-04-03 00:00:00',4,1,11,2008,'M','N','CENTRO','STA MARIA','RS','120124201411471431549913175124610164177',7720,'9998',59.78,1,3,NULL),(20,5192196,'1993-02-18 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215122431259823575114610132117',10970,'1022',53.78,1,3,NULL),(20,5192200,'1993-08-09 00:00:00',4,1,12,2010,'M','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216151431479914575122610117052',NULL,'273',29.98,1,3,NULL),(20,5192218,'1989-03-24 00:00:00',4,9,11,2006,'F','N','JARDIM CAIÇARA','S JOAQUIM','SC','124242241216574431546614272122233268187',2840,'1035',72.76,1,3,NULL),(20,5192226,'1991-06-20 00:00:00',3,1,12,2008,'F','N','SANTO ANTÔNIO','FLORIANÓPOLIS','SC','124242241216473431458852572122610147122',5067,'1169',67.42,1,3,NULL),(20,5192242,'1992-08-14 00:00:00',2,4,12,2009,'F','N','SÃO CRISTOVÃO','CHAPECÓ','SC','124241241116371731554314275124610163142',NULL,'169',30.83,1,2,1),(20,5192250,'1991-07-17 00:00:00',4,1,12,2008,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241215373431489612575114610164042',2554,'1169',74.16,1,3,NULL),(20,5192269,'1989-10-17 00:00:00',2,1,11,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215574431548612572122610167047',5338,'210',67.47,1,3,NULL),(20,5192285,'1975-03-05 00:00:00',4,1,6,1996,'M','N','BARREIROS','S JOSÉ','SC','524211281117131752428313446114610168197',NULL,'9998',24.04,1,3,NULL),(20,5192293,'1992-01-08 00:00:00',2,10,12,2009,'F','N','SERTÃO DA ESTIVA','LAGUNA','SC','124241241115111431513514285124610143142',NULL,'158',33.13,1,2,1),(20,5192315,'1992-07-01 00:00:00',4,1,12,2009,'M','N','ESTREITO','ALFREDO WAGNER','SC','124241241135161431433732345121610164177',10073,'13',55.29,1,2,1),(20,5192323,'1992-04-05 00:00:00',4,3,12,2009,'F','N','VILA PROGRESSO','DOURADOS','MS','112114121216111431248936175122610143187',NULL,'9998',0.00,1,3,NULL),(20,5192331,'1992-04-09 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241215131411536612175122610133142',NULL,'724',24.79,1,3,NULL),(20,5192340,'1990-06-27 00:00:00',2,4,12,2007,'M','N','PRESIDENTE MEDICI','CHAPECÓ','SC','124241242116271731223635345124610134097',NULL,'758',36.97,1,2,1),(20,5192358,'1981-12-01 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201207126141411126619345124610128092',NULL,'9998',0.00,1,2,1),(20,5192366,'1990-10-31 00:00:00',4,1,11,2007,'F','N','JARDIM FORTALEZA','VARGEM G SUL','SP','125252251216571411456614575122610126092',3209,'9998',70.38,1,3,NULL),(20,5192374,'1990-01-04 00:00:00',2,1,11,2007,'M','N','NOVA PETROPOLIS','S BERNARDO CAMPO','SP','125252251217512411458923571112610117117',9836,'9998',58.48,4,3,NULL),(20,5192390,'1961-08-28 00:00:00',4,1,12,1979,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124212211216151421129943435123340662112',NULL,'9998',0.00,1,3,NULL),(20,5192404,'1992-06-22 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241135133441457619371124610146182',11906,'307',53.24,1,2,1),(20,5192412,'1991-11-26 00:00:00',2,1,12,2008,'F','N','LOT SÃO MIGUEL','BIGUAÇU','SC','124251251116272431433933572114610124147',11323,'9998',53.27,1,2,1),(20,5192420,'1992-10-06 00:00:00',2,4,12,2009,'F','N','CENTRO','S MIGUEL OESTE','SC','124244241217151431348939585112610131017',NULL,'1079',0.00,1,3,NULL),(20,5192439,'1990-06-09 00:00:00',4,8,12,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124243246215473441468614445124610117061',6604,'1105',64.70,1,3,NULL),(20,5192447,'1990-04-15 00:00:00',2,1,12,2007,'F','N','NOVA BRASILIA','IMBITUBA','SC','124241241116371731633119595124610138152',16301,'359',40.35,1,2,1),(20,5192455,'1990-11-25 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S PAULO','SP','125172251215471431536814575124610167041',3287,'9998',72.65,4,3,NULL),(20,5192471,'1990-08-17 00:00:00',4,1,11,2008,'F','N','CENTRO','ALBERTINA','MG','113253251215471411587916575122610144172',13245,'9998',48.08,1,3,NULL),(20,5192480,'1986-10-05 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124162161214474421466619575122221937147',4988,'9998',67.33,1,3,NULL),(20,5192501,'1992-08-29 00:00:00',4,1,12,2009,'M','N','CENTRO','STA HELENA','PR','116162161215111221368821575121610114012',274,'9998',86.91,1,3,NULL),(20,5192528,'1992-07-31 00:00:00',4,15,11,2009,'F','N','COLONINHA','ARARANGUÁ','SC','124244241415111431556921575122610138197',NULL,'880',22.40,1,3,NULL),(20,5192536,'1991-11-11 00:00:00',4,4,12,2008,'F','N','VILA CARAÍBA','SEARA','SC','124241246116131711424336345124610127147',NULL,'196',9.42,1,2,1),(20,5192544,'1992-03-11 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241115151431535733385124610127012',6653,'307',62.73,1,2,1),(20,5192552,'1991-06-18 00:00:00',4,1,8,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224242247216112731247652595122232812051',NULL,'270',12.73,1,3,NULL),(20,5192579,'1992-02-10 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201241116151431326461575124610122192',10111,'307',54.73,4,2,1),(20,5192595,'1989-08-20 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124242241212574731439612592124230823072',NULL,'737',25.14,3,3,NULL),(20,5192609,'1991-04-12 00:00:00',2,1,7,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201247322131431128727342124610167092',NULL,'977',15.80,1,3,NULL),(20,5192617,'1991-09-29 00:00:00',4,2,11,2009,'M','N','SETE DE SETEMBRO','GASPAR','SC','124242241216111731489939595124610166012',6449,'88',63.67,1,3,NULL),(20,5192625,'1992-07-29 00:00:00',4,1,12,2009,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241122111431426639575114610167111',NULL,'291',17.55,1,2,1),(20,5192633,'1992-02-06 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241112473431347821572114610114172',5205,'307',66.27,4,3,NULL),(20,5192641,'1991-08-16 00:00:00',2,1,12,2008,'M','N','CENTRO','IMBITUBA','SC','124241241116472731447914595125610167117',15628,'1034',41.78,1,2,1),(20,5192668,'1991-02-07 00:00:00',4,1,12,2008,'M','N','COLONIA SANTANA','S JOSÉ','SC','124241242116372431423319275124610127045',12066,'662',51.45,1,2,1),(20,5192676,'1992-07-09 00:00:00',2,17,12,2009,'F','N','ALTO DE MAFRA','MAFRA','SC','124241241117151431333311572225610166187',NULL,'542',40.56,1,2,1),(20,5192684,'1980-12-23 00:00:00',2,1,12,1998,'F','N','PASSA VINTE','PALHOÇA','SC','124243241116273411255543232132320862192',7300,'307',63.24,1,3,NULL),(20,5192692,'1991-06-02 00:00:00',4,7,12,2008,'F','N','SANTO ANTÔNIO','HERVAL D OESTE','SC','124241241116471741436619445124231066122',NULL,'341',0.00,1,2,1),(20,5192706,'1993-02-24 00:00:00',2,9,12,2009,'F','N','DUQUE DE CAXIAS','S LUIZ GONZAGA','RS','120201202117131431548933571125610167052',NULL,'9998',NULL,1,2,1),(20,5192714,'1983-03-14 00:00:00',4,1,6,2003,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241136143431236643335224610137115',NULL,'307',27.96,2,1,1),(20,5192722,'1991-02-04 00:00:00',4,1,12,2008,'M','N','VILA ANDRADE','S PAULO','SP','125254251211471741579934571112610114017',NULL,'9998',0.00,1,3,NULL),(20,5192730,'1958-02-20 00:00:00',5,1,2,1978,'F','N','BARREIROS','S JOSÉ','SC','324251251434374411133349292124221668182',9121,'9998',59.73,1,3,NULL),(20,5192749,'1987-05-14 00:00:00',4,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242246217372441148611375124221464192',3584,'1105',71.94,1,3,NULL),(20,5192781,'1974-07-23 00:00:00',4,1,12,1992,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241243126143751123344345124120364147',13996,'387',50.40,1,3,NULL),(20,5192790,'1992-03-21 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241137141731423324242224610127142',NULL,'296',24.98,1,2,1),(20,5192803,'1982-05-05 00:00:00',2,1,12,1999,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241117375431346774445124520827087',7832,'307',59.38,1,3,NULL),(20,5192811,'1992-02-24 00:00:00',4,1,12,2009,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242241215111431489814575122610167012',NULL,'270',28.10,1,3,NULL),(20,5192820,'1992-02-21 00:00:00',4,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215271431256923375124610133147',8212,'723',60.14,1,3,NULL),(20,5192838,'1989-03-12 00:00:00',2,1,12,2006,'F','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124241241116371731523514145135610117142',NULL,'734',19.91,1,2,1),(20,5192846,'1991-03-06 00:00:00',4,8,12,2008,'F','N','CENTRO','LIMEIRA','SP','125252251212471731358832575115610164147',10011,'9998',55.32,1,3,NULL),(20,5192854,'1989-10-12 00:00:00',4,1,11,2007,'M','N','JARDIM DA SAÚDE','S PAULO','SP','125252251217573431558831375125610134117',NULL,'9998',0.00,1,3,NULL),(20,5192862,'1982-04-23 00:00:00',4,1,12,1999,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124246248636134751425541215124231048187',NULL,'266',28.23,1,3,NULL),(20,5192870,'1991-11-24 00:00:00',4,1,12,2009,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215271131356611575124610117115',10877,'299',56.53,1,3,NULL),(20,5192897,'1988-07-25 00:00:00',4,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215473431446711485114230222052',2943,'1011',72.27,1,3,NULL),(20,5192900,'1992-11-29 00:00:00',4,1,11,2010,'F','S','PANTANAL','FLORIANÓPOLIS','SC','124242241215111731358839332122610167145',NULL,'1022',23.33,1,3,NULL),(20,5192919,'1992-07-30 00:00:00',2,4,12,2009,'F','N','TECNORTE','ARAGUAÍNA','TO','127272271217371431433712272123610128097',11408,'9998',51.44,1,3,NULL),(20,5192927,'1988-04-27 00:00:00',2,1,10,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241247341331431226344345234610167042',NULL,'9999',29.54,4,3,NULL),(20,5192943,'1990-08-11 00:00:00',4,1,11,2007,'F','N','UBERABA','CURITIBA','PR','116162161237141711648832425124241461012',NULL,'9998',29.27,1,3,NULL),(20,5192951,'1991-04-27 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124163161215271431336336382324610164187',NULL,'9998',27.61,1,3,NULL),(20,5192978,'1981-02-28 00:00:00',4,1,12,1998,'M','N','JARDIM ACAPULCO','MARÍLIA','SP','125252251217471431556614482122142232127',NULL,'9998',0.00,1,3,NULL),(20,5192986,'1991-05-01 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241236372431237824445122610125147',6943,'486',62.76,1,3,NULL),(20,5193052,'1987-05-26 00:00:00',4,1,12,2005,'M','N','ROÇADO','S JOSÉ','SC','124241241111133711129344245124610167117',NULL,'468',0.00,1,3,NULL),(20,5193060,'1989-08-03 00:00:00',4,1,12,2006,'M','N','CENTRO','JARAGUÁ SUL','SC','124242161212312511478811575122233222045',NULL,'9998',0.00,1,3,NULL),(20,5193079,'1988-12-27 00:00:00',4,8,12,2006,'F','N','FLORESTA','JOINVILLE','SC','124242161215574411449612575125230222042',266,'9998',87.00,1,3,NULL),(20,5193087,'1992-04-12 00:00:00',4,1,12,2009,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251217121431589814446122610163117',1059,'9998',80.75,1,3,NULL),(20,5193095,'1985-11-05 00:00:00',2,1,12,2005,'F','N','ARMAÇÃO PÂNTANO SUL','FLORIANÓPOLIS','SC','124241241111274411448311245124222218147',NULL,'307',28.58,1,2,1),(20,5193109,'1991-05-08 00:00:00',1,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116132431443636395221220737047',NULL,'812',27.43,1,2,1),(20,5193125,'1986-07-08 00:00:00',4,8,12,2003,'M','N','ANO BOM','CORUPÁ','SC','124241241116271421423335435123132168147',NULL,'203',0.00,1,2,1),(20,5193133,'1990-01-22 00:00:00',2,8,12,2007,'F','N','ARARIPE','PARANAVAÍ','PR','116163161216571431456934575122610134147',3884,'9998',70.20,1,3,NULL),(20,5193141,'1993-12-24 00:00:00',4,2,12,2010,'F','S','DAS CAPITAIS','TIMBÓ','SC','124241241215111731568611575121610115142',NULL,'1157',49.03,1,3,NULL),(20,5193150,'1990-11-23 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241215573431456619572124610167117',6509,'1022',64.01,1,3,NULL),(20,5193168,'1992-06-29 00:00:00',2,4,11,2009,'F','N','SÃO FRANCISCO','STO AUGUSTO','RS','120202201214121431458913275125610163097',NULL,'9998',0.00,1,3,NULL),(20,5193176,'1991-05-29 00:00:00',4,2,12,2008,'F','N','DIONISIO TORRES','FORTALEZA','CE','106062061216471431378714572112610163147',NULL,'9998',0.00,4,3,NULL),(20,5193184,'1992-08-21 00:00:00',4,7,12,2009,'M','N','VILA ALEMANHA','LUZERNA','SC','124241241111131311358623385122610117077',NULL,'539',0.00,1,2,1),(20,5193192,'1992-11-26 00:00:00',4,8,12,2009,'M','N','CAPÃO RASO','CURITIBA','PR','116162161215471441446631571224610127047',8407,'9998',61.12,1,3,NULL),(20,5193206,'1991-03-21 00:00:00',4,5,11,2008,'M','N','CENTRO','ERECHIM','RS','120202201226471411468911411122610162047',192,'9998',88.09,1,3,NULL),(20,5193214,'1992-01-12 00:00:00',2,5,12,2009,'M','N','CIDADE MINEIRA NOVA','CRICIÚMA','SC','124162246215121431448613575224610137047',14778,'995',44.50,1,3,NULL),(20,5193222,'1987-01-17 00:00:00',4,4,12,2004,'M','N','CENTRO','CASCAVEL','PR','116166168631162152389979595122610168187',NULL,'9998',0.00,1,3,NULL),(20,5193230,'1989-07-17 00:00:00',4,1,12,2006,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241112142421423611345234610112017',14776,'978',48.53,1,3,NULL),(20,5193249,'1992-10-08 00:00:00',4,3,12,2009,'F','N','CENTRO','MAMBORÊ','PR','116162161216111411456615375122610132092',7575,'9998',60.89,1,3,NULL),(20,5193265,'1991-11-24 00:00:00',4,9,12,2009,'F','N','SANTA RITA','LAGES','SC','124241241315111431426439575122610124182',NULL,'1028',28.76,1,3,NULL),(20,5193281,'1992-04-03 00:00:00',2,3,11,2009,'F','N','TRISTEZA','PTO ALEGRE','RS','120202201211371431338614571124610137137',NULL,'9998',0.00,1,3,NULL),(20,5193290,'1989-03-24 00:00:00',4,1,11,2006,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243241216574431479931595124222463192',108,'457',89.91,4,3,NULL),(20,5193303,'1992-03-21 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124242241215141412578412495122610137012',NULL,'87',0.00,2,3,NULL),(20,5193311,'1992-08-06 00:00:00',2,1,12,2009,'F','N','BANDEIRANTES','LUCAS R VERDE','MT','111111111146141411223329245123610124097',NULL,'9998',21.62,1,3,NULL),(20,5193320,'1992-06-15 00:00:00',4,5,11,2009,'F','N','CENTRO','ERECHIM','RS','120202201211112411468911411122610163147',2847,'9998',72.84,1,3,NULL),(20,5193338,'1994-02-17 00:00:00',4,1,11,2010,'F','S','RECREIO DAS ACÁCIAS','RIBEIRÃO PRETO','SP','125252251216111731469814585112610165192',NULL,'9998',57.19,4,3,NULL),(20,5193354,'1992-03-20 00:00:00',2,3,11,2009,'F','N','SÃO JOÃO','ITAJAÍ','SC','124161248115111731327634572124610124147',NULL,'129',42.01,4,3,NULL),(20,5193362,'1992-09-10 00:00:00',4,8,11,2009,'M','N','SAGUAÇU','JOINVILLE','SC','124242241217272441358814445124610136192',2432,'457',73.55,1,3,NULL),(20,5193370,'1993-08-28 00:00:00',2,1,12,2010,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241216171431478833575124610133187',NULL,'270',56.53,1,3,NULL),(20,5193389,'1988-07-10 00:00:00',2,1,12,2006,'M','N','BARRA CLARA','ANGELINA','SC','124241241122142231436611415122133237047',NULL,'1160',0.00,1,2,1),(20,5193397,'1991-01-18 00:00:00',4,1,7,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241332131431656663315124133214062',NULL,'9999',25.44,2,3,NULL),(20,5193400,'1992-06-11 00:00:00',2,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215271431458934572122610167042',10333,'723',55.15,1,3,NULL),(20,5193427,'1992-12-23 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243247422131431423318286214610167147',NULL,'9999',23.81,1,3,NULL),(20,5193435,'1988-03-20 00:00:00',4,9,12,2005,'M','N','CENTRO','LAGES','SC','124242241214574131549834575124232457092',2279,'499',75.90,1,3,NULL),(20,5193443,'1992-02-15 00:00:00',4,8,12,2009,'F','N','PETRÓPOLIS','JOINVILLE','SC','124243241137471751436621595124610138051',11544,'472',55.23,1,3,NULL),(20,5193451,'1992-07-10 00:00:00',4,15,12,2009,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124243248315141231543634141121610118091',NULL,'30',14.30,1,3,NULL),(20,5193460,'1991-12-29 00:00:00',4,8,12,2009,'M','N','GLORIA','JOINVILLE','SC','124244241115271431567612575122610162092',NULL,'479',17.74,1,3,NULL),(20,5193478,'1991-10-29 00:00:00',4,3,12,2008,'F','N','CENTRO','PINHAIS','PR','116162161215471531449933572122610136092',NULL,'9998',0.00,1,3,NULL),(20,5193486,'1993-03-29 00:00:00',4,5,10,2010,'M','S','SANTO ANTÔNIO','CRICIÚMA','SC','124242241115371431459834374124610164047',NULL,'226',63.35,1,3,NULL),(20,5193494,'1994-01-04 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111742426619592124610167142',NULL,'1022',23.80,1,3,NULL),(20,5193508,'1987-06-02 00:00:00',4,1,12,2004,'F','N','JARDÍM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241217274411248822325112132032047',4000,'1022',70.86,1,3,NULL),(20,5193516,'1993-03-31 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241216111531558832575112610163182',NULL,'262',52.49,1,3,NULL),(20,5193524,'1990-08-03 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215473431458833445122231424047',9863,'270',58.43,1,3,NULL),(20,5193532,'1991-07-20 00:00:00',4,1,12,2008,'M','N','JARDIM EMÍLIA','SOROCABA','SP','125252251215471431458811575122610167052',6331,'9998',62.86,1,3,NULL),(20,5193540,'1986-05-28 00:00:00',2,1,12,2003,'F','N','SERRARIA','S JOSÉ','SC','124241241127372721335314342224610134147',NULL,'946',46.95,1,2,1),(20,5193559,'1992-06-09 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112731446814441124610143147',14410,'1169',47.31,1,3,NULL),(20,5193567,'1989-08-08 00:00:00',2,1,6,2008,'M','N','SESRRARIA','S JOSÉ','SC','124241248122442752226619392113610118182',NULL,'9999',23.67,1,2,1),(20,5193575,'1988-09-21 00:00:00',2,4,12,2008,'F','N','CENTRO','FAXINAL GUEDES','SC','124241241136142411223519345122610128062',NULL,'255',0.00,1,2,1),(20,5193583,'1992-01-20 00:00:00',2,1,12,2009,'M','N','CALHEIROS','GOV CELSO RAMOS','SC','124241241135131231426319445124610134017',NULL,'329',30.97,1,3,NULL),(20,5193605,'1991-01-11 00:00:00',4,1,12,2008,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125254251217471431436619571122610128192',4833,'9998',66.25,1,3,NULL),(20,5193613,'1991-12-26 00:00:00',2,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241215121431457923575124610128173',12244,'272',52.22,1,3,NULL),(20,5193621,'1991-02-28 00:00:00',4,1,12,2008,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215475431459933472122610162092',5541,'497',66.97,1,3,NULL),(20,5193630,'1992-10-19 00:00:00',4,8,11,2009,'M','N','VILA NOVA','JOINVILLE','SC','124241241415111411479712172122610137112',11254,'457',52.29,1,3,NULL),(20,5193648,'1992-07-28 00:00:00',4,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243241217221441559914442124610126122',3149,'737',72.75,1,3,NULL),(20,5193664,'1991-02-04 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215372411588912572122610121072',4575,'270',67.90,1,3,NULL),(20,5193672,'1992-03-24 00:00:00',2,8,12,2009,'F','N','PRAIA DE LESTE','PONTAL PARANÁ','PR','116162161216371431455832575112610138042',NULL,'1085',23.15,1,3,NULL),(20,5193699,'1992-12-04 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431669811572124610122172',401,'270',85.36,1,3,NULL),(20,5193729,'1993-01-17 00:00:00',4,8,12,2009,'F','N','ATUBA','CURITIBA','PR','116163161137371411446813575122610162047',NULL,'9998',0.00,1,3,NULL),(20,5193737,'1992-06-10 00:00:00',4,15,12,2009,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124202241217471431349613472125610124091',13959,'26',48.83,1,3,NULL),(20,5193745,'1991-12-13 00:00:00',2,8,11,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215111431279819496114610133143',7681,'1063',59.08,1,3,NULL),(20,5193753,'1991-09-27 00:00:00',2,4,12,2008,'F','N','PIONEIROS','ITÁ','SC','124241248116471431449613575122610127147',NULL,'196',18.90,1,2,1),(20,5193761,'1991-01-27 00:00:00',4,8,11,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241214473431469931572122610115192',6869,'457',63.72,1,3,NULL),(20,5193770,'1993-02-01 00:00:00',4,8,12,2009,'F','N','VILA ROSA','ITAPETININGA','SP','125252251216111431468614572112610147052',764,'9998',82.15,3,3,NULL),(20,5193788,'1992-01-24 00:00:00',2,2,11,2009,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124243241216272711446534575124610148042',1688,'71',78.10,1,3,NULL),(20,5193796,'1989-12-22 00:00:00',4,9,12,2008,'M','N','CAÇA E TIRO','LAGES','SC','124243247336371431326933395122131032042',NULL,'9999',17.41,1,3,NULL),(20,5193800,'1989-07-25 00:00:00',4,1,12,2006,'F','N','CENTRO','CAMPINAS','SP','125112251211571441678831571112610134147',NULL,'9998',0.00,1,3,NULL),(20,5193826,'1988-07-11 00:00:00',2,1,11,2005,'F','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','124241241312145751433339345124122562092',5116,'270',68.03,1,3,NULL),(20,5193834,'1992-05-07 00:00:00',2,1,12,2009,'F','N','DISTRITO DE ATERRADO','POUSO REDONDO','SC','124241242115111431323421592324610167147',NULL,'662',25.84,1,3,NULL),(20,5193842,'1992-08-25 00:00:00',2,2,11,2009,'F','N','SANTANA','RIO SUL','SC','124242241215131431536713272122610166146',NULL,'663',29.87,1,3,NULL),(20,5193850,'1987-12-15 00:00:00',4,1,12,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241127131711533374345114610134187',NULL,'289',28.35,1,3,NULL),(20,5193877,'1992-12-16 00:00:00',4,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124243241215112431446611575122610163182',7279,'185',61.40,1,3,NULL),(20,5193885,'1990-08-03 00:00:00',2,2,12,2007,'F','N','MOEMA','ITAIÓPOLIS','SC','124241241226472431334816472124131364047',9966,'1024',55.77,1,3,NULL),(20,5193893,'1991-05-10 00:00:00',4,7,11,2009,'M','N','CENTRO','RIO ANTAS','SC','124241241235111641448819274124610132172',10648,'969',54.25,1,3,NULL),(20,5193907,'1992-01-31 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124242241215112531568813574124610137042',5364,'87',65.58,1,3,NULL),(20,5193915,'1992-04-01 00:00:00',4,6,12,2009,'F','N','SÃO JOÃO','ITAJAÍ','SC','124241241117131411426329572124610124177',NULL,'1056',30.22,1,2,1),(20,5193931,'1988-04-18 00:00:00',2,1,12,2005,'F','N','CINQUETENARIO','CAXIAS SUL','RS','120201201112471451226626472224143224142',NULL,'9998',0.00,1,2,1),(20,5193940,'1990-09-16 00:00:00',2,5,12,2008,'F','N','VERA CRUZ','CRICIÚMA','SC','124241248112162731325421572225610164191',15898,'209',41.08,1,2,1),(20,5193966,'1992-07-31 00:00:00',4,1,12,2009,'F','N','CENTRO','S JOSÉ CAMPOS','SP','125102251215471431589931575122610163092',NULL,'9998',0.00,1,3,NULL),(20,5193982,'1990-04-19 00:00:00',2,1,7,2009,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241116131731424823275124610148187',NULL,'739',26.68,1,2,1),(20,5194024,'1991-07-24 00:00:00',4,1,12,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215273431477823577124233228082',2988,'270',73.56,1,3,NULL),(20,5194032,'1991-10-30 00:00:00',2,1,12,2008,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241116112331313331375124610116147',NULL,'361',15.74,1,2,1),(20,5194040,'1986-11-13 00:00:00',2,1,12,2004,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242247316445431358413295124232824022',12666,'9999',50.95,4,3,NULL),(20,5194059,'1988-04-04 00:00:00',2,5,11,2009,'M','N','MINA UNIAO','CRICIÚMA','SC','124243247341131431234829392122610138181',NULL,'227',39.71,1,3,NULL),(20,5194075,'1973-01-28 00:00:00',2,1,4,2007,'M','N','SERRARIA','S JOSÉ','SC','124161248112433732221144342113610168197',7873,'9999',62.07,1,2,1),(20,5194083,'1991-02-08 00:00:00',4,4,3,2009,'F','N','CENTRO','S DOMINGOS','SC','124241257231271431566632572122610124142',12014,'9998',52.54,1,3,NULL),(20,5194091,'1991-12-14 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216152431568613572124233247142',9410,'1022',59.24,1,3,NULL),(20,5194105,'1991-03-04 00:00:00',4,1,12,2008,'F','N','JARDIM ESPLANADA','S JOSÉ CAMPOS','SP','125252281417471431278921411122610153047',NULL,'9998',0.00,1,3,NULL),(20,5194113,'1990-09-16 00:00:00',2,5,12,2008,'F','N','VERA CRUZ','CRICIÚMA','SC','124241248112272731325421572225610166192',10954,'209',52.54,1,2,1),(20,5194121,'1992-10-10 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111431459934272124610167141',6957,'737',61.94,1,3,NULL),(20,5194130,'1989-04-19 00:00:00',4,1,12,2006,'M','N','SAN CONRADO','CAMPINAS','SP','125252256117151451488814195122241068072',7770,'9998',62.29,1,3,NULL),(20,5194148,'1990-07-07 00:00:00',4,1,12,2007,'M','N','CENTRO','BOTUCATU','SP','125252251217471131448812585112610167057',NULL,'9998',0.00,1,3,NULL),(20,5194156,'1992-12-11 00:00:00',4,8,12,2009,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161236111431458814575112610137047',NULL,'9998',27.23,1,3,NULL),(20,5194180,'1991-10-26 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217471531488914575124610167052',5510,'807',65.66,1,3,NULL),(20,5194199,'1990-12-25 00:00:00',2,8,12,2007,'F','N','GUABIROTUBA','CURITIBA','PR','116253161115571731535723575124610126057',117,'9998',89.72,1,3,NULL),(20,5194202,'1988-06-03 00:00:00',2,1,12,2005,'M','N','SAO FRANCISCO','CURITIBA','PR','116162161215571431449614575124610167123',8404,'9998',59.54,3,3,NULL),(20,5194210,'1988-09-21 00:00:00',2,5,11,2005,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241211574431369811571112610167047',4221,'211',70.26,1,3,NULL),(20,5194237,'1990-03-04 00:00:00',4,1,12,2007,'F','N','BAIRRO FELIZ','GOIÂNIA','GO','109092091215511751566832575122610133097',NULL,'9998',0.00,4,3,NULL),(20,5194253,'1989-11-27 00:00:00',4,1,11,2007,'M','N','CENTRO','FOZ IGUAÇU','PR','116162161215472712636529492114610144187',NULL,'9998',28.86,3,3,NULL),(20,5194261,'1991-12-26 00:00:00',4,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124162161137151421436611285124610124042',NULL,'9998',31.35,1,3,NULL),(20,5194270,'1992-03-29 00:00:00',4,1,12,2009,'F','N','CENTRO','NOVA TRENTO','SC','124241241215112431444634575114610138182',8784,'1123',57.56,1,3,NULL),(20,5194288,'1990-04-23 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431678814472124223268183',3055,'262',73.33,1,3,NULL),(20,5194300,'1992-10-06 00:00:00',4,8,12,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124241241116271431636834195122610137142',16253,'430',41.75,1,3,NULL),(20,5194318,'1992-06-12 00:00:00',2,1,10,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217411421548614472114610167047',13234,'1022',50.15,1,3,NULL),(20,5194326,'1992-05-05 00:00:00',4,1,12,2009,'F','N','CENTRO','GUARAPUAVA','PR','116163161116271731437933375112610127042',NULL,'9998',0.00,1,3,NULL),(20,5194334,'1989-11-10 00:00:00',4,7,11,2008,'F','N','NAVEGANTES','OURO','SC','124241242116131711116644345115610164017',NULL,'585',29.33,1,3,NULL),(20,5194342,'1992-04-22 00:00:00',1,2,11,2009,'M','N','SALTO DO NORTE','BLUMENAU','SC','124242241215272431366614155122610127102',2834,'87',73.21,1,3,NULL),(20,5194350,'1992-09-07 00:00:00',4,1,12,2009,'F','N','RATONES','FLORIANÓPOLIS','SC','124242241215112731268923572122610124042',7195,'883',60.90,1,3,NULL),(20,5194369,'1982-11-18 00:00:00',2,1,12,2000,'F','N','FORQUILHAS','S JOSÉ','SC','124241241111343431523334235124610123013',NULL,'732',20.91,2,1,1),(20,5194385,'1992-05-31 00:00:00',2,10,11,2009,'F','N','DEHON','TUBARÃO','SC','124242241215112431436911575122610131142',NULL,'807',27.74,1,3,NULL),(20,5194393,'1992-12-23 00:00:00',4,4,12,2009,'M','N','CENTRO','CONCÓRDIA','SC','124241241212111431547914245122610127042',NULL,'1001',18.48,1,3,NULL),(20,5194415,'1990-05-07 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241145473431228823245124610167047',NULL,'307',22.38,1,3,NULL),(20,5194423,'1992-03-19 00:00:00',4,2,12,2009,'M','N','CENTRO','PRES GETÚLIO','SC','124241241125171431446923345121610162042',NULL,'644',27.84,1,2,1),(20,5194431,'1990-04-10 00:00:00',4,1,11,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241217152431488823495124230234042',6893,'723',64.07,1,3,NULL),(20,5194440,'1993-06-09 00:00:00',2,6,11,2010,'F','S','CENTRO','NAVEGANTES','SC','124242241215141231328824245111610137052',NULL,'937',15.58,1,3,NULL),(20,5194458,'1992-09-17 00:00:00',2,1,11,2009,'F','N','CENTRO','ROCA SALES','RS','120201201217151431433733575122610118052',NULL,'9998',21.57,1,3,NULL),(20,5194466,'1992-04-12 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126473431545812275124610137042',3072,'618',72.86,1,2,1),(20,5194474,'1993-07-02 00:00:00',4,8,2,2011,'M','S','CENTRO','JOINVILLE','SC','124242241417151431379813575125610167175',NULL,'1063',59.15,1,3,NULL),(20,5194482,'1992-09-18 00:00:00',4,1,12,2009,'F','N','PRAIA DA DANIELA','FLORIANÓPOLIS','SC','124242241215473431333823334122610144182',NULL,'270',0.00,1,3,NULL),(20,5194490,'1990-01-07 00:00:00',4,1,12,2006,'M','N','CENTRO','PARANAVAÍ','PR','116162161216571711348923471112610162092',NULL,'9998',0.00,1,3,NULL),(20,5194504,'1991-02-21 00:00:00',4,7,12,2008,'F','N','FLORESTA','VIDEIRA','SC','124241241112372431548911342122610123142',NULL,'831',27.94,1,2,1),(20,5194512,'1987-01-20 00:00:00',2,1,12,2004,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241127471431423314242123610127042',10089,'298',57.98,4,2,1),(20,5194520,'1988-03-17 00:00:00',4,1,12,2005,'F','N','LIBERDADE','S PAULO','SP','125252251211571741548832571125610163027',2748,'9998',72.95,1,3,NULL),(20,5194547,'1992-12-16 00:00:00',2,1,12,2009,'M','N','BELA VISTA','S JOSÉ','SC','124242248412131431228823575124610127047',NULL,'726',28.14,1,3,NULL),(20,5194555,'1992-10-10 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431337721372114610167041',12266,'951',51.55,1,3,NULL),(20,5194571,'1993-07-26 00:00:00',4,5,12,2010,'F','S','CENTRO','CRICIÚMA','SC','124242241216112431558811415124610136197',NULL,'226',51.05,1,3,NULL),(20,5194580,'1992-10-20 00:00:00',4,1,12,2010,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112431469833572122610126142',NULL,'883',60.90,1,3,NULL),(20,5194598,'1991-05-04 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124241248146372451433434245133610167057',NULL,'734',42.10,1,2,1),(20,5194601,'1991-03-06 00:00:00',4,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241217372431556714345124120531142',12513,'63',53.31,1,3,NULL),(20,5194628,'1987-10-07 00:00:00',2,1,8,2005,'F','N','PACHECOS','PALHOÇA','SC','124241241116273421453431445123431127042',11846,'739',54.67,1,2,1),(20,5194644,'1985-06-15 00:00:00',2,1,12,2002,'F','N','KOBRASOL','S JOSÉ','SC','124241241117371431456653285124610163197',15976,'801',44.25,1,3,NULL),(20,5194652,'1987-09-08 00:00:00',2,1,12,2005,'M','N','JARDIM MONZA','COLOMBO','PR','116163161317373411533534245134241064181',NULL,'9998',0.00,1,3,NULL),(20,5194660,'1990-11-01 00:00:00',2,3,12,2009,'F','N','CENTRO','TORRES','RS','120204201215271441548532444122610135012',NULL,'9998',0.00,1,3,NULL),(20,5194679,'1992-08-17 00:00:00',4,7,12,2009,'M','N','SÃO SEBASTIÃO','CAMPOS NOVOS','SC','124242241215112431449914574122610127072',15289,'446',46.97,1,3,NULL),(20,5194687,'1991-01-25 00:00:00',4,4,11,2008,'F','N','CENTRO','TRÊS PASSOS','RS','120202201216471431448834342115610135182',8093,'9998',59.11,1,3,NULL),(20,5194695,'1988-06-06 00:00:00',4,8,12,2005,'M','N','CENTRO','CASTRO','PR','116161161216572431669836575124241464172',NULL,'9998',50.62,3,3,NULL),(20,5194741,'1991-01-03 00:00:00',2,6,12,2008,'M','N','SÃO JOÃO','ITAJAÍ','SC','124241246216372431436632342131130264172',8312,'1059',61.28,1,3,NULL),(20,5194750,'1992-03-14 00:00:00',2,10,12,2009,'F','N','NOVA BRASÍLIA','IMBITUBA','SC','124241248116111431334914442124610127142',NULL,'359',22.15,1,3,NULL),(20,5194768,'1989-12-12 00:00:00',2,2,12,2008,'M','N','BATEIAS','GASPAR','SC','124241241115371341544419342122610112147',NULL,'327',21.18,1,2,1),(20,5194776,'1990-09-02 00:00:00',4,3,12,2007,'F','N','JARDIM CARVALHO','PNT GROSSA','PR','116162164216471431346832572122610162013',NULL,'9998',22.46,1,3,NULL),(20,5194784,'1990-11-14 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124212211236273411239934592124222931187',5005,'9998',66.44,1,3,NULL),(20,5194792,'1989-06-28 00:00:00',4,3,12,2008,'M','N','BATEL','CURITIBA','PR','116204207437272442568737575125610128183',NULL,'9998',22.90,1,3,NULL),(20,5194806,'1992-12-08 00:00:00',2,8,12,2009,'M','N','IRIRIU','JOINVILLE','SC','124242241215112731326669575124610167082',NULL,'486',12.70,1,3,NULL),(20,5194814,'1992-07-24 00:00:00',4,6,12,2009,'F','N','SÃO VICENTE','ITAJAÍ','SC','124241241116471431453933572124610125177',13839,'400',45.73,2,1,1),(20,5194822,'1982-12-08 00:00:00',4,1,12,1999,'F','N','VILA NOVA JAGUARA','S PAULO','SP','125252251216472431437711471122343127097',585,'9998',83.91,1,3,NULL),(20,5194830,'1987-07-05 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431336619492324131034092',8213,'981',60.09,1,3,NULL),(20,5194849,'1991-06-13 00:00:00',4,1,12,2009,'F','N','PEDRO LUDOVICO','GOIÂNIA','GO','109094091217111751468831375122610167112',NULL,'9998',0.00,1,3,NULL),(20,5194857,'1988-07-27 00:00:00',2,8,12,2005,'M','N','CENTRO','APUCARANA','PR','116161161136572431467631575122610164042',3034,'9998',71.64,1,2,1),(20,5194865,'1991-05-26 00:00:00',4,1,12,2008,'F','N','CRISTAL','PTO ALEGRE','RS','120203201217371431349714575114610164097',9937,'9998',54.02,1,3,NULL),(20,5194873,'1990-07-06 00:00:00',2,1,12,2009,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241146131331558613446134610133147',NULL,'1088',24.72,1,3,NULL),(20,5194881,'1990-12-07 00:00:00',2,9,12,2008,'F','N','CENTRO','ITUPORANGA','SC','124241241136372431444612285122610124052',NULL,'416',36.30,1,2,1),(20,5194890,'1992-02-03 00:00:00',4,3,12,2009,'F','N','RIO BRANCO','CAXIAS SUL','RS','120202201216311631436619194122610122092',NULL,'52',24.34,1,3,NULL),(20,5194911,'1992-04-30 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215123731548813575124610137142',1835,'270',77.46,1,3,NULL),(20,5194920,'1992-04-30 00:00:00',2,1,11,2009,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124244241115371431347634372124610138142',15819,'307',45.00,1,3,NULL),(20,5194946,'1992-04-11 00:00:00',4,2,12,2009,'M','N','SANTA TEREZINHA','GASPAR','SC','124242241216272431469912575122610127042',284,'1137',86.80,1,3,NULL),(20,5194954,'1991-07-28 00:00:00',4,17,12,2008,'F','N','CENTRO','CANOINHAS','SC','124242161215571231468814572122610163147',3932,'9998',70.35,1,3,NULL),(20,5194962,'1993-01-07 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217112411368831215124610168122',7340,'392',61.22,1,3,NULL),(20,5194970,'1992-01-05 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215133431358923575114610167042',15208,'738',44.83,1,3,NULL),(20,5194989,'1975-10-24 00:00:00',4,8,12,1993,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124241241126271711323379382122610134042',7932,'476',61.96,1,2,1),(20,5194997,'1992-09-22 00:00:00',4,4,12,2009,'M','N','CENTRO','TRÊS PASSOS','RS','120202201217271431348834442125610146012',5574,'9998',64.33,1,3,NULL),(20,5195004,'1992-07-26 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241115471731428521575122610114147',NULL,'287',32.13,2,3,NULL),(20,5195012,'1991-09-12 00:00:00',4,8,12,2008,'M','N','PORTÃO','CURITIBA','PR','116161161215471731448614245124610164057',1024,'9998',80.37,1,3,NULL),(20,5195020,'1991-06-26 00:00:00',4,1,12,2008,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242241212472421439933572124610137092',10768,'273',53.45,1,3,NULL),(20,5195039,'1992-05-13 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241215473431337839572124610167042',11184,'738',55.95,1,3,NULL),(20,5195047,'1991-03-21 00:00:00',4,17,11,2008,'M','N','CENTRO','PTO UNIÃO','SC','124242241215472411556912124111610114041',431,'633',85.16,1,3,NULL),(20,5195055,'1993-10-09 00:00:00',4,10,11,2010,'F','S','HUMAITA','TUBARÃO','SC','124242241215111431359913572122610112142',NULL,'806',61.62,1,3,NULL),(20,5195063,'1991-05-24 00:00:00',2,1,11,2008,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241215272231346434575124610127045',NULL,'1023',47.38,1,3,NULL),(20,5195071,'1991-08-23 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243248312211431333753372124610122072',15247,'1022',44.26,4,3,NULL),(20,5195098,'1980-11-08 00:00:00',2,1,12,1998,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241244146131421343354432112131326197',NULL,'531',10.84,1,2,1),(20,5195101,'1992-07-30 00:00:00',2,10,11,2009,'F','N','PAES LEME','IMBITUBA','SC','124241241215111431556932575125610142182',NULL,'807',25.21,1,3,NULL),(20,5195110,'1988-10-29 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217575751589811475124610162182',110,'457',89.90,1,3,NULL),(20,5195128,'1990-09-11 00:00:00',4,1,12,2007,'M','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124241241214574431366823574114610162147',2,'983',97.90,4,3,NULL),(20,5195136,'1992-10-03 00:00:00',4,9,12,2009,'F','N','CENTRO','RIO SUL','SC','124242241215111431335932575125610144157',9027,'991',56.45,1,3,NULL),(20,5195144,'1993-12-16 00:00:00',4,1,12,2010,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124242248217111751479813575122610138115',NULL,'262',55.51,1,3,NULL),(20,5195160,'1992-03-05 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216471431438822572124610164057',1046,'1081',80.86,1,3,NULL),(20,5195179,'1991-11-08 00:00:00',4,1,12,2009,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215111411338933271124610134015',5567,'1022',66.96,1,3,NULL),(20,5195187,'1992-10-30 00:00:00',4,6,11,2009,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124243241215111431456712245122610134012',NULL,'388',29.27,1,3,NULL),(20,5195195,'1990-07-13 00:00:00',2,1,12,2007,'M','N','CENTRO','STA MARIA','RS','120201201114572411448713172122610162042',8393,'9998',57.92,1,2,1),(20,5195209,'1991-12-05 00:00:00',4,6,12,2009,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124252248215111732548811492111610115117',NULL,'9997',31.31,2,1,2),(20,5195217,'1992-06-27 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113431358723571124610125142',9687,'1169',58.76,1,3,NULL),(20,5195225,'1992-04-22 00:00:00',4,2,12,2009,'F','N','GASPAR GRANDE','GASPAR','SC','124244241215112431446712575122610128192',NULL,'1137',22.30,1,3,NULL),(20,5195250,'1993-01-29 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124251241115371731323339295124610132192',NULL,'275',26.59,1,2,1),(20,5195268,'1991-11-06 00:00:00',4,2,12,2009,'M','N','JARDIM ATLÂTICO','GOIÂNIA','GO','109092091115111731428811415114610126012',5767,'9998',65.04,1,3,NULL),(20,5195276,'1992-03-11 00:00:00',4,6,11,2009,'F','N','SAO VICENTE','ITAJAÍ','SC','124242241215371731446622345122610165092',11839,'388',52.53,1,3,NULL),(20,5195284,'1992-04-11 00:00:00',4,8,12,2009,'F','N','CENTRO','FOZ IGUAÇU','PR','116163161416111431549911575122610124037',NULL,'9998',0.00,1,3,NULL),(20,5195292,'1992-02-22 00:00:00',2,2,12,2009,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241146141432438514245124610118147',NULL,'75',19.08,1,2,1),(20,5195306,'1993-06-03 00:00:00',2,8,11,2010,'F','S','AMÉRICA','JOINVILLE','SC','124241248216111431437923475122610168142',NULL,'486',30.10,1,3,NULL),(20,5195314,'1990-03-05 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217155431457519575124230224122',NULL,'270',0.00,1,3,NULL),(20,5195330,'1989-08-05 00:00:00',4,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241135272431223349495124610154047',NULL,'840',24.82,1,2,1),(20,5195349,'1990-03-16 00:00:00',2,1,11,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215273421439633441122610133187',NULL,'1022',27.35,1,3,NULL),(20,5195365,'1992-08-20 00:00:00',4,5,10,2009,'F','N','MINA DO TOCO','CRICIÚMA','SC','124244241212111431446624572124610167017',NULL,'880',0.00,1,3,NULL),(20,5195381,'1992-03-23 00:00:00',4,1,12,2009,'F','N','CENTRO','LONDRINA','PR','116162161217471431488811571122610124182',221,'9998',87.70,1,3,NULL),(20,5195390,'1991-04-16 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124242241215372231489919572122131267142',4653,'1169',68.06,1,3,NULL),(20,5195403,'1987-12-12 00:00:00',4,1,12,2006,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241248126111711212244445334613218047',NULL,'289',0.00,3,3,NULL),(20,5195411,'1992-10-01 00:00:00',4,16,12,2009,'F','N','CENTRO','FRAIBURGO','SC','124242241212111331356832225122610134092',NULL,'885',27.31,1,3,NULL),(20,5195438,'1987-10-06 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201116472431333935275124122827097',10188,'9998',55.75,1,2,1),(20,5195454,'1991-08-12 00:00:00',4,1,12,2009,'M','N','BELA VISTA II','S JOSÉ','SC','124242241215141431457714295124610127057',NULL,'1075',29.31,1,3,NULL),(20,5195462,'1991-10-06 00:00:00',4,5,11,2010,'M','S','COMERCIARIO','CRICIÚMA','SC','124242241215111752465619595122610168192',NULL,'226',34.28,1,3,NULL),(20,5195470,'1991-09-26 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212113431248923572122610132112',89,'270',90.36,1,3,NULL),(20,5195489,'1990-11-22 00:00:00',4,1,12,2008,'M','N','JARDIM BELA VISTA','AMERICANA','SP','125252251216471431469814575112610167082',4331,'9998',69.27,1,3,NULL),(20,5195497,'1992-09-11 00:00:00',4,4,11,2009,'F','N','LINHA GLÓRIA DO MEIO','CUNHA PORÃ','SC','124241241116161431434436265124610163052',NULL,'234',23.14,1,2,1),(20,5195500,'1993-12-29 00:00:00',4,1,11,2010,'M','S','CRISTO REI','CURITIBA','PR','116162161217111721568812575122610167052',NULL,'9998',0.00,1,3,NULL),(20,5195527,'1992-03-24 00:00:00',2,9,12,2009,'F','N','CAPISTRANO','BOM RETIRO','SC','124243241217112411459933575122610137142',2455,'1146',75.25,1,3,NULL),(20,5195535,'1978-06-22 00:00:00',2,1,11,1995,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241217372721123343335124610162187',9061,'138',58.23,1,3,NULL),(20,5195543,'1989-02-06 00:00:00',2,1,12,2006,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241115472432646313343122610134055',15306,'293',46.91,4,3,NULL),(20,5195551,'1992-10-07 00:00:00',2,17,12,2009,'F','N','CENTRO','IRATI','PR','116161161116151431435923572122610141197',NULL,'9998',27.66,1,2,1),(20,5195560,'1992-09-20 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115471732433339572112610112147',NULL,'287',27.23,1,2,1),(20,5195578,'1989-10-12 00:00:00',2,1,12,2006,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241217273431423314342124610117052',11253,'1048',53.46,2,1,2),(20,5195586,'1991-02-10 00:00:00',4,8,12,2008,'F','N','JUVEVÊ','CURITIBA','PR','116112161217471531569814472122610127077',NULL,'9998',0.00,3,3,NULL),(20,5195594,'1992-06-27 00:00:00',2,15,12,2009,'F','N','ZONA NOVA SUL','BAL ARROIO SILVA','SC','124241241116131231426314245124610166191',NULL,'30',21.77,4,2,1),(20,5195608,'1991-04-20 00:00:00',4,6,12,2008,'M','N','DOM BOSCO','ITAJAÍ','SC','124253241116272442446823346134610137017',5977,'401',63.07,1,3,NULL),(20,5195616,'1987-05-17 00:00:00',2,1,12,2004,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241116272431525324382124610133052',NULL,'293',28.86,2,1,1),(20,5195624,'1990-03-16 00:00:00',4,7,12,2006,'F','N','VILA ALEMANHA','LUZERNA','SC','124241241416151431336914572114232528012',NULL,'962',0.00,1,3,NULL),(20,5195632,'1993-04-06 00:00:00',4,8,12,2009,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241217371441459932572122610147142',11064,'424',53.59,1,3,NULL),(20,5195640,'1986-12-16 00:00:00',4,1,12,2004,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241212272521438811385114333261092',NULL,'1011',53.61,1,3,NULL),(20,5195659,'1988-06-23 00:00:00',4,7,12,2005,'F','N','ESTAÇÃO LUZERNA','HERVAL D OESTE','SC','120241241412572431447634575112132126147',4143,'445',69.54,1,3,NULL),(20,5195667,'1991-03-29 00:00:00',4,5,12,2008,'F','N','ESPIRITO SANTO','PTO ALEGRE','RS','120202201216471431478832571112610162197',NULL,'9998',0.00,1,3,NULL),(20,5195675,'1989-12-27 00:00:00',4,10,12,2008,'M','N','CLUBE DOS QUINHENTOS','GUARATINGUETÁ','SP','125252251217471431558731572122610167042',NULL,'9998',0.00,1,3,NULL),(20,5195683,'1967-08-29 00:00:00',2,1,12,1993,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','224241247127373431362351182124610126032',13438,'9999',48.74,1,2,1),(20,5195691,'1992-06-26 00:00:00',4,2,12,2009,'M','N','ÁGUA VERDE','BLUMENAU','SC','124241241215111431446333571124610167032',14,'855',95.27,1,3,NULL),(20,5195705,'1992-05-26 00:00:00',4,1,12,2009,'M','N','BELA VISTA I','S JOSÉ','SC','124242241215111231566663575122610114027',14083,'1118',45.37,2,3,NULL),(20,5195721,'1986-03-19 00:00:00',2,1,12,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624251251126131431226349245224233232047',NULL,'9998',26.21,1,2,1),(20,5195730,'1990-04-21 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124201201121131431333324145124610134047',NULL,'9998',20.22,1,2,1),(20,5195764,'1971-09-08 00:00:00',4,1,12,1989,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224071071116142421468644345122321447047',9869,'9998',58.42,1,3,NULL),(20,5195772,'1992-10-26 00:00:00',2,1,12,2009,'M','N','NOVA BRASILIA','IMBITUBA','SC','124241241215111431456814575122610117052',NULL,'362',33.52,1,3,NULL),(20,5195780,'1989-10-24 00:00:00',2,8,12,2007,'F','N','BOM RETIRO','JOINVILLE','SC','124252251215471411347829474122610125186',3871,'9998',69.77,1,3,NULL),(20,5195799,'1989-05-20 00:00:00',4,7,12,2006,'F','N','CENTRO','JOAÇABA','SC','124242241216573411358812575122131564147',NULL,'454',41.97,1,3,NULL),(20,5195802,'1986-12-01 00:00:00',4,1,12,2005,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241133133711426559291344610167172',3464,'257',72.17,1,2,1),(20,5195810,'1992-05-07 00:00:00',4,9,12,2009,'M','N','CENTRO','RIO SUL','SC','124242241215113731545612575122610167077',3976,'991',69.95,1,3,NULL),(20,5195829,'1990-07-21 00:00:00',2,1,12,2007,'M','N','ACLIMAÇÃO','S PAULO','SP','125252251216572411568834575114610137042',9302,'9998',55.51,1,3,NULL),(20,5195837,'1992-10-06 00:00:00',4,1,12,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241112371432225521272124610132142',13028,'733',48.83,1,2,1),(20,5195845,'1992-02-26 00:00:00',4,1,12,2009,'F','N','MONTANHA','LAJEADO','RS','120203201217131431326619274125610133147',11948,'9998',51.68,1,3,NULL),(20,5195853,'1993-04-16 00:00:00',4,1,12,2010,'M','S','CANASVIEIRAS','FLORIANÓPOLIS','SC','124202241216151431469813572114610124072',NULL,'262',31.25,1,3,NULL),(20,5195861,'1987-08-03 00:00:00',2,1,12,2005,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241126371431633331385114610122072',NULL,'728',22.79,1,2,1),(20,5195870,'1982-10-19 00:00:00',2,1,6,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124206243127141411334674146124610161017',NULL,'306',15.44,1,3,NULL),(20,5195888,'1992-05-19 00:00:00',2,1,11,2009,'F','N','TIROL','NATAL','RN','119192191217471231358813572112610132143',NULL,'9998',0.00,1,3,NULL),(20,5195896,'1992-04-24 00:00:00',2,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124241241115271431425614272124610135057',10272,'592',56.15,1,2,1),(20,5195918,'1992-08-11 00:00:00',4,10,11,2009,'M','N','HUMAITÁ','TUBARÃO','SC','124241241116371431326624245121610137052',NULL,'798',38.62,1,2,1),(20,5195926,'1987-11-12 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431246619595122610124017',6816,'499',64.13,1,3,NULL),(20,5195942,'1992-02-02 00:00:00',2,2,11,2009,'F','N','PASSO MANSO','BLUMENAU','SC','124241241215111431546914594124610141147',4229,'88',69.52,1,3,NULL),(20,5195950,'1986-09-20 00:00:00',4,1,12,2004,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124251251114471431123443231324610166185',9955,'9998',56.87,1,2,1),(20,5195969,'1991-08-21 00:00:00',4,8,12,2008,'F','N','COLONIAL','S BENTO SUL','SC','124244241136131731533314245124610128147',15712,'697',45.46,1,3,NULL),(20,5195985,'1991-05-11 00:00:00',4,1,12,2008,'M','N','LAGO SUL','LG SUL','DF','107072071216371411488931575122610141172',NULL,'9998',NULL,4,3,NULL),(20,5196000,'1989-11-05 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624241251115371431223344242214610131197',NULL,'9998',42.65,1,2,1),(20,5196019,'1991-02-17 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215373431569931575124141464042',343,'1146',86.06,1,3,NULL),(20,5196035,'1992-09-06 00:00:00',2,4,12,2009,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241215131431426614171124610166147',NULL,'1046',45.63,1,3,NULL),(20,5196043,'1992-08-11 00:00:00',4,1,12,2009,'F','N','BARRA FUNDA','GUARUJÁ','SP','125252251237171731538713375112610124147',14570,'9998',44.81,4,3,NULL),(20,5196051,'1987-10-20 00:00:00',4,2,12,2004,'M','N','CENTRO','LUIZIÂNIA','SP','125251255116411411547833445121341942097',NULL,'9998',0.00,1,2,1),(20,5196078,'1992-07-13 00:00:00',2,15,11,2009,'M','N','ALTO FELIZ','ARARANGUÁ','SC','124242241235271431447931575121610137142',15319,'970',43.78,1,3,NULL),(20,5196086,'1992-12-21 00:00:00',2,7,12,2009,'F','N','SÃO JOSÉ','FRAIBURGO','SC','124241241215111411439614575112610123052',9876,'317',56.94,1,3,NULL),(20,5196094,'1993-03-13 00:00:00',4,8,12,2009,'M','N','GLORIA','JOINVILLE','SC','124241246215371421426714515124610114182',3117,'1105',72.62,1,3,NULL),(20,5196108,'1986-05-24 00:00:00',2,1,12,2003,'M','N','AÇOS FINOS PIRATINI','CHARQUEADAS','RS','120201201211571731337924371124141427157',2382,'9998',74.90,1,3,NULL),(20,5196116,'1987-06-25 00:00:00',4,1,12,2006,'M','N','SAUDE','S PAULO','SP','125251251111571431468833573122610167027',NULL,'9998',NULL,1,2,1),(20,5196124,'1994-02-01 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111232489931575112610137042',NULL,'262',0.00,1,3,NULL),(20,5196132,'1992-01-10 00:00:00',4,4,12,2009,'F','N','CENTRO','XANXERÊ','SC','124241241112271431325514242122610138142',NULL,'840',26.67,1,2,1),(20,5196140,'1992-02-10 00:00:00',4,8,11,2008,'F','N','SANTA CATARINA','S LOURENÇO OESTE','SC','124243161315471411538613474114610121142',4058,'9998',70.72,1,3,NULL),(20,5196159,'1991-04-04 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431579813374112123244192',1519,'270',78.79,1,3,NULL),(20,5196167,'1992-12-14 00:00:00',2,10,11,2009,'F','N','CENTRO','ARMAZÉM','SC','124243241215131431656912574122610134072',16140,'807',43.16,1,3,NULL),(20,5196175,'1992-09-17 00:00:00',2,1,12,2009,'F','N','CENTRO','ROCA SALES','RS','120201201217151231433733575122610117052',NULL,'9998',21.35,1,3,NULL),(20,5196191,'1990-02-16 00:00:00',4,1,12,2009,'M','N','FLORESTA','S JOSÉ','SC','124243241335121441347933375114610112087',15867,'1022',44.75,1,3,NULL),(20,5196205,'1991-02-27 00:00:00',2,1,12,2008,'M','N','CENTRO CIVICO','CURITIBA','PR','116163161126471411368833595122610127042',NULL,'9998',35.40,1,3,NULL),(20,5196213,'1992-05-01 00:00:00',4,5,11,2009,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241217171431356721575122610132142',10140,'213',56.12,1,3,NULL),(20,5196221,'1986-02-01 00:00:00',2,1,11,2003,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241117131431323524282324610126197',NULL,'307',49.35,1,2,1),(20,5196230,'1991-02-27 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215474431248915572114610133097',7198,'270',60.75,1,3,NULL),(20,5196248,'1991-03-31 00:00:00',4,4,11,2009,'M','N','CENTRO','PINHALZINHO','SC','124243241211271731467634572122610167047',NULL,'185',25.45,1,3,NULL),(20,5196256,'1993-01-25 00:00:00',4,6,12,2009,'F','N','SANTA RITA','BRUSQUE','SC','124242241217111431448832574122610153192',7710,'109',62.40,1,3,NULL),(20,5196264,'1992-12-29 00:00:00',2,5,11,2009,'M','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124243241215111731456612445122610127042',NULL,'226',30.16,1,3,NULL),(20,5196272,'1992-07-30 00:00:00',4,1,12,2009,'M','N','EMBARÉ','SANTOS','SP','125252251217121431468834575112610162042',8791,'9998',56.74,1,3,NULL),(20,5196280,'1990-08-21 00:00:00',4,8,12,2007,'M','N','CENTRO','TOLEDO','PR','116162161216571751479933575125610168097',308,'9998',86.45,1,3,NULL),(20,5196299,'1991-08-14 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241211473431449913572124610123092',1103,'752',80.72,1,3,NULL),(20,5196302,'1983-06-09 00:00:00',4,1,12,2002,'F','N','CENTRO','CURITIBA','PR','116164167336331531366613135124241461094',NULL,'9998',38.55,1,3,NULL),(20,5196310,'1991-06-16 00:00:00',4,1,6,2008,'M','N','LOT PORTAL DO SOL','GOIÂNIA','GO','109092281215471431487932375122140232087',NULL,'9998',0.00,4,3,NULL),(20,5196329,'1991-08-03 00:00:00',4,1,12,2008,'M','N','CENTRO','STA MARIA','RS','124241241115151751335331592125613268181',NULL,'552',0.00,1,2,1),(20,5196337,'1992-02-20 00:00:00',4,1,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161217111431558712474124610143182',3878,'9998',68.20,1,3,NULL),(20,5196345,'1992-02-28 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116201201221471431433623272215610127147',5965,'9998',64.90,1,3,NULL),(20,5196353,'1989-06-15 00:00:00',4,1,12,2007,'M','N','ALÍPIO DE MELO','BELO HORIZONTE','MG','113132131236571731634614575114610167047',7123,'9998',60.91,1,3,NULL),(20,5196361,'1981-12-13 00:00:00',4,1,7,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241127131431533129491114610146037',NULL,'95',18.44,1,2,1),(20,5196370,'1993-01-03 00:00:00',4,10,12,2010,'F','S','CENTRO','TUBARÃO','SC','124242241217111431447931275122610132077',NULL,'806',25.30,1,3,NULL),(20,5196388,'1990-07-12 00:00:00',4,2,12,2007,'F','N','VILA ITOUPAVA','BLUMENAU','SC','124241241136472411563739345124133263187',7417,'74',59.86,1,2,1),(20,5196396,'1992-09-29 00:00:00',4,17,12,2009,'F','N','JARDIM IPACARAI','APARECIDA TABOADO','MS','112121121116131431426624572112610164047',NULL,'9998',0.00,1,2,1),(20,5196400,'1992-07-26 00:00:00',4,4,12,2009,'M','N','SÃO CRISTOVÃO','S JOSÉ CEDRO','SC','124241241116131131333322115111610127047',NULL,'740',20.96,1,2,1),(20,5196418,'1992-09-27 00:00:00',4,8,12,2009,'M','N','BOA VISTA','CURITIBA','PR','116252161215111431467714572122610122143',1185,'9998',79.66,1,3,NULL),(20,5196426,'1992-07-14 00:00:00',4,7,12,2009,'F','N','CENTRO','CURITIBA','PR','116243161415321431537824375124610166197',2716,'446',73.16,1,3,NULL),(20,5196434,'1993-08-24 00:00:00',4,1,12,2010,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124242241217112731478833472124610138112',NULL,'270',58.41,1,3,NULL),(20,5196442,'1991-04-25 00:00:00',4,2,12,2008,'M','N','CENTRO','BRUSQUE','SC','124241241116372411347923372112120742041',4683,'111',69.14,1,2,1),(20,5196469,'1992-08-08 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216132431448514175124610141087',5118,'1133',68.03,1,3,NULL),(20,5196477,'1990-12-15 00:00:00',4,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242247217131431336619591124610125092',NULL,'9999',24.74,1,3,NULL),(20,5196485,'1985-12-14 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241112133711418749295124133262053',NULL,'307',19.13,1,3,NULL),(20,5196493,'1993-03-07 00:00:00',2,15,12,2009,'F','N','SÃO JOSÉ','SOMBRIO','SC','124241241135131431423624275124610125147',NULL,'1033',27.78,1,2,1),(20,5196507,'1992-01-28 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241116371431533314242124610123142',NULL,'732',28.85,1,2,1),(20,5196515,'1982-08-14 00:00:00',4,1,12,2000,'F','N','VILA PRADO','S CARLOS','SP','125256251116371731234619495124340962143',NULL,'9998',0.00,4,3,NULL),(20,5196531,'1989-04-06 00:00:00',4,1,12,2006,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215154431356833575122221523142',1591,'270',78.51,1,3,NULL),(20,5196566,'1990-03-29 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215573431468634175114610167042',3426,'272',72.31,1,3,NULL),(20,5196574,'1994-01-21 00:00:00',2,15,12,2009,'F','N','SÃO JOSÉ','SOMBRIO','SC','124241241116131131523816172124610123147',NULL,'1033',0.00,1,2,1),(20,5196582,'1990-09-05 00:00:00',2,4,12,2007,'M','N','ANDREATTA','S MIGUEL OESTE','SC','124241241116133711323436195124610168097',3729,'755',70.88,4,2,1),(20,5196590,'1986-09-21 00:00:00',2,1,12,2003,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124251251247132751425844245334220548122',NULL,'9998',22.27,1,3,NULL),(20,5196604,'1991-11-14 00:00:00',4,1,11,2008,'F','N','JARDIM SATÉLITE','S JOSÉ CAMPOS','SP','125252251235472431349812575122610167147',624,'9998',83.73,1,3,NULL),(20,5196612,'1991-04-07 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216373731458732575122610167042',11032,'262',56.23,1,3,NULL),(20,5196639,'1989-04-02 00:00:00',2,3,11,2006,'M','N','CENTRO','BAL CAMBORIÚ','SC','124162161216574441357711572122610147042',NULL,'9998',44.89,1,3,NULL),(20,5196647,'1991-10-21 00:00:00',2,15,11,2009,'F','N','PEROBA','STA ROSA SUL','SC','124241242115111332423315352124610123147',NULL,'690',0.00,1,2,1),(20,5196663,'1990-12-08 00:00:00',4,8,12,2008,'F','N','ROCIO PEQUENO','S FRANCISCO SUL','SC','124242241215471431438831572124610128072',NULL,'992',14.58,1,3,NULL),(20,5196671,'1993-01-23 00:00:00',4,8,12,2009,'F','N','JARDIM ELISA I','FOZ IGUAÇU','PR','116162161217111431478813575112610145187',NULL,'9998',0.00,1,3,NULL),(20,5196680,'1993-10-06 00:00:00',4,9,12,2010,'F','S','CENTRO','LAGES','SC','124242241212111431569933572122610134142',NULL,'499',60.59,1,3,NULL),(20,5196698,'1990-06-14 00:00:00',2,1,12,2007,'F','N','CENTRO','CANOAS','RS','120201201211571431547814571112610124147',9261,'9998',57.63,1,3,NULL),(20,5196701,'1992-03-06 00:00:00',4,2,11,2009,'M','N','GLORIA','BLUMENAU','SC','124242241217271431454412575122610164042',5187,'71',65.90,1,3,NULL),(20,5196710,'1991-01-15 00:00:00',4,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241246117151721438731575124610132167',13887,'306',47.90,3,2,1),(20,5196728,'1993-06-07 00:00:00',4,15,12,2010,'M','S','COLONINHA','ARARANGUÁ','SC','124242241217111431469914575122610144062',NULL,'970',66.15,1,3,NULL),(20,5196744,'1993-03-19 00:00:00',4,3,12,2009,'M','N','JARDIM GUAPORÉ','MARINGÁ','PR','116162168215271441489911575122610164182',4115,'9998',69.65,4,3,NULL),(20,5196752,'1992-08-03 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111531448833572124610164072',11517,'1022',53.19,2,1,2),(20,5196760,'1987-04-10 00:00:00',2,4,12,2004,'M','N','SANTA MARIA','CHAPECÓ','SC','124241241145271132449312145122133218042',13646,'169',51.05,1,2,1),(20,5196779,'1989-08-16 00:00:00',4,1,12,2006,'F','N','OURO PRETO','CARAZINHO','RS','120202201436571751546619371124610122147',5099,'9998',66.40,1,3,NULL),(20,5196795,'1990-09-09 00:00:00',2,1,12,2007,'F','N','CENTRO','PINHALZINHO','SC','124242241216271431456431395112610136177',8965,'185',57.57,1,3,NULL),(20,5196817,'1992-07-01 00:00:00',2,7,12,2009,'F','N','CENTRO','HERVAL D OESTE','SC','124242241216271431458512575112610122142',15693,'445',45.54,1,3,NULL),(20,5196825,'1990-03-13 00:00:00',4,1,8,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242157217111411458812545114230441077',NULL,'9998',0.00,1,3,NULL),(20,5196833,'1992-12-28 00:00:00',4,3,11,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241215272431543612575112610164142',1105,'403',80.05,1,3,NULL),(20,5196841,'1992-03-11 00:00:00',4,1,11,2009,'M','N','JARDIM GUANABARA','DOURADOS','MS','112122121215111411348612324122610124023',NULL,'9998',0.00,1,3,NULL),(20,5196868,'1991-10-21 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216113331479933575112610167042',5,'262',96.89,1,3,NULL),(20,5196876,'1982-09-28 00:00:00',4,1,12,2000,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241137474421557732475124230566171',9265,'293',59.49,1,3,NULL),(20,5196884,'1992-07-07 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','116162161215111431359734575124610165092',NULL,'9998',38.20,1,3,NULL),(20,5196892,'1992-02-27 00:00:00',4,1,11,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215373431469611575124610127042',712,'262',83.00,1,3,NULL),(20,5196906,'1989-10-22 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217375442459633442114610124054',6472,'262',64.98,1,3,NULL),(20,5196914,'1991-12-04 00:00:00',4,1,12,2009,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215373431368831215124610122011',354,'262',85.95,1,3,NULL),(20,5196922,'1992-06-12 00:00:00',4,4,12,2009,'F','N','JARDIM BELA VISTA','ITAPIRANGA','SC','124243241315161431456913235115610132127',NULL,'412',45.28,1,3,NULL),(20,5196930,'1984-03-11 00:00:00',2,1,12,2001,'F','N','RODOVIARIA','S BORJA','RS','121202207217471731248811575124142461072',NULL,'9998',0.00,1,3,NULL),(20,5196957,'1989-04-17 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241235473431354831575112220463097',NULL,'262',0.00,1,3,NULL),(20,5196965,'1992-08-19 00:00:00',4,2,12,2009,'F','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241215112431448811575122610161182',1497,'71',77.34,1,3,NULL),(20,5196973,'1981-12-29 00:00:00',4,8,12,1999,'F','N','ATIRADORES','JOINVILLE','SC','624241241126371421444616315122331356187',NULL,'548',36.92,1,2,1),(20,5196981,'1992-12-22 00:00:00',4,1,11,2009,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116164161217121431467812574122610162092',8074,'9998',59.94,1,3,NULL),(20,5196990,'1992-09-27 00:00:00',4,5,11,2009,'F','N','PIO CORRÊA','CRICIÚMA','SC','124242241217111331568811592112610138182',NULL,'226',27.15,1,3,NULL),(20,5197007,'1993-04-25 00:00:00',2,4,12,2009,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124242241215471431279813394122610166195',4880,'1046',66.39,1,3,NULL),(20,5197015,'1991-01-15 00:00:00',4,8,12,2008,'M','N','VINTE CINCO DE JULHO','S BENTO SUL','SC','124243241115151411425624445125230738012',NULL,'697',51.61,1,3,NULL),(20,5197023,'1992-02-26 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124132241215112451456832591112610166017',NULL,'1022',51.33,1,3,NULL),(20,5197066,'1992-08-03 00:00:00',2,4,12,2009,'F','N','ANDREATTA','S MIGUEL OESTE','SC','124244241215131431434923575122610137017',NULL,'1079',26.67,1,3,NULL),(20,5197082,'1992-01-11 00:00:00',4,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241217271431449931572122610164057',2815,'723',74.07,1,3,NULL),(20,5197090,'1984-03-19 00:00:00',4,1,12,2003,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241213164411316377186114131866022',7562,'403',62.69,1,3,NULL),(20,5197104,'1986-10-19 00:00:00',2,1,12,2003,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241241211131431225335442124243257067',NULL,'424',35.48,1,3,NULL),(20,5197112,'1991-09-19 00:00:00',4,8,11,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124242241212271431479614572122610123127',6497,'486',63.24,1,3,NULL),(20,5197120,'1992-10-29 00:00:00',2,2,11,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124242241216273421456824575122610144112',4456,'109',69.10,1,3,NULL),(20,5197147,'1992-12-15 00:00:00',2,17,11,2009,'F','N','CAMPO DA ÁGUA VERDE','CANOINHAS','SC','124243241216112551538832595122610168057',NULL,'154',0.00,1,3,NULL),(20,5197163,'1992-11-25 00:00:00',4,1,12,2009,'F','N','CENTRO','S CARLOS','SP','125252251217121441449913475122610166182',5152,'9998',66.15,1,3,NULL),(20,5197171,'1993-04-09 00:00:00',4,1,12,2009,'F','N','CENTRO NORTE','STO ÂNGELO','RS','120202201217421411568613275124610137142',NULL,'9998',0.00,1,3,NULL),(20,5197180,'1992-05-12 00:00:00',4,3,12,2008,'M','N','ALTO SÃO BENTO','ITAPEMA','SC','124243241315372431438612475111610134012',NULL,'406',36.97,1,3,NULL),(20,5197198,'1992-04-28 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215151432328821572115610132096',11564,'9997',55.20,1,3,NULL),(20,5197210,'1990-01-30 00:00:00',2,1,12,2009,'F','N','CENTRO','PASSO FUNDO','RS','120201201126141731227844245124610131142',NULL,'9998',0.00,1,3,NULL),(20,5197228,'1981-06-29 00:00:00',2,1,6,2005,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','224241247217574431233344242244610167187',NULL,'9999',30.61,1,3,NULL),(20,5197236,'1992-01-20 00:00:00',4,1,12,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242248215112731468619575112610117071',NULL,'270',32.46,1,3,NULL),(20,5197244,'1992-11-14 00:00:00',4,7,11,2009,'F','N','SANTA TEREZA','JOAÇABA','SC','124241241215371731336719575122610164192',NULL,'446',55.19,1,3,NULL),(20,5197252,'1990-06-14 00:00:00',2,1,12,2007,'M','N','SAO BENEDITO','GUARATINGUETÁ','SP','125252251215411431458413582124610167042',12254,'9998',53.88,1,3,NULL),(20,5197260,'1990-02-09 00:00:00',4,8,12,2007,'F','N','JD NOVO HORIZONTE','MARINGÁ','PR','116162161215573431379813574122610164147',NULL,'9998',0.00,1,3,NULL),(20,5197279,'1993-01-27 00:00:00',4,4,12,2009,'F','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124162161215111432339622575122610125097',3150,'9998',72.70,1,3,NULL),(20,5197287,'1992-08-23 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217111532437833472112610164187',4135,'299',70.49,1,3,NULL),(20,5197295,'1982-08-31 00:00:00',4,1,12,2001,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242241216134431536511495114610114197',15689,'1134',45.56,1,3,NULL),(20,5197309,'1989-10-13 00:00:00',4,8,12,2006,'F','N','VITÓRIA RÉGIA','CORNÉLIO PROCÓPIO','PR','116162161215572421468833572125610122092',1845,'9998',77.44,1,3,NULL),(20,5197317,'1988-06-21 00:00:00',2,8,11,2005,'M','N','VILA INDUSTRIAL','S JOSÉ CAMPOS','SP','125251253216571411236829596144610162047',NULL,'9998',0.00,1,3,NULL),(20,5197325,'1992-10-01 00:00:00',4,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124241241115271431556733275124610115181',13191,'592',49.45,1,2,1),(20,5197333,'1984-08-27 00:00:00',4,1,11,2001,'M','N','KOBRASOL','S JOSÉ','SC','124242241212153441386723435122330216045',8536,'723',60.86,1,3,NULL),(20,5197341,'1993-01-18 00:00:00',4,8,12,2010,'M','S','COSTA E SILVA','JOINVILLE','SC','124242246217151431569934572124610131142',NULL,'1105',46.55,1,3,NULL),(20,5197350,'1991-08-05 00:00:00',4,10,12,2008,'F','N','CENTRO','BRAÇO NORTE','SC','124241241116133431349933575124230624097',6029,'100',64.44,1,2,1),(20,5197376,'1989-08-18 00:00:00',2,2,12,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124164241137131431233721146124131426112',NULL,'49',18.01,1,3,NULL),(20,5197392,'1992-05-24 00:00:00',4,4,12,2009,'M','N','VILA TOLENTINO','CASCAVEL','PR','116162161217111431489933172112610164042',964,'9998',81.53,1,3,NULL),(20,5197406,'1991-10-09 00:00:00',4,3,12,2008,'F','N','CENTRO','PASSO FUNDO','RS','120202201216471431368711595122610141017',4377,'9998',66.99,1,3,NULL),(20,5197414,'1993-05-18 00:00:00',4,1,11,2010,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124244241115151431356613571124610133017',NULL,'271',42.40,1,3,NULL),(20,5197422,'1991-05-20 00:00:00',4,8,12,2008,'F','N','VILA NOVA','JARAGUÁ SUL','SC','124243241217474441469932575122610121172',8420,'1174',60.78,1,3,NULL),(20,5197430,'1991-06-08 00:00:00',4,1,12,2008,'M','N','SETOR OESTE','GOIÂNIA','GO','109092091235471431588813575122610137047',3058,'9998',71.63,1,3,NULL),(20,5197449,'1992-01-08 00:00:00',2,4,12,2009,'M','N','PRESIDENTE MEDICI','CHAPECÓ','SC','124241241146371421536614245121610132147',10132,'182',57.91,4,2,1),(20,5197457,'1991-05-21 00:00:00',4,1,12,2008,'F','N','CAJURU','CURITIBA','PR','116161161117371441326429242124610126012',NULL,'9998',0.00,1,2,1),(20,5197465,'1991-04-29 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201201115272711336824375124221424057',6199,'9998',65.57,1,2,1),(20,5197481,'1991-11-29 00:00:00',4,1,11,2009,'M','N','CENTRO','VÁRZEA GRANDE','MT','111112111217111431376832575125610127147',12136,'9998',51.73,4,3,NULL),(20,5197490,'1992-01-15 00:00:00',2,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241132471711436639575114610124145',13502,'298',49.35,1,2,1),(20,5197503,'1991-09-01 00:00:00',2,1,12,2008,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','123241241116372421435624345124610148192',NULL,'288',43.06,1,2,1),(20,5197511,'1989-07-03 00:00:00',4,10,12,2006,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201111371731448619471124610167042',12804,'9998',52.74,4,3,NULL),(20,5197520,'1986-09-03 00:00:00',2,1,12,2004,'M','N','CAMPO DUNA','GAROPABA','SC','124241241121274741633619381214130232187',13885,'322',50.59,1,2,1),(20,5197538,'1962-06-14 00:00:00',2,1,12,1987,'F','N','CENTRO','FLORIANÓPOLIS','SC','224244241226143441461343135122331036092',7255,'305',63.31,1,3,NULL),(20,5197546,'1989-07-03 00:00:00',4,1,12,2006,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241216374431567934594124610167011',4892,'1118',68.00,1,3,NULL),(20,5197554,'1991-07-29 00:00:00',2,1,12,2008,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241137471431424514385124610148187',14189,'292',48.29,1,2,1),(20,5197570,'1991-12-14 00:00:00',4,10,12,2009,'F','N','OFICINAS','TUBARÃO','SC','624242241115151531438333582122610127052',NULL,'1034',20.83,2,3,NULL),(20,5197597,'1991-09-26 00:00:00',4,8,11,2009,'M','N','ATIRADORES','JOINVILLE','SC','124242161216121431456812575125610123126',2243,'9998',75.57,1,3,NULL),(20,5197600,'1991-05-19 00:00:00',4,1,11,2008,'M','N','LA SALLE','XANXERÊ','SC','124242241216271411447812175113610167057',NULL,'836',24.02,1,3,NULL),(20,5197619,'1986-11-09 00:00:00',2,1,12,2006,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124073241416273431268513471123222964197',4372,'269',69.85,1,3,NULL),(20,5197635,'1992-01-08 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431449914572124610124197',6480,'1022',63.23,1,3,NULL),(20,5197643,'1968-04-23 00:00:00',2,1,12,2001,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224201205334271451533352292124610168142',NULL,'9998',0.00,1,3,NULL),(20,5197651,'1991-12-15 00:00:00',2,1,12,2009,'F','N','JARDIM AMÉRICA','S LEOPOLDO','RS','120202201217151531449814576112610163157',NULL,'9998',0.00,1,3,NULL),(20,5197660,'1989-11-26 00:00:00',4,8,12,2007,'F','N','CAMPO LIMPO','S PAULO','SP','125252251216571431349711574122141433097',NULL,'9998',0.00,1,3,NULL),(20,5197678,'1992-03-29 00:00:00',2,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124111248215351751256632592122610117057',NULL,'967',17.31,1,3,NULL),(20,5197686,'1991-12-23 00:00:00',4,1,12,2008,'F','N','MONTE CASTELO','CPO GRANDE','MS','112122121212371431458823582222610134047',12023,'9998',51.98,1,3,NULL),(20,5197694,'1990-11-14 00:00:00',4,1,12,2008,'F','N','TUCURUVI','S PAULO','SP','125252251116571731468812582125610137146',972,'9998',80.63,1,3,NULL),(20,5197716,'1990-11-19 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124253251217471431559914575124610142195',963,'9998',80.47,1,3,NULL),(20,5197724,'1994-01-01 00:00:00',4,1,11,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242241216111411368814575124610128092',NULL,'723',66.57,4,3,NULL),(20,5197732,'1990-05-16 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216374431128619495124610131147',5919,'1026',63.29,1,3,NULL),(20,5197740,'1991-04-12 00:00:00',4,1,12,2008,'M','N','TRINDANDE','FLORIANÓPOLIS','SC','124241241215372431458911444114610138092',2166,'1123',76.29,1,3,NULL),(20,5197759,'1990-11-09 00:00:00',3,1,12,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215572431479931575112610162182',73,'270',90.92,1,3,NULL),(20,5197767,'1988-03-29 00:00:00',4,5,12,2005,'M','N','CENTRO','CRICIÚMA','SC','124242241216153511356533475122123064027',2939,'226',73.70,1,3,NULL),(20,5197775,'1990-11-30 00:00:00',4,2,12,2007,'M','N','VELHA','BLUMENAU','SC','124242241212453431569714372122233237012',9075,'87',59.83,1,3,NULL),(20,5197791,'1991-06-09 00:00:00',2,4,12,2008,'M','N','CENTRO','CURITIBA','PR','116242241217471531456619575115610167042',6226,'751',63.11,1,3,NULL),(20,5197805,'1989-11-14 00:00:00',2,1,12,2006,'F','N','BARRA DE IBIRAQUERA','FLORIANÓPOLIS','SC','124241241117373131423621142314610144187',12782,'359',50.74,1,2,1),(20,5197813,'1991-05-15 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201248326131722336949495124610162147',NULL,'9997',0.00,1,3,NULL),(20,5197821,'1992-09-20 00:00:00',4,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241215271431456819291124610117072',5050,'723',66.80,1,3,NULL),(20,5197864,'1988-06-17 00:00:00',4,1,12,2005,'M','N','JD NOVO HORIZONTE','MARINGÁ','PR','116162161217272431476933485112141067052',NULL,'9998',20.54,3,3,NULL),(20,5197872,'1984-11-18 00:00:00',2,1,12,2003,'M','N','PACHECO','PALHOÇA','SC','124241244127471722566613442113610127047',NULL,'593',32.88,1,3,NULL),(20,5197880,'1991-09-21 00:00:00',4,9,12,2008,'F','N','SANTA RITA','LAGES','SC','124243241116472431438914572112610131192',6369,'935',63.90,1,3,NULL),(20,5197899,'1993-04-15 00:00:00',4,1,12,2009,'M','N','BAIRRO ALTO','CURITIBA','PR','116281161217111431217821575124610161017',NULL,'9998',0.00,1,3,NULL),(20,5197902,'1990-04-24 00:00:00',4,1,12,2007,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241235372431359712575124133267041',12612,'1169',53.12,1,3,NULL),(20,5197910,'1991-09-11 00:00:00',2,1,12,2008,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241227132731433311345114610136192',NULL,'262',33.84,1,3,NULL),(20,5197937,'1989-01-31 00:00:00',2,8,12,2008,'M','N','GONZAGA','SANTOS','SP','125253251215371431558833571114610134187',13295,'9998',48.86,4,3,NULL),(20,5197945,'1988-05-23 00:00:00',4,1,12,2005,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241212575431369933472122230223097',NULL,'262',0.00,1,3,NULL),(20,5197953,'1992-05-28 00:00:00',4,1,10,2009,'M','N','JARDIM DAS BANDEIRAS','S PAULO','SP','125252251215111431478831575122610134122',NULL,'9998',0.00,1,3,NULL),(20,5197961,'1992-04-08 00:00:00',4,3,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161215411432479933572122610127042',5851,'9998',64.29,1,3,NULL),(20,5197970,'1989-12-05 00:00:00',4,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241248127371412423311375124610125197',NULL,'592',27.44,1,3,NULL),(20,5197988,'1992-07-31 00:00:00',4,8,12,2009,'F','N','JARDIM ARATIMBO','UMUARAMA','PR','116164161215111431343934575125610126147',9842,'9998',56.98,1,3,NULL),(20,5197996,'1991-11-24 00:00:00',2,15,7,2009,'M','N','COLONINHA','ARARANGUÁ','SC','124241246417131731533923571125610167057',14753,'995',45.00,1,3,NULL),(20,5198003,'1965-06-12 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','624241241427131711426341112121610162183',NULL,'9997',27.68,1,3,NULL),(20,5198046,'1993-06-10 00:00:00',4,1,12,2009,'F','N','SANTO ANTÔNIO','PTO ALEGRE','RS','120202201217111431588714572122610137142',NULL,'9998',26.19,1,3,NULL),(20,5198054,'1991-09-09 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSÉ','SC','124242241211274751556679592124221514192',5353,'270',66.85,1,3,NULL),(20,5198089,'1992-01-25 00:00:00',2,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','116243162136131431138733575124610168197',NULL,'9998',23.90,1,3,NULL),(20,5198097,'1990-12-01 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431447831575125120864181',11556,'270',55.21,1,3,NULL),(20,5198100,'1990-03-02 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124123241117273231438634385112133227047',NULL,'307',22.08,1,3,NULL),(20,5198127,'1992-04-17 00:00:00',2,8,11,2009,'M','N','CHAMPAGNAT','CURITIBA','PR','116162161215471451567934592122610126122',NULL,'9998',0.00,1,3,NULL),(20,5198143,'1988-06-14 00:00:00',4,1,12,2006,'M','N','FUNCIONARIOS','BELO HORIZONTE','MG','113132131216371731245822572122142864187',NULL,'9998',0.00,1,3,NULL),(20,5198151,'1991-10-31 00:00:00',4,10,11,2009,'M','N','CAÇADOR','CAPIVARI BAIXO','SC','124242241235271451266923575124610162012',8590,'797',60.77,1,3,NULL),(20,5198194,'1988-03-17 00:00:00',4,1,12,2005,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241117152431526619375124133264197',NULL,'17',0.00,1,2,1),(20,5198208,'1993-02-22 00:00:00',4,1,12,2010,'F','S','CACUPE','FLORIANÓPOLIS','SC','124242241215151431579813432112610134012',NULL,'262',64.65,1,3,NULL),(20,5198216,'1989-12-12 00:00:00',4,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124252241215575431527729575124133237047',14528,'1022',45.05,1,3,NULL),(20,5198224,'1991-02-16 00:00:00',2,1,12,2008,'F','N','CENTRO','BURITIS','MG','107134138416471341326618574224610127182',14172,'9998',46.15,4,3,NULL),(20,5198232,'1991-02-21 00:00:00',2,5,12,2008,'M','N','LARANJINHA','CRICIÚMA','SC','124242241212132431536614246124232827147',NULL,'213',24.56,1,3,NULL),(20,5198240,'1980-09-25 00:00:00',2,1,12,2000,'M','N','CAMPINAS','S JOSÉ','SC','124241241126474431235549142334610127057',NULL,'733',24.47,1,2,1),(20,5198259,'1991-07-21 00:00:00',4,1,12,2008,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091217472411448831572122610162052',243,'9998',87.36,3,3,NULL),(20,5198267,'1986-08-08 00:00:00',2,1,12,2003,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216143731427539395122231014053',NULL,'988',0.00,1,3,NULL),(20,5198275,'1991-03-05 00:00:00',4,1,11,2008,'M','N','JARDIM SAO DIMAS','S JOSÉ CAMPOS','SP','125222251216471431378933575114610164042',9001,'9998',56.81,4,3,NULL),(20,5198283,'1983-04-09 00:00:00',4,1,7,2009,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','624201248347311732223344442233610125182',NULL,'9997',0.00,4,3,NULL),(20,5198305,'1990-05-13 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215575411136632345122230264052',1516,'807',78.81,1,3,NULL),(20,5198313,'1990-07-06 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241315573431541344142124610133147',5884,'1050',65.56,1,3,NULL),(20,5198330,'1990-03-06 00:00:00',4,3,6,2009,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116163167227471411231824275124610166057',6752,'9998',60.50,1,3,NULL),(20,5198348,'1991-07-06 00:00:00',4,8,12,2008,'F','N','PIRABEIRABA','JOINVILLE','SC','124242241217372451433332576124130264197',4301,'459',70.04,1,3,NULL),(20,5198356,'1992-01-10 00:00:00',4,5,11,2009,'M','N','CENTRO','COCAL SUL','SC','124242241215113431558812575122610164072',NULL,'211',0.00,1,3,NULL),(20,5198364,'1988-12-31 00:00:00',2,1,9,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241116371431223329282124133232097',9840,'306',58.46,1,2,1),(20,5198372,'1991-03-22 00:00:00',4,8,12,2008,'F','N','SANTA CATARINA','JOINVILLE','SC','124242241215371431446632576124133262106',586,'459',83.91,1,3,NULL),(20,5198380,'1991-05-29 00:00:00',4,1,12,2009,'F','N','VILA CARVALHO','CPO GRANDE','MS','112122121216271731338831575122610168192',4409,'9998',68.00,1,3,NULL),(20,5198399,'1989-07-20 00:00:00',2,8,12,2006,'M','N','BUCAREIN','JOINVILLE','SC','124241246216271711466933345132610134113',NULL,'494',26.56,1,3,NULL),(20,5198410,'1991-06-16 00:00:00',4,6,10,2008,'F','N','CENTRO','NAVEGANTES','SC','124244241216371531429514575122143268032',9629,'937',55.54,1,3,NULL),(20,5198429,'1979-01-21 00:00:00',4,1,12,1996,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','624241245126275421343311235124222332147',NULL,'307',26.46,1,2,1),(20,5198437,'1992-11-22 00:00:00',2,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241116271431534335372121610127047',NULL,'21',19.91,1,2,1),(20,5198445,'1987-05-13 00:00:00',4,8,12,2004,'M','N','BOA VISTA','CURITIBA','PR','116254251116441431456829345114141432087',15765,'9998',40.54,1,3,NULL),(20,5198453,'1979-10-12 00:00:00',1,1,12,1997,'F','N','SERRARIA','S JOSÉ','SC','124241248126372431124443135124333234142',10308,'9997',57.60,1,2,1),(20,5198461,'1991-09-10 00:00:00',3,1,11,2008,'F','N','STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC','124241241116242711324413395134610152162',NULL,'271',25.88,1,2,1),(20,5198470,'1993-06-18 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111231438811572122610132122',NULL,'262',26.67,1,3,NULL),(20,5198488,'1991-07-18 00:00:00',2,8,12,2008,'F','N','PILARZINHO','CURITIBA','PR','116164161416412332569933272122610134144',3160,'9998',72.55,1,3,NULL),(20,5198500,'1991-03-07 00:00:00',4,1,12,2008,'M','N','CENTRO','TRÊS LAGOAS','MS','112122121216473731348831575122610168182',NULL,'9998',28.40,1,3,NULL),(20,5198526,'1989-07-08 00:00:00',2,4,2,2007,'M','N','INTERIOR','VITORINO','PR','116161161116473431453336175124610164097',4724,'9998',67.42,1,2,1),(20,5198534,'1980-08-25 00:00:00',2,5,12,1998,'F','N','SANTA AUGUSTA','CRICIÚMA','SC','124241243116141731343323435124331268147',NULL,'228',0.00,1,3,NULL),(20,5198577,'1980-02-11 00:00:00',4,1,12,1997,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124163161411152411168832421112143232042',11817,'9998',54.71,1,3,NULL),(20,5198585,'1987-05-19 00:00:00',4,1,12,2004,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241117272421136713245124133234122',6420,'306',65.10,1,2,1),(20,5198593,'1989-10-16 00:00:00',2,1,12,2007,'F','N','BIGUAÇU','BIGUAÇU','SC','124213241416234431445613185123610143191',NULL,'65',27.24,1,3,NULL),(20,5198631,'1990-06-26 00:00:00',3,1,12,2007,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241217152431388823574122221062131',3443,'262',72.26,1,3,NULL),(20,5198658,'1991-06-08 00:00:00',4,1,12,2008,'F','N','VILA VERDE','S PAULO','SP','125251251115472411434511345124610115077',8656,'9998',60.63,1,2,1),(20,5198666,'1968-03-03 00:00:00',4,1,3,2000,'M','N','LOURDES','CAXIAS SUL','RS','120203201222131121114348186324241027187',NULL,'9998',49.69,1,3,NULL),(20,5198674,'1989-11-24 00:00:00',2,1,11,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241121131431633624495234610164147',NULL,'281',23.31,4,3,NULL),(20,5198682,'1991-09-25 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241115472431337634575124610142122',7698,'552',60.96,1,3,NULL),(20,5198739,'1990-12-26 00:00:00',2,7,11,2007,'F','N','CENTRO','CURITIBA','PR','116243241211571451448832474125610132147',5486,'962',67.14,1,3,NULL),(20,5198747,'1989-11-28 00:00:00',4,17,12,2007,'M','N','CENTRO','PAPANDUVA','SC','124241241147152421546933312121221714187',NULL,'438',40.75,1,2,1),(20,5198755,'1988-01-11 00:00:00',2,8,12,2004,'F','N','SÃO FRANCISCO','AMPÉRE','PR','116163161315571431656632575122143122147',1448,'9998',78.45,1,3,NULL),(20,5198763,'1991-09-27 00:00:00',2,15,12,2008,'M','N','COLININHA','ARARANGUÁ','SC','124244241211132431449813245124231467055',NULL,'32',21.37,1,3,NULL),(20,5198771,'1990-12-28 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241215472411356431585124610124165',9397,'269',59.27,1,3,NULL),(20,5198798,'1986-09-27 00:00:00',2,4,12,2000,'F','N','MORADA DO SOL','SAUDADES','SC','124241241126171731523313295124332732147',NULL,'761',0.00,1,3,NULL),(20,5198801,'1992-09-28 00:00:00',4,15,12,2009,'M','N','VILA SANTA CATARINA','S JOÃO SUL','SC','124241242115161431413433572321610127052',NULL,'690',25.00,1,2,1),(20,5198810,'1991-06-26 00:00:00',4,4,12,2008,'F','N','TACCA','XANXERÊ','SC','124242241215413431559931174125610127187',NULL,'836',0.00,1,3,NULL),(20,5198828,'1990-07-16 00:00:00',2,1,12,2007,'M','N','SÃO CRISTÓVÃO','TURVO','SC','124241241116573431357633384321610126062',5678,'814',66.74,1,2,1),(20,5198836,'1992-06-02 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115331532228469575124610134117',14509,'733',47.89,1,2,1),(20,5198844,'1990-12-21 00:00:00',4,8,12,2008,'M','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161215471331558832474122610167057',1485,'9998',78.94,3,3,NULL),(20,5198852,'1990-04-01 00:00:00',4,10,12,2007,'M','N','OFICINAS','TUBARÃO','SC','124243241312372441336313485112122866082',5064,'807',68.14,1,3,NULL),(20,5198879,'1987-12-07 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241136134431544379492214610117042',15841,'307',44.89,1,2,1),(20,5198887,'1978-05-22 00:00:00',4,1,12,1998,'M','N','CRISTAL','PTO ALEGRE','RS','120201201116111411433812244324241424112',NULL,'9998',21.26,1,3,NULL),(20,5198895,'1992-01-24 00:00:00',2,16,12,2008,'F','N','CENTRO','CURITIBANOS','SC','124241241114232431313861575324610166015',15751,'831',45.26,1,3,NULL),(20,5198917,'1990-12-22 00:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124202201116371711522624215124610163112',NULL,'9998',0.00,1,3,NULL),(20,5198933,'1992-03-11 00:00:00',4,6,11,2009,'M','N','SAO JUDAS','ITAJAÍ','SC','124242241216111631488812575122610122072',NULL,'9997',0.00,1,3,NULL),(20,5198976,'1991-06-04 00:00:00',4,5,12,2008,'M','N','SANTA LUZIA','CRICIÚMA','SC','124242246217142411439931345122231467182',16076,'995',43.58,1,3,NULL),(20,5198992,'1991-06-09 00:00:00',3,2,12,2008,'F','N','BREHMER','RIO SUL','SC','124242241215151411426731312122610126154',14747,'663',48.60,1,3,NULL),(20,5199000,'1990-09-08 00:00:00',4,1,12,2007,'F','N','NOSSA SRA DE LOUDES','JOAÇABA','SC','124242241216573431469813572124610126197',10631,'446',53.80,1,3,NULL),(20,5199034,'1983-07-30 00:00:00',2,1,12,2001,'F','N','CENTRO','GUARANIAÇU','PR','116161161116151431231923345124140626077',13023,'9998',52.32,4,3,NULL),(20,5199042,'1986-05-21 00:00:00',2,1,12,2004,'F','N','BARREIROS','S JOSÉ','SC','124241241117133711433319395114610164147',NULL,'734',24.72,1,3,NULL),(20,5199050,'1988-03-31 00:00:00',4,1,12,2005,'M','N','JARDIM SANTA RITA','INDAIATUBA','SP','125252251416571731448631315134610132097',9239,'9998',57.77,1,3,NULL),(20,5199069,'1988-06-30 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215575431327762574114123243147',456,'270',84.95,1,3,NULL),(20,5199077,'1980-08-12 00:00:00',4,1,12,1998,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216132431431349395334610157187',NULL,'1134',26.12,1,3,NULL),(20,5199085,'1989-12-26 00:00:00',2,1,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161216521731248823571122610165187',NULL,'9998',0.00,1,3,NULL),(20,5199093,'1982-12-24 00:00:00',4,1,6,2001,'M','N','ROÇADO','S JOSÉ','SC','124243243116154431448633485123610132057',6939,'306',63.97,3,3,NULL),(20,5199107,'1990-02-06 00:00:00',2,1,11,2007,'F','N','CAMPINAS','S JOSÉ','SC','124243241216373431359614576114121464092',4667,'737',67.99,1,3,NULL),(20,5199115,'1991-09-06 00:00:00',2,2,12,2009,'F','N','BOA VISTA','RIO SUL','SC','124244241415131431555823582122610124187',14360,'991',49.59,1,3,NULL),(20,5199123,'1979-10-18 00:00:00',4,1,7,2003,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241136131731639629375114610118195',NULL,'281',27.90,1,3,NULL),(20,5199131,'1991-03-20 00:00:00',2,4,11,2008,'F','N','CENTRO','ERECHIM','RS','120202201216473411438812575122610127147',6259,'9998',63.98,1,3,NULL),(20,5199140,'1992-03-31 00:00:00',2,8,12,2009,'F','N','ESPIGÃO DO BUGRE','MAFRA','SC','124241241117271411623611571124610136171',NULL,'544',27.45,1,2,1),(20,5199174,'1991-10-07 00:00:00',4,6,12,2008,'F','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124241241115374331238933392124231437187',NULL,'271',43.33,1,2,1),(20,5199182,'1991-03-02 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162241215372741243534445124610164095',2205,'1022',75.66,1,3,NULL),(20,5199190,'1989-12-10 00:00:00',2,1,12,2007,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124244241116273731348823445134610164197',NULL,'733',32.53,1,3,NULL),(20,5199204,'1990-12-29 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242247317373741356923495124610166182',2559,'9999',74.92,3,3,NULL),(20,5199263,'1992-06-16 00:00:00',4,16,12,2009,'M','N','SÃO LUIZ','CURITIBANOS','SC','124241241147141431329713295122610138042',NULL,'239',21.68,1,2,1),(20,5199271,'1989-02-17 00:00:00',2,8,12,2006,'F','N','CENTRO','CURITIBA','PR','111111111236571431438815572315610167147',4239,'9998',68.64,1,3,NULL),(20,5199298,'1991-06-04 00:00:00',4,8,11,2008,'F','N','REBOUÇOS','CURITIBA','PR','116162161217471731448816572115610124092',NULL,'9998',39.28,4,3,NULL),(20,5199301,'1984-07-18 00:00:00',2,8,12,2001,'F','N','ÁGUA VERDE','CURITIBA','PR','116253251215571422446636471115343264187',1483,'9998',78.64,1,3,NULL),(20,5199328,'1992-06-28 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241415151432558414575114610132075',NULL,'257',40.63,1,3,NULL),(20,5199336,'1978-08-05 00:00:00',4,1,2,1997,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124203201316132421226679395124142866182',NULL,'9998',0.00,1,3,NULL),(20,5199344,'1987-05-18 00:00:00',2,1,12,2005,'M','N','CENTRO','S JOAQUIM','SC','124243241117474411338421225124230722097',14017,'9999',50.36,1,3,NULL),(20,5199360,'1983-02-28 00:00:00',4,1,12,2000,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241136371711123644245124132132147',NULL,'470',31.64,1,3,NULL),(20,5199387,'1980-11-12 00:00:00',4,8,12,1997,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','216162161216372421237843435124341337097',9112,'9998',56.45,1,3,NULL),(20,5199395,'1985-08-29 00:00:00',4,1,12,2003,'M','N','VILA ROCHA','RIO VERDE','GO','109133131417371431436411426132140767112',NULL,'9998',0.00,4,3,NULL),(20,5199409,'1973-06-01 00:00:00',4,1,12,1990,'M','N','AREIAS','TIJUCAS','SC','624243241122131431421544342112610116047',15168,'783',47.35,4,3,NULL),(20,5199425,'1979-10-02 00:00:00',2,1,12,1998,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241146154721273343235122333212047',NULL,'591',0.00,1,2,1),(20,5199433,'1991-09-14 00:00:00',2,4,12,2008,'F','N','SANTA LUZIA','ABELARDO LUZ','SC','124243241312272431537616275122610126152',NULL,'1159',28.47,1,3,NULL),(20,5199441,'1990-03-20 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216373431248831575112131422092',7962,'269',60.07,1,3,NULL),(20,5199476,'1986-05-01 00:00:00',4,1,11,2003,'M','N','PARQUE SAO JORGE','FLORIANÓPOLIS','SC','124242241216273431489933575122221467175',1609,'270',78.44,1,3,NULL),(20,5199484,'1992-05-15 00:00:00',4,2,12,2009,'F','N','VILA ANDRADE','S PAULO','SP','125251251127141731426619295135610117072',NULL,'9998',25.60,1,2,1),(20,5199492,'1991-04-10 00:00:00',4,2,11,2008,'M','N','CENTRO','PNT GROSSA','PR','116162161217572411438811472125610167042',1505,'9998',78.38,1,3,NULL),(20,5199506,'1988-11-23 00:00:00',4,5,11,2005,'M','N','CRUZEIRO DO SUL','CRICIÚMA','SC','624242241212273431459834345121230224047',3084,'229',71.98,1,3,NULL),(20,5199514,'1990-06-17 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241247337111421427611285124610114017',NULL,'1076',21.03,1,3,NULL),(20,5199522,'1970-07-15 00:00:00',4,1,12,1987,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241243126155731134343332234320662097',NULL,'9997',35.19,1,2,1),(20,5199530,'1991-09-17 00:00:00',2,1,12,2009,'F','N','CENTRO','IRAPURU','SP','125251251217111431548811575122610133112',13785,'9998',48.14,1,3,NULL),(20,5199549,'1987-08-25 00:00:00',2,1,12,2004,'M','N','FLORESTA','S JOSÉ','SC','124242241216273431458611445134122734182',14857,'738',48.29,1,3,NULL),(20,5199557,'1990-04-18 00:00:00',4,3,12,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242241215474431466512575122230421072',4164,'486',70.08,1,3,NULL),(20,5199565,'1989-01-11 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115473411628619341144121664152',13076,'267',52.22,4,2,1),(20,5199581,'1990-08-18 00:00:00',3,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431476914372122610122147',591,'262',83.90,1,3,NULL),(20,5199590,'1988-03-14 00:00:00',2,1,12,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241336272431568613475114610127142',NULL,'1003',40.02,1,3,NULL),(20,5199603,'1992-02-07 00:00:00',4,1,12,2009,'F','N','JARDIM SÃO MIGUEL','BIGUAÇU','SC','124241241225111431433319585114610124192',10210,'262',56.45,1,3,NULL),(20,5199611,'1990-09-30 00:00:00',4,1,12,2009,'M','N','JOANA DARC','VITÓRIA','ES','108081081117471431525613475124610167042',8546,'9998',59.18,2,2,1),(20,5199620,'1984-08-30 00:00:00',2,1,11,2002,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241232272421358813412122333257187',13327,'262',51.70,1,3,NULL),(20,5199654,'1988-01-12 00:00:00',2,4,12,2006,'M','N','JARDIM DAS MACAUBAS','CPO GRANDE','MS','112111111117371431523339385124610131147',NULL,'9998',28.46,1,3,NULL),(20,5199689,'1987-11-27 00:00:00',2,1,12,2005,'M','N','FARROUPILHA','IVOTI','RS','120254201436571431338521385121143264172',10043,'9998',54.84,3,3,NULL),(20,5199697,'1989-08-17 00:00:00',2,4,11,2006,'F','N','CENTRO','CASCAVEL','PR','116161161416571231435612271112610164182',NULL,'9998',0.00,3,3,NULL),(20,5199735,'1972-03-03 00:00:00',2,1,12,2004,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224246247647132421435349195122610166097',NULL,'9999',26.59,2,3,NULL),(20,5199751,'1992-12-13 00:00:00',4,1,12,2009,'F','N','CENTRO','CAMPOS NOVOS','SC','124241241117161751236733342322610118042',NULL,'139',25.58,1,2,1),(20,5199760,'1993-02-05 00:00:00',2,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124201201116151411325516282324610126147',NULL,'9998',0.00,1,3,NULL),(20,5199778,'1981-03-19 00:00:00',2,1,12,1998,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241317212411353329332112133018187',NULL,'300',27.81,1,3,NULL),(20,5199786,'1988-10-24 00:00:00',2,16,12,2005,'M','N','CENTRO','CURITIBANOS','SC','124243241213274411468813285123231467072',NULL,'881',45.41,1,3,NULL),(20,5199808,'1993-03-09 00:00:00',4,3,12,2009,'F','N','ALTO SÃO FRANCISCO','UMUARAMA','PR','116161161117131421436913335123610115092',NULL,'9998',0.00,1,3,NULL),(20,5199824,'1981-08-20 00:00:00',5,1,11,1998,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124162161217132411124411385123610128117',NULL,'9998',0.00,1,3,NULL),(20,5199840,'1991-04-26 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242241215132731448633232124610127077',9072,'1022',56.64,1,3,NULL),(20,5199859,'1992-02-28 00:00:00',4,7,12,2009,'F','N','CENTRO','OURO','SC','124243241217151411536711475125610168182',6958,'1093',61.46,1,3,NULL),(20,5199867,'1990-07-13 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115142411548833142124610116127',14542,'267',46.33,4,2,1),(20,5199875,'1988-05-15 00:00:00',2,1,12,2005,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241122474411554313285124223024191',12743,'307',49.27,1,2,1),(20,5199883,'1987-01-13 00:00:00',4,1,12,2004,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241212174411456834495124610166182',7343,'300',63.15,1,3,NULL),(20,5199891,'1995-05-10 00:00:00',4,1,12,2011,'F','S','PONTE DO IMARUIM','PALHOÇA','SC','124244241115111411436839575122610135102',NULL,'739',46.17,1,3,NULL),(20,5199905,'1992-07-08 00:00:00',2,3,12,1992,'M','N','TABOLEIRO','CAMBORIÚ','SC','124241241137141431436614245121610137052',NULL,'49',28.95,1,2,1),(20,5199913,'1993-02-07 00:00:00',2,4,11,2010,'F','S','CENTRO','ITAPIRANGA','SC','124241241415151731336923575125610126022',NULL,'1060',34.61,1,3,NULL),(20,5199921,'1974-08-23 00:00:00',4,15,12,1991,'M','N','VILA SAO JOSE','ARARANGUÁ','SC','124201206137151421133942225122141717165',13533,'9998',51.32,1,2,1),(20,5199930,'1990-03-02 00:00:00',2,1,12,2007,'F','N','REAL PARQUE','S JOSÉ','SC','124241241117372421533631345134610125147',NULL,'734',31.03,1,2,1),(20,5199948,'1985-09-05 00:00:00',4,1,12,2002,'M','N','CENTRO','PALHOÇA','SC','124242241215375441458642225124120816052',815,'589',82.38,1,3,NULL),(20,5199964,'1990-01-03 00:00:00',2,8,12,2007,'F','N','CENTRO','RESERVA','PR','116161161216473421546612372112610124187',4132,'9998',70.00,1,3,NULL),(20,5199972,'1981-04-03 00:00:00',2,8,12,1997,'F','N','ÁGUA VERDE','CURITIBA','PR','216163161436572421458562474124342962142',5299,'9998',65.92,1,3,NULL),(20,5199980,'1992-07-11 00:00:00',2,6,11,2009,'F','N','SÃO VICENTE','ITAJAÍ','SC','124244241217271431626531272124610115072',11223,'391',52.23,1,3,NULL),(20,5199999,'1988-02-26 00:00:00',4,1,12,2005,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241121132431445734345122610127063',NULL,'945',27.83,2,1,1),(20,5200016,'1989-08-12 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124161161116141431266843335122240266047',NULL,'9998',0.00,1,2,1),(20,5200024,'1987-02-04 00:00:00',4,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116373421436637442124610134147',NULL,'257',33.72,1,2,1),(20,5200032,'1990-08-29 00:00:00',4,8,12,2008,'F','N','VILA NOVA','JOINVILLE','SC','124241241136131721123344245224610166147',NULL,'488',0.00,4,2,1),(20,5200059,'1992-08-08 00:00:00',4,6,11,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161217371431348734575122610144092',3508,'9998',72.11,1,3,NULL),(20,5200067,'1983-04-27 00:00:00',4,1,12,2001,'M','N','JD ELDORADO','PALHOÇA','SC','124241247327131431636527242333130227037',12130,'9999',54.11,1,3,NULL),(20,5200075,'1991-04-15 00:00:00',2,4,11,2008,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','116241241415371431466933571122610167077',3666,'983',71.71,4,3,NULL),(20,5200083,'1985-10-29 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116374721333611245124610127111',16149,'359',43.06,1,2,1),(20,5200091,'1991-04-28 00:00:00',2,4,12,2008,'M','N','SANTA TEREZINHA','PATO BRANCO','PR','116163161215471741356632575122610167062',3498,'9998',70.55,1,3,NULL),(20,5200130,'1986-02-23 00:00:00',2,1,12,2005,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241146155721538414244124233227047',NULL,'288',0.00,2,1,1),(20,5200148,'1992-02-29 00:00:00',4,8,11,2009,'M','N','CENTRO','IRATI','PR','116164161431471711435534375124610148097',NULL,'9998',0.00,1,3,NULL),(20,5200156,'1988-01-27 00:00:00',4,8,12,2005,'F','N','SAN REMO','LONDRINA','PR','116163161416571431268622572124610146147',672,'9998',83.40,1,3,NULL),(20,5200172,'1963-03-29 00:00:00',2,1,12,2008,'M','N','JÓAIA','TIJUCAS','SC','124241247136132411221148155124610136042',NULL,'9999',44.06,2,1,1),(20,5200180,'1992-11-04 00:00:00',2,7,12,2009,'M','N','CAETANO BRANCO','LUZERNA','SC','124241241115271542436816374124610167052',9745,'539',55.74,1,2,1),(20,5200199,'1992-09-22 00:00:00',4,1,12,2009,'F','N','CENTRO','BRASÓPOLIS','MG','113134131216121411326529572124610132012',2366,'9998',74.19,1,3,NULL),(20,5200202,'1991-12-27 00:00:00',4,1,12,2008,'M','N','JD NOVO HORIZONTE','MARINGÁ','PR','116161161217472441489934575112610162096',22,'9998',94.29,1,3,NULL),(20,5200210,'1985-11-29 00:00:00',2,1,12,2004,'F','N','SERTÃO','STO AMARO IMPERATRIZ','SC','124241241127131722521329182323610125147',NULL,'293',25.46,1,2,1),(20,5200229,'1991-05-17 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247217211751319613575112610147187',NULL,'9999',21.64,1,3,NULL),(20,5200237,'1991-06-11 00:00:00',4,1,11,2009,'M','N','GRANJA VIANA','CARAPICUÍBA','SP','125252251217111411336611315124610167052',NULL,'9998',34.76,1,3,NULL),(20,5200245,'1992-05-21 00:00:00',2,1,12,2009,'M','N','CENTRO','TRÊS B PARANÁ','PR','116161161117411311448611585115610167057',NULL,'9998',0.00,1,2,1),(20,5200253,'1991-12-08 00:00:00',4,8,10,2009,'M','N','JARDIM COLIBRI','EMBU','SP','125252251216112411448831341124610137112',6839,'9998',62.01,1,3,NULL),(20,5200261,'1992-12-13 00:00:00',4,2,12,2009,'M','N','CANTA GALO','RIO SUL','SC','124243241117271431437732595125610116192',NULL,'659',0.00,1,3,NULL),(20,5200270,'1991-10-21 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241115472431358923395115610167187',4733,'307',68.33,4,3,NULL),(20,5200288,'1987-02-02 00:00:00',3,1,7,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124251247126134431326569571324610166177',NULL,'9999',0.00,1,2,1),(20,5200296,'1991-10-12 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124164161216471431676614575114232142042',10162,'9998',55.40,1,3,NULL),(20,5200300,'1989-07-05 00:00:00',2,1,4,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247147472431643314342124610164155',11656,'9999',55.01,1,2,1),(20,5200326,'1991-06-13 00:00:00',4,8,12,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124163241416151431565414445114610136032',14255,'464',49.82,1,3,NULL),(20,5200334,'1990-07-17 00:00:00',4,1,11,2008,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215273431366612575114132412092',NULL,'270',0.00,1,3,NULL),(20,5200342,'1993-02-26 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241112271431436314442122610127042',15717,'287',42.59,1,3,NULL),(20,5200369,'1988-03-19 00:00:00',4,1,11,2005,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116164161416573431567831575125610117012',10079,'9998',58.00,1,3,NULL),(20,5200377,'1991-12-09 00:00:00',4,8,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116164161216472431349474575122610133057',6115,'9998',63.36,1,3,NULL),(20,5200385,'1992-04-29 00:00:00',4,8,12,2009,'M','N','COLINA VERDE','VIDEIRA','SC','116161161215111431546812194122610166191',885,'9998',81.98,1,3,NULL),(20,5200393,'1989-08-11 00:00:00',2,4,12,2003,'M','N','CINQUENTENARIO','CONCÓRDIA','SC','124241241327171731126644442331610147042',NULL,'734',41.43,4,3,NULL),(20,5200407,'1988-03-15 00:00:00',2,5,11,2005,'F','N','PRÓSPERA','CRICIÚMA','SC','124244241112373411539814282124133225082',14590,'228',49.03,1,3,NULL),(20,5200415,'1992-04-25 00:00:00',2,4,11,2009,'F','N','SAIC','CHAPECÓ','SC','124241241111271751326336332124610127147',NULL,'169',0.00,1,2,1),(20,5200423,'1992-06-01 00:00:00',2,4,12,2009,'M','N','INTERIOR','CENTENÁRIO','RS','120201201226161231343336595124610144042',6172,'9998',63.68,1,3,NULL),(20,5200431,'1980-09-22 00:00:00',4,1,12,1997,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124201201116372421338653412114343228187',NULL,'9998',0.00,4,2,1),(20,5200440,'1991-08-14 00:00:00',2,4,12,2009,'F','N','ESPORTES','XANXERÊ','SC','124241246111371411336613575122610114143',14130,'840',46.73,1,2,1),(20,5200458,'1990-12-12 00:00:00',4,2,12,2008,'F','N','ASILO','BLUMENAU','SC','124243241115271431439714475124610142092',8714,'87',58.62,1,3,NULL),(20,5200466,'1988-10-16 01:00:00',2,8,12,2005,'F','N','CENTRO','CANOINHAS','SC','124241241216575411369922573125610166172',6742,'154',64.38,1,3,NULL),(20,5200474,'1990-04-09 00:00:00',4,8,12,2007,'M','N','COLONIAL','S BENTO SUL','SC','124241241417571411547612475122143266142',3589,'1073',69.68,1,3,NULL),(20,5200482,'1992-01-07 00:00:00',2,4,10,2009,'M','N','CENTRO','ERECHIM','RS','120202201215111211476612572112610167042',7980,'9998',59.97,1,3,NULL),(20,5200490,'1988-06-21 00:00:00',4,1,12,2006,'M','N','JARDIM AVELINO','S PAULO','SP','125252257437131731345514345123141038177',9543,'9998',57.11,1,3,NULL),(20,5200504,'1976-09-18 00:00:00',4,1,12,1997,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241426142431128644245122230212185',NULL,'1003',21.62,1,3,NULL),(20,5200512,'1990-09-25 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216272431368832575122230234142',NULL,'991',0.00,1,3,NULL),(20,5200520,'1991-11-15 00:00:00',2,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241211311431536633375122610167037',NULL,'9997',25.45,1,3,NULL),(20,5200539,'1988-07-07 00:00:00',5,1,11,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216575431436923375324232446147',3912,'1035',69.97,4,3,NULL),(20,5200547,'1992-07-27 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241112271431533319292122610127042',NULL,'287',18.72,1,2,1),(20,5200555,'1993-07-20 00:00:00',4,4,12,2010,'M','S','INTERIOR','LAJEADO GRANDE','SC','124241241117151411254615152222610138042',NULL,'526',23.30,1,3,NULL),(20,5200563,'1981-12-11 00:00:00',4,1,12,2000,'M','N','INGLESES','FLORIANÓPOLIS','SC','224252251112131431228744342124610128187',9730,'9998',58.69,1,3,NULL),(20,5200580,'1991-06-17 00:00:00',2,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116052051112311431613619576325610166172',NULL,'9998',22.95,4,3,NULL),(20,5200598,'1986-10-01 00:00:00',2,1,12,2004,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241416272221436313447123610166197',10059,'738',54.95,1,3,NULL),(20,5200601,'1992-09-14 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241215112531643932345122610128172',8813,'407',58.43,1,3,NULL),(20,5200610,'1986-09-18 00:00:00',4,1,12,2003,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124202071217371431439819495124241513097',NULL,'9998',31.74,1,3,NULL),(20,5200628,'1992-12-12 00:00:00',2,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241415111441346921395115610164037',NULL,'44',0.00,1,3,NULL),(20,5200636,'1988-06-22 00:00:00',2,1,12,2005,'F','N','CENTRO','LAGES','SC','124242241215575441346632572324610166017',1061,'499',80.94,4,3,NULL),(20,5200644,'1992-02-20 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124244241216133411344412575122610135142',NULL,'817',44.17,4,3,NULL),(20,5200652,'1991-09-07 00:00:00',4,7,11,2008,'F','N','MATINHO','XANXERÊ','SC','124242241216471431446832275222610162047',6763,'836',64.34,1,3,NULL),(20,5200660,'1966-03-15 00:00:00',2,1,12,1982,'F','N','PANTANO DO UL','FLORIANÓPOLIS','SC','624204204116131411246451495122340632027',NULL,'9998',0.00,1,3,NULL),(20,5200679,'1990-04-23 00:00:00',4,8,12,2007,'M','N','VILA ESTRELA','PNT GROSSA','PR','116162161215571431588811471112610167092',NULL,'9998',0.00,1,3,NULL),(20,5200687,'1989-05-23 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124132131216471431569815575125141131012',2011,'9998',76.83,4,3,NULL),(20,5200695,'1987-01-02 00:00:00',4,1,12,2004,'M','N','AREIAS','S JOSÉ','SC','124242241222132531248813482235320262153',3634,'738',71.79,1,3,NULL),(20,5200709,'1993-07-22 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241216111151469911575125610118107',9532,'213',59.01,1,3,NULL),(20,5200717,'1990-03-08 00:00:00',4,1,12,2007,'M','N','JARDIM GRUTNER','MARIALVA','PR','116162161215271231568616575112140844056',NULL,'9998',18.95,1,3,NULL),(20,5200733,'1991-03-05 00:00:00',2,1,12,2008,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124241241112372431434314145124610132017',NULL,'298',25.97,1,2,1),(20,5200741,'1992-01-27 00:00:00',2,10,12,2009,'F','N','RIO PINHEIROS','S LUDGERO','SC','124243241215132431436616575123610167142',9200,'950',57.49,1,3,NULL),(20,5200750,'1992-08-10 00:00:00',4,2,12,2009,'F','N','CENTRO','ITUPORANGA','SC','124243241317141431366821242122610145142',NULL,'415',24.67,1,3,NULL),(20,5200768,'1991-02-06 00:00:00',4,8,12,2008,'M','N','CRISTO REI','CURITIBA','PR','116162161215472731457833594114610164072',3265,'9998',71.04,1,3,NULL),(20,5200776,'1989-07-05 00:00:00',4,4,12,2006,'F','N','CENTRO','VERÊ','PR','116161161136573411332214575124610116192',13520,'9998',48.77,1,2,1),(20,5200784,'1990-04-06 00:00:00',4,1,12,2007,'M','N','VICTOR KONDER','BLUMENAU','SC','124244241436472431146822325122130712172',5798,'84',66.46,1,3,NULL),(20,5200792,'1984-08-12 00:00:00',2,6,12,2004,'F','N','RIO BRANCO','BRUSQUE','SC','224241247621241311223354145233133236057',NULL,'9999',0.00,1,3,NULL),(20,5200806,'1991-11-13 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431369833575124610124182',7238,'270',63.34,1,3,NULL),(20,5200822,'1993-12-17 00:00:00',2,1,12,2010,'F','S','CAMPINAS','S JOSÉ','SC','124241248215111431436512592125610115012',NULL,'737',28.49,1,3,NULL),(20,5200830,'1990-01-03 00:00:00',4,1,12,2007,'M','N','N S DE LOURDES','STA MARIA','RS','120201201136471431326611375122141448191',1051,'9998',79.33,1,2,1),(20,5200849,'1971-02-19 00:00:00',2,1,12,2009,'M','N','JARDIM SAVEIRO','BIGUAÇU','SC','224241247617131731628643432324610128067',NULL,'9999',30.62,1,3,NULL),(20,5200857,'1987-01-28 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241211374431459713491122133227111',5819,'270',66.08,1,3,NULL),(20,5200865,'1992-07-25 00:00:00',2,2,12,2009,'F','N','CENTRO','FRAIBURGO','SC','124241241132142731536631315132610134147',NULL,'314',40.40,1,2,1),(20,5200873,'1992-08-24 00:00:00',2,4,12,2009,'F','N','PRESIDENTE MEDICE','CHAPECÓ','SC','124243241117271711328673235224610165012',15662,'182',42.50,1,3,NULL),(20,5200881,'1992-07-29 00:00:00',4,8,11,2009,'M','N','ATIRADORES','JOINVILLE','SC','124073241315111431468819575112610168042',11072,'1063',56.13,1,3,NULL),(20,5200890,'1989-01-12 00:00:00',2,9,12,2006,'M','N','ATERRADO','POUSO REDONDO','SC','124241241112474411434336574224610125147',2657,'639',74.40,1,2,1),(20,5200911,'1992-04-10 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241215371411436633574124610136191',12363,'1118',51.26,1,3,NULL),(20,5200920,'1991-08-04 00:00:00',2,1,12,2008,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124243241316131431436329172214610163017',NULL,'300',27.55,3,3,NULL),(20,5200938,'1989-10-18 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241237574431447833493324231066167',7842,'270',59.79,4,1,2),(20,5200946,'1992-02-14 00:00:00',4,8,11,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241215471432469912574122610127062',3353,'1063',71.88,1,3,NULL),(20,5200962,'1992-04-20 00:00:00',4,17,12,2009,'M','N','CENTRO','MAFRA','SC','124241248115271431427614575123610117047',NULL,'542',24.08,1,2,1),(20,5200970,'1992-09-09 00:00:00',4,4,12,2009,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241411111731435839142124610115142',NULL,'752',0.00,1,3,NULL),(20,5200989,'1993-02-18 00:00:00',4,16,12,2010,'M','S','CENTRO','MTE CARLO','SC','124241242116111231448913365122610112142',NULL,'936',35.06,1,3,NULL),(20,5201004,'1992-05-15 00:00:00',4,8,12,2009,'M','N','CENTRO','S BENTO SUL','SC','124241241215371431563611595122610127092',6324,'974',62.10,1,3,NULL),(20,5201012,'1987-10-08 00:00:00',2,1,8,2005,'M','N','KOBRASOL','S JOSÉ','SC','124243247335573431346623575124610162187',5119,'9999',66.91,4,3,NULL),(20,5201020,'1991-10-04 00:00:00',4,8,12,2008,'M','N','VILA NOVA MAZZEI','S PAULO','SP','125252253131271111468613231125610164117',NULL,'9998',64.46,4,3,NULL),(20,5201039,'1992-07-28 00:00:00',2,1,12,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241315111431535611495122610122092',NULL,'1134',29.61,1,3,NULL),(20,5201047,'1991-05-15 00:00:00',4,9,12,2008,'M','N','MARTORANO','S JOAQUIM','SC','124244241215372431366816575122610167012',NULL,'1035',30.17,1,3,NULL),(20,5201071,'1992-01-12 00:00:00',2,4,12,2009,'F','N','INTERIOR','ANCHIETA','SC','124241241115161431323316593224610115147',NULL,'16',26.88,1,2,1),(20,5201080,'1971-04-23 00:00:00',4,1,12,1988,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242246111135421338619441124321664192',6419,'303',65.10,1,3,NULL),(20,5201098,'1991-05-11 00:00:00',2,4,12,2009,'M','N','CENTRO','VITORINO','PR','116161166117371431226629375124610144042',5482,'9998',64.95,4,2,1),(20,5201101,'1983-02-18 00:00:00',2,1,12,2000,'F','N','ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC','124242241217134421122844144114133222187',15518,'1022',46.23,1,3,NULL),(20,5201110,'1992-03-07 00:00:00',4,8,12,2009,'F','N','SAUDADE','ARAÇATUBA','SP','125252251216111421458831575112610164122',NULL,'9998',0.00,1,3,NULL),(20,5201128,'1959-08-11 00:00:00',4,15,12,1977,'M','N','CENTRO','TERRA AREIA','RS','220243201326151411564443432134610162097',NULL,'9998',25.42,1,3,NULL),(20,5201136,'1992-12-04 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241211171431559713492124610127111',NULL,'1022',29.98,1,3,NULL),(20,5201144,'1992-01-31 00:00:00',4,6,11,2009,'M','N','CENTRO','NAVEGANTES','SC','124242241215111431558613472112610128122',NULL,'1026',0.00,1,3,NULL),(20,5201160,'1989-08-22 00:00:00',4,1,12,2006,'F','N','ALEGRE','RIO NEGRINHO','SC','124243241216573731555612375125610147092',90,'1022',90.35,1,3,NULL),(20,5201179,'1992-11-01 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624242241235131731526614372112610117042',13686,'1134',50.97,1,3,NULL),(20,5201187,'1990-09-10 00:00:00',2,1,6,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124252257617151731328829471114231024112',NULL,'9998',23.78,1,3,NULL),(20,5201195,'1992-12-23 00:00:00',4,8,12,2009,'F','N','ROCIO PEQUENO','S FRANCISCO SUL','SC','124244241231411431527829574124610126042',NULL,'1016',22.95,1,3,NULL),(20,5201209,'1989-02-17 00:00:00',4,10,11,2006,'M','N','DEHON','TUBARÃO','SC','124242241212271411226421485122130233197',NULL,'806',0.00,4,3,NULL),(20,5201217,'1990-08-21 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215372731485922572124120767042',1298,'270',79.75,1,3,NULL),(20,5201233,'1989-04-23 00:00:00',2,1,11,2006,'F','N','ROÇADO','S JOSÉ','SC','124242241214575421588811492122233135017',6200,'270',64.90,1,3,NULL),(20,5201241,'1991-03-02 00:00:00',4,8,12,2008,'M','N','CENTRO','RIO NEGRINHO','SC','124243241214472431637811482124610167042',NULL,'633',52.55,1,3,NULL),(20,5201250,'1992-07-28 00:00:00',4,4,12,2009,'F','N','INTERIOR','ANCHIETA','SC','124241241115161411425426572344610116147',NULL,'16',32.35,1,2,1),(20,5201268,'1992-02-28 00:00:00',4,8,12,2009,'M','N','JARAGUA ESQUERDO','JARAGUÁ SUL','SC','124241241215111331538414575122610137042',NULL,'441',0.00,1,3,NULL),(20,5201276,'1992-10-23 00:00:00',4,9,11,2009,'F','N','MARTORANO','S JOAQUIM','SC','124244241416151431669923575122610128147',13294,'1035',49.32,1,3,NULL),(20,5201292,'1992-07-14 00:00:00',4,8,12,2009,'F','N','VILA PINHEIRINHO','S MATEUS SUL','PR','116162161215471431427834275125610134145',10278,'9998',55.04,1,3,NULL),(20,5201306,'1990-06-19 00:00:00',2,10,12,2008,'F','N','SANTO ANDRÉ','CAPIVARI BAIXO','SC','124241241215371421328324175124610125147',NULL,'797',24.59,1,3,NULL),(20,5201314,'1990-03-23 00:00:00',2,1,12,2007,'M','N','CENTRO','MARIALVA','PR','116162161215371431546612294122141062094',NULL,'9998',16.47,1,3,NULL),(20,5201322,'1992-03-13 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241215131411323322125121610115142',NULL,'1078',26.52,1,3,NULL),(20,5201349,'1989-05-14 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124243241215474431558813392124610124073',NULL,'737',48.44,1,3,NULL),(20,5201365,'1991-06-08 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241147473752334469245114610163147',NULL,'257',20.32,1,2,1),(20,5201381,'1992-11-14 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121731238827245124610167183',15782,'1022',45.16,1,3,NULL),(20,5201390,'1992-06-25 00:00:00',4,6,11,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241215132431437824372122610165017',8306,'392',58.86,1,3,NULL),(20,5201403,'1993-03-18 00:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241215272411635562595124610164187',12575,'44',53.19,3,3,NULL),(20,5201411,'1987-12-24 00:00:00',2,4,12,2009,'M','N','CENTRO','PALMAS','PR','116161167147151431446923485122610137182',NULL,'9998',27.78,1,2,1),(20,5201420,'1989-03-29 00:00:00',4,1,12,2006,'M','N','MEIA PRAIA','ITAPEMA','SC','124072071211111431456731394122241064162',NULL,'9998',0.00,1,3,NULL),(20,5201446,'1990-04-30 00:00:00',2,1,12,2007,'F','N','CENTRO','CASCAVEL','PR','116162161117371711247811475123241662042',10344,'9998',55.39,1,3,NULL),(20,5201454,'1991-11-05 00:00:00',4,8,11,2009,'M','N','CRUZEIRO','RIO NEGRINHO','SC','124243241316161411438731195122610167097',NULL,'9999',24.08,1,3,NULL),(20,5201462,'1992-07-23 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215112731246616162124610128192',8336,'1022',60.30,1,3,NULL),(20,5201489,'1991-09-17 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215112731366632572112610147017',12455,'738',49.61,1,3,NULL),(20,5201500,'1992-12-19 00:00:00',2,4,10,2009,'M','N','BELA VISTA','ERECHIM','RS','120202201215111331428711575124610137042',NULL,'9998',33.13,1,3,NULL),(20,5201527,'1991-07-29 00:00:00',2,8,12,2008,'F','N','CENTRO','IRATI','PR','116162161226471431448613575124610133142',10019,'9998',56.18,1,3,NULL),(20,5201535,'1992-07-30 00:00:00',4,1,12,2009,'M','N','CENTRO','BIGUAÇU','SC','124242248212111732426412275122610168052',NULL,'63',22.23,1,3,NULL),(20,5201551,'1992-05-07 00:00:00',2,7,12,2009,'M','N','APARECIDA','CAMPOS NOVOS','SC','124241241116161731433316273312610167041',NULL,'139',0.00,4,2,1),(20,5201560,'1992-10-05 00:00:00',2,15,11,2009,'F','N','CENTRO','TURVO','SC','124241241115131731539614345122610127112',11596,'814',53.24,1,2,1),(20,5201578,'1987-01-20 00:00:00',4,1,12,2007,'M','N','JARDIM ATÂNTICO','FLORIANÓPOLIS','SC','124242247435472441238479141123230847182',NULL,'9999',39.71,1,3,NULL),(20,5201586,'1993-04-06 00:00:00',4,2,12,2009,'F','N','CENTRO','BRUSQUE','SC','124242241215373431448814574122610134142',999,'109',81.32,1,3,NULL),(20,5201608,'1993-08-25 00:00:00',4,6,11,2009,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241211111221548932575111610167112',15705,'109',45.49,1,3,NULL),(20,5201616,'1991-08-20 00:00:00',4,1,12,2009,'F','N','JARDIM MORUMBI','S JOSÉ CAMPOS','SP','125252251217122411466831115112610166142',7604,'9998',58.70,1,3,NULL),(20,5201624,'1991-01-08 00:00:00',4,1,12,2008,'F','N','PARQUE TAQUARAL','CAMPINAS','SP','125252254115471431448823574122610136147',NULL,'9998',0.00,1,3,NULL),(20,5201632,'1988-05-03 00:00:00',2,4,12,2007,'M','N','ESPLANADA','CHAPECÓ','SC','124241241117132111348823585324131861042',NULL,'175',38.06,4,2,1),(20,5201640,'1991-12-02 00:00:00',4,1,11,2009,'M','N','CENTRO','CURITIBA','PR','116162161216121231158816175124610137062',NULL,'9998',0.00,1,3,NULL),(20,5201659,'1992-06-23 00:00:00',2,3,12,2009,'M','N','JARDIM ALBINO BIACHI','APUCARANA','PR','116162161217111731458933572122610167062',10359,'9998',53.11,1,3,NULL),(20,5201667,'1986-07-13 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241116275431536513395334222224187',NULL,'257',0.00,1,3,NULL),(20,5201675,'1991-10-24 00:00:00',5,1,11,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215121431364822572124610122182',2664,'270',74.13,1,3,NULL),(20,5201683,'1991-02-27 00:00:00',4,1,11,2008,'M','N','HIGIENÓPOLIS','S PAULO','SP','125252251215571411366852592122610164187',NULL,'9998',0.00,1,3,NULL),(20,5201691,'1993-03-23 00:00:00',2,1,12,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242241215111431325633232124610122142',NULL,'737',25.17,1,3,NULL),(20,5201705,'1962-09-28 00:00:00',4,1,12,1980,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224243246316475441539641115122322647047',4440,'260',68.06,1,3,NULL),(20,5201713,'1992-02-03 00:00:00',4,1,12,2009,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241311111431335531271122613217147',NULL,'1118',19.32,1,3,NULL),(20,5201721,'1991-09-17 00:00:00',4,7,12,2008,'F','N','SANTA TEREZA','JOAÇABA','SC','124242241215373231449633575122231424147',6354,'962',63.28,1,3,NULL),(20,5201730,'1994-02-24 00:00:00',4,1,11,2010,'F','S','SERRARIA','S JOSÉ','SC','124241241625111431523535572124610134142',NULL,'262',30.38,1,3,NULL),(20,5201748,'1993-01-29 00:00:00',4,4,12,2009,'M','N','CENTRO','CONCÓRDIA','SC','124242241215121431348812325122610137122',12708,'1047',52.92,1,3,NULL),(20,5201756,'1987-08-15 00:00:00',4,1,12,2003,'M','N','NOVA PETROPOLIS','S BERNARDO CAMPO','SP','125252251137241421228923215124142122052',NULL,'9998',47.18,1,3,NULL),(20,5201764,'1990-12-12 00:00:00',2,5,12,2008,'F','N','SÃO SIMÃO','CRICIÚMA','SC','224242241215472431363512272122610148147',14948,'226',45.07,1,3,NULL),(20,5201772,'1992-03-03 00:00:00',2,4,12,2007,'F','N','CENTRO','STA MARIA','RS','120201201116371451333512594225141567142',5991,'9998',64.55,4,3,NULL),(20,5201780,'1988-07-29 00:00:00',2,4,12,2006,'F','N','CENTRO','PINHALZINHO','SC','124133136116161421236544442122231452182',NULL,'9998',0.00,1,3,NULL),(20,5201802,'1983-09-08 00:00:00',4,1,12,2002,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241127143711334623345124610167067',NULL,'307',30.79,1,2,1),(20,5201829,'1990-04-21 00:00:00',4,8,11,2007,'F','N','MERCES','CURITIBA','PR','116162161215572311238829575114610164097',1629,'9998',78.33,1,3,NULL),(20,5201837,'1990-01-02 00:00:00',4,1,12,2007,'F','N','PARQUE TAQUARAL','CAMPINAS','SP','125252254117571411448823574122610145147',NULL,'9998',0.00,1,3,NULL),(20,5201845,'1991-05-23 00:00:00',2,8,12,2008,'F','N','CAPÃO RASO','CURITIBA','PR','116162163115571432468614241124610127057',1501,'9998',77.44,4,1,2),(20,5201861,'1973-12-08 00:00:00',4,1,12,1990,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624062061216141711269644345132341462042',NULL,'9998',0.00,1,3,NULL),(20,5201870,'1991-05-28 00:00:00',4,1,12,2008,'F','N','TERESÓPOLIS','PTO ALEGRE','RS','120202201217471431338824245124610132072',4516,'9998',67.71,1,3,NULL),(20,5201888,'1991-06-10 00:00:00',2,4,12,2009,'F','N','UNIVERSITARIO','CHAPECÓ','SC','124241241137141411423411342324610138187',NULL,'172',17.84,1,2,1),(20,5201918,'1992-06-29 00:00:00',4,4,12,2009,'M','N','CENTRO','MARAVILHA','SC','124241241116161432336832395122610162041',12680,'552',49.90,1,2,1),(20,5201942,'1991-12-10 00:00:00',4,7,12,2008,'F','N','CENTRO','CURITIBA','PR','116243241216471411348813591125610136147',8211,'1124',60.24,1,3,NULL),(20,5201950,'1990-11-19 00:00:00',2,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242247217271431238721312122610134197',NULL,'9999',22.18,1,3,NULL),(20,5201969,'1991-05-12 00:00:00',2,1,12,2008,'M','N','MOOCA','S PAULO','SP','125254251216271132667812572115610137047',NULL,'9998',0.00,1,3,NULL),(20,5201977,'1992-09-06 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241212271431437924475124610137047',NULL,'977',19.19,1,3,NULL),(20,5201985,'1981-10-22 00:00:00',2,1,12,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124201207627473411538679242233610147092',NULL,'9998',29.24,1,3,NULL),(20,5201993,'1992-06-28 00:00:00',4,8,11,2009,'F','N','PORTÃO','CURITIBA','PR','116162161215471421535812272124610127052',NULL,'9998',0.00,1,3,NULL),(20,5202000,'1990-02-06 00:00:00',2,6,12,2007,'F','N','LIMEIRA BAIXA','BRUSQUE','SC','124241241215472431535329245124610144092',NULL,'106',23.58,1,3,NULL),(20,5202035,'1990-07-13 00:00:00',2,1,12,2007,'M','N','BELA VISTA','PALHOÇA','SC','124241241126153421333311215122120827142',NULL,'12',0.00,1,2,1),(20,5202043,'1993-01-09 00:00:00',4,10,11,2009,'M','N','SÃO MARTINHO','TUBARÃO','SC','124241241217111431357933375114610137062',4629,'1181',67.79,1,3,NULL),(20,5202051,'1991-08-02 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215121431478931575114610144012',2197,'270',76.18,1,3,NULL),(20,5202060,'1991-08-11 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217372431479614372114610162092',2824,'270',73.76,1,3,NULL),(20,5202078,'1991-08-30 00:00:00',2,8,12,2008,'M','N','VILA NOVA','JOINVILLE','SC','124111241111132441536532571111131066042',4082,'473',68.25,1,2,1),(20,5202086,'1992-06-25 00:00:00',5,5,12,2009,'F','N','VILA MANAUS','CRICIÚMA','SC','124241241117161331625611275122610143057',NULL,'921',0.00,1,2,1),(20,5202094,'1991-09-06 00:00:00',4,1,11,2008,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091215471351547714592325610144052',12115,'9998',50.97,2,3,NULL),(20,5202116,'1991-04-30 00:00:00',4,3,12,2009,'F','N','CENTRO','IGUATU','PR','116161161145161411448831572122610166192',8230,'9998',58.30,1,2,1),(20,5202124,'1992-11-04 00:00:00',4,4,11,2009,'F','N','CENTRO','PALOTINA','PR','116162161216111411448812575112610124142',5058,'9998',65.97,1,3,NULL),(20,5202159,'1989-11-06 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124243241217575131348517477114120668174',314,'738',86.31,1,3,NULL),(20,5202175,'1990-12-17 00:00:00',2,1,12,2007,'F','N','LINHA PEROBAL','S JORGE D OESTE','PR','116161161316571451533316575124610112147',1335,'9998',78.91,1,3,NULL),(20,5202183,'1992-06-12 00:00:00',2,4,12,2009,'F','N','CENTRO','IJUÍ','RS','120203201316371431548831575122610125017',NULL,'9998',0.00,1,3,NULL),(20,5202191,'1991-10-06 00:00:00',2,1,12,2009,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241216111421358811575122610127032',15607,'989',43.41,1,3,NULL),(20,5202205,'1982-03-17 00:00:00',4,1,8,2009,'M','N','CERAMICA','ERECHIM','RS','120201207326151311224654345114610157057',NULL,'9998',0.00,1,3,NULL),(20,5202213,'1983-03-04 00:00:00',4,4,12,2000,'F','N','CENTRO','CHAPECÓ','SC','124242241212372431348811442122532532197',7629,'185',62.57,1,3,NULL),(20,5202230,'1993-03-19 00:00:00',4,6,12,2010,'F','S','VILA OPERÁRIO','ITAJAÍ','SC','124242241217111711248812474122610145147',NULL,'1026',44.16,1,3,NULL),(20,5202248,'1992-06-20 00:00:00',4,8,11,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431438832572122610132192',6755,'1063',62.50,1,3,NULL),(20,5202256,'1992-10-05 00:00:00',4,1,11,2009,'M','N','CENTRO','CPO GRANDE','MS','112122121216371732343661575125610164047',14683,'9998',48.78,3,3,NULL),(20,5202264,'1991-10-12 00:00:00',4,1,12,2008,'M','N','ESTIVA','TAUBATÉ','SP','125252251237471431467921575121610137052',NULL,'9998',0.00,1,3,NULL),(20,5202272,'1992-06-22 00:00:00',3,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','624242248215111712479811595125610134187',1650,'951',77.91,1,3,NULL),(20,5202280,'1986-07-21 00:00:00',3,1,12,2003,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124242241217172411149913385224132834097',13143,'226',52.09,1,3,NULL),(20,5202299,'1993-03-22 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242245215113431468813132124610146182',NULL,'259',23.56,1,3,NULL),(20,5202302,'1991-06-02 00:00:00',2,1,12,2009,'M','N','POTECAS','S JOSÉ','SC','124243241245111431543514185124610167017',NULL,'944',22.85,1,3,NULL),(20,5202310,'1990-03-26 00:00:00',4,6,12,2007,'M','N','JARDIM TRUSSARDI','S PAULO','SP','125254251217132411549914385114241467042',NULL,'9998',0.00,1,3,NULL),(20,5202329,'1992-07-09 00:00:00',4,8,12,2009,'F','N','CENTRO','BRAÇO TROMBUDO','SC','124241241125141731443634342122610123057',NULL,'103',0.00,1,3,NULL),(20,5202337,'1985-05-06 00:00:00',2,1,12,2001,'F','N','FORQUILINHANS','S JOSÉ','SC','124241241112133731525338482214610144142',NULL,'727',27.00,1,2,1),(20,5202345,'1991-10-27 00:00:00',4,1,12,2008,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241215122431558824375114610142147',12821,'806',52.71,1,3,NULL),(20,5202353,'1988-11-30 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243242115375441458831275124221434082',2622,'662',74.66,1,3,NULL),(20,5202361,'1991-03-11 00:00:00',4,8,12,2008,'M','N','CRUZEIRO','S BENTO SUL','SC','124242241216372711448923495134610167047',NULL,'1154',48.90,1,3,NULL),(20,5202370,'1990-04-05 00:00:00',4,5,12,2007,'M','N','SANTA AUGUSTA','CRICIÚMA','SC','124242246212132421353314344122231467141',3775,'995',71.42,1,3,NULL),(20,5202388,'1985-10-05 00:00:00',4,1,12,2003,'M','N','CENTRO','S JOÃO SUL','SC','124241242116274411526623182225610164197',9156,'690',59.68,1,2,1),(20,5202396,'1987-07-14 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243071322155431449913573122231167043',6759,'9998',64.35,4,3,NULL),(20,5202400,'1992-02-13 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247235151431656924575112610132071',NULL,'9999',24.05,1,3,NULL),(20,5202426,'1991-09-18 00:00:00',2,1,12,2009,'F','N','VILA CRUZEIRO','PASSO FUNDO','RS','120222201111471431213516171324610138072',NULL,'9998',0.00,1,3,NULL),(20,5202434,'1991-03-17 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241315272731436619445114610127047',NULL,'307',29.91,1,3,NULL),(20,5202442,'1991-12-25 00:00:00',4,16,12,2008,'M','N','SÃO JOSÉ','CURITIBANOS','SC','124242246415372231425521275121610138097',NULL,'1106',35.46,1,3,NULL),(20,5202450,'1987-01-30 00:00:00',4,6,12,2004,'F','N','CENTRO','JACAREZINHO','PR','216163161116571411266653435222343245092',NULL,'9998',0.00,1,3,NULL),(20,5202477,'1992-03-01 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124201201216371431453722575125141467042',NULL,'9998',0.00,1,3,NULL),(20,5202485,'1972-11-17 00:00:00',4,1,12,1990,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242243147142411246624435124610116194',12037,'257',54.32,1,3,NULL),(20,5202493,'1989-05-10 00:00:00',4,1,12,2005,'M','N','LAMI','PTO ALEGRE','RS','120204201117371231667831245112142063093',3086,'9998',73.25,1,3,NULL),(20,5202507,'1989-07-18 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241216372431339669285324130213017',NULL,'269',16.86,1,3,NULL),(20,5202515,'1993-03-20 00:00:00',4,4,12,2009,'F','N','CENTRO','NOVA ERECHIM','SC','124241241116161411436819572122610142147',10762,'572',51.97,1,2,1),(20,5202523,'1992-09-01 00:00:00',2,17,12,2009,'F','N','ARROIO FUNDO','BELA V TOLDO','SC','124241241116271131516416572222610111047',NULL,'59',16.78,1,3,NULL),(20,5202531,'1988-03-10 00:00:00',4,8,12,2005,'F','N','ÁGUA VERDE','CURITIBA','PR','116163161316473411449832374342143232011',3026,'9998',72.09,1,3,NULL),(20,5202558,'1991-07-29 00:00:00',4,2,12,2008,'M','N','CENTRO','BLUMENAU','SC','120244241415371431468613595124142647052',124,'855',89.53,1,3,NULL),(20,5202566,'1990-01-03 00:00:00',4,1,12,2007,'M','N','NOVA PETRÓPOLIS','S BERNARDO CAMPO','SP','125254251216471411457833272122610167092',9803,'9998',56.24,1,3,NULL),(20,5202574,'1984-09-02 00:00:00',2,10,12,2003,'M','N','MAGALHÃES','LAGUNA','SC','124243241116132431327619295124233224067',NULL,'521',NULL,1,3,NULL),(20,5202582,'1990-08-30 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124241241216472431466813595114610144142',14843,'724',45.16,1,3,NULL),(20,5202590,'1991-12-28 00:00:00',4,8,12,2009,'F','N','GLORIA','JOINVILLE','SC','124242241215111431489912575122610122183',NULL,'1063',0.00,1,3,NULL),(20,5202604,'1991-07-08 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241243115472431347531575124610122047',7593,'129',60.45,1,2,1),(20,5202639,'1991-09-16 00:00:00',4,1,12,2009,'F','N','CENTRO','PASSO FUNDO','RS','120202201437121431357814574115610168174',NULL,'9998',0.00,1,3,NULL),(20,5202647,'1992-05-21 00:00:00',4,6,11,2009,'F','N','FAZENDA','ITAJAÍ','SC','124082241215312431567922595122610124092',4341,'1172',68.77,1,3,NULL),(20,5202655,'1992-03-02 00:00:00',2,2,12,2009,'M','N','PAQUETÁ','BRUSQUE','SC','124241241116371431224424575124610137072',8921,'1019',58.68,1,2,1),(20,5202663,'1991-12-01 00:00:00',2,8,12,2009,'F','N','FLORESTA','JOINVILLE','SC','124242241215111441548734571222610142016',7992,'456',59.40,4,3,NULL),(20,5202671,'1991-05-10 00:00:00',2,8,12,2008,'F','N','CENTRO','PNT GROSSA','PR','116252251134371411548821372125610114147',11646,'9998',53.16,1,3,NULL),(20,5202680,'1991-11-14 00:00:00',4,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217151431567612342122610127145',NULL,'884',0.00,1,3,NULL),(20,5202698,'1991-03-18 00:00:00',2,1,12,2008,'F','N','CENTRO','LEOBERTO LEAL','SC','124241241122473431559313572124133123147',4729,'533',69.03,1,2,1),(20,5202710,'1989-03-02 00:00:00',4,8,12,2006,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215572431489714574122131336092',5087,'486',66.44,1,3,NULL),(20,5202728,'1992-10-25 01:00:00',4,4,12,2009,'M','N','MARIA GORETTI','CHAPECÓ','SC','124241241117162411555932575321610166172',NULL,'182',0.00,1,2,1),(20,5202744,'1992-01-24 00:00:00',4,1,12,2009,'F','N','VILA MARTHA','BAURU','SP','125252251217111431478823345122610163097',7331,'9998',60.66,1,3,NULL),(20,5202752,'1991-02-11 00:00:00',2,8,11,2009,'M','N','COMASA','JOINVILLE','SC','124241241111251411527614571121610118143',14804,'470',45.75,4,2,1),(20,5202760,'1992-03-02 00:00:00',4,1,12,2009,'M','N','CENTRO','IMBUIA','SC','124241241112161421433434575122610127057',NULL,'364',0.00,1,2,1),(20,5202779,'1992-09-09 00:00:00',2,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124244241412131732324824295124610133067',NULL,'733',37.18,1,3,NULL),(20,5202787,'1987-05-28 00:00:00',2,1,11,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241111375431447611442124230524077',NULL,'808',0.00,1,3,NULL),(20,5202795,'1992-03-20 00:00:00',1,1,12,2009,'F','N','JARDIM VERA CRUZ','SOROCABA','SP','125251251147131431523661345124610165097',13181,'9998',49.61,1,2,1),(20,5202809,'1993-10-11 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111411467833572124610128053',7628,'1022',58.56,1,3,NULL),(20,5202817,'1990-07-29 00:00:00',4,1,12,2007,'F','N','NOVA VENEZA','SUMARÉ','SP','125252251236471731326619395124610168192',NULL,'9998',27.79,4,3,NULL),(20,5202825,'1989-05-19 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216372431546833375114130267067',6918,'273',64.01,1,3,NULL),(20,5202833,'1991-03-04 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116272431123611275125610134197',12755,'840',52.82,1,2,1),(20,5202841,'1978-03-27 00:00:00',2,1,12,1995,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242243222371411333443335224510114092',7984,'524',61.86,1,3,NULL),(20,5202868,'1992-12-18 00:00:00',2,8,11,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111411428734577112610162197',6276,'1016',62.83,1,3,NULL),(20,5202892,'1989-04-17 00:00:00',4,2,12,2006,'F','N','JUVEVE','CURITIBA','PR','116162161215371531468614571124140644043',906,'9998',81.41,1,3,NULL),(20,5202906,'1989-10-26 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211155711238833581114121762092',14445,'1022',49.39,1,3,NULL),(20,5202922,'1990-05-11 00:00:00',4,17,12,2007,'F','N','JARDIM ESPERANÇA','CANOINHAS','SC','124241241116162731444512445122610162077',NULL,'153',26.59,4,3,NULL),(20,5202930,'1992-07-25 00:00:00',4,4,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241212111411358819575125610167052',1414,'751',78.38,1,3,NULL),(20,5202957,'1984-04-20 00:00:00',2,1,12,2001,'M','N','RATONES','FLORIANÓPOLIS','SC','124241241127373421443335235214122327047',NULL,'279',35.33,1,2,1),(20,5202965,'1983-01-27 00:00:00',4,1,12,2000,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241117433421358512492124122266197',12118,'257',54.14,1,3,NULL),(20,5202973,'1990-04-23 00:00:00',4,1,12,2007,'F','N','CAMBUI','CAMPINAS','SP','125252262234372121289433134122610115022',1003,'9998',80.47,1,3,NULL),(20,5202981,'1990-06-28 00:00:00',4,8,12,2007,'M','N','PONTA COMPRIDA','GUARAMIRIM','SC','124241241126162431524314342211610162191',14452,'337',45.87,1,2,1),(20,5202990,'1990-04-03 00:00:00',4,10,12,2007,'M','N','MAGALHÃES','LAGUNA','SC','124242241226373431447833575114610124142',8900,'524',56.96,4,3,NULL),(20,5203007,'1981-12-19 00:00:00',2,7,12,1998,'M','N','IMIGRANTES','CONCÓRDIA','SC','124201201116471411643374445112331516067',NULL,'9998',0.00,1,2,1),(20,5203015,'1991-12-01 00:00:00',4,8,12,2009,'M','N','JARDIM DR LUCIANO','JAÚ','SP','125252251215111231346631275124610167077',NULL,'9998',NULL,1,3,NULL),(20,5203031,'1991-10-09 00:00:00',2,1,11,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241217111431536633575124610144065',NULL,'1022',25.40,1,3,NULL),(20,5203040,'1992-08-16 00:00:00',4,1,10,2009,'F','N','VISTA ALEGRE','CURITIBA','PR','116162161215111751238829571122610134097',NULL,'9998',0.00,1,3,NULL),(20,5203066,'1992-06-25 00:00:00',4,1,11,2009,'F','N','MORUMBI','S PAULO','SP','125252251217211711248814376122610168112',15932,'9998',44.52,1,3,NULL),(20,5203074,'1992-02-24 00:00:00',2,1,12,2009,'F','N','FUNDOS','BIGUAÇU','SC','124241241115111751623319575121610148147',NULL,'65',26.83,1,2,1),(20,5203090,'1986-05-04 00:00:00',4,1,12,2003,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215152411447931445122322066195',8103,'723',61.64,1,3,NULL),(20,5203112,'1991-07-08 00:00:00',2,8,12,2008,'F','N','XAXIM','CURITIBA','PR','116162161116571431428622571124610166177',4809,'9998',66.73,1,3,NULL),(20,5203120,'1994-01-15 00:00:00',4,1,12,2010,'F','S','FAZENDA RIO TAVARES','FLORIANÓPOLIS','SC','124242248215111751448839282122610125142',NULL,'1022',45.50,1,3,NULL),(20,5203139,'1992-10-22 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','120202201216111731448613575122610164181',NULL,'9998',21.70,1,3,NULL),(20,5203163,'1992-06-22 00:00:00',2,9,12,2009,'F','N','LOURDES','CAXIAS SUL','RS','120202201216151751549834445122610127147',12541,'9998',49.00,1,3,NULL),(20,5203171,'1993-04-01 00:00:00',4,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241215122731656632575124610163141',382,'270',85.59,1,3,NULL),(20,5203180,'1990-07-03 00:00:00',4,8,12,2007,'M','N','CAPÃO RASO','CURITIBA','PR','116162161237111632476612345125243221062',NULL,'9998',0.00,1,3,NULL),(20,5203198,'1992-01-21 00:00:00',4,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124251241422171331228829572124610162117',NULL,'1022',25.06,1,3,NULL),(20,5203201,'1992-11-20 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431526833572124610124077',12284,'1050',53.64,1,3,NULL),(20,5203244,'1990-11-26 00:00:00',2,1,12,2007,'F','N','CENTRO','TANGARÁ','SC','124241241317134411326665495134230764042',NULL,'269',0.00,1,3,NULL),(20,5203252,'1990-08-16 00:00:00',4,8,12,2007,'M','N','AMÉRICA','JOINVILLE','SC','124242241212473731369711572122610127062',3712,'1063',71.31,1,3,NULL),(20,5203260,'1992-04-18 00:00:00',4,6,12,2009,'M','N','CENTRO','NAVEGANTES','SC','124242241217112431458613575125610152172',6081,'1026',65.06,1,3,NULL),(20,5203287,'1991-05-10 00:00:00',4,1,12,2008,'F','N','JARDIM BETHANIA','S CARLOS','SP','125252251217472431367816575122610164161',NULL,'9998',0.00,1,3,NULL),(20,5203309,'1984-09-25 00:00:00',2,1,12,2002,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241216133411338624475224121462181',5865,'403',62.84,1,3,NULL),(20,5203317,'1990-03-21 00:00:00',2,1,12,2007,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241215573431466634575124230424147',13994,'1074',47.40,1,3,NULL),(20,5203325,'1991-05-18 00:00:00',2,1,12,2008,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241217472431443335272224610124147',NULL,'988',26.90,1,3,NULL),(20,5203341,'1990-07-21 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431426639242124610127062',NULL,'1022',26.29,1,3,NULL),(20,5203350,'1991-08-23 00:00:00',4,1,12,2008,'F','N','CENTRO','ITUPORANGA','SC','124241241146152431568731292122231024142',NULL,'416',28.58,1,2,1),(20,5203368,'1990-06-29 00:00:00',4,4,12,2007,'M','N','VILA INDUSTRIAL','TOLEDO','PR','116162161215371411528712595122143262126',7773,'9998',61.04,1,3,NULL),(20,5203376,'1990-04-30 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431259912575122610166073',16111,'269',43.36,1,3,NULL),(20,5203384,'1990-03-27 00:00:00',4,1,11,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124252257217271431468932291122232835142',NULL,'9998',19.22,1,3,NULL),(20,5203392,'1992-10-10 00:00:00',2,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111411469813432112610164042',NULL,'262',44.22,1,3,NULL),(20,5203422,'1989-03-02 00:00:00',2,1,12,2006,'M','N','JARDIM AMERICA','POUSO ALEGRE','MG','113134131216471411443314475124610137182',NULL,'9998',0.00,4,3,NULL),(20,5203430,'1966-09-21 00:00:00',5,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243245311133731323353131125332728187',NULL,'307',15.54,4,3,NULL),(20,5203449,'1990-10-04 00:00:00',2,1,12,2008,'M','N','JARDIM COLINAS','S JOSÉ CAMPOS','SP','125252251217471731688819571111610117117',NULL,'9998',27.22,1,3,NULL),(20,5203457,'1991-04-28 00:00:00',2,1,11,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241115372731334423275124610137042',5587,'271',65.69,2,1,2),(20,5203465,'1991-01-09 00:00:00',2,6,11,2007,'M','N','NOVA YORK','CASCAVEL','PR','116162161217371542558812325112142967017',10209,'9998',56.78,1,3,NULL),(20,5203473,'1990-09-16 00:00:00',2,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116161161116575431549933575125610162177',9324,'9998',57.27,1,2,1),(20,5203481,'1993-01-01 00:00:00',4,8,12,2009,'F','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124241241114271711356614242121610164142',NULL,'435',0.00,1,2,1),(20,5203503,'1982-07-02 00:00:00',4,1,8,2000,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242246116474411367919435114131932047',4769,'306',68.93,1,3,NULL),(20,5203520,'1976-12-29 00:00:00',4,1,11,1994,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224162161226131421346352285124132312093',NULL,'9998',53.44,1,3,NULL),(20,5203538,'1990-06-24 00:00:00',4,3,12,2007,'M','N','CENTRO','ITARARÉ','SP','116252251215572431458831575121610164042',6336,'9998',63.85,1,3,NULL),(20,5203546,'1989-09-18 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124244247341271432337923371121133262077',NULL,'9999',40.85,1,3,NULL),(20,5203554,'1993-06-03 00:00:00',4,10,10,2010,'F','S','VILA MOEMA','TUBARÃO','SC','124242241216121431349932575122610166142',NULL,'807',29.99,1,3,NULL),(20,5203562,'1989-10-23 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124243244346271731228663385122612564143',NULL,'736',23.15,1,3,NULL),(20,5203570,'1992-02-02 00:00:00',4,1,12,2010,'M','S','CAMPINAS','S JOSÉ','SC','124242246117131721379923316114610164187',NULL,'306',60.60,1,3,NULL),(20,5203589,'1966-12-10 00:00:00',4,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','224241247127131421331244242232610168041',NULL,'9999',30.07,1,3,NULL),(20,5203597,'1992-11-06 00:00:00',2,8,12,2009,'M','N','CENTRO','CURITIBA','PR','116252161217121431678811342122610117057',15085,'9998',42.18,1,3,NULL),(20,5203600,'1992-02-11 00:00:00',2,3,12,2009,'M','N','CAMBUÍ','CAMPINAS','SP','125252251215111411454632372122610127042',NULL,'9998',0.00,1,3,NULL),(20,5203619,'1992-07-18 00:00:00',4,10,12,2009,'F','N','SANTO ANTÔNIO','S LUDGERO','SC','124241241117271731425614571124610144077',14728,'748',45.88,1,2,1),(20,5203627,'1992-10-20 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215321431268711345124610147067',NULL,'389',0.00,1,3,NULL),(20,5203635,'1988-07-15 00:00:00',2,1,7,2007,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241212131421126944445123131117047',NULL,'995',39.86,1,3,NULL),(20,5203643,'1992-11-23 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241215132431326514345124610114197',NULL,'944',40.60,1,3,NULL),(20,5203651,'1990-05-01 00:00:00',4,1,7,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244247215372431236923585124133267057',NULL,'9999',22.00,1,3,NULL),(20,5203678,'1992-09-23 00:00:00',4,8,12,2009,'M','N','SAGUAÇU','JOINVILLE','SC','124242241216131241338629595122610167042',12792,'931',48.05,1,3,NULL),(20,5203686,'1992-01-01 00:00:00',2,8,11,2009,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215471431247823575124610127042',4563,'9998',68.39,1,3,NULL),(20,5203694,'1989-12-07 00:00:00',2,4,12,2007,'F','N','ESPLANADA','CHAPECÓ','SC','124244241214573431459611375124610167097',371,'168',85.70,1,3,NULL),(20,5203708,'1991-11-08 00:00:00',2,7,12,2008,'F','N','CENTRO','MAXIMILIANO ALMEIDA','RS','120201201425371431443835575121610125047',NULL,'9998',25.08,1,3,NULL),(20,5203716,'1991-03-08 00:00:00',4,1,11,2008,'F','N','JARDIM PAULISTANO','S PAULO','SP','125252251217372431489814475122610124112',NULL,'9998',0.00,1,3,NULL),(20,5203724,'1991-11-29 00:00:00',4,1,12,2008,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241146272411324714475112610114182',NULL,'607',28.66,1,2,1),(20,5203732,'1989-08-06 00:00:00',4,1,12,2006,'F','N','CASTELO BRANCO','CAMPINAS','SP','125251256116151741446633375124241164092',5611,'9998',63.76,1,2,1),(20,5203759,'1993-01-04 00:00:00',4,5,10,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241212211431476912575122610132122',14372,'213',49.55,1,3,NULL),(20,5203767,'1991-08-27 00:00:00',4,1,12,2008,'M','N','BORTOT','PATO BRANCO','PR','116162161217471411447634576125610167012',5470,'9998',65.25,1,3,NULL),(20,5203775,'1992-10-26 00:00:00',4,8,11,2009,'F','N','CENTRO','CURITIBA','PR','116162161215121431467716571122610162097',NULL,'9998',0.00,1,3,NULL),(20,5203791,'1992-10-22 00:00:00',2,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215371431459914274122610143182',13443,'462',51.49,1,3,NULL),(20,5203805,'1989-11-07 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241216111431438833575122610144012',NULL,'977',15.72,4,3,NULL),(20,5203813,'1993-05-29 00:00:00',4,4,12,2010,'F','S','JARDIM ITALIA','CHAPECÓ','SC','124242241216111731258823275122610166142',NULL,'168',68.55,1,3,NULL),(20,5203830,'1993-11-21 00:00:00',4,2,12,2010,'F','S','VORSTADT','BLUMENAU','SC','124242241215151731456632575122610132126',NULL,'855',0.00,1,3,NULL),(20,5203848,'1990-05-02 00:00:00',4,1,12,2007,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217413711469913495124231063092',8145,'270',61.16,4,3,NULL),(20,5203856,'1987-08-06 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201116371432534469485124140267062',NULL,'9998',0.00,1,2,1),(20,5203864,'1983-08-27 00:00:00',2,1,10,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244247112575432438633595112610142142',8467,'9999',60.97,1,3,NULL),(20,5203872,'1975-11-13 00:00:00',2,15,12,1993,'M','N','CENTRO','CRICIÚMA','SC','224241242311174751221141291123331964052',NULL,'767',0.00,1,3,NULL),(20,5203899,'1991-06-29 00:00:00',2,8,12,2008,'F','N','CENTRO','PATO BRANCO','PR','116163161217271731338732572122243227142',NULL,'9998',24.99,1,3,NULL),(20,5203929,'1990-11-10 00:00:00',4,1,11,2008,'F','N','ACLIMAÇÃO','S PAULO','SP','125252251215471411458612575115610164047',NULL,'9998',0.00,1,3,NULL),(20,5203937,'1990-03-16 00:00:00',2,4,11,2008,'F','N','CENTRO','CHAPECÓ','SC','124242241415371431378811572122610122125',10543,'983',53.00,1,3,NULL),(20,5203945,'1992-07-11 00:00:00',4,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115131441335514372124610128187',NULL,'307',24.35,1,2,1),(20,5203953,'1992-04-21 00:00:00',4,7,12,2009,'F','N','NAÇOES','FRAIBURGO','SC','124242241215111431436811295122610134147',NULL,'317',25.99,1,3,NULL),(20,5203961,'1992-12-05 00:00:00',4,8,11,2009,'F','N','ALVORADA','FRANCISCO BELTRÃO','PR','116163161216111411436832575124610122092',1934,'9998',76.20,1,3,NULL),(20,5203970,'1992-10-04 00:00:00',4,1,11,2010,'M','S','CENTRO','JOAÇABA','SC','124242244417151731249919495124610128182',NULL,'270',0.00,1,3,NULL),(20,5203988,'1992-01-07 00:00:00',4,3,12,2008,'F','N','PORTAL DA FOZ','FOZ IGUAÇU','PR','116161161416472431436312475112610166127',NULL,'9998',0.00,1,3,NULL),(20,5203996,'1989-12-22 00:00:00',2,1,12,2007,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215273221478823345134133242017',15575,'1022',45.98,1,3,NULL),(20,5204003,'1991-09-18 00:00:00',2,1,12,2009,'F','N','CENTRO','ITUPORANGA','SC','124243241342131112446912295122610112147',NULL,'415',19.00,1,3,NULL),(20,5204011,'1993-12-24 00:00:00',4,1,12,2009,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215111431469912425124610124182',NULL,'1022',32.60,1,3,NULL),(20,5204020,'1992-01-09 00:00:00',2,1,12,2009,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121217271111488313575122610123072',NULL,'9998',23.65,4,3,NULL),(20,5204038,'1989-06-20 00:00:00',4,1,7,2007,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241117272431336623245124610122092',6640,'739',61.28,1,3,NULL),(20,5204046,'1992-04-19 00:00:00',4,1,12,2009,'F','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116162161235411411647812372122610167097',NULL,'9998',42.15,1,3,NULL),(20,5204054,'1992-08-30 00:00:00',2,1,12,2009,'F','N','JARDIM JANAÍNA','BIGUAÇU','SC','124242241216161731646772345122610135072',16066,'976',43.63,1,3,NULL),(20,5204062,'1993-01-29 00:00:00',2,5,11,2009,'F','N','CENTRO','URUSSANGA','SC','124232241216111431334424575122610164042',NULL,'820',26.89,1,3,NULL),(20,5204070,'1987-08-31 00:00:00',4,1,12,2004,'F','N','FREZARIN','AMERICANA','SP','125251251117231431225624445124610135122',NULL,'9998',43.38,1,2,1),(20,5204089,'1991-09-02 00:00:00',2,1,12,2008,'F','N','CENTRO','PORTÃO','RS','120201201216473541348611575124610168197',8816,'9998',60.32,1,3,NULL),(20,5204100,'1992-01-10 00:00:00',4,8,12,2008,'F','N','SÃO FRANCISCO','CURITIBA','PR','116162161235571751478813575122610168185',2141,'9998',74.92,1,3,NULL),(20,5204119,'1989-05-25 00:00:00',2,1,12,2006,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215373731456613445124610161012',15411,'9997',43.26,1,3,NULL),(20,5204127,'1988-09-13 00:00:00',2,1,7,2009,'M','N','CANTA GALO','RIO SUL','SC','124241247146131432138612325113610168141',NULL,'9999',20.18,1,2,1),(20,5204135,'1991-05-13 00:00:00',4,1,12,2008,'M','N','LA SALLE','TOLEDO','PR','116162161217372431369814594125241447142',3033,'9998',72.41,1,3,NULL),(20,5204143,'1992-01-28 00:00:00',2,1,12,2009,'F','N','JUSSARA','ASSIS CHATEAUBRIAND','PR','116161161117131431436823572221610137147',NULL,'9998',25.96,4,1,1),(20,5204151,'1990-12-06 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241248135371431424933385122610164052',NULL,'498',30.07,1,2,1),(20,5204160,'1990-08-21 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241115272431446519442124610163143',9606,'267',58.90,1,3,NULL),(20,5204178,'1989-02-13 00:00:00',2,1,12,2007,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241132272351324644245234610137047',NULL,'277',26.75,4,2,1),(20,5204186,'1992-07-27 00:00:00',4,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242248212112731466613572114610162077',8177,'270',60.65,1,3,NULL),(20,5204194,'1991-04-12 00:00:00',4,1,12,2008,'M','N','CENTRO','PTO ALEGRE','RS','120202201115471741458513475114610164097',NULL,'9998',0.00,1,3,NULL),(20,5204208,'1989-03-31 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241111132441538823341124610126072',NULL,'306',25.92,4,3,NULL),(20,5204216,'1987-06-17 00:00:00',2,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124251247426374431333143235134610132037',NULL,'9999',31.84,1,3,NULL),(20,5204224,'1987-03-05 00:00:00',2,1,7,2007,'M','N','BELA VISTA UM','S JOSÉ','SC','124241247141132711623634441343130237042',NULL,'9999',20.82,1,2,1),(20,5204232,'1992-04-01 00:00:00',4,4,12,2009,'M','N','INTERIOR','S JOÃO OESTE','SC','124241241127161531226629392121610164057',14564,'715',45.59,1,2,1),(20,5204240,'1989-06-10 00:00:00',4,1,12,2006,'M','N','VILA MATIAS','SANTOS','SP','125251251316371431536613175114141066057',NULL,'9998',0.00,1,3,NULL),(20,5204259,'1990-05-10 00:00:00',4,3,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244245212371711425534385124610133142',16224,'44',42.26,1,3,NULL),(20,5204267,'1991-01-30 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116132731417519572324610124182',NULL,'285',15.01,1,2,1),(20,5204275,'1992-11-10 00:00:00',2,1,12,2009,'M','N','ZONA RURAL','INDIANÓPOLIS','PR','116161161116371431457833575122610118017',NULL,'9998',0.00,1,2,1),(20,5204283,'1988-08-25 00:00:00',2,4,12,2005,'F','N','CENTRO','CPO ERÊ','SC','124161161116131711324444445122242764142',NULL,'9998',18.68,4,2,1),(20,5204291,'1989-02-16 00:00:00',2,15,12,2007,'F','N','SULBRASILEIRO','OSÓRIO','RS','120201207141132531325624271324610166187',NULL,'9998',50.26,1,2,1),(20,5204305,'1990-07-31 00:00:00',2,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241142271422531114342244610137047',NULL,'289',26.46,1,2,1),(20,5204330,'1992-01-15 00:00:00',4,9,12,2008,'M','N','SANTA RITA','LAGES','SC','124243241212271431556633275122610133147',NULL,'515',17.56,1,3,NULL),(20,5204348,'1987-09-15 00:00:00',4,1,10,2009,'F','N','BARRA VELHA','ILHABELA','SP','125254257436151441348862215125610161027',NULL,'9998',0.00,1,3,NULL),(20,5204364,'1992-05-07 00:00:00',2,1,11,2009,'F','N','GUIOMAR','ANTÔNIO CARLOS','SC','124243241417161731443332572122610113052',NULL,'20',24.14,1,3,NULL),(20,5204372,'1991-05-15 00:00:00',4,1,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','116163161116471431456631575124610166177',13406,'9998',47.98,1,3,NULL),(20,5204402,'1990-08-17 00:00:00',2,9,12,2007,'M','N','RIO BRANCO','CAXIAS SUL','RS','120202201217271431336831411225610137042',NULL,'9998',0.00,1,3,NULL),(20,5204437,'1984-08-12 00:00:00',2,1,12,2002,'F','N','SERRARIA','S JOSÉ','SC','124241241147271711446414445134332741187',NULL,'66',22.43,1,2,1),(20,5204445,'1991-02-09 00:00:00',2,1,12,2008,'F','N','SAO SEBASTIAO','PALHOÇA','SC','124241241116271451536612245132610134147',NULL,'359',22.21,1,2,1),(20,5204453,'1990-01-26 00:00:00',2,3,11,2007,'F','N','CENTRO','ERECHIM','RS','120202201236573431358313575122610162077',6708,'9998',62.17,1,3,NULL),(20,5204461,'1993-01-01 00:00:00',2,10,11,2009,'F','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124243241216131431316577575112610132097',NULL,'950',0.00,1,3,NULL),(20,5204470,'1991-11-26 00:00:00',2,1,12,2008,'M','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','124241241136342431435414245124610127047',15515,'288',42.29,1,2,1),(20,5204488,'1992-04-06 00:00:00',4,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124242241215111431358814574111610137112',7918,'806',59.66,1,3,NULL),(20,5204496,'1972-09-10 00:00:00',4,1,12,1989,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124214211216475751459713432122120267135',5681,'9998',66.74,1,3,NULL),(20,5204500,'1991-06-28 00:00:00',4,1,12,2008,'F','N','CENTRO','ITAPETININGA','SP','125252251215371432458836575122610114097',NULL,'9998',28.72,1,3,NULL),(20,5204518,'1991-12-26 00:00:00',2,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215121411456632595125610134051',15648,'226',45.68,1,3,NULL),(20,5204526,'1992-07-22 00:00:00',4,5,9,2009,'F','N','PIO CORREA','CRICIÚMA','SC','124242241215112431489813374122610132122',12138,'226',50.68,1,3,NULL),(20,5204534,'1986-05-05 00:00:00',2,1,12,2004,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241147271721233423392214610117057',15979,'283',44.24,2,1,1),(20,5204542,'1991-12-23 00:00:00',4,9,11,2008,'M','N','SÃO CRISTOVÃO','LAGES','SC','124243241112132431436614272122610128177',NULL,'512',23.49,1,3,NULL),(20,5204550,'1992-10-05 00:00:00',2,15,11,2009,'F','N','CENTRO','TURVO','SC','124241241115131431539614245121610164142',NULL,'814',31.13,1,2,1),(20,5204569,'1989-08-17 00:00:00',2,1,12,2007,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241132272431433734382212610147057',NULL,'281',27.94,1,2,1),(20,5204577,'1991-05-19 00:00:00',4,1,12,2008,'M','N','BARRA DA TIJUCA','RIO JANEIRO','RJ','121212211217471431669861571124610144157',NULL,'9998',0.00,1,3,NULL),(20,5204593,'1991-11-05 00:00:00',2,4,12,2008,'F','N','SANTA MARIA','PASSO FUNDO','RS','120201201116471431436631241124610163072',NULL,'9998',27.96,1,2,1),(20,5204607,'1990-01-25 00:00:00',4,1,12,2007,'F','N','OESTE','GOIÂNIA','GO','109092091215474431268823495122241034142',1778,'9998',77.69,2,1,2),(20,5204615,'1991-12-17 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215372431436813572122610167117',9596,'273',57.70,4,3,NULL),(20,5204623,'1977-03-12 00:00:00',2,1,12,2004,'M','N','SÃO PELEGRINO','CAXIAS SUL','RS','120203201116472431438913415135343267117',5664,'9998',64.51,1,3,NULL),(20,5204631,'1991-08-31 00:00:00',2,1,12,2009,'F','N','SÃO LUIZ','S JOSÉ','SC','124241241117271532523334376324610124141',NULL,'729',26.42,3,2,1),(20,5204640,'1991-04-04 00:00:00',2,1,2,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124281288137472741225644242224610163142',10232,'9998',57.73,1,3,NULL),(20,5204690,'1992-02-01 00:00:00',4,3,12,2009,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251215371431568712575112610128097',NULL,'9998',27.52,1,3,NULL),(20,5204704,'1991-09-17 00:00:00',2,1,12,2008,'F','N','CENTRO','PNT GROSSA','PR','116162161216472431366811212122610164096',6242,'9998',64.02,1,3,NULL),(20,5204712,'1993-03-23 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215121411445721575124610125047',NULL,'1022',0.00,1,3,NULL),(20,5204739,'1992-07-28 00:00:00',4,1,10,2009,'F','N','CENTRO','CASCAVEL','PR','116162161216111441458811572122610123142',948,'9998',80.88,1,3,NULL),(20,5204755,'1992-05-05 00:00:00',4,1,12,2009,'M','N','CENTRO','NOVO HAMBURGO','RS','120242201215131311437814572121610167047',NULL,'9998',0.00,1,3,NULL),(20,5204763,'1961-05-01 00:00:00',3,1,12,1978,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','524202201216152711446342325122142066142',NULL,'9998',0.00,1,3,NULL),(20,5204780,'1992-04-22 00:00:00',4,1,11,2009,'M','N','BROTAS','SALVADOR','BA','105052051216111732458931575122610117042',2608,'9998',73.15,1,3,NULL),(20,5204801,'1990-09-24 00:00:00',2,8,12,2007,'F','N','CENTRO','CPO ERÊ','SC','124241241116571411536912571115610122027',3557,'136',71.55,1,2,1),(20,5204810,'1993-02-04 00:00:00',2,10,11,2009,'F','N','EVOLUÇÃO','S LUDGERO','SC','124242241215112431369934575112610165142',3554,'807',71.51,1,3,NULL),(20,5204828,'1992-01-11 00:00:00',4,17,12,2009,'M','N','CENTRO','CANOINHAS','SC','124241241115271431436923572112610167012',NULL,'146',31.17,1,2,1),(20,5204836,'1992-08-23 00:00:00',2,1,12,2009,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124243241216131431423634574224610125077',15701,'988',45.51,1,3,NULL),(20,5204844,'1992-06-30 00:00:00',4,1,12,2009,'F','N','AGRONÔNICA','FLORIANÓPOLIS','SC','124242241215122431489931442112610167117',3820,'270',70.59,1,3,NULL),(20,5204852,'1986-02-11 00:00:00',4,1,12,2003,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241126132721243329445134133247042',NULL,'307',20.46,1,2,1),(20,5204860,'1991-12-30 00:00:00',2,1,12,2009,'F','N','PINHEIRINHO','CURITIBA','PR','116251161115471631545511572124610136145',8487,'9998',58.27,1,2,1),(20,5204887,'1992-01-26 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241215372431455819592114123267042',13457,'738',51.47,1,3,NULL),(20,5204895,'1987-02-03 00:00:00',4,1,12,2004,'F','N','AREIAS','S JOSÉ','SC','124244241416272431236943235134330266017',9752,'53',58.65,4,3,NULL),(20,5204909,'1989-09-25 00:00:00',4,1,12,2007,'M','N','JARDIM PIRATININGA','LIMEIRA','SP','125254251436151411459863485124243254142',6466,'9998',64.99,1,3,NULL),(20,5204933,'1991-12-06 00:00:00',2,8,12,2009,'M','N','JARDIM BELA VISTA','PIRAQUARA','PR','116161161111131411423324292324610116172',5137,'9998',64.71,1,2,1),(20,5204941,'1992-11-25 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124254241215112451546834575124610148187',NULL,'299',0.00,1,3,NULL),(20,5204950,'1992-12-17 00:00:00',4,8,12,2009,'F','N','SANTA CRUZ','CARAMBEÍ','PR','116162161216171431437816485122610117147',12203,'9998',52.77,1,3,NULL),(20,5204968,'1990-03-03 00:00:00',4,6,12,2007,'F','N','OCEANIA','PARANAGUÁ','PR','116162161215571411337732574125610166192',3814,'9998',71.12,1,3,NULL),(20,5204976,'1990-01-06 00:00:00',4,1,12,2007,'M','N','NOVO MINAS GERAIS','CPO GRANDE','MS','112222121215573411226924572324610162147',NULL,'9998',0.00,4,3,NULL),(20,5204984,'1992-05-20 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','125252251217111431547614575122610133147',NULL,'9998',0.00,1,3,NULL),(20,5204992,'1988-01-27 00:00:00',2,1,12,2004,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124203201116274451236619245114610161042',NULL,'9998',28.85,1,3,NULL),(20,5205000,'1990-05-23 00:00:00',2,15,11,2007,'M','N','CENTRO','ARARANGUÁ','SC','124242241215513311486812125121610167112',11980,'970',54.41,1,3,NULL),(20,5205018,'1994-07-20 00:00:00',4,1,12,2010,'M','S','JARDIM SÃO MIGUEL','BIGUAÇU','SC','124204241215161431468719572122610132177',NULL,'63',20.86,4,3,NULL),(20,5205026,'1992-04-12 00:00:00',4,1,12,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124241241225111431424611575124610138037',8644,'262',59.28,1,3,NULL),(20,5205034,'1991-06-24 00:00:00',2,8,12,2008,'M','N','CENTRO','S BENTO SUL','SC','124241241116331531545619345124610137142',NULL,'697',20.18,1,2,1),(20,5205042,'1992-05-14 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116272221446614242122610164142',14098,'732',50.18,1,2,1),(20,5205050,'1990-12-29 00:00:00',2,1,7,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241117132431544623442114610145147',14685,'306',48.77,1,3,NULL),(20,5205069,'1991-09-23 00:00:00',2,1,11,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241215111431426529245114610147115',13337,'1022',48.46,1,3,NULL),(20,5205077,'1988-04-13 00:00:00',4,1,12,2005,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241417154431118549391123223267112',14188,'272',49.98,1,3,NULL),(20,5205085,'1992-09-29 00:00:00',2,17,11,2009,'F','N','BOM JESUS','RIO NEGRO','PR','116161241114131431515511572321610138017',NULL,'542',25.16,1,2,1),(20,5205093,'1988-12-05 00:00:00',2,17,12,2006,'F','N','CENTRO','PAPANDUVA','SC','124241161316574441546333572124610146092',807,'603',82.31,1,3,NULL),(20,5205140,'1990-12-19 00:00:00',2,4,12,2007,'F','N','SANTA MARIA','CHAPECÓ','SC','124241241412571231237631272123610164147',8902,'1046',60.15,1,3,NULL),(20,5205166,'1990-04-18 00:00:00',2,1,12,2007,'M','N','PASSA VINTE','PALHOÇA','SC','124241241116271431444319485124610167067',NULL,'592',34.04,1,2,1),(20,5205174,'1991-03-21 00:00:00',4,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241135371441335621374124610126182',NULL,'288',0.00,1,2,1),(20,5205182,'1992-09-18 00:00:00',2,1,12,2009,'F','N','BREJARÚ','PALHOÇA','SC','124241241115131432324613295114610127141',NULL,'1009',19.65,1,3,NULL),(20,5205204,'1990-08-23 00:00:00',5,1,12,2009,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124243248622151731526639585124610148091',NULL,'9999',22.94,1,3,NULL),(20,5205212,'1991-07-19 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124244241115261532534933572124610161142',NULL,'733',22.89,1,3,NULL),(20,5205220,'1989-04-02 00:00:00',4,1,12,2006,'M','N','CENTRO','GAROPABA','SC','124243241127272411638611472124131524147',5650,'322',64.56,1,3,NULL),(20,5205247,'1993-10-10 00:00:00',2,1,12,2009,'F','N','CENTRO','GAROPABA','SC','124244241437161431425923575122610132092',NULL,'322',28.66,1,3,NULL),(20,5205255,'1992-03-03 00:00:00',4,2,12,2009,'M','N','VILA NOVA','BLUMENAU','SC','124242246226151431358833572122610128012',15666,'1018',45.64,1,3,NULL),(20,5205263,'1991-12-17 00:00:00',2,5,11,2009,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124244241215111451338631575122610137055',NULL,'226',50.67,1,3,NULL),(20,5205271,'1986-04-29 00:00:00',4,1,12,2004,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124242241216132411445319245134130264067',NULL,'1036',25.43,1,3,NULL),(20,5205280,'1980-09-19 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117154411164444245122221132095',NULL,'840',0.00,1,2,1),(20,5205298,'1991-11-08 00:00:00',4,1,12,2009,'M','N','SUMAREZINHO','S PAULO','SP','125252251217111411378924475122610147076',7248,'9998',59.80,1,3,NULL),(20,5205301,'1992-04-21 00:00:00',2,1,11,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217111431556712575124610144012',NULL,'272',39.67,1,3,NULL),(20,5205310,'1991-09-08 00:00:00',2,4,11,2008,'F','N','CENTRO','S JOSÉ CEDRO','SC','124241241116371431334923286112610128047',NULL,'740',0.00,1,3,NULL),(20,5205328,'1992-03-21 00:00:00',2,6,11,2009,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241215121451457822575122610148072',7284,'392',61.06,1,3,NULL),(20,5205336,'1991-08-01 00:00:00',4,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124242241215141431338812275122610148092',NULL,'806',0.00,1,3,NULL),(20,5205344,'1992-11-11 00:00:00',2,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124243241116131231428311215114610134017',NULL,'406',21.89,1,3,NULL),(20,5205360,'1991-09-20 00:00:00',4,1,12,2008,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241117371411336633575114610124147',13494,'307',51.39,1,2,1),(20,5205379,'1988-08-28 00:00:00',2,1,8,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241337231131647613282114610114117',NULL,'977',27.39,1,3,NULL),(20,5205387,'1992-12-18 00:00:00',4,4,12,2009,'F','N','CENTRO','PATO BRANCO','PR','116162161216471531456939575122610112047',NULL,'9998',0.00,1,3,NULL),(20,5205395,'1991-02-26 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431338814495122610128187',NULL,'1022',0.00,1,3,NULL),(20,5205409,'1989-03-17 00:00:00',4,8,12,2006,'M','N','SANTO ANTONIO','ASSIS','SP','125252251217471731449831595212143224047',15398,'9998',43.35,1,3,NULL),(20,5205417,'1992-04-20 00:00:00',4,8,10,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161236111411426635351124610164172',NULL,'9998',0.00,1,3,NULL),(20,5205425,'1991-04-25 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241217474431569932572114610124051',1940,'270',77.13,1,3,NULL),(20,5205441,'1991-11-04 00:00:00',2,1,12,2008,'F','N','BELA VISTA','CAXIAS SUL','RS','120201208116271431333321575124610142142',NULL,'9998',19.29,1,2,1),(20,5205450,'1990-11-20 00:00:00',4,1,11,2009,'M','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241215151431458813485114610132122',NULL,'1048',20.70,1,3,NULL),(20,5205476,'1986-07-21 00:00:00',2,1,12,2003,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201096127131411516411345124610126091',NULL,'9998',0.00,2,1,1),(20,5205484,'1991-07-23 00:00:00',4,3,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124243242117474431537634145124610167142',3977,'129',69.91,1,3,NULL),(20,5205506,'1991-11-05 00:00:00',2,1,12,2008,'M','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241132272431424424582224610127117',11598,'288',52.40,1,2,1),(20,5205514,'1992-02-24 00:00:00',2,3,12,2008,'F','N','CENTRO','STA ZÉLIA','PR','116161161116271431436834572124610164017',5477,'9998',66.79,1,2,1),(20,5205522,'1981-11-22 00:00:00',4,1,12,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161161311454731225941315124121464182',2046,'9998',75.94,3,3,NULL),(20,5205557,'1989-07-13 00:00:00',2,1,12,2007,'F','N','CENTRO','VACARIA','RS','620201201146131731526314141224141227057',NULL,'9998',21.97,1,3,NULL),(20,5205565,'1992-11-05 00:00:00',4,8,12,2009,'M','N','SAGUAÇÚ','JOINVILLE','SC','124242241217141431336919472122610117047',15669,'9998',45.63,1,3,NULL),(20,5205573,'1993-01-07 00:00:00',2,8,11,2009,'F','N','DE JULHO','S BENTO SUL','SC','124241241146272731623321595124610127052',NULL,'697',0.00,1,3,NULL),(20,5205581,'1988-08-27 00:00:00',4,8,12,2005,'F','N','CENTRO','CASCAVEL','PR','116162161216571741479714571122610163197',324,'9998',86.21,1,3,NULL),(20,5205590,'1993-10-14 00:00:00',2,1,12,2009,'M','N','FLORESTA','S JOSÉ','SC','124242241212111431656813572121610167182',NULL,'300',29.80,1,3,NULL),(20,5205603,'1989-09-25 00:00:00',4,1,12,2007,'M','N','CENTRO','S CARLOS','SP','125252251217571721469813575112610164177',NULL,'9998',NULL,1,3,NULL),(20,5205611,'1991-11-19 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372411356613572112610111077',NULL,'1022',21.34,1,3,NULL),(20,5205620,'1992-04-11 00:00:00',2,1,12,2009,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241115141731326313285124610127141',NULL,'257',28.95,1,2,1),(20,5205638,'1994-11-01 00:00:00',2,15,11,2010,'F','S','LINHA SEMINÁRIO','TURVO','SC','124244241217161431444715572122610137147',NULL,'813',48.67,1,3,NULL),(20,5205654,'1992-01-02 00:00:00',2,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241215121431426614541122610136012',NULL,'1023',22.69,1,3,NULL),(20,5205662,'1992-11-26 00:00:00',2,1,12,2009,'F','N','JARDIM TROPICAL','DOURADOS','MS','112124121216111531548811575122610122197',NULL,'9998',28.59,1,3,NULL),(20,5205670,'1991-12-05 00:00:00',4,1,12,2009,'M','N','CENTRO','PINDAMONHANGABA','SP','125252251215111431569833575121610127012',NULL,'9998',39.64,1,3,NULL),(20,5205689,'1992-01-21 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116164161216471531668813585124610124147',9636,'9998',56.93,3,3,NULL),(20,5205697,'1987-04-15 00:00:00',2,1,12,2007,'M','N','CENTRO','VACARIA','RS','620201201141131431523319241224610118047',NULL,'9998',35.60,1,3,NULL),(20,5205700,'1988-04-19 00:00:00',2,1,12,2005,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241241136151411345823282224610136091',NULL,'307',56.70,1,3,NULL),(20,5205719,'1992-01-03 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215122432234923575114610127042',7308,'1022',61.09,1,3,NULL),(20,5205727,'1992-10-28 00:00:00',4,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241215111731646534472344610164182',NULL,'868',35.20,1,3,NULL),(20,5205743,'1990-09-14 00:00:00',2,6,12,2008,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124241241117272431335611242322610157117',14941,'110',48.05,4,2,1),(20,5205751,'1988-10-18 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','202023021222232322112343422121431621176',1920,'9998',76.77,1,3,NULL),(20,5205760,'1991-09-23 00:00:00',4,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124162161217132711456611445124233264147',9049,'9998',59.87,1,3,NULL),(20,5205786,'1983-12-23 00:00:00',2,15,12,2000,'M','N','CENTRO','CANOAS','RS','120201201126571451447619445124341567047',834,'9998',81.76,4,2,1),(20,5205794,'1991-06-26 00:00:00',4,1,12,2007,'F','N','VILA INDUSTRIAL','TOLEDO','PR','120201201116472431426315595121610127052',4901,'9998',66.68,1,2,1),(20,5205808,'1992-07-10 00:00:00',2,2,11,2009,'F','N','CANOAS','RIO SUL','SC','124242241215151432448723575122610162057',14504,'663',46.10,1,3,NULL),(20,5205816,'1992-04-02 00:00:00',2,7,12,2009,'M','N','JARDIM BELA VISTA','CAMPOS NOVOS','SC','124241241112111431545516382224610164057',NULL,'140',30.02,1,2,1),(20,5205832,'1986-07-14 00:00:00',4,15,12,2003,'F','N','PETROPOLIS','PTO ALEGRE','RS','120202201216471431368973575114142032147',NULL,'9998',0.00,1,3,NULL),(20,5205840,'1992-02-24 00:00:00',4,1,12,2009,'M','N','SNATA MARIA','S BONIFÁCIO','SC','124241241126161431423319192214610167052',NULL,'702',20.26,1,3,NULL),(20,5205859,'1992-01-06 00:00:00',4,1,12,2009,'M','N','CIDADE NOVA','RIO GRANDE','RS','120202201216371411388811596112610162112',NULL,'9998',0.00,1,3,NULL),(20,5205867,'1985-09-07 00:00:00',4,3,11,2001,'M','N','DOS ESTADOS','BAL CAMBORIÚ','SC','124201241126151412438641215123131034047',NULL,'49',44.90,1,3,NULL),(20,5205875,'1992-12-03 00:00:00',4,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242246217111431324639572124610164082',13124,'1075',48.72,4,3,NULL),(20,5205883,'1984-10-17 00:00:00',4,1,12,2002,'M','N','VILA CANAÃ','ITATINGA','SP','125251257116471441343324145124610144017',NULL,'9998',0.00,1,2,1),(20,5205891,'1989-12-28 00:00:00',2,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241214142731336619345124131017047',10597,'723',57.05,1,3,NULL),(20,5205905,'1991-12-13 00:00:00',4,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241217111431337634575112610124092',NULL,'1076',24.27,1,3,NULL),(20,5205913,'1991-09-01 00:00:00',2,6,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124201201117372431333924274325610122142',3779,'9998',70.32,1,2,1),(20,5205921,'1992-08-15 00:00:00',4,1,12,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124242241115131431454419385124610127042',15724,'307',40.84,1,3,NULL),(20,5205956,'1992-06-04 00:00:00',4,8,11,2009,'M','N','SAGUAÇU','JOINVILLE','SC','124242241216272431569814575122610127182',9527,'457',56.74,1,3,NULL),(20,5205964,'1992-02-19 00:00:00',2,5,12,2008,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124243246215373431548514382112131436147',4037,'995',68.55,1,3,NULL),(20,5205972,'1982-07-27 00:00:00',2,1,12,2001,'F','N','KOBRASOL','S JOSÉ','SC','124241241116132711553544345124230214157',NULL,'239',0.00,1,3,NULL),(20,5205980,'1992-09-14 00:00:00',4,6,12,2009,'F','N','FAZENDA','ITAJAÍ','SC','124242241214131731438823342125610167147',15239,'1172',47.14,1,3,NULL),(20,5206006,'1990-05-07 00:00:00',4,1,12,2007,'F','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125252251217472411276923571112610137127',NULL,'9998',0.00,4,3,NULL),(20,5206014,'1991-02-04 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124204201416311731526724571324610127047',NULL,'9998',31.51,1,3,NULL),(20,5206022,'1993-04-12 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241117331732336623572222610127052',13081,'295',49.73,4,1,2),(20,5206030,'1991-09-19 00:00:00',4,8,11,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215151431559614572124610133187',12973,'461',48.97,1,3,NULL),(20,5206049,'1988-12-28 00:00:00',4,1,11,2006,'M','N','CAMPINAS','S JOSÉ','SC','124241241215473431436613285124610167017',4308,'737',70.01,1,3,NULL),(20,5206057,'1985-01-07 00:00:00',4,1,7,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124254247226474431478613475114133263077',11396,'9999',52.78,1,3,NULL),(20,5206065,'1987-03-23 00:00:00',2,5,12,2004,'F','N','MONTE VERDE','MRO FUMAÇA','SC','124241248126471731323319375124333228147',NULL,'567',19.20,1,2,1),(20,5206081,'1985-07-15 00:00:00',2,1,12,2003,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124051241122134431223644442234610136187',NULL,'9997',27.83,4,1,1),(20,5206090,'1992-03-10 00:00:00',4,4,11,2009,'F','N','BATEL','CURITIBA','PR','116162161215121331368832125122610127122',NULL,'9998',0.00,1,3,NULL),(20,5206103,'1992-04-26 00:00:00',4,8,12,2009,'F','N','AVENTUREIRO','JOINVILLE','SC','124243241112131431456634572124610121147',NULL,'470',0.00,1,3,NULL),(20,5206111,'1992-09-07 00:00:00',2,1,12,2009,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241135161731324619575114610124197',NULL,'329',25.44,1,2,1),(20,5206120,'1992-08-15 00:00:00',2,5,10,2009,'F','N','IMBIRAPUERA','MRO FUMAÇA','SC','124242241215111431476412575122610166172',4604,'226',68.22,1,3,NULL),(20,5206138,'1989-04-21 00:00:00',4,1,12,2006,'F','N','ASA NORTE','BRASÍLIA','DF','107072071237574231258923341124222964072',10826,'9998',56.63,1,3,NULL),(20,5206154,'1991-10-14 00:00:00',2,8,12,2008,'F','N','BOA VISTA','JOINVILLE','SC','124241241116472431536615595225610168147',NULL,'856',21.50,1,3,NULL),(20,5206189,'1992-11-20 00:00:00',2,1,12,2009,'M','N','CENTRO','CAÇADOR','SC','124242241216121431458614575112610164142',10724,'120',53.05,1,3,NULL),(20,5206197,'1993-06-08 00:00:00',2,3,11,2010,'F','S','JARDIM AMÉRICA','RIO SUL','SC','124242241215111431548831574122610134142',NULL,'991',22.33,1,3,NULL),(20,5206200,'1991-12-17 00:00:00',4,7,12,2008,'F','N','CENTRO','VIDEIRA','SC','124242168215472451357729575115610166047',11109,'9998',53.07,1,3,NULL),(20,5206219,'1992-10-12 00:00:00',4,1,12,2010,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111432248923572122610127142',NULL,'270',53.32,1,3,NULL),(20,5206235,'1990-11-03 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241127471431336313241334610134147',NULL,'288',25.19,1,2,1),(20,5206243,'1992-02-17 00:00:00',4,1,12,2009,'F','N','MARIA IZABEL','MARÍLIA','SP','125252251215111231458811585122610164044',NULL,'9998',0.00,1,3,NULL),(20,5206260,'1992-10-07 00:00:00',4,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215121431356833432124610116192',13073,'270',49.37,1,3,NULL),(20,5206278,'1991-03-12 00:00:00',4,8,12,2008,'M','N','VILA SAO PEDRO','PIRAÍ SUL','PR','116162161217472431578811575114610167012',2324,'9998',73.91,1,3,NULL),(20,5206286,'1958-09-07 00:00:00',2,1,6,1979,'F','N','CENTRO','FLORIANÓPOLIS','SC','524161167436141421463344145125233264093',NULL,'9998',21.36,1,3,NULL),(20,5206294,'1993-04-29 00:00:00',4,1,12,2010,'F','S','MONTE VERDE','FLORIANÓPOLIS','SC','624241241116111732469833275114610127052',NULL,'267',25.78,1,3,NULL),(20,5206316,'1988-12-02 00:00:00',4,1,12,2006,'M','N','GRANVILLE','GOIÂNIA','GO','109092091217575431468811575122610117047',NULL,'9998',0.00,3,3,NULL),(20,5206324,'1992-08-02 00:00:00',2,1,12,2009,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241115371731414314282124610137042',NULL,'288',26.49,1,2,1),(20,5206359,'1991-09-20 00:00:00',4,1,11,2009,'M','N','CAMPO BELO','S PAULO','SP','125252251215111711589812275112610127042',7931,'9998',57.89,1,3,NULL),(20,5206367,'1992-05-27 00:00:00',4,1,12,2009,'F','N','COMAERCTA','S JOSÉ CAMPOS','SP','125252251217151431349813575122610143142',4772,'9998',66.78,1,3,NULL),(20,5206375,'1989-09-04 00:00:00',4,1,12,2006,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215573411566832574114620162081',164,'1063',88.66,1,3,NULL),(20,5206405,'1992-09-29 00:00:00',4,1,12,2009,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241117151411325611581111610164082',NULL,'329',26.38,1,3,NULL),(20,5206421,'1990-12-22 00:00:00',4,1,12,2008,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241211132221248823475122233237187',NULL,'1022',25.02,1,3,NULL),(20,5206448,'1974-06-05 00:00:00',2,1,11,2002,'F','N','JD ATLANTICO','FLORIANÓPOLIS','SC','624071077312131421568954332132141021187',NULL,'9998',0.00,1,3,NULL),(20,5206456,'1992-06-30 00:00:00',4,1,12,2009,'M','N','MANSUR DAUD','S JOSÉ R PRETO','SP','125252251416121421326824575122610132092',11844,'9998',50.38,1,3,NULL),(20,5206464,'1992-01-10 00:00:00',4,10,10,2009,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215122432388722472122610121182',11021,'807',54.53,1,3,NULL),(20,5206472,'1990-01-19 00:00:00',4,7,12,2007,'F','N','MARTELLI','VIDEIRA','SC','124241241132131431226624342122230214142',NULL,'831',24.74,1,2,1),(20,5206480,'1991-04-06 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241217373731446813375124221424172',NULL,'1118',0.00,1,3,NULL),(20,5206499,'1993-05-14 00:00:00',4,2,10,2010,'M','S','VILA NOVA','BLUMENAU','SC','124242241215151431258912575122610162092',NULL,'909',0.00,1,3,NULL),(20,5206502,'1992-04-08 00:00:00',2,4,12,2009,'F','N','JARDIM CARVALHO','PNT GROSSA','PR','116164161214371751547714572122612468092',15872,'9998',44.28,1,3,NULL),(20,5206510,'1991-03-25 00:00:00',4,1,11,2008,'M','N','CENTRO','S CARLOS','SP','125254251217371431179813571115610167055',NULL,'9998',NULL,1,3,NULL),(20,5206529,'1986-02-21 00:00:00',2,1,6,2004,'M','N','BARREIROS','S JOSÉ','SC','624241241116341741333349395134610147052',NULL,'17',0.00,1,2,1),(20,5206537,'1990-10-17 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','S JOSÉ','SC','124244241217133431436633332114131267112',15646,'944',45.69,1,3,NULL),(20,5206545,'1989-08-22 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115272411338924445124120267187',8865,'267',60.23,1,2,1),(20,5206553,'1990-08-06 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124142241215574411458613575124610164075',5010,'1022',66.04,4,3,NULL),(20,5206561,'1992-07-15 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215471431469819575114610167095',4204,'1133',69.21,1,3,NULL),(20,5206570,'1993-07-07 00:00:00',4,1,12,2009,'M','N','ZONA SETE','MARINGÁ','PR','116162161217111441458839575112610164016',3417,'9998',70.07,3,3,NULL),(20,5206588,'1991-09-28 00:00:00',4,8,11,2008,'M','N','GLÓRIA','JOINVILLE','SC','124242241215472232369933575114610162172',4822,'486',68.80,1,3,NULL),(20,5206596,'1992-10-10 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731426639595124610113097',NULL,'1022',26.66,1,3,NULL),(20,5206600,'1991-05-03 00:00:00',2,6,12,2008,'F','N','VILA CELINA','ESPÍRITO STO PINHAL','SP','125252251216471431448832575124142543142',NULL,'9998',0.00,1,3,NULL),(20,5206618,'1992-04-27 00:00:00',4,10,12,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124242241235111311457814575125610167062',15242,'807',47.13,1,3,NULL),(20,5206626,'1985-03-31 00:00:00',2,1,12,2002,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','224161161146272331223659295124610124142',NULL,'9998',25.07,1,2,1),(20,5206650,'1974-08-27 00:00:00',4,1,12,1998,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124161167426152421334444242114143221197',NULL,'9998',24.94,1,3,NULL),(20,5206677,'1990-09-18 00:00:00',4,1,12,2008,'M','N','SANTANA','S PAULO','SP','125252251217471421559931112124610126147',NULL,'9998',0.00,1,3,NULL),(20,5206685,'1986-07-08 00:00:00',2,1,12,2004,'F','N','BARREIROS','S JOSÉ','SC','124141141337342422226674442114610124147',NULL,'9998',0.00,4,3,NULL),(20,5206707,'1991-09-23 00:00:00',4,6,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216472441478813572122610147052',4076,'1057',68.82,1,3,NULL),(20,5206731,'1991-05-31 00:00:00',2,4,12,2008,'M','N','CENTRO','PASSO FUNDO','RS','120201201116472341533416572125610167052',3556,'9998',72.00,4,2,1),(20,5206758,'1992-07-11 00:00:00',2,4,11,2009,'M','N','ALVORADA','XAXIM','SC','124241248216151521444419295124610164052',15602,'836',45.87,1,3,NULL),(20,5206766,'1991-03-26 00:00:00',4,1,11,2008,'M','N','JD STA JÚLIA','AMPARO','SP','125252251217471431448532572111610131044',NULL,'9998',32.97,1,3,NULL),(20,5206774,'1992-06-20 00:00:00',4,5,10,2009,'M','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241215121431479932274112610132057',12657,'226',53.02,1,3,NULL),(20,5206782,'1991-08-02 00:00:00',4,8,12,2008,'M','N','GUAÍRA','CURITIBA','PR','116163161115371431453924571124241064147',1153,'9998',80.04,1,3,NULL),(20,5206790,'1989-12-14 00:00:00',4,8,12,2007,'M','N','BIGORRILHO','CURITIBA','PR','116162161215571441578834572114610167047',4201,'9998',70.31,1,3,NULL),(20,5206812,'1991-11-17 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124242241211152431479714571122610164122',196,'71',88.02,1,3,NULL),(20,5206839,'1992-09-08 00:00:00',2,2,12,2009,'F','N','CENTRO','INDAIAL','SC','124242241215111431448532372122610126142',NULL,'925',26.69,1,3,NULL),(20,5206847,'1992-06-02 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215112431479913575112610167075',1355,'270',79.49,1,3,NULL),(20,5206855,'1992-09-11 00:00:00',2,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124242241215112431467814575122610128142',9960,'1022',54.63,1,3,NULL),(20,5206863,'1991-08-09 00:00:00',4,1,12,2008,'M','N','SÃO DIMAS','S JOSÉ CAMPOS','SP','125082241217472432488814495114610164142',7159,'951',61.32,1,3,NULL),(20,5206871,'1984-06-30 00:00:00',2,1,12,2001,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241132143421347329245134332765187',NULL,'257',25.55,1,2,1),(20,5206880,'1990-11-23 00:00:00',4,1,12,2007,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124243241216372731438313495124132562187',12869,'1118',49.32,4,3,NULL),(20,5206898,'1993-04-26 00:00:00',4,2,11,2010,'F','S','TESTO SALTO','BLUMENAU','SC','124242241217111441358834572124610124046',NULL,'909',52.92,1,3,NULL),(20,5206901,'1992-04-24 00:00:00',2,3,12,2009,'F','N','SANTA RITA','TRÊS LAGOAS','MS','112122121236111132438734145122610121146',NULL,'9998',0.00,1,3,NULL),(20,5206910,'1993-01-08 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431556814575124610134012',5531,'1118',65.14,1,3,NULL),(20,5206928,'1990-11-07 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241248117473441443617372345610164177',3750,'182',71.48,4,1,1),(20,5206936,'1993-06-21 00:00:00',4,1,12,2010,'M','S','PANTANAL','FLORIANÓPOLIS','SC','124241241115151431469939575121610168017',NULL,'267',34.05,1,3,NULL),(20,5206952,'1992-06-27 00:00:00',4,8,12,2009,'F','N','BATEL','CURITIBA','PR','116162161215111431665732572124610162142',7587,'9998',59.59,3,3,NULL),(20,5206960,'1992-06-09 00:00:00',4,1,12,2009,'F','N','PARALELA','SALVADOR','BA','105052051215111751469933575122610143012',11056,'9998',53.06,1,3,NULL),(20,5206987,'1989-09-20 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241217112731559513375124610111147',NULL,'1022',19.74,1,3,NULL),(20,5207002,'1992-07-23 00:00:00',1,2,12,2009,'F','N','CENTRO','GUABIRUBA','SC','124242241215271431588612575122610144142',3689,'107',71.65,1,3,NULL),(20,5207010,'1992-05-02 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216131431326621212124610137062',5444,'1022',65.69,1,3,NULL),(20,5207029,'1991-05-11 00:00:00',4,1,12,2008,'F','N','APARECIDA','UBERLÂNDIA','MG','113092131217471731138711571125610166147',NULL,'9998',0.00,1,3,NULL),(20,5207045,'1992-07-29 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241117141431425624342124610114142',NULL,'257',25.49,1,2,1),(20,5207053,'1978-01-13 00:00:00',2,1,12,1995,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124201201116142421143443232224341362057',7093,'9998',63.63,1,2,1),(20,5207061,'1993-11-06 00:00:00',4,4,11,2010,'M','S','CENTRO','CHAPECÓ','SC','124241241123111411322231573114210112015',NULL,'983',55.29,1,3,NULL),(20,5207070,'1992-08-27 00:00:00',4,4,11,2009,'F','N','CENTRO','ERECHIM','RS','120202201215271431417732275122610133147',NULL,'9998',26.16,1,3,NULL),(20,5207088,'1989-11-17 00:00:00',4,6,12,2006,'F','N','NAÇOES','BAL CAMBORIÚ','SC','124241241136131431336614342334131027047',14407,'49',49.44,1,2,1),(20,5207096,'1992-06-23 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215121432456833575124610127047',8095,'1022',58.65,1,3,NULL),(20,5207100,'1990-11-21 00:00:00',4,1,12,2007,'M','N','DE FÁTIMA','FLORIANÓPOLIS','SC','124242241216373411336413575124610164043',NULL,'1036',25.10,4,3,NULL),(20,5207118,'1990-02-05 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241127131251533311212312610164157',NULL,'387',25.80,1,3,NULL),(20,5207126,'1988-09-26 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215575451468914571114610162147',194,'270',88.05,1,3,NULL),(20,5207134,'1992-09-08 00:00:00',4,2,12,2009,'F','N','LINDOIA','CURITIBA','PR','116162161215471431456632575122610124077',5002,'9998',65.97,1,3,NULL),(20,5207150,'1992-03-18 00:00:00',2,1,12,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241115112431367632225122610127052',NULL,'944',27.88,1,3,NULL),(20,5207177,'1991-05-09 00:00:00',2,1,12,2008,'F','N','ARIRIÚ DA FORMIGA','PALHOÇA','SC','124242241217153431556933572124610135092',9544,'1011',57.10,1,3,NULL),(20,5207193,'1989-03-11 00:00:00',4,1,12,2007,'F','N','ALTO BONITO','CAÇADOR','SC','124241241142131741321279382324231467172',NULL,'123',21.33,1,3,NULL),(20,5207207,'1990-03-20 00:00:00',4,1,12,2007,'M','N','REAL PARQUE','S JOSÉ','SC','124242241215113421424614245124610127047',12988,'1078',52.39,1,3,NULL),(20,5207215,'1991-05-17 00:00:00',4,1,12,2008,'F','N','CANTO','FLORIANÓPOLIS','SC','124242241215473431457712575124610144041',5704,'1022',66.56,4,3,NULL),(20,5207223,'1993-06-10 00:00:00',4,1,11,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431569613575122610167142',NULL,'270',62.49,1,3,NULL),(20,5207231,'1991-10-08 00:00:00',4,3,12,2008,'F','N','TABOLEIRO','ITAPEMA','SC','124241242115372431436414145124130334077',7494,'129',62.80,1,2,1),(20,5207258,'1992-01-18 00:00:00',4,1,12,2008,'F','N','CENTRO','LAGES','SC','124242241216373431657711575112610111057',2640,'499',73.77,1,3,NULL),(20,5207266,'1992-05-07 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431469923475115610124052',5108,'270',68.05,1,3,NULL),(20,5207274,'1992-10-06 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215152411456613572122610125057',7851,'724',61.45,1,3,NULL),(20,5207282,'1991-10-15 00:00:00',2,1,12,2009,'M','N','JOSE MENDES','FLORIANÓPOLIS','SC','124241241117111411566513375124610127043',NULL,'307',25.83,1,2,1),(20,5207290,'1993-02-14 00:00:00',4,9,11,2009,'F','N','SÃO CRISTOVÃO','LAGES','SC','124242241215111431345833571122610121012',NULL,'1065',42.85,1,3,NULL),(20,5207304,'1992-09-27 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217113231489811115124610164012',2482,'270',74.05,1,3,NULL),(20,5207312,'1990-10-08 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472411269913595112610168101',10271,'262',56.24,1,3,NULL),(20,5207320,'1992-09-27 00:00:00',4,15,12,2009,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241115151431444912245132610118042',NULL,'30',28.17,1,2,1),(20,5207363,'1992-01-06 00:00:00',4,1,12,2009,'M','N','JARDIM AVIACAO','PRES PRUDENTE','SP','125114251217111431439811475122610127042',NULL,'9998',0.00,1,3,NULL),(20,5207371,'1992-08-17 00:00:00',2,1,12,2009,'F','N','ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC','124241241117111411346823575112610166196',13492,'307',47.42,1,2,1),(20,5207380,'1991-11-07 00:00:00',4,1,12,2009,'M','N','APONIA','PTO VELHO','RO','122252251215111411576632575122610127052',2450,'9998',73.58,1,3,NULL),(20,5207398,'1992-08-28 00:00:00',2,1,2,2010,'F','N','BARREIROS','S JOSÉ','SC','124243241235112431326624572324610123077',NULL,'738',26.36,1,3,NULL),(20,5207401,'1988-06-08 00:00:00',2,5,12,2005,'M','N','CIDADE MINEIRA','CRICIÚMA','SC','124241241142141731556832241222610126057',NULL,'220',44.63,1,3,NULL),(20,5207410,'1992-11-13 00:00:00',4,3,12,2009,'M','N','TABULEIRO','ITAPEMA','SC','124241241115131731544923275322610167092',NULL,'406',23.49,1,2,1),(20,5207436,'1992-02-25 00:00:00',2,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241215271431446933372124610137142',NULL,'20',24.46,1,3,NULL),(20,5207444,'1991-05-20 00:00:00',4,1,11,2009,'M','N','STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC','124242241215113431579933571112610124092',2169,'262',75.96,1,3,NULL),(20,5207460,'1993-02-03 00:00:00',2,1,11,2009,'M','N','CENTRO','ÁGUAS MORNAS','SC','124244241215111711329914495124610167192',15039,'737',47.75,1,3,NULL),(20,5207487,'1992-01-20 00:00:00',2,8,12,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124241246216151351546714575114610161057',NULL,'1105',30.88,1,3,NULL),(20,5207509,'1992-08-26 00:00:00',4,1,11,2009,'M','N','CENTRO','S JOSÉ','SC','124242241215121511489923572114610117042',614,'270',83.79,1,3,NULL),(20,5207525,'1988-11-05 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124251241111574431336821571124610166142',NULL,'307',22.23,1,3,NULL),(20,5207533,'1989-03-04 00:00:00',2,1,7,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241217311411527613385124610167062',NULL,'9999',0.00,1,3,NULL),(20,5207541,'1993-06-14 00:00:00',4,1,11,2009,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242248215111731478834575124610162112',12019,'270',54.34,1,3,NULL),(20,5207550,'1989-07-21 00:00:00',4,6,12,2006,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241216575431236823475124610134097',NULL,'1058',24.22,1,3,NULL),(20,5207568,'1992-06-07 00:00:00',4,2,11,2009,'M','N','SÃO PEDRO','BRUSQUE','SC','124241241315272421546632275121610127062',NULL,'1123',27.67,1,3,NULL),(20,5207576,'1990-04-05 00:00:00',4,1,12,2007,'M','N','CAMPO BELO','S PAULO','SP','125252251217411231589814445112610127042',NULL,'9998',0.00,1,3,NULL),(20,5207606,'1990-12-02 00:00:00',4,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241215111441446634345121610162037',11955,'1010',52.44,1,3,NULL),(20,5207614,'1988-10-09 00:00:00',4,4,12,2005,'M','N','SANTA MARIA','CHAPECÓ','SC','124252241215575431578814595112610144041',3618,'270',70.55,1,3,NULL),(20,5207622,'1993-11-10 00:00:00',4,1,11,2010,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111731468933572112610132097',NULL,'270',59.19,1,3,NULL),(20,5207657,'1992-05-27 00:00:00',4,1,11,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241116272421336623595122610116052',7183,'271',62.45,1,3,NULL),(20,5207673,'1990-02-09 00:00:00',4,1,12,2007,'M','N','SERRARIA','S JOSÉ','SC','124244241216132431336633445124122233057',NULL,'976',17.33,2,1,2),(20,5207681,'1990-08-31 00:00:00',4,1,12,2007,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241217153451378823575124221564142',4028,'262',70.79,1,3,NULL),(20,5207690,'1992-02-21 00:00:00',2,1,12,2008,'F','N','MARIA LUIZA','CASCAVEL','PR','116164161211441411468632571122610164073',NULL,'9998',0.00,1,3,NULL),(20,5207703,'1991-10-15 00:00:00',4,1,12,2008,'M','N','VIVENDAS ARVOREDO','LONDRINA','PR','116162161217111711446839575112610167047',NULL,'9998',0.00,1,3,NULL),(20,5207711,'1993-12-06 00:00:00',4,1,12,2009,'F','N','CENTRO','S BONIFÁCIO','SC','124241241125131411538613192221610134057',11642,'702',51.35,4,2,1),(20,5207720,'1990-08-14 00:00:00',2,3,7,2008,'F','N','CENTRO','GUARAPUAVA','PR','116162167316272431448613372322610124197',14847,'9998',45.04,1,3,NULL),(20,5207738,'1992-07-10 00:00:00',4,1,12,2009,'M','N','BOA VISTA','JOINVILLE','SC','124243241215121431446712345114610126071',NULL,'486',0.00,1,3,NULL),(20,5207746,'1992-09-23 00:00:00',2,3,12,2009,'F','N','CENTRO','BOMBINHAS','SC','124241241216111531557332342124610164197',NULL,'1111',0.00,1,3,NULL),(20,5207762,'1982-08-29 00:00:00',2,1,12,2000,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124201241117131431326744445134610128092',NULL,'757',0.00,1,3,NULL),(20,5207770,'1991-04-05 00:00:00',2,9,11,2008,'M','N','CENTRO','POUSO REDONDO','SC','124244246216472431548835572124610147057',14108,'1013',47.13,1,3,NULL),(20,5207789,'1992-06-02 00:00:00',4,1,11,2009,'F','N','FAZENDINHA','CARAPICUÍBA','SP','125252251217471432588814574122610131142',4917,'9998',66.28,1,3,NULL),(20,5207797,'1992-08-28 00:00:00',4,1,10,2009,'F','N','SÃO FRANCISCO','CURITIBA','PR','116162161215121431568912575112610123192',6557,'9998',63.82,1,3,NULL),(20,5207800,'1989-06-09 00:00:00',4,3,12,2006,'F','N','SÃO BRÁZ','CURITIBA','PR','116162161216511431479931575112610167046',1865,'9998',76.63,3,3,NULL),(20,5207819,'1992-10-23 00:00:00',4,1,11,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242241212111531478613344122610133012',NULL,'270',27.97,1,3,NULL),(20,5207827,'1992-05-29 00:00:00',4,1,12,2009,'M','N','TAQUARAL','CAMPINAS','SP','125252251217111411469614575124610162032',NULL,'9998',0.00,1,3,NULL),(20,5207835,'1992-09-08 00:00:00',2,5,11,2009,'M','N','SANTO ANTONIO','CRICIÚMA','SC','124241248615111431345934345124610167117',NULL,'920',25.03,1,3,NULL),(20,5207843,'1991-02-21 00:00:00',4,6,12,2008,'M','N','SÃO JUDAS','ITAJAÍ','SC','124245241545372431353933572123610126067',NULL,'388',32.34,1,3,NULL),(20,5207851,'1991-08-31 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241217373431466614476122610124182',2812,'943',74.08,1,3,NULL),(20,5207860,'1992-08-21 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','624242241215111441256623276125610164117',8281,'1118',61.34,4,3,NULL),(20,5207878,'1992-07-30 00:00:00',4,8,12,2009,'M','N','RIO DA LUZ','JARAGUÁ SUL','SC','124241246216151431634934575124610112051',15391,'1061',42.65,1,3,NULL),(20,5207908,'1993-01-08 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','S JOSÉ','SC','124242241216111431556814575112610117042',11415,'1118',53.32,1,3,NULL),(20,5207916,'1989-01-09 00:00:00',2,1,12,2005,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124203241126373431246624392124123261192',NULL,'307',0.00,1,3,NULL),(20,5207924,'1993-05-16 00:00:00',4,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215121431526923372124610122145',11527,'1022',55.28,1,3,NULL),(20,5207932,'1990-09-27 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217473431469911572122231024092',1312,'270',79.70,1,3,NULL),(20,5207959,'1982-08-22 00:00:00',2,15,12,1999,'M','N','MATO ALTO','ARARANGUÁ','SC','224241241116153421238344345332130822055',15668,'30',45.63,1,3,NULL),(20,5207967,'1990-02-21 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242201217112731439919395122223262045',NULL,'9998',0.00,1,3,NULL),(20,5207975,'1988-08-02 00:00:00',4,1,12,2006,'M','N','ARMAÇÃO DO PÂNTANO D','FLORIANÓPOLIS','SC','124244241117272431338923392112610167117',15549,'307',46.11,4,3,NULL),(20,5207983,'1992-04-23 00:00:00',4,1,12,2009,'M','N','SANTA TERESA','S PEDRO ALCÂNTARA','SC','124241241115161431444813285124610162142',8296,'739',57.22,1,2,1),(20,5208009,'1991-12-09 00:00:00',2,1,12,2008,'F','N','UNIVERSITÁRIO','LAJEADO','RS','120202205217471441449814581124610135197',15577,'9998',45.97,1,3,NULL),(20,5208025,'1991-07-26 00:00:00',4,1,12,2008,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215372431479931572124610127122',1755,'262',77.80,1,3,NULL),(20,5208050,'1993-09-18 00:00:00',4,1,12,2010,'M','S','INGLESES','FLORIANÓPOLIS','SC','124242244215111531336833572122230617141',NULL,'1050',39.09,1,3,NULL),(20,5208068,'1990-06-02 00:00:00',4,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215413431459814575122231427015',NULL,'226',0.00,1,3,NULL),(20,5208084,'1993-12-03 00:00:00',2,1,12,2010,'F','S','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242241215111732366633495112610123072',NULL,'1050',22.33,2,3,NULL),(20,5208092,'1991-08-21 00:00:00',4,1,12,2008,'F','N','JD NSA SRA DE FÁTIMA','AMERICANA','SP','125252251217371431388811375122610153122',NULL,'9998',0.00,4,3,NULL),(20,5208106,'1991-11-04 00:00:00',4,8,11,2008,'F','N','VILA IZABEL','CURITIBA','PR','116162161215571431568831572314610162092',3796,'9998',69.63,1,3,NULL),(20,5208130,'1993-02-10 00:00:00',4,8,11,2009,'M','N','ROCIO GRANDE','S FRANCISCO SUL','SC','124242241216111431556612325112610164052',12289,'486',53.79,1,3,NULL),(20,5208149,'1976-03-14 00:00:00',4,8,12,1993,'M','N','JARDIM CANADÁ','MARINGÁ','PR','216161161116472421254451471122341527142',3885,'9998',70.19,1,2,1),(20,5208157,'1990-10-22 00:00:00',4,1,12,2008,'M','N','CENTRO','LAGES','SC','124242241215272231359811592321610167042',7083,'499',63.66,4,3,NULL),(20,5208165,'1992-12-03 00:00:00',4,16,12,2009,'F','N','SÃO JOSÉ','CURITIBANOS','SC','124243248215121431249613335122610134142',10437,'881',56.09,1,3,NULL),(20,5208173,'1992-05-18 00:00:00',4,1,12,2008,'M','N','CENTRO','GAROPABA','SC','124241241432153731467933575124221455042',4064,'266',68.64,1,3,NULL),(20,5208190,'1983-07-23 00:00:00',4,1,12,2001,'M','N','CENTRO','PALHOÇA','SC','224241241132271711333344345125131028197',11538,'505',55.25,2,1,1),(20,5208203,'1991-09-14 00:00:00',2,8,12,2008,'F','N','JARDIM SOFIA','JOINVILLE','SC','124241241112371411436631395124610163112',NULL,'740',28.29,1,2,1),(20,5208220,'1993-02-24 00:00:00',4,5,11,2009,'M','N','ASA SUL','BRASÍLIA','DF','107123071117471431469613572112610124045',2497,'9998',73.39,1,3,NULL),(20,5208238,'1992-03-10 00:00:00',2,7,12,2009,'F','N','INTERIOR','VIDEIRA','SC','124241241216161431564436365122610133142',3826,'829',69.38,1,3,NULL),(20,5208246,'1993-03-19 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431659814571124610163065',12737,'270',52.86,1,3,NULL),(20,5208254,'1993-05-14 00:00:00',4,1,12,2010,'F','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111431346412575124610123017',NULL,'270',44.71,1,3,NULL),(20,5208262,'1988-09-17 00:00:00',4,1,12,2005,'M','N','JARDIM FERRARI','ITAPEVA','SP','125253251215571431458811415124610147047',14713,'9998',45.99,1,3,NULL),(20,5208270,'1991-12-18 00:00:00',4,1,12,2008,'M','N','AEROPORTO','LONDRINA','PR','116162161217111411656731294124240244092',NULL,'9998',0.00,4,3,NULL),(20,5208289,'1979-12-28 00:00:00',2,1,7,2005,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224243247237134751623359187124610147157',NULL,'9999',28.41,1,3,NULL),(20,5208297,'1991-06-14 00:00:00',4,1,12,2008,'M','N','PLANALTO PARAÍSO','S CARLOS','SP','125252251217371431678813575122610164017',NULL,'9997',0.00,1,3,NULL),(20,5208300,'1991-02-23 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241316372431336614275124610117117',9555,'9997',56.25,1,3,NULL),(20,5208327,'1992-05-08 00:00:00',2,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215121411556834574112610144157',NULL,'806',0.00,1,3,NULL),(20,5208343,'1990-11-30 00:00:00',2,1,12,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241114272441324319282124610162171',9674,'307',56.28,1,2,1),(20,5208360,'1991-11-08 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215372451436767345134610153047',7861,'1022',60.72,1,3,NULL),(20,5208378,'1993-08-04 00:00:00',4,2,12,2010,'F','S','CENTRO','BLUMENAU','SC','124202241215121431449813575122610146187',NULL,'909',45.57,1,3,NULL),(20,5208386,'1991-09-26 00:00:00',4,1,12,2009,'M','N','CENTRO','FRANCA','SP','125252251217111711539921575122610157012',3768,'9998',70.44,1,3,NULL),(20,5208394,'1989-05-19 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431365722575122130248075',8246,'1169',61.39,1,3,NULL),(20,5208416,'1988-04-08 00:00:00',2,1,11,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124142241211154431459613435114610132187',NULL,'1022',44.17,4,3,NULL),(20,5208424,'1988-05-02 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124134137437571431456879381124610162091',12514,'9998',51.34,4,3,NULL),(20,5208432,'1992-01-29 00:00:00',2,1,11,2009,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215112731444822575124610167112',NULL,'270',29.89,1,3,NULL),(20,5208459,'1981-12-24 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247337131451536644242234610127182',NULL,'9999',43.09,1,3,NULL),(20,5208483,'1991-12-19 00:00:00',2,15,12,2008,'M','N','MADUREIRA','CAXIAS SUL','RS','120202201215471431458733572124610137042',4538,'9998',67.15,1,3,NULL),(20,5208505,'1992-03-29 00:00:00',4,8,11,2009,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215111431458812575111610167042',NULL,'457',0.00,1,3,NULL),(20,5208513,'1990-02-06 00:00:00',2,1,12,2007,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124241241214143711456813394124233237055',10562,'1022',57.11,4,3,NULL),(20,5208521,'1990-03-15 00:00:00',4,1,12,2007,'M','N','NOSSA SRA DE LOURDES','STA MARIA','RS','120202201417471731569813195122610167117',NULL,'9998',27.36,1,3,NULL),(20,5208530,'1991-02-07 00:00:00',4,1,12,2008,'M','N','CABRAL','CURITIBA','PR','116242241216374751458614575122610167092',13164,'259',52.05,1,3,NULL),(20,5208548,'1983-12-17 00:00:00',2,1,5,2004,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241248627131421421218192314610142187',NULL,'9999',0.00,1,3,NULL),(20,5208556,'1990-03-26 00:00:00',2,1,12,2007,'F','N','VILA SANTO ANTÔNIO','IMBITUBA','SC','124241241112272431337614382114610137117',12291,'359',50.92,1,2,1),(20,5208564,'1992-06-17 00:00:00',4,16,12,2009,'F','N','CENTRO','CURITIBA','PR','116242161216471431449931295124610126147',6143,'9998',65.08,1,3,NULL),(20,5208572,'1991-07-12 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201242117372331239313575124610127172',9882,'741',58.40,1,3,NULL),(20,5208580,'1990-07-03 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117151431633311282124610147067',NULL,'275',21.23,3,3,NULL),(20,5208599,'1992-06-13 00:00:00',2,10,12,2009,'M','N','CENTRO','IBIRAIARAS','RS','120201201115131431568833572124610127057',NULL,'9998',0.00,1,2,1),(20,5208602,'1990-11-09 00:00:00',4,1,12,2008,'F','N','VILA EMA','S JOSÉ CAMPOS','SP','125252281215471431588834445122610124147',NULL,'9998',0.00,1,3,NULL),(20,5208610,'1991-10-29 00:00:00',2,1,12,2009,'F','N','CENTRO','LARANJEIRAS SUL','PR','116161165117371411533519372125610128147',NULL,'9998',21.32,1,3,NULL),(20,5208629,'1990-08-05 00:00:00',4,1,12,2007,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124242241211372431457814492124231167042',8500,'270',60.91,1,3,NULL),(20,5208637,'1994-02-28 00:00:00',4,1,12,2011,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124242248217111532468832576112610164075',NULL,'1169',0.00,1,3,NULL),(20,5208645,'1989-02-01 00:00:00',4,3,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161216571431479923575124610162097',NULL,'9998',0.00,1,3,NULL),(20,5208653,'1991-10-14 00:00:00',2,8,12,2008,'M','N','CENTRO','RONDON','PR','116161161136472431436614275122610117142',11421,'9998',52.59,1,2,1),(20,5208670,'1991-04-24 00:00:00',4,1,11,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242247216132421446669591124222325041',13812,'9999',47.87,1,3,NULL),(20,5208688,'1991-11-19 00:00:00',4,1,11,2008,'F','N','ALTO DA XV','CURITIBA','PR','116163161235472731568923474124610134042',3373,'9998',70.41,1,3,NULL),(20,5208696,'1988-09-22 00:00:00',4,8,12,2006,'M','N','GLORIA','JOINVILLE','SC','124244251215574231431661575115130762182',241,'486',87.37,3,3,NULL),(20,5208700,'1992-09-28 00:00:00',4,6,12,2009,'M','N','JARDIM SÃO PAULO','S JOÃO BATISTA','SC','124241241117141421584912345122610147122',13936,'712',45.93,1,3,NULL),(20,5208718,'1992-04-15 00:00:00',4,8,12,2009,'M','N','ESCOLINHA','JOINVILLE','SC','124241246216111731346611295124610167142',NULL,'1006',32.02,1,3,NULL),(20,5208726,'1993-01-30 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124164241215111431469813272122610134142',NULL,'1169',24.85,1,3,NULL),(20,5208734,'1992-03-11 00:00:00',4,8,12,2009,'M','N','ATIRADORES','JOINVILLE','SC','124242241235121511488712325112610167112',15564,'1063',46.03,1,3,NULL),(20,5208742,'1993-05-11 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111241466633575114610117057',NULL,'1022',26.50,1,3,NULL),(20,5208750,'1991-09-13 00:00:00',4,1,11,2009,'F','N','JARDIM CLARET','RIO CLARO','SP','125252254237371721347722425122610124012',13467,'9998',47.71,1,3,NULL),(20,5208769,'1991-02-10 00:00:00',4,2,12,2009,'M','N','CENTRO','BLUMENAU','SC','124242241215111421377632375122610117012',NULL,'909',0.00,4,3,NULL),(20,5208785,'1987-11-15 00:00:00',4,8,12,2005,'M','N','ITAUM','JOINVILLE','SC','124242246237573411439713475125133265097',1515,'494',78.81,1,3,NULL),(20,5208815,'1992-02-24 00:00:00',4,3,11,2009,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161215121431389919595112610141072',14963,'9998',45.12,1,3,NULL),(20,5208823,'1992-10-18 00:00:00',2,17,12,2009,'F','N','CENTRO','UNIÃO VITÓRIA','PR','116243161416421331426618385323610127017',NULL,'9998',22.19,1,3,NULL),(20,5208831,'1990-09-18 00:00:00',4,1,12,2007,'F','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116134131217571431228811485124142464147',3791,'9998',69.80,1,3,NULL),(20,5208840,'1991-05-17 00:00:00',2,8,12,2008,'F','N','CENTRO','IRATI','PR','116161161116471431437615572112610162197',6627,'9998',64.65,1,2,1),(20,5208858,'1992-02-09 00:00:00',2,1,12,2008,'F','N','JARDIM CIDADE','S JOSÉ','SC','124242241215372431226624572124610168147',9785,'259',58.58,1,3,NULL),(20,5208874,'1986-11-13 00:00:00',2,1,8,2006,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241116335431463623445124130264097',NULL,'306',23.97,3,3,NULL),(20,5208882,'1992-05-21 00:00:00',4,1,11,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124232241215121751468831572124610132122',11806,'1063',51.98,1,3,NULL),(20,5208890,'1991-05-08 00:00:00',1,1,12,2008,'M','N','GONZAGA','SANTOS','SP','125252251217472431379814572125610124157',1718,'9998',77.24,1,3,NULL),(20,5208904,'1992-03-26 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215112411478833592124610128045',8082,'270',59.43,1,3,NULL),(20,5208920,'1991-09-19 00:00:00',2,1,11,2009,'M','N','SOUSAS','CAMPINAS','SP','125252251211121431489913575122610154042',NULL,'9998',18.08,1,3,NULL),(20,5208939,'1990-04-22 00:00:00',2,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241217373431558813575114123032042',15160,'1048',47.39,4,3,NULL),(20,5208947,'1991-12-10 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','105052051217111431466912475122610138142',13741,'9998',49.07,4,3,NULL),(20,5208971,'1991-11-08 00:00:00',4,1,12,2009,'F','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251215111432589933575112610167143',14021,'9998',46.09,1,3,NULL),(20,5209013,'1992-10-28 00:00:00',2,8,12,2009,'F','N','CENTRO','IRATI','PR','116161161316471431437615572112610162197',8631,'9998',60.69,1,3,NULL),(20,5209021,'1992-12-09 00:00:00',4,8,12,2009,'M','N','GUABIROTUBA','CURITIBA','PR','116162161217121731568839594122610137032',NULL,'9998',0.00,3,3,NULL),(20,5209030,'1990-04-16 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241217153411526613595124133267052',NULL,'1022',42.18,1,3,NULL),(20,5209056,'1990-12-17 00:00:00',4,1,12,2009,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124241247122151431234459195122610156097',NULL,'9999',21.92,1,3,NULL),(20,5209064,'1985-07-06 00:00:00',2,1,12,2005,'F','N','CIDADE NOVA','MARINGÁ','PR','116162161436471511323619392124610124047',12503,'9998',50.17,1,3,NULL),(20,5209080,'1990-11-29 00:00:00',4,8,11,2008,'F','N','ITAUM','JOINVILLE','SC','124241241215372441448923575124610125092',3517,'486',72.09,1,3,NULL),(20,5209099,'1973-10-11 00:00:00',2,1,12,1990,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241212155711538779442124422222192',NULL,'262',0.00,1,3,NULL),(20,5209102,'1992-08-10 00:00:00',2,1,12,2009,'M','N','RIO GRANDE','PALHOÇA','SC','124241241115131431543339192122610127052',NULL,'592',26.75,1,2,1),(20,5209110,'1991-09-01 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431369833575112610127047',12524,'269',51.43,1,3,NULL),(20,5209129,'1992-12-14 00:00:00',2,15,12,2009,'F','N','CENTRO','ARARANGUÁ','SC','124244241215371431457732242122610164142',12751,'970',50.79,1,3,NULL),(20,5209145,'1992-06-14 00:00:00',2,8,11,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215111321439619575124610134017',NULL,'461',0.00,1,3,NULL),(20,5209153,'1988-01-10 00:00:00',4,9,12,2006,'M','N','QUINTA DA ALVORADA','BONFIM PAULISTA','SP','125252251216571411687816375112143245182',NULL,'9998',0.00,1,3,NULL),(20,5209161,'1992-05-17 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215151431558613585122610142127',8047,'1049',60.41,1,3,NULL),(20,5209170,'1992-12-21 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115271731325511572124610126147',11004,'288',53.16,1,2,1),(20,5209188,'1984-07-15 00:00:00',4,15,12,2001,'M','N','PARAGUAI','JACINTO MACHADO','SC','124241241127161431321211145121610127057',NULL,'420',20.57,1,2,1),(20,5209196,'1991-09-10 00:00:00',4,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124244241411111431344633235124610168127',NULL,'1022',39.13,1,3,NULL),(20,5209200,'1992-09-25 00:00:00',4,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431479634574122610124072',919,'1063',81.77,1,3,NULL),(20,5209226,'1986-09-09 00:00:00',4,6,12,2003,'F','N','CENTRO','NAVEGANTES','SC','124242241212153431459933572112131223152',NULL,'391',0.00,1,3,NULL),(20,5209234,'1991-12-24 00:00:00',4,1,11,2009,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124244241215112431358823475124610134013',7353,'300',60.22,1,3,NULL),(20,5209242,'1990-08-02 00:00:00',4,8,11,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111431579912375122610134122',NULL,'457',23.50,1,3,NULL),(20,5209250,'1989-08-28 00:00:00',4,1,12,2007,'M','N','VILA ELIZABETH','S CARLOS','SP','125252251217571411346613275122610122187',7434,'703',60.70,4,3,NULL),(20,5209307,'1974-01-07 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247126241111632623345114610118157',NULL,'9999',1.38,2,1,1),(20,5209331,'1991-06-01 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241217572731339923341122610126177',5494,'44',67.10,1,3,NULL),(20,5209340,'1992-02-11 00:00:00',4,1,12,2009,'M','N','ITACURUBI','FLORIANÓPOLIS','SC','124242241237111731488834574124610126042',4190,'270',69.51,1,3,NULL),(20,5209358,'1991-04-30 00:00:00',4,1,11,2009,'M','N','COROA DO MEIO','ARACAJU','SE','126262261216111131226612495122610114162',10382,'9998',54.20,4,3,NULL),(20,5209374,'1988-09-15 00:00:00',4,1,1,2009,'M','N','ROÇADO','S JOSÉ','SC','124244247336131441326623245123610164187',NULL,'9999',43.85,1,3,NULL),(20,5209390,'1992-01-19 00:00:00',4,8,12,2009,'F','N','BOA VISTA','CURITIBA','PR','116162161216111441559933575124610131147',NULL,'9998',0.00,1,3,NULL),(20,5209404,'1992-01-16 00:00:00',2,10,11,2009,'F','N','HUMAITA','TUBARÃO','SC','124242248215112411487832592122610126182',12947,'807',49.60,1,3,NULL),(20,5209412,'1990-10-08 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124244241215151431344639575122610137042',12656,'1078',53.02,1,3,NULL),(20,5209420,'1987-11-20 00:00:00',2,9,12,2004,'F','N','CORAL','LAGES','SC','124241241131233431324324282324610122147',NULL,'505',26.60,1,2,1),(20,5209439,'1992-02-29 00:00:00',4,1,12,2009,'F','N','CRISTO REI','CURITIBA','PR','116162161216122431458914575122610167147',12481,'9998',49.20,1,3,NULL),(20,5209447,'1992-07-30 00:00:00',4,8,11,2009,'F','N','GUANABARA','JOINVILLE','SC','124241241115161431548614241324610166147',NULL,'467',24.89,1,2,1),(20,5209455,'1993-03-08 00:00:00',4,8,12,2009,'M','N','JARDIM BOTÂNICO','CURITIBA','PR','116162161217111731589933435122610167012',NULL,'9998',0.00,1,3,NULL),(20,5209471,'1986-04-27 00:00:00',2,15,12,2002,'F','N','AZENHA','PTO ALEGRE','RS','120202201215471451343329372122342362147',10680,'9998',52.66,1,3,NULL),(20,5209480,'1991-11-18 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431487833575121610127042',11793,'951',54.20,1,3,NULL),(20,5209498,'1992-07-13 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241116131531428729275125610141197',NULL,'405',0.00,1,2,1),(20,5209501,'1991-08-30 00:00:00',4,1,11,2008,'F','N','VILA GLÓRIA','CPO GRANDE','MS','112122121215471731563836575125610164147',10938,'9998',53.85,1,3,NULL),(20,5209510,'1980-10-18 00:00:00',4,1,12,1998,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241412271721286914345114532044197',NULL,'229',47.39,1,3,NULL),(20,5209528,'1988-02-27 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216272431467933595112233227017',NULL,'1036',0.00,1,3,NULL),(20,5209536,'1990-10-04 00:00:00',4,1,11,2008,'M','N','SANTA MONICA','FRA SANTANA','BA','105052058217471411456613575112610162112',NULL,'9998',40.37,4,3,NULL),(20,5209552,'1992-03-03 00:00:00',2,7,12,2009,'F','N','UNIVERSITARIO','VIDEIRA','SC','124243241217111431336917575122610112197',NULL,'829',26.84,1,3,NULL),(20,5209579,'1993-03-03 00:00:00',4,15,11,2009,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124242241215322431467832572112610126147',9829,'970',55.77,1,3,NULL),(20,5209587,'1990-07-04 00:00:00',4,1,12,2007,'M','N','PADRE MARTINHO STEIN','TIMBÓ','SC','124241241215374721433621285124233264047',61,'1157',91.24,1,3,NULL),(20,5209595,'1993-02-20 00:00:00',4,1,12,2009,'F','N','PRAINHA CENTRO','FLORIANÓPOLIS','SC','124241241115271411628613175124610122147',8217,'307',59.05,1,2,1),(20,5209617,'1987-04-20 00:00:00',4,1,12,2004,'M','N','PRAIA DAS PALMEIRAS','CARAGUATATUBA','SP','125252251211372751136811481111143162097',1218,'9998',79.39,1,3,NULL),(20,5209625,'1992-09-14 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431478833575112610137012',105,'213',89.93,1,3,NULL),(20,5209641,'1990-01-04 00:00:00',2,17,12,2007,'F','N','BOM JESUS','RIO NEGRO','PR','116161161116573441449919574122610138075',8511,'9998',59.14,1,2,1),(20,5209650,'1991-12-19 00:00:00',2,1,12,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241115131431323313475124610133057',9274,'271',56.89,1,2,1),(20,5209668,'1992-06-14 00:00:00',4,3,12,2009,'M','N','CENTRO','PNT GROSSA','PR','116162161217371451558914572115610167072',NULL,'9998',27.61,1,3,NULL),(20,5209684,'1984-06-17 00:00:00',2,3,12,2002,'M','N','CENTRO','BAL CAMBORIÚ','SC','124201201111231721126349412221610127057',NULL,'9998',22.43,4,2,1),(20,5209692,'1981-07-03 00:00:00',4,1,12,1999,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124161165112471731323644345134610168192',NULL,'9998',17.28,1,2,1),(20,5209706,'1991-05-17 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241417111431436514145124610167067',13370,'269',49.55,1,3,NULL),(20,5209722,'1988-09-07 00:00:00',2,8,12,2007,'M','N','CENTRO','JARAGUÁ SUL','SC','124254241216372431448639385122141026152',13161,'932',48.02,3,3,NULL),(20,5209730,'1992-10-12 00:00:00',4,5,11,2009,'M','N','CENTRO','SIDERÓPOLIS','SC','124242241215112431458612575124610127092',1881,'226',77.32,1,3,NULL),(20,5209749,'1989-12-29 00:00:00',4,1,12,2006,'M','N','JARDIM GUAPIRA','S PAULO','SP','125252251217271411267714581122143264046',NULL,'9998',0.00,3,3,NULL),(20,5209757,'1991-05-10 00:00:00',4,5,11,2009,'M','N','CENTRO','MRO FUMAÇA','SC','124242241214111431448611575121610118111',13542,'820',51.29,1,3,NULL),(20,5209765,'1982-09-08 00:00:00',4,1,12,1999,'F','N','ABRAAO','FLORIANÓPOLIS','SC','224242243136374711268454345122321463092',NULL,'306',0.00,1,3,NULL),(20,5209773,'1989-08-08 00:00:00',2,1,12,2006,'F','N','ALVORADA','BARRACÃO','PR','116161161116164331436316345132610127077',NULL,'9998',28.75,1,2,1),(20,5209790,'1992-02-29 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115471431436613381124610123181',NULL,'307',25.37,1,2,1),(20,5209803,'1991-08-14 00:00:00',4,1,12,2008,'F','N','CIDADE LIDER','S PAULO','SP','125252251216471431448833575124610162147',NULL,'9998',0.00,1,3,NULL),(20,5209811,'1989-03-22 00:00:00',4,1,12,2006,'F','N','JARDIM TOPÁZIO','S JOSÉ CAMPOS','SP','116252251215573431458933575122242063182',8054,'9998',59.15,1,3,NULL),(20,5209820,'1985-06-28 00:00:00',4,7,12,2002,'M','N','CENTRO','CONCÓRDIA','SC','124241241115271431543356262122131417052',NULL,'192',45.17,1,3,NULL),(20,5209838,'1992-11-03 00:00:00',2,4,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124243241215111421358933575114610127042',NULL,'1179',0.00,1,3,NULL),(20,5209846,'1993-07-11 00:00:00',4,7,11,2009,'M','N','CENTRO','CONCÓRDIA','SC','116242168215111431446832571315610164042',NULL,'9998',0.00,1,3,NULL),(20,5209862,'1992-09-09 00:00:00',4,3,11,2009,'F','N','CENTRO','ITAPEMA','SC','124243241415371711435924445115610124192',2407,'403',74.62,1,3,NULL),(20,5209870,'1988-03-11 00:00:00',2,1,12,2009,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124244247417151412447939571114610162127',9145,'9999',57.43,1,3,NULL),(20,5209889,'1978-02-19 00:00:00',2,5,12,1995,'M','N','PRIMEIRO DE MAIO','IÇARA','SC','224241246237131421544341315123610162197',10557,'230',57.12,1,3,NULL),(20,5209897,'1991-08-26 00:00:00',4,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124243241215112431226329475124610124192',NULL,'270',26.15,1,3,NULL),(20,5209900,'1991-05-22 00:00:00',4,1,11,2008,'F','N','VILA A','FOZ IGUAÇU','PR','116162161216471431466833582124610141147',NULL,'9998',0.00,1,3,NULL),(20,5209927,'1992-06-25 00:00:00',2,1,11,2009,'F','N','ADRIANÓPOLIS','MANAUS','AM','104042041216371431548612575122610122142',NULL,'9998',29.12,4,3,NULL),(20,5209935,'1992-07-17 00:00:00',4,4,1,2010,'M','N','SANTO ANTÔNIO','PINHALZINHO','SC','124244241217471431488813275122610166092',15663,'185',40.64,1,3,NULL),(20,5209943,'1991-02-23 00:00:00',2,1,12,2008,'F','N','ARIRIÚ','PALHOÇA','SC','124241241215372411443824572124610111042',8102,'1011',61.64,1,3,NULL),(20,5209951,'1978-09-28 00:00:00',4,1,12,1995,'F','N','FAZENDA SANTO ANTÔNI','S JOSÉ','SC','124241243426473421123641312122333234147',2233,'106',75.54,1,3,NULL),(20,5209960,'1991-08-16 00:00:00',2,1,12,2008,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241116132431633311382124610147067',NULL,'1088',22.76,1,2,1),(20,5209978,'1993-03-18 00:00:00',4,17,12,2009,'M','N','CENTRO','PTO UNIÃO','SC','124242241236151431348623575112610167122',13079,'633',49.03,1,3,NULL),(20,5209994,'1987-07-24 00:00:00',4,6,12,2004,'M','N','CENTRO','ITAJAÍ','SC','124242241215372431667732445122133222112',10522,'9997',57.20,1,3,NULL),(20,5210003,'1993-01-10 00:00:00',4,9,11,2009,'M','N','CENTRO','LAGES','SC','124242241215372411489912575122610162042',NULL,'499',34.50,1,3,NULL),(20,5210020,'1992-06-01 00:00:00',2,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124242241217111411456932221122610142057',NULL,'185',27.71,1,3,NULL),(20,5210038,'1986-08-31 00:00:00',2,1,12,2004,'F','N','CANTO','FLORIANÓPOLIS','SC','124204241415373431456513492124332735122',10961,'259',56.38,4,3,NULL),(20,5210046,'1992-09-09 00:00:00',2,7,12,2009,'M','N','CENTRO','CONCÓRDIA','SC','124241241115271412326634152122610137142',NULL,'194',20.73,1,2,1),(20,5210054,'1989-03-10 00:00:00',2,4,12,2006,'F','N','LA SALLE','PATO BRANCO','PR','116163161115573431668613435122610167147',5654,'9998',65.16,1,3,NULL),(20,5210062,'1976-04-08 00:00:00',5,6,12,1994,'M','N','CENTRO','BAL CAMBORIÚ','SC','124163161216472441578613471124340462097',5476,'9998',65.45,1,3,NULL),(20,5210070,'1991-01-21 00:00:00',4,8,11,2007,'M','N','CAMPINAS','BARRA GARÇAS','MT','111144111217471531578814575124610167052',NULL,'9998',0.00,4,3,NULL),(20,5210089,'1992-01-28 00:00:00',2,4,12,2007,'F','N','OLTRAMARI','PTE SERRADA','SC','124241241416573451437933575114610128197',9682,'1071',55.95,1,3,NULL),(20,5210097,'1991-01-31 00:00:00',4,1,12,2008,'M','N','JARDIM PAULISTA','VINHEDO','SP','125252251217471431587712572112610147042',6985,'9998',61.65,1,3,NULL),(20,5210100,'1992-06-27 00:00:00',2,1,12,2009,'M','N','POTECAS','S JOSÉ','SC','124241241146141431443511244124610114182',13306,'733',49.45,1,2,1),(20,5210119,'1989-09-23 00:00:00',2,1,12,2006,'F','N','ARIRIU','PALHOÇA','SC','124241241112271431543311346124610124047',NULL,'772',29.57,1,2,1),(20,5210127,'1991-04-05 00:00:00',2,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241215372431457933575112610134012',NULL,'499',25.60,1,3,NULL),(20,5210135,'1990-09-22 00:00:00',4,1,12,2009,'M','N','CENTRO','STA CRUZ SUL','RS','120201201117131421428823292324610142187',10355,'9998',55.04,1,2,1),(20,5210143,'1992-01-24 00:00:00',4,1,12,2009,'M','N','CENTRO','CRUZ ALTA','RS','120203201116131431325721575325610168172',1862,'9998',76.36,1,3,NULL),(20,5210151,'1983-09-17 00:00:00',4,1,12,2001,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124252251215472731128861415122333263097',264,'9998',87.03,1,3,NULL),(20,5210160,'1985-08-31 00:00:00',4,1,12,2002,'M','N','JARDIM SÃO JOSÉ','MTE APRAZÍVEL','SP','125251251117571731454839345122610165186',NULL,'9998',23.59,1,3,NULL),(20,5210178,'1990-09-23 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241145272751126644342125130243147',NULL,'1034',27.77,1,2,1),(20,5210186,'1993-12-15 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241115151431463921572114610124072',NULL,'271',43.98,1,3,NULL),(20,5210194,'1990-03-20 00:00:00',4,1,6,2009,'M','N','BARREIROS','S JOSÉ','SC','124241247136131431563939242124610114147',NULL,'726',14.23,2,1,1),(20,5210208,'1988-03-14 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124071071114273411426628595124221468181',12391,'9998',53.58,4,1,1),(20,5210216,'1991-05-03 00:00:00',4,1,12,2008,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215372431356827575124131417042',3490,'270',71.78,1,3,NULL),(20,5210232,'1985-02-24 00:00:00',4,1,12,2002,'F','N','SÃO JOSÉ','CRUZ MACHADO','PR','116161161126161531325444245121610127147',NULL,'9998',26.06,1,3,NULL),(20,5210240,'1991-06-08 00:00:00',2,1,12,2008,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215272411579913595112233234071',8616,'1011',60.71,1,3,NULL),(20,5210259,'1992-09-17 00:00:00',4,1,12,2009,'F','N','CENTRO','VÁRZEA GRANDE','MT','111112111217111431469933575122610126187',15182,'9998',43.70,3,3,NULL),(20,5210275,'1991-12-01 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241112271711534524275124610114017',NULL,'732',26.82,1,2,1),(20,5210283,'1990-01-18 00:00:00',2,5,12,2007,'M','N','SÃO LUIZ','CRICIÚMA','SC','124241241116473431328631585122610127047',6637,'209',63.19,1,2,1),(20,5210291,'1991-10-24 00:00:00',4,8,12,2009,'F','N','PETRÓPOLIS','JOINVILLE','SC','124251241116271431227524575124610164147',14387,'465',49.51,1,2,1),(20,5210305,'1986-05-01 00:00:00',4,1,12,2003,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124252251216442231567832495134220468097',7858,'9998',62.09,1,3,NULL),(20,5210313,'1990-10-23 00:00:00',4,3,12,2008,'F','N','SÃO CRISTÓVÃO','LAJEADO','RS','120203205216371731625839292122610143143',NULL,'9998',14.43,1,3,NULL),(20,5210321,'1992-06-30 00:00:00',4,9,12,2009,'M','N','CENTRO','LAGES','SC','124242241215111431346913575122610162131',NULL,'499',29.33,1,3,NULL),(20,5210348,'1990-06-22 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161215572411468815572122610137052',1908,'9998',76.97,1,3,NULL),(20,5210364,'1981-06-15 00:00:00',4,1,12,1999,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','624241241326131711323841115124131142067',NULL,'69',28.30,1,3,NULL),(20,5210372,'1991-07-25 00:00:00',2,2,12,2008,'M','N','CENTRO','BRUSQUE','SC','124241241117272411443334145125610168171',NULL,'111',58.61,1,2,1),(20,5210380,'1978-06-26 00:00:00',2,1,12,1996,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','224203201116472521448843432123343263147',NULL,'9998',0.00,1,3,NULL),(20,5210399,'1991-12-06 00:00:00',2,1,12,2008,'F','N','PARTENON','PTO ALEGRE','RS','120201201217371431448833575114610163187',NULL,'9998',0.00,1,3,NULL),(20,5210402,'1992-06-14 00:00:00',4,10,11,2009,'M','N','OFICINAS','TUBARÃO','SC','124244241217111431469934575125610137092',7018,'806',61.52,1,3,NULL),(20,5210429,'1988-06-11 00:00:00',2,1,12,2005,'F','N','BAIXADA','PATO BRANCO','PR','116162161216474751456923572122122641057',6298,'9998',62.57,1,3,NULL),(20,5210437,'1990-03-23 00:00:00',4,2,12,2006,'F','N','ITAIM BIBI','S PAULO','SP','125172241216574431468814575112610166182',NULL,'855',NULL,1,3,NULL),(20,5210445,'1991-03-14 00:00:00',4,1,12,2009,'M','N','PINHEIRINHO','CURITIBA','PR','116162161317371431444734571124141467047',101,'9998',90.05,4,3,NULL),(20,5210453,'1991-11-04 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241217271731215727245114610124017',NULL,'9997',27.96,1,3,NULL),(20,5210470,'1992-09-05 00:00:00',4,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241136271431435634245124610165172',NULL,'733',38.76,1,2,1),(20,5210496,'1992-08-25 00:00:00',2,4,12,2009,'M','N','JARDIM COLIBRI','CPO GRANDE','MS','112123121137371441336323475124610132172',10876,'9998',52.88,1,3,NULL),(20,5210500,'1992-08-08 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241217111731454823375114610124197',NULL,'300',22.80,1,3,NULL),(20,5210518,'1987-05-24 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372731138931315122221444017',NULL,'269',NULL,1,3,NULL),(20,5210526,'1989-08-25 00:00:00',4,1,12,2008,'M','N','LA SALLE','XANXERÊ','SC','124244241216372611545316195124233232047',NULL,'836',33.22,1,3,NULL),(20,5210534,'1993-03-24 00:00:00',4,1,11,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111231479713576124610123092',NULL,'270',68.37,1,3,NULL),(20,5210542,'1988-07-07 00:00:00',2,1,12,2005,'F','N','CAPÃO DA IMBUIA','CURITIBA','PR','116163161111571751327619591124610118182',422,'9998',85.19,1,3,NULL),(20,5210550,'1983-01-16 00:00:00',4,10,8,2005,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241248117142421344633345122232927057',NULL,'306',38.66,1,2,1),(20,5210577,'1990-11-20 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215273441546732285124610124181',13279,'1022',50.35,3,3,NULL),(20,5210585,'1987-09-12 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241336114451338722445124123267017',NULL,'1098',52.32,1,3,NULL),(20,5210593,'1991-03-29 00:00:00',4,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124243241215421431458832575124610132092',1316,'1063',79.18,1,3,NULL),(20,5210623,'1990-09-07 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241115151411468673575124610131122',NULL,'307',50.34,1,3,NULL),(20,5210631,'1991-12-12 00:00:00',4,2,12,2008,'M','N','BENEDITO','INDAIAL','SC','124241241116471431363322575124610164091',5279,'365',65.66,1,2,1),(20,5210640,'1990-12-14 00:00:00',4,8,12,2008,'M','N','REVOREDO','TUBARÃO','SC','124242246216144421227744445134233267112',8638,'1120',57.11,1,3,NULL),(20,5210658,'1987-01-12 00:00:00',4,1,12,2004,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241216373731356613495124231233047',6384,'266',65.16,1,3,NULL),(20,5210674,'1990-12-28 00:00:00',4,8,12,2007,'M','N','JARDIM IRIRIÚ','JOINVILLE','SC','124241241112371732446514575112610132147',NULL,'469',46.29,1,2,1),(20,5210682,'1986-08-02 00:00:00',4,1,12,2003,'F','N','INGLESES','FLORIANÓPOLIS','SC','124161241112133431647634492124222364042',6705,'257',62.23,1,2,1),(20,5210704,'1989-09-18 00:00:00',2,1,12,2007,'F','N','COLONIA SANTANA','S JOSÉ','SC','124241241117272531433314345134610168047',NULL,'733',23.36,1,2,1),(20,5210720,'1990-11-29 00:00:00',2,1,12,2008,'M','N','PARQUE DA TORRE','PIEDADE','SP','125254251217231411426311115222610135014',13368,'9998',51.63,1,3,NULL),(20,5210755,'1993-05-26 00:00:00',4,5,11,2009,'M','N','JARDIM MARISTELA','CRICIÚMA','SC','124242241215111731439633215112610167114',NULL,'211',15.69,1,3,NULL),(20,5210763,'1993-04-28 00:00:00',2,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241232111431546512292122610167057',NULL,'211',0.00,1,3,NULL),(20,5210771,'1993-12-31 00:00:00',4,5,11,2009,'M','N','PIO CORREA','CRICIÚMA','SC','124242241215111431479812576112610132112',4741,'207',69.00,1,3,NULL),(20,5210798,'1991-02-13 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241435274431456913472124610123092',11884,'1022',54.59,1,3,NULL),(20,5210810,'1993-02-06 00:00:00',4,1,12,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241115161411436612242324610137052',NULL,'772',27.61,1,3,NULL),(20,5210828,'1989-08-25 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215471451557624246134610164052',4501,'951',68.49,1,3,NULL),(20,5210836,'1991-02-23 00:00:00',2,1,12,2007,'F','N','ALTO DO RIBEIRAO','FLORIANÓPOLIS','SC','124203201116372411227744342124610123052',NULL,'9998',40.41,1,3,NULL),(20,5210844,'1991-12-05 00:00:00',2,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124241241117151731328612345124133226172',NULL,'356',30.83,1,2,1),(20,5210852,'1993-10-10 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215111421468632575122610137092',NULL,'211',0.00,1,3,NULL),(20,5210887,'1990-09-28 00:00:00',4,1,12,2007,'F','N','ZONA CINCO','MARINGÁ','PR','116162161236571411538816571122610124052',NULL,'9998',0.00,1,3,NULL),(20,5210895,'1989-07-30 00:00:00',4,1,12,2006,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241211373431443612245123121767043',9953,'272',58.23,1,3,NULL),(20,5210917,'1993-04-24 00:00:00',4,5,11,2009,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111531348734572122610132192',14802,'211',48.47,1,3,NULL),(20,5210925,'1989-01-08 00:00:00',2,15,12,2005,'F','N','SANTANA','PTO ALEGRE','RS','120201201116572431365923573314610137147',5841,'9998',63.58,1,2,1),(20,5210941,'1993-05-02 00:00:00',4,5,11,2009,'M','N','MINA BRASIL','CRICIÚMA','SC','124244241215151451549812275122610147017',NULL,'211',41.25,1,3,NULL),(20,5210950,'1991-12-10 00:00:00',2,1,12,2008,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241137272711323324245234610124182',NULL,'1155',0.00,1,2,1),(20,5210968,'1991-08-29 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124201241135111431223424245124610134142',NULL,'298',24.32,1,2,1),(20,5210976,'1991-06-22 00:00:00',4,17,12,2009,'M','N','CENTRO','CORBÉLIA','PR','116161166117131411546923572224610137042',6674,'9998',60.90,1,2,1),(20,5210984,'1992-09-23 00:00:00',2,4,12,2009,'M','N','CENTRO','TAPEJARA','RS','120204201412271431354312425122610167182',NULL,'9998',27.09,1,3,NULL),(20,5210992,'1987-08-27 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216254411567739495124230217055',NULL,'262',28.05,1,3,NULL),(20,5211018,'1986-02-20 00:00:00',4,1,12,2004,'M','N','ARIRIU','PALHOÇA','SC','124241241226134721433331292224133268017',6629,'262',62.28,1,3,NULL),(20,5211034,'1991-01-17 00:00:00',2,16,6,2009,'M','N','CENTRO','CAÇADOR','SC','124242247227361441666236165122610117162',NULL,'9999',0.00,1,3,NULL),(20,5211069,'1990-03-23 00:00:00',2,1,12,2007,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241116153431545511275124230227057',NULL,'307',29.64,1,2,1),(20,5211077,'1990-10-12 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115111431423369495125610137142',NULL,'298',20.82,1,2,1),(20,5211085,'1991-10-17 00:00:00',4,2,12,2008,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242161215372431358831571124610122147',989,'9998',80.88,1,3,NULL),(20,5211123,'1955-05-20 00:00:00',4,1,10,2008,'F','N','IGLESES','FLORIANÓPOLIS','SC','224241247117161721148359272124232846092',NULL,'9999',27.55,1,2,1),(20,5211140,'1974-08-12 00:00:00',2,1,12,1996,'F','N','BELA VISTA I','S JOSÉ','SC','124201201111131431122344442224610131027',NULL,'9998',27.19,1,2,1),(20,5211166,'1990-02-07 00:00:00',4,5,12,2007,'F','N','CENTRO','CRICIÚMA','SC','124241241216131431339624445134610134117',NULL,'920',0.00,1,3,NULL),(20,5211174,'1962-02-18 00:00:00',4,1,12,1986,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624201206124172411223441211124331016187',NULL,'9998',12.99,1,2,1),(20,5211204,'1983-02-17 00:00:00',2,8,12,2000,'F','N','PETROPOLIS','JOINVILLE','SC','124242241212133451636644342334131036077',NULL,'456',25.32,1,3,NULL),(20,5211212,'1990-05-10 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161416572751118949492334610167047',616,'9998',83.78,1,3,NULL),(20,5211220,'1990-06-20 00:00:00',4,1,12,2009,'M','N','CACHOEIRA DOBOMJESUS','FLORIANÓPOLIS','SC','124201241115111711323514282124610127192',NULL,'307',30.95,1,2,1),(20,5211239,'1991-12-02 00:00:00',2,17,12,2008,'F','N','CENTRO','MAFRA','SC','124241241216471431365314575112610127042',4984,'541',66.93,1,3,NULL),(20,5211247,'1977-05-08 00:00:00',4,1,12,1994,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124204201217141411268843335132541414117',NULL,'9998',0.00,1,3,NULL),(20,5211255,'1991-09-16 00:00:00',4,8,12,2008,'M','N','SANTA CATARINA','JOINVILLE','SC','124241241212132431655414582112610137042',10733,'1105',56.82,1,3,NULL),(20,5211271,'1975-04-28 00:00:00',4,1,12,1992,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224212211216151431367843435124341462032',410,'9998',85.28,1,3,NULL),(20,5211280,'1989-02-19 00:00:00',4,3,12,2006,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241147371431533619242121130262182',NULL,'712',12.98,1,2,1),(20,5211301,'1985-10-11 00:00:00',2,1,7,2005,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241247337371731544619345124610122047',NULL,'9999',37.89,1,3,NULL),(20,5211328,'1990-04-06 00:00:00',4,1,2,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202201317372431438631572124610132057',NULL,'9998',33.42,1,3,NULL),(20,5211336,'1991-10-24 00:00:00',4,16,12,2009,'M','N','CENTRO','S CRISTÓVÃO SUL','SC','124241241145311331321334185224610116055',NULL,'705',27.12,1,2,1),(20,5211352,'1988-09-29 00:00:00',4,1,12,2005,'M','N','FORQUILHINHAS','S JOSÉ','SC','124252251215472431558634475114610122092',5035,'9998',66.55,1,3,NULL),(20,5211360,'1992-08-12 00:00:00',4,1,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124254241215111111434412575124610168072',NULL,'948',26.06,1,3,NULL),(20,5211379,'1990-02-25 00:00:00',4,2,12,2007,'M','N','VICTOR KONDER','BLUMENAU','SC','124243241216372431567831335124130727052',15351,'71',43.99,1,3,NULL),(20,5211387,'1987-08-31 00:00:00',4,1,12,2004,'F','N','IPIRANGA','S JOSÉ','SC','124242241116373431637763385124222321072',5566,'306',63.85,1,3,NULL),(20,5211417,'1987-06-02 00:00:00',4,4,12,2004,'F','N','VILA SÃO JOÃO','ARAPONGAS','PR','116162161216572431547811572112610166047',1445,'9998',77.87,1,3,NULL),(20,5211441,'1993-11-10 00:00:00',4,1,12,2010,'F','S','CENTRO','GAROPABA','SC','124241241125161431436911295122610138072',NULL,'322',25.19,4,3,NULL),(20,5211476,'1974-09-20 00:00:00',4,1,6,1992,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224242246112273411358842325122122347042',NULL,'306',0.00,1,3,NULL),(20,5211492,'1992-04-24 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241116371431647711575124610132092',3840,'271',70.30,1,3,NULL),(20,5211514,'1993-10-15 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411358832572122610143057',12255,'1050',53.88,1,3,NULL),(20,5211522,'1994-04-06 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431468832575122610138142',10952,'1050',56.40,1,3,NULL),(20,5211530,'1993-05-04 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111711566611575122610162182',13096,'1050',52.16,1,3,NULL),(20,5211557,'1992-01-03 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241315411751473312225112610165185',13572,'1022',49.43,1,3,NULL),(20,5211565,'1962-01-24 00:00:00',2,1,12,1980,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224244241331475751556443335124422367047',10851,'497',56.58,4,3,NULL),(20,5211573,'1991-09-06 00:00:00',4,7,11,2008,'F','N','CENTRO','JOAÇABA','SC','124242241212372431336924491112610168097',NULL,'446',20.32,1,3,NULL),(20,5211581,'1989-05-25 00:00:00',2,15,12,2006,'F','N','CENTRO','PTO ALEGRE','RS','120203201215571431347723471124143232147',5496,'9998',64.35,1,3,NULL),(20,5211590,'1990-05-25 00:00:00',4,2,12,2007,'M','N','NAÇÕES','TIMBÓ','SC','124242241216472431456829572122133244062',7999,'1157',59.58,1,3,NULL),(20,5211603,'1993-04-07 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111751358929572122610124147',13685,'1050',50.97,1,3,NULL),(20,5211646,'1990-04-10 00:00:00',4,1,12,2007,'F','N','VILA MARIANA','TAIÓ','SC','124241241132372431357613382123131443172',11867,'777',54.62,1,2,1),(20,5211654,'1990-09-25 00:00:00',4,6,11,2009,'F','N','CERQUEIRA CEZAR','S PAULO','SP','125252257211451432378732475122610132122',NULL,'9998',0.00,1,3,NULL),(20,5211670,'1985-03-22 00:00:00',4,1,7,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','224162247325371711226344142322610124072',NULL,'977',29.20,1,3,NULL),(20,5211689,'1992-03-27 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411429713575112610122197',4940,'262',68.22,1,3,NULL),(20,5211700,'1991-06-06 00:00:00',4,3,12,2008,'F','N','JD MORADA DO SOL','INDAIATUBA','SP','125251251216471431239923575122610142144',8607,'9998',58.58,1,3,NULL),(20,5211735,'1988-07-09 00:00:00',2,1,12,2005,'F','N','CENTRO','ANITÁPOLIS','SC','124241241126132411433923285224230227142',15393,'19',46.64,1,2,1),(20,5211743,'1976-05-01 00:00:00',2,15,12,1998,'M','N','COLONINHA','ARARANGUÁ','SC','224203206324131722336344241231141462067',NULL,'9998',32.96,4,3,NULL),(20,5211751,'1992-12-15 00:00:00',2,1,12,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241215121431536513575122610133183',NULL,'1014',19.82,1,3,NULL),(20,5211786,'1989-03-23 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124051051117472431336829375122231018122',NULL,'9998',41.48,2,1,2),(20,5211808,'1992-07-12 00:00:00',4,1,11,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241115111411436632275124610134052',14436,'267',49.40,1,3,NULL),(20,5211824,'1993-03-11 00:00:00',4,1,11,2010,'F','S','BARREIROS','S JOSÉ','SC','124242248117151111428618572124610166017',NULL,'9997',53.88,1,3,NULL),(20,5211832,'1993-04-12 00:00:00',2,1,12,2010,'F','S','CENTRO','STO AMARO IMPERATRIZ','SC','124241241216111432436331575122610137053',NULL,'1014',27.64,1,3,NULL),(20,5211840,'1988-10-26 00:00:00',2,1,7,2006,'M','N','FUNDOS','BIGUAÇU','SC','224243247347131431533671272324133217011',15679,'9999',45.59,4,1,2),(20,5211867,'1992-07-03 00:00:00',4,8,12,2009,'M','N','MERCES','CURITIBA','PR','116162161217171411588831574125610167041',219,'9998',87.72,1,3,NULL),(20,5211875,'1990-08-31 00:00:00',4,1,12,2007,'M','N','FORQUILHAS','S JOSÉ','SC','124242241215573431258832574124130267125',1321,'1022',79.65,1,3,NULL),(20,5211883,'1988-03-06 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124161161116141411118841445124233231052',NULL,'9998',24.76,1,2,1),(20,5211891,'1994-01-10 00:00:00',4,1,12,2010,'F','S','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241215111431438834575122610133093',NULL,'1014',45.15,1,3,NULL),(20,5211913,'1992-08-24 00:00:00',2,4,12,2009,'F','N','NOVA DIVINÉIA','PINHALZINHO','SC','124241241116271431458813575122610164072',NULL,'616',24.68,1,2,1),(20,5211921,'1992-10-28 00:00:00',4,1,12,2009,'F','N','CENTRO','STA FÉ SUL','SP','125251251215115431436531575122610122141',NULL,'9998',0.00,1,3,NULL),(20,5211930,'1981-03-15 00:00:00',2,1,12,1998,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','224241241122133421333343432334610147047',8741,'862',60.47,1,2,1),(20,5211948,'1989-04-28 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116371431543371575124610121015',NULL,'281',26.49,4,2,1),(20,5211956,'1989-04-04 00:00:00',2,5,12,2006,'M','N','FIGUEIRA','URUSSANGA','SC','124244241216133431223923342341610154067',NULL,'820',32.74,1,3,NULL),(20,5211964,'1990-10-15 00:00:00',4,8,12,2007,'M','N','CENTRO','S MIGUEL IGUAÇU','PR','116162161317571411347835575112610167041',1945,'9998',75.95,1,3,NULL),(20,5211972,'1985-09-09 00:00:00',4,9,12,2001,'M','N','IPIRANGA','LAGES','SC','124242241216135441436823485224130336092',4177,'515',70.39,1,3,NULL),(20,5212006,'1992-03-16 00:00:00',4,1,12,2009,'F','N','VILA RAU','JARAGUÁ SUL','SC','124242241215371431469733575122610124017',12900,'1174',48.86,1,3,NULL),(20,5212022,'1991-10-17 00:00:00',4,8,11,2008,'M','N','BATEL','CURITIBA','PR','116222221215471431568831575124610167052',13511,'9998',51.35,1,3,NULL),(20,5212065,'1984-11-22 00:00:00',2,8,12,2002,'F','N','ADOLFO C DA SILVA','STA CECÍLIA','SC','124241241142161721638674142325132228177',NULL,'686',27.22,1,3,NULL),(20,5212073,'1993-06-30 00:00:00',4,1,11,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216111431469833575122610121182',8537,'1050',60.85,1,3,NULL),(20,5212103,'1985-01-19 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241214273431129949495124220767052',4257,'52',70.15,1,3,NULL),(20,5212111,'1991-04-26 00:00:00',2,4,12,2008,'M','N','CENTRO','CAXAMBU SUL','SC','124241241311133411433836191324610164157',2958,'185',73.19,4,3,NULL),(20,5212138,'1982-10-31 00:00:00',2,1,12,2001,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124201203236231411339531315124231245187',11128,'9998',52.03,1,3,NULL),(20,5212146,'1981-07-07 00:00:00',4,1,12,2002,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124081085116171411114249345134130212013',NULL,'9998',22.82,2,1,1),(20,5212154,'1992-08-12 00:00:00',2,4,12,2009,'M','N','JUNDIA','IPORÃ OESTE','SC','124241241126141411426631242122610164052',NULL,'371',23.29,1,3,NULL),(20,5212162,'1985-08-11 00:00:00',4,1,6,2004,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241116274431456313445114610127042',15445,'591',44.14,1,3,NULL),(20,5212170,'1991-12-23 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241417171521338611572124610137142',NULL,'307',0.00,1,3,NULL),(20,5212189,'1984-04-23 00:00:00',4,1,12,2003,'M','N','CENTRO','PALHOÇA','SC','124241241122131411435419345334610166183',NULL,'592',44.12,1,2,1),(20,5212200,'1991-04-25 00:00:00',4,8,12,2008,'F','N','OFICINAS','PNT GROSSA','PR','116162161217472411569911571122610164092',4530,'9998',68.50,1,3,NULL),(20,5212219,'1991-05-23 00:00:00',2,1,12,2008,'M','N','BELA VISTA','IBIRAMA','SC','124241241126132431433315495124230845142',15785,'36',45.14,1,2,1),(20,5212235,'1981-07-03 00:00:00',2,1,12,1997,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242247227311431326521385124610128182',NULL,'300',15.75,1,3,NULL),(20,5212243,'1992-05-24 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215122751566821572114610167016',NULL,'1022',28.86,1,3,NULL),(20,5212260,'1990-12-22 00:00:00',2,1,12,2008,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241111155511353334332111312633171',12496,'818',51.61,1,3,NULL),(20,5212278,'1991-02-13 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215472431479833592224121427112',1109,'807',80.70,1,3,NULL),(20,5212286,'1986-03-05 00:00:00',4,1,12,2003,'M','N','JARDIM DA PENHA','VITÓRIA','ES','108082081216571411458611572122343262192',4748,'9998',68.62,1,3,NULL),(20,5212294,'1991-12-03 00:00:00',4,10,12,2009,'M','N','CENTRO','RIO FORTUNA','SC','124241248126141731436514245123610127047',NULL,'665',22.20,1,2,1),(20,5212308,'1991-09-14 00:00:00',4,10,11,2009,'F','N','PINHEIRAL','BRAÇO NORTE','SC','124241248135131431433431342122610127051',NULL,'100',16.50,1,3,NULL),(20,5212316,'1992-10-20 00:00:00',2,4,12,2009,'F','N','CENTRO','ERECHIM','RS','120201201226111411423315245125613217077',NULL,'9998',22.73,1,3,NULL),(20,5212324,'1992-06-19 00:00:00',4,8,12,2009,'M','N','PARANAGUAMIRIM','JOINVILLE','SC','124241243237111431566432584124610111142',NULL,'1105',28.31,1,3,NULL),(20,5212332,'1991-12-18 00:00:00',4,1,11,2008,'F','N','JARDIM RIVA','PRIMAVERA LESTE','MT','111112091216472431458632572122610122113',4795,'9998',66.63,1,3,NULL),(20,5212359,'1992-07-14 00:00:00',4,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241117272431238829392124233247052',15119,'739',43.00,1,2,1),(20,5212367,'1988-07-07 00:00:00',4,5,12,2005,'F','N','CENTRO','CRICIÚMA','SC','124242241215574431269933592122610167057',5123,'270',66.50,1,3,NULL),(20,5212375,'1988-09-20 00:00:00',4,1,12,2006,'F','N','CENTRO','PALHOÇA','SC','124242241212454531358619575112610134191',NULL,'270',0.00,1,3,NULL),(20,5212383,'1973-04-22 00:00:00',2,1,12,1992,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201208136151711225441292224610126183',NULL,'9998',48.74,1,2,1),(20,5212391,'1991-04-15 00:00:00',4,1,12,2008,'M','N','AFONSO PENA','S JOSÉ PINHAIS','PR','116162161127571431548911574114510167057',4620,'9998',66.96,1,3,NULL),(20,5212405,'1991-01-10 00:00:00',4,1,12,2008,'M','N','VELHA','BLUMENAU','SC','124242241215152441468733445121222066011',1391,'87',79.33,1,3,NULL),(20,5212421,'1989-10-11 00:00:00',2,1,12,2004,'M','N','KOBRASOL','S JOSÉ','SC','124242241217273711437833285124610167012',NULL,'262',28.80,4,3,NULL),(20,5212430,'1991-10-14 00:00:00',2,1,11,2008,'M','N','CAMPINAS','S JOSÉ','SC','124244241211273431436634245114610167182',15166,'724',47.35,1,3,NULL),(20,5212448,'1991-07-14 00:00:00',2,7,12,2008,'F','N','CENTRO','CAMPOS NOVOS','SC','120244241216472751565931595122610162182',4661,'138',67.68,1,3,NULL),(20,5212456,'1985-08-23 00:00:00',2,1,12,2002,'M','N','SAO SEBASTIAO','PIRES RIO','GO','109092091215573431456824571124610124197',NULL,'9998',0.00,1,3,NULL),(20,5212464,'1991-12-27 00:00:00',2,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241116232441526619582125610124152',15539,'949',42.83,1,2,1),(20,5212472,'1986-07-28 00:00:00',2,1,6,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241247122131741533329393344610136042',NULL,'9999',41.34,1,2,1),(20,5212480,'1992-03-16 00:00:00',2,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124242248215111731447413575112610113117',NULL,'1022',27.83,1,3,NULL),(20,5212499,'1990-11-14 00:00:00',4,6,12,2007,'M','N','CENTRO','ITAJAÍ','SC','124242241217473431249911385124231427052',NULL,'1057',0.00,1,3,NULL),(20,5212502,'1991-11-25 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217272431466633575124233245145',NULL,'270',0.00,1,3,NULL),(20,5212510,'1991-06-07 00:00:00',2,5,12,2008,'M','N','VENDINHA','TRIUNFO','RS','120201201116471411544616572224610147047',NULL,'9998',26.08,1,2,1),(20,5212529,'1984-09-15 00:00:00',4,8,7,2003,'M','N','CIDADE INDUSTRIAL','CURITIBA','PR','116163166141372441125541211121342864022',8945,'9998',57.78,1,3,NULL),(20,5212553,'1993-03-15 00:00:00',4,1,12,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124243241415111431434314295124610126182',15055,'271',47.71,1,3,NULL),(20,5212561,'1989-03-28 00:00:00',4,1,12,2006,'M','N','SUMAREZINHO','RIBEIRÃO PRETO','SP','125252251236131731358824342213610164042',NULL,'9998',0.00,1,3,NULL),(20,5212570,'1992-02-06 00:00:00',4,1,12,2009,'M','N','SANTOS DUMMONT','S JOSÉ','SC','124241241127151732246469575125610114172',14889,'736',48.19,1,3,NULL),(20,5212588,'1956-11-15 00:00:00',2,3,11,1976,'F','N','CENTRO','BAL CAMBORIÚ','SC','124201201217114751334449495122141465193',NULL,'9998',33.79,1,3,NULL),(20,5212596,'1986-04-30 00:00:00',4,1,11,2003,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217574431256622325122430263182',NULL,'1169',0.00,1,3,NULL),(20,5212600,'1992-06-15 00:00:00',4,1,12,2009,'F','N','PETROPOLIS','JOINVILLE','SC','124241241117131431426633385124610116147',NULL,'472',21.30,1,3,NULL),(20,5212618,'1991-01-03 00:00:00',4,4,11,2007,'F','N','CENTRO','CONCÓRDIA','SC','124242241414372711448832375122143166092',NULL,'1000',17.18,1,3,NULL),(20,5212626,'1990-03-21 00:00:00',4,1,12,2007,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124162241216573431459932374124133243187',920,'270',81.77,1,3,NULL),(20,5212634,'1987-02-22 00:00:00',4,1,11,2007,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241312131731446513485124610135187',15764,'733',45.22,4,3,NULL),(20,5212642,'1984-09-03 00:00:00',4,1,12,2002,'F','N','PERDIZES','S PAULO','SP','116162281416131431239914575124240932177',13673,'9998',51.00,1,3,NULL),(20,5212650,'1984-08-25 00:00:00',2,1,7,2004,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241212472111447713295124133267117',NULL,'9999',27.86,1,3,NULL),(20,5212669,'1992-04-06 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113431237829572112610132197',1735,'1022',77.91,1,3,NULL),(20,5212677,'1992-03-02 00:00:00',2,1,12,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241116371422323334575344610113147',NULL,'298',19.43,4,2,1),(20,5212693,'1991-04-21 00:00:00',2,10,11,2008,'M','N','CENTRO','ARMAZÉM','SC','124241248127131411556931145134610132042',NULL,'34',20.15,1,2,1),(20,5212707,'1992-12-13 00:00:00',4,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124244241216151431553632545322610121042',14844,'723',48.32,1,3,NULL),(20,5212715,'1991-05-05 00:00:00',2,1,12,2008,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241221132221433414581111130217052',NULL,'262',38.91,1,3,NULL),(20,5212731,'1990-07-06 00:00:00',4,2,11,2008,'M','N','FORTALEZA','BLUMENAU','SC','124241241215271431443611375124130222147',10573,'88',57.09,1,3,NULL),(20,5212740,'1991-01-21 00:00:00',2,1,12,2009,'M','N','PINHEIRA','PALHOÇA','SC','124244245215112521446412495122610134042',NULL,'989',18.29,1,3,NULL),(20,5212758,'1991-05-20 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215232451226629345114143247091',7168,'1022',63.49,1,3,NULL),(20,5212766,'1967-09-01 00:00:00',2,1,12,1987,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','524251251126141451233641115132340762067',NULL,'9998',23.90,4,3,NULL),(20,5212782,'1979-03-22 00:00:00',4,1,11,1998,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124252251417133441228821385222121267112',11628,'9998',55.08,3,3,NULL),(20,5212790,'1992-12-30 00:00:00',4,17,12,2009,'F','N','PULADOR','MAJ VIEIRA','SC','124241241115151411326335572224610126012',5632,'548',63.59,1,2,1),(20,5212804,'1992-01-20 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241115141331233329575124610122147',NULL,'49',0.00,1,2,1),(20,5212812,'1993-12-27 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241315111431348923295124610144012',NULL,'267',56.12,1,3,NULL),(20,5212820,'1987-12-12 00:00:00',2,8,12,2005,'F','N','BIGORRILHO','CURITIBA','PR','116161161126474441536813242124141365077',8932,'9998',60.10,1,2,1),(20,5212839,'1991-04-26 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241127472431326636182124610124053',10183,'750',55.82,1,2,1),(20,5212847,'1984-09-04 00:00:00',2,1,1,2004,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124241247137372421234629345124610124097',11386,'9999',55.54,1,2,1),(20,5212855,'1991-07-16 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241432372441329824381114610167077',NULL,'307',0.00,1,3,NULL),(20,5212863,'1991-01-17 00:00:00',4,3,11,2008,'F','N','BELA VISTA','ERECHIM','RS','120202201217472431588812572122610164142',6333,'9998',65.25,1,3,NULL),(20,5212871,'1973-07-04 00:00:00',4,1,7,2009,'F','N','KOBRASOL','S JOSÉ','SC','224241247121131412321354181124610116097',NULL,'736',21.72,1,2,1),(20,5212880,'1987-01-18 00:00:00',2,1,4,2005,'F','N','BARREIROS','S JOSÉ','SC','124243241116134411536614485124232727077',14516,'739',49.20,1,3,NULL),(20,5212898,'1990-01-22 00:00:00',2,1,12,2008,'F','N','VILA ROCHA','LIMEIRA','SP','125251251117131331227313575125610122047',NULL,'9998',0.00,1,2,1),(20,5212901,'1991-02-05 00:00:00',2,1,12,2007,'F','N','MADUREIRA','CAXIAS SUL','RS','120202201216571431468811475114610121112',NULL,'9998',0.00,1,3,NULL),(20,5212910,'1980-04-27 00:00:00',2,1,12,1997,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241116275431226669485124230234045',NULL,'307',49.37,2,1,1),(20,5212928,'1991-07-04 00:00:00',4,7,12,2009,'F','N','CENTRO','PERITIBA','SC','124241241146131431224622345132610134057',NULL,'612',NULL,1,2,1),(20,5212936,'1987-12-02 00:00:00',2,3,12,2004,'F','N','CENTRO','IRATI','PR','116164161216573731567839572122142662097',2604,'9998',74.75,1,3,NULL),(20,5212944,'1991-01-12 00:00:00',2,1,12,2008,'F','N','ARMAÇÃO DO P SUL','FLORIANÓPOLIS','SC','124241241126271431445423385124610137012',NULL,'291',23.23,1,2,1),(20,5212960,'1991-12-29 00:00:00',4,2,12,2008,'F','N','RIBEIRÃO DAS PEDRAS','INDAIAL','SC','124241241137272411333314382122610134147',6132,'365',64.22,1,2,1),(20,5212979,'1991-02-28 00:00:00',2,7,11,2008,'F','N','SANTA TEREZA','JOAÇABA','SC','124242241212272431454923432124231467092',NULL,'454',26.83,1,3,NULL),(20,5212987,'1991-01-20 00:00:00',4,8,11,2008,'M','N','ANITA GARIBALDI','JOINVILLE','SC','116242241215373411349932575114143234182',8649,'1063',57.88,1,3,NULL),(20,5212995,'1991-04-15 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241115232411423623445124120966145',15045,'298',47.72,2,1,1),(20,5213002,'1989-04-08 00:00:00',4,1,12,2006,'F','N','SERRARIA','S JOSÉ','SC','124241241347234421223367245134610141057',NULL,'262',45.13,1,3,NULL),(20,5213010,'1986-12-09 00:00:00',2,1,12,2004,'F','N','SERRARIA','S JOSÉ','SC','124241241146472421425343445334610151043',13454,'123',48.10,1,2,1),(20,5213029,'1992-07-14 00:00:00',2,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241146273431123315215121610133172',12997,'298',50.31,1,2,1),(20,5213037,'1986-09-19 00:00:00',3,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217173711569913585122232167144',13604,'266',51.16,1,3,NULL),(20,5213045,'1991-08-04 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124243241325372431435311375124610116197',NULL,'262',42.29,1,3,NULL),(20,5213053,'1987-01-14 00:00:00',4,1,12,2004,'F','N','RIO MOLHA','JARAGUÁ SUL','SC','124251251627131431623664282311610134147',NULL,'9998',28.10,3,3,NULL),(20,5213061,'1990-06-28 00:00:00',4,1,12,2007,'F','N','VILA INDEPENDÊNCIA','PIRACICABA','SP','125251251117571431336523571123610126142',NULL,'9998',25.96,1,2,1),(20,5213070,'1992-03-07 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124124241115271431226729572124610126147',4662,'307',67.30,1,3,NULL),(20,5213096,'1990-06-06 00:00:00',2,8,12,2007,'M','N','ADHEMAR GARCIA','JOINVILLE','SC','124241241116371431442313385114610146142',NULL,'467',0.00,1,2,1),(20,5213100,'1990-05-14 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241116473411334424385124232726077',8035,'307',58.32,1,2,1),(20,5213118,'1990-10-25 00:00:00',2,1,12,2009,'F','N','STIEP','SALVADOR','BA','105052051216471411447834572122610162142',NULL,'9998',0.00,3,3,NULL),(20,5213126,'1984-10-19 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243243416144431468619395114221964055',NULL,'303',0.00,1,3,NULL),(20,5213134,'1993-01-31 00:00:00',2,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124241241136271731336613331324610116143',NULL,'257',27.51,1,2,1),(20,5213142,'1992-10-24 00:00:00',4,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241116371231423511572124610114142',NULL,'307',18.22,1,2,1),(20,5213150,'1992-10-15 00:00:00',4,2,12,2009,'F','N','RESIDENCIAL IMPACEL','ARAPOTI','PR','116162161214271431339914572124610123097',5327,'9998',66.53,1,3,NULL),(20,5213169,'1986-11-15 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116474521226541115124230248172',9412,'193',59.23,1,2,1),(20,5213177,'1973-06-21 00:00:00',2,1,11,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','124111167126275711133149195132610115092',NULL,'9998',NULL,4,3,NULL),(20,5213185,'1992-05-08 00:00:00',4,6,12,2009,'M','N','FAZENDA','ITAJAÍ','SC','124241241117131751324629492121610167047',5466,'401',67.19,1,2,1),(20,5213193,'1989-03-10 00:00:00',2,2,12,2006,'F','N','VALPARAISO','BLUMENAU','SC','124241241126273431224344245234133234147',11438,'34',52.85,1,2,1),(20,5213207,'1988-05-21 00:00:00',2,1,12,2005,'F','N','FARROUPILHA','PTO ALEGRE','RS','120201201116471431426614272124242721197',10322,'9998',54.32,4,2,1),(20,5213215,'1992-06-16 00:00:00',2,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124212241215272431467814572122610123115',10536,'299',54.42,1,3,NULL),(20,5213223,'1988-01-20 00:00:00',2,8,12,2005,'F','N','SITIO CERCADO','CURITIBA','PR','116161161126412731223624282214610167187',NULL,'9998',0.00,1,3,NULL),(20,5213231,'1992-04-21 00:00:00',4,8,12,2009,'F','N','ALTO BOQUEIRÃO','CURITIBA','PR','116162161215121431648634574124610124097',15100,'9998',47.58,1,3,NULL),(20,5213240,'1979-05-29 00:00:00',4,1,11,1996,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241211473421483312414322321524181',1289,'836',79.80,1,3,NULL),(20,5213258,'1986-03-04 00:00:00',2,1,12,2004,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241326153421323549345234230214182',NULL,'300',0.00,1,3,NULL),(20,5213266,'1992-10-29 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116272721425514345144610137073',13055,'288',49.39,1,2,1),(20,5213274,'1991-05-06 00:00:00',2,16,12,2009,'M','N','ÁGUA SANTA','CURITIBANOS','SC','124241241111471112323311571122610112175',NULL,'240',23.64,1,2,1),(20,5213282,'1990-06-16 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217272731226944342124133265073',7663,'738',62.50,1,3,NULL),(20,5213290,'1992-09-23 00:00:00',4,4,12,2009,'F','N','VENEZA','XANXERÊ','SC','124231241116151731526933575122610117147',NULL,'840',24.60,1,2,1),(20,5213304,'1990-06-23 00:00:00',4,1,12,2009,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241115271411426828375114610145072',12642,'307',50.51,1,2,1),(20,5213312,'1992-12-31 00:00:00',4,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241132111411636311472112610118012',NULL,'281',25.25,1,2,1),(20,5213320,'1989-07-06 00:00:00',2,4,12,2006,'F','N','CENTRO','IVATÉ','PR','116161161117572411546823535124610166197',8234,'9998',60.90,1,2,1),(20,5213339,'1989-02-23 00:00:00',2,1,12,2006,'F','N','CENTRO','STA MARIA','RS','120242241216571431249621572124610137077',612,'1035',83.80,1,3,NULL),(20,5213347,'1990-03-27 00:00:00',2,4,12,2007,'M','N','CENTRO','MARAVILHA','SC','124241241146131131323312471125610145147',NULL,'552',29.93,1,3,NULL),(20,5213355,'1991-06-13 00:00:00',2,5,12,2008,'M','N','VILA FRANCESA','CRICIÚMA','SC','124242246215272411335624345124610127047',14059,'995',50.27,1,3,NULL),(20,5213363,'1992-02-25 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241115141411426614495125610135142',NULL,'257',23.64,1,3,NULL),(20,5213371,'1992-06-03 00:00:00',4,2,12,2009,'F','N','CANTA GALO','RIO SUL','SC','124241241117271431346512145122610164042',9776,'659',56.79,1,2,1),(20,5213380,'1991-12-11 00:00:00',4,9,12,2008,'F','N','GUARUJÁ','LAGES','SC','124241241115271411436634245124610165143',NULL,'498',20.95,1,2,1),(20,5213398,'1986-06-12 00:00:00',4,1,12,2003,'F','N','ERMELINO MATARAZZO','S PAULO','SP','225251251146471411424451285224610126092',13557,'9998',47.23,1,2,1),(20,5213401,'1993-04-02 00:00:00',2,4,12,2009,'M','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124242241212372231346614375124610167047',10864,'185',53.11,1,3,NULL),(20,5213410,'1991-01-14 00:00:00',4,8,12,2008,'F','N','JARIVATUBA','JOINVILLE','SC','124241241116271411548933475124610124192',14014,'472',50.36,1,3,NULL),(20,5213428,'1993-04-10 00:00:00',4,9,12,2009,'M','N','CENTRO','VACARIA','RS','120203201416111731438732575122610138057',15925,'9998',41.71,1,3,NULL),(20,5213436,'1987-02-27 00:00:00',2,1,12,2004,'F','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124241241142473421234329285124610124147',10009,'65',56.89,1,2,1),(20,5213444,'1991-10-08 00:00:00',2,10,12,2008,'F','N','RIO SANTO ANTONIO','STA ROSA LIMA','SC','124241241116162731624415255114610165147',NULL,'688',0.00,1,2,1),(20,5213460,'1976-10-14 00:00:00',2,15,12,1994,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','224241243146132722533343132122610167047',NULL,'28',26.43,1,2,1),(20,5213479,'1992-05-14 00:00:00',2,10,11,2009,'F','N','SÃO MARTINHO','TUBARÃO','SC','124242241215151431346833575112610132192',11535,'806',53.89,1,3,NULL),(20,5213487,'1992-01-29 00:00:00',4,2,11,2009,'F','N','GUARANI','BRUSQUE','SC','124242241215271431566414575122610162042',8743,'107',57.90,1,3,NULL),(20,5213495,'1986-04-23 00:00:00',2,1,12,2003,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241115575421444331231123610124147',10735,'592',56.80,1,2,1),(20,5213509,'1987-11-11 00:00:00',2,1,12,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241245127132411523823242234610134187',NULL,'281',0.00,1,3,NULL),(20,5213517,'1989-06-23 00:00:00',4,1,12,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241137161411436412212111610137062',NULL,'941',16.26,1,3,NULL),(20,5213525,'1990-07-12 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124243241316373631636544345124610147072',13693,'943',49.53,4,3,NULL),(20,5213533,'1981-11-27 00:00:00',2,1,12,1998,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224253253226135431334651345134120524197',NULL,'9998',51.24,1,3,NULL),(20,5213541,'1992-01-28 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241145131411431319575122610144142',NULL,'736',23.91,1,2,1),(20,5213576,'1992-06-26 00:00:00',4,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117471431425314375124610164075',NULL,'281',28.99,1,2,1),(20,5213584,'1988-01-07 00:00:00',2,1,12,2006,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241112234431426411312224233237042',9084,'307',58.35,1,2,1),(20,5213606,'1992-04-11 00:00:00',4,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124242241215372331467812385124610164182',6836,'1011',61.92,1,3,NULL),(20,5213614,'1992-05-21 00:00:00',2,4,12,2009,'F','N','INTERIOR','CHIAPETTA','RS','120201191117131531525335572124610134057',NULL,'9998',0.00,1,2,1),(20,5213622,'1988-05-27 00:00:00',4,8,12,2005,'F','N','SAGUAÇU','JOINVILLE','SC','124241241116132731326634382224130824157',NULL,'122',23.86,1,3,NULL),(20,5213630,'1991-12-07 00:00:00',4,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215273531527632375114231237095',4199,'270',70.32,1,3,NULL),(20,5213649,'1990-09-21 00:00:00',4,1,12,2008,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215272432379933575124133232175',10551,'951',57.14,1,3,NULL),(20,5213657,'1992-07-23 00:00:00',4,1,11,2009,'M','N','CENTRO','ERECHIM','RS','120202201216121431456631595122610167042',12371,'9998',53.62,1,3,NULL),(20,5213665,'1989-04-27 00:00:00',2,1,12,2007,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124241241136271731523329282324610128197',NULL,'298',26.12,1,2,1),(20,5213673,'1991-11-29 00:00:00',2,10,12,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124241241141141431526732241123610167082',NULL,'1034',24.11,1,2,1),(20,5213681,'1986-05-09 00:00:00',5,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','624241247447131431234344342224610127047',NULL,'9997',0.00,1,3,NULL),(20,5213690,'1991-09-13 00:00:00',2,6,11,2008,'F','N','CENTRO','PATO BRANCO','PR','116162161215471451439813572124610162182',14111,'9998',48.10,1,3,NULL),(20,5213703,'1992-12-07 00:00:00',4,8,12,2009,'M','N','CENTRO','MATINHOS','PR','116163161116131732526614592321610167145',13997,'9998',49.12,1,3,NULL),(20,5213711,'1991-11-01 00:00:00',4,3,11,2009,'F','N','CENTRO','STA ROSA','RS','120202201217151431325821572122610123017',NULL,'9998',24.50,1,3,NULL),(20,5213720,'1986-02-10 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126333441324429285124131044172',NULL,'177',25.65,4,2,1),(20,5213738,'1992-05-13 00:00:00',2,3,12,2009,'M','N','VILA TONANI','DOURADOS','MS','112122121215471332578832425122610117122',11861,'9998',51.61,3,3,NULL),(20,5213746,'1992-09-21 00:00:00',4,9,11,2009,'F','N','UNIVERCITARIO','LAGES','SC','124242248216111431426611595122610127142',NULL,'1106',27.05,1,3,NULL),(20,5213754,'1992-05-11 00:00:00',4,3,12,2009,'F','N','CENTRO','IRATI','PR','116162161217121431567819572115610162127',1113,'9998',80.69,1,3,NULL),(20,5213762,'1992-02-05 00:00:00',4,4,12,2009,'M','N','CENTRO','RIQUEZA','SC','124241241145131751536514592122610117147',NULL,'674',26.63,1,2,1),(20,5213770,'1992-01-25 00:00:00',2,15,12,2009,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241248115371331523639575123610138097',NULL,'29',0.00,1,2,1),(20,5213789,'1989-05-04 00:00:00',4,1,12,2006,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241117371431543614136234610122142',13585,'69',51.19,1,2,1),(20,5213797,'1990-12-07 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124244241216374431346714495115610162182',3453,'497',71.87,1,3,NULL),(20,5213800,'1992-09-21 00:00:00',4,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124244241215111531468532575124610114147',NULL,'270',27.36,1,3,NULL),(20,5213835,'1992-08-15 00:00:00',5,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241137371451224724576114610164177',10196,'295',56.03,1,2,1),(20,5213843,'1990-11-14 00:00:00',2,1,12,2008,'F','N','CENTRO','PALHOÇA','SC','124242241216373431456519575124610121147',12432,'1011',52.90,1,3,NULL),(20,5213851,'1988-09-15 00:00:00',2,7,12,2005,'F','N','CIDADE INDUSTRIAL','CURITIBA','PR','116161161336571431436723474124143232197',5718,'9998',64.95,1,3,NULL),(20,5213860,'1990-09-17 00:00:00',4,1,12,2007,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241137271432423311385124610124017',14672,'733',48.81,1,2,1),(20,5213878,'1987-10-10 00:00:00',4,1,10,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115474411323324382124610142143',11435,'306',53.42,4,3,NULL),(20,5213886,'1983-03-23 00:00:00',4,1,12,2001,'F','N','AREIAS','S JOSÉ','SC','124241241126331431323319245134610122197',15763,'734',45.22,1,3,NULL),(20,5213894,'1988-08-11 00:00:00',2,1,12,2005,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241137154431115548485124233268112',11250,'307',55.81,1,2,1),(20,5213908,'1991-03-10 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241137372411238444345335610168197',NULL,'124',43.32,1,2,1),(20,5213916,'1981-08-24 00:00:00',2,1,12,1999,'M','N','INGLESES','FLORIANÓPOLIS','SC','124161163121131411124644341324243231043',NULL,'9998',44.16,1,2,1),(20,5213924,'1992-05-18 00:00:00',2,1,12,2009,'M','N','SANTO ANTONIO','FLORIANÓPOLIS','SC','124241241135171431536819345124610138052',NULL,'279',17.29,1,2,1),(20,5213932,'1990-07-08 00:00:00',4,1,7,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241115574441459833315124610134097',1814,'306',77.54,1,3,NULL),(20,5213940,'1993-10-05 00:00:00',4,15,12,2010,'M','S','CENTRO','MELEIRO','SC','124243241217111431426935155121610123177',NULL,'970',60.01,1,3,NULL),(20,5213959,'1989-11-21 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116274431423319272224223237147',11526,'17',55.28,1,2,1),(20,5213967,'1990-03-02 00:00:00',4,9,12,2007,'F','N','BRUSQUE','LAGES','SC','124242241215474431358612571122610136142',7847,'497',59.98,1,3,NULL),(20,5213975,'1992-10-22 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115271431323531575124610162142',NULL,'296',40.96,1,2,1),(20,5213991,'1986-06-28 00:00:00',4,1,12,2003,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124251251146372431337649385124320264092',12439,'9998',53.49,1,2,1),(20,5214009,'1992-07-13 00:00:00',2,1,12,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124242241216111431436633575124610167117',13607,'1022',47.72,1,3,NULL),(20,5214017,'1992-01-10 00:00:00',2,1,12,2009,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241135471111533313372124610121147',13497,'281',49.04,1,2,1),(20,5214025,'1992-02-12 00:00:00',4,4,12,2009,'F','N','CENTRO','RIQUEZA','SC','124241241127271431436613245124610142142',NULL,'674',0.00,1,2,1),(20,5214033,'1991-02-06 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241112473411427923381124610134157',1723,'307',77.95,4,2,1),(20,5214041,'1991-11-04 00:00:00',2,6,11,2008,'F','N','CENTRO','UMUARAMA','PR','116163161215471731546823574122610122147',NULL,'9998',38.68,1,3,NULL),(20,5214068,'1992-05-25 00:00:00',4,1,12,2009,'M','N','ARIRIU','PALHOÇA','SC','124241241117131431426814571124610167052',13740,'772',50.85,1,2,1),(20,5214084,'1981-11-27 00:00:00',2,1,11,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241335375431448833471113133217045',NULL,'9999',26.27,1,3,NULL),(20,5214092,'1983-02-04 00:00:00',4,1,12,2000,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','624201206137131221223544145124141427055',NULL,'9998',29.03,1,2,1),(20,5214106,'1990-08-21 00:00:00',2,1,12,2007,'F','N','VILA INDUSTRIAL','S JOSÉ CAMPOS','SP','125253251115571431537767572324610126147',NULL,'9998',0.00,1,3,NULL),(20,5214114,'1990-02-11 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124241241116133231623923285344610157057',NULL,'734',14.47,1,2,1),(20,5214122,'1992-09-18 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431337823432214610162052',NULL,'1169',28.95,1,3,NULL),(20,5214130,'1988-03-26 00:00:00',4,1,11,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251251117131412336369342344610122187',NULL,'9998',27.44,4,2,1),(20,5214149,'1987-10-02 00:00:00',2,1,12,2005,'F','N','FORQUILHINHAS','S JOSÉ','SC','224241241126133431323154492124221932147',NULL,'594',0.00,1,2,1),(20,5214157,'1992-07-05 00:00:00',4,7,11,2009,'M','N','CENTRO','JOAÇABA','SC','124242241216111431438911595122610167142',12824,'454',48.67,1,3,NULL),(20,5214165,'1992-04-22 00:00:00',4,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124241241225131431326614575124610123143',8273,'262',59.91,1,3,NULL),(20,5214173,'1977-05-09 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241247127371311116348385124610122092',NULL,'281',39.98,1,2,1),(20,5214181,'1989-04-28 00:00:00',2,1,12,2008,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241445371731415349582324610134047',NULL,'9999',22.38,2,1,2),(20,5214190,'1991-10-28 00:00:00',4,3,9,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241217131431523619386121610121097',NULL,'967',24.85,1,3,NULL),(20,5214203,'1992-09-05 00:00:00',4,3,12,2009,'F','N','CENTRO','BRUSQUE','SC','124242241212111411356622472122610133142',NULL,'981',0.00,1,3,NULL),(20,5214211,'1990-08-11 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241235573132569812572114610168192',1883,'262',77.32,1,3,NULL),(20,5214220,'1971-01-22 00:00:00',2,8,12,1990,'M','N','GUANABARA','JOINVILLE','SC','124163163126131411113348382324131824047',NULL,'9998',0.00,4,3,NULL),(20,5214238,'1991-11-14 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117471431623369575114610136147',15412,'522',45.03,4,1,1),(20,5214246,'1993-01-27 00:00:00',2,8,12,2009,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116161161115471411427833575124610124097',6498,'9998',62.19,1,2,1),(20,5214254,'1993-12-22 00:00:00',2,1,12,2009,'M','N','FLORESTA','S JOSÉ','SC','124242241215111431468832275122610117092',NULL,'723',29.54,1,3,NULL),(20,5214262,'1991-01-01 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243247416151731437629392114610114042',NULL,'9999',28.36,2,1,2),(20,5214270,'1992-01-28 00:00:00',4,9,12,2009,'M','N','VILA NOVA','LAGES','SC','124241241115271431448614572122610112047',NULL,'935',27.50,1,2,1),(20,5214300,'1991-01-04 00:00:00',2,1,12,2008,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241116372731325629445124610124152',NULL,'733',26.71,1,3,NULL),(20,5214319,'1992-05-20 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115472751336634571114610167012',668,'271',83.42,1,2,1),(20,5214327,'1991-08-04 00:00:00',4,1,12,2009,'M','N','SÃO JOÃO','PIEDADE','SP','125253251215111431436414141322610144197',8075,'9998',58.60,1,3,NULL),(20,5214335,'1985-04-10 00:00:00',1,1,6,2003,'F','N','AREIAS','S JOSÉ','SC','124241241145133431323324285124610124052',NULL,'257',0.00,1,2,1),(20,5214343,'1989-07-01 00:00:00',2,1,12,2007,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241135371431526334285324610132187',NULL,'257',22.04,1,2,1),(20,5214351,'1992-12-03 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241135141411424411372125610127142',NULL,'592',29.02,1,2,1),(20,5214360,'1988-07-02 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201114473431536732475122222233057',NULL,'9998',0.00,1,2,1),(20,5214378,'1992-10-27 00:00:00',2,5,11,2009,'F','N','MICHEL','CRICIÚMA','SC','124242241215151711446914175122610164127',11754,'213',52.73,1,3,NULL),(20,5214386,'1991-05-18 00:00:00',2,9,12,2009,'M','N','CENTRO','URUBICI','SC','124241241317131731539332395121610164177',NULL,'1028',25.76,3,3,NULL),(20,5214394,'1991-03-03 00:00:00',2,9,12,2007,'M','N','VILA NOVA','LAGES','SC','124241246116273411543833415134610127042',11889,'935',50.96,1,2,1),(20,5214408,'1992-04-02 00:00:00',2,7,11,2009,'F','N','SANTA GEMA','VIDEIRA','SC','124241241215122431319761595122610164142',12895,'829',48.88,1,3,NULL),(20,5214416,'1980-07-14 00:00:00',2,1,12,2000,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','224241248327134751523354282224130218187',NULL,'9997',25.62,1,3,NULL),(20,5214424,'1989-02-06 00:00:00',2,1,12,2006,'M','N','SERTAO DO MARUIM','S JOSÉ','SC','124241241137272411436613445124610123017',NULL,'307',22.72,1,3,NULL),(20,5214432,'1990-05-31 00:00:00',4,5,12,2007,'M','N','CENTRO','URUSSANGA','SC','124242241215472411536631375124131414182',NULL,'820',0.00,1,3,NULL),(20,5214440,'1991-05-08 00:00:00',4,8,12,2008,'M','N','ÓRFÃS','PNT GROSSA','PR','116162161215472411568832572122610142042',856,'9998',81.63,1,3,NULL),(20,5214467,'1992-08-05 00:00:00',4,1,12,2009,'F','N','BARRA DA IBIRAQUERA','IMBITUBA','SC','124243241126131431525614585124610126197',NULL,'359',0.00,1,3,NULL),(20,5214475,'1988-07-31 00:00:00',2,1,12,2006,'M','N','CENTRO','GUARAPUAVA','PR','116162161237131441536411485122241768192',15267,'9998',47.07,1,3,NULL),(20,5214483,'1975-03-18 00:00:00',2,1,12,1993,'F','N','INGLESES','FLORIANÓPOLIS','SC','224224221127372731422252275124610124187',11163,'9998',54.60,3,3,NULL),(20,5214491,'1981-07-28 00:00:00',3,1,11,1998,'F','N','KOBRASOL','S JOSÉ','SC','124241241146134411224629285124321942187',NULL,'736',0.00,1,3,NULL),(20,5214505,'1987-11-19 00:00:00',5,8,12,2005,'F','N','ESPINHEIROS','JOINVILLE','SC','124241241127131431551644245124333225141',NULL,'477',27.90,1,3,NULL),(20,5214513,'1992-12-28 00:00:00',2,1,12,2010,'M','S','COQUEIROS','FLORIANÓPOLIS','SC','124242248215111411347833575122610127042',NULL,'1050',45.49,1,3,NULL),(20,5214521,'1981-02-02 00:00:00',4,1,12,1999,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124201201116131411138844445122241027085',15697,'9998',45.53,1,2,1),(20,5214530,'1992-12-12 00:00:00',4,2,11,2009,'F','N','PASSO MANSO','BLUMENAU','SC','124243241115271431436823475124610164147',10692,'1163',53.33,1,3,NULL),(20,5214548,'1991-06-15 00:00:00',4,1,12,2008,'F','N','TIETE','DIVINÓPOLIS','MG','113131131116271431323611275124610162097',11571,'9998',52.14,1,2,1),(20,5214556,'1992-07-05 00:00:00',2,1,12,2008,'F','N','JARDIM SANTIAGO','S JOSÉ','SC','124242241215272431338924245122232032092',14716,'868',45.89,1,3,NULL),(20,5214564,'1991-11-05 00:00:00',4,1,12,2009,'F','N','JR RAPOSO TAVARES','S PAULO','SP','125251251117571641324623572324610147092',12259,'9998',52.10,1,2,1),(20,5214572,'1985-07-30 00:00:00',4,1,12,2002,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216374431433321295124122921197',10541,'213',54.85,1,3,NULL),(20,5214580,'1992-07-04 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','116162161417472431146823575124610166097',12961,'9998',52.45,1,3,NULL),(20,5214599,'1992-08-23 00:00:00',4,5,12,2009,'M','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124241241114131441536724575124610162147',NULL,'209',21.53,2,1,1),(20,5214602,'1991-12-27 00:00:00',2,5,11,2009,'F','N','SANTA BARBARA','CRICIÚMA','SC','124242241215122731576612392124610127092',3807,'213',70.60,1,3,NULL),(20,5214610,'1990-08-07 00:00:00',2,1,12,2007,'F','N','ARIRIU FORMIGA','PALHOÇA','SC','124242241211513711566613575111610113091',3310,'270',72.50,1,3,NULL),(20,5214629,'1991-06-07 00:00:00',2,16,12,2009,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116162241217371131266823272122610164177',NULL,'633',0.00,1,3,NULL),(20,5214637,'1992-02-15 00:00:00',4,17,12,2009,'M','N','CENTRO','S MATEUS SUL','PR','116162161216151421338837275125610144177',NULL,'9998',27.46,1,3,NULL),(20,5214645,'1987-07-11 00:00:00',2,1,12,2004,'F','N','INTERIOR','GUARACIABA','SC','124241241117574431223335312124610124047',10821,'334',55.64,1,2,1),(20,5214653,'1986-11-08 00:00:00',2,1,8,2006,'M','N','ARMAÇÃO DO PANTANO S','FLORIANÓPOLIS','SC','124241241126371231656413242124610127097',11226,'291',55.87,2,1,1),(20,5214661,'1991-05-09 00:00:00',4,9,12,2008,'F','N','CENTRO','S JOSÉ CERRITO','SC','124241241136371431568639345124610164197',NULL,'742',28.94,1,2,1),(20,5214670,'1990-08-10 00:00:00',2,1,12,2007,'F','N','AREIAS','S JOSÉ','SC','124244241117373431436311316134610162142',NULL,'307',23.73,1,3,NULL),(20,5214688,'1992-12-27 00:00:00',4,10,11,2009,'F','N','OFICINAS','TUBARÃO','SC','124241241211111431336723571112610127142',NULL,'809',0.00,1,3,NULL),(20,5214696,'1979-08-16 00:00:00',2,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','524241241122372711123379195134131465097',NULL,'621',26.90,1,2,1),(20,5214700,'1992-08-16 00:00:00',2,1,12,2009,'F','N','FLORESTA','S JOSÉ','SC','124203241335131431326624575124610163023',NULL,'262',45.34,2,1,2),(20,5214718,'1991-11-25 00:00:00',2,4,11,2008,'F','N','MARIA GORETTI','CHAPECÓ','SC','124241241212371311448634311122610112142',12965,'983',52.44,1,3,NULL),(20,5214726,'1992-11-28 00:00:00',4,7,11,2009,'M','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241214131411547914575122610137122',9139,'454',56.12,1,3,NULL),(20,5214750,'1975-12-11 00:00:00',2,1,12,2000,'M','N','BOM VIVER','BIGUAÇU','SC','124241241126144721123344245123120521147',NULL,'85',25.79,1,2,1),(20,5214769,'1981-12-20 00:00:00',2,1,12,1999,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241112373431535514485122610168192',NULL,'307',41.56,1,2,1),(20,5214777,'1992-07-30 00:00:00',4,1,12,2009,'F','N','FLORESTA','S JOSÉ','SC','124241241225113411446511572114610117142',7774,'262',60.54,1,3,NULL),(20,5214785,'1989-05-18 00:00:00',2,1,12,2006,'M','N','PACHECOS DO ARIRIU','PALHOÇA','SC','124241241116132221123544345223230224047',NULL,'134',25.29,1,2,1),(20,5214793,'1980-12-08 00:00:00',4,1,7,2000,'F','N','BARREIROS','S JOSÉ','SC','124242247236374421635514444124122733097',11208,'9999',53.21,1,3,NULL),(20,5214807,'1981-12-08 00:00:00',4,1,12,1999,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','224251251127131421433354245124230233143',NULL,'9998',0.00,4,1,1),(20,5214815,'1992-04-18 00:00:00',2,2,12,2009,'M','N','CENTRO','ILHOTA','SC','124131241116371431426623385124610114142',12354,'354',50.47,1,2,1),(20,5214831,'1964-02-28 00:00:00',2,1,12,2003,'F','N','BARREIROS','S JOSÉ','SC','524241248126154431323344142234222216192',NULL,'9999',0.00,1,2,1),(20,5214840,'1992-06-06 00:00:00',4,1,11,2009,'F','N','STO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC','124242241217111441438833475122610143021',7063,'1022',62.41,1,3,NULL),(20,5214866,'1982-08-02 00:00:00',2,1,12,2001,'M','N','GOIABEIRAS','VITÓRIA','ES','108081081116131441423319285211141966057',NULL,'9998',0.00,4,2,1),(20,5214874,'1990-08-04 00:00:00',2,1,12,2008,'F','N','BARROCA','BELO HORIZONTE','MG','113132137415471451238623594124610167092',9811,'9998',55.16,1,3,NULL),(20,5214890,'1992-01-05 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115271431326629312124610128147',11953,'307',54.44,1,2,1),(20,5214904,'1992-04-19 00:00:00',2,1,12,2008,'F','N','AUXILIADORA','PTO ALEGRE','RS','120203201216471431358816461124610162141',13652,'9998',49.07,1,3,NULL),(20,5214912,'1991-09-14 00:00:00',2,1,12,2009,'F','N','DANIELA','FLORIANÓPOLIS','SC','124241241215131731523331395324610134147',NULL,'1048',19.02,4,1,2),(20,5214920,'1991-07-12 00:00:00',2,1,11,2008,'M','N','MONTE CARLO','S JOAQUIM','SC','116242161215474751468835575124610132072',4510,'9998',67.31,4,3,NULL),(20,5214939,'1992-01-01 00:00:00',4,6,12,2009,'M','N','CENTRO','ANCHIETA','SC','124241241115161331426619585122610117057',NULL,'16',0.00,1,2,1),(20,5214947,'1991-03-10 00:00:00',2,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124244241215121431468833572122610117042',NULL,'1118',21.71,1,3,NULL),(20,5214955,'1962-05-24 00:00:00',2,1,12,1980,'M','N','AREIAS','S JOSÉ','SC','224242241227131431431144245134610168047',NULL,'446',21.74,1,3,NULL),(20,5214963,'1991-11-04 00:00:00',2,9,12,2008,'M','N','CORAL','LAGES','SC','124241241117472431456914375121610132122',4371,'505',68.58,1,2,1),(20,5214971,'1956-08-07 00:00:00',2,1,12,2006,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','224241241127131412442273193344610116195',NULL,'306',19.93,1,2,1),(20,5214980,'1991-09-17 00:00:00',4,1,7,2009,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124241241116162531436634572121610164187',9195,'739',56.92,1,2,1),(20,5215005,'1987-03-08 00:00:00',2,1,12,2004,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241116273431125644445122610127147',NULL,'281',44.58,1,2,1),(20,5215013,'1992-07-22 00:00:00',2,1,12,2009,'M','N','CENTRO','CAXIAS SUL','RS','120202201237111731469711472125610127042',NULL,'9998',26.43,1,3,NULL),(20,5215030,'1991-10-28 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215273431368823575122610126172',724,'1169',83.02,1,3,NULL),(20,5215056,'1989-05-10 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241316473752223379345114610127043',8824,'272',58.01,2,3,NULL),(20,5215064,'1987-12-07 00:00:00',2,1,8,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241247122142111226321212334610168043',NULL,'9999',41.02,2,1,1),(20,5215072,'1991-10-26 00:00:00',4,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217152751567619575122610167146',NULL,'1048',0.00,1,3,NULL),(20,5215080,'1992-10-23 00:00:00',2,9,12,2009,'F','N','SANTA HELENA','LAGES','SC','124112248416111431437719575125610136142',NULL,'515',0.00,1,3,NULL),(20,5215099,'1984-04-29 00:00:00',4,1,12,2002,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241247326131731236644292124133264042',NULL,'964',23.05,1,3,NULL),(20,5215110,'1991-05-18 00:00:00',1,1,7,2009,'F','N','VILA BANDEIRANTES','CPO GRANDE','MS','112122281415371431678933474114610164167',9446,'9998',55.24,4,3,NULL),(20,5215129,'1989-09-21 00:00:00',4,8,12,2007,'M','N','JD CRUZEIRO DO SUL','S CARLOS','SP','125251251116571411446624572112610137112',5904,'9998',63.98,1,2,1),(20,5215145,'1986-12-26 00:00:00',2,1,12,2003,'M','N','BARREIROS','S JOSÉ','SC','124241241137242411426314245122130244067',10999,'277',52.88,4,2,1),(20,5215153,'1986-01-12 00:00:00',4,1,12,2004,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241241125211431125544242234133227187',NULL,'307',25.62,3,2,1),(20,5215161,'1990-05-01 00:00:00',4,8,12,2007,'M','N','CENTRO','PALMEIRA','PR','116162161215571741339921572114610154172',1728,'9997',76.91,1,3,NULL),(20,5215200,'1992-09-21 00:00:00',2,15,12,2009,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241243316271431327621472124610134142',NULL,'29',0.00,1,3,NULL),(20,5215218,'1991-10-09 00:00:00',4,10,12,2009,'F','N','CENTRO','RIO FORTUNA','SC','124241241116131421348613574122610137057',NULL,'665',21.47,1,2,1),(20,5215226,'1988-10-04 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241117374731328623485124610114013',NULL,'281',46.45,1,3,NULL),(20,5215242,'1992-08-10 00:00:00',4,2,12,2009,'M','N','SÃO LUIZ','BRUSQUE','SC','124242241215372431666632575122610117012',487,'109',84.69,1,3,NULL),(20,5215250,'1992-02-28 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469811572122610167057',5843,'262',66.36,1,3,NULL),(20,5215269,'1992-11-05 00:00:00',4,1,12,2009,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241117371431434411275124610122142',7301,'592',62.01,1,2,1),(20,5215277,'1990-08-23 00:00:00',4,9,12,2007,'F','N','JARDIM AMÉRICA','RIO SUL','SC','124241241125472431323325374224130267187',7653,'364',60.50,1,2,1),(20,5215285,'1991-05-20 00:00:00',4,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124241241225131411221329271324610147152',16114,'262',43.34,1,3,NULL),(20,5215293,'1990-03-27 00:00:00',2,3,12,2007,'M','N','PABLO POLÔNIO','STA MARIANA','PR','116164161217271411426814582124610164013',NULL,'9998',0.00,4,3,NULL),(20,5215315,'1990-11-06 00:00:00',4,8,12,2007,'F','N','BOA VISTA','JOINVILLE','SC','124242241216573441557814472122610167187',5369,'461',66.05,1,3,NULL),(20,5215323,'1991-03-22 00:00:00',2,1,12,2008,'M','N','N SENHORA DE LURDES','STA MARIA','RS','120201201117271731224613431124610127017',NULL,'9998',0.00,1,2,1),(20,5215331,'1988-05-31 00:00:00',2,15,12,2005,'F','N','FIGUEIRA','JACINTO MACHADO','SC','124241241117131431323335136224232326177',NULL,'420',0.00,1,2,1),(20,5215340,'1987-10-29 00:00:00',2,1,12,2005,'F','N','JARDIM CARANDAI','BIGUAÇU','SC','124241241117231731423314286114610113187',NULL,'65',30.45,1,2,1),(20,5215358,'1985-12-12 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126135721433339275124221522147',1759,'712',77.79,1,2,1),(20,5215366,'1986-06-23 00:00:00',2,1,6,2004,'M','N','JARDIM SÃO MIGUEL','BIGUAÇU','SC','124241241116472231533419495124221762052',NULL,'65',27.01,1,2,1),(20,5215374,'1987-06-07 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115174431336633575124610166162',6006,'257',65.99,1,2,1),(20,5215382,'1989-10-22 00:00:00',2,2,12,2006,'F','N','FIGUEIRA','GASPAR','SC','124243241126271442656314385122610162181',15885,'325',44.69,1,3,NULL),(20,5215404,'1982-10-03 00:00:00',2,1,12,1999,'F','N','CAEIRASACODOSLIMOÃE','FLORIANÓPOLIS','SC','124241241126272411213348482124610112145',NULL,'281',26.18,1,2,1),(20,5215412,'1989-10-27 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124164161416151741666614375124233266097',9244,'9998',59.53,1,3,NULL),(20,5215420,'1990-07-02 00:00:00',4,6,12,2008,'F','N','ITAQUERA','S PAULO','SP','125251251111471421326624282124610131092',NULL,'9998',23.76,4,2,1),(20,5215447,'1978-08-06 00:00:00',2,1,12,2003,'F','N','BARREIROS','S JOSÉ','SC','124241245127134751623314132224610134147',NULL,'734',0.00,4,1,1),(20,5215455,'1992-01-13 00:00:00',4,6,12,2009,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241215373411438833574122610166187',4874,'392',68.65,1,3,NULL),(20,5215463,'1970-09-17 00:00:00',2,16,6,2008,'F','N','SALETE','FRAIBURGO','SC','224241247122161431533359142123232744037',NULL,'9999',0.00,4,2,1),(20,5215471,'1978-09-19 00:00:00',2,1,12,1996,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241243122133431124344345134130721141',NULL,'740',0.00,1,3,NULL),(20,5215480,'1972-12-27 00:00:00',2,1,8,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224241247126234441451354385124610122183',14104,'9999',48.22,4,2,1),(20,5215498,'1992-06-09 00:00:00',2,4,11,2009,'F','N','TONIAL','XANXERÊ','SC','124241241215131432336923572224610127147',5923,'44',64.06,1,3,NULL),(20,5215501,'1988-02-07 00:00:00',2,1,12,2005,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124203201217134431226627391324223066187',14687,'9998',44.65,2,1,2),(20,5215510,'1992-05-26 00:00:00',2,10,12,2009,'M','N','AÉROPORTO','TUBARÃO','SC','124242241217371431356814572122610137112',NULL,'1120',0.00,1,3,NULL),(20,5215528,'1988-03-12 00:00:00',2,1,11,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624241241116133431635323145134610135142',NULL,'276',22.44,4,3,NULL),(20,5215536,'1992-10-10 00:00:00',4,4,12,2009,'F','N','ALVORADA','CHAPECÓ','SC','124241241132131411523329185124610136057',NULL,'178',0.00,1,2,1),(20,5215544,'1992-05-22 00:00:00',4,2,12,2009,'F','N','RAINHA','RIO SUL','SC','124241241116371431336334575124610124147',NULL,'659',0.00,1,2,1),(20,5215552,'1989-07-13 00:00:00',4,1,12,2006,'M','N','JARDIM PIONEIROS','PAIÇANDU','PR','116161161136372431436544444114142623142',NULL,'9998',0.00,4,1,1),(20,5215560,'1982-11-11 00:00:00',2,1,12,2000,'F','N','BARREIROS','S JOSÉ','SC','124243241212275431536627482122122724017',12171,'1169',52.03,2,1,2),(20,5215579,'1990-10-30 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161215512411568632175122610166182',307,'9998',86.47,1,3,NULL),(20,5215595,'1992-10-20 00:00:00',2,10,12,2009,'F','N','CENTRO','S LUDGERO','SC','124243241214131431446632242222610166052',NULL,'950',41.08,1,3,NULL),(20,5215609,'1987-09-17 00:00:00',2,1,12,2004,'F','N','BARREIROS','S JOSÉ','SC','224243241117272421246643435124610164187',10729,'306',56.83,1,3,NULL),(20,5215617,'1982-04-15 00:00:00',2,1,12,2004,'M','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124051058116372711223344445214610117042',NULL,'9998',14.18,4,2,1),(20,5215625,'1990-12-27 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241112132431523611182124230834047',NULL,'727',15.44,1,2,1),(20,5215633,'1990-10-23 00:00:00',2,1,12,2007,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241146373751133419375124610167042',13613,'812',48.51,1,2,1),(20,5215650,'1986-02-09 00:00:00',4,15,12,2004,'M','N','CENTRO','PASSO TORRES','SC','124241201146131731121144242122143215147',NULL,'9998',0.00,1,2,1),(20,5215668,'1992-05-12 00:00:00',2,2,11,2009,'F','N','VELHA','BLUMENAU','SC','124243248216131431427939572122610163017',NULL,'88',23.85,1,3,NULL),(20,5215676,'1992-08-11 00:00:00',4,3,12,2009,'M','N','ANDORINHA','ITAPEMA','SC','124244241415111711355835572124610117057',NULL,'1086',23.08,1,3,NULL),(20,5215684,'1992-05-02 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115471711423313375124610117142',13596,'9997',50.36,1,2,1),(20,5215692,'1989-04-29 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124243241146474731235574345124610134187',15472,'592',42.51,1,3,NULL),(20,5215706,'1992-02-23 00:00:00',4,1,12,2009,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241212112221324813232124610114097',12050,'1010',52.01,1,3,NULL),(20,5215714,'1992-03-27 00:00:00',2,1,12,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241115371431423614275123610134147',NULL,'733',22.01,1,2,1),(20,5215722,'1987-09-03 00:00:00',2,1,6,2008,'F','N','PACHECOS','PALHOÇA','SC','124241247132473711123348382114610122183',12075,'9999',52.79,1,2,1),(20,5215730,'1989-09-01 00:00:00',4,1,12,2006,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091111171421448811572125610122173',NULL,'9998',0.00,1,3,NULL),(20,5215749,'1990-02-17 00:00:00',2,1,12,2007,'F','N','CENTRO','ANITÁPOLIS','SC','124241241126374431423314275124610124142',NULL,'19',28.86,1,2,1),(20,5215757,'1976-07-05 00:00:00',4,1,12,1994,'F','N','INGLESES','FLORIANÓPOLIS','SC','124252251216131421418841415134343261182',14871,'9998',48.23,1,3,NULL),(20,5215765,'1992-02-12 00:00:00',4,6,12,2009,'M','N','SÂO JUDAS','ITAJAÍ','SC','124241241117271431426613595122610164072',10646,'401',55.32,1,2,1),(20,5215773,'1976-09-13 00:00:00',2,1,8,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624243247617133411333444345134610134192',NULL,'9999',27.28,1,3,NULL),(20,5215790,'1990-08-30 00:00:00',4,8,12,2007,'F','N','CANGO','FRANCISCO BELTRÃO','PR','116163161216571431438913575124610126127',877,'9998',81.07,1,3,NULL),(20,5215803,'1991-04-08 00:00:00',2,8,12,2008,'F','N','PARQUE SAO PAULO','CASCAVEL','PR','116162161216473451359879572122610132182',1900,'9998',76.85,1,3,NULL),(20,5215820,'1991-06-10 00:00:00',2,1,12,2008,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124244241215132431333612271124610134077',15408,'1022',46.59,1,3,NULL),(20,5215838,'1990-03-20 00:00:00',2,1,12,2008,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241116432431336413385114610133142',NULL,'591',21.27,1,2,1),(20,5215846,'1990-02-13 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117471431525514382124610122142',NULL,'288',26.54,1,2,1),(20,5215862,'1967-01-02 00:00:00',4,1,12,1986,'M','N','FLORESTA','S JOSÉ','SC','224241248126133411323743335124610126027',NULL,'307',47.54,1,3,NULL),(20,5215870,'1992-10-10 00:00:00',2,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115241431213521345224610123147',NULL,'281',18.08,4,2,1),(20,5215889,'1986-04-26 00:00:00',2,1,12,2003,'F','N','NOSSA SRA DE LOURDES','STA MARIA','RS','120202201216271421468813572122340332042',3003,'9998',73.51,1,3,NULL),(20,5215897,'1989-11-12 00:00:00',2,1,11,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116272431549671195124233261017',12126,'306',52.07,1,2,1),(20,5215919,'1979-06-07 00:00:00',2,1,12,1998,'F','N','LAGOA CONCEICAO','FLORIANÓPOLIS','SC','224171061127531122428624242224143214014',NULL,'9998',24.20,1,2,1),(20,5215927,'1988-08-29 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSÉ','SC','124241248116133711321119345122230832057',NULL,'734',16.23,1,2,1),(20,5215935,'1990-11-07 00:00:00',2,1,12,2007,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241116133431539413575124610124047',15476,'727',43.41,4,2,1),(20,5215943,'1991-12-04 00:00:00',4,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124241241122141732231724245124610123043',NULL,'9997',0.00,1,2,1),(20,5215951,'1992-03-07 00:00:00',2,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111411475412575122610167042',14737,'273',48.62,1,3,NULL),(20,5215960,'1988-04-15 00:00:00',2,1,12,2005,'F','N','KOBRASOL','S JOSÉ','SC','124241241122474421126444342323610122147',NULL,'13',30.95,1,2,1),(20,5215978,'1992-04-06 00:00:00',4,1,12,2009,'F','N','SÃO MIGUEL','RIO CLARO','SP','125251251116371431436823475122610141072',NULL,'9998',0.00,1,3,NULL),(20,5215986,'1984-11-25 00:00:00',2,1,12,2003,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124201207427271721124644245234610163157',NULL,'9998',43.62,1,3,NULL),(20,5215994,'1976-05-18 00:00:00',2,1,12,2000,'M','N','TRÊS RIACHOS','BIGUAÇU','SC','124244247426142741433329442113130228182',NULL,'9999',24.35,1,3,NULL),(20,5216001,'1984-01-12 00:00:00',2,6,12,2000,'F','N','MURTA','ITAJAÍ','SC','124241241116373431226461482124131064147',NULL,'396',27.30,2,1,1),(20,5216010,'1991-04-30 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248216412411666812175122633212183',1946,'262',77.10,3,3,NULL),(20,5216028,'1991-12-29 00:00:00',2,1,12,2008,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243241116473411326414575124133227047',11506,'278',54.38,1,3,NULL),(20,5216052,'1991-07-27 00:00:00',4,1,9,2009,'M','N','ATALAIA','ARACAJU','SE','126262267217471431476763315122610124182',NULL,'9998',31.36,4,3,NULL),(20,5216060,'1988-02-11 00:00:00',2,1,12,2006,'F','N','CENTRO','ITUPORANGA','SC','124241241146271431246619272122610143197',NULL,'416',25.53,1,2,1),(20,5216079,'1987-04-13 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124071241116375431128644345234610142147',7608,'306',60.77,1,2,1),(20,5216087,'1982-05-28 00:00:00',4,1,12,1999,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201201116131421234421185124342317052',NULL,'9998',37.79,1,3,NULL),(20,5216095,'1992-01-18 00:00:00',4,8,10,2009,'F','N','ADHEMAR GARCIA','JOINVILLE','SC','124241241215151431556614575124610133141',7555,'459',60.59,1,3,NULL),(20,5216109,'1991-05-19 00:00:00',4,1,8,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242281217372431437732475122130227042',4838,'9998',68.77,1,3,NULL),(20,5216117,'1992-12-29 00:00:00',4,8,11,2010,'F','S','ANITA GARIBALDI','JOINVILLE','SC','124242241215131731339813572124610136147',NULL,'861',18.42,1,3,NULL),(20,5216125,'1989-10-07 00:00:00',4,1,7,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241116271441345633495124610167047',6920,'306',64.00,1,2,1),(20,5216133,'1992-05-09 00:00:00',2,1,12,2009,'F','N','ARIRIÚ DA FORMIGA','PALHOÇA','SC','124241241117371731223324372124610162147',NULL,'592',27.76,1,2,1),(20,5216141,'1987-11-30 00:00:00',4,1,12,2005,'F','N','PASSA VINTE','PALHOÇA','SC','124242241227474441436614242124233231081',9448,'262',59.18,1,3,NULL),(20,5216150,'1991-10-20 01:00:00',4,8,9,2009,'M','N','CENTRO','CURITIBA','PR','116162161217371531448811576124610127013',3530,'9998',70.90,1,3,NULL),(20,5216168,'1992-04-17 00:00:00',4,8,12,2009,'M','N','REBOUÇAS','CURITIBA','PR','116162161215121431444617572114610167047',7097,'9998',60.67,1,3,NULL),(20,5216176,'1992-10-07 00:00:00',2,2,12,2009,'M','N','CENTRO','BRUSQUE','SC','124241241116371732526631586121610127042',15204,'111',44.61,3,3,NULL),(20,5216184,'1992-10-02 00:00:00',2,4,12,2009,'F','N','SÃO JOSÉ','STA MARIA','RS','620244201216111731469932422124610131072',NULL,'9998',0.00,4,3,NULL),(20,5216192,'1987-05-26 00:00:00',2,1,10,2005,'F','N','DE FÁTIMA','FLORIANÓPOLIS','SC','124241241147573331425317382214610154147',15799,'307',45.09,4,2,1),(20,5216206,'1990-06-01 00:00:00',2,9,12,2007,'M','N','CORAL','LAGES','SC','124241241112272431546715571121230317052',6439,'505',62.13,1,2,1),(20,5216214,'1992-10-01 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241116271411326621475124610124012',6233,'288',63.83,1,2,1),(20,5216222,'1984-07-23 00:00:00',2,10,6,2005,'M','N','CENTRO','SERTÃO','RS','620201202116572431226674371224610132057',6788,'9998',64.28,2,1,1),(20,5216230,'1988-03-13 00:00:00',4,1,7,2009,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124243247216111721318329392314610118142',NULL,'9999',21.39,1,3,NULL),(20,5216249,'1989-09-09 00:00:00',4,1,12,2007,'M','N','ITAIM BIBI','S PAULO','SP','125252251216112411159831575112240662112',NULL,'9998',0.00,1,3,NULL),(20,5216257,'1982-05-12 00:00:00',2,8,12,1999,'M','N','IRIRIÚ','JOINVILLE','SC','124241241116132721236529345122331227147',5260,'478',65.18,1,2,1),(20,5216265,'1990-03-14 00:00:00',2,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124244246415152451433414185114610137052',NULL,'272',41.62,1,3,NULL),(20,5216273,'1984-05-04 00:00:00',4,1,6,2002,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242247437132411126644345122133214187',6568,'72',64.77,1,3,NULL),(20,5216281,'1991-11-22 00:00:00',2,1,11,2009,'F','N','AREIAS','S JOSÉ','SC','124243241315471331557623435125610113077',NULL,'734',25.12,4,3,NULL),(20,5216290,'1990-08-28 00:00:00',4,1,12,2007,'F','N','VL NOVA DAS BELEZAS','S PAULO','SP','125252251117571421438611342134610122047',NULL,'9998',35.96,4,3,NULL),(20,5216303,'1976-01-28 00:00:00',2,1,12,1994,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224201208121132411323359282345610168187',2174,'9998',76.27,4,1,1),(20,5216311,'1990-08-24 00:00:00',4,1,11,2008,'F','N','ALTO DA LAPA','S PAULO','SP','125252251217571431489931575122610167057',6000,'9998',62.82,1,3,NULL),(20,5216320,'1987-10-22 00:00:00',4,1,11,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241315473442624379435334610167052',16293,'272',40.74,1,3,NULL),(20,5216338,'1991-07-26 00:00:00',2,1,12,2008,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241241115272431226828485124610124052',NULL,'733',36.73,1,2,1),(20,5216354,'1993-02-06 00:00:00',2,1,12,2009,'M','N','CENTRO','NOVA MTE VERDE','MT','111111161315151431566612595112610137072',12142,'9998',49.70,1,3,NULL),(20,5216362,'1970-07-29 00:00:00',4,1,12,1987,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224081085116131411443153485124140231182',NULL,'9998',32.14,4,2,1),(20,5216370,'1985-02-22 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241116374431218644242334610117067',NULL,'307',0.00,1,2,1),(20,5216389,'1982-05-09 00:00:00',4,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224253251217132711227359485121221162147',NULL,'9998',0.00,1,3,NULL),(20,5216397,'1993-09-16 00:00:00',4,8,11,2010,'F','S','UBERABA','CURITIBA','PR','116162161214111431579932572122610133192',NULL,'9998',40.46,1,3,NULL),(20,5216400,'1987-12-16 00:00:00',2,1,12,2005,'M','N','CAMPO GRANDE','SANTOS','SP','125252251211575211463619571115610117047',286,'9998',86.78,1,3,NULL),(20,5216427,'1992-08-03 00:00:00',4,3,12,2009,'F','N','JARDIM DAS PALMEIRAS','CAMPINAS','SP','125254251215121431369913375124610167097',13300,'9998',46.92,1,3,NULL),(20,5216435,'1991-05-23 00:00:00',4,8,12,2008,'F','N','NOVA BRASILIA','JARAGUÁ SUL','SC','124241241147471731436634341124610133017',NULL,'438',28.13,1,2,1),(20,5216443,'1991-05-22 00:00:00',4,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124241248225111431623311395124610121182',NULL,'262',0.00,1,3,NULL),(20,5216451,'1992-05-21 00:00:00',4,1,12,2009,'F','N','SANTA ROSA','PTO UNIÃO','SC','124241241146151731523624572325610135017',14613,'634',44.40,1,2,1),(20,5216460,'1992-09-16 00:00:00',2,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111411443612275122610161185',15339,'737',46.81,1,3,NULL),(20,5216478,'1991-09-01 00:00:00',2,1,12,2008,'F','N','POTECAS','S JOSÉ','SC','124241241217372431348339396124610133191',7511,'1074',62.77,1,3,NULL),(20,5216486,'1990-11-05 00:00:00',4,1,6,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241115271411258779275114131464142',7573,'306',62.68,1,3,NULL),(20,5216494,'1987-11-02 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115372431645613572214610162157',NULL,'298',29.54,1,2,1),(20,5216508,'1985-01-07 00:00:00',4,1,11,2005,'F','N','RESSACADA','GAROPABA','SC','624241241122131731221159291344610137182',NULL,'257',0.00,1,2,1),(20,5216516,'1992-07-18 00:00:00',4,1,12,2009,'F','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241116472411533418575124610166187',3533,'592',71.48,1,2,1),(20,5216524,'1992-08-07 00:00:00',4,4,12,2009,'F','N','INTERIOR','JARDINÓPOLIS','SC','124241241115161431334436572222610127147',11436,'444',53.40,1,2,1),(20,5216532,'1992-12-30 00:00:00',4,4,12,2009,'M','N','JARDIM','CONCÓRDIA','SC','124241241117131431536814575122610162187',NULL,'192',0.00,1,2,1),(20,5216540,'1991-12-07 00:00:00',4,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124241241112142711311629395224610124142',NULL,'734',14.12,1,2,1),(20,5216567,'1991-04-05 00:00:00',4,1,11,2008,'M','N','CENTRO','IJUÍ','RS','120202201215471431136621572224610167017',3626,'9998',70.17,1,3,NULL),(20,5216575,'1987-06-19 00:00:00',2,1,12,2004,'F','N','PRADO','BIGUAÇU','SC','224241241116133431223351285124130221142',NULL,'65',0.00,1,2,1),(20,5216583,'1967-08-15 00:00:00',4,1,12,1986,'F','N','BARREIROS','S JOSÉ','SC','224161161437133751429651341132343066187',NULL,'9998',24.94,1,3,NULL),(20,5216591,'1991-10-07 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241225111532636611572124610124042',NULL,'262',0.00,2,1,2),(20,5216605,'1992-10-08 00:00:00',2,1,11,2009,'M','N','AREIAS','S JOSÉ','SC','124242241217471751546939592324610127041',4344,'1022',67.93,1,3,NULL),(20,5216613,'1991-09-17 00:00:00',2,4,12,2008,'F','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124201241116131331426519171124610142092',NULL,'182',43.40,1,2,1),(20,5216621,'1990-09-27 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211314731637614372124231537017',NULL,'272',26.82,1,3,NULL),(20,5216630,'1986-09-23 00:00:00',2,8,12,2004,'F','N','SAGUAÇU','JOINVILLE','SC','124242241216151721123844341135342766197',NULL,'456',39.48,1,3,NULL),(20,5216648,'1989-12-25 00:00:00',2,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241135131751313369395114610117142',NULL,'9997',22.38,2,2,1),(20,5216656,'1990-05-02 00:00:00',4,8,12,2007,'F','N','FLORESTA','JOINVILLE','SC','124251251117131411633673382321142766077',14313,'9998',45.36,3,2,1),(20,5216664,'1981-01-24 00:00:00',5,1,12,1997,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241316132441225329285124331046187',NULL,'403',0.00,1,3,NULL),(20,5216672,'1990-01-30 00:00:00',4,7,12,2007,'F','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241215573431469513272122610164142',15487,'454',46.36,1,3,NULL),(20,5216680,'1993-08-06 00:00:00',4,1,2,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431488913572122610142142',8347,'1050',61.23,1,3,NULL),(20,5216699,'1990-12-29 00:00:00',4,8,12,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124243241417371411666613385124610156197',15078,'1016',45.08,3,3,NULL),(20,5216702,'1983-02-17 00:00:00',2,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126233731321365395214222322187',NULL,'142',26.70,1,2,1),(20,5216729,'1988-01-02 00:00:00',2,1,11,2005,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124141141117332431127549342334610117017',NULL,'9998',17.95,2,1,1),(20,5216745,'1991-10-16 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241216373451449613572124610164182',14971,'259',47.96,1,3,NULL),(20,5216753,'1987-07-24 00:00:00',2,1,12,2005,'F','N','PINHEIRA','PALHOÇA','SC','124241201116371411225521212224610117052',NULL,'595',0.00,1,2,1),(20,5216761,'1990-11-26 00:00:00',2,1,11,2007,'F','N','JARDIM BOTÂNICO','CURITIBA','PR','116201201236571731448923345124610164077',11773,'9998',51.16,1,3,NULL),(20,5216770,'1993-02-23 00:00:00',4,8,10,2009,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116162161215121431559931572144610121172',1066,'9998',79.63,1,3,NULL),(20,5216788,'1991-01-11 00:00:00',2,15,12,2008,'F','N','DIVINEIA','ARARANGUÁ','SC','124241241115272431424424245125120611052',16015,'30',38.60,1,2,1),(20,5216796,'1991-02-25 00:00:00',4,8,11,2009,'M','N','CRISTO REI','CURITIBA','PR','116113161315471431186932515124610168017',14849,'9998',43.25,1,3,NULL),(20,5216800,'1992-04-03 00:00:00',4,8,12,2009,'M','N','ATIRADORES','JOINVILLE','SC','624244241215211411258814575111610148177',NULL,'1016',0.00,4,3,NULL),(20,5216818,'1992-12-05 00:00:00',4,8,12,2009,'M','N','CENTRO','ARAUCÁRIA','PR','116162161235121531478831472112610157042',2424,'9998',73.45,1,3,NULL),(20,5216826,'1992-04-08 00:00:00',4,1,12,2009,'F','N','SANTANA','STO AMARO IMPERATRIZ','SC','124241241115271751533431575324610121142',NULL,'772',27.05,1,2,1),(20,5216834,'1972-08-12 00:00:00',4,1,11,1991,'M','N','AREIAS','S JOSÉ','SC','224242246126134731334343335332320236093',11829,'306',54.69,1,3,NULL),(20,5216842,'1986-01-09 00:00:00',2,1,12,2003,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241126471431644413495114610132053',16034,'279',43.87,1,2,1),(20,5216869,'1989-12-07 00:00:00',2,8,12,2007,'M','N','FLORESTA','JOINVILLE','SC','124241241437131751525821216341131966177',13007,'482',52.34,1,3,NULL),(20,5216877,'1990-04-03 00:00:00',2,1,12,2007,'M','N','MORADA DA COLINA','PASSO FUNDO','RS','120203201216571731429319572322610167047',1491,'9998',78.66,1,3,NULL),(20,5216885,'1990-12-21 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241147132411123944242334610144197',NULL,'415',29.18,1,2,1),(20,5216893,'1984-12-10 00:00:00',2,1,12,2005,'M','N','GRAGERU','ARACAJU','SE','126023257346161441589513575121610164092',NULL,'9998',0.00,1,3,NULL),(20,5216907,'1991-01-08 00:00:00',2,1,12,2008,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241116272411227669395124610126187',NULL,'278',30.07,1,2,1),(20,5216915,'1964-06-04 00:00:00',2,1,12,1991,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241247226474411343343435334610163195',NULL,'9999',39.10,1,3,NULL),(20,5216923,'1992-01-29 00:00:00',4,3,12,2008,'F','N','ALTO SÃO BENTO','ITAPEMA','SC','124203241112271431325729582114610132017',11238,'406',54.00,4,3,NULL),(20,5216931,'1988-08-16 00:00:00',4,1,12,2006,'F','N','COLONIA SANTANA','S JOSÉ','SC','124241241123131131113444145214610114147',NULL,'731',24.32,1,2,1),(20,5216940,'1992-02-15 00:00:00',2,7,12,2009,'F','N','CENTRO','JOAÇABA','SC','124241241116271431323314575232610124052',NULL,'449',0.00,1,2,1),(20,5216958,'1986-09-27 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136473431437824415333233264017',8220,'544',61.43,1,2,1),(20,5216966,'1990-09-19 00:00:00',2,1,12,2008,'F','N','BELA VISTA','PALHOÇA','SC','124241241212472431327631572144610121147',15817,'1011',41.19,1,3,NULL),(20,5216974,'1992-04-24 00:00:00',2,10,12,2009,'F','N','OFICINAS','TUBARÃO','SC','124241241115371431527638292124610124077',NULL,'1034',0.00,1,2,1),(20,5216982,'1989-08-02 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215113421468812345121610164187',13822,'951',50.71,1,3,NULL),(20,5217008,'1992-08-26 00:00:00',4,10,10,2009,'F','N','HUAMAITA','TUBARÃO','SC','124242241216113311347612475122610133182',10173,'807',54.70,1,3,NULL),(20,5217016,'1992-08-13 00:00:00',4,1,12,2009,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241115111731523313572124610117073',NULL,'307',23.97,1,2,1),(20,5217024,'1992-12-06 00:00:00',4,1,12,2009,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124242241115161731444623575124610137052',NULL,'733',23.97,1,3,NULL),(20,5217032,'1990-10-12 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124202241216373731333511145124610134097',9578,'988',58.05,1,3,NULL),(20,5217040,'1992-12-08 00:00:00',4,4,12,2009,'F','N','INTERIOR','ITAPIRANGA','SC','124241241116131532443432473122610124147',8495,'412',57.16,1,2,1),(20,5217059,'1986-02-01 00:00:00',4,1,11,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241135372231323411342334610124147',NULL,'307',27.95,2,1,1),(20,5217067,'1986-09-03 00:00:00',4,8,12,2004,'F','N','SAGUACU','JOINVILLE','SC','124244241235573441228929495124230647092',10332,'459',57.55,1,3,NULL),(20,5217083,'1986-12-23 00:00:00',4,1,12,2004,'M','N','CENTRO','STA MARIA','RS','120202201217151451268813575112341042042',9227,'9998',59.56,1,3,NULL),(20,5217091,'1974-08-13 00:00:00',2,1,5,2001,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224241247136472431226644442124610166047',NULL,'9999',0.00,1,3,NULL),(20,5217105,'1981-11-14 00:00:00',2,1,12,2004,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','524241247117331431226341412214610123097',NULL,'9997',0.00,1,2,1),(20,5217113,'1993-03-21 00:00:00',4,8,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161215121331477832575112610167142',NULL,'9998',0.00,1,3,NULL),(20,5217121,'1992-06-07 00:00:00',2,1,12,2009,'F','N','COROADO LL','TIJUCAS','SC','124243241215131731224724142125610123147',NULL,'948',26.10,3,3,NULL),(20,5217130,'1991-06-25 00:00:00',4,1,12,2008,'M','N','ALTO ARIRIU','PALHOÇA','SC','124241241116232711443934245124231362157',7400,'592',62.62,1,2,1),(20,5217148,'1992-08-01 00:00:00',4,7,12,2009,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241416472431236823335122610136142',14478,'139',46.64,1,3,NULL),(20,5217156,'1991-01-22 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124251241117371431113344242324610138143',NULL,'406',23.99,1,2,1),(20,5217172,'1992-08-20 00:00:00',4,4,12,2009,'F','N','ISOL','S JOSÉ CEDRO','SC','124241241116131411434614145122610137077',NULL,'740',27.43,1,2,1),(20,5217180,'1984-02-07 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126273421623329385124610164047',NULL,'298',27.23,2,1,1),(20,5217199,'1974-05-15 00:00:00',4,1,12,1993,'M','N','CENTRO','GUARÁ','SP','125251251336161441348811411132341034092',NULL,'9998',49.10,1,3,NULL),(20,5217202,'1992-02-13 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117151431446613292124231518142',NULL,'732',22.20,1,2,1),(20,5217210,'1987-01-26 00:00:00',2,1,12,2004,'M','N','PORTAO','CURITIBA','PR','116163161131373431438411383123141537057',10201,'9998',54.71,1,3,NULL),(20,5217229,'1991-04-18 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241417272431636679345134610147127',16112,'9997',43.36,1,3,NULL),(20,5217245,'1986-06-06 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117272431436413381124610167147',15571,'281',42.44,1,2,1),(20,5217253,'1991-05-21 00:00:00',2,16,12,2008,'F','N','APARECIDA','CURITIBANOS','SC','124241244135473531434634155122610135147',10133,'239',57.45,1,2,1),(20,5217261,'1985-12-12 00:00:00',2,1,12,2003,'M','N','KRECHER','S JOÃO BATISTA','SC','124241241124132411434334145124610121142',14998,'712',47.87,4,2,1),(20,5217270,'1991-05-06 00:00:00',4,5,12,2008,'F','N','CENTRO','CRICIÚMA','SC','124242241216131411459934575114231036142',9705,'424',56.71,1,3,NULL),(20,5217288,'1990-07-06 00:00:00',2,8,12,2007,'M','N','XAXIM','CURITIBA','PR','116161161126271441446614345134610136182',14022,'9998',46.06,1,2,1),(20,5217296,'1992-05-07 00:00:00',4,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124241241115471431439614242122610136197',11815,'239',51.64,1,2,1),(20,5217300,'1985-01-11 00:00:00',2,1,12,2002,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241126135421226544242124610112083',NULL,'307',23.08,1,3,NULL),(20,5217318,'1992-08-12 00:00:00',4,1,12,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241115271431424514471124610136147',NULL,'772',22.34,1,2,1),(20,5217326,'1981-09-27 00:00:00',2,1,12,2007,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','624241247326163431325554485124610121147',NULL,'9999',0.00,1,3,NULL),(20,5217342,'1976-06-29 00:00:00',2,1,12,1996,'F','N','PASSA VINTE','PALHOÇA','SC','224241243146134711226458485114223224182',NULL,'739',28.09,1,2,1),(20,5217369,'1976-11-01 00:00:00',2,1,12,1996,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224241241127135431322243132224610134097',NULL,'134',28.38,1,3,NULL),(20,5217377,'1989-07-11 00:00:00',4,8,12,2007,'M','N','BOA VISTA','ARAÇATUBA','SP','125252251215574432446631575122610168182',9557,'9998',55.44,1,3,NULL),(20,5217385,'1992-11-17 00:00:00',4,1,12,2009,'M','N','SAO JOAO','PTO ALEGRE','RS','120202201217471431468812575122610137122',8188,'9998',57.99,4,3,NULL),(20,5217407,'1992-09-23 00:00:00',4,1,12,2009,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161216111752379932575122610127046',3683,'9998',70.97,1,3,NULL),(20,5217423,'1992-07-25 00:00:00',4,2,12,2009,'F','N','PASSO MANSO','BLUMENAU','SC','124241241215111431568614345124610122091',NULL,'88',0.00,1,3,NULL),(20,5217431,'1990-07-13 00:00:00',1,8,12,2008,'F','N','BOM RETIRO','JOINVILLE','SC','124242241235472441438824575124610125127',3471,'486',72.19,1,3,NULL),(20,5217440,'1992-08-03 00:00:00',4,7,12,2009,'F','N','BOA VISTA','CAMPOS NOVOS','SC','124242241215111431338923575112610164192',11041,'962',53.12,1,3,NULL),(20,5217458,'1991-03-24 00:00:00',4,8,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161216321331348833472124610138197',NULL,'9998',33.40,1,3,NULL),(20,5217482,'1988-02-11 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116274751425379341124610161142',NULL,'293',27.20,4,2,1),(20,5217490,'1991-01-03 00:00:00',4,8,7,2009,'M','N','EMBARÉ','SANTOS','SP','125254251437331441226822582141610162047',7161,'9998',60.80,1,3,NULL),(20,5217504,'1992-02-05 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115141431556613432122610144157',11420,'592',53.85,4,1,1),(20,5217512,'1971-10-06 00:00:00',2,10,11,2006,'F','N','REVOREDO','TUBARÃO','SC','224241241127372411423359272124610144147',NULL,'9999',18.54,1,3,NULL),(20,5217520,'1988-10-25 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116373711533311245114610124117',NULL,'307',51.59,1,2,1),(20,5217539,'1991-02-19 00:00:00',4,1,12,2008,'F','N','CENTRO','NHANDEARA','SP','125251251115471431458811571125610146182',9723,'9998',56.73,1,2,1),(20,5217547,'1991-07-09 00:00:00',4,1,12,2008,'F','N','VILA NICÁCIO','FRANCA','SP','125253251116571411426823475124610122042',NULL,'9998',0.00,1,3,NULL),(20,5217555,'1989-08-27 00:00:00',2,1,11,2006,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124201201112271431338819571124610166192',16027,'9998',43.90,1,2,1),(20,5217563,'1992-08-02 00:00:00',2,15,12,2009,'F','N','TRES COQUEIROS','S JOÃO SUL','SC','124241244127151511457932376122610128147',NULL,'717',14.24,1,3,NULL),(20,5217571,'1991-12-29 00:00:00',4,1,9,2009,'M','N','JARDIM AMÉRICA','GOIÂNIA','GO','109093091215111431378831575112610164077',3869,'9998',70.16,4,3,NULL),(20,5217598,'1991-04-09 00:00:00',4,1,12,2009,'F','N','OFICINAS','PNT GROSSA','PR','116162162116271331536831575124610147012',5093,'9998',67.31,1,3,NULL),(20,5217601,'1990-03-01 00:00:00',2,1,11,2007,'M','N','BELA VISTA','S JOSÉ','SC','124242241415142431554433495124131267047',NULL,'9997',26.41,1,3,NULL),(20,5217610,'1991-02-22 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241145472721226624245124610133142',NULL,'307',41.75,4,3,NULL),(20,5217628,'1990-09-16 00:00:00',4,1,3,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241317373731236824345124223236142',7119,'739',63.59,1,3,NULL),(20,5217636,'1989-09-05 00:00:00',4,1,12,2007,'M','N','JD SÃO NICOLAU','ASSIS','SP','125251251116371411523631285111610162087',NULL,'9998',0.00,4,2,1),(20,5217644,'1989-03-27 00:00:00',2,1,12,2007,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124242241215372431424612585122610164071',NULL,'272',29.86,1,3,NULL),(20,5217679,'1991-12-13 00:00:00',4,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215113411365513472114610126142',NULL,'1022',30.40,1,3,NULL),(20,5217687,'1993-01-16 00:00:00',4,5,11,2009,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241215371431548612572122610162047',14142,'226',50.09,1,3,NULL),(20,5217695,'1989-10-25 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431356723275124121224187',5747,'213',66.59,1,3,NULL),(20,5217709,'1988-05-24 00:00:00',4,1,12,2005,'M','N','PARQUE DAS FLORES','ASSIS','SP','125251251117271431623519285121240214147',6849,'9998',61.77,1,2,1),(20,5217717,'1989-11-23 00:00:00',2,1,12,2007,'F','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124201241111574431323621282124610165177',12827,'257',51.54,1,2,1),(20,5217725,'1991-10-10 00:00:00',4,2,11,2009,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215111431548679575114610132042',NULL,'71',0.00,4,3,NULL),(20,5217741,'1992-07-19 00:00:00',2,15,12,2009,'F','N','COLONINHA','ARARANGUÁ','SC','124243241216111431546813575115610141182',15130,'32',44.53,1,3,NULL),(20,5217750,'1987-11-24 00:00:00',4,10,12,2004,'M','N','STO ANTÔNIO DE PÁDUA','TUBARÃO','SC','124243241116473431636611375122330642147',17,'1034',95.10,1,3,NULL),(20,5217768,'1991-05-03 00:00:00',2,1,12,2008,'F','N','VARGEM GRANDE','ÁGUAS MORNAS','SC','124241241116473731434624575124120524147',12813,'978',49.58,1,2,1),(20,5217776,'1986-04-22 00:00:00',4,1,7,2006,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124243247147132431626519482124610122197',NULL,'9999',23.76,1,3,NULL),(20,5217784,'1983-12-03 00:00:00',4,1,12,2002,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241132474431536713485114130224147',NULL,'295',24.21,2,1,1),(20,5217792,'1991-03-04 00:00:00',4,9,12,2008,'M','N','CENTRO','BIGUAÇU','SC','124242241215474431366613575124131467067',7024,'1118',63.77,1,3,NULL),(20,5217806,'1990-01-20 00:00:00',2,1,12,2007,'F','N','RIO BONITO','RANCHO QUEIMADO','SC','124241241126132231314335295123232226067',NULL,'649',25.37,1,3,NULL),(20,5217814,'1991-08-16 00:00:00',4,1,12,2008,'F','N','CENTRO','CAXIAS SUL','RS','120202201217471431568819575122610162072',NULL,'9998',18.28,1,3,NULL),(20,5217830,'1992-02-27 00:00:00',4,1,11,2009,'M','N','VILA NOVA','BLUMENAU','SC','124242241216212431578811415122610137112',15283,'855',47.01,1,3,NULL),(20,5217849,'1990-04-18 00:00:00',2,1,9,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241247116372411228613472224610122147',15709,'307',43.03,1,2,1),(20,5217865,'1992-08-11 00:00:00',4,1,12,2009,'F','N','CENTRO','RUBINÉIA','SP','125254251215115431378831575122610122142',NULL,'9998',0.00,1,3,NULL),(20,5217881,'1985-05-17 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126232431123344345124141127047',13421,'59',46.58,4,2,1),(20,5217890,'1974-07-08 00:00:00',2,1,6,1993,'M','N','INGLESES','FLORIANÓPOLIS','SC','224241241326131451324341115224343237042',11868,'9999',54.62,1,3,NULL),(20,5217903,'1991-01-09 00:00:00',2,1,12,2008,'M','N','CANTO','FLORIANÓPOLIS','SC','124162161217272411338624385224610167047',1880,'9998',76.75,1,3,NULL),(20,5217911,'1989-12-21 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241126274531423424385114123217182',NULL,'922',24.64,1,2,1),(20,5217920,'1991-10-19 00:00:00',2,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241115371431325429572124610164077',NULL,'289',20.94,2,1,1),(20,5217946,'1979-10-20 00:00:00',2,1,12,1999,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241127272311321329242124610124147',NULL,'733',24.08,2,1,1),(20,5217954,'1989-03-23 00:00:00',4,2,12,2006,'M','N','VILA NOVA','TROMBUDO CENTRAL','SC','224241241136131451326549395223133247057',NULL,'796',38.04,3,2,1),(20,5217962,'1988-02-20 00:00:00',2,1,11,2005,'F','N','CAMPINAS','S JOSÉ','SC','124242241216313431433312445124230223072',11050,'723',56.19,1,3,NULL),(20,5217970,'1990-02-17 00:00:00',4,1,12,2007,'F','N','CENTRO','CPO GRANDE','MS','112122121214572431533816582124610164147',9542,'9998',57.14,1,3,NULL),(20,5217989,'1984-02-14 00:00:00',2,1,12,2004,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124161247212132431123348182214610123182',11796,'9999',50.98,1,3,NULL),(20,5217997,'1992-10-30 00:00:00',2,9,12,2009,'M','N','CENTRO','STA MARIA','RS','120242201217111711239721295125610167072',9684,'9998',55.37,4,3,NULL),(20,5218004,'1979-01-02 00:00:00',2,1,11,1996,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624242241116272421348843432114131827113',7092,'270',63.63,1,3,NULL),(20,5218012,'1992-05-31 00:00:00',4,1,12,2009,'F','N','SÃO JOSÉ OPERÁRIO','MARAU','RS','120201201115471431444632172124610168092',14276,'9998',47.12,1,3,NULL),(20,5218020,'1985-05-02 00:00:00',2,1,12,2002,'M','N','RIO CHAPÉU','RIO FORTUNA','SC','124241241127132441123344242334610164092',NULL,'665',40.06,1,2,1),(20,5218047,'1992-07-12 00:00:00',2,1,12,2009,'M','N','VILA EUROPA','RESERVA IGUAÇU','PR','116161161117371431555933575122610127042',NULL,'9998',35.70,1,2,1),(20,5218055,'1991-11-08 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215473431337824572124610123097',NULL,'1036',27.37,1,3,NULL),(20,5218063,'1992-09-18 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111531486712575112610118042',NULL,'270',20.82,1,3,NULL),(20,5218071,'1966-02-02 00:00:00',2,1,12,1984,'M','N','COLONINHA','FLORIANÓPOLIS','SC','224241245122135411444443332124610124067',NULL,'356',0.00,1,2,1),(20,5218080,'1981-02-04 00:00:00',2,1,12,2002,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','624161168126372421325659395124610124177',15961,'9998',44.34,4,2,1),(20,5218098,'1991-03-19 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117272731326814345124610164192',13560,'267',51.25,1,2,1),(20,5218101,'1991-09-04 00:00:00',4,4,12,2008,'F','N','CENTRO','CHARQUEADAS','RS','120203201217371431579713275114610136177',NULL,'9998',0.00,1,3,NULL),(20,5218110,'1986-12-29 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241146575751236444345124130853182',7806,'307',62.20,1,2,1),(20,5218136,'1987-06-15 00:00:00',4,1,4,2005,'M','N','BELA VISTA','S JOSÉ','SC','124241241112271721246343332223610137067',NULL,'739',22.06,1,2,1),(20,5218152,'1983-03-16 00:00:00',2,1,12,2001,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241136273421323344245234610126092',NULL,'295',49.74,1,3,NULL),(20,5218160,'1993-01-07 00:00:00',4,9,12,2009,'F','N','CENTRO','ABDON BATISTA','SC','124241241124161731438935575122610134142',NULL,'1',0.00,1,3,NULL),(20,5218179,'1990-02-25 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115273431346433345234610134015',14722,'267',45.09,1,2,1),(20,5218187,'1983-09-24 00:00:00',4,8,12,2000,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124243241116132431323331415121610162197',NULL,'425',0.00,1,3,NULL),(20,5218209,'1991-12-22 00:00:00',4,8,12,2008,'M','N','BOA VISTA','CURITIBA','PR','116162161235471411439814571144610164127',626,'9998',83.26,1,3,NULL),(20,5218217,'1959-05-12 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','424213248113131411126641413324610166092',NULL,'306',26.92,1,3,NULL),(20,5218225,'1992-11-01 00:00:00',4,4,12,2009,'M','N','NAZARÉ','CONCÓRDIA','SC','124241241215141731533511575121610117042',NULL,'1001',21.24,1,3,NULL),(20,5218250,'1990-12-11 00:00:00',2,5,12,2007,'F','N','SEGUNDO DISTRITO','TRIUNFO','RS','120201201112131441113545352324143243177',2889,'9998',72.42,1,2,1),(20,5218268,'1993-09-22 00:00:00',2,5,11,2010,'F','S','ANA MARIA','CRICIÚMA','SC','124242241215111431356824572124610114057',NULL,'226',21.77,1,3,NULL),(20,5218276,'1986-01-07 00:00:00',2,1,12,2003,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216135431358833435122420944092',10302,'270',57.61,1,3,NULL),(20,5218292,'1991-04-11 00:00:00',2,1,12,2008,'F','N','CENTRO','SELBACH','RS','120201201115461431433923582112613264147',NULL,'9998',34.74,1,3,NULL),(20,5218306,'1990-05-17 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241111133711635613591124610164013',NULL,'257',26.46,4,3,NULL),(20,5218314,'1990-07-10 00:00:00',4,1,12,2009,'M','N','JARDIM CARANDAI','BIGUAÇU','SC','124241241141141741227823375124610122183',NULL,'1088',0.00,1,3,NULL),(20,5218322,'1988-03-18 00:00:00',4,17,12,2005,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116163241216471411269611445125142061142',NULL,'633',0.00,1,3,NULL),(20,5218330,'1992-12-05 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431336614592124610122192',11146,'273',54.28,1,3,NULL),(20,5218349,'1987-01-27 00:00:00',4,1,10,2008,'F','N','CANTO','FLORIANÓPOLIS','SC','124243247115271431348629245124610123017',12567,'9999',53.20,1,3,NULL),(20,5218357,'1988-11-22 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241112134431324331311224610137092',NULL,'298',41.01,1,2,1),(20,5218365,'1993-04-04 00:00:00',4,2,12,2010,'F','S','VORSTADT','BLUMENAU','SC','124242241215111631438932595124610123142',NULL,'909',46.76,1,3,NULL),(20,5218373,'1992-12-28 00:00:00',2,7,12,2009,'F','N','TOBIAS','JOAÇABA','SC','124241241112371751326924282124610128147',NULL,'539',21.70,4,3,NULL),(20,5218381,'1989-06-21 00:00:00',4,8,6,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124243247416272421556613345124133232121',11727,'487',51.38,4,3,NULL),(20,5218390,'1990-12-18 00:00:00',4,1,12,2008,'M','N','ANITA GARIBELDI','JOINVILLE','SC','124242241215273411489813575112610164041',5092,'457',67.50,1,3,NULL),(20,5218403,'1992-05-08 00:00:00',4,15,12,2009,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124242241115371431438923575111610132142',12282,'30',50.01,1,3,NULL),(20,5218411,'1988-04-11 00:00:00',2,1,12,2005,'F','N','FLORESTA','S JOSÉ','SC','124241241127572431123349391124610127057',10689,'682',54.04,1,2,1),(20,5218420,'1990-12-16 00:00:00',4,1,11,2008,'M','N','CENTRO','PALHOÇA','SC','124241241111142721523334346121610127141',15285,'591',43.52,4,2,1),(20,5218438,'1992-04-05 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215142231368832325122610167062',9161,'1049',57.44,1,3,NULL),(20,5218446,'1984-10-22 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241146233411126344345135610122192',NULL,'295',42.17,1,3,NULL),(20,5218454,'1986-04-24 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124212201216574451117743335124120916092',NULL,'9998',0.00,1,3,NULL),(20,5218462,'1992-01-26 00:00:00',2,1,12,2009,'M','N','VILA BELA','GOIÂNIA','GO','109272091217131441558911575124610122051',13873,'9998',47.60,4,3,NULL),(20,5218489,'1970-02-02 00:00:00',2,1,12,1990,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224243247226233411226333435134610117167',NULL,'9999',16.78,1,3,NULL),(20,5218497,'1992-01-04 00:00:00',4,8,12,2009,'F','N','GARIBALDI','JARAGUÁ SUL','SC','124241241215111432434632271124610136052',5740,'1174',66.29,1,3,NULL),(20,5218500,'1983-12-26 00:00:00',2,1,12,2001,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124242241311475431128644442124223061077',NULL,'1036',28.58,2,1,2),(20,5218519,'1991-10-08 00:00:00',4,1,12,2009,'F','N','VILA NOVA','IMBITUBA','SC','124244241316271411325669392124610147072',NULL,'359',23.55,4,3,NULL),(20,5218527,'1992-09-26 00:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241417132231339923572125610124157',15060,'1038',45.03,1,3,NULL),(20,5218535,'1987-06-23 00:00:00',4,1,12,2005,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124251251147271431633314345334140228192',NULL,'9998',0.00,1,2,1),(20,5218560,'1991-06-03 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSÉ R PRETO','SP','125252251215471431458831571122610128182',NULL,'9998',0.00,1,3,NULL),(20,5218586,'1980-09-15 00:00:00',2,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242248217252431558821272132131014047',NULL,'797',NULL,1,3,NULL),(20,5218594,'1990-09-26 00:00:00',4,1,12,2008,'M','N','JARDIM NOVA BRASILIA','S ROQUE','SP','125252251217471431368814376312610137047',6123,'9998',65.76,1,3,NULL),(20,5218608,'1992-02-26 00:00:00',4,10,11,2009,'F','N','REVOREDO','TUBARÃO','SC','124241241117371431424619272124610134077',NULL,'798',21.14,1,3,NULL),(20,5218616,'1990-04-25 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124162241216573431469814575124121728052',4985,'185',68.38,4,3,NULL),(20,5218632,'1992-07-06 00:00:00',4,1,12,2009,'M','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241217111431446614375122610117042',7072,'989',62.29,1,3,NULL),(20,5218640,'1983-10-11 00:00:00',4,1,12,2001,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241217274421166842225123322111057',3195,'88',72.92,1,3,NULL),(20,5218659,'1993-04-15 00:00:00',4,1,11,2010,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111731378832575112610113142',NULL,'270',50.27,1,3,NULL),(20,5218667,'1991-02-28 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115372431433329572124610164052',10945,'591',53.80,1,2,1),(20,5218675,'1982-07-07 00:00:00',2,1,6,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247311333431521414391134610126187',NULL,'9999',39.70,1,3,NULL),(20,5218683,'1992-08-19 00:00:00',2,1,12,2010,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124241248117151731328413395122610134072',NULL,'298',19.97,1,3,NULL),(20,5218691,'1991-08-08 00:00:00',2,1,12,2008,'M','N','ENSEADA DE BRITO','PALHOÇA','SC','124241248125372312326521282324610117187',NULL,'594',26.00,1,2,1),(20,5218705,'1988-06-29 00:00:00',2,1,6,2007,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124246248616312421436419345124613227042',NULL,'9999',25.19,1,3,NULL),(20,5218713,'1987-05-10 00:00:00',2,1,12,2004,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241122133431523344241234610162147',NULL,'296',28.88,2,1,1),(20,5218730,'1987-11-19 00:00:00',2,1,12,2005,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241127372431436511245124610137112',8977,'296',57.76,1,2,1),(20,5218748,'1990-08-20 00:00:00',4,5,11,2007,'F','N','PIO CORREA','CRICIÚMA','SC','124242241212451711456831575122610162095',2558,'226',74.92,1,3,NULL),(20,5218756,'1991-12-07 00:00:00',4,1,12,2008,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215473421468512375124133224052',NULL,'497',0.00,1,3,NULL),(20,5218764,'1986-12-23 00:00:00',2,4,12,2003,'M','N','SANTO ANTONIO','CHAPECÓ','SC','124241241117371211433415445133610147047',10731,'199',54.53,1,3,NULL),(20,5218772,'1989-03-29 00:00:00',2,1,12,2006,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241117133711424334381224610134147',14374,'257',47.91,1,2,1),(20,5218780,'1993-07-06 00:00:00',2,1,12,2010,'F','S','SACO GRANDE','FLORIANÓPOLIS','SC','124243241116111231449812595124610126047',NULL,'267',29.24,1,3,NULL),(20,5218799,'1981-09-19 00:00:00',2,1,12,2007,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241122233431622619282324610166047',NULL,'288',0.00,4,2,1),(20,5218802,'1992-02-14 00:00:00',4,4,12,2009,'M','N','JOÃO BATISTA TONIAL','XANXERÊ','SC','124241241117131531239623385112610124077',NULL,'840',30.00,1,2,1),(20,5218810,'1991-06-10 00:00:00',4,1,12,2008,'M','N','JD UNIVERSITARIO','S JOSÉ R PRETO','SP','125252251215472431458831571122610128182',NULL,'9998',0.00,1,3,NULL),(20,5218829,'1991-06-27 00:00:00',2,3,12,2008,'F','N','VARZEA','ITAPEMA','SC','124241242112371431436333442124610113142',11034,'129',54.09,1,2,1),(20,5218837,'1990-01-19 00:00:00',2,4,12,2007,'M','N','CENTRO','RIO GRANDE','RS','120201201116471431226619285114610162143',NULL,'9998',0.00,1,2,1),(20,5218845,'1991-02-27 00:00:00',4,1,12,2008,'M','N','JARDIM BARÁ','DOURADOS','MS','112122121217471411439812375122610166082',4735,'9998',67.28,1,3,NULL),(20,5218853,'1992-07-27 00:00:00',2,1,11,2009,'F','N','SANTA FELICIDADE','TEIXEIRÓPOLIS','RO','122221221117131431538933575122610131147',NULL,'9998',30.44,1,2,1),(20,5218861,'1979-09-23 00:00:00',2,1,12,1999,'F','N','ROCIO II','PALMEIRA','PR','216161161144271441211159185124610158187',NULL,'9998',0.00,1,2,1),(20,5218870,'1988-11-30 00:00:00',4,1,12,2005,'F','N','FUNDOS','BIGUAÇU','SC','124241241117133121423327245135610137187',NULL,'65',12.09,1,2,1),(20,5218888,'1991-09-08 00:00:00',2,5,12,2008,'F','N','CENTRO','CRICIÚMA','SC','124241241117131531526333595124231217057',NULL,'209',0.00,1,3,NULL),(20,5218896,'1992-09-03 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431436732571125610167047',8729,'262',58.27,1,3,NULL),(20,5218900,'1984-01-02 00:00:00',2,1,12,2002,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241248616133721333534445224430827047',NULL,'117',30.42,1,3,NULL),(20,5218918,'1991-06-03 00:00:00',4,1,12,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124241241127141431623344345324610128195',NULL,'736',18.63,4,2,1),(20,5218926,'1991-09-02 00:00:00',4,8,12,2008,'M','N','ASSUNÇÃO','S BERNARDO CAMPO','SP','125252251236471431347627175114610167031',NULL,'9998',56.98,1,3,NULL),(20,5218934,'1992-01-07 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124243248115371731326431315114610134147',NULL,'295',25.62,1,3,NULL),(20,5218942,'1992-08-01 00:00:00',2,1,12,2009,'F','N','CENTRO','BIGUAÇU','SC','124242241216131451315823575124610143112',13398,'63',51.59,1,3,NULL),(20,5218950,'1991-04-11 00:00:00',2,9,12,2008,'M','N','CENTRO','PETROLÂNDIA','SC','124241248215373411336312574124610167182',11756,'991',52.51,1,3,NULL),(20,5218977,'1991-06-11 00:00:00',4,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241215112431588933165124230424027',NULL,'1048',28.10,1,3,NULL),(20,5218985,'1968-09-25 00:00:00',4,1,7,1989,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224241247221131711431154182124610161147',NULL,'9999',20.89,1,3,NULL),(20,5218993,'1993-03-08 00:00:00',4,10,12,2009,'F','N','MORRO GRANDE','SANGÃO','SC','124242241215111431354432422122610134053',NULL,'226',15.09,1,3,NULL),(20,5219000,'1991-02-22 00:00:00',2,6,12,2008,'F','N','SANTA TEREZINHA','BRUSQUE','SC','124241241116271441434329242124610142171',NULL,'116',0.00,1,2,1),(20,5219019,'1987-07-19 00:00:00',4,1,12,2005,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241211135431338823381124610124187',NULL,'270',25.14,1,3,NULL),(20,5219027,'1990-10-29 00:00:00',2,1,12,2008,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241316173411325411245114610166192',NULL,'977',40.70,1,3,NULL),(20,5219035,'1992-05-04 00:00:00',2,15,12,2008,'M','N','CENTRO','MELEIRO','SC','124244241215372221347921585124610127042',NULL,'813',0.00,1,3,NULL),(20,5219043,'1975-05-05 00:00:00',2,1,12,2009,'M','N','BOM VIVER','BIGUAÇU','SC','624241241122131411323144345124610117042',NULL,'66',17.46,1,2,1),(20,5219051,'1992-03-27 00:00:00',4,6,12,2009,'F','N','CENTRO','NAVEGANTES','SC','124242241112271431323419295125610127187',NULL,'401',24.55,1,3,NULL),(20,5219078,'1992-11-04 00:00:00',2,9,11,2009,'F','N','MARTORANO','S JOAQUIM','SC','124241241146131331423624442222610128177',NULL,'719',0.00,1,2,1),(20,5219086,'1992-10-21 00:00:00',4,6,12,2009,'F','N','SANTA RITA','BRUSQUE','SC','124241241116271431448834375122610136172',9110,'876',57.68,1,2,1),(20,5219094,'1992-06-19 00:00:00',2,1,12,2009,'F','N','HELIANÓPOLIS','ITABORAÍ','RJ','121211211117471731527614575124610162057',NULL,'9998',0.00,4,2,1),(20,5219116,'1991-09-11 00:00:00',4,1,12,2009,'M','N','VILA MUNICIPAL','PEREIRA BARRETO','SP','125254251415111431438831575122610122042',NULL,'9998',0.00,3,3,NULL),(20,5219124,'1991-01-25 00:00:00',4,1,12,2008,'M','N','CENTRO','ITUPORANGA','SC','124241241126472431544624345122610162147',7747,'415',60.84,1,2,1),(20,5219132,'1991-09-16 00:00:00',2,8,12,2008,'F','N','ITAPEMA DO NORTE','ITAPOÁ','SC','124243241315471731436611572324610161147',2942,'486',73.10,1,3,NULL),(20,5219140,'1991-01-24 00:00:00',4,10,12,2008,'F','N','SANTO INÁCIO','STA CRUZ SUL','RS','120201201117472431338834595122610134177',1243,'9998',79.98,1,2,1),(20,5219159,'1990-10-17 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431458734575122610123142',3469,'270',71.65,1,3,NULL),(20,5219167,'1987-07-01 00:00:00',4,1,12,2007,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224201201126131441323344245134610164052',NULL,'9998',11.21,1,3,NULL),(20,5219175,'1985-04-16 00:00:00',2,1,12,2001,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124204201116232731123649395334140224017',NULL,'9998',14.33,1,3,NULL),(20,5219183,'1992-04-25 00:00:00',4,8,11,2009,'F','N','PILARZINHO','CURITIBA','PR','116162161215471731386619572121610166192',1664,'9998',76.73,1,3,NULL),(20,5219191,'1982-08-11 00:00:00',4,1,12,2000,'M','N','BELA VISTA I','S JOSÉ','SC','124251251116371431133131335124133234117',11002,'9998',56.29,1,2,1),(20,5219205,'1992-09-24 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215421431278923571124610114042',4350,'270',67.78,1,3,NULL),(20,5219213,'1989-12-23 00:00:00',4,3,12,2006,'M','N','PRAÇA','TIJUCAS','SC','124241241137143431444411312111610127047',NULL,'971',23.58,1,2,1),(20,5219221,'1993-12-02 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243241214111431448919375122610164192',16039,'737',43.84,1,3,NULL),(20,5219230,'1989-11-04 00:00:00',2,1,12,2007,'F','N','TV MORENA','CPO GRANDE','MS','112221121116571751235663574324610162097',NULL,'9998',27.49,4,2,1),(20,5219248,'1981-04-08 00:00:00',4,1,12,2000,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241125274411223544342124610124072',NULL,'727',21.91,4,3,NULL),(20,5219264,'1992-07-18 00:00:00',4,1,12,2009,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241145121431336534475124610124142',6959,'592',61.43,1,2,1),(20,5219272,'1992-04-30 00:00:00',2,10,12,2009,'M','N','CAMPO DE FORA','LAGUNA','SC','124244241237131431324514575121610137047',12323,'525',53.74,1,3,NULL),(20,5219280,'1987-07-18 00:00:00',2,1,12,2004,'M','N','AREIAS','S JOSÉ','SC','124241241112275221425514442234610124052',NULL,'734',30.99,1,2,1),(20,5219299,'1986-02-20 00:00:00',2,1,12,2004,'M','N','JARDIM BARONESA','TAUBATÉ','SP','125251251116472431426424482321610126057',NULL,'9998',26.96,1,2,1),(20,5219302,'1992-05-05 00:00:00',2,1,12,2009,'F','N','BAIRRO IPIRANGA','S JOSÉ','SC','124242241215132431343614172124610126077',3241,'1022',71.74,1,3,NULL),(20,5219310,'1987-06-08 00:00:00',2,1,12,2004,'F','N','ITACOLOMY','MOGI GUAÇU','SP','125251251315511411436731575125610166192',5501,'9998',65.47,1,3,NULL),(20,5219329,'1986-06-20 00:00:00',2,1,12,2003,'M','N','ARIRIU DA FORMIGA','PALHOÇA','SC','124241241215133432638569472124220812192',7189,'1011',63.46,1,3,NULL),(20,5219345,'1992-04-27 00:00:00',2,4,12,2008,'M','N','LA SALLE','XANXERÊ','SC','124242241231473431449933385112610162053',8415,'836',61.10,1,3,NULL),(20,5219361,'1957-12-09 00:00:00',2,1,12,1995,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','624241246126374431113341112123233227097',NULL,'293',28.10,1,2,1),(20,5219370,'1978-01-26 00:00:00',2,1,3,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124131131146132421123349245334222236047',NULL,'9998',17.86,1,2,1),(20,5219388,'1987-12-14 00:00:00',4,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241111131431334634341223133257047',NULL,'307',24.92,1,2,1),(20,5219396,'1985-10-26 00:00:00',2,3,12,2002,'M','N','AREIAS','CAMBORIÚ','SC','124241241124272421536611344332610116047',NULL,'130',0.00,1,2,1),(20,5219400,'1989-01-16 00:00:00',2,1,12,2006,'M','N','METZLER','CPO BOM','RS','120201201127371431435319245232610167047',NULL,'9998',0.00,4,2,1),(20,5219418,'1988-05-20 00:00:00',4,10,12,2005,'M','N','BOQUEIRÃO','SANTOS','SP','125252251217571431379514475114141432042',4213,'9998',67.96,1,3,NULL),(20,5219426,'1982-03-07 00:00:00',2,10,12,2000,'M','N','REVOREDO','TUBARÃO','SC','124241241122233421323344242234131336047',12924,'522',49.17,1,2,1),(20,5219442,'1992-12-18 00:00:00',4,5,11,2009,'M','N','PRIMEIRA LINHA','CRICIÚMA','SC','124242241217151451458834572122610164132',10376,'210',57.45,1,3,NULL),(20,5219450,'1980-03-26 00:00:00',2,1,12,2001,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224203208121131431324344342214610122057',NULL,'9998',24.05,5,3,NULL),(20,5219469,'1992-11-01 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241236111531428614572122610124147',NULL,'259',26.31,1,3,NULL),(20,5219477,'1991-05-09 00:00:00',4,1,11,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117472411435679575124610124141',NULL,'257',21.59,1,2,1),(20,5219485,'1992-07-26 00:00:00',2,4,12,2009,'F','N','CENTRO','PINHALZINHO','SC','124243241117151411366913245122610134192',NULL,'616',0.00,1,3,NULL),(20,5219493,'1992-11-21 00:00:00',4,7,12,2009,'F','N','SANTO ANTÔNIO','HERVAL D OESTE','SC','124241241117131431213323575325610132197',NULL,'341',0.00,1,2,1),(20,5219507,'1989-11-22 00:00:00',2,1,12,2007,'F','N','SAO GERALDO','SETE LAGOAS','MG','113131131117371441638833382124610167142',NULL,'9998',0.00,1,2,1),(20,5219515,'1985-07-06 00:00:00',2,1,12,2002,'M','N','JARDIM SIMUS','SOROCABA','SP','125251251115571421327764572124143247047',2161,'9998',75.06,1,2,1),(20,5219523,'1991-03-27 00:00:00',2,8,12,2007,'F','N','CENTRO','JOINVILLE','SC','124242241415132411228419575115610112182',10450,'465',55.03,1,3,NULL),(20,5219531,'1986-10-09 00:00:00',2,5,12,2004,'F','N','CENTRO','CRICIÚMA','SC','124241241115134431624611575122610133197',4954,'228',66.99,4,2,1),(20,5219540,'1992-10-28 00:00:00',2,10,11,2009,'F','N','PASSAGEM','TUBARÃO','SC','124244241211112731446612571121610116142',7744,'1181',59.89,1,3,NULL),(20,5219558,'1992-11-16 00:00:00',2,7,12,2009,'F','N','CENTRO','JOAÇABA','SC','124201241315271431448913472122610133147',11090,'962',53.35,1,3,NULL),(20,5219566,'1992-05-07 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241212112431523411275124610166097',10153,'300',56.18,1,3,NULL),(20,5219574,'1993-11-20 00:00:00',4,1,12,2010,'M','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241217111731366732575122610147042',NULL,'1118',44.14,1,3,NULL),(20,5219582,'1985-10-29 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126474751124444145224120568147',NULL,'298',22.27,1,2,1),(20,5219590,'1991-04-04 00:00:00',4,1,12,2008,'F','N','ROÇADO','S JOSÉ','SC','124244241215372331458614445112610162077',NULL,'737',0.00,1,3,NULL),(20,5219604,'1991-08-26 00:00:00',2,1,12,2009,'F','N','CHOAB','OURINHOS','SP','125253251216111431428612572124610114017',NULL,'9998',0.00,1,3,NULL),(20,5219612,'1990-06-07 00:00:00',2,1,11,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115373431646939492124610167147',NULL,'814',24.62,1,2,1),(20,5219639,'1992-09-18 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124112241217111411447732572124610131072',1819,'270',77.51,1,3,NULL),(20,5219647,'1992-08-19 00:00:00',2,9,12,2009,'F','N','ESQUINA','URUBICI','SC','124242241415161431558613575124610124142',NULL,'817',18.63,1,3,NULL),(20,5219655,'1993-10-03 00:00:00',4,1,11,2010,'M','S','FORQUILHINHAS','S JOSÉ','SC','124242241217111632288823325121610144051',NULL,'723',20.57,1,3,NULL),(20,5219663,'1990-02-12 00:00:00',4,1,12,2007,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124132241215573431367711575124133227097',1080,'270',80.84,1,3,NULL),(20,5219671,'1988-06-05 00:00:00',2,1,8,2006,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241136135431426324482314122222183',NULL,'289',17.71,1,2,1),(20,5219680,'1990-01-15 00:00:00',2,1,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116112111215471131348713574114610138197',5197,'9998',66.10,1,3,NULL),(20,5219698,'1983-08-18 00:00:00',2,1,12,2001,'F','N','ASA NORTE','BRASÍLIA','DF','107072071216571751258714472122140247182',4803,'9998',66.69,1,3,NULL),(20,5219701,'1992-02-19 00:00:00',4,8,12,2009,'F','N','SANTA LUZIA','JARAGUÁ SUL','SC','124241241116372431559914344114610132147',9055,'433',57.47,1,2,1),(20,5219710,'1992-05-27 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','624242241215121431468613595112610128012',NULL,'1022',28.31,1,3,NULL),(20,5219728,'1992-04-16 00:00:00',4,1,11,2009,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215113731369814375124610124192',5173,'262',65.77,1,3,NULL),(20,5219736,'1960-12-15 00:00:00',2,1,7,2009,'F','N','BARREIROS','S JOSÉ','SC','224241247125271711511444342124610166187',NULL,'736',30.00,1,2,1),(20,5219744,'1986-08-20 00:00:00',2,1,12,2008,'F','N','FUNDOS','BIGUAÇU','SC','124241245141271431523344245334610164187',NULL,'307',32.40,1,3,NULL),(20,5219752,'1991-11-09 00:00:00',2,1,12,2009,'M','N','CENTRO','JALES','SP','125252251215112431458631575122610122042',9504,'9998',56.77,1,3,NULL),(20,5219760,'1991-10-19 00:00:00',4,8,12,2008,'F','N','WALDEMAR RAU','JARAGUÁ SUL','SC','124244241215371431367911575124610142012',NULL,'424',15.04,1,3,NULL),(20,5219779,'1992-08-20 00:00:00',4,2,11,2009,'F','N','BELA VISTA','GASPAR','SC','124241241215111431339724345124610162122',9079,'86',57.85,1,3,NULL),(20,5219787,'1990-05-29 00:00:00',4,1,12,2007,'F','N','RIO BRANCO','CAXIAS SUL','RS','120201201117271421336923241124143243112',12405,'9998',51.37,1,2,1),(20,5219795,'1992-04-04 00:00:00',4,6,12,2009,'F','N','CENTRO','HORIZONTINA','RS','120202201217151431247822575122610127147',NULL,'9998',0.00,1,3,NULL),(20,5219809,'1990-02-10 00:00:00',4,1,12,2007,'M','N','CENTRO','MARIALVA','PR','116162161217371441457813275122141068092',NULL,'9998',14.99,1,3,NULL),(20,5219817,'1992-04-27 00:00:00',4,8,12,2009,'M','N','CENTRO','JUNQUEIRÓPOLIS','SP','125252251215111421226821572121610124092',13035,'9998',48.66,1,3,NULL),(20,5219825,'1978-10-15 00:00:00',2,1,12,2001,'F','N','ROÇADO','S JOSÉ','SC','124101101122132731523344342324333263037',NULL,'9998',24.69,2,1,1),(20,5219833,'1990-01-31 00:00:00',4,2,12,2007,'F','N','TATUAPÉ','S PAULO','SP','125252251216571431358621575125610161141',NULL,'9998',0.00,1,3,NULL),(20,5219841,'1987-12-15 00:00:00',2,1,12,2006,'M','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124111111126141731113344445334610138047',NULL,'9998',25.50,4,2,1),(20,5219850,'1992-09-01 00:00:00',2,1,12,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241115371431423314572124610117147',NULL,'733',26.16,4,2,1),(20,5219868,'1992-04-01 00:00:00',4,8,11,2009,'M','N','GLÓRIA','JOINVILLE','SC','124242241215112751668821471122610166012',177,'1063',88.40,1,3,NULL),(20,5219876,'1992-10-06 00:00:00',4,2,12,2009,'M','N','CAPITAIS','TIMBÓ','SC','124244241215111431468814585122610124032',2960,'1157',72.34,1,3,NULL),(20,5219884,'1992-10-01 00:00:00',4,1,12,2009,'F','N','BUENO','GOIÂNIA','GO','109092098211111411486632575122610164073',NULL,'9998',0.00,4,3,NULL),(20,5219892,'1990-06-21 00:00:00',2,8,12,2008,'M','N','AYMORÉ','GUABIRUBA','SC','124241241116163441554314345124221428172',7496,'333',62.80,1,2,1),(20,5219914,'1986-04-23 00:00:00',2,5,12,2003,'M','N','CENTRO','CRICIÚMA','SC','124241241217151411124934445134333247052',NULL,'581',27.45,1,3,NULL),(20,5219930,'1993-08-15 00:00:00',4,1,11,2010,'F','S','UNIVERSITÁRIO','TIJUCAS','SC','124242248237111431454431585122610114197',NULL,'948',24.38,1,3,NULL),(20,5219957,'1988-01-05 00:00:00',2,1,7,2009,'M','N','IPIRANGA','S JOSÉ','SC','224241247125272531211344442313610147047',NULL,'9999',29.34,1,2,1),(20,5219965,'1992-06-18 00:00:00',4,8,12,2009,'F','N','VILA NOVA','RIO NEGRINHO','SC','124241241116271431223623571224610112012',NULL,'669',36.69,1,2,1),(20,5219981,'1992-05-13 00:00:00',4,1,10,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215412231256619572112610117121',9915,'270',56.34,1,3,NULL),(20,5219990,'1991-02-22 00:00:00',2,1,11,2008,'M','N','MARTINHO PRADO JR','MARTINHO P JÚNIOR','SP','125251251147161751433319175121610137097',NULL,'9998',30.46,1,2,1),(20,5220009,'1989-05-02 00:00:00',2,1,12,2006,'M','N','REAL PARQUE','S JOSÉ','SC','124241241116273442635633345114610127052',13379,'734',47.90,1,2,1),(20,5220017,'1992-01-20 00:00:00',4,2,12,2009,'F','N','CENTRO','BRUSQUE','SC','124254241415141231226728245124330244097',NULL,'106',0.00,1,3,NULL),(20,5220025,'1989-01-11 00:00:00',2,1,12,2006,'F','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124243241116374151336911382124610161047',NULL,'257',41.08,1,3,NULL),(20,5220033,'1992-04-04 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241215132431538933572224610122047',NULL,'262',47.82,1,3,NULL),(20,5220050,'1987-01-18 00:00:00',2,1,12,2005,'M','N','AREIAS','S JOSÉ','SC','124243241346373341145571445122610124117',13732,'1022',45.70,1,3,NULL),(20,5220068,'1992-07-02 00:00:00',4,6,12,2009,'F','N','CENTRO','PENHA','SC','124242241216151722465632245122610138142',7928,'1057',61.97,1,3,NULL),(20,5220084,'1988-02-14 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124132131211413431479914372122133231155',NULL,'9998',40.33,1,3,NULL),(20,5220092,'1988-08-26 00:00:00',2,1,12,2005,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124201201112575421326774342134610163047',NULL,'9998',33.90,1,2,1),(20,5220106,'1993-11-11 00:00:00',4,1,12,2010,'F','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111531588831475112610134042',NULL,'270',28.82,1,3,NULL),(20,5220114,'1987-02-07 00:00:00',2,1,12,2006,'F','N','FUNDOS','BIGUAÇU','SC','224241248221132411223653182214610131182',16035,'9999',43.86,1,3,NULL),(20,5220130,'1974-11-10 00:00:00',2,3,12,1993,'F','N','MORRETES','ITAPEMA','SC','224241241146133431323351382121610126187',NULL,'659',0.00,1,2,1),(20,5220149,'1992-12-10 00:00:00',2,1,12,2009,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241115131432423624575224610124142',NULL,'288',0.00,1,2,1),(20,5220157,'1993-03-15 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241215151451448839395112610128112',14561,'1017',49.10,4,3,NULL),(20,5220165,'1992-05-08 00:00:00',2,7,12,2009,'M','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241217111531326611472112610127042',NULL,'962',23.72,1,3,NULL),(20,5220173,'1991-10-22 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117372441449813575124232825145',11603,'192',55.13,1,2,1),(20,5220181,'1992-04-06 00:00:00',2,10,12,2009,'F','N','OFICINAS','TUBARÃO','SC','124241241116231431437713275122610137142',NULL,'1034',44.06,1,2,1),(20,5220190,'1989-11-15 00:00:00',2,1,12,2007,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241116472431333314335114610137042',NULL,'307',27.64,1,2,1),(20,5220203,'1992-10-19 00:00:00',4,1,12,2009,'F','N','CENTRO','MONTAURI','RS','120201201127161731436933572122610125057',NULL,'9998',30.18,1,2,1),(20,5220211,'1988-11-29 00:00:00',2,1,11,2007,'F','N','CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC','124241248312151631223329392134610115182',NULL,'9999',0.00,1,3,NULL),(20,5220220,'1992-08-28 00:00:00',4,17,12,2009,'F','N','SANTO ANTONIO','S MATEUS SUL','PR','116162161216161431445619172222610132057',14490,'9998',44.56,1,3,NULL),(20,5220254,'1991-10-04 00:00:00',4,15,12,2009,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241248125131732536714375125610128057',NULL,'30',0.00,4,3,NULL),(20,5220262,'1991-03-01 00:00:00',2,10,12,2008,'F','N','SANTO ANDRÉ','CAPIVARI BAIXO','SC','124244241216271431438614284214132937072',NULL,'809',28.58,1,3,NULL),(20,5220270,'1992-04-18 00:00:00',2,10,11,2009,'M','N','CENTRO','ARMAZÉM','SC','124241241215111431547914575124610167053',NULL,'807',29.03,1,3,NULL),(20,5220289,'1992-10-08 00:00:00',4,1,12,2009,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241225132431433414371224610123142',9417,'262',57.25,1,3,NULL),(20,5220297,'1990-08-13 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116372411543511245124610124052',9428,'306',59.21,1,2,1),(20,5220300,'1992-12-02 00:00:00',2,7,11,2009,'M','N','NOSSA SENHORA APAREC','VIDEIRA','SC','124243241215111711223319292112610117047',NULL,'829',0.00,1,3,NULL),(20,5220319,'1988-03-05 00:00:00',2,1,12,2005,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241117474431336623445124132723017',NULL,'498',22.81,2,1,2),(20,5220327,'1985-03-16 00:00:00',2,1,12,2003,'M','N','FORQUILHINHAS','S JOSÉ','SC','224241241147275731324611282124610127112',15436,'727',46.51,1,2,1),(20,5220335,'1989-12-22 00:00:00',4,3,11,2006,'F','N','POÇAO','CUIABÁ','MT','111164241215572431248921375122610122092',NULL,'967',0.00,1,3,NULL),(20,5220343,'1987-06-19 00:00:00',2,10,12,2004,'F','N','CENTRO','TUBARÃO','SC','124241241112274431626669382221610164017',15261,'1034',47.09,4,2,1),(20,5220351,'1989-06-29 00:00:00',4,1,12,2006,'F','N','FORQUILHAS','S JOSÉ','SC','124241242126271411523324382324611137147',NULL,'727',6.33,1,2,1),(20,5220360,'1987-07-15 00:00:00',4,1,11,2006,'M','N','BARRA','IMBITUBA','SC','124202207227131721525614185114610168177',NULL,'9998',0.00,1,3,NULL),(20,5220378,'1987-06-03 00:00:00',2,1,9,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124111247124371421113344141324610164142',NULL,'9999',18.09,4,3,NULL),(20,5220386,'1991-05-17 00:00:00',4,17,11,2008,'M','N','VILA ARGENTINA','MAFRA','SC','124241166215272431358631575122610128092',NULL,'9997',27.07,1,3,NULL),(20,5220408,'1988-09-24 00:00:00',4,1,12,2005,'M','N','JARDIM PAULISTANO','S CARLOS','SP','125252251216571431368923575122242367042',NULL,'9998',0.00,1,3,NULL),(20,5220416,'1990-04-27 00:00:00',2,3,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241416132441436929475124231034187',NULL,'967',32.11,1,3,NULL),(20,5220424,'1992-07-11 00:00:00',4,1,12,2009,'M','N','FORQUILHAS','S JOSÉ','SC','124241241117131431425529272224610124057',10249,'733',57.70,1,2,1),(20,5220432,'1991-12-05 00:00:00',4,4,11,2008,'M','N','CENTRO','CHAPECÓ','SC','124241241317472431239923595112610127047',7428,'182',60.78,1,3,NULL),(20,5220440,'1992-12-29 00:00:00',4,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124241241116271731326623575124610118181',NULL,'734',18.68,1,2,1),(20,5220459,'1958-07-18 00:00:00',4,1,12,1976,'M','N','TRINDADE','FLORIANÓPOLIS','SC','524241241117132431436641315124330866097',NULL,'307',0.00,1,3,NULL),(20,5220467,'1986-04-01 00:00:00',4,10,12,2003,'M','N','VILA MOEMA','TUBARÃO','SC','224242241215373731226943432123130624047',5295,'807',67.59,1,3,NULL),(20,5220475,'1992-02-24 00:00:00',4,15,12,2009,'F','N','ALTO FELIZ','ARARANGUÁ','SC','124201241115141711323319275122610126045',NULL,'30',33.92,1,2,1),(20,5220483,'1991-10-30 00:00:00',4,1,12,2008,'F','N','ARAÇATUBA','IMBITUBA','SC','124241241117371711324611575124133267097',NULL,'361',24.62,4,2,1),(20,5220491,'1991-04-09 00:00:00',4,1,12,2008,'F','N','BOA VISTA','CURITIBA','PR','116162161217471432358939571124610167147',1438,'9998',79.02,1,3,NULL),(20,5220505,'1991-10-07 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115472731334414575124610168141',NULL,'17',28.96,1,2,1),(20,5220513,'1992-06-12 00:00:00',4,10,11,2009,'F','N','OFICINAS','TUBARÃO','SC','124243241217151231226529575125610124147',NULL,'809',25.85,1,3,NULL),(20,5220521,'1991-05-08 00:00:00',2,4,12,2008,'F','N','CENTRO','PALMAS','PR','116164168217371431546711572125610137142',NULL,'9998',24.62,1,3,NULL),(20,5220530,'1987-08-07 00:00:00',2,1,12,2004,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','624241241121241431223674282324610128147',16187,'298',42.69,1,2,1),(20,5220548,'1990-05-11 00:00:00',4,1,4,2009,'M','N','FLORESTA','S JOSÉ','SC','624241247627131431223654282111610124137',NULL,'9999',28.47,1,3,NULL),(20,5220556,'1990-04-12 00:00:00',4,1,5,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242281437272731358713485111610162045',NULL,'9998',47.09,1,3,NULL),(20,5220564,'1993-01-16 00:00:00',4,3,12,2009,'F','N','BATEL','CURITIBA','PR','116162161215121432488934572122610167047',NULL,'9998',0.00,1,3,NULL),(20,5220572,'1991-01-17 00:00:00',4,1,11,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215372411456813575124133211147',1290,'270',79.73,1,3,NULL),(20,5220580,'1992-12-12 00:00:00',4,1,12,2009,'F','N','MADUREIRA','CAXIAS SUL','RS','120202201217471731567812376122610127012',NULL,'9998',0.00,1,3,NULL),(20,5220610,'1991-11-12 00:00:00',2,3,11,2009,'F','N','ANDORINHA','ITAPEMA','SC','124201241216111431527412325114610166187',NULL,'403',25.11,1,3,NULL),(20,5220629,'1987-08-04 00:00:00',2,1,12,2004,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241116134431456713475122230232142',10795,'307',56.69,1,3,NULL),(20,5220645,'1990-06-30 00:00:00',4,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241216271731433312445122610117147',NULL,'1046',19.49,4,3,NULL),(20,5220653,'1991-12-03 00:00:00',2,9,11,2009,'M','N','SÃO CRISTÓVÃO','LAGES','SC','124242241217112431334724345115610168042',3431,'497',72.29,1,3,NULL),(20,5220661,'1991-08-10 00:00:00',2,9,12,2008,'F','N','CRISTO REDENTOR','CAXIAS SUL','RS','120202201216471631266933572122241946147',9194,'9998',57.95,1,3,NULL),(20,5220670,'1993-03-17 00:00:00',2,5,12,2009,'M','N','COLONINHA','ARARANGUÁ','SC','124244248215111411336814295131610166061',13072,'32',49.74,4,3,NULL),(20,5220688,'1992-05-06 00:00:00',4,3,12,2009,'M','N','AREIAS','CAMBORIÚ','SC','124241241114161431223321112321610115144',NULL,'130',29.21,4,2,1),(20,5220696,'1989-02-13 00:00:00',2,1,11,2009,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124241247115275411226611385121610117022',10797,'9999',54.58,1,2,1),(20,5220718,'1993-09-19 00:00:00',4,1,12,2010,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241216111431289852572125610164195',NULL,'270',56.25,1,3,NULL),(20,5220726,'1989-10-20 00:00:00',2,1,12,2007,'F','N','SAO BENEDITO','GUARATINGUETÁ','SP','125252251217571731648811412112610162187',NULL,'9998',0.00,1,3,NULL),(20,5220734,'1991-09-18 00:00:00',4,1,12,2008,'M','N','BOSQUE DAS MANSÕES','S JOSÉ','SC','124242241212373431567312475112121467017',3810,'738',71.35,1,3,NULL),(20,5220742,'1990-08-30 00:00:00',4,4,11,2007,'F','N','FREI VITO','CHOPINZINHO','PR','116162161216572431438812575125610168187',2195,'9998',75.00,1,3,NULL),(20,5220750,'1992-12-05 00:00:00',4,2,12,2009,'F','N','RIBEIRÃO DAS ANTAS','BENEDITO NOVO','SC','124241241117131411423524575124610133147',NULL,'62',27.63,1,2,1),(20,5220769,'1992-05-18 00:00:00',2,10,12,2009,'F','N','CAÇADOR','CAPIVARI BAIXO','SC','124241241215111431438614345124610121092',NULL,'797',20.64,1,3,NULL),(20,5220777,'1990-08-05 00:00:00',2,1,11,2007,'F','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','124204201215472431336924475124610164197',NULL,'9998',26.36,1,3,NULL),(20,5220785,'1987-07-03 00:00:00',4,1,12,2004,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241216154411458821575122233233117',9017,'1022',59.93,1,3,NULL),(20,5220793,'1992-03-14 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431479912472122610164175',2993,'262',73.55,1,3,NULL),(20,5220807,'1990-02-21 00:00:00',2,3,12,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241417133421223544242225610124157',6795,'9997',61.34,1,3,NULL),(20,5220815,'1993-05-06 00:00:00',4,1,12,2009,'F','N','ARAÇATUBA','IMBITUBA','SC','124241241225111431532419375124610113143',9849,'262',56.80,1,3,NULL),(20,5220823,'1991-12-11 00:00:00',2,1,12,2008,'F','N','ARMAÇÃO PÂNTANO DO S','FLORIANÓPOLIS','SC','124241241115472231323624242334610122142',NULL,'298',24.80,1,2,1),(20,5220831,'1990-06-11 00:00:00',2,8,12,2008,'M','N','COMASA','JOINVILLE','SC','124241241246152711336621325122610115042',16279,'1016',41.15,1,3,NULL),(20,5220840,'1989-01-18 00:00:00',2,4,12,2005,'F','N','CRISTO REI','S CARLOS','SC','124241248146373451436619394114610166177',6922,'704',63.12,1,2,1),(20,5220858,'1992-05-22 00:00:00',4,9,11,2009,'M','N','SAGRADO C DE JESUS','LAGES','SC','124242241215113412558612274112610142037',2548,'497',74.95,1,3,NULL),(20,5220866,'1992-02-05 00:00:00',2,8,11,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124244241335121431326514245124610126092',11590,'486',52.12,1,3,NULL),(20,5220874,'1978-08-10 00:00:00',2,1,12,2006,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','224241241126233431224444142123610112147',NULL,'281',41.55,1,3,NULL),(20,5220882,'1992-11-28 00:00:00',4,2,11,2009,'F','N','GARCIA','BLUMENAU','SC','124241241136131731335839571122610114177',NULL,'85',13.40,1,3,NULL),(20,5220890,'1992-05-26 00:00:00',2,1,12,2009,'M','N','ANA CRISTINA','JALES','SP','125254251415111431238821575122610122052',NULL,'9998',28.52,1,3,NULL),(20,5220904,'1992-11-29 00:00:00',2,1,12,2009,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241215112712433634575124610167057',NULL,'1048',40.07,1,3,NULL),(20,5220912,'1991-04-08 00:00:00',4,1,12,2008,'M','N','BELA VISTA','S JOSÉ','SC','124242241216372431446414375112610117052',NULL,'738',28.10,2,1,2),(20,5220920,'1992-07-01 00:00:00',4,1,12,2009,'M','N','COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC','124241241112131431233369575124610137147',NULL,'281',17.23,1,2,1),(20,5220939,'1991-10-05 00:00:00',2,1,12,2009,'F','N','AVIAÇÃO','PR GRANDE','SP','125252251117131432436814575121610127027',NULL,'9998',0.00,2,1,2),(20,5220955,'1992-04-08 00:00:00',4,2,11,2009,'M','N','SANTANA','RIO SUL','SC','124242246217131431656714575124610164042',13835,'1013',47.28,1,3,NULL),(20,5220963,'1992-02-06 00:00:00',4,8,12,2009,'F','N','VILA RAU','JARAGUÁ SUL','SC','124243241214111411437834342224610131012',NULL,'1061',24.95,1,3,NULL),(20,5220971,'1992-08-18 00:00:00',4,8,12,2009,'F','N','SANTA CATARINA','JOINVILLE','SC','124242241211111731466611223122610167072',13862,'1016',48.23,1,3,NULL),(20,5220980,'1992-06-01 00:00:00',4,6,12,2009,'M','N','FAZENDA','ITAJAÍ','SC','124242248215121431457834442121610122057',13574,'392',47.37,1,3,NULL),(20,5220998,'1987-08-02 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241327131441111344345114610164057',NULL,'1126',41.17,1,3,NULL),(20,5221005,'1990-12-25 00:00:00',2,1,12,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241116371431423614575124610131077',NULL,'307',40.90,1,2,1),(20,5221013,'1980-04-18 00:00:00',4,1,12,2002,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','524243247346332411446813215122130212122',NULL,'9999',50.26,1,3,NULL),(20,5221021,'1992-03-19 00:00:00',2,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431328534315132610114121',NULL,'213',36.30,1,3,NULL),(20,5221030,'1990-05-10 00:00:00',2,1,12,2007,'F','N','AREIAS','S JOSÉ','SC','124241241136572451228521345124610161037',NULL,'730',43.06,1,2,1),(20,5221048,'1981-12-01 00:00:00',2,1,12,2001,'F','N','FLORESTA','S JOSÉ','SC','624161161127572111123444342115610125187',NULL,'9998',27.58,1,2,1),(20,5221056,'1992-06-15 00:00:00',4,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241215131331356913572124610122142',NULL,'1074',18.91,1,3,NULL),(20,5221064,'1993-09-20 00:00:00',2,10,10,2010,'F','S','RIO BONITO','BRAÇO NORTE','SC','124243241215111331464332572122610122142',NULL,'807',16.16,1,3,NULL),(20,5221072,'1991-11-13 00:00:00',4,1,12,2008,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241117162431436414345125610166147',15407,'21',46.59,1,2,1),(20,5221080,'1992-03-16 00:00:00',4,1,12,2009,'M','N','REAL PARQUE','S JOSÉ','SC','124242241212151431423614275124610127047',NULL,'1078',33.83,1,3,NULL),(20,5221099,'1987-05-09 00:00:00',2,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241137331411123344341334610136097',NULL,'359',0.00,1,2,1),(20,5221102,'1989-06-15 00:00:00',4,1,12,2006,'F','N','JARDIM AMERICA','RIO SUL','SC','124241241315272441444612195123131128022',11926,'991',51.05,1,3,NULL),(20,5221110,'1993-08-11 00:00:00',4,4,12,2009,'F','N','INTERIOR','ENTRE RIOS','SC','124241241112131431423923432324610123017',NULL,'249',23.53,4,2,1),(20,5221129,'1990-11-28 00:00:00',2,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124244241112471221325514372125610157117',NULL,'733',22.16,1,3,NULL),(20,5221137,'1991-10-16 00:00:00',4,2,12,2009,'M','N','PADRE MARTINHO STEIN','TIMBÓ','SC','124241241215113441369611285122610142172',8293,'1157',58.34,1,3,NULL),(20,5221145,'1992-08-17 00:00:00',4,5,11,2009,'F','N','PINHEIRINHO','CRICIÚMA','SC','124242241215111431458612572124610124142',NULL,'880',31.05,1,3,NULL),(20,5221153,'1991-04-01 00:00:00',4,17,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161213411411568832575122610162012',NULL,'9998',0.00,1,3,NULL),(20,5221161,'1993-08-14 00:00:00',4,1,12,2010,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431458932572122610133195',NULL,'883',45.30,1,3,NULL),(20,5221170,'1992-05-11 00:00:00',2,1,11,2009,'F','N','CENTRO','SOMBRIO','SC','124242241215112731244624575124610161147',10856,'32',54.01,1,3,NULL),(20,5221188,'1987-12-05 00:00:00',2,1,11,2005,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241115242431635511275124610124097',NULL,'278',22.39,1,2,1),(20,5221196,'1989-05-25 00:00:00',4,8,12,2006,'M','N','BIGORRILHO','CURITIBA','PR','116122121415571751388863572114610164192',5573,'9998',64.65,1,3,NULL),(20,5221200,'1986-04-17 00:00:00',4,1,12,2007,'M','N','COSTA DE DENTRO','FLORIANÓPOLIS','SC','124244247133141431126643435122610162187',NULL,'9999',45.02,1,3,NULL),(20,5221218,'1988-07-26 00:00:00',4,3,12,2005,'M','N','CABRAL','CURITIBA','PR','116161161315571431447514575124141442067',1424,'9998',78.00,1,3,NULL),(20,5221226,'1991-11-20 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242201217131431438839575125610137042',12448,'9998',53.47,1,3,NULL),(20,5221234,'1992-05-17 00:00:00',4,1,11,2009,'M','N','CENTRO','CAÇADOR','SC','124242241217111411468812575115610157042',3667,'120',69.98,1,3,NULL),(20,5221242,'1992-06-20 00:00:00',2,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124243241215111531463613575122610126072',15647,'1074',40.95,1,3,NULL),(20,5221250,'1986-09-07 00:00:00',2,1,12,2004,'M','N','AREIAS','S JOSÉ','SC','124241241112414431436634141124610167057',11103,'307',53.40,1,2,1),(20,5221269,'1985-04-28 00:00:00',2,5,12,2003,'F','N','CENTRO','CRICIÚMA','SC','124241246145134431624611385122610131197',6334,'228',65.25,4,2,1),(20,5221277,'1992-02-05 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124212241215112732468713475125610168195',8237,'262',58.74,1,3,NULL),(20,5221285,'1989-03-23 00:00:00',4,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217473431468612572124221427122',1079,'951',80.85,1,3,NULL),(20,5221293,'1991-06-21 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124162161215471431458814472222610165192',7520,'9998',59.54,1,3,NULL),(20,5221307,'1984-10-20 00:00:00',4,3,9,2003,'M','N','SANTA REGINA III','CAMBORIÚ','SC','124241247336131231125514145124133244052',NULL,'9999',41.47,4,3,NULL),(20,5221315,'1988-06-25 00:00:00',2,8,12,2005,'M','N','PARANAGUAMIRIM','JOINVILLE','SC','124242241347271431246629385124131467112',7446,'708',62.91,1,3,NULL),(20,5221323,'1993-01-17 00:00:00',2,15,12,2009,'F','N','CIDADE ALTA','TURVO','SC','125241241315131731423634572121610134017',NULL,'813',23.05,1,3,NULL),(20,5221331,'1990-08-10 00:00:00',2,4,12,2007,'F','N','CENTRO','MODELO','SC','124241241135472431437711572125610138182',8504,'562',60.90,1,2,1),(20,5221340,'1986-07-08 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242247437272431289833415122610127015',15984,'9999',44.23,1,3,NULL),(20,5221358,'1992-02-02 00:00:00',2,1,12,2009,'F','N','JD PAULO VI','JALES','SP','125251251116471431435419575122610122142',6630,'9998',61.04,1,2,1),(20,5221366,'1993-01-25 00:00:00',4,1,12,2010,'M','S','CENTRO','IBITINGA','SP','125252251216111731559924575125610124082',NULL,'9998',0.00,1,3,NULL),(20,5221374,'1992-08-17 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215121431365616575114610143185',12685,'1022',50.18,1,3,NULL),(20,5221382,'1992-09-11 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216112431536614574122610132052',11915,'988',54.53,1,3,NULL),(20,5221404,'1992-12-19 00:00:00',2,1,12,2009,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241115271731626329292224610131142',NULL,'293',27.96,1,2,1),(20,5221439,'1968-07-31 00:00:00',5,10,12,1982,'F','N','CENTRO','TUBARÃO','SC','124242244216133431548877482222342511127',NULL,'797',43.41,1,3,NULL),(20,5221447,'1992-01-03 00:00:00',4,8,12,2009,'F','N','XAXIM','CURITIBA','PR','116162161215111751356712574122610162077',7566,'9998',60.80,1,3,NULL),(20,5221455,'1988-07-12 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136135731544311295334221632177',13856,'498',50.64,4,2,1),(20,5221463,'1985-07-29 00:00:00',2,10,11,2002,'F','N','CENTRO','BRAÇO NORTE','SC','116242248211573411446639593124610164181',NULL,'807',26.18,1,3,NULL),(20,5221471,'1991-06-08 00:00:00',4,1,12,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124241241115371711223324172224610151192',NULL,'734',21.72,1,2,1),(20,5221480,'1992-07-20 00:00:00',2,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241112371431226624282324610134012',NULL,'307',32.14,1,2,1),(20,5221498,'1991-11-26 00:00:00',4,1,12,2008,'M','N','LUCAS ARAÚJO','PASSO FUNDO','RS','120202201211371331446832412124620164192',2325,'9998',74.56,1,3,NULL),(20,5221501,'1991-11-09 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241136141231326634295124610144197',NULL,'257',0.00,1,2,1),(20,5221510,'1990-05-02 00:00:00',4,1,12,2008,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241226132331523331575124610133147',NULL,'262',18.72,1,3,NULL),(20,5221528,'1992-11-07 00:00:00',4,1,12,2009,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241116161411324614345324610113142',NULL,'64',16.97,1,3,NULL),(20,5221544,'1992-04-17 00:00:00',4,8,12,2009,'F','N','SÃO DOMINGOS','SUMARÉ','SP','125251253117371431425423132122610163017',NULL,'9998',0.00,1,3,NULL),(20,5221552,'1987-04-05 00:00:00',2,1,11,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241247227132731116648282334610137067',NULL,'9999',0.00,1,3,NULL),(20,5221560,'1991-11-30 00:00:00',4,8,11,2009,'F','N','ITAUM','JOINVILLE','SC','124242241215112431347814375122610124142',NULL,'486',25.91,1,3,NULL),(20,5221579,'1992-11-25 00:00:00',4,1,11,2009,'M','N','ROÇADO','S JOSÉ','SC','124241241217162231438611575122610137017',11940,'1036',50.32,1,3,NULL),(20,5221587,'1985-04-08 00:00:00',2,1,9,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247427252411213648281324610132187',10069,'9999',57.38,1,3,NULL),(20,5221595,'1974-01-30 00:00:00',2,1,12,1992,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','224241241142231441426353372114610156197',NULL,'292',44.42,1,2,1),(20,5221609,'1989-09-21 00:00:00',4,8,12,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124241246216473432556714475114610167127',8134,'1105',60.49,1,3,NULL),(20,5221617,'1989-12-17 00:00:00',2,1,12,2006,'F','N','BELA VISTA','PALHOÇA','SC','124241241145371411556673245124610137052',NULL,'591',29.03,1,2,1),(20,5221625,'1992-10-10 00:00:00',4,3,11,2009,'F','N','ESTADOS','BAL CAMBORIÚ','SC','124242241215131431548512572125610134057',11593,'53',55.14,4,3,NULL),(20,5221641,'1992-05-15 00:00:00',2,1,12,2009,'F','N','BARREIROS SÃO JOSÉ','S JOSÉ','SC','124242241215122432347613432124610124012',NULL,'1022',24.79,1,3,NULL),(20,5221650,'1992-03-19 00:00:00',2,6,12,2009,'F','N','BARRA SUL','BAL CAMBORIÚ','SC','124242241215131431439818292124610127077',NULL,'1057',26.77,1,3,NULL),(20,5221668,'1992-05-10 00:00:00',2,1,12,2009,'F','N','BOA VISTA','CURITIBA','PR','116164161416111411336634572242610161047',NULL,'9998',20.38,3,3,NULL),(20,5221676,'1987-09-09 00:00:00',2,9,12,2004,'M','N','MADUREIRA','CAXIAS SUL','RS','120204201117471731337831372124141227042',10909,'9998',56.37,1,3,NULL),(20,5221684,'1992-01-13 00:00:00',2,8,11,2008,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241436131431336619575124231528147',NULL,'462',29.17,1,3,NULL),(20,5221692,'1991-06-24 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111751356632571114610142055',10625,'1169',54.33,1,3,NULL),(20,5221706,'1992-06-21 00:00:00',2,1,12,2010,'F','S','AGRONOMICA','FLORIANÓPOLIS','SC','124244241417111731446611212124610133147',NULL,'270',25.62,1,3,NULL),(20,5221722,'1992-08-12 00:00:00',4,4,11,2009,'M','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124242241215111431648712245132610164022',10707,'168',52.19,1,3,NULL),(20,5221730,'1992-04-17 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215112411359933572122610126057',NULL,'738',0.00,1,3,NULL),(20,5221749,'1990-05-09 00:00:00',2,3,12,2007,'F','N','CENTRO','CURITIBA','PR','116164161415571431338826465125610146097',5820,'9998',65.98,1,3,NULL),(20,5221757,'1992-04-21 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216121431338611472122610168072',NULL,'273',20.04,1,3,NULL),(20,5221765,'1992-05-13 00:00:00',4,1,12,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124243241115371411534434575124610128147',NULL,'733',35.24,1,3,NULL),(20,5221773,'1991-12-17 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124242241215111431355413572224610162147',12940,'1078',49.89,1,3,NULL),(20,5221781,'1990-08-01 00:00:00',2,8,12,2007,'M','N','CENTRO','FAXINAL GUEDES','SC','124241242216372731426616572124610147042',11475,'836',51.88,1,3,NULL),(20,5221790,'1991-03-22 00:00:00',2,8,12,2008,'M','N','GLÓRIA','JOINVILLE','SC','124241246216372431556633445121610167057',NULL,'494',25.82,1,3,NULL),(20,5221803,'1968-03-04 00:00:00',2,1,12,1985,'F','N','INGLESES','FLORIANÓPOLIS','SC','224281281136131431436651372325610126097',NULL,'9998',0.00,1,2,1),(20,5221811,'1991-10-10 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124203201217271731248612572112610121122',12620,'9998',51.24,3,3,NULL),(20,5221820,'1990-12-25 00:00:00',2,1,7,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243247327131411324413395123610127047',NULL,'9997',22.32,1,3,NULL),(20,5221838,'1993-01-26 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124242241215111431546814275112610137042',15429,'1077',43.68,1,3,NULL),(20,5221846,'1992-07-29 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241112372431333724395124610124142',9337,'733',57.53,1,2,1),(20,5221854,'1991-06-02 00:00:00',2,5,11,2009,'F','N','COMERCIARIO','CRICIÚMA','SC','124241241212111731546924272122610167147',NULL,'210',0.00,1,3,NULL),(20,5221862,'1977-10-26 00:00:00',2,15,12,1996,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','224241241126472711456553245222120852092',NULL,'356',28.45,1,3,NULL),(20,5221870,'1992-01-17 00:00:00',2,9,12,2009,'M','N','SUMARÉ','RIO SUL','SC','124242241215111411468712295125610164052',15374,'991',46.71,1,3,NULL),(20,5221889,'1991-05-27 00:00:00',2,1,12,2008,'F','N','JARDIM DAS ACACIAS','S JOSÉ','SC','124242241215372431336419442124610168147',3239,'1118',72.77,1,3,NULL),(20,5221919,'1992-04-27 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124201243116131431435811275124610134052',NULL,'129',32.12,4,2,1),(20,5221927,'1993-04-08 00:00:00',4,1,12,2010,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217111732588813575114610128195',NULL,'1022',42.74,1,3,NULL),(20,5221935,'1991-05-15 00:00:00',4,2,12,2008,'M','N','DE CARLI','VIDEIRA','SC','124241241135132311423344242314610167042',NULL,'936',28.05,1,2,1),(20,5221986,'1989-03-03 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217174441389813575122221466195',1379,'270',79.02,1,3,NULL),(20,5221994,'1992-11-01 00:00:00',4,6,12,2009,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215111731458832245122610134142',11950,'109',54.45,1,3,NULL),(20,5222010,'1987-12-09 00:00:00',2,1,12,2004,'F','N','VILA AMORIM','AMERICANA','SP','125251251117471411323344345123340846147',NULL,'9998',24.39,1,2,1),(20,5222028,'1992-11-11 00:00:00',2,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241415131732326314575124610134197',NULL,'285',22.11,4,3,NULL),(20,5222036,'1990-03-25 00:00:00',4,15,12,2007,'M','N','MATO ALTO','ARARANGUÁ','SC','124241248125131332423319241232233237055',NULL,'30',40.55,1,3,NULL),(20,5222044,'1991-02-11 00:00:00',2,1,7,2009,'F','N','FAZENDA SANTO ANTÔNI','S JOSÉ','SC','124243241111372431436623382124610122177',11383,'739',52.76,1,3,NULL),(20,5222052,'1993-09-11 00:00:00',4,1,12,2010,'F','S','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215111431349813575122610132072',NULL,'723',23.80,1,3,NULL),(20,5222087,'1993-03-16 00:00:00',2,4,10,2009,'M','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124164161416111431457731295125610127042',8444,'9998',59.43,1,3,NULL),(20,5222095,'1992-05-06 00:00:00',2,6,11,2009,'F','N','HAUER','CURITIBA','PR','116162161215111431548924595122610164045',6057,'9998',63.18,1,3,NULL),(20,5222109,'1991-08-28 00:00:00',2,1,12,2010,'F','S','INGLESES','FLORIANÓPOLIS','SC','124242241217111431436624275124610111117',NULL,'1022',16.11,1,3,NULL),(20,5222117,'1992-01-07 00:00:00',4,1,12,2009,'F','N','CENTRO','SALETE','SC','124243241311131431516632195124610128047',NULL,'776',38.01,1,3,NULL),(20,5222125,'1987-03-13 00:00:00',4,8,6,2005,'M','N','PORTAO','CURITIBA','PR','116163167316271731345731395122610163183',NULL,'9999',38.46,1,3,NULL),(20,5222141,'1988-04-28 00:00:00',2,1,12,2006,'M','N','FÁTIMA','JOINVILLE','SC','124244247447132441533319345124231966177',NULL,'9999',32.63,2,3,NULL),(20,5222150,'1991-10-22 00:00:00',4,4,12,2008,'F','N','CENTRO','ITAPEJARA D OESTE','PR','116161161216471431535923575124610124197',184,'9998',88.18,1,3,NULL),(20,5222168,'1989-05-01 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241126143711533319245111610122042',16051,'307',40.58,1,2,1),(20,5222176,'1988-10-25 00:00:00',4,1,12,2005,'F','N','SANTO ANTÔNIO','PTO ALEGRE','RS','120202201211571431588714371124610165077',432,'9998',85.15,1,3,NULL),(20,5222192,'1968-03-26 00:00:00',2,1,3,1993,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','624241247126144711256643135122122226183',NULL,'9999',29.18,1,3,NULL),(20,5222206,'1993-01-09 00:00:00',2,4,12,2009,'M','N','CENTRO','PTE SERRADA','SC','124241241112161431326621175114610114017',NULL,'840',23.44,1,2,1),(20,5222222,'1992-01-24 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241112371431546414574114610113147',NULL,'307',27.50,1,2,1),(20,5222230,'1991-09-26 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161216471441566629271125610166047',7039,'9998',60.44,1,3,NULL),(20,5222249,'1989-12-09 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373231588834575112120767047',5125,'262',68.01,1,3,NULL),(20,5222257,'1991-09-13 00:00:00',2,1,12,2008,'M','N','KOBRASSOL II','S JOSÉ','SC','124201241134151431556614245122610137047',NULL,'733',28.44,4,2,1),(20,5222265,'1992-07-12 00:00:00',1,1,12,2009,'M','N','POTECAS','S JOSÉ','SC','124241241115131421436614242124610122147',NULL,'733',29.09,1,2,1),(20,5222273,'1990-04-26 00:00:00',4,1,8,2008,'M','N','ARMAÇÃO DO P SUL','FLORIANÓPOLIS','SC','124241247315471421523623245121610114187',NULL,'9999',40.29,4,3,NULL),(20,5222281,'1992-06-17 00:00:00',2,6,12,2009,'F','N','CORDEIROS','ITAJAÍ','SC','124241241115131231422239195224610126087',NULL,'396',0.67,2,1,1),(20,5222290,'1992-08-31 00:00:00',2,15,12,2009,'M','N','PERDIZES','S PAULO','SP','125252251217151411369913575124610127042',NULL,'9998',0.00,1,3,NULL),(20,5222303,'1991-09-24 00:00:00',4,8,11,2009,'F','N','CENTRO','S BENTO SUL','SC','124242241217112431369714275122610162172',NULL,'1114',0.00,1,3,NULL),(20,5222320,'1981-09-18 00:00:00',2,1,12,2000,'F','N','BELA VISTA I','S JOSÉ','SC','124241243117135421223344442334610126187',NULL,'293',50.81,1,2,1),(20,5222338,'1982-07-22 00:00:00',2,1,12,2001,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','224243241316475751323659485114131364187',NULL,'983',45.36,5,4,NULL),(20,5222354,'1992-01-30 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215121431569913575122610123182',7624,'270',60.38,1,3,NULL),(20,5222362,'1982-07-22 00:00:00',2,6,12,1999,'F','N','CENTRO','BAL CAMBORIÚ','SC','124253251316271451545414345122230728112',NULL,'9998',0.00,1,3,NULL),(20,5222370,'1990-12-18 00:00:00',2,9,12,2008,'M','N','ATLÂNTICO','ERECHIM','RS','120202201216271431446613275125610164182',NULL,'9998',35.11,4,3,NULL),(20,5222389,'1989-12-14 00:00:00',2,1,7,2008,'F','N','AREIAS','S JOSÉ','SC','124241241117112431537619245124231012172',11669,'739',54.99,1,2,1),(20,5222397,'1988-04-10 00:00:00',2,1,12,2005,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241117475431446313242133610222112',11278,'281',52.80,1,2,1),(20,5222400,'1990-05-29 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215131531625534472122610125147',NULL,'724',18.66,2,3,NULL),(20,5222419,'1988-12-20 00:00:00',4,1,12,2005,'F','N','JARDIM MONTE CARLO','ANDIRÁ','PR','116161161215571531559831582224143232177',2257,'9998',74.00,3,3,NULL),(20,5222427,'1993-05-27 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215131231459811572112610137062',14529,'262',49.18,1,3,NULL),(20,5222435,'1992-12-18 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241112371231434331575122610168187',NULL,'733',44.27,1,2,1),(20,5222443,'1992-10-02 00:00:00',4,8,11,2009,'M','N','VILA MORSE','S PAULO','SP','125252251217111431468711475112610168047',6198,'9998',62.31,3,3,NULL),(20,5222460,'1990-07-07 00:00:00',4,1,12,2007,'M','N','ERMELINO MATARAZZO','S PAULO','SP','125252251217571441479811575115610164197',NULL,'9998',0.00,1,3,NULL),(20,5222486,'1992-08-23 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241415111731345834275114610164071',NULL,'1022',21.89,1,3,NULL),(20,5222494,'1992-01-23 00:00:00',4,1,12,2009,'M','N','MARIA SILVEIRA','JALES','SP','125254251415111431438831575122610122042',14297,'9998',44.64,1,3,NULL),(20,5222508,'1992-03-21 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215271431538712274122610124012',12892,'1134',52.57,1,3,NULL),(20,5222516,'1992-08-27 00:00:00',2,3,12,2009,'F','N','BOCKMANN','PARANAGUÁ','PR','116162161216111731547719575122610165093',NULL,'9998',19.62,1,3,NULL),(20,5222524,'1991-07-03 00:00:00',4,1,12,2008,'M','N','CENTRO','PALHOÇA','SC','124241241116132431449914385124610137047',NULL,'146',27.50,1,2,1),(20,5222532,'1992-05-29 00:00:00',4,9,12,2009,'F','N','BRUSQUE','LAGES','SC','124241241216151431556939575122610123182',10577,'515',56.90,1,3,NULL),(20,5222540,'1970-12-12 00:00:00',4,1,12,1992,'F','N','INGLESES','FLORIANÓPOLIS','SC','624243247336131421623349495124610132143',NULL,'9999',20.94,1,3,NULL),(20,5222575,'1993-10-12 00:00:00',4,1,12,2010,'M','S','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241215111231458414472124610137041',NULL,'1014',25.38,1,3,NULL),(20,5222591,'1992-06-15 00:00:00',2,10,11,2009,'M','N','RIO DO POUSO','TUBARÃO','SC','124241241137131431533313242224610137047',NULL,'803',19.60,1,2,1),(20,5222605,'1992-09-09 00:00:00',2,1,12,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124241241112371731556734592124610168147',12179,'307',52.09,1,2,1),(20,5222613,'1990-06-20 00:00:00',4,1,7,2008,'F','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124241241135132751336821375324610125092',NULL,'739',45.74,1,2,1),(20,5222621,'1990-05-25 00:00:00',4,1,6,2008,'F','N','JARDIM NOVA YORQUE','ARAÇATUBA','SP','125252281411571431369814571122610127073',8053,'9998',59.33,1,3,NULL),(20,5222630,'1992-03-29 00:00:00',4,4,12,2009,'F','N','LAGE DE PEDRA','SAUDADES','SC','124241241116161331447939335122610138182',15726,'761',41.17,1,2,1),(20,5222648,'1983-10-16 00:00:00',2,1,12,2001,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124131131116134421623619292324221517047',14341,'9998',49.63,4,1,1),(20,5222656,'1993-11-10 00:00:00',4,9,11,2010,'F','S','FUNDO CANOAS','RIO SUL','SC','124242241215111751546612225122610128012',NULL,'991',43.65,1,3,NULL),(20,5222664,'1978-12-23 00:00:00',2,1,8,2003,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224203244212461511444152342124610114042',NULL,'9999',35.38,1,3,NULL),(20,5222672,'1988-11-03 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241248121133312558113341114133217053',NULL,'922',29.12,1,2,1),(20,5222680,'1991-12-28 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124202241215131431456823572124610168112',NULL,'44',41.20,1,3,NULL),(20,5222699,'1990-11-22 00:00:00',4,1,12,2009,'M','N','CENTRO','CRAVINHOS','SP','125254251136471531327711412114610162147',9076,'9998',56.87,4,3,NULL),(20,5222702,'1992-09-01 00:00:00',4,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241215111431489934572122610147042',171,'168',88.54,1,3,NULL),(20,5222710,'1988-06-25 00:00:00',2,1,12,2007,'F','N','SANTOS DUMONT','S JOSÉ','SC','224241241125132752223354245124610164187',NULL,'257',19.91,1,2,1),(20,5222729,'1992-01-03 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431479919395122610124072',NULL,'262',56.81,1,3,NULL),(20,5222737,'1989-12-04 00:00:00',4,1,12,2006,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124162161116372431215324572124233262125',8533,'9998',60.86,1,3,NULL),(20,5222745,'1970-02-08 00:00:00',4,1,12,1987,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224242244236132121423759345114130732197',NULL,'797',38.37,1,3,NULL),(20,5222761,'1991-08-19 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124243241215111431456734575112610122057',NULL,'723',28.02,1,3,NULL),(20,5222770,'1992-07-20 00:00:00',4,4,11,2009,'F','N','CENTRO','ARABUTÃ','SC','124241241415161431336634495124610127057',NULL,'1000',0.00,1,3,NULL),(20,5222788,'1991-11-30 00:00:00',4,1,12,2009,'M','N','CHACARA SILVANIA','VALINHOS','SP','125252251216111531368834575122610167047',NULL,'9998',0.00,1,3,NULL),(20,5222796,'1989-10-06 00:00:00',2,1,12,2006,'F','N','CENTRO','JARAGUÁ SUL','SC','124244241217572431569834472124133211192',2724,'422',73.50,1,3,NULL),(20,5222800,'1992-06-25 00:00:00',4,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124242241217151731426513332115610127047',NULL,'976',24.40,4,3,NULL),(20,5222818,'1991-05-04 00:00:00',4,1,12,2008,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215472431458819575124610137012',725,'270',83.02,1,3,NULL),(20,5222826,'1993-03-12 00:00:00',4,16,12,2009,'M','N','CENTRO','PTE ALTA NORTE','SC','124241241215111431357823572122610124045',13844,'881',47.75,1,3,NULL),(20,5222834,'1981-06-17 00:00:00',4,1,12,1998,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124114111216271721253923582112343262145',NULL,'9998',39.35,1,3,NULL),(20,5222842,'1984-10-15 00:00:00',2,1,12,2002,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124251251116574431123344245123610125041',9354,'9998',56.59,1,2,1),(20,5222869,'1992-10-03 00:00:00',2,9,12,2009,'F','N','GUADALUPE','LAGES','SC','124241241416111431333639295122610144142',16008,'515',44.06,1,3,NULL),(20,5222877,'1991-09-28 00:00:00',4,1,11,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241212113431369913595112610164182',448,'270',85.06,1,3,NULL),(20,5222885,'1989-10-10 00:00:00',2,1,6,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124203207326131431225744345114610128077',NULL,'9998',27.66,4,1,2),(20,5222893,'1992-08-30 00:00:00',4,1,11,2009,'M','N','SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC','124242241217111731569812172122610127042',3379,'262',72.09,1,3,NULL),(20,5222915,'1992-01-06 00:00:00',2,9,12,2009,'M','N','CENTRO','LAGES','SC','124242241236151231438611572122610127017',NULL,'499',0.00,1,3,NULL),(20,5222923,'1992-04-21 00:00:00',4,8,12,2009,'M','N','CENTRO','ALM TAMANDARÉ','PR','116164161415111331469713575114610167042',NULL,'9998',0.00,1,3,NULL),(20,5222931,'1991-04-18 00:00:00',4,8,11,2008,'M','N','NOVO HORIZONTE','MARÍLIA','SP','125254251215472421548814445122610167052',6538,'9998',62.18,1,3,NULL),(20,5222940,'1992-12-18 00:00:00',4,1,12,2010,'F','S','JARDIM EUROPA','SOROCABA','SP','125252251216111431588931575112610148142',NULL,'9998',54.84,1,3,NULL),(20,5222974,'1992-01-21 00:00:00',2,1,12,2009,'M','N','JD NOVA VIDA','JALES','SP','125252251215111431368831575122610122042',12182,'9998',50.11,1,3,NULL),(20,5222982,'1984-03-18 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224121121137371421224454286344610161147',16246,'9998',41.94,1,2,1),(20,5222990,'1989-11-07 00:00:00',4,1,12,2007,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217372411448911472124610122097',15962,'1022',44.34,1,3,NULL),(20,5223016,'1992-08-12 00:00:00',2,10,12,2009,'M','N','CENTRO','BRAÇO NORTE','SC','124242241215111531368811572122610114062',15276,'806',47.04,1,3,NULL),(20,5223024,'1992-07-05 00:00:00',4,10,12,2009,'F','N','VILA NOVA','IMBITUBA','SC','124241241137271431536914395224610167087',NULL,'359',26.64,1,2,1),(20,5223032,'1992-01-27 00:00:00',2,1,12,2009,'F','N','ALEIXO','MANAUS','AM','104042043117371411379922424122610121122',8478,'9998',58.08,1,3,NULL),(20,5223040,'1993-05-04 00:00:00',4,1,12,2010,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241217111731363923574122610134012',NULL,'951',43.49,1,3,NULL),(20,5223059,'1992-05-18 00:00:00',2,1,12,2009,'F','N','SERRARIA','FLORIANÓPOLIS','SC','124161241135131431223344342324610117057',NULL,'734',15.27,4,2,1),(20,5223067,'1987-06-09 00:00:00',4,1,12,2007,'F','N','PRAIA DE FORA','PALHOÇA','SC','124243247326371431437714445124610124193',NULL,'9999',11.73,1,3,NULL),(20,5223075,'1991-10-09 00:00:00',2,1,12,2009,'F','N','MORUMBI','S PAULO','SP','125252251216151431469931574122610127147',NULL,'9998',0.00,1,3,NULL),(20,5223083,'1991-07-18 00:00:00',4,1,12,2008,'F','N','MATRIZ','VIDEIRA','SC','124243241117151431246924345122231424142',NULL,'831',44.81,1,3,NULL),(20,5223091,'1991-05-25 00:00:00',4,1,12,2008,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241241145271411535814392124610122017',NULL,'294',23.72,1,2,1),(20,5223113,'1993-09-05 00:00:00',2,1,11,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111411448633572124610117042',NULL,'1023',29.22,1,3,NULL),(20,5223121,'1992-08-05 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215272731466814575122610137042',3240,'262',72.76,1,3,NULL),(20,5223130,'1992-06-05 00:00:00',4,1,11,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115131731523311292124610126147',NULL,'922',22.86,1,2,1),(20,5223148,'1992-01-14 00:00:00',2,17,12,2009,'M','N','CENTRO','PRUDENTÓPOLIS','PR','116162161211271411336923342124610117142',NULL,'9998',25.36,1,3,NULL),(20,5223156,'1990-05-10 00:00:00',2,1,12,2007,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241217453731536614576124610165187',15364,'1118',46.73,1,3,NULL),(20,5223164,'1992-06-29 00:00:00',4,1,12,2009,'F','N','CENTRO','GASTÃO VIDIGAL','SP','125253251215111431456831575122610122142',NULL,'9998',31.13,1,3,NULL),(20,5223172,'1994-02-21 00:00:00',4,1,12,2010,'M','S','EUGÊNIO SCHNEIDER','RIO SUL','SC','124243241235111541458921572115610167097',NULL,'9997',29.22,1,3,NULL),(20,5223180,'1990-07-25 00:00:00',2,1,12,2007,'M','N','SANTOS DUMONT','S JOSÉ','SC','224241241136132421226844145122610164072',NULL,'257',26.17,1,2,1),(20,5223199,'1992-10-29 00:00:00',2,1,12,2009,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124242241215111231466619575122610127041',14833,'1048',45.84,4,3,NULL),(20,5223202,'1991-05-18 00:00:00',4,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241112271431369313585122610137047',NULL,'406',29.82,1,2,1),(20,5223210,'1992-06-29 00:00:00',2,1,11,2009,'M','N','IPIRANGA','S JOSÉ','SC','124243241312371431335334342124610124142',15138,'257',44.46,1,3,NULL),(20,5223237,'1993-01-14 00:00:00',4,1,11,2010,'F','S','INGLESES','FLORIANÓPOLIS','SC','124242241117131431414324575324610113181',NULL,'288',24.59,1,3,NULL),(20,5223253,'1992-02-02 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241216111431536824575121610137142',NULL,'9997',21.13,1,3,NULL),(20,5223261,'1993-12-20 00:00:00',2,9,12,2010,'F','S','CANTA GALO','RIO SUL','SC','124242241215111431446612575122610126172',NULL,'991',49.57,1,3,NULL),(20,5223270,'1990-02-09 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241113133731225629482214610137055',12169,'307',54.04,1,2,1),(20,5223288,'1991-02-21 00:00:00',4,1,12,2008,'F','N','PRAIA DE FORA','PALHOÇA','SC','124243241315372431437714445123610123077',4367,'592',69.67,1,3,NULL),(20,5223296,'1992-12-18 00:00:00',4,8,11,2009,'M','N','RIO HERN','SCHROEDER','SC','124243241217111331539714372122610137043',NULL,'1061',24.02,1,3,NULL),(20,5223300,'1989-01-02 00:00:00',2,1,11,2005,'F','N','ABADIA','UBERABA','MG','113134131217573431558613574124143264147',235,'9998',87.36,1,3,NULL),(20,5223318,'1989-03-14 00:00:00',2,1,11,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216375431456614345124233264121',8475,'1026',60.95,1,3,NULL),(20,5223326,'1983-04-20 00:00:00',4,1,12,1998,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116275451456679225124122265187',NULL,'307',30.18,1,2,1),(20,5223334,'1987-10-27 00:00:00',2,1,12,2004,'F','N','BACACHERI','CURITIBA','PR','116164161316473411349869475124241033097',4912,'9998',67.54,1,3,NULL),(20,5223342,'1992-05-27 00:00:00',4,1,11,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115272431336623572112610138053',8389,'271',58.93,1,3,NULL),(20,5223350,'1992-03-17 00:00:00',4,17,11,2009,'M','N','CENTRO','CURITIBA','PR','116243161336471411337823275124610164042',6121,'9998',63.78,1,3,NULL),(20,5223377,'1991-11-12 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116372431226729375124610163187',8308,'307',60.90,1,2,1),(20,5223393,'1991-10-28 00:00:00',4,1,12,2009,'M','N','CENTRO','GASTÃO VIDIGAL','SP','125253251215111431338831575122610122042',5368,'9998',66.21,1,3,NULL),(20,5223407,'1992-11-25 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111511389933595112610117042',NULL,'270',0.00,1,3,NULL),(20,5223415,'1991-07-06 00:00:00',4,1,11,2008,'F','N','LAGO NORTE','LG NORTE','DF','107072071217471531488833575122610131094',8781,'9998',59.03,1,3,NULL),(20,5223431,'1993-11-02 00:00:00',4,1,11,2010,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124244241117111441236732592124610138072',NULL,'271',41.68,1,3,NULL),(20,5223440,'1990-11-14 00:00:00',4,10,12,2008,'M','N','GALHETA','LAGUNA','SC','124212241335132531446719575124221162171',9441,'524',59.19,1,3,NULL),(20,5223458,'1992-12-08 00:00:00',2,1,11,2009,'F','N','CENTRO','SOMBRIO','SC','124242241215111731537933572125610162142',NULL,'32',26.80,1,3,NULL),(20,5223466,'1991-05-26 00:00:00',5,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241212472431467923572122610168077',6311,'262',64.57,1,3,NULL),(20,5223490,'1989-05-09 00:00:00',2,1,12,2008,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241141472331433314341112610133017',NULL,'733',25.30,1,2,1),(20,5223504,'1991-02-08 00:00:00',4,1,12,2008,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201211471731289911591114610167046',12191,'9998',50.02,1,3,NULL),(20,5223520,'1989-05-01 00:00:00',4,1,9,2007,'M','N','CENTRO','S JOSÉ','SC','124242241115133111336627395123610133142',NULL,'739',27.31,1,3,NULL),(20,5223539,'1991-05-11 00:00:00',4,1,11,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241212152411487923475112221427132',7995,'270',61.84,1,3,NULL),(20,5223547,'1987-12-23 00:00:00',4,1,12,2004,'M','N','CENTRO','LONDRINA','PR','116162161215575411479911575112610166042',3895,'9998',69.03,1,3,NULL),(20,5223555,'1992-07-04 00:00:00',4,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115372231458613236124610123182',NULL,'21',27.14,1,2,1),(20,5223563,'1993-02-22 00:00:00',4,1,12,2011,'F','S','BARREIROS','S JOSÉ','SC','124241248216111731433313435124610164012',NULL,'1118',23.03,1,3,NULL),(20,5223601,'1992-11-25 00:00:00',4,8,11,2009,'F','N','CAPÃO DA IMBUIA','CURITIBA','PR','116162161231111731338832571122610165147',9512,'9998',55.81,1,3,NULL),(20,5223610,'1988-01-15 00:00:00',4,1,12,2005,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241211473731448733472124131224032',4362,'260',69.87,5,3,NULL),(20,5223628,'1985-02-19 00:00:00',2,8,12,2003,'M','N','FLORESTA','JOINVILLE','SC','124241241116132431321623211224133216172',NULL,'492',0.00,1,2,1),(20,5223636,'1991-04-08 00:00:00',4,15,12,2008,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124243241336111731536833435111610167045',NULL,'30',24.23,1,3,NULL),(20,5223644,'1990-10-31 00:00:00',4,3,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241212142411339813345122122066097',5264,'1038',67.65,1,3,NULL),(20,5223652,'1992-01-29 00:00:00',4,2,12,2009,'F','N','CENTRO','POMERODE','SC','124244241216111431458311572124610167072',10723,'855',53.87,4,3,NULL),(20,5223660,'1993-02-25 00:00:00',4,7,12,2010,'F','S','SANTA TEREZA','VIDEIRA','SC','124242241217111731469811572122610162092',NULL,'1080',54.42,1,3,NULL),(20,5223679,'1992-07-31 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431388812595122610123097',14392,'270',49.49,1,3,NULL),(20,5223687,'1985-09-06 00:00:00',4,1,6,2004,'F','N','CANAS VIEIRAS','FLORIANÓPOLIS','SC','124241241146271431226444342114610162092',NULL,'697',9.10,1,2,1),(20,5223695,'1992-05-01 00:00:00',4,1,11,2009,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124242241217131431689927575112610142197',4378,'270',66.76,1,3,NULL),(20,5223709,'1982-08-27 00:00:00',4,1,12,1999,'M','N','SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC','124244241436152741159944447123331427042',11718,'388',54.91,1,3,NULL),(20,5223717,'1992-09-15 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241116371431433334575124610126147',9547,'307',56.43,4,3,NULL),(20,5223725,'1991-03-12 00:00:00',2,15,12,2008,'M','N','JARDIM BELA VISTA','ARARANGUÁ','SC','124241241212142431567932445131610136042',NULL,'32',38.55,1,3,NULL),(20,5223733,'1992-04-11 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212113431368933592114610144151',8046,'1022',60.74,1,3,NULL),(20,5223741,'1992-04-09 00:00:00',4,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115141231423411115124610161142',NULL,'307',25.39,1,2,1),(20,5223784,'1981-07-17 00:00:00',4,1,6,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','224162247446134431227848285124222234177',11328,'9999',55.65,1,3,NULL),(20,5223792,'1992-03-29 00:00:00',4,1,12,2009,'M','N','HUMAITÁ','PTO ALEGRE','RS','120201201137111411437714442124610167042',6999,'9998',60.04,1,2,1),(20,5223814,'1988-09-30 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241116373731423319195114610121077',NULL,'257',24.58,1,3,NULL),(20,5223822,'1992-01-12 00:00:00',4,1,11,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241116151451478933572114610164052',13470,'271',51.45,1,3,NULL),(20,5223830,'1986-03-12 00:00:00',4,10,12,2003,'M','N','OFICINAS','TUBARÃO','SC','124241241117131721354639295121613228051',NULL,'808',33.64,1,2,1),(20,5223849,'1992-06-18 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372511584832575122610164185',2912,'270',73.19,1,3,NULL),(20,5223857,'1992-05-16 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111432336614172122610124042',NULL,'976',27.27,1,3,NULL),(20,5223865,'1992-06-20 00:00:00',4,8,12,2009,'F','N','GUAÍRA','CURITIBA','PR','116162161215111451456614575114610127142',9620,'9998',55.58,1,3,NULL),(20,5223873,'1992-03-22 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124161241215472431668831571122610127127',7518,'270',60.62,1,3,NULL),(20,5223881,'1992-02-20 00:00:00',4,8,12,2009,'M','N','BATEL','CURITIBA','PR','116162161215471531459931572122610117112',9267,'9998',59.49,1,3,NULL),(20,5223890,'1981-06-16 00:00:00',2,15,12,1999,'F','N','GUARITA','SOMBRIO','SC','224241245116131421322354435122230658142',NULL,'769',0.00,1,2,1),(20,5223903,'1992-01-19 00:00:00',4,2,12,2009,'F','N','CENTRO','PENHA','SC','124241241145141431536313295321610128147',NULL,'614',28.89,1,2,1),(20,5223920,'1991-01-29 00:00:00',2,1,11,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241247146472431524469385124610116057',NULL,'9999',37.05,4,2,1),(20,5223938,'1992-02-26 00:00:00',4,8,12,2008,'F','N','SAGUACU','JOINVILLE','SC','124242241216472431688913575124610164142',3385,'461',72.40,1,3,NULL),(20,5223946,'1991-02-22 00:00:00',4,17,12,2008,'F','N','CENTRO','CURITIBA','PR','116242161235472751449914575112610167182',NULL,'9998',0.00,1,3,NULL),(20,5223954,'1990-07-17 00:00:00',4,5,11,2008,'M','N','UNIVERSITARIO','CRICIÚMA','SC','124241241126131431121344245124610134042',NULL,'605',0.00,1,2,1),(20,5223962,'1991-02-26 00:00:00',4,1,12,2008,'M','N','PASSO','MAFRA','SC','124242241215112431479931575122610137042',4033,'541',69.49,1,3,NULL),(20,5223970,'1991-06-17 00:00:00',4,1,12,2008,'F','N','SAO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241116373411324313595124610133183',15046,'772',45.09,1,2,1),(20,5223989,'1989-01-28 00:00:00',5,3,12,2008,'F','N','SANTA LUZIA','TIJUCAS','SC','124241241117142431333624242213610137057',NULL,'783',19.54,1,2,1),(20,5223997,'1992-04-10 00:00:00',4,1,12,2008,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124243241117271431348634475124610161147',NULL,'268',0.00,1,3,NULL),(20,5224004,'1992-05-22 00:00:00',4,1,11,2009,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241115111431538839575124610117042',NULL,'271',27.88,1,2,1),(20,5224012,'1991-06-28 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215472411348823575114610134127',6113,'883',63.90,1,3,NULL),(20,5224020,'1991-07-26 00:00:00',4,2,12,2009,'F','N','PROGRESSO','BLUMENAU','SC','124244241217112431633617175124610161142',NULL,'71',26.90,1,3,NULL),(20,5224047,'1993-02-08 00:00:00',4,3,11,2009,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241212112431425723572122610124142',15922,'44',42.59,1,3,NULL),(20,5224055,'1990-12-17 00:00:00',2,1,11,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241241211132431358614571124610146045',NULL,'724',28.02,1,3,NULL),(20,5224071,'1992-05-19 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241235171731338774572112610167043',14501,'269',46.01,1,3,NULL),(20,5224080,'1989-06-30 00:00:00',2,8,12,2006,'M','N','CONJUNTO ITATIAIA','MARINGÁ','PR','116161161136371411433311445123610167052',9549,'9998',55.30,1,2,1),(20,5224098,'1979-06-03 00:00:00',4,1,12,1998,'F','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','424241247346134421313649192124131068187',NULL,'9999',41.90,2,1,2),(20,5224101,'1991-09-25 00:00:00',2,1,12,2009,'M','N','CENTRO','S JOÃO BATISTA','SC','124241241125141331435812395125610127182',NULL,'712',28.98,1,2,1),(20,5224110,'1991-12-26 00:00:00',2,1,12,2008,'F','N','SÃO JOÃO','PTO ALEGRE','RS','120203201217471431236923435122610143146',3531,'9998',70.72,1,3,NULL),(20,5224128,'1952-11-18 00:00:00',2,1,11,1972,'M','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124241247122154421138842221133121421093',NULL,'9999',0.00,1,3,NULL),(20,5224136,'1988-04-07 00:00:00',2,9,12,2009,'M','N','TRAÇADO','URUBICI','SC','124241241112111432621335152223610127141',NULL,'818',0.00,1,2,1),(20,5224144,'1992-08-31 00:00:00',4,5,10,2009,'M','N','PIO CORREA','CRICIÚMA','SC','124244241217112431469914584112610127057',5144,'226',66.69,1,3,NULL),(20,5224152,'1990-08-17 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217373431468812575124131437145',3558,'270',71.28,1,3,NULL),(20,5224160,'1993-01-19 00:00:00',4,1,12,2010,'M','S','BARREIROS','S JOSÉ','SC','124244241415111431358734572125610134042',NULL,'1118',25.50,1,3,NULL),(20,5224179,'1991-09-21 00:00:00',4,8,12,2008,'M','N','BOM RETIRO','CURITIBA','PR','116162161217572731479931575122610132092',147,'9998',89.14,1,3,NULL),(20,5224187,'1982-02-26 00:00:00',2,1,12,2000,'M','N','ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC','124241247347131421626429285114610127047',NULL,'9997',28.25,2,1,2),(20,5224209,'1975-04-12 00:00:00',4,1,12,1991,'F','N','EUGENIO SCHNEIDER','RIO SUL','SC','124243241212575421458641412122322612097',NULL,'514',0.00,1,3,NULL),(20,5224217,'1992-03-04 00:00:00',2,8,12,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215111331437614595122610135052',13154,'456',50.34,1,3,NULL),(20,5224225,'1991-12-24 00:00:00',2,2,12,2008,'F','N','SALTO DO NORTE','BLUMENAU','SC','124241241146131751323364245124610152171',14880,'79',44.55,1,2,1),(20,5224233,'1989-01-14 00:00:00',4,1,12,2006,'F','N','JARDIM EMILIA','EMBU-GUAÇU','SP','125251251136371431323119382324610121142',NULL,'9998',0.00,1,2,1),(20,5224241,'1993-02-09 00:00:00',4,1,12,2010,'F','S','CENTRO','TIJUCAS','SC','124242248215111451433811572122610131142',NULL,'1119',0.00,1,3,NULL),(20,5224250,'1991-05-30 00:00:00',2,4,12,2008,'M','N','CENTRO','CHAPECÓ','SC','124242241215272411438814575112130734052',7564,'983',62.69,1,3,NULL),(20,5224276,'1989-09-06 00:00:00',2,2,11,2006,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241135574431344434371124610124192',1764,'69',77.77,1,2,1),(20,5224292,'1992-07-02 00:00:00',4,1,11,2009,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124203241317131511438719575114610114057',NULL,'298',10.96,1,3,NULL),(20,5224306,'1963-04-29 00:00:00',4,1,12,1979,'F','N','CENTRO','FLORIANÓPOLIS','SC','224211211417143441457857435122331924183',NULL,'9998',0.00,1,3,NULL),(20,5224314,'1992-06-25 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','116242161216111322178813472322610167055',NULL,'9997',0.00,1,3,NULL),(20,5224322,'1991-01-29 00:00:00',2,10,12,2008,'F','N','CAÇADOR','CAPIVARI BAIXO','SC','124241241115472421336313435124231325147',NULL,'1034',0.00,1,2,1),(20,5224330,'1981-08-27 00:00:00',2,1,12,2000,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241116371431321319495124610126097',NULL,'281',30.88,1,2,1),(20,5224349,'1981-09-18 00:00:00',2,8,12,2000,'F','N','NITERÓI','SEARA','SC','124241241146573731326629394134610166147',NULL,'764',0.00,1,2,1),(20,5224365,'1991-08-27 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241235111531568714472124610167065',14594,'882',46.60,1,3,NULL),(20,5224373,'1987-10-06 00:00:00',4,1,12,2004,'F','N','CENTRO','BRUSQUE','SC','120244241416571441147921575124241941192',11688,'111',54.96,1,3,NULL),(20,5224381,'1991-10-21 00:00:00',2,9,12,2009,'F','N','TRAÇADO','URUBICI','SC','124241241112111432621335152223610127141',NULL,'818',0.00,1,2,1),(20,5224390,'1993-11-19 00:00:00',4,7,12,2010,'F','S','FLORESTA','VIDEIRA','SC','124242241211151412429831412122610134147',NULL,'969',29.25,1,3,NULL),(20,5224403,'1990-07-05 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115372431537723385113610167042',16007,'257',44.06,1,2,1),(20,5224411,'1990-01-08 00:00:00',4,8,12,2007,'F','N','BATEL','CURITIBA','PR','116162161215571531459931572122610138192',NULL,'9998',0.00,1,3,NULL),(20,5224420,'1992-07-08 00:00:00',4,6,11,2009,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241215111431365831575122610132012',6907,'1026',64.03,1,3,NULL),(20,5224438,'1990-08-25 00:00:00',5,6,7,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241281115471431438611575114610123057',11167,'9998',52.25,1,2,1),(20,5224446,'1991-12-05 00:00:00',4,1,11,2009,'F','N','VENDAVAL','BIGUAÇU','SC','124201241115271431435614241124610132037',NULL,'65',26.46,2,1,1),(20,5224454,'1990-12-29 00:00:00',4,1,12,2008,'F','N','SUMARE','S PAULO','SP','125252251217271431466834572122140267142',11117,'9998',56.03,1,3,NULL),(20,5224462,'1992-05-20 00:00:00',4,1,12,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124244241111131531437734275124610122187',13095,'591',47.72,4,3,NULL),(20,5224489,'1992-06-30 00:00:00',4,2,11,2009,'F','N','PROGRESSO','BLUMENAU','SC','124242241215112431457811214122610134072',5422,'855',66.27,1,3,NULL),(20,5224497,'1991-10-28 00:00:00',2,1,11,2008,'F','N','SÃO VICENTE','ITAJAÍ','SC','124242241215373451367939595122610166047',2203,'1026',76.15,1,3,NULL),(20,5224500,'1991-10-30 00:00:00',4,8,11,2009,'M','N','FLORESTA','JOINVILLE','SC','124243241116131432347631582124610164147',NULL,'478',23.24,1,3,NULL),(20,5224519,'1991-08-14 00:00:00',2,1,12,2009,'M','N','STELLA MARIS','SALVADOR','BA','105052051417471431438819575114610117117',NULL,'9998',26.26,1,3,NULL),(20,5224527,'1991-03-14 00:00:00',4,7,12,2007,'F','N','CENTRO','CONCÓRDIA','SC','124241241217472431466831295124231066092',NULL,'1047',0.00,1,3,NULL),(20,5224543,'1992-02-02 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472431445923492124610122072',1092,'970',80.78,1,3,NULL),(20,5224551,'1992-06-26 00:00:00',2,10,12,2009,'F','N','CENTRO','TUBARÃO','SC','124241241115271731325624372124610124147',15909,'1034',44.62,2,1,1),(20,5224560,'1982-09-05 00:00:00',4,4,12,1999,'F','N','BELA VISTA','CHAPECÓ','SC','124241241126142431335879395123330228047',NULL,'178',0.00,1,2,1),(20,5224578,'1992-04-20 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431468833575111610165092',1376,'270',79.39,1,3,NULL),(20,5224586,'1987-10-09 00:00:00',4,1,12,2005,'M','N','VILA ANDRADE','S PAULO','SP','125252251115471331479832495112141424017',12697,'9998',48.14,1,3,NULL),(20,5224594,'1992-04-08 00:00:00',4,15,12,2009,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241136131431436923275121610126147',NULL,'30',30.55,1,2,1),(20,5224608,'1993-04-15 00:00:00',4,1,11,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215171431588832585122610122045',NULL,'262',14.33,1,3,NULL),(20,5224616,'1992-02-28 00:00:00',4,1,12,2009,'M','N','PRAÇA','TIJUCAS','SC','124242241216111431469914585122610147082',NULL,'1119',22.69,1,3,NULL),(20,5224624,'1992-12-21 00:00:00',4,10,11,2009,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215121751348869572122610168192',NULL,'807',33.93,1,3,NULL),(20,5224640,'1988-04-06 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241142475431426344245333610164047',9632,'542',56.88,4,2,1),(20,5224659,'1990-02-03 00:00:00',4,1,11,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241142361411113344342234610126142',NULL,'1097',16.28,1,3,NULL),(20,5224667,'1989-12-22 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOÇA','SC','224242241216152431226354475113610136192',6398,'1011',63.60,1,3,NULL),(20,5224675,'1991-12-24 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124244241112133231448514575124233227052',10943,'739',56.42,1,3,NULL),(20,5224683,'1981-03-21 00:00:00',2,15,12,2009,'M','N','CENTRO','ARARANGUÁ','SC','124241247125151431123244245124610126045',NULL,'9999',19.41,1,2,1),(20,5224691,'1989-02-20 00:00:00',2,1,12,2006,'M','N','CAMPINAS','S JOSÉ','SC','124242241215273231466833491124230867112',12781,'724',52.78,1,3,NULL),(20,5224705,'1992-08-19 00:00:00',4,1,12,2009,'F','N','SANTO ANTONIO','PTO ALEGRE','RS','120201201117371231547714595124610127082',NULL,'9998',27.09,4,2,1),(20,5224713,'1992-04-12 00:00:00',2,8,12,2009,'F','N','SULCAP','RIO JANEIRO','RJ','121212218217111431278819592122610165022',NULL,'9998',0.00,1,3,NULL),(20,5224721,'1991-10-28 00:00:00',4,4,12,2009,'M','N','JD LA SALLE','TOLEDO','PR','116162161215271431466812572122610167042',1200,'9998',79.22,1,3,NULL),(20,5224730,'1990-02-03 00:00:00',2,1,12,2007,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241112143311326639315124610167042',13403,'307',48.55,1,2,1),(20,5224748,'1970-01-19 00:00:00',4,1,10,1989,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224251258117153441555352114112322664093',9358,'9998',59.33,3,2,1),(20,5224756,'1992-08-31 00:00:00',4,2,12,2009,'F','N','CENTRO','PRES GETÚLIO','SC','124242241215111731446932174124610163147',NULL,'346',0.00,1,3,NULL),(20,5224772,'1993-01-22 00:00:00',4,1,11,2009,'F','N','SACO DO LIMÕES','FLORIANÓPOLIS','SC','124242241215112431548931574114610128097',10234,'270',56.16,4,3,NULL),(20,5224780,'1990-02-19 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241216273431126644345124222326077',10397,'809',57.42,1,3,NULL),(20,5224802,'1992-09-25 00:00:00',2,17,12,2009,'F','N','ALTO DA TIJUCA','CANOINHAS','SC','124243241217151531358933572125610161042',NULL,'154',10.05,1,3,NULL),(20,5224829,'1990-10-09 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124251251115572411226344445124610124042',NULL,'9998',31.24,2,1,1),(20,5224837,'1984-09-17 00:00:00',4,1,12,2001,'M','N','ACLIMAÇÃO','S PAULO','SP','125252251217571441488833482125141442187',2059,'9998',75.66,1,3,NULL),(20,5224845,'1992-09-25 00:00:00',4,9,11,2009,'F','N','UNIVERSITÁRIO','LAGES','SC','124242241217111431576432272112610134041',NULL,'9997',38.11,1,3,NULL),(20,5224853,'1972-03-27 00:00:00',4,1,12,1994,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224241247227131711223644242121133237097',NULL,'515',50.14,1,3,NULL),(20,5224861,'1992-04-13 00:00:00',4,1,11,2009,'M','N','PALHOÇA','PALHOÇA','SC','124242241217271411436619592122610167082',NULL,'989',33.94,1,3,NULL),(20,5224870,'1992-02-01 00:00:00',4,8,11,2009,'F','N','MOSSUNGUE','CURITIBA','PR','116164161217371431488814571122610136143',2762,'9998',71.48,1,3,NULL),(20,5224888,'1990-12-18 00:00:00',2,1,12,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124244248215142731423332322122610157091',NULL,'944',18.84,1,3,NULL),(20,5224896,'1991-09-10 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124241241115272411223623575124610126147',NULL,'734',31.97,1,2,1),(20,5224900,'1975-08-16 00:00:00',2,1,11,2001,'F','N','AREIAS','S JOSÉ','SC','124241241117371721325444445124610118147',NULL,'276',17.98,2,1,1),(20,5224918,'1988-10-24 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217574421468832572122610113147',6255,'270',63.34,1,3,NULL),(20,5224926,'1992-04-04 00:00:00',2,1,12,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124244241215141411547914335121610127063',NULL,'1074',20.07,1,3,NULL),(20,5224942,'1991-10-02 00:00:00',4,8,12,2009,'M','N','COMASA','JOINVILLE','SC','124243246217152431439614575121610137051',10356,'1105',53.82,1,3,NULL),(20,5224950,'1990-02-05 00:00:00',4,1,12,2007,'M','N','PARQUE CIDADE NOVA','MARINGÁ','PR','116162161235572431589839375122610167042',6119,'9998',64.47,1,3,NULL),(20,5224977,'1992-08-28 00:00:00',4,2,11,2009,'F','N','VELHA','BLUMENAU','SC','124241241215131531436622175222610166072',11378,'997',51.71,1,3,NULL),(20,5224985,'1989-05-03 00:00:00',2,1,10,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124241247316311431434319295124610118142',NULL,'9999',9.90,1,3,NULL),(20,5225000,'1992-01-23 00:00:00',4,1,12,2009,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116161161126141431344623315322610117111',NULL,'9998',24.75,1,2,1),(20,5225019,'1989-04-30 00:00:00',4,1,12,2006,'M','N','MORRO DA BINA','BIGUAÇU','SC','124241241116134421433611395122231414062',6873,'65',63.33,1,2,1),(20,5225027,'1990-11-03 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244247217132411236612171124233246187',NULL,'9999',0.00,1,3,NULL),(20,5225035,'1992-02-27 00:00:00',4,5,12,2009,'M','N','BORTOLUZZI','NOVA VENEZA','SC','124242241217161431337811175124610168041',14073,'995',47.38,1,3,NULL),(20,5225043,'1992-01-11 00:00:00',2,6,12,2009,'F','N','SÃO JOÃO','ITAJAÍ','SC','124244241215151431366612375122610128142',NULL,'1057',28.81,1,3,NULL),(20,5225051,'1993-03-18 00:00:00',2,1,12,2010,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215131431333321246114610122072',NULL,'1134',44.41,1,3,NULL),(20,5225086,'1991-07-23 00:00:00',2,7,12,2009,'M','N','INTERIOR','CAPINZAL','SC','124241242116131331533814375122610114172',NULL,'196',28.13,1,3,NULL),(20,5225094,'1989-05-19 00:00:00',2,6,12,2006,'F','N','HUMAITÁ','PTO ALEGRE','RS','120202201216571431267713572112610133197',NULL,'9998',0.00,1,3,NULL),(20,5225116,'1988-10-25 00:00:00',2,1,12,2005,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241142374431123311382314610133092',15258,'322',47.10,1,2,1),(20,5225124,'1990-10-28 00:00:00',4,1,12,2007,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241117271411426433445114610135142',NULL,'307',28.26,1,2,1),(20,5225132,'1984-01-06 00:00:00',2,1,12,2004,'F','N','SERRARIA','S JOSÉ','SC','224241241147271631423344246124610126143',16144,'729',43.10,4,2,1),(20,5225140,'1988-11-21 00:00:00',4,15,11,2007,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241248127131421324344342323613224052',NULL,'1033',24.26,4,2,1),(20,5225159,'1985-03-14 00:00:00',2,1,12,2004,'M','N','COLONIA SANTANA','S JOSÉ','SC','124241247241232411634434341333120862142',12884,'9999',52.58,1,3,NULL),(20,5225183,'1988-08-18 00:00:00',2,1,6,2006,'F','N','CHACARA','ITAQUI','RS','120204201116271432456313395122143241047',NULL,'9998',25.57,4,3,NULL),(20,5225191,'1992-05-15 00:00:00',4,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124241241335161432656414142325610161017',NULL,'783',52.20,1,3,NULL),(20,5225221,'1992-06-23 00:00:00',2,1,9,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241212111431456619592122610164142',NULL,'1022',24.21,1,3,NULL),(20,5225248,'1992-07-25 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241115151531534434575124610142147',10181,'307',56.53,1,3,NULL),(20,5225256,'1991-04-24 00:00:00',4,1,6,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242281215371432557812571114610127182',111,'9998',89.87,1,3,NULL),(20,5225264,'1992-10-06 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217122431558812572124610124142',3586,'270',71.41,1,3,NULL),(20,5225280,'1992-09-08 00:00:00',4,1,12,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241127131412335514375124610164082',10775,'733',52.10,1,3,NULL),(20,5225299,'1988-10-25 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117471711423324342124610123072',NULL,'257',18.50,1,2,1),(20,5225302,'1991-10-24 00:00:00',4,1,12,2009,'F','N','FORTALEZA DA BARRA','FLORIANÓPOLIS','SC','124244241214271431438611575124610122092',NULL,'951',31.35,1,3,NULL),(20,5225310,'1990-03-18 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','224241247216131532317758482324610164027',NULL,'9999',23.76,1,3,NULL),(20,5225329,'1988-10-23 00:00:00',2,8,12,2005,'M','N','NOVO MUNDO','CURITIBA','PR','116162161416111421436617345124243237042',NULL,'9998',0.00,1,3,NULL),(20,5225337,'1992-01-08 00:00:00',2,1,12,2009,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241115271441536614292124610147072',NULL,'592',29.45,1,2,1),(20,5225345,'1992-09-21 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241137131731444614342124610127047',14159,'307',50.06,1,2,1),(20,5225353,'1990-02-14 00:00:00',2,8,12,2008,'M','N','BRASILIA','S BENTO SUL','SC','124241241116131431436614345124610126057',NULL,'697',27.05,4,2,1),(20,5225361,'1991-04-15 00:00:00',2,5,11,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241215112431469914572122230227112',NULL,'226',17.34,1,3,NULL),(20,5225370,'1992-11-17 00:00:00',2,1,12,2009,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241241136131431326829295224610138197',NULL,'733',0.00,1,2,1),(20,5225388,'1992-02-19 00:00:00',4,15,12,2009,'M','N','CENTRO','ARARANGUÁ','SC','124241241117111431426634245121610117057',NULL,'30',19.40,1,2,1),(20,5225396,'1991-10-09 00:00:00',2,1,11,2008,'M','N','VARGEM DO BRAÇO','STO AMARO IMPERATRIZ','SC','124241241115131431626635272224610127047',NULL,'772',24.61,1,2,1),(20,5225400,'1994-03-21 00:00:00',4,10,11,2010,'M','S','CENTRO','TUBARÃO','SC','124242241215111431378632222122610114182',NULL,'9997',17.63,1,3,NULL),(20,5225418,'1989-03-18 00:00:00',4,1,12,2006,'M','N','JARDIM OKINAWA','PAULÍNIA','SP','125254256116371421337623345123610167122',NULL,'9998',0.00,4,3,NULL),(20,5225426,'1981-11-16 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','624242241211375751259942325122320268042',8139,'269',61.58,1,3,NULL),(20,5225434,'1952-02-23 00:00:00',4,1,12,1970,'F','N','BOM VIVER','BIGUAÇU','SC','124241241122153411231143492114320836047',NULL,'359',31.35,2,1,1),(20,5225442,'1989-07-13 00:00:00',4,1,8,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241248127241331225524242114613262145',NULL,'277',23.92,1,2,1),(20,5225450,'1986-03-29 00:00:00',4,1,11,2003,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124253251216375431439913445134121863025',4123,'9998',69.14,4,3,NULL),(20,5225485,'1992-06-03 00:00:00',2,1,12,2009,'F','N','RIO BRANCO','PTO ALEGRE','RS','120202201216371431279923372122610123042',11520,'9998',53.19,1,3,NULL),(20,5225493,'1991-04-25 00:00:00',2,15,12,2008,'F','N','SÃO LUÍS','SOMBRIO','SC','124241241211372421436513491121610138192',NULL,'770',21.46,1,3,NULL),(20,5225507,'1992-09-18 00:00:00',4,1,12,2009,'M','N','SANTA QUITÉRIA','CURITIBA','PR','116164161415471431348633575124610167112',6753,'9998',62.66,1,3,NULL),(20,5225523,'1987-12-27 00:00:00',4,8,12,2004,'F','N','JARDIM BOTÂNICO','CURITIBA','PR','116162161316573431435531575124143224122',NULL,'9998',23.78,1,3,NULL),(20,5225531,'1992-04-15 00:00:00',4,3,12,2009,'F','N','NAÇOES','BAL CAMBORIÚ','SC','124241241225372431438513375124610168082',15177,'389',47.31,1,3,NULL),(20,5225540,'1993-02-01 00:00:00',2,1,12,2010,'M','S','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124243241215111421558934245124610124042',NULL,'1014',25.84,1,3,NULL),(20,5225558,'1993-04-22 00:00:00',4,7,12,2009,'F','N','CENTRO','ERVAL VELHO','SC','124241241115371441436614572124610146142',9832,'253',56.39,1,2,1),(20,5225566,'1985-07-30 00:00:00',2,1,12,2002,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241115474631223344245124610134057',NULL,'732',44.59,1,2,1),(20,5225574,'1992-01-10 00:00:00',4,8,12,2009,'M','N','ÁGUA VERDE','JARAGUÁ SUL','SC','124243241147371411336321345121610166182',11331,'425',55.64,1,3,NULL),(20,5225582,'1990-01-19 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126273411436424474124610134115',12559,'290',51.55,1,2,1),(20,5225590,'1989-03-02 00:00:00',2,1,12,2007,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241115113231333314185124233264052',NULL,'9997',27.74,4,2,1),(20,5225612,'1993-01-26 00:00:00',4,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124242241217111431446614575122610124052',NULL,'723',26.23,1,3,NULL),(20,5225620,'1982-05-25 00:00:00',2,1,8,2003,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','624201206132272411426654382224610151097',8187,'9998',58.26,1,2,1),(20,5225639,'1984-04-18 00:00:00',4,15,12,2001,'M','N','COLONINHA','ARARANGUÁ','SC','124241241117151421426631315122333267053',NULL,'29',24.23,1,3,NULL),(20,5225647,'1970-07-28 00:00:00',4,1,7,1993,'M','N','VILA ANGELINA','S BERNARDO CAMPO','SP','125201247426273451126441285124610167047',NULL,'9999',0.00,4,3,NULL),(20,5225663,'1992-11-13 00:00:00',2,1,12,2009,'F','N','PACHECOS','PALHOÇA','SC','124241241115131431425613232124610165142',NULL,'592',28.94,1,2,1),(20,5225671,'1993-05-06 00:00:00',4,3,12,2009,'F','N','CENTRO','CAMBORIÚ','SC','124241241117371431326614575124610153142',12603,'130',49.15,1,2,1),(20,5225698,'1991-07-07 00:00:00',2,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241117371431336623572114610134197',NULL,'307',25.06,2,1,1),(20,5225701,'1992-01-31 00:00:00',2,15,12,2009,'F','N','POLÍCIA RODOVIÁRIA','ARARANGUÁ','SC','124241241115271431523364475124610134147',NULL,'30',0.00,1,2,1),(20,5225728,'1992-09-14 00:00:00',4,8,12,2009,'F','N','RIO NEGRO','S BENTO SUL','SC','124241241116371531426623372125610166097',NULL,'697',21.82,1,2,1),(20,5225736,'1993-03-22 00:00:00',4,4,12,2009,'F','N','INTERIOR','PAIAL','SC','124241248115131421526615572224610141052',NULL,'196',24.54,1,2,1),(20,5225744,'1992-07-30 00:00:00',2,1,12,2009,'M','N','BELA VISTA','PALHOÇA','SC','124241241115371721333334192124610118192',NULL,'592',26.09,1,2,1),(20,5225752,'1991-05-13 00:00:00',2,1,6,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372431358811575122610127182',12948,'1050',49.21,1,3,NULL),(20,5225760,'1992-02-20 00:00:00',2,1,12,2009,'M','N','PONTE IMARUIM','PALHOÇA','SC','124241241116372441223321285124610166173',12538,'592',51.55,1,2,1),(20,5225779,'1989-03-13 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116574411326631475114610112172',NULL,'289',46.88,3,2,1),(20,5225787,'1991-09-05 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241135371331524424275124610116037',15779,'295',40.44,2,1,1),(20,5225795,'1972-12-26 00:00:00',2,15,11,1994,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124202206117161421133344445125141462143',NULL,'9998',25.01,1,3,NULL),(20,5225809,'1990-09-12 00:00:00',2,1,12,2007,'F','N','VILA NOVA','PALHOÇA','SC','124241245116133431324419372124610127147',NULL,'591',23.96,1,2,1),(20,5225817,'1992-06-12 00:00:00',2,15,12,2009,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241248116151731623419575122610132187',NULL,'29',24.25,1,3,NULL),(20,5225825,'1991-12-23 00:00:00',2,1,12,2008,'F','N','SERRARIAS','S JOSÉ','SC','124241241115371431436513575114610142047',NULL,'307',25.74,4,2,1),(20,5225833,'1982-12-01 00:00:00',4,1,12,2002,'F','N','KOBRASOL','S JOSÉ','SC','124241241116132431123344445124610167027',NULL,'359',0.00,3,2,1),(20,5225841,'1991-01-08 00:00:00',2,1,12,2007,'F','N','MADRI','PALHOÇA','SC','124241241112473431213621382334610137077',NULL,'733',28.50,1,2,1),(20,5225850,'1992-10-08 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241115271411426621576124610166187',NULL,'307',33.43,1,2,1),(20,5225868,'1992-08-18 00:00:00',2,10,12,2009,'M','N','SÃO ROQUE','GRAVATAL','SC','124241241114371431522314372124610154057',4631,'331',67.43,1,2,1),(20,5225876,'1990-10-31 00:00:00',2,1,12,2007,'F','N','VILA MARIANA','S PAULO','SP','125251251117571411228821215124610162147',NULL,'9998',25.48,1,2,1),(20,5225884,'1992-08-05 00:00:00',4,3,10,2009,'M','N','CENTRO','CURITIBANOS','SC','124242241216112431458836375125610137052',4603,'1038',68.62,1,3,NULL),(20,5225906,'1991-07-28 00:00:00',4,6,12,2008,'F','N','SANTA TEREZINHA','BRUSQUE','SC','124243241117271431426514572112610124142',5213,'116',67.80,1,3,NULL),(20,5225914,'1992-05-22 00:00:00',4,8,12,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124243241346271411224879245121610166062',7089,'425',62.49,1,3,NULL),(20,5225922,'1987-01-24 00:00:00',2,1,6,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243247331132441454733395124233267187',NULL,'300',0.00,1,3,NULL),(20,5225930,'1991-05-21 00:00:00',4,1,12,2008,'F','N','CENTRO','CAXIAS SUL','RS','120201201117272521353722175122243216087',16234,'9998',42.16,4,1,1),(20,5225957,'1991-09-26 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215373731438827475124610134052',499,'1022',84.62,1,3,NULL),(20,5225981,'1992-04-25 00:00:00',2,1,12,2009,'F','N','JARDIM EUCALIPTOS','PALHOÇA','SC','124241241115371431533411575122610136147',NULL,'592',26.83,4,1,1),(20,5225990,'1992-01-23 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115141732526414345124610138147',NULL,'592',23.57,1,2,1),(20,5226007,'1992-09-08 00:00:00',4,8,12,2009,'M','N','SANTA CATARINA','JOINVILLE','SC','124242241215271431547632575124610124147',8821,'459',58.73,1,3,NULL),(20,5226015,'1992-01-25 00:00:00',4,8,12,2009,'M','N','PARQUE SANTANA','MOGI CRUZES','SP','125252251215111431459911271125610167172',4057,'9998',68.66,1,3,NULL),(20,5226023,'1986-02-04 00:00:00',4,1,12,2002,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116231431139933385124333228032',6090,'153',65.81,1,2,1),(20,5226031,'1990-01-30 00:00:00',2,1,12,2007,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241115272431424711345124610124112',NULL,'733',26.99,1,2,1),(20,5226040,'1990-10-24 00:00:00',4,1,2,2007,'F','N','CAMPINAS','S JOSÉ','SC','124244241215374431478813395124230225142',953,'270',81.59,1,3,NULL),(20,5226058,'1992-01-03 00:00:00',4,5,12,2009,'F','N','CENTRO','COCAL SUL','SC','124241241117141431436633232122610126152',NULL,'189',20.77,1,2,1),(20,5226066,'1985-08-20 00:00:00',1,1,12,2003,'M','N','JARDIM DAS PALMEIRAS','PALHOÇA','SC','124241241122473711126534245124231437067',16323,'900',39.32,1,2,1),(20,5226074,'1992-04-02 00:00:00',2,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241115371431423439575124610121182',13051,'288',52.26,1,2,1),(20,5226082,'1992-11-15 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201241116371731426616465124610125057',NULL,'295',23.79,1,2,1),(20,5226090,'1984-06-07 00:00:00',4,1,2,2000,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241117474431543923492124231017187',NULL,'267',26.68,4,2,1),(20,5226104,'1990-02-11 00:00:00',4,1,11,2007,'F','N','CAMPO BELO','S PAULO','SP','125252251217571431468911411114610166092',9405,'9998',57.75,1,3,NULL),(20,5226112,'1992-05-16 00:00:00',2,1,12,2009,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241114372451423623594124610123012',12595,'307',50.73,1,2,1),(20,5226120,'1991-10-24 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241216473431337931572114221424197',424,'272',85.18,4,3,NULL),(20,5226139,'1990-03-03 00:00:00',2,15,12,2008,'F','N','MORRO DOS CONVENTOS','ARARANGUÁ','SC','124241241117371731314424382124610163147',NULL,'29',25.04,4,2,1),(20,5226147,'1991-08-07 00:00:00',2,4,12,2008,'F','N','CENTRO','XANXERÊ','SC','124241241416271431434514472124231425077',16182,'1081',42.75,1,3,NULL),(20,5226155,'1991-07-28 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242248215272231446419495122610127057',NULL,'738',27.46,1,3,NULL),(20,5226163,'1985-11-06 00:00:00',2,1,12,2003,'M','N','CAMPOS ELISEOS','S PAULO','SP','125251251117571411223361295324610162047',NULL,'9998',0.00,1,2,1),(20,5226171,'1975-05-18 00:00:00',2,3,12,1993,'M','N','JARDIM IATE CLUBE','BAL CAMBORIÚ','SC','224241248126262711424449242123610148187',NULL,'47',24.73,1,2,1),(20,5226180,'1992-04-24 00:00:00',4,1,12,2009,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241112161431434623575121610137042',NULL,'1088',26.60,4,2,1),(20,5226201,'1992-01-26 00:00:00',2,3,12,2009,'F','N','MONTE ALEGRE','CAMBORIÚ','SC','124241241117471441436513285124610123077',13015,'131',49.09,1,2,1),(20,5226210,'1992-11-23 00:00:00',4,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115371431534611375124610168052',NULL,'307',27.96,1,2,1),(20,5226228,'1992-02-01 00:00:00',4,9,12,2009,'M','N','GUARUJÁ','LAGES','SC','124241241115271431223623435124610124172',NULL,'512',0.00,1,2,1),(20,5226236,'1992-12-21 00:00:00',2,1,12,2009,'F','N','BIGUAÇU','BIGUAÇU','SC','124241241116131231435711575121610132077',13769,'65',47.43,4,2,1),(20,5226244,'1991-03-16 00:00:00',2,2,12,2009,'M','N','SANTO ANTONIO','MTE CARLO','SC','124241241136131731426344345121610134053',NULL,'936',25.59,1,2,1),(20,5226252,'1992-06-09 00:00:00',4,3,12,2009,'F','N','CENTRO','CAMBORIÚ','SC','124241241116271431314621275121610126147',NULL,'130',40.81,1,2,1),(20,5226260,'1986-04-12 00:00:00',2,1,12,2003,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241241116271421114633285124610117063',NULL,'564',43.72,1,3,NULL),(20,5226279,'1992-05-18 00:00:00',4,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241225371431226628375124610132162',9482,'262',57.13,1,3,NULL),(20,5226287,'1991-09-19 00:00:00',2,1,12,2009,'F','N','CENTRO','ERVAL SECO','RS','120201201146131411423319245122610167142',NULL,'9998',18.70,1,3,NULL),(20,5226309,'1987-10-16 00:00:00',4,1,12,2004,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215575431578934575112223237142',640,'262',83.62,1,3,NULL),(20,5226317,'1958-09-03 00:00:00',4,1,12,1979,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','524252254217131421258841242122340267113',NULL,'9998',NULL,1,3,NULL),(20,5226325,'1989-09-06 00:00:00',4,1,12,2006,'M','N','FUNDOS','BIGUAÇU','SC','124241241117151431433311342113610122047',NULL,'65',40.31,1,2,1),(20,5226333,'1992-02-28 00:00:00',2,1,12,2009,'M','N','BOM VIVER','BIGUAÇU','SC','124241241117471731224529575124610144192',10815,'66',54.45,1,2,1),(20,5226341,'1991-09-14 00:00:00',2,4,12,2008,'M','N','ELDORADO III','CHAPECÓ','SC','124241241116152432123641315124230836157',12546,'648',49.70,1,3,NULL),(20,5226350,'1989-10-01 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473431438913595124230267117',4686,'270',68.90,1,3,NULL),(20,5226368,'1991-07-16 00:00:00',4,10,12,2009,'F','N','VILA JOSÉ NAZÁRIO','ARMAZÉM','SC','124241248127141731424314245121610113147',NULL,'34',23.18,1,2,1),(20,5226376,'1981-04-06 00:00:00',2,16,7,2007,'M','N','INTERIOR','CURITIBANOS','SC','124241247226132431534315152312610167185',NULL,'9999',50.46,1,3,NULL),(20,5226384,'1992-05-10 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115471431323414572114610161147',14765,'288',45.03,1,2,1),(20,5226392,'1990-06-29 00:00:00',4,7,12,2008,'F','N','FARROUPILHA','VIDEIRA','SC','124241241136131531423319245124131434197',NULL,'831',18.84,1,2,1),(20,5226406,'1985-08-09 00:00:00',4,1,8,2003,'M','N','BARREIROS','S JOSÉ','SC','124242241117141731233644445124133244187',11417,'306',52.37,1,3,NULL),(20,5226430,'1989-12-27 00:00:00',4,5,6,2008,'M','N','BRASILIA','CRICIÚMA','SC','124243246315272421436613442124610132052',9538,'995',56.13,1,3,NULL),(20,5226449,'1978-01-08 00:00:00',2,1,12,2000,'F','N','ARMACAO DO PANTANO','FLORIANÓPOLIS','SC','124161161145574421122349345124610133023',NULL,'9998',44.15,1,2,1),(20,5226457,'1990-08-13 00:00:00',2,1,12,2007,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215373431569921572124233264117',12040,'262',54.32,1,3,NULL),(20,5226465,'1987-08-08 00:00:00',4,1,12,2004,'F','N','CENTRO','NOVO HAMBURGO','RS','120203201216271531348744445124143224047',NULL,'9998',0.00,1,3,NULL),(20,5226473,'1989-07-30 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124253251336473431127721372124222224147',11265,'9998',55.78,1,3,NULL),(20,5226481,'1992-02-18 00:00:00',4,15,11,2008,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215272711445822215122610128183',8710,'995',60.52,1,3,NULL),(20,5226490,'1979-02-22 00:00:00',2,1,11,1997,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','424241241126273431626844445134132024017',15721,'288',45.41,4,2,1),(20,5226503,'1985-07-14 00:00:00',2,1,5,2006,'M','N','SÃO JOSÉ','S SEBASTIÃO','DF','107071077326372731223311142114121462097',NULL,'9998',0.00,4,1,2),(20,5226511,'1991-12-20 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124203201215272252139933245114610127052',3754,'9998',71.47,4,3,NULL),(20,5226520,'1982-11-11 00:00:00',2,1,12,1998,'F','N','SAO SEBASTIAO','PALHOÇA','SC','124241243137271421333444442332610128067',NULL,'591',0.00,1,2,1),(20,5226554,'1984-12-07 00:00:00',2,1,12,2004,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','224241241147131331224554342124132034147',NULL,'192',25.32,1,2,1),(20,5226589,'1984-04-06 00:00:00',2,1,12,2001,'M','N','BARREIROS','S JOSÉ','SC','624241241116333431325414345134610127047',NULL,'293',28.68,4,2,1),(20,5226597,'1984-02-24 00:00:00',4,4,12,2001,'F','N','CENTRO','CHAPECÓ','SC','124241241126271431124444345124610126042',NULL,'176',0.00,1,2,1),(20,5226600,'1988-09-21 00:00:00',4,1,12,2005,'M','N','SÃO DIMAS','PIRACICABA','SP','125251251146431411335311485114610142097',NULL,'9998',0.00,1,2,1),(20,5226619,'1991-01-17 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241122472431323321275124610113147',13077,'285',50.04,1,2,1),(20,5226651,'1985-01-08 00:00:00',2,15,12,2004,'F','N','ESPLANADA','CAXIAS SUL','RS','120201205116272131533339145124140226017',NULL,'9998',25.68,1,2,1),(20,5226678,'1991-12-24 00:00:00',2,10,12,2009,'F','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241125131231523311275124610162147',15590,'322',41.94,1,2,1),(20,5226686,'1991-12-15 00:00:00',2,1,12,2009,'F','N','CAPECHE','FLORIANÓPOLIS','SC','124241241115131331523631272114610157062',NULL,'295',26.14,1,2,1),(20,5226694,'1981-12-28 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244247137372731636619285122610136187',NULL,'9999',46.44,1,3,NULL),(20,5226708,'1992-06-07 00:00:00',2,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124244241116371411324439175121610145057',7968,'471',58.88,1,3,NULL),(20,5226716,'1991-06-11 00:00:00',4,1,12,2008,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241126131411566414345123610161142',NULL,'873',0.00,1,2,1),(20,5226732,'1990-10-10 00:00:00',2,1,12,2008,'F','N','DANIELA','FLORIANÓPOLIS','SC','124241241117272731636619592124610164147',NULL,'288',28.76,1,2,1),(20,5226740,'1991-09-13 00:00:00',4,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124243241111332431226821571124610133142',NULL,'465',52.65,4,3,NULL),(20,5226759,'1989-04-25 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116472431336671282122610167142',15097,'307',47.59,1,2,1),(20,5226767,'1987-05-03 00:00:00',2,1,11,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','224241248317271431223353282224610117027',NULL,'9999',21.75,1,3,NULL),(20,5226775,'1992-04-30 00:00:00',2,10,11,2009,'F','N','FÁBIO SILVA','TUBARÃO','SC','124241241117371431323314175121610168047',11913,'804',51.23,1,2,1),(20,5226783,'1992-09-18 00:00:00',4,7,12,2009,'F','N','INTERIOR','SALTO VELOSO','SC','124241241115371431424636392224610123147',NULL,'684',0.00,1,2,1),(20,5226791,'1990-10-04 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215472751246723371122610166147',NULL,'983',0.00,1,3,NULL),(20,5226805,'1990-10-21 01:00:00',4,10,12,2008,'M','N','VILA MOEMA','TUBARÃO','SC','124244241436152231348619572115610134042',NULL,'9997',21.99,1,3,NULL),(20,5226813,'1984-05-24 00:00:00',4,1,12,2001,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216455231368613575122221467042',894,'262',81.93,1,3,NULL),(20,5226821,'1985-03-23 00:00:00',2,5,12,2002,'F','N','JARDIM ANGELICA','CRICIÚMA','SC','124241244116145431324611242114130637097',NULL,'228',29.00,1,2,1),(20,5226830,'1990-02-28 00:00:00',2,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241217133431446629382124610127047',15092,'1022',47.60,1,3,NULL),(20,5226848,'1983-08-13 00:00:00',4,1,6,2003,'M','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124241241132272431222344442123610122195',12422,'192',53.52,1,2,1),(20,5226856,'1992-12-08 00:00:00',2,1,12,2009,'F','N','CENTRO','CANELINHA','SC','124241241117271331224329272124610136142',NULL,'142',27.29,1,2,1),(20,5226864,'1991-12-03 00:00:00',4,9,12,2009,'F','N','FREI ROGERIO','LAGES','SC','124241241215111431226629472322610164147',NULL,'515',29.91,1,3,NULL),(20,5226872,'1992-08-21 00:00:00',4,4,12,2009,'F','N','INTERIOR','JARDINÓPOLIS','SC','124241241115131431423335572322610123147',NULL,'444',22.50,1,2,1),(20,5226880,'1988-04-04 00:00:00',4,7,12,2005,'M','N','SANTA TERESA','JOAÇABA','SC','124241241116271741228723195124131464142',8950,'449',56.97,1,2,1),(20,5226899,'1980-11-18 00:00:00',2,1,12,2000,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241147274411223344344224610123142',NULL,'733',17.53,2,1,1),(20,5226902,'1982-08-28 00:00:00',2,1,12,2000,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241116135431225749295123133262097',9916,'307',55.61,1,3,NULL),(20,5226910,'1990-09-08 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116371731526624272124610121047',NULL,'295',19.35,2,1,1),(20,5226937,'1988-10-05 00:00:00',4,15,12,2005,'F','N','ARIZONA','JACINTO MACHADO','SC','124241241116271431438319335131610128052',NULL,'420',0.00,1,2,1),(20,5226945,'1983-09-26 00:00:00',2,1,12,2001,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124203201116371431126544345124610126147',11270,'9998',52.82,1,3,NULL),(20,5226953,'1983-12-06 00:00:00',2,1,12,2003,'F','N','LAGOA DA CONCEIÇAÕ','FLORIANÓPOLIS','SC','124251251127271431244673245133610127117',NULL,'9998',21.33,1,2,1),(20,5226961,'1980-05-14 00:00:00',2,1,12,1997,'M','N','CENTRO','ÁGUAS MORNAS','SC','224241241126133611233323245124333227052',NULL,'12',0.00,1,2,1),(20,5226970,'1980-01-20 00:00:00',2,1,12,1999,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241147472411221344442334610127017',NULL,'281',28.41,1,2,1),(20,5226988,'1991-05-09 00:00:00',2,1,12,2008,'F','N','N S DO ROSÁRIO','S JOSÉ','SC','124241241115272431526521572124610168192',10920,'729',56.46,1,2,1),(20,5226996,'1985-02-08 00:00:00',2,1,12,2002,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241116333731124444345234130227147',NULL,'76',42.20,1,2,1),(20,5227003,'1986-04-11 00:00:00',2,1,12,2003,'M','N','CENTRO','LONDRINA','PR','116162161121112111122512211211110121011',1962,'9998',77.03,1,3,NULL),(20,5227011,'1986-06-18 00:00:00',2,1,12,2003,'F','N','MORRO DOS VENTURAS','STO AMARO IMPERATRIZ','SC','224241241116475421236654345334610161017',11373,'772',51.54,1,2,1),(20,5227020,'1992-06-22 00:00:00',4,1,12,2009,'M','N','ENCRUZILHADA','BIGUAÇU','SC','124241241111131431528631212214610167017',NULL,'65',26.60,1,3,NULL),(20,5227046,'1992-02-03 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217372431369923575124232437187',NULL,'270',0.00,1,3,NULL),(20,5227062,'1979-04-14 00:00:00',2,1,10,2004,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','224241247337133431314359372214610123187',NULL,'9999',18.83,1,3,NULL),(20,5227070,'1993-03-12 00:00:00',4,8,12,2009,'M','N','GLORIA','JOINVILLE','SC','124242248231111731478832571115610117012',10628,'457',56.99,1,3,NULL),(20,5227089,'1982-10-12 00:00:00',4,1,12,2000,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124202201217371731136649495122240227047',NULL,'9998',15.56,1,3,NULL),(20,5227100,'1973-08-29 00:00:00',2,1,12,1990,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248136371451123644445334610123093',NULL,'757',25.92,1,3,NULL),(20,5227119,'1991-05-18 00:00:00',2,1,12,2009,'F','N','N S DO ROSÁRIO','S JOSÉ','SC','124241241115271431526514375124610168182',NULL,'729',21.39,1,2,1),(20,5227127,'1986-04-02 00:00:00',2,1,12,2004,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124203161117273431217344442331610134057',NULL,'9998',44.79,1,3,NULL),(20,5227135,'1979-06-16 00:00:00',4,1,12,1997,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124022021212251731248819395324140767047',NULL,'9998',0.00,1,3,NULL),(20,5227151,'1989-07-01 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116232431536624415124610138142',16278,'307',41.17,1,2,1),(20,5227160,'1989-08-02 00:00:00',2,1,12,2007,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124243241327574231116341212324610163011',NULL,'307',28.38,1,3,NULL),(20,5227178,'1958-07-23 00:00:00',4,1,12,1976,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224212211246112431584153235122320866192',NULL,'9998',0.00,1,3,NULL),(20,5227186,'1991-08-02 00:00:00',2,1,12,2008,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241117142431423314375124230217097',NULL,'307',0.00,1,2,1),(20,5227194,'1991-07-13 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241111271431313419282324610131072',NULL,'307',31.65,1,2,1),(20,5227208,'1987-12-12 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241126143421434624345124610124143',12923,'285',51.01,1,2,1),(20,5227216,'1990-06-29 00:00:00',4,1,12,2007,'F','N','JARDIM CARANDAI','BIGUAÇU','SC','124241241115133431436923495124222226197',NULL,'306',0.00,1,2,1),(20,5227224,'1989-06-25 00:00:00',4,1,6,2007,'M','N','ARREIAS','S JOSÉ','SC','124244241117372411424712375124610164017',13032,'306',52.30,1,3,NULL),(20,5227232,'1987-08-13 00:00:00',2,1,12,2005,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241337134431323311342124130236147',12544,'262',51.19,1,3,NULL),(20,5227240,'1989-08-26 00:00:00',2,4,5,2008,'M','N','SÃO JOÃO','SEARA','SC','124242242226141431333313445122610157147',NULL,'836',15.32,1,3,NULL),(20,5227259,'1988-03-24 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241316575411436821375124233262092',3158,'9997',71.69,1,3,NULL),(20,5227267,'1993-09-21 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241211111431468712575122610127042',NULL,'1169',36.42,1,3,NULL),(20,5227275,'1989-06-26 00:00:00',2,1,12,2009,'F','N','RIO VACARIANO','URUBICI','SC','124241241117161122413313572324610167157',NULL,'818',15.60,4,2,1),(20,5227283,'1991-07-13 00:00:00',2,6,12,2008,'M','N','SAO VICENTE','ITAJAÍ','SC','124242241215411521655511315122610114042',NULL,'388',33.88,1,3,NULL),(20,5227291,'1989-10-29 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241112272721126748382124610126182',NULL,'307',26.18,1,3,NULL),(20,5227305,'1984-09-17 00:00:00',2,1,11,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241247147141431123344145124610126147',NULL,'9999',0.00,1,2,1),(20,5227313,'1984-03-11 00:00:00',2,1,12,2003,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','224241241112271431223354342134610124147',NULL,'289',23.52,1,2,1),(20,5227321,'1990-02-28 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241145573431423624184244610142092',10007,'283',58.13,1,2,1),(20,5227330,'1988-01-07 00:00:00',4,4,12,2006,'M','N','CIDADE ALTA','BENTO GONÇALVES','RS','120203202117152431558713351122143244047',11298,'9998',55.70,1,3,NULL),(20,5227348,'1973-05-14 00:00:00',2,1,12,1998,'F','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','224201207626133421423351182224610124147',11630,'9998',55.07,1,3,NULL),(20,5227356,'1987-12-26 00:00:00',2,1,12,2006,'F','N','REAL PARQUE','S JOSÉ','SC','124241247121271751513374241124610116187',NULL,'9997',26.89,1,2,1),(20,5227364,'1990-01-07 00:00:00',2,1,12,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241111142411226923431324122326017',NULL,'669',20.83,1,3,NULL),(20,5227372,'1984-07-27 00:00:00',4,1,8,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241122332731421514245134613224197',NULL,'307',25.50,4,1,1),(20,5227380,'1980-08-01 00:00:00',2,1,7,1999,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','524241248146575751126849395334610168187',12717,'306',52.90,1,2,1),(20,5227399,'1978-10-17 00:00:00',4,15,12,2005,'M','N','CIDADE ALTA','ARARANGUÁ','SC','224243242116545441551642425122131412176',NULL,'33',0.00,1,3,NULL),(20,5227402,'1986-09-05 00:00:00',4,1,12,2004,'M','N','BOM VIVER','BIGUAÇU','SC','224241241116271431423344245233610137142',NULL,'993',25.43,1,2,1),(20,5227410,'1986-06-19 00:00:00',2,2,12,2004,'F','N','CANTA GALO','RIO SUL','SC','124241241141371711123349294221232824077',14702,'680',46.04,1,2,1),(20,5227429,'1990-09-25 00:00:00',4,1,9,2008,'M','N','FLORESTA','S JOSÉ','SC','124242241216132711358823445121221467052',6457,'738',65.01,4,3,NULL),(20,5227445,'1992-12-09 00:00:00',4,1,12,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','106241241135131411428611285124610126017',NULL,'267',28.87,1,2,1),(20,5227453,'1992-02-20 00:00:00',4,1,12,2009,'F','N','USINA','ANTÔNIO CARLOS','SC','124241241117271411434419572124610127077',8730,'21',56.96,1,2,1),(20,5227461,'1992-04-09 00:00:00',2,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124241241112471641223621372114610164057',NULL,'730',40.76,2,1,1),(20,5227470,'1987-06-04 00:00:00',4,1,7,2007,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124241241116532431446633472224232547183',13789,'306',50.75,1,2,1),(20,5227488,'1992-06-17 00:00:00',4,2,12,2009,'M','N','PORTÃO','CURITIBA','PR','116162161216111741459612575122610167062',NULL,'9998',0.00,1,3,NULL),(20,5227500,'1992-07-26 00:00:00',4,4,12,2009,'M','N','ALVORADA','MARMELEIRO','PR','116161161116371431536332392121610128052',NULL,'9998',39.75,1,2,1),(20,5227518,'1991-10-29 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241111132431524634282324610144147',13610,'288',47.55,1,2,1),(20,5227534,'1993-01-12 00:00:00',4,5,11,2010,'F','S','PIO CORREA','CRICIÚMA','SC','124242241215111411438912472122612442142',NULL,'211',48.61,1,3,NULL),(20,5227542,'1953-03-09 00:00:00',5,1,12,1982,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124202247411131411213629381324131011057',NULL,'9999',42.50,1,3,NULL),(20,5227569,'1992-06-17 00:00:00',4,2,12,2009,'M','N','PORTÃO','CURITIBA','PR','116162161216111711449612575122610167042',NULL,'9998',0.00,1,3,NULL),(20,5227577,'1990-09-06 00:00:00',2,1,11,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116153451423611495124610138142',10958,'288',53.38,1,2,1),(20,5227593,'1980-01-15 00:00:00',2,1,12,1997,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241127273441123344142334610154187',NULL,'191',25.15,2,2,1),(20,5227607,'1989-02-21 00:00:00',2,3,11,2006,'M','N','CERQUEIRA CESAR','S PAULO','SP','125251251116141711223529342334141867097',NULL,'9998',29.05,1,3,NULL),(20,5227615,'1990-10-04 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124244248137271431423712586124610164017',9922,'278',58.30,1,3,NULL),(20,5227623,'1984-02-23 00:00:00',2,1,12,2004,'M','N','FORQUILHINHAS','S JOSÉ','SC','124244241117131421323728245123130257057',NULL,'9997',22.45,2,1,2),(20,5227631,'1992-08-09 00:00:00',4,1,12,2009,'F','N','CENTRO','IMARUÍ','SC','124241241145131431624923242324610124147',NULL,'356',0.00,1,2,1),(20,5227640,'1988-07-20 00:00:00',4,2,12,2005,'M','N','CENTRO','PTO ALEGRE','RS','120242241216142431437819375124241444042',7035,'909',61.05,1,3,NULL),(20,5227658,'1992-02-29 00:00:00',2,1,12,2009,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124244241116371731426613572124610122147',16065,'592',39.85,1,3,NULL),(20,5227666,'1989-04-16 00:00:00',4,1,12,2006,'F','N','ZONA SETE','MARINGÁ','PR','116166161216572431579313575122610132143',NULL,'9998',0.00,1,3,NULL),(20,5227674,'1966-09-19 00:00:00',2,1,12,2001,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116475421464453142224610117011',NULL,'298',28.09,1,2,1),(20,5227682,'1988-01-13 00:00:00',1,2,3,2008,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124281281114472712558813175224610164041',199,'9998',87.96,1,3,NULL),(20,5227690,'1993-04-14 00:00:00',4,3,11,2009,'F','N','CENTRO','LINDÓIA SUL','SC','124242241215111431478832575125610124147',NULL,'1038',39.59,1,3,NULL),(20,5227704,'1988-10-22 00:00:00',2,1,12,2007,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243247345132431633624345124610116033',NULL,'9999',29.52,1,3,NULL),(20,5227712,'1991-10-29 00:00:00',2,1,11,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116273431323321345334610147052',NULL,'281',26.40,1,2,1),(20,5227720,'1954-08-13 00:00:00',4,1,12,1971,'M','N','CENTRO','FLORIANÓPOLIS','SC','524241248137354431148641412122322162187',1345,'307',79.54,1,2,1),(20,5227739,'1985-10-10 00:00:00',4,1,12,2002,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241316575431348823485124133264017',166,'943',88.64,1,3,NULL),(20,5227747,'1991-04-26 00:00:00',2,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124241241116152431456313275124220726192',10139,'592',57.90,1,2,1),(20,5227755,'1991-10-10 00:00:00',4,16,12,2008,'M','N','CENTRO','CURITIBANOS','SC','124241241217161512377736375112133168125',NULL,'237',22.52,1,3,NULL),(20,5227763,'1991-01-15 00:00:00',4,9,12,2007,'M','N','BRUSQUE','LAGES','SC','124242161215271441567824475122131032017',4755,'499',68.97,1,3,NULL),(20,5227771,'1991-01-21 00:00:00',4,1,12,2008,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241248115371431325334572124610114147',11691,'292',54.12,1,2,1),(20,5227780,'1992-08-11 00:00:00',4,1,10,2009,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124201241117371431326924445124610112012',NULL,'288',55.36,1,2,1),(20,5227798,'1993-07-14 00:00:00',4,1,12,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217121431479931572122610162122',11232,'270',55.85,1,3,NULL),(20,5227801,'1991-11-22 00:00:00',4,16,12,2008,'F','N','CENTRO','CURITIBANOS','SC','124241241111272411326413572111610131145',NULL,'239',0.00,1,2,1),(20,5227810,'1991-04-28 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272431549913575112610164141',10858,'270',53.14,1,3,NULL),(20,5227828,'1977-01-26 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','224241247427131421526851211213610112187',NULL,'977',17.65,1,3,NULL),(20,5227836,'1990-01-13 00:00:00',4,8,12,2007,'M','N','TRIANON','GUARAPUAVA','PR','116162161217571441466819575121610162036',4821,'9998',68.81,1,3,NULL),(20,5227844,'1989-09-11 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372452268823572112122824195',4656,'270',69.19,1,3,NULL),(20,5227860,'1993-01-10 00:00:00',2,1,11,2009,'F','N','SERTÃO DO IMARUI','S JOSÉ','SC','124244241226271431326624575124610127147',11218,'262',53.81,1,3,NULL),(20,5227879,'1991-08-06 00:00:00',4,1,12,2008,'F','N','CENTRO','S PEDRO ALCÂNTARA','SC','124241241125372731423314472324610166147',NULL,'869',32.40,1,2,1),(20,5227887,'1989-09-15 00:00:00',4,8,12,2006,'M','N','PARQUE JAMBEIRO','CAMPINAS','SP','125251251116571441446613585114243237047',6924,'9998',61.81,4,3,NULL),(20,5227895,'1982-01-14 00:00:00',4,1,12,2000,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116135421116364442134610114172',12058,'307',54.27,1,2,1),(20,5227909,'1974-03-27 00:00:00',4,1,12,1991,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124203241416312721648614342122120467117',13037,'272',52.29,1,3,NULL),(20,5227917,'1964-03-28 00:00:00',4,1,12,1983,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224244241212144411463953435122320211095',13594,'654',51.18,1,3,NULL),(20,5227925,'1989-11-01 00:00:00',2,1,7,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','624241241116272431433514385114121422015',13052,'306',52.26,4,2,1),(20,5227933,'1992-04-03 00:00:00',4,1,12,2008,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124201241114372431333522272214221766177',12850,'733',52.64,1,2,1),(20,5227941,'1984-01-10 00:00:00',2,1,12,2000,'M','N','JARDIM ITÚ SABARÁ','PTO ALEGRE','RS','120201201416152431336629485112143261062',12106,'9998',51.75,1,3,NULL),(20,5227950,'1992-01-12 00:00:00',4,5,12,2009,'M','N','PINHEIRINHO','CRICIÚMA','SC','124242246217131431458613575122610167041',NULL,'230',0.00,1,3,NULL),(20,5227968,'1986-09-18 00:00:00',4,1,12,2003,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201201137131411225664282124240245147',NULL,'9998',42.36,1,2,1),(20,5227976,'1991-10-17 00:00:00',4,1,12,2008,'M','N','SERRARIA','S JOSÉ','SC','124241241117111431438614385114610162052',NULL,'1116',15.23,1,2,1),(20,5227984,'1987-02-09 00:00:00',2,1,12,2005,'F','N','BALNEARIO ESTREITO','FLORIANÓPOLIS','SC','124241241111373431521544241134133033052',11093,'500',56.10,4,2,1),(20,5228000,'1990-07-02 00:00:00',4,1,12,2007,'F','N','AREIAS','PAULO LOPES','SC','124241241142271732424411272324610136187',NULL,'607',0.00,1,2,1),(20,5228018,'1990-05-14 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124242241216172431326414575124232012017',13894,'738',50.57,1,3,NULL),(20,5228026,'1977-12-24 00:00:00',4,1,12,1996,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124201204112131412235744342234141325092',NULL,'9998',42.66,1,3,NULL),(20,5228034,'1993-05-12 00:00:00',2,1,10,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112411458923575114610144055',5111,'1022',66.08,1,3,NULL),(20,5228050,'1981-08-20 00:00:00',2,1,12,1998,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201208121273722426344442334610163047',NULL,'9998',41.04,1,2,1),(20,5228077,'1992-09-18 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243241215111411213823272124610148142',9526,'1134',57.00,1,3,NULL),(20,5228085,'1987-02-02 00:00:00',2,1,7,2005,'M','N','IPIRANGA','S JOSÉ','SC','124241247127572441223623132333610145047',NULL,'9999',0.00,1,2,1),(20,5228093,'1986-03-30 00:00:00',2,1,12,2002,'F','N','MORADA DO OURO','CUIABÁ','MT','111112111216571411659913575122141037047',4625,'9998',69.25,1,3,NULL),(20,5228107,'1993-05-06 00:00:00',2,1,12,2010,'F','S','CENTRO','STO AMARO IMPERATRIZ','SC','124243241215121431436611575122610133043',NULL,'1014',48.12,1,3,NULL),(20,5228115,'1955-09-30 00:00:00',3,1,8,1976,'M','N','SERRARIA','S JOSÉ','SC','224241246132145431423341212122120814041',NULL,'306',20.13,2,1,1),(20,5228123,'1989-08-04 00:00:00',2,6,11,2007,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124244241415271231354311345122610124147',NULL,'106',0.00,1,3,NULL),(20,5228131,'1991-12-25 00:00:00',2,1,12,2008,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241116373321523514475124610166147',NULL,'288',22.32,1,2,1),(20,5228140,'1991-02-03 00:00:00',2,1,12,2008,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124243241117272411346823575114610121181',13756,'267',50.81,1,3,NULL),(20,5228158,'1991-07-19 00:00:00',2,1,12,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241436272411423314386114130823171',16056,'262',43.72,1,3,NULL),(20,5228166,'1993-07-14 00:00:00',4,4,12,2009,'F','N','LINHA LAMBARI','IRACEMINHA','SC','124241241116131331333636572222610141057',NULL,'377',26.75,1,2,1),(20,5228174,'1980-08-25 00:00:00',2,1,12,1997,'M','N','CAMPINAS','S JOSÉ','SC','224241241116273231436643435122323268132',7645,'307',62.54,1,2,1),(20,5228182,'1991-07-26 00:00:00',2,1,12,2008,'F','N','CENTRO','SALETE','SC','124242241215372431446623574124131033127',8794,'991',60.36,1,3,NULL),(20,5228204,'1980-12-30 00:00:00',2,1,11,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124163166117273431353327371224343262057',NULL,'9998',0.00,1,3,NULL),(20,5228212,'1992-01-28 00:00:00',4,1,12,2009,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241125141531333423345134610135057',NULL,'731',25.57,1,2,1),(20,5228220,'1986-03-10 00:00:00',2,1,12,2003,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','124243241116374441453329423333610168192',7524,'739',62.76,1,3,NULL),(20,5228239,'1990-07-12 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124242241217373431346812395112232662122',10490,'499',57.25,1,3,NULL),(20,5228247,'1992-07-08 00:00:00',2,1,12,2009,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241112471711433333572122610168182',NULL,'295',44.17,1,2,1),(20,5228255,'1986-01-21 00:00:00',2,1,12,2004,'F','N','ARIRIU','PALHOÇA','SC','124241241126374731433324445234610142187',NULL,'593',29.52,1,2,1),(20,5228263,'1991-09-25 00:00:00',2,1,12,2008,'F','N','PASSO DA AREIA','PTO ALEGRE','RS','120202201217471431247724475124610144172',10951,'9998',56.40,1,3,NULL),(20,5228271,'1993-03-11 00:00:00',2,7,12,2009,'F','N','CENTRO','JABORÁ','SC','124241241126271431223331575122610167052',NULL,'418',26.47,1,2,1),(20,5228280,'1992-05-02 00:00:00',4,8,12,2009,'F','N','HAUER','CURITIBA','PR','116162161217111251459933574112610118087',NULL,'9998',14.01,1,3,NULL),(20,5228298,'1992-03-07 00:00:00',2,1,12,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241112371431436334572124610123197',NULL,'307',28.00,2,1,1),(20,5228310,'1991-04-23 00:00:00',2,1,11,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','224241241122131431226658372123610123147',NULL,'298',18.45,1,2,1),(20,5228328,'1990-01-18 00:00:00',4,1,12,2008,'F','N','AREIAS','PAULO LOPES','SC','124241241122271731622129252224610134147',NULL,'607',24.28,1,2,1),(20,5228336,'1984-03-17 00:00:00',2,1,12,2003,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241141333441123644241234610136177',NULL,'591',25.63,1,2,1),(20,5228352,'1985-09-27 00:00:00',4,1,12,2002,'F','N','SAGRADA FAMÍLIA','BELO HORIZONTE','MG','113132131217573411269919485124133263147',942,'9998',81.20,2,3,NULL),(20,5228360,'1989-09-24 00:00:00',2,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241247121131431113149191324610164047',NULL,'9999',21.41,1,2,1),(20,5228379,'1992-07-26 00:00:00',2,1,11,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241135372731533624372324610126145',13411,'307',51.57,4,2,1),(20,5228387,'1992-06-03 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124241241136271431334373391124610128042',9169,'69',58.16,1,2,1),(20,5228395,'1993-03-03 00:00:00',2,15,12,2009,'F','N','PIQUE DO MEIO','MELEIRO','SC','124241241115271731545516575124610121097',NULL,'559',25.57,1,2,1),(20,5228409,'1989-03-20 00:00:00',2,1,12,2006,'F','N','MANOEL FRANCISCO','LIMEIRA','SP','125251253126573711214448382324141427057',6862,'9998',62.74,1,2,1),(20,5228417,'1992-12-07 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242248217112431355511372114610142047',NULL,'1022',27.54,1,3,NULL),(20,5228425,'1988-12-15 00:00:00',2,1,6,2007,'M','N','RATONES','FLORIANÓPOLIS','SC','124244247316574431336635445124233218181',NULL,'270',28.54,1,3,NULL),(20,5228433,'1991-05-13 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124243241215472131457629572114610163052',5628,'1022',66.42,1,3,NULL),(20,5228441,'1984-10-21 00:00:00',2,1,12,2001,'M','N','INGLESES','FLORIANÓPOLIS','SC','224252251217131431226644445124343222012',10727,'9998',56.83,1,3,NULL),(20,5228450,'1992-03-10 00:00:00',2,9,12,2008,'F','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124242241215272431558834572122610126092',4974,'499',65.43,1,3,NULL),(20,5228468,'1973-01-20 00:00:00',2,1,4,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241247127271431421319441114610124082',NULL,'9999',23.89,2,1,1),(20,5228492,'1986-05-19 00:00:00',4,1,11,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241214152451128812495122320633187',5714,'226',66.67,1,3,NULL),(20,5228506,'1987-08-16 00:00:00',2,1,12,2004,'M','N','BARREIROS','S JOSÉ','SC','124241241117372431636523395234230827042',NULL,'734',46.91,1,2,1),(20,5228514,'1992-04-28 00:00:00',4,9,11,2009,'M','N','CENTRO','CONCÓRDIA','SC','124243241215111731636313375122610162057',9524,'1000',58.15,1,3,NULL),(20,5228522,'1990-05-21 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241116373421446313344114610167113',NULL,'307',46.48,1,2,1),(20,5228530,'1987-02-23 00:00:00',2,1,12,2005,'F','N','PENHA','PAULO LOPES','SC','124241241136375411124543335124610134042',12396,'361',51.65,1,2,1),(20,5228549,'1988-10-13 00:00:00',2,10,11,2006,'F','N','SANTO ANTONIO','TUBARÃO','SC','124242241216372751444611475112130461142',NULL,'807',21.63,1,3,NULL),(20,5228557,'1991-01-18 00:00:00',4,1,12,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124244241117161431446613372124610162172',NULL,'727',47.00,1,3,NULL),(20,5228565,'1991-03-30 00:00:00',4,9,12,2008,'F','N','GABIROBA','RIO OESTE','SC','124243241136372431544414375124610123182',4534,'652',68.69,1,3,NULL),(20,5228590,'1992-08-22 00:00:00',4,15,12,2009,'F','N','CENTRO','TIMBÉ SUL','SC','124241241115231431523819592121610128142',NULL,'785',0.00,1,2,1),(20,5228603,'1969-09-16 00:00:00',2,1,5,2009,'M','N','ENSEADA DE BRITO','ENS BRITO','SC','124246247611131431212679291114610137047',NULL,'9999',19.30,1,3,NULL),(20,5228611,'1991-12-01 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241137141411426621312224610134142',NULL,'733',22.37,4,2,1),(20,5228620,'1985-11-15 00:00:00',2,1,12,2004,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124161161137141431123344245124610167075',NULL,'9998',25.32,1,2,1),(20,5228638,'1991-09-24 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241147472711436723272324610133117',12236,'361',50.83,1,2,1),(20,5228646,'1990-03-23 00:00:00',4,1,12,2007,'M','N','JARDIM BOTANICO','RIBEIRÃO PRETO','SP','125252251217571431588814475134610117042',9993,'9998',54.76,1,3,NULL),(20,5228654,'1990-03-04 00:00:00',4,1,11,2007,'M','N','IPIRANGA','S JOSÉ','SC','124241241137132431323444146113610132047',NULL,'734',40.37,1,2,1),(20,5228662,'1991-12-22 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124221241116371721425711272114610138017',14415,'307',49.43,1,2,1),(20,5228670,'1992-04-07 00:00:00',2,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241627271431433621395124610138052',10057,'262',56.49,1,3,NULL),(20,5228689,'1992-09-09 00:00:00',2,7,12,2009,'F','N','INTERIOR','JABORÁ','SC','124241241146141431323315345124610166017',NULL,'418',0.00,1,2,1),(20,5228697,'1990-12-15 00:00:00',2,3,12,2007,'F','N','LARANJEIRAS','MARINGÁ','PR','116161161116471431438613574124610132197',7717,'9998',58.83,1,2,1),(20,5228700,'1992-04-04 00:00:00',2,1,11,2009,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241125131231623314572224610157047',12721,'592',52.89,1,2,1),(20,5228719,'1990-08-09 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124161241117473431336618244124610165092',7834,'276',61.20,4,2,1),(20,5228735,'1990-08-24 00:00:00',2,8,12,2008,'F','N','CAMPO DO GADO','RIO NEGRO','PR','116241166417211431436613412123610167187',NULL,'9998',26.79,1,3,NULL),(20,5228743,'1991-07-12 00:00:00',2,8,12,2008,'M','N','NOVA BRASÍLIA','JOINVILLE','SC','124244241144373431446611392123610127182',9413,'481',59.23,4,3,NULL),(20,5228751,'1987-11-10 00:00:00',2,1,12,2004,'M','N','CENTRO','PALHOÇA','SC','124243241136475431547614485114133267067',NULL,'591',27.47,1,3,NULL),(20,5228760,'1988-08-09 00:00:00',2,1,12,2006,'M','N','JARDIM SELMA','MOGI GUAÇU','SP','125251251136131731436319495114610132147',NULL,'9998',0.00,1,2,1),(20,5228778,'1991-09-20 00:00:00',4,16,12,2009,'F','N','MONTE ALEGRE','S CRISTÓVÃO SUL','SC','124241241135271411313329171324610166177',13281,'239',47.93,4,2,1),(20,5228786,'1989-09-08 00:00:00',4,1,12,2006,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','224241241136132431233354145134610125187',NULL,'293',24.94,4,2,1),(20,5228794,'1992-01-25 00:00:00',4,2,12,2009,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241217271731468834342124610127062',10192,'71',57.81,1,3,NULL),(20,5228808,'1990-03-02 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252251217152411227944345114610164112',5766,'9998',65.48,1,3,NULL),(20,5228824,'1991-07-23 00:00:00',2,1,12,2008,'F','N','SANTA ANA','STO AMARO IMPERATRIZ','SC','124243241215272431326979595124610167142',14779,'1014',48.52,1,3,NULL),(20,5228859,'1992-06-05 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241244115111532313211585124610165015',NULL,'288',0.00,1,2,1),(20,5228867,'1992-07-26 00:00:00',4,1,12,2009,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241311271411336923292124610117142',13723,'307',47.89,1,3,NULL),(20,5228875,'1988-07-20 00:00:00',2,1,12,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241212132421423311482324223067147',13384,'988',51.61,1,3,NULL),(20,5228883,'1985-02-01 00:00:00',4,1,12,2002,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241215275431453923382124123232057',NULL,'9997',35.56,1,3,NULL),(20,5228891,'1990-04-18 00:00:00',2,9,12,2007,'F','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124242241215373431558834392122610122142',9037,'499',59.89,1,3,NULL),(20,5228913,'1991-03-21 00:00:00',2,1,11,2008,'F','N','PINHEIRA','ENS BRITO','SC','124244241215154431526613572124233267143',NULL,'1022',49.40,1,3,NULL),(20,5228921,'1988-11-05 00:00:00',2,1,12,2006,'M','N','MORRINHOS UM','GUARUJÁ','SP','125251251146272411331334385111610142147',7482,'9998',60.27,1,2,1),(20,5228930,'1990-11-23 00:00:00',4,1,12,2008,'F','N','STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC','124252247236271411228848282224132836192',NULL,'9999',43.39,1,3,NULL),(20,5228948,'1990-06-10 00:00:00',3,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124203201117372431168923475124232734041',14250,'9998',49.83,1,3,NULL),(20,5228956,'1992-07-22 00:00:00',2,10,12,2009,'F','N','OFICINAS','TUBARÃO','SC','124241241115471711436829192322610135077',NULL,'1034',22.32,1,2,1),(20,5228964,'1976-05-09 00:00:00',2,1,12,1995,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124041251136132421355363382111140962197',NULL,'9998',47.35,1,3,NULL),(20,5228972,'1990-01-05 00:00:00',2,1,7,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241111133431128944441124610123147',13040,'306',50.22,1,2,1),(20,5228980,'1985-12-30 00:00:00',4,1,12,2003,'F','N','VILA MARIANA','S PAULO','SP','125254251216271411546633475125241534192',5576,'9998',66.93,3,3,NULL),(20,5228999,'1991-11-25 00:00:00',4,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241222131431434419575114610117047',8512,'262',58.89,1,3,NULL),(20,5229006,'1990-02-20 00:00:00',4,1,7,2008,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124241241117131711327724275124610126145',10370,'306',57.47,1,2,1),(20,5229014,'1988-10-29 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116474431233944445124610128187',11559,'307',52.60,1,2,1),(20,5229049,'1992-08-07 00:00:00',2,1,12,2009,'F','N','FLORESTA','S JOSÉ','SC','124241241136141431336624344324610126142',NULL,'257',0.00,1,2,1),(20,5229057,'1992-04-23 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241312131421423311392324610168147',14342,'278',49.63,1,3,NULL),(20,5229073,'1984-02-06 00:00:00',2,1,7,2003,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124201201116132731125648485124610163077',11458,'9998',53.11,2,1,1),(20,5229081,'1990-10-18 00:00:00',4,1,11,2008,'F','N','FÁTIMA','FLORIANÓPOLIS','SC','124241241116272431326523282114610154057',NULL,'257',23.25,1,2,1),(20,5229090,'1992-08-15 00:00:00',2,1,12,2009,'F','N','SANTA GEMA','S DOMINGOS SUL','RS','120201201146161431438823395122610133092',NULL,'9998',14.71,1,2,1),(20,5229111,'1988-06-10 00:00:00',2,1,12,2005,'M','N','BARREIROS','S JOSÉ','SC','124244241146473411334624345233610127042',6446,'257',64.53,1,3,NULL),(20,5229138,'1991-08-22 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116163161215571431468732575124610137047',53,'9998',91.45,1,3,NULL),(20,5229146,'1980-04-03 00:00:00',4,1,12,1997,'M','N','CAMPINAS','S JOSÉ','SC','124122121316135231127644245123131018097',15886,'9998',40.02,1,3,NULL),(20,5229154,'1989-05-11 00:00:00',4,1,12,2006,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116272431225329345124610144052',14068,'307',50.26,1,2,1),(20,5229170,'1982-03-23 00:00:00',4,1,12,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241247127131431433319295334610116187',NULL,'9997',24.77,1,2,1),(20,5229189,'1992-02-26 00:00:00',2,5,12,2009,'F','N','VILA RICA','CRICIÚMA','SC','124241241126141431223923312124610156142',NULL,'209',0.00,1,3,NULL),(20,5229197,'1993-02-06 00:00:00',4,5,11,2010,'F','S','PIO CORRÊA','CRICIÚMA','SC','124242241215111531558834575112610143182',NULL,'226',46.85,1,3,NULL),(20,5229200,'1992-10-11 00:00:00',2,3,11,2009,'F','N','CENTRO','ITAPEMA','SC','124241241215271431435722392114610163197',NULL,'403',22.76,1,3,NULL),(20,5229227,'1994-02-24 00:00:00',4,9,12,2010,'M','S','CENTRO','LAGES','SC','124242241211121431347932571122610128142',NULL,'499',53.06,1,3,NULL),(20,5229235,'1991-11-17 00:00:00',2,1,12,2008,'F','N','DONA WANDA','S JOSÉ','SC','124244241117112431338723292124610166011',NULL,'307',12.71,2,1,2),(20,5229251,'1992-05-13 00:00:00',4,1,12,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241225371431438819595124610126147',4847,'262',67.69,1,3,NULL),(20,5229260,'1988-02-01 00:00:00',4,1,12,2004,'M','N','TERESÓPOLIS','PTO ALEGRE','RS','120202201236151731588633375112240867042',NULL,'9998',0.00,1,3,NULL),(20,5229278,'1990-03-17 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241427372431323324345134130824087',15179,'262',47.30,1,3,NULL),(20,5229286,'1982-05-26 00:00:00',2,1,12,2002,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241248322375111433319342324610117047',NULL,'9999',28.03,2,1,2),(20,5229294,'1988-12-19 00:00:00',2,1,8,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241247225472431543314341124610127042',7620,'9999',62.59,1,3,NULL),(20,5229316,'1978-12-19 00:00:00',2,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','123201201124135421223315192343610122097',NULL,'9998',39.54,4,2,1),(20,5229324,'1992-06-05 00:00:00',2,4,12,2009,'F','N','CENTRO','GUARANIAÇU','PR','116161161115131751339614275124610167187',NULL,'9998',0.00,1,2,1),(20,5229332,'1976-08-08 00:00:00',2,1,11,2007,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241247126372441228711585124610163042',9892,'922',58.38,1,2,1),(20,5229340,'1991-02-21 00:00:00',4,8,12,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241216472411345924375122610134142',9273,'932',57.92,1,3,NULL),(20,5229359,'1992-11-01 00:00:00',4,2,12,2009,'F','N','DOM JOAQUIM','BRUSQUE','SC','124241241136371431338914395124610128077',5082,'114',66.75,1,2,1),(20,5229367,'1992-08-19 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','120202201217221441368612575124610124012',9583,'9998',55.68,1,3,NULL),(20,5229375,'1991-01-10 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115271451226624375124610164172',11698,'295',54.94,1,2,1),(20,5229383,'1984-04-15 00:00:00',2,1,12,2002,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241127233431224344245134130237047',NULL,'278',28.58,1,2,1),(20,5229391,'1989-01-20 00:00:00',2,1,12,2006,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241136375431323314445134610167093',NULL,'288',20.76,1,2,1),(20,5229413,'1992-06-08 00:00:00',4,7,12,2009,'F','N','CENTRO','BARRACÃO','RS','120201201147131431436633375125610168187',NULL,'9998',0.00,1,2,1),(20,5229421,'1990-10-11 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124212241215473731379613575124222943092',4815,'270',67.96,1,3,NULL),(20,5229430,'1990-03-06 00:00:00',2,15,12,2007,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241117131421523319392121610124057',NULL,'30',25.30,1,2,1),(20,5229448,'1990-07-17 00:00:00',2,3,12,2008,'F','N','MENINO DEUS','PTO ALEGRE','RS','120202201317471351336722375114610163187',NULL,'9998',0.00,1,3,NULL),(20,5229456,'1982-04-01 00:00:00',2,1,12,2000,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241126175751633314135122230218141',NULL,'592',26.80,4,2,1),(20,5229464,'1977-03-07 00:00:00',4,1,7,2003,'M','N','PASSA VINTE','PALHOÇA','SC','124241247125472411544423485124610122062',NULL,'1009',38.80,2,1,1),(20,5229472,'1991-10-24 00:00:00',4,5,12,2008,'F','N','CAVALHADA','PTO ALEGRE','RS','120202201217471431468823575122610122192',NULL,'9998',0.00,1,3,NULL),(20,5229480,'1969-12-18 00:00:00',4,1,12,1986,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224241243116131431443353382122130723097',NULL,'513',24.61,1,2,1),(20,5229499,'1992-09-14 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244248411131431533621212324610112092',13927,'1049',50.52,1,3,NULL),(20,5229502,'1988-05-19 00:00:00',4,1,12,2005,'F','N','SANTA BARBARA','ANTÔNIO CARLOS','SC','124241241116374411233344342334610113077',NULL,'21',25.10,1,2,1),(20,5229510,'1991-03-04 00:00:00',2,1,12,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241215131431526621275122610127092',NULL,'1074',24.01,1,3,NULL),(20,5229529,'1990-07-28 00:00:00',4,4,12,2007,'F','N','JARDIM ITALIA','CHAPECÓ','SC','124241241217573431556932575124610141041',1903,'270',77.25,1,3,NULL),(20,5229537,'1992-01-01 00:00:00',4,1,12,2009,'M','N','GUIOMAR DE FORA','ANTÔNIO CARLOS','SC','124241241115271431633335575121610167042',NULL,'21',0.00,1,2,1),(20,5229553,'1992-09-11 00:00:00',4,9,12,2009,'F','N','CENTRO','ABDON BATISTA','SC','124243241126131431224923292125610163052',NULL,'1',0.00,1,3,NULL),(20,5229561,'1988-11-09 00:00:00',2,1,11,2009,'M','N','RIO GRANDE','PALHOÇA','SC','124241241111371231333339492112610122041',NULL,'9999',26.08,1,3,NULL),(20,5229570,'1988-04-05 00:00:00',2,4,12,2006,'M','N','STA HELENA II','BENTO GONÇALVES','RS','120201201126271741434429185124143265041',15675,'9998',45.60,1,2,1),(20,5229588,'1990-09-16 00:00:00',4,2,11,2009,'F','N','GARCIA','BLUMENAU','SC','124243248115271532513319575122610124177',NULL,'85',17.87,1,3,NULL),(20,5229596,'1992-06-30 00:00:00',2,9,12,2008,'F','N','PARTENON','PTO ALEGRE','RS','120202201217471511239933571124610146137',NULL,'9998',0.00,1,3,NULL),(20,5229600,'1983-04-15 00:00:00',4,1,12,2000,'M','N','CENTRO','LIMEIRA','SP','125251251147371431125641215124610145092',NULL,'9998',0.00,1,2,1),(20,5229618,'1992-06-04 00:00:00',4,1,12,2008,'M','N','CRISTO REDENTOR','PTO ALEGRE','RS','120202201116471731389823371122610162047',1346,'9998',78.88,1,3,NULL),(20,5229626,'1986-09-10 00:00:00',4,8,12,2003,'M','N','BOA VISTA','JOINVILLE','SC','124241241125471411126314142124610116047',NULL,'708',0.00,1,2,1),(20,5229634,'1992-03-05 00:00:00',4,8,12,2009,'F','N','CENTRO','BAL BARRA SUL','SC','124241241146271431236521115121610148057',14067,'41',50.26,4,2,1),(20,5229642,'1992-03-27 00:00:00',4,1,12,2008,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241114471731437923575222610163183',NULL,'478',26.86,1,2,1),(20,5229650,'1990-01-18 00:00:00',4,3,12,2006,'F','N','VILA GUARANI','CAMBÉ','PR','116162161215571431449811591122610123097',NULL,'9998',0.00,1,3,NULL),(20,5229669,'1991-04-15 00:00:00',5,4,12,2008,'F','N','BAIRO PASSO DAREIA','CEL FREITAS','SC','124241241115132111523438242222610124147',NULL,'199',21.71,1,2,1),(20,5229677,'1992-09-15 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242248215113431576612586121610127021',11877,'1022',50.75,1,3,NULL),(20,5229685,'1978-04-09 00:00:00',2,1,12,2005,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124245241124475712258313275121521668097',NULL,'122',34.69,1,3,NULL),(20,5229693,'1992-06-22 00:00:00',2,1,12,2009,'F','N','ARAÇATUBA','IMBITUBA','SC','124241241117131431326331582324610163142',NULL,'361',14.69,1,2,1),(20,5229707,'1988-03-30 00:00:00',2,1,12,2006,'F','N','RIO GRANDE','PALHOÇA','SC','124241241127372311426373385114610126177',NULL,'591',28.20,1,2,1),(20,5229723,'1979-05-24 00:00:00',4,1,12,1996,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','116162161216474311439744345122221714057',10240,'9998',57.72,1,3,NULL),(20,5229740,'1992-10-18 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241115131431328411572122610122092',NULL,'732',26.63,4,2,1),(20,5229766,'1992-09-20 00:00:00',2,2,12,2009,'F','N','CONSOLAÇÃO','CAXIAS SUL','RS','120201201116131231626618231334610126181',14434,'9998',46.08,1,2,1),(20,5229774,'1988-08-13 00:00:00',2,1,12,2005,'M','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124161161141131431533823245224610121037',11393,'9998',55.53,4,3,NULL),(20,5229782,'1983-01-19 00:00:00',4,15,12,2000,'M','N','LAGOAO','ARARANGUÁ','SC','224241248127152431333344342331610127067',NULL,'29',11.76,1,2,1),(20,5229790,'1992-04-17 00:00:00',2,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241227111431435634575124610122142',5072,'262',67.09,1,3,NULL),(20,5229812,'1993-04-03 00:00:00',4,7,12,2009,'F','N','CENTRO','PERITIBA','SC','124241241146161731535712422114610124142',NULL,'612',19.09,1,3,NULL),(20,5229820,'1990-05-20 00:00:00',2,1,12,2007,'F','N','ARROIO','IMBITUBA','SC','124241241115271431223324245124610148077',12360,'359',50.61,1,2,1),(20,5229839,'1989-11-13 00:00:00',4,4,11,2006,'F','N','BARRANCA','ARARANGUÁ','SC','124241241147373441328321212124233255177',15064,'717',43.99,4,2,1),(20,5229855,'1955-10-23 00:00:00',4,1,12,1975,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224241246412144421488843431132320347033',NULL,'306',28.89,1,3,NULL),(20,5229863,'1988-03-14 00:00:00',2,1,12,2007,'M','N','TRIBDADE','FLORIANÓPOLIS','SC','624241241135274431223344242224610132091',NULL,'1005',26.24,1,2,1),(20,5229871,'1988-04-14 00:00:00',4,1,11,2005,'M','N','JARDIM ITALIA','CUIABÁ','MT','111112111216571431369913595122240727097',NULL,'9998',0.00,4,3,NULL),(20,5229880,'1991-01-22 00:00:00',4,1,12,2008,'M','N','BARREIRS','S JOSÉ','SC','124242241217152721446654575124231267047',11106,'738',56.06,1,3,NULL),(20,5229898,'1991-12-26 00:00:00',4,8,12,2008,'F','N','CENTRO','PARANAVAÍ','PR','116162164212471411578812475122610165147',NULL,'9998',0.00,3,3,NULL),(20,5229901,'1992-02-22 00:00:00',4,8,11,2009,'F','N','GLÓRIA','JOINVILLE','SC','124242241217111411478812575122610143142',11532,'1063',52.77,3,3,NULL),(20,5229910,'1991-08-28 00:00:00',2,5,11,2008,'F','N','BOM FIM','PTO ALEGRE','RS','120203201215471431526616575124610147042',NULL,'9998',0.00,1,3,NULL),(20,5229928,'1991-11-03 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241415372131458614345114610123097',11595,'1022',54.67,1,3,NULL),(20,5229936,'1985-01-22 00:00:00',2,1,12,2004,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241146472731126144345124310153142',NULL,'727',24.61,1,2,1),(20,5229944,'1988-11-06 00:00:00',4,1,12,2007,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124241251117142421366923435124230237047',NULL,'9997',22.42,1,3,NULL),(20,5229952,'1983-07-03 00:00:00',2,1,7,2003,'M','N','CAMINHO NOVO','PALHOÇA','SC','124243241126133731433419185123610112067',NULL,'591',0.00,1,3,NULL),(20,5229960,'1971-12-22 00:00:00',2,1,12,1996,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124131135326131431224448285324143266183',NULL,'9998',12.50,1,3,NULL),(20,5229979,'1991-02-06 00:00:00',2,1,12,2008,'M','N','PICDAS SUL','S JOSÉ','SC','124241241116173331425624285124610117052',5250,'733',65.51,1,2,1),(20,5229987,'1982-08-24 00:00:00',4,1,11,2000,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216474421335668485124333267097',11810,'270',54.72,1,3,NULL),(20,5229995,'1992-04-28 00:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241417132331236923385114610164147',NULL,'1086',0.00,1,3,NULL),(20,5230004,'1991-07-06 00:00:00',2,6,11,2008,'M','N','CABEÇUDAS','ITAJAÍ','SC','124242241212153431236823312123231467041',10643,'1026',56.97,1,3,NULL),(20,5230012,'1987-05-06 00:00:00',2,1,11,2004,'F','N','AREIAS','S JOSÉ','SC','624241241216274421223851482114610141147',NULL,'663',30.74,1,3,NULL),(20,5230039,'1990-12-01 00:00:00',2,1,12,2008,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124241241115373431436633375124610121093',15582,'288',44.77,1,2,1),(20,5230047,'1993-10-31 00:00:00',2,1,12,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242241215111431558813595122610127072',NULL,'737',53.52,1,3,NULL),(20,5230055,'1991-03-18 00:00:00',4,1,12,2009,'M','N','BELA VISTA','PALHOÇA','SC','124242241217111711369929472122610167182',7552,'262',62.71,1,3,NULL),(20,5230063,'1989-05-15 00:00:00',4,1,11,2007,'M','N','JD AMARALINA','S PAULO','SP','125251251125371431424511381221610167112',NULL,'9998',0.00,1,2,1),(20,5230071,'1992-11-11 00:00:00',4,17,12,2009,'F','N','JARDIM ESPERANÇA','CANOINHAS','SC','124241241115271411418669575125610124177',NULL,'153',0.00,1,2,1),(20,5230101,'1992-07-13 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215121431249932575122610167052',NULL,'663',22.70,1,3,NULL),(20,5230110,'1991-04-19 00:00:00',2,8,12,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215573731358832271124610122042',2414,'210',73.91,1,3,NULL),(20,5230128,'1991-12-04 00:00:00',2,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241215271731479939575122610123142',NULL,'185',0.00,1,3,NULL),(20,5230144,'1993-11-07 00:00:00',4,5,10,2010,'F','S','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215111431479932225122610167072',NULL,'213',32.35,1,3,NULL),(20,5230152,'1970-10-23 00:00:00',4,1,12,1994,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241122111421663352392122613266177',NULL,'293',45.49,1,2,1),(20,5230179,'1983-01-23 00:00:00',4,1,1,2001,'F','N','JARDIM MOMENTEL','ITATIBA','SP','125251251137471441423519281225610166182',NULL,'9998',26.88,2,2,1),(20,5230187,'1992-08-26 00:00:00',2,7,12,2009,'M','N','SANTO ANTÔNIO','CAMPOS NOVOS','SC','124241241116472731343314395122613267067',NULL,'140',31.15,1,2,1),(20,5230195,'1991-07-12 00:00:00',2,10,11,2009,'F','N','SÃO BASILIO','BRAÇO NORTE','SC','124243241215111431333339145122610168072',NULL,'950',30.57,1,3,NULL),(20,5230209,'1991-07-17 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215173421246911575123610162142',8776,'270',60.39,1,3,NULL),(20,5230217,'1992-03-12 00:00:00',2,5,12,2009,'F','N','DE VILLA','URUSSANGA','SC','124243248215111421476919571122610122172',NULL,'820',28.33,1,3,NULL),(20,5230225,'1989-09-05 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241312114421435334245124610126072',NULL,'1022',28.99,1,3,NULL),(20,5230233,'1988-04-28 00:00:00',2,1,11,2005,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241127344421526324143334121624015',NULL,'294',50.65,1,2,1),(20,5230241,'1990-03-13 00:00:00',2,1,12,2006,'F','N','SANTO ANTÔNIO','PTO ALEGRE','RS','120201201211572411559939571124610166177',5450,'9998',66.75,5,3,NULL),(20,5230250,'1982-10-18 00:00:00',4,1,12,2000,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124241241116153431444636495224320526182',NULL,'844',47.36,1,3,NULL),(20,5230268,'1990-08-13 00:00:00',2,1,12,2008,'F','N','STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC','124241241125133431223329145124610126147',NULL,'279',23.22,1,2,1),(20,5230276,'1993-06-28 00:00:00',4,3,12,2010,'M','S','CENTRO','BAL CAMBORIÚ','SC','124242248217111431239811575125610127182',NULL,'9997',27.83,1,3,NULL),(20,5230284,'1991-10-26 00:00:00',4,10,11,2009,'F','N','HUMAITÁ','TUBARÃO','SC','124244241215111431346622425112610168197',13137,'806',52.10,1,3,NULL),(20,5230292,'1992-08-06 00:00:00',4,9,12,2009,'M','N','CAPISTRANO','BOM RETIRO','SC','124243241127161431559923345122610117041',12880,'95',48.53,1,3,NULL),(20,5230306,'1990-03-27 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212472441369923575124232435117',NULL,'270',0.00,1,3,NULL),(20,5230314,'1993-02-24 00:00:00',4,5,10,2009,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242248217111431468614472122610125142',13527,'213',51.33,1,3,NULL),(20,5230322,'1993-06-03 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241212111731457714192122610128182',16222,'724',42.27,1,3,NULL),(20,5230330,'1991-11-25 00:00:00',5,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117474431337923375124610134141',10130,'298',57.91,1,2,1),(20,5230349,'1977-01-17 00:00:00',4,8,12,1995,'M','N','GUANABARA','JOINVILLE','SC','124241246136131421354824145121333217027',NULL,'9997',52.76,1,2,1),(20,5230357,'1994-01-12 00:00:00',4,15,12,2010,'M','S','CENTRO','BAL ARROIO SILVA','SC','124241241216131431227811585124610157147',NULL,'32',25.19,4,3,NULL),(20,5230365,'1991-12-25 00:00:00',2,1,12,2008,'F','N','ENGENHO VELHO','STA ROSA SUL','SC','124241242115271431415613575222610127077',NULL,'690',20.88,1,2,1),(20,5230381,'1992-02-07 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124244241215272231466832575124610124052',14385,'738',47.66,1,3,NULL),(20,5230390,'1992-05-21 00:00:00',4,1,12,2009,'M','N','CENTRO','BENTO GONÇALVES','RS','120201201227131431437714342124610127057',14571,'9998',44.66,1,3,NULL),(20,5230403,'1992-02-10 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241315271431538731375124610127052',NULL,'288',36.31,1,3,NULL),(20,5230411,'1992-09-13 00:00:00',2,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241112471431536513285124610137015',NULL,'281',22.43,1,2,1),(20,5230420,'1990-03-26 00:00:00',2,1,12,2007,'F','N','CENTRO','S JOSÉ','SC','124243241317473412436923435134610124042',15918,'9997',44.57,1,3,NULL),(20,5230438,'1990-12-17 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241215573431469513575114610131142',4272,'269',68.54,1,3,NULL),(20,5230446,'1994-06-23 00:00:00',4,1,12,2010,'M','S','CAMPINAS','S JOSÉ','SC','124242241237151431446632285122610117062',NULL,'737',28.69,1,3,NULL),(20,5230454,'1990-10-28 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241117372431229823272324133244142',4606,'271',69.28,1,3,NULL),(20,5230462,'1992-04-19 00:00:00',2,17,12,2009,'F','N','CENTRO','CANOINHAS','SC','124241241116271331326624372122610128192',NULL,'146',31.77,1,2,1),(20,5230470,'1991-01-21 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241215132431238714582124610142147',8972,'273',60.02,1,3,NULL),(20,5230489,'1987-12-05 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136142431225544342124230224142',NULL,'560',39.83,1,2,1),(20,5230500,'1988-06-29 00:00:00',4,10,11,2005,'M','N','VILA FLOR','CAPIVARI BAIXO','SC','124241241136131731227848282224132244192',NULL,'1034',28.87,1,2,1),(20,5230535,'1991-06-25 00:00:00',2,4,12,2008,'F','N','CONJUNTO LIBRA III','FOZ IGUAÇU','PR','116162161217472411548632244124610162142',8636,'9998',58.03,1,3,NULL),(20,5230543,'1988-05-28 00:00:00',4,1,7,2009,'M','N','CACHOEIRA','BIGUAÇU','SC','124241241122131732322241112313610114132',NULL,'9999',13.82,2,1,1),(20,5230560,'1983-09-26 00:00:00',2,1,12,2003,'F','N','SERRARIA','S JOSÉ','SC','124241241127371431534314282224610113057',NULL,'730',25.42,1,2,1),(20,5230578,'1990-11-12 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215152431523464195124610167041',6435,'797',65.06,2,1,2),(20,5230586,'1990-12-07 00:00:00',4,4,5,2009,'M','N','CENTRO','CHAPECÓ','SC','124282281216371431368919585112610127162',9623,'9998',57.78,1,3,NULL),(20,5230594,'1990-06-28 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241247445272441125544345124221526147',NULL,'9999',34.85,1,3,NULL),(20,5230608,'1986-04-29 00:00:00',2,1,12,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124201201137271421228344342224141418187',NULL,'9998',48.35,1,2,1),(20,5230616,'1991-09-18 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124112111217472441467732575114610135072',799,'9998',82.50,1,3,NULL),(20,5230624,'1992-07-10 00:00:00',2,1,12,2009,'F','N','VILA BELA','GUARAPUAVA','PR','116161161215371431249934595122610133092',NULL,'9998',0.00,4,3,NULL),(20,5230632,'1992-04-17 00:00:00',2,10,12,2009,'F','N','BARRANCEIRA','LAGUNA','SC','124241241116272711457933575124610133147',13810,'521',49.31,1,2,1),(20,5230640,'1994-03-01 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111731577834572122610161092',NULL,'262',0.00,1,3,NULL),(20,5230659,'1993-04-17 00:00:00',4,1,12,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124244241215111731678612585122610137043',NULL,'1010',0.00,1,3,NULL),(20,5230683,'1992-05-28 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215123431269623592124610132183',6787,'1022',64.28,1,3,NULL),(20,5230691,'1991-03-22 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215272431535614474114120722077',1809,'738',76.47,1,3,NULL),(20,5230705,'1992-03-16 00:00:00',4,1,12,2009,'M','N','FORQUILHAS','S JOSÉ','SC','124241241115161732433614572222610167057',NULL,'17',27.62,1,3,NULL),(20,5230713,'1991-10-22 00:00:00',2,1,12,2008,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241112472431557631372114610117052',9229,'739',58.60,1,2,1),(20,5230721,'1985-10-25 00:00:00',4,1,12,2004,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241116374731336723444114610137142',NULL,'307',25.50,4,2,1),(20,5230730,'1992-04-23 00:00:00',2,9,12,2009,'M','N','UNIVERSITARIO','LAGES','SC','124241241216111431427632575121610167052',14080,'515',48.38,1,3,NULL),(20,5230748,'1992-05-06 00:00:00',4,6,12,2009,'M','N','DOM BOSCO','ITAJAÍ','SC','124241241116271731524319195121610137097',NULL,'401',27.84,1,3,NULL),(20,5230756,'1990-12-02 00:00:00',4,1,12,2008,'M','N','EMBARÉ','SANTOS','SP','125252251217571231479714575122610167047',3996,'9998',69.33,1,3,NULL),(20,5230764,'1992-04-24 00:00:00',4,2,11,2008,'M','N','SETE DE SETEMBRO','GASPAR','SC','124241241227272531127644345134610124187',769,'370',82.43,1,3,NULL),(20,5230772,'1985-11-17 00:00:00',2,15,12,2008,'M','N','JARDIM DOS PAMPAS','VACARIA','RS','120201201346151521324621215122610124052',NULL,'9998',28.11,1,3,NULL),(20,5230780,'1988-04-19 00:00:00',2,1,12,2006,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241135473411521321282224610167142',NULL,'288',0.00,1,2,1),(20,5230799,'1986-09-11 00:00:00',2,1,12,2006,'F','N','IPIRANGA','S JOSÉ','SC','124241241136575731433364445124230817057',NULL,'734',20.81,1,2,1),(20,5230802,'1992-04-04 00:00:00',2,3,12,2009,'M','N','NAÇOES','BAL CAMBORIÚ','SC','124241242112271431433723572221610167097',11219,'129',53.63,1,3,NULL),(20,5230810,'1984-05-02 00:00:00',2,8,11,2001,'F','N','INTERIOR','JOAÇABA','SC','124242241217274421326316442324131018197',NULL,'453',12.31,1,3,NULL),(20,5230829,'1992-02-02 00:00:00',4,8,12,2009,'M','N','JD SAO PAULO','PRES PRUDENTE','SP','125252251215171431568831572112610167067',NULL,'9998',0.00,1,3,NULL),(20,5230837,'1993-05-04 00:00:00',4,4,12,2009,'F','N','INTERIOR','JARDINÓPOLIS','SC','124241241115131611421315572224610132147',NULL,'444',22.01,1,3,NULL),(20,5230845,'1992-07-07 00:00:00',4,8,12,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241211273431469933575121610117062',2016,'457',76.32,1,3,NULL),(20,5230853,'1983-02-13 00:00:00',4,1,12,2001,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241241122271411223444242324610143027',15232,'84',47.15,1,2,1),(20,5230861,'1991-10-18 00:00:00',4,1,12,2009,'F','N','CARANDAÍ','BIGUAÇU','SC','124241241132132431325619592114610151147',NULL,'65',0.00,1,2,1),(20,5230870,'1991-10-29 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124242241117371431436511395124610135072',14820,'733',44.48,4,3,NULL),(20,5230888,'1993-02-24 00:00:00',4,1,11,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124252241115151431389912572121610142096',NULL,'262',43.36,1,3,NULL),(20,5230896,'1992-09-12 00:00:00',2,1,12,2009,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241137311741536319192124610127067',NULL,'285',26.57,1,2,1),(20,5230900,'1975-11-21 00:00:00',2,15,12,2009,'M','N','FUNDO GRANDE','ARARANGUÁ','SC','224241247127131421523344342212610164191',NULL,'9999',23.96,1,2,1),(20,5230926,'1979-08-27 00:00:00',2,15,12,1997,'M','N','SALGADO FILHO','CAXIAS SUL','RS','120204207216131431126344142224140631197',NULL,'9998',0.00,1,3,NULL),(20,5230934,'1985-01-04 00:00:00',2,1,12,2002,'F','N','JARDIM JANAÍNA','BIGUAÇU','SC','124241243126371431423614245324610135142',NULL,'66',19.76,4,2,1),(20,5230942,'1990-12-29 00:00:00',2,1,12,2007,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241116573431523619375114610162147',NULL,'733',26.60,1,2,1),(20,5230969,'1983-09-12 00:00:00',5,1,6,2002,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241326473431533639145124610116197',NULL,'9999',54.98,1,3,NULL),(20,5230977,'1992-04-25 00:00:00',2,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115151411456614575122610138142',NULL,'21',18.50,1,2,1),(20,5230985,'1992-01-21 00:00:00',2,3,12,2009,'F','N','MAIA PRAIA','ITAPEMA','SC','124241241115371431311629372124610138142',NULL,'406',24.07,1,2,1),(20,5230993,'1991-10-01 00:00:00',4,1,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215372431478832572122610146122',13083,'1038',52.20,1,3,NULL),(20,5231000,'1991-07-18 00:00:00',4,5,10,2008,'F','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120242241211371431469712474125610165125',NULL,'226',0.00,1,3,NULL),(20,5231019,'1987-06-24 00:00:00',4,1,12,2004,'M','N','PIO X','CAXIAS SUL','RS','120201206121131431316629195114241464052',NULL,'9998',20.74,1,3,NULL),(20,5231027,'1992-04-03 00:00:00',2,1,10,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216111241248833595112610164031',NULL,'273',20.74,1,3,NULL),(20,5231035,'1991-09-18 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115132431359623495124210466142',NULL,'307',47.34,1,2,1),(20,5231043,'1992-05-15 00:00:00',4,3,12,2009,'F','N','CENTRO','PNT GROSSA','PR','116162161215121431479931472122610133092',NULL,'9998',30.02,1,3,NULL),(20,5231051,'1992-07-25 00:00:00',4,3,11,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215373431449912325112610164042',3788,'403',70.32,1,3,NULL),(20,5231060,'1992-03-21 00:00:00',2,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215121531457923475112610166195',14686,'1022',48.77,1,3,NULL),(20,5231094,'1990-09-26 00:00:00',2,1,11,2007,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215573431446712575124610162092',5833,'272',66.39,1,3,NULL),(20,5231108,'1988-03-21 00:00:00',4,1,12,2005,'M','N','JARAGUÁ','S PAULO','SP','125251251117532431423311585125610124187',NULL,'9998',0.00,1,2,1),(20,5231116,'1991-11-03 00:00:00',4,15,12,2008,'M','N','CENTRO','ARARANGUÁ','SC','124242248235372751589931475122610168071',6322,'32',65.28,1,3,NULL),(20,5231124,'1988-01-11 00:00:00',2,8,12,2005,'M','N','CENTRO','LONDRINA','PR','116162161215515431458611572122610167057',1632,'9998',76.62,1,3,NULL),(20,5231132,'1986-12-07 00:00:00',4,1,12,2004,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243243216373451126644345124131764057',NULL,'494',0.00,3,3,NULL),(20,5231140,'1993-02-02 00:00:00',4,2,11,2009,'M','N','MALUCHE','BRUSQUE','SC','124244241315111411447814575112610167041',10432,'1123',54.60,1,3,NULL),(20,5231159,'1992-06-18 00:00:00',2,5,11,2009,'M','N','MICHEL','CRICIÚMA','SC','124242241216111411456632575122610114071',NULL,'210',0.00,1,3,NULL),(20,5231167,'1992-07-30 00:00:00',2,1,11,2009,'F','N','IPIRANGA','S JOSÉ','SC','124241241117161431325514245124610124142',13475,'734',47.20,4,2,1),(20,5231175,'1991-03-25 00:00:00',2,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','121212211217251731558833575114610167145',NULL,'9998',0.00,1,3,NULL),(20,5231183,'1991-04-26 00:00:00',4,6,12,2008,'F','N','VILA MARIA','BOTUCATU','SP','125251251117372411527921575122610117097',4969,'9998',66.07,1,2,1),(20,5231191,'1991-02-15 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241213111431456921313124610132015',11454,'299',55.43,1,3,NULL),(20,5231205,'1989-03-29 00:00:00',4,1,12,2006,'M','N','TRISTEZA','PTO ALEGRE','RS','120202201216131431458834575122241447112',3937,'9998',71.00,1,3,NULL),(20,5231213,'1992-08-04 00:00:00',4,1,12,2009,'M','N','ARIRIU','PALHOÇA','SC','124241241227131531433314576124610127097',NULL,'262',25.29,1,3,NULL),(20,5231221,'1991-03-21 00:00:00',4,1,11,2008,'F','N','LIBERDADE','S PAULO','SP','125112111217471731458814575115610126092',NULL,'9998',0.00,1,3,NULL),(20,5231230,'1992-04-26 00:00:00',2,15,10,2009,'M','N','COLONINHA','ARARANGUÁ','SC','124244241215111451446822425122610138182',NULL,'32',21.78,1,3,NULL),(20,5231248,'1991-02-26 00:00:00',2,8,12,2008,'M','N','CENTRO','RONDON','PR','116161161116472441559933575115610132092',2454,'9998',75.25,1,2,1),(20,5231256,'1992-06-08 00:00:00',4,1,12,2009,'F','N','PAPAGAIOS','CANELINHA','SC','124241241115161411323332575124610128172',9796,'142',57.79,1,2,1),(20,5231264,'1992-03-31 00:00:00',4,10,11,2009,'F','N','MORROTES','TUBARÃO','SC','124242241215111431239613575112610125072',9635,'806',57.70,1,3,NULL),(20,5231272,'1992-01-15 00:00:00',2,4,12,2008,'F','N','ALTO DA XV','CURITIBA','PR','116162161215472431468833572124610127147',2151,'9998',75.40,1,3,NULL),(20,5231280,'1991-06-22 00:00:00',2,1,11,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117271722633329395114610136017',NULL,'281',22.84,1,2,1),(20,5231299,'1991-05-05 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241225472431528124282121610167162',NULL,'262',26.69,2,3,NULL),(20,5231302,'1991-10-10 00:00:00',2,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124241241111371731445713571122610162197',14345,'734',49.62,1,2,1),(20,5231310,'1989-02-07 00:00:00',2,9,12,2006,'M','N','CENTRO','RIO SUL','SC','124242241216372431546722345122610127052',9855,'663',57.84,1,3,NULL),(20,5231337,'1993-02-18 00:00:00',4,2,12,2009,'M','N','VORSTADT','BLUMENAU','SC','124241241117271441433411472221610164042',NULL,'69',27.95,4,3,NULL),(20,5231345,'1991-12-21 00:00:00',2,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124241241415131421435634341124610124092',NULL,'1036',24.75,4,1,2),(20,5231353,'1992-03-30 00:00:00',4,4,12,2009,'M','N','CENTRO','XANXERÊ','SC','124242241216112431447819595122610157057',4711,'836',66.62,1,3,NULL),(20,5231361,'1990-08-08 00:00:00',2,15,12,2007,'F','N','CENTRO','TURVO','SC','124241241116373431445634575114610164197',NULL,'814',21.36,1,3,NULL),(20,5231388,'1987-03-02 00:00:00',2,1,11,2008,'M','N','IPIRANGA','S JOSÉ','SC','124241247127271411321321381213610166187',14684,'9999',48.77,1,2,1),(20,5231396,'1992-06-01 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241116171211426634285124610114041',NULL,'288',24.52,1,3,NULL),(20,5231400,'1992-11-09 00:00:00',2,1,12,2009,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241225131731523511185124610133052',13061,'262',49.38,4,3,NULL),(20,5231418,'1991-01-12 00:00:00',4,8,12,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215112431338811412122231564112',8940,'1063',58.45,1,3,NULL),(20,5231426,'1992-11-04 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215271432428812375122610161072',NULL,'213',0.00,1,3,NULL),(20,5231434,'1985-04-21 00:00:00',4,1,11,2006,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124051051126131411411324181314610124095',NULL,'9998',0.00,4,2,1),(20,5231442,'1989-06-30 00:00:00',2,1,12,2006,'M','N','IPIRANGA','S JOSÉ','SC','124242241217153431456611571124231467055',11189,'262',55.93,1,3,NULL),(20,5231450,'1985-02-17 00:00:00',4,1,12,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124244247436151441447873285124610134042',NULL,'9999',30.81,1,3,NULL),(20,5231477,'1990-12-10 00:00:00',4,1,12,2008,'M','N','GLORIA','JOINVILLE','SC','124242241217372151489932476122121768175',1859,'9997',77.38,1,3,NULL),(20,5231485,'1992-03-19 00:00:00',2,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115311531113441335121610137085',NULL,'298',23.72,4,2,1),(20,5231493,'1991-10-24 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241137472411236812584125610136197',NULL,'146',45.14,1,2,1),(20,5231507,'1991-12-16 00:00:00',3,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215132721235823575114610162042',14446,'270',49.39,1,3,NULL),(20,5231515,'1992-06-10 00:00:00',4,8,11,2009,'M','N','BUCAREIN','JOINVILLE','SC','124242248215111331489814575112610167042',NULL,'1063',0.00,1,3,NULL),(20,5231523,'1992-12-07 00:00:00',2,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124241241415121431439933575122610123172',NULL,'881',27.41,1,3,NULL),(20,5231531,'1991-08-20 00:00:00',2,8,12,2008,'F','N','CRISTO REI','CURITIBA','PR','116112161215511431586616575124610127072',NULL,'9998',38.49,1,3,NULL),(20,5231540,'1990-02-21 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','120201201216471431448731571124610163147',4987,'9998',67.64,1,3,NULL),(20,5231558,'1990-09-29 00:00:00',2,10,12,2008,'M','N','SÃO JOÃO','TUBARÃO','SC','124241248432271321336814345122131464067',NULL,'9999',21.20,1,3,NULL),(20,5231566,'1992-02-03 00:00:00',4,3,11,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241215131431326321115121610132037',NULL,'407',31.69,1,3,NULL),(20,5231574,'1965-10-18 00:00:00',2,1,11,1983,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','424241243521142741543344245124232826073',14315,'388',49.68,1,3,NULL),(20,5231582,'1975-07-30 00:00:00',2,1,12,1993,'F','N','ARMAÇÃO D PÂNT D SUL','FLORIANÓPOLIS','SC','124201203126371421313344242234143038097',13106,'9998',52.15,1,2,1),(20,5231590,'1991-03-20 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117473731223361272124610127057',10147,'595',56.46,1,2,1),(20,5231604,'1990-01-30 00:00:00',4,1,12,2007,'M','N','CENTRO','CASCAVEL','PR','116162161217574711366821275122610167082',4126,'9998',69.41,4,3,NULL),(20,5231612,'1990-08-22 00:00:00',4,1,11,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241217131431228614441122610118181',NULL,'9997',0.00,1,3,NULL),(20,5231620,'1992-08-07 00:00:00',4,1,11,2009,'M','N','CENTRO','RIBEIRÃO PRETO','SP','111112251217111531489912575125610164092',1794,'9998',76.65,1,3,NULL),(20,5231639,'1991-06-13 00:00:00',2,1,12,2008,'M','N','CENTRO','CPO MOURÃO','PR','116252251211372431459611395124241466182',NULL,'9998',0.00,1,3,NULL),(20,5231655,'1986-11-04 00:00:00',4,1,12,2006,'M','N','VILA MARIANA','S PAULO','SP','125251251147131531226629285125610164092',NULL,'9998',25.14,4,2,1),(20,5231663,'1985-11-26 00:00:00',2,1,12,2003,'F','N','INGLESES','FLORIANÓPOLIS','SC','224201201132471421236343332114610162147',5775,'9998',65.29,2,1,1),(20,5231671,'1993-01-11 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215371431566612575124610135031',16272,'1022',41.34,1,3,NULL),(20,5231680,'1990-03-06 00:00:00',4,6,12,2007,'F','N','SÃO JOÃO','ITAJAÍ','SC','124241241117271431323513385124610122177',13355,'400',51.65,1,2,1),(20,5231698,'1989-06-22 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241417153431358923395124133261197',12456,'1022',53.46,1,3,NULL),(20,5231701,'1987-09-28 00:00:00',4,1,12,2005,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117272421115544342124610128147',NULL,'307',0.00,1,2,1),(20,5231710,'1989-03-18 00:00:00',2,8,12,2006,'F','N','PORTÃO','CURITIBA','PR','116161161115511431356412573214610137017',12345,'9998',51.77,1,2,1),(20,5231728,'1981-12-11 00:00:00',4,1,12,2000,'F','N','MOEMA','S PAULO','SP','125252241216372411656623471114142563022',NULL,'262',0.00,1,3,NULL),(20,5231736,'1988-04-06 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116271421446633395124610127042',12328,'307',50.70,1,2,1),(20,5231744,'1992-04-10 00:00:00',4,7,12,2009,'F','N','N SR NAVEGANTES','OURO','SC','124241241116371431547613575124610127057',NULL,'585',31.67,1,2,1),(20,5231752,'1986-08-01 00:00:00',4,1,12,2003,'F','N','CAMPINAS','S JOSÉ','SC','124241241215374431248861412114610123187',14153,'1022',50.07,1,3,NULL),(20,5231760,'1987-08-16 00:00:00',2,1,12,2005,'M','N','CENTRO','CUNHA PORÃ','SC','124241201116575411366619575124222667052',7954,'9998',58.61,1,2,1),(20,5231779,'1992-04-19 00:00:00',2,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241112151431623831575122610127047',NULL,'296',18.83,1,2,1),(20,5231787,'1983-06-03 00:00:00',4,1,12,2000,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124161161132133731434313342114122264052',NULL,'9998',43.26,1,2,1),(20,5231795,'1988-10-04 00:00:00',2,8,12,2005,'M','N','CENTRO','MAFRA','SC','124241168416572751326519591115610168057',NULL,'9998',0.00,1,3,NULL),(20,5231809,'1987-09-23 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242248132374431576514572124511253017',NULL,'281',20.22,1,3,NULL),(20,5231817,'1992-05-12 00:00:00',4,1,12,2009,'F','N','JARDIM MONTE ALEGRE','TABOÃO SERRA','SP','125251251117131431635414575122610127112',NULL,'9998',20.52,1,2,1),(20,5231825,'1992-11-18 00:00:00',4,6,12,2009,'M','N','CENTRO','AMPÉRE','PR','116244161216141431456934245125610157182',14350,'9998',46.92,1,3,NULL),(20,5231833,'1982-03-09 00:00:00',3,1,12,1999,'F','N','CENTRO','S JOSÉ','SC','124244241434145421527613295124322261092',9850,'307',54.74,1,3,NULL),(20,5231841,'1983-03-31 00:00:00',2,1,12,2000,'F','N','FRAGATA','PELOTAS','RS','120201201116131721123344442331610142187',NULL,'9998',0.00,1,3,NULL),(20,5231850,'1992-02-28 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372411457614575114610127042',14586,'1022',49.04,1,3,NULL),(20,5231868,'1990-11-15 00:00:00',4,1,12,2008,'F','N','SAO JUDAS','DIVINÓPOLIS','MG','113124131216252431434619275124610122097',6340,'9998',65.24,1,3,NULL),(20,5231876,'1974-10-08 00:00:00',2,1,4,1992,'M','N','KOBRASOL','S JOSÉ','SC','624241248126135731123471145234610117042',NULL,'306',19.97,2,1,1),(20,5231884,'1985-01-18 00:00:00',2,1,5,2009,'F','N','BOM VIVER','BIGUAÇU','SC','124241247126271431527324245124610127147',NULL,'9999',30.36,1,2,1),(20,5231892,'1992-10-08 00:00:00',2,1,12,2009,'M','N','JARDIM AQUARIOS','PALHOÇA','SC','124241241116131711326624275125610167047',NULL,'591',26.79,2,1,1),(20,5231914,'1992-10-14 00:00:00',2,1,12,2009,'F','N','ALTO','AQUIDAUANA','MS','112122121216111411468616575122610132012',8523,'9998',58.74,1,3,NULL),(20,5231922,'1992-06-24 00:00:00',2,17,12,2009,'M','N','NOVA BRASÍLIA','MAJ VIEIRA','SC','124241241115161431226663573321610134147',NULL,'548',22.99,1,2,1),(20,5231930,'1989-07-05 00:00:00',4,1,12,2006,'M','N','ARAÇATUBA','IMBITUBA','SC','124241248141131311423367281321610151122',NULL,'361',0.00,4,2,1),(20,5231949,'1993-02-23 00:00:00',4,2,12,2010,'F','S','ITOUPAVA NORTE','BLUMENAU','SC','124242241217111431558911315122610162092',NULL,'70',0.00,1,3,NULL),(20,5231957,'1991-01-02 00:00:00',4,1,12,2008,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124244241215473131469933575124610162065',2528,'270',75.00,1,3,NULL),(20,5231965,'1988-09-06 00:00:00',4,5,11,2006,'F','N','CENTRO','CRICIÚMA','SC','124242241216574431458923575112131567017',NULL,'211',0.00,1,3,NULL),(20,5231973,'1991-10-05 00:00:00',4,1,5,2009,'M','N','ESPLANADA DO SOL','S JOSÉ CAMPOS','SP','125252281217311431368711315122610167094',12188,'9998',52.83,4,3,NULL),(20,5231981,'1989-12-14 00:00:00',2,8,12,2007,'M','N','COMASA','JOINVILLE','SC','124243246412272411456719374121610135183',13563,'494',51.24,1,3,NULL),(20,5231990,'1993-02-08 00:00:00',2,1,12,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124244241215111111223721575124610166072',NULL,'948',32.05,4,3,NULL),(20,5232007,'1971-06-14 00:00:00',2,15,12,1991,'F','N','ALTO FELIZ','ARARANGUÁ','SC','224243248325131721222154185325130837075',NULL,'558',24.84,1,3,NULL),(20,5232015,'1992-09-15 00:00:00',4,6,12,2009,'F','N','SANTA RITA','BRUSQUE','SC','124241241115231431333614571225610125097',NULL,'876',0.00,1,2,1),(20,5232023,'1992-09-05 00:00:00',4,9,12,2009,'F','N','CENTRO','ANITA GARIBALDI','SC','124241241112271431436923382324610137147',NULL,'18',25.26,1,2,1),(20,5232031,'1992-11-10 00:00:00',4,15,12,2009,'F','N','MATO ALTO','ARARANGUÁ','SC','124241241115151431437313572122610134141',NULL,'30',14.16,1,3,NULL),(20,5232040,'1987-04-21 00:00:00',4,1,10,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241325374411125641215124610162012',NULL,'9999',0.00,1,3,NULL),(20,5232058,'1992-09-18 00:00:00',2,8,12,2009,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241136371431324331385124610135147',NULL,'484',26.77,1,2,1),(20,5232066,'1975-05-02 00:00:00',4,1,8,1996,'M','N','SAO JOAORIO VERMELHO','FLORIANÓPOLIS','SC','624243247621135531323359182224610127047',NULL,'9999',23.42,1,3,NULL),(20,5232082,'1990-06-21 00:00:00',2,1,12,2007,'M','N','FORQUILHAS','S JOSÉ','SC','124243241316241411447634344124610137047',15161,'592',44.95,2,1,2),(20,5232090,'1992-04-22 00:00:00',4,15,12,2009,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124243241215371731423619572125610164147',5402,'970',66.32,1,3,NULL),(20,5232104,'1991-05-29 00:00:00',4,1,12,2007,'F','N','CENTRO','STA MARIA','RS','120201201217471431249831571122142643187',1206,'9998',80.20,1,3,NULL),(20,5232120,'1987-06-04 00:00:00',2,1,12,2004,'F','N','VILA CLEOPATRA','MARINGÁ','PR','116161161416573751648713595125610162187',3466,'9998',70.64,3,3,NULL),(20,5232139,'1992-10-25 01:00:00',2,1,12,2009,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241115131431645634575124610125053',NULL,'591',26.26,1,2,1),(20,5232147,'1990-11-05 00:00:00',2,1,11,2008,'F','N','FLORESTA','S JOSÉ','SC','124242241215472431346569192224610132187',7241,'723',61.08,1,3,NULL),(20,5232155,'1990-06-04 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241117373411436823382124230244032',15567,'727',46.01,2,1,2),(20,5232163,'1991-10-02 00:00:00',2,1,12,2008,'F','N','N SENHORA DO ROSÁRIO','S JOSÉ','SC','124241241112473431325414572224610134142',NULL,'257',25.09,1,2,1),(20,5232171,'1992-11-12 00:00:00',4,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117151431523814572124610117052',NULL,'307',26.31,2,1,1),(20,5232180,'1991-01-12 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241127271421325654285124610123182',15870,'307',44.74,1,2,1),(20,5232198,'1991-10-08 00:00:00',4,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124241241122141431326514245124610128147',NULL,'734',23.48,1,2,1),(20,5232210,'1991-08-08 00:00:00',4,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241215131411459924576222610127062',3728,'883',71.09,1,3,NULL),(20,5232228,'1987-04-07 00:00:00',2,9,12,2004,'M','N','BOM RETIRO','JOINVILLE','SC','124242241212142131568934575112231467045',15448,'499',46.46,1,3,NULL),(20,5232236,'1993-07-25 00:00:00',4,8,12,2009,'M','N','CENTRO','ITAPEVA','SP','125254251216371431576833575122610166052',6086,'9998',62.58,1,3,NULL),(20,5232244,'1985-02-20 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241122473731544779315334133237062',NULL,'307',48.32,1,2,1),(20,5232252,'1993-02-03 00:00:00',4,4,12,2009,'F','N','INTERIOR','ARVOREDO','SC','124241241122131731324436272324610167055',NULL,'36',21.26,1,3,NULL),(20,5232260,'1991-12-14 00:00:00',4,1,12,2009,'M','N','BARÃO GERALDO','CAMPINAS','SP','125121251134371411224621575125610167045',NULL,'9998',27.34,2,1,1),(20,5232279,'1994-03-25 00:00:00',4,1,12,2010,'F','S','BARREIROS','S JOSÉ','SC','124242241215111431448833575122610136097',NULL,'32',43.66,1,3,NULL),(20,5232287,'1986-10-13 00:00:00',2,1,12,2004,'M','N','JARDIM SÃO NICOLAU','BIGUAÇU','SC','124241241147132421323311345124610132057',9891,'65',54.93,1,2,1),(20,5232295,'1989-03-14 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241216575751313939575125122468197',107,'1022',89.92,1,3,NULL),(20,5232309,'1988-06-21 00:00:00',2,1,11,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241137173411229921475114610135197',14537,'306',47.04,1,2,1),(20,5232317,'1988-05-05 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','120203201216571431468839475114610124017',3046,'9998',73.18,1,3,NULL),(20,5232325,'1992-07-15 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271531468433511125610117147',11523,'262',54.24,1,3,NULL),(20,5232333,'1976-09-22 00:00:00',2,1,12,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241114112231613311191335610134057',NULL,'9999',42.52,1,2,1),(20,5232341,'1992-02-17 00:00:00',2,2,12,2009,'F','N','SANTA TEREZINHA','BRUSQUE','SC','124241241116371731223621315122610114062',NULL,'116',27.35,4,2,1),(20,5232350,'1989-08-23 00:00:00',2,1,12,2006,'M','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124241241117154431559933575124222037047',6533,'734',64.85,1,2,1),(20,5232368,'1991-12-18 00:00:00',2,1,12,2009,'F','N','BOM VIVER','BIGUAÇU','SC','124242241215162411343923575122610143077',9444,'817',57.03,1,3,NULL),(20,5232376,'1992-04-12 00:00:00',2,4,12,2009,'F','N','INDUSTRIAL','MONDAÍ','SC','124241241135131431513379584324610124057',NULL,'564',28.87,5,2,1),(20,5232392,'1987-06-22 00:00:00',4,1,12,2004,'M','N','BRÁS','S PAULO','SP','125254253217571411335844345124610134097',6826,'9998',62.05,1,3,NULL),(20,5232414,'1986-05-06 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242247217151431558831485122233226182',NULL,'9999',25.52,1,3,NULL),(20,5232422,'1992-02-10 00:00:00',2,15,12,2009,'M','N','COLONINHA','ARARANGUÁ','SC','124241241115271731526611275213610117047',NULL,'29',27.74,1,2,1),(20,5232430,'1992-03-28 00:00:00',4,1,12,2009,'F','N','CANTA GALO','RIO SUL','SC','124241241117271431346621575122610124182',NULL,'659',0.00,1,2,1),(20,5232449,'1992-07-10 00:00:00',2,4,11,2009,'F','N','CENTRO','CUNHA PORÃ','SC','124244241215111431465611375122610128092',NULL,'1037',26.37,1,3,NULL),(20,5232465,'1992-05-15 00:00:00',2,5,12,2009,'M','N','SÃO DEFENDE','CRICIÚMA','SC','124243241132131531323614342124610114147',NULL,'214',13.51,1,3,NULL),(20,5232481,'1972-01-02 00:00:00',2,1,3,2003,'F','N','AREIAS','S JOSÉ','SC','324161167122163441421119212124610167017',NULL,'9998',37.48,4,2,1),(20,5232490,'1987-12-10 00:00:00',2,1,12,2005,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124242241212575431448612272114610124147',8183,'1098',61.43,1,3,NULL),(20,5232503,'1993-07-07 00:00:00',2,4,12,2009,'M','N','INTERIOR','IPORÃ OESTE','SC','124241241247111231323623572125610127047',7299,'1060',59.08,1,3,NULL),(20,5232511,'1980-01-17 00:00:00',4,1,12,1997,'F','N','SERTÃO DO IMARUI','S JOSÉ','SC','224241241117132732223674342233321864197',NULL,'271',25.96,1,2,1),(20,5232520,'1991-08-06 00:00:00',4,1,12,2008,'F','N','NOVA BELEM','PAULO LOPES','SC','124241241127271731323413572314610168192',NULL,'607',23.92,1,3,NULL),(20,5232538,'1984-07-05 00:00:00',4,1,8,2008,'F','N','VILA SÃO JOÃO','FLORIANÓPOLIS','SC','124241247122141431225149242314610163097',NULL,'9999',0.00,2,3,NULL),(20,5232546,'1992-08-07 00:00:00',2,1,12,2009,'F','N','CENTRO','PROGRESSO','RS','120201201136471451546839575122610167142',NULL,'9998',33.36,1,2,1),(20,5232554,'1992-05-06 00:00:00',4,8,12,2009,'M','N','CENTRO','S FRANCISCO SUL','SC','124202241217151431469813575112610126031',9747,'992',54.30,1,3,NULL),(20,5232570,'1991-05-25 00:00:00',4,1,12,2008,'M','N','SANTOS DUMONT','S JOSÉ','SC','124072241437271411217741315334610114187',14384,'65',49.52,1,3,NULL),(20,5232589,'1992-06-19 00:00:00',4,15,12,2009,'M','N','MORRO DOS CONVENTOS','ARARANGUÁ','SC','124241241115371431314479572124610113147',NULL,'29',25.40,1,3,NULL),(20,5232597,'1992-02-28 00:00:00',4,1,12,2009,'M','N','VILA DOM PEDRO I','S PAULO','SP','125251251116111411437711585124610142191',2186,'9998',73.71,1,3,NULL),(20,5232600,'1987-05-15 00:00:00',2,1,10,2007,'F','N','RIO GRANDE','PALHOÇA','SC','124241247126272431121341115123610126182',11177,'9999',55.96,1,2,1),(20,5232619,'1992-11-14 00:00:00',4,8,11,2009,'F','N','ITAUM','JOINVILLE','SC','124242241217271411249923574122610164012',4613,'457',67.46,1,3,NULL),(20,5232627,'1991-04-13 00:00:00',4,5,12,2008,'M','N','CENTRO','TORRES','RS','120202201217472231448811415124610167046',12051,'9998',50.78,1,3,NULL),(20,5232635,'1992-04-15 00:00:00',4,2,12,2009,'M','N','TRIBESS','BLUMENAU','SC','124242241415371221356823375124610127112',13141,'855',48.49,1,3,NULL),(20,5232643,'1991-02-25 00:00:00',2,15,12,2008,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124244241215472431446833585123610126172',12335,'32',49.80,1,3,NULL),(20,5232651,'1986-02-19 00:00:00',2,4,12,2003,'M','N','CENTRO','SERRA ALTA','SC','124241241121131432323616242324131421047',NULL,'765',43.37,1,2,1),(20,5232660,'1991-04-20 00:00:00',4,16,12,2009,'M','N','SAO LUIZ','CAPINZAL','SC','124241241215111731356529195122610167072',NULL,'155',0.00,1,3,NULL),(20,5232678,'1991-07-02 00:00:00',2,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241235372431626611372124610126072',6820,'362',63.36,1,3,NULL),(20,5232686,'1983-09-28 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224241247215471711323451185114610131187',NULL,'9999',24.71,1,3,NULL),(20,5232694,'1992-06-12 00:00:00',4,4,12,2009,'F','N','ROSA LINDA','CORDILHEIRA ALTA','SC','124241241117161531214623472124610137147',NULL,'197',0.00,1,2,1),(20,5232708,'1992-01-24 00:00:00',4,1,12,2009,'M','N','CENTRO','SERTÃOZINHO','SP','125252251215111431346819575122610167047',12483,'9998',50.91,1,3,NULL),(20,5232716,'1990-03-29 00:00:00',2,1,8,2008,'F','N','AREIAS','S JOSÉ','SC','124244241116372431423511285124610121147',5840,'306',65.06,1,3,NULL),(20,5232724,'1993-06-28 00:00:00',4,1,12,2010,'F','S','CAMPINAS','S JOSÉ','SC','124244241215111431327674575124610124197',NULL,'737',49.84,1,3,NULL),(20,5232740,'1992-03-06 00:00:00',4,17,12,2009,'M','N','BOM JESUS','RIO NEGRO','PR','116162161316371431629333375124610134017',NULL,'9998',29.78,1,3,NULL),(20,5232759,'1990-01-09 00:00:00',2,1,12,2007,'F','N','BORBA GATO','MARINGÁ','PR','116162161216571431568811572122610123017',NULL,'9998',27.31,1,3,NULL),(20,5232767,'1990-06-26 00:00:00',4,1,12,2007,'M','N','ITAGUAÇU','APARECIDA','SP','125251251142131431426318582324610127052',NULL,'9998',0.00,1,2,1),(20,5232783,'1992-11-12 00:00:00',2,4,11,2009,'F','N','ESPIRITO SANTO','ERECHIM','RS','120201121215141231456514345122610134012',14745,'9998',45.29,1,3,NULL),(20,5232791,'1985-03-20 00:00:00',2,1,6,2005,'M','N','CARIANOS','FLORIANÓPOLIS','SC','624243247346132431238544242334610121117',14992,'9999',47.88,1,3,NULL),(20,5232813,'1992-07-08 00:00:00',2,4,11,2009,'F','N','CENTRO','CONCÓRDIA','SC','124241241217131431433463572122610133147',10029,'1000',54.09,1,3,NULL),(20,5232830,'1989-02-20 00:00:00',4,1,12,2005,'M','N','ALTO DA RUA XV','CURITIBA','PR','116164161115371441458733574124143267042',5474,'9998',65.93,1,3,NULL),(20,5232848,'1964-07-13 00:00:00',5,1,12,1985,'F','N','JURERE','FLORIANÓPOLIS','SC','224244245426141421353343235122332726143',NULL,'346',0.00,1,3,NULL),(20,5232856,'1991-12-16 00:00:00',2,8,12,2008,'F','N','CONJUNTO VERONA','PNT GROSSA','PR','116163161215471431436613572124610164077',NULL,'9998',0.00,3,3,NULL),(20,5232864,'1982-01-15 00:00:00',2,1,12,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','124251241147575431627379275224233237053',13901,'281',50.56,2,1,1),(20,5232872,'1983-02-07 00:00:00',2,1,12,2002,'F','N','SERRARIA','S JOSÉ','SC','124241241126144421223444341334610118072',NULL,'734',22.47,1,2,1),(20,5232880,'1983-09-29 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243247416133431256923595125130264092',11744,'1003',54.85,1,3,NULL),(20,5232899,'1977-08-25 00:00:00',4,1,6,2000,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','524251127326131421125344345334610142047',14675,'9998',44.87,1,3,NULL),(20,5232902,'1986-10-17 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117135751113349492224610168087',13989,'307',48.03,4,2,1),(20,5232910,'1982-07-31 00:00:00',5,1,11,1999,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243248336275431332439215124610144183',NULL,'9999',27.40,3,3,NULL),(20,5232937,'1988-03-07 00:00:00',4,1,12,2005,'M','N','PRAIA DOS INGLESES','FLORIANÓPOLIS','SC','124131131117271451647869482114610138182',12093,'9998',54.18,1,2,1),(20,5232945,'1989-08-03 00:00:00',4,8,12,2007,'M','N','XAXIM','CURITIBA','PR','116162161214571751338811275124240642046',NULL,'9998',0.00,1,3,NULL),(20,5232953,'1983-06-14 00:00:00',4,1,12,2000,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201116373411123344142124610132145',8980,'9998',60.01,1,3,NULL),(20,5232961,'1994-02-22 00:00:00',4,8,11,2010,'F','S','COSTA E SILVA','JOINVILLE','SC','124242241211121431439912325124610127142',NULL,'457',52.60,1,3,NULL),(20,5232970,'1983-10-17 00:00:00',4,2,12,2000,'F','N','ITOUPAVAZINHA','BLUMENAU','SC','224254251117151711256653135132341764187',9457,'9998',59.17,2,3,NULL),(20,5232988,'1990-07-31 00:00:00',2,7,7,2009,'M','N','ARCOILIS','CAPINZAL','SC','124241241235111431439939395122610124054',NULL,'1093',23.19,1,3,NULL),(20,5232996,'1984-08-26 00:00:00',2,1,12,2002,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','224241241127134431313351282124610131147',16136,'307',43.18,1,2,1),(20,5233003,'1980-10-27 00:00:00',2,1,12,1998,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124251251216574731125378485123141822183',NULL,'9998',0.00,2,3,NULL),(20,5233011,'1992-07-02 00:00:00',2,1,12,2009,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124204241216151432536732215122610157047',NULL,'1048',30.05,1,3,NULL),(20,5233020,'1991-09-30 00:00:00',2,1,11,2008,'F','N','STO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC','124242241116473731469813595114610123147',7250,'271',62.94,1,3,NULL),(20,5233046,'1989-10-25 00:00:00',4,1,12,2006,'M','N','VILA OLÍMPIA','S PAULO','SP','125132071216571411588812575112142362053',7310,'9998',60.39,1,3,NULL),(20,5233054,'1992-07-03 00:00:00',4,1,12,2009,'F','N','SÃO MIGUEL','URUGUAIANA','RS','120201201117271431436829391125610122182',12214,'9998',53.96,1,2,1),(20,5233062,'1990-10-05 00:00:00',2,1,12,2008,'M','N','SUMARÉ','RIO SUL','SC','124242241216471431347614395133610164013',7872,'654',62.07,1,3,NULL),(20,5233070,'1991-08-08 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124243241117272431433311182124233247057',6061,'267',65.87,1,3,NULL),(20,5233089,'1991-11-08 00:00:00',2,7,12,2009,'F','N','CENTRO','HERVAL D OESTE','SC','124241241115271431325624245324610132177',NULL,'341',0.00,1,3,NULL),(20,5233100,'1992-04-04 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215371431458613575124610117042',1732,'299',77.76,4,3,NULL),(20,5233119,'1987-02-16 00:00:00',4,1,12,2004,'F','N','RIO GRANDE','PALHOÇA','SC','124243241147475451526611285324610165141',7997,'591',60.20,2,1,2),(20,5233127,'1992-09-10 00:00:00',2,1,12,2009,'F','N','PORTÃO','CURITIBA','PR','116163161216131451628824585324610123142',15956,'9998',40.91,2,1,2),(20,5233135,'1991-12-18 00:00:00',2,10,12,2008,'M','N','RECIFE','TUBARÃO','SC','124241241216472431338823375124610142047',NULL,'809',38.46,1,3,NULL),(20,5233143,'1990-12-09 00:00:00',4,4,12,2008,'F','N','VILANOVA','FRANCISCO BELTRÃO','PR','116161163116471431449933374122610142142',3128,'9998',71.50,1,2,1),(20,5233151,'1992-05-10 00:00:00',4,1,11,2009,'F','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251217111431559812295122610135042',14715,'9998',46.37,1,3,NULL),(20,5233160,'1988-03-17 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241112371512434333582214610111017',NULL,'287',13.52,1,2,1),(20,5233178,'1980-02-26 00:00:00',2,1,12,1997,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241127134431226444442334610122147',NULL,'292',0.00,1,3,NULL),(20,5233186,'1991-06-12 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241112241731333431282124610137147',NULL,'288',18.08,4,2,1),(20,5233194,'1992-04-02 00:00:00',4,10,12,2009,'F','N','PAES LEME','IMBITUBA','SC','124241241116371451218579595315610131197',NULL,'359',17.71,1,3,NULL),(20,5233208,'1992-04-11 00:00:00',2,3,12,2009,'M','N','PEREQUÊ','PTO BELO','SC','124144241315111431649614572121610121197',NULL,'9997',30.39,4,3,NULL),(20,5233216,'1990-12-30 00:00:00',4,8,12,2008,'F','N','JARIVATUBA','JOINVILLE','SC','124241241112131431228629575124231433071',15924,'478',44.55,1,2,1),(20,5233224,'1984-07-25 00:00:00',2,1,2,2002,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124201201117131431426524245334233233043',NULL,'9998',24.22,2,1,1),(20,5233232,'1992-05-17 00:00:00',4,1,12,2009,'M','N','SANTOS DUMONT','S JOSÉ','SC','124243241115161731568813342124610167092',14969,'307',47.97,1,3,NULL),(20,5233240,'1980-06-15 00:00:00',4,1,12,1997,'M','N','BATEL','CURITIBA','PR','116161161117134422323343235135121426012',2100,'9998',76.55,1,3,NULL),(20,5233259,'1991-09-11 00:00:00',4,4,12,2008,'F','N','INTERIOR','S MIGUEL OESTE','SC','124241241116272411323339345232610134052',9640,'757',56.21,1,2,1),(20,5233267,'1991-08-22 00:00:00',2,1,12,2009,'F','N','JARDIM CIDADE','S JOSÉ','SC','124241241117131431326624572324610133017',NULL,'734',19.01,4,2,1),(20,5233275,'1964-10-29 00:00:00',2,1,10,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','224241241114111431523319296345610114147',10925,'9999',56.45,1,2,1),(20,5233283,'1965-05-10 00:00:00',2,1,8,2003,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241247122232432424149292124610118187',NULL,'9999',0.00,2,2,1),(20,5233291,'1985-05-18 00:00:00',2,1,12,2003,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241142131431322248182114610167047',NULL,'288',29.06,2,2,1),(20,5233305,'1991-12-03 00:00:00',4,4,12,2008,'F','N','CENTRO','TUNÁPOLIS','SC','124241241147151421436613585112133227077',NULL,'812',26.36,1,3,NULL),(20,5233313,'1980-09-29 00:00:00',2,1,6,2001,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241334172431128614345114130217177',NULL,'52',20.19,1,3,NULL),(20,5233348,'1989-08-11 00:00:00',4,1,12,2006,'M','N','CENTRO','CRUZ ALTA','RS','120201201116571411566813572112610147072',1722,'9998',77.02,1,2,1),(20,5233364,'1978-07-29 00:00:00',2,1,12,1993,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241243132133431124644342124142726197',NULL,'635',21.63,1,2,1),(20,5233372,'1988-07-22 00:00:00',2,1,6,2008,'M','N','CARRIANOS','FLORIANÓPOLIS','SC','124241241336141431356611445122230267043',NULL,'9999',22.08,1,3,NULL),(20,5233402,'1990-06-04 00:00:00',5,1,12,2007,'F','N','CENTRO','TIJUCAS','SC','124243241412132421323319493222610118153',8600,'948',59.95,1,3,NULL),(20,5233410,'1982-11-14 00:00:00',4,1,12,2000,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','224241241146275711225473385114610151091',14369,'294',46.39,1,2,1),(20,5233429,'1981-08-23 00:00:00',3,1,12,1998,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224241241136474411264453475114610131012',3286,'122',72.65,1,2,1),(20,5233437,'1991-05-17 00:00:00',4,1,5,2009,'M','N','VILLAGE FLAMBOYANT','CUIABÁ','MT','111283281116271431657862572314610147047',11369,'9998',51.57,4,3,NULL),(20,5233445,'1991-08-09 00:00:00',2,1,12,2009,'M','N','CENTRO','VIDEIRA','SC','124241241115131431326521381124610163192',NULL,'831',41.96,1,2,1),(20,5233453,'1988-08-30 00:00:00',2,1,12,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241216144431438812245132231027053',NULL,'1076',20.99,5,3,NULL),(20,5233461,'1992-12-07 00:00:00',4,9,12,2009,'M','N','CENTRO','S JOAQUIM','SC','124242241216111731446613432222610164197',8231,'942',57.56,1,3,NULL),(20,5233470,'1991-03-20 00:00:00',2,1,12,2007,'F','N','SAO LUIS','CANOAS','RS','120202201216271741323316171124142068117',NULL,'9998',0.00,1,3,NULL),(20,5233488,'1992-01-15 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431468833575112610147052',3015,'262',72.71,1,3,NULL),(20,5233496,'1992-06-07 00:00:00',4,8,11,2009,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241217121711348814575122610162052',8562,'459',58.89,1,3,NULL),(20,5233518,'1988-01-06 00:00:00',4,1,12,2005,'M','N','SANTO ANTÔNIO','BELO HORIZONTE','MG','113133131216371431478614495114141428182',NULL,'9998',0.00,1,3,NULL),(20,5233526,'1991-06-21 00:00:00',2,2,12,2008,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124244241217132431149633575124231467147',NULL,'1118',43.85,1,3,NULL),(20,5233542,'1994-04-28 00:00:00',4,1,12,2010,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241117151411448633575124610136192',NULL,'739',49.01,1,3,NULL),(20,5233550,'1990-10-06 00:00:00',2,1,12,2007,'M','N','RIO GRANDE','PALHOÇA','SC','124241241117131421526611291312610157027',NULL,'307',13.31,2,1,1),(20,5233577,'1990-04-11 00:00:00',2,7,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116161161216571451526661575124610136147',892,'9998',81.94,1,3,NULL),(20,5233585,'1992-07-16 00:00:00',4,4,12,2009,'M','N','PIONEIRO','PINHALZINHO','SC','124241241115151431346923595125610138042',NULL,'616',28.69,1,2,1),(20,5233607,'1989-04-27 00:00:00',2,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241145573431426419286324610162127',12904,'307',50.40,1,2,1),(20,5233615,'1975-02-15 00:00:00',2,1,12,2006,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','224242241214111531623319296345610154157',NULL,'9999',8.59,4,3,NULL),(20,5233623,'1991-05-22 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241137372431424334382124610127052',15813,'257',45.03,1,2,1),(20,5233631,'1980-10-10 00:00:00',2,1,12,2000,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241247336243431436711345124130767042',NULL,'9999',0.00,1,3,NULL),(20,5233640,'1990-12-27 00:00:00',4,1,12,2008,'F','N','JD CRUZEIRO DOS UL','S JOSÉ CAMPOS','SP','125251251135571711525779245124610162047',NULL,'9998',0.00,4,2,1),(20,5233666,'1989-03-13 00:00:00',2,1,12,2007,'F','N','MONTE CARLO','CACHOEIRINHA','RS','120201201217131331435514445124143221117',NULL,'9998',26.63,1,3,NULL),(20,5233674,'1986-12-07 00:00:00',4,6,12,2004,'M','N','VILA NOVA HOLANDA','CARAMBEÍ','PR','116161161111141411633164571134610136177',5416,'9998',67.30,1,2,1),(20,5233682,'1992-07-16 00:00:00',4,10,12,2009,'F','N','RIO PEQUENO','GR PARÁ','SC','124241241116161431424436575122610136052',11045,'330',52.22,1,2,1),(20,5233690,'1991-04-17 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241217272751139815572124130267052',8168,'624',59.55,1,3,NULL),(20,5233704,'1978-09-07 00:00:00',4,1,11,1995,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224162241216273711268754435132420431072',962,'262',81.55,1,3,NULL),(20,5233712,'1991-02-10 00:00:00',2,1,12,2007,'F','N','ENSEADA DE BRITO','ENS BRITO','SC','124241241117131431313611585124610122197',NULL,'594',25.06,1,2,1),(20,5233720,'1992-06-01 00:00:00',2,4,12,2009,'F','N','CENTRO','LINDÓIA SUL','SC','124241241126131411435434245122610167052',NULL,'534',0.00,1,2,1),(20,5233739,'1986-04-11 00:00:00',2,1,12,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241127573431331724282224610124087',12596,'922',50.24,1,2,1),(20,5233747,'1990-10-28 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473231459832275215610164072',358,'981',85.90,1,3,NULL),(20,5233755,'1992-05-17 00:00:00',2,1,12,2009,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241115151431446313575124610122077',12261,'271',49.08,1,2,1),(20,5233763,'1986-02-01 00:00:00',4,1,6,2008,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241248115131441228614375122610156032',NULL,'49',45.60,1,3,NULL),(20,5233771,'1987-02-03 00:00:00',2,1,12,2004,'F','N','PASSA VINTE','PALHOÇA','SC','124241241127141431334624245124232836172',NULL,'591',22.33,1,2,1),(20,5233780,'1990-09-18 00:00:00',4,1,12,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241136272431446633585114610167047',NULL,'295',0.00,1,2,1),(20,5233798,'1985-09-25 00:00:00',4,4,6,2009,'M','N','PASSO DOS FORTES','CHAPECÓ','SC','124241248122131731323335141345610114057',16240,'9999',42.02,2,1,1),(20,5233810,'1990-06-02 00:00:00',4,1,12,2007,'M','N','SETOR SUL','GOIÂNIA','GO','109092091215571431669911414112610157097',NULL,'9998',0.00,1,3,NULL),(20,5233828,'1983-04-11 00:00:00',2,1,12,2001,'M','N','BARREIROS','S JOSÉ','SC','624161161125573421543644142124143237047',NULL,'9998',NULL,2,1,1),(20,5233836,'1986-06-08 00:00:00',2,1,6,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247212141431437939442124230267042',NULL,'9999',30.52,1,3,NULL),(20,5233852,'1991-10-28 00:00:00',4,1,12,2008,'F','N','CURIÓ UTINGA','BELÉM','PA','114141141217332441643814585124142224147',3042,'9998',72.38,1,3,NULL),(20,5233879,'1991-03-20 00:00:00',2,1,12,2008,'M','N','CENTRO','URUGUAIANA','RS','120203201211371731568911411124610147012',2053,'9998',76.04,1,3,NULL),(20,5233895,'1992-10-10 00:00:00',4,8,12,2009,'M','N','SCHRAMM','S BENTO SUL','SC','124241241117161441438811575125610134182',NULL,'697',39.97,1,3,NULL),(20,5233909,'1992-01-20 00:00:00',2,1,12,2009,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241116371431223321345324610146142',NULL,'733',25.61,1,2,1),(20,5233917,'1986-01-30 00:00:00',4,1,12,2007,'M','N','POTECAS','S JOSÉ','SC','124241241122472341323339382123610167115',NULL,'9997',29.10,3,2,1),(20,5233941,'1980-06-22 00:00:00',2,1,12,1997,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124244241115475421354313432124331937062',2015,'271',76.36,1,3,NULL),(20,5233950,'1986-04-09 00:00:00',4,1,12,2004,'M','N','CENTRO','BIGUAÇU','SC','124242241217153431547634495122232862122',NULL,'63',25.10,1,3,NULL),(20,5233968,'1991-03-27 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241212472431148924592124610127063',12032,'269',51.20,1,3,NULL),(20,5233976,'1991-03-30 00:00:00',2,1,12,2009,'F','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241112131431423334375124610122012',NULL,'592',21.55,1,2,1),(20,5233984,'1992-10-09 00:00:00',4,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241117371731236621246124610132192',9909,'592',56.36,1,2,1),(20,5233992,'1986-10-09 00:00:00',4,1,12,2003,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125253251125572132546414285114243224117',NULL,'9998',0.00,1,3,NULL),(20,5234018,'1985-07-01 00:00:00',4,1,12,2002,'M','N','FLAMBOYANT','CAMPINAS','SP','125252251216111211348812595122610118192',2996,'9998',73.54,1,3,NULL),(20,5234026,'1993-12-07 00:00:00',4,6,12,2010,'F','S','CENTRO','BAL CAMBORIÚ','SC','124242241212111431448932572112610125142',NULL,'1086',23.40,1,3,NULL),(20,5234034,'1986-08-04 00:00:00',4,1,12,2003,'F','N','CENTRO','S JOSÉ','SC','124242241215473731255529445122123244097',3593,'226',70.32,1,3,NULL),(20,5234042,'1990-01-17 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241125372431444414382124610117143',NULL,'285',17.87,1,2,1),(20,5234050,'1992-07-05 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431459631591122610127072',NULL,'1169',0.00,1,3,NULL),(20,5234069,'1992-04-19 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241137471431637519572114610134147',NULL,'295',25.96,1,2,1),(20,5234077,'1992-08-07 00:00:00',2,1,12,2009,'F','N','CENTRO','ANGELINA','SC','124241241116161231653932582122610137147',NULL,'17',45.91,1,2,1),(20,5234085,'1992-04-26 00:00:00',2,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241415111431348734245122610164147',NULL,'44',0.00,1,3,NULL),(20,5234093,'1991-12-13 00:00:00',4,1,11,2008,'M','N','AGUA VERDE','CURITIBA','PR','116243168237371431436653375124610162187',NULL,'9998',34.65,1,3,NULL),(20,5234107,'1991-06-14 00:00:00',2,1,7,2009,'M','N','NOSSA SENHORA','S JOSÉ','SC','124242247211272731568613485124610127142',NULL,'9999',18.81,4,3,NULL),(20,5234115,'1988-05-20 00:00:00',2,1,11,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241137412431325649192214610162182',NULL,'288',39.71,1,3,NULL),(20,5234123,'1992-06-16 00:00:00',4,9,11,2009,'F','N','PINHEIROS','OTACÍLIO COSTA','SC','124241241415111431453832395114610138182',NULL,'499',26.28,1,3,NULL),(20,5234131,'1984-09-17 00:00:00',4,1,12,2003,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241116144431417841415125131068197',NULL,'307',44.87,1,2,1),(20,5234140,'1992-04-07 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124244247226141221488712245132610127062',NULL,'9999',0.00,1,3,NULL),(20,5234158,'1989-10-09 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124242241216474431446812575124232727182',12943,'737',52.47,1,3,NULL),(20,5234166,'1992-10-15 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241112211131236623272124610113143',NULL,'307',26.60,1,2,1),(20,5234174,'1991-10-13 00:00:00',4,1,9,2009,'M','N','AREIAS','S JOSÉ','SC','124242241117131731326823585124610168193',9461,'739',56.94,1,3,NULL),(20,5234182,'1992-11-20 00:00:00',4,9,12,2009,'F','N','CENTRO','CPO BELO SUL','SC','124241241117271431426914572222610133142',13547,'935',48.18,1,2,1),(20,5234190,'1992-12-10 00:00:00',2,5,11,2010,'F','S','CENTRO','MRO FUMAÇA','SC','124244243415111631436632212124610122142',NULL,'213',16.39,1,3,NULL),(20,5234204,'1992-01-09 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241435121531569913575114610144142',NULL,'1022',32.45,1,3,NULL),(20,5234212,'1989-05-19 00:00:00',2,3,12,2007,'M','N','CENTRO','ERECHIM','RS','120202207241372431463912292125610168122',NULL,'9998',31.47,1,3,NULL),(20,5234220,'1991-01-07 00:00:00',4,1,11,2008,'F','N','CENTRO','PIRACICABA','SP','125252251215471731479821115122610146017',NULL,'9998',0.00,1,3,NULL),(20,5234239,'1992-02-01 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242248225272431468612242112610163072',15390,'1077',43.04,1,3,NULL),(20,5234247,'1982-10-23 00:00:00',2,1,12,2000,'F','N','ARIRIÚ','PALHOÇA','SC','124243248115132731676633482124610163182',NULL,'307',28.32,1,3,NULL),(20,5234263,'1991-07-04 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212143431489923475122232816147',12698,'270',52.93,1,3,NULL),(20,5234271,'1977-07-13 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242248614111431623319296345610124147',NULL,'9999',17.65,1,3,NULL),(20,5234280,'1990-02-11 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216575721259924575122233267052',3068,'1022',72.65,1,3,NULL),(20,5234298,'1992-03-18 00:00:00',4,9,11,2009,'F','N','CENTRO','LAGES','SC','124242241215111431438611575122610136012',15113,'497',42.98,1,3,NULL),(20,5234301,'1972-08-21 00:00:00',4,3,12,1992,'M','N','MERCES','CURITIBA','PR','116163161316131541427714145121341763172',NULL,'9998',0.00,1,3,NULL),(20,5234310,'1992-12-28 00:00:00',2,4,12,2009,'F','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124242241216151431448612595122610167072',NULL,'168',0.00,1,3,NULL),(20,5234328,'1992-06-06 00:00:00',4,9,12,2009,'M','N','SANTO ANTONIO','URUBICI','SC','124241242115161411223323252225610154187',NULL,'960',0.00,4,2,1),(20,5234336,'1991-07-29 00:00:00',2,1,12,2008,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124202241215472432379713575122610132122',NULL,'1133',14.91,1,3,NULL),(20,5234344,'1991-01-09 00:00:00',4,8,12,2008,'M','N','SAGUAÇÚ','JOINVILLE','SC','124242241217173411549921573124131467182',5465,'1063',67.19,1,3,NULL),(20,5234352,'1986-01-23 00:00:00',4,1,12,2003,'M','N','CENTRO','BIGUAÇU','SC','124242241216133411123629315223122245017',NULL,'9997',0.00,1,3,NULL),(20,5234360,'1992-04-24 00:00:00',2,8,12,2009,'M','N','ESTADOS UNIDOS','UBERABA','MG','113133131237121712536631212121610112012',NULL,'9998',28.87,1,3,NULL),(20,5234387,'1991-08-08 00:00:00',4,9,12,2008,'M','N','CINQUENTENARIO','CAXIAS SUL','RS','120202201215471731468833532122241467042',NULL,'9998',29.85,1,3,NULL),(20,5234395,'1991-04-16 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241215274431363823575124121427042',185,'991',88.17,1,3,NULL),(20,5234409,'1991-03-21 00:00:00',4,4,12,2007,'M','N','JARDIM GISELA','TOLEDO','PR','116162161216571431458931575122610116047',311,'9998',86.36,1,3,NULL),(20,5234417,'1988-11-27 00:00:00',4,1,11,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217234431539811582324230236167',2704,'87',73.95,1,3,NULL),(20,5234433,'1977-09-30 00:00:00',2,1,12,1996,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124201241342114211227823371111122211011',NULL,'277',0.00,4,3,NULL),(20,5234441,'1989-08-23 00:00:00',4,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241215372431557973235124121767047',NULL,'1022',0.00,1,3,NULL),(20,5234450,'1984-08-26 00:00:00',4,1,12,2001,'F','N','KOBRASOL','S JOSÉ','SC','124241241146271431223339375114130728157',NULL,'142',0.00,1,2,1),(20,5234468,'1973-06-23 00:00:00',2,15,12,1993,'M','N','VILA SÃO JOSE','ARARANGUÁ','SC','224241248127131731423343132111610138067',NULL,'28',17.19,1,2,1),(20,5234476,'1992-04-09 00:00:00',4,1,11,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241237111431457811575124610122122',9408,'262',57.18,1,3,NULL),(20,5234484,'1991-11-04 00:00:00',4,1,12,2008,'M','N','MATRIZ','VIDEIRA','SC','124244241215471431469923575122610152013',1782,'829',77.66,1,3,NULL),(20,5234492,'1991-07-08 00:00:00',2,1,11,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241117272712226627282324610134187',7158,'288',61.49,1,3,NULL),(20,5234506,'1992-10-06 00:00:00',4,8,12,2009,'F','N','VILA NOVA','JOINVILLE','SC','124241241116471441436614575124610136187',13853,'475',48.99,1,2,1),(20,5234514,'1991-01-13 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115272431645311345124610124052',10256,'307',57.68,1,2,1),(20,5234522,'1989-04-12 00:00:00',4,1,12,2006,'M','N','VILA LARSEN','LONDRINA','PR','116162161216572711448921471112610167097',6417,'9998',62.55,1,3,NULL),(20,5234530,'1991-01-11 00:00:00',4,1,12,2008,'M','N','SANTA CRUZ','S JOSÉ R PRETO','SP','125254251215471431458832571122610128182',934,'9998',80.23,2,1,2),(20,5234549,'1992-10-02 00:00:00',2,1,11,2009,'M','N','CRISTO REI','CURITIBA','PR','116162161216151431368924575122610167062',NULL,'9998',0.00,1,3,NULL),(20,5234557,'1983-10-10 00:00:00',2,3,12,2001,'M','N','VISTA ALEGRE','CURITIBA','PR','116164167436271431357839375122143227051',NULL,'9998',30.35,1,3,NULL),(20,5234565,'1982-08-25 00:00:00',2,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241114111451613379294345610154147',NULL,'9999',0.00,1,2,1),(20,5234581,'1991-02-14 00:00:00',4,9,12,2008,'F','N','BATES','LAGES','SC','124241241117371431323619472324610127147',NULL,'513',21.37,1,2,1),(20,5234590,'1991-01-17 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124161168127121732423379195114610127147',NULL,'9998',10.84,1,3,NULL),(20,5234603,'1991-10-02 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSÉ','SC','124241241112131731313628392224610128052',NULL,'629',0.00,4,2,1),(20,5234611,'1992-01-25 00:00:00',4,1,12,2009,'M','N','PENHA','S PAULO','SP','125252251216371431488914575122610137012',5708,'9998',63.74,1,3,NULL),(20,5234620,'1966-03-24 00:00:00',2,1,12,1990,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224241243126135421544443232123122327047',NULL,'304',27.49,1,3,NULL),(20,5234638,'1992-05-09 00:00:00',4,2,12,2009,'M','N','VILA FÁTIMA','PENÁPOLIS','SP','125252251216111411326811575122610118057',NULL,'9998',0.00,1,3,NULL),(20,5234646,'1992-11-04 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431368813595112610114182',12775,'1038',52.56,1,3,NULL),(20,5234654,'1993-07-04 00:00:00',2,10,11,2010,'M','S','CENTRO','ARMAZÉM','SC','124243248215111731253829372112610138182',NULL,'807',28.27,1,3,NULL),(20,5234662,'1981-09-27 00:00:00',2,1,12,2002,'F','N','JD NACIONAL','FOZ IGUAÇU','PR','116161241147372451423144242344610138147',16310,'292',40.16,4,2,1),(20,5234689,'1991-09-27 00:00:00',4,8,11,2008,'F','N','CENTRO','LAPA','PR','116163161416411411436834572324610163122',15912,'9998',44.61,1,3,NULL),(20,5234697,'1992-10-16 00:00:00',2,5,11,2009,'F','N','PIO CORREA','CRICIÚMA','SC','124244241216121432226629595122610124012',14568,'210',45.32,1,3,NULL),(20,5234700,'1982-07-11 00:00:00',4,1,12,2000,'F','N','INGLESES','FLORIANÓPOLIS','SC','224151241137241431222254145124610132097',NULL,'307',20.74,3,2,1),(20,5234719,'1988-01-16 00:00:00',2,4,12,2005,'M','N','CENTRO','S JOSÉ CEDRO','SC','124241241146472431344631282115610162097',4167,'740',67.80,1,2,1),(20,5234727,'1992-06-05 00:00:00',4,8,11,2009,'F','N','FATIMA','JOINVILLE','SC','124241241215111411427933575122610124197',NULL,'489',30.43,1,3,NULL),(20,5234735,'1978-05-17 00:00:00',2,1,12,1997,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224241241126133411432253392122122321143',14826,'416',48.38,1,2,1),(20,5234743,'1974-12-02 00:00:00',2,1,11,1994,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241207311171411123344242334610112122',NULL,'9998',44.15,1,3,NULL),(20,5234751,'1992-07-31 00:00:00',4,1,12,2009,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241117131432436813572124610134057',12235,'257',50.91,2,3,NULL),(20,5234760,'1987-08-05 00:00:00',2,1,12,2004,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241146472431537624345124610164067',11701,'257',52.16,1,2,1),(20,5234778,'1992-08-03 00:00:00',2,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215112431357932595122610127042',15413,'1133',43.74,1,3,NULL),(20,5234786,'1990-01-05 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215574431479919572322610123142',5243,'807',64.98,1,3,NULL),(20,5234794,'1991-10-02 00:00:00',2,1,12,2009,'F','N','SÃO JUDAS TADEU','S JOSÉ CAMPOS','SP','125251251117471311424613575124610165147',NULL,'9998',0.00,1,2,1),(20,5234816,'1991-09-24 00:00:00',2,1,1,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215272431458614575124221027042',1138,'723',80.55,1,3,NULL),(20,5234832,'1990-11-14 00:00:00',4,6,6,2009,'M','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','124242247217121731638923386324610114147',NULL,'9999',27.42,1,3,NULL),(20,5234840,'1993-05-22 00:00:00',4,1,12,2009,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241625111431538634572224610124192',NULL,'262',28.92,1,3,NULL),(20,5234859,'1987-09-08 00:00:00',4,1,12,2005,'M','N','NUCLEO BANDEIRANTE','NUC BANDEIRANTE','DF','107072071215574431468833575112142062143',1602,'9998',78.47,4,3,NULL),(20,5234867,'1991-10-01 00:00:00',2,1,11,2009,'F','N','LARANJEIRAS','RIO SUL','SC','124244241214151731453832391122610125092',NULL,'663',0.00,1,3,NULL),(20,5234883,'1983-10-18 00:00:00',2,1,11,2003,'M','N','SIRIU','GAROPABA','SC','124241241126131521634331285212610127117',NULL,'9999',0.00,1,2,1),(20,5234905,'1991-05-24 00:00:00',2,1,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124203241212112451343632172225610128187',NULL,'9997',28.26,1,3,NULL),(20,5234921,'1992-02-20 00:00:00',4,2,12,2009,'F','N','CENTRO','BRUSQUE','SC','124241241127132421223349292225610128142',NULL,'111',0.00,1,2,1),(20,5234930,'1990-02-26 00:00:00',4,7,12,2007,'M','N','MONTE BELO','JOAÇABA','SC','124241241116572441446624345122610164052',NULL,'449',0.00,1,3,NULL),(20,5234948,'1990-10-12 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217273441479931575124221422127',2566,'270',74.90,1,3,NULL),(20,5234956,'1981-09-09 00:00:00',2,4,12,1999,'F','N','QUEDAS DO PALMITAL','CHAPECÓ','SC','224241241136271431323354482124610161187',NULL,'601',48.96,1,2,1),(20,5234964,'1992-06-15 00:00:00',4,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124241241215111731436634275122610128142',3651,'456',71.73,1,3,NULL),(20,5234972,'1979-04-21 00:00:00',4,3,12,1999,'M','N','CAPÃO DA IMBUIA','CURITIBA','PR','216163161316141411227744145122342366127',NULL,'9998',0.00,2,3,NULL),(20,5234980,'1991-09-17 00:00:00',2,8,11,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215112431469714594122610132072',10459,'486',55.19,1,3,NULL),(20,5234999,'1987-01-04 00:00:00',4,15,12,2005,'M','N','VILA BEATRIZ','MARACAJÁ','SC','124241241126111431433311115122133222193',NULL,'550',0.00,1,3,NULL),(20,5235006,'1992-11-08 00:00:00',2,8,11,2009,'F','N','SÃO MARCOS','JOINVILLE','SC','124241241115161731525314172324610137074',NULL,'479',21.21,2,1,1),(20,5235014,'1969-06-15 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201247222131411211144242344610118192',NULL,'9997',0.00,1,3,NULL),(20,5235022,'1992-03-19 00:00:00',4,1,12,2009,'F','N','VILA ALEMÃ','RIO CLARO','SP','125251251216121751525521395121610167052',NULL,'9998',0.00,1,3,NULL),(20,5235030,'1991-08-01 00:00:00',2,1,11,2009,'M','N','PRAINHA','FLORIANÓPOLIS','SC','124241241215111431536334375114610127042',NULL,'300',30.44,1,3,NULL),(20,5235049,'1989-07-21 00:00:00',4,7,11,2006,'M','N','MONTE BELO','JOAÇABA','SC','124243161231573121358713445132143227042',11188,'9998',55.94,1,3,NULL),(20,5235057,'1992-03-25 00:00:00',2,1,12,2009,'F','N','CENTRO','S JOSÉ','SC','124242241116271431538714375124610132012',NULL,'732',29.15,1,3,NULL),(20,5235065,'1992-05-14 00:00:00',2,2,12,2009,'M','N','TESTO REGA','POMERODE','SC','124241241215111431424424275224610145197',11131,'624',56.01,1,3,NULL),(20,5235073,'1992-09-23 00:00:00',4,9,11,2009,'F','N','JARDIM ALEXANDRO','RIO SUL','SC','124242241215372431569911375122610125072',NULL,'991',41.40,3,3,NULL),(20,5235081,'1979-06-19 00:00:00',2,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','224051175122371321223354241334610167042',NULL,'9998',26.04,2,1,1),(20,5235090,'1987-09-26 00:00:00',2,1,8,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201326141431116644345324610124187',NULL,'9998',25.45,1,3,NULL),(20,5235103,'1989-03-08 00:00:00',4,4,12,2006,'F','N','NAÇÕES','CONCÓRDIA','SC','124241242112132421643624445122610137142',13036,'196',48.55,1,3,NULL),(20,5235111,'1992-08-12 00:00:00',2,7,12,2009,'M','N','PRINCIPAL','IPIRA','SC','124241241114271232327815575124610137047',9190,'369',57.54,1,3,NULL),(20,5235120,'1980-01-16 00:00:00',4,1,6,2001,'F','N','INGLESES','FLORIANÓPOLIS','SC','124163167616132731326869375324140668097',NULL,'9998',22.58,1,3,NULL),(20,5235138,'1989-01-29 00:00:00',4,10,11,2006,'M','N','COLONINHA','ARARANGUÁ','SC','124243241215142731116647376125232665097',NULL,'32',23.47,5,3,NULL),(20,5235146,'1973-03-19 00:00:00',2,3,12,1989,'M','N','BOA VISTA','CURITIBA','PR','216161161116151631236644145122342964144',NULL,'9998',0.00,1,3,NULL),(20,5235154,'1985-04-30 00:00:00',2,1,12,2003,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241122315431526614342224610127062',10184,'307',54.54,1,2,1),(20,5235162,'1981-01-29 00:00:00',2,3,12,2003,'M','N','CAPÃO RASO','CURITIBA','PR','116163161444571751454442423132340267047',NULL,'9998',0.00,4,3,NULL),(20,5235170,'1989-12-07 00:00:00',2,1,12,2006,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124241241135371711425324571224610143147',NULL,'288',25.45,3,2,1),(20,5235189,'1991-09-25 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241412372731446311285124610162187',15329,'1022',46.83,1,3,NULL),(20,5235197,'1992-10-03 00:00:00',4,1,11,2010,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215131732568921476114610133197',NULL,'270',52.61,1,3,NULL),(20,5235200,'1990-12-15 00:00:00',2,1,12,2009,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124244241412151431657613372114610114147',NULL,'293',23.10,1,3,NULL),(20,5235219,'1992-12-16 00:00:00',2,17,12,2009,'F','N','CAMPO DA ÁGUA VERDE','CANOINHAS','SC','124241241415132431526914572121610121177',NULL,'154',23.57,1,3,NULL),(20,5235227,'1992-03-12 00:00:00',4,15,12,2009,'F','N','LAGOÃO','ARARANGUÁ','SC','124241241135271441533314475122610137142',NULL,'30',23.24,4,2,1),(20,5235235,'1992-04-25 00:00:00',4,15,6,2010,'M','S','CIDADE ALTA','ARARANGUÁ','SC','124242246215111431456812375112610137052',NULL,'995',0.00,1,3,NULL),(20,5235243,'1967-11-16 00:00:00',2,15,12,1987,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','224241248127131211533143332233610117057',NULL,'29',27.17,1,2,1),(20,5235251,'1991-09-05 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217112431389633235122610137032',16047,'1133',43.79,1,3,NULL),(20,5235260,'1992-07-13 00:00:00',2,4,12,2009,'M','N','CENTRO','SAUDADES','SC','124241241115471731438812595122610157077',12251,'169',50.56,1,2,1),(20,5235278,'1984-04-22 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241111474441226664385124610143157',15099,'935',43.82,1,2,1),(20,5235286,'1988-09-25 00:00:00',4,1,12,2006,'F','N','CENTRO','PTO ALEGRE','RS','120204201216571431369613475124142263157',NULL,'9998',29.63,1,3,NULL),(20,5235294,'1984-11-04 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124193201117243311226744241323140637117',NULL,'9998',25.83,1,3,NULL),(20,5235308,'1990-02-25 00:00:00',2,9,12,2007,'F','N','JARDIM AMÉRICA','RIO SUL','SC','124241241126271311523335345334130217097',NULL,'364',28.00,1,2,1),(20,5235316,'1988-11-05 00:00:00',2,3,12,2006,'M','N','ÁGUA VERDE','CURITIBA','PR','116251251116271631437714145124610112047',NULL,'9998',0.00,1,3,NULL),(20,5235324,'1988-01-25 00:00:00',4,1,11,2005,'F','N','KOBRASOL','S JOSÉ','SC','124242241216273431348923445124233231017',NULL,'457',30.13,2,1,2),(20,5235332,'1992-05-22 00:00:00',4,8,12,2009,'F','N','LA SALLE','TOLEDO','PR','116162161215121431233612574112610134072',10151,'9998',56.94,1,3,NULL),(20,5235340,'1989-06-11 00:00:00',4,1,12,2008,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241126131732523334395114610114045',NULL,'296',24.65,4,2,1),(20,5235359,'1983-09-28 00:00:00',3,1,1,2006,'M','N','VILA ESTADIO','ARAÇATUBA','SP','125061067147151411446451286125142866047',NULL,'9998',29.59,1,3,NULL),(20,5235367,'1991-02-17 00:00:00',4,8,11,2009,'M','N','GLÓRIA','JOINVILLE','SC','124242241217111532358713577215610164162',6091,'457',65.81,1,3,NULL),(20,5235375,'1991-01-13 00:00:00',2,1,11,2008,'M','N','IPIRANGA','S JOSÉ','SC','124241241137271741335314385124610134017',9006,'734',57.48,4,2,1),(20,5235383,'1993-03-15 00:00:00',4,4,12,2009,'M','N','CENTRO','CONCÓRDIA','SC','124244241417111231538833575121610167042',NULL,'1047',0.00,1,3,NULL),(20,5235391,'1991-07-06 00:00:00',4,9,11,2008,'M','N','CENTRO','S JOAQUIM','SC','124242241215472411437933575124610114017',6004,'1035',63.04,1,3,NULL),(20,5235413,'1992-12-04 00:00:00',2,10,12,2009,'F','N','PAES LEME','IMBITUBA','SC','124241248117131731325519392122610123142',NULL,'359',19.38,1,2,1),(20,5235421,'1989-11-23 00:00:00',2,1,11,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124203201116372731116314245121231267075',NULL,'9998',0.00,4,3,NULL),(20,5235430,'1991-07-12 00:00:00',2,7,12,2008,'M','N','SÃO SEBASTIÃO','CAMPOS NOVOS','SC','116244248415471431323624574124610124017',NULL,'138',26.46,1,3,NULL),(20,5235456,'1991-06-27 00:00:00',2,1,11,2008,'F','N','FORQUILHAS','S JOSÉ','SC','124241241112273731324319592124610123122',NULL,'727',28.68,1,2,1),(20,5235464,'1992-08-29 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431468823572121610162142',827,'270',82.31,1,3,NULL),(20,5235472,'1969-05-27 00:00:00',4,1,7,1990,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244247427133431333639295122121834117',NULL,'270',29.57,1,3,NULL),(20,5235480,'1981-12-23 00:00:00',4,1,12,1998,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241216375221368419432134130444047',6946,'266',63.95,1,3,NULL),(20,5235529,'1992-10-16 00:00:00',5,1,12,2009,'F','N','ESPRAIADO','NOVA TRENTO','SC','124241241136142431443311275124610121051',NULL,'574',30.66,1,2,1),(20,5235537,'1990-05-27 00:00:00',4,1,6,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243247417231431338721285124610124185',NULL,'9999',41.61,1,3,NULL),(20,5235545,'1993-08-09 00:00:00',4,1,12,2010,'M','S','SANTA MONICA','FLORIANÓPOLIS','SC','124244241217171752469913575124610128052',NULL,'262',36.45,1,3,NULL),(20,5235553,'1992-07-31 00:00:00',1,2,12,2009,'F','N','POMERODE FUNDOS','POMERODE','SC','124242241217111411666624575122610147047',NULL,'624',0.00,1,3,NULL),(20,5235561,'1987-02-24 00:00:00',2,1,6,2005,'M','N','BUENO','GOIÂNIA','GO','109092097216111711388926575122241017096',NULL,'9998',0.00,1,3,NULL),(20,5235570,'1992-01-11 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216151411389914575112610144122',4439,'1133',68.27,1,3,NULL),(20,5235588,'1991-01-18 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241116472411433623575124232727042',14579,'592',45.04,1,3,NULL),(20,5235596,'1991-03-11 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201241116151631436521312134610125055',NULL,'288',21.77,1,2,1),(20,5235600,'1992-01-14 00:00:00',4,2,12,2009,'M','N','VILA NOVA','BLUMENAU','SC','124241241237111431338911375124610117112',13284,'71',47.32,4,3,NULL),(20,5235618,'1991-08-01 00:00:00',2,5,11,2008,'F','N','COMERCIARIO','CRICIÚMA','SC','124244241212212431646334595122610168077',NULL,'226',26.47,1,3,NULL),(20,5235626,'1992-10-19 00:00:00',4,1,12,2009,'M','N','SETOR SUDOESTE','GOIÂNIA','GO','109092091216111431479833575122610114042',5846,'9998',64.36,1,3,NULL),(20,5235634,'1989-12-11 00:00:00',2,8,12,2006,'F','N','ZONA SETE','MARINGÁ','PR','116161161116573431546519595112610134077',5835,'9998',65.51,4,2,1),(20,5235642,'1993-10-24 00:00:00',2,5,10,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241214111711488832572112610142182',NULL,'213',21.12,1,3,NULL),(20,5235650,'1992-10-24 00:00:00',2,1,11,2009,'F','N','ROÇADO','S JOSÉ','SC','124242241212111431648679592122610132197',NULL,'724',24.29,1,3,NULL),(20,5235669,'1992-07-23 00:00:00',2,16,12,2009,'F','N','BOM JESUS','CURITIBANOS','SC','124241241235112431437814572122610134142',12801,'1146',52.74,4,3,NULL),(20,5235677,'1989-10-07 00:00:00',2,1,12,2007,'F','N','BOM VIVER','BIGUAÇU','SC','124241241116272431646314245134610134047',11742,'257',51.84,1,2,1),(20,5235707,'1992-01-02 00:00:00',2,4,12,2009,'M','N','SANTA MARIA','CHAPECÓ','SC','124241241137311531425331375125610131142',NULL,'176',25.10,1,2,1),(20,5235715,'1993-01-13 00:00:00',4,2,11,2010,'M','S','ÁGUA VERDE','BLUMENAU','SC','124242241211151431479714585124610134061',NULL,'71',53.80,1,3,NULL),(20,5235723,'1991-10-16 00:00:00',2,5,12,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241215572431568834472112610127047',3459,'213',70.92,1,3,NULL),(20,5235731,'1990-06-19 00:00:00',2,1,12,2008,'F','N','REAL PARK','S JOSÉ','SC','124201201117132431524327382324610124097',NULL,'9998',20.38,1,2,1),(20,5235740,'1992-06-30 00:00:00',4,4,12,2009,'M','N','CENTRO','XANXERÊ','SC','124241241215131431534923175121610124042',NULL,'836',40.83,1,3,NULL),(20,5235758,'1992-06-05 00:00:00',4,1,12,2009,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241248135131731423314575121610164147',NULL,'65',0.00,3,2,1),(20,5235766,'1946-03-23 00:00:00',2,3,12,1964,'M','N','MOSSUNGUE','CURITIBA','PR','216161161116151751338749145122341961173',NULL,'9998',0.00,1,3,NULL),(20,5235782,'1978-01-20 00:00:00',4,1,12,1996,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124201204116131711127443235122141412097',NULL,'9998',0.00,1,2,1),(20,5235790,'1991-01-22 00:00:00',4,10,11,2008,'F','N','CENTRO','BRAÇO NORTE','SC','124242241215472431468832595122610128092',10756,'807',53.23,1,3,NULL),(20,5235804,'1992-05-16 00:00:00',4,8,11,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241215113121446812172125610133077',3833,'1063',69.82,1,3,NULL),(20,5235812,'1987-11-30 00:00:00',2,8,12,2005,'F','N','SANTA CATARINA','JOINVILLE','SC','124241241112132431623524471224610166147',13099,'492',49.78,1,2,1),(20,5235820,'1992-12-21 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241312111431648632472124610138142',NULL,'1118',21.37,1,3,NULL),(20,5235839,'1991-04-10 00:00:00',4,1,12,2008,'F','N','LIMOEIRO','BRUSQUE','SC','124242241215473431469813572115223232182',3175,'107',71.29,1,3,NULL),(20,5235871,'1988-05-12 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126131411424629445114610117055',NULL,'290',23.30,1,2,1),(20,5235880,'1991-09-02 00:00:00',2,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241114371231423324274124610165052',12762,'307',52.81,1,2,1),(20,5235928,'1992-11-28 00:00:00',4,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215112431568831574114610124022',1938,'1022',77.13,1,3,NULL),(20,5235936,'1993-06-06 00:00:00',2,1,11,2010,'F','S','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241241117111431237823475122610167142',NULL,'267',27.04,1,3,NULL),(20,5235944,'1992-06-19 00:00:00',2,1,11,2009,'M','N','CENTRO','VIDEIRA','SC','624242248215111131438614395112610127053',NULL,'829',0.00,1,3,NULL),(20,5235952,'1982-10-18 00:00:00',2,1,12,1999,'F','N','SÃO JOSÉ','ESTEIO','RS','120202201217471431228743435234242944147',4895,'9998',65.87,1,3,NULL),(20,5235960,'1992-07-26 00:00:00',4,8,11,2009,'F','N','TIFA MARTINS','JARAGUÁ SUL','SC','124242241215111431357614142122610127057',NULL,'424',0.00,1,3,NULL),(20,5235987,'1991-01-10 00:00:00',2,1,12,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215373431468513572114610127092',11073,'272',54.38,1,3,NULL),(20,5235995,'1993-04-30 00:00:00',2,1,12,2009,'M','N','ESTREITOCOLONINHA','FLORIANÓPOLIS','SC','124242241235111421458613575122610162097',NULL,'723',21.87,1,3,NULL),(20,5236002,'1986-06-27 00:00:00',2,1,8,2004,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124244241111272411126648385223133268187',14690,'739',48.76,1,3,NULL),(20,5236010,'1987-07-31 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216475431468932375122131066092',5302,'266',66.10,1,3,NULL),(20,5236029,'1993-03-16 00:00:00',4,1,12,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242241215111431226924572125610138072',NULL,'723',49.87,1,3,NULL),(20,5236037,'1989-03-14 00:00:00',2,1,7,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124202207446472711446619245124132824142',NULL,'9998',28.82,1,3,NULL),(20,5236053,'1989-10-26 00:00:00',4,1,12,2006,'F','N','CENTRO','TAPEJARA','RS','124202241216574431354815575124610134041',1158,'270',80.46,1,3,NULL),(20,5236061,'1992-01-16 00:00:00',4,15,12,2009,'M','N','CENTRO','TURVO','SC','124242241217141331456921215121610127047',NULL,'813',31.03,1,3,NULL),(20,5236070,'1991-03-26 00:00:00',2,5,10,2008,'F','N','CENTRO','FORQUILHINHA','SC','124242241115473731448614574125610162146',4365,'226',68.37,1,3,NULL),(20,5236088,'1993-08-12 00:00:00',4,10,11,2009,'M','N','CENTRO','BRAÇO NORTE','SC','124242241215121431468832595122610127092',12615,'270',53.11,1,3,NULL),(20,5236096,'1994-09-14 00:00:00',4,5,12,2011,'F','S','PIO CORREA','CRICIÚMA','SC','124242241212151431478923435124610167092',NULL,'211',33.45,1,3,NULL),(20,5236118,'1992-12-01 00:00:00',4,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124202241217112431568813572124610122172',1210,'270',80.18,1,3,NULL),(20,5236126,'1992-01-17 00:00:00',4,9,11,2009,'M','N','PETRÓPOLIS','LAGES','SC','124244241436131731546612295125610127017',15738,'497',42.63,1,3,NULL),(20,5236134,'1985-07-16 00:00:00',4,15,12,2003,'M','N','ITOUPAVA II','TURVO','SC','124241241137141431443336435123610117061',16220,'814',42.30,1,3,NULL),(20,5236142,'1992-07-15 00:00:00',4,2,12,2009,'F','N','VILA NOVA','BLUMENAU','SC','124242241215111431437619592122610137017',4752,'71',67.64,1,3,NULL),(20,5236150,'1992-03-26 00:00:00',4,10,12,2009,'F','N','OFICINAS','TUBARÃO','SC','624242241215221331347712392122610124072',12555,'807',53.23,1,3,NULL),(20,5236169,'1985-09-01 00:00:00',2,7,12,2003,'M','N','IMIGRANTES','CONCÓRDIA','SC','124241242117131411323448382334610166177',8830,'196',58.54,1,2,1),(20,5236177,'1990-01-17 00:00:00',4,4,12,2007,'F','N','CENTRO','PALOTINA','PR','116202201216561411448812425122610114142',774,'9998',82.70,1,3,NULL),(20,5236185,'1990-10-19 00:00:00',4,3,12,2008,'F','N','MARAMBAIA','VINHEDO','SP','125252251216471311488712575112140214142',NULL,'9998',0.00,1,3,NULL),(20,5236207,'1993-07-23 00:00:00',4,5,12,2010,'F','S','RIO MAINA','CRICIÚMA','SC','124242241215121411538934575124610146042',NULL,'226',55.81,1,3,NULL),(20,5236215,'1987-05-04 00:00:00',4,1,12,2005,'M','N','PERPETUO SOCORRO','STA MARIA','RS','120202201117571431456519575124610114187',4520,'9998',69.48,1,3,NULL),(20,5236223,'1992-08-09 00:00:00',4,1,12,2009,'M','N','VILA NOVA','IMBITUBA','SC','124241248117151411536723345124610167042',14194,'359',49.97,1,2,1),(20,5236231,'1994-03-02 00:00:00',2,1,11,2010,'M','S','INGLESES','FLORIANÓPOLIS','SC','124281241215111431536619575124610137182',NULL,'1022',47.67,1,3,NULL),(20,5236240,'1977-10-14 00:00:00',2,1,12,1995,'M','N','MORRO DA CRUZ','FLORIANÓPOLIS','SC','124242241217272431558824426132130227091',12648,'262',53.04,1,3,NULL),(20,5236258,'1989-08-19 00:00:00',4,1,12,2007,'M','N','BOQUEIRAO','SANTOS','SP','125252251215572431569831575122141422047',4836,'9998',65.98,1,3,NULL),(20,5236266,'1992-02-02 00:00:00',4,10,11,2009,'M','N','CENTRO','BRAÇO NORTE','SC','124242241217151731226623475114610164047',2362,'806',75.59,1,3,NULL),(20,5236290,'1990-09-20 00:00:00',2,1,12,2007,'M','N','CENTRO','PRES GETÚLIO','SC','124241241217573431468913571114610127041',4886,'991',67.34,4,3,NULL),(20,5236312,'1990-02-25 00:00:00',4,1,12,2007,'F','N','COSTEIARA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241241137473431438634475114610133142',13711,'307',48.36,1,2,1),(20,5236320,'1993-10-14 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431383312575112610163072',NULL,'270',57.36,1,3,NULL),(20,5236339,'1992-12-21 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241312111431648632472124610138142',NULL,'1118',32.30,1,3,NULL),(20,5236347,'1992-05-21 00:00:00',2,1,12,2009,'F','N','VILA ESTRELA','PNT GROSSA','PR','116162161217111431443611415122610127142',NULL,'9998',32.12,1,3,NULL),(20,5236355,'1986-02-27 00:00:00',4,1,12,2003,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124242241211142431467619435122221457055',1404,'738',79.27,1,3,NULL),(20,5236363,'1992-10-11 00:00:00',2,1,12,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124241241136371431611321212211610137142',NULL,'592',17.82,1,2,1),(20,5236371,'1992-09-16 00:00:00',2,1,12,2009,'M','N','ESQUINA GAUCHA','PÉROLA D OESTE','PR','116161161116131431546511575121610134033',NULL,'9998',0.00,1,2,1),(20,5236380,'1991-11-16 00:00:00',4,1,11,2009,'M','N','CENTRO','S JOAQUIM','SC','124242241215111431454811572122610168092',NULL,'1035',38.16,1,3,NULL),(20,5236398,'1990-04-09 00:00:00',4,15,12,2007,'M','N','SANTA CATARINA','CAXIAS SUL','RS','120201201116571731336827294124610166187',5822,'9998',65.09,1,2,1),(20,5236401,'1990-04-29 00:00:00',2,1,12,2007,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241147575431646613131323610164182',7517,'307',61.10,1,2,1),(20,5236410,'1971-08-29 00:00:00',2,1,12,1993,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224251253146131411234441115124610165055',NULL,'9998',39.60,4,3,NULL),(20,5236436,'1984-10-21 00:00:00',2,7,12,2002,'M','N','CENTRO','CATANDUVAS','SC','124241241116575751323429245124133157057',NULL,'161',0.00,1,2,1),(20,5236444,'1993-06-01 00:00:00',2,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217171732589932594125610123182',NULL,'270',0.00,1,3,NULL),(20,5236452,'1972-03-15 00:00:00',2,1,12,1999,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241247121131152111148187345610168191',NULL,'761',23.94,1,2,1),(20,5236460,'1990-07-11 00:00:00',2,5,11,2007,'M','N','VILA ISABEL','CRICIÚMA','SC','124243246212133431536923345124231462181',NULL,'230',49.84,1,3,NULL),(20,5236479,'1988-06-01 00:00:00',4,5,12,2005,'M','N','GETULIO VARGAS','TORRES','RS','120201201117131531423631346121610164047',NULL,'9998',0.00,1,2,1),(20,5236487,'1991-04-12 00:00:00',4,9,12,2008,'F','N','MORRO DO POSTO','LAGES','SC','124242241117372631638679245122610126177',2953,'935',71.58,1,3,NULL),(20,5236495,'1985-05-03 00:00:00',4,8,12,2002,'M','N','CENTRO','CURITIBA','PR','116162161217151441568833575125243267057',12992,'9998',52.37,1,3,NULL),(20,5236509,'1990-04-28 00:00:00',4,1,11,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216154411467633585125230267143',NULL,'270',0.00,1,3,NULL),(20,5236517,'1991-01-12 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124212211216372331346632575124610147042',NULL,'9998',29.46,4,3,NULL),(20,5236533,'1989-02-13 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241126473431513521285124243226147',12263,'736',53.86,1,2,1),(20,5236541,'1991-02-14 00:00:00',4,1,12,2008,'F','N','FLORESTA','PTO ALEGRE','RS','120192201211472741368832242124610146157',1102,'9998',79.61,4,3,NULL),(20,5236550,'1992-08-16 00:00:00',4,10,11,2009,'M','N','CENTRO','S MARTINHO','SC','124241241437151431659714475122610122052',263,'806',87.06,1,3,NULL),(20,5236568,'1989-03-11 00:00:00',4,1,12,2005,'F','N','CENTRO','TIJUCAS','SC','124242241217575431469831575122232447147',NULL,'781',0.00,1,3,NULL),(20,5236576,'1992-07-15 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241117131431435618285124610114147',NULL,'257',21.42,2,1,1),(20,5236592,'1992-03-05 00:00:00',4,6,12,2009,'F','N','JARDIM SANTA ROSA','FOZ IGUAÇU','PR','116161161116131431424929575124610161112',NULL,'9998',0.00,1,2,1),(20,5236606,'1992-02-09 00:00:00',2,1,12,2009,'F','N','LARANJEIRAS','RIO SUL','SC','124241241215131411336933575112610135057',NULL,'654',0.00,1,3,NULL),(20,5236614,'1992-04-06 00:00:00',4,1,12,2009,'F','N','CENTRO','GAROPABA','SC','124241241146131431536511572224610166172',NULL,'322',46.73,1,2,1),(20,5236630,'1992-11-19 00:00:00',4,1,11,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124244241215121431246823575122610163092',NULL,'1123',29.77,1,3,NULL),(20,5236649,'1981-11-27 00:00:00',2,3,11,1999,'F','N','LEBLON','PARANAGUÁ','PR','116162161214571451458814472122343266157',4021,'9998',68.46,1,3,NULL),(20,5236657,'1992-11-12 00:00:00',4,10,11,2009,'M','N','CENTRO','S LUDGERO','SC','124242241215111131467512272122610114142',11761,'807',51.50,1,3,NULL),(20,5236665,'1991-02-07 00:00:00',4,1,12,2008,'M','N','MARIA GORETTI','CHAPECÓ','SC','124252251216272431468814575124233267044',11645,'9998',53.32,4,3,NULL),(20,5236673,'1991-08-16 00:00:00',4,8,12,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242246217151411438633171124610161142',NULL,'1105',32.65,1,3,NULL),(20,5236681,'1991-01-29 00:00:00',2,16,12,2008,'M','N','CENTRO','BRUNÓPOLIS','SC','124241241126271411534416572213610127042',14449,'911',44.27,1,3,NULL),(20,5236690,'1989-10-25 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216153431367914495122233227053',5245,'737',67.60,1,3,NULL),(20,5236703,'1982-03-16 00:00:00',2,1,12,2002,'M','N','BELA VISTA','S JOSÉ','SC','124241241122312431523327242344610127167',NULL,'277',17.19,4,1,1),(20,5236711,'1991-12-06 00:00:00',2,1,12,2008,'M','N','MONTE SERRAT','FLORIANÓPOLIS','SC','124241248126371732421339391214610128192',15835,'179',44.93,1,2,1),(20,5236720,'1989-12-07 00:00:00',4,8,12,2007,'M','N','FLORESTA','JOINVILLE','SC','124241241417131411546634445123610114187',NULL,'459',27.30,1,3,NULL),(20,5236738,'1992-02-10 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241317141431557633345124610147057',NULL,'300',22.85,1,3,NULL),(20,5236746,'1992-10-29 00:00:00',4,1,12,2009,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','624244241215111431676924575124610123183',14212,'1022',49.93,1,3,NULL),(20,5236754,'1988-04-18 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124131131117172411128744246324230234142',NULL,'9998',0.00,1,2,1),(20,5236762,'1985-05-30 00:00:00',2,6,12,2002,'F','N','JARDIM SIMARA','PARANAVAÍ','PR','116161161127371431326669475223610126147',NULL,'9998',43.13,1,2,1),(20,5236770,'1992-08-20 00:00:00',2,3,12,2009,'F','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162168215121411647932575122610121077',NULL,'9998',0.00,1,3,NULL),(20,5236789,'1991-11-19 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242248216111431237623595114610167187',NULL,'270',23.15,1,3,NULL),(20,5236797,'1992-12-16 00:00:00',2,4,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124241241117231412524968572125610132147',NULL,'239',0.00,1,2,1),(20,5236800,'1993-02-06 00:00:00',4,1,12,2010,'F','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111431326634472124610128145',NULL,'1134',45.18,4,3,NULL),(20,5236819,'1992-01-03 00:00:00',2,10,10,2009,'F','N','CENTRO','BRAÇO NORTE','SC','124242241215111331578831575112610162052',9134,'807',58.18,1,3,NULL),(20,5236827,'1992-05-28 00:00:00',4,1,12,2009,'F','N','SAGRADA FAMILIA','NOVA PRATA','RS','120201201116231431437734575122610128193',16031,'9998',40.25,1,3,NULL),(20,5236835,'1990-01-11 00:00:00',2,1,12,2006,'F','N','CALEMBA','STO AMARO IMPERATRIZ','SC','124244241216133411333933575124222368192',15809,'1014',45.04,1,3,NULL),(20,5236851,'1991-11-20 00:00:00',4,8,12,2009,'F','N','ESPINHEIROS','JOINVILLE','SC','124241243216111431568634275124610121092',15811,'1105',45.04,1,3,NULL),(20,5236860,'1992-01-13 00:00:00',2,1,11,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241115271411537612572114610167055',4852,'271',68.00,1,3,NULL),(20,5236878,'1990-11-10 00:00:00',2,1,12,2008,'M','N','CENTRO','PTO ALEGRE','RS','120202201116471711336612571124610167052',11046,'9998',52.20,1,3,NULL),(20,5236886,'1989-05-16 00:00:00',4,1,12,2007,'M','N','RIO TAVRES','FLORIANÓPOLIS','SC','624243248313471721574632442122610127043',NULL,'285',14.32,4,3,NULL),(20,5236894,'1989-10-04 00:00:00',4,1,12,2006,'F','N','AREIAS','S JOSÉ','SC','224243241115132421246943332134131024077',16273,'271',41.28,1,3,NULL),(20,5236916,'1992-09-19 00:00:00',4,10,12,2009,'F','N','MAR GROSSO','LAGUNA','SC','124242241225161431228529395112610122092',NULL,'524',24.83,1,3,NULL),(20,5236924,'1990-04-30 00:00:00',4,1,12,2006,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215374431389931475122133261171',6658,'270',62.82,1,3,NULL),(20,5236932,'1984-08-22 00:00:00',2,1,12,2002,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124204201136132421223743335124610127057',NULL,'9998',40.87,1,3,NULL),(20,5236959,'1990-06-11 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124241245135271731428614331124610122147',15052,'734',47.71,1,3,NULL),(20,5236967,'1992-10-06 00:00:00',4,15,12,2009,'M','N','CENTRO','PR GRANDE','SC','124241242112111431439913575124610147052',15400,'690',41.92,1,2,1),(20,5236975,'1990-07-22 00:00:00',2,1,12,2008,'M','N','AREIAS','S JOSÉ','SC','124243241117141431126344341123231024147',NULL,'306',17.28,1,3,NULL),(20,5236983,'1969-12-02 00:00:00',4,1,12,1987,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124241243346141421663353225122132724145',NULL,'303',0.00,1,3,NULL),(20,5236991,'1990-04-14 00:00:00',2,1,12,2007,'F','N','CENTRO','TIJUCAS','SC','124242241212132431439812495112610162057',9508,'1119',57.10,4,3,NULL),(20,5237009,'1992-05-25 00:00:00',4,1,12,2009,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241121141411636411342321610117042',NULL,'593',21.61,1,2,1),(20,5237025,'1992-03-21 00:00:00',4,2,12,2009,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124242241215111441458932591122610124082',12048,'88',54.30,1,3,NULL),(20,5237041,'1992-07-12 00:00:00',4,4,12,2009,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241416151431479813372122610132092',9252,'1079',56.60,1,3,NULL),(20,5237050,'1993-02-24 00:00:00',4,4,12,2009,'F','N','CENTRO','GALVÃO','SC','124241241116131431523613575122610137147',NULL,'321',24.42,4,2,1),(20,5237068,'1991-10-08 00:00:00',4,8,12,2009,'M','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242248217151532536632492222610133147',15370,'1061',41.64,1,3,NULL),(20,5237076,'1991-06-03 00:00:00',4,1,10,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124072017217271431359923395122610167046',12635,'9998',48.09,1,3,NULL),(20,5237084,'1992-05-16 00:00:00',4,8,11,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241215423431457812572122610124072',3334,'1063',70.63,1,3,NULL),(20,5237092,'1990-04-16 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117272411436619575114231034047',4203,'307',70.09,1,2,1),(20,5237106,'1992-04-20 00:00:00',2,1,11,2009,'F','N','CANTO','FLORIANÓPOLIS','SC','124242241215271431348614572124610124057',NULL,'1022',28.69,1,3,NULL),(20,5237122,'1986-09-19 00:00:00',4,1,12,2003,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124113111316273231243723485114122942142',NULL,'9998',37.97,4,3,NULL),(20,5237130,'1992-05-29 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124244241217111431468614575124610122185',13089,'724',49.11,1,3,NULL),(20,5237149,'1989-06-27 00:00:00',2,1,12,2006,'F','N','ARIRIÚ','PALHOÇA','SC','124241241217453431567619595124233222141',14682,'1036',48.79,1,3,NULL),(20,5237157,'1989-10-06 00:00:00',4,1,12,2007,'M','N','VILA JACON','LIMEIRA','SP','125251251116271441216621485121610144047',4352,'9998',68.09,1,2,1),(20,5237165,'1990-04-10 00:00:00',4,1,12,2007,'M','N','PASSA VINTE','PALHOÇA','SC','124241241117131421423324342124610124172',14990,'359',47.88,4,3,NULL),(20,5237173,'1990-04-10 00:00:00',4,1,6,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247217152431379813575112232134192',NULL,'9999',0.00,1,3,NULL),(20,5237181,'1981-02-17 00:00:00',4,1,12,1998,'M','N','CANTO','FLORIANÓPOLIS','SC','624201208116131431523343435124610127047',NULL,'9998',26.59,2,1,1),(20,5237190,'1993-11-05 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241217112431328824374122610126147',5916,'213',63.87,1,3,NULL),(20,5237203,'1992-11-19 00:00:00',4,10,12,2009,'M','N','RECIFE','TUBARÃO','SC','124241246432111432456413435121610127062',NULL,'1120',25.79,1,3,NULL),(20,5237211,'1983-06-30 00:00:00',2,1,12,2000,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124253251216471441226641215235243242187',NULL,'9998',49.81,1,3,NULL),(20,5237220,'1983-08-03 00:00:00',2,1,12,2001,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126374431224644241334610167037',15094,'290',46.25,1,2,1),(20,5237238,'1987-01-13 00:00:00',2,1,12,2004,'M','N','CAMBUÍ','MOGI GUAÇU','SP','125251251116572751336419344124610162047',516,'9998',83.77,1,2,1),(20,5237246,'1991-07-12 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161215522431468815572325610142017',3911,'9998',70.34,1,3,NULL),(20,5237254,'1989-12-14 00:00:00',4,1,11,2007,'M','N','SANTA MONICA','S CARLOS','SP','125252251215571411368823372122610164047',NULL,'9997',0.00,1,3,NULL),(20,5237262,'1988-09-25 00:00:00',2,1,12,2008,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124244247336142431443311145134610167047',NULL,'9999',28.73,1,3,NULL),(20,5237270,'1989-02-18 00:00:00',2,15,12,2008,'M','N','JARDIM CIBELE','ARARANGUÁ','SC','124241241147131732323329195111610137047',NULL,'9999',21.05,1,3,NULL),(20,5237289,'1992-08-23 00:00:00',4,1,11,2009,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215112431468812572112610124092',4863,'270',68.69,1,3,NULL),(20,5237297,'1990-04-27 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241247141271411426613371324610142117',NULL,'9999',49.96,1,2,1),(20,5237300,'1992-10-05 00:00:00',4,10,10,2009,'F','N','DEHON','TUBARÃO','SC','624242241215111411256823572122610116042',4539,'807',69.35,1,3,NULL),(20,5237319,'1993-03-23 00:00:00',2,10,2,2010,'F','N','NOSSA SRA DE FATIMA','BRAÇO NORTE','SC','124241241216131432354823571221610126192',12690,'102',52.95,1,3,NULL),(20,5237335,'1992-01-06 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124211211437132531548811372224221744142',9673,'9998',56.34,4,3,NULL),(20,5237343,'1991-02-16 00:00:00',4,1,12,2008,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241248412132711426614572314610164097',10839,'1075',54.05,4,3,NULL),(20,5237351,'1993-07-20 00:00:00',4,1,12,2010,'F','S','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215171531469833545122610134143',NULL,'270',26.64,1,3,NULL),(20,5237360,'1987-09-03 00:00:00',4,1,12,2004,'F','N','BOA VISTA','PTO ALEGRE','RS','120202201215471331389911471112140217182',NULL,'9998',0.00,1,3,NULL),(20,5237378,'1992-08-01 00:00:00',2,1,11,2009,'M','N','PRAINHA','FLORIANÓPOLIS','SC','124241241215111411536334375114610127062',NULL,'300',21.77,1,3,NULL),(20,5237386,'1991-12-21 00:00:00',2,10,12,2009,'F','N','STO ANTÔNIO DE PÁDUA','TUBARÃO','SC','124244241215111431324814575122610124197',NULL,'797',32.55,1,3,NULL),(20,5237394,'1992-04-25 00:00:00',2,2,12,2009,'F','N','GABIROBA','RIO OESTE','SC','124241241116131431338633475124610137057',NULL,'652',25.99,1,2,1),(20,5237408,'1991-12-31 00:00:00',4,5,11,2008,'M','N','RAICHASKI','IÇARA','SC','124241241126131431326324145124610122177',NULL,'1005',30.43,2,2,1),(20,5237416,'1992-10-06 00:00:00',2,5,11,2009,'M','N','FIGUEIRA','URUSSANGA','SC','124242241215112431469933572114610134092',4937,'226',68.49,1,3,NULL),(20,5237424,'1992-08-26 00:00:00',2,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431325614371124610127017',12714,'213',50.06,1,3,NULL),(20,5237432,'1986-01-27 00:00:00',4,5,10,2003,'F','N','PIRAGO','URUSSANGA','SC','124242241216575421338619575122610148187',10530,'226',53.40,1,3,NULL),(20,5237440,'1988-03-22 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124204241417134231346614345114121862017',11721,'738',54.90,1,3,NULL),(20,5237459,'1992-06-19 00:00:00',4,1,11,2009,'M','N','BELA VISTA III','S JOSÉ','SC','124241241115151721435639295124610162143',NULL,'257',22.25,1,2,1),(20,5237467,'1992-07-20 00:00:00',4,1,12,2008,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241317372431559914575114610161012',5601,'269',65.97,1,3,NULL),(20,5237475,'1991-10-25 00:00:00',4,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124162241215111311369614475114610166182',NULL,'1048',0.00,1,3,NULL),(20,5237483,'1983-12-08 00:00:00',2,1,12,2001,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116132451113449292124222627072',NULL,'1005',24.41,2,1,1),(20,5237491,'1991-12-06 00:00:00',2,1,11,2009,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242241215131431323311285124610167147',NULL,'9997',19.97,1,3,NULL),(20,5237505,'1990-01-06 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241417152431337623575122231026077',NULL,'1023',20.07,1,3,NULL),(20,5237513,'1989-05-20 00:00:00',2,1,12,2006,'F','N','CENTRO','STA MARIA','RS','120203201216572431559933475124610157077',4617,'9998',68.74,1,3,NULL),(20,5237521,'1990-10-02 00:00:00',4,5,7,2009,'M','N','PRESIDENTE VARGAS','IÇARA','SC','124241246217151431433934135121610164142',13291,'995',51.75,1,3,NULL),(20,5237530,'1991-07-26 00:00:00',4,1,12,2008,'F','N','JARDIN CIDADE FPOLIS','S JOSÉ','SC','124241241115132431635514576224610164147',NULL,'734',20.68,1,2,1),(20,5237548,'1991-10-18 00:00:00',4,17,12,2008,'F','N','CRAVEIRO','STA TEREZINHA','SC','124241241126131231524311392232230824142',NULL,'691',24.16,1,3,NULL),(20,5237564,'1992-01-22 00:00:00',2,15,12,2009,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241215111731336613496122610127072',NULL,'32',42.19,1,3,NULL),(20,5237572,'1992-03-06 00:00:00',2,8,11,2009,'F','N','SANTA CATARINA','JOINVILLE','SC','124241241211132431346833375122610137097',15516,'489',42.00,1,3,NULL),(20,5237580,'1991-01-19 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241217111431465839475124610132147',NULL,'724',25.54,1,3,NULL),(20,5237599,'1987-12-04 00:00:00',4,8,12,2005,'M','N','PETRÓPOLIS','JOINVILLE','SC','124241241146272411446619245122610122113',NULL,'466',27.35,1,2,1),(20,5237602,'1992-10-16 00:00:00',4,1,12,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241315111431548317574124611437032',2372,'300',75.53,3,3,NULL),(20,5237610,'1992-09-23 00:00:00',4,1,11,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241211111231456619292124610162047',12626,'1077',50.30,1,3,NULL),(20,5237629,'1992-11-03 00:00:00',4,5,11,2009,'F','N','NOVA DIVINÉIA','ARARANGUÁ','SC','124241241315121431323621572122610121042',NULL,'32',42.44,1,3,NULL),(20,5237637,'1991-12-28 00:00:00',4,1,12,2009,'M','N','CAMINHO NOVO','PALHOÇA','SC','124244241215111432469733576122610146182',10918,'989',52.85,1,3,NULL),(20,5237645,'1982-09-06 00:00:00',2,1,12,2000,'F','N','REAL PARQUE','S JOSÉ','SC','224161161117231731333354282214610163187',NULL,'9998',29.12,1,3,NULL),(20,5237653,'1993-03-05 00:00:00',4,1,12,2009,'M','N','COHAPAR','GUARATUBA','PR','116161168215111431446933572113610127143',NULL,'9998',0.00,1,3,NULL),(20,5237670,'1989-09-26 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201247347232431235322281344610137142',NULL,'270',0.00,1,3,NULL),(20,5237688,'1985-08-26 00:00:00',4,8,11,2002,'F','N','AMÉRICA','JOINVILLE','SC','124242241216472431449611415122332632187',6814,'1063',61.80,1,3,NULL),(20,5237696,'1988-01-12 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241257126141712423349295124610264147',NULL,'9999',15.54,4,2,1),(20,5237718,'1992-02-14 00:00:00',4,5,10,2009,'F','N','CENTRO','LAURO MÜLLER','SC','124241241215131411548833571124610166072',NULL,'820',0.00,1,3,NULL),(20,5237726,'1987-02-23 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241116135231226621212234610124143',NULL,'286',27.65,2,1,1),(20,5237734,'1992-06-13 00:00:00',2,3,11,2009,'F','N','JARDIM LONDRILAR','LONDRINA','PR','116111161216111431569714575112610164121',11257,'9998',51.58,1,3,NULL),(20,5237742,'1993-01-25 00:00:00',2,4,11,2009,'F','N','CENTRO','MARIÓPOLIS','PR','116161161216271431333939574124610146142',2606,'9998',74.74,1,3,NULL),(20,5237750,'1992-07-19 00:00:00',2,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241212111431448911572124610137147',14860,'270',45.36,1,3,NULL),(20,5237769,'1991-10-08 00:00:00',4,1,11,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111431567731572124610127042',NULL,'1022',21.23,1,3,NULL),(20,5237777,'1992-10-29 00:00:00',2,16,12,2009,'M','N','AGUA SANTA','CURITIBANOS','SC','124241241115371411416611385122610114177',NULL,'239',0.00,1,2,1),(20,5237785,'1992-12-17 00:00:00',5,4,12,2009,'M','N','REGIAO DO LAGO','CASCAVEL','PR','116162161215111421379933275112610164092',6022,'9998',63.05,1,3,NULL),(20,5237807,'1992-01-26 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124244241216111431368621542124610127057',12477,'738',50.59,1,3,NULL),(20,5237815,'1992-05-04 00:00:00',4,4,12,2009,'M','N','NOVA DIVINEIA','PINHALZINHO','SC','124241241315151531543832272122610148042',NULL,'185',34.90,1,3,NULL),(20,5237823,'1986-05-10 00:00:00',4,1,11,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241216152731278911575122321032185',5240,'270',67.74,1,3,NULL),(20,5237831,'1988-10-15 00:00:00',4,1,12,2006,'F','N','MORRO AZUL','LIMEIRA','SP','125251251131411411113448281324610112172',NULL,'9998',0.00,4,2,1),(20,5237840,'1992-10-21 00:00:00',4,5,11,2009,'M','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241217111732448933587112610168017',NULL,'1096',16.36,1,3,NULL),(20,5237858,'1991-03-18 00:00:00',2,1,12,2008,'M','N','CAIEIRA BARRA SUL','FLORIANÓPOLIS','SC','124243241216372431468733595122231327052',NULL,'1022',28.67,1,3,NULL),(20,5237866,'1990-07-01 00:00:00',2,1,11,2008,'F','N','REAL PARQUE','S JOSÉ','SC','124241241222272411216624272124610133187',9643,'262',56.66,1,3,NULL),(20,5237874,'1990-11-09 00:00:00',2,3,12,2008,'F','N','MAIA PRAIA','ITAPEMA','SC','124201205114131731218579295124230268097',NULL,'9998',20.28,1,2,1),(20,5237882,'1988-07-15 00:00:00',4,1,12,2007,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241247217111751421429392114610148142',NULL,'9999',15.86,1,3,NULL),(20,5237890,'1992-05-30 00:00:00',4,4,12,2009,'M','N','SANTA TEREZA','ITAPIRANGA','SC','124241241115111231338614272122610137057',NULL,'412',0.00,1,2,1),(20,5237912,'1991-07-04 00:00:00',2,1,11,2008,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215472131428614572122610168112',NULL,'226',0.00,1,3,NULL),(20,5237920,'1991-03-06 00:00:00',4,1,11,2008,'F','N','BUENO','GOIÂNIA','GO','109092091214471431478834392114610162172',NULL,'9998',0.00,1,3,NULL),(20,5237939,'1992-02-05 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115132431238611572124610122147',12565,'592',51.34,1,2,1),(20,5237947,'1991-01-05 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216373431368823575125222937187',5723,'272',65.36,1,3,NULL),(20,5237963,'1984-12-17 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124253251316475431559733285124232765142',NULL,'9998',0.00,1,3,NULL),(20,5237971,'1993-02-13 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241215113431449913582212610134012',NULL,'1077',26.19,1,3,NULL),(20,5237998,'1984-01-30 00:00:00',4,1,12,2000,'F','N','FAXINAL','STA CRUZ SUL','RS','120243241216575431446611482224131722197',5675,'487',63.63,1,3,NULL),(20,5238005,'1990-11-02 00:00:00',2,1,7,2009,'F','N','STO ANTONIO DELISBOA','FLORIANÓPOLIS','SC','124241077617371441424214286124610168187',13635,'307',51.08,1,3,NULL),(20,5238013,'1986-04-21 00:00:00',4,5,12,2003,'M','N','BRASILIA','COCAL SUL','SC','124241241116141441643333185124130724037',NULL,'189',0.00,1,2,1),(20,5238021,'1989-05-21 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124243241216133431225723345124610167057',NULL,'269',24.48,1,3,NULL),(20,5238030,'1993-06-24 00:00:00',4,1,11,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241215111441336731572122610111055',NULL,'1022',42.36,1,3,NULL),(20,5238048,'1992-07-30 00:00:00',2,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241117271431336822595124610123017',13737,'267',47.30,1,3,NULL),(20,5238056,'1985-10-17 00:00:00',2,10,12,2003,'M','N','CENTRO','MATELÂNDIA','PR','116163161216131221436812435122240662062',NULL,'9998',0.00,1,3,NULL),(20,5238064,'1993-12-13 00:00:00',4,10,12,2010,'F','S','CENTRO','BRAÇO NORTE','SC','124242241217111432566914275114610127052',NULL,'806',43.12,1,3,NULL),(20,5238080,'1991-03-26 00:00:00',2,1,12,2008,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','124242241211332431326617571124610167043',11107,'723',54.84,1,3,NULL),(20,5238102,'1989-09-22 00:00:00',4,5,11,2006,'M','N','ARGENTINA','CRICIÚMA','SC','124241241122131731323324245333610122147',NULL,'953',15.73,1,2,1),(20,5238110,'1990-03-18 00:00:00',2,1,12,2007,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241136372431535624345124610115157',15927,'288',44.54,1,2,1),(20,5238129,'1993-02-06 00:00:00',4,9,12,2009,'M','N','CORAL','LAGES','SC','124242241215121431436814375124610128187',NULL,'515',34.80,1,3,NULL),(20,5238137,'1991-10-28 00:00:00',4,3,12,2009,'F','N','CAMBUI','CAMPINAS','SP','125252251216111431346811572122610161042',7294,'9998',62.84,1,3,NULL),(20,5238145,'1992-01-27 00:00:00',2,4,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124241241117271712524869576125610122147',NULL,'239',0.00,1,2,1),(20,5238161,'1993-02-03 00:00:00',2,1,12,2009,'F','N','ASA NORTE','BRASÍLIA','DF','107203071116471431436419395122610135187',NULL,'9998',15.16,1,3,NULL),(20,5238170,'1991-03-26 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472731447617576114610167187',7771,'884',61.46,1,3,NULL),(20,5238188,'1989-01-12 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241215372321234623485124121467142',2667,'270',72.93,1,3,NULL),(20,5238196,'1992-01-16 00:00:00',2,1,10,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242248217111411268719572124610128145',NULL,'1022',25.25,1,3,NULL),(20,5238218,'1973-08-03 00:00:00',2,1,7,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','224244247427131731423654182113610162147',NULL,'9999',22.58,1,3,NULL),(20,5238226,'1976-02-15 00:00:00',2,1,12,2002,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','224241247141132411424253271324610165147',NULL,'263',21.38,1,3,NULL),(20,5238242,'1988-02-10 00:00:00',2,15,12,2004,'M','N','COLONINHA','ARARANGUÁ','SC','124241241147274441435923395124231442041',12734,'29',48.22,1,2,1),(20,5238250,'1991-12-21 00:00:00',4,10,10,1991,'M','N','CENTRO','TUBARÃO','SC','124242241215472431479811192112610167043',4430,'807',68.16,1,3,NULL),(20,5238269,'1987-05-07 00:00:00',4,15,12,2006,'M','N','CAMPINHO','ARARANGUÁ','SC','124241248136131332523316142323610137062',NULL,'30',22.64,1,3,NULL),(20,5238277,'1991-03-28 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124243241217272731548911572122610162012',4586,'737',68.09,1,3,NULL),(20,5238285,'1992-01-03 00:00:00',4,1,11,2009,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241211111431258614142124610122062',10074,'1011',55.28,1,3,NULL),(20,5238307,'1990-09-12 00:00:00',4,4,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161415471731355512275114143262177',NULL,'9998',27.54,1,3,NULL),(20,5238315,'1992-09-26 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244248117131431328819392124610133147',NULL,'257',12.27,1,3,NULL),(20,5238323,'1991-01-08 00:00:00',2,9,12,2007,'F','N','SANTA TERESINHA','VACARIA','RS','120204201216141431446934245124131524142',NULL,'9998',25.58,1,3,NULL),(20,5238331,'1951-05-21 00:00:00',4,1,12,1979,'M','N','TRINDADE','FLORIANÓPOLIS','SC','524244241427132411253273141124321624042',NULL,'497',0.00,1,3,NULL),(20,5238340,'1992-04-29 00:00:00',4,1,12,2009,'F','N','MATO QUEIMADO','NOVA TRENTO','SC','124241241146111411343339245122610114011',NULL,'574',16.28,1,2,1),(20,5238358,'1990-05-03 00:00:00',2,1,12,2007,'F','N','CENTRO','GUARAPUAVA','PR','116161161117131231639732245125141064142',NULL,'9998',24.14,1,3,NULL),(20,5238366,'1992-07-22 00:00:00',4,5,12,2009,'F','N','CENTRO','TORRES','RS','120201201212131431453933472122610137057',11795,'9998',51.03,1,3,NULL),(20,5238374,'1989-05-04 00:00:00',4,2,12,2006,'M','N','DO SOL','INDAIAL','SC','124241241216141431369714445124231465151',NULL,'986',0.00,1,3,NULL),(20,5238382,'1978-05-15 00:00:00',2,1,6,1997,'M','N','AREIAS','S JOSÉ','SC','224241241116134721224643335134321768117',NULL,'306',40.41,1,2,1),(20,5238390,'1993-02-17 00:00:00',4,3,12,2009,'M','N','MUCHILA I','FRA SANTANA','BA','105052051217111211568613575112610167147',559,'9998',83.65,4,3,NULL),(20,5238404,'1992-12-09 00:00:00',4,4,11,2009,'F','N','TIARAJU','IJUÍ','RS','120202201216121731436632585122610131057',9175,'9998',58.06,1,3,NULL),(20,5238412,'1989-08-23 00:00:00',2,4,12,2007,'M','N','VILA PLANALTO','CPO GRANDE','MS','112121128126471411658933442124141442122',9272,'9998',56.24,4,3,NULL),(20,5238420,'1991-03-07 00:00:00',2,8,12,2008,'M','N','ATIRADORES','JOINVILLE','SC','124244247425572431233663295125610137057',9215,'9999',59.59,4,3,NULL),(20,5238439,'1990-01-23 00:00:00',2,15,12,2007,'M','N','CENTRO','GUAÍBA','RS','120204201215571431458932371122610134047',5435,'9998',65.88,1,3,NULL),(20,5238447,'1978-07-10 00:00:00',2,1,11,1997,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','224203201136131431326654445124610121017',NULL,'9998',32.65,1,3,NULL),(20,5238455,'1992-11-30 00:00:00',4,1,12,2009,'F','N','VELHA','NOVA TRENTO','SC','124244241211153431363412575124610127142',3483,'109',70.75,1,3,NULL),(20,5238463,'1992-03-14 00:00:00',4,1,11,2009,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124242241215111432326624275124610122042',11225,'723',55.87,1,3,NULL),(20,5238480,'1992-03-12 00:00:00',4,2,12,2009,'M','N','ANDORINHAS','ITAPEMA','SC','124202241416111731429913575124610134187',4543,'407',67.15,4,3,NULL),(20,5238498,'1980-07-23 00:00:00',4,1,12,2008,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125251253215571741332344345132610124091',NULL,'9998',0.00,1,3,NULL),(20,5238501,'1992-06-17 00:00:00',4,1,12,2009,'M','N','VILA ROSA','ITAPETININGA','SP','125252251217111432447614445122610167187',NULL,'9998',0.00,1,3,NULL),(20,5238510,'1991-01-20 00:00:00',2,3,11,2008,'F','N','JARDIM LONDRILAR','LONDRINA','PR','116111111216471731569714575122610123142',12867,'9998',49.60,1,3,NULL),(20,5238528,'1988-10-27 00:00:00',4,3,12,2006,'M','N','CAMBUI','CAMPINAS','SP','125252251216471431328631445123610162112',13728,'9998',48.00,1,3,NULL),(20,5238536,'1991-06-30 00:00:00',4,1,12,2008,'F','N','CAPAO RASO','CURITIBA','PR','116164161215471431437614171114610114042',NULL,'9998',0.00,1,3,NULL),(20,5238544,'1991-07-23 00:00:00',4,1,10,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241212472431546712572124610167042',7704,'723',62.44,1,3,NULL),(20,5238552,'1983-01-01 00:00:00',2,1,12,2003,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','624241247226575731221344245124610136147',NULL,'9999',42.63,4,3,NULL),(20,5238560,'1992-08-17 00:00:00',4,9,12,2009,'F','N','SANTA RITA','LAGES','SC','124242241215151431358934575122610125097',12791,'499',49.27,1,3,NULL),(20,5238579,'1991-09-19 00:00:00',2,1,12,2009,'M','N','SARANDI','PTO ALEGRE','RS','120202201217111531546724571142610137112',NULL,'9998',0.00,1,3,NULL),(20,5238587,'1989-11-23 00:00:00',2,1,12,2005,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','224241241116172411433311235124130717097',NULL,'941',0.00,1,2,1),(20,5238595,'1993-07-09 00:00:00',4,8,12,2009,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124212241315131431326624575121610142147',NULL,'425',0.00,1,3,NULL),(20,5238609,'1988-04-09 00:00:00',4,1,12,2006,'M','N','CENTRO','TAQUARITUBA','SP','125251251125131431213324475224610124042',NULL,'9998',0.00,1,3,NULL),(20,5238617,'1980-08-08 00:00:00',2,1,12,1997,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241248122143411221144242344610115047',NULL,'285',31.42,4,2,1),(20,5238625,'1978-07-12 00:00:00',2,1,12,1997,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124131138127132431223344245124610112047',NULL,'9998',24.97,1,3,NULL),(20,5238633,'1986-08-16 00:00:00',2,8,12,2003,'F','N','JARDIM CONCEIÇÃO','PNT GROSSA','PR','124161168116131431524614582324610164197',3832,'9998',70.01,4,3,NULL),(20,5238641,'1991-10-03 00:00:00',4,8,12,2009,'F','N','SANTA MARIA','MAL CÂNDIDO RONDON','PR','116162161237111431333933575121610132142',NULL,'9998',29.36,1,3,NULL),(20,5238650,'1974-04-18 00:00:00',2,15,12,1993,'M','N','LOTEAMENTO PAIQUERE','ARARANGUÁ','SC','224201201126131731423441115132140224187',NULL,'9998',19.94,1,2,1),(20,5238668,'1992-04-15 00:00:00',2,1,11,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241245137131431626813575124610146185',NULL,'278',16.79,1,2,1),(20,5238676,'1993-03-30 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217151731448511575122610137142',NULL,'959',39.10,1,3,NULL),(20,5238684,'1991-11-14 00:00:00',4,4,12,2008,'M','N','SANTA LUSIA','PINHALZINHO','SC','124241241117131431523316342343610167042',NULL,'1032',0.00,1,2,1),(20,5238692,'1988-10-23 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241116131431126644345221610114033',NULL,'922',18.36,1,3,NULL),(20,5238706,'1991-08-08 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241216113431566734575122610127042',NULL,'883',46.26,1,3,NULL),(20,5238714,'1989-02-10 00:00:00',4,1,12,2006,'M','N','VILA SÃO PEDRO','S JOSÉ CAMPOS','SP','125251251117571411333623575324610142076',NULL,'9998',0.00,4,2,1),(20,5238722,'1990-11-13 00:00:00',4,4,12,2007,'M','N','ZONA SETE','MARINGÁ','PR','116162161217511441348811575125610144042',7619,'9998',62.59,1,3,NULL),(20,5238730,'1991-10-04 00:00:00',4,1,11,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242248217112411458613475122610114092',13939,'270',50.50,1,3,NULL),(20,5238757,'1993-02-24 00:00:00',4,1,12,2010,'F','S','KOBRASOL','S JOSÉ','SC','224241248215131531436413572122610117057',NULL,'1076',29.47,1,3,NULL),(20,5238765,'1992-01-12 00:00:00',2,1,11,2009,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124243241215131431226624242324610127117',NULL,'1048',24.35,1,3,NULL),(20,5238773,'1992-06-17 00:00:00',2,4,12,2009,'F','N','CENTRO','GUATAMBÚ','SC','124241241117371431468611575122610134147',NULL,'169',27.02,1,2,1),(20,5238781,'1993-06-25 00:00:00',4,7,12,2009,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241216111232446911312124610132142',NULL,'453',26.21,1,3,NULL),(20,5238790,'1993-05-04 00:00:00',2,1,12,2010,'F','S','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216111411666612575122610123012',NULL,'270',24.04,1,3,NULL),(20,5238803,'1987-10-30 00:00:00',2,1,12,2004,'F','N','FORQUILHAS','S JOSÉ','SC','124241241112142431324314241124610116047',15660,'733',43.29,1,2,1),(20,5238811,'1991-07-22 00:00:00',4,8,11,2008,'M','N','ÁGUA VERDE','CURITIBA','PR','116242241211472431676921575114610162142',13133,'457',48.70,1,3,NULL),(20,5238820,'1993-04-24 00:00:00',4,15,12,2009,'F','N','CENTRO','TERRA AREIA','RS','120203201117151431536313375121610165057',NULL,'9998',27.90,1,3,NULL),(20,5238838,'1983-06-15 00:00:00',2,5,12,2000,'M','N','CENTRO','IÇARA','SC','124242241216153411478513445122320567042',15671,'226',45.62,1,3,NULL),(20,5238854,'1990-03-10 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241135142722523311392344610162092',NULL,'295',17.28,1,2,1),(20,5238862,'1988-01-14 00:00:00',4,1,12,2005,'M','N','BELA VISTA I','S JOSÉ','SC','124241241127141431446821345134610124052',NULL,'641',40.47,1,2,1),(20,5238889,'1993-01-25 00:00:00',4,5,12,2010,'M','S','PRAIA DA CAL','TORRES','RS','120202241217131431468637575125610134117',NULL,'9998',21.67,1,3,NULL),(20,5238897,'1989-07-18 00:00:00',2,1,12,2006,'F','N','COLINA SORRISO','CAXIAS SUL','RS','120201201117472431467834345114140435097',9575,'9998',55.28,1,2,1),(20,5238900,'1968-06-05 00:00:00',2,1,2,1998,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224284137336152721226749492121322266097',6664,'9998',64.56,1,3,NULL),(20,5238919,'1992-02-10 00:00:00',4,1,12,2009,'M','N','CAMPO LINDO','SEROPÉDICA','RJ','121212211216371431448812572114610137042',NULL,'9998',0.00,1,3,NULL),(20,5238927,'1992-05-02 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241115151431437833572124610122091',NULL,'287',28.20,1,3,NULL),(20,5238935,'1990-03-29 00:00:00',4,1,12,2007,'M','N','ICARAI','NITERÓI','RJ','121212211216271411238823475111141067057',NULL,'9998',NULL,4,3,NULL),(20,5238943,'1990-05-22 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124241241112131431316521482314610132187',15560,'732',46.04,1,2,1),(20,5238951,'1991-02-28 00:00:00',4,1,11,2009,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215111231468819375122610168067',NULL,'1048',29.45,1,3,NULL),(20,5238960,'1992-11-23 00:00:00',4,9,11,2009,'F','N','CENTRO','LAGES','SC','124242241215112531458619395122610142112',NULL,'1146',32.53,4,3,NULL),(20,5238978,'1987-02-18 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241222274721221644342234130234147',NULL,'262',34.28,1,3,NULL),(20,5238986,'1991-08-27 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124244241116372732458734575124610122147',4241,'267',69.95,1,3,NULL),(20,5239001,'1986-02-01 00:00:00',4,1,11,2003,'M','N','BELA VISTA','PALHOÇA','SC','124242241215575431327639595114610162047',NULL,'989',26.79,1,3,NULL),(20,5239010,'1989-06-23 00:00:00',2,6,12,2006,'F','N','PARTENON','PTO ALEGRE','RS','120242241216573431468732575124610134092',NULL,'1008',50.94,1,3,NULL),(20,5239028,'1991-08-31 00:00:00',4,1,11,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241417111531365814445112610128042',NULL,'269',46.42,1,3,NULL),(20,5239036,'1991-03-20 00:00:00',4,6,11,2008,'M','N','CENTRO','CASCAVEL','PR','116162161215371431338829575112610137017',7210,'9998',62.26,1,3,NULL),(20,5239044,'1991-04-09 00:00:00',4,2,12,2008,'F','N','NOVA PIRACICABA','PIRACICABA','SP','125252251215472431437822575112610132077',9420,'9998',56.19,1,3,NULL),(20,5239052,'1991-05-07 00:00:00',4,8,12,2009,'M','N','SUMARÉ','S PAULO','SP','125252251215111411568813575124610134017',NULL,'9998',44.86,1,3,NULL),(20,5239060,'1978-02-18 00:00:00',4,1,6,2000,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224071077327153421263343232122141067142',NULL,'9998',0.00,4,3,NULL),(20,5239079,'1992-09-18 00:00:00',4,4,12,2009,'F','N','CENTRO','XANXERÊ','SC','124242241215111431446419574122610124147',12790,'836',49.73,1,3,NULL),(20,5239125,'1992-03-19 00:00:00',4,1,11,2009,'M','N','IPIRANGA','S JOSÉ','SC','124241241115221731323337395122610117042',NULL,'734',23.52,1,2,1),(20,5239141,'1992-08-05 00:00:00',4,1,12,2009,'F','N','FAZ SANTO ANTONIO','S JOSÉ','SC','124131131112131431335721575124610148142',NULL,'9998',21.04,1,3,NULL),(20,5239150,'1990-09-28 00:00:00',4,1,12,2007,'M','N','SANTANA','RIO SUL','SC','124241241215111431469933575122231424047',NULL,'991',0.00,1,3,NULL),(20,5239168,'1992-04-24 00:00:00',2,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241215111431359923472124610127062',14340,'1022',49.63,1,3,NULL),(20,5239176,'1993-07-27 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111711568862345122610135142',NULL,'1076',0.00,1,3,NULL),(20,5239184,'1992-03-08 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117131431513821575124610133092',NULL,'307',22.28,1,2,1),(20,5239192,'1993-01-04 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124202247215111231337614572114610137042',13609,'737',49.62,3,3,NULL),(20,5239206,'1991-07-26 00:00:00',2,1,11,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241416272711223579575124610128147',NULL,'1022',48.10,1,3,NULL),(20,5239214,'1980-12-24 00:00:00',2,15,12,2005,'M','N','JD CIBÉLE','ARARANGUÁ','SC','124241246121141411423349215123610114065',NULL,'9999',25.21,1,2,1),(20,5239222,'1991-06-07 00:00:00',4,1,12,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215472431268829472112610122142',5791,'1022',66.33,1,3,NULL),(20,5239249,'1992-05-13 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111431469933591124610147042',2808,'262',73.35,1,3,NULL),(20,5239265,'1992-11-11 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431579813492122610128072',NULL,'270',33.73,1,3,NULL),(20,5239273,'1993-01-19 00:00:00',2,4,12,2009,'M','N','DIVINÉIA','PINHALZINHO','SC','124194262314333321539955342231610122132',NULL,'1070',0.00,1,3,NULL),(20,5239281,'1987-02-19 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124253251316331751138839495124610137042',6892,'9998',64.08,1,3,NULL),(20,5239290,'1992-03-16 00:00:00',4,2,11,2009,'M','N','JARDIM ITAMBE','COLOMBO','PR','116162161217131611326614575124610165172',3800,'9998',69.29,4,3,NULL),(20,5239303,'1992-10-19 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124161241315131331436362372124610124077',NULL,'285',26.58,1,3,NULL),(20,5239311,'1974-08-17 00:00:00',2,1,11,1994,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161163126155421116649295124610146092',14977,'9998',47.94,1,2,1),(20,5239320,'1989-11-13 00:00:00',2,1,12,2007,'M','N','FORQUILHINHA','S JOSÉ','SC','124242248212243431666424442112610127045',NULL,'737',46.25,1,3,NULL),(20,5239338,'1984-06-18 00:00:00',2,1,12,2001,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','424101101137373441123344142124610142027',NULL,'9998',46.06,1,2,1),(20,5239354,'1991-12-28 00:00:00',4,1,12,2009,'M','N','CENTRO','MTE STO MINAS','MG','113132251215121431467932574122610168142',NULL,'9998',NULL,4,3,NULL),(20,5239362,'1992-11-30 00:00:00',2,9,12,2009,'F','N','CENTRO','BOM RETIRO','SC','124241241215111751448934275121610127142',NULL,'515',27.32,1,3,NULL),(20,5239370,'1992-03-10 00:00:00',2,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241217111431456414376125610166142',NULL,'213',25.09,1,3,NULL),(20,5239389,'1990-11-10 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116573431225529445124610122097',15729,'257',45.38,1,2,1),(20,5239397,'1991-06-15 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241112111431434633575124610167185',NULL,'271',21.05,1,2,1),(20,5239400,'1993-01-17 00:00:00',4,2,12,2010,'F','S','FORTALEZA','BLUMENAU','SC','124241241216131411539814595124610126092',NULL,'88',29.90,1,3,NULL),(20,5239419,'1993-12-31 00:00:00',4,1,11,2010,'F','S','BARREIROS','S JOSÉ','SC','124232241215111431639811572122610122181',NULL,'738',30.70,1,3,NULL),(20,5239427,'1989-07-28 00:00:00',2,1,12,2007,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124216214614131111225344244324140228187',NULL,'9998',22.35,4,3,NULL),(20,5239443,'1990-06-21 00:00:00',4,10,12,2007,'M','N','VILA NOVA','IMBITUBA','SC','124241241117132731324419292124610121182',NULL,'359',27.38,1,2,1),(20,5239451,'1991-05-10 00:00:00',4,1,12,2008,'F','N','APARECIDA','SANTOS','SP','125251254117331431326418574224610144097',4948,'9998',67.21,1,2,1),(20,5239460,'1992-04-19 00:00:00',2,1,12,2009,'F','N','CENTRO','RIO NEGRO','PR','116162161215111431427314245122610124147',NULL,'9998',0.00,1,3,NULL),(20,5239478,'1991-05-09 00:00:00',2,4,10,2008,'M','N','FÁTIMA','ERECHIM','RS','120204201212271431538513571325610167147',NULL,'9998',0.00,1,3,NULL),(20,5239486,'1992-11-27 00:00:00',2,1,12,2009,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124244241116231631436513572124610125197',11497,'307',53.66,1,3,NULL),(20,5239494,'1991-06-07 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241216372431378833575122122362192',NULL,'1038',0.00,1,3,NULL),(20,5239524,'1988-08-16 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241311472431456613445124610122142',11138,'269',53.27,1,3,NULL),(20,5239540,'1992-07-29 00:00:00',4,1,12,2009,'M','N','SANTA MARIA','ANTÔNIO CARLOS','SC','124241231115141431525614345124610114047',NULL,'21',28.52,1,2,1),(20,5239559,'1992-01-22 00:00:00',4,8,12,2009,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241115141431436511344124610126173',NULL,'1103',0.00,1,3,NULL),(20,5239567,'1992-07-21 00:00:00',4,2,12,2009,'F','N','SAO ROQUE','NOVA TRENTO','SC','124241241134131731433619192222610113017',NULL,'574',25.38,1,3,NULL),(20,5239575,'1992-05-20 00:00:00',2,7,11,2009,'M','N','CENTRO','LACERDÓPOLIS','SC','124242248215111431549613295122610117042',NULL,'454',0.00,1,3,NULL),(20,5239583,'1992-05-24 00:00:00',2,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243248116371721326564272125610133112',NULL,'49',0.00,1,3,NULL),(20,5239591,'1992-04-17 00:00:00',4,8,11,2009,'F','N','VILA NOVA','JOINVILLE','SC','124241241116131431223624275124610137057',NULL,'473',0.00,1,2,1),(20,5239605,'1992-02-22 00:00:00',2,7,11,2008,'F','N','FLOR DA SERRA','JOAÇABA','SC','124242241215372431436623575124231437072',11423,'962',51.69,1,3,NULL),(20,5239613,'1992-09-25 00:00:00',4,10,11,2009,'F','N','REVOREDO','TUBARÃO','SC','124244241215111411439914275122610147012',12700,'806',51.88,1,3,NULL),(20,5239621,'1992-10-03 00:00:00',4,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241215111432459832576122610124122',2637,'1038',74.51,1,3,NULL),(20,5239630,'1964-07-19 00:00:00',4,1,6,1994,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243247324371411126648381344610132187',NULL,'9999',18.52,1,3,NULL),(20,5239648,'1981-07-25 00:00:00',2,1,12,2001,'F','N','AREIAS','S JOSÉ','SC','124242241415234421636319385124121723197',8762,'976',57.48,1,3,NULL),(20,5239656,'1992-01-24 00:00:00',4,9,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243241215122411236923375114220736192',3742,'515',70.91,1,3,NULL),(20,5239664,'1992-05-26 00:00:00',2,15,12,2009,'F','N','CENTRO','TURVO','SC','124242241215122431469913572112610122142',9176,'970',58.02,1,3,NULL),(20,5239672,'1992-07-22 00:00:00',4,1,12,2009,'F','N','PRAIA DE FORA','PALHOÇA','SC','124242241215111232348611274114610125182',7787,'989',60.73,1,3,NULL),(20,5239680,'1993-01-25 00:00:00',4,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215121431226713572124610127047',NULL,'299',26.27,1,3,NULL),(20,5239699,'1979-03-09 00:00:00',2,1,12,1997,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124161165116131711433369442234610144187',NULL,'9998',49.36,1,3,NULL),(20,5239702,'1992-03-21 00:00:00',4,9,12,2009,'M','N','CENTRO','RIO OESTE','SC','124241241215111731423619574124610127057',NULL,'991',34.51,1,3,NULL),(20,5239710,'1992-09-18 00:00:00',4,5,11,2009,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111431359814572122610142192',3502,'226',71.78,1,3,NULL),(20,5239729,'1981-11-03 00:00:00',4,1,7,2000,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244247217133431526353482114131067047',NULL,'9999',21.70,1,3,NULL),(20,5239737,'1991-08-11 00:00:00',4,6,12,2009,'F','N','CENTRO','PENHA','SC','124241247146161431537933275124610124042',NULL,'9999',33.52,1,2,1),(20,5239745,'1990-08-05 00:00:00',2,1,12,2008,'F','N','REAL PARQUE','S JOSÉ','SC','124241241116371431523324445124610127147',NULL,'734',27.56,4,2,1),(20,5239753,'1985-09-26 00:00:00',4,15,12,2003,'M','N','BAIRRO OPERÁRIA','ARARANGUÁ','SC','124241241117151411432915255122330262147',9631,'29',58.86,1,2,1),(20,5239761,'1992-11-12 00:00:00',2,1,12,2009,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241115151431324629572124610123077',NULL,'307',27.16,1,2,1),(20,5239770,'1991-04-26 00:00:00',2,15,12,2009,'M','N','JARDIM MAUÁ','NOVO HAMBURGO','RS','120203201217471731333634571122610167097',NULL,'9998',0.00,1,3,NULL),(20,5239788,'1992-12-02 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241215121411328623572124610131097',4908,'1022',67.20,1,3,NULL),(20,5239818,'1985-08-08 00:00:00',4,1,12,2005,'F','N','HORTENCIA','STO ÂNGELO','RS','120201201127131431313319281324610122142',NULL,'9998',9.66,3,2,1),(20,5239826,'1992-03-21 00:00:00',2,7,12,2009,'M','N','PANAZZOLO','VIDEIRA','SC','124241241215131541513314246325610167052',10857,'1080',53.42,1,3,NULL),(20,5239850,'1989-12-13 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241112132421333314345114610127055',NULL,'298',0.00,1,2,1),(20,5239869,'1991-01-16 00:00:00',4,1,12,2008,'M','N','VILA BARROS','DOURADOS','MS','112122121216471431458831574122610167017',4731,'9998',69.02,2,1,2),(20,5239893,'1979-08-29 00:00:00',4,1,12,1999,'M','N','SAO SEBASTIAO','PALHOÇA','SC','224241241126135421333344245122610167047',NULL,'277',26.06,4,2,1),(20,5239915,'1992-10-20 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241215111431523319575224610144147',9117,'737',57.34,1,3,NULL),(20,5239923,'1991-02-07 00:00:00',4,1,11,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215472731348813395122610164092',2989,'1169',73.53,1,3,NULL),(20,5239931,'1969-12-06 00:00:00',4,1,8,2001,'M','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','224243246146132421422351411133610122127',NULL,'306',30.14,1,3,NULL),(20,5239940,'1991-10-14 00:00:00',4,1,12,2009,'M','N','RECREIO DOS CAFEZAIS','VALINHOS','SP','125252251216111331679813571122610167047',NULL,'9998',0.00,1,3,NULL),(20,5239958,'1988-08-29 00:00:00',4,6,11,2005,'M','N','MATO PRETO','S BENTO SUL','SC','124242241216162421337923485114130264147',NULL,'699',0.00,1,3,NULL),(20,5239974,'1993-04-21 00:00:00',4,5,12,2010,'F','S','VILA MACARINI','CRICIÚMA','SC','124242241215111531349934341114610136091',NULL,'226',26.23,1,3,NULL),(20,5239990,'1993-03-15 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431648813572114610134142',NULL,'270',16.50,1,3,NULL),(20,5240000,'1990-05-19 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215152411667831585122610168197',NULL,'269',26.71,1,3,NULL),(20,5240018,'1991-07-03 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201116131231423521485124610147042',NULL,'9998',24.17,1,2,1),(20,5240026,'1990-01-30 00:00:00',4,8,11,2007,'F','N','PINEVILLE','PINHAIS','PR','116162161235472431568811575122610162097',1273,'9998',79.45,1,3,NULL),(20,5240034,'1989-09-21 00:00:00',2,1,7,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244247226371411456623572124610136141',NULL,'9999',20.19,1,3,NULL),(20,5240042,'1990-11-16 00:00:00',4,1,12,2009,'M','N','FORQUILHINHA','S JOSÉ','SC','124242248212111132666424592122610127097',NULL,'1074',17.14,1,3,NULL),(20,5240085,'1988-03-07 00:00:00',4,1,11,2005,'M','N','KOBRASOL','S JOSÉ','SC','124242248215372431348711172124130667117',8853,'270',58.44,1,3,NULL),(20,5240093,'1993-07-20 00:00:00',4,10,11,2010,'M','S','VILA MOEMA','TUBARÃO','SC','124242241215112531469932575112610167126',NULL,'806',52.67,1,3,NULL),(20,5240107,'1991-09-01 00:00:00',4,5,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241214111732458839572122610113072',NULL,'1096',0.00,1,3,NULL),(20,5240115,'1991-01-29 00:00:00',4,9,12,2008,'F','N','CENTRO','BENTO GONÇALVES','RS','120201201117471411348814571124610126197',2224,'9998',74.54,1,2,1),(20,5240123,'1982-12-27 00:00:00',4,15,12,1997,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124243241317132731221728385123130724015',NULL,'30',39.96,1,3,NULL),(20,5240131,'1990-09-12 00:00:00',4,3,12,2007,'M','N','CENTRO','PTO BELO','SC','124242161212572431267932585112610166112',6855,'9998',62.80,1,3,NULL),(20,5240158,'1993-04-16 00:00:00',4,1,11,2010,'F','S','OFICINAS','TUBARÃO','SC','124242244217111231646834575122610167072',NULL,'806',25.37,1,3,NULL),(20,5240166,'1990-11-20 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241121131531423334572124610137067',NULL,'282',0.00,1,3,NULL),(20,5240174,'1983-07-08 00:00:00',4,1,12,2002,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124252257227132411116844242224143234057',15249,'9998',47.12,1,3,NULL),(20,5240182,'1991-03-11 00:00:00',2,15,12,2008,'F','N','COLONINHA','ARARANGUÁ','SC','124241241316131711536973595122610124141',NULL,'30',29.93,2,1,2),(20,5240190,'1992-11-07 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111731468614475122610164197',8365,'737',58.06,1,3,NULL),(20,5240204,'1991-08-17 00:00:00',4,1,12,2008,'F','N','CENTRO','PASSO FUNDO','RS','120204201217471431469931575122610167043',NULL,'9998',0.00,1,3,NULL),(20,5240212,'1991-10-13 00:00:00',4,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241216111432458613592124610127075',8893,'270',57.90,1,3,NULL),(20,5240239,'1992-12-20 00:00:00',4,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241112131231423616245121610134147',NULL,'21',23.32,1,2,1),(20,5240255,'1993-05-15 00:00:00',4,4,11,2010,'M','S','CENTRO','CHAPECÓ','SC','124242161217111432558932572122610137045',NULL,'185',58.49,1,3,NULL),(20,5240263,'1992-03-25 00:00:00',4,6,11,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241216111531566612375122610127047',13519,'407',51.34,1,3,NULL),(20,5240271,'1991-06-04 00:00:00',4,4,12,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241216471431369813575124610124143',NULL,'752',0.00,1,3,NULL),(20,5240280,'1989-02-26 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241216132331538513375114230717057',NULL,'338',25.17,1,3,NULL),(20,5240298,'1989-03-28 00:00:00',4,8,12,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124162161213115512339913581331131424123',NULL,'9998',0.00,1,3,NULL),(20,5240310,'1991-09-04 00:00:00',4,1,12,2008,'M','N','PETROPOLIS','PTO ALEGRE','RS','120201201117371751326629375124143262057',NULL,'9998',34.42,1,2,1),(20,5240328,'1991-04-18 00:00:00',4,1,11,2008,'M','N','REBELO','GARÇA','SP','125252251215471431238814572122610134182',NULL,'9998',0.00,1,3,NULL),(20,5240344,'1992-12-31 00:00:00',4,4,12,2009,'M','N','CENTRO','STA MARIA','RS','120203201116111411467734375115610162047',NULL,'9998',0.00,1,3,NULL),(20,5240379,'1993-05-29 00:00:00',2,15,12,2009,'M','N','POÇO DA LONTRA','TURVO','SC','124241241115151732416635372324610167047',NULL,'814',23.65,1,2,1),(20,5240387,'1990-02-09 00:00:00',4,9,11,2007,'M','N','CENTRO','LAGES','SC','124244241216473431446914592125610144182',8222,'497',60.02,4,1,2),(20,5240395,'1992-04-14 00:00:00',4,8,12,2009,'M','N','CAMPOLIN','SOROCABA','SP','125254258415111331433532576121610112122',NULL,'9998',0.00,4,3,NULL),(20,5240409,'1990-12-19 00:00:00',4,1,12,2008,'F','N','BANDEIRANTE','CALDAS NOVAS','GO','109092091215371411438812575115610164072',NULL,'9998',0.00,3,3,NULL),(20,5240417,'1985-09-26 00:00:00',4,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124043047216474431348822495114610167092',NULL,'9998',0.00,1,3,NULL),(20,5240425,'1987-11-07 00:00:00',4,1,12,2004,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241127132431123933495134321764055',4171,'169',68.79,1,2,1),(20,5240433,'1992-03-12 00:00:00',2,10,12,2009,'F','N','CENTRO','CAPIVARI BAIXO','SC','124243248411141431438817571124610143052',NULL,'1120',12.76,1,3,NULL),(20,5240441,'1961-08-28 00:00:00',4,1,12,1983,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224204147226131431353343232123610127147',NULL,'9998',27.17,1,3,NULL),(20,5240450,'1992-02-21 00:00:00',2,1,10,2009,'F','N','SANTO ANTONIO','FLORIANÓPOLIS','SC','124243241115271431544411572124610124047',NULL,'307',18.02,1,3,NULL),(20,5240468,'1992-08-01 00:00:00',4,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216131431225821115122610134057',NULL,'1086',23.29,1,3,NULL),(20,5240476,'1989-08-13 00:00:00',3,1,6,2006,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124241281115572431579911495122130268185',12882,'9998',52.58,1,3,NULL),(20,5240484,'1993-05-24 00:00:00',4,7,12,2009,'F','N','CENTRO','CAPINZAL','SC','124243241217131751228921214122610142017',NULL,'155',22.52,4,3,NULL),(20,5240506,'1992-09-23 00:00:00',4,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215111431446719571124610134147',11708,'270',51.90,1,3,NULL),(20,5240522,'1992-08-07 00:00:00',2,1,11,2009,'F','N','CENTRO','CPO NOVO PARECIS','MT','111111111537131331538613295121610134147',NULL,'9998',31.59,1,3,NULL),(20,5240549,'1992-08-14 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215152431448813575125610167141',1058,'737',80.83,1,3,NULL),(20,5240565,'1992-07-03 00:00:00',2,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241217271431448613575122610147042',NULL,'723',45.71,1,3,NULL),(20,5240573,'1988-04-08 00:00:00',4,1,6,2007,'M','N','ABRAAO','FLORIANÓPOLIS','SC','128243281137161431138844245124141437182',11769,'9998',54.79,1,3,NULL),(20,5240581,'1991-01-05 00:00:00',4,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241115152751569933395122610137182',NULL,'267',20.36,1,2,1),(20,5240590,'1992-11-13 00:00:00',4,10,11,2009,'M','N','RECIFE','TUBARÃO','SC','124242248215112531489931592112610167042',11717,'807',54.91,1,3,NULL),(20,5240611,'1989-11-09 00:00:00',4,1,12,2007,'F','N','JARDIM DAS NAÇOES','TAUBATÉ','SP','125252251216571411559814275122610125197',3170,'9998',70.31,1,3,NULL),(20,5240620,'1992-06-21 00:00:00',2,5,11,2009,'F','N','FLORESTA','BRAÇO NORTE','SC','124243241216132711438622145131610147077',13389,'102',48.66,1,3,NULL),(20,5240662,'1989-08-12 00:00:00',2,1,12,2006,'M','N','KOBRASOL','S JOSÉ','SC','124241241216135431446613575124230267047',NULL,'1036',28.82,1,3,NULL),(20,5240670,'1993-08-05 00:00:00',4,2,11,2010,'M','S','CENTRO','BLUMENAU','SC','124242241215111431579911575122610166145',NULL,'909',50.65,1,3,NULL),(20,5240689,'1992-04-01 00:00:00',2,15,11,2009,'M','N','COLONINHA','ARARANGUÁ','SC','124241241415131311536973595122610147142',12864,'970',50.89,2,1,2),(20,5240697,'1993-05-24 00:00:00',4,1,11,2010,'M','S','PRAINHA','FLORIANÓPOLIS','SC','124242241215111431479937375124610124145',NULL,'270',61.39,1,3,NULL),(20,5240719,'1992-12-27 00:00:00',4,1,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431217828381321610128187',NULL,'9997',0.00,1,3,NULL),(20,5240727,'1990-10-05 00:00:00',4,1,12,2007,'M','N','TRISTEZA','PTO ALEGRE','RS','120202201217371732466632376114140227117',4947,'9998',67.26,1,3,NULL),(20,5240735,'1994-04-29 00:00:00',2,15,12,2010,'M','S','LIVRAMENTO','TURVO','SC','124241241116151512333616165122610118052',NULL,'814',27.99,1,3,NULL),(20,5240743,'1992-06-15 00:00:00',4,1,12,2009,'F','N','CENTRO','PANAMBI','RS','120203201217161431369719291122610138142',NULL,'9998',0.00,1,3,NULL),(20,5240751,'1992-07-31 00:00:00',2,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241217111421248914575122610137042',13628,'210',51.11,1,3,NULL),(20,5240760,'1979-05-13 00:00:00',2,1,12,1996,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241243127575421223344242334610122187',NULL,'281',0.00,1,2,1),(20,5240786,'1991-02-23 00:00:00',2,8,12,2008,'F','N','MORRO DO MEIO','JOINVILLE','SC','124241241116271431435923445124610126147',NULL,'479',24.50,1,2,1),(20,5240794,'1983-12-11 00:00:00',2,1,12,2001,'M','N','FAZENDA DA AMARÇÃO','GOV CELSO RAMOS','SC','124241241122475512533611342213133234057',NULL,'329',27.27,1,2,1),(20,5240808,'1989-09-21 00:00:00',4,1,12,2007,'M','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251216571411488814275112140764027',7649,'9998',59.50,1,3,NULL),(20,5240816,'1993-02-19 00:00:00',4,1,12,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242241217151531538833595122610132147',NULL,'737',43.52,1,3,NULL),(20,5240824,'1992-05-05 00:00:00',2,5,10,2009,'F','N','SAO SIMAO','CRICIÚMA','SC','124242241215271431438714572122610123052',7737,'213',60.10,1,3,NULL),(20,5240832,'1992-12-30 00:00:00',2,4,12,2009,'M','N','CENTRO','ERECHIM','RS','120203201415111411323614295124610118052',NULL,'9998',21.01,1,3,NULL),(20,5240859,'1990-09-30 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215372431356914375114133237112',8346,'270',61.23,1,3,NULL),(20,5240867,'1992-09-27 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215113521568833385122610167052',10329,'270',54.19,1,3,NULL),(20,5240875,'1993-01-06 00:00:00',4,5,11,2009,'F','N','JARDIM ANGÉLICA','CRICIÚMA','SC','124242241217111551536639472124610138017',13405,'213',51.58,1,3,NULL),(20,5240883,'1991-12-06 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115141431439613376114610127062',12489,'271',53.37,1,2,1),(20,5240891,'1991-03-04 00:00:00',2,4,11,2008,'M','N','CENTRO','IPORÃ OESTE','SC','124243241247472431334632575115610167052',11521,'370',52.53,1,3,NULL),(20,5240905,'1987-01-05 00:00:00',4,1,12,2001,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241136273431446614345124333247012',12955,'283',52.46,1,3,NULL),(20,5240913,'1991-12-06 00:00:00',2,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215121431558619592122610117047',NULL,'988',30.04,1,3,NULL),(20,5240921,'1990-09-06 00:00:00',4,8,12,2008,'F','N','BIGORRILHO','CURITIBA','PR','116254161216471741337722575124610136147',11236,'9998',53.00,1,3,NULL),(20,5240948,'1992-09-17 00:00:00',2,1,12,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241217372231558738585115610167112',7105,'1074',63.41,1,3,NULL),(20,5240956,'1991-09-14 00:00:00',4,1,12,2008,'M','N','INTERLAGOS','S PAULO','SP','125252251216471411578814445122610115122',3355,'9998',71.49,1,3,NULL),(20,5240964,'1992-05-16 00:00:00',4,4,12,2009,'F','N','REDIN','CONCÓRDIA','SC','124241241132131531323628572124610136147',NULL,'192',16.39,1,2,1),(20,5240972,'1992-11-15 00:00:00',4,9,11,2009,'M','N','CENTRO','LAGES','SC','124242241215111451347834575122610134067',5945,'1146',66.13,1,3,NULL),(20,5240980,'1992-06-27 00:00:00',4,9,12,2009,'M','N','SÃO PELEGRINO','CAXIAS SUL','RS','120202201116471431448832375124610144043',8577,'9998',57.94,1,3,NULL),(20,5240999,'1992-12-08 00:00:00',2,9,11,2009,'F','N','VILA NOVA','LAGES','SC','124242241212111431536612592122610122012',NULL,'499',30.77,1,3,NULL),(20,5241030,'1990-08-08 00:00:00',2,1,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124243241312573431227732292124231437142',7398,'981',60.72,1,3,NULL),(20,5241049,'1989-06-19 00:00:00',2,1,12,2005,'F','N','CENTRO','PTO ALEGRE','RS','120201201111571431535823371144610166187',9300,'9998',56.82,4,2,1),(20,5241057,'1992-07-03 00:00:00',4,8,12,2009,'M','N','VILA GUAIRA','CURITIBA','PR','116162161327141431459814195124610124092',NULL,'9998',24.49,1,3,NULL),(20,5241065,'1989-07-18 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','116161161217573431448831572125610124197',298,'9998',86.66,3,3,NULL),(20,5241073,'1991-01-21 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241245127131331523614395124610134147',NULL,'307',29.50,2,1,1),(20,5241081,'1990-04-03 00:00:00',4,1,12,2007,'M','N','SANTANA','PTO ALEGRE','RS','120202201215471431258834275124141464057',6688,'9998',61.74,1,3,NULL),(20,5241090,'1992-09-13 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215271431238624145115610132182',3276,'1038',71.74,4,3,NULL),(20,5241103,'1991-04-09 00:00:00',4,1,12,2008,'F','N','CENTRO','BRAÇO NORTE','SC','124243241415472432439933582112610164147',NULL,'806',0.00,1,3,NULL),(20,5241111,'1992-07-06 00:00:00',4,2,11,2009,'M','N','VELHA','BLUMENAU','SC','124242241217112431228723435124610162177',6430,'855',63.25,1,3,NULL),(20,5241120,'1986-03-31 00:00:00',2,8,6,2004,'M','N','AREA INDUSTRIAL','STA TEREZINHA ITAIPU','PR','116163167146151711239613286122141364087',NULL,'9998',0.00,1,3,NULL),(20,5241138,'1992-04-04 00:00:00',2,15,12,2009,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241241116131731326724285125610127057',NULL,'29',17.02,1,2,1),(20,5241146,'1992-12-07 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215272431446824575122610123182',13899,'226',50.56,1,3,NULL),(20,5241154,'1987-02-18 00:00:00',2,15,12,2004,'F','N','RUY COELHO GONÇALVES','GUAÍBA','RS','120201201116571411334614385122610143147',7998,'9998',59.70,1,2,1),(20,5241170,'1992-12-02 00:00:00',4,1,12,2009,'M','N','JURERE','FLORIANÓPOLIS','SC','124202241235111421358833285124610124082',NULL,'1022',29.20,4,3,NULL),(20,5241189,'1991-05-10 00:00:00',4,8,12,2008,'F','N','BATEL','CURITIBA','PR','116162161216271451478821515122141068092',NULL,'9998',0.00,1,3,NULL),(20,5241227,'1992-04-01 00:00:00',4,1,12,2008,'M','N','RIO BRANCO','PTO ALEGRE','RS','120243201215572151247812395114610164057',8637,'9998',57.52,1,3,NULL),(20,5241235,'1989-09-28 00:00:00',2,10,11,2007,'F','N','CENTRO','BOM JD SERRA','SC','124244241215474431547639595122610137147',NULL,'807',28.91,1,3,NULL),(20,5241260,'1990-11-29 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124243241315121531536412372124610126047',NULL,'734',17.45,1,3,NULL),(20,5241278,'1991-11-22 00:00:00',4,4,11,2009,'M','N','CENTRO','TRINDADE SUL','RS','120203241215121431358612575124610132042',5572,'983',63.79,1,3,NULL),(20,5241294,'1992-09-10 00:00:00',2,1,12,2009,'F','N','INDUSTRIAL','QUERÊNCIA','MT','611111111316161431424512595125610168072',NULL,'9998',29.04,1,3,NULL),(20,5241308,'1992-12-14 00:00:00',4,1,11,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215113431447829575114610131145',4264,'270',70.00,1,3,NULL),(20,5241316,'1993-03-20 00:00:00',4,3,12,2009,'F','N','CENTRO','TIJUCAS','SC','124241241115161411526614275122610124197',NULL,'783',47.22,1,2,1),(20,5241324,'1988-09-05 00:00:00',2,10,12,2005,'M','N','BRASILIA','GRAVATAL','SC','124241241126132421336622482114130247117',NULL,'332',33.21,1,2,1),(20,5241332,'1990-06-15 00:00:00',4,6,11,2007,'F','N','PEREQUE','PTO BELO','SC','124244241216372711547633145124132764162',10067,'1038',58.02,1,3,NULL),(20,5241340,'1991-04-29 00:00:00',4,8,11,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215373431446911575112121424192',1220,'486',80.13,1,3,NULL),(20,5241359,'1992-04-16 00:00:00',4,4,12,2009,'F','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124241241115371411424634372124610136142',NULL,'182',46.27,1,2,1),(20,5241375,'1992-05-16 00:00:00',4,8,12,2009,'F','N','HIGIENÓPOLIS','MAL CÂNDIDO RONDON','PR','116161161216111431326712594121610147147',12971,'9998',49.69,1,3,NULL),(20,5241383,'1990-05-14 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241215473431546712575114610111192',3063,'269',73.30,1,3,NULL),(20,5241391,'1989-02-15 00:00:00',4,1,12,2006,'F','N','JARDIM ANALIA FRANCO','S PAULO','SP','125252251211571211439811571125243262141',5089,'9998',65.68,1,3,NULL),(20,5241405,'1978-12-03 00:00:00',2,1,12,1997,'M','N','LTM AVELINO MULLER','BIGUAÇU','SC','124251251121133411323311115124610122047',13177,'9998',52.02,1,2,1),(20,5241413,'1992-12-11 00:00:00',4,7,12,2009,'M','N','CENTRO','CASCAVEL','PR','116162161217111431449914275125610117052',5235,'9998',65.43,1,3,NULL),(20,5241421,'1992-06-09 00:00:00',4,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241214111431489813572124610162041',1628,'270',77.69,1,3,NULL),(20,5241448,'1988-12-08 00:00:00',4,8,12,2005,'M','N','CENTRO','BLUMENAU','SC','124242241215274731157621275112231424072',8138,'909',61.58,1,3,NULL),(20,5241456,'1986-06-07 00:00:00',2,1,12,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241125473731221341215125610127052',NULL,'281',17.96,1,2,1),(20,5241464,'1991-01-31 00:00:00',4,1,7,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247217372431469611572125610167045',NULL,'270',43.38,1,3,NULL),(20,5241472,'1985-12-15 00:00:00',4,1,12,2004,'M','N','RAICHASKI','IÇARA','SC','124253241217161711446734295122610127112',NULL,'228',23.65,1,3,NULL),(20,5241480,'1991-12-23 00:00:00',4,1,12,2008,'M','N','MATO QUEIMADO','NOVA TRENTO','SC','124242241215471431558812345122610127192',4104,'948',70.60,1,3,NULL),(20,5241502,'1989-03-04 00:00:00',4,1,7,2006,'F','N','CENTRO','PALHOÇA','SC','124244241216374711235923595124231026097',NULL,'737',14.42,1,3,NULL),(20,5241510,'1990-11-04 00:00:00',2,3,12,2007,'F','N','SANTO ANTONIO','CURITIBANOS','SC','124242241215472431466612574122610122187',3010,'881',72.82,1,3,NULL),(20,5241529,'1978-08-05 00:00:00',2,1,2,2001,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241146155421124644442124130264147',NULL,'9997',24.45,1,3,NULL),(20,5241537,'1991-12-12 00:00:00',4,1,11,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111431568613572124610167092',9816,'269',58.52,1,3,NULL),(20,5241545,'1989-01-11 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124202241215574432368713572124610168145',7045,'272',63.31,1,3,NULL),(20,5241553,'1989-09-27 00:00:00',4,1,12,2007,'F','N','VILA DAS BELEZAS','S PAULO','SP','125252251217572412327624442124241462077',1444,'9998',78.83,1,3,NULL),(20,5241561,'1961-07-07 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224241247226471411533344145124610142142',NULL,'9997',19.03,1,3,NULL),(20,5241570,'1990-07-13 00:00:00',2,5,12,2007,'F','N','MENINO DEUS','PTO ALEGRE','RS','120182201211571431258833571124610163142',3959,'9998',69.35,1,3,NULL),(20,5241588,'1990-03-26 00:00:00',2,1,7,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124251241315371411426519292114610135187',NULL,'288',14.06,1,3,NULL),(20,5241596,'1985-12-25 00:00:00',4,3,12,2004,'M','N','CENTRO','CURITIBA','PR','116241241216572431246921575122141766172',NULL,'1039',0.00,1,3,NULL),(20,5241600,'1991-06-20 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241137131431534434242224610164193',NULL,'296',0.00,1,2,1),(20,5241618,'1991-04-02 00:00:00',2,1,12,2008,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124242241217373431466833575122230227042',4026,'270',69.45,1,3,NULL),(20,5241626,'1990-05-11 00:00:00',4,1,11,2007,'F','N','CENTRO','TUBARÃO','SC','124244241236374421426811445124220566037',5293,'806',67.60,1,3,NULL),(20,5241634,'1991-10-18 00:00:00',4,6,12,2009,'M','N','MALUCHE','BRUSQUE','SC','124242241215211411568612275112610164172',NULL,'981',26.30,1,3,NULL),(20,5241650,'1991-07-01 00:00:00',2,1,12,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124242241112152431336611345112610135072',15073,'989',47.65,1,3,NULL),(20,5241669,'1991-09-04 00:00:00',4,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241126161731423614245124610117072',NULL,'736',16.19,1,2,1),(20,5241685,'1988-08-20 00:00:00',4,2,12,2005,'M','N','VILA NOVA','BLUMENAU','SC','124241241126131331123344245123231064052',NULL,'664',0.00,1,3,NULL),(20,5241693,'1981-07-27 00:00:00',2,1,7,2002,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124241241412473711358822375114131021112',NULL,'9999',0.00,1,3,NULL),(20,5241707,'1991-05-10 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSÉ','SC','124242241116133731534619345124230825095',5876,'739',65.65,1,3,NULL),(20,5241731,'1989-11-25 00:00:00',4,1,12,2007,'F','N','SETOR BELA VISTA','GOIÂNIA','GO','109092091215572431268823572112610122097',4744,'9998',67.34,4,3,NULL),(20,5241740,'1990-09-21 00:00:00',2,1,12,2007,'M','N','BARRA FUNDA','S PAULO','SP','125252251217571431467834595124610167112',NULL,'9998',0.00,1,3,NULL),(20,5241758,'1989-03-27 00:00:00',4,1,12,2007,'M','N','CORRÉGO GRANDE','FLORIANÓPOLIS','SC','124243111137131421659933495124610168017',NULL,'9998',19.43,1,3,NULL),(20,5241774,'1990-08-21 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIÚMA','SC','124242241215573431478811312122130626092',8629,'226',58.27,1,3,NULL),(20,5241782,'1993-01-23 00:00:00',2,7,12,2009,'M','N','INTERIOR','ÁGUA DOCE','SC','124241242115131431424314475122610137042',NULL,'8',22.27,1,3,NULL),(20,5241790,'1992-09-22 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115471731326619575124610161142',16004,'257',41.19,1,2,1),(20,5241804,'1987-01-15 00:00:00',4,1,12,2003,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124243241216132421238853315122333263127',12926,'487',52.50,1,3,NULL),(20,5241812,'1992-07-09 00:00:00',2,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241117131431246823472344610137094',NULL,'257',18.77,1,3,NULL),(20,5241820,'1993-03-23 00:00:00',2,1,11,2009,'F','N','AUGUSTO JOSE VALENTE','POSSE','GO','109091091217111331536635575125610164077',NULL,'9998',27.53,1,3,NULL),(20,5241839,'1988-09-18 00:00:00',2,1,12,2007,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241127372411523314382314610164142',NULL,'296',28.82,1,2,1),(20,5241847,'1988-09-21 00:00:00',2,15,12,2005,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241248114271451523633241111610154017',NULL,'29',23.00,4,3,NULL),(20,5241855,'1991-07-23 00:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115131431326634572224610134185',NULL,'295',27.36,1,2,1),(20,5241863,'1984-07-06 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247432271421326644245124133226187',15363,'9999',46.73,1,3,NULL),(20,5241871,'1988-03-04 00:00:00',2,1,9,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243247336132431536523435114610125042',NULL,'9999',0.00,1,3,NULL),(20,5241880,'1992-04-19 00:00:00',2,5,12,2009,'F','N','MARIA CÉU','CRICIÚMA','SC','124241241112131521326422575124610114147',NULL,'223',7.12,1,3,NULL),(20,5241901,'1982-11-24 00:00:00',4,1,12,2000,'F','N','BARREIROS','S JOSÉ','SC','124241241121134431125644245124610121187',NULL,'307',23.64,1,2,1),(20,5241910,'1991-10-18 00:00:00',4,1,11,2009,'M','N','PICO DO AMOR','CUIABÁ','MT','111252111216111431566934375122610137093',10807,'9998',52.49,1,3,NULL),(20,5241928,'1991-11-20 00:00:00',4,1,12,2009,'M','N','JARDINS','ARACAJU','SE','126262261217151431488833572122610127042',NULL,'9998',0.00,4,3,NULL),(20,5241936,'1992-05-06 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112111288914175122610114047',6748,'262',62.69,1,3,NULL),(20,5241944,'1993-06-30 00:00:00',4,6,11,2009,'M','N','CORDEIROS','ITAJAÍ','SC','124242241214132431336824472122610134047',2462,'389',74.82,1,3,NULL),(20,5241952,'1992-07-15 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115471731344523136124610145147',NULL,'307',52.30,1,2,1),(20,5241960,'1991-08-20 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111551468916572124610117112',9548,'270',56.02,1,3,NULL),(20,5241979,'1988-07-02 00:00:00',2,1,3,2005,'F','N','FORQUILHINHAS','S JOSÉ','SC','224241241116151431243344245123230234147',NULL,'739',0.00,1,3,NULL),(20,5241987,'1991-03-30 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124253256227471431468824475124610164043',NULL,'9998',NULL,1,3,NULL),(20,5241995,'1988-04-12 00:00:00',4,1,11,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117375431456614472114610138052',NULL,'384',36.28,1,2,1),(20,5242002,'1992-01-24 00:00:00',2,15,12,2009,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241131111732423314445121610134042',NULL,'30',26.58,1,2,1),(20,5242010,'1992-06-01 00:00:00',4,8,12,2009,'M','N','PARQUE EMBU','COLOMBO','PR','116161161135111431459813575124610147072',3687,'9998',69.30,1,2,1),(20,5242037,'1993-04-27 00:00:00',4,16,11,2010,'F','S','CENTRO','CURITIBANOS','SC','124242241215111731248924375112610134187',NULL,'881',47.87,1,3,NULL),(20,5242045,'1990-06-21 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241236474431448714375122233267057',4529,'266',69.46,1,3,NULL),(20,5242053,'1993-05-27 00:00:00',4,5,10,2009,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241215371431439934575112610167052',9633,'32',56.76,1,3,NULL),(20,5242061,'1992-09-28 00:00:00',2,4,12,2009,'F','N','MEDIANEIRA','PANAMBI','RS','120202201215111431568614575122610131092',NULL,'9998',0.00,1,3,NULL),(20,5242070,'1991-09-30 00:00:00',4,1,12,2009,'F','N','PLANALTO','S BERNARDO CAMPO','SP','125242251217111432357754595112610141115',NULL,'9998',0.00,1,3,NULL),(20,5242088,'1986-03-23 00:00:00',4,8,12,2003,'M','N','CJ VITORIA REGIA','LONDRINA','PR','116163161217555431456712575114141464057',246,'9998',87.30,3,3,NULL),(20,5242100,'1992-01-10 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241112131431326313592124610127147',NULL,'281',28.20,1,2,1),(20,5242118,'1993-05-07 00:00:00',2,9,12,2009,'M','N','SAGRADO C DE JESUS','LAGES','SC','124244241415111431546933575122610164182',NULL,'515',30.77,1,3,NULL),(20,5242134,'1991-01-21 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217473431644419495124610162077',5925,'1036',64.27,1,3,NULL),(20,5242142,'1992-03-12 00:00:00',4,8,12,2009,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124243241115371751433319395124610128057',15275,'430',47.04,1,3,NULL),(20,5242150,'1990-03-20 00:00:00',2,1,12,2008,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241111272431556633342124610147042',15957,'307',44.35,1,2,1),(20,5242169,'1992-05-31 00:00:00',2,10,12,2009,'M','N','CENTRO','RIO FORTUNA','SC','124241241147151431356613245122610148192',15730,'665',45.37,1,3,NULL),(20,5242177,'1991-09-04 00:00:00',4,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241248126131431423614345124610128077',NULL,'736',18.44,1,2,1),(20,5242185,'1991-01-07 00:00:00',4,1,12,2008,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124242241216372431437823575124610167112',NULL,'270',0.00,3,3,NULL),(20,5242193,'1991-08-09 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124241241122371431424311242124610124147',NULL,'13',38.48,1,2,1),(20,5242215,'1992-02-13 00:00:00',4,5,11,2009,'M','N','SÃO LUIZ','CRICIÚMA','SC','124242246216131431639613575124610124141',NULL,'995',20.29,1,3,NULL),(20,5242223,'1990-12-17 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117231231437531285112610117065',NULL,'307',19.81,1,3,NULL),(20,5242231,'1991-08-19 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241215472431246624575114610165097',9481,'737',57.58,1,3,NULL),(20,5242240,'1992-01-23 00:00:00',2,4,12,2009,'F','N','CENTRO','NOVA ERECHIM','SC','124241241116371431333619175124610127057',NULL,'572',23.10,1,2,1),(20,5242258,'1992-06-16 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431368411575114610127042',8568,'1022',60.81,1,3,NULL),(20,5242266,'1992-11-26 00:00:00',4,1,11,2009,'F','N','ESTRIETO','FLORIANÓPOLIS','SC','124242241235113411379632575124610164111',1556,'270',78.65,1,3,NULL),(20,5242274,'1992-10-21 00:00:00',3,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111431469813575124610127185',4198,'270',68.42,3,3,NULL),(20,5242282,'1991-09-24 00:00:00',4,1,12,2009,'M','N','ALDEOTA','FORTALEZA','CE','106062061216111431578834575122610167052',NULL,'9998',0.00,1,3,NULL),(20,5242304,'1991-12-03 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124161161137131432535513144114610121147',NULL,'9998',23.08,1,2,1),(20,5242312,'1990-08-22 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241236574431589911575114610167042',4168,'654',69.38,1,3,NULL),(20,5242320,'1991-03-29 00:00:00',2,8,12,2008,'F','N','GLÓRIA','JOINVILLE','SC','124244241215472432348612576122610162013',7883,'9997',62.06,1,3,NULL),(20,5242339,'1990-03-05 00:00:00',4,1,12,2007,'F','N','JARDIM CONCEIÇÃO','S JOSÉ R PRETO','SP','125252251217571421338933273122610164177',NULL,'9998',31.94,1,3,NULL),(20,5242347,'1979-03-13 00:00:00',4,1,6,2002,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124081087127151731625319415122610124144',NULL,'9998',22.41,2,1,1),(20,5242355,'1985-08-20 00:00:00',2,1,12,2003,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241121143231433339395112610114091',NULL,'298',27.16,2,2,1),(20,5242363,'1992-11-15 00:00:00',4,1,12,2009,'M','N','BOA VISTA','PTO ALEGRE','RS','120202201216371431269823571111610162142',NULL,'9998',0.00,1,3,NULL),(20,5242371,'1990-11-04 00:00:00',2,3,12,2007,'F','N','SANTO ANTONIO','CURITIBANOS','SC','124242241215472431466612574122610117187',1613,'881',78.42,1,3,NULL),(20,5242380,'1992-08-22 00:00:00',4,4,11,2009,'F','N','JARDIN ITALIA','CHAPECÓ','SC','124241241215472731566612572122610167042',13372,'185',47.19,1,3,NULL),(20,5242398,'1982-05-20 00:00:00',4,9,12,1999,'M','N','CENTRO','LAGES','SC','124242241236142751648812315122333238163',NULL,'499',59.30,1,3,NULL),(20,5242401,'1992-03-31 00:00:00',4,10,12,2009,'M','N','STO ANTONIO DE PÁDU','TUBARÃO','SC','124244241135131431546934286121610168187',NULL,'1034',0.00,1,3,NULL),(20,5242410,'1988-11-30 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117272711123344345124130227047',NULL,'59',27.81,4,2,1),(20,5242428,'1991-09-08 00:00:00',2,1,12,2008,'M','N','CENTRO','ITAQUIRAÍ','MS','112122161416471411458813575125610116012',8582,'9998',59.47,4,3,NULL),(20,5242436,'1991-06-15 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241312132411323619315124221465147',4626,'1022',69.24,1,3,NULL),(20,5242460,'1992-12-14 00:00:00',4,5,12,2009,'F','N','BRASILIA','COCAL SUL','SC','124241248417151451434614595124610161012',NULL,'995',28.48,1,3,NULL),(20,5242479,'1990-05-12 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117573431458634571122231114057',8065,'267',61.71,1,2,1),(20,5242487,'1990-09-09 00:00:00',4,1,12,2009,'M','N','SANTA TERESA','S PEDRO ALCÂNTARA','SC','124241241125131421443639576124610164177',NULL,'869',26.65,1,2,1),(20,5242509,'1990-05-05 00:00:00',2,1,12,2007,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241116473411534354445124610127017',12643,'733',50.51,1,2,1),(20,5242525,'1991-03-24 00:00:00',4,8,12,2009,'F','N','RODOVIARIA PARK','CUIABÁ','MT','111112111217111431579833572122610145147',9225,'9998',56.14,4,3,NULL),(20,5242533,'1992-07-21 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215124431367913572122610127042',245,'1022',87.32,1,3,NULL),(20,5242541,'1988-08-16 00:00:00',4,1,12,2005,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124254251215473751324314445115121434045',4153,'9998',70.44,1,3,NULL),(20,5242550,'1990-04-25 00:00:00',2,9,11,2007,'F','N','PROGRESSO','RIO SUL','SC','124242241215572431446412545122610121197',2271,'653',74.34,1,3,NULL),(20,5242568,'1989-01-16 00:00:00',4,5,12,2006,'F','N','RENASCER','CRICIÚMA','SC','124241241127131431524314392124610115147',NULL,'225',21.35,4,2,1),(20,5242576,'1990-09-26 00:00:00',2,1,12,2007,'M','N','FORQUILHAS','S JOSÉ','SC','124241241112272431435723575124222528192',2281,'733',75.89,4,2,1),(20,5242584,'1989-03-19 00:00:00',2,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','116164161216575431547923395114610167077',4013,'9998',70.74,1,3,NULL),(20,5242592,'1992-03-08 00:00:00',2,1,12,2009,'F','N','BELA VISTA','PALHOÇA','SC','124241241115471431323329472224610121012',NULL,'592',26.06,1,2,1),(20,5242606,'1971-09-13 00:00:00',2,1,12,1991,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','224241241316274431133443135122121138144',15992,'261',44.15,1,3,NULL),(20,5242614,'1991-05-14 00:00:00',2,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241127242521336723445114610147112',NULL,'290',29.17,4,2,1),(20,5242622,'1991-07-24 00:00:00',4,7,12,2008,'M','N','SÃO FRANCISCO','VIDEIRA','SC','124241241215272531453311215112610112052',13343,'1080',51.67,1,3,NULL),(20,5242630,'1992-04-02 00:00:00',4,10,10,2009,'F','N','OFICINAS','TUBARÃO','SC','124242248215172431638933575122610162187',NULL,'1181',43.81,1,3,NULL),(20,5242649,'1990-09-20 00:00:00',4,1,12,2007,'M','N','MARTINS','UBERLÂNDIA','MG','113134131215473531449831574122610112093',NULL,'9998',0.00,1,3,NULL),(20,5242657,'1974-12-26 00:00:00',2,1,12,2004,'M','N','KOBRASSOL','S JOSÉ','SC','224243241324172441423459295124232735092',NULL,'736',11.09,1,3,NULL),(20,5242665,'1992-03-30 00:00:00',2,1,12,2009,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241112372431436513372124610126142',8783,'307',58.49,4,2,1),(20,5242673,'1993-06-14 00:00:00',2,4,12,2009,'M','N','CENTRO','IPUAÇU','SC','124243241335161631584632111121610137172',NULL,'372',0.00,1,3,NULL),(20,5242681,'1992-07-08 00:00:00',4,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215112711658819575122610162045',9625,'262',56.09,1,3,NULL),(20,5242690,'1990-07-11 00:00:00',2,1,12,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115473431433614245124610121097',6631,'295',64.64,1,3,NULL),(20,5242703,'1992-04-16 00:00:00',4,6,12,2009,'F','N','CORDEIROS','ITAJAÍ','SC','124241241117131431425539475122610123183',NULL,'400',0.00,1,2,1),(20,5242711,'1992-04-19 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117472431533314275124610144042',9950,'307',56.81,1,2,1),(20,5242720,'1988-05-08 00:00:00',4,1,12,2007,'F','N','SÃO JOÃO','PTO ALEGRE','RS','120201201417371421435511344114610167187',NULL,'9998',19.52,1,3,NULL),(20,5242738,'1991-12-08 00:00:00',4,4,12,2008,'F','N','JARDIM DAS AMÉRICAS','PATO BRANCO','PR','116111161115471431438831576122610124197',9280,'9998',55.96,1,2,1),(20,5242746,'1992-08-28 00:00:00',2,3,12,2009,'F','N','SABKA','MAL CÂNDIDO RONDON','PR','116161161116471331556532575121610167052',16082,'9998',43.54,4,2,1),(20,5242754,'1990-09-12 00:00:00',2,1,12,2007,'F','N','ARIRIÚ','PALHOÇA','SC','124241241127271731223314341134610127182',15875,'593',42.39,1,2,1),(20,5242762,'1991-11-12 00:00:00',2,15,12,2009,'M','N','NOVA BRASILIA','SOMBRIO','SC','124241241135161331223365275122610125142',NULL,'1033',24.68,1,2,1),(20,5242770,'1992-01-05 00:00:00',4,1,11,2008,'F','N','NILOCAU VERGUEIRO','PASSO FUNDO','RS','120202201216471431389911471122610124187',NULL,'9998',0.00,1,3,NULL),(20,5242789,'1990-10-16 00:00:00',4,1,12,2008,'F','N','NAÇÕES','TIMBÓ','SC','124241248117472731366934595122610156147',NULL,'787',21.91,1,2,1),(20,5242797,'1989-08-19 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217473232428613492124131027042',16322,'273',39.42,1,3,NULL),(20,5242800,'1991-05-13 00:00:00',4,3,11,2009,'F','N','CENTRO','LARANJEIRAS SUL','PR','116162161217121431668933585122610134022',15595,'9998',45.91,1,3,NULL),(20,5242819,'1993-03-30 00:00:00',4,5,11,2009,'M','N','COMÉRCIARIO','CRICIÚMA','SC','124242241215112411369831312122610137042',NULL,'211',0.00,1,3,NULL),(20,5242827,'1992-02-03 00:00:00',2,9,12,2009,'M','N','CENTRO','LAGES','SC','124243241335131441336923395125610136187',NULL,'499',23.57,1,3,NULL),(20,5242835,'1990-06-29 00:00:00',2,4,12,2007,'F','N','CENTRE','STA MARIA','RS','120242201237571451559913575122610164097',1184,'9998',79.95,1,3,NULL),(20,5242843,'1989-10-24 00:00:00',2,1,11,2009,'F','N','CENTRO','PALHOÇA','SC','124243241215131431444417575124610121197',NULL,'1011',33.46,1,3,NULL),(20,5242851,'1991-09-28 00:00:00',2,1,12,2009,'F','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241117162431623423375124610124143',NULL,'307',21.67,1,2,1),(20,5242860,'1989-09-24 00:00:00',2,3,12,2007,'M','N','FLORESTA','LAJEADO','RS','120203201215471451446814581122610137047',NULL,'9998',0.00,1,3,NULL),(20,5242878,'1988-12-27 00:00:00',2,1,12,2006,'F','N','CANTO','FLORIANÓPOLIS','SC','124242241217574411459913445124233224012',5639,'992',65.98,1,3,NULL),(20,5242886,'1990-12-27 00:00:00',2,3,12,2008,'F','N','MARISCAL','BOMBINHAS','SC','124241241116473751226413186224610162192',9655,'96',57.19,4,2,1),(20,5242908,'1992-03-16 00:00:00',2,1,12,2009,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241115161611437314445124610118141',NULL,'64',18.98,1,2,1),(20,5242916,'1992-02-08 00:00:00',4,8,12,2009,'M','N','JARDIM IRIRIÚ','JOINVILLE','SC','124241241217371431656611271124610125027',NULL,'462',0.00,1,3,NULL),(20,5242924,'1993-06-09 00:00:00',4,8,10,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124244241215111431666613275124610123152',2018,'1063',76.19,4,3,NULL),(20,5242932,'1992-04-30 00:00:00',2,1,12,2009,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241115271431323113375124610127042',13322,'307',47.41,1,2,1),(20,5242940,'1991-06-11 00:00:00',4,4,12,2008,'F','N','SAIC','CHAPECÓ','SC','124244241217372411336634272122610163142',11370,'1094',53.26,1,3,NULL),(20,5242959,'1991-06-02 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117132432226529385114610117065',16321,'281',39.49,1,2,1),(20,5242967,'1992-08-23 00:00:00',2,1,11,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241116371431423318375124610136142',5621,'281',66.65,1,2,1),(20,5242975,'1991-01-05 00:00:00',4,1,11,2008,'M','N','JARDIM PAULISTANO','SOROCABA','SP','125252251215471731469931575112610162041',NULL,'9998',0.00,1,3,NULL),(20,5242983,'1990-09-22 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241315573441446933175122610122052',15024,'1000',46.29,1,3,NULL),(20,5242991,'1991-10-15 00:00:00',4,1,12,2009,'M','N','SANTA RITA DE CÁSSIA','STA BÁRBARA D OESTE','SP','125251251137131431435511116124610128172',NULL,'9998',0.00,4,2,1),(20,5243009,'1992-08-25 00:00:00',2,1,12,2009,'F','N','LOTEAMENTO BEL MAR','PALHOÇA','SC','124241241145371731344419291112610124187',14290,'592',46.47,1,2,1),(20,5243017,'1989-05-27 00:00:00',4,1,12,2006,'F','N','BELA VISTA I','S JOSÉ','SC','124241241112372431335527245124133226097',15753,'734',45.25,2,1,1),(20,5243025,'1980-11-03 00:00:00',4,1,12,1998,'F','N','FLORESTA','S JOSÉ','SC','224241241312375431343354335122331221147',7378,'270',61.07,1,3,NULL),(20,5243041,'1992-02-25 00:00:00',4,1,12,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241225131431424634275114610167077',5948,'262',63.92,4,3,NULL),(20,5243050,'1992-11-23 00:00:00',4,1,11,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241217372731444412275124610166092',12319,'724',50.22,1,3,NULL),(20,5243068,'1988-11-19 00:00:00',2,1,12,2005,'M','N','CENTRO','PALHOÇA','SC','116162161216134431648832375124233217081',NULL,'9998',50.84,1,3,NULL),(20,5243076,'1991-11-26 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S JOSÉ','SC','124241241112372431636411572114610164047',12589,'734',53.15,1,2,1);
INSERT INTO candidato VALUES (20,5243106,'1991-12-09 00:00:00',4,1,12,2009,'F','N','MORANGUEIRA','MARINGÁ','PR','116161161216111731348619572112610117047',15337,'9998',43.70,3,3,NULL),(20,5243114,'1988-12-09 00:00:00',2,9,12,2005,'F','N','POPULAR','LAGES','SC','124241241116271431524311175114610163051',NULL,'935',27.36,4,2,1),(20,5243122,'1992-12-08 00:00:00',2,9,11,2009,'M','N','VILA NOVA','LAGES','SC','124244241217171431546632275122610134017',NULL,'499',30.69,1,3,NULL),(20,5243130,'1992-10-04 00:00:00',2,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241115271431434733575124610127047',NULL,'733',26.00,1,2,1),(20,5243157,'1988-07-30 00:00:00',4,1,12,2005,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241136374431446673445124610162143',12207,'307',50.89,1,2,1),(20,5243165,'1992-07-23 00:00:00',2,3,12,2009,'F','N','MONTE ALEGRE','CAMBORIÚ','SC','124241241111371431326634276111610135092',NULL,'131',0.00,1,2,1),(20,5243173,'1980-09-02 00:00:00',4,1,12,1997,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','224242241416135721337851335122333222187',NULL,'267',0.00,1,3,NULL),(20,5243181,'1985-08-28 00:00:00',4,1,12,2003,'M','N','JARDIM CASTANHEIRAS','S JOSÉ CAMPOS','SP','125251251117573411525514471324610158177',NULL,'9998',31.83,4,2,1),(20,5243190,'1990-07-25 00:00:00',4,1,10,2009,'M','N','STELLA MARIS','SALVADOR','BA','105051051117371431448933575114610134052',10251,'9998',57.69,1,2,1),(20,5243203,'1991-04-19 00:00:00',2,8,11,2008,'F','N','FANNY','CURITIBA','PR','116162161215472431366632575122610165142',NULL,'9998',0.00,1,3,NULL),(20,5243211,'1992-01-10 00:00:00',4,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124241241115131431426634476121610123057',NULL,'729',31.82,1,2,1),(20,5243220,'1992-06-26 00:00:00',4,8,12,2009,'M','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241237321421559813435124610113012',NULL,'1105',23.89,1,3,NULL),(20,5243238,'1991-12-10 00:00:00',4,1,12,2009,'M','N','CENTRO','S JOSÉ','SC','124241241137272411324427385121610164187',NULL,'733',36.62,1,2,1),(20,5243246,'1991-09-10 00:00:00',2,3,11,2009,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124242241215371431338911575124610162192',9856,'392',56.67,1,3,NULL),(20,5243254,'1983-04-18 00:00:00',4,8,12,2000,'M','N','SAGUAÇU','JOINVILLE','SC','124202201221272711137944245122131432181',NULL,'9998',29.11,1,3,NULL),(20,5243262,'1989-10-10 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215273431477814575124221124041',4933,'262',68.50,1,3,NULL),(20,5243270,'1986-12-10 00:00:00',4,1,12,2002,'F','N','IPIRANGA','S JOSÉ','SC','124241241147131431636411141114610162057',NULL,'216',28.06,1,2,1),(20,5243300,'1992-10-23 00:00:00',4,1,11,2009,'M','N','CHACARA STO ANTONIO','S PAULO','SP','125252251217111431276612571124610127147',NULL,'9998',0.00,1,3,NULL),(20,5243335,'1989-05-01 00:00:00',2,1,12,2006,'F','N','FLORESTA','S JOSÉ','SC','124241241125131131423341212224610122051',NULL,'682',45.92,1,2,1),(20,5243343,'1988-12-07 00:00:00',2,1,7,2009,'M','N','PRO MORAR','VIAMÃO','RS','120201207137131731523329485314610124057',NULL,'9998',25.09,2,1,1),(20,5243351,'1987-02-07 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124131138126231721223344244334610158197',NULL,'9998',11.36,4,3,NULL),(20,5243360,'1990-03-07 00:00:00',4,1,12,2007,'F','N','PEDRO COSTA','ITATIBA','SP','125251251147371741323624185114610164187',13287,'9998',48.42,1,2,1),(20,5243378,'1990-04-22 00:00:00',4,10,12,2007,'F','N','BANDEIRANTES','CAPIVARI BAIXO','SC','124243241417473751436614475124131332187',NULL,'809',27.64,1,3,NULL),(20,5243394,'1991-04-17 00:00:00',2,3,12,2008,'F','N','MORRETES','ITAPEMA','SC','124241241116372431333334285124610137012',10531,'406',56.86,1,2,1),(20,5243416,'1983-12-18 00:00:00',4,1,12,2001,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124202201212274431359931392122233267182',4533,'9998',69.45,1,3,NULL),(20,5243432,'1992-08-21 00:00:00',2,10,11,2009,'F','N','CENTRO','BRAÇO NORTE','SC','124241241212131231658914342122610132097',NULL,'102',23.45,1,3,NULL),(20,5243440,'1976-11-20 00:00:00',2,1,12,2006,'F','N','SERRARIA','S JOSÉ','SC','124241243341131421328344342124610111092',NULL,'946',27.33,1,3,NULL),(20,5243459,'1990-09-27 00:00:00',4,8,12,2008,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124242246216372431237728495124610127052',12795,'494',50.05,1,3,NULL),(20,5243467,'1990-04-29 00:00:00',1,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124164241436374131589911385112610167042',14040,'287',50.31,1,3,NULL),(20,5243475,'1992-01-24 00:00:00',1,8,12,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124244241215111431239823342121610136057',NULL,'441',22.31,1,3,NULL),(20,5243483,'1990-01-20 00:00:00',2,4,12,2007,'M','N','CRISTO REI','CHAPECÓ','SC','124241241137131741525339396224231964197',NULL,'916',0.00,1,3,NULL),(20,5243491,'1980-10-29 00:00:00',2,15,12,1997,'M','N','CENTRO','MARACAJÁ','SC','124241248137141711423336331122331825147',NULL,'228',0.00,1,3,NULL),(20,5243505,'1987-06-13 00:00:00',4,4,12,2004,'M','N','CENTRO','VERÊ','PR','116161161214112431457436572225142664047',7695,'9998',59.28,1,3,NULL),(20,5243513,'1980-10-10 00:00:00',2,1,12,1999,'M','N','CENTRO','S JOÃO URTIGA','RS','120201201142471431333332112132340632047',NULL,'9998',24.06,1,3,NULL),(20,5243530,'1986-09-20 00:00:00',4,1,6,2005,'F','N','SANTA ROSA','BELO HORIZONTE','MG','113281281316131411334644446114143214141',NULL,'9998',0.00,1,3,NULL),(20,5243556,'1991-04-30 00:00:00',2,1,12,2008,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241114473731225324572134610124053',NULL,'733',28.35,1,2,1),(20,5243564,'1978-08-07 00:00:00',2,1,5,2001,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241243127471411523417442224610147047',13521,'739',48.46,1,2,1),(20,5243572,'1992-01-17 00:00:00',4,8,12,2009,'M','N','PROGRESSO','S BENTO SUL','SC','124243241132231431534923384121610137182',NULL,'697',28.91,1,3,NULL),(20,5243599,'1989-09-08 00:00:00',2,5,11,2007,'F','N','RIO MAINA','CRICIÚMA','SC','124243241212272431236629485124131022071',15497,'226',46.32,1,3,NULL),(20,5243602,'1992-07-05 00:00:00',2,15,12,2009,'M','N','JANUARIA','SOMBRIO','SC','124241241127111731524434345122610117067',NULL,'1033',0.00,1,2,1),(20,5243629,'1989-01-08 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124124121233325321233825374223210112113',4899,'9998',68.20,4,3,NULL),(20,5243645,'1992-04-04 00:00:00',2,1,12,2008,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124242241211372431456614585124232763142',11536,'1075',53.41,1,3,NULL),(20,5243653,'1989-12-13 00:00:00',4,8,12,2007,'M','N','PARQUE DEZ','MANAUS','AM','104244041217371411459914475112141467011',14396,'9998',49.48,1,3,NULL),(20,5243670,'1991-12-09 00:00:00',2,6,12,2009,'M','N','CENTRO','MANDAGUARI','PR','116161161126131431326534385121610122012',NULL,'9998',21.03,1,3,NULL),(20,5243696,'1990-11-30 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241112273431524414345224121137112',11996,'307',54.38,4,2,1),(20,5243700,'1990-10-08 00:00:00',4,1,12,2008,'F','N','JD EULINA','CAMPINAS','SP','125254251237471431568673375112610127152',13145,'9998',52.09,1,3,NULL),(20,5243718,'1992-01-07 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241112371231433319192124610168047',NULL,'307',41.52,1,2,1),(20,5243726,'1991-06-19 00:00:00',2,1,12,2008,'F','N','PIO X','CAXIAS SUL','RS','120204201217412411457823372133242514142',6297,'9998',64.04,1,3,NULL),(20,5243734,'1990-01-09 00:00:00',4,1,12,2007,'M','N','GALÓPOLIS','CAXIAS SUL','RS','120201203216372431577712441134610164142',7230,'9998',60.52,1,3,NULL),(20,5243742,'1965-05-13 00:00:00',4,1,12,1981,'M','N','BOM VIVER','BIGUAÇU','SC','524201203222274421343359212124130824047',NULL,'9998',20.24,1,3,NULL),(20,5243750,'1984-04-18 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247114111411623311296345610154057',NULL,'9999',39.17,1,2,1),(20,5243777,'1992-03-09 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','116162161215112431235728592222610134017',13331,'9998',47.93,4,3,NULL),(20,5243785,'1983-10-27 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','624241245121132331631341111124610146097',NULL,'282',24.19,1,2,1),(20,5243793,'1966-09-20 00:00:00',4,1,12,1984,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','224251256117141411436442325132340237182',6701,'9998',64.49,1,2,1),(20,5243807,'1991-09-13 00:00:00',2,1,12,2008,'M','N','FERRAZ','GAROPABA','SC','624241241146152431436613345134610127057',12028,'322',54.33,1,2,1),(20,5243823,'1989-01-23 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124072071216132431336824445334142063077',11462,'9998',52.43,1,3,NULL),(20,5243831,'1990-06-12 00:00:00',2,2,12,2007,'F','N','VOLTA GRANDE','MIRIM DOCE','SC','128241241216112431524516575124242448142',NULL,'776',27.81,1,3,NULL),(20,5243840,'1993-10-22 00:00:00',2,1,12,2009,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124243241211111431338614585124610135147',11425,'1023',55.47,1,3,NULL),(20,5243858,'1981-04-17 00:00:00',4,1,1,2000,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124212211216472411118847475122341034085',NULL,'9998',0.00,4,3,NULL),(20,5243866,'1990-08-25 00:00:00',4,1,7,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241116133141333524295134610164057',12802,'739',52.74,1,3,NULL),(20,5243882,'1989-08-06 00:00:00',2,2,12,2006,'F','N','CANOAS','RIO SUL','SC','124241241112231441314336135224132825157',NULL,'828',0.00,1,2,1),(20,5243890,'1992-03-26 00:00:00',2,1,12,2009,'F','N','VENDAVAL','BIGUAÇU','SC','124243241415372431436632576124610168197',8584,'1040',58.99,1,3,NULL),(20,5243904,'1990-11-07 00:00:00',2,1,12,2009,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241137132411533513572124610141197',NULL,'295',23.82,1,2,1),(20,5243920,'1992-08-24 00:00:00',4,7,12,2009,'M','N','SANTA IZABEL','IBICARÉ','SC','124241241126161731213529395222610127057',NULL,'345',25.80,1,2,1),(20,5243939,'1985-01-01 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124246248613111611523319296345610154107',NULL,'9999',0.00,1,3,NULL),(20,5243947,'1992-11-17 00:00:00',2,1,12,2009,'M','N','PRADO','BIGUAÇU','SC','124242241215372431233732575124610168097',5695,'1040',64.56,1,3,NULL),(20,5243955,'1989-03-06 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215154752434832384123133268186',NULL,'266',32.82,1,3,NULL),(20,5243963,'1991-02-15 00:00:00',2,4,12,2008,'F','N','MENINO DEUS','PTO ALEGRE','RS','120201201417471431536711115124610167117',2463,'9998',74.70,1,3,NULL),(20,5243971,'1988-02-21 00:00:00',4,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124161161117372431566619445134120734142',10749,'9998',56.78,1,2,1),(20,5243980,'1987-10-02 00:00:00',2,1,7,2007,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241115132411533513382124610146197',14381,'307',46.51,1,2,1),(20,5243998,'1990-03-27 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241125131521223344342134610124052',NULL,'257',26.97,1,2,1),(20,5244005,'1991-04-09 00:00:00',2,1,11,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241122472431425514575124610166142',7685,'290',62.02,1,2,1),(20,5244013,'1990-12-30 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241111132411115644341324610147147',NULL,'257',24.53,1,2,1),(20,5244021,'1990-06-27 00:00:00',4,1,6,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241117174412448924245124610145054',7605,'306',62.61,1,3,NULL),(20,5244030,'1992-12-31 00:00:00',4,6,11,2009,'M','N','NOSSA SENHORA DA PAZ','BAL PIÇARRAS','SC','124241241147141431623319245122610167042',NULL,'614',0.00,1,2,1),(20,5244048,'1991-05-04 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241217272731556613342114610125047',16271,'1022',41.34,3,3,NULL),(20,5244056,'1982-09-14 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124246248615111751523319296345610154167',NULL,'9999',15.13,1,3,NULL),(20,5244064,'1991-07-31 00:00:00',2,1,6,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243281115371431228821474114610133187',9711,'271',56.72,1,3,NULL),(20,5244072,'1990-04-06 00:00:00',4,8,12,2007,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116162161216572431548751575114610164017',6482,'9998',62.35,3,3,NULL),(20,5244080,'1982-09-20 00:00:00',2,1,1,2000,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124203201116131411224548285324610126057',NULL,'9998',0.00,1,3,NULL),(20,5244099,'1991-08-06 00:00:00',2,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115154411488673395114231127172',6279,'307',65.38,1,2,1),(20,5244102,'1989-08-31 00:00:00',4,5,12,2006,'M','N','SANTA LUZIA','CRICIÚMA','SC','124244241212131431436834245124132064157',NULL,'995',14.46,1,3,NULL),(20,5244110,'1986-11-10 00:00:00',4,1,12,2004,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124212211217272231489712575122241427045',NULL,'9998',0.00,1,3,NULL),(20,5244129,'1992-02-18 00:00:00',4,1,12,2009,'F','N','JARDIM CALIFORNIA','BRAGANÇA PAULISTA','SP','125252251215131431359714445122610132142',NULL,'9998',0.00,1,3,NULL),(20,5244170,'1985-11-19 00:00:00',4,1,12,2003,'F','N','CAMPINAS','S JOSÉ','SC','124241241312135231336631345124230832147',NULL,'515',35.17,1,3,NULL),(20,5244188,'1983-08-20 00:00:00',4,1,7,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242246116155741537713485124231922172',5604,'306',66.89,1,3,NULL),(20,5244218,'1990-05-29 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241211273431423311371124222746037',8472,'269',57.58,1,3,NULL),(20,5244242,'1989-04-24 00:00:00',2,7,12,2008,'M','N','CENTRO','ÁGUA DOCE','SC','124241242112151432436319582212610127057',NULL,'8',43.37,1,2,1),(20,5244269,'1992-09-21 00:00:00',4,6,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124204241217111431345929575124610148142',NULL,'1086',23.89,1,3,NULL),(20,5244277,'1989-08-14 00:00:00',4,2,12,2007,'M','N','VILA BEATRIZ','MARACAJÁ','SC','124241241136473731236529594125613216177',9353,'550',56.74,1,2,1),(20,5244285,'1987-10-04 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244247232371431426669345124610123072',NULL,'9999',27.10,4,3,NULL),(20,5244293,'1991-09-08 00:00:00',4,6,12,2009,'F','N','SÃO JOÃO','ITAJAÍ','SC','124241241116271411625818575221610136172',2360,'395',74.16,1,2,1),(20,5244307,'1973-01-31 00:00:00',2,1,12,2002,'F','N','KOBRASOL','S JOSÉ','SC','624243241327131431416643436124610163187',NULL,'944',24.57,1,3,NULL),(20,5244315,'1992-12-26 00:00:00',2,4,12,2009,'F','N','NAÇÕES','CONCÓRDIA','SC','124243241136131431427639575122610141172',13561,'192',47.55,1,3,NULL),(20,5244323,'1982-06-30 00:00:00',4,1,12,2002,'M','N','SERRARIA','S JOSÉ','SC','124241246146131721123344445233610164047',13681,'739',46.96,1,2,1),(20,5244331,'1992-04-08 00:00:00',4,4,12,2009,'F','N','INTERIOR','IPUMIRIM','SC','124241241112131731313336572224610156147',NULL,'374',28.94,1,3,NULL),(20,5244340,'1985-12-23 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANÓPOLIS','SC','624251241415133431236844345334610137052',12322,'271',53.74,2,1,2),(20,5244358,'1990-04-04 00:00:00',2,1,12,2009,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124242241222122721218713585114231064173',NULL,'9997',22.30,1,3,NULL),(20,5244366,'1985-09-20 00:00:00',2,1,12,2005,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243248337373131448613342134132034187',NULL,'307',28.19,1,3,NULL),(20,5244374,'1981-09-09 00:00:00',4,1,12,1999,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124252253616271111139844445132340761047',10675,'9998',56.91,1,3,NULL),(20,5244382,'1988-03-23 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124246288615111551523379296345610164187',NULL,'9999',22.32,1,3,NULL),(20,5244390,'1988-12-13 00:00:00',2,1,12,2006,'F','N','CENTRO','BAL PIÇARRAS','SC','124241241147134431323421282114610114147',NULL,'614',0.00,1,2,1),(20,5244404,'1991-11-20 00:00:00',4,1,12,2008,'M','N','CENTRO','ENCANTADO','RS','120202201216471431569831575124610167047',1142,'9998',79.72,1,3,NULL),(20,5244412,'1991-02-18 00:00:00',2,1,12,2007,'F','N','ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC','124202201417471431447714345114610128047',15592,'9998',45.93,1,3,NULL),(20,5244420,'1992-04-06 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215151431434632575122610137072',3733,'273',70.13,1,3,NULL),(20,5244447,'1991-08-29 00:00:00',4,8,12,2008,'M','N','IRIRIÚ','JOINVILLE','SC','124242246216272411436634445114610137042',9224,'494',57.80,1,3,NULL),(20,5244455,'1978-06-27 00:00:00',4,1,12,1995,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','224253251316471431236954282112340233182',NULL,'9998',53.70,1,3,NULL),(20,5244463,'1984-10-19 00:00:00',4,1,12,2001,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117373451369923382112333261147',NULL,'267',43.60,2,1,1),(20,5244471,'1981-09-15 00:00:00',2,1,8,2004,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241137274751223623382324610168182',NULL,'306',0.00,1,2,1),(20,5244480,'1990-10-07 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117472431338823572124610124145',10096,'307',55.80,1,2,1),(20,5244498,'1989-08-22 00:00:00',2,8,12,2006,'F','N','SAGUAÇU','JOINVILLE','SC','124241241216433411637721285124610163187',NULL,'486',0.00,2,1,2),(20,5244510,'1988-07-21 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373411236711375124121442185',NULL,'270',23.57,1,3,NULL),(20,5244528,'1989-03-21 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247127141731114449392124610138047',NULL,'736',40.13,1,2,1),(20,5244536,'1984-05-25 00:00:00',2,1,12,2001,'F','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124241241122273731125443432334610122147',15114,'869',44.10,1,2,1),(20,5244544,'1990-02-03 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241211473731467814571124610127112',661,'883',83.45,1,3,NULL),(20,5244552,'1983-05-19 00:00:00',2,1,12,2000,'F','N','FORQUILHAS','S JOSÉ','SC','124241241111371731624611431124610134147',NULL,'732',43.49,1,2,1),(20,5244560,'1987-12-19 00:00:00',2,8,12,2005,'M','N','CAPÃO RASO','CURITIBA','PR','116163161216111421538714345122243237052',NULL,'9998',0.00,1,3,NULL),(20,5244579,'1985-01-17 00:00:00',2,1,12,2003,'M','N','LAGOA DO PERI','FLORIANÓPOLIS','SC','124241247111373431328644342324130237187',NULL,'9999',45.92,4,2,1),(20,5244595,'1991-02-07 00:00:00',2,9,12,2007,'F','N','GERTRUDES','VACARIA','RS','120201201216572431456931571122610167097',3516,'9998',72.09,1,3,NULL),(20,5244609,'1988-12-29 00:00:00',2,1,12,2006,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124241241115231231443331345132610124052',NULL,'298',12.52,1,2,1),(20,5244625,'1990-03-05 00:00:00',4,1,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','116242161216421411483712575124610134017',NULL,'9998',0.00,1,3,NULL),(20,5244633,'1993-12-21 00:00:00',4,1,12,2010,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431478923575122610124072',NULL,'270',31.07,1,3,NULL),(20,5244641,'1991-10-14 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124241241215111432544414372121610132197',10860,'976',56.56,1,3,NULL),(20,5244668,'1988-02-04 00:00:00',4,8,12,2005,'F','N','BUCAREIN','JOINVILLE','SC','124243241216574431436923283111610125187',2138,'1105',75.99,1,3,NULL),(20,5244676,'1987-10-21 00:00:00',4,1,12,2004,'F','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124242241212154711368527395124230262041',NULL,'270',0.00,1,3,NULL),(20,5244684,'1991-09-13 00:00:00',4,6,12,2008,'M','N','CENTRO','ITAJAÍ','SC','124242241215372731557822345121130617052',16171,'392',42.86,1,3,NULL),(20,5244692,'1983-01-25 00:00:00',2,16,12,2000,'M','N','BOM JESUS','CURITIBANOS','SC','124242241212152411356932225132131442055',NULL,'237',31.56,1,3,NULL),(20,5244706,'1991-09-24 00:00:00',4,1,11,2009,'F','N','CENTRO','AGROLÂNDIA','SC','124241241216272731479914574122610142072',5646,'654',66.82,1,3,NULL),(20,5244714,'1983-01-12 00:00:00',4,1,6,2001,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242281411273431189914215122121162042',2313,'9998',75.23,1,3,NULL),(20,5244722,'1987-03-16 00:00:00',4,1,11,2004,'M','N','CAMPINAS','S JOSÉ','SC','124241244127131431126644342213610167057',NULL,'9999',20.59,1,2,1),(20,5244749,'1986-05-06 00:00:00',2,1,12,2004,'M','N','SERRARIA','S JOSÉ','SC','124241241132371441123344241112610114047',NULL,'257',22.17,1,2,1),(20,5244757,'1987-09-10 00:00:00',2,1,11,2007,'M','N','VILA NOVA','IMBITUBA','SC','124241247136472731223541315123610127112',14126,'9999',50.12,4,2,1),(20,5244765,'1988-04-28 00:00:00',3,1,11,2005,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124252251212151411148823442321233266052',NULL,'9998',52.83,1,3,NULL),(20,5244773,'1989-12-26 00:00:00',4,8,12,2006,'M','N','GLÓRIA','JOINVILLE','SC','124242241211572751459931475112133264091',7002,'1063',63.60,1,3,NULL),(20,5244781,'1990-02-02 00:00:00',2,1,12,2007,'F','N','IMIGRANTE','CPO BOM','RS','120204201115572431443412574122610126077',3185,'9998',72.30,1,3,NULL),(20,5244790,'1990-10-03 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124244241412272411538811574224231556172',3390,'962',72.39,1,3,NULL),(20,5244803,'1988-06-09 00:00:00',4,1,12,2005,'F','N','SERRARIA','S JOSÉ','SC','124241241147231711324444242333610132057',NULL,'734',19.24,1,3,NULL),(20,5244820,'1992-09-28 00:00:00',4,1,11,2010,'M','S','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215111431458933595122610122072',NULL,'262',34.08,1,3,NULL),(20,5244838,'1990-12-14 00:00:00',4,4,12,2007,'F','N','CENTRO','MARAVILHA','SC','124243241117133731536739392121231016182',NULL,'552',0.00,1,3,NULL),(20,5244854,'1991-10-29 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241117472431429614575124610164042',9292,'192',57.28,1,3,NULL),(20,5244862,'1987-10-30 00:00:00',2,1,12,2004,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241112272431623334242234610126177',NULL,'307',46.82,1,2,1),(20,5244870,'1991-11-12 00:00:00',2,1,11,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241212371431436414342224143267041',NULL,'210',0.00,1,3,NULL),(20,5244897,'1992-05-15 00:00:00',4,1,12,2009,'M','N','LOTEAMENTO FLAMENGO','MAL CÂNDIDO RONDON','PR','116161161137131411335614395121610145082',NULL,'9998',0.00,1,2,1),(20,5244919,'1988-08-03 00:00:00',2,1,12,2005,'M','N','AREIAS','S JOSÉ','SC','124161161342574451326631572124610164097',767,'9998',82.76,4,3,NULL),(20,5244927,'1987-11-13 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241415474431433611275124610165147',NULL,'1036',26.12,1,3,NULL),(20,5244935,'1992-12-12 00:00:00',2,1,12,2009,'F','N','BOM VIVER','BIGUAÇU','SC','124241241116371431436413575124610127147',NULL,'66',24.42,1,2,1),(20,5244943,'1991-04-09 00:00:00',4,1,12,2008,'F','N','CIDADE ALTA','ALEGRETE','RS','120201201117471411435313472122610166077',NULL,'9998',31.07,1,2,1),(20,5244951,'1991-07-26 00:00:00',4,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124241241115151431646311572222610123143',NULL,'734',0.00,1,2,1),(20,5244960,'1991-04-18 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241117133431666333382114610132182',15459,'267',46.43,1,2,1),(20,5244978,'1992-05-10 00:00:00',2,15,12,2009,'M','N','MAMONAS','ARARANGUÁ','SC','124241248146171231425551225121610114145',NULL,'30',16.66,1,3,NULL),(20,5244986,'1982-10-31 00:00:00',4,4,12,1999,'F','N','CENTRO','S LOURENÇO OESTE','SC','124244241436273421568917425122420636097',2060,'751',75.33,1,3,NULL),(20,5244994,'1987-02-24 00:00:00',4,1,11,2005,'M','N','CENTRO','ERECHIM','RS','120204207437111711335833485225143211147',NULL,'9998',19.67,1,3,NULL),(20,5245001,'1991-05-31 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115472431123341315334122921181',3604,'267',70.76,1,2,1),(20,5245010,'1987-03-06 00:00:00',4,1,12,2005,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241247332374411347711275124221462182',5161,'9999',67.92,1,3,NULL),(20,5245028,'1992-12-28 00:00:00',4,1,12,2009,'F','N','CENTRO','INDIANA','SP','125252251436371441346836574122610126192',9911,'9998',55.78,1,3,NULL),(20,5245044,'1990-09-15 00:00:00',2,1,12,2007,'F','N','CIDADE NOVA','RIO GRANDE','RS','120202201217571731236923595114610166147',NULL,'9998',23.19,1,3,NULL),(20,5245052,'1992-07-21 00:00:00',4,1,11,2009,'M','N','CENTRO','BIGUAÇU','SC','124242241215131431336623575122610117047',NULL,'63',20.63,1,3,NULL),(20,5245079,'1988-04-09 00:00:00',2,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117372431233344345134130227067',NULL,'257',43.64,1,2,1),(20,5245087,'1987-04-24 00:00:00',4,9,12,2004,'F','N','PROGRESSO','RIO SUL','SC','124241241145572431424414245333130664142',NULL,'658',14.76,1,2,1),(20,5245095,'1987-07-01 00:00:00',4,1,12,2005,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242248211472431233821392112132864082',NULL,'1048',21.08,1,3,NULL),(20,5245109,'1983-12-07 00:00:00',2,1,12,2002,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241122273751423344246324131313182',NULL,'257',30.13,1,2,1),(20,5245117,'1987-08-09 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251251217473431327949495224223223186',8695,'9998',57.50,1,3,NULL),(20,5245125,'1967-02-19 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241127472431124444341324610113147',NULL,'922',18.30,1,3,NULL),(20,5245133,'1985-11-22 00:00:00',2,1,6,2008,'M','N','FORQUILHAS','S JOSÉ','SC','124241247137472431536624345124231417142',NULL,'945',43.88,1,2,1),(20,5245141,'1975-09-07 00:00:00',2,1,12,1997,'M','N','IPIRANGA','S JOSÉ','SC','124242247226134721533311445133610117117',NULL,'725',22.49,1,3,NULL),(20,5245168,'1987-04-19 00:00:00',2,1,12,2004,'F','N','MONTE SERRAT','FLORIANÓPOLIS','SC','124241241117273531315369572124610127047',NULL,'277',32.56,1,2,1),(20,5245176,'1992-08-23 00:00:00',2,8,12,2009,'M','N','SERRA ALTA','S BENTO SUL','SC','124241241115271411425312575224610142017',NULL,'697',0.00,1,2,1),(20,5245184,'1983-01-15 00:00:00',2,1,12,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124246248613111551623319292345610154047',NULL,'9999',12.41,2,1,2),(20,5245192,'1988-11-09 00:00:00',2,1,12,2006,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124161161116373231221423285223121766077',12846,'9998',52.66,1,2,1),(20,5245206,'1988-05-13 00:00:00',2,16,12,2000,'F','N','CENTRO','CURITIBANOS','SC','124161168117132731424419472214610121145',16090,'9998',43.49,1,3,NULL),(20,5245214,'1987-09-22 00:00:00',2,1,12,2004,'F','N','PROFILURB','URUGUAIANA','RS','120201201116131431433319472224610164077',14914,'9998',44.44,1,2,1),(20,5245222,'1990-06-08 00:00:00',2,1,2,2008,'F','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124241241116373531443311445124610122147',8751,'739',58.34,1,2,1),(20,5245230,'1990-04-10 00:00:00',2,1,12,2007,'M','N','ARAÇATUBA','IMBITUBA','SC','124241241117472231517311571324610127042',NULL,'361',23.38,1,2,1),(20,5245257,'1986-11-10 00:00:00',2,3,12,2003,'F','N','N SRA DAS GRAÇAS','CANOAS','RS','120202201216571421567632575122342564127',1585,'9998',77.64,1,3,NULL),(20,5245265,'1985-03-22 00:00:00',2,1,12,2002,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241122371431424314345124610126192',16201,'285',42.51,1,2,1),(20,5245281,'1992-06-12 00:00:00',4,3,12,2009,'F','N','JD SÃO FRANSISCO','STO ANTÔNIO PLATINA','PR','116162161215111532438831412125610168142',NULL,'9998',0.00,1,3,NULL),(20,5245290,'1988-08-20 00:00:00',2,1,12,2005,'F','N','ARIRIÚ','PALHOÇA','SC','124241241116573711653533495124610144187',8603,'591',59.68,1,2,1),(20,5245303,'1990-06-29 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124122241215573431469813442122610164142',9768,'269',55.60,1,3,NULL),(20,5245311,'1982-07-03 00:00:00',2,1,12,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124246248615161751623319297345610168057',NULL,'9997',0.00,1,3,NULL),(20,5245320,'1987-10-30 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241127472431524429285114610131197',13319,'298',48.67,1,3,NULL),(20,5245338,'1992-07-04 00:00:00',4,10,11,2009,'M','N','VILA NOVA','IMBITUBA','SC','124243241316112411633519572225610128042',13289,'807',48.29,1,3,NULL),(20,5245346,'1989-04-29 00:00:00',2,1,12,2006,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241116274741524634282124610164147',NULL,'733',46.44,1,2,1),(20,5245354,'1990-05-06 00:00:00',4,9,12,2007,'M','N','PRÓ FLOR','CORREIA PINTO','SC','124241241116151421525619485123610124142',NULL,'201',0.00,1,2,1),(20,5245362,'1985-08-21 00:00:00',2,1,12,2003,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241247122271322228844341334610122192',NULL,'9999',16.40,1,3,NULL),(20,5245370,'1992-08-22 00:00:00',4,17,11,2009,'F','N','VILA NOVA','TRÊS BARRAS','SC','124241241415121431456632342124610122072',NULL,'154',0.00,1,3,NULL),(20,5245389,'1989-02-17 00:00:00',4,1,12,2006,'M','N','PASSA VINTE','PALHOÇA','SC','124241241147271411236644345123610167042',14431,'359',49.41,4,2,1),(20,5245397,'1989-07-21 00:00:00',4,1,11,2006,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124244241415152542569933475121122066035',2357,'951',75.61,1,3,NULL),(20,5245400,'1989-05-19 00:00:00',2,8,12,2006,'F','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116163161115471431537724271124141363072',6185,'9998',64.07,4,3,NULL),(20,5245419,'1992-08-14 00:00:00',4,1,12,2009,'M','N','AREIAS DE MACACU','GAROPABA','SC','124241241127161431424411375124610127117',14131,'322',46.50,1,2,1),(20,5245427,'1991-03-22 00:00:00',2,8,12,2008,'M','N','CENTRO','IMBITUVA','PR','116162161216471431463532275122610137092',3324,'9998',70.61,1,3,NULL),(20,5245443,'1990-04-11 00:00:00',4,1,12,2007,'M','N','CIDADE JARDIM','RIO CLARO','SP','125252251216471411436611575112610167122',7919,'9998',58.15,1,3,NULL),(20,5245451,'1986-03-17 00:00:00',4,5,12,2003,'M','N','CENTRO','MRO FUMAÇA','SC','124241241126372421433619295124231462092',NULL,'567',0.00,1,2,1),(20,5245478,'1989-11-28 00:00:00',2,1,12,2007,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241137142431433374395124230224197',10158,'733',57.87,1,2,1),(20,5245486,'1985-07-03 00:00:00',2,1,12,2004,'M','N','BREJARU','PALHOÇA','SC','124242241427135512411371183321131058177',NULL,'262',35.77,4,3,NULL),(20,5245494,'1989-01-06 00:00:00',2,4,12,2006,'F','N','TRÊS VENDAS','ERECHIM','RS','120201205117141411333833295122242268092',NULL,'9998',22.52,1,2,1),(20,5245508,'1991-12-26 00:00:00',4,1,12,2008,'M','N','CENTRO','CASCAVEL','PR','116162161216572431338431345112610122187',4316,'9998',68.81,1,3,NULL),(20,5245516,'1991-07-16 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116272431566633375114610117147',NULL,'293',39.04,1,2,1),(20,5245524,'1991-02-19 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241112271431424314345124610127142',NULL,'281',26.46,1,2,1),(20,5245532,'1991-03-03 00:00:00',2,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124243241115271411544311492124610114142',9969,'592',55.60,1,3,NULL),(20,5245540,'1987-09-09 00:00:00',2,1,12,2004,'M','N','MORRO DA CRUZ','FLORIANÓPOLIS','SC','124241241116471751344313445333610148047',13725,'307',48.59,1,2,1),(20,5245559,'1991-12-16 00:00:00',4,1,12,2009,'M','N','SAO SEBASTIAO','PALHOÇA','SC','124241241112131331443319342114610117042',NULL,'592',24.73,1,2,1),(20,5245567,'1976-02-01 00:00:00',2,1,12,1993,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224144141412151421266954412122342562195',NULL,'9998',0.00,1,3,NULL),(20,5245575,'1992-08-16 00:00:00',2,1,12,2009,'F','N','CENTRO','ANTÔNIO OLINTO','PR','116161161136161431525614595124610126047',NULL,'9998',19.88,4,2,1),(20,5245583,'1988-01-05 00:00:00',2,4,12,2005,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241127271731333923285124610125147',NULL,'171',0.00,1,2,1),(20,5245591,'1990-05-27 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216372431469614575122610117112',7080,'262',62.44,1,3,NULL),(20,5245605,'1984-03-10 00:00:00',4,1,12,2002,'M','N','KOBRASOL','S JOSÉ','SC','124242241217272431469612215122231464042',8252,'872',61.38,1,3,NULL),(20,5245621,'1992-02-28 00:00:00',4,8,12,2009,'M','N','CENTRO','GUARAMIRIM','SC','124241241146141432223329245121610127052',NULL,'335',24.84,1,3,NULL),(20,5245630,'1992-02-03 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241315373441459933572122610168182',7003,'269',63.72,1,3,NULL),(20,5245648,'1992-03-09 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115471431435623572124610137097',NULL,'295',26.47,1,2,1),(20,5245656,'1978-07-30 00:00:00',2,1,12,1999,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','224241241126131421234374141333610136047',NULL,'307',0.00,1,2,1),(20,5245672,'1987-10-24 00:00:00',4,6,12,2004,'M','N','SÃO VICENTE','ITAJAÍ','SC','124241241112151441633311345114130744142',NULL,'401',0.00,1,2,1),(20,5245699,'1969-07-19 00:00:00',4,1,11,1988,'M','N','CENTRO','UNIÃO VITÓRIA','PR','224242246217155421628843435134120762092',NULL,'494',45.78,1,3,NULL),(20,5245710,'1991-06-10 00:00:00',4,2,11,2008,'F','N','AGUA VERDE','CURITIBA','PR','116112161216471431477632575122610162071',NULL,'9998',30.79,1,3,NULL),(20,5245737,'1989-07-13 00:00:00',4,5,7,2009,'M','N','CENTRO','CRICIÚMA','SC','124244241437131421228411485122610162045',NULL,'920',0.00,1,3,NULL),(20,5245745,'1979-12-22 00:00:00',2,1,12,2000,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241122211431526329382224610112042',NULL,'592',24.16,2,1,1),(20,5245753,'1981-03-25 00:00:00',2,2,12,1999,'M','N','VELHA','BLUMENAU','SC','124241248132135451433144342313610137087',NULL,'840',33.30,4,2,1),(20,5245770,'1990-09-12 00:00:00',4,8,12,2008,'F','N','BRASIL','UBERLÂNDIA','MG','116132131215471731169811585125610161077',1508,'9998',78.84,1,3,NULL),(20,5245788,'1989-11-08 00:00:00',2,5,12,2006,'F','N','CENTRO','MELEIRO','SC','124244241215572431548931571122610122182',5374,'32',67.39,1,3,NULL),(20,5245796,'1986-10-05 00:00:00',2,1,12,2004,'F','N','REAL PARQUE','S JOSÉ','SC','124241241116274431434614385224610166147',10499,'257',55.39,1,2,1),(20,5245800,'1990-06-30 00:00:00',2,1,12,2007,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241215373431456923471114131267072',7869,'270',60.69,1,3,NULL),(20,5245818,'1989-05-01 00:00:00',2,1,6,2010,'F','S','FORQUILHINHAS','S JOSÉ','SC','124241247227141451324344245124610168092',NULL,'1076',26.24,1,3,NULL),(20,5245826,'1988-01-08 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124203201117371431638341245324143212147',NULL,'9998',22.47,1,3,NULL),(20,5245834,'1978-03-31 00:00:00',2,1,12,2004,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124243244325134751431223412214610164043',NULL,'290',26.40,1,3,NULL),(20,5245842,'1990-09-03 00:00:00',2,1,7,2008,'F','N','CENTRO','S JOSÉ','SC','124242251117132421523634242324610125057',NULL,'739',31.94,2,3,NULL),(20,5245869,'1986-04-01 00:00:00',4,1,12,2003,'M','N','BALNEARIO ESTREITO','FLORIANÓPOLIS','SC','124241241217373431378923475122121127062',6616,'270',64.68,1,3,NULL),(20,5245885,'1989-03-10 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124241241125371431233344442124610116142',12993,'730',49.26,1,2,1),(20,5245893,'1989-11-23 00:00:00',4,3,12,2006,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161216571431458931575125610132122',1988,'9998',76.59,1,3,NULL),(20,5245907,'1989-07-18 00:00:00',2,1,12,2006,'M','N','VILA MIRIM','PR GRANDE','SP','125251251117571431533614575115610164044',NULL,'9998',0.00,1,2,1),(20,5245915,'1991-05-18 00:00:00',4,1,11,2008,'M','N','ARMAÇÃO PANT DO SUL','FLORIANÓPOLIS','SC','124243241121472451438621385124610134197',9040,'291',56.58,1,3,NULL),(20,5245923,'1992-10-16 00:00:00',4,4,12,2009,'F','N','JARDIM SANTA MARIA','TOLEDO','PR','116161161116271731546612595121610132077',NULL,'9998',25.20,1,2,1),(20,5245931,'1983-02-21 00:00:00',2,1,12,1999,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241112155731436331315134222367057',3218,'307',72.84,1,3,NULL),(20,5245940,'1989-05-25 00:00:00',2,1,12,2007,'F','N','ESTÂNCIA VELHA','CANOAS','RS','120201201112471431244723575124610166057',NULL,'9998',0.00,1,2,1),(20,5245982,'1993-02-25 00:00:00',2,4,12,2009,'F','N','JARDIM AMÉRICA','PASSO FUNDO','RS','120201201117471431423724345124610124147',NULL,'9998',21.73,4,2,1),(20,5245990,'1989-05-29 00:00:00',4,1,12,2006,'M','N','BONFIM','PTO ALEGRE','RS','120202281217151451269813575114610166042',4354,'9998',69.89,1,3,NULL),(20,5246008,'1992-05-18 00:00:00',4,1,12,2009,'F','N','VILA SANTA LUZIA','S BERNARDO CAMPO','SP','125252251235131431456614575124610126072',NULL,'9998',0.00,1,3,NULL),(20,5246016,'1990-01-25 00:00:00',4,4,12,2007,'M','N','BARRA DO LAJU','MONDAÍ','SC','124241241116131431324411145123610127147',13484,'564',51.41,1,2,1),(20,5246024,'1987-10-24 00:00:00',2,1,11,2005,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241117374411638721445234610127057',NULL,'281',45.74,1,2,1),(20,5246032,'1990-12-02 00:00:00',4,8,12,2007,'F','N','CAMBUCICA','RIQUEZA','SC','124241241116131431433923385124610137057',NULL,'1177',19.92,1,2,1),(20,5246040,'1990-02-03 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241112472411523329341334610137072',NULL,'286',23.44,1,2,1),(20,5246059,'1984-09-22 00:00:00',2,1,12,2003,'F','N','FLORESTA','S JOSÉ','SC','124161161137131421125544145234610127142',NULL,'9998',26.60,1,2,1),(20,5246067,'1991-09-28 00:00:00',2,4,12,2008,'F','N','INTERIOR','DOIS VIZINHOS','PR','116161161116132411434316575114610146147',NULL,'9998',38.18,1,2,1),(20,5246075,'1977-11-09 00:00:00',2,1,12,2003,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243247412133431338944245114610121077',NULL,'9999',19.54,1,3,NULL),(20,5246083,'1991-11-12 00:00:00',4,4,12,2008,'M','N','LÍDER','CHAPECÓ','SC','124241241116271451446513375124610131032',7755,'182',60.86,1,2,1),(20,5246091,'1991-07-06 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115131431438419395124610132042',NULL,'288',21.17,1,2,1),(20,5246105,'1985-04-15 00:00:00',4,1,12,2003,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241117473731524634485124610124083',12045,'281',52.03,1,2,1),(20,5246113,'1992-04-07 00:00:00',2,1,12,2009,'F','N','BREJARU','PALHOÇA','SC','124241241625132431333619572224610131017',12245,'262',51.82,1,3,NULL),(20,5246121,'1988-06-03 00:00:00',2,1,12,2005,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241146131131123348182344610127057',NULL,'288',28.39,4,2,1),(20,5246130,'1992-04-06 00:00:00',4,7,12,2009,'M','N','CENTRO','SALTO VELOSO','SC','124243241115161431426812315112610127042',NULL,'1113',24.59,1,3,NULL),(20,5246148,'1991-03-24 00:00:00',2,1,12,2009,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241115132431435514142124610121147',8890,'64',59.71,1,2,1),(20,5246156,'1990-01-08 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124241241315573431546611595344610116082',7133,'237',62.54,1,3,NULL),(20,5246164,'1986-07-28 00:00:00',2,1,7,2005,'F','N','SERRINHA','FLORIANÓPOLIS','SC','224241241127272721223354342134610144147',NULL,'298',40.27,1,3,NULL),(20,5246172,'1985-10-16 00:00:00',2,1,12,2002,'F','N','APOIO RODOVIARIO','ARIQUEMES','RO','122221221126131431223353285122143126057',NULL,'9998',0.00,1,2,1),(20,5246180,'1986-08-13 00:00:00',2,1,12,2004,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117374531448363495124221467067',6347,'307',65.23,1,2,1),(20,5246199,'1993-08-26 00:00:00',4,1,2,2011,'M','S','VILA NOVA','IMBITUBA','SC','124243243116131431336611595124610142152',NULL,'359',30.25,1,3,NULL),(20,5246202,'1976-03-15 00:00:00',4,1,12,1999,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124201241124273411223329412224610131057',NULL,'285',0.00,1,2,1),(20,5246210,'1987-06-01 00:00:00',4,1,12,2004,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124251253126271321125621341334131036117',NULL,'9998',30.59,1,2,1),(20,5246229,'1991-02-04 00:00:00',2,5,11,2008,'M','N','SANTA BARBARA','CRICIÚMA','SC','124242241215472431258823572112610167067',5004,'210',67.76,1,3,NULL),(20,5246245,'1990-11-10 00:00:00',2,1,12,2007,'M','N','DESVIO RIZZO','CAXIAS SUL','RS','120202201216573441446611572125610138192',950,'9998',80.94,1,3,NULL),(20,5246253,'1986-01-05 00:00:00',2,1,11,2003,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124131138122341711123144242334330227142',NULL,'9998',0.00,4,2,1),(20,5246261,'1992-07-30 00:00:00',2,1,12,2009,'M','N','BELA VISTA','PTO ALEGRE','RS','120202201217111432338713235124610117112',NULL,'9998',0.00,1,3,NULL),(20,5246270,'1989-03-11 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124201201117131441536774245114140262117',NULL,'9998',25.93,2,2,1),(20,5246296,'1991-01-18 00:00:00',4,8,11,2008,'F','N','CENTRO','S BENTO SUL','SC','124243241214371411358612575122610125076',6638,'1073',62.71,1,3,NULL),(20,5246300,'1989-05-15 00:00:00',4,1,12,2007,'F','N','PATAMARES','SALVADOR','BA','105052051217572311538837575124610164142',7565,'9998',62.62,2,1,2),(20,5246318,'1985-10-23 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124134131136271431327779285124610162097',12527,'9998',49.45,1,3,NULL),(20,5246334,'1992-03-03 00:00:00',2,16,12,2008,'F','N','CENTRO','LEBON RÉGIS','SC','124243241315472431546732575114610124147',5999,'120',63.84,1,3,NULL),(20,5246342,'1991-07-03 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241116152441216629575115130866177',7052,'49',62.02,1,2,1),(20,5246350,'1992-09-23 00:00:00',4,10,12,2009,'F','N','BELA VISTA','S LUDGERO','SC','124241241116271231433614435124610132052',NULL,'748',29.79,1,2,1),(20,5246369,'1987-10-07 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241243116334421433912495122230717045',NULL,'840',25.67,1,2,1),(20,5246377,'1989-10-23 00:00:00',2,6,12,2006,'F','N','CENTRO','ERECHIM','RS','124202201215572431246613572124610133157',6120,'9998',64.00,1,3,NULL),(20,5246385,'1991-11-08 00:00:00',2,8,12,2008,'F','N','CENTRO','MATINHOS','PR','116161161117131732526614342121243267145',NULL,'9998',0.00,1,3,NULL),(20,5246393,'1985-03-03 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115373331226644245114610124057',NULL,'307',42.33,2,1,1),(20,5246415,'1986-05-14 00:00:00',2,1,11,2003,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124251251136373431126621485314610161117',9774,'9998',58.61,4,2,1),(20,5246423,'1992-05-12 00:00:00',4,4,12,2009,'F','N','CENTRO','NOVA ERECHIM','SC','124241241116271431436923375122610127057',NULL,'572',20.54,1,2,1),(20,5246431,'1992-12-28 00:00:00',4,1,11,2009,'M','N','CENTRO','DOURADOS','MS','116162161211111211489612274111610122012',3004,'9998',73.05,1,3,NULL),(20,5246440,'1978-06-27 00:00:00',2,1,12,1996,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241121433221211479292224221763172',15580,'294',45.95,1,2,1),(20,5246466,'1992-12-04 00:00:00',4,4,12,2009,'M','N','INTERIOR','S CARLOS','SC','124241241132161531434923575124610127047',NULL,'704',27.34,1,2,1),(20,5246474,'1988-12-23 00:00:00',4,6,12,2005,'M','N','CENTRO','ITAJAÍ','SC','124241241326152531326623385122230837047',NULL,'781',0.00,1,3,NULL),(20,5246482,'1984-05-04 00:00:00',2,7,12,2001,'M','N','INDUSTRIARIOS','CONCÓRDIA','SC','124241241112371531423413442123610124187',NULL,'192',27.33,1,2,1),(20,5246490,'1989-11-30 00:00:00',4,1,12,2007,'F','N','JARDIM VITÓRIA','BELO HORIZONTE','MG','113131131137371451423329282324610127187',NULL,'9998',25.22,1,2,1),(20,5246504,'1963-01-07 00:00:00',2,1,12,2007,'F','N','PICADAS DO SUL','S JOSÉ','SC','524241247125472421435544142214610116183',NULL,'9999',22.67,2,2,1),(20,5246512,'1992-08-22 00:00:00',4,1,12,2009,'M','N','VILA JARDIM','PTO ALEGRE','RS','120202201217111431488913575122610117093',NULL,'9998',NULL,1,3,NULL),(20,5246520,'1984-09-16 00:00:00',4,1,12,2003,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124163168311132431226744342124131026197',NULL,'9998',17.80,1,3,NULL),(20,5246539,'1990-12-23 00:00:00',2,1,12,2008,'M','N','BOM VIVER','BIGUAÇU','SC','124241241126372431425324145123610131022',NULL,'66',26.32,4,2,1),(20,5246547,'1992-06-24 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','224251241122151411123363282124610114092',NULL,'732',26.97,1,2,1),(20,5246555,'1989-03-05 00:00:00',2,1,12,2006,'M','N','CAMINHO NOVO','PALHOÇA','SC','124243241226131421556644341224610112017',NULL,'262',29.84,1,3,NULL),(20,5246563,'1992-06-14 00:00:00',4,6,12,2009,'M','N','STEFFEN','BRUSQUE','SC','124241241111371551425514291124610114042',NULL,'111',0.00,1,2,1),(20,5246571,'1991-04-23 00:00:00',4,1,12,2008,'F','N','SANTA ISABEL','PNT PORÃ','MS','112122121217271431446616372122610123072',9735,'9998',56.58,3,3,NULL),(20,5246598,'1991-10-18 00:00:00',4,9,5,2009,'M','N','CENTRO','LAGES','SC','624242281417371431488831475125610164012',8464,'9998',60.25,1,3,NULL),(20,5246601,'1988-03-31 00:00:00',4,1,12,2005,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241236132731426624375124131063117',NULL,'1048',11.04,1,3,NULL),(20,5246610,'1984-02-07 00:00:00',4,1,12,2001,'M','N','AREIAS','S JOSÉ','SC','124204121211251431155611345112141067047',NULL,'9998',NULL,1,3,NULL),(20,5246636,'1986-06-26 00:00:00',2,10,12,2003,'M','N','VILA FLOR','CAPIVARI BAIXO','SC','124241241132374431433311575114610117047',NULL,'158',44.82,1,2,1),(20,5246644,'1990-03-22 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116162168217471411389811575112141034042',16266,'9998',41.46,1,3,NULL),(20,5246652,'1988-07-23 00:00:00',2,1,12,2008,'F','N','RIO GRANDE','PALHOÇA','SC','124241241146471711632239345234610124187',NULL,'591',41.49,1,3,NULL),(20,5246660,'1991-03-20 00:00:00',4,1,12,2008,'F','N','GLEBA PALHANO','LONDRINA','PR','116282281416471411489933572122610123017',NULL,'9998',0.00,1,3,NULL),(20,5246679,'1972-07-15 00:00:00',2,1,7,1991,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','624201207411131421326474115132143237117',NULL,'9998',25.85,4,3,NULL),(20,5246687,'1992-09-30 00:00:00',2,3,12,2009,'F','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','124244241215151431379813475111610135012',NULL,'1086',24.73,1,3,NULL),(20,5246695,'1989-09-24 00:00:00',4,9,12,2006,'F','N','SAGRADO C JESUS','LAGES','SC','124243241216574431449614575122233238092',NULL,'499',32.73,1,3,NULL),(20,5246709,'1992-09-28 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117371731437611475121610137062',NULL,'295',20.93,1,2,1),(20,5246717,'1987-03-07 00:00:00',2,8,11,2004,'F','N','CENTRO','CASCAVEL','PR','116162161216371451438719491345141467047',NULL,'9998',39.84,1,3,NULL),(20,5246725,'1992-09-04 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241215111431566634572122610137052',NULL,'1078',21.22,1,3,NULL),(20,5246733,'1991-08-28 00:00:00',4,10,12,2008,'M','N','MAR GROSSO','LAGUNA','SC','124241241212471412363312294124610142092',8858,'525',58.83,1,3,NULL),(20,5246741,'1991-06-19 00:00:00',5,1,7,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215371431469933572111610162092',2227,'270',76.05,1,3,NULL),(20,5246750,'1990-12-16 00:00:00',2,5,6,2008,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124241241217372431525621241134610134142',14063,'995',48.23,1,3,NULL),(20,5246768,'1992-06-08 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124243241415121431226654345124610166095',NULL,'734',29.74,1,3,NULL),(20,5246776,'1992-12-22 00:00:00',4,9,12,2009,'M','N','VILA NOVA','LAGES','SC','124241241114231431226923595125610124047',15710,'935',42.97,1,2,1),(20,5246784,'1984-04-27 00:00:00',4,1,12,2004,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241127371421324411191321610134027',12433,'287',51.48,4,2,1),(20,5246792,'1992-08-17 00:00:00',4,1,11,2009,'M','N','SOROCABA','PAULO LOPES','SC','124241243147131411424313582124610127052',NULL,'607',18.98,1,3,NULL),(20,5246806,'1990-01-26 00:00:00',2,1,8,2008,'M','N','AREIAS','S JOSÉ','SC','124241247117132411625121282324231037142',NULL,'65',41.90,1,2,1),(20,5246814,'1992-12-04 00:00:00',2,4,12,2009,'F','N','CAIBI','CAIBI','SC','124241248112131732426934572345610127072',NULL,'127',NULL,1,2,1),(20,5246822,'1990-05-07 00:00:00',4,1,12,2008,'M','N','JARDIM EUROPA','MARÍLIA','SP','125252251216371431448612575124610127127',NULL,'9998',25.40,1,3,NULL),(20,5246830,'1992-08-05 00:00:00',4,4,12,2009,'F','N','JARDIM AMÉRICA','CHAPECÓ','SC','124241241115371431436614575124610137127',NULL,'169',24.54,1,3,NULL),(20,5246857,'1992-03-10 00:00:00',4,4,12,2009,'F','N','INTERIOR','NOVA ERECHIM','SC','124241241125141432626615385122610137052',NULL,'572',18.45,1,2,1),(20,5246865,'1991-01-08 00:00:00',4,1,11,2009,'M','N','BARRA SUL','BAL CAMBORIÚ','SC','124242247235471431427631242224610138045',NULL,'44',0.00,1,3,NULL),(20,5246873,'1990-09-09 00:00:00',4,8,11,2008,'M','N','PIRABEIRABA','JOINVILLE','SC','124242241214571411636862275324231444197',2264,'459',75.12,4,3,NULL),(20,5246881,'1978-01-19 00:00:00',2,1,12,1995,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224201206116234431245544242123130447047',NULL,'9998',0.00,1,2,1),(20,5246890,'1992-08-05 00:00:00',4,5,12,2009,'F','N','CANUDO','ORLEANS','SC','124242241216111431468914575112610138192',13729,'820',47.63,1,3,NULL),(20,5246903,'1991-05-22 00:00:00',4,3,12,2008,'M','N','PONTA COMPRIDA','GUARAMIRIM','SC','124241241126372441333311145223610125071',8925,'337',56.15,1,2,1),(20,5246911,'1989-10-03 00:00:00',4,4,11,2006,'F','N','CENTRO','CASCAVEL','PR','116162161217574332548831281125610122122',NULL,'9998',0.00,1,3,NULL),(20,5246920,'1990-01-29 00:00:00',4,8,12,2007,'F','N','VILA ANGELICA','SOROCABA','SP','125251251215131431446629574124610143182',NULL,'9998',0.00,3,3,NULL),(20,5246938,'1987-07-01 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251251127211411413679182324610128052',NULL,'9998',22.17,1,2,1),(20,5246946,'1993-02-16 00:00:00',4,1,12,2009,'M','N','ARIRIÚ','PALHOÇA','SC','124241241115472431448513272124610162141',6882,'592',63.37,1,2,1),(20,5246954,'1987-08-18 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247432131431633434272124610168167',NULL,'9999',27.26,1,3,NULL),(20,5246962,'1990-05-02 00:00:00',2,1,12,2007,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241115474431235364392222610163147',NULL,'257',41.27,4,1,1),(20,5246970,'1991-12-10 00:00:00',4,8,12,2008,'F','N','CENTRO','JOINVILLE','SC','124242241215472441578813572122610166172',NULL,'1063',0.00,1,3,NULL),(20,5246997,'1989-03-11 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215273431438939575124221467064',6508,'266',64.90,1,3,NULL),(20,5247004,'1992-07-07 00:00:00',4,8,11,2009,'F','N','GUANABARA','JOINVILLE','SC','124242241216111311489933575122610127062',4051,'457',70.73,1,3,NULL),(20,5247012,'1989-01-19 00:00:00',4,4,12,2006,'F','N','CENTRO','CARAZINHO','RS','120203201216572431549714571115610136092',5397,'9998',65.74,1,3,NULL),(20,5247020,'1991-09-05 00:00:00',2,1,11,2008,'F','N','BELA VISTA','S JOSÉ','SC','124241241112471421426613572124610132077',NULL,'257',22.72,2,1,1),(20,5247039,'1965-10-17 00:00:00',2,1,6,1992,'M','N','VILA SANTANA','STO AMARO IMPERATRIZ','SC','224241247436133711523344141231121967187',NULL,'9999',0.00,1,3,NULL),(20,5247063,'1993-05-17 00:00:00',4,3,11,2010,'F','S','CENTRO','BAL CAMBORIÚ','SC','124242241215111331475712471122610164122',NULL,'9997',46.56,1,3,NULL),(20,5247071,'1991-12-20 00:00:00',2,7,12,2009,'F','N','LINHA CASTELHANO','JABORÁ','SC','124241241114271431324316252324610131177',NULL,'418',43.08,1,2,1),(20,5247080,'1990-06-30 00:00:00',2,8,12,2007,'F','N','CRUZEIRO','RIO NEGRINHO','SC','124241241116161731336414385112610131177',13884,'669',50.59,1,2,1),(20,5247098,'1991-04-11 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124242241216111431336612572122610123013',15973,'1175',41.94,1,3,NULL),(20,5247110,'1968-03-16 00:00:00',2,1,6,1987,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','224241246121132411424613231334610162033',16014,'306',44.02,1,3,NULL),(20,5247128,'1988-06-30 00:00:00',2,4,11,2005,'F','N','CENTRO','STA MARIA','RS','124241241347571431668939575124610122097',600,'120',83.85,1,3,NULL),(20,5247144,'1992-05-08 00:00:00',4,8,12,2009,'M','N','SAGUAÇU','JOINVILLE','SC','116242161215121231489814575115610164096',2202,'9998',74.17,1,3,NULL),(20,5247152,'1993-03-02 00:00:00',4,1,12,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242241215111431469933575122610134142',NULL,'737',58.26,1,3,NULL),(20,5247160,'1983-12-09 00:00:00',4,8,12,2001,'F','N','VILA NOVA','JOINVILLE','SC','124241244121131731224449341124610123172',NULL,'477',24.72,4,3,NULL),(20,5247179,'1990-01-29 00:00:00',2,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241127371412333314241334610124047',NULL,'307',26.09,1,2,1),(20,5247195,'1984-07-28 00:00:00',2,1,12,2002,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241112144732644419492114610127147',NULL,'257',25.90,1,3,NULL),(20,5247209,'1980-03-31 00:00:00',2,1,12,1998,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124251251112155441116541315114610127052',11353,'9998',55.59,1,2,1),(20,5247217,'1992-11-15 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241112131431236723575124610161072',NULL,'298',45.07,1,2,1),(20,5247225,'1993-11-23 00:00:00',4,8,11,2010,'F','S','VILA NOVA','JARAGUÁ SUL','SC','124242241215151751439614592122610122147',NULL,'424',28.65,1,3,NULL),(20,5247233,'1990-03-13 00:00:00',4,2,12,2007,'F','N','CENTRO','RODEIO','SC','124243241214372431538813572124133228187',14121,'940',47.27,3,3,NULL),(20,5247241,'1976-08-31 00:00:00',4,1,12,1993,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','224201203226371431336644345224140837183',NULL,'9998',22.43,1,3,NULL),(20,5247250,'1982-10-09 00:00:00',2,1,5,2002,'F','N','KOBRASSOL','S JOSÉ','SC','124243246136145431236644245124230223097',11952,'306',50.40,1,3,NULL),(20,5247268,'1990-04-03 00:00:00',4,8,12,2007,'M','N','BOA VISTA','JOINVILLE','SC','124242246215572431538912475112610162186',1469,'494',77.15,1,3,NULL),(20,5247276,'1991-09-21 00:00:00',2,1,11,2008,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241113472431323319573124610115197',NULL,'257',56.90,1,2,1),(20,5247292,'1980-11-25 00:00:00',2,1,12,1998,'F','N','SERRINHA','FLORIANÓPOLIS','SC','424251251122133421425441212124232246192',16303,'9998',40.34,4,2,1),(20,5247306,'1981-10-04 00:00:00',2,1,11,2009,'M','N','DANIELA','FLORIANÓPOLIS','SC','424243247247131722324444146323610134182',NULL,'977',22.24,1,3,NULL),(20,5247314,'1992-12-28 00:00:00',2,7,12,2009,'F','N','INTERIOR','OURO','SC','124241241115471431643315374314610164147',12649,'585',51.21,1,2,1),(20,5247322,'1987-12-26 00:00:00',2,1,12,2005,'M','N','IPIRANGA','S JOSÉ','SC','124241241116131421433319346222230834047',15519,'734',46.23,2,1,1),(20,5247330,'1989-11-14 00:00:00',2,1,12,2007,'F','N','BREJARU','PALHOÇA','SC','124241241112472431436311482314610146177',7798,'257',61.06,1,2,1),(20,5247349,'1985-06-25 00:00:00',4,1,12,2002,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241216152221146643435124320647057',4452,'486',69.66,1,3,NULL),(20,5247357,'1990-08-07 00:00:00',2,6,12,2008,'M','N','VILA OPRERÁRIA','ITAJAÍ','SC','124242241235472431438719595121610124097',NULL,'392',25.39,1,3,NULL),(20,5247365,'1992-05-29 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124243241115471431435634575112610127051',NULL,'733',19.32,1,3,NULL),(20,5247373,'1989-11-13 00:00:00',2,2,11,2005,'M','N','CENTRO','BRUSQUE','SC','124241241116131411323326581124231644147',NULL,'777',0.00,1,2,1),(20,5247381,'1992-10-17 00:00:00',4,6,11,2010,'F','S','MEIA PRAIA','ITAPEMA','SC','124244241216111431356813575125610162191',NULL,'270',49.41,4,3,NULL),(20,5247390,'1990-08-29 00:00:00',4,1,12,2008,'M','N','NOVA HIGIENOPOLIS','JANDIRA','SP','125252251215471431589931575122610124047',1867,'9998',75.92,1,3,NULL),(20,5247403,'1992-12-03 00:00:00',2,10,12,2009,'M','N','CENTRO','JAGUARUNA','SC','124241241115371431528613582124610137052',3563,'1034',71.98,1,2,1),(20,5247411,'1991-01-03 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216142431369813415122231023127',11705,'270',54.93,1,3,NULL),(20,5247420,'1983-11-11 00:00:00',4,1,12,2001,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217375431336629245134610164082',9566,'272',58.96,1,3,NULL),(20,5247438,'1991-09-26 00:00:00',4,9,12,2008,'M','N','UNIVERSITÁRIO','LAGES','SC','124243241212473231369951342122610164057',1886,'497',77.31,1,3,NULL),(20,5247446,'1992-11-03 00:00:00',4,2,12,2009,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215111731447831215122610134147',NULL,'71',29.81,1,3,NULL),(20,5247462,'1991-09-27 00:00:00',4,1,12,2008,'M','N','INFANTE DOM HENRIQUE','BAURU','SP','125252251217471431437712375122610137072',2438,'9998',73.75,1,3,NULL),(20,5247470,'1984-12-19 00:00:00',4,1,12,2002,'M','N','VILA NOVA','MAFRA','SC','124241241117271431423334342314610144172',NULL,'545',32.31,1,2,1),(20,5247489,'1993-10-25 00:00:00',4,1,12,2009,'F','N','CENTRO','ARROIO MEIO','RS','120204201316271131458932425122610134012',NULL,'9998',0.00,1,3,NULL),(20,5247497,'1988-06-29 00:00:00',4,1,12,2005,'F','N','ALTO DA BOA VISTA','ROLÂNDIA','PR','116162161215572431568712472112610132077',2159,'9998',75.23,1,3,NULL),(20,5247500,'1977-03-22 00:00:00',2,1,12,2005,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624241241114161551623319296345610164187',NULL,'9999',0.00,1,2,1),(20,5247519,'1992-11-09 00:00:00',4,1,12,2009,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241116131431523324575124610128187',NULL,'293',24.47,2,1,1),(20,5247527,'1992-01-03 00:00:00',2,1,12,2008,'F','N','BELA SUIÇA','LONDRINA','PR','116112161215471431476616582125610133042',NULL,'9998',28.04,1,3,NULL),(20,5247535,'1993-02-01 00:00:00',4,7,12,2009,'F','N','CENTRO','CURITIBA','PR','116241161215472731446639574125610124142',NULL,'9998',47.72,1,3,NULL),(20,5247551,'1992-05-17 00:00:00',2,1,12,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241216161751466613395114610168057',NULL,'724',29.27,1,3,NULL),(20,5247560,'1993-02-23 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241115471711428613476124610165147',15904,'288',43.58,1,2,1),(20,5247578,'1991-05-07 00:00:00',4,2,12,2008,'F','N','CAPITAIS','TIMBÓ','SC','124241241416372331536611385124610136145',NULL,'1157',41.00,1,3,NULL),(20,5247594,'1992-10-13 00:00:00',4,4,12,2009,'M','N','CENTRO','LARANJEIRAS SUL','PR','116161161416111431548912245121610134172',NULL,'9998',25.47,1,3,NULL),(20,5247608,'1993-09-28 00:00:00',2,6,12,2010,'F','S','CENTRO','BAL CAMBORIÚ','SC','124244241215121431458714192122610124142',NULL,'44',11.61,1,3,NULL),(20,5247616,'1992-03-18 00:00:00',4,2,12,2008,'M','N','CENTRO','BLUMENAU','SC','124242241216372411579911375111610167112',2946,'855',72.35,1,3,NULL),(20,5247624,'1993-07-03 00:00:00',2,4,12,2010,'F','S','MARIA GORETTI','CHAPECÓ','SC','124242241217151531478923431112610134052',NULL,'168',16.05,1,3,NULL),(20,5247632,'1992-08-08 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215221431538813575124610121171',NULL,'44',27.99,4,3,NULL),(20,5247640,'1992-04-18 00:00:00',4,9,12,2009,'F','N','CENTRO','S MARCOS','RS','120201201137471431334674275125610163017',15439,'9998',44.30,1,2,1),(20,5247659,'1992-02-14 00:00:00',4,2,12,2009,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215371431578732575122610163072',NULL,'909',0.00,1,3,NULL),(20,5247667,'1979-03-27 00:00:00',2,15,12,1990,'F','N','URUSSAGUINHA','ARARANGUÁ','SC','124241241127131431623374382121610143187',NULL,'29',0.00,1,3,NULL),(20,5247675,'1984-11-28 00:00:00',2,1,12,2001,'M','N','KOBRASOL','S JOSÉ','SC','224201201116472441236643435132121024057',6485,'9998',64.95,1,2,1),(20,5247691,'1991-05-04 00:00:00',2,1,11,2008,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241112473431433334375124610133147',13188,'281',48.65,1,2,1),(20,5247713,'1990-10-30 00:00:00',2,1,11,2008,'M','N','KOBRASOL','S JOSÉ','SC','124244241215473431646531572124610162092',2443,'723',74.02,1,3,NULL),(20,5247721,'1992-07-20 00:00:00',2,9,12,2009,'F','N','PENHA','LAGES','SC','124241241115271431324432571122610121097',NULL,'505',18.43,1,2,1),(20,5247730,'1990-04-24 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116133431216529382124121434083',11244,'307',55.83,1,2,1),(20,5247748,'1992-09-01 00:00:00',4,7,12,2009,'M','N','JARDIM AMÉRICA','ASSIS CHATEAUBRIAND','PR','116161161117131232336914575121610137017',12473,'9998',49.42,4,2,1),(20,5247756,'1992-12-28 00:00:00',2,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124241241113161411423823573324610117172',NULL,'740',29.92,1,2,1),(20,5247764,'1993-03-07 00:00:00',4,8,11,2009,'M','N','GLÓRIA','JOINVILLE','SC','124243241215121331344923572324610124042',282,'1016',86.81,1,3,NULL),(20,5247772,'1992-06-20 00:00:00',2,4,12,2009,'F','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124162201215271451464812592124610138147',5163,'9998',67.03,1,3,NULL),(20,5247780,'1993-12-19 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241115151231536624572124610164182',NULL,'307',28.39,1,3,NULL),(20,5247799,'1987-05-15 00:00:00',2,1,7,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124251247427373411226841211324610128177',15776,'9999',42.98,1,3,NULL),(20,5247802,'1985-09-08 00:00:00',4,5,12,2002,'M','N','BALNEÁRIO RINCÃO','IÇARA','SC','124241241112151451366822225322331427117',NULL,'209',0.00,1,2,1),(20,5247829,'1992-03-18 00:00:00',2,1,11,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111752247649596114610168142',NULL,'1022',29.75,1,3,NULL),(20,5247845,'1988-04-05 00:00:00',2,15,10,2009,'M','N','SANTA LUZIA','TURVO','SC','124241241116471351355511145132610167142',NULL,'9999',19.74,1,2,1),(20,5247853,'1990-09-01 00:00:00',4,8,12,2007,'F','N','SERRA ALTA','S BENTO SUL','SC','124241241116271711313428381324610113152',NULL,'694',0.00,1,2,1),(20,5247861,'1990-10-04 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124201201116371431323321571124233238185',NULL,'9998',0.00,1,2,1),(20,5247870,'1991-11-17 00:00:00',4,1,11,2009,'M','N','CENTRO','PALHOÇA','SC','124242241635111431357813214121610137117',NULL,'1011',34.88,1,3,NULL),(20,5247888,'1987-01-07 00:00:00',4,8,12,2004,'F','N','JD ROLLO','ARARAS','SP','125252251236151131348824385122340627184',13907,'9998',50.55,1,3,NULL),(20,5247896,'1979-08-15 00:00:00',2,1,12,2004,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124246248612111751623319292345610168087',11934,'9999',54.49,1,3,NULL),(20,5247900,'1991-08-25 00:00:00',4,1,12,2008,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241122272411623337385124611437047',NULL,'279',29.12,4,2,1),(20,5247918,'1983-12-20 00:00:00',2,1,12,2001,'F','N','KOBRASOL','S JOSÉ','SC','224201201117472441233353332132121036197',7001,'9998',63.82,1,2,1),(20,5247934,'1991-10-21 00:00:00',4,15,12,2008,'F','N','LAGOÃO','ARARANGUÁ','SC','124241241116132712226514345121610127047',NULL,'30',21.67,1,2,1),(20,5247942,'1993-02-02 00:00:00',2,4,11,2009,'M','N','CENTRO','VITORINO','PR','116164161215111431436935575122610163062',NULL,'9998',40.92,1,3,NULL),(20,5247950,'1992-10-16 00:00:00',4,3,11,2009,'M','N','MORRETES','ITAPEMA','SC','124241241116371731446732575124610144147',7237,'406',60.68,1,3,NULL),(20,5247969,'1989-05-29 00:00:00',2,1,12,2006,'M','N','CENTRO','VL MARIA','RS','120201201136371431336673292124610137047',NULL,'9998',28.65,1,3,NULL),(20,5247977,'1992-02-15 00:00:00',2,7,12,2009,'F','N','INTERIOR','LUZERNA','SC','124241241115141531673636385124610131077',NULL,'539',0.00,1,2,1),(20,5247985,'1985-03-02 00:00:00',4,1,12,2002,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124143141316473431123341115122220763182',8543,'9998',60.84,1,3,NULL),(20,5247993,'1990-08-12 00:00:00',2,7,12,2008,'M','N','INTERIOR','LACERDÓPOLIS','SC','124241248126132231423315152225610157067',NULL,'496',0.00,1,2,1),(20,5248000,'1985-12-08 00:00:00',2,1,12,2003,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','224241241132273421423344342124610127112',NULL,'294',0.00,1,2,1),(20,5248019,'1992-01-09 00:00:00',4,8,12,2009,'F','N','VILA LALAU','JARAGUÁ SUL','SC','124242241215111511358632274114610136092',15777,'442',45.17,1,3,NULL),(20,5248027,'1988-01-18 00:00:00',2,3,12,2005,'F','N','AREIAS','CAMBORIÚ','SC','124241241136373431223314275224610125097',11456,'130',54.00,2,1,1),(20,5248035,'1992-08-20 00:00:00',2,1,12,2009,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241117271431426527575124610127042',7306,'739',61.61,1,2,1),(20,5248051,'1987-09-28 00:00:00',2,17,12,2005,'F','N','SÃO CRISTÓVÃO','PAPANDUVA','SC','124241241116131741532411482322610158072',NULL,'603',25.82,1,2,1),(20,5248060,'1992-09-18 00:00:00',4,1,12,2009,'F','N','UVARANAS','PNT GROSSA','PR','116162161217471431448834574122610134192',1889,'9998',76.91,1,3,NULL),(20,5248078,'1988-04-12 00:00:00',4,1,12,2006,'M','N','VILA NOVA','IMBITUBA','SC','124241241311131431226944241224610117117',NULL,'359',26.05,1,3,NULL),(20,5248086,'1990-06-11 00:00:00',2,1,11,2007,'F','N','CAMPINAS','S JOSÉ','SC','124243241216372531555624485114610163182',8883,'266',60.18,1,3,NULL),(20,5248094,'1991-01-17 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241125472451427914472324610122112',13468,'274',47.32,1,3,NULL),(20,5248108,'1992-02-07 00:00:00',4,1,11,2009,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241211112732446632322114610117097',3794,'1022',71.39,4,3,NULL),(20,5248116,'1991-09-21 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241135271231523339292324610127052',NULL,'127',0.00,4,3,NULL),(20,5248124,'1992-10-03 00:00:00',2,1,12,2009,'M','N','SÃO CRISTÓVÃO','GRACIOSA','PR','116164161215111431444415572124610134012',NULL,'9998',0.00,1,3,NULL),(20,5248132,'1990-09-11 00:00:00',4,1,12,2007,'F','N','CENTRO','CASCAVEL','PR','116162161215571441448613435122610132072',10889,'9998',56.04,1,3,NULL),(20,5248159,'1976-06-07 00:00:00',2,1,6,1996,'M','N','PASSA VINTE','PALHOÇA','SC','124243247222131411323319182324610135183',NULL,'596',13.74,4,3,NULL),(20,5248167,'1990-05-13 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241117273431426624375114610167042',12304,'739',53.77,1,3,NULL),(20,5248175,'1991-11-25 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117161411259923575124610167115',6677,'267',63.47,1,2,1),(20,5248183,'1993-03-03 00:00:00',4,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215152431347821375122610143062',7864,'723',58.58,1,3,NULL),(20,5248191,'1989-09-21 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241211153731324623471122233265042',NULL,'1022',37.09,1,3,NULL),(20,5248205,'1988-08-27 00:00:00',2,1,12,2006,'M','N','LEBLON','RIO JANEIRO','RJ','121212211226152731467814575124241437092',8498,'9998',58.07,1,3,NULL),(20,5248213,'1992-05-25 00:00:00',2,4,12,2009,'M','N','INTERIOR','PAIM FILHO','RS','124201242116131431336823575122610137052',NULL,'196',32.69,1,2,1),(20,5248221,'1980-01-29 00:00:00',2,1,12,2006,'M','N','AGRONIMICA','FLORIANÓPOLIS','SC','124246248613111751623319292345610168197',NULL,'9999',0.00,1,3,NULL),(20,5248230,'1990-08-13 00:00:00',2,2,12,2007,'F','N','CENTRO','BOTUVERÁ','SC','124241241127272711537611335124610131117',NULL,'98',27.72,1,2,1),(20,5248248,'1993-01-07 00:00:00',4,9,11,2009,'F','N','CORAL','LAGES','SC','124242241215132211336711175122610164142',9257,'497',56.62,1,3,NULL),(20,5248256,'1988-06-18 00:00:00',2,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124252241235574451387929572122610115082',NULL,'1118',33.75,1,3,NULL),(20,5248264,'1993-01-11 00:00:00',2,15,12,2009,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241115131231626411142344610142047',NULL,'30',22.92,1,2,1),(20,5248272,'1993-02-23 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241115471711428613475124610162147',NULL,'288',26.85,1,2,1),(20,5248299,'1991-12-25 00:00:00',4,1,12,2009,'F','N','BELA VISTA I','S JOSÉ','SC','124243241115131411426314342124610164142',NULL,'257',23.64,1,3,NULL),(20,5248329,'1992-02-04 00:00:00',2,16,12,2008,'M','N','INTERIOR','CURITIBANOS','SC','124241241115472431414415272224610127043',NULL,'239',25.90,1,2,1),(20,5248353,'1993-03-31 00:00:00',4,4,12,2009,'M','N','CINQUENTENARIO','CONCÓRDIA','SC','124241241115151431439834575122610127042',NULL,'192',0.00,1,2,1),(20,5248361,'1989-10-19 00:00:00',4,1,12,2007,'F','N','SÃO JOÃO','STA MARIA','RS','120204201116571431433833572122610134192',11987,'9998',54.40,1,3,NULL),(20,5248388,'1993-01-06 00:00:00',2,1,12,2009,'M','N','RATONES','FLORIANÓPOLIS','SC','124241241115131631416424342324610167047',NULL,'288',27.43,1,2,1),(20,5248400,'1992-07-09 00:00:00',2,15,12,2009,'M','N','IGRA NORTE','TORRES','RS','120201201115131431325511212121610138187',NULL,'9998',0.00,1,2,1),(20,5248418,'1991-06-30 00:00:00',2,9,12,2008,'M','N','PROGRESSO','POUSO REDONDO','SC','124241241116471431236823485124610134057',NULL,'640',24.58,1,2,1),(20,5248426,'1984-07-06 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201127271411423454342124610164147',NULL,'9998',12.78,2,1,1),(20,5248434,'1991-10-07 00:00:00',2,1,12,2009,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241115131431315621575124610135111',10774,'267',53.29,1,2,1),(20,5248442,'1966-01-21 00:00:00',2,1,11,2006,'M','N','BARREIROS','S JOSÉ','SC','124241241641231721113379182324610124011',NULL,'9999',27.40,1,3,NULL),(20,5248450,'1985-08-07 00:00:00',4,2,11,2004,'M','N','VICTOR KONDER','BLUMENAU','SC','124241247317332331233443135222230237067',NULL,'9999',0.00,1,3,NULL),(20,5248469,'1986-12-31 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124081081117131441126819575124232067052',NULL,'9998',0.00,1,2,1),(20,5248485,'1992-09-25 00:00:00',2,17,12,2009,'M','N','CENTRO','CANOINHAS','SC','124243241217151431217612175124610127052',NULL,'973',0.00,1,3,NULL),(20,5248493,'1992-08-08 00:00:00',4,9,12,2009,'M','N','SANTA RITA','LAGES','SC','124243242116141431436814572124610167012',NULL,'960',22.53,1,3,NULL),(20,5248507,'1992-08-31 00:00:00',2,15,11,2009,'F','N','SÃO CRISTÓVÃO','TURVO','SC','124241241116131231426614142122610165197',NULL,'814',27.97,1,2,1),(20,5248523,'1990-12-11 00:00:00',2,1,12,2008,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125092251215471431478832572122610122122',NULL,'9998',0.00,1,3,NULL),(20,5248531,'1988-05-07 00:00:00',5,6,12,2006,'M','N','BOQUEIRÃO','SANTOS','SP','125252251216471411439812275123241317047',NULL,'9998',NULL,1,3,NULL),(20,5248540,'1987-01-19 00:00:00',4,9,12,2004,'M','N','JARDIN ALEXANDRO','RIO SUL','SC','124241241111372411334434281215131266077',NULL,'658',46.47,1,2,1),(20,5248558,'1991-08-20 00:00:00',2,1,11,2009,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241215111732228821495124610162117',12738,'1022',52.85,1,3,NULL),(20,5248566,'1993-12-13 00:00:00',4,10,11,2010,'F','S','CENTRO','BRAÇO NORTE','SC','124242241217111431347719292124610137142',NULL,'806',55.56,1,3,NULL),(20,5248582,'1982-06-25 00:00:00',4,1,12,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241247126271432123344445224133218187',NULL,'9999',6.73,1,2,1),(20,5248590,'1985-02-20 00:00:00',2,1,12,2002,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241126373441223349295124610122097',10713,'277',55.39,1,2,1),(20,5248604,'1991-03-23 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S JOSÉ','SC','124241241216472441336811575124610167017',7143,'737',60.01,1,3,NULL),(20,5248612,'1988-05-07 00:00:00',2,4,12,2005,'M','N','LINHA RUI BARBOSA','CEL FREITAS','SC','124241241112131431423316162212610127057',NULL,'199',13.93,1,2,1),(20,5248620,'1991-03-25 00:00:00',4,1,12,2007,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125252251211571451559811471115610158072',NULL,'9998',0.00,1,3,NULL),(20,5248639,'1990-11-28 00:00:00',4,8,12,2009,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241217271431379914575111610167042',1044,'932',81.03,1,3,NULL),(20,5248647,'1989-07-19 00:00:00',4,6,12,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216474431349822575122610164142',NULL,'1038',0.00,1,3,NULL),(20,5248655,'1991-10-29 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241115471711423314372344610163147',NULL,'288',23.92,1,2,1),(20,5248663,'1992-02-23 00:00:00',2,17,12,2009,'M','N','RESTINGA','MAFRA','SC','224241241115271731623319573324610127057',16023,'542',43.94,1,2,1),(20,5248698,'1990-12-24 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241215211431468831575122610127182',NULL,'211',0.00,1,3,NULL),(20,5248701,'1984-10-06 00:00:00',2,1,7,2004,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124203241335273421324624482114610151187',NULL,'307',28.42,1,3,NULL),(20,5248710,'1992-08-30 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215221431368814575112610164192',13357,'1118',51.65,1,3,NULL),(20,5248728,'1987-11-14 00:00:00',2,3,12,2005,'M','N','ATUBA','PINHAIS','PR','116244241416372441338711115124131036017',NULL,'118',29.23,4,3,NULL),(20,5248736,'1990-09-22 00:00:00',2,1,12,2009,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241117471431428714372124610124125',247,'267',87.28,1,2,1),(20,5248744,'1991-06-23 00:00:00',2,3,12,2008,'F','N','CENTRO','CAMBORIÚ','SC','124161241116371431325423572324610164012',10931,'130',56.43,1,3,NULL),(20,5248752,'1982-01-01 00:00:00',2,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124246248614111751623319293345610168197',NULL,'9999',9.83,1,3,NULL),(20,5248760,'1988-10-05 00:00:00',4,1,12,2006,'M','N','ACLIMAÇÃO','S PAULO','SP','125252251216571441448824371124610164117',350,'9998',85.99,4,3,NULL),(20,5248779,'1992-10-22 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124242241215131431436639572122610137077',13748,'989',47.73,1,3,NULL),(20,5248787,'1990-04-21 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215574741223771372124610167187',4610,'951',68.40,1,3,NULL),(20,5248795,'1992-07-07 00:00:00',4,8,12,2009,'F','N','CENTRO','TIJUCAS SUL','PR','116164161416121431469933372122610146192',NULL,'9998',0.00,1,3,NULL),(20,5248809,'1993-10-24 00:00:00',2,5,11,2010,'F','S','CENTRO','CRICIÚMA','SC','124244241215111451563352574125610136092',NULL,'226',0.00,1,3,NULL),(20,5248817,'1992-09-28 00:00:00',2,2,12,2010,'F','S','FORTALEZA','BLUMENAU','SC','124241241215111731345632571114610123147',NULL,'88',25.86,1,3,NULL),(20,5248825,'1984-04-04 00:00:00',2,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124246248611111751623319297345610168197',NULL,'9999',0.00,1,3,NULL),(20,5248833,'1990-08-15 00:00:00',2,1,11,2009,'M','N','CENTRO','S JOSÉ','SC','124242241435151731624314375124610127042',NULL,'592',0.00,1,3,NULL),(20,5248841,'1992-01-15 00:00:00',2,3,12,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241127131432453823233122610113147',NULL,'712',0.00,1,2,1),(20,5248850,'1990-01-26 00:00:00',4,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217372741248613445124610124065',12474,'9999',53.41,1,3,NULL),(20,5248868,'1993-03-16 00:00:00',4,1,11,2010,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217151431358814575124610155012',NULL,'951',0.00,1,3,NULL),(20,5248876,'1991-06-21 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124244241212373711366823272124610167093',9167,'1118',59.66,1,3,NULL),(20,5248884,'1989-07-14 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124242281217471431326619375124610128142',10429,'9998',56.41,1,3,NULL),(20,5248892,'1991-05-31 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241142372431436729582114610147047',10169,'283',56.60,1,2,1),(20,5248906,'1989-04-20 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241216134411248969445124610124187',8885,'1022',60.18,1,3,NULL),(20,5248914,'1993-03-15 00:00:00',4,1,12,2009,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241114151731523335572124610127142',NULL,'941',19.72,1,3,NULL),(20,5248930,'1993-01-15 00:00:00',4,1,12,2009,'M','N','SANTANA','GUARAPUAVA','PR','116162161235371612478712595112610162127',NULL,'9998',0.00,1,3,NULL),(20,5248949,'1979-11-09 00:00:00',4,1,12,2000,'M','N','AREIAS','S JOSÉ','SC','124132131236311421226641315122143262042',NULL,'9998',30.17,1,3,NULL),(20,5248965,'1992-03-14 00:00:00',4,8,12,2009,'M','N','SCHRAMM','S BENTO SUL','SC','124242241215121431568712575122610127053',7724,'1063',62.38,1,3,NULL),(20,5248973,'1981-10-31 00:00:00',2,1,12,2000,'F','N','NOSSA SENHORA DO ROS','S JOSÉ','SC','124242241221131321241341282124610115171',NULL,'943',20.89,1,3,NULL),(20,5248981,'1991-05-14 00:00:00',4,1,12,2008,'F','N','VILA REDENTORA','S JOSÉ R PRETO','SP','125252251215472431458831571125610128182',NULL,'9998',0.00,1,3,NULL),(20,5248990,'1987-06-19 00:00:00',4,1,10,2005,'M','N','ARIRIÚ','PALHOÇA','SC','124244247642173411337944345123131434043',NULL,'9999',23.59,1,3,NULL),(20,5249007,'1992-03-30 00:00:00',4,1,12,2009,'M','N','RONDA','PNT GROSSA','PR','116162161214111431448814572122610137147',13736,'9998',47.65,1,3,NULL),(20,5249015,'1991-01-29 00:00:00',4,1,11,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241115141431526634442124610117047',NULL,'271',27.15,4,2,1),(20,5249023,'1972-03-26 00:00:00',4,1,12,1991,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124251258147131721131141115134610112082',NULL,'9998',0.00,1,2,1),(20,5249031,'1992-04-28 00:00:00',4,1,12,2009,'M','N','CENTRO','PANAMBI','RS','120203201217111431246933175122610127042',NULL,'9998',31.10,1,3,NULL),(20,5249058,'1990-11-15 00:00:00',4,8,12,2008,'M','N','AMÉRICA','JOINVILLE','SC','124244241217471431578811571122610162082',NULL,'1063',0.00,1,3,NULL),(20,5249066,'1991-04-02 00:00:00',4,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124242241215473731455932576114610132182',NULL,'1022',27.24,1,3,NULL),(20,5249074,'1989-12-01 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211274431458822575122231064022',4970,'266',68.06,1,3,NULL),(20,5249082,'1988-07-18 00:00:00',4,1,11,2006,'M','N','CENTRO','TUBARÃO','SC','124242241217575431489914574124130237122',911,'807',81.73,1,3,NULL),(20,5249090,'1990-05-22 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124241241442373431423311385114610137147',3950,'401',70.68,1,3,NULL),(20,5249112,'1991-10-05 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124202201217471431349619472124610124097',1183,'9998',80.35,1,3,NULL),(20,5249139,'1986-04-06 00:00:00',2,1,12,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124246248611111751623319291345610168197',NULL,'9999',0.00,1,3,NULL),(20,5249147,'1992-08-11 00:00:00',4,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241215111231469931475114610127062',5021,'270',67.03,1,3,NULL),(20,5249155,'1991-11-15 00:00:00',2,1,12,2009,'F','N','DANIELA','FLORIANÓPOLIS','SC','124242241215161431365619392122610133187',NULL,'1048',24.66,1,3,NULL),(20,5249163,'1992-12-10 00:00:00',2,10,11,2009,'M','N','EVOLUÇÃO','S LUDGERO','SC','124242241215151731334633392121610117052',NULL,'950',28.07,1,3,NULL),(20,5249171,'1993-01-14 00:00:00',2,1,12,2009,'F','N','ESTREITO','ALFREDO WAGNER','SC','124241241125161531323336592224610156142',NULL,'13',25.18,1,3,NULL),(20,5249180,'1991-06-28 00:00:00',4,1,12,2008,'M','N','RIO BRANCO','CAXIAS SUL','RS','120202201215571431468823575112610127057',1502,'9998',78.87,1,3,NULL),(20,5249198,'1990-01-12 00:00:00',2,16,12,2007,'F','N','SÃO LUIZ','CURITIBANOS','SC','124241241116372431624624312222132727142',NULL,'239',0.00,3,2,1),(20,5249201,'1991-10-05 00:00:00',2,16,12,2008,'F','N','BOM JESUS','CURITIBANOS','SC','124241241115372421523111572345610141181',NULL,'239',24.93,1,2,1),(20,5249210,'1990-02-06 00:00:00',4,1,12,2007,'M','N','ALTOS DA CIDADE','BAURU','SP','125251258337141451678929345122610167187',9739,'9998',58.67,1,3,NULL),(20,5249228,'1991-08-07 00:00:00',2,3,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241216272431338814445125133264192',NULL,'1085',19.56,1,3,NULL),(20,5249236,'1992-06-17 00:00:00',4,8,11,2009,'M','N','ZONA RURAL','RIO BRILHANTE','MS','112123252417111531336735171124610114182',NULL,'9998',0.00,1,3,NULL),(20,5249244,'1988-06-17 00:00:00',2,9,12,2005,'F','N','TRÊS LAGOAS','GARIBALDI','RS','120201208116271331633339295224610145147',7533,'9998',60.36,1,3,NULL),(20,5249252,'1993-04-16 00:00:00',2,4,12,2009,'F','N','CENTRO','IPUAÇU','SC','124241241135131411437633215122610166122',NULL,'372',11.78,4,1,1),(20,5249260,'1992-02-14 00:00:00',4,9,11,2009,'M','N','CENTRO','S LUIZ GONZAGA','RS','120202201217371411436832275112610142192',4163,'9998',68.70,1,3,NULL),(20,5249279,'1982-12-02 00:00:00',2,1,12,2001,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','224191201116135431223844445124231438187',NULL,'9998',0.00,1,2,1),(20,5249287,'1988-10-11 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211574431458822575122232463092',356,'266',85.92,1,3,NULL),(20,5249309,'1989-12-05 00:00:00',4,1,8,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241116131711527731285324310121012',NULL,'9997',0.00,1,2,1),(20,5249317,'1985-09-26 00:00:00',4,1,12,2003,'M','N','DANIELA','FLORIANÓPOLIS','SC','124252241217475411138844445122231162062',1474,'9998',78.97,1,3,NULL),(20,5249325,'1990-10-17 00:00:00',4,3,6,2008,'F','N','CENTRO','MAMBORÊ','PR','116162281216473431478831114122610134187',1560,'9998',78.64,1,3,NULL),(20,5249333,'1992-03-19 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241225131431321317172224610124012',14846,'262',47.67,1,3,NULL),(20,5249341,'1991-05-23 00:00:00',4,5,12,2008,'M','N','CENTRO','PASSO FUNDO','RS','120252201216471431358811575124610122042',617,'9998',83.69,1,3,NULL),(20,5249376,'1992-01-30 00:00:00',4,8,11,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241217322431266539575112610164012',4266,'1016',69.74,1,3,NULL),(20,5249384,'1991-06-05 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241215373421367811415134610127067',7232,'1022',63.36,1,3,NULL),(20,5249392,'1992-05-31 00:00:00',2,1,12,2009,'M','N','BNH','JAÚ','SP','125251251116141231433531116225610157022',NULL,'9998',0.00,2,2,1),(20,5249406,'1991-12-04 00:00:00',2,1,12,2008,'F','N','BOM JESUS','STO AMARO IMPERATRIZ','SC','124241241117131731323435582324610168147',NULL,'772',24.97,1,2,1),(20,5249414,'1992-07-20 00:00:00',4,1,12,2009,'F','N','MEDIANEIRA','PANAMBI','RS','120203201217111431459933576122610124052',NULL,'9998',38.50,1,3,NULL),(20,5249422,'1985-03-14 00:00:00',2,1,12,2002,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241112473331226739345124610123093',NULL,'513',32.22,1,3,NULL),(20,5249449,'1992-10-23 00:00:00',4,1,12,2009,'M','N','SÃO LUIZ','S JOSÉ','SC','124244241215111221444632272122610127115',NULL,'9997',38.34,1,3,NULL),(20,5249457,'1992-05-19 00:00:00',4,1,12,2009,'M','N','ALTO ARIRIU','PALHOÇA','SC','124241241115371431223324575124610137052',NULL,'772',24.01,1,2,1),(20,5249465,'1990-07-25 00:00:00',2,15,12,2008,'F','N','ALTO FELIZ','ARARANGUÁ','SC','124243241315471411433314392122610162147',13636,'970',48.78,1,3,NULL),(20,5249473,'1986-08-08 00:00:00',4,1,12,2004,'M','N','JD NOVO HORIZONTE','MARINGÁ','PR','116162161216572732368818475122610166057',340,'9998',86.10,1,3,NULL),(20,5249481,'1964-06-26 00:00:00',4,1,11,1993,'M','N','BELA VISTA I','S JOSÉ','SC','224253243227171751424449296111140268092',6976,'9997',63.88,1,3,NULL),(20,5249490,'1987-01-23 00:00:00',2,1,12,2004,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117272731466613342124233224183',13807,'257',50.73,1,2,1),(20,5249503,'1991-11-01 00:00:00',4,2,12,2009,'F','N','CENTRO','RIO CEDROS','SC','124124241215111431328834575124610128142',NULL,'1157',28.65,4,3,NULL),(20,5249538,'1990-11-02 00:00:00',2,1,11,2007,'F','N','ROÇADO','S JOSÉ','SC','124241241112573431458813575114610138195',NULL,'1035',21.73,1,3,NULL),(20,5249546,'1990-05-17 00:00:00',4,9,12,2007,'M','N','DIAMANTINO','CAXIAS SUL','RS','120202201216372431347314415124140242172',8057,'9998',61.73,1,3,NULL),(20,5249562,'1983-01-05 00:00:00',2,1,12,2002,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','624243247247275511547533315124610167061',NULL,'9999',0.00,4,3,NULL),(20,5249570,'1986-10-16 00:00:00',4,1,12,2005,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201201136131721128844242124610167117',NULL,'9998',28.60,4,2,1),(20,5249589,'1992-02-11 00:00:00',2,1,12,2009,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241121131711315324271224610115172',NULL,'288',29.01,1,2,1),(20,5249619,'1992-07-10 00:00:00',2,17,11,2009,'M','N','CENTRO','PRUDENTÓPOLIS','PR','116164161217371531418862145123610167057',NULL,'9998',0.00,1,3,NULL),(20,5249627,'1990-11-20 00:00:00',2,4,12,2007,'F','N','GLÓRIA','CARAZINHO','RS','120202201216572751478832494122610128187',5286,'9998',67.61,1,3,NULL),(20,5249635,'1983-07-16 00:00:00',2,2,12,2000,'F','N','VILA FORMOSA','BLUMENAU','SC','124254251237342431268813315122342832072',NULL,'9998',0.00,1,3,NULL),(20,5249643,'1992-03-20 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124242241215111431366831574112610122192',7000,'87',63.82,1,3,NULL),(20,5249651,'1991-04-02 00:00:00',4,1,12,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124242241217111431455932576114610134182',NULL,'723',27.06,1,3,NULL),(20,5249660,'1991-08-14 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241116271731334612492124610122147',15163,'733',42.65,1,2,1),(20,5249678,'1992-01-25 00:00:00',2,8,12,2009,'F','N','CENTRO','PAPANDUVA','SC','124241242115111431423923571224610158142',NULL,'24',0.00,4,2,1),(20,5249686,'1991-09-04 00:00:00',2,5,6,2009,'M','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124241246215371431435611475124610132017',12682,'995',52.96,1,3,NULL),(20,5249694,'1992-03-08 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215122441479823475124610136192',5361,'1022',64.67,1,3,NULL),(20,5249708,'1988-09-04 00:00:00',2,1,12,2005,'M','N','VILA A','FOZ IGUAÇU','PR','116162161217472441579614575122241462042',14644,'9998',48.87,1,3,NULL),(20,5249716,'1992-06-25 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471431448823575112610132146',2022,'269',76.78,1,3,NULL),(20,5249724,'1986-06-20 00:00:00',4,16,11,2003,'M','N','CENTRO','CURITIBANOS','SC','124241241215153731546663215121122344175',8672,'237',60.60,1,3,NULL),(20,5249732,'1992-05-06 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241217111432436923572114610122182',NULL,'1022',24.77,1,3,NULL),(20,5249740,'1992-06-26 00:00:00',2,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124243241215111432428623595124610131017',NULL,'1022',25.49,1,3,NULL),(20,5249759,'1988-04-21 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216173231234464245224132567147',NULL,'266',25.88,1,3,NULL),(20,5249767,'1987-09-15 00:00:00',2,1,12,2008,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241116414731213329575324610116182',NULL,'288',11.59,1,2,1),(20,5249775,'1990-12-27 00:00:00',3,1,11,2007,'F','N','GRANJA VIANA','CARAPICUÍBA','SP','125253251217471431347815575122610127047',11680,'9998',51.19,1,3,NULL),(20,5249791,'1993-07-05 00:00:00',2,10,12,2010,'F','S','CENTRO','BRAÇO NORTE','SC','124241241217161411525531575122610126142',NULL,'950',21.89,1,3,NULL),(20,5249830,'1983-07-21 00:00:00',4,1,1,2010,'F','N','CIDADE NOBRE','IPATINGA','MG','413132137336131432313321285224610121077',NULL,'9998',0.00,4,3,NULL),(20,5249848,'1989-07-12 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241216151411338821572214610162017',14361,'525',49.59,1,3,NULL),(20,5249856,'1984-10-18 00:00:00',2,9,12,2001,'F','N','CONTA DINHEIRO','LAGES','SC','124241241116151451546923481212332827052',NULL,'878',0.00,1,2,1),(20,5249864,'1992-08-04 00:00:00',4,2,12,2009,'M','N','TRIBESS','BLUMENAU','SC','124243241215112431357531575124610127182',9639,'855',54.93,1,3,NULL),(20,5249872,'1964-11-20 00:00:00',1,1,12,1984,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241243222375751368352271122122228182',NULL,'284',28.05,1,3,NULL),(20,5249880,'1983-08-03 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124092091216153431448624385134141764042',4473,'9998',69.60,1,3,NULL),(20,5249902,'1992-08-22 00:00:00',4,1,11,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241217151111536669575121610111182',13217,'944',49.55,5,3,NULL),(20,5249910,'1990-07-26 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116463431326679575124610144142',13054,'288',50.25,1,2,1),(20,5249929,'1990-12-13 00:00:00',2,1,12,2007,'M','N','VENDAVAL','BIGUAÇU','SC','124241241115132731636634345124610137067',8777,'21',59.30,1,2,1),(20,5249937,'1989-07-27 00:00:00',2,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241247425371431636634395124610137051',NULL,'9999',28.45,1,3,NULL),(20,5249945,'1990-10-06 00:00:00',2,1,12,2007,'M','N','CRISTAL','PTO ALEGRE','RS','120202201217572441368922592124123267082',6555,'9998',61.85,1,3,NULL),(20,5249953,'1992-03-05 00:00:00',4,2,11,2009,'M','N','SANTA TEREZINHA','GASPAR','SC','124244241216131411546619215122610152042',NULL,'955',29.63,1,3,NULL),(20,5249961,'1990-12-28 00:00:00',4,3,12,2007,'F','N','CENTRO','GUARAPUAVA','PR','116163161216411751458829391122141016172',1769,'9998',77.07,1,3,NULL),(20,5249988,'1992-05-01 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215112531558612295114610166052',11401,'1022',52.77,1,3,NULL),(20,5249996,'1974-02-15 00:00:00',3,1,12,2001,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','524243245342131441234448182224133236167',15940,'986',44.47,1,3,NULL),(20,5250005,'1991-03-16 00:00:00',2,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241112151751433311272124610162142',NULL,'298',21.97,1,2,1),(20,5250013,'1989-07-14 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216574431558611592122131428012',620,'1035',83.74,1,3,NULL),(20,5250021,'1987-04-05 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241216135451128849342124610162181',12659,'407',53.02,1,3,NULL),(20,5250030,'1991-04-26 00:00:00',5,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215133432454823572124233267041',9092,'269',59.79,1,3,NULL),(20,5250048,'1989-02-23 00:00:00',2,8,12,2007,'M','N','JARDIM DAS PERDIZES','COLOMBO','PR','116161161212471421537613375122141827047',NULL,'9998',30.14,1,3,NULL),(20,5250056,'1989-03-28 00:00:00',2,2,12,2006,'F','N','BUDAG','RIO SUL','SC','124241241147573431346923382223610161197',NULL,'864',0.00,1,2,1),(20,5250064,'1992-11-21 00:00:00',4,1,12,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117271431555512475124610121177',NULL,'772',26.46,1,2,1),(20,5250072,'1987-11-17 00:00:00',4,1,12,2004,'M','N','CENTRO','S JOSÉ','SC','124243247332133521426629385124131014047',NULL,'728',22.39,1,3,NULL),(20,5250099,'1991-04-25 00:00:00',4,10,12,2008,'F','N','BELA VISTA','CAXIAS SUL','RS','120201201116471731357833475122610163141',9339,'9998',57.18,1,2,1),(20,5250110,'1990-01-17 00:00:00',4,8,12,2007,'F','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125252251237573411377912571124610162113',2449,'9998',73.71,1,3,NULL),(20,5250129,'1990-01-08 00:00:00',2,4,11,2006,'F','N','CENTRO','CURITIBA','PR','116242241215573411448911572125610164177',NULL,'185',26.12,1,3,NULL),(20,5250137,'1992-01-10 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111231334633182122610164042',16326,'1010',38.92,2,1,2),(20,5250153,'1993-01-30 00:00:00',2,17,12,2009,'M','N','CENTRO','CANOINHAS','SC','124241241115371431326621572125610167047',NULL,'146',22.49,1,2,1),(20,5250161,'1989-04-29 00:00:00',2,4,11,2006,'F','N','JARDIM PORTO ALEGRE','TOLEDO','PR','116162161116571431455332345122140641197',2275,'9998',74.20,1,3,NULL),(20,5250170,'1992-09-03 00:00:00',4,1,11,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241115161411436619592122610117075',NULL,'772',23.58,1,2,1),(20,5250196,'1987-08-24 00:00:00',2,15,12,2004,'M','N','CINCO COLÔNIAS','CANOAS','RS','120204201217571411446833575125141267112',309,'9998',86.39,1,3,NULL),(20,5250200,'1992-06-20 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241125141431436623242324610126147',NULL,'733',0.00,2,1,1),(20,5250218,'1992-01-08 00:00:00',2,1,12,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241117151631234623572124610112192',NULL,'733',27.23,1,2,1),(20,5250226,'1992-05-10 00:00:00',2,10,12,2009,'F','N','SÃO JOÃO ME','TUBARÃO','SC','124243241212131431325923582124610167147',10755,'797',53.47,1,3,NULL),(20,5250234,'1990-02-13 00:00:00',2,1,12,2007,'F','N','FUNDOS','BIGUAÇU','SC','124241241112133751313614292124610124147',NULL,'65',28.02,1,2,1),(20,5250242,'1991-11-12 00:00:00',4,1,12,2009,'F','N','CENTRO','BAL ARROIO SILVA','SC','124243241316111411226869575124610164127',NULL,'32',30.90,1,3,NULL),(20,5250250,'1991-11-11 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161217475451468831585122610122042',2918,'9998',73.38,1,3,NULL),(20,5250277,'1991-11-23 00:00:00',4,8,12,2008,'F','N','ALEGRE','RIO NEGRINHO','SC','124244241216373731435611275124610167187',NULL,'666',23.33,1,3,NULL),(20,5250285,'1991-10-04 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124242241212371431569812492122610157047',6015,'723',65.58,1,3,NULL),(20,5250293,'1991-11-15 00:00:00',2,1,12,2008,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241317272431436614475124610137182',8904,'64',57.47,1,3,NULL),(20,5250307,'1991-02-15 00:00:00',4,9,11,2009,'M','N','CENTRO','LAGES','SC','124242241215112431386973571122610166172',NULL,'497',27.07,1,3,NULL),(20,5250315,'1992-12-13 00:00:00',4,4,12,2009,'M','N','CENTRO','PALMITOS','SC','124241241215371431467612475124610164142',NULL,'1046',0.00,1,3,NULL),(20,5250323,'1976-07-09 00:00:00',2,1,12,2003,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','224241241127472431223344331123610147047',15187,'9999',45.45,2,1,1),(20,5250331,'1959-09-20 00:00:00',4,1,6,2004,'M','N','SAO SEBASTIAO','PALHOÇA','SC','224242247327131721433333132233610111153',NULL,'263',0.00,1,3,NULL),(20,5250340,'1992-03-19 00:00:00',2,1,12,2009,'F','N','VENDAVAL','BIGUAÇU','SC','124241241215131731626633495124610123047',NULL,'1022',30.86,1,3,NULL),(20,5250366,'1991-10-09 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','125242241212272431525679395134610137061',NULL,'273',23.72,1,3,NULL),(20,5250374,'1992-10-20 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','624243241315311711411629571224612523142',NULL,'1022',19.30,1,3,NULL),(20,5250390,'1992-04-19 00:00:00',4,8,11,2009,'M','N','SAGUAÇU','JOINVILLE','SC','124242241217121431459914575124610167012',6207,'457',62.80,1,3,NULL),(20,5250404,'1993-01-30 00:00:00',4,2,12,2010,'M','S','CENTRO','GASPAR','SC','124242241215151731439914575124610116062',NULL,'855',56.20,1,3,NULL),(20,5250412,'1992-05-24 00:00:00',4,17,12,2009,'M','N','MERCES','CURITIBA','PR','116164161217111232448926575112610142147',NULL,'9998',27.07,1,3,NULL),(20,5250420,'1993-01-27 00:00:00',2,7,12,2009,'F','N','INDUSTRIAL','IPUMIRIM','SC','124241242115471431433923575124610147072',NULL,'196',23.90,1,3,NULL),(20,5250439,'1992-05-27 00:00:00',4,2,10,2009,'M','N','ASILO','BLUMENAU','SC','124242241214271431379519575122610168112',6559,'909',61.86,1,3,NULL),(20,5250447,'1992-03-15 00:00:00',2,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','224241241117111431633823431344610116142',NULL,'278',23.34,2,3,NULL),(20,5250455,'1990-08-20 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124163241116373431234629385124610133147',10610,'307',55.34,3,3,NULL),(20,5250463,'1990-06-19 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116132741446614385124131734055',NULL,'733',28.74,1,2,1),(20,5250471,'1992-02-14 00:00:00',4,3,11,2009,'M','N','DOS MUNICIPIOS','BAL CAMBORIÚ','SC','124242241215372431346631572121610137062',7991,'44',60.40,1,3,NULL),(20,5250480,'1993-02-08 00:00:00',2,5,11,2009,'M','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124244241215121231347932175114610127042',16274,'226',41.23,1,3,NULL),(20,5250498,'1992-02-14 00:00:00',2,1,12,2009,'F','N','FAZENDA DO MAC','S JOSÉ','SC','124241241115371631536613575224610121047',NULL,'733',27.24,1,2,1),(20,5250501,'1991-10-01 00:00:00',4,1,11,2009,'M','N','JARDIM MARINGÁ','SINOP','MT','111112111215471431369911572122610137183',NULL,'9998',0.00,1,3,NULL),(20,5250536,'1982-03-01 00:00:00',2,1,12,2000,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241248136372721453314342122610167157',NULL,'306',31.05,1,2,1),(20,5250552,'1991-05-31 00:00:00',2,16,12,2008,'M','N','CENTRO','CAÇADOR','SC','124241241311131431335923342125233238041',NULL,'123',18.78,1,3,NULL),(20,5250560,'1988-12-17 00:00:00',4,1,12,2007,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124244241117272431323621342114133264197',4583,'306',69.33,1,3,NULL),(20,5250579,'1980-08-04 00:00:00',2,1,12,1998,'M','N','CAMPINAS','S JOSÉ','SC','124241241126244711526619445112610168047',15947,'736',44.43,1,3,NULL),(20,5250595,'1992-09-14 00:00:00',4,15,12,2009,'F','N','SÃO CRISTOVÃO','MARACAJÁ','SC','124241241145131431534614246224610127145',NULL,'30',23.56,1,2,1),(20,5250609,'1991-04-25 00:00:00',4,1,11,2008,'M','N','CENTRO','S JOSÉ','SC','124242241215473431554412575124610128062',664,'270',83.43,1,3,NULL),(20,5250617,'1987-03-11 00:00:00',4,1,12,2004,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241216472441228723245224233242187',13108,'988',52.15,1,3,NULL),(20,5250625,'1991-01-25 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241117152431633823431344610116092',NULL,'278',24.79,1,3,NULL),(20,5250633,'1992-03-25 00:00:00',2,5,11,2009,'M','N','LOMBA','ORLEANS','SC','124241241215271732566812372114610144127',10297,'950',54.42,1,3,NULL),(20,5250650,'1992-06-18 00:00:00',4,5,11,2009,'F','N','CENTRO','ORLEANS','SC','124242241217113431459933575122610138177',6268,'581',64.19,1,3,NULL),(20,5250668,'1987-07-07 00:00:00',2,1,12,2004,'F','N','BARREIROS','S JOSÉ','SC','124242241212145731553633442124610127147',NULL,'943',26.67,2,1,2),(20,5250676,'1977-07-05 00:00:00',2,1,12,1994,'F','N','PINHEIRINHO','CRICIÚMA','SC','124242241216153751144444442122321448093',5808,'210',66.44,1,3,NULL),(20,5250684,'1986-10-24 00:00:00',2,1,12,2004,'M','N','PONTE IMARUIM','PALHOÇA','SC','124241241116211712445633345123133217117',NULL,'592',22.70,1,2,1),(20,5250692,'1992-11-18 00:00:00',4,1,12,2009,'F','N','RIO PEQUENO','RANCHO QUEIMADO','SC','124241241125161411324315585222610164147',NULL,'649',19.42,1,2,1),(20,5250706,'1992-03-11 00:00:00',2,1,12,2008,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124203241131473331546624572224610135142',3853,'295',71.17,1,3,NULL),(20,5250714,'1989-04-06 00:00:00',2,9,12,2006,'F','N','CRISTAL','VACARIA','RS','120201201216133431434618295324241431147',14696,'9998',46.34,1,3,NULL),(20,5250722,'1990-11-03 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215161411578833372122610168052',NULL,'1118',19.77,1,3,NULL),(20,5250730,'1992-07-22 00:00:00',4,17,11,2009,'M','N','CENTRO','CANOINHAS','SC','124242241217161431347632475122610124046',NULL,'154',0.00,1,3,NULL),(20,5250749,'1992-09-03 00:00:00',2,1,12,2009,'F','N','JARDIM BRILHANTE','OURINHOS','SP','125254251117271731223623582124610166092',NULL,'9998',19.10,1,3,NULL),(20,5250757,'1985-10-26 00:00:00',2,1,12,2003,'M','N','BARREIROS','S JOSÉ','SC','624241241124275731223444442114610167057',NULL,'257',30.19,1,2,1),(20,5250765,'1992-11-20 00:00:00',4,1,11,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111431458639575124610162022',2977,'270',72.17,1,3,NULL),(20,5250773,'1985-12-29 00:00:00',2,1,12,2005,'M','N','BARREIROS','S JOSÉ','SC','124241248127371231326839245124130824187',NULL,'9999',22.74,1,2,1),(20,5250781,'1989-10-15 01:00:00',4,1,12,2007,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124243241216153442568812585122230467133',NULL,'270',0.00,1,3,NULL),(20,5250838,'1990-05-29 00:00:00',2,1,12,2007,'F','N','FERNANDES','S JOÃO BATISTA','SC','124241241131143431426514241123610134142',13351,'712',50.09,1,2,1),(20,5250846,'1992-09-15 00:00:00',2,16,12,2009,'M','N','GETULIO VARGAS','CURITIBANOS','SC','124241241135371431526631395124610127052',NULL,'239',27.67,1,3,NULL),(20,5250854,'1990-07-10 00:00:00',4,1,12,2008,'M','N','CENTRO','PALHOÇA','SC','124241241116372431546613375114610134197',11689,'592',54.96,1,2,1),(20,5250870,'1983-02-16 00:00:00',4,5,12,1999,'M','N','CENTRO','CRICIÚMA','SC','124203201112371431137644345123233232142',NULL,'9998',0.00,1,3,NULL),(20,5250897,'1985-01-18 00:00:00',2,1,4,2005,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241116153431326621315124233224167',12252,'306',49.67,1,3,NULL),(20,5250900,'1989-06-17 00:00:00',2,1,12,2007,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241237372412538612445124610117042',NULL,'9999',21.87,1,3,NULL),(20,5250919,'1992-01-07 00:00:00',2,2,11,2009,'F','N','AGUAS CLARAS','BRUSQUE','SC','124241241415132431333311241134610123077',5561,'981',65.98,1,3,NULL),(20,5250927,'1991-04-03 00:00:00',4,4,11,2008,'F','N','CENTRO','CHAPECÓ','SC','124162161216471431488831574122610161142',3766,'9998',70.08,1,3,NULL),(20,5250935,'1992-12-28 00:00:00',4,8,11,2009,'M','N','CENTRO','CURITIBA','PR','116162161235471731556634572124610127052',5029,'9998',67.11,1,3,NULL),(20,5250943,'1991-10-10 00:00:00',2,1,12,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241115372431211529592124610166147',13473,'592',49.19,1,2,1),(20,5250951,'1992-10-05 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124203241215122731236813472114610123195',10750,'1022',54.38,1,3,NULL),(20,5250960,'1991-06-05 00:00:00',4,1,12,2008,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124122121217152431369613572114220764052',2615,'9998',74.70,1,3,NULL),(20,5250978,'1988-04-26 00:00:00',4,1,12,2006,'F','N','CIDADE ARACY II','S CARLOS','SP','125251251146472711323311395234610132052',NULL,'9998',0.00,4,2,1),(20,5250986,'1985-10-21 00:00:00',2,1,12,2003,'F','N','IPIRANGA','S JOSÉ','SC','124241241115154451543327345124331862187',8588,'306',60.77,2,1,1),(20,5250994,'1991-05-15 00:00:00',4,1,11,2008,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241112231231333923342234610111197',NULL,'257',20.56,1,2,1),(20,5251001,'1992-08-15 00:00:00',4,1,12,2009,'F','N','JD IGUAÇU','PARANAVAÍ','PR','116162161217111431457612575122610161142',NULL,'9998',0.00,1,3,NULL),(20,5251010,'1991-06-04 00:00:00',4,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215111711457417175112610167147',NULL,'1133',33.75,1,3,NULL),(20,5251036,'1985-05-13 00:00:00',4,1,12,2002,'M','N','PRAIA DO CANTO','VITÓRIA','ES','108082081217151411477732215122141111087',NULL,'9998',0.00,1,3,NULL),(20,5251044,'1991-09-28 00:00:00',2,16,12,2008,'F','N','INTERIOR','CURITIBANOS','SC','124241241131372731323635252222610168187',NULL,'239',22.53,1,2,1),(20,5251052,'1991-08-29 00:00:00',2,1,12,2008,'F','N','SERTÃO','STO AMARO IMPERATRIZ','SC','124241241142372711623528291224610112147',NULL,'941',32.08,1,2,1),(20,5251060,'1988-11-17 00:00:00',2,1,12,2005,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124202201217571411546561442114143137047',NULL,'9998',36.84,4,3,NULL),(20,5251079,'1990-07-15 00:00:00',4,6,11,2008,'M','N','CORDEIROS','ITAJAÍ','SC','124201241136271731536611285121610137042',9296,'396',59.43,5,2,1),(20,5251087,'1991-11-03 00:00:00',4,8,12,2009,'M','N','CENTRO','JOINVILLE','SC','124241241115131441426614575124610124147',11271,'478',52.32,4,2,1),(20,5251095,'1991-09-18 00:00:00',4,5,7,2009,'F','N','PINHEIRINHO','CRICIÚMA','SC','124243248212131331545532345132610113147',NULL,'995',21.28,1,3,NULL),(20,5251109,'1992-11-07 00:00:00',2,15,12,2009,'F','N','COLONINHA','ARARANGUÁ','SC','124241241115271731423334571122610148147',NULL,'29',27.07,1,2,1),(20,5251117,'1992-09-14 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241217121432446822375124610127187',2126,'272',75.52,1,3,NULL),(20,5251125,'1986-10-30 00:00:00',4,1,11,2006,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241127341311636524242224610116047',NULL,'9997',18.67,1,2,1),(20,5251133,'1989-05-25 00:00:00',2,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241247137132421436714245124610148182',NULL,'9999',0.00,4,3,NULL),(20,5251141,'1992-11-11 00:00:00',2,1,11,2010,'F','S','FUNDOS','BIGUAÇU','SC','124242241215111431456812575122610132052',NULL,'262',47.78,1,3,NULL),(20,5251150,'1992-09-02 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115131431426621275124610122147',10081,'307',55.42,1,2,1),(20,5251168,'1990-04-24 00:00:00',4,1,11,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','224241248147131331232354245134610126017',NULL,'9999',10.93,4,2,1),(20,5251184,'1989-06-22 00:00:00',4,8,12,2006,'F','N','ESPINHEIROS','JOINVILLE','SC','124241241116471331448622275122610124047',NULL,'477',43.46,1,2,1),(20,5251192,'1976-11-27 00:00:00',4,1,12,1994,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','224241247321244431346643232124610127057',NULL,'1003',46.72,4,3,NULL),(20,5251206,'1992-06-01 00:00:00',4,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124241241115371431325611275114610167072',14567,'733',45.80,1,2,1),(20,5251214,'1980-02-20 00:00:00',4,1,12,2000,'M','N','INGLESES','FLORIANÓPOLIS','SC','124202207237131411236631215123240714042',NULL,'9998',43.86,1,3,NULL),(20,5251222,'1993-09-09 00:00:00',4,7,12,2010,'M','S','CENTRO','CAMPOS NOVOS','SC','124242241215111412334432575124610142042',NULL,'962',52.62,1,3,NULL),(20,5251230,'1993-02-01 00:00:00',2,2,12,2010,'F','S','VICTOR KONDER','BLUMENAU','SC','124242241215151431478831412112610124062',NULL,'909',0.00,1,3,NULL),(20,5251249,'1991-02-14 00:00:00',4,1,12,2008,'F','N','JD SAMAMBAIA','BARRA BONITA','SP','125253251216471432448631572122610164143',NULL,'9998',0.00,1,3,NULL),(20,5251265,'1993-02-13 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124241241116271431546912572124610167052',NULL,'169',23.80,1,2,1),(20,5251273,'1977-10-31 00:00:00',4,1,12,1999,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244247327443431348613432122133231012',NULL,'9999',0.00,1,3,NULL),(20,5251290,'1966-01-17 00:00:00',2,1,12,1987,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','524241247121132431221141115124130813097',NULL,'9999',44.92,1,3,NULL),(20,5251303,'1977-05-05 00:00:00',4,1,12,1999,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241134132411214344441314130134147',NULL,'911',28.45,1,2,1),(20,5251311,'1989-07-29 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124134131216272721228823312324610161072',15535,'9998',46.17,1,3,NULL),(20,5251320,'1990-05-10 00:00:00',4,8,12,2007,'F','N','NOVA BRASÍLIA','JOINVILLE','SC','124241241136472631433318385114610122147',NULL,'479',22.55,4,2,1),(20,5251338,'1990-10-20 00:00:00',2,1,12,2008,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124244247412271431326619295112610127065',NULL,'9999',26.84,1,3,NULL),(20,5251346,'1992-02-05 00:00:00',4,5,11,2009,'M','N','CENTRO','URUSSANGA','SC','124242241215122431538811495122610132012',7492,'820',61.47,1,3,NULL),(20,5251354,'1992-11-05 00:00:00',2,9,12,2009,'F','N','SÃO CRISTOVÃO','LAGES','SC','124242241317371431339923272222610135142',NULL,'935',26.85,4,3,NULL),(20,5251362,'1966-09-18 00:00:00',2,1,9,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241127131411216144445324610134181',NULL,'9999',0.00,2,1,1),(20,5251370,'1990-08-16 00:00:00',4,3,11,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216371431359719475122133265122',13104,'424',52.15,1,3,NULL),(20,5251400,'1987-01-22 00:00:00',2,4,12,2004,'M','N','INTERIOR','BOM J OESTE','SC','124241241126275431423416275224233226017',4307,'765',70.01,1,2,1),(20,5251419,'1991-07-08 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215143431358733295114233212092',NULL,'1022',30.97,1,3,NULL),(20,5251427,'1991-04-19 00:00:00',2,1,11,2007,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241248112231431433734145224610127052',NULL,'281',18.10,1,3,NULL),(20,5251435,'1991-10-31 00:00:00',2,1,12,2009,'F','N','INGLESSES DO RIO VER','FLORIANÓPOLIS','SC','124241241135371731226679494124610131172',NULL,'288',19.54,1,2,1),(20,5251443,'1992-07-03 00:00:00',2,1,12,2009,'F','N','NOSSA SENH ROSÁRIO','S JOSÉ','SC','124242241215112431337614572124610136147',5994,'270',64.17,1,3,NULL),(20,5251451,'1989-09-26 00:00:00',2,1,12,2006,'M','N','COUNTRY','CASCAVEL','PR','116163161335571431436513385122610147047',5548,'9998',66.43,1,3,NULL),(20,5251460,'1991-12-24 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124243241315141731456833315112610167053',NULL,'733',19.95,3,3,NULL),(20,5251478,'1992-01-27 00:00:00',2,8,12,2009,'M','N','CENTRO','PARAGUAÇU PAULISTA','SP','125252251212111431243529192121610168042',NULL,'9998',27.11,1,3,NULL),(20,5251486,'1991-09-22 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111431436532274125610124147',7862,'1050',60.05,2,3,NULL),(20,5251508,'1992-10-31 00:00:00',2,8,12,2009,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241116131411546519575124610123192',NULL,'430',24.50,1,2,1),(20,5251516,'1992-04-13 00:00:00',4,2,11,2009,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241212113431469614572122610133142',6399,'855',63.58,1,3,NULL),(20,5251524,'1980-09-02 00:00:00',4,1,6,2000,'M','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124243241147133711333619295224221636047',4884,'306',68.64,4,3,NULL),(20,5251532,'1987-11-26 00:00:00',4,1,12,2004,'M','N','TATUAPÉ','S PAULO','SP','125122121217573411468824574125143237187',770,'9998',81.32,1,3,NULL),(20,5251540,'1991-11-06 00:00:00',4,1,12,2008,'M','N','RIO CUBATÃO','ÁGUAS MORNAS','SC','124241241117162431523336582212610122057',10191,'978',54.71,1,3,NULL),(20,5251559,'1990-09-11 00:00:00',2,1,12,2009,'F','N','FREITAS','FLORIANÓPOLIS','SC','124241241147131511413119572324610157147',NULL,'322',13.25,1,2,1),(20,5251567,'1990-02-08 00:00:00',2,1,12,2007,'M','N','BALNEARIO ESTREITO','FLORIANÓPOLIS','SC','124242241211573211476712145124131417052',NULL,'1022',30.01,1,3,NULL),(20,5251575,'1981-10-05 00:00:00',4,1,12,2004,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124252251437341431148871215124610126182',NULL,'9998',23.99,2,1,2),(20,5251583,'1992-10-20 00:00:00',4,1,11,2009,'F','N','SÃO JOSÉ','S JOSÉ','SC','124242241231112331439813571122610137091',NULL,'1118',20.42,1,3,NULL),(20,5251591,'1990-08-17 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115141421246923446123610147033',16157,'307',43.01,1,2,1),(20,5251605,'1992-03-17 00:00:00',2,1,12,2009,'F','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241116131431333334572124610123147',NULL,'592',29.10,1,2,1),(20,5251630,'1970-04-19 00:00:00',2,1,7,2007,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224201247217131741218642195224232824177',NULL,'9999',39.78,1,3,NULL),(20,5251648,'1992-10-04 00:00:00',4,3,12,2009,'M','N','NOVA ESPERANÇA','BAL CAMBORIÚ','SC','124241243115111431526511575221610131147',NULL,'129',33.39,1,2,1),(20,5251656,'1979-01-17 00:00:00',2,1,8,2006,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241247122272431514479282314610144147',NULL,'9999',16.93,1,2,1),(20,5251664,'1988-09-19 00:00:00',4,1,11,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241117153431438621575121133262027',6857,'271',64.14,4,1,2),(20,5251672,'1992-07-15 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111451436712321122610168182',13903,'270',48.11,1,3,NULL),(20,5251680,'1968-07-19 00:00:00',4,1,12,1985,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241213133431126641412344120662047',8282,'260',61.34,1,3,NULL),(20,5251702,'1992-09-04 00:00:00',2,1,12,2009,'F','N','JARDIM EUROPA','BIGUAÇU','SC','124241241115161131436329575114610168197',NULL,'21',18.21,1,2,1),(20,5251710,'1981-06-23 00:00:00',4,1,12,1998,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241248226142741123349395224233263142',NULL,'35',30.60,1,3,NULL),(20,5251729,'1979-05-26 00:00:00',2,10,12,1997,'M','N','SERTÃO DOS CORREIAS','TUBARÃO','SC','124241246117141431324311332333610128181',NULL,'808',38.88,1,3,NULL),(20,5251737,'1957-07-16 00:00:00',4,1,12,1987,'M','N','PANTANAL','FLORIANÓPOLIS','SC','624202201316172411124448385224222262177',NULL,'9998',30.01,1,3,NULL),(20,5251753,'1988-05-14 00:00:00',2,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115371441116844345123131467017',NULL,'509',0.00,1,2,1),(20,5251761,'1992-06-15 00:00:00',4,1,12,2009,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124243241215131731646722272124610134042',15362,'976',46.73,1,3,NULL),(20,5251770,'1992-05-07 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215111231436834375114610167047',8491,'738',60.93,1,3,NULL),(20,5251788,'1980-08-18 00:00:00',2,1,12,2009,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241247137371422326328286214610134182',7547,'9999',61.48,1,2,1),(20,5251796,'1992-12-08 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212111211468812272112610167112',NULL,'259',18.42,1,3,NULL),(20,5251800,'1992-06-01 00:00:00',2,1,12,2009,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241115231431434531572344610127052',NULL,'278',29.04,1,2,1),(20,5251818,'1986-02-27 00:00:00',2,1,12,2003,'F','N','CENTRO','STA MARIA','RS','120202207216572751447719195125142424042',10638,'9998',54.76,1,3,NULL),(20,5251826,'1982-02-05 00:00:00',4,1,12,2001,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124251241122372441323344441214610161182',NULL,'296',38.63,4,3,NULL),(20,5251834,'1987-11-26 00:00:00',2,1,12,2006,'F','N','AREIAS','S JOSÉ','SC','124241241126573431321311382314610122187',9238,'730',59.08,1,2,1),(20,5251842,'1992-07-07 00:00:00',4,4,11,2009,'M','N','CENTRO','ITÁ','SC','124243241316111431539831415124610128052',4907,'1000',66.43,1,3,NULL),(20,5251850,'1991-03-09 00:00:00',2,4,12,2007,'M','N','LINHA SÃO PEDRO','CHAPECÓ','SC','124241241116473231434923572224610123047',512,'175',84.45,1,2,1),(20,5251869,'1991-06-02 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124161241116271431325311341124610128052',NULL,'307',39.35,4,2,1),(20,5251877,'1984-01-04 00:00:00',4,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216153431489813495124321437092',NULL,'260',0.00,1,3,NULL),(20,5251885,'1993-04-15 00:00:00',4,4,12,2009,'F','N','DOS ESPORTES','XANXERÊ','SC','124242241111131231436823242125610138097',NULL,'840',18.36,1,3,NULL),(20,5251893,'1986-01-25 00:00:00',4,1,12,2003,'M','N','PICADAS DO SUL','S JOSÉ','SC','124243241216372431546329445134610137113',NULL,'944',23.33,4,1,2),(20,5251907,'1980-06-08 00:00:00',2,1,12,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241127132451323346345124610143097',NULL,'583',0.00,1,3,NULL),(20,5251923,'1992-03-16 00:00:00',4,2,11,2009,'F','N','SANTANA','PTO ALEGRE','RS','120204201117122431379813276122610133092',NULL,'9998',33.26,1,3,NULL),(20,5251931,'1984-11-02 00:00:00',2,1,7,2005,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247142575751113348382214610146087',NULL,'9999',25.01,4,2,1),(20,5251940,'1987-02-07 00:00:00',4,9,12,2004,'F','N','CENTRO','LAGES','SC','116242241416575421248811475122131324097',NULL,'935',16.91,1,3,NULL),(20,5251958,'1991-11-22 00:00:00',2,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241215112431433317585112610128147',NULL,'1134',22.27,4,3,NULL),(20,5251966,'1990-12-05 00:00:00',2,1,7,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247215121111237811285214610146197',9033,'9999',59.90,4,3,NULL),(20,5251974,'1992-08-27 00:00:00',2,1,12,2009,'F','N','ARMACAO DO P DO SUL','FLORIANÓPOLIS','SC','124241241435112441336834275124610127112',11575,'1022',55.17,1,3,NULL),(20,5251982,'1991-12-16 00:00:00',4,1,12,2008,'M','N','CENTRO','LONDRINA','PR','116222221117471531338911214124610164126',12492,'9998',53.36,1,3,NULL),(20,5251990,'1990-08-25 00:00:00',4,1,7,2009,'F','N','ARMACAO','FLORIANÓPOLIS','SC','124243207136171411327679295124610162091',NULL,'9998',38.91,4,1,2),(20,5252008,'1992-04-10 00:00:00',2,1,12,2009,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241415231431536514575124610122191',8422,'300',59.31,1,3,NULL),(20,5252016,'1991-02-13 00:00:00',4,1,12,2008,'F','N','CENTRO','CASCAVEL','PR','116162161216111411468834385122140618142',7430,'9998',62.94,1,3,NULL),(20,5252024,'1989-12-06 00:00:00',2,1,12,2009,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241247217131431576623245134610125147',NULL,'9999',0.00,1,3,NULL),(20,5252040,'1992-05-07 00:00:00',4,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124244241215123531445669572124610143096',696,'1022',83.06,1,3,NULL),(20,5252059,'1990-03-09 00:00:00',4,1,12,2007,'M','N','JARDIM ITALIA','ITAPETININGA','SP','125252251217572431256823471122610134057',4720,'9998',65.53,1,3,NULL),(20,5252067,'1987-07-14 00:00:00',4,5,12,2005,'M','N','BOM FIM','PTO ALEGRE','RS','120201201115571431366832275115610164047',NULL,'9998',0.00,1,2,1),(20,5252075,'1987-08-06 00:00:00',4,1,12,2004,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124251251117371331634854345114610127182',NULL,'9998',29.69,1,2,1),(20,5252091,'1971-09-19 00:00:00',4,1,10,1992,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241246146374731353343232332221426065',NULL,'306',47.82,2,2,1),(20,5252105,'1992-07-04 00:00:00',4,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215122431456933575112610122097',9982,'270',58.18,1,3,NULL),(20,5252113,'1989-12-27 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124246241416472431648812582122610117067',NULL,'1022',40.34,1,3,NULL),(20,5252121,'1991-02-06 00:00:00',4,6,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116122128216211712354411395122610113097',11009,'9998',53.44,3,3,NULL),(20,5252130,'1992-10-27 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431488832575122610124051',10885,'1022',55.20,1,3,NULL),(20,5252148,'1992-04-27 00:00:00',2,1,12,2009,'F','N','HAUER','CURITIBA','PR','116163161417111751226679592124610168057',NULL,'9998',27.71,4,3,NULL),(20,5252156,'1988-01-21 00:00:00',2,1,12,2004,'M','N','CENTRO','STA MARIA','RS','120201201117571741668833295115142467043',3108,'9998',73.19,1,2,1),(20,5252172,'1991-06-15 00:00:00',4,1,12,2009,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241115141431436634342124610127042',16318,'733',39.81,1,2,1),(20,5252180,'1991-04-09 00:00:00',4,9,12,2009,'F','N','SÃO JOÃO','CORREIA PINTO','SC','124242242315131431323921575125610128141',NULL,'960',24.03,1,3,NULL),(20,5252199,'1992-06-04 00:00:00',4,3,12,2009,'F','N','RIBEIRÃO KINDEL','BRAÇO TROMBUDO','SC','124241241147131431323336572324610124057',NULL,'103',28.38,1,2,1),(20,5252210,'1993-02-12 00:00:00',4,8,11,2009,'F','N','PROFIPO','JOINVILLE','SC','124241241217111432458914572122610142042',5823,'9997',64.99,1,3,NULL),(20,5252229,'1991-04-20 00:00:00',2,8,12,2008,'F','N','ITINGA','JOINVILLE','SC','124241242111111411626923471224610165177',10883,'24',51.91,2,2,1),(20,5252245,'1983-04-12 00:00:00',4,6,12,2001,'F','N','XAXIM','CURITIBA','PR','116164161216571411425811281112140262197',NULL,'9998',0.00,3,3,NULL),(20,5252253,'1992-12-31 00:00:00',2,9,12,2009,'F','N','TRIBUTO','LAGES','SC','124241241114271331525323571324610128027',13226,'505',51.91,4,2,1),(20,5252261,'1992-09-09 00:00:00',2,10,11,2009,'F','N','CENTRO','BRAÇO NORTE','SC','124244241216152431436731575124610168077',NULL,'9997',0.00,1,3,NULL),(20,5252270,'1993-03-11 00:00:00',2,1,12,2009,'F','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241115471411428314572124612056172',12476,'592',51.80,1,2,1),(20,5252288,'1992-01-11 00:00:00',4,1,11,2009,'F','N','CENTRO','OLÍMPIA','SP','125252251216371431456712275122610166142',13302,'9998',51.74,1,3,NULL),(20,5252296,'1992-11-12 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241212111431648612572122610112077',10870,'270',54.02,4,3,NULL),(20,5252300,'1992-06-06 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217113521488812471122610162054',5920,'270',66.20,1,3,NULL),(20,5252318,'1991-10-09 00:00:00',4,1,12,2009,'M','N','PRAIA COMPRIFA','S JOSÉ','SC','124241248125141731425614345122610127047',NULL,'733',0.00,1,2,1),(20,5252326,'1992-04-28 00:00:00',2,6,12,2009,'F','N','ANDORINHA','ITAPEMA','SC','124242241215111431386612575112610164142',NULL,'1172',18.35,1,3,NULL),(20,5252342,'1989-09-15 00:00:00',4,8,11,2007,'M','N','JARDIM SHANGRILÁ','CUIABÁ','MT','111112111215571431568824475124610121057',6085,'9998',63.12,4,3,NULL),(20,5252350,'1991-01-01 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241115471431528613372122610124145',NULL,'298',27.08,1,3,NULL),(20,5252369,'1991-01-16 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241137231431123344342114610162147',NULL,'307',29.77,1,2,1),(20,5252377,'1991-08-18 00:00:00',4,5,11,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241215472411348823575122610167112',2184,'226',76.21,1,3,NULL),(20,5252385,'1990-08-11 00:00:00',4,1,11,2008,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125254251217471441363923471112610145117',7706,'9998',60.71,1,3,NULL),(20,5252393,'1991-07-24 00:00:00',4,1,12,2009,'F','N','BELA VISTA I','S JOSÉ','SC','124244247435271431238623572124610152142',NULL,'9999',30.56,1,3,NULL),(20,5252407,'1990-01-26 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217374431548814276114610134112',3203,'724',72.66,1,3,NULL),(20,5252415,'1990-05-28 00:00:00',2,1,11,2008,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242247212141431636833572112610123142',NULL,'9999',0.00,1,3,NULL),(20,5252423,'1992-01-24 00:00:00',2,1,12,2009,'M','N','CACUPE','FLORIANÓPOLIS','SC','124241241145141432432361242124610122147',14049,'288',47.39,1,2,1),(20,5252431,'1993-08-18 00:00:00',4,1,12,2010,'F','S','PAES LEME','IMBITUBA','SC','124242241215151431337934372112610128142',NULL,'9997',54.32,1,3,NULL),(20,5252440,'1992-04-19 00:00:00',4,4,12,2009,'F','N','INTERIOR','S JOSÉ CEDRO','SC','124241241114371451334315572122610138057',NULL,'740',0.00,1,2,1),(20,5252458,'1985-01-19 00:00:00',4,1,12,2002,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216114711367813495122321723042',862,'262',82.11,1,3,NULL),(20,5252466,'1992-11-18 00:00:00',4,1,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215111431448712595112610127012',10782,'9997',56.71,4,3,NULL),(20,5252474,'1992-04-09 00:00:00',4,8,12,2009,'M','N','CENTRO','ARARAS','SP','125252251216111531338931575122610131084',12829,'9998',49.77,1,3,NULL),(20,5252482,'1989-04-16 00:00:00',4,1,11,2006,'M','N','BELA VISTA','PTO ALEGRE','RS','120202201217571751246823572122610168032',692,'9998',83.24,1,3,NULL),(20,5252490,'1990-09-07 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241112141751536614245123230847022',NULL,'733',26.22,1,3,NULL),(20,5252504,'1991-07-14 00:00:00',4,1,12,2008,'F','N','JARDIM DAS INDUSTRIA','S JOSÉ CAMPOS','SP','125252251217271431366612575122610167053',NULL,'9998',0.00,1,3,NULL),(20,5252512,'1985-06-18 00:00:00',2,1,12,2001,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241212374731566623372114230213067',15342,'1169',46.81,1,3,NULL),(20,5252520,'1992-09-21 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242248235121411469932425122610132122',13772,'226',50.78,1,3,NULL),(20,5252547,'1992-02-14 00:00:00',4,10,12,2009,'M','N','CENTRO','RIO FORTUNA','SC','124241241147161531336932142122610137042',NULL,'665',23.85,1,2,1),(20,5252555,'1993-07-27 00:00:00',2,5,12,2010,'F','S','DAS DAMAS','URUSSANGA','SC','124242248215371731425912272124610167047',NULL,'226',21.99,1,3,NULL),(20,5252571,'1980-01-18 00:00:00',2,1,12,1999,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124141148126331421124644445334610124077',NULL,'9998',46.88,2,1,1),(20,5252580,'1990-04-30 00:00:00',2,1,6,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241114472411558911571124610147187',4256,'306',70.15,1,2,1),(20,5252598,'1993-12-02 00:00:00',4,2,12,2010,'F','S','VELHA','BLUMENAU','SC','124241241215111431558632575124610137077',NULL,'855',44.59,1,3,NULL),(20,5252601,'1974-10-02 00:00:00',2,1,12,1991,'M','N','CENTRO','FLORIANÓPOLIS','SC','124251251327133421236654282134141427047',12175,'9998',54.03,1,3,NULL),(20,5252610,'1989-04-01 00:00:00',2,8,11,2006,'M','N','FATIMA','ERECHIM','RS','120202201236574321447731575114610167061',4044,'9998',70.32,1,3,NULL),(20,5252628,'1990-05-09 00:00:00',2,1,12,2007,'M','N','FORQUIHAS','S JOSÉ','SC','124241241131163431455714575124221466012',10718,'734',56.84,1,2,1),(20,5252636,'1990-08-23 00:00:00',2,10,12,2008,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241248136131431523923491124610128182',NULL,'158',41.04,1,2,1),(20,5252644,'1991-09-06 00:00:00',2,1,12,2008,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124242248212472351343311372124613214057',12402,'1074',52.31,1,3,NULL),(20,5252652,'1992-07-25 00:00:00',2,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431433311173124610132077',NULL,'269',49.14,1,3,NULL),(20,5252660,'1992-10-01 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124162241215152431459813574124610167012',384,'270',85.56,1,3,NULL),(20,5252679,'1992-04-22 00:00:00',4,5,11,2009,'M','N','PINHEIRINHO','CRICIÚMA','SC','124242241215111431338831215122610128182',7736,'210',60.33,1,3,NULL),(20,5252687,'1992-05-25 00:00:00',2,10,12,2009,'F','N','NOVA BRASILIA','IMBITUBA','SC','124241248115131531426513432224610113147',NULL,'359',17.02,2,3,NULL),(20,5252695,'1989-10-24 00:00:00',2,1,12,2006,'F','N','CENTRO','PTO UNIÃO','SC','124242241216473751568813595124610168197',9647,'633',58.43,1,3,NULL),(20,5252709,'1991-03-18 00:00:00',2,1,12,2009,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241115271431433923472124610117147',NULL,'592',26.36,1,3,NULL),(20,5252717,'1990-03-08 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241135131431626324312214610127042',NULL,'307',40.31,4,1,1),(20,5252725,'1959-04-10 00:00:00',4,1,12,1980,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124203201222131431236549491124343236097',13826,'9998',50.70,1,3,NULL),(20,5252733,'1992-08-01 00:00:00',4,1,12,2009,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241317121711459613442122610124052',NULL,'1022',56.27,1,3,NULL),(20,5252750,'1992-09-22 00:00:00',4,5,11,2009,'F','N','SÃO CRISTÓVÃO','CRICIÚMA','SC','124241248417111431444315452124610131072',9852,'9997',58.44,1,3,NULL),(20,5252768,'1992-11-24 00:00:00',4,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241115371431424311575124610127052',NULL,'733',25.62,1,2,1),(20,5252776,'1993-08-12 00:00:00',4,1,12,2010,'F','S','KOBRASOL','S JOSÉ','SC','124242241215111431246629575122610136097',NULL,'723',48.72,1,3,NULL),(20,5252784,'1988-02-08 00:00:00',2,3,12,2005,'M','N','JARDIM ACLIMAÇÃO','APUCARANA','PR','116164161216573431335627572322141564197',98,'9998',90.16,1,3,NULL),(20,5252792,'1988-09-26 00:00:00',4,8,12,2006,'M','N','OFICINAS','PNT GROSSA','PR','116163161117371431646731294121142667097',555,'9998',84.17,1,3,NULL),(20,5252806,'1978-01-16 00:00:00',4,1,12,1996,'F','N','KOBRASOL II','S JOSÉ','SC','124241241112434721336313412224121413181',NULL,'293',26.08,2,1,1),(20,5252814,'1991-02-21 00:00:00',4,1,12,2008,'F','N','BELA VISTA','BAURU','SP','125253256135471411538723275122610141172',4450,'9998',67.34,1,3,NULL),(20,5252822,'1992-06-15 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117371431424414576124610124197',NULL,'285',26.57,1,3,NULL),(20,5252830,'1991-09-22 00:00:00',2,1,12,2009,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241112111711523311182124610124092',NULL,'307',20.59,1,2,1),(20,5252849,'1992-01-06 00:00:00',4,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124242241215121411357814572122610114147',NULL,'300',0.00,1,3,NULL),(20,5252865,'1992-03-01 00:00:00',2,15,12,2009,'M','N','SAO JOSE','SOMBRIO','SC','124241241137131432413454582225610132032',NULL,'1033',0.00,1,2,1),(20,5252873,'1989-11-12 00:00:00',2,16,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124241241117372431125723245123610137057',NULL,'239',41.66,1,2,1),(20,5252890,'1978-08-02 00:00:00',5,1,12,1997,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241248126131421443319285124330226097',NULL,'808',27.72,1,3,NULL),(20,5252903,'1970-02-01 00:00:00',2,1,12,1999,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124101247323472411411344143344610161187',NULL,'270',25.17,2,1,2),(20,5252920,'1992-04-29 00:00:00',2,1,12,2009,'M','N','ZONA SETE','MARINGÁ','PR','116162161216111431365513575122610167142',1562,'9998',77.76,1,3,NULL),(20,5252954,'1993-11-01 00:00:00',4,5,11,2010,'F','S','CENTRO','CRICIÚMA','SC','124242241212111411359914575122610126122',NULL,'9997',29.30,1,3,NULL),(20,5252962,'1993-06-07 00:00:00',2,5,10,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241216111431449914272122610166177',2513,'213',74.50,1,3,NULL),(20,5252970,'1992-09-09 00:00:00',4,8,12,2009,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116161161214121451466634572124610124147',13875,'9998',45.74,1,3,NULL),(20,5252997,'1985-12-08 00:00:00',4,1,12,2003,'F','N','JD ITAPEVA','S PAULO','SP','125253251316571431365923445124143234097',8452,'9998',61.01,3,3,NULL),(20,5253004,'1991-12-11 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241135372431226921375124131026042',NULL,'307',33.46,1,2,1),(20,5253020,'1990-08-15 00:00:00',2,1,7,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115271731466832295122610124112',NULL,'739',29.49,1,2,1),(20,5253039,'1989-03-24 00:00:00',4,1,12,2006,'M','N','JEREISSATI','MARACANAÚ','CE','106061061116161741325574391325610168187',10060,'9998',56.43,4,1,1),(20,5253047,'1992-10-28 00:00:00',2,1,12,2010,'M','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241217111431568811575124610137112',NULL,'262',27.67,1,3,NULL),(20,5253055,'1984-05-12 00:00:00',2,1,12,2004,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126132411221379245114610124047',NULL,'595',21.64,1,3,NULL),(20,5253063,'1993-03-10 00:00:00',5,15,12,2009,'F','N','SAPIRANGA','MELEIRO','SC','124241241115111431533315571124610134057',NULL,'559',0.00,1,3,NULL),(20,5253071,'1991-01-23 00:00:00',4,1,12,2008,'F','N','UNIVERSITARIO','TIJUCAS','SC','124244251415472411646611341114610165072',NULL,'9998',26.11,4,3,NULL),(20,5253080,'1992-09-01 00:00:00',4,8,12,2009,'M','N','COMASA','JOINVILLE','SC','124241248215111431446819575111233267041',NULL,'1105',28.81,1,3,NULL),(20,5253098,'1992-07-23 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216111731449921574124610136177',2755,'1076',73.73,1,3,NULL),(20,5253101,'1990-04-16 00:00:00',2,15,12,2007,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124243241116152731335823435125231464045',NULL,'29',28.64,1,3,NULL),(20,5253110,'1992-07-16 00:00:00',4,1,12,2009,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241117131431425334575121610132177',14201,'591',47.15,1,2,1),(20,5253128,'1994-02-09 00:00:00',4,1,11,2010,'M','S','CARIANOS','FLORIANÓPOLIS','SC','124242241215151711369613595122610137042',NULL,'270',32.67,1,3,NULL),(20,5253136,'1991-10-14 00:00:00',4,9,12,2008,'M','N','PANAZZOLO','CAXIAS SUL','RS','120202201217571531568831572121610167017',8696,'9998',57.24,1,3,NULL),(20,5253144,'1992-01-28 00:00:00',2,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241212113411589813572114610167042',10386,'270',55.15,1,3,NULL),(20,5253152,'1991-12-10 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217372431579953581114610161061',6179,'270',63.81,1,3,NULL),(20,5253160,'1991-12-22 00:00:00',2,8,11,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215111431578933155124610122077',NULL,'486',46.54,1,3,NULL),(20,5253179,'1992-09-29 00:00:00',4,1,12,2009,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241115131431424614575324610127077',NULL,'772',16.02,1,3,NULL),(20,5253187,'1992-04-08 00:00:00',4,10,11,2009,'M','N','OFICINAS','TUBARÃO','SC','124232241217111731458611471121610167117',6682,'807',64.54,2,1,2),(20,5253195,'1992-03-19 00:00:00',2,1,11,2009,'M','N','SUMARÉ','RIO SUL','SC','124244241215112731456633575123610137052',11631,'991',55.07,1,3,NULL),(20,5253209,'1985-09-14 00:00:00',4,1,12,2004,'M','N','SERRARIA','S JOSÉ','SC','124242241111175431323317381224610124097',NULL,'257',0.00,1,3,NULL),(20,5253217,'1991-02-08 00:00:00',4,1,11,2008,'M','N','RIO BRANCO','PTO ALEGRE','RS','120243241216372431328821415124610167147',NULL,'44',0.00,1,3,NULL),(20,5253225,'1987-11-25 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241136312431436411485124610147042',NULL,'307',19.97,2,1,1),(20,5253233,'1993-01-27 00:00:00',4,16,12,2009,'F','N','SÃO JOSÉ','FRAIBURGO','SC','124241241115131231436314252122610124047',NULL,'314',21.75,4,2,1),(20,5253241,'1980-03-26 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216375751458932495122230232122',6968,'270',62.08,1,3,NULL),(20,5253250,'1991-03-20 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241216371431182423223114620168177',1530,'723',77.53,1,3,NULL),(20,5253284,'1992-02-14 00:00:00',4,1,12,2009,'M','N','MALOTA','JUNDIAÍ','SP','125252251235171431468834575122610167042',8149,'9998',58.60,1,3,NULL),(20,5253292,'1991-10-11 00:00:00',4,1,12,2009,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124243241115372431667839575124610117057',2441,'271',75.30,1,3,NULL),(20,5253306,'1992-07-25 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431378813575114610164077',6150,'262',65.69,1,3,NULL),(20,5253314,'1992-02-07 00:00:00',2,1,12,2008,'F','N','ANES','PASSO FUNDO','RS','120204121216472731328419575325610138077',11832,'9998',52.90,4,3,NULL),(20,5253322,'1992-02-25 00:00:00',2,15,12,2009,'M','N','IGRA NORTE','TORRES','RS','120202201217111431353723575122610168052',NULL,'9998',0.00,1,3,NULL),(20,5253330,'1990-03-15 00:00:00',2,1,12,2007,'F','N','SÃO CRISTÓRVÃO','CHAPECÓ','SC','124241241215113441426511311224221716037',NULL,'983',27.13,1,3,NULL),(20,5253349,'1989-11-01 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241415134431259923332314231836092',2262,'1022',75.95,1,3,NULL),(20,5253365,'1992-04-15 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215122431329923495114610168142',12434,'270',50.88,1,3,NULL),(20,5253373,'1991-11-11 00:00:00',4,8,12,2008,'M','N','SANTA QUITÉRIA','CURITIBA','PR','116161161135471731536933571324610166047',NULL,'9998',0.00,1,2,1),(20,5253381,'1992-04-23 00:00:00',4,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242248217151411489913576122610136091',NULL,'1086',27.04,1,3,NULL),(20,5253390,'1989-01-20 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241212574431568913392124610167017',3630,'751',71.43,1,3,NULL),(20,5253403,'1991-10-14 00:00:00',4,8,12,2008,'M','N','BATEL','CURITIBA','PR','116162161216471431458811415122610168182',NULL,'9998',40.97,1,3,NULL),(20,5253411,'1982-12-03 00:00:00',4,1,12,2001,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124253251117131231238841212124141921042',10748,'9998',56.78,1,3,NULL),(20,5253420,'1992-06-15 00:00:00',4,1,11,2009,'M','N','BELA VISTA','CPO GRANDE','MS','125122251237111431468911275122610144122',2025,'9998',76.05,4,3,NULL),(20,5253438,'1991-03-28 00:00:00',2,1,12,2009,'M','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124243241217372441527313371324610167057',7909,'944',59.16,1,3,NULL),(20,5253446,'1992-12-19 00:00:00',4,8,12,2009,'F','N','CENTRO','FARROUPILHA','RS','120222201336151731369613275122610126057',NULL,'9998',29.89,1,3,NULL),(20,5253454,'1990-07-28 00:00:00',4,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161216371431228833571124610124092',11557,'9998',53.34,1,3,NULL),(20,5253462,'1991-12-16 00:00:00',4,2,10,2009,'F','N','ÁGUA VERDE','BLUMENAU','SC','124242241215111431536923372124610122175',NULL,'855',31.32,1,3,NULL),(20,5253489,'1991-02-03 00:00:00',4,1,12,2008,'M','N','SANTA CECÍLIA','S PAULO','SP','125252251217271431259812575122610164052',NULL,'9998',0.00,1,3,NULL),(20,5253497,'1991-11-08 00:00:00',2,1,12,2009,'M','N','FUNDOS','BIGUAÇU','SC','124241241116131332423314575211610112175',16032,'65',43.88,1,3,NULL),(20,5253519,'1994-03-10 00:00:00',4,4,12,2010,'M','S','CENTRO','CHAPECÓ','SC','124242241216111431468619575122610167122',NULL,'168',50.53,1,3,NULL),(20,5253527,'1993-07-22 00:00:00',4,8,12,2009,'M','N','VILA NOVA','JOINVILLE','SC','124242241215111431456812222112610162122',5457,'1063',67.21,1,3,NULL),(20,5253535,'1992-02-07 00:00:00',2,1,12,2008,'F','N','JARDIM OLIMPICO','MARINGÁ','PR','116161161116371111437639582112610127182',NULL,'9998',29.05,1,2,1),(20,5253543,'1979-06-25 00:00:00',2,1,12,1998,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624253251127131431633879291124141066197',NULL,'9998',47.45,1,3,NULL),(20,5253551,'1986-10-06 00:00:00',2,1,11,2005,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124243241117372431447839381124610127077',6386,'306',63.96,1,3,NULL),(20,5253578,'1992-10-18 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124244241215113431449933573122610147147',7979,'738',61.34,1,3,NULL),(20,5253586,'1987-03-15 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161241136244451117149195334121768187',11293,'292',55.72,1,2,1),(20,5253608,'1967-01-31 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241245126135431323319482324610122187',NULL,'307',39.71,1,2,1),(20,5253616,'1981-05-15 00:00:00',4,15,12,1998,'M','N','CENTRO','ARARANGUÁ','SC','224241241417142421235942425332130268045',NULL,'29',31.88,1,3,NULL),(20,5253624,'1991-09-21 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215373431448833572122131437042',858,'270',82.13,1,3,NULL),(20,5253632,'1992-05-02 00:00:00',4,2,10,2009,'F','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124241241214121431458614572124610134142',4719,'86',66.14,1,3,NULL),(20,5253640,'1991-12-11 00:00:00',4,1,12,2009,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125252251215111441466614575114610167077',5335,'9998',66.32,1,3,NULL),(20,5253659,'1977-12-05 00:00:00',2,1,12,1993,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124253257226131312221379345124610126027',NULL,'9998',17.87,2,1,2),(20,5253667,'1991-12-15 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215473431489911575114610164062',693,'226',83.13,1,3,NULL),(20,5253675,'1992-12-03 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111731479933432124610167162',9153,'262',56.31,1,3,NULL),(20,5253683,'1992-04-21 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215371431346813575122610122042',4652,'738',69.11,1,3,NULL),(20,5253691,'1992-05-17 00:00:00',2,5,12,2009,'F','N','PIO CORRÊA','CRICIÚMA','SC','124242241215221431357814342115610121113',NULL,'226',23.69,1,3,NULL),(20,5253705,'1991-11-05 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124244241215111411347929572122610124197',NULL,'1076',26.14,1,3,NULL),(20,5253713,'1991-07-19 00:00:00',2,1,11,2008,'M','N','EMBARE','SANTOS','SP','125252251216471132557613575122610164034',12140,'9998',50.22,1,3,NULL),(20,5253721,'1991-01-25 00:00:00',4,1,11,2008,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215372731467831575114610117142',3954,'270',70.97,4,3,NULL),(20,5253730,'1990-08-29 00:00:00',2,4,12,2007,'F','N','CENTRO','DOIS VIZINHOS','PR','116161161316571411469514572122610126017',NULL,'9998',0.00,1,3,NULL),(20,5253748,'1990-10-02 00:00:00',2,3,12,2007,'F','N','ZONA SEIS','MARINGÁ','PR','116162168215572431555716372122610135017',NULL,'9998',0.00,1,3,NULL),(20,5253756,'1992-05-14 00:00:00',4,1,12,2009,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251217111431568814572112610123152',3652,'9998',71.17,1,3,NULL),(20,5253764,'1986-01-03 00:00:00',2,15,12,2003,'M','N','COLONINHA','ARARANGUÁ','SC','124241241112132411123344142221130714111',NULL,'29',40.63,1,3,NULL),(20,5253772,'1980-12-01 00:00:00',2,1,12,1999,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124201205116132711123349492314142224097',13815,'9998',50.72,1,2,1),(20,5253780,'1990-12-05 00:00:00',2,1,12,2007,'F','N','BOM FIM','PTO ALEGRE','RS','120203201111571441447833591124610116147',NULL,'9998',0.00,1,3,NULL),(20,5253802,'1991-12-12 00:00:00',4,5,12,2009,'F','N','HIGIENOPOLIS','PIRACICABA','SP','125252251216111741467632172122610124142',NULL,'9998',0.00,1,3,NULL),(20,5253829,'1993-05-28 00:00:00',4,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215153431369611575124610148125',158,'270',88.80,1,3,NULL),(20,5253837,'1991-10-12 00:00:00',2,8,12,2008,'F','N','SANTA CATARINA','JOINVILLE','SC','124243241216471441226412575124610127077',14517,'456',49.20,1,3,NULL),(20,5253845,'1992-12-08 00:00:00',2,4,12,2009,'F','N','JARDIM','CONCÓRDIA','SC','124241241145131531643417111325610117057',NULL,'984',23.31,1,3,NULL),(20,5253853,'1991-09-26 00:00:00',2,8,12,2008,'F','N','CENTRO','CPO LARGO','PR','116252161216471431548539594124610124017',5216,'9998',66.61,1,3,NULL),(20,5253870,'1991-10-01 00:00:00',2,4,12,2008,'F','N','MORUMBI','S PAULO','SP','125251251226471431443434575122610127047',8011,'9998',58.85,1,3,NULL),(20,5253888,'1992-08-07 00:00:00',2,2,11,2009,'F','N','CENTRO','BENEDITO NOVO','SC','124244241216112431448811415124610124187',11440,'1157',52.29,1,3,NULL),(20,5253896,'1992-05-02 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241217112421477712375122610127045',10953,'270',54.97,1,3,NULL),(20,5253900,'1993-04-13 00:00:00',4,1,11,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215131731436623375122610168145',NULL,'272',33.41,1,3,NULL),(20,5253918,'1991-11-23 00:00:00',4,1,11,2009,'F','N','JARDIM LUSITANIA','S PAULO','SP','225252251215111431488811575122610167122',10451,'9998',54.93,1,3,NULL),(20,5253934,'1994-05-31 00:00:00',2,2,12,2011,'F','S','ITOUPAVA CENTRAL','BLUMENAU','SC','124243241212111431447614592124610124077',NULL,'71',42.58,1,3,NULL),(20,5253942,'1992-04-29 00:00:00',4,2,12,2009,'F','N','CENTRO','POMERODE','SC','124241241215271431456523336124610123192',6739,'624',62.85,1,3,NULL),(20,5253950,'1992-01-30 00:00:00',2,6,12,2008,'F','N','BOQUEIRAO','CURITIBA','PR','116162161216471441456934585124610133147',NULL,'9998',0.00,1,3,NULL),(20,5253969,'1989-08-19 00:00:00',4,8,12,2006,'F','N','TOMAS COELHO','BRUSQUE','SC','124241241115131731434414385113132834047',NULL,'1019',29.41,1,2,1),(20,5253977,'1984-12-19 00:00:00',4,8,12,2002,'M','N','BANANAL','GUARAMIRIM','SC','124241241126161722544314345112610162047',NULL,'337',10.66,1,2,1),(20,5253985,'1980-08-02 00:00:00',4,8,11,1997,'F','N','ESPINHEIROS','JOINVILLE','SC','624161161126131431223343132321141363057',15110,'9998',44.56,1,2,1),(20,5253993,'1992-03-08 00:00:00',4,1,12,2009,'M','N','JARDIM AMPLIAÇÃO','S PAULO','SP','125252251217111411488831595122610156077',NULL,'9998',0.00,1,3,NULL),(20,5254000,'1991-07-31 00:00:00',4,1,11,2009,'M','N','BELA VISTA','S JOSÉ','SC','124241241136141711626434245334610144032',5091,'726',65.77,4,2,1),(20,5254019,'1991-11-25 00:00:00',4,4,11,2008,'F','N','CENTRO','ESTAÇÃO','RS','120201201215371431469912591124610163072',4851,'9998',68.22,1,3,NULL),(20,5254027,'1987-07-22 00:00:00',2,1,12,2005,'F','N','FÁTIMA','PTO ALEGRE','RS','120202201216571431236629495124610148187',13755,'9998',45.87,1,3,NULL),(20,5254035,'1991-12-02 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111751457723572124610133187',NULL,'1022',29.85,1,3,NULL),(20,5254043,'1983-08-04 00:00:00',2,1,7,2004,'F','N','AREIAS','S JOSÉ','SC','124241241147432431113344442334610124187',NULL,'9999',46.47,1,2,1),(20,5254060,'1992-02-21 00:00:00',2,7,12,2009,'F','N','MARAFON','VIDEIRA','SC','124241241112131431433331112124610118097',NULL,'831',0.00,1,2,1),(20,5254078,'1992-10-03 00:00:00',4,1,12,2009,'F','N','CENTRO','IMBÉ','RS','120203201116152731443833235122610135142',9749,'9998',57.01,1,3,NULL),(20,5254086,'1992-11-07 00:00:00',4,1,12,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124242241215112431436716342124610167143',NULL,'948',37.64,1,3,NULL),(20,5254094,'1980-05-17 00:00:00',2,1,12,1999,'M','N','CENTRO','PALHOÇA','SC','224241241434145411227643232114123067043',NULL,'9999',0.00,1,3,NULL),(20,5254116,'1991-10-04 00:00:00',4,8,11,2009,'F','N','FLORESTA','JOINVILLE','SC','124243241216132431444834471124610123052',9276,'459',57.23,1,3,NULL),(20,5254132,'1992-10-29 00:00:00',4,1,12,2009,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161215121431569921575122610164013',NULL,'9998',0.00,1,3,NULL),(20,5254140,'1991-07-08 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472221388924477112610117081',NULL,'270',25.70,1,3,NULL),(20,5254159,'1992-08-24 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241115111231568613576124610163037',11309,'267',52.53,1,3,NULL),(20,5254175,'1992-01-28 00:00:00',4,1,11,2009,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111431468712575124610123142',4668,'270',67.71,1,3,NULL),(20,5254191,'1992-05-12 00:00:00',4,1,12,2010,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431369913472122610164142',NULL,'270',26.34,1,3,NULL),(20,5254221,'1992-04-03 00:00:00',4,7,11,2009,'F','N','SANTA TERESA','JOAÇABA','SC','124242241215131731436712295122610168182',NULL,'446',25.13,1,3,NULL),(20,5254230,'1993-02-15 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215111431468934575124610127161',NULL,'1022',27.10,1,3,NULL),(20,5254248,'1992-05-13 00:00:00',4,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124243241212111431663414572342610115012',15884,'1074',44.70,1,3,NULL),(20,5254256,'1990-10-03 00:00:00',2,1,12,2008,'M','N','TAQUARAS','RANCHO QUEIMADO','SC','624241241121161431436933281223231941177',NULL,'649',19.41,1,2,1),(20,5254272,'1991-12-24 00:00:00',4,1,12,2009,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241115151732323334272324610144197',15664,'307',45.64,1,2,1),(20,5254280,'1992-10-20 00:00:00',4,3,11,2009,'F','N','CASA BRANCA','ITAPEMA','SC','124241241215121431426679595122610166192',7901,'9997',59.75,4,3,NULL),(20,5254299,'1993-02-14 00:00:00',4,1,12,2010,'M','S','CARIANOS','FLORIANÓPOLIS','SC','124244241215111431489819395124610168122',NULL,'1133',71.61,1,3,NULL),(20,5254329,'1992-11-11 00:00:00',4,8,12,2009,'F','N','UVARANAS','PNT GROSSA','PR','116162161215221411338833575112610144141',10997,'9998',56.30,1,3,NULL),(20,5254337,'1992-02-18 00:00:00',4,1,12,2009,'M','N','MORUMBI','S PAULO','SP','125252251217471711363924272124610164097',14439,'9998',46.89,1,3,NULL),(20,5254345,'1992-09-26 00:00:00',2,8,12,2009,'F','N','BACACHARI','CURITIBA','PR','116162161212472421438621585112610166072',NULL,'9998',24.97,1,3,NULL),(20,5254353,'1989-07-17 00:00:00',2,4,12,2006,'F','N','SANTA INES','FORMOSA SUL','SC','124241241123131431514344342344610124147',NULL,'308',0.00,1,2,1),(20,5254361,'1991-07-08 00:00:00',2,2,12,2009,'M','N','SETE DE SETEMBRO','GASPAR','SC','124244248413111731459813343122610124182',NULL,'1137',0.00,1,3,NULL),(20,5254370,'1993-05-25 00:00:00',4,1,11,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111441438732575124610148012',13376,'1022',48.75,1,3,NULL),(20,5254388,'1992-07-25 00:00:00',4,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124242241215111431456614575122610144091',NULL,'806',67.68,1,3,NULL),(20,5254396,'1987-12-13 00:00:00',2,1,12,2005,'F','N','ZONA SETE','MARINGÁ','PR','116112111236571411455315572122610144017',7853,'9998',59.70,1,3,NULL),(20,5254400,'1985-05-12 00:00:00',2,1,11,2007,'M','N','INLGESES','FLORIANÓPOLIS','SC','124241161147141222656934342114610124091',NULL,'9998',28.83,1,3,NULL),(20,5254418,'1982-01-30 00:00:00',2,4,12,2000,'M','N','COQUEIRAL','CASCAVEL','PR','216161161116471431325516481124343226077',4695,'9998',69.10,1,2,1),(20,5254426,'1991-03-03 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215372431547912575124231936152',202,'270',87.93,1,3,NULL),(20,5254434,'1991-06-24 00:00:00',4,15,12,2008,'F','N','VILA BEATRIZ','MARACAJÁ','SC','124241241116152431437933575124232527147',NULL,'30',23.45,1,2,1),(20,5254442,'1991-09-27 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215153431568719595122221467045',NULL,'270',0.00,1,3,NULL),(20,5254450,'1991-12-04 00:00:00',4,1,12,2009,'M','N','JARDIM TIJUCO','GUARULHOS','SP','125252251115371431436823575124610114092',10866,'9998',52.64,1,3,NULL),(20,5254469,'1991-10-08 00:00:00',2,8,12,2008,'M','N','GUANABARA','JOINVILLE','SC','124241246216131751336631345124610168042',14976,'1105',47.95,1,3,NULL),(20,5254477,'1991-09-23 00:00:00',4,1,12,2008,'F','N','CENTRO','LONDRINA','PR','116162161215311711528936575122610166142',5153,'9998',67.94,1,3,NULL),(20,5254485,'1991-09-27 00:00:00',2,1,12,2009,'F','N','GUAIANAZES','S PAULO','SP','125251251117471431433823575124610122147',NULL,'9998',0.00,4,1,1),(20,5254493,'1992-12-06 00:00:00',4,10,12,2009,'F','N','PAES LEME','IMBITUBA','SC','124241241116131411339313575112610126187',NULL,'359',20.59,1,3,NULL),(20,5254507,'1988-01-25 00:00:00',2,1,11,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124132131415472731565612575124143264142',NULL,'9998',35.33,1,3,NULL),(20,5254515,'1991-04-29 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431448814472124610143017',3476,'262',70.64,1,3,NULL),(20,5254523,'1992-11-19 00:00:00',4,1,11,2009,'M','N','CENTRO','REALEZA','PR','116164161217111331468916573115610164062',5354,'9998',66.13,1,3,NULL),(20,5254531,'1991-07-20 00:00:00',4,1,11,2008,'F','N','NOSSA SRA ROSÁRIO','S JOSÉ','SC','124243241415132431228623575124610125057',2573,'738',74.06,1,3,NULL),(20,5254558,'1992-09-12 00:00:00',4,1,12,2009,'M','N','BROOKLIN','S PAULO','SP','125252251217121731589814575112610122097',3749,'9998',68.43,1,3,NULL),(20,5254566,'1992-08-21 00:00:00',2,5,11,2009,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241415121431446814344122610138142',7944,'213',60.91,4,3,NULL),(20,5254574,'1992-08-22 00:00:00',2,1,12,2009,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124242241215111231336631575114610167057',9414,'1022',59.23,1,3,NULL),(20,5254582,'1992-09-18 00:00:00',2,1,12,2009,'F','N','CACHOEIRA B JESUS','FLORIANÓPOLIS','SC','124241241115131531215624242224610147157',NULL,'288',32.91,1,2,1),(20,5254590,'1992-05-31 00:00:00',2,5,12,2009,'F','N','JUNDIÁ','TURVO','SC','124241241116152411213325575124610167142',NULL,'814',0.00,1,2,1),(20,5254604,'1991-09-18 00:00:00',2,1,11,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242241215111411336633572124610164142',NULL,'737',43.31,1,3,NULL),(20,5254612,'1991-05-17 00:00:00',4,1,12,2007,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215574431468833575124230232171',6323,'270',65.28,1,3,NULL),(20,5254620,'1991-07-07 00:00:00',4,3,12,2008,'M','N','PIO X','CAXIAS SUL','RS','120201201117152211436514145112241424177',16306,'9998',40.27,1,2,1),(20,5254639,'1991-09-25 00:00:00',4,1,12,2008,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','224241243147142431437679282224610133147',NULL,'285',25.15,1,2,1),(20,5254647,'1992-12-27 00:00:00',4,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215112431448813474122610112142',6792,'807',62.77,1,3,NULL),(20,5254655,'1992-12-18 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111731249923572114610137012',NULL,'270',31.02,2,3,NULL),(20,5254663,'1991-11-12 00:00:00',4,3,12,2008,'M','N','SÃO JOSÉ','CAXIAS SUL','RS','120201201117151641433732115112241424177',NULL,'9998',27.78,4,2,1),(20,5254680,'1992-07-27 00:00:00',2,8,11,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116282161217111751289939375124610143097',NULL,'9998',0.00,1,3,NULL),(20,5254701,'1990-04-05 00:00:00',2,1,12,2007,'F','N','CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC','124282288216471731327613444224141436182',2092,'9998',76.57,1,3,NULL),(20,5254710,'1992-09-09 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241215211731657861572124610128192',12406,'723',51.00,1,3,NULL),(20,5254736,'1993-04-06 00:00:00',4,8,11,2010,'M','S','SAGUAÇÚ','JOINVILLE','SC','124242241217121431368634596115610147142',NULL,'1063',0.00,1,3,NULL),(20,5254744,'1993-03-22 00:00:00',2,7,12,2009,'F','N','INTERIOR','JABORÁ','SC','124241241116271731414315572114610137147',NULL,'418',0.00,4,3,NULL),(20,5254752,'1992-08-13 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241112371231433911235124610122147',NULL,'592',18.38,1,2,1),(20,5254760,'1993-02-20 00:00:00',4,1,11,2010,'F','S','JARDIM ELDORADO','PALHOÇA','SC','124242248215111231436619595122610125042',NULL,'723',41.55,1,3,NULL),(20,5254779,'1990-04-26 00:00:00',2,15,12,2007,'M','N','CRISTO REDENTOR','CAXIAS SUL','RS','120202201215571431356614271112610167047',3436,'9998',69.93,1,3,NULL),(20,5254787,'1987-10-24 00:00:00',4,4,12,2004,'M','N','CENTRO','ERECHIM','RS','120201201116372431325343432114140827047',12445,'9998',49.92,1,2,1),(20,5254795,'1992-02-03 00:00:00',4,1,12,2009,'M','N','VILA MORSE','S PAULO','SP','125244258217151431486861495124610164112',NULL,'9998',16.07,1,3,NULL),(20,5254809,'1992-09-07 00:00:00',4,1,11,2009,'M','N','CENTRO','INDEPENDÊNCIA','RS','120203201215131331356613245124610124177',11148,'9998',53.88,1,3,NULL),(20,5254817,'1992-09-02 00:00:00',4,1,12,2009,'M','N','MERCÊS','CURITIBA','PR','116162161215121432479931572122610147042',NULL,'9998',0.00,1,3,NULL),(20,5254825,'1992-09-03 00:00:00',2,4,11,2009,'M','N','FATIMA','ERECHIM','RS','120202201216151431436612345121610137012',15127,'9998',42.76,1,3,NULL),(20,5254833,'1992-04-24 00:00:00',4,2,11,2009,'M','N','VELHA','BLUMENAU','SC','124241246217131432326631575124610167047',14202,'1018',45.68,1,3,NULL),(20,5254841,'1991-12-07 00:00:00',4,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241212373232426611345124610163181',6065,'1014',65.86,1,3,NULL),(20,5254868,'1992-05-05 00:00:00',2,1,10,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241216121331456312325124610124055',NULL,'269',26.12,1,3,NULL),(20,5254876,'1992-07-22 00:00:00',4,1,10,2009,'M','N','PARQUE SÃP JORGE','FLORIANÓPOLIS','SC','124242241215121431456614576114610127047',5074,'270',66.32,1,3,NULL),(20,5254884,'1984-12-29 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117232421423311445124610163197',NULL,'298',41.74,1,3,NULL),(20,5254892,'1993-07-14 00:00:00',2,5,12,2010,'F','S','BARRO VERMELHO','ORLEANS','SC','124242241215111431447933495122610138197',NULL,'226',42.36,1,3,NULL),(20,5254906,'1990-11-24 00:00:00',4,3,11,2008,'M','N','ZONA DOIS','MARINGÁ','PR','116162161215471431448812592114610166082',NULL,'9998',0.00,1,3,NULL),(20,5254914,'1992-12-08 00:00:00',2,17,12,2009,'M','N','CAMPO DA AGUA VERDE','CANOINHAS','SC','124241241316151431358613575121610137052',13630,'146',48.79,1,3,NULL),(20,5254922,'1988-12-26 00:00:00',2,15,12,2006,'M','N','PIONEIRO','CAXIAS SUL','RS','120201201116572441536632295124610156172',2761,'9998',72.44,1,2,1),(20,5254930,'1960-09-04 00:00:00',2,1,5,2008,'F','N','ARMAÇÃO DO PÂNTANO D','FLORIANÓPOLIS','SC','624203217626131431113548385114143042187',NULL,'9998',43.03,1,3,NULL),(20,5254957,'1990-05-14 00:00:00',4,1,12,2007,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251216521421546622575111610134112',10402,'9998',54.44,1,3,NULL),(20,5254965,'1981-11-02 00:00:00',2,1,12,1996,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241126342431523344345114610126192',NULL,'281',44.54,1,2,1),(20,5254973,'1985-09-05 00:00:00',2,1,12,2003,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241114271411224444342324610127047',NULL,'669',30.27,1,3,NULL),(20,5254981,'1991-04-17 00:00:00',4,1,12,2008,'F','N','AREIAS','PAULO LOPES','SC','124241241136372431223424485122610112175',NULL,'607',29.37,3,2,1),(20,5254990,'1991-05-03 00:00:00',4,1,11,2009,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124244241435111431335823591122610117185',NULL,'1169',0.00,1,3,NULL),(20,5255007,'1993-07-08 00:00:00',2,1,2,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111511634462576122610134077',NULL,'1168',28.45,1,3,NULL),(20,5255023,'1992-04-18 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215112411338632575114610163072',8315,'1022',61.06,1,3,NULL),(20,5255031,'1990-11-13 00:00:00',4,8,12,2008,'F','N','VILA NOVA','JOINVILLE','SC','124243241335222431423316285124610133141',14664,'486',45.14,1,3,NULL),(20,5255040,'1976-09-27 00:00:00',4,1,12,1994,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','224161165116271731234343435134610153013',NULL,'9998',15.56,2,1,1),(20,5255058,'1992-11-01 00:00:00',4,8,11,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111731349613475121610167097',13478,'457',51.44,1,3,NULL),(20,5255074,'1983-10-04 00:00:00',2,8,12,2000,'F','N','CENTRO','CPO LARGO','PR','116132171215511731458433274124343226182',3470,'9998',71.26,1,3,NULL),(20,5255082,'1991-07-08 00:00:00',2,1,12,2009,'F','N','BOM VIVER','BIGUAÇU','SC','124243241116161731546313335124610132142',NULL,'257',27.92,1,3,NULL),(20,5255090,'1992-04-22 00:00:00',4,1,12,2009,'F','N','JARDIM SOCIAL','CURITIBA','PR','116161161217121431644833575124610142197',NULL,'9998',0.00,1,3,NULL),(20,5255104,'1992-10-21 00:00:00',4,15,12,2009,'F','N','SAPIRANGA','MELEIRO','SC','124241241116111331423416175112610122142',NULL,'559',12.08,1,3,NULL),(20,5255139,'1991-04-26 00:00:00',2,1,12,2008,'M','N','AREIAS','S JOSÉ','SC','124241241116152421435834445124610116142',NULL,'734',42.54,1,3,NULL),(20,5255147,'1978-08-27 00:00:00',2,1,11,1995,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','524161161142272431313344245124610144182',NULL,'9998',21.10,1,2,1),(20,5255155,'1990-12-26 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431348713475121610116042',153,'262',89.00,1,3,NULL),(20,5255163,'1992-06-08 00:00:00',4,1,11,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241216121231448613485124610167142',6549,'269',62.94,1,3,NULL),(20,5255171,'1992-07-17 00:00:00',2,4,11,2009,'M','N','CENTRO','ERECHIM','RS','120202201212111231458814271122610167046',15399,'9998',42.45,1,3,NULL),(20,5255180,'1992-03-09 00:00:00',4,1,10,2009,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241415122731446952585124610134141',NULL,'300',57.78,1,3,NULL),(20,5255198,'1993-08-16 00:00:00',2,5,10,2010,'F','S','MINA UNIÃO','CRICIÚMA','SC','124242241215111431478912172124610127052',NULL,'226',0.00,1,3,NULL),(20,5255201,'1990-05-16 00:00:00',4,3,12,2007,'M','N','ACLIMAÇÃO','S PAULO','SP','125252253214571411368711372224610166114',5231,'9998',64.26,1,3,NULL),(20,5255210,'1992-04-23 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217121431469813575112610157046',6412,'1038',65.11,1,3,NULL),(20,5255228,'1992-12-08 00:00:00',2,4,12,2009,'F','N','FRINAPE','ERECHIM','RS','120201201225111431423324575224610134142',NULL,'9998',24.95,1,3,NULL),(20,5255252,'1989-10-21 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217573431369812572122230444097',7478,'270',62.85,1,3,NULL),(20,5255260,'1991-10-25 00:00:00',4,1,12,2008,'M','N','CENTRO','CASCAVEL','PR','116162161215422431489933572122610134062',7389,'9998',61.78,1,3,NULL),(20,5255279,'1986-01-07 00:00:00',2,3,11,2003,'F','N','BOQUEIRÃO','CURITIBA','PR','116162161216371431236619391124610167052',NULL,'9998',39.06,1,3,NULL),(20,5255287,'1989-10-14 00:00:00',4,15,12,2006,'M','N','CENTRO','TERRA AREIA','RS','120204201126573431546313385111610167057',8967,'9998',58.64,1,3,NULL),(20,5255295,'1992-04-23 00:00:00',4,8,11,2009,'F','N','GLÓRIA','JOINVILLE','SC','124242241215111431368831415122610135182',10277,'457',55.30,1,3,NULL),(20,5255309,'1992-11-11 00:00:00',2,1,12,2009,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124242241215131431436832575114610114117',NULL,'1022',24.20,1,3,NULL),(20,5255317,'1991-05-21 00:00:00',4,2,12,2008,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124162241216471431346614575124610144012',14760,'909',48.57,1,3,NULL),(20,5255325,'1991-09-25 00:00:00',4,1,12,2008,'M','N','ZONA DOIS','MARINGÁ','PR','116162161217471751658739576115610164187',NULL,'9998',62.55,1,3,NULL),(20,5255341,'1991-03-10 00:00:00',4,1,12,2008,'M','N','WERNER PLAAS','AMERICANA','SP','125252251417271431478813571124610167097',3935,'9998',68.92,1,3,NULL),(20,5255350,'1993-02-11 00:00:00',4,8,11,2010,'F','S','AMÉRICA','JOINVILLE','SC','124242241215111431568832422122610125097',NULL,'457',59.20,1,3,NULL),(20,5255376,'1991-05-16 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241215472431466511575112610122072',12290,'270',51.89,1,3,NULL),(20,5255384,'1994-03-14 00:00:00',4,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241215111731446639572124610138057',NULL,'1022',34.75,1,3,NULL),(20,5255392,'1991-06-29 00:00:00',4,1,7,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243247217142431536732242111610167181',NULL,'270',25.78,1,3,NULL),(20,5255406,'1992-07-05 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241415151431243824272124610138097',NULL,'267',23.23,1,3,NULL),(20,5255414,'1992-11-21 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431459933431122610116092',NULL,'270',25.66,1,3,NULL),(20,5255422,'1992-11-11 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241216121411556613475114610126197',1539,'1022',77.59,1,3,NULL),(20,5255430,'1988-12-03 00:00:00',4,1,11,2006,'M','N','KOBRASOL','S JOSÉ','SC','124242241216575741469823575114130764072',8010,'737',59.69,1,3,NULL),(20,5255449,'1990-06-19 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431488831575112610162047',3422,'270',70.91,1,3,NULL),(20,5255457,'1991-12-05 00:00:00',2,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244247417311431526831212114610127162',NULL,'9999',47.62,1,3,NULL),(20,5255465,'1992-06-30 00:00:00',2,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124241241135141431535519192132610128183',NULL,'732',22.15,1,2,1),(20,5255473,'1992-10-20 00:00:00',4,1,12,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241215111531438711275114610128012',11774,'1048',49.71,1,3,NULL),(20,5255481,'1991-12-29 00:00:00',2,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241136242541546633594214610165097',NULL,'307',24.42,1,2,1),(20,5255490,'1992-10-11 00:00:00',2,8,12,2009,'M','N','JUVEVE','CURITIBA','PR','116163161134471451563973575124610164057',12830,'9998',48.88,1,3,NULL),(20,5255503,'1991-05-20 00:00:00',4,1,11,2008,'M','N','CAEIRA SACO LIMÕES','FLORIANÓPOLIS','SC','124242241317151412646624445124610137047',NULL,'1022',42.71,1,3,NULL),(20,5255511,'1989-03-27 00:00:00',2,15,12,2006,'M','N','LOURDES','CAXIAS SUL','RS','120201201112571431136835572114610162177',2626,'9998',73.71,1,2,1),(20,5255520,'1992-03-05 00:00:00',4,1,12,2008,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215473231368713572112133237052',1626,'270',77.46,4,3,NULL),(20,5255538,'1992-08-11 00:00:00',2,5,11,2009,'M','N','IMIGRANTES','CRICIÚMA','SC','124242241215131411434933375124610137057',NULL,'210',45.90,2,1,2),(20,5255546,'1992-09-01 00:00:00',4,3,12,2009,'F','N','LAPA','S PAULO','SP','125242251217151431559814572114610124057',9658,'9998',56.08,1,3,NULL),(20,5255554,'1991-03-02 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115472231436923571214610127062',10258,'257',56.31,1,2,1),(20,5255562,'1991-09-30 00:00:00',4,1,12,2009,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241217111231568932422124610127112',NULL,'270',24.59,1,3,NULL),(20,5255570,'1990-06-19 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431488831575112610162047',1145,'270',80.52,1,3,NULL),(20,5255589,'1992-10-29 00:00:00',2,16,12,2009,'M','N','SÃO LUIZ','CURITIBANOS','SC','124241241135271731523739285124610127187',NULL,'239',0.00,4,2,1),(20,5255597,'1991-03-21 00:00:00',4,1,11,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217372431688814275112610137042',14070,'270',50.26,1,3,NULL),(20,5255600,'1992-07-21 00:00:00',4,3,12,2009,'F','N','PORTÃO','CURITIBA','PR','116242161217111731535911215122610124057',6161,'9998',63.02,1,3,NULL),(20,5255627,'1992-10-10 00:00:00',2,3,12,2009,'F','N','CENTRO','CAXIAS SUL','RS','120202201216111431348939572124610121097',NULL,'9998',21.44,1,3,NULL),(20,5255643,'1992-04-27 00:00:00',4,1,12,2009,'M','N','DAS ROSAS','ETN VELHA','RS','120204201417471521469911412125610157043',2780,'9998',73.38,1,3,NULL),(20,5255651,'1984-03-01 00:00:00',2,1,12,2001,'F','N','TIRADENTES','CPO GRANDE','MS','112122121216471441477823414122341325097',1593,'9998',78.06,1,3,NULL),(20,5255660,'1991-10-29 00:00:00',4,10,12,2008,'M','N','PORTAL','ARMAZÉM','SC','124241241126161431435811342121610137057',NULL,'34',26.11,1,2,1),(20,5255678,'1990-10-13 00:00:00',2,4,12,2007,'F','N','TRISTEZA','PTO ALEGRE','RS','120202201217572431346637172124610143197',2544,'9998',73.63,1,3,NULL),(20,5255694,'1989-06-18 00:00:00',2,1,12,2006,'F','N','FORQUILHAS','S JOSÉ','SC','124241241126132431328424245134122364097',13320,'726',48.25,1,3,NULL),(20,5255716,'1991-02-14 00:00:00',4,1,12,2008,'M','N','PARQUE SÃO SEBASTIÃO','PTO ALEGRE','RS','120203201217471441669939571124610168043',NULL,'9998',0.00,1,3,NULL),(20,5255724,'1990-05-24 00:00:00',2,7,12,2007,'M','N','CENTRO','CASCAVEL','PR','116162161216572751436632571112610164034',1705,'9998',77.31,1,3,NULL),(20,5255759,'1993-06-23 00:00:00',4,6,12,2010,'M','S','CENTRO','S BENTO SUL','SC','124242241217121431478931575122610127042',NULL,'1073',22.63,1,3,NULL),(20,5255767,'1990-10-27 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217372431479613575124221467182',1939,'270',77.13,1,3,NULL),(20,5255783,'1993-09-25 00:00:00',4,2,12,2010,'M','S','CENTRO','POMERODE','SC','124244241212121732359914575124610127042',NULL,'855',48.72,1,3,NULL),(20,5255791,'1991-12-20 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124202201217471431479814575122610132012',4623,'9998',68.76,1,3,NULL),(20,5255813,'1991-01-06 00:00:00',4,10,12,2007,'F','N','OFICINAS','TUBARÃO','SC','224242241216372431466934575125230448057',14503,'806',49.24,1,3,NULL),(20,5255821,'1992-05-12 00:00:00',2,1,12,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241317133231539813575124610126062',NULL,'270',19.59,1,3,NULL),(20,5255830,'1992-03-03 00:00:00',2,1,12,2009,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241215111431326614272122610124092',12177,'1119',51.82,1,3,NULL),(20,5255848,'1992-10-16 00:00:00',4,4,11,2009,'F','N','CENTRO','PATO BRANCO','PR','116162161216271451466832575122610118077',NULL,'9998',0.00,1,3,NULL),(20,5255856,'1975-03-13 00:00:00',2,1,7,1993,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224203207327131341267753242221343263107',14832,'9998',48.36,1,3,NULL),(20,5255872,'1985-08-25 00:00:00',4,4,12,2002,'F','N','TROPICAL','CASCAVEL','PR','116163161216575431447711281122141066187',2936,'9998',73.71,4,3,NULL),(20,5255880,'1991-09-30 00:00:00',4,7,12,2008,'F','N','CENTRO','TREZE TÍLIAS','SC','124241241117372431356933375124232434142',5995,'795',63.87,1,2,1),(20,5255899,'1993-01-14 00:00:00',4,1,12,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124202241415131431447723575124610124192',NULL,'944',0.00,1,3,NULL),(20,5255902,'1991-10-07 00:00:00',4,8,12,2009,'F','N','URUBUQUARA','GARUVA','SC','124241241415151431426616575122610126147',NULL,'1105',29.84,1,3,NULL),(20,5255910,'1992-04-10 00:00:00',2,10,12,2009,'F','N','JARDIM DRACENA','S PAULO','SP','125252251216471411353724575124610125142',13739,'9998',45.84,1,3,NULL),(20,5255945,'1992-01-11 00:00:00',4,3,12,2009,'F','N','BOQUEIRÃO','PR GRANDE','SP','125252251217111511448612375122610124097',NULL,'9998',27.52,1,3,NULL),(20,5255953,'1991-05-15 00:00:00',4,9,11,2008,'F','N','SANTA RITA','LAGES','SC','124242241215372431358617274122233242142',14774,'497',44.53,1,3,NULL),(20,5255961,'1986-11-17 00:00:00',4,1,11,2005,'M','N','TIJUCA','RIO JANEIRO','RJ','621212211213152411468923381115140964187',NULL,'9998',26.55,1,3,NULL),(20,5255988,'1992-01-02 00:00:00',2,1,12,2009,'M','N','GUIOMAR','ANTÔNIO CARLOS','SC','124241241115371431449933575122610117042',2421,'21',75.36,1,2,1),(20,5256003,'1992-10-29 00:00:00',2,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241116131431624611375124610126142',NULL,'288',29.57,1,2,1),(20,5256011,'1992-05-22 00:00:00',4,17,12,2009,'F','N','CENTRO','S MATEUS SUL','PR','116162161217111411434731285124610144147',NULL,'9998',22.64,1,3,NULL),(20,5256020,'1993-04-29 00:00:00',2,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217151451557939572122610167052',NULL,'262',15.59,1,3,NULL),(20,5256038,'1992-09-03 00:00:00',2,1,12,2009,'F','N','ASA NORTE','BRASÍLIA','DF','107072071216371431488831572122610164046',NULL,'9998',0.00,1,3,NULL),(20,5256046,'1989-09-10 00:00:00',4,1,12,2008,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124054051216371411338462571124610166142',NULL,'9998',27.54,1,3,NULL),(20,5256054,'1992-08-26 00:00:00',2,1,12,2009,'M','N','SANTA TERESA','PTO ALEGRE','RS','120202201217111721458933375124610147042',15230,'9998',42.89,1,3,NULL),(20,5256070,'1989-02-05 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241125141331428311345224610144062',NULL,'922',26.96,1,2,1),(20,5256089,'1984-07-08 00:00:00',2,1,12,2002,'F','N','BARREIROS','S JOSÉ','SC','124241241116135421624411385114332763047',NULL,'257',26.72,1,3,NULL),(20,5256100,'1992-08-25 00:00:00',4,9,11,2009,'M','N','CORAL','LAGES','SC','124244241412111711578812172122612468091',11746,'1065',54.85,4,3,NULL),(20,5256119,'1991-11-16 00:00:00',2,4,12,2009,'F','N','INTERIOR','RIO ANTAS','SC','124241242116131431425416575124610134077',NULL,'196',0.00,1,2,1),(20,5256127,'1991-05-01 00:00:00',4,1,12,2008,'F','N','CENTRO','CPO GRANDE','MS','112122121215471231568833572122610167127',1829,'9998',76.58,3,3,NULL),(20,5256135,'1983-09-02 00:00:00',2,1,12,2004,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241116132422233372242113610125142',NULL,'307',9.80,1,2,1),(20,5256143,'1992-08-10 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431558813572124610124042',11965,'273',51.15,1,3,NULL),(20,5256151,'1992-03-29 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241217112431368823574114610124152',3648,'1022',70.62,1,3,NULL),(20,5256160,'1989-11-24 00:00:00',4,1,12,2006,'F','N','ZONA DOIS','MARINGÁ','PR','116162161215572431438812571122610168092',149,'9998',89.11,1,3,NULL),(20,5256178,'1991-06-08 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431479911575122610117112',6809,'270',62.95,1,3,NULL),(20,5256186,'1992-11-05 00:00:00',4,5,11,2009,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215112431489932472112610158125',12008,'226',51.85,1,3,NULL),(20,5256216,'1992-06-24 00:00:00',2,15,12,2009,'M','N','MATO ALTO','ARARANGUÁ','SC','124243241215111431468814245122610164042',NULL,'970',24.96,1,3,NULL),(20,5256232,'1992-05-26 00:00:00',4,5,10,2009,'F','N','PRÓSPERA','CRICIÚMA','SC','124242241215151431338831572122610124052',3719,'213',71.58,1,3,NULL),(20,5256240,'1993-01-06 00:00:00',4,3,12,2009,'M','N','JARDIM MENEGAZZO','APUCARANA','PR','116162161217111731589831485122610164042',994,'9998',80.92,1,3,NULL),(20,5256259,'1992-04-09 00:00:00',2,5,10,2009,'M','N','MICHEL','CRICIÚMA','SC','124241241415111431226611211121610138147',NULL,'213',48.13,1,3,NULL),(20,5256267,'1991-08-13 00:00:00',4,8,12,2008,'M','N','IRIRIÚ','JOINVILLE','SC','124244241215271442434311475124610137067',NULL,'1105',0.00,4,3,NULL),(20,5256283,'1991-11-18 00:00:00',2,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242241215111631334431575124610167052',NULL,'988',32.61,1,3,NULL),(20,5256291,'1991-12-15 00:00:00',4,5,11,2009,'F','N','CENTRO','ORLEANS','SC','124242241215151431327832285124610134172',NULL,'820',0.00,1,3,NULL),(20,5256305,'1990-01-13 00:00:00',3,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431569814575122231067182',7164,'270',62.54,1,3,NULL),(20,5256313,'1992-08-27 00:00:00',4,3,12,2009,'M','N','UNIVERSITARIO','TIJUCAS','SC','124242246212151431458414375123610157187',NULL,'1119',21.84,1,3,NULL),(20,5256321,'1992-05-21 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243241215111411228639575122610133092',NULL,'724',26.11,1,3,NULL),(20,5256330,'1991-03-07 00:00:00',4,1,12,2008,'F','N','LIBERDADE','S PAULO','SP','125252251215371431468833572125610133192',733,'9998',82.67,1,3,NULL),(20,5256348,'1987-08-25 00:00:00',2,1,12,2005,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215575411346631495124130225185',1427,'1022',78.62,1,3,NULL),(20,5256356,'1991-07-01 00:00:00',2,15,12,2008,'M','N','PIONEIRO','CAXIAS SUL','RS','120201201116571441526616191324610167172',12102,'9998',50.83,1,2,1),(20,5256364,'1989-08-29 00:00:00',2,1,12,2008,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241116141411624611345124610126072',NULL,'288',14.70,1,2,1),(20,5256372,'1992-02-19 00:00:00',4,8,12,2009,'F','N','TINGUI','CURITIBA','PR','116162161215121411458814575122610161067',12562,'9998',50.27,1,3,NULL),(20,5256380,'1992-02-19 00:00:00',4,15,12,2008,'F','N','CENTRO','ARARANGUÁ','SC','124242241214153431449832145122231066062',12912,'970',52.52,1,3,NULL),(20,5256399,'1991-07-31 00:00:00',4,8,12,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','125242251217471431568614572125610162183',NULL,'1063',0.00,1,3,NULL),(20,5256402,'1992-01-29 00:00:00',4,1,11,2009,'M','N','IPIRANGA','S JOSÉ','SC','124242241215111311435614212114610122147',6300,'723',65.02,1,3,NULL),(20,5256410,'1993-02-09 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215161751446611415112610124072',NULL,'868',22.28,1,3,NULL),(20,5256429,'1991-12-19 00:00:00',2,1,12,2008,'M','N','FORQUILHA','S JOSÉ','SC','124241241116242431226611345124610126172',NULL,'733',28.74,1,2,1),(20,5256437,'1983-01-18 00:00:00',4,10,12,2001,'M','N','TRES DE MAIO','CAPIVARI BAIXO','SC','124241241126144431534313242121610164041',NULL,'158',43.42,1,2,1),(20,5256445,'1976-01-20 00:00:00',4,1,12,1993,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242248216575431243942425134333223072',NULL,'806',0.00,1,3,NULL),(20,5256461,'1992-11-11 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111231456422575122610133055',NULL,'1050',55.33,1,3,NULL),(20,5256470,'1983-10-26 00:00:00',2,8,10,2002,'M','N','CAPÃO RASO','CURITIBA','PR','116164161116312421559611415222341524117',1520,'9998',78.79,1,3,NULL),(20,5256488,'1992-06-18 00:00:00',4,2,12,2009,'M','N','CENTRO','BENEDITO NOVO','SC','124241241115131431436414255124610128187',NULL,'62',27.04,1,2,1),(20,5256496,'1986-12-01 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217474711338619345141133268052',NULL,'269',49.61,1,3,NULL),(20,5256518,'1992-12-12 00:00:00',4,1,12,2009,'M','N','CENTRO','NOVA TRENTO','SC','124241248137151531536631215122610138187',NULL,'9998',25.86,1,2,1),(20,5256526,'1985-05-13 00:00:00',5,1,11,2002,'M','N','SERRARIA','S JOSÉ','SC','124241241116131721233343435123610146172',6053,'583',65.88,1,2,1),(20,5256550,'1991-12-26 00:00:00',2,1,12,2009,'M','N','PORTÃO','CURITIBA','PR','116162161217121431458914575122610167042',NULL,'9998',48.60,1,3,NULL),(20,5256577,'1984-05-25 00:00:00',2,1,12,2002,'M','N','FLOR DE NÁPOLIS','S JOSÉ','SC','224241241126271431233341415122131447057',NULL,'605',0.00,1,3,NULL),(20,5256585,'1990-01-08 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216372431378723475122121164052',486,'1050',84.69,1,3,NULL),(20,5256593,'1953-02-13 00:00:00',4,1,12,1975,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','224071078136252711581249491112540867142',NULL,'9998',28.46,4,1,1),(20,5256615,'1992-10-27 00:00:00',4,6,12,2009,'M','N','DOM BOSCO','ITAJAÍ','SC','124242246115111731448611595124610117057',10024,'129',55.83,1,3,NULL),(20,5256623,'1991-11-14 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216143411569813575122231023182',12479,'262',49.84,1,3,NULL),(20,5256640,'1993-05-17 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111411478813215121610163183',NULL,'270',62.90,1,3,NULL),(20,5256658,'1991-12-07 00:00:00',4,2,12,2009,'M','N','SANTANA','RIO SUL','SC','124242241215151431447932382121610137062',6380,'654',63.15,1,3,NULL),(20,5256666,'1990-11-22 00:00:00',2,1,12,2007,'F','N','LIMEIRA','BIGUAÇU','SC','124241241217142431434313342224610137052',15641,'1040',45.72,1,3,NULL),(20,5256682,'1991-03-15 00:00:00',4,1,12,2008,'M','N','CIDADE JARDIM','S CARLOS','SP','125122121217471431458833575125610164077',258,'9998',87.14,4,3,NULL),(20,5256690,'1992-01-19 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','224242248215172751446611415114610168192',NULL,'868',23.06,1,3,NULL),(20,5256704,'1992-01-22 00:00:00',4,1,12,2009,'M','N','PARAÍSO','CAÇADOR','SC','124242241216271431359934575122610127182',8659,'120',58.68,1,3,NULL),(20,5256712,'1991-02-07 00:00:00',4,8,11,2008,'M','N','CENTRO','PALOTINA','PR','116162161215471431438811572124610134052',8361,'9998',57.98,1,3,NULL),(20,5256720,'1992-03-29 00:00:00',2,5,12,2009,'F','N','RIO MAINA','CRICIÚMA','SC','124241241147131731346639312124610133187',NULL,'223',27.49,1,2,1),(20,5256739,'1991-04-24 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241112152431354633572122610115127',15088,'307',47.62,1,2,1),(20,5256747,'1991-12-25 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112411359613575124610125112',10532,'270',55.60,1,3,NULL),(20,5256763,'1992-01-29 00:00:00',2,1,11,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241315111432538314375124610137042',NULL,'300',27.14,2,1,2),(20,5256771,'1991-10-26 00:00:00',2,8,12,2008,'M','N','OURO FINO','S JOSÉ PINHAIS','PR','116164161235571331446631575114610167047',NULL,'9998',0.00,1,3,NULL),(20,5256801,'1991-02-12 00:00:00',2,1,11,2009,'M','N','PONTE DO IMARUIN','PALHOÇA','SC','124241241415111431465324375122610167115',NULL,'1010',20.07,4,3,NULL),(20,5256810,'1990-12-22 00:00:00',4,3,11,2008,'M','N','CENTRO','TROMBUDO CENTRAL','SC','624244241212473431339939572122610164052',1490,'991',78.91,1,3,NULL),(20,5256828,'1991-12-11 00:00:00',4,1,12,2008,'M','N','VILA GOMES','CPO GRANDE','MS','112122121215471431568816572112610127042',513,'9998',83.94,1,3,NULL),(20,5256836,'1989-08-29 00:00:00',4,8,12,2006,'M','N','SAGUAÇU','JOINVILLE','SC','124161161116272431535632372122143234182',9301,'9998',55.80,1,2,1),(20,5256844,'1993-10-24 00:00:00',4,1,12,2010,'F','S','BARREIROS','S JOSÉ','SC','124244241117111431568931575122610161052',NULL,'739',56.09,3,3,NULL),(20,5256852,'1992-10-17 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215372331369932275122610126142',2158,'226',76.33,1,3,NULL),(20,5256860,'1989-04-24 00:00:00',2,1,12,2006,'F','N','MEDIANEIRA','STA MARIA','RS','120202201217571431465831571122141567077',3205,'9998',72.89,1,3,NULL),(20,5256879,'1984-07-29 00:00:00',2,1,12,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117154411426667172114222227187',NULL,'307',0.00,1,2,1),(20,5256887,'1992-01-24 00:00:00',4,5,12,2009,'M','N','PINHEIRINHO','CRICIÚMA','SC','124243246217141431644412176112610124142',15756,'995',45.24,1,3,NULL),(20,5256909,'1993-08-27 00:00:00',2,1,12,2010,'F','S','CENTRO','TIJUCAS','SC','124242241215161751348659495122610126092',NULL,'1119',41.17,1,3,NULL),(20,5256917,'1986-04-17 00:00:00',2,1,11,2003,'F','N','VARGEM BOM JESUS','FLORIANÓPOLIS','SC','224101241141272431336654242234610161147',NULL,'307',21.88,2,1,1),(20,5256933,'1988-04-16 00:00:00',4,1,2,2006,'F','N','CAPOEIRA','FLORIANÓPOLIS','SC','124241241116132532338319472124610157147',NULL,'281',16.56,4,1,1),(20,5256968,'1991-10-28 00:00:00',4,8,12,2008,'M','N','ALTO BOQUEIRÃO','CURITIBA','PR','116162161215571441458613375114610134062',10174,'9998',54.35,1,3,NULL),(20,5256976,'1991-09-15 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241417272441533612212114610114091',NULL,'1048',36.64,1,3,NULL),(20,5256984,'1991-08-29 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217473431259814575122610127042',6232,'270',65.50,1,3,NULL),(20,5256992,'1978-04-28 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','220201248125141521223341292124610123187',NULL,'307',28.91,1,3,NULL),(20,5257000,'1990-11-30 00:00:00',2,1,12,2007,'F','N','CHACARA DAS PEDRAS','PTO ALEGRE','RS','120201201214571411438913311124610132052',11972,'9998',51.51,1,3,NULL),(20,5257018,'1993-02-17 00:00:00',4,16,12,2009,'M','N','INTERIOR','VARGEM','SC','124241242115111431426923335122610117187',NULL,'960',24.27,1,2,1),(20,5257034,'1988-03-29 00:00:00',2,1,7,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241131471121526631345114610167042',NULL,'922',40.45,1,2,1),(20,5257042,'1992-06-05 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241212131731336633472124610127052',NULL,'273',29.89,2,3,NULL),(20,5257069,'1989-04-02 00:00:00',4,8,11,2006,'F','N','SAGUACU','JOINVILLE','SC','124242241215574411678933575112223232122',1450,'486',79.08,4,3,NULL),(20,5257077,'1970-03-12 00:00:00',2,1,7,2009,'F','N','ARMAÇAO PANT SUL','FLORIANÓPOLIS','SC','124205247325271432325644346324610127012',NULL,'9999',42.89,1,3,NULL),(20,5257085,'1993-01-10 00:00:00',2,3,12,2009,'M','N','CENTRO','PTO BELO','SC','124244241217111431666832344122610127092',NULL,'1119',21.22,1,3,NULL),(20,5257093,'1991-07-02 00:00:00',2,6,12,2008,'M','N','ARIRIBA','BAL CAMBORIÚ','SC','124242241216471331578831295122610112042',NULL,'1086',24.95,1,3,NULL),(20,5257107,'1991-08-18 00:00:00',4,8,12,2008,'M','N','IRIRIU','JOINVILLE','SC','124242246216272431536614595124231437062',NULL,'494',0.00,1,3,NULL),(20,5257131,'1990-07-25 00:00:00',4,8,12,2007,'F','N','SANTA CRUZ','CASTRO','PR','116162161216571431558839292114610166187',NULL,'9998',0.00,1,3,NULL),(20,5257140,'1986-07-10 00:00:00',4,1,12,2003,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241416552421448923275124321542187',3720,'9998',71.58,1,3,NULL),(20,5257158,'1980-07-10 00:00:00',4,1,11,1997,'M','N','REÇADO','S JOSÉ','SC','224244248436132721339944245122132344197',14706,'457',48.71,1,3,NULL),(20,5257166,'1983-06-16 00:00:00',2,1,8,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247426155751523379495124610127113',NULL,'9997',28.66,1,3,NULL),(20,5257174,'1992-08-31 00:00:00',4,8,11,2009,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242246215141421246712195124610167065',14938,'1105',44.50,1,3,NULL),(20,5257182,'1991-11-21 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272431468677572112610123072',11313,'1169',53.05,1,3,NULL),(20,5257190,'1992-12-14 00:00:00',4,4,12,2010,'M','S','MATINHO','XANXERÊ','SC','124242161217151432469931572111610167042',NULL,'836',58.88,1,3,NULL),(20,5257204,'1991-04-28 00:00:00',2,2,12,2009,'M','N','FORTALEZA','BLUMENAU','SC','124241246115271431543314245124610152052',NULL,'79',31.92,4,2,1),(20,5257212,'1991-11-04 00:00:00',4,1,12,2009,'M','N','PIRATININGA','NITERÓI','RJ','121212211216111431589934245114610117044',NULL,'9998',0.00,1,3,NULL),(20,5257220,'1992-07-12 00:00:00',2,2,12,2009,'F','N','SALTO DO NORTE','BLUMENAU','SC','124241241217111431448833572124610133197',15401,'71',46.61,4,1,2),(20,5257239,'1992-04-12 00:00:00',2,8,12,2009,'F','N','BUENOS AIRES','MAFRA','SC','124241241215131431228823571125610126097',NULL,'541',44.52,1,3,NULL),(20,5257247,'1991-08-04 00:00:00',2,1,12,2008,'F','N','ARMAÇAO','FLORIANÓPOLIS','SC','124201201135411712326624346324610127042',NULL,'9998',14.52,1,2,1),(20,5257255,'1991-03-08 00:00:00',2,1,12,2009,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124244241211111531438911572124610167112',NULL,'1022',50.02,1,3,NULL),(20,5257263,'1968-03-18 00:00:00',4,1,12,1985,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241111145431244642421232320464192',7752,'307',62.32,1,3,NULL),(20,5257271,'1991-04-26 00:00:00',2,1,12,2008,'M','N','AREIAS','S JOSÉ','SC','124241241117242721433824441124610132142',NULL,'734',27.66,1,3,NULL),(20,5257298,'1989-02-15 00:00:00',4,1,12,2006,'F','N','SANTA MARIA','UBERLÂNDIA','MG','113131131216511431369833575122610112027',1364,'9998',79.45,4,3,NULL),(20,5257301,'1990-10-12 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216272411578813575112122214191',10773,'1022',55.21,1,3,NULL),(20,5257310,'1991-04-22 00:00:00',2,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124241241115372431335624586124610137057',15255,'592',46.47,1,2,1),(20,5257328,'1992-06-24 00:00:00',4,1,12,2009,'M','N','SANTO ANDRE','S LEOPOLDO','RS','120204201217151731547934575122610137043',NULL,'9998',29.42,1,3,NULL),(20,5257336,'1992-05-28 00:00:00',2,1,11,2009,'M','N','CAPAO RASO','CURITIBA','PR','116162161215411431426619342124610117187',NULL,'9998',0.00,1,3,NULL),(20,5257344,'1991-02-28 00:00:00',4,16,12,2008,'F','N','RONDINHA','PTE ALTA NORTE','SC','124241241121231731436833295124230328187',NULL,'626',0.00,1,2,1),(20,5257360,'1958-05-06 00:00:00',4,1,12,2009,'F','N','FAZENDA RIO TAVARES','FLORIANÓPOLIS','SC','524241247127131731341273372144610164197',NULL,'306',0.00,1,2,1),(20,5257379,'1992-10-02 00:00:00',2,1,12,2009,'F','N','JARDIM JANAÍNA','BIGUAÇU','SC','124242241341131731436933491344610164077',NULL,'63',9.75,1,3,NULL),(20,5257387,'1992-02-02 00:00:00',4,1,12,2009,'M','N','JD PAULISTANO','RIBEIRÃO PRETO','SP','125251251215111411466673575122610147052',NULL,'9998',0.00,1,3,NULL),(20,5257395,'1992-06-15 00:00:00',4,1,12,2009,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241225142431326624395124610134187',8146,'262',59.81,1,3,NULL),(20,5257409,'1989-08-18 00:00:00',2,1,12,2006,'M','N','SERTAO DO MARUIM','S JOSÉ','SC','124241241117472431444331445113610134047',NULL,'733',17.35,4,1,1),(20,5257417,'1991-03-12 00:00:00',2,1,7,2009,'F','N','SÃO MIGUEL','BIGUAÇU','SC','124241241115272331423334575124610142047',15520,'739',43.45,1,2,1),(20,5257433,'1991-04-22 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115271731538511492124610123147',NULL,'267',26.79,1,2,1),(20,5257441,'1991-07-05 00:00:00',4,1,12,2008,'M','N','NOVA VILA','PIRES RIO','GO','109094091214471431537933572122610167047',NULL,'9998',0.00,2,1,2),(20,5257450,'1991-03-30 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124162241215121431489812475124610164135',9975,'1022',58.19,1,3,NULL),(20,5257468,'1993-06-06 00:00:00',4,1,11,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217111431448839594114610167187',NULL,'270',43.59,1,3,NULL),(20,5257476,'1984-01-11 00:00:00',2,1,12,2002,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241117272721326624345124610125012',NULL,'276',26.44,2,1,1),(20,5257484,'1991-06-07 00:00:00',2,4,12,2008,'M','N','FREI VITO','CHOPINZINHO','PR','116161161116211431541311475124610114057',9692,'9998',57.27,1,2,1),(20,5257492,'1992-12-17 00:00:00',4,1,12,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241146271431433523195131610127063',NULL,'287',28.22,1,2,1),(20,5257506,'1989-12-27 00:00:00',2,1,12,2006,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242241212473431468813292124610127143',12663,'1134',53.01,1,3,NULL),(20,5257514,'1993-06-14 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241117151531473411575124610133047',NULL,'739',24.09,1,3,NULL),(20,5257522,'1985-11-13 00:00:00',2,4,12,2004,'M','N','IPIRANGA','FREDERICO WESTPHALEN','RS','120201201126131451116948185121331327047',NULL,'9998',0.00,1,2,1),(20,5257549,'1990-12-06 00:00:00',4,4,12,2007,'F','N','JARDIM AMÉRICA','CHAPECÓ','SC','124241241146271731433319182124610136047',NULL,'181',43.27,3,3,NULL),(20,5257557,'1992-06-24 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431379611292122610117182',14304,'266',49.70,1,3,NULL),(20,5257565,'1993-09-19 00:00:00',4,2,11,2010,'M','S','ITOUPAVA SECA','BLUMENAU','SC','124242241217111431458832276122610164052',NULL,'855',56.08,1,3,NULL),(20,5257573,'1992-03-06 00:00:00',4,1,2,2010,'F','N','XAXIM','CURITIBA','PR','116161163116371431368934575124610167042',6213,'9998',65.18,1,2,1),(20,5257581,'1987-03-30 00:00:00',2,1,11,2007,'F','N','RATONES','FLORIANÓPOLIS','SC','124244241312373411337923232321610135095',NULL,'279',29.71,1,3,NULL),(20,5257590,'1987-11-12 00:00:00',4,3,12,2005,'F','N','SUDOESTE','CRUZEIRO','DF','107242241215472411567632575122610165097',NULL,'9997',0.00,1,3,NULL),(20,5257603,'1989-11-23 00:00:00',4,1,3,2008,'M','N','CAMPINAS','S JOSÉ','SC','124241241117373441566914245124221464052',4966,'739',68.43,1,2,1),(20,5257620,'1978-05-02 00:00:00',2,1,12,1997,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224201205117131432324354442134610168147',NULL,'9998',37.21,2,1,1),(20,5257638,'1980-06-22 00:00:00',4,1,12,1997,'F','N','ARMAÇÃO DO PANT SUL','FLORIANÓPOLIS','SC','124251251117132431126444245124610167117',NULL,'9998',26.12,1,3,NULL),(20,5257646,'1992-06-26 00:00:00',2,1,12,2009,'F','N','HIGIENÓPOLIS','S PAULO','SP','125252251215111131478811475122610112044',12800,'9998',52.75,1,3,NULL),(20,5257654,'1992-11-18 00:00:00',4,4,12,2009,'M','N','JARDIM DAS AMÉRICAS','PATO BRANCO','PR','116162161216371431377632575122610147042',9988,'9998',56.54,1,3,NULL),(20,5257662,'1981-04-19 00:00:00',4,1,12,1998,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624162161217152431238971375124143261187',9531,'9998',59.02,1,3,NULL),(20,5257670,'1992-09-07 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113711478813575122610144017',11663,'270',53.15,1,3,NULL),(20,5257689,'1991-08-11 00:00:00',4,1,12,2008,'M','N','BOQUEIRÃO','SANTOS','SP','125253251216571441436611575114610147042',4465,'9998',67.58,1,3,NULL),(20,5257697,'1990-06-18 00:00:00',4,1,11,2008,'M','N','PITUBA','SALVADOR','BA','105052051236111231469914475124241467042',182,'9998',88.24,1,3,NULL),(20,5257700,'1992-03-26 00:00:00',4,1,12,2009,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241117111431688813575112610134182',NULL,'262',25.77,1,3,NULL),(20,5257719,'1992-05-10 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124201241416273631343674275124613267072',11486,'724',53.48,1,3,NULL),(20,5257727,'1990-11-22 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241215353431368823395122231016117',NULL,'723',0.00,1,3,NULL),(20,5257735,'1990-12-28 00:00:00',2,1,12,2008,'F','N','PARQUE NOVO MUNDO','AMERICANA','SP','125252251215151432465714385124243221182',NULL,'9998',0.00,1,3,NULL),(20,5257751,'1992-09-22 00:00:00',2,8,12,2009,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241112371451434634375124610133142',NULL,'484',49.00,1,2,1),(20,5257760,'1992-05-12 00:00:00',4,7,12,2009,'F','N','VILA PEDRINI','JOAÇABA','SC','124241241135471431523511375124610133077',NULL,'449',19.41,1,2,1),(20,5257778,'1986-02-25 00:00:00',2,5,12,2003,'F','N','CENTRO','CRICIÚMA','SC','124201201122271431223349192124132727057',NULL,'9998',38.99,1,2,1),(20,5257786,'1983-05-30 00:00:00',2,1,12,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124201201147371411236644342114610135183',15295,'9998',46.95,4,3,NULL),(20,5257794,'1991-09-07 00:00:00',4,8,12,2008,'F','N','CENTRO','ARAQUARI','SC','124241242116111411424723441214610113147',NULL,'24',0.00,1,3,NULL),(20,5257808,'1992-11-16 00:00:00',4,16,12,2009,'M','N','BOM JESUS','CURITIBANOS','SC','124241241145141431436613342112610117047',NULL,'239',27.95,1,2,1),(20,5257816,'1991-12-26 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241137131451533679345124610133142',NULL,'734',19.19,2,1,1),(20,5257824,'1982-11-26 00:00:00',4,1,11,2000,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241216272431255823445122522426183',NULL,'270',0.00,1,3,NULL),(20,5257832,'1992-09-27 00:00:00',4,15,12,2009,'F','N','GUARITA','NOVA GUARITA','SC','124241241135131431434435342124610128177',NULL,'1033',0.00,1,2,1),(20,5257840,'1993-02-03 00:00:00',4,8,12,2010,'M','S','BUCAREIN','JOINVILLE','SC','124242241217151232469632575122610137052',NULL,'459',58.88,3,3,NULL),(20,5257859,'1987-06-12 00:00:00',2,1,12,2005,'M','N','CENTRO','PALHOÇA','SC','124201201132131321533534285124230238047',NULL,'9998',44.23,1,2,1),(20,5257867,'1988-01-16 00:00:00',2,1,12,2005,'F','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124241241217355431338413472124231263097',5122,'269',68.02,1,3,NULL),(20,5257875,'1992-10-25 01:00:00',4,5,12,2009,'M','N','SANTA BARBARA','CRICIÚMA','SC','124241241115271431438433575124610167047',NULL,'209',0.00,1,3,NULL),(20,5257883,'1992-11-06 00:00:00',4,16,12,2009,'M','N','NUCLEO CELSO RAMOS','CURITIBANOS','SC','124241241135451411323336582124610157045',NULL,'320',0.00,1,3,NULL),(20,5257891,'1992-11-25 00:00:00',4,5,12,2009,'M','N','QUARTA LINHA','CRICIÚMA','SC','124241241117371441223329575124610167042',NULL,'209',0.00,1,3,NULL),(20,5257905,'1987-07-20 00:00:00',2,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117131421523419485224610117042',NULL,'283',40.08,1,2,1),(20,5257913,'1986-06-04 00:00:00',2,1,12,2004,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241136272712433179342114132037047',NULL,'65',30.87,1,2,1),(20,5257921,'1955-02-11 00:00:00',2,1,1,1992,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124171171321161421223241412124610122187',NULL,'9998',18.16,4,3,NULL),(20,5257930,'1989-09-19 00:00:00',4,1,12,2007,'F','N','VILA REZENDE','PIRACICABA','SP','125251251416571732469614272112610134182',15176,'9998',44.07,1,3,NULL),(20,5257948,'1979-12-25 00:00:00',2,1,12,1996,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124202203226272431126644245124130224043',11607,'9998',55.12,1,3,NULL),(20,5257956,'1966-06-20 00:00:00',2,1,12,1984,'F','N','CENTRO','FLORIANÓPOLIS','SC','224201203116141441353353482124340242196',NULL,'9998',23.23,2,1,1),(20,5257964,'1991-07-19 00:00:00',2,4,12,2008,'M','N','CENTRO','VERA C OESTE','PR','116163161414471631446532572123610167052',6747,'9998',62.69,1,3,NULL),(20,5257980,'1984-07-30 00:00:00',2,1,11,2002,'M','N','LAGOA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201201136231731234444342314610147182',NULL,'9998',24.83,4,2,1),(20,5257999,'1982-03-28 00:00:00',4,1,12,2002,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','624241241112271411243343235123610137067',7544,'726',62.72,1,2,1),(20,5258006,'1992-01-22 00:00:00',4,9,12,2008,'M','N','SANTA HELENA','LAGES','SC','124243241415372441448611215124233247022',1202,'515',80.22,1,3,NULL),(20,5258014,'1984-05-27 00:00:00',2,1,12,2004,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','624121121122142422213374342134610132042',NULL,'9998',11.60,4,3,NULL),(20,5258030,'1990-10-15 00:00:00',4,1,12,2008,'F','N','JARDIM NOVA YORQUE','ARAÇATUBA','SP','125252251215471431478714572122610127092',NULL,'9998',0.00,1,3,NULL),(20,5258057,'1990-04-30 00:00:00',4,1,7,2007,'M','N','BARREIROS','S JOSÉ','SC','124242247212113411536614441124233268017',NULL,'9999',16.39,1,3,NULL),(20,5258065,'1991-04-19 00:00:00',4,1,11,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241416121431259921375122610122042',1386,'270',79.11,1,3,NULL),(20,5258073,'1982-08-12 00:00:00',2,1,12,1999,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124161168117312431523479345124343217097',NULL,'9998',23.73,1,2,1),(20,5258081,'1972-09-25 00:00:00',2,1,12,2006,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','224241241134271411522644345114610115193',NULL,'9997',0.00,1,2,1),(20,5258090,'1991-09-11 00:00:00',2,8,12,2008,'F','N','BUCAREIN','JOINVILLE','SC','124242241216473431348933575122610132091',7263,'1063',61.39,1,3,NULL),(20,5258111,'1989-11-24 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202201211373431356819475124133223057',13309,'9998',51.73,1,3,NULL),(20,5258120,'1993-09-03 00:00:00',4,5,12,2009,'M','N','VERA CRUZ','CRICIÚMA','SC','124241241115271731323331576225610138187',9906,'209',56.49,1,2,1),(20,5258154,'1985-08-03 00:00:00',4,1,12,2003,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241211142411435644145324131437057',13008,'272',50.78,1,3,NULL),(20,5258197,'1988-04-10 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241136134431115841215332610132092',NULL,'307',25.67,1,2,1),(20,5258200,'1992-10-09 00:00:00',2,9,12,2009,'F','N','CORAL','LAGES','SC','124241241115371431648514575124610126172',NULL,'498',0.00,4,2,1),(20,5258219,'1992-02-07 00:00:00',2,15,12,2009,'F','N','PROGRESSO','PASSO TORRES','SC','124241241136131431223369191321610126147',15651,'605',42.59,1,2,1),(20,5258243,'1991-07-23 00:00:00',4,10,12,2009,'F','N','OFICINAS','TUBARÃO','SC','124241247336131431425719375125610122187',NULL,'9999',0.00,1,3,NULL),(20,5258251,'1979-12-26 00:00:00',2,1,12,1999,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','524111111121132221121344145124610152147',NULL,'9998',35.96,2,1,1),(20,5258294,'1986-11-25 00:00:00',2,1,12,2005,'F','N','ALTO ARIRIU','PALHOÇA','SC','224241244141133411235652245334610123157',NULL,'772',28.01,1,2,1),(20,5258316,'1992-04-04 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217372431558613372124610127017',1336,'299',79.57,1,3,NULL),(20,5258324,'1992-07-24 00:00:00',4,4,12,2009,'F','N','MATRIZ','VIDEIRA','SC','124244241217111411469614592122613212196',15461,'829',46.43,1,3,NULL),(20,5258332,'1992-01-02 00:00:00',4,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124241241116271431536923575124610163152',14284,'169',46.89,1,2,1),(20,5258340,'1987-04-09 00:00:00',4,6,12,2004,'M','N','SÃO JOÃO','ITAJAÍ','SC','124242241236472411268414575122131444182',9157,'394',59.68,1,3,NULL),(20,5258367,'1991-02-25 00:00:00',4,8,12,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','124243241215371451467732445122130232147',7197,'424',60.86,1,3,NULL),(20,5258375,'1986-01-27 00:00:00',2,1,12,2003,'F','N','PROTÁSIO ALVES','PTO ALEGRE','RS','120071201116571731456613372124242724147',11939,'9998',52.42,1,2,1),(20,5258383,'1979-12-08 00:00:00',2,1,12,1998,'M','N','CAMPINAS','S JOSÉ','SC','124151157121132131223844242344610127042',NULL,'9998',20.07,1,3,NULL),(20,5258391,'1991-11-27 00:00:00',4,1,12,2008,'M','N','SANTANA','PTO ALEGRE','RS','120204201217271431435624586114610138067',14757,'9998',48.58,1,3,NULL),(20,5258405,'1991-12-13 00:00:00',4,7,12,2009,'M','N','INTERIOR','IPIRA','SC','124241242115131431533316575222610117052',NULL,'8',25.86,1,3,NULL),(20,5258413,'1991-07-29 00:00:00',4,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215472412378924575114610136191',1577,'262',78.54,1,3,NULL),(20,5258421,'1984-09-06 00:00:00',2,1,12,2002,'M','N','NOSSA SENHORA DO ROS','S JOSÉ','SC','224241241146371451235744295234610164183',NULL,'732',31.98,4,3,NULL),(20,5258448,'1985-05-11 00:00:00',2,1,11,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124161161121271431433349295124610124077',NULL,'9998',26.12,2,1,1),(20,5258456,'1991-02-19 00:00:00',4,2,12,2008,'M','N','VELHA','BLUMENAU','SC','124241241116141432456413345114231438172',NULL,'84',0.00,1,3,NULL),(20,5258472,'1990-01-02 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217213711488814595124122241197',NULL,'1022',0.00,1,3,NULL),(20,5258480,'1992-02-14 00:00:00',2,1,12,2009,'F','N','CENTRO','S JOSÉ R PRETO','SP','125132251211111431578816571122610111192',NULL,'9998',17.18,1,3,NULL),(20,5258499,'1990-05-30 00:00:00',2,1,7,2009,'F','N','CENTRO','S JOSÉ','SC','124244242632371431444636352122610127142',NULL,'9999',45.18,1,3,NULL),(20,5258502,'1992-06-17 00:00:00',4,8,12,2009,'M','N','CENTRO','MASSARANDUBA','SC','124244241215111431436715555122610154057',NULL,'441',13.09,1,3,NULL),(20,5258510,'1984-12-31 00:00:00',4,5,6,2003,'M','N','SANTA BARBARA','CRICIÚMA','SC','124241241217151411433524445124131467057',NULL,'230',28.22,4,3,NULL),(20,5258529,'1991-11-18 00:00:00',2,1,12,2008,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242241215272411446624575114610127057',15968,'1022',44.30,1,3,NULL),(20,5258537,'1992-05-21 00:00:00',4,1,12,2009,'M','N','JD SANTA ROSA II','S JOSÉ R PRETO','SP','125252251215111431458811575122610167041',14755,'9998',43.93,4,3,NULL),(20,5258545,'1987-02-02 00:00:00',4,1,12,2004,'M','N','PETROPOLIS','NOVO HAMBURGO','RS','120202206116151411348814475122241412046',5472,'9998',64.35,1,3,NULL),(20,5258570,'1990-11-18 00:00:00',2,8,12,2008,'F','N','PARQUE MARIANE','S BENTO SUL','SC','124241241216141431438612343125610164182',NULL,'974',0.00,1,3,NULL),(20,5258588,'1990-03-08 00:00:00',2,5,12,2008,'F','N','CENTRO','URUSSANGA','SC','124241241116131231636319575124610158197',NULL,'821',21.70,1,2,1),(20,5258596,'1992-01-09 00:00:00',2,15,12,2009,'M','N','CENTRO','TIMBÉ SUL','SC','124241241135271432439923572212610127047',NULL,'785',14.85,1,2,1),(20,5258600,'1991-10-13 00:00:00',4,1,12,2009,'M','N','RIO LADEIA','ANITÁPOLIS','SC','124251241115161432413335572222610124177',9651,'19',55.36,1,2,1),(20,5258618,'1988-08-05 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241115374731534633342224610137092',NULL,'307',28.34,1,2,1),(20,5258626,'1980-06-09 00:00:00',4,1,12,1997,'F','N','CENTRO','FLORIANÓPOLIS','SC','124251161436373431325729495124610141187',NULL,'9998',52.52,1,3,NULL),(20,5258642,'1992-04-17 00:00:00',4,1,12,2009,'F','N','JD VIVENDAS','S JOSÉ R PRETO','SP','125252251215111431478811571122610118197',NULL,'9998',28.20,1,3,NULL),(20,5258669,'1991-08-19 00:00:00',4,1,12,2009,'M','N','JD SANTA RITA','FERNANDÓPOLIS','SP','125252251215171431368811571122610118197',2862,'9998',72.08,1,3,NULL),(20,5258677,'1988-02-14 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241136343431124444345134610117142',NULL,'307',18.72,1,2,1),(20,5258685,'1992-03-30 00:00:00',4,8,12,2009,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241115371531626414172324610121187',NULL,'483',NULL,1,2,1),(20,5258693,'1991-10-03 00:00:00',4,1,12,2009,'M','N','DAMHA II','S JOSÉ R PRETO','SP','125252251215211431479911571122610118197',16079,'9998',41.49,1,3,NULL),(20,5258715,'1992-09-06 00:00:00',2,1,12,2009,'F','N','GUIOMAR','ANTÔNIO CARLOS','SC','124241241117271431423336572124610164047',7929,'21',61.48,1,2,1),(20,5258723,'1990-01-31 00:00:00',2,8,12,2007,'F','N','CABRAL','CURITIBA','PR','116161161115571731246315491144610167057',NULL,'9998',26.57,1,2,1),(20,5258731,'1992-07-30 00:00:00',4,1,12,2009,'F','N','JD ACLIMACAO','S JOSÉ R PRETO','SP','125252251215111431478811571122610118197',NULL,'9998',0.00,1,3,NULL),(20,5258758,'1974-04-10 00:00:00',2,1,12,2005,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241415272431333644242122610127042',NULL,'9999',17.56,2,3,NULL),(20,5258766,'1993-08-24 00:00:00',2,4,12,2009,'F','N','SÃO CRITÓVÃO','CHAPECÓ','SC','124242241315271751436639575122610162182',13933,'169',48.15,1,3,NULL),(20,5258774,'1991-03-27 00:00:00',2,15,12,2009,'M','N','CENTRO','TIMBÉ SUL','SC','124201241135271432539329375122610127047',NULL,'785',0.00,1,2,1),(20,5258782,'1991-08-29 00:00:00',2,1,6,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241211151451434679285121231944177',7503,'995',62.79,1,3,NULL),(20,5258790,'1981-01-10 00:00:00',2,1,12,1998,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','224243247326144421333342325132130722042',NULL,'9999',0.00,1,3,NULL),(20,5258804,'1991-10-18 00:00:00',2,1,12,2008,'F','N','COLONIA SANTANA','S JOSÉ','SC','124242241211133731436659395124233268182',NULL,'1074',24.87,1,3,NULL),(20,5258820,'1992-01-30 00:00:00',4,9,12,2008,'M','N','VÁRZEA','LAGES','SC','124242241216112431469913572122131444042',6178,'499',63.58,1,3,NULL),(20,5258839,'1992-09-26 00:00:00',4,9,12,2009,'F','N','SAG CORAÇÃO DE JESUS','LAGES','SC','124241241116371431625314345124610134057',NULL,'505',25.19,4,2,1),(20,5258847,'1960-01-21 00:00:00',2,1,12,1979,'M','N','CENTRO','FLORIANÓPOLIS','SC','224241241136141451326644345334610126187',NULL,'307',21.62,1,3,NULL),(20,5258855,'1991-11-22 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242248237312331338614345121610124182',12581,'1038',53.17,1,3,NULL),(20,5258863,'1990-04-24 00:00:00',2,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241215372431569714345134120532117',4157,'737',68.57,4,3,NULL),(20,5258871,'1993-01-21 00:00:00',4,4,12,2010,'F','S','CENTRO','VARGEÃO','SC','124241241137141731426419295234610125142',NULL,'824',27.75,1,3,NULL),(20,5258880,'1974-04-22 00:00:00',4,1,12,2000,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124021021121471431128844341324610114195',NULL,'9998',22.77,1,3,NULL),(20,5258898,'1991-03-09 00:00:00',4,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117372431423324286224231926072',8509,'307',59.32,1,2,1),(20,5258901,'1991-01-05 00:00:00',4,1,12,2008,'F','N','RECANTO REAL','S JOSÉ R PRETO','SP','125252251215471411468811571122610128187',8009,'9998',59.96,1,3,NULL),(20,5258910,'1992-10-12 00:00:00',4,10,12,2009,'M','N','LAGUNA MAR GROSSO','LAGUNA','SC','124244241416111131469514445124610168042',NULL,'521',19.06,1,3,NULL),(20,5258928,'1990-08-10 00:00:00',2,7,12,2008,'F','N','CENTRO','CONCÓRDIA','SC','124241244137141321333434142334233256147',NULL,'192',0.00,1,2,1),(20,5258936,'1979-11-09 00:00:00',2,1,11,1998,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241246132271421433314312123610143027',NULL,'739',31.38,1,2,1),(20,5258944,'1992-04-08 00:00:00',2,4,12,2009,'M','N','CENTRO','MANGUEIRINHA','PR','116161161116111431447632575124610122037',9603,'9998',55.92,1,2,1),(20,5258952,'1991-09-28 00:00:00',2,1,12,2008,'M','N','FORQUILHINHA','S JOSÉ','SC','124243241115373431426829386114610112012',9338,'733',57.33,4,3,NULL),(20,5258960,'1991-12-05 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215273731469913572112610134042',2044,'262',76.74,1,3,NULL),(20,5258979,'1987-01-28 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241247246132431216823485114610134047',NULL,'9999',27.22,2,1,2),(20,5258987,'1991-12-11 00:00:00',2,4,12,2008,'F','N','CENTRO','PALMITINHO','RS','120201201116471431559933571122610122122',NULL,'9998',0.00,1,2,1),(20,5258995,'1989-03-25 00:00:00',4,1,12,2006,'F','N','CENTRO','IGREJINHA','RS','120202201211571431468911475112610164053',NULL,'9998',0.00,1,3,NULL),(20,5259002,'1989-03-03 00:00:00',2,1,12,2006,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241216274721565513395124610167183',NULL,'1036',31.35,1,3,NULL),(20,5259029,'1990-03-20 00:00:00',2,1,12,2007,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124161161317371431327311375124140267187',15477,'9998',43.19,1,3,NULL),(20,5259053,'1985-06-23 00:00:00',4,1,12,2003,'M','N','JD CIDADE','S JOSÉ','SC','124161161111271431652464145134610114173',NULL,'9998',24.59,4,2,1),(20,5259061,'1990-03-30 00:00:00',4,3,12,2007,'F','N','INTERIOR','CERRO LARGO','RS','120201201216353431333335572222230417147',3717,'9998',70.93,1,3,NULL),(20,5259070,'1978-06-14 00:00:00',4,1,12,1996,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124251256112143431323319485124222367182',13668,'9998',45.59,1,2,1),(20,5259088,'1992-06-05 00:00:00',4,1,12,2009,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124243241117151431435312575124610124013',NULL,'592',19.09,1,3,NULL),(20,5259100,'1982-12-25 00:00:00',2,1,12,2001,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241136475431323344242334610126057',NULL,'293',52.17,1,2,1),(20,5259118,'1983-01-31 00:00:00',2,1,1,2002,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241116134721136543245124130217182',NULL,'307',24.88,1,2,1),(20,5259134,'1981-06-28 00:00:00',2,1,12,1998,'M','N','INGLESES','FLORIANÓPOLIS','SC','624241241126144421333344245334610117062',NULL,'274',19.04,1,2,1),(20,5259142,'1990-03-27 00:00:00',4,1,12,2007,'F','N','JARDIM MIRANDA','CAMPINAS','SP','125251258117471411448613345134610126143',4018,'9998',68.54,1,2,1),(20,5259150,'1992-06-03 00:00:00',4,9,12,2009,'F','N','PENHA','LAGES','SC','124241241117271731435814575124610144047',13721,'512',48.38,4,2,1),(20,5259177,'1992-05-12 00:00:00',4,1,12,2009,'M','N','JARDIM ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215111431358823575114610117042',14606,'270',46.04,1,3,NULL),(20,5259185,'1992-05-03 00:00:00',4,4,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124243241344131451333329382224610137017',NULL,'753',27.37,1,3,NULL),(20,5259193,'1990-12-29 00:00:00',2,1,12,1997,'F','N','CENTRO','CONSTANTINA','RS','120201201116471431323623415114610138147',13675,'9998',47.22,1,2,1),(20,5259207,'1983-06-26 00:00:00',4,1,7,2001,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241116135421126644245134131044077',NULL,'307',25.51,1,2,1),(20,5259215,'1981-11-18 00:00:00',4,1,12,1998,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124202201216273431248711345124123063182',8270,'9998',61.36,1,3,NULL),(20,5259223,'1985-05-17 00:00:00',4,1,10,2002,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241316475431223429345134610124097',6904,'9997',63.52,1,3,NULL),(20,5259231,'1992-08-12 00:00:00',4,8,12,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215111431468812582112610147052',2609,'1016',74.72,1,3,NULL),(20,5259258,'1989-12-11 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201206112372411423315572124221427182',2370,'9998',75.01,1,2,1),(20,5259274,'1986-09-23 00:00:00',2,4,12,2004,'F','N','CENTRO','CHAPECÓ','SC','124241241116475411426319285125610124037',8388,'169',59.07,1,2,1),(20,5259282,'1991-08-01 00:00:00',2,1,12,2009,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124241211116131431626624282324610137147',NULL,'9998',0.00,2,1,1),(20,5259290,'1992-06-27 00:00:00',2,9,12,2009,'M','N','GUILHERME RAUEN','STA CECÍLIA','SC','124241241114371731424329392325610132147',13763,'686',47.39,1,2,1),(20,5259304,'1984-03-22 00:00:00',2,1,12,2001,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241315574431541519192224231034052',16215,'300',42.32,1,3,NULL),(20,5259312,'1974-08-02 00:00:00',2,1,12,2002,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','624241241127272421423151182124610134142',NULL,'277',0.00,1,2,1),(20,5259320,'1984-11-01 00:00:00',4,1,12,2002,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','224241241232475431326644345134131324057',8935,'262',58.40,4,3,NULL),(20,5259339,'1991-03-07 00:00:00',4,2,11,2008,'M','N','FORTALEZA','BLUMENAU','SC','124242247215372431344621572112610124182',14784,'9999',48.51,1,3,NULL),(20,5259347,'1991-04-06 00:00:00',4,9,12,2009,'M','N','CONTA DINHEIRO','LAGES','SC','124244241215111431467734345122610167182',NULL,'515',32.84,1,3,NULL),(20,5259355,'1993-01-24 00:00:00',2,1,11,2009,'F','N','SCHREIBER','SALETE','SC','124242248215472531364432175124610127077',NULL,'654',26.66,1,3,NULL),(20,5259363,'1990-12-01 00:00:00',4,1,12,2008,'F','N','SÃO FRANCISCO','STO ANTÔNIO PLATINA','PR','116163161216471451458831272124610142187',NULL,'9998',0.00,1,3,NULL),(20,5259371,'1991-10-06 00:00:00',4,4,12,2008,'M','N','SAO LUIZ','S MIGUEL OESTE','SC','124241241112131411423319391121610125097',NULL,'757',25.34,1,2,1),(20,5259380,'1992-06-29 00:00:00',2,7,11,2009,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','124242241217112431358914572112610123147',10020,'454',55.85,1,3,NULL),(20,5259398,'1985-02-14 00:00:00',2,1,12,2002,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124201201116271731123344345134610162047',NULL,'9998',28.76,1,2,1),(20,5259401,'1980-08-31 00:00:00',4,5,12,1998,'M','N','SÃO SEBASTIÃO','CRICIÚMA','SC','224241243127132421323344242234130768142',NULL,'228',26.21,1,3,NULL),(20,5259410,'1982-04-05 00:00:00',4,1,12,1999,'F','N','BOM VIVER','BIGUAÇU','SC','124241241114474451116344442314610164147',8328,'307',59.38,1,2,1),(20,5259428,'1991-03-12 00:00:00',2,7,12,2009,'M','N','NOSSA SR DE LOURDES','JOAÇABA','SC','124241242115131431425339575224610127052',NULL,'8',27.18,1,3,NULL),(20,5259436,'1989-10-23 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248212145551389919571122230262051',3107,'270',73.19,1,3,NULL),(20,5259444,'1991-08-26 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241137371432423327292234610125147',NULL,'592',25.81,1,2,1),(20,5259452,'1989-08-05 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124091241132212731323114572324610168142',NULL,'734',45.42,4,1,1),(20,5259460,'1992-09-11 00:00:00',2,9,12,2009,'F','N','PIO X','CAXIAS SUL','RS','120201201135131751428639276224610137077',NULL,'9998',0.00,1,2,1),(20,5259479,'1991-04-01 00:00:00',4,1,12,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124243241225371731436414345124610128052',13590,'262',48.11,4,3,NULL),(20,5259487,'1988-01-23 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124252251216471451385531525122142467042',NULL,'9998',0.00,3,3,NULL),(20,5259495,'1992-02-06 00:00:00',2,3,11,2008,'F','N','JARDIM LONDRILAR','LONDRINA','PR','116111111216471731455612575114610124042',NULL,'9998',0.00,1,3,NULL),(20,5259509,'1990-11-13 00:00:00',2,1,12,2007,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241123271431428921395124610167182',NULL,'291',21.21,1,3,NULL),(20,5259517,'1980-09-05 00:00:00',4,15,12,1998,'M','N','MATO ALTO','ARARANGUÁ','SC','524241248137111721633613342122333214187',NULL,'30',33.72,1,3,NULL),(20,5259533,'1983-03-29 00:00:00',4,16,12,2000,'F','N','CENTRO','CURITIBANOS','SC','124201201117273751216428485114140628197',NULL,'9998',44.33,1,2,1),(20,5259541,'1992-12-14 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431678831475122610128142',10454,'270',57.32,1,3,NULL),(20,5259550,'1984-05-30 00:00:00',4,1,12,2001,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224164161215132431238743432234121424037',8182,'9998',61.50,1,3,NULL),(20,5259568,'1986-10-20 00:00:00',4,1,12,2004,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','125252251217471421338731495125241327123',NULL,'9998',0.00,1,3,NULL),(20,5259576,'1990-08-02 00:00:00',2,1,11,2007,'F','N','JARDIM SÃO JORGE','JALES','SP','125251251117171431428613585125241016017',NULL,'9998',28.98,1,2,1),(20,5259584,'1974-05-26 00:00:00',4,1,9,1993,'M','N','BELA VISTA I','S JOSÉ','SC','224241246116264421343644445124333266042',11381,'739',55.55,1,2,1),(20,5259592,'1985-12-05 00:00:00',2,1,12,2004,'M','N','BELA VISTA','S JOSÉ','SC','124241241137132732436674241124130224057',NULL,'726',25.43,1,2,1),(20,5259606,'1983-04-21 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126274431534414335124122962052',9281,'247',59.46,1,2,1),(20,5259614,'1992-05-28 00:00:00',4,1,12,2009,'M','N','JARDIM DOS JURITIS','RIBEIRÃO PRETO','SP','125252251215111431457711475112610124187',11879,'9998',50.41,1,3,NULL),(20,5259622,'1991-04-24 00:00:00',4,8,12,2009,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241117131411526418186211610115057',NULL,'1144',20.42,1,2,1),(20,5259649,'1992-02-09 00:00:00',4,4,12,2009,'M','N','ZONA RURAL','IPORÃ OESTE','SC','124241241146161411525531212121610117042',NULL,'371',24.13,1,3,NULL),(20,5259657,'1990-01-27 00:00:00',2,1,12,2007,'F','N','IPIRANGA','S JOSÉ','SC','124242241215373431476812225122131017042',8869,'262',60.22,1,3,NULL),(20,5259673,'1990-05-21 00:00:00',2,15,12,2007,'F','N','CENTRO','SOMBRIO','SC','124242241216572431536812574124610136187',6287,'1038',62.97,1,3,NULL),(20,5259681,'1985-11-29 00:00:00',4,1,2,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124052057116151421137944345124243266197',10563,'9998',57.11,4,3,NULL),(20,5259690,'1986-06-23 00:00:00',2,1,12,2004,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217145411455419495124231227052',NULL,'269',0.00,1,3,NULL),(20,5259703,'1981-08-04 00:00:00',4,1,12,1998,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124172241216422721468613332122321462087',8726,'270',60.49,1,3,NULL),(20,5259720,'1992-06-21 00:00:00',2,1,12,2009,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241415111431588612425122610117042',NULL,'1048',18.17,1,3,NULL),(20,5259738,'1993-05-12 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431248731575122610131042',16005,'1022',44.07,1,3,NULL),(20,5259746,'1993-01-24 00:00:00',4,1,12,2009,'F','N','SERTÃO','STO AMARO IMPERATRIZ','SC','124241241134471731423416275124610136143',13166,'941',50.33,4,2,1),(20,5259754,'1991-09-02 00:00:00',2,2,12,2008,'M','N','XAXIM','CURITIBA','PR','116161161115412441653372245122610162042',NULL,'9998',0.00,1,2,1),(20,5259762,'1954-02-15 00:00:00',5,1,12,1973,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241243146135431123341213224421634047',8419,'306',61.09,1,2,1),(20,5259770,'1991-08-18 00:00:00',4,4,12,2008,'F','N','CENTRO','S CARLOS','SC','124241241127131431115636342334610117057',NULL,'235',19.97,1,2,1),(20,5259789,'1978-03-26 00:00:00',4,1,10,2008,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241248132272451111179293314610142171',12799,'9999',52.75,1,2,1),(20,5259797,'1991-05-17 00:00:00',2,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241121373331534631275124610114117',8489,'322',57.35,1,2,1),(20,5259800,'1945-02-01 00:00:00',4,1,12,1964,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','224242243241152421264341112132320847042',14957,'70',48.01,1,3,NULL),(20,5259819,'1989-05-13 00:00:00',4,1,12,2005,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215372431158871392124120727027',1943,'1022',77.11,1,3,NULL),(20,5259835,'1985-04-15 00:00:00',4,1,12,2002,'F','N','KOBRASOL','S JOSÉ','SC','524241241127134432323619282124610123197',NULL,'736',27.22,1,2,1),(20,5259843,'1987-06-27 00:00:00',4,1,6,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247235372431538834475124132834182',12888,'9999',50.94,1,3,NULL),(20,5259851,'1973-07-21 00:00:00',2,1,12,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124246248611113431623319291344122964197',5847,'9999',66.35,1,3,NULL),(20,5259878,'1988-03-04 00:00:00',2,1,12,2005,'F','N','CENTRO','ANGELINA','SC','124241241112135711346923575124233242097',NULL,'17',32.11,1,2,1),(20,5259886,'1991-02-19 00:00:00',4,1,12,2008,'F','N','PASSO D AREIA','STA MARIA','RS','120201201116471631246513375122610132147',NULL,'9998',0.00,1,3,NULL),(20,5259894,'1991-05-13 00:00:00',4,16,12,2008,'F','N','SÃO JOSÉ','CURITIBANOS','SC','124241241116272741624513595125223264017',13373,'239',51.62,1,2,1),(20,5259908,'1985-10-03 00:00:00',4,1,12,2003,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124251251117574431436614482125610163047',3041,'9998',72.39,1,2,1),(20,5259916,'1990-11-26 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117372411523315572224221228057',4687,'307',68.49,1,2,1),(20,5259924,'1991-09-30 00:00:00',4,1,12,2009,'M','N','JARDIM IRAJÁ','RIBEIRÃO PRETO','SP','125252251215111431247821475112610137043',NULL,'9998',0.00,1,3,NULL),(20,5259932,'1987-03-22 00:00:00',4,1,12,2004,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216475431467713172124231132042',1152,'1040',80.23,1,3,NULL),(20,5259940,'1979-04-28 00:00:00',2,1,12,1996,'F','N','CENTRO','FLORIANÓPOLIS','SC','120204201416473731358834471124343264162',5584,'9998',66.92,4,3,NULL),(20,5259967,'1990-11-30 00:00:00',4,1,11,2007,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241215372331236729574114231263091',4152,'1022',70.43,4,3,NULL),(20,5259975,'1991-03-15 00:00:00',2,7,12,2008,'F','N','SANTO ANTONIO','CELSO RAMOS','SC','124241241116372431426923572224610127142',10306,'163',55.25,4,2,1),(20,5259983,'1987-09-15 00:00:00',2,1,12,2004,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241116474451227644245224140668092',3857,'636',71.20,1,3,NULL),(20,5259991,'1960-04-25 00:00:00',2,1,12,1977,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224203202117231431563343334124141026132',4202,'9998',70.31,1,3,NULL),(20,5260000,'1980-10-28 00:00:00',2,1,11,1999,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124251251117132421242229392214133227117',NULL,'9998',40.40,2,1,1),(20,5260019,'1985-04-08 00:00:00',2,1,12,2000,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241112475751335313582115610114045',NULL,'298',26.21,1,2,1),(20,5260035,'1975-11-13 00:00:00',2,1,12,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','224241248111111752623379291345610155197',NULL,'9999',27.88,1,2,1),(20,5260043,'1991-09-02 00:00:00',4,4,11,2008,'M','N','CENTRO','CARAZINHO','RS','120204201216471431447832592114610167042',NULL,'9998',0.00,1,3,NULL),(20,5260051,'1988-07-26 00:00:00',2,1,12,2006,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216374431467713172124610134042',10212,'1040',54.24,1,3,NULL),(20,5260060,'1992-08-09 00:00:00',2,1,12,2009,'F','N','BREJARU','PALHOÇA','SC','124241241115271431425611275124610142142',NULL,'592',27.61,1,2,1),(20,5260086,'1968-05-18 00:00:00',5,15,12,1987,'M','N','CENTRO','BAL ARROIO SILVA','SC','524241243127152721133341142122130837041',NULL,'228',0.00,1,2,1),(20,5260094,'1987-08-26 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124053211316473431118641415124610162181',4041,'9998',69.63,1,3,NULL),(20,5260108,'1992-07-18 00:00:00',4,1,11,2009,'F','N','CENTRO','CALIFÓRNIA','PR','116162161216114431559839572124610112147',NULL,'9998',0.00,2,3,NULL),(20,5260116,'1991-09-19 00:00:00',2,1,12,2005,'F','N','SERRARIA','S JOSÉ','SC','124241241112471431425335185124610137057',NULL,'334',32.13,1,3,NULL),(20,5260132,'1978-05-16 00:00:00',2,1,12,1999,'M','N','TABULEIRO','ITAPEMA','SC','124161167146271711123343235124141122187',4704,'9998',69.08,1,3,NULL),(20,5260159,'1985-02-09 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','124163248316152751426479491314610118047',NULL,'988',26.99,4,3,NULL),(20,5260167,'1982-03-12 00:00:00',2,5,12,1997,'F','N','CENTRO','PTO ALEGRE','RS','120202201415471711659711491125343266117',11049,'9998',56.19,1,3,NULL),(20,5260175,'1989-06-09 00:00:00',4,8,12,2006,'F','N','VILA NOVA','JOINVILLE','SC','124241241136373331458633386124610134017',10568,'473',54.58,4,2,1),(20,5260183,'1991-05-16 00:00:00',2,8,12,2008,'M','N','HAUER','CURITIBA','PR','116163161215511431333824112124610164147',8063,'9998',57.47,1,3,NULL),(20,5260191,'1988-03-06 00:00:00',3,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124286211216473451138819575124610166182',368,'9998',85.72,1,3,NULL),(20,5260213,'1990-08-07 00:00:00',4,5,12,2007,'M','N','UNIVERSITÁRIO','CRICIÚMA','SC','124201201116151411138611475124231437182',10307,'9998',55.21,1,2,1),(20,5260221,'1992-02-14 00:00:00',2,1,11,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241117141431223314342211610116152',NULL,'591',22.51,1,2,1),(20,5260248,'1993-08-25 00:00:00',4,1,11,2010,'F','S','ENSEADA DE BRITO','PALHOÇA','SC','124244241215111431533639375124610123192',NULL,'1022',57.58,1,3,NULL),(20,5260256,'1992-01-23 00:00:00',2,1,12,2009,'F','N','CENTRO','ANITÁPOLIS','SC','124241241125271431436824375124610166197',6021,'19',65.67,1,2,1),(20,5260280,'1987-10-08 00:00:00',2,1,12,2006,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241127141432323324442214610124055',NULL,'1097',0.00,1,2,1),(20,5260299,'1991-07-18 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215373411169911572114132044117',9591,'87',57.21,1,3,NULL),(20,5260302,'1968-11-16 00:00:00',4,1,12,1995,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124161161124272411139444345124141626042',NULL,'9998',38.96,1,3,NULL),(20,5260310,'1991-11-20 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','224242241215473231356912375122610167011',NULL,'270',34.03,1,3,NULL),(20,5260329,'1982-11-10 00:00:00',4,1,12,2001,'F','N','KOBRASOL DOIS','S JOSÉ','SC','624201201116151451336451382124610151187',NULL,'9998',27.13,1,3,NULL),(20,5260337,'1987-12-09 00:00:00',2,1,12,2006,'F','N','P IMBUHY','CACHOEIRINHA','RS','120201205116131331426614285113610137147',NULL,'9998',22.77,1,2,1),(20,5260345,'1987-10-13 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216134441226624442134610142187',15815,'9997',45.02,1,3,NULL),(20,5260353,'1990-10-08 00:00:00',4,1,11,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124114071217371411268811275122610162092',3367,'9998',72.43,1,3,NULL),(20,5260361,'1989-05-14 00:00:00',2,1,12,2007,'M','N','PASSA VINTE','PALHOÇA','SC','124243241112133421448814245124230827042',7812,'306',59.29,1,3,NULL),(20,5260370,'1993-04-07 00:00:00',4,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111431469923576124610117062',13640,'1022',51.07,1,3,NULL),(20,5260388,'1990-04-05 00:00:00',4,8,12,2007,'F','N','VILA LALAU','JARAGUÁ SUL','SC','116241168215371751363332575112142636175',NULL,'9998',0.00,1,3,NULL),(20,5260396,'1984-08-15 00:00:00',2,1,12,2002,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124251251116142441116812415121233261092',NULL,'9998',0.00,1,3,NULL),(20,5260400,'1993-07-17 00:00:00',2,2,12,2009,'F','N','SANTA MARIA','BENEDITO NOVO','SC','124241241215112431456912576121610148182',14191,'1157',46.49,1,3,NULL),(20,5260418,'1989-02-03 00:00:00',2,8,12,2008,'F','N','GUANABARA','JOINVILLE','SC','124242241215371431348834345124610121142',NULL,'1105',0.00,1,3,NULL),(20,5260434,'1992-10-15 00:00:00',2,15,12,2009,'F','N','COLONINHA','ARARANGUÁ','SC','124242241215372441337924342122610122072',NULL,'970',30.45,1,3,NULL),(20,5260442,'1992-07-01 00:00:00',4,1,12,2009,'F','N','VIGILATO PEREIRA','UBERLÂNDIA','MG','113132131216111431478612375122610166012',4232,'9998',68.42,1,3,NULL),(20,5260450,'1991-04-24 00:00:00',4,10,11,2008,'M','N','TERMAS','GRAVATAL','SC','124242241415372421469933575114131434182',13831,'807',50.69,1,3,NULL),(20,5260469,'1990-02-24 00:00:00',2,1,12,2007,'M','N','CANTO','FLORIANÓPOLIS','SC','124111111347412431246712245124610112042',NULL,'9998',29.05,1,3,NULL),(20,5260477,'1992-03-29 00:00:00',2,1,12,2009,'F','N','CENTRO','BOA VISTA','RR','123232231217371751468933595122610127077',NULL,'9998',35.11,1,3,NULL),(20,5260485,'1991-04-29 00:00:00',2,1,12,2008,'F','N','IDEAL','NOVO HAMBURGO','RS','120202201216471431379832572112610134042',NULL,'9998',0.00,1,3,NULL),(20,5260493,'1988-02-11 00:00:00',4,6,12,2006,'F','N','PARQUE SÃO DOMINGOS','S PAULO','SP','125251257337571721333311285124141052037',NULL,'9998',0.00,1,3,NULL),(20,5260507,'1990-07-23 00:00:00',2,6,11,2008,'F','N','DOM BOSCO','ITAJAÍ','SC','124243241537132431338639245134610147147',NULL,'388',28.45,1,3,NULL),(20,5260515,'1988-09-20 00:00:00',2,8,12,2005,'F','N','BOM RETIRO','JOINVILLE','SC','124251251117373441334414344124610122197',12205,'9998',52.13,1,2,1),(20,5260523,'1991-06-12 00:00:00',4,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241122131431336824195124610144183',NULL,'283',0.00,1,3,NULL),(20,5260531,'1981-12-10 00:00:00',2,1,12,2000,'F','N','PRADO','BIGUAÇU','SC','224241241136372721325459345124610124157',NULL,'257',25.17,4,2,1),(20,5260540,'1992-08-19 00:00:00',4,1,11,2009,'F','N','ANITA GARIBALDI','ERECHIM','RS','120202201216222431468834572122610162162',2099,'9998',76.55,1,3,NULL),(20,5260558,'1992-05-18 00:00:00',4,16,12,2009,'F','N','SÃO LUIZ','CURITIBANOS','SC','124241241113241432223325172324610167087',NULL,'239',41.50,4,3,NULL),(20,5260574,'1992-07-30 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241137271431433823575124610127057',NULL,'339',17.50,1,3,NULL),(20,5260582,'1992-12-23 00:00:00',4,4,12,2009,'M','N','MACUCO','S JOÃO OESTE','SC','124241241117161431459413575124610117042',14525,'715',46.58,1,2,1),(20,5260590,'1992-07-19 00:00:00',4,8,12,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241237111411348921196124610114072',NULL,'494',25.04,1,3,NULL),(20,5260604,'1986-10-02 00:00:00',2,16,12,2003,'M','N','INTERIOR','CURITIBANOS','SC','124241241113142421423345252242130814097',NULL,'239',29.12,1,2,1),(20,5260612,'1990-01-05 00:00:00',2,1,12,2007,'M','N','CENTRO','PTO ALEGRE','RS','120202201216371741268813495124243267111',NULL,'9998',26.85,1,3,NULL),(20,5260620,'1992-05-10 00:00:00',4,2,12,2009,'F','N','SÃO PEDRO','APIÚNA','SC','124244241217271411426923272124613216077',5655,'346',65.75,1,3,NULL),(20,5260639,'1988-02-23 00:00:00',2,1,12,2005,'F','N','AREIAS','S JOSÉ','SC','124243241327371731224644342234610137033',13915,'300',48.02,2,1,2),(20,5260647,'1991-02-21 00:00:00',4,3,12,2009,'F','N','CENTRO','APUCARANA','PR','116162161215171751448712475122610168047',NULL,'9998',0.00,1,3,NULL),(20,5260655,'1991-06-11 00:00:00',2,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241112272431225359572324130216147',11268,'638',53.18,1,2,1),(20,5260663,'1992-08-05 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241225231431337929192124610122012',13580,'262',48.92,1,3,NULL),(20,5260671,'1993-03-15 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241135471431322311573322610134147',14494,'592',45.56,1,2,1),(20,5260680,'1975-08-03 00:00:00',2,1,12,1992,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241243126272411133342425123330837092',12506,'591',53.33,1,3,NULL),(20,5260698,'1992-11-04 00:00:00',4,8,12,2009,'F','N','BUTIATUVINHA','CURITIBA','PR','116161168335471531445933575224610112077',NULL,'9998',0.00,1,3,NULL),(20,5260701,'1992-07-15 00:00:00',4,2,11,2009,'F','N','CENTRO','GUABIRUBA','SC','124242241215111231446831315112610162115',NULL,'1123',0.00,1,3,NULL),(20,5260710,'1989-06-10 00:00:00',2,1,12,2007,'M','N','SERRARIA','S JOSÉ','SC','124241241127132431423111381322610125057',NULL,'66',24.14,4,1,1),(20,5260728,'1986-01-02 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241246111113531426723291345610158187',NULL,'306',33.14,1,2,1),(20,5260736,'1992-09-27 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215371431567817472112610125072',11565,'1022',52.11,1,3,NULL),(20,5260744,'1989-01-05 00:00:00',4,1,12,2006,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241111371221116943441324131223057',NULL,'935',24.27,2,1,1),(20,5260760,'1989-12-18 00:00:00',2,1,12,2006,'F','N','SANTA CLARA','QUATRO PONTES','PR','116162161216575441449831475124610162142',2734,'9998',74.12,1,3,NULL),(20,5260779,'1991-12-26 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241142371431533319292121610147147',NULL,'592',42.38,1,2,1),(20,5260787,'1988-05-01 00:00:00',4,1,12,2005,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241212132411347839495124231046193',15807,'943',45.05,1,3,NULL),(20,5260795,'1986-10-02 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241317132431428721341124132026032',NULL,'9999',24.13,4,1,2),(20,5260809,'1990-07-05 00:00:00',4,8,12,2007,'M','N','JARDIM STATUS','PARANAVAÍ','PR','116163161216571751357833575122610167057',1031,'9998',80.73,1,3,NULL),(20,5260817,'1992-10-23 00:00:00',4,1,11,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111432476923575124610132172',NULL,'270',34.94,1,3,NULL),(20,5260825,'1989-10-12 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215574221579911575122610167042',3888,'497',71.11,1,3,NULL),(20,5260833,'1993-04-07 00:00:00',4,3,12,2009,'M','N','CENTRO','LARANJEIRAS SUL','PR','116163161237111232446614472112610133047',13627,'9998',51.11,1,3,NULL),(20,5260841,'1978-10-24 00:00:00',4,1,11,1995,'F','N','REAL PARQUE','S JOSÉ','SC','124241241112132431323311342334130825027',NULL,'359',21.29,1,2,1),(20,5260850,'1986-03-05 00:00:00',2,15,12,2003,'F','N','GOLFINHOS','BAL ARROIO SILVA','SC','124242241215112432448931345122232325191',NULL,'212',29.20,1,3,NULL),(20,5260876,'1992-09-23 00:00:00',2,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111411444831575122610134092',13264,'737',51.84,1,3,NULL),(20,5260884,'1958-06-29 00:00:00',2,1,12,1979,'M','N','SESC SUZANO','SUZANO','SP','125251257426471731324449393224610127097',NULL,'9998',0.00,1,3,NULL),(20,5260892,'1992-06-22 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215112731336722575124610127077',14281,'738',46.09,1,3,NULL),(20,5260906,'1987-02-25 00:00:00',4,1,12,2004,'M','N','BELA VISTA','S JOSÉ','SC','124243241216275431218628482224121767042',14917,'943',48.10,1,3,NULL),(20,5260922,'1991-10-29 00:00:00',4,1,12,2009,'M','N','PRAINHA','FLORIANÓPOLIS','SC','124241241115421431216513492224610117142',11079,'307',56.12,1,2,1),(20,5260930,'1988-04-30 00:00:00',2,17,12,2005,'M','N','VILA NOVA','TRÊS BARRAS','SC','124241241111271411533639345123610138077',NULL,'791',29.54,1,2,1),(20,5260949,'1992-08-24 00:00:00',2,4,12,2009,'F','N','CENTRO','AMPÉRE','PR','116162161116111431548923575124610134187',NULL,'9998',25.57,1,3,NULL),(20,5260957,'1992-06-28 00:00:00',4,1,12,2009,'M','N','VILA MARIANA','GOV VALADARES','MG','113131131116271531443823575124610144197',NULL,'9998',0.00,1,2,1),(20,5260965,'1991-09-30 00:00:00',2,4,12,2009,'M','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241116471411239914345124610127052',NULL,'174',14.27,1,2,1),(20,5260973,'1981-03-20 00:00:00',2,1,11,1999,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124201241137135411443514435124610167117',15839,'285',44.90,1,2,1),(20,5260981,'1988-03-13 00:00:00',4,1,12,2005,'F','N','VILA DAS FLORES','S JOSÉ CAMPOS','SP','125251251117511431423629391114140232017',NULL,'9998',0.00,1,2,1),(20,5260990,'1979-04-11 00:00:00',4,1,12,1998,'F','N','JD PAU PRETO','INDAIATUBA','SP','125251256116154421446839445122321864187',NULL,'9998',0.00,1,3,NULL),(20,5261007,'1969-01-13 00:00:00',2,1,12,1987,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','224241248126334712431353272124130244043',NULL,'512',42.36,1,2,1),(20,5261015,'1990-10-25 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242248216361431426632391124230864142',NULL,'817',28.71,1,3,NULL),(20,5261023,'1992-02-07 00:00:00',2,1,12,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241117271232423331575124610124142',8178,'288',60.07,1,2,1),(20,5261031,'1992-03-19 00:00:00',4,1,12,2009,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241127141531525518291234610126192',NULL,'1088',14.38,3,3,NULL),(20,5261040,'1988-08-18 00:00:00',2,2,12,2005,'F','N','DERR','CAÇADOR','SC','124244241416134141118948185325131064177',NULL,'123',31.69,1,3,NULL),(20,5261058,'1992-07-29 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112441446714342124610147063',14085,'1022',49.66,1,3,NULL),(20,5261066,'1991-03-11 00:00:00',4,1,12,2008,'F','N','AGUA FRIA','S PAULO','SP','125254256237371411438821281124610165147',13754,'9998',50.82,1,3,NULL),(20,5261074,'1990-11-01 00:00:00',4,15,11,2007,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241113131732334514283124230722177',NULL,'30',0.00,1,2,1),(20,5261090,'1992-08-01 00:00:00',2,15,12,2009,'F','N','CENTRO','ARARANGUÁ','SC','124242241214121411326923372125610153187',16077,'26',43.57,1,3,NULL),(20,5261104,'1991-02-04 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111431468614281114610167047',14432,'1022',49.41,1,3,NULL),(20,5261112,'1992-03-03 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241137371532426611111114610133047',NULL,'288',12.77,2,1,1),(20,5261120,'1990-02-18 00:00:00',4,1,12,2007,'M','N','CON CON','SOMBRIO','SC','124243241216274431536611285124133267112',4547,'770',67.76,1,3,NULL),(20,5261139,'1981-10-15 00:00:00',4,1,11,1999,'M','N','JARDIM CIDADE DE F','S JOSÉ','SC','124241241146151421125742225122131022022',NULL,'840',24.50,1,2,1),(20,5261147,'1992-11-25 00:00:00',4,8,11,2009,'M','N','JARDIM PAULISTA','OURINHOS','SP','116252161217111731455812575124610164117',12239,'9998',50.07,3,3,NULL),(20,5261155,'1989-08-13 00:00:00',4,1,12,2006,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241217575431369923576124231468012',6164,'389',65.67,1,3,NULL),(20,5261163,'1993-04-21 00:00:00',2,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241216111411469913572122610126192',NULL,'270',29.40,1,3,NULL),(20,5261171,'1985-11-28 00:00:00',2,1,12,2006,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241248617163141323344342234610165093',15371,'306',46.71,1,3,NULL),(20,5261198,'1981-10-24 00:00:00',4,1,1,2000,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','624161161112471421434374442114140734187',NULL,'9998',23.89,1,2,1),(20,5261201,'1992-11-09 00:00:00',4,8,12,2009,'F','N','AGENOR DE CAMPOS','MONGAGUÁ','SP','125252251216111431336723145122610123144',NULL,'9997',0.00,1,3,NULL),(20,5261210,'1990-01-22 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124251251117131431338744345124610127142',NULL,'9998',50.69,1,2,1),(20,5261228,'1989-07-17 00:00:00',2,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116163161215532411237832571324610167041',1133,'9998',80.57,1,3,NULL),(20,5261236,'1991-01-05 00:00:00',2,1,12,2009,'F','N','PRAIA MOLE','FLORIANÓPOLIS','SC','124251241317371741525614345234610136192',5133,'307',67.38,1,3,NULL),(20,5261244,'1988-01-13 00:00:00',4,1,12,2006,'M','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241135271221323528282124610162187',NULL,'591',28.61,1,2,1),(20,5261252,'1989-06-12 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241111143411423534572224610117142',NULL,'298',0.00,1,2,1),(20,5261260,'1979-05-29 00:00:00',2,1,12,1999,'M','N','ESTREITO','FLORIANÓPOLIS','SC','624201207122135421323344142324330224057',NULL,'9998',24.03,2,1,1),(20,5261279,'1992-12-26 00:00:00',4,4,12,2009,'M','N','CENTRO','CONCÓRDIA','SC','124241241217131711444414575122610124042',NULL,'1001',19.81,1,3,NULL),(20,5261287,'1992-09-11 00:00:00',4,1,12,2009,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241135371731634619395124610137147',6636,'772',63.40,1,2,1),(20,5261295,'1990-12-11 00:00:00',4,1,12,2008,'M','N','CENTRO','PRES PRUDENTE','SP','125252251217471451366824475112610164142',10487,'9998',57.26,1,3,NULL),(20,5261325,'1993-06-13 00:00:00',2,1,12,2010,'M','S','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244241217111431368513591124610117162',NULL,'1118',19.97,1,3,NULL),(20,5261333,'1987-08-19 00:00:00',4,3,12,2004,'M','N','CENTRO','PATO BRANCO','PR','116162161216473441457832575115141444197',1937,'9998',75.60,1,3,NULL),(20,5261341,'1975-04-27 00:00:00',2,1,12,1992,'F','N','JURERE','FLORIANÓPOLIS','SC','124201208227271431123344216334610124187',NULL,'9998',43.39,1,3,NULL),(20,5261350,'1988-08-05 00:00:00',4,10,11,2005,'M','N','STO ANTONIO DE PÁDUA','TUBARÃO','SC','124242241214471431239821271125131064112',11135,'806',54.42,1,3,NULL),(20,5261368,'1991-06-11 00:00:00',4,2,12,2008,'M','N','VILA CLEMENTINO','S PAULO','SP','125252251215411431458813575115610137057',NULL,'9998',0.00,3,3,NULL),(20,5261376,'1991-12-12 00:00:00',4,8,12,2008,'M','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161216151431489932575112610127187',8295,'9998',58.02,1,3,NULL),(20,5261384,'1992-06-21 00:00:00',4,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124241241215111341438919295115610134192',570,'723',84.01,1,3,NULL),(20,5261414,'1993-05-22 00:00:00',2,1,12,2010,'F','S','PAES LEME','IMBITUBA','SC','624243248115111732435612591122610147142',NULL,'362',23.88,1,3,NULL),(20,5261422,'1991-03-27 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241126131421439713392124610117092',NULL,'592',20.99,1,2,1),(20,5261430,'1989-05-09 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241122271431436634275124610122192',NULL,'295',17.25,2,1,1),(20,5261449,'1988-03-22 00:00:00',4,1,12,2006,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217473431468823481125120346057',9322,'270',59.38,1,3,NULL),(20,5261457,'1989-12-17 00:00:00',2,1,12,2006,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241248112371431333421242324610114112',14260,'288',49.81,1,2,1),(20,5261465,'1990-01-15 00:00:00',4,1,12,2007,'M','N','CENTRO','FOZ IGUAÇU','PR','116162161215471331468513575124610122172',NULL,'9998',0.00,1,3,NULL),(20,5261473,'1990-10-20 00:00:00',2,1,12,2008,'M','N','GENERAL CADORNA','NOVA ALVORADA','RS','120201202135271421523315555124610164177',NULL,'9998',19.98,1,3,NULL),(20,5261481,'1991-10-27 00:00:00',4,1,11,2009,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241215111431556619592122610132197',2810,'270',74.10,1,3,NULL),(20,5261490,'1990-12-06 00:00:00',4,1,6,2009,'M','N','VILA VITORIA','LAGUNA','SC','124242241212372431336829575124610114047',NULL,'9997',27.20,1,3,NULL),(20,5261503,'1972-07-29 00:00:00',2,1,12,1991,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','224241248121472421436644144234610164067',14031,'592',46.57,1,3,NULL),(20,5261511,'1993-01-24 00:00:00',4,1,12,2010,'M','S','PANTANAL','FLORIANÓPOLIS','SC','124242241215111431479834445124610132185',NULL,'270',52.73,1,3,NULL),(20,5261520,'1992-01-04 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117141431424611242121610127017',NULL,'307',23.65,1,2,1),(20,5261538,'1992-11-03 00:00:00',2,10,12,2009,'F','N','CAÇADOR','CAPIVARI BAIXO','SC','124241241132271431426723572124610134197',NULL,'158',29.43,1,2,1),(20,5261546,'1992-12-07 00:00:00',4,9,11,2009,'M','N','CENTRO','LAGES','SC','124242241217112431489931575125610132192',584,'497',83.77,1,3,NULL),(20,5261562,'1992-12-23 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241114471751333823572121610165147',6175,'49',64.98,4,2,1),(20,5261570,'1991-03-12 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162241415473431363829571144610142187',6163,'1022',65.67,4,3,NULL),(20,5261589,'1991-10-01 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241216121431468831575111610164093',13009,'737',50.26,1,3,NULL),(20,5261597,'1989-02-18 00:00:00',4,17,12,2006,'M','N','CENTRO','PAPANDUVA','SC','124241241116572711556939575122610128177',3144,'603',71.09,1,2,1),(20,5261600,'1988-07-18 00:00:00',4,15,12,2005,'M','N','ARIZONA','JACINTO MACHADO','SC','124241241111131721445939341121610147067',NULL,'420',18.52,1,2,1),(20,5261619,'1973-03-28 00:00:00',4,1,1,1991,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124202201215271441128848381324140236092',NULL,'9998',0.00,1,3,NULL),(20,5261627,'1990-12-17 00:00:00',2,15,12,2009,'F','N','CENTRO','MARACAJÁ','SC','124241241115111611323311341331610161141',NULL,'550',18.03,1,3,NULL),(20,5261635,'1959-02-22 00:00:00',2,1,12,1979,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224241247226575421553359492124622347043',15074,'260',46.01,1,3,NULL),(20,5261643,'1992-11-16 00:00:00',4,1,12,2009,'M','N','JARDIM UNIVERSITÁRIO','MARINGÁ','PR','116161161217121431459813375122610164142',1123,'9998',79.93,1,3,NULL),(20,5261651,'1991-05-28 00:00:00',4,1,12,2008,'M','N','FORQUILHAS','S JOSÉ','SC','124241241117271442323511175124610138183',NULL,'732',25.24,1,2,1),(20,5261660,'1990-10-10 00:00:00',4,1,12,2008,'M','N','JARDIM AMÉRICA','RIBEIRÃO PRETO','SP','125254251416471432568831315122610111122',9520,'9998',55.78,1,3,NULL),(20,5261678,'1993-06-02 00:00:00',4,8,12,2009,'M','N','IRIRIÚ','JOINVILLE','SC','124242241215111431368832575112610164042',1136,'1063',79.46,1,3,NULL),(20,5261686,'1989-05-17 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241131472741333349191324610168077',NULL,'620',23.12,1,2,1),(20,5261694,'1990-12-28 00:00:00',2,7,12,2009,'M','N','JARDIM CIDADE ALTA','JOAÇABA','SC','124241241115411431336669572324610168177',NULL,'539',25.55,1,2,1),(20,5261716,'1992-09-30 00:00:00',4,8,12,2009,'M','N','SAO FRANCISCO','CURITIBA','PR','116162165215411511378614575112610162057',NULL,'9998',23.78,1,3,NULL),(20,5261724,'1990-01-01 00:00:00',2,5,11,2007,'F','N','CENTRO','MRO FUMAÇA','SC','124241241215472431455512575122133223142',NULL,'226',0.00,1,3,NULL),(20,5261732,'1988-09-22 00:00:00',2,1,11,2008,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241113574411428834593324610121142',NULL,'306',41.20,1,3,NULL),(20,5261740,'1986-08-24 00:00:00',2,4,12,2003,'F','N','JARDIM AMÉRICA','CHAPECÓ','SC','124244241214471431336923432123333237053',NULL,'185',30.63,4,3,NULL),(20,5261759,'1992-08-07 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241211111431468933575122610167012',4597,'737',68.01,4,1,2),(20,5261767,'1987-08-18 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241145131431523314345124610147057',NULL,'298',0.00,4,2,1),(20,5261775,'1991-07-27 00:00:00',1,4,11,2009,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116164161215271431436632575122610166092',8305,'9998',59.10,1,3,NULL),(20,5261783,'1989-06-05 00:00:00',4,1,12,2006,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241115471221323414242224610162187',NULL,'591',29.08,1,2,1),(20,5261791,'1992-05-12 00:00:00',2,10,11,2009,'M','N','CENTRO','BRAÇO NORTE','SC','124241241116131431549819515122610137142',NULL,'100',35.22,1,2,1),(20,5261805,'1988-06-10 00:00:00',2,15,12,2005,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201216571531258827475122241966147',NULL,'9998',0.00,1,3,NULL),(20,5261813,'1989-05-12 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124241241212474211244619371124610132082',14526,'1036',46.33,1,3,NULL),(20,5261821,'1989-10-26 00:00:00',2,1,12,2007,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241415573431336624475114610167142',13872,'1022',48.45,1,3,NULL),(20,5261830,'1990-10-07 00:00:00',4,8,12,2007,'F','N','AHÚ','CURITIBA','PR','116162161215571411489813572112610122097',12088,'9998',51.08,1,3,NULL),(20,5261848,'1991-03-20 00:00:00',2,1,12,2008,'F','N','JARDIM PORTO ALEGRE','TOLEDO','PR','116162161216471431458933572112610167092',8005,'9998',59.32,1,3,NULL),(20,5261856,'1990-10-23 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373411388812572122610134092',4737,'270',69.01,1,3,NULL),(20,5261864,'1993-01-08 00:00:00',4,6,12,2009,'M','N','CENTRO','ITAJAÍ','SC','124242241216111431468913575112610132072',NULL,'1057',17.89,1,3,NULL),(20,5261872,'1984-03-19 00:00:00',4,5,11,2000,'F','N','CENTRO','CRICIÚMA','SC','124242241216273431547634441132321522092',3300,'213',72.61,1,3,NULL),(20,5261880,'1986-11-27 00:00:00',2,9,12,2004,'F','N','CENTRO','LAGES','SC','124241241415575421558831575124610134177',NULL,'499',0.00,1,3,NULL),(20,5261902,'1990-01-12 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241116372721467613495114610167182',NULL,'307',27.77,1,3,NULL),(20,5261910,'1989-04-21 00:00:00',2,8,12,2006,'M','N','CENTRO','IVAIPORÃ','PR','116162161215571751643936572122142662097',793,'9998',82.17,1,3,NULL),(20,5261929,'1979-08-08 00:00:00',2,1,12,1997,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224241241126572431235443234222610117042',12369,'277',53.63,1,2,1),(20,5261937,'1992-11-27 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241345111731346622272124610114042',NULL,'1118',38.68,1,3,NULL),(20,5261945,'1981-11-19 00:00:00',4,1,12,2000,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224243247341135431337844245122242162177',NULL,'9999',NULL,1,3,NULL),(20,5261953,'1992-07-20 00:00:00',2,2,11,2009,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124241241211271431636527472124610164042',6887,'1018',62.81,1,3,NULL),(20,5261961,'1991-03-09 00:00:00',1,8,12,2009,'M','N','COLÔNIA JORDÃOZINHO','JORDÃOZINHO','PR','116162161216271431326911395124610134052',9571,'9998',56.39,1,3,NULL),(20,5261970,'1989-12-13 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124161161117272411248933316111610165182',NULL,'9998',26.73,4,3,NULL),(20,5261988,'1991-10-19 00:00:00',4,9,12,2009,'M','N','BRUSQUE','LAGES','SC','124241241126131431548413572122610117047',NULL,'935',15.83,1,2,1),(20,5261996,'1990-10-25 00:00:00',2,1,12,2007,'M','N','GUIOMAR DE FORA','ANTÔNIO CARLOS','SC','124241241114273431533435152224610166047',6768,'21',63.45,1,2,1),(20,5262003,'1993-01-27 00:00:00',4,1,11,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241215271531468612575122610127062',10767,'723',53.52,1,3,NULL),(20,5262011,'1992-04-22 00:00:00',4,17,12,2009,'M','N','BOM JESUS','RIO NEGRO','PR','116241241435141431238724245124610116043',NULL,'542',0.00,3,3,NULL),(20,5262020,'1992-10-22 00:00:00',2,15,12,2009,'F','N','CENTRO','TURVO','SC','124244241217372431459919571121610144072',6155,'813',63.76,1,3,NULL),(20,5262038,'1992-03-15 00:00:00',2,2,12,2009,'F','N','SALTO','BLUMENAU','SC','124161241135371331326339282324610131143',NULL,'69',17.15,1,2,1),(20,5262046,'1991-10-05 00:00:00',2,2,12,2009,'F','N','VORSTADT','BLUMENAU','SC','124241241115141411623669242124610142187',NULL,'69',25.63,1,2,1),(20,5262054,'1993-01-29 00:00:00',4,8,12,2009,'M','N','PETROPOLIS','JOINVILLE','SC','124241241417131431536414576121610147072',NULL,'489',28.44,1,3,NULL),(20,5262062,'1988-05-21 00:00:00',4,1,12,2005,'M','N','PARQUE XANGRILA','CACHOEIRA SUL','RS','120204201211571431338911271124141347042',2867,'9998',73.29,1,3,NULL),(20,5262070,'1988-11-16 00:00:00',2,1,11,2005,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115474431424611312124610127147',6249,'65',64.37,1,2,1),(20,5262089,'1991-02-18 00:00:00',4,15,12,2008,'M','N','ESPIRITO SANTO','PTO ALEGRE','RS','120201201117371411658513574125610161182',12606,'9998',50.88,1,2,1),(20,5262097,'1992-01-31 00:00:00',2,1,12,2008,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124244241417373431338814575124610133072',NULL,'1022',24.14,2,1,2),(20,5262100,'1985-06-19 00:00:00',2,10,12,2002,'M','N','CENTRO','TUBARÃO','SC','624241246127131431433514342122130624041',NULL,'808',24.32,1,3,NULL),(20,5262119,'1985-08-20 00:00:00',4,2,12,2003,'M','N','AGUA VERDE','CURITIBA','PR','116162161211573711357722391125143267077',5990,'9998',66.03,1,3,NULL),(20,5262127,'1971-06-03 00:00:00',4,8,12,1988,'M','N','PARQUE GUARANI','JOINVILLE','SC','124164161216144431417943382335141546197',3842,'9998',69.77,4,3,NULL),(20,5262135,'1991-05-25 00:00:00',4,1,12,2008,'F','N','CENTRO','BOTUCATU','SP','125252251217271431588834575112141427076',NULL,'9998',0.00,1,3,NULL),(20,5262143,'1990-09-16 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124203241117151431427614345224610138052',NULL,'209',0.00,1,3,NULL),(20,5262151,'1992-05-27 00:00:00',4,1,12,2008,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124244241212273431459914572122233264113',NULL,'270',0.00,1,3,NULL),(20,5262160,'1990-05-20 00:00:00',4,8,11,2007,'M','N','BELA VISTA','RIO NEGRINHO','SC','124241241117161431535913572122610122141',14182,'669',47.33,1,3,NULL),(20,5262178,'1992-06-08 00:00:00',4,1,12,2009,'F','N','CENTRO','CIANORTE','PR','116161161217111431345631572122610124097',NULL,'9998',42.98,1,3,NULL),(20,5262194,'1987-05-31 00:00:00',4,1,12,2004,'M','N','CENTRO','PTO ALEGRE','RS','120201201217372442336771445124141464182',9383,'9998',56.81,1,3,NULL),(20,5262208,'1992-09-23 00:00:00',4,10,12,2009,'M','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124241241136371431426614375124610134057',NULL,'332',28.03,1,2,1),(20,5262216,'1990-10-12 00:00:00',2,3,12,2007,'M','N','CENTRO','ITAPEMA','SC','124242244117151451433534345223610165052',NULL,'406',0.00,1,3,NULL),(20,5262224,'1991-03-08 00:00:00',4,4,8,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241215211451468811575122610136192',NULL,'9997',0.00,1,3,NULL),(20,5262232,'1991-04-30 00:00:00',4,1,6,2009,'M','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124242241217371431479913475122610122111',4855,'270',65.99,1,3,NULL),(20,5262240,'1984-04-15 00:00:00',4,1,12,2004,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','624241241126131131323453332123610124157',NULL,'772',30.34,1,3,NULL),(20,5262259,'1992-06-08 00:00:00',4,1,12,2009,'F','N','JARDIM EUROPA','BIGUAÇU','SC','124242241217112431456923575122610127182',NULL,'270',30.79,1,3,NULL),(20,5262267,'1991-12-20 00:00:00',4,1,11,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124244248215111751426619295125610122097',NULL,'1074',0.00,1,3,NULL),(20,5262275,'1992-09-13 00:00:00',4,16,11,2009,'F','N','BURTET','IJUÍ','RS','120202201217371431448719571122610134142',1948,'9998',75.62,1,3,NULL),(20,5262283,'1992-10-30 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215112431466619592112610122072',4522,'270',68.43,1,3,NULL),(20,5262305,'1992-06-07 00:00:00',4,1,12,2009,'M','N','CENTRO','CPO MOURÃO','PR','116162161217271431468933575121610124052',5521,'9998',63.93,1,3,NULL),(20,5262313,'1991-09-21 00:00:00',2,1,12,2008,'F','N','PENHA','PAULO LOPES','SC','124241241116472431436613345124610124042',11020,'361',54.70,1,2,1),(20,5262321,'1988-02-05 00:00:00',4,5,5,2007,'M','N','SANTO ANTONIO','CRICIÚMA','SC','224241247144131721225344245122610134147',NULL,'209',23.08,1,3,NULL),(20,5262330,'1992-05-14 00:00:00',4,9,12,2009,'F','N','JARDIM PANORÂMICO','LAGES','SC','124242241215371731559613572122610163115',13200,'1146',46.92,1,3,NULL),(20,5262348,'1991-06-16 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431488319572112610112042',NULL,'262',26.36,1,3,NULL),(20,5262356,'1991-10-29 00:00:00',2,5,11,2009,'M','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241215111431478924572112610127062',NULL,'210',29.88,1,3,NULL),(20,5262364,'1991-03-02 00:00:00',4,1,12,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241115472411223321416314610168042',14962,'727',45.75,4,2,1),(20,5262372,'1976-04-12 00:00:00',1,1,12,1993,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241146113421233342421124120847052',5415,'411',67.30,1,2,1),(20,5262399,'1992-09-13 00:00:00',2,1,12,2009,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241112111731624311312324610126145',NULL,'288',23.91,1,3,NULL),(20,5262402,'1992-04-08 00:00:00',2,4,11,2009,'F','N','CENTRO','PLANALTO ALEGRE','SC','124241241215111411466634375124610162122',8561,'983',59.05,1,3,NULL),(20,5262410,'1993-07-29 00:00:00',2,1,11,2010,'F','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111411379833575122610137072',NULL,'1168',46.95,1,3,NULL),(20,5262429,'1975-06-20 00:00:00',2,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241111133431116544441124610127052',NULL,'275',27.60,1,3,NULL),(20,5262453,'1992-03-27 00:00:00',4,1,12,2009,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241117271431223329472124610164057',NULL,'772',31.51,1,2,1),(20,5262461,'1993-01-16 00:00:00',2,1,11,2009,'F','N','COPOEIRAS','FLORIANÓPOLIS','SC','124242241217111431458923132122610113142',9914,'270',55.10,1,3,NULL),(20,5262470,'1980-09-20 00:00:00',4,1,12,1997,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','624253258116151421267543335122342964172',2395,'9998',75.45,3,3,NULL),(20,5262488,'1992-03-25 00:00:00',4,4,12,2008,'M','N','PADRE RÉUS','S JOSÉ CEDRO','SC','124241241125471411533632571314610164172',1329,'740',78.70,1,2,1),(20,5262496,'1977-11-18 00:00:00',4,1,12,1994,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224162161216152711237349495132522266192',7167,'9998',63.49,1,3,NULL),(20,5262500,'1987-02-03 00:00:00',4,1,12,1994,'F','N','FLORESTA','S JOSÉ','SC','124243241241271431325514281323130232162',NULL,'402',0.00,1,3,NULL),(20,5262518,'1993-01-29 00:00:00',2,3,12,2009,'M','N','NOVA ESPERANÇA','BAL CAMBORIÚ','SC','124241241415271431335634575124610127142',10248,'44',54.42,1,3,NULL),(20,5262526,'1987-09-22 00:00:00',4,8,12,2005,'M','N','BOA VISTA','JOINVILLE','SC','124242241216374431456414475114133234042',3447,'489',72.25,1,3,NULL),(20,5262534,'1993-01-27 00:00:00',4,1,12,2009,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215111432638813435112610164195',10574,'270',57.09,3,3,NULL),(20,5262542,'1985-07-31 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','224161247117141221223344345323610164027',NULL,'9998',21.78,1,3,NULL),(20,5262550,'1993-12-10 00:00:00',2,5,12,2010,'F','S','VILA NOVA','IMBITUBA','SC','124242241211111711448933592122610147142',NULL,'362',51.73,1,3,NULL),(20,5262569,'1974-08-20 00:00:00',2,1,12,1999,'M','N','BARREIROS','S JOSÉ','SC','224281247422133711628858382224610124047',NULL,'9999',17.38,4,3,NULL),(20,5262577,'1992-01-23 00:00:00',4,10,12,2009,'M','N','CAPUTERA','LAGUNA','SC','124241241127151411335634345111610113172',10078,'1147',54.40,1,2,1),(20,5262585,'1992-02-13 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431437613432122610144145',12098,'738',51.66,1,3,NULL),(20,5262593,'1991-12-06 00:00:00',4,1,12,2009,'F','N','CENTRO','JALES','SP','125251251116471431434611575122610122147',5764,'9998',65.07,4,2,1),(20,5262615,'1952-11-03 00:00:00',2,15,12,1975,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','224241244143151411343349192112130867145',NULL,'805',0.00,1,2,1),(20,5262623,'1992-06-11 00:00:00',2,1,12,2009,'M','N','BARRA ARIRIU','PALHOÇA','SC','124243241145271431436613275124610124182',12812,'592',50.36,1,3,NULL),(20,5262640,'1976-10-15 00:00:00',2,1,12,1995,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241126145431643373235132121127047',12215,'279',53.95,1,2,1),(20,5262658,'1983-10-03 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','224201201127371711446643295122610128092',NULL,'9998',26.21,1,2,1),(20,5262666,'1990-06-22 00:00:00',4,4,12,2008,'F','N','SANTA MARIA','CHAPECÓ','SC','124243241117371431626336352125610167052',NULL,'648',29.39,1,3,NULL),(20,5262674,'1944-08-15 00:00:00',3,1,4,2004,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124211247132131711228649242124610131017',NULL,'9999',0.00,1,2,1),(20,5262682,'1991-07-25 00:00:00',2,10,12,2008,'F','N','PASSAGEM','TUBARÃO','SC','124241241136371751314329371321610123117',15324,'158',43.75,1,2,1),(20,5262690,'1993-10-28 00:00:00',4,10,11,2010,'F','S','HUMAITÁ','TUBARÃO','SC','124242241217111431566832572122610127042',NULL,'806',42.27,1,3,NULL),(20,5262704,'1991-09-23 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116164161215531751268631572321610124032',5040,'9998',66.11,1,3,NULL),(20,5262712,'1991-10-10 00:00:00',4,2,12,2009,'M','N','MARGEM ESQUERDA','GASPAR','SC','124241241415161431454634572222610122092',1745,'1137',77.09,1,3,NULL),(20,5262720,'1992-01-27 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241315121411468713571114610152072',4565,'1022',69.38,1,3,NULL),(20,5262739,'1990-05-13 00:00:00',4,2,12,2007,'F','N','GARCIA','BLUMENAU','SC','124242241234271231329934372124133241182',9719,'88',58.70,1,3,NULL),(20,5262747,'1982-08-20 00:00:00',2,1,12,2002,'F','N','FAZ STO ANTONIO','S JOSÉ','SC','124241247346133411118644341114610114142',NULL,'1003',23.45,1,3,NULL),(20,5262755,'1991-03-17 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241115371441467613575114610167183',NULL,'307',31.15,1,3,NULL),(20,5262763,'1992-11-20 00:00:00',4,8,11,2009,'F','N','CENTRO','CPO LARGO','PR','116162161215111531559839575124610161167',NULL,'9998',0.00,1,3,NULL),(20,5262780,'1989-09-28 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241312133451535614442334610124147',NULL,'1022',25.19,1,3,NULL),(20,5262798,'1992-01-18 00:00:00',4,4,11,2009,'M','N','JOSÉ BONIFÁCIO','ERECHIM','RS','120202201216271431455823575122610122187',9778,'9998',55.54,1,3,NULL),(20,5262801,'1990-11-12 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431459811275122232663092',14641,'262',48.88,1,3,NULL),(20,5262810,'1989-09-04 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241122274331237669292343610128187',16045,'500',40.29,1,2,1),(20,5262836,'1991-10-17 00:00:00',2,3,12,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116161161417571431367413271124610143182',8275,'9998',57.57,1,3,NULL),(20,5262844,'1992-07-19 00:00:00',4,1,12,2009,'M','N','MARIA LUIZA','CASCAVEL','PR','116163161417121731468813371112610147172',NULL,'9998',39.95,1,3,NULL),(20,5262852,'1991-04-03 00:00:00',4,2,12,2008,'M','N','GARCIA','BLUMENAU','SC','124242241216372731469712385124231067042',5635,'909',66.84,1,3,NULL),(20,5262860,'1993-09-23 00:00:00',4,1,12,2010,'M','S','AREIAS','S JOSÉ','SC','124242241235171331323833432112610128182',NULL,'738',54.64,4,3,NULL),(20,5262879,'1990-10-02 00:00:00',4,1,12,2008,'F','N','SERRANO','CAXIAS SUL','RS','120201201137131411223324295324241062177',13254,'9998',47.52,1,2,1),(20,5262887,'1985-05-25 00:00:00',4,3,12,2002,'F','N','SEMINÁRIO','CURITIBA','PR','116161161215575441366614571114610162037',1231,'9998',79.76,1,3,NULL),(20,5262895,'1991-12-29 00:00:00',2,4,12,2009,'F','N','SANTA MARIA','CHAPECÓ','SC','124242241217375411638613432122610163192',9880,'168',54.91,1,3,NULL),(20,5262909,'1991-08-28 00:00:00',2,1,12,2009,'F','N','PONTE DE IMARUIM','PALHOÇA','SC','124241241135151731323519182324610168092',NULL,'592',28.88,2,1,1),(20,5262917,'1992-06-25 00:00:00',2,2,12,2009,'F','N','CENTRO','BRUSQUE','SC','124243241116371431336612475122610125172',11279,'110',52.79,1,3,NULL),(20,5262925,'1989-04-10 00:00:00',2,6,11,2006,'F','N','SÃO VICENTE','ITAJAÍ','SC','124241241215575411423337594224133266091',2023,'1026',76.78,1,3,NULL),(20,5262933,'1991-12-08 00:00:00',4,9,12,2009,'M','N','CENTRO','BOM RETIRO','SC','124241241117371431636629274125610132177',12707,'95',48.81,1,3,NULL),(20,5262941,'1986-04-14 00:00:00',4,1,12,2004,'M','N','PINHEIROS','S PAULO','SP','124243247333271221533731275121133265027',592,'270',83.89,4,3,NULL),(20,5262950,'1991-01-29 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162241215473431423379571324610124197',10640,'991',54.72,1,3,NULL),(20,5262968,'1990-09-06 00:00:00',2,1,12,2008,'F','N','LIBERDADE','S PAULO','SP','125252251215471431436631475125610167077',9867,'9998',55.51,1,3,NULL),(20,5262984,'1991-12-15 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241111272421436724245124610117042',13150,'288',48.44,1,3,NULL),(20,5262992,'1992-06-23 00:00:00',4,1,11,2009,'M','N','CENTRO','ERECHIM','RS','120202201215271741448911472122610167046',2045,'9998',76.74,1,3,NULL),(20,5263000,'1991-05-27 00:00:00',4,1,5,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242281415371551558816375124610127122',3226,'9998',72.76,1,3,NULL),(20,5263018,'1989-07-01 00:00:00',2,4,11,2006,'M','N','CENTRO','IPORÃ OESTE','SC','124241241146131431633319345122610122142',NULL,'371',0.00,1,2,1),(20,5263026,'1991-05-12 00:00:00',4,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111431458813582114610127062',NULL,'272',24.70,1,3,NULL),(20,5263034,'1986-09-12 00:00:00',4,1,12,2003,'F','N','PERUS','S PAULO','SP','125252251216271731646612445124142131097',NULL,'9998',0.00,1,3,NULL),(20,5263069,'1992-04-11 00:00:00',4,4,12,2009,'M','N','UNIVERSITÁRIO','CHAPECÓ','SC','124241241136471131426316176121610112072',7046,'176',62.62,1,2,1),(20,5263077,'1981-01-16 00:00:00',2,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124221221126131731426343342314140233182',NULL,'9998',29.08,4,3,NULL),(20,5263085,'1992-05-27 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116331431336634372124610116077',NULL,'257',26.23,2,1,1),(20,5263093,'1991-10-28 00:00:00',4,1,12,2008,'M','N','SANTA TERESINHA','IMBÉ','RS','120203201237273441337612196124610164117',9601,'9998',55.84,1,3,NULL),(20,5263107,'1991-01-26 00:00:00',4,1,12,2008,'M','N','ST ÂNTONIO DE LISBOA','FLORIANÓPOLIS','SC','124243241215372711478632245124133267111',6421,'1048',65.10,1,3,NULL),(20,5263115,'1989-05-27 00:00:00',2,7,12,2008,'M','N','INTERIOR','CAMPOS NOVOS','SC','124241241115131431616436571223610136142',NULL,'140',19.36,1,3,NULL),(20,5263123,'1992-09-24 00:00:00',4,8,12,2009,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241215111431569914575122610148012',NULL,'1174',0.00,1,3,NULL),(20,5263158,'1991-03-09 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241111273421433311341324610123142',10564,'288',55.71,1,2,1),(20,5263166,'1991-11-13 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216372541378833575122220212045',3090,'270',72.53,1,3,NULL),(20,5263174,'1987-02-12 00:00:00',2,1,9,2006,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241247136233431338914385124143221147',15425,'9999',46.54,1,2,1),(20,5263182,'1990-09-17 00:00:00',2,6,12,2007,'F','N','SÃO VICENTE','ITAJAÍ','SC','124241241147271431438311345132610132177',NULL,'400',27.73,1,2,1),(20,5263190,'1992-03-07 00:00:00',4,9,11,2009,'F','N','VILA NOVA','LAGES','SC','124242241215121432569913572122610136172',532,'1146',83.81,1,3,NULL),(20,5263204,'1992-07-15 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241112131731435618343124610134172',NULL,'257',31.77,2,1,1),(20,5263212,'1992-08-08 00:00:00',2,1,12,2009,'F','N','PONTE IMARUIM','PALHOÇA','SC','124241241125141321424619295124610122147',NULL,'592',25.79,1,2,1),(20,5263239,'1992-01-27 00:00:00',4,1,12,2009,'M','N','CANTA GALO','RIO SUL','SC','124241242115131421426615271225610147052',10018,'662',53.57,1,2,1),(20,5263247,'1992-03-19 00:00:00',2,1,12,2009,'M','N','FREITAS','PAULO LOPES','SC','124241241121131431326313572224610166041',13814,'607',46.23,4,2,1),(20,5263263,'1984-02-10 00:00:00',2,1,11,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224203247225121731336754395124610166172',NULL,'9999',39.97,1,3,NULL),(20,5263271,'1992-03-09 00:00:00',2,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241217122432446833576114610127111',9373,'1022',56.43,1,3,NULL),(20,5263280,'1993-01-03 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217471431236823576124610162192',12874,'1022',52.59,1,3,NULL),(20,5263298,'1989-08-23 00:00:00',4,1,12,2006,'M','N','SANTA FÉ','CPO GRANDE','MS','112122121217573411589931574122141437012',3818,'9998',69.00,1,3,NULL),(20,5263301,'1991-12-30 00:00:00',4,9,12,2008,'F','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124242241212372421479923575112132632142',13749,'1146',47.30,1,3,NULL),(20,5263310,'1992-04-04 00:00:00',4,16,12,2009,'M','N','INTERIOR','PTE ALTA','SC','124241241117161411426616572222610117053',NULL,'625',24.16,1,3,NULL),(20,5263328,'1978-09-05 00:00:00',4,1,12,1995,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124254253111131411226424381324610164097',NULL,'9998',0.00,2,3,NULL),(20,5263336,'1975-02-25 00:00:00',2,5,12,1993,'M','N','CENTRO','CRICIÚMA','SC','224241246137154441236349492134321422141',11321,'228',55.66,1,2,1),(20,5263344,'1993-01-16 00:00:00',4,2,12,2009,'M','N','ESTRADA GERAL','MIRIM DOCE','SC','124241241117161431638823572222610114012',NULL,'560',0.00,1,2,1),(20,5263352,'1992-11-13 00:00:00',4,5,11,2009,'M','N','SÃO LUIZ','CRICIÚMA','SC','124242241215111231486632574112610137052',14892,'210',48.18,1,3,NULL),(20,5263360,'1992-05-21 00:00:00',2,1,12,2009,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241335131431644314382124610124172',NULL,'591',0.00,1,3,NULL),(20,5263387,'1988-03-26 00:00:00',4,1,12,2006,'F','N','JARDIM IPANEMA','MARINGÁ','PR','216203247227371431347352275122132866147',9585,'9999',55.31,1,3,NULL),(20,5263395,'1993-08-14 00:00:00',4,1,12,2010,'F','S','PERIOLLO','CASCAVEL','PR','116161161116151251338624145124610166197',NULL,'9998',0.00,1,3,NULL),(20,5263425,'1989-06-08 00:00:00',4,1,12,2006,'F','N','LESTE VILA NOVA','GOIÂNIA','GO','109092098216511431433831575224610142192',4824,'9998',67.11,1,3,NULL),(20,5263441,'1990-04-15 00:00:00',4,1,11,2007,'F','N','JARDIM GIRASSOL','DOURADOS','MS','112122121215471431544832572125610123142',13231,'9998',48.80,1,3,NULL),(20,5263450,'1991-04-27 00:00:00',2,7,12,2008,'M','N','INTERIOR','IBICARÉ','SC','124241241125131431533616575224610137052',NULL,'345',42.55,1,3,NULL),(20,5263468,'1983-12-23 00:00:00',3,1,11,2001,'M','N','COSTEIRA DOPIRAJUBAÉ','FLORIANÓPOLIS','SC','124242241216274231329714275124221464042',10694,'880',56.88,1,3,NULL),(20,5263476,'1988-02-13 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241136132431546629245124131033057',NULL,'281',23.74,1,2,1),(20,5263484,'1992-04-01 00:00:00',4,1,12,2009,'M','N','RACHADEL','ANTÔNIO CARLOS','SC','124241241115272431433415152124610167047',1843,'21',76.55,1,2,1),(20,5263492,'1992-09-01 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124242241215371432355922375115610124127',NULL,'185',0.00,4,3,NULL),(20,5263514,'1984-10-21 00:00:00',2,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124245241427362511453333472312610124125',NULL,'281',24.51,1,3,NULL),(20,5263522,'1988-10-28 00:00:00',4,1,12,2006,'M','N','FERRAZ','GAROPABA','SC','124202201216271431538853482214610157187',NULL,'9998',37.92,3,3,NULL),(20,5263530,'1982-04-23 00:00:00',2,1,12,1999,'F','N','CENTRO','URUGUAIANA','RS','120204201216371431348833485112542862114',15532,'9998',46.19,1,3,NULL),(20,5263557,'1992-04-11 00:00:00',4,1,12,2009,'M','N','NOVA IORQUE','CASCAVEL','PR','116162161215111231457613475112610154052',7952,'9998',60.10,1,3,NULL),(20,5263573,'1991-01-21 00:00:00',4,1,12,2008,'M','N','CABRAL','CURITIBA','PR','116132131216471431566834575124610144057',NULL,'9998',0.00,1,3,NULL),(20,5263581,'1992-04-20 00:00:00',4,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242248215112431456612592122610131077',NULL,'1011',27.80,1,3,NULL),(20,5263590,'1991-08-22 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242241216273331543814575124233237142',5149,'738',67.67,1,3,NULL),(20,5263603,'1990-10-22 00:00:00',2,8,12,2007,'F','N','BATEL','CURITIBA','PR','116162161215271531466834475112140462142',NULL,'9998',19.35,1,3,NULL),(20,5263611,'1991-11-22 00:00:00',4,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124242241316133431428861375124230763037',14056,'1046',47.04,1,3,NULL),(20,5263620,'1991-12-10 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111432238613472224610121097',11358,'269',53.24,1,3,NULL),(20,5263638,'1991-11-21 00:00:00',4,8,12,2008,'M','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161216131431248921575124241012047',NULL,'9998',0.00,1,3,NULL),(20,5263646,'1988-12-12 00:00:00',2,1,7,2008,'F','N','SERRARIAS','S JOSÉ','SC','124243241116152411526614445124610167147',NULL,'306',38.59,1,3,NULL),(20,5263654,'1992-03-01 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241225111412326534295324610114144',NULL,'262',28.24,1,3,NULL),(20,5263662,'1992-11-16 00:00:00',2,1,12,2009,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241116371431423619395124610127147',15194,'257',45.78,4,2,1),(20,5263670,'1992-10-28 00:00:00',4,8,12,2009,'F','N','GLÓRIA','JOINVILLE','SC','124242241215372431359814575122610131052',4369,'1063',68.97,1,3,NULL),(20,5263689,'1961-02-14 00:00:00',4,8,12,2000,'M','N','JARDIM IRIRIU','JOINVILLE','SC','224241241127131731434343135124610148181',NULL,'492',21.55,1,3,NULL),(20,5263697,'1991-01-30 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116272411433331475124233245017',16145,'307',43.10,1,2,1),(20,5263700,'1992-12-03 00:00:00',4,2,12,2009,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241242115161432533624576224610128182',NULL,'960',20.63,1,3,NULL),(20,5263719,'1992-01-10 00:00:00',4,1,12,2009,'F','N','VISTA ALEGRE','CURITIBA','PR','116162161211111431459714571122610125097',12720,'9998',48.68,1,3,NULL),(20,5263727,'1992-03-21 00:00:00',4,1,12,2009,'F','N','JD ALVORADA','S JOSÉ CAMPOS','SP','125253251215111431436814446122610136077',NULL,'9998',0.00,1,3,NULL),(20,5263735,'1992-02-01 00:00:00',4,1,12,2009,'M','N','CENTRO','IMARUÍ','SC','124241241127161431423331575122610142027',NULL,'356',32.25,1,2,1),(20,5263743,'1991-06-06 00:00:00',4,15,11,2008,'M','N','SANTA MARIA GORETTI','PTO ALEGRE','RS','120204201217211411218728276344241464067',10546,'9998',57.16,1,3,NULL),(20,5263751,'1991-01-09 00:00:00',2,9,12,2007,'F','N','VILA RICA','CARAZINHO','RS','120202201217571441443634374224610143147',7233,'9998',60.49,1,3,NULL),(20,5263760,'1985-09-17 00:00:00',4,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241127134451434612345123610124097',NULL,'736',0.00,1,2,1),(20,5263778,'1991-06-06 00:00:00',2,1,12,2008,'F','N','BOM FIM','PTO ALEGRE','RS','120202201216472741459931371325610163097',2676,'9998',74.48,1,3,NULL),(20,5263808,'1991-04-06 00:00:00',4,1,12,2009,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215121431257712475112610127042',10180,'270',57.83,1,3,NULL),(20,5263816,'1992-05-06 00:00:00',4,4,12,2009,'M','N','PIONEIRO','PINHALZINHO','SC','124241241116271431469913575122610134142',6218,'616',63.15,1,2,1),(20,5263824,'1991-06-10 00:00:00',2,15,12,2008,'F','N','CENTRO','S JOÃO SUL','SC','124241241127131412223625342334610136042',NULL,'717',21.53,1,2,1),(20,5263832,'1992-09-03 00:00:00',4,8,11,2009,'M','N','ATIRADORES','JOINVILLE','SC','124242241217121431458814475112610166011',NULL,'1063',35.38,1,3,NULL),(20,5263840,'1991-04-19 00:00:00',2,5,12,2009,'F','N','MONTANHÃO','SIDERÓPOLIS','SC','124243248235161731423335595124610134053',NULL,'767',19.48,1,3,NULL),(20,5263859,'1985-02-20 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241245116345421433624335124610157142',NULL,'281',18.53,2,1,1),(20,5263875,'1988-09-16 00:00:00',4,2,12,2005,'M','N','ÁGUA VERDE','BLUMENAU','SC','124241241116271431357714385124610132187',6563,'85',62.78,1,2,1),(20,5263883,'1963-11-13 00:00:00',2,8,12,1981,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','216162161216131431243441415124341114177',NULL,'9998',0.00,1,3,NULL),(20,5263905,'1990-02-07 00:00:00',5,3,12,2007,'M','N','JD IDEAL','LONDRINA','PR','116161161115471731328611112122610122182',15378,'9998',46.70,1,2,1),(20,5263921,'1987-11-24 00:00:00',2,1,12,2006,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124253257147271441127844343213610134187',NULL,'9998',46.31,1,3,NULL),(20,5263930,'1992-03-17 00:00:00',2,1,12,2008,'F','N','CENTRO','STO AUGUSTO','RS','120201201116472411428714445212610138052',NULL,'9998',27.56,1,2,1),(20,5263948,'1989-07-22 00:00:00',2,1,12,2008,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241112133741326624282224610137013',NULL,'306',54.95,1,2,1),(20,5263956,'1991-08-11 00:00:00',4,1,12,2008,'M','N','CENTRO','BRUSQUE','SC','124242241217373411488813475122131426122',NULL,'109',0.00,1,3,NULL),(20,5263964,'1988-05-09 00:00:00',4,1,12,2005,'F','N','BELA VISTA III','S JOSÉ','SC','124242241115133441337714475124222254057',15086,'739',47.62,1,3,NULL),(20,5263972,'1992-08-24 00:00:00',4,1,12,2009,'F','N','BELA VISTA','PALHOÇA','SC','124241241115371431433833572224610121177',NULL,'592',28.29,1,2,1),(20,5263980,'1991-08-08 00:00:00',2,8,11,2009,'M','N','CANOAS','LUIZ ALVES','SC','124241241127372731436955572112610124171',11767,'537',51.28,1,2,1),(20,5263999,'1985-09-20 00:00:00',2,1,12,2003,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124241241146134431423429285114610127047',15308,'298',46.90,1,2,1),(20,5264006,'1992-11-21 00:00:00',2,10,12,2009,'F','N','JARDIM DAS HORTENCIA','FRAIBURGO','SC','124242241216131751426914572122610167077',13658,'317',49.14,1,3,NULL),(20,5264022,'1991-12-29 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','116164161317111431446611375124610167052',NULL,'9998',43.99,1,3,NULL),(20,5264049,'1988-08-22 00:00:00',3,4,12,2005,'M','N','FORQUILINHAS','S JOSÉ','SC','124241241117154411346733285124122962047',11998,'169',54.37,1,2,1),(20,5264057,'1993-02-23 00:00:00',4,7,11,2010,'M','S','CENTRO','JOAÇABA','SC','124242241217111731469812572112610142122',NULL,'446',65.93,1,3,NULL),(20,5264065,'1992-01-10 00:00:00',2,8,12,2009,'M','N','IRIRIÚ','JOINVILLE','SC','124241241215151431468614575121610164141',NULL,'462',27.87,1,3,NULL),(20,5264073,'1990-01-16 00:00:00',4,1,11,2007,'M','N','JARDIN UNIVERSITARIO','MARINGÁ','PR','116162161216571431448831415122610167077',NULL,'9998',0.00,1,3,NULL),(20,5264081,'1991-08-25 00:00:00',4,2,12,2009,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241242115161432536474576224610127042',NULL,'960',24.17,4,3,NULL),(20,5264090,'1991-07-05 00:00:00',4,6,12,2008,'M','N','PILARZINHO','CURITIBA','PR','116162161217471431358833571122610167047',NULL,'9998',0.00,1,3,NULL),(20,5264103,'1976-09-28 00:00:00',2,1,12,2000,'F','N','JOSÉ MEMDES','FLORIANÓPOLIS','SC','124241247225272421436679445334610112082',NULL,'9999',24.82,1,3,NULL),(20,5264111,'1980-07-02 00:00:00',2,10,12,1999,'F','N','VILA ESPERANÇA','TUBARÃO','SC','124241241136272431313579485321610121147',NULL,'1034',21.09,1,2,1),(20,5264120,'1992-04-17 00:00:00',2,7,12,2009,'F','N','LINHA AGUAS BELAS','JABORÁ','SC','124241241114271431523616152124610115177',15422,'418',44.79,1,2,1),(20,5264146,'1988-05-19 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241127162431523339295124610134033',NULL,'922',25.10,1,2,1),(20,5264154,'1991-09-16 00:00:00',4,2,12,2008,'F','N','TESTO CENTRAL','POMERODE','SC','124243241217472431457934571114610132147',8720,'88',58.44,1,3,NULL),(20,5264162,'1993-03-05 00:00:00',4,1,12,2009,'M','N','CENTRO','STA ROSA','RS','120201201117111512359914582121610142095',9691,'9998',55.75,1,2,1),(20,5264170,'1992-08-21 00:00:00',4,1,12,2009,'M','N','BACACHERI','CURITIBA','PR','116164161217111231448611575112610124077',NULL,'9998',0.00,1,3,NULL),(20,5264189,'1992-03-21 00:00:00',4,8,12,2009,'F','N','ALVORADA','PARANAGUÁ','PR','116162161211111221428611571212610134147',NULL,'9998',35.63,1,3,NULL),(20,5264197,'1990-12-14 00:00:00',4,1,12,2007,'M','N','CENTRO','PALHOÇA','SC','124242241217372431368833275114131061182',3136,'1011',73.11,1,3,NULL),(20,5264200,'1988-01-03 00:00:00',4,4,12,2005,'M','N','TRIANON','GUARAPUAVA','PR','116162161416151411269912425122141064047',13706,'9998',50.92,1,3,NULL),(20,5264227,'1988-04-17 00:00:00',4,15,12,2005,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201216471431228779495124240632187',6299,'9998',65.33,1,3,NULL),(20,5264243,'1991-10-20 01:00:00',4,1,12,2009,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241216272431468833575112610147182',2978,'883',73.59,1,3,NULL),(20,5264251,'1990-02-01 00:00:00',4,2,7,2008,'M','N','ASILO','BLUMENAU','SC','124241241237151121559719475111131062177',16020,'9999',43.98,1,3,NULL),(20,5264260,'1990-05-03 00:00:00',4,3,12,2006,'F','N','LUCAS ARAÚJO','PASSO FUNDO','RS','120202201215571431346931575122610137047',NULL,'9998',0.00,1,3,NULL),(20,5264278,'1983-04-02 00:00:00',2,1,12,2001,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241126133431224341482324610128187',NULL,'869',26.54,1,2,1),(20,5264286,'1991-03-30 00:00:00',2,4,12,2007,'F','N','UNIAO','PALOTINA','PR','116162161215571411548813572122610142142',607,'9998',83.82,1,3,NULL),(20,5264308,'1993-06-28 00:00:00',4,10,12,2010,'F','S','VILA MOEMA','TUBARÃO','SC','124242241217151431489811592112610122012',NULL,'797',47.39,1,3,NULL),(20,5264316,'1992-05-23 00:00:00',4,2,12,2009,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241112141432526623572224610124147',NULL,'83',28.11,1,2,1),(20,5264324,'1990-02-10 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117272741433614495124220264177',NULL,'30',0.00,1,2,1),(20,5264332,'1985-01-08 00:00:00',4,1,5,2005,'F','N','CENTRO','VIDEIRA','SC','124241241136133431533634275124130627052',NULL,'968',17.09,1,3,NULL),(20,5264340,'1992-01-23 00:00:00',4,5,11,2009,'F','N','JARDIM MARISTELA','CRICIÚMA','SC','124242241216273731475832395112610165182',11479,'211',55.39,1,3,NULL),(20,5264367,'1990-08-29 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241116472431533314245124610123182',16205,'307',42.48,1,2,1),(20,5264375,'1993-09-12 00:00:00',4,1,12,2010,'F','S','KOBRASOL','S JOSÉ','SC','124242241215111431248934572114610124075',NULL,'1118',20.60,1,3,NULL),(20,5264383,'1992-12-28 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241317111431556534572114610127015',8453,'1022',60.30,1,3,NULL),(20,5264391,'1990-01-11 00:00:00',2,3,12,2007,'F','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161216472431458821275122141332097',3183,'9998',72.95,1,3,NULL),(20,5264405,'1990-04-18 00:00:00',2,15,11,2007,'F','N','MENINO DEUS','PTO ALEGRE','RS','120201201216572431343623272124610126097',3649,'9998',69.94,1,3,NULL),(20,5264413,'1987-12-18 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241326153432268719395112613214182',NULL,'596',21.91,1,3,NULL),(20,5264421,'1985-07-12 00:00:00',2,1,12,2005,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124051051146232431224444142314610127047',NULL,'9997',23.78,4,1,1),(20,5264448,'1981-07-11 00:00:00',2,1,9,2009,'F','N','RATONES','FLORIANÓPOLIS','SC','624241241116131431424354142334610124187',NULL,'9997',23.96,2,2,1),(20,5264456,'1982-09-13 00:00:00',4,1,12,2000,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241416272431338634215224321931187',6266,'267',65.41,1,3,NULL),(20,5264464,'1991-05-03 00:00:00',2,15,12,2009,'F','N','ENCRUZO','MARACAJÁ','SC','124244241215271411546716575122610126112',NULL,'32',0.00,1,3,NULL),(20,5264472,'1992-06-09 00:00:00',4,8,12,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124243241317231451543314472341610167042',15971,'464',44.29,1,3,NULL),(20,5264480,'1991-06-14 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241125131231411219275124610137045',NULL,'274',29.65,4,2,1),(20,5264499,'1988-12-30 00:00:00',2,1,12,2006,'F','N','SAO BERNARDO','CAMPINAS','SP','125251251112473431334669441124610142097',NULL,'9998',0.00,1,2,1),(20,5264502,'1983-03-10 00:00:00',4,1,3,2001,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241246116134431344623445124233227117',NULL,'739',27.08,2,1,1),(20,5264510,'1992-05-25 00:00:00',2,5,12,2009,'F','N','LINHA RIO MAIOR','URUSSANGA','SC','124241241117131431548933475124610136077',NULL,'822',0.00,1,2,1),(20,5264529,'1989-06-20 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241135272731126344245124223066012',12703,'140',50.15,1,2,1),(20,5264537,'1984-04-02 00:00:00',4,1,12,2001,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124161161311132431237644241231143245097',NULL,'9998',36.64,1,3,NULL),(20,5264545,'1991-02-06 00:00:00',2,9,11,2009,'F','N','FREI ROGÉRIO','LAGES','SC','124242241215111731429527592112610122147',NULL,'1146',0.00,1,3,NULL),(20,5264553,'1988-04-13 00:00:00',2,1,7,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241247427271431236623445134610127042',NULL,'9999',16.89,2,1,2),(20,5264561,'1992-01-16 00:00:00',2,3,12,2009,'M','N','VILA PASTI','LOUVEIRA','SP','125251251416271441367622312124610168072',NULL,'9998',0.00,1,3,NULL),(20,5264588,'1990-12-07 00:00:00',2,9,12,2007,'F','N','SEMINÁRIO','TAIÓ','SC','124241248136372431444411292121610163147',15598,'777',45.90,1,2,1),(20,5264596,'1992-02-20 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215471231387821572114610132122',7634,'270',62.56,1,3,NULL),(20,5264600,'1992-08-26 00:00:00',4,2,11,2009,'M','N','ÁGUA VERDE','BLUMENAU','SC','124243241217111731446634275124610168045',NULL,'90',20.62,1,3,NULL),(20,5264618,'1981-03-29 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241247127271431524459192324610133043',NULL,'9999',27.25,2,1,1),(20,5264626,'1991-03-06 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241317271431245519246124610134042',NULL,'868',27.24,1,3,NULL),(20,5264634,'1990-12-31 00:00:00',4,8,12,2008,'F','N','PORTO GRANDE','ARAQUARI','SC','124251252125131431613315596324610166182',NULL,'9998',0.00,4,2,1),(20,5264642,'1991-12-16 00:00:00',4,3,11,2009,'F','N','VILA CASCAIS','VINHEDO','SP','125251251117471731445823275114610164187',NULL,'9998',0.00,1,2,1),(20,5264650,'1992-02-26 00:00:00',4,1,12,2009,'M','N','CENTRO','ARROIO SAL','RS','120201201117131431337613335121610132047',NULL,'9998',26.77,1,2,1),(20,5264669,'1981-12-22 00:00:00',4,1,12,1999,'M','N','ACLIMAÇÃO','S PAULO','SP','125251251216471121328611385124343217042',11276,'9998',53.98,1,3,NULL),(20,5264677,'1992-01-26 00:00:00',4,8,11,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241216112732348813575121610124052',11469,'456',55.40,1,3,NULL),(20,5264685,'1993-01-04 00:00:00',4,10,12,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124242241217372431489713595112610124172',763,'797',82.79,1,3,NULL),(20,5264693,'1992-04-26 00:00:00',4,15,12,2009,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241215111421445512575112610116192',NULL,'32',28.10,1,3,NULL),(20,5264715,'1992-01-30 00:00:00',2,5,11,2009,'F','N','MINA DO MATO','CRICIÚMA','SC','124244241415151432436611592324610117077',NULL,'210',30.67,1,3,NULL),(20,5264723,'1992-04-06 00:00:00',4,3,12,2009,'F','N','JUVEVÊ','CURITIBA','PR','116162161215471431377923571122610126182',268,'9998',86.99,1,3,NULL),(20,5264740,'1989-01-20 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241415474431236469415124231567047',13552,'270',51.27,1,3,NULL),(20,5264758,'1992-11-05 00:00:00',2,3,11,2009,'F','N','DOS ESTADOS','BAL CAMBORIÚ','SC','124242241215111731375821475112610134032',NULL,'9997',39.87,1,3,NULL),(20,5264766,'1990-11-09 00:00:00',4,1,12,2007,'F','N','CHÁCARA PRIMAVERA','CAMPINAS','SP','125252251217571431459931572122610122023',10055,'9998',54.00,1,3,NULL),(20,5264774,'1992-01-20 00:00:00',4,7,12,2009,'F','N','CENTRO','LUZERNA','SC','124241241116371431546611572124610138012',12644,'539',50.25,1,2,1),(20,5264782,'1992-01-02 00:00:00',4,1,12,2009,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241115352311322429292334610167041',NULL,'295',19.02,2,1,1),(20,5264804,'1992-12-18 00:00:00',2,7,11,2009,'M','N','CENTRO','PINHEIRO PRETO','SC','124243241345111431359713285124610137052',14645,'969',47.24,1,3,NULL),(20,5264812,'1992-06-23 00:00:00',2,9,11,2009,'F','N','SAGRADO','LAGES','SC','124242241215111431446512125122610165017',NULL,'1146',27.75,1,3,NULL),(20,5264820,'1992-06-07 00:00:00',4,4,12,2009,'F','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124243241115272431448933595122610135092',1970,'182',76.34,1,3,NULL),(20,5264839,'1982-04-06 00:00:00',2,1,12,1999,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','624241241127371431221144342344610126147',NULL,'592',44.67,1,2,1),(20,5264847,'1973-07-18 00:00:00',4,1,12,1993,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241416155411359943235124331966091',NULL,'269',0.00,1,3,NULL),(20,5264863,'1992-10-15 00:00:00',4,5,10,2009,'F','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241211111431558814595122610167012',4660,'226',68.07,1,3,NULL),(20,5264871,'1990-08-13 00:00:00',2,1,12,2007,'F','N','JOAQUINA','FLORIANÓPOLIS','SC','124241241126333331533334245134610124147',NULL,'282',27.45,1,2,1),(20,5264880,'1991-05-14 00:00:00',2,8,11,2008,'F','N','DONA JOAQUINA','PINHAIS','PR','116162161215471431337612572114610154012',4805,'9998',66.37,1,3,NULL),(20,5264898,'1961-07-13 00:00:00',2,1,12,1981,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','324242245412471411233443132124133211017',NULL,'69',45.07,1,3,NULL),(20,5264910,'1985-08-08 00:00:00',2,15,12,2004,'F','N','FIGUEIRA','JACINTO MACHADO','SC','124241241116141411223516435224230726072',NULL,'420',25.32,1,3,NULL),(20,5264936,'1990-09-12 00:00:00',2,4,11,2007,'F','N','CENTRO','PALMITOS','SC','124241241216472431435732475122610142182',10912,'600',54.31,1,3,NULL),(20,5264944,'1993-05-28 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215371431456514185112610136092',8905,'724',57.41,1,3,NULL),(20,5264952,'1990-10-15 00:00:00',4,1,12,2007,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241216373411366819375122230262041',2567,'1011',74.86,1,3,NULL),(20,5264960,'1990-01-25 00:00:00',2,1,12,2007,'F','N','PETROPOLIS','CAXIAS SUL','RS','120202204215571511588811572122610162122',NULL,'9998',0.00,1,3,NULL),(20,5264979,'1992-05-28 00:00:00',4,1,12,2009,'F','N','FAX DOS DOMINGUES','FRAIBURGO','SC','124241242115131431539923575224610132057',14637,'662',43.85,1,2,1),(20,5264987,'1987-03-19 00:00:00',4,16,12,2004,'F','N','JARDIM ÂNGELA MARIA','CARAPICUÍBA','SP','125251251146471431425524245334610163093',NULL,'9998',25.66,4,1,1),(20,5264995,'1992-04-08 00:00:00',4,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241225131731323624392334613263145',10236,'262',55.15,1,3,NULL),(20,5265002,'1992-10-21 00:00:00',4,8,12,2009,'M','N','SAGUAÇÚ','JOINVILLE','SC','124241241217151411349712575112610138182',7718,'1105',62.39,1,3,NULL),(20,5265010,'1991-01-01 00:00:00',4,8,11,2009,'F','N','JARDIM PRIMAVERA','PIRAQUARA','PR','116162161217371431488932572122610134042',NULL,'9998',0.00,1,3,NULL),(20,5265037,'1986-04-16 00:00:00',2,1,12,2004,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124201241121374732633314345124610164192',NULL,'287',22.51,1,2,1),(20,5265053,'1990-06-21 00:00:00',2,1,12,2007,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124241241117131522423429382114610117047',NULL,'298',31.16,1,2,1),(20,5265061,'1992-03-25 00:00:00',4,8,12,2009,'M','N','SANTO INÁCIO','CURITIBA','PR','116162161215111431469834572122610122097',NULL,'9998',30.19,1,3,NULL),(20,5265070,'1991-02-25 00:00:00',2,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116164161115572411239933575112610167122',NULL,'9998',25.84,1,3,NULL),(20,5265088,'1993-03-15 00:00:00',2,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431556923575114610137047',13278,'1118',51.81,1,3,NULL),(20,5265096,'1988-05-08 00:00:00',4,1,12,2005,'M','N','OFICINAS','PNT GROSSA','PR','116162161216571431558612572114610124072',NULL,'9998',0.00,1,3,NULL),(20,5265100,'1992-03-15 00:00:00',4,2,12,2009,'F','N','VISTA ALEGRE','CONCÓRDIA','SC','124241241115141431539911572124610167147',NULL,'49',28.34,1,2,1),(20,5265126,'1992-11-24 00:00:00',4,2,12,2009,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124241241217271431466612444124610134142',5223,'71',66.23,1,3,NULL),(20,5265134,'1992-12-02 00:00:00',4,3,12,2009,'F','N','CENTRO','PARANAVAÍ','PR','116162161215111431459932575122610123122',NULL,'9998',0.00,1,3,NULL),(20,5265142,'1989-12-02 00:00:00',4,3,12,2007,'M','N','BIGORRILHO','CURITIBA','PR','116162161216571441458831395124610162113',NULL,'9998',0.00,1,3,NULL),(20,5265150,'1989-03-06 00:00:00',4,4,12,2006,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161215471431459931575124142642127',NULL,'9998',0.00,5,3,NULL),(20,5265169,'1988-10-24 00:00:00',4,1,12,2006,'M','N','FIGUEIRA','JARAGUÁ SUL','SC','124244241215575431346632572124232467187',NULL,'9997',0.00,1,3,NULL),(20,5265177,'1992-09-04 00:00:00',4,8,11,2009,'F','N','JARDIM DEL REI','CURITIBA','PR','116162161215471731469931575112610126096',NULL,'9998',0.00,1,3,NULL),(20,5265185,'1990-10-01 00:00:00',2,9,12,2007,'F','N','COPACABANA','LAGES','SC','124241241116372231425611572122610127042',14830,'935',44.46,4,2,1),(20,5265193,'1991-04-16 00:00:00',4,6,11,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241336231431349924381125233221172',NULL,'44',0.00,1,3,NULL),(20,5265215,'1948-11-02 00:00:00',4,1,12,1966,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224202201216151451364449492122342664047',NULL,'9998',55.86,1,3,NULL),(20,5265223,'1992-11-10 00:00:00',2,9,10,2009,'M','N','CENTRO','LAGES','SC','124242241215273422234443223233313227141',11371,'497',52.46,1,3,NULL),(20,5265231,'1993-03-05 00:00:00',2,10,12,2009,'M','N','CENTRO','JAGUARUNA','SC','124241241116271331438933572124610134052',10805,'421',53.52,1,2,1),(20,5265258,'1991-09-12 00:00:00',2,15,11,2008,'M','N','CENTRO','ARARANGUÁ','SC','124241241317272411434619175121610121157',16228,'32',42.21,1,3,NULL),(20,5265266,'1986-09-17 00:00:00',4,1,12,2003,'F','N','BOM FIM','PTO ALEGRE','RS','120254251216575431478714572125120243194',NULL,'9998',0.00,1,3,NULL),(20,5265274,'1984-11-14 00:00:00',4,1,6,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244247616131431466923575112610112082',NULL,'9999',26.28,1,3,NULL),(20,5265282,'1981-03-07 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243247413433231426463482214610157047',NULL,'307',0.00,1,3,NULL),(20,5265304,'1963-04-02 00:00:00',2,7,12,1987,'F','N','CENTRO','TREZE TÍLIAS','SC','224241245126161411366323335122330243147',NULL,'740',43.77,1,3,NULL),(20,5265320,'1993-03-10 00:00:00',4,9,11,2009,'M','N','SÃO CRISTOVÃO','LAGES','SC','124242241215112431389931595122610164082',7202,'497',62.37,1,3,NULL),(20,5265339,'1986-11-12 00:00:00',4,1,12,2005,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241217373421438512445122132162193',NULL,'699',33.69,4,3,NULL),(20,5265347,'1992-11-13 00:00:00',4,1,11,2009,'M','N','PEREQUÊ','PTO BELO','SC','124201241137151231226619192324610134057',NULL,'630',18.66,1,2,1),(20,5265363,'1992-11-19 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124242241215111431449932575122610128142',7660,'497',60.71,1,3,NULL),(20,5265371,'1991-04-14 00:00:00',2,1,6,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124241241117131431323621282324610133147',10206,'739',55.60,1,2,1),(20,5265380,'1952-11-14 00:00:00',4,1,5,1973,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224212217126151422453349492114142317042',NULL,'9998',42.79,2,1,2),(20,5265398,'1992-05-14 00:00:00',4,1,11,2009,'M','N','SÃO LUIZ','S JOSÉ','SC','124241241135372431326614375124610138055',13530,'729',49.11,1,2,1),(20,5265401,'1992-11-23 00:00:00',4,2,12,2010,'M','S','QUINTINO','TIMBÓ','SC','124241241215111431469514272122610118192',NULL,'909',54.32,1,3,NULL),(20,5265410,'1992-12-02 00:00:00',2,3,11,2009,'M','N','CENTRO','IJUÍ','RS','120202201215111731679913495122610167017',11080,'9998',56.12,1,3,NULL),(20,5265428,'1987-02-09 00:00:00',4,1,12,2004,'F','N','FLORESTA','BELO HORIZONTE','MG','113072071217571431378813585122143242142',NULL,'9998',0.00,1,3,NULL),(20,5265436,'1992-01-18 00:00:00',4,1,12,2009,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124241241136371431435519375124610113077',NULL,'288',42.08,1,2,1),(20,5265444,'1992-10-27 00:00:00',4,2,12,2009,'F','N','ÁGUA VERDE','BLUMENAU','SC','124241241215111731435611571124610145097',NULL,'87',25.68,4,3,NULL),(20,5265452,'1985-11-25 00:00:00',4,1,12,2005,'M','N','SHIMABOKURO','LONDRINA','PR','116163161117535331324311425123241413171',NULL,'9997',0.00,1,3,NULL),(20,5265460,'1992-01-15 00:00:00',4,9,11,2009,'M','N','CENTRO','S JOAQUIM','SC','124241241135111431436513132321610127052',NULL,'720',29.59,2,2,1),(20,5265479,'1986-11-23 00:00:00',2,8,1,2006,'F','N','RIVIERA','MATINHOS','PR','116163027141572411236622371122143216012',NULL,'9998',37.93,1,3,NULL),(20,5265495,'1987-04-16 00:00:00',2,8,12,2004,'M','N','SCHROEDER I','SCHROEDER','SC','124241241141141411633434345123610162042',NULL,'425',0.00,1,2,1),(20,5265509,'1992-12-12 00:00:00',4,2,12,2009,'F','N','FORTALEZA','BLUMENAU','SC','124241241215112431339614375124610124142',12108,'855',51.26,1,3,NULL),(20,5265517,'1991-04-30 00:00:00',2,1,12,2008,'F','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241135271731214129285124610122072',NULL,'772',31.46,1,2,1),(20,5265525,'1992-04-06 00:00:00',4,1,12,2009,'M','N','BOTAFOGO','RIO JANEIRO','RJ','121212218117151431579934575124610162042',9949,'9998',58.24,1,3,NULL),(20,5265533,'1991-10-23 00:00:00',2,1,12,2008,'M','N','CENTRO','CANOAS','RS','120202201215471331464632595122610124127',NULL,'9998',0.00,1,3,NULL),(20,5265541,'1992-06-25 00:00:00',4,1,11,2009,'M','N','BELA VISTA I','S JOSÉ','SC','124274248416211431458611285124610124092',NULL,'300',22.31,1,3,NULL),(20,5265550,'1992-09-09 00:00:00',4,9,12,2009,'F','N','GERTRUDES','VACARIA','RS','120204201217121231458834275112610164052',NULL,'9998',0.00,1,3,NULL),(20,5265568,'1981-12-15 00:00:00',4,8,7,1999,'F','N','NOVO MUNDO','CURITIBA','PR','116124281216571411279931475122343228182',10761,'9998',53.25,1,3,NULL),(20,5265584,'1987-08-27 00:00:00',4,4,11,2005,'F','N','CENTRO','CHAPECÓ','SC','124242244412371351159811492222133223127',NULL,'9997',0.00,1,3,NULL),(20,5265592,'1990-11-05 00:00:00',4,5,12,2007,'M','N','VENDINHA','MONTENEGRO','RS','120201201116131431424615175124610162141',NULL,'9998',0.00,1,2,1),(20,5265606,'1993-10-02 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111432488912572125610124042',NULL,'262',34.70,1,3,NULL),(20,5265614,'1991-05-10 00:00:00',2,8,12,2008,'F','N','BUCAREIM','JOINVILLE','SC','124242241211473431536931571125610164112',NULL,'1063',0.00,1,3,NULL),(20,5265622,'1992-10-25 01:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115131731424314572224610124057',NULL,'727',29.83,4,2,1),(20,5265630,'1992-10-25 01:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115131731424314572224610124057',NULL,'727',25.60,4,2,1),(20,5265649,'1991-11-07 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124241241215131411436529394234610165182',9878,'1106',55.68,1,3,NULL),(20,5265657,'1992-08-03 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202241217112431278911292125610164052',706,'270',83.13,1,3,NULL),(20,5265665,'1984-11-06 00:00:00',2,1,12,2002,'M','N','FORQUILHINHAS','S JOSÉ','SC','224211211116131411328444445122333217047',NULL,'9998',0.00,1,2,1),(20,5265673,'1992-04-28 00:00:00',2,10,12,2009,'F','N','VILA NOVA','IMBITUBA','SC','124241241215271431627613575224610127142',13916,'362',46.72,1,3,NULL),(20,5265681,'1992-03-01 00:00:00',2,1,12,2009,'F','N','ARIRIÚ','PALHOÇA','SC','124241241112371331223329571124610126072',NULL,'772',21.01,1,2,1),(20,5265703,'1985-11-30 00:00:00',2,1,12,2004,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241126273711221424382334610116112',NULL,'282',27.31,4,2,1),(20,5265711,'1992-11-23 00:00:00',2,9,11,2009,'F','N','CORAL','LAGES','SC','124242241235112431125524142121610127052',11463,'1146',53.09,4,3,NULL),(20,5265720,'1990-01-22 00:00:00',4,1,12,2007,'M','N','VILA ROBERTO','BIRIGÜI','SP','125251251116111531436833315114243217017',NULL,'9998',0.00,1,2,1),(20,5265738,'1992-04-05 00:00:00',4,7,11,2009,'F','N','CAETANO BRANCO','JOAÇABA','SC','124242241215371431459814575122610131142',6932,'446',61.72,1,3,NULL),(20,5265746,'1986-06-23 00:00:00',2,1,12,2005,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124051057122271431123344342334610162047',NULL,'9998',27.30,4,2,1),(20,5265754,'1982-10-15 00:00:00',4,1,12,2002,'M','N','ARIRIÚ','PALHOÇA','SC','224243243416371431346943335122610162183',9206,'303',59.60,3,3,NULL),(20,5265762,'1992-08-02 00:00:00',2,1,11,2009,'F','N','SERTÃO DO IMARUIM','S JOSÉ','SC','124242241212111431446633582122610128052',14863,'723',45.49,1,3,NULL),(20,5265770,'1991-01-25 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241115111431427419372224610136012',NULL,'267',24.49,1,3,NULL),(20,5265789,'1992-12-27 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111451447824372324610162052',1325,'270',79.32,1,3,NULL),(20,5265800,'1991-03-14 00:00:00',2,1,12,2008,'F','N','HARMONIA','CANOAS','RS','120201201117471731646733571124610166087',11623,'9998',52.61,4,2,1),(20,5265827,'1990-02-12 00:00:00',2,1,6,2008,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241116273431546633574124610124147',9871,'303',55.53,1,2,1),(20,5265835,'1971-05-08 00:00:00',2,1,12,1999,'F','N','SAO JOSE','S JOSÉ','SC','124246248622332431125649342334610157022',NULL,'9999',17.24,1,3,NULL),(20,5265843,'1987-08-27 00:00:00',2,1,11,2004,'M','N','CENTRO','POUSO REDONDO','SC','124241241126474421343611195114231214052',NULL,'639',0.00,1,2,1),(20,5265851,'1989-05-12 00:00:00',2,5,12,2006,'F','N','INDEPENDENCIA','PTO ALEGRE','RS','120202201216571431148833575122142435072',NULL,'9998',0.00,1,3,NULL),(20,5265860,'1990-04-21 00:00:00',2,10,11,2007,'F','N','SÃO MARTINHO','TUBARÃO','SC','124244241215573431447514271224610126052',NULL,'807',0.00,1,3,NULL),(20,5265878,'1992-07-16 00:00:00',2,15,12,2009,'F','N','COLONINHA','ARARANGUÁ','SC','124244241217371231458513375122610128195',14411,'26',46.53,1,3,NULL),(20,5265886,'1990-11-16 00:00:00',2,3,12,2008,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','116162161216371411336651592124131446182',5557,'9998',65.88,1,3,NULL),(20,5265916,'1959-09-04 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111431279913575122610124052',12119,'1133',54.14,1,3,NULL),(20,5265932,'1992-10-21 00:00:00',2,4,12,2009,'M','N','BELA VISTA','PTE SERRADA','SC','124241241237111431348411472124610137042',8785,'836',56.75,1,3,NULL),(20,5265940,'1992-09-13 00:00:00',4,3,11,2009,'M','N','CENTRO','ITAPEMA','SC','124242241215121731539852592322610135092',8601,'1038',59.83,4,3,NULL),(20,5265959,'1991-03-01 00:00:00',2,1,12,2008,'F','N','SANTA HELENA','BENTO GONÇALVES','RS','120201201116471731434434475124610163142',NULL,'9998',0.00,1,3,NULL),(20,5265967,'1990-12-21 00:00:00',4,4,12,2007,'F','N','CENTRO','AMPÉRE','PR','116163161417571431536632571222610123147',2706,'9998',72.90,1,3,NULL),(20,5265975,'1993-02-08 00:00:00',4,2,12,2010,'F','S','CENTRO','BRUSQUE','SC','124242241215111431368813475122610138142',NULL,'107',49.16,1,3,NULL),(20,5265983,'1992-02-12 00:00:00',4,4,11,2009,'F','N','CENTRO','XANXERÊ','SC','116242161212121411448832572124610165171',NULL,'9998',0.00,1,3,NULL),(20,5265991,'1989-10-16 00:00:00',4,1,11,2007,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124242241416273711467823475124610164181',8209,'269',61.45,1,3,NULL),(20,5266009,'1990-12-06 00:00:00',2,1,12,2008,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215472432469617572114610131127',5537,'262',66.72,1,3,NULL),(20,5266017,'1991-01-01 00:00:00',2,1,11,2008,'M','N','CENTRO','ARACRUZ','ES','108212211217571431368814572124610138197',NULL,'9998',0.00,1,3,NULL),(20,5266025,'1992-05-14 00:00:00',4,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124244241216111431336834272122610134182',6425,'168',62.70,1,3,NULL),(20,5266033,'1992-08-13 00:00:00',4,6,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124212241215371231426632374112610123072',5246,'44',67.07,1,3,NULL),(20,5266041,'1989-03-21 00:00:00',4,15,12,2006,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241114151452553923232122610137047',NULL,'30',14.99,1,3,NULL),(20,5266050,'1990-09-09 00:00:00',4,5,11,2007,'F','N','PIO CORRÊA','CRICIÚMA','SC','124242241215575431186931572124230231092',6237,'211',65.49,1,3,NULL),(20,5266068,'1992-06-15 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241215123431458813572112610127052',7031,'270',62.04,1,3,NULL),(20,5266076,'1992-07-07 00:00:00',4,1,11,2009,'M','N','FLORESTA','S JOSÉ','SC','124241241215372431216628342124610137047',13767,'1036',48.30,1,3,NULL),(20,5266084,'1991-01-14 00:00:00',2,7,11,2008,'M','N','PARQUE E JARDIM OURO','OURO','SC','124243241416271411443611442124610164092',8032,'1093',59.53,1,3,NULL),(20,5266092,'1992-08-10 00:00:00',2,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215111231458612575122610127042',NULL,'1022',52.33,1,3,NULL),(20,5266106,'1987-11-12 00:00:00',2,1,11,2005,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117132431331421332234610117042',NULL,'298',0.00,1,2,1),(20,5266114,'1992-08-19 00:00:00',2,1,12,2009,'F','N','CENTRO','GAROPABA','SC','124241241425161431243311315222610111053',NULL,'322',0.00,1,3,NULL),(20,5266122,'1983-08-29 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126475431123344345224121724147',8909,'689',58.90,1,2,1),(20,5266130,'1992-06-20 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215271421389934572122610142182',4215,'262',69.39,1,3,NULL),(20,5266149,'1990-10-10 00:00:00',2,3,12,2007,'F','N','JD PAULISTA','PARANAVAÍ','PR','116162161216472741448811171122143064027',NULL,'9998',44.56,1,3,NULL),(20,5266157,'1992-04-10 00:00:00',4,1,11,2009,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241411111411347823572124610134052',8704,'269',60.53,1,3,NULL),(20,5266165,'1967-10-09 00:00:00',2,3,8,2000,'M','N','NAÇOES','BAL CAMBORIÚ','SC','224201201122271411524444342114610115042',NULL,'9998',23.66,4,2,1),(20,5266173,'1985-09-03 00:00:00',2,1,12,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241122473431333324382224610132171',6294,'298',65.34,1,2,1),(20,5266181,'1993-01-10 00:00:00',4,8,12,2009,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241116271712333624575222610124192',NULL,'478',42.01,4,2,1),(20,5266190,'1988-11-03 00:00:00',2,1,12,2005,'F','N','SERRARIA','S JOSÉ','SC','124241241117135431526415342334232812197',NULL,'257',24.22,1,3,NULL),(20,5266203,'1993-06-30 00:00:00',4,5,12,2010,'F','S','LOTE SEIS','CRICIÚMA','SC','124242241215131731379931375122610144012',NULL,'211',43.25,1,3,NULL),(20,5266211,'1990-08-13 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216474431333313575115220748092',2219,'266',76.07,1,3,NULL),(20,5266220,'1992-08-09 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241132131531334531572124610134057',NULL,'733',44.39,4,3,NULL),(20,5266246,'1992-01-31 00:00:00',5,5,11,2009,'F','N','SANTA CATARINA','CRICIÚMA','SC','124242241417111331444833576122610124197',12833,'213',50.44,1,3,NULL),(20,5266254,'1993-10-08 00:00:00',4,10,12,2010,'F','S','CENTRO','CAPIVARI BAIXO','SC','124242241215111431476813474122610147052',NULL,'806',73.04,1,3,NULL),(20,5266262,'1992-07-08 00:00:00',4,17,12,2009,'F','N','SOSSEGO','CANOINHAS','SC','124241241117141431334923292222610138197',NULL,'146',24.75,1,2,1),(20,5266270,'1991-01-08 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241115341721621421212334610154147',NULL,'289',24.65,1,2,1),(20,5266289,'1983-05-03 00:00:00',2,3,11,2000,'M','N','SÃO BRAZ','CURITIBA','PR','116161161347471431225421485224140861187',2846,'9998',73.28,1,3,NULL),(20,5266297,'1992-03-08 00:00:00',4,7,12,2009,'M','N','INTERIOR','LACERDÓPOLIS','SC','124241241126131431633315552325610127042',14378,'496',45.51,1,2,1),(20,5266300,'1988-07-17 00:00:00',2,1,12,2005,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241126142421346633345124610167095',NULL,'283',24.76,1,2,1),(20,5266319,'1984-03-07 00:00:00',4,15,12,2001,'M','N','CENTRO','PR GRANDE','SC','124241241127132431439613435122333237057',NULL,'641',0.00,1,2,1),(20,5266327,'1992-10-23 00:00:00',4,1,11,2009,'M','N','BROOKLIN','S PAULO','SP','125252251217371431336824575112610134142',NULL,'9998',0.00,1,3,NULL),(20,5266335,'1990-11-22 00:00:00',4,1,12,2008,'F','N','VILA ESPERANÇA','MARINGÁ','PR','116162161215471431468923575112610131142',4211,'9998',69.56,1,3,NULL),(20,5266343,'1992-05-20 00:00:00',4,8,12,2009,'F','N','CENTRO','TOLEDO','PR','116162161215111431343821575124610133187',6547,'9998',63.26,1,3,NULL),(20,5266351,'1992-07-30 00:00:00',4,2,11,2009,'F','N','PROGRESSO','BLUMENAU','SC','124242241215111431437632284124610164187',8502,'88',57.42,1,3,NULL),(20,5266360,'1991-10-23 00:00:00',4,7,11,2009,'M','N','TOBIAS','JOAÇABA','SC','124244241215111431368836574115610124042',NULL,'454',30.89,1,3,NULL),(20,5266386,'1990-12-16 00:00:00',4,15,12,2009,'F','N','COLONINHA','ARARANGUÁ','SC','124244241417131731527634572222610124072',NULL,'29',26.92,1,3,NULL),(20,5266394,'1989-12-16 00:00:00',4,1,11,2007,'F','N','SANTA LUZIA','APARECIDA','SP','125252251216471731568814572122610137057',NULL,'9998',0.00,1,3,NULL),(20,5266408,'1991-08-30 00:00:00',2,4,11,2008,'M','N','CENTRO','IPORÃ OESTE','SC','124243241227472431446923345124610127047',1605,'370',77.58,1,3,NULL),(20,5266424,'1989-10-29 00:00:00',2,1,11,2006,'M','N','IPIRANGA','S JOSÉ','SC','124241241111474411426511571214610167047',9704,'734',56.98,4,2,1),(20,5266432,'1992-10-07 00:00:00',4,8,12,2009,'F','N','FLORESTA','JOINVILLE','SC','124241241216152431538812375122610132057',NULL,'459',0.00,1,3,NULL),(20,5266440,'1992-11-01 00:00:00',2,4,12,2009,'F','N','CENTRO','QUILOMBO','SC','124243241125162431324332571223610145142',NULL,'648',20.72,1,3,NULL),(20,5266459,'1992-01-17 00:00:00',4,6,11,2009,'M','N','VARZEA DO RANCHINHO','CAMBORIÚ','SC','124243241415111231466512395122610127112',NULL,'9997',23.15,1,3,NULL),(20,5266467,'1992-09-10 00:00:00',2,7,12,2009,'M','N','INTERIOR','ÁGUA DOCE','SC','124241241124141731514335552214610117147',NULL,'9',22.37,1,2,1),(20,5266475,'1991-12-10 00:00:00',2,7,11,2008,'F','N','MATRIZ','VIDEIRA','SC','124242241215472431546811374124610146147',NULL,'969',24.34,1,3,NULL),(20,5266483,'1992-07-06 00:00:00',4,1,11,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215112411358933512122610136012',9476,'1169',59.13,1,3,NULL),(20,5266491,'1992-02-16 00:00:00',4,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215171732326321492124610168142',NULL,'300',25.09,1,3,NULL),(20,5266505,'1954-05-14 00:00:00',2,15,11,2004,'M','N','MORRO DOS CONVENTOS','ARARANGUÁ','SC','124241241125132232221149195122220736047',NULL,'9997',14.63,1,3,NULL),(20,5266513,'1990-12-23 00:00:00',4,2,12,2008,'M','N','THOMÉ DE SOUZA','IJUÍ','RS','120201201116371731443624471224610134051',10296,'9998',54.59,1,2,1),(20,5266521,'1992-01-20 00:00:00',2,5,11,2009,'M','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215111431569412575124610167147',NULL,'226',0.00,1,3,NULL),(20,5266530,'1992-08-17 00:00:00',4,1,12,2009,'M','N','CENTRO','CONCÓRDIA','SC','124242241225111431369913485114610137047',NULL,'1047',36.15,1,3,NULL),(20,5266548,'1987-03-20 00:00:00',4,8,11,2004,'M','N','OURO BRANCO','PARANAVAÍ','PR','116163161215575441368413591124610166052',1095,'9998',80.77,1,3,NULL),(20,5266556,'1993-02-06 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241415113731326332175122610133142',14895,'1133',45.78,1,3,NULL),(20,5266572,'1990-05-14 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431358613575112231017047',NULL,'270',0.00,1,3,NULL),(20,5266599,'1990-08-27 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116252251216571431338823375114610167042',NULL,'9998',28.91,1,3,NULL),(20,5266602,'1988-01-23 00:00:00',4,8,5,2006,'M','N','ALTO DA GLÓRIA','CURITIBA','PR','116162281215571421445712275124610137122',787,'9998',82.06,1,3,NULL),(20,5266610,'1990-11-13 00:00:00',4,1,12,2008,'M','N','VILA CARVELO','TRINDADE','GO','109092091216471331458919572122610112182',NULL,'9998',0.00,1,3,NULL),(20,5266629,'1992-01-17 00:00:00',2,1,12,2008,'F','N','FORQUILHAS','S JOSÉ','SC','124241241111371731427813241224610127187',NULL,'733',18.02,4,2,1),(20,5266653,'1987-11-11 00:00:00',2,1,12,2006,'F','N','BOM VIVER','BIGUAÇU','SC','124241241127472411433321342324133226022',NULL,'66',0.00,1,2,1),(20,5266661,'1991-04-30 00:00:00',2,5,12,2008,'F','N','SANTA TEREZA','PTO ALEGRE','RS','120202201215471431379733571114610164187',NULL,'9998',0.00,1,3,NULL),(20,5266670,'1991-05-13 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242247316373411338613572114610164047',NULL,'9999',29.01,1,3,NULL),(20,5266688,'1990-09-20 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241317373431558613384124610167092',1905,'300',77.25,1,3,NULL),(20,5266726,'1991-06-26 00:00:00',4,1,11,2008,'F','N','JARDIM PRIMAVERA','S PAULO','SP','125252251215472431568914271144610123147',277,'9998',86.75,1,3,NULL),(20,5266734,'1990-08-28 00:00:00',2,1,5,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124243247316372431366729245124610138042',NULL,'9999',29.36,2,1,2),(20,5266742,'1990-11-06 00:00:00',4,9,12,2008,'M','N','CANTA GALO','RIO SUL','SC','124242241215472431369514575122610147042',13760,'901',50.80,1,3,NULL),(20,5266769,'1992-05-18 00:00:00',4,1,12,2009,'F','N','PROGRESSO','LAGUNA','SC','124243241116131432536913372124610137057',NULL,'521',18.89,1,3,NULL),(20,5266777,'1959-04-22 00:00:00',4,1,12,1983,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','624241247226134411324448281321321666097',16119,'497',43.30,4,1,2),(20,5266793,'1984-06-11 00:00:00',2,1,12,2001,'F','N','ARIRIU','PALHOÇA','SC','224244241417272431229854472124133141147',15237,'269',47.15,1,3,NULL),(20,5266807,'1989-08-06 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247227174731551121575124231437186',NULL,'9999',28.46,3,3,NULL),(20,5266815,'1990-11-21 00:00:00',2,1,11,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124161161116373511323741215325610132142',15838,'9998',44.92,4,3,NULL),(20,5266823,'1986-12-11 00:00:00',2,1,12,2004,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241126272431223344145123610131177',NULL,'79',33.64,1,2,1),(20,5266831,'1993-01-11 00:00:00',4,5,10,2010,'M','S','COMERCIARIO','CRICIÚMA','SC','124242241215111411445911242122610134142',NULL,'226',55.89,1,3,NULL),(20,5266840,'1991-01-21 00:00:00',2,1,11,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241126131431528533575114610124182',NULL,'283',23.13,1,2,1),(20,5266858,'1991-03-09 00:00:00',2,3,12,2008,'M','N','ANDORINHA','ITAPEMA','SC','124242241215471431465833585124610117057',13720,'1111',49.09,1,3,NULL),(20,5266866,'1991-12-04 00:00:00',4,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241248112111731333624272321610154142',NULL,'288',22.87,1,3,NULL),(20,5266874,'1992-04-28 00:00:00',4,1,12,2009,'F','N','CENTRO','LOANDA','PR','116162161216111431336622275122610122192',4710,'9998',66.81,3,3,NULL),(20,5266882,'1992-07-07 00:00:00',4,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215112431447732572122610138072',11508,'797',52.49,1,3,NULL),(20,5266890,'1989-07-20 00:00:00',4,8,12,2006,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215574431369813472112610132011',237,'457',87.43,1,3,NULL),(20,5266904,'1991-11-28 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215151231489931576112610167042',2553,'270',72.90,1,3,NULL),(20,5266912,'1990-11-23 00:00:00',2,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216132431269633342114610167047',NULL,'272',0.00,1,3,NULL),(20,5266920,'1990-04-26 00:00:00',2,5,12,2007,'F','N','CENTRO','GARIBALDI','RS','120202201217571311469911274114610166197',8448,'9998',58.69,1,3,NULL),(20,5266939,'1992-02-22 00:00:00',4,5,11,2009,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241235111531448833341122610113142',NULL,'210',29.60,1,3,NULL),(20,5266947,'1992-03-20 00:00:00',2,7,12,2008,'F','N','CENTRO','PINHEIRO PRETO','SC','124241248121133311323823571124610137042',NULL,'618',29.66,1,2,1),(20,5266955,'1992-02-08 00:00:00',4,1,12,2008,'M','N','PINGUIRITO','GAROPABA','SC','124241241112472431436314275124610114012',NULL,'322',26.25,2,1,1),(20,5266971,'1991-12-30 00:00:00',2,1,11,2009,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215112431536953496114610166017',2541,'1169',74.97,1,3,NULL),(20,5266980,'1992-02-28 00:00:00',2,15,11,2009,'F','N','CENTRO','ARARANGUÁ','SC','124242241215121731356812472122610124142',NULL,'32',25.55,1,3,NULL),(20,5266998,'1992-07-19 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216122431449932175122610164077',5104,'262',67.44,1,3,NULL),(20,5267005,'1990-09-21 00:00:00',4,1,11,2008,'F','N','SANTA CECILIA','S PAULO','SP','125252251216471431678911575122610114042',1919,'9998',77.05,1,3,NULL),(20,5267013,'1992-05-06 00:00:00',4,9,12,2009,'M','N','ATAFONA','LONTRAS','SC','124242241215111411336637575222610144172',4186,'991',68.07,1,3,NULL),(20,5267021,'1991-10-30 00:00:00',4,1,12,2010,'F','S','AGRONOMICA','FLORIANÓPOLIS','SC','124241248127111732426613172124610114147',NULL,'295',18.89,1,3,NULL),(20,5267048,'1990-09-07 00:00:00',2,1,12,2007,'F','N','CENTRO','JAURU','MT','111111241235513431568711595124613268142',13347,'969',47.37,1,3,NULL),(20,5267056,'1991-12-24 00:00:00',2,4,12,2008,'M','N','PLANALTO','CPO GRANDE','MS','112123121117471431658833572114610167042',NULL,'9998',31.74,4,3,NULL),(20,5267064,'1991-01-19 00:00:00',2,1,11,2008,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124243241217473231558867575124133227062',645,'270',83.61,1,3,NULL),(20,5267080,'1991-11-10 00:00:00',2,1,12,2008,'F','N','NOVO MUNDO','CURITIBA','PR','116162241216471431359614575124610136147',NULL,'948',40.08,1,3,NULL),(20,5267099,'1991-11-20 00:00:00',4,9,12,2009,'M','N','VILA NOVA','LAGES','SC','124242241215112431467832345112610164182',9325,'499',56.05,1,3,NULL),(20,5267102,'1992-06-06 00:00:00',4,5,11,2009,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215121731478912375122610126042',8505,'226',60.90,1,3,NULL),(20,5267129,'1991-10-18 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217272431548713574122610117112',3619,'262',70.36,1,3,NULL),(20,5267137,'1992-11-01 00:00:00',2,1,11,2009,'F','N','CENTRO','TAIÓ','SC','124242241215112431669922372122610122147',NULL,'991',43.77,1,3,NULL),(20,5267145,'1968-09-08 00:00:00',4,1,11,1986,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','224241241147155721229854475124122964187',NULL,'307',0.00,1,2,1),(20,5267153,'1991-04-08 00:00:00',4,1,12,2008,'M','N','RIO BRANCO','CAXIAS SUL','RS','120202201216571431446612375125610167117',NULL,'9998',0.00,1,3,NULL),(20,5267161,'1992-05-15 00:00:00',4,3,12,2009,'M','N','JADIM VILLAGE','LENÇÓIS PAULISTA','SP','125252251216111311249823571115610162057',NULL,'9998',0.00,1,3,NULL),(20,5267170,'1971-08-13 00:00:00',2,1,12,1989,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201201126132431223344242124610122047',NULL,'9998',25.22,1,2,1),(20,5267188,'1989-01-25 00:00:00',2,4,12,2006,'M','N','ZONA NORTE','PANAMBI','RS','120203201315571751325319595122610118197',1622,'9998',78.37,1,3,NULL),(20,5267196,'1993-03-10 00:00:00',2,1,12,2009,'M','N','VILA BRUNA','APUCARANA','PR','116162161216121431469831575122610162042',6257,'9998',62.75,1,3,NULL),(20,5267218,'1990-03-28 00:00:00',4,8,11,2007,'M','N','ÁGUA VERDE','CURITIBA','PR','116112161215571441328811495124610164047',3441,'9998',70.85,4,3,NULL),(20,5267226,'1993-05-30 00:00:00',4,5,11,2011,'F','S','SANTA BÁRBARA','CRICIÚMA','SC','124242241212161431465823571124610124172',NULL,'995',24.45,1,3,NULL),(20,5267234,'1992-02-21 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431466732375122610122092',13001,'1169',47.19,1,3,NULL),(20,5267242,'1989-11-03 00:00:00',4,1,12,2007,'F','N','SÃO JOSÉ','ARACAJU','SE','126262261216472411558831572122143243112',NULL,'9998',0.00,1,3,NULL),(20,5267250,'1985-06-05 00:00:00',4,15,12,2000,'M','N','CENTRO','BAL ARROIO SILVA','SC','124241241117272431465814115132331437111',10508,'29',57.22,4,3,NULL),(20,5267269,'1990-09-21 00:00:00',4,1,11,2008,'F','N','SANTA CECILIA','S PAULO','SP','125252251216471431678911575122610114042',NULL,'9998',0.00,1,3,NULL),(20,5267277,'1991-07-29 00:00:00',4,1,12,2008,'M','N','TAQUARI','CPO GRANDE','MS','112122121217571431369933274122610145092',8510,'9998',59.20,4,3,NULL),(20,5267285,'1991-04-19 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241117132431325623312214610137142',11802,'592',54.74,1,2,1),(20,5267293,'1993-01-29 00:00:00',4,8,11,2009,'F','N','CENTRO','TOLEDO','PR','116162161217121711257931575112610164177',NULL,'9998',26.73,1,3,NULL),(20,5267315,'1992-06-08 00:00:00',2,9,11,2009,'M','N','FUNDO CANOAS','RIO SUL','SC','124243241346111411423414342224610134052',NULL,'653',NULL,1,3,NULL),(20,5267323,'1992-06-07 00:00:00',2,8,12,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124241241117131532346414245124610123142',NULL,'476',17.39,1,3,NULL),(20,5267331,'1974-11-05 00:00:00',2,1,9,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124041247121371721523344441124610114091',NULL,'9999',21.21,4,2,1),(20,5267340,'1991-12-17 00:00:00',4,10,12,2009,'F','N','CENTRO','JAGUARUNA','SC','124241241125131431323364272121610128177',NULL,'421',17.95,1,3,NULL),(20,5267358,'1992-08-09 00:00:00',5,7,12,2009,'F','N','CENTRO','ARROIO TRINTA','SC','124241241126131731423336295112610137052',NULL,'853',0.00,1,3,NULL),(20,5267366,'1991-02-20 00:00:00',4,1,12,2008,'M','N','SANTO ANTONIO','FLORIANÓPOLIS','SC','124242241217472431389614575112610147052',8734,'262',60.48,1,3,NULL),(20,5267382,'1992-02-16 00:00:00',4,8,11,2009,'M','N','TINGUI','CURITIBA','PR','116162161217111411379933571112610164152',2032,'9998',76.31,1,3,NULL),(20,5267390,'1992-11-30 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241416111431429613585124610142173',6894,'1022',64.06,1,3,NULL),(20,5267404,'1990-12-11 00:00:00',2,5,11,2008,'F','N','PINHEIRINHO','CRICIÚMA','SC','124242248235372711337632395122610148072',7258,'995',63.30,1,3,NULL),(20,5267412,'1992-11-03 00:00:00',2,9,12,2009,'F','N','CENTRO','LAGES','SC','124244241415111431466633375122610124091',3755,'1146',70.83,1,3,NULL),(20,5267439,'1990-08-12 00:00:00',4,4,12,2007,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241216572411558913574145610126187',455,'1046',84.98,1,3,NULL),(20,5267455,'1973-05-24 00:00:00',2,1,12,1994,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241326474411323344342134610123097',NULL,'270',21.75,1,3,NULL),(20,5267463,'1978-01-26 00:00:00',4,1,12,1995,'M','N','CENTRO','CURITIBA','PR','116163251214571721368612272122343166182',5985,'9998',66.04,1,3,NULL),(20,5267471,'1988-02-12 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201116572731448834595124610164147',1101,'9998',80.74,1,2,1),(20,5267498,'1991-03-06 00:00:00',4,9,12,2008,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124241241112371431468833432122232628092',NULL,'505',27.32,1,2,1),(20,5267501,'1992-01-12 00:00:00',4,8,12,2009,'F','N','JUVEVÊ','CURITIBA','PR','116162161217111431468813575122610143115',10014,'9998',55.58,1,3,NULL),(20,5267528,'1992-11-11 00:00:00',4,10,12,2009,'F','N','SANGA GRANDE','JAGUARUNA','SC','124241241125131431423516572124610128177',NULL,'421',18.25,1,3,NULL),(20,5267536,'1988-09-27 00:00:00',5,5,11,2005,'M','N','RAICHASKI','IÇARA','SC','124241248116271431436414345122610124042',NULL,'228',12.72,1,3,NULL),(20,5267560,'1987-02-24 00:00:00',4,1,11,2009,'M','N','POTECAS','S JOSÉ','SC','124241248116311621414513445124610125092',NULL,'307',16.41,1,3,NULL),(20,5267579,'1991-11-07 00:00:00',2,1,12,2008,'F','N','MAR GROSSO','LAGUNA','SC','124242241215372731338711495112131438182',12125,'525',54.12,1,3,NULL),(20,5267595,'1992-10-14 00:00:00',2,5,11,2009,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124242241215121411448932595121610147067',2077,'32',76.63,1,3,NULL),(20,5267609,'1991-09-01 00:00:00',4,7,11,2008,'F','N','CENTRO','LACERDÓPOLIS','SC','116242161217471431556636375122610122172',6350,'9998',65.22,1,3,NULL),(20,5267617,'1990-12-14 00:00:00',4,15,12,2009,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124201241115271431524634345215610123092',NULL,'29',20.40,1,2,1),(20,5267625,'1992-10-27 00:00:00',2,8,12,2009,'M','N','CENTRO','ARAQUARI','SC','124244241216111431479513432124610117042',NULL,'461',39.59,1,3,NULL),(20,5267633,'1991-03-31 00:00:00',4,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124243241215111731537823475112610137051',NULL,'1175',26.62,1,3,NULL),(20,5267641,'1991-03-15 00:00:00',4,8,12,2008,'F','N','XAXIM','CURITIBA','PR','116164161215471751346619375124610165092',NULL,'9998',0.00,1,3,NULL),(20,5267650,'1989-11-29 00:00:00',2,1,12,2008,'M','N','JD SAO DIMAS','S JOSÉ CAMPOS','SP','125252251216472731556624575122610167042',12293,'9998',48.42,1,3,NULL),(20,5267668,'1986-10-17 00:00:00',4,1,6,2005,'M','N','PARQUE PERUCHE','S PAULO','SP','125251257326111411346661245122141028087',NULL,'9998',0.00,1,3,NULL),(20,5267676,'1992-07-07 00:00:00',4,4,12,2009,'F','N','CENTRO','MEDIANEIRA','PR','116161161135471711445923575124610164147',3360,'9998',70.62,1,2,1),(20,5267684,'1986-10-31 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241315471431358833444114133264192',9307,'1022',56.57,1,3,NULL),(20,5267692,'1991-03-26 00:00:00',2,8,11,2008,'M','N','CENTRO','CURITIBA','PR','116252251215471231267833585125610122057',7805,'9998',57.81,4,1,2),(20,5267730,'1992-02-16 00:00:00',2,5,11,2009,'F','N','N S DE FATIMA','BRAÇO NORTE','SC','124241241216111431666612144122610121072',14988,'102',47.89,1,3,NULL),(20,5267749,'1991-12-15 00:00:00',4,8,11,2008,'F','N','CIDADE ALTA','JAGUARIAÍVA','PR','116162161217471741459831575125610118097',2123,'9998',75.61,1,3,NULL),(20,5267757,'1992-10-06 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241216111451468814295122610162185',15862,'1086',39.66,1,3,NULL),(20,5267765,'1988-06-15 00:00:00',2,1,11,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241212123751338621382124610168181',16239,'300',42.05,1,3,NULL),(20,5267790,'1990-05-28 00:00:00',2,17,12,2007,'M','N','REBOUÇAS','CURITIBA','PR','116161241216571432539923572321610163067',2751,'632',72.93,1,3,NULL),(20,5267803,'1991-09-04 00:00:00',4,1,11,2008,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161216472731328921575124610137047',7781,'9998',60.87,1,3,NULL),(20,5267820,'1992-05-28 00:00:00',2,2,12,2009,'M','N','CENTRO','IVAIPORÃ','PR','116161161217111421458823575122610134037',NULL,'9998',0.00,1,3,NULL),(20,5267838,'1991-11-04 00:00:00',2,8,12,2008,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162161217371731356612475121241417067',8923,'9998',56.62,1,3,NULL),(20,5267846,'1992-01-18 00:00:00',2,1,11,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241315111731233329291124610127045',9579,'269',57.46,1,3,NULL),(20,5267854,'1992-01-16 00:00:00',4,1,12,2009,'F','N','VENDAVAL','BIGUAÇU','SC','124244241215131431436939572122610136197',12213,'63',50.05,1,3,NULL),(20,5267862,'1992-02-16 00:00:00',2,8,11,2009,'F','N','GLÓRIA','JOINVILLE','SC','124241241215122431436414572122610122142',13399,'1063',51.59,1,3,NULL),(20,5267870,'1990-08-24 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIN','PALHOÇA','SC','124161161117271431634711445124610111097',14925,'9998',45.97,1,3,NULL),(20,5267889,'1991-03-12 00:00:00',4,3,12,2008,'F','N','CENTRO','RIO NEGRO','PR','116242241211412431538613572124610162147',NULL,'541',64.34,1,3,NULL),(20,5267897,'1992-11-05 00:00:00',4,1,12,2009,'M','N','CENTRO','S MIGUEL IGUAÇU','PR','116161161216271431353631575122610137097',NULL,'9998',0.00,1,3,NULL),(20,5267927,'1988-07-17 00:00:00',4,1,12,2005,'F','N','CENTRO','STA MARIA','RS','120204201116571421347331492125610162147',8413,'9998',58.12,1,3,NULL),(20,5267935,'1992-05-13 00:00:00',4,8,10,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241215122731556819154122610123187',6552,'1063',63.75,1,3,NULL),(20,5267943,'1971-11-06 00:00:00',2,1,11,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','524241247126132711221179372224221668171',15513,'9999',46.25,4,1,1),(20,5267951,'1992-08-21 00:00:00',4,1,12,2009,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124242248215111431458914575121610138057',NULL,'1119',26.72,1,3,NULL),(20,5267960,'1992-02-09 00:00:00',2,10,12,2009,'F','N','MAR GROSSO','LAGUNA','SC','124242241215111431333839575124610136042',11740,'525',52.54,1,3,NULL),(20,5267978,'1992-04-29 00:00:00',2,5,10,2009,'M','N','CENTRO','COCAL SUL','SC','124244241235111431444819572114610128047',8984,'226',60.00,1,3,NULL),(20,5267986,'1992-10-07 00:00:00',2,15,11,2009,'F','N','CENTRO','TIMBÉ SUL','SC','124244241415111731448912472122610124192',NULL,'970',29.34,1,3,NULL),(20,5267994,'1992-02-06 00:00:00',4,10,12,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215111431489814475122610138082',12916,'9997',52.52,1,3,NULL),(20,5268001,'1991-03-09 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215152741126641415124221767182',NULL,'1061',0.00,1,3,NULL),(20,5268028,'1991-12-08 00:00:00',4,16,12,2009,'F','N','ESTRADA GERAL','PTE ALTA','SC','124241241111161411516335352324610112182',NULL,'625',5.70,1,2,1),(20,5268036,'1990-07-23 00:00:00',4,7,12,2007,'F','N','SÃO VICENTE','JOAÇABA','SC','124241241112571431328414591214133256182',2582,'341',74.85,1,2,1),(20,5268044,'1992-06-18 00:00:00',4,8,11,2009,'F','N','PETRÓPOLIS','JOINVILLE','SC','124241241215131431546911172122610166072',NULL,'489',30.45,4,3,NULL),(20,5268052,'1991-12-05 00:00:00',4,5,12,2008,'F','N','FLORESTA','PTO ALEGRE','RS','120162161215471431149811575125610162047',1395,'9998',79.14,1,3,NULL),(20,5268087,'1989-12-14 00:00:00',4,1,12,2007,'F','N','PONTE GRANDE','MOGI CRUZES','SP','125252251211573431558813571112610165097',9910,'9998',56.01,1,3,NULL),(20,5268095,'1983-08-09 00:00:00',4,8,11,2000,'F','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116163161217471751337529372122143268197',NULL,'9998',0.00,2,1,2),(20,5268109,'1981-07-09 00:00:00',2,1,12,1998,'F','N','TERESOPOLIS','PTO ALEGRE','RS','120202201216571731669911471124143267117',2709,'9998',73.96,1,3,NULL),(20,5268117,'1987-08-14 00:00:00',4,1,12,2004,'M','N','HIGIENOPOLIS','PTO ALEGRE','RS','120202201216471431489914571112141517042',4382,'9998',67.06,1,3,NULL),(20,5268125,'1993-03-12 00:00:00',4,1,12,2010,'M','S','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215111431358811575122610134092',NULL,'1118',56.26,1,3,NULL),(20,5268133,'1993-08-07 00:00:00',4,4,12,2009,'M','N','PRIMAVERA','CONCÓRDIA','SC','124241242115151431458634375114610164057',11174,'196',52.45,1,3,NULL),(20,5268150,'1989-01-07 00:00:00',2,9,12,2006,'F','N','PROGRESSO','BENTO GONÇALVES','RS','120201201215572441439913571124610127147',NULL,'9998',41.75,1,3,NULL),(20,5268168,'1991-02-25 00:00:00',4,4,11,2008,'M','N','CENTRO','GETÚLIO VARGAS','RS','120204201211471411439614475124610127042',2861,'9998',72.77,1,3,NULL),(20,5268176,'1991-10-03 00:00:00',4,1,12,2009,'F','N','JARDIM SATÉLITE','S JOSÉ CAMPOS','SP','125252251217111431659833572122610141072',NULL,'9998',0.00,1,3,NULL),(20,5268192,'1988-02-22 00:00:00',4,5,12,2006,'M','N','CENTRO','COCAL SUL','SC','124241246416273431436613475124610127117',10415,'995',57.39,1,3,NULL),(20,5268206,'1992-06-06 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241243115131231347933575124610124187',NULL,'129',27.03,1,2,1),(20,5268214,'1991-11-22 00:00:00',2,1,12,2009,'F','N','CENTRO','BRUSQUE','SC','124242241215111431359634245122610124182',5333,'109',67.48,1,3,NULL),(20,5268222,'1992-02-02 00:00:00',2,2,12,2009,'F','N','BELA VISTA','GASPAR','SC','124241241117141431359579342124610132042',NULL,'79',28.21,1,2,1),(20,5268249,'1989-03-28 00:00:00',2,15,12,2006,'F','N','JARDIM CIBELE','ARARANGUÁ','SC','124241245141131431526639241221610127147',NULL,'30',24.75,1,2,1),(20,5268265,'1990-12-10 00:00:00',4,1,12,2007,'M','N','JARDIM AMERICA','CAXIAS SUL','RS','120203201112471331558314275122610137047',6293,'9998',63.19,1,3,NULL),(20,5268273,'1981-07-23 00:00:00',2,1,12,1998,'M','N','CAPOERIAS','FLORIANÓPOLIS','SC','124244243145273421349343231122610127067',NULL,'284',59.85,1,3,NULL),(20,5268281,'1992-06-16 00:00:00',2,6,11,2009,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124242241215111431655663275122610168192',14302,'389',49.71,1,3,NULL),(20,5268290,'1993-10-03 00:00:00',4,2,10,2010,'M','S','CENTRO','GASPAR','SC','124242241211111411458834572124610114112',NULL,'909',0.00,1,3,NULL),(20,5268303,'1991-09-13 00:00:00',2,1,11,2008,'F','N','BELA VISTA','S JOSÉ','SC','124241241112131751423634592224610167042',NULL,'726',41.05,1,3,NULL),(20,5268311,'1987-10-31 00:00:00',4,5,12,2005,'M','N','GUARANI','NOVO HAMBURGO','RS','120202201216571431488812415122141062122',13645,'9998',47.09,1,3,NULL),(20,5268320,'1992-05-05 00:00:00',2,1,11,2009,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241211121431669911472112610127112',NULL,'270',23.55,1,3,NULL),(20,5268338,'1988-01-02 00:00:00',4,1,12,2007,'F','N','SAO LUIZ','S JOSÉ','SC','124241241127271421233354245234610127052',NULL,'729',27.19,1,2,1),(20,5268346,'1992-08-14 00:00:00',4,10,12,2009,'M','N','VILA NOVA','IMBITUBA','SC','124241241137131431523414145124610127042',NULL,'359',26.23,1,2,1),(20,5268354,'1992-01-09 00:00:00',4,8,11,2008,'M','N','TRES MARIAS','S JOSÉ PINHAIS','PR','116162161216411531528833432114610167062',15148,'9998',44.07,1,3,NULL),(20,5268362,'1977-12-17 00:00:00',2,1,12,2007,'F','N','FAZENDA SANTO ANTÔNI','S JOSÉ','SC','124241241322131411353413335123132726022',NULL,'9997',22.61,1,3,NULL),(20,5268370,'1992-03-30 00:00:00',4,3,12,2009,'F','N','CENTRO','STO ANTÔNIO PLATINA','PR','116162161216371431556932575122610164012',NULL,'9998',0.00,1,3,NULL),(20,5268389,'1992-07-19 00:00:00',4,8,11,2009,'F','N','ANA RITA','PNT GROSSA','PR','116161161416111431323314174124610117091',10743,'9998',54.13,1,3,NULL),(20,5268397,'1988-08-27 00:00:00',2,1,11,2007,'F','N','CENTRO','IBOTIRAMA','BA','105052051117472712526833575125221565027',10902,'9998',56.48,2,1,2),(20,5268400,'1993-05-23 00:00:00',4,1,12,2010,'F','S','ALTO BIGUAÇU','BIGUAÇU','SC','124241241115151431446935575124610124142',NULL,'21',49.41,1,3,NULL),(20,5268419,'1992-05-03 00:00:00',4,8,12,2009,'F','N','VILA INDUSTRIAL','TOLEDO','PR','116162161212111311344823572122610167014',4270,'9998',69.72,1,3,NULL),(20,5268427,'1992-04-14 00:00:00',2,1,12,2009,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','124241241112111731436534572124610135142',NULL,'739',47.69,1,2,1),(20,5268435,'1990-08-01 00:00:00',2,16,12,2009,'M','N','INTERIOR','BRUNÓPOLIS','SC','124241242111111411534315212122610167055',NULL,'741',6.61,1,2,1),(20,5268443,'1992-08-19 00:00:00',4,5,12,2009,'F','N','GUATÁ','LAURO MÜLLER','SC','124242241216111752446913575122610167142',NULL,'820',26.26,1,3,NULL),(20,5268460,'1991-08-14 00:00:00',4,1,12,2009,'M','N','CENTRO','BOITUVA','SP','125251251216111431428832571121610122172',NULL,'9998',0.00,1,3,NULL),(20,5268478,'1991-10-01 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372431358933575124122023142',1707,'270',78.02,1,3,NULL),(20,5268486,'1989-07-14 00:00:00',4,1,12,2006,'M','N','JARDIM ESRELA','S JOSÉ R PRETO','SP','125254251215471431476612474112143226047',NULL,'9998',0.00,4,3,NULL),(20,5268508,'1992-09-10 00:00:00',4,10,12,2009,'F','N','CENTRO','GR PARÁ','SC','124241241115131431426614175122610138197',13408,'330',47.30,1,2,1),(20,5268516,'1991-06-05 00:00:00',2,8,12,2009,'M','N','PETRÓPOLIS','JOINVILLE','SC','124241241116131421316411495114610125111',NULL,'472',27.07,4,2,1),(20,5268524,'1991-04-29 00:00:00',2,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124243241312271432433663575124610164192',NULL,'65',27.73,1,3,NULL),(20,5268532,'1992-02-21 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241416111431346634375124610126112',NULL,'1022',25.73,1,3,NULL),(20,5268540,'1992-07-04 00:00:00',4,9,12,2009,'M','N','SANTA HELENA','LAGES','SC','124244241215112431344734575112610162172',1098,'499',79.78,4,3,NULL),(20,5268559,'1966-10-31 00:00:00',2,1,12,2000,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224244247136135121523351144122131021187',10037,'9999',55.40,1,3,NULL),(20,5268575,'1991-08-10 00:00:00',2,1,11,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124112111216372431336823572322610165192',15894,'9998',44.66,4,3,NULL),(20,5268583,'1992-05-06 00:00:00',4,17,12,2009,'M','N','SANTA ROSA','PTO UNIÃO','SC','124241168216371431553612125125610144012',NULL,'9998',29.59,1,3,NULL),(20,5268591,'1993-05-16 00:00:00',4,1,12,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241112153731367612575122610134182',NULL,'739',25.94,1,3,NULL),(20,5268605,'1994-02-21 00:00:00',2,1,12,2011,'F','S','CENTRO','LAURO MÜLLER','SC','124244241215111431326934595122610127092',NULL,'820',42.13,1,3,NULL),(20,5268613,'1991-05-29 00:00:00',4,1,12,2008,'F','N','UNIVERSITÁIO','TIJUCAS','SC','124241241215152731334614345122610125092',NULL,'781',34.53,1,3,NULL),(20,5268621,'1992-06-19 00:00:00',4,9,12,2009,'F','N','CENTRO','VACARIA','RS','120242201215151231359814572122610164192',3979,'9998',69.66,1,3,NULL),(20,5268630,'1985-05-01 00:00:00',4,8,12,2002,'F','N','TARUMA','CURITIBA','PR','116203201316573731546613472224141564097',2390,'9998',75.46,1,3,NULL),(20,5268648,'1993-03-31 00:00:00',2,1,12,2009,'F','N','ARIRIÚ DA FORMIGA','PALHOÇA','SC','124241241112111431556933572124610131142',NULL,'1011',27.40,1,3,NULL),(20,5268656,'1990-02-01 00:00:00',2,1,6,2008,'F','N','PRAINHA','FLORIANÓPOLIS','SC','124242241216274431566923341122610147147',NULL,'270',28.57,1,3,NULL),(20,5268672,'1992-12-20 00:00:00',4,15,12,2009,'M','N','CENTRO','PR GRANDE','SC','124241241147131431439613435121610117017',NULL,'641',12.63,1,2,1),(20,5268680,'1992-07-05 00:00:00',4,1,11,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124161241115111431217629375124610118052',NULL,'591',32.66,1,2,1),(20,5268702,'1992-06-25 00:00:00',4,2,12,2009,'F','N','FORTALEZA','BLUMENAU','SC','124241241115161431363634345124610134142',NULL,'9997',0.00,1,3,NULL),(20,5268710,'1984-04-03 00:00:00',4,1,12,2003,'M','N','CENTRO','GUARAPUAVA','PR','116162161216155441536311315132140264012',7808,'9998',62.20,1,3,NULL),(20,5268729,'1992-07-09 00:00:00',2,4,12,2009,'M','N','SANTANA','PTO ALEGRE','RS','120241201346121431354432575124610164052',NULL,'9998',0.00,1,3,NULL),(20,5268737,'1991-10-13 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242248215372731464432445114232032112',15999,'1022',44.09,1,3,NULL),(20,5268745,'1978-11-20 00:00:00',4,1,12,1999,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','224241241127131721324344442114610163147',NULL,'281',26.09,4,3,NULL),(20,5268753,'1992-12-17 00:00:00',2,1,11,2009,'F','N','CENTRO','IPATINGA','MG','113132131216271431568811572122610127042',13066,'9998',49.21,1,3,NULL),(20,5268761,'1992-01-11 00:00:00',2,8,11,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215111431536711592322610127071',4184,'486',70.23,1,3,NULL),(20,5268770,'1991-08-24 00:00:00',4,8,12,2008,'M','N','CABRAL','CURITIBA','PR','116164161215471431568832571112610147047',NULL,'9998',0.00,1,3,NULL),(20,5268788,'1992-08-27 00:00:00',4,8,12,2009,'M','N','VIVENDAS','GUAÍRA','SP','125252251215111231338814392124610165177',7110,'9998',60.54,1,3,NULL),(20,5268796,'1990-06-28 00:00:00',2,15,11,2007,'M','N','GARAPUVU','ERMO','SC','124241248127161431424316395123610117172',NULL,'250',27.96,1,2,1),(20,5268800,'1986-11-10 00:00:00',2,1,12,2003,'F','N','RIO VERDE','PNT GROSSA','PR','116161161116251431433639345123610124053',NULL,'9998',0.00,1,2,1),(20,5268818,'1988-09-17 00:00:00',2,1,12,2007,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241116473431223324345114610164195',14545,'306',46.06,1,2,1),(20,5268826,'1992-02-28 00:00:00',4,8,12,2009,'M','N','CANCELLI','CASCAVEL','PR','116162161217111431458933575122610134012',3569,'9998',69.50,1,3,NULL),(20,5268834,'1992-12-20 00:00:00',4,9,12,2009,'F','N','RIO BRANCO','CAXIAS SUL','RS','120204208416161711359714274122610162152',10286,'9998',56.13,1,3,NULL),(20,5268850,'1992-05-31 00:00:00',2,15,12,2009,'M','N','DIVINEIA','ARARANGUÁ','SC','124242241215321431536833572122610125052',NULL,'970',28.53,1,3,NULL),(20,5268869,'1988-05-26 00:00:00',4,8,12,2005,'F','N','JARDIM PARAISO','JOINVILLE','SC','124241241146131411626324285324231924057',NULL,'471',0.00,4,2,1),(20,5268877,'1987-09-18 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431468832575122241024182',NULL,'270',25.81,3,3,NULL),(20,5268885,'1990-12-04 00:00:00',4,1,12,2008,'M','N','JD STA GENEBRA','CAMPINAS','SP','125252251216471441379913571112610167047',1553,'9998',77.97,1,3,NULL),(20,5268893,'1991-08-17 00:00:00',4,1,11,2008,'F','N','BATEL','CURITIBA','PR','116162161215474431477932575125610162115',NULL,'1160',55.62,4,3,NULL),(20,5268915,'1991-10-28 00:00:00',4,1,12,2008,'M','N','BATEL','GUARAPUAVA','PR','116162161212271431468831575111241414182',4743,'9998',67.67,1,3,NULL),(20,5268923,'1989-02-21 00:00:00',2,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241135372411438621341124610142122',NULL,'592',23.88,1,3,NULL),(20,5268931,'1991-01-11 00:00:00',4,1,11,2008,'M','N','JARDIM ROYAL GOLF','LONDRINA','PR','116162161217371411479931575112142046172',NULL,'9998',0.00,1,3,NULL),(20,5268940,'1990-08-18 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116252411622219342124610127047',NULL,'293',28.58,5,2,1),(20,5268958,'1986-03-19 00:00:00',4,1,12,2003,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217574431469914441122321263187',462,'270',84.90,1,3,NULL),(20,5268974,'1992-06-09 00:00:00',4,1,11,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215112431579714472122610132092',9336,'270',57.64,1,3,NULL),(20,5268982,'1987-10-02 00:00:00',3,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217573431569913572112231264077',NULL,'262',0.00,1,3,NULL),(20,5268990,'1990-09-20 00:00:00',2,5,11,2008,'M','N','DEHON','TUBARÃO','SC','124242241215373431346622295122130867077',NULL,'9997',0.00,1,3,NULL),(20,5269008,'1992-04-15 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117111732627911575124610154147',NULL,'267',24.44,1,2,1),(20,5269016,'1992-05-19 00:00:00',2,2,12,2009,'M','N','FORTALEZA','BLUMENAU','SC','124241241145161431436614345124610135142',NULL,'326',26.52,2,1,1),(20,5269024,'1986-02-09 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241244137132731323321242124610127147',NULL,'307',24.80,1,2,1),(20,5269032,'1992-08-23 00:00:00',4,1,11,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241115372431366823591121610167052',2868,'271',73.01,1,3,NULL),(20,5269040,'1992-11-04 00:00:00',4,9,12,2009,'F','N','ZONA RURAL','CPO BELO SUL','SC','124241242115131431423736571122610133142',NULL,'960',26.77,1,2,1),(20,5269059,'1991-04-07 00:00:00',4,8,12,2008,'F','N','GUANABARA','JOINVILLE','SC','124243241225472731536923575124610124147',10085,'457',57.99,1,3,NULL),(20,5269067,'1991-07-02 00:00:00',2,1,11,2008,'F','N','CENTRO','IMBITUBA','SC','124241241212372431323923572122232462097',8789,'270',58.53,1,3,NULL),(20,5269083,'1992-09-07 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431468813575122610137042',3849,'270',71.22,1,3,NULL),(20,5269091,'1991-10-26 00:00:00',4,1,12,2008,'M','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112122121215152422569914172114241464052',2085,'9998',75.24,1,3,NULL),(20,5269105,'1984-05-11 00:00:00',2,1,6,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241247112154751327629383344233263147',14499,'9999',47.91,1,2,1),(20,5269113,'1984-02-15 00:00:00',4,15,12,2003,'M','N','VILA SAO JOSE','ARARANGUÁ','SC','124201208114131421323629382123140227057',NULL,'9998',26.55,1,3,NULL),(20,5269130,'1992-07-29 00:00:00',4,17,12,2009,'M','N','CENTRO','PAPANDUVA','SC','124243242316111431338833575123610117187',NULL,'143',18.85,1,3,NULL),(20,5269148,'1992-07-12 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431288833575122610125182',5341,'270',64.38,1,3,NULL),(20,5269156,'1988-04-03 00:00:00',4,1,12,2005,'F','N','AE CARVALHO','S PAULO','SP','125252251111571431436813571124610114077',NULL,'9998',0.00,1,3,NULL),(20,5269164,'1977-02-10 00:00:00',4,1,6,2001,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624241247125371441426354482124610145092',NULL,'9999',41.11,2,1,1),(20,5269172,'1992-04-02 00:00:00',2,7,12,2009,'M','N','CIDADE JARDIM','CATANDUVAS','SC','124241242115131431623311575122610136142',NULL,'8',30.32,2,1,1),(20,5269180,'1988-10-02 00:00:00',4,1,11,2005,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241417372431478413445124610167057',NULL,'271',27.82,1,3,NULL),(20,5269199,'1992-03-14 00:00:00',2,1,12,2009,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241248115271711326413332124610115177',NULL,'288',24.48,1,2,1),(20,5269202,'1992-09-11 00:00:00',4,1,12,2009,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241115161432423313475114610127043',NULL,'281',24.43,1,2,1),(20,5269210,'1992-04-07 00:00:00',4,1,12,2009,'M','N','CENTRO','GAROPABA','SC','124241241116231731424471375124610137077',NULL,'322',23.18,1,2,1),(20,5269229,'1991-02-03 00:00:00',4,8,12,2008,'F','N','PORTO SEGURO','LONDRINA','PR','116164161216471731436633575224610168197',5411,'9998',65.30,1,3,NULL),(20,5269237,'1993-06-02 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431558924572122610132147',NULL,'262',50.03,1,3,NULL),(20,5269245,'1989-11-06 00:00:00',4,16,12,2007,'F','N','CENTRO','CURITIBANOS','SC','124243241146471721626819391132610114147',NULL,'239',29.34,1,3,NULL),(20,5269253,'1993-07-29 00:00:00',4,2,12,2010,'F','S','TESTO REGA','POMERODE','SC','124242241217111411368819375122610143072',NULL,'624',55.71,1,3,NULL),(20,5269261,'1992-11-13 00:00:00',4,10,11,2009,'M','N','CENTRO','CAPIVARI BAIXO','SC','124242241211112511468812575124610167111',13068,'807',52.23,4,3,NULL),(20,5269288,'1992-01-22 00:00:00',4,1,12,2009,'M','N','CENTRO','LONDRINA','PR','116163161217121441668613575125610132052',12613,'9998',53.12,1,3,NULL),(20,5269296,'1992-09-05 00:00:00',4,8,12,2009,'M','N','CENTRO','GUARATUBA','PR','116161161116161411528629575125610138097',NULL,'9998',26.00,1,2,1),(20,5269300,'1990-08-10 00:00:00',4,4,12,2007,'M','N','INTERIOR','QUILOMBO','SC','124241241116161441425436265123231427047',NULL,'648',0.00,1,2,1),(20,5269326,'1991-08-14 00:00:00',2,6,12,2008,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241215472431347714275122610166142',869,'1057',82.08,1,3,NULL),(20,5269334,'1991-02-21 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124241241112141731346923442124610167142',NULL,'591',23.04,2,1,1),(20,5269342,'1992-06-30 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241115152731439633475114610137042',NULL,'271',24.28,1,3,NULL),(20,5269350,'1989-12-28 00:00:00',4,1,12,2007,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215273431658934592114610132147',9335,'270',59.36,1,3,NULL),(20,5269369,'1992-03-04 00:00:00',4,1,12,2009,'M','N','MORUMBI','S PAULO','SP','125242251217111431459814372122610138052',14521,'9998',49.19,1,3,NULL),(20,5269393,'1992-08-09 00:00:00',4,1,12,2009,'M','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241117161712326313172324610167047',NULL,'592',26.49,1,2,1),(20,5269407,'1989-11-30 00:00:00',2,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241237163431478933577122231462145',6405,'262',65.13,1,3,NULL),(20,5269415,'1992-08-27 00:00:00',4,1,12,2009,'F','N','CERQUEIRA CÉSAR','S PAULO','SP','125252251217111731255512572112610136092',NULL,'9998',0.00,1,3,NULL),(20,5269423,'1991-03-20 00:00:00',4,5,12,2008,'F','N','FLORESTA','PTO ALEGRE','RS','120062061217471431358713574115610164072',NULL,'9998',0.00,1,3,NULL),(20,5269431,'1986-09-19 00:00:00',2,1,12,2004,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124094097436472731346823375114133268181',1930,'9998',77.17,4,3,NULL),(20,5269458,'1990-08-11 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215373411466712272124610136181',3159,'1022',71.25,1,3,NULL),(20,5269466,'1987-07-17 00:00:00',4,4,12,2004,'M','N','COQUEIRAL','CASCAVEL','PR','116163161215572751576619592122610127042',1815,'9998',77.54,1,3,NULL),(20,5269490,'1991-10-05 00:00:00',4,17,12,2008,'F','N','VILA NOVA','TRÊS BARRAS','SC','124244241215112431569511575112132963097',NULL,'515',27.99,1,3,NULL),(20,5269512,'1993-02-05 00:00:00',4,1,12,2009,'F','N','SÃO MIGUEL','CRUZ ALTA','RS','120201201117131751329829571324610164037',15896,'9998',44.65,1,2,1),(20,5269520,'1990-08-23 00:00:00',4,1,12,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241111473431537631575124233228142',6012,'739',65.30,4,3,NULL),(20,5269539,'1991-08-15 00:00:00',4,16,12,2008,'M','N','SÃO FRANCISCO','CURITIBANOS','SC','124241241115372431348719595112610137052',11432,'239',55.46,1,3,NULL),(20,5269555,'1992-07-11 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215122431356811572112610146197',NULL,'270',0.00,1,3,NULL),(20,5269563,'1992-11-01 00:00:00',2,1,12,2009,'M','N','ZONA DOIS','CIANORTE','PR','116162161215111431465512575122610132142',15555,'9998',44.09,1,3,NULL),(20,5269571,'1989-03-19 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241317132721436611445132610137042',NULL,'300',25.35,1,3,NULL),(20,5269580,'1991-11-07 00:00:00',4,3,11,2008,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201216471731468913591124610162047',NULL,'9998',0.00,1,3,NULL),(20,5269598,'1961-05-26 00:00:00',2,1,10,1980,'M','N','COLONINHA','FLORIANÓPOLIS','SC','424241243127144411223344342114120536047',NULL,'264',56.29,1,2,1),(20,5269601,'1992-07-28 00:00:00',2,15,12,2009,'F','N','GETULIO VARGAS','TORRES','RS','120202201215131421424621212121610168017',NULL,'9998',19.34,1,3,NULL),(20,5269610,'1992-02-29 00:00:00',2,15,12,2009,'F','N','PRAIA DA CAL','TORRES','RS','120202201215131431524431395121610163097',15049,'9998',44.19,1,3,NULL),(20,5269628,'1988-10-12 00:00:00',2,1,12,2006,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124241241122373431433314245124610132142',15373,'307',46.71,1,2,1),(20,5269636,'1991-09-29 00:00:00',4,1,11,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215152331236923575114610167057',NULL,'1048',33.70,1,3,NULL),(20,5269652,'1967-03-04 00:00:00',2,8,12,1992,'M','N','CENTRO','TRÊS MAIO','RS','120201203126371421223329185125343241167',NULL,'9998',50.06,1,3,NULL),(20,5269687,'1983-10-22 00:00:00',2,1,12,2008,'F','N','CENTRO','BIGUAÇU','SC','124241241117371411353354342341610143042',NULL,'65',24.16,1,2,1),(20,5269695,'1989-07-20 00:00:00',2,1,12,2006,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241117134231447613275114120323147',10844,'307',56.60,1,2,1),(20,5269709,'1990-02-19 00:00:00',2,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117152431436313575124610137117',13568,'306',51.23,1,2,1),(20,5269717,'1987-09-24 00:00:00',2,10,12,2005,'M','N','CAMACHO','JAGUARUNA','SC','124241241127131411643431345123132246142',NULL,'421',12.31,1,2,1),(20,5269725,'1989-11-19 00:00:00',4,1,12,2003,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241137273431323324345134610124143',12070,'946',54.24,1,2,1),(20,5269733,'1992-03-22 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115471331426611575122610162187',13173,'592',52.03,1,2,1),(20,5269741,'1993-01-14 00:00:00',4,3,10,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124162241215472431449911475125610142121',6167,'9997',63.75,1,3,NULL),(20,5269768,'1992-04-30 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241115141331434532145124610127057',NULL,'257',23.24,1,2,1),(20,5269776,'1992-04-11 00:00:00',4,4,12,2009,'F','N','BELA VISTA','CHAPECÓ','SC','124241241132131711426513395124610126177',NULL,'963',0.00,1,3,NULL),(20,5269784,'1986-08-29 00:00:00',2,1,11,2005,'F','N','JARDM FLORIANOPOLIS','S JOSÉ','SC','124201245142131421126444242134132765147',NULL,'69',20.00,1,2,1),(20,5269792,'1981-05-15 00:00:00',4,1,12,1998,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241281116152421366821485122332036142',NULL,'9998',0.00,1,3,NULL),(20,5269806,'1992-09-16 00:00:00',4,7,12,2009,'M','N','BELA VISTA','FRAIBURGO','SC','124241241137161731326621285114610164047',12146,'1135',50.72,1,2,1),(20,5269814,'1991-07-03 00:00:00',2,1,12,2008,'F','N','CENTRO','CIANORTE','PR','116162161216371431449812175114610164152',3261,'9998',71.10,1,3,NULL),(20,5269849,'1991-11-17 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124241241112131431536734572124610164142',NULL,'730',20.78,1,2,1),(20,5269857,'1991-02-15 00:00:00',2,10,11,2008,'F','N','CENTRO','TUBARÃO','SC','124241241117472431526833575122231537147',12718,'1034',51.04,1,2,1),(20,5269865,'1985-07-27 00:00:00',4,1,12,2005,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244241326373111433319175113610167185',NULL,'257',29.03,1,3,NULL),(20,5269873,'1992-12-22 00:00:00',4,4,12,2009,'M','N','IPIRANGA','MARMELEIRO','PR','116164161316371411346612182122610138142',9825,'9998',55.45,1,3,NULL),(20,5269881,'1991-04-25 00:00:00',4,2,12,2008,'M','N','CAPITAIS','TIMBÓ','SC','124241241211152411353627575122231066142',NULL,'1157',0.00,1,3,NULL),(20,5269903,'1991-05-06 00:00:00',2,1,12,2008,'F','N','CENTRO','BOA V BURICÁ','RS','120203201316471731449939575124610123182',NULL,'9998',22.20,1,3,NULL),(20,5269911,'1992-02-07 00:00:00',4,15,12,2008,'M','N','CENTRO','STA MARIA','RS','120202201217371431358832572344610127047',10793,'9998',52.89,1,3,NULL),(20,5269938,'1988-07-16 00:00:00',2,8,12,2005,'F','N','JARDIM SOPHIA','JOINVILLE','SC','124241241137131732434734272221610123055',NULL,'471',28.92,1,2,1),(20,5269954,'1991-10-31 00:00:00',4,1,12,2008,'M','N','NOVA OURINHOS','OURINHOS','SP','125252251211271631479931575114141464181',10886,'9998',56.51,4,3,NULL),(20,5269970,'1980-11-19 00:00:00',2,1,10,2002,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','624051057117473751237554342123610137117',12089,'9998',54.19,3,2,1),(20,5270014,'1990-10-05 00:00:00',4,1,12,2007,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124243241317473431338923442114610167027',11137,'1098',53.80,1,3,NULL),(20,5270022,'1993-01-25 00:00:00',2,7,12,2009,'M','N','CENTRO','PTE SERRADA','SC','124242242237151431445914275122610153042',NULL,'836',0.00,1,3,NULL),(20,5270030,'1992-03-23 00:00:00',4,8,10,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215121431469814575122610167127',3637,'1063',69.88,1,3,NULL),(20,5270049,'1992-09-09 00:00:00',2,10,11,2009,'M','N','SANTA CRUZ','TREZE MAIO','SC','124241241345111431633315571122610168177',15622,'806',45.79,1,3,NULL),(20,5270057,'1992-06-03 00:00:00',2,4,12,2009,'M','N','NOSSA SR APARECIDA','DOIS VIZINHOS','PR','116164161416271211348732575114610167057',5677,'9998',64.25,1,3,NULL),(20,5270065,'1991-01-09 00:00:00',2,1,12,2008,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124241241116372431326324572124610124142',14306,'288',46.96,1,2,1),(20,5270073,'1992-11-18 00:00:00',4,5,11,2009,'M','N','OPERARIA NOVA','CRICIÚMA','SC','124241248211111331469619593124610147042',NULL,'213',26.21,1,3,NULL),(20,5270081,'1992-07-02 00:00:00',4,10,12,2009,'F','N','VARGEM DO CEDRO','S MARTINHO','SC','124241241127161431426529475123610127057',NULL,'750',20.50,1,2,1),(20,5270090,'1985-10-01 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201124373711126844342124610163147',NULL,'9998',18.11,4,2,1),(20,5270103,'1991-12-30 00:00:00',4,1,12,2009,'F','N','PICANÇO','GUARULHOS','SP','125254251117271731437629572124610126022',1713,'9998',77.02,3,3,NULL),(20,5270120,'1991-09-16 00:00:00',4,1,12,2008,'F','N','MEDIANEIRA','CAXIAS SUL','RS','120202201216471431448514145124610144047',NULL,'9998',0.00,1,3,NULL),(20,5270138,'1991-04-02 00:00:00',4,8,11,2008,'F','N','BACACHERI','CURITIBA','PR','116161161115471431439639575124610164147',1192,'9998',79.82,1,2,1),(20,5270146,'1991-01-16 00:00:00',2,7,12,2009,'M','N','MORADA DO SOL','VIDEIRA','SC','124241246236371432334611475123610164057',NULL,'1080',15.53,1,3,NULL),(20,5270162,'1982-08-19 00:00:00',4,15,11,2000,'M','N','LAGOAO','ARARANGUÁ','SC','224251248127171421223354245234610162011',NULL,'29',23.12,1,3,NULL),(20,5270170,'1986-05-09 00:00:00',4,1,12,2004,'M','N','PRESIDENTE MÉDICI','RIBEIRÃO PRETO','SP','125252251237272411226812325124610164093',NULL,'9998',0.00,1,3,NULL),(20,5270189,'1989-05-25 00:00:00',2,4,12,2007,'M','N','CENTRO','STA MARIA','RS','120201201116571731321179575124610166192',5575,'9998',66.93,1,2,1),(20,5270200,'1991-01-24 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124243241117132711437437392124610167052',8702,'739',58.39,1,3,NULL),(20,5270219,'1991-03-13 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215474431349933574122123223142',843,'991',82.21,1,3,NULL),(20,5270227,'1970-11-26 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241121373431423344141244610147095',NULL,'281',27.80,1,2,1),(20,5270235,'1988-04-05 00:00:00',2,3,12,2005,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241117273411445923475122610124117',NULL,'405',23.59,1,2,1),(20,5270243,'1993-04-12 00:00:00',4,1,12,2010,'F','S','IPIRANGA','S JOSÉ','SC','124241241215111231326624245124610122142',NULL,'1118',28.95,1,3,NULL),(20,5270260,'1989-09-27 00:00:00',4,6,12,2006,'M','N','BARRA DO RIO','ITAJAÍ','SC','124242241215574431547624275124231444142',772,'388',82.71,1,3,NULL),(20,5270286,'1992-06-03 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115371431526734572344610132017',NULL,'281',24.66,1,2,1),(20,5270294,'1992-05-03 00:00:00',2,1,12,2009,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241225131431528619575124610125052',NULL,'262',30.32,1,3,NULL),(20,5270308,'1988-11-26 00:00:00',4,1,12,2005,'M','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124241241214374431546611572124221467115',5289,'266',65.85,1,3,NULL),(20,5270316,'1989-05-02 00:00:00',4,1,12,2006,'M','N','SOARES','CACHOEIRA SUL','RS','120202201211471231436812272111610164047',534,'9998',84.34,1,3,NULL),(20,5270332,'1993-06-10 00:00:00',2,16,12,2010,'M','S','BOSQUE','CURITIBANOS','SC','124242241215111751333614195122610167047',NULL,'881',42.10,1,3,NULL),(20,5270359,'1991-08-30 00:00:00',2,1,12,2008,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241115372421423311245234610138097',9371,'712',58.70,1,2,1),(20,5270367,'1990-01-15 00:00:00',4,1,11,2007,'M','N','APARECIDA','SANTOS','SP','125252251217111131249913485114140214024',NULL,'9998',28.04,1,3,NULL),(20,5270383,'1989-02-25 00:00:00',2,1,8,2007,'F','N','KOBRASOL','S JOSÉ','SC','124241241117373431336623345114130235097',11264,'739',55.78,1,2,1),(20,5270391,'1986-09-16 00:00:00',2,1,12,2003,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241116375431549519475114610122187',7120,'307',62.69,1,3,NULL),(20,5270405,'1992-06-19 00:00:00',4,2,11,2009,'F','N','CENTRO','BENEDITO NOVO','SC','124243241236111431344623575122610163142',10358,'1157',53.64,1,3,NULL),(20,5270413,'1991-07-26 00:00:00',4,1,12,2008,'F','N','JD DAS AMERICAS','CUIABÁ','MT','111072071216471431579911575122610162047',NULL,'9998',0.00,1,3,NULL),(20,5270421,'1973-09-01 00:00:00',2,15,12,2003,'M','N','COLONINHA','ARARANGUÁ','SC','624243246127131431525441112322610127045',NULL,'9999',4.50,4,3,NULL),(20,5270448,'1991-08-17 00:00:00',4,8,12,2008,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124244241215371731569634575122610167147',7970,'932',61.89,1,3,NULL),(20,5270456,'1992-08-29 00:00:00',4,8,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241215122441459934575114610162192',10521,'1026',57.20,1,3,NULL),(20,5270464,'1992-10-03 00:00:00',4,1,12,2010,'M','S','CAMPECHE','FLORIANÓPOLIS','SC','124243241217171712339714195124610162185',NULL,'270',30.37,1,3,NULL),(20,5270472,'1993-01-16 00:00:00',4,4,12,2009,'M','N','ANTAS','MONDAÍ','SC','124241241132161431228634575125610128197',11467,'564',52.54,1,2,1),(20,5270480,'1992-10-01 00:00:00',4,1,11,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241215111731456619272122610127045',NULL,'1074',27.77,1,3,NULL),(20,5270499,'1991-09-17 00:00:00',4,1,12,2009,'M','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124201241137471431624614172324610124097',11786,'65',52.96,1,2,1),(20,5270502,'1993-02-15 00:00:00',4,15,12,2009,'F','N','PINHEIRINHO DO MEIO','JACINTO MACHADO','SC','124241241116271531423416271224610166147',12411,'420',51.09,1,2,1),(20,5270510,'1991-08-17 00:00:00',4,1,12,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124242248216473431234634274124610164017',4078,'270',70.58,1,3,NULL),(20,5270529,'1992-01-07 00:00:00',4,1,12,2009,'F','N','CENTRO','JZ FORA','MG','113132131216111431336631575125610122197',NULL,'9998',0.00,1,3,NULL),(20,5270545,'1974-03-22 00:00:00',4,1,12,1991,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124202201217141431336849492234340261147',14162,'9998',50.05,1,3,NULL),(20,5270553,'1991-11-01 00:00:00',2,7,12,2009,'F','N','SAO VICENTE','HERVAL D OESTE','SC','124241243116271431433311335124610126197',12435,'341',50.74,1,2,1),(20,5270570,'1991-02-02 00:00:00',4,1,12,2008,'F','N','SANTA ISABEL','ÁGUAS MORNAS','SC','124241241112132431424435572224610117057',NULL,'978',23.96,1,2,1),(20,5270588,'1992-06-16 00:00:00',2,1,11,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241215111711426813583121610163147',16181,'1010',42.76,1,3,NULL),(20,5270596,'1990-07-16 00:00:00',2,6,12,2007,'M','N','ITAIPAVA','ITAJAÍ','SC','124241241122371731431314442211610137142',12956,'401',50.68,1,2,1),(20,5270600,'1989-05-19 00:00:00',2,5,12,2006,'F','N','CENTRO','CERRO G SUL','RS','120201201315571431336616571124610168187',NULL,'9998',62.33,1,3,NULL),(20,5270618,'1992-05-27 00:00:00',4,6,12,2009,'F','N','DOM BOSCO','ITAJAÍ','SC','124241248115271411316514275221610158047',NULL,'401',27.06,4,2,1),(20,5270626,'1992-07-13 00:00:00',4,1,12,2009,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241114111231333614142121610117082',NULL,'772',14.02,1,3,NULL),(20,5270634,'1986-06-03 00:00:00',4,15,12,2003,'M','N','COLONINHA','ARARANGUÁ','SC','124241241136272431436813145121610134117',NULL,'29',25.43,1,2,1),(20,5270650,'1987-02-03 00:00:00',2,16,12,2004,'M','N','MACIERA','FRAIBURGO','SC','124241241142131431633419242124231427052',NULL,'314',0.00,4,2,1),(20,5270669,'1992-07-12 00:00:00',4,1,12,2009,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241125131431623331272224610111147',NULL,'727',0.00,1,3,NULL),(20,5270677,'1990-01-01 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161161112131431443316442224141414042',NULL,'9998',28.29,1,2,1),(20,5270693,'1991-06-20 00:00:00',4,1,10,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241215372431468833475124610164012',673,'723',83.40,1,3,NULL),(20,5270707,'1987-10-21 00:00:00',2,1,12,2004,'F','N','RIO BRANCO','PTO ALEGRE','RS','120202208217571441337823591114610133127',8021,'9998',60.67,1,3,NULL),(20,5270715,'1992-12-27 00:00:00',2,15,12,2009,'F','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124243241115131731233923375112610167045',NULL,'1033',25.54,4,3,NULL),(20,5270723,'1991-12-18 00:00:00',2,1,12,2008,'M','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124241241115472431533311575124610122051',NULL,'733',22.48,1,2,1),(20,5270740,'1989-02-12 00:00:00',2,1,12,2007,'F','N','SANTA ISABEL','ÁGUAS MORNAS','SC','124241241132473432424435442224610117057',NULL,'12',25.03,1,2,1),(20,5270774,'1991-08-23 00:00:00',4,5,12,2008,'F','N','VILA SUZANA','CANELA','RS','120202201216471431457739575124610128097',3974,'9998',67.72,4,3,NULL),(20,5270782,'1992-04-08 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124243241215111231469912472122610125096',NULL,'944',15.59,1,3,NULL),(20,5270790,'1989-10-15 01:00:00',2,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241112473431323539582124610127047',11657,'298',53.06,1,2,1),(20,5270804,'1992-10-15 00:00:00',4,1,12,2009,'F','N','TATUAPE','S PAULO','SP','125252251216151441356931575122610137077',NULL,'9998',0.00,1,3,NULL),(20,5270812,'1987-01-14 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241115372431576513446234610164147',10832,'307',55.24,1,3,NULL),(20,5270820,'1992-01-31 00:00:00',2,1,12,2009,'F','N','BELA VISTA I','S JOSÉ','SC','124242241437141431333479272124610123142',NULL,'257',22.22,1,3,NULL),(20,5270839,'1990-04-21 00:00:00',4,9,12,2007,'M','N','SAGRADO C DE JESUS','LAGES','SC','124241241216152431456752445112233238097',10365,'497',57.49,1,3,NULL),(20,5270847,'1992-10-28 00:00:00',4,1,12,2009,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241216111731334833335114610128042',15384,'1118',44.02,1,3,NULL),(20,5270871,'1968-09-14 00:00:00',4,15,10,2009,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','224241247121131431333144242343610117047',NULL,'9999',24.01,1,2,1),(20,5270880,'1990-12-17 00:00:00',4,1,12,2008,'M','N','CAMPOLIM','SOROCABA','SP','125252251211471331489914571112610127047',NULL,'9998',29.05,1,3,NULL),(20,5270898,'1992-05-25 00:00:00',2,8,12,2008,'M','N','ADHEMAR GARCIA','JOINVILLE','SC','124141241316131722443664345124610138194',15562,'467',46.04,1,3,NULL),(20,5270901,'1990-01-24 00:00:00',2,1,12,2007,'F','N','CENTRO','S MARTINHO','RS','120203201216471411456413431122143231072',NULL,'9998',0.00,1,3,NULL),(20,5270910,'1993-06-12 00:00:00',2,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215112431558731571122610123142',13027,'723',51.48,1,3,NULL),(20,5270928,'1991-01-15 00:00:00',2,5,11,2007,'F','N','CENTRO','NOVA VENEZA','SC','124244241215513431525412472124610127142',7497,'226',61.62,1,3,NULL),(20,5270936,'1991-09-11 00:00:00',2,5,7,2009,'M','N','OURO NEGRO','FORQUILHINHA','SC','124241246214111431456314345122610154062',NULL,'995',25.80,1,3,NULL),(20,5270944,'1991-07-04 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241226372331221219345124610111142',12970,'262',50.59,1,3,NULL),(20,5270960,'1992-05-11 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217113411569613575122610164182',3178,'270',72.68,1,3,NULL),(20,5270979,'1989-12-01 00:00:00',2,15,12,2009,'M','N','PRAIA DA CAL','TORRES','RS','120201201215131732313327171323610128057',NULL,'9998',20.39,2,3,NULL),(20,5270987,'1991-02-23 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212472431646669342114610143187',NULL,'259',40.10,1,3,NULL),(20,5271002,'1990-07-12 00:00:00',4,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241116132431435819395132133211047',NULL,'405',20.94,1,2,1),(20,5271029,'1991-09-13 00:00:00',2,5,12,2008,'M','N','SANTA ISABEL','FORQUILHINHA','SC','124242246217271731338813345134610147052',NULL,'995',27.35,1,3,NULL),(20,5271037,'1992-08-18 00:00:00',4,6,11,2009,'M','N','CAMPO BELO','S PAULO','SP','125252251217151431456831575112610162012',NULL,'9998',0.00,1,3,NULL),(20,5271053,'1992-05-04 00:00:00',2,6,12,2009,'F','N','SÃO VICENTE','ITAJAÍ','SC','124241241615131411223979575124610118117',NULL,'388',18.59,1,3,NULL),(20,5271061,'1993-01-11 00:00:00',2,16,12,2009,'M','N','SÃO JOSÉ','CURITIBANOS','SC','124241244135141751535611296215610118087',NULL,'239',24.55,1,3,NULL),(20,5271070,'1979-02-07 00:00:00',2,1,12,2008,'F','N','PACHECO','PALHOÇA','SC','624241247127161711323151112123610147183',NULL,'9999',15.30,1,2,1),(20,5271088,'1991-08-27 00:00:00',4,1,12,2008,'F','N','CENTRO','VERANÓPOLIS','RS','120202201215372411436612315124610144097',5438,'9998',64.50,1,3,NULL),(20,5271096,'1992-01-27 00:00:00',4,10,11,2009,'M','N','STO ANTONIO DE PADUA','TUBARÃO','SC','124242241215111431469913495122610134042',15323,'807',46.85,1,3,NULL),(20,5271100,'1993-10-22 00:00:00',2,15,12,2010,'F','S','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124242241215111431336634582122610131117',NULL,'32',26.97,1,3,NULL),(20,5271118,'1992-10-04 00:00:00',4,5,11,2009,'F','N','JARDIM ANGÉLICA','CRICIÚMA','SC','124242248215111431536612575122610134017',NULL,'995',0.00,1,3,NULL),(20,5271126,'1992-10-24 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241116131431435819375122610111077',NULL,'405',22.60,1,2,1),(20,5271134,'1992-04-03 00:00:00',2,5,11,2009,'F','N','JARDIM ITALIA','MELEIRO','SC','124244241215111332426814576214610162117',NULL,'32',0.00,4,3,NULL),(20,5271150,'1991-01-15 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241417472431466836272124610127042',11567,'9999',54.20,1,3,NULL),(20,5271169,'1989-09-11 00:00:00',4,3,12,2006,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124242241216373531338823135112121567147',5381,'855',66.98,1,3,NULL),(20,5271185,'1988-12-10 00:00:00',2,3,12,2006,'M','N','UNIVERSITARIO','TIJUCAS','SC','124241248136372731453311345332610147112',NULL,'783',38.19,3,2,1),(20,5271193,'1991-12-03 00:00:00',4,2,11,2009,'M','N','GASPAR MIRIM','GASPAR','SC','124242241215111432558923476222610128092',954,'71',81.28,1,3,NULL),(20,5271207,'1990-04-23 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241117133431525614345234610122142',NULL,'307',23.48,2,1,1),(20,5271215,'1989-06-21 00:00:00',2,7,11,2006,'F','N','MORADA DO SOL','VIDEIRA','SC','124242241215271431468832375125131337092',7885,'969',62.05,1,3,NULL),(20,5271223,'1992-11-29 00:00:00',4,4,12,2009,'F','N','CENTRO','IPUMIRIM','SC','124243241216121431368732575122610147052',NULL,'1047',0.00,1,3,NULL),(20,5271231,'1989-04-28 00:00:00',2,8,12,2006,'M','N','BOM RETIRO','CURITIBA','PR','116222221214511411668713571122240245017',967,'9998',80.94,1,3,NULL),(20,5271240,'1991-07-24 00:00:00',4,7,12,2009,'M','N','FLORESTA','VIDEIRA','SC','124241241116151731436634245123610117052',NULL,'831',23.44,1,2,1),(20,5271258,'1992-12-04 00:00:00',2,10,12,2009,'M','N','CABEÇUDA','LAGUNA','SC','124241246216171431446939575124610127062',13340,'1120',48.68,1,3,NULL),(20,5271266,'1990-08-31 00:00:00',4,8,11,2008,'F','N','BOQUEIRÃO','CURITIBA','PR','116162161215571431466611574122610126177',470,'9998',84.85,1,3,NULL),(20,5271274,'1992-11-13 00:00:00',2,17,12,2009,'F','N','JOSÉ DRESSENO','ITAIÓPOLIS','SC','124241241142141331524534281322610124147',NULL,'387',0.00,1,2,1),(20,5271282,'1992-10-07 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241136141431436639332124610127142',NULL,'257',23.89,1,2,1),(20,5271290,'1990-02-15 00:00:00',4,5,12,2007,'M','N','RIO SALTO','URUSSANGA','SC','124241241116131741443335375122131848142',10465,'821',54.79,1,2,1),(20,5271304,'1989-08-07 00:00:00',4,1,12,2006,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241137472431326624382324610127187',15941,'294',40.95,1,2,1),(20,5271320,'1992-04-30 00:00:00',4,8,12,2009,'M','N','CENTRO','BAL BARRA SUL','SC','124241241127131411227623195121610164037',13308,'41',51.73,1,2,1),(20,5271347,'1992-02-19 00:00:00',2,8,12,2009,'M','N','ENSEADA','S FRANCISCO SUL','SC','124243241217141431427312272124610167062',NULL,'1105',24.86,1,3,NULL),(20,5271355,'1990-11-24 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124251251136371431423624345124610127017',NULL,'9998',28.95,1,2,1),(20,5271363,'1986-09-17 00:00:00',2,8,12,2004,'M','N','BOM RETIRO','JOINVILLE','SC','124251251216133431437611385121231747112',16264,'9998',41.48,2,1,2),(20,5271371,'1990-02-14 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217473431469813192124230237042',3167,'262',71.25,1,3,NULL),(20,5271398,'1990-06-28 00:00:00',4,4,12,2007,'M','N','CENTRO','JARDINÓPOLIS','SC','124241242115573431466933474122610122052',4502,'8',67.63,1,2,1),(20,5271401,'1991-04-14 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241117373531334728575125610167147',NULL,'307',40.92,1,3,NULL),(20,5271410,'1991-05-10 00:00:00',2,1,12,2008,'F','N','AZALÉIA','PINHÃO','PR','116161161116171422223315345224142316177',NULL,'9998',0.00,4,3,NULL),(20,5271428,'1991-06-07 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','120201201116471731443829315125241223147',NULL,'9998',44.60,1,2,1),(20,5271436,'1992-04-05 00:00:00',4,6,12,2009,'F','N','TRINTA RÉIS','NOVA TRENTO','SC','124241241127131431433334342122610167147',NULL,'574',0.00,1,2,1),(20,5271444,'1991-08-30 00:00:00',2,1,12,2009,'F','N','PACHECOS','PALHOÇA','SC','124241241112371431523311575124610128182',14663,'592',45.39,1,2,1),(20,5271452,'1989-06-16 00:00:00',4,8,12,2006,'F','N','CENTRO','NOVA A COLINA','PR','116161161116572451449933572124610137097',4663,'9998',69.17,1,2,1),(20,5271460,'1991-12-13 00:00:00',2,1,11,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241117341411334623294222610143152',NULL,'734',18.50,1,2,1),(20,5271479,'1991-04-16 00:00:00',2,3,12,2008,'F','N','CENTRO','PRES GETÚLIO','SC','124241241114472421226621594112610136047',NULL,'644',35.99,1,2,1),(20,5271487,'1990-12-21 00:00:00',2,1,11,2008,'F','N','JARDIM DAS INDUSTRIA','S JOSÉ CAMPOS','SP','125254251415272211338814572122610167117',9515,'9998',56.86,1,3,NULL),(20,5271509,'1993-01-05 00:00:00',2,16,12,2009,'F','N','RONDINHA','PTE ALTA NORTE','SC','124241241115371431638611472124610136182',13897,'239',48.04,1,2,1),(20,5271517,'1989-02-10 00:00:00',4,1,12,2006,'M','N','SÃO MATEUS','JZ FORA','MG','113132131217271431446632342122130627112',12978,'9998',48.95,4,3,NULL),(20,5271533,'1992-02-13 00:00:00',4,4,11,2009,'F','N','JARDIN ITALIA','CHAPECÓ','SC','124241241135131431424363475122610152147',NULL,'169',36.43,1,3,NULL),(20,5271550,'1988-10-27 00:00:00',4,1,11,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216573431388811575122221467122',NULL,'270',17.59,1,3,NULL),(20,5271568,'1992-10-13 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124234241215272741459912312124610134057',NULL,'951',41.91,1,3,NULL),(20,5271576,'1988-08-03 00:00:00',2,8,12,2005,'F','N','GUAJUVIRA DE BAIXO','GUAJUVIRA','PR','116161161235573431456416334114610123072',NULL,'9998',0.00,1,3,NULL),(20,5271584,'1989-03-03 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124161161117151431226529395124241626177',NULL,'9998',26.17,1,2,1),(20,5271592,'1989-05-05 00:00:00',2,1,11,2006,'F','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','124244241112373731437619491224610164077',NULL,'465',28.55,1,3,NULL),(20,5271606,'1992-07-27 00:00:00',4,6,12,2009,'F','N','PRAIA BRAVA','ITAJAÍ','SC','124242241217132731539931393124610165117',13242,'394',48.85,1,3,NULL),(20,5271614,'1992-05-29 00:00:00',2,1,11,2009,'F','N','ALVORADA','FRANCISCO BELTRÃO','PR','116163161315371441423616575124610163147',NULL,'9998',0.00,1,3,NULL),(20,5271622,'1992-12-13 00:00:00',2,1,12,2009,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241116371431323321272124610121197',NULL,'21',30.18,1,2,1),(20,5271630,'1992-09-09 00:00:00',4,3,12,2009,'M','N','MORUMBI','APUCARANA','PR','116162161215371431478814175122610164187',NULL,'9998',0.00,1,3,NULL),(20,5271649,'1988-11-14 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124241241437163751328619482215610164127',NULL,'1076',43.36,1,3,NULL),(20,5271665,'1991-09-08 00:00:00',4,1,12,2008,'F','N','REAL PARQUE','S JOSÉ','SC','124241248611131531623334142324610125142',NULL,'416',21.96,2,3,NULL),(20,5271673,'1992-07-25 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241117141431673311115124610111041',NULL,'732',16.59,1,3,NULL),(20,5271681,'1991-10-05 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241515573431368814175124610134142',253,'1134',87.22,1,3,NULL),(20,5271690,'1992-05-25 00:00:00',4,1,12,2009,'F','N','CENTRO','VIDAL RAMOS','SC','124241241126231431436811585121610137052',NULL,'828',0.00,1,3,NULL),(20,5271703,'1990-11-08 00:00:00',4,3,11,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124244248215131731344623595124610167017',NULL,'44',22.53,1,3,NULL),(20,5271711,'1993-07-22 00:00:00',4,8,12,2010,'F','S','CENTRO','S BENTO SUL','SC','124241241217111411367832295122610153052',NULL,'974',24.88,1,3,NULL),(20,5271738,'1992-07-06 00:00:00',4,1,12,2009,'F','N','JARDIN AQUARIUS','PALHOÇA','SC','124243241315271731342323345224610122146',NULL,'592',23.24,1,3,NULL),(20,5271746,'1992-02-15 00:00:00',2,1,12,2009,'M','N','RATONES','FLORIANÓPOLIS','SC','124241241225271431436311245124610167147',9762,'262',57.61,1,3,NULL),(20,5271754,'1992-03-02 00:00:00',2,8,11,2009,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242248416471231458311575122610123147',NULL,'1174',19.13,1,3,NULL),(20,5271762,'1991-11-04 00:00:00',4,5,7,2009,'M','N','LOT MONTE CASTELO','CRICIÚMA','SC','124241248216131411538923145124610164062',NULL,'995',50.28,1,3,NULL),(20,5271770,'1992-09-22 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241217272431443612575124610164092',6833,'1119',64.18,1,3,NULL),(20,5271789,'1988-03-27 00:00:00',4,5,12,2005,'M','N','VILA NOVA','IÇARA','SC','124241246234141421444614445114610127043',NULL,'230',25.63,2,3,NULL),(20,5271797,'1984-12-15 00:00:00',2,1,12,2003,'M','N','BANDEIRANTES','BELO HORIZONTE','MG','113251131116271451336629445124342231182',12454,'9998',49.90,1,2,1),(20,5271800,'1992-07-29 00:00:00',2,1,12,2009,'M','N','FLORESTA','S JOSÉ','SC','124241243117142431464923575114610126182',14151,'739',50.07,1,2,1),(20,5271819,'1991-02-19 00:00:00',4,3,12,2008,'M','N','SÃO JOÃO','ARAPONGAS','PR','116162161215471411538833272112610117047',1004,'9998',81.23,1,3,NULL),(20,5271827,'1991-09-23 00:00:00',4,2,11,2009,'F','N','VELHA','BLUMENAU','SC','124242248216371431249422472124610131112',NULL,'1018',0.00,1,3,NULL),(20,5271835,'1990-04-21 00:00:00',4,1,12,2008,'M','N','CENTRO','S VICENTE','SP','125253251117471431528613385121610124182',NULL,'9998',0.00,1,3,NULL),(20,5271851,'1990-10-19 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241212273231448813575114231467111',8062,'262',59.01,1,3,NULL),(20,5271860,'1992-03-05 00:00:00',2,8,11,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241217111431566961575122610122147',8903,'486',57.58,1,3,NULL),(20,5271878,'1989-06-26 00:00:00',2,10,12,2006,'M','N','VILLAGE','IMBITUBA','SC','124241241317574431346639372114130314187',1179,'1034',80.36,1,3,NULL),(20,5271886,'1991-12-16 00:00:00',2,1,12,2008,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241116272731436413242134610128057',14534,'307',49.17,1,2,1),(20,5271894,'1989-04-28 00:00:00',4,1,11,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215273441456614575122221444092',5159,'807',67.93,1,3,NULL),(20,5271916,'1991-06-13 00:00:00',2,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215272431444629371124610167147',5055,'32',66.89,1,3,NULL),(20,5271924,'1992-03-03 00:00:00',4,9,12,2009,'M','N','CENTRO','LAGES','SC','124242241215111432468713372112610164142',NULL,'499',30.66,1,3,NULL),(20,5271932,'1993-04-14 00:00:00',2,1,11,2009,'F','N','CENTRO','PALHOÇA','SC','124242231215132431586632395114610163077',9884,'1011',58.40,1,3,NULL),(20,5271940,'1983-01-28 00:00:00',4,8,11,2001,'F','N','CENTRO','CORUPÁ','SC','124241241126471431443339241113610136142',NULL,'203',28.27,1,2,1),(20,5271959,'1989-04-27 00:00:00',4,1,12,2006,'F','N','PETROPOLIS','PTO ALEGRE','RS','120202201212571421358811571125610114182',NULL,'9998',0.00,1,3,NULL),(20,5271967,'1992-12-05 00:00:00',4,8,11,2009,'F','N','AMÉRICA','JOINVILLE','SC','124241241215131431338823572124610146092',4920,'461',67.32,1,3,NULL),(20,5271983,'1992-03-14 00:00:00',2,1,12,2009,'F','N','BELA VISTA','PALHOÇA','SC','124241241135271431324329372321610121022',13868,'591',47.56,1,2,1),(20,5271991,'1991-03-30 00:00:00',4,7,12,2008,'F','N','SAO JOAO','CAPINZAL','SC','124241241117131421215344345123610166057',NULL,'156',25.89,1,3,NULL),(20,5272009,'1992-02-27 00:00:00',4,1,12,2008,'F','N','CENTRO','VERÊ','PR','120162161211372231448831572112610127072',5807,'9998',66.44,1,3,NULL),(20,5272017,'1985-07-01 00:00:00',2,1,12,2002,'F','N','VERGUEIRO','PASSO FUNDO','RS','120201201116572431226624342114610163147',NULL,'9998',0.00,1,2,1),(20,5272025,'1989-12-07 00:00:00',2,9,12,2007,'F','N','CENTRO','S LEOPOLDO','RS','120202201211571431468814571122610146092',NULL,'9998',0.00,1,3,NULL),(20,5272033,'1981-08-19 00:00:00',4,1,12,1998,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224251256111132721438844141321321664187',6676,'9997',64.55,1,3,NULL),(20,5272041,'1991-10-09 00:00:00',4,8,12,2008,'M','N','CENTRO','ASSAÍ','PR','116161161115471231448814575114610134057',6983,'9998',62.03,3,2,1),(20,5272050,'1985-10-03 00:00:00',4,1,6,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243247316373431333634345124610132187',11504,'9999',55.33,1,3,NULL),(20,5272076,'1992-01-20 00:00:00',4,16,12,2009,'M','N','CENTRO','CURITIBANOS','SC','124241241117272431568833372122610127047',10259,'239',55.22,1,2,1),(20,5272084,'1993-02-12 00:00:00',4,2,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241117131431325829295125610122142',NULL,'49',14.56,2,2,1),(20,5272092,'1992-06-03 00:00:00',4,1,12,2009,'F','N','CAMPO DUNA','GAROPABA','SC','124241241115141431423311242222610124183',NULL,'1136',27.37,1,2,1),(20,5272106,'1986-12-16 00:00:00',4,2,7,2004,'F','N','NAÇOES','INDAIAL','SC','124243247326131431435611312222130814187',NULL,'9999',0.00,1,3,NULL),(20,5272114,'1991-07-22 00:00:00',4,1,12,2009,'F','N','SÃO FELIPE','AVARÉ','SP','125252251216111731329832472122610126147',NULL,'9998',0.00,1,3,NULL),(20,5272122,'1991-07-05 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241146371412337724245124610164171',15594,'733',45.91,1,3,NULL),(20,5272130,'1991-07-09 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241117161431636513375124610137115',NULL,'281',19.96,1,2,1),(20,5272157,'1989-11-27 00:00:00',4,1,12,2007,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','124243241215144431446623285124610131182',13304,'272',51.74,1,3,NULL),(20,5272165,'1987-07-31 00:00:00',4,1,12,2004,'M','N','PQ INTERLAGOS','S JOSÉ CAMPOS','SP','125251251217571431438723276224243222177',1891,'9998',77.29,4,3,NULL),(20,5272173,'1991-02-16 00:00:00',2,2,12,2008,'M','N','MARGEM ESQUERDA','TAIÓ','SC','124241241117131411636416592223610157042',NULL,'905',0.00,1,2,1),(20,5272181,'1992-09-20 00:00:00',2,1,12,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241115271411426619391124610127012',NULL,'733',23.29,1,2,1),(20,5272190,'1992-08-29 00:00:00',4,7,12,2009,'M','N','PARQUE JARDIM OURO','OURO','SC','124241241215161431333336575124610122092',11573,'155',51.05,1,3,NULL),(20,5272211,'1984-12-09 00:00:00',4,1,12,2001,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124244241116373431468833335123231037182',15900,'298',44.63,1,3,NULL),(20,5272220,'1987-03-18 00:00:00',2,9,12,2004,'M','N','CENTRO','CAXIAS SUL','RS','120202201216572411483914395124610137052',2392,'9998',74.95,1,3,NULL),(20,5272238,'1992-06-25 00:00:00',2,2,12,2009,'M','N','VILA GERMER','TIMBÓ','SC','124241241127161431433319575121610127052',13854,'870',46.74,1,3,NULL),(20,5272246,'1990-12-12 00:00:00',2,8,12,2008,'M','N','VILA ALTO DE SANTO A','STO ANDRÉ','SP','125252251116111431423729445124610127047',13980,'9998',50.44,1,3,NULL),(20,5272262,'1992-07-14 00:00:00',2,1,12,2009,'F','N','ARIRIÚ','PALHOÇA','SC','124242241217151431435313575124610123197',10013,'1175',55.60,1,3,NULL),(20,5272270,'1992-11-05 00:00:00',4,3,11,2009,'M','N','CENTRO','BRUSQUE','SC','124242241215111132448832575121610167182',9101,'109',59.77,1,3,NULL),(20,5272289,'1992-12-04 00:00:00',4,8,12,2009,'F','N','SANTA CRUZ','RIO JANEIRO','RJ','121162211216111431466924575122610124182',NULL,'9998',0.00,1,3,NULL),(20,5272327,'1990-07-10 00:00:00',4,3,12,2007,'F','N','VILA SAO JOSE','APUCARANA','PR','116162161215573431659933571112610165017',1436,'9998',79.14,1,3,NULL),(20,5272335,'1986-12-30 00:00:00',4,1,12,2006,'M','N','PINHEIRA','LAGUNA','SC','124241241127132431631414275124231467117',NULL,'595',25.06,2,1,1),(20,5272343,'1992-10-05 00:00:00',2,16,12,2009,'F','N','BRUNÓPOLIS','BRUNÓPOLIS','SC','124241241126271431416615585124610143147',NULL,'911',28.71,1,2,1),(20,5272351,'1992-02-16 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272431568813375114610167012',6234,'262',63.31,1,3,NULL),(20,5272360,'1985-05-31 00:00:00',4,1,12,2001,'M','N','BARREIROS','S JOSÉ','SC','224243241216375721669933342122133264017',7891,'1036',62.04,1,3,NULL),(20,5272386,'1991-07-09 00:00:00',2,1,12,2008,'F','N','CENTRO','CANOAS','RS','120202201216371732548311591115610134046',NULL,'9998',0.00,1,3,NULL),(20,5272394,'1990-04-30 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241112473431433511315124610164052',15156,'288',44.70,1,2,1),(20,5272408,'1988-12-30 00:00:00',2,8,12,2006,'F','N','CENTRO','PINHÃO','PR','116161161316572451558632571125610127092',NULL,'9998',0.00,1,3,NULL),(20,5272416,'1992-04-27 00:00:00',2,2,12,2009,'M','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124242241415271431455634575111610167182',NULL,'1123',51.79,1,3,NULL),(20,5272424,'1991-11-23 00:00:00',2,8,12,2008,'F','N','BOEHMERWALD','S BENTO SUL','SC','124241241137151411323329285124233216072',16083,'693',43.53,1,2,1),(20,5272432,'1991-10-03 00:00:00',2,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112431335522495124610128142',10198,'270',55.54,1,3,NULL),(20,5272440,'1992-01-11 00:00:00',4,9,12,2009,'F','N','CORAL','LAGES','SC','124241241115271431236614375124610146192',10922,'498',55.34,1,2,1),(20,5272459,'1991-03-23 00:00:00',2,10,12,2007,'F','N','MENINO DEUS','PTO ALEGRE','RS','120202201417571711238711175114610164147',NULL,'9998',0.00,1,3,NULL),(20,5272467,'1992-04-29 00:00:00',4,2,12,2009,'F','N','VORSTADT','BLUMENAU','SC','124242241216271431589912475122610144142',5829,'909',65.25,1,3,NULL),(20,5272475,'1992-04-22 00:00:00',4,1,12,2009,'M','N','ZONA SETE','MARINGÁ','PR','116162161215371431568717372112610137077',3527,'9998',71.81,1,3,NULL),(20,5272483,'1973-11-14 00:00:00',4,1,12,2004,'F','N','PICADAS DO SUL','S JOSÉ','SC','124244241127141421436631412122332764042',NULL,'736',19.32,1,3,NULL),(20,5272505,'1994-02-20 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215151731578832576112610138197',NULL,'262',46.46,1,3,NULL),(20,5272513,'1991-11-24 00:00:00',4,1,12,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124243241115111431356633431124610137042',14362,'271',47.55,1,3,NULL),(20,5272521,'1986-02-11 00:00:00',2,1,12,2002,'M','N','TAPERA','FLORIANÓPOLIS','SC','124201201122271411233344241314610145157',13638,'9998',51.07,1,2,1),(20,5272530,'1991-02-14 00:00:00',4,1,11,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124243241116472431426319375124610133187',15985,'257',42.16,1,3,NULL),(20,5272556,'1991-05-19 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241217372431458833575124231464042',1928,'270',76.79,1,3,NULL),(20,5272564,'1990-08-07 00:00:00',2,9,12,2007,'F','N','SÃO JOSÉ','S LEOPOLDO','RS','120202201216471431469939572124143142187',NULL,'9998',0.00,1,3,NULL),(20,5272572,'1991-11-12 00:00:00',4,4,12,2009,'F','N','CENTRO','ERECHIM','RS','120202201245121431366619395122610134155',NULL,'9998',16.44,4,3,NULL),(20,5272580,'1992-11-06 00:00:00',4,3,12,2009,'M','N','JARDIM CAMBURI','VITÓRIA','ES','108252081216111411359814575124610136127',1265,'9998',78.02,4,3,NULL),(20,5272599,'1992-05-08 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111731348713435122610164182',7719,'1038',62.39,1,3,NULL),(20,5272602,'1991-02-22 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117272431423314282124610127012',13456,'288',51.47,1,2,1),(20,5272610,'1989-06-12 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217474431446623572124231427047',5487,'751',67.13,1,3,NULL),(20,5272629,'1992-03-12 00:00:00',4,1,12,2009,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241125131431633513572324610128057',NULL,'731',24.21,1,2,1),(20,5272637,'1992-11-29 00:00:00',4,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116131511328729575124610122092',NULL,'285',21.63,1,2,1),(20,5272645,'1991-09-16 00:00:00',2,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241146372431323637385124610122142',8520,'322',60.05,4,2,1),(20,5272653,'1987-06-12 00:00:00',4,1,12,2006,'M','N','CENTRO','LONDRINA','PR','116164167336371431248839495125610132112',13328,'9998',50.25,1,3,NULL),(20,5272661,'1992-03-26 00:00:00',4,2,12,2009,'M','N','FORTALEZA','BLUMENAU','SC','124241241217111431436414475114610117047',10178,'1018',54.41,2,3,NULL),(20,5272670,'1989-02-27 00:00:00',2,1,11,2007,'M','N','JARDIM PAULISTA','PRES PRUDENTE','SP','125251257116131431338511391124610162047',NULL,'9998',27.33,4,1,1),(20,5272688,'1992-04-06 00:00:00',4,1,12,2009,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215271731238824575124610131197',4271,'299',69.32,1,3,NULL),(20,5272696,'1988-06-25 00:00:00',4,4,12,2005,'M','N','PLANALTO','BENTO GONÇALVES','RS','120202201216471431378812375122142467047',115,'9998',89.79,1,3,NULL),(20,5272700,'1989-12-16 00:00:00',4,3,12,2006,'F','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120242201215271431369831311114142435142',973,'9998',81.48,1,3,NULL),(20,5272718,'1993-06-25 00:00:00',4,1,11,2009,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','124244241215151431346726475122610162175',NULL,'1011',29.60,1,3,NULL),(20,5272726,'1992-03-01 00:00:00',4,8,12,2009,'F','N','IRIRIÚ','JOINVILLE','SC','124242248217151531489934575122610166142',NULL,'462',30.37,1,3,NULL),(20,5272734,'1984-09-25 00:00:00',4,1,7,2003,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241145133421525318392324610168187',NULL,'307',0.00,1,2,1),(20,5272742,'1992-08-05 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111432556514575124610134192',7352,'1022',60.36,1,3,NULL),(20,5272750,'1991-07-14 00:00:00',2,1,12,2008,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241225473441426321592224610117087',10491,'262',55.65,1,3,NULL),(20,5272769,'1992-04-15 00:00:00',4,6,12,2009,'M','N','CENTRO','ITAJAÍ','SC','124242241215151231458934575112610167047',13261,'1059',48.20,1,3,NULL),(20,5272777,'1989-07-03 00:00:00',2,5,12,2006,'F','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124241241135574431534414341122610121147',5968,'577',64.20,1,2,1),(20,5272785,'1992-04-20 00:00:00',4,1,12,2009,'M','N','CENTRO','CAXIAS SUL','RS','120202201417371441469739175115610166072',NULL,'9998',0.00,1,3,NULL),(20,5272793,'1993-04-29 00:00:00',2,9,12,2009,'F','N','SANTA HELENA','LAGES','SC','124244241215371431548613575122610134142',13712,'9997',48.22,1,3,NULL),(20,5272807,'1990-04-03 00:00:00',4,1,12,2007,'F','N','BROOKLIN PAULISTA','S PAULO','SP','125252251215571411458922572122610147077',1477,'9998',77.78,1,3,NULL),(20,5272815,'1968-09-09 00:00:00',2,1,12,2003,'M','N','FORQUILHAS','S JOSÉ','SC','224241245127131431323343232223132714192',NULL,'293',22.74,1,2,1),(20,5272823,'1992-03-23 00:00:00',4,1,12,2009,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241215132411668823572121610167052',5533,'948',67.03,1,3,NULL),(20,5272831,'1979-06-04 00:00:00',2,1,12,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241125472711223141212234610162183',NULL,'294',45.61,1,3,NULL),(20,5272840,'1992-02-15 00:00:00',2,15,12,2009,'M','N','JARDIM CIBELE','ARARANGUÁ','SC','124241241135141431425579295121610148042',NULL,'30',16.90,1,3,NULL),(20,5272858,'1992-02-27 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241437141441336319382124610144182',NULL,'736',24.78,1,3,NULL),(20,5272866,'1993-02-23 00:00:00',4,1,11,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124244241217151451358932575122610127072',NULL,'262',19.77,1,3,NULL),(20,5272874,'1992-08-12 00:00:00',2,15,12,2009,'F','N','CENTRO','TORRES','RS','120201201216151731426615572122610138187',NULL,'9998',0.00,1,3,NULL),(20,5272890,'1988-07-31 00:00:00',2,1,12,2005,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241117472431531329312224610124095',8873,'281',57.83,1,2,1),(20,5272904,'1988-12-02 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241317273731458833476124233234192',524,'306',84.40,4,3,NULL),(20,5272912,'1991-11-25 00:00:00',2,1,12,2008,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241116372431433434345124610137042',NULL,'591',21.37,1,2,1),(20,5272920,'1981-11-18 00:00:00',4,1,12,1999,'M','N','REBOUÇAS','CURITIBA','PR','116162161216573451358829285122343268097',NULL,'9998',0.00,4,3,NULL),(20,5272939,'1991-06-20 00:00:00',2,1,12,2008,'M','N','FORQUILHAS','S JOSÉ','SC','124241241112472431314329272324610126047',6337,'733',63.17,1,2,1),(20,5272947,'1971-12-13 00:00:00',2,1,11,1998,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241243121132421341344341132130226092',NULL,'277',24.84,1,3,NULL),(20,5272955,'1990-06-30 00:00:00',4,5,11,2007,'F','N','RIO BRANCO','PTO ALEGRE','RS','120202201215571431468834571122610124092',744,'9998',82.10,1,3,NULL),(20,5272963,'1990-11-13 00:00:00',2,9,12,2007,'F','N','RIO BRANCO','PTO ALEGRE','RS','120201201216471751433619291224610138057',2888,'9998',72.77,1,3,NULL),(20,5272971,'1992-05-10 00:00:00',2,6,12,2009,'M','N','CENTRO','BAL PIÇARRAS','SC','124242241215161431353322572122610122092',NULL,'389',0.00,1,3,NULL),(20,5272980,'1990-12-16 00:00:00',2,1,11,2007,'M','N','CACHOEIRA B JESUS','FLORIANÓPOLIS','SC','124153241116473431536634382214610134042',NULL,'288',28.47,1,3,NULL),(20,5272998,'1992-11-17 00:00:00',4,1,12,2009,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215111431468831145114610167047',445,'270',84.89,1,3,NULL),(20,5273005,'1992-10-28 00:00:00',4,4,12,2009,'M','N','CENTRO','CURITIBA','PR','116243161217111441479613435122610167052',2483,'9998',73.49,1,3,NULL),(20,5273013,'1990-06-04 00:00:00',2,1,12,2009,'F','N','BOM VIVER','BIGUAÇU','SC','124241248137141421636664432124610135147',NULL,'257',17.87,1,2,1),(20,5273021,'1988-08-20 00:00:00',2,8,12,2005,'M','N','CIDADE NAUTICA','S VICENTE','SP','125251251146572441346619575114610167117',NULL,'9998',0.00,1,2,1),(20,5273030,'1992-04-16 00:00:00',4,8,12,2009,'F','N','ORFAS','PNT GROSSA','PR','116162161216111431349823572122610145197',1995,'9998',74.91,1,3,NULL),(20,5273048,'1989-04-02 00:00:00',4,8,12,2005,'M','N','JARDIM ITÁLIA','CUIABÁ','MT','111223161216571731558939575124242464017',NULL,'9998',0.00,1,3,NULL),(20,5273056,'1991-10-08 00:00:00',2,8,12,2008,'M','N','RIO FEIO','STA MARIA OESTE','PR','116161161117161411433416292122610137047',NULL,'9998',0.00,1,2,1),(20,5273064,'1993-05-20 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215111431326624572124610134097',NULL,'1022',22.60,1,3,NULL),(20,5273080,'1991-10-05 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241215152431536933575124231417042',7556,'499',62.70,1,3,NULL),(20,5273099,'1982-12-09 00:00:00',4,1,12,2001,'M','N','JARDIM ATLÂNCICO','FLORIANÓPOLIS','SC','124241241141131431113364481334610118041',NULL,'715',19.29,1,2,1),(20,5273102,'1992-07-03 00:00:00',4,2,12,2009,'F','N','RIO MORTO','INDAIAL','SC','124241241116161431234923572122610137057',NULL,'365',21.40,1,3,NULL),(20,5273129,'1990-02-03 00:00:00',2,1,12,2008,'F','N','MEDIANEIRA','PTO ALEGRE','RS','120201201117471131328819572324610161187',5813,'9998',64.78,4,2,1),(20,5273137,'1986-09-17 00:00:00',4,1,10,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124203207624131431333343232334610124097',NULL,'9998',0.00,2,1,2),(20,5273153,'1992-05-28 00:00:00',2,5,12,2009,'M','N','CARAVAGGIO','NOVA VENEZA','SC','124241241137131431546613145122610117067',NULL,'577',10.70,1,2,1),(20,5273161,'1990-10-23 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241117141432328664492124610128047',NULL,'307',27.90,1,3,NULL),(20,5273170,'1992-02-25 00:00:00',2,5,12,2008,'F','N','CENTRO','PTO ALEGRE','RS','120202201216371431468813571112610158147',NULL,'9998',0.00,1,3,NULL),(20,5273188,'1991-03-12 00:00:00',2,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241215132731346623572324610167117',3156,'270',72.53,1,3,NULL),(20,5273196,'1988-01-18 00:00:00',2,1,12,2005,'M','N','CENTRO','PETROLÂNDIA','SC','124241241126374431534411585122610167062',NULL,'613',35.87,1,2,1),(20,5273200,'1991-01-19 00:00:00',4,1,12,2008,'F','N','PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP','125251253217471431566614571124610135177',10411,'9998',55.65,1,3,NULL),(20,5273218,'1993-03-15 00:00:00',4,1,12,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241115152432679813577125610147015',680,'267',82.79,1,2,1),(20,5273226,'1986-09-10 00:00:00',2,3,12,2003,'F','N','CENTRO','SANTIAGO','RS','120203201216572431456615372124140421182',NULL,'9998',41.49,1,3,NULL),(20,5273234,'1984-07-23 00:00:00',2,1,11,2002,'F','N','MADRI','PALHOÇA','SC','124241243117133421423319491324122326022',NULL,'306',29.36,4,1,1),(20,5273242,'1992-05-22 00:00:00',4,8,12,2009,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241215111431577934575112610127042',16001,'1063',44.09,1,3,NULL),(20,5273269,'1992-03-16 00:00:00',3,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115271731346623572324610167107',8184,'267',61.17,1,2,1),(20,5273277,'1993-07-21 00:00:00',4,2,12,2010,'M','S','PONTA AGUDA','BLUMENAU','SC','124241241217111531325319595125610162187',NULL,'855',22.41,1,3,NULL),(20,5273285,'1990-03-03 00:00:00',2,4,12,2008,'F','N','ZÉ LULU','ASSIS CHATEAUBRIAND','PR','116161165116131431423315572121610127057',NULL,'9998',25.44,1,2,1),(20,5273293,'1990-09-01 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252061216272411668834575124221431192',1073,'9998',80.61,1,3,NULL),(20,5273307,'1992-02-19 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112431569913572112610127107',6761,'1050',62.47,1,3,NULL),(20,5273331,'1990-04-29 00:00:00',4,8,12,2007,'M','N','GLÓRIA','JOINVILLE','SC','124242246217372431438813475124610122181',4346,'1105',69.92,1,3,NULL),(20,5273340,'1991-05-02 00:00:00',2,1,12,2009,'M','N','POÇO FUNDO','STO AMARO IMPERATRIZ','SC','124243241436373431469613375114610167052',8284,'12',59.19,1,3,NULL),(20,5273358,'1983-05-16 00:00:00',2,1,12,2001,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241136133711133643332234610124182',NULL,'669',0.00,1,2,1),(20,5273366,'1992-04-27 00:00:00',4,1,12,2009,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241225111411433334272124610164142',NULL,'262',31.79,1,3,NULL),(20,5273374,'1986-10-15 00:00:00',4,1,12,2005,'F','N','CANAVIEIRAS','FLORIANÓPOLIS','SC','124241241136271441436329182214610126187',9754,'734',58.65,1,3,NULL),(20,5273382,'1992-08-20 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241116111231443312575124610136187',NULL,'1116',28.06,1,2,1),(20,5273390,'1993-04-06 00:00:00',4,2,12,2010,'F','S','CENTRO','POMERODE','SC','124242241215111431236923575114610123067',NULL,'855',46.68,1,3,NULL),(20,5273404,'1992-07-17 00:00:00',4,8,12,2009,'M','N','CENTRO','S BENTO SUL','SC','624244241236161432344322245122610128183',NULL,'1178',34.96,1,3,NULL),(20,5273412,'1992-08-16 00:00:00',4,8,11,2009,'F','N','GLORIA','JOINVILLE','SC','124242241217112411448932575112610113142',5094,'1063',67.23,1,3,NULL),(20,5273420,'1992-04-09 00:00:00',4,8,12,2009,'F','N','AVAÍ','GUARAMIRIM','SC','124242241215271431569914572112610164192',2890,'861',72.34,1,3,NULL),(20,5273439,'1991-06-17 00:00:00',2,15,7,2009,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241215371531559732475122610135146',NULL,'995',0.00,1,3,NULL),(20,5273447,'1992-03-17 00:00:00',2,8,12,2009,'M','N','JARDIM HANTSCHEL','RIO NEGRINHO','SC','124241241115271731436614395124610128052',11316,'669',55.67,1,2,1),(20,5273455,'1989-03-01 00:00:00',4,1,12,2006,'M','N','PANTANL','FLORIANÓPOLIS','SC','124251251116572451436621595124610141142',6253,'9998',64.27,1,2,1),(20,5273471,'1985-10-08 00:00:00',2,1,12,2002,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241241136235451114644341234130844147',15600,'315',42.09,1,2,1),(20,5273498,'1992-02-06 00:00:00',4,2,12,2009,'M','N','NAÇÕES','INDAIAL','SC','124244241415112431446619392124610167127',14987,'1157',44.98,1,3,NULL),(20,5273501,'1992-04-14 00:00:00',2,10,11,2009,'M','N','OFICINAS','TUBARÃO','SC','124242241212272431469924445121610137112',12936,'806',48.07,2,1,2),(20,5273510,'1990-11-02 00:00:00',4,8,12,2007,'M','N','ROCIO GRANDE','S FRANCISCO SUL','SC','124242241216573331556612575122610167041',32,'486',92.62,1,3,NULL),(20,5273528,'1987-10-28 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242161117373431138614442124140964045',9039,'9998',56.75,1,3,NULL),(20,5273536,'1990-12-24 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215273431448713382122133234172',11404,'403',55.51,1,3,NULL),(20,5273544,'1991-07-11 00:00:00',2,5,12,2008,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124241241117372431534314342112610162147',NULL,'577',51.11,1,2,1),(20,5273552,'1991-11-21 00:00:00',2,15,12,2009,'M','N','CENTRO','MARACAJÁ','SC','124241241145141431426315342321610127047',NULL,'550',23.47,1,2,1),(20,5273560,'1987-11-19 00:00:00',2,1,12,2005,'M','N','SERRARIAS','BIGUAÇU','SC','124241247226132431124649192324610118177',NULL,'63',38.39,1,3,NULL),(20,5273579,'1992-12-14 00:00:00',4,3,12,2009,'M','N','PRAIA DE ARMAÇÃO','PENHA','SC','124243242116131431423933575121610137062',NULL,'129',0.00,2,1,2),(20,5273587,'1990-08-14 00:00:00',4,1,12,2008,'M','N','VILA NOVA','PTO ALEGRE','RS','120202201137371431437823491124610167187',14338,'9998',46.03,1,3,NULL),(20,5273595,'1990-04-10 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241116132431236829342124233225042',14912,'307',48.13,5,3,NULL),(20,5273609,'1993-04-22 00:00:00',4,10,11,2009,'M','N','MAR GROSSO','LAGUNA','SC','124242241217111432448714475124610113142',9660,'807',55.26,1,3,NULL),(20,5273625,'1991-07-17 00:00:00',2,5,7,2009,'F','N','CEARÁ','CRICIÚMA','SC','124243246215271431226624441124610128142',12495,'995',51.64,1,3,NULL),(20,5273641,'1991-10-21 00:00:00',2,8,11,2009,'F','N','GUANABARA','JOINVILLE','SC','124241241215471451448619391122610137042',9449,'486',58.80,1,3,NULL),(20,5273668,'1981-01-17 00:00:00',4,1,12,1997,'M','N','BARAO GERALDO','CAMPINAS','SP','125201203127473441324643135132610168187',12099,'9998',51.66,1,2,1),(20,5273676,'1992-06-15 00:00:00',2,1,12,2009,'F','N','SÃO LUIZ','S JOSÉ','SC','124241241115141431438613442124610127147',NULL,'733',27.41,1,2,1),(20,5273684,'1989-05-25 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241137472431324414282124610137047',4828,'298',68.69,1,2,1),(20,5273692,'1990-12-19 00:00:00',2,16,12,2007,'M','N','BOM JESUS','CURITIBANOS','SC','124241241116573431435611575122223267142',8055,'239',58.91,1,2,1),(20,5273706,'1992-06-09 00:00:00',2,1,12,2009,'F','N','CENTRO','CANELINHA','SC','124241241115161511424939285123610167117',NULL,'142',0.00,1,2,1),(20,5273714,'1992-07-18 00:00:00',2,6,11,2009,'M','N','RESSACADA','ITAJAÍ','SC','124242241215111721336421395122610132145',NULL,'392',0.00,1,3,NULL),(20,5273722,'1990-08-03 00:00:00',4,8,12,2007,'M','N','CENTRO','MARUMBI','PR','116162161216571431358923574122610164197',2350,'9998',74.93,1,3,NULL),(20,5273730,'1987-11-03 00:00:00',2,10,12,2005,'F','N','LOMBA DO PINHEIRO','PTO ALEGRE','RS','120201202117131111535544442224342736093',NULL,'9998',31.49,1,2,1),(20,5273749,'1991-08-04 00:00:00',4,1,12,2008,'F','N','JD PAINEIRAS','CAMPINAS','SP','125252251216471731568811575122610164147',NULL,'9998',0.00,1,3,NULL),(20,5273765,'1993-08-11 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217111431538711575124610114187',NULL,'270',28.36,1,3,NULL),(20,5273781,'1990-09-06 00:00:00',2,1,12,2007,'F','N','JARDIM CIDADE','S JOSÉ','SC','124241241146471751233329276114610142187',NULL,'257',0.00,1,2,1),(20,5273790,'1991-10-04 00:00:00',2,1,12,2008,'M','N','FORQUILHAS','S JOSÉ','SC','124241241117331411324624571324610117045',16319,'727',39.80,1,2,1),(20,5273803,'1981-04-20 00:00:00',2,1,4,2003,'F','N','ARIRIU','PALHOÇA','SC','224241246136372411226344245134610144092',13462,'306',51.46,1,2,1),(20,5273811,'1988-12-23 00:00:00',2,1,12,2005,'F','N','GUAIANASES','S PAULO','SP','125251251136131441533373275124242535012',NULL,'9998',0.00,1,2,1),(20,5273838,'1989-09-04 00:00:00',4,1,12,2006,'F','N','TRISTEZA','PTO ALEGRE','RS','120202201216571751378823575124610146072',596,'9998',83.87,1,3,NULL),(20,5273846,'1990-10-31 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117133431326664386324610164142',8997,'278',58.73,1,2,1),(20,5273854,'1961-12-22 00:00:00',2,1,12,1982,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224241241122144751461353232122322268197',NULL,'307',20.17,1,3,NULL),(20,5273862,'1993-11-18 00:00:00',4,7,12,2010,'M','S','BOM JESUS','CAÇADOR','SC','124242241216131431339613575125610127047',NULL,'1124',48.83,1,3,NULL),(20,5273870,'1992-05-22 00:00:00',2,1,12,2008,'F','N','ARAÇATUBA','IMBITUBA','SC','124241241112373411436933582124221417177',6453,'361',64.03,1,2,1),(20,5273889,'1991-07-16 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241112471431333429295114610144141',NULL,'287',17.72,2,3,NULL),(20,5273897,'1984-10-06 00:00:00',4,1,12,2002,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124142141236143721328644445224140656183',13974,'9998',50.45,1,3,NULL),(20,5273900,'1993-04-08 00:00:00',2,4,12,2009,'F','N','CENTRO','CPO ERÊ','SC','124244161415111731146923575122610116177',NULL,'136',23.00,1,3,NULL),(20,5273919,'1988-07-10 00:00:00',2,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124251241126242721456413232112610134047',NULL,'283',28.56,1,2,1),(20,5273927,'1992-05-21 00:00:00',4,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241215111751456632322124610167142',NULL,'1023',27.64,1,3,NULL),(20,5273935,'1992-11-14 00:00:00',2,6,12,2009,'F','N','CENTRO','BAL PIÇARRAS','SC','124241241116131411439613435121610146017',15288,'614',44.17,1,2,1),(20,5273951,'1984-11-29 00:00:00',2,1,12,2002,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124251251117133441223641215114610135053',NULL,'9998',24.89,2,1,1),(20,5273960,'1992-08-17 00:00:00',4,1,11,2009,'M','N','CAMPESTRE','VIDAL RAMOS','SC','124241242116151711424636595224610137052',NULL,'662',29.23,1,3,NULL),(20,5273986,'1990-08-03 00:00:00',2,2,12,2008,'M','N','CENTRO','BRUSQUE','SC','124242241215473431279614572125610127052',1020,'107',80.80,1,3,NULL),(20,5273994,'1951-12-02 00:00:00',2,1,12,1974,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','424241248322151431233149292244333254147',15030,'27',47.77,1,3,NULL),(20,5274001,'1992-06-03 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215112431423339572124610128145',NULL,'988',26.32,1,3,NULL),(20,5274010,'1985-09-25 00:00:00',2,1,11,2002,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124202201116131431226654342324140268157',NULL,'9998',0.00,1,3,NULL),(20,5274028,'1988-01-08 00:00:00',2,1,12,2005,'M','N','PACHECOS','PALHOÇA','SC','124241241117373431626629345124610127147',5825,'65',64.46,2,1,1),(20,5274044,'1990-08-24 00:00:00',4,1,12,2007,'F','N','CENTRO','MOGI CRUZES','SP','125252251217571431449819571122610163147',8200,'9998',58.73,1,3,NULL),(20,5274052,'1974-04-13 00:00:00',4,1,12,1992,'M','N','BARREIROS','S JOSÉ','SC','124201201116131421125644445334130837097',NULL,'9998',0.00,1,2,1),(20,5274060,'1990-02-16 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162161116211111518542432111222024186',1007,'9998',81.26,1,3,NULL),(20,5274087,'1991-03-23 00:00:00',4,8,11,2008,'M','N','CJ SOL NASCENTE','ASSAÍ','PR','116162161216471441556632575122610167042',3054,'9998',71.48,3,3,NULL),(20,5274095,'1992-10-12 00:00:00',2,4,12,2009,'F','N','AGOSTINI','S MIGUEL OESTE','SC','124241241415131431426611375125610147142',NULL,'752',0.00,1,3,NULL),(20,5274109,'1991-12-13 00:00:00',2,15,11,2009,'F','N','IMIGRANTES','TURVO','SC','124241241141271411622611211324610137092',NULL,'814',27.12,1,3,NULL),(20,5274117,'1993-02-08 00:00:00',4,1,12,2010,'M','S','CENTRO','BIGUAÇU','SC','124242241212151431429733575124610137047',NULL,'1040',0.00,1,3,NULL),(20,5274125,'1992-11-29 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161241125371431423315572324610113075',13709,'298',47.96,3,2,1),(20,5274133,'1986-11-25 00:00:00',2,1,12,2004,'M','N','PACHECOS','PALHOÇA','SC','124241241137371431123344445124610122147',NULL,'592',27.72,1,2,1),(20,5274141,'1992-11-28 00:00:00',1,1,12,2009,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124241241117131411613335193324610123057',14145,'564',45.68,1,2,1),(20,5274150,'1991-06-01 00:00:00',4,1,12,2009,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124242241315111411249924576124610164187',6712,'267',62.83,1,3,NULL),(20,5274168,'1989-09-23 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241127271711123344145324610123177',NULL,'761',43.84,1,2,1),(20,5274176,'1971-09-07 00:00:00',2,1,12,1990,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224241243125575431463353282112610161093',NULL,'65',35.71,1,2,1),(20,5274184,'1991-11-06 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431365633471122610126172',1951,'270',77.07,1,3,NULL),(20,5274192,'1992-10-08 00:00:00',4,10,12,2009,'F','N','VILA NOVA','IMBITUBA','SC','124241241117131731425939292224610164182',NULL,'359',18.06,1,2,1),(20,5274206,'1992-04-14 00:00:00',2,1,12,2009,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241125131432326674342124610124142',NULL,'594',24.34,4,2,1),(20,5274214,'1993-06-04 00:00:00',2,9,11,2010,'F','S','JARDIM AMÉRICA','RIO SUL','SC','124244241217111411445632572122610124046',NULL,'991',45.21,1,3,NULL),(20,5274222,'1990-03-14 00:00:00',4,1,12,2007,'F','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120202201211571731448831591122610124053',7887,'9998',61.45,1,3,NULL),(20,5274249,'1988-09-03 00:00:00',2,1,11,2005,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241146474431334614485124610124042',NULL,'288',44.09,1,2,1),(20,5274257,'1991-01-30 00:00:00',2,7,12,2007,'F','N','CENTRO','JOAÇABA','SC','124242241212113431429913575124610164072',5958,'962',65.36,1,3,NULL),(20,5274265,'1992-01-27 00:00:00',2,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124241241115151411648661245125610168147',NULL,'239',24.94,1,3,NULL),(20,5274273,'1990-11-03 00:00:00',4,1,11,2008,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241117142431246667345124610137047',NULL,'257',26.69,1,2,1),(20,5274281,'1989-12-28 00:00:00',4,1,12,2007,'F','N','ALTO','PIRACICABA','SP','125252251215571441558811571122610163102',NULL,'9998',0.00,1,3,NULL),(20,5274290,'1990-07-28 00:00:00',4,9,12,2007,'F','N','JARDIM PANORÂMICO','LAGES','SC','124242241116472431438813574122133242147',9978,'498',56.08,1,3,NULL),(20,5274311,'1991-07-08 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241115141531226321342344610143147',NULL,'1116',15.76,1,2,1),(20,5274338,'1992-07-04 00:00:00',4,3,12,2009,'M','N','JD SAO SILVESTRE','MARINGÁ','PR','116162161216111431447832571124610164032',15001,'9998',45.90,1,3,NULL),(20,5274346,'1984-01-23 00:00:00',2,1,12,2002,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241127473411123527315224523036013',NULL,'465',0.00,1,3,NULL),(20,5274354,'1993-03-16 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217151431479933295112610136172',NULL,'883',44.67,1,3,NULL),(20,5274362,'1990-12-04 00:00:00',4,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124201201132131431336614245224610124092',NULL,'9998',26.77,1,2,1),(20,5274370,'1993-02-08 00:00:00',2,1,12,2010,'F','S','CENTRO','BIGUAÇU','SC','124242241212151431429733392124610132142',NULL,'1040',25.18,1,3,NULL),(20,5274389,'1989-03-16 00:00:00',4,8,12,2006,'F','N','COSTA E SILVA','JOINVILLE','SC','124162161416575431368833574124610166097',402,'9998',84.42,1,3,NULL),(20,5274397,'1991-02-03 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216134751446813572124220568147',10313,'738',57.59,1,3,NULL),(20,5274400,'1993-05-09 00:00:00',4,5,10,2009,'F','N','OPERÁRIA NOVA','CRICIÚMA','SC','124242241215111411438933572122610134112',14643,'213',48.87,2,3,NULL),(20,5274419,'1990-12-10 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241212473431465614372122610147052',1913,'262',77.21,1,3,NULL),(20,5274427,'1993-09-28 00:00:00',2,15,12,2009,'F','N','CIDADE ALTA','TURVO','SC','124241241116131731313629272121610154147',NULL,'814',0.00,1,3,NULL),(20,5274435,'1991-06-19 00:00:00',2,1,11,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201241126271311526644342314610124142',NULL,'290',9.38,4,2,1),(20,5274460,'1991-02-17 00:00:00',2,1,12,2008,'F','N','JOSE MENDES','FLORIANÓPOLIS','SC','124241241147372431426514341124610124117',NULL,'286',24.22,1,2,1),(20,5274478,'1992-06-04 00:00:00',4,1,11,2009,'M','N','MATA DA PRAIA','VITÓRIA','ES','108262081216171431357834572121610168182',NULL,'9998',38.65,1,3,NULL),(20,5274486,'1973-12-16 00:00:00',2,1,12,1991,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','224241248127372721431344242134610124197',NULL,'591',33.04,1,2,1),(20,5274494,'1991-03-15 00:00:00',4,1,12,2008,'F','N','JARDIM PAULISTA','PRES PRUDENTE','SP','125252251215471431348811575112610134055',1821,'9998',76.88,1,3,NULL),(20,5274508,'1993-07-02 00:00:00',4,5,10,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431568923272122610123117',NULL,'213',24.69,1,3,NULL),(20,5274516,'1984-08-09 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241247126375441223144245124133222187',14231,'9999',47.42,1,3,NULL),(20,5274524,'1988-12-22 00:00:00',2,1,12,2005,'F','N','CENTRO','STA MARIA','RS','120241241116471431533614572114610164192',NULL,'374',25.06,1,2,1),(20,5274532,'1991-12-26 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215113431366823572114610127047',2914,'1169',73.79,1,3,NULL),(20,5274559,'1991-06-26 00:00:00',2,15,12,2008,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241137131432626534392212610134147',16183,'29',42.73,1,2,1),(20,5274567,'1989-05-30 00:00:00',4,2,12,2006,'M','N','VELHA','BLUMENAU','SC','124242241216575431678623575124610112091',7775,'855',60.35,1,3,NULL),(20,5274575,'1992-04-09 00:00:00',2,6,11,2009,'F','N','CENTRO','ITAJAÍ','SC','124244241215271431436511411122610123077',NULL,'1172',0.00,1,3,NULL),(20,5274583,'1992-12-25 00:00:00',4,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115371431324514572122610134147',NULL,'592',0.00,1,2,1),(20,5274613,'1991-03-16 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116472731221379285224610127187',NULL,'293',42.76,1,2,1),(20,5274621,'1992-08-18 00:00:00',2,8,12,2009,'F','N','VILA SÃO JOÃO','IRATI','PR','116161161317471411356623575124610168142',4799,'9998',68.86,1,3,NULL),(20,5274630,'1991-10-10 00:00:00',4,9,12,2008,'F','N','NOVA PETROPOLIS','LAGES','SC','124242241215473411446611372122610168142',475,'499',84.79,1,3,NULL),(20,5274648,'1992-04-14 00:00:00',2,5,12,2009,'F','N','CENTRO','SIDERÓPOLIS','SC','124242248214161731435314342122610123142',NULL,'767',0.00,1,3,NULL),(20,5274656,'1991-11-19 00:00:00',2,1,12,2009,'M','N','RIO GRANDE','PALHOÇA','SC','124242241135371431523619296224610167052',10620,'307',55.03,1,3,NULL),(20,5274664,'1982-03-09 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241116132411346613372122610117175',NULL,'400',26.77,1,3,NULL),(20,5274672,'1988-05-02 00:00:00',2,1,12,2005,'F','N','CENTRO','STO CRISTO','RS','120202201216575431539813572324610127147',867,'9998',82.09,1,3,NULL),(20,5274680,'1990-11-29 00:00:00',4,1,12,2008,'F','N','BUENO','GOIÂNIA','GO','109092091215471411389811572112610122017',1804,'9998',77.21,1,3,NULL),(20,5274699,'1990-10-15 00:00:00',4,1,11,2009,'M','N','PALHOCINHA','GAROPABA','SC','624241241125161431523534245124610124197',NULL,'322',26.04,1,2,1),(20,5274710,'1991-12-29 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111751488913575122610143012',7396,'1169',62.82,1,3,NULL),(20,5274729,'1989-11-14 00:00:00',2,5,12,2007,'M','N','CENTRO','CRICIÚMA','SC','124242241211272211448831471114613261161',6068,'211',60.78,1,3,NULL),(20,5274737,'1991-03-11 00:00:00',4,1,11,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215372431688711572112230263192',225,'270',87.66,1,3,NULL),(20,5274745,'1991-08-22 00:00:00',4,1,11,2009,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124241241217112431449919472122510127047',7355,'1133',63.13,1,3,NULL),(20,5274753,'1992-07-12 00:00:00',4,8,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161211121431368813471112610133122',2986,'9998',73.27,1,3,NULL),(20,5274761,'1992-07-03 00:00:00',4,9,12,2009,'F','N','HABITAÇÃO','LAGES','SC','124241241116271431622615572321610115057',NULL,'935',17.99,1,2,1),(20,5274770,'1991-11-26 00:00:00',4,16,12,2008,'M','N','SÃO LUÍS','CURITIBANOS','SC','124241241117131731423564572314610134057',NULL,'239',17.81,1,2,1),(20,5274788,'1989-05-12 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126373411646933245125222568187',8192,'336',61.48,1,2,1),(20,5274796,'1991-04-02 00:00:00',4,4,12,2008,'M','N','MERCES','CURITIBA','PR','124162161216471431466932594124610137052',270,'9998',86.52,1,3,NULL),(20,5274800,'1988-05-10 00:00:00',4,1,12,2005,'M','N','ROÇADO','S JOSÉ','SC','124241241127132411224349295123610132042',NULL,'729',30.22,1,2,1),(20,5274818,'1992-06-30 00:00:00',4,1,11,2009,'F','N','LUXEMBURGO','BELO HORIZONTE','MG','113133131217111431533839572124610142092',2935,'9998',72.05,1,3,NULL),(20,5274834,'1990-02-02 00:00:00',4,7,12,2007,'F','N','BATEL','CURITIBA','PR','116241161216573431457612124122143223092',3945,'9998',69.76,1,3,NULL),(20,5274842,'1981-03-07 00:00:00',2,1,12,1999,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241336133431123448481334610112017',NULL,'963',19.58,1,3,NULL),(20,5274850,'1987-09-11 00:00:00',2,3,12,2005,'M','N','MOINHOS DE VENTOS','CANOAS','RS','120201201125371431536722385112610167052',NULL,'9998',0.00,1,2,1),(20,5274869,'1989-10-14 00:00:00',4,8,12,2006,'M','N','CENTRO','IRATI','PR','116161161416472441458613575124141464142',82,'9998',90.60,1,3,NULL),(20,5274877,'1991-07-18 00:00:00',2,10,12,2008,'F','N','CABEÇUDA','LAGUNA','SC','124241241117372731626379572224610137142',NULL,'523',0.00,2,3,NULL),(20,5274885,'1992-04-22 00:00:00',4,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241137161431334729495115610162182',14383,'285',49.52,1,3,NULL),(20,5274893,'1988-03-01 00:00:00',2,4,11,2006,'F','N','CENTRO','PASSO FUNDO','RS','120202201211574431478831571122610164042',6618,'9998',62.42,1,3,NULL),(20,5274907,'1987-11-09 00:00:00',2,1,12,2004,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241248127131431523319386124610143197',NULL,'727',0.00,1,2,1),(20,5274915,'1992-08-03 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124241241132161431223624275224610132097',NULL,'1116',10.92,4,2,1),(20,5274923,'1987-01-29 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201117152421226444445124610122147',NULL,'9998',41.84,1,3,NULL),(20,5274931,'1992-03-25 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216271431469619595122610134017',390,'262',85.52,1,3,NULL),(20,5274940,'1992-04-27 00:00:00',4,1,12,2009,'F','N','OLIVEIRA','LGA VERMELHA','RS','120204201217221732358819376114610168197',NULL,'9998',22.23,1,3,NULL),(20,5274958,'1988-10-09 00:00:00',2,9,12,2005,'M','N','SÃO PAULO','LAGES','SC','124241241117131431326633272124233137047',4779,'935',68.90,1,2,1),(20,5274974,'1992-01-29 00:00:00',4,3,12,2009,'M','N','ZONA SETE','MARINGÁ','PR','116162161215111441453933372122610117012',3900,'9998',69.72,1,3,NULL),(20,5274982,'1992-02-17 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431447631212112610137047',7726,'738',60.92,1,3,NULL),(20,5274990,'1991-01-29 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241415473411469811592112610143157',NULL,'270',19.37,1,3,NULL),(20,5275008,'1992-09-14 00:00:00',2,15,12,2009,'F','N','DIVINÉIA','ARARANGUÁ','SC','124243241116271431436814575122610122091',NULL,'30',31.50,1,3,NULL),(20,5275016,'1993-01-18 00:00:00',4,1,12,2009,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241115371431436613475124610134142',10228,'772',55.83,1,2,1),(20,5275024,'1992-02-11 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217121431466824575114610167057',1635,'1022',78.32,1,3,NULL),(20,5275032,'1988-12-14 00:00:00',2,5,11,2006,'F','N','CENTRO','CRICIÚMA','SC','124242241215573731346624575122610167182',8880,'226',57.29,1,3,NULL),(20,5275040,'1992-10-08 00:00:00',4,2,10,2009,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215272431456624572122610137042',8719,'855',58.75,1,3,NULL),(20,5275059,'1987-07-03 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241116373431328644342114610137067',9356,'307',55.82,1,3,NULL),(20,5275075,'1992-06-08 00:00:00',2,5,10,2009,'F','N','PIO CORREA','CRICIÚMA','SC','124242248215111751444432592122610114077',NULL,'226',27.98,1,3,NULL),(20,5275083,'1991-07-17 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241116373431448832342114610127097',2736,'271',74.06,1,3,NULL),(20,5275091,'1991-09-13 00:00:00',4,8,11,2009,'F','N','MORUMBI','S PAULO','SP','125252251217151731378832575112610164042',NULL,'9998',0.00,1,3,NULL),(20,5275105,'1992-03-18 00:00:00',2,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241216111221545923575114610128111',NULL,'1118',26.37,1,3,NULL),(20,5275113,'1990-05-21 00:00:00',4,1,12,2007,'F','N','RIO BRANCO','S LEOPOLDO','RS','120201201215471431536627575112610164092',NULL,'9998',0.00,1,3,NULL),(20,5275121,'1991-02-14 00:00:00',4,1,12,2009,'F','N','JARDIM GUADALUPE','OSASCO','SP','125252251217211431538314576124610161052',NULL,'9998',0.00,3,3,NULL),(20,5275130,'1992-07-09 00:00:00',4,1,11,2009,'F','N','VILA SÃO JOSÉ','ITAPETININGA','SP','125252251211111431479811575122610146142',NULL,'9998',0.00,1,3,NULL),(20,5275148,'1984-03-06 00:00:00',4,1,8,2003,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124251247414373421338679342214122326177',14097,'9999',50.18,1,3,NULL),(20,5275164,'1989-02-12 00:00:00',2,8,12,2006,'F','N','CENTRO','CASCAVEL','PR','116161161115131431446831275122610164092',2277,'9998',75.91,1,2,1),(20,5275172,'1992-01-21 00:00:00',2,1,11,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241217111432236629492122610168072',NULL,'270',18.90,1,3,NULL),(20,5275180,'1991-10-23 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431366679345124610162042',NULL,'1022',41.81,1,3,NULL),(20,5275199,'1993-02-20 00:00:00',4,3,12,2010,'M','S','MEIA PRAIA','ITAPEMA','SC','124242241215121431437739572124610162177',NULL,'9997',53.47,1,3,NULL),(20,5275202,'1992-10-23 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215271431578933292124610168092',6292,'738',64.01,1,3,NULL),(20,5275210,'1988-06-18 00:00:00',4,2,12,2005,'M','N','GARCIA','BLUMENAU','SC','124241241111271431533339345123610167057',NULL,'85',44.89,1,3,NULL),(20,5275229,'1987-02-10 00:00:00',2,1,12,2004,'M','N','ST ÂNTONIO DE LISBOA','FLORIANÓPOLIS','SC','124252251131474441118641315123130267052',14178,'9998',50.01,1,3,NULL),(20,5275245,'1990-03-29 00:00:00',2,1,12,2009,'M','N','MACACU','GAROPABA','SC','124241241125131731423419295324610114055',NULL,'322',0.00,1,3,NULL),(20,5275253,'1992-11-25 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431468731575112610164142',204,'262',87.89,1,3,NULL),(20,5275270,'1991-11-05 00:00:00',4,1,12,2009,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215113531489911575112610164092',533,'270',84.34,1,3,NULL),(20,5275288,'1992-03-23 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112431477814595112610168077',NULL,'270',28.96,1,3,NULL),(20,5275296,'1990-06-21 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','120214211416472421548779442325610124147',2940,'9998',73.70,1,3,NULL),(20,5275300,'1992-04-02 00:00:00',4,1,12,2009,'M','N','JARDIM ESPLANADA','PRES PRUDENTE','SP','125252251417141431269833245121610167042',NULL,'9998',0.00,1,3,NULL),(20,5275318,'1989-02-20 00:00:00',2,1,12,2006,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124244248212374431346979332234133227041',5769,'1018',64.14,1,3,NULL),(20,5275334,'1992-11-04 00:00:00',2,1,11,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124241241115131431524414292124610134147',12071,'734',51.44,1,3,NULL),(20,5275342,'1991-12-12 00:00:00',4,4,12,2009,'F','N','SAO MIGUEL','FRANCISCO BELTRÃO','PR','116161168116471711526929585121610163142',NULL,'9998',27.24,1,2,1),(20,5275350,'1990-09-25 00:00:00',4,10,12,2008,'M','N','CENTRO','JACAREZINHO','PR','116161161415372431568913575124610134047',4315,'9998',69.03,1,3,NULL),(20,5275369,'1992-12-15 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215271412259933576124610167047',4867,'262',67.65,1,3,NULL),(20,5275377,'1978-01-09 00:00:00',2,8,12,1995,'F','N','CENTRO','PNT GROSSA','PR','216131131215571431253553375122610132042',5048,'9998',68.19,4,3,NULL),(20,5275385,'1991-05-15 00:00:00',2,8,12,2008,'F','N','SITIO CERCADO','CURITIBA','PR','116161161116571431323515175114610164147',NULL,'9998',0.00,1,2,1),(20,5275393,'1987-05-26 00:00:00',2,1,12,2004,'M','N','KOBRASOL','S JOSÉ','SC','124242241211575431447624445124230867051',NULL,'737',27.13,1,3,NULL),(20,5275407,'1990-12-16 00:00:00',4,8,12,2007,'F','N','PILARZINHO','CURITIBA','PR','116162161215571431468934572112610166017',2984,'9998',73.57,1,3,NULL),(20,5275415,'1992-07-06 00:00:00',4,1,11,2009,'F','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124244241417131431463619376112610125197',8598,'63',58.63,1,3,NULL),(20,5275423,'1984-08-08 00:00:00',2,4,12,2003,'M','N','CENTRO','XAVANTINA','SC','124241242416142441333631285124131464092',NULL,'836',32.28,1,3,NULL),(20,5275431,'1992-03-10 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215112431338811475122610123187',3462,'738',72.22,1,3,NULL),(20,5275440,'1988-02-13 00:00:00',4,1,12,2005,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241136244431434334345224233224052',15433,'298',46.53,4,2,1),(20,5275458,'1988-03-09 00:00:00',4,8,12,2005,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124241241122271731333314282122610167057',14660,'890',48.84,1,2,1),(20,5275466,'1987-08-18 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124122121217132421126644245123121466027',NULL,'9998',0.00,1,3,NULL),(20,5275474,'1992-04-16 00:00:00',2,1,12,2009,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241115371531325414575124610164147',NULL,'257',41.31,1,2,1),(20,5275482,'1986-09-28 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241111135411423324482324610144187',NULL,'257',25.53,2,1,1),(20,5275490,'1988-01-12 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216374431457913595123233221073',NULL,'262',NULL,1,3,NULL),(20,5275504,'1990-06-12 00:00:00',2,8,12,2007,'F','N','UVARANAS','PNT GROSSA','PR','116162161215571731178679575112610115192',NULL,'9998',0.00,1,3,NULL),(20,5275512,'1992-08-11 00:00:00',2,2,11,2009,'M','N','TRINTA REIS','NOVA TRENTO','SC','124241241136141431435331115114610167047',NULL,'84',29.32,1,2,1),(20,5275520,'1991-01-01 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124244241117271431335514345124610114143',NULL,'257',19.27,1,3,NULL),(20,5275539,'1992-08-16 00:00:00',4,1,11,2009,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241216471431569931571122610168095',1014,'270',81.25,1,3,NULL),(20,5275547,'1992-08-16 00:00:00',2,1,12,2009,'F','N','CACHOEIRA DO BJ','FLORIANÓPOLIS','SC','124241241115471431326614572124610136147',15955,'307',41.35,1,2,1),(20,5275555,'1992-07-06 00:00:00',4,1,11,2009,'M','N','CENTRO','QUEDAS IGUAÇU','PR','116164161415111531468812585112610164062',11243,'9998',51.97,1,3,NULL),(20,5275563,'1992-10-08 00:00:00',2,9,12,2009,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124244241415111431439814572122610136142',NULL,'9997',25.56,1,3,NULL),(20,5275571,'1991-11-06 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241145131421426634382224610133192',NULL,'283',23.37,1,2,1),(20,5275580,'1987-09-18 00:00:00',4,1,12,2005,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124242241215575431466811412122230234192',7436,'262',62.93,1,3,NULL),(20,5275598,'1984-11-30 00:00:00',2,1,12,2002,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241116373411426944245121120932057',12658,'808',53.02,1,3,NULL),(20,5275610,'1991-09-24 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241212272431648773145124610166062',5927,'9997',66.17,1,3,NULL),(20,5275628,'1989-01-07 00:00:00',2,1,12,2007,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124201201127471731224544441334610131147',NULL,'9998',49.68,1,3,NULL),(20,5275636,'1992-11-07 00:00:00',4,1,12,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241225111431426624242334610167042',1389,'262',78.27,1,3,NULL),(20,5275644,'1986-11-12 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','224201201146141721523344145334610126182',NULL,'9998',29.50,1,2,1),(20,5275660,'1987-05-05 00:00:00',2,3,7,2005,'M','N','CENTRO','BOMBINHAS','SC','124241241121161432333322242113610114041',NULL,'96',27.87,1,3,NULL),(20,5275687,'1991-07-10 00:00:00',4,1,12,2008,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241115272431436624345124610164072',16148,'733',43.07,1,2,1),(20,5275695,'1991-03-07 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241417152431336621392124231467055',8913,'1022',60.13,1,3,NULL),(20,5275709,'1991-07-19 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115271731113249492124610117047',NULL,'16',21.55,1,2,1),(20,5275725,'1990-12-01 00:00:00',4,9,12,2007,'M','N','SANTA CLARA','LAGES','SC','124241241116271411343313475124610126187',NULL,'935',25.47,4,2,1),(20,5275733,'1975-09-23 00:00:00',4,1,12,1993,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241211114431223844442324121427047',6544,'663',64.82,1,3,NULL),(20,5275741,'1991-06-25 00:00:00',4,1,12,2009,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124243241222111431323321572324610167042',13941,'262',48.37,1,3,NULL),(20,5275750,'1993-02-11 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241212111431449613432112610162055',NULL,'262',29.02,1,3,NULL),(20,5275776,'1983-02-15 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241412374431467913485124122344182',889,'226',81.95,1,3,NULL),(20,5275784,'1990-08-07 00:00:00',4,1,12,2007,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251217471431456919575124610127091',NULL,'9998',0.00,4,3,NULL),(20,5275792,'1991-05-06 00:00:00',2,8,12,2008,'M','N','SACOMÃ','S PAULO','SP','125252251137141331336822395125610127047',NULL,'9998',0.00,1,3,NULL),(20,5275806,'1990-04-19 00:00:00',4,8,12,2009,'M','N','CENTRO','VERA C OESTE','PR','116161161136371441532516174124610162167',3547,'9998',71.34,1,2,1),(20,5275814,'1991-04-20 00:00:00',2,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241242372421426434342124610132077',16038,'262',43.84,1,3,NULL),(20,5275822,'1990-04-23 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124212211217132431548811471224121764142',6372,'9998',63.38,4,3,NULL),(20,5275830,'1992-07-02 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115471431329823575124610127047',NULL,'307',20.11,2,1,1),(20,5275849,'1994-01-13 00:00:00',4,7,11,2009,'F','N','CENTRO','JOAÇABA','SC','124242241217111431458839572122610127122',NULL,'446',26.18,1,3,NULL),(20,5275857,'1990-11-04 00:00:00',1,8,12,2007,'M','N','RESTINGA','MAFRA','SC','124241241115171431524535355122610157047',NULL,'542',23.50,1,2,1),(20,5275873,'1991-11-04 00:00:00',4,3,12,2008,'M','N','FANNY','CURITIBA','PR','116162161217371431459833475122141462117',5647,'9998',65.83,1,3,NULL),(20,5275881,'1973-08-15 00:00:00',2,1,12,1984,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241122135431224344142124610138097',NULL,'840',25.21,1,2,1),(20,5275911,'1987-07-05 00:00:00',2,15,12,2004,'F','N','FLORESTA','PTO ALEGRE','RS','120201201111132221113335491124610132127',15107,'9998',44.36,1,2,1),(20,5275920,'1992-03-28 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215113511358812595122610113097',9223,'1022',58.27,1,3,NULL),(20,5275938,'1991-08-12 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117151432537631575114610135085',14769,'9997',46.22,1,2,1),(20,5275946,'1991-09-10 00:00:00',4,5,11,2008,'F','N','MICHEL','CRICIÚMA','SC','124242241216271431548938575122243263041',11703,'210',54.93,1,3,NULL),(20,5275954,'1987-01-04 00:00:00',2,1,12,2005,'F','N','AREIAS','S JOSÉ','SC','124073071146374731236674445124232167057',NULL,'9998',26.72,4,3,NULL),(20,5275962,'1991-02-24 00:00:00',4,10,12,2008,'M','N','CENTRO','RIO FORTUNA','SC','124241241116162711446619585124610134142',10853,'665',53.81,1,2,1),(20,5275970,'1992-02-28 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111432326719472125610127057',12383,'1022',50.67,1,3,NULL),(20,5275989,'1991-10-04 00:00:00',4,1,11,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215112431358813572112610137042',15350,'270',43.05,1,3,NULL),(20,5275997,'1991-09-18 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215372431458911575112610164143',7394,'270',63.04,1,3,NULL),(20,5276004,'1991-08-09 00:00:00',2,15,11,2008,'F','N','POLÍCIA RODOVIÁRIA','ARARANGUÁ','SC','124241241117232411523634585124610148052',NULL,'30',0.00,1,2,1),(20,5276012,'1991-12-13 00:00:00',2,4,12,2008,'M','N','CENTRO','CAMPOS NOVOS','SC','124242241212471411456933385124610147044',NULL,'138',25.88,1,3,NULL),(20,5276020,'1992-01-27 00:00:00',4,6,11,2009,'F','N','SÃO VICENTE','ITAJAÍ','SC','124241248117131732523329282321610165037',NULL,'9997',0.00,1,3,NULL),(20,5276039,'1992-08-21 00:00:00',2,8,12,2009,'F','N','NOVO MUNDO','CURITIBA','PR','616161161115411731425823572214610134117',NULL,'9998',0.00,1,2,1),(20,5276047,'1962-01-10 00:00:00',4,1,12,1974,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','524121126337131751328849295124340227042',NULL,'9998',43.53,1,3,NULL),(20,5276063,'1992-01-07 00:00:00',2,15,12,2009,'F','N','IGRA','TORRES','RS','120201201215131431337613575122610134187',NULL,'9998',21.40,4,3,NULL),(20,5276071,'1990-12-25 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115473411326614342114610162043',13800,'293',48.01,1,2,1),(20,5276098,'1990-12-03 00:00:00',4,5,12,2007,'M','N','CENTRO','PTO ALEGRE','RS','120202201215571411389933471124141066035',NULL,'9998',0.00,1,3,NULL),(20,5276101,'1992-07-31 00:00:00',4,8,12,2009,'M','N','BOM RETIRO','JOINVILLE','SC','124244241215131431347923575124610167043',NULL,'861',0.00,1,3,NULL),(20,5276110,'1993-01-12 00:00:00',2,5,12,2009,'F','N','DEMBOSKI','CRICIÚMA','SC','124241241115271711426514575124610127152',15452,'209',44.33,1,2,1),(20,5276128,'1992-08-06 00:00:00',4,2,12,2009,'F','N','CENTRO','RIO SUL','SC','124244241217131441236923571122610142147',9701,'654',57.08,1,3,NULL),(20,5276136,'1992-06-29 00:00:00',4,1,12,2009,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241117272211456633582124610167142',NULL,'307',25.36,1,2,1),(20,5276144,'1990-11-04 00:00:00',4,4,12,2007,'M','N','CENTRO','PINHALZINHO','SC','124243241216573431376612275122612446092',1401,'1070',78.28,1,3,NULL),(20,5276160,'1987-05-23 00:00:00',2,1,12,2004,'M','N','IPIRANGA','S JOSÉ','SC','124241241117153431226479395124230261197',NULL,'359',44.11,1,2,1),(20,5276179,'1987-08-20 00:00:00',4,1,12,2004,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241117472421444314342124610127097',NULL,'281',44.39,1,2,1),(20,5276187,'1990-08-27 00:00:00',4,8,12,2007,'M','N','ATIRADORES','JOINVILLE','SC','124242241217472421528914445125610167047',13852,'1063',50.65,1,3,NULL),(20,5276195,'1991-10-21 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSÉ','SC','124243241337212311548613591124613212177',1104,'723',80.57,1,3,NULL),(20,5276209,'1988-06-01 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124111111146272751126644145121140732182',NULL,'9998',14.98,4,2,1),(20,5276225,'1984-08-21 00:00:00',2,1,12,2001,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241136135421128944345124122914147',7800,'192',60.20,1,3,NULL),(20,5276233,'1992-12-06 00:00:00',2,7,12,2009,'M','N','SÃO VICENTE','HERVAL D OESTE','SC','124242241215111431448612572124610137123',14770,'446',45.95,1,3,NULL),(20,5276250,'1991-04-08 00:00:00',4,8,12,2008,'F','N','BOA VISTA','JOINVILLE','SC','124253241112371411336614346122610136142',NULL,'477',32.53,1,3,NULL),(20,5276268,'1991-03-28 00:00:00',4,10,7,2009,'F','N','DEHON','TUBARÃO','SC','124242247411131731333639291122610144072',NULL,'9999',20.30,4,3,NULL),(20,5276276,'1990-02-01 00:00:00',4,6,12,2007,'M','N','CENTRO','BRUSQUE','SC','124051058112321732122344442123610112147',NULL,'9998',25.96,4,2,1),(20,5276292,'1991-03-29 00:00:00',2,1,12,2008,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241217272431436513575124610167047',NULL,'1075',38.44,1,3,NULL),(20,5276306,'1991-05-15 00:00:00',4,4,12,2008,'M','N','CINQUENTENÁRIO','CONCÓRDIA','SC','124241241136272411458639375112610117057',10150,'192',57.88,1,3,NULL),(20,5276314,'1991-04-26 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215472431446613572112610123197',3138,'270',72.39,1,3,NULL),(20,5276322,'1993-04-02 00:00:00',4,1,11,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124243241217111231468613575124610165192',3048,'723',71.50,1,3,NULL),(20,5276330,'1987-01-14 00:00:00',2,1,12,2004,'F','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124202201217374431225744345114610164015',10486,'9998',57.26,1,3,NULL),(20,5276357,'1987-04-29 00:00:00',4,1,12,2004,'F','N','CENTRO','STA MARIA','RS','120202201216571431436639485124142664187',NULL,'9998',0.00,1,3,NULL),(20,5276365,'1989-06-27 00:00:00',2,1,6,2007,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241125131232326348182314610167097',NULL,'9999',37.65,1,2,1),(20,5276373,'1983-05-18 00:00:00',4,1,12,2000,'F','N','TERRA FRACA','PALHOÇA','SC','224241248137274431358654345122610124147',14127,'739',50.12,1,2,1),(20,5276381,'1992-09-30 00:00:00',4,2,12,2009,'F','N','TESTO CENTRAL ALTO','POMERODE','SC','124241241315151411326624575124610162184',NULL,'621',19.75,1,3,NULL),(20,5276390,'1991-08-07 00:00:00',4,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','124242241216472431348813574122610136177',3623,'185',71.39,1,3,NULL),(20,5276403,'1987-05-09 00:00:00',4,1,12,2006,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215473431448811572112133247111',2732,'299',74.33,1,3,NULL),(20,5276411,'1992-03-26 00:00:00',2,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124241241115471411324414572124610134187',15071,'592',46.73,1,2,1),(20,5276420,'1990-05-23 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241217273411356823125122230266177',3739,'1011',71.52,1,3,NULL),(20,5276438,'1992-03-22 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241117372431329928572124610122192',10704,'298',54.40,1,3,NULL),(20,5276446,'1990-02-17 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215373331336931482124610127147',8662,'270',59.64,1,3,NULL),(20,5276454,'1992-11-02 00:00:00',4,15,12,2009,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241115151431333414345121610167042',NULL,'30',27.76,1,2,1),(20,5276462,'1991-07-26 00:00:00',4,1,11,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241212272711446612585124610164172',1134,'226',80.13,1,3,NULL),(20,5276470,'1990-09-11 00:00:00',4,7,11,2007,'M','N','CENTRO','JOAÇABA','SC','124242241216474431558731175122131062187',7429,'454',59.94,1,3,NULL),(20,5276489,'1986-10-08 00:00:00',2,1,12,2004,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124221221116131421213344442114610141147',NULL,'9998',19.63,4,2,1),(20,5276497,'1972-01-21 00:00:00',2,1,12,1989,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','524201203146271431423654282124142735047',14444,'9998',49.39,1,2,1),(20,5276519,'1990-09-17 00:00:00',2,1,11,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215142231266962492122231233194',11051,'270',56.19,1,3,NULL),(20,5276527,'1978-03-16 00:00:00',4,4,12,1997,'F','N','CENTRO','CHAPECÓ','SC','124244241212474721358914425122321428152',13479,'272',51.44,1,3,NULL),(20,5276543,'1991-03-25 00:00:00',4,1,12,2008,'F','N','SANTANA','RIO SUL','SC','124241241116151411249624575112610126192',NULL,'659',28.41,1,3,NULL),(20,5276560,'1989-01-20 00:00:00',2,5,12,2007,'M','N','MINA DO MATO','CRICIÚMA','SC','124241246214131721444314445124610134187',NULL,'995',24.74,1,3,NULL),(20,5276586,'1992-02-02 00:00:00',4,17,12,2009,'M','N','CAMPO DÁGUA VERDE','CANOINHAS','SC','124241241115371432213321412321610167047',NULL,'146',22.80,2,1,1),(20,5276594,'1980-01-24 00:00:00',2,1,6,2003,'M','N','BARREIROS','S JOSÉ','SC','124251257146131421126644345124610162097',NULL,'9998',18.93,1,3,NULL),(20,5276608,'1988-02-16 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241136553411435814472114610164042',NULL,'307',23.46,1,3,NULL),(20,5276616,'1991-05-06 00:00:00',4,7,11,2008,'M','N','FARROUPILHA','VIDEIRA','SC','124241241127372411549814245112610126172',4981,'831',66.60,1,2,1),(20,5276624,'1992-01-20 00:00:00',2,1,12,2009,'M','N','VILA OLINDA','CPO GRANDE','MS','112122121215311631368933575122610167057',NULL,'9998',0.00,1,3,NULL),(20,5276632,'1992-05-27 00:00:00',4,5,12,2009,'M','N','VILA FRANCA','FORQUILHINHA','SC','124241241116271431434414575124610167042',4890,'310',66.45,1,3,NULL),(20,5276640,'1990-04-25 00:00:00',4,1,12,2007,'M','N','CENTRO','LAGES','SC','124242241212473421558613575122610167187',223,'1146',87.66,1,3,NULL),(20,5276659,'1981-08-19 00:00:00',2,1,12,2009,'F','N','JARDIM DAS ACÁCIAS','S JOSÉ','SC','124241247136372441224648385124610124097',14001,'9999',50.39,1,2,1),(20,5276667,'1989-02-10 00:00:00',2,1,12,2006,'F','N','VILA IPIRANGA','CPO GRANDE','MS','112121121216471431433612575124610124142',NULL,'9998',27.72,4,3,NULL),(20,5276683,'1988-06-30 00:00:00',2,9,12,2006,'M','N','CENTRO','LAGES','SC','124241241117131411534633315121143264017',14046,'935',50.30,1,3,NULL),(20,5276691,'1992-09-06 00:00:00',4,1,12,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241112471432456313372122610134067',2377,'732',75.29,4,2,1),(20,5276705,'1992-07-22 00:00:00',4,1,12,2009,'M','N','MAGALHÃES','LAGUNA','SC','124243241226111731636679375122610124192',NULL,'524',16.75,1,3,NULL),(20,5276713,'1955-11-24 00:00:00',2,3,8,2004,'F','N','MUNICIPIOS','BAL CAMBORIÚ','SC','524241247127141411111441216345133211187',NULL,'9999',24.04,1,2,1),(20,5276730,'1992-04-17 00:00:00',2,1,12,2009,'F','N','BELA VISTA I','S JOSÉ','SC','124242241417331531336323375124610114042',NULL,'257',0.00,4,3,NULL),(20,5276748,'1991-05-13 00:00:00',4,3,12,2008,'F','N','JARDIM HEDY','LONDRINA','PR','116251251126471431526619174114610126077',NULL,'9998',0.00,1,2,1),(20,5276756,'1990-01-12 00:00:00',4,1,6,2008,'F','N','BARREIROS','S JOSÉ','SC','124283281117472431548631315114610127027',9994,'9998',58.16,1,3,NULL),(20,5276764,'1990-03-23 00:00:00',4,2,12,2007,'F','N','VICTOR KONDER','BLUMENAU','SC','124241241215572751245869571124130634187',NULL,'88',0.00,1,3,NULL),(20,5276772,'1989-12-14 00:00:00',4,6,12,2008,'M','N','CENTRO','ITAJAÍ','SC','124242247127471731248923475122610122114',NULL,'9999',0.00,1,3,NULL),(20,5276780,'1991-09-28 00:00:00',4,1,12,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241216122431466912585124220767027',9245,'1022',59.53,1,3,NULL),(20,5276799,'1991-05-26 00:00:00',2,1,12,2008,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241116433231323531385114610124195',NULL,'1088',30.01,1,2,1),(20,5276802,'1989-11-20 00:00:00',2,8,12,2006,'F','N','JD VALE ARAUCÁRIAS','LONDRINA','PR','116162161212571421488911112122610112122',NULL,'9998',0.00,1,3,NULL),(20,5276810,'1989-05-01 00:00:00',2,1,12,2007,'F','N','ROÇADO','S JOSÉ','SC','124241241126271411124444245134130832142',NULL,'1005',40.38,4,2,1),(20,5276829,'1993-02-15 00:00:00',4,1,11,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215112431548714574122610144045',5191,'1133',67.86,1,3,NULL),(20,5276837,'1987-10-23 00:00:00',4,8,12,2005,'F','N','GUANABARA','JOINVILLE','SC','124244241316573431535833374224610134077',1146,'9997',80.52,2,3,NULL),(20,5276845,'1982-02-18 00:00:00',2,1,12,1999,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224241241126375431336643433132610164047',7766,'274',59.40,1,3,NULL),(20,5276853,'1992-04-06 00:00:00',4,8,11,2009,'F','N','AMIZADE','JARAGUÁ SUL','SC','116242161217471421579911571115610166172',NULL,'9998',0.00,1,3,NULL),(20,5276861,'1991-02-13 00:00:00',4,1,12,2008,'M','N','BOA VISTA','S JOSÉ R PRETO','SP','125252251215472431468811571122610118187',7865,'9998',58.38,1,3,NULL),(20,5276888,'1990-05-03 00:00:00',4,8,12,2007,'M','N','JARIVATUBA','JOINVILLE','SC','124241241116141421446414445122610168051',NULL,'467',27.08,1,2,1),(20,5276896,'1992-01-13 00:00:00',2,15,12,2009,'M','N','SANTANA','ERMO','SC','124241241126131632425316495124610132197',NULL,'250',18.85,1,2,1),(20,5276900,'1991-10-10 00:00:00',2,1,12,2008,'M','N','AGUA VERDE','CURITIBA','PR','116162161215572431456735162124610167092',2256,'9998',74.80,1,3,NULL),(20,5276926,'1991-01-08 00:00:00',4,8,12,2008,'M','N','VILA NALY','CAÇAPAVA','SP','125252256236371431348612575121610167053',4305,'9998',68.38,1,3,NULL),(20,5276934,'1988-04-20 00:00:00',2,1,12,2005,'F','N','IGARA','CANOAS','RS','120202201217571431658869571124610126047',NULL,'9998',0.00,1,3,NULL),(20,5276942,'1987-06-11 00:00:00',2,1,12,2004,'F','N','CALHEIROS','GOV CELSO RAMOS','SC','124241241146472431423314285124610121057',14082,'329',48.70,1,2,1),(20,5276950,'1986-04-08 00:00:00',2,1,2,2009,'M','N','SANTANA','RIO SUL','SC','124241247127131311129633495135231064047',NULL,'9999',27.56,2,1,1),(20,5276969,'1992-02-18 00:00:00',2,1,12,2008,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124244241216372431538634375122610131142',13791,'948',48.29,1,3,NULL),(20,5276977,'1985-02-11 00:00:00',2,8,12,2002,'F','N','CAPÃO DA IMBUIA','CURITIBA','PR','116161161116574731339833572124242962187',6656,'9998',63.68,1,2,1),(20,5276985,'1989-09-22 00:00:00',2,5,12,2006,'F','N','RAICHASKI','IÇARA','SC','124244241216155431334639384124223224192',6881,'995',61.30,1,3,NULL),(20,5276993,'1991-05-05 00:00:00',4,1,12,2008,'M','N','VILA PARIS','BELO HORIZONTE','MG','113092091216472731358814571112610167047',2284,'9998',75.71,4,3,NULL),(20,5277000,'1985-12-14 00:00:00',2,17,12,2003,'F','N','CAMPO DA ÁGUA VERDE','CANOINHAS','SC','124241241211412411479933591122610126181',1942,'1063',76.63,1,3,NULL),(20,5277019,'1990-08-19 00:00:00',2,4,12,2007,'F','N','CENTRO','PASSO FUNDO','RS','120241241417572431136622325334610168187',NULL,'752',0.00,1,3,NULL),(20,5277027,'1989-06-30 00:00:00',2,9,12,2006,'F','N','PADRE REUS','S LEOPOLDO','RS','120201201216571451446821575124610164182',NULL,'9998',30.43,1,3,NULL),(20,5277035,'1990-04-11 00:00:00',4,8,12,2007,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116164161217572751479614575124610162097',3492,'9998',70.80,1,3,NULL),(20,5277043,'1991-07-29 00:00:00',2,1,11,2008,'M','N','MONTE CASTELO','CPO GRANDE','MS','112122121217371431489711575122141467122',11419,'9998',55.48,1,3,NULL),(20,5277051,'1992-07-19 00:00:00',4,4,12,2009,'M','N','ZONA RURAL','PINHALZINHO','SC','124241241115131731536315572124610167142',11585,'1032',51.53,1,2,1),(20,5277060,'1991-06-28 00:00:00',4,4,12,2008,'F','N','JARDIM MENINO DEUS','CATANDUVAS','PR','116163161217471431436614575122610126177',957,'9998',81.57,1,3,NULL),(20,5277078,'1991-09-23 00:00:00',2,6,12,2009,'F','N','ANDORINHA','ITAPEMA','SC','124243241215411422223624592125610142191',NULL,'407',0.00,1,3,NULL),(20,5277086,'1992-03-23 00:00:00',4,4,12,2009,'F','N','CENTRO','NOVA ERECHIM','SC','124241241115271431346619575124610122187',NULL,'572',25.39,1,2,1),(20,5277094,'1991-06-29 00:00:00',4,4,12,2008,'F','N','CENTRO','STA MARIA','RS','120071071116471431669613572124610126187',8433,'9998',61.06,1,2,1),(20,5277108,'1992-04-14 00:00:00',2,1,12,2009,'M','N','ARIRIU FORMIGA','PALHOÇA','SC','124242241215112431555619575124610167042',10584,'1011',55.40,1,3,NULL),(20,5277116,'1992-12-30 00:00:00',2,1,12,2009,'F','N','ESTAÇÃO NOVA','RIO NEGRO','PR','116241161116131431327311212222610128012',NULL,'9998',24.02,1,3,NULL),(20,5277124,'1990-04-10 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124202201315473431366613475124610166197',3903,'9998',68.92,1,3,NULL),(20,5277159,'1988-05-11 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241312213311536613442114233217117',NULL,'270',24.54,1,3,NULL),(20,5277167,'1989-01-16 00:00:00',2,1,12,2006,'F','N','CAMOBI','STA MARIA','RS','120201201216572231343316561125610167097',10031,'9998',58.09,1,3,NULL),(20,5277175,'1988-06-27 00:00:00',2,15,12,2005,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241248122131431516823392141610127057',NULL,'31',16.00,1,2,1),(20,5277183,'1991-05-17 00:00:00',4,1,5,2009,'M','N','VILLAGE FLAMBOYANT','CUIABÁ','MT','111114281136271732657814585324610147047',8553,'9998',59.37,1,3,NULL),(20,5277191,'1982-07-23 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241127134731334623585112333222097',16297,'298',40.61,1,2,1),(20,5277221,'1985-01-18 00:00:00',2,1,3,2003,'F','N','FORQUILHAS','S JOSÉ','SC','124201241115374431127844445134610144143',12074,'306',53.83,1,2,1),(20,5277230,'1993-12-22 00:00:00',4,1,11,2010,'F','S','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215111411467634574122610143092',NULL,'1050',52.20,1,3,NULL),(20,5277248,'1992-01-26 00:00:00',2,4,12,2009,'F','N','SANTA TEREZINHA','PALMITINHO','RS','120201201117131431423629472344610136057',9509,'9998',56.94,1,3,NULL),(20,5277256,'1992-09-04 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241115131431633314376114610136047',NULL,'288',26.27,2,3,NULL),(20,5277264,'1992-11-10 00:00:00',4,1,12,2009,'M','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241115271731428811375122610127112',NULL,'307',24.98,1,2,1),(20,5277272,'1970-01-11 00:00:00',2,15,10,2001,'M','N','LAGOÃO','ARARANGUÁ','SC','224241243127131431413314285123610168047',NULL,'9999',24.62,1,3,NULL),(20,5277280,'1992-07-10 00:00:00',4,6,12,2009,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124242241215271431568633342112610124192',8591,'44',60.77,1,3,NULL),(20,5277302,'1991-06-06 00:00:00',4,1,11,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241248212111421445611342114613217042',NULL,'1074',20.40,1,3,NULL),(20,5277310,'1983-09-20 00:00:00',2,1,11,2007,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','224243247347271421524844245324610164047',16060,'9999',43.68,2,1,2),(20,5277337,'1991-02-10 00:00:00',2,8,12,2008,'F','N','ITINGA','JOINVILLE','SC','124241241116272431424623582124610137187',NULL,'472',21.02,2,1,1),(20,5277345,'1960-04-08 00:00:00',4,1,6,2002,'F','N','IPIRANGA','S JOSÉ','SC','524241247146173431325574482114610163187',NULL,'9999',0.00,4,2,1),(20,5277353,'1992-05-28 00:00:00',4,3,10,2009,'F','N','BOM RETIRO','CURITIBA','PR','116162161235121431348833575122610163092',11315,'9998',55.67,1,3,NULL),(20,5277361,'1988-07-10 00:00:00',2,1,12,2005,'M','N','SERRARIA','S JOSÉ','SC','124161161116371411223521345124610125147',NULL,'9998',0.00,1,2,1),(20,5277370,'1987-04-11 00:00:00',4,15,12,2004,'M','N','HIGIENÓPOLIS','PTO ALEGRE','RS','120202201217571441438717572124610132057',214,'9998',87.76,1,3,NULL),(20,5277388,'1992-10-28 00:00:00',4,2,12,2009,'M','N','CENTRO','JOSÉ BOITEUX','SC','124241242116131431336613575124610137147',9003,'662',55.05,1,2,1),(20,5277396,'1991-07-25 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124254241217372731528813572224230327161',NULL,'1022',0.00,1,3,NULL),(20,5277400,'1989-12-18 00:00:00',2,8,12,2007,'F','N','CENTRO','MARINGÁ','PR','116162161216411421447713445124610161187',NULL,'9998',34.57,1,3,NULL),(20,5277426,'1991-09-27 00:00:00',4,2,12,2008,'M','N','CENTRO','REALEZA','PR','116162161215471431559911575124610127037',NULL,'9998',0.00,1,3,NULL),(20,5277442,'1990-09-07 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215474431487912575122610147182',4160,'272',70.24,1,3,NULL),(20,5277450,'1989-04-08 00:00:00',4,1,12,2006,'F','N','LIBERDADE','S PAULO','SP','125252251215571431337714371122610122047',599,'9998',83.21,1,3,NULL),(20,5277469,'1985-11-14 00:00:00',2,1,12,2003,'F','N','IPIRANGA','S JOSÉ','SC','124241241127373421326644243124610163097',NULL,'729',26.76,1,2,1),(20,5277477,'1992-07-15 00:00:00',4,1,10,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241215121731468732572114610167187',8235,'269',60.66,1,3,NULL),(20,5277485,'1989-06-03 00:00:00',4,1,12,2006,'F','N','LIBERDADE','S PAULO','SP','125253251111571431116614341125610145147',1486,'9998',78.93,4,3,NULL),(20,5277493,'1992-06-15 00:00:00',4,2,12,2009,'M','N','VILA NOVA','BLUMENAU','SC','124242241216112431467933575111610167057',2788,'909',72.87,1,3,NULL),(20,5277507,'1992-01-19 00:00:00',2,1,12,2008,'F','N','TRÊS RIACHOS','BIGUAÇU','SC','124241241117272431433411172124232034047',NULL,'65',22.69,1,2,1),(20,5277515,'1990-01-28 00:00:00',4,16,12,2007,'F','N','CENTRO','CURITIBANOS','SC','124241241113141731536311392242610124127',NULL,'80',39.59,1,2,1),(20,5277523,'1986-02-15 00:00:00',2,1,12,2003,'F','N','CAMPINAS','S JOSÉ','SC','124241241116275731234629295114610165197',12199,'271',53.98,4,2,1),(20,5277540,'1991-07-11 00:00:00',4,1,12,2009,'F','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124242241215131431627638382122610121192',NULL,'63',29.56,1,3,NULL),(20,5277558,'1991-10-18 00:00:00',2,1,12,2009,'M','N','VARGEM DO BRAÇO','STO AMARO IMPERATRIZ','SC','124241241116371431323314572224610127047',NULL,'772',29.62,1,2,1),(20,5277566,'1992-01-26 00:00:00',4,3,12,2008,'M','N','CANTO GRANDE','BOMBINHAS','SC','124243241435473431448932145114610165087',5583,'1111',66.92,1,3,NULL),(20,5277574,'1992-08-17 00:00:00',4,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241137141321536621245124610134052',NULL,'733',31.19,1,2,1),(20,5277582,'1988-02-13 00:00:00',4,2,12,2005,'F','N','CAMPESTRE','STO ANDRÉ','SP','125252251211512431479912371122610148012',483,'9998',84.72,1,3,NULL),(20,5277590,'1990-05-19 00:00:00',4,1,12,2008,'F','N','SÃO LUIZ','S JOSÉ','SC','124241241116144431416314381324610121157',NULL,'729',37.12,1,3,NULL),(20,5277604,'1992-05-18 00:00:00',4,8,12,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215151221577634595115610137042',1143,'1174',80.53,1,3,NULL),(20,5277620,'1990-07-02 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124262261215573431579922395114610144092',3155,'9998',73.05,1,3,NULL),(20,5277639,'1991-12-26 00:00:00',4,1,12,2009,'M','N','ERMELINO MATARAZO','S PAULO','SP','125251251137131431338613116124610163042',NULL,'9998',26.45,1,2,1),(20,5277647,'1992-10-02 00:00:00',2,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124241241135111431423611342124610156147',NULL,'592',25.86,1,2,1),(20,5277655,'1990-06-29 00:00:00',4,3,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215572431469911492112610126097',6639,'9997',62.41,1,3,NULL),(20,5277663,'1982-06-09 00:00:00',2,1,12,1999,'M','N','JARDIM CARANDAI','BIGUAÇU','SC','624131131117575711438444242122141022187',NULL,'9998',41.49,1,2,1),(20,5277671,'1987-09-24 00:00:00',2,1,12,2004,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124164161317131451236644445114141664047',6998,'9998',60.56,1,3,NULL),(20,5277698,'1993-07-26 00:00:00',2,15,12,2010,'M','S','GARAPUVU','ERMO','SC','124241241215111231555316575124610167057',NULL,'32',43.20,1,3,NULL),(20,5277710,'1990-10-23 00:00:00',4,1,12,2008,'M','N','VILA MEDON','AMERICANA','SP','125252251217471441448811574121140942092',NULL,'9998',0.00,1,3,NULL),(20,5277744,'1991-01-18 00:00:00',2,3,12,2007,'M','N','CENTRO','BOMBINHAS','SC','124241241137131411436614145124233236182',NULL,'1089',0.00,1,2,1),(20,5277752,'1985-10-30 00:00:00',4,8,12,2004,'F','N','IRIRIÚ','JOINVILLE','SC','124241241117131431313329481224131064177',NULL,'469',26.04,1,2,1),(20,5277760,'1991-02-14 00:00:00',4,8,12,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124243241217131431228729582111610137047',NULL,'1061',41.47,1,3,NULL),(20,5277779,'1991-03-08 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241236112431456623575112610167062',6142,'270',65.10,1,3,NULL),(20,5277787,'1974-05-13 00:00:00',4,1,12,1991,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','524243241215454421338844341122321346142',9889,'272',58.39,4,3,NULL),(20,5277795,'1991-11-30 00:00:00',4,3,11,2009,'F','N','SEMINÁRIO','CURITIBA','PR','116162161217111431569921575112610167147',NULL,'9998',39.90,1,3,NULL),(20,5277809,'1991-11-25 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124244241415121431347831574124610162167',NULL,'723',56.82,1,3,NULL),(20,5277817,'1983-05-30 00:00:00',4,1,6,2007,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241247126472411223349395124610124187',NULL,'9999',29.93,1,2,1),(20,5277825,'1991-08-02 00:00:00',4,1,11,2008,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215372431479923575124121434182',551,'1022',84.20,1,3,NULL),(20,5277841,'1988-05-17 00:00:00',2,1,12,2006,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241217232431328714472124610131092',NULL,'272',0.00,1,3,NULL),(20,5277850,'1990-03-13 00:00:00',2,1,11,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116133431123319195124233237147',13453,'814',51.48,1,2,1),(20,5277868,'1988-04-25 00:00:00',2,8,12,2005,'F','N','CENTRO','APUCARANA','PR','116162161216571431457712575112610168197',8484,'9998',59.18,1,3,NULL),(20,5277876,'1989-06-24 00:00:00',2,1,12,2006,'F','N','PETROPOLIS','CAXIAS SUL','RS','120202201215472531638814385112142523187',NULL,'9998',0.00,1,3,NULL),(20,5277884,'1991-03-07 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124073071115472411434631575124610116193',NULL,'9998',28.56,4,3,NULL),(20,5277892,'1992-09-30 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241115141731436639395124610127047',NULL,'307',22.68,1,2,1),(20,5277906,'1991-12-22 00:00:00',2,1,11,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241212373431449613575124610167047',13847,'738',46.80,4,3,NULL),(20,5277914,'1986-10-04 00:00:00',2,1,12,2003,'F','N','PQ DA FIGUEIRA','PAULÍNIA','SP','125254251216574431557714375124133223092',NULL,'9998',0.00,1,3,NULL),(20,5277922,'1990-07-04 00:00:00',4,1,12,2007,'M','N','JD MARINGA','S JOSÉ CAMPOS','SP','125252251215573431278834574113610167122',1606,'9998',78.07,1,3,NULL),(20,5277930,'1991-04-16 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSÉ CAMPOS','SP','125252251215471731349811572112610137147',10747,'9998',53.31,1,3,NULL),(20,5277949,'1979-06-05 00:00:00',2,1,12,2003,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','224193197327131411223144443344610124047',NULL,'9998',21.41,4,3,NULL),(20,5277957,'1991-09-15 00:00:00',4,8,11,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','116242241216374231239914575124241462115',11015,'461',56.26,1,3,NULL),(20,5277965,'1980-07-20 00:00:00',2,1,12,1999,'M','N','BARREIROS','S JOSÉ','SC','624241246136132451435649395122220832042',11086,'739',52.51,4,1,1),(20,5277973,'1990-06-24 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431569813434112230243072',812,'270',82.39,1,3,NULL),(20,5277981,'1992-04-15 00:00:00',2,9,12,2009,'F','N','BATES','LAGES','SC','124241241112271431323319245124610124197',NULL,'498',23.08,1,2,1),(20,5277990,'1990-05-19 00:00:00',2,2,6,2008,'M','N','CENTRO','LAURO MÜLLER','SC','124242246215141441534833314131231454017',NULL,'230',24.53,1,3,NULL),(20,5278007,'1992-11-10 00:00:00',4,1,12,2009,'F','N','XAXIM','CURITIBA','PR','116162161215111731469934471124610136192',676,'9998',82.11,1,3,NULL),(20,5278023,'1989-09-02 00:00:00',2,1,11,2007,'F','N','ALTO DO PARQUE','LAJEADO','RS','120202201211571431449812371122143267072',NULL,'9998',0.00,1,3,NULL),(20,5278031,'1990-06-20 00:00:00',2,1,7,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117272731648813291124610167047',12519,'306',53.30,1,2,1),(20,5278058,'1988-07-15 00:00:00',4,6,12,2005,'F','N','CITY AMERICA','S PAULO','SP','125252251115472431248824315124142032142',4703,'9998',66.92,1,3,NULL),(20,5278066,'1989-11-16 00:00:00',2,1,12,2006,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241115274431436634442124610137087',15494,'307',43.05,1,2,1),(20,5278074,'1991-04-28 00:00:00',4,1,12,2008,'F','N','JARDIM LUTEFALLA','S CARLOS','SP','125252251215471431568832571112610162012',3437,'9998',69.63,1,3,NULL),(20,5278082,'1992-08-15 00:00:00',4,8,12,2009,'F','N','SAO LUIS','JARAGUÁ SUL','SC','124241241147141531216624295124610164147',NULL,'438',27.58,4,2,1),(20,5278090,'1987-08-06 00:00:00',2,1,12,2009,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124201247111141731128413245324610166187',NULL,'9999',39.67,1,2,1),(20,5278104,'1990-04-30 00:00:00',4,1,7,2007,'M','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125124121117471532478811575112610147042',1060,'9998',80.73,1,3,NULL),(20,5278112,'1992-06-14 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431466613572122610141112',NULL,'1118',28.88,1,3,NULL),(20,5278120,'1988-08-08 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','624243241126472431217749295124222226047',NULL,'290',51.39,1,3,NULL),(20,5278139,'1992-01-30 00:00:00',4,10,12,2009,'M','N','VILA ESPERANÇA','TUBARÃO','SC','124242241215121441239823575124610132092',222,'797',87.66,1,3,NULL),(20,5278147,'1984-10-01 00:00:00',4,1,12,2002,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124202201316272741346813495124130268057',9259,'9998',59.50,1,3,NULL),(20,5278155,'1990-04-19 00:00:00',4,1,10,2008,'M','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','324136086434253331433445443123610137173',1955,'270',77.06,1,3,NULL),(20,5278163,'1991-09-24 00:00:00',4,1,12,2008,'M','N','ENSEADA DE BRITO','PALHOÇA','SC','124244241417473421348923575114610127112',12564,'723',53.21,1,3,NULL),(20,5278171,'1990-08-29 00:00:00',4,1,12,2007,'M','N','PIQUERI','S PAULO','SP','125252251217371411444823471114143236052',NULL,'9998',0.00,1,3,NULL),(20,5278180,'1991-12-24 00:00:00',2,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241115111121635419575124610117047',NULL,'307',17.57,1,2,1),(20,5278201,'1982-09-06 00:00:00',4,4,12,2000,'F','N','ALVORADA','CHAPECÓ','SC','124241241132271411633344442114610138187',NULL,'178',44.00,4,3,NULL),(20,5278210,'1990-07-03 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215573431467719592124221424062',848,'270',82.18,1,3,NULL),(20,5278228,'1992-07-02 00:00:00',4,10,12,2009,'M','N','RECIFE','TUBARÃO','SC','124242241215471731466934575122610138042',9262,'797',57.26,1,3,NULL),(20,5278236,'1992-08-28 00:00:00',2,1,12,2009,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241116271752523311395224610167047',NULL,'288',40.83,1,2,1),(20,5278244,'1983-12-05 00:00:00',4,4,12,2000,'M','N','CENTRO','VITORINO','PR','116161161115572751454316435122542932157',450,'9998',84.94,1,2,1),(20,5278252,'1990-10-09 00:00:00',4,1,12,2008,'M','N','CONCEIÇÃO LEITE','FRANCA','SP','125251251137471731323464275225610112042',10923,'9998',54.02,4,2,1),(20,5278260,'1992-05-10 00:00:00',2,1,12,2009,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241116471731415611575124610128147',6187,'278',65.44,1,2,1),(20,5278279,'1992-09-24 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431456923592112610127061',NULL,'1022',29.54,1,3,NULL),(20,5278287,'1977-10-10 00:00:00',4,5,10,2004,'M','N','VERA CRUZ','CRICIÚMA','SC','224243247327141411543643235121133212082',16328,'9999',38.05,4,3,NULL),(20,5278295,'1992-04-07 00:00:00',2,1,12,2008,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241215372331346633575124610137052',NULL,'9997',27.52,1,3,NULL),(20,5278309,'1992-03-15 00:00:00',2,6,11,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241217111331446614595112610127077',NULL,'389',27.43,1,3,NULL),(20,5278317,'1989-09-27 00:00:00',2,15,12,2008,'M','N','CENTRO','ARARANGUÁ','SC','124241241417232531355611495122231067081',NULL,'29',24.48,1,3,NULL),(20,5278333,'1994-01-06 00:00:00',4,8,12,2009,'M','N','UNIÃO','PALOTINA','PR','116162161216151431469814575112610128127',NULL,'9998',0.00,1,3,NULL),(20,5278341,'1992-07-21 00:00:00',4,1,1,2010,'F','N','CENTRO','STA MARIA','RS','120201206117271431433612575124610144147',NULL,'9998',34.55,1,2,1),(20,5278350,'1991-05-13 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161211571451258811115124610163043',NULL,'9998',0.00,1,3,NULL),(20,5278368,'1992-08-04 00:00:00',4,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124241241115111431323331475124610164157',NULL,'592',27.35,3,2,1),(20,5278376,'1982-08-25 00:00:00',2,1,12,2001,'M','N','CENTRO','S JOSÉ','SC','124242247336274412348613436113131244112',14228,'9999',49.88,1,3,NULL),(20,5278384,'1984-02-21 00:00:00',2,1,12,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124176247646471431326654345125610135177',15084,'9999',44.10,2,3,NULL),(20,5278406,'1992-03-18 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124141241115371431216629595124610144142',NULL,'307',0.00,1,3,NULL),(20,5278414,'1989-04-22 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215311431336519295124610133097',NULL,'9999',22.07,3,3,NULL),(20,5278422,'1992-01-22 00:00:00',4,1,12,2009,'M','N','VILA MARGARIDA','OURINHOS','SP','125252251216111431238814245125610118087',NULL,'9998',0.00,3,3,NULL),(20,5278449,'1986-10-19 00:00:00',4,8,12,2003,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161216572431237821574324610134097',5154,'9998',66.50,1,3,NULL),(20,5278465,'1990-09-29 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241211573431569634576114610162012',6495,'270',64.31,4,3,NULL),(20,5278481,'1990-09-13 00:00:00',4,1,12,2007,'M','N','CENTRO','SELBACH','RS','120201201115571431458913575122610122042',95,'9998',90.19,1,2,1),(20,5278511,'1992-03-06 00:00:00',4,8,11,2009,'F','N','GLÓRIA','JOINVILLE','SC','124242241215122431438834342122610163142',2489,'1063',75.15,1,3,NULL),(20,5278520,'1990-12-13 00:00:00',4,1,12,2007,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215574731478813575112231447055',8619,'270',60.71,1,3,NULL),(20,5278538,'1992-08-22 00:00:00',4,15,12,2009,'M','N','DIVINÉIA','ARARANGUÁ','SC','124241241115131231423921575121610127072',NULL,'30',27.99,1,2,1),(20,5278546,'1987-07-05 00:00:00',5,1,12,2005,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124283241315472431137629472114610166097',9801,'1022',58.55,1,3,NULL),(20,5278554,'1990-12-09 00:00:00',4,8,11,2008,'F','N','COMASA','JOINVILLE','SC','124242241215472431436631411122610123187',4302,'486',69.51,1,3,NULL),(20,5278562,'1990-12-23 00:00:00',2,3,12,2008,'F','N','VITÓRIA RÉGIA','CORNÉLIO PROCÓPIO','PR','116162161217471441338823371122610137147',9921,'9998',54.65,1,3,NULL),(20,5278597,'1991-07-22 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241145471112434531272124610134094',NULL,'295',17.49,1,3,NULL),(20,5278619,'1992-12-19 00:00:00',2,8,11,2009,'F','N','CIDADE ALTA','JAGUARIAÍVA','PR','116162161216411431469711475124610137182',11027,'9998',54.84,1,3,NULL),(20,5278627,'1992-01-03 00:00:00',4,3,12,2008,'M','N','SANTA TEREZINHA','LONDRINA','PR','111115111511471431468814575122610127052',14858,'9998',48.29,4,3,NULL),(20,5278635,'1985-05-03 00:00:00',4,1,12,2003,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124133131436435451228344341334141465142',NULL,'9998',23.45,1,3,NULL),(20,5278643,'1990-05-26 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241415473431336611595121610132057',2845,'270',73.97,1,3,NULL),(20,5278651,'1991-10-23 00:00:00',4,1,12,2009,'F','N','JARDIM SANTA CLARA','S JOÃO B VISTA','SP','125252251217111411677712571122610127072',12358,'9998',49.66,1,3,NULL),(20,5278660,'1988-04-04 00:00:00',4,1,12,2005,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124241241215154432538631575124221737181',7424,'1098',62.97,3,3,NULL),(20,5278678,'1989-02-22 00:00:00',2,1,12,2006,'F','N','CRISTAL','PTO ALEGRE','RS','120203201416431431337721383124143232147',NULL,'9998',23.87,1,3,NULL),(20,5278686,'1991-09-10 00:00:00',4,8,12,2008,'M','N','AVENTUREIRO','JOINVILLE','SC','124241243127372531458614345114610127055',NULL,'483',44.63,1,2,1),(20,5278694,'1988-01-10 00:00:00',2,17,11,2004,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116243241316371411328878385124133264027',9879,'146',55.43,1,3,NULL),(20,5278708,'1991-02-11 00:00:00',2,8,12,2008,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216473431468833575122221437092',1700,'486',78.04,1,3,NULL),(20,5278716,'1987-03-17 00:00:00',2,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124241241117372431428644442124610123097',NULL,'591',44.00,1,2,1),(20,5278732,'1991-08-16 00:00:00',4,4,12,2008,'M','N','CENTRO','CHAPECÓ','SC','124241241116472431633319295122610127047',8090,'169',59.72,1,2,1),(20,5278740,'1990-07-22 00:00:00',2,7,12,2007,'F','N','VILA PEDRINI','JOAÇABA','SC','124242241212274331434611592124130422072',8691,'962',59.46,1,3,NULL),(20,5278767,'1992-06-05 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241112271431524329292124610138197',NULL,'281',27.39,2,3,NULL),(20,5278775,'1992-11-15 00:00:00',4,8,12,2009,'M','N','SNATA FELICIDADE','CURITIBA','PR','116162161216121432469834475112610147042',NULL,'9998',0.00,1,3,NULL),(20,5278805,'1953-06-29 00:00:00',2,1,12,1972,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202201412374412323859492145142636187',NULL,'9998',26.16,1,3,NULL),(20,5278813,'1992-06-16 00:00:00',4,5,11,2009,'M','N','SÃO LUIZ','CRICIÚMA','SC','124242241215111431336611475112610164052',8531,'210',58.35,1,3,NULL),(20,5278821,'1992-08-06 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124212241215121431448634245122610124042',12640,'1118',51.51,1,3,NULL),(20,5278848,'1986-08-22 00:00:00',2,1,7,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243247312373411536313441114610147055',NULL,'9999',27.74,1,3,NULL),(20,5278856,'1988-11-13 00:00:00',4,1,12,2005,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241132574121111747575124233264197',12618,'286',53.10,1,2,1),(20,5278864,'1993-01-12 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243241215111431343823575124610122077',13733,'737',49.60,1,3,NULL),(20,5278872,'1992-10-08 00:00:00',2,9,11,2009,'F','N','EUGÊNIO SCHNEIDER','RIO SUL','SC','624242241217372431446839575125610168012',5217,'991',66.40,1,3,NULL),(20,5278880,'1990-03-19 00:00:00',4,1,12,2007,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124161161132131232226674441214610134197',NULL,'9998',28.69,1,3,NULL),(20,5278902,'1984-03-08 00:00:00',4,1,12,2002,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241217374411358633472224133247047',15279,'262',47.02,2,1,2),(20,5278910,'1951-12-27 00:00:00',3,1,12,1990,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','524251255117151431154443492324342766092',9023,'9998',59.92,1,3,NULL),(20,5278929,'1992-09-25 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241111371421228827575124610143192',NULL,'271',28.74,1,3,NULL),(20,5278937,'1987-11-28 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241134272441334629292324223026082',NULL,'174',27.27,1,2,1),(20,5278945,'1990-03-09 00:00:00',2,8,12,2007,'F','N','CENTRO','PATO BRANCO','PR','116162161216471411353924574112610162097',NULL,'9998',33.66,1,3,NULL),(20,5278953,'1993-01-03 00:00:00',2,6,12,2009,'M','N','FAZENDA','ITAJAÍ','SC','124242241212111431326823575121610137142',9103,'1057',59.77,1,3,NULL),(20,5278961,'1992-03-11 00:00:00',4,1,11,2009,'F','N','VILA JONES','AMERICANA','SP','125252251215111431479931575122610163047',7949,'9998',58.97,1,3,NULL),(20,5278970,'1989-07-06 00:00:00',4,1,11,2006,'M','N','CENTRO','CORUMBÁ','MS','112122121216571431686632375112610167042',1353,'9998',79.04,1,3,NULL),(20,5278988,'1992-01-20 00:00:00',2,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124241241116471431626313575124610124047',NULL,'592',28.12,1,2,1),(20,5278996,'1991-07-16 00:00:00',4,1,12,2008,'F','N','VILA INDUSTRIAL','TOLEDO','PR','116161161117471431446933574121610126072',NULL,'9998',0.00,1,2,1),(20,5279011,'1991-12-24 00:00:00',2,4,12,2009,'M','N','CENTRO','DIAMANTE D OESTE','PR','116161161114161731546521576224610137012',NULL,'9998',27.79,4,1,1),(20,5279020,'1992-09-22 00:00:00',4,2,12,2009,'F','N','VILA NOVA','BLUMENAU','SC','124132241114271431538819445124610132017',6318,'69',62.89,1,3,NULL),(20,5279038,'1992-06-26 00:00:00',4,15,12,2009,'M','N','CENTRO','BAL GAIVOTA','SC','124241241214111731536833341122610127042',NULL,'770',25.59,1,3,NULL),(20,5279046,'1989-01-22 00:00:00',4,1,12,2007,'F','N','PACHECOS','PALHOÇA','SC','124241241132271731335324343333610164147',NULL,'593',21.43,2,1,1),(20,5279054,'1991-03-31 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241146472431423614245124610126187',11911,'592',52.48,1,2,1),(20,5279062,'1989-08-15 00:00:00',2,3,12,2006,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124243241217573431449933375122610161182',1610,'1086',78.43,1,3,NULL),(20,5279070,'1992-02-25 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','125241241117131431326611575124610124187',NULL,'288',32.55,1,2,1),(20,5279089,'1992-10-15 00:00:00',4,1,12,2009,'M','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241217152431478921576112610132017',2356,'1050',74.16,1,3,NULL),(20,5279100,'1987-06-03 00:00:00',2,2,12,2006,'M','N','ITOPAVA CENTRAL','BLUMENAU','SC','124241241127161421533334442213610167142',NULL,'1066',10.33,1,2,1),(20,5279127,'1992-09-10 00:00:00',4,9,12,2009,'M','N','CENTRO','VACARIA','RS','120202201217211751468814175122610167042',14352,'9998',45.17,1,3,NULL),(20,5279135,'1990-08-15 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','125252251216574431538811575122610164077',864,'9998',81.91,1,3,NULL),(20,5279143,'1990-04-22 00:00:00',4,15,12,2007,'M','N','NOVA DIVINEIA','ARARANGUÁ','SC','124241241117141421326624342122233218092',NULL,'30',25.83,1,2,1),(20,5279151,'1989-04-10 00:00:00',2,3,9,2009,'M','N','BREMER','RIO SUL','SC','124241247146131421433624245124610164197',NULL,'9999',0.00,1,2,1),(20,5279160,'1991-04-25 00:00:00',4,16,12,2008,'F','N','POUSO DA CAIXA','POUSO REDONDO','SC','124241241117161531423335342344610166047',NULL,'639',21.66,1,2,1),(20,5279186,'1990-11-11 00:00:00',4,1,12,2007,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215373411458831572124230224092',NULL,'270',0.00,1,3,NULL),(20,5279194,'1991-11-26 00:00:00',2,1,11,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241112152131423529572124610122197',NULL,'298',0.00,1,2,1),(20,5279216,'1992-10-05 00:00:00',4,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124122241215121731488613574122610154042',11862,'1038',51.33,1,3,NULL),(20,5279224,'1981-11-28 00:00:00',2,1,6,2000,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241244127135421433311132222221362147',15906,'307',44.62,1,2,1),(20,5279232,'1992-07-06 00:00:00',4,1,12,2009,'F','N','FERRAZ','GAROPABA','SC','124241241122131441423311212324610114147',NULL,'322',16.98,1,2,1),(20,5279240,'1989-07-21 00:00:00',2,1,12,2009,'F','N','ALTO ARIRIÚ','PALHOÇA','SC','124051245136131751326334385114610164197',NULL,'773',11.34,1,3,NULL),(20,5279259,'1989-02-20 00:00:00',4,1,12,2006,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241332122431478714472124220262072',3009,'1098',73.49,1,3,NULL),(20,5279267,'1992-07-16 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431479914575122610114145',9597,'1022',57.08,1,3,NULL),(20,5279275,'1991-04-06 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241115472431433611175114610128197',4751,'271',68.98,1,3,NULL),(20,5279283,'1992-05-19 00:00:00',2,1,12,2009,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124121241115331731223324572324610124147',NULL,'288',21.67,1,2,1),(20,5279291,'1990-12-10 00:00:00',2,1,12,2007,'F','N','INDUSTRIAL','S MARCOS','RS','120201201211571731468933571124610162147',5933,'9998',63.66,1,3,NULL),(20,5279305,'1992-03-06 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124241241115471431433314282124610168197',13014,'734',49.19,1,2,1),(20,5279313,'1982-04-26 00:00:00',2,1,12,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241427374411212424185124610167045',11887,'281',53.81,1,3,NULL),(20,5279330,'1980-01-12 00:00:00',4,1,12,1999,'M','N','SÍTIO DE DENTRO','STO AMARO IMPERATRIZ','SC','224241257427142431253344141113610132197',NULL,'9998',0.00,1,3,NULL),(20,5279348,'1990-11-05 00:00:00',2,1,12,2008,'M','N','AGRONOMCA','FLORIANÓPOLIS','SC','124241247416272431336623495124610117067',NULL,'9999',20.98,4,3,NULL),(20,5279356,'1992-03-02 00:00:00',4,1,12,2009,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241115371731436333476324610114147',11805,'592',52.13,1,2,1),(20,5279364,'1988-11-08 00:00:00',2,1,12,2006,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241125471731638613292134610138182',NULL,'307',44.18,1,2,1),(20,5279372,'1991-03-26 00:00:00',2,2,12,2008,'M','N','CENTRO','TIMBÓ','SC','124241241217142431468813495112231024057',3989,'88',70.88,1,3,NULL),(20,5279380,'1992-06-02 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124241241115351711233322172124232223047',NULL,'9997',17.04,1,2,1),(20,5279399,'1989-01-20 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241216374431236522175122222164027',2199,'1022',76.16,1,3,NULL),(20,5279402,'1993-03-10 00:00:00',2,15,11,2010,'F','S','GÁVEA','JACINTO MACHADO','SC','124241241415121431435636572112610138182',NULL,'813',27.90,1,3,NULL),(20,5279429,'1989-12-06 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215125731127519575124233263197',NULL,'991',0.00,1,3,NULL),(20,5279437,'1990-02-06 00:00:00',2,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161215572411448824575112610165047',5222,'9998',66.43,1,3,NULL),(20,5279445,'1989-05-17 00:00:00',4,2,5,2009,'M','N','PROGRESSO','BLUMENAU','SC','124241247436271451434624392124610137187',NULL,'9999',28.13,4,3,NULL),(20,5279453,'1992-04-20 00:00:00',4,1,12,2009,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215112431368812172112610167185',NULL,'262',0.00,1,3,NULL),(20,5279461,'1992-06-12 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111731336913332122610124077',NULL,'272',25.22,1,3,NULL),(20,5279470,'1991-01-04 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241116372731327929375124222323092',9883,'306',58.40,1,3,NULL),(20,5279496,'1988-10-25 00:00:00',2,3,12,2006,'M','N','VILA TESOURO','S JOSÉ CAMPOS','SP','125251253215571432347734375124141457117',13829,'9998',46.57,1,3,NULL),(20,5279500,'1992-09-25 00:00:00',4,4,12,2009,'F','N','JD DOS PRINCIPES','UMUARAMA','PR','116162161215171431468934574122610164013',3797,'9998',69.20,1,3,NULL),(20,5279518,'1993-08-11 00:00:00',4,9,12,2009,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124244241215112431449913572122610164122',1655,'499',77.48,1,3,NULL),(20,5279526,'1992-08-03 00:00:00',4,2,12,2009,'M','N','CENTRO','S JOÃO BATISTA','SC','124242241215372431488812575224610167012',1727,'109',77.33,1,3,NULL),(20,5279534,'1989-12-01 00:00:00',4,1,12,2007,'F','N','ALTO DE PINHEIROS','S PAULO','SP','125252251217371411448811575124241146052',6413,'9998',65.11,1,3,NULL),(20,5279550,'1991-12-23 00:00:00',4,1,12,2008,'M','N','BOA VISTA','PTO ALEGRE','RS','120202201216571731469814575124610147182',1245,'9998',79.65,1,3,NULL),(20,5279577,'1992-10-21 00:00:00',4,1,12,2009,'F','N','VILA DOZE','ANTÔNIO CARLOS','SC','124241241115271411322216571324610147072',16176,'21',39.47,1,2,1),(20,5279585,'1988-11-03 00:00:00',2,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116161161416573731368833575112142032197',2150,'9998',76.26,1,3,NULL),(20,5279593,'1991-03-08 00:00:00',4,1,12,2008,'M','N','BOA VISTA','CURITIBA','PR','116162161216471441557924472114610123057',1758,'9998',76.57,1,3,NULL),(20,5279607,'1985-11-02 01:00:00',2,1,12,2003,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241112135111439554282122610161187',16305,'257',40.30,1,2,1),(20,5279615,'1982-05-06 00:00:00',2,1,11,2000,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224243241322131731428653315122610164185',NULL,'263',0.00,1,3,NULL),(20,5279623,'1989-07-11 00:00:00',2,1,12,2006,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091235571432338621245124610133197',NULL,'9998',0.00,1,3,NULL),(20,5279631,'1991-06-02 00:00:00',2,8,12,2008,'F','N','JARDIM COPACABANA','CPO MOURÃO','PR','116164161216371431568934575122610132092',5972,'9998',65.31,1,3,NULL),(20,5279640,'1986-12-26 00:00:00',4,1,12,2004,'M','N','MARAMBAIA','VINHEDO','SP','125252251216573431358811571125610164187',NULL,'9998',0.00,1,3,NULL),(20,5279658,'1987-05-16 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241111112421119142115121330247191',1167,'262',80.41,3,3,NULL),(20,5279666,'1992-09-16 00:00:00',2,1,12,2009,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241116371731422623482124610136142',NULL,'288',23.64,2,1,1),(20,5279674,'1960-04-12 00:00:00',4,10,11,1978,'M','N','DEHON','TUBARÃO','SC','524131131116131411646643335333341447132',6468,'9998',64.99,1,3,NULL),(20,5279682,'1992-08-07 00:00:00',2,1,12,2009,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241126161421423729342124610166077',NULL,'282',21.61,3,3,NULL),(20,5279690,'1992-06-26 00:00:00',4,1,12,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241215111431445734575124610128187',6891,'300',64.08,1,3,NULL),(20,5279704,'1992-04-29 00:00:00',2,8,12,2008,'F','N','CENTRO','CORBÉLIA','PR','116162241215472231456632575114610121172',5304,'486',65.75,1,3,NULL),(20,5279712,'1992-07-28 00:00:00',4,3,12,2009,'F','N','CENTRO','IVAIPORÃ','PR','116162161217171431347732572122610123187',7911,'9998',58.70,1,3,NULL),(20,5279720,'1961-10-01 00:00:00',2,1,12,2001,'F','N','MADRI','PALHOÇA','SC','224241247427132421423154191124133221147',NULL,'1003',30.22,4,3,NULL),(20,5279739,'1986-08-31 00:00:00',2,1,12,2003,'F','N','JARDIM MARCHESI','RIBEIRÃO PRETO','SP','125251251116471711434318382123143234027',NULL,'9998',0.00,1,2,1),(20,5279747,'1991-01-07 00:00:00',2,1,12,2009,'M','N','BOA VISTA','CURITIBA','PR','116161161215471431447933591124610167072',8780,'9998',60.38,1,3,NULL),(20,5279755,'1991-02-08 00:00:00',4,1,12,2008,'M','N','JARDIM IRAJÁ','RIBEIRÃO PRETO','SP','125252251217471731478831592112610167044',5786,'9998',65.03,1,3,NULL),(20,5279763,'1992-09-15 00:00:00',4,2,11,2009,'M','N','VELHA','BLUMENAU','SC','124242241212112431356923575124610134042',5343,'909',67.46,4,3,NULL),(20,5279771,'1990-06-16 00:00:00',4,1,12,2007,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241215272431488832395112130267182',4392,'262',69.79,1,3,NULL),(20,5279780,'1992-10-13 00:00:00',4,1,11,2009,'F','N','FAZENDA','ITAJAÍ','SC','124244241215111731458814572122610124147',2480,'270',74.18,1,3,NULL),(20,5279798,'1992-03-04 00:00:00',2,9,12,2009,'F','N','ESQUINA','URUBICI','SC','124244241416131431546819272222610128147',12465,'515',50.55,1,3,NULL),(20,5279810,'1991-10-14 00:00:00',4,8,12,2008,'F','N','CENTRO','NOVA ESPERANÇA','PR','116162161217471751447833335112610168053',9471,'9998',57.42,1,3,NULL),(20,5279828,'1991-04-16 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','120203201337161731224629575124613224177',NULL,'9998',0.00,1,3,NULL),(20,5279836,'1991-11-30 00:00:00',2,1,12,2009,'F','N','PRAIA DE FORA','S JOSÉ','SC','124241241115271731525823572124610162097',NULL,'592',33.78,1,2,1),(20,5279852,'1992-04-10 00:00:00',4,1,11,2009,'M','N','CENTRO','S JOSÉ','SC','124242241214151131537632573122610167117',5423,'723',65.94,4,3,NULL),(20,5279860,'1992-02-13 00:00:00',2,6,12,2009,'F','N','SÃO JOÃO','ITAJAÍ','SC','124201241117131411428821375121610116177',NULL,'395',32.19,1,2,1),(20,5279879,'1993-12-09 00:00:00',4,2,12,2010,'F','S','VELHA','BLUMENAU','SC','124242241217151431356923575124610168127',NULL,'909',50.70,4,3,NULL),(20,5279895,'1987-07-27 00:00:00',4,4,12,2004,'F','N','CENTRO','UMUARAMA','PR','116162161215573431433639572122610134147',1425,'9998',78.68,1,3,NULL),(20,5279909,'1970-10-31 00:00:00',4,1,12,1989,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224131133122175731213359482124230228197',15888,'9998',44.68,4,1,1),(20,5279917,'1991-02-08 00:00:00',2,2,12,2008,'M','N','CENTRO','BRUSQUE','SC','124241241117271251456534345122130728052',14367,'111',45.96,1,2,1),(20,5279925,'1992-07-28 00:00:00',4,5,12,2009,'F','N','ANA MARIA','CRICIÚMA','SC','124244241211131411433639595124610122072',NULL,'995',28.14,1,3,NULL),(20,5279933,'1992-05-09 00:00:00',4,6,12,2009,'M','N','CENTRO','ITAJAÍ','SC','124242241215272431469934374125610137042',8364,'1141',58.92,1,3,NULL),(20,5279941,'1988-12-12 00:00:00',4,15,11,2006,'M','N','GUELLER','STO ÂNGELO','RS','120204201217571731589913571124610124047',NULL,'9998',0.00,1,3,NULL),(20,5279950,'1991-01-24 00:00:00',4,1,11,2008,'M','N','CENTRO','STA ROSA','RS','120202201211471211327611591124610167142',2444,'9998',75.28,1,3,NULL),(20,5279968,'1992-03-02 00:00:00',2,2,12,2009,'F','N','PROGRESSO','S BENTO SUL','SC','124241241116131431526614375125610127047',NULL,'697',41.18,4,3,NULL),(20,5279976,'1992-02-29 00:00:00',4,1,12,2009,'F','N','PACHEOCS','PALHOÇA','SC','124241241115151721323633591124613234147',NULL,'592',25.79,1,2,1),(20,5279992,'1977-03-09 00:00:00',2,1,12,1994,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201112111421423341245224610114147',NULL,'9998',15.02,1,3,NULL),(20,5280001,'1991-06-25 00:00:00',4,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241115573431357814572114610165142',6610,'267',63.29,1,3,NULL),(20,5280010,'1982-12-25 00:00:00',2,1,12,1999,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124161161116373431347622212131322914163',NULL,'9998',NULL,1,2,1),(20,5280028,'1990-12-08 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241115142411458831475124230214012',3050,'267',73.30,1,3,NULL),(20,5280036,'1991-06-13 00:00:00',4,7,11,2008,'F','N','LIBERDADE','CONCÓRDIA','SC','124241241117471441458814572122610123142',5178,'192',65.55,1,2,1),(20,5280044,'1989-08-08 00:00:00',2,8,12,2006,'F','N','BIGORRILHO','CURITIBA','PR','116162161216572411543815575122610162022',NULL,'9998',0.00,1,3,NULL),(20,5280052,'1990-07-22 00:00:00',2,8,12,2008,'M','N','CENTRO','NOVA ESPERANÇA','PR','116163161311414111546611595122610117042',NULL,'9998',0.00,4,3,NULL),(20,5280060,'1992-03-23 00:00:00',2,1,12,2009,'M','N','COSTEIRA DO RIBEIRÃO','FLORIANÓPOLIS','SC','124241241116471531536613575124610167042',11785,'278',53.10,1,2,1),(20,5280079,'1991-10-11 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241117271431436614245224610127112',NULL,'1097',18.85,1,2,1),(20,5280095,'1990-07-02 00:00:00',4,4,12,2008,'M','N','BRASILIA','PATO BRANCO','PR','116162161115111411537833441122610167013',15157,'9998',43.91,1,3,NULL),(20,5280109,'1992-11-18 00:00:00',2,1,12,2009,'F','N','ORIENTAL','TRÊS MAIO','RS','120201201117131431436624271125610127057',NULL,'9998',28.86,1,3,NULL),(20,5280117,'1986-10-23 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241315372731459813485112333268044',9458,'1022',59.17,1,3,NULL),(20,5280125,'1976-03-20 00:00:00',2,1,12,1997,'F','N','IPIRANGA','S JOSÉ','SC','124243241112135431314319482324610122147',13871,'257',49.47,1,3,NULL),(20,5280133,'1992-11-18 00:00:00',4,7,12,2009,'M','N','MONTE BELO','JOAÇABA','SC','124241241117271712443521575112610132192',13982,'341',48.62,1,3,NULL),(20,5280141,'1990-02-20 00:00:00',4,1,12,2006,'M','N','VILA CONTANÇA','S PAULO','SP','125122121217572431368813574124610134187',85,'9998',90.49,1,3,NULL),(20,5280150,'1994-01-30 00:00:00',4,2,12,2010,'M','S','CENTRO','ITUPORANGA','SC','124242241217111431368931575124610126072',NULL,'654',49.56,1,3,NULL),(20,5280168,'1992-11-03 00:00:00',4,8,12,2009,'F','N','VILA ANA','OSVALDO CRUZ','SP','125252251216161431389813575122610164047',NULL,'9998',0.00,1,3,NULL),(20,5280176,'1983-02-23 00:00:00',2,2,12,2000,'F','N','INDEPEDENCIA','PTO ALEGRE','RS','120112111216571431648625575124610112147',NULL,'9998',0.00,1,3,NULL),(20,5280184,'1988-01-20 00:00:00',4,8,12,2005,'F','N','MERCES','CURITIBA','PR','116162161214571731468813574114610122097',746,'9998',82.56,1,3,NULL),(20,5280206,'1991-11-07 00:00:00',2,9,12,2008,'F','N','FAXINAL VILA NOVA','ITUPORANGA','SC','124241241116472731434316285121610124147',NULL,'416',19.69,1,2,1),(20,5280214,'1989-07-22 00:00:00',4,1,6,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247417134451347624575114610122141',NULL,'9999',0.00,1,3,NULL),(20,5280222,'1992-03-04 00:00:00',2,8,12,2009,'M','N','BAIRO BELA VISTA','MERCEDES','PR','116161162117131431323923575121610127147',NULL,'9998',30.37,1,2,1),(20,5280230,'1986-04-04 00:00:00',2,3,12,2003,'F','N','JARDIM LOS ANGELES','MARINGÁ','PR','116162161216571731578833176122610164186',1603,'9998',78.47,1,3,NULL),(20,5280249,'1985-04-29 00:00:00',2,1,12,2002,'M','N','CAMPINAS','S JOSÉ','SC','124241241116371431536639215113610163042',NULL,'732',24.57,1,2,1),(20,5280257,'1990-01-30 00:00:00',4,1,7,2009,'M','N','SANTA CRUZ','NOVA PRATA','RS','120201207136371431553719395124241237047',NULL,'9998',0.00,1,3,NULL),(20,5280273,'1991-07-08 00:00:00',2,6,12,2008,'F','N','CENTRO','ITAJAÍ','SC','124242241215272431433812425125130633077',14222,'1026',49.90,1,3,NULL),(20,5280281,'1992-06-16 00:00:00',4,8,12,2009,'M','N','CENTRO','JOINVILLE','SC','124242241215112431358814575122610124042',5185,'1063',67.87,1,3,NULL),(20,5280290,'1991-08-24 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124243241116131711347923392121610122182',NULL,'271',36.39,1,3,NULL),(20,5280303,'1992-09-04 00:00:00',4,1,11,2009,'F','N','ROÇADO','S JOSÉ','SC','124242241216272432458919572122610127072',6013,'723',64.43,3,3,NULL),(20,5280311,'1987-08-19 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241117474431239933485214122322092',14851,'281',48.31,4,3,NULL),(20,5280320,'1992-03-25 00:00:00',4,1,12,2009,'F','N','JARDIM PRAIA MAR','ITAPEMA','SC','624163241127161431428854182125610123147',NULL,'405',29.12,1,3,NULL),(20,5280338,'1993-09-11 00:00:00',4,9,12,2010,'M','S','CORAL','LAGES','SC','124242241237111732449911375112610138067',NULL,'497',57.93,1,3,NULL),(20,5280346,'1990-01-15 00:00:00',2,4,12,2007,'M','N','LIDER','CHAPECÓ','SC','124241241111272431433311211124613267036',NULL,'169',24.50,1,2,1),(20,5280354,'1984-08-03 00:00:00',4,1,12,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241115373431445824345122123263173',NULL,'739',0.00,1,3,NULL),(20,5280362,'1973-02-28 00:00:00',2,1,12,1993,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224201201146271411653449192124610164187',NULL,'9998',30.23,2,1,1),(20,5280370,'1984-07-03 00:00:00',2,1,6,2003,'F','N','AEMAÇÃO','FLORIANÓPOLIS','SC','124241241122131411435413435124610138177',NULL,'307',30.42,1,2,1),(20,5280389,'1992-06-12 00:00:00',4,2,12,2009,'F','N','QUINTINO','TIMBÓ','SC','124244241215151441446614575122610162047',4481,'1157',67.56,1,3,NULL),(20,5280397,'1957-12-27 00:00:00',4,15,12,1978,'M','N','CENTRO','ARARANGUÁ','SC','224202201217151751333349195122231067047',NULL,'9998',44.16,1,3,NULL),(20,5280400,'1990-07-18 00:00:00',4,8,12,2007,'M','N','CENTRO','JUNDIAÍ SUL','PR','116161161316572431356639574114610164092',4040,'9998',69.66,1,3,NULL),(20,5280419,'1989-09-08 00:00:00',1,8,12,2006,'M','N','CENTRO','JARAGUÁ SUL','SC','124242243217161431258923375121231467057',NULL,'1061',0.00,1,3,NULL),(20,5280427,'1991-12-12 00:00:00',4,4,12,2009,'F','N','SÃO MIGUEL','FRANCISCO BELTRÃO','PR','116161168116471431423923575121610137147',NULL,'9998',20.98,1,2,1),(20,5280435,'1991-02-01 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431368813472122610132172',NULL,'270',42.93,1,3,NULL),(20,5280443,'1987-11-30 00:00:00',2,1,12,2004,'M','N','BUENO','GOIÂNIA','GO','109092091215572441535513571125610167042',642,'9998',83.62,4,3,NULL),(20,5280451,'1992-05-07 00:00:00',4,2,12,2009,'F','N','TRINTA REIS','NOVA TRENTO','SC','124241241135131441433611145124610112147',NULL,'574',24.05,1,2,1),(20,5280478,'1990-11-15 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241417132431237721575124222226182',13059,'977',52.25,1,3,NULL),(20,5280486,'1992-04-24 00:00:00',2,1,12,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241117151441534511195124610162145',11029,'739',53.31,1,2,1),(20,5280494,'1984-06-22 00:00:00',2,1,12,2001,'F','N','BARREIROS','S JOSÉ','SC','124241241146272431124644145124133225187',12250,'769',53.89,1,2,1),(20,5280516,'1989-12-23 00:00:00',2,15,12,2007,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241216272432446833485123130222074',NULL,'32',18.41,1,3,NULL),(20,5280524,'1991-06-17 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115472431336513375124610136187',3841,'257',69.77,4,2,1),(20,5280532,'1991-10-11 00:00:00',2,1,12,2008,'F','N','SÃO LUIZ','S JOSÉ','SC','124241241135272431433433375124610143047',NULL,'733',24.02,1,2,1),(20,5280540,'1992-07-28 00:00:00',2,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124242241217131431256569275121610128042',13045,'989',51.13,1,3,NULL),(20,5280559,'1992-12-01 00:00:00',2,1,12,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241112371431423361572122610121175',NULL,'298',22.84,1,2,1),(20,5280583,'1988-01-15 00:00:00',2,2,12,2005,'F','N','VELHA','BLUMENAU','SC','124241241416271142553614485124232946092',14585,'1020',49.04,1,3,NULL),(20,5280591,'1993-01-16 00:00:00',2,1,12,2010,'M','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431439613336124610134017',NULL,'262',30.36,1,3,NULL),(20,5280605,'1992-11-03 00:00:00',2,4,12,2009,'F','N','CENTRO','ERECHIM','RS','120201201111371431226327572224610125052',NULL,'9998',45.86,1,2,1),(20,5280613,'1962-05-09 00:00:00',4,1,12,1979,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','424161161117132412679844445132320766192',14991,'9998',47.88,1,2,1),(20,5280621,'1991-09-08 00:00:00',4,17,12,2008,'F','N','VILA CARRÃO','S PAULO','SP','125252251215471421546632172124610113097',NULL,'9998',0.00,3,3,NULL),(20,5280630,'1992-08-31 00:00:00',4,1,12,2009,'M','N','COLINA DE FLORES','FLORES CUNHA','RS','120204201135131431533612245111610114047',15526,'9998',46.20,1,3,NULL),(20,5280656,'1992-01-11 00:00:00',4,1,12,2009,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241126131431523311272224610126147',11165,'1099',53.97,1,2,1),(20,5280664,'1991-06-21 00:00:00',4,4,12,2008,'F','N','CENTRO','CASCAVEL','PR','116112161215471431448711582122610161193',228,'9998',87.61,1,3,NULL),(20,5280672,'1991-11-06 00:00:00',2,1,12,2007,'F','N','CENTRO','PTE SERRADA','SC','124242241212474431436611575124610164192',7622,'1071',61.18,1,3,NULL),(20,5280680,'1991-09-11 00:00:00',2,1,12,2008,'M','N','CENTRO','GRANDES RIOS','PR','116161161116371431338823575114610122047',3725,'9998',70.73,1,2,1),(20,5280699,'1991-03-04 00:00:00',2,1,12,2008,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241115472731566668492114610143037',NULL,'288',41.20,1,2,1),(20,5280702,'1990-07-19 00:00:00',2,1,12,2009,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241135131741215629275124610146085',NULL,'288',23.78,4,1,1),(20,5280710,'1988-12-28 00:00:00',2,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241116131431536623495124610167087',NULL,'307',26.46,4,1,1),(20,5280729,'1990-11-28 00:00:00',2,1,12,2008,'M','N','DANIELA','FLORIANÓPOLIS','SC','124161161116272421226644345124610112122',NULL,'9998',31.64,1,2,1),(20,5280737,'1993-04-11 00:00:00',4,5,12,2009,'M','N','CENTRO','SIDERÓPOLIS','SC','124242241215111231543631394124610126142',9570,'226',56.57,1,3,NULL),(20,5280745,'1988-08-23 00:00:00',4,1,12,2005,'F','N','CENTRO','STA MARIA','RS','120202201217571431468939592112610161172',NULL,'9998',0.00,1,3,NULL),(20,5280753,'1992-06-23 00:00:00',4,1,12,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241112161711457531345124610167057',9098,'307',58.32,1,2,1),(20,5280770,'1973-07-28 00:00:00',2,1,12,2004,'M','N','CANASVIIRAS','FLORIANÓPOLIS','SC','124283287126151411416642125124610167091',NULL,'9998',0.00,1,3,NULL),(20,5280788,'1985-02-09 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136132431446614245124320943175',NULL,'194',45.44,1,3,NULL),(20,5280796,'1991-03-16 00:00:00',4,1,12,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241115271431326729245124610163032',9443,'288',57.14,1,2,1),(20,5280800,'1992-10-19 00:00:00',4,7,12,2009,'F','N','SANTA TEREZA','VIDEIRA','SC','124241241116131331327634572125610165047',NULL,'831',25.91,1,2,1),(20,5280818,'1990-03-27 00:00:00',4,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124252251216151731348833575112231468183',NULL,'9998',0.00,3,3,NULL),(20,5280826,'1991-06-12 00:00:00',2,1,12,2008,'F','N','CENTRO','STO ÂNGELO','RS','120203201217471521546879492315610167012',11613,'9998',51.84,1,3,NULL),(20,5280834,'1991-11-25 00:00:00',4,3,11,2009,'F','N','CABEÇUDAS','ITAJAÍ','SC','124242241216112731539819571122610164112',5509,'1038',65.87,1,3,NULL),(20,5280842,'1992-09-23 00:00:00',4,9,11,2009,'M','N','VILA NOVA','LAGES','SC','124241241117271751226619395122610138057',15505,'935',42.54,1,2,1),(20,5280850,'1975-07-09 00:00:00',2,16,12,2001,'M','N','CENTRO','CURITIBANOS','SC','124241247346131411326674445134610165117',NULL,'237',24.91,1,3,NULL),(20,5280869,'1993-07-29 00:00:00',2,7,12,2010,'M','S','CENTRO','FRAIBURGO','SC','124242241115111232548934575111610137087',NULL,'317',48.19,1,3,NULL),(20,5280877,'1992-05-29 00:00:00',2,5,11,2009,'F','N','CENTRO','TORRES','RS','120201201215131432444833472122610137052',9171,'9998',57.51,1,3,NULL),(20,5280885,'1992-03-11 00:00:00',2,5,12,2009,'F','N','SÃO FRANCISCO','NOVA VENEZA','SC','124241241416131431336611375124610137142',NULL,'995',24.41,1,3,NULL),(20,5280893,'1989-04-19 00:00:00',2,1,12,2006,'F','N','IPIRANGA','S JOSÉ','SC','124241241112371431535334341124610126097',11092,'734',56.10,1,2,1),(20,5280907,'1991-10-03 00:00:00',2,1,12,2009,'M','N','BOM VIVER','BIGUAÇU','SC','124241241435111331436814475124610124047',15159,'1022',47.39,4,3,NULL),(20,5280915,'1982-09-28 00:00:00',4,9,12,1999,'M','N','MONT SERRAT','PTO ALEGRE','RS','120242201216373431168831385124143164187',8366,'9998',61.19,1,3,NULL),(20,5280923,'1991-10-03 00:00:00',4,8,12,2008,'F','N','GUAÍRA','CURITIBA','PR','116161161136471421433379375124610133097',NULL,'9998',18.71,1,2,1),(20,5280931,'1990-03-31 00:00:00',4,2,12,2007,'F','N','BARRA DO RIO CERRO I','JARAGUÁ SUL','SC','124242241216112411669714575124232464147',3526,'1016',72.07,1,3,NULL),(20,5280940,'1987-10-13 00:00:00',4,15,12,2004,'M','N','CENTRO','ARARANGUÁ','SC','124203201112131431526634345313610137047',NULL,'9998',10.96,1,3,NULL),(20,5280958,'1992-11-10 00:00:00',4,7,12,2009,'F','N','SANTA TEREZA','VIDEIRA','SC','124111241116131331426534572325610162017',NULL,'831',21.67,4,2,1),(20,5280966,'1990-03-17 00:00:00',4,6,12,2007,'F','N','JARDIM DO LAGO','CAMBÉ','PR','116161161116472431346723571122610166092',13087,'9998',52.19,1,2,1),(20,5280974,'1991-08-05 00:00:00',2,1,12,2008,'F','N','SÃO CRISTÓVÃO','CAXIAS SUL','RS','120201201116471531413317371124610165097',5405,'9998',65.46,1,2,1),(20,5280990,'1980-11-29 00:00:00',2,8,12,1998,'F','N','NOVO MUNDO','CURITIBA','PR','216161161126371711223354335122141362147',13232,'9998',48.45,4,1,1),(20,5281008,'1992-01-03 00:00:00',4,3,12,2009,'M','N','MONTE ALEGRE','CAMBORIÚ','SC','124241248117272411343339175124610132142',NULL,'129',39.02,1,3,NULL),(20,5281016,'1991-01-10 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372751268833577114610164065',14877,'1133',48.21,1,3,NULL),(20,5281024,'1990-10-25 00:00:00',2,1,12,2007,'M','N','ZONA SETE','MARINGÁ','PR','116162161215571431468619574121610125142',3428,'9998',71.81,1,3,NULL),(20,5281032,'1990-07-31 00:00:00',4,8,12,2008,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241217472411589914575122610147092',3726,'1063',71.56,1,3,NULL),(20,5281040,'1989-11-02 00:00:00',4,1,12,2006,'F','N','RIO BRANCO','NOVO HAMBURGO','RS','120202201216571431237922574114610148057',1522,'9998',78.36,1,3,NULL),(20,5281059,'1988-09-23 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124286241215473751359939491113132462182',1652,'9997',76.77,1,3,NULL),(20,5281067,'1984-09-03 00:00:00',2,1,12,2002,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241137145431336824345124122337187',12302,'592',50.25,1,2,1),(20,5281075,'1991-08-03 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215472411446624575114610122142',5461,'836',67.20,1,3,NULL),(20,5281083,'1992-06-13 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124241241111471431323624471214610136142',NULL,'298',28.54,4,2,1),(20,5281091,'1992-03-06 00:00:00',4,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124242241212123531468812472114610157072',9472,'270',56.66,1,3,NULL),(20,5281105,'1991-02-24 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124051241117271711435614485114610128187',NULL,'307',25.27,1,2,1),(20,5281121,'1991-04-22 00:00:00',2,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124161161117372411446964345134610137053',NULL,'9998',26.26,4,2,1),(20,5281130,'1990-10-17 00:00:00',4,1,11,2008,'F','N','PERDIZES','S PAULO','SP','125252251216471431479833575122610162122',7196,'9998',63.44,1,3,NULL),(20,5281148,'1993-02-16 00:00:00',4,1,12,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242241215111231553612276112610124147',NULL,'737',48.36,1,3,NULL),(20,5281156,'1991-07-03 00:00:00',2,15,12,2008,'M','N','ZONA NOVA SUL','BAL ARROIO SILVA','SC','124241241136271431623621185124610136057',NULL,'854',22.23,3,3,NULL),(20,5281164,'1992-08-06 00:00:00',4,7,11,2009,'M','N','UNIVERSITÁRIO','VIDEIRA','SC','124242241236111231489713475112610132172',12361,'969',49.42,1,3,NULL),(20,5281172,'1984-03-29 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124253258436152751638913245121222362095',11766,'9998',54.80,1,3,NULL),(20,5281180,'1992-06-11 00:00:00',4,1,11,2009,'F','N','RECREIO DAS ACÁCIAS','RIBEIRÃO PRETO','SP','125252251216121431468814375122610122147',2418,'9998',73.96,1,3,NULL),(20,5281202,'1978-09-13 00:00:00',4,8,11,1998,'M','N','ATIRADORES','JOINVILLE','SC','124253258312415712338614515124121166057',7316,'9998',63.21,1,3,NULL),(20,5281210,'1979-01-07 00:00:00',2,1,2,2002,'F','N','JURERÉ','FLORIANÓPOLIS','SC','124281284136131431227751485224610126142',NULL,'9998',0.00,1,3,NULL),(20,5281229,'1991-01-27 00:00:00',2,1,12,2007,'F','N','PASSA D AREIA','PTO ALEGRE','RS','120202201216471751226624275124610162047',NULL,'9998',0.00,1,3,NULL),(20,5281237,'1989-09-27 00:00:00',4,8,12,2008,'M','N','JARDIN TV','ARAÇATUBA','SP','125252258216371731458834575122610118195',NULL,'9998',29.56,1,3,NULL),(20,5281245,'1991-10-21 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241212152431368831215122230461197',NULL,'497',28.98,1,3,NULL),(20,5281253,'1991-10-12 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216112451369913575124232426132',NULL,'270',0.00,1,3,NULL),(20,5281261,'1989-07-02 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215132411443711472124133224147',11470,'1022',55.40,1,3,NULL),(20,5281270,'1991-12-12 00:00:00',2,1,12,2009,'M','N','SÃO CRISTÓVÃO','PAPANDUVA','SC','124241241117161431533332395124610114172',NULL,'603',26.21,1,2,1),(20,5281288,'1992-04-01 00:00:00',4,8,10,2009,'F','N','GUANABARA','JOINVILLE','SC','124242241217111731546411275122610123097',NULL,'932',25.42,1,3,NULL),(20,5281296,'1992-08-04 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111421536511575124610137112',11750,'1023',54.83,1,3,NULL),(20,5281300,'1990-03-05 00:00:00',4,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241141272731226514245334610127077',NULL,'733',43.51,3,2,1),(20,5281318,'1992-04-15 00:00:00',4,1,12,2009,'F','N','ZONA RURAL','PALOTINA','PR','116161161217371441466636575124610142147',6938,'9998',60.79,1,3,NULL),(20,5281326,'1991-06-27 00:00:00',4,1,12,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215371411228811274124610134092',8135,'9998',59.86,4,3,NULL),(20,5281334,'1979-10-08 00:00:00',2,1,12,1998,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224253251122133711333651285124610167057',NULL,'9998',54.00,1,3,NULL),(20,5281342,'1993-02-26 00:00:00',4,1,11,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241242115371431624611241224610124147',NULL,'591',31.99,4,2,1),(20,5281350,'1984-01-16 00:00:00',2,1,12,2001,'F','N','BELA VISTA','S JOSÉ','SC','124242247217475451326424145124130268177',NULL,'9999',39.44,1,3,NULL),(20,5281377,'1990-03-03 00:00:00',2,8,12,2007,'F','N','LAODICEIA','MARINGÁ','PR','116163161216571441438834485124610123017',6622,'9998',62.84,1,3,NULL),(20,5281385,'1993-02-28 00:00:00',4,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241127131431446619472124610126142',NULL,'736',25.50,1,2,1),(20,5281393,'1970-02-01 00:00:00',4,1,12,1987,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','624212241214151411368654445122341966047',7327,'9998',63.18,1,3,NULL),(20,5281407,'1989-03-06 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124202241212374431357811475124232664197',11047,'269',53.81,1,3,NULL),(20,5281415,'1993-08-09 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124242241217111731336534572121610127042',8242,'868',58.97,1,3,NULL),(20,5281431,'1976-01-28 00:00:00',5,1,12,1993,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217153711166644442132321433013',4926,'269',68.52,1,3,NULL),(20,5281440,'1993-07-28 00:00:00',4,17,12,2010,'F','S','CENTRO','PTO UNIÃO','SC','124242241211131431328823232125610123142',NULL,'632',15.50,1,3,NULL),(20,5281458,'1992-03-04 00:00:00',4,10,12,2008,'F','N','HUMAITÁ','TUBARÃO','SC','124244241215272431538614575114610142012',7875,'809',60.98,1,3,NULL),(20,5281466,'1991-11-20 00:00:00',4,8,11,2009,'F','N','COMASA','JOINVILLE','SC','124241241112131431432419282124610131047',NULL,'477',28.05,1,2,1),(20,5281474,'1990-10-18 00:00:00',4,16,9,2008,'M','N','CENTRO','CURITIBANOS','SC','124241241327131411329823282122130828187',NULL,'237',24.78,1,3,NULL),(20,5281482,'1992-09-21 00:00:00',4,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241225131431333324575124610121057',11234,'262',54.47,4,3,NULL),(20,5281490,'1984-04-06 00:00:00',2,1,1,2006,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241247226134112531139342224610117042',NULL,'9999',17.06,1,3,NULL),(20,5281504,'1992-10-29 00:00:00',2,1,12,2009,'F','N','ARIRIÚ DA FORMIGA','PALHOÇA','SC','124241241135131731333519192124610136141',NULL,'591',30.00,1,2,1),(20,5281512,'1992-05-29 00:00:00',2,1,12,2009,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241116131431214467275224610126142',NULL,'591',0.00,4,2,1),(20,5281520,'1992-12-27 00:00:00',4,10,11,2009,'M','N','DEHON','TUBARÃO','SC','124242241217111431569313491122610134053',8918,'806',58.44,1,3,NULL),(20,5281539,'1982-06-04 00:00:00',2,1,12,2000,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124201201122131431223341245124133063077',NULL,'9998',29.24,2,1,1),(20,5281547,'1982-05-30 00:00:00',2,4,12,2000,'M','N','CENTRO','S MIGUEL OESTE','SC','124241241215575421258843435125420225022',6238,'32',65.49,4,3,NULL),(20,5281555,'1991-10-31 00:00:00',4,4,12,2008,'M','N','CENTRO','VERÊ','PR','416164161215471441456935255114610124102',NULL,'9998',45.45,1,3,NULL),(20,5281563,'1991-11-12 00:00:00',4,3,12,2008,'F','N','BAIRRO AHU','CURITIBA','PR','116162161211571431569811572112610122043',742,'9998',82.74,1,3,NULL),(20,5281571,'1991-10-03 00:00:00',4,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215112431558813575124610137112',11881,'1133',52.21,1,3,NULL),(20,5281580,'1991-01-07 00:00:00',4,1,12,2008,'F','N','JARDIM DABRIL','S PAULO','SP','125252251216471431446811575114610127077',NULL,'9998',41.67,1,3,NULL),(20,5281598,'1990-10-19 00:00:00',4,1,12,2008,'M','N','HIGIENOPOLIS','S PAULO','SP','125252251217471731578814575115610137047',NULL,'9998',0.00,1,3,NULL),(20,5281601,'1992-10-15 00:00:00',2,8,11,2009,'M','N','SÍTIO CERCADO','CURITIBA','PR','116162161211471411558631271122610127185',1725,'9998',77.65,1,3,NULL),(20,5281610,'1985-07-01 00:00:00',2,1,7,2004,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241126274431423424482224610126097',NULL,'281',42.97,1,3,NULL),(20,5281628,'1991-08-27 00:00:00',4,8,12,2008,'F','N','BOQUEIRÃO','CURITIBA','PR','116162161216471231338814575112610134142',6487,'9998',62.26,1,3,NULL),(20,5281636,'1992-05-16 00:00:00',2,9,12,2009,'F','N','JARDIM PRIMAVERA','LONTRAS','SC','124242241215111751458834292124610164052',NULL,'991',23.73,1,3,NULL),(20,5281644,'1992-07-02 00:00:00',4,1,12,2009,'F','N','NEVA','CASCAVEL','PR','116162161215471411466612571122610144142',NULL,'9998',0.00,1,3,NULL),(20,5281652,'1992-08-01 00:00:00',2,2,12,2009,'F','N','VILA ITOUPAVA','BLUMENAU','SC','124241241217111711338812475124610122187',2363,'87',74.89,1,3,NULL),(20,5281660,'1941-10-16 00:00:00',4,1,12,1962,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224202208221151711373373435114141068041',NULL,'9998',26.29,1,3,NULL),(20,5281679,'1992-12-30 00:00:00',4,2,12,2009,'F','N','BADENFURT','BLUMENAU','SC','124241241116141431543414245124610116147',NULL,'69',0.00,4,2,1),(20,5281687,'1991-09-16 00:00:00',4,8,12,2008,'M','N','TRÊS RIOS DO SUL','JARAGUÁ SUL','SC','124201241316271431326634573124610162182',2688,'425',73.97,1,3,NULL),(20,5281709,'1991-11-06 00:00:00',2,1,12,2008,'F','N','FUNDOS','BIGUAÇU','SC','124241241112472411223129345134610166042',12225,'65',51.42,4,2,1),(20,5281717,'1989-11-02 00:00:00',4,8,11,2006,'F','N','CHACARA AREAL','INDAIATUBA','SP','125252251215571431488811415122610143056',NULL,'9998',0.00,1,3,NULL),(20,5281725,'1977-09-16 00:00:00',4,1,12,1997,'F','N','BELA VISTA','S JOSÉ','SC','124251251437131721457644242124141062047',NULL,'9998',0.00,1,3,NULL),(20,5281733,'1992-07-08 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242248635111751378819392122610168057',NULL,'737',46.66,1,3,NULL),(20,5281750,'1984-07-25 00:00:00',4,1,7,2002,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243241111575431324424491334610117067',8219,'307',58.19,1,3,NULL),(20,5281776,'1991-02-02 00:00:00',4,1,12,2008,'M','N','BELA VISTA','PTO ALEGRE','RS','120202201215571431389921571124610164057',NULL,'9998',0.00,1,3,NULL),(20,5281784,'1992-01-12 00:00:00',2,1,11,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431346811315114610127061',14125,'270',50.13,1,3,NULL),(20,5281792,'1992-11-30 00:00:00',2,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111431468813572112610137127',10811,'270',54.73,1,3,NULL),(20,5281806,'1990-10-16 00:00:00',2,9,12,2007,'F','N','PETROPOLIS','LAGES','SC','124241241136271431426621382225610126032',NULL,'583',17.14,4,2,1),(20,5281814,'1992-02-16 00:00:00',4,8,11,2009,'F','N','VILA A','FOZ IGUAÇU','PR','116162161217111711478614575122610122112',5969,'9998',63.63,4,3,NULL),(20,5281822,'1992-10-30 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111731345613575112610134077',NULL,'868',20.09,1,3,NULL),(20,5281830,'1979-09-12 00:00:00',2,1,12,2004,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241122475451224449395124610161022',NULL,'281',28.07,1,3,NULL),(20,5281849,'1991-07-20 00:00:00',2,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120201201116131431436615572122610126047',14156,'9998',46.82,4,2,1),(20,5281857,'1992-01-26 00:00:00',4,2,12,2009,'M','N','VOSTARDT','BLUMENAU','SC','124241241215111411324514145124610137052',14623,'855',44.74,1,3,NULL),(20,5281873,'1991-12-07 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241235131531237931595124610134015',10374,'262',54.24,1,3,NULL),(20,5281881,'1991-07-05 00:00:00',2,9,12,2008,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120204201316471431437914571224610126147',NULL,'9998',30.32,1,3,NULL),(20,5281890,'1977-03-08 00:00:00',2,1,12,1997,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124201207326271431563644145132140832047',NULL,'9998',28.98,2,3,NULL),(20,5281903,'1992-04-30 00:00:00',4,1,12,2009,'M','N','ALTO DA LAPA','S PAULO','SP','125252251217371431358823575112610167052',3988,'9998',68.36,3,3,NULL),(20,5281911,'1991-01-27 00:00:00',4,5,12,2007,'F','N','BOMFIM','PTO ALEGRE','RS','120202201216471751469811574125610162147',NULL,'9998',0.00,1,3,NULL),(20,5281920,'1988-10-10 00:00:00',2,5,11,2005,'F','N','CENTRO','IJUÍ','RS','120202201216571431458811475125610134192',NULL,'9998',0.00,1,3,NULL),(20,5281938,'1992-04-03 00:00:00',4,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161215471431489812575112610122143',NULL,'9998',0.00,1,3,NULL),(20,5281946,'1992-10-18 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241122271732336634572124610164047',NULL,'736',21.24,1,3,NULL),(20,5281954,'1991-05-30 00:00:00',4,1,12,2007,'M','N','CENTRO','S JOSÉ','SC','124242241215372431367513575124232024142',11012,'737',56.27,1,3,NULL),(20,5281962,'1992-04-20 00:00:00',4,7,12,2008,'M','N','INTERIOR','PINHEIRO PRETO','SC','124241161141472441323415152124610123177',873,'9998',81.54,1,2,1),(20,5281989,'1984-04-12 00:00:00',2,1,1,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124252247417133411348744442122610117117',16296,'977',40.64,1,3,NULL),(20,5281997,'1993-01-24 00:00:00',2,1,12,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241142231231433619572224610135147',NULL,'592',23.87,1,2,1),(20,5282004,'1992-02-29 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216121431469932572112610163182',1006,'270',81.28,1,3,NULL),(20,5282012,'1991-01-11 00:00:00',4,4,12,2008,'M','N','CRISTO REI','ESTRELA','RS','120202201216471431568719575124610124093',NULL,'9998',0.00,1,3,NULL),(20,5282020,'1990-10-30 00:00:00',4,1,11,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215372431268921575122610123141',808,'270',82.41,1,3,NULL),(20,5282039,'1993-01-25 00:00:00',4,9,12,2009,'F','N','POPULAR','LAGES','SC','124242241217112431356513575112610162122',10295,'1146',54.60,1,3,NULL),(20,5282047,'1985-04-24 00:00:00',4,1,12,2003,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124251258216152421523819445124220768183',8473,'9998',60.96,1,3,NULL),(20,5282055,'1992-03-26 00:00:00',4,8,11,2009,'F','N','ADHEMAR GARCIA','JOINVILLE','SC','124242241215151231449614375122610164147',8937,'489',57.32,1,3,NULL),(20,5282063,'1991-10-14 00:00:00',2,1,11,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241217131431439613372124610167062',15246,'1048',44.56,1,3,NULL),(20,5282071,'1989-01-04 00:00:00',4,6,12,2006,'F','N','VILA IPIRANGA','LONDRINA','PR','116161161115511431358414375122610164097',7115,'9998',62.47,1,2,1),(20,5282098,'1987-04-16 00:00:00',4,1,12,2004,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124254251417272451128834445114143266182',NULL,'9998',39.46,1,3,NULL),(20,5282101,'1992-11-24 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431336914572112610164187',14834,'738',45.18,1,3,NULL),(20,5282110,'1987-02-10 00:00:00',4,1,11,2006,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124051051111131321423315245124130224187',NULL,'9998',0.00,1,3,NULL),(20,5282128,'1992-05-15 00:00:00',4,1,12,2009,'F','N','CENTRO','PALOTINA','PR','116164161217111431635929271121610137052',13869,'9998',46.54,1,3,NULL),(20,5282136,'1987-02-12 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212474431469811575112333262182',1953,'262',77.07,1,3,NULL),(20,5282144,'1992-07-17 00:00:00',2,1,11,2009,'M','N','CENTRO','TAPEJARA','RS','120202201216111232356611275122610137052',9523,'9998',55.50,1,3,NULL),(20,5282152,'1993-04-27 00:00:00',2,2,12,2009,'M','N','SETE DE SETEMBRO','GASPAR','SC','124241241136271632368913585122610137052',NULL,'325',0.00,1,3,NULL),(20,5282160,'1988-03-27 00:00:00',2,1,12,2005,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241126155721451319432114610167047',7475,'307',60.06,1,2,1),(20,5282179,'1991-03-07 00:00:00',4,3,11,2008,'M','N','CENTRO','CARAMBEÍ','PR','116164161213112431458911591121241467162',NULL,'9998',0.00,1,3,NULL),(20,5282187,'1961-05-05 00:00:00',2,1,12,2008,'F','N','FORQUILHAS','S JOSÉ','SC','224241241127372721622351492144610128197',NULL,'945',21.50,1,2,1),(20,5282195,'1991-09-14 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111431663369575114610167067',15829,'1022',44.97,1,3,NULL),(20,5282209,'1991-05-05 00:00:00',4,8,12,2008,'M','N','CENTRO','JOINVILLE','SC','124242281411471711479814572122610164032',2547,'9998',74.95,1,3,NULL),(20,5282217,'1992-07-16 00:00:00',2,10,12,2009,'F','N','CENTRO','GR PARÁ','SC','124244241215112431458632472222610147042',3917,'807',70.51,1,3,NULL),(20,5282225,'1987-04-18 00:00:00',2,1,12,2004,'M','N','KOBRASOL','S JOSÉ','SC','124201201127272431634379115223610162097',15093,'9998',47.60,1,2,1),(20,5282233,'1991-10-11 00:00:00',2,1,11,2008,'M','N','CENTRO','BR COTEGIPE','RS','120201208211471411439833574124610117047',12425,'9998',50.19,1,3,NULL),(20,5282241,'1989-09-07 00:00:00',4,1,12,2009,'M','N','SANTA TEREZA','S LEOPOLDO','RS','120201201127131421323364576224610134172',NULL,'9998',50.87,1,3,NULL),(20,5282250,'1991-12-16 00:00:00',2,6,12,2009,'M','N','ICARAÍ','NITERÓI','RJ','121214211417111231468532492111610127132',NULL,'9998',0.00,1,3,NULL),(20,5282268,'1992-12-08 00:00:00',4,6,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124244248417151411256631375114610124122',16118,'1119',43.31,1,3,NULL),(20,5282276,'1992-09-07 00:00:00',2,1,11,2009,'M','N','STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC','124242241215112531658612295125610168067',16192,'1048',42.62,1,3,NULL),(20,5282284,'1991-07-05 00:00:00',2,9,12,2008,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120204201316471431437914571224610123147',NULL,'9998',29.03,1,3,NULL),(20,5282292,'1986-04-20 00:00:00',2,1,12,2005,'M','N','SAO SEBASTIAO','PALHOÇA','SC','124221221447141431444444242133610124042',NULL,'9998',25.98,1,3,NULL),(20,5282306,'1993-10-29 00:00:00',4,7,12,2009,'F','N','CENTRO','LACERDÓPOLIS','SC','124244241417161531565832122122610132147',14552,'446',49.12,1,3,NULL),(20,5282314,'1992-02-09 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115271431369933596124610167075',12407,'307',50.72,1,2,1),(20,5282322,'1992-04-01 00:00:00',2,10,12,2009,'M','N','VARGEM DO CEDRO','S MARTINHO','SC','124241241127131431424635272124610117147',NULL,'750',31.73,1,2,1),(20,5282330,'1992-10-06 00:00:00',4,1,12,2009,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124241241112271241627722571124610157022',15165,'307',47.37,1,2,1),(20,5282357,'1982-01-27 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241122145731126144442214610123047',NULL,'359',29.54,2,1,1),(20,5282365,'1992-08-31 00:00:00',2,8,12,2009,'F','N','CENTRO','RIO NEGRINHO','SC','124242241215111431548914575125610133147',8767,'666',57.83,1,3,NULL),(20,5282373,'1990-12-21 00:00:00',2,4,12,2007,'M','N','ESPERANÇA','ERECHIM','RS','120202201216571731233624595124610167041',4959,'9998',67.12,1,3,NULL),(20,5282381,'1992-09-28 00:00:00',2,8,12,2009,'F','N','VILA CUBAS','TIJUCAS SUL','PR','116161161417471431437732572124610124147',NULL,'9998',0.00,1,3,NULL),(20,5282390,'1992-11-18 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241215111411224824241324610158057',8835,'988',59.79,1,3,NULL),(20,5282403,'1992-02-12 00:00:00',2,4,12,2009,'F','N','CENTRO','FAXINAL GUEDES','SC','124241241215131311338433575124610167142',NULL,'836',42.14,1,3,NULL),(20,5282411,'1982-04-30 00:00:00',4,1,2,2000,'F','N','FORQUILHINHAS','S JOSÉ','SC','224241241117272421323654242224610166097',NULL,'307',20.07,1,2,1),(20,5282420,'1992-11-12 00:00:00',2,1,12,2009,'M','N','CENTRO','IMBITUBA','SC','124241241116131431433627395124610137057',NULL,'1034',21.63,1,2,1),(20,5282438,'1991-11-20 00:00:00',4,17,12,2009,'M','N','VILA NOVA','MAFRA','SC','124164161216111711236629575114610137052',14951,'9998',46.28,1,3,NULL),(20,5282446,'1992-10-24 00:00:00',4,8,11,2009,'F','N','IRIRIÚ','JOINVILLE','SC','124242241215122431448612245124610134112',2813,'1063',72.35,1,3,NULL),(20,5282462,'1992-04-25 00:00:00',2,2,10,2009,'M','N','VORSTADT','BLUMENAU','SC','124241241215231432467812575114610167047',8739,'855',60.47,1,3,NULL),(20,5282470,'1988-05-13 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161168647271711327374195134610148052',NULL,'270',27.31,1,3,NULL),(20,5282489,'1991-12-10 00:00:00',2,3,12,2008,'F','N','CENTRO','CANELINHA','SC','124241241136132431349313275124231444057',NULL,'142',0.00,1,2,1),(20,5282497,'1992-11-25 00:00:00',4,1,11,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215132432228923574124610133147',8538,'1011',60.45,1,3,NULL),(20,5282500,'1986-07-14 00:00:00',2,1,12,2003,'F','N','ORLEANS','CURITIBA','PR','116161161116571731345614381124610164047',4858,'9998',66.93,1,2,1),(20,5282519,'1992-08-14 00:00:00',2,7,12,2009,'M','N','CENTRO','CURITIBA','PR','116162161217121231668617575122610132057',NULL,'9998',0.00,4,3,NULL),(20,5282527,'1991-06-04 00:00:00',2,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124244241415111451256629575124610118092',NULL,'1076',24.95,1,3,NULL),(20,5282535,'1992-10-10 00:00:00',4,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116242161217121431468733572114610167073',2933,'9998',71.27,1,3,NULL),(20,5282543,'1975-04-23 00:00:00',2,1,8,1995,'M','N','CAMPINAS','S JOSÉ','SC','524241248116132441535419345124610142187',NULL,'306',43.63,1,2,1),(20,5282551,'1990-05-17 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241415373731538632445114133223197',9463,'307',56.05,1,3,NULL),(20,5282560,'1992-01-09 00:00:00',4,8,12,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124241241115371431326624572124610124057',13258,'478',49.45,1,2,1),(20,5282578,'1993-11-16 00:00:00',4,1,12,2010,'F','S','AREIAS','S JOSÉ','SC','124242241117151431239933572224610166192',NULL,'739',35.09,4,3,NULL),(20,5282586,'1986-03-24 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201416131431228723285124231066187',NULL,'9998',0.00,1,3,NULL),(20,5282608,'1991-10-12 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241212112432448834595124231467052',5867,'1118',66.31,1,3,NULL),(20,5282616,'1992-11-20 00:00:00',4,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124244241415141411536414242114610114047',NULL,'270',28.38,1,3,NULL),(20,5282624,'1992-03-13 00:00:00',4,1,12,2009,'M','N','SANTA MÔNICA','OSVALDO CRUZ','SP','125252251415111431479839575122610167142',2600,'9998',73.00,1,3,NULL),(20,5282632,'1992-06-01 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431369919592112610114192',8548,'270',58.75,1,3,NULL),(20,5282640,'1992-06-17 00:00:00',2,1,11,2009,'F','N','AREIAS','S JOSÉ','SC','124242241215111432646679371124610163197',NULL,'300',21.60,1,3,NULL),(20,5282659,'1992-08-30 00:00:00',4,2,12,2009,'M','N','ÁGUA VERDE','BLUMENAU','SC','124241241115271431325531272224610137052',7199,'69',60.32,1,2,1),(20,5282667,'1992-06-01 00:00:00',4,1,12,2009,'M','N','TRIANON','GUARAPUAVA','PR','116164161216371431468913595124610117052',7792,'9998',59.26,1,3,NULL),(20,5282675,'1990-06-23 00:00:00',4,1,12,2007,'M','N','VILA ADYANA','S JOSÉ CAMPOS','SP','125252251217573421268812575122610167186',112,'9998',89.86,1,3,NULL),(20,5282683,'1990-09-15 00:00:00',4,1,12,2007,'M','N','JUSSARA','INHUMAS','GO','109091091215571431538819572122610164097',1933,'9998',76.62,4,3,NULL),(20,5282691,'1990-07-25 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116253251114472451338823571114610162147',14701,'9998',43.36,1,3,NULL),(20,5282705,'1991-01-29 00:00:00',2,1,12,2009,'F','N','PRADO','BIGUAÇU','SC','124241241212111431423329345224610127142',NULL,'20',21.13,1,3,NULL),(20,5282713,'1965-07-18 00:00:00',2,1,10,2008,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','224241241147231211223341115134131032047',NULL,'9999',15.90,2,1,1),(20,5282721,'1986-03-02 00:00:00',3,1,12,2003,'F','N','SERRINHA','FLORIANÓPOLIS','SC','116162168217574731348729275121143262097',4844,'9998',67.19,4,3,NULL),(20,5282730,'1986-09-17 00:00:00',4,1,11,2005,'M','N','SAO LUIZ','S JOSÉ','SC','124241241127211431633344245123610168087',NULL,'729',50.49,1,2,1),(20,5282748,'1991-08-13 00:00:00',2,3,12,2008,'M','N','AGUA VERDE','CURITIBA','PR','116164161216472431244929572124610122142',5430,'9998',63.97,1,3,NULL),(20,5282756,'1991-07-15 00:00:00',4,1,12,2008,'F','N','CENTRO','LONDRINA','PR','116162161217471211447811572122610127097',3640,'9998',70.71,1,3,NULL),(20,5282764,'1991-11-14 00:00:00',2,1,12,2008,'F','N','ARIRIÚ','PALHOÇA','SC','124241241117371431636511282124610134142',NULL,'772',28.63,1,2,1),(20,5282772,'1993-03-19 00:00:00',4,15,12,2009,'F','N','COLONINHA','ARARANGUÁ','SC','124241241115271431525731372122610128143',NULL,'29',19.74,1,2,1),(20,5282780,'1990-12-10 00:00:00',2,1,12,2007,'F','N','CENTRO','STA HELENA','PR','124161161136153441538823475124222538147',NULL,'9997',47.10,4,1,1),(20,5282802,'1991-04-03 00:00:00',1,9,7,2008,'M','N','CENTRO','PTO ALEGRE','RS','124242241433472531588831573121610114176',5318,'9998',65.56,1,3,NULL),(20,5282810,'1989-04-12 00:00:00',2,8,12,2007,'M','N','BARREIRINHA','CURITIBA','PR','116163166126571441546923171124610134047',9973,'9998',55.83,1,3,NULL),(20,5282829,'1991-07-11 00:00:00',4,1,11,2008,'M','N','APONIA','PTO VELHO','RO','122222221215571431589913575112610164027',922,'9998',80.81,4,3,NULL),(20,5282837,'1989-02-19 00:00:00',4,1,8,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242247227373451456632575114610168045',4811,'9999',68.83,1,3,NULL),(20,5282845,'1992-10-31 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241115151431225521572124610123072',NULL,'307',28.63,1,2,1),(20,5282853,'1992-07-28 00:00:00',2,15,12,2009,'F','N','CENTRO','BAL ARROIO SILVA','SC','124241248111371741425679384124610136177',NULL,'29',26.46,1,2,1),(20,5282870,'1984-09-07 00:00:00',4,1,12,2002,'F','N','FLORESTAL','LAJEADO','RS','120204201417272531466923472114142528097',8332,'9998',58.84,1,3,NULL),(20,5282888,'1991-03-06 00:00:00',4,1,12,2008,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215473431489713594122610118117',8083,'270',59.24,1,3,NULL),(20,5282896,'1989-10-19 00:00:00',4,7,12,2006,'M','N','INTERIOR','RIO ANTAS','SC','124241241136131411549713345124231424052',NULL,'650',25.88,1,3,NULL),(20,5282900,'1992-05-01 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241112371731434631572124610162147',11169,'727',55.29,1,2,1),(20,5282918,'1993-03-07 00:00:00',4,3,12,2009,'M','N','VILA REAL','BAL CAMBORIÚ','SC','124241241115111431384314575122610114092',7939,'129',59.04,1,2,1),(20,5282926,'1992-05-28 00:00:00',4,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241217111731569914575122610124142',2809,'723',74.10,1,3,NULL),(20,5282934,'1987-10-16 00:00:00',2,8,12,2004,'F','N','CENTRO','CURITIBA','PR','116161161215571411656634375124610162097',2334,'9998',75.68,3,3,NULL),(20,5282942,'1991-07-02 00:00:00',4,1,11,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241116142721443933345133610164141',NULL,'288',16.80,1,2,1),(20,5282950,'1982-09-30 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241135572431123348182124610121147',7328,'757',61.36,1,3,NULL),(20,5282969,'1989-11-23 00:00:00',2,4,12,2006,'F','N','FRANCISCO DONCATTO','S MARCOS','RS','120201201211572411446431571124610126012',11799,'9998',52.49,1,3,NULL),(20,5282977,'1992-07-01 00:00:00',4,8,10,2009,'F','N','SAGUAÇÚ','JOINVILLE','SC','124241241115211431465412575122610137097',NULL,'486',12.99,3,3,NULL),(20,5282985,'1993-08-16 00:00:00',4,2,12,2010,'M','S','DAS NAÇÕES','INDAIAL','SC','124242241216161231686632575112610122192',NULL,'909',0.00,1,3,NULL),(20,5283000,'1988-09-14 00:00:00',4,6,12,2006,'M','N','CENTRO','GOIÂNIA','GO','109092091216273431467923475125120767053',5407,'9998',67.31,1,3,NULL),(20,5283019,'1989-09-04 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126374421444414445124610127047',11682,'290',54.97,1,2,1),(20,5283035,'1989-09-26 00:00:00',2,8,12,2006,'F','N','CENTRO','JOINVILLE','SC','125252251217572431347831575125610127057',709,'9998',83.11,1,3,NULL),(20,5283060,'1967-07-15 00:00:00',2,1,12,2006,'F','N','SERRARIA','S JOSÉ','SC','524241247122141421322244242244610134097',NULL,'9999',0.00,1,2,1),(20,5283086,'1992-02-22 00:00:00',4,5,12,2009,'M','N','CENTRO','URUSSANGA','SC','124242241217151431458933575125610168017',5508,'995',66.68,1,3,NULL),(20,5283094,'1978-04-06 00:00:00',2,1,7,2002,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124201207222131421225341292124610143047',NULL,'9998',0.00,2,1,2),(20,5283108,'1989-02-06 00:00:00',4,4,12,2006,'M','N','CENTRO','ITAPEJARA D OESTE','PR','116163161217571451268632296125610166047',504,'9998',84.59,1,3,NULL),(20,5283116,'1992-04-01 00:00:00',4,8,11,2009,'F','N','IRIRIU','JOINVILLE','SC','124242241215111431466834575122610134042',NULL,'486',29.20,1,3,NULL),(20,5283124,'1991-12-19 00:00:00',4,1,12,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215172311438814575124610165082',11473,'270',53.96,1,3,NULL),(20,5283132,'1992-12-12 00:00:00',4,8,12,2009,'M','N','RONDINHA','CPO LARGO','PR','116161161216111431569813575122610167171',1993,'9998',75.88,1,3,NULL),(20,5283140,'1982-02-03 00:00:00',4,1,12,1998,'F','N','AUXILIADORA','PTO ALEGRE','RS','120202201216471431389931471122342166142',NULL,'9998',0.00,1,3,NULL),(20,5283159,'1990-10-23 00:00:00',4,2,12,2008,'M','N','CENTRO','NOVO HAMBURGO','RS','120202201217471411588931571122610134042',NULL,'9998',0.00,1,3,NULL),(20,5283167,'1988-09-16 00:00:00',4,1,7,2009,'F','N','CENTRO','GARUVA','SC','124243247225371432428313336124610226142',NULL,'487',2.85,1,3,NULL),(20,5283175,'1989-09-20 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124111111141473411533314295124223223062',5615,'9998',66.88,1,2,1),(20,5283191,'1988-12-12 00:00:00',2,15,11,2005,'M','N','OPERARIA','ARARANGUÁ','SC','124241241116132431523332315123610167147',NULL,'29',21.62,4,2,1),(20,5283205,'1991-09-07 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117272431446614246114610126147',13481,'307',51.42,1,2,1),(20,5283221,'1984-09-08 00:00:00',2,1,12,2002,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241122472431434334442234333224143',12185,'287',54.01,4,2,1),(20,5283230,'1992-06-03 00:00:00',4,8,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161117271411457924345124610164112',8778,'9998',57.48,3,3,NULL),(20,5283248,'1992-02-27 00:00:00',4,1,12,2009,'F','N','CENTRO','PALMAS','PR','116164165116161451459933592122610168017',NULL,'9998',0.00,1,3,NULL),(20,5283256,'1992-02-20 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116132641113849195124232716197',NULL,'379',0.00,4,2,1),(20,5283264,'1994-02-22 00:00:00',2,4,12,2010,'M','S','CENTRO','PTE SERRADA','SC','124244242237141531336732575122610137052',NULL,'836',45.64,1,3,NULL),(20,5283272,'1992-01-01 00:00:00',2,2,11,2008,'M','N','CENTRO','CURITIBA','PR','116162161235471731458634575115241414042',2071,'9998',76.38,1,3,NULL),(20,5283280,'1992-06-20 00:00:00',4,3,12,2009,'M','N','ALTO','CURITIBA','PR','116162161217471431458911571122610164062',NULL,'9998',0.00,1,3,NULL),(20,5283299,'1985-03-17 00:00:00',2,1,3,2003,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','224241241117131521224344345334330264177',NULL,'306',0.00,4,2,1),(20,5283302,'1991-10-28 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241115271411533411242124610113147',NULL,'732',26.44,1,2,1),(20,5283310,'1981-08-29 00:00:00',2,1,12,1999,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241117373451223429442124610112182',16291,'65',40.75,4,1,1),(20,5283329,'1992-03-19 00:00:00',2,1,11,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241215372431458729575124610124077',NULL,'1048',32.10,1,3,NULL),(20,5283337,'1992-04-19 00:00:00',4,8,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161214471431569911571122610162017',5978,'9998',62.58,1,3,NULL),(20,5283345,'1984-02-02 00:00:00',2,3,12,2001,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241211134411116649491324610142062',5500,'269',66.22,1,3,NULL),(20,5283353,'1991-08-17 00:00:00',4,7,11,2008,'F','N','IMPERIAL','CONCÓRDIA','SC','124242241216472731458632575125610164147',NULL,'190',29.66,1,3,NULL),(20,5283361,'1992-12-20 00:00:00',4,7,11,2009,'F','N','UNIVERSITÁRIO','VIDEIRA','SC','124244241215112431259914575122610167052',6978,'969',63.36,1,3,NULL),(20,5283370,'1988-08-10 00:00:00',2,1,12,2005,'F','N','CAPRICÓRNIO','CPO MOURÃO','PR','116161161315572431546923574122610162193',NULL,'9998',0.00,1,3,NULL),(20,5283388,'1992-04-22 00:00:00',4,8,11,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431346812572122610133141',7216,'457',63.39,1,3,NULL),(20,5283400,'1980-09-03 00:00:00',2,1,12,2000,'F','N','BARREIROS','S JOSÉ','SC','624243241122475431234451282124131022077',NULL,'257',26.05,1,3,NULL),(20,5283418,'1991-03-15 00:00:00',2,1,11,2009,'F','N','SAÕ JOSÉ','S JOSÉ','SC','124244248117251331325313175124610112145',NULL,'726',21.68,1,3,NULL),(20,5283426,'1985-06-01 00:00:00',2,3,12,2004,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241212133411116649491324610142063',10509,'269',56.49,1,3,NULL),(20,5283434,'1990-05-17 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241125573711423324285124610146141',2031,'274',76.34,1,2,1),(20,5283450,'1984-01-13 00:00:00',2,1,12,2006,'M','N','PINHEIRA','PALHOÇA','SC','624241241127131421223344215124610127117',NULL,'79',24.25,1,3,NULL),(20,5283469,'1989-03-24 00:00:00',4,1,12,2006,'M','N','PASSA VINTE','PALHOÇA','SC','124243241217143441546634345123221236057',10977,'1010',56.33,1,3,NULL),(20,5283507,'1991-04-05 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215372231656933575114610164197',9184,'1169',59.64,1,3,NULL),(20,5283515,'1992-03-26 00:00:00',2,1,12,2009,'F','N','VILA INDUSTRIAL','TOLEDO','PR','116163161317121411436924572125610146072',2288,'9998',74.21,1,3,NULL),(20,5283523,'1987-12-26 00:00:00',4,1,12,2005,'M','N','ARCO IRIS','ATIBAIA','SP','124252251417152751459931595115222264174',14329,'9998',49.65,1,3,NULL),(20,5283531,'1992-03-04 00:00:00',4,8,11,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215111531457712575112610168097',NULL,'486',0.00,3,3,NULL),(20,5283540,'1990-06-06 00:00:00',2,1,12,2007,'F','N','JARDIM AQUARIOS','PALHOÇA','SC','124241241112141231326624342124132752142',NULL,'591',0.00,4,2,1),(20,5283558,'1992-09-09 00:00:00',4,9,12,2009,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124241241112121432316331575124610124177',15905,'513',42.21,1,2,1),(20,5283566,'1991-10-11 00:00:00',2,1,11,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215473411446823472124610147042',5263,'273',65.56,1,3,NULL),(20,5283574,'1989-04-17 00:00:00',2,5,12,2006,'F','N','SALGADO FILHO','GRAVATAÍ','RS','120202201217571741547833571114610127147',8357,'9998',60.51,1,3,NULL),(20,5283582,'1987-06-24 00:00:00',2,1,12,2004,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241146273431123344242124122234097',10818,'322',53.84,1,2,1),(20,5283590,'1992-12-12 00:00:00',4,5,12,2009,'F','N','VILA LOURDES','FORQUILHINHA','SC','124241241122131231423511242334610166172',NULL,'309',0.00,1,3,NULL),(20,5283604,'1987-03-17 00:00:00',2,1,12,2004,'M','N','VILA MARIANA','S PAULO','SP','125252251216571731448834575125610167047',1252,'9998',79.76,1,3,NULL),(20,5283612,'1991-04-08 00:00:00',2,1,12,2008,'F','N','SÃO BASILIO','UNIÃO VITÓRIA','PR','116241241315461431526431211124610124092',NULL,'990',31.88,1,3,NULL),(20,5283620,'1993-02-20 00:00:00',4,2,12,2010,'F','S','VICTOR KONDER','BLUMENAU','SC','124242241215111431439934595122610123142',NULL,'909',49.27,1,3,NULL),(20,5283639,'1992-01-08 00:00:00',4,3,12,2009,'M','N','CENTRO','PNT GROSSA','PR','116162161216471511468833432122610164052',NULL,'9998',0.00,1,3,NULL),(20,5283647,'1992-07-22 00:00:00',4,8,12,2009,'M','N','STELLA MARIS','PERUÍBE','SP','125252251216131451648833575121610164182',13548,'9998',47.67,1,3,NULL),(20,5283655,'1983-07-08 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','624241247412142531634654242114123042197',NULL,'977',24.33,4,3,NULL),(20,5283663,'1988-09-08 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241111131411225644342214610123147',NULL,'359',22.09,4,1,1),(20,5283671,'1993-10-28 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111411668831575122610111142',NULL,'1169',27.31,1,3,NULL),(20,5283680,'1979-08-30 00:00:00',2,1,12,1997,'F','N','PASSA VINTE','PALHOÇA','SC','124241241416472411136544441122130635021',NULL,'514',25.07,1,3,NULL),(20,5283698,'1990-07-12 00:00:00',4,6,12,2007,'M','N','CENTRO','ALTAMIRA PARANÁ','PR','116161161216571451558912575122610167057',1050,'9998',79.72,3,3,NULL),(20,5283701,'1992-03-01 00:00:00',4,10,11,2009,'F','N','CAMPESTRE','IMBITUBA','SC','124242241217122431257924472124610136147',2442,'807',75.18,1,3,NULL),(20,5283710,'1990-05-05 00:00:00',4,1,12,2009,'M','N','CENTRO','ALFREDO WAGNER','SC','124241241116161711446312142122610162192',NULL,'13',18.22,1,2,1),(20,5283728,'1982-07-29 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','120201207127131431523311282121610134147',NULL,'9998',12.85,1,3,NULL),(20,5283736,'1983-05-18 00:00:00',4,1,12,2001,'F','N','SERRARIA','S JOSÉ','SC','124241241116233131634339242114610122197',NULL,'293',17.97,1,2,1),(20,5283760,'1991-01-16 00:00:00',4,2,11,2008,'M','N','CENTRO','INDAIAL','SC','124242241215472431489811115122610114122',NULL,'909',55.03,1,3,NULL),(20,5283779,'1983-03-19 00:00:00',4,1,12,2000,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241412573431566413432124322547042',NULL,'300',0.00,1,3,NULL),(20,5283787,'1992-05-10 00:00:00',4,5,12,2009,'F','N','NASPOLINI','MRO FUMAÇA','SC','124054241115131431643319272122610121197',NULL,'567',0.00,1,3,NULL),(20,5283795,'1992-01-07 00:00:00',4,6,12,2009,'M','N','VILA IZABEL','CURITIBA','PR','116162161216111431347811575112610137057',842,'9998',81.33,1,3,NULL),(20,5283809,'1992-11-26 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241217112431469613375122610164092',NULL,'1022',39.53,1,3,NULL),(20,5283817,'1992-09-02 00:00:00',4,9,12,2009,'M','N','IPIRANGA','LAGES','SC','124242241215121431558811475122610137122',NULL,'9997',28.84,1,3,NULL),(20,5283825,'1991-07-26 00:00:00',2,9,12,2008,'F','N','EUGENIO SCHNEIDER','RIO SUL','SC','124242241215272431326622335125131344097',NULL,'991',27.96,1,3,NULL),(20,5283841,'1992-11-13 00:00:00',4,2,12,2009,'F','N','PROGRESSO','BLUMENAU','SC','124241241115271411436634575124610156077',3316,'85',72.56,1,2,1),(20,5283850,'1991-04-04 00:00:00',2,4,12,2008,'F','N','CENTRO','RODEIO BONITO','RS','120201201115471431646912395124610134097',NULL,'9998',0.00,1,2,1),(20,5283868,'1986-09-12 00:00:00',4,1,12,2003,'F','N','KOBRASOL','S JOSÉ','SC','124242241212152421346513575112132864043',NULL,'1076',0.00,1,3,NULL),(20,5283884,'1990-02-17 00:00:00',2,1,12,2008,'F','N','COSTA DE CIMA','FLORIANÓPOLIS','SC','124241241125471751123449295124610147057',NULL,'291',26.45,1,2,1),(20,5283892,'1992-12-29 00:00:00',4,1,12,2009,'M','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161216271411589916271122610166053',NULL,'9998',0.00,1,3,NULL),(20,5283914,'1989-09-26 00:00:00',4,1,12,2007,'F','N','PLANALTO PARAISO','S CARLOS','SP','125252251215571331448834575112610164073',5036,'9998',66.02,1,3,NULL),(20,5283922,'1992-09-02 00:00:00',2,10,12,2009,'F','N','DEHON','TUBARÃO','SC','124241241115151431326829475122610136042',13149,'1034',48.63,1,2,1),(20,5283930,'1992-10-23 00:00:00',4,1,12,2009,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124244241217273431489933576122610164011',9185,'262',58.18,1,3,NULL),(20,5283949,'1993-10-15 00:00:00',4,1,2,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242243215111231436632572122610114167',NULL,'737',19.07,1,3,NULL),(20,5283957,'1992-07-23 00:00:00',4,1,11,2009,'F','N','CAMINHO DAS ÁRVORES','SALVADOR','BA','105052051217111411489814472112610164112',NULL,'9998',47.04,1,3,NULL),(20,5283965,'1992-02-18 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241116271431346533432122623224112',NULL,'732',12.51,1,3,NULL),(20,5283973,'1992-11-19 00:00:00',4,1,12,2009,'M','N','VILA INDUSTRIAL','TOLEDO','PR','116162161215411131264923575122610167124',NULL,'9998',0.00,1,3,NULL),(20,5283981,'1989-03-28 00:00:00',2,1,12,2006,'F','N','ÁRTEMIS','PIRACICABA','SP','125252251217471431388813235122143262147',NULL,'9998',42.61,1,3,NULL),(20,5283990,'1992-02-25 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112431489923571122610164011',4258,'270',70.05,1,3,NULL),(20,5284007,'1989-06-02 00:00:00',4,15,12,2007,'M','N','PINTADA','PR GRANDE','SC','124241241147131431336336252224610146177',NULL,'641',24.62,1,2,1),(20,5284015,'1988-01-20 00:00:00',4,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116162161211574431469933595122142667092',6407,'9998',62.69,1,3,NULL),(20,5284023,'1992-08-21 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112411388833572112610137112',2549,'270',74.90,1,3,NULL),(20,5284031,'1992-11-09 00:00:00',2,10,12,2009,'F','N','PAES LEME','IMBITUBA','SC','124241243116271431426614331122610134152',NULL,'359',29.90,1,2,1),(20,5284040,'1993-08-12 00:00:00',4,8,12,2010,'F','S','FLORESTA','JOINVILLE','SC','124242161216151331538839472124610126122',NULL,'932',25.86,3,3,NULL),(20,5284058,'1991-04-14 00:00:00',4,4,12,2008,'F','N','CENTRO','PATO BRANCO','PR','116162161215471431447711292125610165092',6490,'9998',64.94,1,3,NULL),(20,5284066,'1986-05-15 00:00:00',4,1,2,2003,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241117372431565631415124333224052',1763,'739',76.89,1,2,1),(20,5284074,'1989-06-21 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217575431339611572124232823187',NULL,'1036',28.09,1,3,NULL),(20,5284082,'1988-04-29 00:00:00',2,1,12,2005,'F','N','PARIGOT DE SOUZA','CPO MOURÃO','PR','116161161117511751333923371122610165197',4205,'9998',68.28,1,2,1),(20,5284090,'1988-09-15 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241127131431423624245114610132197',NULL,'594',54.54,5,3,NULL),(20,5284112,'1990-11-05 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241213372231578814574124232622075',NULL,'270',36.34,1,3,NULL),(20,5284139,'1990-01-06 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241135152221428449592124220967042',NULL,'274',24.07,4,1,1),(20,5284147,'1990-08-02 00:00:00',4,1,7,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242247217151731357833575112610162195',NULL,'9999',17.79,1,3,NULL),(20,5284155,'1992-01-20 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241235122751369519585112610164035',NULL,'1022',55.34,1,3,NULL),(20,5284163,'1990-12-25 00:00:00',2,1,12,2007,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241116372431526521275124610136147',NULL,'257',0.00,1,2,1),(20,5284171,'1974-03-14 00:00:00',2,1,12,1991,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241147143741334441315134610143097',NULL,'307',30.15,1,2,1),(20,5284180,'1990-09-21 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241215373411468711372112121737022',6314,'1022',63.94,1,3,NULL),(20,5284198,'1986-01-08 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216135431236611485124233262077',NULL,'654',20.52,1,3,NULL),(20,5284201,'1990-04-06 00:00:00',4,1,12,2007,'F','N','SANTANA','PTO ALEGRE','RS','120202201217571431368833571114610166147',498,'9998',84.62,1,3,NULL),(20,5284210,'1992-05-21 00:00:00',4,4,12,2009,'M','N','JARDIM PRESIDENTE','RIO VERDE','GO','109092091237111431467812575122610137053',NULL,'9998',37.50,1,3,NULL),(20,5284228,'1991-09-20 00:00:00',4,17,12,2008,'F','N','CENTRO','TELÊMACO BORBA','PR','116162161231471751346834595125610116127',440,'9998',85.11,1,3,NULL),(20,5284236,'1992-11-09 00:00:00',4,8,12,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241211211411439912371124610114041',NULL,'462',0.00,1,3,NULL),(20,5284252,'1991-01-09 00:00:00',2,2,12,2008,'M','N','MARECHAL RONDOM','CANOAS','RS','120204121217471741446913375114610166056',966,'9998',81.53,1,3,NULL),(20,5284260,'1982-01-01 00:00:00',4,1,12,1999,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117134431433443435134610124182',5325,'293',67.51,1,2,1),(20,5284279,'1991-08-26 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215472431423334575124610137011',NULL,'1022',39.63,1,3,NULL),(20,5284287,'1991-09-25 00:00:00',2,9,12,2008,'F','N','BOMBAS','BOMBINHAS','SC','124242241336372431356813272112131067072',NULL,'1172',44.03,1,3,NULL),(20,5284295,'1991-05-27 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241215273431458831484124230237047',12771,'270',52.80,1,3,NULL),(20,5284317,'1990-03-12 00:00:00',2,15,11,2008,'M','N','SOCOPAS','BAL ARROIO SILVA','SC','124244241216372431446619572122610117112',7764,'970',60.76,1,3,NULL),(20,5284325,'1991-03-03 00:00:00',2,1,12,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215412751247613575114610117082',NULL,'1022',0.00,1,3,NULL),(20,5284333,'1991-12-20 00:00:00',4,1,12,2008,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215212451478879575114131468082',4480,'738',68.26,1,3,NULL),(20,5284350,'1985-07-03 00:00:00',2,1,7,2004,'F','N','BOM VIVER','BIGUAÇU','SC','124241247436133431226624382124610127157',NULL,'9999',0.00,1,3,NULL),(20,5284376,'1984-02-13 00:00:00',2,1,12,2003,'F','N','BARREIROS','S JOSÉ','SC','124241241132435731626613386114613034143',NULL,'734',28.16,1,2,1),(20,5284384,'1987-11-14 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241116272431123344341334610134147',NULL,'293',29.90,1,2,1),(20,5284392,'1990-09-13 00:00:00',2,6,11,2007,'M','N','CENTRO','SOMBRIO','SC','124242241216473411479933574125610167062',NULL,'32',0.00,4,3,NULL),(20,5284406,'1991-08-17 00:00:00',2,5,12,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241217153431468924375124231432062',8953,'226',56.18,1,3,NULL),(20,5284414,'1962-09-27 00:00:00',2,1,12,1980,'F','N','CAMPINAS','S JOSÉ','SC','124241243126134411342243332122320862093',NULL,'305',0.00,1,3,NULL),(20,5284422,'1986-08-18 00:00:00',4,1,12,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','124203207316152411338713185124610168187',14164,'9998',50.05,1,3,NULL),(20,5284430,'1991-01-18 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116472431448933575124610131142',NULL,'307',32.53,1,2,1),(20,5284449,'1989-04-02 00:00:00',4,1,11,2007,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124244241415434411339953495122230267057',NULL,'270',28.10,1,3,NULL),(20,5284465,'1975-07-02 00:00:00',2,1,12,1996,'M','N','FLORESTA','S JOSÉ','SC','224251256111111112247411431114610111181',NULL,'9998',18.03,4,3,NULL),(20,5284473,'1985-10-15 00:00:00',4,1,12,2004,'M','N','DIC II','CAMPINAS','SP','125256257126271432433634375124142142047',15858,'9998',41.32,4,1,2),(20,5284481,'1987-03-29 00:00:00',2,1,8,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243248312531211524719115124610161172',NULL,'9999',30.18,4,3,NULL),(20,5284490,'1983-09-26 00:00:00',4,1,12,2001,'M','N','IPIRANGA','S JOSÉ','SC','124241241446133431237641215112610166097',14011,'270',50.37,1,3,NULL),(20,5284503,'1986-08-26 00:00:00',2,1,12,2003,'M','N','CENTRO','S JOSÉ','SC','124244241216153741459733395122333167171',NULL,'1011',15.24,1,3,NULL),(20,5284511,'1992-10-28 00:00:00',4,10,12,2009,'M','N','SANTO ANTÔNIO DE P','TUBARÃO','SC','124241246217273411548613575122610164047',13422,'1120',51.55,2,1,2),(20,5284520,'1992-10-31 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241335131431325569572324610167077',NULL,'262',21.59,1,3,NULL),(20,5284562,'1989-01-25 00:00:00',4,1,12,2006,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124112111216474431468813495124233268182',12436,'9998',49.91,4,3,NULL),(20,5284570,'1991-12-19 00:00:00',4,5,12,2008,'M','N','UNIVERSITÁRIO','CRICIÚMA','SC','124241241132131432113344345221610132187',NULL,'567',26.17,1,2,1),(20,5284597,'1988-04-20 00:00:00',2,6,12,2005,'F','N','BARRA DO RIO','ITAJAÍ','SC','124242241215575431458933574114610125187',8359,'391',59.09,1,3,NULL),(20,5284600,'1990-08-02 00:00:00',2,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217574431459923575122131964122',163,'270',88.67,1,3,NULL),(20,5284619,'1967-10-19 00:00:00',2,1,11,1998,'M','N','PARQUE DOM PEDRO II','CAMPINAS','SP','525251251127571441113348185124610165177',8474,'9998',59.88,2,1,1),(20,5284627,'1990-07-02 00:00:00',4,6,12,2007,'M','N','BARRA DO RIO','ITAJAÍ','SC','124242241215573431458933574114610124117',4536,'391',67.88,1,3,NULL),(20,5284635,'1992-02-06 00:00:00',4,8,12,2009,'M','N','GALO DE OURO','CERQUILHO','SP','125254251215161411435719285122610164172',NULL,'9998',0.00,1,3,NULL),(20,5284643,'1990-06-28 00:00:00',2,1,12,2007,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241112473431536614435114610127067',8123,'298',59.61,1,2,1),(20,5284651,'1991-03-20 00:00:00',4,7,12,2009,'F','N','LINHA CANHADA FUNDA','HERVAL D OESTE','SC','124241243115111411524435252224610137052',NULL,'341',0.00,1,2,1),(20,5284660,'1991-05-29 00:00:00',4,1,12,2008,'F','N','CENTRO','IMBUIA','SC','124241241315473411434422295124610167072',8119,'991',59.40,1,3,NULL),(20,5284678,'1991-12-21 00:00:00',2,1,11,2009,'F','N','GUIOMAR','ANTÔNIO CARLOS','SC','124241241115471431323326462321610127047',15893,'21',44.66,1,2,1),(20,5284686,'1992-03-06 00:00:00',4,4,12,2009,'M','N','CENTRO','LINDÓIA SUL','SC','124241241115131432623335152122610137047',NULL,'534',0.00,4,3,NULL),(20,5284694,'1991-10-06 00:00:00',2,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116471431446824375124610162147',6628,'278',62.67,1,2,1),(20,5284708,'1976-06-28 00:00:00',2,1,11,2008,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','224201241127371711333344145124610162092',15936,'9999',44.49,1,2,1),(20,5284724,'1984-11-22 00:00:00',2,1,12,2003,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241111155431632623392124221217043',NULL,'281',27.32,2,1,1),(20,5284732,'1992-03-03 00:00:00',2,4,12,2009,'F','N','CENTRO','PINHALZINHO','SC','124243241216371731547614575124610164147',NULL,'185',15.49,1,3,NULL),(20,5284740,'1992-07-27 00:00:00',2,15,12,2009,'F','N','NOVA VIÇENSA','TURVO','SC','124241241115131431426415171344610121142',NULL,'814',0.00,1,3,NULL),(20,5284759,'1986-01-18 00:00:00',2,1,4,2004,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117473721366643435122533267067',3329,'739',72.53,1,2,1),(20,5284767,'1990-01-16 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124202201216153431156432575121221467155',5456,'9998',67.21,1,3,NULL),(20,5284775,'1991-01-23 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241113232431326823283121610137117',NULL,'288',25.74,1,2,1),(20,5284783,'1992-05-06 00:00:00',2,5,7,2010,'F','S','CENTRO','CRICIÚMA','SC','124241243217141432655612585124610164077',NULL,'995',27.09,1,3,NULL),(20,5284791,'1991-05-08 00:00:00',4,6,12,2008,'F','N','PERDIZES','S PAULO','SP','125161161217472431444432575114610125141',10737,'9998',54.00,1,3,NULL),(20,5284805,'1972-11-25 00:00:00',4,1,2,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201207126271431112348285124141327147',NULL,'9998',30.62,4,2,1),(20,5284813,'1991-02-15 00:00:00',4,2,12,2008,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215472731478931575125610138113',5547,'909',67.01,1,3,NULL),(20,5284821,'1992-07-16 00:00:00',2,1,11,2010,'M','S','KOBRASOL','S JOSÉ','SC','124241241215111411645511575124610168092',NULL,'723',19.53,1,3,NULL),(20,5284830,'1992-09-12 00:00:00',4,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241117131731426811575124610124012',NULL,'733',25.41,1,3,NULL),(20,5284848,'1985-03-27 00:00:00',4,1,12,2006,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124243241117131432546619342113610112047',NULL,'307',23.38,2,1,2),(20,5284856,'1989-03-18 00:00:00',2,3,12,2006,'M','N','DO COLEGIO','APUCARANA','PR','116162161215572431456819375112610167067',2287,'9998',74.53,1,3,NULL),(20,5284864,'1986-08-31 00:00:00',2,1,12,2007,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241123231431336634443114610117047',NULL,'288',29.94,1,2,1),(20,5284872,'1989-04-02 00:00:00',2,1,12,2007,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241112474221632623472114610127043',NULL,'281',28.44,2,1,1),(20,5284880,'1992-08-05 00:00:00',4,2,12,2009,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215112531469618275114610137012',12286,'855',52.39,1,3,NULL),(20,5284899,'1992-04-13 00:00:00',4,4,12,2009,'M','N','PERPETUO SOCORRO','S LOURENÇO OESTE','SC','124241241116371431469613342124610122063',10691,'744',53.48,1,2,1),(20,5284902,'1993-07-23 00:00:00',2,5,12,2010,'F','S','CENTRO','SOMBRIO','SC','124242241216111431459413592122610154097',NULL,'970',26.42,1,3,NULL),(20,5284910,'1991-10-14 00:00:00',2,1,11,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216272751448939575114610168047',5579,'1046',64.93,1,3,NULL),(20,5284937,'1991-04-23 00:00:00',4,5,12,2008,'M','N','MENINO DEUS','PTO ALEGRE','RS','120202201211471411589913571124610117047',NULL,'9998',29.72,1,3,NULL),(20,5284945,'1991-06-21 00:00:00',2,9,11,2008,'M','N','SANTA MARIA','LAGES','SC','124241241216373431336624575124231437052',4250,'497',70.16,1,3,NULL),(20,5284953,'1992-12-14 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112431537811375124610167015',12588,'270',49.48,1,3,NULL),(20,5284961,'1946-09-30 00:00:00',2,1,12,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124246248627142411331464141124610136192',NULL,'306',19.82,1,3,NULL),(20,5284988,'1992-12-06 00:00:00',2,3,12,2009,'M','N','JARDIM RIO VERDE','TRÊS CORAÇÕES','MG','113131131117111431323724575125610124142',8604,'9998',59.08,1,2,1),(20,5284996,'1991-07-01 00:00:00',4,1,11,2008,'M','N','OURO VERDE','STA ROSA','RS','120202201236271431436732575122610124042',NULL,'9998',40.29,1,3,NULL),(20,5285011,'1989-11-27 00:00:00',4,4,12,2006,'F','N','CENTRO','XAXIM','SC','124241241216573431448932595124610164187',4178,'185',70.07,1,3,NULL),(20,5285020,'1971-08-07 00:00:00',2,1,7,2008,'F','N','BARREIROS','S JOSÉ','SC','624241247122272411625354282124610124097',NULL,'736',26.60,1,3,NULL),(20,5285054,'1991-03-04 00:00:00',2,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124244241215472411228519575114610152197',6228,'270',65.51,1,3,NULL),(20,5285062,'1986-06-03 00:00:00',2,1,12,2005,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224241241322374431323354241224610167017',12622,'9997',49.85,1,3,NULL),(20,5285089,'1962-04-15 00:00:00',2,1,12,1982,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','224241241123231421336634443134610112157',NULL,'168',40.68,1,2,1),(20,5285097,'1992-08-12 00:00:00',4,1,11,2009,'M','N','CAMPO AGUA VERDE','CANOINHAS','SC','124241241215111431469931576124610167047',84,'270',90.50,1,3,NULL),(20,5285100,'1989-06-25 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124111241122134412425579242334610127047',NULL,'922',25.36,1,3,NULL),(20,5285119,'1975-02-12 00:00:00',4,1,11,1992,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','624202203245372731336651215124610134147',NULL,'9998',30.33,1,3,NULL),(20,5285127,'1992-03-03 00:00:00',2,10,12,2009,'F','N','CAÇADOR','CAPIVARI BAIXO','SC','124243241216121431466414345122610128182',15827,'797',41.77,1,3,NULL),(20,5285135,'1992-07-07 00:00:00',4,7,12,2009,'M','N','IMIGRANTES','CONCÓRDIA','SC','124241241211471441449739371124610167052',NULL,'1001',34.25,1,3,NULL),(20,5285143,'1992-07-14 00:00:00',4,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241125131231443431311124610124122',NULL,'283',20.04,4,2,1),(20,5285151,'1989-01-12 00:00:00',2,1,7,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117272431446813496124231834012',7639,'306',62.55,4,2,1),(20,5285160,'1992-05-14 00:00:00',2,15,12,2009,'F','N','CENTRO','SOMBRIO','SC','124242241216111441337929575125610138142',NULL,'770',30.92,1,3,NULL),(20,5285178,'1990-09-02 00:00:00',2,15,12,2007,'M','N','TUPINAMBÁ','CACHOEIRA SUL','RS','120202201216371431579932595122610134042',NULL,'9998',42.10,1,3,NULL),(20,5285186,'1993-04-01 00:00:00',2,2,12,2010,'M','S','PRIMEIRO DE MAIO','BRUSQUE','SC','124241241415111231436517274144610148152',NULL,'107',45.23,1,3,NULL),(20,5285194,'1993-01-27 00:00:00',2,4,12,2009,'F','N','SANTA MARIA','CHAPECÓ','SC','124242241215121532567933472122610128142',10012,'1021',54.88,1,3,NULL),(20,5285208,'1991-08-06 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241135471431667219472124610134183',11578,'307',54.33,1,3,NULL),(20,5285224,'1991-05-30 00:00:00',2,5,11,2008,'F','N','MORRO DA GLÓRIA','URUSSANGA','SC','124242241215472431469913572124230247142',3655,'226',70.13,1,3,NULL),(20,5285232,'1989-01-13 00:00:00',4,1,8,2007,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241117273431459612445124130222041',10318,'739',56.02,1,3,NULL),(20,5285240,'1992-08-21 00:00:00',4,2,12,2009,'F','N','SAO LUIZ','BRUSQUE','SC','124242241215273431468812575122610115142',5030,'109',68.23,1,3,NULL),(20,5285259,'1990-12-03 00:00:00',4,1,12,2008,'M','N','SANTA MÔNICA','FRA SANTANA','BA','105052051215371431469813575124140232122',3319,'9998',71.80,4,3,NULL),(20,5285267,'1992-07-16 00:00:00',4,2,12,2009,'F','N','CENTRO','SALTO','SP','125252251215111431459911571122610133092',NULL,'9998',0.00,1,3,NULL),(20,5285275,'1984-06-08 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124204201432211432426617212324613218192',NULL,'9998',25.97,1,3,NULL),(20,5285283,'1991-01-28 00:00:00',4,1,12,2008,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241115162432338624375124221425187',12528,'412',53.28,1,2,1),(20,5285291,'1992-05-03 00:00:00',4,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124242241215122431468833575121610167042',12669,'948',48.39,1,3,NULL),(20,5285305,'1990-12-08 00:00:00',2,1,12,2009,'F','N','BIGUAÇU','BIGUAÇU','SC','124242241236371731348712372114610162017',13136,'738',52.10,1,3,NULL),(20,5285321,'1991-04-12 00:00:00',4,1,12,2009,'M','N','AREIAS DE CIMA','BIGUAÇU','SC','124241246115472231624314275124610167142',8922,'306',58.15,1,2,1),(20,5285330,'1990-12-01 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124212241216412331466932575114610166172',13851,'270',50.65,1,3,NULL),(20,5285348,'1987-01-22 00:00:00',2,1,12,2004,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241132471411525329441124610136145',14344,'286',49.62,1,2,1),(20,5285356,'1986-04-20 00:00:00',4,1,12,2006,'M','N','JURERÊ','FLORIANÓPOLIS','SC','224242247217271431328642325125130464022',3411,'9999',72.31,1,3,NULL),(20,5285364,'1991-04-04 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217152431479933575114610167122',NULL,'270',39.80,1,3,NULL),(20,5285372,'1992-05-12 00:00:00',2,1,12,2009,'F','N','PRAIA DA PINHEIRA','PALHOÇA','SC','124242241215131141366633575114610122192',NULL,'989',28.73,1,3,NULL),(20,5285380,'1986-07-14 00:00:00',2,1,10,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212472411346721471114610168167',NULL,'9999',44.73,1,3,NULL),(20,5285399,'1992-08-23 00:00:00',4,1,11,2009,'M','N','CENTRO','STA ROSA','RS','120204201417111531679612375125613238055',NULL,'9998',39.74,1,3,NULL),(20,5285410,'1986-09-20 00:00:00',2,1,12,2003,'F','N','ARIRIU','PALHOÇA','SC','124241241126175221533623185124223264097',15508,'592',46.29,1,2,1),(20,5285429,'1991-08-07 00:00:00',2,5,12,2008,'F','N','CENTRO','SOMBRIO','SC','124244241216473431459413572124610153097',10576,'970',57.09,1,3,NULL),(20,5285437,'1990-09-05 00:00:00',2,1,12,2007,'F','N','PACHECOS','PALHOÇA','SC','124241241112133431333319245234610163057',NULL,'592',0.00,1,2,1),(20,5285445,'1991-03-17 00:00:00',4,1,12,2008,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124244241215373431233811275122131462142',3603,'107',71.07,1,3,NULL),(20,5285453,'1992-08-03 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124241241216271432379914575122610122122',6074,'87',65.52,1,3,NULL),(20,5285461,'1981-06-28 00:00:00',2,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241212135431434444342334132022142',NULL,'781',19.35,1,3,NULL),(20,5285488,'1990-11-24 00:00:00',4,8,11,2007,'M','N','CENTRO','JAGUAPITÃ','PR','116162161215573431448823572122610132062',6387,'9998',63.26,4,3,NULL),(20,5285500,'1993-09-17 00:00:00',4,1,11,2009,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241215111531356933372224610128097',5907,'723',66.22,1,3,NULL),(20,5285518,'1993-05-05 00:00:00',4,15,12,2010,'F','S','CIDADE ALTA','TURVO','SC','124243241215111531436812572124610144057',NULL,'970',19.97,1,3,NULL),(20,5285550,'1963-03-15 00:00:00',4,1,12,1980,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','524253258317152421458821415122341014182',8660,'9998',60.62,1,3,NULL),(20,5285577,'1993-02-19 00:00:00',4,3,12,2009,'M','N','CENTRO','PALOTINA','PR','116162161217371431468931575121610161142',NULL,'9998',0.00,1,3,NULL),(20,5285585,'1991-12-20 00:00:00',4,8,10,2009,'M','N','SAGUAÇÚ','JOINVILLE','SC','124242241215112431469812575112610167114',2446,'486',74.81,4,3,NULL),(20,5285593,'1991-12-19 00:00:00',4,8,12,2009,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124244241216152431468614572121610132197',8826,'441',57.07,1,3,NULL),(20,5285607,'1987-09-30 00:00:00',4,1,9,2005,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124244241117472431444639342124610168043',NULL,'306',0.00,1,3,NULL),(20,5285615,'1992-09-24 00:00:00',4,1,11,2009,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215111431466314575124610113042',2075,'270',74.71,1,3,NULL),(20,5285623,'1986-04-11 00:00:00',4,1,12,2009,'M','N','FORQUILHAS','S JOSÉ','SC','124241248125141721424313242122610167042',NULL,'736',19.58,4,2,1),(20,5285631,'1990-08-31 00:00:00',4,4,12,2007,'F','N','CENTRO','PÉROLA','PR','116161161135472431656923574122610137047',941,'9998',81.66,4,2,1),(20,5285640,'1983-10-01 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115133711634431315123121764182',7408,'307',63.01,1,2,1),(20,5285666,'1990-03-22 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115372431336611215114610167042',14163,'592',50.05,1,2,1),(20,5285674,'1993-03-17 00:00:00',4,1,12,2009,'M','N','BARRA DE IBIRAQUERA','IMBITUBA','SC','124241241112131431424314172324610167052',NULL,'359',23.08,1,2,1),(20,5285690,'1991-08-30 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431258939592122610137042',6385,'1022',64.24,1,3,NULL),(20,5285704,'1982-02-13 00:00:00',4,1,12,1999,'F','N','VILA VALPARAISO','STO ANDRÉ','SP','125252251211471721349811415125342514077',NULL,'9998',0.00,1,3,NULL),(20,5285712,'1990-12-11 00:00:00',2,1,8,2008,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124241241116144441446632345124233241177',10032,'739',58.09,4,2,1),(20,5285720,'1991-06-11 00:00:00',2,4,12,2008,'F','N','IPIRANGA','FREDERICO WESTPHALEN','RS','120201201115471431546923575124610134187',9016,'9998',59.93,1,2,1),(20,5285739,'1992-05-11 00:00:00',4,4,12,2009,'M','N','CENTRO','QUEDAS IGUAÇU','PR','116164161216471431578614275124610166052',5728,'9998',65.98,1,3,NULL),(20,5285747,'1990-11-12 00:00:00',4,8,11,2008,'M','N','VILA FORMOSA','S JOSÉ R PARDO','SP','125252251216471421568612595324610147042',NULL,'9998',0.00,1,3,NULL),(20,5285755,'1986-02-14 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211154441268829475114133262187',9258,'272',59.50,1,3,NULL),(20,5285763,'1978-04-27 00:00:00',2,1,7,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247135131432216344342124610148147',NULL,'9999',36.24,1,2,1),(20,5285771,'1989-08-23 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','624242241215272431328859395124610166197',NULL,'1022',49.62,1,3,NULL),(20,5285780,'1991-11-14 00:00:00',2,1,12,2008,'F','N','ARIRIÚ','PALHOÇA','SC','124241241117371431646513282124610134147',NULL,'772',27.78,1,2,1),(20,5285798,'1991-12-16 00:00:00',2,8,12,2009,'F','N','DONA FRANCISCA','S BENTO SUL','SC','124241241116372431323316572124610134051',6515,'697',62.99,1,2,1),(20,5285810,'1992-04-27 00:00:00',4,1,12,2009,'F','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241112371431422224572224610131057',NULL,'772',29.84,1,2,1),(20,5285828,'1991-10-19 00:00:00',4,8,11,2009,'M','N','SAGUAÇU','JOINVILLE','SC','124242241235471431437663572121610167067',NULL,'1016',29.29,4,3,NULL),(20,5285836,'1972-03-24 00:00:00',4,1,12,1988,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124202201237141431438941226134141435097',NULL,'9998',29.61,1,3,NULL),(20,5285844,'1991-10-14 00:00:00',2,8,11,2009,'F','N','JARDIM PARAÍSO','JOINVILLE','SC','124241241216112431528779175124610168077',7790,'461',62.25,1,3,NULL),(20,5285852,'1989-05-29 00:00:00',2,8,12,2006,'F','N','JARDIM BOTANICO','CURITIBA','PR','116164161247472441325524375114141566145',NULL,'9998',36.25,1,3,NULL),(20,5285860,'1991-09-19 00:00:00',2,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124242241215473431467814575122610121182',6703,'1022',64.41,1,3,NULL),(20,5285879,'1992-03-23 00:00:00',2,7,11,2009,'F','N','FREI BRUNO','JOAÇABA','SC','124242241216371431348819295122610124142',12982,'446',49.92,1,3,NULL),(20,5285895,'1986-06-04 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241414134731448813492124231846141',NULL,'300',0.00,1,3,NULL),(20,5285909,'1988-05-14 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241132144421348727242114610127167',11083,'306',53.14,1,3,NULL),(20,5285917,'1985-05-08 00:00:00',2,1,12,2003,'F','N','ARIRIU','PALHOÇA','SC','124241241126135431525623385124232765197',NULL,'592',0.00,1,2,1),(20,5285925,'1991-10-10 00:00:00',4,8,12,2008,'M','N','BIGORRILHO','CURITIBA','PR','116254161217472731446834571115610168187',2552,'9998',73.00,3,3,NULL),(20,5285941,'1991-12-13 00:00:00',2,2,12,2009,'F','N','CENTRO','PRES GETÚLIO','SC','124241241136161531223349292121610128147',NULL,'644',0.00,1,2,1),(20,5285950,'1992-12-10 00:00:00',4,1,12,2010,'M','S','CACUPE','FLORIANÓPOLIS','SC','124242241215121431436633575124610121047',NULL,'1022',56.19,1,3,NULL),(20,5285968,'1992-09-10 00:00:00',2,1,12,2009,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241135131431526514575114610167057',NULL,'772',25.58,1,2,1),(20,5285976,'1971-07-03 00:00:00',4,1,12,1990,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126235421133343135124122962097',5475,'100',65.69,1,2,1),(20,5285984,'1991-03-27 00:00:00',2,5,12,2007,'F','N','PARTENON','PTO ALEGRE','RS','120202201215571411449811571124610162142',NULL,'9998',0.00,1,3,NULL),(20,5286000,'1991-12-21 00:00:00',4,8,12,2009,'F','N','BUCAREIN','JOINVILLE','SC','124242241215121431568934395114610138142',NULL,'1016',36.80,1,3,NULL),(20,5286018,'1990-02-17 00:00:00',4,5,5,2008,'M','N','CENTRO','LAURO MÜLLER','SC','124243246337131421346623445124610134042',NULL,'995',32.01,1,3,NULL),(20,5286026,'1992-07-21 00:00:00',4,2,10,2009,'F','N','VELHA','BLUMENAU','SC','124242241215271431358812575122610162196',2574,'909',73.53,1,3,NULL),(20,5286034,'1990-10-25 00:00:00',2,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241215111531527831412115142262143',NULL,'992',29.01,2,1,2),(20,5286042,'1987-08-29 00:00:00',2,3,12,2005,'M','N','JD ANDRADE','LONDRINA','PR','116281281247471431336339375121610167047',5203,'9998',64.47,3,3,NULL),(20,5286050,'1992-06-10 00:00:00',4,8,12,2009,'M','N','CAPÃO RASO','CURITIBA','PR','116162161217121431369934575112610122192',NULL,'9998',48.98,1,3,NULL),(20,5286069,'1991-08-13 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116273731438733575124610164042',NULL,'288',28.15,1,2,1),(20,5286085,'1992-01-31 00:00:00',4,1,12,2009,'M','N','ZONA II','UMUARAMA','PR','116162161217121751447915375115610111182',7004,'9998',61.40,1,3,NULL),(20,5286093,'1990-04-07 00:00:00',4,1,12,2007,'M','N','FERRAZ','GAROPABA','SC','124243241216112431538834475124220767112',7955,'270',61.92,1,3,NULL),(20,5286107,'1993-09-03 00:00:00',3,1,12,2010,'F','S','PRAIA COMPRIDA','S JOSÉ','SC','124242241217111431547933595124610134025',NULL,'9997',23.83,1,3,NULL),(20,5286115,'1992-08-09 00:00:00',4,8,11,2009,'F','N','PIRABEIRABA','JOINVILLE','SC','124242241215111732469912575122610161145',3910,'461',68.75,1,3,NULL),(20,5286123,'1991-03-18 00:00:00',2,1,12,2008,'M','N','IBIRAQUERA','IMBITUBA','SC','124241241134132421316321312324231227047',NULL,'1136',23.55,1,2,1),(20,5286131,'1991-01-23 00:00:00',4,8,6,2009,'F','N','BOA VISTA','JOINVILLE','SC','124243247347131231523334245124610154142',NULL,'9999',13.91,1,3,NULL),(20,5286140,'1992-10-29 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124124241215471431535611575124610163072',12822,'269',50.88,4,3,NULL),(20,5286158,'1990-11-06 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216273431478611412124230241052',8376,'1022',61.17,1,3,NULL),(20,5286166,'1988-12-11 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124242241215273431557613372124221332197',4778,'738',68.90,1,3,NULL),(20,5286174,'1988-08-12 00:00:00',2,1,12,2005,'F','N','RIACHO FUNDO UM','RIACHO FUNDO','DF','107072071217574431468913575112610134142',NULL,'9998',0.00,4,3,NULL),(20,5286182,'1992-08-31 00:00:00',2,4,12,2009,'F','N','CENTRO','GOIOERÊ','PR','116162161216271411548819372122610124092',3730,'9998',70.31,1,3,NULL),(20,5286190,'1991-07-17 00:00:00',2,16,12,2008,'M','N','INTERIOR','PTE ALTA NORTE','SC','124241241121473431118344241331610126175',15910,'626',44.61,1,2,1),(20,5286204,'1991-07-26 00:00:00',2,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124242248217273431426623572114610124142',NULL,'1078',28.28,1,3,NULL),(20,5286212,'1956-06-16 00:00:00',1,1,12,1973,'F','N','PINHEIRO','S LEOPOLDO','RS','220201201117141752363359341122341466197',NULL,'9998',0.00,1,3,NULL),(20,5286220,'1993-06-30 00:00:00',2,15,12,2011,'F','S','JUNDIÁ','TURVO','SC','124244241215111751253427551124610126072',NULL,'970',41.04,1,3,NULL),(20,5286239,'1991-04-01 00:00:00',2,9,12,2008,'F','N','CAPISTRANO','BOM RETIRO','SC','124241241122272431547617282125610166147',14750,'95',48.59,1,2,1),(20,5286247,'1991-11-05 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','120202201217371431469811575124610124057',NULL,'9998',27.58,1,3,NULL),(20,5286263,'1989-08-29 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124251241141142251346619345123610168012',NULL,'307',40.07,4,1,1),(20,5286271,'1992-11-23 00:00:00',4,3,12,2009,'F','N','CENTRO CÍVICO','CURITIBA','PR','116162161217111431356832575122610132182',1587,'9998',76.62,1,3,NULL),(20,5286298,'1989-02-21 00:00:00',4,4,12,2006,'M','N','CENTRO','XAXIM','SC','124241241216574411436134572122610167147',NULL,'185',0.00,1,3,NULL),(20,5286301,'1992-03-16 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241415373431486939575124610127042',3056,'262',73.33,4,3,NULL),(20,5286310,'1988-11-26 00:00:00',4,6,11,2005,'M','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','124242241215575751578732575124131064042',8029,'1026',61.78,1,3,NULL),(20,5286328,'1990-08-01 00:00:00',2,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124241241331142431222221192324233246147',9294,'1022',59.43,2,1,2),(20,5286336,'1989-07-12 00:00:00',2,1,11,2006,'F','N','SEMINÁRIO','TAIÓ','SC','124244241215575431436833594124610125147',20,'991',94.45,1,3,NULL),(20,5286344,'1978-06-28 00:00:00',4,1,12,1995,'F','N','RIO BRANCO','PTO ALEGRE','RS','120202201216471431379811411124342864182',5942,'9998',63.44,1,3,NULL),(20,5286352,'1990-11-20 00:00:00',2,15,12,2008,'F','N','INTERIOR','CRUZEIRO SUL','RS','120201201211472431356514572114610122147',9125,'9998',56.20,1,3,NULL),(20,5286360,'1990-02-27 00:00:00',4,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241137142721237714442123610114072',NULL,'307',24.13,1,3,NULL),(20,5286379,'1991-12-21 00:00:00',2,1,12,2008,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241111372731426611311124610161052',14219,'64',46.01,1,2,1),(20,5286387,'1991-04-04 00:00:00',4,1,12,2008,'M','N','ZONA SETE','MARINGÁ','PR','116162161212312211488871575125141467141',216,'9998',87.75,1,3,NULL),(20,5286395,'1991-11-22 00:00:00',2,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241216111431447833575122610168142',11638,'807',51.77,1,3,NULL),(20,5286409,'1985-09-17 00:00:00',2,1,12,2006,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','224241241121131411211244241244610114192',NULL,'288',22.89,5,2,1),(20,5286417,'1990-09-30 00:00:00',4,5,12,2007,'F','N','IPIRANGA','SOLEDADE','RS','120203201316571431536934571124610123077',6048,'9998',63.86,1,3,NULL),(20,5286425,'1992-12-22 00:00:00',4,7,12,2009,'M','N','CENTRO','VIDEIRA','SC','124241241115131431325414241221610116172',13499,'831',46.30,1,2,1),(20,5286433,'1992-03-13 00:00:00',4,1,11,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124244241217111711456624575114610165152',5717,'1050',65.19,1,3,NULL),(20,5286441,'1992-10-28 00:00:00',4,2,12,2009,'F','N','ASILO','BLUMENAU','SC','124244241215112431389933572124610132142',1055,'909',80.81,1,3,NULL),(20,5286468,'1991-10-12 00:00:00',2,1,11,2009,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241215121431436633571114610137142',NULL,'1022',27.92,1,3,NULL),(20,5286476,'1990-11-21 00:00:00',4,1,11,2008,'F','N','MORUMBI','S PAULO','SP','125252251215471431488834445122141422146',NULL,'9998',NULL,1,3,NULL),(20,5286484,'1993-07-21 00:00:00',2,1,11,2010,'F','S','NSA DO ROSÁRIO','S JOSÉ','SC','124242241215111231568833572112610133072',NULL,'738',18.52,1,3,NULL),(20,5286506,'1991-02-06 00:00:00',2,15,12,2008,'M','N','SANTANA','ERMO','SC','124241241126131432323326455124610167047',NULL,'250',25.58,1,2,1),(20,5286514,'1992-02-08 00:00:00',2,1,11,2009,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241115371441424324275124610167147',NULL,'307',46.84,4,3,NULL),(20,5286522,'1993-08-07 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431448714572122610123192',9036,'270',59.89,1,3,NULL),(20,5286530,'1991-09-14 00:00:00',4,4,12,2008,'F','N','VILA CENTRAL','CRUZ ALTA','RS','120201201216471431466833572112610162147',15453,'9998',41.80,1,3,NULL),(20,5286549,'1992-02-27 00:00:00',4,1,12,2009,'M','N','CAMBUÍ','CAMPINAS','SP','125252251217121411489932572122610147127',NULL,'9998',0.00,1,3,NULL),(20,5286557,'1992-09-22 00:00:00',2,1,12,2009,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124242241215112721436631575124610168042',7802,'1022',60.85,1,3,NULL),(20,5286565,'1980-10-18 00:00:00',2,1,11,1998,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241216174411353617435112333232075',13277,'9997',51.81,1,3,NULL),(20,5286573,'1980-02-06 00:00:00',4,1,12,2000,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224252251417251421268744345122233242182',NULL,'9998',0.00,1,3,NULL),(20,5286581,'1992-03-16 00:00:00',4,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241215111631566919576122610118077',NULL,'1141',25.35,1,3,NULL),(20,5286603,'1993-02-16 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241316131431426923575124610115177',14749,'288',45.61,1,3,NULL),(20,5286611,'1989-09-16 00:00:00',2,1,12,2007,'F','N','SANTOS DUMOND','S JOSÉ','SC','124241241115471431326669282344610145077',NULL,'307',0.00,2,1,1),(20,5286620,'1991-02-05 00:00:00',4,1,11,2009,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241216272431557812425122610167042',11367,'1133',52.10,1,3,NULL),(20,5286638,'1989-06-25 00:00:00',4,4,12,2006,'F','N','INDUSTRIÁRIOS','CONCÓRDIA','SC','124241241126231421223329142232610163097',NULL,'194',26.61,4,2,1),(20,5286646,'1990-01-19 00:00:00',2,8,12,2006,'F','N','CENTRO','S FRANCISCO SUL','SC','124241231226273431676619385122132867097',NULL,'867',20.45,1,3,NULL),(20,5286654,'1989-07-10 00:00:00',4,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124072241217174431179929495114231424181',10967,'737',56.36,1,3,NULL),(20,5286662,'1992-09-08 00:00:00',2,1,12,2009,'F','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124241241135371411437813575124610166057',6183,'739',64.42,1,2,1),(20,5286689,'1991-01-03 00:00:00',4,1,12,2008,'F','N','CENTRO','CASCAVEL','PR','116163161216471411459719475112610122192',NULL,'9998',54.48,1,3,NULL),(20,5286697,'1991-01-25 00:00:00',2,1,12,2008,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','224241241211132411213554381344610124142',NULL,'1036',30.65,1,3,NULL),(20,5286700,'1992-07-07 00:00:00',4,1,11,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215172431468932575122610133055',7420,'270',61.31,1,3,NULL),(20,5286719,'1990-12-04 00:00:00',4,1,11,2007,'F','N','CENTRO','NOVA TRENTO','SC','124243241217373431558833585115221922187',3660,'981',71.72,1,3,NULL),(20,5286727,'1992-04-25 00:00:00',2,4,12,2009,'M','N','CENTRO','PATO BRANCO','PR','116161161416111431469639575122610167187',3312,'9998',71.47,1,3,NULL),(20,5286743,'1989-01-04 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216332431338627372124610117047',16046,'269',43.80,1,3,NULL),(20,5286751,'1992-07-25 00:00:00',4,9,12,2009,'M','N','SANTA MARIA','LAGES','SC','124241241117271432434614345114610132097',13086,'505',52.19,2,2,1),(20,5286760,'1989-07-16 00:00:00',2,15,11,2006,'M','N','COLONINHA','ARARANGUÁ','SC','124241241116132431523311145123610124047',NULL,'29',24.58,1,2,1),(20,5286778,'1992-11-27 00:00:00',4,4,11,2009,'M','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124242241215372431468812575122610127062',5275,'185',64.97,1,3,NULL),(20,5286786,'1992-12-09 00:00:00',2,1,11,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215121431557612571124610167052',NULL,'1023',29.50,1,3,NULL),(20,5286794,'1992-06-27 00:00:00',2,2,12,2009,'F','N','RIO BRANCO','BRUSQUE','SC','124241241217111731454412172112610126097',NULL,'1042',0.00,1,3,NULL),(20,5286808,'1992-04-12 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241136131731436823375124610138197',NULL,'279',40.85,1,2,1),(20,5286816,'1992-06-12 00:00:00',2,1,12,2009,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241116371311423364575124610128047',NULL,'288',36.76,1,2,1),(20,5286824,'1990-11-22 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126133421526823375114610134117',NULL,'641',27.51,1,2,1),(20,5286832,'1979-06-04 00:00:00',2,1,11,2001,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','224241247142232721313144342344610164147',NULL,'9999',22.96,2,1,1),(20,5286840,'1980-11-19 00:00:00',2,1,12,1998,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241243426133431123344242234131452142',13515,'190',48.46,1,3,NULL),(20,5286859,'1986-11-12 00:00:00',2,1,12,2003,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241248126472212424319245134610161052',NULL,'283',37.02,1,2,1),(20,5286867,'1992-09-13 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431559933572121610167187',NULL,'738',28.74,1,3,NULL),(20,5286875,'1991-10-08 00:00:00',2,1,10,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112731369831575112610117117',12158,'270',54.06,1,3,NULL),(20,5286883,'1992-11-10 00:00:00',2,1,12,2009,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242241315111421626514572114610161192',13369,'1022',49.66,1,3,NULL),(20,5286891,'1992-08-12 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242244215121731376823575112610124141',4027,'270',70.79,1,3,NULL),(20,5286905,'1987-04-18 00:00:00',2,1,12,2004,'F','N','PALHOCINHA','GAROPABA','SC','124241241126133421324314372124233264192',NULL,'322',0.00,1,2,1),(20,5286913,'1991-01-29 00:00:00',2,1,12,2008,'F','N','VENDAVAL','BIGUAÇU','SC','124241241112373431536611372224610127052',15137,'65',44.72,1,2,1),(20,5286921,'1992-07-10 00:00:00',4,7,12,2009,'F','N','TOBIAS','JOAÇABA','SC','124242241215371431359933574122610147072',7437,'962',61.24,1,3,NULL),(20,5286930,'1991-02-11 00:00:00',2,15,12,2009,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124242241315141421228923342122610122197',NULL,'30',23.74,1,3,NULL),(20,5286948,'1991-06-13 00:00:00',2,1,12,2009,'M','N','SERRINHA TRINDADE','FLORIANÓPOLIS','SC','124132251215121431176931475115610127042',5502,'9998',65.24,1,3,NULL),(20,5286956,'1992-04-11 00:00:00',4,1,11,2009,'F','N','MORUMBI SUL','S PAULO','SP','125252251216471231458814595122610168042',NULL,'9998',0.00,1,3,NULL),(20,5286964,'1992-07-05 00:00:00',4,4,12,2009,'F','N','SANTA TEREZA','VIDEIRA','SC','124241241216152431548526574122610147147',6766,'829',61.85,1,3,NULL),(20,5286972,'1971-01-07 00:00:00',2,1,12,1989,'F','N','A F PIRATINI','CHARQUEADAS','RS','120201206227131451223379286125242831097',16286,'9998',40.95,1,3,NULL),(20,5286980,'1989-01-10 00:00:00',2,3,12,2006,'F','N','BOM FIM','PTO ALEGRE','RS','120242241215575431369914575122133262077',220,'1038',87.71,1,3,NULL),(20,5286999,'1991-11-01 00:00:00',4,5,6,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215112431468912492112610164142',7185,'226',61.88,1,3,NULL),(20,5287006,'1986-05-28 00:00:00',2,1,12,2003,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124201201116141411326741412124342266072',NULL,'9998',0.00,1,3,NULL),(20,5287022,'1991-11-05 00:00:00',4,1,12,2008,'M','N','AREIAS','S JOSÉ','SC','124242241216272411236923575124610127053',9387,'1078',59.29,1,3,NULL),(20,5287030,'1990-12-01 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241417372431569933572112120847041',4014,'1022',69.78,1,3,NULL),(20,5287049,'1987-01-25 00:00:00',2,1,12,2004,'M','N','STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC','124242241212271431658812212122343267042',NULL,'1048',26.02,1,3,NULL),(20,5287057,'1991-02-20 00:00:00',4,1,2,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241115111431489933432122610162042',NULL,'271',24.14,1,3,NULL),(20,5287065,'1989-10-24 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241126574431325611371124610167142',NULL,'641',24.13,1,2,1),(20,5287073,'1992-08-20 00:00:00',4,4,12,2009,'M','N','BOM PASTOR','PLANALTO','RS','120201201117131531425468575125610127012',NULL,'9998',0.00,1,2,1),(20,5287111,'1991-06-12 00:00:00',2,1,11,2008,'F','N','GRAMA','GAROPABA','SC','124241241215412731556432575113610122112',10928,'807',54.34,1,3,NULL),(20,5287120,'1992-06-08 00:00:00',4,2,12,2009,'F','N','ITOUPAVAZINHA','BLUMENAU','SC','124241241116271431316318295124610124147',NULL,'79',0.00,1,2,1),(20,5287138,'1990-06-26 00:00:00',4,17,7,2008,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116241241236131431426811215133143262047',NULL,'631',17.87,1,3,NULL),(20,5287146,'1992-06-11 00:00:00',2,9,11,2009,'F','N','CENTRO','S JOAQUIM','SC','124242241215171431637915572212610123057',13321,'720',47.79,1,3,NULL),(20,5287154,'1993-01-13 00:00:00',2,1,12,2009,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241241116141731535923392124610114062',NULL,'592',41.89,1,2,1),(20,5287162,'1992-07-08 00:00:00',4,6,12,2009,'M','N','SÃO JOÃO','ITAJAÍ','SC','124241241116111131336313575121610168132',NULL,'400',24.75,1,2,1),(20,5287170,'1988-08-15 00:00:00',2,1,12,2006,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241248126272431333313385124610167047',NULL,'285',39.01,1,2,1),(20,5287189,'1993-08-24 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431479819575122610123195',NULL,'1022',26.94,1,3,NULL),(20,5287197,'1991-06-21 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124241241116371431428633575115610128042',NULL,'732',27.24,4,1,1),(20,5287200,'1981-04-05 00:00:00',2,1,11,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624201201147133441239444442121132036142',NULL,'9998',62.75,1,2,1),(20,5287219,'1991-07-26 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217271431479833572124610112042',5685,'270',66.73,1,3,NULL),(20,5287227,'1991-04-06 00:00:00',2,1,12,2008,'M','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124241241116132731328814572114610132117',NULL,'288',0.00,1,3,NULL),(20,5287243,'1983-10-20 00:00:00',4,8,12,2001,'F','N','BOM RETIRO','JOINVILLE','SC','124243241216141411136644445122331431017',NULL,'185',0.00,1,3,NULL),(20,5287251,'1992-09-30 00:00:00',2,2,12,2009,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241215111431338622594124610134147',9299,'87',57.22,1,3,NULL),(20,5287260,'1992-11-11 00:00:00',4,8,12,2009,'F','N','ITAIM BIBI','S PAULO','SP','125241251117131711436614394324610165147',NULL,'9998',24.20,1,2,1),(20,5287278,'1993-04-20 00:00:00',4,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241125131731323621575124610125142',14211,'274',45.61,1,2,1),(20,5287286,'1986-05-22 00:00:00',4,1,11,2003,'M','N','CENTRO','CRICIÚMA','SC','124242241216574431476654445124221127067',11989,'213',54.40,1,3,NULL),(20,5287294,'1990-10-22 00:00:00',2,1,12,2008,'F','N','CENTRO','GUARATINGUETÁ','SP','125252251211472411558811575122610165162',NULL,'9998',46.07,1,3,NULL),(20,5287308,'1992-04-20 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241445131431435634395124610122165',13094,'262',50.27,4,3,NULL),(20,5287316,'1984-09-24 00:00:00',2,1,8,2003,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','624241241137271431327654345122610134187',NULL,'401',40.01,1,2,1),(20,5287324,'1991-07-08 00:00:00',4,3,12,2008,'F','N','CENTRO','UMUARAMA','PR','116162161136522431447831575122610124017',NULL,'9998',0.00,1,3,NULL),(20,5287332,'1981-09-22 00:00:00',2,1,12,1998,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124243248426135411436613185324610111117',NULL,'266',25.41,1,3,NULL),(20,5287340,'1988-06-24 00:00:00',2,1,12,2005,'F','N','BELA VISTA I','S JOSÉ','SC','124242241231373431448631432122610162192',8278,'943',59.60,1,3,NULL),(20,5287359,'1992-07-15 00:00:00',4,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124242241215111451347619575122610124147',NULL,'1078',25.15,1,3,NULL),(20,5287367,'1991-01-17 00:00:00',2,1,12,2007,'M','N','BOA VISTA','PTO ALEGRE','RS','120202201216571431349929495124610127043',9574,'9998',55.30,1,3,NULL),(20,5287375,'1990-05-08 00:00:00',2,9,12,2007,'F','N','SÃO CRISTOVÃO','LAGES','SC','124242241212573431446712575122610131142',NULL,'1146',0.00,1,3,NULL),(20,5287383,'1991-06-01 00:00:00',2,1,12,2008,'F','N','CENTRO','NOVA TRENTO','SC','124241241215473431448854575124610143147',3077,'981',73.27,1,3,NULL),(20,5287391,'1991-06-15 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272431387932575112133227053',NULL,'486',46.30,1,3,NULL),(20,5287405,'1990-12-02 00:00:00',2,1,12,2008,'M','N','FIAO','S LEOPOLDO','RS','120201201217471431346823572115610137127',10222,'9998',55.43,1,3,NULL),(20,5287421,'1992-11-13 00:00:00',4,2,11,2009,'F','N','ASILO','BLUMENAU','SC','124241246315111432533432575122610162182',NULL,'88',24.07,1,3,NULL),(20,5287430,'1992-09-01 00:00:00',4,8,12,2009,'M','N','BOEHMERWALDT','JOINVILLE','SC','124243241215271411469611575124610162141',NULL,'1105',0.00,1,3,NULL),(20,5287448,'1985-03-01 00:00:00',2,1,8,2004,'F','N','SAO LUIZ','S JOSÉ','SC','224241241127132721233474145124230217047',NULL,'733',25.06,1,3,NULL),(20,5287456,'1991-09-10 00:00:00',4,1,11,2009,'M','N','LOTEAMENTO BOURBON','FOZ IGUAÇU','PR','116162161237471431468713572124610164082',NULL,'9998',0.00,4,3,NULL),(20,5287472,'1992-04-07 00:00:00',4,9,12,2009,'M','N','CENTRO','LAURENTINO','SC','124243241415112431436923395124610147052',6338,'991',62.78,1,3,NULL),(20,5287480,'1991-07-20 00:00:00',2,1,12,2009,'M','N','CACHOEIRA DO B J','FLORIANÓPOLIS','SC','124244241415111231663312575124610127047',NULL,'9997',41.86,1,3,NULL),(20,5287499,'1989-02-19 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215374431558833471124231917042',887,'262',81.97,1,3,NULL),(20,5287502,'1990-10-16 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215372431447923472124231464072',11938,'1047',54.48,1,3,NULL),(20,5287510,'1994-02-27 00:00:00',2,1,12,2009,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124242241215111531468311475124610124072',15617,'1022',45.82,1,3,NULL),(20,5287537,'1992-04-08 00:00:00',4,1,12,2008,'F','N','MARISTA','GOIÂNIA','GO','109094091216471421568631496122610162077',904,'9998',81.38,1,3,NULL),(20,5287545,'1991-03-07 00:00:00',4,1,12,2009,'F','N','VILA APPIA ANTICA','CARAPICUÍBA','SP','125252251217151411478834571122610167127',NULL,'9998',0.00,1,3,NULL),(20,5287553,'1990-02-15 00:00:00',5,4,12,2007,'F','N','TROPICAL','CASCAVEL','PR','116162161215572431458814572112610143142',NULL,'9998',0.00,1,3,NULL),(20,5287561,'1992-09-13 00:00:00',4,1,12,2009,'M','N','JARDIM LANCASTER','FOZ IGUAÇU','PR','116162161216471531359814572122610124062',NULL,'9998',0.00,1,3,NULL),(20,5287570,'1992-07-20 00:00:00',2,8,12,2009,'F','N','CENTRO','CASCAVEL','PR','116162161217121331458924575114610164097',NULL,'9998',22.41,3,3,NULL),(20,5287588,'1992-04-09 00:00:00',4,4,12,2009,'M','N','CENTRO','LAJEADO GRANDE','SC','124243242117131431336824575124610137052',NULL,'196',0.00,1,3,NULL),(20,5287596,'1990-11-19 00:00:00',2,15,12,2009,'M','N','CENTRO','MELEIRO','SC','124244241415141411635623241123610167067',NULL,'559',27.02,1,3,NULL),(20,5287600,'1991-07-12 00:00:00',4,1,12,2008,'F','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251215471431448811571124140231142',7656,'9998',59.51,3,3,NULL),(20,5287618,'1991-09-06 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372431368831575122610127052',3740,'262',70.46,1,3,NULL),(20,5287626,'1990-02-19 00:00:00',2,1,12,2007,'F','N','N SR DO ROSÁRIO','S JOSÉ','SC','124241241117273731444631275124610167097',13682,'307',45.73,1,2,1),(20,5287634,'1990-04-30 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241315472431536661381114610135117',12934,'267',49.93,1,3,NULL),(20,5287642,'1992-11-10 00:00:00',4,8,11,2010,'F','S','AMÉRICA','JOINVILLE','SC','124242241215111732479814575122610124192',NULL,'457',23.26,1,3,NULL),(20,5287650,'1991-05-02 00:00:00',4,8,12,2008,'F','N','ALEGRE','RIO NEGRINHO','SC','124241241137271711321319392124610124017',NULL,'669',10.35,1,2,1),(20,5287669,'1990-05-13 00:00:00',4,3,12,2007,'F','N','BATEL','CURITIBA','PR','116162161216572411458932575112610167142',10649,'9998',54.18,1,3,NULL),(20,5287685,'1991-09-09 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215371231339831475114610167017',NULL,'885',29.41,1,3,NULL),(20,5287693,'1985-09-28 00:00:00',2,1,7,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116473431125344445124610124117',15657,'359',44.11,1,2,1),(20,5287707,'1992-04-07 00:00:00',4,1,12,2009,'M','N','ZONA SETE','MARINGÁ','PR','116162161215151231448812575112610127012',6306,'9998',63.43,1,3,NULL),(20,5287715,'1977-04-25 00:00:00',2,1,12,1999,'M','N','SERRARIA','S JOSÉ','SC','224201201121373411116654281324610122167',9741,'9998',57.24,4,3,NULL),(20,5287723,'1990-05-11 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201201212273411246823572124610117012',12336,'9998',49.12,1,3,NULL),(20,5287731,'1991-05-11 00:00:00',2,4,12,2008,'F','N','INTERIOR','GUARACIABA','SC','124241241116271411425412372224610164147',NULL,'604',38.59,1,2,1),(20,5287740,'1990-04-20 00:00:00',4,3,12,2007,'F','N','CENTRO','LONDRINA','PR','116162161216573431379811574122610162022',1960,'9998',77.04,1,3,NULL),(20,5287758,'1991-11-27 00:00:00',4,8,11,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215112431359914475124610135142',1039,'1063',81.09,1,3,NULL),(20,5287766,'1992-03-03 00:00:00',2,7,12,2009,'M','N','MENINO DEUS','JOAÇABA','SC','124243241316131521434923245124610167057',11136,'962',54.11,1,3,NULL),(20,5287774,'1990-04-20 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124162241212574711658731314125610164143',2961,'269',73.63,1,3,NULL),(20,5287782,'1988-04-30 00:00:00',4,5,12,2005,'M','N','SANTANA','RIO SUL','SC','120242241215573431589831595124141464175',2607,'991',74.23,1,3,NULL),(20,5287804,'1992-03-26 00:00:00',2,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124241241116371431447314575224610165197',NULL,'592',24.92,1,2,1),(20,5287820,'1993-03-14 00:00:00',2,15,11,2009,'F','N','COM COM','SOMBRIO','SC','124242241212111751326923275122610167142',10614,'770',55.66,1,3,NULL),(20,5287839,'1992-06-16 00:00:00',2,1,11,2009,'F','N','BARREUROS','S JOSÉ','SC','124244241215111732313324582124610123197',12556,'738',50.63,4,3,NULL),(20,5287847,'1987-08-10 00:00:00',4,1,12,2004,'M','N','CENTRO','SOBRADINHO','RS','120201201115534431568911575124222657112',2673,'9998',73.75,1,2,1),(20,5287855,'1991-03-28 00:00:00',4,1,12,2008,'M','N','BELA VISTA I','S JOSÉ','SC','124242241215472441544614375124610167182',5505,'1036',64.37,1,3,NULL),(20,5287863,'1992-05-25 00:00:00',2,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431446613572114610127062',10102,'272',56.47,1,3,NULL),(20,5287871,'1993-03-12 00:00:00',4,5,11,2009,'M','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241215111421457731575122610127042',NULL,'226',51.50,1,3,NULL),(20,5287898,'1990-08-31 00:00:00',2,1,12,2007,'M','N','BOM FIM','PTO ALEGRE','RS','120202201216371441588831585222610114012',NULL,'9998',0.00,1,3,NULL),(20,5287910,'1992-03-05 00:00:00',2,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124242241215373431446812575122610133192',2874,'948',72.75,1,3,NULL),(20,5287928,'1990-02-25 00:00:00',4,1,11,2008,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215473431358812575112610117042',NULL,'270',27.04,1,3,NULL),(20,5287936,'1991-05-04 00:00:00',2,15,11,2008,'F','N','CENTRO','ARARANGUÁ','SC','124242241215474431448939572124610128142',9483,'970',57.05,1,3,NULL),(20,5287944,'1990-11-17 00:00:00',4,4,11,2007,'M','N','CENTRO','BR COTEGIPE','RS','120201201217571431448314444124610167042',1315,'9998',79.39,1,3,NULL),(20,5287952,'1991-06-17 00:00:00',2,5,11,2008,'M','N','PASSO D AREIA','PTO ALEGRE','RS','120206208621111751448879596135610168191',NULL,'9998',0.00,1,3,NULL),(20,5287960,'1992-02-20 00:00:00',4,10,11,2009,'F','N','CENTRO','BRAÇO NORTE','SC','124242241215271431465831572124610123142',3381,'806',70.83,1,3,NULL),(20,5287979,'1987-11-10 00:00:00',4,1,4,2005,'M','N','FLORESTA','S JOSÉ','SC','124241241117132431245619395122130264187',15727,'739',45.39,1,2,1),(20,5287987,'1988-10-06 00:00:00',2,4,12,2005,'M','N','FLORESTA','CONCÓRDIA','SC','124241241126271441535414282122333267147',NULL,'193',35.53,4,2,1),(20,5287995,'1992-01-17 00:00:00',2,1,11,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241225111432638639495114610164057',11992,'262',50.60,1,3,NULL),(20,5288002,'1992-08-29 00:00:00',4,1,12,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117151731546611385124610166072',NULL,'288',43.74,1,2,1),(20,5288010,'1992-09-20 00:00:00',4,8,11,2009,'M','N','ANITA GARIBAILDI','JOINVILLE','SC','124242241215121431469914371112610137077',7157,'1063',61.76,1,3,NULL),(20,5288029,'1993-01-12 00:00:00',4,7,12,2009,'F','N','CENTRO','JABORÁ','SC','124241241146371431633851595122610166147',11609,'418',53.90,4,2,1),(20,5288037,'1988-01-29 00:00:00',4,9,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116475431538821285124121444057',1877,'498',77.08,1,2,1),(20,5288045,'1991-12-30 00:00:00',4,2,11,2009,'F','N','VILA NOVA','BLUMENAU','SC','124242241212122431468914472124610126142',7274,'855',61.12,1,3,NULL),(20,5288053,'1992-09-30 00:00:00',4,8,12,2009,'M','N','BUCAREIN','JOINVILLE','SC','124242241217111411359923572122610134082',2401,'457',74.99,1,3,NULL),(20,5288070,'1991-07-01 00:00:00',2,1,12,2008,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124241241211273751426619571112610167047',NULL,'299',0.00,1,3,NULL),(20,5288088,'1989-12-26 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217471431247823575112610164042',NULL,'262',39.10,1,3,NULL),(20,5288096,'1991-12-22 00:00:00',2,6,11,2009,'F','N','CENTRO','ITAJAÍ','SC','124241241117311231311679575225610112191',NULL,'395',0.00,1,2,1),(20,5288100,'1986-02-03 00:00:00',4,1,12,2003,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217374431249619495124221467072',4449,'270',69.67,1,3,NULL),(20,5288118,'1981-12-06 00:00:00',2,1,12,2001,'M','N','CAEIRA SACO LIMÕES','FLORIANÓPOLIS','SC','124241241127575411533314185124610164017',12351,'307',51.39,4,2,1),(20,5288126,'1986-07-09 00:00:00',2,8,12,2004,'M','N','CENTRO','OSASCO','SP','125252258217171751549934295124341337057',NULL,'9998',23.54,1,3,NULL),(20,5288134,'1988-03-04 00:00:00',2,1,12,2006,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241127132231446913345112610157047',NULL,'307',0.00,1,3,NULL),(20,5288142,'1992-04-12 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215121431366813572112610132142',43,'270',92.00,1,3,NULL),(20,5288150,'1961-06-13 00:00:00',4,15,10,2007,'M','N','ARROIO DO SILVA','BAL ARROIO SILVA','SC','524241241125131741524449292324610138037',13314,'9997',47.54,1,3,NULL),(20,5288169,'1988-06-01 00:00:00',4,2,12,2005,'F','N','GARCIA','BLUMENAU','SC','124241241147372741546619385125131366182',NULL,'69',33.44,1,2,1),(20,5288177,'1991-12-21 00:00:00',2,1,12,2008,'M','N','CENTRO','TRAMANDAÍ','RS','120204201211471751528811391124610166092',NULL,'9998',0.00,1,3,NULL),(20,5288185,'1993-04-06 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217111532539914575114610168177',9558,'1022',58.97,1,3,NULL),(20,5288193,'1989-07-10 00:00:00',2,1,12,2006,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241115473431626311575124221336147',11008,'65',53.83,1,2,1),(20,5288207,'1993-03-31 00:00:00',4,1,11,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124244241115272431459923572124610147052',9506,'271',56.29,1,3,NULL),(20,5288240,'1991-05-10 00:00:00',4,1,12,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161211575431378834371122610166092',NULL,'9998',0.00,1,3,NULL),(20,5288258,'1991-02-05 00:00:00',2,1,10,2008,'M','N','PITUBA','SALVADOR','BA','105051051117371431484836575112610164122',2327,'9998',75.70,1,3,NULL),(20,5288266,'1992-11-09 00:00:00',4,10,10,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215271431469913576122610163142',5826,'807',63.88,1,3,NULL),(20,5288282,'1992-02-01 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241115271231468822572124610167117',6646,'267',62.55,1,2,1),(20,5288304,'1989-03-28 00:00:00',2,4,11,2006,'F','N','CENTRO','S LOURENÇO OESTE','SC','124242161215572431346632575222610164143',7222,'9998',61.62,1,3,NULL),(20,5288312,'1991-11-03 00:00:00',4,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215272431488612375122610127042',1737,'457',76.85,1,3,NULL),(20,5288320,'1989-08-15 00:00:00',4,7,12,2006,'M','N','CENTRO','CAMPOS NOVOS','SC','124241241141131431336619345124610167042',16248,'140',41.86,1,3,NULL),(20,5288339,'1990-04-04 00:00:00',2,1,12,2007,'F','N','CALHEIROS','GOV CELSO RAMOS','SC','124241241126472431624314395124610123052',NULL,'329',24.36,1,2,1),(20,5288347,'1990-03-18 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241124173712245716592224222225037',NULL,'579',28.70,1,3,NULL),(20,5288355,'1992-03-31 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215121431468823572112610134117',2852,'270',71.43,1,3,NULL),(20,5288363,'1990-03-06 00:00:00',4,6,12,2007,'M','N','CORDEIROS','ITAJAÍ','SC','124112111236272231445612285124231467047',12783,'9998',50.38,1,3,NULL),(20,5288371,'1993-08-22 00:00:00',4,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241216111431467923572122610136072',15354,'1022',46.76,1,3,NULL),(20,5288380,'1991-04-19 00:00:00',4,1,11,2008,'M','N','LAGO SUL','LG SUL','DF','107072071216471441288923595122610167122',NULL,'9998',49.63,1,3,NULL),(20,5288398,'1991-08-16 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124241241212214431326531572122613226097',NULL,'737',34.09,1,3,NULL),(20,5288401,'1971-02-17 00:00:00',3,1,6,1988,'M','N','PARIS XVI','FLORIANÓPOLIS','SC','128284288216152731139841415131520367182',3246,'9998',72.74,1,3,NULL),(20,5288410,'1990-05-05 00:00:00',1,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241112141431113344342345610127055',NULL,'812',27.14,1,3,NULL),(20,5288428,'1991-05-29 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241217122441468831585114610147091',14030,'270',46.86,1,3,NULL),(20,5288436,'1991-01-07 00:00:00',4,1,12,2008,'F','N','BELA VISTA','S JOSÉ','SC','124242241435473411478813585122610134142',11838,'1169',52.81,4,3,NULL),(20,5288444,'1993-01-29 00:00:00',2,17,12,2009,'F','N','CENTRO','UNIÃO VITÓRIA','PR','116243241216371731426811595125610166177',NULL,'632',38.55,1,3,NULL),(20,5288452,'1990-09-19 00:00:00',2,8,12,2007,'F','N','UBATUBA','S FRANCISCO SUL','SC','124244241215473711637934495125143237077',15509,'992',46.28,1,3,NULL),(20,5288460,'1990-11-30 00:00:00',2,4,12,2008,'M','N','GUARUJÁ','PTO ALEGRE','RS','120203201217471711333339195122610167047',14497,'9998',45.65,1,3,NULL),(20,5288479,'1992-05-23 00:00:00',4,4,12,2009,'M','N','SANTA MARIA','CHAPECÓ','SC','124241241116141431453632295124610147052',NULL,'176',19.38,1,2,1),(20,5288495,'1987-05-21 00:00:00',2,15,12,2004,'M','N','CENTRO','TURVO','SC','124241241316155731445634575111610167047',NULL,'813',43.54,1,3,NULL),(20,5288509,'1979-11-01 00:00:00',2,1,12,2001,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224161161126132431243344142114222222197',NULL,'9998',43.48,1,3,NULL),(20,5288517,'1989-01-08 00:00:00',4,1,12,2006,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241217513532568934445124230437111',NULL,'270',45.53,1,3,NULL),(20,5288525,'1989-07-30 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124251241115141431613345112324610144043',NULL,'307',20.16,4,2,1),(20,5288533,'1992-04-27 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112231349933575114610124047',NULL,'1022',30.06,1,3,NULL),(20,5288541,'1992-06-27 00:00:00',4,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241212111731336923595114610127142',NULL,'1049',31.30,1,3,NULL),(20,5288550,'1991-04-26 00:00:00',2,5,12,2008,'F','N','ILHAS','ARARANGUÁ','SC','124243241212472431434933572124610132197',10378,'970',55.81,1,3,NULL),(20,5288568,'1991-10-01 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241115272431126628282224610137147',NULL,'288',28.25,1,3,NULL),(20,5288576,'1991-03-29 00:00:00',2,10,12,2008,'F','N','MONTE CASTELO','TUBARÃO','SC','124242241216352431456613575122610122142',NULL,'807',0.00,1,3,NULL),(20,5288584,'1992-10-21 00:00:00',4,3,12,2009,'F','N','CENTRO','STA CECÍLIA','SC','124243241215112431186632572112610167052',2949,'1038',73.46,1,3,NULL),(20,5288592,'1991-05-16 00:00:00',2,1,12,2007,'F','N','CAMPO DUNA','GAROPABA','SC','124241241135373431544912572124131323142',8445,'322',58.16,1,2,1),(20,5288606,'1979-06-28 00:00:00',2,1,12,1998,'F','N','SÃO JOSÉ','S JOSÉ','SC','124243244332112121121143435344131314142',NULL,'9999',0.00,1,3,NULL),(20,5288614,'1992-06-17 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431589933575124610112145',7372,'270',61.41,1,3,NULL),(20,5288622,'1991-10-29 00:00:00',2,4,11,2008,'M','N','CENTRO','CONCÓRDIA','SC','120242241216372431459733495124610146172',134,'1000',89.39,1,3,NULL),(20,5288630,'1987-06-23 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241127473621323544245124610126117',NULL,'250',55.18,1,3,NULL),(20,5288649,'1981-09-16 00:00:00',2,1,12,2002,'M','N','IPIRANGA','S JOSÉ','SC','124241241127273431433334285114610127042',NULL,'734',25.07,1,2,1),(20,5288665,'1991-05-08 00:00:00',4,3,12,2008,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124241241112471752331524572312610127142',NULL,'49',37.78,1,2,1),(20,5288673,'1984-01-28 00:00:00',4,1,6,2004,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241117152411143617325122131412047',NULL,'306',39.47,1,3,NULL),(20,5288681,'1992-03-12 00:00:00',2,10,11,2009,'F','N','CENTRO','RIO FORTUNA','SC','124241241136161431436614342122610127147',NULL,'665',23.00,1,2,1),(20,5288690,'1989-10-07 00:00:00',2,1,12,2006,'M','N','JOÃO GOULART','STA MARIA','RS','120241241127131441323671486324242027092',NULL,'96',19.38,3,2,1),(20,5288703,'1990-09-23 00:00:00',4,16,12,2009,'M','N','CENTRO','BRUNÓPOLIS','SC','124241241347271412524923455122610117055',NULL,'911',17.69,1,3,NULL),(20,5288711,'1986-10-27 00:00:00',4,1,11,2005,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124244241117274411558619345124233264057',14096,'306',50.18,1,3,NULL),(20,5288720,'1990-11-05 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124241241116273411636614375124121427082',5051,'307',66.46,4,2,1),(20,5288738,'1994-08-07 00:00:00',4,1,11,2010,'M','S','JARDIM ELDORADO','PALHOÇA','SC','124243241115151331459923572124610137142',NULL,'271',33.81,1,3,NULL),(20,5288746,'1983-02-07 00:00:00',2,1,12,2001,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241126132411423344245124130734173',NULL,'182',42.40,1,2,1),(20,5288762,'1991-08-21 00:00:00',4,10,11,2008,'F','N','CENTRO','TUBARÃO','SC','124242241237574431388814575122232463192',5956,'270',66.12,4,3,NULL),(20,5288770,'1992-07-25 00:00:00',4,16,12,2009,'F','N','NOSSA SRA APARECIDA','CURITIBANOS','SC','124242241215211731437615572122610127017',NULL,'881',25.70,1,3,NULL),(20,5288789,'1992-04-01 00:00:00',4,1,12,2009,'F','N','JARDIM OSWALDO CRUZ','S JOSÉ CAMPOS','SP','125251251217121431337819195125610121192',8736,'9998',57.73,1,3,NULL),(20,5288797,'1994-02-24 00:00:00',2,1,12,2010,'F','S','PALMAS','GOV CELSO RAMOS','SC','124242241215111431427632572122610124072',NULL,'1134',40.64,1,3,NULL),(20,5288835,'1965-10-06 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111751267613572112610167147',16135,'270',43.18,1,3,NULL),(20,5288843,'1988-11-01 00:00:00',4,1,6,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124282281217275751489811491114142464057',8253,'9998',61.38,1,3,NULL),(20,5288860,'1992-05-06 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215271532456833575112610124146',4263,'273',69.28,1,3,NULL),(20,5288878,'1981-03-14 00:00:00',2,1,12,1998,'M','N','JURERE','FLORIANÓPOLIS','SC','224281288132151711259841415122341467055',NULL,'9998',0.00,1,3,NULL),(20,5288886,'1990-07-14 00:00:00',2,8,7,2007,'F','N','ASA NORTE','BRASÍLIA','DF','107071071116372431366833572112241044055',12814,'9998',49.00,1,2,1),(20,5288894,'1987-05-18 00:00:00',2,1,12,2005,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241137575431423324345124610134092',NULL,'66',25.11,4,3,NULL),(20,5288908,'1992-11-20 00:00:00',4,1,11,2009,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215122442336819572124610123182',7696,'270',61.74,1,3,NULL),(20,5288916,'1992-07-30 00:00:00',2,1,12,2009,'M','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241112141731524419392224610127047',NULL,'288',27.59,1,2,1),(20,5288924,'1992-09-05 00:00:00',4,10,11,2009,'F','N','CENTRO','CAPIVARI BAIXO','SC','124244241215111231546619495124610138057',NULL,'806',28.54,1,3,NULL),(20,5288932,'1992-06-07 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111751448613575115610165196',1538,'1038',78.37,1,3,NULL),(20,5288967,'1992-10-09 00:00:00',4,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115131731433634242124610118197',NULL,'285',14.02,1,2,1),(20,5288975,'1992-02-26 00:00:00',2,1,11,2009,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241115131441536413275224610114147',NULL,'591',20.40,2,1,1),(20,5288983,'1990-05-04 00:00:00',2,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217121432489913572114610137113',14575,'270',45.50,1,3,NULL),(20,5288991,'1985-01-27 00:00:00',2,1,12,2002,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241136273721238829382114610124187',13973,'779',50.45,1,2,1),(20,5289009,'1991-01-23 00:00:00',2,4,11,2008,'F','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124241241147141431434534342123610121047',NULL,'182',0.00,1,3,NULL),(20,5289017,'1991-01-07 00:00:00',4,1,11,2008,'F','N','BELA VISTA','S JOSÉ','SC','124242241215473711478813575122610144097',4553,'1169',69.41,4,3,NULL),(20,5289025,'1988-10-01 00:00:00',4,1,12,2005,'M','N','JARDIM AUTONOMISTA','CPO GRANDE','MS','112122121216373431478833475122221447042',738,'9998',82.97,3,3,NULL),(20,5289041,'1992-05-04 00:00:00',4,2,12,2009,'F','N','ASILO','BLUMENAU','SC','124241241116271431445311572124610123177',NULL,'69',30.98,1,2,1),(20,5289050,'1992-01-28 00:00:00',4,3,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124242241215111431338834575125610134097',4635,'1038',67.95,1,3,NULL),(20,5289068,'1991-05-21 00:00:00',4,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','124201241116472431438829475124610134097',2759,'182',72.59,1,2,1),(20,5289084,'1991-11-17 00:00:00',2,4,12,2008,'M','N','BELA VISTA','CHAPECÓ','SC','124241241315472431546412595124610167057',11199,'185',54.09,1,3,NULL),(20,5289092,'1992-09-25 00:00:00',2,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215121431346631575124610127042',982,'270',81.43,1,3,NULL),(20,5289106,'1990-12-21 00:00:00',4,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111432469822572122610123182',14218,'270',47.11,1,3,NULL),(20,5289114,'1990-01-08 00:00:00',4,3,12,2008,'M','N','CENTRO','STO CRISTO','RS','120202201116371731438613575115610134187',NULL,'9998',0.00,1,3,NULL),(20,5289122,'1990-09-01 00:00:00',4,1,5,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242281217572431489811595122610167072',6117,'9998',65.77,1,3,NULL),(20,5289130,'1992-09-27 00:00:00',4,9,12,2009,'F','N','PASSO FUNDO','LAGES','SC','124241241112271411433819575124610164052',NULL,'513',27.81,4,2,1),(20,5289149,'1977-01-17 00:00:00',2,9,12,1995,'M','N','BRUSQUE','LAGES','SC','124241241122141421123343432114132727182',NULL,'356',32.11,2,3,NULL),(20,5289157,'1985-09-13 00:00:00',4,10,12,2003,'F','N','BOM FIM','PTO ALEGRE','RS','120242241216573431556931495114132564077',7579,'807',61.35,1,3,NULL),(20,5289165,'1990-09-03 00:00:00',4,5,11,2007,'M','N','BARRO VERMELHO','ORLEANS','SC','124241241315573421353312271122610167057',NULL,'820',0.00,1,3,NULL),(20,5289173,'1992-11-04 00:00:00',4,1,12,2009,'M','N','ARIRIU','PALHOÇA','SC','124241241112161431336624345124610117047',NULL,'772',21.58,1,2,1),(20,5289190,'1980-11-29 00:00:00',4,1,12,1999,'F','N','JARDIM FARINA','S BERNARDO CAMPO','SP','125253254117371421125944345124141363097',NULL,'9998',0.00,1,3,NULL),(20,5289203,'1991-12-10 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241142271711436619372244610168197',NULL,'9997',24.54,1,2,1),(20,5289211,'1990-08-23 00:00:00',4,1,12,2007,'M','N','CENTRO','S JOSÉ','SC','124242241127372451433639346134610137187',NULL,'728',23.45,1,3,NULL),(20,5289220,'1971-08-24 00:00:00',2,1,7,2004,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','524242247622141431546622412124610113097',NULL,'9999',19.85,1,3,NULL),(20,5289238,'1990-12-16 00:00:00',4,8,12,2008,'M','N','GLÓRIA','JOINVILLE','SC','124244241412311311458814581111610117042',5914,'1063',64.37,1,3,NULL),(20,5289246,'1990-10-22 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217152441468614345134230248052',14456,'1133',49.36,1,3,NULL),(20,5289254,'1992-02-22 00:00:00',2,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124242241215111431338813575124610124157',11070,'1022',53.54,1,3,NULL),(20,5289262,'1979-01-23 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124162161416134721226379485324141137047',NULL,'9998',31.26,1,3,NULL),(20,5289270,'1991-03-15 00:00:00',4,8,12,2008,'M','N','VILA OLIVIA','ASTORGA','PR','116162161215471431438724475111610165076',2538,'9998',73.79,3,3,NULL),(20,5289297,'1992-03-06 00:00:00',4,1,11,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241215112441559734575125610148122',3461,'273',69.88,1,3,NULL),(20,5289300,'1992-05-10 00:00:00',4,1,12,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241241115131732523614272344610117177',15812,'733',40.78,1,2,1),(20,5289319,'1991-05-31 00:00:00',2,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241215122431468731572125221437041',NULL,'970',0.00,1,3,NULL),(20,5289327,'1992-05-12 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215571431557914575122610132015',1387,'262',79.21,1,3,NULL),(20,5289335,'1989-03-17 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217152731568614492124230242185',NULL,'909',0.00,1,3,NULL),(20,5289343,'1991-08-19 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241241215122411459713315124610133147',5591,'1022',64.94,4,3,NULL),(20,5289351,'1992-05-14 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217111431336632475114610167067',NULL,'1022',29.89,1,3,NULL),(20,5289360,'1992-10-29 00:00:00',4,9,12,2009,'M','N','SANTA HELENA','LAGES','SC','124242241215111731448934375122610127042',12902,'515',52.55,1,3,NULL),(20,5289378,'1990-09-04 00:00:00',4,5,12,2007,'F','N','PÁTRIA NOVA','NOVO HAMBURGO','RS','120202201217571411237922591112241523097',NULL,'9998',0.00,1,3,NULL),(20,5289386,'1990-08-18 00:00:00',2,1,12,2007,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','124241241132473431423314345124610161147',NULL,'594',19.66,1,2,1),(20,5289394,'1992-06-14 00:00:00',2,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215112431448631475112610162052',13937,'226',50.50,1,3,NULL),(20,5289408,'1990-05-01 00:00:00',4,15,12,2008,'F','N','TIMBAUVA','MONTENEGRO','RS','120201206136271451448814575124610162097',4841,'9998',67.87,1,2,1),(20,5289416,'1993-05-19 00:00:00',4,2,12,2009,'F','N','SÃO FRANCISCO','ASCURRA','SC','124242241216371531326511285112610168177',16072,'37',43.60,1,3,NULL),(20,5289424,'1990-11-26 00:00:00',2,1,12,2008,'F','N','PORTÃO','SALTO JACUÍ','RS','120201201116471431428613575112610167012',14867,'9998',43.32,1,2,1),(20,5289432,'1986-01-14 00:00:00',2,6,12,2003,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241247336472421336619595115132644147',NULL,'9999',26.91,1,3,NULL),(20,5289440,'1992-09-10 00:00:00',4,1,11,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215122431568813572124610133075',4325,'270',67.92,1,3,NULL),(20,5289459,'1992-09-29 00:00:00',4,1,12,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215112431479833475112610124182',12206,'270',50.90,1,3,NULL),(20,5289475,'1991-05-16 00:00:00',2,8,12,2008,'M','N','VILA NOVA','RIO NEGRINHO','SC','124241241416274431636933595112610164047',NULL,'666',52.17,1,3,NULL),(20,5289483,'1993-03-30 00:00:00',2,1,12,2009,'F','N','TEIXEIRA','GAROPABA','SC','124241241116131411227823375221610128097',9152,'1136',56.87,1,2,1),(20,5289491,'1992-01-03 00:00:00',1,2,12,2009,'F','N','CENTRO','POMERODE','SC','124242241216111731448831412122610163077',8003,'624',59.53,1,3,NULL),(20,5289505,'1991-05-13 00:00:00',4,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124131247146131421224463285124610147047',NULL,'9999',17.27,2,1,1),(20,5289513,'1992-10-05 00:00:00',2,5,11,2009,'M','N','CENTRO','URUSSANGA','SC','124243241216111532447634575122610127052',13125,'820',52.12,1,3,NULL),(20,5289521,'1991-07-21 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241445374751434429495124231024052',NULL,'262',28.08,1,3,NULL),(20,5289548,'1990-03-29 00:00:00',4,8,12,2007,'F','N','VILA RAU','JARAGUÁ SUL','SC','124241241116371711436923382122610124142',NULL,'425',41.07,1,2,1),(20,5289556,'1989-11-14 00:00:00',4,1,12,2007,'M','N','MEDIANEIRA','PANAMBI','RS','120204201217372431438631585122610165127',8761,'9998',57.62,1,3,NULL),(20,5289564,'1990-07-10 00:00:00',4,1,7,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247212373431379933572125610114065',NULL,'9999',45.48,1,3,NULL),(20,5289580,'1980-02-20 00:00:00',2,1,12,1999,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241327372431448313435124610127042',9390,'284',59.28,2,3,NULL),(20,5289599,'1992-09-15 00:00:00',4,5,12,2009,'M','N','MILANEZE','CRICIÚMA','SC','124241241217131731538823575114610164057',NULL,'920',26.67,1,3,NULL),(20,5289602,'1992-10-11 00:00:00',4,1,11,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241115141421655361245124610114142',NULL,'307',0.00,1,3,NULL),(20,5289610,'1991-06-07 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','125252251237471431467833372114610122193',NULL,'9998',0.00,1,3,NULL),(20,5289629,'1982-09-03 00:00:00',4,1,12,2000,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124221221122333731116344442224330223047',NULL,'9998',22.31,1,3,NULL),(20,5289637,'1992-10-16 00:00:00',2,9,12,2009,'F','N','PRESIDENTE VARGAS','CAXIAS SUL','RS','120203201217131431524412475124610124097',NULL,'9998',28.19,1,3,NULL),(20,5289645,'1990-11-03 00:00:00',2,4,12,2009,'M','N','NASCENTE DO PEPERI','DIONÍSIO CERQUEIRA','SC','124164241417271411436834345112610164197',NULL,'245',46.07,1,3,NULL),(20,5289653,'1990-04-17 00:00:00',4,15,12,2007,'M','N','ALTO FELIZ','ARARANGUÁ','SC','124243241317141321436634442112610164057',NULL,'29',14.55,1,3,NULL),(20,5289661,'1974-09-11 00:00:00',2,1,12,1994,'F','N','N SRA DE LOURDES','STO AMARO IMPERATRIZ','SC','124241245122132422421311182144610166041',NULL,'773',0.00,1,2,1),(20,5289670,'1993-06-25 00:00:00',4,1,12,2009,'M','N','ARIRIU','PALHOÇA','SC','124242241215121431446613575124610137021',16155,'1011',43.01,4,3,NULL),(20,5289688,'1991-11-22 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115131411326729575124610146147',NULL,'292',53.63,1,3,NULL),(20,5289696,'1991-06-15 00:00:00',2,16,12,2008,'F','N','ESTRADA GERAL','STA TEREZINHA','SC','124241241124161431315315572324610133147',NULL,'691',24.64,4,1,1),(20,5289700,'1993-11-25 00:00:00',4,1,11,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241216111432448512575124610165052',NULL,'1022',13.80,1,3,NULL),(20,5289718,'1992-09-25 00:00:00',4,10,11,2009,'F','N','TERMAS','GRAVATAL','SC','124244241215111431325612375112610131142',15068,'806',47.67,1,3,NULL),(20,5289726,'1991-01-16 00:00:00',4,6,12,2009,'M','N','QUILÔMETRO UM','LAURO MÜLLER','SC','124241244147371431325423575124610168187',NULL,'531',21.78,1,2,1),(20,5289734,'1950-11-01 00:00:00',4,1,12,1969,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224082081237271711585443431122340126182',1416,'9998',79.22,1,3,NULL),(20,5289742,'1968-03-23 00:00:00',4,1,7,1986,'M','N','FLORESTA','S JOSÉ','SC','124241246116455421463543135124220246012',NULL,'306',0.00,1,3,NULL),(20,5289750,'1981-02-28 00:00:00',2,1,7,2002,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241132274431426569142334131027047',NULL,'307',27.27,2,1,1),(20,5289769,'1990-08-07 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241216472431368814575125232466047',NULL,'497',0.00,1,3,NULL),(20,5289777,'1992-10-27 00:00:00',4,10,11,2009,'M','N','HUMAITA','TUBARÃO','SC','124243241215121431456637572111610127072',7481,'807',62.06,1,3,NULL),(20,5289785,'1991-10-23 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431468913572122610152092',2183,'1169',76.23,1,3,NULL),(20,5289793,'1990-07-10 00:00:00',4,1,12,2007,'F','N','ALTO DO PARQUE','LAJEADO','RS','120202201216471431558832572124140262183',NULL,'9998',0.00,1,3,NULL),(20,5289807,'1992-02-21 00:00:00',2,5,12,2009,'F','N','PRIMEIRO DE MAIO','IÇARA','SC','124241241116271431434639575122610138172',NULL,'1005',38.78,1,2,1),(20,5289815,'1971-12-17 00:00:00',2,1,12,1989,'M','N','KOBRASOL','S JOSÉ','SC','224241248117231411322418482114610117047',NULL,'513',26.14,1,2,1),(20,5289823,'1988-05-05 00:00:00',4,1,12,2006,'F','N','ESTRADA NOVA','JARAGUÁ SUL','SC','124241241127371421231644245123610164172',NULL,'432',29.24,4,2,1),(20,5289858,'1990-06-22 00:00:00',2,1,6,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241312272411326824445124610133017',13621,'306',47.02,1,3,NULL),(20,5289866,'1978-05-22 00:00:00',2,1,12,1997,'F','N','INGLESES','FLORIANÓPOLIS','SC','624163241126132721218879435122322968197',5332,'9997',67.49,1,3,NULL),(20,5289882,'1992-04-08 00:00:00',4,15,12,2009,'M','N','SARANDI','PTO ALEGRE','RS','120202201212271431456933576122610167092',11665,'9998',52.06,1,3,NULL),(20,5289890,'1987-10-04 00:00:00',4,1,12,2006,'M','N','JARDIM ELITE','PIRACICABA','SP','125252251221511211458813331124241112053',NULL,'9998',23.32,1,3,NULL),(20,5289904,'1987-08-25 00:00:00',4,1,12,2005,'M','N','JARDIM MARIA EUGÊNIA','CAMPINAS','SP','125255251116471411446314345114610167117',13731,'9998',46.57,4,3,NULL),(20,5289912,'1989-03-03 00:00:00',2,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241217273431665312572122221562115',10447,'770',57.33,1,3,NULL),(20,5289920,'1991-12-28 00:00:00',4,1,12,2009,'F','N','JD AQUARIOS','S JOSÉ CAMPOS','SP','125252251235421431457732575122610116072',5571,'9998',64.79,1,3,NULL),(20,5289939,'1989-12-13 00:00:00',2,5,12,2007,'F','N','ESPIGÃO DA PEDRA','ARARANGUÁ','SC','124241241216112431434414395124231423147',14762,'210',48.56,1,3,NULL),(20,5289947,'1992-12-24 00:00:00',4,1,11,2010,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241217151751356631575122610167015',NULL,'262',38.36,1,3,NULL),(20,5289971,'1991-07-10 00:00:00',5,5,7,2009,'M','N','FIGUEIRA','URUSSANGA','SC','124242246212151431536929495134610122142',NULL,'995',27.96,1,3,NULL),(20,5289980,'1991-12-16 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124241241112271431433334575114610124142',13388,'734',48.81,1,2,1),(20,5289998,'1991-04-13 00:00:00',4,1,11,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','116162161217121431466316472122610134072',10044,'9998',54.79,1,3,NULL),(20,5290007,'1992-10-16 00:00:00',4,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115371421223324275124610124057',15503,'733',43.17,1,2,1),(20,5290015,'1989-09-19 00:00:00',2,1,12,2006,'F','N','JD SÃO MIGUEL','BIGUAÇU','SC','124251241142131731225574345121610124147',NULL,'65',24.86,4,2,1),(20,5290031,'1992-09-10 00:00:00',4,5,10,2009,'F','N','CENTRO','TURVO','SC','124242241215121431646612342112610141097',14974,'32',42.83,1,3,NULL),(20,5290040,'1990-06-14 00:00:00',4,1,11,2008,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241147161431523617575114610143147',NULL,'727',22.62,2,2,1),(20,5290058,'1991-11-22 00:00:00',2,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124244241117272731325311572224610122197',13687,'739',49.89,1,3,NULL),(20,5290066,'1992-06-30 00:00:00',4,10,12,2009,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241241132131431438932345111610167027',NULL,'158',29.94,1,2,1),(20,5290074,'1992-01-26 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241215221431379613592124613235142',NULL,'270',26.53,1,3,NULL),(20,5290090,'1993-07-23 00:00:00',4,1,12,2010,'F','S','BARREIROS','S JOSÉ','SC','124242241215111752567312572122610167147',NULL,'738',48.29,1,3,NULL),(20,5290104,'1978-11-26 00:00:00',2,1,12,2003,'F','N','PINGUIRITO','GAROPABA','SC','624241247122532732323251182111110121147',NULL,'9999',21.08,4,3,NULL),(20,5290112,'1989-12-13 00:00:00',2,5,12,2007,'F','N','ESPIGÃO DA PEDRA','ARARANGUÁ','SC','124241241216112431434414395124231427147',15558,'210',46.06,1,3,NULL),(20,5290120,'1990-05-14 00:00:00',4,3,12,2007,'M','N','CENTRO','TAQUARITUBA','SP','125252251211571431468831571124610132012',NULL,'9998',0.00,1,3,NULL),(20,5290155,'1987-03-24 00:00:00',4,1,3,2006,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241116433431426619485124133224187',NULL,'267',26.04,1,2,1),(20,5290163,'1992-07-11 00:00:00',4,1,11,2009,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161235111731379924572122610165147',12860,'9998',49.68,1,3,NULL),(20,5290171,'1991-07-25 00:00:00',2,1,12,2009,'F','N','SÃO CRISTOVÃO','GUARAPUAVA','PR','116161161235311431245722575122610131182',NULL,'9998',0.00,4,3,NULL),(20,5290180,'1980-06-27 00:00:00',4,3,12,1999,'M','N','JARDIM IDEAL','CANOAS','RS','120201207617131711428513415124141065047',NULL,'9998',0.00,2,3,NULL),(20,5290198,'1990-09-19 00:00:00',4,10,12,2007,'M','N','LINHA FRAGNANI','TREZE MAIO','SC','124241244112141431425435252124610154187',NULL,'793',0.00,1,2,1),(20,5290201,'1990-07-05 00:00:00',2,1,11,2007,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215573431558832572124610122152',2542,'270',74.97,1,3,NULL),(20,5290210,'1979-01-20 00:00:00',2,5,12,1995,'M','N','CENTRO','SIDERÓPOLIS','SC','124241241123131732321339332333130813197',NULL,'768',0.00,1,2,1),(20,5290228,'1990-08-07 00:00:00',2,3,12,2009,'M','N','VILA NOVA','TRÊS LAGOAS','MS','112124121416111431538948585121610128017',NULL,'9998',18.34,4,3,NULL),(20,5290236,'1989-02-27 00:00:00',4,8,12,2006,'M','N','AMÉRICA','JOINVILLE','SC','124242248212574731638614575125610167122',754,'1105',82.85,1,3,NULL),(20,5290244,'1989-10-25 00:00:00',4,1,12,2007,'M','N','BELA VISTA','S JOSÉ','SC','124242241211112431467633571114133234191',NULL,'1118',20.50,1,3,NULL),(20,5290252,'1991-04-09 00:00:00',2,5,12,2008,'F','N','MOINHOS','LAJEADO','RS','120202201215471441569833575124610134072',1875,'9998',76.50,1,3,NULL),(20,5290260,'1992-02-05 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241115371431526911275114610137057',NULL,'733',17.08,1,2,1),(20,5290279,'1991-01-19 00:00:00',4,1,12,2008,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241122132411117431216324223264182',12086,'291',50.70,1,2,1),(20,5290287,'1984-07-26 00:00:00',4,1,12,2001,'F','N','ARMAÇAO','PENHA','SC','124243241215372451468314272112133263112',7976,'392',61.87,1,3,NULL),(20,5290295,'1973-09-30 00:00:00',2,1,12,1990,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241211475421338821271124321334092',9345,'262',59.34,1,3,NULL),(20,5290317,'1991-04-05 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215472411589731385124610128147',10422,'1022',57.38,1,3,NULL),(20,5290325,'1992-08-09 00:00:00',2,15,12,2009,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241115131331424611292115610114027',NULL,'29',27.88,1,3,NULL),(20,5290333,'1993-05-17 00:00:00',4,4,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241215152431469733575112610137052',8251,'752',58.28,4,3,NULL),(20,5290341,'1992-12-11 00:00:00',2,7,12,2009,'M','N','FLORESTA','VIDEIRA','SC','124241241215151711454614572122610117142',NULL,'1080',26.14,1,3,NULL),(20,5290350,'1991-09-23 00:00:00',4,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242241211271711438832371122610112145',4794,'488',66.95,1,3,NULL),(20,5290368,'1991-07-07 00:00:00',4,10,12,2008,'F','N','BALNEÁRIO MAR CASADO','GUARUJÁ','SP','125251251127141431333621315124610133192',NULL,'9998',39.68,1,2,1),(20,5290376,'1992-03-11 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115271732525611195124610122141',NULL,'307',27.94,1,2,1),(20,5290384,'1992-10-02 00:00:00',4,9,12,2009,'M','N','CENTRO','LAGES','SC','124244241215111431469933475122610127092',974,'1146',81.48,1,3,NULL),(20,5290392,'1992-01-31 00:00:00',4,1,12,2009,'M','N','ACLIMAÇÃO','S PAULO','SP','125252251216111731436819575125610164071',11202,'9998',50.82,1,3,NULL),(20,5290406,'1993-10-08 00:00:00',4,1,11,2010,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241217111431476633575114610166042',NULL,'269',27.14,1,3,NULL),(20,5290414,'1991-03-07 00:00:00',4,9,12,2008,'M','N','CENTRO','S JOAQUIM','SC','124242241215471431536614575112610127017',6501,'1035',64.91,1,3,NULL),(20,5290422,'1981-06-26 00:00:00',2,1,3,1999,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124201207127231431424315495124140431047',NULL,'9998',31.93,1,3,NULL),(20,5290430,'1990-03-18 00:00:00',4,15,12,2007,'F','N','CENTRO','ESTEIO','RS','120202201216571731337634575124610162072',1674,'9998',78.15,1,3,NULL),(20,5290457,'1992-02-16 00:00:00',2,4,11,2009,'M','N','JARDIM ITALIA','CHAPECÓ','SC','124243241215211751537939574122610114097',9736,'185',56.56,1,3,NULL),(20,5290465,'1992-11-12 00:00:00',4,8,12,2009,'F','N','CRISTO REI','CURITIBA','PR','116162161215111431489714475122610117182',NULL,'9998',0.00,1,3,NULL),(20,5290473,'1992-07-25 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241417111731589811172124610127142',12797,'270',52.75,1,3,NULL),(20,5290481,'1989-12-19 00:00:00',2,1,12,2006,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241112372431426613442124610137047',13216,'288',51.93,1,2,1),(20,5290490,'1990-08-31 00:00:00',2,7,11,2007,'F','N','CENTRO','S LOURENÇO OESTE','SC','124242161417473511426519192224610137097',13299,'9998',48.45,1,3,NULL),(20,5290503,'1990-12-13 00:00:00',4,1,12,2008,'F','N','SÃO MIGUEL PAULISTA','S PAULO','SP','125252251216471431264823571124610162077',NULL,'9998',0.00,1,3,NULL),(20,5290511,'1992-01-20 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241217131431445427271124610117017',15536,'1022',43.51,1,3,NULL),(20,5290520,'1990-04-25 00:00:00',2,4,11,2007,'M','N','JARDIM LINDOIA','GOIOERÊ','PR','116162161216571431548833335122610127046',2715,'9998',73.66,4,3,NULL),(20,5290538,'1992-06-23 00:00:00',4,16,12,2009,'F','N','CENTRO','STA CECÍLIA','SC','124241241415111731338922375112610127057',11406,'120',54.71,1,3,NULL),(20,5290546,'1992-12-11 00:00:00',4,1,12,2009,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215111731369933572124610123117',4029,'262',70.78,1,3,NULL),(20,5290554,'1992-07-07 00:00:00',2,1,11,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241115131431433519195123610137147',NULL,'257',23.26,1,2,1),(20,5290562,'1981-09-25 00:00:00',2,16,12,1998,'F','N','STO ANTONIO','CURITIBANOS','SC','624241241123131722533254132122132731147',NULL,'238',0.00,1,2,1),(20,5290570,'1992-04-15 00:00:00',2,1,11,2009,'F','N','VILA TARUMÃ','PINHAIS','PR','116161161316411721327724572224610162096',10388,'9998',53.99,1,3,NULL),(20,5290589,'1987-08-07 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124243241116133131226622485114610146197',NULL,'257',0.00,1,3,NULL),(20,5290597,'1990-05-03 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217272431468911445122130767063',NULL,'272',28.31,1,3,NULL),(20,5290600,'1992-05-20 00:00:00',4,5,12,2009,'M','N','CENTRO','ORLEANS','SC','124242246217161421538714475124610114052',6756,'995',61.97,1,3,NULL),(20,5290619,'1991-01-21 00:00:00',4,3,11,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241216472431436634275124610163092',8800,'403',59.63,1,3,NULL),(20,5290627,'1991-09-10 00:00:00',2,4,12,2008,'M','N','BOM RETIRO','JOINVILLE','SC','124241241216122431433612575124230748012',NULL,'1081',30.84,1,3,NULL),(20,5290635,'1986-10-01 00:00:00',4,1,12,2004,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217155431334779575114221462094',1237,'270',80.05,1,3,NULL),(20,5290643,'1992-11-12 00:00:00',4,9,12,2009,'F','N','JARDIM AMÉRICA','VACARIA','RS','120204201215211431456814392122610121192',NULL,'499',27.65,1,3,NULL),(20,5290651,'1984-03-14 00:00:00',2,1,12,2005,'M','N','NOVA SUIÇA','LIMEIRA','SP','125251251126472311221623182324610164187',15162,'9998',44.42,2,1,1),(20,5290660,'1991-06-25 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241116373411326623471124610125047',9392,'267',58.09,1,2,1),(20,5290678,'1992-02-21 00:00:00',2,5,12,2009,'F','N','PRIMEIRO DE MAIO','IÇARA','SC','124241241116271431434639575122610136172',14651,'1005',46.98,1,2,1),(20,5290686,'1984-03-27 00:00:00',2,1,8,2006,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241247126372431433314345124610124043',13120,'9999',52.13,4,3,NULL),(20,5290694,'1993-03-01 00:00:00',4,8,11,2009,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241215151431488824575122610134182',9996,'457',58.16,1,3,NULL),(20,5290708,'1991-12-03 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215472431583315575124610126142',1093,'270',80.78,1,3,NULL),(20,5290716,'1992-02-06 00:00:00',4,4,11,2009,'M','N','CENTRO','PATO BRANCO','PR','116242161217151731259612575214610164077',NULL,'9998',25.53,1,3,NULL),(20,5290724,'1992-03-07 00:00:00',4,4,12,2009,'F','N','SANTO ANTONIO','CHAPECÓ','SC','124241241112271411423634275124610124147',8403,'172',59.59,1,2,1),(20,5290732,'1992-10-06 00:00:00',4,2,11,2009,'F','N','VELHA','BLUMENAU','SC','124242241217151431367614375124610134192',5328,'88',66.17,1,3,NULL),(20,5290740,'1990-09-28 00:00:00',1,1,11,2009,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242248215111411479811492112610164045',NULL,'270',40.01,1,3,NULL),(20,5290759,'1993-07-12 00:00:00',4,1,11,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241235273432545621575114610133017',3419,'1169',72.32,1,3,NULL),(20,5290767,'1974-01-28 00:00:00',4,1,11,1992,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124243246117473411368633435122122267165',3179,'306',72.13,1,3,NULL),(20,5290775,'1991-07-05 00:00:00',2,15,12,2008,'M','N','CENTRO','BAL ARROIO SILVA','SC','124242241316111431423931341124610152052',NULL,'29',24.53,1,3,NULL),(20,5290783,'1964-06-14 00:00:00',2,1,12,2002,'F','N','FORQUILHAS','S JOSÉ','SC','224241247126271711311354171224610112192',NULL,'9999',25.13,1,2,1),(20,5290821,'1989-10-14 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431438621575124131466092',679,'499',83.34,1,3,NULL),(20,5290830,'1990-03-29 00:00:00',4,9,12,2007,'F','N','JARDIM AMÉRICA','CAXIAS SUL','RS','120201201116151421445614375114141024092',12879,'9998',49.28,1,2,1),(20,5290848,'1988-04-06 00:00:00',2,1,12,2009,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241247135272431236574341123610166047',NULL,'9999',45.74,1,3,NULL),(20,5290864,'1990-10-22 00:00:00',4,1,10,2008,'F','N','CENTRO','RIO SUL','SC','124242161217472431358921575124610132182',2829,'9998',74.02,1,3,NULL),(20,5290872,'1991-10-07 00:00:00',2,4,12,2008,'F','N','PAULO COELHO MACHADO','CPO GRANDE','MS','112121121117571431424324572324610166177',10094,'9998',56.46,4,3,NULL),(20,5290899,'1993-11-30 00:00:00',4,1,12,2010,'F','S','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241237131431328823582122610136141',NULL,'884',28.11,1,3,NULL),(20,5290902,'1990-09-03 00:00:00',4,1,11,2008,'M','N','VILA INAH','S PAULO','SP','125252251216571411577812225112610114013',4111,'9998',69.41,1,3,NULL),(20,5290910,'1991-04-18 00:00:00',4,4,12,2009,'F','N','CENTRO','XAXIM','SC','124241241116111431336429575122610127142',NULL,'848',11.39,4,2,1),(20,5290945,'1991-04-25 00:00:00',4,1,12,2008,'F','N','INDAIÁ','CARAGUATATUBA','SP','125252251215471731446832575122610164196',12111,'9998',54.15,1,3,NULL),(20,5290953,'1992-01-24 00:00:00',4,1,12,2009,'F','N','ABRÃAO','FLORIANÓPOLIS','SC','124242241215122431369813572112610161192',8027,'270',59.98,1,3,NULL),(20,5290961,'1991-12-24 00:00:00',2,1,11,2009,'F','N','CENTRO','PALHOÇA','SC','124243241116372431558639575124610137142',NULL,'592',28.12,1,3,NULL),(20,5290970,'1990-12-17 00:00:00',2,1,12,2008,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241215472431426814571124610127077',10275,'1050',54.97,1,3,NULL),(20,5290988,'1989-10-13 00:00:00',4,1,12,2007,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121416571431458832575122610127142',NULL,'9998',0.00,1,3,NULL),(20,5290996,'1984-03-22 00:00:00',2,7,12,2001,'M','N','CENTRO','IRANI','SC','124241242237371421333633345124610167052',NULL,'8',23.16,1,3,NULL),(20,5291003,'1991-03-07 00:00:00',4,1,11,2008,'M','N','JD VISTA ALEGRE','S JOSÉ R PRETO','SP','125252251215271431477832575122610137042',NULL,'9998',0.00,1,3,NULL),(20,5291020,'1992-03-28 00:00:00',4,17,12,2009,'M','N','BELLO','CAÇADOR','SC','124241241112131431526631212122610118143',NULL,'124',25.97,1,2,1),(20,5291038,'1993-01-16 00:00:00',4,1,12,2009,'F','N','ALTINOPOLIS','GOV VALADARES','MG','113131138116131731333318575122610134147',NULL,'9998',0.00,4,2,1),(20,5291046,'1988-11-12 00:00:00',2,1,12,2006,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241216244451436839435122610167072',NULL,'1134',42.22,1,3,NULL),(20,5291054,'1992-11-16 00:00:00',2,8,12,2009,'M','N','ESTRELA','PNT GROSSA','PR','116164161216271441469934575122610135177',NULL,'9998',0.00,1,3,NULL),(20,5291062,'1993-05-13 00:00:00',4,1,12,2010,'F','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215121431579921575124610122015',NULL,'272',32.31,1,3,NULL),(20,5291089,'1991-06-29 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124244241215272731436621395124610112057',6335,'738',65.15,1,3,NULL),(20,5291097,'1985-02-19 00:00:00',5,1,9,2005,'M','N','CAMPINAS','S JOSÉ','SC','124202288116572421535634442134610137187',NULL,'9998',16.55,1,3,NULL),(20,5291100,'1991-12-02 00:00:00',4,8,12,2009,'M','N','MEDITERRÂNEO','LONDRINA','PR','116162168215111431469931572122610164053',NULL,'9998',0.00,4,3,NULL),(20,5291119,'1986-10-31 00:00:00',4,8,12,2004,'F','N','ACLIMAÇÃO','S PAULO','SP','125122121216525431369614442122610124091',7121,'9998',62.02,1,3,NULL),(20,5291127,'1992-06-02 00:00:00',2,10,12,2009,'M','N','SÃO JOÃO','TUBARÃO','SC','124241241217161741546932372111610167182',NULL,'809',31.04,1,3,NULL),(20,5291135,'1985-05-19 00:00:00',2,1,12,2003,'F','N','ROÇADO','S JOSÉ','SC','124241241125473441533319282124610121187',10831,'729',55.70,4,2,1),(20,5291143,'1992-11-07 00:00:00',2,2,10,2009,'M','N','AV PRIMEIRO DE MAIO','BRUSQUE','SC','124241241117211431431329496124610127057',14322,'111',46.49,1,2,1),(20,5291151,'1991-08-11 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241412134431256623575124233221017',NULL,'1022',24.10,1,3,NULL),(20,5291160,'1987-03-03 00:00:00',4,1,12,2004,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241127274431433315344324610126182',11611,'60',52.19,1,2,1),(20,5291178,'1991-04-22 00:00:00',2,1,12,2008,'F','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124241241315372431436622395122132068192',6362,'424',63.82,1,3,NULL),(20,5291186,'1963-02-13 00:00:00',2,1,9,2002,'M','N','MADRI','PALHOÇA','SC','224243247211132411424344442124221417047',NULL,'1003',33.79,5,4,NULL),(20,5291194,'1994-10-26 00:00:00',4,1,12,2010,'M','S','CENTRO','LEBON RÉGIS','SC','124242241217111431338831575122610168042',NULL,'1124',32.62,1,3,NULL),(20,5291208,'1985-04-23 00:00:00',2,1,12,2002,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241141372421221344442334610123147',NULL,'772',23.50,1,2,1),(20,5291216,'1991-07-08 00:00:00',4,1,12,2008,'F','N','VILA OPERÁRIA','MARINGÁ','PR','116162161216471431468812572122610167077',5085,'9998',67.67,1,3,NULL),(20,5291232,'1984-07-29 00:00:00',4,1,12,2007,'M','N','SÃO LUIZ','S JOSÉ','SC','124241241125131411436323243113610164047',14033,'729',50.32,1,2,1),(20,5291240,'1992-01-31 00:00:00',4,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124243241217131431446934372112610128142',2369,'809',74.07,1,3,NULL),(20,5291259,'1986-06-12 00:00:00',2,1,12,2003,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','624241241116473431238673135234610134187',13802,'787',47.49,1,2,1),(20,5291267,'1991-10-25 00:00:00',4,1,11,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217111431567831572122610167057',12061,'270',51.32,1,3,NULL),(20,5291275,'1993-02-11 00:00:00',2,1,11,2009,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215112411336611575124610135192',14577,'269',47.50,1,3,NULL),(20,5291283,'1988-12-20 00:00:00',2,1,12,2005,'F','N','RATONES','FLORIANÓPOLIS','SC','224241241127474411325554282244610164192',NULL,'307',0.00,1,2,1),(20,5291291,'1992-05-03 00:00:00',4,10,11,2009,'M','N','CENTRO','CAPIVARI BAIXO','SC','124244241215151431236923575124610137182',4127,'806',67.87,1,3,NULL),(20,5291305,'1990-10-30 00:00:00',2,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124243241146131711226623592124610165146',NULL,'592',37.33,1,3,NULL),(20,5291313,'1992-08-16 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215121431335631575114610123147',13135,'1022',52.10,1,3,NULL),(20,5291321,'1984-10-11 00:00:00',2,1,12,2002,'M','N','CENTRO','TRINDADE','GO','109091091127131431416629292344610162057',NULL,'9998',22.13,1,2,1),(20,5291330,'1992-06-30 00:00:00',4,4,12,2009,'M','N','ITAPAGE','FREDERICO WESTPHALEN','RS','120203201117131431427912172122610117042',14573,'9998',46.87,1,3,NULL),(20,5291348,'1991-09-26 00:00:00',2,1,12,2009,'M','N','CENTRO','GAROPABA','SC','124241241127151432526318572122610167047',NULL,'322',27.97,1,2,1),(20,5291356,'1989-10-04 00:00:00',2,1,12,2006,'F','N','TRISTEZA','PTO ALEGRE','RS','120202201217571711479833571114610163041',NULL,'9998',0.00,1,3,NULL),(20,5291364,'1991-08-29 00:00:00',2,4,12,2008,'M','N','JARDIM SOCIAL','ALTÔNIA','PR','116162161215471431446932575122610164047',NULL,'9998',56.81,1,3,NULL),(20,5291372,'1992-08-12 00:00:00',4,6,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242248217111431637713581112610147011',15953,'44',44.39,4,3,NULL),(20,5291380,'1992-03-23 00:00:00',2,1,12,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241115371431656667272124610167042',10556,'257',54.67,1,2,1),(20,5291402,'1991-08-28 00:00:00',4,6,12,2008,'M','N','COUNTRY','CASCAVEL','PR','116162161217473431469933474111610147057',331,'9998',86.15,1,3,NULL),(20,5291437,'1991-08-13 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241235373431389913575122120447072',1452,'738',78.65,1,3,NULL),(20,5291445,'1992-10-19 00:00:00',2,1,12,2009,'F','N','PEREQUÊ','PTO BELO','SC','124244241216111431367713574122610164147',NULL,'1111',20.62,4,3,NULL),(20,5291453,'1991-11-11 00:00:00',4,1,12,2008,'F','N','CAMBUCI','S PAULO','SP','125202251211371451478811591124610167077',627,'9998',83.72,1,3,NULL),(20,5291461,'1991-03-08 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241115472731214324192324610162147',NULL,'295',38.62,2,1,1),(20,5291470,'1992-03-27 00:00:00',4,5,11,2009,'F','N','OPERÁRIA NOVA','CRICIÚMA','SC','124242241217111431327831375122610134193',12353,'210',50.95,1,3,NULL),(20,5291488,'1989-04-24 00:00:00',4,1,12,2006,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241117271231226624345124610114141',5953,'257',66.12,1,2,1),(20,5291500,'1992-05-01 00:00:00',4,1,12,2009,'F','N','ITINGA','TIJUCAS','SC','124241241127111432436614282224610114142',NULL,'783',23.66,1,3,NULL),(20,5291518,'1975-04-02 00:00:00',2,1,12,1994,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','524252251247373751139641412124342632177',4233,'9998',70.20,1,3,NULL),(20,5291526,'1986-11-07 00:00:00',2,1,12,2005,'F','N','ROÇADO','S JOSÉ','SC','624203201136233421236744142334610162187',NULL,'9998',35.48,1,3,NULL),(20,5291534,'1986-04-29 00:00:00',2,5,12,2003,'M','N','BOA VISTA','CRICIÚMA','SC','124241241136151232433311385124610111177',NULL,'798',30.28,1,2,1),(20,5291542,'1991-02-07 00:00:00',4,1,11,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215472431335834574124610162042',7856,'270',62.09,1,3,NULL),(20,5291550,'1992-09-19 00:00:00',2,1,12,2009,'F','N','VILA LIANE','PNT GROSSA','PR','116162161216111431448829572124610124142',NULL,'9998',27.06,1,3,NULL),(20,5291569,'1985-03-29 00:00:00',4,1,12,2002,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124253251217574431118811595112221464185',6286,'9998',65.37,1,3,NULL),(20,5291577,'1991-02-19 00:00:00',4,8,11,2008,'F','N','GLÓRIA','JOINVILLE','SC','124242241215472431336612572112610128192',9893,'1063',56.97,1,3,NULL),(20,5291585,'1984-03-01 00:00:00',2,1,7,2006,'F','N','RIO NOVO','ÁGUAS MORNAS','SC','124241241122232411213425592324610124142',16299,'702',40.57,1,3,NULL),(20,5291615,'1993-05-04 00:00:00',4,8,12,2009,'F','N','JARDIM AMÉRICA','MAFRA','SC','124241241115371431234923474124610134092',NULL,'542',46.64,1,2,1),(20,5291623,'1991-01-12 00:00:00',4,8,12,2009,'M','N','AMÉRICA','JOINVILLE','SC','124052241215471431336721471121610127052',NULL,'1105',19.74,3,3,NULL),(20,5291631,'1992-03-10 00:00:00',4,15,12,2009,'M','N','ESTREITO','MELEIRO','SC','124241241135141431433811412122610137047',NULL,'559',23.32,1,2,1),(20,5291640,'1992-07-24 00:00:00',4,1,11,2009,'M','N','EUGÊNIO SCHNEIDER','RIO SUL','SC','124242241211152752438913295122610164047',NULL,'959',54.21,1,3,NULL),(20,5291666,'1990-12-07 00:00:00',4,1,12,2007,'M','N','PASSA VINTE','PALHOÇA','SC','124243241217132411535531282123222314077',NULL,'1010',22.56,1,3,NULL),(20,5291674,'1992-03-14 00:00:00',4,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124242246217371131436617575115610162054',14996,'1120',44.59,1,3,NULL),(20,5291682,'1991-11-21 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241212111411569833572114610114145',16207,'1022',42.46,1,3,NULL),(20,5291690,'1990-05-28 00:00:00',4,8,11,2007,'F','N','VILA IZABEL','CURITIBA','PR','116112111216575731469913575122610144187',NULL,'9998',0.00,1,3,NULL),(20,5291704,'1992-10-30 00:00:00',4,6,12,2009,'M','N','LAGEADO BAIXO','GUABIRUBA','SC','124241241115271431333823474124610117157',NULL,'333',0.00,1,2,1),(20,5291712,'1991-04-09 00:00:00',4,6,12,2008,'F','N','SÃO VICENTE','ITAJAÍ','SC','124251258225472431226669572324610112057',3893,'9998',69.93,1,3,NULL),(20,5291720,'1993-12-04 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111131388834442122610137062',NULL,'262',53.35,1,3,NULL),(20,5291739,'1989-02-24 00:00:00',2,8,12,2006,'F','N','CENTRO','S BENTO SUL','SC','124241241417153411533629594125131564142',14565,'974',44.95,1,3,NULL),(20,5291747,'1990-09-17 00:00:00',4,2,12,2007,'F','N','CENTRO','POMERODE','SC','124242241212574721469814575124232414077',1040,'624',81.09,1,3,NULL),(20,5291755,'1993-03-03 00:00:00',4,4,12,2009,'F','N','SANTA CATARINA','S LOURENÇO OESTE','SC','124241241135131531426619272325610126177',NULL,'745',26.61,1,2,1),(20,5291763,'1991-03-06 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241112132431227329292124610127182',NULL,'281',21.53,4,1,1),(20,5291771,'1984-09-14 00:00:00',2,1,7,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','224251208432151711356673395122231068043',NULL,'9998',14.71,4,3,NULL),(20,5291780,'1990-06-11 00:00:00',4,1,11,2007,'F','N','CENTRO','CURITIBA','PR','116162161215572431448611476124610133092',8886,'9998',59.01,1,3,NULL),(20,5291798,'1992-07-31 00:00:00',4,2,12,2009,'F','N','ARAPONGAS','INDAIAL','SC','124244241212111431434332345122610132072',NULL,'986',26.97,1,3,NULL),(20,5291801,'1988-03-25 00:00:00',4,1,12,2005,'M','N','GUABIRUBA SUL','GUABIRUBA','SC','124241241136131752446314245143610164182',NULL,'333',0.00,1,2,1),(20,5291810,'1991-01-15 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124252258217573411348832575112610137127',14896,'9998',45.53,1,3,NULL),(20,5291828,'1992-05-28 00:00:00',2,1,12,2009,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124242241215151411458814572122610127092',4314,'1134',69.76,1,3,NULL),(20,5291836,'1990-11-11 00:00:00',4,1,12,2009,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241216152431569934575124233247052',6632,'270',64.64,1,3,NULL),(20,5291844,'1993-04-25 00:00:00',4,1,12,2009,'M','N','JARDIM JANAINA','BIGUAÇU','SC','124242245117151412478933472122610164187',7760,'739',62.30,1,3,NULL),(20,5291852,'1990-08-04 00:00:00',2,1,12,2007,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241248115371431513314341344610164187',NULL,'283',19.80,4,2,1),(20,5291860,'1986-10-09 00:00:00',4,1,12,2004,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124243241411135411437922381124120812177',6134,'185',62.01,1,3,NULL),(20,5291879,'1989-05-08 00:00:00',2,4,12,2006,'F','N','ZONA SETE','UMUARAMA','PR','116163161215571432447614382122610162147',8605,'9998',58.82,1,3,NULL),(20,5291887,'1990-10-09 00:00:00',4,8,8,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161115472431459912372144610167157',5360,'9998',65.61,1,3,NULL),(20,5291895,'1988-11-08 00:00:00',2,6,11,2006,'F','N','IMARUÍ','ITAJAÍ','SC','124244241235372431223134591224610161142',NULL,'1025',41.87,2,1,2),(20,5291917,'1992-07-09 00:00:00',2,8,11,2009,'F','N','GLÓRIA','JOINVILLE','SC','124241241215272431426614575124610124182',1601,'486',78.25,1,3,NULL),(20,5291925,'1992-02-05 00:00:00',4,3,12,2008,'F','N','CENTRO','PEROBAL','PR','116161161111471431547931342224610124142',10813,'9998',56.03,1,2,1),(20,5291933,'1992-09-24 00:00:00',2,5,12,2009,'F','N','PROSPERA','CRICIÚMA','SC','124241241417271431436734492122610135142',NULL,'920',23.18,1,3,NULL),(20,5291941,'1977-11-25 00:00:00',4,1,12,1997,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252251217471411189932495122132626142',NULL,'9998',36.08,1,3,NULL),(20,5291950,'1989-12-03 00:00:00',2,1,7,2008,'M','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241247127131421428621442124610123047',NULL,'9999',8.79,1,2,1),(20,5291968,'1992-09-02 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124242241115371431568613345124610167042',9779,'739',54.84,1,3,NULL),(20,5291976,'1991-06-28 00:00:00',2,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431337532472125610144072',NULL,'723',25.48,1,3,NULL),(20,5291984,'1986-09-03 00:00:00',2,1,12,2008,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124241247127471411124344445324610158182',8038,'9999',61.77,1,2,1),(20,5291992,'1990-08-30 00:00:00',4,1,12,2009,'M','N','NOSSA SEN DO ROSÁRIO','S JOSÉ','SC','124242241215131731437834345124610137042',15303,'1076',44.15,1,3,NULL),(20,5292018,'1983-03-26 00:00:00',2,5,12,2000,'M','N','BOA VISTA','CRICIÚMA','SC','124241241126161431433311445122610114047',NULL,'840',24.27,1,2,1),(20,5292026,'1993-01-26 00:00:00',2,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124244241132151431326923375121610134152',NULL,'182',22.38,1,3,NULL),(20,5292034,'1986-06-25 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241212515451347731572225131361147',16165,'836',42.93,1,3,NULL),(20,5292042,'1993-04-01 00:00:00',2,5,12,2010,'F','S','GUAIUBA','IMBITUBA','SC','124242241215111431438432572122610137052',NULL,'362',42.37,1,3,NULL),(20,5292050,'1993-01-31 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217112431446734575124610162187',NULL,'273',0.00,1,3,NULL),(20,5292077,'1991-07-04 00:00:00',4,8,12,2008,'F','N','CENTRO','NOVA ESPERANÇA','PR','116162161215471431469931574122610123097',3886,'9998',69.87,1,3,NULL),(20,5292085,'1989-01-16 00:00:00',4,8,11,2006,'F','N','GLÓRIA','JOINVILLE','SC','124242241215574431459832375122610134042',9264,'44',56.40,1,3,NULL),(20,5292107,'1987-09-23 00:00:00',2,1,12,2005,'M','N','FÁTIMA I','POUSO ALEGRE','MG','113132131211513751448813571321612462062',NULL,'9998',0.00,1,3,NULL),(20,5292115,'1990-09-13 00:00:00',4,5,11,2008,'M','N','MICHEL','CRICIÚMA','SC','124242246216314431479812475122233264112',7532,'995',62.74,1,3,NULL),(20,5292131,'1990-12-03 00:00:00',4,15,12,2008,'M','N','RIO BRANCO','PTO ALEGRE','RS','120202201216471431478911273122610127047',4309,'9998',70.01,1,3,NULL),(20,5292158,'1979-10-19 00:00:00',2,15,4,2006,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','624241248147131421323444242121610128047',NULL,'228',0.00,1,3,NULL),(20,5292174,'1992-01-30 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217111131448412472112610117042',8259,'9997',61.03,1,3,NULL),(20,5292182,'1992-05-14 00:00:00',2,1,12,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241212112731563631572122610127052',NULL,'944',25.93,1,3,NULL),(20,5292190,'1991-10-12 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241315422531359613572124610162093',2272,'270',75.93,1,3,NULL),(20,5292204,'1987-02-03 00:00:00',4,1,12,2004,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241216373431168811375122221966107',6772,'948',64.32,1,3,NULL),(20,5292220,'1969-04-15 00:00:00',2,1,12,1996,'F','N','INGLESES','FLORIANÓPOLIS','SC','224241247437271411223354282112610167047',8718,'1003',60.51,1,3,NULL),(20,5292239,'1973-01-11 00:00:00',2,1,12,1994,'M','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','224241241126132431532243132124610167047',NULL,'734',28.44,1,2,1),(20,5292247,'1989-12-05 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216375451468614245124233226047',6603,'1022',64.70,1,3,NULL),(20,5292255,'1991-01-10 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','120242241216473411369314571124610162172',1985,'1146',76.33,1,3,NULL),(20,5292263,'1991-09-03 00:00:00',2,10,12,2008,'F','N','SANTA CRUZ','TREZE MAIO','SC','124241241126272721533316575124610165042',NULL,'793',0.00,1,2,1),(20,5292271,'1992-08-31 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115271411316821572114610167147',15661,'307',42.73,1,2,1),(20,5292280,'1988-03-03 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116473431525544445124610124022',NULL,'798',37.86,1,2,1),(20,5292298,'1992-04-03 00:00:00',4,1,12,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215122431468813574112610123157',2708,'270',72.42,1,3,NULL),(20,5292301,'1991-11-13 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124243241145271731325611571324610158187',8926,'734',60.10,1,3,NULL),(20,5292310,'1985-01-01 00:00:00',4,1,12,2002,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117143411456614245122230227047',15865,'307',44.75,1,2,1),(20,5292328,'1993-03-10 00:00:00',4,7,12,2009,'F','N','INTERIOR','VARGEÃO','SC','124241241112131231356315272122610116057',NULL,'824',0.00,1,2,1),(20,5292336,'1992-02-16 00:00:00',4,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242241215472431589922575122610132181',NULL,'1063',0.00,1,3,NULL),(20,5292344,'1989-04-27 00:00:00',4,4,12,2007,'M','N','SANTA CATARINA','S LOURENÇO OESTE','SC','124241241117131521423344442225230814057',NULL,'745',23.16,1,3,NULL),(20,5292360,'1992-08-13 00:00:00',4,1,11,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241137131431643823285114610117085',NULL,'288',26.58,1,3,NULL),(20,5292387,'1991-07-09 00:00:00',2,5,10,2009,'F','N','LINHA BATISTA','CRICIÚMA','SC','124243241415121441557614272124610121142',NULL,'226',0.00,1,3,NULL),(20,5292395,'1991-05-13 00:00:00',4,1,11,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216372711489813591124610127127',NULL,'1169',34.90,1,3,NULL),(20,5292409,'1991-11-25 00:00:00',4,1,12,2009,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091217111431588812425112610134184',NULL,'9998',0.00,1,3,NULL),(20,5292417,'1991-03-08 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215372431445314241112610117052',2530,'1134',74.99,1,3,NULL),(20,5292425,'1990-04-12 00:00:00',4,1,12,2008,'F','N','BOQUEIRÃO','CURITIBA','PR','116163161337471431447719175124610136097',NULL,'9998',0.00,1,3,NULL),(20,5292433,'1992-03-12 00:00:00',4,1,12,2009,'M','N','JARDIM ATLÂNTICO','GOIÂNIA','GO','109092091237111442666712372122610138147',NULL,'9998',NULL,4,3,NULL),(20,5292441,'1991-08-17 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124212241215473731468813575112610127032',5391,'272',67.34,1,3,NULL),(20,5292450,'1990-04-04 00:00:00',4,1,12,2007,'F','N','CENTRO','PTO ALEGRE','RS','120202201216571431359833475124610164047',690,'9998',83.26,1,3,NULL),(20,5292468,'1988-10-09 00:00:00',2,5,12,2007,'M','N','CENTRO','CRICIÚMA','SC','124241241146131731221349295114610124147',NULL,'220',0.00,1,2,1),(20,5292476,'1991-09-22 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217111431369913595124610138097',6263,'270',65.42,1,3,NULL),(20,5292484,'1992-06-19 00:00:00',4,1,12,2009,'F','N','ZONA DOIS','UMUARAMA','PR','116162161215171331468832575122610167077',NULL,'9998',0.00,1,3,NULL),(20,5292492,'1991-05-13 00:00:00',2,16,12,2008,'F','N','RONDINHA','PTE ALTA NORTE','SC','124241242115273411525614571124610147067',NULL,'662',43.00,1,2,1),(20,5292506,'1982-06-07 00:00:00',2,1,12,1999,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241246132234421533471112123610122177',13381,'739',47.45,1,2,1),(20,5292514,'1977-11-23 00:00:00',4,1,12,1997,'M','N','BARREIROS','S JOSÉ','SC','524241243126132431313341112314610167047',16227,'359',42.22,1,2,1),(20,5292522,'1990-02-25 00:00:00',2,5,12,2007,'M','N','JARDIM BOTANICO','PTO ALEGRE','RS','120222201117571751468931375114610167077',3085,'9998',70.56,1,3,NULL),(20,5292530,'1989-04-08 00:00:00',2,1,12,2006,'F','N','AREIAS','S JOSÉ','SC','124241241136132431543611385124232714071',NULL,'730',28.63,1,2,1),(20,5292549,'1985-09-19 00:00:00',4,1,12,2003,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241126131752426549395114610164053',15117,'277',44.64,4,2,1),(20,5292557,'1991-09-02 00:00:00',4,9,12,2009,'M','N','CIDADE NOVA V','MANAUS','AM','120042201217161731436633575125610152127',NULL,'9998',0.00,1,3,NULL),(20,5292565,'1982-09-30 00:00:00',4,1,12,2000,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224242241216143721279843435122430242165',NULL,'270',0.00,1,3,NULL),(20,5292573,'1992-05-22 00:00:00',2,1,12,2009,'M','N','RIO GRANDE','PALHOÇA','SC','124241241115141331324335245122610127147',NULL,'592',28.19,1,2,1),(20,5292581,'1961-09-14 00:00:00',2,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','524241247647141421324441211323610156187',NULL,'9999',0.00,1,3,NULL),(20,5292590,'1992-04-25 00:00:00',2,16,12,2009,'M','N','MAROMBAS','BRUNÓPOLIS','SC','124241241123371431416615452124610157047',NULL,'911',26.85,1,2,1),(20,5292603,'1993-02-16 00:00:00',4,7,2,2011,'F','S','CAMPINA BELA','VIDEIRA','SC','124241241215111431423312575125610138182',NULL,'829',27.66,1,3,NULL),(20,5292611,'1990-02-14 00:00:00',2,3,12,2008,'M','N','SANTO ANTÔNIO','CPO GRANDE','MS','112124121416411411356313575122610122192',NULL,'9998',17.06,1,3,NULL),(20,5292620,'1989-02-17 00:00:00',4,1,12,2005,'F','N','JD HIGIENÓPOLIS','LONDRINA','PR','116162161215571431227814592112610162067',502,'9998',83.78,3,3,NULL),(20,5292638,'1990-05-07 00:00:00',4,15,12,2007,'F','N','JARDIM MAUÁ','NOVO HAMBURGO','RS','120202201216511731458934572112241567077',NULL,'9998',0.00,1,3,NULL),(20,5292646,'1991-03-01 00:00:00',4,2,12,2008,'F','N','PADRE EDUARDO','TAIÓ','SC','124241241147161431238723385221130238147',NULL,'777',0.00,4,2,1),(20,5292662,'1991-04-12 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241145271521323321272324610167072',NULL,'288',41.89,1,2,1),(20,5292670,'1992-12-03 00:00:00',4,5,11,2009,'M','N','CENTRO','URUSSANGA','SC','124242241217111431358923575124610137112',10642,'226',56.97,1,3,NULL),(20,5292689,'1979-07-14 00:00:00',2,1,7,2006,'M','N','PAMPLONA','RIO SUL','SC','224244247326131241539841315122132865067',NULL,'9999',22.36,1,3,NULL),(20,5292697,'1992-08-26 00:00:00',2,9,12,2009,'F','N','CONTA DINHEIRO','LAGES','SC','124243241215151431343363575124610124042',NULL,'1146',25.08,4,3,NULL),(20,5292700,'1991-08-12 00:00:00',4,8,12,2009,'M','N','BUCAREIN','JOINVILLE','SC','124242241245111431458314445124610137042',NULL,'932',26.84,1,3,NULL),(20,5292719,'1990-05-06 00:00:00',4,1,12,2007,'M','N','CIDADE MONÇÕES','S PAULO','SP','125252251217571431338612475122610168181',NULL,'9998',0.00,1,3,NULL),(20,5292735,'1992-09-14 00:00:00',2,1,12,2009,'F','N','FLOR DE NAPOLES','S JOSÉ','SC','124241241116131411523723575224610164082',NULL,'727',25.79,1,2,1),(20,5292743,'1990-11-29 00:00:00',2,1,11,2008,'M','N','CENTRO','BRAÇO NORTE','SC','124243241116372431534834184124231042142',14773,'100',48.54,1,3,NULL),(20,5292751,'1992-11-16 00:00:00',4,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241225271431445334572124610147172',4286,'262',69.22,2,1,2),(20,5292760,'1979-05-26 00:00:00',2,1,12,1999,'F','N','IPIRANGA','S JOSÉ','SC','124243247446232411536674245122610137147',NULL,'515',0.00,1,3,NULL),(20,5292778,'1992-08-29 00:00:00',4,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124241241215151411457611575124610144197',8525,'976',57.01,1,3,NULL),(20,5292786,'1991-01-17 00:00:00',4,4,12,2008,'M','N','INTERIOR','S JOÃO OESTE','SC','124241242112371231349517575124610112172',NULL,'758',24.92,1,2,1),(20,5292794,'1992-03-02 00:00:00',4,7,11,2009,'M','N','SANTA TEREZA','JOAÇABA','SC','124242241215131431436612374122610127047',NULL,'446',37.03,1,3,NULL),(20,5292808,'1993-08-13 00:00:00',4,2,12,2010,'M','S','VILA NOVA','BLUMENAU','SC','124242241217111431369614575122610137047',NULL,'909',47.20,1,3,NULL),(20,5292816,'1990-06-12 00:00:00',4,1,12,2007,'F','N','ZONA SETE','MARINGÁ','PR','116162161216572431458814572114610161047',806,'9998',82.36,1,3,NULL),(20,5292832,'1992-12-10 00:00:00',2,1,12,2009,'F','N','BELA VISTA','PALHOÇA','SC','124241241117371411533314175124610134177',8300,'591',59.81,1,2,1),(20,5292840,'1986-02-01 00:00:00',2,1,12,2006,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224161167141271411511551381224610163147',NULL,'9998',23.04,1,2,1),(20,5292859,'1991-12-31 00:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215111731343329171125610164182',3615,'1038',70.47,1,3,NULL),(20,5292867,'1993-02-24 00:00:00',2,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241117271721321623335124610167047',NULL,'169',24.66,1,3,NULL),(20,5292875,'1988-12-01 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241217272711347833345113130237047',NULL,'1022',22.33,1,3,NULL),(20,5292883,'1987-11-15 00:00:00',4,1,12,2004,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242247217133431566812345134121841187',NULL,'9999',0.00,1,3,NULL),(20,5292891,'1960-03-10 00:00:00',2,1,12,1978,'F','N','CAMPINAS','S JOSÉ','SC','124201208122132431123341212324610134197',NULL,'9998',40.20,1,2,1),(20,5292905,'1991-01-17 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124243241217141551238813375112610122013',NULL,'1075',46.52,1,3,NULL),(20,5292913,'1992-07-02 00:00:00',4,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124243241225111411424824591124610122045',9178,'262',57.53,4,3,NULL),(20,5292921,'1991-01-29 00:00:00',2,1,12,2007,'F','N','PONTE DE IMARUIM','PALHOÇA','SC','124242241215573421533633572124610164187',3793,'1011',71.39,1,3,NULL),(20,5292930,'1991-10-15 00:00:00',4,1,12,2008,'M','N','APARECIDA','SANTOS','SP','125252251215371431488813475114610164162',3663,'9998',69.67,1,3,NULL),(20,5292948,'1992-10-07 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215113751436939575114610128077',14020,'270',46.67,1,3,NULL),(20,5292956,'1991-04-29 00:00:00',4,1,12,2008,'M','N','RECREIO DAS ACACIAS','RIBEIRÃO PRETO','SP','125252251216371431557634575122610124117',6900,'9998',60.83,1,3,NULL),(20,5292964,'1991-05-13 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212271431468812595124610167042',NULL,'269',45.25,1,3,NULL),(20,5292980,'1992-11-29 00:00:00',2,5,11,2010,'M','S','CENTRO','SIDERÓPOLIS','SC','124242241217111731369911575112610162052',NULL,'226',60.92,1,3,NULL),(20,5292999,'1991-04-28 00:00:00',4,8,12,2008,'F','N','CENTRO','CASTRO','PR','116162161215472431236416372124610136192',NULL,'9998',0.00,1,3,NULL),(20,5293014,'1993-02-15 00:00:00',4,1,11,2009,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215122231366632575112610124191',5648,'270',65.80,1,3,NULL),(20,5293030,'1989-03-15 00:00:00',2,15,12,2006,'M','N','SANTA TERESA','S LEOPOLDO','RS','120201201416571431335631575112610167047',511,'9998',84.49,1,3,NULL),(20,5293049,'1992-06-20 00:00:00',4,6,12,2009,'F','N','FAZENDA','ITAJAÍ','SC','124282241215131111423714272125610123147',NULL,'388',26.96,3,3,NULL),(20,5293057,'1992-07-13 00:00:00',2,17,12,2009,'F','N','JARDIM DO MOINHO','MAFRA','SC','124241241116271421336614172124610127017',NULL,'542',42.40,1,2,1),(20,5293065,'1992-03-10 00:00:00',2,10,11,2009,'F','N','CENTRO','CAPIVARI BAIXO','SC','124241241235151731546933435122610131171',NULL,'806',0.00,1,3,NULL),(20,5293073,'1992-08-26 00:00:00',4,8,11,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124241241417131431328824572124610131012',NULL,'489',30.47,1,3,NULL),(20,5293081,'1992-02-20 00:00:00',5,1,12,2009,'F','N','POTECAS','S JOSÉ','SC','124241241115141731423524572321610117142',14170,'734',47.15,1,2,1),(20,5293090,'1989-07-04 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162161236154421559823395124233262075',5366,'9998',66.55,1,3,NULL),(20,5293111,'1990-12-28 00:00:00',4,1,12,2008,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241241111112431359613315122221427142',NULL,'307',0.00,1,2,1),(20,5293120,'1992-05-15 00:00:00',4,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111411588712392112610127145',7178,'270',62.16,1,3,NULL),(20,5293138,'1992-09-03 00:00:00',2,15,12,2009,'F','N','JANUARIA','SOMBRIO','SC','124243241315131411424334575121610136147',NULL,'770',23.46,1,3,NULL),(20,5293146,'1990-05-02 00:00:00',2,1,7,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241327271431535313482124610164157',NULL,'9999',20.20,1,3,NULL),(20,5293162,'1992-08-20 00:00:00',2,1,12,2009,'F','N','ROÇA GRANDE','IMBITUBA','SC','124241243117131311424319292224610127142',NULL,'359',40.90,1,2,1),(20,5293170,'1993-10-04 00:00:00',4,8,12,2010,'M','S','CENTRO','GUARAMIRIM','SC','124242241217111431358923575124610134013',NULL,'441',0.00,1,3,NULL),(20,5293189,'1991-11-21 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241112131431444823572124610164161',16017,'295',43.99,1,2,1),(20,5293197,'1991-12-05 00:00:00',4,1,11,2009,'M','N','SÃO LOURENÇO','CURITIBA','PR','116164161237151411438863385121610165017',15486,'9998',46.36,1,3,NULL),(20,5293200,'1991-12-02 00:00:00',2,7,12,2008,'F','N','CENTRO','CAÇADOR','SC','124242241216471431249613592112610131017',6867,'120',60.70,1,3,NULL),(20,5293219,'1986-12-09 00:00:00',2,1,12,2004,'F','N','IPIRANGA','S JOSÉ','SC','224201205117474411235554345123610163147',14190,'9998',47.03,1,2,1),(20,5293235,'1986-07-05 00:00:00',4,1,12,2003,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217273431548834445124531438182',NULL,'37',0.00,1,3,NULL),(20,5293243,'1991-05-06 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241335371731427311115124610123147',NULL,'307',25.57,1,3,NULL),(20,5293251,'1983-12-19 00:00:00',2,1,12,2001,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224251251127472412346654445124610122147',12164,'9998',50.82,1,2,1),(20,5293278,'1991-10-01 00:00:00',4,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124243241315141431333923245124610124072',NULL,'1078',29.96,1,3,NULL),(20,5293286,'1992-03-02 00:00:00',4,4,12,2009,'M','N','PACAEMBU','CASCAVEL','PR','116162161415411431548834576122610127092',2345,'9998',75.18,1,3,NULL),(20,5293308,'1971-11-04 00:00:00',2,1,11,1998,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243245127135711115549272214610147152',NULL,'307',24.92,1,3,NULL),(20,5293316,'1991-08-24 00:00:00',2,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215473411269952575114610138123',6009,'270',65.03,1,3,NULL),(20,5293324,'1986-08-19 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241235575431466417592124221467042',3512,'262',72.10,1,3,NULL),(20,5293340,'1990-09-14 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216372431369613575112610124115',NULL,'270',37.24,1,3,NULL),(20,5293359,'1992-03-07 00:00:00',2,5,11,2009,'M','N','RAICHASKI','IÇARA','SC','124242246217111731426634575124610128047',15933,'995',44.52,1,3,NULL),(20,5293367,'1992-12-10 00:00:00',4,7,12,2009,'F','N','CIBRAZEM','VIDEIRA','SC','124241241114131731553412245122610146147',NULL,'831',21.31,1,3,NULL),(20,5293375,'1990-03-03 00:00:00',4,17,12,2007,'F','N','BOM JESUS','RIO NEGRO','PR','116161161416371431468614575122610124092',8291,'9998',60.01,1,3,NULL),(20,5293383,'1991-03-12 00:00:00',4,1,12,2009,'M','N','JARDIM SÃO CARLOS','S PAULO','SP','125251251137111731626321311124610134185',16229,'9998',39.00,4,2,1),(20,5293391,'1985-06-20 00:00:00',2,16,12,2002,'F','N','CENTRO','CURITIBANOS','SC','624241248122471731223374442342610168181',NULL,'9',21.54,1,3,NULL),(20,5293405,'1992-10-30 00:00:00',2,4,12,2009,'M','N','CENTRO','IPORÃ OESTE','SC','124241241346271431544933545121610122057',11716,'371',50.88,1,3,NULL),(20,5293413,'1991-06-18 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241115472331116644345124610127042',12170,'17',52.95,1,2,1),(20,5293421,'1992-08-06 00:00:00',4,17,12,2009,'F','N','VILA MILITAR','RIO NEGRO','PR','116163161215111431356823375122610166097',6550,'9998',62.52,1,3,NULL),(20,5293430,'1990-11-20 00:00:00',4,1,12,2007,'M','N','CENTRO','S JOSÉ','SC','124242241215272431688734345112610164067',7818,'737',62.18,1,3,NULL),(20,5293448,'1992-12-10 00:00:00',4,5,10,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215121732438812575122610132197',NULL,'226',27.23,1,3,NULL),(20,5293456,'1992-10-28 00:00:00',4,3,12,2009,'M','N','BAIRRO DAS NACOES','BAL CAMBORIÚ','SC','124244243116131411236923396121610144187',12807,'129',47.93,1,3,NULL),(20,5293464,'1993-10-23 00:00:00',4,1,12,2009,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241217151431469613172124610127057',8194,'724',61.48,1,3,NULL),(20,5293472,'1992-03-25 00:00:00',4,4,11,2009,'M','N','CENTRO','ERECHIM','RS','120204201216151431446611572122610144012',5581,'9998',64.47,1,3,NULL),(20,5293480,'1991-02-10 00:00:00',4,1,12,2008,'F','N','FLORESTA','S JOSÉ','SC','124242241212132431346311595124632226092',NULL,'270',0.00,1,3,NULL),(20,5293499,'1991-12-10 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241215111431458732395124610127042',7297,'1169',61.66,1,3,NULL),(20,5293502,'1993-03-15 00:00:00',4,8,11,2010,'F','S','BOEHMERWALD','S BENTO SUL','SC','124241241117161732449611215122610126072',NULL,'697',25.05,1,3,NULL),(20,5293510,'1992-01-24 00:00:00',2,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116161161141271431658814374144610166147',1978,'9998',76.14,1,2,1),(20,5293537,'1991-06-20 00:00:00',2,1,12,2008,'M','N','CARANDÁ BOSQUE II','CPO GRANDE','MS','112122121215271431468911585122610125177',NULL,'9998',0.00,1,3,NULL),(20,5293545,'1986-03-10 00:00:00',4,1,12,2003,'M','N','FORQUILHINHAS','S JOSÉ','SC','124244241117134431434831445122130764197',15189,'739',47.27,1,3,NULL),(20,5293553,'1993-03-28 00:00:00',4,8,12,2010,'F','S','AMERICA','JOINVILLE','SC','124244248215111412569714575122610143147',NULL,'461',49.49,1,3,NULL),(20,5293561,'1991-03-22 00:00:00',2,1,12,2008,'M','N','CIDADE JARDIM','S CARLOS','SP','125252251217221451436612492122140367092',NULL,'9997',0.00,1,3,NULL),(20,5293570,'1991-03-19 00:00:00',2,7,12,2007,'M','N','CENTRO','ARROIO TRINTA','SC','124241241112161721433412446122231467057',14003,'853',50.39,1,2,1),(20,5293588,'1992-06-12 00:00:00',2,1,12,2009,'F','N','PARQUE VERDE','CASCAVEL','PR','116163161216111431228619575125610122187',14479,'9998',46.24,1,3,NULL),(20,5293596,'1992-10-21 00:00:00',4,7,12,2009,'M','N','JARDIM ALVORADA','JOAÇABA','SC','124242241216251432478832475112610137147',5080,'446',68.12,1,3,NULL),(20,5293600,'1992-06-22 00:00:00',4,17,11,2009,'M','N','INTERIOR','FRANCISCO BELTRÃO','PR','116164161216151431437833575122610167052',NULL,'9998',0.00,1,3,NULL),(20,5293618,'1992-02-24 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241115421741369611572122610112142',NULL,'270',0.00,1,3,NULL),(20,5293626,'1990-11-13 00:00:00',2,1,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241211412751542823534122610163031',9510,'1038',56.67,4,3,NULL),(20,5293634,'1986-06-26 00:00:00',4,1,12,2004,'M','N','FLORESTA','S JOSÉ','SC','124201201116131721424429345134610117047',NULL,'9998',0.00,1,3,NULL),(20,5293642,'1992-09-14 00:00:00',4,4,12,2009,'M','N','INTERIOR','QUILOMBO','SC','224241241117131731426336572222610127067',9594,'648',54.33,1,2,1),(20,5293650,'1992-01-31 00:00:00',2,5,12,2009,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124244241435371431539634331132610156042',NULL,'227',21.01,1,3,NULL),(20,5293677,'1991-11-18 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117131751538619572244610164197',NULL,'307',25.44,1,2,1),(20,5293685,'1991-07-20 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124164241112132431536624572124610164042',NULL,'307',23.61,1,3,NULL),(20,5293693,'1992-03-16 00:00:00',2,1,12,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215112431438733435124610117147',6553,'1022',63.55,1,3,NULL),(20,5293707,'1992-01-21 00:00:00',2,15,12,2009,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241135271731325624345325610126077',NULL,'29',14.59,4,2,1),(20,5293715,'1981-07-12 00:00:00',2,1,12,2000,'M','N','COSTA DA LAGOA','FLORIANÓPOLIS','SC','124241241117271432433344442245610127047',NULL,'307',38.92,1,2,1),(20,5293723,'1991-09-07 00:00:00',4,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241415471431337954575124610134117',6880,'270',61.69,1,3,NULL),(20,5293731,'1986-01-11 00:00:00',2,1,12,2002,'M','N','CRISTO REI','CURITIBA','PR','116162161216474411358932375112343224042',NULL,'9998',38.99,1,3,NULL),(20,5293740,'1990-06-01 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','122222221216371411489819575112141062052',7259,'9998',63.30,1,3,NULL),(20,5293758,'1993-05-13 00:00:00',4,8,12,2010,'F','S','ANITA GARIBALDI','JOINVILLE','SC','124242241215111451468832575122610134117',NULL,'1063',57.39,1,3,NULL),(20,5293766,'1993-06-09 00:00:00',4,1,11,2010,'F','S','FLORIANOPOLIS','FLORIANÓPOLIS','SC','124242241217111731557734242114610133147',NULL,'1169',22.75,1,3,NULL),(20,5293774,'1985-09-25 00:00:00',2,1,12,2003,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241226273421326574145124130823097',NULL,'262',25.83,1,3,NULL),(20,5293782,'1992-06-20 00:00:00',2,1,12,2008,'F','N','SERTÃO DO IMARUIM','S JOSÉ','SC','124243241436272421443824245134610123141',15570,'944',43.02,1,3,NULL),(20,5293790,'1985-01-12 00:00:00',4,1,12,2003,'M','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124213247337573521548731315121231427012',6310,'9999',65.31,1,3,NULL),(20,5293804,'1992-12-14 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241215131431627624575324610132142',6728,'1074',63.30,1,3,NULL),(20,5293812,'1962-07-27 00:00:00',4,1,12,1979,'F','N','SAIC','CHAPECÓ','SC','524241243126152421353649395122531046192',NULL,'779',27.57,1,2,1),(20,5293820,'1991-12-04 00:00:00',2,4,12,2008,'F','N','OURO VERDE','CEL FREITAS','SC','124241241115311411434412495124610122177',8176,'199',61.04,1,2,1),(20,5293839,'1992-04-09 00:00:00',2,2,12,2009,'F','N','VELHA','BLUMENAU','SC','124242241215111411457411275122610141122',NULL,'87',28.15,1,3,NULL),(20,5293847,'1989-10-16 00:00:00',2,17,12,2006,'M','N','CENTRO','MAFRA','SC','124163161216371531433914475122610167057',8486,'9998',58.49,1,3,NULL),(20,5293855,'1983-05-26 00:00:00',2,1,12,2000,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624203203216132721236553242134140233187',11917,'9998',54.53,1,3,NULL),(20,5293880,'1992-02-18 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111231488812575122610137112',4671,'270',68.44,1,3,NULL),(20,5293898,'1982-02-22 00:00:00',2,1,4,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201241137131431225644242221610137147',NULL,'9999',26.68,1,2,1),(20,5293901,'1992-08-06 00:00:00',5,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241227131531638724576124610164042',6528,'262',64.23,1,3,NULL),(20,5293910,'1992-04-21 00:00:00',4,8,12,2008,'M','N','AVENTUREIRO','JOINVILLE','SC','124241243211212731328624475124610127042',10677,'494',54.46,1,3,NULL),(20,5293928,'1992-07-18 00:00:00',4,1,12,2009,'M','N','BELA VISTA','CPO BOM','RS','120201201136111421326839391211213212187',NULL,'9998',0.00,1,3,NULL),(20,5293936,'1990-11-26 00:00:00',4,1,12,2009,'F','N','DANIELA','FLORIANÓPOLIS','SC','124242241217112431444833235124610124072',NULL,'1022',28.83,1,3,NULL),(20,5293944,'1992-09-17 00:00:00',2,5,11,2009,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241215111731478914385112610162115',14920,'32',45.43,1,3,NULL),(20,5293952,'1992-06-19 00:00:00',4,1,11,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161215471431578912575112610127182',NULL,'9998',20.74,1,3,NULL),(20,5293960,'1992-06-22 00:00:00',2,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241248117131411126624246224610127042',NULL,'298',34.27,1,2,1),(20,5293979,'1993-01-30 00:00:00',4,1,11,2009,'F','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124242241215111531489811595112610133015',12805,'270',52.74,3,3,NULL),(20,5293995,'1992-11-21 00:00:00',4,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124122241215111431438811472114610167182',NULL,'270',23.65,2,1,2),(20,5294002,'1991-03-17 00:00:00',2,6,12,2009,'M','N','NOSSA SENHORA DA PAZ','BAL PIÇARRAS','SC','124241241137141411642224147221610137017',NULL,'614',0.00,1,2,1),(20,5294010,'1991-07-02 00:00:00',4,1,7,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241115473431356632575124610162142',811,'739',82.40,1,3,NULL),(20,5294029,'1992-07-03 00:00:00',2,5,12,2009,'F','N','LOMBA','ORLEANS','SC','124241241117271441327624445124610123057',15800,'580',43.33,1,2,1),(20,5294037,'1992-05-11 00:00:00',2,8,12,2009,'F','N','LAGOINHA','MANDIRITUBA','PR','116162161235111431436724211324610165187',4170,'9998',68.98,1,3,NULL),(20,5294053,'1991-12-20 00:00:00',2,8,12,2008,'F','N','JARDIM BOTÂNICO','CURITIBA','PR','116161161114572411523625175124610126177',4188,'9998',69.71,1,2,1),(20,5294061,'1983-03-04 00:00:00',2,1,12,2000,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124121121112134431563361432114131464057',NULL,'9998',32.47,1,2,1),(20,5294088,'1991-05-14 00:00:00',4,1,12,2009,'M','N','OFICINAS','PNT GROSSA','PR','116162162117371411368834395124610167062',6196,'9998',62.54,2,3,NULL),(20,5294096,'1990-01-07 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124241241136132411326623495124221122147',NULL,'257',30.74,1,2,1),(20,5294100,'1991-02-14 00:00:00',4,1,12,2008,'M','N','PQ DAS LARANJEIRAS','CAJOBI','SP','125251251416372431558814475122141467042',NULL,'9998',0.00,1,3,NULL),(20,5294118,'1988-12-06 00:00:00',4,1,12,2005,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124203241317575411448731295124610134011',537,'307',83.92,1,3,NULL),(20,5294126,'1992-06-10 00:00:00',2,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241112471431336413591124610162097',NULL,'307',28.46,1,2,1),(20,5294142,'1988-07-09 00:00:00',4,1,12,2007,'M','N','CHACARA FABIANA','BIGUAÇU','SC','124242248415372431568631382114133228052',11908,'868',54.54,1,3,NULL),(20,5294150,'1992-04-09 00:00:00',4,1,11,2009,'M','N','CENTRO','BRAÇO NORTE','SC','124243241417151431449933575124610167147',NULL,'102',0.00,1,3,NULL),(20,5294177,'1970-02-27 00:00:00',2,1,12,1999,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','524241247425374431321344242234610125092',NULL,'270',35.63,1,3,NULL),(20,5294193,'1986-12-07 00:00:00',4,1,12,2004,'F','N','REAL PARQUE','S JOSÉ','SC','124222091216242431636833245124221543143',NULL,'9998',32.86,4,3,NULL),(20,5294207,'1992-10-22 00:00:00',4,8,11,2009,'F','N','BARRA DO RIO MOLHA','JARAGUÁ SUL','SC','124241241211151431448812245112610162172',9107,'1061',56.47,1,3,NULL),(20,5294215,'1963-09-30 00:00:00',4,6,12,1980,'F','N','MEIA PRAIA','ITAPEMA','SC','224202164416162441238443435122531032137',14328,'9998',49.65,1,3,NULL),(20,5294223,'1992-12-02 00:00:00',4,8,12,2009,'M','N','FLORESTA','JOINVILLE','SC','124243241114471351558613575122610137047',14741,'466',48.61,1,3,NULL),(20,5294231,'1989-02-02 00:00:00',4,8,12,2008,'M','N','VILA SANTANA','ITAPEVA','SP','125254251215372431358833575122610167092',NULL,'9998',0.00,1,3,NULL),(20,5294240,'1992-02-03 00:00:00',2,1,12,2009,'M','N','JARDIM JANAINA','BIGUAÇU','SC','124241241117372732526418195124610137143',14270,'307',45.86,1,2,1),(20,5294258,'1991-06-29 00:00:00',2,1,12,2008,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124243241115131431423624442114610117117',NULL,'288',20.91,1,3,NULL),(20,5294266,'1988-02-20 00:00:00',5,1,7,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117132431638724485124233264182',10361,'306',57.51,1,2,1),(20,5294274,'1986-10-23 00:00:00',4,8,12,2005,'M','N','ZONA CINCO','MARINGÁ','PR','116162161215571431647732585121610137082',4347,'9998',69.92,3,3,NULL),(20,5294282,'1991-11-05 00:00:00',4,8,12,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215472431569934442122610121012',4404,'1063',69.77,1,3,NULL),(20,5294290,'1992-02-05 00:00:00',2,1,12,2009,'F','N','PAGARÁ','STO AMARO IMPERATRIZ','SC','624242241216112751448619595122610118112',NULL,'989',24.68,1,3,NULL),(20,5294304,'1992-06-25 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112131378933335122610117046',9972,'262',56.35,1,3,NULL),(20,5294312,'1991-09-11 00:00:00',4,3,12,2008,'F','N','JARDIM BOTÂNICO','PTO ALEGRE','RS','120202241216372431253679575144132047042',13075,'1038',52.22,1,3,NULL),(20,5294320,'1989-03-21 00:00:00',4,1,2,2010,'M','N','LEÃO','PR GRANDE','SC','124241241127161531336634342111610164117',NULL,'9999',17.02,1,2,1),(20,5294339,'1990-05-29 00:00:00',2,4,12,2007,'F','N','MARIA GORETTI','CHAPECÓ','SC','124114161217131732548513572124610164017',NULL,'9998',0.00,1,3,NULL),(20,5294347,'1990-04-25 00:00:00',2,8,12,2007,'F','N','CENTRO','CASCAVEL','PR','116163161215571721355531572114610162096',7006,'9998',63.80,1,3,NULL),(20,5294363,'1991-03-07 00:00:00',4,2,12,2009,'M','N','ASILO','BLUMENAU','SC','124241241216131431324321375124610127042',NULL,'1018',13.87,1,3,NULL),(20,5294371,'1991-09-05 00:00:00',2,1,11,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241212112421348624372214610117052',15544,'269',43.40,4,3,NULL),(20,5294380,'1992-03-01 00:00:00',4,1,12,2008,'M','N','PASSA VINTE','PALHOÇA','SC','124242241215473431338914475124610136091',49,'737',91.60,1,3,NULL),(20,5294401,'1987-09-28 00:00:00',2,1,12,2006,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124243241316132431537739245134233221091',NULL,'1048',26.40,1,3,NULL),(20,5294410,'1992-04-02 00:00:00',4,15,12,2009,'M','N','SANTA LUZIA','CAPÃO CANOA','RS','120201242115161431313321172224610137047',15313,'690',41.80,4,2,1),(20,5294428,'1982-01-20 00:00:00',2,1,1,2001,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124201207226472431453312385124610163157',NULL,'9998',25.79,1,3,NULL),(20,5294436,'1994-01-20 00:00:00',2,1,11,2009,'M','N','CENTRO','BIGUAÇU','SC','124242241215111431546734572114610137047',9347,'262',59.34,1,3,NULL),(20,5294444,'1990-12-26 00:00:00',4,1,12,2009,'M','N','JARDIM MARAJOARA','PILAR SUL','SP','125251252216131431553616575124510127042',NULL,'9998',0.00,3,3,NULL),(20,5294452,'1990-11-29 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117471431525531411223610124162',14959,'298',48.00,1,2,1),(20,5294460,'1992-05-09 00:00:00',2,8,12,2009,'F','N','OURO VERDE','CPO LARGO','PR','116162161215111431463812572122610167013',NULL,'9998',25.21,1,3,NULL),(20,5294479,'1986-01-29 00:00:00',2,1,12,2003,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241112432731225529291244610157147',NULL,'281',37.32,1,2,1),(20,5294487,'1992-12-03 00:00:00',2,1,12,2009,'F','N','SERTÃO','STO AMARO IMPERATRIZ','SC','124241241134371411223614572124610161012',10873,'941',55.35,1,2,1),(20,5294495,'1988-01-20 00:00:00',4,1,12,2005,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241116152431448613575122610127045',14179,'307',47.59,1,3,NULL),(20,5294509,'1984-04-10 00:00:00',2,1,12,2000,'M','N','INGLESES','FLORIANÓPOLIS','SC','124161161127132731123341212225610168047',NULL,'9998',27.56,1,2,1),(20,5294517,'1991-11-25 00:00:00',4,4,12,2008,'F','N','TIRADENTES','CPO GRANDE','MS','112122121215471411468621575122610122077',1733,'9998',77.64,1,3,NULL),(20,5294525,'1989-05-22 00:00:00',2,1,7,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241247127131731311321582124610116057',NULL,'9999',7.70,1,3,NULL),(20,5294533,'1991-10-07 00:00:00',4,8,12,2009,'M','N','FLORESTA','JOINVILLE','SC','124244241245111431446614575114610127052',10758,'459',56.75,4,3,NULL),(20,5294541,'1991-03-26 00:00:00',2,7,12,2008,'F','N','SÃO JOSÉ','FRAIBURGO','SC','124241241126131231434614575122231527147',NULL,'315',0.00,1,2,1),(20,5294568,'1992-10-09 00:00:00',4,2,12,2009,'F','N','BELA VISTA','GASPAR','SC','124242241215121431458814574122610138077',11888,'855',53.75,1,3,NULL),(20,5294592,'1992-08-17 00:00:00',2,8,11,2009,'F','N','INDUSTRIAL NORTE','RIO NEGRINHO','SC','124241241115131531444414572122610127147',NULL,'669',26.63,1,3,NULL),(20,5294606,'1973-01-27 00:00:00',4,1,9,1998,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124251257347131411125641211112142224012',NULL,'9998',0.00,4,1,2),(20,5294614,'1991-04-01 00:00:00',4,6,12,2008,'F','N','SÃO JOÃO','ITAJAÍ','SC','124241241415371731424479392124130248197',NULL,'515',0.00,1,3,NULL),(20,5294630,'1992-10-20 00:00:00',2,10,12,2009,'F','N','STO ANTONIO DE PÁDUA','TUBARÃO','SC','124242241215111431434824245122610124097',15511,'807',46.27,1,3,NULL),(20,5294649,'1991-08-26 00:00:00',4,1,12,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124244241217472431454923372122610117142',3862,'752',70.35,1,3,NULL),(20,5294665,'1991-10-22 00:00:00',4,6,12,2009,'F','N','CORDEIROS','ITAJAÍ','SC','124241241134141431443523335121610122177',12696,'396',49.01,1,2,1),(20,5294673,'1991-06-10 00:00:00',4,4,12,2008,'F','N','PRIMO TACCA','XANXERÊ','SC','124241241216371431343319395112610138092',NULL,'836',0.00,1,3,NULL),(20,5294681,'1991-06-11 00:00:00',4,1,12,2008,'M','N','ESTADIO','RIO CLARO','SP','125252251215271431438613475111610127042',7252,'9998',61.29,1,3,NULL),(20,5294690,'1992-03-30 00:00:00',4,2,11,2009,'F','N','MULDE','TIMBÓ','SC','124242241215111411439911572112610144122',13419,'1157',48.10,1,3,NULL),(20,5294703,'1991-03-26 00:00:00',4,3,12,2008,'M','N','SÃO JOÃO','PTO ALEGRE','RS','120202201211471211489919571112610117047',NULL,'9998',0.00,1,3,NULL),(20,5294720,'1982-01-12 00:00:00',4,1,11,1999,'F','N','CENTRO','PALHOÇA','SC','124242241211144741268952394122431066092',NULL,'269',28.94,1,3,NULL),(20,5294738,'1991-05-21 00:00:00',4,1,12,2008,'F','N','JARDIM ELITE','MOGI MIRIM','SP','125252251215471431548811571112610125191',3127,'9998',72.67,1,3,NULL),(20,5294746,'1991-07-06 00:00:00',4,1,12,2008,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','125252251217272431478911475112610124092',1233,'9998',78.54,1,3,NULL),(20,5294770,'1992-04-16 00:00:00',2,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241115151731521339395124610164143',NULL,'288',24.79,4,2,1),(20,5294789,'1991-01-27 00:00:00',2,8,11,2008,'M','N','CENTRO','CURITIBA','PR','116161161315471451425534575124610125147',1172,'9998',80.39,4,3,NULL),(20,5294797,'1992-03-12 00:00:00',4,9,11,2008,'F','N','SANTA HELENA','LAGES','SC','124244241215373431368912395112133231011',NULL,'497',0.00,1,3,NULL),(20,5294800,'1992-01-21 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORES CUNHA','RS','120202201437111431328831572124610127052',13100,'9998',48.85,1,3,NULL),(20,5294819,'1979-01-09 00:00:00',2,1,12,1997,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124093091126372721223541115124142826092',12110,'9998',54.15,4,3,NULL),(20,5294827,'1990-10-25 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116273411547613375124223262181',12410,'286',51.14,1,2,1),(20,5294835,'1991-04-27 00:00:00',1,8,12,2009,'M','N','ENTRE RIOS','CACHOEIRINHA','PR','116162161216161731686416575122610134182',14612,'9998',44.42,1,3,NULL),(20,5294843,'1992-06-12 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117371332324434575122610133113',NULL,'298',24.47,1,2,1),(20,5294851,'1990-10-30 00:00:00',4,1,11,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215372431658819344134610126147',11493,'270',52.24,4,1,2),(20,5294860,'1969-08-18 00:00:00',4,1,12,1990,'F','N','VILA MATTEO BEI','S VICENTE','SP','125251257326475751314369281324610166142',NULL,'9998',0.00,4,3,NULL),(20,5294878,'1992-07-02 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124241241115371231325331575124610157042',NULL,'307',46.60,4,2,1),(20,5294886,'1992-06-11 00:00:00',4,1,12,2009,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','125253251117161432238811475122610127017',NULL,'9998',29.02,1,3,NULL),(20,5294894,'1991-10-18 00:00:00',4,1,11,2008,'F','N','CENTRO','CÁCERES','MT','111112111215471711539924594122610167052',2214,'9998',74.91,4,3,NULL),(20,5294932,'1991-05-11 00:00:00',4,1,12,2008,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124243281115171431479933592114230437145',12951,'271',52.46,1,3,NULL),(20,5294940,'1992-03-31 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241215271431479933475122610122095',10481,'883',54.44,1,3,NULL),(20,5294959,'1992-11-07 00:00:00',2,10,11,2009,'F','N','CENTRO','IMBITUBA','SC','124242241217151411356812242124610138182',NULL,'807',0.00,4,3,NULL),(20,5294967,'1965-06-14 00:00:00',2,1,11,1983,'M','N','BARREIROS','S JOSÉ','SC','624241248317152751416143432122121968172',NULL,'9997',30.44,1,3,NULL),(20,5294983,'1985-09-25 00:00:00',2,1,6,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','224241247147572421224344242124610163147',10457,'9999',55.27,1,2,1),(20,5294991,'1992-02-07 00:00:00',2,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120201201116472431423532175124610166077',5375,'9998',66.24,1,2,1),(20,5295009,'1990-05-11 00:00:00',4,4,12,2007,'F','N','VERGUEIRO','PASSO FUNDO','RS','120202201217571731329714591122140466147',NULL,'9998',0.00,1,3,NULL),(20,5295017,'1989-08-09 00:00:00',4,5,11,2006,'F','N','BOMFIM','PTO ALEGRE','RS','120202201216571431369931571124610131042',928,'9998',81.72,1,3,NULL),(20,5295025,'1985-12-22 00:00:00',2,1,7,2003,'F','N','JAQUEIRA','PALHOÇA','SC','124241241147371431433334292324610127147',NULL,'591',42.57,1,2,1),(20,5295033,'1989-12-26 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216143411538714445112610167032',NULL,'270',26.40,1,3,NULL),(20,5295041,'1985-09-15 00:00:00',2,1,12,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241121173421325324342134610136141',14967,'307',45.05,1,2,1),(20,5295050,'1990-10-31 00:00:00',4,1,11,2008,'F','N','VILA LEOPOLDINA','S PAULO','SP','125252251217371432588813575112610162047',2001,'9998',75.30,1,3,NULL),(20,5295068,'1990-08-01 00:00:00',2,1,12,2009,'F','N','CENTRO','ITAIÓPOLIS','SC','124161241136141411221273342125610126147',NULL,'387',25.43,2,1,1),(20,5295084,'1992-07-26 00:00:00',2,1,12,2009,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241115111431435339241124610123142',NULL,'592',33.73,1,2,1),(20,5295092,'1992-04-20 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215121431466823572124610143052',11124,'269',54.97,1,3,NULL),(20,5295106,'1990-06-02 00:00:00',4,3,12,2007,'F','N','CENTRO','CARLOS BARBOSA','RS','120203201116371441548914575124242222192',NULL,'9998',55.69,1,3,NULL),(20,5295114,'1993-05-31 00:00:00',4,1,11,2010,'F','S','IPIRANGA','S JOSÉ','SC','124242241215111411436713575124610168197',NULL,'723',27.30,1,3,NULL),(20,5295122,'1979-05-27 00:00:00',4,8,12,1998,'F','N','CAMPOS ELISEOS','S PAULO','SP','225242243225473431253652272122132264047',6260,'490',63.04,1,3,NULL),(20,5295130,'1985-08-19 00:00:00',2,1,12,2005,'M','N','AREIAS','S JOSÉ','SC','224243241111132431223154481334130227041',NULL,'257',25.57,1,3,NULL),(20,5295149,'1993-12-15 00:00:00',4,7,12,2010,'M','S','CENTRO','CONCÓRDIA','SC','124241241217111221467932225112610144136',NULL,'1001',19.67,1,3,NULL),(20,5295173,'1991-08-14 00:00:00',4,4,12,2008,'F','N','TRES PALMEIRAS','CEL FREITAS','SC','124241241136472431427931345122610123147',NULL,'199',28.66,1,2,1),(20,5295181,'1991-06-17 00:00:00',2,2,11,2008,'M','N','TAPAJÓS','INDAIAL','SC','124241241212373411343933172222610168032',5105,'88',68.06,1,3,NULL),(20,5295190,'1988-09-22 00:00:00',4,1,11,2007,'M','N','VILA BRANDINA','CAMPINAS','SP','125252256126572411348834345124610162053',NULL,'9998',0.00,1,3,NULL),(20,5295203,'1992-06-07 00:00:00',2,1,12,2009,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124241241216131431225724375122610144047',10501,'1119',54.74,1,3,NULL),(20,5295211,'1992-02-28 00:00:00',4,8,11,2009,'F','N','FLORESTA','JOINVILLE','SC','124242241215111741258823575124610146012',4401,'461',67.34,1,3,NULL),(20,5295220,'1992-04-03 00:00:00',4,1,12,2009,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215111441358834575114610167187',10960,'1118',52.23,1,3,NULL),(20,5295238,'1992-01-24 00:00:00',2,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111431459934592124610137095',3116,'262',73.13,1,3,NULL),(20,5295246,'1991-09-13 00:00:00',2,1,11,2009,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241211331411569632321122610147042',NULL,'270',22.81,1,3,NULL),(20,5295254,'1990-05-07 00:00:00',4,8,12,2007,'F','N','JARDIM PINHAIS','PINHAIS','PR','116162161214471431388811575124610125012',10950,'9998',53.32,1,3,NULL),(20,5295262,'1979-08-10 00:00:00',2,1,12,1998,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224241241133131421224345342231610156147',NULL,'717',23.72,1,2,1),(20,5295270,'1991-09-05 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116272432428613575124610121197',NULL,'287',39.82,1,2,1),(20,5295289,'1992-07-07 00:00:00',2,4,12,2009,'F','N','CENTRO','CAIBI','SC','124241241136131431448713275125610118197',7509,'127',59.28,1,2,1),(20,5295297,'1991-10-18 00:00:00',4,6,11,2008,'M','N','AGUA VERDE','CURITIBA','PR','116162161215471431477814574112610164046',NULL,'9998',0.00,1,3,NULL),(20,5295300,'1987-04-17 00:00:00',2,3,11,2009,'M','N','VILA REAL','BAL CAMBORIÚ','SC','124241241135311431111141114221610146141',11969,'51',54.42,1,2,1),(20,5295319,'1991-12-20 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215171431556834575122610137147',NULL,'1169',24.48,1,3,NULL),(20,5295327,'1992-12-16 00:00:00',4,5,12,2009,'F','N','TERESÓPOLIS','PTO ALEGRE','RS','120202201217151431478833575122610124147',12627,'9998',49.58,1,3,NULL),(20,5295335,'1991-10-03 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241111131431225644341224610127047',NULL,'359',20.31,4,1,1),(20,5295343,'1989-01-21 00:00:00',2,8,12,2006,'M','N','BATEL','CURITIBA','PR','116161161314571411548824341214610167117',3251,'9998',71.26,1,3,NULL),(20,5295351,'1992-05-12 00:00:00',4,8,12,2009,'M','N','CENTRO','RIO NEGRINHO','SC','124242241215111431344432575122610137047',NULL,'666',29.92,1,3,NULL),(20,5295360,'1992-10-24 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215112411489914572112610127182',6489,'270',64.94,1,3,NULL),(20,5295378,'1989-08-12 00:00:00',4,8,12,2006,'F','N','OPERARIA','MARINGÁ','PR','116162161215571731443811572122610112097',1122,'9998',80.62,1,3,NULL),(20,5295386,'1990-11-26 00:00:00',4,1,12,2007,'F','N','RUI BARBOSA','MONTENEGRO','RS','120202201217571431577931491122610126092',3412,'9998',71.71,1,3,NULL),(20,5295394,'1992-08-19 00:00:00',4,6,12,2009,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241215121431444914575122610124187',8544,'1026',60.22,1,3,NULL),(20,5295408,'1992-02-18 00:00:00',4,4,11,2009,'M','N','CENTRO','CHAPECÓ','SC','124243241235271431458612572125610127142',4570,'185',66.10,1,3,NULL),(20,5295416,'1990-06-16 00:00:00',4,4,12,2007,'F','N','CENTRO','STA MARIA','RS','120202201211571451438811571122610143092',NULL,'9998',0.00,1,3,NULL),(20,5295424,'1991-11-04 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','120202201217571431458813575112610122076',2260,'9998',74.44,1,3,NULL),(20,5295432,'1990-05-08 00:00:00',4,1,12,2007,'M','N','REAL PARK','S JOSÉ','SC','124243241116152431226524342124610131042',NULL,'734',26.11,1,3,NULL),(20,5295440,'1992-12-19 00:00:00',4,3,12,2009,'M','N','PEREQUE','PTO BELO','SC','124242248216111431477913375124610164113',16162,'1119',42.95,1,3,NULL),(20,5295459,'1991-05-27 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372731368812582122610167043',9269,'1050',58.53,1,3,NULL),(20,5295467,'1993-09-03 00:00:00',4,10,11,2010,'F','S','HUMAITÁ','TUBARÃO','SC','124242241217111442447832575112610137046',NULL,'806',27.97,1,3,NULL),(20,5295475,'1992-06-29 00:00:00',4,1,12,2009,'M','N','JARDIM ADALGISA','OSASCO','SP','125252251217171431469814445122610167127',NULL,'9998',0.00,1,3,NULL),(20,5295483,'1981-07-08 00:00:00',4,1,12,1999,'M','N','CENTRO','TAQUARI','RS','120202201116131451226969485125142066187',NULL,'9998',48.96,1,3,NULL),(20,5295491,'1992-04-30 00:00:00',2,1,11,2009,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241117471731334314375124610167112',2771,'592',74.21,1,2,1),(20,5295505,'1992-09-27 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215111411568612575112610134062',NULL,'211',0.00,1,3,NULL),(20,5295513,'1982-08-16 00:00:00',2,2,2,2004,'M','N','VICTOR KONDER','BLUMENAU','SC','224241247221472431336413125132330738172',5305,'270',67.56,4,3,NULL),(20,5295521,'1992-04-03 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241115151431338831415112610145042',12469,'271',53.42,1,3,NULL),(20,5295530,'1990-05-11 00:00:00',4,1,12,2007,'F','N','SUMARÉ','RIO SUL','SC','124242241216473731448914575124241432077',15299,'654',42.43,1,3,NULL),(20,5295548,'1992-03-19 00:00:00',4,7,12,2009,'M','N','BARRO BRANCO','MORRETES','PR','116164161217111531446634575121610127082',NULL,'9998',45.08,1,3,NULL),(20,5295556,'1992-06-06 00:00:00',5,7,12,2009,'F','N','SALTO','SALTO VELOSO','SC','124243241114371431434823572122610123147',NULL,'1113',0.00,1,3,NULL),(20,5295564,'1992-10-19 00:00:00',4,1,11,2009,'M','N','ALTO DA BOA VISTA','S PAULO','SP','125092251216111431569864595124610137162',5971,'9998',65.43,1,3,NULL),(20,5295572,'1989-02-05 00:00:00',2,4,12,2006,'F','N','BOQUEIRAO','PASSO FUNDO','RS','120201201111571751525639571224610163187',14274,'9998',47.97,2,1,1),(20,5295580,'1990-03-01 00:00:00',2,9,11,2007,'M','N','CORAL','LAGES','SC','124242248232371112543412312122610117052',NULL,'1065',3.39,4,3,NULL),(20,5295599,'1992-10-03 00:00:00',4,7,11,2009,'M','N','CENTRO','HERVAL D OESTE','SC','124244241215151732448613174125610122182',12631,'446',53.07,1,3,NULL),(20,5295602,'1989-05-01 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241234133431458933385314222962057',3981,'836',70.90,1,3,NULL),(20,5295610,'1992-09-12 00:00:00',4,8,12,2009,'M','N','ITAUM','JOINVILLE','SC','124241241215111431667823375112610132037',2361,'1016',75.59,1,3,NULL),(20,5295637,'1990-02-07 00:00:00',4,1,12,2007,'M','N','VILA RIBEIRO','ASSIS','SP','125251251215571431668831572122610117082',1775,'9998',76.96,4,3,NULL),(20,5295645,'1992-02-18 00:00:00',4,2,11,2009,'M','N','ASILO','BLUMENAU','SC','124242241217271431489911475112610168072',4359,'909',68.28,1,3,NULL),(20,5295653,'1991-09-28 00:00:00',4,7,11,2008,'M','N','CENTRO','HERVAL D OESTE','SC','124242241215472431468834572112131067077',11792,'962',54.76,1,3,NULL),(20,5295661,'1989-08-02 00:00:00',2,8,12,2006,'F','N','PORTÃO','CURITIBA','PR','116162161211572411488812572112610161097',7584,'9998',60.98,1,3,NULL),(20,5295670,'1992-09-08 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216112411538714575112610167032',14720,'270',45.93,1,3,NULL),(20,5295688,'1989-09-17 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247216111431568633445125130267063',NULL,'9999',0.00,1,3,NULL),(20,5295696,'1992-03-15 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117151432536714342124610127042',15397,'307',42.16,1,2,1),(20,5295700,'1986-05-16 00:00:00',4,1,12,2003,'M','N','BARÃO GERALDO','CAMPINAS','SP','125252251217271711479939415122341237042',NULL,'9998',NULL,1,3,NULL),(20,5295718,'1984-02-14 00:00:00',2,1,12,2001,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241112473431346413345112610167042',11586,'298',51.47,1,3,NULL),(20,5295726,'1991-11-21 00:00:00',2,1,10,2009,'F','N','MORRETINHO','SOMBRIO','SC','124242241215122731456611575124610134092',NULL,'32',0.00,1,3,NULL),(20,5295734,'1981-12-09 00:00:00',2,1,12,2001,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241114475711533337245124610124142',16200,'276',42.53,2,1,1),(20,5295742,'1990-12-14 00:00:00',4,2,12,2008,'M','N','CENTRO','STO ANTÔNIO PLATINA','PR','116164161216471411459934315122610165147',11357,'9998',53.25,1,3,NULL),(20,5295750,'1987-01-14 00:00:00',2,1,12,2006,'F','N','PICADAS DO SUL','S JOSÉ','SC','124201201127131731123544342324610113077',NULL,'9998',20.44,4,2,1),(20,5295769,'1985-07-22 00:00:00',2,1,11,2003,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241127272431634424245334610162197',NULL,'296',44.02,1,2,1),(20,5295777,'1992-09-10 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241225111411636614345224610116052',9254,'262',58.12,1,3,NULL),(20,5295785,'1988-05-15 00:00:00',2,2,12,2005,'F','N','RIBEIRÃO FRESCO','BLUMENAU','SC','124281241117132712437764332124131233027',15338,'69',43.50,1,2,1),(20,5295793,'1984-04-10 00:00:00',2,1,6,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','624241247127132411422273172344610118142',NULL,'9999',21.47,1,2,1),(20,5295807,'1992-11-16 00:00:00',2,1,12,2009,'F','N','POÇO FUNDO','STO AMARO IMPERATRIZ','SC','124241241126131731324315345124610128042',NULL,'12',27.26,1,2,1),(20,5295815,'1993-10-09 00:00:00',2,2,11,2010,'M','S','GARCIA','BLUMENAU','SC','124242241217111431566612575124610127043',NULL,'855',26.01,1,3,NULL),(20,5295823,'1991-04-02 00:00:00',4,3,12,2008,'M','N','CENTRO','IVAIPORÃ','PR','116162161215371431468913576222610146093',NULL,'9998',0.00,1,3,NULL),(20,5295831,'1992-02-14 00:00:00',2,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241115131431424479572124610127147',NULL,'307',19.97,2,2,1),(20,5295858,'1989-04-27 00:00:00',4,1,12,2006,'F','N','JARDIM VERGUEIRO','SOROCABA','SP','125252251211511411369811571122610161192',5545,'9998',64.46,1,3,NULL),(20,5295866,'1993-08-07 00:00:00',4,1,12,2010,'M','S','PRAIA DAS PALMEIRAS','CARAGUATATUBA','SP','125252251217131731348923575122610124057',NULL,'9998',26.76,1,3,NULL),(20,5295874,'1975-04-08 00:00:00',4,1,11,1992,'M','N','SERRARIA','S JOSÉ','SC','224241243636375441315341315124130724177',11450,'739',55.44,1,3,NULL),(20,5295882,'1992-05-30 00:00:00',2,1,11,2009,'F','N','CENTRO DE PALHOÇA','PALHOÇA','SC','124241241215131711433317176124610121147',NULL,'1011',24.67,1,3,NULL),(20,5295890,'1992-10-25 01:00:00',2,3,12,2009,'F','N','PORTÃO','CURITIBA','PR','116163161322371431425634245124610143077',NULL,'9998',0.00,1,3,NULL),(20,5295912,'1990-03-24 00:00:00',4,2,12,2007,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241216155231369813575114231427052',3647,'87',70.64,1,3,NULL),(20,5295920,'1977-11-02 00:00:00',4,1,12,1994,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124092091216151412146842225132141961185',10894,'9998',56.50,1,3,NULL),(20,5295939,'1991-02-25 00:00:00',4,1,12,2008,'F','N','JARDIM PLANALTO','GOIÂNIA','GO','109092091217471431468832592122610162057',NULL,'9998',0.00,1,3,NULL),(20,5295947,'1991-06-12 00:00:00',2,4,12,2008,'M','N','BELA VISTA','QUEDAS IGUAÇU','PR','116161161115471431326312475115610167057',NULL,'9998',0.00,1,2,1),(20,5295955,'1992-06-16 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117131731438613572124610164147',NULL,'281',23.18,1,3,NULL),(20,5295963,'1991-07-15 00:00:00',4,5,11,2008,'M','N','CENTRO','ERECHIM','RS','120202201216471431467912571112610161122',4700,'9998',67.81,1,3,NULL),(20,5295971,'1991-06-03 00:00:00',2,4,12,2009,'M','N','INTERIOR','PALMITOS','SC','124241248115131221524516595124610127047',NULL,'601',0.00,4,1,1),(20,5295980,'1990-10-17 00:00:00',4,1,12,2007,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091215571431389711574122610162047',NULL,'9998',0.00,1,3,NULL),(20,5295998,'1992-03-14 00:00:00',4,8,12,2008,'F','N','BATEL','CURITIBA','PR','116162161216472431368911575115610162182',2149,'9998',76.38,3,3,NULL),(20,5296005,'1990-10-20 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241211132411423331141124610168197',9099,'1036',57.41,1,3,NULL),(20,5296013,'1992-10-14 00:00:00',4,2,12,2009,'F','N','FORTALEZA','BLUMENAU','SC','124241241336141431459933245124610122092',NULL,'82',25.22,1,3,NULL),(20,5296021,'1985-06-21 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241248116342431543329494124610116052',NULL,'289',19.59,2,1,1),(20,5296030,'1991-05-22 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124114241414113411557923575124220948182',NULL,'262',0.00,4,3,NULL),(20,5296048,'1992-09-28 00:00:00',4,1,11,2009,'M','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241122131431534312112124610127042',NULL,'1149',0.00,1,3,NULL),(20,5296056,'1992-12-23 00:00:00',2,1,12,2009,'F','N','CENTRO','LONDRINA','PR','116162161217111411548811572112610136015',NULL,'9998',0.00,1,3,NULL),(20,5296064,'1992-09-07 00:00:00',2,1,11,2009,'M','N','CENTRO','S JOSÉ','SC','124243241215111431366611572124610127052',6872,'723',64.12,1,3,NULL),(20,5296072,'1993-03-30 00:00:00',4,1,12,2010,'M','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217121431479833595112610137052',NULL,'270',55.43,1,3,NULL),(20,5296080,'1992-12-29 00:00:00',4,5,10,2009,'M','N','CEARÁ','CRICIÚMA','SC','124242241212111232466314445122610132047',15490,'226',46.35,1,3,NULL),(20,5296099,'1992-08-04 00:00:00',2,8,12,2009,'M','N','AMÉRICA','JOINVILLE','SC','124241246217151432566831575122610137057',16214,'1006',42.34,1,3,NULL),(20,5296102,'1987-08-16 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216114431228613374124230236092',1997,'1022',76.95,1,3,NULL),(20,5296110,'1992-01-10 00:00:00',2,1,12,2008,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241212153431433611572124610128077',14348,'1014',45.60,1,3,NULL),(20,5296129,'1991-05-03 00:00:00',4,10,12,2008,'M','N','VILA MOEMA','TUBARÃO','SC','124282281215371431478832575114610138092',2982,'9998',72.63,1,3,NULL),(20,5296137,'1991-10-08 00:00:00',2,1,12,2008,'F','N','CENTRO','IMBITUBA','SC','124241241415272431337823572242610161182',10659,'807',54.27,1,3,NULL),(20,5296145,'1991-11-10 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113431456619472122610163161',3866,'1050',70.85,1,3,NULL),(20,5296153,'1990-07-21 00:00:00',4,1,12,2007,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124244241217153431538634245122610124073',NULL,'270',0.00,1,3,NULL),(20,5296161,'1993-11-08 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241215111431347823575124610122047',NULL,'1022',22.62,1,3,NULL),(20,5296170,'1992-07-17 00:00:00',2,15,10,2009,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215111431558819575122610148142',NULL,'32',0.00,1,3,NULL),(20,5296188,'1987-05-12 00:00:00',2,1,9,2005,'M','N','SANTA TEREZA','S PEDRO ALCÂNTARA','SC','124241241115372431566613445114233238142',16109,'739',43.38,1,2,1),(20,5296196,'1990-10-26 00:00:00',4,1,12,2008,'M','N','MATO DENTRO','ATIBAIA','SP','125252251217372411578831485122141147043',4508,'9998',69.50,1,3,NULL),(20,5296200,'1982-10-11 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224203207337131421323341415124610162187',NULL,'9998',0.00,1,3,NULL),(20,5296218,'1992-04-29 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241112131131436571572124610127042',NULL,'257',27.39,1,2,1),(20,5296226,'1991-01-13 00:00:00',2,1,12,2008,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241217472411447639571124610167045',191,'270',88.09,1,3,NULL),(20,5296234,'1992-03-31 00:00:00',4,6,12,2009,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124242246215141131345739375124610134112',14109,'1059',46.41,1,3,NULL),(20,5296242,'1990-03-20 00:00:00',4,1,12,2007,'M','N','CENTRO','BELA V PARAÍSO','PR','116163161236371431456915575122240338172',15687,'9998',41.42,1,3,NULL),(20,5296250,'1991-08-31 00:00:00',4,2,11,2009,'M','N','CENTRO','TIMBÓ','SC','124241241215122431488812572122610132172',8579,'1157',60.79,1,3,NULL),(20,5296277,'1989-12-11 00:00:00',2,16,12,2007,'M','N','CENTRO','FRAIBURGO','SC','124241241143231711414415552122610167057',NULL,'532',9.77,1,3,NULL),(20,5296285,'1988-11-07 00:00:00',4,5,11,2005,'M','N','PINHEIRINHO','CRICIÚMA','SC','124244246213231221334614342212610167041',15081,'995',47.63,1,3,NULL),(20,5296293,'1971-08-04 00:00:00',2,9,12,1997,'M','N','GETHAL','LAGES','SC','225251256127271311416448185122143222042',NULL,'9998',0.00,4,2,1),(20,5296307,'1991-06-27 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241435121432335712572112610167117',NULL,'1022',23.28,1,3,NULL),(20,5296315,'1993-02-24 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241217131731433612275114610164142',15613,'995',41.75,1,3,NULL),(20,5296323,'1992-11-04 00:00:00',4,10,11,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124242241217111431358713575121610127112',3834,'806',70.47,2,3,NULL),(20,5296331,'1992-06-20 00:00:00',4,1,12,2009,'M','N','REAL PARQUE','S JOSÉ','SC','124241241225111431323314572124610124041',9160,'262',57.57,1,3,NULL),(20,5296358,'1992-11-19 00:00:00',2,4,12,2009,'M','N','ZONA RURAL','TUNÁPOLIS','SC','124241241117132431435411495122610138192',NULL,'812',35.55,1,2,1),(20,5296366,'1992-03-06 00:00:00',4,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124241241225131731646614572224610134192',NULL,'262',24.50,1,3,NULL),(20,5296374,'1991-07-27 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241215272441379933575114122967092',6769,'883',61.89,1,3,NULL),(20,5296382,'1989-06-16 00:00:00',2,1,12,2007,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241315113431236923575124610127042',11690,'270',54.96,1,3,NULL),(20,5296390,'1992-10-02 00:00:00',4,6,11,2009,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124243241216141431469914395121610137082',11084,'388',53.09,4,3,NULL),(20,5296404,'1987-12-07 00:00:00',4,1,12,2005,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241241127132411324614191224233237012',11962,'307',54.43,4,2,1),(20,5296412,'1987-12-03 00:00:00',4,1,12,2005,'F','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125254251217571431438723471124610134077',6403,'9998',62.31,2,3,NULL),(20,5296420,'1992-07-26 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215113431479913572114610164043',7877,'270',60.02,1,3,NULL),(20,5296447,'1992-04-22 00:00:00',4,5,12,2009,'F','N','SANTO ANTONIO','PTO ALEGRE','RS','120204201211271431337524172124610124097',NULL,'9998',0.00,1,3,NULL),(20,5296455,'1992-09-11 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241412112431549911595121610122112',NULL,'269',40.94,1,3,NULL),(20,5296463,'1993-07-21 00:00:00',4,6,11,2010,'M','S','PRAIA GRANDE','PENHA','SC','124242241215111431458731492124610168112',NULL,'392',44.27,1,3,NULL),(20,5296471,'1992-07-29 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115151111446634572114610127145',NULL,'307',24.06,1,2,1),(20,5296480,'1990-03-28 00:00:00',4,1,12,2007,'M','N','VILA ALEXANDRIA','S PAULO','SP','125252281615571431368814575124140267046',2156,'9998',75.31,1,3,NULL),(20,5296498,'1991-02-19 00:00:00',4,1,12,2008,'M','N','CENTRO','LONDRINA','PR','116162161217471431468813572112610167057',3513,'9998',70.68,1,3,NULL),(20,5296501,'1992-12-19 00:00:00',4,3,12,2009,'F','N','CENTRO','CAMBORIÚ','SC','124241241115211431323333215124610134152',NULL,'130',27.03,4,2,1),(20,5296536,'1990-08-19 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124241241112133411436513385124231467047',NULL,'257',0.00,1,2,1),(20,5296544,'1991-07-15 00:00:00',4,16,12,2008,'M','N','SAO JOSE','STA CECÍLIA','SC','124241168216471431344632492124141522062',NULL,'9998',27.90,1,3,NULL),(20,5296552,'1982-03-19 00:00:00',4,1,5,2000,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241241231411326411194112610134047',NULL,'9999',17.38,1,3,NULL),(20,5296560,'1992-03-02 00:00:00',4,8,11,2009,'M','N','FLORESTA','JOINVILLE','SC','124242241215111431489614575122610167042',NULL,'1063',43.24,1,3,NULL),(20,5296579,'1979-06-15 00:00:00',4,1,12,1996,'F','N','PEDRA BRANCA','PALHOÇA','SC','124241241136134431226829572124233262097',NULL,'49',0.00,1,2,1),(20,5296587,'1991-04-12 00:00:00',2,4,12,2008,'F','N','CENTRO','STA HELENA','PR','116164161216371431448934342124610163192',14904,'9998',44.88,1,3,NULL),(20,5296595,'1990-09-21 00:00:00',4,8,12,2008,'M','N','PIRATININGA','NITERÓI','RJ','121211211111111112112111121111110111011',NULL,'9998',0.00,1,3,NULL),(20,5296609,'1992-05-31 00:00:00',4,7,11,2009,'M','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241215111731368934595122610167052',9760,'454',55.83,1,3,NULL),(20,5296617,'1983-05-18 00:00:00',4,1,12,2001,'F','N','BARREIROS','S JOSÉ','SC','624241241136271431423451115124610168182',NULL,'870',25.15,1,2,1),(20,5296625,'1989-06-18 00:00:00',4,1,12,2009,'M','N','CAMBUI','CAMPINAS','SP','125252251235121331548814575112610127047',NULL,'9998',25.99,1,3,NULL),(20,5296633,'1993-01-08 00:00:00',4,1,12,2010,'M','S','CAMPINAS','S JOSÉ','SC','124242241217111731569931391125610165171',NULL,'723',57.15,1,3,NULL),(20,5296641,'1979-07-30 00:00:00',4,1,12,1996,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217143431347923215122521527182',NULL,'270',43.49,1,3,NULL),(20,5296650,'1992-08-17 00:00:00',2,1,11,2009,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124244248215113411438532571124610135052',NULL,'270',39.90,1,3,NULL),(20,5296668,'1992-08-19 00:00:00',4,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124242241217161431558832572122610122142',2951,'1119',72.72,1,3,NULL),(20,5296676,'1988-01-09 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224161161116171411246654245112610164181',6740,'9998',64.39,1,2,1),(20,5296684,'1990-09-02 00:00:00',4,1,7,2009,'M','N','CENTRO','LIMEIRA','SP','125252257137151431237921575122610161192',10835,'9998',52.46,1,3,NULL),(20,5296692,'1992-02-04 00:00:00',4,3,11,2009,'F','N','TARUMÃ','CURITIBA','PR','116162161216111431529834345124610167187',8480,'9998',57.30,1,3,NULL),(20,5296706,'1991-07-20 00:00:00',4,1,12,2008,'F','N','GRUTA','S LUIZ GONZAGA','RS','120202201216471431436611595114610113142',NULL,'9998',26.80,1,3,NULL),(20,5296714,'1992-03-29 00:00:00',2,3,12,2009,'M','N','CENTRO','MARACAJU','MS','112161121126141431426312345221610137162',NULL,'9998',24.57,1,2,1),(20,5296722,'1993-01-29 00:00:00',4,15,12,2009,'M','N','PINHEIRINHO DO MEIO','JACINTO MACHADO','SC','124241242117131431423616575122610124142',11492,'690',52.41,1,2,1),(20,5296730,'1992-08-21 00:00:00',4,6,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124203241217151411213534245125610168043',NULL,'967',32.01,1,3,NULL),(20,5296749,'1992-12-30 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215123431534923575124610125142',8299,'1022',59.97,1,3,NULL),(20,5296757,'1991-04-30 00:00:00',4,1,12,2008,'M','N','VILA PRUDENTE','PIRACICABA','SP','125254251217471511427814575122640164191',NULL,'9998',28.48,1,3,NULL),(20,5296773,'1992-11-23 00:00:00',2,7,12,2009,'F','N','CENTRO','SANANDUVA','RS','120201201116131411435319585122610124042',NULL,'9998',0.00,1,2,1),(20,5296781,'1991-09-18 00:00:00',2,15,12,2008,'F','N','TENENTE','JACINTO MACHADO','SC','124241242117161731424635171221610138147',NULL,'690',19.60,1,2,1),(20,5296790,'1992-06-28 00:00:00',4,3,12,2009,'F','N','SAO FRANCISCO DE ASS','CAMBORIÚ','SC','124242241312271431436724342122610124147',NULL,'873',23.85,1,3,NULL),(20,5296803,'1992-03-20 00:00:00',4,1,11,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111411676833575112610137042',7935,'1022',61.96,1,3,NULL),(20,5296811,'1991-12-23 00:00:00',4,9,12,2009,'M','N','COPACABANA','LAGES','SC','124241241135371431328824372121610167177',NULL,'935',25.21,1,2,1),(20,5296820,'1990-02-11 00:00:00',4,1,12,2007,'M','N','RIO BRANCO','CAXIAS SUL','RS','120202203215571411469932574123610168112',4482,'9998',69.56,1,3,NULL),(20,5296838,'1989-07-10 00:00:00',4,15,12,2006,'F','N','SAO JOSE','SOMBRIO','SC','124241248137141731423339345125433224197',NULL,'1033',20.14,1,2,1),(20,5296854,'1992-05-15 00:00:00',4,5,11,2009,'M','N','MICHEL','CRICIÚMA','SC','124242241215111411256821375122610132112',8855,'210',57.36,1,3,NULL),(20,5296862,'1990-06-30 00:00:00',2,1,12,2007,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241212143432488839332122610161052',14808,'737',48.45,1,3,NULL),(20,5296870,'1993-11-17 00:00:00',4,2,12,2010,'F','S','ITOUPAVA NORTE','BLUMENAU','SC','124242241217112531369813571122610115147',NULL,'855',52.34,1,3,NULL),(20,5296889,'1993-04-08 00:00:00',4,2,12,2010,'F','S','PONTA AGUDA','BLUMENAU','SC','124242241217111711376934372112610168146',NULL,'909',50.31,1,3,NULL),(20,5296897,'1988-10-11 00:00:00',4,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217575531448913572114142462185',716,'270',83.05,1,3,NULL),(20,5296900,'1990-10-03 00:00:00',2,4,12,2009,'M','N','CENTRO','CORBÉLIA','PR','116161168116131431533612155122610132017',NULL,'9998',0.00,1,2,1),(20,5296919,'1991-11-20 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215573431353619575124610133197',11720,'1022',54.90,1,3,NULL),(20,5296927,'1992-01-04 00:00:00',4,1,12,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215111431445921572114610164057',NULL,'1022',19.98,4,3,NULL),(20,5296935,'1991-08-02 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115371731434419575114610115197',NULL,'295',15.33,1,2,1),(20,5296943,'1992-03-20 00:00:00',4,5,11,2009,'F','N','SÃO LUIZ','CRICIÚMA','SC','124242241217371431248823575124610148072',10617,'920',57.01,1,3,NULL),(20,5296951,'1988-11-30 00:00:00',2,17,12,2005,'F','N','CENTRO','CANOINHAS','SC','124241241416573731434619575122233264147',NULL,'154',0.00,1,3,NULL),(20,5296978,'1979-06-13 00:00:00',2,1,12,1997,'M','N','SERRARIA','S JOSÉ','SC','124161168137153431346343235112610137187',14075,'9998',50.25,1,3,NULL),(20,5296986,'1990-10-15 00:00:00',4,10,12,2007,'M','N','PROGRESSO','LAGUNA','SC','124241243215272421346614345125610137052',6191,'1120',65.58,1,3,NULL),(20,5296994,'1992-09-11 00:00:00',2,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241215121431548633391124610163187',14744,'1077',46.31,1,3,NULL),(20,5297001,'1990-10-11 00:00:00',4,5,11,2007,'M','N','CENTRO','SIDERÓPOLIS','SC','124242241216473412547833575122131464045',4527,'213',69.46,1,3,NULL),(20,5297010,'1992-10-20 00:00:00',2,1,12,2009,'M','N','BELA VISTA','PALHOÇA','SC','124241248117111731445919575124610117052',15277,'592',44.52,1,2,1),(20,5297028,'1992-11-14 00:00:00',4,4,11,2009,'F','N','CENTRO','CONCÓRDIA','SC','124242241215111431356632575122610132143',NULL,'1000',40.54,1,3,NULL),(20,5297036,'1981-04-12 00:00:00',2,1,11,1998,'F','N','CENTRO','FLORIANÓPOLIS','SC','124051055116273431123644341324610164183',NULL,'9998',24.77,4,2,1),(20,5297044,'1989-09-27 00:00:00',2,1,12,2006,'M','N','BREJARÚ','PALHOÇA','SC','124241241147472752534614342134610134187',NULL,'1009',19.10,1,2,1),(20,5297052,'1992-01-16 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215272431358931395122610128112',6856,'806',64.14,1,3,NULL),(20,5297079,'1988-09-20 00:00:00',2,1,12,2006,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124243241213214431468613396134133267042',NULL,'9997',24.63,1,3,NULL),(20,5297095,'1962-07-22 00:00:00',2,1,12,1980,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','224241246136151421346444445132610167047',NULL,'520',25.61,1,2,1),(20,5297109,'1990-05-29 00:00:00',2,1,12,2007,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241216353731577614575124221267047',8569,'737',59.53,1,3,NULL),(20,5297117,'1991-05-29 00:00:00',4,4,12,2008,'F','N','JARDIM SOCIAL','PALOTINA','PR','116162161217471431469914575124610134142',3629,'9998',69.19,1,3,NULL),(20,5297125,'1987-12-27 00:00:00',2,1,11,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201241117432431526611242124610134182',15389,'257',44.80,1,2,1),(20,5297133,'1991-05-22 00:00:00',4,1,12,2008,'M','N','BACACHERI','CURITIBA','PR','116162161211411431549914595124610167042',NULL,'9998',32.38,1,3,NULL),(20,5297141,'1990-01-13 00:00:00',4,1,11,2007,'M','N','BOM FIM','PTO ALEGRE','RS','120244241217372231248813575114241468186',8020,'270',61.80,1,3,NULL),(20,5297150,'1992-11-25 00:00:00',4,8,11,2009,'M','N','JARDIM PAULISTA','CAMPINA G SUL','PR','116162161215371431246821272124610127072',13057,'9998',47.58,1,3,NULL),(20,5297168,'1989-02-14 00:00:00',4,8,12,2006,'M','N','CENTRO','JOINVILLE','SC','124242241217112411438811572112120267117',3864,'1063',71.18,1,3,NULL),(20,5297176,'1993-03-30 00:00:00',4,1,12,2011,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431378933472114610117142',NULL,'270',29.63,1,3,NULL),(20,5297184,'1992-08-10 00:00:00',2,4,12,2009,'F','N','CENTRO','PALMAS','PR','116161161116371711466933576112610134195',NULL,'9998',22.80,1,2,1),(20,5297192,'1993-05-23 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216111431437714375122610127012',NULL,'1134',26.37,1,3,NULL),(20,5297206,'1992-09-28 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241217113631448913592114610163141',3581,'270',70.61,1,3,NULL),(20,5297214,'1990-05-19 00:00:00',2,1,12,2006,'F','N','KOBRASOL','S JOSÉ','SC','124241241116142431333624245134610123087',NULL,'733',44.09,1,2,1),(20,5297222,'1992-01-10 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241248117471411426631592124610167147',NULL,'257',20.42,1,2,1),(20,5297230,'1991-01-07 00:00:00',4,8,12,2008,'F','N','PORTÃO','CURITIBA','PR','116161163215371431251969375114610155147',16050,'9998',43.78,1,3,NULL),(20,5297257,'1971-08-06 00:00:00',2,1,12,1993,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','624253251346151411263643231122340662042',6224,'9998',65.52,1,3,NULL),(20,5297265,'1993-01-28 00:00:00',4,1,12,2009,'M','N','GIOPPO','CAÇADOR','SC','124241241112161431533314272122610134147',12437,'123',49.41,1,2,1),(20,5297273,'1992-10-16 00:00:00',2,6,12,2009,'F','N','LUTZ','PALMEIRA MISSÕES','RS','120201201116131431326524375112610128147',NULL,'9998',26.15,1,2,1),(20,5297281,'1978-11-07 00:00:00',2,1,12,2008,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241132161411426514242114610126012',NULL,'278',24.52,2,1,1),(20,5297290,'1992-12-28 00:00:00',2,5,11,2009,'M','N','ESTAÇÃO','URUSSANGA','SC','124242241415221732456632125112610125042',NULL,'820',28.29,1,3,NULL),(20,5297303,'1964-06-05 00:00:00',2,1,12,1982,'F','N','CAMPINAS','S JOSÉ','SC','424241245127131711226644242114610113152',NULL,'69',28.55,1,2,1),(20,5297311,'1990-12-04 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373441456823575114610124162',2790,'262',73.12,1,3,NULL),(20,5297320,'1969-05-16 00:00:00',2,1,12,2006,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224241248122434431424359192124610124097',NULL,'306',29.20,1,2,1),(20,5297338,'1988-06-08 00:00:00',2,5,12,2005,'M','N','NONOAI','PTO ALEGRE','RS','120202201216571231568831571112610167047',1817,'9998',77.41,1,3,NULL),(20,5297346,'1990-09-26 00:00:00',4,3,12,2007,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241243116273441328321315135610161142',6096,'129',64.29,4,2,1),(20,5297354,'1992-07-09 00:00:00',4,8,11,2009,'M','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241215111331466532275122610137057',NULL,'1174',0.00,1,3,NULL),(20,5297362,'1991-11-26 00:00:00',4,4,12,2008,'M','N','CENTRO','CASCAVEL','PR','116163161215571731436632171125613261047',NULL,'9998',0.00,1,3,NULL),(20,5297370,'1991-12-10 00:00:00',2,1,11,2009,'F','N','ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC','124244241215121431366913272114610167012',15903,'269',44.63,1,3,NULL),(20,5297389,'1987-10-10 00:00:00',2,4,11,2005,'M','N','CENTRO','CHOPINZINHO','PR','116161161436573751336711575115610168182',4953,'9998',67.64,1,3,NULL),(20,5297400,'1990-07-22 00:00:00',2,1,12,2007,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241116273411336824344124610113183',NULL,'307',27.75,4,2,1),(20,5297419,'1990-11-16 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116164161212571411667634472125610112012',5903,'9998',64.16,1,3,NULL),(20,5297427,'1990-04-04 00:00:00',2,4,12,2007,'M','N','INTERIOR','BARRA R AZUL','RS','120201201142472431537933591214610127042',11399,'9998',55.52,1,2,1),(20,5297435,'1991-05-12 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116242161236472431348839492112610127077',2945,'9998',73.31,1,3,NULL),(20,5297443,'1987-05-23 00:00:00',4,1,12,2004,'M','N','SANTOS DUMONT','S JOSÉ','SC','124121121146372421224544245124343237187',NULL,'9998',18.98,1,3,NULL),(20,5297451,'1993-12-20 00:00:00',4,8,12,2010,'M','S','SAGUAÇU','JOINVILLE','SC','124242241217111531489931572122610127062',NULL,'457',48.02,1,3,NULL),(20,5297478,'1993-02-22 00:00:00',4,3,12,2009,'M','N','CENTRO','CURITIBA','PR','116163161216371131447712572112610167052',NULL,'9998',0.00,1,3,NULL),(20,5297486,'1988-10-31 00:00:00',2,3,12,2006,'F','N','MEIA PRAIA','ITAPEMA','SC','124244242115373431548829371224610134091',9469,'129',57.17,1,3,NULL),(20,5297494,'1992-01-02 00:00:00',4,1,12,2008,'M','N','BOA PARADA','S PEDRO ALCÂNTARA','SC','124241241216473411226814575124610147042',2517,'1022',75.04,1,3,NULL),(20,5297508,'1991-10-27 00:00:00',4,1,1,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244248431121721428933191124610164037',NULL,'300',10.04,1,3,NULL),(20,5297516,'1989-10-16 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241115274431348629345134610166142',13476,'267',51.44,1,3,NULL),(20,5297524,'1992-05-04 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247215111431278813572122610126097',NULL,'9999',40.20,1,3,NULL),(20,5297532,'1992-04-18 00:00:00',5,9,12,2009,'M','N','SAGRADO CORAÇÃO','LAGES','SC','116242161235421311448832575125610167182',3770,'9997',69.36,1,3,NULL),(20,5297540,'1991-07-31 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117372431523514382124610117112',NULL,'307',32.07,1,2,1),(20,5297559,'1992-12-12 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241216111731355532575122610164141',NULL,'1118',23.80,1,3,NULL),(20,5297567,'1992-04-30 00:00:00',2,1,12,2009,'F','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124241241215123431433623575124610165182',8991,'1022',58.32,1,3,NULL),(20,5297575,'1992-11-03 00:00:00',4,8,12,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124242241216151731228823575124610144197',NULL,'1105',23.31,1,3,NULL),(20,5297591,'1993-10-09 00:00:00',4,1,11,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215211432456934575125610167152',NULL,'262',56.48,1,3,NULL),(20,5297605,'1991-10-19 00:00:00',2,9,11,2009,'M','N','FUNDO CANOAS','RIO SUL','SC','124242241215111431459933575122610137042',11722,'991',52.57,1,3,NULL),(20,5297613,'1990-07-06 00:00:00',2,1,12,2007,'F','N','REAL PARQUE','S JOSÉ','SC','124242241215574431458712572114610166192',685,'1118',83.30,1,3,NULL),(20,5297621,'1991-01-04 00:00:00',5,1,10,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215412431469513575114231868192',5427,'1063',66.75,1,3,NULL),(20,5297630,'1988-05-02 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215133441433421212124222668147',6934,'44',63.98,1,3,NULL),(20,5297648,'1992-06-19 00:00:00',2,1,12,2009,'F','N','CENTRO','CANELINHA','SC','124242241216371421557834385124610166072',12778,'1119',49.81,1,3,NULL),(20,5297656,'1991-11-01 00:00:00',4,1,11,2009,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124242241215122431337814571121610167052',1830,'299',76.53,1,3,NULL),(20,5297664,'1991-08-19 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124201241135271731446411245125610124177',NULL,'49',22.18,1,2,1),(20,5297672,'1989-09-04 00:00:00',4,8,12,2006,'F','N','JARDIM SINHA','ITARARÉ','SP','116254251211571431644811282124610132143',339,'9998',86.10,1,3,NULL),(20,5297680,'1993-06-30 00:00:00',4,15,11,2010,'F','S','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215121412446914375122610162147',NULL,'970',52.32,1,3,NULL),(20,5297699,'1989-07-14 00:00:00',4,1,12,2006,'F','N','SANTO ANTONIO','LONDRINA','PR','116163161216575431358832571124610167182',1283,'9998',79.48,1,3,NULL),(20,5297702,'1989-04-20 00:00:00',2,1,12,2006,'M','N','CAMOBI','STA MARIA','RS','120242201415571451249711575124610168177',1451,'9998',79.08,1,3,NULL),(20,5297710,'1989-05-30 00:00:00',2,6,11,2006,'F','N','FLORES','STA ROSA','RS','120202201215571431355532572125141524077',3331,'9998',70.25,1,3,NULL),(20,5297729,'1991-02-24 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124131241114141431423629391114610167047',NULL,'257',24.19,1,3,NULL),(20,5297737,'1992-08-18 00:00:00',2,1,12,2009,'F','N','N SRA DAS GRAÇAS','CANOAS','RS','120202201211471741457832374122610166197',2586,'9998',74.84,1,3,NULL),(20,5297745,'1992-05-14 00:00:00',4,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215122431234624575114610162042',5979,'1022',66.07,1,3,NULL),(20,5297753,'1993-03-24 00:00:00',2,5,11,2010,'M','S','CENTRO','CRICIÚMA','SC','124242241217271411459933571112610117042',NULL,'226',34.81,1,3,NULL),(20,5297770,'1992-02-19 00:00:00',4,8,12,2008,'F','N','SANTA MONICA','ROLÂNDIA','PR','116161161217472431227619595125143224147',8852,'9998',59.21,3,3,NULL),(20,5297788,'1989-03-14 00:00:00',4,1,11,2006,'F','N','CENTRO','GUARAPUAVA','PR','116162161216471431478733375122241514181',NULL,'9998',0.00,1,3,NULL),(20,5297796,'1990-09-26 00:00:00',4,9,12,2009,'M','N','CENTRO','ANITA GARIBALDI','SC','124242241115371331556913382122610165042',NULL,'18',19.23,1,3,NULL),(20,5297818,'1991-04-06 00:00:00',2,17,12,2008,'M','N','CENTRO','INÁCIO MARTINS','PR','116161161216371731538823572112610157077',NULL,'9998',42.23,1,3,NULL),(20,5297826,'1979-10-28 00:00:00',2,1,12,1997,'F','N','CENTRO','S JOSÉ','SC','124162245116133721256643232122533227097',12423,'293',53.51,4,3,NULL),(20,5297834,'1991-04-22 00:00:00',4,1,12,2008,'F','N','AGRO CAFEEIRA','MATELÂNDIA','PR','116161161216571431443935575122610136072',5007,'9998',67.76,1,3,NULL),(20,5297842,'1989-04-25 00:00:00',2,4,12,2006,'F','N','LA SALLE','PATO BRANCO','PR','116162161216571231457711575114610114047',4240,'9998',68.59,1,3,NULL),(20,5297869,'1992-01-28 00:00:00',4,9,12,2009,'M','N','CENTRO','STA BÁRBARA SUL','RS','120201201116271431358933571121610127127',9650,'9998',56.00,1,2,1),(20,5297877,'1991-11-24 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161217472711137839475124610168096',NULL,'9998',48.51,1,3,NULL),(20,5297893,'1990-01-02 00:00:00',2,4,12,2007,'F','N','CENTRO','CAIBI','SC','124241241122132731623311382324610162147',13078,'127',49.72,1,2,1),(20,5297907,'1987-01-05 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241113154411267713571124221467112',3500,'306',72.14,1,3,NULL),(20,5297923,'1983-06-12 00:00:00',2,1,12,2001,'F','N','SERRARIAS','S JOSÉ','SC','124161241112342731123344246334610168197',NULL,'732',41.86,1,2,1),(20,5297931,'1992-11-25 00:00:00',2,10,11,1992,'F','N','MAR GROSSO','LAGUNA','SC','124242241215112431569933575124610144077',6997,'807',63.83,1,3,NULL),(20,5297940,'1982-06-12 00:00:00',2,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224242241216112721358654495122321437145',NULL,'624',0.00,1,3,NULL),(20,5297958,'1991-07-12 00:00:00',4,1,12,2008,'F','N','SANTA CATARINA','CAXIAS SUL','RS','120201201116471431369412572122610121142',7531,'9998',62.74,1,3,NULL),(20,5297966,'1991-06-27 00:00:00',4,1,12,2008,'F','N','CENTRO','CORBÉLIA','PR','116161161117471431468619575124610161197',855,'9998',82.15,1,2,1),(20,5297974,'1987-11-14 00:00:00',2,1,12,2005,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124163161317242431536914285124610117047',13908,'9998',50.55,1,3,NULL),(20,5297982,'1991-08-07 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124244241217372531358814345114610168193',NULL,'1022',28.41,1,3,NULL),(20,5297990,'1992-07-10 00:00:00',4,7,12,2008,'F','N','SÃO CRISTÓVÃO','PASSO FUNDO','RS','120201201216472431647514371124610123147',5720,'9998',65.84,1,3,NULL),(20,5298008,'1993-02-16 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241115141431666833245124610121127',10134,'307',56.82,1,2,1),(20,5298016,'1992-08-10 00:00:00',4,5,11,2009,'M','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241217111431479934575125610168092',6935,'210',62.55,1,3,NULL),(20,5298024,'1992-02-20 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215121431468931595112610116063',NULL,'272',26.00,1,3,NULL),(20,5298032,'1992-04-29 00:00:00',2,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215111231466814271122610131147',6445,'1181',65.04,1,3,NULL),(20,5298040,'1992-02-29 00:00:00',4,1,12,2009,'M','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','124241241225271731336334585124610142147',2903,'262',73.11,1,3,NULL),(20,5298059,'1991-09-11 00:00:00',4,10,11,2009,'M','N','CENTRO','BRAÇO NORTE','SC','124242241217151711488972574114610164042',2148,'806',76.36,1,3,NULL),(20,5298067,'1991-03-30 00:00:00',2,8,12,2008,'F','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161215472431356923574124610143077',3291,'9998',71.02,1,3,NULL),(20,5298075,'1991-08-10 00:00:00',4,4,12,2008,'M','N','CENTRO','CASCAVEL','PR','116163161215471731448819581125610166177',9404,'9998',59.25,1,3,NULL),(20,5298083,'1987-04-01 00:00:00',4,8,12,2004,'M','N','BARRA DO RIO MOLHA','JARAGUÁ SUL','SC','124242241217575431459736572122610162017',838,'442',82.24,1,3,NULL),(20,5298091,'1990-01-12 00:00:00',2,16,12,2007,'M','N','CANTA GALO','RIO SUL','SC','124242241216574431437714595124243167077',10859,'991',56.56,2,1,2),(20,5298105,'1991-02-17 00:00:00',2,1,12,2008,'F','N','VARGEM GRANDE','ÁGUAS MORNAS','SC','124241241116272411653412345124610124052',NULL,'978',30.37,1,2,1),(20,5298113,'1993-06-27 00:00:00',4,10,11,2010,'F','S','VILA MOEMA','TUBARÃO','SC','124242241215111411369813575122610162142',NULL,'807',31.76,1,3,NULL),(20,5298130,'1988-09-18 00:00:00',4,7,12,2006,'M','N','INDEPENDENCIA','CASCAVEL','PR','116162161215572431568811574112610137042',3083,'9998',73.26,1,3,NULL),(20,5298148,'1991-06-12 00:00:00',4,1,12,2008,'F','N','CENRRO','LARANJEIRAS SUL','PR','116162161215471711446639392124610163103',6204,'9998',65.56,3,3,NULL),(20,5298156,'1991-05-15 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241112273721223321492124610138017',NULL,'307',26.12,4,2,1),(20,5298164,'1990-12-13 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241214473431449931375124233234171',NULL,'1038',32.59,1,3,NULL),(20,5298172,'1991-04-08 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124203201116231431328744244214610142071',NULL,'9998',26.65,1,3,NULL),(20,5298180,'1974-12-13 00:00:00',2,1,8,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','524241247125573411626354345124131655077',NULL,'9999',40.26,2,1,1),(20,5298199,'1992-07-08 00:00:00',4,1,12,2009,'F','N','FUNDOS','BIGUAÇU','SC','124241241225111431433311573124610133067',NULL,'262',29.35,1,3,NULL),(20,5298202,'1992-10-09 00:00:00',2,8,12,2009,'F','N','VILA NOVA','JARAGUÁ SUL','SC','124243241215111431359813575122610138092',NULL,'1061',0.00,1,3,NULL),(20,5298210,'1989-05-18 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124202201216572431346939375115610168142',NULL,'9998',0.00,1,3,NULL),(20,5298229,'1992-04-12 00:00:00',2,4,12,2009,'M','N','BAIRRO COLINA','TUNÁPOLIS','SC','124241241117111731339939575122610122017',NULL,'408',0.00,1,3,NULL),(20,5298237,'1992-06-08 00:00:00',2,4,12,2009,'M','N','JARDIM GISELA','TOLEDO','PR','116162161215121431557932175122610132052',10294,'9998',54.72,4,3,NULL),(20,5298245,'1990-10-26 00:00:00',4,6,12,2007,'M','N','FAZENDA','ITAJAÍ','SC','124244241215272431336614245112610167042',9908,'389',58.34,1,3,NULL),(20,5298253,'1991-08-22 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241315372431527851592122131037087',13503,'1022',48.40,1,3,NULL),(20,5298261,'1992-01-18 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471431668832572122610124142',6222,'270',62.74,1,3,NULL),(20,5298270,'1991-12-25 00:00:00',4,2,11,2009,'M','N','VELHA','BLUMENAU','SC','124242241215111431468712474122610114043',4389,'87',68.06,1,3,NULL),(20,5298288,'1994-05-13 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115151431456812472124610121055',14148,'271',50.08,1,2,1),(20,5298300,'1990-09-12 00:00:00',2,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215472431445951442124610113197',15122,'1022',45.07,4,3,NULL),(20,5298318,'1991-12-17 00:00:00',4,1,12,2009,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215111431428823575124610133017',14487,'1022',45.70,1,3,NULL),(20,5298326,'1992-11-11 00:00:00',2,5,11,2009,'M','N','JARDIM ELIZABETE','IÇARA','SC','124242241215111431564615575124610167042',6072,'226',65.83,1,3,NULL),(20,5298334,'1992-11-20 00:00:00',4,3,11,2009,'F','N','CABRAL','CURITIBA','PR','116162161237471431478812574112610148112',6613,'9998',62.54,1,3,NULL),(20,5298342,'1990-04-07 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215112412326823342111233237187',8326,'1022',61.26,1,3,NULL),(20,5298350,'1963-10-14 00:00:00',2,1,6,1994,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224241247146472741523149491124610118147',NULL,'9999',36.30,1,2,1),(20,5298369,'1992-04-08 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241235121431446771576125610117052',NULL,'752',0.00,1,3,NULL),(20,5298385,'1987-12-21 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241116374751366939445124131063142',NULL,'1022',28.93,1,3,NULL),(20,5298393,'1992-10-18 00:00:00',4,3,12,2009,'M','N','CENTRO','ITAPEMA','SC','124242241215113731369912595122610126011',429,'1038',85.16,1,3,NULL),(20,5298407,'1983-09-03 00:00:00',2,1,12,2002,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124251255111113421123219491234122951107',14650,'9998',48.86,4,2,1),(20,5298415,'1992-05-15 00:00:00',2,3,11,2009,'F','N','CENTRO','ITAPEMA','SC','124244241217111411448731341124610114111',NULL,'403',12.39,1,3,NULL),(20,5298423,'1984-11-11 00:00:00',2,1,7,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124072211216152431456712411124231966042',10146,'9998',57.89,1,3,NULL),(20,5298431,'1990-08-06 00:00:00',2,4,12,2007,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124242241216471431555611274124610166097',2879,'1046',73.19,1,3,NULL),(20,5298440,'1987-04-14 00:00:00',2,1,12,2004,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241137271432533319385124131067042',16265,'123',41.46,1,2,1),(20,5298458,'1986-04-01 00:00:00',4,1,11,2003,'M','N','GLÓRIA','STA ROSA','RS','120204201216571431134923475124610168047',8694,'9998',57.58,4,3,NULL),(20,5298466,'1982-12-01 00:00:00',4,1,12,2000,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216133752347611395122333227041',11662,'300',55.00,1,3,NULL),(20,5298474,'1991-11-15 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111731469933475125610143185',321,'270',86.25,1,3,NULL),(20,5298482,'1989-12-03 00:00:00',4,3,12,2006,'F','N','CENTRO','LONDRINA','PR','116162161212571431468832572122610142077',783,'9998',82.16,1,3,NULL),(20,5298490,'1986-11-11 00:00:00',2,1,12,2003,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241117471431122344445134610133097',11299,'239',54.81,4,2,1),(20,5298504,'1992-10-08 00:00:00',4,8,12,2009,'M','N','CENTRO','CORUPÁ','SC','124241241435131431434335395121610164052',15415,'203',46.56,1,3,NULL),(20,5298520,'1991-09-17 00:00:00',4,15,12,2008,'M','N','SANGA DA AREIA','ARARANGUÁ','SC','124243241117152731438632485122610127047',NULL,'30',29.24,1,3,NULL),(20,5298539,'1982-08-16 00:00:00',4,1,12,2000,'F','N','AREIAS','S JOSÉ','SC','124241241131374431433434215124131024077',14724,'808',48.64,2,1,1),(20,5298547,'1991-10-08 00:00:00',2,1,12,2008,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124243241216272451437633575124231267057',7418,'1048',62.99,1,3,NULL),(20,5298555,'1990-01-09 00:00:00',4,4,11,2007,'F','N','NOSSA SENHORA APAREC','DOIS VIZINHOS','PR','116162161235571431446531575122610164047',6686,'9998',63.05,4,3,NULL),(20,5298563,'1976-06-14 00:00:00',2,1,12,1995,'M','N','SÃO CAETANO','SALVADOR','BA','105051053146272411633349232124221437047',NULL,'9998',0.00,4,1,1),(20,5298571,'1982-06-16 00:00:00',2,1,12,1999,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241116235431556623345134130217157',NULL,'276',56.99,1,2,1),(20,5298580,'1991-09-10 00:00:00',4,4,12,2008,'M','N','CENTRO','GALVÃO','SC','124241161316472431558831495114610162012',4380,'9998',67.92,1,3,NULL),(20,5298598,'1992-07-08 00:00:00',4,8,12,2009,'M','N','GLÓRIA','JOINVILLE','SC','124241241217111731538611575122610137181',8196,'1006',60.75,1,3,NULL),(20,5298601,'1986-02-09 00:00:00',4,1,12,2003,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241236273431358911575124221462185',NULL,'270',0.00,1,3,NULL),(20,5298610,'1988-07-13 00:00:00',2,1,8,2006,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124241241124275431122444342334610122027',NULL,'289',47.50,1,3,NULL),(20,5298628,'1992-08-21 00:00:00',2,4,12,2009,'F','N','CENTRO','PATO BRANCO','PR','116161161215371441439932145115610133157',9930,'9998',57.16,1,3,NULL),(20,5298636,'1991-03-10 00:00:00',2,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241147131431634319242221610125187',NULL,'1088',43.39,1,2,1),(20,5298644,'1990-10-23 00:00:00',4,1,11,2009,'M','N','BREJARU','PALHOÇA','SC','124243241212131231438631372114610134043',NULL,'9999',0.00,1,3,NULL),(20,5298652,'1992-03-21 00:00:00',2,1,11,2008,'M','N','UNIVERSITÁRIO','CASCAVEL','PR','116161161115131431536631245124610136042',NULL,'9998',19.90,1,2,1),(20,5298660,'1991-03-01 00:00:00',2,1,12,2008,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241126133132114324315113230867051',NULL,'733',27.14,3,2,1),(20,5298687,'1991-01-20 00:00:00',4,2,12,2009,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241115271731343332495124610132197',15678,'69',45.59,1,2,1),(20,5298695,'1963-03-03 00:00:00',2,1,11,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224251257146131421328659185124610164097',15090,'9998',47.62,1,3,NULL),(20,5298709,'1991-02-22 00:00:00',2,1,11,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241217272531556632495124610137041',NULL,'951',21.91,1,3,NULL),(20,5298717,'1987-05-04 00:00:00',2,1,12,2005,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242243115372721337679242122610117047',NULL,'307',39.45,1,3,NULL),(20,5298725,'1989-05-14 00:00:00',4,1,11,2006,'M','N','CENTRO','CARAZINHO','RS','120202201216572411566611575115610137182',875,'9998',82.05,1,3,NULL),(20,5298733,'1989-10-19 00:00:00',4,1,12,2007,'M','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241215473411354933471114610166042',1124,'1022',80.61,1,3,NULL),(20,5298741,'1988-06-11 00:00:00',4,15,12,2005,'M','N','PETROPOLIS','PTO ALEGRE','RS','120202201216571431249814581124140237117',1328,'9998',79.46,1,3,NULL),(20,5298750,'1986-05-08 00:00:00',2,1,12,2003,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124161241336132431444511235122610137057',11758,'595',54.81,1,3,NULL),(20,5298768,'1988-06-18 00:00:00',2,1,12,2005,'F','N','BREJARU II','PALHOÇA','SC','124241241126272721426624345114610114077',NULL,'592',24.43,1,2,1),(20,5298776,'1975-08-17 00:00:00',4,1,12,1994,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241122135411123643132111131022185',NULL,'671',0.00,1,2,1),(20,5298784,'1988-11-21 00:00:00',4,1,12,2005,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120201201117571431466634595122610117142',7602,'9998',60.96,1,2,1),(20,5298792,'1989-07-26 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215371731536613475124610123142',NULL,'1022',15.96,1,3,NULL),(20,5298806,'1991-12-16 00:00:00',2,8,12,2008,'F','N','ALTO BOQUEIRÃO','CURITIBA','PR','116162161216471231335619571114610167042',13730,'9998',47.59,1,3,NULL),(20,5298814,'1992-05-29 00:00:00',4,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124242241445272431413311575124610164052',8508,'262',59.60,1,3,NULL),(20,5298822,'1986-07-26 00:00:00',2,15,12,2006,'M','N','NOVA BRASILIA','SOMBRIO','SC','124241247127161431223369183341231438187',NULL,'9999',21.80,1,2,1),(20,5298830,'1990-07-30 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241117272431443823242114610135067',NULL,'307',24.41,1,2,1),(20,5298849,'1992-07-26 00:00:00',4,1,12,2009,'M','N','SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC','124241241216131431348923575124610147042',8574,'1048',59.61,1,3,NULL),(20,5298857,'1990-01-09 00:00:00',4,1,12,2009,'M','N','CIDADE JARDIM','S CARLOS','SP','125122251215111131188816575114610117054',NULL,'9998',0.00,1,3,NULL),(20,5298865,'1992-09-08 00:00:00',2,1,12,2009,'F','N','CENTRO','BIGUAÇU','SC','124242241215111731348612275122610126182',NULL,'1022',26.58,1,3,NULL),(20,5298873,'1983-06-06 00:00:00',2,1,12,2000,'F','N','ESTREITO','FLORIANÓPOLIS','SC','624241241126274431243374182124123012147',10419,'292',54.38,1,2,1),(20,5298881,'1992-05-16 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115371431323419275124610114012',NULL,'733',21.51,1,2,1),(20,5298890,'1992-08-09 00:00:00',2,1,12,2009,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124244241117131431336924572124610167117',NULL,'267',25.24,1,3,NULL),(20,5298903,'1988-06-04 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241122132331437319392124610122082',NULL,'307',42.16,1,2,1),(20,5298911,'1981-06-08 00:00:00',2,1,6,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','624241247122113411424443232334221718041',10582,'9999',54.37,1,2,1),(20,5298920,'1991-12-16 00:00:00',4,1,12,2009,'M','N','CENTRO','ITUPORANGA','SC','124241241336151751427923295124610124182',NULL,'416',25.04,1,3,NULL),(20,5298938,'1991-12-26 00:00:00',4,4,12,2009,'M','N','CENTRO','ERECHIM','RS','120204201215111431469833572122610122142',333,'9998',86.14,1,3,NULL),(20,5298954,'1992-04-12 00:00:00',4,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241217111732446633571125610124187',NULL,'1172',18.27,1,3,NULL),(20,5298962,'1992-09-21 00:00:00',4,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124241241117371411327634372123610162142',NULL,'239',28.99,1,2,1),(20,5298970,'1991-07-30 00:00:00',4,1,11,2008,'M','N','CENTRO','GUAÍRA','PR','116162161217471431455816572145610124182',NULL,'9998',0.00,1,3,NULL),(20,5298989,'1985-10-10 00:00:00',2,1,11,2003,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241411472431447736341124610167147',NULL,'273',37.52,1,3,NULL),(20,5298997,'1989-02-14 00:00:00',2,1,12,2007,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241247347272411529613245122610122177',NULL,'9999',42.63,1,3,NULL),(20,5299004,'1974-12-19 00:00:00',4,1,12,1995,'M','N','CAMPINAS','S JOSÉ','SC','124201206126151441139741215124140232022',NULL,'9998',0.00,1,3,NULL),(20,5299012,'1990-09-06 00:00:00',4,3,12,2008,'M','N','CIDADE JARDIM','RIO CLARO','SP','125252251216472431478811571122610121022',NULL,'9998',0.00,1,3,NULL),(20,5299039,'1991-11-29 00:00:00',2,4,12,2008,'M','N','CENTRO','CHAPECÓ','SC','124241241215372411526631575112131462192',5627,'185',63.50,1,3,NULL),(20,5299047,'1992-02-15 00:00:00',4,8,11,2009,'M','N','AMERICA','JOINVILLE','SC','124244241215111431429933475124610138117',NULL,'486',41.53,1,3,NULL),(20,5299055,'1992-04-16 00:00:00',4,3,11,2009,'F','N','CENTRO','TIJUCAS','SC','124242241215112731446632572122610128172',7117,'9997',61.63,1,3,NULL),(20,5299063,'1991-02-07 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241237143451466634442124230227012',3386,'738',71.87,1,3,NULL),(20,5299071,'1992-05-01 00:00:00',4,4,11,2009,'M','N','TROPICAL','CASCAVEL','PR','116162161217111331469934575112610164182',NULL,'9998',0.00,1,3,NULL),(20,5299080,'1962-01-22 00:00:00',4,1,12,1979,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224252251217151441487741315122340724185',NULL,'9998',0.00,1,3,NULL),(20,5299098,'1992-08-28 00:00:00',4,8,11,2009,'M','N','BOA VISTA','JOINVILLE','SC','124241241116151441446619575124610146147',NULL,'477',0.00,1,2,1),(20,5299101,'1992-09-13 00:00:00',2,1,12,2009,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124243241115471431536634275124610127045',8711,'307',59.93,1,3,NULL),(20,5299110,'1990-05-15 00:00:00',4,1,12,2007,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241117142331123344242334610142042',NULL,'16',6.80,4,2,1),(20,5299128,'1991-05-12 00:00:00',4,1,12,2008,'M','N','JARDIM PARAÍSO','MTE ALTO','SP','125254258216371541478811571111610167012',NULL,'9998',0.00,3,3,NULL),(20,5299136,'1991-07-16 00:00:00',2,1,11,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243241216112431446613435114610127187',12272,'300',50.75,1,3,NULL),(20,5299144,'1989-07-06 00:00:00',3,8,12,2006,'F','N','CABRAL','CURITIBA','PR','116162161215571431558832572112610137142',8485,'9998',59.06,1,3,NULL),(20,5299152,'1985-04-10 00:00:00',4,1,12,2003,'M','N','HIGIENÓPOLIS','CATANDUVA','SP','125252251237471431438866445134241764042',3472,'9998',72.19,1,3,NULL),(20,5299160,'1991-12-28 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121531458811572111610137012',NULL,'1038',0.00,1,3,NULL),(20,5299179,'1990-03-19 00:00:00',2,1,12,2007,'M','N','CENTRO','IMARUÍ','SC','124241241127142742314344245224610114187',NULL,'356',36.79,1,2,1),(20,5299187,'1990-12-06 00:00:00',2,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124242248214472411568614295124610162077',NULL,'456',0.00,1,3,NULL),(20,5299195,'1993-02-09 00:00:00',4,3,12,2009,'M','N','VILA MARIA','ASSIS','SP','125254251217161412458833575122610132013',1394,'9998',77.60,1,3,NULL),(20,5299209,'1990-04-07 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124244241216471431449933575122610162017',NULL,'499',27.14,1,3,NULL),(20,5299217,'1992-08-08 00:00:00',4,5,11,2009,'M','N','COMERCIARIO','CRICIÚMA','SC','124242246215111431556612375124610164192',15454,'995',46.45,1,3,NULL),(20,5299225,'1988-04-25 00:00:00',2,2,12,2008,'F','N','VELHA PEQUENA','BLUMENAU','SC','124241241137271711424329296124610128097',NULL,'69',18.48,4,2,1),(20,5299233,'1963-10-25 00:00:00',1,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','224202241127471721233344442124610134144',NULL,'922',23.11,1,3,NULL),(20,5299241,'1993-10-14 00:00:00',2,6,12,2009,'F','N','CIDADE NOVA','ITAJAÍ','SC','124241241116371411536933575122610165172',12646,'401',48.46,1,2,1),(20,5299250,'1992-11-23 00:00:00',4,4,11,2009,'F','N','CENTRO','STA MARIA','RS','120202201215271431248831572125610162052',NULL,'9998',0.00,1,3,NULL),(20,5299268,'1985-10-23 00:00:00',4,1,12,2002,'F','N','IPIRANGA','S JOSÉ','SC','124244241212534431568613385112121462097',13153,'738',52.07,1,3,NULL),(20,5299284,'1991-08-25 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241417372231447513332124233217047',NULL,'300',34.12,1,3,NULL),(20,5299292,'1992-02-27 00:00:00',4,6,12,2009,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215111731446612395122610117142',12392,'109',52.39,1,3,NULL),(20,5299306,'1992-03-12 00:00:00',3,1,11,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115372431326829575114610163196',6186,'267',65.59,1,2,1),(20,5299314,'1994-03-31 00:00:00',4,1,12,2010,'F','S','CENTRO','BIGUAÇU','SC','124244241215111431667732575114610113147',NULL,'1022',26.70,1,3,NULL),(20,5299322,'1991-07-16 00:00:00',2,1,11,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117142431526613491124610135012',NULL,'281',22.71,1,2,1),(20,5299330,'1974-08-30 00:00:00',2,1,12,1992,'M','N','FORQUILHINHAS','S JOSÉ','SC','224241241126273421531444145123130224062',NULL,'296',42.05,4,1,1),(20,5299349,'1993-03-18 00:00:00',2,1,11,2009,'M','N','JARDIM HORIZONTE','CASCAVEL','PR','116161151116111331454612393122610167052',NULL,'9998',18.63,1,2,1),(20,5299357,'1991-12-11 00:00:00',4,4,12,2009,'M','N','CENTRO','CPO ERÊ','SC','124241241117151411334614575122610168042',15796,'136',41.82,1,2,1),(20,5299373,'1992-03-09 00:00:00',2,9,12,2008,'M','N','CENTRO','LAGES','SC','124241241416371431428816595122610127092',12609,'1146',49.95,1,3,NULL),(20,5299381,'1991-07-14 00:00:00',2,1,12,2009,'M','N','VILA NOVA','PTO BELO','SC','124244241236111422456313285122610162151',NULL,'1111',0.00,1,3,NULL),(20,5299390,'1992-09-09 00:00:00',2,9,12,2009,'M','N','CENTRO','CAÇADOR','SC','124242241216111431458714275122610167052',7206,'120',61.21,1,3,NULL),(20,5299403,'1990-07-27 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241234373431247923383124610147042',3391,'266',72.39,1,3,NULL),(20,5299411,'1990-09-05 00:00:00',4,8,12,2007,'F','N','UVARANAS','PNT GROSSA','PR','116162161215571431469913575122610166097',3946,'9998',69.55,1,3,NULL),(20,5299420,'1993-06-18 00:00:00',4,4,12,2010,'M','S','CENTRO','CHAPECÓ','SC','124242241212371431478931575122610117042',NULL,'185',53.47,1,3,NULL),(20,5299438,'1991-12-03 00:00:00',4,15,12,2008,'M','N','CENTRO','TIMBÉ SUL','SC','124241241135271331536634345122610127077',NULL,'814',24.92,1,2,1),(20,5299454,'1976-09-06 00:00:00',4,1,12,1993,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241236155451364429435124422864112',NULL,'269',0.00,1,3,NULL),(20,5299470,'1991-07-14 00:00:00',2,4,12,2009,'M','N','CENTRO','PATO BRANCO','PR','116161168116471411325616574124610165147',3801,'9998',70.02,1,2,1),(20,5299500,'1992-04-09 00:00:00',2,4,12,2009,'F','N','CENTRO','BARRACÃO','PR','116241201215111431569914275122610127142',NULL,'9998',0.00,1,3,NULL),(20,5299519,'1990-11-03 00:00:00',4,10,12,2009,'M','N','BELA VISTA','S LUDGERO','SC','124241241117141431537612245122610124177',NULL,'748',24.68,4,1,1),(20,5299527,'1988-03-16 00:00:00',2,1,12,2005,'M','N','MORRO DO FABRICIO','STO AMARO IMPERATRIZ','SC','124241241121473421423614245123610164142',NULL,'941',30.17,1,2,1),(20,5299535,'1989-04-03 00:00:00',4,1,12,2006,'M','N','SANTA TEREZINHA','PIRACICABA','SP','125251251135371731436634445122610137047',15954,'9998',44.37,1,2,1),(20,5299543,'1992-05-05 00:00:00',4,4,11,2009,'M','N','CENTRO','CHAPECÓ','SC','124242241215111411379714444122610134117',NULL,'185',0.00,1,3,NULL),(20,5299551,'1990-12-10 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241115473731446934585124610162147',14518,'257',46.92,1,3,NULL),(20,5299578,'1992-07-31 00:00:00',2,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241116271731326614575112610122092',NULL,'21',30.34,1,2,1),(20,5299586,'1989-11-21 00:00:00',2,1,12,2006,'F','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124241241147132751526719572124230862181',NULL,'733',25.66,1,2,1),(20,5299594,'1992-04-15 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216273431436612575124610164042',2835,'737',72.69,1,3,NULL),(20,5299608,'1984-07-04 00:00:00',4,1,11,2001,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124241241146231431223344342214610131197',NULL,'298',46.51,1,3,NULL),(20,5299616,'1991-02-04 00:00:00',2,1,12,2008,'M','N','JARDIM CIDADE FLORIA','S JOSÉ','SC','124242241215313221327612441134610127012',NULL,'1022',24.03,1,3,NULL),(20,5299624,'1982-10-21 00:00:00',1,1,12,2000,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','524241241211272431144541432232321333093',5585,'624',65.90,1,3,NULL),(20,5299659,'1992-01-22 00:00:00',4,2,12,2009,'F','N','CENTRO','ILHOTA','SC','124241241117371531434933572124610127057',NULL,'69',29.45,1,2,1),(20,5299667,'1989-03-09 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215271721563864242112610121187',NULL,'1022',30.43,1,3,NULL),(20,5299675,'1992-06-05 00:00:00',4,1,12,2009,'M','N','CENTRO','PINHAIS','PR','116162161216151411338812575124610167042',8951,'9998',56.96,1,3,NULL),(20,5299683,'1993-07-29 00:00:00',2,1,12,2010,'M','S','CARIANOS','FLORIANÓPOLIS','SC','124244241215161431458919571122610137097',NULL,'262',33.41,1,3,NULL),(20,5299691,'1992-07-04 00:00:00',4,1,12,2009,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124242241216131431327634575124610164197',NULL,'1077',30.40,1,3,NULL),(20,5299705,'1988-02-12 00:00:00',4,1,12,2005,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241117273441549633471124220446142',1089,'271',80.79,1,2,1),(20,5299713,'1992-04-27 00:00:00',4,1,12,2009,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242241215111431358419575122610167122',NULL,'273',30.48,1,3,NULL),(20,5299721,'1990-03-28 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215271731366622375122610128192',NULL,'1022',10.77,1,3,NULL),(20,5299730,'1990-02-22 00:00:00',2,1,12,2008,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241227472721543373245124610167153',NULL,'262',23.06,2,3,NULL),(20,5299748,'1989-06-09 00:00:00',2,9,12,2007,'M','N','CENTRO','S JOAQUIM','SC','124242241216233531428614445122610167077',NULL,'1035',26.92,1,3,NULL),(20,5299756,'1991-06-22 00:00:00',2,1,11,2008,'M','N','CENTRO','CURITIBA','PR','116222221217471531448813575125610162052',NULL,'9998',0.00,1,3,NULL),(20,5299764,'1991-11-05 00:00:00',4,15,12,2008,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241137141731443314345122610114045',NULL,'30',44.99,1,2,1),(20,5299772,'1990-08-24 00:00:00',4,1,6,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241115372431587812575124610127042',476,'306',84.79,1,3,NULL),(20,5299799,'1988-05-31 00:00:00',4,1,12,2005,'F','N','SÃO LUIZ','S JOSÉ','SC','124241241126135431416314242324610125197',NULL,'729',40.40,1,2,1),(20,5299802,'1990-09-07 00:00:00',2,3,12,2007,'M','N','CENTRO','BARRA VELHA','SC','124222161216472411536922575124232467047',1022,'9998',81.20,1,3,NULL),(20,5299810,'1984-01-03 00:00:00',4,1,6,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124164167446273221358653345123141434182',2344,'9998',75.64,1,3,NULL),(20,5299829,'1992-06-19 00:00:00',4,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124244241415271531536734385124610167045',NULL,'257',23.40,1,3,NULL),(20,5299837,'1987-06-05 00:00:00',4,1,12,2004,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241212575531479613272114610122192',4060,'270',70.71,1,3,NULL),(20,5299845,'1989-07-16 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124201241127271531623324412124610134057',NULL,'282',25.30,2,1,1),(20,5299853,'1992-10-10 00:00:00',4,1,11,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215371431268923592112611467012',2187,'270',76.13,1,3,NULL),(20,5299870,'1992-11-18 00:00:00',4,8,12,2009,'M','N','FRAGOSOS','CPO ALEGRE','SC','124241241116151331546933575122610132047',NULL,'697',23.38,1,2,1),(20,5299888,'1987-01-14 00:00:00',5,1,12,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217575711439934171114610125117',418,'270',85.23,1,3,NULL),(20,5299896,'1979-07-25 00:00:00',4,1,7,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251251127132531123144342344610164147',NULL,'9998',16.49,4,2,1),(20,5299900,'1989-03-08 00:00:00',2,1,12,2006,'M','N','CENTRO','STO ÂNGELO','RS','120203201336571731647619285115140367047',11461,'9998',52.95,1,3,NULL),(20,5299918,'1990-05-19 00:00:00',4,5,12,2007,'F','N','CENTRO','TAQUARA','RS','120202201216571431339921571124610127147',1643,'9998',78.30,1,3,NULL),(20,5299926,'1992-08-17 00:00:00',2,1,8,2010,'M','S','SERTAO DO MARUIM','S JOSÉ','SC','124243248316111311433612575124233234142',NULL,'9997',26.91,1,3,NULL),(20,5299934,'1981-02-10 00:00:00',4,1,12,1998,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124082081217142421148822492124321461185',4591,'9998',69.31,1,3,NULL),(20,5299942,'1979-12-24 00:00:00',2,1,12,2000,'M','N','ALTO RIBEIRÃO','FLORIANÓPOLIS','SC','224241241336172431226644345134610112187',NULL,'9999',NULL,1,3,NULL),(20,5299950,'1970-09-19 00:00:00',2,1,11,1988,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','324201205216152711456747372112122966197',NULL,'9998',48.51,1,3,NULL),(20,5299969,'1992-08-17 00:00:00',4,9,12,2009,'F','N','MARIA GORETTI','BENTO GONÇALVES','RS','120202201215471431346311574122610166182',5883,'9998',65.71,1,3,NULL),(20,5299977,'1992-11-05 00:00:00',2,1,12,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241315111231637613572114610125147',8197,'1022',59.57,1,3,NULL),(20,5299985,'1992-10-21 00:00:00',4,3,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161216121431369931572112610112042',4181,'9998',68.25,1,3,NULL),(20,5299993,'1982-09-12 00:00:00',2,4,12,2001,'M','N','INTERIOR','PINHALZINHO','SC','124241241116131321333815485122343218172',NULL,'616',10.23,1,2,1),(20,5300002,'1989-01-30 00:00:00',4,1,12,2006,'M','N','SERRARIA','S JOSÉ','SC','124241241117131431226624345124610144087',14508,'257',49.23,4,2,1),(20,5300010,'1992-10-05 00:00:00',2,1,12,2009,'F','N','CENTRO','BIGUAÇU','SC','124243241417161432426311235125610164147',NULL,'63',0.00,1,3,NULL),(20,5300029,'1989-01-23 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241413374441446633435134221527097',6252,'154',65.45,4,3,NULL),(20,5300045,'1990-11-07 00:00:00',4,1,11,2008,'F','N','POPULAR','CUIABÁ','MT','111112111236471731548831572122610122147',8687,'9998',58.06,4,3,NULL),(20,5300061,'1987-06-10 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117373411526614481124610113077',NULL,'307',27.37,1,2,1),(20,5300070,'1990-05-07 00:00:00',2,1,6,2008,'M','N','FENSTERSEIFER','PANAMBI','RS','120201201331471231347834571212610167042',NULL,'9998',18.43,4,1,2),(20,5300088,'1991-02-18 00:00:00',2,5,12,2007,'F','N','NOVA DIVINEIA','ARARANGUÁ','SC','124241241116133431546512575122610166141',NULL,'30',22.73,1,2,1),(20,5300100,'1992-03-01 00:00:00',4,1,12,2009,'M','N','CANTO','FLORIANÓPOLIS','SC','124244241115372431456631575124610137172',8688,'271',60.56,1,3,NULL),(20,5300118,'1990-02-25 00:00:00',2,1,12,2007,'F','N','CENTRO','ITUPORANGA','SC','124241241226152431428923595124610126142',NULL,'414',28.44,1,3,NULL),(20,5300126,'1992-10-07 00:00:00',4,8,12,2009,'M','N','BAEPENDI','JARAGUÁ SUL','SC','124243241112131531223624314121610117182',NULL,'430',27.61,1,3,NULL),(20,5300134,'1990-08-04 00:00:00',2,1,12,2007,'M','N','CANTO','FLORIANÓPOLIS','SC','124162161232371331428614485124610167062',NULL,'270',27.67,1,3,NULL),(20,5300142,'1991-04-03 00:00:00',4,5,12,2008,'F','N','CENTRO','PTO ALEGRE','RS','120203201211471711537833571224610121082',10500,'9998',55.05,1,3,NULL),(20,5300150,'1991-04-01 00:00:00',4,1,12,2008,'F','N','PERDIZES','S PAULO','SP','125252251217471411438831571122610144091',1238,'9998',79.10,3,3,NULL),(20,5300169,'1992-09-23 00:00:00',4,1,12,2009,'F','N','BRAÇO SÃO JOÃO','STO AMARO IMPERATRIZ','SC','124241241112271731524621412124610157047',15873,'773',42.28,1,2,1),(20,5300177,'1992-01-14 00:00:00',4,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124244241117131231646621345124610152147',14376,'739',49.54,1,3,NULL),(20,5300193,'1971-06-10 00:00:00',5,1,12,1988,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241211135331153443435122322264042',NULL,'259',52.83,1,3,NULL),(20,5300207,'1991-10-22 00:00:00',4,10,12,2009,'M','N','BELA VISTA','S LUDGERO','SC','124241241147131431537612275122610124177',NULL,'748',21.06,4,1,1),(20,5300215,'1991-02-08 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372751588614595112610117043',7176,'270',63.48,1,3,NULL),(20,5300223,'1992-02-04 00:00:00',2,15,11,2009,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241215111431525934572112610122147',NULL,'32',29.89,1,3,NULL),(20,5300231,'1989-06-15 00:00:00',4,4,11,2006,'F','N','CENTRO','CARAZINHO','RS','120202201217571431359912575112141463142',2495,'9998',73.92,1,3,NULL),(20,5300240,'1981-06-28 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241121271421536619441114610122051',NULL,'277',18.82,1,3,NULL),(20,5300258,'1988-09-06 00:00:00',4,1,12,2005,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215275741547619575122233232187',2175,'270',76.27,1,3,NULL),(20,5300266,'1992-09-14 00:00:00',4,16,12,2009,'M','N','INTERIOR','CURITIBANOS','SC','124241241117271431325715572324610127056',15743,'320',42.00,3,2,1),(20,5300274,'1990-10-05 00:00:00',2,1,11,2007,'M','N','CAMPINAS','S JOSÉ','SC','124242241215373431426611385124130263187',6032,'723',64.28,1,3,NULL),(20,5300282,'1989-04-05 00:00:00',2,3,12,2007,'M','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','124233238136231451111779183321610158047',12773,'9998',49.94,5,4,NULL),(20,5300290,'1992-03-10 00:00:00',2,2,12,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241117131441458733275122610164097',11891,'712',54.58,1,2,1),(20,5300304,'1991-08-06 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216573431378823575122610166182',2643,'1022',74.00,2,3,NULL),(20,5300312,'1989-01-30 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124161161117373411549619446124610132175',11854,'9998',52.69,1,2,1),(20,5300320,'1986-04-29 00:00:00',2,1,11,2004,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241312172431436613431124610128112',NULL,'9999',41.14,1,3,NULL),(20,5300339,'1990-11-19 00:00:00',4,1,12,2008,'M','N','CRISTO REI','CURITIBA','PR','116062161217471531357724375124141412057',3264,'9998',71.70,1,3,NULL),(20,5300347,'1977-08-07 00:00:00',4,1,3,1996,'M','N','INGLESES','FLORIANÓPOLIS','SC','224163161136375431223943435122121445013',NULL,'9998',0.00,1,3,NULL),(20,5300355,'1988-09-01 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241111133431323319571124610117117',NULL,'271',35.43,1,3,NULL),(20,5300363,'1983-07-09 00:00:00',4,1,12,2000,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241111152711336314392124322964193',NULL,'307',16.86,1,2,1),(20,5300371,'1987-12-26 00:00:00',4,2,11,2005,'M','N','SETE DE SETEMBRO','GASPAR','SC','124242241217143441468614591124231467031',NULL,'855',44.50,1,3,NULL),(20,5300380,'1982-12-05 00:00:00',4,1,12,2002,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124213211122131221126844442124141017012',NULL,'9998',27.91,1,3,NULL),(20,5300398,'1992-03-28 00:00:00',2,5,10,2009,'F','N','CENTRO','SIDERÓPOLIS','SC','124242241215111431449614575124610121052',9637,'226',56.16,1,3,NULL),(20,5300410,'1991-09-06 00:00:00',4,1,12,2008,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124244241215473421558724575124610164032',15128,'1022',42.72,1,3,NULL),(20,5300428,'1992-10-13 00:00:00',4,8,12,2009,'F','N','CRUZEIRO','RIO NEGRINHO','SC','124242241216111411559813572125610162012',10915,'666',53.22,1,3,NULL),(20,5300436,'1991-01-03 00:00:00',2,9,12,2008,'F','N','CENTRO','LONTRAS','SC','124241241415472431435923575124610124097',11468,'991',52.34,1,3,NULL),(20,5300444,'1987-09-21 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241237575431539933572125232463057',1114,'262',80.68,1,3,NULL),(20,5300460,'1991-03-23 00:00:00',2,8,11,2007,'M','N','BATEL','CURITIBA','PR','116161161415571431366939271125610167052',6713,'9998',62.62,4,3,NULL),(20,5300479,'1976-06-15 00:00:00',2,1,12,1999,'M','N','CAMPINAS','S JOSÉ','SC','224251257126131431233353311123610114097',NULL,'9998',39.67,1,2,1),(20,5300487,'1990-12-27 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211473431458613571122221462102',3960,'9997',70.50,1,3,NULL),(20,5300495,'1982-09-14 00:00:00',4,1,12,2000,'M','N','VILA MARIANA','S PAULO','SP','125252251216152142378811211111342226107',9078,'9998',59.82,1,3,NULL),(20,5300509,'1992-07-15 00:00:00',4,1,12,2009,'F','N','VILA SÃO GABRIEL','COLOMBO','PR','116163161415111431668839575124610165176',NULL,'9998',27.09,1,3,NULL),(20,5300517,'1991-06-10 00:00:00',2,1,12,2008,'F','N','PIONEIRO','CAXIAS SUL','RS','120201201445472711535311281114141063077',NULL,'9998',0.00,1,3,NULL),(20,5300525,'1992-09-12 00:00:00',2,5,12,2010,'F','S','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215111531438831574122610133192',NULL,'226',32.68,1,3,NULL),(20,5300533,'1983-08-05 00:00:00',2,3,12,2001,'M','N','CENTRO','CAMBORIÚ','SC','124201201115271431613373191124610167047',NULL,'9998',37.48,1,3,NULL),(20,5300541,'1984-08-06 00:00:00',2,1,12,2001,'M','N','CABRAL','CURITIBA','PR','116164161237471421269423482124343147047',NULL,'9998',0.00,1,3,NULL),(20,5300568,'1991-06-03 00:00:00',3,9,11,2008,'F','N','SAN FERNANDO','LONDRINA','PR','116162161216471711458814471122610124097',10082,'9998',55.39,1,3,NULL),(20,5300576,'1992-01-15 00:00:00',4,1,11,2009,'F','N','BELA VISTA','OSASCO','SP','125252251215111331337934573122610127077',NULL,'9998',0.00,1,3,NULL),(20,5300584,'1992-06-19 00:00:00',4,5,12,2009,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215113411439832575122610136047',14618,'226',48.95,1,3,NULL),(20,5300592,'1992-04-09 00:00:00',2,1,12,2009,'F','N','TRINTA RÉIS','NOVA TRENTO','SC','124241241127141431343334245121610122147',NULL,'574',25.53,1,2,1),(20,5300606,'1993-01-13 00:00:00',2,9,12,2009,'F','N','SÃO LUIZ','LAGES','SC','124241241115371731528511415124610168147',NULL,'935',19.10,1,2,1),(20,5300614,'1989-07-13 00:00:00',4,4,12,2006,'F','N','CENTRO','STA MARIA','RS','120203201116571431358924572225610123143',NULL,'9998',0.00,1,3,NULL),(20,5300622,'1992-04-08 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241225272432426411576114610164017',7712,'262',61.11,4,3,NULL),(20,5300630,'1985-10-17 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216372731426614575124133267112',14581,'541',46.19,1,3,NULL),(20,5300657,'1992-06-15 00:00:00',2,1,12,2009,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124242241216111431558633592122610167092',NULL,'944',22.59,1,3,NULL),(20,5300665,'1991-05-14 00:00:00',4,1,12,2008,'F','N','JARDIM AUTONOMISTA','CPO GRANDE','MS','112122121217471431489813575112610127182',5326,'9998',67.12,3,3,NULL),(20,5300673,'1975-03-04 00:00:00',2,1,8,2001,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241248322172731323349492224322226187',NULL,'9999',0.00,4,3,NULL),(20,5300681,'1991-04-24 00:00:00',4,4,12,2008,'M','N','SAIC','CHAPECÓ','SC','124241241211472431478921575112610168067',NULL,'185',29.70,1,3,NULL),(20,5300690,'1990-11-23 00:00:00',2,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241215473431539923472124233263142',NULL,'969',0.00,1,3,NULL),(20,5300703,'1988-08-29 00:00:00',4,1,12,2006,'M','N','VILA SERVENTINA','OSASCO','SP','125252251247151311467833337124242532184',2895,'9998',71.92,1,3,NULL),(20,5300711,'1988-12-04 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217153711468713575124232032093',11246,'262',55.82,1,3,NULL),(20,5300720,'1990-05-03 00:00:00',2,9,12,2008,'F','N','CENTRO','CURITIBANOS','SC','124241248216271732658419475112130438047',NULL,'881',0.00,1,3,NULL),(20,5300738,'1991-05-20 00:00:00',4,1,12,2008,'M','N','BARÃO DO CAFÉ','CAMPINAS','SP','125252251217471451588831571112141034122',1496,'9998',77.38,1,3,NULL),(20,5300746,'1982-11-06 00:00:00',4,1,12,2000,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116141431323319195124330246187',NULL,'9997',0.00,1,2,1),(20,5300754,'1993-01-18 00:00:00',4,8,12,2009,'M','N','SANTA CÂNDIDA','CURITIBA','PR','116163161316371412348724595114610124052',NULL,'9998',0.00,1,3,NULL),(20,5300762,'1991-08-30 00:00:00',4,1,12,2008,'M','N','CENTENÁRIO','JARAGUÁ SUL','SC','124242241215472411347834585114610164182',1879,'424',76.18,1,3,NULL),(20,5300770,'1993-03-28 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','624242241215131431438624571124610123047',NULL,'1022',28.93,1,3,NULL),(20,5300789,'1991-12-04 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731348812575112610122147',291,'266',86.77,1,3,NULL),(20,5300797,'1992-05-11 00:00:00',4,4,12,2009,'F','N','CENTRO','TUNÁPOLIS','SC','124241241146131431333631585122610137077',NULL,'812',0.00,1,2,1),(20,5300800,'1989-06-14 00:00:00',4,1,12,2007,'M','N','CENTRO','CAMBUÍ','MG','113132131216571431434824575114140724047',5315,'9998',63.68,1,3,NULL),(20,5300819,'1991-09-03 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241417372431659634575112610116047',NULL,'733',29.15,1,3,NULL),(20,5300827,'1965-10-24 00:00:00',2,1,12,1983,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224241243122234721543349192122230822187',9519,'257',55.98,1,2,1),(20,5300835,'1992-02-12 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111231478933535112610127042',2923,'270',73.75,1,3,NULL),(20,5300843,'1990-08-15 00:00:00',2,5,12,2007,'M','N','NONOAI','PTO ALEGRE','RS','120202201216571431568811575112610162042',1148,'9998',79.63,1,3,NULL),(20,5300851,'1973-04-20 00:00:00',2,1,12,2002,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224241245147233431321354185124610124097',NULL,'307',24.60,1,2,1),(20,5300860,'1991-02-19 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124246247337131442369833385124610112092',NULL,'1076',26.39,1,3,NULL),(20,5300878,'1985-09-08 00:00:00',4,1,12,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242247246372231357823572122230262042',6368,'487',63.95,1,3,NULL),(20,5300886,'1991-10-17 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241217111511236823225124610168077',NULL,'1118',16.30,1,3,NULL),(20,5300894,'1992-05-22 00:00:00',2,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124241241117131431565619575122610144147',NULL,'726',8.53,1,2,1),(20,5300908,'1991-08-26 00:00:00',2,1,11,2008,'M','N','IPIRANGA','S JOSÉ','SC','124242248225372731353439572124610124145',NULL,'1118',26.05,1,3,NULL),(20,5300916,'1994-02-14 00:00:00',4,1,11,2010,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431358831572114610164187',NULL,'270',45.61,1,3,NULL),(20,5300932,'1990-11-19 00:00:00',2,1,12,2008,'F','N','HOLAMBRA II','HOLAMBRA II','SP','116252251212472421358834445224610114152',12855,'9998',49.76,1,3,NULL),(20,5300940,'1992-04-18 00:00:00',4,1,11,2009,'M','N','VENDAVAL','BIGUAÇU','SC','124242241217132531546614275112610132062',6699,'63',62.28,1,3,NULL),(20,5300959,'1992-04-04 00:00:00',4,6,11,2009,'M','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','124242241212112431458739572122610124112',3567,'1026',70.13,1,3,NULL),(20,5300975,'1988-08-11 00:00:00',2,1,12,2006,'M','N','IPIRANGA','S JOSÉ','SC','124242241115145421459634575124231414091',8269,'306',61.36,1,3,NULL),(20,5300983,'1993-10-16 00:00:00',4,1,12,2010,'F','S','JOSÉ BONIFÁCIO','ERECHIM','RS','120202201216111451458839575122610128097',NULL,'9998',25.75,1,3,NULL),(20,5300991,'1991-11-26 00:00:00',4,2,10,2009,'F','N','MARGEM ESQUERDA','GASPAR','SC','124242241215211731447934575124610123077',9360,'855',57.51,1,3,NULL),(20,5301009,'1991-10-27 00:00:00',4,1,11,2008,'F','N','CORRÉGO GRANDE','FLORIANÓPOLIS','SC','124242241215373531568813575112610123125',1915,'270',76.99,1,3,NULL),(20,5301017,'1992-12-05 00:00:00',4,8,12,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241116171431329633575114610164147',14203,'464',45.64,1,2,1),(20,5301025,'1992-06-04 00:00:00',4,2,11,2009,'M','N','ASILO','BLUMENAU','SC','124242241217111431469611575122610134042',7371,'71',61.51,1,3,NULL),(20,5301033,'1992-01-06 00:00:00',4,9,11,2009,'M','N','CENTRO','LAGES','SC','124242241215111631579922422122610147122',NULL,'9997',28.26,1,3,NULL),(20,5301041,'1992-10-21 00:00:00',2,17,12,2009,'F','N','CENTRO','PAPANDUVA','SC','124241241115271231546939584122610121142',NULL,'603',22.23,1,2,1),(20,5301050,'1979-03-27 00:00:00',4,1,12,1996,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','624241241116152711244479195122610158145',12316,'307',53.75,1,2,1),(20,5301068,'1992-03-09 00:00:00',4,10,12,2009,'F','N','MIRIM','IMBITUBA','SC','124241241115271431336823572124610131181',NULL,'359',22.61,1,2,1),(20,5301076,'1992-09-30 00:00:00',2,8,12,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124251241116471431326414575122610135092',12709,'476',51.22,1,2,1),(20,5301084,'1992-01-30 00:00:00',4,15,12,2009,'F','N','PINHEIRINHO DO MEIO','JACINTO MACHADO','SC','124241241116271432423616271124610126197',9951,'420',56.22,1,2,1),(20,5301092,'1984-09-24 00:00:00',2,1,12,2002,'F','N','KOBRASOL','S JOSÉ','SC','124242241216375721344424445134123024077',12935,'723',48.98,4,3,NULL),(20,5301106,'1988-10-17 00:00:00',2,1,12,2005,'M','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124241241117132431446611345124610137067',NULL,'733',47.79,4,1,1),(20,5301114,'1991-11-04 00:00:00',4,10,12,2008,'M','N','CENTRO','LAGUNA','SC','124241241226373411538413275124233236092',3854,'524',70.70,1,3,NULL),(20,5301122,'1986-10-05 00:00:00',2,6,12,2003,'F','N','CAJURU','CURITIBA','PR','116163161317571431228719445114143244187',2098,'9998',75.59,1,3,NULL),(20,5301130,'1992-04-08 00:00:00',2,9,12,2008,'F','N','VILA NOVA','LAGES','SC','124244241417371132347679345112610136194',12681,'1146',52.97,1,3,NULL),(20,5301149,'1989-10-18 00:00:00',4,2,12,2007,'M','N','CENTRO','TIMBÓ','SC','124242241216152421338814245122231417042',11001,'855',56.29,1,3,NULL),(20,5301157,'1992-01-30 00:00:00',2,1,12,2009,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124242241215121431326914572114610128187',NULL,'1022',31.19,1,3,NULL),(20,5301165,'1991-12-01 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117272731636634372124610137147',NULL,'288',39.51,1,2,1),(20,5301173,'1993-01-30 00:00:00',2,17,12,2009,'M','N','CENTRO','CANOINHAS','SC','124241241116371431326621575121610164052',12490,'146',50.54,1,2,1),(20,5301181,'1989-01-23 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217473431427833345122630137043',4463,'737',69.16,1,3,NULL),(20,5301190,'1991-04-29 00:00:00',2,8,12,2008,'M','N','SCHRAMM','S BENTO SUL','SC','124241241117271731333434245114610127072',15392,'697',42.17,1,2,1),(20,5301203,'1990-03-27 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216573431438813572114231124172',1246,'270',79.58,1,3,NULL),(20,5301220,'1973-09-22 00:00:00',2,15,8,2002,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241144131421123541113133610111185',NULL,'9999',24.90,1,3,NULL),(20,5301238,'1992-05-07 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241111371721436613575124610167182',13555,'288',49.09,1,2,1),(20,5301246,'1988-03-26 00:00:00',4,1,12,2004,'M','N','SÃO JOSÉ','FRAIBURGO','SC','124243241245573411527513181124233237047',NULL,'317',54.46,4,3,NULL),(20,5301254,'1991-11-14 00:00:00',4,8,11,2009,'F','N','ATIRADORES','JOINVILLE','SC','624242241215122431468714474121610122146',2680,'1063',73.15,1,3,NULL),(20,5301262,'1992-10-24 00:00:00',4,8,12,2009,'F','N','PORTÃO','CURITIBA','PR','116162161215111741479933575122610164092',2397,'9998',74.59,1,3,NULL),(20,5301270,'1990-03-09 00:00:00',4,1,11,2007,'F','N','PERDIZES','S PAULO','SP','125252251217571411538724585122610133147',NULL,'9998',0.00,1,3,NULL),(20,5301289,'1978-11-02 00:00:00',4,1,12,1995,'M','N','BARREIROS','S JOSÉ','SC','224201201116131431233443335122240728097',NULL,'9998',21.88,1,2,1),(20,5301297,'1992-07-27 00:00:00',2,5,11,2009,'F','N','LOTE SEIS','CRICIÚMA','SC','124242241215111411458812572112610142182',NULL,'226',0.00,1,3,NULL),(20,5301300,'1989-12-26 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124242241216132431469611575124610128037',14756,'737',48.58,1,3,NULL),(20,5301319,'1990-05-05 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217153431479933575125231027067',2683,'262',74.49,1,3,NULL),(20,5301327,'1992-08-04 00:00:00',2,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124232241335141431458819242124610113092',NULL,'257',16.78,1,3,NULL),(20,5301335,'1990-09-30 00:00:00',4,1,11,2009,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241625131431423534591324610132047',12873,'262',49.83,1,3,NULL),(20,5301343,'1993-02-28 00:00:00',2,2,12,2010,'F','S','FORTALEZA','BLUMENAU','SC','124241241215142731558613431122610143182',NULL,'855',50.28,1,3,NULL),(20,5301351,'1990-08-29 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECÓ','SC','124241241215473431446839575125132027012',3296,'1046',72.62,1,3,NULL),(20,5301360,'1990-10-30 00:00:00',4,1,7,2008,'M','N','CANTO','FLORIANÓPOLIS','SC','124243241116153731459713372124221463122',NULL,'306',30.60,1,3,NULL),(20,5301378,'1991-03-26 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241215372431558613571124610124015',14628,'1023',48.92,1,3,NULL),(20,5301386,'1989-07-04 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECÓ','SC','124243241216271641368812495124230666097',13833,'185',50.69,1,3,NULL),(20,5301394,'1992-08-17 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122411447712572122610155122',8840,'270',59.72,1,3,NULL),(20,5301416,'1992-11-03 00:00:00',4,1,11,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241216111731468614575121610122055',14751,'1133',48.59,1,3,NULL),(20,5301424,'1989-11-23 00:00:00',4,16,12,2006,'M','N','JD ESTORIL','BAURU','SP','125161161117141331123641115121143224082',NULL,'9998',0.00,1,2,1),(20,5301432,'1989-12-17 00:00:00',2,1,12,2006,'F','N','CENTRO','STA MARIA','RS','120201201111471751239813475115610167142',4226,'9998',70.23,1,2,1),(20,5301440,'1987-01-27 00:00:00',4,1,12,2002,'M','N','SÃO JOSÉ','S JOSÉ','SC','124244241117375451444611475114133262012',8477,'733',58.85,1,3,NULL),(20,5301459,'1989-11-30 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124243241232473411438623391124610123092',NULL,'1098',23.82,1,3,NULL),(20,5301467,'1992-08-08 00:00:00',4,3,12,2009,'M','N','JARDIM AMERICA','BAURU','SP','125252251215111431668932574122610167057',11255,'9998',52.29,3,3,NULL),(20,5301475,'1984-12-03 00:00:00',2,1,12,2002,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124251241147153721458879145124133264047',NULL,'288',41.05,1,3,NULL),(20,5301483,'1993-02-21 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215271431668813575122610112062',2937,'273',72.32,1,3,NULL),(20,5301491,'1992-04-24 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431448821375124610132182',670,'1050',83.41,1,3,NULL),(20,5301513,'1992-12-17 00:00:00',4,1,11,2009,'M','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','124242241215112331488831572112610124192',528,'270',84.36,1,3,NULL),(20,5301521,'1990-06-04 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241215274431445612571124230426115',10769,'1022',56.73,1,3,NULL),(20,5301530,'1991-05-16 00:00:00',2,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241135271431438513285122610164145',NULL,'298',28.92,1,2,1),(20,5301548,'1990-10-26 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217573431478831575114132422142',23,'807',94.15,1,3,NULL),(20,5301556,'1991-12-01 00:00:00',2,4,11,2008,'M','N','CENTRO','CHAPADA','RS','120201201215471431338829471112610167052',5207,'9998',64.91,1,3,NULL),(20,5301564,'1974-01-02 00:00:00',5,1,7,1995,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241216155431278813485124322216142',NULL,'1003',24.25,1,3,NULL),(20,5301572,'1991-08-24 00:00:00',4,7,12,2008,'F','N','CENTRO','STO ÂNGELO','RS','120204208417371711448714472115143214192',NULL,'9998',0.00,4,1,2),(20,5301580,'1992-10-06 00:00:00',4,1,12,2009,'M','N','SANTA CECÍLIA','PTO ALEGRE','RS','120202201116471431557719395112610167127',13677,'9998',46.84,1,3,NULL),(20,5301599,'1991-11-25 00:00:00',4,1,11,2008,'M','N','VILA CARVALHO','SOROCABA','SP','125252251215471431558832592112610117187',NULL,'9998',26.06,3,3,NULL),(20,5301602,'1990-10-07 00:00:00',2,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241136151531536533375124610158147',NULL,'772',28.52,1,2,1),(20,5301610,'1991-11-19 00:00:00',2,1,11,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241212112431466919292124610137057',NULL,'1048',20.62,1,3,NULL),(20,5301629,'1992-05-19 00:00:00',4,8,12,2009,'M','N','MOSSUNGUÊ','CURITIBA','PR','116162168216271431436819275124610137027',NULL,'9998',0.00,4,1,2),(20,5301637,'1983-04-25 00:00:00',4,1,12,2000,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216153411468833435124323232112',NULL,'270',0.00,1,3,NULL),(20,5301645,'1990-04-04 00:00:00',4,8,12,2007,'M','N','MERCES','CURITIBA','PR','116162281216371411568811571125610166142',NULL,'9998',0.00,1,3,NULL),(20,5301661,'1992-06-13 00:00:00',4,2,12,2009,'F','N','PROGRESSO','BLUMENAU','SC','124243241315111431423611185124610143147',NULL,'855',9.86,1,3,NULL),(20,5301670,'1989-03-18 00:00:00',2,1,12,2007,'M','N','ROÇADO','S JOSÉ','SC','124242241217143431353822441124610127052',NULL,'724',23.75,1,3,NULL),(20,5301688,'1992-01-30 00:00:00',2,1,12,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215141431538833575122610137097',13288,'1075',47.73,1,3,NULL),(20,5301696,'1992-04-27 00:00:00',2,6,12,2009,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124242241212151431245832572122610126092',8724,'389',57.63,1,3,NULL),(20,5301700,'1992-06-17 00:00:00',4,2,12,2009,'M','N','CANTA GALO','RIO SUL','SC','124241241316141751439531495122610134197',8555,'659',57.62,1,3,NULL),(20,5301718,'1992-07-13 00:00:00',2,1,12,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242248216152431456639595124610127043',15238,'1074',41.62,1,3,NULL),(20,5301726,'1988-09-24 00:00:00',2,7,12,2005,'M','N','INTERIOR','MAXIMILIANO ALMEIDA','RS','120201201127573431436333175124610167047',15474,'9998',42.49,1,2,1),(20,5301734,'1991-02-04 00:00:00',4,8,12,2007,'F','N','VISTA ALEGRE','CURITIBA','PR','116162161217471541368913575124240463097',NULL,'9998',0.00,1,3,NULL),(20,5301742,'1988-05-05 00:00:00',2,1,7,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241225143431469824374122221162127',3688,'270',71.65,1,3,NULL),(20,5301750,'1990-06-20 00:00:00',4,1,12,2007,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241217273431456419445124220768062',2030,'806',76.64,1,3,NULL),(20,5301769,'1991-01-09 00:00:00',4,8,12,2008,'M','N','BOA VISTA','JOINVILLE','SC','124244241212131531448613445114610163091',10395,'1105',57.42,4,1,2),(20,5301777,'1986-04-11 00:00:00',2,1,12,2004,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241126274431325311245124222222047',NULL,'307',31.48,1,2,1),(20,5301785,'1987-05-12 00:00:00',2,7,12,2004,'M','N','INTERIOR','MAXIMILIANO ALMEIDA','RS','120201201127573431446313175124230467097',9080,'9998',57.16,1,2,1),(20,5301793,'1992-09-13 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241217133431247829375114610168052',2213,'1022',76.09,1,3,NULL),(20,5301807,'1990-06-22 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124243241112132421436619245124610117095',NULL,'733',21.44,1,3,NULL),(20,5301815,'1989-07-13 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124242241217374511568912292122131065195',4277,'738',69.40,1,3,NULL),(20,5301823,'1991-04-02 00:00:00',2,1,12,2008,'M','N','SÃO MIGUEL','MARÍLIA','SP','125253251136572411328622285124610138172',12072,'9998',50.98,1,3,NULL),(20,5301831,'1992-07-12 00:00:00',2,1,12,2009,'M','N','REAL PARQUE','S JOSÉ','SC','124242241215111431578613575112610138042',9946,'270',58.24,1,3,NULL),(20,5301840,'1978-08-05 00:00:00',4,1,12,1995,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241212473721268823435122521466162',1266,'269',79.92,1,3,NULL),(20,5301866,'1991-05-22 00:00:00',4,15,12,2008,'M','N','POLICIA RODOVIÁRIA','ARARANGUÁ','SC','124241248117161732326624347114610114193',NULL,'852',18.39,1,3,NULL),(20,5301874,'1990-04-24 00:00:00',4,1,12,2009,'M','N','BELA VISTA','S JOSÉ','SC','124241241115151331436412575124610122147',NULL,'257',23.33,1,2,1),(20,5301882,'1991-05-03 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S JOSÉ','SC','124242241215472731435912372124610137183',8712,'738',59.01,1,3,NULL),(20,5301890,'1985-04-09 00:00:00',4,1,12,2002,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217134431446639475122131444057',7225,'270',63.37,1,3,NULL),(20,5301904,'1991-10-15 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116242241215372711558929571124240444141',2252,'1016',73.82,1,3,NULL),(20,5301912,'1991-05-28 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217153451468833445114231017045',13619,'1022',48.17,1,3,NULL),(20,5301920,'1989-11-07 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124242241216371431336664485122133224192',9146,'497',57.38,1,3,NULL),(20,5301939,'1986-08-23 00:00:00',4,1,12,2006,'M','N','VILA AURORA','S PAULO','SP','125162257427142431133644346134610164182',NULL,'9998',28.22,1,3,NULL),(20,5301963,'1992-01-03 00:00:00',4,1,12,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241117271231226633371124610112117',13458,'288',49.47,1,3,NULL),(20,5301971,'1991-02-15 00:00:00',4,5,11,2008,'M','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241212373431269813595112231437042',10149,'211',57.88,1,3,NULL),(20,5301980,'1985-03-30 00:00:00',4,1,12,2003,'M','N','BATISTA CAMPOS','BELÉM','PA','114142141216151431438814475124143224043',NULL,'9998',26.03,1,3,NULL),(20,5301998,'1979-08-25 00:00:00',2,8,12,1997,'M','N','ADHEMAR GARCIA','JOINVILLE','SC','624241243111152752464443231122131017045',NULL,'492',0.00,1,3,NULL),(20,5302005,'1981-11-24 00:00:00',2,1,10,2005,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124201207116231431633341215122610134057',14246,'9998',49.84,1,2,1),(20,5302013,'1991-04-27 00:00:00',2,1,12,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241112131431427613422124610127077',NULL,'772',16.20,1,3,NULL),(20,5302021,'1990-04-27 00:00:00',2,3,12,2007,'F','N','CENTRO','S SEBASTIÃO CAÍ','RS','120201201216573331447931575124610131097',9703,'9998',58.72,1,3,NULL),(20,5302030,'1988-12-10 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124162161217571431246619575115610168045',NULL,'9998',45.67,4,1,2),(20,5302048,'1992-07-08 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122731469911471112610125042',2003,'270',76.60,1,3,NULL),(20,5302064,'1975-06-05 00:00:00',2,17,12,1992,'M','N','VISTA ALEGRE','MAFRA','SC','224241241116131431328354382124331434097',NULL,'542',32.56,1,2,1),(20,5302072,'1992-06-25 00:00:00',4,2,11,2009,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241217121731468714235124610123147',NULL,'86',24.55,1,3,NULL),(20,5302080,'1993-03-26 00:00:00',4,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241117471432524519575124610165057',NULL,'727',28.50,1,2,1),(20,5302099,'1978-11-05 00:00:00',4,1,7,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241122131711223174342123610162042',NULL,'306',26.69,1,2,1),(20,5302102,'1992-05-28 00:00:00',4,15,12,2009,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241435111431526614595122610165142',5816,'32',65.31,1,3,NULL),(20,5302110,'1989-07-24 00:00:00',2,1,12,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241146133411537634345134610134142',12602,'307',50.26,1,2,1),(20,5302137,'1991-03-03 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124243241312272431638821442124131468052',NULL,'307',40.54,1,3,NULL),(20,5302145,'1984-06-18 00:00:00',4,15,12,2002,'M','N','COLONINHA','ARARANGUÁ','SC','124243241416152451368713311122331447057',NULL,'970',0.00,1,3,NULL),(20,5302153,'1984-10-10 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217574421269914575124231037047',10080,'262',58.00,1,3,NULL),(20,5302161,'1982-02-19 00:00:00',2,1,12,2000,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124133131216172751134644495124321762065',5408,'9998',67.31,1,3,NULL),(20,5302170,'1990-09-17 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117272411565954345114133223147',NULL,'267',0.00,1,2,1),(20,5302188,'1990-03-20 00:00:00',2,15,11,2007,'M','N','CENTRO','BAL GAIVOTA','SC','124241241115261731326424575122610162052',NULL,'54',0.00,1,2,1),(20,5302196,'1993-11-04 00:00:00',4,4,12,2009,'M','N','CENTRO','ROMELÂNDIA','SC','124241241116151431349933355125610167052',12825,'679',52.70,1,2,1),(20,5302200,'1990-02-06 00:00:00',2,1,12,2007,'F','N','VILA MARIA ANTONIETA','PINHAIS','PR','116162161217571411446833574124243261187',5812,'9998',64.90,1,3,NULL),(20,5302218,'1992-11-14 00:00:00',4,1,12,2009,'F','N','CENTRO','ERECHIM','RS','120204201437111431357921275121610111187',NULL,'9998',29.08,1,3,NULL),(20,5302226,'1989-03-23 00:00:00',2,2,12,2006,'F','N','FUNDO CANOAS','RIO SUL','SC','124241241127471431323331245234610124072',NULL,'900',22.29,1,2,1),(20,5302234,'1992-01-22 00:00:00',4,1,1,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242281217371432469812575124610127052',2850,'9998',73.96,1,3,NULL),(20,5302242,'1991-04-29 00:00:00',2,1,12,2008,'F','N','MORRO DO FABRÍCIO','STO AMARO IMPERATRIZ','SC','124241241117141411423311216114610153017',NULL,'941',17.77,1,2,1),(20,5302250,'1989-05-12 00:00:00',2,1,7,2008,'M','N','CENTRO','S JOSÉ','SC','124242248215413431428914344144610163182',NULL,'1075',23.78,1,3,NULL),(20,5302269,'1990-09-15 00:00:00',2,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116162164214571451557811571122610162197',6256,'9998',64.82,1,3,NULL),(20,5302277,'1976-04-24 00:00:00',2,1,12,1996,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','624241241342134451334359382122610167147',NULL,'270',30.99,1,3,NULL),(20,5302285,'1984-04-30 00:00:00',4,8,12,2001,'F','N','JARDIM IRIRIÚ','JOINVILLE','SC','224241241116131421228651292224330642142',NULL,'169',0.00,1,2,1),(20,5302293,'1983-07-27 00:00:00',4,1,12,2004,'M','N','TAMBAÚ','MAIOBA','MA','210102107226151441226642224124340262012',NULL,'9998',39.10,1,3,NULL),(20,5302307,'1992-03-13 00:00:00',4,1,12,2009,'F','N','CENTRO','BIGUAÇU','SC','124241241115131431436721572324610127052',NULL,'65',26.91,1,3,NULL),(20,5302315,'1992-10-16 00:00:00',2,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241436111231556819395124610167042',9164,'1022',56.32,1,3,NULL),(20,5302323,'1974-06-19 00:00:00',2,1,12,1996,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241117175421536429395124422218192',14530,'257',49.18,2,1,1),(20,5302331,'1970-03-05 00:00:00',2,10,12,1987,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','524243241247151112362243335122330866044',NULL,'806',0.00,1,3,NULL),(20,5302358,'1992-04-20 00:00:00',2,10,11,2009,'M','N','PAES LEME','IMBITUBA','SC','124241241115471431445514272124610131012',NULL,'1034',50.90,1,3,NULL),(20,5302366,'1990-03-10 00:00:00',3,1,12,2006,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124244241215574431368822575122610143112',700,'262',83.15,4,3,NULL),(20,5302374,'1992-07-07 00:00:00',4,1,12,2009,'M','N','JD PAULO VI','JALES','SP','125252251215111431358813575122610126047',NULL,'9998',36.40,3,3,NULL),(20,5302382,'1993-03-12 00:00:00',4,1,11,2010,'F','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111431459813595112610137055',NULL,'272',49.65,1,3,NULL),(20,5302390,'1981-08-14 00:00:00',2,15,11,1998,'M','N','CENTRO','TURVO','SC','124241241122152721332579145132231414071',NULL,'785',0.00,1,2,1),(20,5302404,'1990-09-15 00:00:00',2,1,6,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216343411323314445134610128077',10845,'995',56.59,1,3,NULL),(20,5302412,'1982-09-23 00:00:00',2,1,11,2004,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241125271431125444242324610124147',NULL,'307',0.00,1,3,NULL),(20,5302420,'1990-11-21 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241114274411538631474124221437097',2971,'574',73.33,4,2,1),(20,5302439,'1992-07-03 00:00:00',4,1,12,2009,'F','N','ST ÂNTONIO DE LISBOA','FLORIANÓPOLIS','SC','124243241216112451428732392124610117077',NULL,'1022',31.00,4,3,NULL),(20,5302447,'1986-10-03 00:00:00',2,4,11,2004,'M','N','CENTRO','STA MARIA','RS','120243241216572431448913571114610167042',3098,'185',72.49,1,3,NULL),(20,5302455,'1988-01-02 00:00:00',2,5,11,2005,'F','N','MINA DO MATO','CRICIÚMA','SC','124241241135272431326923345234610111187',9898,'209',56.49,1,2,1),(20,5302463,'1989-07-28 00:00:00',2,1,11,2008,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241132272431423329192324610112195',NULL,'281',24.06,4,2,1),(20,5302471,'1991-10-01 00:00:00',4,1,12,2008,'M','N','MONTE CARLO','LONDRINA','PR','116163161115471432239923571114241424072',11061,'9998',56.18,4,3,NULL),(20,5302480,'1983-07-08 00:00:00',2,1,12,2000,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201201126141431223923342214140867111',NULL,'9998',27.99,2,1,1),(20,5302498,'1993-04-27 00:00:00',2,15,12,2009,'M','N','CENTRO','TURVO','SC','124241241215141431233324145122610147042',NULL,'813',0.00,1,3,NULL),(20,5302501,'1989-09-21 00:00:00',2,1,12,2007,'M','N','BELA VISTA I','S JOSÉ','SC','124242241217141131426624335124610147043',NULL,'724',34.62,1,3,NULL),(20,5302510,'1992-01-02 00:00:00',2,3,12,2009,'M','N','SANTOS DUMONT','TRÊS LAGOAS','MS','112122121215111431458811575112610167147',NULL,'9998',0.00,4,3,NULL),(20,5302528,'1990-03-14 00:00:00',2,1,12,2007,'M','N','JARDIM INGÁ','S PAULO','SP','125251251211371411555511315114142967142',NULL,'9998',28.45,1,3,NULL),(20,5302536,'1992-01-05 00:00:00',4,9,12,2009,'M','N','CENTRO','BOM RETIRO','SC','124241241127131431424419475112610121147',NULL,'95',21.39,1,2,1),(20,5302544,'1985-05-15 00:00:00',4,5,12,2003,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124241241127131241234419341124131434197',NULL,'189',22.65,1,2,1),(20,5302552,'1988-01-17 00:00:00',4,1,12,2005,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201205116131431226923381214141421181',NULL,'9998',47.92,1,2,1),(20,5302560,'1991-11-29 00:00:00',2,1,12,2008,'F','N','CENTRO','BIGUAÇU','SC','124243241212372731333931572124610121142',7177,'63',63.11,1,3,NULL),(20,5302579,'1981-10-10 00:00:00',4,15,12,1999,'M','N','DIVINEIA','ARARANGUÁ','SC','124241248126161731235444345332610117062',NULL,'29',21.28,1,2,1),(20,5302587,'1991-11-21 00:00:00',4,1,12,2009,'F','N','MADALENA','ITURAMA','MG','113132131215111731559812575112610168147',NULL,'9998',0.00,1,3,NULL),(20,5302595,'1977-04-06 00:00:00',2,1,12,1998,'M','N','INGLESES','FLORIANÓPOLIS','SC','624201203316131731233644345124140722057',NULL,'9998',30.46,1,3,NULL),(20,5302609,'1992-01-17 00:00:00',2,8,12,2009,'M','N','BELA VISTA','RIO NEGRINHO','SC','124241246216141431435911195124610137062',NULL,'974',25.20,1,3,NULL),(20,5302617,'1980-03-08 00:00:00',4,8,12,2003,'M','N','PARQUE GUARANI','JOINVILLE','SC','624244247227141312315544112323610121147',NULL,'487',0.00,4,3,NULL),(20,5302625,'1992-12-16 00:00:00',4,1,12,2009,'M','N','RIO DO CEDRO','ÁGUAS MORNAS','SC','124241241115131431423336572224610127047',NULL,'978',27.52,1,3,NULL),(20,5302633,'1993-03-30 00:00:00',2,16,12,2009,'M','N','CENTRO','CURITIBANOS','SC','124241241111371431526615285123610137057',NULL,'239',25.43,1,3,NULL),(20,5302641,'1992-10-18 00:00:00',2,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241232123431556653375121610167107',10969,'299',54.41,3,3,NULL),(20,5302650,'1980-04-25 00:00:00',2,1,12,1999,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224201201347133431323644445133610124117',NULL,'9998',11.97,1,3,NULL),(20,5302676,'1978-04-19 00:00:00',4,1,12,1995,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124161161117131431234944445124343216187',5426,'9998',67.26,1,2,1),(20,5302684,'1990-10-08 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241215272721436613431122131064052',NULL,'738',25.81,1,3,NULL),(20,5302692,'1990-07-20 00:00:00',4,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241215111431664633275122610136182',NULL,'1022',43.76,4,3,NULL),(20,5302706,'1989-07-10 00:00:00',2,1,12,2006,'M','N','CENTRO','NOVA TRENTO','SC','124243241126111421436634245124130234097',NULL,'574',21.72,1,3,NULL),(20,5302722,'1991-07-07 00:00:00',2,3,11,2008,'F','N','IATE CLUBE','BAL CAMBORIÚ','SC','124241242117272751436614272123610163072',NULL,'129',28.43,1,3,NULL),(20,5302730,'1990-04-14 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241236133421534616575125610167147',NULL,'1098',21.70,1,3,NULL),(20,5302749,'1975-08-24 00:00:00',2,1,12,1995,'M','N','CENTRO','GAROPABA','SC','124281286317275421135841315131121736132',9440,'9998',59.19,1,3,NULL),(20,5302757,'1988-08-15 00:00:00',4,15,12,2005,'M','N','CENTRO','BAL ARROIO SILVA','SC','124241246417141421224612345122130767065',NULL,'26',0.00,1,3,NULL),(20,5302765,'1988-10-10 00:00:00',2,1,12,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241116373421324444345134610147147',15447,'281',46.46,1,2,1),(20,5302773,'1992-02-19 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241627132431435614391334610166042',12952,'262',52.46,3,3,NULL),(20,5302781,'1964-08-10 00:00:00',2,8,12,1989,'M','N','PARQUE GUARANI','JOINVILLE','SC','224241241125141732423344242324610161047',NULL,'472',19.11,1,3,NULL),(20,5302790,'1990-04-25 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116161161211573211553839291124610164122',13315,'9998',47.20,1,3,NULL),(20,5302803,'1990-09-21 00:00:00',4,4,11,2007,'F','N','PERPÉTUO SOCORRO','S LOURENÇO OESTE','SC','124242161215572421363332575115610168151',10957,'9998',53.84,1,3,NULL),(20,5302811,'1992-02-07 00:00:00',2,9,11,2008,'F','N','SAGRADO CORAÇÃO','LAGES','SC','124242241211122411435632571122610131142',NULL,'1146',24.30,1,3,NULL),(20,5302820,'1989-01-25 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241317573431526313385124610167147',13948,'1098',50.49,1,3,NULL),(20,5302838,'1989-06-06 00:00:00',2,1,11,2006,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216154411358813385122230267072',15919,'1022',44.57,1,3,NULL),(20,5302846,'1991-04-02 00:00:00',4,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241217142411443314245114610163185',14874,'272',48.22,4,3,NULL),(20,5302854,'1991-01-22 00:00:00',2,2,12,2008,'F','N','TRIBESS','BLUMENAU','SC','124241241216142411543312241134610121187',NULL,'88',0.00,1,3,NULL),(20,5302862,'1986-08-16 00:00:00',1,1,12,2004,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124241241116153451323343435114122364175',15304,'564',46.92,1,2,1),(20,5302870,'1991-06-08 00:00:00',4,1,12,2008,'M','N','CENTRO','VACARIA','RS','120202201217472431336831572122610132147',4416,'9998',69.71,1,3,NULL),(20,5302889,'1991-07-02 00:00:00',4,8,12,2008,'F','N','AMÉRICA','JOINVILLE','SC','124242246215471731223921572124610148147',12271,'494',50.97,1,3,NULL),(20,5302900,'1991-03-09 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241242115372431536436572224610126077',8908,'662',60.14,1,2,1),(20,5302919,'1992-06-01 00:00:00',4,1,11,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241217271231457833575124610137047',3011,'1074',72.07,1,3,NULL),(20,5302927,'1992-08-25 00:00:00',4,2,12,2009,'F','N','AGUA VERDE','BLUMENAU','SC','124241241116372431423539572124610164147',NULL,'69',30.16,1,2,1),(20,5302935,'1990-11-30 00:00:00',2,8,11,2007,'M','N','SITIO CERCADO','CURITIBA','PR','116162161215571431434411273122610167067',3588,'9998',70.56,1,3,NULL),(20,5302943,'1978-03-11 00:00:00',4,1,12,1998,'M','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241246132152441653643135123320962182',8280,'739',61.34,2,1,1),(20,5302960,'1986-09-02 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124073077322271532113348582314610147093',NULL,'9998',26.40,2,1,2),(20,5302978,'1992-06-11 00:00:00',4,1,11,2009,'F','N','PARQUE DOS PRINCIPES','OSASCO','SP','125252251217211431469912571122610126197',643,'9998',82.94,1,3,NULL),(20,5302986,'1982-07-02 00:00:00',4,1,12,2001,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241112132431333444445334132762097',NULL,'307',25.14,2,1,1),(20,5302994,'1973-04-21 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124203247321141431226344341133610144093',16298,'944',40.59,1,3,NULL),(20,5303001,'1992-10-09 00:00:00',4,1,11,2009,'M','N','FUNDOS','BIGUAÇU','SC','124243241217111531343314372121610114092',NULL,'63',23.25,1,3,NULL),(20,5303036,'1993-04-22 00:00:00',4,1,12,2010,'F','S','BALNEARIO ESTREITO','FLORIANÓPOLIS','SC','124242241215111731433633335124610166197',NULL,'1118',47.93,1,3,NULL),(20,5303052,'1991-08-05 00:00:00',4,1,11,2008,'F','N','LUTHERKING','FRANCISCO BELTRÃO','PR','116163161416372421458811575125610125143',4582,'9998',66.71,1,3,NULL),(20,5303060,'1991-06-28 00:00:00',2,1,7,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241117132411235321572314610135197',11541,'739',55.24,1,2,1),(20,5303079,'1988-10-31 00:00:00',4,1,12,2006,'M','N','JARDIM AURÉLIA','CAMPINAS','SP','125251251117131431436419245114610138147',NULL,'9998',25.58,1,2,1),(20,5303087,'1992-12-25 00:00:00',4,1,12,2010,'M','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111431478811575122610137042',NULL,'270',51.65,1,3,NULL),(20,5303095,'1991-08-14 00:00:00',4,8,12,2009,'M','N','CENTRO','S FRANCISCO SUL','SC','124242241215151431458819445122610147096',10650,'992',54.03,1,3,NULL),(20,5303109,'1984-02-05 00:00:00',4,1,6,2002,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243246116135431457823195134220712017',NULL,'306',0.00,1,3,NULL),(20,5303117,'1990-01-30 00:00:00',4,5,11,2007,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241215573431235824572324610166097',NULL,'213',0.00,1,3,NULL),(20,5303133,'1989-09-10 00:00:00',4,8,12,2006,'F','N','SANTA FELICIDADE','CURITIBA','PR','116163161115371411467412441124610136072',NULL,'9998',0.00,1,3,NULL),(20,5303141,'1990-04-16 00:00:00',3,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','116252251235271731569913414121143243022',5183,'9998',67.87,1,3,NULL),(20,5303150,'1988-07-16 00:00:00',2,2,12,2006,'M','N','SOUZA CRUZ','BRUSQUE','SC','124252251216474411369811384124231422013',9093,'9998',59.79,1,3,NULL),(20,5303168,'1990-04-08 00:00:00',2,1,12,2008,'M','N','AGRONÔNOMICA','FLORIANÓPOLIS','SC','124243241312272221426813342234610127062',NULL,'307',30.25,1,3,NULL),(20,5303176,'1991-08-04 00:00:00',4,1,12,2008,'F','N','VILA ASSUNÇÃO','PTO ALEGRE','RS','120202201217411411358932572122141718187',NULL,'9998',0.00,1,3,NULL),(20,5303184,'1988-12-03 00:00:00',4,1,12,2006,'F','N','JOSE MENDES','FLORIANÓPOLIS','SC','124242241215374431489912575122130462125',1893,'270',77.26,1,3,NULL),(20,5303206,'1991-08-16 00:00:00',4,9,12,2008,'M','N','CENTRO','DA EMMA','SC','124241241125473431434312245124610166057',113,'247',89.81,1,2,1),(20,5303214,'1992-01-17 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241214131512443332347114610117067',NULL,'1118',31.40,1,3,NULL),(20,5303222,'1991-10-16 00:00:00',1,5,12,2009,'F','N','COSTEIRA','ARAUCÁRIA','PR','116161166112371611466832375124610163187',13410,'9998',46.87,1,2,1),(20,5303230,'1992-08-24 00:00:00',2,7,12,2009,'F','N','INTERIOR','CONCÓRDIA','SC','124241241116371431323336192224610126147',NULL,'418',28.61,1,2,1),(20,5303257,'1989-07-20 00:00:00',2,1,12,2006,'F','N','IPIRANGA','S JOSÉ','SC','124241241117374421433374245334610143077',NULL,'123',32.36,1,2,1),(20,5303265,'1990-06-07 00:00:00',4,1,12,2007,'M','N','CENTRO','BARRETOS','SP','125252251237571441688831575122241426012',NULL,'9998',0.00,1,3,NULL),(20,5303273,'1991-04-06 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241112141311525529295334610124157',NULL,'257',15.41,2,1,1),(20,5303303,'1990-07-01 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201317371431239929585114610121142',11363,'9998',52.45,1,3,NULL),(20,5303311,'1991-05-02 00:00:00',2,15,12,2008,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124243248315131731433939575121610167012',NULL,'30',28.13,1,3,NULL),(20,5303320,'1988-12-22 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124241247127131521621124342334610164147',NULL,'591',11.25,2,1,1),(20,5303338,'1991-03-09 00:00:00',4,8,12,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242248215473231479811574112610167142',NULL,'1063',0.00,1,3,NULL),(20,5303346,'1988-01-12 00:00:00',2,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241126371721125744245123133267052',NULL,'616',18.55,1,2,1),(20,5303354,'1991-12-24 00:00:00',2,15,12,2008,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241117131441423314345122610164042',NULL,'29',24.41,1,3,NULL),(20,5303362,'1992-05-01 00:00:00',4,1,2,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242244116131431538813391122610142147',14470,'306',45.86,1,3,NULL),(20,5303370,'1990-11-21 00:00:00',4,9,11,2007,'F','N','BREMER','RIO SUL','SC','624244241316572411467623575114610162182',NULL,'659',32.52,4,3,NULL),(20,5303389,'1989-07-16 00:00:00',4,1,12,2008,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241127132131438923385124233234042',NULL,'296',28.89,1,3,NULL),(20,5303397,'1985-12-19 00:00:00',4,3,6,2003,'F','N','CENTRO','BAL CAMBORIÚ','SC','124282281216472721547841312124140664197',NULL,'9998',0.00,1,3,NULL),(20,5303400,'1989-02-15 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215575431468813572122132462192',30,'270',92.71,1,3,NULL),(20,5303419,'1986-09-12 00:00:00',2,15,12,2003,'M','N','VILA SÃO JOSE','ARARANGUÁ','SC','124203241114141421448729315123130727065',15767,'29',45.21,1,3,NULL),(20,5303427,'1991-10-27 00:00:00',2,10,12,2009,'F','N','MAGALHÃES','LAGUNA','SC','124243241424141411633619441121610166157',NULL,'524',30.01,2,1,2),(20,5303435,'1992-08-03 00:00:00',4,1,12,2009,'M','N','CENTRO','CANELINHA','SC','124241241115113441436914292121610137053',5754,'948',65.33,1,3,NULL),(20,5303443,'1989-05-03 00:00:00',2,1,12,2007,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215573431464512575134610117042',13909,'270',50.55,1,3,NULL),(20,5303451,'1992-07-29 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124244241216373431449914375112610134147',2897,'497',73.86,1,3,NULL),(20,5303460,'1992-03-24 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241116271731436723575124610143117',NULL,'298',30.98,4,3,NULL),(20,5303478,'1992-09-06 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241217113431538632572312610146097',1922,'270',76.20,1,3,NULL),(20,5303486,'1991-09-08 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431339814575122610142152',13013,'270',49.67,1,3,NULL),(20,5303494,'1984-08-04 00:00:00',4,1,12,2001,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124201241316421131648337385114610125192',NULL,'281',28.47,1,3,NULL),(20,5303508,'1989-10-12 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431358923575114122222097',4459,'269',68.52,1,3,NULL),(20,5303516,'1991-02-22 00:00:00',4,9,12,2008,'F','N','CENTRO','AURORA','SC','124241241136473431436332295122610147142',11275,'40',54.11,1,2,1),(20,5303524,'1993-10-25 00:00:00',4,6,12,2010,'F','S','CENTRO','ITUPORANGA','SC','124242241212111431358923575112610118192',NULL,'1173',18.67,1,3,NULL),(20,5303532,'1991-09-03 00:00:00',4,1,12,2008,'M','N','SANTO ANTÔNIO','CRUZ ALTA','RS','120201201116271231656613572342610142177',NULL,'9998',28.96,1,2,1),(20,5303540,'1992-06-26 00:00:00',2,8,11,2009,'F','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116162161215111731246811272324610112197',7347,'9998',60.36,1,3,NULL),(20,5303567,'1991-07-04 00:00:00',4,7,12,2008,'M','N','PETRÓPOLIS','PASSO FUNDO','RS','120201201216372411476932575122141467142',NULL,'9998',0.00,1,3,NULL),(20,5303583,'1992-05-04 00:00:00',4,3,12,2009,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241235272431538814575122610138147',4479,'109',68.25,1,3,NULL),(20,5303591,'1974-05-16 00:00:00',2,8,12,2001,'M','N','PARQUE GUARANI','JOINVILLE','SC','224241255122271531624444242345122734042',NULL,'9998',19.10,4,3,NULL),(20,5303605,'1982-06-07 00:00:00',2,1,12,2001,'M','N','ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC','124241246112134131333379232223222327067',12770,'306',52.80,1,2,1),(20,5303613,'1986-02-24 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117144711548913445124232043187',NULL,'307',35.11,1,2,1),(20,5303621,'1992-02-25 00:00:00',2,16,12,2009,'M','N','BUTIAZINHO','MTE CARLO','SC','124241241111131431433336152222610127055',NULL,'936',15.48,1,3,NULL),(20,5303630,'1982-09-10 00:00:00',2,1,12,1999,'F','N','FORQUILINHAS','S JOSÉ','SC','124244244435344421333614331314610145142',NULL,'266',20.39,2,1,2),(20,5303648,'1992-11-30 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431246623572112610122192',11402,'1133',52.53,1,3,NULL),(20,5303656,'1992-05-02 00:00:00',2,1,12,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241212151211436614575124610127047',NULL,'884',31.69,1,3,NULL),(20,5303664,'1990-04-16 00:00:00',4,4,11,2007,'M','N','CENTRO','STA MARIA','RS','120201201211471421437613592324610167097',NULL,'9998',0.00,1,3,NULL),(20,5303672,'1981-01-04 00:00:00',4,1,12,1998,'M','N','JOSE MENDES','FLORIANÓPOLIS','SC','124241241126155431425313285114121961197',NULL,'286',0.00,1,3,NULL),(20,5303680,'1978-11-14 00:00:00',2,7,12,1996,'M','N','MARAFON','VIDEIRA','SC','124241243126133711113349292334120522012',11632,'831',55.07,1,2,1),(20,5303699,'1988-09-24 00:00:00',2,4,12,2006,'M','N','CENTRO','CEL FREITAS','SC','124241241326131431436611325121231466057',NULL,'1126',20.20,1,3,NULL),(20,5303710,'1987-04-11 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216373711359923495122230234132',NULL,'262',0.00,1,3,NULL),(20,5303729,'1992-04-27 00:00:00',2,9,12,2008,'F','N','CENTRO','CPO BELO SUL','SC','124241241215473431366932371122610125147',4551,'497',67.82,1,3,NULL),(20,5303737,'1981-01-24 00:00:00',4,3,12,1998,'M','N','MEIA PRAIA','ITAPEMA','SC','124201202117131431124444441311141638195',NULL,'9998',20.66,1,2,1),(20,5303753,'1990-02-12 00:00:00',4,8,12,2007,'F','N','JD SANTOS DUMMONT','PARANAVAÍ','PR','116164161215571411558912575122610164122',12426,'9998',48.60,1,3,NULL),(20,5303770,'1989-03-13 00:00:00',4,8,12,2006,'F','N','BAIRRO ALTO','CURITIBA','PR','116162161216572711338837575114142966197',464,'9998',84.41,3,3,NULL),(20,5303796,'1991-02-23 00:00:00',2,2,12,2008,'M','N','VILA GERMER','TIMBÓ','SC','124241241147131221533334345121610167187',NULL,'870',23.06,1,2,1),(20,5303800,'1991-07-27 00:00:00',4,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215272431366813572124133223052',832,'1022',82.27,1,3,NULL),(20,5303818,'1990-03-26 00:00:00',2,4,12,2007,'M','N','INTERIOR','SUL BRASIL','SC','124241241126331431433816472224610117082',14390,'775',49.49,1,2,1),(20,5303826,'1992-06-20 00:00:00',4,8,11,2009,'F','N','AMÉRICA','JOINVILLE','SC','124241241215131431226724472124610143187',NULL,'461',0.00,1,3,NULL),(20,5303834,'1991-12-06 00:00:00',2,1,12,2009,'M','N','STO ANT LISBOA','FLORIANÓPOLIS','SC','124242241216112731488812575112610128054',15591,'1048',45.93,1,3,NULL),(20,5303842,'1991-10-16 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217112431569933474114610126172',8350,'270',58.06,1,3,NULL),(20,5303869,'1984-02-22 00:00:00',2,16,12,2002,'M','N','CENTRO','CURITIBANOS','SC','224242241236151711266442125132333267065',NULL,'885',24.49,1,3,NULL),(20,5303877,'1976-06-05 00:00:00',4,1,12,2000,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243248347131411112648282124610121147',NULL,'9999',0.00,1,3,NULL),(20,5303885,'1992-03-23 00:00:00',4,1,12,2009,'M','N','CENTRO','S JOÃO BATISTA','SC','124242241217152431558832571122610132062',NULL,'948',23.27,1,3,NULL),(20,5303893,'1991-06-03 00:00:00',2,1,12,2009,'F','N','ESTREITO','ALFREDO WAGNER','SC','124241241145131431424431475121610123147',NULL,'13',0.00,1,3,NULL),(20,5303907,'1969-08-08 00:00:00',4,1,12,1986,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','224241245212134421343353272112120824197',14554,'268',49.11,1,3,NULL),(20,5303915,'1991-09-26 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241112473431326324572325610126142',9938,'307',57.49,1,2,1),(20,5303923,'1991-11-25 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124244241215111731446722196115610162061',15970,'738',44.29,1,3,NULL),(20,5303931,'1983-10-25 00:00:00',2,4,12,2000,'F','N','CENTRO','PALMITOS','SC','105241241136164431125649245124130434187',15915,'601',44.59,1,2,1),(20,5303958,'1990-06-14 00:00:00',2,1,12,2007,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241112133431215623282224610137052',NULL,'941',19.75,1,2,1),(20,5303966,'1991-03-18 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241115472431333332376124610148147',15317,'307',44.02,1,2,1),(20,5303974,'1991-12-19 00:00:00',4,5,12,2008,'F','N','SANTA ISABEL','FORQUILHINHA','SC','124242241212373431337912392124121467142',4982,'226',66.48,1,3,NULL),(20,5303982,'1982-12-17 00:00:00',2,1,12,1999,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124123121417131431333744245224140222187',NULL,'9998',51.34,1,3,NULL),(20,5303990,'1991-12-08 00:00:00',2,1,12,2009,'F','N','BREJARÚ','PALHOÇA','SC','124241241112131411423611172222610114177',NULL,'1009',26.27,1,3,NULL),(20,5304008,'1984-06-23 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241122273731424319392334610164147',NULL,'281',24.48,1,2,1),(20,5304016,'1983-12-02 00:00:00',4,1,12,2002,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241127232411243323312124610128117',NULL,'281',31.74,4,2,1),(20,5304032,'1990-08-11 00:00:00',2,1,12,2009,'M','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241117271431221319432224610132052',NULL,'358',29.98,1,2,1),(20,5304040,'1991-11-01 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115371432456633572124610127042',NULL,'307',33.67,1,2,1),(20,5304059,'1963-08-02 00:00:00',4,1,12,1983,'M','N','VILA ROSA','DOURADOS','MS','112121122146131441425329494335340346037',NULL,'9998',0.00,1,2,1),(20,5304067,'1992-09-02 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242246216371431339652575124610134142',12292,'1075',50.32,1,3,NULL),(20,5304075,'1992-08-27 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','624161241115131411313351585124610167147',NULL,'285',18.76,1,2,1),(20,5304083,'1992-07-01 00:00:00',4,8,12,2009,'F','N','CENTRO','S FRANCISCO SUL','SC','124242161215171431658819572122610132122',NULL,'9998',28.55,1,3,NULL),(20,5304091,'1989-10-06 00:00:00',2,8,12,2006,'F','N','CABRAL','CURITIBA','PR','116162241215571131568734575124610163091',NULL,'9998',0.00,1,3,NULL),(20,5304105,'1992-07-02 00:00:00',4,3,12,2009,'M','N','CENTRO','LGA VERMELHA','RS','120201201116161412316635582214610124057',NULL,'9998',43.41,1,3,NULL),(20,5304113,'1992-10-25 01:00:00',2,10,12,2009,'M','N','MAR GROSSO','LAGUNA','SC','124244241425161431456913572312610117042',NULL,'524',40.33,1,3,NULL),(20,5304121,'1991-10-31 00:00:00',4,1,12,2009,'M','N','STO ANTONIO LISBOA','FLORIANÓPOLIS','SC','124242241215122431567839572122610112112',7838,'270',59.80,1,3,NULL),(20,5304130,'1992-12-02 00:00:00',2,2,12,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124242241215112731468612575122610137142',8797,'109',60.36,1,3,NULL),(20,5304148,'1992-05-13 00:00:00',4,4,12,2009,'M','N','NITERÓI','SEARA','SC','124243161216121431358923575124610134187',13766,'9998',49.43,4,1,2),(20,5304156,'1992-06-02 00:00:00',4,1,11,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242251215111731358611575122610167042',1647,'270',77.75,1,3,NULL),(20,5304172,'1983-07-06 00:00:00',4,1,12,2000,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124201201116271421359613345124142735157',NULL,'9998',0.00,1,3,NULL),(20,5304180,'1990-07-19 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241116373431358913572122610123072',7218,'492',62.81,1,3,NULL),(20,5304199,'1987-03-07 00:00:00',2,1,12,2009,'F','N','ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC','124241241122131121113344242324610122187',NULL,'291',17.11,1,2,1),(20,5304202,'1991-03-19 00:00:00',4,3,12,2008,'M','N','JARDIM MARINGÁ','SINOP','MT','111112111216271751366612315112141047042',NULL,'9998',0.00,1,3,NULL),(20,5304210,'1992-03-23 00:00:00',2,1,12,2009,'F','N','PAGARA','STO AMARO IMPERATRIZ','SC','124241241125162431433511382224610123052',NULL,'731',17.92,1,2,1),(20,5304229,'1991-04-08 00:00:00',4,1,12,2008,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241211372431248823395124610144112',16247,'1022',41.93,1,3,NULL),(20,5304237,'1990-07-06 00:00:00',2,4,12,2007,'F','N','TACCA','XANXERÊ','SC','124242241216572751336623575122610136171',6532,'1159',62.18,1,3,NULL),(20,5304245,'1985-05-13 00:00:00',2,1,12,2003,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241127143722633371345334610163041',NULL,'275',16.50,4,1,1),(20,5304253,'1974-04-16 00:00:00',4,1,12,1991,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217114431337644441334130236043',NULL,'272',27.83,4,1,2),(20,5304261,'1993-02-04 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241215111732476933592122610167072',NULL,'738',30.42,4,1,2),(20,5304270,'1966-05-21 00:00:00',4,1,12,1984,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','624241245134372431323341416222322266092',NULL,'209',0.00,1,3,NULL),(20,5304288,'1991-10-20 01:00:00',2,1,12,2009,'M','N','REAL PARK','S JOSÉ','SC','124241241122111431434314475124610117052',NULL,'730',24.20,1,2,1),(20,5304296,'1989-11-16 00:00:00',4,1,12,2006,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241317153731347711285114133234181',15735,'270',45.34,1,3,NULL),(20,5304300,'1989-04-24 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124161241142171431533331112115610127052',NULL,'289',27.42,1,2,1),(20,5304318,'1987-01-29 00:00:00',2,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241416135732633339445235610114057',12684,'995',52.96,1,3,NULL),(20,5304334,'1991-10-08 00:00:00',2,1,12,2009,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241115371731628828575124610127147',NULL,'288',25.66,1,2,1),(20,5304342,'1992-07-10 00:00:00',4,2,11,2009,'F','N','CENTRO','VIÇOSA','MG','113132138216121731349939572112610142112',13307,'9998',48.95,1,3,NULL),(20,5304350,'1990-02-27 00:00:00',4,1,12,2007,'M','N','VARGEM DO BRAÇO','STO AMARO IMPERATRIZ','SC','124241241117133431626615342223610162142',8871,'772',57.67,1,2,1),(20,5304369,'1989-02-19 00:00:00',2,1,11,2006,'M','N','BELA VISTA','ERECHIM','RS','124202201215473421579314585124121447045',1175,'9998',79.72,1,3,NULL),(20,5304377,'1982-05-21 00:00:00',2,1,12,2002,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247125474421323149294124610122142',13250,'9999',49.27,1,2,1),(20,5304385,'1974-10-24 00:00:00',2,1,11,1993,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124201201316152431149843435134240438187',4071,'9998',70.68,1,3,NULL),(20,5304393,'1988-03-30 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241236473431367922385222121434057',NULL,'836',38.51,1,3,NULL),(20,5304407,'1985-03-03 00:00:00',2,1,6,2003,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124241247127472721123344396124610156187',NULL,'9999',29.90,1,2,1),(20,5304415,'1991-07-21 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSÉ','SC','124242241217152431666663475124231934142',NULL,'737',0.00,4,3,NULL),(20,5304440,'1969-02-02 00:00:00',2,1,10,1991,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','624241246136135431326443431334610127047',NULL,'306',25.40,4,1,1),(20,5304458,'1976-01-10 00:00:00',3,1,12,1993,'M','N','CENTRO','FLORIANÓPOLIS','SC','224062061217151512269943232122342466184',2389,'9998',75.46,1,3,NULL),(20,5304466,'1989-12-07 00:00:00',2,1,12,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241121374631434313371114610167152',6917,'278',64.01,1,2,1),(20,5304474,'1987-07-15 00:00:00',4,1,12,2003,'M','N','HIGIENÓPOLIS','STA CRUZ SUL','RS','120202201217272411579931415122522667067',NULL,'9998',0.00,4,3,NULL),(20,5304482,'1992-10-08 00:00:00',4,1,11,2009,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242248215111551489931595124610144052',NULL,'270',36.30,1,3,NULL),(20,5304490,'1992-08-07 00:00:00',4,8,11,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124242161217471452568832575114610168182',NULL,'9998',59.94,1,3,NULL),(20,5304504,'1992-08-29 00:00:00',4,1,12,2009,'F','N','COSTERIA','FLORIANÓPOLIS','SC','124242241215151331226969472124610125095',NULL,'988',37.24,1,3,NULL),(20,5304512,'1988-07-25 00:00:00',2,1,12,2005,'M','N','BNH SEGUNDO PLANO','DOURADOS','MS','112122121217572431458811595112610167087',1890,'9998',75.95,1,3,NULL),(20,5304520,'1991-02-05 00:00:00',4,1,12,2008,'F','N','IMPERIAL','S JOSÉ R PRETO','SP','125252251215471431458831571125610126182',5895,'9998',63.75,1,3,NULL),(20,5304547,'1991-08-31 00:00:00',4,10,11,2009,'M','N','CENTRO','BRAÇO NORTE','SC','124242241215151411446912422124610147182',13005,'806',48.99,1,3,NULL),(20,5304555,'1990-07-04 00:00:00',2,1,12,2007,'M','N','JARDIM AMÉRICA','ANÁPOLIS','GO','109092091216332431538712375124243244197',5724,'9998',64.93,1,3,NULL),(20,5304563,'1993-04-28 00:00:00',4,15,12,2010,'F','S','CENTRO','PR GRANDE','SC','124243241215151731458814475124610136142',NULL,'970',52.65,1,3,NULL),(20,5304571,'1992-07-03 00:00:00',4,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111431469913575124610114037',6991,'270',62.38,1,3,NULL),(20,5304580,'1992-04-09 00:00:00',2,1,12,2009,'M','N','POTECAS','S JOSÉ','SC','124241241116131411426723585122610118152',NULL,'727',24.99,1,2,1),(20,5304598,'1991-06-14 00:00:00',4,7,12,2008,'M','N','TOBIAS','JOAÇABA','SC','124201241315372431458813474124232042141',11491,'962',52.56,1,3,NULL),(20,5304601,'1989-05-04 00:00:00',4,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116162161215572411455632575122610162142',4282,'9998',68.39,1,3,NULL),(20,5304610,'1991-02-26 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241231474421226632272224233223072',8460,'1050',60.99,1,3,NULL),(20,5304628,'1991-07-12 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241317271441335512475122133234042',6600,'1038',62.70,1,3,NULL),(20,5304636,'1991-07-05 00:00:00',2,1,12,2008,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124242241116373431637614375124233223147',12327,'733',51.46,1,3,NULL),(20,5304652,'1992-12-09 00:00:00',4,17,11,2009,'M','N','CRISTO REI','CURITIBA','PR','116162161215111431668847574122610127092',4531,'9998',67.96,1,3,NULL),(20,5304679,'1989-09-14 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241212113431237722342122132736111',9845,'1022',55.90,1,3,NULL),(20,5304687,'1989-07-10 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124212211216574431368719575124221535142',9699,'9998',58.73,2,1,2),(20,5304695,'1982-03-27 00:00:00',2,1,12,2002,'F','N','ROÇADO','S JOSÉ','SC','224241241126131722335754145125610141197',NULL,'732',41.76,1,2,1),(20,5304717,'1985-04-04 00:00:00',2,1,12,2003,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624241247123234221233353141332122267111',NULL,'307',49.57,1,2,1),(20,5304725,'1990-10-18 00:00:00',2,3,12,2007,'F','N','MORRETES','ITAPEMA','SC','124241241116231431535923242122133233197',NULL,'405',20.10,1,2,1),(20,5304733,'1986-02-10 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241315473421448632471112130262097',NULL,'270',0.00,1,3,NULL),(20,5304741,'1992-03-13 00:00:00',4,7,12,2008,'F','N','SALETE','CONCÓRDIA','SC','124241241117151431443332323332610124142',NULL,'192',36.88,1,2,1),(20,5304750,'1990-01-13 00:00:00',4,2,12,2007,'M','N','VELHA','BLUMENAU','SC','124242241215271441336611372114132135197',NULL,'855',0.00,1,3,NULL),(20,5304768,'1992-10-13 00:00:00',4,1,12,2009,'M','N','CATUIRA','ALFREDO WAGNER','SC','124241241124161431423335272222610122147',NULL,'13',29.58,1,3,NULL),(20,5304776,'1992-06-29 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121731567833575122610122141',2343,'270',74.36,1,3,NULL),(20,5304784,'1992-06-09 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241211121431426613571124610126142',7762,'1118',61.13,1,3,NULL),(20,5304792,'1989-11-23 00:00:00',2,15,12,2006,'F','N','CENTRO','PTO ALEGRE','RS','120202201215571731536639575224143267142',NULL,'9998',0.00,1,3,NULL),(20,5304806,'1987-04-28 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124272271216152411446652221324220764187',7013,'9998',60.32,4,3,NULL),(20,5304814,'1985-12-13 00:00:00',3,1,12,2002,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241337153411269664445124322266095',NULL,'272',0.00,1,3,NULL),(20,5304822,'1985-03-09 00:00:00',2,1,12,2002,'M','N','FORQUILHINHAS','S JOSÉ','SC','124201191136133421325344341234140768047',NULL,'9998',29.49,4,2,1),(20,5304830,'1990-02-04 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','104241241117372431558733575124241464125',12683,'307',52.96,4,2,1),(20,5304849,'1988-11-16 00:00:00',2,1,12,2006,'M','N','FORQUILHAS','S JOSÉ','SC','124243241211154231368622321122610166142',NULL,'1159',26.60,1,3,NULL),(20,5304857,'1992-06-13 00:00:00',2,15,12,2009,'M','N','CIDADE ALTA','TURVO','SC','124242241217161231536616382122610167042',NULL,'813',0.00,1,3,NULL),(20,5304865,'1993-03-17 00:00:00',4,1,12,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124244241217111231239923572122610165142',9071,'109',56.80,1,3,NULL),(20,5304873,'1991-07-05 00:00:00',4,1,12,2008,'M','N','JARDIM GALETO','ITATIBA','SP','125251251116371431327321572114610127092',NULL,'9998',30.51,2,1,1),(20,5304881,'1965-07-27 00:00:00',4,1,12,1986,'M','N','NOVO MUNDO','CURITIBA','PR','116161166126151451444474341114343262192',NULL,'9998',0.00,1,3,NULL),(20,5304890,'1993-02-25 00:00:00',2,4,11,2009,'F','N','CENTRO','CHAPECÓ','SC','124241241116231731453416175115610135077',NULL,'169',0.00,1,2,1),(20,5304903,'1991-10-08 00:00:00',2,1,12,2009,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241117271431238619576124610136192',NULL,'358',31.16,1,2,1),(20,5304920,'1987-02-01 00:00:00',4,1,12,2004,'F','N','VILA NOVA','NOVO HAMBURGO','RS','120202201216471431545532271122142628057',NULL,'9998',0.00,1,3,NULL),(20,5304938,'1989-03-03 00:00:00',4,4,6,2007,'M','N','ANTONIO PAGLIA','PTE SERRADA','SC','124241242332131431423634182122610167051',NULL,'8',28.32,1,3,NULL),(20,5304946,'1991-10-31 00:00:00',2,8,12,2009,'M','N','TINGUI','CURITIBA','PR','116163161335121732446734395114610167092',15808,'9998',45.05,4,3,NULL),(20,5304954,'1993-07-27 00:00:00',4,1,12,2010,'F','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241212111122438812572124610168186',NULL,'883',29.02,1,3,NULL),(20,5304962,'1988-01-19 00:00:00',4,9,11,2005,'M','N','VÁRZEA','LAGES','SC','124242241115372751469933395132133264017',9133,'498',59.52,1,3,NULL),(20,5304970,'1992-03-13 00:00:00',2,4,12,2009,'M','N','EFAPI','CHAPECÓ','SC','124241241115271431454923295124610136192',9021,'169',57.50,1,2,1),(20,5304989,'1991-04-21 00:00:00',2,17,12,2008,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161212371732363312575112140226192',13525,'9998',46.47,1,3,NULL),(20,5304997,'1991-03-02 00:00:00',2,1,12,2008,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241111373431111148281324610167142',12945,'307',50.95,1,2,1),(20,5305004,'1990-02-21 00:00:00',4,1,12,2007,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124242241215373431449833572112132047072',NULL,'1022',45.36,1,3,NULL),(20,5305012,'1992-05-28 00:00:00',4,8,12,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124243246215111431458614595124610127061',15692,'1105',45.55,1,3,NULL),(20,5305020,'1988-10-31 00:00:00',2,1,12,2007,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241116131731628828385224610166147',NULL,'288',27.93,1,2,1),(20,5305039,'1989-05-28 00:00:00',4,1,12,2006,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124244241611152441336823391114131263142',4268,'270',69.33,1,3,NULL),(20,5305047,'1993-03-31 00:00:00',4,9,12,2009,'F','N','CENTRO','VACARIA','RS','120202201215111411439811475122610143122',3783,'9998',70.16,1,3,NULL),(20,5305055,'1984-05-25 00:00:00',4,1,12,1999,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241416241431336344245124133234181',NULL,'269',51.43,1,3,NULL),(20,5305063,'1978-04-22 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124201247316131731123344345135610133077',NULL,'9999',23.62,1,3,NULL),(20,5305071,'1989-02-17 00:00:00',4,1,7,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124211211117133431125444445124610138053',11514,'9998',53.22,1,2,1),(20,5305080,'1992-12-09 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241215132431436721275122610135077',15864,'1010',41.63,1,3,NULL),(20,5305098,'1989-08-28 00:00:00',4,8,12,2006,'F','N','CENTRO','JARAGUÁ SUL','SC','124241241215575431346923474122610162147',7727,'441',60.49,1,3,NULL),(20,5305101,'1990-04-13 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242241215572431438634575122610127011',11546,'499',55.23,1,3,NULL),(20,5305110,'1993-01-26 00:00:00',2,6,12,2009,'F','N','SAO VICENTE','ITAJAÍ','SC','124241241115271731436329395124610168047',NULL,'395',29.01,1,2,1),(20,5305136,'1989-10-13 00:00:00',2,5,12,2006,'F','N','CIDADE MINEIRA','CRICIÚMA','SC','124242246212141741236632395122231451181',NULL,'995',19.97,1,3,NULL),(20,5305179,'1961-05-25 00:00:00',4,5,12,1979,'M','N','CIDADE MINEIRA','CRICIÚMA','SC','624243246437151721343341412132610162091',NULL,'230',23.08,1,3,NULL),(20,5305187,'1990-02-21 00:00:00',4,8,12,2007,'M','N','JARDIM CAÇAPAVA','CAÇAPAVA','SP','125253251115371331546624575111610127112',NULL,'9998',0.00,1,3,NULL),(20,5305209,'1991-02-25 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215272411489923472112131027042',4904,'270',68.58,1,3,NULL),(20,5305217,'1991-04-04 00:00:00',4,1,12,2008,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124201201317132431233915285324610127042',10042,'9998',55.49,1,3,NULL),(20,5305225,'1991-05-08 00:00:00',4,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241115141431424319391124610136147',NULL,'733',17.77,1,2,1),(20,5305233,'1986-09-15 00:00:00',4,1,12,2004,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241211274711468814475124231064145',NULL,'262',31.12,1,3,NULL),(20,5305241,'1985-10-10 00:00:00',2,1,12,2002,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124201201137471441116648384344142544092',9804,'9998',56.08,1,2,1),(20,5305250,'1991-08-14 00:00:00',2,1,11,2009,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124242241236271731366623495124610117042',14477,'1011',49.31,1,3,NULL),(20,5305268,'1992-01-24 00:00:00',4,1,12,2009,'M','N','PARQUE SABARÁ','S CARLOS','SP','125252251216111431459833575122610127062',NULL,'9998',0.00,1,3,NULL),(20,5305276,'1990-10-02 00:00:00',2,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215272432447652575124131437042',NULL,'1022',62.34,1,3,NULL),(20,5305284,'1989-07-25 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241214373451367532196124221446035',2576,'266',74.88,4,3,NULL),(20,5305292,'1985-01-22 00:00:00',2,1,12,2002,'F','N','SANTO AMARO','CPO GRANDE','MS','112121122416572431457513574112610163187',9135,'9998',58.06,4,1,2),(20,5305306,'1992-01-06 00:00:00',4,1,12,2008,'M','N','CENTRO','PTO ALEGRE','RS','120204201217471731237832325124610114047',800,'9998',82.45,1,3,NULL),(20,5305314,'1983-08-15 00:00:00',4,1,12,2000,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124203201316143431349821435122320644142',6801,'9998',64.26,1,3,NULL),(20,5305322,'1975-04-27 00:00:00',2,1,7,2006,'F','N','CAMPINAS','S JOSÉ','SC','124244247222154731333153282124231024142',NULL,'9999',24.96,4,1,2),(20,5305330,'1992-12-04 00:00:00',2,1,12,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241215272431646629571124610167053',9913,'1074',55.51,1,3,NULL),(20,5305349,'1992-09-15 00:00:00',4,2,12,2009,'M','N','CASCATA','NOVA TRENTO','SC','124241241216372731566612275114610147112',NULL,'109',28.46,1,3,NULL),(20,5305357,'1990-06-02 00:00:00',2,4,12,2007,'F','N','ROSENTAL','STO ÂNGELO','RS','120202201216572731448933591122610162017',7038,'9998',60.45,1,3,NULL),(20,5305365,'1992-07-24 00:00:00',4,1,12,2009,'F','N','BOQUEIRÃO','CURITIBA','PR','116163163116471731458614572124610162097',2050,'9998',75.21,1,3,NULL),(20,5305373,'1990-01-09 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124244241112271431213327482124610117012',NULL,'283',11.22,1,3,NULL),(20,5305381,'1991-08-14 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124252241216272431468814575124121132182',9042,'270',59.88,3,3,NULL),(20,5305390,'1990-09-29 00:00:00',2,3,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241412372431435514342222610124117',2040,'403',75.65,1,3,NULL),(20,5305403,'1987-04-21 00:00:00',4,1,5,2005,'M','N','GONZAGA','SANTOS','SP','125254257437471451489812312132141461114',NULL,'9998',0.00,1,3,NULL),(20,5305411,'1990-08-19 00:00:00',2,8,11,2007,'M','N','BATEL','CURITIBA','PR','116164161215571411466932591324610142152',10220,'9998',57.76,1,3,NULL),(20,5305420,'1992-07-20 00:00:00',4,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241217371731546412572122610123122',4945,'806',67.58,1,3,NULL),(20,5305438,'1991-04-04 00:00:00',2,3,12,2008,'F','N','CENTRO','FARROUPILHA','RS','120202201215151431525611571124610144147',NULL,'9998',36.17,1,3,NULL),(20,5305446,'1992-03-09 00:00:00',2,4,12,2009,'F','N','DISTRITO DE GRAPIA','PARAÍSO','SC','124241241117371231333923575124610152052',NULL,'604',20.29,1,2,1),(20,5305454,'1973-06-13 00:00:00',4,1,12,1989,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248121131411323441212314610124187',NULL,'627',28.51,1,3,NULL),(20,5305462,'1980-09-19 00:00:00',2,1,12,1998,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','224241241126134441243343434122342962047',7857,'682',62.09,1,3,NULL),(20,5305470,'1991-08-21 00:00:00',4,8,12,2008,'M','N','SAGUAÇU','JOINVILLE','SC','124092091236333311439616275124231444117',1302,'9998',78.59,1,3,NULL),(20,5305489,'1988-12-15 00:00:00',2,1,12,2006,'F','N','CENTRO','PALHOÇA','SC','124241241112473431323674385124610132147',14476,'591',49.31,1,2,1),(20,5305497,'1989-08-28 00:00:00',2,1,12,2006,'F','N','BELA VISTA','FRAIBURGO','SC','124242161215575431468634574125610167042',1012,'9998',81.04,1,3,NULL),(20,5305500,'1958-11-09 00:00:00',4,1,12,1978,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224243241312212421368843432122121516093',NULL,'210',0.00,1,3,NULL),(20,5305519,'1991-11-16 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241117272752434331572124610167057',8952,'739',56.76,1,2,1),(20,5305535,'1992-04-28 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124243241315121731435429575114610124097',15538,'1118',43.65,1,3,NULL),(20,5305543,'1992-11-19 00:00:00',2,1,12,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241225131431313324574324610126147',11005,'262',52.04,1,3,NULL),(20,5305551,'1991-08-09 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372411379923492122133147062',3299,'270',72.61,1,3,NULL),(20,5305560,'1986-05-05 00:00:00',2,1,12,2003,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124201201117572431426674471124610115197',NULL,'9998',0.00,1,2,1),(20,5305578,'1991-04-06 00:00:00',2,1,12,2008,'M','N','PACHECOS','PALHOÇA','SC','124241241127272411223321372124610144173',9616,'1109',56.71,1,2,1),(20,5305586,'1991-02-01 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241242117132411524329395125221736185',NULL,'662',0.00,4,3,NULL),(20,5305594,'1989-04-17 00:00:00',2,1,12,2007,'M','N','SÃO MIGUEL','BIGUAÇU','SC','124241247124131431211149292321610167047',NULL,'9999',21.47,5,4,NULL),(20,5305608,'1992-09-21 00:00:00',2,1,11,2009,'F','N','MONTE CARLO','TELÊMACO BORBA','PR','116161168215111731648933595122610143147',NULL,'9998',0.00,1,3,NULL),(20,5305624,'1992-07-27 00:00:00',4,4,12,2009,'F','N','CENTRO','XAXIM','SC','124241241146131431548613375122610122177',14343,'846',45.75,4,2,1),(20,5305632,'1990-03-28 00:00:00',2,1,11,2008,'M','N','LUCAS ARAUJO','PASSO FUNDO','RS','120201201137271741437813345124610167012',NULL,'9998',18.78,1,3,NULL),(20,5305640,'1986-12-14 00:00:00',2,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124201201113111431347942222122240214045',NULL,'9998',41.70,1,3,NULL),(20,5305659,'1990-05-20 00:00:00',2,1,11,2007,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124241241112372431423311442114610167045',14404,'307',46.44,1,2,1),(20,5305667,'1987-02-06 00:00:00',4,8,12,2004,'F','N','LEA LEAL','MARINGÁ','PR','116161161416571731447312595125610126147',NULL,'9998',0.00,4,3,NULL),(20,5305675,'1993-01-12 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241216111441339714595124610166187',12300,'9997',51.01,1,3,NULL),(20,5305683,'1992-11-04 00:00:00',4,10,12,2009,'F','N','CENTRO','IMBITUBA','SC','124241201415111431557831575122610144145',NULL,'9998',28.24,1,3,NULL),(20,5305691,'1989-05-20 00:00:00',4,1,12,2006,'F','N','PASSA VINTE','PALHOÇA','SC','124162161236132431238923495124610137057',5001,'9998',66.38,1,3,NULL),(20,5305705,'1981-04-10 00:00:00',2,8,12,2004,'M','N','PARQUE GUARANI','JOINVILLE','SC','124241241145131431533337242113610162027',NULL,'492',20.56,1,3,NULL),(20,5305713,'1992-01-26 00:00:00',4,2,12,2009,'F','N','QUINTINO','TIMBÓ','SC','124242241215121431489931592122610113182',4865,'909',67.66,1,3,NULL),(20,5305721,'1992-10-05 00:00:00',4,10,12,2009,'M','N','NOSSA SRA APARECIDA','ARMAZÉM','SC','124241241126141431556414345121610127052',NULL,'34',23.16,1,2,1),(20,5305730,'1991-08-09 00:00:00',4,1,12,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241241122172222533624392322610162187',15908,'728',44.62,1,2,1),(20,5305748,'1989-04-26 00:00:00',4,1,8,2007,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241117142411467833435135133232013',10676,'306',56.91,1,3,NULL),(20,5305756,'1988-11-19 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241417273431368931572124121427042',2618,'1022',74.69,1,3,NULL),(20,5305764,'1988-11-22 00:00:00',2,16,1,2010,'M','N','CENTRO','LEBON RÉGIS','SC','124243247327131431528845155123610117047',NULL,'9997',0.00,1,3,NULL),(20,5305772,'1992-05-01 00:00:00',2,1,12,2009,'M','N','FORQUILHAS','S JOSÉ','SC','124241241115271431635414271224610134172',NULL,'732',28.47,1,2,1),(20,5305780,'1991-01-24 00:00:00',2,3,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241112371421423321285114610167142',NULL,'405',18.06,4,2,1),(20,5305799,'1990-12-27 00:00:00',4,1,12,2007,'F','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116164161215571431538611592122610124017',430,'9998',85.16,1,3,NULL),(20,5305802,'1989-10-02 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124242247346371711324919295125610162187',NULL,'9999',30.35,1,3,NULL),(20,5305829,'1985-09-12 00:00:00',4,9,12,2002,'F','N','CORAL','LAGES','SC','124241241116375431423424445123132024172',NULL,'513',24.41,1,2,1),(20,5305837,'1991-05-25 00:00:00',2,3,12,2008,'M','N','CENTRO','PNT PORÃ','MS','112122121212471431688632572112610167063',NULL,'9998',0.00,1,3,NULL),(20,5305845,'1990-04-18 00:00:00',4,8,12,2007,'F','N','COLONIAL','S BENTO SUL','SC','124241241116273411458923382314610132077',10667,'697',54.20,1,2,1),(20,5305861,'1992-07-26 00:00:00',4,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241117371431329333572124610133147',9722,'21',57.64,1,2,1),(20,5305870,'1990-11-01 00:00:00',2,9,12,2008,'M','N','CENTRO','S JOAQUIM','SC','124242241237373431447616362122610167051',NULL,'720',28.26,1,3,NULL),(20,5305888,'1991-03-21 00:00:00',2,1,12,2008,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201215471431466712575122610134145',8307,'9998',58.61,1,3,NULL),(20,5305896,'1990-11-04 00:00:00',2,4,12,2007,'F','N','LA SALLE','PATO BRANCO','PR','116161161115471431324414245122610114147',15805,'9998',45.06,1,2,1),(20,5305900,'1985-06-24 00:00:00',2,1,12,2003,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201205116131751223349395224610168187',NULL,'9998',25.71,1,2,1),(20,5305918,'1991-09-09 00:00:00',2,5,11,2008,'F','N','CENTRO','CRICIÚMA','SC','124242248212143411259924575122230464142',NULL,'226',0.00,1,3,NULL),(20,5305926,'1972-08-27 00:00:00',4,1,12,1997,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','224241241327133411346344345134121147047',NULL,'9997',0.00,1,3,NULL),(20,5305934,'1968-06-27 00:00:00',4,1,7,1989,'M','N','FORQUILHAS','S JOSÉ','SC','224241247126131431543343235122342626147',NULL,'9999',40.59,1,2,1),(20,5305942,'1991-01-30 00:00:00',2,8,12,2008,'M','N','CENTRO','NOVA OLÍMPIA','PR','116161161145471232436933272114610112192',10040,'9998',58.08,1,2,1),(20,5305950,'1991-11-22 00:00:00',2,1,11,2009,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241117471531313324272224610126142',15737,'288',42.39,4,2,1),(20,5305969,'1986-01-20 00:00:00',2,1,12,2003,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124252251216152431455721575124222911181',8586,'9998',60.78,1,3,NULL),(20,5305977,'1991-07-15 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473411438919571112610164092',5586,'262',65.72,1,3,NULL),(20,5305985,'1992-09-21 00:00:00',4,8,12,2009,'F','N','RIO BONITO','JOINVILLE','SC','124241241314131731539311375124610124057',NULL,'460',0.00,1,3,NULL),(20,5305993,'1987-07-26 00:00:00',2,1,12,2004,'M','N','LINHA TRINTA E DOIS','ARROIO MEIO','RS','120205201447311431523319375123610117047',NULL,'9998',0.00,1,3,NULL),(20,5306000,'1990-04-02 00:00:00',4,1,12,2007,'M','N','CENTRO','SORRISO','MT','111112111216373431264924275112141012171',NULL,'9998',0.00,1,3,NULL),(20,5306019,'1985-07-21 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216275741479934475124121466195',1234,'262',80.06,1,3,NULL),(20,5306027,'1992-10-20 00:00:00',2,9,11,2009,'F','N','BELA VISTA','S JOAQUIM','SC','124242241215131331536714372122610135012',NULL,'720',0.00,1,3,NULL),(20,5306035,'1992-06-02 00:00:00',4,2,12,2009,'M','N','ALSACIA','BRUSQUE','SC','124241248215111751586532125122610137182',NULL,'109',0.00,1,3,NULL),(20,5306043,'1992-05-20 00:00:00',2,1,12,2009,'F','N','BELA VISTA','FRAIBURGO','SC','124242161215121431469632574115610117052',12332,'9998',51.71,1,3,NULL),(20,5306051,'1991-07-24 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241345573431334933274124610127057',3335,'983',72.00,1,3,NULL),(20,5306060,'1982-12-11 00:00:00',4,8,12,2000,'M','N','CATARATAS','CASCAVEL','PR','116161161216511431358821335122341564042',824,'9998',82.32,1,3,NULL),(20,5306078,'1991-01-28 00:00:00',4,1,12,2009,'F','N','BRACATINGA','TROMBUDO CENTRAL','SC','124241241146131432433631595123610124047',NULL,'796',29.06,1,3,NULL),(20,5306094,'1960-01-08 00:00:00',2,1,12,1982,'M','N','INGLESES','FLORIANÓPOLIS','SC','224253251341161411244544142124133232093',NULL,'9998',0.00,1,3,NULL),(20,5306108,'1992-03-26 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241225272431433339195124610126142',8998,'262',58.71,4,3,NULL),(20,5306116,'1990-03-02 00:00:00',2,8,12,2007,'F','N','JD DAS AMERICAS','CURITIBA','PR','116141141125471441433374345232610126172',NULL,'9998',27.71,4,3,NULL),(20,5306124,'1989-08-30 00:00:00',5,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241214153411426823575124223261092',3327,'266',72.53,1,3,NULL),(20,5306132,'1990-03-03 00:00:00',2,1,12,2007,'M','N','IGUATEMI','RIBEIRÃO PRETO','SP','125052251211271311523719571344141017082',1950,'9998',74.80,1,3,NULL),(20,5306140,'1992-11-04 00:00:00',4,3,12,2009,'M','N','ZIMBROS','BOMBINHAS','SC','124241241115161711436923382221610134187',NULL,'96',26.48,1,3,NULL),(20,5306159,'1991-09-01 00:00:00',4,9,11,2009,'M','N','CENTRO','LAGES','SC','124242241215111521478812472122610117093',NULL,'497',0.00,1,3,NULL),(20,5306167,'1990-01-24 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115573432533514345124610123147',12325,'287',53.73,1,2,1),(20,5306175,'1987-09-10 00:00:00',4,6,12,2004,'F','N','SÃO JOÃO','BRUSQUE','SC','224241241136271431223654385123610167077',15874,'111',44.73,3,2,1),(20,5306183,'1966-03-11 00:00:00',2,1,11,2004,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224241247122131431332254342114610136072',NULL,'9999',19.55,1,2,1),(20,5306191,'1989-02-11 00:00:00',4,4,12,2006,'F','N','INDUSTRIAL','XAXIM','SC','124241241316151411436432245122231424187',12231,'994',53.92,1,3,NULL),(20,5306205,'1989-11-16 00:00:00',4,1,12,2007,'M','N','TRUJILLO','SOROCABA','SP','125252251217371431438932142124610124117',NULL,'9998',34.13,1,3,NULL),(20,5306213,'1988-11-04 00:00:00',4,1,12,2005,'M','N','BAIRRO DE FÁTIMA','FLORIANÓPOLIS','SC','624241241117241421446613245134610167053',NULL,'257',0.00,1,2,1),(20,5306221,'1990-11-14 00:00:00',4,9,12,2007,'M','N','VÁRZEA','LAGES','SC','124244241111372431469934575111610167042',4112,'935',70.58,1,3,NULL),(20,5306230,'1991-06-08 00:00:00',4,1,12,2008,'M','N','MENINO DEUS','PTO ALEGRE','RS','120202201216471451338834575124610132042',2074,'9998',75.79,1,3,NULL),(20,5306248,'1990-09-10 00:00:00',2,1,12,2007,'F','N','VILA BIANCHI','MOGI MIRIM','SP','125252251216471411248821572112610164092',14099,'9998',46.94,1,3,NULL),(20,5306256,'1991-06-16 00:00:00',4,3,12,2008,'M','N','CENTRO','S LOURENÇO OESTE','SC','124242161217471311436834591115610167067',3153,'9998',72.73,1,3,NULL),(20,5306272,'1989-06-13 00:00:00',4,15,12,2006,'M','N','SANTANA','PTO ALEGRE','RS','120202201217571131424823575114610164017',7709,'9998',59.77,1,3,NULL),(20,5306299,'1986-07-24 00:00:00',4,1,12,2003,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217375411366722295124132044117',2577,'260',74.55,1,3,NULL),(20,5306302,'1992-10-20 00:00:00',4,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124242241216111431427614575124610126147',NULL,'1078',19.87,2,1,2),(20,5306329,'1992-06-22 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124242241215131431329924595124610136172',NULL,'515',23.46,1,3,NULL),(20,5306337,'1990-10-09 00:00:00',2,1,12,2008,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215372431478911575114610167045',13680,'270',50.98,1,3,NULL),(20,5306361,'1990-07-14 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241212153731545514172124231067077',NULL,'1048',41.74,1,3,NULL),(20,5306370,'1987-12-16 00:00:00',2,1,12,2004,'M','N','CRISTO REI','CURITIBA','PR','116161161116371431446611571214141464057',5225,'9998',64.95,1,3,NULL),(20,5306388,'1988-03-02 00:00:00',4,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116163161317571432577619572122610117142',NULL,'9998',27.92,1,3,NULL),(20,5306396,'1993-06-17 00:00:00',4,1,12,2010,'M','S','SÃO SEBASTIÃO','PALHOÇA','SC','124242241212111431379612575114610127092',NULL,'1011',46.96,1,3,NULL),(20,5306418,'1991-03-06 00:00:00',2,9,11,2007,'M','N','JARDIM CAIÇARA','S JOAQUIM','SC','124242241216373431557614395121610148037',13661,'1035',46.43,1,3,NULL),(20,5306426,'1990-06-26 00:00:00',4,1,12,2007,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124212241215373411589931575114131162181',564,'262',84.05,4,3,NULL),(20,5306434,'1987-02-15 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241221133431421144241124610126187',NULL,'262',26.96,2,1,2),(20,5306442,'1992-07-19 00:00:00',4,8,12,2009,'F','N','CAPÃO RASO','CURITIBA','PR','116162161215111431438714576112610138097',7027,'9998',62.44,3,3,NULL),(20,5306450,'1992-10-05 00:00:00',4,1,11,2009,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241217161431469614571122610141052',14386,'1073',44.57,1,3,NULL),(20,5306469,'1991-09-10 00:00:00',2,1,12,2009,'M','N','PRAIA DE FORA','PALHOÇA','SC','124243241117161431338413275114610167047',14058,'739',47.27,1,3,NULL),(20,5306477,'1986-12-31 00:00:00',4,7,12,2004,'M','N','VILA ALEMANHA','LUZERNA','SC','124241248112473711423412495122232424012',NULL,'539',0.00,1,2,1),(20,5306493,'1990-11-20 00:00:00',4,1,12,2007,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124244241417574511238712594124610168182',1178,'270',80.37,1,3,NULL),(20,5306507,'1991-04-07 00:00:00',4,1,5,2008,'F','N','CENTRO','JOINVILLE','SC','124242281415472411438811572144610123095',7084,'9998',63.05,1,3,NULL),(20,5306515,'1982-05-28 00:00:00',4,1,12,1999,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124162161216272751238933185112121464012',NULL,'9998',0.00,1,3,NULL),(20,5306523,'1991-03-10 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215111431538824311124610133142',11097,'1022',53.24,4,3,NULL),(20,5306531,'1991-01-03 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241115372441579913576124233264193',4101,'306',69.40,1,3,NULL),(20,5306540,'1990-05-05 00:00:00',2,1,12,2007,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241217173211536633395124230864057',NULL,'1022',26.63,1,3,NULL),(20,5306558,'1992-10-02 00:00:00',4,1,11,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241217112431358611275114610117055',10000,'270',58.15,1,3,NULL),(20,5306566,'1992-02-05 00:00:00',4,15,12,2009,'F','N','PERÓBA','STA ROSA SUL','SC','124241242115161431523615572224610123057',NULL,'690',0.00,1,2,1),(20,5306574,'1992-05-12 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111411447911575124610124072',5588,'270',65.49,1,3,NULL),(20,5306590,'1992-04-14 00:00:00',2,4,12,2009,'F','N','CENTRO','CAIBI','SC','124241241115131431543916375124610126077',NULL,'127',25.90,1,2,1),(20,5306604,'1992-06-20 00:00:00',4,1,12,2009,'F','N','VILA MASCOTE','S PAULO','SP','125252251217111431368734575122610128092',NULL,'9998',25.15,1,3,NULL),(20,5306612,'1986-11-13 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217154441488933495122221436132',1564,'270',78.62,1,3,NULL),(20,5306620,'1991-04-27 00:00:00',2,1,12,2008,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241117272711335314375114610134142',NULL,'288',28.80,1,2,1),(20,5306639,'1972-08-23 00:00:00',4,1,8,1994,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','324241247342312132629844442122610127042',NULL,'9999',17.49,1,3,NULL),(20,5306647,'1992-04-28 00:00:00',2,1,12,2009,'F','N','ARIRIU','PALHOÇA','SC','124241241125141411323334342324610128077',NULL,'772',11.41,1,2,1),(20,5306663,'1993-03-07 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111131459313575122610127045',4684,'1133',69.14,1,3,NULL),(20,5306671,'1988-07-13 00:00:00',2,1,12,2005,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241337134411229344342334122312017',NULL,'580',0.00,1,3,NULL),(20,5306680,'1989-03-30 00:00:00',4,10,12,2006,'M','N','NOSSA SRA APARECIDA','ARMAZÉM','SC','124241241126141331556414145122132918051',NULL,'34',13.32,1,2,1),(20,5306698,'1990-01-04 00:00:00',4,1,7,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241315133411359933485124120924142',8044,'9999',61.75,1,3,NULL),(20,5306701,'1990-04-20 00:00:00',2,5,11,2007,'F','N','PRESIDENTE VARGAS','IÇARA','SC','124243241215573431357911395122610168097',7278,'210',61.66,1,3,NULL),(20,5306710,'1992-09-11 00:00:00',2,1,11,2009,'F','N','CENTRO','BIGUAÇU','SC','124241241215133411345914575124610124142',12347,'63',49.95,1,3,NULL),(20,5306736,'1987-08-02 00:00:00',4,1,12,2005,'M','N','JARDIM SANTA CRUZ','CAMPINAS','SP','125251251146472431433723375224610164197',NULL,'9998',0.00,4,1,1),(20,5306744,'1991-01-28 00:00:00',4,1,11,2008,'M','N','BOM RETIRO','JOINVILLE','SC','124243241137131431227944345124133236042',9279,'465',56.40,1,3,NULL),(20,5306752,'1988-04-12 00:00:00',4,1,12,2005,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124161161114371431224411285114610127047',NULL,'9998',25.67,1,2,1),(20,5306760,'1989-01-24 00:00:00',2,4,12,2006,'M','N','CENTRO','S LOURENÇO OESTE','SC','124243241116151431636531572124610164182',1641,'745',78.13,1,3,NULL),(20,5306779,'1977-05-14 00:00:00',2,1,12,1998,'F','N','FORQUILHINHAS','S JOSÉ','SC','224241246136135721436654245124223242087',NULL,'739',30.79,4,1,1),(20,5306787,'1988-01-07 00:00:00',4,8,12,2005,'M','N','TRIANON','GUARAPUAVA','PR','116161161216571441557823575114143137047',2564,'9998',73.86,4,3,NULL),(20,5306809,'1992-01-23 00:00:00',4,1,12,2008,'F','N','PICADAS DO SUL','S JOSÉ','SC','124244241215272431346712272224610133052',7961,'1022',61.91,1,3,NULL),(20,5306817,'1992-08-31 00:00:00',4,1,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','124162241216121411559931575124610112097',11179,'1011',54.06,1,3,NULL),(20,5306833,'1992-10-30 00:00:00',4,2,12,2009,'M','N','SANTA TEREZINHA','BRUSQUE','SC','124241241117131412436632385121610167052',14232,'116',47.07,1,2,1),(20,5306850,'1990-07-23 00:00:00',4,1,9,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241116371751524413375114610164041',NULL,'307',29.60,1,3,NULL),(20,5306868,'1991-05-30 00:00:00',2,5,12,2008,'F','N','TEUTÔNIA','TEUTÔNIA','RS','120202201211471411548929595124610163147',NULL,'9998',0.00,1,3,NULL),(20,5306876,'1984-04-10 00:00:00',4,1,12,2009,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241247327271431436634445124610138142',NULL,'9999',26.99,4,3,NULL),(20,5306884,'1992-10-14 00:00:00',4,1,11,2009,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124234241217111731356763315124610157087',NULL,'259',26.39,1,3,NULL),(20,5306892,'1987-03-14 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORES CUNHA','RS','120201201116471741537933595113141417047',8614,'9998',59.05,1,2,1),(20,5306906,'1991-10-03 00:00:00',2,8,11,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124242241217111111416527391111610113041',NULL,'457',29.69,1,3,NULL),(20,5306914,'1991-12-26 00:00:00',4,1,12,2009,'F','N','CENTRO','S JOSÉ','SC','124241241116141731556711385114610113055',NULL,'733',0.00,1,2,1),(20,5306922,'1990-02-15 00:00:00',4,2,12,2007,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215573431557812322122610163142',5881,'9997',66.28,1,3,NULL),(20,5306930,'1991-12-23 00:00:00',4,3,11,2009,'M','N','TABULEIRO','CAMBORIÚ','SC','124242241217111532233232315122610112182',NULL,'44',39.75,2,1,2),(20,5306949,'1986-05-02 00:00:00',2,1,8,2005,'F','N','JOSE MENDES','FLORIANÓPOLIS','SC','124111111337131431325944245124610134047',NULL,'9998',26.10,1,3,NULL),(20,5306957,'1991-09-17 00:00:00',2,3,11,2008,'F','N','PARQUE MONJOLO','FOZ IGUAÇU','PR','116162161226471431458813572122610133197',NULL,'9998',0.00,1,3,NULL),(20,5306965,'1994-01-05 00:00:00',4,8,12,2010,'F','S','VILA TONANI','DOURADOS','MS','112122121217111431468831575122610132187',NULL,'9998',0.00,1,3,NULL),(20,5306973,'1985-10-10 00:00:00',2,8,12,2004,'F','N','BIGORRILHO','CURITIBA','PR','116161161141474411526779241134610138092',15040,'9998',42.90,1,2,1),(20,5306981,'1992-07-08 00:00:00',2,1,11,2009,'F','N','CENTRO','BIGUAÇU','SC','124242241215131431457639572124610163097',7550,'1022',59.39,2,1,2),(20,5307007,'1991-07-09 00:00:00',2,1,12,2008,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241116132411426329575124231012092',NULL,'307',27.76,1,2,1),(20,5307015,'1992-01-06 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111421458823475114610127062',10684,'1022',53.81,1,3,NULL),(20,5307023,'1992-01-09 00:00:00',2,9,12,2009,'F','N','CENTRO','URUBICI','SC','124242241211161431336919295124610168142',10431,'817',55.22,1,3,NULL),(20,5307031,'1991-11-21 00:00:00',4,1,12,2008,'F','N','BOM JESUS','PTO ALEGRE','RS','120202201216412431436824271124610167182',8481,'9998',59.74,1,3,NULL),(20,5307040,'1989-10-16 00:00:00',4,1,11,2006,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124242241117273411258813445134133236147',6440,'739',65.05,1,3,NULL),(20,5307058,'1990-07-03 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215433431337722475124231444092',12273,'855',53.82,1,3,NULL),(20,5307066,'1991-09-07 00:00:00',2,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241116151431423313345125610124097',NULL,'772',28.70,1,2,1),(20,5307074,'1993-11-05 00:00:00',4,3,12,2009,'F','N','CENTRO','BRUSQUE','SC','124242241216151132349911495112610164192',7871,'109',59.30,1,3,NULL),(20,5307090,'1990-08-07 00:00:00',2,1,12,2007,'F','N','VILA ESPERANÇA','IMBITUBA','SC','124241241112271431324624382221610136177',9211,'513',55.98,1,2,1),(20,5307104,'1990-04-07 00:00:00',4,1,12,2007,'M','N','LIBERDADE','S PAULO','SP','125124121417572411458832571115610165122',9000,'9998',57.55,4,3,NULL),(20,5307112,'1988-12-06 00:00:00',2,15,12,2005,'F','N','N SRA DAS GRAÇAS','CANOAS','RS','120202201216571731443714472114610166052',NULL,'9998',0.00,1,3,NULL),(20,5307155,'1966-07-01 00:00:00',4,1,3,1991,'F','N','S JOÃO RIO VERMELHO','FLORIANÓPOLIS','SC','624161167226131711523348212124341362097',NULL,'9998',22.46,1,3,NULL),(20,5307163,'1978-06-10 00:00:00',5,1,12,1996,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241245136155751443324235122322664187',10187,'591',57.82,1,3,NULL),(20,5307171,'1976-10-03 00:00:00',4,1,12,1995,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241114375411469813412122321437057',NULL,'267',49.91,1,2,1),(20,5307180,'1991-02-06 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241211373432438711412114120767052',2332,'1022',74.87,4,3,NULL),(20,5307198,'1987-08-28 00:00:00',4,1,12,2004,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215575431389921575112231023122',7563,'270',62.69,1,3,NULL),(20,5307201,'1992-03-20 00:00:00',4,1,11,2009,'F','N','CAPÃO RASO','CURITIBA','PR','116162168236471231468934575122610164187',NULL,'9998',0.00,1,3,NULL),(20,5307210,'1984-06-05 00:00:00',5,1,12,2002,'F','N','PASSA VINTE','PALHOÇA','SC','124241241127141421478613414122333227142',NULL,'853',0.00,1,3,NULL),(20,5307228,'1987-07-29 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124202201216372411368834475124221143117',10728,'9998',56.83,1,3,NULL),(20,5307236,'1992-07-19 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124242241217272722563412185114610167017',2623,'737',74.35,1,3,NULL),(20,5307244,'1988-01-03 00:00:00',4,1,12,2007,'M','N','AREIAS','S JOSÉ','SC','124201201127371751126679295224610127147',NULL,'9998',17.43,1,2,1),(20,5307252,'1992-07-06 00:00:00',4,1,12,2009,'M','N','POTECAS','S JOSÉ','SC','124241241115373431533714345124610127177',11347,'727',53.89,1,2,1),(20,5307260,'1988-02-15 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215575431446869572112610162092',2155,'270',75.71,1,3,NULL),(20,5307279,'1991-03-04 00:00:00',3,1,6,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242281415573421346822572114610167147',2735,'9998',74.06,1,3,NULL),(20,5307287,'1990-05-18 00:00:00',2,1,12,2007,'F','N','VILA BIANCHI','MOGI MIRIM','SP','125254251217131411444421415114610165142',NULL,'9998',25.44,1,3,NULL),(20,5307295,'1991-12-11 00:00:00',2,9,11,2009,'M','N','BUDAG','RIO SUL','SC','124242241415111431445634242122610164012',6267,'991',64.53,1,3,NULL),(20,5307309,'1990-05-05 00:00:00',4,7,12,2009,'M','N','MATRIZ','VIDEIRA','SC','124241241316112431234629385122610162092',14961,'831',46.25,1,3,NULL),(20,5307317,'1989-11-07 00:00:00',4,1,11,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215475431369914575122221414052',3560,'226',70.59,4,3,NULL),(20,5307325,'1992-03-25 00:00:00',4,4,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124241241216471311438923592112610123142',NULL,'1001',23.81,1,3,NULL),(20,5307333,'1992-04-02 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115371431325629391224610134187',NULL,'295',25.81,4,2,1),(20,5307350,'1970-09-05 00:00:00',4,1,11,1989,'M','N','INGLESES','FLORIANÓPOLIS','SC','624131131346152411253442425122330224173',8161,'9998',61.54,4,3,NULL),(20,5307368,'1992-01-07 00:00:00',4,2,12,2009,'F','N','CENTRO','MIRACATU','SP','125251251117271411538921582124610131072',NULL,'9998',0.00,1,3,NULL),(20,5307376,'1992-02-01 00:00:00',2,1,10,2009,'M','N','SERRARIAS','S JOSÉ','SC','124242241215271411447913295124610168182',8076,'9997',58.05,1,3,NULL),(20,5307384,'1992-07-09 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215112731469913395114610124092',9034,'270',59.90,1,3,NULL),(20,5307422,'1990-09-11 00:00:00',2,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124242248216132431446612315134610127062',NULL,'269',17.74,1,3,NULL),(20,5307430,'1982-10-01 00:00:00',2,1,12,2008,'M','N','REAL PARQUE AREIAS','S JOSÉ','SC','124241241126131431326324242314610124027',NULL,'730',20.00,1,2,1),(20,5307457,'1992-07-17 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212111711448634575122610138181',NULL,'1050',39.12,1,3,NULL),(20,5307465,'1992-01-24 00:00:00',4,10,12,2009,'M','N','CENTRO','IMBITUBA','SC','124242241216271431263569595112610168042',12183,'362',50.07,1,3,NULL),(20,5307473,'1991-09-26 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124243241215111421656612475122610164045',NULL,'1118',18.55,1,3,NULL),(20,5307481,'1992-05-25 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241215131751426624575112610164142',13523,'724',47.47,1,3,NULL),(20,5307490,'1993-10-07 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215111731536613572114610127112',NULL,'738',15.14,1,3,NULL),(20,5307503,'1992-06-04 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241415111421533612585114610162052',10862,'1022',54.64,1,3,NULL),(20,5307511,'1992-09-18 00:00:00',4,4,12,2009,'M','N','SANTA CECÍLIA','PTO ALEGRE','RS','120242201217121431578813375114610147067',4207,'9998',68.65,1,3,NULL),(20,5307520,'1992-07-02 00:00:00',4,6,11,2009,'F','N','SÃO JUDAS','ITAJAÍ','SC','124242241215121731443814575122610122142',4569,'1026',67.89,1,3,NULL),(20,5307538,'1984-01-16 00:00:00',2,1,2,2004,'M','N','PALMAS','GOV CELSO RAMOS','SC','124241241117371731224748185135133234117',NULL,'306',27.20,4,3,NULL),(20,5307546,'1992-11-11 00:00:00',4,1,11,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241416111431536614575124610137017',7145,'737',62.74,1,3,NULL),(20,5307554,'1992-03-05 00:00:00',2,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124241241415111331423634281122610128072',NULL,'1076',18.47,1,3,NULL),(20,5307562,'1993-02-17 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124162241215111411469814572112610164067',5357,'262',66.37,1,3,NULL),(20,5307570,'1988-05-28 00:00:00',2,4,12,2005,'M','N','BELA VISTA','CHAPECÓ','SC','124241241122133121543319245114130424057',14399,'180',49.47,3,2,1),(20,5307589,'1989-07-24 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124242241215474431338813572114610162142',976,'270',81.47,1,3,NULL),(20,5307597,'1991-03-15 00:00:00',4,3,12,2008,'M','N','CENTRO','PASSO FUNDO','RS','120201201116471411323311175112610122197',5174,'9998',67.89,1,2,1),(20,5307600,'1993-05-02 00:00:00',4,3,11,2009,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124242241217271431458612295112610132142',6714,'44',62.34,1,3,NULL),(20,5307619,'1991-05-04 00:00:00',2,1,12,2008,'M','N','CENTRO','PTO ALEGRE','RS','120201201117471431458611575114610167047',8946,'9998',57.25,1,2,1),(20,5307627,'1988-04-28 00:00:00',2,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','125251251117572411445419231123242337042',NULL,'9998',0.00,1,3,NULL),(20,5307635,'1991-09-23 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241215472431434712395124610127067',11338,'1022',52.78,1,3,NULL),(20,5307643,'1993-01-28 00:00:00',4,7,12,2009,'F','N','MUNICÍPIOS','CAÇADOR','SC','124242241212111431346631415122610127077',15219,'120',43.32,1,3,NULL),(20,5307651,'1991-06-07 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241117272431446413575114610117017',9924,'307',57.61,1,3,NULL),(20,5307660,'1992-10-07 00:00:00',4,8,12,2009,'M','N','PROGRESSO','S BENTO SUL','SC','124241241117271311337614275124610112195',NULL,'697',26.17,1,2,1),(20,5307678,'1989-08-18 00:00:00',2,8,11,2006,'F','N','BOQUEIRÃO','CURITIBA','PR','116161161116571431433514145124141326097',4830,'9998',67.34,1,2,1),(20,5307686,'1984-01-05 00:00:00',4,2,12,2001,'F','N','VELHA','BLUMENAU','SC','124241241111232431226544341323610127147',NULL,'875',22.02,1,3,NULL),(20,5307694,'1992-06-10 00:00:00',2,10,12,2009,'F','N','MATA VERDE','STA ROSA LIMA','SC','124241248125131721533319575123610168147',NULL,'688',0.00,1,2,1),(20,5307708,'1989-02-23 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241147143411225544342124233214147',10242,'560',56.45,1,2,1),(20,5307716,'1987-03-31 00:00:00',2,1,12,2004,'F','N','PASSO DA AREIA','PTO ALEGRE','RS','120202201217574431227811572114610132122',1468,'9998',78.01,1,3,NULL),(20,5307724,'1987-09-25 00:00:00',4,1,12,2005,'F','N','VILA NOVA','CAMPINAS','SP','125252251217271411446614445122141224144',NULL,'9998',23.17,1,3,NULL),(20,5307740,'1990-05-23 00:00:00',4,8,12,2009,'M','N','IRIRÍU','JOINVILLE','SC','124241246216271431459814572124610134042',NULL,'1105',0.00,1,3,NULL),(20,5307767,'1990-11-18 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','125241241415153751447712435122133222122',NULL,'1022',0.00,1,3,NULL),(20,5307775,'1987-06-22 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117374431343614342234610124197',NULL,'293',40.81,1,2,1),(20,5307805,'1968-03-29 00:00:00',4,1,7,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241126141731514449245124610126097',NULL,'736',23.08,1,3,NULL),(20,5307813,'1991-12-07 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241435111431653679575124610124045',NULL,'1022',30.50,1,3,NULL),(20,5307821,'1985-03-16 00:00:00',2,1,12,2002,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201208116152431235744345114610161187',NULL,'9998',23.87,1,3,NULL),(20,5307830,'1992-07-18 00:00:00',4,6,12,2009,'M','N','CENTRO','NAVEGANTES','SC','124203241415131431446923575121610134112',NULL,'1008',0.00,1,3,NULL),(20,5307848,'1985-10-22 00:00:00',2,1,12,2003,'F','N','FORQUILHAS','S JOSÉ','SC','124241241121135411431111341124123225147',NULL,'727',29.55,4,2,1),(20,5307856,'1985-08-01 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124212211217131431226444345134610127047',NULL,'9998',40.53,4,1,2),(20,5307864,'1992-01-27 00:00:00',2,5,11,2008,'F','N','CENTRO','ERECHIM','RS','120202208216371431337839595122610124142',NULL,'9998',31.56,1,3,NULL),(20,5307872,'1986-08-22 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124051051112131411223544445124140236022',NULL,'9998',24.53,4,2,1),(20,5307880,'1989-05-22 00:00:00',4,1,7,2007,'F','N','PONTE PRETA','CAMPINAS','SP','125252257437371711338814374142610142115',11515,'9998',52.70,1,3,NULL),(20,5307902,'1989-12-18 00:00:00',4,1,7,2008,'F','N','JOAQUINA','FLORIANÓPOLIS','SC','124201207446471431228728385124140624141',NULL,'9998',28.89,1,3,NULL),(20,5307910,'1992-11-17 00:00:00',2,1,11,2009,'F','N','VILA CARLOTA','CPO GRANDE','MS','112124121216471431346923575122610128142',NULL,'9998',0.00,1,3,NULL),(20,5307929,'1992-09-11 00:00:00',4,4,11,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241215111431458614572122610128092',13770,'185',46.58,1,3,NULL),(20,5307937,'1989-03-17 00:00:00',2,15,6,2007,'F','N','FERROVIARIO','MONTENEGRO','RS','120203206135471431456811274124610163147',9539,'9998',56.08,1,3,NULL),(20,5307953,'1979-03-02 00:00:00',4,1,12,1997,'M','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124251255126151431346619415122610162142',NULL,'9998',0.00,1,2,1),(20,5307961,'1991-12-30 00:00:00',4,2,12,2009,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124243241217151431429833576114610147087',10099,'88',55.18,1,3,NULL),(20,5307970,'1992-10-04 00:00:00',4,4,12,2009,'M','N','UNIVERSITARIO','CHAPECÓ','SC','124243241414111431459813482121610134147',12989,'1021',50.59,1,3,NULL),(20,5307988,'1989-11-11 00:00:00',2,9,12,2007,'F','N','SÃO CIRO II','CAXIAS SUL','RS','120201201216471431433519572124143234147',6465,'9998',61.83,1,3,NULL),(20,5307996,'1992-06-30 00:00:00',4,1,11,2009,'M','N','PLANO DIRETOR SUL','PALMAS','TO','127272271217111431479831575122610167042',8875,'9998',60.19,1,3,NULL),(20,5308011,'1993-02-04 00:00:00',4,17,11,2009,'M','N','CIDADE NOVA','PTO UNIÃO','SC','124244241217111431578931475125610147182',2666,'633',72.96,1,3,NULL),(20,5308020,'1991-04-24 00:00:00',2,1,12,2008,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124241241116572731226674595124230461197',NULL,'192',0.00,1,2,1),(20,5308046,'1983-04-29 00:00:00',2,1,12,2000,'F','N','ROÇADO','S JOSÉ','SC','124241241135374441237344242334610124147',14265,'704',47.81,1,2,1),(20,5308054,'1966-12-04 00:00:00',4,1,12,1984,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224252255217151431486652425122342235185',NULL,'9998',0.00,1,3,NULL),(20,5308062,'1992-07-07 00:00:00',4,1,11,2009,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217113531548931472124610114187',8654,'270',60.64,1,3,NULL),(20,5308070,'1986-12-10 00:00:00',2,1,12,2004,'M','N','AREIAS','S JOSÉ','SC','124241241126142421456613435122610124092',NULL,'736',42.89,1,2,1),(20,5308089,'1990-05-20 00:00:00',2,1,12,2007,'F','N','CENTRO','ORLEANS','SC','124244241137131431538424382112610121042',NULL,'580',0.00,1,3,NULL),(20,5308097,'1990-03-05 00:00:00',2,15,12,2007,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241136271731323329342133610134057',NULL,'29',0.00,1,2,1),(20,5308100,'1989-08-04 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124203201115573411238724345114142026092',3096,'9998',70.88,1,3,NULL),(20,5308119,'1991-11-20 00:00:00',4,2,11,2009,'F','N','COLONINHA','GASPAR','SC','124242241215121431567642585122610121145',NULL,'855',0.00,1,3,NULL),(20,5308127,'1990-07-17 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','S JOSÉ','SC','124243241115134431436614341124610127147',NULL,'307',43.95,1,3,NULL),(20,5308135,'1987-08-20 00:00:00',2,15,12,2005,'F','N','BOM FIM','PTO ALEGRE','RS','120201201111571431433634271124610162097',2631,'9998',74.63,1,2,1),(20,5308143,'1991-07-20 00:00:00',4,7,12,2008,'F','N','CENTRO','CAÇADOR','SC','124241241146131431126949392225231026052',NULL,'124',29.22,1,2,1),(20,5308151,'1991-10-21 00:00:00',2,5,12,2008,'M','N','CENTRO','GUAÍBA','RS','120204201215471431468833575122610167047',1127,'9998',80.22,1,3,NULL),(20,5308160,'1989-06-27 00:00:00',2,1,12,2006,'M','N','CENTRO','SARANDI','RS','120201201217571711678922495125610137052',NULL,'9998',0.00,1,3,NULL),(20,5308178,'1992-07-02 00:00:00',2,3,12,2009,'M','N','MONTE ALEGRE','CAMBORIÚ','SC','124241241116371411534431175121610147012',NULL,'131',25.04,2,1,1),(20,5308186,'1991-09-18 00:00:00',4,1,12,2008,'M','N','SÃO JOSÉ','CAXIAS SUL','RS','120202201217471411435934244124610135017',5517,'9998',65.88,1,3,NULL),(20,5308194,'1991-02-18 00:00:00',2,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241211471731536639295114610147051',11874,'1035',51.03,1,3,NULL),(20,5308208,'1988-10-15 00:00:00',4,8,12,2006,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124241241211133451328829385124610134047',15154,'1105',43.92,1,3,NULL),(20,5308224,'1991-01-10 00:00:00',2,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241121272421459419492124610117052',NULL,'307',29.54,1,3,NULL),(20,5308240,'1990-07-20 00:00:00',2,4,12,2007,'M','N','CENTRO','S JOSÉ CEDRO','SC','120241241435572431479912575122610167043',6392,'740',65.15,1,3,NULL),(20,5308259,'1992-07-09 00:00:00',4,6,11,2009,'M','N','SÃO VICENTE','ITAJAÍ','SC','124241241111371342526319115121610166042',15860,'395',44.78,1,3,NULL),(20,5308275,'1993-02-27 00:00:00',2,10,12,2009,'F','N','MAR GROSSO','LAGUNA','SC','124242241217111431458711315122610124072',NULL,'807',25.74,1,3,NULL),(20,5308283,'1982-11-04 00:00:00',2,10,6,2000,'M','N','PASSAGEM','TUBARÃO','SC','124241241137131431523311482323610134047',NULL,'801',16.35,1,2,1),(20,5308291,'1992-09-14 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217122431568813475125610162082',6635,'270',63.41,1,3,NULL),(20,5308305,'1992-05-26 00:00:00',2,1,12,2009,'M','N','CENTRO','BIGUAÇU','SC','124241241115131731449613575124610164047',NULL,'65',33.26,1,2,1),(20,5308313,'1988-08-09 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243247316133431118841211314610116141',NULL,'9999',21.00,1,3,NULL),(20,5308321,'1989-09-02 00:00:00',2,1,11,2007,'M','N','PINHEIRA','PALHOÇA','SC','124241241127271421323314235233610167052',14635,'595',45.17,1,2,1),(20,5308330,'1992-06-29 00:00:00',2,7,12,2009,'M','N','CENTRO','ÁGUA DOCE','SC','124241242116161331446923595123610167183',NULL,'8',21.27,1,3,NULL),(20,5308348,'1992-04-14 00:00:00',2,4,11,2009,'F','N','CENTRO','ENTRE R SUL','RS','120201201235131431458813575124610143097',NULL,'9998',0.00,1,3,NULL),(20,5308356,'1992-06-07 00:00:00',2,1,12,2009,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215171411427812285124610127047',NULL,'272',17.79,1,3,NULL),(20,5308364,'1987-09-12 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117374712428514243234610133177',NULL,'257',25.82,1,2,1),(20,5308399,'1992-12-29 00:00:00',4,8,12,2009,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241115321731436734345124610136141',NULL,'483',26.27,1,2,1),(20,5308402,'1989-02-03 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124204207416131451228648285124141766022',NULL,'9998',0.00,1,3,NULL),(20,5308410,'1992-03-17 00:00:00',2,1,12,2009,'M','N','MAGALHÃES','LAGUNA','SC','124242241226271431346714385122610114042',NULL,'524',27.71,1,3,NULL),(20,5308429,'1984-05-23 00:00:00',2,1,12,2001,'M','N','CENTRO','PALHOÇA','SC','124242241215154731368413442124220737042',NULL,'590',30.12,1,3,NULL),(20,5308437,'1983-12-03 00:00:00',2,1,12,2003,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241127473752223444146135610168047',NULL,'281',29.40,4,2,1),(20,5308445,'1990-07-17 00:00:00',4,3,12,2007,'F','N','CENTRO','CAMBORIÚ','SC','124242241217473431369812575122232464077',NULL,'270',0.00,1,3,NULL),(20,5308453,'1992-11-26 00:00:00',2,4,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124244241436111331346613472122610138182',NULL,'1000',23.48,1,3,NULL),(20,5308461,'1990-02-22 00:00:00',2,1,7,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241112152731456623572124610133072',11230,'306',53.20,1,3,NULL),(20,5308470,'1992-05-13 00:00:00',4,15,12,2009,'F','N','CENTRO','MARACAJÁ','SC','124241241136111411443833575124610124187',NULL,'550',28.73,1,2,1),(20,5308488,'1992-03-23 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241215112531456612575124610137045',NULL,'1022',32.58,1,3,NULL),(20,5308496,'1988-09-18 00:00:00',4,8,12,2005,'F','N','ITAUM','JOINVILLE','SC','124243241216132421244944345134122225183',NULL,'487',0.00,1,3,NULL),(20,5308500,'1988-06-03 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124203201146372751313364395124610133187',NULL,'9998',16.38,1,3,NULL),(20,5308518,'1992-01-11 00:00:00',4,7,12,2009,'F','N','SANTA TEREZA','JOAÇABA','SC','124241241315371431526614475122610144092',NULL,'446',24.85,1,3,NULL),(20,5308526,'1974-03-27 00:00:00',2,1,12,2004,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247115211431334444241114610117047',NULL,'289',22.24,2,1,1),(20,5308534,'1991-10-18 00:00:00',2,4,12,2008,'F','N','PARQUE CIDADE JARDIM','UMUARAMA','PR','116162161214471431348933575122610124147',1052,'9998',81.00,1,3,NULL),(20,5308542,'1974-08-17 00:00:00',2,15,12,1993,'F','N','COLONINHA','ARARANGUÁ','SC','224241243127271531433353275112610128147',NULL,'29',39.08,1,2,1),(20,5308569,'1992-02-07 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241215111731243323475124610133182',NULL,'944',22.52,1,3,NULL),(20,5308577,'1985-01-11 00:00:00',4,15,12,2004,'F','N','VILA BEATRIZ','MARACAJÁ','SC','224241241126131721423344245344110118047',NULL,'550',36.64,1,2,1),(20,5308585,'1991-03-28 00:00:00',4,2,11,2008,'F','N','CENTRO','RIO SUL','SC','124252251216571431649714595122610138142',11114,'9998',56.04,1,3,NULL),(20,5308607,'1992-02-25 00:00:00',2,4,12,2009,'M','N','CENTRO','SEARA','SC','124241242115111431524311595124610147147',NULL,'196',27.73,1,3,NULL),(20,5308615,'1984-10-20 00:00:00',4,1,12,2001,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241211153411456634575112121427047',NULL,'259',30.67,1,3,NULL),(20,5308623,'1991-10-15 00:00:00',5,1,12,2009,'F','N','AMERICANO','LAJEADO','RS','120202201217371432459814474122610161097',2398,'9998',74.12,1,3,NULL),(20,5308631,'1989-03-09 00:00:00',2,1,12,2008,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124241241146272751224624245114610168057',NULL,'9999',0.00,1,2,1),(20,5308658,'1992-08-09 00:00:00',4,1,12,2009,'F','N','PINGUIRITO','GAROPABA','SC','124241241127131731326674345121610167147',NULL,'322',27.13,1,2,1),(20,5308682,'1990-01-10 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241226134111321112575124610117147',NULL,'262',9.70,1,3,NULL),(20,5308690,'1992-11-20 00:00:00',4,1,12,2009,'F','N','JARDIM TAROBA','FOZ IGUAÇU','PR','116161161116271232326823575114610112192',11863,'9998',50.83,1,2,1),(20,5308712,'1992-10-14 00:00:00',2,1,11,2009,'F','N','CENTRO','S LUIZ GONZAGA','RS','120204201216371411527619495122610168052',NULL,'9998',26.36,1,3,NULL),(20,5308720,'1965-12-08 00:00:00',2,1,12,1982,'F','N','IPIRANGA','S JOSÉ','SC','224241248146273431423344142124610128097',NULL,'257',0.00,1,2,1),(20,5308739,'1992-05-15 00:00:00',2,1,12,2009,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241127131421433339245121610128147',NULL,'12',23.60,1,2,1),(20,5308747,'1992-12-16 00:00:00',4,4,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241415152441469813574122610164052',11319,'752',52.24,1,3,NULL),(20,5308755,'1989-11-14 00:00:00',4,5,12,2006,'F','N','PASCOTINI','STO ÂNGELO','RS','120202201217471431435931271324610162147',1533,'9998',77.88,1,3,NULL),(20,5308771,'1990-02-26 00:00:00',4,1,11,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215573431369711572122232066092',1304,'1063',79.72,4,3,NULL),(20,5308780,'1993-05-19 00:00:00',2,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241215132431328524572124610148092',10473,'185',54.78,1,3,NULL),(20,5308798,'1988-05-07 00:00:00',2,1,12,2008,'F','N','PRADO','BIGUAÇU','SC','124241247425131432321419394244610166192',NULL,'9999',22.45,3,3,NULL),(20,5308801,'1993-01-28 00:00:00',4,2,11,2009,'M','N','CENTRO','JOSÉ BOITEUX','SC','124243241217111411658613375122610164012',4187,'346',67.87,4,3,NULL),(20,5308828,'1991-11-21 00:00:00',2,9,12,2008,'F','N','PIO X','FARROUPILHA','RS','120201201215371431437614271122610125147',NULL,'9998',0.00,1,3,NULL),(20,5308836,'1992-12-22 00:00:00',2,7,12,2009,'F','N','SÃO FRANCISCO','VIDEIRA','SC','124241241116141511438612195122610127142',NULL,'831',18.82,1,2,1),(20,5308844,'1990-12-03 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241142471431456923342124610126147',9977,'740',56.84,1,2,1),(20,5308852,'1991-03-28 00:00:00',2,1,12,2008,'F','N','SÃO JOSÉ','S LEOPOLDO','RS','120202201217471431447923573124610144047',3238,'9998',71.55,1,3,NULL),(20,5308860,'1992-09-08 00:00:00',4,1,12,2009,'F','N','GUAIUBA','IMBITUBA','SC','124241241116131531413619372124610124142',NULL,'359',22.20,1,2,1),(20,5308879,'1991-05-11 00:00:00',4,1,12,2008,'F','N','CENTRO','FAXINAL GUEDES','SC','124243241215473431458632572124610134142',4488,'270',67.73,1,3,NULL),(20,5308895,'1992-07-25 00:00:00',4,1,12,2009,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241115141431433333396224610161057',12312,'739',50.12,1,2,1),(20,5308917,'1991-08-22 00:00:00',2,4,12,2008,'M','N','JARDIM BIRIGUI','UMUARAMA','PR','116162161216471231444934575122610127052',NULL,'9998',0.00,1,3,NULL),(20,5308925,'1991-05-27 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124246241117472712326624575124610128017',14216,'307',48.13,1,3,NULL),(20,5308933,'1986-03-19 00:00:00',2,1,6,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241126332421433611115123510114012',16324,'922',39.15,1,2,1),(20,5308941,'1981-10-09 00:00:00',4,3,12,1998,'M','N','ARIRIBÁ','BAL CAMBORIÚ','SC','124241241126131441456611185133130742172',NULL,'49',0.00,1,3,NULL),(20,5308950,'1991-11-11 00:00:00',4,4,12,2008,'F','N','CENTRO','PATO BRANCO','PR','116162161216471431568613572112610144197',NULL,'9998',0.00,1,3,NULL),(20,5308968,'1991-12-05 00:00:00',4,5,11,2009,'M','N','PIO CORRÊA','CRICIÚMA','SC','124242241215112531338831575122610127042',NULL,'211',23.28,1,3,NULL),(20,5308976,'1988-12-02 00:00:00',4,1,12,2006,'M','N','RIO BRANCO','PTO ALEGRE','RS','120202201217471431269931371222140421172',NULL,'9998',0.00,1,3,NULL),(20,5308984,'1990-03-15 00:00:00',2,1,12,2009,'F','N','CENTRO','S LUIZ GONZAGA','RS','120203201336371611527619495122610168142',NULL,'9998',21.30,1,3,NULL),(20,5308992,'1991-12-17 00:00:00',4,1,12,2009,'M','N','CASCATINHA','CURITIBA','PR','116162161215111521556612375124610117117',14869,'9998',45.85,4,3,NULL),(20,5309000,'1992-10-15 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248212112751555939575125610123097',NULL,'270',44.18,1,3,NULL),(20,5309018,'1992-11-09 00:00:00',4,1,12,2010,'F','S','PRAIA COMPRIDA','S JOSÉ','SC','124244241417111752347623572124610162047',NULL,'270',54.99,1,3,NULL),(20,5309026,'1992-04-03 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473431256912475124610128181',7823,'270',60.49,1,3,NULL),(20,5309042,'1982-05-30 00:00:00',4,1,12,2001,'F','N','REAL PARQUE','CAMPINAS','SP','125251256117471431335623382122141727181',9830,'9998',55.19,4,1,1),(20,5309050,'1993-01-17 00:00:00',4,9,12,2010,'M','S','MARTORANO','S JOAQUIM','SC','124244241212151531558632575122610147012',NULL,'1035',25.64,1,3,NULL),(20,5309077,'1992-05-13 00:00:00',2,16,12,2009,'M','N','BOSQUE','CURITIBANOS','SC','124241241115371731424419415122610114055',NULL,'239',0.00,1,2,1),(20,5309085,'1993-07-25 00:00:00',4,1,11,2009,'M','N','CENTRO','PAULO LOPES','SC','124243241222111431439313575124610117047',15715,'262',45.44,1,3,NULL),(20,5309093,'1989-07-13 00:00:00',4,1,12,2007,'M','N','CENTRO','MAFRA','SC','124241241217573431436911495125141168092',NULL,'541',36.98,1,3,NULL),(20,5309107,'1992-01-11 00:00:00',4,2,12,2009,'M','N','ASILO','BLUMENAU','SC','124241241132161231426614245134610167177',NULL,'79',34.52,1,2,1),(20,5309115,'1992-04-03 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241247414131531666619575114610137047',NULL,'270',18.49,1,3,NULL),(20,5309123,'1992-08-03 00:00:00',4,17,12,2009,'F','N','VILA NOVA','TRÊS BARRAS','SC','124241241136261431433632215124610134017',NULL,'146',28.59,1,2,1),(20,5309131,'1992-05-13 00:00:00',4,8,11,2009,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124243241417131711536633235125610168142',NULL,'1061',30.20,1,3,NULL),(20,5309140,'1991-04-22 00:00:00',2,4,12,2008,'M','N','NOSSA SENHORA APAREC','FRANCISCO BELTRÃO','PR','116162161215472421456632572144610166042',2838,'9998',73.34,1,3,NULL),(20,5309158,'1989-05-28 00:00:00',2,1,12,2007,'F','N','ROCADO','S JOSÉ','SC','124241244122141531433512342112610117112',NULL,'729',20.16,1,2,1),(20,5309166,'1993-07-02 00:00:00',2,4,12,2009,'M','N','DISTRITO SÃO ROQUE','S LOURENÇO OESTE','SC','124241242116131232423316365324610138052',NULL,'196',0.00,1,2,1),(20,5309174,'1990-11-28 00:00:00',4,1,12,2008,'F','N','JARDIM LA SALLE','TOLEDO','PR','116164161217472411379933572122610164097',2995,'9998',72.36,1,3,NULL),(20,5309182,'1982-11-02 00:00:00',4,8,12,2000,'M','N','CANGAIBA','S PAULO','SP','125251251126371311124344245323610127042',NULL,'9998',39.74,4,1,1),(20,5309190,'1989-03-26 00:00:00',3,2,11,2006,'F','N','VELHA','BLUMENAU','SC','124241241137131431436723382124610136097',NULL,'69',41.01,1,2,1),(20,5309204,'1989-11-12 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215373431456813472112610117057',11713,'884',52.69,1,3,NULL),(20,5309212,'1992-11-15 00:00:00',4,17,12,2009,'F','N','CENTRO','TRÊS BARRAS','SC','124241241414111451459933572124610141142',NULL,'973',24.44,1,3,NULL),(20,5309220,'1992-05-23 00:00:00',2,4,12,2009,'F','N','CENTRO','CAÇADOR','SC','124241241416111431457532575122610167142',7507,'120',61.15,1,3,NULL),(20,5309239,'1990-01-15 00:00:00',4,8,11,2007,'M','N','GUANABARA','JOINVILLE','SC','124241241126271431336613145123610167057',NULL,'467',21.64,1,2,1),(20,5309247,'1987-11-30 00:00:00',2,1,12,2006,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','224201201146132431234354242334610124197',NULL,'9998',20.63,1,2,1),(20,5309255,'1991-06-03 00:00:00',2,8,12,2008,'M','N','PAULAS','S FRANCISCO SUL','SC','124242241227371731569613572122610167047',11019,'867',56.25,1,3,NULL),(20,5309271,'1993-03-07 00:00:00',4,2,12,2010,'F','S','FORTALEZA','BLUMENAU','SC','124244241216111311466312575112610168192',NULL,'909',30.38,1,3,NULL),(20,5309280,'1992-07-15 00:00:00',4,1,12,2009,'M','N','CENTRO','CURITIBA','PR','116252161217121411258812245122610166012',NULL,'9998',0.00,1,3,NULL),(20,5309301,'1989-09-09 00:00:00',2,7,12,2009,'M','N','CENTRO','CAC DOBLE','RS','120201242116131411434416275223610157057',NULL,'196',17.19,1,2,1),(20,5309310,'1991-03-12 00:00:00',2,1,12,2008,'M','N','ZONA SETE','MARINGÁ','PR','116162161217471732558613485112610167052',12101,'9998',50.87,3,3,NULL),(20,5309328,'1991-11-23 00:00:00',2,4,12,2008,'M','N','CENTRO','ENTRE R SUL','RS','120201201126152431458933472124243217057',3280,'9998',70.72,1,2,1),(20,5309344,'1990-07-12 00:00:00',2,5,8,2008,'F','N','AURRORA','IÇARA','SC','124162248215372751338814395124610148017',NULL,'995',27.71,2,3,NULL),(20,5309352,'1993-05-29 00:00:00',4,2,12,2010,'F','S','ESTADOS','INDAIAL','SC','124244241212111431353924495124610125185',NULL,'855',0.00,1,3,NULL),(20,5309360,'1990-10-03 00:00:00',1,9,7,2008,'F','N','CENTRO','AGRONÔMICA','SC','124241241415373451439814345134610124097',NULL,'9998',22.13,1,3,NULL),(20,5309379,'1991-05-04 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217272531468612425122221237052',NULL,'270',0.00,1,3,NULL),(20,5309387,'1992-11-12 00:00:00',4,1,12,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215111431489913575122610124042',4466,'270',67.38,1,3,NULL),(20,5309395,'1988-11-01 00:00:00',2,5,12,2005,'F','N','CENTRO','PR GRANDE','SC','124241241131575431558631595124610167142',2034,'641',76.43,1,2,1),(20,5309409,'1992-07-07 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241211132451444312171122610126057',8181,'1134',59.28,1,3,NULL),(20,5309417,'1991-08-16 00:00:00',2,7,12,2008,'F','N','CENTRO','ERVAL VELHO','SC','124241241117272411433335172124221466147',14533,'253',49.17,1,2,1),(20,5309425,'1992-10-26 00:00:00',4,4,12,2009,'M','N','CENTRO','TOLEDO','PR','116162161215471411369934475122610164092',4891,'9998',68.61,1,3,NULL),(20,5309433,'1992-09-26 00:00:00',2,15,12,2009,'F','N','CENTRO','MELEIRO','SC','124242241216371411446932575121610148097',NULL,'813',26.39,1,3,NULL),(20,5309441,'1991-10-20 01:00:00',2,9,12,2009,'F','N','CENTRO','NOVA PRATA','RS','120201201116471431423631575122610144142',11487,'9998',52.68,1,2,1),(20,5309450,'1992-03-19 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121432578811475122610137045',14978,'270',47.94,1,3,NULL),(20,5309468,'1989-10-30 00:00:00',4,1,12,2006,'M','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161217572231336932574124231464127',NULL,'9998',0.00,1,3,NULL),(20,5309476,'1989-10-31 00:00:00',2,1,11,2006,'F','N','SANTOS DUMONT','S JOSÉ','SC','124242241216373431448913445124232747142',NULL,'262',0.00,1,3,NULL),(20,5309484,'1992-02-06 00:00:00',4,17,12,2009,'M','N','CENTRO','CANOINHAS','SC','124241241115371411533611215121610166177',14349,'146',45.38,1,2,1),(20,5309492,'1991-02-01 00:00:00',4,3,12,2008,'M','N','SÃO JOÃO','TAQUARI','RS','120202201117271431548819391115141064047',NULL,'9998',0.00,1,3,NULL),(20,5309506,'1988-08-28 00:00:00',4,1,12,2005,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241415573121357613245114610168092',NULL,'288',NULL,1,3,NULL),(20,5309514,'1992-02-25 00:00:00',4,2,12,2009,'M','N','BELA VISTA','GASPAR','SC','124241241117141431334314345124610112142',NULL,'69',25.90,1,2,1),(20,5309522,'1992-06-03 00:00:00',4,1,12,2009,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241115371431436633575124610134012',NULL,'772',18.15,1,2,1),(20,5309530,'1990-12-08 00:00:00',2,16,12,2008,'M','N','SÃO LUIZ','CURITIBANOS','SC','124241241117472431346511341112610162041',NULL,'239',13.71,1,2,1),(20,5309557,'1990-09-18 00:00:00',2,1,10,2007,'M','N','CENTRO','IPUMIRIM','SC','124241248214472431448834412124610134092',NULL,'190',37.22,1,3,NULL),(20,5309565,'1992-09-10 00:00:00',4,1,12,2009,'M','N','BOA VISTA','PTO ALEGRE','RS','120202201217471431569931571122610127047',2848,'9998',72.39,1,3,NULL),(20,5309573,'1988-07-18 00:00:00',2,1,12,2005,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241147141431433631342312610117042',14940,'772',48.05,1,2,1),(20,5309581,'1988-09-04 00:00:00',2,4,12,2006,'F','N','CENTRO','ERECHIM','RS','120204201336572711256923471124610146182',5022,'9998',66.82,1,3,NULL),(20,5309590,'1991-05-13 00:00:00',4,1,12,2009,'M','N','CENTRO','TRÊS B PARANÁ','PR','116161161111371711557731281125610137071',NULL,'9999',0.00,1,3,NULL),(20,5309603,'1990-11-05 00:00:00',4,8,12,2007,'M','N','VILA A','FOZ IGUAÇU','PR','116161161116151741534833585214610167012',NULL,'9998',0.00,3,2,1),(20,5309611,'1985-12-13 00:00:00',4,6,10,2003,'M','N','WEISSOPOLIS','PINHAIS','PR','116161161121571741323331245133610162052',10716,'9998',52.49,1,2,1),(20,5309620,'1991-08-14 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217272431379914575124231434042',1251,'1022',79.97,1,3,NULL),(20,5309638,'1988-09-23 00:00:00',2,4,12,2005,'F','N','CENTRO','STA MARIA','RS','120201201217571451258933432114610166017',722,'9998',82.74,1,3,NULL),(20,5309646,'1990-06-09 00:00:00',4,1,12,2007,'F','N','SANTA FELÍCIA','S CARLOS','SP','125252251215571431357813575112610162187',NULL,'9998',0.00,1,3,NULL),(20,5309654,'1992-11-16 00:00:00',4,4,12,2009,'M','N','CENTRO','GUARACIABA','SC','124243246417151531328911175124610127067',NULL,'1179',25.27,1,3,NULL),(20,5309670,'1991-04-13 00:00:00',4,1,12,2008,'M','N','BOM CLIMA','GUARULHOS','SP','125252251516271731318628575114610168097',12747,'9998',52.84,1,3,NULL),(20,5309689,'1992-06-13 00:00:00',2,2,12,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116161168137111531346613335114610113147',NULL,'9998',0.00,1,2,1),(20,5309697,'1992-02-27 00:00:00',4,10,12,2009,'M','N','TERMAS DO GRAVATAL','GRAVATAL','SC','117172171116151431426624575121610168055',NULL,'9998',29.25,1,3,NULL),(20,5309700,'1992-05-26 00:00:00',4,1,12,2009,'F','N','MORRO DAS TRÊS VOLTA','STO AMARO IMPERATRIZ','SC','124241241116131431326621285124610136142',NULL,'772',25.93,1,2,1),(20,5309719,'1992-05-22 00:00:00',4,8,12,2009,'M','N','CENTRO','SCHROEDER','SC','124241241135141421466634335122610132047',NULL,'762',0.00,1,2,1),(20,5309735,'1993-03-11 00:00:00',4,10,10,2010,'F','S','SANTO ANTONIO DE PAD','TUBARÃO','SC','124242241215111431469913475122610133142',NULL,'807',52.91,1,3,NULL),(20,5309743,'1992-07-31 00:00:00',4,1,11,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244241215112431559923572122610132077',6715,'270',64.46,1,3,NULL),(20,5309760,'1990-09-14 00:00:00',2,1,11,2009,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215372431548813472114131063077',8978,'270',56.94,1,3,NULL),(20,5309778,'1982-09-28 00:00:00',2,1,12,2001,'M','N','FLORIANÓPOLIS','FLORIANÓPOLIS','SC','124241247227131431336923395123131228187',NULL,'317',25.13,1,3,NULL),(20,5309786,'1992-05-01 00:00:00',2,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244248215411431448929575122610167117',NULL,'44',21.06,1,3,NULL),(20,5309808,'1990-08-10 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124122248217111531688819475124610117062',NULL,'272',26.83,1,3,NULL),(20,5309816,'1988-10-03 00:00:00',4,2,11,2006,'F','N','CENTRO','RIO SUL','SC','125252251216571431449714595122610131192',14887,'9998',48.19,1,3,NULL),(20,5309824,'1992-07-06 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241215271431458318172114610127017',13535,'737',50.17,1,3,NULL),(20,5309832,'1991-01-27 00:00:00',2,5,12,2008,'M','N','PIO CORRÊA','CRICIÚMA','SC','124242241212132431447819292224232627117',NULL,'226',24.51,1,3,NULL),(20,5309840,'1952-02-15 00:00:00',4,1,12,1969,'M','N','CENTRO','BLUMENAU','SC','524211211141131431226648281314341136097',NULL,'9998',0.00,1,3,NULL),(20,5309867,'1993-01-17 00:00:00',4,9,12,2010,'M','S','MARTORANO','S JOAQUIM','SC','124242248217131531548632495122610157017',NULL,'1035',27.73,1,3,NULL),(20,5309875,'1989-10-31 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241115474431336933445123610167117',NULL,'288',22.64,1,3,NULL),(20,5309905,'1992-06-04 00:00:00',4,1,12,2009,'M','N','JD CLAUDIA','LONDRINA','PR','116162161215111731449933575122610167092',11374,'9998',51.06,1,3,NULL),(20,5309913,'1991-07-09 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241217132411437923395124220267111',NULL,'299',0.00,1,3,NULL),(20,5309930,'1970-11-06 00:00:00',2,4,12,1993,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124201201116131751111149281344610167187',12184,'9998',54.01,4,1,1),(20,5309948,'1991-12-19 00:00:00',4,1,12,2009,'M','N','FORQUILHAS','S JOSÉ','SC','124244241216111431436839575122610167017',NULL,'944',29.45,4,1,2),(20,5309956,'1991-09-23 00:00:00',4,1,12,2008,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241241315273431449614345124610154092',NULL,'9997',25.18,1,3,NULL),(20,5309964,'1986-06-16 00:00:00',2,1,12,2003,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124171201117151411234214431114610137043',NULL,'9998',27.89,4,2,1),(20,5309972,'1990-09-04 00:00:00',4,1,11,2008,'F','N','CENTRO','CURITIBA','PR','116162161216471431456831575122610164092',10268,'9998',54.13,1,3,NULL),(20,5309980,'1992-09-14 00:00:00',4,7,12,2009,'M','N','SÃO CRISTOVÃO','VIDEIRA','SC','124241241217371221343211275125610124187',NULL,'1080',30.83,2,1,2),(20,5309999,'1992-06-01 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241112371431336623572115610118182',14251,'592',47.25,1,2,1),(20,5310008,'1977-05-24 00:00:00',4,1,12,1995,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124062246131153411138744345124123266191',9241,'9998',59.53,1,3,NULL),(20,5310024,'1980-10-29 00:00:00',4,1,12,1997,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217113431468833435122321417043',NULL,'391',0.00,1,3,NULL),(20,5310032,'1988-08-02 00:00:00',4,1,11,2006,'M','N','SEDE CHARUTO','S BERNARDINO','SC','124241202117162411633336391324610152057',NULL,'9998',23.65,3,2,1),(20,5310040,'1992-12-09 00:00:00',4,2,12,2009,'F','N','VILA NOVA','BLUMENAU','SC','124242241215111731468813575122610137077',3925,'855',70.23,1,3,NULL),(20,5310059,'1958-02-05 00:00:00',2,1,12,1996,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','524164247112152431327459392124321666047',NULL,'9999',0.00,1,3,NULL),(20,5310075,'1992-06-06 00:00:00',2,15,12,2009,'F','N','CENTRO','TORRES','RS','120204201416111431458932295122610137077',NULL,'9998',28.78,1,3,NULL),(20,5310083,'1990-03-20 00:00:00',4,2,12,2007,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241145371711223444345332610165197',NULL,'659',26.27,4,3,NULL),(20,5310091,'1992-11-12 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241215111731548822575125610167042',14257,'1038',49.82,1,3,NULL),(20,5310105,'1992-10-15 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241127131411226624575124610134192',10107,'736',56.16,1,2,1),(20,5310121,'1988-06-05 00:00:00',2,1,12,2005,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241132333121536624342114610145047',15806,'295',41.74,1,2,1),(20,5310156,'1992-11-08 00:00:00',2,8,12,2009,'F','N','CENTRO','AMPÉRE','PR','116162161216111431559933574125610136182',2379,'9998',74.46,1,3,NULL),(20,5310164,'1991-08-03 00:00:00',4,1,12,2008,'F','N','SANTA CALRA','S JOÃO B VISTA','SP','125252251216471431327412395125610152192',NULL,'9998',0.00,1,3,NULL),(20,5310172,'1991-09-16 00:00:00',2,1,7,2009,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241117131132536713572124610164147',NULL,'739',26.80,1,2,1),(20,5310180,'1991-10-23 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111411488832572112610162041',15136,'270',45.16,1,3,NULL),(20,5310199,'1983-09-13 00:00:00',4,8,12,2000,'F','N','TROPICAL','CASCAVEL','PR','116162161216571431369914472122343131012',NULL,'9998',0.00,1,3,NULL),(20,5310202,'1993-07-14 00:00:00',2,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124243241215111431328814245124610134017',NULL,'988',27.08,1,3,NULL),(20,5310210,'1988-06-15 00:00:00',4,6,12,2005,'M','N','SÃO JOÃO','ITAJAÍ','SC','124241241116131631434513315132131417097',NULL,'401',0.00,1,2,1),(20,5310229,'1992-07-28 00:00:00',4,2,12,2009,'M','N','CENTRO','VIDAL RAMOS','SC','124241241116131421448933245121610164052',NULL,'828',0.00,1,3,NULL),(20,5310237,'1989-03-31 00:00:00',2,1,12,2007,'M','N','CAJURU','CURITIBA','PR','116162161215471411276612572112610131092',NULL,'9998',7.31,1,3,NULL),(20,5310245,'1987-04-14 00:00:00',2,8,12,2004,'M','N','PAULAS','S FRANCISCO SUL','SC','124242241211272421558611571124610167122',6285,'992',65.37,1,3,NULL),(20,5310253,'1990-05-07 00:00:00',4,9,12,2007,'F','N','CENTRO','MARÍLIA','SP','125254251216572431338664595114142567182',NULL,'9998',0.00,1,3,NULL),(20,5310261,'1991-08-20 00:00:00',4,5,11,2008,'M','N','HUMAITÁ','BENTO GONÇALVES','RS','120202201217151411659812372122241463097',NULL,'9998',0.00,1,3,NULL),(20,5310270,'1989-07-03 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215112212453334575114133267183',15420,'1049',46.55,1,3,NULL),(20,5310288,'1991-01-10 00:00:00',4,5,12,2008,'F','N','NASPOLINI','CRICIÚMA','SC','124242241215113431349812575124223257072',14975,'226',47.95,1,3,NULL),(20,5310300,'1989-08-30 00:00:00',4,1,12,2007,'M','N','CENTRO','TIJUCAS','SC','124242241211151411321623445112133267053',NULL,'1119',28.45,1,3,NULL),(20,5310318,'1988-08-24 00:00:00',4,1,12,2005,'M','N','KOBRASOL','S JOSÉ','SC','124241241216154711448711245125610117054',NULL,'1076',26.63,1,3,NULL),(20,5310326,'1989-12-13 00:00:00',4,1,12,2007,'M','N','VILA BRESSANI','PAULÍNIA','SP','125251251116151431353833575112243262182',NULL,'9998',0.00,1,2,1),(20,5310334,'1988-06-08 00:00:00',2,1,11,2007,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241417273431248822242132610162112',15065,'592',47.67,1,3,NULL),(20,5310342,'1990-08-06 00:00:00',4,8,12,2007,'M','N','ITAUM','JOINVILLE','SC','124241241217271731458933385122131417183',NULL,'463',26.05,1,3,NULL),(20,5310350,'1991-12-20 00:00:00',2,1,12,2009,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241117162431644314572314610134142',NULL,'359',22.37,1,2,1),(20,5310369,'1992-08-26 00:00:00',4,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124244241235111731368769572225610127142',NULL,'1119',28.82,1,3,NULL),(20,5310377,'1992-05-03 00:00:00',2,1,12,2009,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241225131431528419572124610132052',13425,'262',48.94,1,3,NULL),(20,5310385,'1990-11-26 00:00:00',2,9,12,2007,'F','N','FORQUETA','CAXIAS SUL','RS','120202201217572431446812571124140441142',4274,'9998',70.10,1,3,NULL),(20,5310393,'1992-12-10 00:00:00',2,10,12,2010,'F','S','CENTRO','ORLEANS','SC','124243241215111531348521375112610122042',NULL,'950',24.60,1,3,NULL),(20,5310415,'1992-08-29 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241215273431236923575124610128182',9800,'724',54.48,1,3,NULL),(20,5310423,'1975-08-05 00:00:00',2,1,9,2001,'F','N','IPIRANGA','S JOSÉ','SC','224241247127131431433358182344610127187',NULL,'9999',0.00,1,3,NULL),(20,5310440,'1991-08-18 00:00:00',4,16,12,2008,'F','N','BOM JESUS','CURITIBANOS','SC','124241241117471111436631572125610168147',NULL,'239',19.83,4,3,NULL),(20,5310458,'1988-12-23 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124162168237275441458414395124610127065',7820,'9998',62.18,1,3,NULL),(20,5310466,'1994-01-26 00:00:00',4,6,11,2009,'F','N','CENTRO','NAVEGANTES','SC','124242241215121231489931575122610132042',8618,'1026',60.71,1,3,NULL),(20,5310474,'1991-06-18 00:00:00',4,4,12,2008,'M','N','CENTRO','DOIS VIZINHOS','PR','116202201116471431326612245125610168192',3212,'9998',72.19,1,3,NULL),(20,5310482,'1990-07-18 00:00:00',2,4,12,2007,'F','N','MEDIANEIRA','STA MARIA','RS','120201201211571431336611571124610126147',1005,'9998',81.28,1,3,NULL),(20,5310490,'1992-01-13 00:00:00',4,4,12,2009,'F','N','INTERIOR','NOVA ERECHIM','SC','124241241134271431526535355124610126147',11182,'572',52.83,1,2,1),(20,5310504,'1992-07-04 00:00:00',4,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124242161215112431567832322122610123142',5542,'9998',66.72,1,3,NULL),(20,5310512,'1991-06-25 00:00:00',2,8,12,2008,'M','N','BOM RETIRO','JOINVILLE','SC','124242241216273731259933245114610137052',5873,'202',63.95,1,3,NULL),(20,5310520,'1993-08-19 00:00:00',4,1,11,2009,'F','N','CENTRO DE PALHOÇA','PALHOÇA','SC','124242241215111431456823575124610164077',11120,'1011',54.26,1,3,NULL),(20,5310539,'1960-04-25 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215121731469619576122610118147',NULL,'1169',21.41,2,3,NULL),(20,5310547,'1989-07-29 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241111274431323421285124610132077',9598,'307',56.10,1,3,NULL),(20,5310555,'1993-08-07 00:00:00',4,1,11,2010,'M','S','CAMPINAS','S JOSÉ','SC','124242241215111451368923471122610168146',NULL,'737',69.65,1,3,NULL),(20,5310563,'1986-03-20 00:00:00',2,1,7,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241247127275411336544342124130223017',NULL,'736',41.60,1,2,1),(20,5310580,'1992-10-10 00:00:00',4,7,12,2009,'F','N','SENHOR BOM JESUS','CAMPOS NOVOS','SC','124241241146161451433615292222610128057',NULL,'140',0.00,1,3,NULL),(20,5310598,'1991-01-08 00:00:00',4,1,12,2008,'M','N','CENTRO','TOLEDO','PR','116162161217472431369911575111610132042',6192,'9998',65.33,1,3,NULL),(20,5310601,'1992-09-09 00:00:00',2,1,12,2009,'M','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241112161411526711572124610131142',NULL,'772',19.85,1,2,1),(20,5310610,'1992-04-15 00:00:00',2,4,11,2009,'F','N','CENTRO','CASCAVEL','PR','116162161216111431468611575122610135142',6776,'9998',61.99,1,3,NULL),(20,5310628,'1989-03-17 00:00:00',2,1,11,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124252251311572411148712295124231162042',11245,'9998',55.83,1,3,NULL),(20,5310644,'1992-06-08 00:00:00',4,17,12,2009,'M','N','CENTRO','MAFRA','SC','124162161212371431488613572122610134012',9634,'9998',58.85,1,3,NULL),(20,5310652,'1991-10-08 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217271431227629595125610127042',2719,'262',74.35,1,3,NULL),(20,5310660,'1991-02-03 00:00:00',2,3,12,2008,'M','N','JARDIM PAULISTA','PARAGUAÇU PAULISTA','SP','125254251217471231348814575113610164192',NULL,'9998',23.99,1,3,NULL),(20,5310679,'1992-10-09 00:00:00',4,2,11,2009,'M','N','GARCIA','BLUMENAU','SC','124242241215211431367714572114610137012',6611,'855',63.11,1,3,NULL),(20,5310687,'1993-09-26 00:00:00',4,1,11,2010,'F','S','CAPOERIAS','FLORIANÓPOLIS','SC','124242241217111431458831315122610123147',NULL,'262',31.36,1,3,NULL),(20,5310695,'1990-02-28 00:00:00',4,1,12,2007,'M','N','PARQUE RONDON','LENÇÓIS PAULISTA','SP','125253251415311431434312275112142367092',546,'9998',84.24,1,3,NULL),(20,5310709,'1992-05-26 00:00:00',4,1,12,2008,'F','N','FORTALEZA','RIO PARDO','RS','120204201216471431663816574112610142193',8860,'9998',56.40,1,3,NULL),(20,5310717,'1992-05-19 00:00:00',4,3,12,2009,'M','N','CENTRO','ITAPEMA','SC','124242241215151731467614285114610147052',8621,'407',58.91,1,3,NULL),(20,5310725,'1990-05-20 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124241241136571411326613385124231153072',14649,'140',48.86,4,2,1),(20,5310733,'1982-01-16 00:00:00',2,1,12,2000,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241126135431118641215124223033187',NULL,'307',0.00,1,2,1),(20,5310741,'1990-08-16 00:00:00',2,3,12,2007,'F','N','ZONA SETE','MARINGÁ','PR','116161161215571711548729572125610133182',NULL,'9998',0.00,1,3,NULL),(20,5310750,'1969-08-21 00:00:00',4,1,12,1988,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224241246126373421323341312123610122097',NULL,'306',28.75,1,2,1),(20,5310768,'1985-04-06 00:00:00',4,1,12,2002,'M','N','CAMPO GRANDE','SANTOS','SP','125252251216574431148823572112610167047',NULL,'9998',0.00,1,3,NULL),(20,5310776,'1992-06-13 00:00:00',2,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116251161126471431538839295125610163147',NULL,'9998',0.00,1,2,1),(20,5310784,'1979-06-15 00:00:00',2,1,12,1997,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116144721463323435124420826192',16283,'293',41.03,1,2,1),(20,5310792,'1992-04-15 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124242241215111431326929392112610115097',NULL,'1118',22.29,1,3,NULL),(20,5310806,'1991-09-25 00:00:00',2,1,12,2008,'F','N','ROÇADO','S JOSÉ','SC','124241241216373431537823282124610137067',13968,'1076',47.27,2,1,2),(20,5310822,'1991-12-05 00:00:00',4,8,11,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161225371431459914441111610147042',9031,'9998',58.14,1,3,NULL),(20,5310830,'1965-08-18 00:00:00',4,1,12,1982,'M','N','INGLESES','FLORIANÓPOLIS','SC','224244208211133421433341115124343262047',NULL,'9998',23.26,1,3,NULL),(20,5310849,'1990-06-06 00:00:00',4,1,12,2007,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215372411456771575124131434111',7376,'270',63.08,4,3,NULL),(20,5310857,'1990-01-09 00:00:00',2,15,11,2009,'F','N','PARAGUAI','JACINTO MACHADO','SC','124241241116371451524321192124610137147',NULL,'420',0.00,1,2,1),(20,5310865,'1992-07-09 00:00:00',4,6,11,2009,'M','N','PETROPOLIS','LONDRINA','PR','116162161216111432459813572121610162082',3467,'9998',70.17,1,3,NULL),(20,5310873,'1993-09-26 00:00:00',4,1,12,2010,'M','S','JOAO PAULO','FLORIANÓPOLIS','SC','124242241215111531469611592124610138052',NULL,'262',33.84,1,3,NULL),(20,5310881,'1992-02-04 00:00:00',2,1,12,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124241241115341431536723392334610122147',NULL,'257',22.84,1,3,NULL),(20,5310890,'1984-05-21 00:00:00',4,5,12,2001,'F','N','BOA VISTA','CRICIÚMA','SC','124241241216132421433319445124330666187',NULL,'210',39.30,1,3,NULL),(20,5310903,'1988-12-05 00:00:00',2,9,12,2006,'M','N','SANTO ANTÔNIO','ITUPORANGA','SC','124241241126372431433314275122610167142',NULL,'415',0.00,1,3,NULL),(20,5310911,'1991-12-19 00:00:00',4,3,11,2009,'F','N','CENTRO','CAMBORIÚ','SC','124241241117371441545511342224610146172',3052,'130',71.79,1,2,1),(20,5310920,'1980-09-11 00:00:00',4,1,12,1998,'F','N','RIO GRANDE','PALHOÇA','SC','124241241116155421234423245122321934177',11929,'307',54.51,4,3,NULL),(20,5310938,'1987-09-23 00:00:00',4,10,12,2005,'M','N','PASSAGEM','TUBARÃO','SC','124241241116135431433361115114610166097',6974,'521',61.69,1,2,1),(20,5310946,'1991-05-30 00:00:00',4,1,12,2008,'F','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124241241112132712524611571114610131147',NULL,'733',0.00,1,2,1),(20,5310954,'1993-02-25 00:00:00',4,1,12,2009,'F','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112122121216121431459933575122610162112',NULL,'9998',0.00,1,3,NULL),(20,5310962,'1984-03-23 00:00:00',4,1,12,2001,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124281241335153711137644445135120766195',4524,'724',69.47,1,3,NULL),(20,5310989,'1990-06-10 00:00:00',4,1,12,2007,'F','N','MIRANDÓPOLIS','S PAULO','SP','125114111214573411679611415125610125112',NULL,'9998',0.00,4,3,NULL),(20,5311004,'1991-01-14 00:00:00',4,1,12,2008,'M','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125254251217471431489931475122610124146',896,'9998',80.31,1,3,NULL),(20,5311012,'1987-09-04 00:00:00',2,8,12,2004,'F','N','SANTA CANDIDA','CURITIBA','PR','116081081215521441549511491124610128032',1744,'9998',77.87,4,3,NULL),(20,5311047,'1969-01-10 00:00:00',2,1,12,1987,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124251251126133431544474481124610164147',NULL,'9998',37.13,3,2,1),(20,5311055,'1993-04-11 00:00:00',2,1,11,2010,'F','S','CAMPINAS','S JOSÉ','SC','124243241215111412436314575324610126147',NULL,'737',45.67,1,3,NULL),(20,5311063,'1982-03-05 00:00:00',2,1,12,1999,'M','N','FLORESTA','S JOSÉ','SC','124243241126275421335644345124610167067',8906,'257',56.97,1,3,NULL),(20,5311071,'1990-12-10 00:00:00',2,1,12,2007,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241137242111325921315334610145147',11579,'288',53.94,1,2,1),(20,5311080,'1991-08-01 00:00:00',4,4,11,2008,'M','N','ESPLANADA','STA ROSA','RS','120203201216471431468934575124610162143',10440,'9998',54.73,1,3,NULL),(20,5311098,'1992-07-21 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124242241215141432356713215124610112052',NULL,'868',22.06,1,3,NULL),(20,5311101,'1989-04-28 00:00:00',4,1,12,2006,'M','N','BOSQUE DO EUCALIPTOS','S JOSÉ CAMPOS','SP','125251251126572441635311245334610144152',15656,'9998',45.66,1,2,1),(20,5311110,'1974-05-16 00:00:00',4,1,12,1993,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124251241136153421126823495123221767147',NULL,'307',31.33,1,2,1),(20,5311128,'1992-08-08 00:00:00',4,7,12,2009,'F','N','INDUSTRIAL','SALTO VELOSO','SC','124243241111131431516614441225610138192',NULL,'1113',0.00,1,3,NULL),(20,5311136,'1992-05-22 00:00:00',2,10,12,2009,'F','N','CAMPO DE FORA','LAGUNA','SC','124242241226151431335914575123610127182',NULL,'524',25.77,1,3,NULL),(20,5311144,'1985-06-06 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241417375741268924397122333227047',NULL,'266',35.69,1,3,NULL),(20,5311152,'1991-12-28 00:00:00',4,1,12,2009,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241112141731423371572124610142047',NULL,'296',23.76,1,3,NULL),(20,5311160,'1983-09-10 00:00:00',2,1,12,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224241241127134721223444442114610168047',NULL,'281',0.00,1,3,NULL),(20,5311179,'1991-01-10 00:00:00',4,1,12,2007,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201211471431478831571124610117042',659,'9998',83.07,1,3,NULL),(20,5311187,'1986-07-03 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241126134411433311245123333264082',9833,'274',56.05,1,2,1),(20,5311195,'1993-01-13 00:00:00',4,1,12,2009,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124243241217151431437611275122610143147',NULL,'1075',20.75,1,3,NULL),(20,5311209,'1992-03-28 00:00:00',4,10,12,2009,'F','N','BARRANCEIRA','LAGUNA','SC','124241241116373431346914475124610122142',7837,'521',60.06,1,2,1),(20,5311217,'1992-04-28 00:00:00',2,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241115371431328611286124610162142',NULL,'405',26.62,1,2,1),(20,5311225,'1992-07-17 00:00:00',2,1,12,2009,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241127161431634815172225610167142',14262,'649',46.28,1,2,1),(20,5311233,'1990-08-16 00:00:00',2,15,12,2007,'M','N','TIROLEZA','TRAMANDAÍ','RS','120201201111571411553412575124610167047',3036,'9998',72.74,1,2,1),(20,5311241,'1992-07-02 00:00:00',4,1,12,2009,'M','N','CENTRO','ALFREDO WAGNER','SC','124241241112161531466913572122610122182',16002,'13',41.60,1,2,1),(20,5311250,'1991-03-05 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241415372331488832572122230267041',NULL,'270',0.00,1,3,NULL),(20,5311268,'1989-05-09 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116132431447933275124222926095',7683,'831',62.47,1,2,1),(20,5311276,'1991-03-27 00:00:00',4,5,11,2008,'F','N','PIO CORREA','CRICIÚMA','SC','124242241215472531446413572112610124142',NULL,'226',0.00,1,3,NULL),(20,5311284,'1990-09-23 00:00:00',4,1,12,2009,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241117151411446633571122610127117',NULL,'290',25.97,1,2,1),(20,5311292,'1985-03-18 00:00:00',4,2,12,2002,'M','N','CENTRO','ASCURRA','SC','124241241217134431538811475124221468197',4002,'909',70.86,1,3,NULL),(20,5311306,'1990-04-30 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241211473431467934575124231013117',NULL,'270',27.44,1,3,NULL),(20,5311314,'1991-12-28 00:00:00',2,5,11,2008,'F','N','MICHEL','CRICIÚMA','SC','124242241215372431458834575112610162093',3582,'210',70.10,1,3,NULL),(20,5311322,'1988-10-22 00:00:00',4,16,12,2008,'M','N','CONCEIÇÃO','BARRACÃO','RS','420241247116131431123347475122610155177',NULL,'9997',0.00,1,3,NULL),(20,5311330,'1991-05-21 00:00:00',2,5,12,2008,'F','N','CENTRO','MARACAJÁ','SC','124241241411151431546933575122231016182',14656,'995',45.65,1,3,NULL),(20,5311349,'1991-11-10 00:00:00',4,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241217112431468613575125610167042',4708,'723',67.68,1,3,NULL),(20,5311357,'1991-10-20 01:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111431458922272121610124092',NULL,'1076',24.86,1,3,NULL),(20,5311365,'1990-01-12 00:00:00',4,8,12,2007,'M','N','ITAUM','JOINVILLE','SC','124241241116371231335432145114141814147',11988,'492',54.40,1,3,NULL),(20,5311373,'1989-03-22 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573421588952372112231417162',8879,'270',57.94,1,3,NULL),(20,5311381,'1991-11-25 00:00:00',2,4,12,2008,'M','N','LÍDER','CHAPECÓ','SC','124241241111471431436923372224131434172',8025,'174',59.20,1,2,1),(20,5311390,'1991-09-15 00:00:00',2,1,11,2008,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215372431466634572124610133192',4707,'1022',67.80,1,3,NULL),(20,5311411,'1988-08-20 00:00:00',2,1,7,2007,'F','N','BOM FIM','PTO ALEGRE','RS','120201207316471231246519385124140963097',NULL,'9998',0.00,4,3,NULL),(20,5311420,'1992-01-14 00:00:00',2,5,11,2008,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124241241215472411654929572112610137077',1270,'226',79.90,1,3,NULL),(20,5311438,'1992-04-14 00:00:00',4,6,12,2008,'F','N','SÃO JOÃO','ITAJAÍ','SC','124244241215374431433824575124131468187',3488,'392',72.17,1,3,NULL),(20,5311446,'1990-09-23 00:00:00',2,1,6,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215471731556614345112610167187',14114,'9999',50.15,1,3,NULL),(20,5311454,'1969-01-08 00:00:00',2,1,12,1989,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124201201134233731324629482114140234187',NULL,'9998',36.84,1,2,1),(20,5311462,'1991-10-02 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117271411323329246224610123057',NULL,'307',34.19,1,2,1),(20,5311470,'1970-07-26 00:00:00',2,1,12,1990,'M','N','BELA VISTA','S JOSÉ','SC','224241248121332421226444492334610137047',NULL,'257',17.91,2,1,1),(20,5311489,'1993-03-19 00:00:00',2,2,12,2009,'F','N','ALBERTINA','RIO SUL','SC','124172241116131531534639292224610147042',NULL,'659',22.19,4,3,NULL),(20,5311497,'1992-02-28 00:00:00',2,5,11,2009,'F','N','MICHEL','CRICIÚMA','SC','124242241215132431448719575125610131057',11500,'210',52.71,1,3,NULL),(20,5311500,'1993-01-16 00:00:00',2,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241115371431525421375121610132192',13487,'405',47.18,4,2,1),(20,5311519,'1990-11-29 00:00:00',4,6,12,2008,'M','N','MAIA PRAIA','JOINVILLE','SC','224241241137131731225554292223610118112',NULL,'406',4.77,1,2,1),(20,5311527,'1993-01-07 00:00:00',4,1,11,2009,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111431229931475124610164147',NULL,'270',32.89,1,3,NULL),(20,5311535,'1990-01-17 00:00:00',2,1,11,2009,'M','N','IPIRANGA','S JOSÉ','SC','124241241115151531439534572224610162016',NULL,'257',27.16,1,2,1),(20,5311543,'1983-04-17 00:00:00',4,1,12,2006,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224241241122231431223354382314610144145',NULL,'283',13.13,1,3,NULL),(20,5311551,'1988-09-04 00:00:00',2,1,12,2006,'F','N','PRAIA DO FORTE','FLORIANÓPOLIS','SC','124241241116152431421314475124611332197',16263,'288',41.49,1,3,NULL),(20,5311560,'1992-06-09 00:00:00',4,8,12,2009,'F','N','CENTRO','JOINVILLE','SC','124242241215372751449914572112610133112',13510,'1063',51.35,1,3,NULL),(20,5311578,'1990-03-26 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241217151431457823575115132064017',14648,'1022',48.86,1,3,NULL),(20,5311586,'1992-12-13 00:00:00',2,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241131141421413639191121610117073',NULL,'21',21.39,1,2,1),(20,5311594,'1993-05-13 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431366612575124610127045',NULL,'1022',36.44,1,3,NULL),(20,5311616,'1991-06-10 00:00:00',2,4,12,2008,'F','N','CENTRO','STA MARIA','RS','120202201217472731347931472215610164186',4068,'9998',68.87,1,3,NULL),(20,5311624,'1983-10-04 00:00:00',2,1,12,1999,'M','N','CAMPINAS','S JOSÉ','SC','524172171117141321126841412324142362097',NULL,'9998',38.95,2,1,2),(20,5311632,'1990-07-16 00:00:00',2,1,11,2007,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242247211372431328579595114130267042',NULL,'9999',29.13,1,3,NULL),(20,5311640,'1990-11-23 00:00:00',2,4,12,2007,'F','N','BOM FIM','PTO ALEGRE','RS','120203201117471751357813292124610164097',9563,'9998',55.26,1,3,NULL),(20,5311659,'1992-03-27 00:00:00',2,9,12,2009,'M','N','BATES','LAGES','SC','124243241415111311358613392124610124061',8337,'9997',59.11,1,3,NULL),(20,5311667,'1989-03-28 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247345371431435332385124610126192',NULL,'9999',25.69,1,3,NULL),(20,5311675,'1991-05-06 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252241215373431479613585124230434142',NULL,'270',0.00,1,3,NULL),(20,5311683,'1989-06-19 00:00:00',2,4,1,2009,'M','N','EFACIP','PINHALZINHO','SC','124243247126161741313314141124233268052',NULL,'9999',29.41,1,3,NULL),(20,5311705,'1992-01-02 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431466813575121610167047',NULL,'1022',29.52,1,3,NULL),(20,5311713,'1990-10-30 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124131241125141421646471215124610126097',NULL,'257',30.86,1,3,NULL),(20,5311721,'1990-10-31 00:00:00',4,1,12,2009,'F','N','AEROPORTO','CORUMBÁ','MS','112241121315111431469613572122610118147',NULL,'818',28.39,1,3,NULL),(20,5311730,'1989-03-14 00:00:00',4,7,11,2006,'F','N','CENTRO','CANOINHAS','SC','124242161216574411428914495125232464187',NULL,'9998',0.00,1,3,NULL),(20,5311748,'1992-08-20 00:00:00',2,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124241241117231731524814342124610127147',NULL,'257',19.85,1,2,1),(20,5311772,'1992-02-25 00:00:00',4,8,10,2009,'M','N','ANITA GARIBALDE','JOINVILLE','SC','124242241215111731456611592111610137012',NULL,'932',28.47,1,3,NULL),(20,5311799,'1987-12-04 00:00:00',2,16,7,2006,'M','N','SÃO LUIZ','CURITIBANOS','SC','124241242116141431436514321122130236183',NULL,'741',0.00,1,3,NULL),(20,5311802,'1981-03-05 00:00:00',2,8,12,2000,'F','N','VILA DA GLORIA','S FRANCISCO SUL','SC','124241241116151722223329591324610162187',NULL,'710',11.95,1,2,1),(20,5311810,'1991-09-22 00:00:00',4,4,12,2008,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124242241215272431556631572124233228096',NULL,'1046',27.01,1,3,NULL),(20,5311829,'1989-02-02 00:00:00',4,8,12,2005,'M','N','TIRADENTES','CPO GRANDE','MS','112121121216574431347839415114141437037',3274,'9998',71.74,3,3,NULL),(20,5311845,'1990-11-03 00:00:00',4,1,11,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243241215272431328832575124233264147',6523,'807',64.87,1,3,NULL),(20,5311853,'1982-02-07 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248127131431126344241334130264077',NULL,'29',0.00,1,2,1),(20,5311861,'1992-05-11 00:00:00',2,1,12,2009,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241122131121316521572324610137147',NULL,'282',10.33,1,3,NULL),(20,5311888,'1991-05-30 00:00:00',4,1,12,2008,'M','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124242241215472431389911275124231946112',13463,'262',51.46,1,3,NULL),(20,5311900,'1989-12-13 00:00:00',4,1,12,2007,'M','N','MAUÁ','NOVO HAMBURGO','RS','120204201416471751547924475122141267047',NULL,'9998',0.00,1,3,NULL),(20,5311918,'1992-11-25 00:00:00',4,6,11,2009,'F','N','SÃO JUDAS','ITAJAÍ','SC','124242241217132431333714275125610115092',NULL,'392',27.61,1,3,NULL),(20,5311934,'1992-07-10 00:00:00',4,1,1,2010,'M','N','CENTRO','PINHAIS','PR','116162161236151431589714295122610134113',NULL,'9998',0.00,1,3,NULL),(20,5311942,'1992-07-31 00:00:00',2,1,12,2009,'F','N','VIADUTO','IGREJINHA','RS','120201201117131431321324475122610123097',10964,'9998',53.63,1,2,1),(20,5311969,'1993-09-08 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431326611582124610113147',NULL,'1022',25.64,1,3,NULL),(20,5311977,'1991-11-12 00:00:00',4,9,12,2009,'F','N','SÃO CRISTOVÃO','LAGES','SC','124241241215111431435721375112610123096',7363,'515',61.30,1,3,NULL),(20,5311985,'1991-12-01 00:00:00',4,4,12,2009,'M','N','IPANEMA','MONDAÍ','SC','124241241116161531538714192121610127141',NULL,'564',16.31,1,3,NULL),(20,5311993,'1992-10-31 00:00:00',4,4,12,2009,'M','N','CENTRO','MARAVILHA','SC','124241241114151431546632572122610162142',NULL,'552',30.06,1,2,1),(20,5312000,'1991-03-27 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241415373451327624492124222263027',8358,'267',60.20,1,3,NULL),(20,5312019,'1992-04-25 00:00:00',4,3,12,2009,'F','N','ZONA DOIS','MARINGÁ','PR','116162161217111431436832585122610166017',397,'9998',85.45,1,3,NULL),(20,5312027,'1992-03-11 00:00:00',2,1,12,2008,'F','N','CENTRO','PTO ALEGRE','RS','120204201217571731156762275124610166142',NULL,'9998',29.22,1,3,NULL),(20,5312035,'1986-03-02 00:00:00',4,1,12,2003,'M','N','CENTRO','PALHOÇA','SC','124242241216272411456614445124320644141',4442,'269',69.69,1,3,NULL),(20,5312051,'1991-04-19 00:00:00',4,8,11,2008,'F','N','NOSSA SRA APDA','FRANCISCO BELTRÃO','PR','116162161215571731546932575125610134097',11071,'9998',52.61,1,3,NULL),(20,5312060,'1987-09-14 00:00:00',2,1,11,2005,'F','N','MICHEL','CRICIÚMA','SC','124244241215575431644612595124230244117',3774,'226',71.42,1,3,NULL),(20,5312078,'1992-04-07 00:00:00',2,7,12,2009,'M','N','CENTRO','ÁGUA DOCE','SC','124241241146371431538313275122610167142',12415,'9',52.05,1,2,1),(20,5312086,'1992-06-27 00:00:00',2,7,12,2009,'M','N','SÃO JOSÉ','ÁGUA DOCE','SC','124241241146271431433419275322610164142',7380,'9',61.45,4,2,1),(20,5312094,'1980-12-09 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124163247325472431111149192124610164147',NULL,'300',29.45,1,3,NULL),(20,5312108,'1993-01-16 00:00:00',4,1,12,2009,'F','N','SÃO JOSÉ','S JOSÉ','SC','124244248415131221437614575124610147052',NULL,'1075',22.55,1,3,NULL),(20,5312124,'1986-12-22 00:00:00',4,1,12,2004,'M','N','CAMPINAS','S JOSÉ','SC','124242241215154211446833375124221444145',NULL,'723',0.00,1,3,NULL),(20,5312132,'1991-10-30 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241112473431436313372124610163142',NULL,'281',43.63,1,2,1),(20,5312140,'1992-02-27 00:00:00',4,1,12,2009,'F','N','LUZIA','ARACAJU','SE','126252251217111531567612472124610127142',9114,'9998',59.74,1,3,NULL),(20,5312159,'1988-06-02 00:00:00',2,7,12,2005,'M','N','CENTRO','TANGARÁ','SC','124241241145474431323314284124133248147',7576,'779',60.37,1,2,1),(20,5312167,'1991-05-29 00:00:00',4,9,12,2008,'M','N','FERROVIA','LAGES','SC','124241241411152431638911372112233264012',10787,'499',56.70,1,3,NULL),(20,5312175,'1983-10-04 00:00:00',4,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201116474411446939495324141036187',9323,'9998',57.70,4,2,1),(20,5312183,'1990-12-13 00:00:00',4,2,12,2008,'M','N','CENTRO','POMERODE','SC','124242241215373511489912125124610164042',5209,'855',67.82,1,3,NULL),(20,5312205,'1992-01-12 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124242241212111731438623572114610163187',NULL,'1011',28.33,1,3,NULL),(20,5312213,'1992-01-06 00:00:00',4,2,11,2009,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241416271231368614572112610114092',8144,'855',61.57,1,3,NULL),(20,5312221,'1991-05-28 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241127132431523315171124610136177',NULL,'290',0.00,4,2,1),(20,5312230,'1993-08-12 00:00:00',4,5,11,2010,'F','S','PIO CORREA','CRICIÚMA','SC','124241241217211411228821582122610166177',NULL,'226',28.72,1,3,NULL),(20,5312248,'1991-10-18 00:00:00',4,9,12,2009,'M','N','CENTRO','MARAU','RS','120202201217111231359811492124610117037',NULL,'9998',0.00,1,3,NULL),(20,5312256,'1973-08-17 00:00:00',2,8,3,2007,'M','N','PARQUE GUARANI','JOINVILLE','SC','124241241115162411426412242344610151047',NULL,'9997',0.00,1,3,NULL),(20,5312264,'1990-09-15 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242248215572431256823595122610164012',5150,'499',67.49,1,3,NULL),(20,5312272,'1988-07-05 00:00:00',4,1,4,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241117574431448819375114241427015',2508,'267',74.38,1,3,NULL),(20,5312280,'1988-08-04 00:00:00',4,1,12,2005,'F','N','CLÁUDIA','LONDRINA','PR','116222221216151451379934474122243232093',5418,'9998',65.72,1,3,NULL),(20,5312299,'1989-12-03 00:00:00',2,1,12,2007,'M','N','AREIAS','S JOSÉ','SC','124242241217372721536419241134233235153',NULL,'868',19.97,1,3,NULL),(20,5312310,'1992-01-14 00:00:00',2,7,12,2009,'F','N','SAO JOSE','ÁGUA DOCE','SC','124241241146151431624332225122610116142',NULL,'9',29.15,4,2,1),(20,5312329,'1992-05-26 00:00:00',4,1,12,2008,'F','N','FORTALEZA','RIO PARDO','RS','120204201217471431653816374122610144142',4155,'9998',69.69,1,3,NULL),(20,5312337,'1992-04-05 00:00:00',2,9,12,2009,'F','N','ÁREA INDUSTRIAL III','CORREIA PINTO','SC','124244241216121431438712395112610127142',11737,'1146',52.14,1,3,NULL),(20,5312345,'1991-10-16 00:00:00',2,9,12,2008,'M','N','UNIVERSITARIO','LAGES','SC','124243241117371431546614345122610122092',9646,'935',55.62,1,3,NULL),(20,5312353,'1990-02-14 00:00:00',4,7,12,2007,'M','N','NAÇÕES','FRAIBURGO','SC','124242241217143411436812222223131467017',NULL,'885',0.00,1,3,NULL),(20,5312361,'1989-11-08 00:00:00',4,1,12,2007,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215473431549813572122230262092',2218,'262',74.77,1,3,NULL),(20,5312370,'1991-12-18 00:00:00',4,1,11,2009,'F','N','PICADAS DO NORTE','S JOSÉ','SC','124242248215372751334629572114610124187',8914,'270',60.13,1,3,NULL),(20,5312388,'1993-03-02 00:00:00',4,6,11,2009,'F','N','LAGEADO BAIXO','GUABIRUBA','SC','124243241215111131655824596122610137057',6829,'109',62.84,1,3,NULL),(20,5312396,'1991-12-24 00:00:00',2,9,12,2008,'F','N','BOM FIM','PTO ALEGRE','RS','120202201217471431439811571122610123187',2694,'9998',72.33,1,3,NULL),(20,5312400,'1988-08-18 00:00:00',2,15,12,2006,'F','N','SARANDI','PTO ALEGRE','RS','120201201111571411333619571124610167057',9759,'9998',56.06,1,2,1),(20,5312434,'1992-11-10 00:00:00',4,4,12,2009,'M','N','CENTRO','S CARLOS','SC','124201241117111411436412245121610137057',NULL,'704',20.16,1,3,NULL),(20,5312442,'1992-08-10 00:00:00',4,1,12,2009,'M','N','NSA SRA DO ROSÁRIO','S JOSÉ','SC','124244241112371411656314275124610117052',4814,'739',68.09,1,3,NULL),(20,5312469,'1992-09-14 00:00:00',2,15,11,2009,'M','N','FIGUEIRA','JACINTO MACHADO','SC','124241241115151441423313573325610138177',NULL,'420',40.20,1,2,1),(20,5312477,'1992-01-02 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241217121431434614572124610147047',NULL,'1118',30.86,1,3,NULL),(20,5312493,'1987-01-06 00:00:00',2,10,12,2004,'M','N','OFICINAS','TUBARÃO','SC','124241241141153431323419592125610167182',12227,'798',50.77,2,1,1),(20,5312507,'1992-02-22 00:00:00',4,4,12,2008,'F','N','LÍDER','CHAPECÓ','SC','124244241112472431455632272114610166191',5262,'182',67.06,1,3,NULL),(20,5312523,'1988-11-28 00:00:00',4,1,12,2006,'F','N','TUCURUVI','S PAULO','SP','124251251111211321526827481124610164097',NULL,'9998',18.49,1,2,1),(20,5312531,'1992-12-19 00:00:00',4,4,12,2009,'F','N','RURAL','CAIBI','SC','124241241116131431423336275122610134147',NULL,'127',29.09,1,2,1),(20,5312540,'1991-03-14 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472411434831375124610162142',4900,'1119',68.16,1,3,NULL),(20,5312558,'1992-11-18 00:00:00',4,8,12,2010,'F','S','BUCAREIN','JOINVILLE','SC','124242241216151231469811572122610137072',NULL,'932',46.40,1,3,NULL),(20,5312574,'1994-04-07 00:00:00',2,4,12,2010,'M','S','CENTRO','GAURAMA','RS','120201201217111731356933575124610117042',NULL,'9998',42.24,1,3,NULL),(20,5312582,'1992-12-09 00:00:00',4,4,12,2009,'F','N','INTERIOR','PAIAL','SC','124241241127131451324336592324610168147',NULL,'587',22.73,1,3,NULL),(20,5312590,'1992-12-17 00:00:00',4,8,11,2009,'F','N','NOSSA SRA APDA','FRANCISCO BELTRÃO','PR','116162161215371431546932575122610134097',6007,'9998',65.80,1,3,NULL),(20,5312620,'1990-12-18 00:00:00',2,1,12,2007,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241112131431426534442344610122047',NULL,'65',20.31,1,2,1),(20,5312639,'1989-10-28 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241335374431437369277114610146147',NULL,'270',44.95,1,3,NULL),(20,5312647,'1992-06-01 00:00:00',2,4,12,2009,'F','N','PARQUE DAS PALMEIRAS','CHAPECÓ','SC','124241248112471711549813595124610128092',9480,'177',56.74,1,2,1),(20,5312655,'1992-08-29 00:00:00',4,2,12,2010,'M','S','CENTRO','TIMBÓ','SC','124242241215111431358811575121610127052',NULL,'9997',45.06,1,3,NULL),(20,5312663,'1978-08-11 00:00:00',2,1,12,2000,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241427131431233319342344610167047',NULL,'294',23.58,1,3,NULL),(20,5312671,'1990-01-22 00:00:00',4,1,12,2008,'F','N','BELA VISTA','S JOSÉ','SC','124242241215372431358912225124610124142',14536,'270',45.09,1,3,NULL),(20,5312680,'1986-03-26 00:00:00',4,1,12,2003,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124201201116134712535513485124120627187',8125,'9998',61.60,1,2,1),(20,5312698,'1993-02-17 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431668814572122610125035',NULL,'262',47.60,1,3,NULL),(20,5312701,'1991-03-06 00:00:00',2,10,12,2008,'M','N','VILA MOEMA','TUBARÃO','SC','124242241216272431458814371111131437052',12574,'807',49.49,1,3,NULL),(20,5312710,'1991-07-12 00:00:00',2,17,12,2008,'M','N','CAMPO AGUA VERDE','CANOINHAS','SC','124242247212111411369614572122133217043',NULL,'154',21.21,1,3,NULL),(20,5312728,'1987-08-28 00:00:00',4,6,12,2005,'M','N','EMBARE','SANTOS','SP','125252251215575431568714435121141064117',1368,'9998',79.43,1,3,NULL),(20,5312736,'1990-12-12 00:00:00',2,6,12,2007,'F','N','VILA PROGRESSO','DOURADOS','MS','112122121215571431557812572112610124097',3121,'9998',71.34,1,3,NULL),(20,5312744,'1992-03-21 00:00:00',2,17,12,2009,'F','N','TAQUARAL','MTE CASTELO','SC','124241242115271441424623572324610125097',NULL,'566',0.00,1,2,1),(20,5312752,'1992-03-31 00:00:00',2,1,12,2009,'F','N','SANTA TERESINHA','GARIBALDI','RS','120113121416111751437712395122610128147',NULL,'9998',0.00,1,3,NULL),(20,5312760,'1987-07-18 00:00:00',2,1,12,2004,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241127372641226624282214610165147',11345,'307',55.61,4,2,1),(20,5312779,'1991-02-20 00:00:00',2,3,11,2007,'M','N','TABOLEIRO','CAMBORIÚ','SC','124241242137131411434411345121610168012',NULL,'129',0.00,1,2,1),(20,5312787,'1989-09-24 00:00:00',2,8,12,2006,'F','N','SANTA MARIA','ARAÇATUBA','SP','125122121215573431448811572122610167097',NULL,'9998',0.00,1,3,NULL),(20,5312795,'1993-06-26 00:00:00',4,9,11,2010,'F','S','SANTA RITA','LAGES','SC','124242241215111431368923345122610132047',NULL,'497',44.15,1,3,NULL),(20,5312809,'1988-08-28 00:00:00',4,4,12,2005,'M','N','CENTRO','BARRACÃO','PR','116241241116573411668633575114610126097',8431,'245',60.12,1,2,1),(20,5312817,'1992-03-23 00:00:00',4,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243241215131431436314575122610128097',NULL,'9997',26.74,1,3,NULL),(20,5312825,'1991-11-12 00:00:00',2,4,12,2008,'M','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124241241116372431356923275124610167052',11893,'182',52.63,1,2,1),(20,5312833,'1992-01-11 00:00:00',4,1,11,2006,'M','N','BARREIROS','S JOSÉ','SC','124242241315131231337814241324610147047',NULL,'725',26.86,1,3,NULL),(20,5312841,'1990-11-19 00:00:00',4,8,11,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242241214372721349722575122130417181',12073,'486',54.23,3,3,NULL),(20,5312850,'1985-12-25 00:00:00',4,1,12,2003,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124052051217574431669932375114123268112',7182,'9998',63.47,1,3,NULL),(20,5312868,'1991-10-17 00:00:00',4,16,7,2009,'M','N','APARECIDA','CURITIBANOS','SC','124241242116111431633635552322610137057',NULL,'960',19.69,1,3,NULL),(20,5312876,'1992-12-07 00:00:00',2,10,11,2009,'M','N','SÃO JOÃO','TUBARÃO','SC','124204241215121411457711315124610122042',7490,'797',62.81,1,3,NULL),(20,5312884,'1991-02-20 00:00:00',2,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241115352431233321372122233217047',11283,'739',55.75,1,3,NULL),(20,5312892,'1992-01-08 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201241116271431423314355124610137147',NULL,'288',31.96,4,2,1),(20,5312906,'1992-06-14 00:00:00',2,1,12,2009,'M','N','SAVEIRO','BIGUAÇU','SC','124241241112471431636619375124610124057',NULL,'65',22.22,1,2,1),(20,5312922,'1990-06-19 00:00:00',2,1,12,2007,'M','N','CENTRO','IMBITUBA','SC','124244241215132431448512475114220724042',NULL,'362',0.00,1,3,NULL),(20,5312930,'1991-03-08 00:00:00',2,5,9,2008,'M','N','CENTRO','S JOAQUIM','SC','124242241215472431568921281324610114057',7140,'1026',61.38,1,3,NULL),(20,5312957,'1991-04-03 00:00:00',4,8,12,2008,'F','N','BATEL','CURITIBA','PR','116162161211471311588931571122610144077',6478,'9998',63.68,1,3,NULL),(20,5312973,'1973-02-13 00:00:00',2,8,12,1993,'M','N','PARQUE GUARANI','JOINVILLE','SC','624241246225131411224451242344610116137',NULL,'494',12.73,1,3,NULL),(20,5312981,'1962-02-26 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247231131411136641114124132837182',NULL,'9999',24.21,1,3,NULL),(20,5312990,'1992-02-01 00:00:00',4,1,12,2009,'M','N','SILVA JARDIM','SILVA JARDIM','RS','120201201126131431334831592122610114157',NULL,'9998',26.76,1,2,1),(20,5313007,'1985-01-13 00:00:00',4,15,12,2003,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241116141731653325441112610167041',NULL,'580',25.39,1,2,1),(20,5313015,'1976-12-22 00:00:00',4,1,12,1998,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241334155441348823575114121616192',7290,'272',63.25,1,3,NULL),(20,5313023,'1987-08-10 00:00:00',4,5,11,2004,'F','N','LOMBA','ORLEANS','SC','124242241216372531456812245122132537047',4647,'226',67.69,1,3,NULL),(20,5313040,'1970-08-07 00:00:00',2,1,12,1987,'M','N','VILA PRADO','PINDAMONHANGABA','SP','125143148146154431155943135324143268197',NULL,'9998',0.00,1,3,NULL),(20,5313058,'1993-04-18 00:00:00',4,1,12,2010,'M','S','ITAGUAÇU','FLORIANÓPOLIS','SC','124242248115131411458613575124610157067',NULL,'271',17.69,1,3,NULL),(20,5313074,'1991-06-20 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242161215471411589833574124610164122',1249,'9998',79.16,1,3,NULL),(20,5313082,'1991-08-29 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124242241215372411648933575122610168197',9784,'1022',55.94,1,3,NULL),(20,5313090,'1993-07-15 00:00:00',4,1,11,2010,'F','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111431466612492124610111012',NULL,'270',51.14,1,3,NULL),(20,5313104,'1991-07-25 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124246247617111431455923572122610123182',NULL,'9999',44.52,1,3,NULL),(20,5313112,'1991-01-24 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431369923572122610122072',9963,'262',58.21,1,3,NULL),(20,5313120,'1992-01-15 00:00:00',4,3,12,2008,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124242241215372431537924575322610144196',8540,'1038',58.37,1,3,NULL),(20,5313139,'1990-07-30 00:00:00',2,6,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241115271711326324342124132022197',NULL,'512',28.81,1,2,1),(20,5313147,'1992-12-21 00:00:00',4,15,12,2009,'F','N','CENTRO','JACINTO MACHADO','SC','124241241136131731426923575122610124197',15495,'420',40.24,1,2,1),(20,5313155,'1993-03-18 00:00:00',4,16,12,2009,'F','N','CENTRO','PTE ALTA','SC','124241241114141431539913585122610116173',NULL,'201',17.16,1,3,NULL),(20,5313163,'1992-04-25 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124244248215111421446614572124610123097',NULL,'738',31.26,1,3,NULL),(20,5313171,'1991-05-21 00:00:00',2,4,12,2008,'F','N','BAIRRO DA LUZ','DOIS VIZINHOS','PR','116162161236372431567812291325610165057',4643,'9998',69.21,1,3,NULL),(20,5313180,'1991-09-12 00:00:00',2,5,11,2008,'F','N','MINA DO MATO','CRICIÚMA','SC','124244241215472431466432222112610134092',5719,'226',66.66,1,3,NULL),(20,5313198,'1991-08-13 00:00:00',4,1,12,2009,'M','N','BELA VISTA','S JOSÉ','SC','124241248137111431528428576324610127042',NULL,'307',29.88,1,3,NULL),(20,5313201,'1988-12-28 00:00:00',2,1,11,2006,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241216574431466634372114610164142',3585,'300',71.74,1,3,NULL),(20,5313210,'1990-11-18 00:00:00',2,6,12,2008,'M','N','CENTRO','ITAJAÍ','SC','124242241216132421247611471111610113173',9086,'1057',57.16,1,3,NULL),(20,5313228,'1987-07-14 00:00:00',4,1,12,2005,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124072071213341211215823492311141217112',NULL,'9998',23.07,4,3,NULL),(20,5313236,'1990-02-28 00:00:00',4,8,12,2007,'F','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125251251242471411433617282121610143142',NULL,'9998',0.00,2,1,2),(20,5313244,'1985-08-29 00:00:00',2,1,12,2003,'M','N','CAMPINAS','S JOSÉ','SC','124241248331162731534414341134130262141',NULL,'9997',31.17,3,3,NULL),(20,5313252,'1992-05-22 00:00:00',4,7,12,2009,'M','N','CENTRO','ÁGUA DOCE','SC','124241241115271431334823395122610167042',14157,'539',46.27,1,2,1),(20,5313260,'1986-01-29 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124254251217573731588814485124221424042',5490,'9998',67.12,1,3,NULL),(20,5313279,'1992-01-04 00:00:00',2,4,12,2009,'M','N','JARDIM FLORESTA','PLANALTO','PR','116161161117141432535632295125610117047',NULL,'9998',37.87,1,2,1),(20,5313287,'1987-11-18 00:00:00',2,1,12,2004,'M','N','CARMEM','PASSO FUNDO','RS','120203201116142441226823375122240662097',12543,'9998',53.26,1,3,NULL),(20,5313295,'1988-12-06 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431368832575112233237062',5382,'270',67.36,1,3,NULL),(20,5313309,'1992-01-04 00:00:00',2,1,11,2009,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124243241215371431446613575124610134077',NULL,'1011',24.44,1,3,NULL),(20,5313317,'1990-10-17 00:00:00',4,3,12,2007,'M','N','JD TRÊS MARIAS','PARANAVAÍ','PR','116162161217572431454815575112610137052',6775,'9998',62.33,1,3,NULL),(20,5313325,'1983-06-19 00:00:00',4,1,12,2002,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124161161112374721523344345224140268147',NULL,'9998',13.51,1,2,1),(20,5313333,'1992-03-18 00:00:00',2,4,11,2009,'M','N','CENTRO','IPUMIRIM','SC','124244247415111421348434275124610167042',NULL,'1047',0.00,1,3,NULL),(20,5313368,'1992-04-02 00:00:00',2,4,11,2009,'F','N','SANTA TEREZINHA','PATO BRANCO','PR','116243161235131441245823175124610163052',NULL,'9998',27.97,4,3,NULL),(20,5313376,'1989-09-19 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241216273431488813575112133266092',3803,'270',69.77,1,3,NULL),(20,5313384,'1992-10-12 00:00:00',2,1,12,2009,'F','N','PONTE IMARUIM','PALHOÇA','SC','124243241117132231549833575125610168182',NULL,'13',21.75,1,3,NULL),(20,5313392,'1990-10-30 00:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241248111112511416829571224610127147',15958,'307',42.32,1,2,1),(20,5313406,'1992-03-16 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243241215121751543933295124610123182',13109,'1022',50.22,1,3,NULL),(20,5313422,'1985-11-15 00:00:00',4,8,12,2002,'M','N','CENTRO','S JOSÉ PINHAIS','PR','116162161117272711456629415122141427092',3863,'9998',69.32,1,3,NULL),(20,5313449,'1992-11-07 00:00:00',2,1,12,2009,'M','N','BARREIROS SAO JOSE','S JOSÉ','SC','624242243215111431566614395122610117181',NULL,'738',19.79,1,3,NULL),(20,5313457,'1979-04-07 00:00:00',4,1,12,2002,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124251257131131341644344441324142042157',NULL,'9998',23.89,1,2,1),(20,5313465,'1992-10-14 00:00:00',2,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124242241215112431455614375124610134092',NULL,'1022',27.88,1,3,NULL),(20,5313473,'1992-05-03 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241215111431435413575124610167077',15173,'1022',43.60,4,3,NULL),(20,5313481,'1987-10-27 00:00:00',2,1,12,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241245117271431126614445124610124077',NULL,'359',28.45,1,2,1),(20,5313490,'1981-11-16 00:00:00',4,8,11,1999,'M','N','AVENTUREIRO','JOINVILLE','SC','124242241216152751468739495122330767112',NULL,'489',28.13,1,3,NULL),(20,5313503,'1990-08-10 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431378711595112610134122',NULL,'1022',29.64,1,3,NULL),(20,5313511,'1991-03-03 00:00:00',4,1,12,2009,'F','N','MORRINHOS','GAROPABA','SC','124241241142131731424724385321610118075',NULL,'322',0.00,1,2,1),(20,5313538,'1992-07-28 00:00:00',4,2,12,2009,'F','N','TABOÃO','RIO SUL','SC','124242241215112431337923575122610168052',2578,'991',72.88,1,3,NULL),(20,5313546,'1989-09-23 00:00:00',2,1,12,2006,'F','N','SAVEIRO','BIGUAÇU','SC','124241241112132431636611345124231016097',NULL,'65',10.42,1,2,1),(20,5313554,'1983-01-04 00:00:00',4,1,12,1999,'F','N','INGLESES','FLORIANÓPOLIS','SC','124202201416131711128521375124241064141',NULL,'9998',13.51,1,3,NULL),(20,5313562,'1987-06-30 00:00:00',2,1,12,2005,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','224074071215573431231622125122222964182',5244,'9998',67.73,3,3,NULL),(20,5313570,'1992-07-08 00:00:00',2,1,11,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124242241217373431668711576122610167052',797,'262',82.50,1,3,NULL),(20,5313589,'1992-07-30 00:00:00',4,1,12,2009,'F','N','MARECHAL RONDON','CANOAS','RS','120202201215421531339711572122610136147',NULL,'9998',0.00,1,3,NULL),(20,5313600,'1989-12-02 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124252251217273751568811575122233267163',7014,'9998',63.79,3,3,NULL),(20,5313619,'1990-10-22 00:00:00',2,4,12,2007,'M','N','CENTRO','TERRA BOA','PR','116161161136512431635511375122610167047',2114,'9998',76.51,1,2,1),(20,5313627,'1992-10-22 00:00:00',2,8,11,2009,'F','N','BATEL','CURITIBA','PR','116022021217111431236924575112610122077',NULL,'9998',29.58,1,3,NULL),(20,5313643,'1983-09-15 00:00:00',4,15,12,2001,'M','N','CENTRO','TIMBÉ SUL','SC','124241242116142431346644345122330862043',NULL,'960',0.00,1,2,1),(20,5313651,'1979-10-26 00:00:00',4,1,11,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216273431189811415322322327125',NULL,'269',0.00,1,3,NULL),(20,5313660,'1991-05-28 00:00:00',2,4,12,2008,'M','N','INTERIOR','PALMITINHO','RS','120201202117472431449933572114610137057',9123,'9998',56.78,1,2,1),(20,5313678,'1994-02-17 00:00:00',4,3,11,2010,'M','S','CENTRO','PTO BELO','SC','124243241215111411556511574124610123182',NULL,'948',29.99,1,3,NULL),(20,5313686,'1993-04-21 00:00:00',4,10,11,2010,'M','S','MONTE CASTELO','TUBARÃO','SC','124244248415161411348634245121610168082',NULL,'807',47.23,1,3,NULL),(20,5313694,'1982-02-15 00:00:00',4,5,11,1999,'F','N','PIO CORREA','CRICIÚMA','SC','124242248215372431549834482112331563072',6309,'226',65.31,1,3,NULL),(20,5313708,'1988-07-09 00:00:00',4,8,12,2005,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215372431446614575124130715057',11434,'1105',55.46,1,3,NULL),(20,5313716,'1989-02-15 00:00:00',4,1,1,2007,'F','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124101101112141731613344442324610138197',NULL,'9998',15.47,2,1,1),(20,5313724,'1993-05-21 00:00:00',4,16,12,2010,'F','S','CENTRO','CURITIBANOS','SC','124242161216112751356932572122610124092',NULL,'9998',52.06,1,3,NULL),(20,5313732,'1990-12-16 00:00:00',2,1,12,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215372431466912572114610117043',6678,'270',62.78,1,3,NULL),(20,5313740,'1992-06-25 00:00:00',2,2,12,2009,'M','N','CENTRO','RIO SUL','SC','124242241236151731556639595112610162047',NULL,'663',30.00,1,3,NULL),(20,5313759,'1992-06-25 00:00:00',2,2,12,2009,'M','N','CENTRO','RIO SUL','SC','124242241217151431456629595122610112142',13097,'663',52.16,1,3,NULL),(20,5313767,'1992-07-26 00:00:00',4,4,11,2009,'F','N','NOSSA SRA APARECIDA','FRANCISCO BELTRÃO','PR','116164161215111731458714575122610126093',2869,'9998',72.55,1,3,NULL),(20,5313783,'1966-10-14 00:00:00',2,8,12,2000,'M','N','PARQUE GUARANI','JOINVILLE','SC','524241246325163422421154242344610157047',NULL,'487',22.89,1,3,NULL),(20,5313791,'1992-06-24 00:00:00',2,1,12,2008,'F','N','SERTÃO DO IMARUÍM','S JOSÉ','SC','124242241215472431446633572122610132092',4549,'1011',69.42,1,3,NULL),(20,5313813,'1990-02-08 00:00:00',4,1,12,2007,'M','N','ZONA CINCO','MARINGÁ','PR','116252161217572411688911572112610116117',6691,'9998',63.55,4,3,NULL),(20,5313821,'1992-04-13 00:00:00',2,1,12,2009,'F','N','BAIRRO BARREIROS','S JOSÉ','SC','124242241215111431456612572122610167072',13631,'738',46.32,1,3,NULL),(20,5313830,'1989-04-22 00:00:00',4,1,12,2007,'M','N','PANAMBI','STA BÁRBARA D OESTE','SP','125252251217571531378921577112610118186',6496,'9998',63.28,3,3,NULL),(20,5313856,'1990-02-17 00:00:00',5,1,12,2007,'F','N','JD CIPAVA','OSASCO','SP','125254251117131431436763572224610126057',10110,'9998',55.06,1,3,NULL),(20,5313864,'1988-05-22 00:00:00',4,1,12,2006,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124244241137374432439713585112610124145',10879,'307',56.53,1,3,NULL),(20,5313872,'1992-02-04 00:00:00',2,2,12,2009,'F','N','CENTRO','JOSÉ BOITEUX','SC','124243241414131411548633574124613234192',12372,'346',51.99,4,3,NULL),(20,5313880,'1991-06-26 00:00:00',2,1,12,2008,'F','N','BUDAG','RIO SUL','SC','124244241317472431129614572212610143097',15332,'416',45.53,1,3,NULL),(20,5313899,'1993-02-12 00:00:00',4,5,10,2009,'F','N','SANTA CATARINA','CRICIÚMA','SC','124242241215121731357731311112610164072',NULL,'213',26.98,1,3,NULL),(20,5313902,'1990-07-06 00:00:00',4,1,11,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241248216131731425519575111610137045',NULL,'9999',19.86,1,3,NULL),(20,5313910,'1979-07-29 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247326131621123344245334130116142',NULL,'9999',15.23,1,3,NULL),(20,5313937,'1992-10-06 00:00:00',2,3,11,2009,'M','N','CABRAL','CURITIBA','PR','116162161215471411469913572122610124062',7313,'9998',61.35,1,3,NULL),(20,5313953,'1990-05-24 00:00:00',4,1,12,2007,'M','N','CARANDA BOSQUE','CPO GRANDE','MS','112122121215571731468821474114610164012',NULL,'9998',0.00,1,3,NULL),(20,5313961,'1991-12-06 00:00:00',4,4,12,2008,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162161216372431463923575122610147042',12447,'9998',48.03,1,3,NULL),(20,5313988,'1991-10-26 00:00:00',4,1,12,2009,'M','N','SÃO FRANCISCO','CATANDUVA','SP','125252251215111431448831572122610127042',NULL,'9998',0.00,1,3,NULL),(20,5313996,'1992-03-18 00:00:00',2,9,12,2009,'F','N','MORRO DO POSTO','LAGES','SC','124241241415111431323623575125610124187',NULL,'1146',15.94,1,3,NULL),(20,5314003,'1989-03-07 00:00:00',2,1,12,2006,'M','N','CENTRO','PALOTINA','PR','116162161216571731458834572122610127057',9423,'9998',57.29,1,3,NULL),(20,5314011,'1993-04-02 00:00:00',4,2,12,2010,'F','S','GARCIA','BLUMENAU','SC','124242161215171431488911572122610166182',NULL,'909',53.05,1,3,NULL),(20,5314020,'1991-10-22 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241212272431348823572124610127147',NULL,'259',26.15,1,3,NULL),(20,5314038,'1991-05-31 00:00:00',4,1,10,2008,'M','N','GRANJA VIANA','COTIA','SP','125252251215471431488614575124610167127',1791,'9998',76.02,1,3,NULL),(20,5314046,'1991-08-31 00:00:00',2,3,12,2008,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116242241217272751446719396224610167017',7948,'1038',59.10,4,3,NULL),(20,5314054,'1987-05-05 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136271431113319385114610133147',14327,'697',49.65,4,2,1),(20,5314062,'1992-05-19 00:00:00',2,1,12,2009,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124242241215111432468833572114610112127',NULL,'1022',27.83,1,3,NULL),(20,5314070,'1992-06-17 00:00:00',4,3,12,2009,'M','N','PINHEIROS','S PAULO','SP','125252251216111211389911475122610117042',118,'9998',89.72,1,3,NULL),(20,5314097,'1990-04-11 00:00:00',2,8,12,2007,'M','N','NOVA BRASILIA','JOINVILLE','SC','124242241216272431458612342122131447187',NULL,'457',27.90,1,3,NULL),(20,5314135,'1990-02-08 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215272411449811575124121827066',NULL,'270',0.00,1,3,NULL),(20,5314143,'1991-12-26 00:00:00',2,8,12,2009,'F','N','AVAREÍ','JACAREÍ','SP','125253251216111311333319575122610167052',NULL,'9998',23.21,1,3,NULL),(20,5314151,'1989-09-26 00:00:00',4,1,12,2006,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242248117152431548832445122220768012',11291,'129',55.72,1,3,NULL),(20,5314160,'1990-06-25 00:00:00',4,1,11,2008,'M','N','CONJUNTO UNIAO','CPO GRANDE','MS','212121121115471731466833594114610116192',281,'9998',86.81,4,3,NULL),(20,5314178,'1992-03-09 00:00:00',4,6,12,2009,'F','N','SAO JUDAS','ITAJAÍ','SC','124241241226121451656934295122610168147',NULL,'388',23.87,1,3,NULL),(20,5314186,'1991-02-19 00:00:00',2,1,12,2008,'F','N','REAL PARQUE','S JOSÉ','SC','124241241112371431424313572344610134142',NULL,'257',0.00,1,2,1),(20,5314194,'1991-11-06 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','624242241216273521438611595124231437052',2021,'1118',76.65,1,3,NULL),(20,5314208,'1988-05-25 00:00:00',4,3,11,2005,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116162161215574441356924571124610165097',6109,'9998',63.66,1,3,NULL),(20,5314216,'1993-07-21 00:00:00',4,4,12,2009,'F','N','INTERIOR','PAIAL','SC','124241241127131451423636572324610163057',NULL,'587',11.85,1,3,NULL),(20,5314224,'1991-07-02 00:00:00',2,1,11,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241248315372731533314185124610125012',NULL,'300',19.69,1,3,NULL),(20,5314232,'1992-07-29 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124242241115471231445613575124610123097',8153,'739',61.15,1,3,NULL),(20,5314240,'1991-01-14 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212472431476672572115610134182',3992,'270',70.87,1,3,NULL),(20,5314259,'1992-07-13 00:00:00',2,1,12,2009,'F','N','RIO FARIAS','ANTÔNIO CARLOS','SC','124241241117161431623335152221610134052',15262,'21',44.16,1,2,1),(20,5314267,'1991-04-08 00:00:00',4,1,12,2008,'F','N','PLANALTO DO SOL','STA BÁRBARA D OESTE','SP','125253251136471431223724145124610147182',11977,'9998',50.14,1,3,NULL),(20,5314275,'1990-01-26 00:00:00',4,1,11,2007,'F','N','CENTRO','ITU','SP','125252251217573431548814575122610127077',8948,'9998',57.55,1,3,NULL),(20,5314283,'1992-02-01 00:00:00',4,3,12,2009,'F','N','CENTRO','BRUSQUE','SC','124242241215111431588811475122610124192',NULL,'109',8.78,1,3,NULL),(20,5314291,'1986-09-03 00:00:00',2,1,12,2005,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241127134431626313242124610122147',NULL,'257',17.64,2,1,1),(20,5314305,'1993-05-08 00:00:00',4,2,12,2009,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124243241215111431388811575112610133142',16208,'981',42.43,1,3,NULL),(20,5314313,'1983-08-15 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116374441223349495314610164141',NULL,'194',23.78,1,2,1),(20,5314321,'1993-01-02 00:00:00',2,10,12,2009,'F','N','CAMPO DE FORA','LAGUNA','SC','124242241117111431458833572122610124072',11134,'807',56.01,1,3,NULL),(20,5314330,'1991-09-10 00:00:00',4,1,7,2009,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241111141431636514245124610122147',NULL,'739',23.04,1,2,1),(20,5314348,'1988-02-18 00:00:00',4,15,12,2004,'F','N','CENTRO','BAL ARROIO SILVA','SC','124241241124131431215348283324131026097',NULL,'854',24.75,1,3,NULL),(20,5314356,'1978-06-16 00:00:00',2,1,12,1996,'M','N','BELA VISTA','S JOSÉ','SC','224204201122133421436643435132610117042',NULL,'9998',26.42,1,3,NULL),(20,5314364,'1985-04-24 00:00:00',2,1,12,2002,'F','N','TRISTEZA','PTO ALEGRE','RS','120202201217211431476823572124140664197',3374,'9998',70.24,1,3,NULL),(20,5314372,'1992-02-14 00:00:00',4,7,12,2009,'F','N','LOTEAMENTO DONA ALDA','CAPINZAL','SC','124241241116151751333339575124610138147',14395,'156',46.66,1,2,1),(20,5314380,'1981-07-20 00:00:00',2,4,12,1998,'F','N','ARI LUNARDI','XAXIM','SC','124241241125271421336412485122331355147',NULL,'846',0.00,1,2,1),(20,5314399,'1992-02-28 00:00:00',4,8,12,2009,'M','N','BACACHERI','CURITIBA','PR','116163161217421431439923375124610164042',12043,'9998',51.19,1,3,NULL),(20,5314402,'1987-11-24 00:00:00',2,1,6,2005,'M','N','AREIAS','S JOSÉ','SC','124241241125164331544429481124610117142',14923,'361',48.08,1,2,1),(20,5314410,'1992-07-25 00:00:00',2,5,12,2009,'M','N','PINHEIRINHO','CRICIÚMA','SC','124243248215111131426111492124610165141',NULL,'995',43.06,1,3,NULL),(20,5314429,'1989-08-17 00:00:00',2,1,11,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201201115571411346923574112610127052',7062,'9998',63.11,1,2,1),(20,5314445,'1986-03-15 00:00:00',4,1,12,2004,'F','N','CACH DO BOM JESUS','FLORIANÓPOLIS','SC','124132241216145431468839575122230434097',11240,'9997',52.86,1,3,NULL),(20,5314453,'1991-02-02 00:00:00',2,5,12,2008,'F','N','VALVERDE','VERANÓPOLIS','RS','120201202117371431526614272124610164172',NULL,'9998',0.00,1,3,NULL),(20,5314461,'1991-01-15 00:00:00',4,2,11,2008,'F','N','VALPARAISO','BLUMENAU','SC','124243241236412431356623432122610164187',NULL,'67',26.61,1,3,NULL),(20,5314470,'1991-05-23 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472431369931576114230266192',7601,'270',61.73,1,3,NULL),(20,5314488,'1992-02-11 00:00:00',2,1,6,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241336311131225624375124610162117',14964,'288',45.10,1,3,NULL),(20,5314496,'1983-11-08 00:00:00',5,1,12,2000,'F','N','ROÇADO','S JOSÉ','SC','124243241111144431129621211132331014152',15612,'262',45.84,1,3,NULL),(20,5314500,'1990-11-14 00:00:00',2,1,12,2007,'F','N','ITACURUBI','FLORIANÓPOLIS','SC','124242241215573431336831575122610131092',7840,'1118',62.14,1,3,NULL),(20,5314518,'1987-10-07 00:00:00',4,1,12,2005,'M','N','VILA LEOPOLDINA','S PAULO','SP','125252251217471411458839475112140234042',12166,'9998',54.04,1,3,NULL),(20,5314526,'1992-01-02 00:00:00',2,7,12,2009,'M','N','PARIZOTTO','CAPINZAL','SC','124241241235131331511123192344610116172',NULL,'155',0.00,1,3,NULL),(20,5314542,'1990-03-20 00:00:00',4,9,12,2007,'M','N','PARQUE MADERIL','S JOAQUIM','SC','124242241216132431546733485125610127057',NULL,'1035',0.00,1,3,NULL),(20,5314550,'1958-07-26 00:00:00',2,1,12,1979,'F','N','CENTRO','FLORIANÓPOLIS','SC','224251255122135121233358215115441226187',NULL,'9998',47.11,1,2,1),(20,5314569,'1992-10-19 00:00:00',2,15,12,2010,'M','S','URUSSANGUINHA','ARARANGUÁ','SC','124242241215121431346923335122610127052',NULL,'970',25.43,4,3,NULL),(20,5314577,'1989-11-25 00:00:00',4,1,12,2007,'F','N','REAL PARQUE','S JOSÉ','SC','124241241111272731426923341124610128047',NULL,'734',22.62,1,3,NULL),(20,5314585,'1992-06-17 00:00:00',4,2,12,2009,'M','N','ASILO','BLUMENAU','SC','124243241215151231457623395121610164172',NULL,'88',28.45,1,3,NULL),(20,5314593,'1992-01-08 00:00:00',2,1,12,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241225241431533323342124610124142',9990,'262',55.77,1,3,NULL),(20,5314607,'1992-05-30 00:00:00',2,1,11,2009,'F','N','CENTRO','TUPARENDI','RS','120204201217111731426629275124610138047',15588,'9998',42.61,1,3,NULL),(20,5314615,'1992-02-04 00:00:00',4,1,12,2008,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124242241215473431458833572124610168097',1790,'1022',77.22,1,3,NULL),(20,5314631,'1979-09-04 00:00:00',2,1,12,1997,'F','N','PANTANAL','FLORIANÓPOLIS','SC','624201203112231711323349292344610162187',NULL,'9998',0.00,1,2,1),(20,5314640,'1991-05-26 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124243241112231411527933575121610125102',NULL,'935',15.63,1,3,NULL),(20,5314658,'1992-06-09 00:00:00',2,1,10,2009,'F','N','ARIRIÚ','PALHOÇA','SC','124242241215372431426624572114610111017',NULL,'1011',0.00,1,3,NULL),(20,5314666,'1992-04-22 00:00:00',2,1,11,2009,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241127161311425534585122610122052',NULL,'291',20.13,1,2,1),(20,5314682,'1991-10-24 00:00:00',4,1,12,2008,'F','N','CENTRO','IMBITUBA','SC','124244241415472431333673575124610164097',NULL,'362',0.00,1,3,NULL),(20,5314704,'1992-11-06 00:00:00',4,1,11,2009,'M','N','FURADINHO','PALHOÇA','SC','124242241213111221326613595114610124047',5211,'989',66.80,1,3,NULL),(20,5314712,'1986-09-18 00:00:00',2,1,12,2007,'M','N','INGLESE','FLORIANÓPOLIS','SC','124241241116512221212229595114610137042',NULL,'288',18.91,1,2,1),(20,5314720,'1951-07-31 00:00:00',2,1,8,2007,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224241247121331411335551375124610161082',NULL,'9999',25.26,1,2,1),(20,5314739,'1989-12-09 00:00:00',4,1,12,2007,'M','N','ROÇADO','S JOSÉ','SC','124241241116132431336611342112610168197',NULL,'545',21.56,1,2,1),(20,5314747,'1991-07-11 00:00:00',2,1,7,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124234247435372711339923395122610124047',NULL,'270',27.46,1,3,NULL),(20,5314755,'1991-08-29 00:00:00',4,8,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116162161216271431548612575122242647017',4832,'9998',66.33,1,3,NULL),(20,5314763,'1991-12-24 00:00:00',2,1,12,2008,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241115111431523313431324610117042',NULL,'65',24.50,1,3,NULL),(20,5314771,'1988-02-19 00:00:00',2,8,7,2007,'M','N','JOÃO COSTA','JOINVILLE','SC','124243247342141731436511215124610126037',NULL,'9999',26.66,1,3,NULL),(20,5314780,'1985-05-08 00:00:00',2,1,12,2002,'M','N','LARANJEIRAS','RIO SUL','SC','124241241147134431244823235123143227017',NULL,'701',0.00,1,2,1),(20,5314798,'1992-03-01 00:00:00',4,8,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161215121711549831375112610167041',NULL,'9998',0.00,1,3,NULL),(20,5314810,'1989-11-05 00:00:00',4,1,12,2006,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241112473431433618342224610164147',12986,'733',52.39,1,2,1),(20,5314828,'1989-06-12 00:00:00',4,1,12,2007,'M','N','TRNDADE','FLORIANÓPOLIS','SC','124242241211152431438832496112222914042',NULL,'951',0.00,1,3,NULL),(20,5314844,'1991-04-08 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124241241116372432433431375124610144057',NULL,'733',47.79,4,2,1),(20,5314852,'1989-11-25 00:00:00',2,9,11,2007,'F','N','CENTRO','S JOAQUIM','SC','124241241211472411526416471315610124147',NULL,'720',0.00,1,3,NULL),(20,5314860,'1988-11-23 00:00:00',2,1,12,2006,'M','N','BELA VISTA','CAXIAS SUL','RS','120204201416371441444811412224241568027',15468,'1168',46.42,1,3,NULL),(20,5314879,'1992-05-11 00:00:00',2,1,12,2009,'M','N','BIGUAÇU','BIGUAÇU','SC','124243241415111751334519572222610128015',NULL,'63',22.52,1,3,NULL),(20,5314887,'1990-06-11 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','116162161216572431258711575124610166047',2064,'9998',75.07,1,3,NULL),(20,5314895,'1992-02-02 00:00:00',4,1,12,2008,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121215471711478832575112141437067',1476,'9998',77.26,1,3,NULL),(20,5314909,'1992-11-24 00:00:00',4,4,12,2009,'F','N','CENTRO','PATO BRANCO','PR','116162168215372731439832575122610113077',11865,'9998',52.37,1,3,NULL),(20,5314917,'1989-01-17 00:00:00',2,5,7,2007,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124243241216473431558514575125231417147',14636,'995',48.89,1,3,NULL),(20,5314925,'1992-12-10 00:00:00',4,4,11,2009,'M','N','CENTRO','CASCAVEL','PR','116162161215111731458812575112610167042',NULL,'9998',51.68,1,3,NULL),(20,5314933,'1986-08-28 00:00:00',4,1,12,2003,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217422421566611595124222222197',NULL,'270',49.39,1,3,NULL),(20,5314941,'1988-12-05 00:00:00',4,9,12,2006,'M','N','PEREIRA ALVES','CORREIA PINTO','SC','124241241135371431535614172121610117047',NULL,'201',43.83,4,2,1),(20,5314950,'1990-12-06 00:00:00',4,1,6,2009,'M','N','VILA VITORIA','LAGUNA','SC','124242248212272231376827572112610114067',NULL,'270',43.59,1,3,NULL),(20,5314968,'1992-04-29 00:00:00',2,1,11,2009,'M','N','BELA VISTA I','S JOSÉ','SC','124244241111131421324534571224613227042',NULL,'257',24.61,1,3,NULL),(20,5314976,'1991-05-15 00:00:00',4,3,12,2008,'M','N','MALUCHE','BRUSQUE','SC','124242241217152431348812442122231464145',NULL,'912',29.87,1,3,NULL),(20,5314984,'1990-06-18 00:00:00',4,10,11,2007,'M','N','CENTRO','CAPIVARI BAIXO','SC','124243242422374221356514412222130112171',15188,'1120',44.87,4,3,NULL),(20,5314992,'1992-11-10 00:00:00',4,4,12,2009,'M','N','SAO PELEGRINO','GETÚLIO VARGAS','RS','120201201117131532425824572225610137047',NULL,'9998',27.97,4,2,1),(20,5315000,'1991-10-01 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241217111432426619592114610134052',6304,'738',64.77,1,3,NULL),(20,5315018,'1992-06-08 00:00:00',4,4,12,2009,'F','N','INTERIOR','LINDÓIA SUL','SC','124241241115161431423315152224610126142',NULL,'534',15.48,1,2,1),(20,5315026,'1973-10-02 00:00:00',2,1,12,1990,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216154411143441415124522825082',NULL,'272',0.00,1,3,NULL),(20,5315034,'1987-04-14 00:00:00',2,16,9,2009,'M','N','SÃO JOSÉ','CURITIBANOS','SC','624241247127271711415569182345610164045',NULL,'9999',12.81,2,1,1),(20,5315042,'1988-12-12 00:00:00',2,1,12,2006,'F','N','JARDIM DOM HENRIQUE','BOTUCATU','SP','125251251215471251436921585124610168077',NULL,'9998',0.00,1,3,NULL),(20,5315050,'1992-06-13 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241216111431333611285124610122057',NULL,'976',22.08,4,3,NULL),(20,5315069,'1992-08-21 00:00:00',4,1,12,2009,'F','N','RIO FARIAS','ANTÔNIO CARLOS','SC','124241241115271731434336275124610168047',NULL,'21',40.72,1,2,1),(20,5315077,'1992-03-08 00:00:00',4,8,12,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124244248415111311438819595125613248182',NULL,'932',24.15,1,3,NULL),(20,5315085,'1992-02-13 00:00:00',4,1,12,2009,'F','N','ESTRADA DE FÁTIMA','ANTÔNIO CARLOS','SC','124241241115161411523316371324610147042',9032,'21',56.97,1,2,1),(20,5315107,'1985-11-20 00:00:00',2,1,12,2006,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','224241241342132411316341112124610127045',NULL,'9999',0.00,1,3,NULL),(20,5315115,'1988-03-30 00:00:00',4,7,12,2007,'F','N','CENTRO','CAPINZAL','SC','124241248116142441114415495124333222041',NULL,'156',17.82,1,3,NULL),(20,5315123,'1992-02-28 00:00:00',2,5,11,2009,'F','N','MICHEL','CRICIÚMA','SC','124242241215112431458712422122610148077',9233,'210',58.33,1,3,NULL),(20,5315131,'1989-11-22 00:00:00',4,8,12,2006,'F','N','CENTRO','VERÊ','PR','116163161216561441358613575124610137052',2181,'9998',76.09,1,3,NULL),(20,5315140,'1992-11-26 00:00:00',4,3,12,2009,'F','N','CENTRO','CAMBORIÚ','SC','124242241217371431536612574112610162072',NULL,'1091',0.00,1,3,NULL),(20,5315158,'1992-08-24 00:00:00',4,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115271731533716275124610162077',14544,'21',46.35,1,2,1),(20,5315174,'1992-01-06 00:00:00',2,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124242241215112731478611172124610137117',9907,'1022',54.82,4,3,NULL),(20,5315182,'1992-04-05 00:00:00',2,1,12,2009,'M','N','JARDIM SÃO MIGUEL','BIGUAÇU','SC','124242241217111731556514342124610167047',6659,'738',64.22,1,3,NULL),(20,5315190,'1992-07-08 00:00:00',4,2,11,2009,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241115141431543514345124610123147',NULL,'83',0.00,1,2,1),(20,5315204,'1992-09-02 00:00:00',2,6,11,2009,'F','N','CENTRO','RIO SUL','SC','124242241215131431357365576225610127147',11447,'663',52.47,1,3,NULL),(20,5315212,'1992-07-14 00:00:00',4,8,11,2009,'M','N','AMERICA','JOINVILLE','SC','124242241235111431434427271125610166192',3692,'486',70.14,1,3,NULL),(20,5315220,'1991-11-12 00:00:00',4,15,12,2008,'F','N','LOURDES','CAXIAS SUL','RS','120201201117471451236823472112610135177',11327,'9998',52.58,1,2,1),(20,5315239,'1988-04-25 00:00:00',2,1,12,2005,'F','N','CENTRO','S BENTO SUL','SC','124241241116132431435639485112133228072',NULL,'697',26.42,1,3,NULL),(20,5315255,'1988-11-29 00:00:00',4,1,12,2005,'F','N','CAMPINAS','S JOSÉ','SC','124241241116272431536414345124133266147',NULL,'76',24.94,1,2,1),(20,5315263,'1993-03-18 00:00:00',4,1,12,2010,'M','S','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431449933576112610144045',NULL,'883',48.77,3,3,NULL),(20,5315271,'1992-09-01 00:00:00',2,15,12,2009,'F','N','CENTRO','TIMBÉ SUL','SC','124244248415161732436913572111610168147',NULL,'814',22.20,1,3,NULL),(20,5315336,'1982-11-03 00:00:00',4,1,12,2000,'M','N','BARREIROS','S JOSÉ','SC','124242246116375421349673335123133224052',9819,'306',54.57,1,3,NULL),(20,5315352,'1992-11-26 00:00:00',4,5,12,2009,'F','N','MICHEL','CRICIÚMA','SC','124242241216131511444833575112610114012',NULL,'995',44.67,1,3,NULL),(20,5315360,'1975-01-18 00:00:00',2,1,12,1997,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224171171126573421436553172122222228092',14460,'9998',49.35,4,3,NULL),(20,5315379,'1992-07-07 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124243241215151431536613572122610168096',NULL,'723',25.07,1,3,NULL),(20,5315387,'1991-07-02 00:00:00',4,1,12,2008,'M','N','ASA NORTE','BRASÍLIA','DF','107072071215472431689814472122610137057',5771,'9998',66.54,1,3,NULL),(20,5315395,'1992-05-08 00:00:00',4,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124241241115371731213329275124610122152',NULL,'592',23.53,1,2,1),(20,5315409,'1964-05-26 00:00:00',4,1,12,1984,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','624241257331132411536644441114133234047',13029,'9999',52.31,1,3,NULL),(20,5315417,'1991-02-28 00:00:00',4,8,2,2008,'F','N','CENTRO','PNT GROSSA','PR','116113161417471431159833572125610147147',11840,'9998',51.55,1,3,NULL),(20,5315425,'1987-08-08 00:00:00',4,1,12,2002,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241136271431326513285123131024172',NULL,'257',24.27,1,2,1),(20,5315433,'1991-07-04 00:00:00',4,8,12,2008,'M','N','BOQUEIRÃO','SANTOS','SP','125252251217272411378914575112143237182',6866,'9998',61.25,1,3,NULL),(20,5315441,'1991-05-24 00:00:00',4,1,12,2009,'M','N','INGLESESS','FLORIANÓPOLIS','SC','125242241215472431558811572114610137043',NULL,'270',26.53,1,3,NULL),(20,5315450,'1971-05-08 00:00:00',2,1,12,1999,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','524164167426131411538744241234510166181',NULL,'9998',28.29,1,3,NULL),(20,5315468,'1991-12-01 00:00:00',2,1,12,2009,'F','N','BOA VISTA','BIGUAÇU','SC','124241241112131131215321572324610122192',NULL,'65',41.34,4,2,1),(20,5315476,'1992-03-10 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115472431635514572122610136147',10635,'592',55.57,1,2,1),(20,5315484,'1990-06-02 00:00:00',2,1,11,2007,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124244241316371411536624385124610127027',15013,'307',47.83,4,3,NULL),(20,5315492,'1983-05-27 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244247415262431345779295113131047011',NULL,'9999',0.00,1,3,NULL),(20,5315506,'1992-07-16 00:00:00',4,7,12,2009,'M','N','SR BOM JESUS','CAMPOS NOVOS','SC','124243241116161431459933595122610137057',9715,'140',55.69,1,3,NULL),(20,5315514,'1991-07-29 00:00:00',4,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124241241116271221224621215234610113142',NULL,'307',30.15,4,2,1),(20,5315530,'1992-10-15 00:00:00',4,9,12,2009,'F','N','CONTA DINHEIRO','LAGES','SC','124241241111131731326611342324610131147',NULL,'505',20.82,1,2,1),(20,5315549,'1992-01-25 00:00:00',4,1,12,2009,'M','N','STO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC','124242241215122431359924475124610137042',7813,'1022',62.19,1,3,NULL),(20,5315557,'1992-07-06 00:00:00',4,3,12,2009,'F','N','CENTRO','NOVA A SUL','MS','112122121417121231544713575122610136097',NULL,'9998',0.00,1,3,NULL),(20,5315565,'1992-04-11 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215131431636619575122610131057',14879,'259',44.87,1,3,NULL),(20,5315573,'1992-02-24 00:00:00',4,1,12,2009,'M','N','NOVO MUNDO','CURITIBA','PR','116162161215471431458812175112610164047',3223,'9998',71.08,1,3,NULL),(20,5315590,'1992-09-02 00:00:00',4,4,12,2009,'F','N','AGOSTINI','S MIGUEL OESTE','SC','124243161217471731523314375122610167142',NULL,'9998',0.00,1,3,NULL),(20,5315603,'1991-01-05 00:00:00',2,5,12,2008,'F','N','CENTRO','CRICIÚMA','SC','124244241215472711366611595122610146017',NULL,'210',42.85,1,3,NULL),(20,5315611,'1992-09-10 00:00:00',4,15,12,2009,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241115131731416615592222610118147',NULL,'30',0.00,1,2,1),(20,5315620,'1991-06-18 00:00:00',4,1,12,2008,'F','N','BOA VISTA','LIMEIRA','SP','125251251127131731425611285124610135094',NULL,'9998',0.00,1,3,NULL),(20,5315638,'1991-06-09 00:00:00',2,1,12,2008,'F','N','HIGIENÓPOLIS','STA CRUZ SUL','RS','120202201216471211478831215124610167183',1399,'9998',78.93,1,3,NULL),(20,5315646,'1984-12-02 00:00:00',2,8,6,2003,'M','N','BOM RETIRO','JOINVILLE','SC','124244247127371231236823375122231468191',NULL,'671',0.00,1,3,NULL),(20,5315662,'1989-01-21 00:00:00',2,16,12,2006,'M','N','CENTRO','CURITIBANOS','SC','124241241116373431337619575125231066012',7175,'239',63.48,1,3,NULL),(20,5315689,'1985-09-24 00:00:00',4,1,11,2005,'M','N','BARREIROS','S JOSÉ','SC','124244241123152411436625216121610166041',NULL,'736',0.00,4,1,2),(20,5315719,'1983-03-21 00:00:00',4,5,11,2000,'F','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241212372421246323435132321468091',11640,'213',55.05,1,3,NULL),(20,5315727,'1990-10-25 00:00:00',2,1,12,2008,'F','N','PARQUE DO SOL','STA MARIA','RS','120206201117471431547739275124610124187',2043,'9998',76.74,1,3,NULL),(20,5315735,'1992-11-11 00:00:00',4,4,12,2009,'F','N','CENTRO','PELOTAS','RS','120201201116471431337732575122610148182',13430,'9998',46.70,1,2,1),(20,5315743,'1991-07-27 00:00:00',2,16,12,2009,'M','N','BOM JESUS','CURITIBANOS','SC','124241244115271731446334341322610127047',NULL,'239',27.05,1,2,1),(20,5315751,'1988-02-10 00:00:00',4,9,12,2005,'M','N','COPACABANA','LAGES','SC','124244241316372441345314585124132042057',12078,'515',54.22,4,3,NULL),(20,5315760,'1992-08-13 00:00:00',4,3,11,2009,'M','N','BATEL','CURITIBA','PR','116162161216111511468912271122610127047',804,'9998',82.17,1,3,NULL),(20,5315778,'1991-10-25 00:00:00',4,1,12,2008,'M','N','CENTRO','PARAÍSO','SC','124241241147141431333331342114610138177',NULL,'604',36.74,1,3,NULL),(20,5315794,'1992-04-27 00:00:00',4,4,12,2009,'F','N','CENTRO','GALVÃO','SC','124241241117131731526331592125610123147',NULL,'321',13.56,1,2,1),(20,5315808,'1991-09-10 00:00:00',4,1,11,2009,'M','N','SETOR JAO','GOIÂNIA','GO','109092091214151751468832575122610162042',NULL,'9998',0.00,1,3,NULL),(20,5315824,'1990-05-29 00:00:00',1,1,12,2008,'F','N','LA SALLE','TOLEDO','PR','116162161215471731448811575125610164142',3658,'9998',69.69,1,3,NULL),(20,5315832,'1992-04-09 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216273431358732342124610124142',9009,'1169',57.03,1,3,NULL),(20,5315859,'1978-02-03 00:00:00',2,1,12,2006,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124246248611111751623319291345610168197',NULL,'9999',24.99,1,3,NULL),(20,5315875,'1991-01-10 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241217153431428613575114610127057',3908,'752',69.59,1,3,NULL),(20,5315883,'1992-07-11 00:00:00',2,4,12,2009,'F','N','INTERIOR','SEARA','SC','124241241115141751536619342224610166147',NULL,'763',29.13,1,3,NULL),(20,5315891,'1989-03-22 00:00:00',2,1,12,2006,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','624203201116471231228751292222610125015',NULL,'9998',27.63,1,3,NULL),(20,5315905,'1991-02-01 00:00:00',2,9,12,2009,'M','N','PONTE IMARUIM','PALHOÇA','SC','124241241147131421427616112224610116177',NULL,'592',15.13,1,2,1),(20,5315913,'1992-06-01 00:00:00',4,8,11,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111431369932375112610147052',11823,'1063',51.18,1,3,NULL),(20,5315921,'1989-05-23 00:00:00',2,1,12,2006,'F','N','PRAINHA','FLORIANÓPOLIS','SC','124243241417113711557632495124231024185',12367,'272',53.63,1,3,NULL),(20,5315930,'1993-10-11 00:00:00',4,6,12,2009,'F','N','SANTA TEREZINHA','BRUSQUE','SC','124243241215111531437632325122610135147',NULL,'109',27.12,1,3,NULL),(20,5315948,'1989-11-29 00:00:00',5,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241147161522118548282321610163142',NULL,'922',41.38,1,3,NULL),(20,5315956,'1992-03-04 00:00:00',4,17,12,2009,'M','N','JARDIM ESPERANÇA','CANOINHAS','SC','124241241115131431424823575124610132187',NULL,'153',0.00,1,2,1),(20,5315964,'1991-08-21 00:00:00',4,1,12,2008,'M','N','PÁTRIA NOVA','NOVO HAMBURGO','RS','120202201215471411479811572124610162122',NULL,'9998',0.00,1,3,NULL),(20,5315972,'1991-05-18 00:00:00',4,1,7,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241115141341525823231314610137157',NULL,'739',17.48,1,2,1),(20,5315980,'1989-03-05 00:00:00',2,1,12,2007,'F','N','BELA VISTA','PALHOÇA','SC','124241241127131431523364282214610134142',NULL,'1108',13.99,1,2,1),(20,5316014,'1982-12-04 00:00:00',2,16,12,1999,'F','N','CENTRO','LEBON RÉGIS','SC','124241241123141421233943331224340627147',10966,'557',56.36,1,3,NULL),(20,5316022,'1987-12-11 00:00:00',4,3,12,2006,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116162161215513431468632271114610166092',NULL,'9998',0.00,1,3,NULL),(20,5316030,'1981-03-10 00:00:00',2,1,12,1998,'F','N','FLORESTA','S JOSÉ','SC','124241241116131351233353482124143235147',NULL,'192',19.32,1,2,1),(20,5316049,'1991-07-24 00:00:00',4,1,11,2008,'F','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125252251216371431479814592112610124057',NULL,'9998',0.00,1,3,NULL),(20,5316057,'1992-07-15 00:00:00',4,4,12,2009,'M','N','CENTRO','CONCÓRDIA','SC','124241241115271532453923572112610127047',NULL,'192',30.81,1,3,NULL),(20,5316065,'1990-10-19 00:00:00',2,1,12,2007,'M','N','BELA VISTA','S JOSÉ','SC','124242241117273331333823372121610117042',9772,'734',57.87,1,3,NULL),(20,5316073,'1992-05-08 00:00:00',2,1,12,2009,'F','N','ARIRIU','PALHOÇA','SC','124241241145131432543611375124610123147',NULL,'592',37.19,4,2,1),(20,5316081,'1989-08-10 00:00:00',2,4,12,2006,'F','N','CENTRO','IVATÉ','PR','116161161115575731424434571324610168142',NULL,'9998',30.35,2,1,1),(20,5316090,'1991-06-17 00:00:00',4,16,7,2009,'M','N','APARECIDA','CURITIBANOS','SC','124241242113111431423536593322610137067',NULL,'960',24.41,1,3,NULL),(20,5316103,'1991-11-04 00:00:00',4,1,12,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','124241241135141711446734245124233262187',NULL,'430',0.00,1,2,1),(20,5316111,'1979-08-15 00:00:00',2,1,12,2001,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124246247646132431113344145234231066027',NULL,'9999',24.49,1,3,NULL),(20,5316120,'1974-11-23 00:00:00',2,1,12,1996,'F','N','SANTINHO','FLORIANÓPOLIS','SC','524243248446131421323341115334332723147',NULL,'190',28.70,1,3,NULL),(20,5316138,'1988-02-10 00:00:00',4,1,12,2005,'M','N','JD NOVO HORIZONTE','MARINGÁ','PR','116162161215571731478924582112141564042',3856,'9998',68.91,1,3,NULL),(20,5316154,'1957-07-02 00:00:00',4,15,12,1976,'F','N','MATO ALTO','ARARANGUÁ','SC','224241241213131431334443435123130223185',NULL,'813',24.15,1,3,NULL),(20,5316162,'1992-06-29 00:00:00',4,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124242241216271631469913475114610167012',NULL,'976',29.37,1,3,NULL),(20,5316170,'1987-08-22 00:00:00',2,1,11,2004,'M','N','VILA NOVA','GOIÂNIA','GO','109092091215573451468832575122610162042',2653,'9998',73.66,1,3,NULL),(20,5316189,'1990-05-11 00:00:00',4,1,12,2007,'M','N','CENTRO','BENTO GONÇALVES','RS','120201201117472512456611485112141444195',13332,'9998',51.69,1,2,1),(20,5316197,'1991-01-06 00:00:00',2,2,12,2008,'M','N','CENTRO','LARANJEIRAS SUL','PR','116161161136571441557614175124610167142',9985,'9998',54.86,1,2,1),(20,5316200,'1988-03-10 00:00:00',2,10,12,2005,'F','N','CENTRO','IMBITUBA','SC','124241241217575421569613575114610123077',14078,'362',50.25,1,3,NULL),(20,5316219,'1992-03-21 00:00:00',2,7,12,2009,'F','N','MAXIMILIANO TOALDO','CAPINZAL','SC','124241241216111431448923392122610147072',14382,'155',44.79,1,3,NULL),(20,5316227,'1987-10-17 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124051051137132431113648482324610126097',NULL,'9998',44.37,4,1,1),(20,5316243,'1991-05-18 00:00:00',4,1,11,2008,'F','N','CENTRO','PTO ALEGRE','RS','119202201215371411366723475124141036072',13266,'9998',51.84,1,3,NULL),(20,5316251,'1988-03-23 00:00:00',4,5,10,2006,'M','N','SANTA LUZIA','CRICIÚMA','SC','124242248215573711384432595122131568112',NULL,'226',0.00,1,3,NULL),(20,5316278,'1993-03-13 00:00:00',4,10,12,2009,'F','N','ENCRUZO','JAGUARUNA','SC','124241241115371432323311575124610138017',NULL,'1034',26.80,1,3,NULL),(20,5316294,'1990-01-09 00:00:00',2,1,11,2007,'F','N','JOSÉ MENDES CENTRO','FLORIANÓPOLIS','SC','124241241121471431626624346324610164147',13432,'95',51.53,1,2,1),(20,5316316,'1991-03-23 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217472431188912575114610114122',12966,'270',52.44,1,3,NULL),(20,5316324,'1991-08-16 00:00:00',4,9,12,2009,'M','N','CENTRO','LAGES','SC','124241241112371431438831575122610162027',NULL,'512',27.12,1,2,1),(20,5316332,'1986-12-03 00:00:00',4,1,12,2004,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124242241217153431155631395123121432187',4490,'403',67.49,1,3,NULL),(20,5316340,'1992-05-12 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124241241215151431449933312124610134192',14052,'88',45.92,1,3,NULL),(20,5316359,'1992-07-28 00:00:00',2,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124243242215151431455812374122610124012',7194,'210',61.87,1,3,NULL),(20,5316367,'1991-06-30 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241111131411326511382324610134097',NULL,'288',25.48,1,2,1),(20,5316375,'1979-10-28 00:00:00',4,8,12,1998,'M','N','PARQUE GUARANI','JOINVILLE','SC','124241241125161531324614242343610117047',NULL,'473',14.72,1,3,NULL),(20,5316391,'1992-05-06 00:00:00',2,1,11,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241212111111228877572124610114015',6648,'1022',62.45,1,3,NULL),(20,5316405,'1990-02-26 00:00:00',4,4,12,2007,'F','N','JARDIM ITALIA','CHAPECÓ','SC','124241241216573431348832575124610122192',6434,'185',65.07,1,3,NULL),(20,5316413,'1987-03-24 00:00:00',2,1,12,2004,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241241125375431226329341114610134092',15133,'111',47.47,1,2,1),(20,5316421,'1989-07-14 00:00:00',4,6,12,2006,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215574751378811575122610161191',2413,'1038',74.00,4,3,NULL),(20,5316430,'1985-05-10 00:00:00',4,1,12,2002,'M','N','CENTRO','PALHOÇA','SC','124131131217152421128841415122333226187',10316,'9998',57.59,1,3,NULL),(20,5316448,'1964-01-03 00:00:00',4,1,6,1983,'M','N','BAIRRO BELA VISTA I','S JOSÉ','SC','124241243324132421346463235124332737082',NULL,'9997',26.49,4,3,NULL),(20,5316456,'1991-03-07 00:00:00',2,4,12,2009,'M','N','COLATTO','XANXERÊ','SC','124241241116141431323314345221610114182',NULL,'840',19.78,1,2,1),(20,5316472,'1991-09-09 00:00:00',5,8,11,2009,'M','N','GONZAGA','SANTOS','SP','125252251217131431438811575124610127072',NULL,'9998',0.00,1,3,NULL),(20,5316480,'1989-05-02 00:00:00',2,1,12,2007,'F','N','CIGANA','LAGUNA','SC','124241247137132431523319572224610161197',NULL,'9997',19.53,1,2,1),(20,5316499,'1988-05-06 00:00:00',4,1,12,2005,'M','N','PAES LEME','IMBITUBA','SC','124244241214573411558931575124130917061',1671,'806',78.18,5,3,NULL),(20,5316502,'1991-03-15 00:00:00',2,4,12,2008,'F','N','CENTRO','CAIBI','SC','124241241126371431226629495125610132147',NULL,'127',0.00,1,3,NULL),(20,5316510,'1985-07-24 00:00:00',4,7,12,2003,'M','N','FLOR DA SERRA','JOAÇABA','SC','124242241214471731463814214225333264047',4956,'454',66.11,3,3,NULL),(20,5316529,'1991-12-09 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431469913575122610167066',12240,'262',49.93,1,3,NULL),(20,5316537,'1988-12-28 00:00:00',4,1,12,2006,'F','N','CENTRO','GOIÂNIA','GO','109092091217574431688811572122610143187',1398,'9998',77.83,1,3,NULL),(20,5316545,'1991-09-25 00:00:00',4,15,12,2008,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120201201117571731327934592114610128051',NULL,'9998',30.58,1,2,1),(20,5316553,'1992-08-25 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115111431526513372124610168042',14710,'278',45.30,1,2,1),(20,5316561,'1992-01-18 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248215131752344479575124613225142',NULL,'9997',18.14,1,3,NULL),(20,5316570,'1976-05-23 00:00:00',2,1,12,1997,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224241248127371431523359392124133223097',NULL,'287',0.00,1,2,1),(20,5316596,'1993-05-13 00:00:00',4,1,12,2010,'M','S','CAMPINAS','S JOSÉ','SC','124242241215111711538814485122610117045',NULL,'737',20.23,1,3,NULL),(20,5316600,'1991-09-25 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241145271431423428382224610122077',NULL,'288',28.33,1,2,1),(20,5316618,'1991-11-01 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241217111411456614592112610162197',5095,'737',67.19,1,3,NULL),(20,5316626,'1991-10-02 00:00:00',2,1,11,2009,'M','N','SAO JOAO ME','TUBARÃO','SC','124241241137371431323729585111610164147',15147,'802',47.43,1,2,1),(20,5316634,'1992-07-05 00:00:00',2,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241115271431666532572122610131142',14791,'733',45.91,1,3,NULL),(20,5316642,'1991-10-22 00:00:00',2,4,12,2008,'M','N','MADALOZZO','CEL VIVIDA','PR','116161161214371731335631594122610117062',10340,'9998',56.53,1,3,NULL),(20,5316650,'1993-07-27 00:00:00',4,1,11,2010,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124241246216171231423335592124610124192',NULL,'269',25.57,1,3,NULL),(20,5316669,'1992-08-11 00:00:00',4,4,12,2009,'M','N','CENTRO','IPUMIRIM','SC','124241241116271431449933595124610167012',NULL,'169',27.51,1,2,1),(20,5316677,'1979-02-01 00:00:00',2,1,12,1998,'M','N','CENTRO','CURITIBA','PR','116163161126371711126627285125240962046',NULL,'9998',0.00,1,3,NULL),(20,5316685,'1991-02-16 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217272421447614445114122364017',13506,'738',51.36,1,3,NULL),(20,5316693,'1992-08-17 00:00:00',4,1,11,2009,'F','N','CENTRO','CÂNDIDO GODÓI','RS','120201201217271231348916172124610165147',NULL,'9998',33.79,1,3,NULL),(20,5316707,'1983-05-28 00:00:00',2,4,9,2002,'M','N','CENTRO','QUILOMBO','SC','124163257316151431448813575122341627042',NULL,'9998',0.00,1,3,NULL),(20,5316723,'1992-09-05 00:00:00',4,6,11,2009,'F','N','BARRA SUL','BAL CAMBORIÚ','SC','124242241215121431428729575124610165092',9665,'1038',57.85,1,3,NULL),(20,5316731,'1988-08-24 00:00:00',4,8,12,2007,'M','N','TATUAPÉ','S PAULO','SP','125252251216572431548714575125610137182',13417,'9998',51.56,1,3,NULL),(20,5316740,'1991-01-23 00:00:00',2,8,12,2007,'F','N','CENTRO','COLOMBO','PR','116162161215571451536812572124610148097',4598,'9998',67.73,1,3,NULL),(20,5316758,'1988-11-05 00:00:00',2,1,12,2006,'M','N','CENTRO','PELOTAS','RS','120201201116571431433336572122610137047',4949,'9998',67.13,1,2,1),(20,5316766,'1990-12-22 00:00:00',2,4,12,2008,'F','N','SANTA CRUZ','CONCÓRDIA','SC','224241241115152431538811371122610138147',NULL,'192',17.26,1,2,1),(20,5316774,'1990-01-27 00:00:00',4,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215272431248612595122130438186',16177,'1022',42.82,1,3,NULL),(20,5316804,'1980-01-19 00:00:00',2,1,12,2000,'M','N','FORQUILHAS','S JOSÉ','SC','224201201126131421323341115222610128047',NULL,'9998',21.78,1,3,NULL),(20,5316812,'1992-06-15 00:00:00',2,1,12,2009,'F','N','FURADINHO','PALHOÇA','SC','124241241145141431434311245124610137057',13660,'592',47.90,1,2,1),(20,5316820,'1992-02-03 00:00:00',4,1,11,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241331311331223324142324610125112',NULL,'300',21.55,1,3,NULL),(20,5316839,'1992-12-29 00:00:00',2,5,12,2009,'F','N','PRÓSPERA','CRICIÚMA','SC','124241241415121431646631342124610124077',NULL,'920',22.35,1,3,NULL),(20,5316847,'1986-11-25 00:00:00',4,1,12,2003,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216573431478832475322221433142',9477,'266',59.13,3,3,NULL),(20,5316855,'1993-07-21 00:00:00',4,1,12,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215111431236729375124610122062',12890,'1022',52.57,1,3,NULL),(20,5316863,'1992-07-13 00:00:00',4,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115371411536433575124610117043',NULL,'295',18.03,2,1,1),(20,5316871,'1989-10-31 00:00:00',2,1,12,2006,'F','N','CENTRO','ESTEIO','RS','120202201116371731358634245123610167077',13514,'9998',48.53,1,3,NULL),(20,5316880,'1988-02-06 00:00:00',4,1,1,2006,'F','N','ROCADO','S JOSÉ','SC','124244241316131711326953492124130263097',NULL,'9997',23.48,1,3,NULL),(20,5316898,'1991-08-16 00:00:00',4,1,12,2009,'M','N','VILA ROMANA','S PAULO','SP','125252251217471441558713591114610162047',5941,'9998',63.72,1,3,NULL),(20,5316901,'1991-07-10 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215112431447923575124610134182',6358,'270',65.21,1,3,NULL),(20,5316910,'1991-09-14 00:00:00',2,1,12,2008,'F','N','PROGRESSO','POUSO REDONDO','SC','124241241315472431335911572114610167052',NULL,'991',27.84,1,3,NULL),(20,5316928,'1989-08-27 00:00:00',2,1,12,2006,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217274431346923295124221461145',4011,'962',68.63,1,3,NULL),(20,5316936,'1987-06-08 00:00:00',4,7,12,2005,'F','N','SÃO MIGUEL','CONCÓRDIA','SC','124241241111431621113315441323613268047',NULL,'918',21.59,1,3,NULL),(20,5316944,'1977-12-16 00:00:00',4,1,12,1999,'M','N','INGLESES','FLORIANÓPOLIS','SC','624051051127131451221173282344610167187',NULL,'9998',43.01,2,2,1),(20,5316960,'1990-03-06 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241127133421424315393334222326187',10317,'691',56.56,1,2,1),(20,5316979,'1978-01-16 00:00:00',4,1,12,2003,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247322142421343313232122610168192',NULL,'9999',0.00,1,3,NULL),(20,5316987,'1989-11-18 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472731469833372114610167181',8333,'273',58.55,1,3,NULL),(20,5316995,'1992-06-02 00:00:00',4,1,12,2009,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241225132421224311475224610135142',7654,'262',60.28,1,3,NULL),(20,5317010,'1982-12-13 00:00:00',2,8,6,2008,'M','N','PARQUE GUARANI','JOINVILLE','SC','624241241111161411623312112223231456117',NULL,'9997',9.03,1,3,NULL),(20,5317037,'1992-03-07 00:00:00',4,5,12,2009,'F','N','PIO CORREA','CRICIÚMA','SC','124242241215152431546911572222610164122',11171,'226',53.90,1,3,NULL),(20,5317045,'1992-10-20 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241217111431465811472112610127127',7700,'226',60.54,1,3,NULL),(20,5317053,'1990-10-09 00:00:00',2,5,11,2007,'F','N','VILA IPIRANGA','PTO ALEGRE','RS','120202201215571431558833571124610132142',1161,'9998',80.33,1,3,NULL),(20,5317070,'1992-07-04 00:00:00',4,4,12,2009,'M','N','INTERIOR','PRINCESA','SC','124241241115161112649636362324610112072',NULL,'646',0.00,1,3,NULL),(20,5317088,'1992-06-11 00:00:00',4,8,11,2009,'F','N','GUANABARA','JOINVILLE','SC','124241241215131431526923375124610132052',NULL,'489',19.38,1,3,NULL),(20,5317096,'1988-02-20 00:00:00',4,6,12,2005,'F','N','CENTRO','ITAJAÍ','SC','124201201137151711424314342314141665147',NULL,'9998',20.23,2,1,1),(20,5317100,'1991-03-06 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124121241126473411323319576224610126147',5309,'922',66.78,4,2,1),(20,5317118,'1991-12-10 00:00:00',2,1,7,2009,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124241247215371431536839395124610117042',NULL,'270',24.23,1,3,NULL),(20,5317126,'1992-04-13 00:00:00',4,9,12,2009,'F','N','CONTA DINHEIRO','LAGES','SC','124241241117271431326661575124610163077',NULL,'512',26.54,1,2,1),(20,5317134,'1987-05-31 00:00:00',4,6,12,2004,'F','N','CENTRO','RIO SUL','SC','124241241216374431643339442123610132017',NULL,'663',0.00,1,3,NULL),(20,5317142,'1990-10-05 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217474711479613575122230222121',1784,'270',77.65,1,3,NULL),(20,5317150,'1978-02-20 00:00:00',4,8,7,1997,'M','N','IRIRIÚ','JOINVILLE','SC','424241247421312721336613341132133224057',NULL,'9999',16.79,1,3,NULL),(20,5317177,'1992-01-11 00:00:00',2,5,10,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215111452459814272122610114197',12187,'226',54.01,1,3,NULL),(20,5317185,'1992-05-28 00:00:00',4,4,11,2009,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124242241216372431459622575122610132147',11800,'185',52.27,1,3,NULL),(20,5317193,'1992-10-04 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241417131431356833575122610164182',6312,'738',63.44,1,3,NULL),(20,5317207,'1992-10-17 00:00:00',4,1,12,2009,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241127161232429634272324610137042',NULL,'291',17.03,1,3,NULL),(20,5317215,'1992-06-20 00:00:00',4,1,12,2009,'F','N','CENTRO','PARAÍSO','SC','124241241111111431423334581114610146062',NULL,'604',20.28,1,3,NULL),(20,5317223,'1988-02-27 00:00:00',4,1,12,2005,'M','N','BELA VISTA','S JOSÉ','SC','124241241117134431445612385114610164092',15630,'726',45.75,1,2,1),(20,5317231,'1992-04-08 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241112271451214324572324610135147',9899,'739',56.13,1,2,1),(20,5317240,'1989-11-13 00:00:00',4,7,12,2006,'F','N','CENTRO','JOAÇABA','SC','124242241216574431458919572122610123182',7526,'446',62.45,1,3,NULL),(20,5317258,'1989-12-16 00:00:00',4,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241247435573331326629375124610123147',NULL,'300',29.08,2,3,NULL),(20,5317266,'1991-05-20 00:00:00',4,5,12,2008,'F','N','SANTO ANTÔNIO','PTO ALEGRE','RS','120202201215471431256833572124610134192',467,'9998',84.87,1,3,NULL),(20,5317274,'1986-11-05 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241112331421536314342124610141147',NULL,'307',24.44,2,1,1),(20,5317282,'1992-10-06 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217131412437933572124610163097',11694,'1022',51.91,1,3,NULL),(20,5317290,'1993-06-08 00:00:00',4,4,12,2009,'F','N','LINHA SÃO VALENTIM','DESCANSO','SC','124241241116131431423615575124610116057',NULL,'243',0.00,1,2,1),(20,5317304,'1988-06-04 00:00:00',4,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124202201216153451128811495115221164185',11551,'9998',55.22,1,3,NULL),(20,5317312,'1992-07-06 00:00:00',4,4,11,2009,'M','N','CENTRO','STO ANTÔNIO MISSÕES','RS','120204201417151731446732391124610168047',NULL,'9998',0.00,1,3,NULL),(20,5317320,'1990-07-09 00:00:00',4,1,11,2007,'M','N','FAZENDA RIO TAVARES','FLORIANÓPOLIS','SC','124162241416472311226924595114133226151',9561,'299',55.97,4,3,NULL),(20,5317339,'1992-07-30 00:00:00',4,2,12,2009,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124242241215112431469634575122610126147',10591,'109',56.82,1,3,NULL),(20,5317347,'1989-05-13 00:00:00',2,1,12,2007,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124241241112132431544313442111610167047',NULL,'288',22.76,1,3,NULL),(20,5317355,'1986-06-30 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241112372431114441412334610125077',NULL,'307',26.86,1,2,1),(20,5317363,'1990-01-07 00:00:00',2,1,12,2007,'F','N','BELA VISTA','PALHOÇA','SC','124241241127131431425334382224242732142',NULL,'1108',16.46,1,2,1),(20,5317371,'1992-05-12 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241248112141431426534242324610137017',NULL,'281',20.25,1,2,1),(20,5317380,'1988-12-28 00:00:00',4,8,12,2005,'F','N','ZONA QUATRO','MARINGÁ','PR','116122161217571431558831575122610124127',1147,'9998',80.18,1,3,NULL),(20,5317398,'1992-05-19 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431456612592122610118047',NULL,'1022',28.56,1,3,NULL),(20,5317401,'1988-06-15 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241216272511426631215112610137182',NULL,'1010',29.16,1,3,NULL),(20,5317410,'1992-07-31 00:00:00',4,9,11,2009,'M','N','SAGRADO CORAÇÃO','LAGES','SC','124241242136161751416816172225610167042',15633,'960',41.71,1,2,1),(20,5317428,'1993-11-01 00:00:00',4,1,12,2010,'M','S','KOBRASOL','S JOSÉ','SC','124242241212111321368962492112610138072',NULL,'737',48.69,1,3,NULL),(20,5317436,'1992-12-09 00:00:00',2,15,12,2009,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241248112131131343319581121610124022',NULL,'29',19.88,1,2,1),(20,5317444,'1983-04-01 00:00:00',4,1,7,2007,'M','N','PORTÃO','CURITIBA','PR','116163167327131441338729181321610167112',NULL,'9998',0.00,1,3,NULL),(20,5317452,'1989-10-20 00:00:00',4,1,12,2007,'F','N','PEDIZES','S PAULO','SP','125252251216571431379834575124610133152',NULL,'9998',0.00,1,3,NULL),(20,5317460,'1987-06-27 00:00:00',2,4,12,2004,'F','N','N S DAS DORES','STA MARIA','RS','120201201116571431357823572112141632077',3685,'9998',70.31,1,2,1),(20,5317479,'1984-07-26 00:00:00',2,1,12,2002,'F','N','SERRARIA','S JOSÉ','SC','124241241121273731114648281124610163197',NULL,'420',23.01,1,2,1),(20,5317495,'1991-05-25 00:00:00',4,10,12,2007,'M','N','CENTRO','TUBARÃO','SC','124242241217372331466913174115131067142',3664,'1181',68.74,1,3,NULL),(20,5317509,'1987-05-07 00:00:00',4,1,10,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116212431325639342235610127087',NULL,'267',41.19,4,1,1),(20,5317517,'1990-03-23 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117152411539813472122610167042',10827,'733',55.46,1,2,1),(20,5317550,'1992-06-24 00:00:00',4,2,12,2009,'F','N','PONTA AGUDA','BLUMENAU','SC','124241241117271431526627345124610131142',NULL,'69',26.73,1,2,1),(20,5317568,'1992-09-05 00:00:00',4,6,11,2009,'F','N','BARRA SUL','BAL CAMBORIÚ','SC','124242241215121431428729572124610165092',7132,'1038',62.71,1,3,NULL),(20,5317576,'1986-10-03 00:00:00',4,8,12,2003,'M','N','CENTRO','JOINVILLE','SC','124242241236151431258923385122130464117',NULL,'932',11.47,1,3,NULL),(20,5317584,'1992-02-28 00:00:00',4,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243241217111411568611592142610162077',3201,'737',71.20,1,3,NULL),(20,5317592,'1992-08-08 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215112731458812595122610128185',NULL,'226',28.00,1,3,NULL),(20,5317606,'1992-05-13 00:00:00',4,1,12,2009,'M','N','BOM JESUS','RIO NEGRO','PR','116161161136131231633662245234610137067',NULL,'9998',0.00,1,2,1),(20,5317614,'1987-09-19 00:00:00',2,1,12,2005,'M','N','CENTRO','STA MARIA','RS','120201201116572451436629375124141237057',NULL,'9998',0.00,1,2,1),(20,5317630,'1992-10-07 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241217151451368823592112610164072',NULL,'724',20.56,1,3,NULL),(20,5317649,'1992-12-09 00:00:00',4,1,12,2009,'F','N','DIVISA','ANTÔNIO CARLOS','SC','124241241115161531424334172212610118057',NULL,'21',24.99,1,2,1),(20,5317665,'1992-01-14 00:00:00',2,4,12,2009,'F','N','CENTRO','QUILOMBO','SC','124241241135131111324412375112610117057',NULL,'648',29.27,1,2,1),(20,5317690,'1991-06-10 00:00:00',4,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124244241414272531447833275122610164067',3653,'738',70.65,1,3,NULL),(20,5317703,'1990-08-08 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241425472752333324442124610167047',NULL,'262',30.30,4,3,NULL),(20,5317720,'1991-05-19 00:00:00',4,1,10,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472441468714374124610137051',3991,'270',68.91,1,3,NULL),(20,5317746,'1990-06-04 00:00:00',2,1,11,2009,'M','N','SERRARIA','S JOSÉ','SC','124243241125141431333521185124610137042',NULL,'257',26.85,4,3,NULL),(20,5317754,'1991-01-07 00:00:00',2,1,11,2009,'M','N','CENTRO','BIGUAÇU','SC','124242241215111431567832175112610162117',NULL,'1022',22.12,1,3,NULL),(20,5317762,'1982-07-06 00:00:00',2,1,12,1999,'F','N','KOBRASOL','S JOSÉ','SC','124241241117135431325523445224231012012',NULL,'593',22.44,1,2,1),(20,5317789,'1992-10-23 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','624242241214111452518819396125610168052',15674,'226',45.60,1,3,NULL),(20,5317800,'1992-03-29 00:00:00',4,15,12,2009,'F','N','BELA VISTA','FARROUPILHA','RS','120202201216371411469834575124610142097',NULL,'9998',0.00,1,3,NULL),(20,5317827,'1985-10-20 00:00:00',2,1,10,2002,'F','N','NOVA BANDEIRANTES','CPO GRANDE','MS','112122121215573431367921571122610167147',10464,'9998',54.93,1,3,NULL),(20,5317835,'1988-09-07 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136474731113344445124610123055',NULL,'60',26.35,1,2,1),(20,5317843,'1991-06-17 00:00:00',2,1,11,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241115152731436614392124610133072',10887,'271',56.51,1,3,NULL),(20,5317851,'1990-08-25 00:00:00',2,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241237372411258812375124231064042',NULL,'9999',39.49,1,3,NULL),(20,5317860,'1991-09-04 00:00:00',4,2,12,2009,'M','N','TABOÃO','RIO SUL','SC','124241241115271431226529585121610136037',NULL,'658',0.00,1,2,1),(20,5317878,'1992-09-22 00:00:00',2,10,12,2009,'M','N','CENTRO','S LUDGERO','SC','124242241215111431336812575121610127042',NULL,'950',23.48,1,3,NULL),(20,5317886,'1992-11-13 00:00:00',2,9,12,2009,'F','N','JARDIN CELINA','LAGES','SC','124241241115271431414367585324610127147',NULL,'505',28.68,4,2,1),(20,5317894,'1991-11-06 00:00:00',2,1,12,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241115271431453923575124610144082',NULL,'271',28.63,1,3,NULL),(20,5317908,'1991-11-25 00:00:00',2,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215112431358913572112610121122',NULL,'270',29.84,1,3,NULL),(20,5317916,'1989-02-11 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115132421224324242234133241187',NULL,'307',8.50,1,2,1),(20,5317924,'1990-12-12 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124043241221273431428828345124131032042',NULL,'299',0.00,2,3,NULL),(20,5317932,'1990-05-30 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244161217153411457561342145122344015',NULL,'9998',0.00,1,3,NULL),(20,5317940,'1991-07-29 00:00:00',2,1,12,2008,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241122472431444624245124610137042',NULL,'296',28.64,3,2,1),(20,5317959,'1991-03-16 00:00:00',4,5,12,2008,'F','N','SANTA CRUZ','FORQUILHINHA','SC','124241241122161431535334475114610126187',NULL,'214',24.68,1,2,1),(20,5317967,'1988-01-30 00:00:00',2,1,12,2005,'M','N','BOSQ DOS EUCALIPTOS','S JOSÉ CAMPOS','SP','125254258217131311526613445323243217042',NULL,'9998',9.67,4,3,NULL),(20,5317983,'1991-08-06 00:00:00',2,1,12,2008,'F','N','MONTA CRISTO','FLORIANÓPOLIS','SC','124241241115411421527511242344610163142',14942,'293',47.06,3,2,1),(20,5317991,'1990-08-17 00:00:00',4,2,12,2007,'F','N','AZAMBUJA','BRUSQUE','SC','124242241215373451438834442125121535097',5838,'109',66.37,1,3,NULL),(20,5318009,'1992-07-05 00:00:00',2,1,12,2009,'M','N','JUVEVÊ','CURITIBA','PR','116162161216311431368923575122610112122',NULL,'9998',0.00,1,3,NULL),(20,5318017,'1991-09-29 00:00:00',2,1,12,2008,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124282241424151432538714575124610132084',NULL,'285',27.82,1,3,NULL),(20,5318025,'1993-01-04 00:00:00',4,1,12,2010,'F','S','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243241215111431457853596124610136015',NULL,'1022',25.36,1,3,NULL),(20,5318033,'1992-06-06 00:00:00',2,1,12,2009,'F','N','ARIRIU DA FORMIGA','PALHOÇA','SC','124241241132151751526313392114610164051',NULL,'595',26.39,1,2,1),(20,5318050,'1992-09-10 00:00:00',4,9,11,2009,'F','N','CENTRO','LAGES','SC','124242241215132731426912575122610114142',NULL,'497',25.04,1,3,NULL),(20,5318068,'1991-12-26 00:00:00',4,7,12,2008,'F','N','CENTRO','PASSO FUNDO','RS','120202201217472431456616362122610143142',6919,'9998',60.74,1,3,NULL),(20,5318076,'1988-12-14 00:00:00',4,8,12,2006,'M','N','ATUBA','CURITIBA','PR','116251251115572741237611435124140964191',NULL,'9998',0.00,1,2,1),(20,5318084,'1994-01-24 00:00:00',4,4,12,2010,'F','S','CENTRO','CHAPECÓ','SC','124244241415111431457834572122610136192',NULL,'983',43.20,1,3,NULL),(20,5318106,'1991-10-01 00:00:00',2,3,12,2009,'M','N','SÃO LUIZ','SOMBRIO','SC','124241241116131331426634275124610127047',14375,'1033',45.68,1,2,1),(20,5318122,'1992-04-22 00:00:00',4,1,12,2009,'F','N','PALHOCINHA','GAROPABA','SC','124241241124131732316621372325610138097',NULL,'322',24.71,1,2,1),(20,5318130,'1992-10-30 00:00:00',2,3,11,2009,'M','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161215111431436632582111610127053',NULL,'9998',52.43,1,3,NULL),(20,5318149,'1989-11-10 00:00:00',2,1,12,2006,'F','N','IPIRANGA','S JOSÉ','SC','124241241117131721336613342134231328197',NULL,'734',22.70,1,3,NULL),(20,5318157,'1989-02-12 00:00:00',2,1,12,2006,'F','N','CENTRO','STA MARIA','RS','120201201116572731436933242125610124187',3761,'9998',70.75,1,2,1),(20,5318165,'1992-08-17 00:00:00',4,1,12,2009,'M','N','MORRO DA BINA','BIGUAÇU','SC','124241243215111731536619275124610167147',NULL,'20',23.15,1,3,NULL),(20,5318181,'1991-09-18 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115131431334634345114610127042',NULL,'298',21.95,1,2,1),(20,5318203,'1991-11-30 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241226371721445631276124610167163',NULL,'262',21.50,1,3,NULL),(20,5318211,'1992-09-21 00:00:00',4,6,11,2009,'F','N','CENTRO','CURITIBA','PR','116162161216111431349924575122610123142',NULL,'9998',0.00,1,3,NULL),(20,5318220,'1992-02-12 00:00:00',2,10,11,2009,'M','N','N SRA DE FÁTIMA','BRAÇO NORTE','SC','124242241212112431428933582124610147042',NULL,'807',26.70,1,3,NULL),(20,5318238,'1989-04-04 00:00:00',4,4,12,2005,'F','N','BOQUEIRAO','PASSO FUNDO','RS','120164201416571431359914574124610122097',3707,'9998',71.15,1,3,NULL),(20,5318246,'1992-08-03 00:00:00',4,10,12,2009,'M','N','CENTRO','TUBARÃO','SC','124242241217111431338832575122610122113',14197,'797',45.70,1,3,NULL),(20,5318254,'1992-01-31 00:00:00',4,5,10,2009,'M','N','COMERCIARIO','CRICIÚMA','SC','124241241215121531349924575122610162042',4295,'226',70.06,1,3,NULL),(20,5318262,'1992-01-03 00:00:00',4,1,12,2009,'F','N','PARQUE AEROPORTO','TAUBATÉ','SP','125251251116131311536614335124610126147',NULL,'9998',23.49,4,2,1),(20,5318270,'1984-09-17 00:00:00',2,1,10,2002,'M','N','CANTO DA AMIZADE','STO AMARO IMPERATRIZ','SC','124241241126472421223329245113610141047',7711,'750',61.33,1,2,1),(20,5318289,'1992-07-23 00:00:00',2,17,12,2009,'F','N','COLONIA IGUAÇU','S MATEUS SUL','PR','116162161316131751528629572124610137047',NULL,'9998',28.62,4,3,NULL),(20,5318297,'1992-04-07 00:00:00',4,16,12,2009,'F','N','NSAPARECIDA','CURITIBANOS','SC','124243248316111431325919595122610136032',NULL,'237',21.46,1,3,NULL),(20,5318300,'1991-03-02 00:00:00',4,5,12,2008,'F','N','BOM FIM','PTO ALEGRE','RS','120202201217471431448831572112610142147',1574,'9998',77.75,1,3,NULL),(20,5318319,'1992-07-22 00:00:00',2,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124243241115271411436911292124610123172',10742,'21',54.20,1,3,NULL),(20,5318327,'1961-03-23 00:00:00',2,1,12,1978,'M','N','BARREIROS','S JOSÉ','SC','224201201117131451323353482112140236017',12898,'9998',52.56,1,3,NULL),(20,5318335,'1990-03-14 00:00:00',4,1,7,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241116272431457823432124610127012',2492,'306',74.10,1,3,NULL),(20,5318343,'1989-03-11 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215374431238923275124131867052',1989,'962',75.76,1,3,NULL),(20,5318351,'1992-09-16 00:00:00',4,15,12,2009,'M','N','FORQUILHA GRANDE','ARARANGUÁ','SC','124241241117271731423316575122610127032',11894,'29',52.13,1,2,1),(20,5318360,'1986-01-10 00:00:00',2,9,6,2004,'M','N','CENTRO','LAGES','SC','124241241132114431333912372124231418142',NULL,'935',25.64,1,2,1),(20,5318394,'1989-10-26 00:00:00',2,1,12,2006,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','124243241132372711326511442334131041097',11305,'594',55.69,1,3,NULL),(20,5318416,'1991-09-09 00:00:00',4,6,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124201241415272231368923475124610166047',NULL,'1038',0.00,1,3,NULL),(20,5318432,'1988-07-12 00:00:00',2,1,12,2005,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241147373431428524282214610161057',NULL,'291',45.02,1,2,1),(20,5318440,'1991-11-06 00:00:00',2,1,12,2008,'M','N','ARIRIÚ','PALHOÇA','SC','124241241142472431336413475114610162057',12107,'593',51.37,1,2,1),(20,5318475,'1991-08-23 00:00:00',2,8,12,2008,'M','N','CENTRO','PITANGA','PR','116162161117261731533831245115140267063',NULL,'9998',24.98,1,3,NULL),(20,5318491,'1990-11-25 00:00:00',4,1,12,2008,'M','N','NOBREGA','LONDRINA','PR','116162161215371411538512595124610165077',16167,'9998',42.89,1,3,NULL),(20,5318505,'1986-08-24 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216152411268812445122330217042',NULL,'262',0.00,1,3,NULL),(20,5318513,'1991-07-08 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115371411436833242124610132182',NULL,'307',27.06,2,1,1),(20,5318521,'1993-03-02 00:00:00',2,4,12,2009,'M','N','JARDIM FLORESTA','PLANALTO','PR','116161161117131112535632575121610117047',NULL,'9998',30.53,1,2,1),(20,5318530,'1992-04-15 00:00:00',2,1,11,2009,'M','N','INGLESES SANTINHO','FLORIANÓPOLIS','SC','124241241116111631424414282224610127047',NULL,'9998',0.00,1,3,NULL),(20,5318548,'1991-05-14 00:00:00',2,5,11,2009,'M','N','MICHEL','CRICIÚMA','SC','124204241435171411456611295122610115041',13931,'226',50.51,1,3,NULL),(20,5318564,'1990-04-08 00:00:00',2,1,12,2007,'F','N','JARDIM ELDORADO','PALHOÇA','SC','224241248226123231123344342333610134097',NULL,'262',22.60,1,3,NULL),(20,5318572,'1992-08-19 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215112431423732572112610126017',7460,'226',60.37,1,3,NULL),(20,5318580,'1986-05-13 00:00:00',2,1,12,2004,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124241241346375431559613245122131932187',11928,'229',54.51,1,3,NULL),(20,5318599,'1991-12-28 00:00:00',4,5,12,2008,'F','N','MATINHO','XANXERÊ','SC','120242241212472431448831471124610122042',NULL,'1038',0.00,1,3,NULL),(20,5318602,'1992-03-10 00:00:00',4,4,12,2009,'M','N','CENTRO','S JOSÉ CEDRO','SC','124244241116151431456632475122610137057',NULL,'408',0.00,1,3,NULL),(20,5318629,'1987-08-02 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241332523431329113185124610113112',NULL,'267',21.19,1,3,NULL),(20,5318637,'1990-03-27 00:00:00',4,1,12,2005,'M','N','PQ DAS FLORES','TAUBATÉ','SP','125251251125272451543317246111610167117',NULL,'9998',0.00,1,2,1),(20,5318645,'1990-05-15 00:00:00',4,1,12,2008,'M','N','NOVA BELÉM','PAULO LOPES','SC','124201207147271231326567382214610167117',NULL,'9998',33.27,1,2,1),(20,5318653,'1990-09-23 00:00:00',4,2,12,2009,'F','N','PAQUETÁ','BRUSQUE','SC','124243241316131731333611315122610118177',NULL,'1019',0.00,1,3,NULL),(20,5318661,'1992-10-11 00:00:00',2,4,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124243241115111431638833572122610166192',NULL,'192',21.13,4,3,NULL),(20,5318670,'1977-02-15 00:00:00',4,1,12,1995,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','224241241317253711333623471125331021192',NULL,'514',21.65,1,3,NULL),(20,5318688,'1992-05-11 00:00:00',4,5,12,2009,'M','N','PIO CORREA','CRICIÚMA','SC','124243241215121711469819577122610164182',NULL,'213',0.00,1,3,NULL),(20,5318696,'1992-02-22 00:00:00',2,3,10,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215112431448612472224610127152',7357,'1038',60.41,1,3,NULL),(20,5318700,'1991-07-08 00:00:00',2,8,12,2008,'F','N','VILA CIDADE JARDIM','AVARÉ','SP','125251251117131731424514575123610165097',NULL,'9998',0.00,1,2,1),(20,5318734,'1985-07-04 00:00:00',4,1,12,2002,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124252251216473431156923475121221467062',3351,'9998',72.47,1,3,NULL),(20,5318742,'1990-02-09 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216373431468914574124610123152',NULL,'1075',0.00,1,3,NULL),(20,5318750,'1991-10-22 00:00:00',2,4,12,2008,'F','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124243241214471431348833572122610127077',5872,'185',65.10,1,3,NULL),(20,5318769,'1987-04-14 00:00:00',4,8,12,2005,'M','N','GUTIERREZ','BELO HORIZONTE','MG','113252241216575431389814575114610144122',3187,'457',71.89,1,3,NULL),(20,5318777,'1986-04-02 00:00:00',4,1,12,2003,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241212575431566969474124131364077',5290,'1169',65.58,1,3,NULL),(20,5318785,'1992-03-25 00:00:00',4,9,11,2009,'F','N','CENTRO','S JOAQUIM','SC','124242241215151431534611415122610137077',14795,'1035',42.37,1,3,NULL),(20,5318793,'1978-10-13 00:00:00',4,1,11,1996,'F','N','CANTO DOS ARAÇAS','FLORIANÓPOLIS','SC','124244241417131421128844345214132024197',NULL,'87',36.04,1,3,NULL),(20,5318807,'1989-07-22 00:00:00',2,8,12,2007,'M','N','PARQUE GUARANI','JOINVILLE','SC','124161247225161432323627112345510114047',NULL,'9997',16.13,4,3,NULL),(20,5318815,'1986-04-01 00:00:00',2,1,12,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116474421634413495124130237047',10005,'276',58.14,1,2,1),(20,5318823,'1993-01-13 00:00:00',4,5,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241216111431459829575112610122147',NULL,'213',28.04,1,3,NULL),(20,5318831,'1987-12-20 00:00:00',2,9,6,2006,'M','N','CORAL','LAGES','SC','124241241617573421534714276122231527047',NULL,'9999',22.36,1,3,NULL),(20,5318840,'1992-09-16 00:00:00',2,1,12,2010,'F','S','INDIA','CANELINHA','SC','124243241215111431648672212122610114052',NULL,'948',15.72,1,3,NULL),(20,5318858,'1992-04-10 00:00:00',4,1,12,2009,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124243241625131431659714572214610167047',6271,'262',65.39,1,3,NULL),(20,5318866,'1988-05-29 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','101011011111111111111111111111120311011',7522,'446',62.76,1,3,NULL),(20,5318874,'1991-12-08 00:00:00',2,4,12,2009,'F','N','ANTONIOLLI','FAXINAL GUEDES','SC','124241241115271411323315575214610117047',NULL,'255',24.32,1,2,1),(20,5318882,'1991-09-15 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241137152411539813472114610127052',8773,'733',58.75,1,2,1),(20,5318904,'1992-09-28 00:00:00',4,7,12,2009,'M','N','CENTRO','FRAIBURGO','SC','124242241215111431459614572122610117017',9626,'317',55.42,1,3,NULL),(20,5318912,'1986-10-17 00:00:00',2,1,12,2004,'M','N','BREJARU','PALHOÇA','SC','124241241117373431523319246214610118192',8310,'592',59.64,1,2,1),(20,5318920,'1992-07-21 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731388639575122610127042',5378,'262',67.37,1,3,NULL),(20,5318939,'1985-06-26 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116134411246953375124330562187',15849,'156',44.85,4,2,1),(20,5318947,'1991-03-29 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124243241116312411326621211114610124043',8262,'307',59.82,1,3,NULL),(20,5318955,'1992-03-22 00:00:00',2,1,12,2009,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241215131431548613392124610122187',11834,'989',51.32,1,3,NULL),(20,5318980,'1992-06-10 00:00:00',2,9,12,2009,'M','N','CENTRO','BOM RETIRO','SC','124244241132272531328619572324610127042',NULL,'95',26.71,1,3,NULL),(20,5318998,'1992-06-16 00:00:00',4,8,11,2009,'M','N','ATIRADORES','JOINVILLE','SC','124202241216111331489913575122610167042',7863,'1063',58.78,1,3,NULL),(20,5319005,'1991-03-09 00:00:00',4,10,11,2008,'F','N','DEHON','TUBARÃO','SC','124242241211111431468614492124231428142',10337,'806',57.54,1,3,NULL),(20,5319013,'1986-10-24 00:00:00',4,8,12,2005,'M','N','PARQUE GUARANI','JOINVILLE','SC','124241247215163411426334342345610116187',NULL,'9997',0.00,1,3,NULL),(20,5319021,'1986-01-03 00:00:00',2,10,12,2002,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241243626131421434614485114610137042',16120,'459',43.29,1,3,NULL),(20,5319048,'1957-09-13 00:00:00',2,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','424241247146271431226429385124610142177',NULL,'9999',22.02,1,2,1),(20,5319064,'1988-10-28 00:00:00',2,6,12,2006,'M','N','VILA OPERARIA','ITAJAÍ','SC','124242241237573431457931275122133237047',6429,'1058',63.82,1,3,NULL),(20,5319072,'1979-09-13 00:00:00',4,1,10,2007,'M','N','ITACURUBI','FLORIANÓPOLIS','SC','124131137116371731111644245324610167047',NULL,'9998',19.29,4,2,1),(20,5319099,'1990-01-18 00:00:00',2,1,12,2008,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124201201112371431324311343324610337012',16275,'9998',41.21,4,2,1),(20,5319102,'1988-12-11 00:00:00',4,5,12,2006,'M','N','COMERCIARIO','CRICIÚMA','SC','124242241216132441456852385122231437147',13209,'210',51.94,1,3,NULL),(20,5319110,'1990-08-19 00:00:00',4,1,11,2007,'M','N','PASSA VINTE','PALHOÇA','SC','124242241416372431346933345134610124142',5739,'1075',66.62,1,3,NULL),(20,5319129,'1992-02-20 00:00:00',2,1,12,2009,'F','N','SÃO MATEUS','BIGUAÇU','SC','124241241115151731434411391224610124147',NULL,'65',29.35,1,2,1),(20,5319137,'1977-05-10 00:00:00',2,1,12,1995,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','224204207426131731436654382212140432197',NULL,'9998',40.20,1,3,NULL),(20,5319145,'1992-01-16 00:00:00',4,8,12,2009,'M','N','ROCIO GRANDE','S FRANCISCO SUL','SC','124244241215161431666619585122610167116',NULL,'867',0.00,1,3,NULL),(20,5319153,'1992-02-06 00:00:00',4,7,12,2009,'F','N','MATRIZ','VIDEIRA','SC','116162161216471411448712575124610136117',7242,'9998',63.33,1,3,NULL),(20,5319161,'1984-05-11 00:00:00',4,1,12,2001,'M','N','JARDIM ELDORADO','PALHOÇA','SC','224241248116131231124644342343610134047',NULL,'592',27.32,1,2,1),(20,5319170,'1992-10-31 00:00:00',4,1,11,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241215111431539813572122610134047',11043,'1133',56.21,1,3,NULL),(20,5319200,'1989-03-03 00:00:00',2,1,12,2006,'F','N','UVARANAS','PNT GROSSA','PR','116162161235571751469614175122141364077',1966,'9998',76.20,4,3,NULL),(20,5319218,'1985-05-09 00:00:00',4,6,12,2002,'M','N','CENTRO','BAL CAMBORIÚ','SC','124201241132274422326923483224610117042',NULL,'405',0.00,1,3,NULL),(20,5319226,'1990-11-16 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241416132741445833345114132866197',13840,'983',50.67,1,3,NULL),(20,5319234,'1992-04-04 00:00:00',4,6,12,2009,'F','N','LIMOEIRO','BRUSQUE','SC','124241241115271451434511246122610122147',NULL,'111',24.93,1,3,NULL),(20,5319242,'1989-06-30 00:00:00',2,1,12,2006,'F','N','CONSOLAÇÃO','S PAULO','SP','125251251136272411328821215124610122187',14838,'9998',43.94,1,2,1),(20,5319250,'1982-01-26 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211132431458814382122321437117',4303,'9997',70.03,1,3,NULL),(20,5319269,'1993-09-08 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124204241215111231456932576122610127112',16304,'270',40.31,1,3,NULL),(20,5319277,'1989-09-06 00:00:00',2,1,12,2007,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124252241215373731558819175124610137042',11410,'1048',55.50,1,3,NULL),(20,5319285,'1985-09-08 00:00:00',4,1,12,2003,'M','N','CENTRO','S JOSÉ','SC','124241241116151411126648485124133247042',NULL,'242',0.00,1,2,1),(20,5319293,'1990-05-02 00:00:00',2,1,7,2008,'F','N','IPIRANGA','S JOSÉ','SC','124242241117142752425774342134610123017',NULL,'739',23.10,1,3,NULL),(20,5319307,'1992-05-07 00:00:00',2,10,11,2009,'M','N','OFICINAS','TUBARÃO','SC','124142241212111231347613395125610117052',15974,'806',44.26,2,3,NULL),(20,5319315,'1991-01-28 00:00:00',4,1,12,2007,'F','N','FORQUILINHAS','S JOSÉ','SC','120253241315273431536774312234123043142',NULL,'1074',38.04,1,3,NULL),(20,5319323,'1985-04-15 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201145273441118979192344222867182',5613,'9998',66.88,1,2,1),(20,5319331,'1992-09-02 00:00:00',4,2,12,2009,'F','N','CENTRO','BLUMENAU','SC','124241241112271431535634292224610122177',NULL,'1163',16.52,1,2,1),(20,5319358,'1990-03-18 00:00:00',4,15,12,2006,'M','N','PARAGUAI','JACINTO MACHADO','SC','124241241217473431458913575121220737047',8462,'32',60.99,1,3,NULL),(20,5319366,'1989-02-15 00:00:00',2,8,12,2007,'F','N','PRIMAVERA','CASTRO','PR','116161165124371321535619372112610162147',NULL,'9998',26.37,4,1,1),(20,5319374,'1989-05-27 00:00:00',2,1,12,2006,'M','N','KOBRASOL','S JOSÉ','SC','124241241112271722425619392114610168042',15217,'733',47.19,4,2,1),(20,5319382,'1992-10-20 00:00:00',4,15,12,2009,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241117271731436939575122610127032',12031,'29',51.85,1,2,1),(20,5319390,'1986-10-28 00:00:00',2,1,12,2005,'F','N','SERRARIA','S JOSÉ','SC','124243241126533751426411245224231024187',NULL,'736',50.55,4,1,2),(20,5319404,'1990-04-26 00:00:00',2,8,11,2007,'F','N','ESPINHEIROS','JOINVILLE','SC','124241241111131411432824241234231415147',16085,'469',43.52,1,2,1),(20,5319412,'1990-11-02 00:00:00',2,1,12,2008,'F','N','CENTRO','ESTRELA','RS','120202201217371431547911572122143231187',11132,'9998',56.01,1,3,NULL),(20,5319420,'1983-11-26 00:00:00',2,15,12,2000,'M','N','HIPICA','PTO ALEGRE','RS','120201201116571731346619372324610167047',5938,'9998',64.05,1,2,1),(20,5319439,'1991-03-02 00:00:00',4,8,12,2008,'F','N','GUANABARA','JOINVILLE','SC','124241241116373231326611575124221422142',10115,'467',57.94,1,2,1),(20,5319447,'1988-05-27 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','107241241217575431388813275124610136041',NULL,'269',0.00,1,3,NULL),(20,5319455,'1992-09-28 00:00:00',4,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124242241215271431636724575114610162192',NULL,'1022',46.99,1,3,NULL),(20,5319463,'1991-07-27 00:00:00',4,4,12,2008,'M','N','NAZARÉ','CONCÓRDIA','SC','120244241417372431139924275124610167057',NULL,'194',27.31,1,3,NULL),(20,5319471,'1992-04-29 00:00:00',4,8,12,2009,'M','N','AMERICA','JOINVILLE','SC','124242241215111431339634575112610124052',NULL,'457',0.00,1,3,NULL),(20,5319480,'1992-12-20 00:00:00',2,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124241241225112431535613572124610142017',NULL,'262',36.96,1,3,NULL),(20,5319498,'1989-06-02 00:00:00',4,8,11,2006,'M','N','PRQ RES AQUARIUS','S JOSÉ CAMPOS','SP','125252251417571711437763591112610164182',5208,'9998',64.38,1,3,NULL),(20,5319501,'1989-02-21 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217373431368922342114223231092',8232,'270',61.41,1,3,NULL),(20,5319528,'1992-10-30 00:00:00',4,15,11,2009,'M','N','CENTRO','TIMBÉ SUL','SC','124244241217272731347824575112610115117',NULL,'813',0.00,1,3,NULL),(20,5319536,'1991-01-11 00:00:00',4,9,12,2007,'M','N','SANTA HELENA','LAGES','SC','124242241215573431466939272122610162092',5431,'515',67.25,1,3,NULL),(20,5319544,'1992-02-12 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115271431446513575124610144053',NULL,'307',18.12,1,2,1),(20,5319579,'1992-03-21 00:00:00',2,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124241241227153411436639576114610132017',4491,'262',69.29,1,3,NULL),(20,5319587,'1978-05-09 00:00:00',2,1,11,1998,'M','N','CENTRO','BIGUAÇU','SC','224201247126131411536642321132610166187',NULL,'9999',0.00,1,2,1),(20,5319595,'1975-09-28 00:00:00',2,1,12,2002,'F','N','CAPOERIAS','FLORIANÓPOLIS','SC','124241247216132411223344445334610134097',NULL,'1003',27.64,1,3,NULL),(20,5319609,'1992-05-29 00:00:00',2,7,12,2009,'F','N','SÃO SEBASTIÃO','FRAIBURGO','SC','124241241311111431435923344124610133072',NULL,'317',40.28,1,3,NULL),(20,5319625,'1992-03-27 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124201241142141431226824245224610137052',NULL,'730',15.47,1,2,1),(20,5319633,'1986-12-09 00:00:00',4,1,12,2003,'M','N','PARUQE PRADO','CAMPINAS','SP','125254251435412411458813175124141462043',5308,'9998',64.98,1,3,NULL),(20,5319641,'1993-12-31 00:00:00',4,8,12,2010,'F','S','SAGUÇU','JOINVILLE','SC','124244248215111751435532274122610126147',NULL,'1016',20.38,1,3,NULL),(20,5319650,'1981-01-07 00:00:00',2,1,12,1999,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241126134432634327342114610138187',NULL,'257',25.93,2,1,1),(20,5319668,'1991-02-21 00:00:00',4,10,11,2008,'M','N','CENTRO','BRAÇO NORTE','SC','124242241215272431347912575122610127041',NULL,'806',38.83,1,3,NULL),(20,5319676,'1990-10-27 00:00:00',2,1,12,2008,'M','N','STELLA MARIS','SALVADOR','BA','105052051217371731467832575124141437142',15638,'9998',45.73,1,3,NULL),(20,5319684,'1987-07-06 00:00:00',4,1,11,2004,'M','N','CABREÚVA','CPO GRANDE','MS','112122121212574431357831572122610167017',5652,'9998',66.03,1,3,NULL),(20,5319692,'1993-10-24 00:00:00',4,2,12,2010,'M','S','CENTRO','BRUSQUE','SC','124242241215151431468912575115610164196',NULL,'107',59.87,1,3,NULL),(20,5319706,'1956-05-22 00:00:00',2,1,12,1975,'M','N','COLONINHA','FLORIANÓPOLIS','SC','524241248212575721144343432132322667042',4486,'262',69.55,1,3,NULL),(20,5319714,'1992-02-01 00:00:00',2,1,12,2009,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241215111551526632575122610168197',NULL,'781',21.32,1,3,NULL),(20,5319722,'1992-10-26 00:00:00',2,9,12,2009,'M','N','CENTRO','LAGES','SC','124242241217111431468832572122610137012',NULL,'499',21.80,1,3,NULL),(20,5319730,'1992-05-15 00:00:00',4,1,11,2009,'F','N','VILA OLIVEIRA','MOGI CRUZES','SP','125252251212111331544832572122623223142',NULL,'9998',25.05,1,3,NULL),(20,5319749,'1992-09-28 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111311186632475112610112092',11224,'270',54.18,1,3,NULL),(20,5319757,'1990-03-09 00:00:00',2,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124244241217133121446814385124231427057',12033,'1105',51.20,1,3,NULL),(20,5319765,'1991-12-24 00:00:00',2,1,12,2009,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124243241115131411228669342324610134147',14894,'591',46.32,1,3,NULL),(20,5319773,'1989-10-22 00:00:00',4,1,12,2007,'M','N','ALTO','PIRACICABA','SP','125252251217471431448811375122610127077',7906,'9998',59.63,4,3,NULL),(20,5319781,'1989-04-02 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241411372751653739141112230264187',NULL,'273',31.94,1,3,NULL),(20,5319790,'1991-05-11 00:00:00',2,1,11,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241215111431446639392124610124062',NULL,'1022',26.05,1,3,NULL),(20,5319803,'1991-08-13 00:00:00',4,1,7,2009,'M','N','BATEL','CURITIBA','PR','116162161437271431438929572121610127112',9104,'9998',56.80,1,3,NULL),(20,5319811,'1981-08-02 00:00:00',2,1,8,2009,'M','N','PAGARA','STO AMARO IMPERATRIZ','SC','624243241127131432323444342213610137057',NULL,'9999',16.94,1,3,NULL),(20,5319820,'1992-01-22 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215412422589832425124610114043',3899,'270',69.89,1,3,NULL),(20,5319838,'1992-04-23 00:00:00',4,7,12,2009,'F','N','FARROUPILHA','VIDEIRA','SC','124241241116131421326633342235610164177',NULL,'831',0.00,1,2,1),(20,5319854,'1990-05-05 00:00:00',4,1,12,2007,'M','N','BOQUEIRAO','SANTOS','SP','125252251216571231388833475122610167112',6031,'9998',63.26,2,3,NULL),(20,5319862,'1992-05-31 00:00:00',2,15,11,2009,'F','N','SÃO CRISTÓVÃO','TURVO','SC','124241241115151231525329195121610166147',NULL,'814',25.44,1,2,1),(20,5319889,'1989-03-05 00:00:00',2,5,12,2006,'M','N','RIO MAINA','CRICIÚMA','SC','124241241117151711222212335134233263192',NULL,'223',NULL,1,3,NULL),(20,5319897,'1993-01-30 00:00:00',4,8,12,2009,'M','N','SEDE ALVORARDA','SEDE ALVORADA','PR','116161161216171451566636576124610134182',7247,'9998',59.90,1,3,NULL),(20,5319900,'1990-05-07 00:00:00',2,1,7,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247211271411528621385124610127046',NULL,'9999',0.00,1,3,NULL),(20,5319919,'1990-07-16 00:00:00',2,8,11,2007,'F','N','ROCIO GRANDE','S FRANCISCO SUL','SC','124241241141131431323329312321610116142',NULL,'710',27.32,4,2,1),(20,5319935,'1977-07-12 00:00:00',4,8,12,1998,'M','N','AVENTUREIRO','JOINVILLE','SC','124241248132271731623315482321610118187',NULL,'492',19.48,1,2,1),(20,5319951,'1985-10-10 00:00:00',2,1,11,2003,'M','N','JARDIM LONDRES','CAMPINAS','SP','125251251147571411225357135134610124187',13431,'9998',51.54,4,1,1),(20,5319960,'1985-05-05 00:00:00',2,1,12,2004,'F','N','CAMPINAS','S JOSÉ','SC','124211211111131411237643432134131364142',NULL,'9998',26.04,4,1,1),(20,5319978,'1971-12-07 00:00:00',4,1,12,1989,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124052251211152431154642422122321422097',7589,'9998',62.64,1,3,NULL),(20,5319986,'1987-09-13 00:00:00',2,1,12,2005,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224201201112431432225344242314610133077',NULL,'9998',26.94,2,2,1),(20,5319994,'1991-01-25 00:00:00',2,8,12,2008,'M','N','SANTOS DUMONT','TRÊS LAGOAS','MS','112122121216421331548834395121610112012',NULL,'9998',32.34,4,1,2),(20,5320003,'1989-03-30 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANÓPOLIS','SC','124131131131211731433634441114610163072',NULL,'9998',20.79,1,2,1),(20,5320020,'1991-07-26 00:00:00',2,1,12,2008,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241112132431324312381121610167062',NULL,'288',20.63,1,2,1),(20,5320038,'1992-07-02 00:00:00',4,2,11,2009,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241215111431457829576112610134187',3696,'909',70.56,1,3,NULL),(20,5320046,'1992-07-22 00:00:00',2,15,12,2009,'F','N','CENTRO','BAL ARROIO SILVA','SC','124242241216111421458822322122610167157',7393,'32',60.30,1,3,NULL),(20,5320054,'1992-09-09 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201241117131431233723575124610122147',16292,'288',40.75,1,2,1),(20,5320062,'1991-02-19 00:00:00',2,1,11,2008,'M','N','CENTRO','PAIM FILHO','RS','120201203135311111526614441334610117042',NULL,'9997',27.96,1,2,1),(20,5320070,'1988-12-18 00:00:00',2,1,12,2006,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241136134731436714335124231064177',NULL,'307',21.44,1,3,NULL),(20,5320097,'1992-08-02 00:00:00',4,2,12,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124242241215122431236724375122610126097',NULL,'1123',0.00,1,3,NULL),(20,5320119,'1991-09-25 00:00:00',4,1,10,2009,'M','N','STO ANTÔNIO D LISBOA','FLORIANÓPOLIS','SC','124242241217113431589912425122610134122',1604,'270',78.37,1,3,NULL),(20,5320135,'1989-08-19 00:00:00',2,5,12,2006,'F','N','SANTA BARBARA','CRICIÚMA','SC','124242241215472431349832575122133217142',NULL,'211',0.00,1,3,NULL),(20,5320160,'1987-11-10 00:00:00',2,1,4,2005,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241117132741523514282124332127187',13582,'739',46.36,4,2,1),(20,5320178,'1992-07-30 00:00:00',4,5,11,2009,'M','N','CENTRO','TURVO','SC','124242241215111431348912572124610162112',16009,'32',44.05,1,3,NULL),(20,5320186,'1976-10-31 00:00:00',4,1,12,1998,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124201207121271411253341112122610117113',10384,'9998',57.44,4,3,NULL),(20,5320194,'1990-07-08 00:00:00',4,17,12,2007,'F','N','CENTRO','CURITIBA','PR','116222221216471431338631575122610122092',NULL,'9998',0.00,1,3,NULL),(20,5320208,'1986-06-23 00:00:00',2,1,12,2003,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241132232422636611285124610127057',NULL,'307',17.79,4,2,1),(20,5320216,'1990-08-14 00:00:00',2,4,12,2007,'F','N','CENTRO','STA MARIA','RS','120241241117472431428613382124610163142',13344,'572',48.44,1,3,NULL),(20,5320224,'1973-03-09 00:00:00',2,1,12,1991,'M','N','BARREIROS','S JOSÉ','SC','124241241125375431523371292124610137097',NULL,'307',57.97,3,2,1),(20,5320232,'1989-09-22 00:00:00',4,1,5,2008,'F','N','JARDIM KARAÍBA','UBERLÂNDIA','MG','113132137217511731459911415124610165142',10003,'9998',56.08,1,3,NULL),(20,5320259,'1989-10-18 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202201217272431317832575122610147047',NULL,'9998',0.00,1,3,NULL),(20,5320267,'1989-03-30 00:00:00',4,1,11,2006,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217153411448932472122131034052',13374,'266',51.62,1,3,NULL),(20,5320275,'1989-03-13 00:00:00',2,5,12,2006,'M','N','SANTA BARBARA','CRICIÚMA','SC','124241241317271431223919371225610127047',NULL,'1096',44.60,2,1,2),(20,5320283,'1994-04-18 00:00:00',4,4,11,2010,'M','S','PRESIDENTE MÉDICI','CHAPECÓ','SC','124242241215111431337613575122610128187',NULL,'983',49.45,1,3,NULL),(20,5320291,'1992-11-12 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431258823375114610151112',NULL,'1169',10.96,1,3,NULL),(20,5320313,'1992-06-22 00:00:00',4,1,12,2009,'M','N','ARIRIU','PALHOÇA','SC','124244246416161431366613435122610127052',NULL,'1075',27.44,1,3,NULL),(20,5320321,'1992-09-10 00:00:00',4,1,12,2009,'M','N','ALTO DA LAPA','S PAULO','SP','125252251216111431478711475122610166127',NULL,'9998',0.00,1,3,NULL),(20,5320330,'1988-01-06 00:00:00',4,1,6,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247121132421423421442334610132143',NULL,'736',26.74,4,1,1),(20,5320356,'1990-04-11 00:00:00',4,10,12,2008,'M','N','STO ANTONIO DE PADUA','TUBARÃO','SC','124241241142131431336624245131610137012',NULL,'1034',0.00,1,2,1),(20,5320364,'1991-12-11 00:00:00',4,8,11,2008,'F','N','CENTRO','RIBEIRÃO PINHAL','PR','116162161215471431477912574122610124052',NULL,'9998',0.00,1,3,NULL),(20,5320372,'1991-06-24 00:00:00',2,9,12,2008,'F','N','SAGRADO','LAGES','SC','124243241116372431444733575122610123052',9044,'935',58.20,1,3,NULL),(20,5320380,'1992-04-12 00:00:00',4,1,12,2009,'F','N','VILA ESTRELA','PNT GROSSA','PR','116162161216471431557832275112610135195',6112,'9998',64.18,1,3,NULL),(20,5320399,'1991-09-06 00:00:00',4,5,11,2009,'F','N','CANUDO','ORLEANS','SC','124241241215472431235812175124610113187',4607,'226',69.28,1,3,NULL),(20,5320402,'1990-09-01 00:00:00',4,3,12,2007,'M','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120204201211571431488823474124610166043',NULL,'9998',0.00,1,3,NULL),(20,5320410,'1985-09-26 00:00:00',4,1,12,2003,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124201201136131431123879345324343267042',NULL,'9998',28.17,1,2,1),(20,5320429,'1991-01-29 00:00:00',2,4,12,2007,'F','N','BAIRRO DA LUZ','DOIS VIZINHOS','PR','116161161235571431548634574122610134147',565,'9998',84.05,1,3,NULL),(20,5320445,'1988-10-03 00:00:00',4,4,12,2005,'M','N','TRIANON','GUARAPUAVA','PR','116162161217371131368914435132141436072',7169,'9998',63.49,1,3,NULL),(20,5320453,'1992-12-01 00:00:00',2,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241122231411614613371124610111012',NULL,'736',25.05,1,3,NULL),(20,5320461,'1990-05-12 00:00:00',4,15,12,2009,'M','N','CENTRO','MARACAJÁ','SC','124244248445131431325844342122610124017',NULL,'550',25.60,1,3,NULL),(20,5320470,'1991-11-23 00:00:00',4,6,12,2008,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124243241417472441669713575115610164187',NULL,'388',54.87,1,3,NULL),(20,5320488,'1989-02-01 00:00:00',2,15,12,2006,'F','N','BELA VISTA','CPO BOM','RS','120202201216571411477714571112610123142',NULL,'9998',0.00,1,3,NULL),(20,5320496,'1991-02-14 00:00:00',4,1,12,2008,'F','N','BELA VISTA I','S JOSÉ','SC','124203201112131431428612572324610165072',6591,'9998',62.99,1,3,NULL),(20,5320500,'1992-01-21 00:00:00',4,4,12,2009,'F','N','CENTRO','XANXERÊ','SC','124241241115131431426622345222610124052',NULL,'840',22.02,1,2,1),(20,5320518,'1985-10-31 00:00:00',2,1,11,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241411154711124449461144120317043',6158,'32',63.75,1,3,NULL),(20,5320526,'1992-07-25 00:00:00',4,8,12,2009,'M','N','BUCAREIN','JOINVILLE','SC','124241241415131731326621315124610134187',15153,'1006',47.41,1,3,NULL),(20,5320534,'1989-07-17 00:00:00',4,1,12,2006,'M','N','FLORESTA','S JOSÉ','SC','124241241117152431429723375114133237047',NULL,'307',20.98,2,1,1),(20,5320542,'1985-08-29 00:00:00',2,1,8,2003,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241243227243411344819191223121764092',13819,'232',47.45,1,3,NULL),(20,5320550,'1984-01-29 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124241247427121421266644445124610142047',NULL,'9999',17.50,1,3,NULL),(20,5320569,'1991-06-19 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241415131431238823572124610167052',NULL,'267',31.45,1,3,NULL),(20,5320577,'1992-04-01 00:00:00',4,1,12,2009,'F','N','ZONA RURAL','S BONIFÁCIO','SC','124241241125161532324313242224610163072',NULL,'702',23.87,1,2,1),(20,5320585,'1991-04-19 00:00:00',4,8,12,2008,'F','N','SEMINÁRIO','CORUPÁ','SC','124241241146371411635631145221610135117',NULL,'203',0.00,1,2,1),(20,5320593,'1992-03-14 00:00:00',2,9,10,2009,'F','N','CENTRO','LAGES','SC','124242241215111431448932572112610161017',NULL,'9997',25.64,1,3,NULL),(20,5320607,'1990-12-19 00:00:00',2,1,12,2007,'F','N','FLORESTA','S JOSÉ','SC','124241241145272731423444345124610136052',9285,'682',59.14,1,2,1),(20,5320615,'1992-12-15 00:00:00',2,9,11,2009,'F','N','COHAB II','S JOAQUIM','SC','124242241215151531336874575122610123092',13358,'1035',51.65,1,3,NULL),(20,5320623,'1959-01-08 00:00:00',2,1,12,1979,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201208111151431424443333324610166047',13701,'9998',47.08,1,3,NULL),(20,5320631,'1992-06-11 00:00:00',2,9,11,2009,'F','N','CENTRO','S JOAQUIM','SC','124242241212111751636915392122610113097',13967,'720',47.98,1,3,NULL),(20,5320640,'1989-07-24 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241211272431458811472122132527097',NULL,'1022',32.12,1,3,NULL),(20,5320658,'1990-07-31 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','113162161216573431459914574124610123142',758,'9998',82.82,1,3,NULL),(20,5320666,'1993-08-22 00:00:00',2,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124241161215151411458814575124610144177',12736,'9998',52.86,1,3,NULL),(20,5320674,'1986-11-01 00:00:00',2,16,12,2003,'F','N','SÃO LUIZ','CURITIBANOS','SC','124241241117271532423314231124610158155',NULL,'239',0.00,1,3,NULL),(20,5320704,'1982-02-13 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241111354731489833335114231422177',11563,'9997',55.20,1,3,NULL),(20,5320712,'1989-08-26 00:00:00',4,5,12,2006,'M','N','MORADA DO SOL','MARAVILHA','SC','124243241116571531248919492122610167047',15091,'552',44.37,1,3,NULL),(20,5320720,'1983-05-07 00:00:00',2,1,11,2000,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241136133231126544242314610114142',NULL,'288',29.59,1,2,1),(20,5320739,'1990-07-03 00:00:00',4,6,12,2007,'M','N','CENTRO','ITAJAÍ','SC','124242241216114241549834575122232462167',6782,'392',64.30,1,3,NULL),(20,5320747,'1990-04-25 00:00:00',1,1,12,2007,'M','N','SUMAREZINHO','S PAULO','SP','125252251217471511558811515115610162057',NULL,'9998',0.00,1,3,NULL),(20,5320763,'1985-09-22 00:00:00',2,1,12,2003,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124244241215575411488414471124221412136',8045,'270',61.75,4,3,NULL),(20,5320780,'1982-01-23 00:00:00',2,1,12,1999,'F','N','VILA MÍRIAN','GUARULHOS','SP','125252251216571431157643435335140637147',951,'9998',80.87,1,3,NULL),(20,5320798,'1986-09-24 00:00:00',4,1,12,2003,'F','N','CENTRO','LONDRINA','PR','116162161235572431488812345112141066092',2234,'9998',74.53,1,3,NULL),(20,5320801,'1991-07-24 00:00:00',4,4,12,2008,'M','N','CENTRO','CASCAVEL','PR','116163168422152411366922163112141737142',5469,'9998',65.47,1,3,NULL),(20,5320810,'1992-03-08 00:00:00',2,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124241241115141431428839375224610112073',NULL,'733',11.29,1,2,1),(20,5320828,'1991-12-21 00:00:00',2,4,12,2008,'F','N','CENTRO','IPORÃ OESTE','SC','124241241231271431558812275114610163182',NULL,'1079',27.52,1,3,NULL),(20,5320836,'1990-11-03 00:00:00',2,15,11,2007,'M','N','MORRO DO MEIO','TURVO','SC','124241242137131232433316242223610164042',NULL,'814',23.21,1,2,1),(20,5320844,'1992-04-13 00:00:00',2,9,12,2009,'M','N','CENTRO','LAGES','SC','124241241116371431316623295124610127054',NULL,'500',24.04,1,3,NULL),(20,5320852,'1988-09-29 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241248436272431456412415134610167042',15164,'9999',47.37,4,3,NULL),(20,5320860,'1988-08-19 00:00:00',2,8,12,2006,'F','N','VILA TUPI','PR GRANDE','SP','125251251226471431326314385114610161197',NULL,'9998',30.80,1,3,NULL),(20,5320879,'1976-07-26 00:00:00',2,1,12,2009,'F','N','SERRINHA','FLORIANÓPOLIS','SC','224241247122131421333351442314610116145',NULL,'9999',5.29,4,2,1),(20,5320887,'1990-10-15 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241124152411554512575121220734032',2300,'169',73.56,1,2,1),(20,5320895,'1988-06-29 00:00:00',4,1,12,2006,'M','N','JARDIM NOVA IPANEMA','SOROCABA','SP','125252251214471731458821385122141467042',NULL,'9998',0.00,1,3,NULL),(20,5320909,'1988-07-16 00:00:00',2,1,12,2006,'M','N','LOTEAMENTO IPIRANGA','BIGUAÇU','SC','124241241112142331226311312124231017052',NULL,'65',13.43,1,3,NULL),(20,5320917,'1990-07-28 00:00:00',4,1,12,2008,'M','N','ZONA DOIS','CIANORTE','PR','116161161211471431458614344112610122142',5447,'9998',64.97,1,3,NULL),(20,5320925,'1992-02-18 00:00:00',4,3,12,2009,'M','N','CENTRO','CPO MOURÃO','PR','116162161216111431368817375122610167057',NULL,'9998',37.74,1,3,NULL),(20,5320933,'1989-11-19 00:00:00',2,1,2,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117274431468933571122230267042',13796,'267',50.74,1,2,1),(20,5320941,'1989-07-28 00:00:00',4,1,12,2006,'M','N','CENTRO','ARARAQUARA','SP','125252251215471431478823335122610147042',NULL,'9998',0.00,1,3,NULL),(20,5320950,'1991-09-14 00:00:00',4,9,12,2008,'F','N','SANTO ANTÃO','BENTO GONÇALVES','RS','120201201147471431222324372114610143147',12147,'9998',50.68,1,2,1),(20,5320968,'1992-11-12 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215122431347511575124610127083',NULL,'270',0.00,4,3,NULL),(20,5320984,'1992-10-24 00:00:00',4,1,12,2009,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241115271431426631411124610122147',15197,'307',45.93,1,2,1),(20,5320992,'1992-05-23 00:00:00',2,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124241248126151231333359395125610137062',NULL,'736',25.35,4,3,NULL),(20,5321000,'1992-08-08 00:00:00',4,5,10,2009,'M','N','CENTRO','CRICIÚMA','SC','124241241117211511479832225111610167062',2269,'226',75.46,1,3,NULL),(20,5321018,'1992-01-27 00:00:00',2,15,12,2009,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124244241215471432457923242112610162042',14325,'26',46.74,1,3,NULL),(20,5321026,'1983-12-10 00:00:00',2,1,12,2003,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241136474231226544342314610127052',11968,'281',54.42,1,2,1),(20,5321034,'1977-10-18 00:00:00',4,1,12,1996,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241122275411123344442324610164197',NULL,'736',28.76,1,2,1),(20,5321042,'1990-01-23 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215272431459812385124222244187',6595,'1022',62.60,1,3,NULL),(20,5321050,'1992-02-28 00:00:00',4,8,11,2009,'M','N','GLÓRIA','JOINVILLE','SC','124242241215111311368924575112610157042',NULL,'1063',28.53,1,3,NULL),(20,5321069,'1992-01-10 00:00:00',4,15,12,2009,'F','N','LAGOÃO','ARARANGUÁ','SC','124241241115111232525334295124610118042',NULL,'29',18.83,1,2,1),(20,5321085,'1990-05-08 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215574731128944442124610137175',NULL,'962',0.00,1,3,NULL),(20,5321093,'1993-09-17 00:00:00',4,1,12,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241227111432438811575124610127147',14845,'262',48.32,1,3,NULL),(20,5321115,'1989-10-11 00:00:00',4,3,11,2006,'F','N','AGUA VERDE','CURITIBA','PR','116162161216572431468719572112143122072',9714,'9998',55.72,1,3,NULL),(20,5321123,'1988-11-13 00:00:00',4,1,11,2005,'M','N','CENTRO','MAXIMILIANO ALMEIDA','RS','124201201212574751437712393124610164052',1820,'9998',77.51,1,3,NULL),(20,5321131,'1993-08-11 00:00:00',4,1,11,2010,'F','S','CAMPINAS','S JOSÉ','SC','124244241215111431338933275124610124012',NULL,'737',33.12,1,3,NULL),(20,5321140,'1991-04-14 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124162241215272441368912215114610134072',4676,'1022',69.15,1,3,NULL),(20,5321158,'1990-12-16 00:00:00',5,5,11,2007,'M','N','CENTRO','CRICIÚMA','SC','124241241217572731246623245115610162041',14057,'226',50.28,1,3,NULL),(20,5321166,'1992-03-04 00:00:00',2,5,12,2009,'M','N','MINA UNIÃO','CRICIÚMA','SC','124244246217111431436514575124610132047',NULL,'995',24.86,1,3,NULL),(20,5321174,'1992-01-06 00:00:00',2,1,10,2009,'M','N','CENTRO','JAGUARUNA','SC','124243241215131311336863574324610168052',NULL,'270',37.49,4,3,NULL),(20,5321182,'1989-05-31 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216372421346623442113610168193',8354,'9997',61.21,1,3,NULL),(20,5321190,'1992-08-21 00:00:00',4,1,2,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241112471431327614471124610138085',NULL,'307',27.44,1,3,NULL),(20,5321204,'1991-10-30 00:00:00',4,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217111431469813572112610164045',3633,'951',71.11,1,3,NULL),(20,5321212,'1991-02-05 00:00:00',4,4,12,2007,'F','N','CENTRO','PASSO FUNDO','RS','120202201216571431439931574112610132142',NULL,'9998',0.00,1,3,NULL),(20,5321239,'1992-09-16 00:00:00',4,15,12,2009,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215111431368722575112610162182',7162,'32',60.09,1,3,NULL),(20,5321247,'1980-07-25 00:00:00',4,1,12,1997,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216133721558813482122333223097',9083,'270',59.81,4,3,NULL),(20,5321255,'1993-10-20 00:00:00',4,8,11,2010,'F','S','AMÉRICA','JOINVILLE','SC','124242241217121711459933572122610166017',NULL,'457',60.65,1,3,NULL),(20,5321263,'1993-06-09 00:00:00',4,1,12,2009,'M','N','CENTRO','S LOURENÇO OESTE','SC','124243241316131431437914241321610164142',NULL,'745',0.00,1,3,NULL),(20,5321271,'1986-12-10 00:00:00',4,1,1,2005,'F','N','CINQUENTENÁRIO','CAXIAS SUL','RS','120202201216572131537621475124140267077',NULL,'9998',29.90,1,3,NULL),(20,5321280,'1986-05-13 00:00:00',2,8,12,2004,'M','N','JARDIM PRIMAVERA','ITABUNA','BA','105051051116131431423621382314142827057',NULL,'9998',46.61,4,2,1),(20,5321298,'1992-01-28 00:00:00',2,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124242241215111431458614574122610127112',15405,'806',44.88,1,3,NULL),(20,5321301,'1981-04-03 00:00:00',4,1,12,2000,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124062061216575411129644445124141442181',13301,'9998',51.74,1,3,NULL),(20,5321336,'1988-07-30 00:00:00',2,1,11,2005,'M','N','ALTO ARIRIU','PALHOÇA','SC','124241241131371431423419291223610117057',NULL,'592',12.46,1,2,1),(20,5321344,'1989-09-26 00:00:00',4,1,6,2008,'M','N','SÃO VICENTE','ARAÇATUBA','SP','125252281417571431448832575112610114043',10026,'9998',54.91,1,3,NULL),(20,5321352,'1988-09-08 00:00:00',2,5,12,2006,'M','N','JARDIM MARISTELA','CRICIÚMA','SC','124241246122231421546324445122610167053',NULL,'218',25.46,1,3,NULL),(20,5321360,'1992-04-18 00:00:00',2,7,12,2009,'M','N','CENTRO','ÁGUA DOCE','SC','124241242115371431423631295121610137147',NULL,'8',28.88,1,3,NULL),(20,5321387,'1991-02-11 00:00:00',4,1,12,2008,'M','N','JD CENTENARIO','JAMBEIRO','SP','125252251215471731378732573112610128142',1282,'9998',78.80,1,3,NULL),(20,5321409,'1992-08-19 00:00:00',4,1,12,2009,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241115131431333411575114610137042',NULL,'772',19.99,1,2,1),(20,5321417,'1994-01-23 00:00:00',2,9,12,2009,'F','N','CENTRO','LEBON RÉGIS','SC','124243248331161431326923575121610134187',NULL,'532',20.22,1,3,NULL),(20,5321425,'1993-07-13 00:00:00',4,2,11,2010,'M','S','CENTRO','ITUPORANGA','SC','124242241215111631369631575124610164147',NULL,'654',48.91,1,3,NULL),(20,5321433,'1993-03-04 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215151532479933575125610164145',NULL,'262',22.53,1,3,NULL),(20,5321441,'1986-05-31 00:00:00',2,1,8,2005,'M','N','PASSA VINTE','PALHOÇA','SC','124241241336132411533314485123610137052',NULL,'596',29.59,1,3,NULL),(20,5321450,'1993-06-23 00:00:00',4,9,11,2009,'M','N','SAGRADO','LAGES','SC','124242241217111221459932572115610162047',14807,'1146',48.46,1,3,NULL),(20,5321468,'1990-06-08 00:00:00',2,1,12,2007,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241212413431423312572124610122091',6967,'270',63.33,1,3,NULL),(20,5321476,'1990-03-08 00:00:00',2,1,12,2008,'M','N','CENTRO','CHAPECÓ','SC','124242161416272431669711475124130734182',15794,'9998',45.11,1,3,NULL),(20,5321484,'1992-09-29 00:00:00',4,5,12,2009,'F','N','MICHEL','CRICIÚMA','SC','124243241115371711435531286122610121147',NULL,'209',22.77,1,3,NULL),(20,5321492,'1987-05-15 00:00:00',2,1,12,2004,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241216373431433621314124132847127',NULL,'270',0.00,4,3,NULL),(20,5321506,'1990-05-26 00:00:00',4,8,12,2007,'F','N','NOVA BRASILIA','JOINVILLE','SC','124241241125142411436614172224610137057',5255,'465',67.69,1,2,1),(20,5321514,'1993-12-31 00:00:00',4,1,12,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242241215111431246623472124610124012',NULL,'737',27.89,1,3,NULL),(20,5321530,'1993-01-09 00:00:00',2,5,10,2009,'F','N','CENTRO','MRO FUMAÇA','SC','124242248215311731328811295112610126092',NULL,'226',27.61,1,3,NULL),(20,5321549,'1990-03-08 00:00:00',2,8,11,2007,'M','N','CENTRO','CURITIBA','PR','116164161215471431489619595124141067187',NULL,'9998',0.00,4,3,NULL),(20,5321557,'1992-08-05 00:00:00',4,1,12,2009,'M','N','LABRUNETTI','ITAPETININGA','SP','125252251215111431468813475222610132093',NULL,'9998',0.00,1,3,NULL),(20,5321565,'1966-09-25 00:00:00',2,1,10,2009,'M','N','BOM VIVER','BIGUAÇU','SC','224241248125151411323349192244610164047',14498,'9999',49.25,1,2,1),(20,5321573,'1990-10-04 00:00:00',4,1,12,2008,'F','N','JARDIM NOVA SAO JOAO','S JOÃO B VISTA','SP','125252251215471431578813571122610117077',NULL,'9998',0.00,1,3,NULL),(20,5321581,'1989-10-25 00:00:00',2,1,7,2007,'M','N','SERTAO DO MARUIM','S JOSÉ','SC','124243247217133431346623381122610135017',NULL,'9999',41.67,1,3,NULL),(20,5321590,'1991-04-10 00:00:00',4,3,12,2008,'M','N','BELA SUÍÇA','LONDRINA','PR','116162161211311411579931172122610167142',2057,'9998',76.46,3,3,NULL),(20,5321603,'1990-10-18 00:00:00',4,3,12,2007,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161216571431479911572112610167182',442,'9998',85.10,4,3,NULL),(20,5321620,'1992-02-08 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116163161217471331448639572215610127057',172,'9998',88.54,4,3,NULL),(20,5321638,'1992-10-05 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431444611295122610161072',7445,'738',62.91,1,3,NULL),(20,5321646,'1992-01-28 00:00:00',2,1,12,2008,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124242241136152431536613244124610123147',NULL,'592',0.00,1,3,NULL),(20,5321654,'1992-12-09 00:00:00',2,1,12,2009,'F','N','CENTRO','STA MARIA','RS','120202201216471431366934575122610126142',NULL,'9998',0.00,1,3,NULL),(20,5321662,'1988-04-13 00:00:00',2,15,12,2005,'F','N','JARDIM LINDÓIA','PTO ALEGRE','RS','120202201217571711447623271124610147047',NULL,'9998',0.00,1,3,NULL),(20,5321697,'1992-04-06 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241217111431238724592115610168182',14332,'737',46.53,1,3,NULL),(20,5321700,'1991-04-17 00:00:00',4,1,11,2008,'F','N','VILA VELHA','PALMEIRA MISSÕES','RS','120203201217371431466632571122610164182',NULL,'9998',0.00,1,3,NULL),(20,5321719,'1992-05-28 00:00:00',2,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124253241132371431546833595124610126177',NULL,'726',29.46,1,3,NULL),(20,5321743,'1993-08-10 00:00:00',2,15,12,2010,'F','S','CENTRO','PR GRANDE','SC','124241241215151711348832472314610147142',NULL,'970',27.18,1,3,NULL),(20,5321751,'1987-01-26 00:00:00',4,2,12,2004,'F','N','CENTRO','RIO SUL','SC','124241241116141431243373142132233234052',NULL,'659',23.76,1,2,1),(20,5321760,'1991-07-24 00:00:00',4,8,12,2008,'M','N','CENTRO','CORUPÁ','SC','124241241115372431238623571124610162072',11930,'203',54.50,1,2,1),(20,5321778,'1959-08-24 00:00:00',2,1,12,1977,'F','N','TRINDADE','FLORIANÓPOLIS','SC','524211211117132411336853472112610122145',14657,'9998',45.52,1,2,1),(20,5321786,'1993-09-12 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111531438832575121610127142',NULL,'1133',24.45,1,3,NULL),(20,5321794,'1988-08-30 00:00:00',2,1,12,2006,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124164161431271731128868185124143264062',13985,'9998',50.42,1,3,NULL),(20,5321808,'1990-11-26 00:00:00',4,1,11,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241126373431343633345121610147047',16164,'285',42.95,2,2,1),(20,5321816,'1994-02-17 00:00:00',2,15,12,2009,'F','N','SÃO FELIPE','TURVO','SC','124242241217151451454616492121610147147',10570,'813',53.29,1,3,NULL),(20,5321840,'1992-10-11 00:00:00',2,1,11,2009,'F','N','BATISTA CAMPOS','BELÉM','PA','114254141216111431569614575122620142097',12929,'9998',49.04,1,3,NULL);
INSERT INTO candidato VALUES (20,5321859,'1992-07-11 00:00:00',5,9,12,2009,'F','N','CENTRO','S MARCOS','RS','120201203211111731453612571124610165182',15840,'9998',41.44,1,3,NULL),(20,5321867,'1991-07-09 00:00:00',4,1,12,2008,'M','N','CENTRO','STA MARIA','RS','120204201311271431448633571124610123142',305,'9998',86.47,1,3,NULL),(20,5321875,'1989-08-04 00:00:00',2,1,12,2006,'F','N','VILA NOVA','NOVO HAMBURGO','RS','120203201216333431536419345224230264097',12746,'9998',52.84,1,3,NULL),(20,5321883,'1990-10-08 00:00:00',4,1,12,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241112371751535632391112610167097',NULL,'733',20.74,1,3,NULL),(20,5321891,'1991-09-22 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215371732556813572114610131045',13445,'988',51.49,1,3,NULL),(20,5321905,'1992-03-31 00:00:00',2,1,12,2010,'F','S','CENTRO','S JOSÉ','SC','124241243117111431427614572124610135052',NULL,'306',47.35,1,3,NULL),(20,5321921,'1980-10-18 00:00:00',4,1,12,1999,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242247237131431227619471122333224073',NULL,'270',0.00,4,3,NULL),(20,5321930,'1967-05-15 00:00:00',2,1,10,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','224241247131143431434343231122610128047',NULL,'9999',1.34,4,2,1),(20,5321948,'1991-09-08 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','120202201216271231468831575114143267046',1897,'9998',75.51,1,3,NULL),(20,5321956,'1990-11-25 00:00:00',2,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241147162331223321345124610117057',NULL,'290',23.48,1,2,1),(20,5321972,'1986-04-07 00:00:00',4,1,3,2005,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241117374411438923386124133233057',11752,'739',54.83,1,3,NULL),(20,5321980,'1990-01-31 00:00:00',4,1,11,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243248115371421458614372124233217046',2137,'271',76.42,1,3,NULL),(20,5321999,'1992-10-10 00:00:00',4,1,12,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124241241117161431333431575124610131147',15044,'734',44.50,1,2,1),(20,5322006,'1991-10-11 00:00:00',2,6,12,2009,'F','N','CORDEIROS','ITAJAÍ','SC','124241241115131431533514172321612835072',NULL,'396',19.73,1,2,1),(20,5322014,'1985-08-31 00:00:00',4,1,12,2002,'F','N','INGLESES','FLORIANÓPOLIS','SC','124202201411141421435623311334610128097',NULL,'9998',23.86,4,1,2),(20,5322022,'1989-06-24 00:00:00',4,3,12,2006,'M','N','XV DE NOVEMBRO','TIJUCAS','SC','124242241212373451446931345123131037041',5902,'781',64.48,1,3,NULL),(20,5322030,'1990-07-17 00:00:00',2,1,12,2007,'F','N','GUILHERMINA','PR GRANDE','SP','125252251217271741469911275124142423052',2355,'9997',74.64,4,3,NULL),(20,5322065,'1990-06-12 00:00:00',4,1,1,2008,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124243241312131731435614382123610117147',NULL,'592',20.19,1,3,NULL),(20,5322073,'1992-03-12 00:00:00',2,9,12,2009,'M','N','SÃO CRISTOVÃO','LAGES','SC','124241241215111432346633275122610164057',NULL,'1146',26.10,1,3,NULL),(20,5322081,'1986-07-18 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224191191121161732211144141214610136017',NULL,'9998',0.00,1,2,1),(20,5322090,'1988-11-18 00:00:00',4,1,12,2006,'F','N','SANTO ANDRÉ','S JOÃO B VISTA','SP','125252251315571431436635575122142515197',NULL,'9998',0.00,1,3,NULL),(20,5322103,'1992-02-08 00:00:00',4,8,12,2008,'F','N','CENTRO','IBAITI','PR','116162161212471411424923492124610167077',12339,'9998',51.41,1,3,NULL),(20,5322111,'1992-04-23 00:00:00',2,1,12,2009,'M','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124242241215111111339924575124610164115',6529,'272',63.72,1,3,NULL),(20,5322120,'1988-05-24 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124171178136311711512115292344610131185',NULL,'9998',21.59,3,2,1),(20,5322138,'1990-06-01 00:00:00',4,8,11,2007,'M','N','SÃO BASÍLIO MAGNO','UNIÃO VITÓRIA','PR','116241241116161411324629345121142924142',NULL,'635',0.00,1,2,1),(20,5322146,'1992-11-20 00:00:00',4,1,12,2009,'F','N','SANTA RITA','PAULO LOPES','SC','124241241225131431613314572324610127057',14780,'262',48.52,1,3,NULL),(20,5322154,'1991-03-13 00:00:00',4,5,11,2008,'F','N','BOM RETIRO','JOINVILLE','SC','124242241212372431588614572124231431142',5347,'213',65.70,1,3,NULL),(20,5322170,'1987-02-28 00:00:00',2,1,12,2004,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124161161127371731123444245334610125027',NULL,'9998',28.16,1,2,1),(20,5322189,'1988-05-25 00:00:00',2,1,12,2006,'M','N','AREIAS','S JOSÉ','SC','124241241116141231433634342323131267042',NULL,'734',0.00,1,2,1),(20,5322197,'1992-02-11 00:00:00',4,1,12,2009,'F','N','ESTREITO','ALFREDO WAGNER','SC','124241241146141431423613242121610137147',NULL,'13',36.92,1,2,1),(20,5322200,'1991-09-29 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124244241415111711438839595122610127072',NULL,'515',20.45,1,3,NULL),(20,5322219,'1990-10-15 00:00:00',4,1,12,2008,'M','N','MADRI','PALHOÇA','SC','124241241117131431436439345124610125147',NULL,'591',31.63,1,2,1),(20,5322227,'1993-05-13 00:00:00',4,1,11,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124243241215111732653531475124610165187',NULL,'1022',52.40,1,3,NULL),(20,5322243,'1992-03-27 00:00:00',4,10,11,2009,'F','N','CENTRO','JAGUARUNA','SC','124243241235131431426823382122610137147',NULL,'806',27.95,1,3,NULL),(20,5322260,'1992-10-14 00:00:00',2,15,12,2009,'M','N','COLONINHA','ARARANGUÁ','SC','124243248215471221337923575112610167112',16288,'26',40.89,1,3,NULL),(20,5322294,'1984-12-20 00:00:00',2,15,12,2003,'M','N','CENTRO','ARARANGUÁ','SC','124244248317142431526612245122130222052',NULL,'26',42.79,1,3,NULL),(20,5322308,'1983-05-20 00:00:00',2,1,11,2000,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124161161117131431224416342334141921187',NULL,'9998',32.26,1,2,1),(20,5322316,'1963-05-16 00:00:00',4,1,12,2009,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241247143371432123449191344610136197',NULL,'9999',13.72,2,1,1),(20,5322324,'1991-09-16 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124243241212412751345923595124610118187',9732,'737',58.69,1,3,NULL),(20,5322332,'1992-08-28 00:00:00',4,15,11,2009,'M','N','CENTRO','TORRES','RS','120241201115151431528534245121610164053',NULL,'9998',27.67,1,2,1),(20,5322340,'1991-01-23 00:00:00',4,9,12,2007,'F','N','RIO BRANCO','PTO ALEGRE','RS','120202201217571431338711595124610122147',NULL,'9998',0.00,1,3,NULL),(20,5322359,'1992-07-19 00:00:00',4,4,11,2009,'F','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124242241211311411466612575122610126191',8274,'983',58.42,1,3,NULL),(20,5322367,'1981-06-14 00:00:00',2,1,11,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241248137132311642221341334610144187',NULL,'263',0.00,1,3,NULL),(20,5322375,'1989-06-02 00:00:00',4,1,12,2007,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241247426271441436651116124610124027',NULL,'9999',NULL,1,3,NULL),(20,5322383,'1990-06-16 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215574531447512575124610144052',7684,'269',62.24,1,3,NULL),(20,5322391,'1992-05-09 00:00:00',4,8,11,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241345121751435439385122610124077',NULL,'486',0.00,1,3,NULL),(20,5322405,'1990-02-26 00:00:00',4,1,12,2009,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124242247435161431334827575121610132047',NULL,'9999',0.00,1,3,NULL),(20,5322413,'1988-07-12 00:00:00',2,4,12,2005,'F','N','BAIXADA','PATO BRANCO','PR','116162161216573431248824445122610164147',NULL,'9998',0.00,1,3,NULL),(20,5322448,'1992-07-13 00:00:00',2,10,12,2009,'M','N','CENTRO','IMBITUBA','SC','124242241217271431369912325122610114062',NULL,'362',17.29,1,3,NULL),(20,5322456,'1992-05-16 00:00:00',4,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124242241112271731526519595124610167057',11464,'739',52.66,1,3,NULL),(20,5322472,'1992-06-07 00:00:00',4,8,11,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215122331337839595112610132077',3798,'1063',71.38,1,3,NULL),(20,5322480,'1989-11-10 00:00:00',4,8,7,2008,'M','N','CENTRO','CURITIBA','PR','116283281316571731489611571122610148042',NULL,'9998',0.00,1,3,NULL),(20,5322499,'1992-10-22 00:00:00',4,15,12,2009,'F','N','CENTRO','S JOÃO SUL','SC','124241242115111431536615572122610114142',NULL,'690',23.99,1,2,1),(20,5322502,'1992-04-25 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241112141421338634345124610142143',NULL,'288',20.26,1,2,1),(20,5322510,'1991-09-02 00:00:00',2,1,12,2008,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241125472411428524385124610115067',NULL,'291',29.83,1,2,1),(20,5322529,'1990-10-11 00:00:00',4,1,12,2008,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215472721448613445124133214052',3093,'270',73.23,1,3,NULL),(20,5322537,'1991-01-08 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115131431328633572124610167062',NULL,'307',24.29,1,3,NULL),(20,5322553,'1992-02-28 00:00:00',2,9,12,2009,'F','N','ESQUINA','URUBICI','SC','124242241212131431428811575124610122142',NULL,'817',28.06,1,3,NULL),(20,5322561,'1992-10-02 00:00:00',2,16,12,2009,'F','N','SÃO LUIZ','CURITIBANOS','SC','124241241115371751536625292322610121015',NULL,'239',26.18,1,3,NULL),(20,5322570,'1992-06-12 00:00:00',2,8,12,2009,'F','N','FLORESTA','JOINVILLE','SC','124242241217121431458834575122610126197',3880,'459',69.52,1,3,NULL),(20,5322588,'1992-07-01 00:00:00',4,1,12,2009,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241241215131431458612575124610162042',11076,'1048',52.48,1,3,NULL),(20,5322618,'1992-09-20 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241217141421434634345124610123092',13227,'1074',48.31,1,3,NULL),(20,5322626,'1992-01-28 00:00:00',2,4,12,2008,'M','N','SAGRADA FAMILIA','DOIS VIZINHOS','PR','116161161315271431436514575112610147053',7339,'9998',61.86,1,3,NULL),(20,5322634,'1991-08-30 00:00:00',4,8,10,2008,'F','N','CENTRO','CURITIBA','PR','116162161215471411456612571324610164092',NULL,'9998',0.00,1,3,NULL),(20,5322642,'1993-05-19 00:00:00',2,1,12,2010,'F','S','SANTINHO','FLORIANÓPOLIS','SC','124241241112111431546513575124610164182',NULL,'288',24.03,1,3,NULL),(20,5322669,'1990-10-27 00:00:00',4,1,12,2008,'F','N','JARDIM PIRATININGA','LIMEIRA','SP','125254251115471731436611571322610147017',NULL,'9998',0.00,1,3,NULL),(20,5322677,'1976-02-13 00:00:00',4,1,12,1989,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','524256253626471431128848185125341022147',NULL,'9998',26.81,1,3,NULL),(20,5322685,'1990-11-29 00:00:00',2,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124162261216472732128931595115610168192',NULL,'9998',23.62,1,3,NULL),(20,5322693,'1990-02-03 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431268812575124610164197',7289,'270',60.39,1,3,NULL),(20,5322715,'1990-04-25 00:00:00',4,3,12,2007,'M','N','JARDIM BOTÂNICO','CURITIBA','PR','116162161215571441588934575112610166017',NULL,'9998',0.00,1,3,NULL),(20,5322723,'1993-06-21 00:00:00',4,1,11,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111732366829575122610137047',NULL,'270',48.64,1,3,NULL),(20,5322758,'1992-10-01 00:00:00',4,1,12,2009,'M','N','CENTRO','LONDRINA','PR','116162161237211431347814571122611464047',10882,'9998',52.91,1,3,NULL),(20,5322766,'1992-08-27 00:00:00',2,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124244241217121731435534472125610132147',12208,'738',50.21,1,3,NULL),(20,5322774,'1991-07-22 00:00:00',2,4,12,2008,'M','N','VISTA ALEGRE','CONCÓRDIA','SC','124241242116111421436333295123610114182',NULL,'196',0.00,4,3,NULL),(20,5322782,'1989-12-07 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241123471621123136432214610122042',NULL,'253',26.78,1,2,1),(20,5322790,'1992-06-08 00:00:00',2,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241248215111331555612142124610126143',NULL,'944',16.02,1,3,NULL),(20,5322804,'1991-09-13 00:00:00',2,15,12,2008,'F','N','SÃO LUIZ','CRICIÚMA','SC','124242241211111711333331595124232817147',16169,'213',42.87,1,3,NULL),(20,5322812,'1992-03-10 00:00:00',2,3,12,2009,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241217131751537413242124610164147',13605,'1085',48.61,1,3,NULL),(20,5322820,'1991-12-02 00:00:00',4,1,12,2009,'M','N','MONT SERRAT','PTO ALEGRE','RS','120202201217371431488814571122610137042',3772,'9998',68.85,1,3,NULL),(20,5322839,'1990-03-30 00:00:00',4,1,12,2007,'M','N','PORTAL DAS PEDRAS','CAMBUÍ','MG','113133136211571211463615571112610167092',NULL,'9998',0.00,1,3,NULL),(20,5322847,'1987-09-28 00:00:00',4,1,3,2005,'M','N','CENTRO','PELOTAS','RS','120204201116111731247936415122341864052',3398,'9998',72.37,1,3,NULL),(20,5322855,'1992-04-10 00:00:00',4,1,12,2009,'M','N','CENTRO','SORRISO','MT','111113118216111531356513592121610127052',NULL,'9998',0.00,1,3,NULL),(20,5322863,'1984-05-02 00:00:00',2,1,12,2001,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241112134431545533332333221416157',8608,'307',58.44,1,2,1),(20,5322871,'1989-12-09 00:00:00',4,8,11,2007,'F','N','AMÉRICA','JOINVILLE','SC','124072071212131431449813215124130466177',NULL,'9998',0.00,1,3,NULL),(20,5322880,'1991-04-02 00:00:00',2,15,12,2008,'F','N','SANTA HELENA','BENTO GONÇALVES','RS','120201201116471431434639571124610122142',NULL,'9998',21.16,1,2,1),(20,5322898,'1992-10-22 00:00:00',2,1,12,2009,'M','N','CENTRO','IMBITUBA','SC','124241241215271431448632295125610137052',15716,'362',43.62,1,3,NULL),(20,5322901,'1989-12-13 00:00:00',2,1,11,2006,'F','N','CENTRO','MARCELINO RAMOS','RS','124201241216574431456613272124221462147',8866,'446',60.22,4,3,NULL),(20,5322910,'1991-09-16 00:00:00',4,6,11,2009,'M','N','CENTRO','ITAJAÍ','SC','124212241215111431367714375124610117042',NULL,'1026',0.00,1,3,NULL),(20,5322928,'1992-04-03 00:00:00',2,1,12,2009,'M','N','CACHOEIRA B JESUS','FLORIANÓPOLIS','SC','124202241215313431258921395124610128042',15879,'1048',44.72,1,3,NULL),(20,5322936,'1990-03-27 00:00:00',4,4,12,2007,'M','N','SÃO CRISTOVÃO','CASCAVEL','PR','116161161136131431438614575124610127042',NULL,'9998',0.00,4,2,1),(20,5322944,'1990-04-05 00:00:00',2,4,11,2006,'F','N','CENTRO','BR COTEGIPE','RS','120202201216572751453612491112610163187',1854,'9998',76.29,1,3,NULL),(20,5322952,'1992-05-01 00:00:00',2,1,12,2009,'F','N','BELA VISTA','PALHOÇA','SC','124241241115151431423512572124610134197',NULL,'592',21.86,1,2,1),(20,5322960,'1983-02-23 00:00:00',2,3,12,2000,'M','N','CASA BRANCA','ITAPEMA','SC','124241241126131732434319235323610147183',NULL,'406',22.02,1,2,1),(20,5322979,'1992-08-15 00:00:00',2,1,12,2009,'F','N','CENTRO','JACUTINGA','RS','120201201116131411423612472124610127072',NULL,'9998',16.16,1,2,1),(20,5322987,'1987-10-21 00:00:00',2,1,12,2004,'M','N','BARREIROS','S JOSÉ','SC','124242241215372431647913345124132067112',11340,'273',53.95,1,3,NULL),(20,5322995,'1990-03-09 00:00:00',4,4,12,2007,'F','N','SÃO JOÃO','SEARA','SC','124241241116271231423629382122610132147',NULL,'763',17.88,1,2,1),(20,5323002,'1985-12-29 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241312475431547613475124233267042',NULL,'298',38.59,1,3,NULL),(20,5323010,'1992-12-28 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243241215111431436819575112610164142',13185,'737',48.50,1,3,NULL),(20,5323029,'1990-07-18 00:00:00',2,1,12,2009,'F','N','CENTRO','GUARAPUAVA','PR','116161161312271441436435572124610132082',NULL,'9998',22.39,1,3,NULL),(20,5323037,'1990-04-21 00:00:00',2,8,12,2007,'F','N','PORTAO','CURITIBA','PR','116201201117471431459614475114142927097',1455,'9998',78.19,1,2,1),(20,5323045,'1991-04-19 00:00:00',2,9,12,2007,'M','N','CENTRO','VACARIA','RS','120203201215472411439911372121610168112',NULL,'9998',0.00,1,3,NULL),(20,5323053,'1993-05-06 00:00:00',2,4,11,2009,'F','N','CENTRO','ABELARDO LUZ','SC','124244161215211431464514575125610166142',NULL,'836',0.00,1,3,NULL),(20,5323061,'1988-03-29 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241127275421423414286124130814192',15615,'295',42.51,1,2,1),(20,5323070,'1983-07-05 00:00:00',4,1,12,2000,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','624203201336131411236551345234610138097',NULL,'9998',25.61,1,3,NULL),(20,5323088,'1987-06-24 00:00:00',4,1,12,2005,'M','N','VILA INDUSTRIAL','S JOSÉ CAMPOS','SP','125201201147571431223514174224610166177',NULL,'9998',0.00,1,2,1),(20,5323100,'1988-05-24 00:00:00',4,1,11,2005,'M','N','REAL PARQUE','S JOSÉ','SC','124244241411152411438814445124333266172',8518,'734',60.89,1,3,NULL),(20,5323118,'1991-06-08 00:00:00',2,15,12,2008,'F','N','CENTRO','ROLANTE','RS','120202201217471751447939574114610132047',9628,'9998',56.32,1,3,NULL),(20,5323134,'1984-11-12 00:00:00',2,1,12,2000,'F','N','CANTO','FLORIANÓPOLIS','SC','124241241122132721513415292324230258197',NULL,'742',24.36,1,2,1),(20,5323142,'1991-12-17 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201241116272431356613575122610134092',15948,'293',44.41,1,2,1),(20,5323150,'1992-07-21 00:00:00',2,8,12,2009,'M','N','GIORGIA PAULA','GARUVA','SC','124241241126171411438513575321610117147',NULL,'923',0.00,1,2,1),(20,5323169,'1988-08-26 00:00:00',4,6,12,2005,'M','N','CENTRO','NAVEGANTES','SC','124242241216131431458961575124132826182',10004,'402',54.69,1,3,NULL),(20,5323177,'1991-03-28 00:00:00',2,1,10,2008,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','110102101217371431457814572114610167092',NULL,'9998',32.49,1,3,NULL),(20,5323193,'1970-10-09 00:00:00',4,1,12,1990,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212144431243329195122231013142',NULL,'272',20.69,1,3,NULL),(20,5323207,'1993-05-20 00:00:00',4,1,12,2010,'M','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431448833572124610164182',NULL,'270',66.79,1,3,NULL),(20,5323215,'1991-11-04 00:00:00',4,1,12,2008,'M','N','MINA BRASIL','CRICIÚMA','SC','124242241215472431448711575114610122042',3224,'226',72.81,1,3,NULL),(20,5323231,'1992-03-21 00:00:00',4,8,12,2009,'M','N','CRISTO REI','CURITIBA','PR','116162161235121411387833575122610164067',8693,'9998',58.18,1,3,NULL),(20,5323240,'1989-01-16 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241412132411327821446124233266197',15718,'1169',45.42,1,3,NULL),(20,5323258,'1985-04-14 00:00:00',2,1,11,2002,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241416335431426634344134610127053',NULL,'362',43.92,1,3,NULL),(20,5323266,'1986-08-26 00:00:00',4,9,12,2003,'M','N','SÃO CRISTÓVÃO','LAGES','SC','124241241116151411467314445122233224182',NULL,'498',32.11,1,3,NULL),(20,5323274,'1988-08-26 00:00:00',2,1,12,2006,'F','N','JDIM CIDADE DE FPOLI','S JOSÉ','SC','124241241116274411623539282124610165141',NULL,'734',24.31,1,2,1),(20,5323282,'1992-07-29 00:00:00',2,8,11,2009,'F','N','CENTRO','JOINVILLE','SC','124242241216112431349923572125610114142',11959,'486',51.06,1,3,NULL),(20,5323304,'1990-07-31 00:00:00',2,1,12,2008,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215312411366913575124130268115',14289,'270',49.75,1,3,NULL),(20,5323312,'1983-08-23 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241247127141711434331211324610166097',NULL,'9999',20.30,2,1,1),(20,5323320,'1967-03-11 00:00:00',2,1,12,1985,'F','N','CAMPINAS','S JOSÉ','SC','124242243226265421333342325124221167093',NULL,'446',25.12,1,3,NULL),(20,5323339,'1991-08-20 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241215373231118811492224233237157',10965,'262',52.30,1,3,NULL),(20,5323355,'1991-11-20 00:00:00',4,8,12,2008,'F','N','CENTRO CÍVICO','CURITIBA','PR','116162161216471731238824571112610134142',11273,'9998',51.82,1,3,NULL),(20,5323363,'1992-07-23 00:00:00',4,3,12,2009,'M','N','CENTRO','CURITIBA','PR','116162161215171731353622575115610117047',NULL,'9998',0.00,4,3,NULL),(20,5323371,'1992-02-03 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111432367714575122610164077',8707,'738',58.87,1,3,NULL),(20,5323380,'1992-06-11 00:00:00',4,6,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121331476711575122610137112',14608,'1038',48.98,4,3,NULL),(20,5323398,'1985-11-01 00:00:00',2,5,12,2002,'M','N','JARDIM ITALIA','MELEIRO','SC','124241241142171331646914242111131267052',NULL,'559',0.00,3,2,1),(20,5323401,'1990-08-22 00:00:00',4,1,11,2008,'M','N','JARDIM PAULISTANO','S PAULO','SP','125252251211571412689911585112610112036',NULL,'9998',0.00,1,3,NULL),(20,5323428,'1963-04-22 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241442471711336643332312610128192',NULL,'293',22.06,1,3,NULL),(20,5323436,'1988-12-28 00:00:00',4,8,12,2005,'M','N','SAGUAÇU','JOINVILLE','SC','124242241217475431358612575122221427042',3985,'932',70.89,1,3,NULL),(20,5323452,'1993-02-07 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217111431468913575114610146145',15200,'270',47.22,1,3,NULL),(20,5323479,'1991-07-08 00:00:00',2,15,12,2008,'F','N','CENTRO','ROLANTE','RS','120202201216471731647913571124610142072',5821,'9998',65.19,1,3,NULL),(20,5323487,'1993-10-08 00:00:00',2,1,11,2010,'F','S','CENTRO','MARCELINO RAMOS','RS','124201241217111431456613272125610164147',NULL,'446',24.94,4,3,NULL),(20,5323495,'1988-11-19 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124101241142131731434431382214610114017',NULL,'592',21.01,4,3,NULL),(20,5323509,'1991-10-23 00:00:00',2,1,12,2009,'M','N','REAL PARQUE','S JOSÉ','SC','124241241117231731423314175111610167052',NULL,'734',40.98,1,2,1),(20,5323517,'1988-12-25 00:00:00',4,10,12,2007,'M','N','CENTRO','TUBARÃO','SC','124241241116271711446611215123130334187',NULL,'804',5.45,1,2,1),(20,5323533,'1987-06-17 00:00:00',4,9,12,2007,'M','N','CENTRO','STA MARIA','RS','120173251117371531348819481145140468187',125,'9998',89.51,1,3,NULL),(20,5323541,'1991-06-28 00:00:00',2,8,11,2008,'F','N','ATIRADORES','JOINVILLE','SC','124122241215132451469923575124231464092',12063,'461',54.26,1,3,NULL),(20,5323550,'1991-01-15 00:00:00',2,1,12,2008,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243241316472421323314285124610164082',4528,'1022',69.46,1,3,NULL),(20,5323568,'1991-11-28 00:00:00',4,1,12,2009,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124246247611333741268822475114230216192',NULL,'9999',0.00,1,3,NULL),(20,5323576,'1991-03-16 00:00:00',2,1,12,2008,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242248215572431447833572122610138182',11871,'1146',54.62,1,3,NULL),(20,5323584,'1989-05-10 00:00:00',4,1,12,2006,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215574421488811575114133267117',5409,'262',67.31,1,3,NULL),(20,5323592,'1991-05-14 00:00:00',2,1,12,2008,'F','N','PINHEIRINHO','CURITIBA','PR','116164161236471711643532176124610134097',7966,'9998',59.10,1,3,NULL),(20,5323606,'1989-08-26 00:00:00',4,1,12,2006,'M','N','MORRO DO FABRICIO','STO AMARO IMPERATRIZ','SC','124241241126132421523329312334610168187',NULL,'941',17.58,1,2,1),(20,5323614,'1989-10-25 00:00:00',4,8,10,2007,'F','N','CENTRO','CURITIBA','PR','116122121216571431475335575122610162092',10449,'9998',55.40,1,3,NULL),(20,5323622,'1989-01-21 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211275431468819375122231046041',8559,'266',60.82,1,3,NULL),(20,5323630,'1993-01-04 00:00:00',4,8,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161217121741348629575122610124077',11187,'9998',52.68,1,3,NULL),(20,5323649,'1992-11-14 00:00:00',4,2,12,2009,'F','N','DOS ESTADOS','INDAIAL','SC','124242241215121431578631575124610144142',NULL,'88',28.60,1,3,NULL),(20,5323657,'1991-09-19 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431568713491122610133142',13208,'1169',48.59,1,3,NULL),(20,5323665,'1992-09-17 00:00:00',4,9,12,2009,'F','N','SANTO ANTONIO','ABDON BATISTA','SC','124241241126161732447931575124610128057',15640,'1',42.13,1,2,1),(20,5323673,'1992-10-29 00:00:00',2,4,11,2009,'M','N','JARDIM AMÉRICA','CHAPECÓ','SC','123243241215471311556332275122610164047',13700,'185',47.19,1,3,NULL),(20,5323681,'1992-10-01 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217112431546831596124610143147',9434,'270',56.07,1,3,NULL),(20,5323690,'1990-08-11 00:00:00',4,8,11,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215472711455623574115610166011',5644,'1016',66.83,1,3,NULL),(20,5323711,'1992-04-15 00:00:00',4,3,11,2009,'F','N','BATEL','CURITIBA','PR','116162161215111431459613575114610162042',NULL,'9998',0.00,1,3,NULL),(20,5323720,'1992-09-08 00:00:00',2,9,12,2009,'M','N','CENTRO','S JOSÉ CERRITO','SC','124241241117131411436933572122610127057',NULL,'742',0.00,4,2,1),(20,5323746,'1989-04-27 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116133431446823485124610121092',NULL,'257',22.98,1,2,1),(20,5323754,'1992-11-09 00:00:00',2,15,12,2009,'F','N','MATO ALTO','ARARANGUÁ','SC','124241241115111431436312571124330745142',NULL,'30',0.00,1,2,1),(20,5323770,'1990-03-15 00:00:00',2,1,12,2007,'F','N','CENTROSUL','DOIS VIZINHOS','PR','116161161117131731325923585125141362077',NULL,'9998',27.41,1,2,1),(20,5323789,'1992-11-19 00:00:00',2,5,11,2009,'F','N','CENTRO','JACINTO MACHADO','SC','124242241215112431349933575114610124147',10681,'32',56.38,1,3,NULL),(20,5323797,'1991-06-01 00:00:00',2,1,12,2008,'F','N','SOROCABA','PAULO LOPES','SC','124241241227272431633334372124610166197',13656,'262',49.80,1,3,NULL),(20,5323800,'1986-01-07 00:00:00',4,1,6,2008,'F','N','VILA IPIRANGA','PTO ALEGRE','RS','120201201137131731125644345114143244197',NULL,'9998',30.73,1,3,NULL),(20,5323819,'1963-03-13 00:00:00',1,1,7,2008,'F','N','CAMPINAS','S JOSÉ','SC','224241247122272751444459291112610165147',NULL,'9997',24.58,1,2,1),(20,5323827,'1991-04-20 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242248215471731449613595124610148147',NULL,'1174',27.55,1,3,NULL),(20,5323835,'1993-02-08 00:00:00',2,4,11,2009,'F','N','CENTRO','ABELARDO LUZ','SC','124244161215371431666631575125610166142',NULL,'9998',0.00,1,3,NULL),(20,5323843,'1991-10-24 00:00:00',4,8,12,2008,'M','N','EMBU GUAÇU','EMBU-GUAÇU','SP','125252256216471231536312341124610167057',15198,'9998',43.88,1,3,NULL),(20,5323851,'1991-05-09 00:00:00',4,1,12,2008,'M','N','JARDIM SANTA MARIA','TOLEDO','PR','116162161216471431479933572122610127042',3079,'9998',72.48,1,3,NULL),(20,5323860,'1991-07-27 00:00:00',4,1,11,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243247217373131227624472114610122114',NULL,'9999',16.85,1,3,NULL),(20,5323878,'1993-03-05 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241214111411359933576112610162052',5294,'1133',67.59,1,3,NULL),(20,5323886,'1990-05-13 00:00:00',2,1,12,2008,'M','N','NOVA ESPERANÇA','BLUMENAU','SC','124241241147151741325514245124610132055',13412,'83',51.57,1,2,1),(20,5323894,'1989-09-11 00:00:00',2,1,12,2006,'F','N','CENTRO','TIJUCAS','SC','124161161116133431114944245334610165112',NULL,'9998',25.08,1,2,1),(20,5323908,'1991-11-03 00:00:00',4,1,12,2008,'M','N','VILA NOVA','IMBITUBA','SC','124241241216162531489713575112610138182',NULL,'807',0.00,1,3,NULL),(20,5323916,'1992-02-19 00:00:00',2,1,11,2009,'M','N','CENTRO','AGROLÂNDIA','SC','124244241415111431479911591124610146052',11957,'991',51.63,1,3,NULL),(20,5323924,'1989-11-10 00:00:00',2,1,12,2007,'F','N','CENTRO','S JOSÉ CAMPOS','SP','125254251346272411439934381124610121047',12838,'9998',52.67,1,3,NULL),(20,5323940,'1991-01-18 00:00:00',4,1,12,2008,'F','N','JARDIM PAGANI','BAURU','SP','125256251116471431545719172124610122172',NULL,'9998',0.00,1,3,NULL),(20,5323959,'1993-05-04 00:00:00',4,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241235151531479613575112610167045',10820,'1133',56.64,1,3,NULL),(20,5323967,'1992-11-28 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241115151451338819595112610162172',NULL,'262',51.24,1,3,NULL),(20,5323975,'1982-11-05 00:00:00',2,1,11,2002,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127135431523311382124132761147',NULL,'274',24.49,4,1,1),(20,5323983,'1990-10-31 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473451349923374112121437122',3078,'270',72.61,1,3,NULL),(20,5323991,'1992-05-07 00:00:00',4,1,11,2009,'F','N','JARDIM CARANDAI','BIGUAÇU','SC','124243241225111431626321392234610127057',13531,'262',47.73,1,3,NULL),(20,5324017,'1989-07-24 00:00:00',2,1,12,2006,'M','N','ARIRIU','PALHOÇA','SC','124241241135242731435414245124130225097',NULL,'592',0.00,1,3,NULL),(20,5324025,'1983-01-30 00:00:00',4,1,11,2001,'M','N','SERRARIA','S JOSÉ','SC','124254251117371751129644445124140422057',11274,'9998',54.50,1,3,NULL),(20,5324033,'1991-12-21 00:00:00',5,8,12,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241215221531478614574122610166172',NULL,'1016',0.00,1,3,NULL),(20,5324041,'1982-04-06 00:00:00',2,1,11,2000,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124241241112164451447933412122333267057',NULL,'267',0.00,1,2,1),(20,5324050,'1992-05-03 00:00:00',4,8,12,2009,'F','N','COMASA','JOINVILLE','SC','124241241111372431226623571124610138147',NULL,'469',24.13,1,2,1),(20,5324068,'1993-02-24 00:00:00',2,5,11,2009,'M','N','CENTRO','NOVA VENEZA','SC','124242241215111511468613275124610137042',NULL,'213',28.49,1,3,NULL),(20,5324076,'1988-03-21 00:00:00',2,1,12,2006,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241248132271721423331345123610117182',NULL,'65',26.75,1,2,1),(20,5324084,'1986-10-07 00:00:00',2,3,11,2004,'F','N','BOA VISTA','CURITIBA','PR','116042041415372751445612572314140265017',5044,'9998',66.66,4,3,NULL),(20,5324092,'1993-08-28 00:00:00',4,10,12,2009,'M','N','SANTA CLARA','ORLEANS','SC','124241241417111431559933475224610127042',3053,'806',73.34,1,3,NULL),(20,5324106,'1992-10-24 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241215131431233323575124610136197',NULL,'1022',26.82,1,3,NULL),(20,5324114,'1985-05-02 00:00:00',2,1,12,2002,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201201114152411434519372323333217042',15855,'9998',44.80,1,2,1),(20,5324122,'1989-11-24 00:00:00',4,1,12,2006,'F','N','CENTRO','PTO BELO','SC','116244241216271731478912375115342162197',NULL,'948',0.00,1,3,NULL),(20,5324130,'1992-06-11 00:00:00',4,8,10,2009,'M','N','CRISTO REI','CURITIBA','PR','116162161215111431577834575122610144067',829,'9998',82.04,1,3,NULL),(20,5324149,'1990-03-08 00:00:00',4,1,11,2007,'F','N','VILA GUMERCINDO','S PAULO','SP','125252251216571751348811571114610162196',5899,'9998',65.80,1,3,NULL),(20,5324157,'1992-03-15 00:00:00',4,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215111611658933576114610128045',10360,'269',57.51,4,3,NULL),(20,5324165,'1993-03-18 00:00:00',4,4,11,2009,'M','N','CENTRO','MARMELEIRO','PR','116163161215221431456311575114610132012',1552,'9998',78.01,1,3,NULL),(20,5324181,'1992-10-05 00:00:00',4,2,12,2009,'F','N','JARDIM AMERICA','ITUPORANGA','SC','124241241125131531449613345122610167147',NULL,'416',18.43,1,2,1),(20,5324190,'1986-09-19 00:00:00',4,1,12,2004,'M','N','CAMPINAS','S JOSÉ','SC','124241241215375431478532442112122344115',10279,'737',54.88,4,3,NULL),(20,5324203,'1983-08-18 00:00:00',4,1,3,2002,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124201208121132411115544242334132041187',NULL,'9998',19.50,1,2,1),(20,5324211,'1986-02-06 00:00:00',2,1,12,2003,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124244241232153411446521283124332067112',NULL,'260',0.00,1,3,NULL),(20,5324220,'1991-06-27 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117272431268823585112630262192',2713,'267',74.38,1,2,1),(20,5324238,'1992-03-12 00:00:00',2,7,12,2009,'F','N','SÃO FRANCISCO','LUZERNA','SC','124241241114271431434614472124610148187',NULL,'539',29.92,1,2,1),(20,5324246,'1991-01-02 00:00:00',2,4,12,2008,'M','N','PACAEMBU','CASCAVEL','PR','116161161111271431433731571124610132142',2193,'9998',75.56,1,2,1),(20,5324254,'1992-06-02 00:00:00',4,9,12,2009,'F','N','CENTRO','BOM RETIRO','SC','124241241135131731325834345122610123147',NULL,'95',17.36,1,2,1),(20,5324262,'1992-06-21 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215131431446834572124610167047',10611,'1133',53.77,4,1,2),(20,5324270,'1991-11-27 00:00:00',2,8,12,2008,'M','N','SÃO JOSÉ','FRAIBURGO','SC','124241241216471731457911575124610167057',8924,'885',56.34,1,3,NULL),(20,5324289,'1990-05-16 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116251251216512431636834575124610161097',11664,'9998',52.78,3,3,NULL),(20,5324297,'1991-07-15 00:00:00',4,1,12,2008,'M','N','CENTRO','CAPIVARI','SP','125252251215471431478814295122610137012',NULL,'9998',0.00,1,3,NULL),(20,5324300,'1991-07-05 00:00:00',2,1,12,2008,'F','N','SERTAO DO MARUIM','S JOSÉ','SC','124241241127271731523324381324610122187',NULL,'1155',20.60,1,2,1),(20,5324319,'1992-09-27 00:00:00',4,15,12,2009,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241115131531324439272122610127142',NULL,'30',27.55,1,2,1),(20,5324327,'1985-03-07 00:00:00',2,1,12,2002,'M','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124111241141153431433451345123610167082',NULL,'275',0.00,1,2,1),(20,5324343,'1993-04-23 00:00:00',4,1,11,2010,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111531458611515124610167017',NULL,'1022',33.72,1,3,NULL),(20,5324351,'1987-03-21 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241214111131379911475124221462187',1627,'486',78.34,1,3,NULL),(20,5324360,'1992-08-28 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111531576833595124610127045',11569,'1022',52.17,1,3,NULL),(20,5324378,'1992-04-25 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431448632585124610168183',14551,'1023',46.67,1,3,NULL),(20,5324386,'1991-12-18 00:00:00',4,10,11,2009,'M','N','CENTRO','CAPIVARI BAIXO','SC','624242246216141431436414395124610127117',NULL,'1120',22.22,1,3,NULL),(20,5324394,'1989-04-09 00:00:00',4,1,11,2005,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124221241315574231566811245123610164052',16152,'9997',43.03,4,3,NULL),(20,5324408,'1981-06-05 00:00:00',2,1,12,2008,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','624241241122133421533343132124610155147',NULL,'772',30.33,4,2,1),(20,5324416,'1992-07-23 00:00:00',4,8,11,2009,'F','N','JOÃO COSTA','JOINVILLE','SC','124241241135131411426929596224610134185',NULL,'465',26.45,4,2,1),(20,5324424,'1992-04-19 00:00:00',4,8,12,2009,'F','N','IRIRIU','JOINVILLE','SC','124241241115231732223313575124610128192',NULL,'469',16.22,1,2,1),(20,5324440,'1992-08-20 00:00:00',4,1,12,2009,'F','N','CENTRO','FAXINAL GUEDES','SC','124242241215112231438835574122610134142',6645,'270',62.74,1,3,NULL),(20,5324467,'1991-03-10 00:00:00',2,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124242241316372431453612275124610133181',8443,'592',61.03,1,3,NULL),(20,5324475,'1982-10-02 00:00:00',2,1,1,2002,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241116134431633419285222133224045',15419,'739',46.55,1,3,NULL),(20,5324491,'1992-10-15 00:00:00',2,4,12,2009,'M','N','CENTRO','SAUDADES','SC','124244241417151531438831415124610167042',NULL,'1070',24.89,1,3,NULL),(20,5324505,'1993-02-26 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111441579939572112610164145',NULL,'270',27.97,1,3,NULL),(20,5324513,'1992-08-22 00:00:00',2,10,12,2009,'M','N','SERTAO DOS CORREAS','TUBARÃO','SC','124241247132271431536634572224610124147',NULL,'1034',24.80,1,3,NULL),(20,5324530,'1991-08-29 00:00:00',4,16,12,2009,'F','N','BOM JESUS','CURITIBANOS','SC','124241241112271731323354372224610114147',NULL,'240',25.86,1,2,1),(20,5324548,'1954-03-04 00:00:00',2,1,12,2008,'F','N','CANASVIERAS','FLORIANÓPOLIS','SC','424241247123131111212274292224610116184',NULL,'288',0.00,1,2,1),(20,5324556,'1991-05-20 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241146241711448314345132610137052',NULL,'283',24.00,1,2,1),(20,5324564,'1989-08-03 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215575431358628572122133223147',1479,'270',78.95,1,3,NULL),(20,5324572,'1991-06-19 00:00:00',4,7,12,2008,'M','N','FLORESTA','VIDEIRA','SC','124241241115141231446632345123233218052',NULL,'831',0.00,1,2,1),(20,5324580,'1992-10-02 00:00:00',2,5,12,2009,'F','N','CENTRO','SIDERÓPOLIS','SC','124242246216141431656831572122610128147',13586,'995',51.19,1,3,NULL),(20,5324599,'1956-09-14 00:00:00',4,5,12,1976,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124241241226575231334443435122330824057',15180,'211',47.30,1,3,NULL),(20,5324602,'1991-10-26 00:00:00',4,3,12,2009,'M','N','CENTRO','BRUSQUE','SC','124242241216151431349911372112610122182',NULL,'109',27.26,1,3,NULL),(20,5324610,'1991-12-12 00:00:00',4,9,11,2009,'M','N','BELA VISTA','IBIRAMA','SC','124242241215121431378411575124610118032',8022,'991',60.10,1,3,NULL),(20,5324629,'1990-11-28 00:00:00',4,1,11,2007,'F','N','JARDIM LEBLON','CPO GRANDE','MS','112122121215571441447939575122610143187',1563,'9998',77.44,1,3,NULL),(20,5324637,'1993-07-11 00:00:00',2,3,12,2009,'F','N','SÃO FRANCISCO','CAMBORIÚ','SC','124244248116131431329923575122610143187',NULL,'129',25.80,1,3,NULL),(20,5324645,'1986-09-01 00:00:00',2,1,12,2005,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241247137471731646313385122610137052',NULL,'945',48.10,1,3,NULL),(20,5324653,'1991-07-04 00:00:00',2,1,11,2009,'M','N','GUIMAR','ANTÔNIO CARLOS','SC','124243241112112411536415372124610153043',NULL,'20',25.35,1,3,NULL),(20,5324670,'1992-01-10 00:00:00',4,3,11,2009,'F','N','CENTRO','ITAPEMA','SC','124242241215122731366631275122610163052',14019,'1038',47.89,1,3,NULL),(20,5324688,'1993-01-18 00:00:00',4,1,12,2010,'F','S','ROÇADO','S JOSÉ','SC','124242241217111431468911572124610121012',NULL,'270',23.29,1,3,NULL),(20,5324696,'1988-09-03 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216373431589614575124132624182',8087,'807',61.67,1,3,NULL),(20,5324700,'1992-03-11 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241211111211467414377114610164187',NULL,'270',44.46,1,3,NULL),(20,5324718,'1986-08-21 00:00:00',2,1,4,2004,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241116152431435524482124333266142',15029,'306',47.77,1,2,1),(20,5324726,'1992-11-13 00:00:00',2,4,12,2009,'M','N','LINHA SOLEDADE','ITAPIRANGA','SC','124241201216131731523335575324610137057',11359,'9998',53.18,1,3,NULL),(20,5324734,'1991-08-22 00:00:00',4,3,11,2009,'M','N','CENTRO','ITAPEMA','SC','124242241215271431369713475112610112042',NULL,'403',29.93,1,3,NULL),(20,5324742,'1990-11-15 00:00:00',4,8,12,2007,'F','N','JARDIM ANA ELIZA III','CAMBÉ','PR','116161161416271411448833272124140664027',3510,'9998',69.78,4,3,NULL),(20,5324750,'1980-05-10 00:00:00',4,1,10,2006,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242247225332531221673182314610162042',NULL,'9999',23.81,1,3,NULL),(20,5324769,'1990-10-26 00:00:00',4,10,12,2008,'M','N','CENTRO','TUBARÃO','SC','124242241215372431566834575122610127051',10644,'797',56.97,1,3,NULL),(20,5324777,'1992-04-06 00:00:00',2,2,11,2009,'M','N','CENTRO','S JOÃO BATISTA','SC','124241241215111411426923145121610117182',11757,'1123',51.59,3,3,NULL),(20,5324785,'1991-12-30 00:00:00',4,10,12,2009,'M','N','HUMAITÁ','TUBARÃO','SC','124244241235121431336611575121610117047',13991,'809',47.46,1,3,NULL),(20,5324793,'1991-03-28 00:00:00',4,1,12,2008,'M','N','SAN CONRADO','CAMPINAS','SP','125252251217471431368924575114610135146',NULL,'9998',0.00,1,3,NULL),(20,5324807,'1987-04-13 00:00:00',4,5,12,2005,'M','N','CENTRO','TORRES','RS','120201201215271431468619472122141447115',13019,'9998',52.33,1,3,NULL),(20,5324815,'1990-11-16 00:00:00',4,3,11,2008,'M','N','CENTRO','CURITIBA','PR','116162161216431631348833575121610168017',NULL,'9998',27.93,3,3,NULL),(20,5324823,'1992-01-12 00:00:00',4,7,12,2009,'M','N','MATRIZ','VIDEIRA','SC','124241246217151431468612572122610167052',6227,'1080',62.74,1,3,NULL),(20,5324831,'1989-05-23 00:00:00',4,1,12,2006,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241117371731434439442124610137042',10814,'307',55.47,2,1,1),(20,5324840,'1984-05-07 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201117575431566839271124232427185',5334,'9998',66.74,1,2,1),(20,5324858,'1992-05-16 00:00:00',4,8,12,2009,'F','N','GLÓRIA','JOINVILLE','SC','124241241217121531356914575122610132142',2311,'1016',75.76,1,3,NULL),(20,5324866,'1991-07-26 00:00:00',4,1,7,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216473431569913575124230236052',6125,'262',64.06,1,3,NULL),(20,5324874,'1993-08-02 00:00:00',4,2,12,2009,'F','N','CENTRO','BRUSQUE','SC','124242241217111431359814274125610164127',11658,'109',52.80,1,3,NULL),(20,5324882,'1990-06-09 00:00:00',4,4,12,2007,'M','N','JD NOVO HORIZONTE','MARINGÁ','PR','116161161315571331568814582325610167052',13056,'9998',49.24,1,3,NULL),(20,5324890,'1983-02-23 00:00:00',2,1,12,2004,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124242247226275441228844345123610162117',NULL,'1003',45.00,1,3,NULL),(20,5324904,'1993-03-18 00:00:00',4,1,12,2010,'M','S','BARREIROS','S JOSÉ','SC','124242241215111531469812372222610132195',NULL,'738',26.81,1,3,NULL),(20,5324912,'1991-10-23 00:00:00',4,1,12,2008,'M','N','PINHEIRA','ENS BRITO','SC','124241241125272432354923475124610167147',8410,'595',59.09,1,2,1),(20,5324920,'1991-02-13 00:00:00',2,1,12,2008,'F','N','SAUDADE','BIGUAÇU','SC','124241241116271732426371195124610112147',NULL,'65',29.88,1,2,1),(20,5324939,'1992-06-28 00:00:00',4,1,12,2009,'F','N','BOSQUE DA SAÚDE','S PAULO','SP','125252251215471431456514574122610136042',4715,'9998',66.03,1,3,NULL),(20,5324955,'1989-04-26 00:00:00',2,1,12,2006,'F','N','JD CIDADE DE FPOLIS','S JOSÉ','SC','124241241134132731533639282114610162147',NULL,'734',0.00,1,2,1),(20,5324963,'1993-01-10 00:00:00',2,6,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241117131731425923435322610137057',NULL,'405',0.00,1,3,NULL),(20,5324971,'1993-02-02 00:00:00',2,1,12,2009,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215112431556631295124610147052',5947,'1011',63.96,1,3,NULL),(20,5324980,'1985-09-06 00:00:00',2,4,12,2004,'M','N','INDUSTRIÁRIOS','CONCÓRDIA','SC','124241245125141431324444445112610151042',NULL,'858',0.00,1,2,1),(20,5324998,'1991-10-16 00:00:00',4,4,12,2008,'M','N','CENTRO','STA MARIA','RS','120241241215471431346914173325610164057',NULL,'1037',40.73,1,3,NULL),(20,5325005,'1992-10-28 00:00:00',4,17,12,2009,'M','N','TRICOLIN','CANOINHAS','SC','124242241215111731458933595122610128017',2583,'154',73.90,1,3,NULL),(20,5325013,'1992-04-06 00:00:00',2,7,12,2009,'F','N','DOS ESTUDANTES','IPIRA','SC','124243241211111441443923571122610163142',11101,'962',53.96,1,3,NULL),(20,5325021,'1991-05-14 00:00:00',2,1,12,2008,'F','N','JURERÊ TRADICIONAL','FLORIANÓPOLIS','SC','124241241117271311323315382124610123147',NULL,'295',22.57,1,2,1),(20,5325030,'1991-07-10 00:00:00',2,16,12,2008,'F','N','ANTA GORDA','RIO OESTE','SC','124241242117131431313326572224610126177',NULL,'652',25.57,1,3,NULL),(20,5325048,'1990-09-16 00:00:00',2,8,12,2007,'F','N','NOVA LONDRES','LONDRINA','PR','116221222117571431439933573314610124072',NULL,'9998',0.00,2,1,1),(20,5325056,'1991-02-09 00:00:00',4,5,11,2008,'F','N','CENTRO','BRAÇO NORTE','SC','124242241236152431455312225124231464112',689,'806',83.27,1,3,NULL),(20,5325064,'1991-07-22 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241215373531476612595124610144072',2744,'738',74.31,1,3,NULL),(20,5325072,'1992-06-04 00:00:00',4,4,12,2009,'F','N','CENTRO','STA TEREZINHA ITAIPU','PR','116161161216121431425515575124610126147',3980,'9998',69.36,1,3,NULL),(20,5325080,'1991-08-03 00:00:00',4,1,12,2008,'F','N','CENTRO CÍVICO','CURITIBA','PR','116162161217472441459933591122610123052',2415,'9998',73.76,1,3,NULL),(20,5325099,'1992-02-06 00:00:00',2,1,11,2009,'M','N','CENTRO','STA ROSA','RS','120203201216151431348614245122610122057',NULL,'9998',24.85,1,3,NULL),(20,5325102,'1993-08-16 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217111751347714242124610167097',NULL,'270',23.77,1,3,NULL),(20,5325110,'1992-01-17 00:00:00',4,8,11,2009,'F','N','NOVA BRASÍLIA','JOINVILLE','SC','124244241227141731456314345124610165041',NULL,'459',0.00,1,3,NULL),(20,5325129,'1992-02-10 00:00:00',4,1,12,2009,'F','N','AUTO BIGUAÇU','BIGUAÇU','SC','124241241136271431425514575124610147187',NULL,'21',18.34,1,2,1),(20,5325137,'1991-05-28 00:00:00',2,3,12,2008,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241111272431326619385122610122157',NULL,'49',27.99,1,2,1),(20,5325153,'1988-09-28 00:00:00',4,1,12,2005,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217112411669933395122233242185',NULL,'270',46.57,1,3,NULL),(20,5325161,'1993-12-03 00:00:00',4,1,11,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111531245821292122610128042',NULL,'270',18.32,1,3,NULL),(20,5325170,'1993-01-15 00:00:00',4,9,12,2010,'F','S','CENTRO','LAGES','SC','124242241215111411358614592122610164092',NULL,'499',46.04,1,3,NULL),(20,5325188,'1990-08-27 00:00:00',4,10,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241217112731368813571222232667067',NULL,'737',15.88,2,3,NULL),(20,5325196,'1993-10-20 00:00:00',4,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241216121731438912595122610167092',16250,'185',41.83,1,3,NULL),(20,5325200,'1992-07-18 00:00:00',2,1,10,2009,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241217472431478812572122610132122',15696,'270',40.80,1,3,NULL),(20,5325218,'1987-06-18 00:00:00',2,1,12,2004,'F','N','CENTRO','CURITIBA','PR','116253251217572441358823375124142966147',2540,'9998',72.53,1,3,NULL),(20,5325226,'1989-06-23 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242247117133152439839285111610167084',14311,'9999',49.69,1,3,NULL),(20,5325242,'1993-05-06 00:00:00',4,1,12,2010,'F','S','STO ANT DE LISBOA','FLORIANÓPOLIS','SC','124242241217151431458729592124610137182',NULL,'1048',26.22,1,3,NULL),(20,5325250,'1990-07-17 00:00:00',2,5,12,2007,'F','N','PASSO DA AREIA','PTO ALEGRE','RS','120202201216471431559931311124610162072',NULL,'9998',0.00,1,3,NULL),(20,5325269,'1990-04-03 00:00:00',2,1,11,2009,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241247327141331526633442123610167042',NULL,'9999',11.46,2,1,2),(20,5325277,'1984-03-18 00:00:00',1,2,12,2001,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241147372431353422345134132664057',12793,'89',52.76,1,2,1),(20,5325285,'1990-12-13 00:00:00',2,1,12,2008,'M','N','FORQUILINHAS','S JOSÉ','SC','124243246216112431466912345124230227053',NULL,'1075',27.88,1,3,NULL),(20,5325293,'1992-05-11 00:00:00',4,10,12,2009,'F','N','CENTRO','S LUDGERO','SC','124244241215472431456612572124610127042',3165,'807',72.96,1,3,NULL),(20,5325307,'1992-08-07 00:00:00',4,5,11,2009,'F','N','MICHEL','CRICIÚMA','SC','124244241217272331569819572122610168122',13338,'226',51.68,1,3,NULL),(20,5325315,'1993-01-20 00:00:00',4,8,11,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215111531458831275121610167132',4421,'1063',67.34,1,3,NULL),(20,5325323,'1962-07-27 00:00:00',2,1,8,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','324161167121131731531144441324610124195',NULL,'9998',24.10,4,2,1),(20,5325331,'1991-09-27 00:00:00',2,16,12,2009,'M','N','INTERIOR','BRUNÓPOLIS','SC','124241241124271631413415573324610158177',NULL,'911',0.00,1,2,1),(20,5325340,'1990-02-10 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431566939575122132464057',2216,'9997',76.08,1,3,NULL),(20,5325358,'1992-09-23 00:00:00',2,1,12,2009,'F','N','CENTRO','CAÇADOR','SC','124242241216112731468933235122610127147',5810,'120',64.59,1,3,NULL),(20,5325366,'1992-03-31 00:00:00',4,2,11,2009,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241216112431557832575122610164042',NULL,'87',0.00,1,3,NULL),(20,5325374,'1993-04-12 00:00:00',4,15,12,2010,'F','S','ÚLTIMO RIO','JACINTO MACHADO','SC','624241241115151131435516572122610127147',NULL,'420',22.93,1,3,NULL),(20,5325382,'1993-09-28 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431457812594115612847046',NULL,'270',51.82,1,3,NULL),(20,5325390,'1992-01-16 00:00:00',4,1,12,2008,'F','N','PARAÍSO','S PAULO','SP','125252251217471431489934475122610166092',NULL,'9998',0.00,1,3,NULL),(20,5325404,'1991-06-14 00:00:00',4,6,12,2008,'F','N','SÃO JOÃO','ITAJAÍ','SC','124241241336131431436314575111610136177',NULL,'400',30.24,1,3,NULL),(20,5325412,'1990-02-20 00:00:00',4,8,6,2008,'F','N','CENTRO','CURITIBA','PR','116112281415471731479939572114610166053',6789,'9998',64.28,4,3,NULL),(20,5325439,'1993-02-15 00:00:00',1,8,12,2009,'M','N','CANELA','JOINVILLE','SC','124241242115131431523314572224610134187',14062,'24',50.27,1,2,1),(20,5325447,'1992-05-04 00:00:00',2,1,12,2008,'F','N','JARDIM SÃO NICOLAU','BIGUAÇU','SC','124242241315371331535614571114610126042',NULL,'65',29.23,1,3,NULL),(20,5325455,'1992-01-17 00:00:00',2,15,12,2009,'M','N','CENTRO','MRO GRANDE','SC','124241241126151411456614245123610117185',NULL,'568',15.89,1,2,1),(20,5325463,'1993-01-25 00:00:00',4,4,12,2009,'F','N','INTERIOR','IPUAÇU','SC','124241241124161531433336592222610166057',NULL,'372',24.03,1,2,1),(20,5325471,'1992-03-07 00:00:00',2,1,12,2009,'F','N','CENTRO','NOVO HAMBURGO','RS','120202201217271731448934572122610123047',11209,'9998',51.69,1,3,NULL),(20,5325501,'1992-08-31 00:00:00',4,3,12,2009,'F','N','CENTRO','BRUSQUE','SC','124242241215112731678831575112610118042',5785,'109',66.51,1,3,NULL),(20,5325510,'1984-07-23 00:00:00',2,1,11,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241247312133632426419282144610143147',NULL,'9999',0.00,1,3,NULL),(20,5325528,'1992-09-09 00:00:00',2,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241126131431435833375124610162057',NULL,'274',22.75,1,2,1),(20,5325536,'1990-02-02 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124202201212472121238744342124610126182',NULL,'9998',23.75,1,3,NULL),(20,5325544,'1987-03-03 00:00:00',2,1,12,2005,'M','N','BARREIROS','S JOSÉ','SC','124241241122131751126743233113232314117',NULL,'734',0.00,4,3,NULL),(20,5325552,'1992-08-07 00:00:00',4,1,11,2009,'M','N','CENTRO','STA ROSA','RS','120202201216151411458811375122610124042',NULL,'9998',30.38,1,3,NULL),(20,5325560,'1993-02-07 00:00:00',2,1,12,2009,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241137371231523311572224610162147',NULL,'288',32.43,4,2,1),(20,5325579,'1975-11-25 00:00:00',4,1,12,2002,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241126154411353417135122121167147',NULL,'307',0.00,2,1,1),(20,5325587,'1990-03-20 00:00:00',2,4,12,2007,'F','N','CENTRO','FREDERICO WESTPHALEN','RS','120201208115572731333332572125610167057',7433,'9998',62.14,1,2,1),(20,5325609,'1991-02-20 00:00:00',4,1,12,2008,'M','N','CENTRO','S JOSÉ R PRETO','SP','125252251217471431368824575122610167047',4796,'9998',66.60,3,3,NULL),(20,5325617,'1986-05-20 00:00:00',4,3,12,2003,'F','N','JARDIM OGUIDO','LONDRINA','PR','116162161216471411456619492114610167042',6791,'9998',63.11,3,3,NULL),(20,5325633,'1992-01-18 00:00:00',2,4,12,2009,'F','N','CENTRO','PALMITINHO','RS','120201201116131431323414582342610124052',11850,'9998',51.70,1,2,1),(20,5325641,'1986-03-26 00:00:00',4,8,12,2002,'F','N','ATIRADORES','JOINVILLE','SC','124243241216575431349714572115610164097',NULL,'487',32.45,1,3,NULL),(20,5325650,'1990-10-13 00:00:00',2,1,12,2008,'F','N','TERESÓPOLIS','ÁGUAS MORNAS','SC','124241241112473431423335452224231036047',13670,'978',49.11,1,2,1),(20,5325668,'1992-04-14 00:00:00',4,1,12,2009,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241114131431526334342322610124197',NULL,'772',19.98,1,2,1),(20,5325676,'1989-05-12 00:00:00',2,4,12,2006,'M','N','SANTANA','PTO ALEGRE','RS','120202201212571311369931595115610117052',NULL,'9998',0.00,1,3,NULL),(20,5325684,'1990-12-10 00:00:00',4,1,12,2008,'F','N','JARDIM AMÉRICA','SOROCABA','SP','125254251215371431468734575122610164147',NULL,'9998',0.00,1,3,NULL),(20,5325692,'1993-05-13 00:00:00',2,1,11,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215131532678833572122610127122',NULL,'1050',43.24,1,3,NULL),(20,5325706,'1992-06-02 00:00:00',4,10,12,2009,'M','N','VILAGE','IMBITUBA','SC','124243241415151731438613572115610164067',14092,'362',47.62,1,3,NULL),(20,5325714,'1991-04-10 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','125251251217111431325629572224610167047',NULL,'9998',21.01,1,3,NULL),(20,5325722,'1992-12-13 00:00:00',4,1,12,2009,'M','N','PONTE DOS BUSS','S BONIFÁCIO','SC','124241241125161431323314572324610164075',NULL,'702',21.72,1,2,1),(20,5325730,'1991-07-16 00:00:00',2,7,12,2008,'M','N','MININO DEUS','JOAÇABA','SC','124241241126141231233344245134610128142',NULL,'170',23.24,1,2,1),(20,5325749,'1992-05-10 00:00:00',4,4,12,2009,'F','N','BRASILIA','S LOURENÇO OESTE','SC','124241241115131431324321585124610134172',NULL,'745',0.00,1,2,1),(20,5325757,'1991-05-20 00:00:00',2,5,12,2008,'F','N','BOM FIM','PTO ALEGRE','RS','120203161316471431568911575124610134183',703,'9998',83.14,1,3,NULL),(20,5325765,'1987-02-28 00:00:00',2,1,12,2004,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241116272421325444241124610128077',NULL,'307',36.08,2,1,1),(20,5325773,'1990-03-20 00:00:00',4,3,12,2007,'F','N','BATEL','CURITIBA','PR','116162161215571431459833572124610122197',5504,'9998',64.77,1,3,NULL),(20,5325781,'1986-06-25 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241137134332636663442124610121062',11909,'307',54.54,4,1,1),(20,5325790,'1992-02-02 00:00:00',4,1,11,2009,'M','N','CENTRO','S JOAQUIM','SC','124242241215161431459911575122610164072',11783,'1035',54.77,1,3,NULL),(20,5325803,'1991-11-12 00:00:00',2,1,11,2009,'M','N','CENTRO','STA ROSA','RS','120204201216151431448923435122610122017',15006,'9998',44.43,1,3,NULL),(20,5325811,'1991-01-06 00:00:00',2,1,12,2009,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241243112131421323311491124610123147',NULL,'306',21.74,1,2,1),(20,5325820,'1990-04-02 00:00:00',4,1,12,2007,'M','N','CIDADE JARDIM','PENÁPOLIS','SP','125254256446572432438611315123610127187',12159,'9998',51.79,1,3,NULL),(20,5325838,'1993-07-12 00:00:00',4,9,12,2009,'F','N','CENTRO','PALMEIRA','SC','124241248315121431458811415112610134052',NULL,'515',0.00,1,3,NULL),(20,5325854,'1987-09-10 00:00:00',2,2,12,2005,'M','N','VICTOR KONDER','BLUMENAU','SC','124241241147232431444319142134610127141',12763,'79',50.03,1,2,1),(20,5325862,'1992-05-25 00:00:00',2,15,12,2009,'F','N','VILA MANENTI','TURVO','SC','124241241115161431523615572121610127057',NULL,'814',12.52,1,2,1),(20,5325870,'1992-07-04 00:00:00',2,1,12,2009,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241112471231632623572124610127043',NULL,'281',43.30,4,2,1),(20,5325889,'1990-07-02 00:00:00',2,1,7,2009,'F','N','AREIAS','S JOSÉ','SC','124244247227151431547824475124610122012',NULL,'9999',17.18,1,3,NULL),(20,5325897,'1988-05-16 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212145431526663372124230767052',NULL,'266',27.69,2,1,2),(20,5325900,'1992-02-25 00:00:00',2,9,12,2009,'M','N','CENTRO','BRAÇO TROMBUDO','SC','124244241215111431477734595124610157052',15728,'991',45.38,1,3,NULL),(20,5325919,'1991-10-03 00:00:00',4,1,12,2008,'M','N','CENTRO','GOV JORGE TEIXEIRA','RO','122223222115471731338823574124610167017',11091,'9998',52.89,4,3,NULL),(20,5325927,'1991-12-26 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211373711338832275112133262042',NULL,'270',40.45,1,3,NULL),(20,5325935,'1990-10-03 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241116272431527614245114610127117',NULL,'288',40.08,1,3,NULL),(20,5325943,'1993-07-17 00:00:00',4,5,12,2010,'F','S','COMERCIARIO','CRICIÚMA','SC','124242241215321732379814475112610164196',NULL,'226',49.43,1,3,NULL),(20,5325951,'1991-10-24 00:00:00',4,8,12,2009,'F','N','CENTRO CÍVICO','CURITIBA','PR','116252161215571431469912341114610162077',NULL,'9998',0.00,1,3,NULL),(20,5325960,'1990-10-10 00:00:00',4,1,12,2008,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241212142711129922345121230227015',12509,'1133',53.32,1,3,NULL),(20,5325978,'1990-05-07 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124203201212472121246644242124610132183',NULL,'9998',21.98,1,3,NULL),(20,5325994,'1992-03-06 00:00:00',4,1,11,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215111731489813572122610148152',8899,'270',58.44,1,3,NULL),(20,5326001,'1991-05-03 00:00:00',4,1,12,2008,'M','N','JARDIM MARIANA','STA BÁRBARA D OESTE','SP','125252256116471231568814575122610167044',1668,'9998',76.98,1,3,NULL),(20,5326010,'1992-03-03 00:00:00',4,1,12,2009,'M','N','SANTA MARIA','S BONIFÁCIO','SC','124241241126161731446462145124610167053',NULL,'702',0.00,1,2,1),(20,5326028,'1993-03-21 00:00:00',2,1,11,2009,'F','N','FREITAS','PAULO LOPES','SC','124243241115231432548723282224610133182',13017,'307',48.73,1,3,NULL),(20,5326036,'1989-05-24 00:00:00',4,5,11,2006,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215134421338614282344132668097',10627,'213',56.99,1,3,NULL),(20,5326044,'1990-10-14 00:00:00',2,1,12,2007,'F','N','ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC','124241241122133331423311343234610111142',NULL,'291',26.62,1,2,1),(20,5326052,'1992-03-23 00:00:00',4,5,10,2009,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111411448823575112610161092',11627,'226',55.08,1,3,NULL),(20,5326060,'1992-09-11 00:00:00',4,10,12,2009,'M','N','MAR GROSSO','LAGUNA','SC','124244241116161431457813582124610127052',NULL,'521',32.54,1,3,NULL),(20,5326079,'1992-05-25 00:00:00',2,16,12,2009,'F','N','CENTRO','BRUNÓPOLIS','SC','124241241123371631313315152224610153057',NULL,'911',0.00,1,2,1),(20,5326087,'1992-02-28 00:00:00',2,1,12,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241112271721433313575124610122142',NULL,'288',25.85,1,2,1),(20,5326095,'1991-05-04 00:00:00',2,8,12,2008,'F','N','ÁGUA FRIA','TOMAZINA','PR','116162161215161731446933575125610127077',2241,'9998',73.77,1,3,NULL),(20,5326117,'1989-12-21 00:00:00',4,8,12,2008,'M','N','JARDIM DA SAÚDE','S PAULO','SP','125252251215371432488812222112610127057',NULL,'9998',0.00,1,3,NULL),(20,5326125,'1992-04-09 00:00:00',2,1,11,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111431368811471112610144097',16003,'1022',44.08,1,3,NULL),(20,5326133,'1987-07-10 00:00:00',4,1,12,2005,'F','N','BOM RETIRO','CURITIBA','PR','116022021217571441578833575114143231077',5145,'9998',65.94,1,3,NULL),(20,5326150,'1992-10-10 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217171431336824575121610117067',13222,'9997',51.92,1,3,NULL),(20,5326168,'1991-10-10 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241126371331536614245124610122072',NULL,'278',22.52,1,2,1),(20,5326176,'1986-10-23 00:00:00',2,5,12,2003,'M','N','PINHEIRINHO','CRICIÚMA','SC','124242241216144431477634345122233227067',NULL,'9997',0.00,1,3,NULL),(20,5326184,'1991-09-15 00:00:00',4,1,11,2008,'M','N','TERRAS DE PIRACICABA','PIRACICABA','SP','125252251217411431359834272122610117182',NULL,'9998',0.00,1,3,NULL),(20,5326192,'1985-02-08 00:00:00',4,1,12,2002,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241216142411479913445122320727052',8170,'457',61.53,1,3,NULL),(20,5326206,'1979-01-27 00:00:00',4,1,12,1997,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241137174441149643235123521612175',4566,'307',69.38,4,2,1),(20,5326214,'1992-05-08 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217111411256923575124610132017',NULL,'262',18.33,4,3,NULL),(20,5326222,'1991-08-30 00:00:00',4,1,11,2008,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241217272411438814595124610164177',NULL,'259',28.07,1,3,NULL),(20,5326230,'1990-02-04 00:00:00',4,15,12,2007,'M','N','CENTRO','PR GRANDE','SC','124241241121131731538629482311610127147',NULL,'641',38.97,4,2,1),(20,5326257,'1990-07-04 00:00:00',4,1,12,2007,'M','N','PICO DO AMOR','CUIABÁ','MT','111112251217571431567934592112610148182',10706,'9998',52.70,1,3,NULL),(20,5326265,'1985-07-13 00:00:00',4,1,12,2003,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124244241216155521539831345134231434111',6545,'9998',64.82,1,3,NULL),(20,5326273,'1993-10-20 00:00:00',4,1,12,2010,'M','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242248217111432544834476114610167062',NULL,'270',62.69,4,3,NULL),(20,5326281,'1985-10-02 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241315371721146923292124332822187',NULL,'653',26.89,1,3,NULL),(20,5326290,'1992-12-10 00:00:00',4,5,12,2009,'M','N','COMERCIARIO','CRICIÚMA','SC','124242248215161731346913492124610112041',NULL,'995',41.78,1,3,NULL),(20,5326303,'1989-03-31 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241232153711477713432124231966193',NULL,'44',0.00,1,3,NULL),(20,5326311,'1985-09-26 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241112131431521329342114610127067',NULL,'276',0.00,4,2,1),(20,5326338,'1991-11-04 00:00:00',2,5,12,2009,'F','N','SÃO SIMÃO','CRICIÚMA','SC','124241241125271431423314171324610164197',NULL,'209',24.43,1,2,1),(20,5326346,'1990-06-27 00:00:00',2,1,12,2007,'M','N','CENTRO','RIO FORTUNA','SC','624241241142132431555814582124610167047',NULL,'665',24.11,1,2,1),(20,5326354,'1990-06-13 00:00:00',2,15,12,2007,'M','N','CENTRO','MORRINHOS SUL','RS','120201201116471731433419272112610167057',NULL,'9998',50.27,1,2,1),(20,5326362,'1992-09-12 00:00:00',4,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124245241512271431459713575122610137017',NULL,'388',29.34,1,3,NULL),(20,5326389,'1989-11-19 00:00:00',2,4,12,2006,'M','N','PETROPOLIS','CONCÓRDIA','SC','124241241136132431333314235124610167052',NULL,'194',24.34,1,2,1),(20,5326397,'1991-03-07 00:00:00',4,1,12,2008,'F','N','PALMAS','GOV CELSO RAMOS','SC','124241241311413731423614382124610137187',NULL,'1118',28.53,1,3,NULL),(20,5326400,'1992-04-03 00:00:00',4,1,11,2009,'M','N','CENTRO','TUBARÃO','SC','124244241215112431266712571125610164067',2760,'807',74.17,1,3,NULL),(20,5326419,'1992-10-11 00:00:00',2,1,12,2009,'M','N','PRAIA DE IBIRAQUERA','IMBITUBA','SC','124241241215111511458511572124610117117',NULL,'362',14.94,1,3,NULL),(20,5326427,'1982-12-05 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224244241217154421345654412122122238047',4935,'270',68.50,1,3,NULL),(20,5326435,'1992-10-10 00:00:00',4,1,12,2009,'M','N','DEHON','TUBARÃO','SC','124242241215111431558834572122610127042',NULL,'806',46.66,1,3,NULL),(20,5326443,'1991-04-08 00:00:00',4,1,11,2008,'M','N','CENTRO','LONDRINA','PR','116162161215471431458831575112140424047',2286,'9998',74.93,1,3,NULL),(20,5326451,'1991-08-31 00:00:00',4,8,12,2008,'F','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116162161216471431469934595122610164122',6083,'9998',63.94,1,3,NULL),(20,5326478,'1991-06-11 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272431377773375121610167042',5780,'266',66.52,1,3,NULL),(20,5326494,'1988-03-04 00:00:00',2,3,11,2005,'M','N','FARROUPILHA','VIDEIRA','SC','124241241216274751433619595122230264042',7528,'968',61.53,1,3,NULL),(20,5326508,'1992-01-20 00:00:00',2,9,12,2008,'F','N','VILA CHRISTINA','VACARIA','RS','120202201215472431457719571122610116142',NULL,'9998',0.00,1,3,NULL),(20,5326516,'1989-02-26 00:00:00',2,8,12,2006,'M','N','AGUA VERDE','CURITIBA','PR','116092098332421331224436272224610164092',2087,'9998',76.58,4,3,NULL),(20,5326524,'1986-05-08 00:00:00',2,1,12,2004,'F','N','JARDIM AMÉRICA','CAXIAS SUL','RS','120201201216571431647713271124610123147',NULL,'9998',26.04,4,1,2),(20,5326559,'1991-03-01 00:00:00',4,1,12,2008,'F','N','CIDADE UNIVERSITARIA','CAMPINAS','SP','125252252217471742479814572114610163092',NULL,'9998',0.00,1,3,NULL),(20,5326575,'1990-11-26 00:00:00',4,8,10,2008,'M','N','BIGORRILHO','CURITIBA','PR','116162161215471451238831571122610167042',NULL,'9998',1.00,1,3,NULL),(20,5326583,'1991-01-17 00:00:00',4,1,12,2008,'M','N','VILA NOVA MANCHESTER','S PAULO','SP','125252251217471431348813175125610154052',10875,'9998',53.77,1,3,NULL),(20,5326605,'1991-10-25 00:00:00',4,1,12,2009,'F','N','SOUZA CRUZ','BRUSQUE','SC','124243241215121431446814372122610123147',10343,'1090',55.67,1,3,NULL),(20,5326613,'1993-04-08 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151131368932576125610124044',6426,'262',62.10,1,3,NULL),(20,5326621,'1993-07-28 00:00:00',4,1,12,2009,'F','N','CENTRO','BIGUAÇU','SC','124241241417111511456632575122610127147',14547,'1022',49.13,1,3,NULL),(20,5326630,'1991-04-30 00:00:00',2,1,11,2007,'F','N','PITUBA','SALVADOR','BA','105052051217471411455712275124610133097',6863,'9998',62.47,4,3,NULL),(20,5326648,'1990-11-16 00:00:00',4,1,12,2007,'F','N','CENTRO','PTO ALEGRE','RS','120202201216472411468811574314610126196',3836,'9998',69.48,1,3,NULL),(20,5326656,'1993-11-26 00:00:00',4,1,11,2009,'F','N','CENTRO','IJUÍ','RS','120204201216111431449834575122610133142',5696,'9998',65.92,1,3,NULL),(20,5326664,'1992-05-10 00:00:00',4,17,12,2009,'F','N','ESTAÇÃO NOVA','RIO NEGRO','PR','116162161216111431546812575122610127142',NULL,'9998',33.62,1,3,NULL),(20,5326672,'1990-09-20 00:00:00',4,1,12,2008,'M','N','USINA','ATIBAIA','SP','125252251237472432556612175122610164047',8705,'9998',60.53,3,3,NULL),(20,5326680,'1989-08-29 00:00:00',4,1,12,2006,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091215572431588911574122143164147',8109,'9998',56.63,1,3,NULL),(20,5326699,'1989-07-22 00:00:00',2,1,12,2006,'F','N','IDEAL','NOVO HAMBURGO','RS','120202201216571431548831272122610163097',1010,'9998',81.26,4,3,NULL),(20,5326702,'1987-08-10 00:00:00',4,16,1,2006,'F','N','CENTRO','CURITIBANOS','SC','224241241117272431224454345132610111057',NULL,'239',40.11,1,2,1),(20,5326710,'1991-09-15 00:00:00',2,5,12,2008,'F','N','CENTRO','NOVA VENEZA','SC','124241241312272731334823575124610127052',NULL,'226',0.00,1,3,NULL),(20,5326729,'1982-08-11 00:00:00',2,1,12,2000,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241132371121136823435113610167062',NULL,'357',38.43,4,2,1),(20,5326737,'1984-12-13 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241112511731435639341124610117053',NULL,'732',28.35,1,2,1),(20,5326745,'1992-06-22 00:00:00',4,3,12,2009,'F','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162161316121431428716572125610167017',561,'9998',84.08,1,3,NULL),(20,5326753,'1988-02-15 00:00:00',4,2,12,2005,'F','N','BOM RETIRO','BLUMENAU','SC','124242241215575431467733572122232426142',NULL,'909',0.00,1,3,NULL),(20,5326761,'1992-07-10 00:00:00',2,15,12,2009,'M','N','RUBEM BERTA','PTO ALEGRE','RS','120202201216371431455934575124610143017',12480,'9998',49.64,1,3,NULL),(20,5326770,'1990-07-03 00:00:00',2,8,12,2008,'F','N','CAPÃO RASO','CURITIBA','PR','116161163115571521236624575124143264146',NULL,'9998',0.00,1,3,NULL),(20,5326788,'1979-03-14 00:00:00',4,1,11,1997,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124252251212112431141823572124231032052',NULL,'9998',50.26,1,3,NULL),(20,5326796,'1993-09-07 00:00:00',4,1,12,2010,'M','S','CAMPINAS','S JOSÉ','SC','124242241215111441379933585124610136175',NULL,'737',44.79,1,3,NULL),(20,5326800,'1990-09-05 00:00:00',4,5,12,2007,'F','N','CENTRO','NOVO HAMBURGO','RS','120202201211571731465712271112610137042',NULL,'9998',0.00,1,3,NULL),(20,5326818,'1992-02-22 00:00:00',4,9,12,2009,'M','N','CENTRO','LAGES','SC','124242247215111431256622575112610167041',15312,'499',46.88,1,3,NULL),(20,5326826,'1992-02-04 00:00:00',2,5,11,2009,'F','N','CENTRO','FORQUILHINHA','SC','124242241215111731446939574124610137147',NULL,'213',23.00,1,3,NULL),(20,5326834,'1962-08-28 00:00:00',2,2,1,1980,'F','N','ASILO','BLUMENAU','SC','124251251116241121157641412122333238187',15067,'9998',47.67,1,3,NULL),(20,5326850,'1992-11-30 00:00:00',4,1,11,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241226111411554614472124610136171',8374,'262',58.65,1,3,NULL),(20,5326869,'1991-01-18 00:00:00',4,8,12,2008,'F','N','GUAÍRA','CURITIBA','PR','116162161215571411446712575124610162071',1917,'9998',76.68,4,3,NULL),(20,5326877,'1990-07-02 00:00:00',2,1,12,2007,'F','N','FORQUILHAS SAO JOSÉ','S JOSÉ','SC','124241241137232431423334442114610134067',NULL,'13',26.49,1,2,1),(20,5326893,'1985-12-22 00:00:00',4,1,12,2002,'M','N','CENTRO','STA MARIA','RS','120203201116142431346524385124141442042',6378,'9998',65.19,1,3,NULL),(20,5326907,'1977-10-03 00:00:00',4,1,12,1994,'F','N','BARREIROS','S JOSÉ','SC','124201201136131751125644147134142752197',NULL,'9998',31.52,1,3,NULL),(20,5326915,'1993-08-30 00:00:00',2,1,12,2009,'M','N','COLONIA SANTANA','S JOSÉ','SC','124241241216111431434623195124610124187',NULL,'1074',10.35,1,3,NULL),(20,5326923,'1990-01-09 00:00:00',2,7,12,2007,'F','N','CENTRO','HERVAL D OESTE','SC','124242241212152431355911575124221466072',11550,'962',52.15,1,3,NULL),(20,5326931,'1991-11-30 00:00:00',4,1,12,2009,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241225131431325374575124610132012',NULL,'262',0.00,1,3,NULL),(20,5326940,'1989-03-06 00:00:00',2,1,12,2006,'F','N','SANTA MARIA','S JOSÉ','SC','124241241112274411546613575124231461142',6046,'21',65.89,3,2,1),(20,5326958,'1993-05-02 00:00:00',4,7,12,2009,'F','N','INDUSTRIAL','SALTO VELOSO','SC','124243241115371431446813575125610123147',NULL,'1113',0.00,1,3,NULL),(20,5326966,'1992-07-22 00:00:00',4,8,12,2009,'M','N','VILA SAO JOAO','ARAPONGAS','PR','116162161217111431457923575112610147142',10947,'9998',54.11,1,3,NULL),(20,5326974,'1990-02-14 00:00:00',2,4,12,2006,'M','N','JARDIN UNIVERSITÁRIO','MARINGÁ','PR','116161161116571421543636575115610166042',NULL,'9998',0.00,4,2,1),(20,5326982,'1989-06-13 00:00:00',2,4,12,2006,'M','N','INDUSTRIÁRIOS','CONCÓRDIA','SC','124241241126132411234624245123610134017',NULL,'194',24.37,3,3,NULL),(20,5326990,'1992-12-03 00:00:00',2,8,12,2010,'F','S','COSTA E SILVA','JOINVILLE','SC','124244241217151411358714275122610144197',NULL,'932',28.08,1,3,NULL),(20,5327008,'1988-06-15 00:00:00',4,1,12,2006,'M','N','JARDIM BARTIRA','TUPI','SP','125251251127151431643414282122141434057',NULL,'9998',0.00,4,2,1),(20,5327016,'1990-01-18 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243247337131431444624385214610163077',12632,'9999',51.13,4,3,NULL),(20,5327024,'1992-01-15 00:00:00',2,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111431446934573114610142147',NULL,'270',11.74,1,3,NULL),(20,5327040,'1992-08-19 00:00:00',2,3,12,2009,'F','N','ILHOTA','ITAPEMA','SC','124241248115271431443632395122610168182',10974,'129',53.70,1,2,1),(20,5327059,'1992-05-30 00:00:00',4,1,12,2009,'M','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241216111731436939495124610127042',NULL,'63',40.44,1,3,NULL),(20,5327067,'1992-11-17 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241241117141412439632572122610133187',NULL,'732',24.81,1,3,NULL),(20,5327075,'1990-11-29 00:00:00',2,1,12,2008,'F','N','PETROPOLIS','PTO ALEGRE','RS','120202201217471431438634595114610142182',NULL,'9998',26.36,1,3,NULL),(20,5327083,'1991-11-29 00:00:00',4,1,12,2009,'F','N','RIO TVARES','FLORIANÓPOLIS','SC','124242241215111431458713575114610124017',8221,'262',61.43,1,3,NULL),(20,5327091,'1992-09-28 00:00:00',4,1,11,2009,'M','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241215121332489813375114610167115',9675,'262',55.93,4,3,NULL),(20,5327105,'1989-10-08 00:00:00',2,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241117272411325621215124610164012',5110,'306',67.22,1,3,NULL),(20,5327113,'1992-03-26 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241116131731439613275124610134062',NULL,'288',33.86,1,2,1),(20,5327121,'1992-06-08 00:00:00',4,8,12,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124243246216111431658414575121610122017',NULL,'1061',26.54,1,3,NULL),(20,5327130,'1992-05-06 00:00:00',4,4,12,2009,'M','N','CENTRO','CASCAVEL','PR','116162161215371431459931172122610126122',6506,'9998',63.15,1,3,NULL),(20,5327148,'1992-06-26 00:00:00',4,5,11,2009,'M','N','CENTRO','ARARANGUÁ','SC','124242241215111431366613295112610167042',7756,'32',60.12,1,3,NULL),(20,5327156,'1993-02-28 00:00:00',4,5,10,2009,'F','N','CENTRO','CRICIÚMA','SC','124142241217111511449914495122610126142',14796,'213',48.48,2,3,NULL),(20,5327164,'1993-10-12 00:00:00',4,2,12,2010,'M','S','VELHA','BLUMENAU','SC','124242241215111712468831476122610168185',NULL,'909',63.81,1,3,NULL),(20,5327172,'1991-09-04 00:00:00',4,2,12,2009,'M','N','ASILO','BLUMENAU','SC','124242241217151431478714275122610162042',5141,'71',65.89,1,3,NULL),(20,5327180,'1985-12-11 00:00:00',4,1,12,2003,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124241241116152411146449495124321446182',1703,'808',78.03,1,2,1),(20,5327199,'1992-04-23 00:00:00',4,4,12,2009,'M','N','INTERIOR','MODELO','SC','124241241115151331644636575112610167057',NULL,'551',0.00,1,2,1),(20,5327202,'1992-12-28 00:00:00',4,5,10,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215112431268933575112610132142',2617,'226',73.30,1,3,NULL),(20,5327210,'1992-01-14 00:00:00',2,6,11,2009,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124242241212131231326821572324610162047',5797,'967',63.12,4,3,NULL),(20,5327229,'1990-07-24 00:00:00',4,1,12,2007,'M','N','SANTO ANTONIO','PTO ALEGRE','RS','120202201216571411469933582122610164015',NULL,'9998',0.00,1,3,NULL),(20,5327237,'1991-12-01 00:00:00',4,3,11,2008,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251215471411469814575115610142077',12727,'9998',50.79,1,3,NULL),(20,5327245,'1992-02-23 00:00:00',4,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124242241216372441558614575124233263137',4150,'738',68.38,1,3,NULL),(20,5327261,'1993-05-22 00:00:00',4,4,12,2010,'F','S','SÃO CRISTÓVÃO','CHAPECÓ','SC','124241241115141431445611215122610113182',NULL,'169',51.71,1,3,NULL),(20,5327270,'1992-10-09 00:00:00',4,1,12,2009,'F','N','CENTRO','TORRES','RS','120201201117151411435831115121610164142',NULL,'9998',0.00,1,2,1),(20,5327288,'1993-12-28 00:00:00',2,1,12,2010,'M','S','JARDIM CARANDAI','BIGUAÇU','SC','124241241116131512324317275124610137057',NULL,'257',22.91,1,3,NULL),(20,5327296,'1988-02-08 00:00:00',2,1,12,2007,'F','N','RIO BRANCO','PTO ALEGRE','RS','120201207226131711434623395114143232092',NULL,'9998',23.63,1,3,NULL),(20,5327300,'1992-10-19 00:00:00',4,1,11,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242248217111431426812592122610136072',NULL,'270',32.84,1,3,NULL),(20,5327318,'1983-06-28 00:00:00',2,3,12,2000,'M','N','SANTO ANTÔNIO','PTO ALEGRE','RS','120202201211571441238833571124610167047',NULL,'9998',13.84,1,3,NULL),(20,5327326,'1993-09-16 00:00:00',4,1,11,2009,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215111431448833575112610123185',NULL,'270',29.40,1,3,NULL),(20,5327334,'1991-05-03 00:00:00',2,1,12,2008,'F','N','PINHEIRA','PALHOÇA','SC','124241241127132321424611111324610167047',15791,'595',43.12,4,2,1),(20,5327342,'1990-10-22 00:00:00',2,5,11,2007,'F','N','CENTRO','COCAL SUL','SC','124242241215573431459732572124610144092',14286,'213',45.87,1,3,NULL),(20,5327350,'1986-05-09 00:00:00',2,9,12,2004,'M','N','CENTRO','ANITA GARIBALDI','SC','124241241136153731449933135125331338072',13957,'18',45.51,4,2,1),(20,5327369,'1991-11-13 00:00:00',4,5,11,2009,'F','N','MORRO DA GLORIA','URUSSANGA','SC','124242241215122431466612325122610137072',9569,'820',57.21,1,3,NULL),(20,5327377,'1993-04-28 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111431446619575122610163092',14278,'1010',47.98,1,3,NULL),(20,5327385,'1992-05-12 00:00:00',2,1,12,2009,'M','N','JARDIM LUCIANÓPOLIS','MARINGÁ','PR','116162161217141431346634575122610144092',11180,'9998',53.35,1,3,NULL),(20,5327393,'1992-06-06 00:00:00',4,8,12,2009,'M','N','PROGRESSO','S BENTO SUL','SC','124241241216371431366912275121610122182',NULL,'974',33.42,1,3,NULL),(20,5327407,'1989-12-14 00:00:00',4,1,11,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241211274431469923572124221427072',NULL,'270',0.00,1,3,NULL),(20,5327415,'1988-12-17 00:00:00',4,6,12,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124202201216474751466939395124130627047',NULL,'9998',45.05,1,3,NULL),(20,5327423,'1992-09-28 00:00:00',4,1,11,2010,'M','S','CAMPINAS','S JOSÉ','SC','124242241215111431489933395122610124175',NULL,'737',54.04,1,3,NULL),(20,5327431,'1991-01-09 00:00:00',4,15,12,2008,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241137131441223621145121223262051',NULL,'29',24.70,1,3,NULL),(20,5327440,'1990-09-13 00:00:00',2,10,12,2008,'M','N','CENTRO','TUBARÃO','SC','124244241415472731556614275122610127042',14539,'809',45.53,4,3,NULL),(20,5327458,'1989-03-15 00:00:00',4,5,12,2006,'M','N','SÃO JOSÉ','S LEOPOLDO','RS','120202201215571431466732575112610146142',1197,'9998',79.78,1,3,NULL),(20,5327466,'1992-09-23 00:00:00',4,2,11,2009,'M','N','JARDIM AMÉRICA','RIO SUL','SC','124242241215151731439812575122610137012',NULL,'654',0.00,1,3,NULL),(20,5327482,'1988-09-06 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224241241115131431224654342224610164097',NULL,'285',22.50,2,1,1),(20,5327490,'1992-09-02 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115152431345821475124610127012',NULL,'307',28.74,1,2,1),(20,5327504,'1991-01-14 00:00:00',4,1,12,2008,'M','N','CENTRO','GUARATINGUETÁ','SP','125253251237371431458614392114610122182',9081,'9998',55.97,1,3,NULL),(20,5327512,'1991-10-16 00:00:00',4,1,12,2009,'M','N','ALTO DA COLINA','LONDRINA','PR','116162167217371411468811575111610164047',NULL,'9998',35.20,1,3,NULL),(20,5327520,'1990-07-23 00:00:00',4,2,12,2007,'F','N','AGUA VERDE','JARAGUÁ SUL','SC','124241241116271431435924385124610122182',NULL,'425',48.50,1,2,1),(20,5327539,'1991-12-04 00:00:00',4,4,12,2009,'M','N','CENTRO','SAUDADES','SC','124244241415161451459811575124610126012',14718,'1070',46.86,1,3,NULL),(20,5327547,'1990-11-14 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241212142421547733485114233267042',15109,'1022',47.55,1,3,NULL),(20,5327555,'1992-05-05 00:00:00',2,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241115151731323161371114610238012',NULL,'307',34.65,1,2,1),(20,5327571,'1993-02-27 00:00:00',4,10,12,2010,'F','S','CENTRO','TUBARÃO','SC','124242241215111751468933575122610163072',NULL,'797',27.77,1,3,NULL),(20,5327580,'1989-04-05 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','624152151216131431446653345124610127042',NULL,'9998',0.00,1,3,NULL),(20,5327598,'1989-03-28 00:00:00',2,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124241241126133711445427285122230264197',14234,'736',45.98,1,2,1),(20,5327601,'1992-08-29 00:00:00',4,4,12,2009,'F','N','CENTRO','NONOAI','RS','120201208117271431444314445122610167147',NULL,'9998',19.69,1,3,NULL),(20,5327610,'1991-11-12 00:00:00',4,9,12,2008,'F','N','UNIVERSITÁRIO','LAGES','SC','124241241115171421436314345124610156197',11471,'498',55.40,1,2,1),(20,5327628,'1992-09-13 00:00:00',4,6,11,2009,'M','N','CENTRO','ITAJAÍ','SC','124242241215112411579914575122610134122',1015,'1026',81.24,1,3,NULL),(20,5327636,'1992-10-22 00:00:00',4,1,12,2009,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','116162161237121451548831575124610124182',2317,'9998',74.37,1,3,NULL),(20,5327644,'1992-01-04 00:00:00',4,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124242241216161411346614275121610126112',NULL,'1119',21.03,1,3,NULL),(20,5327652,'1994-06-09 00:00:00',4,6,12,2009,'F','N','AZAMBUJA','BRUSQUE','SC','124242241215111431636833575122610114052',11878,'109',50.69,1,3,NULL),(20,5327660,'1991-12-03 00:00:00',4,4,12,2008,'F','N','JARDIM PARANÁ','TOLEDO','PR','116163161216111731438919292122243166097',8874,'9998',57.38,1,3,NULL),(20,5327679,'1993-09-30 00:00:00',4,1,12,2010,'F','S','CENTRO','STO AMARO IMPERATRIZ','SC','124244241212111411436613575124610148097',NULL,'1022',42.20,1,3,NULL),(20,5327687,'1993-03-25 00:00:00',2,4,12,2009,'F','N','SORGATTO','CAÇADOR','SC','124241241316111431543316375122610122187',NULL,'120',22.92,1,3,NULL),(20,5327695,'1991-10-08 00:00:00',2,1,12,2009,'M','N','BOMBAS','BOMBINHAS','SC','124241241116151131534411575324610126172',NULL,'96',22.18,1,2,1),(20,5327709,'1990-12-12 00:00:00',4,3,12,2008,'M','N','ARNALDO BUZATO','ROLÂNDIA','PR','116162161216471531479913475122610167095',NULL,'9998',25.90,1,3,NULL),(20,5327717,'1992-04-20 00:00:00',4,10,12,2009,'M','N','AEROPORTO','TUBARÃO','SC','124242241217112231359814572122610127112',12586,'806',53.16,1,3,NULL),(20,5327725,'1990-06-27 00:00:00',4,7,12,2007,'F','N','CENTRO','S LOURENÇO OESTE','SC','124242161411133441536374112325610162182',9063,'9998',57.75,1,3,NULL),(20,5327733,'1987-02-05 00:00:00',2,1,12,2004,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241117272411536613392124230224187',NULL,'286',28.64,1,2,1),(20,5327741,'1981-07-16 00:00:00',4,1,12,2000,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124162161216143431149941412122320668097',5934,'9998',66.15,1,3,NULL),(20,5327750,'1963-05-17 00:00:00',2,1,12,1982,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','224241248117132721344444342124330227145',NULL,'521',28.63,1,3,NULL),(20,5327768,'1991-05-29 00:00:00',4,1,7,2010,'M','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242246317152711369933577124610134052',NULL,'306',58.09,1,3,NULL),(20,5327776,'1988-12-28 00:00:00',4,1,12,2006,'M','N','AREIAS','S JOSÉ','SC','124242241213132432448329395114131068042',10955,'976',56.39,2,1,2),(20,5327784,'1991-03-09 00:00:00',2,1,12,2008,'F','N','CENTRO','LUZERNA','SC','124241241115133751225624572324610164017',13529,'539',49.34,1,2,1),(20,5327806,'1992-12-21 00:00:00',4,8,12,2009,'M','N','AMIZADE','JARAGUÁ SUL','SC','624241241116171431446614375121610717015',14866,'442',45.39,1,3,NULL),(20,5327822,'1992-05-04 00:00:00',2,9,12,2009,'F','N','CENTRO','BOM RETIRO','SC','124242241212111431468614342122610147142',NULL,'1146',28.32,1,3,NULL),(20,5327830,'1989-03-21 00:00:00',2,1,12,2007,'M','N','PONTA DA CANAS','FLORIANÓPOLIS','SC','124241241115272411453923445114610164147',NULL,'288',48.82,1,2,1),(20,5327849,'1991-02-05 00:00:00',2,10,12,2008,'F','N','ORATÓRIO','ORLEANS','SC','124241241116142421633923345124231464047',NULL,'580',0.00,1,2,1),(20,5327857,'1991-02-18 00:00:00',4,1,12,2009,'M','N','ALTO BOQUEIRÃO','CURITIBA','PR','116162163216151451345314345134610167056',10030,'9998',54.01,1,3,NULL),(20,5327865,'1990-08-14 00:00:00',2,4,12,2007,'M','N','CENTRO','PTO ALEGRE','RS','120162161116572231447714571114610167047',NULL,'9998',0.00,1,3,NULL),(20,5327881,'1992-08-19 00:00:00',4,2,12,2009,'M','N','CENTRO','VIDAL RAMOS','SC','124241241135161421536613432121610128057',NULL,'828',19.46,1,2,1),(20,5327890,'1992-05-22 00:00:00',3,3,11,2009,'F','N','CENTRO','PRIMAVERA LESTE','MT','111112111216161431357736595122610124142',NULL,'9998',26.76,1,3,NULL),(20,5327903,'1977-02-24 00:00:00',4,10,12,1994,'M','N','REVOREDO','TUBARÃO','SC','224241246126131421326943335122330728047',NULL,'808',43.24,1,3,NULL),(20,5327911,'1992-12-16 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411449814272124610127042',859,'1050',82.12,1,3,NULL),(20,5327938,'1992-03-18 00:00:00',4,16,12,2009,'F','N','CENTRO','STA CECÍLIA','SC','124241241215111411338813575122610164132',NULL,'881',33.38,1,3,NULL),(20,5327946,'1993-03-01 00:00:00',2,4,12,2009,'M','N','PRIMAVERA','PLANALTO','PR','116161161116131211438633585121610167042',NULL,'9998',18.66,1,2,1),(20,5327954,'1992-07-28 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241116271431443923342124610127147',NULL,'307',41.93,1,2,1),(20,5327962,'1990-06-20 00:00:00',4,1,12,2007,'M','N','BOA VISTA','CURITIBA','PR','116161168117473411646612572124241467072',12501,'9998',53.34,1,2,1),(20,5327989,'1988-09-03 00:00:00',4,1,12,2005,'M','N','CENTRO','PTO ALEGRE','RS','120201201217471731358831395125141064012',8099,'9998',59.68,1,3,NULL),(20,5327997,'1992-02-24 00:00:00',4,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116131431633534572124610123072',NULL,'307',27.71,1,2,1),(20,5328004,'1991-11-12 00:00:00',4,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111731568712475112610162192',NULL,'262',46.84,1,3,NULL),(20,5328012,'1992-10-06 00:00:00',4,10,11,2010,'M','S','VILA MOEMA','TUBARÃO','SC','124242246217111531467812376122610164042',NULL,'806',53.30,1,3,NULL),(20,5328020,'1991-05-13 00:00:00',4,1,11,2008,'F','N','CENTRO','PIRACICABA','SP','125252251217111431457932595112610143182',NULL,'9998',0.00,1,3,NULL),(20,5328055,'1992-03-11 00:00:00',2,1,12,2009,'M','N','CENTRO','BIGUAÇU','SC','124242241217151551459919595112610167042',NULL,'63',25.25,1,3,NULL),(20,5328063,'1992-04-23 00:00:00',4,3,12,2009,'F','N','JARDIM ELIANE','APUCARANA','PR','116162161215111751459913435124610167077',4763,'9998',67.00,1,3,NULL),(20,5328071,'1991-01-26 00:00:00',2,8,12,2008,'M','N','JD PORTAL DO LAGO','APUCARANA','PR','116166168414172231435334441112610167182',NULL,'9998',39.45,1,3,NULL),(20,5328080,'1991-07-22 00:00:00',4,5,11,2008,'M','N','LOTE SEIS','CRICIÚMA','SC','124242241216473431578911572122610127052',4348,'213',69.89,1,3,NULL),(20,5328098,'1985-10-18 00:00:00',2,15,12,2003,'M','N','AUXILIADORA','PTO ALEGRE','RS','120203201316571411479813332124141427047',206,'9998',87.82,1,3,NULL),(20,5328101,'1988-02-14 00:00:00',4,15,12,2005,'M','N','CENTRO','ARARANGUÁ','SC','124241241116151751355814345132230868182',NULL,'29',21.48,3,3,NULL),(20,5328110,'1983-09-07 00:00:00',2,1,3,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','224161217145231431244451485124133221187',NULL,'9998',0.00,1,3,NULL),(20,5328128,'1992-05-18 00:00:00',4,15,12,2009,'M','N','RUI BARBOSA','MONTENEGRO','RS','120201201116131431336819372121610147047',NULL,'9998',15.40,1,2,1),(20,5328136,'1992-01-18 00:00:00',4,8,12,2009,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241112131331446514285124610137057',NULL,'478',0.00,1,2,1),(20,5328144,'1988-12-01 00:00:00',2,3,12,2005,'F','N','CENTRO','ITAPEMA','SC','124243251217571441668619192124141217055',5688,'9998',63.98,1,3,NULL),(20,5328152,'1988-07-18 00:00:00',2,4,11,2005,'F','N','CENTRO','IJUÍ','RS','120204201212571431437613572124610147147',3105,'9998',72.10,1,3,NULL),(20,5328160,'1988-05-03 00:00:00',4,15,12,2005,'M','N','VILA BEATRIZ','MARACAJÁ','SC','124241241116131221225424445122610112057',NULL,'29',25.34,1,2,1),(20,5328179,'1987-10-30 00:00:00',4,1,12,2005,'M','N','SOL NASCENTE','TAPEJARA','RS','120201201146475431465412135132141032082',10972,'9998',56.35,1,2,1),(20,5328187,'1991-07-18 00:00:00',2,1,12,2009,'M','N','INDUSTRIAL NORTE','RIO NEGRINHO','SC','124241241115131231533719182114610131147',NULL,'669',0.00,1,3,NULL),(20,5328209,'1992-02-26 00:00:00',4,6,12,2009,'F','N','CENTRO','BAL PIÇARRAS','SC','124241241236111731528621315341610137017',NULL,'614',21.80,1,3,NULL),(20,5328217,'1990-01-12 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116164161216573431488311574122610146182',6902,'9998',62.12,1,3,NULL),(20,5328225,'1992-02-25 00:00:00',4,5,12,2008,'F','N','NONOAI','PTO ALEGRE','RS','120202201217471431438822575124610162193',6438,'9998',62.42,1,3,NULL),(20,5328233,'1991-03-24 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241215372451449711475122131428187',893,'497',81.94,4,3,NULL),(20,5328241,'1992-06-27 00:00:00',4,2,11,2009,'M','N','JARDIM DO LAGO','ATIBAIA','SP','125252251216121431468834494122610167092',NULL,'9998',0.00,1,3,NULL),(20,5328268,'1991-05-08 00:00:00',3,1,6,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161215371411388823576114610125047',NULL,'9998',0.00,1,3,NULL),(20,5328276,'1989-04-24 00:00:00',4,1,12,2006,'M','N','APARECIDA','SANTOS','SP','125252251217571441366833475114610142097',NULL,'9998',34.85,4,3,NULL),(20,5328306,'1987-10-14 00:00:00',4,1,12,2004,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241111154221436614342122230867047',10269,'739',57.66,1,2,1),(20,5328314,'1992-09-22 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124071071116111431359813575125610137042',14424,'9998',43.25,1,3,NULL),(20,5328322,'1985-01-18 00:00:00',4,1,11,2002,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241247335373421345313242124610163017',13134,'293',47.77,4,3,NULL),(20,5328330,'1991-04-10 00:00:00',4,2,12,2008,'F','N','CENTRO','BLUMENAU','SC','124242241217372411459933595122232447142',8131,'71',61.59,1,3,NULL),(20,5328349,'1992-04-10 00:00:00',4,1,12,2009,'M','N','GRANJA VIANA','COTIA','SP','125252251217111412449811575122610162043',NULL,'9998',28.06,1,3,NULL),(20,5328357,'1991-09-10 00:00:00',4,10,12,2009,'F','N','MEIO RURAL','RIO FORTUNA','SC','124241241145161732523336346223610125147',NULL,'665',24.38,1,3,NULL),(20,5328365,'1979-11-19 00:00:00',2,1,6,1999,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224243247321241711333351412132610164057',NULL,'1003',36.21,1,3,NULL),(20,5328373,'1991-06-15 00:00:00',2,15,12,2008,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124244246237152421566933342132610124012',15587,'995',45.94,1,3,NULL),(20,5328381,'1993-06-24 00:00:00',4,1,12,2010,'F','S','CARIANOS','FLORIANÓPOLIS','SC','124241241215111432437611272124610137045',NULL,'1022',21.86,1,3,NULL),(20,5328390,'1991-10-12 00:00:00',2,4,12,2008,'M','N','JD DOS PRINCIPES','UMUARAMA','PR','116162161216472431348613575112610167042',4718,'9998',67.74,4,3,NULL),(20,5328411,'1982-09-25 00:00:00',4,1,11,1999,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124202241212575431688933492122421527042',NULL,'461',0.00,1,3,NULL),(20,5328420,'1986-05-31 00:00:00',2,1,12,2004,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241122142421466613232123230237045',13480,'307',51.42,1,3,NULL),(20,5328462,'1993-09-06 00:00:00',2,15,12,2009,'F','N','POÇO DA LONTRA','TURVO','SC','124241241115131431425615575124610127147',14305,'814',47.22,1,2,1),(20,5328470,'1992-08-30 00:00:00',5,8,12,2009,'F','N','REBOUÇAS','CURITIBA','PR','116162161217471441558811572122610162092',NULL,'9998',0.00,1,3,NULL),(20,5328489,'1991-01-23 00:00:00',4,1,12,2008,'M','N','JD NOVO HORIZONTE','MARINGÁ','PR','116162151215471731456831275112610167012',6745,'9998',63.30,1,3,NULL),(20,5328497,'1981-03-04 00:00:00',2,1,12,1999,'M','N','ITACURUBI','FLORIANÓPOLIS','SC','124203201112131411425741215124140267112',NULL,'9998',16.52,1,3,NULL),(20,5328500,'1989-11-23 00:00:00',4,8,12,2007,'M','N','CENTRO','S FRANCISCO SUL','SC','124242246216474731548813591114610167182',12815,'494',52.72,1,3,NULL),(20,5328519,'1991-12-08 00:00:00',4,2,12,2008,'M','N','RIBEIRÃO FRESCO','BLUMENAU','SC','124243243216132431234479345124610164057',NULL,'1018',0.00,1,3,NULL),(20,5328527,'1990-08-23 00:00:00',2,1,12,2007,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124241241126143431439628245124610134114',NULL,'524',0.00,1,3,NULL),(20,5328535,'1975-06-16 00:00:00',2,15,12,1992,'F','N','COLONINHA','ARARANGUÁ','SC','224241241127131731444452272112610121077',NULL,'29',23.74,1,3,NULL),(20,5328543,'1991-06-05 00:00:00',4,2,12,2008,'M','N','JD CARVALHO','PNT GROSSA','PR','116162161211411211358812121111610113172',NULL,'9998',0.00,1,3,NULL),(20,5328560,'1993-02-07 00:00:00',2,8,11,2010,'F','S','BOM RETIRO','JOINVILLE','SC','124242241215111731469614575122610133092',NULL,'486',25.00,1,3,NULL),(20,5328578,'1993-07-18 00:00:00',4,6,12,2009,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242248212131751426832572122610125197',NULL,'109',28.54,1,3,NULL),(20,5328594,'1992-11-11 00:00:00',4,10,12,2009,'M','N','MAR GROSSO','LAGUNA','SC','124242241215161431336939575122610147042',NULL,'525',31.34,1,3,NULL),(20,5328608,'1990-07-19 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247216131411439613275124610168187',13964,'9999',50.46,1,3,NULL),(20,5328616,'1992-10-07 00:00:00',2,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124242241215271731369374572122610162192',13082,'1119',48.71,1,3,NULL),(20,5328624,'1988-01-18 00:00:00',4,1,12,2005,'F','N','BELA VISTA','S JOSÉ CAMPOS','SP','125252251215474431428821575124140262092',NULL,'9998',0.00,3,3,NULL),(20,5328632,'1991-09-01 00:00:00',2,1,6,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242247217251531478914292124610124072',11505,'723',55.33,1,3,NULL),(20,5328640,'1988-06-22 00:00:00',2,1,12,2005,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','224073071214573431219662425122222943185',9365,'9998',59.32,1,3,NULL),(20,5328659,'1990-05-05 00:00:00',4,1,11,2007,'M','N','AVIAÇÃO','PR GRANDE','SP','125252251216571751456814375124610168022',3898,'9998',71.09,2,3,NULL),(20,5328667,'1992-11-27 00:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242243215111431568712476112610131072',NULL,'1038',20.96,1,3,NULL),(20,5328675,'1989-10-25 00:00:00',2,15,12,2007,'M','N','CANUDOS','NOVO HAMBURGO','RS','120243241137131431323444445133610126047',NULL,'29',30.42,4,3,NULL),(20,5328691,'1992-09-18 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116131421449611575124610127012',NULL,'307',27.47,1,2,1),(20,5328705,'1990-03-20 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243248636151411426679145223610164091',NULL,'9999',29.84,1,3,NULL),(20,5328713,'1993-01-16 00:00:00',2,5,11,2009,'M','N','CENTRO','NOVA VENEZA','SC','124242241217151431449933395122610162042',15054,'995',47.71,1,3,NULL),(20,5328721,'1987-04-16 00:00:00',4,1,12,2004,'M','N','BACACHERI','CURITIBA','PR','116166161116272232446823485121242942186',6296,'9998',65.34,1,3,NULL),(20,5328730,'1991-04-15 00:00:00',4,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241237215111731444633575124610133142',NULL,'9999',24.59,1,3,NULL),(20,5328748,'1992-03-24 00:00:00',4,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124241241221131431423314575124610124142',7009,'262',62.07,1,3,NULL),(20,5328756,'1987-09-23 00:00:00',5,1,12,2005,'M','N','CENTRO','VARGEM G SUL','SP','125254251217371431348811475112610168097',9943,'9998',54.72,1,3,NULL),(20,5328764,'1993-08-13 00:00:00',4,1,12,2010,'M','S','AREIAS','S JOSÉ','SC','124242241215111432436814572122610124057',NULL,'738',47.21,1,3,NULL),(20,5328772,'1992-04-26 00:00:00',2,1,11,2009,'F','N','ALVORADA','LUCAS R VERDE','MT','111244111216371751464416575122610128182',NULL,'9998',0.00,1,3,NULL),(20,5328799,'1992-10-26 00:00:00',4,1,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124164241415112732548614372122610134147',NULL,'407',27.16,1,3,NULL),(20,5328810,'1989-10-03 00:00:00',2,1,12,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241241115141721453329342123610127087',NULL,'592',17.98,1,2,1),(20,5328837,'1993-07-16 00:00:00',2,1,11,2010,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124242241212111132438811572122610118051',NULL,'1134',26.35,3,3,NULL),(20,5328861,'1992-08-03 00:00:00',2,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241248112141132321624342324610117093',NULL,'288',19.93,1,3,NULL),(20,5328896,'1988-07-04 00:00:00',4,1,12,2005,'F','N','BARREIROS','S JOSÉ','SC','124241241116233431424331385123610142097',12975,'257',48.29,1,3,NULL),(20,5328900,'1989-07-07 00:00:00',4,1,12,2006,'M','N','PINHEIRINHO','ITAJUBÁ','MG','113132131215571431459933575112610167045',11973,'9998',51.50,1,3,NULL),(20,5328918,'1992-06-07 00:00:00',4,8,12,2009,'M','N','CENTRO','CURITIBA','PR','116162161215421431589914472112610127047',1583,'9998',77.41,1,3,NULL),(20,5328934,'1993-04-22 00:00:00',4,6,11,2010,'M','S','BAIRRO DOS ESTADOS','BAL CAMBORIÚ','SC','124244241215111731357932242122610137052',NULL,'9999',48.76,1,3,NULL),(20,5328942,'1991-07-04 00:00:00',4,1,12,2009,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242247216151431377812425122610131073',NULL,'9999',20.72,1,3,NULL),(20,5328977,'1986-02-19 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201201111373411437731175122141452097',6965,'9998',63.48,1,3,NULL),(20,5328985,'1993-09-04 00:00:00',4,7,12,2010,'F','S','CENTRO','CONCÓRDIA','SC','124243241217111731229633575125610146192',NULL,'1001',47.94,1,3,NULL),(20,5328993,'1984-12-11 00:00:00',4,5,6,2005,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124241247227141531336654141124231467042',15902,'9999',44.63,1,3,NULL),(20,5329000,'1991-11-19 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241225311431623334275124610113183',NULL,'262',30.84,1,3,NULL),(20,5329019,'1983-02-14 00:00:00',4,1,12,2002,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241211153411237911412124121125093',NULL,'269',27.01,1,3,NULL),(20,5329027,'1983-07-06 00:00:00',2,1,12,2000,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241136472431435319385112610144197',6404,'257',62.19,1,2,1),(20,5329035,'1994-03-17 00:00:00',4,1,12,2009,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241217111421469933572124610127057',12569,'1022',53.20,1,3,NULL),(20,5329043,'1994-02-14 00:00:00',4,1,12,2010,'M','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111431457812592122610122182',NULL,'262',53.96,1,3,NULL),(20,5329051,'1989-05-19 00:00:00',4,5,11,2007,'M','N','COMERCIARIO','CRICIÚMA','SC','124241241216111421446414445122610118112',NULL,'995',22.20,1,3,NULL),(20,5329060,'1988-11-08 00:00:00',2,1,11,2006,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124243241117241411627634345124132134117',NULL,'734',40.72,1,3,NULL),(20,5329078,'1987-06-04 00:00:00',2,1,12,2005,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241127474431423311245124610124017',NULL,'290',28.94,1,2,1),(20,5329086,'1989-01-28 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241112271731346623372124610162142',NULL,'281',43.99,1,2,1),(20,5329094,'1992-06-09 00:00:00',4,17,12,2009,'F','N','SANTA ROSA','PTO UNIÃO','SC','124241241117271521446612345122610168122',NULL,'635',41.60,1,2,1),(20,5329108,'1981-03-01 00:00:00',2,1,12,2001,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124243241145475421223344142124132767147',NULL,'307',30.15,1,3,NULL),(20,5329116,'1990-07-19 00:00:00',2,4,12,2007,'F','N','CENTRO','NOVA BASSANO','RS','120201201226471731233619331324142863147',5102,'9998',67.59,1,3,NULL),(20,5329132,'1992-08-08 00:00:00',4,4,12,2009,'M','N','CENTRO','XANXERÊ','SC','124242241216111431368811472122610164153',8716,'836',57.52,1,3,NULL),(20,5329140,'1991-05-08 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124242241215111231356634575122610127062',NULL,'909',16.94,1,3,NULL),(20,5329159,'1990-03-10 00:00:00',2,9,12,2007,'F','N','SÃO BENTO','BENTO GONÇALVES','RS','120204201217471631536414471122610127147',5623,'9998',65.21,1,3,NULL),(20,5329167,'1992-10-29 00:00:00',2,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','624241241136151411634833275124610137142',NULL,'307',25.44,1,2,1),(20,5329175,'1988-09-11 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241146134441526624296124122264113',NULL,'257',28.31,1,2,1),(20,5329183,'1993-01-31 00:00:00',4,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241217111431489924472122610135143',NULL,'185',16.88,1,3,NULL),(20,5329205,'1992-04-26 00:00:00',2,1,11,2009,'F','N','ALVORADA','LUCAS R VERDE','MT','124244111216371351464416575132610138182',NULL,'9998',0.00,1,3,NULL),(20,5329221,'1986-01-13 00:00:00',2,1,12,2003,'F','N','BELA VISTA I','S JOSÉ','SC','124241241136132431126649195114610125097',NULL,'726',19.59,1,2,1),(20,5329230,'1992-05-18 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215131431423823175122610124077',NULL,'988',28.68,4,3,NULL),(20,5329248,'1992-05-14 00:00:00',2,5,11,2009,'M','N','SANTO ANTÔNIO','CRICIÚMA','SC','124241246217111431426614282124610117057',NULL,'230',26.83,1,3,NULL),(20,5329256,'1992-06-16 00:00:00',4,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124241241112131531469613575124610124172',NULL,'733',24.42,1,2,1),(20,5329264,'1991-09-19 00:00:00',2,5,11,2009,'M','N','COMERCIARIO','CRICIÚMA','SC','124242241237131451438819596114610127092',NULL,'1096',30.61,1,3,NULL),(20,5329272,'1993-08-07 00:00:00',4,1,12,2010,'F','S','BARREIROS','S JOSÉ','SC','124242248215111731458712575122610125142',NULL,'738',25.57,1,3,NULL),(20,5329280,'1992-05-07 00:00:00',4,1,12,2009,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241225141431326724395224610124192',9877,'262',56.82,2,1,2),(20,5329302,'1992-08-08 00:00:00',2,3,12,2009,'F','N','CENTRO','MAMBORÊ','PR','116161161117371431536923275125610127077',14294,'9998',49.73,1,2,1),(20,5329310,'1991-09-17 00:00:00',4,1,12,2008,'F','N','JD DAS HORTENCIAS','JUNDIAÍ','SP','125252251216471331478712572122610122097',NULL,'9998',0.00,1,3,NULL),(20,5329329,'1992-06-14 00:00:00',2,8,12,2009,'M','N','RESIDENCIAL CAZARIN','APUCARANA','PR','116162161215111431458831572122610164042',7369,'9998',59.55,1,3,NULL),(20,5329337,'1991-06-06 00:00:00',4,1,12,2009,'F','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124241241127131431425634572221610163157',NULL,'1088',15.08,1,2,1),(20,5329345,'1992-05-28 00:00:00',4,1,12,2009,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241115131431444921572124610157051',NULL,'772',0.00,1,2,1),(20,5329353,'1992-09-24 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431338828575112610142182',13110,'270',49.15,1,3,NULL),(20,5329370,'1986-02-17 00:00:00',2,1,12,2003,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241137131411223244345124610126097',NULL,'857',0.00,1,2,1),(20,5329388,'1992-09-22 00:00:00',2,5,12,2009,'F','N','ANA MARIA','CRICIÚMA','SC','124241241115151431226519375124610168052',NULL,'209',22.72,1,3,NULL),(20,5329396,'1992-12-28 00:00:00',4,4,12,2009,'M','N','SANTA LUZIA','ABELARDO LUZ','SC','124241241216111411448813595124610112052',12744,'836',48.94,1,3,NULL),(20,5329400,'1991-12-06 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431349919575121610122052',13841,'951',50.67,1,3,NULL),(20,5329418,'1987-11-07 00:00:00',2,1,12,2004,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124241241214273411358821595122231257092',6230,'9997',65.50,1,3,NULL),(20,5329426,'1992-08-24 00:00:00',4,10,12,2009,'F','N','DIVINÉIA','IMBITUBA','SC','124241241116271711435431375112610124192',NULL,'358',0.00,1,3,NULL),(20,5329442,'1988-12-11 00:00:00',4,10,7,2009,'M','N','CENTRO','IMBITUBA','SC','124251241336173431248813285112610117082',NULL,'9997',0.00,2,1,2),(20,5329450,'1993-06-05 00:00:00',4,1,12,2010,'F','S','CENTRO','ÁGUAS MORNAS','SC','624241241123131412525524341124610163097',NULL,'12',26.20,1,3,NULL),(20,5329477,'1993-11-19 00:00:00',4,1,12,2010,'F','S','CENTRO','TIJUCAS','SC','124241241215111411469614575122610165192',NULL,'1022',58.71,1,3,NULL),(20,5329485,'1992-02-21 00:00:00',2,5,11,2009,'F','N','COMERCIARIO','CRICIÚMA','SC','124241241215111431438923575122610163092',NULL,'226',25.76,1,3,NULL),(20,5329493,'1991-12-30 00:00:00',2,1,12,2008,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115372431523319392324610146187',10438,'278',55.56,1,2,1),(20,5329507,'1992-07-04 00:00:00',2,1,12,2009,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241248112372431426519292124610121142',NULL,'592',44.27,1,2,1),(20,5329515,'1990-08-06 00:00:00',4,1,12,2007,'M','N','VILA MARIANA','S PAULO','SP','125252251211571231448829395141610167046',1572,'9998',78.21,1,3,NULL),(20,5329523,'1988-07-09 00:00:00',4,2,12,2005,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124251251126271431556319445114610122197',NULL,'9998',22.43,1,2,1),(20,5329531,'1986-02-07 00:00:00',2,1,12,2003,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241216574431456933572122231267047',NULL,'270',0.00,4,3,NULL),(20,5329540,'1992-07-09 00:00:00',2,1,11,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111731453721575112610138187',NULL,'270',48.23,1,3,NULL),(20,5329558,'1982-03-30 00:00:00',4,1,6,2004,'F','N','BELA VISTA III','S JOSÉ','SC','224243244112134431225654482124130814142',NULL,'306',43.70,1,3,NULL),(20,5329566,'1992-06-05 00:00:00',4,5,12,2009,'M','N','CENTRO','URUSSANGA','SC','124242241215113431476814575124610134092',1743,'226',77.87,1,3,NULL),(20,5329582,'1992-12-20 00:00:00',4,6,11,2009,'F','N','SANTO ANTONIO','BAL PIÇARRAS','SC','124242241115111431453632312122610168092',NULL,'1026',0.00,1,3,NULL),(20,5329590,'1984-10-12 00:00:00',4,1,5,2003,'M','N','JARDIM MURILO','MOGI GUAÇU','SP','125251251415271431348813491122343268042',8612,'9998',60.72,1,3,NULL),(20,5329604,'1993-06-02 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117111311426519292114610127077',NULL,'267',28.29,1,2,1),(20,5329612,'1987-06-20 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216575431336522575124233267012',8277,'497',61.35,1,3,NULL),(20,5329620,'1993-11-15 00:00:00',2,15,11,2010,'F','S','CENTRO','TURVO','SC','124242241215111231556612375122610128147',NULL,'970',28.55,1,3,NULL),(20,5329639,'1984-10-10 00:00:00',2,1,12,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124161161131274431635714295124231947062',8049,'9998',61.74,1,2,1),(20,5329663,'1992-10-28 00:00:00',2,10,11,2009,'M','N','CENTRO','ARMAZÉM','SC','124241241215111431436914575124610127092',NULL,'807',30.40,1,3,NULL),(20,5329671,'1990-12-03 00:00:00',4,1,7,2008,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241115131221436433442114610127057',NULL,'306',0.00,1,2,1),(20,5329698,'1992-10-03 00:00:00',4,15,12,2009,'M','N','COLONINHA','ARARANGUÁ','SC','124241241115161731449933575122610147037',NULL,'29',16.49,1,3,NULL),(20,5329701,'1991-07-15 00:00:00',4,7,12,2008,'F','N','CENTRO','S JOÃO URTIGA','RS','120201201116371731423835575124610132147',NULL,'9998',0.00,1,2,1),(20,5329710,'1993-02-04 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117131731436834375114610145177',12894,'288',50.18,1,3,NULL),(20,5329728,'1991-09-05 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124244241332151751476613432122610133052',NULL,'733',26.44,1,3,NULL),(20,5329736,'1993-06-21 00:00:00',4,1,11,2010,'F','S','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242248217111552368619594124610138185',NULL,'270',30.95,1,3,NULL),(20,5329744,'1992-11-10 00:00:00',4,1,12,2009,'M','N','CENTRO','CASCAVEL','PR','116162161217111431435839295121610168195',NULL,'9998',39.68,1,3,NULL),(20,5329752,'1990-06-01 00:00:00',2,1,12,2007,'F','N','MENINO DEUS','PTO ALEGRE','RS','120202201217571411248333415124610121077',NULL,'9998',0.00,1,3,NULL),(20,5329760,'1992-05-21 00:00:00',4,1,11,2009,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215112511468631575122610163183',8530,'270',59.08,1,3,NULL),(20,5329779,'1990-08-20 00:00:00',4,8,12,2007,'F','N','CENTRO','CASCAVEL','PR','116162161215511411448934596124610166197',3028,'9998',73.42,3,3,NULL),(20,5329795,'1992-06-13 00:00:00',2,16,12,2009,'M','N','BERGER','CAÇADOR','SC','124242241235121731359923575122610167122',7438,'120',60.41,1,3,NULL),(20,5329809,'1992-10-16 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241112131432426431372124610124147',NULL,'288',29.45,1,2,1),(20,5329817,'1992-10-22 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215151731459911572122610127122',NULL,'270',83.18,1,3,NULL),(20,5329825,'1984-08-15 00:00:00',2,1,7,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241115274411328824342134132726182',11937,'306',54.48,2,3,NULL),(20,5329833,'1989-08-06 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217373731537831241124231113193',7026,'1063',63.77,1,3,NULL),(20,5329841,'1991-12-04 00:00:00',4,1,12,2009,'M','N','JARDIM LISBOA','RIBEIRÃO PIRES','SP','125252251216271431488932575114610117054',11978,'9998',48.89,1,3,NULL),(20,5329850,'1991-05-13 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241415111431346923374124610162092',14493,'269',47.77,4,3,NULL),(20,5329876,'1988-10-08 00:00:00',4,1,12,2005,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241141131431533311314224610167042',NULL,'405',31.16,4,2,1),(20,5329892,'1993-05-03 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116371431466652575124610127092',NULL,'267',31.47,1,2,1),(20,5329906,'1992-07-08 00:00:00',4,1,12,2009,'F','N','JARDIM BELA VISTA','ITAPIRANGA','SC','124241201245121411227921573125610114052',NULL,'9998',26.20,1,3,NULL),(20,5329922,'1991-06-27 00:00:00',4,1,12,2009,'M','N','VILA PROGRESSO','MARINGÁ','PR','116164161216111431466611575112610137092',9433,'9998',56.70,1,3,NULL),(20,5329930,'1992-04-24 00:00:00',4,8,12,2009,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124242241215111431459812375114610122192',11931,'1063',54.50,1,3,NULL),(20,5329949,'1991-10-02 00:00:00',4,1,12,2008,'F','N','ROÇADO','S JOSÉ','SC','124241241212112431435833375122611238042',10898,'1076',56.49,4,3,NULL),(20,5329957,'1991-08-03 00:00:00',4,1,11,2009,'F','N','AGUA VERDE','CURITIBA','PR','116162161211111431476939192124610153147',NULL,'9998',0.00,1,3,NULL),(20,5329965,'1983-10-22 00:00:00',2,1,12,2003,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247336575431323344345314610137012',NULL,'977',41.04,1,3,NULL),(20,5329973,'1992-02-02 00:00:00',2,1,11,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241115151411357613375122610127065',NULL,'271',23.57,1,3,NULL),(20,5329981,'1992-06-16 00:00:00',4,1,11,2009,'F','N','BELA VISTA','GRAVATAL','SC','124241241215161432345322575114610134047',NULL,'806',29.08,1,3,NULL),(20,5330009,'1992-11-25 00:00:00',2,5,11,2009,'F','N','CENTRO','IÇARA','SC','124242241217111731575612575122610124192',7040,'226',63.75,1,3,NULL),(20,5330017,'1988-03-18 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217144431457639342114122236062',11332,'273',55.64,1,3,NULL),(20,5330033,'1989-03-28 00:00:00',4,1,7,2009,'F','N','BARREIROS','S JOSÉ','SC','124241247321131431436524342124610164042',NULL,'9999',24.88,1,3,NULL),(20,5330041,'1984-08-07 00:00:00',2,3,12,2002,'M','N','JARDIM ALPES','LONDRINA','PR','116252167645471431447714275124610133057',14861,'9998',44.49,3,3,NULL),(20,5330050,'1991-09-25 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241212342431356812215114231115185',13912,'270',50.54,1,3,NULL),(20,5330068,'1988-04-19 00:00:00',4,1,12,2005,'M','N','JD IMPERIAL','MARINGÁ','PR','116162161216474431458839575125610127127',2009,'9998',76.22,3,3,NULL),(20,5330076,'1977-02-20 00:00:00',2,2,12,1995,'M','N','FACULDADE','CASCAVEL','PR','116161161146471711123344435124141622013',NULL,'9998',0.00,4,1,1),(20,5330106,'1983-10-12 00:00:00',4,16,7,2004,'F','N','BOM JESUS','CURITIBANOS','SC','124241241137372431436629342115610118197',NULL,'9999',20.67,1,2,1),(20,5330114,'1991-03-26 00:00:00',4,1,12,2008,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241135132431413324282124610164057',NULL,'292',23.69,1,2,1),(20,5330122,'1984-04-24 00:00:00',4,1,10,2001,'F','N','JARDIM CIDADE DE FLO','S JOSÉ','SC','124241241337132431631424392124610132077',NULL,'943',34.66,4,1,2),(20,5330149,'1991-07-21 00:00:00',2,1,12,2009,'M','N','CAEIRA SACO DOS LIMO','FLORIANÓPOLIS','SC','124241241117471432211629572214610167082',NULL,'281',0.00,1,2,1),(20,5330157,'1993-01-01 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111411536611576125610148145',NULL,'270',59.24,1,3,NULL),(20,5330165,'1988-10-03 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124241248212472731457713345122131063091',16175,'9999',42.83,1,3,NULL),(20,5330173,'1990-01-06 00:00:00',4,1,12,2007,'M','N','CAMPO GRANDE','SANTOS','SP','125252251415572751457839595111140267122',NULL,'9998',0.00,1,3,NULL),(20,5330181,'1988-04-01 00:00:00',4,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241248111113411426611342114610112162',14748,'281',48.60,1,2,1),(20,5330203,'1991-03-01 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124246241212472731468811282345610117022',2249,'981',75.99,1,3,NULL),(20,5330211,'1992-02-26 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124242241215151431669834474122610167064',NULL,'185',38.39,1,3,NULL),(20,5330220,'1992-07-05 00:00:00',2,8,11,2009,'F','N','GLÓRIA','JOINVILLE','SC','124166241215121431337732572122613224142',10819,'1016',53.09,1,3,NULL),(20,5330238,'1963-09-03 00:00:00',2,1,12,1982,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','224241241126235721423343332123610137187',NULL,'307',0.00,1,2,1),(20,5330246,'1992-03-25 00:00:00',2,1,12,2009,'M','N','CENTRO','SERTÃO','RS','120201201117131431426833575124610164047',10994,'9998',53.10,1,2,1),(20,5330254,'1991-01-11 00:00:00',4,1,12,2009,'F','N','CENTRO','NILÓPOLIS','RJ','121211214117131451426713575324610116092',NULL,'9998',30.73,1,2,1),(20,5330262,'1992-02-13 00:00:00',4,5,11,2009,'F','N','SANTA CATARINA','CRICIÚMA','SC','124242241237111431558821175122610121142',NULL,'210',28.91,1,3,NULL),(20,5330270,'1992-12-02 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124243241215131531558619595122610164112',11053,'738',54.03,1,3,NULL),(20,5330289,'1992-02-28 00:00:00',2,8,12,2008,'F','N','TRES LAGOAS','FOZ IGUAÇU','PR','116161161116571431349633575123610165052',9791,'9998',56.10,1,2,1),(20,5330297,'1992-06-16 00:00:00',2,2,11,2009,'F','N','CENTRO','RIO CEDROS','SC','124243241215161432336524575124610163142',NULL,'1157',0.00,1,3,NULL),(20,5330300,'1990-07-12 00:00:00',2,6,12,2007,'M','N','SÃO JOÃO','ITAJAÍ','SC','124241241416372441536831212212610164182',11201,'1065',51.79,1,3,NULL),(20,5330319,'1988-01-26 00:00:00',4,1,12,2005,'F','N','JARDIM DA SAÚDE','S PAULO','SP','125252251215571731269931575122142463097',NULL,'9998',0.00,1,3,NULL),(20,5330327,'1990-08-10 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241237272411126544445123610168185',7897,'1098',62.03,4,3,NULL),(20,5330335,'1987-11-26 00:00:00',2,1,12,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241337272331339724182114122923072',NULL,'1003',0.00,1,3,NULL),(20,5330343,'1990-08-22 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124164161215574441489912175124610162102',1423,'9998',78.59,1,3,NULL),(20,5330351,'1991-06-15 00:00:00',2,5,11,2008,'F','N','CENTRO','ORLEANS','SC','124242241216111431528814575122610141122',NULL,'820',36.19,1,3,NULL),(20,5330360,'1992-04-19 00:00:00',4,8,12,2009,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124222241217111631228927575122610137012',7304,'457',63.23,1,3,NULL),(20,5330378,'1982-03-18 00:00:00',4,1,12,2002,'F','N','FORTALEZA DA BARRA','FLORIANÓPOLIS','SC','125251253146132431435524345124610145097',NULL,'9998',0.00,1,2,1),(20,5330386,'1993-04-23 00:00:00',4,15,12,2009,'F','N','FIGUEIRA','JACINTO MACHADO','SC','124241241146131531449313245121610118157',NULL,'420',18.28,1,2,1),(20,5330394,'1992-01-15 00:00:00',4,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241212123751669923492122610167176',6281,'737',63.90,1,3,NULL),(20,5330408,'1989-04-12 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211272451247823171125610167167',9089,'1050',59.80,1,3,NULL),(20,5330432,'1992-04-30 00:00:00',4,5,12,2009,'M','N','BELA VISTA','COCAL SUL','SC','124244241217151431438933575124610144052',7828,'995',62.17,1,3,NULL),(20,5330440,'1981-04-20 00:00:00',2,10,12,2000,'M','N','CENTRO','TUBARÃO','SC','224241244122332431223454275121132624047',NULL,'531',0.00,1,2,1),(20,5330467,'1993-02-05 00:00:00',4,2,12,2009,'F','N','VELHA','BLUMENAU','SC','124243241116371431346871295124610144097',9445,'69',56.53,1,3,NULL),(20,5330475,'1991-12-01 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242248217372431236824592114610121142',11872,'737',54.62,1,3,NULL),(20,5330483,'1992-04-13 00:00:00',1,8,10,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215121431359923435122610138147',4216,'1063',69.02,1,3,NULL),(20,5330491,'1990-06-12 00:00:00',4,1,12,2009,'M','N','SÃO JOSÉ CENTRO','S JOSÉ','SC','124242241214111111547619494215610112046',NULL,'735',0.00,1,3,NULL),(20,5330505,'1992-08-02 00:00:00',2,1,12,2008,'F','N','CENTRO','BIGUAÇU','SC','124244241215113431227969575124610168192',11558,'1022',52.77,1,3,NULL),(20,5330513,'1992-01-28 00:00:00',4,7,12,2009,'F','N','VILA ALEMANHA','LUZERNA','SC','124241241135141431436633395124610113147',NULL,'539',20.48,1,2,1),(20,5330521,'1988-04-27 00:00:00',4,1,12,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241136371411113344341124610144117',14999,'359',45.08,1,2,1),(20,5330530,'1991-07-19 00:00:00',4,6,12,2008,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124242161212322421479914575122610136142',6436,'9998',65.06,1,3,NULL),(20,5330548,'1992-01-20 00:00:00',4,6,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241215371431466632375112610167047',6269,'44',62.76,1,3,NULL),(20,5330556,'1989-07-16 00:00:00',4,3,12,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','124242111217151432578614575112140338042',10942,'9998',52.03,1,3,NULL),(20,5330564,'1990-12-29 00:00:00',4,1,12,2008,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241215252441436513385114610167092',NULL,'1022',0.00,1,3,NULL),(20,5330572,'1990-11-19 00:00:00',4,8,12,2007,'F','N','UBERABA','CURITIBA','PR','116162161215571721469634575124143224145',NULL,'9998',0.00,1,3,NULL),(20,5330580,'1991-08-18 00:00:00',4,1,12,2009,'M','N','VILA IRACEMA','S JOSÉ CAMPOS','SP','125252251215121431389812445112610162052',5419,'9998',64.74,1,3,NULL),(20,5330599,'1991-05-23 00:00:00',2,1,12,2009,'M','N','RIO GRANDE','PALHOÇA','SC','124241241112471431423429582124610127047',NULL,'592',28.41,1,2,1),(20,5330610,'1992-03-09 00:00:00',4,8,12,2009,'F','N','ANITA GARIBALDE','JOINVILLE','SC','124242241216111231548614575124610122117',4418,'461',69.30,1,3,NULL),(20,5330629,'1989-10-24 00:00:00',4,1,6,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241247132132411637811375115610117117',NULL,'9999',22.33,1,2,1),(20,5330637,'1992-05-03 00:00:00',4,17,12,2009,'F','N','CENTRO','CANOINHAS','SC','124241241115371431326813575125610133187',15315,'146',46.87,1,2,1),(20,5330645,'1992-12-08 00:00:00',2,6,12,2009,'F','N','CORDEIROS','ITAJAÍ','SC','124241241137271431536634575124610152147',NULL,'396',26.53,4,2,1),(20,5330653,'1992-11-30 00:00:00',4,17,12,2009,'F','N','CENTRO','CANOINHAS','SC','124241241136271431223316272122610164127',NULL,'146',23.13,1,2,1),(20,5330661,'1992-07-22 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124124241215131431658834275124610126077',13034,'988',49.51,1,3,NULL),(20,5330670,'1993-03-10 00:00:00',4,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242248217121431569714575112610136122',9141,'270',59.70,4,3,NULL),(20,5330688,'1992-12-14 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111731266823472112610113183',NULL,'1118',28.11,1,3,NULL),(20,5330696,'1991-10-11 00:00:00',2,1,12,2008,'F','N','JARDIM ZANELATTO','S JOSÉ','SC','124241241115271431536811572224610167142',6973,'257',61.91,1,2,1),(20,5330700,'1992-09-25 00:00:00',4,4,12,2009,'F','N','SAIC','CHAPECÓ','SC','124241241111271431569612211122610146142',9415,'169',57.87,1,2,1),(20,5330718,'1990-04-04 00:00:00',2,1,12,2007,'F','N','ROÇADO','S JOSÉ','SC','124242241215273411446934495124230867097',11038,'737',54.61,1,3,NULL),(20,5330726,'1992-11-19 00:00:00',4,8,12,2009,'M','N','SAO LOURENCO','CURITIBA','PR','116162161215111751558812375112610124152',6992,'9998',62.13,1,3,NULL),(20,5330734,'1989-03-06 00:00:00',2,6,12,2006,'F','N','SAGRADO C DE JESUS','LAGES','SC','124241241216574431346814171122233244142',NULL,'1065',26.11,4,1,2),(20,5330742,'1993-02-08 00:00:00',2,17,12,2009,'F','N','AGUA VERDE','CANOINHAS','SC','124241241116271441436314575122610136012',15143,'146',47.43,1,2,1),(20,5330750,'1991-10-02 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241137271431426613585124610167057',8632,'307',60.69,1,2,1),(20,5330769,'1991-10-14 00:00:00',2,1,12,2008,'F','N','FURADINHO','PALHOÇA','SC','124241241117131432423619572124610127147',NULL,'591',24.35,1,2,1),(20,5330777,'1989-12-07 00:00:00',2,1,12,2006,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124201201116232411334624285124230244015',NULL,'9998',49.99,1,2,1),(20,5330793,'1992-10-16 00:00:00',2,10,11,2009,'M','N','MAR GROSSO','LAGUNA','SC','124243241215151432335621415122610167117',NULL,'525',27.60,1,3,NULL),(20,5330815,'1964-01-15 00:00:00',4,2,12,1981,'M','N','RIBEIRÃO FRESCO','BLUMENAU','SC','124243161217152411383841412122322464182',13172,'9998',52.03,1,3,NULL),(20,5330823,'1989-06-07 00:00:00',4,1,12,2007,'M','N','DANIELA','FLORIANÓPOLIS','SC','124242241216153411248821572122230437092',11648,'270',55.03,1,3,NULL),(20,5330831,'1990-02-22 00:00:00',2,1,12,2007,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124242244212111431346417472124133236112',NULL,'26',20.95,1,3,NULL),(20,5330840,'1992-03-19 00:00:00',4,1,10,2009,'M','N','BATEL','CURITIBA','PR','116163161217111421448719575125610117052',NULL,'9998',29.47,1,3,NULL),(20,5330858,'1990-05-28 00:00:00',2,1,12,2007,'M','N','CENTRO','SANTANA LIVRAMENTO','RS','120281288136271431446932375122610117032',14698,'9998',43.86,1,3,NULL),(20,5330866,'1983-05-25 00:00:00',2,1,12,2000,'M','N','CIDADE NAÚTICA','S VICENTE','SP','125251251126471731534823132124610137097',NULL,'9998',0.00,1,2,1),(20,5330874,'1968-03-03 00:00:00',2,1,11,2009,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','224243241214131411422353372124610138187',NULL,'9999',0.00,1,3,NULL),(20,5330882,'1992-11-18 00:00:00',4,1,12,2010,'M','S','JARDIM ATLÂTICO','FLORIANÓPOLIS','SC','124242241217131431467734572124610127047',NULL,'1075',21.39,1,3,NULL),(20,5330890,'1992-09-18 00:00:00',2,1,12,2009,'F','N','J CID FLORIANÓPOLIS','S JOSÉ','SC','124242241215111431436612592114610133037',14898,'1118',43.03,1,3,NULL),(20,5330904,'1992-09-06 00:00:00',2,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124241241312111431556933575112610142057',NULL,'591',23.50,1,3,NULL),(20,5330912,'1975-03-25 00:00:00',2,1,12,1992,'F','N','DONA WANDA','S JOSÉ','SC','124241248121273721236644245124610114147',NULL,'257',13.52,2,1,1),(20,5330920,'1984-12-19 00:00:00',4,1,12,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241237143421468739445123233234185',11258,'951',55.80,1,3,NULL),(20,5330947,'1992-10-09 00:00:00',4,1,12,2009,'F','N','CENTRO','ARAPONGAS','PR','116162161212171421458826575122610134102',NULL,'9998',0.00,1,3,NULL),(20,5330955,'1992-06-16 00:00:00',4,1,12,2009,'M','N','NATUREZA','ITÁ','SC','124241241317131431335821372124610167057',NULL,'383',20.85,1,3,NULL),(20,5330963,'1991-04-21 00:00:00',4,8,11,2008,'F','N','CENTRO','DOIS VIZINHOS','PR','116162161215471741559913594125610136177',2172,'9998',75.49,1,3,NULL),(20,5330971,'1988-07-23 00:00:00',4,1,12,2009,'M','N','PAROLIN','CURITIBA','PR','116163161337471431547823395122610114187',NULL,'9998',0.00,1,3,NULL),(20,5330980,'1991-10-19 00:00:00',2,1,12,2008,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241117371431323621182114610137042',15534,'288',46.17,1,2,1),(20,5331005,'1991-06-27 00:00:00',2,1,12,2009,'M','N','JARDIM SAVEIRO','BIGUAÇU','SC','124244241332131731336619395122610167047',NULL,'65',24.20,1,3,NULL),(20,5331013,'1993-03-27 00:00:00',4,1,12,2009,'F','N','CIDADE ALTA','ALEGRETE','RS','220201201116111731346933572122610162147',11686,'9998',52.81,1,2,1),(20,5331021,'1991-04-23 00:00:00',2,5,11,2008,'F','N','CENTRO','IÇARA','SC','124241241216272431333514345122610136057',14094,'995',47.24,1,3,NULL),(20,5331030,'1971-10-11 00:00:00',4,1,12,1988,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241243212135451233143135134121468187',10838,'237',56.61,2,3,NULL),(20,5331048,'1993-03-24 00:00:00',4,1,11,2010,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431379912472124510122185',NULL,'270',48.54,1,3,NULL),(20,5331056,'1988-08-03 00:00:00',2,1,12,2006,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124242241214213521353312225114221517095',9228,'1048',59.56,1,3,NULL),(20,5331064,'1989-09-21 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124164161217371731557711475114610142047',288,'9998',86.30,3,3,NULL),(20,5331072,'1992-05-28 00:00:00',2,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244161415471731345624575124610134112',11812,'9998',52.47,1,3,NULL),(20,5331129,'1990-03-21 00:00:00',4,1,12,2007,'M','N','PARAÍSO','S PAULO','SP','125252257217131411328823295124243262182',NULL,'9998',28.87,1,3,NULL),(20,5331137,'1991-11-13 00:00:00',5,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431258923572122610134145',NULL,'262',33.14,1,3,NULL),(20,5331153,'1990-04-22 00:00:00',4,16,11,2007,'F','N','CENTRO','CURITIBANOS','SC','124242241215573431349713575122610126077',3675,'881',70.97,1,3,NULL),(20,5331161,'1992-09-02 00:00:00',2,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241227111531423623572124610124147',11074,'262',54.30,1,3,NULL),(20,5331170,'1985-04-08 00:00:00',4,1,12,2002,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124161161116151751125435437124542367125',NULL,'9998',0.00,1,3,NULL),(20,5331188,'1988-09-29 00:00:00',4,1,12,2005,'F','N','ÁGUA VERDA','JARAGUÁ SUL','SC','124244241216575431478833575122232533187',11372,'442',51.61,1,3,NULL),(20,5331196,'1990-08-23 00:00:00',4,3,12,2007,'M','N','BARRA','BAL CAMBORIÚ','SC','124244241416151431428624285121233224117',NULL,'52',22.16,1,3,NULL),(20,5331200,'1990-07-18 00:00:00',2,1,12,2007,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241116131411336623575124610147041',NULL,'592',39.67,1,2,1),(20,5331226,'1984-06-25 00:00:00',2,1,12,2001,'F','N','CENTRO','PALHOÇA','SC','124241241226275432643344345124122322187',11824,'262',54.70,1,3,NULL),(20,5331242,'1989-07-07 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241237573451586632345122233264116',10470,'270',57.30,1,3,NULL),(20,5331250,'1991-05-15 00:00:00',2,1,12,2008,'M','N','CENTRO','PALHOÇA','SC','124242241215472431437711572111610127042',NULL,'989',43.45,1,3,NULL),(20,5331269,'1986-03-28 00:00:00',2,1,12,2002,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124202201216155741235611395124221464182',2739,'9998',74.32,1,3,NULL),(20,5331277,'1992-09-18 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215472411459812574125610127012',63,'441',91.22,1,3,NULL),(20,5331285,'1991-01-07 00:00:00',4,8,12,2008,'F','N','BOA VISTA','JOINVILLE','SC','124242241215372731569911492112610138192',2898,'457',72.67,4,3,NULL),(20,5331293,'1991-05-13 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124243241317152431457614572112610167047',12113,'733',51.64,1,3,NULL),(20,5331307,'1988-05-29 00:00:00',2,1,12,2007,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241112373411326624345124610132147',NULL,'298',22.53,4,2,1),(20,5331323,'1988-08-25 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124204208215434411226644445124610112142',16249,'9998',41.83,1,3,NULL),(20,5331331,'1985-12-16 00:00:00',4,1,12,2003,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217112431368933475124222222182',NULL,'270',52.50,1,3,NULL),(20,5331358,'1990-08-06 00:00:00',2,1,11,2007,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241136372431446714175124610167117',NULL,'307',24.04,4,2,1),(20,5331366,'1991-02-22 00:00:00',2,1,12,2007,'F','N','POÇO FUNDO','STO AMARO IMPERATRIZ','SC','124242241216273431548413412122610164077',NULL,'1014',23.42,1,3,NULL),(20,5331374,'1991-10-12 00:00:00',2,1,12,2008,'F','N','NOSSA SR DO ROSÁRIO','S JOSÉ','SC','124241241112271431433334392124232924147',NULL,'726',21.16,2,1,1),(20,5331382,'1986-10-19 00:00:00',4,5,6,2005,'M','N','PRIMEIRO DE MAIO','IÇARA','SC','124241246435111411423923335124231424013',NULL,'995',25.03,1,3,NULL),(20,5331390,'1993-02-06 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242248216171331248828575112610164074',NULL,'1169',27.84,1,3,NULL),(20,5331404,'1992-05-04 00:00:00',2,4,12,2009,'M','N','CENTRO','GUARUJÁ SUL','SC','124241241136131421434923585125610134012',NULL,'339',25.75,3,2,1),(20,5331412,'1990-10-07 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241435273431224421442234610137117',12998,'299',50.14,1,3,NULL),(20,5331420,'1988-09-01 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241126274411423624285122610123052',NULL,'257',14.32,2,1,1),(20,5331439,'1987-04-03 00:00:00',2,1,8,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201207147131431536368245124610127077',NULL,'9998',27.71,1,2,1),(20,5331447,'1989-08-24 00:00:00',2,1,11,2006,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241126132431528533415114610147142',NULL,'283',0.00,1,2,1),(20,5331455,'1992-05-27 00:00:00',4,1,12,2009,'F','N','IBIRQUERA','IMBITUBA','SC','124241241115271431327723395124610112177',NULL,'359',24.44,1,2,1),(20,5331463,'1990-04-20 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212473431479933592124232467042',3115,'262',73.17,1,3,NULL),(20,5331471,'1987-02-10 00:00:00',4,1,11,2004,'M','N','AREIAS','S JOSÉ','SC','124242241217443431536667345123610124057',NULL,'976',28.08,2,3,NULL),(20,5331480,'1993-01-12 00:00:00',2,1,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','116161161116271421343823275122610163097',5495,'9998',65.78,1,2,1),(20,5331498,'1991-08-09 00:00:00',4,3,12,2008,'M','N','JD BIRIGUI','UMUARAMA','PR','116161121415471411338619575123610143147',3938,'9998',71.00,1,3,NULL),(20,5331501,'1991-04-02 00:00:00',2,1,12,2008,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215473331469513575124610147047',5778,'1022',65.35,1,3,NULL),(20,5331510,'1992-04-01 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111431358634475114610121055',15205,'1011',47.21,1,3,NULL),(20,5331528,'1989-01-02 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241212272431168932375124221144162',5666,'270',66.76,1,3,NULL),(20,5331536,'1991-02-20 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241325111431428629572224610125052',NULL,'274',23.83,4,3,NULL),(20,5331544,'1992-07-14 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244244215111451356814572122610137072',NULL,'1022',25.60,1,3,NULL),(20,5331579,'1988-10-12 00:00:00',4,1,12,2005,'F','N','CENTRO','BIGUAÇU','SC','124243241216574731533611431134120767033',8000,'270',61.83,1,3,NULL),(20,5331595,'1987-12-08 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216155731459814372124120368182',9814,'270',58.52,1,3,NULL),(20,5331609,'1987-12-14 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241216372431546816291124133223057',NULL,'720',27.03,1,3,NULL),(20,5331625,'1986-08-03 00:00:00',2,3,12,2003,'F','N','CENTRO','CURITIBA','PR','116161161215575431335916574125610164187',1614,'9998',78.38,1,3,NULL),(20,5331633,'1990-11-07 00:00:00',4,1,12,2008,'F','N','JARDIM NOVA REPÚBLIC','PIRACICABA','SP','125251251116471411458733575112610131184',16030,'9998',40.96,1,2,1),(20,5331641,'1982-10-25 00:00:00',2,8,12,2002,'M','N','COMASA','JOINVILLE','SC','224241246416151711225544445124131724041',NULL,'230',25.09,1,3,NULL),(20,5331650,'1990-09-14 00:00:00',4,8,12,2007,'M','N','RIO NEGRO','S BENTO SUL','SC','124241241317131332228744345123133227097',NULL,'697',26.56,1,3,NULL),(20,5331668,'1992-11-22 00:00:00',2,1,11,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241117131431545513575124610135117',NULL,'307',32.58,1,2,1),(20,5331676,'1992-10-12 00:00:00',2,1,12,2009,'F','N','ARIRIU','PALHOÇA','SC','124241241115371731424424572124610165197',NULL,'592',29.08,1,2,1),(20,5331692,'1991-08-06 00:00:00',4,2,12,2008,'M','N','TAPAJOS','INDAIAL','SC','124241241116131411433623345124610138092',NULL,'365',25.01,1,2,1),(20,5331706,'1990-08-13 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243247216372411469713575112610167132',NULL,'9999',50.55,1,3,NULL),(20,5331714,'1983-05-07 00:00:00',4,2,12,2001,'M','N','GLÓRIA','BLUMENAU','SC','224211216236151721243343432122232332047',NULL,'9998',30.79,1,3,NULL),(20,5331722,'1987-10-09 00:00:00',4,1,12,2004,'M','N','SANTA ROSA','PTO UNIÃO','SC','124241161314112522529513483111331033165',9155,'633',55.40,5,3,NULL),(20,5331730,'1987-11-07 00:00:00',4,1,6,2007,'M','N','BOTAFOGO','CAMPINAS','SP','125252257216131731236834285124241164047',NULL,'9999',26.58,1,3,NULL),(20,5331749,'1989-08-08 00:00:00',2,8,12,2006,'F','N','ARISTOCRATA','S JOSÉ PINHAIS','PR','116163161116571411337631215114143262046',5998,'9998',63.86,1,3,NULL),(20,5331765,'1988-03-22 00:00:00',4,1,12,2005,'M','N','JD ÂNGELA ROSA','FRANCA','SP','125253251336451211333324292111143037042',NULL,'9998',0.00,2,1,2),(20,5331773,'1989-03-22 00:00:00',2,1,11,2006,'M','N','CENTRO','CPO GRANDE','MS','112122121237574731348823571122610132082',960,'9998',80.93,1,3,NULL),(20,5331790,'1963-05-26 00:00:00',4,1,12,1982,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224211213237151431356653195123141462032',16277,'9998',41.20,1,3,NULL),(20,5331803,'1992-07-11 00:00:00',4,1,12,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241217111431546613575112610137087',NULL,'1074',26.34,1,3,NULL),(20,5331811,'1992-02-24 00:00:00',2,1,11,2009,'M','N','SERRARIA','S JOSÉ','SC','124241241117141641556632282124610138147',NULL,'257',26.65,1,2,1),(20,5331820,'1981-03-18 00:00:00',2,1,10,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124203247136132441223341115124610144087',NULL,'9999',40.84,1,3,NULL),(20,5331846,'1991-02-08 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124213241145241431556821345124610163027',NULL,'307',0.00,1,3,NULL),(20,5331862,'1955-06-20 00:00:00',2,1,6,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','224241248125272432323359192124610127187',NULL,'9999',23.22,1,2,1),(20,5331870,'1989-09-15 00:00:00',2,1,12,2007,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241217373421448733345113610134181',14055,'1048',50.29,1,3,NULL),(20,5331889,'1991-07-05 00:00:00',2,1,12,2008,'F','N','ARIRIU','PALHOÇA','SC','124242246236212421439934145134610163052',NULL,'1075',0.00,1,3,NULL),(20,5331897,'1993-03-04 00:00:00',4,1,11,2010,'M','S','CANTA GALO','RIO SUL','SC','124244241215111411448923575122610162062',NULL,'991',40.87,4,3,NULL),(20,5331919,'1990-03-20 00:00:00',2,1,7,2008,'F','N','CAMPINAS','S JOSÉ','SC','124241247341272231223644342114610114195',NULL,'9999',0.00,1,3,NULL),(20,5331935,'1990-01-13 00:00:00',4,1,12,2007,'M','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241117152731244314575124221651097',8755,'358',60.43,1,2,1),(20,5331943,'1992-11-19 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215112431228779475114610164145',6541,'1022',63.32,1,3,NULL),(20,5331978,'1993-01-09 00:00:00',2,1,12,2009,'M','N','CONJ SAO JOSE TRES','RONDONÓPOLIS','MT','111111111117111331456633375112610127042',NULL,'9998',13.59,4,2,1),(20,5331986,'1980-08-05 00:00:00',4,1,12,1997,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241236152222556613285124333262035',9465,'269',59.16,1,3,NULL),(20,5331994,'1991-02-27 00:00:00',4,1,11,2009,'M','N','AGUA VERDE','CURITIBA','PR','116164167337151712345919294124610167017',10927,'9998',51.46,1,3,NULL),(20,5332001,'1992-06-28 00:00:00',4,6,12,2009,'M','N','MACHADOS','NAVEGANTES','SC','124242241312151431436612272121610146042',NULL,'569',41.95,1,3,NULL),(20,5332010,'1991-11-18 00:00:00',2,1,12,2009,'F','N','AREIAS DO MEIO','GOV CELSO RAMOS','SC','124241241225131431426621272224610133147',NULL,'262',25.13,1,3,NULL),(20,5332028,'1991-05-15 00:00:00',4,1,12,2009,'M','N','BARRA DA TIJUCA','RIO JANEIRO','RJ','121242211217371431458914392121210127041',NULL,'9998',0.00,1,3,NULL),(20,5332036,'1992-11-12 00:00:00',4,16,12,2009,'F','N','SÃO JOSÉ','CURITIBANOS','SC','124241241115271431625513572125610122012',12233,'239',53.91,2,2,1),(20,5332044,'1990-09-24 00:00:00',4,9,12,2008,'M','N','SAGRADO CORAÇAO DE J','LAGES','SC','124242241212473431469832475112610137122',NULL,'499',21.90,1,3,NULL),(20,5332052,'1992-05-09 00:00:00',4,1,12,2009,'M','N','CACHOEIRA','S PAULO','SP','117252171217121411334631575124610162117',10352,'9998',57.52,1,3,NULL),(20,5332060,'1992-01-10 00:00:00',2,1,12,2009,'M','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241241117271731343327375124610164147',14205,'307',46.27,4,2,1),(20,5332079,'1988-09-28 00:00:00',4,7,12,2005,'M','N','SÃO VICENTE','HERVAL D OESTE','SC','124241241217572441357933575122610124182',15298,'446',46.94,1,3,NULL),(20,5332087,'1965-12-30 00:00:00',2,1,12,1984,'F','N','FAZ SANTO ANTONIO','S JOSÉ','SC','224241246117132751533453485124232734187',NULL,'306',27.81,1,2,1),(20,5332095,'1988-06-22 00:00:00',2,15,12,2006,'F','N','PARQUE ALVORADA','ARARANGUÁ','SC','124241241142131731221177186345610114182',NULL,'29',0.00,1,2,1),(20,5332109,'1988-04-30 00:00:00',2,1,12,2005,'M','N','BARREIROS','S JOSÉ','SC','124172241337334411326517442134121626047',7441,'9997',62.37,1,3,NULL),(20,5332117,'1990-04-19 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241112143431547649445124130221144',15917,'387',42.29,1,2,1),(20,5332125,'1992-02-22 00:00:00',4,1,11,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215272431367869576122610122017',12893,'270',52.57,1,3,NULL),(20,5332133,'1990-12-23 00:00:00',2,1,12,2007,'F','N','VILA MARGARIDA','CPO GRANDE','MS','112122121216571411546812584122610125142',10776,'9998',55.05,1,3,NULL),(20,5332150,'1979-12-01 00:00:00',2,1,12,1997,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224241241415133121238943431122332937182',NULL,'797',0.00,1,3,NULL),(20,5332168,'1986-01-07 00:00:00',2,1,12,2006,'M','N','CINQUENTENARIO','CAXIAS SUL','RS','120203207347141431436361245124241337187',NULL,'9998',0.00,1,3,NULL),(20,5332192,'1991-02-22 00:00:00',4,10,12,2009,'F','N','BOQUEIRÃO','ARAUCÁRIA','PR','116161168217131731436614395124610122147',NULL,'9998',0.00,1,3,NULL),(20,5332214,'1988-04-15 00:00:00',4,1,12,2005,'F','N','JD ARPOADOR','S PAULO','SP','125252251214572731338629295124610162077',3701,'9998',69.86,2,3,NULL),(20,5332249,'1982-06-13 00:00:00',2,1,6,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241137135431124444145224610117112',16231,'306',42.18,1,2,1),(20,5332257,'1992-11-18 00:00:00',4,1,12,2009,'M','N','CENTRO','VACARIA','RS','120202201216111331456616591122610167047',NULL,'9998',0.00,1,3,NULL),(20,5332265,'1990-12-04 00:00:00',2,4,11,2007,'F','N','MATINHO','XANXERÊ','SC','120241241435473431536614175125610137011',958,'1081',81.57,1,3,NULL),(20,5332273,'1992-03-25 00:00:00',4,2,12,2009,'F','N','VILA NOVA','BLUMENAU','SC','124242241216112341589612575124610163142',7973,'71',59.51,1,3,NULL),(20,5332290,'1991-11-23 00:00:00',2,7,12,2009,'M','N','CENTRO','HERVAL D OESTE','SC','124241248133131431223679241124610164047',NULL,'341',0.00,1,2,1),(20,5332303,'1992-04-23 00:00:00',4,1,12,2009,'M','N','CENTRO','ARARAS','SP','125252251217111441548831575122610118187',NULL,'9998',32.57,1,3,NULL),(20,5332311,'1989-07-06 00:00:00',4,1,12,2006,'M','N','CENTRO','AMPARO','SP','125252251216571431265822345122141037044',7432,'9998',62.94,1,3,NULL),(20,5332320,'1992-07-08 00:00:00',2,9,12,2009,'M','N','ÁGUAS BRANCAS','URUBICI','SC','124242241215161431434623572224610114057',16217,'817',42.30,1,3,NULL),(20,5332338,'1992-12-15 00:00:00',4,4,12,2009,'M','N','INTERIOR','MARAVILHA','SC','124241241116161731423923572222610116147',NULL,'551',0.00,1,2,1),(20,5332354,'1987-10-19 00:00:00',4,1,11,2004,'M','N','CAMPINAS','S JOSÉ','SC','124244241216175431476624445124220264047',5983,'723',66.05,1,3,NULL),(20,5332362,'1992-08-03 00:00:00',4,1,11,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217271431467832572124610121112',12599,'951',53.14,1,3,NULL),(20,5332370,'1988-12-29 00:00:00',4,1,12,2005,'M','N','UNIVERSITÁRIO','CORUMBÁ','MS','112122121215572431469913572115610134192',1308,'9998',79.52,4,3,NULL),(20,5332389,'1990-01-29 00:00:00',2,8,12,2007,'F','N','NOVO MUNDO','CURITIBA','PR','116162161215571421336923571114610111045',4119,'9998',69.45,1,3,NULL),(20,5332397,'1992-03-29 00:00:00',4,6,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241117131531446813575122610134097',NULL,'405',31.17,1,2,1),(20,5332400,'1991-08-12 00:00:00',2,1,11,2009,'M','N','BAIRRO DE FATIMA','FLORIANÓPOLIS','SC','124242247217111131136724295124610137041',13798,'9999',48.74,1,3,NULL),(20,5332427,'1974-08-07 00:00:00',4,1,12,1991,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','224201201146153721384743432122321462085',1957,'9998',77.05,1,3,NULL),(20,5332443,'1985-01-07 00:00:00',2,1,12,2002,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','224241241112134431236659482124331221077',10203,'267',57.79,4,2,1),(20,5332451,'1992-01-27 00:00:00',4,4,11,2008,'F','N','SÃO SEBASTIÃO','S MIGUEL OESTE','SC','124241241215372431459612342112610147147',10287,'752',54.63,1,3,NULL),(20,5332460,'1992-02-05 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431478774575122610132072',NULL,'270',25.08,1,3,NULL),(20,5332478,'1992-06-08 00:00:00',2,15,10,2009,'F','N','CENTRO','TURVO','SC','124242241215111531447632242124610162077',NULL,'32',36.32,1,3,NULL),(20,5332508,'1986-10-27 00:00:00',2,1,12,2005,'M','N','VILA ADYANA','S JOSÉ CAMPOS','SP','125243241217274431337921115124610127117',14767,'951',48.55,1,3,NULL),(20,5332516,'1992-11-26 00:00:00',4,8,12,2009,'F','N','BATEL','CURITIBA','PR','116162161216471431467712125122610122157',NULL,'9998',0.00,1,3,NULL),(20,5332524,'1991-01-10 00:00:00',4,1,12,2009,'M','N','SAÚDE','S PAULO','SP','125252251217111431568613235124610127113',NULL,'9998',12.27,1,3,NULL),(20,5332532,'1990-09-28 00:00:00',4,1,12,2007,'M','N','NOVO MUNDO','CURITIBA','PR','116112161215571441459811575114610124017',NULL,'9998',0.00,1,3,NULL),(20,5332540,'1992-05-08 00:00:00',2,1,10,2009,'F','N','BOA PARADA','S PEDRO ALCÂNTARA','SC','124241248215121731534333572114610128072',14924,'1022',48.08,1,3,NULL),(20,5332567,'1991-11-30 00:00:00',2,1,11,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241215113431336828245134610127047',7291,'1022',63.25,1,3,NULL),(20,5332575,'1992-03-19 00:00:00',4,1,11,2009,'M','N','LAGOA DA CONCEÇÃO','FLORIANÓPOLIS','SC','124242241217321431489811575122610147115',6503,'270',63.78,1,3,NULL),(20,5332583,'1992-07-09 00:00:00',4,4,12,2009,'M','N','CENTRO','S CARLOS','SC','124241241137131431449413242121610127047',NULL,'704',0.00,1,2,1),(20,5332591,'1987-04-11 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241127274411623934281244610165067',13655,'594',51.03,1,2,1),(20,5332621,'1985-04-04 00:00:00',2,4,10,2008,'M','N','ARI LUNARDI','XAXIM','SC','124241241146131431322321145233230847012',NULL,'9999',26.00,1,2,1),(20,5332630,'1985-03-29 00:00:00',4,1,11,2004,'M','N','FAZEND SANTO ANTÔNIO','S JOSÉ','SC','124241248111131311653314345134610168187',NULL,'739',27.55,1,2,1),(20,5332648,'1984-03-24 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124203247346374421327824225121132127097',NULL,'9999',38.44,1,3,NULL),(20,5332656,'1992-02-25 00:00:00',4,8,12,2008,'F','N','RIO NEGRO','S BENTO SUL','SC','124241241215471411333414372122610143142',10061,'1178',55.69,1,3,NULL),(20,5332664,'1992-10-19 00:00:00',2,9,12,2009,'F','N','PETRÓPOLIS','LAGES','SC','124241241415131431427923575222610123172',NULL,'499',19.88,1,3,NULL),(20,5332672,'1992-10-30 00:00:00',2,3,11,2009,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241117231432331323392325610132147',15386,'873',46.68,1,2,1),(20,5332680,'1992-11-10 00:00:00',4,1,10,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241425151451547614245124610124112',NULL,'262',36.62,1,3,NULL),(20,5332699,'1969-03-27 00:00:00',2,1,12,1988,'F','N','BARREIROS','S JOSÉ','SC','224241248146141711231244245122330235147',NULL,'492',43.28,1,3,NULL),(20,5332702,'1992-05-04 00:00:00',4,15,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241116152441323411375114220728032',NULL,'30',0.00,1,3,NULL),(20,5332710,'1986-04-17 00:00:00',2,1,12,2003,'F','N','SERTAO DO MARUIM','S JOSÉ','SC','124241241126143712633614345124223023182',NULL,'733',0.00,4,2,1),(20,5332729,'1983-08-09 00:00:00',4,1,12,2000,'F','N','CAMPINAS','S JOSÉ','SC','624242241212142531336852422212333233195',NULL,'720',24.74,1,3,NULL),(20,5332745,'1991-12-23 00:00:00',4,7,12,2009,'M','N','APARECIDA','CAMPOS NOVOS','SC','124241242115141431226322575224610147057',NULL,'8',27.42,1,3,NULL),(20,5332753,'1992-12-04 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215371431239424272125610127057',15292,'299',44.52,1,3,NULL),(20,5332761,'1991-07-05 00:00:00',4,17,12,2009,'F','N','SÃO CRISTOVÃO','TRÊS BARRAS','SC','124241241117271431534823572124610136057',NULL,'153',17.64,1,2,1),(20,5332770,'1988-11-06 00:00:00',2,1,12,2006,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241244112141411426621415324231217047',NULL,'592',17.67,2,1,1),(20,5332788,'1990-01-04 00:00:00',2,1,12,2007,'F','N','ENSEADA DE BRITO','ENS BRITO','SC','124241248622474741213823382214610111177',NULL,'9999',27.18,1,3,NULL),(20,5332796,'1979-11-07 00:00:00',4,1,11,1996,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124204203226132421123644342124140824017',NULL,'9998',29.35,1,3,NULL),(20,5332800,'1992-11-16 00:00:00',4,16,12,2009,'M','N','INTERIOR','FRAIBURGO','SC','124241241115151411436416272222610137052',NULL,'314',23.71,1,2,1),(20,5332818,'1978-01-10 00:00:00',2,1,12,1995,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241137135431423319342234610133187',NULL,'281',25.27,1,3,NULL),(20,5332826,'1992-02-13 00:00:00',4,17,12,2009,'F','N','SO CRISTOVAO','TRÊS BARRAS','SC','124241241115371431556933575114610133117',NULL,'146',21.91,1,2,1),(20,5332834,'1988-05-19 00:00:00',2,1,6,2009,'M','N','POÇO FUNDO','STO AMARO IMPERATRIZ','SC','124201247522271531326521412334610127047',NULL,'9999',0.00,4,3,NULL),(20,5332842,'1978-06-11 00:00:00',2,1,12,1996,'M','N','CAMPINAS','S JOSÉ','SC','224241246116145731233143135122221327047',NULL,'306',43.85,1,2,1),(20,5332877,'1979-09-05 00:00:00',4,1,12,1998,'F','N','JARDIM ELDORADO','PALHOÇA','SC','424241241127142431374623235112231364097',NULL,'293',28.90,1,3,NULL),(20,5332885,'1989-12-07 00:00:00',2,3,12,2006,'F','N','CENTRO','ITAPEMA','SC','124243241215575451337621115121610164092',14733,'9997',45.64,1,3,NULL),(20,5332893,'1991-09-20 00:00:00',2,1,12,2008,'M','N','BOM VIVER','BIGUAÇU','SC','124241241116372711531311575124610135147',12226,'1116',51.24,1,2,1),(20,5332915,'1987-11-19 00:00:00',2,1,12,2006,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124243241112374431666733475124610124142',NULL,'267',11.91,1,3,NULL),(20,5332923,'1992-02-21 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241235122431458612385122610144072',NULL,'273',26.71,1,3,NULL),(20,5332931,'1992-07-01 00:00:00',2,1,12,2009,'F','N','CENTRO','GUARACIABA','SC','124241241146151431533313285122610128052',NULL,'616',32.17,1,2,1),(20,5332940,'1987-07-01 00:00:00',1,1,12,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124163241214373431147431315124121434147',6585,'9998',64.74,1,3,NULL),(20,5332958,'1992-02-28 00:00:00',5,7,12,2009,'M','N','INTERIOR','LINDÓIA SUL','SC','124241242115141421433536575224610157057',NULL,'8',16.10,1,3,NULL),(20,5332974,'1985-10-05 00:00:00',2,1,12,2002,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124202201216274421128841395124223237117',NULL,'9998',16.44,1,3,NULL),(20,5332990,'1992-09-12 00:00:00',4,8,12,2009,'M','N','VILA NOVA','JOINVILLE','SC','124241246217111431337514171122610132082',NULL,'1006',0.00,1,3,NULL),(20,5333008,'1984-05-13 00:00:00',2,1,12,2001,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241121132711323549192124610127042',NULL,'274',24.53,1,2,1),(20,5333016,'1992-08-19 00:00:00',4,3,12,2009,'F','N','BOA VISTA','ITUPORANGA','SC','124241241227151431456612575122610131097',NULL,'1173',22.38,1,3,NULL),(20,5333024,'1991-03-23 00:00:00',2,1,11,2009,'F','N','LUCAS ARAUJO','PASSO FUNDO','RS','120203208416111742437813375114610164142',NULL,'9998',11.29,1,3,NULL),(20,5333032,'1992-06-03 00:00:00',4,17,12,2009,'M','N','SÃO BASÍLIO MAGNO','UNIÃO VITÓRIA','PR','116242241216111431558936475122610137067',8494,'633',57.47,1,3,NULL),(20,5333040,'1988-03-28 00:00:00',4,8,12,2005,'M','N','CENTRO','CPO MOURÃO','PR','116162161115571431449912572124141542087',935,'9998',81.69,3,3,NULL),(20,5333059,'1983-11-04 00:00:00',4,5,12,2003,'M','N','OURO NEGRO','FORQUILHINHA','SC','124241246146131421533919342124231428187',12835,'228',49.30,1,3,NULL),(20,5333067,'1992-05-04 00:00:00',4,1,12,2009,'M','N','CENTRO','GAROPABA','SC','124241241345141431448612575121610167125',16223,'322',42.27,1,3,NULL),(20,5333083,'1979-03-12 00:00:00',2,1,12,1995,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241141272721223644241334131321181',12748,'814',50.56,1,2,1),(20,5333091,'1991-10-11 00:00:00',1,7,12,2009,'M','N','INTERIOR','PERITIBA','SC','124241242112141431323536572122610127047',NULL,'8',19.45,1,3,NULL),(20,5333105,'1982-01-06 00:00:00',4,1,12,2000,'M','N','BARREIROS','S JOSÉ','SC','124241241122131422443423145113610112037',NULL,'734',0.00,1,2,1),(20,5333113,'1984-08-24 00:00:00',4,1,12,2003,'M','N','SETOR BOA VISTA','MINEIROS','GO','109091097116163421446631395122143214057',NULL,'9998',20.64,4,2,1),(20,5333121,'1989-03-12 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124212211216131431323721415124132862042',NULL,'9998',21.73,1,3,NULL),(20,5333130,'1966-09-02 00:00:00',4,3,12,1983,'M','N','MEIA PRAIA','ITAPEMA','SC','224163163216132751238342425122121768187',NULL,'9998',0.00,1,3,NULL),(20,5333148,'1991-08-23 00:00:00',2,1,10,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241216372431355914345134610167041',15749,'269',45.28,1,3,NULL),(20,5333156,'1988-09-10 00:00:00',2,1,12,2006,'F','N','SERRARIA','S JOSÉ','SC','124243241316133431434923395134610123147',NULL,'943',18.56,4,3,NULL),(20,5333172,'1991-04-13 00:00:00',4,7,12,2009,'M','N','CENTRO','CAMPOS NOVOS','SC','124241247116151411333329575121610117042',NULL,'9999',27.10,4,3,NULL),(20,5333180,'1991-09-22 00:00:00',4,15,12,2009,'M','N','CEDRO','MARACAJÁ','SC','124241241115111631433329572214610127045',NULL,'550',0.00,1,2,1),(20,5333199,'1976-12-27 00:00:00',4,1,12,1993,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243241416135411448829145124322064185',5499,'269',67.09,1,3,NULL),(20,5333202,'1990-05-01 00:00:00',4,1,12,2007,'F','N','SANTA TEREZINHA','MANHUAÇU','MG','113131131116131221523511342134610124147',NULL,'9998',21.30,1,2,1),(20,5333210,'1966-08-10 00:00:00',4,6,12,1983,'M','N','SOUZA CRUZ','BRUSQUE','SC','624121124116152421538843435123321564042',NULL,'9998',17.47,1,3,NULL),(20,5333229,'1991-06-04 00:00:00',4,1,12,2008,'F','N','CIDADE CLARET','RIO CLARO','SP','125252251216571431458614575122610122093',NULL,'9998',0.00,1,3,NULL),(20,5333237,'1991-05-25 00:00:00',4,1,5,2009,'M','N','VISTA ALEGRE','VINHEDO','SP','125252281217271431454812345122610137017',NULL,'9998',0.00,1,3,NULL),(20,5333245,'1991-01-22 00:00:00',2,1,11,2008,'F','N','SANTOS DUMONT','S JOSÉ R PRETO','SP','125252251215411711368839575112610142197',12321,'9998',49.29,1,3,NULL),(20,5333253,'1980-08-21 00:00:00',2,1,12,1998,'M','N','PIO X','CAXIAS SUL','RS','120201201116141411434427345124142062197',NULL,'9998',34.51,1,2,1),(20,5333270,'1992-10-10 00:00:00',2,1,12,2009,'F','N','GUIOMAR','ANTÔNIO CARLOS','SC','124241241115371431526615572224610138077',13842,'21',48.87,1,2,1),(20,5333296,'1992-11-10 00:00:00',4,17,12,2009,'F','N','CAMPO DA AGUA VERDE','CANOINHAS','SC','124241241215161731338912572122610114142',NULL,'973',21.60,1,3,NULL),(20,5333300,'1981-09-19 00:00:00',2,1,7,2000,'M','N','GUARDA DO CUBATAO','PALHOÇA','SC','124243247326131431238844345332130222041',NULL,'9999',19.97,4,3,NULL),(20,5333318,'1991-08-10 00:00:00',4,3,7,2009,'M','N','CRISTO REI','CURITIBA','PR','116162281215271431466924491114610167042',NULL,'9998',0.00,1,3,NULL),(20,5333326,'1987-03-24 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241245346131421435524242214610123073',NULL,'281',0.00,1,3,NULL),(20,5333334,'1984-01-07 00:00:00',2,1,7,2004,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241315375441336629335123221764182',NULL,'9997',26.68,1,3,NULL),(20,5333342,'1990-01-09 00:00:00',4,5,12,2007,'M','N','BRASILIA','CRICIÚMA','SC','124203241315131431627712341224133264012',NULL,'227',31.30,1,3,NULL),(20,5333350,'1989-03-18 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216425411448833575124610117142',5362,'270',67.41,1,3,NULL),(20,5333369,'1984-07-09 00:00:00',4,1,12,2001,'M','N','LOT FERNANDA','CAPINZAL','SC','124241241217153511467516245124523266195',3206,'155',72.89,1,3,NULL),(20,5333377,'1992-07-23 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241215151431458933575124610165011',9817,'273',57.37,1,3,NULL),(20,5333385,'1992-03-03 00:00:00',4,4,12,2009,'F','N','CENTRO','PALMITINHO','RS','120201201116131431553934571124610126077',10759,'9998',53.82,1,2,1),(20,5333393,'1991-10-30 00:00:00',2,10,7,2009,'M','N','CENTRO','RIO FORTUNA','SC','124241241327161431438611392121610168042',NULL,'9999',12.68,1,3,NULL),(20,5333407,'1992-09-21 00:00:00',4,1,11,2009,'M','N','BOM VIVER','BIGUAÇU','SC','124241241117231411434923592224610167187',NULL,'65',23.06,2,1,1),(20,5333415,'1987-05-18 00:00:00',2,1,12,2005,'F','N','PASSA VINTE','PALHOÇA','SC','124241241112472431223644145334610123042',NULL,'591',18.87,1,2,1),(20,5333423,'1991-12-22 00:00:00',2,8,12,2008,'F','N','ÁGUAS BELAS','S JOSÉ PINHAIS','PR','116162161215471751448311571124610146182',8298,'9998',60.36,1,3,NULL),(20,5333431,'1985-05-05 00:00:00',2,1,12,2003,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241127135431121344241334131434092',13435,'521',47.81,4,2,1),(20,5333440,'1987-10-04 00:00:00',2,1,12,2005,'M','N','JD SÃO MIGUEL','BIGUAÇU','SC','124241241116141451436613235124610117053',NULL,'65',0.00,1,3,NULL),(20,5333466,'1992-08-05 00:00:00',2,1,11,2009,'F','N','FUNDOS','BIGUAÇU','SC','124242248212112411656933575122610127072',NULL,'1118',41.67,4,3,NULL),(20,5333490,'1981-10-28 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124163167115372431611149492114610133187',NULL,'9998',25.31,1,3,NULL),(20,5333520,'1975-12-18 00:00:00',4,1,12,1993,'M','N','CENTRO','FLORIANÓPOLIS','SC','224242241211134431468713485122330817047',NULL,'269',29.21,1,3,NULL),(20,5333539,'1979-11-08 00:00:00',1,1,12,1999,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241247425133431223344345121431826147',NULL,'1076',0.00,1,3,NULL),(20,5333547,'1992-09-04 00:00:00',2,8,11,2009,'M','N','ITAUM','JOINVILLE','SC','124243246212111431436819292111610167042',NULL,'1006',26.04,1,3,NULL),(20,5333555,'1978-12-27 00:00:00',2,8,12,2009,'M','N','FATIMA','JOINVILLE','SC','624243247342131231226344142223610152067',NULL,'9997',22.61,4,1,2),(20,5333571,'1992-05-25 00:00:00',4,7,12,2009,'M','N','FLORESTA','VIDEIRA','SC','124241241117131232458834375122610137057',NULL,'831',0.00,1,2,1),(20,5333580,'1991-08-07 00:00:00',2,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124213211211272741423611575124610124032',12269,'9998',53.83,1,3,NULL),(20,5333598,'1983-11-18 00:00:00',4,1,12,2001,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124252041216152731126849492321141467117',5148,'9998',67.95,1,3,NULL),(20,5333628,'1993-08-17 00:00:00',4,1,12,2010,'M','S','ABRAÃO','FLORIANÓPOLIS','SC','124242241216111411479933135124610124147',NULL,'262',21.42,1,3,NULL),(20,5333636,'1991-03-19 00:00:00',4,16,12,2007,'F','N','CENTRO','CURITIBANOS','SC','124241241117141731525615381334230247052',NULL,'320',0.00,1,2,1),(20,5333644,'1982-11-08 00:00:00',2,1,12,2001,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241212515411466723442121230234117',NULL,'270',26.68,1,3,NULL),(20,5333652,'1983-03-22 00:00:00',2,1,1,1998,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241122145421125344242124230262097',15649,'69',45.68,1,2,1),(20,5333660,'1992-01-09 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241117121432359931572114610167047',4445,'270',69.68,1,3,NULL),(20,5333687,'1992-10-24 00:00:00',4,4,12,2009,'F','N','RURAL','CAIBI','SC','124241241115161431413615572114610137057',NULL,'127',0.00,1,2,1),(20,5333717,'1991-05-20 00:00:00',2,1,12,2009,'M','N','N SENHORA DO ROSARI','S JOSÉ','SC','124244241217111431446514575122610117112',7227,'262',61.04,1,3,NULL),(20,5333725,'1979-11-13 00:00:00',3,1,11,1999,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124251254626312731535533285321222244023',8434,'9998',60.29,5,3,NULL),(20,5333733,'1992-10-15 00:00:00',4,8,12,2009,'M','N','GUANABARA','JOINVILLE','SC','124244241335121431556614445124610147112',NULL,'1016',23.69,1,3,NULL),(20,5333750,'1992-11-26 00:00:00',4,1,12,2009,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124242241212171731327829472122610122147',NULL,'1022',21.63,1,3,NULL),(20,5333768,'1989-06-16 00:00:00',4,1,12,2006,'F','N','KOBRASOL','S JOSÉ','SC','124242241415573412467723415114131031157',10783,'1118',56.71,1,3,NULL),(20,5333776,'1990-04-10 00:00:00',4,4,11,2008,'F','N','PRESIDENTE KENNEDY','FRANCISCO BELTRÃO','PR','116162161316471411469932284122610163017',1545,'9998',78.45,1,3,NULL),(20,5333784,'1992-10-15 00:00:00',2,1,12,2009,'M','N','PARTENON','PTO ALEGRE','RS','120202201217371711648923575124610166056',8864,'9998',57.51,3,3,NULL),(20,5333792,'1982-07-07 00:00:00',4,15,12,2000,'M','N','JARDIN DAS AVENIDAS','ARARANGUÁ','SC','124241241127141432422232115122340218057',NULL,'420',17.35,4,3,NULL),(20,5333806,'1989-09-15 00:00:00',3,1,6,2007,'F','N','PRAIA DO CANTO','VITÓRIA','ES','108242281415573431449811574114610133092',NULL,'9998',0.00,1,3,NULL),(20,5333814,'1991-11-04 00:00:00',2,1,12,2008,'F','N','VILLAGE','IMBITUBA','SC','124241241215373751336619575114610136187',8446,'362',59.59,1,3,NULL),(20,5333822,'1991-07-19 00:00:00',4,4,12,2008,'M','N','CENTRO','CHAPECÓ','SC','120243241217472631565923592124610138183',8838,'168',58.51,1,3,NULL),(20,5333830,'1992-03-26 00:00:00',4,9,12,2009,'M','N','SAGRADO C DE JESUS','LAGES','SC','124242241215111421467812575122610134072',NULL,'1146',0.00,1,3,NULL),(20,5333849,'1992-09-28 00:00:00',2,3,12,2009,'F','N','ANDORINHA','ITAPEMA','SC','124241241412171431545833572112610145147',NULL,'405',0.00,1,3,NULL),(20,5333865,'1991-06-24 00:00:00',4,15,8,2009,'M','N','MORRO DO ESPELHO','S LEOPOLDO','RS','120202281416271431568814575124610137147',9815,'9998',58.52,1,3,NULL),(20,5333873,'1989-08-31 00:00:00',4,8,12,2006,'F','N','CENTRO','GETÚLIO VARGAS','RS','124202201216574431468813575124232444197',6319,'9998',62.52,1,3,NULL),(20,5333881,'1978-01-03 00:00:00',2,1,12,1997,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201203127271431223444342134610164187',NULL,'9998',29.33,1,2,1),(20,5333890,'1990-06-12 00:00:00',4,8,12,2007,'M','N','MERCÊS','CURITIBA','PR','116161161115571431356319475112610167147',NULL,'9998',47.08,1,2,1),(20,5333903,'1991-12-31 00:00:00',2,1,12,2008,'F','N','MORRO DA BINA','BIGUAÇU','SC','124241241225132441323311572344610114142',NULL,'262',28.21,1,3,NULL),(20,5333920,'1991-11-25 00:00:00',2,10,12,2008,'F','N','GRANJA ESPERANCA','CACHOEIRINHA','RS','120201201117271451326614272114610166057',13598,'9998',48.19,1,2,1),(20,5333938,'1992-12-10 00:00:00',4,16,11,2009,'F','N','PARQUE INDUSTRIAL','MTE CARLO','SC','124243241415111721536732575124610112197',NULL,'885',19.85,1,3,NULL),(20,5333946,'1990-07-12 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124201201217121411339844445123610148187',NULL,'9998',20.21,1,3,NULL),(20,5333954,'1988-11-05 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217444411579913495132231835132',NULL,'1022',42.69,1,3,NULL),(20,5333962,'1982-04-18 00:00:00',4,1,12,1996,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211114431458811311132321414067',NULL,'1050',0.00,1,3,NULL),(20,5333970,'1990-06-22 00:00:00',4,8,10,2007,'M','N','CENTRO','JOINVILLE','SC','124242248235141231453632322122130227041',NULL,'1016',0.00,1,3,NULL),(20,5333989,'1990-09-28 00:00:00',2,6,12,2007,'F','N','CORDEIROS','ITAJAÍ','SC','124242241415131711455733245124230433077',NULL,'395',0.00,1,3,NULL),(20,5333997,'1990-06-11 00:00:00',2,3,12,2007,'F','N','JARDIM ELDORADO','PARANAGUÁ','PR','116162161216453751547814375124243222127',16006,'9998',44.07,1,3,NULL),(20,5334004,'1988-02-25 00:00:00',4,1,12,2005,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124241241127131731433439245124333237147',NULL,'891',0.00,1,3,NULL),(20,5334012,'1988-03-05 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241122473431113344145324610127052',11368,'14',51.73,3,2,1),(20,5334039,'1983-10-03 00:00:00',2,8,12,2003,'F','N','BUCAREIN','JOINVILLE','SC','124241247336131732333319442124131961177',NULL,'489',44.57,1,3,NULL),(20,5334047,'1985-03-18 00:00:00',4,1,12,2002,'M','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124253251237371411238644245324143264112',NULL,'9998',30.08,1,3,NULL),(20,5334055,'1990-07-02 00:00:00',4,1,12,2007,'M','N','BARRREIROS','S JOSÉ','SC','124241241132232731326654245124610117067',15123,'288',44.28,1,2,1),(20,5334071,'1991-08-19 00:00:00',2,1,12,2009,'F','N','JARDIM ALEXANDRE','RIO SUL','SC','124244241215141431421624146341610123147',NULL,'663',19.06,1,3,NULL),(20,5334080,'1981-04-28 00:00:00',2,10,12,2001,'F','N','OFICINAS','TUBARÃO','SC','124243241316142431128743335224332224177',NULL,'797',0.00,1,3,NULL),(20,5334098,'1990-05-12 00:00:00',4,1,11,2007,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124132251216473431583812172122221464052',5277,'9998',67.63,1,3,NULL),(20,5334101,'1978-09-08 00:00:00',2,10,9,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224241241122131231324351382224610126047',NULL,'9997',22.36,2,2,1),(20,5334110,'1975-10-21 00:00:00',2,1,12,1998,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','524253247326275421133812111132133262137',13663,'9999',51.02,1,3,NULL),(20,5334136,'1991-03-22 00:00:00',2,9,11,2008,'M','N','MARTORANO','S JOAQUIM','SC','124244241215472431454412575122610117062',NULL,'1035',29.10,1,3,NULL),(20,5334144,'1990-05-31 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241115273421537331372124610128087',NULL,'288',29.94,1,3,NULL),(20,5334152,'1984-11-01 00:00:00',2,1,12,2002,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241122474431512411292124610162187',NULL,'281',46.93,1,2,1),(20,5334160,'1990-09-24 00:00:00',2,4,12,2007,'F','N','CENTRO','S MIGUEL OESTE','SC','116241241211572431468923572125610166142',NULL,'751',0.00,1,3,NULL),(20,5334179,'1992-06-14 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241317371752557714325122610123077',12533,'257',49.36,1,3,NULL),(20,5334187,'1992-07-04 00:00:00',4,1,11,2009,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251215111431456632225122610154182',NULL,'9998',0.00,1,3,NULL),(20,5334195,'1989-06-18 00:00:00',2,15,12,2006,'F','N','INDEPENDENCIA','PTO ALEGRE','RS','120201201116571711444615272124610164072',8575,'9998',58.97,1,2,1),(20,5334217,'1976-12-27 00:00:00',4,4,12,1994,'F','N','CENTRO','CPO ERÊ','SC','224161161217271412268656572112140328192',NULL,'9998',28.71,1,3,NULL),(20,5334225,'1988-03-03 00:00:00',2,16,12,2005,'M','N','SAO JOSE','CURITIBANOS','SC','124241241143372431533314342123610164057',8910,'239',58.64,1,2,1),(20,5334233,'1991-09-09 00:00:00',2,1,12,2009,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111431538814572124610127042',NULL,'1022',44.83,1,3,NULL),(20,5334241,'1990-07-29 00:00:00',4,5,12,2007,'F','N','CENTRO','IJUÍ','RS','120202201216571431268611491124610146013',NULL,'9998',0.00,1,3,NULL),(20,5334250,'1988-02-18 00:00:00',4,1,12,2005,'F','N','JARDIM ITAMBÉ','COLOMBO','PR','116161241126131431523544241124140827044',NULL,'524',43.86,1,2,1),(20,5334268,'1988-09-30 00:00:00',4,10,12,2009,'M','N','RECIFE','TUBARÃO','SC','124241241116131431523638485111610162186',NULL,'9997',0.00,1,3,NULL),(20,5334276,'1988-08-07 00:00:00',2,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116161161136471431336824372324143246097',6220,'9998',65.53,1,2,1),(20,5334284,'1991-03-19 00:00:00',4,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241317233311327713442124610135017',16295,'257',40.69,1,3,NULL),(20,5334306,'1990-12-29 00:00:00',2,1,12,2009,'F','N','BUDAG','RIO SUL','SC','124243241215131331329723345122610143057',NULL,'663',17.93,1,3,NULL),(20,5334314,'1992-04-29 00:00:00',2,1,12,2009,'F','N','FLORESTA','S JOSÉ','SC','124241241217121441236624575114610133197',NULL,'1022',21.23,1,3,NULL),(20,5334322,'1992-09-09 00:00:00',4,3,12,2009,'M','N','CENTRO','CAMBORIÚ','SC','124242246215131431344412172124610117112',NULL,'1059',22.88,1,3,NULL),(20,5334349,'1976-02-07 00:00:00',4,1,12,1994,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124162161211573721116844445124222914097',6785,'9998',64.29,1,3,NULL),(20,5334357,'1980-04-26 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241246116135421221349295224223233097',7015,'306',63.79,1,2,1),(20,5334365,'1991-10-16 00:00:00',4,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241115161731523531395124610137141',NULL,'295',23.93,1,2,1),(20,5334373,'1991-07-02 00:00:00',4,7,12,2008,'M','N','CENTRO','SALTO VELOSO','SC','124244241111141741326634571122610137057',NULL,'684',21.35,1,3,NULL),(20,5334381,'1988-12-14 00:00:00',2,6,4,2009,'M','N','SÃO JOÃO','ITAJAÍ','SC','124241247121371441526619395123610125117',NULL,'395',24.23,1,2,1),(20,5334390,'1992-06-21 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112431688612125124610167057',3194,'270',72.92,1,3,NULL),(20,5334403,'1989-11-09 00:00:00',3,1,6,2007,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124202201117451411466931472124142244125',11702,'9998',54.93,1,3,NULL),(20,5334411,'1993-02-01 00:00:00',4,9,12,2010,'F','S','JARDIM CAIÇARA','S JOAQUIM','SC','124242241215111431588813575122610127075',NULL,'1035',28.55,1,3,NULL),(20,5334438,'1987-07-14 00:00:00',2,1,12,2004,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241111275441437834345124133262012',9688,'267',58.76,1,2,1),(20,5334446,'1989-05-16 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241311574431568314471122610133092',5283,'1022',65.67,4,3,NULL),(20,5334462,'1988-12-28 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116163161116371411449913575124243256017',NULL,'9998',0.00,1,3,NULL),(20,5334489,'1991-02-05 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472411588914571112610164182',3210,'270',72.87,1,3,NULL),(20,5334497,'1993-06-02 00:00:00',4,9,12,2010,'F','S','BELA VISTA','ITUPORANGA','SC','124241241117151531438612242122610136172',NULL,'930',0.00,1,3,NULL),(20,5334500,'1966-04-27 00:00:00',2,1,12,2004,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','624243243327555111433343135132140316182',NULL,'641',50.14,1,3,NULL),(20,5334519,'1992-10-01 00:00:00',2,1,12,2009,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215111431456832345134610127022',15290,'1022',46.97,4,3,NULL),(20,5334527,'1989-02-05 00:00:00',2,15,11,2006,'M','N','CENTRO','BAL ARROIO SILVA','SC','124243241141372411646614135124231425097',NULL,'29',38.82,1,3,NULL),(20,5334543,'1978-11-23 00:00:00',4,1,11,1995,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224242241212152411368842225122120267062',NULL,'266',27.39,1,3,NULL),(20,5334551,'1992-07-16 00:00:00',2,16,12,2009,'F','N','CENTRO','STA CECÍLIA','SC','124241241117371632323314172324610114147',NULL,'686',0.00,1,2,1),(20,5334560,'1987-02-23 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124214211215472441466632385114610127047',13229,'9998',51.90,1,3,NULL),(20,5334578,'1992-08-08 00:00:00',4,6,12,2009,'M','N','CENTRO','ITAJAÍ','SC','124242241217111431479914575122610124182',NULL,'1172',26.95,1,3,NULL),(20,5334586,'1991-10-31 00:00:00',2,9,11,2009,'M','N','CENTRO','CPO BELO SUL','SC','124241241215171411438834575112610117042',NULL,'9997',24.85,3,3,NULL),(20,5334594,'1989-06-05 00:00:00',1,8,12,2006,'M','N','JARDIM VILA FRANCA','PIRAQUARA','PR','116162161216471421469812571114241764092',14592,'9998',49.02,1,3,NULL),(20,5334608,'1991-08-04 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472431458714574122610135092',2968,'1063',73.01,1,3,NULL),(20,5334624,'1992-10-03 00:00:00',2,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241116131451436619575124610164142',NULL,'257',28.53,1,2,1),(20,5334632,'1963-12-17 00:00:00',2,1,12,1985,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124241241621132431224473382124610114147',NULL,'9999',22.57,1,3,NULL),(20,5334640,'1992-04-22 00:00:00',2,8,11,2008,'M','N','CENTRO','SEN LA ROQUE','MA','110101101436141431526611335234241418142',16252,'9998',41.77,1,3,NULL),(20,5334667,'1981-03-01 00:00:00',4,1,12,1998,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241213155411556633235124122367042',NULL,'272',0.00,1,3,NULL),(20,5334683,'1985-03-30 00:00:00',4,16,12,2002,'M','N','ÁGUA SANTA','CURITIBANOS','SC','124241241412373721258923232122320663085',1952,'269',77.07,1,3,NULL),(20,5334691,'1984-01-02 00:00:00',2,7,12,2001,'F','N','CENTRO','CAMPOS NOVOS','SC','124163241112151711423311432122331346017',NULL,'139',13.17,1,3,NULL),(20,5334705,'1993-07-18 00:00:00',4,1,12,2010,'M','S','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215111431478834575122610137112',NULL,'262',28.90,1,3,NULL),(20,5334713,'1988-07-14 00:00:00',2,1,12,2005,'F','N','PALMAS','GOV CELSO RAMOS','SC','124161161136271411223479245134610113072',NULL,'9998',22.38,4,2,1),(20,5334721,'1973-09-02 00:00:00',2,1,12,1992,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124202201217152751256673495112322221183',NULL,'9998',50.24,1,3,NULL),(20,5334730,'1990-01-01 00:00:00',4,1,11,2007,'F','N','CENTRO','S JOAQUIM','SC','124242241215573731446616572112130364017',6343,'270',63.33,3,3,NULL),(20,5334748,'1984-02-28 00:00:00',2,1,7,2004,'M','N','RIO GRANDE','PALHOÇA','SC','124241248141133731313331281124610124181',NULL,'592',19.48,1,2,1),(20,5334772,'1992-05-28 00:00:00',2,2,12,2009,'F','N','VELHA','BLUMENAU','SC','124244241136141731535619345134610162082',NULL,'79',28.91,1,3,NULL),(20,5334780,'1993-12-11 00:00:00',4,8,12,2009,'M','N','MORRO DO MEIO','JOINVILLE','SC','124241242115161431344819575122610132171',NULL,'24',29.37,1,3,NULL),(20,5334799,'1988-09-07 00:00:00',2,4,12,2008,'M','N','CENTRO','PINHALZINHO','SC','124241241116271431455639285122610121047',NULL,'1032',22.75,1,3,NULL),(20,5334802,'1983-03-11 00:00:00',4,2,12,2000,'M','N','CENTRO','BRUSQUE','SC','224242241216152431346844445122221438012',NULL,'107',0.00,1,3,NULL),(20,5334810,'1991-09-13 00:00:00',4,1,12,2008,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124244241215372612438631315124610122147',NULL,'1022',29.58,1,3,NULL),(20,5334829,'1980-11-10 00:00:00',4,15,12,1998,'M','N','LIMEIRA','MELEIRO','SC','124241241122132431333326442223121718051',NULL,'559',25.98,1,2,1),(20,5334837,'1987-08-13 00:00:00',4,1,12,2005,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215155431558713391121233238042',7525,'883',62.75,1,3,NULL),(20,5334845,'1989-06-20 00:00:00',2,9,12,2006,'M','N','CONTA DINHEIRO','LAGES','SC','124241241116472431535632172222232636017',15192,'498',44.92,1,3,NULL),(20,5334861,'1992-01-27 00:00:00',2,1,12,2008,'F','N','FABRICIO','STO AMARO IMPERATRIZ','SC','124241241116272431426611275124610127017',13466,'941',48.08,1,2,1),(20,5334870,'1990-01-04 00:00:00',4,6,12,2007,'M','N','CENTRO','ITAJAÍ','SC','124242241212132431335824445124231026182',NULL,'392',0.00,1,3,NULL),(20,5334888,'1991-11-18 00:00:00',2,1,11,2008,'F','N','CENTRO FLORIANÓPOLIS','FLORIANÓPOLIS','SC','124241241112472231534634372114610123092',7243,'307',63.18,1,2,1),(20,5334896,'1989-12-05 00:00:00',4,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124242247247272431128644441114610134197',NULL,'270',0.00,1,3,NULL),(20,5334918,'1991-10-24 00:00:00',4,1,11,2009,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241217372431679813372112610144147',1838,'270',76.38,1,3,NULL),(20,5334934,'1989-12-31 00:00:00',2,1,12,2006,'F','N','ARIRIU','PALHOÇA','SC','124241241137161431324629242124610126182',NULL,'593',28.13,4,2,1),(20,5334942,'1989-05-09 00:00:00',2,5,12,2006,'F','N','CENTRO','NOVA VENEZA','SC','124244241217141431649613274124230643142',NULL,'813',29.94,1,3,NULL),(20,5334950,'1981-08-29 00:00:00',4,1,12,1999,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241246117375431234321332232321767017',NULL,'306',0.00,1,2,1),(20,5334969,'1990-06-23 00:00:00',2,1,12,2007,'M','N','CENTRO','BIGUAÇU','SC','124131131116161231246713342122610128097',NULL,'9998',12.49,1,2,1),(20,5334977,'1992-07-11 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431367823571122610134073',NULL,'270',0.00,1,3,NULL),(20,5334985,'1986-05-03 00:00:00',4,1,12,2004,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241412272431527444345124141017051',16312,'1022',40.04,1,3,NULL),(20,5335000,'1981-01-14 00:00:00',2,15,6,2001,'M','N','COLONINHA','ARARANGUÁ','SC','124241247327151441236442322122233261197',NULL,'9999',27.79,1,3,NULL),(20,5335019,'1992-09-14 00:00:00',2,15,12,2009,'M','N','SANTA FÉ','SOMBRIO','SC','124241241117161531646636255122610147042',NULL,'1033',20.95,1,2,1),(20,5335035,'1992-12-03 00:00:00',4,1,12,2009,'F','N','PRAÇA STOLTENBERG','VIDAL RAMOS','SC','124241241135371421535414372224610164142',NULL,'828',0.00,1,2,1),(20,5335060,'1980-07-28 00:00:00',4,1,12,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241161215151711226823395122341537187',NULL,'9998',0.00,1,3,NULL),(20,5335078,'1983-07-29 00:00:00',2,1,12,2003,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241127472721125444242334610162147',NULL,'65',37.42,1,2,1),(20,5335094,'1993-02-12 00:00:00',2,1,11,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241112171231534634342114610123092',NULL,'307',16.37,1,2,1),(20,5335124,'1992-09-13 00:00:00',4,1,12,2009,'M','N','INDEPENDENCIA','PTO ALEGRE','RS','120202201217371751489811572122610167143',NULL,'9998',0.00,1,3,NULL),(20,5335132,'1993-06-01 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241115131211459933575112610122142',12851,'306',52.64,1,3,NULL),(20,5335140,'1992-02-14 00:00:00',4,8,12,2008,'M','N','JARDIM ICARAÍ','BARRA VELHA','SC','124241241125121131335821585224610134077',NULL,'57',0.00,1,2,1),(20,5335159,'1991-07-21 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241415111731467873575124231067047',15714,'1022',45.44,1,3,NULL),(20,5335183,'1987-04-26 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241231154111369814385124233264165',NULL,'270',42.00,1,3,NULL),(20,5335205,'1974-09-22 00:00:00',4,1,12,1991,'M','N','CENTRO','FLORIANÓPOLIS','SC','124214211216275711365343435131141027097',NULL,'9998',0.00,1,3,NULL),(20,5335213,'1984-11-01 00:00:00',2,1,6,2007,'F','N','FLORESTA','S JOSÉ','SC','224241247137131431326654345234610111042',NULL,'9999',24.01,1,2,1),(20,5335221,'1992-01-17 00:00:00',4,1,12,2008,'F','N','CENTRO','PALMAS','TO','127272271216471431489813575122610164192',NULL,'9998',0.00,1,3,NULL),(20,5335230,'1992-09-15 00:00:00',4,4,12,2009,'F','N','CENTRO','SARANDI','RS','120204201316351411236822215122610122142',10605,'9998',53.12,1,3,NULL),(20,5335248,'1989-09-21 00:00:00',2,1,12,2007,'F','N','CENTRO','LIMEIRA','SP','125252251215371431349811271124143226127',8106,'9998',58.99,1,3,NULL),(20,5335256,'1988-03-28 00:00:00',4,1,12,2005,'F','N','RESIDENCIAL AQUARIUS','S JOSÉ CAMPOS','SP','125254251215574431576812575112610166092',3338,'9998',70.92,1,3,NULL),(20,5335280,'1991-03-25 00:00:00',4,8,11,2007,'M','N','GLÓRIA','JOINVILLE','SC','124243241117372431349614575121130214142',NULL,'475',27.29,1,3,NULL),(20,5335299,'1990-11-16 00:00:00',4,1,11,2007,'M','N','CAMPINAS','S JOSÉ','SC','124244241212143421356634345124220944042',9214,'737',59.59,1,3,NULL),(20,5335302,'1960-10-30 00:00:00',2,15,12,1979,'M','N','CIDADE ALTA','ARARANGUÁ','SC','224243243312133722543333331132130721187',NULL,'207',0.00,1,3,NULL),(20,5335310,'1976-01-04 00:00:00',4,1,12,1996,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624241241127131431233454482224610121181',NULL,'846',26.63,1,2,1),(20,5335329,'1992-03-18 00:00:00',2,1,12,2009,'F','N','CENTRO','CPO BELO','MG','113132131217131431338831575122610127147',NULL,'9998',22.37,1,3,NULL),(20,5335337,'1988-07-01 00:00:00',4,1,12,2007,'F','N','CENTRO','PATO BRANCO','PR','116161167136151451226647385125142068142',NULL,'9998',29.70,1,2,1),(20,5335345,'1990-08-24 00:00:00',4,3,12,2007,'F','N','CENTRO','MAFRA','SC','124243241216472431566632572122130263042',11895,'541',51.84,1,3,NULL),(20,5335353,'1991-05-02 00:00:00',4,8,12,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124241241126472111535824245334610165187',NULL,'465',0.00,1,3,NULL),(20,5335361,'1966-10-06 00:00:00',4,1,12,1988,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','524211211446133721244343235121320657097',6011,'9998',65.98,1,3,NULL),(20,5335370,'1978-06-19 00:00:00',4,1,12,1995,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124072071216272431248833391124233243097',8036,'9998',61.77,1,3,NULL),(20,5335388,'1988-09-19 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241312473431669613575114610147061',11751,'307',54.83,1,3,NULL),(20,5335396,'1988-10-13 00:00:00',2,4,11,2005,'F','N','CENTRO','CHOPINZINHO','PR','116164161215571431554732571324141348142',NULL,'9998',0.00,1,3,NULL),(20,5335400,'1982-08-21 00:00:00',2,1,12,1999,'M','N','RIO GRANDE','PALHOÇA','SC','124201208112271411334431245124141767112',NULL,'9998',18.47,1,2,1),(20,5335418,'1984-06-13 00:00:00',2,1,9,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241246141134431226944142334131035167',NULL,'306',28.39,1,2,1),(20,5335426,'1992-07-22 00:00:00',2,10,11,2009,'F','N','CENTRO','BRAÇO NORTE','SC','124241241125131711236729241125610128142',NULL,'100',25.82,1,3,NULL),(20,5335442,'1990-12-31 00:00:00',2,1,12,2007,'F','N','FLORESTA','S JOSÉ','SC','124243241316374431328744341124610163142',NULL,'362',25.35,1,3,NULL),(20,5335469,'1991-11-15 00:00:00',2,1,12,2009,'M','N','PONTE IMARUIM','PALHOÇA','SC','124241241136141531643461372114610127012',NULL,'592',11.31,4,2,1),(20,5335477,'1988-03-29 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243248311154421438633475124221517047',9795,'1022',58.56,1,3,NULL),(20,5335493,'1988-12-26 00:00:00',4,1,12,2005,'M','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124241241116274421346631345124230867047',NULL,'726',50.58,4,2,1),(20,5335507,'1984-08-02 00:00:00',4,4,11,2002,'M','N','PALMITAL','CHAPECÓ','SC','124241241127111131549611185115610141187',NULL,'169',25.13,1,3,NULL),(20,5335515,'1980-07-01 00:00:00',2,1,12,1997,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124251251416132741248741215223121864021',7128,'9998',63.57,1,3,NULL),(20,5335523,'1973-06-13 00:00:00',4,1,12,2002,'M','N','MARAJOARA','STO ANDRÉ','SP','125251257127273711221171215121610117117',11126,'9998',54.18,4,2,1),(20,5335531,'1993-01-08 00:00:00',2,15,12,2009,'F','N','JARDIM ATLANTICO','BAL ARROIO SILVA','SC','124243241215111431238623595124610127147',NULL,'32',28.30,1,3,NULL),(20,5335540,'1992-06-20 00:00:00',2,4,12,2009,'F','N','JARDIM','S JOSÉ CEDRO','SC','124241241117162431333611235122610123077',NULL,'740',0.00,1,2,1),(20,5335574,'1986-11-02 00:00:00',2,15,12,2005,'F','N','FLORESTA','PTO ALEGRE','RS','120201201116572331456632595125610168192',14979,'9998',44.71,1,2,1),(20,5335582,'1991-01-22 00:00:00',4,8,1,2009,'M','N','JARDIM IRIRIU','JOINVILLE','SC','124242241215472431378714575112610122175',13993,'494',50.41,1,3,NULL),(20,5335590,'1992-11-30 00:00:00',4,1,11,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241226111421554614475124610136172',11700,'262',53.43,1,3,NULL),(20,5335604,'1988-07-24 00:00:00',4,8,12,2007,'F','N','PETRÓPOLIS','JOINVILLE','SC','124241242114131431323414392224610117147',NULL,'24',0.00,1,2,1),(20,5335612,'1989-11-08 00:00:00',4,8,12,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124241241132131432456624342114610167052',10033,'471',58.09,1,2,1),(20,5335620,'1993-04-23 00:00:00',4,1,12,2009,'M','N','USINA','ANTÔNIO CARLOS','SC','124241241115371431423634242121610132057',14729,'21',45.54,1,2,1),(20,5335639,'1992-08-13 00:00:00',4,1,12,2009,'M','N','RIBANCEIRA','IMBITUBA','SC','124241241115131431523311195123610167042',NULL,'358',25.61,1,2,1),(20,5335647,'1987-10-15 00:00:00',2,1,8,2006,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241247137133411336519346224121827097',6702,'9999',64.49,1,2,1),(20,5335655,'1990-11-12 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241417373431468613572124233223052',7348,'270',63.14,1,3,NULL),(20,5335663,'1992-07-09 00:00:00',4,5,12,2009,'M','N','PINHEIRINHO','CRICIÚMA','SC','124244246415131431436334575124610138191',NULL,'995',27.55,4,3,NULL),(20,5335671,'1992-04-11 00:00:00',4,15,12,2009,'F','N','LAGOÃO','ARARANGUÁ','SC','124241241135111431523314342121610112142',NULL,'30',18.03,1,3,NULL),(20,5335680,'1992-05-14 00:00:00',4,7,12,2009,'M','N','BRASÍLIA','PATO BRANCO','PR','116162161217121531388811575112610167042',NULL,'9998',0.00,1,3,NULL),(20,5335698,'1991-12-20 00:00:00',2,4,12,2008,'M','N','CENTRO','SAUDADES','SC','124244241216112431446831575122232064042',8264,'1070',59.33,1,3,NULL),(20,5335701,'1992-10-04 00:00:00',4,5,11,2009,'M','N','PIO CORRÊA','CRICIÚMA','SC','124242241215122431448931475125610168132',4595,'226',69.30,1,3,NULL),(20,5335710,'1991-07-10 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241137141431444619385112610167047',NULL,'295',20.79,1,2,1),(20,5335728,'1988-08-26 00:00:00',4,1,11,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242247211474441338923535124231066044',NULL,'9999',39.52,1,3,NULL),(20,5335736,'1982-09-15 00:00:00',2,4,12,2000,'M','N','ESPLANADA','CHAPECÓ','SC','124243247336472431326621245123610124097',NULL,'964',44.17,4,1,2),(20,5335752,'1992-09-21 00:00:00',4,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241215111431248933575122610116192',6124,'1026',65.03,1,3,NULL),(20,5335760,'1987-06-26 00:00:00',4,1,12,2005,'M','N','JD MARIA EUGENIA','CAMPINAS','SP','125252258417471751465839345122610128092',NULL,'9998',40.62,1,3,NULL),(20,5335795,'1991-04-30 00:00:00',2,4,10,2008,'M','N','VERA CRUZ','PASSO FUNDO','RS','120161201116131431226624385124610167182',7677,'9998',59.88,4,2,1),(20,5335809,'1981-07-04 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243245127131731236763382124232226092',NULL,'116',27.03,1,3,NULL),(20,5335817,'1973-07-22 00:00:00',2,1,10,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624241247141141711423344342334610118042',NULL,'9999',23.83,2,1,1),(20,5335825,'1992-04-14 00:00:00',4,7,12,2009,'F','N','SANTA TEREZA','VIDEIRA','SC','124241241215111431456923575122610167142',NULL,'829',0.00,1,3,NULL),(20,5335841,'1986-01-30 00:00:00',4,1,6,2003,'M','N','OFICINAS','PNT GROSSA','PR','116281281116141431367711215122143265142',15155,'9998',47.40,1,3,NULL),(20,5335850,'1991-03-10 00:00:00',4,1,12,2009,'F','N','BOM VIVER','BIGUAÇU','SC','124241241126141711626514442123610127073',NULL,'66',0.00,1,2,1),(20,5335868,'1980-09-05 00:00:00',4,1,12,2000,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124161161126142431123344245122610114185',15848,'9998',44.86,1,3,NULL),(20,5335876,'1991-09-05 00:00:00',2,1,12,2008,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241112131732523314245124610114145',NULL,'592',0.00,1,3,NULL),(20,5335884,'1992-06-11 00:00:00',4,15,11,2009,'M','N','CENTRO','TURVO','SC','124242241215121331456612595111610167052',8803,'32',57.86,1,3,NULL),(20,5335892,'1986-08-18 00:00:00',2,1,12,2003,'F','N','REAL PARQUE','S JOSÉ','SC','124243241216275431333923345124122347187',12760,'270',52.81,1,3,NULL),(20,5335906,'1992-12-23 00:00:00',2,7,12,2009,'M','N','SANTA TEREZA','VIDEIRA','SC','124242241215111731447932192122610164092',NULL,'829',28.64,4,3,NULL),(20,5335914,'1989-03-26 00:00:00',2,1,12,2006,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241211144431436613345124230827147',15524,'1036',46.21,1,3,NULL),(20,5335922,'1990-09-18 00:00:00',2,1,12,2008,'F','N','PONTA GROSSA','MARICÁ','RJ','121212218116111231437811375114610168072',NULL,'9998',28.77,2,1,2),(20,5335930,'1984-01-03 00:00:00',5,1,12,2001,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216373421474912275122330247187',4753,'270',67.24,1,3,NULL),(20,5335949,'1988-08-13 00:00:00',4,1,12,2006,'F','N','BAIRRO AREIAS','S JOSÉ','SC','124242241217132431247713445112610134097',NULL,'1118',28.46,1,3,NULL),(20,5335957,'1990-11-04 00:00:00',4,1,12,2008,'M','N','VILA XAVIER','ASSIS','SP','125252251216471311529812475122610162017',NULL,'9998',0.00,1,3,NULL),(20,5335965,'1991-02-23 00:00:00',5,1,12,2008,'F','N','VILA MENDES','TAQUARITUBA','SP','124251252145111231533624372121610124144',NULL,'9998',0.00,4,1,1),(20,5335973,'1992-02-12 00:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241115111431438833572115610162097',12504,'1038',49.92,1,3,NULL),(20,5335981,'1987-11-11 00:00:00',4,8,12,2004,'M','N','CENTRO','JACAREZINHO','PR','116162161217371431488812575122141432122',1704,'9998',77.68,1,3,NULL),(20,5335990,'1992-04-20 00:00:00',4,15,12,2009,'F','N','SANGA DA RIPA','PR GRANDE','SC','124241242115161731524536572222610164052',NULL,'690',25.32,1,2,1),(20,5336007,'1992-09-11 00:00:00',4,5,12,2009,'F','N','CENTRO','URUSSANGA','SC','124244241215132431438812572122610114017',9554,'820',56.69,1,3,NULL),(20,5336015,'1990-02-21 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124241248117573751354629285114610164187',NULL,'307',0.00,1,2,1),(20,5336031,'1994-02-21 00:00:00',2,1,12,2010,'M','S','TRÊS VENDAS','ERECHIM','RS','120201201117131421538833575124610167047',NULL,'9998',47.69,1,3,NULL),(20,5336040,'1992-06-24 00:00:00',2,4,12,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241216471431438732375122610143072',9369,'751',57.33,1,3,NULL),(20,5336058,'1991-05-29 00:00:00',2,3,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161215471431445812175124610164072',NULL,'9998',23.96,1,3,NULL),(20,5336066,'1983-05-29 00:00:00',2,1,12,2001,'M','N','PERPETUO SOCORRO','STA MARIA','RS','120201201117152551534413495234240954017',NULL,'9998',23.50,2,1,1),(20,5336074,'1991-12-13 00:00:00',4,4,12,2008,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124242241211572411378911312112610161042',5026,'1046',66.25,1,3,NULL),(20,5336090,'1978-06-19 00:00:00',2,1,12,1998,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201201122132731123244442344610112187',14483,'9998',49.29,1,2,1),(20,5336104,'1991-08-20 00:00:00',4,9,12,2008,'F','N','CENTRO','BOM RETIRO','SC','124243241126371421336823574114610166077',NULL,'95',0.00,1,3,NULL),(20,5336112,'1991-12-21 00:00:00',2,5,12,2008,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124242241327141531569311215122130722052',NULL,'214',0.00,1,3,NULL),(20,5336120,'1973-10-31 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','624201247437131431223344145124610157057',NULL,'977',11.78,2,1,2),(20,5336139,'1986-06-01 00:00:00',4,1,12,2003,'M','N','VILA BUARQUE','S PAULO','SP','125131131416151431128744341114142465147',3342,'9998',72.50,1,3,NULL),(20,5336147,'1992-05-10 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431489913375122610122142',NULL,'270',23.90,1,3,NULL),(20,5336155,'1990-10-27 00:00:00',4,5,12,2007,'M','N','PIRAGO','URUSSANGA','SC','124241241144141431433339345122610134047',NULL,'821',13.39,1,3,NULL),(20,5336163,'1988-01-14 00:00:00',4,1,12,2009,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124201247217131441116567495324610164027',NULL,'977',26.35,5,3,NULL),(20,5336171,'1988-10-23 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247121371431526614381124610117047',NULL,'9999',0.00,4,2,1),(20,5336180,'1987-11-23 00:00:00',4,10,7,2005,'M','N','CENTRO','CURITIBA','PR','124243248331224411338732222111132813172',NULL,'9999',27.05,1,3,NULL),(20,5336198,'1991-01-04 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241215352431547913475122610127047',15543,'951',46.13,1,3,NULL),(20,5336201,'1990-10-05 00:00:00',2,8,12,2008,'M','N','JARDIM BOTANICO','CURITIBA','PR','116161165116471411226611185124610165157',10175,'9998',56.24,1,2,1),(20,5336210,'1985-06-28 00:00:00',4,1,10,2003,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116373411437811285114610123147',5530,'306',66.92,1,2,1),(20,5336228,'1992-04-16 00:00:00',2,15,11,2009,'F','N','CENTRO','MARACAJÁ','SC','124243241415121331535633592124610117142',8329,'32',59.29,1,3,NULL),(20,5336236,'1979-07-04 00:00:00',4,8,12,1997,'F','N','CENTRO','GUARATUBA','PR','116163163116151721226743432231140268197',NULL,'9998',0.00,1,3,NULL),(20,5336244,'1991-12-11 00:00:00',2,16,12,2008,'M','N','JARDIM SOFIA','JOINVILLE','SC','124241244116473451123729575124221427057',11156,'239',53.12,1,2,1),(20,5336252,'1987-09-26 00:00:00',4,8,12,2004,'F','N','FLORESTA','JOINVILLE','SC','124241248137131451553521342222330266187',NULL,'482',15.22,1,3,NULL),(20,5336260,'1989-04-25 00:00:00',2,9,12,2006,'M','N','CENTRO','CORREIA PINTO','SC','124242246215473421457934582114610167147',12296,'202',53.78,1,3,NULL),(20,5336279,'1960-03-20 00:00:00',2,15,12,1997,'F','N','LAGOA DE FORA','BAL GAIVOTA','SC','124241243226161311134441312132330825172',NULL,'770',46.45,1,3,NULL),(20,5336287,'1993-01-17 00:00:00',4,9,12,2009,'F','N','CENTRO','VACARIA','RS','120202201217161431477812592112610134187',NULL,'9998',43.64,1,3,NULL),(20,5336317,'1984-02-13 00:00:00',2,1,7,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241247226373741433331245124131017095',14120,'977',50.14,1,3,NULL),(20,5336325,'1960-12-25 00:00:00',2,6,12,1978,'F','N','SÃO VICENTE','ITAJAÍ','SC','524241241141171411223343332341231916042',NULL,'69',40.81,1,2,1),(20,5336333,'1992-01-17 00:00:00',2,1,12,2009,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241235111431347614575122620144182',NULL,'1048',24.78,1,3,NULL),(20,5336341,'1993-06-05 00:00:00',2,1,12,2010,'M','S','FORQUILHINHAS','S JOSÉ','SC','124242241117151431537531572122610121172',NULL,'9997',25.62,1,3,NULL),(20,5336350,'1991-05-28 00:00:00',4,1,12,2009,'M','N','BELA ALIANÇA','S PAULO','SP','125252251217271731468834315124610167117',NULL,'9998',24.27,1,3,NULL),(20,5336368,'1992-06-23 00:00:00',2,7,12,2009,'M','N','CENTRO','ÁGUA DOCE','SC','124241246145111411469933372122610118147',NULL,'9',19.56,1,3,NULL),(20,5336376,'1993-08-06 00:00:00',4,5,10,2010,'M','S','CEARA','CRICIÚMA','SC','124242246215111511563832325114610137142',NULL,'226',29.31,1,3,NULL),(20,5336392,'1992-12-02 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215112231379833572112610167042',NULL,'262',59.21,1,3,NULL),(20,5336406,'1991-12-06 00:00:00',4,1,12,2008,'F','N','VILA JARDIM','PTO ALEGRE','RS','120052051417371411549814582124610122112',9769,'9998',55.56,1,3,NULL),(20,5336414,'1990-12-10 00:00:00',2,1,11,2009,'M','N','CENTRO','S JOAQUIM','SC','124244241216152231556613445122610117067',NULL,'1035',26.99,1,3,NULL),(20,5336422,'1992-05-03 00:00:00',2,1,12,2009,'M','N','CENTRO','NOVA LONDRINA','PR','116162161217271411458811472222610168187',NULL,'9998',26.59,1,3,NULL),(20,5336430,'1990-11-03 00:00:00',2,1,12,2007,'F','N','MARIA DO CARMO','S BORJA','RS','120203201316231431636622471224142414057',NULL,'9998',26.36,1,3,NULL),(20,5336449,'1992-04-26 00:00:00',2,15,12,2009,'F','N','LIVRAMENTO','TURVO','SC','124242241214152431568616282122610167077',15112,'813',43.24,1,3,NULL),(20,5336457,'1988-10-13 00:00:00',4,2,12,2005,'M','N','CIDADE NOVA','MARINGÁ','PR','116162168215574431679811272122610168057',4161,'9998',68.93,3,3,NULL),(20,5336465,'1993-01-12 00:00:00',2,8,11,2009,'F','N','SÃO LUIS','JARAGUÁ SUL','SC','124241248217131731536634574122610134182',NULL,'1061',25.45,3,3,NULL),(20,5336473,'1989-06-09 00:00:00',4,4,12,2005,'M','N','CENTRO','PLANALTO ALEGRE','SC','124241241212574431456823575124121467052',568,'185',84.03,1,3,NULL),(20,5336481,'1992-11-30 00:00:00',2,5,11,2009,'F','N','CENTRO','NOVA VENEZA','SC','124242241217121431466839577122610134192',NULL,'226',29.71,1,3,NULL),(20,5336503,'1990-10-25 00:00:00',4,1,12,2008,'F','N','GRANJA JULIETA','S PAULO','SP','125252251216371411458832576122610142181',3292,'9998',72.41,1,3,NULL),(20,5336511,'1991-02-14 00:00:00',4,1,12,2008,'F','N','CENTRO','LAURENTINO','SC','124241241127131451225469342322133224177',NULL,'315',43.17,1,2,1),(20,5336520,'1991-06-25 00:00:00',2,4,12,2008,'M','N','CENTRO','REALEZA','PR','116161161411131411425612275124241468172',NULL,'9998',0.00,1,3,NULL),(20,5336538,'1980-12-04 00:00:00',2,15,12,1998,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','224241241137131721426644445134610132177',NULL,'29',23.65,1,3,NULL),(20,5336562,'1989-07-29 00:00:00',2,8,12,2006,'M','N','ZONA RURAL','IRATI','PR','124161162125111431413336162324610117044',NULL,'24',31.11,1,2,1),(20,5336570,'1977-09-14 00:00:00',4,1,12,1996,'M','N','SANTOS DUMONT','S JOSÉ','SC','224251251126131721435644245224143266041',11000,'9998',56.29,1,2,1),(20,5336589,'1982-05-01 00:00:00',2,1,7,2005,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241136272511631139242344610147187',NULL,'289',26.69,2,1,1),(20,5336597,'1984-11-06 00:00:00',2,1,12,2004,'M','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124241247327441411323311245123610136112',16089,'9999',43.50,1,3,NULL),(20,5336600,'1990-04-05 00:00:00',2,1,11,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241136272531448633495123123217187',15019,'307',47.81,1,2,1),(20,5336627,'1992-03-26 00:00:00',2,8,11,2008,'F','N','JARDIM PRIMAVERA','ITABUNA','BA','105051051116131431423621372314610123077',15043,'9998',44.76,4,2,1),(20,5336643,'1994-02-03 00:00:00',2,1,12,2011,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215311232356931575122610137042',NULL,'653',28.64,1,3,NULL),(20,5336651,'1993-02-10 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242246115111431369834575122610134142',14152,'129',50.07,1,3,NULL),(20,5336660,'1992-03-15 00:00:00',4,15,12,2009,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241115111532447913272122610134045',NULL,'30',20.99,4,2,1),(20,5336678,'1990-07-12 00:00:00',4,10,7,2009,'M','N','CENTRO','IMBITUBA','SC','124243247337271431438679395113610138117',NULL,'9999',20.95,1,3,NULL),(20,5336686,'1984-11-21 00:00:00',2,1,12,2004,'M','N','SERRARIA','S JOSÉ','SC','124254251116513431537511282122610162112',NULL,'9998',26.60,1,3,NULL),(20,5336694,'1985-06-04 00:00:00',2,1,11,2002,'M','N','PACHECO','PALHOÇA','SC','124242241112134111139843432331121467185',6730,'306',64.42,1,3,NULL),(20,5336708,'1985-07-19 00:00:00',2,3,12,2005,'F','N','CENTRO','BAL CAMBORIÚ','SC','124161241124273721436221212124610126197',NULL,'49',0.00,4,2,1),(20,5336716,'1992-03-10 00:00:00',4,2,11,2010,'M','S','VELHA','BLUMENAU','SC','124242241215111331218879575124610162192',NULL,'855',35.75,1,3,NULL),(20,5336724,'1991-06-28 00:00:00',2,8,12,2008,'M','N','FOSFORO','IRATI','PR','116161162115111431316429275124610117044',NULL,'24',0.00,1,2,1),(20,5336732,'1992-10-06 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111231538611572122610165147',14461,'1022',47.28,1,3,NULL),(20,5336740,'1992-12-10 00:00:00',4,4,12,2009,'F','N','CENTRO','TUNÁPOLIS','SC','124241241137131431424413475122610166077',9984,'812',54.87,4,2,1),(20,5336759,'1993-08-30 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111231248623275121610127167',NULL,'1022',48.23,1,3,NULL),(20,5336767,'1990-10-19 00:00:00',4,1,11,2008,'M','N','CENTRO','BRAÇO NORTE','SC','124242241235152731366832574124221465142',NULL,'806',0.00,1,3,NULL),(20,5336775,'1992-03-17 00:00:00',4,8,12,2009,'M','N','BOA VISTA','JOINVILLE','SC','124244241212111711426564572124610114057',NULL,'1105',15.17,3,3,NULL),(20,5336783,'1991-11-11 00:00:00',4,9,11,2009,'F','N','SANTANA','RIO SUL','SC','124242241215112742558919295112610162097',11827,'991',51.78,1,3,NULL),(20,5336791,'1990-11-05 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215472431436719275122610117185',11446,'1038',52.80,1,3,NULL),(20,5336805,'1993-06-24 00:00:00',2,1,12,2010,'M','S','CALHEIROS','GOV CELSO RAMOS','SC','124241241116171731336419595124610117042',NULL,'63',45.95,1,3,NULL),(20,5336813,'1993-08-24 00:00:00',2,1,12,2009,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124231241217111411358613592124610127142',NULL,'1022',29.55,1,3,NULL),(20,5336821,'1992-06-04 00:00:00',2,9,11,2009,'F','N','CENTRO','ITUPORANGA','SC','124241241216131431338424572124610121057',16173,'663',42.85,1,3,NULL),(20,5336830,'1992-02-19 00:00:00',4,8,12,2009,'F','N','BOEHMERWALD','JOINVILLE','SC','124241241111131431426624572224610131141',NULL,'466',26.52,1,2,1),(20,5336848,'1992-11-25 00:00:00',2,16,11,2009,'M','N','CENTRO','IJUÍ','RS','120202201217271431468819275122610137012',NULL,'9998',0.00,1,3,NULL),(20,5336856,'1990-11-06 00:00:00',5,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215273432348831392115610131187',NULL,'44',38.21,1,3,NULL),(20,5336864,'1991-01-03 00:00:00',4,1,12,2008,'F','N','SANTA LUIZA','NOVA ODESSA','SP','125251251117271441547833285124610166093',NULL,'9998',0.00,1,2,1),(20,5336880,'1992-06-17 00:00:00',4,1,12,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241215111431528313275124610167042',NULL,'9997',25.26,1,3,NULL),(20,5336899,'1991-10-11 00:00:00',4,1,11,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217121431369933275112610132045',4046,'270',69.56,1,3,NULL),(20,5336910,'1992-01-02 00:00:00',4,2,12,2009,'M','N','SANTA TEREZINHA','BRUSQUE','SC','124244241415121411469814572124610127062',5662,'1123',65.29,1,3,NULL),(20,5336929,'1989-03-10 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201116372431355612475124610137182',NULL,'9998',27.16,1,2,1),(20,5336937,'1992-12-11 00:00:00',4,2,12,2010,'F','S','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111431469811572122610143072',NULL,'909',50.66,1,3,NULL),(20,5336945,'1965-06-06 00:00:00',2,1,12,1985,'M','N','BELA VISTA','S JOSÉ','SC','224241248141274421463343335122122347092',NULL,'257',0.00,5,2,1),(20,5336953,'1990-12-04 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241247215273431466613335114610162052',NULL,'9999',0.00,1,3,NULL),(20,5336961,'1992-09-17 00:00:00',4,2,12,2009,'M','N','ESTRADA DAS AREIAS','INDAIAL','SC','124241241215131431433834345122610124077',9180,'986',57.37,1,3,NULL),(20,5336970,'1991-05-07 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124242241212152431446829595114610161182',13182,'723',49.38,1,3,NULL),(20,5336988,'1984-03-14 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124131137131372411436663493121610154177',NULL,'9998',22.85,4,2,1),(20,5336996,'1987-02-09 00:00:00',4,1,12,2005,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124202201416131431458832491124221062117',3936,'9998',71.01,1,3,NULL),(20,5337011,'1990-08-23 00:00:00',4,1,12,2008,'F','N','BOM FIM','PTO ALEGRE','RS','120204201317472731637812572124610124017',13046,'9998',49.54,1,3,NULL),(20,5337020,'1991-10-12 00:00:00',4,1,12,2008,'F','N','RIO FARIAS','ANTÔNIO CARLOS','SC','124241241115372431422235582224610122077',1697,'21',78.07,1,2,1),(20,5337046,'1993-03-27 00:00:00',4,1,12,2009,'F','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124241241215151431553314575112610131053',NULL,'63',26.85,1,3,NULL),(20,5337054,'1993-03-21 00:00:00',4,5,11,2010,'F','S','CENTRO','CRICIÚMA','SC','124242241217111431455923275122610144052',NULL,'213',51.89,1,3,NULL),(20,5337062,'1982-01-28 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241117334741326744145133130727025',NULL,'298',25.14,1,3,NULL),(20,5337089,'1988-09-18 00:00:00',2,1,11,2005,'F','N','BATEL','CURITIBA','PR','116162161216571331539631575124610164042',6414,'9998',64.41,1,3,NULL),(20,5337097,'1991-01-03 00:00:00',4,1,12,2009,'F','N','SANTA LUIZA','NOVA ODESSA','SP','125251251117271411547833285124610166093',NULL,'9998',0.00,1,2,1),(20,5337100,'1989-06-05 00:00:00',2,4,12,2006,'M','N','CENTRO','PASSO FUNDO','RS','120201201211572411536612291131610163062',2526,'9998',73.02,1,3,NULL),(20,5337119,'1993-04-14 00:00:00',4,1,12,2009,'M','N','EXPOSIÇÃO','CAXIAS SUL','RS','120202201217371511488811495112610167122',NULL,'9998',0.00,1,3,NULL),(20,5337127,'1992-07-24 00:00:00',4,8,11,2009,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241212121431466632175112610127122',9246,'932',56.64,1,3,NULL),(20,5337135,'1979-09-15 00:00:00',2,1,2,2001,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241247646131431535319185124610168167',NULL,'9999',29.15,1,3,NULL),(20,5337143,'1965-07-22 00:00:00',4,9,8,1995,'M','N','CENTRO','S JOAQUIM','SC','224241247326131421223351315124132256047',NULL,'497',24.93,1,3,NULL),(20,5337151,'1992-06-23 00:00:00',4,1,12,2009,'M','N','PARQUE CIDADE JARDIM','UMUARAMA','PR','116162161215111431448833575112610134187',1473,'9998',78.39,1,3,NULL),(20,5337160,'1992-05-26 00:00:00',2,10,11,2009,'F','N','DEHON','TUBARÃO','SC','124242241215111711466612372122610138122',NULL,'806',19.97,1,3,NULL),(20,5337178,'1992-12-11 00:00:00',4,2,12,2010,'F','S','JARDIM BLUEMENAU','BLUMENAU','SC','124242241215111431469811372122610143072',NULL,'909',51.40,1,3,NULL),(20,5337186,'1991-09-23 00:00:00',2,9,11,2009,'M','N','SAO CRISTOVAO','LAGES','SC','124243241316111431358827591125610165192',9895,'497',54.78,1,3,NULL),(20,5337194,'1990-08-27 00:00:00',4,3,12,2007,'F','N','SAN FERNANDO','LONDRINA','PR','116162161212542221328834572122610123083',7485,'9998',61.67,1,3,NULL),(20,5337208,'1990-03-22 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241315411412115541132334610133077',NULL,'9997',40.02,1,3,NULL),(20,5337216,'1979-02-01 00:00:00',4,1,12,1995,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124201201316151712139943435133341462187',NULL,'9998',19.40,1,3,NULL),(20,5337224,'1991-06-24 00:00:00',4,1,12,2008,'M','N','BELA ALIANÇA','S PAULO','SP','125252251216471451369814475124610132092',NULL,'9998',0.00,1,3,NULL),(20,5337240,'1992-07-02 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215111431536614145122610114041',14072,'273',48.87,1,3,NULL),(20,5337259,'1991-10-28 00:00:00',2,4,12,2008,'M','N','CENTRO','TIO HUGO','RS','120201201121271431324312221224610136042',14816,'9998',45.95,1,2,1),(20,5337267,'1991-02-17 00:00:00',4,9,6,2009,'M','N','FAZENDA NOVA','S JOSÉ CERRITO','SC','124241242116131431523515295122610122057',NULL,'960',5.42,1,2,1),(20,5337283,'1989-02-03 00:00:00',4,1,12,2005,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241136113721346923472124230212147',10830,'21',56.62,1,2,1),(20,5337291,'1990-11-05 00:00:00',4,8,12,2007,'M','N','VILA A','FOZ IGUAÇU','PR','116161161111131451533833575214610117012',NULL,'9998',0.00,3,2,1),(20,5337305,'1990-12-10 00:00:00',4,7,12,2007,'F','N','CENTRO','STA MARIA','RS','120202201217572431446832575124610132092',NULL,'9998',0.00,1,3,NULL),(20,5337321,'1991-09-07 00:00:00',2,4,10,2007,'F','N','CENTRO','BR COTEGIPE','RS','120202201217471421546633272114610161197',3958,'9998',69.52,1,3,NULL),(20,5337330,'1979-04-08 00:00:00',2,1,12,1999,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124251257426334331228641115121243212052',16012,'9998',41.24,1,3,NULL),(20,5337348,'1992-02-10 00:00:00',2,1,12,2009,'M','N','PALMAS','GOV CELSO RAMOS','SC','124241241126141231523319295124610127047',NULL,'1099',28.46,1,2,1),(20,5337356,'1992-02-13 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241215121731458624275122610162097',15077,'270',45.46,1,3,NULL),(20,5337364,'1973-10-13 00:00:00',2,1,12,1998,'F','N','ROÇADO','S JOSÉ','SC','124241241126132421125344441224130813192',NULL,'583',0.00,1,2,1),(20,5337372,'1982-01-21 00:00:00',2,8,2,2007,'M','N','PARQUE GUARANI','JOINVILLE','SC','624241241115162431411351252345610134047',NULL,'9997',14.55,2,1,1),(20,5337380,'1992-01-24 00:00:00',4,16,12,2009,'F','N','SÃO JOSÉ','CURITIBANOS','SC','124241241115371732323335572322610147147',12905,'239',48.79,4,2,1),(20,5337402,'1992-04-05 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124241241117271431434634285124620167052',11816,'734',49.37,2,1,1),(20,5337410,'1990-02-03 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241131271711524724341334610147182',NULL,'257',24.67,1,2,1),(20,5337429,'1992-06-09 00:00:00',2,1,12,2009,'F','N','CACUPE','FLORIANÓPOLIS','SC','124242241212111431427631575124610142052',NULL,'1048',28.65,1,3,NULL),(20,5337445,'1989-10-27 00:00:00',4,1,12,2007,'F','N','VILA ADYANNA','S JOSÉ CAMPOS','SP','125252251217461521579814575112610122143',NULL,'9998',0.00,1,3,NULL),(20,5337453,'1990-08-19 00:00:00',2,4,12,2007,'F','N','CENTRO','PLANALTO','RS','120201201117572431338823474122610123147',9170,'9998',57.71,1,2,1),(20,5337461,'1990-02-14 00:00:00',4,8,12,2009,'M','N','JARDIM PARAÍSO','JOINVILLE','SC','124241242115131241436923373124610136142',NULL,'24',32.89,1,2,1),(20,5337470,'1992-04-19 00:00:00',2,1,12,2008,'F','N','HIGIENÓPOLIS','RIBEIRÃO PRETO','SP','125252251217151411468614575122610117122',NULL,'9998',0.00,1,3,NULL),(20,5337488,'1992-12-16 00:00:00',4,4,12,2009,'F','N','ZONA RURAL','GALVÃO','SC','124241241116111611424435575314610136147',NULL,'321',18.60,1,3,NULL),(20,5337496,'1991-11-24 00:00:00',4,1,12,2009,'M','N','UBERABA','CURITIBA','PR','116161161137471431323424275222610167116',NULL,'9998',22.44,1,2,1),(20,5337500,'1993-03-28 00:00:00',4,8,12,2010,'F','S','FLORESTA','JOINVILLE','SC','124242241215111712438831595122610166181',NULL,'457',58.39,1,3,NULL),(20,5337518,'1987-09-02 00:00:00',2,4,12,2004,'F','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120202201211571431466832571124140632147',416,'9998',85.25,1,3,NULL),(20,5337526,'1991-05-09 00:00:00',2,1,12,2009,'M','N','FARROUPILHA','PTO ALEGRE','RS','120201208317121551448812571125610167092',NULL,'9998',0.00,1,3,NULL),(20,5337534,'1988-08-18 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124134247316142431538813392124232224187',NULL,'9999',28.22,1,3,NULL),(20,5337550,'1987-09-22 00:00:00',2,1,11,2005,'M','N','VENDAVAL','BIGUAÇU','SC','124241241111273431436619372124610167047',7658,'306',62.51,1,2,1),(20,5337569,'1992-12-07 00:00:00',4,7,12,2009,'F','N','DE CARLI','VIDEIRA','SC','124241241116131431438414575122610123147',NULL,'831',0.00,1,2,1),(20,5337577,'1993-08-11 00:00:00',4,1,11,2009,'M','N','PACHECO','PALHOÇA','SC','124241241216111432466631575124610158195',NULL,'1011',27.58,1,3,NULL),(20,5337585,'1984-07-02 00:00:00',4,1,10,2003,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241131272431422231342124610128071',NULL,'739',24.14,1,3,NULL),(20,5337593,'1992-01-16 00:00:00',4,2,12,2009,'F','N','CENTRO','INDAIAL','SC','124241241212111731438814372122610137127',NULL,'1157',0.00,1,3,NULL),(20,5337623,'1981-02-10 00:00:00',4,1,12,1999,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124244247437273731369633185122221422187',NULL,'9999',0.00,1,3,NULL),(20,5337631,'1986-03-26 00:00:00',2,15,12,2003,'F','N','ALTO FELIZ','ARARANGUÁ','SC','124241241412132431423364481221331365057',NULL,'32',0.00,1,3,NULL),(20,5337640,'1993-09-11 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215111531476612595124610112072',14451,'270',49.38,1,3,NULL),(20,5337658,'1992-10-20 00:00:00',4,2,12,2009,'F','N','RIO MORTO','INDAIAL','SC','124244241215131341429613291122613226077',NULL,'986',23.84,1,3,NULL),(20,5337666,'1990-08-27 00:00:00',2,3,12,2007,'M','N','PARQUE DO CARMO','S PAULO','SP','125252251217474731447631212124610137082',10255,'9998',54.76,1,3,NULL),(20,5337674,'1992-04-12 00:00:00',2,7,12,2009,'M','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124241241116372431546614575122610122177',NULL,'140',28.51,1,2,1),(20,5337682,'1982-10-20 00:00:00',2,1,7,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241244227131431113348482124610147147',NULL,'9999',7.41,1,3,NULL),(20,5337690,'1984-09-06 00:00:00',2,1,11,2002,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224131138137372431223343345114610117145',8788,'9998',59.00,1,3,NULL),(20,5337704,'1992-10-08 00:00:00',5,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241415151732443852295124610132192',NULL,'1096',41.08,1,3,NULL),(20,5337712,'1988-04-14 00:00:00',2,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124161161117311431126941215234141417042',NULL,'9998',26.78,1,2,1),(20,5337720,'1990-01-24 00:00:00',2,15,12,2007,'M','N','CENTRO','BAL ARROIO SILVA','SC','124242248116572731439819575124610127077',2571,'970',74.48,1,3,NULL),(20,5337739,'1983-10-08 00:00:00',2,1,12,2000,'M','N','INGLESES','FLORIANÓPOLIS','SC','124203201247131751126649445124610127112',NULL,'9998',0.83,1,3,NULL),(20,5337747,'1992-08-25 00:00:00',4,1,12,2009,'F','N','CENTRO','TAPEJARA','RS','120203201215111731448836275122610137142',NULL,'9998',26.81,1,3,NULL),(20,5337755,'1992-05-04 00:00:00',4,1,12,2008,'F','N','CENTRO','PTO ALEGRE','RS','120202201217471431437713571122610121092',NULL,'9998',26.27,1,3,NULL),(20,5337763,'1992-09-23 00:00:00',2,4,12,2009,'F','N','ZONA RURAL','CAIBI','SC','124241241116141231556425592224610117197',NULL,'127',20.46,1,2,1),(20,5337771,'1992-03-16 00:00:00',4,5,12,2009,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124243241115371431323314572124610142072',NULL,'209',0.00,3,3,NULL),(20,5337780,'1990-11-22 00:00:00',4,1,12,2008,'F','N','JARDIM SANTA MARIA','S PAULO','SP','125252251217571431538611575115610123197',5448,'9998',64.14,2,1,2),(20,5337798,'1993-09-14 00:00:00',4,1,11,2010,'F','S','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242248217111431449933572122610124142',NULL,'270',47.01,1,3,NULL),(20,5337810,'1985-10-24 00:00:00',4,1,11,2005,'M','N','PASSA VINTE','PALHOÇA','SC','124242241116142412446614345124133242047',NULL,'306',20.34,1,3,NULL),(20,5337828,'1976-12-17 00:00:00',2,1,12,1996,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241315375431233629492114521922097',10303,'272',57.61,1,3,NULL),(20,5337836,'1991-07-14 00:00:00',4,1,12,2008,'M','N','SANTA CECILIA','PTO ALEGRE','RS','120244241214472431569913571224610162017',6454,'829',63.82,1,3,NULL),(20,5337852,'1993-01-02 00:00:00',4,5,12,2009,'F','N','CENTRO','BOM JD SERRA','SC','124241241111131731526816281125610126177',NULL,'856',17.14,1,3,NULL),(20,5337860,'1985-10-04 00:00:00',4,1,12,2003,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241227273421123844242314610124197',15866,'262',44.75,1,3,NULL),(20,5337879,'1993-06-23 00:00:00',2,15,11,2010,'F','S','CENTRO','STA ROSA SUL','SC','124241241217111431239921575122610133092',NULL,'32',50.56,1,3,NULL),(20,5337887,'1991-11-27 00:00:00',4,5,12,2009,'F','N','RAICHASKI','IÇARA','SC','124243246217161431348714575124610162052',NULL,'995',21.20,1,3,NULL),(20,5337909,'1992-03-27 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111431368833575122610127092',13170,'270',49.62,1,3,NULL),(20,5337917,'1990-01-09 00:00:00',4,1,12,2008,'M','N','UBERABA','CURITIBA','PR','116161161135571431434511271122610166092',11082,'9998',53.45,1,2,1),(20,5337925,'1991-12-22 00:00:00',2,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124244241115151431578913472112610147142',11560,'271',52.14,1,3,NULL),(20,5337933,'1993-05-24 00:00:00',4,1,12,2010,'F','S','GUARDA DO CUBATÃO','PALHOÇA','SC','124242241215111731456533595122610134195',NULL,'1011',59.48,1,3,NULL),(20,5337941,'1991-10-24 00:00:00',2,1,12,2008,'F','N','BOM VIVER','BIGUAÇU','SC','124241241135271731223324342314610114147',NULL,'257',24.86,1,2,1),(20,5337950,'1992-07-09 00:00:00',4,4,12,2009,'M','N','SÃO FRANCISCO','S LOURENÇO OESTE','SC','124243241336141531558614245122610122052',NULL,'744',23.38,1,3,NULL),(20,5337968,'1977-04-20 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','524243247347131431418348185124610117087',NULL,'9997',23.13,1,3,NULL),(20,5337976,'1991-10-09 00:00:00',4,3,12,2008,'M','N','PETROPOLIS','PTO ALEGRE','RS','120202201217471711368933495124610127047',3387,'9998',71.25,1,3,NULL),(20,5337984,'1987-03-05 00:00:00',2,1,12,2004,'F','N','BARREIROS','S JOSÉ','SC','124242241216513721567914415124331243187',6944,'270',61.69,1,3,NULL),(20,5337992,'1991-02-20 00:00:00',2,5,12,2008,'F','N','SÃO JOSE','PTO ALEGRE','RS','120201201111471411277611591114610114143',NULL,'9998',0.00,1,2,1),(20,5338000,'1990-09-15 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241433232211424759383114610117057',3233,'213',72.32,1,3,NULL),(20,5338018,'1992-03-17 00:00:00',4,10,11,2009,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241246215132432446639572124610137117',15183,'1120',45.74,1,3,NULL),(20,5338026,'1990-11-01 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124241241117272721566633342124610167067',NULL,'307',39.98,2,1,1),(20,5338034,'1987-09-16 00:00:00',2,1,11,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216154411118841415332131064171',14620,'1022',48.95,1,3,NULL),(20,5338042,'1991-10-25 00:00:00',2,1,11,2008,'F','N','CENTRO','GR PARÁ','SC','124243241217372431436933574124610126147',7512,'807',61.53,1,3,NULL),(20,5338050,'1992-05-22 00:00:00',4,1,12,2009,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215112431469734575122610127073',NULL,'270',26.45,1,3,NULL),(20,5338069,'1980-05-17 00:00:00',4,1,12,1997,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217154411569913445122323264092',NULL,'1169',0.00,1,3,NULL),(20,5338077,'1992-09-27 00:00:00',2,5,11,2009,'M','N','QUARTA LINHA','CRICIÚMA','SC','124244241217111431449934575114610134111',15287,'880',46.99,1,3,NULL),(20,5338085,'1992-01-16 00:00:00',4,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241116132431436631375124233226197',NULL,'288',0.00,1,3,NULL),(20,5338093,'1992-03-13 00:00:00',4,1,1,2009,'M','N','RIO BRANCO','S LEOPOLDO','RS','120204201417141431569612345122610127042',NULL,'9998',19.25,1,3,NULL),(20,5338107,'1988-09-05 00:00:00',4,1,11,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241115213431238839342124233267042',13888,'270',50.58,4,3,NULL),(20,5338115,'1993-11-14 00:00:00',4,1,11,2008,'F','N','PACHECOS','PALHOÇA','SC','124241241212132431466632575124610163195',9210,'1011',56.16,1,3,NULL),(20,5338131,'1983-11-25 00:00:00',2,1,12,2003,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241446135431326513395124233262097',NULL,'300',26.33,4,3,NULL),(20,5338140,'1994-02-17 00:00:00',4,15,11,2010,'F','S','URUSSANGUINHA','ARARANGUÁ','SC','124241241215121411546914375122610167077',NULL,'970',21.02,1,3,NULL),(20,5338158,'1984-03-16 00:00:00',2,1,7,2003,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241247122474431423311282114610168053',11735,'736',54.04,1,2,1),(20,5338166,'1993-04-13 00:00:00',2,5,11,2009,'F','N','CENTRO','NOVA VENEZA','SC','124244241212111432558832592124610163072',NULL,'213',24.45,1,3,NULL),(20,5338174,'1991-10-05 00:00:00',4,9,12,2008,'M','N','CENTRO','VACARIA','RS','120201201317132411538811252324610156097',6019,'9998',63.39,4,3,NULL),(20,5338182,'1991-05-06 00:00:00',2,5,12,2007,'F','N','CENTRO','GRAMADO','RS','120204201216471431344434475122610134097',3171,'9998',72.93,1,3,NULL),(20,5338190,'1990-11-24 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241216373731468913475124610163097',294,'362',86.72,1,3,NULL),(20,5338204,'1990-08-23 00:00:00',4,1,12,2008,'M','N','PONTA PORÃ','CACHOEIRINHA','RS','120203201117471431569614285112610137057',7730,'9998',59.96,1,3,NULL),(20,5338212,'1992-09-15 00:00:00',4,4,12,2009,'M','N','CENTRO','MONDAÍ','SC','124241241115141431443912145131610137097',NULL,'564',0.00,4,2,1),(20,5338220,'1991-08-03 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124244241411573431548633372124230237017',9363,'1022',56.50,1,3,NULL),(20,5338239,'1986-11-23 00:00:00',2,2,11,2008,'F','N','VELHA','BLUMENAU','SC','124246247615472431226624195122610127077',13714,'67',47.65,1,3,NULL),(20,5338247,'1992-01-14 00:00:00',4,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120201201115471431435336275115610163047',8037,'9998',61.77,1,2,1),(20,5338255,'1992-03-28 00:00:00',2,7,12,2009,'M','N','CENTRO','ÁGUA DOCE','SC','124241242115131431414628572225610127052',15624,'8',42.61,1,3,NULL),(20,5338263,'1979-03-20 00:00:00',2,1,11,1998,'F','N','BELA VISTA','PALHOÇA','SC','624241244137132411236343435124610134182',NULL,'307',22.06,2,1,1),(20,5338271,'1989-08-14 00:00:00',2,1,12,2009,'M','N','PAGANI','PALHOÇA','SC','124244241215271431339549395124610134072',NULL,'724',22.67,1,3,NULL),(20,5338298,'1959-08-28 00:00:00',2,1,12,1977,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241126131711322244142124610118097',NULL,'9997',20.02,1,3,NULL),(20,5338301,'1992-07-14 00:00:00',4,2,11,2009,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241216172231488612575112610127122',NULL,'909',0.00,1,3,NULL),(20,5338310,'1992-08-01 00:00:00',4,6,12,2009,'F','N','CENTRO','IRETAMA','PR','116164161117471431459914575124610138197',9676,'9998',54.78,1,3,NULL),(20,5338328,'1974-01-21 00:00:00',2,1,12,1993,'M','N','PANTANAL','FLORIANÓPOLIS','SC','624241247621232311112279191331610114022',NULL,'9999',33.97,4,3,NULL),(20,5338344,'1992-05-18 00:00:00',2,1,12,2009,'M','N','SÃO JOSÉ','S JOSÉ','SC','124241241415112731434612372124610167042',15184,'1074',45.16,1,3,NULL),(20,5338352,'1990-09-19 00:00:00',4,1,12,2007,'M','N','ZONA SETE','MARINGÁ','PR','116254251215571731438433575125610127047',6076,'9998',64.19,1,3,NULL),(20,5338360,'1994-03-17 00:00:00',4,10,11,2010,'M','S','VILA MOEMA','TUBARÃO','SC','124242241217111731479411475122610138052',NULL,'806',49.13,4,3,NULL),(20,5338379,'1986-04-09 00:00:00',2,1,12,2003,'M','N','JARDIM ADORADO','CAXIAS SUL','RS','120201201136271431337314241122241464113',11364,'9998',52.18,1,3,NULL),(20,5338387,'1992-04-23 00:00:00',2,2,12,2009,'F','N','FORTALEZA','BLUMENAU','SC','124241241216111431333514342124610132097',NULL,'1018',0.00,1,3,NULL),(20,5338395,'1981-11-16 00:00:00',2,1,11,2002,'M','N','SÃO JOSÉ','S JOSÉ','SC','124241248122132431426644342124610117047',NULL,'944',24.63,1,3,NULL),(20,5338409,'1992-07-21 00:00:00',2,1,12,2009,'F','N','SÃO JOSÉ','S JOSÉ','SC','124241248115131431426624375124610117052',NULL,'733',25.94,1,3,NULL),(20,5338425,'1990-08-07 00:00:00',2,3,12,2008,'F','N','CENTRO','JÓIA','RS','120201201116471731224639392124143216182',NULL,'9998',25.36,1,2,1),(20,5338433,'1992-06-17 00:00:00',2,15,12,2009,'M','N','CENTRO','BAL GAIVOTA','SC','124201241212171421454616275114610167047',NULL,'770',0.00,1,3,NULL),(20,5338450,'1991-02-06 00:00:00',4,1,12,2008,'M','N','VILA NOVA SOCORRO','MOGI CRUZES','SP','125252251211372731568912575121610166057',10594,'9998',54.36,1,3,NULL),(20,5338476,'1992-07-17 00:00:00',4,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241225131431536613282124610124057',NULL,'262',30.52,4,3,NULL),(20,5338484,'1992-02-24 00:00:00',4,7,12,2009,'M','N','FLORESTA','VIDEIRA','SC','124241248117131231523639582121610137057',NULL,'831',22.98,4,1,1),(20,5338492,'1991-10-23 00:00:00',4,17,12,2008,'F','N','CENTRO','MONTES CLAROS','MG','124151241215111431528869572245140464177',NULL,'633',0.00,1,3,NULL),(20,5338506,'1991-07-21 00:00:00',2,5,11,2009,'M','N','JARDIM SILVANA','IÇARA','SC','124241241115271531212427475324610134017',NULL,'1005',25.12,1,3,NULL),(20,5338514,'1992-03-03 00:00:00',4,1,12,2009,'F','N','CENTRO','BIGUAÇU','SC','124242241212131431229963392122610118117',NULL,'63',25.56,1,3,NULL),(20,5338522,'1992-10-31 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124244241416121431346634345122610127055',NULL,'1078',25.60,1,3,NULL),(20,5338530,'1991-06-02 00:00:00',4,1,11,2009,'M','N','CENTRO','COLOMBO','PR','116161161116271332536834143124610137057',NULL,'9998',25.75,4,2,1),(20,5338549,'1990-05-29 00:00:00',4,1,12,2007,'M','N','CENTRO','FRUTAL','MG','113132131211562421549911576125610142056',3625,'9998',70.47,1,3,NULL),(20,5338557,'1991-02-23 00:00:00',4,1,12,2009,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241227111411639741314124610164042',NULL,'9999',23.30,1,3,NULL),(20,5338573,'1992-06-04 00:00:00',2,1,12,2009,'F','N','RIO DOS PINHEIROS','ANITÁPOLIS','SC','124241241126161731453315452222610164147',NULL,'19',23.72,1,2,1),(20,5338581,'1992-02-02 00:00:00',4,8,12,2009,'M','N','COMASA','JOINVILLE','SC','124241241116371231526614295124610127147',NULL,'469',23.27,2,1,1),(20,5338590,'1992-08-16 00:00:00',4,6,11,2009,'M','N','CABEÇUDAS','ITAJAÍ','SC','124242241217372431667712575114610124097',9030,'392',58.18,1,3,NULL),(20,5338611,'1986-04-21 00:00:00',2,9,12,2003,'F','N','PROGRESSO','RIO SUL','SC','124241241116573451326524475122131424147',1851,'659',76.69,1,2,1),(20,5338620,'1991-09-05 00:00:00',2,2,12,2009,'F','N','ESTRADINHA','PARANAGUÁ','PR','116164161137471431436923572224610167013',NULL,'9998',0.00,1,3,NULL),(20,5338638,'1993-09-30 00:00:00',4,10,12,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215111231567872585121610168096',NULL,'807',28.15,1,3,NULL),(20,5338646,'1983-06-11 00:00:00',2,1,7,2004,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','524241241125471412526624343123610134057',NULL,'400',40.16,1,2,1),(20,5338654,'1988-10-15 00:00:00',2,1,12,2005,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241117233411433831211124610144197',NULL,'592',26.22,1,2,1),(20,5338670,'1991-07-01 00:00:00',4,1,12,2009,'M','N','CENTRO','GAROPABA','SC','124202248121111431338513392242610127117',NULL,'322',14.76,1,3,NULL),(20,5338689,'1966-05-19 00:00:00',2,8,12,1985,'M','N','BIGORRILHO','CURITIBA','PR','216161166115471531464451325122343227122',11501,'9998',51.74,1,2,1),(20,5338697,'1992-03-30 00:00:00',4,16,12,2009,'M','N','SAO FRANSCISCO','CURITIBANOS','SC','124241241115371131424519575121610117172',NULL,'239',0.00,4,3,NULL),(20,5338700,'1984-07-19 00:00:00',2,1,12,2002,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241124375431431338385124130822047',16196,'307',42.58,4,2,1),(20,5338719,'1993-01-25 00:00:00',2,4,12,2009,'M','N','FREI BRUNO','XAXIM','SC','124241241315131231433634245122610127017',NULL,'847',29.31,1,3,NULL),(20,5338727,'1991-03-19 00:00:00',2,4,12,2008,'F','N','CENTRO','S CARLOS','SC','124243248336471331233322594122610124142',15368,'704',43.12,1,3,NULL),(20,5338735,'1990-08-24 00:00:00',2,1,12,2007,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124244241217473431365567475114132764152',NULL,'951',0.00,1,3,NULL),(20,5338743,'1991-07-27 00:00:00',2,1,12,2009,'M','N','MAGALHAES','LAGUNA','SC','124242241225111441326312215121610112022',NULL,'524',43.89,1,3,NULL),(20,5338751,'1991-05-18 00:00:00',2,5,11,2007,'F','N','CENTRO','CRICIÚMA','SC','124242241215573451369911572112610165172',1513,'226',78.17,1,3,NULL),(20,5338760,'1993-01-20 00:00:00',4,4,12,2009,'M','N','CENTRO','XANXERÊ','SC','124242241235111431467739595112610134042',12129,'836',50.22,1,3,NULL),(20,5338778,'1990-05-11 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241146272431524619192213130262147',14326,'274',44.42,1,2,1),(20,5338794,'1991-06-21 00:00:00',2,4,12,2008,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161217571431337933575112610128077',13501,'9998',50.33,1,3,NULL),(20,5338808,'1992-08-02 00:00:00',2,9,12,2009,'F','N','MARTORANO','S JOAQUIM','SC','124242241216121241567412145122610123012',11601,'1035',51.30,1,3,NULL),(20,5338816,'1980-02-05 00:00:00',2,15,11,1999,'M','N','COLONINHA','ARARANGUÁ','SC','124241241124131731423319242333610152047',NULL,'28',38.92,1,2,1),(20,5338832,'1993-03-15 00:00:00',4,1,12,2009,'F','N','CENTRO','S JOSÉ','SC','124244241215111431369613572124610167182',10083,'270',55.38,1,3,NULL),(20,5338840,'1987-10-30 00:00:00',4,1,12,2005,'M','N','JURERÊ TRADICIONAL','FLORIANÓPOLIS','SC','124202201216472442457733575124141167033',NULL,'9998',0.00,1,3,NULL),(20,5338867,'1992-07-09 00:00:00',4,3,12,2009,'F','N','CENTRO','BOMBINHAS','SC','124202241211111431448832385123610113141',NULL,'407',26.80,1,3,NULL),(20,5338875,'1988-09-15 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124212241112154431656624342134610133147',12788,'307',50.66,1,3,NULL),(20,5338883,'1992-02-29 00:00:00',4,7,12,2009,'M','N','SANTA TEREZA','JOAÇABA','SC','124241241116141531428613395124610128142',NULL,'449',0.00,2,2,1),(20,5338891,'1991-10-10 00:00:00',2,5,11,2009,'M','N','JARDIM ANGÉLICA','CRICIÚMA','SC','124243246217111431424619282125610117047',NULL,'995',26.04,1,3,NULL),(20,5338905,'1992-03-01 00:00:00',4,1,12,2009,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242248217111412446646325132610114161',NULL,'389',23.54,1,3,NULL),(20,5338913,'1989-04-22 00:00:00',2,15,12,2006,'F','N','CANOAS','CANOAS','RS','120201201417471431536319372124143237057',NULL,'9998',0.00,4,3,NULL),(20,5338921,'1991-01-07 00:00:00',4,1,11,2010,'F','S','RIO TAVARES','FLORIANÓPOLIS','SC','124244241111151422268921376124610164143',NULL,'267',41.99,3,3,NULL),(20,5338930,'1988-02-17 00:00:00',2,1,12,2005,'F','N','IPIRANGA','S JOSÉ','SC','124242241212135731336623282224220534057',11650,'738',55.02,1,3,NULL),(20,5338948,'1989-04-08 00:00:00',4,1,12,2006,'M','N','COLONIA','JUNDIAÍ','SP','125252256217371731446834471221241267096',12645,'9998',48.90,1,3,NULL),(20,5338956,'1991-02-17 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216372421378923595312220864193',7596,'270',62.63,1,3,NULL),(20,5338964,'1992-09-07 00:00:00',2,17,12,2009,'F','N','CENTRO','MTE CASTELO','SC','124241241115131431436813582324610136052',NULL,'566',27.61,3,2,1),(20,5338972,'1957-12-02 00:00:00',2,1,12,1978,'M','N','TAPERA','FLORIANÓPOLIS','SC','624243245326172411224443135133322724047',15321,'463',46.85,1,3,NULL),(20,5338980,'1992-02-23 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241235161321446711315124610164175',NULL,'1022',20.14,1,3,NULL),(20,5338999,'1974-05-15 00:00:00',2,1,12,1992,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','624281161347134431537841311124320822097',10921,'9998',56.46,4,3,NULL),(20,5339014,'1992-01-10 00:00:00',4,1,12,2009,'M','N','JARDIM BANDEIRANTES','GUARUJÁ','SP','125251251116131432426631175124610114147',13905,'9998',46.37,4,2,1),(20,5339022,'1979-10-14 00:00:00',2,7,12,2003,'M','N','CENTRO','JOAÇABA','SC','124161167142371231224444242323130868042',NULL,'9998',0.00,1,2,1),(20,5339030,'1988-10-04 00:00:00',4,8,12,2005,'F','N','JARDIM TV MORENA','CPO GRANDE','MS','112124161215571431568632574122610126097',1157,'9998',78.96,1,3,NULL),(20,5339057,'1989-11-09 00:00:00',2,1,12,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217272111488814475124140461044',NULL,'1022',0.00,1,3,NULL),(20,5339065,'1991-07-11 00:00:00',2,1,12,2009,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124243241115141431448823345124610124172',NULL,'307',30.46,1,3,NULL),(20,5339073,'1993-10-04 00:00:00',4,5,11,2010,'M','S','CENTRO','IÇARA','SC','124242248215111531468914575114610124062',NULL,'226',45.12,1,3,NULL),(20,5339090,'1991-11-22 00:00:00',4,1,6,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247217311431438811582124610114047',NULL,'270',23.13,1,3,NULL),(20,5339103,'1964-03-15 00:00:00',4,1,12,1983,'M','N','SERRARIA','S JOSÉ','SC','124241243132143431313241312334132213163',NULL,'512',17.56,2,1,1),(20,5339111,'1993-02-22 00:00:00',4,8,12,2009,'F','N','CENTRO','CASCAVEL','PR','116161161335121431353823575122610138192',15175,'9998',44.90,1,3,NULL),(20,5339120,'1989-03-26 00:00:00',2,1,12,2006,'F','N','IGARA','CANOAS','RS','120201201127471431635624371125610134097',NULL,'9998',0.00,4,2,1),(20,5339138,'1993-07-28 00:00:00',2,5,11,2009,'F','N','JARDIM SILVANA','IÇARA','SC','124244241215111431228923372122610126057',13650,'226',51.04,1,3,NULL),(20,5339146,'1987-02-13 00:00:00',4,8,12,2004,'M','N','ALTO DA GLÓRIA','CURITIBA','PR','116162161211172751336833475214143267056',1191,'9998',80.02,3,3,NULL),(20,5339154,'1992-08-29 00:00:00',2,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241315141411343923245124610155057',NULL,'49',24.12,4,3,NULL),(20,5339162,'1992-04-15 00:00:00',2,1,11,2009,'M','N','CAMPOS DO IGUÇU','FOZ IGUAÇU','PR','116161161215111431626731375122610617064',NULL,'9998',25.83,1,3,NULL),(20,5339170,'1992-03-19 00:00:00',2,5,11,2009,'M','N','BRASILIA','CRICIÚMA','SC','124244244411211521458911141121610117072',NULL,'9997',28.10,1,3,NULL),(20,5339189,'1991-10-21 00:00:00',2,2,12,2009,'M','N','TESTO CENTRAL','POMERODE','SC','124072241217271331478829495114610117127',NULL,'909',0.00,1,3,NULL),(20,5339197,'1965-05-31 00:00:00',2,1,12,1983,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124253256146471711126343335122340868184',5597,'9998',63.82,4,3,NULL),(20,5339200,'1988-02-19 00:00:00',4,1,12,2005,'F','N','ASSUNÇÃO','S BERNARDO CAMPO','SP','125252251211572431556619571214610136072',2251,'9998',74.37,1,3,NULL),(20,5339219,'1990-04-26 00:00:00',4,1,12,2009,'M','N','OURO VELHO','NOVA LIMA','MG','113132131216471431448632172122610137182',15550,'9998',46.10,1,3,NULL),(20,5339243,'1992-11-01 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242248215111231444824295112610137043',13201,'1077',51.98,1,3,NULL),(20,5339251,'1993-01-13 00:00:00',2,1,12,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124242241215111431228522575124610142197',9799,'989',55.51,1,3,NULL),(20,5339260,'1992-01-28 00:00:00',4,3,11,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161215121431568832575122610164012',NULL,'9998',0.00,1,3,NULL),(20,5339286,'1986-09-18 00:00:00',4,9,12,2003,'F','N','CENTRO','STA CRUZ SUL','RS','124202208216161321459914375122233113092',NULL,'9998',27.12,1,3,NULL),(20,5339316,'1970-12-05 00:00:00',2,1,12,1987,'M','N','JARDIM IDEAL','CANOAS','RS','220202208213271731418851115222341922117',NULL,'9998',25.98,1,3,NULL),(20,5339332,'1992-08-18 00:00:00',4,1,12,2009,'M','N','CACATU','ANTONINA','PR','116161161115151611524328572324610122142',NULL,'9998',47.27,4,2,1),(20,5339340,'1987-10-08 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117131131633569385114610116144',10075,'400',54.76,4,3,NULL),(20,5339359,'1989-01-13 00:00:00',2,1,12,2006,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124202207216431421539769491334230625077',NULL,'9998',0.00,1,3,NULL),(20,5339367,'1992-06-08 00:00:00',4,16,12,2009,'M','N','RANCHO FUNDO','CAÇADOR','SC','124241241115131731523319582224610124097',NULL,'122',21.77,1,2,1),(20,5339375,'1991-12-26 00:00:00',2,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242248215371231248832395122613217052',NULL,'653',0.00,1,3,NULL),(20,5339383,'1993-06-17 00:00:00',4,16,11,2010,'F','S','CENTRO','ITAPEMA','SC','124242241217111331446616576122610128027',NULL,'9997',8.68,1,3,NULL),(20,5339391,'1991-03-07 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121531229924285112610114062',NULL,'1086',0.00,1,3,NULL),(20,5339413,'1992-11-16 00:00:00',2,4,12,2009,'F','N','NITERÓI','SEARA','SC','124241241135131431633536152224610127057',NULL,'763',23.44,1,2,1),(20,5339421,'1993-01-03 00:00:00',2,1,2,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431338849572124610126077',NULL,'737',26.97,1,3,NULL),(20,5339448,'1991-07-06 00:00:00',4,1,12,2008,'M','N','XAXIM','CURITIBA','PR','116161161216371431443624142121610127057',13416,'9998',46.70,1,3,NULL),(20,5339456,'1992-01-05 00:00:00',2,9,12,2009,'M','N','NOSSA SRA APARECIDA','S JOAQUIM','SC','124242241212111231467915475112610168122',NULL,'1146',22.15,1,3,NULL),(20,5339464,'1990-03-28 00:00:00',2,1,11,2009,'M','N','ESQUINA','URUBICI','SC','124241241115211311556661342122610117067',NULL,'818',0.00,1,2,1),(20,5339472,'1987-08-31 00:00:00',2,1,11,2004,'F','N','SÃO JOSÉ','FRAIBURGO','SC','124241241112131531321119382115610117077',NULL,'314',0.00,1,2,1),(20,5339480,'1992-04-23 00:00:00',4,1,12,2009,'M','N','VILA IPOJUCA','S PAULO','SP','125252251217111441458914372124610164117',NULL,'9998',0.00,1,3,NULL),(20,5339499,'1992-08-02 00:00:00',2,5,7,2010,'M','S','FIGUEIRA','URUSSANGA','SC','124242246212111751458833572124610117117',NULL,'995',23.11,1,3,NULL),(20,5339502,'1992-08-18 00:00:00',2,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111431457312222112610124147',16188,'272',40.61,1,3,NULL),(20,5339510,'1988-12-13 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241127371431626313332124610117047',NULL,'307',10.57,1,3,NULL),(20,5339529,'1993-09-09 00:00:00',4,1,11,2010,'F','S','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241215111431379731572122610143047',NULL,'270',48.04,1,3,NULL),(20,5339545,'1992-03-08 00:00:00',4,7,12,2009,'M','N','CENTRO','MARCELINO RAMOS','RS','120201201116151431448613375122610117042',NULL,'9998',26.97,1,3,NULL),(20,5339553,'1992-08-04 00:00:00',4,17,12,2009,'F','N','CENTRO','TRÊS BARRAS','SC','124241241112271411334319592221610144147',13474,'791',47.33,1,2,1),(20,5339561,'1986-04-27 00:00:00',4,1,12,2003,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124252251216112411247841415124241164117',6122,'9998',65.76,1,3,NULL),(20,5339570,'1989-07-16 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241111272431536634381124610167057',12836,'733',49.10,1,2,1),(20,5339596,'1992-11-15 00:00:00',2,15,12,2009,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124244241415131431556619285122610163052',16316,'29',39.90,1,3,NULL),(20,5339600,'1992-12-01 00:00:00',4,10,12,2009,'M','N','TERMAS','GRAVATAL','SC','124241241135141431336532345122610137142',15273,'332',43.66,1,2,1),(20,5339618,'1956-12-29 00:00:00',2,1,12,1977,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','324201201116151431343349472114342721047',NULL,'9998',44.85,1,3,NULL),(20,5339626,'1988-11-20 00:00:00',4,1,12,2007,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241336272411226328245124610127112',NULL,'300',30.34,1,3,NULL),(20,5339642,'1991-06-24 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','116162161217472431378811595122610164042',10423,'9998',55.91,1,3,NULL),(20,5339650,'1987-09-30 00:00:00',2,1,12,2004,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241125472421534614282223610118147',NULL,'66',28.90,1,2,1),(20,5339677,'1992-02-28 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','125252251216111431368833575122610123097',NULL,'9998',29.15,1,3,NULL),(20,5339693,'1992-10-29 00:00:00',1,1,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161217371431256734575112610164184',NULL,'9998',0.00,1,3,NULL),(20,5339707,'1992-02-17 00:00:00',4,1,11,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241211372431468924395124610127112',2079,'270',76.62,1,3,NULL),(20,5339715,'1978-05-23 00:00:00',4,1,12,1996,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124201207337371431321329284124610148187',NULL,'9998',0.00,1,3,NULL),(20,5339723,'1992-09-23 00:00:00',4,1,12,2010,'F','S','BARREIROS','S JOSÉ','SC','124243241215111431443632572125610124047',NULL,'737',22.97,1,3,NULL),(20,5339731,'1991-01-07 00:00:00',2,1,12,2008,'M','N','PORTAL DOS NOBRES','AMERICANA','SP','125252257215111431464611582112610137122',NULL,'9997',0.00,4,3,NULL),(20,5339740,'1993-02-06 00:00:00',2,1,12,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241215132441346622272124610137142',NULL,'1022',21.67,1,3,NULL),(20,5339758,'1982-09-16 00:00:00',2,1,12,1999,'F','N','BALNEARIO ESTREITO','FLORIANÓPOLIS','SC','124203201112131421127644442234333233047',NULL,'9998',46.05,1,3,NULL),(20,5339766,'1992-01-25 00:00:00',4,3,11,2009,'F','N','CENTRO','CURITIBA','PR','116162161217121431563836572125610161072',NULL,'9998',0.00,1,3,NULL),(20,5339782,'1991-02-05 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431479814572115610167062',NULL,'270',32.68,1,3,NULL),(20,5339790,'1990-02-21 00:00:00',4,1,12,2007,'M','N','SAGRADA FAMÍLIA','TAQUARA','RS','120202201217471751478732575112610164127',NULL,'9998',0.00,1,3,NULL),(20,5339812,'1977-03-12 00:00:00',4,1,11,1992,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124202201216151411436642325122141962077',NULL,'9998',24.79,1,3,NULL),(20,5339820,'1988-05-27 00:00:00',2,1,12,2005,'F','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124251251137471431228919495221610136097',NULL,'9998',15.82,1,2,1),(20,5339839,'1991-10-04 00:00:00',2,4,11,2008,'M','N','CENTRO','IPORÃ OESTE','SC','124241241225471431436633575122610167052',NULL,'370',0.00,1,3,NULL),(20,5339847,'1992-09-11 00:00:00',4,6,12,2009,'M','N','CENTRO','ITUPORANGA','SC','124242241231151431486632372122610167052',NULL,'1173',24.12,1,3,NULL),(20,5339855,'1991-07-09 00:00:00',2,1,12,2008,'F','N','FIGUEIRA GRANDE','IMARUÍ','SC','124241241117162531523319572324610123143',NULL,'357',25.75,1,2,1),(20,5339863,'1992-09-01 00:00:00',4,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161315471731469933571112610125067',NULL,'9998',0.00,1,3,NULL),(20,5339898,'1969-08-14 00:00:00',2,1,12,1988,'F','N','CENTRO','FLORIANÓPOLIS','SC','124204207416132431228743335124141366187',NULL,'9998',31.19,1,3,NULL),(20,5339910,'1991-12-18 00:00:00',4,8,11,2009,'M','N','VILA BUARQUE','S PAULO','SP','125252251217111431358824375114610147047',NULL,'9998',0.00,1,3,NULL),(20,5339928,'1988-01-02 00:00:00',4,4,12,2008,'M','N','CENTRO','GUARAPUAVA','PR','116162168116141752339914395112613267042',NULL,'9998',38.97,1,3,NULL),(20,5339936,'1990-07-16 00:00:00',4,1,12,2007,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124161241116373431325521292324123216047',5721,'288',65.69,4,2,1),(20,5339944,'1979-11-03 00:00:00',2,1,12,1997,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224201208116272411433344345132610127142',NULL,'9998',31.40,1,2,1),(20,5339952,'1989-05-04 00:00:00',4,1,12,2006,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241117271431634417382124610127087',NULL,'307',29.97,1,2,1),(20,5339995,'1988-06-08 00:00:00',2,9,12,2005,'F','N','CENTRO','LAGES','SC','124242241212573451548811575122610162187',7902,'515',59.11,1,3,NULL),(20,5340004,'1984-05-14 00:00:00',4,1,12,2001,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124244241435213411435344441331321064042',4038,'807',70.76,1,3,NULL),(20,5340012,'1973-04-18 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','224241247212162531543151471122230526142',10216,'977',56.09,1,3,NULL),(20,5340020,'1984-05-03 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241122272731623344142334610127145',NULL,'298',28.42,4,2,1),(20,5340039,'1993-07-23 00:00:00',4,9,12,2010,'F','S','SANTA MARIA','LAGES','SC','124242241217111431459811216112610126092',NULL,'497',57.18,1,3,NULL),(20,5340047,'1992-02-04 00:00:00',4,1,11,2009,'M','N','IPIRANGA','S JOSÉ','SC','124244241215271721568413576124610117062',8091,'1118',59.39,4,3,NULL),(20,5340055,'1992-06-04 00:00:00',2,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117371231523314575224610115047',14614,'288',48.97,1,2,1),(20,5340063,'1992-02-04 00:00:00',4,6,11,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241212111451449911392122610137072',13512,'392',49.46,1,3,NULL),(20,5340071,'1992-06-24 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241415151431346432575124610157092',15349,'1075',43.62,1,3,NULL),(20,5340098,'1992-07-10 00:00:00',2,1,11,2009,'M','N','CENTRO','ELIAS FAUSTO','SP','125251251116371331536632575124610165097',12678,'9998',50.15,1,2,1),(20,5340101,'1990-11-29 00:00:00',4,1,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124202201236112431228944345125230767042',14691,'9998',43.89,1,3,NULL),(20,5340110,'1991-09-21 00:00:00',2,1,11,2008,'F','N','COLINA DA LAGOA','LGA VERMELHA','RS','120201201213471431436814575122610134142',14358,'9998',44.64,1,3,NULL),(20,5340128,'1990-11-15 00:00:00',2,8,12,2007,'F','N','PORTÃO','CURITIBA','PR','116251251116371441436414485124610162177',NULL,'9998',0.00,1,3,NULL),(20,5340136,'1973-01-22 00:00:00',4,15,12,1998,'M','N','AREIAS BRANCAS','BAL ARROIO SILVA','SC','124241241147142421324444345122610122051',NULL,'30',6.29,1,3,NULL),(20,5340144,'1989-12-21 00:00:00',2,1,2,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241115374531358834431124233244195',6024,'267',65.94,1,3,NULL),(20,5340152,'1992-04-24 00:00:00',2,1,11,2009,'M','N','CENTRO','PALHOÇA','SC','124242241216131431556614145222610167045',NULL,'1010',18.28,4,3,NULL),(20,5340160,'1988-06-30 00:00:00',2,1,7,2007,'M','N','JARDIM CIDADE DE FLO','S JOSÉ','SC','124241241116152431433319342112231062147',13446,'306',49.31,1,2,1),(20,5340179,'1991-06-04 00:00:00',4,4,12,2008,'F','N','CENTRO','CONCÓRDIA','SC','124241241112272431339629472125231062037',NULL,'192',0.00,1,2,1),(20,5340195,'1980-08-28 00:00:00',4,5,12,2001,'M','N','BALNEÁRIO RINCÃO','IÇARA','SC','124241247227131721533344142212610117047',NULL,'227',26.37,1,3,NULL),(20,5340217,'1992-10-14 00:00:00',4,6,12,2009,'F','N','ARMAÇÃO','PENHA','SC','124241241116151431526934572124610137147',NULL,'609',0.00,1,2,1),(20,5340225,'1989-05-04 00:00:00',4,1,12,2006,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241117271431634417382224610123187',14694,'307',48.75,1,2,1),(20,5340241,'1988-04-11 00:00:00',4,1,7,2004,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241325371431535314282134610127142',NULL,'9997',24.49,1,3,NULL),(20,5340250,'1989-02-01 00:00:00',2,1,12,2005,'M','N','DISTRITO INDUSTRIAL','RIO BRANCO','AC','101012011215575431476612572124143264042',3202,'9998',72.90,4,1,2),(20,5340276,'1993-05-20 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124202241215131421238719195124610132017',NULL,'44',0.00,1,3,NULL),(20,5340292,'1988-12-03 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241242637141431124744445123130228187',NULL,'143',34.70,1,3,NULL),(20,5340306,'1991-09-04 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117151411336823385124610125042',NULL,'307',41.97,1,2,1),(20,5340314,'1991-06-21 00:00:00',4,8,11,2008,'M','N','JARDIM DOS CAMARGOS','BARUERI','SP','125251256112473511467811381224610164112',12394,'9998',50.06,4,2,1),(20,5340322,'1990-11-23 00:00:00',4,1,12,2007,'F','N','JARDIM PINHAIS','PINHAIS','PR','116162161215572411464612372112610124127',NULL,'9998',13.04,1,3,NULL),(20,5340330,'1992-12-11 00:00:00',4,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124241241135371431433635215122610134145',13335,'239',48.96,1,2,1),(20,5340349,'1983-01-28 00:00:00',2,1,3,2001,'F','N','PARQUE ALVORADA','MEDIANEIRA','PR','116161167627132441421319285325610138077',NULL,'9998',26.42,1,3,NULL),(20,5340357,'1991-12-27 00:00:00',4,1,12,2008,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124241241122271711624611382124610115017',NULL,'291',30.82,1,2,1),(20,5340365,'1994-05-18 00:00:00',4,5,12,2010,'M','S','JARDIM ANGELICA','CRICIÚMA','SC','124242241216131431448929575124610164171',NULL,'995',45.35,1,3,NULL),(20,5340373,'1992-05-20 00:00:00',2,1,12,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241215111431448911172122610114047',NULL,'1074',28.57,1,3,NULL),(20,5340390,'1989-11-29 00:00:00',4,10,11,2009,'M','N','OFICINAS','TUBARÃO','SC','124243241215111431466313574122610163012',NULL,'806',0.00,1,3,NULL),(20,5340403,'1992-08-30 00:00:00',2,4,12,2009,'F','N','CENTRO','PTE SERRADA','SC','124242241231111711426619582124610138147',NULL,'836',0.00,1,3,NULL),(20,5340438,'1992-05-06 00:00:00',4,5,12,2009,'M','N','BOA VISTA','ORLEANS','SC','124241241115161321533335152224610142052',NULL,'580',26.09,1,2,1),(20,5340454,'1980-03-19 00:00:00',2,1,12,2001,'F','N','IPIRANGA','S JOSÉ','SC','624242247232134431243753212122122234097',12267,'943',53.83,1,3,NULL),(20,5340462,'1991-02-18 00:00:00',2,8,12,2009,'F','N','PORTO GRANDE','ARAQUARI','SC','124241242115111411524331312123610122182',NULL,'24',0.00,1,2,1),(20,5340470,'1984-12-26 00:00:00',2,1,12,2004,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124202201213471431446712382224231362142',NULL,'9998',29.47,1,3,NULL),(20,5340489,'1992-09-17 00:00:00',4,6,12,2009,'F','N','PQ VERSAILES','SUMARÉ','SP','125252251215111711448831572122610127093',12529,'9998',51.25,1,3,NULL),(20,5340497,'1991-08-10 00:00:00',4,1,12,2008,'M','N','LAGOA','FLORIANÓPOLIS','SC','124242241211212431578719591114233227122',NULL,'262',39.15,1,3,NULL),(20,5340500,'1992-06-30 00:00:00',4,9,12,2009,'M','N','COPACABANA','LAGES','SC','124242241216141412426923395322610123042',NULL,'515',24.43,1,3,NULL),(20,5340527,'1990-08-01 00:00:00',4,1,12,2009,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241216112731549931475122610151111',13214,'270',51.93,1,3,NULL),(20,5340535,'1990-02-23 00:00:00',4,1,12,2007,'F','N','CHÁC STA MARGARIDA','CAMPINAS','SP','125252251217571411589614571112140421056',NULL,'9998',NULL,3,3,NULL),(20,5340543,'1969-09-16 00:00:00',4,15,11,1997,'M','N','CENTRO','CRICIÚMA','SC','624162161217151721346651225132141112182',NULL,'9998',26.86,1,3,NULL),(20,5340551,'1993-04-05 00:00:00',4,1,12,2010,'F','S','CENTRO','BAL CAMBORIÚ','SC','124242241217271431478632472122613223092',NULL,'1038',25.49,1,3,NULL),(20,5340560,'1992-11-23 00:00:00',2,1,12,2009,'M','N','CENTRO','S JOSÉ','SC','124241241135141431426624372224610121173',15854,'733',44.80,1,2,1),(20,5340578,'1993-01-16 00:00:00',2,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431446634472122610121042',NULL,'270',26.44,1,3,NULL),(20,5340586,'1991-05-15 00:00:00',4,3,12,2008,'M','N','CENTRO','LONDRINA','PR','116162161216371431368911411212610127187',3298,'9998',70.49,1,3,NULL),(20,5340594,'1991-12-09 00:00:00',4,1,12,2008,'F','N','CENTRO','CURITIBANOS','SC','124241241116131421336933385122230228077',NULL,'733',46.87,1,2,1),(20,5340608,'1991-09-23 00:00:00',2,1,12,2008,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241116362431536419345124610166187',13270,'307',51.83,4,2,1),(20,5340616,'1973-08-09 00:00:00',4,1,12,1994,'M','N','CENTRO','FLORIANÓPOLIS','SC','224242241217155411468342125132120217187',8957,'269',60.05,1,3,NULL),(20,5340624,'1992-07-19 00:00:00',4,2,12,2009,'M','N','DOM JOAQUIM','BRUSQUE','SC','124241241117272431344534375122610122182',5433,'114',66.52,1,2,1),(20,5340632,'1991-09-21 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124244241415271731549811475124610163115',8765,'883',58.43,1,3,NULL),(20,5340640,'1984-11-10 00:00:00',2,16,12,2002,'M','N','BOM JESUS','CURITIBANOS','SC','224241241111172411323341215132331427185',NULL,'239',0.00,1,3,NULL),(20,5340659,'1989-06-09 00:00:00',2,6,7,2008,'M','N','NOVA ESTÂNCIA','ETN VELHA','RS','120201207447151441436419275224141662177',NULL,'9998',45.41,1,3,NULL),(20,5340667,'1988-01-10 00:00:00',2,1,12,2005,'F','N','SERRARIA','S JOSÉ','SC','224241241327573441226654345134131343012',6171,'262',63.91,1,3,NULL),(20,5340675,'1988-03-17 00:00:00',4,1,12,2005,'M','N','CENTRO','PALHOÇA','SC','124241241126131431233343335124610136172',13870,'649',50.61,1,2,1),(20,5340683,'1981-12-28 00:00:00',1,1,12,1999,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241242116154431233344345123610134177',11555,'129',55.21,1,2,1),(20,5340691,'1992-12-15 00:00:00',4,1,11,2009,'M','N','FORQUILHAS','S JOSÉ','SC','124242241215112431646372575124610124052',13002,'1074',52.35,1,3,NULL),(20,5340713,'1991-04-20 00:00:00',3,1,11,2007,'F','N','CAMPINAS','S JOSÉ','SC','124243241216152741359913375124231966143',NULL,'723',0.00,1,3,NULL),(20,5340721,'1988-01-08 00:00:00',4,1,12,2005,'F','N','CENTRO','CANDELÁRIA','RS','120203201112151131548619382122610163017',NULL,'9998',23.65,1,3,NULL),(20,5340730,'1971-11-02 00:00:00',2,1,2,1993,'M','N','CAMPINAS','S JOSÉ','SC','224241241127153441353244141122120846042',NULL,'307',0.00,1,3,NULL),(20,5340748,'1990-12-21 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124162241216574431579332572114610121142',1599,'270',78.48,1,3,NULL),(20,5340756,'1992-05-30 00:00:00',4,1,11,2009,'F','N','SANTO ANTÔNIO','CPO GRANDE','MS','112122121217571431668912572122610162142',4413,'9998',68.14,1,3,NULL),(20,5340764,'1993-09-14 00:00:00',4,1,11,2010,'M','S','CENTRO','BIGUAÇU','SC','124242241217111642436731335124610112062',NULL,'262',44.36,1,3,NULL),(20,5340780,'1990-12-25 00:00:00',4,1,12,2008,'F','N','PRAIA DE ITAPIRUBA','IMBITUBA','SC','124241241115231431423324582124133223172',13364,'359',48.88,1,2,1),(20,5340799,'1991-02-08 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORES CUNHA','RS','120203205216471451446712571124610154092',NULL,'9998',0.00,1,3,NULL),(20,5340810,'1991-04-05 00:00:00',2,7,12,2008,'M','N','CENTRO','PTE SERRADA','SC','124241241125111431333379271222610124052',NULL,'629',26.42,1,3,NULL),(20,5340829,'1991-05-13 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124244241217472431668611575112610124142',6854,'497',63.36,1,3,NULL),(20,5340837,'1987-09-23 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241121253321533543332224610127112',16204,'922',42.49,4,3,NULL),(20,5340845,'1993-05-10 00:00:00',4,9,12,2009,'F','N','SANTA RITA','LAGES','SC','124242241215111431439811282122610118177',NULL,'515',0.00,1,3,NULL),(20,5340853,'1991-07-02 00:00:00',4,1,12,2009,'M','N','JD DOS PINHEIROS','S PAULO','SP','125252251217471431323824575124610144044',13892,'9998',46.33,1,3,NULL),(20,5340861,'1992-05-26 00:00:00',4,8,12,2009,'F','N','JARDIM SÃO PAULO','UBIRATÃ','PR','116161242115111431426823572124610168177',NULL,'24',0.00,1,3,NULL),(20,5340870,'1985-07-03 00:00:00',4,1,12,2002,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217135732417839292124231267117',2319,'9997',75.74,4,3,NULL),(20,5340888,'1990-05-21 00:00:00',2,1,12,2007,'M','N','CENTRO','LAURENTINO','SC','124241241145373431539933475122121767045',NULL,'528',NULL,1,2,1),(20,5340896,'1987-03-24 00:00:00',4,15,11,2004,'M','N','COLONINHA','ARARANGUÁ','SC','124241243116151421113943325323233227112',NULL,'228',18.81,1,3,NULL),(20,5340900,'1989-12-08 00:00:00',2,5,11,2007,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124242241211153411458814571124221464052',6842,'226',64.16,1,3,NULL),(20,5340918,'1991-04-27 00:00:00',4,3,12,2008,'M','N','CENTRO','GOIOERÊ','PR','116162161217471431448832575125610164052',4284,'9998',67.88,1,3,NULL),(20,5340926,'1985-04-16 00:00:00',4,1,12,2002,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124243241217131431356644245132133266037',NULL,'259',0.00,4,3,NULL),(20,5340934,'1992-10-30 00:00:00',4,1,12,2009,'F','N','SANTANA','S JOSÉ','SC','124241241126131431336633575124610137047',NULL,'731',23.59,1,3,NULL),(20,5340942,'1989-01-10 00:00:00',4,1,12,2006,'M','N','CENTRO','ORLÂNDIA','SP','125252251215471431466612575122140832187',NULL,'9998',26.12,1,3,NULL),(20,5340969,'1992-07-30 00:00:00',4,10,12,2009,'M','N','CENTRO','IMBITUBA','SC','124242241215131431337931282324610137182',14935,'362',48.06,1,3,NULL),(20,5340977,'1990-07-06 00:00:00',2,7,12,2009,'M','N','CENTRO','LUZERNA','SC','124241241135131431535634142124610118147',NULL,'539',24.25,1,2,1),(20,5340985,'1986-02-24 00:00:00',2,15,12,2004,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241127131132216354345123610118142',NULL,'605',12.33,1,3,NULL),(20,5340993,'1990-11-24 00:00:00',4,1,11,2008,'F','N','BOM FIM','PTO ALEGRE','RS','120202201216471431169811575112610137117',NULL,'9998',0.00,1,3,NULL),(20,5341000,'1991-10-31 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241211121431458831595122610117042',NULL,'44',25.46,1,3,NULL),(20,5341019,'1989-07-24 00:00:00',4,1,12,2006,'M','N','AREIAS','S JOSÉ','SC','124243241417474741348723375124231467045',NULL,'1022',39.80,1,3,NULL),(20,5341035,'1992-07-19 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241112131731437624572121610124077',NULL,'732',23.82,1,3,NULL),(20,5341043,'1987-03-22 00:00:00',4,8,12,2004,'M','N','CENTRO','PATO BRANCO','PR','116161168131575431537711591214610114047',9786,'9998',58.58,1,2,1),(20,5341051,'1990-08-31 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215152431478813395122220728012',3852,'270',71.21,1,3,NULL),(20,5341060,'1988-01-21 00:00:00',2,9,12,2004,'M','N','PETRÓPOLIS','VACARIA','RS','112201201216231231444314343121143214147',14324,'497',49.66,1,3,NULL),(20,5341078,'1992-06-01 00:00:00',4,4,12,2009,'M','N','CENTRO','QUILOMBO','SC','124241241135141331434436391124610162142',NULL,'648',0.00,1,3,NULL),(20,5341108,'1992-01-28 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115151731323315272124610128197',NULL,'288',17.96,1,3,NULL),(20,5341116,'1978-03-31 00:00:00',2,1,1,1997,'F','N','SANTO ANTONIO','FLORIANÓPOLIS','SC','124201201146135431223344245224323043197',12268,'307',53.83,1,3,NULL),(20,5341124,'1992-06-18 00:00:00',2,1,12,2009,'F','N','FUNDOS','BIGUAÇU','SC','124241241226131431214421482344610164197',13625,'262',47.76,1,3,NULL),(20,5341132,'1992-05-23 00:00:00',2,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124242241212271731558612192122610167072',15572,'738',45.99,1,3,NULL),(20,5341140,'1978-09-29 00:00:00',5,1,12,1995,'F','N','PONTO CHIC','IBIRAMA','SC','124201203146474731323618295125433225047',NULL,'9998',0.00,4,3,NULL),(20,5341159,'1992-03-19 00:00:00',4,1,12,2009,'F','N','BRASIL','UBERLÂNDIA','MG','113132131216111431269812372122610124142',NULL,'9998',0.00,1,3,NULL),(20,5341167,'1994-05-17 00:00:00',2,1,12,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242248215111731437612175122610162147',NULL,'737',49.20,1,3,NULL),(20,5341175,'1982-01-18 00:00:00',2,1,12,2003,'F','N','CAMPINAS','S JOSÉ','SC','124241247122132751221251312124610111147',NULL,'736',25.60,1,2,1),(20,5341183,'1992-09-09 00:00:00',2,4,12,2009,'M','N','CENTRO','TRÊS PALMEIRAS','RS','120201201117151431338711345122610163147',NULL,'9998',21.56,1,3,NULL),(20,5341191,'1988-10-21 00:00:00',4,1,12,2007,'M','N','PARQUE SÃO JORGE','PIRACICABA','SP','125251258117471731526619496214610138042',NULL,'9998',23.82,1,2,1),(20,5341205,'1991-07-05 00:00:00',2,1,12,2008,'F','N','INTERIOR','SANANDUVA','RS','120201201116111431423336363322610137042',11211,'9998',53.18,1,2,1),(20,5341213,'1983-03-25 00:00:00',4,1,9,2004,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241247137232431324344445334610133025',NULL,'9997',20.77,4,1,1),(20,5341221,'1991-10-22 00:00:00',2,9,11,2009,'F','N','RECANTOS','S JOAQUIM','SC','124242241216111431548633575122610122072',NULL,'1035',26.70,1,3,NULL),(20,5341248,'1992-02-23 00:00:00',2,4,12,2009,'F','N','NITERÓI','SEARA','SC','124241241135131431433436152224610126197',NULL,'763',29.04,1,2,1),(20,5341256,'1989-02-10 00:00:00',4,1,12,2006,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124251258611131521536521212124140266142',NULL,'9998',23.54,1,3,NULL),(20,5341264,'1992-02-19 00:00:00',2,8,12,2009,'M','N','PRAIA DO ERVINO','S FRANCISCO SUL','SC','124241242115111432327719585124610135143',NULL,'24',0.00,1,2,1),(20,5341272,'1982-05-21 00:00:00',2,1,11,1999,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124202208116234431343543335134221734117',NULL,'9998',20.92,1,3,NULL),(20,5341299,'1993-04-07 00:00:00',4,9,12,2009,'M','N','UNIVERSITÁRIO','LAGES','SC','124242241217111431458914595122610127142',NULL,'9997',23.02,1,3,NULL),(20,5341302,'1992-09-20 00:00:00',4,8,12,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124241241337131431357614345125610164147',NULL,'430',17.62,1,3,NULL),(20,5341310,'1991-05-14 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161215472431336812575114610114042',11604,'9998',55.13,1,3,NULL),(20,5341337,'1980-08-16 00:00:00',4,1,12,1997,'M','N','SERRARIA','S JOSÉ','SC','124242241117143421456513435132123232053',10867,'9997',56.55,1,3,NULL),(20,5341345,'1993-05-29 00:00:00',4,1,12,2010,'M','S','ESTREITO','ALFREDO WAGNER','SC','124241241127161531433612275122610124182',NULL,'13',28.32,1,3,NULL),(20,5341361,'1987-12-06 00:00:00',2,10,12,2004,'M','N','JARDIM ITU SABARÁ','PTO ALEGRE','RS','120202201217573431569933471112610127097',558,'9998',84.15,1,3,NULL),(20,5341370,'1989-10-18 00:00:00',4,8,12,2006,'F','N','NOSSA SENHORA APAREC','FRANCISCO BELTRÃO','PR','116162161215571431559613571125610168147',6373,'9998',62.92,3,3,NULL),(20,5341388,'1992-10-15 00:00:00',4,8,12,2009,'M','N','CENTRO','ITAPOÁ','SC','124243241217151532437932575124610114146',NULL,'1105',33.72,1,3,NULL),(20,5341396,'1992-11-08 00:00:00',4,9,12,2009,'F','N','PENHA','LAGES','SC','124241241112271231223421282124610124147',NULL,'505',0.00,4,2,1),(20,5341400,'1992-02-27 00:00:00',4,2,12,2009,'M','N','FIGUEIRA','GASPAR','SC','124241241137131231463534245114610128052',NULL,'327',0.00,1,2,1),(20,5341418,'1992-07-27 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242246217111321338632595114610161142',12769,'1169',52.80,1,3,NULL),(20,5341426,'1991-05-06 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241236272411458531575114610167052',8552,'262',59.82,1,3,NULL),(20,5341434,'1984-12-04 00:00:00',4,1,12,2001,'F','N','JARDIM ESPLANADA','MANDAGUARI','PR','216161161116372431326351345122140734172',NULL,'9998',30.27,1,2,1),(20,5341442,'1992-10-24 00:00:00',4,5,10,2009,'F','N','NASPOLINI','CRICIÚMA','SC','124242241215112431536612572212610114051',12537,'226',53.27,1,3,NULL),(20,5341450,'1986-09-14 00:00:00',2,1,11,2006,'F','N','AREIAS','S JOSÉ','SC','224241243137131211313351311134110124047',NULL,'9999',3.61,1,3,NULL),(20,5341469,'1989-08-31 00:00:00',4,1,12,2006,'M','N','JD SÃO LUIS','RIBEIRÃO PRETO','SP','125252251216411431468921575122610122047',NULL,'9998',0.00,1,3,NULL),(20,5341477,'1992-02-29 00:00:00',4,5,12,2008,'M','N','BELA VISTA','COCAL SUL','SC','124242246616272431426914345124231424112',NULL,'188',0.00,1,3,NULL),(20,5341493,'1990-03-02 00:00:00',4,4,12,2007,'F','N','CENTRO','PINHALZINHO','SC','124241241116273431333314275224131542147',8843,'616',59.72,1,2,1),(20,5341515,'1974-05-24 00:00:00',4,1,12,1991,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224241243126151421636454182124333262017',5478,'257',66.12,1,2,1),(20,5341523,'1990-08-10 00:00:00',4,8,11,2007,'M','N','VILA OLIVEIRA','MOGI CRUZES','SP','124252251236572441569914575124231417012',NULL,'9998',0.00,1,3,NULL),(20,5341531,'1991-12-29 00:00:00',4,8,12,2009,'M','N','BOA VISTA','JOINVILLE','SC','124242246214121431557811372122610168181',13813,'494',47.67,1,3,NULL),(20,5341558,'1990-03-17 00:00:00',2,1,12,2007,'M','N','MELLER SUL','STO ÂNGELO','RS','124242241217143431367734295124231822063',4280,'1048',70.09,1,3,NULL),(20,5341566,'1991-10-19 00:00:00',4,1,12,2009,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126131431238813575124610114022',NULL,'290',31.33,1,2,1),(20,5341574,'1986-07-30 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124161161117131431423549395114610163142',NULL,'9998',38.06,1,2,1),(20,5341590,'1989-11-11 00:00:00',4,1,12,2007,'M','N','VILLAGE','GAROPABA','SC','124241241146371331556814285114610127147',NULL,'322',23.61,2,1,1),(20,5341604,'1989-08-03 00:00:00',4,1,12,2006,'F','N','JARDIM TURMALINAS','STA BÁRBARA D OESTE','SP','125252251217573431468814175122610147042',9468,'9998',55.24,1,3,NULL),(20,5341612,'1982-08-16 00:00:00',4,15,12,2000,'M','N','SAÕ JOSE','SOMBRIO','SC','224241241127132421236344141123330164191',NULL,'769',0.00,1,3,NULL),(20,5341647,'1991-11-22 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241116133432623414246334610138147',13919,'307',50.53,1,2,1),(20,5341655,'1992-08-13 00:00:00',4,7,12,2009,'M','N','FLORESTA','VIDEIRA','SC','124241241117131231223329395121610124057',NULL,'831',0.00,4,2,1),(20,5341663,'1989-02-10 00:00:00',4,1,12,2006,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124253258112231431523323232324140234147',NULL,'9997',23.06,1,3,NULL),(20,5341698,'1992-08-13 00:00:00',4,10,12,2009,'M','N','GRAVATAL','GRAVATAL','SC','124241241121131511423311122324610124057',NULL,'332',40.29,1,2,1),(20,5341701,'1992-03-16 00:00:00',4,10,12,2009,'M','N','CENTRO','IMBITUBA','SC','124241241117271711446912125112610147042',NULL,'359',19.08,1,2,1),(20,5341710,'1991-03-31 00:00:00',2,1,12,2009,'F','N','BOM RETIRO','PAULO LOPES','SC','124241241222332711523315571223610146092',NULL,'262',23.33,4,3,NULL),(20,5341728,'1983-11-22 00:00:00',4,1,11,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241216142411159843315122133226022',NULL,'270',37.98,1,3,NULL),(20,5341736,'1991-10-15 00:00:00',2,1,11,2009,'M','N','DUQUE DE CAXIAS','CUIABÁ','MT','111112111237111731458831572122610137051',NULL,'9998',0.00,4,3,NULL),(20,5341744,'1989-04-01 00:00:00',4,8,12,2009,'M','N','CENTENARIO','S BENTO SUL','SC','124241247236313431336619295214610114112',NULL,'9999',28.85,2,1,2),(20,5341760,'1986-03-29 00:00:00',2,1,12,2003,'F','N','CAMPINAS','S JOSÉ','SC','124241241125373431444314345124610136183',NULL,'736',27.67,1,2,1),(20,5341795,'1989-04-27 00:00:00',2,15,12,2008,'M','N','CENTRO','TRAMANDAÍ','RS','120201207336371441436522411111141425112',NULL,'9998',24.70,1,3,NULL),(20,5341868,'1991-04-24 00:00:00',4,8,11,2008,'F','N','JARDIM BELA VISTA','S JOSÉ CAMPOS','SP','125254131337371711228811275224610141197',NULL,'9998',0.00,3,3,NULL),(20,5341884,'1992-11-28 00:00:00',2,1,12,2009,'F','N','FLORESTA','S JOSÉ','SC','124243241415231431327624575124610116092',2101,'262',76.55,1,3,NULL),(20,5341892,'1989-04-02 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124051248121242431526144341344610147052',NULL,'736',19.96,4,3,NULL),(20,5341906,'1991-03-27 00:00:00',4,7,12,2008,'F','N','CENTRO','TANGARÁ','SC','124241243137272431534611345124132031142',NULL,'779',36.15,1,3,NULL),(20,5341914,'1980-02-01 00:00:00',3,1,12,1997,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242248437134421548739212124322216182',NULL,'306',53.73,1,3,NULL),(20,5341922,'1991-01-18 00:00:00',2,10,12,2009,'F','N','OFICINAS','TUBARÃO','SC','124241247331131411634923445124610114057',NULL,'9999',0.00,2,1,2),(20,5341930,'1992-10-28 00:00:00',4,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124242241212151731446723332122610167053',NULL,'1078',32.12,1,3,NULL),(20,5341949,'1980-11-26 00:00:00',2,1,11,2001,'M','N','BARREIROS','S JOSÉ','SC','624241241126371421226644245224610132063',9707,'592',56.48,1,2,1),(20,5341957,'1993-05-21 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241212111431467812372122610137042',NULL,'307',0.00,1,3,NULL),(20,5341965,'1989-06-04 00:00:00',2,4,12,2006,'F','N','SANTO ANTONIO','PINHALZINHO','SC','120243241217572441449813391324610162172',7867,'185',62.08,1,3,NULL),(20,5341981,'1987-05-30 00:00:00',2,5,12,2004,'F','N','CENTRO','ROCA SALES','RS','120201201315571422454431594122610164042',2423,'9998',74.52,1,3,NULL),(20,5341990,'1991-08-04 00:00:00',4,8,12,2009,'M','N','ITAUM','JOINVILLE','SC','124241248112111721426633595114610167041',NULL,'477',20.22,1,3,NULL),(20,5342007,'1992-06-29 00:00:00',2,3,12,2009,'F','N','CENTRO','RIO SUL','SC','124242241216151431426412275125610127097',NULL,'663',0.00,1,3,NULL),(20,5342015,'1987-12-10 00:00:00',4,17,11,2004,'M','N','SÃO PEDRO','PTO UNIÃO','SC','124161161136151751423414331221340242177',NULL,'9998',0.00,1,2,1),(20,5342023,'1991-11-09 00:00:00',4,1,12,2008,'F','N','CENTRO','NAVIRAÍ','MS','112122121216471422568832575122610132142',NULL,'9998',0.00,1,3,NULL),(20,5342040,'1987-04-29 00:00:00',2,1,12,2004,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124202201317132431626648381324223064057',NULL,'9998',49.59,1,3,NULL),(20,5342066,'1991-09-07 00:00:00',4,3,6,2009,'F','N','MOINHOS','LAJEADO','RS','120282281415271431668913591122610126097',15041,'9998',47.73,1,3,NULL),(20,5342082,'1988-04-12 00:00:00',4,1,12,2005,'M','N','JARDIM SÃO PAULO','S PAULO','SP','125251251116571411568633495112610131111',10843,'9998',51.57,1,2,1),(20,5342112,'1990-12-20 00:00:00',4,1,12,2008,'F','N','VL LIMEIRÂNEA','LIMEIRA','SP','125252251115371431436614574114610124097',NULL,'9998',0.00,1,3,NULL),(20,5342120,'1987-11-27 00:00:00',2,8,11,2005,'F','N','FLORESTA','JOINVILLE','SC','124241241117152221423639342124133244187',NULL,'472',20.99,2,1,1),(20,5342147,'1991-02-27 00:00:00',4,1,12,2008,'F','N','JARDIM TRIUNFO','PEDREIRA','SP','125251251117471311436833485124610166172',NULL,'9998',19.61,1,2,1),(20,5342163,'1975-10-28 00:00:00',4,1,12,1992,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124202201217251751368674342222340336092',8451,'9998',61.01,1,3,NULL),(20,5342180,'1991-03-24 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215112431589933475122221434155',6389,'270',65.15,1,3,NULL),(20,5342198,'1988-10-03 00:00:00',2,1,12,2005,'F','N','CENTRO','STA MARIA','RS','120203201116571411438714572112610167043',2941,'9998',73.60,1,3,NULL),(20,5342201,'1992-11-28 00:00:00',2,1,12,2009,'M','N','FLORESTA','S JOSÉ','SC','124243241315271431327624575224610167092',9165,'262',59.66,1,3,NULL),(20,5342228,'1990-11-26 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124202201216172221236614445124232523147',NULL,'9998',29.12,1,3,NULL),(20,5342236,'1981-09-21 00:00:00',2,1,3,2008,'F','N','BESSA','JOÃO PESSOA','PB','115152158216532712428939495124442732176',NULL,'9998',0.00,1,3,NULL),(20,5342252,'1991-06-28 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215373421588811285124231462015',3975,'1169',70.92,1,3,NULL),(20,5342260,'1990-12-27 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215111731388612572124610165195',12217,'270',52.52,1,3,NULL),(20,5342287,'1992-03-04 00:00:00',4,1,12,2009,'M','N','JARDIM ACAPULCO','S CARLOS','SP','125253251215111431668612575122610137042',NULL,'9998',0.00,1,3,NULL),(20,5342295,'1979-07-06 00:00:00',2,1,12,1998,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201207216131431337844441114141838191',NULL,'9998',0.00,1,3,NULL),(20,5342309,'1992-09-22 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241132111211333319272214610113057',NULL,'277',19.42,2,2,1),(20,5342317,'1992-05-19 00:00:00',4,1,12,2009,'F','N','ASSIS BRASIL','IJUÍ','RS','120202201216271431679933375122610135142',NULL,'9998',0.00,1,3,NULL),(20,5342325,'1988-04-19 00:00:00',2,1,12,2005,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117271451223343331334610127043',15891,'307',44.67,1,2,1),(20,5342333,'1982-07-13 00:00:00',4,1,12,2000,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241321151711124474145124330262182',NULL,'9999',23.47,1,3,NULL),(20,5342350,'1992-01-15 00:00:00',4,7,12,2009,'M','N','BEIRA SOL','IPUMIRIM','SC','124241242115141431523634575322610124057',NULL,'8',20.04,1,3,NULL),(20,5342368,'1989-12-29 00:00:00',2,1,12,2008,'F','N','CENTRO','ENCANTADO','RS','120203201111271431328823271324610133142',12820,'9998',47.80,1,3,NULL),(20,5342376,'1992-01-14 00:00:00',4,10,12,2009,'M','N','MAR GROSSO','LAGUNA','SC','124243241217131531426611575122610122077',10327,'525',54.89,1,3,NULL),(20,5342384,'1991-02-09 00:00:00',4,4,12,2007,'F','N','INDEPENDENCIA','PTO ALEGRE','RS','120201201416571411444535595122610144142',NULL,'9998',0.00,1,3,NULL),(20,5342392,'1986-06-28 00:00:00',2,3,12,2004,'M','N','BARRA','BAL CAMBORIÚ','SC','124241241117132411225341112123233238187',NULL,'50',30.28,1,2,1),(20,5342414,'1992-10-18 00:00:00',2,5,12,2009,'F','N','PRESIDENTE VARGAS','IÇARA','SC','124241241145131431533611172124610134057',NULL,'228',0.00,1,2,1),(20,5342422,'1992-12-05 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243248315141731333522275122610137142',NULL,'729',20.81,1,3,NULL),(20,5342430,'1988-02-25 00:00:00',2,3,11,2006,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215574451448832492115610147042',NULL,'1017',30.06,1,3,NULL),(20,5342449,'1992-06-30 00:00:00',2,10,12,2009,'M','N','TAQUARAÇU','LAGUNA','SC','124241241115271431424617542124610135147',NULL,'1034',27.66,1,2,1),(20,5342457,'1986-01-16 00:00:00',2,4,12,2004,'F','N','CENTRO','CHAPECÓ','SC','124241241121273431225944242224132536147',NULL,'169',30.25,1,2,1),(20,5342473,'1988-10-04 00:00:00',4,1,12,2006,'M','N','VILLAGE VALE VERDE','IBITINGA','SP','125252251216574731468714574112310164047',NULL,'9998',0.00,1,3,NULL),(20,5342481,'1989-09-26 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124242241211173431355822442124221462062',NULL,'270',44.20,1,3,NULL),(20,5342503,'1989-09-01 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241201131151411526644245224233244172',NULL,'9998',0.00,1,2,1),(20,5342511,'1992-11-27 00:00:00',2,5,11,2009,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124241241211111431544612571112610127142',NULL,'226',23.79,1,3,NULL),(20,5342520,'1992-12-22 00:00:00',2,9,12,2009,'M','N','MONTE CARLO','S JOAQUIM','SC','124242241216211221578611375122610167112',NULL,'1035',0.00,1,3,NULL),(20,5342554,'1985-12-02 00:00:00',4,1,12,2003,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241217474731469611475115221432042',2976,'226',72.56,1,3,NULL),(20,5342562,'1992-05-12 00:00:00',2,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241125131431533361212334610117047',NULL,'274',19.20,4,2,1),(20,5342570,'1994-05-04 00:00:00',4,15,11,2010,'F','S','CIDADE ALTA','TURVO','SC','124242241214171711476612272122610134012',NULL,'813',25.46,1,3,NULL),(20,5342597,'1991-07-15 00:00:00',4,4,12,2008,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116163161114571331569734272122610168142',8529,'9998',59.57,1,3,NULL),(20,5342600,'1993-03-19 00:00:00',4,7,12,2009,'M','N','INTERIOR','FAXINAL GUEDES','SC','124241242115141431523336575222610122047',15347,'8',42.80,1,3,NULL),(20,5342619,'1992-01-07 00:00:00',4,1,11,2010,'M','S','CENTRO','PALHOÇA','SC','124244248435141231446632345124610112092',NULL,'772',23.33,1,3,NULL),(20,5342627,'1992-02-02 00:00:00',4,10,10,2009,'F','N','CENTRO','BRAÇO NORTE','SC','124242241215112431437312372124610143042',NULL,'807',0.00,1,3,NULL),(20,5342635,'1992-05-04 00:00:00',4,2,10,2009,'M','N','VELHA','BLUMENAU','SC','124242241215111731363421575114610117052',NULL,'909',0.00,1,3,NULL),(20,5342660,'1986-03-25 00:00:00',4,1,12,2003,'M','N','IPIRANGA','S JOSÉ','SC','124244241412133411426633497112231068197',NULL,'259',15.62,2,1,2),(20,5342678,'1986-10-31 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216565731247764375125231447015',8164,'272',61.54,1,3,NULL),(20,5342686,'1985-09-17 00:00:00',2,1,6,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124052051117233431124544342124143222147',NULL,'9998',24.36,4,3,NULL),(20,5342694,'1989-11-02 00:00:00',2,1,12,2006,'M','N','KOBRASOL','S JOSÉ','SC','124202201212474221236933445124231427142',8915,'9998',60.13,1,3,NULL),(20,5342708,'1958-06-29 00:00:00',2,1,11,1976,'M','N','CAMPINAS','S JOSÉ','SC','124241247336132411328644395124132138097',NULL,'9999',25.03,4,1,2),(20,5342724,'1990-07-13 00:00:00',2,16,12,2008,'M','N','JARDIM DAS HORTÊNSIA','FRAIBURGO','SC','124241241112162411256923345122230242092',NULL,'314',0.00,1,2,1),(20,5342732,'1989-12-03 00:00:00',2,16,12,2006,'F','N','CENTRO','CURITIBANOS','SC','124243241311271411344316331125232766022',NULL,'239',0.00,1,3,NULL),(20,5342740,'1974-05-07 00:00:00',4,1,12,1990,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','624202201216152421433651295124142264027',6852,'9998',64.15,4,3,NULL),(20,5342759,'1993-02-18 00:00:00',2,10,12,2010,'M','S','SÃO MARTINHO','TUBARÃO','SC','124241241215122431236934275124610164187',NULL,'807',39.98,1,3,NULL),(20,5342767,'1985-03-23 00:00:00',2,9,12,2002,'F','N','CORAL','LAGES','SC','124241241116133431423429182124322232197',14595,'512',49.01,1,2,1),(20,5342775,'1972-03-27 00:00:00',2,3,12,1989,'F','N','CENTRO','BAL CAMBORIÚ','SC','524201203126131741523643182324131538157',NULL,'9998',0.00,1,2,1),(20,5342783,'1984-02-07 00:00:00',4,1,12,2002,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241316273411544431315124230212147',NULL,'943',22.99,1,3,NULL),(20,5342813,'1991-02-24 00:00:00',4,8,12,2008,'M','N','ÁGUA CLARA','IRATI','PR','124161242115111311413335572324610136173',NULL,'9998',0.00,1,3,NULL),(20,5342821,'1989-09-24 00:00:00',4,4,12,2006,'M','N','NOVO SARANDI','NOVO SARANDI','PR','116111161112472431455719592114610115072',NULL,'9998',0.00,1,2,1),(20,5342830,'1993-05-24 00:00:00',4,4,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241212142731366913275122610168052',NULL,'752',0.00,4,3,NULL),(20,5342848,'1992-09-22 00:00:00',4,8,12,2009,'M','N','VILA NOVA','JOINVILLE','SC','124244248347161431536613575124610137187',NULL,'438',0.00,1,3,NULL),(20,5342872,'1991-02-13 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242248237111231124513571125610122122',NULL,'259',18.86,1,3,NULL),(20,5342880,'1992-05-13 00:00:00',4,1,11,2009,'M','N','ALVORADA','FRANCISCO BELTRÃO','PR','116162151217271431334821175122610164057',6578,'9998',62.47,3,3,NULL),(20,5342899,'1990-10-16 00:00:00',4,1,12,2008,'M','N','JARDIM EUROPA','BAURU','SP','125252251415271411469511575122610164172',5389,'9998',67.35,1,3,NULL),(20,5342902,'1988-11-06 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124051241116272431643619342324610134022',NULL,'733',27.37,4,2,1),(20,5342929,'1984-02-08 00:00:00',2,1,12,2001,'F','N','BELA VISTA','S JOSÉ','SC','124241241116272421326629231224610114187',NULL,'293',22.08,4,2,1),(20,5342945,'1990-09-09 00:00:00',2,1,12,2007,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241116131431227624445135610127047',NULL,'257',11.31,1,2,1),(20,5342953,'1992-08-25 00:00:00',2,3,11,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124241243215111431435314572122610121182',NULL,'403',13.69,3,3,NULL),(20,5342961,'1989-12-26 00:00:00',4,8,12,2006,'F','N','SAGUAÇU','JOINVILLE','SC','124242241216142431458823341124231024142',NULL,'486',0.00,1,3,NULL),(20,5342970,'1986-04-01 00:00:00',2,1,12,2004,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241122271431243424282214610167047',13303,'288',51.74,1,2,1),(20,5342988,'1991-04-25 00:00:00',2,1,10,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241136131431638613585121610164017',12337,'307',53.70,1,2,1),(20,5342996,'1991-09-24 00:00:00',2,7,12,2008,'F','N','NAÇÕES','CONCÓRDIA','SC','124241241216272711314432575115610164097',15632,'1047',41.73,1,3,NULL),(20,5343003,'1990-03-03 00:00:00',2,1,12,2007,'F','N','LALOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241217274431226623342114610163187',13220,'1022',51.92,1,3,NULL),(20,5343011,'1987-08-28 00:00:00',2,1,12,2004,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124201201117131721446579395124610168187',NULL,'9998',38.87,1,3,NULL),(20,5343020,'1992-09-17 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111431438619582125610128017',6886,'269',64.09,1,3,NULL),(20,5343046,'1992-02-05 00:00:00',4,3,12,2009,'F','N','CENTRO','PTO BELO','SC','124242241211111431448833385124610111077',NULL,'407',32.03,1,3,NULL),(20,5343054,'1990-11-30 00:00:00',4,8,12,2008,'M','N','BUCAREIN','JOINVILLE','SC','124241243216312521455933445122610157142',15450,'1105',46.46,1,3,NULL),(20,5343062,'1971-07-13 00:00:00',4,6,12,1988,'F','N','CENTRO','BAL CAMBORIÚ','SC','224242241212143441556652414132121424122',NULL,'457',0.00,1,3,NULL),(20,5343070,'1989-03-22 00:00:00',4,1,12,2006,'F','N','CENTRO','LUCÉLIA','SP','125251258116131421225423245124241047147',NULL,'9998',0.00,4,2,1),(20,5343089,'1993-05-24 00:00:00',4,4,12,2010,'M','S','CENTRO','CHAPECÓ','SC','124242241217151531669834275122610128062',NULL,'185',45.39,1,3,NULL),(20,5343097,'1993-07-02 00:00:00',4,15,11,2010,'F','S','SÃO CRISTÓVÃO','TURVO','SC','124242241417161431456814592121610121092',NULL,'813',25.03,1,3,NULL),(20,5343119,'1993-02-08 00:00:00',4,1,12,2010,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242244217111421456623592114610133077',NULL,'270',0.00,1,3,NULL),(20,5343127,'1992-03-13 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124241241111471431533614142324610116142',NULL,'734',26.46,4,3,NULL),(20,5343135,'1993-08-12 00:00:00',4,2,12,2010,'F','S','VELHA','BLUMENAU','SC','124242241215111431568833272122610122092',NULL,'855',26.93,1,3,NULL),(20,5343143,'1987-03-07 00:00:00',4,4,12,2004,'F','N','SAO CRISTOVAO','CHAPECÓ','SC','124241241116241532226349495113610131012',NULL,'181',16.46,1,3,NULL),(20,5343151,'1992-10-09 00:00:00',2,1,11,2010,'M','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111751239839575122610134052',NULL,'262',45.28,1,3,NULL),(20,5343160,'1993-01-02 00:00:00',2,5,11,2009,'F','N','CENTRO','SOMBRIO','SC','124242241215111411326511595124610162077',NULL,'32',32.37,1,3,NULL),(20,5343178,'1990-07-20 00:00:00',4,1,11,2009,'F','N','PINGUIRITO','GAROPABA','SC','124241241125161432436619395325610138182',NULL,'322',17.33,1,2,1),(20,5343186,'1990-05-03 00:00:00',2,2,12,2007,'F','N','MENINO DEUS','PTO ALEGRE','RS','120202201211511411237911172114610162192',2514,'9998',74.17,1,3,NULL),(20,5343194,'1987-02-14 00:00:00',2,1,10,2005,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','224241241127132421421444145234610126032',14353,'9999',49.60,1,2,1),(20,5343208,'1992-11-17 00:00:00',2,1,12,2009,'F','N','SANTO ANTONIO','PTO ALEGRE','RS','120204201417141411436612395124610141147',NULL,'9998',20.00,1,3,NULL),(20,5343216,'1992-06-20 00:00:00',4,4,12,2009,'F','N','SANTA TEREZINHA','PALMITINHO','RS','120201201116131431333833572122610147053',NULL,'9998',25.43,1,3,NULL),(20,5343224,'1993-03-29 00:00:00',2,1,11,2010,'F','S','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115151432338934572124610128145',NULL,'267',28.38,1,3,NULL),(20,5343232,'1985-02-06 00:00:00',2,1,6,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','624241241227131211636444442114610117045',NULL,'9999',16.33,2,1,2),(20,5343240,'1984-08-05 00:00:00',2,1,12,2003,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241127471412436679485114610122117',NULL,'736',26.81,1,2,1),(20,5343259,'1992-01-29 00:00:00',4,4,12,2009,'F','N','JARDIM AMERICA','CHAPECÓ','SC','124241241112271511213324382324610151052',NULL,'181',24.80,1,3,NULL),(20,5343267,'1992-03-30 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124103241435111431436633575122610127042',NULL,'977',18.94,4,3,NULL),(20,5343291,'1986-09-12 00:00:00',2,8,12,2004,'M','N','BARREIRINHA','CURITIBA','PR','116161161117372441546823195121610124117',10725,'9998',52.95,1,3,NULL),(20,5343305,'1991-06-15 00:00:00',4,4,12,2009,'M','N','CENTRO','TOLEDO','PR','116162161217271431459931592112610167042',3669,'9998',68.52,1,3,NULL),(20,5343313,'1993-12-26 00:00:00',2,1,12,2010,'F','S','CENTRO','S JOÃO BATISTA','SC','124241241116131431334932575122610136142',NULL,'712',20.69,1,3,NULL),(20,5343321,'1991-02-14 00:00:00',2,1,1,2010,'F','N','ATLÂNTIDA','XANGRI-LÁ','RS','120201201116371431223324295121610127117',NULL,'9998',0.00,1,2,1),(20,5343348,'1992-02-24 00:00:00',4,8,11,2009,'M','N','FLORESTA','JOINVILLE','SC','124242241212111531448312272122610127042',8678,'461',57.31,1,3,NULL),(20,5343356,'1990-03-26 00:00:00',2,1,8,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247435371731324431395121613262192',NULL,'977',19.25,1,3,NULL),(20,5343364,'1993-03-02 00:00:00',4,1,11,2009,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215112431266824492122610124191',15683,'270',45.58,1,3,NULL),(20,5343380,'1989-12-23 00:00:00',2,15,12,2009,'F','N','GUARITA','SOMBRIO','SC','124241241127131421524536342324610134143',NULL,'1033',0.00,1,2,1),(20,5343410,'1991-04-15 00:00:00',4,4,11,2008,'M','N','FARROUPILHA','PTO ALEGRE','RS','120203201232472431469834371312610167062',9600,'9998',55.93,3,3,NULL),(20,5343429,'1992-10-18 00:00:00',4,2,11,2009,'F','N','CENTRO II','BRUSQUE','SC','124244241217211431478714575122610126177',NULL,'1123',0.00,1,3,NULL),(20,5343437,'1992-07-26 00:00:00',4,1,11,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243248315131532525524275124610127045',NULL,'1036',20.18,1,3,NULL),(20,5343445,'1992-04-29 00:00:00',4,1,11,2009,'M','N','JARDIM BOA VISTA','STO ANDRÉ','SP','125252251217111431478831575124610167012',NULL,'9998',0.00,1,3,NULL),(20,5343453,'1993-03-18 00:00:00',4,8,11,2010,'F','S','ATIRADORES','JOINVILLE','SC','124242248215111531486932575122610124142',NULL,'456',42.21,1,3,NULL),(20,5343470,'1992-10-15 00:00:00',4,4,10,2009,'M','N','CENTRO','STO ANTÔNIO MISSÕES','RS','120201201217151431428632375122610132052',13377,'9998',48.55,1,3,NULL),(20,5343488,'1990-01-25 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241212123751226939492124231028144',14076,'270',50.25,1,3,NULL),(20,5343496,'1992-11-09 00:00:00',2,1,12,2010,'F','S','AGRONÔNICA','FLORIANÓPOLIS','SC','124242241212111412349923572122610132142',NULL,'262',32.32,1,3,NULL),(20,5343500,'1988-11-01 00:00:00',2,1,12,2007,'F','N','PERDIZES','S PAULO','SP','125253251216131431328344342234610135077',NULL,'9998',0.00,1,3,NULL),(20,5343518,'1992-04-23 00:00:00',4,4,12,2009,'F','N','CENTRO','PATO BRANCO','PR','116162161216371411466814445122610114072',9008,'9998',58.80,1,3,NULL),(20,5343534,'1990-08-28 00:00:00',4,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124242241215371431436673345124610166012',8160,'932',61.55,1,3,NULL),(20,5343542,'1985-11-19 00:00:00',2,1,12,2003,'F','N','ARIRIÚ','PALHOÇA','SC','124242241122374431444313345133610143142',NULL,'307',26.08,1,3,NULL),(20,5343569,'1991-05-20 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241146241711448314345115610138057',NULL,'283',39.15,1,2,1),(20,5343577,'1993-04-07 00:00:00',4,5,11,2009,'F','N','CENTRO','ERECHIM','RS','120202201212271411489931575122610123143',NULL,'9998',0.00,1,3,NULL),(20,5343593,'1992-08-31 00:00:00',2,17,12,2009,'F','N','MORRO DO CRISTO','UNIÃO VITÓRIA','PR','116242241217131431538813572122610145147',8503,'632',57.33,1,3,NULL),(20,5343615,'1991-11-10 00:00:00',2,9,12,2009,'M','N','CENTRO','LAGES','SC','124241241114141611324344342124610167177',NULL,'500',0.00,1,3,NULL),(20,5343623,'1991-07-07 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','116162161217371431438714345122610162077',8758,'9998',57.89,1,3,NULL),(20,5343631,'1992-11-10 00:00:00',4,1,11,2009,'F','N','CENTRO','CURITIBA','PR','116162161215111431469831515122610123142',NULL,'9998',0.00,1,3,NULL),(20,5343640,'1992-02-07 00:00:00',2,1,12,2009,'M','N','SÃO MIGUEL','BIGUAÇU','SC','124242241216161231566611392122610137042',NULL,'63',26.95,1,3,NULL),(20,5343658,'1983-10-06 00:00:00',2,1,12,2000,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124201201116131421128943435323140728187',16105,'9998',43.40,1,3,NULL),(20,5343666,'1993-01-18 00:00:00',2,1,12,2009,'F','N','MENINO DEUS','PATO BRANCO','PR','116161161116271451324534575124610123182',14621,'9998',45.77,1,2,1),(20,5343674,'1987-04-06 00:00:00',2,1,10,2006,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241137471731459713282124132833177',12749,'69',47.27,4,3,NULL),(20,5343682,'1993-11-24 00:00:00',4,1,11,2010,'M','S','CENTRO','PALHOÇA','SC','124241241232111441467732575122610124092',NULL,'989',29.59,1,3,NULL),(20,5343690,'1986-05-17 00:00:00',4,1,12,2003,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124161161116131121433336395125221944144',15930,'9998',44.52,1,3,NULL),(20,5343704,'1985-07-14 00:00:00',4,3,12,2003,'M','N','SÃO SEBASTIÃO','CPO MOURÃO','PR','116162168416151411469914375112140468183',NULL,'9998',0.00,1,3,NULL),(20,5343712,'1992-06-19 00:00:00',4,1,12,2009,'F','N','CANOAS','RIO SUL','SC','124241241116141441124644245225610114177',NULL,'658',0.00,1,2,1),(20,5343720,'1980-12-24 00:00:00',2,1,12,2000,'F','N','CAEIRA SACO LIMOES','FLORIANÓPOLIS','SC','124241241125472431324447445134610128145',15233,'281',47.15,2,1,1),(20,5343739,'1994-02-08 00:00:00',4,2,12,2010,'F','S','VILA NOVA','BLUMENAU','SC','124242161215111431565814342122610123042',NULL,'909',58.31,1,3,NULL),(20,5343747,'1992-08-02 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242247212111411438824295122610117057',NULL,'9999',22.03,1,3,NULL),(20,5343755,'1989-07-02 00:00:00',2,1,12,2006,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201217571431558811475124610167057',NULL,'9998',0.00,1,3,NULL),(20,5343771,'1991-09-25 00:00:00',2,5,12,2008,'M','N','HUMAITÁ','PTO ALEGRE','RS','120204201215471411259924511124610164123',10351,'9998',53.32,1,3,NULL),(20,5343780,'1984-03-30 00:00:00',1,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241122131231112445142324130826052',NULL,'9999',6.95,1,2,1),(20,5343798,'1986-09-09 00:00:00',4,1,12,2004,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241115273411566613435114610122142',5285,'306',67.61,1,3,NULL),(20,5343828,'1991-03-22 00:00:00',4,1,12,2008,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201217271432469914571114140764117',4817,'9998',67.55,1,3,NULL),(20,5343836,'1991-12-15 00:00:00',4,3,12,2009,'M','N','CENTRO','ITAPEMA','SC','124243241316131731328671572222610164117',NULL,'406',0.00,4,3,NULL),(20,5343852,'1993-06-26 00:00:00',4,1,11,2010,'M','S','CENTRO','ANTÔNIO CARLOS','SC','124243241211161431643812572121610167042',NULL,'20',40.01,1,3,NULL),(20,5343879,'1989-04-05 00:00:00',4,1,12,2006,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241213245431486921395122231032187',NULL,'270',0.00,1,3,NULL),(20,5343887,'1992-12-23 00:00:00',4,1,12,2010,'M','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217111431568811475112610127046',NULL,'270',51.45,1,3,NULL),(20,5343895,'1992-02-25 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241112271431336923592124610147057',NULL,'307',19.21,1,2,1),(20,5343909,'1991-02-28 00:00:00',4,1,12,2008,'M','N','PEREQUE','PTO BELO','SC','124243241217141431353634385322610167055',NULL,'1111',32.81,1,3,NULL),(20,5343917,'1988-07-05 00:00:00',4,9,12,2005,'M','N','CENTRO','LAGES','SC','124241241312573431356614475112231427045',8140,'497',61.58,1,3,NULL),(20,5343925,'1988-12-19 00:00:00',4,5,12,2006,'F','N','PARTENON','PTO ALEGRE','RS','120202201217571431447833571112610124192',1186,'9998',79.81,1,3,NULL),(20,5343933,'1988-09-27 00:00:00',4,4,12,2005,'F','N','SEM BAIRRO','PALOTINA','PR','116163161215571431653615572122610137187',695,'9998',82.66,1,3,NULL),(20,5343941,'1992-07-31 00:00:00',4,1,11,2009,'M','N','LARSEN','LONDRINA','PR','116162161217111431468912172112610137052',2601,'9998',72.94,1,3,NULL),(20,5343968,'1989-11-14 00:00:00',4,6,12,2006,'F','N','CENTRO','ITAJAÍ','SC','124241241116372751259614342122233234053',NULL,'583',0.00,1,3,NULL),(20,5343976,'1992-11-03 00:00:00',2,5,12,2009,'F','N','SANTA BARBARA','CRICIÚMA','SC','124241241115271731623331372224610124147',16221,'209',42.27,1,2,1),(20,5343992,'1993-03-13 00:00:00',2,1,12,2009,'F','N','CENTRO','BORRAZÓPOLIS','PR','116162161216111431436929495124610117072',NULL,'9998',37.86,4,3,NULL),(20,5344000,'1983-08-09 00:00:00',2,15,12,2000,'M','N','CENTRO','BAL ARROIO SILVA','SC','124241241147151132433342225122610122067',NULL,'225',41.30,1,3,NULL),(20,5344018,'1982-07-18 00:00:00',2,15,11,2003,'M','N','COLONINHA','ARARANGUÁ','SC','124241247137151411126844445335610134047',NULL,'9999',24.30,4,2,1),(20,5344026,'1992-12-22 00:00:00',2,1,11,2009,'F','N','AREIAS','S JOSÉ','SC','124242241215122731437631575124610162197',NULL,'270',23.71,1,3,NULL),(20,5344034,'1993-03-29 00:00:00',4,3,11,2010,'F','S','ITOUPAVAZINHA','BLUMENAU','SC','124242241215111331467832225125610164012',NULL,'855',26.91,1,3,NULL),(20,5344042,'1991-11-28 00:00:00',4,1,12,2009,'F','N','SANTANA','S JOSÉ CAMPOS','SP','125251251235121431654623572122610161112',9382,'9998',57.34,1,3,NULL),(20,5344069,'1992-09-30 00:00:00',4,1,12,2009,'F','N','SÃO MIGUEL','CRUZ ALTA','RS','120201201117131431229721575345610168072',15463,'9998',41.98,1,2,1),(20,5344077,'1991-12-14 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241232371431435534571112610134071',NULL,'273',24.52,4,3,NULL),(20,5344107,'1991-05-29 00:00:00',4,1,5,2009,'M','N','SANTO ANTÔNIO','FLORIANÓPOLIS','SC','124244281417371731478613275114610124053',8556,'9998',60.82,1,3,NULL),(20,5344115,'1988-12-17 00:00:00',4,1,12,2006,'F','N','ASA NORTE','BRASÍLIA','DF','107072071216571431469923575124610117097',7273,'9998',61.46,3,3,NULL),(20,5344123,'1992-10-19 00:00:00',4,1,12,2009,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124244241127261431569611576112610134197',14115,'322',47.85,1,3,NULL),(20,5344131,'1991-06-04 00:00:00',4,8,12,2008,'M','N','ÁGUA BRANCA','S FRANCISCO SUL','SC','124244243236371431456711575124610167113',NULL,'867',25.87,1,3,NULL),(20,5344140,'1967-07-30 00:00:00',4,1,12,1995,'M','N','SÃO JOÃO RIO VERMELH','FLORIANÓPOLIS','SC','224241247221142411446443231343610167042',NULL,'9999',0.00,2,1,2),(20,5344158,'1975-06-22 00:00:00',2,1,11,2005,'F','N','IPIRANGA','S JOSÉ','SC','107243077322332431223141111334613213037',NULL,'9999',0.00,3,3,NULL),(20,5344166,'1987-02-25 00:00:00',4,3,12,2004,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241215152431157923385122131462092',NULL,'1045',50.38,1,3,NULL),(20,5344174,'1984-12-18 00:00:00',2,8,12,2002,'F','N','CENTRO','CURITIBA','PR','116253168436572431336823475124610162187',4052,'9998',70.03,1,3,NULL),(20,5344182,'1990-11-07 00:00:00',2,1,8,2009,'F','N','PACHECOS','PALHOÇA','SC','124243241115132431436933396124610133147',15744,'306',41.89,1,3,NULL),(20,5344190,'1992-07-14 00:00:00',2,8,12,2009,'F','N','UBATUBA','S FRANCISCO SUL','SC','124244241215131331426519575124610161152',NULL,'867',20.94,1,3,NULL),(20,5344204,'1992-03-27 00:00:00',4,4,11,2009,'F','N','CENTRO','ERECHIM','RS','120202201215111731458812322122610167077',11667,'9998',50.62,1,3,NULL),(20,5344212,'1990-11-14 00:00:00',4,1,11,2007,'F','N','CHÁCARA INGLESA','S PAULO','SP','125252251216571211478811575114610162121',674,'9998',83.06,3,3,NULL),(20,5344220,'1992-10-27 00:00:00',2,17,11,2009,'F','N','VILA FATY','S MATEUS SUL','PR','116162161215471431446612575115610155147',9881,'9998',54.69,4,3,NULL),(20,5344239,'1992-04-17 00:00:00',4,1,12,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124243241215131431436733575122610124097',NULL,'1075',0.00,2,1,2),(20,5344247,'1987-03-02 00:00:00',4,1,12,2004,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241117153221468713572124233263197',11067,'306',56.16,3,2,1),(20,5344255,'1980-08-25 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243247226131431423344141334610167047',NULL,'9999',26.84,1,3,NULL),(20,5344263,'1992-06-26 00:00:00',4,1,12,2009,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241216111431348634575124610165092',NULL,'1023',45.11,1,3,NULL),(20,5344271,'1971-04-25 00:00:00',4,1,12,1988,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224241246126135421448742225123130236137',NULL,'306',23.78,4,2,1),(20,5344298,'1988-12-28 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117272431221324242234610122187',NULL,'935',30.89,1,3,NULL),(20,5344301,'1991-12-09 00:00:00',4,8,12,2008,'F','N','SANTA CÂNDIDA','CURITIBA','PR','116162161217471431466834574122610137147',5443,'9998',66.09,1,3,NULL),(20,5344310,'1992-12-03 00:00:00',4,1,12,1992,'M','N','BARREIROS','S JOSÉ','SC','124242241217151431357673575114610144112',NULL,'738',28.26,1,3,NULL),(20,5344328,'1992-08-15 00:00:00',2,8,12,2009,'F','N','COMASA','JOINVILLE','SC','124241241115371432536611575124610138147',NULL,'469',39.14,1,2,1),(20,5344336,'1990-10-09 00:00:00',2,15,12,2008,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120204201116471431357833435122610162072',NULL,'9998',0.00,1,3,NULL),(20,5344344,'1991-03-20 00:00:00',2,6,12,2008,'F','N','PILARZINHO','CURITIBA','PR','116164161231571641579934371124611062187',NULL,'9998',33.81,1,3,NULL),(20,5344352,'1988-03-03 00:00:00',3,1,11,2005,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215112431259913595114231964182',12090,'807',54.19,1,3,NULL),(20,5344360,'1992-02-09 00:00:00',2,4,12,2009,'M','N','INTERIOR','S JOSÉ CEDRO','SC','124241241147161431543933273214610147047',12694,'740',49.20,3,2,1),(20,5344387,'1991-08-16 00:00:00',4,1,11,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215121431353812225122610148012',NULL,'1074',19.57,1,3,NULL),(20,5344395,'1984-06-29 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624251251127272411336374342334122264022',NULL,'9998',0.00,1,3,NULL),(20,5344409,'1987-09-18 00:00:00',2,8,12,2004,'F','N','CENTRO','CURITIBA','PR','116122121214572441349913575114610136147',NULL,'9998',0.00,1,3,NULL),(20,5344417,'1992-11-05 00:00:00',4,1,12,2009,'F','N','VILA RICA','ATIBAIA','SP','125252251216111431578811575112610131122',8458,'9998',57.32,1,3,NULL),(20,5344433,'1992-11-10 00:00:00',4,4,12,2009,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124241247135141231425514145124610154057',NULL,'171',0.00,1,2,1),(20,5344441,'1990-06-18 00:00:00',2,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','124244241215371431579934575122610124142',NULL,'185',0.00,1,3,NULL),(20,5344476,'1990-02-15 00:00:00',4,4,12,2006,'F','N','LUCAS ARAUJO','PASSO FUNDO','RS','120202201216571431469931472122610127182',NULL,'9998',0.00,1,3,NULL),(20,5344484,'1981-10-28 00:00:00',4,10,12,2000,'M','N','CENTRO','CAPIVARI BAIXO','SC','224241246117132411246544442132610121182',NULL,'306',35.58,1,2,1),(20,5344492,'1992-01-25 00:00:00',4,6,12,2009,'F','N','PRAÇA','TIJUCAS','SC','124241241415131331326314175124610137147',NULL,'781',17.54,1,3,NULL),(20,5344506,'1990-01-28 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241137131431423324385114610137052',NULL,'307',28.07,2,1,1),(20,5344514,'1990-06-05 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124072241217133751426679342114133264147',NULL,'272',37.76,1,3,NULL),(20,5344549,'1978-09-14 00:00:00',2,1,12,1995,'F','N','PONTE DO IMARUIM','S JOSÉ','SC','124101101137231431113348485324610124187',NULL,'9998',0.00,2,2,1),(20,5344557,'1991-11-16 00:00:00',2,1,12,2009,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241115471721424434581124610124142',NULL,'295',16.90,4,2,1),(20,5344565,'1988-09-27 00:00:00',4,4,12,2005,'F','N','JOÃO JOSÉ GHELEN','FAXINAL GUEDES','SC','124241241116131431435513492222610146142',NULL,'255',17.57,1,3,NULL),(20,5344573,'1991-05-29 00:00:00',2,1,11,2007,'M','N','SUMARÉ','RIO SUL','SC','624244241214571431678711275122142627067',5124,'654',68.01,1,3,NULL),(20,5344581,'1992-02-06 00:00:00',4,1,12,2009,'F','N','CENTRO','NOVO HAMBURGO','RS','120204201417111431349924575122610136197',NULL,'9998',0.00,1,3,NULL),(20,5344603,'1979-08-27 00:00:00',4,1,12,1998,'M','N','BARREIROS','S JOSÉ','SC','224244241116135421238643235324122367067',8024,'307',59.47,2,1,2),(20,5344611,'1985-09-20 00:00:00',2,3,12,2003,'M','N','MONTE ALEGRE','CAMBORIÚ','SC','124241248127131451433544145224610156197',NULL,'131',26.55,2,1,1),(20,5344620,'1990-04-04 00:00:00',4,3,11,2007,'F','N','ALTO DA XV','GUARAPUAVA','PR','116162161215573451448814572125610164187',5126,'9998',66.35,1,3,NULL),(20,5344638,'1990-11-14 00:00:00',4,1,11,2007,'F','N','CHÁCARA INGLESA','S PAULO','SP','125252251216571211478811575124610162121',933,'9998',81.47,3,3,NULL),(20,5344646,'1992-11-21 00:00:00',4,6,12,2009,'M','N','JARDIM IATE CLUBE','BAL CAMBORIÚ','SC','124241241212131431326619492321610142097',NULL,'1017',39.50,1,3,NULL),(20,5344654,'1984-04-18 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241121132411423344241334130211152',NULL,'554',27.01,1,2,1),(20,5344662,'1990-10-22 00:00:00',4,8,11,2007,'M','N','CENTRO','SORRISO','MT','124111111216474431533318572124221422052',NULL,'9998',0.00,1,3,NULL),(20,5344670,'1991-02-19 00:00:00',2,4,12,2009,'M','N','CENTRO','MARAVILHA','SC','124241242236131431339514575125610154057',NULL,'836',0.00,1,3,NULL),(20,5344689,'1962-09-13 00:00:00',2,1,7,2005,'F','N','AREIAS','S JOSÉ','SC','124241247112371411223341112244610122077',NULL,'9999',33.77,2,1,1),(20,5344697,'1992-01-30 00:00:00',4,1,11,2009,'F','N','BATEL','CURITIBA','PR','116162161215111431369932575122610164092',NULL,'9998',0.00,1,3,NULL),(20,5344743,'1992-04-30 00:00:00',4,8,11,2009,'M','N','FLORESTA','JOINVILLE','SC','124241241216131431435411315125610157017',NULL,'489',32.34,1,3,NULL),(20,5344751,'1988-02-26 00:00:00',4,6,2,2010,'F','N','FAZENDA','ITAJAÍ','SC','124242247216151751246842392125610163117',NULL,'9999',16.37,1,3,NULL),(20,5344760,'1990-07-07 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216242411328813215123130421117',11217,'1048',55.89,1,3,NULL),(20,5344778,'1989-01-28 00:00:00',2,1,12,2006,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241126131431343411385124610128147',NULL,'736',29.89,1,2,1),(20,5344786,'1991-05-30 00:00:00',2,16,12,2008,'F','N','CRISTAL','PTO ALEGRE','RS','120202201215371431468931591122610133182',7670,'9998',60.00,1,3,NULL),(20,5344794,'1990-08-22 00:00:00',4,9,12,2008,'M','N','CENTRO','NOVA PETRÓPOLIS','RS','120203201215572731174813595125610167052',1139,'9998',80.36,1,3,NULL),(20,5344808,'1991-12-13 00:00:00',4,8,11,2008,'F','N','REBOUÇAS','CURITIBA','PR','116222161216172411468832575124610117112',NULL,'9998',0.00,1,3,NULL),(20,5344816,'1992-03-08 00:00:00',2,1,12,2009,'M','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','124241241116271431423314285124610137067',NULL,'288',27.48,4,2,1),(20,5344824,'1992-01-13 00:00:00',2,1,12,2009,'F','N','CENTRO CÍVICO','CURITIBA','PR','116164161215111431558614375124610126042',5180,'9998',65.96,1,3,NULL),(20,5344832,'1990-11-11 00:00:00',4,1,12,2008,'F','N','JARDIM PANORAMA','VINHEDO','SP','125252251216471411449914575122610168092',NULL,'9998',0.00,1,3,NULL),(20,5344840,'1991-09-12 00:00:00',4,9,12,2007,'F','N','CRISTO REDENTOR','CAXIAS SUL','RS','120202201215571331468931574122610124127',NULL,'9998',0.00,1,3,NULL),(20,5344867,'1992-11-07 00:00:00',4,5,11,2009,'F','N','VILA NOVA','COCAL SUL','SC','124241241117131431436334575322610116072',NULL,'189',30.45,1,3,NULL),(20,5344883,'1991-04-13 00:00:00',2,1,11,2008,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241415373411436913345114610126183',14855,'300',45.47,1,3,NULL),(20,5344891,'1992-10-04 00:00:00',4,2,12,2009,'F','N','SALTO DO NORTE','BLUMENAU','SC','124241241217141431559932241124610122142',NULL,'1018',28.98,1,3,NULL),(20,5344905,'1992-10-29 00:00:00',4,8,12,2009,'F','N','JARIVATUBA','JOINVILLE','SC','124161241132131731554414185124610146142',NULL,'467',21.59,1,2,1),(20,5344913,'1992-09-10 00:00:00',4,1,11,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161235111431369934572124610134147',NULL,'9998',0.00,1,3,NULL),(20,5344930,'1991-11-10 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241215371421489819572112610143091',3594,'1022',71.69,1,3,NULL),(20,5344948,'1992-09-03 00:00:00',4,1,12,2009,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201217471531369934592122610142037',NULL,'9998',37.98,1,3,NULL),(20,5344956,'1992-01-31 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215111411349929571124610164037',8667,'1022',60.61,1,3,NULL),(20,5344964,'1991-02-28 00:00:00',2,1,12,2008,'F','N','JARDIM REGINA','S PAULO','SP','125252251217371431576434345122610156173',NULL,'9998',0.00,2,3,NULL),(20,5344972,'1992-11-05 00:00:00',2,8,12,2009,'F','N','BELA ALIANÇA','S BENTO SUL','SC','124241241116161431423416575124610161092',NULL,'132',27.21,1,3,NULL),(20,5344980,'1992-06-30 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242248241111431458832392112610131017',NULL,'1169',25.33,1,3,NULL),(20,5344999,'1992-03-25 00:00:00',4,1,11,2009,'M','N','SÃO BRAZ','CURITIBA','PR','116162161217371411489812575114610167052',13783,'9998',50.77,1,3,NULL),(20,5345006,'1993-08-03 00:00:00',4,1,12,2010,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215161431549934375122610116145',NULL,'272',62.44,1,3,NULL),(20,5345014,'1985-10-19 00:00:00',2,1,12,2003,'F','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120132131216571331458613371124610125092',7180,'9998',61.39,1,3,NULL),(20,5345022,'1992-09-19 00:00:00',2,6,12,2009,'F','N','SÃO JOÃO','ITAJAÍ','SC','124244248215121431426511194125610163147',NULL,'1026',28.78,1,3,NULL),(20,5345081,'1991-03-23 00:00:00',4,1,12,2008,'F','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161215571731658832571115610134182',NULL,'9998',27.91,1,3,NULL),(20,5345090,'1992-08-30 00:00:00',2,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124241242117131451548829592324610122147',NULL,'129',40.52,1,2,1),(20,5345120,'1989-10-06 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215574431178639395124230224187',1018,'262',81.22,1,3,NULL),(20,5345146,'1991-10-25 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241216372421536629245114610168117',NULL,'1118',22.29,1,3,NULL),(20,5345154,'1992-09-23 00:00:00',4,8,11,2009,'M','N','SANTA QUITÉRIA','CURITIBA','PR','116162161215111411568833575122610133182',1374,'9998',79.40,3,3,NULL),(20,5345162,'1991-09-12 00:00:00',4,3,12,2008,'M','N','MOINHOS','PTO ALEGRE','RS','120202208217371231569915595125610167042',NULL,'9998',0.00,1,3,NULL),(20,5345170,'1988-09-21 00:00:00',4,1,12,2005,'F','N','VILA INDUSTRIAL','S MANUEL','SP','125252251411574431549814392125610154073',NULL,'9998',0.00,1,3,NULL),(20,5345189,'1991-07-24 00:00:00',4,1,1,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244248117131411238824395124610134192',14273,'306',49.79,1,3,NULL),(20,5345197,'1992-08-23 00:00:00',4,7,12,2009,'F','N','FLORESTA','VIDEIRA','SC','124241241416121411446631575122610131142',NULL,'829',0.00,1,3,NULL),(20,5345219,'1988-01-07 00:00:00',2,1,12,2005,'M','N','MACACU','GAROPABA','SC','124241241126134431323324275124220727047',5712,'322',65.08,2,1,1),(20,5345243,'1992-11-05 00:00:00',2,8,12,2009,'F','N','BELA ALIANÇA','S BENTO SUL','SC','124241241116161431423416575124610165142',NULL,'132',20.78,1,3,NULL),(20,5345251,'1991-01-03 00:00:00',2,1,11,2008,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241215372751536722592122610167057',NULL,'1118',46.16,1,3,NULL),(20,5345286,'1992-11-05 00:00:00',4,5,11,2010,'M','S','MONTE VERDE','MRO FUMAÇA','SC','124244241215271321563332575112610112172',NULL,'226',39.41,1,3,NULL),(20,5345294,'1979-01-05 00:00:00',4,15,12,2006,'M','N','COLONINHA','ARARANGUÁ','SC','124241247126131431213343135314610122187',NULL,'9999',29.88,1,3,NULL),(20,5345308,'1991-04-07 00:00:00',2,15,12,2008,'F','N','SARANDI','PTO ALEGRE','RS','120202201215371731448833572124610167057',2242,'9998',76.02,1,3,NULL),(20,5345332,'1985-09-27 00:00:00',5,10,12,2008,'M','N','RIO LARANJEIRAS','ORLEANS','SC','124241242125131231421336196224610168187',NULL,'9999',0.00,1,2,1),(20,5345367,'1991-10-23 00:00:00',3,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124092241215411431653821115125610161092',NULL,'270',0.00,4,3,NULL),(20,5345375,'1991-06-20 00:00:00',4,3,12,2008,'F','N','CENTRO','ITAPEMA','SC','124241241415372431468823575122133266095',NULL,'403',0.00,1,3,NULL),(20,5345391,'1991-09-18 00:00:00',4,1,12,2009,'F','N','SALGADINHO','BATEIAS','PR','116162161215111412569914472112610161042',4437,'9998',67.41,1,3,NULL),(20,5345413,'1991-11-20 00:00:00',2,1,12,2009,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124242243416111431559812345124610117052',NULL,'1048',25.48,1,3,NULL),(20,5345421,'1992-07-04 00:00:00',2,8,12,2009,'F','N','BATEL','CURITIBA','PR','116162161215121211347713175122610166092',NULL,'9998',0.00,1,3,NULL),(20,5345430,'1993-12-09 00:00:00',2,1,12,2009,'F','N','BALNEARIO DANIELA','FLORIANÓPOLIS','SC','124242241217111431458713575122610122092',NULL,'1048',22.23,1,3,NULL),(20,5345448,'1990-08-15 00:00:00',4,8,12,2007,'M','N','ATIRADORES','JOINVILLE','SC','124242241215272431488813575122121435067',633,'486',83.69,1,3,NULL),(20,5345456,'1988-10-31 00:00:00',2,1,11,2006,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116472411356614445124610127182',NULL,'307',18.97,1,2,1),(20,5345464,'1992-07-15 00:00:00',2,2,12,2009,'M','N','BELCHIOR','GASPAR','SC','124241241145131231633616152244610167137',NULL,'326',27.57,1,2,1),(20,5345480,'1989-11-08 00:00:00',2,5,11,2006,'F','N','CEARÁ','CRICIÚMA','SC','124242241215411731534311394122133223142',NULL,'210',0.00,1,3,NULL),(20,5345499,'1988-05-26 00:00:00',2,2,12,2005,'M','N','PORTAO','CURITIBA','PR','116162161216575411556719395124232427127',5101,'9998',68.07,1,3,NULL),(20,5345502,'1992-10-24 00:00:00',2,3,11,2009,'F','N','SÃO CRISTOVÃO','TRÊS BARRAS','SC','124242241215111431368813435112610144197',NULL,'154',24.86,1,3,NULL),(20,5345510,'1991-11-27 00:00:00',4,6,12,2009,'M','N','BROOKLIN','S PAULO','SP','125242251417131431339914575124610137147',NULL,'9998',18.42,1,3,NULL),(20,5345529,'1992-10-12 00:00:00',2,8,12,2009,'M','N','GLÓRIA','JOINVILLE','SC','124244241215111711569914175121610147045',4927,'456',67.07,1,3,NULL),(20,5345537,'1992-03-07 00:00:00',4,1,12,2009,'F','N','TREZE DE JULHO','ARACAJU','SE','126262261215111431588913435122610166092',NULL,'9998',0.00,1,3,NULL),(20,5345553,'1990-10-23 00:00:00',2,1,11,2008,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124252241217132421226654381214131068117',NULL,'1048',27.86,1,3,NULL),(20,5345570,'1992-06-02 00:00:00',4,8,12,2009,'M','N','TRINTA E UM DE MARÇO','CUBATÃO','SP','125252256236151441466823395124610164192',NULL,'9998',0.00,4,3,NULL),(20,5345596,'1992-08-29 00:00:00',4,8,12,2009,'F','N','SANTA QUITÉRIA','CURITIBA','PR','116162161215111451438832571124610167142',3790,'9998',69.92,1,3,NULL),(20,5345600,'1991-09-08 00:00:00',2,1,12,2008,'M','N','BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC','124242241217272431448833385112610167115',NULL,'9997',34.31,1,3,NULL),(20,5345618,'1990-10-01 00:00:00',2,1,12,2007,'F','N','CENTRO','GARIBALDI','RS','120201201216571431534932272124610162147',NULL,'9998',0.00,1,3,NULL),(20,5345626,'1990-12-27 00:00:00',2,15,12,2008,'F','N','MATO ALTO','ARARANGUÁ','SC','124241248111132231424413331341610153147',NULL,'30',12.55,1,2,1),(20,5345634,'1992-10-01 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115161431424569272324610156087',NULL,'278',28.38,4,2,1),(20,5345650,'1992-10-09 00:00:00',4,3,12,2009,'M','N','SÃO LEOLPOLDO','CAXIAS SUL','RS','120204201115131432436734575124610132097',8596,'9998',57.75,1,3,NULL),(20,5345677,'1980-04-17 00:00:00',2,1,12,1997,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','624241248117131531222349192134610134187',NULL,'30',29.12,4,3,NULL),(20,5345685,'1992-07-10 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241415111431436621572124610135097',NULL,'257',20.91,1,3,NULL),(20,5345693,'1982-09-29 00:00:00',4,5,12,1999,'M','N','CENTRO','SOMBRIO','SC','124241241116162431537313431112331526047',NULL,'769',29.43,1,2,1),(20,5345715,'1992-10-09 00:00:00',4,1,11,2009,'F','N','AEROPORTO','TUBARÃO','SC','124242241217121431449914316112610121142',NULL,'807',25.69,1,3,NULL),(20,5345723,'1992-04-29 00:00:00',2,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124242248215111311359934575122610167182',16235,'9997',42.14,1,3,NULL),(20,5345731,'1991-04-05 00:00:00',2,4,12,2008,'F','N','CENTRO','ERECHIM','RS','120202201215371431433819374124141026012',NULL,'9998',0.00,1,3,NULL),(20,5345740,'1986-04-21 00:00:00',5,1,12,2004,'M','N','SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC','124241241126135411333324345124232025197',13062,'279',49.09,1,2,1),(20,5345766,'1989-12-31 00:00:00',2,1,12,2008,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241247317371221435723381114610127047',NULL,'9999',25.01,1,3,NULL),(20,5345774,'1990-09-24 00:00:00',2,1,12,2008,'M','N','BOM FIM','PTO ALEGRE','RS','120201208527471431545332175114610162157',NULL,'9998',0.00,1,3,NULL),(20,5345782,'1992-05-23 00:00:00',2,10,12,2009,'M','N','GUARDA MARGEM ESQUER','TUBARÃO','SC','124241241126141731556419142121610154142',NULL,'803',24.71,1,2,1),(20,5345790,'1966-07-06 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','224253248125132421423344245134610127097',NULL,'306',26.15,4,1,2),(20,5345804,'1991-02-07 00:00:00',2,5,12,2008,'M','N','PARTENON','PTO ALEGRE','RS','120202201216471431367823495122610161093',NULL,'9998',0.00,1,3,NULL),(20,5345847,'1992-10-05 00:00:00',4,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124243241212111431566639572322610165052',NULL,'1074',28.62,1,3,NULL),(20,5345855,'1993-07-08 00:00:00',4,7,11,2009,'M','N','CENTRO','JOAÇABA','SC','124242241217111731336619575122610167052',13602,'446',51.17,1,3,NULL),(20,5345863,'1991-10-02 00:00:00',2,1,12,2008,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124244241117471531523514375114610132092',NULL,'733',30.56,4,1,2),(20,5345871,'1992-01-31 00:00:00',4,1,11,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117131431526624575124610127047',NULL,'257',23.86,1,2,1),(20,5345880,'1991-05-27 00:00:00',2,1,12,2008,'F','N','CAMPO D UNA','GAROPABA','SC','124241241147132731423331292324610165145',NULL,'1136',31.97,1,2,1),(20,5345898,'1993-06-06 00:00:00',2,8,11,2010,'F','S','BOM RETIRO','JOINVILLE','SC','124242241217111431468614174124610131147',NULL,'486',24.60,1,3,NULL),(20,5345928,'1987-02-15 00:00:00',2,1,12,2004,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124161241146131631436614142233610168197',NULL,'736',17.20,1,3,NULL),(20,5345936,'1991-09-30 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215121451436612275125610162191',12132,'213',54.11,1,3,NULL),(20,5345944,'1986-12-20 00:00:00',4,1,7,2003,'M','N','SANTOS DUMONT','S JOSÉ','SC','124242241437153431346623376122231336097',NULL,'736',29.07,1,3,NULL),(20,5345952,'1993-06-13 00:00:00',4,1,12,2009,'M','N','BOA VISTA','VIDAL RAMOS','SC','124241242111131441324912495122610167072',11398,'662',51.33,1,3,NULL),(20,5345979,'1984-01-09 00:00:00',4,15,12,2001,'M','N','VILA AGGEO','JACAREZINHO','PR','116162161216271431249933435122241447177',10618,'9998',57.01,1,3,NULL),(20,5345987,'1991-01-27 00:00:00',4,1,12,2008,'F','N','CENTRO','CASTRO','PR','116162161217471431478812576224610132092',NULL,'9998',0.00,3,3,NULL),(20,5345995,'1991-10-31 00:00:00',2,3,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216473431478931585122610167142',8680,'44',58.21,1,3,NULL),(20,5346002,'1990-12-13 00:00:00',4,8,12,2007,'M','N','SÃO MARCOS','JOINVILLE','SC','124241241147573512466623575124610122197',NULL,'465',0.00,1,2,1),(20,5346037,'1979-06-06 00:00:00',2,15,11,1999,'M','N','ALTO FELIZ','ARARANGUÁ','SC','124241248116142731456612345132223214192',16313,'29',40.03,1,2,1),(20,5346045,'1985-11-03 00:00:00',2,1,12,2005,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241127131431336424485114610117047',NULL,'294',0.00,1,2,1),(20,5346053,'1987-10-09 00:00:00',2,1,12,2005,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117144431349611294124221523133',10088,'267',57.98,1,2,1),(20,5346061,'1993-07-08 00:00:00',4,1,11,2010,'F','S','CAMPINAS','S JOSÉ','SC','124241241116131411336413575124610117057',NULL,'772',21.04,1,3,NULL),(20,5346070,'1990-01-30 00:00:00',4,1,12,2009,'M','N','FORQUILHAS','S JOSÉ','SC','124201248117131431453539395124610168182',NULL,'9999',14.60,4,3,NULL),(20,5346088,'1987-05-05 00:00:00',2,1,9,2009,'F','N','SÃO JOSÉ','FRAIBURGO','SC','124241247127131531635312382112610114077',NULL,'9999',0.00,1,2,1),(20,5346096,'1966-02-05 00:00:00',2,1,12,1982,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241227151131423353485114610142147',NULL,'743',0.00,1,3,NULL),(20,5346100,'1992-09-12 00:00:00',4,6,11,2009,'F','N','DOM BOSCO','ITAJAÍ','SC','124244246216141431448614575122610134112',10488,'1059',57.25,1,3,NULL),(20,5346126,'1993-10-20 00:00:00',4,1,12,2010,'F','S','MONTE VERDE','FLORIANÓPOLIS','SC','124242241115111731445819575112610113142',NULL,'1133',23.15,1,3,NULL),(20,5346134,'1992-06-05 00:00:00',2,1,12,2009,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241115111731533334312324611427142',NULL,'288',22.99,1,3,NULL),(20,5346169,'1968-01-02 00:00:00',2,1,12,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','224241247146372431531144242124610132047',14553,'9999',49.12,2,1,1),(20,5346177,'1992-02-20 00:00:00',4,1,12,2009,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241116111111526613335124610127117',NULL,'271',26.57,4,2,1),(20,5346185,'1991-06-29 00:00:00',4,5,11,2009,'F','N','PAULO DE FRONTIN','CRICIÚMA','SC','124241241215111411457714342122610124152',NULL,'226',25.11,1,3,NULL),(20,5346193,'1992-10-08 00:00:00',4,7,12,2009,'M','N','FLOR DA SERRA','JOAÇABA','SC','124244241215111721476834592322610118047',13360,'962',51.65,3,3,NULL),(20,5346207,'1992-02-06 00:00:00',2,5,12,2009,'F','N','JARDIM ELIZABETH','IÇARA','SC','124243241215111421668812175122610121057',14758,'226',48.58,1,3,NULL),(20,5346215,'1992-10-05 00:00:00',2,15,12,2009,'M','N','CIPRIANO ALVES','S JOÃO SUL','SC','124241241115131431413315145323610127047',NULL,'717',23.90,1,2,1),(20,5346223,'1991-06-03 00:00:00',4,1,12,2009,'M','N','JARDIM AMÁLIA','LEME','SP','125253251217111731356824571124610167181',NULL,'9998',20.64,1,3,NULL),(20,5346240,'1980-12-30 00:00:00',2,1,12,1999,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','224101101116133121423454482224230245042',NULL,'9998',28.80,2,1,1),(20,5346258,'1989-07-18 00:00:00',2,1,12,2006,'M','N','JD BONSUCESSO','SERTÃOZINHO','SP','125254251215572432468813572121221432096',NULL,'9998',0.00,4,3,NULL),(20,5346266,'1990-03-30 00:00:00',4,1,12,2007,'F','N','JARDIM NOVA EUROPA','CAMPINAS','SP','125253251417572431578614145132610162197',NULL,'9998',38.27,1,3,NULL),(20,5346274,'1992-09-17 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215111331466923475112610164042',15167,'226',47.35,1,3,NULL),(20,5346290,'1991-12-06 00:00:00',2,5,11,2008,'M','N','CENTRO','STA ROSA','RS','120202201215471411358732175112610137052',NULL,'9998',0.00,1,3,NULL),(20,5346304,'1987-04-09 00:00:00',2,1,12,2005,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241112131431556634482124610127047',16317,'257',39.83,1,2,1),(20,5346320,'1989-03-06 00:00:00',4,1,12,2007,'M','N','APARECIDA','BOA VISTA','RR','123233231217141411548739392222240728142',15880,'9998',44.71,1,3,NULL),(20,5346339,'1989-02-24 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241111132431436628245114610126147',NULL,'288',25.80,1,2,1),(20,5346363,'1973-05-30 00:00:00',4,1,11,2002,'M','N','SANTOS DUMONT','S JOSÉ','SC','124241241144134431523344341324610117147',NULL,'736',23.48,2,1,1),(20,5346371,'1993-06-28 00:00:00',2,1,12,2010,'F','S','CARVOEIRA','FLORIANÓPOLIS','SC','124241241115111431559933592122610134117',NULL,'267',51.36,1,3,NULL),(20,5346380,'1992-03-27 00:00:00',2,9,12,2009,'F','N','CENTRO','LAGES','SC','124242241215111431436612572122610161052',NULL,'1065',17.27,1,3,NULL),(20,5346398,'1988-10-17 00:00:00',2,1,12,2005,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124242241214275411633511382124222345147',4444,'988',69.69,1,3,NULL),(20,5346401,'1990-02-22 00:00:00',4,1,12,2007,'F','N','ALTO DA LAPA','S PAULO','SP','125252251217471441286712371122610166092',NULL,'9998',0.00,1,3,NULL),(20,5346428,'1992-04-26 00:00:00',4,10,11,2009,'F','N','VILA MOEMA','TUBARÃO','SC','124242241216111431578831575122610161072',NULL,'807',0.00,1,3,NULL),(20,5346436,'1993-06-11 00:00:00',4,5,11,2010,'M','S','CENTRO','CRICIÚMA','SC','124242241215111431568812425112610168142',NULL,'226',58.39,1,3,NULL),(20,5346444,'1963-04-27 00:00:00',4,1,12,1984,'M','N','CENTRO','FLORIANÓPOLIS','SC','224244208212135411426643435124331046172',NULL,'9998',0.00,1,3,NULL),(20,5346452,'1992-07-22 00:00:00',4,3,11,2009,'F','N','VILA IZABEL','CURITIBA','PR','116162161216111431579931575122610136147',14596,'9998',49.01,1,3,NULL),(20,5346460,'1992-11-04 00:00:00',2,1,12,2009,'F','N','VILA NOVA','RIO NEGRINHO','SC','124241241117131431434419592122610123142',NULL,'669',0.00,1,2,1),(20,5346487,'1993-11-26 00:00:00',2,4,12,2010,'F','S','CENTRO','S LOURENÇO OESTE','SC','124242161217111721357613285124610164177',NULL,'747',0.00,1,3,NULL),(20,5346495,'1993-01-17 00:00:00',4,8,12,2009,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241115371231436614572221610166192',NULL,'1103',28.98,1,2,1),(20,5346509,'1992-09-17 00:00:00',4,4,11,2009,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241217111431459912572122610148197',13659,'185',48.55,1,3,NULL),(20,5346517,'1986-11-21 00:00:00',2,1,12,2003,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124161161116131431123449395114610134047',NULL,'9998',23.23,1,2,1),(20,5346525,'1991-11-03 00:00:00',2,1,12,2008,'M','N','CENTRO','GAROPABA','SC','124241241117132431256812245124231016017',NULL,'1136',0.00,1,2,1),(20,5346533,'1991-06-28 00:00:00',4,1,12,2008,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215373431366633575124233226192',3499,'270',72.14,1,3,NULL),(20,5346541,'1987-06-09 00:00:00',2,1,11,2004,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241126131731123344441224343227057',15631,'245',45.75,1,3,NULL),(20,5346550,'1986-10-27 00:00:00',4,1,12,2003,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241217144712569713445134333228097',NULL,'270',27.18,1,3,NULL),(20,5346568,'1992-11-20 00:00:00',2,1,12,2009,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241145141431533314242224610117042',NULL,'592',30.10,1,2,1),(20,5346576,'1992-04-05 00:00:00',2,5,12,2009,'M','N','UNIVERSITÁRIO','CRICIÚMA','SC','124242256214111441546614475125610138111',12438,'995',53.49,1,3,NULL),(20,5346584,'1989-10-31 00:00:00',4,8,12,2007,'M','N','CRISTO REI','CURITIBA','PR','116114111215571431567719575114143267182',9454,'9998',55.31,1,3,NULL),(20,5346592,'1991-09-25 00:00:00',4,3,6,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124201241215371451246614575115610168186',NULL,'9998',29.47,1,3,NULL),(20,5346614,'1992-05-14 00:00:00',2,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117132431448313475124610147042',NULL,'307',25.91,1,2,1),(20,5346630,'1991-07-13 00:00:00',2,1,12,2009,'F','N','VILA NOVA','ASTORGA','PR','116161168137151431435512592125610124147',NULL,'9998',26.81,1,2,1),(20,5346649,'1993-10-02 00:00:00',4,1,12,2009,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215111411568813432124610134147',16086,'270',43.52,1,3,NULL),(20,5346673,'1990-08-08 00:00:00',4,8,11,2007,'F','N','CENTRO','MARINGÁ','PR','116161161216571531488811571112610162142',451,'9998',85.05,3,3,NULL),(20,5346681,'1992-08-06 00:00:00',2,6,12,2009,'F','N','DOM BOSCO','ITAJAÍ','SC','124244241211131431446634572122610141047',NULL,'1141',0.00,1,3,NULL),(20,5346690,'1986-10-05 00:00:00',5,1,12,2003,'F','N','SÃO ROQUE','NOVA TRENTO','SC','124241241146574431446639275224222628197',NULL,'574',0.00,1,2,1),(20,5346703,'1991-09-03 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216273431468912575122222063057',4373,'883',69.85,3,3,NULL),(20,5346711,'1992-09-26 00:00:00',4,4,12,2009,'F','N','CENTRO','PALMITINHO','RS','120201201116131431427939572122610135057',NULL,'9998',21.51,1,3,NULL),(20,5346720,'1979-11-26 00:00:00',4,1,12,2007,'M','N','BELA VISTA I','S JOSÉ','SC','124241241146145431658623245123230722012',10664,'293',56.94,1,2,1),(20,5346738,'1992-01-11 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124244241215111431453334245125610124042',NULL,'1078',25.44,1,3,NULL),(20,5346762,'1992-06-28 00:00:00',2,1,11,2009,'M','N','PETRÓPOLIS','VACARIA','RS','120204201215111531463832575112610167042',NULL,'9998',0.00,1,3,NULL),(20,5346770,'1993-08-27 00:00:00',4,1,12,2010,'F','S','SANTA MONICA','FLORIANÓPOLIS','SC','124242241216111431538914444124610126142',NULL,'270',48.36,1,3,NULL),(20,5346789,'1991-12-12 00:00:00',4,6,12,2009,'M','N','SANTA MARTA','RONDONÓPOLIS','MT','111112111216111431683614275122610124182',NULL,'9998',21.09,1,3,NULL),(20,5346800,'1985-11-01 00:00:00',4,1,12,2003,'F','N','CIDADE NOVA','S JOSÉ R PRETO','SP','125252251217273431447739475112141042047',14459,'9998',45.86,1,3,NULL),(20,5346819,'1992-07-24 00:00:00',2,1,12,2009,'F','N','VIVENDAS DO BOSQUE','CPO GRANDE','MS','112122121216111711379931575122610137122',14488,'9998',47.50,4,3,NULL),(20,5346827,'1988-10-02 00:00:00',4,1,7,2007,'M','N','ACLIMACAO','MARINGÁ','PR','116162161217571411489811274122141417117',NULL,'9998',0.00,1,3,NULL),(20,5346835,'1988-01-03 00:00:00',2,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243247425131441325511441124610136147',NULL,'9999',28.34,1,3,NULL),(20,5346851,'1992-03-09 00:00:00',4,1,12,2009,'F','N','JARDIM TUPANCI','BARUERI','SP','125251258116121431446733575122610136097',NULL,'9998',26.36,1,2,1),(20,5346860,'1990-11-19 00:00:00',2,6,12,2008,'F','N','CENTRO','ITAJAÍ','SC','124242241212132441438733572122231566077',NULL,'392',31.51,1,3,NULL),(20,5346878,'1992-06-21 00:00:00',4,1,12,2009,'F','N','PARQUE DOS RODEIOS','VACARIA','RS','120202201215161731469833575112610142187',NULL,'9998',0.00,1,3,NULL),(20,5346886,'1961-07-17 00:00:00',4,15,1,1983,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','224164167424131432446341115122610152143',NULL,'9998',39.66,1,3,NULL),(20,5346894,'1993-10-07 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431488833594112610124052',NULL,'270',28.71,1,3,NULL),(20,5346908,'1991-09-04 00:00:00',4,1,12,2008,'M','N','PONTAL DA CRUZ','S SEBASTIÃO','SP','125252251216371431368833575121140326162',NULL,'9998',0.00,1,3,NULL),(20,5346916,'1992-05-28 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124132241217271431266712225124610163182',9846,'1022',58.45,4,3,NULL),(20,5346924,'1992-02-17 00:00:00',4,8,12,2009,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161216111431458514575124610162092',NULL,'9998',0.00,4,3,NULL),(20,5346932,'1990-04-13 00:00:00',2,15,12,2007,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120201201116561731336833375124610112042',2440,'9998',74.35,1,2,1),(20,5346940,'1992-04-25 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124243241211151631556514295112610167047',11947,'1075',52.00,1,3,NULL),(20,5346959,'1987-07-01 00:00:00',2,5,12,2004,'M','N','UNIVERSITÁRIO','CRICIÚMA','SC','124242246212141411556614425122233238111',NULL,'995',30.01,1,3,NULL),(20,5346967,'1982-04-24 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201201127341421139941345122140214092',NULL,'9998',19.34,1,2,1),(20,5346975,'1993-04-26 00:00:00',4,1,12,2010,'M','S','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217111231468814575114610112035',NULL,'270',31.50,4,3,NULL),(20,5347009,'1988-08-28 00:00:00',2,1,12,2006,'M','N','COSTEIR DO PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241241142153431556923445124121436145',12591,'307',53.15,1,2,1),(20,5347017,'1993-04-12 00:00:00',4,1,12,2010,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241225111731469813395122610167076',NULL,'262',61.70,1,3,NULL),(20,5347025,'1992-05-20 00:00:00',4,8,12,1992,'M','N','SANTA CRUZ','VIDAL RAMOS','SC','124241242117131431324912575124610148147',15325,'662',42.45,1,3,NULL),(20,5347033,'1992-10-22 00:00:00',2,1,12,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124243241215111331556413572122610137182',NULL,'1074',30.38,1,3,NULL),(20,5347041,'1991-06-15 00:00:00',4,4,11,2008,'F','N','BOQUEIRÃO','PASSO FUNDO','RS','120202201215471731458871575125610132147',1094,'9998',80.01,1,3,NULL),(20,5347050,'1991-03-26 00:00:00',4,1,11,2008,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215472751468614574114610147142',719,'486',83.03,4,3,NULL),(20,5347068,'1993-03-08 00:00:00',4,1,11,2010,'F','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242248216111731258819345122610124017',NULL,'1022',24.89,1,3,NULL),(20,5347076,'1992-01-08 00:00:00',4,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431536812575114610167182',14540,'269',49.15,1,3,NULL),(20,5347084,'1991-06-17 00:00:00',2,4,12,2008,'F','N','CENTRO','STA MARIA','RS','120242241216471431345414575125610162192',2581,'317',74.85,1,3,NULL),(20,5347106,'1987-08-27 00:00:00',2,1,12,2006,'M','N','FUNDOS','BIGUAÇU','SC','124241247347131431523344242333610138047',NULL,'9999',17.03,1,3,NULL),(20,5347114,'1991-09-11 00:00:00',4,1,12,2009,'F','N','SANTA TEREZINHA','S LOURENÇO','MG','113134131215121431438839595124610118147',NULL,'9998',30.09,1,3,NULL),(20,5347122,'1992-07-06 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215152431467739572122610132047',4792,'266',67.47,1,3,NULL),(20,5347130,'1992-10-17 00:00:00',4,2,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161235471411338823571124610121117',1925,'9998',77.13,1,3,NULL),(20,5347149,'1986-04-23 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224241241146152421326653345122121736112',13570,'283',48.39,1,2,1),(20,5347157,'1990-08-20 00:00:00',4,1,12,2007,'M','N','CENTRO','S JOSÉ R PRETO','SP','125252251217571511447931577112110167177',NULL,'9998',0.00,1,3,NULL),(20,5347165,'1992-06-27 00:00:00',2,5,11,2009,'F','N','LINHA BATISTA','MRO FUMAÇA','SC','124242243215151411527623576124610135077',NULL,'995',17.58,1,3,NULL),(20,5347173,'1992-02-27 00:00:00',2,1,11,2009,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241112161431423639295114610147067',NULL,'591',18.82,1,3,NULL),(20,5347181,'1993-06-26 00:00:00',4,1,12,2010,'F','S','PONTE DO IMARUIM','PALHOÇA','SC','124242241212111431353923575124610127047',NULL,'723',26.94,1,3,NULL),(20,5347190,'1990-07-03 00:00:00',2,1,11,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216273431486823575122131414122',3066,'270',73.29,1,3,NULL),(20,5347203,'1991-09-26 00:00:00',2,6,12,2008,'F','N','FAZENDA','ITAJAÍ','SC','124242241215472431527811472122610128117',NULL,'1026',0.00,1,3,NULL),(20,5347211,'1985-10-23 00:00:00',4,1,12,2006,'M','N','CIDADE BIXA','PTO ALEGRE','RS','120201207416271431468832595124141067042',NULL,'9998',25.52,1,3,NULL),(20,5347238,'1993-08-27 00:00:00',4,1,12,2010,'F','S','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217111431538914444124610126092',NULL,'270',29.28,1,3,NULL),(20,5347246,'1992-04-11 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241346161711536624282324610326042',NULL,'9997',23.15,1,3,NULL),(20,5347254,'1980-02-20 00:00:00',4,1,11,2000,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201247347134721223344343124133223147',NULL,'9999',0.00,4,3,NULL),(20,5347262,'1986-03-09 00:00:00',4,15,12,2003,'M','N','PETRÓPOLIS','CAXIAS SUL','RS','120202201114471441337933274122341266187',6099,'9998',63.05,1,3,NULL),(20,5347270,'1977-10-30 00:00:00',2,1,12,2005,'F','N','JD CID DE FLORIANOPO','S JOSÉ','SC','224163241122131431363353475122232843182',NULL,'730',0.00,1,3,NULL),(20,5347300,'1990-11-22 00:00:00',2,16,12,2007,'M','N','CENTRO','GUAÍBA','RS','120202201215371431446839375124610127047',7118,'9998',60.61,1,3,NULL),(20,5347327,'1991-11-17 00:00:00',4,1,12,2008,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241137131731423421241334610128147',NULL,'772',23.51,1,2,1),(20,5347335,'1992-01-18 00:00:00',2,9,12,2009,'M','N','SANTA TEREZINHA','VACARIA','RS','120202201215111431448413472122610167052',NULL,'9998',0.00,1,3,NULL),(20,5347343,'1992-04-30 00:00:00',2,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127141431623534475124610127042',NULL,'274',24.09,1,2,1),(20,5347351,'1990-06-29 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124172171214151432369923572114610164173',NULL,'9998',16.96,1,3,NULL),(20,5347378,'1987-03-23 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124203201411141441136611245334610115163',NULL,'9998',23.30,1,3,NULL),(20,5347394,'1990-09-15 00:00:00',2,3,12,2007,'M','N','TABULEIRO','CAMBORIÚ','SC','124243241217132431559613482221610127052',11736,'44',52.97,1,3,NULL),(20,5347416,'1992-10-13 00:00:00',4,2,12,2009,'F','N','GARCIA','BLUMENAU','SC','124241241112151731346532395124610164052',NULL,'80',22.55,1,3,NULL),(20,5347424,'1992-03-26 00:00:00',2,5,12,2009,'M','N','JARDIM ANGELICA','CRICIÚMA','SC','124244246215111721546319392125610114057',NULL,'995',28.06,1,3,NULL),(20,5347432,'1992-09-15 00:00:00',2,1,12,2009,'M','N','JOAO PAULO','CURITIBA','PR','124241241137131321423811112344610164057',NULL,'287',21.24,2,1,1),(20,5347440,'1986-07-16 00:00:00',4,1,12,2003,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','624241241126331431223644242123610127147',NULL,'181',0.00,1,2,1),(20,5347459,'1987-07-13 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116144431556934345134220827042',11068,'267',56.15,1,2,1),(20,5347467,'1991-06-03 00:00:00',2,17,12,2008,'F','N','NOVO MUNDO','CURITIBA','PR','116162168236471751578633595124243266097',NULL,'9998',28.72,1,3,NULL),(20,5347491,'1992-07-15 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241115111532436313575124610117045',NULL,'307',12.17,1,2,1),(20,5347513,'1987-06-05 00:00:00',2,1,12,2007,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124283241137132431637827345124610117042',12401,'288',50.95,1,3,NULL),(20,5347521,'1991-03-11 00:00:00',2,1,12,2008,'F','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124242241115272431323923345124610167017',NULL,'307',27.57,1,3,NULL),(20,5347530,'1992-03-10 00:00:00',2,8,11,2009,'M','N','JARDIM ARRUDA','COLOMBO','PR','116161161115271431435811245124610138187',NULL,'9998',0.00,1,2,1),(20,5347548,'1994-01-26 00:00:00',4,5,11,2010,'M','S','CENTRO','CRICIÚMA','SC','124242241211121431459919595122610127062',NULL,'226',34.59,1,3,NULL),(20,5347564,'1992-11-26 00:00:00',3,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431478831575122610163147',NULL,'270',55.75,1,3,NULL),(20,5347580,'1993-10-26 00:00:00',2,1,12,2011,'F','S','CAMPINAS','S JOSÉ','SC','124242241215111411539514492122610118181',NULL,'724',22.19,4,3,NULL),(20,5347602,'1979-09-26 00:00:00',2,15,12,1996,'M','N','ALTO FELIZ','ARARANGUÁ','SC','224241243136131132423341412124610164047',16315,'29',39.91,2,3,NULL),(20,5347610,'1992-04-28 00:00:00',2,10,12,2009,'F','N','VILA NOVA','IMBITUBA','SC','124241241215271431627613235224610117142',14165,'362',46.01,1,3,NULL),(20,5347629,'1979-07-24 00:00:00',2,1,12,1996,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241217272411256849395122331067043',5401,'44',67.32,1,3,NULL),(20,5347637,'1991-04-12 00:00:00',2,5,12,2008,'M','N','VILA DA RIOCELL','GUAÍBA','RS','120202201215371331349931271114610147042',5267,'9998',66.26,1,3,NULL),(20,5347645,'1991-09-27 00:00:00',4,1,12,2009,'F','N','CECAP','PIEDADE','SP','125252251217111431636824341124610148147',5963,'9998',63.68,1,3,NULL),(20,5347653,'1983-08-25 00:00:00',2,15,12,2007,'M','N','JARDIN CIBELE VISTA','ARARANGUÁ','SC','224241247127131421321144145122610126182',NULL,'9999',14.02,4,2,1),(20,5347661,'1990-01-24 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','624241241115321431226624382124610124075',NULL,'307',21.36,1,2,1),(20,5347670,'1993-09-10 00:00:00',4,1,12,2010,'F','S','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124242241215111431356612575112610118012',NULL,'270',36.56,1,3,NULL),(20,5347696,'1971-10-25 00:00:00',2,1,12,1993,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','624241243127133431521341112124610128187',NULL,'282',0.00,1,2,1),(20,5347700,'1992-01-23 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241217112431326619595124610117012',9312,'1011',56.34,2,1,2),(20,5347726,'1992-02-24 00:00:00',4,4,12,2008,'F','N','CENTRO','MARAVILHA','SC','124204201412471731458811272122610126187',NULL,'9998',0.00,1,3,NULL),(20,5347734,'1992-01-29 00:00:00',2,1,12,2009,'F','N','ENSEDA DO BRITO','PALHOÇA','SC','124241241127151431448613572124610138192',NULL,'594',20.19,1,3,NULL),(20,5347742,'1992-02-24 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241132371531534622392124610168095',NULL,'287',24.15,1,3,NULL),(20,5347750,'1992-09-07 00:00:00',2,5,11,2009,'F','N','CRISTO REDENTOR','CRICIÚMA','SC','624241241215111431226629372114610117017',NULL,'226',24.37,1,3,NULL),(20,5347769,'1992-09-17 00:00:00',4,4,12,2009,'M','N','CENTRO','S JOÃO OESTE','SC','124241241115161531457832295122610137055',NULL,'715',0.00,1,3,NULL),(20,5347785,'1989-01-09 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241217274431569933475124233237055',15512,'262',46.25,1,3,NULL),(20,5347793,'1990-10-26 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124246246115113441547513395124610167017',15754,'306',43.13,1,3,NULL),(20,5347807,'1963-11-11 00:00:00',2,1,12,1981,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','524251251411151711136679311122141864043',14229,'9998',49.88,1,3,NULL),(20,5347815,'1990-01-09 00:00:00',2,1,12,2007,'F','N','SEMINARIO','TAIÓ','SC','124241241112471431424411282224610123147',9823,'905',57.24,3,2,1),(20,5347823,'1992-04-28 00:00:00',2,1,12,2009,'M','N','RIO PEQUENO','RANCHO QUEIMADO','SC','124241241126161421524315172124610137057',14192,'649',44.75,1,2,1),(20,5347831,'1992-03-23 00:00:00',4,8,12,2008,'F','N','SEMINÁRIO','CURITIBA','PR','116162161215472431468834575112610163143',NULL,'9998',0.00,1,3,NULL),(20,5347840,'1991-06-12 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116132411433324345124121416172',NULL,'592',41.61,1,2,1),(20,5347874,'1989-04-13 00:00:00',2,1,12,2006,'F','N','NSA SRA DE LOURDES','CAXIAS SUL','RS','124203201215473431446334572124223254092',NULL,'9998',0.00,4,3,NULL),(20,5347890,'1988-05-28 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211142411448812145124230216117',NULL,'262',0.00,1,3,NULL),(20,5347920,'1992-03-27 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241127131411333633575124610118097',NULL,'282',30.69,1,2,1),(20,5347939,'1989-09-15 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243244312151421335513375124610163182',NULL,'281',0.00,1,3,NULL),(20,5347947,'1991-03-23 00:00:00',4,1,12,2008,'F','N','BAETA NEVES','S BERNARDO CAMPO','SP','125253251117471431347628175124610134197',NULL,'9998',0.00,4,3,NULL),(20,5347963,'1990-08-24 00:00:00',4,5,12,2007,'F','N','INTERCAP','PTO ALEGRE','RS','120202201217571411659811571112610163072',9035,'9998',59.89,4,3,NULL),(20,5347971,'1992-09-21 00:00:00',4,15,12,2009,'F','N','SANTA FÉ','PTO ALEGRE','RS','120202201216371431437614345124610167097',NULL,'9998',27.92,1,3,NULL),(20,5347980,'1992-09-17 00:00:00',2,1,12,2009,'F','N','SÃO JOSÉ','S JOSÉ','SC','124242241215131731246713375122610163017',NULL,'9997',33.11,4,3,NULL),(20,5348021,'1992-01-09 00:00:00',2,5,11,2009,'M','N','N SENHORA DA SALETE','CRICIÚMA','SC','124241241215121431657519392124610128142',NULL,'9997',19.93,1,3,NULL),(20,5348030,'1990-04-14 00:00:00',4,1,12,2007,'M','N','CENTRO','ITAJUBÁ','MG','113134131217572432448813275122610167182',7514,'9998',60.15,1,3,NULL),(20,5348048,'1991-12-19 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241112371431316628582124610147147',NULL,'295',28.78,3,2,1),(20,5348056,'1991-01-18 00:00:00',4,1,12,2008,'F','N','JD ESPLANADA II','S JOSÉ CAMPOS','SP','125252251216472431458833574122610123117',11647,'9998',52.47,1,3,NULL),(20,5348072,'1993-11-19 00:00:00',4,1,12,2010,'M','S','SANTA CATARINA','CAÇADOR','SC','124242241215161431457614375125610164182',NULL,'1124',65.96,1,3,NULL),(20,5348080,'1990-01-27 00:00:00',4,1,11,2008,'M','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124202241216155231668769595124231462032',8964,'270',57.69,1,3,NULL),(20,5348099,'1992-04-06 00:00:00',4,17,11,2009,'F','N','CENTRO','PALMAS','PR','116162161416121531469631395115610114117',9562,'9998',55.72,1,3,NULL),(20,5348102,'1991-01-11 00:00:00',4,3,11,2008,'F','N','CENTRO','ERECHIM','RS','120202201216472731468832375122610163072',1337,'9998',79.57,1,3,NULL),(20,5348110,'1990-02-08 00:00:00',2,5,11,2007,'F','N','PINHEIRINHO','CRICIÚMA','SC','124242241215473431224319342124131442017',3993,'226',70.40,1,3,NULL),(20,5348129,'1988-01-06 00:00:00',4,3,11,2004,'M','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124243244317371431445531342123610167032',NULL,'49',12.73,1,3,NULL),(20,5348137,'1991-12-24 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431489923575112610118185',15845,'1022',44.87,1,3,NULL),(20,5348161,'1992-08-24 00:00:00',4,9,11,2009,'M','N','CENTRO','S JOAQUIM','SC','124242241214131411448913295122610167072',NULL,'1035',24.40,4,3,NULL),(20,5348196,'1983-01-05 00:00:00',2,1,12,2001,'F','N','PONTE IMARUIM','PALHOÇA','SC','224241241146132431323653172222610123142',NULL,'293',0.00,1,2,1),(20,5348200,'1991-04-23 00:00:00',4,6,12,2008,'F','N','FAZENDA','ITAJAÍ','SC','124242241212372711436712572122133244092',8796,'389',60.36,1,3,NULL),(20,5348218,'1983-08-16 00:00:00',4,1,11,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216152411557717435122321464027',4234,'266',70.20,1,3,NULL),(20,5348226,'1992-04-09 00:00:00',4,8,11,2009,'M','N','JARIVATUBA','JOINVILLE','SC','124241241235111432535611565124610167142',15240,'457',47.14,1,3,NULL),(20,5348234,'1986-12-29 00:00:00',4,1,11,2003,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241142131431631322112214610147117',NULL,'283',22.94,1,2,1),(20,5348242,'1991-11-07 00:00:00',4,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115112431448713572124610167052',NULL,'307',23.61,1,2,1),(20,5348269,'1992-12-21 00:00:00',4,15,12,2009,'M','N','LAGOAO','ARARANGUÁ','SC','124241241125161422523639145221610148055',NULL,'30',18.51,1,3,NULL),(20,5348285,'1993-02-22 00:00:00',4,9,12,2009,'M','N','JARDIM DOS PLATANOS','S MARCOS','RS','120201201147131531343614245124610128182',NULL,'9998',19.37,1,2,1),(20,5348293,'1991-08-18 00:00:00',3,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472431478831575122610124192',9391,'270',59.28,1,3,NULL),(20,5348307,'1990-08-14 00:00:00',4,6,12,2008,'M','N','MOCOQUINHA','S SEBASTIÃO PARAÍSO','MG','113133131216472431349921575115610164052',7425,'9998',59.59,1,3,NULL),(20,5348315,'1992-06-19 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241115471431338313372121610117027',15489,'592',45.00,1,3,NULL),(20,5348323,'1991-09-14 00:00:00',2,1,12,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241112471411326624385124610134167',16133,'298',40.16,4,2,1),(20,5348331,'1991-12-23 00:00:00',4,8,12,2008,'M','N','BOA VISTA','CURITIBA','PR','116162161215471431369734575122610152097',1253,'9998',79.71,1,3,NULL),(20,5348358,'1991-11-15 00:00:00',4,2,12,2009,'M','N','NOVA BRASÍLIA','BRUSQUE','SC','124241241115271431535312375121610112042',NULL,'116',0.00,4,2,1),(20,5348366,'1990-05-18 00:00:00',2,4,12,2007,'M','N','CENTRO','SOLEDADE','RS','120204201115571431359923575124610128177',11105,'9998',53.59,1,3,NULL),(20,5348374,'1986-06-28 00:00:00',2,1,11,2003,'F','N','BARREIROS','S JOSÉ','SC','124241241111373431626413441124610115182',NULL,'732',24.83,1,2,1),(20,5348382,'1993-01-31 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241115141431453734245124610122142',NULL,'288',30.94,1,3,NULL),(20,5348390,'1992-03-19 00:00:00',4,15,12,2009,'M','N','CENTRO','ARARANGUÁ','SC','124242241215371431568914575122610147142',478,'970',84.78,1,3,NULL),(20,5348412,'1992-01-27 00:00:00',4,10,11,2008,'F','N','OFICINAS','TUBARÃO','SC','124242241222271431325644242334610166077',NULL,'9997',0.00,1,3,NULL),(20,5348439,'1991-05-04 00:00:00',4,1,12,2009,'M','N','JARDIM CAVALIERI','MARÍLIA','SP','125252251212111511348824572111610123037',9576,'9998',54.99,3,3,NULL),(20,5348447,'1992-05-09 00:00:00',4,6,12,2009,'F','N','CENTRO','FLORES CUNHA','RS','114144141216371431333622592125610136052',7804,'9998',59.21,1,3,NULL),(20,5348463,'1991-02-27 00:00:00',2,6,12,2008,'F','N','CENTRO','BAL PIÇARRAS','SC','124241241147272431328718342121610142147',NULL,'614',25.42,1,2,1),(20,5348471,'1992-05-04 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241248115331231524434572124610133087',NULL,'257',29.13,1,2,1),(20,5348480,'1968-09-08 00:00:00',2,1,12,1986,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224241241121135421463354241122122226147',12561,'307',50.38,1,2,1),(20,5348498,'1992-08-20 00:00:00',2,4,11,2009,'F','N','SÃO LUIZ','S MIGUEL OESTE','SC','124241241115131721421435295321610124097',NULL,'757',30.35,1,2,1),(20,5348501,'1992-03-07 00:00:00',2,1,11,2009,'F','N','PRAIA DO FORTE','FLORIANÓPOLIS','SC','124241241116371231435531375114610115142',NULL,'295',26.39,1,2,1),(20,5348510,'1991-03-01 00:00:00',4,8,12,2008,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116244161217471541369831571124610141112',8916,'9998',60.13,1,3,NULL),(20,5348528,'1992-04-20 00:00:00',5,5,12,2009,'F','N','AIRES RODRIGUES','ORLEANS','SC','124241241115371431433313132112610132147',NULL,'580',0.00,1,3,NULL),(20,5348536,'1992-02-20 00:00:00',4,6,12,2009,'M','N','JARDIM PLANLTO','NOVO PROGRESSO','PA','114141141416161731455532195123610164057',14458,'9998',45.90,1,3,NULL),(20,5348544,'1991-01-08 00:00:00',2,1,12,2008,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241116131531545633385124130238042',NULL,'295',25.00,2,1,1),(20,5348560,'1984-11-26 00:00:00',2,15,11,2002,'F','N','CENTRO','SOMBRIO','SC','224241248137131721644439292132610117147',NULL,'769',0.00,1,2,1),(20,5348579,'1985-11-29 00:00:00',4,1,12,2003,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124244241426153431344444345134610127042',NULL,'262',27.06,1,3,NULL),(20,5348609,'1988-09-11 00:00:00',2,1,11,2006,'F','N','BARREIROS','S JOSÉ','SC','124241241111132431626413471124610112182',NULL,'732',28.35,1,2,1),(20,5348617,'1990-01-18 00:00:00',2,7,11,2007,'F','N','PETRÓPOLIS','CONCÓRDIA','SC','124241241117472431116649495124610144147',13777,'192',47.63,1,3,NULL),(20,5348633,'1990-08-16 00:00:00',2,1,12,2007,'M','N','AUXILIADORA','PTO ALEGRE','RS','120203201116271411556819475114610114197',NULL,'9998',0.00,1,3,NULL),(20,5348641,'1990-02-11 00:00:00',2,1,12,2006,'M','N','CENTRO','PALHOÇA','SC','124243241117134231436629342134610167097',16159,'772',42.97,1,3,NULL),(20,5348650,'1992-09-02 00:00:00',4,1,12,2009,'M','N','VILA IRACEMA','S JOSÉ CAMPOS','SP','125222258215111751459932571125610168012',4043,'9998',69.45,1,3,NULL),(20,5348684,'1989-07-27 00:00:00',2,7,12,2006,'M','N','CENTRO','AT BELA VISTA','SC','124241241126574721343312395122231227052',NULL,'14',24.54,1,2,1),(20,5348692,'1991-05-20 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','125251251137472431557723575115610134054',NULL,'9998',0.00,3,2,1),(20,5348722,'1991-04-11 00:00:00',4,1,12,2008,'F','N','JD VILA GALVÃO','GUARULHOS','SP','125252251115571731638714595124610136172',796,'9998',81.88,1,3,NULL),(20,5348730,'1990-08-21 00:00:00',4,1,12,2008,'F','N','CIDADE NOVA','RIO GRANDE','RS','120212201416571731347713372122610148047',14310,'9998',49.69,1,3,NULL),(20,5348757,'1991-04-01 00:00:00',2,8,11,2008,'M','N','BACACHERI','CURITIBA','PR','116164161317371431468812272114610164047',NULL,'9998',0.00,1,3,NULL),(20,5348765,'1991-12-02 00:00:00',2,1,12,2008,'F','N','PETROPOLIS','PTO ALEGRE','RS','120202201211471331458933571142613264042',5562,'9998',65.82,1,3,NULL),(20,5348803,'1978-03-18 00:00:00',4,1,12,1994,'F','N','CENTRO','FLORIANÓPOLIS','SC','224152151216151421249843332122342832091',8111,'9998',61.63,1,3,NULL),(20,5348811,'1991-03-25 00:00:00',4,3,11,2007,'F','N','BOA VISTA','CURITIBA','PR','116241241216133431125944344344610127117',12002,'44',54.36,1,3,NULL),(20,5348820,'1985-05-06 00:00:00',4,1,12,2003,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241235374721479933432113131267187',7921,'270',61.98,1,3,NULL),(20,5348838,'1991-03-06 00:00:00',4,1,12,2009,'F','N','PRAIA DO SONHO','PALHOÇA','SC','124241241127141431334411245121610161187',NULL,'595',26.07,1,2,1),(20,5348846,'1988-03-29 00:00:00',4,1,12,2005,'F','N','CENTRO','TAPEJARA','RS','120201201117571451533311472115610164196',NULL,'9998',0.00,1,2,1),(20,5348854,'1986-09-15 00:00:00',4,2,12,2004,'M','N','CENTRO','BLUMENAU','SC','124241241141271431453311294125131412117',NULL,'111',41.02,1,2,1),(20,5348862,'1990-03-30 00:00:00',2,1,12,2007,'F','N','DANIELA','FLORIANÓPOLIS','SC','124241241215372432633331482114610167057',NULL,'1048',24.59,2,1,2),(20,5348870,'1989-03-23 00:00:00',4,1,11,2007,'M','N','BOA VISTA','CURITIBA','PR','116162161212471441446931245124610164017',7413,'123',59.71,1,3,NULL),(20,5348889,'1992-07-15 00:00:00',4,8,12,2009,'F','N','SALINAS','BAL BARRA SUL','SC','124241241127161431537633285125610164147',NULL,'41',20.06,1,3,NULL),(20,5348900,'1976-11-05 00:00:00',4,1,12,1999,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241337142411228819212122130222097',NULL,'295',0.00,1,3,NULL),(20,5348927,'1994-04-11 00:00:00',2,1,12,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242248217171431458932275122610128142',NULL,'737',19.51,1,3,NULL),(20,5348960,'1989-02-01 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','624241241121271411224454242214610133067',NULL,'294',17.45,1,2,1),(20,5348978,'1978-05-06 00:00:00',2,1,12,2000,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241136142421323149391134331962093',10480,'321',57.27,1,2,1),(20,5348986,'1992-03-19 00:00:00',4,4,12,2009,'M','N','ZONA RURAL','MANFRINÓPOLIS','PR','116161162116131431323336571123610167172',NULL,'9998',0.00,4,2,1),(20,5348994,'1989-04-28 00:00:00',4,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124242241217131431444934445123610167051',NULL,'867',0.00,1,3,NULL),(20,5349001,'1991-06-08 00:00:00',4,1,11,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241447131731628823385124610166142',NULL,'9999',0.00,4,3,NULL),(20,5349010,'1989-09-27 00:00:00',4,5,12,2007,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124244247437141431537512445124610132177',15033,'920',47.77,1,3,NULL),(20,5349044,'1982-09-07 00:00:00',4,1,12,1999,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','624201141146242431336674241234610167057',NULL,'9998',22.32,1,2,1),(20,5349060,'1991-08-01 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241125241321626313345124610118192',NULL,'277',37.96,4,2,1),(20,5349079,'1988-08-09 00:00:00',4,7,11,2005,'M','N','TOBIAS','JOAÇABA','SC','124242248216574451464832294115131467097',NULL,'454',0.00,1,3,NULL),(20,5349087,'1985-12-22 00:00:00',2,1,11,2007,'F','N','CENTRO','PALHOÇA','SC','124241241326131421121344345224610153187',NULL,'9999',47.70,1,3,NULL),(20,5349109,'1980-10-10 00:00:00',2,1,12,1998,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124251251126132751236678285115610167187',NULL,'9998',28.67,1,2,1),(20,5349117,'1988-05-04 00:00:00',4,1,12,2005,'F','N','VILA ROSÁLIA','GUARULHOS','SP','125252251214371411478812575122241462012',2803,'9998',72.42,1,3,NULL),(20,5349125,'1971-02-20 00:00:00',4,1,12,1987,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','224242241212145421458544145132220238182',6038,'262',65.90,1,3,NULL),(20,5349141,'1990-02-15 00:00:00',2,8,12,2007,'M','N','CENTRO','S MIGUEL IGUAÇU','PR','116162161236571731548519575115610167057',9118,'9998',57.13,1,3,NULL),(20,5349176,'1993-02-21 00:00:00',4,10,12,2009,'F','N','KM CENTO E SETE','LAURO MÜLLER','SC','124241241114141431436612392224610128077',NULL,'531',20.85,1,2,1),(20,5349184,'1991-01-24 00:00:00',4,1,11,2008,'F','N','SANTANA','S PAULO','SP','125252251216471431658812375124610162072',6846,'9998',62.36,1,3,NULL),(20,5349192,'1992-06-19 00:00:00',4,7,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124241241111131311637536571124610164147',NULL,'192',21.61,1,2,1),(20,5349214,'1976-10-13 00:00:00',4,1,12,1993,'M','N','FORQUILHAS','S JOSÉ','SC','224242241432334421437544245334121127047',NULL,'272',0.00,1,3,NULL),(20,5349230,'1988-09-16 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241327131411114444346345610167042',NULL,'262',26.70,2,1,2),(20,5349249,'1992-12-31 00:00:00',4,16,12,2009,'M','N','NAO TEM BAIRRO','CAÇADOR','SC','124241242117131231436636575124610127057',NULL,'662',27.29,1,3,NULL),(20,5349257,'1988-01-29 00:00:00',4,16,12,2005,'F','N','RONDINHA','PTE ALTA NORTE','SC','124241241126131431543412385124231527147',NULL,'626',23.10,1,3,NULL),(20,5349273,'1964-08-01 00:00:00',2,1,12,1983,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224241248242235131454453112124610128047',NULL,'190',22.22,1,3,NULL),(20,5349281,'1988-07-14 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241117271231126448386244610112142',NULL,'275',40.90,1,2,1),(20,5349290,'1990-04-25 00:00:00',4,10,11,2007,'M','N','MONTE CASTELO','TUBARÃO','SC','124244241215572431447732395122610148182',1619,'806',78.39,1,3,NULL),(20,5349303,'1985-10-23 00:00:00',2,1,7,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243247325311511425524345123610164012',NULL,'1022',21.13,1,3,NULL),(20,5349338,'1986-07-23 00:00:00',4,1,12,2004,'F','N','BARREIROS','S JOSÉ','SC','124244241215572431378813575114122932187',9460,'270',59.17,1,3,NULL),(20,5349346,'1990-10-05 00:00:00',4,8,12,2008,'M','N','FLORESTA','JOINVILLE','SC','124242246216212431459619575114231414011',14006,'494',50.38,1,3,NULL),(20,5349354,'1992-07-14 00:00:00',2,1,11,2009,'M','N','CANOAS','RIO SUL','SC','124242241215151452333339577122610144177',NULL,'654',27.41,1,3,NULL),(20,5349370,'1991-11-17 00:00:00',1,1,12,2008,'F','N','SANTA ISABEL','ÁGUAS MORNAS','SC','124241241117132231623335382224610167047',NULL,'978',16.40,1,2,1),(20,5349400,'1991-08-12 00:00:00',4,4,12,2008,'M','N','BOM JESUS','CAÇADOR','SC','124242241216372431457934575112610167052',7112,'120',63.60,1,3,NULL),(20,5349435,'1992-05-10 00:00:00',4,1,12,2009,'F','N','REPÚBLICA','RIBEIRÃO PRETO','SP','125122251216111711438911472122610161092',NULL,'9998',0.00,1,3,NULL),(20,5349443,'1992-04-23 00:00:00',2,7,12,2009,'F','N','CENTRO','MTE CARLO','SC','124241242116151731223524295125610134143',NULL,'936',20.90,1,3,NULL),(20,5349478,'1989-01-20 00:00:00',4,6,7,2008,'F','N','CENTENÁRIO','LAJEADO','RS','120202207227141751336812495124233248182',NULL,'9998',0.00,1,3,NULL),(20,5349524,'1984-04-15 00:00:00',2,6,12,2000,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124243241346371731443724145124333234143',3776,'52',71.08,1,3,NULL),(20,5349559,'1989-05-01 00:00:00',4,1,11,2006,'M','N','JARDIM GRAMADO','CASCAVEL','PR','116163161316572711344623431121141467097',7261,'9998',61.85,1,3,NULL),(20,5349567,'1988-11-09 00:00:00',4,3,12,2005,'F','N','CENTRO','LONDRINA','PR','116162161216572431448831575112610152147',4916,'9998',67.52,1,3,NULL),(20,5349583,'1988-10-27 00:00:00',2,8,12,2006,'F','N','BOM RETIRO','JOINVILLE','SC','124243241111144411128833295124231443192',5964,'271',66.11,1,3,NULL),(20,5349591,'1991-03-02 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124241241227373731226724375124610134147',5703,'262',66.67,4,3,NULL),(20,5349621,'1964-02-18 00:00:00',2,3,12,1983,'F','N','AGUA VERDE','CURITIBA','PR','516162161227131421324341315112610167181',NULL,'9998',40.83,1,3,NULL),(20,5349630,'1992-06-23 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241115371431336923575124610134042',NULL,'288',28.63,1,3,NULL),(20,5349656,'1992-01-09 00:00:00',2,1,12,2009,'F','N','VISTA ALEGRE','BIRIGÜI','SP','125251251116471431214721215221610123097',NULL,'9998',0.00,1,2,1),(20,5349664,'1992-10-30 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431379933575122610164192',NULL,'1169',52.34,1,3,NULL),(20,5349672,'1992-12-11 00:00:00',2,1,12,2009,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241115131431224923575124610131147',NULL,'591',28.99,1,2,1),(20,5349680,'1972-02-05 00:00:00',4,15,12,1988,'M','N','VILA BEATRIZ','MARACAJÁ','SC','124241248112141432524823445123610134095',NULL,'29',24.02,1,3,NULL),(20,5349699,'1990-10-16 00:00:00',4,1,12,2008,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124242241215272431426631485224610168127',4113,'262',70.57,1,3,NULL),(20,5349702,'1988-02-23 00:00:00',4,1,12,2005,'F','N','JARDIM EUROPA','ASSIS','SP','125254251216574431357812571122610146087',335,'9998',86.13,3,3,NULL),(20,5349729,'1987-12-19 00:00:00',2,1,12,2005,'F','N','ITAGUACU','FLORIANÓPOLIS','SC','124242241211135751436923441124131034117',NULL,'270',0.00,4,3,NULL),(20,5349737,'1991-01-04 00:00:00',2,16,12,2008,'F','N','SÃO LUIZ','CURITIBANOS','SC','124241241116372431636613575115610134155',15741,'239',45.31,1,3,NULL),(20,5349753,'1976-04-18 00:00:00',2,1,12,2004,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224281247326131431326654345114131434017',NULL,'9999',13.21,1,3,NULL),(20,5349770,'1992-11-21 00:00:00',2,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124241241116131411436633392114610113017',NULL,'726',6.90,1,2,1),(20,5349800,'1990-03-20 00:00:00',4,1,12,2007,'M','N','JOQUEI CLUBE','CPO GRANDE','MS','112122121216573711551821275122610162187',1225,'9998',79.21,1,3,NULL),(20,5349818,'1990-02-26 00:00:00',2,5,12,2007,'F','N','FIGUEIRA','URUSSANGA','SC','124241241216573431359613572224232442187',3213,'270',71.60,1,3,NULL),(20,5349826,'1993-02-03 00:00:00',2,15,12,2009,'F','N','SÃO JOSÉ','SOMBRIO','SC','124244241215111431536614571122610147071',15769,'770',40.21,1,3,NULL),(20,5349834,'1992-09-05 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244244436151431446611575124610116012',NULL,'262',30.17,1,3,NULL),(20,5349869,'1988-06-22 00:00:00',4,16,12,2005,'M','N','CENTRO','ABDON BATISTA','SC','124241242126111131333623385124610117051',NULL,'1',21.09,1,3,NULL),(20,5349877,'1990-11-10 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242247315371431239963382213610133082',NULL,'9999',13.99,1,3,NULL),(20,5349893,'1991-12-17 00:00:00',2,4,12,2008,'M','N','PARAÍSO','SAPUCAIA SUL','RS','120241241225372431433611392115610122141',2329,'1060',75.31,1,3,NULL),(20,5349907,'1967-11-30 00:00:00',4,1,12,1984,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124202204212151421548841212122341566097',NULL,'9998',0.00,1,3,NULL),(20,5349915,'1988-03-18 00:00:00',4,1,12,2005,'M','N','VILA SANTA TEREZA','BAURU','SP','125252251217571431466611471112141447017',637,'9998',83.65,1,3,NULL),(20,5349931,'1975-05-28 00:00:00',2,1,4,2002,'M','N','CENTRO','TIJUCAS','SC','124161167146131431121344245313610122021',NULL,'9998',25.98,4,3,NULL),(20,5349940,'1979-12-15 00:00:00',2,1,12,2000,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241112135411226513212121133214177',NULL,'293',17.58,2,1,1),(20,5349966,'1991-09-20 00:00:00',4,8,12,2008,'M','N','JARDIM ELDORADO','CAMBÉ','PR','116162161215471431438831414112610166082',2221,'9998',76.06,1,3,NULL),(20,5349982,'1990-08-19 00:00:00',2,15,12,2007,'F','N','MANOEL ALVES','MELEIRO','SC','124241241116111711554331415122230817042',NULL,'559',23.47,1,3,NULL),(20,5349990,'1992-07-03 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469713572122610164012',8681,'1050',58.20,1,3,NULL),(20,5350000,'1992-04-01 00:00:00',2,1,12,2009,'M','N','VILA ANDRADE','S PAULO','SP','125252251217271432259824575112610167047',NULL,'9998',0.00,1,3,NULL),(20,5350026,'1987-07-19 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241247332272331238641212223610137187',NULL,'9999',13.92,1,3,NULL),(20,5350042,'1989-01-06 00:00:00',4,1,2,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124072077216471431468833575122610166172',NULL,'9998',0.00,4,3,NULL),(20,5350069,'1992-06-21 00:00:00',4,5,12,2009,'M','N','OPERARIA NOVA','CRICIÚMA','SC','124241241114131431535724285324610127087',NULL,'209',19.74,1,2,1),(20,5350093,'1980-05-14 00:00:00',2,1,12,2004,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241247427132121663332322132610162147',NULL,'263',42.59,1,3,NULL),(20,5350107,'1992-04-19 00:00:00',2,10,12,2008,'F','N','STO ANTONIO DE PADUA','TUBARÃO','SC','124241241115372431326922345122231415012',NULL,'1034',26.46,1,2,1),(20,5350123,'1989-09-11 00:00:00',4,1,12,2007,'F','N','JARDIM SATELITE','S JOSÉ CAMPOS','SP','125251256215471741548611475122610163097',NULL,'9998',0.00,1,3,NULL),(20,5350131,'1989-02-07 00:00:00',4,3,12,2006,'F','N','REBOUÇAS','CURITIBA','PR','116162161216571431256823472122610166147',914,'9998',81.81,1,3,NULL),(20,5350140,'1989-12-02 00:00:00',2,8,12,2006,'F','N','VILA BOLIS','PALMEIRA','PR','116162161216571431569933575124610124147',NULL,'9998',0.00,1,3,NULL),(20,5350158,'1983-10-18 00:00:00',2,3,12,2000,'M','N','CENTRO','IBIPORÃ','PR','116164111436571751529911195345341566087',5019,'9998',67.16,4,3,NULL),(20,5350166,'1989-05-31 00:00:00',2,4,12,2006,'F','N','NAÇÕES','CONCÓRDIA','SC','124241241136131431223424486123232826142',NULL,'194',24.17,1,3,NULL),(20,5350174,'1990-10-29 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216143411459922345122230244093',15224,'270',47.18,1,3,NULL),(20,5350212,'1955-11-11 00:00:00',2,1,12,1974,'M','N','CENTRO','FLORIANÓPOLIS','SC','224201201147151411373343135122341046173',NULL,'9998',43.46,1,3,NULL),(20,5350220,'1992-01-26 00:00:00',2,4,12,2009,'M','N','CENTRO','DESCANSO','SC','124242241317131232423311145122610127047',NULL,'242',0.00,1,3,NULL),(20,5350239,'1988-06-10 00:00:00',2,1,12,2006,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241247227132411226344141223133264022',NULL,'9999',27.71,1,3,NULL),(20,5350271,'1991-11-18 00:00:00',2,1,11,2009,'F','N','JD CID FLORIANOPOLIS','S JOSÉ','SC','124241241145162511624314142325610163142',NULL,'734',20.81,4,2,1),(20,5350310,'1986-06-16 00:00:00',2,1,12,2004,'F','N','SANTA CATARINA','CAXIAS SUL','RS','120204201216241431348623342212143141027',9743,'9998',56.86,1,3,NULL),(20,5350328,'1989-12-18 00:00:00',5,1,11,2008,'M','N','VILA DO RCG','BRASÍLIA','DF','107071071117111431448613572114610127042',13518,'9998',51.34,1,2,1),(20,5350336,'1992-06-13 00:00:00',4,4,12,2009,'M','N','BARREIRINHO','SARANDI','RS','120201201117151731324911342122610164142',15578,'9998',41.48,1,2,1),(20,5350344,'1988-11-16 00:00:00',4,8,11,2006,'M','N','TARUMÃ','CURITIBA','PR','116251161215371431364612175124140312196',7783,'9998',60.08,1,3,NULL),(20,5350352,'1994-01-15 00:00:00',2,7,12,2009,'F','N','SESI','VIDEIRA','SC','124244241217111412466934572122610127077',12116,'969',50.76,1,3,NULL),(20,5350360,'1985-10-24 00:00:00',2,1,12,2003,'M','N','LIMOEIRO','S JOSÉ CAMPOS','SP','125251251237572221327318445124610112097',NULL,'9998',0.00,1,3,NULL),(20,5350387,'1986-04-21 00:00:00',2,1,11,2003,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124131131315373431224644242334130222037',NULL,'9998',36.90,4,3,NULL),(20,5350409,'1989-06-15 00:00:00',2,1,12,2007,'M','N','CENTRO','SEARA','SC','124241247417142751228939295114231267047',NULL,'9999',21.77,4,3,NULL),(20,5350417,'1993-01-29 00:00:00',4,4,12,2009,'M','N','CENTRO','PANAMBI','RS','120202201217111431378614372112610162047',6424,'9998',61.85,1,3,NULL),(20,5350425,'1989-12-31 00:00:00',4,1,12,2009,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241122131431512411292124610167187',NULL,'294',27.31,1,2,1),(20,5350441,'1992-07-27 00:00:00',5,6,11,2009,'F','N','ESPINHEIROS','ITAJAÍ','SC','124244241217111431548612475112610127147',NULL,'1172',28.83,1,3,NULL),(20,5350450,'1973-05-20 00:00:00',4,5,12,1990,'M','N','ESTAÇÃO PORTÃO','PORTÃO','RS','220202201215571431233352471122341044127',NULL,'9998',0.00,1,3,NULL),(20,5350468,'1992-11-03 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124244241215131531459613372114610167057',NULL,'63',21.07,1,3,NULL),(20,5350492,'1988-09-14 00:00:00',4,8,12,2006,'F','N','COMASA','JOINVILLE','SC','124241244217311311433639482113610132072',15983,'462',44.23,1,3,NULL),(20,5350506,'1992-04-22 00:00:00',4,1,12,2009,'M','N','SÃO CRISTOVÃO','NOVA PRATA','RS','120201201117131431323321585112610117052',NULL,'9998',0.00,1,3,NULL),(20,5350514,'1991-04-20 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241147372431623623395124610117052',NULL,'285',18.10,2,1,1),(20,5350549,'1989-02-15 00:00:00',4,15,12,2006,'M','N','PIO X','CAXIAS SUL','RS','120202201216142431447823195124241447187',6433,'9998',65.07,1,3,NULL),(20,5350557,'1992-12-30 00:00:00',2,5,10,2009,'F','N','CENTRO','IÇARA','SC','124242244235151531636512294114610122117',NULL,'226',0.00,4,3,NULL),(20,5350573,'1992-08-19 00:00:00',4,4,12,2009,'F','N','CENTRO','SARANDI','RS','120201201116141711456935211122610162012',NULL,'9998',53.33,1,2,1),(20,5350581,'1985-08-20 00:00:00',2,1,12,2003,'F','N','JD CIDADE DE FPOLIS','S JOSÉ','SC','124241241217143431548539445124220246182',NULL,'882',38.56,1,3,NULL),(20,5350590,'1986-01-30 00:00:00',4,4,6,2003,'F','N','CENTRO','CHAPECÓ','SC','124242281216144731466732245124133234122',12577,'9998',53.18,1,3,NULL),(20,5350603,'1992-04-16 00:00:00',4,1,12,2009,'M','N','LARANJEIRAS','RIO SUL','SC','124242241215111421369814575122610127062',NULL,'654',0.00,4,3,NULL),(20,5350611,'1978-11-05 00:00:00',4,1,12,1996,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241243121135721123379145124121762097',NULL,'512',0.00,1,2,1),(20,5350620,'1992-07-28 00:00:00',2,15,12,2009,'F','N','ERECHIM','BAL ARROIO SILVA','SC','124241241114131431537619395121610144117',NULL,'854',0.00,1,2,1),(20,5350638,'1988-07-22 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241137131611547612275124610127092',NULL,'288',26.04,4,2,1),(20,5350646,'1992-09-18 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241147111411658839295121610144052',NULL,'267',10.22,1,2,1),(20,5350654,'1993-02-06 00:00:00',4,4,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124242241215111431449812275122610133092',13346,'1047',47.84,1,3,NULL),(20,5350662,'1989-11-25 00:00:00',2,1,12,2007,'M','N','TAQUARA JACAREPAGUÁ','RIO JANEIRO','RJ','121211211115471332526311372324610147047',NULL,'9998',20.65,1,2,1),(20,5350670,'1992-11-02 00:00:00',2,1,12,2009,'M','N','RIO MIGUEL','ÁGUAS MORNAS','SC','124241241115131431427315552224610152017',NULL,'978',26.41,1,2,1),(20,5350689,'1993-02-09 00:00:00',4,1,12,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242241215111431379833291122610146175',NULL,'262',22.24,1,3,NULL),(20,5350697,'1992-04-27 00:00:00',4,2,11,2009,'F','N','CENTRO','ERECHIM','RS','120203201236152731347932572122610132197',NULL,'9998',0.00,1,3,NULL),(20,5350700,'1991-02-12 00:00:00',4,1,12,2008,'F','N','PLANALTO','VACARIA','RS','120201201117272431546631243124242242047',3418,'9998',69.93,1,2,1),(20,5350719,'1991-10-16 00:00:00',2,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124243241215131431443512575122610124147',NULL,'1077',27.54,1,3,NULL),(20,5350727,'1992-08-15 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211111431478833574122610161092',NULL,'270',0.00,1,3,NULL),(20,5350735,'1991-02-27 00:00:00',2,8,12,2008,'F','N','SCHRAMM','S BENTO SUL','SC','124241241116131411423319345124610136077',NULL,'697',25.10,1,2,1),(20,5350743,'1976-02-06 00:00:00',4,3,12,1993,'F','N','GUANABARÁ','LONDRINA','PR','616162161215572431378811485122343237097',NULL,'9998',0.00,1,3,NULL),(20,5350760,'1983-10-29 00:00:00',5,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124202206217274731238614475124521462043',663,'9998',83.43,1,3,NULL),(20,5350778,'1985-06-23 00:00:00',2,15,12,2004,'M','N','LAGOA DA SERRA','ARARANGUÁ','SC','124241248116133431623431342232522357047',NULL,'29',20.95,1,2,1),(20,5350786,'1992-04-02 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116161168117111511535833595122610167145',NULL,'9998',12.85,1,2,1),(20,5350794,'1991-09-29 00:00:00',2,1,12,2008,'F','N','PACHECOS','PALHOÇA','SC','124241241115271421326624582224610131192',NULL,'592',23.79,1,2,1),(20,5350808,'1992-10-04 00:00:00',4,7,12,2009,'F','N','CIDADE JARDIM','CATANDUVAS','SC','124242241215151431536632274122610163142',11529,'962',52.96,1,3,NULL),(20,5350816,'1993-02-23 00:00:00',4,1,12,2010,'F','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215171421448832495112610137017',NULL,'1169',21.80,1,3,NULL),(20,5350824,'1992-08-01 00:00:00',2,3,12,2009,'F','N','RIO PEQUENO','CAMBORIÚ','SC','124242241211121731546612425122610133182',NULL,'44',25.50,1,3,NULL),(20,5350832,'1992-01-25 00:00:00',2,15,12,2009,'F','N','CENTRO','ARARANGUÁ','SC','124244241115131411422624385124610164027',15336,'30',43.88,4,3,NULL),(20,5350840,'1984-04-02 00:00:00',4,1,12,2004,'M','N','FORQUILINHAS','S JOSÉ','SC','124241241127133441323444242231610126057',NULL,'295',0.00,1,2,1),(20,5350859,'1991-07-10 00:00:00',4,1,12,2008,'F','N','JARDIM NOVA EUROPA','CAMPINAS','SP','125253251217471431538614175112610144142',NULL,'9998',0.00,1,3,NULL),(20,5350883,'1991-04-04 00:00:00',4,15,12,2007,'F','N','PINHEIRINHO DO MEIO','JACINTO MACHADO','SC','124241241117161431323316412222610128141',NULL,'420',0.00,1,2,1),(20,5350905,'1992-03-06 00:00:00',2,4,12,2008,'F','N','N SENHORA DO ROSARIO','STA MARIA','RS','120201201116472431544416295112610125147',9848,'9998',56.81,1,2,1),(20,5350921,'1979-04-17 00:00:00',2,1,12,1997,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124124121336131421113621485224342044111',5463,'9998',67.19,1,3,NULL),(20,5350930,'1991-09-07 00:00:00',4,1,12,2009,'M','N','CENTRO','VACARIA','RS','120202201346371731448831592322610162182',NULL,'9998',23.15,1,3,NULL),(20,5350948,'1992-05-13 00:00:00',4,8,12,2009,'M','N','PORTÃO','CURITIBA','PR','116164241215111431657612375122610127047',13558,'1161',51.26,1,3,NULL),(20,5350956,'1991-07-11 00:00:00',2,8,12,2008,'F','N','GUAMIRANGA','GUARAMIRIM','SC','124241241212272431549933575114610126072',NULL,'424',22.83,1,3,NULL),(20,5350964,'1981-02-08 00:00:00',4,1,7,2004,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224241241142275421324454282224121416172',NULL,'1003',31.55,2,1,1),(20,5350972,'1992-09-23 00:00:00',4,1,11,2009,'M','N','BUENO','GOIÂNIA','GO','109092091216151431468814575122610162042',NULL,'9998',0.00,3,3,NULL),(20,5350980,'1992-04-28 00:00:00',4,1,12,2009,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241115271431366933585122610124097',NULL,'772',25.21,4,1,1),(20,5351022,'1987-07-24 00:00:00',2,1,11,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161168137111651431779212335610144183',NULL,'9999',19.45,3,3,NULL),(20,5351030,'1989-06-15 00:00:00',4,3,12,2006,'M','N','JARDIM SANTA CLARA','LONDRINA','PR','116162161216471431657812445112141167047',12651,'9998',49.46,1,3,NULL),(20,5351049,'1986-07-28 00:00:00',2,1,12,2003,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224241241116134421324444442224323023012',NULL,'192',0.00,1,2,1),(20,5351057,'1962-11-02 00:00:00',4,1,12,1980,'F','N','CENTRO','PALHOÇA','SC','124241241137131431323474492321332767097',NULL,'307',0.00,1,2,1),(20,5351073,'1989-01-24 00:00:00',2,4,12,2005,'F','N','CENTRO','CHAPECÓ','SC','124242241216573411366923572122142567052',5875,'185',66.29,1,3,NULL),(20,5351090,'1992-01-03 00:00:00',4,4,12,2009,'M','N','CENTRO','CAMPINAS SUL','RS','120201201215111531336712272114610167057',NULL,'9998',30.16,1,3,NULL),(20,5351103,'1988-12-18 00:00:00',4,1,12,2006,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124243248232212731445732492124610167182',NULL,'9997',21.84,1,3,NULL),(20,5351111,'1992-01-09 00:00:00',4,7,12,2009,'M','N','SANTO MARCOM','IRANI','SC','124241241136131431223374345124610162172',13459,'379',47.08,1,2,1),(20,5351120,'1990-07-23 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224241251117151431436614385114610162177',15978,'9998',41.49,1,2,1),(20,5351138,'1968-03-22 00:00:00',2,1,12,1988,'F','N','INGLESES','FLORIANÓPOLIS','SC','224201206122363441365453485122442112011',NULL,'9998',20.01,4,3,NULL),(20,5351146,'1985-03-26 00:00:00',2,1,12,2004,'F','N','POTECAS','S JOSÉ','SC','124241241116243431421444243324610122147',NULL,'276',0.00,1,2,1),(20,5351154,'1993-05-16 00:00:00',4,9,11,2010,'F','S','S C DE JESUS','LAGES','SC','124242241215111432538719272122610133182',NULL,'497',27.15,1,3,NULL),(20,5351162,'1990-11-15 00:00:00',4,1,12,2008,'M','N','BOM JESUS','STA CRUZ SUL','RS','120201201116371431444419291125610127072',12566,'9998',50.21,1,2,1),(20,5351170,'1992-06-26 00:00:00',2,2,12,2009,'F','N','CENTRO','CRISSIUMAL','RS','120201201116161431626915572321610121147',NULL,'9998',24.48,1,2,1),(20,5351189,'1992-02-10 00:00:00',2,1,12,2009,'M','N','DAMHA I','PRES PRUDENTE','SP','125252251215111531588832575112610167047',NULL,'9998',0.00,1,3,NULL),(20,5351200,'1992-01-02 00:00:00',4,2,11,2008,'M','N','SÃO BRAZ','CURITIBA','PR','116241241415371431446814245124610164112',NULL,'88',0.00,1,3,NULL),(20,5351227,'1993-01-18 00:00:00',4,10,12,2010,'M','S','MAR GROSSO','LAGUNA','SC','124202241217121431345932575122610137057',NULL,'525',55.37,4,3,NULL),(20,5351235,'1992-02-09 00:00:00',4,1,12,2009,'M','N','PALHOÇA CENTRO','PALHOÇA','SC','124241241235111431446613472124610128177',NULL,'262',26.72,1,3,NULL),(20,5351243,'1992-04-24 00:00:00',2,1,12,2009,'M','N','FAZ SANTO ANTONIO','S JOSÉ','SC','124242248235141431338412375124230737115',NULL,'1075',24.97,3,3,NULL),(20,5351260,'1992-04-20 00:00:00',4,7,12,2009,'F','N','CENTRO','TREZE TÍLIAS','SC','124243241217151411446811574124610163157',NULL,'446',29.34,1,3,NULL),(20,5351278,'1991-09-11 00:00:00',2,1,12,2008,'F','N','CENTRO','PASSO FUNDO','RS','120201201116371531334416575124610126147',NULL,'9998',0.00,1,2,1),(20,5351286,'1991-06-20 00:00:00',2,4,12,2008,'M','N','INTERIOR','CEL FREITAS','SC','124241241112131421326639572212610117052',NULL,'199',24.72,1,3,NULL),(20,5351316,'1990-04-13 00:00:00',4,1,11,2007,'F','N','BOM FIM','PTO ALEGRE','RS','120202201216571431469911595112610116042',NULL,'9998',0.00,1,3,NULL),(20,5351324,'1979-12-19 00:00:00',2,15,12,1996,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241241217132732556513232123420221047',NULL,'26',15.70,1,3,NULL),(20,5351332,'1992-03-07 00:00:00',2,8,12,2009,'F','N','UMBARÁ','CURITIBA','PR','116162161216371411426334574124610167077',9934,'9998',55.31,1,3,NULL),(20,5351340,'1993-11-18 00:00:00',4,15,12,2010,'F','S','CIDADE ALTA','ARARANGUÁ','SC','124242241215111711448524575112610134013',NULL,'970',25.83,1,3,NULL),(20,5351359,'1991-11-25 00:00:00',4,9,12,2008,'M','N','CENTRO','COTIPORÃ','RS','120203201216371431458851575124610164015',NULL,'9998',0.00,1,3,NULL),(20,5351367,'1989-05-21 00:00:00',2,1,12,2006,'F','N','TRÊS RIACHOS','BIGUAÇU','SC','124241241132232421433436342324610133147',NULL,'65',25.67,1,2,1),(20,5351383,'1991-08-01 00:00:00',4,4,12,2008,'F','N','CENTRO','CAIÇARA','RS','120201201134271431426613472125610167042',NULL,'9998',21.03,1,3,NULL),(20,5351391,'1989-06-07 00:00:00',4,17,12,2006,'F','N','CENTRO','PTO UNIÃO','SC','124242161216572731448613572112610164097',9533,'9998',59.01,1,3,NULL),(20,5351413,'1993-01-15 00:00:00',4,1,12,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241112141431544434242124610133012',NULL,'733',26.49,1,2,1),(20,5351421,'1989-02-08 00:00:00',2,2,12,2006,'M','N','CENTRO','STA MARIA','RS','120201201217571751438833591225610137057',8097,'9998',61.66,1,3,NULL),(20,5351430,'1992-12-04 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212111421358833572112610117112',15757,'1050',45.24,1,3,NULL),(20,5351472,'1990-05-01 00:00:00',2,2,12,2008,'M','N','CENTRO','STA ROSA','RS','120202201215472431458812575124610167127',3237,'9998',71.90,1,3,NULL),(20,5351480,'1990-11-03 00:00:00',4,1,12,2007,'F','N','BARRA FUNDA','GUARUJÁ','SP','125252251216571411457714172122610147047',1992,'9998',75.90,1,3,NULL),(20,5351499,'1991-11-26 00:00:00',2,3,12,2008,'F','N','CENTRO','PARANACITY','PR','116163161216411431549933575122610164142',1056,'9998',79.93,1,3,NULL),(20,5351502,'1990-12-21 00:00:00',2,1,7,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','113132131217271431658824385124610127057',NULL,'9998',0.00,4,3,NULL),(20,5351529,'1958-10-11 00:00:00',2,1,11,1975,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','224243241116155441446349492112121927147',7682,'307',62.47,1,3,NULL),(20,5351537,'1988-05-28 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241127374431426524281224610124171',15989,'922',41.62,1,2,1),(20,5351561,'1990-05-06 00:00:00',4,1,12,2007,'F','N','LARANJEIRAS','PALHOÇA','SC','124241241137131412434321342244610138152',NULL,'592',15.94,1,2,1),(20,5351570,'1989-12-21 00:00:00',4,1,6,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124204201415135751113649296324141468187',15244,'9998',47.13,5,3,NULL),(20,5351588,'1991-12-07 00:00:00',4,7,10,2008,'F','N','MONT SERRAT','PTO ALEGRE','RS','120222221316471431556632175124610126192',6371,'9998',63.38,1,3,NULL),(20,5351600,'1987-05-02 00:00:00',2,1,12,2005,'F','N','BOM FIM','PTO ALEGRE','RS','120204201436572731549929575124610163097',4053,'9998',69.76,1,3,NULL),(20,5351618,'1992-12-06 00:00:00',4,1,11,2009,'M','N','ALPHAVILE FLAMBOYANT','GOIÂNIA','GO','109092091216151431478814575122610162042',3113,'9998',71.86,1,3,NULL),(20,5351634,'1992-10-07 00:00:00',4,5,12,2009,'M','N','SUMARÉ','LAURO MÜLLER','SC','124241241117151731546939575112610127057',NULL,'531',0.00,1,3,NULL),(20,5351685,'1992-06-19 00:00:00',4,1,12,2009,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241112141731525634242324610126142',NULL,'733',17.43,1,2,1),(20,5351693,'1992-08-08 00:00:00',4,1,12,2009,'F','N','STO ANDRÉ DOIS','SOROCABA','SP','125252251216111531478813572112610164047',8042,'9998',59.15,3,3,NULL),(20,5351707,'1992-02-23 00:00:00',4,6,12,2009,'F','N','CENTRO','BOTUVERÁ','SC','124241241126141431353612345122610123142',NULL,'98',0.00,1,2,1),(20,5351715,'1992-05-04 00:00:00',5,6,12,2009,'F','N','CENTRO','BOTUVERÁ','SC','124241241126141431333314145122610137057',NULL,'98',19.46,1,2,1),(20,5351740,'1986-08-14 00:00:00',4,1,12,2005,'M','N','CENTRO','GIRUÁ','RS','120204207316571431246829374112610164097',10512,'9998',54.28,1,3,NULL),(20,5351766,'1987-09-13 00:00:00',4,1,12,2004,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124202201212373421129932112234610135142',9808,'9998',56.17,1,3,NULL),(20,5351774,'1992-01-19 00:00:00',4,1,12,2009,'F','N','PRAIA','ITABIRA','MG','113132131217471531238823575124610134184',15500,'9998',46.31,4,3,NULL),(20,5351782,'1988-01-11 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241137141431557632245122610124097',NULL,'307',0.00,1,3,NULL),(20,5351790,'1991-09-27 00:00:00',2,8,12,2009,'M','N','BOM JESUS','RIO NEGRO','PR','116164161214171411439814174122610166164',NULL,'9998',0.00,1,3,NULL),(20,5351812,'1970-08-22 00:00:00',2,1,12,1987,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201206116331421123941412232341446097',NULL,'9998',10.70,1,3,NULL),(20,5351820,'1990-01-24 00:00:00',3,6,11,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242248411371751589911491122131062122',NULL,'49',23.41,1,3,NULL),(20,5351839,'1990-11-12 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241415121111249923575124610127047',NULL,'1022',27.16,1,3,NULL),(20,5351847,'1989-10-04 00:00:00',2,7,12,2006,'F','N','CENTRO','MAXIMILIANO ALMEIDA','RS','120201201126572751533619592124610137143',8722,'9998',57.52,1,2,1),(20,5351855,'1991-04-20 00:00:00',4,1,12,2008,'M','N','SÃO BENTO','BELO HORIZONTE','MG','113132131217471731678912575112610167057',NULL,'9998',0.00,1,3,NULL),(20,5351863,'1982-06-12 00:00:00',2,1,12,2002,'M','N','PRADO','BIGUAÇU','SC','224161161136134411226541315124221467181',NULL,'9998',0.00,2,1,1),(20,5351898,'1991-04-29 00:00:00',2,4,12,2008,'M','N','AGOSTINI','S MIGUEL OESTE','SC','124241241136471431433514345114610137147',NULL,'757',44.11,1,2,1),(20,5351901,'1992-05-26 00:00:00',4,8,12,2009,'M','N','CENTRO','QUERÊNCIA NORTE','PR','116161161116271431438619275122610165077',8506,'9998',60.04,1,3,NULL),(20,5351928,'1989-09-22 00:00:00',4,8,12,2007,'M','N','JARDIM RENOVAÇÃO','GUARANÉSIA','MG','113131131136131331424311242114610124097',NULL,'9998',26.03,1,2,1),(20,5351936,'1989-03-05 00:00:00',4,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124243247126131751426411345224610124187',NULL,'946',13.55,2,1,2),(20,5351944,'1973-08-07 00:00:00',4,1,12,1991,'M','N','CENTRO','FLORIANÓPOLIS','SC','124092121216271751176643431132540234097',2194,'9998',76.19,1,3,NULL),(20,5351952,'1992-04-26 00:00:00',4,3,11,2009,'M','N','CENTRO','IJUÍ','RS','120202201216111731568832592112610167142',NULL,'9998',26.64,1,3,NULL),(20,5351987,'1991-04-09 00:00:00',2,1,12,2009,'F','N','IPE AMARELO','FRUTAL','MG','113132131417111441323512575123610112147',NULL,'9998',0.00,3,3,NULL),(20,5351995,'1992-09-22 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111511378812595124610144042',3583,'270',71.94,1,3,NULL),(20,5352002,'1990-04-11 00:00:00',4,15,12,2008,'M','N','CENTRO','ARARANGUÁ','SC','124244241212112431488634445122233267041',14632,'970',48.91,1,3,NULL),(20,5352010,'1986-08-25 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217151531219911484122610117182',13452,'457',51.48,1,3,NULL),(20,5352029,'1991-07-29 00:00:00',4,2,10,2008,'F','N','VORSTADT','BLUMENAU','SC','124242241215372431356822574112121162146',NULL,'855',0.00,1,3,NULL),(20,5352037,'1991-07-11 00:00:00',4,1,12,2008,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215472431478833572124610161117',10087,'270',57.98,1,3,NULL),(20,5352053,'1977-03-31 00:00:00',4,15,12,2001,'M','N','CENTRO','ARARANGUÁ','SC','124242243217472411369942425122330162111',12903,'232',52.55,1,3,NULL),(20,5352061,'1990-11-05 00:00:00',2,7,12,2007,'M','N','CENTRO','MAXIMILIANO ALMEIDA','RS','120201201146572731333419595124610127043',7160,'9998',61.45,1,2,1),(20,5352070,'1988-10-07 00:00:00',4,8,12,2006,'F','N','VILA NOVA','JOINVILLE','SC','124241241136372411343611245123610138017',NULL,'475',0.00,1,2,1),(20,5352088,'1990-05-31 00:00:00',2,1,12,2008,'F','N','FAZ SANTO ANTONIO','S JOSÉ','SC','124243247116273411637731245124610113017',14945,'9999',48.04,1,3,NULL),(20,5352096,'1992-01-03 00:00:00',4,2,12,2008,'M','N','BIGORRILHO','CURITIBA','PR','116162161211571331459814595124610137142',NULL,'9998',0.00,1,3,NULL),(20,5352100,'1959-05-29 00:00:00',2,1,12,1975,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224074073236271421563443332122341434145',9595,'9998',58.93,1,3,NULL),(20,5352118,'1992-02-14 00:00:00',2,2,12,2009,'M','N','LARANJEIRAS','RIO SUL','SC','124241248415111431439613435124610164017',NULL,'1013',28.37,1,3,NULL),(20,5352126,'1991-06-07 00:00:00',4,1,12,2009,'M','N','JD PACAEMBU','ATIBAIA','SP','125252251437371431548612275122610127042',NULL,'9998',0.00,1,3,NULL),(20,5352134,'1991-11-23 00:00:00',2,8,12,2008,'M','N','CENTRO','ITAPOÁ','SC','124241241111471751532611381324610117047',NULL,'413',22.80,1,2,1),(20,5352142,'1992-04-15 00:00:00',2,6,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241412111431448614175324133227017',NULL,'1038',26.10,2,1,2),(20,5352150,'1991-10-08 00:00:00',4,8,12,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','124241241416371441346834585124231322012',NULL,'424',0.00,1,3,NULL),(20,5352169,'1991-03-05 00:00:00',2,1,12,2008,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124242241211131451426822515122230267177',NULL,'1050',0.00,1,3,NULL),(20,5352177,'1985-07-08 00:00:00',2,1,3,2005,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241116271431323429142234610137072',NULL,'306',0.00,1,2,1),(20,5352185,'1993-04-20 00:00:00',2,1,11,2009,'F','N','JARDIM BELOHORIZONTE','APARECIDA GOIÂNIA','GO','109092091216151431478834575122610162182',7543,'9998',58.86,1,3,NULL),(20,5352193,'1989-08-23 00:00:00',4,16,12,2009,'M','N','BOSQUE','CURITIBANOS','SC','624241241135271431323311575122610167177',12922,'239',52.51,1,2,1),(20,5352207,'1991-03-12 00:00:00',2,3,12,2007,'M','N','PRAIA DO PINHO','BAL CAMBORIÚ','SC','124241241116131431125541112324612534147',NULL,'49',24.97,1,3,NULL),(20,5352223,'1983-05-12 00:00:00',4,1,12,2000,'M','N','JARDIM DA GLÓRIA','S PAULO','SP','125254251216471721368821315122343244056',3248,'9998',71.80,1,3,NULL),(20,5352231,'1992-02-27 00:00:00',2,7,11,2009,'M','N','CENTRO','OURO','SC','124241241435111721344532245125610167052',NULL,'1093',23.62,1,3,NULL),(20,5352240,'1992-12-19 00:00:00',2,1,12,2009,'F','N','ESTREITO','ALFREDO WAGNER','SC','124241241126131451314414145125610137147',NULL,'13',26.75,1,2,1),(20,5352258,'1989-05-10 00:00:00',4,8,12,2006,'M','N','GLORIA','JOINVILLE','SC','124242246236253411526844345224130814171',15937,'494',44.48,1,3,NULL),(20,5352274,'1993-05-23 00:00:00',2,1,11,2009,'M','N','AREIAS','S JOSÉ','SC','124242241215131121333319575122610167112',NULL,'976',28.96,1,3,NULL),(20,5352304,'1980-09-06 00:00:00',4,1,12,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','124153258316153421166613235124541427097',NULL,'9998',0.00,1,3,NULL),(20,5352347,'1992-02-25 00:00:00',4,2,12,2009,'M','N','RIO MORTO','INDAIAL','SC','124243241215111432456619345122610127017',NULL,'986',25.22,1,3,NULL),(20,5352355,'1991-05-06 00:00:00',2,16,12,2008,'M','N','CENTRO','CURITIBANOS','SC','124241241117372711523723282225610127052',NULL,'239',37.00,1,3,NULL),(20,5352371,'1992-08-04 00:00:00',2,4,12,2009,'M','N','CENTRO','HUMAITÁ','RS','120203201116151431438714372125610127052',NULL,'9998',25.05,1,3,NULL),(20,5352380,'1981-09-08 00:00:00',4,1,11,2001,'F','N','VARGEM DOS PINHAIS','STO AMARO IMPERATRIZ','SC','124241247626132731547624245134610138097',8754,'9999',60.43,1,3,NULL),(20,5352398,'1980-07-28 00:00:00',4,1,12,1997,'F','N','CAMPESTRE ORFEU','S LEOPOLDO','RS','120202201216572421468834211125343222092',NULL,'9998',0.00,1,3,NULL),(20,5352401,'1992-03-21 00:00:00',2,4,12,2009,'M','N','PERPETUO SOCORRO','S LOURENÇO OESTE','SC','124243241116271431534833395124610137122',NULL,'744',28.10,1,3,NULL),(20,5352410,'1982-09-03 00:00:00',4,3,11,2000,'F','N','FÁTIMA','COLOMBO','PR','116163161335471732224841313214610162177',NULL,'9998',0.00,1,3,NULL),(20,5352428,'1990-10-10 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215454431448811592124230224122',4275,'270',69.87,1,3,NULL),(20,5352436,'1987-03-31 00:00:00',2,5,12,2004,'M','N','FLORESTA','PTO ALEGRE','RS','120201201211471731248519591122143237047',NULL,'9998',40.55,1,3,NULL),(20,5352444,'1988-08-08 00:00:00',2,4,12,2005,'M','N','CENTRO','STA MARIA','RS','120201201411571441336923591121610114185',2470,'9998',75.21,1,3,NULL),(20,5352452,'1988-03-18 00:00:00',4,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','624203201216141711326679445334140262147',NULL,'9998',19.61,1,3,NULL),(20,5352460,'1988-06-17 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124163241312373431359722425132610126097',7453,'1038',61.16,4,1,2),(20,5352487,'1989-04-10 00:00:00',2,15,12,2006,'F','N','RIO BRANCO','PTO ALEGRE','RS','120206201216571731237723575124140633187',NULL,'9998',0.00,2,1,2),(20,5352495,'1992-06-22 00:00:00',4,1,12,2009,'M','N','MONTE CASTELO','CPO GRANDE','MS','112123121117111431469619275112610137042',2832,'9998',72.51,4,3,NULL),(20,5352509,'1991-12-19 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111231489819472112610162195',NULL,'262',43.19,1,3,NULL),(20,5352517,'1984-08-24 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241247626142721111549292124610138095',NULL,'9999',14.04,1,3,NULL),(20,5352525,'1990-03-18 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124202201432371431337729492124610118072',NULL,'9998',23.97,1,3,NULL),(20,5352541,'1981-04-05 00:00:00',4,8,12,1998,'M','N','BOA VISTA','JOINVILLE','SC','124251251111131731126574145124610125055',NULL,'9998',27.14,1,3,NULL),(20,5352568,'1981-02-22 00:00:00',4,1,12,2002,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241142131131423341212224230216177',NULL,'772',21.92,2,1,1),(20,5352576,'1991-11-27 00:00:00',4,1,12,2008,'M','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116164161235471711558833575124610164096',NULL,'9998',0.00,3,3,NULL),(20,5352649,'1991-08-11 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241212373231479713572124221427042',1779,'738',77.69,1,3,NULL),(20,5352657,'1986-12-16 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241214375421456931215134320933187',9700,'653',58.73,1,3,NULL),(20,5352665,'1949-12-22 00:00:00',2,1,12,1973,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','224251256147152411444649195122330267042',NULL,'9998',25.28,1,2,1),(20,5352673,'1992-02-07 00:00:00',4,1,12,2009,'F','N','FAROLÂNDIA','ARACAJU','SE','126262261217471431469633575122610132042',4306,'9998',70.02,1,3,NULL),(20,5352681,'1981-11-14 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116132431115528485324332062057',15345,'659',46.79,2,1,1),(20,5352711,'1991-12-26 00:00:00',4,15,12,2008,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241117131131333639485121223267185',NULL,'29',28.97,1,2,1),(20,5352720,'1977-02-14 00:00:00',2,15,12,1994,'M','N','PARQUE ALVORADA','ARARANGUÁ','SC','624241248137141431236443332133610121183',NULL,'29',43.16,1,3,NULL),(20,5352770,'1991-07-30 00:00:00',4,1,12,2008,'M','N','CENTRO','CPO GRANDE','MS','112122121217271731468719595125140217052',7703,'9998',62.44,1,3,NULL),(20,5352789,'1992-04-05 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241215471431359722575122610122097',11175,'270',52.26,4,1,2),(20,5352800,'1991-08-05 00:00:00',4,8,12,2009,'M','N','CENTRO','JOINVILLE','SC','124242241215121711658612595124610164182',12981,'931',52.40,1,3,NULL),(20,5352843,'1991-04-05 00:00:00',4,6,12,2008,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125134131211372431467812575111610122097',6348,'9998',62.68,1,3,NULL),(20,5352886,'1987-08-17 00:00:00',2,1,12,2004,'M','N','CENTRO','STA MARIA','RS','120202201316571331436633385224610142187',1305,'9998',79.72,1,3,NULL),(20,5352894,'1990-03-23 00:00:00',4,1,12,2007,'F','N','GONZAGA','SANTOS','SP','125253251216571431338621575124610144092',4345,'9998',67.47,1,3,NULL),(20,5352916,'1976-02-18 00:00:00',3,8,12,1994,'M','N','VILA PIEDADE','ITAPETININGA','SP','125251255116472711433343131324542236017',NULL,'9998',0.00,1,3,NULL),(20,5352924,'1990-05-09 00:00:00',4,5,12,2007,'M','N','FLORESTA','PTO ALEGRE','RS','120202201215472311569932575124132432141',NULL,'9998',0.00,1,3,NULL),(20,5352932,'1989-11-21 00:00:00',4,1,11,2006,'F','N','CENTRO','GAROPABA','SC','124244241431272431346869385124610143142',NULL,'362',43.53,1,3,NULL),(20,5352940,'1990-11-19 00:00:00',2,1,12,2008,'F','N','INDEPENDENCIA','PTO ALEGRE','RS','120202201117471731266961575112610136092',NULL,'9998',0.00,1,3,NULL),(20,5352975,'1983-07-04 00:00:00',2,15,12,2001,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124243241137131721336543332122131367055',NULL,'29',22.56,1,3,NULL),(20,5352983,'1990-12-06 00:00:00',2,16,12,2008,'F','N','SAO LUIZ','CURITIBANOS','SC','124241248116271731216429396344610122145',NULL,'239',38.94,4,3,NULL),(20,5352991,'1991-12-28 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124242241217131751643623572122610128147',4806,'976',68.84,1,3,NULL),(20,5353025,'1988-08-31 00:00:00',4,1,11,2005,'F','N','CENTRO','TUBARÃO','SC','124242241211513751456919281124131063186',NULL,'807',0.00,1,3,NULL),(20,5353033,'1993-03-03 00:00:00',4,5,11,2010,'M','S','CENTRO','CRICIÚMA','SC','124242248215111552349934275112610117047',NULL,'9997',25.14,1,3,NULL),(20,5353076,'1989-08-12 00:00:00',2,1,12,2007,'F','N','BELA VISTA','S JOAQUIM','SC','124241241111131731526823342235610123097',NULL,'719',28.73,1,3,NULL),(20,5353092,'1991-03-09 00:00:00',2,5,12,2008,'F','N','BOM FIM','PTO ALEGRE','RS','120203201211471751543931571124610163181',NULL,'9998',0.00,1,3,NULL),(20,5353114,'1990-08-26 00:00:00',4,6,12,2008,'M','N','CENTRO','S BENTO SUL','SC','124241241116272431347631315125610166017',9149,'697',59.69,4,2,1),(20,5353122,'1991-05-19 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIÚMA','SC','124201201117131431233444342124610127056',NULL,'9998',24.14,1,2,1),(20,5353130,'1987-03-17 00:00:00',2,1,12,2005,'M','N','CENTRO','VACARIA','RS','120242241123342611241332234141140335183',14143,'977',50.09,4,3,NULL),(20,5353149,'1993-05-24 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111751489833597115610148172',NULL,'1169',57.99,1,3,NULL),(20,5353157,'1990-07-14 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241135131431436653392124610165147',NULL,'307',0.00,1,3,NULL),(20,5353165,'1992-12-10 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215131411559812591124610116117',NULL,'226',46.68,1,3,NULL),(20,5353173,'1992-12-29 00:00:00',2,4,11,2009,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241215111431446712572122610122097',NULL,'185',0.00,1,3,NULL),(20,5353181,'1993-08-18 00:00:00',2,1,11,2009,'F','N','MENINO DEUS','PTO ALEGRE','RS','120201201117111431359919572124610163027',9758,'9998',56.74,1,2,1),(20,5353190,'1988-10-07 00:00:00',4,7,12,2006,'F','N','JARDIM MORADA','HERVAL D OESTE','SC','124241245126131231113329332323130234147',NULL,'342',26.69,1,2,1),(20,5353211,'1985-01-31 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241111244431226644341341610137067',NULL,'298',27.23,4,2,1),(20,5353238,'1991-06-09 00:00:00',4,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117131431436653372144610167017',NULL,'281',20.33,1,2,1),(20,5353246,'1989-12-30 00:00:00',4,1,12,2007,'F','N','CENTRO','STA MARIA','RS','120202201317571431344939575125610133147',11880,'9998',52.49,1,3,NULL),(20,5353254,'1989-09-06 00:00:00',2,1,12,2008,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124201205117131431114544443224610134057',NULL,'9998',27.28,1,2,1),(20,5353270,'1991-01-17 00:00:00',2,4,12,2007,'F','N','CENTRO','FAXINAL GUEDES','SC','124243241446372711443911392122610146193',8645,'255',58.79,1,3,NULL),(20,5353289,'1988-12-27 00:00:00',2,1,12,2005,'F','N','BOM FIM','PTO ALEGRE','RS','120202201116571411435612591114610137147',213,'9998',87.76,1,3,NULL),(20,5353297,'1990-08-20 00:00:00',2,1,12,2007,'M','N','SANTOS DUMONT II','TRÊS LAGOAS','MS','112122121217153431448953435132610167121',10730,'9998',55.29,1,3,NULL),(20,5353319,'1991-06-24 00:00:00',2,5,12,2008,'M','N','BOA VISTA','PTO ALEGRE','RS','120202201215471431379921571122610167043',NULL,'9998',0.00,1,3,NULL),(20,5353335,'1987-07-05 00:00:00',2,1,12,2004,'F','N','CENTRO','PTO ALEGRE','RS','120201201136371451223448285124141333147',13048,'9998',48.45,1,2,1),(20,5353343,'1989-01-26 00:00:00',4,1,11,2006,'M','N','CENTRO','CASCAVEL','PR','116164161216572421346832574112142637093',13703,'9998',47.21,1,3,NULL),(20,5353351,'1994-03-30 00:00:00',4,1,12,2010,'F','S','CENTRO','TIJUCAS','SC','124242241215111731463332272122610128092',NULL,'1038',0.00,1,3,NULL),(20,5353360,'1988-10-05 00:00:00',2,1,12,2005,'M','N','INDEPENDENCIA','SARANDI','PR','116163161115371431533714341324141236157',13544,'9998',48.43,1,3,NULL),(20,5353378,'1992-03-25 00:00:00',2,5,12,2008,'F','N','MARCÍLIO DIAS','PTO ALEGRE','RS','120202201215471431468931575112610167017',NULL,'9998',0.00,1,3,NULL),(20,5353386,'1992-07-23 00:00:00',2,7,12,2009,'F','N','CENTRO','PINHEIRO PRETO','SC','124241241126141431326839295122610132052',NULL,'618',20.94,1,2,1),(20,5353394,'1976-04-06 00:00:00',4,1,5,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','624214217421141421426141411222610134067',NULL,'9999',39.48,5,3,NULL),(20,5353416,'1983-01-28 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211152421158729335122320223092',NULL,'266',0.00,1,3,NULL),(20,5353424,'1991-08-10 00:00:00',4,15,12,2008,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201217471411467913571112610167121',3831,'9998',70.17,1,3,NULL),(20,5353432,'1992-01-02 00:00:00',4,3,12,2009,'F','N','CENTRO','FOZ IGUAÇU','PR','116164161437111431448814574122610127147',1649,'9998',78.28,1,3,NULL),(20,5353440,'1990-02-28 00:00:00',5,5,12,2008,'M','N','SANTA LUZIA','CRICIÚMA','SC','124241241122161331533314342312132052151',NULL,'921',13.55,1,3,NULL),(20,5353467,'1994-05-29 00:00:00',4,3,12,2010,'F','S','CENTRO','BAL CAMBORIÚ','SC','124242241215121411348823392125610125142',NULL,'9997',56.88,1,3,NULL),(20,5353475,'1992-03-10 00:00:00',4,1,11,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111731368933475122610136195',9580,'270',56.90,1,3,NULL),(20,5353483,'1990-03-16 00:00:00',2,15,12,2007,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241217131421336633336111610144145',15761,'26',45.23,1,3,NULL),(20,5353491,'1993-09-30 00:00:00',4,2,12,2010,'F','S','VICTOR KONDER','BLUMENAU','SC','124242241217171331278923575122610132097',NULL,'909',47.16,1,3,NULL),(20,5353505,'1992-06-13 00:00:00',4,1,11,2009,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241241215111431535811391124611127113',NULL,'1048',25.59,1,3,NULL),(20,5353513,'1980-06-27 00:00:00',4,1,12,1997,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124202201217151711118644442112343227117',NULL,'9998',0.00,1,3,NULL),(20,5353521,'1975-04-10 00:00:00',4,15,12,1993,'M','N','CENTRO','SOMBRIO','SC','224241248124151431233841215122130726047',NULL,'769',46.38,1,3,NULL),(20,5353530,'1992-11-11 00:00:00',2,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124241241115371431439613575121610114097',NULL,'592',27.88,1,2,1),(20,5353548,'1988-10-01 00:00:00',4,3,12,2005,'F','N','CENTRO','PARANAVAÍ','PR','116162161216572731348826472122132834152',3608,'9998',71.87,1,3,NULL),(20,5353556,'1989-07-06 00:00:00',2,1,12,2006,'F','N','JARDIM PARAÍSO','S JOSÉ CAMPOS','SP','125251251217572431353315571224610142147',7360,'9998',61.71,3,3,NULL),(20,5353580,'1991-08-15 00:00:00',2,1,11,2009,'F','N','SERTÃO','STO AMARO IMPERATRIZ','SC','124241241117151431439613575122610124097',NULL,'772',23.09,2,1,1),(20,5353599,'1991-11-04 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215152431468812375124610167055',2625,'262',74.16,1,3,NULL),(20,5353602,'1992-09-05 00:00:00',4,1,12,2009,'F','N','JARDIM SÃO JOSÉ','CAMBÉ','PR','116162161215111431468936575122610143187',11900,'9998',54.56,1,3,NULL),(20,5353610,'1994-03-06 00:00:00',3,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215111232445731212114610132112',NULL,'270',18.16,1,1,2),(20,5353629,'1992-03-18 00:00:00',2,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241215111731537831574114610166172',10926,'1050',54.87,1,3,NULL),(20,5353661,'1949-06-29 00:00:00',2,1,1,1980,'F','N','CAMPINAS','S JOSÉ','SC','324164247321131431353374475124131016193',NULL,'9999',22.08,1,3,NULL),(20,5353688,'1992-11-20 00:00:00',4,1,12,2009,'M','N','AUXILIADORA','PTO ALEGRE','RS','120202201216471751469931571124610162016',269,'9998',86.87,1,3,NULL),(20,5353696,'1991-09-02 00:00:00',2,4,12,2008,'F','N','SANTO ANTÔNIO','CHAPECÓ','SC','124241241115472431324623576124610133147',NULL,'175',37.64,1,2,1),(20,5353700,'1991-08-15 00:00:00',4,5,8,2009,'M','N','CENTRO','CRICIÚMA','SC','124241241217171731323621345125610164117',NULL,'1096',24.80,1,3,NULL),(20,5353718,'1980-08-14 00:00:00',2,4,12,1998,'M','N','INTERIOR','CEL MARTINS','SC','224241242136162411443343432232340258052',NULL,'196',0.00,1,3,NULL),(20,5353726,'1990-01-19 00:00:00',4,5,12,2007,'M','N','SAO LUIZ','CRICIÚMA','SC','124241248136131731448413382124610128187',NULL,'209',22.95,1,2,1),(20,5353742,'1991-07-28 00:00:00',2,2,11,2008,'F','N','ENGORDADOURO','JUNDIAÍ','SP','125252251215471431557912372122610141142',NULL,'9998',0.00,1,3,NULL),(20,5353769,'1973-06-27 00:00:00',2,15,12,2009,'F','N','BELA VISTA','JACINTO MACHADO','SC','224241248125131431421354142322610118047',NULL,'420',0.00,1,3,NULL),(20,5353785,'1991-03-06 00:00:00',4,3,12,2008,'M','N','SAO JUDAS','AVARÉ','SP','125252251217471431343819195122610137057',9105,'9998',56.35,4,3,NULL),(20,5353793,'1986-04-15 00:00:00',2,1,12,2002,'F','N','IPIRANGA','S JOSÉ','SC','224244241116135531228652185112610141087',NULL,'307',19.18,1,3,NULL),(20,5353815,'1992-06-10 00:00:00',4,15,12,2009,'F','N','PROGRESSO','PASSO TORRES','SC','124241241137151531335314475122610134147',NULL,'605',15.42,1,2,1),(20,5353823,'1990-11-16 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161215571431358833574122610163147',997,'9998',80.44,3,3,NULL),(20,5353831,'1991-10-15 00:00:00',4,4,12,2008,'M','N','CENTRO','PASSO FUNDO','RS','120201201416471411457921581122610117052',NULL,'9998',0.00,1,3,NULL),(20,5353840,'1993-09-20 00:00:00',4,1,11,2010,'M','S','KOBRASOL','S JOSÉ','SC','125252251217111431489814275122610124097',NULL,'9998',53.05,1,3,NULL),(20,5353866,'1982-07-22 00:00:00',4,10,12,1999,'M','N','PETROPOLIS','PTO ALEGRE','RS','120204201216572711249941312122342437117',NULL,'9998',0.00,4,3,NULL),(20,5353874,'1991-11-21 00:00:00',2,5,12,2009,'M','N','CENTRO','TORRES','RS','120201201215131432323623175121610134173',15430,'9998',43.48,1,3,NULL),(20,5353882,'1989-12-28 00:00:00',4,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116122111215571431537613275124610128143',NULL,'9998',0.00,4,3,NULL),(20,5353904,'1985-08-15 00:00:00',2,1,12,2002,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241116135452123348485124610167147',NULL,'307',0.00,1,3,NULL),(20,5353912,'1992-10-07 00:00:00',4,8,12,2009,'M','N','DILETA','CARAZINHO','RS','120204201316151431338723275125610164175',9376,'9998',56.17,1,3,NULL),(20,5353920,'1992-04-14 00:00:00',4,3,12,2009,'M','N','CRUZEIRO','STA ROSA','RS','120202201216151431367933475122610147052',7616,'9998',59.19,4,3,NULL),(20,5353939,'1993-09-07 00:00:00',2,8,12,2010,'M','S','FLORESTA','JOINVILLE','SC','124242241215111512568613572122610114191',NULL,'486',27.08,1,3,NULL),(20,5353955,'1991-11-15 00:00:00',2,1,12,2008,'F','N','CENTRO','NAVEGANTES','SC','124243241317131431427933375122610133182',NULL,'570',15.26,1,3,NULL),(20,5353963,'1991-07-28 00:00:00',2,2,11,2008,'F','N','ENGORDADOURO','JUNDIAÍ','SP','125252251216471431557931272122610131142',NULL,'9998',0.00,1,3,NULL),(20,5353971,'1990-09-09 00:00:00',2,1,12,2008,'M','N','JD MONT SERRAT','APARECIDA GOIÂNIA','GO','109245022223311721222823234322432714147',13969,'9998',47.09,2,1,2),(20,5353998,'1963-02-18 00:00:00',2,3,9,1997,'F','N','CENTRO','BAL CAMBORIÚ','SC','624206207626132411322244145124231016092',NULL,'512',11.93,4,3,NULL),(20,5354005,'1979-12-17 00:00:00',4,1,12,1998,'M','N','PANTANAL','FLORIANÓPOLIS','SC','624241243126131721334644245124130736177',NULL,'89',45.62,5,2,1),(20,5354013,'1992-04-06 00:00:00',2,6,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124163241433412331366812374112610131092',14634,'407',45.95,1,3,NULL),(20,5354030,'1993-07-27 00:00:00',4,1,11,2010,'F','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111431567913375114610117072',NULL,'270',27.16,4,3,NULL),(20,5354048,'1994-03-23 00:00:00',4,1,11,2010,'F','S','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242243215111431476612173114610127143',NULL,'270',23.04,1,3,NULL),(20,5354072,'1968-05-10 00:00:00',4,1,12,1989,'M','N','CAMPINAS','S JOSÉ','SC','224241247127154421435443335222121167067',NULL,'9999',28.68,1,3,NULL),(20,5354080,'1992-08-31 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215111431368814575122610147042',14862,'262',46.05,1,3,NULL),(20,5354099,'1994-01-21 00:00:00',4,8,12,2011,'F','S','AMERICA','JOINVILLE','SC','124242241216111431459519575122610122197',NULL,'457',41.85,1,3,NULL),(20,5354110,'1989-10-31 00:00:00',4,1,12,2007,'M','N','BOM FIM','PTO ALEGRE','RS','120162161215471411389713495125610114092',NULL,'9998',29.75,1,3,NULL),(20,5354129,'1993-09-06 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111751448811415122610137145',NULL,'270',26.94,1,3,NULL),(20,5354137,'1988-04-08 00:00:00',2,1,12,2005,'F','N','KAYSER','CAXIAS SUL','RS','120201201117571431353612345122610164197',NULL,'9998',43.07,1,2,1),(20,5354145,'1992-07-30 00:00:00',4,1,12,2009,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241215131431548832575124610164012',12412,'738',50.29,1,3,NULL),(20,5354153,'1989-04-18 00:00:00',2,1,12,2005,'F','N','UNIVERSITÁRIO','STA CRUZ SUL','RS','120204201217571431379914574122142667073',7346,'9998',61.10,1,3,NULL),(20,5354170,'1992-01-07 00:00:00',4,7,11,2009,'M','N','CRISTO REI','ASSIS CHATEAUBRIAND','PR','116161161215111211323315155121613262052',10846,'9998',56.59,4,3,NULL),(20,5354188,'1993-05-27 00:00:00',2,1,12,2009,'M','N','BAEPENDI','JARAGUÁ SUL','SC','124241246217131431239824275111610162051',NULL,'1061',17.80,1,3,NULL),(20,5354196,'1993-07-24 00:00:00',4,1,12,2010,'M','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111241468954375124610127092',NULL,'1022',58.86,4,3,NULL),(20,5354218,'1987-10-25 01:00:00',4,1,12,2004,'M','N','CENTRO','NAVEGANTES','SC','124243241217132431427933345124240222012',15606,'937',45.86,1,3,NULL),(20,5354226,'1983-07-29 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242247437272451348839385114130247183',NULL,'9999',36.98,1,3,NULL),(20,5354234,'1992-02-27 00:00:00',4,1,12,2009,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125251251216111431574824575124610138072',7281,'9998',60.82,1,3,NULL),(20,5354242,'1991-07-17 00:00:00',4,1,12,2008,'F','N','PLANALTO','VACARIA','RS','120203201215473731569811585112610164187',NULL,'9998',0.00,1,3,NULL),(20,5354250,'1991-05-10 00:00:00',2,1,12,2008,'M','N','FERRAZ','VERA CRUZ','RS','120201201217471431458911575124610137187',9680,'9998',56.76,1,3,NULL),(20,5354269,'1983-09-24 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241126132411126144145134610167147',NULL,'795',25.12,2,2,1),(20,5354277,'1990-11-01 00:00:00',4,1,12,2007,'F','N','TAPERA','FLORIANÓPOLIS','SC','124133241317274431448613571124610137092',NULL,'300',29.99,4,3,NULL),(20,5354293,'1991-03-23 00:00:00',2,9,11,2009,'F','N','CENTRO','S JOAQUIM','SC','124242241215111431469912125322610136192',NULL,'1035',0.00,1,3,NULL),(20,5354315,'1983-12-16 00:00:00',2,1,11,2004,'M','N','BARREIROS','S JOSÉ','SC','224243247126131441223344142223610168187',NULL,'736',26.64,1,3,NULL),(20,5354323,'1991-07-13 00:00:00',4,5,12,2009,'M','N','N SENHORA DA SALETE','CRICIÚMA','SC','124244248417211441228723175124610133036',NULL,'995',21.83,1,3,NULL),(20,5354331,'1992-10-23 00:00:00',4,1,12,2010,'F','S','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241235111431338813575124610112147',NULL,'270',25.76,1,3,NULL),(20,5354358,'1992-08-18 00:00:00',4,1,12,2009,'M','N','CENTRO','JD ALEGRE','PR','116162161217111431446819575111610167062',10984,'9998',56.32,4,3,NULL),(20,5354366,'1991-06-11 00:00:00',4,3,12,2008,'F','N','CENTRO','BRUSQUE','SC','124242241215372431548812445234231464147',10589,'107',57.06,1,3,NULL),(20,5354374,'1992-05-26 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242248215271331228814575124610123142',15051,'738',47.71,1,3,NULL),(20,5354390,'1992-01-17 00:00:00',4,1,11,2008,'F','N','CRISTAL','PTO ALEGRE','RS','120202201211471431348711571122610142192',NULL,'9998',0.00,1,3,NULL),(20,5354404,'1992-04-10 00:00:00',4,8,11,2009,'F','N','GRANJA JULIETA','S PAULO','SP','125252251112471331548814376124610132077',NULL,'9998',0.00,1,3,NULL),(20,5354412,'1989-08-27 00:00:00',2,9,12,2006,'M','N','CENTRO','SANANDUVA','RS','120201201216372731366633471124241227052',NULL,'9998',0.00,1,3,NULL),(20,5354439,'1993-07-03 00:00:00',4,8,11,2011,'F','S','COMASA','JOINVILLE','SC','124242241215111731334631575124610124192',NULL,'486',34.01,1,3,NULL),(20,5354447,'1988-09-15 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241117272731653533372124610163057',NULL,'267',27.48,2,1,1),(20,5354463,'1988-04-01 00:00:00',4,1,12,2004,'F','N','INDEPENDENCIA','PTO ALEGRE','RS','120242131215574431549912575112132522092',13074,'9998',48.68,1,3,NULL),(20,5354480,'1990-03-05 00:00:00',4,1,12,2007,'F','N','VILA TOLENTINO','CASCAVEL','PR','116162161215571731467814275124610164147',5890,'9998',66.00,1,3,NULL),(20,5354498,'1992-06-20 00:00:00',2,1,11,2009,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','624242241215111431336614292124610121047',14482,'269',47.64,1,3,NULL),(20,5354501,'1989-12-28 00:00:00',2,8,12,2007,'M','N','SANTA ROSA','PTO UNIÃO','SC','124242241216572451546923431145610167047',367,'632',85.69,1,3,NULL),(20,5354510,'1991-10-29 00:00:00',4,1,11,2008,'F','N','JARDIM BOTÂNICO','PTO ALEGRE','RS','120202201217571731368932591122610137142',NULL,'9998',0.00,4,3,NULL),(20,5354528,'1989-05-02 00:00:00',2,1,12,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241115271311525521295324610124161',NULL,'298',27.32,4,2,1),(20,5354536,'1992-01-31 00:00:00',2,1,12,2009,'F','N','MORRO DA BINA','BIGUAÇU','SC','124241241217141431456612342124610138092',15294,'63',42.50,1,3,NULL),(20,5354544,'1993-03-18 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242248215111751436823595122610127012',NULL,'988',24.17,2,3,NULL),(20,5354552,'1992-05-09 00:00:00',2,3,12,2009,'M','N','RIO BRANCO','BRUSQUE','SC','124242241215111431643612475122610137042',NULL,'109',0.00,1,3,NULL),(20,5354560,'1991-04-08 00:00:00',4,15,12,2008,'F','N','CENTRO','PASSO TORRES','SC','124241241144131431613318285311610127147',NULL,'605',12.77,1,2,1),(20,5354579,'1992-06-11 00:00:00',4,2,12,2009,'M','N','SEMINÁRIO','TAIÓ','SC','124241241112161431448813392125610167057',NULL,'777',25.12,1,2,1),(20,5354587,'1992-04-18 00:00:00',2,7,12,2009,'M','N','CENTRO','ÁGUA DOCE','SC','124241242116131431446913572122610127057',14731,'8',46.40,1,2,1),(20,5354595,'1992-12-27 00:00:00',2,7,12,2009,'M','N','CENTRO','CAMPOS NOVOS','SC','124244247437151431324336575122610137052',NULL,'138',0.00,1,3,NULL),(20,5354609,'1992-12-17 00:00:00',2,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241248115141421437639345124610167041',NULL,'285',19.53,1,2,1),(20,5354617,'1991-11-08 00:00:00',4,4,12,2008,'M','N','SÃO CRISTÓVÃO','CASCAVEL','PR','116162161215471431448614272112610148052',1785,'9998',77.51,1,3,NULL),(20,5354625,'1992-12-03 00:00:00',4,4,11,2009,'M','N','CENTRO','XAXIM','SC','124241241215111431358831314122610137182',8398,'185',58.13,1,3,NULL),(20,5354633,'1989-04-06 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431587923575112221417052',8203,'262',61.47,4,3,NULL),(20,5354650,'1991-11-10 00:00:00',2,1,12,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241111131431446624345124610127112',12498,'288',52.85,1,2,1),(20,5354668,'1989-10-13 00:00:00',2,1,12,2007,'M','N','TIJUQUINHAS','BIGUAÇU','SC','124242241215273431346612472124610134097',6696,'270',64.50,1,3,NULL),(20,5354684,'1991-08-09 00:00:00',2,5,12,2007,'F','N','MENINO DEUS','PTO ALEGRE','RS','120012011216271311488811595112610165182',NULL,'9998',0.00,1,3,NULL),(20,5354692,'1989-04-05 00:00:00',4,8,12,2006,'F','N','CIDADE JARDIM','S JOSÉ PINHAIS','PR','116162161216471441243923572124140667092',4869,'9998',68.66,1,3,NULL),(20,5354706,'1991-12-12 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241116272321323331284214610114161',NULL,'288',26.45,1,2,1),(20,5354714,'1992-02-19 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241312131432528619392224610123147',NULL,'1075',43.62,1,3,NULL),(20,5354722,'1992-10-31 00:00:00',4,6,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121431469833572122610124057',11577,'9997',55.16,1,3,NULL),(20,5354730,'1991-03-09 00:00:00',4,8,12,2008,'M','N','CIDADE MONÇÕES','S PAULO','SP','125252251216471431489814595124610135187',1159,'9998',80.20,1,3,NULL),(20,5354749,'1992-07-20 00:00:00',4,1,12,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124202201217471431447812575122610162042',NULL,'9998',0.00,1,3,NULL),(20,5354757,'1992-06-05 00:00:00',4,1,12,2009,'M','N','JARDIM DA PENHA','VITÓRIA','ES','108082081216111431478634274115610147042',NULL,'9998',0.00,1,3,NULL),(20,5354765,'1990-10-18 00:00:00',4,1,12,2009,'M','N','MORRO DO ESPELHO','S LEOPOLDO','RS','120203201217151411353622315122610132042',NULL,'9998',20.93,1,3,NULL),(20,5354781,'1991-05-14 00:00:00',2,4,12,2008,'F','N','CENTRO','CAIÇARA','RS','120203201315371531456812575125610167142',NULL,'9998',31.00,1,3,NULL),(20,5354790,'1988-06-17 00:00:00',4,3,12,2005,'F','N','VILA AFP','CHARQUEADAS','RS','120204201347571431469914575114610147182',13249,'9998',50.53,1,3,NULL),(20,5354803,'1992-09-22 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215371441237829496125610163197',7296,'44',61.89,4,3,NULL),(20,5354838,'1992-01-23 00:00:00',4,1,11,2009,'F','N','VILA GUARANI','S PAULO','SP','125252251217111432469814575112610117042',9116,'9998',57.43,1,3,NULL),(20,5354846,'1992-04-20 00:00:00',2,15,12,2009,'M','N','LIVRAMENTO','TURVO','SC','124242241215111431538816575122610147071',NULL,'813',25.91,1,3,NULL),(20,5354854,'1993-03-28 00:00:00',4,1,12,2010,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215151551469912575122610126185',NULL,'272',58.53,1,3,NULL),(20,5354862,'1992-09-16 00:00:00',4,2,12,2009,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124242241216271411448923575114610122053',NULL,'855',0.00,1,3,NULL),(20,5354870,'1992-08-08 00:00:00',4,1,11,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242248217131431226329575124610167047',NULL,'884',17.11,1,3,NULL),(20,5354889,'1988-11-29 00:00:00',4,15,12,2006,'M','N','JARDIM CIBELE','ARARANGUÁ','SC','124241241115171431457511315122510168042',NULL,'30',0.00,1,3,NULL),(20,5354897,'1993-03-23 00:00:00',2,9,12,2010,'M','S','BERGER','CAÇADOR','SC','124244241216161431465514575122610137052',NULL,'1124',30.61,1,3,NULL),(20,5354900,'1991-03-22 00:00:00',2,6,12,2008,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241116131421323419345133610117162',NULL,'329',18.97,1,3,NULL),(20,5354919,'1992-08-28 00:00:00',4,1,11,2009,'F','N','CAMPESTRE','TUBARÃO','SC','124242241215151431445536595124610162144',13857,'797',50.64,1,3,NULL),(20,5354927,'1993-09-29 00:00:00',4,1,12,2010,'F','S','PRAIA DE FORA','PALHOÇA','SC','124242241215111431328631575114610125192',NULL,'989',41.24,1,3,NULL),(20,5354935,'1992-02-08 00:00:00',2,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111431445613575114610162097',13305,'1022',49.47,4,3,NULL),(20,5354943,'1993-03-12 00:00:00',4,6,3,2010,'F','S','BARRA SUL','BAL CAMBORIÚ','SC','124242241214111531418832582122610135197',NULL,'9997',24.52,1,3,NULL),(20,5354951,'1986-04-19 00:00:00',4,10,12,2003,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241216162711256921571112610167011',NULL,'751',0.00,1,3,NULL),(20,5354960,'1992-03-11 00:00:00',2,15,12,2009,'M','N','VIAMÓPOLIS','VIAMÃO','RS','120202201215271532238419395122610167057',NULL,'9998',26.05,1,3,NULL),(20,5354978,'1989-02-09 00:00:00',4,1,12,2006,'F','N','ITANHANGÁ PARK','CPO GRANDE','MS','112122121217571431478811485122142536047',728,'9998',83.01,1,3,NULL),(20,5354986,'1992-05-01 00:00:00',2,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124244241217271432335534475124610117052',NULL,'1075',26.63,1,3,NULL),(20,5354994,'1991-12-01 00:00:00',4,8,12,2008,'F','N','HIGIENÓPOLIS','S PAULO','SP','125252251215471711448833575122610165147',2509,'9998',73.81,1,3,NULL),(20,5355028,'1991-12-05 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241217111531348833572124610147042',NULL,'988',27.63,1,3,NULL),(20,5355044,'1991-04-25 00:00:00',4,1,12,2008,'M','N','PARQUE VERDE','CASCAVEL','PR','116163161216573431266639572122610127187',8934,'9998',56.14,3,3,NULL),(20,5355052,'1991-10-09 00:00:00',2,8,12,2007,'F','N','CHAMPAGNA','CURITIBA','PR','116142081217573731569712572124610164092',10606,'9998',52.87,1,3,NULL),(20,5355079,'1992-06-26 00:00:00',4,15,12,2009,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241116141431443712245122610122047',NULL,'29',23.53,1,2,1),(20,5355087,'1991-08-09 00:00:00',4,8,12,2008,'M','N','BIGORRILHO','CURITIBA','PR','116164161215371331448834572124610167047',NULL,'9998',31.87,1,3,NULL),(20,5355095,'1983-03-29 00:00:00',2,1,12,2002,'F','N','CAMPINAS','S JOSÉ','SC','124241241117134421233327345124323064047',NULL,'739',29.81,1,2,1),(20,5355109,'1983-05-18 00:00:00',2,1,12,2000,'M','N','VILA NOPVA ALVORADA','IMBITUBA','SC','124243248112162431324379182124230225147',NULL,'359',0.00,4,3,NULL),(20,5355117,'1989-02-03 00:00:00',2,4,12,2007,'F','N','TIRADENTES','CPO GRANDE','MS','112124127216571431477732575112141467142',12197,'9998',50.75,4,3,NULL),(20,5355125,'1992-03-24 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116164161216371431569811575125241467052',1144,'9998',80.30,1,3,NULL),(20,5355133,'1991-10-28 00:00:00',2,5,12,2008,'F','N','CENTRO','BENTO GONÇALVES','RS','120202201217471431479911571124610124057',8985,'9998',57.71,1,3,NULL),(20,5355168,'1992-10-10 00:00:00',4,8,11,2009,'M','N','CENTRO CIVICO','CURITIBA','PR','116162161211111511469831571112612467042',5000,'9998',66.94,4,3,NULL),(20,5355176,'1992-01-17 00:00:00',2,4,11,2008,'F','N','VILA IPIRANGA','CPO GRANDE','MS','112121121216471431269914575114610135072',7476,'9998',58.58,1,3,NULL),(20,5355184,'1987-10-27 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251131115574411647532312124122223097',7597,'9998',61.74,1,3,NULL),(20,5355192,'1986-06-11 00:00:00',4,1,12,2003,'M','N','VALPARAIBA','S JOSÉ CAMPOS','SP','125251251111571421634818285124242112093',13713,'9998',48.14,1,2,1),(20,5355214,'1991-12-23 00:00:00',2,1,12,2008,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241136131421543633475114610134193',NULL,'592',0.00,1,2,1),(20,5355222,'1988-09-28 00:00:00',2,1,12,2005,'F','N','CHAMPAGNE','GARIBALDI','RS','120201201116572431443811384124143233077',6491,'9998',64.16,1,2,1),(20,5355257,'1991-11-09 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124222221137472731555633572124610167077',NULL,'9998',0.00,1,3,NULL),(20,5355265,'1980-01-12 00:00:00',4,5,12,1998,'M','N','WOSOCRIS','CRICIÚMA','SC','624241243136152421336944345122533237045',15479,'228',46.39,2,1,1),(20,5355273,'1988-08-16 00:00:00',4,7,12,2004,'F','N','CENTRO','CONCÓRDIA','SC','124241241113374331637536383124242666147',NULL,'192',23.98,1,2,1),(20,5355281,'1992-03-07 00:00:00',4,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124242241211372752589911571115610168196',10163,'807',57.86,3,3,NULL),(20,5355290,'1992-02-18 00:00:00',4,8,12,2009,'M','N','TINGUI','CURITIBA','PR','116162161215121731246923571122610134042',NULL,'9998',0.00,1,3,NULL),(20,5355303,'1990-09-19 00:00:00',2,9,12,2007,'F','N','PROGRESSO','POUSO REDONDO','SC','124241241136233731423314285122222322147',16190,'639',42.64,1,2,1),(20,5355311,'1992-04-18 00:00:00',4,10,12,2009,'M','N','CABEÇUDAS','LAGUNA','SC','124244241215271731426613575124610118077',NULL,'1120',28.56,1,3,NULL),(20,5355346,'1992-11-16 00:00:00',4,4,12,2009,'M','N','CENTRO','ITAPIRANGA','SC','124241241247151431445712322122610115182',NULL,'1060',0.00,1,3,NULL),(20,5355354,'1990-07-13 00:00:00',4,10,12,2007,'F','N','BOM FIM','PTO ALEGRE','RS','120212201216471431353836575122610126097',NULL,'9998',0.00,1,3,NULL),(20,5355362,'1990-03-07 00:00:00',2,1,11,2007,'F','N','CERQUEIRA CEZAR','S PAULO','SP','125252251211571431577612595122610115077',NULL,'9998',0.00,1,3,NULL),(20,5355370,'1983-06-07 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124203201116575241336612575124321527057',NULL,'9998',0.00,1,3,NULL),(20,5355389,'1992-02-13 00:00:00',4,1,11,2009,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215112431469813576124610164017',4944,'270',67.93,1,3,NULL),(20,5355397,'1990-06-05 00:00:00',4,7,12,2005,'F','N','CENTRO','CONCÓRDIA','SC','124241241111132331637536381124242666147',NULL,'192',22.45,1,2,1),(20,5355400,'1982-09-01 00:00:00',4,1,12,2001,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120201201131571711445833574124143215027',1168,'9998',80.40,1,2,1),(20,5355419,'1991-01-29 00:00:00',4,1,11,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241212273451438713195114610131027',12852,'1022',52.63,1,3,NULL),(20,5355451,'1959-07-02 00:00:00',2,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','324201207627131711234649115114610167032',NULL,'9998',45.01,1,3,NULL),(20,5355460,'1992-07-09 00:00:00',4,1,12,2009,'M','N','ITATIAIA','LONDRINA','PR','116162161217171432578833572112610127122',3221,'9998',71.72,3,3,NULL),(20,5355478,'1990-06-23 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124241241127142431353611245122610132096',NULL,'736',0.00,1,3,NULL),(20,5355494,'1984-02-05 00:00:00',2,1,12,2001,'M','N','CENTRO','TIJUCAS','SC','124241241126151211433314142123610115082',NULL,'783',0.00,1,2,1),(20,5355508,'1989-09-21 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241211133431448814345114122367117',14087,'1022',50.22,4,1,2),(20,5355516,'1990-02-17 00:00:00',4,5,12,2007,'F','N','CENTRO','STA MARIA','RS','120202201216571731458911591112610163057',5715,'9998',66.67,1,3,NULL),(20,5355540,'1954-04-03 00:00:00',2,1,12,1973,'M','N','MORRO DO CÉU','FLORIANÓPOLIS','SC','424241243223135411243643133124120815047',NULL,'264',27.25,2,1,2),(20,5355567,'1991-12-24 00:00:00',2,7,12,2008,'F','N','CENTRO','ERECHIM','RS','120221221117271431323923572125610124057',NULL,'9998',11.84,1,2,1),(20,5355575,'1992-08-03 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241215111431466612375124610122092',6786,'1022',62.30,1,3,NULL),(20,5355583,'1992-07-31 00:00:00',4,8,12,2009,'F','N','VILA ISABEL','CURITIBA','PR','116122161215111431668932345124610123127',NULL,'9998',0.00,1,3,NULL),(20,5355591,'1976-10-06 00:00:00',4,1,7,1996,'M','N','CENTRO','PALHOÇA','SC','124204206116151721125849492122343264117',NULL,'9998',0.00,1,3,NULL),(20,5355605,'1989-09-13 00:00:00',4,1,12,2007,'M','N','BELA VISTA I','S JOSÉ','SC','124242241215573451566614575112233223141',1789,'737',76.87,1,3,NULL),(20,5355613,'1985-09-23 00:00:00',4,6,12,2002,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215373411364612271122343264092',5393,'981',66.58,1,3,NULL),(20,5355621,'1992-08-15 00:00:00',2,15,12,2009,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124243241125141232517417345131610117047',NULL,'30',0.00,1,3,NULL),(20,5355630,'1992-07-04 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431469812375122610134181',NULL,'266',0.00,1,3,NULL),(20,5355648,'1982-05-26 00:00:00',4,1,12,1999,'F','N','CENTRO','PALHOÇA','SC','124242241116275431433334345124610168097',NULL,'307',0.00,1,3,NULL),(20,5355664,'1990-07-06 00:00:00',2,9,12,2007,'M','N','CENTRO','S JOAQUIM','SC','124242241217152431436934485112610167142',NULL,'1035',18.15,1,3,NULL),(20,5355672,'1990-03-29 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124242241217473741668723595115132864017',NULL,'515',47.60,1,3,NULL),(20,5355680,'1993-02-14 00:00:00',4,9,12,2010,'M','S','UNIVERSITARIO','LAGES','SC','124241241215131441436619275125610132187',NULL,'9997',22.91,1,3,NULL),(20,5355699,'1992-09-09 00:00:00',4,4,12,2009,'M','N','LA SALLE','PATO BRANCO','PR','116162161215271411459834575122610147057',5506,'9998',64.32,1,3,NULL),(20,5355710,'1991-01-17 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241211142331638739445124610123142',NULL,'1022',21.53,1,3,NULL),(20,5355729,'1990-01-29 00:00:00',2,5,12,2007,'F','N','PASSO DAREIA','PTO ALEGRE','RS','120202201211575421448632271124141027147',NULL,'9998',0.00,1,3,NULL),(20,5355737,'1993-09-12 00:00:00',2,2,12,2010,'F','S','POMERANOS','TIMBÓ','SC','124241241121161511533332572122610133142',NULL,'870',26.16,1,3,NULL),(20,5355745,'1991-10-23 00:00:00',4,4,11,2008,'M','N','RECANTO TROPICAL','CASCAVEL','PR','116163161315471432448513395112610163042',2121,'9998',76.33,1,3,NULL),(20,5355753,'1988-09-12 00:00:00',2,4,12,2005,'F','N','CENTRO','STA MARIA','RS','120242241216572711546714475124610137047',3463,'1021',72.21,1,3,NULL),(20,5355761,'1992-11-12 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243241115371512413633572124610165197',NULL,'307',27.11,2,1,2),(20,5355770,'1981-01-19 00:00:00',2,10,12,1997,'M','N','MAGALHAES','LAGUNA','SC','624241248121272431321344345113133217047',11668,'524',54.99,1,3,NULL),(20,5355800,'1987-06-24 00:00:00',4,1,11,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241217155431466614575124233243042',6641,'1016',64.61,1,3,NULL),(20,5355818,'1989-12-10 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241232372231236613595114610127042',NULL,'9999',26.11,1,3,NULL),(20,5355826,'1993-04-01 00:00:00',2,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241235111431436823432124610132052',15438,'1077',46.50,1,3,NULL),(20,5355850,'1965-06-28 00:00:00',2,1,6,1984,'M','N','KOBRASOL','S JOSÉ','SC','224242243116143731344343432132321634047',13391,'306',51.60,1,3,NULL),(20,5355877,'1992-01-20 00:00:00',2,1,12,2008,'M','N','SERRARIA','S JOSÉ','SC','124243241116472431646661575124610134052',6479,'307',63.47,1,3,NULL),(20,5355885,'1992-07-13 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','120204201137271731328513575122610132077',NULL,'9998',25.50,1,3,NULL),(20,5355893,'1989-07-05 00:00:00',2,5,12,2006,'M','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120202201216571731578832571125142447043',474,'9998',84.81,1,3,NULL),(20,5355907,'1989-07-16 00:00:00',4,8,12,2006,'M','N','JARDIM PEDREIRA','S PAULO','SP','125252251217271411323734345124610162042',NULL,'9998',0.00,1,3,NULL),(20,5355915,'1990-01-18 00:00:00',4,15,12,2007,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241117131432626614392121610162197',NULL,'29',24.67,1,2,1),(20,5355923,'1991-07-23 00:00:00',2,1,12,2008,'M','N','XAXIM','CURITIBA','PR','116162161216471431658734572114610117047',NULL,'9998',0.00,1,3,NULL),(20,5355974,'1990-05-31 00:00:00',4,1,10,2008,'M','N','LOANDA','ATIBAIA','SP','222024253534541231422521252112123222042',3190,'9998',72.20,1,3,NULL),(20,5355990,'1978-07-05 00:00:00',2,1,7,2008,'F','N','LISBOA','S JOSÉ','SC','624241247127271711321149492124610121147',NULL,'945',12.74,2,2,1),(20,5356008,'1991-02-18 00:00:00',2,4,12,2008,'M','N','CENTRO','S LOURENÇO OESTE','SC','124243241111473432336632242112610127042',NULL,'744',24.85,1,3,NULL),(20,5356016,'1977-10-31 00:00:00',2,8,12,1995,'F','N','ÁGUA VERDE','CURITIBA','PR','216262261215471741468853472124341323187',11349,'9998',53.51,4,3,NULL),(20,5356040,'1988-03-24 00:00:00',2,1,12,2005,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124251251136131411326534245114610162147',NULL,'9998',0.00,4,2,1),(20,5356075,'1991-07-15 00:00:00',2,1,12,2008,'F','N','INTERIOR','VISTA A PRATA','RS','120201201125471431644933342224242363182',11392,'9998',51.15,1,2,1),(20,5356083,'1986-05-03 00:00:00',2,1,12,2003,'M','N','CENTRO','PTO ALEGRE','RS','120201201136371411223678285124140226047',4976,'9998',66.90,1,2,1),(20,5356091,'1991-07-26 00:00:00',4,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','224241241225131431223654272324610164077',NULL,'262',28.73,1,3,NULL),(20,5356105,'1992-08-28 00:00:00',2,4,12,2009,'F','N','CENTRO','STA ROSA','RS','120201201416471741223723575124610123142',15212,'9998',47.20,1,3,NULL),(20,5356113,'1952-07-28 00:00:00',4,1,12,1969,'F','N','CENTRO','FLORIANÓPOLIS','SC','224251243127151231234343272124320563027',NULL,'9998',22.88,2,1,1),(20,5356121,'1990-01-20 00:00:00',2,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124201241626131411326724385124610137092',NULL,'967',0.00,1,3,NULL),(20,5356130,'1992-10-25 01:00:00',4,1,12,2009,'F','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124241241132141421323334393331610124145',NULL,'1088',24.54,2,2,1),(20,5356148,'1988-02-01 00:00:00',2,3,12,2005,'F','N','CENTRO','BAL CAMBORIÚ','SC','124201205126132411323724375124231036072',NULL,'9998',45.90,1,2,1),(20,5356156,'1981-06-13 00:00:00',2,1,12,1999,'M','N','CAMPINAS','S JOSÉ','SC','124161161127131421323319191123343226052',NULL,'9998',29.22,1,2,1),(20,5356172,'1992-04-16 00:00:00',4,1,12,2009,'F','N','VILA RICA','CRUZEIRO','SP','125252251217111531488814572124610132072',14574,'9998',45.99,1,3,NULL),(20,5356199,'1976-04-03 00:00:00',4,1,12,1995,'M','N','BARREIROS','S JOSÉ','SC','624242241112133431563621242123132865091',NULL,'820',0.00,1,3,NULL),(20,5356202,'1985-04-28 00:00:00',2,1,12,2003,'F','N','PRAINHA','FLORIANÓPOLIS','SC','224241241112275531226651442133610123183',13877,'281',50.60,1,3,NULL),(20,5356229,'1992-07-28 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241217111411656823592224610131182',14036,'1022',46.29,2,1,2),(20,5356237,'1981-03-28 00:00:00',4,1,12,1998,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124213213246132441255543335122610121113',14337,'9998',49.64,4,1,2),(20,5356261,'1987-09-19 00:00:00',4,1,12,2004,'F','N','VILA SÃO JOSÉ','S JOSÉ R PRETO','SP','125252251216573431326824571324610122182',4887,'9998',66.30,1,3,NULL),(20,5356270,'1991-03-19 00:00:00',2,1,11,2009,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124242241215111431458612425222610117143',NULL,'884',20.43,1,3,NULL),(20,5356288,'1990-10-17 00:00:00',2,2,12,2007,'F','N','PONTA FINA NORTE','NOVA TRENTO','SC','124241241116472431444923285112610134187',NULL,'574',0.00,1,2,1),(20,5356296,'1992-02-06 00:00:00',4,2,12,2009,'F','N','CENTRO','POMERODE','SC','124242241237121411367823575124610147052',10946,'855',52.77,1,3,NULL),(20,5356300,'1989-03-31 00:00:00',4,6,12,2006,'F','N','JARDIM DA GLÓRIA','S PAULO','SP','125252241215514131569914594124610163142',4561,'1026',69.39,1,3,NULL),(20,5356318,'1986-09-18 00:00:00',4,1,11,2004,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241117153731356663435114122862047',4756,'306',68.97,1,2,1),(20,5356326,'1991-05-18 00:00:00',4,8,12,2008,'M','N','JARDIM PETRÓPOLIS','CRUZ ALTA','RS','120201201117131231546634312335610164187',NULL,'9998',0.00,1,2,1),(20,5356342,'1985-08-16 00:00:00',2,1,11,2002,'F','N','ÁGUA VERDE','CURITIBA','PR','116252251341131411447814345222341022055',13112,'9998',52.14,1,3,NULL),(20,5356350,'1992-06-11 00:00:00',4,4,11,2009,'M','N','CENTRO','MARCELINO RAMOS','RS','120204208211111431259811575122610127042',13171,'9998',48.51,3,3,NULL),(20,5356377,'1989-03-01 00:00:00',2,1,11,2006,'F','N','VILA SANTA CATARINA','DOURADOS','MS','112121121216571731475632575122610132012',12865,'9998',50.28,1,3,NULL),(20,5356385,'1989-01-18 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241112162431646613446123132527092',6607,'307',64.69,1,2,1),(20,5356393,'1993-01-23 00:00:00',4,2,12,2009,'M','N','CENTRO','BRUSQUE','SC','124241241215121411466514245122610127122',8006,'1123',61.82,1,3,NULL),(20,5356407,'1992-09-04 00:00:00',4,1,12,2009,'M','N','SAO FRANCISCO','CPO GRANDE','MS','112122121216171731338831575122610168182',NULL,'9998',0.00,1,3,NULL),(20,5356431,'1990-04-17 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241141133431126749295124230425142',11130,'96',51.37,4,2,1),(20,5356440,'1986-11-04 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241316274431324519342124233227142',NULL,'300',0.00,1,3,NULL),(20,5356458,'1991-09-14 00:00:00',4,3,12,2008,'M','N','VILA PALMIRA','CPO GRANDE','MS','112122121216473731448831575122610168182',3065,'9998',72.41,1,3,NULL),(20,5356466,'1983-02-03 00:00:00',4,1,12,2000,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241216145711448823415124321024042',6952,'186',63.93,1,3,NULL),(20,5356482,'1990-11-14 00:00:00',4,7,12,2007,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241216573431458813591124610164147',14119,'962',50.14,1,3,NULL),(20,5356504,'1989-02-05 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241217473451567633575112220562172',9357,'1118',59.33,1,3,NULL),(20,5356520,'1987-08-17 00:00:00',4,1,12,2006,'M','N','SANTO ANTÔNIO','BELO HORIZONTE','MG','113132131216211311359811385122142664052',NULL,'9998',0.00,1,3,NULL),(20,5356539,'1992-03-05 00:00:00',4,1,11,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241115111411346611395124610137122',12954,'403',52.46,1,3,NULL),(20,5356555,'1992-10-17 00:00:00',4,4,11,2009,'M','N','FATIMA','ERECHIM','RS','120201201215111431587929574122610124057',16285,'9998',41.00,1,3,NULL),(20,5356563,'1989-07-11 00:00:00',2,15,12,2007,'M','N','CENTRO','JACINTO MACHADO','SC','124241241333151451436512243123231434182',NULL,'420',31.76,1,3,NULL),(20,5356571,'1983-08-16 00:00:00',4,4,12,2001,'M','N','PETRÓPOLIS','LAGES','SC','124241246116135411124443335121233267183',15982,'513',44.23,1,3,NULL),(20,5356580,'1992-08-27 00:00:00',4,17,12,2009,'M','N','CENTRO','ITAIÓPOLIS','SC','124241241225111331558833312122610137067',13904,'1024',46.81,1,3,NULL),(20,5356598,'1979-08-20 00:00:00',2,1,12,1997,'F','N','ARIRIU','PALHOÇA','SC','224241245126133721433854345122232317147',NULL,'158',18.44,1,2,1),(20,5356601,'1992-11-05 00:00:00',2,4,12,2009,'F','N','CENTRO','CEL VIVIDA','PR','116161161116271431428615195124610133147',NULL,'9998',0.00,1,2,1),(20,5356610,'1986-05-17 00:00:00',4,1,12,2004,'M','N','INGLESES','FLORIANÓPOLIS','SC','124131131117271731327813475214610167016',12355,'9998',53.66,1,2,1),(20,5356628,'1989-02-05 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241217473451567633575112220562172',9218,'1118',59.58,1,3,NULL),(20,5356644,'1978-05-29 00:00:00',2,1,9,1999,'M','N','JOSE MENDES','FLORIANÓPOLIS','SC','224241247147131511534633246314610114047',NULL,'263',25.81,2,1,1),(20,5356652,'1982-09-04 00:00:00',4,8,12,1999,'F','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116162161216371431378812411122342062097',NULL,'9998',0.00,1,3,NULL),(20,5356660,'1990-03-28 00:00:00',4,1,12,2007,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241116472411424329345124610122187',NULL,'733',28.88,1,2,1),(20,5356679,'1992-03-12 00:00:00',4,9,12,2009,'M','N','BELA VISTA','BOM RETIRO','SC','124241241147161221636519275121610137057',NULL,'95',17.62,1,2,1),(20,5356687,'1989-03-23 00:00:00',4,5,6,2007,'M','N','CENTRO','CRICIÚMA','SC','124242246217151411356923445124132032185',NULL,'995',24.43,1,3,NULL),(20,5356695,'1983-10-02 00:00:00',3,1,12,2002,'M','N','ÁGUA VERDE','CURITIBA','PR','116163161441271721548811395122610123027',NULL,'9998',39.09,1,3,NULL),(20,5356741,'1990-10-09 00:00:00',4,1,12,2007,'F','N','CENTRO','BAGÉ','RS','120202201216371451426923435115141338187',NULL,'9998',0.00,1,3,NULL),(20,5356768,'1989-04-06 00:00:00',4,1,12,2006,'M','N','SETOR JAÓ','GOIÂNIA','GO','109094091217571411479713472122113264042',NULL,'9998',0.00,1,3,NULL),(20,5356776,'1991-08-02 00:00:00',4,9,12,2008,'F','N','SAG CORAÇÃO DE JESUS','LAGES','SC','124242241216474451449931595112610162142',NULL,'497',0.00,1,3,NULL),(20,5356784,'1988-02-20 00:00:00',4,1,12,2007,'M','N','CASACATA','PTO ALEGRE','RS','120284207441111421336611345112140231155',NULL,'9998',33.96,1,3,NULL),(20,5356792,'1978-09-12 00:00:00',4,1,12,1998,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124204203226131431128641315222143238117',NULL,'9998',12.78,1,3,NULL),(20,5356806,'1983-03-25 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241217135231237744445135610131067',10763,'515',56.74,1,3,NULL),(20,5356830,'1988-01-03 00:00:00',4,1,12,2006,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241415273411323321245124610125152',7091,'269',63.64,4,3,NULL),(20,5356865,'1987-09-14 00:00:00',2,6,12,2004,'F','N','BOQUEIRÃO','CURITIBA','PR','116163161216573731558613495122610132147',6071,'9998',65.84,1,3,NULL),(20,5356873,'1991-12-30 00:00:00',4,6,12,2009,'F','N','RIO DO OURO','CARAGUATATUBA','SP','125251251116271421425341242121610143077',NULL,'9998',23.50,2,2,1),(20,5356881,'1989-10-31 00:00:00',4,1,12,2007,'M','N','CENTRO','PALHOÇA','SC','124242241417273431438923445124610127182',15804,'1011',45.06,1,3,NULL),(20,5356890,'1994-02-09 00:00:00',2,1,12,2010,'F','S','CARIANOS','FLORIANÓPOLIS','SC','124242241217111532348713235124610115141',NULL,'1022',28.71,1,3,NULL),(20,5356903,'1989-08-07 00:00:00',2,7,12,2009,'M','N','CENTRO','CAPINZAL','SC','124242248214361731448931452122610118091',NULL,'155',17.69,1,3,NULL),(20,5356911,'1992-10-13 00:00:00',4,4,12,2009,'F','N','SÃO JUDAS','DOIS VIZINHOS','PR','116161161116131411223624245124610136177',NULL,'9998',27.10,4,2,1),(20,5356920,'1991-01-12 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241115372431423634572124610164012',10471,'257',56.35,4,2,1),(20,5356938,'1991-03-10 00:00:00',4,1,11,2008,'M','N','UNIVERSITÁRIO','CPO GRANDE','MS','112222141437471431488811575112610136012',NULL,'9998',34.04,1,3,NULL),(20,5356946,'1987-10-15 00:00:00',2,1,11,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216145421524615495122233224147',14699,'720',48.73,1,3,NULL),(20,5356954,'1991-02-07 00:00:00',4,4,12,2008,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162161215272412576612575112141457042',2679,'9998',73.35,1,3,NULL),(20,5356962,'1984-12-11 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201201117131431236644342314610144053',NULL,'9998',23.37,1,3,NULL),(20,5356970,'1983-06-21 00:00:00',2,1,11,2001,'M','N','JARDIM CIDADE','S JOSÉ','SC','124244241131134421444414441114610167063',NULL,'257',23.73,1,3,NULL),(20,5356989,'1987-02-11 00:00:00',4,1,5,2008,'M','N','BAIRRO IPIRANGA','S JOSÉ','SC','124201207116151411326344341334143234042',NULL,'9998',22.13,4,3,NULL),(20,5357004,'1991-02-12 00:00:00',2,7,12,2008,'F','N','LIBERDADE','CONCÓRDIA','SC','124241241111471431336679441114610142142',NULL,'192',22.04,1,2,1),(20,5357012,'1986-02-26 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241112373441428657342114610124047',NULL,'298',47.89,2,1,1),(20,5357020,'1992-08-28 00:00:00',4,5,12,2009,'M','N','SÃO CRISTOVAM','TURVO','SC','124241248145141432345314345111610127052',NULL,'814',19.74,1,2,1),(20,5357039,'1983-11-03 00:00:00',4,1,12,2001,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242241216132411356633335122431012042',NULL,'270',33.84,1,3,NULL),(20,5357047,'1987-12-21 00:00:00',4,8,12,2006,'M','N','GLÓRIA','JOINVILLE','SC','124242247116142431436622345122133222092',NULL,'487',26.16,1,3,NULL),(20,5357063,'1981-09-05 00:00:00',4,1,12,1998,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124252251416133411128643432324333244021',9868,'9998',58.42,1,3,NULL),(20,5357071,'1992-07-10 00:00:00',4,1,12,2009,'M','N','RIBANCEIRA','IMBITUBA','SC','124241241116161431226823395124610118047',NULL,'358',16.95,1,3,NULL),(20,5357080,'1982-04-01 00:00:00',5,5,11,2000,'M','N','SANTA CRUZ','FORQUILHINHA','SC','224244246216151421236944445122333222041',NULL,'230',0.00,1,3,NULL),(20,5357098,'1992-04-25 00:00:00',4,3,11,2009,'F','N','JOSÉ BONIFÁCIO','ERECHIM','RS','120202201211151431369811575122610126152',10705,'9998',53.31,1,3,NULL),(20,5357110,'1978-06-25 00:00:00',2,1,10,1997,'M','N','IPIRANGA','S JOSÉ','SC','624161167126131421236644345124130722017',NULL,'9998',40.99,1,2,1),(20,5357128,'1980-01-07 00:00:00',2,1,12,1999,'F','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','224161163126131321523544145234140212041',NULL,'9998',0.00,4,2,1),(20,5357136,'1989-07-02 00:00:00',2,1,6,2009,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243247246274421337723485122130214057',14053,'9999',50.29,4,3,NULL),(20,5357144,'1987-06-30 00:00:00',4,1,12,2004,'F','N','CENTRO','ALEGRIA','RS','120201201432572751556911575122610167052',NULL,'9998',0.00,1,3,NULL),(20,5357179,'1991-04-16 00:00:00',4,1,12,2008,'F','N','ROÇADO','S JOSÉ','SC','124242241215312731368619575122610144192',7139,'270',61.90,1,3,NULL),(20,5357187,'1989-07-04 00:00:00',4,1,12,2006,'M','N','VILA ÁUREA','POÁ','SP','125252251216572411456631575112610124082',NULL,'9998',43.21,1,3,NULL),(20,5357209,'1986-09-29 00:00:00',2,1,12,2006,'F','N','FORQUILHAS','S JOSÉ','SC','124241241146274731623119375123610127182',NULL,'307',21.17,1,2,1),(20,5357217,'1990-12-15 00:00:00',4,5,12,2008,'F','N','FLORESTA','PTO ALEGRE','RS','120202201217471751447712591122610164147',3049,'9998',71.78,1,3,NULL),(20,5357225,'1992-02-21 00:00:00',4,1,12,2009,'M','N','CASA NOVA','ARAÇATUBA','SP','125252251217111431346619575122610164047',7265,'9998',60.32,1,3,NULL),(20,5357233,'1992-05-29 00:00:00',4,2,11,2009,'M','N','PASSO MANSO','BLUMENAU','SC','124243246212111232436511215124331417077',NULL,'1018',0.00,1,3,NULL),(20,5357241,'1993-03-15 00:00:00',4,6,12,2009,'M','N','ESQUINA GERTZ','SEN SALGADO FILHO','RS','120201201121171431223316571321610147042',NULL,'9998',20.79,1,2,1),(20,5357276,'1985-06-15 00:00:00',2,7,6,2005,'M','N','SAO FRANCISCO','LUZERNA','SC','124241241146131731223329395314610127057',NULL,'539',21.02,1,2,1),(20,5357284,'1992-03-10 00:00:00',4,4,11,2009,'F','N','JARDIM DAS AMÉRICAS','PATO BRANCO','PR','116162161217271331444632575122610162017',4637,'9998',67.51,1,3,NULL),(20,5357292,'1992-04-07 00:00:00',2,8,12,2009,'F','N','VILA LENZI','JARAGUÁ SUL','SC','124241241135141331526611315121610123187',NULL,'890',26.80,1,2,1),(20,5357306,'1992-03-22 00:00:00',2,1,12,2009,'M','N','UVARANAS','PNT GROSSA','PR','116164161217111442269923575124610112057',NULL,'9998',32.75,1,3,NULL),(20,5357314,'1993-02-09 00:00:00',4,2,12,2010,'F','S','PONTA AGUDA','BLUMENAU','SC','124242241215111711458819572122610124197',NULL,'909',57.85,1,3,NULL),(20,5357322,'1987-04-18 00:00:00',4,1,12,2004,'F','N','AREIAS','S JOSÉ','SC','124241241116232431125548385123130266097',NULL,'734',11.35,4,2,1),(20,5357330,'1980-12-06 00:00:00',2,1,12,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201201122272421121144242334610122147',NULL,'9998',24.39,3,2,1),(20,5357357,'1990-08-23 00:00:00',4,1,12,2009,'M','N','ALTO RIBEIRÃO','FLORIANÓPOLIS','SC','124241241116131231465413575124610128142',NULL,'278',21.84,1,3,NULL),(20,5357365,'1992-01-29 00:00:00',4,9,12,2008,'M','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120202201217271311238811372121610115157',NULL,'211',0.00,1,3,NULL),(20,5357381,'1991-12-13 00:00:00',4,8,12,2008,'M','N','ZONA SETE','MARINGÁ','PR','116162161215371231447923575112610147043',NULL,'9998',42.48,1,3,NULL),(20,5357390,'1991-01-19 00:00:00',2,1,12,2008,'M','N','JARDIM AMÉRICA','CAXIAS SUL','RS','120202201215472431453339576122141444092',7795,'9998',62.23,1,3,NULL),(20,5357411,'1963-11-14 00:00:00',2,1,12,2000,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','524241247116471412624443335224610163192',NULL,'9999',26.14,1,2,1),(20,5357438,'1991-04-18 00:00:00',2,1,12,2009,'M','N','CENTRO','BOM JD SERRA','SC','124241242147161431426615345122610137057',NULL,'903',0.00,1,2,1),(20,5357454,'1982-10-26 00:00:00',2,1,11,2009,'M','N','VILA ALVORADA','IMBITUBA','SC','224252247146371451438942225122610167187',NULL,'9999',29.08,1,3,NULL),(20,5357462,'1991-10-26 00:00:00',4,8,12,2009,'F','N','FLORESTA','JOINVILLE','SC','124242241215111411644811571222610145076',8136,'1016',59.22,1,3,NULL),(20,5357470,'1991-09-14 00:00:00',4,9,12,2008,'F','N','CENTRO','FARROUPILHA','RS','120202201216571431326617572124610157142',336,'9998',86.12,1,3,NULL),(20,5357500,'1990-06-29 00:00:00',2,15,12,2008,'M','N','CENTRO','MORRINHOS SUL','RS','120201201135371731433434375223610167057',NULL,'9998',30.99,1,2,1),(20,5357519,'1992-07-28 00:00:00',4,6,12,2010,'F','S','CENTRO','BAL CAMBORIÚ','SC','124242241217151731547522572125610148185',NULL,'1038',0.00,1,3,NULL),(20,5357527,'1989-08-19 00:00:00',4,1,12,2006,'F','N','CENTRO','RIO CLARO','SP','125252251215571411339831591125610134012',14658,'9998',48.84,4,3,NULL),(20,5357586,'1980-03-17 00:00:00',2,15,11,1999,'M','N','CENTRO','MELEIRO','SC','224241248127131751331114345122610112197',NULL,'558',14.61,1,3,NULL),(20,5357594,'1992-06-21 00:00:00',2,1,12,2009,'M','N','MAGALHÃES','LAGUNA','SC','124242241225111431645512342122610137042',NULL,'524',24.66,1,3,NULL),(20,5357608,'1989-03-05 00:00:00',2,1,3,2007,'F','N','FRAGATA','PELOTAS','RS','120202206116571751557611485124610165052',NULL,'9998',21.74,1,3,NULL),(20,5357616,'1992-07-05 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124162241215371331357722375112610123017',13393,'44',48.93,1,3,NULL),(20,5357624,'1988-07-12 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241131111721535764232134610112055',NULL,'734',16.40,1,3,NULL),(20,5357640,'1992-07-06 00:00:00',2,9,12,2009,'F','N','SÃO SEBASTIÃO','CAMPOS NOVOS','SC','124241241217111431436616575124610127147',NULL,'499',24.76,1,3,NULL),(20,5357659,'1979-07-25 00:00:00',4,1,12,1997,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241112134431213651472122323062077',5594,'192',65.52,1,2,1),(20,5357667,'1989-06-13 00:00:00',4,8,12,2006,'M','N','ZONA SETE','MARINGÁ','PR','116162161214371511467923575112140762045',7950,'9998',58.39,1,3,NULL),(20,5357675,'1992-07-29 00:00:00',4,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241225111231524431112214610114192',9834,'262',55.56,1,3,NULL),(20,5357683,'1993-05-15 00:00:00',4,10,11,2010,'F','S','OFICINAS','TUBARÃO','SC','124242241214161431448919392122610126052',NULL,'806',48.38,1,3,NULL),(20,5357691,'1992-07-01 00:00:00',4,1,12,2009,'F','N','RIO FARIAS','ANTÔNIO CARLOS','SC','124241241117161411543415572322610131097',NULL,'21',0.00,1,2,1),(20,5357705,'1989-02-01 00:00:00',4,8,12,2006,'F','N','NOVO MUNDO','CURITIBA','PR','116162161215572711247824571124610165197',4605,'9998',66.94,3,3,NULL),(20,5357713,'1990-07-05 00:00:00',2,5,12,2007,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120203201217471431458613235122142532117',NULL,'9998',0.00,1,3,NULL),(20,5357721,'1993-01-17 00:00:00',4,2,12,2010,'F','S','ITOUPAVA SECA','BLUMENAU','SC','124243241212111431658832575124610127092',NULL,'88',44.83,4,3,NULL),(20,5357748,'1992-12-27 00:00:00',2,5,12,2009,'F','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124242241215111732558612572122610124182',15739,'226',41.90,1,3,NULL),(20,5357756,'1992-11-06 00:00:00',2,1,11,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','224241241217121231443633572124610137062',NULL,'1023',26.65,1,3,NULL),(20,5357764,'1983-11-11 00:00:00',4,15,11,2001,'M','N','DIVINEIA','ARARANGUÁ','SC','124241241126141711345559495132333248181',NULL,'30',19.64,1,2,1),(20,5357772,'1978-08-08 00:00:00',4,1,12,1997,'F','N','CENTRO','PANAMBI','RS','120203201116132752346632241134342046147',NULL,'9998',43.73,1,3,NULL),(20,5357799,'1992-11-21 00:00:00',4,1,11,2009,'M','N','NOVA SUIÇA','GOIÂNIA','GO','109092281216371431478834575122610162042',4077,'9998',70.65,1,3,NULL),(20,5357802,'1992-05-14 00:00:00',2,1,12,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124243241115272431434313575124610122192',NULL,'307',45.79,1,3,NULL),(20,5357845,'1993-02-13 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215113431677511571324610117115',8842,'1022',57.30,1,3,NULL),(20,5357853,'1983-11-17 00:00:00',2,1,7,2002,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241247446575431478619395124221328042',3070,'9997',71.77,1,3,NULL),(20,5357861,'1988-04-24 00:00:00',2,15,12,2007,'M','N','IGRA NORTE','TORRES','RS','120201201117131431423411315121142327041',NULL,'9998',19.34,1,2,1),(20,5357870,'1992-02-18 00:00:00',4,8,12,2009,'F','N','MORRO DO MEIO','JOINVILLE','SC','124241241116471431647634275124610134142',11439,'479',52.59,1,3,NULL),(20,5357888,'1992-06-08 00:00:00',2,1,12,2009,'M','N','ERICA','PANAMBI','RS','120201201117151431656832311222610166072',12036,'9998',54.32,1,3,NULL),(20,5357896,'1992-05-24 00:00:00',4,10,12,2009,'M','N','BRAÇO ESQUERDO','GR PARÁ','SC','124241241115161451623415572224610164147',NULL,'330',30.58,1,2,1),(20,5357900,'1993-09-14 00:00:00',1,8,12,2009,'F','N','PETRÓPOLIS','JOINVILLE','SC','124241241215271431424314275224610135147',4049,'1105',68.32,1,3,NULL),(20,5357926,'1992-01-26 00:00:00',4,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124242241215373431558812575124610144047',1112,'1011',80.69,1,3,NULL),(20,5357934,'1983-10-24 00:00:00',4,1,12,2000,'F','N','ALTO DE PINHEIROS','S PAULO','SP','125161161136371731169941215124322022187',3362,'9998',72.46,1,2,1),(20,5357942,'1985-01-22 00:00:00',4,1,12,2002,'M','N','ARRAIAL DA AJUDA','PTO SEGURO','BA','105052051217575411578832495125240234092',16057,'9998',43.71,4,3,NULL),(20,5357950,'1991-08-22 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201247346371431117544345234610122197',NULL,'9999',26.06,1,3,NULL),(20,5357969,'1982-12-30 00:00:00',2,1,12,2000,'F','N','VILA MOEMA','TUBARÃO','SC','124241241122143421437544345124121923051',NULL,'772',0.00,1,2,1),(20,5357977,'1992-01-20 00:00:00',4,1,11,2009,'M','N','BUENO','GOIÂNIA','GO','109092091216151431468834575122610162042',NULL,'9998',0.00,1,3,NULL),(20,5357993,'1986-06-21 00:00:00',2,2,6,2007,'F','N','VORSTADT','BLUMENAU','SC','124241241114132431636679342234130624097',NULL,'69',24.97,1,2,1),(20,5358000,'1991-01-01 00:00:00',4,1,12,2008,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091212211751334545595134610167173',2580,'9998',74.10,3,3,NULL),(20,5358019,'1992-03-03 00:00:00',4,1,12,2009,'M','N','CENTRO','CARAZINHO','RS','120202201217111431476611572112610144142',9396,'9998',55.50,1,3,NULL),(20,5358035,'1987-07-15 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216474431436611575114130227042',2485,'932',74.97,1,3,NULL),(20,5358043,'1992-02-26 00:00:00',2,9,12,2009,'F','N','CENTRO','URUBICI','SC','124242241215161431425923242122610131142',NULL,'817',30.87,1,3,NULL),(20,5358051,'1993-09-05 00:00:00',4,1,2,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431366614575122610114125',15889,'270',44.67,1,3,NULL),(20,5358060,'1990-02-06 00:00:00',4,1,12,2008,'M','N','CAMPO BELO','S PAULO','SP','125252251216471431488812575122610167053',NULL,'9998',14.46,1,3,NULL),(20,5358078,'1991-09-10 00:00:00',4,10,12,2008,'M','N','VILA NOVA','IMBITUBA','SC','124241241112131431224623575124610167072',NULL,'359',0.00,1,2,1),(20,5358086,'1992-04-17 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124201241216121431358813575124610127042',15402,'272',43.89,1,3,NULL),(20,5358116,'1992-03-13 00:00:00',4,1,12,2009,'M','N','TRINTA RÉIS','NOVA TRENTO','SC','124241241437161751443614345121610167047',9379,'574',55.97,1,3,NULL),(20,5358132,'1990-01-05 00:00:00',4,1,11,2007,'F','N','BUENO','GOIÂNIA','GO','109092091216572431478834575122610162182',NULL,'9998',0.00,1,3,NULL),(20,5358140,'1992-09-04 00:00:00',2,10,12,2009,'F','N','CENTRO','S LUDGERO','SC','124242241215272431538334575122610127012',NULL,'950',20.83,1,3,NULL),(20,5358159,'1989-10-03 00:00:00',2,6,12,2005,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241416151441118549294125130625097',8573,'1039',60.80,1,3,NULL),(20,5358167,'1992-10-02 00:00:00',4,4,12,2009,'M','N','CENTRO','HUMAITÁ','RS','120203201116161331334514272122610127052',NULL,'9998',25.39,1,3,NULL),(20,5358175,'1989-11-01 00:00:00',4,1,11,2007,'F','N','L V NOVA COM UNIVERS','GOIÂNIA','GO','109092091216572431468814575122610162182',NULL,'9998',21.04,1,3,NULL),(20,5358191,'1992-06-23 00:00:00',4,1,12,2009,'M','N','CENTRO','GAROPABA','SC','124241241127131411337733582111610137127',NULL,'322',0.00,1,2,1),(20,5358213,'1991-05-10 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241115271411564623435124610164072',NULL,'257',29.91,1,3,NULL),(20,5358221,'1988-11-29 00:00:00',2,1,10,2006,'F','N','BARREIROS','S JOSÉ','SC','124241241111272431623514281224610113072',NULL,'733',20.33,1,2,1),(20,5358230,'1991-10-17 00:00:00',4,1,11,2009,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215121531488813575122610132015',15972,'273',44.27,1,3,NULL),(20,5358248,'1991-01-06 00:00:00',4,1,12,2008,'M','N','CORRÉGO GRANDE','FLORIANÓPOLIS','SC','124242251216472432537819575114610164042',7549,'9998',60.03,1,3,NULL),(20,5358264,'1991-08-22 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241415121431336732575122610147112',NULL,'1038',24.90,1,3,NULL),(20,5358280,'1991-03-13 00:00:00',2,1,12,2008,'F','N','VILA CARVALHO','CPO GRANDE','MS','112122121215471431553823575122610162142',NULL,'9998',0.00,1,3,NULL),(20,5358310,'1991-04-28 00:00:00',2,6,12,2008,'F','N','NOSSA SENHORA PAZ','BAL PIÇARRAS','SC','124241241136141431536813375112610133097',NULL,'614',16.31,2,2,1),(20,5358329,'1992-03-18 00:00:00',4,15,12,2008,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241116151431533611245224230728057',NULL,'30',0.00,1,3,NULL),(20,5358337,'1988-02-08 00:00:00',2,1,12,2006,'F','N','BOTAFOGO','BENTO GONÇALVES','RS','120201201315373431556613475124610163147',NULL,'9998',29.34,1,3,NULL),(20,5358353,'1992-04-15 00:00:00',2,5,12,2009,'F','N','BARRO VERMELHO','ORLEANS','SC','124241241117271431338912322122610123152',NULL,'580',30.87,1,2,1),(20,5358361,'1987-05-15 00:00:00',4,15,12,2004,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241117141431546814245132230764142',NULL,'29',21.64,1,2,1),(20,5358370,'1984-03-04 00:00:00',2,8,12,2002,'M','N','PARQUE GUARANI','JOINVILLE','SC','124241247212163431424421242324233227047',NULL,'958',27.48,1,3,NULL),(20,5358388,'1991-11-06 00:00:00',2,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241117152231536613175114610164017',16138,'267',43.17,1,2,1),(20,5358396,'1991-08-14 00:00:00',4,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241127141421636614345124612717142',NULL,'1097',15.32,4,2,1),(20,5358400,'1966-07-01 00:00:00',2,1,12,2002,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224241241123163411423354273324610136147',NULL,'281',0.00,1,3,NULL),(20,5358418,'1991-04-20 00:00:00',4,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215113431458812572112610124125',10448,'270',56.87,1,3,NULL),(20,5358426,'1986-10-18 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124252247237152731368419215122610128185',NULL,'9999',0.00,4,3,NULL),(20,5358434,'1991-03-14 00:00:00',4,1,12,2009,'M','N','CENTRO','CPO GRANDE','MS','112123121115111431468633575114610167042',10200,'9998',54.86,4,3,NULL),(20,5358442,'1992-08-14 00:00:00',4,6,12,2010,'M','S','JARDIM PRAIAMAR','ITAPEMA','SC','124242241217111431336839595124610122112',NULL,'392',24.53,1,3,NULL),(20,5358450,'1991-07-09 00:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241216472411537912375124610132132',12097,'951',52.69,1,3,NULL),(20,5358469,'1991-01-11 00:00:00',4,3,12,2008,'F','N','JD PRESIDENTE KENNED','APUCARANA','PR','116162161215411431469933574112610163143',NULL,'9998',0.00,1,3,NULL),(20,5358477,'1991-04-18 00:00:00',4,3,12,2009,'M','N','CENTRO','ARAPONGAS','PR','116162161237131311445512372121610146057',NULL,'9998',0.00,1,3,NULL),(20,5358485,'1987-02-10 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124202201137231211516621385115610162197',NULL,'9998',31.92,1,3,NULL),(20,5358507,'1988-06-20 00:00:00',4,15,12,2005,'M','N','CENTRO','BAL ARROIO SILVA','SC','120202241316131731333419335125340566175',13382,'980',51.61,1,3,NULL),(20,5358515,'1993-08-28 00:00:00',2,5,10,2010,'F','S','VILA FLORESTA I','CRICIÚMA','SC','124243241215271711337824375124610134012',NULL,'226',62.27,1,3,NULL),(20,5358523,'1992-01-13 00:00:00',4,5,11,2009,'M','N','MILANESE','CRICIÚMA','SC','124242241216111431568933375125610162172',NULL,'1096',26.86,1,3,NULL),(20,5358531,'1986-12-26 00:00:00',4,1,12,2004,'F','N','SAPOPEMBA','S PAULO','SP','125251251137131731538819241124343227047',NULL,'9998',0.00,1,2,1),(20,5358540,'1992-12-20 00:00:00',4,4,11,2009,'F','N','CENTRO','PARANATINGA','MT','111112111237111531366622571122610164077',NULL,'9998',0.00,1,3,NULL),(20,5358558,'1991-05-13 00:00:00',4,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','224241241135271311536631442224610153117',NULL,'1088',18.88,1,3,NULL),(20,5358566,'1993-05-17 00:00:00',4,1,12,2010,'M','S','SOLLAGE','IMBITUBA','SC','124242241215151531556631595122610167052',NULL,'362',50.06,1,3,NULL),(20,5358574,'1992-02-20 00:00:00',2,1,12,2009,'M','N','ARIRIÚ DA FORMIGA','PALHOÇA','SC','124242241215111431546933575114610117047',NULL,'1011',0.00,1,3,NULL),(20,5358590,'1993-07-07 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241217111531678931575112610164197',8465,'1022',58.68,1,3,NULL),(20,5358604,'1990-02-22 00:00:00',2,6,12,2007,'F','N','LAR PARANÁ','CPO MOURÃO','PR','116164161114571411438513371225610163142',2929,'9998',72.88,1,3,NULL),(20,5358612,'1989-04-29 00:00:00',2,4,12,2006,'F','N','PRESIDENTE KENNEDY','FRANCISCO BELTRÃO','PR','116161161117132751324471492235610164092',NULL,'9998',27.62,1,3,NULL),(20,5358620,'1988-03-21 00:00:00',4,1,12,2005,'F','N','SANTO ANDRÉ','S LEOPOLDO','RS','120202201217571411338818575125142437012',8199,'9998',58.90,1,3,NULL),(20,5358639,'1990-10-15 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241122133431334419342114610117042',NULL,'290',24.37,1,2,1),(20,5358647,'1991-06-07 00:00:00',4,9,11,2008,'M','N','UNIVERSITÁRIO','LAGES','SC','124242241212472431558811572245610167042',14785,'497',46.26,1,3,NULL),(20,5358655,'1985-10-03 00:00:00',2,1,12,2005,'M','N','SETOR BUENO','GOIÂNIA','GO','109092095236131441631322335124141047184',NULL,'9998',24.60,4,3,NULL),(20,5358663,'1975-08-04 00:00:00',4,1,12,1993,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','224242241216272431336851315124121134033',NULL,'9997',27.69,1,3,NULL),(20,5358680,'1984-06-04 00:00:00',4,6,12,2001,'F','N','FAZENDA','ITAJAÍ','SC','124242241216153411444869445125321422092',9976,'270',58.19,1,3,NULL),(20,5358698,'1991-06-28 00:00:00',2,4,12,2008,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161215471431359932572112610161182',NULL,'9998',0.00,1,3,NULL),(20,5358710,'1990-02-08 00:00:00',2,1,11,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241112273441636631142124610144187',12005,'288',53.19,1,2,1),(20,5358736,'1993-07-07 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241217111431378831575112610164197',5195,'1022',66.76,1,3,NULL),(20,5358744,'1991-12-09 00:00:00',2,3,7,2009,'M','N','PEREQUÊ','PTO BELO','SC','124242247215361431468931575122610137042',NULL,'9999',0.00,1,3,NULL),(20,5358752,'1990-06-10 00:00:00',4,1,12,2007,'M','N','VILA MONTEIRO','FRANCA','SP','125253251216471431346619175122610144092',6493,'9998',62.43,1,3,NULL),(20,5358779,'1993-03-18 00:00:00',2,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124241241115471751324629572224610168147',15847,'591',42.73,4,2,1),(20,5358787,'1985-04-24 00:00:00',2,1,12,2005,'M','N','COSTEIRA DO PIRAJUAÉ','FLORIANÓPOLIS','SC','124201201147131421326644445123610117182',NULL,'9998',30.91,1,2,1),(20,5358795,'1963-02-04 00:00:00',2,15,12,1981,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','624241243222132421433141212132333212147',NULL,'31',18.14,4,3,NULL),(20,5358809,'1985-01-20 00:00:00',2,1,6,2003,'M','N','PACHECOS','PALHOÇA','SC','124241241126134711123544345334610137187',NULL,'275',39.80,4,2,1),(20,5358817,'1993-01-02 00:00:00',2,15,12,2009,'F','N','CENTRO','BAL GAIVOTA','SC','124241241211131431423431211124610121147',NULL,'770',25.37,1,3,NULL),(20,5358825,'1991-12-18 00:00:00',2,6,12,2008,'F','N','SÃO PEDRO','GUABIRUBA','SC','124241241127141711436314242211610137117',NULL,'924',24.81,1,2,1),(20,5358833,'1990-03-29 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116373431336612375124221427092',NULL,'239',0.00,4,2,1),(20,5358841,'1993-03-31 00:00:00',4,15,12,2009,'M','N','BEATRIZ','MARACAJÁ','SC','124241241116131432434719395122610117041',NULL,'550',19.18,1,2,1),(20,5358850,'1994-04-14 00:00:00',4,4,12,2010,'F','S','CENTRO','CHAPECÓ','SC','124241241117151431466833595122610127092',NULL,'185',49.38,1,3,NULL),(20,5358868,'1992-09-02 00:00:00',4,4,12,2009,'F','N','CENTRO','S LUIZ GONZAGA','RS','120202201315371431228821572325610132144',NULL,'9998',0.00,1,3,NULL),(20,5358876,'1986-01-01 00:00:00',4,3,11,2003,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241211575231349923475125231467187',6060,'44',65.87,1,3,NULL),(20,5358884,'1982-08-04 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201201126132441534573231224233265177',15688,'9998',45.56,4,2,1),(20,5358906,'1992-10-20 00:00:00',2,10,11,2009,'M','N','TRAVESSÃO','GRAVATAL','SC','124241241136141111446633345122610117117',NULL,'332',22.65,1,3,NULL),(20,5358930,'1990-07-18 00:00:00',2,1,12,2007,'F','N','SANTANA','S PAULO','SP','125252251216471431337722372115610141127',NULL,'9998',0.00,1,3,NULL),(20,5358957,'1986-08-22 00:00:00',4,8,12,2003,'M','N','CENTRO','CURITIBA','PR','116161161415571451448713575125141524047',1634,'9998',78.32,1,3,NULL),(20,5358965,'1991-01-24 00:00:00',2,1,11,2008,'F','N','GLÓRIA','IJUÍ','RS','120203201217232431433434241334610134047',NULL,'9998',40.68,1,3,NULL),(20,5358973,'1991-02-25 00:00:00',4,1,12,2008,'M','N','JARDIM ACLIMAÇÃO','S JOSÉ R PRETO','SP','125252251234471431458812571122610122052',NULL,'9998',0.00,1,3,NULL),(20,5358981,'1992-04-28 00:00:00',4,16,12,2009,'F','N','SÃO LUIZ','CURITIBANOS','SC','124241241115271421436313585122610127142',NULL,'239',18.59,1,3,NULL),(20,5358990,'1989-05-08 00:00:00',4,1,12,2006,'F','N','CENTRO','SARANDI','RS','120203201115571431334623272124610133147',NULL,'9998',17.42,1,3,NULL),(20,5359007,'1990-05-16 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','116162161215572431467731575122610167082',7131,'9998',62.78,1,3,NULL),(20,5359023,'1991-07-15 00:00:00',4,4,11,2008,'M','N','ZONA I','UMUARAMA','PR','116162161216411411679931575112610137127',4489,'9998',67.50,1,3,NULL),(20,5359031,'1992-07-25 00:00:00',2,2,12,2009,'F','N','FIGUEIRA','GASPAR','SC','124243241136141431434354145124610135142',NULL,'325',0.00,1,3,NULL),(20,5359058,'1992-09-09 00:00:00',4,6,12,2009,'F','N','CENTRO','PTO BELO','SC','124241241145161431334414572122610137147',NULL,'630',18.64,1,2,1),(20,5359066,'1993-04-30 00:00:00',2,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241215111431558614592125610124147',NULL,'983',28.81,1,3,NULL),(20,5359074,'1993-10-03 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124242241215111331337931315122610134192',9535,'497',56.81,1,3,NULL),(20,5359082,'1991-08-23 00:00:00',4,5,12,2009,'M','N','CENTRO','TORRES','RS','120201201117271431326721375121610144187',NULL,'9998',0.00,1,2,1),(20,5359090,'1988-04-17 00:00:00',2,5,12,1995,'F','N','RIO BRANCO','PTO ALEGRE','RS','120201201115571431563514571115610163097',5340,'9998',64.81,1,2,1),(20,5359104,'1989-03-23 00:00:00',4,1,12,2006,'F','N','JARDIM PAULISTA','MOGI MIRIM','SP','125252251215471431548833575122610122092',NULL,'9998',0.00,1,3,NULL),(20,5359112,'1991-01-21 00:00:00',4,1,12,2008,'F','N','VILA MARIANA','S PAULO','SP','125254251415271431459732575125610123017',1442,'9998',78.53,1,3,NULL),(20,5359120,'1983-06-07 00:00:00',2,16,12,2001,'F','N','AGUA SANTA','CURITIBANOS','SC','624241241141131711322654242324610114041',NULL,'240',27.89,1,3,NULL),(20,5359139,'1992-04-08 00:00:00',4,8,12,2009,'M','N','JARDIM SOCIAL','CURITIBA','PR','116162161215111431338812595122610167017',12212,'9998',50.53,1,3,NULL),(20,5359147,'1993-04-25 00:00:00',4,1,12,2010,'M','S','PANTANAL','FLORIANÓPOLIS','SC','124242241215111731479911575124610122145',NULL,'272',47.08,1,3,NULL),(20,5359155,'1989-10-07 00:00:00',4,1,12,2006,'F','N','VILA NOVA','NOVO HAMBURGO','RS','120201201136151441323823283324243241177',NULL,'9998',0.00,1,3,NULL),(20,5359163,'1987-08-07 00:00:00',2,1,12,2004,'F','N','BREJARU','PALHOÇA','SC','124241241112134411123344242124610131147',NULL,'978',0.00,1,2,1),(20,5359171,'1991-08-30 00:00:00',4,5,12,2008,'F','N','RIO BRANCO','PTO ALEGRE','RS','120202201235471431468913571122610166182',NULL,'9998',0.00,1,3,NULL),(20,5359198,'1991-01-13 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241147141731546411245124610138077',NULL,'296',43.00,1,2,1),(20,5359201,'1992-11-10 00:00:00',4,6,12,2009,'F','N','PANORAMA','FOZ IGUAÇU','PR','116162161216211431558833575122610122187',12000,'9998',50.73,4,1,2),(20,5359210,'1992-08-23 00:00:00',4,1,11,2009,'M','N','JORDÃO','GOV CELSO RAMOS','SC','124244241215162431436611375124610137112',4468,'1118',69.62,1,3,NULL),(20,5359228,'1992-05-22 00:00:00',4,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241115361431416614272114610132147',NULL,'285',0.00,3,3,NULL),(20,5359252,'1991-11-24 00:00:00',4,1,12,2008,'F','N','SERTÃO DO IMARUIM','S JOSÉ','SC','124243241127131431436614385124610124197',NULL,'869',21.14,1,3,NULL),(20,5359260,'1990-10-23 00:00:00',4,1,11,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124243241417111431435619282115610168175',NULL,'403',20.64,1,3,NULL),(20,5359279,'1993-04-12 00:00:00',3,1,12,2010,'M','S','ALTO DO TAQUARAL','CAMPINAS','SP','125252251216121751338714575125610166192',NULL,'9998',60.33,1,3,NULL),(20,5359295,'1990-08-29 00:00:00',2,10,12,2007,'F','N','CENTRO','GR PARÁ','SC','124241241116161431223315275124231526147',12320,'330',49.58,4,2,1),(20,5359309,'1989-12-15 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216112511138913595121221938127',5961,'226',64.53,1,3,NULL),(20,5359317,'1987-06-28 00:00:00',1,1,12,2004,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124244241311132711525541311134231111113',8799,'71',60.36,1,3,NULL),(20,5359325,'1993-01-19 00:00:00',4,4,12,2009,'F','N','INTERIOR','QUILOMBO','SC','124241241117131431423815272224610162177',NULL,'648',19.73,1,2,1),(20,5359333,'1989-09-20 00:00:00',4,1,12,2007,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241212373411559933432111220367067',3509,'270',70.79,4,3,NULL),(20,5359341,'1991-08-20 00:00:00',2,1,12,2008,'M','N','CENTRO','ARIRANHA','SP','125251251117471431537713375121610166042',14665,'9998',44.71,1,2,1),(20,5359350,'1991-12-02 00:00:00',4,6,12,2008,'F','N','PARTENON','PTO ALEGRE','RS','120242241217472431458832571114610131117',NULL,'1008',51.24,1,3,NULL),(20,5359376,'1990-06-09 00:00:00',2,1,10,2007,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241247347131741312248193224610141117',NULL,'9999',21.63,2,1,2),(20,5359384,'1982-03-28 00:00:00',2,1,12,1998,'F','N','PRAIA DE FORA','PALHOÇA','SC','124203201146431431126649392134610164147',NULL,'9998',20.53,4,3,NULL),(20,5359392,'1993-12-27 00:00:00',2,3,12,2009,'M','N','CENTRO','ÁUREA','RS','120201201117131431446639572221610147057',NULL,'9998',0.00,1,2,1),(20,5359422,'1990-10-08 00:00:00',2,8,11,2008,'M','N','COHAB','OURINHOS','SP','125252251215471431548834575122610127052',NULL,'9998',28.07,4,3,NULL),(20,5359430,'1993-11-23 00:00:00',4,3,12,2010,'F','S','CENTRO','BAL CAMBORIÚ','SC','124241241217131431436832581121610167147',NULL,'1086',57.30,1,3,NULL),(20,5359449,'1986-02-10 00:00:00',4,1,6,2005,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241142134431228524282125610168185',NULL,'281',26.64,1,2,1),(20,5359465,'1990-07-05 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241112372432433311385114610147042',13540,'287',47.86,4,2,1),(20,5359473,'1981-12-21 00:00:00',4,1,12,1998,'F','N','PASSA VINTE','PALHOÇA','SC','124244241212134431338819442135333266197',NULL,'270',47.35,1,3,NULL),(20,5359490,'1992-10-01 00:00:00',4,1,11,2009,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124243241135141431436622342121610138042',NULL,'873',0.00,1,3,NULL),(20,5359503,'1971-03-22 00:00:00',2,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241125131431312249292324610166147',NULL,'289',41.70,2,1,1),(20,5359511,'1989-11-13 00:00:00',2,4,12,2006,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241216575431438614575124610118042',15037,'1079',47.76,1,3,NULL),(20,5359520,'1992-07-18 00:00:00',2,1,12,2009,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241145141411445524216214610133147',NULL,'592',0.00,1,2,1),(20,5359554,'1980-06-14 00:00:00',4,3,11,1997,'F','N','AGUA VERDE','CURITIBA','PR','116162161216471421387712475122343262142',9859,'9998',55.87,3,3,NULL),(20,5359562,'1993-07-19 00:00:00',4,2,12,2010,'F','S','NAÇÕES','TIMBÓ','SC','124241241215111711324923575122610162147',NULL,'1157',44.13,1,3,NULL),(20,5359570,'1992-04-25 00:00:00',4,1,12,2009,'M','N','JARDIM TRANQUILIDADE','GUARULHOS','SP','125252251216111411558713575122610167147',NULL,'9998',38.76,3,3,NULL),(20,5359589,'1992-04-08 00:00:00',4,1,12,2009,'F','N','CESP','FERNANDÓPOLIS','SP','125252251216121441448613585122610115142',NULL,'9998',0.00,1,3,NULL),(20,5359597,'1992-03-18 00:00:00',4,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241115371431434619575122610167052',5512,'733',64.92,1,2,1),(20,5359600,'1983-05-21 00:00:00',2,1,12,2003,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','224242241111574431333354371124141332142',NULL,'592',29.83,1,3,NULL),(20,5359635,'1988-03-01 00:00:00',2,5,6,2006,'M','N','MORRO ESTEVÃO','CRICIÚMA','SC','124241231217151421353634242112610127187',15496,'230',46.32,1,3,NULL),(20,5359643,'1992-11-24 00:00:00',4,3,12,2009,'F','N','VILA AYMORÉ','ARAPONGAS','PR','116162161217111431348813572122610164147',6530,'9998',63.55,1,3,NULL),(20,5359651,'1992-03-01 00:00:00',4,2,12,2009,'M','N','LAGEADO','NOVA TRENTO','SC','124241241127161531433336152322610167147',NULL,'574',18.32,1,2,1),(20,5359660,'1992-11-12 00:00:00',2,2,12,2009,'F','N','ITOUPAVAZINHA','BLUMENAU','SC','124242241215111731433531272124610118147',NULL,'925',17.25,1,3,NULL),(20,5359686,'1991-10-02 00:00:00',2,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120202201216371431543939575124141524097',NULL,'9998',0.00,1,3,NULL),(20,5359694,'1980-05-06 00:00:00',4,1,12,1997,'M','N','VILA BELA','MORRINHOS','GO','109091091216572431236823292322141037047',NULL,'9998',33.50,1,3,NULL),(20,5359708,'1986-11-12 00:00:00',2,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241125131431311479182324610163147',NULL,'289',0.00,2,1,1),(20,5359716,'1993-05-07 00:00:00',4,15,12,2010,'F','S','CENTRO','TURVO','SC','124242244215151431547832572124610127142',NULL,'970',28.91,1,3,NULL),(20,5359732,'1939-06-28 00:00:00',2,1,12,1971,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','324242241212152711244449492112322724187',NULL,'266',25.19,1,3,NULL),(20,5359740,'1990-07-14 00:00:00',4,1,12,2008,'M','N','REAL PARQUE','S PAULO','SP','125252251215571431488831571122610167091',NULL,'9998',0.00,1,3,NULL),(20,5359775,'1989-11-06 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116102161214511411534632595324610164182',6105,'9998',62.53,4,3,NULL),(20,5359783,'1989-12-14 00:00:00',2,1,12,2006,'M','N','NOVO MUNDO','CURITIBA','PR','116112111217471541465632575124140764017',11892,'9998',54.58,1,3,NULL),(20,5359791,'1993-04-27 00:00:00',4,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217171731368833575122610132127',NULL,'270',44.40,1,3,NULL),(20,5359805,'1992-06-02 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241217131431546823432224610127077',NULL,'1075',24.66,1,3,NULL),(20,5359821,'1990-05-06 00:00:00',2,1,12,2007,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242248217132731448819572124232528147',NULL,'883',19.88,2,1,2),(20,5359830,'1987-01-05 00:00:00',2,1,12,2004,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241132273421536513395123610137145',NULL,'281',24.30,1,2,1),(20,5359848,'1991-09-05 00:00:00',2,8,12,2008,'F','N','VILA PREL','S PAULO','SP','125252251216471431336627575122610124017',NULL,'9998',0.00,1,3,NULL),(20,5359856,'1991-02-02 00:00:00',2,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241125131431526723142224610165187',NULL,'289',22.51,1,2,1),(20,5359872,'1991-10-11 00:00:00',4,8,12,2009,'M','N','CABRAL','CURITIBA','PR','116162161216121711257731575112610162192',6556,'9998',61.32,1,3,NULL),(20,5359899,'1991-12-21 00:00:00',4,2,12,2009,'M','N','SETE DE SETEMBRO','GASPAR','SC','124241246211111431558619575124610137141',NULL,'1018',26.58,1,3,NULL),(20,5359902,'1987-07-09 00:00:00',2,1,11,2005,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241126134431644313282124610134187',13513,'307',48.61,4,2,1),(20,5359937,'1990-02-01 00:00:00',2,6,12,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124201204134331241533711576324141322147',NULL,'9998',0.00,1,3,NULL),(20,5359945,'1992-01-18 00:00:00',2,1,12,2008,'F','N','CHÁCARA DAS PEDRAS','PTO ALEGRE','RS','120201201116471431359933471124610163097',2743,'9998',72.27,1,2,1),(20,5359953,'1991-10-31 00:00:00',2,1,12,2008,'F','N','ARIRIU DA FORMIGA','PALHOÇA','SC','124241241226473431437434385124610167057',7665,'262',61.22,1,3,NULL),(20,5359961,'1986-06-22 00:00:00',2,1,12,2004,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','224241245125142731623624243124610127057',NULL,'257',15.85,2,1,1),(20,5359970,'1993-08-25 00:00:00',2,1,11,2010,'M','S','CENTRO','TIJUCAS','SC','124242241215141411445832575125610162097',NULL,'9997',22.90,1,3,NULL),(20,5359988,'1992-02-20 00:00:00',4,9,11,2009,'F','N','CENTRO','LAGES','SC','124242241215111431348631415122610118142',NULL,'497',16.64,1,3,NULL),(20,5360005,'1991-03-15 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242244212132311423532482124233263147',10989,'723',56.31,1,3,NULL),(20,5360013,'1993-05-08 00:00:00',4,15,12,2010,'M','S','CENTRO','ARARANGUÁ','SC','124243246215111211473612282122610127042',NULL,'970',38.09,1,3,NULL),(20,5360021,'1990-11-23 00:00:00',2,1,12,2008,'F','N','BOA VISTA','RIO SUL','SC','124241241112272431426644342324610124147',NULL,'657',20.74,1,2,1),(20,5360048,'1988-01-16 00:00:00',2,1,12,2005,'F','N','INTERIOR','S PAULO MISSÕES','RS','120201202116131411424535397324242764197',NULL,'9998',0.00,1,3,NULL),(20,5360064,'1985-10-01 00:00:00',2,1,11,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241125131431223449192344610167047',NULL,'289',25.27,4,2,1),(20,5360072,'1991-11-08 00:00:00',4,8,12,2009,'M','N','SANTA CATARINA','JOINVILLE','SC','124242246217141522466914575124610117052',12832,'1105',52.68,1,3,NULL),(20,5360080,'1993-03-26 00:00:00',4,1,10,2010,'F','S','SACO GRANDE','FLORIANÓPOLIS','SC','124243241415111431336833572124610123097',NULL,'1022',22.79,2,3,NULL),(20,5360102,'1965-01-10 00:00:00',2,5,12,1983,'M','N','CENTRO','CRICIÚMA','SC','224201201132151731456343435132141034067',15069,'9998',47.66,4,2,1),(20,5360110,'1989-04-11 00:00:00',4,10,12,2007,'M','N','JARDIN DAS AVENIDAS','ARARANGUÁ','SC','124242241212135431434851292125232618077',4782,'32',67.58,1,3,NULL),(20,5360129,'1992-02-25 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241112151431536624442224610117042',14347,'307',49.62,1,2,1),(20,5360137,'1991-12-05 00:00:00',2,4,12,2008,'M','N','CENTRO','ENTRE RIOS','SC','124241241116132431545823432124231437047',10227,'249',53.83,3,2,1),(20,5360153,'1986-01-07 00:00:00',2,15,12,2004,'M','N','JAGUARARI','SOMBRIO','SC','124241241126131421533336335123610167057',NULL,'689',21.70,1,2,1),(20,5360196,'1991-09-26 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124243241417472431426619575124610164092',4394,'267',68.78,1,3,NULL),(20,5360200,'1986-11-17 00:00:00',2,1,12,2005,'M','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124241248127131431533314485114610112067',NULL,'728',27.61,1,2,1),(20,5360218,'1988-11-05 00:00:00',2,8,11,2005,'M','N','TARUMÃ','CURITIBA','PR','116162161216471431468833571124142522126',2781,'9998',72.56,1,3,NULL),(20,5360226,'1991-03-10 00:00:00',4,1,12,2008,'F','N','MARISTA','GOIÂNIA','GO','109092091217371441458832575122610122091',NULL,'9998',0.00,1,3,NULL),(20,5360242,'1991-12-07 00:00:00',2,9,11,2008,'F','N','CENTRO','LAGES','SC','124163241215473431346914275122610125147',NULL,'497',30.87,1,3,NULL),(20,5360250,'1975-08-19 00:00:00',4,1,6,1993,'M','N','PATRONATO','STA MARIA','RS','220202206116571411264849145122340214057',10634,'9998',56.98,1,3,NULL),(20,5360269,'1992-04-06 00:00:00',4,1,12,2009,'F','N','CENTRO','STA MARIA','RS','120242201216211531238923575115610144187',11129,'9998',51.93,1,3,NULL),(20,5360277,'1991-04-20 00:00:00',2,1,12,2008,'F','N','CENTRO','CPO GRANDE','MS','112122121216111431439819575124241065187',NULL,'9998',22.52,1,3,NULL),(20,5360285,'1991-02-01 00:00:00',2,5,12,2008,'F','N','CENTRO','CRICIÚMA','SC','124201248116371431338343575115610121045',NULL,'209',27.13,1,2,1),(20,5360307,'1989-05-31 00:00:00',4,3,12,2006,'M','N','JARDIM ELIANE','APUCARANA','PR','116162161215571731459913432125610167187',2802,'9998',72.65,1,3,NULL),(20,5360315,'1992-08-09 00:00:00',4,1,12,2009,'M','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124241241136151431323619192124610122047',NULL,'329',23.44,1,3,NULL),(20,5360331,'1981-10-11 00:00:00',4,1,12,1999,'M','N','BARREIROS','S JOSÉ','SC','124241244125154431351629335124223264197',13632,'306',51.10,1,2,1),(20,5360340,'1989-11-07 00:00:00',4,1,12,2007,'M','N','ESTADOS','ESTRELA','RS','120202201216211411658631215124141044097',NULL,'9998',0.00,1,3,NULL),(20,5360366,'1992-11-10 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241217161741658934472115610164012',7554,'403',61.01,1,3,NULL),(20,5360374,'1991-11-27 00:00:00',4,1,11,2008,'F','N','JARDIM VERANEIO','CPO GRANDE','MS','112122121215472431558631574122610164197',NULL,'9998',0.00,1,3,NULL),(20,5360382,'1989-07-25 00:00:00',4,5,11,2006,'M','N','MINEIRA VELHA','CRICIÚMA','SC','124241241115141411433614245124610132041',NULL,'209',0.00,1,2,1),(20,5360390,'1992-12-05 00:00:00',4,7,12,2009,'M','N','BOM JESUS','CAÇADOR','SC','124242241217111431368632575112610134122',4783,'1124',66.96,1,3,NULL),(20,5360404,'1992-05-21 00:00:00',4,8,11,2009,'F','N','VILA NASSER','CPO GRANDE','MS','112122121216111451469933575122610125182',NULL,'9998',0.00,1,3,NULL),(20,5360412,'1990-01-23 00:00:00',4,5,12,2007,'M','N','RIO AMERICA BAIXO','URUSSANGA','SC','124241241111131441523615443121610134047',NULL,'821',21.00,1,2,1),(20,5360420,'1991-08-30 00:00:00',4,1,12,2008,'F','N','JARDIM GUANABARA','RONDONÓPOLIS','MT','111113111136271741448834275124142064092',13058,'9998',52.25,1,3,NULL),(20,5360439,'1993-05-01 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111631687712575122610123145',NULL,'270',50.84,1,3,NULL),(20,5360447,'1992-09-01 00:00:00',4,2,12,2009,'M','N','GARCIA','BLUMENAU','SC','124242241215111432445814175122610144092',NULL,'71',0.00,1,3,NULL),(20,5360463,'1991-03-27 00:00:00',4,2,12,2008,'M','N','JARDIM UNIVERSITÁRIO','MARINGÁ','PR','116161161416571451459923575122242664196',1692,'9998',77.32,1,3,NULL),(20,5360471,'1989-07-25 00:00:00',4,5,11,2006,'M','N','MINEIRA VELHA','CRICIÚMA','SC','124241241115141411433614245124610137041',NULL,'209',0.00,1,2,1),(20,5360498,'1992-03-23 00:00:00',4,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241115471411648727296224610163052',14420,'295',47.55,4,2,1),(20,5360501,'1987-06-05 00:00:00',4,2,12,2004,'M','N','VELHA','BLUMENAU','SC','124161161116371431333321185124231443122',NULL,'9998',0.00,1,2,1),(20,5360528,'1992-04-20 00:00:00',4,3,12,2009,'M','N','CENTRO','MARINGÁ','PR','116162168217371411468916575122610147047',9271,'9998',57.02,1,3,NULL),(20,5360536,'1987-03-24 00:00:00',4,8,12,2005,'F','N','JARDIM UNIVERSITARIO','MARINGÁ','PR','116162168111411411568832321122342527122',13256,'9998',51.85,1,3,NULL),(20,5360544,'1991-11-04 00:00:00',4,4,11,2008,'M','N','VILA NOVA','FRANCISCO BELTRÃO','PR','116162161215372731347834573112610134127',11320,'9998',51.50,1,3,NULL),(20,5360560,'1992-03-14 00:00:00',4,8,12,2009,'F','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116163161435111431569833575114610144147',3062,'9998',72.07,1,3,NULL),(20,5360579,'1970-11-05 00:00:00',4,15,7,1992,'F','N','COLONINHA','ARARANGUÁ','SC','124241248127131412221343332224110163097',NULL,'769',23.82,1,2,1),(20,5360587,'1989-09-06 00:00:00',4,1,12,2006,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215574431443923574124610167142',64,'497',91.21,1,3,NULL),(20,5360595,'1990-03-07 00:00:00',4,8,12,2007,'M','N','ZONA CINCO','MARINGÁ','PR','116161161417571731638711575124610164017',1415,'9998',78.29,1,3,NULL),(20,5360609,'1989-02-21 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241216372431538733575124233232092',10336,'272',57.54,1,3,NULL),(20,5360617,'1981-08-10 00:00:00',2,1,12,1999,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','224241241112244431437954342114222328147',NULL,'416',27.18,1,2,1),(20,5360625,'1992-07-19 00:00:00',4,4,11,2009,'F','N','SÃO CRISTOVÃO','FRANCISCO BELTRÃO','PR','116162161215111711435923575122510164017',8014,'9998',61.81,1,3,NULL),(20,5360641,'1993-05-03 00:00:00',4,7,12,2009,'F','N','CIDADE ALTA','SALTO VELOSO','SC','124243241115471431336923375122610134147',NULL,'1113',0.00,1,3,NULL),(20,5360650,'1989-02-16 00:00:00',4,1,12,2006,'M','N','RESIDENCIAL FURLAN','STA BÁRBARA D OESTE','SP','125252251216472441568613571112142962047',NULL,'9998',43.07,1,3,NULL),(20,5360668,'1991-09-18 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241216152431438632395124230224027',14400,'738',49.47,1,3,NULL),(20,5360692,'1990-06-11 00:00:00',4,1,10,2007,'M','N','JARDIM DAS PALMEIRAS','CUIABÁ','MT','111112111215472731568812572212143227042',NULL,'9998',0.00,4,3,NULL),(20,5360706,'1988-09-26 00:00:00',4,1,12,2005,'M','N','KOBRASOL','S JOSÉ','SC','124243241215475731458932576124221462087',2772,'1076',74.21,1,3,NULL),(20,5360714,'1980-12-12 00:00:00',2,1,12,1998,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124251251147133421123444241123610124157',13806,'9998',46.44,4,1,1),(20,5360722,'1990-02-12 00:00:00',4,1,11,2007,'M','N','CENTRO','FOZ IGUAÇU','PR','116282281237471431448832475125610127122',6837,'9998',61.49,1,3,NULL),(20,5360749,'1984-03-31 00:00:00',2,1,11,2009,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241247145131411639679136123610127157',15907,'9999',44.62,1,3,NULL),(20,5360757,'1992-09-06 00:00:00',2,2,12,2009,'M','N','CENTRO','CASCAVEL','PR','116113161512121231459934575121610147042',12653,'9998',51.41,1,3,NULL),(20,5360765,'1991-10-04 00:00:00',4,1,12,2008,'M','N','JARDIM ALVOIRADA','MARINGÁ','PR','116162168215471411367739595114610134172',4781,'9998',67.62,1,3,NULL),(20,5360773,'1986-06-10 00:00:00',4,15,12,2003,'F','N','JARDIM ULTRAMAR','BAL GAIVOTA','SC','224241241116131431223654232122332726047',NULL,'54',16.28,1,2,1),(20,5360790,'1988-10-24 00:00:00',4,1,2,2005,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124243241217135451115641215121231467112',5620,'270',66.87,1,3,NULL),(20,5360811,'1992-01-09 00:00:00',4,5,12,2009,'M','N','MINEIRA NOVA','CRICIÚMA','SC','124242241215111731343419472125610162142',NULL,'995',30.17,1,3,NULL),(20,5360820,'1984-08-04 00:00:00',4,3,12,2001,'F','N','MEIA PRAIA','ITAPEMA','SC','224201241117131421225443332124332268147',13286,'406',48.47,1,2,1),(20,5360838,'1992-12-28 00:00:00',4,1,12,2009,'M','N','FLAMBOYANT','APUCARANA','PR','116162161217122451448811575321610135057',4876,'9998',67.29,3,3,NULL),(20,5360846,'1990-03-25 00:00:00',4,1,12,2007,'F','N','MONTE CARLO','CPO GRANDE','MS','112122121216574751438821575122610168187',NULL,'9998',0.00,1,3,NULL),(20,5360854,'1992-11-22 00:00:00',4,1,12,2009,'M','N','NOSSA SENHORA FATIMA','CPO GRANDE','MS','112122121216122751348831575122610168187',NULL,'9998',0.00,1,3,NULL),(20,5360862,'1986-12-20 00:00:00',2,1,12,2004,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241115472431534314374123610124142',NULL,'772',24.44,1,2,1),(20,5360870,'1991-03-15 00:00:00',4,1,12,2008,'F','N','TV MORENA','CPO GRANDE','MS','112122121216473751348831575122610168187',8804,'9998',58.26,1,3,NULL),(20,5360900,'1990-02-08 00:00:00',2,4,12,2009,'M','N','CENTRO','GUARUJÁ SUL','SC','124241242116131731534354595122610168057',NULL,'758',22.60,1,3,NULL),(20,5360927,'1991-11-18 00:00:00',2,1,12,2008,'F','N','GIOCONDO ORSI','CPO GRANDE','MS','112122121216473751348831575122610168187',14331,'9998',47.22,1,3,NULL),(20,5360935,'1985-10-15 00:00:00',4,1,12,2002,'F','N','CAMPINAS','S JOSÉ','SC','124242241216375431357811575122121428192',656,'737',82.97,1,3,NULL),(20,5360943,'1991-11-22 00:00:00',4,1,12,2009,'F','N','VILA CELIA','CPO GRANDE','MS','112122121216113751458839515122610168187',3661,'9998',71.72,1,3,NULL),(20,5360951,'1992-08-09 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116163161116121411469933575124610131177',4675,'9998',66.17,1,3,NULL),(20,5360978,'1991-05-26 00:00:00',4,1,12,2008,'M','N','EUNICE','CACHOEIRINHA','RS','120202201216571431368934575114610127077',5874,'9998',62.83,1,3,NULL),(20,5360994,'1991-11-04 00:00:00',4,1,11,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217111731589933575122610124182',NULL,'270',51.68,1,3,NULL),(20,5361001,'1988-11-07 00:00:00',2,1,12,2005,'M','N','PIRATININGA','CPO GRANDE','MS','112122121216574751348831575122610168187',792,'9998',82.28,1,3,NULL),(20,5361010,'1991-12-18 00:00:00',4,2,12,2009,'F','N','FORTALEZA','BLUMENAU','SC','124241241137271431338624285124610145017',12201,'69',53.98,1,2,1),(20,5361036,'1991-05-02 00:00:00',4,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124241241222131432313319575324610121192',NULL,'262',0.00,1,3,NULL),(20,5361044,'1989-09-02 00:00:00',4,8,12,2006,'F','N','MARIA IZABEL','MARÍLIA','SP','125252251216571451588811571122610166182',NULL,'9998',0.00,3,3,NULL),(20,5361079,'1992-03-04 00:00:00',4,4,12,2009,'F','N','CENTRO','PINHALZINHO','SC','124244241215171731647639295122610147143',NULL,'1070',30.66,1,3,NULL),(20,5361087,'1992-12-03 00:00:00',4,1,12,2009,'M','N','ROYAL PARK','CPO GRANDE','MS','112122121216112751348839595122610168187',8040,'9998',60.25,1,3,NULL),(20,5361095,'1990-08-16 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116161168212571431438734592122610164197',12176,'9998',52.47,1,3,NULL),(20,5361117,'1992-05-12 00:00:00',4,1,12,2009,'M','N','CENTRO','CPO GRANDE','MS','112122121216112751348831575122610168187',NULL,'9998',0.00,1,3,NULL),(20,5361125,'1991-01-10 00:00:00',2,1,12,2008,'M','N','CENTRO','PNT GROSSA','PR','116161161216471441268929596115610167142',NULL,'9998',52.02,1,3,NULL),(20,5361133,'1992-04-13 00:00:00',4,1,12,2009,'M','N','CARANDA BOSQUE I','CPO GRANDE','MS','112122121216113751348839575122610168187',NULL,'9998',54.48,1,3,NULL),(20,5361150,'1991-08-30 00:00:00',2,10,12,2008,'M','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241116273411446719575124610167117',8311,'358',59.18,1,2,1),(20,5361168,'1990-08-02 00:00:00',4,1,12,2008,'F','N','NOVA MARABÁ','MARABÁ','PA','114142201216371431388819475122610143091',NULL,'9998',0.00,1,3,NULL),(20,5361176,'1992-12-07 00:00:00',4,1,12,2009,'M','N','PACHECOS','PALHOÇA','SC','124244241215111431553432575112610167057',NULL,'1175',21.78,1,3,NULL),(20,5361184,'1989-04-30 00:00:00',4,1,12,2006,'M','N','VILA NEUSA','PIRAPOZINHO','SP','125254251217571431378813572124242417127',285,'9998',86.79,1,3,NULL),(20,5361206,'1993-08-05 00:00:00',2,1,11,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431547932574122610122145',14101,'270',50.17,1,3,NULL),(20,5361222,'1987-08-17 00:00:00',4,1,12,2005,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124242241215272231336821211124131064052',13925,'1022',50.52,1,3,NULL),(20,5361230,'1993-02-09 00:00:00',4,5,12,2010,'M','S','PRÓSPERA','CRICIÚMA','SC','124242246214151411456834475124610168042',NULL,'995',NULL,1,3,NULL),(20,5361249,'1992-09-14 00:00:00',4,15,12,2009,'M','N','CENTRO','STA CRUZ SUL','RS','120202201216471411568833571122610117041',2027,'9998',75.80,1,3,NULL),(20,5361257,'1990-05-13 00:00:00',4,8,12,2007,'F','N','DOIS CORREGOS','VALINHOS','SP','125252251216571731469914571112610163047',4010,'9998',69.98,1,3,NULL),(20,5361265,'1986-06-30 00:00:00',2,8,12,2004,'F','N','CENTRO','GUARATUBA','PR','116161161127132421433923395124132668192',NULL,'9998',0.00,1,2,1),(20,5361273,'1992-12-17 00:00:00',4,1,12,2009,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241115131411523334575124610122052',NULL,'772',23.80,4,2,1),(20,5361281,'1992-12-28 00:00:00',4,8,12,2010,'F','S','VILA RAU','JARAGUÁ SUL','SC','124241241215121411437824592122610146147',NULL,'1063',65.16,1,3,NULL),(20,5361290,'1991-05-29 00:00:00',4,1,12,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241115111531556613572114610168047',NULL,'307',35.14,1,2,1),(20,5361303,'1993-02-08 00:00:00',4,1,12,2009,'F','N','CENTRO','MAFRA','SC','124244161217111731338921572112610123145',13626,'1169',47.26,1,3,NULL),(20,5361320,'1991-10-05 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241112151431214424572124610123057',NULL,'281',14.82,1,2,1),(20,5361338,'1979-09-14 00:00:00',4,1,12,1997,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124251251215152441128817575124220966191',NULL,'9998',26.39,1,3,NULL),(20,5361346,'1992-08-17 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','116162161217111431338614571124610137032',9138,'9998',56.20,1,3,NULL),(20,5361354,'1992-11-15 00:00:00',4,1,12,2009,'M','N','CENTRO','CAÇADOR','SC','124242241215121411445312575122610137092',NULL,'120',30.87,1,3,NULL),(20,5361362,'1991-09-30 00:00:00',2,1,12,2008,'F','N','ROSÁRIO','STA MARIA','RS','120202201217571431328829572112610137127',13491,'9998',49.77,1,3,NULL),(20,5361370,'1992-10-28 00:00:00',2,1,12,2009,'M','N','SÃO CRISTÓVÃO','NOVA PRATA','RS','120201201117111531433612282121610137043',16107,'9998',43.39,1,3,NULL),(20,5361389,'1992-01-03 00:00:00',4,1,11,2009,'M','N','BELA VISTA III','S JOSÉ','SC','124241241412151431538614575122610124062',NULL,'1075',24.26,1,3,NULL),(20,5361397,'1977-06-11 00:00:00',4,1,12,1995,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216144411228943346122321837045',NULL,'269',0.00,1,3,NULL),(20,5361419,'1990-08-07 00:00:00',2,7,12,2007,'F','N','CENTRO','HERVAL D OESTE','SC','124241248215111411236614575125233268187',NULL,'454',0.00,1,3,NULL),(20,5361427,'1984-11-08 00:00:00',2,1,11,2003,'F','N','ROÇADO','S JOSÉ','SC','124243247221131431123311311334610143185',NULL,'9997',20.37,1,3,NULL),(20,5361435,'1986-11-07 00:00:00',4,1,12,2004,'M','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124242241212153231578514575124231467045',8526,'270',60.87,1,3,NULL),(20,5361443,'1992-05-27 00:00:00',4,1,12,2009,'M','N','JARDIM BONGIOVANI','PRES PRUDENTE','SP','125252251217171531358931415112610117042',NULL,'9998',0.00,1,3,NULL),(20,5361451,'1993-04-29 00:00:00',4,10,11,2010,'M','S','SANTA AUGUSTA','BRAÇO NORTE','SC','124242241217151512539834575124610164012',NULL,'806',29.27,1,3,NULL),(20,5361460,'1991-08-21 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124072242416142431434844245124233266147',4883,'307',68.64,4,3,NULL),(20,5361478,'1988-04-29 00:00:00',4,1,12,2005,'F','N','JARDIM BRASILIA','MOGI MIRIM','SP','125252251216571411348813474122141162077',NULL,'9998',0.00,1,3,NULL),(20,5361494,'1991-01-18 00:00:00',4,1,12,2008,'M','N','JARDIM SHANGRILA','BAURU','SP','125252251217471431557817275122610147052',1099,'9998',80.41,1,3,NULL),(20,5361516,'1992-01-24 00:00:00',4,2,12,2008,'M','N','CENTRO','CAP LEÔNIDAS MARQUES','PR','116162161315471431439933575124610122142',884,'9998',81.26,1,3,NULL),(20,5361532,'1992-05-12 00:00:00',4,15,12,2009,'F','N','CENTRO','TRÊS CACHOEIRAS','RS','120201201117131431435869573221610124047',NULL,'9998',28.95,1,2,1),(20,5361540,'1977-05-29 00:00:00',3,1,12,1996,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241212455411378912472112331034151',NULL,'270',32.12,1,3,NULL),(20,5361559,'1991-01-13 00:00:00',2,5,6,2009,'F','N','CENTRO','CRICIÚMA','SC','124243243215131451426928345124610145143',15256,'9997',47.10,1,3,NULL),(20,5361567,'1991-12-09 00:00:00',4,1,12,2008,'M','N','RIO BRANCO','PTO ALEGRE','RS','120162201217471431359619574124610131147',5061,'9998',67.40,1,3,NULL),(20,5361575,'1991-10-17 00:00:00',4,15,12,2009,'M','N','VILA BEATRIZ','MARACAJÁ','SC','124244246215111731546833471224610167051',NULL,'995',29.52,1,3,NULL),(20,5361591,'1989-10-04 00:00:00',2,4,12,2006,'F','N','GUARUJÁ','PTO ALEGRE','RS','120202201211571431369931571114610132012',NULL,'9998',0.00,1,3,NULL),(20,5361605,'1990-01-13 00:00:00',2,4,12,2006,'F','N','CENTRO','CAIBI','SC','124242241215573431448931575122610121147',NULL,'126',30.32,1,3,NULL),(20,5361613,'1988-11-25 00:00:00',2,1,12,2007,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241212152431444923475124231224012',NULL,'944',23.31,1,3,NULL),(20,5361621,'1992-06-22 00:00:00',4,17,12,2009,'M','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241116131431446333245121610147047',10515,'146',52.99,1,2,1),(20,5361630,'1992-05-14 00:00:00',4,6,11,2009,'F','N','FAZENDA','ITAJAÍ','SC','124242241215131431528612575122610135012',NULL,'388',46.20,4,3,NULL),(20,5361648,'1992-01-21 00:00:00',4,3,12,2009,'F','N','PORTAL','DOURADOS','MS','112122121216111431459912575122610145043',NULL,'9998',29.45,1,3,NULL),(20,5361680,'1992-02-03 00:00:00',2,7,12,2009,'F','N','JARDIM MORADO DO SOL','HERVAL D OESTE','SC','124241241115131731536471572122610127147',12634,'539',50.61,1,2,1),(20,5361699,'1991-10-29 00:00:00',4,1,11,2009,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217121431489833575114610128052',12,'270',95.72,1,3,NULL),(20,5361702,'1991-02-08 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216372431448619575124610167062',10015,'1022',55.49,1,3,NULL),(20,5361710,'1973-03-15 00:00:00',2,1,12,1999,'M','N','INGLESES','FLORIANÓPOLIS','SC','224241241646274421234444445124222364067',NULL,'1003',31.15,1,3,NULL),(20,5361729,'1991-11-29 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241115271231349813575124610167015',15431,'267',43.34,1,2,1),(20,5361737,'1986-01-14 00:00:00',2,1,12,2008,'M','N','BELA VISTA I','S JOSÉ','SC','124241247126131432333317475114610115041',NULL,'1117',44.26,1,2,1),(20,5361753,'1984-06-03 00:00:00',2,1,12,2001,'F','N','CENTRO','BENTO GONÇALVES','RS','120202201216571431566611572124142448147',NULL,'9998',0.00,1,3,NULL),(20,5361761,'1990-06-03 00:00:00',2,4,12,2006,'F','N','KOLLER','ERECHIM','RS','120201205115473412446612294125610113077',9540,'9998',58.99,1,2,1),(20,5361770,'1965-10-01 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','224211217426132721443344245124141316097',NULL,'9998',44.66,4,3,NULL),(20,5361788,'1991-11-14 00:00:00',2,1,12,2008,'M','N','GRAMA','GAROPABA','SC','124241241136272431426611172224610131042',NULL,'1136',26.62,1,2,1),(20,5361796,'1991-11-07 00:00:00',4,8,12,2009,'F','N','TRIANON','GUARAPUAVA','PR','116162161217271711468831574112610147072',NULL,'9998',0.00,1,3,NULL),(20,5361818,'1990-09-13 00:00:00',4,1,12,2007,'M','N','SÃO PELEGRINO','CAXIAS SUL','RS','120202201117471431648821311124610127052',NULL,'9998',0.00,1,3,NULL),(20,5361826,'1991-01-18 00:00:00',4,2,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161212372411469913572122232433077',NULL,'9998',0.00,1,3,NULL),(20,5361834,'1990-10-12 00:00:00',4,1,12,2008,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251215471431358814572122610167052',4910,'9998',65.85,1,3,NULL),(20,5361842,'1992-10-13 00:00:00',4,7,12,2009,'M','N','INTERIOR','SALTO VELOSO','SC','124241241117371411424923485224610137067',NULL,'684',0.00,1,2,1),(20,5361850,'1991-02-05 00:00:00',4,1,12,2007,'F','N','VIADUTO','IGREJINHA','RS','120202201215571431489912572114610131127',NULL,'9998',0.00,1,3,NULL),(20,5361869,'1992-02-13 00:00:00',4,10,12,2009,'M','N','MAGALHÃES','LAGUNA','SC','124246241316131431526814442121610124027',NULL,'521',18.61,1,3,NULL),(20,5361877,'1992-05-14 00:00:00',4,8,12,2009,'F','N','CENTRO','COLÍDER','MT','111112111216161431456733575122610137072',NULL,'9998',0.00,4,3,NULL),(20,5361885,'1993-05-23 00:00:00',4,8,11,2010,'F','S','AMIZADE','JARAGUÁ SUL','SC','124242241215111431459814572122610134057',NULL,'424',53.66,1,3,NULL),(20,5361893,'1989-07-05 00:00:00',2,9,12,2006,'F','N','SANTO ANTÃO','BENTO GONÇALVES','RS','120201201116571431454637591124610167047',NULL,'9998',0.00,1,2,1),(20,5361907,'1991-08-18 00:00:00',4,8,12,2008,'M','N','JARDIM BOTANICO','CURITIBA','PR','116162161216471431459913572112610122017',NULL,'9998',0.00,1,3,NULL),(20,5361915,'1991-03-24 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124241241115131321424311272114610134052',NULL,'1116',37.11,4,2,1),(20,5361931,'1992-04-17 00:00:00',2,17,12,2009,'F','N','RESTINGA','MAFRA','SC','124241241115141431323324335124610127077',NULL,'542',22.14,1,2,1),(20,5361966,'1992-08-26 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124241241115131331426511215114610134092',NULL,'1116',20.51,1,2,1),(20,5361974,'1990-08-06 00:00:00',2,2,12,2007,'F','N','CENTRO','S LUIZ GONZAGA','RS','120201201116131731436923395122243218077',NULL,'9998',16.00,1,2,1),(20,5362016,'1989-01-01 00:00:00',2,1,12,2005,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241127132431523334145224133016052',NULL,'552',21.98,2,2,1),(20,5362024,'1993-08-07 00:00:00',4,1,12,2010,'M','S','VICTOR KONDER','BLUMENAU','SC','124242241211111311238811575122610114112',NULL,'1018',28.29,4,3,NULL),(20,5362040,'1991-03-30 00:00:00',4,2,12,2009,'F','N','COROA DO MEIO','ARACAJU','SE','126262261216471431548833575122141511027',NULL,'9998',0.00,4,3,NULL),(20,5362067,'1986-12-19 00:00:00',2,5,12,2004,'M','N','MENINO DEUS','PTO ALEGRE','RS','120203201216571431324316195124610166047',3092,'9998',71.77,1,3,NULL),(20,5362075,'1989-11-10 00:00:00',4,8,12,2006,'M','N','CENTRO','TAPEJARA','PR','116161161215571431469932275125610122077',646,'9998',82.87,1,3,NULL),(20,5362083,'1991-09-12 00:00:00',4,2,11,2009,'M','N','SETE DE SETEMBRO','GASPAR','SC','124242241215121731338832245125610167042',NULL,'955',0.00,1,3,NULL),(20,5362091,'1991-11-03 00:00:00',2,2,12,2009,'M','N','MARIFLOR INTERIOR','S JOSÉ CEDRO','SC','124241241146161411343633572124610118057',NULL,'740',28.32,1,2,1),(20,5362121,'1986-11-20 00:00:00',2,1,11,2003,'F','N','CENTRAL PARK RESIDEN','LONDRINA','PR','116162161216572731368761575112610166182',NULL,'9998',0.00,1,3,NULL),(20,5362148,'1989-06-04 00:00:00',2,1,7,2009,'M','N','RIBEIRÃO','PAULO LOPES','SC','124241241115161712434419492124610167057',NULL,'739',30.73,1,2,1),(20,5362156,'1992-07-20 00:00:00',2,4,12,2009,'F','N','ANDREATTA','S MIGUEL OESTE','SC','124241241136141411534911275122610114192',NULL,'755',22.16,1,2,1),(20,5362180,'1993-04-20 00:00:00',4,1,12,2010,'F','S','SANTA CATARINA','BIGUAÇU','SC','124241241115161431633436172124610134147',NULL,'21',24.01,1,3,NULL),(20,5362199,'1992-12-18 00:00:00',2,2,12,2011,'F','S','BELA VISTA','GASPAR','SC','124244241217111431366632475122610134052',NULL,'87',26.09,1,3,NULL),(20,5362229,'1991-08-13 00:00:00',2,1,12,2009,'M','N','JARDIM SÃO NICOLAU','BIGUAÇU','SC','124111241115131731445634385124610167042',NULL,'65',17.66,1,2,1),(20,5362237,'1990-02-16 00:00:00',2,4,12,2007,'F','N','CENTRO','CASCAVEL','PR','116161161115571431124416591324610166147',NULL,'9998',0.00,4,2,1),(20,5362245,'1990-03-14 00:00:00',4,8,12,2007,'F','N','JARDIM CANADÁ','CPO GRANDE','MS','112122121216572731466733335122610128147',6321,'9998',65.28,3,3,NULL),(20,5362261,'1990-08-17 00:00:00',2,1,12,2008,'F','N','VILA MORANGUEIRA','MARINGÁ','PR','116052161214471431548836575122610136194',15004,'9998',44.82,3,3,NULL),(20,5362270,'1989-01-09 00:00:00',4,1,11,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162161212574751438919492124230268192',1689,'9998',78.10,1,3,NULL),(20,5362288,'1991-02-14 00:00:00',2,1,12,2009,'F','N','AREIAS','PAULO LOPES','SC','124241241225131532426311272123610113147',NULL,'262',23.41,1,3,NULL),(20,5362296,'1990-03-07 00:00:00',4,7,12,2007,'F','N','CENTRO','CAPINZAL','SC','124241241137131721423314245125230234147',NULL,'156',0.00,1,2,1),(20,5362300,'1960-09-29 00:00:00',2,1,12,1982,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124211213221135411111448182313120662197',9162,'9998',57.33,4,3,NULL),(20,5362318,'1991-03-01 00:00:00',4,17,12,2008,'M','N','CAMPO DA ÁGUA VERDE','CANOINHAS','SC','124241241116131431336314385124143226172',13546,'153',46.50,1,3,NULL),(20,5362326,'1992-04-05 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241315111731223321475124610124042',14853,'1077',45.47,1,3,NULL),(20,5362334,'1992-06-06 00:00:00',2,4,12,2008,'F','N','CENTRO','TRINDADE SUL','RS','120201201215271431439613575124610168097',NULL,'9998',32.72,1,3,NULL),(20,5362350,'1987-11-29 00:00:00',4,1,12,2005,'F','N','JARDIM ADÉLIA','AMPARO','SP','125251251117131421433311282114610166182',NULL,'9998',0.00,1,3,NULL),(20,5362369,'1991-03-16 00:00:00',2,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241112131431533311382324610124042',NULL,'295',24.49,1,2,1),(20,5362377,'1991-05-08 00:00:00',2,4,12,2007,'F','N','CENTRO','TRINDADE SUL','RS','120201201216371431439613575124610168187',6679,'9998',62.69,1,3,NULL),(20,5362385,'1992-01-21 00:00:00',4,1,12,2009,'M','N','BELA VISTA','CAXIAS SUL','RS','119202201116111431446833375122610127042',NULL,'9998',0.00,1,3,NULL),(20,5362393,'1992-03-18 00:00:00',4,1,12,2009,'F','N','SÃO JOSÉ','S JOSÉ','SC','124241241316111431655611275122610127072',NULL,'1118',25.25,1,3,NULL),(20,5362407,'1992-05-06 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124241241115131421424314242134610114052',NULL,'1116',28.94,4,2,1),(20,5362423,'1990-03-06 00:00:00',2,10,12,2008,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201216471731468811572124610162017',NULL,'9998',0.00,1,3,NULL),(20,5362431,'1988-04-23 00:00:00',2,5,6,2006,'M','N','SANTA LUZIA','CRICIÚMA','SC','124241246217131441342119445123610147181',NULL,'995',0.00,1,3,NULL),(20,5362440,'1989-09-20 00:00:00',2,15,11,2006,'F','N','CENTRO','ARARANGUÁ','SC','124242241216133431356923285124610161072',NULL,'26',22.50,1,3,NULL),(20,5362458,'1968-08-29 00:00:00',4,1,12,1987,'F','N','CENTRO','FLORIANÓPOLIS','SC','224071071316151731559359495125340224122',NULL,'9998',0.00,1,3,NULL),(20,5362466,'1992-04-24 00:00:00',4,1,11,2009,'F','N','VARJOTA','FORTALEZA','CE','106062061215111431436812575122610136142',NULL,'9998',0.00,1,3,NULL),(20,5362474,'1991-03-21 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124244241212472431458513575114610134017',NULL,'269',17.40,1,3,NULL),(20,5362482,'1978-10-18 00:00:00',2,1,12,1996,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224254251112371751355654295112142622117',NULL,'9998',0.00,1,3,NULL),(20,5362504,'1992-04-02 00:00:00',4,1,12,2009,'M','N','ITAPARICA','VL VELHA','ES','108082081215111411468614575124610117042',10495,'9998',53.00,1,3,NULL),(20,5362539,'1992-04-13 00:00:00',4,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117371731458614592124610127047',NULL,'307',17.46,1,2,1),(20,5362555,'1963-04-08 00:00:00',2,1,11,1982,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','224253255116132441441644445122342866162',NULL,'9998',0.00,1,3,NULL),(20,5362571,'1992-05-05 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','120204201237131431435514392125610162053',NULL,'988',0.00,1,3,NULL),(20,5362580,'1991-11-23 00:00:00',4,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241247317141731226623495124610127067',NULL,'9999',39.67,1,3,NULL),(20,5362598,'1990-03-02 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124133138116161431558813495124233234043',NULL,'9998',21.51,1,3,NULL),(20,5362601,'1991-02-22 00:00:00',4,1,12,2008,'F','N','CENTRO','IMBUIA','SC','124241241127131431433633391125610126077',NULL,'364',24.01,1,3,NULL),(20,5362610,'1989-07-10 00:00:00',2,8,12,2008,'M','N','SÃO BRAZ','CURITIBA','PR','116163161147471411568871196125610167097',NULL,'9998',13.52,1,3,NULL),(20,5362628,'1993-02-07 00:00:00',2,1,12,2009,'F','N','CERÂMICA','ERECHIM','RS','120201201137141731323314245124610127147',NULL,'9998',24.52,1,2,1),(20,5362644,'1990-07-18 00:00:00',2,8,12,2007,'F','N','CENTRO','REGISTRO','SP','125252251216572431436821572324610122147',NULL,'9998',0.00,3,3,NULL),(20,5362652,'1992-07-30 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241415272431439921572122610144072',12858,'262',50.69,1,3,NULL),(20,5362660,'1993-04-02 00:00:00',4,1,12,2009,'F','N','CAMPO DUNA','GAROPABA','SC','124241241115131431426614572112610133145',NULL,'1136',43.90,1,2,1),(20,5362679,'1992-03-25 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215211431469734572125610167042',NULL,'226',28.67,1,3,NULL),(20,5362695,'1954-07-25 00:00:00',2,1,12,1986,'F','N','BARREIROS','S JOSÉ','SC','124201205211133311334243332334141611191',NULL,'9998',28.20,1,3,NULL),(20,5362709,'1992-07-02 00:00:00',2,1,12,2009,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241222131732325524292124610133057',NULL,'262',40.96,1,3,NULL),(20,5362717,'1992-09-03 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431358824575122610137042',5196,'262',66.74,1,3,NULL),(20,5362725,'1992-07-14 00:00:00',2,1,11,2010,'F','S','CARIANOS','FLORIANÓPOLIS','SC','124044241317151431668639492124610168072',NULL,'307',0.00,4,3,NULL),(20,5362733,'1978-09-19 00:00:00',2,1,12,1999,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241136134111124449315124321915142',NULL,'281',45.58,4,2,1),(20,5362750,'1990-11-18 00:00:00',2,1,11,2009,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124243241217142431449714572124231537142',NULL,'1063',41.95,1,3,NULL),(20,5362768,'1985-09-16 00:00:00',2,8,12,2002,'M','N','NOVO MUNDO','CURITIBA','PR','116161161111212751333329241314610167042',NULL,'9998',0.00,1,2,1),(20,5362776,'1992-07-22 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121432587513435112610138047',8384,'270',60.19,4,3,NULL),(20,5362784,'1984-11-28 00:00:00',2,1,12,2002,'M','N','CENTRO','PALHOÇA','SC','224251251147151411246642325122610157047',NULL,'9998',0.00,1,2,1),(20,5362792,'1992-06-26 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431418831574114610124017',NULL,'1050',0.00,1,3,NULL),(20,5362814,'1992-04-22 00:00:00',2,1,12,2009,'F','N','NATIVIDADE','STO AMARO IMPERATRIZ','SC','124241241117131711335621112224610168072',NULL,'772',40.30,1,2,1),(20,5362822,'1989-07-07 00:00:00',2,4,12,2006,'F','N','FLAMBOYANT','CPO GRANDE','MS','112123121215571431438319171112610164097',1223,'9998',78.98,4,3,NULL),(20,5362830,'1984-12-08 00:00:00',2,1,7,2003,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241147142431226867295122610128047',13283,'281',51.80,1,2,1),(20,5362857,'1993-03-04 00:00:00',4,1,12,2009,'M','N','CASSINO','RIO GRANDE','RS','120202201217271431459831595124610137042',9530,'9998',54.22,1,3,NULL),(20,5362865,'1989-12-09 00:00:00',5,9,12,2008,'M','N','GALÓPOLIS','CAXIAS SUL','RS','120202201416371431449933235114610137067',10799,'9998',53.22,1,3,NULL),(20,5362873,'1992-09-02 00:00:00',4,17,12,2009,'F','N','CENTRO','CANOINHAS','SC','124241241116271721338634575122610121147',NULL,'153',24.43,1,2,1),(20,5362890,'1991-08-30 00:00:00',3,3,11,2008,'M','N','CABRAL','CURITIBA','PR','116162161216472731489912571112610134042',NULL,'9998',0.00,1,3,NULL),(20,5362903,'1987-06-22 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117374431556413442122610124097',NULL,'281',26.55,1,2,1),(20,5362911,'1990-07-11 00:00:00',4,1,12,2007,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215573431369933575114122362112',4911,'270',68.04,1,3,NULL),(20,5362920,'1989-10-31 00:00:00',2,1,11,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241415273411228722145124121962057',11007,'44',56.28,1,3,NULL),(20,5362946,'1988-06-02 00:00:00',4,1,11,2006,'M','N','CENTRO','GUABIRUBA','SC','124162161216172431268932575122221462172',4897,'9998',68.60,1,3,NULL),(20,5362954,'1983-09-15 00:00:00',4,8,12,2000,'F','N','TARUMA','CURITIBA','PR','116162161416271431238823381121342261187',1388,'9998',78.98,4,3,NULL),(20,5362970,'1987-01-25 00:00:00',2,1,12,2004,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124242241212154451386514495124232462186',1244,'270',80.00,1,3,NULL),(20,5362989,'1986-07-18 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124033031236271431126811385125141028197',NULL,'9998',24.58,4,3,NULL),(20,5362997,'1992-05-01 00:00:00',4,4,11,2009,'F','N','CENTRO','XAXIM','SC','124243241212371431234932592122610134142',10366,'845',56.10,1,3,NULL),(20,5363012,'1994-01-20 00:00:00',4,4,12,2010,'F','S','SÃO LUIZ','S MIGUEL OESTE','SC','124242241215131431436611245122610164143',NULL,'752',0.00,1,3,NULL),(20,5363020,'1990-03-05 00:00:00',4,1,12,2007,'F','N','SETOR SUL','GOIÂNIA','GO','109092091216571231568832575112610166187',NULL,'9998',0.00,4,3,NULL),(20,5363039,'1992-01-07 00:00:00',5,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124251241142151431446614595124610124142',NULL,'287',25.85,1,2,1),(20,5363055,'1993-01-06 00:00:00',4,10,12,2009,'M','N','ILHOTINHA','CAPIVARI BAIXO','SC','124241241215151411446823572124610117057',NULL,'809',25.78,1,3,NULL),(20,5363071,'1990-02-18 00:00:00',2,1,12,2008,'M','N','ARMACAO DO PANTANO','FLORIANÓPOLIS','SC','124241241117131431444311245123610168182',NULL,'278',29.33,1,2,1),(20,5363080,'1991-07-21 00:00:00',4,1,12,2009,'M','N','BELA VISTA','PTO ALEGRE','RS','120204201216371431469812495122610117093',13880,'262',46.71,1,3,NULL),(20,5363098,'1990-06-29 00:00:00',4,1,12,2007,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241136472431326539595112610167042',NULL,'509',24.22,1,3,NULL),(20,5363101,'1984-07-03 00:00:00',2,8,6,2002,'M','N','COMASA','JOINVILLE','SC','124241246117231721523344442123231414051',8132,'306',61.59,1,3,NULL),(20,5363110,'1991-09-19 00:00:00',4,1,12,2008,'F','N','BOA VISTA','CURITIBA','PR','116162161211471411478934575122610162052',2851,'9998',72.48,1,3,NULL),(20,5363128,'1984-07-27 00:00:00',2,1,12,2001,'F','N','AREIAS','S JOSÉ','SC','124242241217375431446611332123120524077',NULL,'868',50.57,1,3,NULL),(20,5363136,'1990-10-31 00:00:00',4,1,12,2007,'M','N','BONFIM','PIRENÓPOLIS','GO','109092091211312431436812571124610162032',3340,'9998',72.50,1,3,NULL),(20,5363144,'1982-04-19 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','224161161136373741364353275124133222097',3590,'9998',71.92,1,2,1),(20,5363187,'1988-07-26 00:00:00',4,1,12,2005,'F','N','JARDIM ISMÊNIA','S JOSÉ CAMPOS','SP','125251251216573431436914575112610163142',8418,'9998',58.08,2,1,2),(20,5363195,'1993-06-06 00:00:00',4,1,12,2010,'F','S','BARREIROS','S JOSÉ','SC','124242241217111431466733575122610164142',NULL,'738',27.36,1,3,NULL),(20,5363209,'1988-04-06 00:00:00',4,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215152421449923395124231066197',15959,'272',44.34,1,3,NULL),(20,5363217,'1989-01-11 00:00:00',5,5,11,2006,'M','N','JARDIM ANGELICA','CRICIÚMA','SC','124241247227111421438419342112610147057',NULL,'920',16.02,1,3,NULL),(20,5363225,'1989-02-02 00:00:00',4,15,12,2006,'M','N','FLORESTA','PTO ALEGRE','RS','124244241216475711447912145124130764175',9564,'32',55.03,1,3,NULL),(20,5363250,'1991-09-13 00:00:00',4,8,12,2009,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215471431227961475115610167075',3479,'9998',72.18,1,3,NULL),(20,5363268,'1991-05-22 00:00:00',4,3,12,2008,'F','N','CENTRO','CAPIVARI','SP','125252251212471731558712312122610121097',14123,'9998',46.94,1,3,NULL),(20,5363276,'1992-02-20 00:00:00',4,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124241241215141531436514341121610167142',13667,'781',46.52,1,3,NULL),(20,5363284,'1989-03-28 00:00:00',4,8,12,2006,'M','N','NOVA ANDIRÁ','ANDIRÁ','PR','116164161216571751458831591124610167042',NULL,'9998',0.00,1,3,NULL),(20,5363292,'1991-05-13 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124241241126272231426619352124610134147',NULL,'736',28.22,1,2,1),(20,5363306,'1991-08-12 00:00:00',4,1,11,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215123431358614395122231423055',8833,'266',57.83,1,3,NULL),(20,5363314,'1984-08-17 00:00:00',2,1,12,2002,'F','N','AREIAS','S JOSÉ','SC','124241241147133431122444242324610126057',NULL,'257',24.25,1,3,NULL),(20,5363322,'1991-12-10 00:00:00',4,2,12,2009,'M','N','TATUAPÉ','S PAULO','SP','125252251215111231268811575112610124191',NULL,'9998',0.00,1,3,NULL),(20,5363349,'1992-04-29 00:00:00',4,1,12,2009,'M','N','JARDIM DAS FLORES','COTIA','SP','125252251217271411378611575122610134147',NULL,'9998',0.00,1,3,NULL),(20,5363357,'1991-06-08 00:00:00',4,1,12,2009,'M','N','SOMBRIO','STO AMARO IMPERATRIZ','SC','124241241122111432324411295124610116052',NULL,'773',23.21,1,2,1),(20,5363365,'1991-04-21 00:00:00',4,1,12,2008,'M','N','CENTRO','ITAPETININGA','SP','125252251216151141448833595144143267047',NULL,'9998',25.70,1,3,NULL),(20,5363373,'1993-05-16 00:00:00',4,1,11,2010,'M','S','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215111431469913475124610144092',NULL,'270',48.94,1,3,NULL),(20,5363381,'1992-08-08 00:00:00',4,7,12,2009,'M','N','LINHA MONTE ALEGRE','ERVAL VELHO','SC','124241241114141531433316162222610137042',12842,'253',48.05,1,2,1),(20,5363390,'1992-05-06 00:00:00',4,3,11,2009,'M','N','CENTRO','CAÇADOR','SC','124242241217151531559931515122610148181',NULL,'1124',0.00,1,3,NULL),(20,5363403,'1990-05-15 00:00:00',4,6,12,2007,'F','N','CENTRO','BARIRI','SP','125254251216571431468811574122610166182',NULL,'9998',0.00,1,3,NULL),(20,5363411,'1982-03-08 00:00:00',2,1,11,2000,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241311135411433711245134610167181',NULL,'298',25.84,1,3,NULL),(20,5363420,'1982-01-08 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241416575431224353481124610132141',NULL,'976',42.25,1,3,NULL),(20,5363438,'1993-10-19 00:00:00',4,10,12,2010,'M','S','CENTRO','JAGUARUNA','SC','124241241117271431446914475124610167142',NULL,'1034',24.64,1,3,NULL),(20,5363446,'1992-05-18 00:00:00',4,1,12,2008,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215471431478833575114610167185',10262,'1048',57.67,1,3,NULL),(20,5363462,'1992-07-07 00:00:00',4,17,12,2009,'F','N','CENTRO','ITAIÓPOLIS','SC','124241241115271431436933395124610127147',NULL,'387',18.59,1,2,1),(20,5363470,'1992-07-22 00:00:00',4,8,12,2009,'M','N','FLORESTA','JOINVILLE','SC','124241241215271431429923572124610127142',9359,'1105',59.33,1,3,NULL),(20,5363489,'1986-12-08 00:00:00',2,1,12,2003,'M','N','FLORESTA','CAXIAS SUL','RS','120201201131471431582412343114140662176',15274,'9998',47.05,1,2,1),(20,5363497,'1993-03-16 00:00:00',2,4,12,2009,'F','N','INTRIOR','PLANALTO ALEGRE','SC','124241241115271731429733572324610128187',NULL,'620',23.77,1,2,1),(20,5363500,'1990-06-22 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241247422132431536613341214610117055',NULL,'9999',25.89,1,3,NULL),(20,5363519,'1978-12-02 00:00:00',2,1,12,2007,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241245126132721313343136124232727097',NULL,'307',24.90,1,2,1),(20,5363527,'1982-01-01 00:00:00',2,1,12,2002,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241136132411458629342114610127033',NULL,'307',30.18,1,2,1),(20,5363543,'1990-11-27 00:00:00',4,1,11,2007,'F','N','CENTRO','EUNÁPOLIS','BA','113052051211571431456612571124142424192',544,'9998',83.42,1,3,NULL),(20,5363551,'1986-12-03 00:00:00',2,1,12,2004,'M','N','JARDIM DAS ACACIAS','S JOSÉ','SC','124241241117151731224344442124330234047',NULL,'733',25.24,1,3,NULL),(20,5363560,'1981-10-05 00:00:00',4,1,11,1999,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124212211217152441266843432122121164172',1342,'9998',79.55,1,3,NULL),(20,5363586,'1992-02-21 00:00:00',4,1,11,2009,'F','N','JURERE','FLORIANÓPOLIS','SC','124022241215111731368833572112610162072',242,'270',87.36,1,3,NULL),(20,5363608,'1989-09-30 00:00:00',4,5,12,2007,'F','N','CRISTO REI','ESTRELA','RS','120204201317571431448833585122610123047',8697,'9998',56.60,1,3,NULL),(20,5363616,'1992-05-27 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241117471731436821375124610165017',9058,'307',59.08,1,2,1),(20,5363624,'1987-08-15 00:00:00',2,1,12,2006,'F','N','JARDIM RIO VERDE','COLOMBO','PR','116161161116151411556713496122211045112',NULL,'9998',0.00,1,2,1),(20,5363632,'1992-04-22 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116012161215471431469913575122610153092',2522,'9998',74.09,4,3,NULL),(20,5363640,'1988-10-01 00:00:00',4,1,11,2007,'M','N','CENTRO','CNSO LAFAIETE','MG','113132131417121431446839385112241467055',NULL,'9998',0.00,1,3,NULL),(20,5363659,'1971-11-11 00:00:00',4,1,12,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224243247227161741438542125122610162097',NULL,'977',41.51,1,3,NULL),(20,5363667,'1977-03-11 00:00:00',4,1,12,1991,'M','N','CENTRO','FLORIANÓPOLIS','SC','124251251127273411133343132124140864042',9919,'9998',58.31,3,2,1),(20,5363675,'1992-11-11 00:00:00',4,10,12,2009,'F','N','TIRADENTES','GRAVATAL','SC','124241241135271431526734145122610147147',NULL,'332',23.28,1,3,NULL),(20,5363683,'1989-08-31 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241316575431434419375124610127187',NULL,'1065',52.18,1,3,NULL),(20,5363705,'1990-03-12 00:00:00',4,1,12,2007,'M','N','CENTRO','TERRA ROXA','SP','125254251216571721343416351122610167047',2624,'9998',73.95,3,3,NULL),(20,5363713,'1980-02-26 00:00:00',4,1,12,1997,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224202201216132531226859485124340224067',NULL,'9998',0.00,1,3,NULL),(20,5363721,'1965-12-05 00:00:00',4,1,12,1983,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241212135421248653282122143231097',NULL,'260',0.00,1,3,NULL),(20,5363756,'1990-06-16 00:00:00',4,1,11,2008,'M','N','MOINHOS','LAJEADO','RS','120204201217371231168921572124140362042',4750,'9998',67.47,1,3,NULL),(20,5363780,'1991-06-03 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431326812376124610126072',15300,'988',46.93,1,3,NULL),(20,5363799,'1989-12-22 00:00:00',4,1,12,2007,'F','N','VILA GOMES','S PAULO','SP','125252251415511431376924571124610146082',943,'9998',81.65,1,3,NULL),(20,5363802,'1989-09-19 00:00:00',4,5,12,2006,'F','N','PIO CORREIA','CRICIÚMA','SC','124242248216152431468714595122232614122',NULL,'226',25.29,1,3,NULL),(20,5363810,'1991-06-18 00:00:00',4,1,12,2008,'F','N','CAMPO BELO','PINDAMONHANGABA','SP','125252251216471411457813431122143223147',NULL,'9998',0.00,1,3,NULL),(20,5363829,'1994-07-28 00:00:00',4,1,12,2010,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241217151731348833575124610115147',NULL,'1168',0.00,1,3,NULL),(20,5363837,'1992-04-10 00:00:00',4,2,12,2009,'F','N','COLONIAL','S BENTO SUL','SC','124241241235111431436714271125610168197',NULL,'1154',0.00,1,3,NULL),(20,5363861,'1990-07-12 00:00:00',2,15,12,2007,'M','N','POÇO DA LONTRA','TURVO','SC','124241241117141421413315442333610127047',NULL,'814',0.00,1,2,1),(20,5363870,'1990-11-06 00:00:00',2,6,12,2007,'F','N','VILA SAO JOAO','IRATI','PR','116161161215412431436618374125610163187',4154,'9998',70.44,4,3,NULL),(20,5363888,'1992-05-07 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241212111751358914345124610112067',NULL,'1048',24.94,1,3,NULL),(20,5363896,'1990-05-10 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202248215374221459914342112220967067',13084,'806',52.20,1,3,NULL),(20,5363918,'1992-03-10 00:00:00',4,6,12,2009,'F','N','SANTA ROSA','PTO UNIÃO','SC','124241241117131431316623572224610114187',NULL,'635',0.00,1,2,1),(20,5363926,'1963-05-24 00:00:00',2,1,12,1982,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224103143246152451462643435122340237042',12735,'9998',52.86,4,3,NULL),(20,5363934,'1992-01-13 00:00:00',2,5,11,2009,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111431368934342122610135192',NULL,'210',46.09,1,3,NULL),(20,5363942,'1992-11-05 00:00:00',4,4,12,2009,'M','N','REGIÃO DO LAGO','CASCAVEL','PR','116164161115471431336923295122610124042',NULL,'9998',0.00,1,3,NULL),(20,5363950,'1984-01-11 00:00:00',2,1,12,2000,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201201117132441525411245114610166197',NULL,'9998',0.00,1,2,1),(20,5363969,'1992-08-17 00:00:00',4,3,12,2009,'F','N','MONTE VERDE','CÁCERES','MT','111112111236111431449414575122610127077',NULL,'9998',0.00,3,3,NULL),(20,5363977,'1975-12-29 00:00:00',4,5,12,1992,'M','N','SANTO ANTONIO','CRICIÚMA','SC','124241248111141421233344445124610127087',NULL,'228',30.22,1,3,NULL),(20,5363985,'1992-07-08 00:00:00',4,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241225111431323434572124610122092',14842,'262',47.08,2,1,2),(20,5364035,'1992-05-26 00:00:00',4,6,12,2009,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241215111411439921292122610134147',NULL,'1141',0.00,1,3,NULL),(20,5364043,'1990-04-08 00:00:00',4,1,12,2008,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241112161231325739585114610132187',NULL,'13',19.03,4,2,1),(20,5364051,'1992-04-29 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411569813572124610117047',15704,'266',43.46,1,3,NULL),(20,5364060,'1992-08-26 00:00:00',4,1,12,2009,'M','N','COPACABANA','UBERLÂNDIA','MG','113132131217111431247824575112610164015',10461,'9998',53.88,1,3,NULL),(20,5364078,'1992-03-06 00:00:00',4,5,12,2009,'M','N','CENTRO','SIDERÓPOLIS','SC','124242248213141432336617575122610167041',13900,'995',50.56,1,3,NULL),(20,5364094,'1993-12-18 00:00:00',4,6,12,2009,'F','N','CENTRO II','BRUSQUE','SC','124242241215161751338811295122610136167',NULL,'109',35.01,1,3,NULL),(20,5364108,'1988-08-08 00:00:00',2,1,12,2006,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','224242241117134731337843336112610167051',11528,'267',55.28,1,3,NULL),(20,5364124,'1993-01-23 00:00:00',4,1,12,2009,'F','N','CENTRO','GETÚLIO VARGAS','RS','120201201116271431559713575124610163147',NULL,'9998',21.18,1,2,1),(20,5364132,'1992-04-12 00:00:00',4,1,11,2009,'M','N','JARDIM KENNEDY','CUIABÁ','MT','111112111237111431458814485122610142031',4765,'9998',67.50,3,3,NULL),(20,5364140,'1991-05-09 00:00:00',2,1,11,2008,'M','N','IPIRANGA','S JOSÉ','SC','124243241215132431546663575124221324057',7600,'1134',62.62,1,3,NULL),(20,5364159,'1988-07-15 00:00:00',2,1,12,2005,'M','N','FAZENDA VELHA','ARAUCÁRIA','PR','116121121126161411413535145314642217042',NULL,'9998',38.72,4,3,NULL),(20,5364167,'1985-09-22 00:00:00',4,1,12,2002,'F','N','JARDIM SÃO LUIZ','RIBEIRÃO PRETO','SP','125251251116572431458314475112343263147',3099,'9998',72.03,1,2,1),(20,5364175,'1971-07-05 00:00:00',4,2,7,2006,'F','N','PASSO MANSO','BLUMENAU','SC','524241248347131431214444342214610112147',NULL,'73',15.51,1,3,NULL),(20,5364183,'1990-07-11 00:00:00',2,4,12,2007,'M','N','ZONA I','UMUARAMA','PR','116162161216471431358933172122610122172',2404,'9998',74.17,1,3,NULL),(20,5364191,'1992-06-02 00:00:00',4,4,12,2009,'M','N','VILA PINTO','PALMEIRA MISSÕES','RS','120203201116151431478813275122610122042',4682,'9998',69.14,1,3,NULL),(20,5364205,'1988-01-04 00:00:00',4,1,12,2005,'M','N','KOBRASOL','S JOSÉ','SC','124241241117575711557613376122121834082',8795,'307',60.36,1,2,1),(20,5364213,'1992-07-29 00:00:00',2,8,12,2009,'M','N','ATERRADO ALTO','MTE CASTELO','SC','124241241115271711424923572224610117052',NULL,'566',23.48,1,2,1),(20,5364221,'1990-08-30 00:00:00',4,1,12,2008,'F','N','NOGUEIRA','GUARAREMA','SP','125251251116471711657314595114610162092',NULL,'9998',0.00,1,2,1),(20,5364230,'1992-01-11 00:00:00',4,1,12,2009,'M','N','CENTRO','LONDRINA','PR','116162161215111431339872572122610167012',3008,'9998',72.19,1,3,NULL),(20,5364248,'1991-06-26 00:00:00',4,6,12,2009,'M','N','SANTA RITA','BRUSQUE','SC','124241241112131731326419292122610122187',NULL,'116',0.00,1,2,1),(20,5364256,'1991-10-16 00:00:00',2,4,12,2008,'F','N','CENTRO','S BORJA','RS','120201201116471431548616475124610146197',6929,'9998',62.48,1,2,1),(20,5364272,'1994-01-10 00:00:00',4,1,12,2010,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124244241215151411588713276112610162195',NULL,'883',54.10,1,3,NULL),(20,5364280,'1992-04-16 00:00:00',4,4,12,2009,'M','N','CENTRO','STO ANTÔNIO SUDOESTE','PR','116161161417271521467812571112610168012',NULL,'9998',25.12,1,3,NULL),(20,5364302,'1989-01-23 00:00:00',4,8,12,2006,'F','N','FLORESTA','JOINVILLE','SC','116162161216573431448811575122610123182',9764,'9998',56.86,1,3,NULL),(20,5364310,'1992-04-07 00:00:00',4,4,12,2009,'F','N','CENTRO','MEDIANEIRA','PR','116164161315121441368813572112610114142',13127,'9998',49.49,1,3,NULL),(20,5364329,'1992-03-27 00:00:00',4,1,12,2009,'F','N','BELA VISTA','GOIÂNIA','GO','109092091212111751457811572122610165187',9932,'9998',56.04,4,3,NULL),(20,5364337,'1991-06-29 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215131431449617572122610167115',NULL,'262',26.15,1,3,NULL),(20,5364345,'1989-09-18 00:00:00',2,9,12,2009,'M','N','CORAL','LAGES','SC','124243247417271431556936575121610127042',NULL,'9999',15.36,1,3,NULL),(20,5364353,'1988-10-07 00:00:00',2,3,12,2005,'F','N','CENTRO','JANDAIA SUL','PR','116162161217571331438612472112143262142',4813,'9998',67.52,1,3,NULL),(20,5364361,'1983-07-25 00:00:00',4,10,11,2001,'F','N','DEHON','TUBARÃO','SC','124244241217154722136643435124331036187',10066,'213',58.02,1,3,NULL),(20,5364370,'1992-05-11 00:00:00',4,7,12,2008,'M','N','SALTO','SALTO VELOSO','SC','124243241115162431558612345125610147187',NULL,'1113',0.00,1,3,NULL),(20,5364388,'1990-03-14 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241215133441233823575114221444182',NULL,'981',0.00,1,3,NULL),(20,5364396,'1992-03-27 00:00:00',4,2,11,2009,'M','N','TESTO SALTO','BLUMENAU','SC','124241241215131431346833572124610138182',15222,'1018',40.98,1,3,NULL),(20,5364418,'1991-02-27 00:00:00',2,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241215474431467532595122610167042',NULL,'497',58.88,1,3,NULL),(20,5364442,'1992-10-09 00:00:00',4,1,12,2009,'F','N','LARANJEIRAS','RIO SUL','SC','124242241215131251255824572112610122017',NULL,'654',0.00,1,3,NULL),(20,5364469,'1991-05-10 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','120201201117371441356839575114610125192',NULL,'9998',0.00,1,2,1),(20,5364477,'1992-03-03 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','116162168212472431448812575124610163047',3140,'9998',73.09,1,3,NULL),(20,5364485,'1992-04-04 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215112431357929575124610126017',6729,'270',62.26,1,3,NULL),(20,5364493,'1992-12-21 00:00:00',4,17,12,2009,'F','N','CENTRO','CANOINHAS','SC','124241241116371451425519572122610126147',NULL,'146',23.10,1,2,1),(20,5364507,'1992-09-04 00:00:00',4,8,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161217111531358914472124610167017',NULL,'9998',0.00,1,3,NULL),(20,5364515,'1993-05-17 00:00:00',4,1,12,2010,'F','S','ASA SUL','BRASÍLIA','DF','107242078217111431469913431112610165072',NULL,'9998',55.23,1,3,NULL),(20,5364523,'1990-11-17 00:00:00',2,1,12,2007,'M','N','CENTRO','CASCAVEL','PR','116161161411521321347611385124240612036',NULL,'9998',29.12,1,3,NULL),(20,5364531,'1991-06-13 00:00:00',4,1,12,2008,'M','N','CENTRO','TIMBÓ','SC','124242241215412431548811575124610127182',2364,'270',75.57,1,3,NULL),(20,5364540,'1992-07-13 00:00:00',4,10,12,2009,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215111431357812572122610124142',13336,'797',48.76,1,3,NULL),(20,5364558,'1990-12-23 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','624242241215111431359914576112610165182',NULL,'1022',28.67,1,3,NULL),(20,5364574,'1989-11-29 00:00:00',4,15,12,2007,'M','N','MONT SERRAT','PTO ALEGRE','RS','120202201211471431579811592144610142122',7904,'9998',60.19,1,3,NULL),(20,5364582,'1992-11-12 00:00:00',4,3,12,2009,'F','N','SÃO BRÁS','CURITIBA','PR','116163161115111431338814575124610123147',NULL,'9998',19.57,1,3,NULL),(20,5364590,'1992-01-02 00:00:00',4,1,12,2008,'F','N','SANTA FÉ','CPO GRANDE','MS','112122121116411431458833594122610131182',NULL,'9998',0.00,1,3,NULL),(20,5364604,'1988-01-01 00:00:00',4,8,12,2005,'M','N','UNIVERSITARIO','MARINGÁ','PR','116162161211471431438811572324141434077',1730,'9998',77.14,1,3,NULL),(20,5364612,'1985-04-05 00:00:00',2,5,12,2002,'M','N','SANTA AUGUSTA','CRICIÚMA','SC','124241241411575411466631372231120214021',427,'20',85.17,1,3,NULL),(20,5364620,'1990-12-20 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124213241116133431326521282324610163147',NULL,'281',27.00,1,3,NULL),(20,5364639,'1989-03-24 00:00:00',2,8,11,2007,'F','N','BACACHERI','CURITIBA','PR','216142161215571431375359472112610122072',NULL,'9998',30.18,1,3,NULL),(20,5364647,'1991-11-25 00:00:00',2,2,12,2008,'F','N','CENTRO','STA MARIA','RS','120201201111471331428813471122610116142',11310,'9998',52.32,1,3,NULL),(20,5364671,'1993-08-04 00:00:00',4,2,12,2010,'F','S','NAÇÕES','TIMBÓ','SC','124241241215111431433319576121610125142',NULL,'1157',57.82,1,3,NULL),(20,5364680,'1990-12-25 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116273451436714385114120923147',NULL,'288',29.87,1,2,1),(20,5364701,'1991-09-13 00:00:00',4,1,12,2009,'M','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124242248215151431378832395112610162182',NULL,'1090',0.00,1,3,NULL),(20,5364710,'1991-09-15 00:00:00',4,1,12,2008,'F','N','JARDIM SÃO PAULO','S PAULO','SP','125252251216471431478824572112610122077',3442,'9998',69.75,1,3,NULL),(20,5364736,'1991-10-14 00:00:00',2,1,12,2009,'F','N','MORUMBI','S PAULO','SP','125252251216371731388832572122610132077',NULL,'9998',0.00,1,3,NULL),(20,5364744,'1991-01-25 00:00:00',4,1,12,2007,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241247117131431437764485124610112017',NULL,'9999',26.68,1,3,NULL),(20,5364752,'1984-07-10 00:00:00',2,1,12,2001,'F','N','SANTA CANDIDA','CURITIBA','PR','116161161316531431423311445124610162097',NULL,'9998',27.28,4,1,2),(20,5364760,'1992-04-11 00:00:00',4,9,12,2009,'F','N','MARIA LUIZA','LAGES','SC','124241241116271431523311575124610132147',14688,'935',44.56,1,2,1),(20,5364779,'1990-03-10 00:00:00',2,4,12,2007,'F','N','CENTRO','XANXERÊ','SC','124242241214574431466632572122610125142',6531,'836',62.58,1,3,NULL),(20,5364795,'1991-10-11 00:00:00',4,6,12,2008,'F','N','JARDIM AMÉRICA','MAFRA','SC','124241241146271731546814292112610162142',NULL,'542',18.65,1,2,1),(20,5364809,'1986-02-06 00:00:00',4,6,11,2004,'M','N','CENTRO','NOVO HAMBURGO','RS','120202203216571431569832415122141447182',NULL,'9998',0.00,1,3,NULL),(20,5364817,'1991-12-04 00:00:00',4,1,11,2008,'M','N','JARDIM TAROBÁ','FOZ IGUAÇU','PR','116162161216371431468834575124241424012',2990,'9998',73.26,1,3,NULL),(20,5364825,'1992-12-01 00:00:00',4,17,11,2009,'M','N','SOSSEGO','CANOINHAS','SC','124244241235111632435412175112610148017',8493,'154',59.57,1,3,NULL),(20,5364841,'1992-01-03 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115151731335929175114610136187',NULL,'307',28.36,1,3,NULL),(20,5364850,'1993-04-30 00:00:00',3,1,12,2010,'F','S','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124244241215111431568929575124610131112',NULL,'270',43.04,1,3,NULL),(20,5364868,'1989-05-09 00:00:00',2,3,12,2005,'F','N','CENTRO','CURITIBA','PR','116222161215572421246939575124610162142',2210,'9998',76.12,4,3,NULL),(20,5364876,'1962-11-16 00:00:00',2,1,12,1978,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224161164317552711312244315132540662191',6784,'9998',64.30,1,3,NULL),(20,5364892,'1992-10-27 00:00:00',4,2,12,2009,'F','N','SOUZA CRUZ','BRUSQUE','SC','124241241117141431564614345122610167141',12985,'110',49.26,1,2,1),(20,5364906,'1993-08-28 00:00:00',4,1,12,2010,'F','S','BARREIROS','S JOSÉ','SC','124242241217111432468833572112610138072',NULL,'270',23.47,1,3,NULL),(20,5364914,'1990-03-09 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201132132431123944442214141767047',NULL,'9998',28.38,1,2,1),(20,5364922,'1991-03-23 00:00:00',2,1,12,2008,'F','N','CENTRO','CRUZ ALTA','RS','120201201216371441447732442115610127147',14200,'9998',49.96,1,3,NULL),(20,5364930,'1989-05-22 00:00:00',4,3,12,2005,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161216572421349929595122610162142',1980,'9998',75.74,1,3,NULL),(20,5364949,'1969-02-12 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','220243247225141421333342225122610138142',NULL,'9999',0.00,1,3,NULL),(20,5364957,'1990-05-07 00:00:00',2,1,12,2007,'M','N','PENHA','PAULO LOPES','SC','124241241225132441349833332124610156063',NULL,'262',0.00,1,3,NULL),(20,5364981,'1991-02-18 00:00:00',4,16,12,2008,'F','N','JARDIM SANTA MARIA','TOLEDO','PR','116161161116571431543315375122610134147',6504,'9998',63.60,1,2,1),(20,5364990,'1991-02-03 00:00:00',2,8,11,2008,'F','N','BRAGA','S JOSÉ PINHAIS','PR','116162161217471431457714471124610133057',4137,'9998',68.50,1,3,NULL),(20,5365007,'1988-01-28 00:00:00',4,8,12,2005,'M','N','JARDIM GUANABARA','S CARLOS','SP','125252251216571451478831571122610164047',NULL,'9998',0.00,1,3,NULL),(20,5365015,'1982-06-18 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241112133431226721115124121267185',NULL,'307',44.78,1,3,NULL),(20,5365023,'1989-12-25 00:00:00',4,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124051241226132411325324142124610125147',NULL,'262',25.63,1,3,NULL),(20,5365031,'1992-06-19 00:00:00',4,17,12,2009,'M','N','NOVA BRASILIA','MAJ VIEIRA','SC','124241241115131431323313332121610167052',NULL,'548',22.91,1,2,1),(20,5365040,'1988-01-18 00:00:00',2,6,12,2004,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201217271431313723572124610162047',NULL,'9998',0.00,4,3,NULL),(20,5365066,'1992-05-07 00:00:00',4,4,12,2008,'F','N','UNIVERSITÁRIO','CASCAVEL','PR','116162161215471411546632575124610127092',14815,'9998',48.20,3,3,NULL),(20,5365074,'1993-01-03 00:00:00',2,4,12,2009,'F','N','SÃO VALENTIM','DESCANSO','SC','124241241116131421426435351324610116197',NULL,'371',0.00,1,3,NULL),(20,5365082,'1991-01-08 00:00:00',4,10,12,2008,'F','N','OFICINAS','TUBARÃO','SC','124243241231152441335619341123231514077',13021,'809',48.89,1,3,NULL),(20,5365104,'1992-09-20 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241117271431223929572324610137047',13583,'307',51.19,2,1,2),(20,5365120,'1992-05-11 00:00:00',4,1,12,2009,'F','N','VARGINHA','ITAJUBÁ','MG','113132131217111431338823475115610168193',NULL,'9998',24.15,1,3,NULL),(20,5365139,'1989-10-04 00:00:00',4,1,12,2007,'M','N','RIO VERMELHO','SALVADOR','BA','105052051217571431444923215124142246142',NULL,'9998',0.00,1,3,NULL),(20,5365147,'1991-06-18 00:00:00',4,1,12,2008,'F','N','CENTRO','IPUMIRIM','SC','124241241112371431546614574124610124197',11227,'374',54.33,1,2,1),(20,5365155,'1992-02-09 00:00:00',4,10,12,2009,'F','N','PROGRESSO','LAGUNA','SC','124241241115161431626514572122610122143',NULL,'521',17.82,1,2,1),(20,5365171,'1992-06-13 00:00:00',4,2,12,2009,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124243241235111431356634345124610164041',NULL,'71',48.29,1,3,NULL),(20,5365180,'1994-02-08 00:00:00',4,6,12,2010,'M','S','CENTRO','STA CECÍLIA','SC','124243241416111531447732575122610157012',NULL,'1124',53.98,1,3,NULL),(20,5365198,'1992-07-15 00:00:00',2,3,12,2009,'F','N','MORRETES','ITAPEMA','SC','124241241217142431346612294224610161183',NULL,'403',22.36,1,3,NULL),(20,5365201,'1989-08-12 00:00:00',2,1,12,2006,'M','N','KOBRASOL','S JOSÉ','SC','124242241217253431663912341122231237062',16115,'724',43.34,1,3,NULL),(20,5365210,'1990-03-05 00:00:00',4,8,12,2007,'F','N','CABRAL','CURITIBA','PR','116162161216571431347729572114142256097',2144,'9998',76.40,1,3,NULL),(20,5365228,'1992-10-16 00:00:00',4,17,11,2009,'M','N','MARCILIO DIAS','CANOINHAS','SC','124241241132371631536833285124610162047',NULL,'150',21.11,1,2,1),(20,5365236,'1990-09-30 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215372431358639572122610162077',NULL,'269',22.34,1,3,NULL),(20,5365244,'1990-06-21 00:00:00',4,8,6,2008,'F','N','BACACHERI','CURITIBA','PR','116162281216571711479933575114610142073',NULL,'9998',0.00,4,3,NULL),(20,5365260,'1985-10-25 00:00:00',4,1,4,2004,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115273731653823285121331267015',5400,'306',67.32,4,2,1),(20,5365295,'1990-09-12 00:00:00',4,1,12,2007,'F','N','CENTRO','COLORADO','PR','116162161216572731488814575124610112047',NULL,'9998',0.00,1,3,NULL),(20,5365309,'1991-03-19 00:00:00',4,7,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241214131231358623592124231028143',13836,'1000',48.09,1,3,NULL),(20,5365317,'1991-12-26 00:00:00',2,15,12,2009,'M','N','ULTIMO RIO','JACINTO MACHADO','SC','124243241335161431331629471124610156047',NULL,'250',19.49,1,3,NULL),(20,5365325,'1991-02-11 00:00:00',4,6,12,2008,'M','N','CENTRO','ITAJAÍ','SC','624242241215472731476831475122131466012',15537,'392',46.16,1,3,NULL),(20,5365341,'1992-07-18 00:00:00',4,10,12,2009,'F','N','PROGRESSO','LAGUNA','SC','124241241115161431429513572122610132147',NULL,'521',25.04,1,2,1),(20,5365350,'1992-05-05 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431567933575124610164182',NULL,'1022',37.05,1,3,NULL),(20,5365368,'1986-02-13 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124251251116271411338614382114610165142',13447,'9998',49.10,1,2,1),(20,5365376,'1991-06-08 00:00:00',5,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124161241117273431635611375124610166195',NULL,'288',39.24,1,2,1),(20,5365384,'1991-07-11 00:00:00',4,1,12,2008,'F','N','VILA MIRANDA','SUMARÉ','SP','125252251116471431469814575122610133092',NULL,'9998',19.23,1,3,NULL),(20,5365392,'1988-06-02 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','S JOSÉ','SC','124243241212134431236629441124232022172',NULL,'723',19.34,1,3,NULL),(20,5365406,'1992-02-25 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241215352431454812575112610162042',11433,'9997',55.46,1,3,NULL),(20,5365422,'1970-08-29 00:00:00',1,1,12,1998,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241127132421323343432114322266147',NULL,'9997',47.52,1,3,NULL),(20,5365430,'1990-07-23 00:00:00',4,1,6,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','116092281212471711459931571115610164197',5176,'9998',65.91,1,3,NULL),(20,5365465,'1992-05-27 00:00:00',4,1,12,2009,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161217111431356839574112610166093',NULL,'9998',0.00,1,3,NULL),(20,5365481,'1992-07-21 00:00:00',2,1,12,2009,'F','N','COLISEU','LONDRINA','PR','116162161216111431548822575122610152053',NULL,'9998',0.00,1,3,NULL),(20,5365490,'1992-10-27 00:00:00',2,1,12,2009,'F','N','JD HIGIANOPOLIS','APUCARANA','PR','116162161214111431556634572122610132142',10126,'9998',54.02,1,3,NULL),(20,5365503,'1990-01-30 00:00:00',2,1,12,2007,'F','N','IGUATEMI','IGUATEMI','PR','116162161215571431536832325124610126077',7467,'9998',62.87,1,3,NULL),(20,5365511,'1992-03-26 00:00:00',4,10,12,2009,'F','N','HUMAITÁ','TUBARÃO','SC','124242241215121431457714572112610161142',6828,'797',63.48,1,3,NULL),(20,5365520,'1991-04-26 00:00:00',4,1,11,2009,'M','N','PEDRA BRANCA','PALHOÇA','SC','124243241215111431426534271224610134142',NULL,'724',24.54,1,3,NULL),(20,5365538,'1992-10-09 00:00:00',2,1,12,2009,'M','N','CENTRO','VIDAL RAMOS','SC','124241241125131431625436252222610127057',NULL,'828',20.37,1,2,1),(20,5365546,'1987-01-03 00:00:00',4,5,11,2004,'M','N','UNIVERSITÁRIO','CRICIÚMA','SC','124242241211142421438812445122231467051',NULL,'226',26.94,1,3,NULL),(20,5365554,'1992-04-02 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248215221431379613575122610122042',15883,'270',44.70,1,3,NULL),(20,5365562,'1991-09-11 00:00:00',4,1,12,2009,'M','N','FLÔR DE NÁPOLES','S JOSÉ','SC','124242241415131431334431572114610144047',NULL,'944',41.60,1,3,NULL),(20,5365570,'1991-10-01 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241112151411458833432125610161047',NULL,'307',26.09,1,3,NULL),(20,5365589,'1991-12-03 00:00:00',4,1,12,2009,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215121411488832575122610137042',NULL,'270',36.84,1,3,NULL),(20,5365597,'1990-08-08 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115272431327514445124610128147',12204,'267',52.75,1,2,1),(20,5365600,'1987-03-23 00:00:00',2,1,12,2004,'F','N','ZONA SETE','MARINGÁ','PR','116111111346572731426633185124610167147',NULL,'9998',29.88,1,3,NULL),(20,5365619,'1984-11-01 00:00:00',4,1,12,2002,'M','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125252251212572431349621591122610112042',619,'9998',83.22,1,3,NULL),(20,5365635,'1992-03-08 00:00:00',4,5,12,2009,'M','N','SÃO JÕAO','COCAL SUL','SC','124243241217111532433614472124610137041',9220,'995',59.58,1,3,NULL),(20,5365643,'1992-05-04 00:00:00',4,1,5,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242281412141431458839342122610137122',NULL,'9998',21.63,1,3,NULL),(20,5365651,'1991-02-01 00:00:00',4,1,12,2008,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215112432458833575124221064022',248,'270',87.28,1,3,NULL),(20,5365660,'1991-01-22 00:00:00',2,10,12,2007,'F','N','CENTRO','CAPIVARI BAIXO','SC','124243241117372411433619275114130644147',NULL,'1034',22.15,1,3,NULL),(20,5365678,'1990-05-04 00:00:00',4,3,12,2007,'M','N','VILA ROMANA','S PAULO','SP','125242241217473432569814475124220347053',NULL,'829',0.00,1,3,NULL),(20,5365686,'1990-10-18 00:00:00',4,3,12,2007,'M','N','CENTRO','APUCARANA','PR','116162161217571431545816575112610132192',7561,'9998',59.98,1,3,NULL),(20,5365694,'1993-07-15 00:00:00',4,1,12,2010,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241212111711468813575112610162016',NULL,'270',43.26,1,3,NULL),(20,5365708,'1992-06-02 00:00:00',4,8,12,2009,'M','N','ÁGUA VERDE','JARAGUÁ SUL','SC','124241241147141431533514246221610127057',NULL,'425',27.72,1,2,1),(20,5365724,'1992-03-08 00:00:00',2,1,12,2009,'F','N','SERTÃO MARUI','S JOSÉ','SC','124241241116141511423317372324610124157',NULL,'733',15.92,4,2,1),(20,5365732,'1992-07-15 00:00:00',2,1,12,2009,'F','N','PIONEIRA','TOLEDO','PR','116161161237371431457812575122610132122',12165,'9998',50.50,1,3,NULL),(20,5365740,'1986-09-11 00:00:00',4,1,7,2004,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243247417153751447617587115122468187',6034,'1003',63.64,1,3,NULL),(20,5365759,'1993-01-05 00:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215372431468732574122610124172',971,'1038',80.88,4,3,NULL),(20,5365767,'1993-07-09 00:00:00',2,5,12,2009,'M','N','MINA DO MATO','CRICIÚMA','SC','124164241317131742637511572114610137042',NULL,'920',28.94,1,3,NULL),(20,5365775,'1991-05-18 00:00:00',2,8,12,2008,'M','N','SOARES','CACHOEIRA SUL','RS','120202201217471431458911472124610121017',2981,'9998',71.20,1,3,NULL),(20,5365783,'1993-07-28 00:00:00',4,5,12,2010,'M','S','CENTRO','CRICIÚMA','SC','124242241217371431468831272121610127127',NULL,'226',52.97,1,3,NULL),(20,5365791,'1988-01-13 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215272431226623482214610123142',NULL,'1036',18.17,2,1,2),(20,5365813,'1988-11-02 00:00:00',2,1,12,2005,'F','N','CENTRO','STA MARIA','RS','120201201112571431423329574125610114042',8862,'9998',59.01,1,2,1),(20,5365821,'1988-01-25 00:00:00',2,8,12,2005,'F','N','ORLEANS','CURITIBA','PR','116162161215571441635632572112610146177',2215,'9998',76.08,1,3,NULL),(20,5365848,'1983-03-24 00:00:00',4,1,7,2001,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242246136575741357931295124121627123',11540,'306',55.25,1,3,NULL),(20,5365856,'1985-08-17 00:00:00',2,1,1,2004,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224203201117133721213518235145610164067',9789,'9998',58.57,1,3,NULL),(20,5365864,'1990-11-26 00:00:00',4,1,11,2008,'M','N','JARDIM TABOÃO','S PAULO','SP','125252251217372741228929275122610124087',NULL,'9998',0.00,1,3,NULL),(20,5365880,'1986-07-11 00:00:00',2,1,12,2003,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241115134421338923341113610164042',NULL,'727',0.00,1,2,1),(20,5365899,'1991-01-03 00:00:00',2,1,12,2009,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241127141412433311376224610115142',NULL,'592',27.39,1,3,NULL),(20,5365902,'1983-02-02 00:00:00',5,15,12,2003,'M','N','CENTRO','CRICIÚMA','SC','224242246214231431321844442122610117057',NULL,'230',27.83,3,3,NULL),(20,5365910,'1987-11-03 00:00:00',2,1,12,2007,'F','N','TIJUQUINHAS','BIGUAÇU','SC','124241241115271111425369445234610158147',NULL,'64',0.00,1,2,1),(20,5365929,'1992-05-19 00:00:00',4,10,12,2009,'F','N','CAMPO DE FORA','LAGUNA','SC','124241248115131131523614572222610164017',NULL,'521',17.33,1,2,1),(20,5365937,'1992-10-31 00:00:00',4,9,12,2009,'F','N','SÃO FRANCISCO','GARIBALDI','RS','120203201216471431359939192122610133142',12722,'9998',50.08,1,3,NULL),(20,5365945,'1986-12-12 00:00:00',2,4,12,2004,'F','N','ALTO DA GLÓRIA','LOANDA','PR','116162161216512431448933575122610123077',NULL,'9998',0.00,1,3,NULL),(20,5365953,'1992-02-09 00:00:00',4,2,12,2009,'M','N','CENTRO','RIO SUL','SC','124242241216151431349614575111610164122',8442,'663',58.33,1,3,NULL),(20,5365961,'1992-10-02 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216112431569932572124610124012',14105,'262',48.14,1,3,NULL),(20,5365970,'1965-10-31 00:00:00',2,1,12,1983,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','224241241132132411356844345122120244047',11522,'307',55.29,1,2,1),(20,5365988,'1980-08-05 00:00:00',4,1,12,1997,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242161216473721258979395125321464017',NULL,'9998',0.00,1,3,NULL),(20,5365996,'1992-06-24 00:00:00',4,3,12,2009,'F','N','CENTRO','ARAPONGAS','PR','116162161217111431468812575122610162142',NULL,'9998',0.00,1,3,NULL),(20,5366003,'1991-08-01 00:00:00',4,8,12,2008,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124242241216472431479934575112610167047',12779,'1174',52.78,1,3,NULL),(20,5366011,'1992-07-12 00:00:00',2,15,12,2009,'M','N','CAMPESTRE','LAJEADO','RS','120202201217271431468812481122610127056',6470,'9998',62.74,1,3,NULL),(20,5366020,'1993-03-27 00:00:00',4,1,11,2010,'M','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431336632573124610127052',NULL,'1022',42.62,1,3,NULL),(20,5366038,'1993-03-22 00:00:00',4,1,12,2010,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215112431476613275122610122126',NULL,'723',61.86,1,3,NULL),(20,5366046,'1992-05-30 00:00:00',4,3,12,2009,'F','N','PARTENON','PTO ALEGRE','RS','120203201117471531349933595124610138197',NULL,'9998',24.33,1,3,NULL),(20,5366054,'1984-10-16 00:00:00',4,1,6,2004,'M','N','FUNDOS','BIGUAÇU','SC','124241241122141431623311211114131016042',NULL,'65',25.84,1,2,1),(20,5366062,'1983-05-28 00:00:00',2,1,6,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241257123231731323375441124610164193',NULL,'9998',46.38,4,3,NULL),(20,5366089,'1980-03-20 00:00:00',2,7,12,1997,'F','N','NAZARÉ','CONCÓRDIA','SC','124241241126131411124441112122132837147',NULL,'193',43.50,1,3,NULL),(20,5366097,'1990-09-23 00:00:00',4,9,12,2007,'F','N','CONTA DINHEIRO','LAGES','SC','124242241216374431548632475124231427092',7050,'855',62.68,1,3,NULL),(20,5366100,'1991-04-16 00:00:00',4,1,11,2008,'M','N','PLANALTO PAULISTA','S PAULO','SP','125252251215471441569913571124610147052',2545,'9998',73.56,1,3,NULL),(20,5366127,'1985-06-24 00:00:00',4,1,10,2008,'M','N','BOQUEIRÃO','SANTOS','SP','125251258117231431323311575115610132047',NULL,'9998',41.91,1,3,NULL),(20,5366135,'1984-09-20 00:00:00',4,15,12,2001,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','224241241126131421323744142311610117047',NULL,'30',11.48,1,2,1),(20,5366160,'1989-01-21 00:00:00',4,1,12,2006,'M','N','VILA TENIS CLUBE','ASSIS','SP','116252251217513411548714475121610164057',NULL,'9998',0.00,4,3,NULL),(20,5366178,'1992-01-28 00:00:00',2,10,12,2009,'F','N','NOVA BRASILIA','IMBITUBA','SC','124241241112131431621321212323610127047',NULL,'359',26.83,1,3,NULL),(20,5366186,'1992-06-17 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215273431389933575122610147112',1343,'883',79.55,1,3,NULL),(20,5366194,'1990-04-19 00:00:00',5,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116271752448839575122610127072',12192,'267',52.33,1,2,1),(20,5366208,'1989-12-03 00:00:00',4,5,12,2006,'M','N','BOM FIM','PTO ALEGRE','RS','120202201211371411119911581111141767065',1558,'9998',78.09,1,3,NULL),(20,5366216,'1990-08-09 00:00:00',4,1,11,2007,'F','N','CENTRO','CURITIBA','PR','116252161216574221549912572111610162092',NULL,'9998',49.47,1,3,NULL),(20,5366224,'1992-05-23 00:00:00',4,1,11,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241412111231388932572122610167042',5186,'270',66.18,1,3,NULL),(20,5366232,'1982-11-17 00:00:00',2,1,12,1999,'F','N','CANASVIERAS','FLORIANÓPOLIS','SC','224241241126154411246659435124322766017',NULL,'307',0.00,4,3,NULL),(20,5366259,'1992-03-12 00:00:00',4,1,12,2009,'M','N','JARDIM VERTONI','CATANDUVA','SP','125252251117111431478812595112610128182',NULL,'9998',0.00,1,3,NULL),(20,5366267,'1989-08-08 00:00:00',4,1,12,2006,'F','N','PERDIZES','S PAULO','SP','125202251217571431468814575124610132142',NULL,'9998',0.00,1,3,NULL),(20,5366275,'1992-01-14 00:00:00',2,5,11,2009,'F','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124241241215212431645939272112133224142',4485,'226',69.55,1,3,NULL),(20,5366291,'1981-11-23 00:00:00',4,1,12,1999,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224212211216152411245649495124321962017',8966,'9998',60.03,4,3,NULL),(20,5366305,'1992-02-14 00:00:00',4,1,12,2009,'F','N','SANTA ROSA','PTO UNIÃO','SC','124241241137131432446623342214610161092',NULL,'635',20.98,1,2,1),(20,5366313,'1992-03-27 00:00:00',4,1,12,2009,'F','N','HAMBURGO VELHO','NOVO HAMBURGO','RS','120202201215161731445819392124610138187',14221,'9998',46.83,1,3,NULL),(20,5366321,'1991-05-10 00:00:00',2,1,12,2008,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241116472432326313443124610134147',NULL,'288',29.24,1,2,1),(20,5366330,'1991-11-17 00:00:00',4,1,12,2008,'M','N','PARQUE DAS NAÇÕES','STO ANDRÉ','SP','125253251216471431469814575124610122092',3704,'9998',69.11,3,3,NULL),(20,5366348,'1994-03-10 00:00:00',4,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241116111431437731275114610137042',15994,'739',44.12,1,3,NULL),(20,5366356,'1991-10-09 00:00:00',4,1,12,2009,'M','N','JARDIM MONUMENTO','PIRACICABA','SP','125252251216111431569834572112610117047',NULL,'9998',0.00,1,3,NULL),(20,5366364,'1985-06-23 00:00:00',2,1,12,2002,'F','N','CAMPO NOVO','PTO ALEGRE','RS','120202201217571431443823572114610122077',7079,'9998',62.56,1,3,NULL),(20,5366372,'1991-05-25 00:00:00',4,8,12,2008,'M','N','PARQUE BANDEIRANTES','RIBEIRÃO PRETO','SP','125253251217151511268612575115243237056',NULL,'9998',0.00,1,3,NULL),(20,5366380,'1957-09-21 00:00:00',2,1,8,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','324243247647161431122249492324610143092',NULL,'9999',19.90,1,3,NULL),(20,5366399,'1993-02-19 00:00:00',2,4,12,2009,'M','N','CENTRO','ALPESTRE','RS','120201201147131411338312572325610124072',8381,'9998',57.47,1,2,1),(20,5366402,'1991-08-16 00:00:00',4,1,12,2009,'M','N','JD GUADALUPE','OSASCO','SP','125252251217221731378834395114610167082',11618,'9998',52.92,1,3,NULL),(20,5366429,'1992-04-20 00:00:00',4,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241115271431323634572122610134142',NULL,'727',50.21,1,2,1),(20,5366437,'1990-07-21 00:00:00',4,6,11,2007,'F','N','ALPHAVILLE GRACIOSA','PINHAIS','PR','116162161215572431458812572112610166142',2118,'9998',75.11,1,3,NULL),(20,5366445,'1989-06-04 00:00:00',4,8,12,2006,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161211571751448834572122142662077',NULL,'9998',0.00,1,3,NULL),(20,5366453,'1991-11-27 00:00:00',4,10,12,2009,'M','N','SANTO ANTONIO DE PAD','TUBARÃO','SC','124244246213151431457719273125610128185',NULL,'1120',29.24,1,3,NULL),(20,5366461,'1959-09-29 00:00:00',4,1,12,1976,'F','N','CENTRO','BIGUAÇU','SC','224243245217154411653352325122610111182',NULL,'301',21.54,1,3,NULL),(20,5366470,'1971-03-03 00:00:00',4,1,12,1987,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241216132741246933345122332761077',NULL,'262',0.00,1,3,NULL),(20,5366488,'1982-04-13 00:00:00',2,15,11,2001,'M','N','CENTRO','PR GRANDE','SC','124201203321131431423543435323143232177',NULL,'9998',27.53,1,3,NULL),(20,5366496,'1991-01-24 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116332431424334595124610127047',NULL,'281',21.72,1,2,1),(20,5366500,'1987-09-07 00:00:00',2,1,12,2005,'M','N','JD N SRA DO CARMO','S PAULO','SP','225251251116131431223344345334610117047',NULL,'9998',0.00,1,2,1),(20,5366518,'1990-05-30 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216272231478833575122230224142',NULL,'270',0.00,1,3,NULL),(20,5366534,'1992-12-10 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431454619575122610127042',7179,'273',62.07,1,3,NULL),(20,5366550,'1992-07-17 00:00:00',2,1,12,2009,'F','N','ITÚ SABARÁ','PTO ALEGRE','RS','120203201217151731646631191124610163056',11142,'9998',56.00,1,3,NULL),(20,5366569,'1991-02-25 00:00:00',4,1,12,2009,'M','N','ENGORDADOURO','JUNDIAÍ','SP','125252253217151321478819575122610144012',NULL,'9998',22.87,1,3,NULL),(20,5366577,'1991-08-12 00:00:00',2,1,12,2009,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215111221456824575122610117047',NULL,'1022',17.82,1,3,NULL),(20,5366585,'1990-09-20 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242243215111711449923575112610138142',NULL,'1022',26.34,1,3,NULL),(20,5366593,'1992-02-02 00:00:00',4,1,12,2009,'M','N','SANTA ISABEL','ÁGUAS MORNAS','SC','124241241115161211423413372224610162147',NULL,'978',21.45,1,2,1),(20,5366615,'1991-03-01 00:00:00',4,1,11,2008,'M','N','WERNER PLAAS','AMERICANA','SP','125252251215471431556712272122610167092',1653,'9998',78.27,1,3,NULL),(20,5366623,'1989-07-03 00:00:00',2,8,12,2006,'M','N','CENTRO','CPO LARGO','PR','116161161116573431557814471114610162147',2301,'9998',75.31,1,2,1),(20,5366640,'1992-09-29 00:00:00',4,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241217111411489612375122610128142',15635,'457',45.74,1,3,NULL),(20,5366658,'1992-02-26 00:00:00',2,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111231443614585124610137042',NULL,'1076',31.04,1,3,NULL),(20,5366666,'1990-02-05 00:00:00',4,1,12,2007,'F','N','CENTRO','CPO LARGO','PR','116164161215571411679613312124610127087',2494,'9998',74.61,1,3,NULL),(20,5366682,'1992-03-30 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241241115131531526923345124610124057',NULL,'733',25.37,1,2,1),(20,5366690,'1989-09-19 00:00:00',2,5,12,2006,'F','N','AREIA','ROLANTE','RS','120202201217571421426715571324610163142',NULL,'9998',0.00,1,3,NULL),(20,5366704,'1986-09-09 00:00:00',2,1,12,2004,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241117274431334634272314131267187',NULL,'307',42.60,2,1,2),(20,5366712,'1987-02-06 00:00:00',4,1,12,2007,'M','N','PINHEIRA','PALHOÇA','SC','124241241127131721211348381324610166052',NULL,'595',0.00,1,2,1),(20,5366720,'1992-06-25 00:00:00',4,6,12,2009,'F','N','AIMORÉ','GUABIRUBA','SC','124241248111371731334414342124610168052',NULL,'333',21.33,1,3,NULL),(20,5366747,'1991-03-09 00:00:00',4,5,12,2008,'M','N','CENTRO','PALOTINA','PR','116162161216471431588716475112610124122',NULL,'9998',0.00,1,3,NULL),(20,5366763,'1991-09-23 00:00:00',2,2,11,2008,'F','N','CENTRO','BRUSQUE','SC','124242241215272731468812572122610164042',NULL,'106',18.75,1,3,NULL),(20,5366771,'1992-04-10 00:00:00',4,9,12,2009,'F','N','CENTRO','PINHAIS','PR','116161161116471431446613575124610124077',NULL,'9998',27.04,1,2,1),(20,5366780,'1993-05-14 00:00:00',2,1,12,2010,'F','S','RIO TAVARES','FLORIANÓPOLIS','SC','124242241216121751478923575122610133117',NULL,'299',58.24,1,3,NULL),(20,5366798,'1987-01-28 00:00:00',4,4,12,2004,'F','N','CENTRO','UMUARAMA','PR','116162161216572731355612572115610152187',443,'9998',85.10,3,3,NULL),(20,5366801,'1991-07-20 00:00:00',4,8,12,2008,'F','N','VILA AMENDOLA','CATANDUVA','SP','125252251216471431469934345122610168182',NULL,'9998',0.00,1,3,NULL),(20,5366810,'1992-04-02 00:00:00',4,2,10,2009,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241214111431469514595122610164183',9202,'909',56.79,1,3,NULL),(20,5366828,'1988-04-22 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124253251214572431486923571124222667182',NULL,'9998',0.00,1,3,NULL),(20,5366852,'1987-08-10 00:00:00',2,6,12,2004,'F','N','JARDIM SANTA ROSA','PARANAGUÁ','PR','116162161216573431365923475114242667047',7614,'9998',61.19,1,3,NULL),(20,5366879,'1992-06-19 00:00:00',2,9,12,2009,'F','N','COPACABANA','LAGES','SC','124243241215111431336639572125610124142',15931,'499',44.52,4,3,NULL),(20,5366895,'1993-09-02 00:00:00',4,5,11,2010,'M','S','SANTA BARBARA','CRICIÚMA','SC','124242241215111431355914572112610138112',NULL,'226',35.23,1,3,NULL),(20,5366933,'1992-11-27 00:00:00',4,4,12,2009,'M','N','JOSE BONIFACIO','ERECHIM','RS','120202201216111741459814572122610127092',13591,'9998',47.55,1,3,NULL),(20,5366941,'1991-12-15 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241215472531268632585124230227052',421,'855',85.20,1,3,NULL),(20,5366950,'1988-12-26 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224161241135271711221454182324610114141',NULL,'288',27.74,1,2,1),(20,5366968,'1988-07-11 00:00:00',2,1,12,2005,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241212153411438413595114610168197',NULL,'589',36.20,4,3,NULL),(20,5366976,'1991-04-15 00:00:00',4,2,11,2008,'M','N','INTERLAGOS','S PAULO','SP','125252251216471431369834575112610132177',6599,'9998',61.80,1,3,NULL),(20,5366984,'1984-01-28 00:00:00',4,5,12,2002,'M','N','SANTO ANTONIO','CRICIÚMA','SC','124243246217112331135543432124222334177',NULL,'995',28.96,1,3,NULL),(20,5366992,'1987-12-12 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124241241125132431121649141334610164147',NULL,'184',0.00,1,2,1),(20,5367000,'1990-05-07 00:00:00',4,8,12,2007,'M','N','CENTRO','ALTÔNIA','PR','116162161216571431568831471124610162177',1699,'9998',78.06,3,3,NULL),(20,5367018,'1989-11-27 00:00:00',2,10,12,2006,'M','N','SANTANA','PTO ALEGRE','RS','120201202116571712333319594114610168057',3713,'9998',70.94,1,2,1),(20,5367026,'1979-12-04 00:00:00',2,1,12,1997,'M','N','CENTRO','ARAUCÁRIA','PR','116162166116372731459939414122341267147',3111,'9998',72.71,1,3,NULL),(20,5367034,'1991-11-20 00:00:00',2,1,11,2009,'F','N','BOM VIVER','BIGUAÇU','SC','124242241215123751446933572124610137052',3873,'270',69.69,1,3,NULL),(20,5367042,'1990-06-22 00:00:00',4,8,12,2007,'F','N','FANNY','CURITIBA','PR','116164161412572411569832571124610167056',1163,'9998',80.12,1,3,NULL),(20,5367069,'1992-03-16 00:00:00',4,8,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161216111431238832425114610167012',918,'9998',81.73,1,3,NULL),(20,5367085,'1991-03-21 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124254251217122531268834595115221728086',11011,'9998',52.63,1,3,NULL),(20,5367093,'1990-10-31 00:00:00',2,1,12,2008,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124243241117143431568814445124610165147',13911,'267',50.54,2,1,2),(20,5367107,'1991-02-16 00:00:00',4,4,12,2007,'F','N','PARQUE DO BURITIS II','RIO VERDE','GO','109092131217571731489931575122610166182',720,'9998',83.03,1,3,NULL),(20,5367115,'1990-07-18 00:00:00',4,1,12,2009,'M','N','FUNDOS','BIGUAÇU','SC','124243241215161431546629472122610137042',NULL,'63',15.43,1,3,NULL),(20,5367140,'1989-05-08 00:00:00',4,3,11,2006,'F','N','VL ROMANA','S PAULO','SP','125252251216573431358714571124610162147',NULL,'9998',0.00,1,3,NULL),(20,5367166,'1992-08-21 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215113411589814575114610143092',4114,'262',69.77,1,3,NULL),(20,5367182,'1990-12-02 00:00:00',4,1,12,2008,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241112471732456933572114610165197',NULL,'288',0.00,1,2,1),(20,5367190,'1990-11-16 00:00:00',2,3,12,2007,'F','N','PINHEIRINHO','CURITIBA','PR','116201161116572411333923575124610124147',13395,'9998',48.53,1,2,1),(20,5367204,'1991-09-24 00:00:00',2,6,12,2008,'M','N','CENTRO','JARAGUÁ SUL','SC','124243241215472411449914571122610117042',3252,'442',71.25,4,3,NULL),(20,5367220,'1987-08-10 00:00:00',2,10,12,2004,'F','N','CRISTO REDENTOR','PTO ALEGRE','RS','120202201116574431446633435122610166047',8321,'9998',59.69,1,3,NULL),(20,5367239,'1991-07-21 00:00:00',4,1,12,2008,'F','N','VILA PANTALEÃO','CAÇAPAVA','SP','125252251217471431448611372112610134092',NULL,'9998',0.00,1,3,NULL),(20,5367247,'1992-10-12 00:00:00',4,6,12,2009,'F','N','LIMOEIRO','BRUSQUE','SC','124241241117271431433334575122610124097',NULL,'111',0.00,1,2,1),(20,5367255,'1992-03-24 00:00:00',2,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124241241225131431423314572124610147142',12525,'262',50.78,1,3,NULL),(20,5367263,'1992-07-17 00:00:00',4,3,11,2009,'F','N','ECOVILLE','CASCAVEL','PR','116162161215111531337912571122610132016',NULL,'9998',19.20,1,3,NULL),(20,5367271,'1992-06-04 00:00:00',2,17,11,2009,'F','N','CENTRO','S MATEUS SUL','PR','116164161415471431436634572122610124142',13378,'9998',48.47,1,3,NULL),(20,5367280,'1990-04-08 00:00:00',4,1,12,2008,'M','N','BELA VISTA','S PAULO','SP','125252251217471731458834571124610125122',NULL,'9998',0.00,1,3,NULL),(20,5367298,'1990-09-13 00:00:00',2,1,7,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244248337141731438313445125610167182',NULL,'269',0.00,1,3,NULL),(20,5367301,'1992-07-02 00:00:00',4,9,11,2009,'M','N','SANTA RITA','LAGES','SC','124242241217151431436619575122610138017',NULL,'1106',28.77,1,3,NULL),(20,5367310,'1992-06-03 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241216111431446629375124610117052',NULL,'1022',24.12,1,3,NULL),(20,5367328,'1992-04-17 00:00:00',4,8,12,2009,'M','N','BARRA DO RIO MOLHA','JARAGUÁ SUL','SC','124242241217111431569632595121610168181',16062,'1061',43.66,1,3,NULL),(20,5367336,'1992-03-27 00:00:00',4,1,11,2009,'M','N','CENTRO','MARÍLIA','SP','125251251237111131456312372113610162023',10117,'9998',55.64,1,3,NULL),(20,5367344,'1991-10-13 00:00:00',2,1,11,2008,'F','N','SUDOESTE','CRUZEIRO','DF','107072071216471431366812575122610136072',740,'9998',82.56,1,3,NULL),(20,5367352,'1990-02-14 00:00:00',4,4,12,2007,'F','N','CENTRO','XANXERÊ','SC','116244241117374431349832592124241044182',NULL,'270',0.00,1,3,NULL),(20,5367360,'1991-03-20 00:00:00',4,8,12,2008,'F','N','SANTA CANDIDA','CURITIBA','PR','116161161135471411338513575114610165047',2378,'9998',74.50,1,2,1),(20,5367379,'1992-02-25 00:00:00',4,1,12,2009,'M','N','SÃO FRANCISCO','CPO GRANDE','MS','112122121217471431369923476124610138096',3973,'9998',69.49,1,3,NULL),(20,5367387,'1989-12-20 00:00:00',2,9,12,2006,'F','N','BOTAFOGO','BENTO GONÇALVES','RS','120201201117131431323339174214141437052',8897,'9998',60.16,1,2,1),(20,5367395,'1992-08-30 00:00:00',4,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241248115161151524314585124630167111',NULL,'307',17.06,1,2,1),(20,5367409,'1990-12-10 00:00:00',2,1,11,2008,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241237143731467613335124610167117',NULL,'270',27.39,1,3,NULL),(20,5367417,'1989-09-24 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117271721523314342114610168197',NULL,'359',26.95,1,2,1),(20,5367425,'1966-03-01 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224241241116371411322243432113610117097',NULL,'9997',8.46,4,2,1),(20,5367441,'1991-09-28 00:00:00',2,9,11,2008,'F','N','CENTRO','LAURENTINO','SC','124244241215471231436912594124610134147',12705,'959',49.72,1,3,NULL),(20,5367484,'1992-10-03 00:00:00',4,1,12,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241241115311731345939575124610137052',NULL,'733',25.98,1,2,1),(20,5367506,'1987-11-29 00:00:00',4,1,1,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241248117272411113479396124610168043',5862,'9999',66.32,1,2,1),(20,5367514,'1991-11-08 00:00:00',2,17,12,2008,'F','N','CENTRO','MARUMBI','PR','116161161116471711528669595122610135142',NULL,'9998',0.00,1,2,1),(20,5367522,'1990-06-06 00:00:00',4,1,12,2007,'M','N','CENTRO','QTA SOL','PR','116161161116571411456915575122610168146',1064,'9998',80.92,1,2,1),(20,5367530,'1985-02-28 00:00:00',4,1,12,2002,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241122135431323344342234610127182',NULL,'307',23.09,1,2,1),(20,5367549,'1993-07-30 00:00:00',4,1,12,2010,'M','S','CINQUENTENÁRIO','CAXIAS SUL','RS','120202201217111431239914195124610124077',NULL,'9998',54.22,1,3,NULL),(20,5367565,'1992-02-18 00:00:00',4,3,12,2009,'M','N','CENTRO','CPO MOURÃO','PR','116162161116131411559923285122610166092',NULL,'9998',0.00,1,3,NULL),(20,5367573,'1992-07-02 00:00:00',4,8,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','116162161215471431489833574112610164192',NULL,'9998',0.00,1,3,NULL),(20,5367581,'1993-09-02 00:00:00',4,1,12,2010,'M','S','PAES LEME','IMBITUBA','SC','124241241135111531448632575122610147112',NULL,'362',53.02,1,3,NULL),(20,5367590,'1992-06-05 00:00:00',4,3,11,2009,'F','N','BACACHERI','CURITIBA','PR','116162161215121431458934575112610166072',NULL,'9998',0.00,1,3,NULL),(20,5367603,'1990-11-30 00:00:00',2,9,12,2007,'M','N','ANA RECH','CAXIAS SUL','RS','120202201216571441369933375124610135157',NULL,'9998',0.00,1,3,NULL),(20,5367611,'1976-07-25 00:00:00',4,1,12,2001,'F','N','ARIRU','PALHOÇA','SC','224241241131271421436453432122610162147',NULL,'591',0.00,1,2,1),(20,5367620,'1989-01-20 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124242241216574441457514472124220763187',5651,'1022',66.81,1,3,NULL),(20,5367638,'1986-09-29 00:00:00',2,1,12,2005,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244241124575411326723382344610123117',NULL,'257',24.13,1,3,NULL),(20,5367646,'1992-07-31 00:00:00',2,1,12,2009,'F','N','STO ANT DE LISBOA','FLORIANÓPOLIS','SC','124242241215162431566812572112610125073',NULL,'988',28.67,1,3,NULL),(20,5367654,'1990-10-20 00:00:00',4,17,12,2007,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241117132731436313245132230237147',15259,'146',47.10,1,2,1),(20,5367662,'1991-08-24 00:00:00',4,1,12,2009,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242211217472411479933575112610163141',6330,'9998',62.97,1,3,NULL),(20,5367670,'1991-12-03 00:00:00',4,1,11,2009,'F','N','JARDIM SOCIAL','CURITIBA','PR','116123161116471431449913572122610163037',7927,'9998',59.10,4,3,NULL),(20,5367689,'1992-09-02 00:00:00',2,15,12,2009,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124242241115151432426634276122610167047',NULL,'29',20.35,1,3,NULL),(20,5367697,'1988-09-10 00:00:00',2,3,12,2005,'F','N','SHANGRI LÁ B','LONDRINA','PR','116162161215571431449933492122610167017',9069,'9998',56.99,1,3,NULL),(20,5367700,'1989-11-27 00:00:00',2,1,12,2207,'F','S','PERIMBÓ','ITUPORANGA','SC','124241248146141441323317485124231046147',NULL,'416',0.00,1,3,NULL),(20,5367719,'1990-04-01 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241122172431634814345124610165041',NULL,'280',0.00,4,2,1),(20,5367727,'1989-11-13 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117133431547923572123610127187',10708,'359',55.39,1,2,1),(20,5367743,'1991-02-06 00:00:00',4,15,12,2008,'F','N','PROGRESSO','BENTO GONÇALVES','RS','120202201216472431346734571124610113187',7767,'9998',59.36,1,3,NULL),(20,5367751,'1992-11-27 00:00:00',4,17,12,2009,'F','N','CENTRO','TRÊS BARRAS','SC','124241241115271431346677395124610138197',NULL,'146',16.49,1,2,1),(20,5367760,'1990-09-17 00:00:00',4,7,12,2007,'M','N','CENTRO','STA MARIA','RS','120241241317372431468912575125130764044',8975,'962',60.02,1,3,NULL),(20,5367778,'1990-08-24 00:00:00',1,3,11,2009,'M','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','124242241215112711468612591114610112112',NULL,'1038',34.95,1,3,NULL),(20,5367786,'1988-08-25 00:00:00',4,6,12,2006,'F','N','LIBERDADE','S PAULO','SP','125252253117571431116644342335610122112',NULL,'9998',0.00,1,3,NULL),(20,5367794,'1991-02-10 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217472311549932572124610134192',10129,'262',57.92,1,3,NULL),(20,5367808,'1991-05-19 00:00:00',4,15,12,2008,'M','N','CENTRO','ARARANGUÁ','SC','124242241215122431445814345121230742055',10008,'970',58.13,1,3,NULL),(20,5367816,'1988-03-01 00:00:00',2,8,12,2005,'F','N','MERCES','CURITIBA','PR','116162161215471431548813572223610131057',2796,'9998',73.70,1,3,NULL),(20,5367824,'1989-06-05 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127131431315529382324610168142',NULL,'274',21.92,1,2,1),(20,5367859,'1992-04-13 00:00:00',4,8,12,2009,'F','N','PORTÃO','CURITIBA','PR','116163161125371731446639577122610166096',2534,'9998',74.98,1,3,NULL),(20,5367867,'1993-01-19 00:00:00',4,2,11,2009,'M','N','VELHA','BLUMENAU','SC','124241241117131431426733576124610114063',NULL,'79',19.49,1,2,1),(20,5367883,'1991-01-02 00:00:00',4,3,12,2008,'F','N','ROCHDALE','OSASCO','SP','125253251217471431556519575114610124077',NULL,'9998',33.38,4,3,NULL),(20,5367891,'1992-08-23 00:00:00',2,1,12,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241112371431324521275124610145142',NULL,'733',24.11,1,2,1),(20,5367905,'1988-10-20 00:00:00',2,9,12,2006,'M','N','INTERIOR','NOVA PÁDUA','RS','120201201115471431423315171124610162092',NULL,'9998',0.00,1,2,1),(20,5367913,'1984-04-11 00:00:00',4,1,12,2002,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120204201217151751358833411124341862107',7163,'9998',63.50,1,3,NULL),(20,5367921,'1991-12-06 00:00:00',4,6,12,2009,'F','N','SORGATTO','CAÇADOR','SC','124241241316161731333319295122610161012',NULL,'124',0.00,1,3,NULL),(20,5367930,'1992-08-22 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215373431336679244124610127111',8113,'1022',60.19,1,3,NULL),(20,5367948,'1992-10-03 00:00:00',4,2,12,2010,'M','S','CAPITAIS','TIMBÓ','SC','124241241215111431466833575121610127187',NULL,'1157',49.07,1,3,NULL),(20,5367956,'1992-05-09 00:00:00',4,1,12,2009,'M','N','CENTRO','FOZ IGUAÇU','PR','116162161215111431458833575125610167097',NULL,'9998',0.00,1,3,NULL),(20,5367972,'1990-11-06 00:00:00',4,1,12,2008,'F','N','ALTO DE PINHEIROS','S PAULO','SP','125133251211471331489812421112610163077',3724,'9998',70.84,1,3,NULL),(20,5367999,'1989-04-17 00:00:00',4,8,12,2007,'M','N','GUANABARA','JOINVILLE','SC','121242211216571431488914595122610167122',NULL,'9998',0.00,1,3,NULL),(20,5368006,'1989-01-18 00:00:00',4,15,12,2005,'F','N','MATO ALTO','ARARANGUÁ','SC','124241241112131421323329482214610124147',NULL,'420',26.25,1,2,1),(20,5368014,'1992-05-02 00:00:00',4,15,12,2009,'M','N','CENTRO','PR GRANDE','SC','124241242115161431423935162121610132042',14513,'690',46.39,1,2,1),(20,5368022,'1989-08-15 00:00:00',4,1,12,2007,'M','N','VILA MARIANA','S PAULO','SP','125252258211571731479814595125610168187',NULL,'9998',43.80,1,3,NULL),(20,5368030,'1990-08-07 00:00:00',4,6,12,2007,'M','N','BARRA DO RIO','ITAJAÍ','SC','124242241217575431369833585122130464117',1570,'1026',78.59,1,3,NULL),(20,5368057,'1993-09-06 00:00:00',4,1,12,2010,'M','S','MORRO DA BINA','BIGUAÇU','SC','124243243317231431436634571121610145127',NULL,'63',43.09,2,3,NULL),(20,5368073,'1991-10-07 00:00:00',2,1,12,2008,'F','N','GUAIRA','CURITIBA','PR','116162161211471211448711271124610114073',6813,'9998',62.38,1,3,NULL),(20,5368081,'1992-08-07 00:00:00',4,2,12,2009,'F','N','VILA NOVA','BLUMENAU','SC','124242241215111431459832572112610161047',13183,'909',49.01,1,3,NULL),(20,5368090,'1989-03-14 00:00:00',4,1,7,2008,'M','N','VILA MARIANA','S PAULO','SP','125252251237471431589812592112610127112',NULL,'9998',0.00,1,3,NULL),(20,5368103,'1992-12-03 00:00:00',4,3,12,2009,'F','N','CENTRO','LARANJEIRAS SUL','PR','116163161212211331246932572122610168143',NULL,'9998',0.00,1,3,NULL),(20,5368111,'1990-11-18 00:00:00',2,1,12,2008,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241116132431316624582124610162017',NULL,'288',21.96,1,2,1),(20,5368120,'1991-04-17 00:00:00',4,1,11,2008,'F','N','CENTRO','MARAU','RS','120214288617122751467939592115610136102',9821,'9998',57.73,1,3,NULL),(20,5368138,'1993-07-01 00:00:00',4,1,12,2010,'M','S','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241216112411359911595124610168182',NULL,'270',70.08,1,3,NULL),(20,5368154,'1993-08-31 00:00:00',4,1,11,2010,'F','S','KOBRASOL','S JOSÉ','SC','124242241215111411326611575122610125017',NULL,'737',23.80,1,3,NULL),(20,5368162,'1991-03-02 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217473331479911475112610111042',10608,'270',57.04,1,3,NULL),(20,5368170,'1989-09-14 00:00:00',4,1,12,2008,'M','N','PONTA GROSSA','PTO ALEGRE','RS','120204207316371751658611391124610168012',NULL,'9998',25.15,1,3,NULL),(20,5368200,'1992-08-15 00:00:00',2,10,12,2009,'M','N','MAR GROSSO','LAGUNA','SC','124241241126141431326923245124610127062',NULL,'524',24.47,1,3,NULL),(20,5368219,'1989-12-05 00:00:00',2,1,7,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124212247215373431478814372122610141112',14984,'9999',43.91,1,3,NULL),(20,5368227,'1991-11-09 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115372431435611272124610124197',9516,'287',59.04,1,2,1),(20,5368235,'1992-09-30 00:00:00',4,1,11,2010,'F','S','AMÉRICA','JOINVILLE','SC','124242241215111411479811415122610134072',NULL,'1063',41.73,1,3,NULL),(20,5368243,'1992-01-19 00:00:00',4,1,12,2009,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241127151431436314575124610138197',NULL,'1099',23.12,1,2,1),(20,5368251,'1991-08-05 00:00:00',2,1,12,2008,'F','N','CAMINHO NOVO','PALHOÇA','SC','124243241125271431438611342124610123142',NULL,'595',22.98,1,3,NULL),(20,5368260,'1990-02-19 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241417372121427821381114610152197',13528,'1022',51.33,1,3,NULL),(20,5368278,'1989-04-23 00:00:00',4,5,7,2007,'M','N','CENTRO','URUSSANGA','SC','124241241216151431434611445124230732072',NULL,'995',19.14,1,3,NULL),(20,5368286,'1990-02-10 00:00:00',2,1,12,2007,'F','N','SANTO ANTÔNIO','FLORIANÓPOLIS','SC','124241241111132411323513442224230234122',NULL,'307',26.63,1,2,1),(20,5368294,'1979-04-03 00:00:00',4,1,12,1996,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124163161316131411126613445124341566097',12863,'9998',52.61,1,3,NULL),(20,5368308,'1989-05-10 00:00:00',4,8,12,2006,'M','N','CABRAL','CURITIBA','PR','116253161316371431226824285124240637017',1307,'9998',79.17,4,3,NULL),(20,5368316,'1992-06-26 00:00:00',4,2,12,2009,'F','N','CENTRO','BENEDITO NOVO','SC','124241241116131431436933575111610134037',NULL,'62',29.63,1,2,1),(20,5368324,'1990-09-22 00:00:00',4,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243247617131512468824575114610164012',14911,'9999',48.13,1,3,NULL),(20,5368332,'1989-04-10 00:00:00',4,4,11,2008,'M','N','CENTRO','PINHALZINHO','SC','124241247317111431236823586324233227052',NULL,'1126',15.42,1,3,NULL),(20,5368340,'1992-04-27 00:00:00',2,10,12,2009,'F','N','MORROTES','TUBARÃO','SC','124242241212111431446734575122610122041',NULL,'797',30.67,1,3,NULL),(20,5368359,'1985-04-06 00:00:00',2,1,12,2002,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124161161116152421226622282124143232092',12463,'9998',53.44,4,2,1),(20,5368367,'1992-03-25 00:00:00',2,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241112371431656513472124610127077',14300,'307',47.12,1,2,1),(20,5368375,'1992-04-09 00:00:00',4,1,11,2009,'M','N','REAL PARQUE','S JOSÉ','SC','124241241215112431568814575112610167047',NULL,'1022',30.42,1,3,NULL),(20,5368391,'1992-11-07 00:00:00',4,1,11,2009,'F','N','CENTRO','PASSO FUNDO','RS','120162201216372431469814575122610134192',6203,'9998',62.67,1,3,NULL),(20,5368405,'1992-04-25 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241117371732423324472124610123145',NULL,'287',26.50,2,1,1),(20,5368413,'1991-05-25 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215371431566813575112610162192',NULL,'1022',0.00,1,3,NULL),(20,5368421,'1992-04-22 00:00:00',4,1,12,2009,'F','N','CENTRO','ARAPONGAS','PR','116162161215111731566532574122610121142',4109,'9998',70.59,1,3,NULL),(20,5368448,'1978-10-30 00:00:00',2,1,12,1996,'F','N','CAMINHO NOVO','PALHOÇA','SC','224241245121131421423354381124133226187',NULL,'281',25.17,1,2,1),(20,5368456,'1993-11-26 00:00:00',2,1,12,2010,'M','S','CANTO','FLORIANÓPOLIS','SC','124244241215111432466513575122610132127',NULL,'1134',26.07,4,3,NULL),(20,5368464,'1990-12-28 00:00:00',4,1,11,2009,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241215111431389813595112610121175',7426,'270',60.90,1,3,NULL),(20,5368472,'1990-12-27 00:00:00',4,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241115141112224333332124610137052',NULL,'733',18.85,2,2,1),(20,5368480,'1990-10-30 00:00:00',2,1,12,2008,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241137273411327611216114143261117',NULL,'307',0.00,1,2,1),(20,5368499,'1990-08-15 00:00:00',2,2,12,2007,'M','N','CAPITAIS','TIMBÓ','SC','224241241117141531428611445112610164047',NULL,'906',10.62,1,2,1),(20,5368510,'1992-04-14 00:00:00',2,1,12,2009,'M','N','ARMAÇÃO PÂNTANO SUL','FLORIANÓPOLIS','SC','124241241215111731469413595124610117047',NULL,'300',40.98,1,3,NULL),(20,5368529,'1966-02-04 00:00:00',2,1,12,1984,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224161163121271731424419291134140828187',NULL,'9998',29.84,1,2,1),(20,5368537,'1992-07-02 00:00:00',4,3,12,2009,'M','N','FLORESTA','PTO ALEGRE','RS','120202201216151431469934575122610164047',NULL,'9998',0.00,1,3,NULL),(20,5368545,'1991-02-19 00:00:00',4,1,11,2008,'M','N','NOVA CAIEIRAS','CAIEIRAS','SP','125252251217471431368832575112610124127',NULL,'9998',0.00,1,3,NULL),(20,5368553,'1989-06-17 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115473431556839492125221527142',15771,'814',45.20,1,2,1),(20,5368570,'1990-10-28 00:00:00',2,3,12,2008,'M','N','MOINHOS','LAJEADO','RS','120202201212411311389911471122610147062',NULL,'9998',0.00,1,3,NULL),(20,5368588,'1991-05-17 00:00:00',4,1,11,2008,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241217112431338539375124230267067',NULL,'270',39.56,1,3,NULL),(20,5368596,'1993-03-14 00:00:00',4,1,11,2009,'F','N','SÃO GENARO','CRUZ ALTA','RS','120203201217271431336639575122610134147',NULL,'9998',0.00,1,3,NULL),(20,5368618,'1991-10-29 00:00:00',2,1,12,2008,'F','N','CAÇA E PESCA','GRAVATAÍ','RS','120201201147131331456614295124241037147',NULL,'9998',0.00,1,2,1),(20,5368642,'1991-09-19 00:00:00',4,8,12,2009,'F','N','PLANALTO VERDE','MOGI GUAÇU','SP','125252251216111431455812572124610116142',NULL,'461',0.00,1,3,NULL),(20,5368650,'1991-11-19 00:00:00',2,2,11,2009,'F','N','IMIGRANTES','TIMBÓ','SC','224241241215111431546612575122610143146',NULL,'1157',23.39,1,3,NULL),(20,5368669,'1992-09-14 00:00:00',4,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124241241117372431569313275124610165192',7008,'739',62.22,1,2,1),(20,5368677,'1988-09-01 00:00:00',4,1,12,2005,'F','N','VILA GUAIRA','CURITIBA','PR','116162161215571431456831275124142342077',1580,'9998',77.62,1,3,NULL),(20,5368685,'1992-07-03 00:00:00',4,1,12,2008,'M','N','CENTRO','ARARANGUÁ','SC','124243241217152531448733344112610136197',7539,'970',62.19,1,3,NULL),(20,5368693,'1988-12-19 00:00:00',4,1,12,2005,'F','N','CENTRO CÍVICO','CURITIBA','PR','116162161215574431468833575122610134147',4088,'9998',70.39,1,3,NULL),(20,5368707,'1991-05-06 00:00:00',2,8,12,2008,'F','N','MATO PRETO','S BENTO SUL','SC','124241241114261731326319271114610137057',NULL,'697',0.00,1,3,NULL),(20,5368715,'1988-06-15 00:00:00',4,1,11,2006,'F','N','SERRARIA','S JOSÉ','SC','124241245124131432543311271224610163147',NULL,'9997',31.53,1,2,1),(20,5368731,'1989-12-03 00:00:00',2,1,12,2007,'F','N','ARIRIU','PALHOÇA','SC','124244241317273431435833342124610124097',13566,'1022',48.45,1,3,NULL),(20,5368758,'1990-09-08 00:00:00',2,16,12,2008,'F','N','SÃO LUÍZ','CURITIBANOS','SC','124241241115273431636923575124223222077',NULL,'239',25.95,1,2,1),(20,5368766,'1988-06-04 00:00:00',4,1,12,2005,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241146162431325439445121610161047',NULL,'322',40.57,1,2,1),(20,5368774,'1993-02-12 00:00:00',2,4,11,2009,'F','N','CENTRO','VITORINO','PR','116163161217111431459933575114610162092',11448,'9998',51.87,1,3,NULL),(20,5368782,'1992-02-25 00:00:00',2,8,12,2008,'F','N','ALTO DA XV','CURITIBA','PR','116165161516471321417929575124610168147',12580,'9998',47.33,1,3,NULL),(20,5368790,'1989-05-24 00:00:00',2,3,12,2006,'M','N','JARDIM TV MORENA','CPO GRANDE','MS','112122121217571731658619575122610148042',7439,'9998',60.12,4,3,NULL),(20,5368804,'1991-09-27 00:00:00',4,8,12,2008,'F','N','UNIVERSITÁRIO','MARINGÁ','PR','116162161216371731438813572322610134097',4292,'9998',68.89,1,3,NULL),(20,5368812,'1990-10-19 00:00:00',4,1,12,2008,'M','N','BARRA DA TIJUCA','RIO JANEIRO','RJ','121212211236471431358834572122610167047',NULL,'9998',0.00,1,3,NULL),(20,5368839,'1992-05-12 00:00:00',4,6,12,2008,'F','N','NOVA BRASILIA','BRUSQUE','SC','124241241116131731225621182114610134047',NULL,'116',0.00,1,2,1),(20,5368847,'1988-07-08 00:00:00',4,1,8,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241111271431334923292124610124187',NULL,'306',40.01,1,2,1),(20,5368855,'1989-09-04 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217374231469933572122221464015',229,'262',87.59,1,3,NULL),(20,5368863,'1992-07-12 00:00:00',4,1,12,2009,'M','N','SÃO CRISTÓVÃO','NOVA PRATA','RS','120201204117111431436414345122610127042',NULL,'9998',11.11,1,3,NULL),(20,5368871,'1991-05-23 00:00:00',2,1,12,2008,'M','N','CENTRO','TIJUCAS','SC','124251242116161331421321375124131266032',NULL,'129',0.00,4,3,NULL),(20,5368880,'1977-08-30 00:00:00',4,1,12,2006,'M','N','KOBRASOL','S JOSÉ','SC','224201207146131421556871285122140728186',NULL,'9998',0.00,1,2,1),(20,5368898,'1979-03-06 00:00:00',2,1,12,1998,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224161163126472441224441112123610164097',NULL,'9998',0.00,2,1,1),(20,5368901,'1991-01-21 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124161241116141431337824245124610168192',11484,'307',54.77,1,3,NULL),(20,5368928,'1981-10-16 00:00:00',1,1,12,1999,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224241248146132721223879395124322237057',12135,'306',54.11,1,2,1),(20,5368936,'1990-10-26 00:00:00',4,8,5,2008,'F','N','GLÓRIA','JOINVILLE','SC','124246241415473431369612595122610144127',6477,'1063',63.93,1,3,NULL),(20,5368960,'1992-11-10 00:00:00',2,1,12,2009,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241211111432456613572122610124047',10221,'1075',55.53,1,3,NULL),(20,5368979,'1991-01-17 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSÉ PINHAIS','PR','116162161217371441436612375124141464187',2365,'9998',74.71,1,3,NULL),(20,5369002,'1985-08-06 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215575431238624272124221561097',14888,'807',48.19,1,3,NULL),(20,5369010,'1990-12-02 00:00:00',2,1,6,2009,'M','N','PACHECOS','PALHOÇA','SC','124241241117151441544933285114610165145',12157,'306',54.07,4,3,NULL),(20,5369029,'1988-02-01 00:00:00',2,1,12,2006,'F','N','CENTRO','STA MARIA','RS','120201201446471751246816375115610118057',NULL,'9998',18.20,1,3,NULL),(20,5369037,'1992-04-30 00:00:00',4,1,11,2009,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','111112111217271431468733595122610166147',NULL,'9998',0.00,1,3,NULL),(20,5369045,'1984-11-23 00:00:00',4,16,11,2002,'M','N','CENTRO','CURITIBANOS','SC','124164161417151441536612125132331167112',NULL,'881',37.38,1,3,NULL),(20,5369053,'1983-07-12 00:00:00',4,2,12,2008,'M','N','CENTRO','BRUSQUE','SC','224241247126141431453317242123610168051',NULL,'9999',0.00,1,2,1),(20,5369061,'1992-01-10 00:00:00',2,8,11,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241215122431489934572122610127121',NULL,'486',23.20,1,3,NULL),(20,5369070,'1991-10-24 00:00:00',4,2,12,2008,'M','N','VILA OLIMPIA','S PAULO','SP','125052051217471431469914572324610167042',3039,'9998',72.22,1,3,NULL),(20,5369088,'1960-07-27 00:00:00',2,1,7,1986,'M','N','COLONINHA','FLORIANÓPOLIS','SC','624241247326131711356641112122130266177',NULL,'9999',42.06,1,3,NULL),(20,5369096,'1991-05-23 00:00:00',2,4,12,2008,'F','N','DIVINO','PALMAS','PR','116161161116371231437614442234610124017',NULL,'9998',0.00,1,2,1),(20,5369100,'1988-11-03 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115474441358613346125610166095',NULL,'295',39.84,1,3,NULL),(20,5369118,'1991-12-09 00:00:00',4,1,12,2009,'F','N','CENTRO','MEDIANEIRA','PR','116162161237121411238722575122610163147',NULL,'9998',14.02,1,3,NULL),(20,5369126,'1991-10-30 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124244241215121741356912172114610132092',5047,'1022',65.24,1,3,NULL),(20,5369134,'1986-09-05 00:00:00',4,4,12,2004,'M','N','CENTRO','CASCAVEL','PR','116162161215571451557632575122610137017',375,'9998',85.65,1,3,NULL),(20,5369169,'1987-02-03 00:00:00',4,1,12,2005,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215575431546612475124233237083',NULL,'943',20.24,4,3,NULL),(20,5369177,'1992-04-11 00:00:00',4,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241225111431434413272124610138145',14412,'262',46.09,1,3,NULL),(20,5369185,'1988-12-19 00:00:00',4,1,12,2006,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241435573411228744442334610122182',4723,'1011',68.93,1,3,NULL),(20,5369193,'1986-01-16 00:00:00',4,8,12,2003,'F','N','FLORESTA','JOINVILLE','SC','124242241215273411569614446124330248183',15966,'456',44.31,1,3,NULL),(20,5369207,'1986-10-12 00:00:00',4,8,12,2004,'M','N','IMIRIM','S PAULO','SP','125252251116571431478819575122610167057',1975,'9998',74.39,1,3,NULL),(20,5369223,'1985-09-20 00:00:00',2,4,12,2002,'M','N','ZONA SETE','MARINGÁ','PR','116161161316572431343332275125610134017',6510,'9998',63.14,1,3,NULL),(20,5369231,'1989-10-23 00:00:00',4,7,12,2006,'M','N','CENTRO','CAPINZAL','SC','124241241116162732548813235112610167057',12092,'156',51.70,1,2,1),(20,5369240,'1988-09-24 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242284212133711336729495124610123092',NULL,'270',25.76,1,3,NULL),(20,5369258,'1990-02-07 00:00:00',4,2,12,2007,'F','N','CENTRO','RIO CEDROS','SC','124241241146131431236529295224232637042',NULL,'664',33.12,1,2,1),(20,5369266,'1987-11-23 00:00:00',2,1,12,2006,'M','N','CENTRO','JÓIA','RS','120201201116371431336833375124141023183',NULL,'9998',0.00,1,3,NULL),(20,5369274,'1990-07-01 00:00:00',2,8,12,2007,'F','N','CENTRO','TERRA ROXA','PR','116164161215571431458713572112610164147',NULL,'9998',0.00,1,3,NULL),(20,5369282,'1988-08-23 00:00:00',4,1,12,2005,'M','N','JAGUARE','S PAULO','SP','125253251117131731347824485124143264187',NULL,'9998',0.00,4,3,NULL),(20,5369290,'1992-11-20 00:00:00',4,3,11,2009,'M','N','MORRETES','ITAPEMA','SC','124241241216141431223421212312610134017',7814,'403',62.19,1,3,NULL),(20,5369304,'1990-09-18 00:00:00',4,1,12,2008,'M','N','COLINA SORRISO','CAXIAS SUL','RS','620201201137371531558712175124241438147',NULL,'9998',0.00,1,2,1),(20,5369312,'1993-10-12 00:00:00',2,1,12,2010,'F','S','CENTRO','BOM JD SERRA','SC','124241241117161431426615574122610124147',NULL,'856',0.00,1,3,NULL),(20,5369320,'1987-02-28 00:00:00',2,1,10,2005,'M','N','FUNDOS','BIGUAÇU','SC','124241241112113411533633475124220315047',NULL,'306',30.44,1,2,1),(20,5369339,'1992-03-17 00:00:00',4,10,12,2009,'F','N','REVOREDO','TUBARÃO','SC','124241241135271731326329575121610158142',NULL,'798',0.00,1,3,NULL),(20,5369347,'1982-11-06 00:00:00',4,1,12,2000,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241416272711153343232132331827043',14220,'453',49.91,1,3,NULL),(20,5369371,'1988-12-17 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215473411568831475122230214042',3998,'883',70.86,1,3,NULL),(20,5369380,'1989-11-17 00:00:00',2,1,12,2006,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124201201111272541424634371124221446172',NULL,'9998',0.00,1,2,1),(20,5369398,'1987-01-25 00:00:00',2,1,12,2004,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124243241117135431557713345123610124147',NULL,'307',28.33,1,3,NULL),(20,5369401,'1991-03-29 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242241215272431568613575114610133055',16055,'737',43.73,1,3,NULL),(20,5369428,'1990-11-28 00:00:00',2,1,12,2007,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241112371231327454345114133244052',NULL,'733',26.11,1,2,1),(20,5369436,'1990-12-26 00:00:00',4,1,2,2010,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124244246117151441469923575114610162017',9948,'306',58.24,1,3,NULL),(20,5369444,'1992-02-20 00:00:00',2,4,12,2008,'F','N','CENTRO','STA MARIA','RS','120201201116271411438815455115610162142',3542,'9998',72.04,1,2,1),(20,5369452,'1987-01-08 00:00:00',2,15,12,2004,'M','N','CENTRO','MELEIRO','SC','124241241116151411353313445123230867045',NULL,'559',25.90,1,3,NULL),(20,5369460,'1980-07-08 00:00:00',2,1,12,1997,'F','N','CENTRO','TIJUCAS','SC','124245241327131621323944342334131046197',NULL,'783',0.00,1,3,NULL),(20,5369479,'1992-09-10 00:00:00',4,2,12,2009,'M','N','ESTADOS','TIMBÓ','SC','124241241215111431446934572112610126172',7879,'1157',59.60,1,3,NULL),(20,5369487,'1993-03-08 00:00:00',4,1,12,2009,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215111531563612245122610137043',NULL,'1014',19.15,1,3,NULL),(20,5369495,'1982-11-13 00:00:00',2,15,12,1999,'M','N','CENTRO','S SEBASTIÃO CAÍ','RS','120052051215471431246912415122343267042',7016,'9998',63.79,4,3,NULL),(20,5369517,'1970-11-17 00:00:00',2,1,12,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124246288641111752623379291345610168187',NULL,'9999',0.00,1,3,NULL),(20,5369525,'1984-01-19 00:00:00',4,2,12,2001,'F','N','CENTRO','IBIRAMA','SC','124242241346144751123343235332610168073',NULL,'348',17.65,1,3,NULL),(20,5369533,'1986-10-07 00:00:00',4,10,12,2004,'F','N','CENTRO','BRAÇO NORTE','SC','124241241216153411458912271124331036092',NULL,'807',0.00,1,3,NULL),(20,5369541,'1987-07-09 00:00:00',5,1,12,2004,'F','N','JURERE','FLORIANÓPOLIS','SC','124244241217575431448813492124221461097',2293,'262',75.84,1,3,NULL),(20,5369550,'1983-09-19 00:00:00',2,1,12,2002,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241122274421123344342234610164147',NULL,'857',40.86,1,2,1),(20,5369568,'1989-08-24 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241117132431259814245114121564061',2177,'169',76.26,1,3,NULL),(20,5369576,'1989-10-12 00:00:00',4,8,12,2006,'M','N','ZONA QUATRO','MARINGÁ','PR','116162161215571411456813575112610137047',1618,'9998',78.40,3,3,NULL),(20,5369584,'1970-06-22 00:00:00',2,1,12,1990,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124201203126271431211341215124610128182',NULL,'9998',24.29,4,1,1),(20,5369614,'1992-04-29 00:00:00',4,4,12,2009,'M','N','CENTRO','PALMITINHO','RS','120201202116131431436659495324610127057',NULL,'9998',26.63,1,2,1),(20,5369622,'1985-06-17 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224241241311154422223341311122121717017',NULL,'270',28.54,1,3,NULL),(20,5369630,'1993-09-02 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124242241216111431228424295124610122052',NULL,'497',26.14,1,3,NULL),(20,5369657,'1993-04-27 00:00:00',4,4,12,2009,'F','N','CENTRO','S MIGUEL B VISTA','SC','124241241136161731436633472222610115057',NULL,'1015',23.52,1,2,1),(20,5369673,'1990-06-20 00:00:00',2,16,12,2008,'F','N','SÃO JOSÉ','CURITIBANOS','SC','624201244136372711232254435132610124055',NULL,'239',0.00,1,3,NULL),(20,5369681,'1992-04-23 00:00:00',4,1,12,2009,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121216111711348831575122610168187',682,'9998',83.33,1,3,NULL),(20,5369690,'1983-12-15 00:00:00',2,1,11,2001,'M','N','IPIRANGA','S JOSÉ','SC','124242241212111451426844342231131228052',NULL,'721',23.64,1,3,NULL),(20,5369703,'1989-11-21 00:00:00',4,1,12,2005,'M','N','CAMPINAS','S JOSÉ','SC','124242241215272711488933445132221463183',NULL,'262',0.00,1,3,NULL),(20,5369711,'1987-06-26 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241416143431626733245134130623052',NULL,'818',28.60,1,3,NULL),(20,5369738,'1986-01-13 00:00:00',4,1,12,2006,'M','N','SALGADO FILHO','CAXIAS SUL','RS','120201201127151521136814145122610127182',16024,'9998',43.93,1,2,1),(20,5369746,'1987-01-07 00:00:00',4,1,12,2004,'M','N','VILA ALBA','DOURADOS','MS','124122121216122431467732475125221422012',2136,'9998',76.42,4,3,NULL),(20,5369754,'1992-01-09 00:00:00',4,1,12,2009,'F','N','CANOAS','RIO SUL','SC','124242241215113432368739575122610122187',327,'991',86.18,1,3,NULL),(20,5369770,'1978-10-23 00:00:00',2,1,12,1995,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201116535431536419485114610133077',13316,'9998',51.72,1,2,1),(20,5369789,'1988-04-25 00:00:00',4,15,12,2005,'M','N','CHACARA DAS PEDRAS','PTO ALEGRE','RS','120202201217371411379831475121142864113',1322,'9998',79.64,1,3,NULL),(20,5369797,'1991-10-20 01:00:00',2,10,12,2009,'M','N','CENTRO','BRAÇO NORTE','SC','124244248215141421335621315114610115111',NULL,'950',27.90,1,3,NULL),(20,5369800,'1979-04-12 00:00:00',2,16,11,1998,'F','N','SÃO LUIZ','CURITIBANOS','SC','224241241122371441423354232334130236092',NULL,'345',30.14,3,3,NULL),(20,5369827,'1991-01-25 00:00:00',2,4,12,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124241241136131732323321442235610126147',NULL,'757',24.65,1,2,1),(20,5369843,'1980-03-14 00:00:00',4,1,12,1996,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244246117135721336679295124120368183',14689,'306',48.76,3,3,NULL),(20,5369860,'1979-03-11 00:00:00',4,1,12,1997,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224241241111132721226343232133120567047',NULL,'286',27.87,1,3,NULL),(20,5369886,'1977-06-21 00:00:00',4,1,12,1994,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','624202201216151411269943432134342468117',6411,'9998',65.11,1,3,NULL),(20,5369894,'1992-04-23 00:00:00',4,4,12,2009,'M','N','INDUSTRIAL','SEARA','SC','124241241116151731438732572122610164052',13353,'764',48.74,1,2,1),(20,5369908,'1990-02-08 00:00:00',4,2,12,2007,'M','N','VELHA','BLUMENAU','SC','124244241215372451569614475114231442092',5952,'855',66.12,1,3,NULL),(20,5369924,'1990-02-05 00:00:00',2,1,12,2007,'M','N','INGLRSES','FLORIANÓPOLIS','SC','124201202117132431326621445334610168177',NULL,'9998',0.00,4,1,1),(20,5369932,'1992-12-01 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124244241215111421646614241112610117041',NULL,'1118',19.03,2,1,2),(20,5369940,'1991-09-19 00:00:00',4,1,12,2009,'F','N','CENTRO','TRÊS FRONTEIRAS','SP','125252251212111221378812572122610162142',NULL,'9998',0.00,1,3,NULL),(20,5369959,'1982-08-13 00:00:00',4,1,8,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241247126472431633514245124610127037',7860,'9999',60.84,4,1,1),(20,5369967,'1991-09-07 00:00:00',4,1,12,2009,'M','N','CENTRO','GILBUÉS','PI','118181181146151432637531215125610168143',14511,'9998',49.21,1,3,NULL),(20,5369975,'1992-11-04 00:00:00',4,1,12,2010,'F','S','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241225111431535633391224610148057',NULL,'262',27.80,1,3,NULL),(20,5369991,'1990-04-25 00:00:00',2,1,12,2008,'F','N','BAIRRO DO BAU','CUIABÁ','MT','111111111417471432356871571122610126042',13428,'9998',48.25,1,3,NULL),(20,5370000,'1985-10-20 00:00:00',4,1,12,2004,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216213421439633445132331424142',NULL,'260',0.00,1,3,NULL),(20,5370027,'1986-10-02 00:00:00',2,1,12,2004,'M','N','CAMOBI','STA MARIA','RS','120202201216571431488912575124610167042',NULL,'9998',0.00,1,3,NULL),(20,5370035,'1982-07-08 00:00:00',4,10,12,2000,'M','N','DEHON','TUBARÃO','SC','224242246212151411348944345122133246191',3347,'995',72.49,1,3,NULL),(20,5370043,'1992-08-04 00:00:00',4,1,12,2009,'M','N','CENTRO','CHAP LAGEADO','SC','124241241137162441536613435125610114177',NULL,'165',31.69,1,2,1),(20,5370051,'1984-12-30 00:00:00',2,1,12,2001,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241114575431326419382124123227097',14604,'281',47.01,4,1,1),(20,5370060,'1971-10-22 00:00:00',4,1,12,1988,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241116154721263844345124522264097',NULL,'307',42.74,1,2,1),(20,5370078,'1991-06-13 00:00:00',4,1,12,2008,'F','N','PARQUE BRASIL','JACAREÍ','SP','125254251216471431338639572124610142077',4649,'9998',67.02,3,3,NULL),(20,5370086,'1981-08-27 00:00:00',3,1,12,2002,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124251241147274431623231245124122266047',NULL,'298',31.05,1,3,NULL),(20,5370094,'1988-01-28 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117133431126649395123222268077',NULL,'772',28.68,1,2,1),(20,5370116,'1990-12-27 00:00:00',2,15,12,2008,'M','N','SAPIRANGA','MELEIRO','SC','124241241112111431323323285124231465092',NULL,'30',30.37,1,2,1),(20,5370124,'1992-05-16 00:00:00',4,2,12,2009,'F','N','VILA RIBEIRÓPOLIS','REGISTRO','SP','125252251226141431446713235122610125092',NULL,'9998',0.00,1,3,NULL),(20,5370132,'1989-07-04 00:00:00',4,1,12,2006,'F','N','PQ IN DUSTRIAL','S JOSÉ CAMPOS','SP','125252253216131431447419575115242412097',NULL,'9998',0.00,2,1,2),(20,5370140,'1988-07-20 00:00:00',4,8,12,2005,'F','N','FAZENDINHA','CURITIBA','PR','116163161214571431546822571112142463052',NULL,'9998',0.00,1,3,NULL),(20,5370159,'1992-04-23 00:00:00',4,8,12,2009,'M','N','CENTRO','TUPÃ','SP','116252161215411431488823575122610127053',NULL,'9998',0.00,1,3,NULL),(20,5370167,'1989-03-30 00:00:00',2,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241112573431548811442134610127047',NULL,'307',0.00,1,2,1),(20,5370175,'1990-10-30 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116133711443436185125222367047',NULL,'377',28.61,1,2,1),(20,5370183,'1992-10-27 00:00:00',2,1,12,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241243135161531525918572124610263077',NULL,'307',20.77,1,2,1),(20,5370191,'1992-07-01 00:00:00',4,1,12,2009,'M','N','PRAIA DA COSTA','VL VELHA','ES','108082081215111431489814585112610164122',NULL,'9998',0.00,1,3,NULL),(20,5370213,'1987-11-29 00:00:00',2,1,12,2004,'F','N','ROÇADO','S JOSÉ','SC','124241248117372731544411112134610132182',NULL,'307',21.60,4,3,NULL),(20,5370221,'1989-02-03 00:00:00',4,16,12,2007,'M','N','CENTRO','QUEDAS IGUAÇU','PR','216241241116131441626673285121610146183',NULL,'239',0.00,4,2,1),(20,5370230,'1992-05-06 00:00:00',2,1,12,2009,'F','N','JR DR PINHEIRO','ITAPEVA','SP','125253251217271431438823372125610132187',NULL,'9998',0.00,1,3,NULL),(20,5370248,'1992-09-17 00:00:00',2,1,12,2009,'F','N','CENTRO','PIRENÓPOLIS','GO','109092091216121431558812475122610124097',NULL,'9998',19.73,3,3,NULL),(20,5370256,'1982-12-03 00:00:00',2,1,12,2001,'F','N','DANIELA','FLORIANÓPOLIS','SC','124161241117371431121641415124610144182',15818,'245',45.00,4,2,1),(20,5370264,'1991-05-09 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116251251415471431338616596344610166037',11233,'9998',55.85,1,3,NULL),(20,5370272,'1988-04-06 00:00:00',2,15,12,2005,'M','N','ZANETTE','MELEIRO','SC','124241241216131732538411345133231467047',NULL,'32',22.51,1,3,NULL),(20,5370280,'1989-10-21 00:00:00',2,16,12,2006,'F','N','CENTRO','CURITIBANOS','SC','124241241116472411238836485122230223073',NULL,'239',24.37,1,3,NULL),(20,5370302,'1991-09-18 00:00:00',4,1,12,2008,'M','N','CENTRO','CANOINHAS','SC','124243241117152411537714575124231467012',4716,'146',69.06,1,3,NULL),(20,5370310,'1988-03-01 00:00:00',2,1,12,2005,'M','N','CENTRO','S JOSÉ','SC','124221201346133731558613485112133217047',NULL,'9998',43.38,4,3,NULL),(20,5370329,'1991-12-04 00:00:00',4,8,12,2009,'M','N','MOOCA','S PAULO','SP','125252251111471431538932575124610136037',8206,'9998',57.50,3,3,NULL),(20,5370337,'1991-11-13 00:00:00',2,9,12,2008,'M','N','CENTRO','STA TEREZA','RS','120201201125371431336939591122610127047',10651,'9998',53.84,1,2,1),(20,5370345,'1964-06-13 00:00:00',2,1,12,1982,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241248127153431434444342134333255143',NULL,'9997',0.00,1,3,NULL),(20,5370353,'1986-08-01 00:00:00',4,1,1,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','224241247126271711234344241333610117057',NULL,'9999',NULL,1,2,1),(20,5370361,'1990-08-07 00:00:00',2,6,12,2009,'F','N','PANORAMA','FOZ IGUAÇU','PR','116161161146141431534431345124610151187',NULL,'9998',15.74,1,3,NULL),(20,5370370,'1991-12-04 00:00:00',2,4,11,2008,'F','N','ASSIS BRASIL','IJUÍ','RS','120201201216471431436612475125610127042',NULL,'9998',0.00,4,3,NULL),(20,5370388,'1961-06-04 00:00:00',4,1,12,1978,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241116151431154649392122433038187',12012,'239',54.35,1,3,NULL),(20,5370396,'1992-07-04 00:00:00',4,6,12,2009,'F','N','GUABIRUBA SUL','GUABIRUBA','SC','124241241116271731436414275124610166057',NULL,'333',27.20,1,3,NULL),(20,5370418,'1992-02-04 00:00:00',2,4,12,2008,'M','N','VILA INÊS','ALEGRETE','RS','120202201216571431129945351124143237057',NULL,'9998',0.00,1,3,NULL),(20,5370426,'1985-03-10 00:00:00',4,1,8,2003,'F','N','RIO GRANDE','PALHOÇA','SC','124241241116141441333629445124610122147',NULL,'591',24.45,1,2,1),(20,5370442,'1981-12-24 00:00:00',4,3,12,1999,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','224161161116131431434444345221130224017',NULL,'9998',29.64,1,3,NULL),(20,5370469,'1985-11-02 01:00:00',4,1,12,2003,'F','N','JD SANTO ANDRÉ','LIMEIRA','SP','125251251116571331524341215134610116147',NULL,'9998',0.00,4,2,1),(20,5370477,'1988-05-05 00:00:00',2,7,12,2005,'F','N','CENTRO','TREZE TÍLIAS','SC','124241241136131431634415245132610162147',NULL,'795',41.87,1,2,1),(20,5370485,'1978-09-05 00:00:00',2,5,12,2002,'F','N','BRASILIA','CRICIÚMA','SC','124241247147131451121344242344610128147',NULL,'9999',19.24,2,1,1),(20,5370493,'1991-06-06 00:00:00',4,1,12,2009,'F','N','QUITAÚNA','OSASCO','SP','125252251216471441549822575114610167097',4095,'9998',68.61,1,3,NULL),(20,5370507,'1983-06-08 00:00:00',2,1,12,2000,'M','N','SÃO JOSÉ','S LEOPOLDO','RS','120202201117571721658811583125341224187',NULL,'9998',0.00,1,3,NULL),(20,5370515,'1991-02-19 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431368923575124233261111',3716,'988',71.53,1,3,NULL),(20,5370523,'1990-05-07 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','116162161211271431458812395122140267042',NULL,'9998',15.38,1,3,NULL),(20,5370531,'1991-08-26 00:00:00',4,1,11,2009,'M','N','RENASCENÇA II','S LUÍS','MA','110102101237111431269923574112610147182',11231,'9998',51.80,1,3,NULL),(20,5370540,'1988-04-25 00:00:00',2,1,12,2005,'M','N','BOM VIVER','BIGUAÇU','SC','124241241146131432434714475124610144062',NULL,'66',17.98,1,2,1),(20,5370558,'1987-06-13 00:00:00',2,8,12,2003,'M','N','CENTRO','CURITIBA','PR','116164161116372421626821485324143234042',NULL,'9998',48.05,4,3,NULL),(20,5370574,'1992-04-12 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241116371731447613472124610163047',15291,'307',42.23,1,2,1),(20,5370582,'1977-04-29 00:00:00',2,1,12,1995,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124162161217472431359813375124340237097',NULL,'9998',40.66,1,3,NULL),(20,5370590,'1987-07-03 00:00:00',2,1,12,2005,'F','N','JARDIM PLANALTO','S SEBASTIÃO PARAÍSO','MG','113131131212572751553839572124610162097',13898,'9998',47.43,1,3,NULL),(20,5370604,'1979-04-10 00:00:00',4,1,12,1997,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','624244241331275431539623291124610154012',NULL,'269',25.22,1,3,NULL),(20,5370612,'1990-04-04 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241132131231113348382324610113047',NULL,'275',21.42,1,2,1),(20,5370620,'1973-06-17 00:00:00',4,1,12,1990,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124252251216275751138679432223223222093',NULL,'9998',37.44,1,3,NULL),(20,5370647,'1992-11-13 00:00:00',2,16,12,2009,'F','N','MAROMBAS BRUNÓPOLIS','BRUNÓPOLIS','SC','124241241125271731526619571124610127142',NULL,'911',25.67,1,2,1),(20,5370655,'1992-12-16 00:00:00',4,4,12,2009,'M','N','CENTRO','PINHAL S BENTO','PR','116161161136131431526731572124610166172',NULL,'9998',0.00,1,2,1),(20,5370663,'1991-05-15 00:00:00',4,1,12,2008,'F','N','NÚCLEO ENGORDADOR','S PAULO','SP','125242241215473431435863571124610162047',3409,'1022',72.35,1,3,NULL),(20,5370671,'1978-01-26 00:00:00',4,5,12,1997,'M','N','SANTO ANTONIO','CRICIÚMA','SC','624241246237132721533344445132610137057',NULL,'230',28.00,1,3,NULL),(20,5370680,'1992-08-08 00:00:00',2,4,11,2009,'F','N','BELA VISTA','ERECHIM','RS','120203201211111731448613342225610168017',NULL,'9998',0.00,4,3,NULL),(20,5370698,'1988-12-15 00:00:00',4,1,12,2006,'M','N','ASA NORTE','BRASÍLIA','DF','107072071215571731469911275122610167042',6956,'9998',61.97,1,3,NULL),(20,5370701,'1989-07-11 00:00:00',2,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116163161115571431635529271224610165147',8261,'9998',59.93,1,3,NULL),(20,5370710,'1977-07-30 00:00:00',4,1,12,1995,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125201201127471431334449294134341566097',NULL,'9998',0.00,1,2,1),(20,5370728,'1990-09-05 00:00:00',4,1,12,2007,'F','N','VILA NOVA','LOANDA','PR','116162161215571412558814576115610164147',NULL,'9998',0.00,1,3,NULL),(20,5370736,'1988-02-01 00:00:00',4,8,12,2005,'F','N','JD ATUBA II','PINHAIS','PR','116163161316571431346664245134141335072',NULL,'9998',0.00,1,3,NULL),(20,5370744,'1991-08-11 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241416112431336834345124133222147',NULL,'1038',0.00,4,3,NULL),(20,5370752,'1990-06-30 00:00:00',4,1,12,2007,'F','N','CIDADE INDUSTRIAL','CURITIBA','PR','116252161215571441457614575124610144013',1873,'9998',76.78,3,3,NULL),(20,5370760,'1988-09-12 00:00:00',2,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241126472421524111575124610117042',14856,'282',45.28,1,2,1),(20,5370779,'1991-03-28 00:00:00',2,4,12,2007,'M','N','CENTRO','JURANDA','PR','116163161115471421536712422324610127055',NULL,'9998',0.00,1,3,NULL),(20,5370795,'1989-04-23 00:00:00',2,1,10,2007,'M','N','CENTRO','RESTINGA SECA','RS','120201207336272431438421572114610164017',NULL,'9998',0.00,1,3,NULL),(20,5370809,'1988-05-17 00:00:00',2,16,12,2005,'M','N','CENTRO','CURITIBANOS','SC','124241241132153351324439592125230337112',15758,'881',45.24,3,3,NULL),(20,5370825,'1990-06-30 00:00:00',2,8,12,2007,'F','N','BOQUEIRAO','CURITIBA','PR','116161161216571451336624572124610123077',6525,'9998',62.90,1,3,NULL),(20,5370833,'1979-06-28 00:00:00',2,1,12,1996,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','624242241116374411536673441114610124012',NULL,'307',19.90,4,3,NULL),(20,5370841,'1989-07-11 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244247422212731428519381124610124072',NULL,'270',17.46,1,3,NULL),(20,5370850,'1985-09-26 00:00:00',4,6,12,2002,'F','N','CENTRO','BAL CAMBORIÚ','SC','124201201346131741124773195124331032187',NULL,'9998',17.65,1,3,NULL),(20,5370868,'1984-02-16 00:00:00',2,1,12,2001,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','224241241246133431236644245123610112097',NULL,'272',29.50,4,3,NULL),(20,5370876,'1987-04-14 00:00:00',2,5,11,2004,'F','N','UNIVERSITÁRIO','CRICIÚMA','SC','124241241137133432534314571324131463027',NULL,'228',28.53,1,2,1),(20,5370884,'1992-03-27 00:00:00',2,1,12,2009,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241115151711513315352224610127057',NULL,'65',43.77,1,2,1),(20,5370892,'1991-04-01 00:00:00',4,1,12,2008,'M','N','JD DOS ESTADOS','CPO GRANDE','MS','112122121214311751348834575122610118057',NULL,'9998',0.00,1,3,NULL),(20,5370906,'1990-10-10 00:00:00',4,10,11,2007,'M','N','CENTRO','BRAÇO NORTE','SC','124241241215574751226644442124610162097',3162,'807',73.03,1,3,NULL),(20,5370914,'1991-01-19 00:00:00',4,2,12,2008,'F','N','GARCIA','BLUMENAU','SC','124241241135271421434312375124610161192',NULL,'83',42.28,1,2,1),(20,5370922,'1992-06-25 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241116131411527823575124610115142',NULL,'257',20.94,1,2,1),(20,5370930,'1985-08-06 00:00:00',2,2,12,2002,'M','N','VILA NOVA MAZZEI','S PAULO','SP','125251251117272411344629435114142362047',12313,'9998',49.78,1,2,1),(20,5370949,'1986-10-11 00:00:00',2,1,12,2003,'M','N','MOEMA','S PAULO','SP','125252241216271751338711345121141044042',10801,'9998',56.68,1,3,NULL),(20,5370965,'1991-07-02 00:00:00',4,8,12,2008,'F','N','LA SALLE','PATO BRANCO','PR','116162161216471451438314575325610134142',1351,'9998',77.80,1,3,NULL),(20,5370973,'1991-11-05 00:00:00',2,7,11,2008,'F','N','CENTRO','ÁGUA DOCE','SC','124242241116112411327923475124132668147',NULL,'454',21.97,1,3,NULL),(20,5371015,'1992-02-06 00:00:00',4,1,12,2009,'F','N','CENTRO','ITAPUCÁ','RS','120201201115371731323339195124610157057',NULL,'9998',19.20,1,2,1),(20,5371023,'1989-07-17 00:00:00',4,5,12,2007,'M','N','DEMBOSKI','IÇARA','SC','124241246217111431333824345224231467147',NULL,'188',24.19,1,3,NULL),(20,5371031,'1987-09-01 00:00:00',4,1,12,2005,'M','N','SANTA CÂNDIDA','CURITIBA','PR','116041161116471441466313345123141164187',4994,'9998',65.42,4,3,NULL),(20,5371040,'1992-07-25 00:00:00',4,8,11,2009,'M','N','BOQUEIRÃO','CURITIBA','PR','116162161235471431446811574122610166117',NULL,'9998',38.16,1,3,NULL),(20,5371058,'1992-03-09 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','120201201116131421536812371124610117057',NULL,'9998',29.78,1,2,1),(20,5371066,'1993-08-19 00:00:00',2,7,12,2009,'M','N','VALENTIN FERRARI','JABORÁ','SC','124241241135371751444923575122610167047',NULL,'418',40.84,1,2,1),(20,5371074,'1991-11-01 00:00:00',2,4,12,2008,'F','N','CENTRO','CAPANEMA','PR','116161161116471431453931172124610162182',NULL,'9998',0.00,1,2,1),(20,5371082,'1990-02-19 00:00:00',2,1,12,2006,'F','N','CENTRO','STA MARIA','RS','120201201126571421333611572125610127057',8331,'9998',58.94,1,2,1),(20,5371090,'1971-04-09 00:00:00',4,1,12,1990,'M','N','CENTRO','FLORIANÓPOLIS','SC','624241241116152411156343435134122246092',7048,'69',63.72,1,3,NULL),(20,5371104,'1988-06-19 00:00:00',2,15,11,2005,'F','N','CENTRO','PTO ALEGRE','RS','120241241316371411115749295125610146177',NULL,'980',51.52,1,3,NULL),(20,5371112,'1988-10-17 00:00:00',4,4,12,2005,'M','N','ZONA DOIS','UMUARAMA','PR','116162161216571411546622572215610124182',3732,'9998',70.96,1,3,NULL),(20,5371120,'1990-06-09 00:00:00',4,4,12,2007,'F','N','CENTRO','STA MARIA','RS','120162161216471431457614372124610164187',4831,'9998',66.51,1,3,NULL),(20,5371139,'1992-10-15 00:00:00',4,8,11,2010,'M','S','COSTA E SILVA','JOINVILLE','SC','124243241316111431438713472112610167141',NULL,'861',50.18,1,3,NULL),(20,5371147,'1992-05-24 00:00:00',4,2,12,2009,'F','N','PADRE EDUARDO','TAIÓ','SC','124242241212131431336619575122610122052',9729,'776',58.69,1,3,NULL),(20,5371155,'1992-11-30 00:00:00',2,15,12,2009,'F','N','ALTO FELIZ','ARARANGUÁ','SC','124241241115131441646933572112610138047',NULL,'29',27.24,1,2,1),(20,5371163,'1984-03-27 00:00:00',4,1,12,2001,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','120202201216572751589631195122610164182',5871,'9998',65.31,2,3,NULL),(20,5371171,'1989-03-28 00:00:00',4,1,12,2006,'M','N','JD ESTER','S PAULO','SP','125252251214571431468924574114610122076',NULL,'9998',0.00,4,3,NULL),(20,5371180,'1987-05-04 00:00:00',2,3,12,2004,'M','N','JARDIM AGU','OSASCO','SP','125252251216572751427779494125610165147',14471,'9998',45.24,1,3,NULL),(20,5371198,'1981-12-26 00:00:00',4,2,12,2001,'M','N','BOM RETIRO','BLUMENAU','SC','124243241127151431226744342133610162051',NULL,'69',9.26,1,3,NULL),(20,5371201,'1979-10-31 00:00:00',4,1,12,1996,'F','N','ARMAÇÃO PANTANO DO S','FLORIANÓPOLIS','SC','224242248316153751358313495115122218187',13593,'270',51.18,3,3,NULL),(20,5371210,'1982-06-25 00:00:00',4,10,12,1999,'F','N','VILA NOVA','IMBITUBA','SC','124202201216372411338869482122232828187',NULL,'9998',0.00,1,3,NULL),(20,5371228,'1992-10-12 00:00:00',2,6,12,2009,'F','N','CENTRO','IVAÍ','PR','116161161116371431445915172124610126072',9106,'9998',57.82,1,2,1),(20,5371236,'1988-08-10 00:00:00',2,6,7,2007,'F','N','SAO VICENTE','ITAJAÍ','SC','124253241332231431423714482124130233153',NULL,'9999',NULL,1,3,NULL),(20,5371244,'1992-07-17 00:00:00',4,3,12,2009,'F','N','CENTRO','ARAPONGAS','PR','116162161216111431576732374122610152142',11946,'9998',54.46,1,3,NULL),(20,5371252,'1989-12-21 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247216271431121344242124610123187',NULL,'270',7.05,1,3,NULL),(20,5371260,'1992-07-05 00:00:00',2,2,11,2009,'F','N','QUINTINO','TIMBÓ','SC','124241241215121751335923572112610146197',NULL,'1157',0.00,1,3,NULL),(20,5371279,'1992-04-06 00:00:00',4,6,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241145141431333611245121610128072',NULL,'405',0.00,1,2,1),(20,5371287,'1989-05-04 00:00:00',4,1,12,2006,'M','N','JARDIM CALIFÓRNIA','JACAREÍ','SP','125251251117571431446614345124610127177',12614,'9998',48.45,1,3,NULL),(20,5371309,'1991-08-12 00:00:00',4,10,12,2009,'M','N','MAGALHÃES','LAGUNA','SC','124242241227131431323329575121610134147',NULL,'524',29.47,1,3,NULL),(20,5371317,'1992-06-26 00:00:00',4,1,11,2009,'M','N','SANTANA','STO AMARO IMPERATRIZ','SC','124241241137141431536613495122610117052',NULL,'772',29.34,4,2,1),(20,5371325,'1991-03-29 00:00:00',4,1,12,2008,'M','N','PARQUE SÃO VICENTE','MAUÁ','SP','125252251216371731356821575122610167047',12661,'9998',47.90,3,3,NULL),(20,5371333,'1986-05-07 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124203201217271411228844445334610144042',14591,'9998',49.02,1,3,NULL),(20,5371341,'1990-05-11 00:00:00',4,1,12,2007,'M','N','MANSÕES STO ANTONIO','CAMPINAS','SP','125252251215571431589939575122610162093',3416,'9998',70.27,1,3,NULL),(20,5371368,'1992-04-25 00:00:00',2,15,12,2009,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241115111431635414172122610132142',NULL,'30',0.00,1,2,1),(20,5371376,'1992-04-12 00:00:00',4,10,12,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215111431247823475122610123092',NULL,'797',34.16,1,3,NULL),(20,5371384,'1981-09-10 00:00:00',4,1,12,1998,'F','N','LIBERDADE','S PAULO','SP','125251253226571731434425272115143132187',NULL,'9998',0.00,3,3,NULL),(20,5371392,'1981-07-17 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216374221468832475125322042067',484,'266',84.70,1,3,NULL),(20,5371406,'1988-08-23 00:00:00',2,1,11,2005,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241212575422579713441124230817117',13569,'269',51.23,1,3,NULL),(20,5371422,'1993-05-05 00:00:00',4,16,12,2009,'F','N','GIOPPO','CAÇADOR','SC','124241241116131431337829272124610142147',NULL,'123',7.05,1,2,1),(20,5371430,'1991-08-18 00:00:00',2,8,12,2008,'F','N','AMÉRICA','JOINVILLE','SC','124243241237141451468612222124230244147',NULL,'1016',42.93,1,3,NULL),(20,5371449,'1987-09-11 00:00:00',4,1,10,2005,'F','N','SANTO ANTONIO','BELO HORIZONTE','MG','113132131216571431568824575114142566197',NULL,'9998',0.00,1,3,NULL),(20,5371457,'1990-05-05 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124251258127371721223314345124610123092',NULL,'9998',0.00,2,2,1),(20,5371465,'1987-10-17 00:00:00',2,10,12,2005,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241248116141211338934245124233214117',NULL,'1034',45.23,2,1,1),(20,5371473,'1992-11-30 00:00:00',4,15,12,2009,'M','N','CENTRO','JACINTO MACHADO','SC','124241243124161431446923235112611448047',NULL,'420',25.07,1,3,NULL),(20,5371481,'1992-07-07 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','120201201137131431325624575121610165187',NULL,'9998',0.00,1,2,1),(20,5371490,'1985-09-19 00:00:00',2,1,12,2003,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241211152751349632595122221467182',NULL,'981',0.00,1,3,NULL),(20,5371503,'1989-08-29 00:00:00',2,15,11,2007,'F','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120201201437572331127514571322610142042',NULL,'9998',0.00,1,3,NULL),(20,5371511,'1987-07-08 00:00:00',2,2,11,2004,'F','N','CENTRO','PNT GROSSA','PR','124162161216574751146614575125232466017',NULL,'9998',0.00,1,3,NULL),(20,5371538,'1980-09-16 00:00:00',4,1,12,1998,'M','N','AREIAS','S JOSÉ','SC','224241241127371531236674442124231022052',NULL,'356',28.25,4,3,NULL),(20,5371546,'1992-10-21 00:00:00',2,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124201241315211431426511475124610135097',NULL,'1022',0.00,1,3,NULL),(20,5371554,'1992-09-29 00:00:00',4,1,12,2009,'F','N','CENTRO','ITUPORANGA','SC','124241241225131431445631345122610127142',NULL,'1173',0.00,4,3,NULL),(20,5371562,'1991-01-24 00:00:00',2,1,12,2008,'M','N','PRAIA DA CAL','TORRES','RS','120202201217231731433616142121610135114',7560,'9998',60.28,1,3,NULL),(20,5371570,'1987-06-22 00:00:00',2,1,12,2004,'F','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124201241126133431226344345234610163147',NULL,'307',23.33,1,2,1),(20,5371589,'1991-06-14 00:00:00',4,8,12,2008,'M','N','MOSSUNGUÊ','CURITIBA','PR','116162161216471731469911595122610167047',4589,'9998',67.18,1,3,NULL),(20,5371600,'1992-04-10 00:00:00',2,5,10,2009,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124243241215111431436622575122610124172',NULL,'226',31.45,1,3,NULL),(20,5371619,'1992-07-24 00:00:00',2,4,12,2009,'F','N','SANTA TEREZINHA','PALMITINHO','RS','120201201117131431438823492122610133057',NULL,'9998',0.00,1,3,NULL),(20,5371627,'1986-06-06 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241281215574431469933375124333267042',1382,'9998',79.12,1,3,NULL),(20,5371635,'1991-09-20 00:00:00',4,6,12,2008,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241215132431348823435112231432052',5832,'394',66.39,1,3,NULL),(20,5371643,'1989-06-21 00:00:00',4,1,12,2006,'F','N','KOBRASOL','S JOSÉ','SC','124242241217574451228424575124232668095',10933,'723',56.43,1,3,NULL),(20,5371651,'1989-06-04 00:00:00',2,1,12,2006,'F','N','CENTRO','BIGUAÇU','SC','124241241317574731234774343234610122057',9385,'1005',56.37,1,3,NULL),(20,5371660,'1993-06-14 00:00:00',4,3,12,2009,'F','N','SANTA RITA','BRUSQUE','SC','124242241215111731469933575112610112172',NULL,'981',46.76,1,3,NULL),(20,5371678,'1989-11-24 00:00:00',4,6,12,2007,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241216573431448811575112130464127',9260,'44',57.63,1,3,NULL),(20,5371694,'1989-02-13 00:00:00',4,1,11,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251216371431228811372121140267073',15987,'9998',44.20,1,3,NULL),(20,5371708,'1991-05-05 00:00:00',2,1,11,2009,'F','N','FLORESTA','S JOSÉ','SC','124241241115111731228621275124610138147',13115,'267',49.97,1,2,1),(20,5371716,'1990-04-08 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124253251317131711116744146334133237112',NULL,'9998',37.08,1,3,NULL),(20,5371724,'1992-04-01 00:00:00',4,8,12,2009,'F','N','BELA VISTA','RIO NEGRINHO','SC','124242241215151431368712575122610148052',14351,'666',45.58,2,3,NULL),(20,5371732,'1988-06-26 00:00:00',2,8,12,2005,'F','N','CENTRO','S BENTO SUL','SC','124241248127231711623311342324610123097',NULL,'132',0.00,1,3,NULL),(20,5371740,'1993-02-02 00:00:00',2,2,11,2010,'F','S','JARDIM AMÉRICA','RIO SUL','SC','124242241215111731456514175112610134142',NULL,'991',41.78,1,3,NULL),(20,5371759,'1991-07-05 00:00:00',2,9,11,2009,'M','N','CENTRO','S JOAQUIM','SC','124242241215111711326615575125610117052',NULL,'720',0.00,1,3,NULL),(20,5371767,'1964-02-14 00:00:00',2,1,12,1981,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241243126134721253343132132332764157',9197,'325',59.61,1,2,1),(20,5371775,'1991-06-22 00:00:00',2,15,12,2009,'F','N','COLONINHA','ARARANGUÁ','SC','124241248111131421336823285122610126012',NULL,'29',25.63,1,2,1),(20,5371783,'1993-02-20 00:00:00',4,4,12,2009,'F','N','CENTRO','MARAVILHA','SC','124242241215151431456912471122610126193',NULL,'1037',0.00,1,3,NULL),(20,5371791,'1992-05-12 00:00:00',2,4,12,2009,'M','N','SAO PEDRO','XANXERÊ','SC','124241241117131231536621575122610122017',NULL,'949',30.80,1,2,1),(20,5371805,'1991-09-03 00:00:00',2,1,11,2008,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241131372431536311242124610117042',NULL,'288',18.31,1,2,1),(20,5371813,'1990-11-19 00:00:00',2,1,12,2009,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124114241315131411547639595122610136092',14089,'1134',48.80,1,3,NULL),(20,5371848,'1979-02-08 00:00:00',4,1,12,1996,'M','N','CAMPINAS','S JOSÉ','SC','124242241216272751246549195122320237042',NULL,'266',0.00,1,3,NULL),(20,5371856,'1993-01-24 00:00:00',2,15,12,2009,'F','N','CENTRO','ERMO','SC','124241248126111122416613335125610168051',NULL,'250',12.67,1,3,NULL),(20,5371864,'1992-01-25 00:00:00',4,4,12,2008,'M','N','CENTRO','ICARAÍMA','PR','116164161217511441558931475122610114177',NULL,'9998',0.00,1,3,NULL),(20,5371872,'1978-06-07 00:00:00',4,8,12,1997,'F','N','COSTA E SILVA','JOINVILLE','SC','124132131236232411244343435122131763181',NULL,'9998',0.00,2,3,NULL),(20,5371880,'1990-05-24 00:00:00',4,1,12,2007,'M','N','BELLA VISTA','S JOSÉ','SC','124241241115372451436534245124610164042',NULL,'726',28.42,4,2,1),(20,5371899,'1988-09-16 00:00:00',2,15,12,2006,'M','N','SANTA CATARINA','ARARANGUÁ','SC','124241241126141731331511115112610127065',NULL,'29',0.00,1,3,NULL),(20,5371902,'1984-09-05 00:00:00',4,1,12,2002,'M','N','CAMPINAS','S JOSÉ','SC','124241241212571431388811472123130242191',6808,'737',64.25,1,3,NULL),(20,5371910,'1991-07-10 00:00:00',2,4,12,2008,'M','N','PARQUE CIDADE JARDIM','UMUARAMA','PR','116162161214571411568836274122610168052',3044,'9998',71.43,1,3,NULL),(20,5371929,'1991-03-04 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215271431356521472114610168187',NULL,'1022',0.00,1,3,NULL),(20,5371937,'1993-01-28 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','120202201216371431259811415125610131052',NULL,'9998',0.00,1,3,NULL),(20,5371953,'1989-11-03 00:00:00',2,1,12,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124162161212473531249821575124610164055',12535,'9998',53.27,3,3,NULL),(20,5371961,'1992-01-29 00:00:00',4,3,12,2008,'F','N','WESTPHALLEN','PALMEIRA MISSÕES','RS','120201201116371431323311371224610136012',NULL,'9998',28.32,1,2,1),(20,5371970,'1992-08-20 00:00:00',4,4,11,2009,'M','N','TROPICAL','CASCAVEL','PR','116163161217111411548813574112610114167',10679,'9998',53.92,1,3,NULL),(20,5371988,'1991-09-27 00:00:00',4,8,12,2008,'M','N','BONSUCESSO','GUARAPUAVA','PR','116162161215271412548614145121240634057',10990,'9998',56.31,1,3,NULL),(20,5371996,'1992-02-16 00:00:00',2,4,12,2009,'F','N','CENTRO','S MARTINHO','RS','120201201117271731434311112122610124147',NULL,'9997',0.00,1,2,1),(20,5372003,'1991-09-30 00:00:00',2,1,12,2009,'F','N','JARDIM SAO NICOLAU','BIGUAÇU','SC','124241241116133221535513575114610168157',NULL,'65',21.69,4,2,1),(20,5372011,'1985-12-01 00:00:00',4,1,12,2003,'F','N','OFICINAS','TUBARÃO','SC','124241241117271431343319241122610115147',NULL,'804',13.52,1,2,1),(20,5372020,'1989-12-17 00:00:00',2,1,6,2008,'M','N','IPANEMA','PTO ALEGRE','RS','120202207217211531447612381122610117092',NULL,'9998',0.00,4,3,NULL),(20,5372038,'1990-02-18 00:00:00',2,1,11,2007,'M','N','PARQUE PREZOTTO','PIRACICABA','SP','125254257416411431348838585122140214047',14711,'9998',48.69,1,3,NULL),(20,5372046,'1988-08-04 00:00:00',4,1,12,2007,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241127272431433524442333610127142',NULL,'593',22.75,1,3,NULL),(20,5372054,'1977-09-25 00:00:00',4,15,12,1998,'M','N','CIDADE ALTA','ARARANGUÁ','SC','224241241141131221323342221122610128047',NULL,'29',14.57,1,3,NULL),(20,5372062,'1992-04-14 00:00:00',2,15,11,2009,'F','N','IMIGRANTE','MELEIRO','SC','124241248113131421536611271321610117071',NULL,'559',25.78,1,2,1),(20,5372097,'1992-06-14 00:00:00',4,9,11,2009,'F','N','CENTRO','LAGES','SC','124242241215111431448916575122610118142',7028,'499',62.69,1,3,NULL),(20,5372100,'1992-05-29 00:00:00',2,9,12,2009,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241215111411367722375122610141092',NULL,'9997',0.00,1,3,NULL),(20,5372119,'1991-12-15 00:00:00',3,8,12,2008,'F','N','GUABIROTUBA','CURITIBA','PR','116163161116271441549934575124610164047',6722,'9998',62.47,1,3,NULL),(20,5372127,'1992-01-22 00:00:00',2,2,12,2009,'F','N','VELHA','BLUMENAU','SC','124241241115271741526613572224610164141',NULL,'84',0.00,1,3,NULL),(20,5372135,'1987-03-16 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241147271651119978186345610152037',NULL,'9997',42.49,1,3,NULL),(20,5372160,'1990-01-19 00:00:00',2,4,12,2006,'M','N','INTERIOR','CHAPECÓ','SC','124241241121163431324475552114610118182',NULL,'914',35.45,1,2,1),(20,5372178,'1984-05-08 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','624051051122271431423451382224610143027',NULL,'9998',22.59,4,2,1),(20,5372186,'1991-06-11 00:00:00',4,1,12,2008,'M','N','BOQUEIRÃO','SANTOS','SP','125252251237471431489814275112610167047',NULL,'9998',0.00,1,3,NULL),(20,5372194,'1989-04-08 00:00:00',2,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124241247117152711436613445134610167147',16125,'9999',43.25,2,1,1),(20,5372208,'1984-02-11 00:00:00',4,5,12,2001,'M','N','COMERCIÁRIO','CRICIÚMA','SC','524241241346153411256443335122231168017',8320,'210',61.27,1,3,NULL),(20,5372216,'1991-10-24 00:00:00',2,1,12,2009,'F','N','SÃO JOSÉ','S LEOPOLDO','RS','120202201216111731467931571122610117182',NULL,'9998',25.47,1,3,NULL),(20,5372224,'1991-11-11 00:00:00',4,6,11,2009,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241215111611364432275112610127046',16289,'1026',40.87,1,3,NULL),(20,5372232,'1967-01-05 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','424244247522371431631429242224610133193',NULL,'9999',26.46,2,1,2),(20,5372240,'1992-12-18 00:00:00',2,4,10,2009,'F','N','FÁTIMA','ERECHIM','RS','120202201217271731438619572122610168077',7501,'9998',59.54,1,3,NULL),(20,5372259,'1991-07-15 00:00:00',4,1,12,2008,'F','N','GOPOÚVA','GUARULHOS','SP','125252251115471731368834572312610127047',8201,'9998',58.66,1,3,NULL),(20,5372267,'1990-03-09 00:00:00',2,8,12,2007,'F','N','VILA LENZI','JARAGUÁ SUL','SC','124241241215572411459413575124610132092',6889,'1174',61.19,2,3,NULL),(20,5372275,'1992-10-19 00:00:00',4,9,12,2009,'M','N','CENTENÁRIO','LAGES','SC','124241241115371231426731585122610122047',12109,'935',50.96,1,2,1),(20,5372283,'1984-07-27 00:00:00',4,1,12,2003,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224203207422131431323351485124610138187',NULL,'9998',12.91,1,3,NULL),(20,5372305,'1993-08-23 00:00:00',4,5,12,2009,'M','N','SANTA BARBARA','CRICIÚMA','SC','124242248215111751386922412112610162047',NULL,'226',0.00,1,3,NULL),(20,5372313,'1993-01-05 00:00:00',4,1,12,2010,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112732489913432122610125093',NULL,'951',46.71,1,3,NULL),(20,5372321,'1989-07-23 00:00:00',4,3,12,2007,'F','N','JARDIM PARAÍBA','APARECIDA','SP','125252251217572431428731572124610123017',4760,'9998',66.51,1,3,NULL),(20,5372330,'1984-10-13 00:00:00',2,1,10,2000,'F','N','CACHOEIRA B JESUS','FLORIANÓPOLIS','SC','124241241127131431216624242224610121147',NULL,'306',27.48,1,2,1),(20,5372348,'1992-06-20 00:00:00',2,9,12,2009,'M','N','CENTRO','CPO BELO SUL','SC','124241241111131311538313572341610134057',NULL,'134',23.14,1,2,1),(20,5372356,'1975-08-21 00:00:00',2,1,12,1990,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241241116145431259343435334322724187',8373,'293',61.18,1,2,1),(20,5372364,'1990-07-07 00:00:00',4,15,12,2007,'M','N','SÃO JOÃO','PTO ALEGRE','RS','120202201216571731478713575124610124047',7722,'9998',58.45,1,3,NULL),(20,5372372,'1990-04-25 00:00:00',4,2,12,2006,'M','N','CENTRO','VIDAL RAMOS','SC','124241241116141431536971284121610167057',15969,'828',44.30,1,3,NULL),(20,5372380,'1986-07-09 00:00:00',4,9,12,2003,'M','N','CENTRO','GARIBALDI','RS','120201201117571731226629575112343234047',15241,'9998',47.13,1,3,NULL),(20,5372399,'1992-05-04 00:00:00',4,7,12,2009,'M','N','CENTRO','JOAÇABA','SC','124242241215111431679814575122610137042',15916,'962',44.58,1,3,NULL),(20,5372402,'1982-03-22 00:00:00',4,8,12,1999,'F','N','JD BRITANIA','S PAULO','SP','121254251416551221137823447114143214027',NULL,'9998',0.00,2,3,NULL),(20,5372410,'1992-02-17 00:00:00',1,1,11,2009,'F','N','CENTRO','CALIFÓRNIA','PR','116162161417271431538833575124610133142',NULL,'9998',0.00,1,3,NULL),(20,5372429,'1993-05-16 00:00:00',4,9,11,2010,'M','S','JARDIM AMÉRICA','RIO SUL','SC','124242241215111431368831495121610127042',NULL,'991',54.77,1,3,NULL),(20,5372437,'1994-02-10 00:00:00',4,15,11,2010,'F','S','CENTRO','JACINTO MACHADO','SC','124242241215111731458832572122610122142',NULL,'970',0.00,1,3,NULL),(20,5372461,'1992-05-13 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241213112751568831573112610137052',2303,'1022',75.59,1,3,NULL),(20,5372470,'1991-01-26 00:00:00',4,8,12,2008,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161214471431356839571112610127057',4395,'9998',68.39,1,3,NULL),(20,5372488,'1992-09-10 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215271431558614575122610118197',11289,'213',51.96,1,3,NULL),(20,5372496,'1991-09-01 00:00:00',4,1,12,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215121431479911575112610145042',NULL,'1048',0.00,1,3,NULL),(20,5372518,'1988-06-23 00:00:00',2,1,12,2005,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124242241215273431436279342224120936015',5214,'269',67.80,1,3,NULL),(20,5372526,'1992-04-17 00:00:00',2,17,12,2009,'F','N','RESTINGA','MAFRA','SC','124241241116141431323324335124610127077',NULL,'542',20.64,1,2,1),(20,5372534,'1993-06-29 00:00:00',4,1,11,2010,'F','S','CENTRO','PALHOÇA','SC','124243241312111431556613575124610145052',NULL,'1022',46.37,1,3,NULL),(20,5372542,'1992-04-20 00:00:00',4,1,12,2009,'M','N','ZONA TRÊS','MARINGÁ','PR','116162161217111131569813475122610162142',3592,'9998',70.43,1,3,NULL),(20,5372550,'1992-04-13 00:00:00',2,8,12,2009,'F','N','BONSUCESSO','GUARAPUAVA','PR','116162161216371431568811572112610134187',8349,'9998',58.49,1,3,NULL),(20,5372569,'1987-10-10 00:00:00',4,1,12,2004,'F','N','LAGOA','FLORIANÓPOLIS','SC','124241241136131431133841395124130235187',NULL,'65',0.00,1,2,1),(20,5372577,'1991-04-09 00:00:00',2,1,12,2008,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241136371512346414315114610117045',NULL,'278',23.39,5,3,NULL),(20,5372585,'1992-02-28 00:00:00',2,1,12,2009,'M','N','TAJUBA I','S JOÃO BATISTA','SC','124241241117161331544611315122610127172',NULL,'712',25.31,1,2,1),(20,5372593,'1989-09-22 00:00:00',2,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241147132341123319225124610165097',NULL,'1033',41.65,1,2,1),(20,5372607,'1992-08-22 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431478811575112610134072',NULL,'262',22.80,1,3,NULL),(20,5372615,'1992-03-07 00:00:00',4,2,11,2009,'F','N','QUINTINO','TIMBÓ','SC','124241241335111411238614575122610121192',13018,'1157',52.33,1,3,NULL),(20,5372623,'1992-07-06 00:00:00',2,2,10,2009,'F','N','IMIGRANTES','TIMBÓ','SC','124241241215111441426933342122610162172',8933,'1157',57.22,1,3,NULL),(20,5372640,'1992-01-11 00:00:00',4,6,12,2008,'F','N','PARQUE DOS IPÊS','DOURADOS','MS','112122121216471431448621575122610124012',5849,'9998',65.64,1,3,NULL),(20,5372658,'1990-11-17 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','120201202117161421436619272122610164062',NULL,'9998',0.00,1,3,NULL),(20,5372666,'1991-02-13 00:00:00',2,15,12,2008,'F','N','ROCINHA','TIMBÉ SUL','SC','124241248136163331226919385123613228143',NULL,'785',0.00,1,2,1),(20,5372674,'1987-09-02 00:00:00',4,8,12,2005,'M','N','GLÓRIA','JOINVILLE','SC','124241246216373751568414385112130448187',12382,'1105',53.60,1,3,NULL),(20,5372682,'1989-03-06 00:00:00',2,1,12,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241217154221458632471122231417047',NULL,'270',41.76,1,3,NULL),(20,5372690,'1989-01-17 00:00:00',4,17,12,2006,'M','N','CENTRO','UNIÃO VITÓRIA','PR','125242251216371431448631475121241462127',NULL,'9998',0.00,1,3,NULL),(20,5372704,'1955-05-01 00:00:00',4,1,12,1985,'F','N','KOBASOL','S JOSÉ','SC','124201242122134421333123232134131161187',NULL,'306',18.90,1,2,1),(20,5372712,'1989-07-27 00:00:00',2,8,12,2006,'M','N','JARDIM IPIRANGA','LONDRINA','PR','116161161416211421444835585112140217162',NULL,'9998',0.00,3,3,NULL),(20,5372720,'1987-12-18 00:00:00',2,1,12,2004,'F','N','FERNANDES','S JOÃO BATISTA','SC','124241241116473431533629485112130236197',12499,'712',50.34,1,2,1),(20,5372739,'1991-05-02 00:00:00',2,8,12,2008,'M','N','NOSSA SENHORA AP','PINHÃO','PR','116163161145471732567933245115610126042',NULL,'9998',0.00,1,3,NULL),(20,5372747,'1992-04-01 00:00:00',2,1,12,2009,'F','N','JARDIM CRISTINA','PINDAMONHANGABA','SP','125252251216111441545923574222610126187',8564,'9998',58.50,1,3,NULL),(20,5372755,'1985-03-06 00:00:00',2,8,12,2003,'F','N','CENTRO','STA ROSA','RS','120202201217371431526311192214143128187',NULL,'9998',0.00,1,3,NULL),(20,5372763,'1984-01-04 00:00:00',4,1,1,2010,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124244218247131421254442425124610117013',NULL,'9999',31.41,2,1,2),(20,5372771,'1992-01-18 00:00:00',4,9,12,2009,'F','N','SAGRADO C DE JESUS','LAGES','SC','124244241215152431334419275122610113142',14176,'499',46.49,1,3,NULL),(20,5372780,'1991-07-16 00:00:00',2,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215372331348724575124610124062',NULL,'1022',46.79,1,3,NULL),(20,5372798,'1991-12-29 00:00:00',4,1,12,2008,'M','N','SÃO FRANCISCO','CPO GRANDE','MS','112123121215471731326623575111610158197',1383,'9998',79.00,1,3,NULL),(20,5372801,'1986-10-02 00:00:00',2,1,11,2005,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241136133721633634345114122217047',NULL,'283',46.41,1,2,1),(20,5372810,'1983-03-16 00:00:00',2,1,7,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241247326131711123344142124610165147',NULL,'186',40.49,4,3,NULL),(20,5372828,'1991-12-11 00:00:00',4,1,12,2009,'F','N','VILA MONTEIRO','FRANCA','SP','125252251215111411458832114122610132092',12375,'9998',50.72,1,3,NULL),(20,5372836,'1992-01-22 00:00:00',2,4,12,2009,'F','N','CENTRO','GUARUJÁ SUL','SC','124241241437372411327311575124610134192',6660,'1079',63.37,1,3,NULL),(20,5372844,'1989-05-14 00:00:00',4,16,12,2006,'F','N','CENTRO','CURITIBANOS','SC','124241241117132431226923382124232547147',14418,'239',49.43,4,2,1),(20,5372852,'1983-03-17 00:00:00',2,1,12,2002,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241125373431323344141124130213047',NULL,'779',30.00,1,2,1),(20,5372887,'1992-12-22 00:00:00',4,1,11,2010,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124241241115111431668832572122610125125',NULL,'267',53.34,1,3,NULL),(20,5372895,'1988-12-15 00:00:00',4,5,11,2006,'M','N','SANTA BARBARA','CRICIÚMA','SC','124242241215573531458923475125610112182',6235,'880',63.28,1,3,NULL),(20,5372917,'1991-08-22 00:00:00',2,10,12,2008,'M','N','CENTRO','PEDRAS GRANDES','SC','124241241211272431434812191111231417171',8039,'809',61.76,1,3,NULL),(20,5372933,'1992-11-10 00:00:00',4,5,12,2010,'M','S','CRICIUMA','CRICIÚMA','SC','124242248215131431449921395125610164111',NULL,'226',25.99,1,3,NULL),(20,5372941,'1990-03-20 00:00:00',4,1,12,2007,'M','N','RIO BRANCO','PTO ALEGRE','RS','124241241146132411123447275124133234142',NULL,'153',0.00,1,2,1),(20,5372950,'1992-09-05 00:00:00',4,1,12,2009,'M','N','BAIRRO BERGUER','CAÇADOR','SC','124242241217151431479812576215610168092',8239,'9998',61.40,4,3,NULL),(20,5372968,'1991-03-28 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372432368823575112610134182',2153,'262',76.36,1,3,NULL),(20,5372976,'1992-02-11 00:00:00',4,4,11,2009,'M','N','CENTRO','ITAPIRANGA','SC','124241241246111431459933375122610138122',NULL,'1060',28.70,1,3,NULL),(20,5372984,'1986-12-09 00:00:00',2,1,11,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124252251216141431443311325334610164052',15343,'9998',46.80,1,3,NULL),(20,5372992,'1990-03-22 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116163161215431731537734575124610163142',11896,'9998',51.58,1,3,NULL),(20,5373000,'1992-08-11 00:00:00',4,1,11,2009,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124242241215111432235812345114610127052',NULL,'270',0.00,1,3,NULL),(20,5373018,'1986-07-22 00:00:00',2,8,12,2003,'F','N','CENTRO','ANAURILÂNDIA','MS','112121121116573411446613575124610162197',4879,'9998',66.41,1,2,1),(20,5373026,'1992-08-31 00:00:00',4,1,12,2009,'F','N','CENTRO','LONDRINA','PR','116161161117571751438839575125610164172',2828,'9998',72.66,3,2,1),(20,5373034,'1990-10-02 00:00:00',4,4,12,2007,'M','N','VENEZA','XANXERÊ','SC','124241241116141331448834382122610138062',16146,'840',38.59,1,3,NULL),(20,5373042,'1992-03-02 00:00:00',2,6,12,2008,'F','N','CENTRO','CARAZINHO','RS','120202201215471451326532574114610128142',12016,'9998',50.76,1,3,NULL),(20,5373077,'1992-11-22 00:00:00',2,1,12,2009,'F','N','JARDIM TV MORENA','CPO GRANDE','MS','112122121216112751448831575122610167187',NULL,'9998',28.46,1,3,NULL),(20,5373093,'1992-11-23 00:00:00',4,3,12,2009,'M','N','PEREQUÊ','PTO BELO','SC','124242241217161432448832574112610127042',9903,'407',58.36,1,3,NULL),(20,5373107,'1992-01-22 00:00:00',4,6,12,2009,'M','N','SÃO JUDAS','ITAJAÍ','SC','124162241347131441428814345125610167052',NULL,'401',29.05,4,3,NULL),(20,5373115,'1991-02-28 00:00:00',4,16,12,2008,'M','N','SÃO LUIZ','CURITIBANOS','SC','124241241116171732449939375115610117045',NULL,'239',14.42,4,3,NULL),(20,5373123,'1989-05-15 00:00:00',4,3,1,2008,'M','N','SÃO BENEDITO','DIAMANTINO','MT','111112111215471431558616572124141427077',NULL,'9998',23.09,1,3,NULL),(20,5373131,'1978-09-14 00:00:00',4,8,12,2005,'M','N','SEMINÁRIO','CURITIBA','PR','216162161215271441218748385112540212047',211,'9998',86.95,1,3,NULL),(20,5373140,'1989-05-30 00:00:00',4,3,12,2006,'M','N','CENTRO','DOIS VIZINHOS','PR','116163161316371431357823385115141068191',NULL,'9998',16.88,1,3,NULL),(20,5373158,'1991-05-23 00:00:00',4,1,12,2008,'F','N','JARDIM FACULDADE','SOROCABA','SP','125252281415471731469813575122610131157',NULL,'9998',0.00,1,3,NULL),(20,5373174,'1992-04-02 00:00:00',2,1,11,2009,'F','N','ATENAS DO SUL','ITAPETININGA','SP','125252251217111431437832575112610122197',NULL,'9997',0.00,1,3,NULL),(20,5373182,'1983-10-03 00:00:00',2,1,12,2002,'M','N','CAMPINAS','S JOSÉ','SC','124242248426155721344614392124131027047',NULL,'1076',41.91,1,3,NULL),(20,5373190,'1991-12-10 00:00:00',2,3,12,2008,'F','N','JARDIM LOS ANGELES','NOVA ESPERANÇA','PR','116162161215471431536836364124610126072',6139,'9998',62.79,1,3,NULL),(20,5373204,'1959-03-19 00:00:00',2,1,12,1977,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','224201201127111711266642421132340266091',NULL,'9998',0.00,1,3,NULL),(20,5373212,'1992-05-07 00:00:00',4,1,12,2009,'F','N','CENTRO','BELA V TOLDO','SC','124241241137111731546923585124610147057',NULL,'59',20.17,1,2,1),(20,5373220,'1986-12-03 00:00:00',4,1,12,2003,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124162161217152731478812395122221437062',4789,'9998',68.88,1,3,NULL),(20,5373247,'1991-10-23 00:00:00',4,2,12,2009,'M','N','CENTRO','TIMBÓ','SC','124241241235111431443614175122610122187',11193,'1157',52.92,1,3,NULL),(20,5373255,'1991-11-12 00:00:00',4,3,11,2008,'F','N','SÃO CRISTOVAO','ERECHIM','RS','120203201215471431456612575112610128193',NULL,'9998',0.00,1,3,NULL),(20,5373263,'1992-01-15 00:00:00',4,9,12,2009,'F','N','POPULAR','LAGES','SC','124241241117271431413319572224610128057',NULL,'513',29.40,1,2,1),(20,5373271,'1992-01-20 00:00:00',4,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241247617131552416414392224610165017',NULL,'9999',17.31,2,3,NULL),(20,5373280,'1984-02-13 00:00:00',2,9,12,2002,'F','N','CENTRO','LAGES','SC','124244241416142421637711382122332818147',NULL,'499',0.00,2,1,2),(20,5373301,'1991-05-14 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471431457816575124610161143',10712,'962',56.85,1,3,NULL),(20,5373310,'1989-04-03 00:00:00',4,1,12,2006,'F','N','ZONA DOIS','MARINGÁ','PR','116164161216471731548934574122143223187',4312,'9998',68.77,1,3,NULL),(20,5373328,'1991-06-16 00:00:00',2,1,12,2009,'F','N','CENTRO','MARIALVA','PR','116162161217472721436611595112610124076',NULL,'9998',40.82,3,3,NULL),(20,5373336,'1990-03-18 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124252251217573411469813575114610168182',15568,'9998',46.01,1,3,NULL),(20,5373344,'1992-06-29 00:00:00',4,6,12,2009,'F','N','DOM JOAQUIM','BRUSQUE','SC','124241241215132431459713475124610126177',4259,'109',69.42,1,3,NULL),(20,5373360,'1992-04-24 00:00:00',4,1,12,2009,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241117111731356513575124610164017',NULL,'733',18.37,1,2,1),(20,5373379,'1988-01-21 00:00:00',2,9,12,2004,'M','N','PETRÓPOLIS','VACARIA','RS','120201201215271431444319341135343244057',NULL,'9998',37.97,1,3,NULL),(20,5373387,'1992-08-20 00:00:00',4,1,12,2009,'F','N','CENTRO','ASSAÍ','PR','116162161217171251338839576122610166177',NULL,'9998',0.00,3,3,NULL),(20,5373395,'1993-09-27 00:00:00',4,1,12,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242241212111411335532472122610122197',NULL,'1076',47.40,1,3,NULL),(20,5373409,'1989-10-04 00:00:00',2,1,12,2006,'F','N','CÓRRREGO GRANDE','FLORIANÓPOLIS','SC','124252241216574431459823595124230421142',7934,'270',61.96,1,3,NULL),(20,5373417,'1992-07-15 00:00:00',4,1,12,2009,'M','N','CENTRO','S JOSÉ CAMPOS','SP','125252251217371431377814445122610114112',14403,'9998',46.63,1,3,NULL),(20,5373425,'1988-02-21 00:00:00',4,1,7,2008,'M','N','BALNEÁRIO DOS AÇORES','FLORIANÓPOLIS','SC','124252247616231431438611475122231017127',NULL,'9999',43.01,1,3,NULL),(20,5373433,'1988-12-07 00:00:00',2,1,12,2007,'M','N','VENDAVAL','BIGUAÇU','SC','124241241127132431426644245324610167072',12085,'307',52.59,1,3,NULL),(20,5373441,'1991-11-28 00:00:00',4,1,11,2008,'F','N','SÃO FRANCISCO','CPO GRANDE','MS','112122121217471531458831572122610113077',5757,'9998',65.18,1,3,NULL),(20,5373450,'1983-09-17 00:00:00',4,1,12,2000,'M','N','CENTRO','LONDRINA','PR','116161161216571231558831575121141424057',420,'9998',85.22,3,3,NULL),(20,5373468,'1980-10-30 00:00:00',2,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241126373431623325395124610118052',NULL,'379',11.15,1,2,1),(20,5373476,'1990-01-10 00:00:00',2,1,12,2007,'F','N','IGARA II','CANOAS','RS','120201201122271231336621375124610126097',13259,'9998',49.31,1,2,1),(20,5373484,'1991-11-22 00:00:00',2,1,12,2008,'M','N','FRAGATA','PELOTAS','RS','120201201116471731234633575124610164091',NULL,'9998',0.00,1,2,1),(20,5373492,'1989-01-03 00:00:00',2,3,12,2006,'M','N','CENTRO','S JOÃO BATISTA','SC','124251241125573451535432375122233267062',NULL,'712',0.00,1,2,1),(20,5373506,'1994-06-14 00:00:00',4,15,11,2010,'F','S','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124242241215111411436911575122610134142',NULL,'32',48.18,1,3,NULL),(20,5373514,'1985-11-24 00:00:00',2,1,12,2005,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124101101117131421621619574124140226047',NULL,'9998',29.50,2,1,1),(20,5373522,'1980-04-07 00:00:00',2,1,12,1998,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241122131111324416242133610137061',15700,'687',45.53,1,3,NULL),(20,5373530,'1992-09-21 00:00:00',4,1,12,2009,'M','N','CENTRO CIVICO','CURITIBA','PR','116162161216411521469913575112610127042',NULL,'9998',0.00,1,3,NULL),(20,5373549,'1976-11-25 00:00:00',2,1,12,2002,'M','N','CAPOIRAS','FLORIANÓPOLIS','SC','224241241146133431336243431124120867043',NULL,'307',19.47,1,2,1),(20,5373565,'1991-10-21 00:00:00',4,1,12,2009,'M','N','CENTRO','ASSIS','SP','125252251217131331646711575122610166057',NULL,'9998',0.00,1,3,NULL),(20,5373573,'1991-11-03 00:00:00',4,1,7,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241247216131431636634312121610118017',NULL,'270',14.24,1,3,NULL),(20,5373581,'1985-05-17 00:00:00',2,1,12,2002,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224252241436373431659923241122142022117',10051,'285',54.47,4,3,NULL),(20,5373590,'1991-02-04 00:00:00',4,1,11,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216473431457923575124230227042',4072,'1022',70.66,1,3,NULL),(20,5373603,'1991-06-08 00:00:00',2,1,12,2009,'M','N','CENTRO','CARAZINHO','RS','120201201136211731438824312125610117047',NULL,'9998',24.69,1,3,NULL),(20,5373611,'1992-09-19 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241217111731467637575122610124092',15581,'724',45.95,1,3,NULL),(20,5373620,'1992-05-27 00:00:00',2,1,12,2009,'F','N','VILA REZENDE','CPO GRANDE','MS','112122121216112751348831575122610168187',NULL,'9998',0.00,1,3,NULL),(20,5373638,'1956-01-24 00:00:00',4,5,12,1977,'M','N','PINHEIRINHO','CRICIÚMA','SC','224161161221231431553344145122341167047',NULL,'9998',48.28,1,3,NULL),(20,5373654,'1991-07-05 00:00:00',4,2,12,2009,'F','N','CENTRO','RODEIO','SC','124241241137161441345313595122610118142',NULL,'677',29.26,1,2,1),(20,5373662,'1989-04-11 00:00:00',4,1,12,2006,'M','N','MOOCA','S PAULO','SP','125252258111372431579614381124141467042',NULL,'9998',0.00,1,3,NULL),(20,5373670,'1991-12-04 00:00:00',4,3,12,2008,'F','N','FLORESTA','PTO ALEGRE','RS','120202201216371431389913591124141026047',NULL,'9998',0.00,1,3,NULL),(20,5373689,'1991-02-27 00:00:00',2,1,12,2008,'F','N','MAR DAS PEDRAS','BIGUAÇU','SC','124242248212372411226521575124230826197',15699,'1036',45.53,1,3,NULL),(20,5373697,'1992-08-11 00:00:00',2,3,11,2009,'M','N','SÃO BENEDITO','DIAMANTINO','MT','111112111215121431558616572124610127077',12155,'9998',50.56,1,3,NULL),(20,5373700,'1977-11-18 00:00:00',2,1,12,1994,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224251251117151421218848485112143261147',NULL,'9998',0.00,1,3,NULL),(20,5373719,'1989-11-10 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247217151421389814495112610164067',NULL,'9999',27.32,1,3,NULL),(20,5373727,'1992-09-17 00:00:00',4,3,12,2009,'F','N','BATEL','GUARAPUAVA','PR','116164168217321451337815575122610162185',NULL,'9998',0.00,1,3,NULL),(20,5373735,'1988-11-14 00:00:00',4,1,11,2006,'F','N','BROTAS','SALVADOR','BA','105052051216572431477914575122243223112',NULL,'9998',0.00,1,3,NULL),(20,5373743,'1982-03-22 00:00:00',4,1,12,1999,'M','N','SERRARIA','S JOSÉ','SC','124244247227141431436614342214610133067',NULL,'9999',23.67,1,3,NULL),(20,5373751,'1992-12-04 00:00:00',4,4,12,2009,'M','N','CENTRO','CEL BICACO','RS','120201201411151411446632371144610126052',5056,'9998',66.34,1,3,NULL),(20,5373760,'1963-05-03 00:00:00',4,1,12,1980,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201204217252411156643332324420946171',8671,'9998',60.60,1,3,NULL),(20,5373808,'1991-03-26 00:00:00',4,1,12,2009,'M','N','JARDIM PEROLA','STA BÁRBARA D OESTE','SP','125251251116131431324424575324610126017',12870,'9998',48.49,4,3,NULL),(20,5373816,'1982-01-02 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241135473451325424332124610147047',16011,'293',42.96,1,3,NULL),(20,5373824,'1992-05-02 00:00:00',4,4,12,2009,'F','N','CENTRO','CAMPINAS SUL','RS','120201201215111431456932575122610134142',NULL,'9998',26.69,1,3,NULL),(20,5373832,'1980-08-22 00:00:00',2,1,11,2003,'M','N','PRAIA DA ARMAÇÃO','FLORIANÓPOLIS','SC','124161161122131421114344411323141666042',NULL,'9998',25.05,1,2,1),(20,5373840,'1985-02-12 00:00:00',4,8,12,2002,'F','N','BOM RETIRO','JOINVILLE','SC','124242241335131451448723345124330242097',14207,'489',49.94,1,3,NULL),(20,5373859,'1991-06-28 00:00:00',4,1,12,2008,'F','N','CPA UM','CUIABÁ','MT','111112111135371421349611471122610121197',10548,'9998',54.17,3,3,NULL),(20,5373867,'1988-02-16 00:00:00',4,1,12,2005,'M','N','JARDIM BANDEIRANTES','CORNÉLIO PROCÓPIO','PR','116162161216572431459514575122610167042',319,'9998',86.26,1,3,NULL),(20,5373875,'1988-06-13 00:00:00',4,1,12,2005,'M','N','CENTRO','FAXINAL','PR','116162161216472751648813475125121452146',1708,'9998',78.02,1,3,NULL),(20,5373883,'1983-01-13 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241111272431228644445124610134047',11639,'521',55.06,1,2,1),(20,5373891,'1993-02-02 00:00:00',2,10,11,2009,'M','N','CENTRO','BOM JD SERRA','SC','124243241215111431436812575124610167142',NULL,'1035',16.90,1,3,NULL),(20,5373905,'1992-03-31 00:00:00',2,1,12,2009,'M','N','GARCIA','BLUMENAU','SC','124242241217111321446912385122610124062',NULL,'855',31.36,1,3,NULL),(20,5373913,'1990-02-08 00:00:00',4,3,12,2007,'M','N','NOSSA SENHORA DE FÁT','BRAÇO NORTE','SC','124241241125131431423319191124610118042',NULL,'100',28.98,1,2,1),(20,5373921,'1990-02-24 00:00:00',2,1,12,2007,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241216473331457634445114132037052',NULL,'270',28.47,1,3,NULL),(20,5373930,'1992-02-12 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241136131411535614392124610167047',NULL,'732',18.25,1,2,1),(20,5373948,'1979-06-02 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251251121141432113544145314133218187',NULL,'9998',19.36,1,2,1),(20,5373956,'1984-01-31 00:00:00',4,1,12,2001,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241147132431123344242124610124147',NULL,'412',25.14,1,2,1),(20,5373964,'1990-11-07 00:00:00',2,8,12,2007,'M','N','JARDIM ALVORADA','MARINGÁ','PR','116161161115571431344824572114610164052',4909,'9998',66.23,1,2,1),(20,5373972,'1992-08-15 00:00:00',4,2,10,2009,'F','N','SANTO ANTONIO','RIO CEDROS','SC','124062248215121431258832271122610162147',NULL,'1157',29.81,4,3,NULL),(20,5373980,'1992-12-17 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215111451466613572112610167052',15302,'1118',46.93,1,3,NULL),(20,5373999,'1991-11-06 00:00:00',4,15,12,2008,'M','N','PASSÁRGADA','PASSO TORRES','SC','124241241124131431425611341311610137047',NULL,'605',27.00,1,2,1),(20,5374014,'1988-09-05 00:00:00',2,1,12,2007,'F','N','PARQUE ITACOLOMY','MOGI GUAÇU','SP','125052254117471441536613571112610113117',10779,'9998',53.62,2,3,NULL),(20,5374022,'1989-10-21 00:00:00',2,8,12,2006,'F','N','GUAJUVIRAS','CANOAS','RS','120201201137371421324434382224610164147',NULL,'9998',0.00,1,2,1),(20,5374030,'1989-03-06 00:00:00',4,15,12,2007,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124201201112131131116448286225230744057',NULL,'9998',0.00,1,2,1),(20,5374049,'1990-03-15 00:00:00',2,1,11,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241217111441657933275124610137112',13158,'1022',51.07,1,3,NULL),(20,5374065,'1993-01-25 00:00:00',1,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115111431466633575112610128142',16267,'267',41.45,1,2,1),(20,5374073,'1984-04-27 00:00:00',4,1,12,2004,'M','N','TIRADENTES','CPO GRANDE','MS','112122121216574751348831575122610168187',395,'9998',85.46,1,3,NULL),(20,5374081,'1992-09-03 00:00:00',4,8,11,2009,'M','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116162161217151431358639575125610164073',6036,'9998',62.43,1,3,NULL),(20,5374090,'1983-07-16 00:00:00',2,1,12,2002,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127244421228444445334610126142',NULL,'283',36.32,2,1,1),(20,5374103,'1993-11-04 00:00:00',2,5,11,2009,'F','N','MICHEL','CRICIÚMA','SC','124242241217111431466812275122610125187',13477,'226',51.44,1,3,NULL),(20,5374111,'1987-09-02 00:00:00',1,15,11,2004,'M','N','LAGOAO','ARARANGUÁ','SC','124241248137131732424619395113610162067',NULL,'30',20.56,1,2,1),(20,5374138,'1987-05-15 00:00:00',4,1,10,2005,'M','N','SERRARIA','S JOSÉ','SC','124241241127271421621374382124610134097',NULL,'9999',19.83,4,3,NULL),(20,5374154,'1992-08-29 00:00:00',4,4,12,2009,'M','N','JARDIM MARIA LUIZA','CASCAVEL','PR','116162161215111431588612575122610167042',NULL,'9998',0.00,1,3,NULL),(20,5374162,'1991-03-18 00:00:00',4,1,12,2008,'M','N','MORUMBI','S PAULO','SP','125252253214371231589814572122141462054',2323,'9998',75.54,1,3,NULL),(20,5374170,'1992-07-27 00:00:00',4,1,11,2009,'M','N','REAL PARQUE','S JOSÉ','SC','124242241217371431526614575114610137052',3926,'976',69.62,1,3,NULL),(20,5374197,'1990-03-12 00:00:00',4,6,12,2008,'F','N','CENTRO','CAMPINA VERDE','MG','113133131337371431423337432331141564046',NULL,'9998',0.00,4,3,NULL),(20,5374219,'1991-10-19 00:00:00',4,8,12,2009,'F','N','V RESID DE MAMBUCABA','PARATI','RJ','121214211216111431489813575124610133187',NULL,'9998',0.00,1,3,NULL),(20,5374243,'1988-07-06 00:00:00',4,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217145431537612375124232524047',NULL,'273',0.00,1,3,NULL),(20,5374251,'1990-12-10 00:00:00',4,1,12,2007,'M','N','BELEM NOVO','PTO ALEGRE','RS','120202201217571452489911475112610137043',NULL,'9998',0.00,1,3,NULL),(20,5374260,'1992-11-20 00:00:00',4,3,12,2009,'M','N','CENTRO','BRUSQUE','SC','124241241215111232436531215132610122142',NULL,'1123',0.00,1,3,NULL),(20,5374278,'1991-12-04 00:00:00',2,1,12,2008,'F','N','VILA NOVA','TROMBUDO CENTRAL','SC','124241241117472131438633575124610162092',12671,'659',53.00,1,2,1),(20,5374286,'1982-02-25 00:00:00',4,1,12,1999,'M','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125251251216151711137841415124343264027',NULL,'9998',21.98,1,3,NULL),(20,5374294,'1992-09-11 00:00:00',4,3,10,2009,'F','N','CENTRO','LARANJEIRAS SUL','PR','116161161215111431543332575114610126077',NULL,'9998',0.00,4,3,NULL),(20,5374308,'1991-08-25 00:00:00',2,4,12,2008,'F','N','CENTRO','CAXAMBU SUL','SC','124241241416472331556915375124610128057',NULL,'185',24.01,1,3,NULL),(20,5374316,'1957-06-09 00:00:00',4,8,12,1976,'M','N','BATEL','CURITIBA','PR','216163163327151421354444345122340267063',5532,'9998',64.67,1,3,NULL),(20,5374324,'1988-07-25 00:00:00',2,1,12,2005,'M','N','CENTRO','CURITIBA','PR','116164161316471431556834375124610167042',NULL,'9998',0.00,1,3,NULL),(20,5374359,'1992-03-10 00:00:00',4,1,12,2009,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125252251217371431467732375122610127031',NULL,'9998',0.00,1,3,NULL),(20,5374375,'1971-12-14 00:00:00',4,1,11,2008,'M','N','SERRARIA','S JOSÉ','SC','124244247226132431113623115122610142187',NULL,'9999',42.23,1,3,NULL),(20,5374383,'1993-02-04 00:00:00',2,8,12,2009,'M','N','JARDIM PÉROLA','BORRAZÓPOLIS','PR','116163161116371231433923572122610167147',11921,'9998',49.28,1,3,NULL),(20,5374405,'1992-10-17 00:00:00',4,1,12,2009,'F','N','CENTRO','LGA VERMELHA','RS','120201201217161431435514572123610136147',NULL,'9998',0.00,1,3,NULL),(20,5374413,'1990-05-16 00:00:00',4,4,12,2007,'M','N','JARDIM','MARAVILHA','SC','124242247216572731479911475115610127122',15950,'1037',44.40,1,3,NULL),(20,5374421,'1986-08-02 00:00:00',4,1,12,2007,'M','N','PINHEIRA','PALHOÇA','SC','124241241126152441336623475124610162177',NULL,'591',24.42,1,3,NULL),(20,5374430,'1992-05-05 00:00:00',2,1,11,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241115271431536311475324610124145',NULL,'288',27.98,3,3,NULL),(20,5374448,'1990-04-30 00:00:00',4,1,11,2007,'F','N','CENTRO','ÁLVARES MACHADO','SP','125252251215571431448831475124610132123',2500,'9998',73.86,1,3,NULL),(20,5374456,'1989-09-04 00:00:00',2,5,12,2006,'M','N','CENTRO','S JOAQUIM','SC','124241241125133441427833141124231328172',NULL,'903',26.18,1,2,1),(20,5374472,'1990-03-23 00:00:00',4,5,12,2007,'M','N','CENTRO','CRICIÚMA','SC','124242241217373711478832575122230267062',NULL,'226',0.00,1,3,NULL),(20,5374499,'1986-05-29 00:00:00',2,1,11,2003,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241116154431445632245124233261053',10539,'307',57.17,4,3,NULL),(20,5374502,'1992-11-24 00:00:00',4,1,12,1992,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215111751485612575112610112192',NULL,'1022',23.85,1,3,NULL),(20,5374510,'1991-10-25 00:00:00',4,5,12,2008,'M','N','CENTRO','IÇARA','SC','124243241217151311345664245224231464172',NULL,'349',0.00,1,3,NULL),(20,5374529,'1989-11-26 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241111373431226623345124610141147',7193,'307',62.24,1,3,NULL),(20,5374553,'1986-11-26 00:00:00',2,15,7,2005,'M','N','LAGOÃO','ARARANGUÁ','SC','124241241127131751223624485112610137065',NULL,'30',30.81,1,3,NULL),(20,5374561,'1984-08-25 00:00:00',2,1,12,2002,'F','N','SION','BELO HORIZONTE','MG','113134131437574441357722575114222912117',NULL,'9998',0.00,1,3,NULL),(20,5374570,'1992-01-07 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215131431226723475122610127047',NULL,'259',30.86,1,3,NULL),(20,5374588,'1992-12-01 00:00:00',2,1,12,2009,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241248115211331426614272222610114145',NULL,'288',14.90,1,2,1),(20,5374596,'1992-02-27 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217272751438614575124222337142',8195,'273',61.48,1,3,NULL),(20,5374600,'1992-06-28 00:00:00',4,8,12,2009,'M','N','NOVA BRASILIA','JARAGUÁ SUL','SC','124241241137141331333363335121610154144',NULL,'438',10.88,4,3,NULL),(20,5374626,'1990-11-30 00:00:00',2,8,12,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124243248215131731323821285124610144147',NULL,'461',24.66,1,3,NULL),(20,5374634,'1985-04-07 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241113272431433329392124613218192',NULL,'790',21.02,4,2,1),(20,5374642,'1988-12-03 00:00:00',1,1,12,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241126371431446621182124610134092',NULL,'922',0.00,1,3,NULL),(20,5374650,'1992-03-09 00:00:00',4,1,11,2009,'M','N','PARQUE CAMPOLIM','SOROCABA','SP','125252251215111411587612592122610162092',4172,'9998',68.63,4,3,NULL),(20,5374677,'1988-09-01 00:00:00',2,1,11,2005,'F','N','ARIRIÚ DA FORMIGA','PALHOÇA','SC','124243241315473441226424375124221521117',9820,'1036',58.51,1,3,NULL),(20,5374685,'1991-01-14 00:00:00',4,1,12,2008,'F','N','CENTRO','CPO GRANDE','MS','112121121116571211438833585114610128012',12946,'9998',50.30,2,1,1),(20,5374707,'1990-06-06 00:00:00',2,1,12,2007,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124201201117131431523364392334610127197',NULL,'9998',44.82,1,2,1),(20,5374731,'1990-10-06 00:00:00',2,4,12,2007,'F','N','CENTRO','XAXIM','SC','124241241214571431335314571124610161141',12568,'185',53.20,1,3,NULL),(20,5374740,'1992-04-04 00:00:00',4,1,12,2009,'M','N','CENTRO','LGA VERMELHA','RS','120201201116131431327923245132610137057',14301,'9998',49.71,1,2,1),(20,5374758,'1993-09-17 00:00:00',4,9,11,2009,'F','N','CENTRO','LAGES','SC','124242241214111331426612121222610163017',15196,'1065',47.24,1,3,NULL),(20,5374774,'1992-05-21 00:00:00',4,1,12,2009,'M','N','CASCATINHA','CURITIBA','PR','116162161115471431478834571112610137042',4896,'9998',65.80,1,3,NULL),(20,5374790,'1989-12-18 00:00:00',2,6,12,2006,'M','N','CENTRO','PARANAVAÍ','PR','116163161414571411424514475221610162197',NULL,'9998',0.00,1,3,NULL),(20,5374804,'1992-03-13 00:00:00',2,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124242241217151732549813435122610127012',NULL,'1175',29.48,1,3,NULL),(20,5374812,'1993-04-29 00:00:00',4,1,12,2009,'M','N','CENTRO','STO ÂNGELO','RS','120201201117131131438613276125610167057',NULL,'9998',29.24,1,3,NULL),(20,5374820,'1990-07-25 00:00:00',4,1,12,2007,'F','N','NOVO HORIZONTE','GOIÂNIA','GO','109094091215571431336934574122610133152',NULL,'9998',0.00,1,3,NULL),(20,5374839,'1992-11-27 00:00:00',2,16,12,2009,'F','N','C DE ITAPARICA','VL VELHA','ES','108082081216111431449623575122610115077',NULL,'9998',0.00,1,3,NULL),(20,5374847,'1966-06-12 00:00:00',4,1,8,2002,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224201204326131431438651492114241344147',NULL,'9998',0.00,1,3,NULL),(20,5374855,'1986-12-25 00:00:00',4,1,12,2004,'F','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124244241411372431368979475122233224182',NULL,'9997',35.04,1,3,NULL),(20,5374863,'1991-08-30 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241315472431336623271124610163157',NULL,'269',27.65,1,3,NULL),(20,5374871,'1990-03-13 00:00:00',4,1,12,2007,'F','N','CENTRO','CANELINHA','SC','124244248217142711128829295124610136065',NULL,'1119',0.00,1,3,NULL),(20,5374880,'1990-07-27 00:00:00',4,6,12,2007,'F','N','CENTRO','CURITIBA','PR','116112111516372431328619415114141756192',6615,'9998',62.21,1,3,NULL),(20,5374898,'1986-07-30 00:00:00',2,1,8,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','624243247317133411239954372112610127072',15946,'9999',44.44,1,3,NULL),(20,5374901,'1989-04-02 00:00:00',4,8,12,2006,'M','N','ACLIMAÇÃO','S JOSÉ R PRETO','SP','125252251211574441468914571122610147057',261,'9998',87.08,1,3,NULL),(20,5374910,'1991-01-18 00:00:00',4,3,12,2008,'F','N','NOVA LONDRES','LONDRINA','PR','116162161216472411538824575122640166012',NULL,'9998',0.00,1,3,NULL),(20,5374928,'1984-02-05 00:00:00',2,1,10,2002,'F','N','JURERE','FLORIANÓPOLIS','SC','124241241122135431223444342334610166192',NULL,'307',32.48,4,2,1),(20,5374944,'1989-11-12 00:00:00',2,5,12,2007,'F','N','VILA RICA','SIDERÓPOLIS','SC','124241248122373411424319375124610133147',NULL,'766',19.78,2,1,1),(20,5374952,'1990-08-26 00:00:00',4,1,12,2007,'M','N','SAO FRANCISCO','CPO GRANDE','MS','112122121216573751348831575122610168187',7317,'9998',62.41,1,3,NULL),(20,5374960,'1991-10-11 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','120201201117131732424329382341610116147',NULL,'9998',21.83,1,3,NULL),(20,5374979,'1987-06-27 00:00:00',4,1,12,2004,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124201201117151431125849395124143267117',NULL,'9998',0.00,1,2,1),(20,5374987,'1983-02-09 00:00:00',2,15,6,2002,'F','N','CENTRO','PTO ALEGRE','RS','120203207347471731433371191224140664047',9645,'9998',55.67,1,3,NULL),(20,5374995,'1991-09-04 00:00:00',2,1,11,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124241247137172411457732291122610124182',NULL,'9999',27.91,1,3,NULL),(20,5375002,'1982-11-05 00:00:00',4,1,12,2000,'F','N','PARQUE SAO JORGE','FLORIANÓPOLIS','SC','124242241216153741457514415122330464157',14401,'260',49.47,1,3,NULL),(20,5375010,'1989-09-17 00:00:00',2,1,11,2008,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124073241215112731478914575122230822147',NULL,'270',0.00,4,3,NULL),(20,5375037,'1991-11-10 00:00:00',2,1,12,2009,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242248237111431438622572114610117042',NULL,'1022',25.77,1,3,NULL),(20,5375053,'1993-10-09 00:00:00',2,5,12,2009,'F','N','CENTRO','S LUDGERO','SC','124242248235111532477732375122610137147',NULL,'820',16.53,1,3,NULL),(20,5375061,'1990-02-16 00:00:00',4,1,11,2008,'M','N','CIDADE NOVA','VOTUPORANGA','SP','125252251211471331268831472225610114112',14798,'9998',48.48,1,3,NULL),(20,5375070,'1981-04-07 00:00:00',2,1,12,1999,'M','N','JARDIM GRIMALDI','S PAULO','SP','125252251126471731334427484124610141042',NULL,'9998',0.00,1,3,NULL),(20,5375088,'1985-06-27 00:00:00',4,8,12,2004,'M','N','CASCATINHA','POÇOS CALDAS','MG','113134131126271441335621381123240628057',NULL,'9998',47.23,1,3,NULL),(20,5375096,'1991-06-18 00:00:00',4,8,12,2009,'M','N','ACLIMAÇÃO','S JOSÉ R PRETO','SP','125252251211111441478914581125610147047',NULL,'9998',27.63,1,3,NULL),(20,5375100,'1986-10-13 00:00:00',2,5,12,2004,'F','N','CENTRO','CRICIÚMA','SC','124242248216575431458814575124610112147',2733,'226',74.33,1,3,NULL),(20,5375118,'1990-08-15 00:00:00',4,1,12,2007,'M','N','ALDEIA DA SERRA','BARUERI','SP','125252251217471431468812575112610167037',11312,'9998',51.98,3,3,NULL),(20,5375126,'1986-09-03 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241132273431343823445114610144042',NULL,'804',53.51,1,3,NULL),(20,5375134,'1991-12-31 00:00:00',4,1,12,2009,'M','N','CENTRO','RIO GRANDE','RS','120202201217271421456837575112610167057',NULL,'9998',0.00,1,3,NULL),(20,5375142,'1993-09-02 00:00:00',2,9,11,2010,'F','S','MARTORANO','S JOAQUIM','SC','124242241215111431443931572122610132072',NULL,'1035',27.52,4,3,NULL),(20,5375169,'1991-04-12 00:00:00',2,1,12,2008,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124251241137271431534619295122610137057',NULL,'288',23.88,1,2,1),(20,5375177,'1989-12-20 00:00:00',4,3,12,2006,'M','N','CENTRO','BAL CAMBORIÚ','SC','124202201215572411326819191124610167057',2692,'9998',74.25,1,3,NULL),(20,5375193,'1991-04-08 00:00:00',2,1,12,2008,'M','N','JARDIM CURITIBA','GOIOERÊ','PR','116161161117271451545615475122241017042',NULL,'9998',0.00,1,2,1),(20,5375207,'1974-12-12 00:00:00',2,1,12,1994,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124202203326153422235743135122320268045',NULL,'9998',46.56,1,3,NULL),(20,5375215,'1984-09-05 00:00:00',2,1,7,2003,'M','N','JARDIM JANAINA','BIGUAÇU','SC','124241241146142421435531385112610117187',NULL,'257',25.63,1,2,1),(20,5375223,'1986-02-24 00:00:00',2,8,12,2003,'F','N','BAIRRO AHÚ','CURITIBA','PR','116161161116371431438713412124343234187',NULL,'9998',0.00,1,2,1),(20,5375231,'1967-04-03 00:00:00',4,1,6,1985,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124241246112163411133343335212521247042',12554,'306',53.24,4,3,NULL),(20,5375240,'1988-08-14 00:00:00',4,1,12,2005,'M','N','CENTRO','VARGEM G SUL','SP','125253251236571431449514375125141467047',8081,'9998',57.32,1,3,NULL),(20,5375258,'1991-02-01 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124253251116161432436719575122610138187',NULL,'9998',26.62,2,1,2),(20,5375266,'1988-12-15 00:00:00',4,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217575431479614275122232462142',4498,'270',69.53,1,3,NULL),(20,5375274,'1989-10-17 00:00:00',4,1,12,2007,'M','N','CENTRO','CASCAVEL','PR','116162161215571431234724575112610164117',NULL,'9998',0.00,1,3,NULL),(20,5375282,'1992-04-15 00:00:00',4,4,11,2009,'F','N','FÁTIMA','ERECHIM','RS','120202201217111711534732575112610167077',5355,'9998',64.28,1,3,NULL),(20,5375290,'1989-11-03 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241216373431466913272114610127092',12121,'723',54.13,1,3,NULL),(20,5375304,'1992-06-22 00:00:00',4,8,11,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215272431478819492112610123182',NULL,'1063',0.00,1,3,NULL),(20,5375312,'1991-01-22 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472411488932375122120222122',NULL,'270',31.78,1,3,NULL),(20,5375339,'1989-08-19 00:00:00',4,6,12,2007,'F','N','CENTRO','ITAJAÍ','SC','124242241216141431248821345234132034102',NULL,'9997',0.00,1,3,NULL),(20,5375347,'1992-03-28 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117131431226624575124610117047',NULL,'307',24.15,1,2,1),(20,5375363,'1990-03-12 00:00:00',4,1,11,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241214574431489931472112221442182',4596,'226',69.30,1,3,NULL),(20,5375371,'1989-04-27 00:00:00',4,1,12,2005,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241137132431448713485124220768022',9718,'322',58.70,1,2,1),(20,5375380,'1988-03-22 00:00:00',4,8,12,2005,'M','N','MORADA DO OURO','CUIABÁ','MT','111113111116151431554823475124140736197',5630,'9998',65.27,1,3,NULL),(20,5375398,'1989-03-10 00:00:00',4,1,12,2007,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241316132411123913445131610114112',NULL,'592',38.46,1,3,NULL),(20,5375401,'1974-03-21 00:00:00',2,1,12,1992,'F','N','STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC','124241241126131711124444245233133266147',10113,'314',54.23,1,2,1),(20,5375410,'1992-11-11 00:00:00',4,8,11,2009,'M','N','SEDE ALVORADA','SEDE ALVORADA','PR','116161161216121432369933575124610167042',NULL,'9998',63.34,1,3,NULL),(20,5375428,'1968-06-05 00:00:00',4,1,12,1985,'M','N','RATONES','FLORIANÓPOLIS','SC','224252241316142411447372463122320365143',5084,'267',68.11,4,3,NULL),(20,5375444,'1981-09-01 00:00:00',2,1,12,1998,'M','N','LUCAS ARAÚJO','PASSO FUNDO','RS','120203203126132411226741281113610144172',NULL,'9998',0.00,1,3,NULL),(20,5375452,'1992-04-23 00:00:00',2,2,12,2009,'F','N','PADRE MARTINHO STEIN','TIMBÓ','SC','124241241127141411334414342132610135047',NULL,'870',0.00,1,3,NULL),(20,5375487,'1989-04-29 00:00:00',2,1,12,2006,'F','N','PASSA VINTE','PALHOÇA','SC','124242241212374432335811572112610144072',NULL,'1011',34.87,4,1,2),(20,5375495,'1992-09-23 00:00:00',4,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124241241115271431323814591224610164052',NULL,'733',0.00,1,2,1),(20,5375517,'1990-02-28 00:00:00',2,8,12,2007,'M','N','CENTRO','QUERÊNCIA NORTE','PR','116161161317311431533816585112610167047',15734,'9998',41.49,1,3,NULL),(20,5375525,'1990-07-24 00:00:00',4,17,12,2007,'M','N','FAXINAL','MAFRA','SC','116241161215471431466416275112130228172',NULL,'541',30.03,1,3,NULL),(20,5375533,'1990-07-07 00:00:00',2,9,12,2007,'F','N','CENTRO','LAGES','SC','124241241311373431335322311222610124187',15620,'515',45.82,1,3,NULL),(20,5375541,'1991-08-24 00:00:00',4,4,10,2008,'F','N','CENTRO','CASCAVEL','PR','116202161215472411337922574112610164187',NULL,'9998',0.00,1,3,NULL),(20,5375550,'1989-06-30 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241317374721337723445124610162053',8052,'267',59.34,1,3,NULL),(20,5375568,'1992-12-03 00:00:00',4,2,12,2009,'F','N','VELHA CENTRAL','BLUMENAU','SC','124244241215111431466613575124610167142',13317,'88',49.17,1,3,NULL),(20,5375576,'1988-05-03 00:00:00',4,1,12,2005,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241248136141711223324441114610118147',NULL,'281',21.65,2,1,1),(20,5375584,'1990-05-11 00:00:00',4,3,12,2007,'F','N','CRISTO REI','CURITIBA','PR','116164161217571431688919472114610168076',373,'9998',85.69,1,3,NULL),(20,5375592,'1991-08-21 00:00:00',2,1,12,2008,'F','N','PALHOÇA','PALHOÇA','SC','124241241117372711643619391134610157057',NULL,'592',30.77,1,2,1),(20,5375614,'1991-09-23 00:00:00',4,6,12,2009,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124242241217111331458814372122610112092',NULL,'392',49.66,1,3,NULL),(20,5375622,'1987-12-18 00:00:00',2,1,12,2006,'M','N','EUCALIPTOS','FAZ RIO GRANDE','PR','116161167426571431324814175124610124147',8878,'9998',58.08,1,3,NULL),(20,5375630,'1985-04-23 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247232151511328829412324430261082',15770,'1003',45.20,1,3,NULL),(20,5375649,'1983-11-23 00:00:00',2,1,12,2000,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117155721445513335322231468147',11704,'281',54.93,1,2,1),(20,5375665,'1985-07-03 00:00:00',2,1,12,2005,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124201207141132411117679181324131066097',NULL,'9998',33.64,1,2,1),(20,5375681,'1993-09-14 00:00:00',4,1,11,2010,'F','S','INGLESES','FLORIANÓPOLIS','SC','124241248115111432335822576124610123147',NULL,'271',23.86,1,3,NULL),(20,5375690,'1992-09-11 00:00:00',2,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242248215112431537969472114610137062',13976,'1022',48.27,1,3,NULL),(20,5375703,'1991-11-04 00:00:00',4,3,12,2008,'M','N','CENTRO','CPO MOURÃO','PR','116162161217271431478911415112140237182',NULL,'9998',0.00,1,3,NULL),(20,5375738,'1991-05-02 00:00:00',4,1,12,2008,'F','N','JD SANTANA','LIMEIRA','SP','125252251116571311427817575112610113147',NULL,'9998',0.00,4,3,NULL),(20,5375746,'1991-09-25 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241212132431424623172224610127017',NULL,'1048',19.62,1,3,NULL),(20,5375754,'1987-07-08 00:00:00',2,1,1,2005,'M','N','CENTRO','RESTINGA SECA','RS','120201201117572431428321572124140764057',3784,'9998',71.40,1,2,1),(20,5375762,'1991-02-01 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124253251116161432436719575122610134187',NULL,'9998',18.52,2,1,2),(20,5375770,'1992-04-23 00:00:00',4,4,12,2009,'M','N','CENTRO','PALMITOS','SC','124241241415471751446634275125610127057',14605,'1046',48.99,1,3,NULL),(20,5375789,'1972-08-18 00:00:00',2,1,7,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','224133248127271431254444142132610167147',NULL,'9997',0.00,1,3,NULL),(20,5375797,'1992-01-21 00:00:00',2,1,12,2009,'M','N','CENTRO','S BONIFÁCIO','SC','124241241145111431323325342221610112147',NULL,'702',29.19,1,3,NULL),(20,5375800,'1992-04-02 00:00:00',4,1,12,2009,'M','N','BELA VISTA','PALHOÇA','SC','124241241225111751356713385124610156187',15732,'262',45.36,1,3,NULL),(20,5375819,'1992-01-15 00:00:00',2,1,11,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241116472431348313575114610163092',11295,'288',54.99,1,2,1),(20,5375827,'1986-03-09 00:00:00',4,1,10,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217155431388812575124221464062',2863,'213',73.93,1,3,NULL),(20,5375835,'1991-02-14 00:00:00',4,8,11,2008,'M','N','REBOUÇAS','CURITIBA','PR','116164161216471751356732575112610162097',2931,'9998',73.73,1,3,NULL),(20,5375843,'1992-12-07 00:00:00',2,6,12,2009,'M','N','N S DA PENHA','IJUÍ','RS','120204201216111731445831572122610127047',14788,'9998',43.93,1,3,NULL),(20,5375851,'1992-12-26 00:00:00',4,3,12,2009,'F','N','CENTRO','LONDRINA','PR','116162161216111431478831571112610111092',NULL,'9998',0.00,1,3,NULL),(20,5375860,'1991-08-24 00:00:00',2,5,12,2008,'M','N','JACARÉ','TORRES','RS','120201201511371421635655351221610117091',NULL,'9998',21.61,3,3,NULL),(20,5375878,'1983-05-26 00:00:00',2,1,12,1999,'M','N','ELIZABETH','IJUÍ','RS','120202208416571411558934372114341565057',5709,'9998',66.68,1,3,NULL),(20,5375886,'1991-12-13 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241248145371431543319292324610124187',NULL,'592',19.34,1,2,1),(20,5375894,'1991-09-22 00:00:00',2,1,12,2009,'F','N','ALEGRE','RIO NEGRINHO','SC','124244241217131431565532592122610123142',15611,'974',45.84,1,3,NULL),(20,5375908,'1991-03-21 00:00:00',2,10,12,2008,'F','N','CAPÃO','GAROPABA','SC','124243241217113712456912576122230433041',NULL,'362',0.00,1,3,NULL),(20,5375916,'1987-06-02 00:00:00',2,15,12,2004,'M','N','BOM FIM','PTO ALEGRE','RS','120203201215571431468833175114610127187',7151,'9998',60.69,2,1,2),(20,5375924,'1992-04-26 00:00:00',4,1,11,2009,'M','N','CENTRO','FOZ IGUAÇU','PR','116162161216111431546832574122610127142',11023,'9998',52.21,1,3,NULL),(20,5375932,'1991-01-27 00:00:00',2,8,7,2009,'F','N','IRIRIU','JOINVILLE','SC','124242241215271751236823575114610162076',NULL,'9999',18.81,2,1,2),(20,5375959,'1992-09-02 00:00:00',4,6,12,2009,'M','N','CENTRO','PENHA','SC','124243241116111411356612595124610142142',NULL,'1008',0.00,1,3,NULL),(20,5375967,'1990-09-13 00:00:00',2,1,12,2009,'F','N','VILA ANGÉLICA','ARAUCÁRIA','PR','116161161215111431439934395122610124112',NULL,'9998',0.00,1,3,NULL),(20,5375983,'1992-08-21 00:00:00',4,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124162161215111431358912571122610147142',NULL,'9998',0.00,1,3,NULL),(20,5375991,'1981-01-05 00:00:00',2,15,12,1997,'M','N','CENTRO','MARACAJÁ','SC','124241011141131731423429145323610121053',15859,'550',44.78,1,3,NULL),(20,5376017,'1992-08-26 00:00:00',4,5,10,2009,'M','N','CENTRO','IÇARA','SC','124242241215271431443719276112610127067',NULL,'226',32.43,1,3,NULL),(20,5376041,'1986-02-10 00:00:00',4,1,12,2003,'M','N','VILA MARIANA','APARECIDA','SP','125251251116271421637514345124240234057',NULL,'9998',0.00,4,2,1),(20,5376050,'1990-04-07 00:00:00',2,1,2,2009,'F','N','JURERE','FLORIANÓPOLIS','SC','624241247647371411246152271114610167085',NULL,'9999',0.00,2,1,2),(20,5376068,'1992-08-12 00:00:00',4,17,12,2009,'M','N','CENTRO','MAFRA','SC','124242241215121441469734575122610127187',NULL,'541',0.00,1,3,NULL),(20,5376076,'1981-04-10 00:00:00',2,1,3,2002,'M','N','JD DAS ACÁCIAS','S JOSÉ','SC','224242246146135721238653345234610132087',NULL,'739',27.98,2,3,NULL),(20,5376084,'1992-05-06 00:00:00',2,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241117131431546522275114610127042',16300,'257',40.49,1,3,NULL),(20,5376092,'1989-02-01 00:00:00',2,1,12,2005,'F','N','CAMPO D UNA','GAROPABA','SC','124241241126271411444723274324610162197',NULL,'322',28.81,1,2,1),(20,5376106,'1989-09-21 00:00:00',4,1,12,2006,'F','N','SÃO PEDRO','BENTO GONÇALVES','RS','120201201216571431469932575112610162142',1494,'9998',78.90,1,3,NULL),(20,5376114,'1992-01-23 00:00:00',5,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241135271431635511572124610114145',NULL,'288',28.91,4,2,1),(20,5376122,'1993-11-17 00:00:00',4,6,12,2009,'F','N','CORDEIROS','ITAJAÍ','SC','124243241325131231446639245132610133147',NULL,'388',8.08,1,3,NULL),(20,5376130,'1991-11-10 00:00:00',2,3,12,2008,'M','N','CENTRO','LARANJEIRAS SUL','PR','116162161215471431469633574112610137042',1949,'9998',76.25,1,3,NULL),(20,5376149,'1984-03-06 00:00:00',4,1,12,2001,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124252251217132441428841416324333243027',7920,'9998',61.99,1,3,NULL),(20,5376157,'1989-06-21 00:00:00',4,1,12,2006,'M','N','CENTRO','CASCAVEL','PR','116161161211571751168833571114610163017',1256,'9998',79.96,4,3,NULL),(20,5376173,'1992-10-08 00:00:00',4,3,12,2009,'M','N','CENTRO','BOMBINHAS','SC','124242241212111431446632272211610124052',14763,'407',48.56,1,3,NULL),(20,5376181,'1974-12-22 00:00:00',5,1,12,1993,'F','N','ARMAÇÃO DO SUL','FLORIANÓPOLIS','SC','124201207416131741623319445124541616147',NULL,'9998',42.58,1,3,NULL),(20,5376190,'1992-03-17 00:00:00',4,1,12,2008,'M','N','SANTA TERESA','AURORA','SC','124241241117373451539913572112610162041',6569,'40',63.60,1,2,1),(20,5376203,'1992-07-15 00:00:00',4,1,11,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','120202201216271431236929495125610134022',2902,'9998',73.19,1,3,NULL),(20,5376211,'1991-02-23 00:00:00',2,4,12,2009,'F','N','CENTRO','FREDERICO WESTPHALEN','RS','120203205217131431233914372222610112142',NULL,'9998',25.82,1,3,NULL),(20,5376238,'1990-08-21 00:00:00',4,5,12,2007,'F','N','CENTRO','CURITIBA','PR','116161161216472411568831575124241062177',4424,'9998',68.10,1,3,NULL),(20,5376246,'1989-11-07 00:00:00',2,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117271431533513385124610127187',NULL,'257',11.71,1,2,1),(20,5376254,'1989-08-03 00:00:00',2,15,12,2006,'F','N','ABERTA DOS MORROS','PTO ALEGRE','RS','120202201217571431469931575122610164047',4381,'9998',67.10,1,3,NULL),(20,5376262,'1985-10-31 00:00:00',4,1,12,2004,'M','N','POTECAS','S JOSÉ','SC','124241241142131411435723481314613267187',16210,'727',42.41,1,2,1),(20,5376270,'1991-12-09 00:00:00',4,1,12,2009,'F','N','CENTRO','STA MARIA','RS','120242201217271431258722575125610164127',3074,'9998',72.52,1,3,NULL),(20,5376289,'1991-08-20 00:00:00',2,1,12,2008,'F','N','CENTRO','NOVA TRENTO','SC','124241241215473431446613575124610114147',2915,'981',72.32,1,3,NULL),(20,5376297,'1992-07-05 00:00:00',4,17,12,2009,'M','N','CENTRO','ITAIÓPOLIS','SC','124241241224161511447833375122610143147',NULL,'1024',33.09,1,3,NULL),(20,5376300,'1989-11-28 00:00:00',4,1,12,2006,'F','N','CHAMPAGNE','GARIBALDI','RS','120202201217571431479711575124610164097',3277,'9998',71.23,1,3,NULL),(20,5376319,'1988-07-19 00:00:00',4,1,10,2006,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242247216575431568814575122130221147',15327,'9999',46.84,1,3,NULL),(20,5376327,'1994-06-18 00:00:00',2,6,12,2010,'F','S','CENTRO','PINHEIRO PRETO','SC','124241246217111711546934571124610166172',NULL,'1080',47.05,1,3,NULL),(20,5376335,'1991-01-15 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124242241216474431479613575122231427012',8519,'270',60.88,1,3,NULL),(20,5376351,'1983-06-17 00:00:00',4,1,1,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202207433472441247832387122231242022',4012,'9998',68.41,1,3,NULL),(20,5376360,'1982-03-26 00:00:00',2,1,12,1999,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224201201112132431145643432123221717142',NULL,'9998',0.00,1,2,1),(20,5376378,'1978-08-20 00:00:00',4,1,12,1996,'F','N','CAMPINAS','S JOSÉ','SC','224241241135271731333353131124332228147',NULL,'9997',31.09,1,2,1),(20,5376386,'1984-08-08 00:00:00',4,1,12,2007,'M','N','CENTRO','ITAPETININGA','SP','525251257147271751458314185115610161187',NULL,'9998',27.49,1,2,1),(20,5376394,'1991-11-11 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242243217111251468732575112610127042',NULL,'1038',21.72,1,3,NULL),(20,5376408,'1983-08-17 00:00:00',2,5,12,2000,'M','N','DAS DAMAS','URUSSANGA','SC','124242246216135431356644345122230863057',5636,'188',66.84,1,3,NULL),(20,5376416,'1992-06-14 00:00:00',4,15,12,2009,'M','N','CENTRO','PR GRANDE','SC','124241241126131431329624575121610167047',NULL,'641',21.98,1,2,1),(20,5376424,'1989-10-11 00:00:00',4,1,12,2007,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241217373731356833572124130432092',8064,'270',61.71,1,3,NULL),(20,5376432,'1990-07-31 00:00:00',4,8,12,2007,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215373131438724345122610148147',7480,'1061',62.84,1,3,NULL),(20,5376440,'1990-09-26 00:00:00',2,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124241241137141431536414342324610124043',NULL,'257',0.00,1,2,1),(20,5376459,'1991-05-31 00:00:00',2,10,11,2008,'M','N','SANTO ANDRÉ','CAPIVARI BAIXO','SC','124242241215473431436614572124610137042',4318,'807',67.41,1,3,NULL),(20,5376467,'1990-07-07 00:00:00',2,1,12,2007,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124244241217573431565933385124610128187',7733,'1048',62.10,1,3,NULL),(20,5376475,'1970-05-18 00:00:00',2,1,12,1991,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','624071073226152411443341315124610167027',NULL,'9998',28.94,2,1,2),(20,5376483,'1991-07-02 00:00:00',4,3,7,2008,'M','N','SANTA CRUZ','GUARAPUAVA','PR','116162164211412431579931371122610167042',NULL,'9998',26.79,1,3,NULL),(20,5376491,'1986-11-15 00:00:00',4,10,12,2004,'F','N','VILA MOEMA','TUBARÃO','SC','124242241216573431448824375122231063072',NULL,'807',0.00,1,3,NULL),(20,5376513,'1992-08-23 00:00:00',4,4,11,2009,'M','N','INDUSTRIAL','ITAPEJARA D OESTE','PR','116161161215111432459934575122610138052',NULL,'9998',27.43,1,3,NULL),(20,5376521,'1992-02-04 00:00:00',4,17,12,2009,'F','N','VILA NOVA','TRÊS BARRAS','SC','124241241115151431466914375125610127052',NULL,'146',25.82,1,3,NULL),(20,5376548,'1991-05-27 00:00:00',4,1,11,2008,'F','N','NOVA AURORA','RONDONÓPOLIS','MT','111112111215471731446931575112610124122',14437,'9998',48.28,1,3,NULL),(20,5376564,'1991-02-25 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124243241215152721338831345124120764013',NULL,'737',0.00,1,3,NULL),(20,5376572,'1991-09-09 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217122431549914575114221447187',2461,'1022',75.23,1,3,NULL),(20,5376580,'1989-08-16 00:00:00',2,8,11,2007,'F','N','BOM RETIRO','JOINVILLE','SC','124241241216271431336639571224231846142',12186,'461',54.01,1,3,NULL),(20,5376599,'1967-11-21 00:00:00',4,1,12,1985,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224241246117535431565553372112321311097',11919,'521',52.02,1,2,1),(20,5376602,'1986-09-08 00:00:00',4,1,12,2003,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201216372441259824375124340231187',NULL,'9998',0.00,1,3,NULL),(20,5376610,'1992-09-17 00:00:00',4,1,12,2009,'M','N','LOURDES','ÁGUAS MORNAS','SC','124241241127161231424614242224610167147',NULL,'12',18.06,1,3,NULL),(20,5376629,'1965-01-12 00:00:00',2,1,12,1999,'M','N','IPIRANGA','S JOSÉ','SC','224243241337161211535644241344610124152',NULL,'497',0.00,4,3,NULL),(20,5376645,'1993-08-04 00:00:00',2,8,12,2010,'F','S','ANITA GARIBALDI','JOINVILLE','SC','124242241215111111468833575122610144193',NULL,'486',63.16,1,3,NULL),(20,5376653,'1992-05-27 00:00:00',2,1,12,2009,'F','N','NOVELO','MARIÓPOLIS','PR','116161161116131412423834575124610161147',NULL,'9998',28.52,1,2,1),(20,5376661,'1992-05-21 00:00:00',4,1,12,2009,'F','N','NOVA SERTÃOZINHO','SERTÃOZINHO','SP','125253251215111711668714571122610164127',5387,'9998',64.70,4,3,NULL),(20,5376670,'1988-07-08 00:00:00',4,1,12,2005,'M','N','BARREIROS','S JOSÉ','SC','124244241216375421457619485124232738072',6174,'723',65.29,1,3,NULL),(20,5376688,'1993-03-27 00:00:00',2,3,12,2009,'F','N','CENTRO','ÁUREA','RS','120201205117131431533629592225610137057',NULL,'9998',0.00,1,2,1),(20,5376696,'1992-07-01 00:00:00',4,10,12,2009,'M','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124241241117131431436411242111610142052',NULL,'798',46.23,1,2,1),(20,5376700,'1990-07-12 00:00:00',4,4,11,2007,'M','N','BOA ESPERANÇA','CUIABÁ','MT','111222111216473451449933572124241448182',NULL,'9998',0.00,1,3,NULL),(20,5376718,'1993-02-01 00:00:00',2,10,12,2008,'F','N','BEIRA RIO','S LUDGERO','SC','124244241215111711346912192125610134052',NULL,'950',24.38,1,3,NULL),(20,5376726,'1989-04-11 00:00:00',4,1,12,2006,'F','N','FORQUILHAS','S JOSÉ','SC','124241241131133431129944241124132535142',NULL,'307',27.72,3,2,1),(20,5376734,'1983-07-26 00:00:00',2,1,7,2003,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243247137141441117741215134610165185',NULL,'9999',27.83,1,3,NULL),(20,5376742,'1991-10-02 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124241241117471411336714575114610162187',NULL,'298',38.65,1,2,1),(20,5376777,'1989-12-26 00:00:00',4,1,12,2007,'F','N','NOVA AURORA','RONDONÓPOLIS','MT','111112111216571431446911572122610134097',NULL,'9998',29.39,1,3,NULL),(20,5376793,'1985-05-22 00:00:00',2,1,11,2002,'M','N','PERPÉTUO SOCORRO','STA MARIA','RS','120131201115571731655339392122610164187',782,'9998',82.65,1,2,1),(20,5376807,'1992-11-09 00:00:00',4,1,12,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124201241225111431527624572224610124097',14827,'262',46.86,1,3,NULL),(20,5376815,'1991-08-16 00:00:00',4,1,12,2009,'M','N','CAMPO BELO','S PAULO','SP','125252251216151432448819275124610117042',NULL,'9998',0.00,1,3,NULL),(20,5376823,'1989-12-02 00:00:00',4,1,12,2006,'F','N','CENTRO','STA MARIA','RS','120201201217571451125612585125141064187',1747,'9998',77.84,1,3,NULL),(20,5376831,'1990-11-11 00:00:00',4,3,12,2008,'M','N','VILA SANTA IZABEL','AVARÉ','SP','125252251212471451467931475122610167052',NULL,'9998',0.00,1,3,NULL),(20,5376840,'1991-09-14 00:00:00',4,1,12,2008,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201217471441366833571122610223077',NULL,'9998',0.00,1,3,NULL),(20,5376858,'1992-07-29 00:00:00',4,2,11,2009,'F','N','VALADA MOSQUITO','AGRONÔMICA','SC','124241241137151431444435292124610124147',NULL,'7',0.00,1,2,1),(20,5376866,'1992-09-13 00:00:00',2,5,11,2009,'F','N','MICHEL','CRICIÚMA','SC','124242241215121431535539572122610132147',7136,'226',63.56,1,3,NULL),(20,5376874,'1989-04-10 00:00:00',4,4,12,2006,'F','N','CENTRO','UMUARAMA','PR','116162161214571451334521275325610161057',874,'9998',81.17,1,3,NULL),(20,5376882,'1988-02-01 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241147574431326324341135610134147',13664,'277',51.02,2,2,1),(20,5376890,'1989-07-24 00:00:00',2,1,12,2005,'M','N','SALGADO FILHO','GRAVATAÍ','RS','120201201116471441236724275114610134092',12633,'9998',50.63,1,2,1),(20,5376904,'1990-04-22 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241132132421546639236124233243067',15421,'739',46.55,1,2,1),(20,5376912,'1993-02-09 00:00:00',2,15,12,2010,'F','S','CENTRO','TURVO','SC','124241241415111711446622572122610131092',NULL,'970',15.75,1,3,NULL),(20,5376920,'1992-09-07 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241117471731546633572124611432141',14210,'298',46.48,1,2,1),(20,5376939,'1991-12-30 00:00:00',2,3,12,2009,'M','N','JARDIM ITAMARATY','OURINHOS','SP','125251251116271431543311572121610122092',5068,'9998',67.27,1,2,1),(20,5376947,'1991-08-13 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241127271431524823576214610118147',NULL,'750',23.05,1,2,1),(20,5376963,'1980-08-17 00:00:00',2,1,12,1998,'M','N','SANTOS DUMONT','S JOSÉ','SC','124242241217155411546832235112121767022',NULL,'738',0.00,1,3,NULL),(20,5376971,'1993-03-01 00:00:00',2,1,12,2009,'F','N','VILA SADIA','VÁRZEA GRANDE','MT','111112118116121331546612395122610164097',15882,'9998',40.56,1,3,NULL),(20,5377005,'1990-08-17 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241215472431368823572124610117111',NULL,'270',0.00,4,3,NULL),(20,5377013,'1992-03-20 00:00:00',4,1,12,2009,'F','N','ASA NORTE','BRASÍLIA','DF','107072071217371731469833275122610126094',7636,'9998',60.09,1,3,NULL),(20,5377030,'1992-11-19 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116371432436611575124610164132',NULL,'307',11.24,1,2,1),(20,5377048,'1988-01-05 00:00:00',4,1,6,2007,'M','N','CAMINHO NOVO','PALHOÇA','SC','124242247416133431433623385112610137047',NULL,'9999',31.89,1,3,NULL),(20,5377056,'1993-05-25 00:00:00',4,7,12,2009,'F','N','CENTRO','TREZE TÍLIAS','SC','124243241215161431459614575123610163194',10122,'962',55.30,1,3,NULL),(20,5377064,'1985-05-07 00:00:00',4,8,12,2002,'F','N','GLÓRIA','JOINVILLE','SC','124241241316153421453314431124332736097',NULL,'456',0.00,1,3,NULL),(20,5377072,'1991-12-26 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124212241216111411589912495114610127042',5930,'883',65.18,1,3,NULL),(20,5377080,'1981-11-12 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','224241248146135431327644145334610124147',NULL,'277',28.16,1,2,1),(20,5377102,'1993-02-11 00:00:00',4,1,12,2009,'F','N','POÇO FUNDO','STO AMARO IMPERATRIZ','SC','124241241115131431333334572124610137077',NULL,'772',28.64,1,2,1),(20,5377110,'1988-08-30 00:00:00',4,17,12,2005,'F','N','CENTRO','MTE CASTELO','SC','124242241216161431449924435122142537012',11732,'541',54.88,1,3,NULL),(20,5377129,'1991-04-04 00:00:00',2,1,12,2008,'F','N','CENTRO','PALHOÇA','SC','124243241216272431436719575122610117042',7066,'1175',61.68,1,3,NULL),(20,5377137,'1993-05-17 00:00:00',4,10,11,2009,'M','N','NOSSA S DE FÁTIMA','BRAÇO NORTE','SC','124244241215111431337832241122610167052',3735,'806',70.98,1,3,NULL),(20,5377145,'1987-03-24 00:00:00',2,1,12,2004,'F','N','PAES LEME','IMBITUBA','SC','124241241116134431443739445121610123147',NULL,'359',25.90,1,2,1),(20,5377153,'1991-09-04 00:00:00',4,9,12,2008,'M','N','COPACABANA','LAGES','SC','124241241117271732436629575115610137067',13493,'935',51.39,1,2,1),(20,5377161,'1991-08-26 00:00:00',2,1,12,2009,'M','N','SAO LUIS','SOMBRIO','SC','124242241217111231537832292111610127117',NULL,'770',32.81,1,3,NULL),(20,5377188,'1991-02-27 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217151431269713575122610167067',NULL,'9999',34.68,1,3,NULL),(20,5377196,'1989-06-09 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217142211465512325112132814041',NULL,'1022',25.07,1,3,NULL),(20,5377200,'1987-06-01 00:00:00',2,15,12,2004,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120201201211571421148839572344610162137',923,'9998',81.74,1,3,NULL),(20,5377218,'1990-03-07 00:00:00',2,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241121133431223419242114610117047',12605,'290',52.03,1,2,1),(20,5377226,'1992-06-03 00:00:00',2,1,12,2009,'F','N','POTECAS','S JOSÉ','SC','124241241115371411533331572324610123187',NULL,'733',30.31,1,2,1),(20,5377250,'1981-06-27 00:00:00',4,1,12,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624253251235143721259853495124321424052',3737,'9998',69.96,1,3,NULL),(20,5377269,'1990-10-02 00:00:00',4,3,12,2007,'M','N','CENTRO','BANDEIRANTES','PR','116162161136571431355829575125610117092',NULL,'9998',0.00,3,3,NULL),(20,5377277,'1993-02-09 00:00:00',2,5,11,2010,'M','S','LIRI','IÇARA','SC','124241241216111731467411575122610167047',NULL,'226',43.53,1,3,NULL),(20,5377285,'1990-12-05 00:00:00',4,1,12,2007,'F','N','OCTAVIO PECORA','CPO GRANDE','MS','112122121216574751348831575122610168187',822,'9998',82.13,1,3,NULL),(20,5377293,'1990-02-28 00:00:00',2,1,12,2007,'M','N','CENTRO','STA MARIA','RS','120201201111131422428713497345610168027',1662,'9998',77.90,1,2,1),(20,5377315,'1986-10-11 00:00:00',2,9,12,2004,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201216571411547831575224610117017',4766,'9998',68.94,1,3,NULL),(20,5377323,'1992-01-12 00:00:00',2,1,12,2009,'F','N','PETRÓPOLIS','NOVO HAMBURGO','RS','120201201217131411526634571122610167142',NULL,'9998',25.53,1,3,NULL),(20,5377331,'1984-10-02 00:00:00',4,1,3,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242247117151411469413482122130222047',NULL,'9999',44.74,1,3,NULL),(20,5377358,'1987-10-23 00:00:00',2,1,11,2005,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124201201116131431128844345224333228122',NULL,'9998',0.00,4,3,NULL),(20,5377366,'1987-06-29 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373421258521575114131034042',7993,'229',61.84,1,3,NULL),(20,5377374,'1989-10-04 00:00:00',2,1,12,2007,'F','N','JARDIM MOTORAMA','S JOSÉ CAMPOS','SP','125251256217572331427714472224610147077',NULL,'9998',29.08,1,3,NULL),(20,5377382,'1991-06-28 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124142241215472752448613574114610168097',1075,'988',80.88,4,3,NULL),(20,5377390,'1988-10-09 00:00:00',2,1,12,2006,'F','N','ERMELINO MATARAZZO','S PAULO','SP','125254251217572431425832595122610164017',NULL,'9998',29.07,1,3,NULL),(20,5377404,'1990-09-29 00:00:00',2,1,12,2008,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124243241316142431556633571114610162192',NULL,'281',23.26,1,3,NULL),(20,5377420,'1991-04-17 00:00:00',4,8,12,2008,'F','N','AVAÍ','GUARAMIRIM','SC','124241248137131731426624345134610128141',NULL,'336',0.00,4,2,1),(20,5377439,'1993-08-04 00:00:00',2,1,12,2009,'M','N','CENTRO','SOMBRIO','SC','124242241215111231438732575112610167117',NULL,'970',27.50,1,3,NULL),(20,5377447,'1993-08-27 00:00:00',4,3,11,2009,'M','N','CENTRO','BRUSQUE','SC','124242241215151132469734275122610127187',10527,'109',54.40,4,3,NULL),(20,5377463,'1989-12-15 00:00:00',4,15,11,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124244241216574451566831445124221468042',NULL,'32',0.00,1,3,NULL),(20,5377480,'1990-02-15 00:00:00',4,4,12,2007,'M','N','SÃO LUIZ','S MIGUEL OESTE','SC','120241201316571431446934572115610117042',9126,'9998',59.72,1,3,NULL),(20,5377498,'1991-12-13 00:00:00',2,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111231556514572114610127047',14438,'272',47.67,1,3,NULL),(20,5377501,'1985-05-28 00:00:00',4,1,11,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241322133422425831245124121744192',NULL,'9999',35.90,1,3,NULL),(20,5377510,'1987-04-03 00:00:00',2,6,12,2004,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241211575411448713415124131526122',11818,'948',52.17,1,3,NULL),(20,5377536,'1992-09-17 00:00:00',4,1,12,2009,'M','N','IATE CLUBE CAMPINAS','AMERICANA','SP','125252251215111411448811575112610167042',4096,'9998',68.35,1,3,NULL),(20,5377544,'1992-12-12 00:00:00',4,16,12,2009,'F','N','N S APARECIDA','MTE CARLO','SC','124241241117161431326779242225610112147',NULL,'936',16.21,1,2,1),(20,5377552,'1984-07-28 00:00:00',2,1,12,2002,'M','N','PETROPOLIS','PTO ALEGRE','RS','120203241136141431436711215124141464047',NULL,'49',39.36,1,3,NULL),(20,5377560,'1993-01-17 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117131431226722575124610137182',NULL,'257',29.53,1,2,1),(20,5377587,'1988-08-31 00:00:00',4,8,12,2005,'F','N','CIDADE INDUSTRIAL','CURITIBA','PR','116163161115571411488734572112610122097',1263,'9998',79.35,1,3,NULL),(20,5377609,'1989-05-02 00:00:00',4,4,12,2006,'M','N','CENTRO','CHAPECÓ','SC','120244241216473411468819575114241437042',6947,'185',63.95,1,3,NULL),(20,5377617,'1990-06-02 00:00:00',4,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124243241215373431447629345134610162187',NULL,'882',31.23,1,3,NULL),(20,5377625,'1991-11-19 00:00:00',4,15,12,2009,'M','N','PONTAL','TRÊS CACHOEIRAS','RS','120201201116131421435835345124610122112',13488,'9998',46.89,1,2,1),(20,5377633,'1992-11-25 00:00:00',2,8,11,2009,'F','N','VILA NOVA','JOINVILLE','SC','124241241116271431417618382121610144147',14600,'473',49.00,1,2,1),(20,5377641,'1956-09-01 00:00:00',4,10,8,2008,'M','N','STA LÚCIA','CAPIVARI BAIXO','SC','224242241142141421423439415124132112041',NULL,'9999',14.90,1,3,NULL),(20,5377668,'1977-09-24 00:00:00',2,1,12,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241146155431348823415122221113143',NULL,'307',44.35,1,3,NULL),(20,5377676,'1991-03-02 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','113132131217471431636823575124610168182',NULL,'9998',26.22,2,1,2),(20,5377692,'1989-07-05 00:00:00',4,1,12,2006,'F','N','CABRAL','CURITIBA','PR','116164164215571431357714571122610162097',5032,'9998',66.82,1,3,NULL),(20,5377706,'1991-04-16 00:00:00',4,1,12,2008,'F','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125252251316471431349823275122610132076',7647,'9998',60.75,1,3,NULL),(20,5377714,'1989-07-31 00:00:00',4,3,12,2006,'M','N','PARQUE SELLA','CAMBÉ','PR','116222221216471431446821572124140441052',1612,'9998',77.44,1,3,NULL),(20,5377730,'1988-05-09 00:00:00',4,4,12,2005,'M','N','MADALOZO','MARAVILHA','SC','124241241117131731316644442112610167057',NULL,'377',22.87,1,2,1),(20,5377749,'1991-06-22 00:00:00',4,1,11,2008,'F','N','CENTRO','CURITIBA','PR','116162161215132411438912571324610142112',9750,'9998',56.88,1,3,NULL),(20,5377757,'1990-08-21 00:00:00',4,1,12,2007,'M','N','SORGATTO','CAÇADOR','SC','124241241315374431436815575114610167092',NULL,'1124',39.18,1,3,NULL),(20,5377765,'1992-08-09 00:00:00',4,17,11,2009,'F','N','CENTRO','PTO UNIÃO','SC','124244241216161431348812575122610124192',NULL,'633',40.47,1,3,NULL),(20,5377773,'1991-11-10 00:00:00',4,1,11,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241115141731124479345224610126095',NULL,'307',18.75,1,2,1),(20,5377781,'1989-11-03 00:00:00',4,1,12,2006,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241216153411468813445112233268182',8254,'1022',61.38,1,3,NULL),(20,5377790,'1958-02-14 00:00:00',4,1,12,1976,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','224201203126151411263353335112543232092',NULL,'9998',49.55,1,3,NULL),(20,5377803,'1991-07-04 00:00:00',4,8,12,2008,'M','N','ARAXÁ','LONDRINA','PR','116162161211371431669911471111610114182',NULL,'9998',0.00,1,3,NULL),(20,5377820,'1992-01-01 00:00:00',4,1,12,2009,'M','N','ESTADIO','RIO CLARO','SP','125254251217121431456612575111610114012',NULL,'9998',0.00,3,3,NULL),(20,5377838,'1991-02-05 00:00:00',2,5,12,2007,'M','N','SIA JULIANA','CAMAQUÃ','RS','120202201217471731589819471124141467042',NULL,'9998',0.00,1,3,NULL),(20,5377854,'1991-09-04 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217372431578923575112610167147',6534,'1048',64.84,1,3,NULL),(20,5377862,'1988-05-15 00:00:00',2,1,11,2006,'M','N','BOA VISTA','CURITIBA','PR','116114118117271741336833285124610164187',8545,'9998',59.25,1,3,NULL),(20,5377870,'1992-08-24 00:00:00',4,8,12,2009,'F','N','IRIRIU','JOINVILLE','SC','124241241215131431356414572121610125043',10685,'494',53.53,1,3,NULL),(20,5377897,'1992-03-31 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215122231358612575122610166042',12507,'1118',51.03,1,3,NULL),(20,5377919,'1989-04-20 00:00:00',2,8,11,2009,'M','N','CENTRO','MEDIANEIRA','PR','116161161136471711545512275125610164066',5113,'9998',65.47,1,2,1),(20,5377927,'1981-11-16 00:00:00',4,1,12,2000,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241146273111234444145124133243187',14587,'732',49.04,2,1,2),(20,5377935,'1989-03-21 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241117131431539933245114232763182',NULL,'307',21.42,1,2,1),(20,5377943,'1990-09-29 00:00:00',4,4,12,2007,'F','N','PINHEIROS','PATO BRANCO','PR','116162161236572731438833274124610163187',NULL,'9998',24.59,4,1,2),(20,5377951,'1992-08-08 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORES CUNHA','RS','120122201215471712269722575114610134052',NULL,'9998',0.00,1,3,NULL),(20,5377960,'1991-12-12 00:00:00',2,9,12,2009,'F','N','CANTA GALO','RIO SUL','SC','124242241215111431443411374122610124052',12967,'991',49.81,1,3,NULL),(20,5377994,'1992-06-02 00:00:00',4,9,12,2009,'F','N','CANOAS','CANOAS','SC','124241241122131432524823572224610164147',NULL,'935',9.36,1,3,NULL),(20,5378001,'1975-07-03 00:00:00',2,1,12,1995,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241142233421323444142124610126187',NULL,'289',25.75,1,2,1),(20,5378010,'1992-09-19 00:00:00',4,1,12,2009,'M','N','CENTRO','S LEOPOLDO','RS','120202201217111431478613575122610117115',NULL,'9998',21.53,1,3,NULL),(20,5378028,'1990-05-31 00:00:00',4,4,12,2007,'F','N','VILA INDUSTRIAL','TOLEDO','PR','116165161216572431469933574122610124092',2420,'9998',75.36,4,1,2),(20,5378036,'1991-04-25 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241416153411237721495124231936052',9577,'272',58.95,1,3,NULL),(20,5378060,'1988-09-06 00:00:00',2,17,12,2005,'M','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241416163431538933292121230327047',14572,'973',49.08,1,3,NULL),(20,5378079,'1992-06-08 00:00:00',4,6,11,2009,'F','N','CENTRO','PENHA','SC','124241241111131331427823371124610126197',NULL,'609',0.00,1,2,1),(20,5378087,'1991-09-20 00:00:00',4,1,12,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241115131731468814445124610132097',NULL,'298',17.23,1,3,NULL),(20,5378095,'1991-04-16 00:00:00',4,5,12,2008,'M','N','VILA JUNÇÃO','RIO GRANDE','RS','120202201216471451487831475122610167041',NULL,'9998',0.00,1,3,NULL),(20,5378109,'1990-10-09 00:00:00',4,2,12,2008,'M','N','SAÕ LUIZ','BRUSQUE','SC','124244241435151731338912342125610167042',NULL,'112',0.00,1,3,NULL),(20,5378125,'1991-01-21 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241215473751346613575124610124143',12317,'1134',52.07,1,3,NULL),(20,5378133,'1992-04-17 00:00:00',4,1,11,2009,'F','N','SERRARIA','S JOSÉ','SC','124252251217111431549861572124610137097',2399,'9998',73.55,1,3,NULL),(20,5378168,'1992-09-22 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215152431289714344112610126142',NULL,'9999',0.00,1,3,NULL),(20,5378184,'1973-06-16 00:00:00',2,1,12,1990,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224241243127471411323344342243610118187',NULL,'359',45.26,1,2,1),(20,5378192,'1973-10-23 00:00:00',2,1,12,1994,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124161161126142412143249292135341467041',NULL,'9998',0.00,4,2,1),(20,5378206,'1991-05-02 00:00:00',4,3,12,2008,'F','N','CENTRO','ARARUNA','PR','116162161216471451446812595122610162142',11770,'9998',53.09,1,3,NULL),(20,5378214,'1992-06-06 00:00:00',4,9,12,2009,'M','N','NAÇÕES','FRAIBURGO','SC','124241241316111431439511575122610136032',NULL,'317',29.18,1,3,NULL),(20,5378257,'1984-12-04 00:00:00',4,15,12,2001,'M','N','SÃO JOÃO','MONTENEGRO','RS','120202201216151711489713475112340227052',NULL,'9998',0.00,1,3,NULL),(20,5378265,'1993-09-24 00:00:00',4,1,12,2010,'F','S','BALNEÁRIO','FLORIANÓPOLIS','SC','124244241215111731448814575122610126142',NULL,'1118',51.44,1,3,NULL),(20,5378273,'1982-05-21 00:00:00',2,1,12,2000,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241248127273431124444245124610113047',12340,'142',50.96,1,2,1),(20,5378281,'1991-06-18 00:00:00',4,1,12,2009,'M','N','PARQUE ASSUNÇÃO','TABOÃO SERRA','SP','125252251217111721468714585112610134182',NULL,'9998',29.79,1,3,NULL),(20,5378290,'1990-12-20 00:00:00',4,1,12,2008,'F','N','JARDIM PLANALTO','PTO ALEGRE','RS','120202201217471531469814575125610164186',NULL,'9998',0.00,1,3,NULL),(20,5378303,'1978-03-23 00:00:00',4,1,7,2009,'F','N','SÃO LUIZ','S JOSÉ','SC','124241247126131431423344442114610134197',NULL,'9999',0.00,1,2,1),(20,5378311,'1991-08-16 00:00:00',2,8,12,2009,'F','N','CENTRO','JOINVILLE','SC','124242241217151752257821476122610168152',NULL,'1006',0.00,1,3,NULL),(20,5378320,'1992-09-21 00:00:00',4,1,11,2010,'M','S','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241235111431468812572122610137127',NULL,'270',22.13,1,3,NULL),(20,5378338,'1991-11-20 00:00:00',2,8,12,2008,'F','N','CENTRO','PNT GROSSA','PR','116162161214571431338912571122610164092',14283,'9998',47.16,1,3,NULL),(20,5378346,'1985-05-28 00:00:00',2,1,3,2004,'F','N','CENTRO','PALHOÇA','SC','124201201116273431256674395124610162142',10391,'9998',56.15,2,1,1),(20,5378354,'1992-11-12 00:00:00',4,5,12,2009,'M','N','SÃO DEFENDE','CRICIÚMA','SC','124241246217131431433614472124610127041',NULL,'995',27.96,1,3,NULL),(20,5378362,'1990-02-21 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124161161136131431413314282244610121062',NULL,'9998',27.96,1,2,1),(20,5378389,'1985-07-10 00:00:00',2,8,12,2003,'F','N','ÁGUA VERDE','CURITIBA','PR','116161161116334741443327374124610114042',5653,'9998',65.55,1,2,1),(20,5378397,'1990-02-24 00:00:00',4,1,12,2007,'F','N','CENTRO','ASSIS','SP','125252251216371451368932495112142862012',NULL,'9998',0.00,1,3,NULL),(20,5378419,'1987-04-17 00:00:00',2,1,12,2004,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241416375441633637475124231938057',NULL,'300',26.85,1,3,NULL),(20,5378427,'1989-12-08 00:00:00',2,1,12,2006,'F','N','BOMFIM','PTO ALEGRE','RS','120202201216571431448632591124610162017',NULL,'9998',0.00,1,3,NULL),(20,5378435,'1992-04-30 00:00:00',2,4,12,2009,'F','N','BOA VISTA','PALMITINHO','RS','120201201116131411415619592124610134147',NULL,'9998',25.54,3,2,1),(20,5378478,'1988-01-09 00:00:00',2,5,12,2004,'F','N','PEDRO ZANIVAN','CRICIÚMA','SC','124241246122132441323629342124610163022',NULL,'228',0.00,1,2,1),(20,5378486,'1991-03-24 00:00:00',4,5,12,2008,'M','N','MILANESE','CRICIÚMA','SC','124244248237131421545714445134610137047',NULL,'995',29.33,1,3,NULL),(20,5378494,'1988-12-05 00:00:00',2,1,7,2007,'F','N','SERRARIA','S JOSÉ','SC','124243247126271431447833575124610133147',NULL,'9999',24.56,1,3,NULL),(20,5378508,'1991-08-18 00:00:00',2,1,12,2009,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124243241117141431435912145124610117185',NULL,'298',20.61,1,3,NULL),(20,5378516,'1989-08-31 00:00:00',1,8,12,2006,'M','N','IRIRIU','JOINVILLE','SC','124244241217141431456632145112610164082',NULL,'1006',24.54,1,3,NULL),(20,5378532,'1992-02-27 00:00:00',4,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241215121231567619575124610164182',1885,'1038',76.36,1,3,NULL),(20,5378540,'1991-10-24 00:00:00',4,1,12,2008,'F','N','ELTON VILLE','SOROCABA','SP','125252251215471431469839575112610164042',1437,'9998',78.13,4,3,NULL),(20,5378559,'1988-11-23 00:00:00',2,1,11,2005,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241111131411444414341132610113017',10578,'591',55.34,1,2,1),(20,5378567,'1990-08-13 00:00:00',4,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241135131431423344142334610167147',NULL,'289',16.52,1,2,1),(20,5378575,'1991-03-02 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215473431368932575124221567072',1535,'881',78.74,1,3,NULL),(20,5378583,'1992-07-09 00:00:00',4,4,12,2009,'M','N','CENTRO','PALMITOS','SC','124241241315371431348933592124610127047',NULL,'1046',0.00,1,3,NULL),(20,5378591,'1988-08-03 00:00:00',4,15,12,2005,'M','N','SÃO JOÃO','MONTENEGRO','RS','120204201216151411489733475112140267042',NULL,'9998',0.00,1,3,NULL),(20,5378605,'1976-02-01 00:00:00',2,15,4,2001,'M','N','MATO ALTO','ARARANGUÁ','SC','224241247123131431424343135123133222031',NULL,'9999',16.28,1,2,1),(20,5378613,'1987-08-24 00:00:00',4,15,12,2004,'F','N','BOM FIM','PTO ALEGRE','RS','120201201117571431357833571114142562097',3247,'9998',72.11,1,2,1),(20,5378621,'1993-03-12 00:00:00',4,1,11,2010,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431359811472122610164122',NULL,'270',0.00,1,3,NULL),(20,5378630,'1985-04-29 00:00:00',4,15,12,2002,'M','N','BARRO VERMELHO','ARARANGUÁ','SC','124241246126141721643336145113610167067',NULL,'550',25.61,1,2,1),(20,5378648,'1991-09-22 00:00:00',4,1,10,2008,'M','N','JD PAULISTA','ITAPETININGA','SP','125252256217571431648832475122241467042',NULL,'9997',0.00,1,3,NULL),(20,5378656,'1990-07-27 00:00:00',2,3,12,2007,'F','N','INTERIOR','DAVID CANABARRO','RS','120201201114371431324536592222610164147',NULL,'9998',24.84,1,3,NULL),(20,5378664,'1990-05-10 00:00:00',4,1,12,2007,'M','N','VILA MONTEIRO','PIRACICABA','SP','125252251216571431448814281115610167042',2004,'9998',76.90,1,3,NULL),(20,5378672,'1992-10-22 00:00:00',2,8,12,2009,'F','N','SÃO CRISTOVÃO','CAÇADOR','SC','124244241217161431335631394114610127117',NULL,'119',23.33,1,3,NULL),(20,5378680,'1992-11-28 00:00:00',4,1,11,2009,'M','N','IPIRANGA','S JOSÉ','SC','124241241117121431336319295122610167142',NULL,'734',23.84,1,2,1),(20,5378710,'1992-08-30 00:00:00',4,7,12,2009,'M','N','DOIS PINHEIROS','VIDEIRA','SC','124241246117131331614912425123610168052',11152,'1080',52.51,1,3,NULL),(20,5378729,'1993-05-02 00:00:00',4,1,12,2010,'F','S','JARDIM CIDADE DE FLO','S JOSÉ','SC','124242248215111231458519575124610114012',NULL,'1118',21.36,1,3,NULL),(20,5378737,'1990-01-24 00:00:00',2,1,11,2007,'F','N','SÃO DIMAS','PIRACICABA','SP','125251251116571431425511385124610123097',13225,'9998',48.63,1,2,1),(20,5378745,'1988-10-13 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201127131531623334372313610123147',NULL,'9998',15.25,1,2,1),(20,5378753,'1990-05-21 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124244241211473431345823315124610131167',9038,'1118',57.92,1,3,NULL),(20,5378761,'1991-04-24 00:00:00',2,4,12,2008,'F','N','CENTRO','STA MARIA','RS','120242241416272231338911572125610118147',NULL,'1046',41.47,1,3,NULL),(20,5378770,'1991-03-24 00:00:00',4,5,12,2008,'M','N','MILANESE','CRICIÚMA','SC','124242246237131421545714445134610137047',NULL,'995',20.26,1,3,NULL),(20,5378788,'1991-05-20 00:00:00',4,8,12,2008,'M','N','IRIRIÚ','JOINVILLE','SC','124251241112252431438719572124610167042',NULL,'470',20.23,1,2,1),(20,5378800,'1991-11-29 00:00:00',4,1,12,2008,'M','N','JARDIM IRAJA','RIBEIRÃO PRETO','SP','125252251217471431358822472112610114182',NULL,'9998',0.00,1,3,NULL),(20,5378818,'1991-11-12 00:00:00',4,8,12,2008,'M','N','PALMEIRINHA','PNT GROSSA','PR','116161161215471322348734575112610167062',2816,'9998',73.95,1,3,NULL),(20,5378826,'1991-07-27 00:00:00',4,2,12,2008,'F','N','TESTO REGA','POMERODE','SC','124242241217152431448931575124231413142',NULL,'624',0.00,1,3,NULL),(20,5378834,'1992-07-21 00:00:00',2,9,12,2009,'M','N','CENTRO','CORREIA PINTO','SC','124242241211111431456914575122610138142',11031,'202',51.70,1,3,NULL),(20,5378842,'1993-01-10 00:00:00',4,9,12,2009,'F','N','CENTRO','CORREIA PINTO','SC','124242241211131431468913575112610132092',15270,'202',43.92,1,3,NULL),(20,5378850,'1992-10-30 00:00:00',4,6,12,2009,'F','N','CENTRO','BAL PIÇARRAS','SC','124242241215111431369933472124610148197',NULL,'392',0.00,1,3,NULL),(20,5378877,'1991-12-25 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124242246215151331437634176124610134187',13612,'995',51.14,1,3,NULL),(20,5378885,'1985-02-05 00:00:00',2,1,12,2002,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241136132751623339485124220648187',NULL,'650',43.33,4,2,1),(20,5378893,'1991-09-29 00:00:00',4,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124243241117111332448711345112610167062',NULL,'307',24.17,1,3,NULL),(20,5378907,'1992-09-17 00:00:00',4,3,11,2010,'M','S','CENTRO','BAL CAMBORIÚ','SC','124242241216111511334832295125610112012',NULL,'1038',48.91,1,3,NULL),(20,5378915,'1989-01-13 00:00:00',2,1,10,2007,'M','N','BELA VISTA','PALHOÇA','SC','124241247122152431233614342124610118063',NULL,'9999',0.00,4,2,1),(20,5378923,'1989-04-28 00:00:00',2,1,12,2006,'F','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124241241112134411537611372124130567122',12809,'733',52.73,1,2,1),(20,5378931,'1987-06-16 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116152741249813295124233262195',8159,'192',61.55,1,2,1),(20,5378940,'1992-04-02 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431567634575114610137042',8539,'1022',59.68,4,3,NULL),(20,5378958,'1988-06-02 00:00:00',4,1,12,2005,'F','N','CIDADE JARDIM','RIO CLARO','SP','125252251217571411568711571122610112187',NULL,'9998',0.00,1,3,NULL),(20,5378966,'1989-03-06 00:00:00',2,3,12,2006,'F','N','CENTRO','STA MARIA','RS','120204201411571431436332442114241124192',NULL,'9998',26.18,1,3,NULL),(20,5378974,'1991-07-24 00:00:00',2,1,12,2008,'F','N','JARDIM AMÉRICA','CAXIAS SUL','RS','120204201216471431335614275112610167047',NULL,'9998',0.00,1,3,NULL),(20,5378990,'1980-08-13 00:00:00',2,15,12,1998,'M','N','COLONINHA','ARARANGUÁ','SC','124201203127131731425631442331610166047',NULL,'9998',44.88,1,3,NULL),(20,5379024,'1992-05-03 00:00:00',4,4,12,2008,'M','N','CENTRO','STA MARIA','RS','120244201416271431633332572112610111147',NULL,'9998',18.88,1,3,NULL),(20,5379032,'1972-11-15 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','224241247125131431636343242344610126043',NULL,'9999',43.32,1,2,1),(20,5379040,'1986-11-02 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124141148116131111356664385124610112012',NULL,'9998',0.00,1,2,1),(20,5379059,'1992-12-20 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243248315211451515539175121610147117',NULL,'9997',0.00,1,3,NULL),(20,5379067,'1991-03-27 00:00:00',2,8,10,2008,'M','N','BOQUEIRÃO','CURITIBA','PR','116162161215471451167923385124610167047',1279,'9998',79.88,1,3,NULL),(20,5379075,'1965-08-10 00:00:00',2,1,11,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224241241127111751535659392224610154147',NULL,'281',17.85,1,3,NULL),(20,5379083,'1978-06-14 00:00:00',2,10,12,2001,'M','N','SÃO JUDAS TADEU','GRAVATAÍ','RS','120203208127152431322379195224610111197',NULL,'9998',0.00,1,3,NULL),(20,5379091,'1993-02-12 00:00:00',2,1,12,2010,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124243241215111432448933575122610115072',NULL,'951',18.48,1,3,NULL),(20,5379105,'1986-12-15 00:00:00',4,1,12,2004,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241217373731238723575125221427057',925,'956',81.73,1,3,NULL),(20,5379121,'1991-07-11 00:00:00',2,8,12,2008,'F','N','CENTRO','SANTANA ITARARÉ','PR','116164161115471431356923575124610124047',7568,'9998',60.07,1,3,NULL),(20,5379130,'1980-07-30 00:00:00',4,1,12,2000,'M','N','RIO ANTINHAS','PETROLÂNDIA','SC','124241241146131231223344345113610118077',NULL,'613',0.00,1,3,NULL),(20,5379148,'1991-03-01 00:00:00',4,8,12,2008,'M','N','CENTRO','PNT GROSSA','PR','116162161217431311558931573111610127067',492,'9998',84.65,1,3,NULL),(20,5379156,'1991-08-15 00:00:00',4,5,10,2009,'F','N','LOTE SEIS','CRICIÚMA','SC','124242241215111431336619574122610126012',12229,'226',53.92,1,3,NULL),(20,5379164,'1992-08-04 00:00:00',4,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217151231646821575124610127097',NULL,'1075',28.89,1,3,NULL),(20,5379172,'1987-10-11 00:00:00',4,3,11,2005,'F','N','CENTRO','LONDRINA','PR','116164161211571431668714572122140364167',860,'9998',82.12,1,3,NULL),(20,5379180,'1992-06-21 00:00:00',2,4,12,2009,'F','N','CENTRO','TRÊS PALMEIRAS','RS','120201201115151431423414242324610123147',NULL,'9998',0.00,1,2,1),(20,5379199,'1987-10-04 00:00:00',2,15,12,2004,'F','N','CENTRO','CASCA','RS','120201201416571431455931395124610167047',1834,'9998',76.23,1,3,NULL),(20,5379202,'1979-06-26 00:00:00',3,1,12,1998,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124161161416572441128631491314143222082',14639,'9998',48.88,1,3,NULL),(20,5379210,'1992-01-29 00:00:00',4,2,12,2009,'M','N','TESTO ALTO','POMERODE','SC','124241241116151741443624575124610168047',11465,'621',52.03,1,2,1),(20,5379229,'1991-04-06 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116372431163515455124610162192',NULL,'330',29.79,1,2,1),(20,5379237,'1989-09-29 00:00:00',2,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124161241316111111389843132114610114171',6055,'1063',64.69,1,3,NULL),(20,5379253,'1990-10-23 00:00:00',4,1,12,2008,'F','N','BOQUEIRÃO','SANTOS','SP','125252251217471411467839575112610167187',NULL,'9998',0.00,1,3,NULL),(20,5379261,'1992-12-08 00:00:00',2,6,12,2009,'M','N','REUNIDAS','CAÇADOR','SC','124242241216111731453512575122610167182',11852,'1124',51.60,1,3,NULL),(20,5379270,'1992-08-25 00:00:00',2,10,12,2009,'M','N','VILA NOVA','IMBITUBA','SC','124241241115111231425933572122610127052',NULL,'1034',25.24,1,2,1),(20,5379288,'1991-06-27 00:00:00',2,1,12,2008,'F','N','CAVALHADA','PTO ALEGRE','RS','120202201216471431489932571122610126042',NULL,'9998',0.00,1,3,NULL),(20,5379296,'1990-05-21 00:00:00',4,8,12,2007,'M','N','AGUA VERDE','CURITIBA','PR','116162161215571211118734275125142812042',1695,'9998',78.07,1,3,NULL),(20,5379300,'1987-10-22 00:00:00',2,1,12,2005,'F','N','JARDIM MESQUITA','JACAREÍ','SP','125252251215571731548611275122610163117',NULL,'9998',0.00,1,3,NULL),(20,5379318,'1993-02-04 00:00:00',4,1,12,2010,'M','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216121732469613575112610122175',NULL,'1023',37.93,1,3,NULL),(20,5379334,'1990-06-26 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574731468813595122610124146',9613,'1050',58.89,1,3,NULL),(20,5379342,'1992-07-03 00:00:00',4,8,11,2009,'M','N','CENTRO','APUCARANA','PR','116162161216111431456631575122610114053',11449,'9998',50.48,1,3,NULL),(20,5379350,'1986-03-25 00:00:00',2,1,8,2002,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124101107117371431226429392124610141097',NULL,'9998',26.71,4,2,1),(20,5379369,'1992-07-09 00:00:00',4,8,12,2009,'M','N','CENTRO','GUARAPUAVA','PR','116162168215211531368811575112610167076',NULL,'9998',0.00,1,3,NULL),(20,5379377,'1992-09-18 00:00:00',4,2,11,2009,'M','N','PROGRESSO','BLUMENAU','SC','124243241212111431359514572124610167042',3454,'71',71.00,1,3,NULL),(20,5379385,'1993-05-06 00:00:00',4,1,12,2010,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215151432569913575124610126192',NULL,'270',57.52,1,3,NULL),(20,5379393,'1991-01-09 00:00:00',4,1,12,2009,'F','N','PARQUE DA MOOCA','S PAULO','SP','125252251215471311468831575122610122122',NULL,'9998',0.00,1,3,NULL),(20,5379407,'1991-06-07 00:00:00',2,5,12,2008,'F','N','UNIVERSITÁRIO','BENTO GONÇALVES','RS','120201201216471731343612575122610168147',NULL,'9998',0.00,1,3,NULL),(20,5379415,'1990-04-07 00:00:00',4,1,12,2007,'M','N','CENTRO','CANELA','RS','120202201117271431446933345124141124047',NULL,'9998',28.71,1,3,NULL),(20,5379423,'1992-11-09 00:00:00',4,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111231469813572124610122147',15722,'270',45.41,1,3,NULL),(20,5379431,'1992-06-21 00:00:00',2,1,12,2009,'M','N','CENTRO','GUARAPUAVA','PR','116163161236411221237822275122610118142',NULL,'9998',0.00,1,3,NULL),(20,5379440,'1992-07-10 00:00:00',2,16,12,2009,'F','N','SÃO FRANCISCO','CURITIBANOS','SC','124241241216111431323331575122610124147',NULL,'881',28.68,1,3,NULL),(20,5379458,'1993-11-28 00:00:00',1,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111531468814572115610111145',NULL,'262',27.07,1,3,NULL),(20,5379466,'1991-05-13 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216272431458612575124221467062',NULL,'1050',0.00,1,3,NULL),(20,5379474,'1991-01-15 00:00:00',2,7,11,2009,'M','N','NAÇÕES','CONCÓRDIA','SC','124241246137131331226723445123610132182',11426,'9999',55.47,1,2,1),(20,5379482,'1991-12-13 00:00:00',4,1,12,2009,'M','N','JARDIM PAULISTA','S JOSÉ CAMPOS','SP','125252251217131731269812275122610164122',NULL,'9998',0.00,1,3,NULL),(20,5379490,'1992-04-08 00:00:00',2,4,12,2009,'M','N','LA SALLE','PALOTINA','PR','116161161116151431333336572124610167067',9652,'9998',55.09,1,2,1),(20,5379504,'1992-05-28 00:00:00',2,2,11,2009,'F','N','VILA PLANALTO','DOURADOS','MS','112121121217111711334922592212610167012',8808,'9998',57.08,1,3,NULL),(20,5379512,'1992-07-04 00:00:00',4,1,12,2009,'M','N','CENTRO','FOZ IGUAÇU','PR','116162161215151751356632572124610164042',NULL,'9998',0.00,3,3,NULL),(20,5379520,'1991-10-24 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241112152751567811575114121764171',11697,'1077',54.95,1,3,NULL),(20,5379539,'1992-01-20 00:00:00',4,5,11,2009,'M','N','MINA DO MATO','CRICIÚMA','SC','124244241215121232455534575114610168082',NULL,'226',0.00,1,3,NULL),(20,5379555,'1991-01-14 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241131415272431426811272122610137115',NULL,'1022',30.82,1,3,NULL),(20,5379563,'1992-08-23 00:00:00',4,2,11,2009,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241215111531368931316125610167113',NULL,'88',0.00,1,3,NULL),(20,5379571,'1992-07-19 00:00:00',2,8,11,2009,'F','N','ADHEMAR GARCIA','JOINVILLE','SC','124244241215411211456614571124610167072',14368,'1016',45.34,4,3,NULL),(20,5379580,'1992-03-04 00:00:00',4,16,12,2009,'F','N','INTERIOR','BRUNÓPOLIS','SC','124241241215111411536616265122610163145',9062,'881',57.82,1,3,NULL),(20,5379601,'1987-03-29 00:00:00',2,15,12,2003,'F','N','CENTRO','GUAÍBA','RS','120202201217571431436921271124143227182',8938,'9998',56.91,1,3,NULL),(20,5379610,'1993-01-25 00:00:00',4,8,12,2010,'F','S','COSTA E SILVA','JOINVILLE','SC','124242241215111431356414474122610123142',NULL,'1063',62.23,1,3,NULL),(20,5379628,'1988-06-17 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241211112431359813595124231965181',NULL,'1022',0.00,4,3,NULL),(20,5379636,'1990-07-19 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241315273731336719495114610164163',15616,'1022',45.82,4,3,NULL),(20,5379644,'1991-03-04 00:00:00',4,5,12,2008,'M','N','SÃO CRISTÓVÃO','LAJEADO','RS','120201201417471431446632572122610128197',276,'9998',86.90,1,3,NULL),(20,5379652,'1985-05-23 00:00:00',2,1,12,2002,'M','N','BOM VIVER','BIGUAÇU','SC','124241241135131221126644245133330232147',NULL,'307',38.79,1,2,1),(20,5379660,'1954-03-04 00:00:00',4,15,12,1973,'M','N','CIDADE ALTA','ARARANGUÁ','SC','224244241215151421351149495122610166195',13808,'27',50.73,1,3,NULL),(20,5379679,'1990-03-20 00:00:00',4,1,11,2007,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124243241236161411542319186124610164092',NULL,'269',53.22,1,3,NULL),(20,5379687,'1988-07-11 00:00:00',2,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116163161215573431568832272125610164182',9567,'9998',58.96,1,3,NULL),(20,5379695,'1987-08-15 00:00:00',4,15,12,2004,'F','N','MONT SERRAT','PTO ALEGRE','RS','120202201217571431448933332122610144093',1686,'9998',78.11,1,3,NULL),(20,5379709,'1988-01-06 00:00:00',2,1,11,2007,'M','N','SERRARIA','BIGUAÇU','SC','124201201136341731349741445112610117053',NULL,'307',24.33,1,3,NULL),(20,5379717,'1990-09-28 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241117133431437613585124610167042',NULL,'267',30.99,1,3,NULL),(20,5379725,'1982-05-17 00:00:00',2,15,12,1999,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241111151431435931415132131234055',NULL,'30',19.99,1,2,1),(20,5379733,'1993-05-27 00:00:00',4,9,12,2010,'F','S','CENTRO','ALFREDO WAGNER','SC','124241241215111431468812575122610147147',NULL,'497',19.81,1,3,NULL),(20,5379741,'1991-01-06 00:00:00',4,4,12,2008,'M','N','CENTRO','UMUARAMA','PR','116161161215371431143632572122610112012',10581,'9998',54.60,1,3,NULL),(20,5379750,'1984-09-23 00:00:00',2,1,12,2001,'F','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124241241311132451438829495134331518197',NULL,'498',0.00,1,3,NULL),(20,5379768,'1992-08-16 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216111431458813572124610128197',10101,'270',54.16,1,3,NULL),(20,5379776,'1993-03-19 00:00:00',4,1,12,2010,'M','S','PONTA DE BAIXO','S JOSÉ','SC','124244241215111432337514575124610128047',NULL,'723',50.76,1,3,NULL),(20,5379784,'1989-01-23 00:00:00',4,8,12,2006,'F','N','UNIÃO','LOANDA','PR','116161161216571431538934575114610165017',NULL,'9998',0.00,1,3,NULL),(20,5379792,'1992-02-16 00:00:00',2,16,11,2009,'F','N','IOMERÊ','IOMERÊ','SC','124241248435111431426612391224610148142',NULL,'9997',0.00,1,3,NULL),(20,5379806,'1993-04-15 00:00:00',2,5,10,2009,'F','N','CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC','124241241217121431467932575112610162142',NULL,'213',0.00,1,3,NULL),(20,5379814,'1989-09-03 00:00:00',4,1,12,2007,'M','N','JARDIM CHAPADÃO','CAMPINAS','SP','125252251217471431476812575122610127047',1440,'9998',78.79,1,3,NULL),(20,5379822,'1992-08-29 00:00:00',4,7,11,2009,'F','N','BATEL','CURITIBA','PR','116112161215471431468931182125610122077',4415,'9998',69.74,1,3,NULL),(20,5379830,'1993-06-28 00:00:00',2,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124243241216131431337833175124610134077',14523,'185',49.19,1,3,NULL),(20,5379849,'1992-10-29 00:00:00',2,1,12,2009,'F','N','CENTRO','LAURENTINO','SC','124243241215111431448931571124610163012',15814,'991',45.02,1,3,NULL),(20,5379857,'1988-12-12 00:00:00',2,1,12,2005,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124243241212474451523431395124233262177',8589,'1048',60.77,1,3,NULL),(20,5379865,'1993-07-16 00:00:00',4,10,12,2010,'F','S','CENTRO','LAGUNA','SC','124242241217111231438819575122610127147',NULL,'525',61.94,1,3,NULL),(20,5379873,'1990-01-25 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215274431469933575122122637142',4774,'270',68.91,1,3,NULL),(20,5379881,'1990-06-06 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124254251216572431458813572122610144142',3406,'9998',71.59,1,3,NULL),(20,5379903,'1992-08-16 00:00:00',2,10,12,2009,'M','N','CENTRO','TUBARÃO','SC','124242241217111411368833575122610127067',15236,'797',47.15,1,3,NULL),(20,5379920,'1992-10-05 00:00:00',2,1,12,2009,'F','N','LOURDES','CAXIAS SUL','RS','120202201215471431368821572122610165145',NULL,'9998',0.00,1,3,NULL),(20,5379938,'1992-09-08 00:00:00',4,1,12,2009,'M','N','CPA IV','CUIABÁ','MT','111111111217111431448833572124610123142',7152,'9998',60.45,2,1,2),(20,5379954,'1993-04-28 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215131431437932375124610167047',NULL,'738',27.01,1,3,NULL),(20,5379962,'1991-11-10 00:00:00',4,6,12,2009,'M','N','CENTRO','ITAJAÍ','SC','124244241217131431469814575121610167117',NULL,'389',0.00,1,3,NULL),(20,5379970,'1987-01-08 00:00:00',2,1,9,2005,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241111135411426624281314122224047',NULL,'257',28.23,1,2,1),(20,5379989,'1992-04-25 00:00:00',4,8,12,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124241243411151711227614575122610147042',NULL,'1061',24.26,1,3,NULL),(20,5379997,'1990-01-11 00:00:00',2,4,12,2007,'M','N','CENTRO','CONSTANTINA','RS','120201201111271721533811571124610167052',NULL,'9998',0.00,1,2,1),(20,5380006,'1990-11-16 00:00:00',4,2,12,2008,'M','N','PARQUE DOS LAGOS','ESPÍRITO STO PINHAL','SP','125252251216471431467812495121610137187',NULL,'9998',0.00,1,3,NULL),(20,5380014,'1990-08-10 00:00:00',4,3,12,2009,'M','N','JDM STA MARCELINA','CAMPINAS','SP','125252251215111331489931575112610147043',NULL,'9998',0.00,1,3,NULL),(20,5380022,'1989-03-19 00:00:00',2,1,7,2008,'M','N','BARREIROS','S JOSÉ','SC','124241247122131531467933345114610124013',NULL,'736',23.24,1,3,NULL),(20,5380030,'1991-11-19 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217473431459934575112610127072',5850,'270',65.40,1,3,NULL),(20,5380057,'1992-02-05 00:00:00',4,3,12,2009,'F','N','SÃO JOÃO','CURITIBA','PR','116162161215121421379813575122610162122',NULL,'9998',0.00,1,3,NULL),(20,5380065,'1986-04-25 00:00:00',4,1,12,2003,'M','N','JARDIM ITAPEMA','VIAMÃO','RS','124201207316172351217834345324610134117',NULL,'9999',43.86,1,3,NULL),(20,5380073,'1990-11-28 00:00:00',2,1,12,2007,'F','N','JARDIM IMPERIAL','MARINGÁ','PR','116161161117132411523631345122241066097',NULL,'9998',26.13,2,1,1),(20,5380081,'1985-07-11 00:00:00',4,1,12,2002,'F','N','MOINHOS DE VENTO','CANOAS','RS','120202201217575431469311574124142462097',4224,'9998',68.89,1,3,NULL),(20,5380090,'1992-09-25 00:00:00',2,1,12,2009,'M','N','CENTRO DE SÃO JOSÉ','S JOSÉ','SC','124242241417151431556631342122610134053',NULL,'733',28.13,1,3,NULL),(20,5380103,'1989-03-02 00:00:00',2,1,12,2006,'F','N','CENTRO','LONDRINA','PR','116162161215571431346515572122141362117',4283,'9998',68.06,1,3,NULL),(20,5380111,'1988-04-21 00:00:00',4,1,12,2005,'F','N','NOVO GUARUJÁ','BETIM','MG','113132131216571411458931575122141327042',NULL,'9998',0.00,1,3,NULL),(20,5380120,'1989-02-05 00:00:00',4,5,12,2006,'M','N','HUMAITÁ','PTO ALEGRE','RS','120201201117471421324639185124610132017',12531,'9998',49.91,1,2,1),(20,5380138,'1991-02-07 00:00:00',4,2,12,2007,'F','N','VILA NOVA','BLUMENAU','SC','124201161217471441588516575122232466077',2994,'9998',73.55,1,3,NULL),(20,5380146,'1986-08-02 00:00:00',2,4,10,2009,'M','N','N SR DE FATÍMA','XANXERÊ','SC','124241247126211222536429242112610124052',NULL,'9999',0.00,4,3,NULL),(20,5380154,'1983-03-10 00:00:00',2,1,12,2000,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124201208127141751226644242334610142187',NULL,'9998',19.19,1,2,1),(20,5380162,'1992-09-07 00:00:00',4,8,12,2009,'M','N','FLORESTA','JOINVILLE','SC','124243241215111431559819575122613266047',NULL,'932',9.92,1,3,NULL),(20,5380170,'1992-09-18 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','112121121116421431448833572124610127057',8856,'9998',57.07,1,3,NULL),(20,5380189,'1993-07-06 00:00:00',4,1,11,2010,'F','S','PONTE DO IMARUIM','PALHOÇA','SC','124241241217121332436319496124610137032',NULL,'1075',19.95,4,3,NULL),(20,5380200,'1992-05-19 00:00:00',4,8,12,2009,'M','N','JARDIM APUCARANA','APUCARANA','PR','116162161215121431453832575122610117052',11643,'9998',49.39,1,3,NULL),(20,5380219,'1989-04-08 00:00:00',4,1,11,2006,'F','N','PIRAPÓ','PIRAPÓ','PR','116162161215272411238923576321610131132',NULL,'9998',0.00,1,3,NULL),(20,5380227,'1982-06-03 00:00:00',4,1,12,1999,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','224242241216134751356753232122532835183',11284,'269',55.75,1,3,NULL),(20,5380243,'1990-03-09 00:00:00',2,4,12,2007,'M','N','CENTRO','GUARUJÁ SUL','SC','124244241331471431434911385125131037157',NULL,'339',0.00,1,3,NULL),(20,5380251,'1992-10-12 00:00:00',2,1,12,2009,'F','N','SORGATTO','CAÇADOR','SC','124244241216161741447612175115610166177',6668,'1124',63.32,1,3,NULL),(20,5380260,'1986-07-08 00:00:00',2,1,7,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215232421328733342234333217143',NULL,'269',9.78,1,3,NULL),(20,5380278,'1993-08-14 00:00:00',4,2,11,2009,'F','N','CENTRO','IBIRAMA','SC','124242248215111431328611515122610164147',NULL,'9997',27.15,1,3,NULL),(20,5380286,'1992-05-28 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243241117131431336411395124610137057',NULL,'734',23.50,1,3,NULL),(20,5380294,'1991-10-27 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124242241215111431566613575122610163147',NULL,'1078',23.39,2,3,NULL),(20,5380308,'1992-09-16 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241215111431453423575124610162193',NULL,'1022',19.11,4,3,NULL),(20,5380324,'1992-12-14 00:00:00',2,3,12,2009,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124244241217111431238921212124610135012',NULL,'967',20.01,1,3,NULL),(20,5380332,'1991-09-21 00:00:00',4,4,12,2008,'M','N','VILA RODRIGUES','PASSO FUNDO','RS','120202208217371451249931592122613268042',NULL,'9998',0.00,1,3,NULL),(20,5380340,'1989-10-22 00:00:00',4,1,12,2007,'M','N','LIBERDADE','S PAULO','SP','125252251217571431268833572112610167047',981,'9998',81.36,4,3,NULL),(20,5380359,'1992-08-22 00:00:00',4,4,12,2009,'M','N','CENTRO','PATO BRANCO','PR','116162161216471431569811572122610134052',NULL,'9998',25.54,1,3,NULL),(20,5380367,'1991-09-01 00:00:00',4,1,11,2008,'M','N','BOM RETIRO','JOINVILLE','SC','124244243437142421238844345124610146147',NULL,'476',0.00,1,3,NULL),(20,5380375,'1990-12-31 00:00:00',4,8,12,2009,'M','N','JARDIM PAULISTA','CAMPINA G SUL','PR','116163161117111721349914395124610167072',NULL,'9998',16.06,1,3,NULL),(20,5380383,'1987-03-14 00:00:00',2,8,11,2004,'M','N','CENTRO','DIVINÓPOLIS','MG','113132054212422331334834323212410124152',4839,'9998',68.77,2,3,NULL),(20,5380391,'1991-12-08 00:00:00',2,9,12,2008,'F','N','BELA VISTA','BOM RETIRO','SC','124241241127161131434619395122610133142',NULL,'95',25.55,1,2,1),(20,5380405,'1990-11-10 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431438811471125610167142',6093,'270',65.34,1,3,NULL),(20,5380413,'1992-08-03 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431469813575125610122052',3817,'262',69.11,1,3,NULL),(20,5380421,'1992-12-13 00:00:00',2,10,12,2009,'M','N','CANGUERI DE FORA','IMARUÍ','SC','124241241117131231523923282224610126147',NULL,'357',24.61,1,3,NULL),(20,5380430,'1992-01-03 00:00:00',4,1,12,2009,'F','N','INTERIOR','FLORES CUNHA','RS','120203201115271441425835371124610164112',NULL,'9998',25.72,1,3,NULL),(20,5380456,'1989-08-23 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241422374331326324345124610127047',NULL,'295',39.68,2,1,2),(20,5380464,'1991-06-14 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217272431467933576122231024127',1826,'1169',77.33,1,3,NULL),(20,5380472,'1993-05-07 00:00:00',4,1,12,2010,'M','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241211111712669929495125610164052',NULL,'299',0.00,1,3,NULL),(20,5380480,'1992-07-18 00:00:00',4,8,12,2009,'M','N','ADHEMAR GARCIA','JOINVILLE','SC','124241241112131531336613172124610167047',NULL,'492',0.00,1,2,1),(20,5380499,'1992-03-09 00:00:00',4,7,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116164161236171431438714572124610137047',11301,'9998',53.02,1,3,NULL),(20,5380502,'1975-05-26 00:00:00',4,1,11,1998,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241432172751324823431122320167055',NULL,'272',0.00,2,3,NULL),(20,5380510,'1961-07-17 00:00:00',4,1,12,1978,'F','N','CENTRO','FLORIANÓPOLIS','SC','524242246216143441466649392122422666192',NULL,'738',0.00,1,3,NULL),(20,5380553,'1992-11-20 00:00:00',4,8,12,2009,'M','N','ÁGUA VERDE','CURITIBA','PR','116252161215471451448814575122510164057',2236,'9998',73.94,1,3,NULL),(20,5380561,'1986-11-28 00:00:00',2,10,12,2003,'F','N','BOM FIM','PTO ALEGRE','RS','120204201216571731436831415124610162077',NULL,'9998',0.00,1,3,NULL),(20,5380588,'1992-06-04 00:00:00',4,5,11,2009,'F','N','SANTA LÍBERA','FORQUILHINHA','SC','124244241216131431633319575124610125077',4639,'995',69.22,1,3,NULL),(20,5380596,'1993-01-06 00:00:00',4,1,12,2009,'F','N','JARDIM PRIMAVERIL','TRÊS LAGOAS','MS','112122121236151231558715575112620167187',13390,'9998',47.64,1,3,NULL),(20,5380618,'1990-01-04 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115273431356624445114610118147',NULL,'307',27.87,1,2,1),(20,5380626,'1986-12-15 00:00:00',2,1,12,2005,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116333431469633342122132767047',NULL,'267',25.67,1,3,NULL),(20,5380634,'1991-09-03 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215131431436414272112610147057',12154,'262',52.72,1,3,NULL),(20,5380642,'1992-07-19 00:00:00',2,1,12,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241215111511233323585124610121142',NULL,'1014',23.80,1,3,NULL),(20,5380650,'1993-04-12 00:00:00',4,5,11,2010,'M','S','CENTRO','URUSSANGA','SC','124252241415111431458713472122610137042',NULL,'820',24.52,1,3,NULL),(20,5380669,'1982-01-17 00:00:00',2,1,12,1999,'M','N','ARIRIU','PALHOÇA','SC','116161161142271421253311182124143224197',15104,'9998',44.45,1,2,1),(20,5380685,'1991-03-12 00:00:00',2,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241212121731338613135122610114142',NULL,'1133',10.49,1,3,NULL),(20,5380707,'1991-05-13 00:00:00',2,8,12,2008,'F','N','CENTRO','MARINGÁ','PR','116162161212471431346932175112610163072',NULL,'9998',0.00,1,3,NULL),(20,5380715,'1987-06-20 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241415573431469334475114130764097',NULL,'666',36.66,1,3,NULL),(20,5380723,'1990-07-30 00:00:00',2,5,12,2007,'F','N','OPERÁRIA NOVA','CRICIÚMA','SC','124241241216151731324411342115610124157',NULL,'920',0.00,1,3,NULL),(20,5380731,'1988-03-02 00:00:00',4,1,12,2006,'F','N','TAPERS','FLORIANÓPOLIS','SC','224241247337131431326654185114130233197',NULL,'9999',27.22,1,3,NULL),(20,5380740,'1992-02-25 00:00:00',4,2,12,2009,'M','N','SAO BRAZ','CURITIBA','PR','116163168217421431459833595112610162187',NULL,'9998',26.71,1,3,NULL),(20,5380758,'1991-01-26 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','125132131217111411126644442324140762047',NULL,'9998',0.00,1,3,NULL),(20,5380766,'1983-08-09 00:00:00',4,6,12,2000,'F','N','MORRETES','ITAPEMA','SC','124244241216374721436612485122421563187',3703,'394',69.45,1,3,NULL),(20,5380782,'1993-02-22 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241212111141469813575122610164065',NULL,'1133',19.08,1,3,NULL),(20,5380790,'1988-12-13 00:00:00',2,1,12,2007,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241136132422122344445114610118045',NULL,'733',41.53,1,2,1),(20,5380804,'1992-12-08 00:00:00',4,1,12,2009,'M','N','JARDIM VIRGÍNIA','ITAPECERICA SERRA','SP','125252251217111431438814242124610168017',NULL,'9998',0.00,4,3,NULL),(20,5380812,'1990-07-23 00:00:00',2,1,11,2009,'F','N','CENTRO','MEDIANEIRA','PR','116161161316471231433316575122610148147',NULL,'9998',0.00,1,3,NULL),(20,5380820,'1992-04-15 00:00:00',2,1,12,2009,'F','N','SÃO JOSÉ','S LEOPOLDO','RS','120202201217271421359811595122610121142',NULL,'9998',28.23,1,3,NULL),(20,5380839,'1990-05-27 00:00:00',4,1,12,2007,'F','N','NOVA JAGUARIÚNA','JAGUARIÚNA','SP','125254251217571431478831575122610162197',NULL,'9998',0.00,1,3,NULL),(20,5380863,'1989-02-12 00:00:00',4,8,12,2006,'M','N','CABRAL','CURITIBA','PR','116162161215571731488831592122142437112',1053,'9998',81.00,1,3,NULL),(20,5380871,'1989-07-17 00:00:00',2,1,12,2006,'F','N','CENTRO','LONDRINA','PR','116162161217571411467637172122610135092',5404,'9998',65.62,3,3,NULL),(20,5380880,'1993-01-05 00:00:00',5,7,12,2009,'F','N','INTERRIOR','ARROIO TRINTA','SC','124241241137131731323335396124610124142',NULL,'853',30.47,1,2,1),(20,5380898,'1990-09-06 00:00:00',4,1,12,2009,'M','N','JARDIM PIRATININGA','OSASCO','SP','125251251217111232446319295122610117053',NULL,'9998',24.97,1,3,NULL),(20,5380901,'1992-11-16 00:00:00',4,16,11,2009,'F','N','CENTRO','FRAIBURGO','SC','124242241235111431358822572112610144057',9189,'885',56.35,1,3,NULL),(20,5380910,'1985-05-09 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241645272421226374292214610164115',15444,'9999',46.47,1,3,NULL),(20,5380928,'1991-11-25 00:00:00',2,4,12,2009,'M','N','ZONA V','UMUARAMA','PR','116164161217111432448831575122610167052',NULL,'9998',25.92,1,3,NULL),(20,5380936,'1993-02-22 00:00:00',4,8,11,2009,'M','N','CENTRO','PATO BRANCO','PR','116161161217211431247924571122610164156',NULL,'9998',0.00,4,3,NULL),(20,5380944,'1990-03-21 00:00:00',4,1,12,2007,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','119202201217571431459931575114610126082',NULL,'9998',0.00,1,3,NULL),(20,5380960,'1988-10-03 00:00:00',2,1,12,2005,'M','N','RUY V CARNACIALLY','LONDRINA','PR','116161161416151731568811574112143264057',NULL,'9998',0.00,3,3,NULL),(20,5380979,'1992-04-27 00:00:00',4,1,10,2009,'F','N','CENTRO','CASCAVEL','PR','116164161217111731328834572125610127077',14822,'9998',48.39,1,3,NULL),(20,5380987,'1972-12-08 00:00:00',2,1,11,2008,'F','N','PACHECOS','PALHOÇA','SC','124241241125271451125348282323613238182',NULL,'9997',37.65,1,3,NULL),(20,5381002,'1990-07-19 00:00:00',4,5,7,2008,'M','N','CENTRO','CRICIÚMA','SC','124244243215472431459613475112610116182',NULL,'995',0.00,1,3,NULL),(20,5381010,'1992-03-12 00:00:00',4,1,11,2009,'M','N','JARDIM MARCOS ANTONI','BIGUAÇU','SC','124242241215111411543633572114610217041',14602,'1118',49.00,1,3,NULL),(20,5381029,'1993-07-14 00:00:00',4,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241216111431568811572122610146042',NULL,'457',0.00,1,3,NULL),(20,5381037,'1991-12-14 00:00:00',4,1,12,2009,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124242241215151411456911575122610137037',NULL,'1075',32.33,1,3,NULL),(20,5381045,'1992-08-10 00:00:00',2,1,11,2009,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241217113431456933572124610137042',11530,'270',52.93,1,3,NULL),(20,5381053,'1990-12-17 00:00:00',2,1,12,2008,'F','N','FORTE','PR GRANDE','SP','125252251216471431544812575114610164197',1406,'9998',78.48,1,3,NULL),(20,5381061,'1993-03-16 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241213111711479911413122610115114',NULL,'270',29.46,1,3,NULL),(20,5381070,'1987-06-10 00:00:00',2,5,12,2004,'F','N','PETRÓPOLIS','PASSO FUNDO','RS','120201201116572431218941311325610127057',10266,'9998',55.08,1,2,1),(20,5381088,'1985-11-29 00:00:00',4,1,11,2003,'M','N','CANTO','FLORIANÓPOLIS','SC','124241241117114421226643232134121714042',8527,'307',60.87,1,3,NULL),(20,5381096,'1990-08-02 00:00:00',4,8,12,2007,'F','N','AGUA VERDE','CURITIBA','PR','116162161215512411649831572115610137097',4212,'9998',69.09,1,3,NULL),(20,5381100,'1992-08-07 00:00:00',4,1,12,2009,'M','N','REBOUÇAS','CURITIBA','PR','116162161217111431448839575122610127042',12210,'9998',49.64,1,3,NULL),(20,5381118,'1991-10-31 00:00:00',4,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124112241215111531259814172122610137095',12237,'1111',50.30,1,3,NULL),(20,5381126,'1992-11-13 00:00:00',4,1,11,2009,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111432468933482112610124111',NULL,'270',0.00,1,3,NULL),(20,5381134,'1988-11-10 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252241217272431248821375114132064122',NULL,'967',0.00,1,3,NULL),(20,5381150,'1991-09-25 00:00:00',2,6,12,2008,'M','N','CENTRO','BRUSQUE','SC','124241248117141231563312295122610114047',NULL,'112',23.71,1,2,1),(20,5381177,'1992-07-02 00:00:00',2,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431439834571125610133017',NULL,'226',41.28,1,3,NULL),(20,5381193,'1990-12-28 00:00:00',2,5,11,2007,'F','N','PARTENON','PTO ALEGRE','RS','120202201216571441348939472112610142192',NULL,'9998',0.00,1,3,NULL),(20,5381207,'1991-04-05 00:00:00',4,1,12,2008,'F','N','CENTRO','PARAÍ','RS','120201201216271431366722575112610167072',13893,'9998',46.19,1,3,NULL),(20,5381215,'1992-12-01 00:00:00',4,2,12,2010,'M','S','CENTRO','TIMBÓ','SC','124242248215111431357932394121610137182',NULL,'1157',30.00,1,3,NULL),(20,5381223,'1993-03-13 00:00:00',2,3,12,2009,'F','N','CENTRO','MAMBORÊ','PR','116163161336121721646613575124610165072',11822,'9998',51.43,1,3,NULL),(20,5381231,'1991-12-11 00:00:00',4,4,12,2008,'M','N','CENTRO','CASCAVEL','PR','116162161216472431479931575112610127012',1581,'9998',77.48,3,3,NULL),(20,5381240,'1989-10-05 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241415373741439613341124131026097',14841,'1048',48.33,1,3,NULL),(20,5381258,'1991-04-16 00:00:00',2,2,11,2008,'M','N','DOURADOS','DOURADOS','MS','112124121217472431533732375122610167012',729,'9998',82.28,1,3,NULL),(20,5381266,'1992-08-23 00:00:00',2,1,12,2009,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124242241215111431446634576122610122192',14199,'1022',49.96,1,3,NULL),(20,5381274,'1991-06-16 00:00:00',2,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241116472431558513375124610164197',5909,'257',64.56,1,3,NULL),(20,5381282,'1991-01-31 00:00:00',4,1,11,2009,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124244241415122751628671575124610123182',4712,'1022',69.07,1,3,NULL),(20,5381290,'1991-08-16 00:00:00',2,1,12,2008,'M','N','COCOTA','RIO JANEIRO','RJ','121212211217471431446831392114610167044',10917,'9998',53.02,1,3,NULL),(20,5381304,'1989-11-08 00:00:00',2,1,12,2006,'F','N','CENTRO','GASPAR','SC','124244241215574431445631575114610162177',8877,'86',58.85,1,3,NULL),(20,5381320,'1991-08-23 00:00:00',4,3,12,2009,'M','N','JARAGUÁ','PIRACICABA','SP','125253251147131431335631182122610111047',NULL,'9998',0.00,1,3,NULL),(20,5381339,'1980-07-19 00:00:00',2,1,12,2001,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124203207416431431623319445124610122183',NULL,'9998',21.52,4,3,NULL),(20,5381347,'1983-09-28 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124132131216133421279819422124333233143',12897,'9998',52.56,1,3,NULL),(20,5381355,'1991-01-12 00:00:00',2,2,12,2008,'F','N','CENTRO','ARABUTÃ','SC','124241241126471731433923345135610144047',NULL,'979',0.00,1,2,1),(20,5381363,'1992-04-26 00:00:00',4,1,12,2009,'F','N','ZONA CINCO','MARINGÁ','PR','116162161217151431569911475112610163053',7365,'9998',61.18,1,3,NULL),(20,5381371,'1985-03-18 00:00:00',2,1,12,2002,'F','N','BARREIROS','S JOSÉ','SC','124252251217133421128844342324343222117',11633,'9998',55.07,1,3,NULL),(20,5381380,'1992-04-10 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215112431678812575124610127152',1999,'270',76.93,1,3,NULL),(20,5381401,'1991-12-24 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431586613575124610137042',2817,'262',73.63,1,3,NULL),(20,5381410,'1991-05-31 00:00:00',4,1,12,2008,'F','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120202201217471711559912571124610142122',NULL,'9998',0.00,1,3,NULL),(20,5381428,'1990-08-10 00:00:00',4,8,12,2008,'F','N','ALTO DA LAPA','S PAULO','SP','125252251217471231668812585122610167077',2515,'9998',74.07,1,3,NULL),(20,5381436,'1981-04-05 00:00:00',2,1,12,1999,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241126454411238629342124320814183',NULL,'296',30.39,1,3,NULL),(20,5381444,'1975-08-08 00:00:00',4,1,5,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224203247637131432223344242143610137097',NULL,'9999',20.56,2,3,NULL),(20,5381452,'1989-04-01 00:00:00',2,2,12,2006,'M','N','CENTRO','NOVA TRENTO','SC','124242241216574421457619595124230764047',12521,'88',53.30,1,3,NULL),(20,5381460,'1992-07-24 00:00:00',2,5,6,2010,'F','S','IMIGRANTES','TURVO','SC','124241246217151431444314175122610148052',NULL,'995',51.81,1,3,NULL),(20,5381479,'1994-03-17 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111231538814275122610168142',NULL,'1169',28.70,1,3,NULL),(20,5381487,'1985-09-18 00:00:00',2,1,12,2004,'F','N','RATONES','FLORIANÓPOLIS','SC','124241247433133731234374285113610123187',NULL,'9999',26.55,1,3,NULL),(20,5381495,'1992-07-12 00:00:00',4,8,12,2009,'M','N','AUTO DAS OLIVEIRAS','TELÊMACO BORBA','PR','116162161117111431558834375112610117052',9378,'9998',55.97,1,3,NULL),(20,5381509,'1985-09-27 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251217574751448614575124610147097',5258,'9998',66.03,1,3,NULL),(20,5381517,'1991-01-29 00:00:00',2,1,12,2007,'F','N','BONFIM','STA MARIA','RS','120201201116371431333823472124242536052',NULL,'9998',0.00,1,3,NULL),(20,5381525,'1989-08-26 00:00:00',4,5,12,2008,'M','N','VERA CRUZ','CRICIÚMA','SC','124241241136111411515624485124610112011',NULL,'209',20.31,1,2,1),(20,5381533,'1985-09-24 00:00:00',4,8,12,2002,'F','N','GUABIROTUBA','CURITIBA','PR','116162161216571421338633471124440664187',1837,'9998',76.73,1,3,NULL),(20,5381541,'1986-03-30 00:00:00',4,1,12,2003,'F','N','SOUZA CRUZ','BRUSQUE','SC','124241241347141711663611295122610144097',NULL,'110',47.30,1,3,NULL),(20,5381550,'1992-04-30 00:00:00',4,1,12,2009,'F','N','CENTRO','BOMBINHAS','SC','124241243117161711437833595124610162077',NULL,'1089',40.24,1,3,NULL),(20,5381568,'1991-07-13 00:00:00',4,1,12,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241117131131369813575124610162174',NULL,'298',20.01,1,3,NULL),(20,5381576,'1991-10-23 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215472431389932575122610147045',3181,'883',72.96,1,3,NULL),(20,5381584,'1988-06-09 00:00:00',4,6,12,2005,'F','N','CENTRO','ARAPONGAS','PR','116162161216571431576615575112610162192',9154,'9998',55.62,3,3,NULL),(20,5381592,'1992-04-01 00:00:00',4,3,11,2009,'F','N','CAVALHADA','PTO ALEGRE','RS','120202201216371451467833475122610133182',NULL,'9998',23.32,1,3,NULL),(20,5381606,'1990-12-31 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117372411469813572112610133125',10518,'267',55.68,1,2,1),(20,5381614,'1991-05-07 00:00:00',2,1,12,2008,'M','N','CENTRO','BOMBINHAS','SC','124241243115161751437833595122610124182',12011,'1089',50.86,1,2,1),(20,5381622,'1989-10-04 00:00:00',4,1,5,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124212257127371411428614285111143234117',14238,'9998',46.59,1,3,NULL),(20,5381630,'1991-01-20 00:00:00',4,1,12,2009,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241115111711648833576124610168043',11576,'267',55.16,1,3,NULL),(20,5381649,'1993-06-24 00:00:00',4,10,11,2010,'F','S','CENTRO','TUBARÃO','SC','124242241215111431458832575122610163187',NULL,'797',0.00,1,3,NULL),(20,5381657,'1983-05-04 00:00:00',2,1,12,2000,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124161161126272421125444315134322236147',10065,'9998',58.03,1,3,NULL),(20,5381673,'1993-06-01 00:00:00',2,15,12,2009,'F','N','SÃO LUIZ','SOMBRIO','SC','124243241337131431434312571121610137017',14973,'770',45.06,1,3,NULL),(20,5381681,'1970-04-21 00:00:00',2,1,12,1989,'F','N','BARREIROS','S JOSÉ','SC','124201205116141411323354445114142217027',NULL,'9998',28.28,1,3,NULL),(20,5381690,'1981-06-22 00:00:00',2,1,12,1997,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241126134752523314295124333062147',12817,'772',49.74,1,2,1),(20,5381703,'1989-08-24 00:00:00',2,1,11,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241211575431557813572124232633147',NULL,'1118',26.25,1,3,NULL),(20,5381711,'1986-12-09 00:00:00',2,9,12,2003,'F','N','CENTRO','S JOSÉ','SC','124241241216372451444636355124231227097',9232,'737',59.55,1,3,NULL),(20,5381720,'1990-12-26 00:00:00',4,1,12,2008,'F','N','ALTO DA BOA VISTA','SOROCABA','SP','125252241215472421479912574122610142092',148,'270',89.13,1,3,NULL),(20,5381738,'1993-04-08 00:00:00',4,10,11,2010,'F','S','HUMAITÁ','TUBARÃO','SC','124243241217111731446823472121610123142',NULL,'809',64.88,1,3,NULL),(20,5381746,'1986-09-17 00:00:00',2,1,12,2004,'F','N','RESIDÊNCIAL TATETUBA','S JOSÉ CAMPOS','SP','125251251116574451546613572124610124097',NULL,'9998',0.00,1,2,1),(20,5381754,'1989-11-10 00:00:00',4,1,12,2007,'M','N','JD LUSITANIA','S PAULO','SP','125252251216472431488711595124610114127',3031,'9998',71.37,1,3,NULL),(20,5381762,'1992-09-06 00:00:00',4,1,12,2009,'M','N','JOÃO WINCKLER','XANXERÊ','SC','124241241115111532531235182224610124057',NULL,'840',0.00,4,2,1),(20,5381770,'1992-09-14 00:00:00',4,1,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116244161215121431543314172124610118147',6995,'9998',61.03,1,3,NULL),(20,5381789,'1993-02-25 00:00:00',4,1,12,2011,'M','S','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241217171431579913592124610124182',NULL,'270',60.61,1,3,NULL),(20,5381797,'1992-03-16 00:00:00',4,8,12,2009,'F','N','LIBERDADE','S PAULO','SP','125254251216371631336427575125610162092',NULL,'9998',NULL,1,3,NULL),(20,5381800,'1992-12-04 00:00:00',4,8,12,2009,'M','N','BAEPENDI','JARAGUÁ SUL','SC','124241241215151731459414572121610128042',NULL,'1061',0.00,1,3,NULL),(20,5381819,'1989-03-09 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124213241416152731479713335122221427042',5257,'270',67.68,1,3,NULL),(20,5381827,'1981-10-15 00:00:00',4,1,12,1999,'F','N','JARDIM CID DE FPOLIS','S JOSÉ','SC','124241241136275431654448285124122231147',NULL,'307',0.00,1,2,1),(20,5381835,'1981-04-23 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217152731468612442132121427042',6624,'269',64.66,1,3,NULL),(20,5381843,'1993-06-02 00:00:00',4,1,12,2010,'M','S','GUARDA DO EMBAU','PALHOÇA','SC','124241241212111531433639182124610167047',NULL,'1011',0.00,1,3,NULL),(20,5381851,'1992-11-06 00:00:00',2,8,11,2009,'M','N','BOQUEIRÃO','CURITIBA','PR','116161161136371432446414575124610167181',5519,'9998',65.16,1,2,1),(20,5381860,'1991-11-28 00:00:00',4,1,11,2009,'M','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251215371231478712575122610127047',NULL,'9998',0.00,1,3,NULL),(20,5381878,'1991-05-27 00:00:00',4,1,12,2008,'F','N','PAULICEIA','PIRACICABA','SP','125243251127471431536719575124610137147',NULL,'9998',0.00,1,3,NULL),(20,5381886,'1992-11-29 00:00:00',4,10,11,2009,'F','N','SÃO JOÃO MD','TUBARÃO','SC','124244241215111431358937572112610168187',7276,'807',63.28,1,3,NULL),(20,5381894,'1990-04-24 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241336473411449614285124233266177',NULL,'1098',0.00,1,3,NULL),(20,5381908,'1988-03-08 00:00:00',2,1,12,2005,'M','N','CRISTO REI','CURITIBA','PR','116162161215572431348819572112610137057',10670,'9998',55.98,1,3,NULL),(20,5381916,'1991-10-15 00:00:00',4,1,12,2009,'M','N','BATEL','CURITIBA','PR','116162161212431321264755375112610134166',NULL,'9998',0.00,1,3,NULL),(20,5381924,'1992-02-21 00:00:00',4,1,11,2009,'M','N','CENTRO','NATÉRCIA','MG','113252131216171441343819575122610167042',NULL,'9998',0.00,1,3,NULL),(20,5381932,'1992-02-13 00:00:00',2,16,11,2009,'F','N','CENTRO','FRAIBURGO','SC','124242244217111531574412575122610113072',NULL,'885',18.37,3,3,NULL),(20,5381940,'1984-09-15 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241214373431556832445124321528147',NULL,'424',0.00,1,3,NULL),(20,5381959,'1990-10-14 00:00:00',4,1,12,2007,'M','N','VISTA ALEGRE','CURITIBA','PR','116162161215472431558831482114610167112',NULL,'9998',31.39,1,3,NULL),(20,5381967,'1991-07-30 00:00:00',4,1,6,2009,'F','N','CENTRO','CAXIAS SUL','RS','120202201237371441453812585112610132147',1991,'9998',76.68,1,3,NULL),(20,5381975,'1975-05-09 00:00:00',4,1,11,1993,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124131136116151411174843435112341066183',3309,'9998',72.58,1,3,NULL),(20,5381983,'1991-11-05 00:00:00',2,8,12,2009,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241215111731458614442124610126185',NULL,'1016',30.89,1,3,NULL),(20,5381991,'1992-03-12 00:00:00',4,8,12,2009,'M','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241215111431469614575125610164052',NULL,'441',0.00,1,3,NULL),(20,5382009,'1988-10-18 00:00:00',2,1,12,2005,'F','N','AGUA RASA','S PAULO','SP','125101101217571451414549312124610163047',NULL,'9998',0.00,1,3,NULL),(20,5382017,'1992-12-11 00:00:00',2,1,12,2009,'M','N','BELA VISTA','S JOSÉ','SC','124242241215111432355613375114610167147',14875,'1022',45.24,1,3,NULL),(20,5382025,'1988-02-22 00:00:00',2,1,12,2006,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241117142432335631396333610137042',NULL,'592',21.08,2,1,1),(20,5382033,'1990-08-25 00:00:00',4,1,12,2007,'F','N','VILA IPIRANGA','PTO ALEGRE','RS','120202201217571431548814442114610123097',NULL,'9998',29.73,1,3,NULL),(20,5382041,'1984-09-04 00:00:00',4,10,12,2005,'M','N','SANTO ANDRÉ','CAPIVARI BAIXO','SC','124202241237371731248811472122132867057',NULL,'9999',44.83,1,3,NULL),(20,5382050,'1991-07-16 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241227112411438612492124610148042',NULL,'262',28.20,1,3,NULL),(20,5382068,'1992-09-02 00:00:00',4,3,12,2009,'F','N','CENTRO','S JOSÉ PINHAIS','PR','116162161415421411548814571224610116152',NULL,'9998',0.00,1,3,NULL),(20,5382076,'1986-06-09 00:00:00',4,1,12,2003,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241216132441437527375124321462017',4594,'9997',69.30,1,3,NULL),(20,5382084,'1990-07-14 00:00:00',2,9,12,2007,'F','N','BOM RETIRO','JOINVILLE','SC','124241241216141431438934375125233218197',10052,'9997',58.06,1,3,NULL),(20,5382092,'1992-04-06 00:00:00',4,1,11,2009,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241217112431358619575112610167122',1590,'1133',78.51,1,3,NULL),(20,5382106,'1990-06-08 00:00:00',2,1,12,2008,'M','N','SANTO ANTONIO','BELO HORIZONTE','MG','113132131217151411466813476114143262142',4740,'9998',66.15,1,3,NULL),(20,5382114,'1991-11-03 00:00:00',4,2,12,2008,'F','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251215471431558739571112610164042',NULL,'9998',0.00,1,3,NULL),(20,5382122,'1986-02-17 00:00:00',4,1,12,2003,'F','N','PARQUE SÃO DIOGO','S BERNARDO CAMPO','SP','125252251216575431569813575125242427077',5079,'9998',65.59,3,3,NULL),(20,5382130,'1991-12-03 00:00:00',4,1,12,2010,'F','S','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111731479813572124610124055',NULL,'951',13.44,1,3,NULL),(20,5382149,'1990-07-17 00:00:00',4,16,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116112161234572431336914175124610166097',2336,'9998',74.65,1,3,NULL),(20,5382157,'1991-02-16 00:00:00',4,1,12,2008,'F','N','JARDIM ITALIA','CPO GRANDE','MS','112121121116471611426634385124610127012',6797,'9998',62.95,2,1,1),(20,5382165,'1987-01-08 00:00:00',2,15,12,2004,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241136132431337619345113610124042',NULL,'29',30.29,1,3,NULL),(20,5382173,'1987-01-09 00:00:00',2,1,12,2004,'F','N','FORQUILHINHAS','S JOSÉ','SC','224241241312134431323354242114610134147',NULL,'727',23.66,1,3,NULL),(20,5382181,'1992-12-01 00:00:00',2,1,12,2010,'F','S','SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC','124242241215111431479933576122610161195',NULL,'270',50.49,1,3,NULL),(20,5382190,'1993-06-21 00:00:00',2,15,12,2010,'F','S','VILA SÃO JOSÉ','ARARANGUÁ','SC','124244241215111431348911572125610124097',NULL,'970',49.19,1,3,NULL),(20,5382203,'1981-10-11 00:00:00',2,1,1,1999,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241132131411413419442334130217057',NULL,'278',26.20,1,2,1),(20,5382211,'1982-08-04 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116374431336644445124130231147',9958,'935',55.73,4,2,1),(20,5382220,'1991-08-03 00:00:00',4,4,11,2008,'F','N','PINHEIROS','PATO BRANCO','PR','116162161211471411468712572122610142142',NULL,'9998',0.00,1,3,NULL),(20,5382238,'1991-09-27 00:00:00',4,1,12,2008,'F','N','ZONA','MARINGÁ','PR','116162161217472431388813572112610144112',6146,'9998',65.11,1,3,NULL),(20,5382246,'1991-02-05 00:00:00',2,1,12,2008,'M','N','CENTRO','CURITIBA','PR','116252161216471431258513575112610167047',3966,'9998',69.67,1,3,NULL),(20,5382254,'1992-01-07 00:00:00',4,1,11,2008,'M','N','CENTRO','CURITIBA','PR','116162161215471411578811576115610164047',NULL,'9998',0.00,1,3,NULL),(20,5382262,'1982-03-20 00:00:00',2,1,12,1999,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241245127131421223444345124330837057',NULL,'327',12.76,1,2,1),(20,5382270,'1989-05-21 00:00:00',4,4,12,2006,'F','N','SAGRADA FAMILIA','NOVA PRATA','RS','120202201217571431259911475124610131097',NULL,'9998',0.00,1,3,NULL),(20,5382300,'1991-12-10 00:00:00',4,3,12,2009,'M','N','GLEBAS CALIFÓRNIA','PIRACICABA','SP','125251258116141331456332315124610122041',NULL,'9998',0.00,1,2,1),(20,5382319,'1987-12-17 00:00:00',4,8,12,2005,'M','N','CENTRO','PRES PRUDENTE','SP','125252251215571431478811572122610117017',NULL,'9998',0.00,1,3,NULL),(20,5382327,'1991-07-29 00:00:00',2,15,12,2007,'F','N','CENTRO','MRO GRANDE','SC','124241241116133431349933572124221567117',NULL,'30',32.26,1,2,1),(20,5382335,'1985-12-26 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116153441126649395124421726171',8870,'49',60.22,1,2,1),(20,5382351,'1988-01-12 00:00:00',4,2,12,2005,'M','N','IMIGRANTES','TIMBÓ','SC','124241241126141711456629245122231036183',14198,'870',49.96,1,2,1),(20,5382360,'1986-04-19 00:00:00',4,1,6,2005,'M','N','CAMPINAS','S JOSÉ','SC','124241247126271432234824145123610124047',NULL,'736',49.03,1,2,1),(20,5382378,'1989-12-12 00:00:00',4,1,12,2007,'F','N','VALE VERDE','LEME','SP','125252251217572431688711375122610134142',6444,'9998',62.62,1,3,NULL),(20,5382386,'1993-05-20 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431567921492125610125012',NULL,'262',53.05,1,3,NULL),(20,5382394,'1991-06-06 00:00:00',4,8,12,2008,'M','N','UBERABA','CURITIBA','PR','116163161215511731489914372114610164042',593,'9998',82.75,1,3,NULL),(20,5382408,'1958-02-28 00:00:00',4,1,12,1977,'F','N','VELHA','BLUMENAU','SC','524251253226153431233341145224142265185',NULL,'9998',41.52,4,3,NULL),(20,5382416,'1993-05-17 00:00:00',4,6,11,2009,'M','N','CORDEIROS','ITAJAÍ','SC','124242241217111731346832572124610167042',NULL,'1172',0.00,1,3,NULL),(20,5382424,'1991-12-06 00:00:00',4,1,12,2009,'M','N','JARDIM EUROPA','PIRACICABA','SP','125252251217221411369812372112610134042',NULL,'9998',0.00,4,3,NULL),(20,5382432,'1984-04-18 00:00:00',4,6,12,2002,'M','N','CENTRO','ITAJAÍ','SC','124242241216131751523319395112530767097',NULL,'392',21.21,1,3,NULL),(20,5382440,'1992-03-27 00:00:00',4,4,11,2009,'M','N','JARDIM PRIMAVERA','CPO NOVO PARECIS','MT','111111111216161431557933575121610137052',12257,'9998',48.87,1,3,NULL),(20,5382459,'1992-07-20 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124202241215122431448819172225610126017',10392,'1038',54.96,1,3,NULL),(20,5382467,'1992-08-08 00:00:00',2,8,12,2009,'F','N','NOVO MUNDO','CURITIBA','PR','116161161111471711436923592124611021147',NULL,'9998',30.06,1,2,1),(20,5382475,'1991-05-30 00:00:00',4,4,12,2008,'M','N','PARQUE CIDADE JARDIM','UMUARAMA','PR','116164168215473751549933572122610167112',12702,'9998',50.63,3,3,NULL),(20,5382483,'1990-12-09 00:00:00',4,1,12,2008,'M','N','SAO JOAO','ITAPEVI','SP','125252251217472411458814275112610132047',13795,'9998',45.46,1,3,NULL),(20,5382491,'1992-04-30 00:00:00',4,4,12,2009,'M','N','INTERIOR','PALMITINHO','RS','120201201136131431423635575124610157047',NULL,'9998',19.99,1,3,NULL),(20,5382505,'1989-02-27 00:00:00',2,1,12,2005,'F','N','IGARA','CANOAS','RS','120203201117471431456612371114143266197',1211,'9998',79.65,1,3,NULL),(20,5382513,'1991-06-10 00:00:00',2,1,12,2008,'F','N','BONFIM','STA MARIA','RS','120201201135271431424331275124141761097',NULL,'9998',0.00,1,3,NULL),(20,5382521,'1986-02-14 00:00:00',2,1,12,2003,'F','N','CENTRO','SEGREDO','RS','120201201117571731445923195125610137057',13251,'9998',48.86,1,2,1),(20,5382548,'1992-09-01 00:00:00',2,1,12,2009,'F','N','COLINA SORRISO','CAXIAS SUL','RS','120202201217471431336811214122610163142',14185,'9998',46.56,1,3,NULL),(20,5382556,'1992-12-16 00:00:00',2,16,12,2009,'F','N','SÃO FRANCISCO','CURITIBANOS','SC','124241241116471431426519575122610137147',15214,'239',43.60,1,3,NULL),(20,5382564,'1992-04-08 00:00:00',2,1,12,2010,'M','S','VILA NOVA','IMBITUBA','SC','124243248317131231425919395121610168112',NULL,'362',22.01,3,3,NULL),(20,5382572,'1992-07-16 00:00:00',2,15,12,2009,'F','N','BARRA VELHA','PASSO TORRES','SC','124201241145131431323324571121610125147',NULL,'605',28.46,1,2,1),(20,5382580,'1990-11-01 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216272431458913275114121166147',7768,'962',62.29,4,3,NULL),(20,5382599,'1982-06-04 00:00:00',2,10,12,2006,'F','N','MONTE CASTELO','TUBARÃO','SC','124241245346131431123344445124132231192',NULL,'804',0.00,1,3,NULL),(20,5382602,'1984-11-04 00:00:00',4,4,12,2003,'M','N','SAO JOAO','SEARA','SC','124241247126372411533319495125610137057',NULL,'764',38.25,1,2,1),(20,5382610,'1991-05-10 00:00:00',2,1,10,2008,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116164161415571451338632374124610167077',2892,'9998',73.15,1,3,NULL),(20,5382629,'1987-07-18 00:00:00',2,8,12,2004,'M','N','ITAGUAÇU','S FRANCISCO SUL','SC','124242248216572731348817594114610168057',NULL,'632',51.95,1,3,NULL),(20,5382637,'1986-11-06 00:00:00',2,1,11,2004,'M','N','VILA LARSEN','LONDRINA','PR','116162161216572751468923575122610167097',3778,'9998',70.66,1,3,NULL),(20,5382645,'1990-10-20 00:00:00',2,15,12,2008,'M','N','CENTRO','PR GRANDE','SC','124241241216172431543615595121230427052',NULL,'32',0.00,1,3,NULL),(20,5382653,'1990-07-27 00:00:00',2,3,12,2007,'F','N','CENTRO','MAMBORÊ','PR','116163161215571431656616571124610165142',3751,'9998',70.09,1,3,NULL),(20,5382661,'1987-10-03 00:00:00',4,1,12,2006,'F','N','VILA GRANADA','S PAULO','SP','125251251217572751444614271114140636147',NULL,'9998',21.66,4,3,NULL),(20,5382670,'1992-09-26 00:00:00',4,3,12,2009,'M','N','CENTRO','JAGUAPITÃ','PR','116164161215111451468914275124610122092',648,'9998',83.58,4,3,NULL),(20,5382688,'1992-10-20 00:00:00',4,8,12,2009,'M','N','FLAMBOYANT','CPO GRANDE','MS','112122121216231332437811214222610132027',NULL,'9998',41.36,4,3,NULL),(20,5382696,'1987-02-11 00:00:00',2,1,12,2004,'M','N','CENTRO','CURITIBA','PR','116252251216571431258513475112610134047',10701,'9998',54.61,1,3,NULL),(20,5382700,'1991-05-13 00:00:00',4,1,12,2008,'M','N','PANAZZOLO','CAXIAS SUL','RS','120204201216471731448624571114610135096',NULL,'9998',0.00,1,3,NULL),(20,5382718,'1992-07-18 00:00:00',4,1,11,2009,'F','N','VILA NOVA','JARAGUÁ SUL','SC','124242241215112431588811575124610121182',2983,'270',71.96,1,3,NULL),(20,5382726,'1991-09-05 00:00:00',2,1,12,2009,'M','N','CALHEIROS','GOV CELSO RAMOS','SC','124241241126111431444414385124610127042',NULL,'329',26.50,1,2,1),(20,5382734,'1989-07-04 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241126271431533321245123610127053',NULL,'307',41.72,4,2,1),(20,5382742,'1992-02-01 00:00:00',2,8,12,2009,'M','N','CENTRO','INDIANÓPOLIS','PR','116161161217121431356933575114610144092',NULL,'9998',0.00,1,3,NULL),(20,5382750,'1989-06-30 00:00:00',2,8,12,2006,'F','N','CENTRO','PNT GROSSA','PR','116161161117471431636336372224140322042',NULL,'9998',23.61,1,2,1),(20,5382769,'1990-08-17 00:00:00',2,15,12,2008,'F','N','CENTRO','ARARANGUÁ','SC','124241241117131731629713392124140824017',NULL,'29',26.54,1,2,1),(20,5382785,'1989-10-24 00:00:00',2,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124101241127131631223364442124610158195',NULL,'732',19.70,4,2,1),(20,5382793,'1983-01-18 00:00:00',4,1,5,2003,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241247337151431234144141122133257125',NULL,'9999',15.87,1,3,NULL),(20,5382807,'1992-01-15 00:00:00',2,9,11,2009,'F','N','CENTRO','LAGES','SC','124242241215112411459911475122610122122',6102,'1146',64.83,1,3,NULL),(20,5382815,'1991-04-16 00:00:00',2,4,12,2009,'M','N','CENTRO','PATO BRANCO','PR','116163168316171751448632295122610144012',NULL,'9998',27.87,1,3,NULL),(20,5382823,'1989-05-19 00:00:00',4,1,12,2006,'M','N','JD ASTECA','ROLÂNDIA','PR','116164161416571431335923574124610164187',NULL,'9998',0.00,1,3,NULL),(20,5382831,'1991-02-07 00:00:00',2,8,12,2007,'M','N','JARDIM BANDEIRANTES','TELÊMACO BORBA','PR','116161161215371321543511271124610112012',7295,'9998',62.50,1,3,NULL),(20,5382840,'1991-03-11 00:00:00',4,2,11,2009,'F','N','TESTO REGA','POMERODE','SC','124241241116141431454434342133610154047',NULL,'9999',0.00,1,3,NULL),(20,5382858,'1992-01-21 00:00:00',4,1,12,2009,'M','N','N SR DO ROSARIO','S JOSÉ','SC','124241241226111431555633575114610127042',6148,'262',63.88,1,3,NULL),(20,5382866,'1991-04-01 00:00:00',4,15,12,2007,'F','N','CENTRO','ARARANGUÁ','SC','124241241114131731343923445132130222185',NULL,'30',23.41,1,3,NULL),(20,5382874,'1990-01-12 00:00:00',4,1,12,2006,'F','N','CENTRO','CPO GRANDE','MS','212122121215571411458869595122610144182',NULL,'9998',0.00,1,3,NULL),(20,5382882,'1992-08-27 00:00:00',2,5,10,2009,'F','N','CENTRO','TURVO','SC','124241241415111431538632575122610125052',NULL,'32',30.83,1,3,NULL),(20,5382904,'1993-09-20 00:00:00',4,5,11,2010,'F','S','COMERCIÁRIO','CRICIÚMA','SC','124242241215111431468834595122610126187',NULL,'226',27.06,1,3,NULL),(20,5382912,'1990-03-13 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124243241315272432426619395124610166187',10326,'732',57.56,1,3,NULL),(20,5382920,'1987-11-08 00:00:00',4,1,12,2004,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241241112374741346439175114222964045',7201,'307',62.63,1,3,NULL),(20,5382939,'1993-02-08 00:00:00',4,1,12,2009,'F','N','ALTO CAPIVARI','S BONIFÁCIO','SC','124241241125161431423616572224610167147',NULL,'702',24.51,1,3,NULL),(20,5382947,'1991-11-07 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116111121215321411575621545125610114092',NULL,'9998',0.00,1,3,NULL),(20,5382955,'1993-02-18 00:00:00',2,8,12,2009,'F','N','ZONA A','UMUARAMA','PR','116162161215111451366614595122610166187',4633,'9998',66.80,1,3,NULL),(20,5382963,'1990-04-08 00:00:00',2,1,12,2007,'F','N','CENTRO','TAQUARA','RS','120202201216571431568831571124610136142',5638,'9998',66.26,1,3,NULL),(20,5382971,'1992-06-22 00:00:00',4,6,11,2009,'F','N','ITAJUBA','BARRA VELHA','SC','124244248136141731435512292122610468142',NULL,'614',0.00,1,3,NULL),(20,5382980,'1992-05-09 00:00:00',4,3,11,2009,'M','N','NAÇOES','BAL CAMBORIÚ','SC','124241241137131431425524281121610162077',NULL,'873',29.78,1,2,1),(20,5382998,'1992-04-21 00:00:00',2,3,12,2009,'F','N','ESTALEIRINHO','BAL CAMBORIÚ','SC','124241242115372431436651575124610136142',6137,'129',64.86,1,2,1),(20,5383005,'1974-08-03 00:00:00',4,1,7,1993,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242247336372731244477435124322114182',13359,'9999',51.65,1,3,NULL),(20,5383013,'1990-03-04 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241317453421458662396124233226175',7344,'123',63.15,1,3,NULL),(20,5383030,'1993-04-14 00:00:00',4,5,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215111451459914572122610134097',11997,'226',54.37,1,3,NULL),(20,5383048,'1992-11-05 00:00:00',4,1,12,2009,'F','N','PANAZZOLO','CAXIAS SUL','RS','120202201217471431449934145122610167072',NULL,'9998',0.00,1,3,NULL),(20,5383056,'1989-01-03 00:00:00',4,1,11,2006,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251215572411489611585122141417052',4313,'9998',68.53,1,3,NULL),(20,5383064,'1989-04-03 00:00:00',4,8,12,2006,'M','N','PROGRESSO','POUSO REDONDO','SC','124241241411574751446932595124230768186',7753,'1013',62.32,1,3,NULL),(20,5383072,'1988-02-03 00:00:00',2,1,12,2006,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241132272751646431375124610162187',NULL,'294',39.21,1,3,NULL),(20,5383099,'1989-04-07 00:00:00',2,1,12,2006,'F','N','SAO SEBASTIAO','PALHOÇA','SC','124241241121372431455314241114610125147',NULL,'591',31.54,4,2,1),(20,5383110,'1992-01-23 00:00:00',4,8,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161217111432468831572122610134052',7181,'9998',60.18,1,3,NULL),(20,5383129,'1977-08-08 00:00:00',4,1,12,1993,'M','N','BAIRRO DE FÁTIMA','FLORIANÓPOLIS','SC','124241241122142431224429382344610126117',NULL,'284',0.00,1,2,1),(20,5383137,'1992-08-10 00:00:00',4,15,12,2009,'F','N','NOVA DIVINÉIA','ARARANGUÁ','SC','124241241115131451226722575124610134177',NULL,'30',0.00,1,2,1),(20,5383145,'1992-03-03 00:00:00',4,8,12,2009,'F','N','PRINCESA DOS MARES','ITAPOÁ','SC','116241161116131431449933235124610115042',NULL,'9998',26.22,1,2,1),(20,5383153,'1989-09-15 00:00:00',2,15,12,2006,'M','N','CENTRO','JAGUARÃO','RS','120201201316571431479913471124610135133',NULL,'9998',0.00,1,3,NULL),(20,5383161,'1990-09-26 00:00:00',2,16,12,2007,'F','N','CENTRO','CURITIBANOS','SC','124241241111474431348615573125223213142',NULL,'239',0.00,1,2,1),(20,5383170,'1991-01-16 00:00:00',2,5,11,2009,'M','N','CENTO','CRICIÚMA','SC','124242241215141411438739395122610168041',NULL,'1096',0.00,1,3,NULL),(20,5383188,'1990-08-22 00:00:00',4,1,12,2008,'F','N','JARDIM SATELITE','VÁRZEA PAULISTA','SP','125252251115471431546814575122610112142',NULL,'9998',0.00,1,3,NULL),(20,5383196,'1983-09-18 00:00:00',4,1,10,2003,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','624241247127271411321149192123610128047',NULL,'9999',26.28,4,2,1),(20,5383200,'1987-05-12 00:00:00',2,1,11,2007,'M','N','PARQUE SAO JORGE','FLORIANÓPOLIS','SC','124243247326151431624416485324610147047',NULL,'9999',20.47,1,3,NULL),(20,5383218,'1966-09-08 00:00:00',2,1,12,1986,'F','N','BARREIROS','S JOSÉ','SC','224241243121152511454452221132320914142',NULL,'734',33.06,1,3,NULL),(20,5383234,'1993-10-02 00:00:00',4,1,11,2010,'F','S','JARDIM BIGUAÇU','BIGUAÇU','SC','124242241215111331466614572122610121112',NULL,'738',22.64,1,3,NULL),(20,5383242,'1989-05-02 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124241241146132231633634345124610134057',NULL,'726',22.31,2,2,1),(20,5383250,'1993-05-12 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111231469914442124610152181',NULL,'1022',26.55,1,3,NULL),(20,5383269,'1992-12-04 00:00:00',4,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124242241215111432324627472124610115057',NULL,'1022',25.95,1,3,NULL),(20,5383277,'1989-05-29 00:00:00',2,1,12,2006,'M','N','POÇO FUNDO','STO AMARO IMPERATRIZ','SC','124241241416152711538813345122131024072',NULL,'9997',20.93,1,3,NULL),(20,5383285,'1991-07-17 00:00:00',2,1,12,2008,'M','N','CENTRO','D PEDRITO','RS','120201201217271431647739575124610137057',NULL,'9998',24.86,2,1,2),(20,5383293,'1992-06-22 00:00:00',2,2,12,2009,'M','N','SANTA RITA','BRUSQUE','SC','124242241217151431439914575121610127072',14016,'1090',50.36,1,3,NULL),(20,5383307,'1990-11-26 00:00:00',4,5,11,2007,'F','N','CENTRO','CRICIÚMA','SC','124242241215572431365812572112610124042',6694,'226',61.95,2,1,2),(20,5383315,'1974-06-23 00:00:00',1,1,12,1998,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241245126142421124441115134322231072',NULL,'740',41.37,1,2,1),(20,5383323,'1992-10-03 00:00:00',2,17,12,2009,'F','N','CENTRO','MTE CASTELO','SC','124241241111161432436829585122610146192',NULL,'566',17.28,1,2,1),(20,5383331,'1991-08-12 00:00:00',4,1,11,2009,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217151431469931315122610161012',6535,'262',64.84,1,3,NULL),(20,5383340,'1992-12-25 00:00:00',4,1,12,2009,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124244241215111731546829372124610168042',NULL,'1022',28.32,1,3,NULL),(20,5383366,'1992-02-06 00:00:00',2,4,12,2009,'M','N','CENTRO','ITAPIRANGA','SC','124241241145111531323634145121610167047',NULL,'1060',26.08,1,3,NULL),(20,5383374,'1988-01-09 00:00:00',2,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115133711435514494114610162187',NULL,'591',28.99,4,2,1),(20,5383382,'1991-05-27 00:00:00',4,3,11,2008,'F','N','CENTRO','CASCAVEL','PR','116163161215471431456933572122610164147',3711,'9998',71.41,1,3,NULL),(20,5383390,'1989-07-24 00:00:00',4,1,12,2006,'M','N','CENTRO','VICENTE DUTRA','RS','120201201137571431448933171124610124042',NULL,'9998',0.00,1,2,1),(20,5383412,'1988-02-18 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217575431466921575124232464072',NULL,'270',0.00,1,3,NULL),(20,5383420,'1979-09-04 00:00:00',2,1,12,1996,'M','N','CENTRO','FLORIANÓPOLIS','SC','124204201211371751266643435122541365047',4924,'9998',68.53,1,3,NULL),(20,5383439,'1989-09-22 00:00:00',4,5,11,2007,'F','N','UNIVERSITÁRIO','STA CRUZ SUL','RS','120203201216271431468519595122241331017',NULL,'9998',25.88,1,3,NULL),(20,5383447,'1989-10-03 00:00:00',2,1,12,2006,'F','N','VILA AURORA','DOURADOS','MS','112122121216572331646411595125610166187',2447,'9998',73.58,1,3,NULL),(20,5383455,'1991-10-01 00:00:00',4,3,12,2008,'F','N','ZONA QUATRO','MARINGÁ','PR','116163161116271431428814385122610134097',NULL,'9998',23.17,1,3,NULL),(20,5383463,'1980-09-16 00:00:00',2,16,6,1998,'F','N','AGUA SANTA','CURITIBANOS','SC','124241241326132111621229342334131014057',NULL,'237',18.22,1,3,NULL),(20,5383471,'1991-01-20 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216132431438833575125610117097',NULL,'9999',16.69,1,3,NULL),(20,5383498,'1992-07-30 00:00:00',2,8,11,2009,'M','N','INDUSTRIAL SUL','RIO NEGRINHO','SC','124242241215111431568914575112610166047',9409,'666',56.89,1,3,NULL),(20,5383501,'1990-09-14 00:00:00',2,1,12,2007,'F','N','TRISTEZA','PTO ALEGRE','RS','120202201116471431437921472112610137142',NULL,'9998',0.00,1,3,NULL),(20,5383510,'1991-01-09 00:00:00',4,1,5,2009,'M','N','COND SAO JOAQUIM','VINHEDO','SP','125252281217271431458814575122610127047',16193,'9998',42.60,1,3,NULL),(20,5383528,'1992-03-12 00:00:00',4,1,11,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241117371331547614575114610132187',7734,'288',60.96,1,2,1),(20,5383536,'1991-05-12 00:00:00',4,1,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','116164161117111411358711575122610162042',NULL,'9998',0.00,1,3,NULL),(20,5383544,'1975-04-05 00:00:00',2,2,6,2009,'F','N','ITOUPAVA','RIO SUL','SC','124241247146141441123549191232131955187',NULL,'9999',40.74,4,2,1),(20,5383552,'1992-09-27 00:00:00',4,8,12,2009,'M','N','PILARZINHO','CURITIBA','PR','116162168216271431348814575124610144052',11040,'9998',53.12,1,3,NULL),(20,5383560,'1975-07-27 00:00:00',2,1,11,1994,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216145411236641215122222947047',NULL,'207',0.00,1,3,NULL),(20,5383579,'1988-09-24 00:00:00',2,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241344572431323623495124610134042',NULL,'298',22.11,2,1,2),(20,5383587,'1987-07-03 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124072071211271431268833375122141462092',8391,'9998',58.58,4,3,NULL),(20,5383595,'1992-10-07 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431469913572112610144012',4550,'270',68.69,1,3,NULL),(20,5383609,'1991-09-26 00:00:00',2,1,11,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215112431344923345134610141197',NULL,'1022',31.33,1,3,NULL),(20,5383617,'1988-10-17 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217122441548819495124221862057',7385,'486',63.06,4,3,NULL),(20,5383625,'1987-05-20 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241116141411239554142124233228147',NULL,'359',0.00,4,2,1),(20,5383641,'1991-05-21 00:00:00',4,7,11,2008,'F','N','CENTRO','SALTO VELOSO','SC','124243241116272431456832575124231461197',5558,'1113',65.13,1,3,NULL),(20,5383650,'1992-04-06 00:00:00',4,1,12,2009,'M','N','JD JOÃO PAULO','SUMARÉ','SP','125252251215111431379814572122610137187',11212,'9998',52.38,1,3,NULL),(20,5383668,'1991-08-02 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215372432443623415124610168187',6519,'1118',63.00,1,3,NULL),(20,5383684,'1981-09-16 00:00:00',4,1,12,1999,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241217574721248742425132333123097',7707,'270',62.41,1,3,NULL),(20,5383692,'1987-09-22 00:00:00',4,1,12,2004,'F','N','SANTANA','S PAULO','SP','125252251215571431468834572125143264097',NULL,'9998',0.00,1,3,NULL),(20,5383706,'1991-11-04 00:00:00',2,4,12,2008,'M','N','JARDIM ITALIA','CHAPECÓ','SC','124242241116473431459813575122231438147',NULL,'177',0.00,1,3,NULL),(20,5383714,'1991-07-03 00:00:00',4,8,12,2008,'F','N','JARDIM SANTA ROSA','VALINHOS','SP','125241241146471731443669381122610168142',NULL,'436',16.47,1,3,NULL),(20,5383722,'1983-07-28 00:00:00',2,1,12,2000,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241142135431635444343144610123141',NULL,'728',43.44,1,2,1),(20,5383730,'1984-10-28 00:00:00',4,1,12,2002,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215144411348611312122133232181',NULL,'272',52.60,1,3,NULL),(20,5383749,'1992-03-25 00:00:00',4,1,12,2009,'M','N','IAPI','OSASCO','SP','125251251217111332236823235124610124092',NULL,'9998',20.49,1,3,NULL),(20,5383757,'1989-06-24 00:00:00',4,8,12,2006,'F','N','CAJURU','CURITIBA','PR','116163161216571441349613575223610134042',NULL,'9998',0.00,1,3,NULL),(20,5383765,'1991-02-24 00:00:00',4,1,12,2008,'F','N','VILA MENINO JESUS','CAÇAPAVA','SP','125254251215111411658732575122241366057',NULL,'9998',0.00,1,3,NULL),(20,5383773,'1992-05-22 00:00:00',4,1,11,2009,'M','N','CENTRO','CANELINHA','SC','124241241126131721436611345124610117142',NULL,'142',0.00,1,2,1),(20,5383781,'1989-06-02 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624241241126234431133344245132130265057',NULL,'822',23.79,1,2,1),(20,5383790,'1988-10-13 00:00:00',4,1,12,2005,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241114375411336533235124610124147',13465,'307',48.21,1,2,1),(20,5383811,'1992-07-29 00:00:00',2,1,12,2009,'F','N','JARDIM CIDADE FPÓLIS','S JOSÉ','SC','124241241115231431523329582124612514147',NULL,'257',21.30,4,1,1),(20,5383838,'1989-11-08 00:00:00',2,9,12,2006,'M','N','BRUSQUE','LAGES','SC','124243241116372411537832145124610134047',NULL,'935',25.99,1,3,NULL),(20,5383854,'1990-12-26 00:00:00',4,1,12,2008,'M','N','JARDIM AMÁLIA','CAÇAPAVA','SP','125251251215471431468824575122610127057',NULL,'9998',0.00,1,3,NULL),(20,5383862,'1992-07-11 00:00:00',4,2,12,2009,'M','N','FORTALEZA','BLUMENAU','SC','124241241117151731223329191124610134047',16130,'69',43.21,1,2,1),(20,5383870,'1992-06-30 00:00:00',2,9,12,2009,'F','N','CENTRO','LAGES','SC','124242241216121431646814145122610168012',NULL,'499',26.15,1,3,NULL),(20,5383889,'1988-08-05 00:00:00',4,1,12,2007,'M','N','JARDIM LINDOIA','PTO ALEGRE','RS','120202201217571451488832575112610167012',NULL,'9998',0.00,1,3,NULL),(20,5383897,'1990-09-19 00:00:00',4,4,10,2007,'F','N','ESPIGÃO','MAL CÂNDIDO RONDON','PR','116162161215571431566632571125610132127',8304,'9998',60.77,1,3,NULL),(20,5383900,'1990-11-30 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241217131432546823372124610124047',NULL,'1022',33.09,4,3,NULL),(20,5383919,'1975-09-05 00:00:00',4,1,12,1992,'F','N','SERRARIA','S JOSÉ','SC','224244243127275711335544142125610115177',NULL,'257',0.00,1,3,NULL),(20,5383927,'1992-12-24 00:00:00',2,10,11,2009,'M','N','RIO BONITO','BRAÇO NORTE','SC','124241246215371431436312212112610167052',10982,'102',56.32,1,3,NULL),(20,5383935,'1990-11-27 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241217133431466614342124231027042',12230,'266',53.92,4,3,NULL),(20,5383943,'1991-01-16 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241243137161431423639575122610154141',NULL,'298',21.21,1,2,1),(20,5383951,'1975-05-19 00:00:00',2,17,2,2008,'F','N','CAMPO DAGUA VERDE','CANOINHAS','SC','124141248112132731214449392224231358182',NULL,'9997',17.47,2,1,1),(20,5383960,'1990-09-15 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241214573731244677592124610123147',NULL,'836',0.00,1,3,NULL),(20,5383978,'1978-07-04 00:00:00',4,1,12,1996,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241216154311173343432122322447142',4986,'907',68.38,1,3,NULL),(20,5383986,'1979-12-19 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117271731126444345124610164162',NULL,'9997',38.21,1,3,NULL),(20,5383994,'1992-11-15 00:00:00',2,6,11,2009,'F','N','SÃO VICENTE','ITAJAÍ','SC','124241241117371732438619585122610137047',14364,'400',45.77,4,1,1),(20,5384010,'1992-02-27 00:00:00',4,1,12,2009,'M','N','PINGUIRITO','GAROPABA','SC','124243241127262431326624285221610132095',NULL,'322',25.40,1,3,NULL),(20,5384028,'1990-06-26 00:00:00',4,1,12,2008,'M','N','ALGODOAL','PIRACICABA','SP','125253251216111411438814575124141434182',NULL,'9998',0.00,1,3,NULL),(20,5384036,'1992-05-17 00:00:00',4,4,12,2009,'M','N','CENTRO SUL','DOIS VIZINHOS','PR','116161161417151431256819575122610167112',NULL,'9998',26.90,1,3,NULL),(20,5384044,'1991-04-10 00:00:00',2,4,12,2009,'M','N','CENTRO','S LOURENÇO OESTE','SC','124241166116471451438622575124610164172',4230,'9998',69.03,1,2,1),(20,5384052,'1989-03-21 00:00:00',2,1,12,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216133151229848145234121761057',NULL,'272',0.00,1,3,NULL),(20,5384060,'1990-06-18 00:00:00',4,1,12,2007,'M','N','VILA MEDON','AMERICANA','SP','125252251216571431578811575112610132097',2757,'9998',73.38,1,3,NULL),(20,5384079,'1992-03-27 00:00:00',4,1,12,2009,'M','N','JARDIM DAS FLORES','APUCARANA','PR','116162161215271431336711315122610137072',NULL,'9998',0.00,1,3,NULL),(20,5384087,'1992-05-07 00:00:00',2,1,12,2009,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124243241117371431326613215124610114187',NULL,'257',29.25,1,3,NULL),(20,5384095,'1986-06-10 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252251216573431468614575125221462045',9771,'9998',58.62,1,3,NULL),(20,5384109,'1990-08-29 00:00:00',4,6,12,2008,'M','N','CRISTAL','PTO ALEGRE','RS','120202201417471431569813435114610167042',NULL,'9998',27.41,1,3,NULL),(20,5384117,'1986-04-30 00:00:00',2,1,12,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201208116573751143339295124222138097',12611,'9998',53.12,1,2,1),(20,5384125,'1990-11-02 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124243241217472431379819475112610168182',10603,'497',54.06,1,3,NULL),(20,5384133,'1992-12-25 00:00:00',4,4,12,2009,'M','N','CENTRO','S LOURENÇO OESTE','SC','124241241315161431354939575122610164052',NULL,'744',21.72,1,3,NULL),(20,5384150,'1989-01-01 00:00:00',2,5,12,2006,'F','N','CENTRO','TERRA AREIA','RS','120201201116371731226821382122143227147',NULL,'9998',27.00,1,2,1),(20,5384176,'1989-04-01 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124091091116273441225511145334610126032',12844,'9998',52.66,1,2,1),(20,5384184,'1991-03-01 00:00:00',2,1,12,2008,'F','N','SEPETIBA','RIO JANEIRO','RJ','121212211216571431556913571124610142091',NULL,'9998',0.00,1,3,NULL),(20,5384192,'1992-09-04 00:00:00',2,9,11,2009,'F','N','CENTRO','VACARIA','RS','120201208231161431436332575122610113142',NULL,'9998',0.00,1,3,NULL),(20,5384206,'1992-07-07 00:00:00',4,3,12,2009,'F','N','PILARZINHO','CURITIBA','PR','116162161235111731468811576112610167146',1413,'9998',78.58,1,3,NULL),(20,5384214,'1992-04-05 00:00:00',4,10,12,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215151431469613475122610124147',6949,'807',61.24,1,3,NULL),(20,5384222,'1991-11-11 00:00:00',2,5,12,2009,'M','N','MONTE CASTELO','CRICIÚMA','SC','124243248145371231426624285124610126047',NULL,'209',25.63,1,3,NULL),(20,5384230,'1991-10-03 00:00:00',4,1,12,2009,'M','N','TAJUBA I','S JOÃO BATISTA','SC','124241241126131331545819342125610117057',NULL,'712',20.81,1,2,1),(20,5384249,'1991-05-31 00:00:00',2,1,12,2008,'M','N','GUABIROTUBA','CURITIBA','PR','116162161115471441466834375114610142067',11890,'9998',50.95,1,3,NULL),(20,5384257,'1991-12-26 00:00:00',2,9,12,2008,'F','N','BARRA DO TROMBUDO','RIO SUL','SC','124242241215273431653533295124231424187',6751,'991',61.70,1,3,NULL),(20,5384265,'1991-11-03 00:00:00',2,16,12,2008,'F','N','ÁGUA SANTA','CURITIBANOS','SC','124241241111371451435633395125610167147',NULL,'239',28.57,4,2,1),(20,5384273,'1986-04-03 00:00:00',2,1,12,2004,'M','N','CAPÃO DA IMBUIA','CURITIBA','PR','116162161236571451548611435123143165017',NULL,'9998',0.00,1,3,NULL),(20,5384281,'1987-12-03 00:00:00',4,8,12,2004,'F','N','CENTRO','BARRA VELHA','SC','124242241216472411579712495122123266092',8931,'1058',60.10,1,3,NULL),(20,5384290,'1992-11-10 00:00:00',4,1,12,2009,'M','N','NAÇÕES','FRAIBURGO','SC','124241241121161431423311115121610131187',NULL,'315',23.75,1,2,1),(20,5384311,'1992-03-18 00:00:00',2,16,12,2009,'F','N','APARECIDA','CURITIBANOS','SC','124241241136141431526579381225610137142',NULL,'239',18.70,1,2,1),(20,5384320,'1986-06-11 00:00:00',2,1,12,2003,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241112474421425711395123610132012',NULL,'307',27.81,1,2,1),(20,5384338,'1982-06-10 00:00:00',2,1,12,2001,'F','N','GAMBOA','GAROPABA','SC','224241241127131731424351312124610134197',NULL,'607',0.00,1,3,NULL),(20,5384346,'1980-08-23 00:00:00',4,3,12,1999,'M','N','CENTRO','BAL CAMBORIÚ','SC','124161161125471451253341415122342612057',12862,'9998',52.61,1,2,1),(20,5384362,'1992-03-27 00:00:00',4,15,12,2009,'M','N','PARQUE ALVORADA','ARARANGUÁ','SC','124241241115131732226524243121610122042',NULL,'30',27.04,1,2,1),(20,5384370,'1992-02-16 00:00:00',4,8,12,2009,'M','N','ITAUM','JOINVILLE','SC','124241246217271431448814475124610117077',4962,'1006',66.42,1,3,NULL),(20,5384389,'1990-05-07 00:00:00',2,2,12,2008,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124161241111152431435514491114613234147',NULL,'83',24.00,1,3,NULL),(20,5384397,'1956-05-25 00:00:00',4,1,12,1973,'F','N','PEREQUE','ILHABELA','SP','125252253216371741248843432134343244097',4129,'9998',70.51,1,3,NULL),(20,5384400,'1990-01-06 00:00:00',4,2,12,2007,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215474411456814475122232466057',2168,'909',76.18,1,3,NULL),(20,5384419,'1991-02-20 00:00:00',4,4,12,2008,'M','N','CENTRO','S MIGUEL OESTE','SC','124244241216373421558533475125221463147',3907,'87',70.37,1,3,NULL),(20,5384435,'1992-12-14 00:00:00',4,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124243241211111431439613345124610135072',NULL,'1078',29.77,1,3,NULL),(20,5384443,'1992-02-01 00:00:00',2,1,12,2008,'M','N','JD LOURDES','RONDONÓPOLIS','MT','111113111236471431336812575112610137052',NULL,'9998',0.00,4,3,NULL),(20,5384451,'1991-10-17 00:00:00',4,4,12,2008,'F','N','CONJ RIO CLARO I','JATAÍ','GO','109091091217271131447614575114610132142',NULL,'9998',39.42,4,3,NULL),(20,5384460,'1956-10-05 00:00:00',4,1,12,1975,'M','N','CENTRO','PTO ALEGRE','RS','220201201126251431173343335124243264047',NULL,'9998',0.00,2,3,NULL),(20,5384478,'1989-11-17 00:00:00',2,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124241241234373431466614442135610114063',NULL,'262',48.02,1,3,NULL),(20,5384486,'1989-11-29 00:00:00',2,1,12,2007,'M','N','JARDIM MEXICO','ITATIBA','SP','125254251227271431368814342112610127182',15677,'9998',45.59,1,3,NULL),(20,5384494,'1992-08-31 00:00:00',2,4,12,2009,'M','N','CENTRO','GRAMADO LOUREIROS','RS','120201201116131431536913575121610117057',NULL,'9998',0.00,1,2,1),(20,5384508,'1991-05-12 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472431468833595122233247122',3875,'270',70.75,1,3,NULL),(20,5384516,'1989-10-23 00:00:00',2,1,12,2006,'F','N','PARTENON','PTO ALEGRE','RS','120202201114541731348629512124610163147',2537,'9998',74.55,1,3,NULL),(20,5384524,'1993-01-10 00:00:00',4,2,12,2009,'M','N','CARIJÓS','INDAIAL','SC','124241241212111411446934592114610164052',NULL,'1157',28.61,1,3,NULL),(20,5384532,'1992-03-02 00:00:00',2,1,12,2008,'F','N','CAPÃO RASO','CURITIBA','PR','116161161115571431327621212124610115044',4015,'9998',68.64,1,2,1),(20,5384540,'1990-03-14 00:00:00',4,1,12,2007,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241217153431358924375121231064047',15434,'262',46.52,1,3,NULL),(20,5384559,'1989-08-24 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241145474431546454242124610127147',NULL,'281',36.86,1,2,1),(20,5384567,'1990-10-24 00:00:00',4,15,12,2008,'F','N','PARTENON','PTO ALEGRE','RS','120202201115571431456614585124610162172',NULL,'9998',0.00,1,3,NULL),(20,5384575,'1989-04-24 00:00:00',4,1,12,2005,'F','N','CENTRO','ERECHIM','RS','120203201117133431436624472125233268142',NULL,'9998',40.39,1,3,NULL),(20,5384583,'1991-12-05 00:00:00',2,4,12,2008,'M','N','CENTRO','TRÊS ARROIOS','RS','120201208216471431438923595125610137052',14557,'9998',45.50,1,3,NULL),(20,5384591,'1991-07-17 00:00:00',2,15,12,2009,'M','N','COLONINHA','ARARANGUÁ','SC','124242241215472431435832312112610164042',NULL,'970',24.77,1,3,NULL),(20,5384605,'1950-02-05 00:00:00',1,1,1,1978,'M','N','INGLESES','FLORIANÓPOLIS','SC','224201207126152751446647275112143268186',NULL,'9998',50.82,1,2,1),(20,5384613,'1992-02-19 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241215111432556913372124610154147',NULL,'9997',30.36,1,3,NULL),(20,5384621,'1989-05-12 00:00:00',4,1,7,2007,'M','N','GUARANI','NOVO HAMBURGO','RS','120204207411471411366923291122141467012',13858,'9998',50.64,1,3,NULL),(20,5384630,'1991-10-10 00:00:00',2,1,12,2009,'F','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124241241225371431433639372124610134187',7219,'262',62.10,1,3,NULL),(20,5384656,'1990-09-19 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215114411448833575124220932017',6972,'1022',62.19,3,3,NULL),(20,5384664,'1987-03-09 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431458932391122131048122',12712,'266',49.62,1,3,NULL),(20,5384672,'1984-08-09 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241437152441148611471111331042045',12523,'872',53.29,1,3,NULL),(20,5384680,'1988-10-02 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124203247411131331544363481124610137145',NULL,'9999',0.00,1,3,NULL),(20,5384699,'1976-05-22 00:00:00',3,1,12,1993,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116374731547813495124122961182',NULL,'267',0.00,1,2,1),(20,5384702,'1990-04-12 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216575411588832575124230417041',NULL,'270',0.00,1,3,NULL),(20,5384710,'1987-04-03 00:00:00',4,1,12,2004,'F','N','JARDIM ITÚ SABARÁ','PTO ALEGRE','RS','120202201217571431547831571124610162097',8708,'9998',58.59,1,3,NULL),(20,5384729,'1993-02-25 00:00:00',2,7,11,2009,'M','N','CENTRO','JOAÇABA','SC','124242241211371431458619275122610137072',NULL,'446',26.36,1,3,NULL),(20,5384737,'1989-05-16 00:00:00',2,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241117111431456723445121610137057',NULL,'298',0.00,1,3,NULL),(20,5384753,'1972-07-12 00:00:00',2,1,8,1992,'M','N','ARTUR ALVIM','S PAULO','SP','125143141137131421326644145321241267087',NULL,'9998',0.00,2,1,2),(20,5384761,'1992-11-23 00:00:00',2,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431447814575115610167047',NULL,'1168',23.17,1,3,NULL),(20,5384770,'1991-04-19 00:00:00',4,3,12,2008,'M','N','ABRANCHES','CURITIBA','PR','116162161215471731589911575122610137042',4434,'9998',67.99,4,3,NULL),(20,5384788,'1991-01-03 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216373431468912345124122122181',3846,'87',70.11,1,3,NULL),(20,5384800,'1989-04-11 00:00:00',2,8,11,2006,'F','N','UBERABA','CURITIBA','PR','116162161215571751534611574124610138142',8955,'9998',60.05,1,3,NULL),(20,5384818,'1986-06-18 00:00:00',4,1,12,2003,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241311255531335719395124610164117',NULL,'1022',39.33,1,3,NULL),(20,5384826,'1987-12-29 00:00:00',2,1,12,2005,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124131131112132411543374445134233262047',14799,'9998',44.05,1,2,1),(20,5384834,'1985-09-10 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217154531439713492125233233092',13024,'270',52.32,1,3,NULL),(20,5384842,'1990-12-07 00:00:00',4,9,12,2008,'M','N','RIO BRANCO','PTO ALEGRE','RS','120242241215472321168919495114610117042',NULL,'1146',40.02,1,3,NULL),(20,5384850,'1992-10-18 00:00:00',4,16,12,2009,'F','N','JARDIM DAS HORTENSIA','FRAIBURGO','SC','124242161216121731468831574112610138183',NULL,'9998',0.00,1,3,NULL),(20,5384877,'1991-06-19 00:00:00',4,1,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161215571531568831571114610133072',NULL,'9998',0.00,1,3,NULL),(20,5384885,'1986-07-11 00:00:00',5,1,12,2003,'F','N','CENTRO','PARAÍ','RS','120201201117131431423315342212610131147',NULL,'9998',18.80,1,2,1),(20,5384893,'1992-12-27 00:00:00',4,1,12,2009,'M','N','ZONA SETE','MARINGÁ','PR','116164161216371432248824575112610167042',11561,'9998',51.31,1,3,NULL),(20,5384915,'1987-10-17 00:00:00',4,2,12,2004,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241217155431248911445134120764192',5870,'912',66.30,1,3,NULL),(20,5384923,'1991-10-21 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241411372411224429574124610167042',11457,'269',53.54,1,3,NULL),(20,5384931,'1988-10-22 00:00:00',4,1,12,2005,'M','N','CENTRO','ESTEIO','RS','620202206117151412356629445124610124052',NULL,'9998',37.48,1,3,NULL),(20,5384958,'1991-01-22 00:00:00',4,1,12,2008,'F','N','CENTRO','CURITIBA','PR','122222221216111431556833572124241446092',NULL,'9998',0.00,4,3,NULL),(20,5384966,'1992-09-03 00:00:00',2,15,12,2009,'M','N','CENTRO','TRÊS CACHOEIRAS','RS','120201201116271431234623475121610114057',NULL,'9998',27.09,4,1,1),(20,5384974,'1986-10-28 00:00:00',2,1,12,2004,'F','N','BELA VISTA','S JOSÉ','SC','224241241112133711226654242334610164147',NULL,'726',20.35,4,2,1),(20,5384982,'1991-09-27 00:00:00',4,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111711469934575122610114113',NULL,'1038',0.00,1,3,NULL),(20,5385008,'1980-10-03 00:00:00',2,1,5,2007,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','224071077212271451636554442124610135187',NULL,'9998',0.00,1,3,NULL),(20,5385016,'1983-06-27 00:00:00',4,1,10,2004,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241121131731622224115125610151087',NULL,'9999',23.79,4,3,NULL),(20,5385024,'1965-12-29 00:00:00',2,1,12,1984,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241127153441333353385124320233092',NULL,'307',43.38,4,2,1),(20,5385032,'1988-02-01 00:00:00',2,1,12,2005,'M','N','SANTA CECILIA','PTO ALEGRE','RS','120204201415571311355621575124610167057',6864,'9998',62.34,1,3,NULL),(20,5385040,'1991-09-07 00:00:00',4,1,12,2009,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241212271431489939572112610122182',9602,'270',57.22,1,3,NULL),(20,5385059,'1974-02-28 00:00:00',4,1,12,1991,'F','N','ARTUR ALVIM','S PAULO','SP','525143141217131421328848382324343264087',NULL,'9998',0.00,1,3,NULL),(20,5385067,'1960-05-06 00:00:00',2,1,7,2001,'M','N','SARTÃO DO IMARUIM','S JOSÉ','SC','224202207126132131433354395124141037043',NULL,'9998',17.16,1,3,NULL),(20,5385075,'1987-03-04 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161214312452189911445124221456175',4651,'9998',69.20,1,3,NULL),(20,5385091,'1993-03-09 00:00:00',4,1,12,2010,'F','S','COLÔNIA SANTANA','S JOSÉ','SC','124241241614161431333319575124610124183',NULL,'9997',21.20,1,3,NULL),(20,5385105,'1981-06-25 00:00:00',2,1,11,1998,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241216575421146619445124131065092',NULL,'211',18.72,1,3,NULL),(20,5385113,'1988-04-12 00:00:00',2,1,11,2007,'F','N','CASSINO','RIO GRANDE','RS','120202201416371731457932444132142861182',NULL,'9998',0.00,1,3,NULL),(20,5385121,'1986-10-14 00:00:00',2,9,12,2005,'M','N','PARTENON','PTO ALEGRE','RS','120204208211571751277719595121142434117',NULL,'9998',0.00,1,3,NULL),(20,5385130,'1985-09-01 00:00:00',4,1,3,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241116374431258829375122120664041',77,'306',90.77,1,3,NULL),(20,5385148,'1989-04-07 00:00:00',2,1,12,2006,'M','N','CENTRO','STA MARIA','RS','120203201116571751334436575125610164017',4066,'9998',70.70,4,3,NULL),(20,5385156,'1984-04-07 00:00:00',4,1,12,2001,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217574431358823145122321237047',5063,'270',68.15,1,3,NULL),(20,5385164,'1991-05-11 00:00:00',4,1,12,2008,'M','N','SANTA MARIA GORETTI','PTO ALEGRE','RS','120203201116471431336519475124610167013',NULL,'9998',0.00,1,3,NULL),(20,5385172,'1989-10-31 00:00:00',4,8,12,2006,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241212112431347414345122230726172',NULL,'1105',0.00,1,3,NULL),(20,5385180,'1991-08-16 00:00:00',2,5,11,2008,'F','N','CENTRO','TORRES','RS','120201201237371731436611275122610111093',NULL,'9998',22.18,1,3,NULL),(20,5385199,'1971-03-24 00:00:00',4,1,12,1987,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241416145751178843235122420236037',NULL,'267',0.00,5,3,NULL),(20,5385202,'1979-03-11 00:00:00',4,1,12,1999,'M','N','DEHON','TUBARÃO','SC','124131137126151421243641115125142233177',3969,'9998',70.94,1,2,1),(20,5385210,'1991-06-10 00:00:00',2,4,12,2008,'F','N','CENTRO','S CARLOS','SC','124244248116371731336823575124610124147',NULL,'704',21.69,1,3,NULL),(20,5385229,'1990-07-29 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241111472431568933441124610137045',9427,'267',59.21,1,2,1),(20,5385237,'1970-11-07 00:00:00',2,1,12,2003,'F','N','TIJUQUINHAS','BIGUAÇU','SC','124243247226132712222541212122610133147',NULL,'63',0.00,1,3,NULL),(20,5385245,'1989-01-21 00:00:00',4,1,12,2006,'M','N','CAMPINAS','S JOSÉ','SC','124242241216152451345829275122230867073',7759,'723',62.30,1,3,NULL),(20,5385253,'1984-08-17 00:00:00',2,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124113111346142431353132285122133262097',NULL,'9998',17.87,1,3,NULL),(20,5385261,'1988-04-11 00:00:00',4,1,6,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242247237273751566813395124610122147',11719,'9999',52.50,1,3,NULL),(20,5385288,'1989-04-16 00:00:00',4,1,12,2006,'M','N','ROÇADO','S JOSÉ','SC','124241241114472431334414385124231025143',NULL,'729',38.94,1,3,NULL),(20,5385296,'1989-10-20 00:00:00',5,1,12,2006,'F','N','CENTRO','PARAÍ','RS','120191191137131431116449392314610131047',NULL,'9998',18.12,1,2,1),(20,5385318,'1977-09-01 00:00:00',2,1,12,2000,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124241241121471321147871316323610164117',NULL,'282',15.11,1,2,1),(20,5385326,'1992-08-18 00:00:00',4,8,10,2009,'F','N','ALTO DO ITAIGARA','SALVADOR','BA','105052051216271431486822574112610127121',2588,'9998',73.96,3,3,NULL),(20,5385342,'1990-05-16 00:00:00',2,15,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216414411258831595124231414073',NULL,'270',0.00,1,3,NULL),(20,5385350,'1984-01-09 00:00:00',4,1,12,2001,'M','N','JARDIM PAULISTA','S PAULO','SP','125251251216471431537812575115142668197',890,'9998',81.88,1,3,NULL),(20,5385369,'1990-11-06 00:00:00',4,1,11,2007,'F','N','CORONEL ANTONINO','CPO GRANDE','MS','112122121217571431558832574122143237037',846,'9998',81.55,3,3,NULL),(20,5385377,'1987-06-10 00:00:00',4,1,11,2004,'M','N','JARDIM PAULISTA','S PAULO','SP','125253251437271431437811485124140262057',NULL,'9998',0.00,1,3,NULL),(20,5385385,'1990-07-07 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217112711459933345124221423142',NULL,'806',0.00,1,3,NULL),(20,5385393,'1980-10-16 00:00:00',4,1,12,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202241214154731386737132122530267166',7574,'272',62.68,1,3,NULL),(20,5385407,'1990-06-15 00:00:00',4,8,12,2007,'F','N','AMIZADE','JARAGUÁ SUL','SC','124241241114572521349813572222610144192',NULL,'425',47.15,1,2,1),(20,5385415,'1987-03-28 00:00:00',2,1,9,2007,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124203207344274221149639285124121764147',NULL,'9998',25.95,1,3,NULL),(20,5385423,'1979-08-10 00:00:00',4,1,10,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','224242247136372431536654385112610121012',9690,'9999',55.76,1,3,NULL),(20,5385431,'1992-08-23 00:00:00',4,8,12,2009,'F','N','CENTRO','S BENTO SUL','SC','124243241215111731438933172122610164142',NULL,'1178',27.47,1,3,NULL),(20,5385440,'1989-03-07 00:00:00',4,1,12,2006,'M','N','SHIN','LG NORTE','DF','107072071216151411568733575122243261121',5301,'9998',67.57,3,3,NULL),(20,5385458,'1991-02-09 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124241241115112431335534475122131027042',NULL,'935',18.23,1,2,1),(20,5385466,'1989-04-01 00:00:00',2,1,12,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241111132712226348345124610167047',15557,'307',46.06,1,2,1),(20,5385474,'1991-05-03 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124092091215112431489913475121221434022',2232,'9998',76.04,1,3,NULL),(20,5385482,'1974-04-12 00:00:00',4,1,12,1991,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124162161136472431269939492125321244092',4816,'9998',67.66,1,3,NULL),(20,5385490,'1987-01-09 00:00:00',4,1,12,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','125251251116571431536334375122242226182',12397,'9998',51.25,3,2,1),(20,5385504,'1991-12-30 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215112411447732575114610167047',9319,'1022',55.74,1,3,NULL),(20,5385512,'1992-01-21 00:00:00',4,1,12,2009,'M','N','JARDIM POPI','BIRIGÜI','SP','125251251415131411453614345122610134142',4218,'9998',69.37,1,3,NULL),(20,5385520,'1991-10-12 00:00:00',4,1,12,2009,'M','N','RECREIO','RIO JANEIRO','RJ','121212211215111431238969575112610167072',5077,'9998',66.14,1,3,NULL),(20,5385539,'1989-09-18 00:00:00',4,1,12,2007,'F','N','SÃO ROQUE','FLORES CUNHA','RS','120203201117571431433315274124610126147',881,'9998',81.99,1,3,NULL),(20,5385555,'1992-09-09 00:00:00',2,1,11,2009,'F','N','JARDIM DA COLINA','IGARAÇU TIETÊ','SP','125252251216111731478913475122610128092',NULL,'9997',0.00,1,3,NULL),(20,5385563,'1990-10-09 00:00:00',2,1,12,2007,'F','N','BELA VISTA','CAXIAS SUL','RS','120202201216372451456711371124243134142',13517,'9998',48.32,1,3,NULL),(20,5385571,'1973-07-03 00:00:00',4,1,12,1994,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','624242247227135421338844445131120367182',6650,'270',64.60,1,3,NULL),(20,5385580,'1991-03-03 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSÉ','SC','124244241316272711359923595124230267043',10552,'737',57.14,1,3,NULL),(20,5385598,'1990-03-05 00:00:00',4,6,12,2007,'M','N','CENTRO CÍVICO','CURITIBA','PR','116162161216573531348814575114610167057',2568,'9998',74.67,3,3,NULL),(20,5385601,'1990-10-25 00:00:00',2,3,12,2007,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120203201117571511568833582124610144177',NULL,'9998',0.00,1,3,NULL),(20,5385628,'1988-07-05 00:00:00',4,1,12,2005,'F','N','VILA MARIANA','S PAULO','SP','125252251216371431458932575114141962017',NULL,'9998',0.00,1,3,NULL),(20,5385636,'1988-04-29 00:00:00',4,1,12,2005,'F','N','SANTA CATARINA','FARROUPILHA','RS','120201201116571431343331575122610124147',NULL,'9998',0.00,1,2,1),(20,5385652,'1986-04-29 00:00:00',2,1,12,2005,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241117131431527419345124130237045',NULL,'289',21.33,4,2,1),(20,5385660,'1992-12-25 00:00:00',2,4,12,2009,'F','N','CENTRO','PLANALTO ALEGRE','SC','124241241116371431356933575122610138077',NULL,'620',19.32,1,2,1),(20,5385679,'1984-09-11 00:00:00',2,1,12,2003,'M','N','KOBRASOL','S JOSÉ','SC','124161161137131431347614342124610137047',NULL,'9998',0.00,4,2,1),(20,5385687,'1990-03-16 00:00:00',4,1,11,2006,'F','N','PARQUE SAO PAULO','CASCAVEL','PR','116162161216571511543832571124610162197',852,'9998',82.16,1,3,NULL),(20,5385709,'1992-05-20 00:00:00',2,7,12,2009,'F','N','CENTRO','FRAIBURGO','SC','124242241215111431434631395122610116192',NULL,'317',25.91,1,3,NULL),(20,5385717,'1992-09-12 00:00:00',3,1,12,2010,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111422369813585124610134157',NULL,'1133',19.55,1,3,NULL),(20,5385725,'1991-12-12 00:00:00',4,8,12,2009,'M','N','JARDIM CUIABÁ','CUIABÁ','MT','111112111216111331438811475122610162042',13162,'9998',47.92,1,3,NULL),(20,5385741,'1991-05-11 00:00:00',4,10,11,2008,'F','N','CENTRO','TUBARÃO','SC','124242241216152431549814315122130921182',NULL,'806',0.00,1,3,NULL),(20,5385750,'1990-10-01 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124161245147242421338524342124610126147',NULL,'307',0.00,4,3,NULL),(20,5385768,'1984-01-02 00:00:00',4,1,12,2001,'M','N','STA MÔNICA','FLORIANÓPOLIS','SC','124242241216123431226743435121221464045',5736,'951',66.63,1,3,NULL),(20,5385784,'1990-11-10 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117473431455413245134610167042',11413,'307',53.72,1,2,1),(20,5385792,'1992-01-22 00:00:00',4,1,11,2008,'F','N','DE FÁTIMA','FLORIANÓPOLIS','SC','124242241215473431459719575122131467097',296,'270',86.67,1,3,NULL),(20,5385806,'1992-03-02 00:00:00',4,1,12,2009,'M','N','VILA FORMOSA','S PAULO','SP','125252251217111431448812575122610137057',NULL,'9998',51.12,1,3,NULL),(20,5385814,'1989-12-22 00:00:00',2,1,12,2007,'M','N','FORQUILHAS','S JOSÉ','SC','124241241115372431332131342124610163052',NULL,'733',19.46,4,2,1),(20,5385830,'1990-11-27 00:00:00',2,2,12,2009,'M','N','SANTANA','RIO SUL','SC','124241246137131441644314145124610144057',NULL,'659',44.17,4,3,NULL),(20,5385849,'1989-10-30 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161216473411346816275122223237052',NULL,'9998',0.00,1,3,NULL),(20,5385857,'1992-06-12 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241117271431349813575124610131042',NULL,'733',39.09,1,2,1),(20,5385865,'1992-05-12 00:00:00',4,2,12,2009,'F','N','UNIVERSITÁRIO','CASCAVEL','PR','116163161116371431447613375124610134142',11993,'9998',50.03,1,3,NULL),(20,5385881,'1990-07-30 00:00:00',2,1,12,2007,'F','N','BOA VISTA','PTO ALEGRE','RS','120203201116571431458713473122610122042',2058,'9998',75.73,1,3,NULL),(20,5385890,'1989-03-20 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241217272131449933385114610164057',8670,'1048',60.60,4,3,NULL),(20,5385903,'1989-07-25 00:00:00',4,8,12,2006,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241216533411446824575122242417147',10439,'459',54.74,1,3,NULL),(20,5385911,'1989-06-10 00:00:00',4,8,12,2006,'F','N','CENTRO','BARRA VELHA','SC','124241241126271731425821445331610116187',NULL,'57',0.00,1,2,1),(20,5385920,'1986-10-30 00:00:00',4,16,12,2003,'M','N','CENTRO','FRAIBURGO','SC','124241241216372431354612345132230434182',NULL,'885',0.00,1,3,NULL),(20,5385938,'1992-06-17 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243241336271411445531375114610112112',NULL,'733',19.21,1,3,NULL),(20,5385946,'1990-04-05 00:00:00',4,1,12,2007,'M','N','SAGRADO CORAÇÃO','S MIGUEL OESTE','SC','124241241117131432233429235124133224047',14028,'753',47.14,1,2,1),(20,5385954,'1992-01-15 00:00:00',4,1,12,2008,'M','N','CHACARA CACHOEIRA','CPO GRANDE','MS','112252251216471431479911574124610164047',NULL,'9998',0.00,1,3,NULL),(20,5385962,'1990-04-11 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212272431358924575122221162195',4261,'486',70.14,1,3,NULL),(20,5385970,'1984-02-03 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241147154431326723375124221567142',NULL,'552',34.36,1,2,1),(20,5385997,'1992-05-12 00:00:00',4,2,12,2009,'M','N','CENTRO','VIDAL RAMOS','SC','124241241135161431559913345122610124052',NULL,'828',0.00,1,2,1),(20,5386012,'1991-01-03 00:00:00',2,10,12,2008,'M','N','CENTRO','TUBARÃO','SC','124243243116232431449934441123610127147',5471,'1034',64.70,1,3,NULL),(20,5386020,'1983-06-08 00:00:00',2,1,6,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241136144431333353245132610121095',15414,'307',46.56,1,2,1),(20,5386039,'1982-10-15 00:00:00',4,9,12,2000,'M','N','BEATRIZ','LAGES','SC','124244241216131331326631215122130627182',NULL,'515',0.00,1,3,NULL),(20,5386047,'1991-01-18 00:00:00',4,1,12,2007,'F','N','BOA VISTA','S JOSÉ R PRETO','SP','125252251216571431457911595122610127072',NULL,'9998',0.00,1,3,NULL),(20,5386055,'1994-06-10 00:00:00',4,1,12,2011,'F','S','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241217111751556733581122610164122',NULL,'262',61.76,1,3,NULL),(20,5386071,'1967-09-18 00:00:00',4,1,12,1984,'F','N','ESTREITO','FLORIANÓPOLIS','SC','424252251216141711235824442122342226097',NULL,'9998',35.53,1,3,NULL),(20,5386080,'1988-03-26 00:00:00',4,1,12,2006,'M','N','JARDIM PAULISTA','S PAULO','SP','113132251211112431438923495321221414042',NULL,'9998',0.00,1,3,NULL),(20,5386098,'1981-11-27 00:00:00',4,1,12,2001,'F','N','BARREIROS','S JOSÉ','SC','524203208326271421222213245334130828042',NULL,'9998',21.04,1,3,NULL),(20,5386101,'1991-08-29 00:00:00',4,1,12,2008,'M','N','CENTRO','CPO GRANDE','MS','112112111214311751348832575122610118187',14005,'9998',45.29,1,3,NULL),(20,5386110,'1991-10-22 00:00:00',4,8,12,2008,'M','N','PIRABEIRABA','JOINVILLE','SC','124241241217343721458614345124610137047',12780,'1105',52.78,1,3,NULL),(20,5386128,'1992-12-01 00:00:00',4,8,11,2009,'F','N','AGUA VERDE','CURITIBA','PR','116163161235111531556631575114610138192',NULL,'9998',0.00,1,3,NULL),(20,5386136,'1990-10-26 00:00:00',4,10,12,2008,'M','N','CENTRO','TUBARÃO','SC','124242241217132431556814475121231437052',16161,'797',42.96,1,3,NULL),(20,5386144,'1980-09-01 00:00:00',2,1,11,2004,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124101108121134411228821281141221864177',NULL,'9998',24.82,2,1,1),(20,5386160,'1986-07-03 00:00:00',4,1,12,2003,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241222233411424833345134610142042',13092,'262',50.96,4,3,NULL),(20,5386179,'1993-10-11 00:00:00',4,1,12,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241235111431438633575122610134042',NULL,'737',20.14,1,3,NULL),(20,5386187,'1976-12-30 00:00:00',2,1,12,1998,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124161241125414431323344142224610164147',NULL,'294',24.68,4,2,1),(20,5386209,'1987-10-26 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211173711379933495122233267071',NULL,'1022',23.99,2,3,NULL),(20,5386217,'1992-12-16 00:00:00',4,1,12,2009,'F','N','CIDADE JARDIM','CPO GRANDE','MS','112122121216574751348831575122610168187',8673,'9998',58.96,1,3,NULL),(20,5386225,'1991-01-04 00:00:00',2,1,12,2008,'M','N','ROÇADO','S JOSÉ','SC','124241241147271431323311245112610127042',NULL,'729',30.96,1,2,1),(20,5386233,'1991-06-16 00:00:00',4,1,12,2008,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241137272431633329345114610165152',11343,'287',52.45,1,2,1),(20,5386241,'1987-11-23 00:00:00',4,1,12,2004,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241161216152431447511475124221524043',6960,'9998',63.92,1,3,NULL),(20,5386250,'1988-11-04 00:00:00',4,8,12,2006,'F','N','SEMINARIO','CURITIBA','PR','116162161216211451269924385121141842042',NULL,'9998',0.00,1,3,NULL),(20,5386284,'1977-10-05 00:00:00',4,1,12,1994,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','624244241216152411263354335122321056182',NULL,'270',0.00,1,3,NULL),(20,5386292,'1986-10-11 00:00:00',2,1,12,2003,'M','N','SAO LUCAS','VIAMÃO','RS','120201201216271431348312442122610167047',12686,'9998',49.70,4,3,NULL),(20,5386306,'1985-05-02 00:00:00',2,1,12,2004,'M','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124251241146274221434629445114610167047',NULL,'257',28.59,1,2,1),(20,5386314,'1975-09-10 00:00:00',4,1,12,1992,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216464441153611445124121432092',NULL,'907',23.03,1,3,NULL),(20,5386322,'1991-03-21 00:00:00',4,1,12,2008,'M','N','JARDIM SÃO LUIS','RIBEIRÃO PRETO','SP','125254251415471131569911575122610122043',NULL,'9998',0.00,1,3,NULL),(20,5386330,'1982-11-04 00:00:00',2,1,6,2000,'M','N','BARREIROS','S JOSÉ','SC','124241246136155411436444145122221117063',10741,'306',55.98,1,2,1),(20,5386349,'1991-07-05 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624241241226372431326321575124230868142',14398,'262',46.88,1,3,NULL),(20,5386357,'1991-02-07 00:00:00',4,3,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242248214152411233832225124230268147',NULL,'9997',0.00,1,3,NULL),(20,5386365,'1993-02-07 00:00:00',2,3,12,2009,'F','N','CENTRO','ARARUNA','PR','116162161216371731556311275122610162187',12765,'9998',49.63,1,3,NULL),(20,5386373,'1969-05-15 00:00:00',4,1,12,1987,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224162244217574721257641415122321661095',NULL,'260',38.99,1,3,NULL),(20,5386381,'1989-11-17 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116372751236313232124610134145',NULL,'298',17.81,2,1,1),(20,5386411,'1992-07-16 00:00:00',2,4,12,2009,'M','N','NOVA DIVINEIA','PINHALZINHO','SC','124241241127131411536362241131610127017',NULL,'616',26.10,1,2,1),(20,5386420,'1991-03-16 00:00:00',4,1,12,2008,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241117472431557331281114610138017',9766,'192',56.43,1,2,1),(20,5386438,'1989-02-05 00:00:00',4,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124242241215372431459712225122130222131',NULL,'1063',0.00,1,3,NULL),(20,5386446,'1992-05-05 00:00:00',4,1,12,2009,'M','N','NOVOS ESTADOS','CPO GRANDE','MS','112122121216112751348831575122620168187',11065,'9998',52.59,1,3,NULL),(20,5386462,'1990-04-14 00:00:00',4,8,12,2007,'F','N','PETRÓPOLIS','JOINVILLE','SC','124241241215111431444612445324231066072',NULL,'1105',0.00,1,3,NULL),(20,5386470,'1988-03-18 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241316115411668938385124230227097',12105,'300',54.16,1,3,NULL),(20,5386489,'1991-05-31 00:00:00',2,3,12,2008,'F','N','CENTRO','ARARUNA','PR','116162161216471731556311275122610162187',12228,'9998',50.44,1,3,NULL),(20,5386500,'1972-04-17 00:00:00',4,1,12,1989,'M','N','INGLESES','FLORIANÓPOLIS','SC','224122121211473421268844445122320432187',NULL,'9998',0.00,1,3,NULL),(20,5386535,'1991-07-29 00:00:00',4,1,12,2009,'F','N','JARDIM SÃO PAULO II','COTIA','SP','125252251416471431469934575124610127187',13243,'9998',48.80,1,3,NULL),(20,5386543,'1990-06-13 00:00:00',4,1,12,2009,'M','N','CENTRO','BURITAMA','SP','125251251115131431426632242121610147187',NULL,'9998',28.49,4,2,1),(20,5386551,'1987-03-25 00:00:00',2,1,12,2004,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241117135731423319245122610124057',NULL,'727',0.00,1,2,1),(20,5386578,'1991-05-16 00:00:00',2,8,12,2008,'F','N','AVENTUREIRO','JOINVILLE','SC','124243241216371431648832571114610162042',NULL,'462',27.07,4,3,NULL),(20,5386586,'1975-02-24 00:00:00',2,1,12,1994,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201203116134731123344245134140861113',NULL,'9998',24.65,1,3,NULL),(20,5386594,'1989-05-05 00:00:00',2,8,6,2007,'M','N','ITINGA','JOINVILLE','SC','124243247217473431324631445124230824057',NULL,'487',32.37,1,3,NULL),(20,5386608,'1978-10-12 00:00:00',4,1,12,2000,'M','N','DEHON','TUBARÃO','SC','124131241127151451242244345125610147187',NULL,'9998',0.00,2,1,1),(20,5386616,'1991-03-30 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215472431468832475124610127142',NULL,'270',0.00,1,3,NULL),(20,5386624,'1989-06-18 00:00:00',4,8,12,2006,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241216152732189934415221121464065',880,'1063',82.01,1,3,NULL),(20,5386659,'1991-09-23 00:00:00',4,1,12,2008,'F','N','UNIVERSITÁRIO','BENTO GONÇALVES','RS','120202201215271411458812243122610126141',NULL,'9998',0.00,1,3,NULL),(20,5386667,'1979-08-14 00:00:00',4,5,12,1997,'M','N','NOVA','CRICIÚMA','SC','224242241216135731336329335122333217041',9102,'229',59.77,4,3,NULL),(20,5386675,'1985-03-06 00:00:00',4,1,12,2002,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124241248214135431123341215321221416182',NULL,'44',0.00,2,1,2),(20,5386683,'1985-04-04 00:00:00',4,15,12,2002,'F','N','CENTRO','MRO GRANDE','SC','124241241216141221334435245122331337057',16088,'32',43.51,1,3,NULL),(20,5386691,'1991-02-24 00:00:00',4,1,12,2008,'M','N','ACLIMAÇÃO','S PAULO','SP','125251251116571232649813575114610114037',NULL,'9998',0.00,1,2,1),(20,5386705,'1990-08-02 00:00:00',4,8,11,1990,'M','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116253251416571431365823375114610147037',3777,'9998',70.78,3,3,NULL),(20,5386713,'1967-05-29 00:00:00',4,1,12,1985,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124211213117131431438555212122342862097',NULL,'9998',0.00,4,2,1),(20,5386721,'1988-04-23 00:00:00',2,1,7,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','624241241116132431236953245224231038187',13551,'306',51.27,1,2,1),(20,5386730,'1989-10-28 00:00:00',2,1,12,2007,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241216133751546733282124133262072',NULL,'1048',25.89,4,3,NULL),(20,5386748,'1986-09-06 00:00:00',4,1,11,2003,'M','N','VILA A','FOZ IGUAÇU','PR','116162161211132541336634385124221466052',2162,'9998',76.31,1,3,NULL),(20,5386756,'1980-03-06 00:00:00',4,1,12,1997,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201203116131421123344445334340936043',15842,'9998',44.89,1,2,1),(20,5386764,'1992-08-01 00:00:00',4,8,11,2009,'M','N','PAROLIN','CURITIBA','PR','116162161237471431589811575114610167012',1849,'9998',75.47,1,3,NULL),(20,5386772,'1981-01-20 00:00:00',2,1,12,1999,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242247217374431128741412224132866095',NULL,'9999',22.93,1,3,NULL),(20,5386780,'1993-04-01 00:00:00',4,8,11,2009,'M','N','NOBRE','SORRISO','MT','111114111246111421546619395122610128072',NULL,'9998',28.69,1,3,NULL),(20,5386799,'1971-09-25 00:00:00',2,15,12,1989,'F','N','MATO ALTO','ARARANGUÁ','SC','224241241137163531423154345124133225145',NULL,'31',26.15,1,2,1),(20,5386802,'1990-12-12 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241215152211457834375124610167045',14550,'723',49.13,1,3,NULL),(20,5386810,'1990-09-26 00:00:00',2,1,12,2007,'F','N','CENTRO','SANTANA LIVRAMENTO','RS','120201201116571411223527345124610166177',9656,'9998',56.91,1,2,1),(20,5386829,'1990-04-24 00:00:00',2,1,12,2006,'F','N','AREIAS DE MACACU','GAROPABA','SC','124241241126271131524519282314610131047',NULL,'322',24.61,1,2,1),(20,5386837,'1987-09-07 00:00:00',3,1,12,2004,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124112111217142441288832495124421126197',9964,'9998',58.21,1,3,NULL),(20,5386845,'1991-04-25 00:00:00',4,1,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161237571751248829295125610162197',NULL,'9998',28.02,1,3,NULL),(20,5386853,'1972-03-24 00:00:00',4,1,9,1990,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124201203126131411223349295124610166187',11112,'9998',56.05,1,3,NULL),(20,5386861,'1989-01-30 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115413321467813475122610117117',16040,'883',43.83,1,3,NULL),(20,5386888,'1989-02-13 00:00:00',2,1,12,2006,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241116273431437633385124610165187',NULL,'307',32.18,1,2,1),(20,5386896,'1991-12-13 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215131431427923572122610128042',NULL,'44',25.17,1,3,NULL),(20,5386900,'1991-07-26 00:00:00',2,1,12,2008,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241216143431456412115122610127047',NULL,'259',21.47,1,3,NULL),(20,5386918,'1992-08-12 00:00:00',2,5,11,2009,'F','N','CENTRO','FORQUILHINHA','SC','124242241215111431333312575114610114142',15266,'226',47.07,1,3,NULL),(20,5386934,'1987-09-10 00:00:00',4,1,12,2005,'F','N','SÃO PEDRO','LIMEIRA','SP','125251251111271111324664571224610128187',NULL,'9998',0.00,1,2,1),(20,5386942,'1992-11-27 00:00:00',2,3,12,2009,'M','N','PINHEIROS','PATO BRANCO','PR','116163161336411211323677275115610162141',NULL,'9998',0.00,1,3,NULL),(20,5386950,'1988-11-12 00:00:00',2,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241216574431656931295124221434097',6394,'885',65.14,1,3,NULL),(20,5386969,'1981-07-11 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241421215721124614145113222318041',12592,'409',53.15,1,3,NULL),(20,5386977,'1990-07-02 00:00:00',2,17,12,2008,'M','N','BAIRRO FATY','S MATEUS SUL','PR','124163166126111411448613482222231424172',NULL,'9998',25.48,1,3,NULL),(20,5386985,'1988-12-26 00:00:00',4,1,11,2005,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124246241615272431446634445124130267075',13121,'9997',52.13,1,3,NULL),(20,5387000,'1992-06-28 00:00:00',4,17,12,2009,'M','N','SALTO DA ÁGUA VERDE','CANOINHAS','SC','124241242116272431323329575324610137047',NULL,'143',26.94,1,3,NULL),(20,5387027,'1989-08-07 00:00:00',4,1,8,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241116273751344623475124610167062',4870,'739',67.83,1,3,NULL),(20,5387035,'1974-10-03 00:00:00',2,1,6,1997,'F','N','JD MARCOS ANTONIO','BIGUAÇU','SC','124241248116154421553619435114322731097',NULL,'306',0.00,1,2,1),(20,5387043,'1987-12-09 00:00:00',2,1,12,2004,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241317142421458732335134330223057',6982,'300',63.87,1,3,NULL),(20,5387051,'1991-12-28 00:00:00',2,4,12,2008,'M','N','CENTRO','QUEDAS IGUAÇU','PR','116161161116131251553933575124241963027',NULL,'9998',25.41,4,2,1),(20,5387060,'1969-05-16 00:00:00',4,15,12,1990,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','224201201137151731433641415122343227183',NULL,'9998',47.46,1,3,NULL),(20,5387078,'1992-01-27 00:00:00',2,1,12,2009,'F','N','VILA PAULISTA','LIMEIRA','SP','125252251111271411428417571324610128183',NULL,'9998',0.00,1,3,NULL),(20,5387094,'1989-03-04 00:00:00',4,1,12,2006,'F','N','CENTRO','PTO ALEGRE','RS','120202201216571451459931495124142832177',NULL,'9998',33.77,1,3,NULL),(20,5387108,'1935-10-23 00:00:00',2,1,12,1959,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224241241112154431656643131122123217047',NULL,'307',0.00,1,2,1),(20,5387116,'1986-02-13 00:00:00',2,1,12,2004,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241145274421234444242132610122092',NULL,'307',38.86,1,2,1),(20,5387124,'1992-11-03 00:00:00',4,5,11,2009,'F','N','CENTRO','FORQUILHINHA','SC','124242241215111431236612575114610116182',NULL,'226',34.02,1,3,NULL),(20,5387140,'1992-10-18 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124241246212111431437713575124610117041',NULL,'995',37.11,1,3,NULL),(20,5387159,'1992-02-14 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241217132431366921595124610137032',8557,'1022',60.82,4,3,NULL),(20,5387167,'1987-01-30 00:00:00',4,8,12,2004,'M','N','VILA MORAES','S PAULO','SP','125252251215471322654667575115141454077',NULL,'9998',0.00,4,3,NULL),(20,5387175,'1984-12-22 00:00:00',4,1,12,2002,'M','N','CAMPINAS','S JOSÉ','SC','124242241116143721368923435122330232057',4526,'270',69.46,4,3,NULL),(20,5387183,'1992-01-22 00:00:00',4,8,12,2009,'M','N','CENTENÁRIO','S BENTO SUL','SC','124243241216111431228761575125610134097',NULL,'974',35.57,1,3,NULL),(20,5387191,'1987-01-07 00:00:00',2,1,12,2005,'M','N','JABOTIANA','ARACAJU','SE','126262261216141431456813435122143232117',NULL,'9998',0.00,4,1,2),(20,5387213,'1990-05-09 00:00:00',4,1,12,2008,'F','N','NOVA VALINHOS','VALINHOS','SP','125251253117111431354431245122610116093',NULL,'9998',0.00,1,2,1),(20,5387221,'1966-09-20 00:00:00',2,15,10,1984,'M','N','CENTRO','TURVO','SC','224201201133151711432352315132341427051',NULL,'9998',49.61,1,3,NULL),(20,5387230,'1971-02-01 00:00:00',4,1,2,1989,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','624164161436141741234453335122342266187',NULL,'9998',44.94,1,3,NULL),(20,5387248,'1964-08-01 00:00:00',2,1,12,1982,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','624241241126272451632344443134610114187',15935,'307',44.49,2,1,1),(20,5387256,'1987-09-29 00:00:00',2,1,11,2004,'F','N','PIO CORREIA','CRICIÚMA','SC','124242241212134431546712342234130262147',NULL,'211',30.60,4,3,NULL),(20,5387264,'1990-06-05 00:00:00',4,1,12,2007,'F','N','CENTRO','FREDERICO WESTPHALEN','RS','120201201117571431538813571325143268042',405,'9998',85.32,1,2,1),(20,5387272,'1973-12-14 00:00:00',5,1,10,1992,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224243246137135112263443432124331012067',15475,'306',46.41,1,3,NULL),(20,5387280,'1990-07-11 00:00:00',4,1,7,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243247316132112438913585314610117077',NULL,'9999',20.02,1,3,NULL),(20,5387299,'1989-04-14 00:00:00',2,1,12,2007,'F','N','CENTRO','S LOURENÇO SUL','RS','120201201117471731116544145134610117052',NULL,'9998',29.29,1,2,1),(20,5387302,'1988-12-29 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124242241215574731468622271112610137017',5660,'270',66.78,1,3,NULL),(20,5387310,'1991-01-28 00:00:00',2,17,12,2008,'F','N','CENTRO','S MATEUS SUL','PR','116162161216371431578832375122142436182',NULL,'9998',0.00,1,3,NULL),(20,5387329,'1993-02-06 00:00:00',4,4,12,2009,'F','N','PARQUE DE EXPOSIÇÕES','CONCÓRDIA','SC','124241241117471431346332574112610123052',NULL,'858',0.00,4,3,NULL),(20,5387337,'1989-05-28 00:00:00',2,5,12,2006,'M','N','CENTRO','NOVA VENEZA','SC','124242241345371512476812475112610167062',14890,'576',48.18,1,3,NULL),(20,5387353,'1990-08-20 00:00:00',4,1,12,2008,'M','N','BARÃO GERALDO','CAMPINAS','SP','125252251215471431479811475122610167047',3714,'9998',70.29,1,3,NULL),(20,5387361,'1985-10-14 00:00:00',4,3,12,2004,'M','N','ASSUNÇÃO','PTO ALEGRE','RS','120202208216131711144438483121143167116',NULL,'9998',0.00,1,3,NULL),(20,5387370,'1989-09-08 00:00:00',4,1,12,2007,'M','N','HIPOLITO','LIMEIRA','SP','125251251121271411433314241124610128183',NULL,'9998',0.00,1,2,1),(20,5387388,'1980-10-11 00:00:00',5,1,11,1999,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224241245132132112263353432122333212142',NULL,'156',0.00,1,3,NULL),(20,5387400,'1987-07-30 00:00:00',4,2,12,2004,'F','N','NAÇÕES','INDAIAL','SC','124242241217142431457832245122231024077',NULL,'37',0.00,1,3,NULL),(20,5387418,'1981-01-09 00:00:00',2,1,11,1999,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224243247226155421256743235122130867117',NULL,'9999',43.62,1,3,NULL),(20,5387426,'1986-07-08 00:00:00',4,1,12,2003,'M','N','BARREIROS','S JOSÉ','SC','124241241117273431129944342332230267047',10633,'697',56.98,1,2,1),(20,5387442,'1987-05-18 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241246115132431333319385124610137047',NULL,'306',25.06,1,2,1),(20,5387450,'1990-07-30 00:00:00',4,1,12,2007,'F','N','PARQUE DAS NAÇÕES','LIMEIRA','SP','125251251111571411426621181123610128183',NULL,'9998',0.00,1,2,1),(20,5387477,'1991-11-18 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241216153431258633575114233261187',NULL,'272',0.00,1,3,NULL),(20,5387485,'1992-10-14 00:00:00',4,8,11,2009,'M','N','CENTRO','PRIMAVERA','SP','125253161435111431355614472114610127052',9203,'9998',56.62,4,3,NULL),(20,5387507,'1973-08-02 00:00:00',4,15,12,1998,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','224011241127141731321111315323610135057',NULL,'30',31.17,1,2,1),(20,5387515,'1990-08-02 00:00:00',2,1,12,2007,'F','N','SETOR BUENO','GOIÂNIA','GO','109254251116312232367634425122610127047',NULL,'9998',25.02,1,3,NULL),(20,5387531,'1988-07-18 00:00:00',2,5,12,2005,'F','N','RIO MAINA','CRICIÚMA','SC','124242241212574431646514445124231427017',10784,'880',56.71,1,3,NULL),(20,5387540,'1983-01-08 00:00:00',4,1,12,2000,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224242241216145321369843435134523268182',3715,'269',71.59,1,3,NULL),(20,5387558,'1985-02-24 00:00:00',2,1,12,2002,'F','N','BELA VISTA IV','S JOSÉ','SC','124241241112153431226674481124610164077',NULL,'272',27.19,2,1,1),(20,5387566,'1990-03-06 00:00:00',4,1,12,2007,'F','N','CENTRO','CATANDUVA','SP','125254251417471751369613575112610164123',NULL,'9998',0.00,1,3,NULL),(20,5387574,'1983-08-20 00:00:00',2,10,12,2000,'M','N','VILA NOVA','IMBITUBA','SC','124241241116252731457923475122220618012',NULL,'169',20.45,1,3,NULL),(20,5387582,'1987-10-20 00:00:00',4,1,12,2005,'F','N','AEROPORTO','LIMEIRA','SP','125251251121571411636471211224610168183',NULL,'9998',0.00,1,2,1),(20,5387590,'1988-05-15 00:00:00',4,1,12,2005,'M','N','VILA CELESTE','S PAULO','SP','125252251215471431357872571122141563077',1848,'9998',76.09,4,3,NULL),(20,5387604,'1990-11-06 00:00:00',2,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247415151431226633375124610117112',NULL,'9997',26.25,1,3,NULL),(20,5387612,'1992-01-13 00:00:00',4,1,12,2009,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121216113751458831575122610168187',3632,'9998',71.47,1,3,NULL),(20,5387620,'1979-05-30 00:00:00',2,1,11,2002,'F','N','BELA VISTA I','S JOSÉ','SC','124241247627232431631623281124610125097',NULL,'9999',27.02,3,3,NULL),(20,5387639,'1993-05-08 00:00:00',4,10,11,2009,'F','N','VILA PARAÍSO','JAGUARUNA','SC','124244241215161431559914571122610127072',4784,'806',68.89,1,3,NULL),(20,5387647,'1992-02-16 00:00:00',4,1,12,2008,'M','N','JARDIM DAS FLORES','S JOSÉ CAMPOS','SP','125251251417131431346529585124140637142',12803,'9998',52.74,4,3,NULL),(20,5387655,'1977-06-26 00:00:00',4,1,3,1998,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124252257216572731174621175122221566042',13157,'9998',52.06,1,3,NULL),(20,5387663,'1990-02-12 00:00:00',4,1,12,2007,'M','N','FLORESTA','S JOSÉ','SC','124242247217272431486612225122132567042',NULL,'1036',38.37,1,3,NULL),(20,5387671,'1986-12-14 00:00:00',4,1,12,2003,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216152751349919445122321424142',NULL,'1169',NULL,1,3,NULL),(20,5387701,'1988-05-20 00:00:00',2,1,12,2005,'F','N','HIPOLITO EXP I','LIMEIRA','SP','125252251111572411326621381124610128183',NULL,'9998',0.00,1,3,NULL),(20,5387710,'1991-02-09 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241248646141421236724242114610132057',NULL,'922',19.65,1,3,NULL),(20,5387736,'1989-07-25 00:00:00',4,8,12,2007,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241236371431459714495125610137047',NULL,'442',0.00,1,3,NULL),(20,5387744,'1985-01-29 00:00:00',4,1,10,2003,'M','N','KOBRASOL','S JOSÉ','SC','124052217411272441338719575124333267042',15418,'9998',46.55,1,3,NULL),(20,5387752,'1969-01-16 00:00:00',2,1,12,1985,'M','N','CENTRO','FLORIANÓPOLIS','SC','224203201216141731379743435132340367042',NULL,'9998',0.00,1,3,NULL),(20,5387787,'1988-01-20 00:00:00',4,1,12,2005,'M','N','LAGOA NOVA','LIMEIRA','SP','125251251141571411323644441324610128184',NULL,'9998',0.00,4,2,1),(20,5387795,'1964-03-15 00:00:00',2,1,12,1982,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241243226141441174441115122342837142',NULL,'752',48.89,1,3,NULL),(20,5387809,'1989-11-30 00:00:00',4,1,12,2007,'F','N','JARDIM CLARET','RIO CLARO','SP','125252251217371731239632495122610134147',NULL,'9998',0.00,1,3,NULL),(20,5387817,'1992-03-04 00:00:00',4,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124242248215122531436932591122610126145',NULL,'881',0.00,1,3,NULL),(20,5387833,'1992-10-15 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241212111431438832572122610127042',NULL,'269',57.80,1,3,NULL),(20,5387841,'1990-07-25 00:00:00',2,8,12,2007,'F','N','CAJURU','CURITIBA','PR','116115161315571152448711171124243266194',5413,'9998',65.00,4,3,NULL),(20,5387850,'1988-05-26 00:00:00',2,1,12,2005,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241212574431438729571124610163127',8167,'262',59.87,4,3,NULL),(20,5387868,'1974-02-15 00:00:00',2,1,12,1991,'M','N','CENTRO','URUSSANGA','SC','124241248116135731123543435334120834147',NULL,'820',26.97,1,2,1),(20,5387876,'1987-03-12 00:00:00',4,1,12,2005,'M','N','IPIRANGA','S JOSÉ','SC','124241247132132421534429242123130217047',NULL,'9997',20.75,1,2,1),(20,5387884,'1985-10-09 00:00:00',2,1,12,2003,'F','N','PACHECOS','PALHOÇA','SC','124241241116373421664433445134610122042',14629,'592',48.92,1,2,1),(20,5387892,'1987-08-25 00:00:00',4,1,12,2005,'M','N','CENTRO','CARAGUATATUBA','SP','125252256216573431488711572122122434056',227,'9998',87.62,3,3,NULL),(20,5387914,'1975-11-17 00:00:00',2,1,12,1993,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224241241116253431246443432122121227182',13387,'271',51.61,1,2,1),(20,5387949,'1991-12-07 00:00:00',4,10,12,2009,'F','N','SÃO BASÍLIO','BRAÇO NORTE','SC','124241241136141431433319215125610148187',NULL,'100',0.00,1,2,1),(20,5387965,'1987-08-02 00:00:00',2,1,11,2004,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241127273441344333381124332764095',NULL,'294',23.77,1,2,1),(20,5387973,'1991-10-01 00:00:00',2,7,12,2009,'F','N','INTERIOR','ERVAL VELHO','SC','124241243135131211323315575124610164182',NULL,'341',0.00,1,3,NULL),(20,5387981,'1991-09-04 00:00:00',2,16,12,2009,'M','N','SÃO JOSÉ','CURITIBANOS','SC','124241241125271731426524285225610164087',NULL,'239',23.54,1,2,1),(20,5388007,'1978-10-04 00:00:00',4,1,12,1996,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224254253146232431338744245134610147067',16068,'9998',43.63,2,1,2),(20,5388023,'1971-12-30 00:00:00',4,1,12,1990,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','624241241146235731325354485114610127027',15215,'281',47.19,1,2,1),(20,5388031,'1992-02-20 00:00:00',4,8,12,2009,'M','N','CENTRO','ARAPONGAS','PR','116162161216111441458433575122610117047',NULL,'9998',0.00,1,3,NULL),(20,5388040,'1993-09-20 00:00:00',4,1,12,2010,'F','S','SANTA FÉ','CPO GRANDE','MS','112122121216111431479713575122610114047',NULL,'9998',68.69,1,3,NULL),(20,5388058,'1991-03-17 00:00:00',2,1,12,2008,'M','N','SUMARÉ','PARANAVAÍ','PR','116161161317211432436633316324610117057',NULL,'9998',25.81,1,3,NULL),(20,5388066,'1991-05-15 00:00:00',4,6,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161215471431568813574124610144097',743,'9998',82.26,1,3,NULL),(20,5388074,'1990-08-15 00:00:00',4,1,12,2008,'F','N','HIPOLITO EXP II','LIMEIRA','SP','125251251111571411436364571124610128183',NULL,'9998',26.93,1,2,1),(20,5388082,'1991-01-01 00:00:00',4,1,12,2008,'F','N','SAO MANUEL','S JOSÉ R PRETO','SP','125252251215471431468831571125610128182',NULL,'9998',0.00,1,3,NULL),(20,5388104,'1988-05-06 00:00:00',2,1,12,2005,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241122131441423315342334130324057',NULL,'93',15.37,4,2,1),(20,5388112,'1986-06-07 00:00:00',4,1,12,2003,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241212134731556612432122131367047',NULL,'943',0.00,1,3,NULL),(20,5388120,'1992-09-17 00:00:00',2,1,12,2009,'F','N','BOM VIVER','BIGUAÇU','SC','124241241317131751225623595112610164092',NULL,'726',0.00,1,3,NULL),(20,5388139,'1984-08-27 00:00:00',5,1,12,2002,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124161161116131231221144445114241422085',9605,'9998',58.90,4,3,NULL),(20,5388155,'1990-12-04 00:00:00',4,1,12,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241216231411256724395122610148053',10086,'751',57.99,1,3,NULL),(20,5388163,'1984-07-27 00:00:00',2,1,12,2002,'M','N','KOBRASOL','S JOSÉ','SC','224243247346174411225348281224131061187',NULL,'9999',0.00,2,1,2),(20,5388171,'1988-03-25 00:00:00',2,1,12,2005,'F','N','RECANTO TROPICAL','CASCAVEL','PR','116162161216571431559614575122610166047',4983,'9998',66.44,1,3,NULL),(20,5388180,'1989-12-22 00:00:00',4,1,12,2007,'M','N','VILA INDEPENDENCIA','LIMEIRA','SP','125252251141471411435317571124610128183',NULL,'9998',23.22,1,3,NULL),(20,5388198,'1976-03-31 00:00:00',4,1,6,1998,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124245244537165631411146155341610165116',NULL,'9999',0.00,4,3,NULL),(20,5388201,'1992-06-06 00:00:00',4,15,12,2009,'M','N','CENTRO','PELOTAS','RS','120202201213571711469931573121610167052',2417,'9998',75.38,1,3,NULL),(20,5388228,'1986-09-23 00:00:00',2,1,12,2003,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','224241244127271431236554172212610111187',NULL,'291',14.38,1,2,1),(20,5388236,'1990-09-03 00:00:00',4,8,12,2007,'F','N','CRITO REI','CURITIBA','PR','116162161216271411548812571124142066091',NULL,'9998',0.00,1,3,NULL),(20,5388244,'1990-06-08 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241311473411339839575122221233145',8248,'271',61.39,1,3,NULL),(20,5388260,'1989-03-13 00:00:00',4,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116162161215571451178811575112143264096',NULL,'9998',0.00,1,3,NULL),(20,5388279,'1989-03-18 00:00:00',2,1,12,2006,'M','N','PERDIZES','S PAULO','SP','125252251216273411468732575124141267042',15759,'9998',45.23,1,3,NULL),(20,5388287,'1986-08-25 00:00:00',2,5,12,2005,'M','N','CEEE','SALTO JACUÍ','RS','120201203116111242153113521112610124174',NULL,'9998',27.12,4,3,NULL),(20,5388295,'1990-02-23 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217153431467733571112230267117',NULL,'262',32.35,1,3,NULL),(20,5388309,'1987-07-18 00:00:00',2,1,12,2006,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124244241212231731327621585124610117127',NULL,'9999',35.82,1,3,NULL),(20,5388317,'1992-03-15 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241336131431223329295114610148197',13069,'257',52.23,4,3,NULL),(20,5388325,'1986-10-15 00:00:00',4,7,12,2004,'M','N','CENTRO','MACHADINHO','RS','120201202136132711423319295324610167044',NULL,'9998',0.00,1,2,1),(20,5388333,'1989-11-23 00:00:00',4,7,12,2007,'M','N','CENTRO','CAMPOS NOVOS','SC','124242241217372731358532494112610138181',NULL,'962',32.40,1,3,NULL),(20,5388341,'1991-03-04 00:00:00',4,6,12,2008,'F','N','CENTRO','ITAJAÍ','SC','124242241215372731456811195124231417142',5691,'392',66.71,1,3,NULL),(20,5388368,'1973-02-26 00:00:00',4,1,12,1991,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624241246316135521646544395132131414143',NULL,'306',31.22,1,3,NULL),(20,5388376,'1986-11-11 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244247237272411228751112133610132182',NULL,'9998',0.00,4,3,NULL),(20,5388384,'1990-11-19 00:00:00',4,1,12,2008,'F','N','ZONA RURAL','LIMEIRA','SP','125251251111572411538611571224610128183',15058,'9998',43.02,1,2,1),(20,5388392,'1989-04-14 00:00:00',4,2,12,2006,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241236111431446611345124231437067',NULL,'87',31.22,1,3,NULL),(20,5388406,'1990-06-24 00:00:00',4,1,12,2007,'M','N','GUABIROTUBA','CURITIBA','PR','116122121216571512567712575114610137047',3963,'9998',68.00,4,3,NULL),(20,5388414,'1988-05-29 00:00:00',4,1,12,2005,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241215575431426414485124610124022',14316,'1098',49.68,1,3,NULL),(20,5388422,'1992-09-17 00:00:00',2,3,12,2009,'F','N','ESTRELA','PNT GROSSA','PR','116162161216471431488612572114610123182',NULL,'9998',30.72,1,3,NULL),(20,5388449,'1973-08-19 00:00:00',4,1,12,1991,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124161161312472721164446465122321434097',13696,'9998',50.95,4,3,NULL),(20,5388457,'1992-12-21 00:00:00',4,7,12,2009,'F','N','INDUSTRIAL','SALTO VELOSO','SC','124241241115371431446923332124610147072',NULL,'684',0.00,1,2,1),(20,5388465,'1993-02-15 00:00:00',2,1,12,2009,'F','N','CENTRO','ITAPUCÁ','RS','120201201115271431423623575124610128052',15830,'9998',41.17,1,2,1),(20,5388473,'1990-12-11 00:00:00',4,8,12,2008,'F','N','VILA PROGRESSO','DOURADOS','MS','112122121217471431335514575112610162047',10177,'9998',54.72,1,3,NULL),(20,5388481,'1990-07-29 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216152751238924495125231067187',13543,'262',51.29,1,3,NULL),(20,5388490,'1993-01-01 00:00:00',4,1,12,2009,'F','N','CENTRO','GAROPABA','SC','124241241141161431421311272321610127142',NULL,'322',28.46,1,2,1),(20,5388503,'1991-08-29 00:00:00',4,8,11,2008,'M','N','PORTÃO','CURITIBA','PR','116162161217471431588863572124610134092',NULL,'9998',0.00,4,3,NULL),(20,5388520,'1993-05-29 00:00:00',4,1,12,2010,'F','S','CANUDOS','ANTÔNIO CARLOS','SC','124241241112151431333319572122610127142',NULL,'21',44.12,1,3,NULL),(20,5388546,'1988-07-01 00:00:00',4,1,12,2005,'M','N','STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC','124242241217575451348923575114610162182',NULL,'270',0.00,1,3,NULL),(20,5388554,'1990-02-27 00:00:00',2,1,12,2007,'M','N','JARDIM ITÁLIA','MARINGÁ','PR','116162161317572431465611475112610164047',12515,'9998',51.11,1,3,NULL),(20,5388562,'1992-01-01 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124243248215111411654624445124610122182',NULL,'1076',22.47,1,3,NULL),(20,5388570,'1990-12-24 00:00:00',2,1,12,2007,'F','N','UBERABA','CURITIBA','PR','116164161216471411258824585124610133097',3546,'881',72.03,1,3,NULL),(20,5388589,'1989-03-05 00:00:00',4,1,11,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217112721228612395334133262021',10496,'1011',57.24,1,3,NULL),(20,5388597,'1990-08-22 00:00:00',2,1,12,2008,'M','N','CENTRO','BIGUAÇU','SC','124241241116231431425524241214610127057',NULL,'65',28.83,4,2,1),(20,5388600,'1991-12-14 00:00:00',2,5,12,2008,'F','N','SANTA AUGUSTA','CRICIÚMA','SC','124201201116272411433322575114231342147',NULL,'9998',24.03,1,2,1),(20,5388619,'1988-07-08 00:00:00',4,9,12,2005,'M','N','PETRÓPOLIS','LAGES','SC','124243241117271431333711385124133234182',NULL,'502',0.00,1,3,NULL),(20,5388627,'1989-10-07 00:00:00',4,8,12,2006,'M','N','CENTRO','MARINGÁ','PR','116162161215571231569914275112610168196',NULL,'9998',0.00,1,3,NULL),(20,5388635,'1989-11-20 00:00:00',4,1,11,2006,'F','N','BNH III PLANO','DOURADOS','MS','112122121216471431459814575122142832147',6970,'9998',63.89,1,3,NULL),(20,5388643,'1983-10-08 00:00:00',2,1,12,2001,'M','N','BARREIROS','S JOSÉ','SC','124113111431143421336833212121330246172',16230,'9998',42.20,1,3,NULL),(20,5388651,'1991-06-25 00:00:00',2,1,12,2009,'M','N','CJ DOS METALURGICOS','OSASCO','SP','125254256421131431453841295234610167087',14359,'9998',43.97,1,3,NULL),(20,5388678,'1989-04-28 00:00:00',4,1,12,2006,'M','N','JARDIM BOTANICO','PTO ALEGRE','RS','120202201216371431368914575114143262191',NULL,'9998',0.00,1,3,NULL),(20,5388686,'1988-03-07 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216273231469933435134230263147',2381,'262',75.50,1,3,NULL),(20,5388694,'1992-02-01 00:00:00',2,4,12,2009,'F','N','SANTO INÁCIO','PALMITINHO','RS','120201201116131431433213571122610136057',NULL,'9998',0.00,1,3,NULL),(20,5388716,'1989-02-10 00:00:00',2,1,12,2006,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124241241126372431431379245124130232062',7956,'307',61.92,4,2,1),(20,5388724,'1992-05-14 00:00:00',2,4,12,2009,'F','N','NÃO POSSUI','NOVA ERECHIM','SC','124241241147271411625435275124610163092',NULL,'572',23.58,1,2,1),(20,5388732,'1992-07-06 00:00:00',4,17,11,2009,'M','N','SOSSEGO','CANOINHAS','SC','124242241236111711346632575125610114012',NULL,'154',23.23,1,3,NULL),(20,5388740,'1984-08-07 00:00:00',4,1,11,2002,'M','N','CAMPO BELO','S PAULO','SP','125064061216272731236614482324120227017',7769,'9998',62.29,1,3,NULL),(20,5388759,'1988-10-16 01:00:00',4,1,12,2006,'F','N','SÃO GERALDO','IJUÍ','RS','120203205117371431433319372124242832142',NULL,'9998',0.00,1,3,NULL),(20,5388767,'1992-03-30 00:00:00',4,2,12,2009,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124241241115271531337711245122610133142',NULL,'110',0.00,1,2,1),(20,5388775,'1986-06-25 00:00:00',2,1,11,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241126272431425711245124610163092',16163,'818',42.95,1,3,NULL),(20,5388783,'1992-09-16 00:00:00',2,4,12,2009,'F','N','CENTRO','ERVAL GRANDE','RS','120201201127171731423319272112610168187',NULL,'9998',18.67,1,3,NULL),(20,5388791,'1993-03-18 00:00:00',2,4,12,2009,'F','N','DONA ELIZA','PASSO FUNDO','RS','120201201117131751416574572342610168197',11777,'9998',52.34,1,2,1),(20,5388805,'1987-07-04 00:00:00',4,2,12,2004,'F','N','PROGRESSO','BLUMENAU','SC','124241241147151712233329242114610166147',NULL,'80',46.95,1,2,1),(20,5388813,'1989-04-12 00:00:00',4,1,12,2006,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124244241217372431333731215124610122115',10046,'1011',58.07,4,3,NULL),(20,5388821,'1990-11-16 00:00:00',2,1,12,2007,'F','N','JARDIM MONTEZUMA','LIMEIRA','SP','125252251415271431434711372122610141143',NULL,'9998',0.00,1,3,NULL),(20,5388830,'1991-06-13 00:00:00',4,8,12,2008,'M','N','VILA GOMES','S PAULO','SP','125252251211471432468821572114610127042',1524,'9998',78.77,1,3,NULL),(20,5388856,'1988-01-31 00:00:00',2,1,12,2005,'M','N','FORQUILHAS','S JOSÉ','SC','124251251126163711334674345223130268187',NULL,'9998',24.01,4,2,1),(20,5388864,'1989-11-26 00:00:00',2,3,12,2007,'M','N','CENTRO','LARANJEIRAS SUL','PR','116161168115371731446914572112610162112',NULL,'9998',33.19,1,3,NULL),(20,5388872,'1967-05-26 00:00:00',4,1,12,1984,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124252251217141451248642325132143267102',14303,'9998',49.70,1,3,NULL),(20,5388880,'1989-06-22 00:00:00',2,4,12,2006,'F','N','CENTRO','PTO ALEGRE','RS','120242241211211431249932591111610114152',6349,'975',65.22,1,3,NULL),(20,5388899,'1982-11-13 00:00:00',4,1,12,1999,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124202201216142431238744445132343222121',NULL,'9998',0.00,4,3,NULL),(20,5388902,'1989-02-04 00:00:00',4,1,11,2006,'M','N','BARREIROS','S JOSÉ','SC','124244241216373431466633395124221467043',11655,'943',55.01,1,3,NULL),(20,5388910,'1992-10-07 00:00:00',2,1,12,2009,'F','N','SANTO ANDRÉ','TRÊS LAGOAS','MS','112122121217111431446612575122610112017',NULL,'9998',27.24,4,3,NULL),(20,5388929,'1991-04-22 00:00:00',4,1,12,2008,'M','N','DE FÁTIMA','FLORIANÓPOLIS','SC','124241241216152432556923485124610167082',NULL,'1022',30.14,4,3,NULL),(20,5388937,'1989-01-19 00:00:00',4,1,7,2009,'M','N','ALTO DA RUA XV','CURITIBA','PR','116162167437271411347824376112610144112',NULL,'9998',24.80,1,3,NULL),(20,5388945,'1993-04-25 00:00:00',2,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124243241412132711226628572224610122092',NULL,'733',35.28,1,3,NULL),(20,5388953,'1987-06-13 00:00:00',2,2,12,2009,'M','N','VILA NOVA','BLUMENAU','SC','124211247127271431223374385124610112197',NULL,'9999',42.49,4,2,1),(20,5388961,'1988-11-03 00:00:00',4,1,12,2006,'M','N','BARÃO GERALDO','CAMPINAS','SP','125252251216271731489914575122241467042',10274,'9998',55.65,1,3,NULL),(20,5388970,'1988-10-19 00:00:00',4,1,12,2006,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124254251411273311234825515124130217117',NULL,'1022',27.45,1,3,NULL),(20,5388988,'1992-01-02 00:00:00',4,15,12,2009,'M','N','SÃO CAMILO','SOMBRIO','SC','124241241145151731418633282121610167057',NULL,'1033',18.58,4,2,1),(20,5388996,'1989-05-25 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212153742379613575124131144197',NULL,'262',NULL,1,3,NULL),(20,5389003,'1981-09-22 00:00:00',4,1,12,2000,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241112474711128729475115610114063',13765,'175',50.79,1,2,1),(20,5389011,'1988-10-29 00:00:00',4,1,11,2005,'M','N','JARDIM RIVA','PRIMAVERA LESTE','MT','111112111216151431477932575122143227012',NULL,'9998',27.94,2,3,NULL),(20,5389020,'1984-12-27 00:00:00',4,1,12,2002,'M','N','NOVA SUÍÇA','GOIÂNIA','GO','109092091216152411358823475122141444147',4070,'9998',70.68,4,3,NULL),(20,5389038,'1992-03-05 00:00:00',4,17,12,2009,'M','N','CENTRO','CANOINHAS','SC','124242241217111531259932575122610122172',NULL,'154',0.00,1,3,NULL),(20,5389046,'1991-09-14 00:00:00',2,1,12,2009,'M','N','FZA SANTO ANTONIO','S JOSÉ','SC','124241241215131431428613145224610127132',NULL,'1075',26.32,4,3,NULL),(20,5389054,'1983-08-20 00:00:00',4,10,12,2000,'F','N','CENTRO','GR PARÁ','SC','124243241116154431544714432122232724147',NULL,'808',26.13,1,3,NULL),(20,5389062,'1982-11-08 00:00:00',2,1,7,2002,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243248127154441236344145123220561077',NULL,'306',21.70,4,3,NULL),(20,5389070,'1993-03-05 00:00:00',4,9,12,2010,'F','S','PENHA','LAGES','SC','124242241215111431439613592122610123147',NULL,'499',26.20,1,3,NULL),(20,5389089,'1991-01-12 00:00:00',4,1,12,2007,'F','N','CENTRO','S PEDRO ALCÂNTARA','SC','124241241216473431434923495124231427092',NULL,'1074',0.00,1,3,NULL),(20,5389097,'1993-04-20 00:00:00',4,6,11,2010,'M','S','FAZENDA','ITAJAÍ','SC','124242241217111531358814572122610124012',NULL,'392',59.49,1,3,NULL),(20,5389100,'1991-02-09 00:00:00',2,1,12,2008,'F','N','SUMARÉ','PARANAVAÍ','PR','116161162136471431218829572124610127177',8227,'9998',59.67,1,2,1),(20,5389119,'1991-07-08 00:00:00',4,4,12,2008,'M','N','PARQUE DAS PALMEIRAS','CHAPECÓ','SC','124241241117132431446513585114131464057',10330,'169',52.80,4,2,1),(20,5389127,'1991-08-10 00:00:00',2,15,12,2009,'F','N','PRIMAVERA','NOVO HAMBURGO','RS','120203201216371731348822272122610162147',NULL,'9998',25.92,1,3,NULL),(20,5389143,'1988-07-14 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217455431379813222112231062072',NULL,'266',0.00,1,3,NULL),(20,5389151,'1987-01-26 00:00:00',2,15,10,2005,'M','N','CENTRO','ARARANGUÁ','SC','124241248116132211626933195133610167117',NULL,'29',16.36,1,3,NULL),(20,5389160,'1986-10-04 00:00:00',2,1,12,2008,'F','N','CAPIM MACIO','NATAL','RN','119111117126331321534311115224141017097',NULL,'9998',0.00,1,2,1),(20,5389178,'1981-01-02 00:00:00',4,1,12,1999,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117133221234444145122331267021',10462,'9999',57.31,1,2,1),(20,5389186,'1990-07-28 00:00:00',2,5,12,2007,'M','N','BARRO VERMELHO','ORLEANS','SC','124162241126161431536863142122610164097',13716,'580',46.58,1,3,NULL),(20,5389194,'1991-11-24 00:00:00',2,9,12,2009,'M','N','CENTRO','NOVA PRATA','RS','120201201116271531548831375122610137017',NULL,'9998',0.00,1,2,1),(20,5389208,'1979-08-27 00:00:00',4,1,12,1997,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224211216136131731253643431112321722097',6868,'9998',64.13,1,2,1),(20,5389216,'1993-04-22 00:00:00',4,1,12,2010,'M','S','CAMPINAS','S JOSÉ','SC','124243241215111731348834575122610114012',NULL,'737',24.19,1,3,NULL),(20,5389224,'1983-05-28 00:00:00',4,1,12,2000,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241117353711136444345124130412187',NULL,'307',41.12,1,2,1),(20,5389240,'1991-09-08 00:00:00',4,1,11,2008,'M','N','CRISTO REDENTOR','PTO ALEGRE','RS','120202201217471411558813571124610168017',NULL,'9998',0.00,1,3,NULL),(20,5389259,'1983-11-12 00:00:00',4,1,12,2001,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124251241147135441635431315124610168177',8703,'288',60.53,1,2,1),(20,5389267,'1990-10-06 00:00:00',4,8,11,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241425121411469611574112610164112',NULL,'1016',0.00,1,3,NULL),(20,5389275,'1993-01-16 00:00:00',4,4,12,2009,'M','N','CENTRO','FOZ IGUAÇU','PR','116164161217111431459714575122610167092',1555,'9998',77.38,1,3,NULL),(20,5389283,'1988-01-16 00:00:00',2,3,12,2005,'F','N','REBOUÇAS','CURITIBA','PR','116161161116574731334631475124610122147',1333,'9998',79.59,1,3,NULL),(20,5389291,'1984-10-12 00:00:00',2,1,12,2002,'M','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124241247427341451536411213124610147117',NULL,'9999',35.16,1,3,NULL),(20,5389305,'1990-05-30 00:00:00',4,8,12,2007,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242241437471731548711575122133238017',NULL,'993',0.00,1,3,NULL),(20,5389313,'1993-04-21 00:00:00',4,10,12,2010,'F','S','CENTRO','GR PARÁ','SC','124241241116161532437622575124610144142',NULL,'330',52.31,1,3,NULL),(20,5389321,'1984-06-16 00:00:00',4,1,12,2002,'F','N','CENTRO','GRAVATAÍ','RS','120202201215571431288913575122142064127',NULL,'9998',0.00,1,3,NULL),(20,5389330,'1992-04-11 00:00:00',2,1,12,2009,'M','N','CENTRO','CANOAS','RS','120202201217471711338829595115610167047',NULL,'9998',0.00,1,3,NULL),(20,5389348,'1989-03-29 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241111143431546613495114610124077',13600,'307',46.22,1,2,1),(20,5389356,'1990-11-13 00:00:00',4,9,11,2007,'M','N','PENHA','LAGES','SC','124242241216372431449813382122231464011',15492,'499',46.33,1,3,NULL),(20,5389364,'1991-08-28 00:00:00',2,1,12,2008,'M','N','CAP SANTA TEREZINHA','NOVA PRATA','RS','120201201115471342536336575122610167177',11985,'9998',50.16,1,2,1),(20,5389372,'1990-11-13 00:00:00',4,3,12,2007,'M','N','ZONA SETE','MARINGÁ','PR','116252161216571431479811475122610164037',8256,'9998',59.37,1,3,NULL),(20,5389380,'1988-09-07 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216153431189714445122221467042',5667,'909',66.76,4,3,NULL),(20,5389402,'1989-11-06 00:00:00',4,8,12,2006,'F','N','BOA VISTA','JOINVILLE','SC','124241241112131231439923385124231466142',NULL,'153',0.00,1,2,1),(20,5389410,'1979-08-12 00:00:00',4,1,12,1996,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124164166116153411587413433132321467063',NULL,'9998',0.00,1,3,NULL),(20,5389429,'1991-03-12 00:00:00',2,1,12,2007,'M','N','CENTRO','SAPUCAIA SUL','RS','120202201215571751357613592125610164187',NULL,'9998',0.00,1,3,NULL),(20,5389437,'1992-01-21 00:00:00',4,1,12,2009,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241115141431446314245124610121072',NULL,'772',0.00,1,2,1),(20,5389445,'1992-03-13 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215121731239913575114610132015',NULL,'272',29.36,1,3,NULL),(20,5389453,'1992-01-06 00:00:00',4,7,12,2009,'F','N','VILA PEDRINI','JOAÇABA','SC','124242241215111431458934272122610137092',7333,'454',62.40,1,3,NULL),(20,5389470,'1989-10-20 00:00:00',2,3,12,2008,'F','N','SÃO JOSÉ','PASSO FUNDO','RS','120201201112431751323623591114610122187',NULL,'9998',0.00,1,3,NULL),(20,5389488,'1991-04-26 00:00:00',4,2,12,2007,'M','N','MARGEM ESQUERDA','GASPAR','SC','124241241214473751366823275122610167112',6170,'1137',64.10,1,3,NULL),(20,5389496,'1992-05-30 00:00:00',4,1,12,2009,'M','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124244241217151441638832245112610165037',10314,'63',57.59,1,3,NULL),(20,5389500,'1993-01-23 00:00:00',4,1,12,2010,'F','S','CENTRO','ANTÔNIO CARLOS','SC','124241241115131431441317572124610111057',NULL,'21',26.41,1,3,NULL),(20,5389526,'1972-12-11 00:00:00',2,1,6,1992,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241334135751325378187341121168197',NULL,'9999',0.00,1,3,NULL),(20,5389534,'1984-04-05 00:00:00',2,5,12,2001,'M','N','NOVA ITÁLIA','URUSSANGA','SC','124242241127151721355933215122333234057',NULL,'821',46.34,1,3,NULL),(20,5389542,'1987-10-28 00:00:00',4,1,12,2006,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241122372431523134582114610134147',NULL,'296',23.57,1,3,NULL),(20,5389550,'1992-12-22 00:00:00',2,15,12,2009,'M','N','LAGOA DE FORA','BAL GAIVOTA','SC','124241242117111411323624275224610134142',NULL,'690',24.31,1,2,1),(20,5389585,'1992-08-13 00:00:00',4,1,12,2010,'M','S','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215161411458912325124610162122',NULL,'270',23.99,1,3,NULL),(20,5389593,'1990-10-10 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124244241116372431439824281114130223072',NULL,'298',49.30,1,3,NULL),(20,5389607,'1993-01-27 00:00:00',4,15,12,2009,'F','N','VILA BITENCOURT','STA ROSA SUL','SC','124241241127131231411918172124610128052',NULL,'689',21.44,1,2,1),(20,5389615,'1987-08-07 00:00:00',2,8,12,2004,'F','N','CENTRO','CASCAVEL','PR','116162161215571431436632575112142434047',NULL,'9998',0.00,1,3,NULL),(20,5389623,'1991-02-20 00:00:00',2,7,12,2008,'F','N','BOM FIM','PTO ALEGRE','RS','120242241216471411438832575112610165171',8224,'446',58.94,1,3,NULL),(20,5389631,'1992-08-28 00:00:00',4,10,12,2009,'M','N','DEHON','TUBARÃO','SC','124242241235121411485912595112610128042',NULL,'797',0.00,1,3,NULL),(20,5389640,'1989-01-07 00:00:00',2,1,6,2009,'M','N','FUNDOS','BIGUAÇU','SC','124241241116273431535531145121610124057',14864,'306',48.27,1,2,1),(20,5389658,'1990-11-03 00:00:00',4,1,6,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247215372721539933574122610112142',6366,'9999',63.05,1,3,NULL),(20,5389666,'1976-05-19 00:00:00',4,1,12,1995,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224243247416144421337443435332331967041',9293,'9997',59.43,1,3,NULL),(20,5389674,'1991-07-29 00:00:00',4,8,12,2008,'F','N','ALTO DA GLÓRIA','CURITIBA','PR','116162161215471431578833572122640123097',5170,'9998',67.07,1,3,NULL),(20,5389682,'1992-03-20 00:00:00',2,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241115371751223324345124610124057',NULL,'733',45.38,1,2,1),(20,5389690,'1991-06-01 00:00:00',2,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241215121431449911442124610127067',NULL,'300',30.41,1,3,NULL),(20,5389704,'1990-06-21 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECÓ','SC','124242241415151411429948412325133261027',NULL,'1126',30.14,2,3,NULL),(20,5389712,'1988-08-25 00:00:00',2,1,12,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217134431329824285124130233141',NULL,'723',25.12,1,3,NULL),(20,5389720,'1993-01-30 00:00:00',4,7,12,2009,'M','N','IMIGRANTES','CONCÓRDIA','SC','124241246237131431543923185122610168042',NULL,'1001',26.17,1,3,NULL),(20,5389739,'1992-06-12 00:00:00',4,1,12,2009,'F','N','CENTRO','STA FÉ','PR','116161161217111411468831572122610163197',10949,'9998',53.36,1,3,NULL),(20,5389747,'1989-04-08 00:00:00',2,1,9,2007,'M','N','CENTRO','PALHOÇA','SC','124241241116372431556813375123610122147',6211,'739',64.05,1,2,1),(20,5389755,'1990-07-10 00:00:00',4,8,12,2007,'F','N','ZONA QUATRO','MARINGÁ','PR','116162161114253321143823365211110133177',1841,'9998',77.45,1,3,NULL),(20,5389763,'1991-10-23 00:00:00',2,1,12,2008,'M','N','PARTENON','PTO ALEGRE','RS','120201201117141431636613112234610127017',NULL,'9998',0.00,2,2,1),(20,5389771,'1992-07-23 00:00:00',4,1,11,2009,'M','N','CENTRO','RIO SUL','SC','124242241217111532357814185112610137042',NULL,'654',20.77,1,3,NULL),(20,5389780,'1992-06-03 00:00:00',4,4,12,2009,'F','N','SANTA TEREZA','JOAÇABA','SC','124241241114271511422139595124610156077',NULL,'448',0.00,1,3,NULL),(20,5389798,'1992-12-08 00:00:00',2,9,11,2009,'F','N','VILA NOVA','LAGES','SC','124242241215111431536612572122610121182',NULL,'499',0.00,1,3,NULL),(20,5389801,'1993-06-18 00:00:00',4,1,12,2010,'F','S','TRINDADE','FLORIANÓPOLIS','SC','120202201216151411333612492122610123192',NULL,'9998',27.32,1,3,NULL),(20,5389810,'1988-01-05 00:00:00',4,8,12,2005,'M','N','SANTA CLARA','MOGI MIRIM','SP','125253251142131741534514344121610164047',11228,'9998',53.18,1,3,NULL),(20,5389828,'1991-12-21 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115272431335923374124610117042',NULL,'257',24.60,1,2,1),(20,5389836,'1992-03-03 00:00:00',2,7,12,2009,'M','N','CENTRO','CAPINZAL','SC','124241241214371431436619395125610137052',NULL,'1093',39.00,1,3,NULL),(20,5389844,'1991-12-27 00:00:00',4,6,12,2009,'M','N','CENTRO','S BENTO SUL','SC','124244241115231431326624385115610146117',12444,'697',50.15,1,3,NULL),(20,5389852,'1989-02-20 00:00:00',4,4,12,2006,'F','N','CENTRO','CASCAVEL','PR','116162161215573451267916475112610167072',595,'9998',83.87,1,3,NULL),(20,5389860,'1986-09-09 00:00:00',4,1,12,2004,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124072241217154411388823575122230222055',NULL,'270',0.00,1,3,NULL),(20,5389879,'1991-07-17 00:00:00',4,8,12,2008,'F','N','CENTRO','LONDRINA','PR','116162161216471531569914572112610136096',1642,'9998',76.99,1,3,NULL),(20,5389887,'1993-11-28 00:00:00',2,4,12,2010,'F','S','CENTRO','RIQUEZA','SC','124241241111161431458614392122610128147',NULL,'674',48.17,1,3,NULL),(20,5389895,'1991-10-04 00:00:00',2,1,12,2009,'M','N','NOSSA SRA DE LOURDES','STA MARIA','RS','120203201215211431468833574114610137142',14408,'9998',49.44,1,3,NULL),(20,5389909,'1992-04-27 00:00:00',2,1,12,2009,'M','N','BOM VIVER','BIGUAÇU','SC','124242241211112221456312571114610117042',NULL,'63',23.94,1,3,NULL),(20,5389917,'1991-04-13 00:00:00',4,1,12,2007,'F','N','PASSO DAREIA','STA MARIA','RS','120202201215571431469814571112610161195',10185,'9998',57.82,1,3,NULL),(20,5389925,'1991-11-14 00:00:00',4,1,12,2009,'M','N','PANAZZOLO','CAXIAS SUL','RS','120202201216111431346933575122610117047',9713,'9998',55.86,1,3,NULL),(20,5389941,'1991-05-06 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241414122321456631295124233234193',15250,'1022',47.12,1,3,NULL),(20,5389950,'1989-02-10 00:00:00',4,1,12,2006,'M','N','JARDIM ITAPUÃ','PIRACICABA','SP','125251251137472431225329375124610124177',NULL,'9998',0.00,4,2,1),(20,5389984,'1990-12-23 00:00:00',4,1,12,2007,'F','N','CENTRO','MARINGÁ','PR','116163161216571451448912575122610134182',9287,'9998',56.41,1,3,NULL),(20,5389992,'1990-01-14 00:00:00',2,4,7,2008,'M','N','TRES VENDAS','ERECHIM','RS','120203207346371431433534144111610124112',NULL,'9998',0.00,1,3,NULL),(20,5390001,'1988-12-06 00:00:00',4,1,12,2005,'M','N','CAMPO GRANDE','SANTOS','SP','125252251116161131424319595121243262042',16242,'9998',41.99,1,3,NULL),(20,5390010,'1981-03-11 00:00:00',4,15,12,1999,'M','N','LAGOA DE FORA','BAL GAIVOTA','SC','124241241145131421321344142122220762097',NULL,'769',42.15,1,3,NULL),(20,5390028,'1992-09-25 00:00:00',2,9,12,2009,'M','N','CONTA DINHEIRO','LAGES','SC','124242241215111431446923575122610147042',NULL,'1065',23.79,1,3,NULL),(20,5390036,'1990-09-03 00:00:00',2,10,12,2008,'F','N','CENTRO','LAGUNA','SC','124242241317161731356719575112610138147',NULL,'521',23.18,1,3,NULL),(20,5390044,'1992-09-02 00:00:00',2,3,12,2009,'M','N','CENTRO','PNT GROSSA','PR','116162161215121531458713575112610127047',10798,'9998',53.52,1,3,NULL),(20,5390052,'1990-08-31 00:00:00',4,1,12,2007,'F','N','VILA BRASIL','LONDRINA','PR','116162161216472431337923575122610166092',1657,'9998',78.07,1,3,NULL),(20,5390060,'1991-06-27 00:00:00',2,10,12,2008,'M','N','CENTRO','TUBARÃO','SC','124244241216141711449913492114230237092',NULL,'1120',26.28,1,3,NULL),(20,5390079,'1992-09-02 00:00:00',4,8,11,2009,'F','N','AMIZADE','JARAGUÁ SUL','SC','124241241217162431457812472122610141097',NULL,'424',0.00,1,3,NULL),(20,5390087,'1993-06-05 00:00:00',4,5,11,2010,'F','S','COMERCIARIO','CRICIÚMA','SC','124242241215111431468512425122610124142',NULL,'226',44.79,1,3,NULL),(20,5390095,'1992-08-14 00:00:00',4,15,12,2009,'M','N','SÃO LUIZ','TURVO','SC','124241241111131431426314345124610128047',NULL,'814',24.94,1,2,1),(20,5390109,'1990-10-01 00:00:00',2,1,11,2008,'F','N','MOSSUNGUÊ','CURITIBA','PR','116161161137471441636631392124610143112',NULL,'9998',47.65,1,2,1),(20,5390117,'1973-05-27 00:00:00',2,1,12,1995,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224241243122471421453353572122610164142',11170,'354',54.57,1,2,1),(20,5390125,'1985-04-15 00:00:00',4,1,12,2002,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','128286288611115152111111197345512968191',NULL,'9998',30.65,1,3,NULL),(20,5390133,'1988-12-02 00:00:00',5,10,11,2006,'F','N','OFICINAS','TUBARÃO','SC','124242241216535431336619574125231338147',NULL,'807',30.05,1,3,NULL),(20,5390141,'1991-01-15 00:00:00',2,17,12,2007,'M','N','BATEL','CURITIBA','PR','116164161215131231537337345125610127057',NULL,'9998',44.14,1,3,NULL),(20,5390150,'1987-07-16 00:00:00',4,1,12,2004,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217132431268729475114220262182',12774,'270',52.79,1,3,NULL),(20,5390168,'1954-11-22 00:00:00',2,1,6,1976,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224163167326255421355443192132321564147',NULL,'9998',0.00,1,3,NULL),(20,5390176,'1986-10-10 00:00:00',4,1,12,2005,'F','N','SETOR JAÓ','GOIÂNIA','GO','109092091217271431439914445122241446092',NULL,'9998',0.00,1,3,NULL),(20,5390184,'1992-07-13 00:00:00',4,8,12,2009,'F','N','ZONA DOIS','MARINGÁ','PR','116162161216371431478932575122610122122',3455,'9998',70.26,1,3,NULL),(20,5390192,'1976-08-05 00:00:00',2,1,12,1994,'F','N','VILLAGE','GAROPABA','SC','624201207424162431333342325124222325147',NULL,'9998',26.48,1,3,NULL),(20,5390206,'1991-11-08 00:00:00',4,1,12,2008,'F','N','SANTA MÔNICA','LONDRINA','PR','116162161216471751469914595122610163072',NULL,'9998',0.00,1,3,NULL),(20,5390214,'1986-05-08 00:00:00',4,1,2,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241247137141441568643432124231046057',NULL,'9999',0.00,1,2,1),(20,5390222,'1990-11-10 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241436273431338811575122243267045',NULL,'270',0.00,1,3,NULL),(20,5390230,'1992-02-20 00:00:00',4,8,12,2009,'M','N','INDEPENDÊNCIA','POUSO REDONDO','SC','124241241136131431336914582125610114142',NULL,'639',5.33,1,2,1),(20,5390249,'1973-11-09 00:00:00',4,2,6,1995,'F','N','FORTALEZA','BLUMENAU','SC','224241247222572431248754232122331327187',1557,'72',78.65,1,3,NULL),(20,5390265,'1992-07-13 00:00:00',4,6,12,2009,'M','N','CENTRO','ITAJAÍ','SC','124244241215131431546711572121610134147',NULL,'389',0.00,1,3,NULL),(20,5390273,'1990-01-17 00:00:00',4,1,7,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116133712326624275114122244057',12083,'306',54.21,1,2,1),(20,5390281,'1985-12-19 00:00:00',3,1,12,2005,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217144711456633345134610166181',16095,'1169',43.46,1,3,NULL),(20,5390290,'1990-06-20 00:00:00',2,1,12,2007,'M','N','CERQUEIRA CÉSAR','S PAULO','SP','125252251216571232556612572112610162054',12150,'9998',50.17,1,3,NULL),(20,5390303,'1991-12-29 00:00:00',4,16,12,2009,'M','N','CENTRO','CURITIBANOS','SC','124241241126111531438836575124610117052',NULL,'320',18.46,1,3,NULL),(20,5390311,'1960-05-06 00:00:00',4,1,12,1977,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','224202201226152411366443192134121162177',NULL,'9998',41.63,1,3,NULL),(20,5390320,'1990-04-09 00:00:00',2,1,12,2007,'F','N','VILA EUNICE','CACHOEIRINHA','RS','120201201136572411338823346134610145117',12745,'9998',52.84,1,2,1),(20,5390346,'1993-03-29 00:00:00',4,9,11,2010,'M','S','JARDIM AMÉRICA','RIO SUL','SC','124242241215111431558834345111610127042',NULL,'991',54.01,1,3,NULL),(20,5390354,'1992-04-21 00:00:00',4,8,12,2009,'F','N','MORADA DO SOL','PRES VENCESLAU','SP','125253251216161411438611572112610134111',NULL,'9998',36.07,1,3,NULL),(20,5390362,'1990-02-22 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373411478914335124231062042',NULL,'270',44.15,1,3,NULL),(20,5390370,'1992-12-06 00:00:00',2,1,11,2010,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117111431447633592124610167057',NULL,'267',27.84,1,3,NULL),(20,5390389,'1983-09-23 00:00:00',4,1,1,2001,'M','N','VL JOAQUIM INÁCIO','CAMPINAS','SP','125253257126471431427731215124140665177',NULL,'9998',0.00,1,3,NULL),(20,5390397,'1993-03-14 00:00:00',2,8,12,2009,'M','N','CENTRO','S SEPÉ','RS','120203201117271431323634575122610127057',9794,'9998',58.56,1,3,NULL),(20,5390400,'1992-10-22 00:00:00',2,1,11,2009,'F','N','CENTRO','ITUPORANGA','SC','124242241237161431338933575122610135057',NULL,'1173',0.00,1,3,NULL),(20,5390419,'1990-02-02 00:00:00',4,1,12,2007,'F','N','JARDIM SANTANA','FRANCA','SP','116252251217471531448831475115610164182',13285,'9998',49.91,1,3,NULL),(20,5390427,'1991-12-09 00:00:00',2,1,12,2009,'M','N','PETRÓPOLIS','NOVO HAMBURGO','RS','120201201217141431236614241124610167052',13549,'9998',46.91,1,3,NULL),(20,5390435,'1979-02-02 00:00:00',2,15,12,1996,'M','N','COLONINHA','ARARANGUÁ','SC','224241248137131421436343132122610114197',NULL,'29',26.69,1,2,1),(20,5390443,'1982-04-10 00:00:00',4,1,11,2004,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241127151221434341212112610135145',NULL,'294',26.07,1,2,1),(20,5390451,'1992-03-18 00:00:00',2,1,12,2009,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124241241112471431436414372124610133147',NULL,'287',37.70,1,2,1),(20,5390460,'1990-06-11 00:00:00',2,4,12,2007,'M','N','CENTRO','PALMA SOLA','SC','124241241116312311346833245122610157062',NULL,'598',0.00,4,2,1),(20,5390478,'1992-06-25 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241216111431589619495122610118012',NULL,'1040',25.79,1,3,NULL),(20,5390494,'1982-10-18 00:00:00',2,1,12,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124071213416134411446513315124220568171',NULL,'9998',49.43,4,3,NULL),(20,5390508,'1990-10-16 00:00:00',4,8,11,2009,'M','N','JARDIM VILA MARIANA','S PAULO','SP','125252251216271431558834595122610137096',NULL,'9998',0.00,1,3,NULL),(20,5390516,'1990-11-05 00:00:00',2,1,12,2007,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241132432431333623445114610127047',15945,'592',44.44,1,2,1),(20,5390532,'1989-12-27 00:00:00',2,1,12,2007,'F','N','TRISTEZA','PTO ALEGRE','RS','120202201217571531348923575122241263187',7254,'9998',63.31,1,3,NULL),(20,5390540,'1989-09-13 00:00:00',4,1,12,2007,'M','N','FUNCIONARIOS','BELO HORIZONTE','MG','113132131422121721478611291133241417186',NULL,'9998',0.00,1,3,NULL),(20,5390567,'1988-02-13 00:00:00',2,1,12,2004,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241217275431358632345112130267043',12600,'272',53.14,1,3,NULL),(20,5390575,'1991-04-02 00:00:00',2,9,12,2008,'F','N','LURDES','CAXIAS SUL','RS','120204208217471431448814351122610163047',NULL,'9998',34.31,1,3,NULL),(20,5390591,'1992-07-31 00:00:00',4,2,12,2009,'F','N','VELHA','BLUMENAU','SC','124242241217131441348621472124610164142',NULL,'88',35.54,1,3,NULL),(20,5390613,'1987-12-04 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212574751639513412114610163097',3951,'962',70.44,1,3,NULL),(20,5390621,'1990-08-21 00:00:00',4,8,9,2007,'M','N','JOÃO PAULO II','REALEZA','PR','116162201234152411369913376122141064052',NULL,'9998',0.00,1,3,NULL),(20,5390630,'1990-07-19 00:00:00',2,1,12,2007,'F','N','BOA VISTA','PTO ALEGRE','RS','120252201216571411479812325112610126017',NULL,'9998',0.00,1,3,NULL),(20,5390648,'1992-09-04 00:00:00',2,2,12,2009,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124241241215111431463632225122610162152',NULL,'442',0.00,1,3,NULL),(20,5390656,'1988-07-09 00:00:00',2,8,12,2006,'M','N','ARAXA','LONDRINA','PR','116162161211571421359933571124610162052',13407,'9998',47.97,1,3,NULL),(20,5390664,'1992-05-29 00:00:00',4,1,12,2009,'M','N','BOM RETIRO','CURITIBA','PR','116162161217111531469714572122610167116',9400,'9998',59.26,4,3,NULL),(20,5390672,'1991-10-04 00:00:00',4,5,12,2008,'F','N','SANTA LUZIA','MRO GRANDE','SC','124241241125151431424916475112132014052',NULL,'568',25.22,1,3,NULL),(20,5390680,'1992-03-01 00:00:00',2,5,11,2009,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124241241215111431368812571122610111142',10809,'226',56.66,1,3,NULL),(20,5390699,'1991-09-13 00:00:00',4,1,12,2009,'M','N','BELA VISTA','S PAULO','SP','125252251215111732455331385121610167057',15921,'9998',44.57,1,3,NULL),(20,5390702,'1992-07-29 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111411449911375122610166072',NULL,'44',44.38,1,3,NULL),(20,5390710,'1991-06-23 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241117131431529933295124610163146',NULL,'307',17.86,1,2,1),(20,5390729,'1993-03-13 00:00:00',4,5,12,2009,'M','N','CENTRO','MAL CÂNDIDO RONDON','PR','116163161216371711457834275121610164147',NULL,'9998',0.00,1,3,NULL),(20,5390737,'1984-11-01 00:00:00',2,1,12,2001,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','224242251411152431231554475122320922042',8973,'9998',60.02,1,3,NULL),(20,5390745,'1992-12-18 00:00:00',1,2,12,2009,'F','N','TESTO REGA','POMERODE','SC','124241241116161731444434575122610124157',NULL,'621',21.33,1,2,1),(20,5390753,'1992-08-17 00:00:00',4,17,12,2009,'M','N','CAMPO DA AGUA VERDE','CANOINHAS','SC','124241241115141431436539292221610167057',15658,'146',42.84,1,3,NULL),(20,5390761,'1987-09-18 00:00:00',4,1,12,2005,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124252251117473431346714575114122364197',5345,'9998',65.60,1,3,NULL),(20,5390770,'1992-03-14 00:00:00',4,8,11,2009,'F','N','SANTA CATARINA','JOINVILLE','SC','124092241217111731649811575112610166097',9453,'489',55.80,1,3,NULL),(20,5390788,'1988-05-14 00:00:00',4,1,12,2005,'M','N','KOBRASOL','S JOSÉ','SC','124163161317271431337619482124133232047',NULL,'9998',43.26,1,3,NULL),(20,5390796,'1981-06-06 00:00:00',4,8,12,1998,'M','N','ÁGUA VERDE','CURITIBA','PR','116164161137151731248829375122342217092',NULL,'9998',0.00,1,3,NULL),(20,5390800,'1992-09-19 00:00:00',4,1,12,2009,'F','N','CHACARA CACHOEIRA','CPO GRANDE','MS','112122121216111411558816464322610164187',NULL,'9998',0.00,1,3,NULL),(20,5390818,'1985-07-07 00:00:00',2,1,12,2002,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124251251137161441223379285124140664182',NULL,'9998',0.00,1,2,1),(20,5390834,'1991-03-21 00:00:00',2,3,12,2008,'F','N','GETULHO VARGAS','STO AUGUSTO','RS','120201201116372431228627475125610133147',NULL,'9998',0.00,1,3,NULL),(20,5390842,'1992-03-27 00:00:00',2,7,12,2009,'M','N','PARQUE JARDIM OURO','OURO','SC','124241241315151431548833425124610167052',14233,'1093',46.52,1,3,NULL),(20,5390850,'1991-02-16 00:00:00',2,1,5,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243247337131431226623285124610127015',NULL,'300',0.00,1,3,NULL),(20,5390869,'1991-04-09 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241136142431437614245112230636191',NULL,'592',32.06,1,3,NULL),(20,5390877,'1988-08-22 00:00:00',2,1,11,2005,'F','N','CAMOBI','STA MARIA','RS','120201201117571431667633576114141326187',4025,'9998',69.52,1,2,1),(20,5390885,'1992-08-06 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','116161161217111431326624475121610167057',14187,'9998',44.55,1,3,NULL),(20,5390893,'1981-08-29 00:00:00',2,1,12,1999,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124203051434144431233724244124120526097',NULL,'9998',43.68,1,3,NULL),(20,5390907,'1980-05-20 00:00:00',2,1,11,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252257137572431158911315124221768182',8738,'9998',60.47,1,3,NULL),(20,5390915,'1983-05-14 00:00:00',4,1,12,1999,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124244241217144431579914415122220964122',3734,'272',71.53,1,3,NULL),(20,5390931,'1991-09-26 00:00:00',1,4,12,2009,'M','N','CENTRO','DOIS VIZINHOS','PR','116162161223471211576931225122610138072',14734,'9998',45.57,1,3,NULL),(20,5390940,'1991-04-06 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241211371431468813592112610167122',8802,'44',58.26,1,3,NULL),(20,5390958,'1992-05-27 00:00:00',4,1,12,2009,'M','N','VILA SANTO ANTONIO','IMBITUBA','SC','124241241115131432226529572324610133197',NULL,'359',23.21,1,2,1),(20,5390966,'1992-12-23 00:00:00',4,1,12,2009,'F','N','CAMPO D UNA','GAROPABA','SC','124241241114161431523311572324610167027',NULL,'1136',25.71,1,2,1),(20,5390974,'1992-01-21 00:00:00',2,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124241231215111431356914571124610144072',NULL,'1016',0.00,1,3,NULL),(20,5390982,'1992-03-09 00:00:00',4,8,12,2009,'M','N','MERCÊS','CURITIBA','PR','116162161217111552438811575114610167097',NULL,'9998',0.00,1,3,NULL),(20,5391008,'1991-05-01 00:00:00',4,1,12,2008,'F','N','FAZ SANTO ANTÔNIO','S JOSÉ','SC','124241241116132411448623375114630111097',NULL,'307',28.00,1,2,1),(20,5391024,'1988-06-12 00:00:00',2,1,12,2005,'M','N','BRACUHY','ANGRA REIS','RJ','121211211116471431557712572122241427117',NULL,'9998',32.18,1,3,NULL),(20,5391032,'1980-05-27 00:00:00',4,1,12,1997,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124254241217133421147944445132121412047',NULL,'9998',0.00,1,3,NULL),(20,5391040,'1976-06-19 00:00:00',2,1,6,1995,'F','N','INGLESES','FLORIANÓPOLIS','SC','224243247327231111426349192124610143097',NULL,'9999',38.46,4,3,NULL),(20,5391059,'1989-04-13 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217373431448713475114610117042',NULL,'273',26.43,1,3,NULL),(20,5391067,'1987-10-17 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241117274431368823576112610134182',NULL,'267',36.91,1,3,NULL),(20,5391075,'1988-12-21 00:00:00',4,1,6,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241232111412438811115112610112011',NULL,'270',16.22,1,3,NULL),(20,5391083,'1993-04-28 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241225272431548923571324610124195',4142,'262',69.97,4,3,NULL),(20,5391091,'1992-02-16 00:00:00',2,4,12,2009,'M','N','CENTRO','IPORÃ OESTE','SC','124241241136141231433314145125610127052',NULL,'371',26.73,1,2,1),(20,5391121,'1991-01-10 00:00:00',4,1,12,2008,'M','N','ARBORETO JEQUITIBAS','CAMPINAS','SP','125252251216471751568819475112610167056',NULL,'9998',29.66,4,3,NULL),(20,5391130,'1989-03-18 00:00:00',2,1,12,2005,'F','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120203201215571431589911574122610166182',NULL,'9998',0.00,1,3,NULL),(20,5391156,'1988-10-03 00:00:00',4,1,11,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217272431359933485112131067042',NULL,'266',30.86,1,3,NULL),(20,5391164,'1990-03-05 00:00:00',4,8,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116242241216472751666921595114610124142',12724,'1063',52.88,1,3,NULL),(20,5391172,'1992-08-30 00:00:00',2,6,12,2009,'F','N','SÃO PEDRO','BRUSQUE','SC','124243241215121531576612575122610168073',NULL,'107',18.90,1,3,NULL),(20,5391180,'1991-09-21 00:00:00',2,8,12,2008,'F','N','CENTRO','RIO NEGRO','PR','116162161216373432448834595125231732192',11288,'9998',55.73,1,3,NULL),(20,5391199,'1992-05-10 00:00:00',4,1,11,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241417112431459913272112610117047',5928,'270',66.17,1,3,NULL),(20,5391202,'1984-09-21 00:00:00',2,1,12,2002,'F','N','BELA VISTA','RIO CLARO','SP','125252251215572431468811575125141466027',461,'9998',84.54,1,3,NULL),(20,5391210,'1990-01-27 00:00:00',4,4,12,2006,'F','N','CENTRO','PASSO FUNDO','RS','120201201127511441336721275124610128147',NULL,'9998',0.00,1,2,1),(20,5391229,'1988-03-20 00:00:00',2,2,12,2008,'M','N','CENTRO','BRUSQUE','SC','124131131417471711326429345124231664142',NULL,'9998',0.00,1,3,NULL),(20,5391237,'1991-10-26 00:00:00',4,1,12,2008,'M','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251215371431258831575114610167046',7253,'9998',59.65,1,3,NULL),(20,5391245,'1993-07-22 00:00:00',4,8,12,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241217111431458812575122610117142',NULL,'457',0.00,1,3,NULL),(20,5391253,'1991-05-27 00:00:00',4,1,12,2008,'M','N','PQ LAGOINHA','STA RITA P QUATRO','SP','125252251212471431657734271121610161092',NULL,'9998',0.00,4,3,NULL),(20,5391270,'1992-01-24 00:00:00',4,1,11,2009,'M','N','JARDIM SHANGRILA','CUIABÁ','MT','111112111216211421478913375124610162192',NULL,'9998',0.00,4,3,NULL),(20,5391288,'1988-12-24 00:00:00',2,1,12,2005,'F','N','JARDIM AQUARIUS','PALHOÇA','SC','124241241447132431436411345124610164092',NULL,'262',27.58,1,3,NULL),(20,5391296,'1960-10-01 00:00:00',2,1,12,1982,'M','N','TRINDADE','FLORIANÓPOLIS','SC','524241246112153411331343336334120933062',NULL,'293',25.73,1,2,1),(20,5391300,'1991-11-27 00:00:00',2,8,11,2008,'F','N','SÃO FRANCISCO','CPO GRANDE','MS','112111121215471411464312174122610136187',7382,'9998',60.58,1,3,NULL),(20,5391318,'1988-07-03 00:00:00',4,1,12,2005,'M','N','CAMPINAS','S JOSÉ','SC','124242241216273431463727225122221463063',NULL,'262',0.00,1,3,NULL),(20,5391326,'1985-10-19 00:00:00',2,1,12,2003,'M','N','AREIAS BARREIROS','S JOSÉ','SC','124251251127131731126544345233130227167',NULL,'9998',0.00,4,2,1),(20,5391334,'1992-05-16 00:00:00',4,2,12,2009,'F','N','ÁGUA VERDE','BLUMENAU','SC','124241241215151431438611575124610112012',NULL,'88',22.09,1,3,NULL),(20,5391342,'1990-06-05 00:00:00',4,1,11,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241215152441226923385114610122187',NULL,'1036',46.96,1,3,NULL),(20,5391350,'1991-06-20 00:00:00',4,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124243241316371411669932225124233226173',NULL,'354',58.84,1,3,NULL),(20,5391369,'1989-02-11 00:00:00',2,17,12,2007,'M','N','VILA IVETE','MAFRA','SC','124162161216171411435623595114610167062',NULL,'9998',39.36,1,3,NULL),(20,5391377,'1988-09-03 00:00:00',2,1,3,2006,'M','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124241241117133411333314445123231418142',9887,'739',54.93,1,2,1),(20,5391385,'1992-10-02 00:00:00',4,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241225211431416544241124610126147',12740,'262',50.50,1,3,NULL),(20,5391393,'1991-12-04 00:00:00',4,2,11,2009,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241215151431369934572124610132183',10467,'88',53.94,1,3,NULL),(20,5391407,'1990-05-25 00:00:00',4,1,12,2007,'M','N','PARQUE SÃO PAULO','CASCAVEL','PR','116162161217472741569914345114141964197',13654,'9998',51.03,1,3,NULL),(20,5391415,'1992-03-01 00:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241135113431357731572122610144182',NULL,'44',0.00,1,3,NULL),(20,5391423,'1987-11-03 00:00:00',2,3,12,2005,'M','N','GETULHO VARGAS','STO AUGUSTO','RS','120201207346131431524834442122610117047',NULL,'9998',0.00,1,3,NULL),(20,5391431,'1993-03-12 00:00:00',4,1,12,2009,'F','N','CENTRO','MAL CÂNDIDO RONDON','PR','116161161216111431534431575125610122072',NULL,'9998',19.07,1,3,NULL),(20,5391440,'1983-08-19 00:00:00',2,1,12,2001,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','524241241137242411433311342124610127147',NULL,'65',30.99,1,2,1),(20,5391458,'1992-08-21 00:00:00',5,10,12,2009,'F','N','SÃO JOÃO','PEDRAS GRANDES','SC','124241241127161431623316163122610114052',NULL,'608',0.00,1,2,1),(20,5391466,'1992-03-20 00:00:00',2,9,12,2009,'F','N','CENTRO','LAGES','SC','124242241215111232627432212142610164147',NULL,'515',0.00,1,3,NULL),(20,5391482,'1991-06-23 00:00:00',2,3,12,2008,'F','N','ANDORINHA','ITAPEMA','SC','124242241217273431628732271111221467187',NULL,'1111',0.00,1,3,NULL),(20,5391490,'1991-02-24 00:00:00',2,1,12,2008,'F','N','JARDIM MARAMBÁ','BAURU','SP','125252251215471431346729575324610131197',NULL,'9998',0.00,1,3,NULL),(20,5391504,'1992-07-16 00:00:00',1,2,12,2009,'M','N','TESTO SALTO','BLUMENAU','SC','124241241127151431434434241122610124072',NULL,'1012',19.36,1,2,1),(20,5391512,'1993-01-09 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124241241116111741437634572124610112047',NULL,'739',26.36,1,2,1),(20,5391520,'1992-06-12 00:00:00',2,17,12,2009,'M','N','CENTRO','ITAIÓPOLIS','SC','124241241116271431633414475122610124057',9487,'387',56.54,1,2,1),(20,5391539,'1993-03-18 00:00:00',2,2,12,2010,'F','S','CENTRO','TIMBÓ','SC','124241241435111431268514272112610161042',NULL,'9997',21.67,1,3,NULL),(20,5391547,'1991-08-30 00:00:00',2,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241215371431454633375122610126187',NULL,'44',32.69,1,3,NULL),(20,5391555,'1991-12-23 00:00:00',2,4,12,2008,'F','N','ZONA III','UMUARAMA','PR','116122161215471431438831475125610123182',NULL,'9998',0.00,1,3,NULL),(20,5391563,'1993-07-06 00:00:00',4,10,11,2010,'M','S','MAR GROSSO','LAGUNA','SC','124242241215111532558613575122610137042',NULL,'807',68.66,1,3,NULL),(20,5391580,'1992-04-08 00:00:00',4,8,12,2009,'F','N','SÍTIO CERCADO','CURITIBA','PR','116161161316121431438614575124610154177',15282,'9998',42.97,1,3,NULL),(20,5391598,'1991-11-12 00:00:00',4,6,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111331536619395121610167182',9419,'967',56.19,1,3,NULL),(20,5391610,'1992-01-18 00:00:00',4,4,11,2009,'M','N','CENTRO','PALMAS','PR','116164168215111411447712165122610167062',NULL,'9998',0.00,1,3,NULL),(20,5391628,'1990-10-16 00:00:00',2,1,11,2008,'M','N','KOBRASOL','S JOSÉ','SC','124242241216472411326424275124610166077',755,'723',82.85,1,3,NULL),(20,5391636,'1991-04-20 00:00:00',4,1,12,2008,'M','N','SETOR SUDOESTE','CRUZEIRO','DF','107072071216112431468811444124243244016',NULL,'9998',0.00,1,3,NULL),(20,5391644,'1991-09-20 00:00:00',4,1,12,2009,'F','N','CERQUEIRA CESAR','S PAULO','SP','125254251217171411229724572224610143187',12910,'9998',52.53,1,3,NULL),(20,5391652,'1988-12-19 00:00:00',4,1,11,2005,'M','N','ZONA INDUSTRIAL NORT','JOINVILLE','SC','124241241215273431569913595124231467041',NULL,'807',0.00,1,3,NULL),(20,5391660,'1988-08-11 00:00:00',2,1,11,2005,'F','N','MARIA LUIZA','CASCAVEL','PR','116162161217571741558831571122610165187',1128,'9998',80.59,1,3,NULL),(20,5391679,'1993-03-06 00:00:00',2,7,12,2010,'F','S','CENTRO','JOAÇABA','SC','124244241415111711436922591125610147071',NULL,'962',46.62,1,3,NULL),(20,5391687,'1992-02-07 00:00:00',2,1,12,2009,'M','N','CENTRO','LONDRINA','PR','116122121216471411346824575124610162042',NULL,'9998',24.71,1,3,NULL),(20,5391709,'1991-10-29 00:00:00',1,1,12,2008,'F','N','LINHA SANTA CRUZ','ITAPIRANGA','SC','124241241116161431633436573122610164047',NULL,'410',0.00,1,3,NULL),(20,5391717,'1990-03-17 00:00:00',2,1,12,2008,'M','N','COIMBRA','GOIÂNIA','GO','109092091217471431567823572112610127047',NULL,'9998',0.00,1,3,NULL),(20,5391725,'1992-02-25 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124244241212111711544432345112610117042',NULL,'724',26.49,1,3,NULL),(20,5391733,'1992-09-24 00:00:00',4,8,12,2009,'M','N','PORTINHO','LAGUNA','SC','124241241112131731436534142211610164047',NULL,'521',25.11,1,3,NULL),(20,5391741,'1987-03-24 00:00:00',2,4,12,2004,'F','N','JARDIM SOCIAL','TOLEDO','PR','116161161415571431466512572122141528097',1141,'9998',80.22,1,3,NULL),(20,5391750,'1992-07-13 00:00:00',2,1,12,2009,'F','N','CENTRO','MACHADINHO','RS','120201201227111431467813342124610125052',NULL,'9998',21.20,1,3,NULL),(20,5391776,'1980-04-20 00:00:00',2,15,7,2004,'F','N','POLICIA RODOVIÁRIA','ARARANGUÁ','SC','624241241127152412423354442213610144055',NULL,'852',21.76,1,3,NULL),(20,5391784,'1993-06-30 00:00:00',4,1,12,2010,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111531338632475112610114047',NULL,'1169',23.93,1,3,NULL),(20,5391792,'1986-03-29 00:00:00',4,8,12,2003,'M','N','ÁGUA VERDE','CURITIBA','PR','116162151215371411457714385121343267047',NULL,'9998',0.00,1,3,NULL),(20,5391806,'1974-02-14 00:00:00',2,1,12,1992,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','524282285217151421536641311222140966181',NULL,'9998',0.00,1,3,NULL),(20,5391814,'1991-03-05 00:00:00',2,1,12,2008,'M','N','IBIRAQUERA','IMBITUBA','SC','124241241147372431436411275124610137117',NULL,'361',31.52,1,2,1),(20,5391822,'1991-04-25 00:00:00',4,1,12,2008,'M','N','CENTRO','IVAIPORÃ','PR','116162161216371431469933375122610147012',7951,'9998',61.93,1,3,NULL),(20,5391830,'1989-09-11 00:00:00',4,1,6,2009,'M','N','BATEL','CURITIBA','PR','116162167216471431548911595122610162041',NULL,'9998',0.00,1,3,NULL),(20,5391849,'1987-03-10 00:00:00',4,1,12,2004,'F','N','PAINEIAS','RIO CLARO','SP','125251258136231411513334382124610168181',NULL,'9998',0.00,4,2,1),(20,5391857,'1991-12-17 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241212111531369921572122610165073',7882,'270',62.06,1,3,NULL),(20,5391873,'1991-08-30 00:00:00',4,8,12,2008,'F','N','ESTUARIO','SANTOS','SP','125252251216471431458839574122610114037',NULL,'9998',46.51,1,3,NULL),(20,5391881,'1992-11-03 00:00:00',4,1,12,2009,'M','N','SÃO LUIS','S JOSÉ','SC','124246248211131431536819191123610127052',NULL,'1075',16.92,4,1,2),(20,5391890,'1991-12-01 00:00:00',4,1,11,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241216111431334911274111610167117',4476,'1011',68.35,1,3,NULL),(20,5391903,'1992-03-10 00:00:00',4,1,12,2009,'M','N','CENTRO','COLOMBO','PR','116161168115271231533334182124610167057',NULL,'988',21.76,1,2,1),(20,5391911,'1992-05-12 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241217111431469839371122610138182',11427,'270',55.47,1,3,NULL),(20,5391920,'1992-12-20 00:00:00',2,15,11,2009,'F','N','SANTANA','ERMO','SC','124241241125131432413335572124610125147',NULL,'250',25.07,1,3,NULL),(20,5391938,'1993-05-05 00:00:00',4,6,12,2010,'M','S','STEFFEN','BRUSQUE','SC','124242241215111411346414575112610137177',NULL,'107',54.31,1,3,NULL),(20,5391946,'1986-09-13 00:00:00',2,1,12,2003,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241136473751226312295124231962145',NULL,'192',0.00,1,3,NULL),(20,5391954,'1960-05-28 00:00:00',4,1,12,1980,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224203171222132431566443234122140822097',6643,'9998',64.61,4,3,NULL),(20,5391989,'1984-02-04 00:00:00',4,8,6,2003,'M','N','VILA NOVA','JOINVILLE','SC','124241247335271431326618381224610125092',NULL,'9999',0.00,1,3,NULL),(20,5392004,'1991-01-18 00:00:00',2,8,12,2009,'F','N','CAMPO DO GADO','RIO NEGRO','PR','116244241215111431368734595124610126147',NULL,'541',27.30,1,3,NULL),(20,5392012,'1991-05-23 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216471731588712575122610144092',NULL,'9997',0.00,1,3,NULL),(20,5392020,'1989-02-04 00:00:00',4,8,11,2006,'F','N','VILA A','FOZ IGUAÇU','PR','116162161216151731369813135122241038182',10408,'9998',57.40,1,3,NULL),(20,5392039,'1992-07-03 00:00:00',4,7,12,2009,'M','N','CENTRO','ARROIO TRINTA','SC','124241241127131421434912192125610152147',NULL,'853',0.00,1,2,1),(20,5392047,'1992-09-03 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111731247722595122610134111',15356,'723',46.75,3,3,NULL),(20,5392055,'1992-01-23 00:00:00',4,4,12,2009,'F','N','CENTRO','PINHALZINHO','SC','124241241117151431326411345122610132187',NULL,'616',41.77,1,2,1),(20,5392063,'1961-12-28 00:00:00',2,15,12,1978,'F','N','CENTRO','VENÂNCIO AIRES','RS','220201205412131421432342325132342266093',15293,'9998',43.37,1,3,NULL),(20,5392071,'1962-02-13 00:00:00',3,1,12,1983,'M','N','CENTRO','FLORIANÓPOLIS','SC','624241243126134421354343335122121422092',NULL,'239',0.00,1,2,1),(20,5392080,'1991-01-26 00:00:00',4,6,12,2007,'F','N','LIBERDADE','S PAULO','SP','125252251215573431379967571112610124112',NULL,'9998',0.00,1,3,NULL),(20,5392098,'1991-03-15 00:00:00',2,1,11,2009,'M','N','SANTANA','RIO SUL','SC','124244241415161431546632245122610127057',NULL,'663',28.84,1,3,NULL),(20,5392101,'1992-07-22 00:00:00',2,1,12,2009,'M','N','AGUDO ROMÃO','CATANDUVA','SP','125252251215111431538816575122610147042',NULL,'9998',0.00,1,3,NULL),(20,5392110,'1991-02-13 00:00:00',4,8,12,2008,'M','N','AGRICULTURA','CAPANEMA','PR','116161161146371432423336465222610137062',NULL,'9998',26.88,1,3,NULL),(20,5392144,'1983-09-30 00:00:00',4,1,12,2003,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124204201346452431248823375224143234112',NULL,'9998',0.00,1,3,NULL),(20,5392152,'1962-11-29 00:00:00',4,1,12,1980,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241216134421138641415124120436093',8759,'810',60.42,1,3,NULL),(20,5392160,'1992-02-07 00:00:00',4,4,12,2008,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241117131431654611575124230268097',NULL,'169',24.00,1,2,1),(20,5392187,'1991-08-03 00:00:00',2,15,12,2009,'F','N','CENTRO','STA ROSA SUL','SC','124241241147141741423833195125610114052',NULL,'689',25.43,2,1,1),(20,5392195,'1975-04-04 00:00:00',2,1,5,1994,'F','N','IBES','VL VELHA','ES','408083083116141411343311475124240114186',NULL,'9998',0.00,1,3,NULL),(20,5392209,'1989-03-06 00:00:00',2,10,12,2008,'M','N','MIRIM','IMBITUBA','SC','124241241127231411636614282214610124057',NULL,'9999',22.65,3,2,1),(20,5392217,'1983-03-14 00:00:00',2,1,12,2002,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241248121244451123334345123133248097',NULL,'288',28.34,4,2,1),(20,5392225,'1991-07-20 00:00:00',2,4,12,2009,'M','N','CENTRO','CHAPADA','RS','120201201116131431423734585125610167017',NULL,'9998',0.00,1,2,1),(20,5392233,'1992-02-09 00:00:00',4,1,12,2009,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111431347924245124610127047',8483,'270',59.21,1,3,NULL),(20,5392241,'1992-06-05 00:00:00',4,4,11,2009,'M','N','PERIOLO','CASCAVEL','PR','116162161215121421469913572222610167042',NULL,'9997',0.00,3,3,NULL),(20,5392284,'1992-04-28 00:00:00',2,5,11,2009,'M','N','RINCÃO','IÇARA','SC','124242241215111431634819592124610117112',NULL,'226',0.00,1,3,NULL),(20,5392292,'1987-07-05 00:00:00',2,1,11,2005,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241248411133131436521285114131427062',NULL,'259',8.79,1,3,NULL),(20,5392306,'1989-11-20 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241112151731347929445124610167117',NULL,'307',14.35,4,1,1),(20,5392314,'1981-01-01 00:00:00',2,1,12,1998,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124242241215132431233948382224121962093',15485,'270',46.37,1,3,NULL),(20,5392322,'1984-03-31 00:00:00',4,1,12,2001,'F','N','VILA FIGUEIREDO','RIO G SERRA','SP','625254251317131411426744345135142161187',NULL,'9998',0.00,1,3,NULL),(20,5392330,'1987-03-06 00:00:00',2,1,12,2003,'M','N','CENTRO','ARROIO TIGRE','RS','120201201412151431324444142223141024147',NULL,'9998',37.15,1,3,NULL),(20,5392357,'1989-11-10 00:00:00',4,2,11,2007,'F','N','PERDIZES','S PAULO','SP','125222257216271411278821575123141042172',NULL,'9998',0.00,1,3,NULL),(20,5392365,'1991-12-26 00:00:00',4,3,12,2008,'M','N','CENTRO','S JOÃO','PR','116161161235371751338923575124610168192',NULL,'9998',0.00,1,3,NULL),(20,5392373,'1989-01-17 00:00:00',2,4,12,2006,'M','N','CENTRO','CRUZEIRO OESTE','PR','116161161115572431454914175122610164047',3927,'9998',69.09,1,2,1),(20,5392381,'1976-07-25 00:00:00',4,1,12,1995,'F','N','BARREIROS','S JOSÉ','SC','224241247222134431443653185122131036177',16194,'9997',42.59,1,3,NULL),(20,5392390,'1992-04-08 00:00:00',4,8,12,2009,'M','N','JARDIM ITAMARATY','MOGI GUAÇU','SP','125252251215151431453336575112610142186',NULL,'9998',0.00,1,3,NULL),(20,5392411,'1991-05-24 00:00:00',4,1,12,2008,'F','N','HORTO FLORESTAL','S PAULO','SP','125252251211471431438814572112610131112',NULL,'9998',0.00,1,3,NULL),(20,5392420,'1988-08-08 00:00:00',2,1,12,2006,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241114142431446613342113610147047',11979,'307',54.41,4,1,1),(20,5392454,'1992-11-13 00:00:00',2,1,12,2009,'F','N','CENTRO','GAROPABA','SC','124241248142131711413619292331610168052',NULL,'322',0.00,1,2,1),(20,5392462,'1991-05-21 00:00:00',4,1,12,2009,'M','N','CACHOIERA DO BOM JES','FLORIANÓPOLIS','SC','124201241226111731636823382214610127042',12949,'262',48.75,1,3,NULL),(20,5392470,'1990-08-27 00:00:00',4,1,12,2007,'F','N','ACLIMAÇÃO','S PAULO','SP','125252251217572411478614575112610124097',NULL,'9998',0.00,1,3,NULL),(20,5392489,'1991-05-17 00:00:00',2,15,12,2008,'F','N','PRAIA PARAÍSO','TORRES','RS','120201201212371131323311212124610164097',NULL,'9998',15.00,1,3,NULL),(20,5392497,'1993-10-05 00:00:00',4,1,12,2010,'F','S','IPIRANGA','S JOSÉ','SC','124242241114111511458614475124610131141',NULL,'739',50.92,1,3,NULL),(20,5392500,'1992-08-27 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124242241215112331565614295122610137087',NULL,'989',0.00,1,3,NULL),(20,5392527,'1991-04-06 00:00:00',2,3,12,2008,'F','N','CENTRO','APUCARANA','PR','116162161215471711356622575122610112077',NULL,'9998',28.22,1,3,NULL),(20,5392535,'1956-11-14 00:00:00',4,1,11,1974,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224242168216273711363453435132522266195',15618,'9998',45.82,1,3,NULL),(20,5392543,'1987-06-20 00:00:00',4,6,12,2003,'F','N','SÃO PELEGRINO','VERANÓPOLIS','RS','120201201111331431322619231125141327147',NULL,'9998',0.00,1,2,1),(20,5392551,'1975-02-12 00:00:00',2,1,12,1993,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','224243241331132431234853182123130228047',16166,'492',42.93,4,1,2),(20,5392560,'1991-12-17 00:00:00',4,6,12,2009,'M','N','LIMOEIRO','BRUSQUE','SC','124241241116231431423314295124610127147',NULL,'111',0.00,1,2,1),(20,5392578,'1987-11-30 00:00:00',2,3,12,2004,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215374431378812574111231434122',7925,'1017',60.41,1,3,NULL),(20,5392586,'1987-08-05 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241146131421114447275114610168197',NULL,'857',23.62,4,2,1),(20,5392608,'1992-03-01 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124243241415131412526613332122610163177',NULL,'976',20.94,1,3,NULL),(20,5392616,'1992-07-29 00:00:00',4,1,12,2009,'F','N','CENTRO','TIMBÓ','SC','124243241215131431126632211321610137112',NULL,'931',28.61,1,3,NULL),(20,5392624,'1990-03-14 00:00:00',2,1,12,2007,'F','N','CENTRO','COSMORAMA','SP','125251251116412431236923572224233264147',NULL,'9998',8.86,1,2,1),(20,5392640,'1991-11-24 00:00:00',2,4,12,2008,'F','N','CENTRO','MARAVILHA','SC','124242201236471411439832571124610165142',NULL,'9998',0.00,1,3,NULL),(20,5392659,'1977-11-09 00:00:00',2,1,12,1996,'M','N','RECREIO PANORAMA','GOIÂNIA','GO','109091091146151411123647185123143216047',NULL,'9998',59.98,1,3,NULL),(20,5392667,'1993-07-08 00:00:00',4,4,12,2010,'M','S','CENTRO','S MIGUEL OESTE','SC','124202241215151431369923572122610134187',NULL,'752',58.76,1,3,NULL),(20,5392675,'1991-07-12 00:00:00',4,8,12,2009,'F','N','JD ACLIMAÇÃO','S JOSÉ R PRETO','SP','125252251212111231378811571112610112091',NULL,'9998',0.00,1,3,NULL),(20,5392683,'1990-11-20 00:00:00',4,1,12,2008,'F','N','CENTRO','MOGI MIRIM','SP','125254251215371411246412385124610122077',NULL,'9998',0.00,1,3,NULL),(20,5392691,'1992-08-27 00:00:00',4,1,11,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124241241115131731423314392324610128047',NULL,'978',26.84,1,3,NULL),(20,5392705,'1970-09-05 00:00:00',2,1,12,2002,'F','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124203207127233421323241112214610166017',NULL,'9998',27.87,1,3,NULL),(20,5392713,'1992-01-14 00:00:00',2,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124242241216111732538717575122610128146',NULL,'781',0.00,1,3,NULL),(20,5392721,'1991-10-25 00:00:00',4,2,12,2009,'F','N','CENTRO II','BRUSQUE','SC','124242241215111431456722342122610146092',NULL,'109',0.00,1,3,NULL),(20,5392730,'1991-08-28 00:00:00',4,1,12,2008,'F','N','BRASIL','UBERLÂNDIA','MG','113132131216471411236912575114610112092',NULL,'9998',0.00,1,3,NULL),(20,5392748,'1988-09-30 00:00:00',4,4,9,2009,'M','N','BOA VISTA','CHAPECÓ','SC','124241247336371431228724385123610132047',NULL,'9999',18.53,4,3,NULL),(20,5392756,'1980-07-05 00:00:00',4,1,12,1997,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215474441126614192124121722175',6717,'27',64.45,1,3,NULL),(20,5392764,'1990-08-12 00:00:00',2,1,12,2007,'F','N','CENTRO','PTO ALEGRE','RS','120201201117471432448612592325610167147',15296,'9998',44.18,1,2,1),(20,5392772,'1980-05-08 00:00:00',2,1,11,1997,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124204201417133741126641415111131827117',NULL,'9998',0.00,1,3,NULL),(20,5392780,'1992-04-20 00:00:00',2,1,11,2009,'M','N','CASSIO REZENDE','UBERABA','MG','113134131216211131656624581224610117177',NULL,'9998',0.00,2,3,NULL),(20,5392799,'1991-07-12 00:00:00',4,8,12,2008,'F','N','JARDIM SOFIA','JOINVILLE','SC','124244246216371451469619345122610164142',NULL,'1006',0.00,1,3,NULL),(20,5392810,'1991-03-15 00:00:00',2,4,11,2007,'F','N','PERIOLO','CASCAVEL','PR','116162161215571431469913572222610164092',NULL,'9997',0.00,3,3,NULL),(20,5392829,'1992-02-10 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241225111431636472172124610167042',13397,'262',47.89,1,3,NULL),(20,5392845,'1991-05-15 00:00:00',2,7,12,2009,'M','N','CENTRO','CAPINZAL','SC','124241241215331211433635595125610127057',NULL,'1093',20.29,1,3,NULL),(20,5392853,'1992-04-10 00:00:00',2,1,12,2009,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241248216111441236623295124610127053',NULL,'944',26.69,1,3,NULL),(20,5392861,'1993-11-28 00:00:00',2,15,12,2010,'M','S','CENTRO','MELEIRO','SC','124242241217151531478831415122610127052',NULL,'813',44.92,1,3,NULL),(20,5392888,'1992-06-10 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431546923582124610124092',12015,'738',51.40,1,3,NULL),(20,5392896,'1990-08-28 00:00:00',2,1,12,2008,'M','N','BELA VISTA','PALHOÇA','SC','124241241137142531243623142122232762142',NULL,'592',23.25,1,2,1),(20,5392900,'1990-03-01 00:00:00',2,15,12,2007,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124242241215272431336621375122610168092',9663,'970',58.80,1,3,NULL),(20,5392926,'1990-09-24 00:00:00',4,7,12,2007,'F','N','CENTRO','HERVAL D OESTE','SC','124242241217171732456612575124231468182',14835,'9997',48.35,1,3,NULL),(20,5392934,'1991-12-11 00:00:00',2,1,12,2009,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241215112441469819575124610137047',10281,'270',54.59,1,3,NULL),(20,5392942,'1991-05-24 00:00:00',4,8,12,2009,'F','N','TARUMÃ','CURITIBA','PR','116161161117271431368933592124610137147',7694,'9998',59.49,1,3,NULL),(20,5392950,'1991-01-07 00:00:00',4,1,11,2008,'F','N','CAMPINAS','S JOSÉ','SC','124244241434374431428844242132610113187',11961,'737',54.43,1,3,NULL),(20,5392969,'1991-07-27 00:00:00',2,5,12,2008,'M','N','CENTRO','S JOÃO SUL','SC','124241242117472431333312345124610134142',10699,'690',55.01,1,2,1),(20,5392977,'1987-11-11 00:00:00',4,4,12,2005,'M','N','CENTRO','JARDINÓPOLIS','SC','124241241127151411534336182323610163177',NULL,'444',20.17,1,3,NULL),(20,5392985,'1979-05-31 00:00:00',4,1,12,1996,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124202201216252411368819475122320237117',NULL,'9998',0.00,1,3,NULL),(20,5392993,'1992-03-14 00:00:00',4,15,12,2009,'M','N','CENTRO','ARARANGUÁ','SC','124241241115111421426461585121610132047',NULL,'30',28.55,1,3,NULL),(20,5393000,'1988-05-15 00:00:00',2,1,12,2005,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124251251112231411325641481324610134057',NULL,'9998',22.91,1,2,1),(20,5393019,'1992-04-28 00:00:00',2,5,11,2009,'M','N','RINCÃO','IÇARA','SC','124242241215111431634819592124610117112',NULL,'226',0.00,1,3,NULL),(20,5393035,'1990-11-03 00:00:00',4,1,12,2008,'M','N','OLÍMPICO','S CAETANO SUL','SP','125251251115471431336821572124610164142',10170,'9998',56.27,1,3,NULL),(20,5393051,'1991-11-29 00:00:00',4,6,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124241248116161711425521315122610112032',NULL,'405',23.33,1,3,NULL),(20,5393060,'1990-03-23 00:00:00',2,1,12,2007,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241212272431426324382324610127012',12027,'299',54.33,1,3,NULL),(20,5393078,'1991-01-31 00:00:00',2,1,12,2008,'M','N','SÃO JOÃO','BENTO GONÇALVES','RS','120203201216371431457812572112141067113',NULL,'9998',26.93,1,3,NULL),(20,5393086,'1992-10-19 00:00:00',4,9,12,2009,'F','N','COPACABANA','LAGES','SC','124241241115271431333319595122610134052',NULL,'935',28.74,1,2,1),(20,5393094,'1993-03-22 00:00:00',4,1,11,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111411228329575124610133182',NULL,'270',23.23,1,3,NULL),(20,5393108,'1980-12-29 00:00:00',4,1,12,1997,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','624164161216131751526349395124143262141',13144,'9998',52.09,1,3,NULL),(20,5393116,'1985-12-21 00:00:00',2,1,12,2003,'F','N','CENTRO','TUBARÃO','SC','124243241116575431536723475324220668027',5731,'808',66.64,1,3,NULL),(20,5393124,'1987-08-24 00:00:00',2,5,12,2005,'M','N','SANTA AUGUSTA','CRICIÚMA','SC','124134136215371431126643335324233225097',13265,'9998',51.84,5,3,NULL),(20,5393132,'1991-08-09 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241215372731633512345122610134197',NULL,'9997',28.98,4,3,NULL),(20,5393140,'1973-06-19 00:00:00',2,1,12,1991,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241126434431324419282124610153147',NULL,'280',18.07,1,2,1),(20,5393167,'1991-05-06 00:00:00',2,1,12,2008,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124244241211272711669912385124133264162',9782,'9997',55.07,1,3,NULL),(20,5393175,'1987-05-14 00:00:00',4,8,12,2004,'M','N','CENTRO','CURITIBA','PR','116122121216131441267923575124140936174',NULL,'9998',0.00,1,3,NULL),(20,5393183,'1989-02-14 00:00:00',4,4,12,2006,'F','N','CENTRO','S CARLOS','SC','124243248327131231113341213334610164187',NULL,'704',36.86,1,3,NULL),(20,5393191,'1991-01-15 00:00:00',4,3,12,2007,'M','N','PILARZINHO','CURITIBA','PR','116162161336472411439923575124243267177',2823,'9998',72.04,1,3,NULL),(20,5393205,'1993-03-18 00:00:00',4,1,12,2009,'F','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241135161431456534345124610137142',13805,'322',46.48,1,2,1),(20,5393221,'1984-04-13 00:00:00',4,5,12,2002,'F','N','RIO MAINA','CRICIÚMA','SC','124243246217371431443923312124331533182',6818,'230',64.22,1,3,NULL),(20,5393230,'1989-06-23 00:00:00',2,3,12,2006,'M','N','CASCATA','PTO ALEGRE','RS','120202201217471441536317192324610167057',3344,'9998',71.62,1,3,NULL),(20,5393248,'1992-05-22 00:00:00',4,8,12,2009,'M','N','CRISTO REI','CURITIBA','PR','116163161137271431548724375114610167072',NULL,'9998',0.00,1,3,NULL),(20,5393256,'1990-03-15 00:00:00',2,1,8,2008,'F','N','IPIRANGA','S JOSÉ','SC','124241247411371431435634341124610116097',NULL,'9999',45.30,1,3,NULL),(20,5393264,'1991-12-12 00:00:00',4,5,10,2009,'M','N','RAICHASKI','IÇARA','SC','124242241215121431447713575114610167043',4182,'226',70.38,1,3,NULL),(20,5393272,'1991-07-22 00:00:00',2,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124162241215471411447814572122610112097',14100,'1063',46.32,1,3,NULL),(20,5393280,'1983-09-22 00:00:00',4,15,12,2007,'M','N','CENTRO','BAL GAIVOTA','SC','224241241127141431427931315122130727052',NULL,'54',0.00,1,3,NULL),(20,5393302,'1980-01-05 00:00:00',4,1,12,1998,'M','N','PONTE SECA','CARLOS BARBOSA','RS','120202201246111411326612115124610167171',NULL,'9998',0.00,1,3,NULL),(20,5393310,'1992-10-16 00:00:00',4,8,12,2009,'M','N','CENTRO','SCHROEDER','SC','124241241136372731546514245121610132012',NULL,'762',0.00,1,2,1),(20,5393329,'1985-03-11 00:00:00',2,1,12,2001,'F','N','PASSO D AREIA','PTO ALEGRE','RS','120204203116571741338749495124231567097',14659,'9998',48.84,1,3,NULL),(20,5393337,'1988-07-01 00:00:00',2,1,3,2006,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124242241114132431427613385124233247047',14837,'739',44.71,1,3,NULL),(20,5393345,'1988-10-07 00:00:00',4,4,12,2005,'M','N','INTERIOR','S MIGUEL OESTE','SC','124241241112161731634424382224610122172',10825,'757',52.50,1,3,NULL),(20,5393353,'1991-11-29 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124243241215471431354633575124610113152',NULL,'1022',15.79,1,3,NULL),(20,5393361,'1990-08-09 00:00:00',4,1,12,2007,'F','N','NOSSA SRA DE LOURDES','STA MARIA','RS','120202201214571531585732575112610122183',NULL,'9998',0.00,1,3,NULL),(20,5393370,'1993-06-03 00:00:00',4,1,12,2010,'F','S','CENTRO','DR MAURÍCIO CARDOSO','RS','120201201217161431336923571124610111182',NULL,'9998',53.22,1,3,NULL),(20,5393388,'1992-03-09 00:00:00',4,1,11,2009,'F','N','BANGU','STO ANDRÉ','SP','125252251417111431248724575124610165191',NULL,'9998',50.40,1,3,NULL),(20,5393396,'1991-04-18 00:00:00',2,4,12,2008,'M','N','CENTRO','STA MARIA','RS','120201201116471431558614475122610137047',NULL,'9998',0.00,1,2,1),(20,5393400,'1955-04-18 00:00:00',2,1,12,1974,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','524241245126131411231343335124610166047',NULL,'65',0.00,1,2,1),(20,5393426,'1984-05-09 00:00:00',4,1,12,2000,'M','N','KOBRASOL','S JOSÉ','SC','124246241231121211122212132121313211152',NULL,'270',0.00,1,3,NULL),(20,5393434,'1965-11-01 00:00:00',4,1,12,1984,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224212218231141411359843431332331864043',11763,'9998',54.80,1,3,NULL),(20,5393442,'1990-03-12 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241231373712635324481312610127147',11990,'988',52.13,1,3,NULL),(20,5393450,'1992-09-23 00:00:00',4,6,11,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241215111431358824575122610132072',14088,'392',50.21,1,3,NULL),(20,5393469,'1992-10-22 00:00:00',4,15,12,2009,'F','N','SÃO LUIZ','SOMBRIO','SC','124241241117131431623663332124610134017',11925,'1033',51.23,1,2,1),(20,5393485,'1993-05-25 00:00:00',2,8,12,2010,'F','S','IRIRIÚ','JOINVILLE','SC','124244248412131711326824292124610127147',NULL,'462',30.01,1,3,NULL),(20,5393493,'1985-12-16 00:00:00',2,1,12,2003,'F','N','PETROPOLIS','CAXIAS SUL','RS','120201201134131431534419281324140668097',12460,'9998',53.45,1,2,1),(20,5393515,'1993-04-05 00:00:00',4,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124242241216111431449911375122610167067',14839,'738',48.33,1,3,NULL),(20,5393523,'1989-09-26 00:00:00',4,1,12,2008,'F','N','JARDIM SAO PAULO','S PAULO','SP','125252251217271731264824485115143264127',NULL,'9998',0.00,3,3,NULL),(20,5393540,'1987-03-20 00:00:00',4,4,12,2004,'M','N','BATEL','CURITIBA','PR','116242161216471731558611572124610168182',NULL,'9998',24.66,1,3,NULL),(20,5393566,'1991-03-01 00:00:00',4,1,11,2008,'F','N','BROOKLIN','S PAULO','SP','125252251215471611378821575114610127132',NULL,'9998',0.00,1,3,NULL),(20,5393574,'1988-10-05 00:00:00',4,1,12,2005,'F','N','CENTRO','JARAGUÁ SUL','SC','124241241336132411446634335335130442097',NULL,'422',0.00,1,3,NULL),(20,5393582,'1992-02-04 00:00:00',4,1,12,2009,'M','N','RIO GRANDE','PALHOÇA','SC','124241241225111431633321375124610127182',14907,'262',45.75,4,3,NULL),(20,5393590,'1991-05-18 00:00:00',4,1,12,2008,'M','N','PARQUE MUNHOZ','S PAULO','SP','125252251217311251369833584112610167167',NULL,'9998',0.00,1,3,NULL),(20,5393612,'1991-05-24 00:00:00',4,1,11,2009,'F','N','RECREIO DOS CAFEZAIS','VALINHOS','SP','125252251217111411448814572112610124127',NULL,'9998',NULL,1,3,NULL),(20,5393620,'1991-12-21 00:00:00',4,1,12,2009,'F','N','VILAS BOAS','CPO GRANDE','MS','112122121216271751468831575122610168187',NULL,'9998',14.92,1,3,NULL),(20,5393639,'1993-08-04 00:00:00',4,5,11,2009,'M','N','FIGUEIRA','URUSSANGA','SC','124242243215111631469931575111610132047',12052,'820',54.28,1,3,NULL),(20,5393647,'1986-02-13 00:00:00',4,1,12,2003,'M','N','CENTRO','STA CRUZ SUL','RS','120202201216151411456732495122241467186',NULL,'9998',0.00,1,3,NULL),(20,5393655,'1992-08-25 00:00:00',2,2,12,2009,'M','N','VILA NOVA','BLUMENAU','SC','124242241215111231486624345124610167072',NULL,'855',0.00,1,3,NULL),(20,5393663,'1992-03-02 00:00:00',4,2,12,2009,'F','N','CENTRO','RODEIO','SC','124242241415111731346632575122610162047',NULL,'1118',29.91,1,3,NULL),(20,5393671,'1986-05-25 00:00:00',4,8,12,2002,'F','N','ROCIO PEQUENO','S FRANCISCO SUL','SC','124241241137251411113348382225610124052',NULL,'669',15.14,1,2,1),(20,5393680,'1990-06-29 00:00:00',2,9,12,2007,'M','N','DESVIO RIZZO','CAXIAS SUL','RS','120202201211571731346632371112610168122',3272,'9998',71.98,1,3,NULL),(20,5393698,'1992-06-09 00:00:00',4,10,12,2009,'F','N','CENTRO','GR PARÁ','SC','124241241137131731524633235331610113051',NULL,'330',23.57,1,2,1),(20,5393701,'1991-04-05 00:00:00',4,1,12,2008,'M','N','PINHEIROS','S PAULO','SP','125251251117471431356823575114610164047',9455,'9998',55.08,1,2,1),(20,5393710,'1992-01-25 00:00:00',2,1,12,2009,'F','N','PENHA','PAULO LOPES','SC','124241241225131231423311272324610121092',NULL,'262',30.94,1,3,NULL),(20,5393728,'1989-02-05 00:00:00',2,1,12,2006,'M','N','CENTRO','SANANDUVA','RS','120203201216571751379811575112610164113',NULL,'9998',0.00,1,3,NULL),(20,5393744,'1976-10-10 00:00:00',4,1,12,1996,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124161167136151741378613425122522961182',12243,'9998',53.90,1,3,NULL),(20,5393760,'1991-12-06 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241217131551326824245124610164097',NULL,'988',0.00,1,3,NULL),(20,5393779,'1991-05-06 00:00:00',2,1,11,2008,'F','N','VENDAVAL','BIGUAÇU','SC','124241244117171431525713285112610123142',NULL,'65',23.08,1,2,1),(20,5393787,'1983-03-05 00:00:00',5,1,12,2002,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241135461431316449191334610121147',NULL,'158',0.00,4,1,1),(20,5393795,'1974-10-07 00:00:00',4,1,12,1995,'M','N','CENTRO','FLORIANÓPOLIS','SC','624092098436152431239671415334240227093',NULL,'9998',0.00,4,3,NULL),(20,5393809,'1990-02-12 00:00:00',4,6,12,2007,'F','N','PRIMAVERA','BARRETOS','SP','125252251216571451578831575112610142072',NULL,'9998',0.00,1,3,NULL),(20,5393817,'1991-09-24 00:00:00',4,1,12,2008,'M','N','PQ DOM PEDRO I','ITATIBA','SP','125242253216271411365712275122610136142',NULL,'9998',33.57,1,3,NULL),(20,5393825,'1989-07-11 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215443411235844245235610168187',6781,'270',64.30,1,3,NULL),(20,5393833,'1992-08-20 00:00:00',4,9,12,2009,'F','N','JARDIM MINUANO','S JOAQUIM','SC','124241241116371431313621375221610153047',NULL,'903',17.92,1,2,1),(20,5393841,'1984-08-09 00:00:00',2,4,12,2002,'F','N','SAO FRANCISCO','AMPÉRE','PR','216161161126131731336452322232141121197',NULL,'9998',0.00,1,2,1),(20,5393850,'1990-02-03 00:00:00',2,1,12,2007,'F','N','TRIANON','GUARAPUAVA','PR','116162161216471731577923375122141062072',NULL,'9998',0.00,1,3,NULL),(20,5393868,'1991-01-10 00:00:00',2,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124112111216471441568811375125610148162',2127,'9998',75.83,1,3,NULL),(20,5393876,'1978-01-07 00:00:00',2,1,11,2005,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241125272411324444145124140264187',NULL,'358',27.07,1,2,1),(20,5393884,'1992-05-13 00:00:00',4,1,12,2009,'M','N','ALTO DE MAFRA','MAFRA','SC','124243241416131431339839375112610167047',NULL,'541',34.03,1,3,NULL),(20,5393906,'1981-06-08 00:00:00',4,10,11,1998,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241235113511458933475124331026127',NULL,'806',50.96,1,3,NULL),(20,5393914,'1987-10-01 00:00:00',4,1,12,2004,'F','N','BARREIROS','S JOSÉ','SC','124201201116151741138913245124242032182',NULL,'9998',11.88,1,3,NULL),(20,5393922,'1978-04-21 00:00:00',4,1,12,2001,'M','N','BARREIROS','S JOSÉ','SC','424241247126131721123643232312610164067',10131,'9999',57.91,1,3,NULL),(20,5393930,'1993-08-19 00:00:00',4,5,10,2010,'F','S','COMERCIÁRIO','CRICIÚMA','SC','124242241217111731568812572122610138122',NULL,'226',47.15,1,3,NULL),(20,5393949,'1990-01-31 00:00:00',4,1,12,2007,'F','N','MOEMA','S PAULO','SP','125252251217571431578812272122610121092',10036,'9998',56.22,3,3,NULL),(20,5393957,'1993-02-15 00:00:00',2,17,12,2009,'F','N','SÃO CRISTÓVÃO','TRÊS BARRAS','SC','124241241116271432456933575122610124142',NULL,'146',22.24,1,2,1),(20,5393965,'1990-12-28 00:00:00',4,8,12,2009,'F','N','VILA MARIANA','S PAULO','SP','125243251216251431245824575125610164142',NULL,'9998',0.00,1,3,NULL),(20,5393981,'1992-05-02 00:00:00',2,9,12,2009,'F','N','SÃO CRISTOVÃO','LAGES','SC','124241248211111311337933395122610123097',NULL,'1146',24.90,1,3,NULL),(20,5393990,'1992-02-06 00:00:00',4,1,11,2009,'F','N','FONTES','SOLEDADE','RS','120204201216371751556912371122610136142',NULL,'9998',0.00,1,3,NULL),(20,5394007,'1992-10-23 00:00:00',2,4,12,2009,'M','N','MARIA GORETTI','CHAPECÓ','SC','124242241211271711348812291124610144183',NULL,'9997',39.09,1,3,NULL),(20,5394015,'1989-02-09 00:00:00',2,8,12,2006,'M','N','SANTO ANTONIO','JOINVILLE','SC','124243248215573431557614575112610168042',7156,'1016',62.26,1,3,NULL),(20,5394023,'1991-02-22 00:00:00',4,2,12,2007,'F','N','JARDIM AMERICA','CAXIAS SUL','RS','120204201116271731459819575122141467077',NULL,'9998',0.00,1,3,NULL),(20,5394031,'1981-03-09 00:00:00',4,1,12,2000,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241122131411123641215224610114142',NULL,'507',31.42,4,3,NULL),(20,5394058,'1991-04-11 00:00:00',4,1,12,2008,'M','N','MARIA IZABEL','MARÍLIA','SP','125252251215472451368831575112610164052',NULL,'9998',0.00,1,3,NULL),(20,5394104,'1992-08-14 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431536632371122610137147',NULL,'1038',36.51,1,3,NULL),(20,5394112,'1982-08-26 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124203247147131431124352285124610123147',NULL,'9997',25.29,2,3,NULL),(20,5394120,'1991-09-24 00:00:00',2,1,12,2008,'M','N','JARDIM MARIA INÊS','APARECIDA GOIÂNIA','GO','109092091211471411446611571124610162042',7020,'9998',61.01,1,3,NULL),(20,5394139,'1992-09-26 00:00:00',5,7,12,2009,'F','N','ESCOLAR','SALTO VELOSO','SC','124243241116371411435814575122610137142',NULL,'1113',0.00,1,3,NULL),(20,5394147,'1990-06-10 00:00:00',2,1,12,2007,'M','N','CENTRO','PALHOÇA','SC','124242241216133431336733385114610124047',NULL,'724',20.03,2,1,2),(20,5394155,'1985-05-08 00:00:00',2,8,7,2006,'M','N','GIORGIA PAULA','GARUVA','SC','124241241126132431123315135224333268142',NULL,'923',0.00,2,1,1),(20,5394163,'1992-12-28 00:00:00',2,3,11,2009,'F','N','NOVA ESPERANÇA','BAL CAMBORIÚ','SC','124241241215131431663934574224610126177',12220,'1038',51.23,1,3,NULL),(20,5394171,'1985-08-11 00:00:00',4,1,12,2002,'F','N','KOBRASOL','S JOSÉ','SC','124131131437151451136641315135242146147',9611,'9998',58.89,1,3,NULL),(20,5394180,'1992-06-20 00:00:00',2,1,12,2009,'F','N','CENTRO','S THOMÉ LETRAS','MG','113131131117271411337612272122610163092',11127,'9998',52.17,1,2,1),(20,5394198,'1992-11-30 00:00:00',4,2,11,2009,'M','N','VELHA','BLUMENAU','SC','124242241217121431438931495124610132012',16325,'855',38.93,1,3,NULL),(20,5394201,'1989-07-04 00:00:00',4,1,12,2007,'M','N','VILA ESTRELA','AMAMBAÍ','MS','112121121317152712226923495125610165122',6130,'9998',65.74,1,3,NULL),(20,5394210,'1971-09-06 00:00:00',4,1,7,1989,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','224241246141574711463452221132121447143',NULL,'306',0.00,1,2,1),(20,5394228,'1991-06-28 00:00:00',4,1,12,2008,'F','N','CENTRO','BASTOS','SP','125252251216471411563815572125610122177',NULL,'9998',31.72,3,3,NULL),(20,5394236,'1985-03-25 00:00:00',2,1,12,2001,'M','N','COLINA','PRES PRUDENTE','SP','125251251116131431323311415122143217157',NULL,'9998',24.04,1,2,1),(20,5394244,'1988-10-18 00:00:00',4,1,12,2005,'M','N','CAMPINAS','S JOSÉ','SC','124241241116275431445614385124333262097',15056,'307',47.71,1,3,NULL),(20,5394252,'1992-04-30 00:00:00',2,1,11,2009,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124244247417131431338719575122610132117',NULL,'9999',20.23,1,3,NULL),(20,5394260,'1992-06-26 00:00:00',4,3,12,2009,'F','N','JUNQUEIRA','TATUÍ','SP','125254251217111741258714581122610137142',NULL,'9998',0.00,1,3,NULL),(20,5394279,'1992-01-30 00:00:00',4,3,12,2008,'F','N','CENTRO','QUEDAS IGUAÇU','PR','116163161215472431336614572122610122147',6382,'9998',61.89,1,3,NULL),(20,5394287,'1984-04-10 00:00:00',2,8,12,2002,'M','N','BATEL','CURITIBA','PR','116163161215574711448833575315141464091',NULL,'9998',0.00,1,3,NULL),(20,5394295,'1986-12-31 00:00:00',2,1,11,2006,'M','N','JD CIDADE DE FLORIAN','S JOSÉ','SC','124201247146271431224364192111610134187',NULL,'976',38.51,4,2,1),(20,5394309,'1990-12-07 00:00:00',2,2,7,2008,'F','N','SÃO LUIZ','BRUSQUE','SC','124241247236373431233623575125610162172',NULL,'9999',0.00,4,3,NULL),(20,5394317,'1991-08-06 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124132241215272441478711575124231247015',3743,'1133',70.48,1,3,NULL),(20,5394325,'1955-11-28 00:00:00',4,1,12,1981,'F','N','PRAIA DOS INGLESES','FLORIANÓPOLIS','SC','124201208122134141226649295124132743097',NULL,'9998',27.64,1,2,1),(20,5394333,'1991-07-20 00:00:00',2,4,10,2008,'M','N','COPAS VERDES','ERECHIM','RS','120201201246471431374452395122610167055',NULL,'9998',0.00,1,3,NULL),(20,5394341,'1990-03-25 00:00:00',2,10,12,2007,'F','N','CENTRO','GRAMADO','RS','120206201611472431428819492124143228177',NULL,'9998',0.00,1,3,NULL),(20,5394350,'1990-07-26 00:00:00',4,1,1,2010,'M','N','BROOKLIN','S PAULO','SP','125252251237111711358931391121610121116',NULL,'9998',0.00,1,3,NULL),(20,5394368,'1992-08-02 00:00:00',2,3,12,2009,'F','N','BAIRRO CENTRO','BAL CAMBORIÚ','SC','124244241216111441469833572222610132197',NULL,'1038',0.00,1,3,NULL),(20,5394376,'1988-11-09 00:00:00',4,1,12,2006,'F','N','CERQUEIRA CÉSAR','S PAULO','SP','125102101216571431458812575125141033097',NULL,'9998',0.00,1,3,NULL),(20,5394384,'1989-05-06 00:00:00',4,3,11,2006,'M','N','TABULEIRO','CAMBORIÚ','SC','124242241217134751559729215335222364171',9588,'44',58.94,4,3,NULL),(20,5394392,'1978-03-25 00:00:00',2,1,6,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241247216134411524429115124610163147',NULL,'1003',0.00,1,3,NULL),(20,5394406,'1990-05-30 00:00:00',2,16,12,2007,'F','N','CENTRO','CURITIBANOS','SC','124243241217473751434429382225233268197',3396,'1038',72.38,1,3,NULL),(20,5394414,'1985-01-10 00:00:00',2,1,12,2003,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124201247131132441128744245321122762171',NULL,'9997',31.38,1,2,1),(20,5394422,'1985-03-07 00:00:00',2,1,12,2002,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241248117371132433324345134130227047',NULL,'9999',25.81,1,3,NULL),(20,5394449,'1992-05-09 00:00:00',4,8,12,2009,'F','N','VILA MARIANA','S PAULO','SP','125252251217111531579911575125610166097',NULL,'9998',0.00,1,3,NULL),(20,5394457,'1990-03-14 00:00:00',4,4,12,2007,'F','N','CENTRO','XAXIM','SC','124244241211572451346613275124610127142',10930,'185',52.43,1,3,NULL),(20,5394465,'1993-01-18 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124241241116371431423511575124610125142',NULL,'734',19.15,4,2,1),(20,5394481,'1990-04-11 00:00:00',4,1,12,2007,'F','N','BELA VISTA','CPO BOM','RS','120204201417571431678813572114610131146',NULL,'9998',0.00,1,3,NULL),(20,5394490,'1971-12-03 00:00:00',2,1,12,1989,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224241241142371411433351372122610122037',12969,'804',52.43,1,2,1),(20,5394503,'1990-12-07 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242248211113531423832341122230214147',NULL,'738',0.00,1,3,NULL),(20,5394511,'1993-05-31 00:00:00',4,2,12,2010,'F','S','CENTRO','POMERODE','SC','124242241215111731436319295124610132077',NULL,'855',26.05,1,3,NULL),(20,5394546,'1992-08-31 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124242241216131431435933575124610132197',NULL,'976',27.11,1,3,NULL),(20,5394554,'1986-08-04 00:00:00',4,1,12,2003,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241117152431559611445132133262197',NULL,'442',11.56,1,3,NULL),(20,5394570,'1992-03-06 00:00:00',2,8,11,2009,'M','N','NOVO MUNDO','CURITIBA','PR','116162161215412231469814572114610167087',NULL,'9998',42.84,1,3,NULL),(20,5394589,'1957-08-23 00:00:00',4,1,12,1977,'M','N','JARDIM LIBERDADE II','MARINGÁ','PR','116161163126111131225541415122141432172',NULL,'9998',0.00,1,3,NULL),(20,5394597,'1982-11-12 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241127475531127744345234610151187',11621,'922',51.84,4,2,1),(20,5394600,'1992-10-15 00:00:00',4,9,12,2009,'M','N','SÃO FRANCISCO','BENTO GONÇALVES','RS','120202201216471731457834572122610164157',5412,'9998',65.26,1,3,NULL),(20,5394619,'1991-03-31 00:00:00',2,10,12,2008,'M','N','CENTRO','RIO FORTUNA','SC','124241248146372731433413585122610112147',NULL,'665',22.62,1,2,1),(20,5394643,'1988-02-11 00:00:00',4,9,12,2004,'F','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120201201316571431443633172124610125057',2842,'9998',72.74,1,3,NULL),(20,5394651,'1991-07-02 00:00:00',2,1,10,2008,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124242241212133112337932325124610137047',NULL,'259',27.15,1,3,NULL),(20,5394660,'1992-09-13 00:00:00',4,4,12,2009,'F','N','CENTRO','NOVA ERECHIM','SC','124241241116131431527814572122610133147',NULL,'572',0.00,1,2,1),(20,5394678,'1985-05-03 00:00:00',4,5,12,2002,'F','N','BAIXADA FLUMINENSE','URUSSANGA','SC','124241241116232721218449492334130236057',NULL,'822',0.00,1,3,NULL),(20,5394686,'1991-12-11 00:00:00',4,4,12,2009,'M','N','CENTRO','PALMA SOLA','SC','124241241127131411449613285122610164142',NULL,'598',0.00,1,2,1),(20,5394694,'1977-04-26 00:00:00',4,8,12,1994,'M','N','JARDIM IGUAÇU','MARINGÁ','PR','103011053314144111321121297331622927191',NULL,'9998',0.00,1,3,NULL),(20,5394708,'1985-02-19 00:00:00',2,1,12,2002,'F','N','ESPIRITO SANTO','PTO ALEGRE','RS','120202201216471451568619443124240668097',NULL,'9998',16.57,1,3,NULL),(20,5394716,'1987-02-13 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124254258416564332346629494224143264051',12987,'9998',52.39,1,3,NULL),(20,5394724,'1991-05-06 00:00:00',4,1,11,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124254241216272431657814345112133214187',14023,'1048',45.83,1,3,NULL),(20,5394740,'1990-12-01 00:00:00',4,1,12,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216153231449934575122221424142',6566,'270',64.78,1,3,NULL),(20,5394759,'1987-09-25 00:00:00',4,7,12,2004,'F','N','SAO CRISTOVAO','PASSO FUNDO','RS','220201201116571331433752582124610167192',NULL,'9998',35.52,1,2,1),(20,5394767,'1987-11-25 00:00:00',2,8,11,2004,'F','N','MERCES','CURITIBA','PR','116163167316573451346631571122610146097',9193,'9998',58.20,1,3,NULL),(20,5394775,'1989-09-28 00:00:00',4,5,11,2006,'M','N','CENTRO','SIDERÓPOLIS','SC','124242248215371511468812595112131467112',NULL,'767',0.00,1,3,NULL),(20,5394783,'1989-04-01 00:00:00',2,8,12,2006,'F','N','JARDIM UNIVERSITÁRIO','MARINGÁ','PR','116162161116473431246827495221610163027',12608,'9998',50.15,1,3,NULL),(20,5394805,'1986-01-30 00:00:00',2,7,7,2007,'F','N','CENTRO','HERVAL D OESTE','SC','124241247112471431111519572342610124147',NULL,'9999',21.79,1,2,1),(20,5394821,'1992-07-06 00:00:00',4,1,12,2009,'F','N','INDAIÁ','NOVA TRENTO','SC','124241241124141131433314245124610162042',NULL,'574',21.18,1,2,1),(20,5394848,'1992-07-13 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241145141431423414242122610127147',13786,'592',47.65,1,2,1),(20,5394856,'1986-07-09 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241346241431635534195124610127073',NULL,'9999',18.89,1,3,NULL),(20,5394864,'1992-07-23 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215112431536824375125610144092',10071,'1076',55.82,1,3,NULL),(20,5394872,'1988-12-14 00:00:00',4,1,12,2005,'F','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120202201216573431489814575115610167093',3075,'9998',72.48,4,3,NULL),(20,5394899,'1992-11-18 00:00:00',2,15,12,2009,'F','N','BAIRRO GÁVEA','JACINTO MACHADO','SC','124241241112131431523723592221610131057',12679,'420',50.07,1,2,1),(20,5394910,'1992-07-25 00:00:00',4,4,12,2009,'F','N','CENTRO','XANXERÊ','SC','124244241235131431536839294125610136017',11789,'836',51.24,1,3,NULL),(20,5394929,'1992-06-26 00:00:00',4,5,10,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431468832275125610124052',15035,'226',47.76,1,3,NULL),(20,5394937,'1991-06-20 00:00:00',4,1,12,2008,'M','N','SANTA FÉ','CPO GRANDE','MS','112122121216172731578831575122610167042',NULL,'9998',0.00,1,3,NULL),(20,5394988,'1961-05-13 00:00:00',2,1,12,1978,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224161168146471411433351282124141126047',NULL,'9998',42.72,1,2,1),(20,5394996,'1983-08-10 00:00:00',2,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201201116141411137749222122131067062',15965,'9998',44.31,1,2,1),(20,5395003,'1989-03-19 00:00:00',2,8,12,2006,'F','N','SANTA ROSA','CUIABÁ','MT','111162161215512731476812422122610164122',NULL,'9998',0.00,1,3,NULL),(20,5395011,'1987-02-01 00:00:00',2,1,11,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241247332473731447823342122610127057',NULL,'1003',26.45,1,3,NULL),(20,5395038,'1982-11-30 00:00:00',4,1,12,1999,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241117155221268643235132420768145',3371,'307',72.42,1,3,NULL),(20,5395046,'1990-09-11 00:00:00',2,8,12,2007,'M','N','JARDIM HANTSCHEL','RIO NEGRINHO','SC','124241241117161731538614441214610124147',NULL,'669',24.00,1,2,1),(20,5395054,'1992-06-25 00:00:00',4,1,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431363912395122610131052',NULL,'1038',0.00,1,3,NULL),(20,5395070,'1992-10-15 00:00:00',2,4,12,2009,'M','N','CENTRO','CHAPADA','RS','120201201116151431438739572125610127057',11584,'9998',51.84,1,2,1),(20,5395089,'1992-04-07 00:00:00',4,8,11,2009,'F','N','EMBARÉ','SANTOS','SP','125252251217371731388811594122610144162',NULL,'9998',0.00,1,3,NULL),(20,5395097,'1986-07-02 00:00:00',2,1,11,2003,'F','N','ZONA SETE','MARINGÁ','PR','116114161215471451454939474124342538027',NULL,'9998',0.00,4,3,NULL),(20,5395100,'1990-08-12 00:00:00',2,1,12,2008,'M','N','JARDIM CLARET','RIO CLARO','SP','125252251216473431248734575121610167052',NULL,'9998',0.00,1,3,NULL),(20,5395119,'1991-09-02 00:00:00',4,1,11,2008,'M','N','BELA VISTA I','S JOSÉ','SC','124114241216132431548632575344610167042',13975,'1118',48.35,1,3,NULL),(20,5395127,'1991-12-21 00:00:00',4,1,12,2009,'F','N','CENTRO','VIDAL RAMOS','SC','124241241116231731436823275122610124052',NULL,'828',0.00,1,3,NULL),(20,5395151,'1985-09-18 00:00:00',2,1,12,2004,'M','N','BOA VISTA','RIO SUL','SC','124242247212153411628813384324222314041',16044,'9999',43.81,4,3,NULL),(20,5395160,'1991-06-09 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124253241237111331358824175122610161142',NULL,'262',23.70,3,3,NULL),(20,5395186,'1990-10-04 00:00:00',2,4,12,2008,'F','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124243241316131431539832575122610124197',7953,'245',59.96,1,3,NULL),(20,5395194,'1988-06-13 00:00:00',2,1,12,2005,'F','N','SERRINHA','FLORIANÓPOLIS','SC','116161161111131431423623243324610126052',NULL,'9998',8.87,1,2,1),(20,5395216,'1992-07-06 00:00:00',4,1,12,2009,'F','N','INDAIÁ','NOVA TRENTO','SC','124241241124141131433314245124610167042',NULL,'574',20.54,1,2,1),(20,5395224,'1979-12-13 00:00:00',4,1,12,1997,'M','N','BARREIROS','S JOSÉ','SC','124243248336245731437313335124132227143',NULL,'306',28.01,4,3,NULL),(20,5395240,'1990-06-17 00:00:00',4,9,12,2007,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124243241216274431459913572124231267012',7007,'499',63.80,1,3,NULL),(20,5395259,'1973-01-11 00:00:00',4,1,12,1991,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211153751368619445124121167187',15584,'272',45.94,1,3,NULL),(20,5395267,'1989-08-06 00:00:00',2,1,12,2006,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241241112142411331331315122232064047',NULL,'307',27.91,2,1,1),(20,5395291,'1992-03-25 00:00:00',4,6,12,2009,'F','N','CENTRO','BRUSQUE','SC','124242241235111431457732575122610133092',NULL,'107',15.48,1,3,NULL),(20,5395305,'1992-04-17 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241112131431635431575114610165035',15406,'288',46.59,1,2,1),(20,5395313,'1990-12-14 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431349933475114610125092',3267,'270',72.70,4,3,NULL),(20,5395321,'1992-04-20 00:00:00',4,2,12,2009,'F','N','SÃO PEDRO','GUABIRUBA','SC','124241241215111411538611275222610118092',NULL,'109',0.00,1,3,NULL),(20,5395330,'1992-09-27 00:00:00',4,1,10,2009,'F','N','GRAMADO','CASCAVEL','PR','116163161215121432476612175112610121127',NULL,'9998',0.00,1,3,NULL),(20,5395348,'1990-03-18 00:00:00',2,15,12,2007,'M','N','SANTO ANJO DA GUARDA','TRÊS CACHOEIRAS','RS','120201201127371431433519492112610167042',NULL,'9998',22.73,1,2,1),(20,5395356,'1992-10-24 00:00:00',4,6,12,2009,'M','N','JARDIM PARANÁ','TOLEDO','PR','116162161215311431368731571122610137127',15047,'9998',44.86,1,3,NULL),(20,5395380,'1988-04-24 00:00:00',4,1,12,2005,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215373431249814475121120721091',3812,'260',71.34,1,3,NULL),(20,5395402,'1992-02-03 00:00:00',4,8,12,2009,'F','N','CENTRO','S BENTO SUL','SC','124242241216171431337339292122610124147',11956,'1178',51.68,1,3,NULL),(20,5395410,'1989-05-15 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241117472431221324242334610124047',10913,'307',53.96,4,2,1),(20,5395429,'1975-06-04 00:00:00',2,1,10,2002,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124243247343132431113348493321610138187',14818,'9999',48.41,1,3,NULL),(20,5395437,'1987-08-01 00:00:00',1,8,12,2005,'F','N','ENTRE RIOS','JORDÃOZINHO','PR','116162161236572431534416572124142622017',4245,'9998',69.79,1,3,NULL),(20,5395445,'1973-01-09 00:00:00',4,1,12,1989,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241161317575411164641415122121468182',13400,'9998',51.59,1,3,NULL),(20,5395461,'1988-05-10 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRNADE','FLORIANÓPOLIS','SC','124252251217141711238812245134233264142',16096,'9998',43.45,1,3,NULL),(20,5395470,'1990-07-24 00:00:00',4,1,12,2007,'M','N','CENTRO','MARINGÁ','PR','116162161216572231369933175121141764164',NULL,'9998',31.25,1,3,NULL),(20,5395488,'1990-10-14 00:00:00',4,1,12,2008,'M','N','VILA CLAUDIA','LIMEIRA','SP','125252251217111231479933495122610112042',NULL,'9998',0.00,1,3,NULL),(20,5395500,'1987-03-13 00:00:00',2,1,12,2005,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241127374421533319345124610124112',NULL,'307',31.78,2,1,1),(20,5395518,'1987-07-20 00:00:00',2,3,8,2005,'M','N','PRAÇA','TIJUCAS','SC','124241241126131132243321345132130237047',NULL,'971',0.00,1,2,1),(20,5395534,'1977-03-14 00:00:00',4,1,6,2001,'M','N','KOBRASOL','S JOSÉ','SC','124242246112134421628623582124131414092',NULL,'306',25.43,1,3,NULL),(20,5395542,'1992-02-04 00:00:00',4,1,12,2008,'F','N','VILA GOMES','CPO GRANDE','MS','112124121415471231456316282122610148182',NULL,'9998',0.00,1,3,NULL),(20,5395550,'1990-09-28 00:00:00',4,1,12,2007,'F','N','ZONA SETE','MARINGÁ','PR','116161161217571431468612575125241536147',2962,'9998',73.63,1,3,NULL),(20,5395569,'1992-10-22 00:00:00',4,8,11,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242251215121431488932576112610138196',NULL,'1063',0.00,1,3,NULL),(20,5395577,'1992-04-15 00:00:00',2,4,12,2009,'M','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124161161117131331334332275122610167042',NULL,'9998',29.56,3,2,1),(20,5395585,'1988-02-26 00:00:00',4,1,11,2005,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241217475421446612245122231467182',10516,'213',57.21,1,3,NULL),(20,5395593,'1989-12-22 00:00:00',4,1,12,2007,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251217571411458824475121610124047',10686,'9998',52.74,1,3,NULL),(20,5395615,'1986-03-14 00:00:00',2,10,12,2003,'M','N','VILA METALURGICA','STO ANDRÉ','SP','125251253216231311558617215124340736057',NULL,'9998',0.00,1,3,NULL),(20,5395623,'1991-05-23 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242241215122231368731575112610128072',NULL,'1022',19.10,1,3,NULL),(20,5395631,'1993-07-13 00:00:00',4,1,12,2010,'F','S','CANASVIEIRAS','FLORIANÓPOLIS','SC','116163161217111431386933595121610146077',NULL,'9998',48.12,1,3,NULL),(20,5395640,'1990-12-23 00:00:00',2,1,11,2009,'F','N','VILA MARIO','S LUIZ GONZAGA','RS','120203201331111431449615571222610132077',NULL,'9998',0.00,1,3,NULL),(20,5395658,'1991-05-19 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','120202191215471741469921415114141467047',1301,'9998',79.47,1,3,NULL),(20,5395666,'1987-12-12 00:00:00',4,15,12,2004,'F','N','CRISTAL','PTO ALEGRE','RS','120202201217571431337939371124141537127',3872,'9998',69.71,1,3,NULL),(20,5395674,'1992-04-22 00:00:00',4,1,11,2009,'F','N','JARDIM PRIMAVERA','CUIABÁ','MT','111112111217121431448831575122610146047',4019,'9998',68.26,1,3,NULL),(20,5395682,'1992-08-05 00:00:00',4,1,11,2009,'F','N','VILA MONTEIRO','PIRACICABA','SP','125252251216111431358914575122610122012',NULL,'9998',0.00,1,3,NULL),(20,5395704,'1991-07-13 00:00:00',2,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124241241135141431536623145124610124052',NULL,'734',25.66,4,2,1),(20,5395712,'1993-01-27 00:00:00',4,1,11,2010,'F','S','BELA VISTA','S JOSÉ','SC','123243241212111751426633345124610123017',NULL,'1076',17.26,2,3,NULL),(20,5395720,'1992-06-22 00:00:00',2,3,12,2009,'M','N','BOMBAS','BOMBINHAS','SC','124244241436111711454411372112610167041',NULL,'1119',26.31,1,3,NULL),(20,5395739,'1986-11-09 00:00:00',2,1,12,2004,'M','N','GRANJA','CACHOEIRINHA','RS','120203201211111431466611215122140217112',NULL,'9998',23.55,1,3,NULL),(20,5395755,'1989-10-12 00:00:00',2,1,12,2006,'F','N','JARDIM LINDÓIA','PTO ALEGRE','RS','120201201117571751446511572125610162117',NULL,'9998',25.70,1,2,1),(20,5395763,'1986-05-10 00:00:00',4,1,12,2004,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241245122232411453429242324610118187',NULL,'307',15.33,3,2,1),(20,5395771,'1991-08-25 00:00:00',2,4,12,2009,'F','N','CENTRO','DOIS VIZINHOS','PR','116161161136131431323379292335610155057',NULL,'9998',0.00,1,2,1),(20,5395798,'1982-09-22 00:00:00',4,9,12,1999,'M','N','SÃO SEBASTIÃO','LGA VERMELHA','RS','120201201216151431576833485124241468182',NULL,'9998',0.00,4,3,NULL),(20,5395810,'1993-07-06 00:00:00',2,1,12,2010,'M','S','CAMPINAS','S JOSÉ','SC','124242241215111431446933575122610128072',NULL,'737',27.38,1,3,NULL),(20,5395828,'1992-02-07 00:00:00',4,1,12,2008,'F','N','PENHA','IJUÍ','RS','120202201216371431229613575122610136177',5910,'9998',63.60,1,3,NULL),(20,5395836,'1992-06-30 00:00:00',4,6,12,2009,'M','N','PIRITUBA','S PAULO','SP','125252251217111451367712575122610137053',NULL,'9998',0.00,1,3,NULL),(20,5395844,'1988-05-25 00:00:00',2,1,11,2005,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241147331711444419295113610162112',NULL,'295',20.71,1,2,1),(20,5395852,'1991-03-09 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241111371431423718575124610128187',NULL,'732',28.27,1,3,NULL),(20,5395879,'1991-05-22 00:00:00',4,1,7,2009,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124242281415271711479912575124610124112',10138,'9998',57.90,1,3,NULL),(20,5395887,'1992-02-05 00:00:00',2,1,10,2009,'M','N','FORTALEZA','BLUMENAU','SC','124241248215172731236939475122610137067',NULL,'855',16.59,1,3,NULL),(20,5395909,'1983-08-29 00:00:00',2,1,12,2003,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124203201311131211111544141234610112091',NULL,'9998',18.89,1,3,NULL),(20,5395917,'1992-05-16 00:00:00',4,8,12,2009,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112124121216131232546611372122610162157',9642,'9998',55.77,1,3,NULL),(20,5395925,'1993-03-04 00:00:00',4,1,12,2009,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241147132731448713385114610167042',13392,'322',50.11,1,2,1),(20,5395933,'1990-10-10 00:00:00',4,1,11,2008,'M','N','JARDIM DAS AMÉRICAS','CUIABÁ','MT','111252111217371441379933575112610128053',NULL,'9998',0.00,1,3,NULL),(20,5395950,'1993-05-09 00:00:00',2,15,12,2010,'F','S','COLONINHA','ARARANGUÁ','SC','124242244215111741548914342122610137072',NULL,'970',28.08,4,3,NULL),(20,5395968,'1991-04-01 00:00:00',2,1,12,2008,'F','N','JD MONTE CARLO','MARINGÁ','PR','116164161216371431368934345122143232187',NULL,'9998',0.00,1,3,NULL),(20,5395984,'1989-04-06 00:00:00',2,6,12,2006,'F','N','PQ EDU CHAVES','S PAULO','SP','125252251214571451347812275112143242187',10444,'9998',55.38,1,3,NULL),(20,5395992,'1989-02-19 00:00:00',4,1,12,2007,'F','N','CENTRO','TIJUCAS','SC','124241241145271431644419241124610138182',NULL,'783',19.48,1,2,1),(20,5396000,'1991-08-08 00:00:00',4,1,12,2008,'M','N','MONT SERRAT','PTO ALEGRE','RS','120204201216141711558811274124241462042',NULL,'9998',0.00,1,3,NULL),(20,5396026,'1985-02-26 00:00:00',2,1,12,2002,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241216152431149343435135121636187',8189,'185',61.49,1,3,NULL),(20,5396034,'1991-10-29 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215272732436414372124610123097',5440,'738',66.53,1,3,NULL),(20,5396042,'1991-11-02 00:00:00',2,4,12,2008,'M','N','CENTRO','PARANAVAÍ','PR','116162161215471431345936575122610127012',10841,'9998',53.32,1,3,NULL),(20,5396069,'1991-08-07 00:00:00',2,1,12,2008,'M','N','VILA IPIRANGA','LONDRINA','PR','116163161217471431548812375124610127062',12329,'9998',49.85,3,3,NULL),(20,5396077,'1992-09-09 00:00:00',2,4,12,2009,'F','N','CENTRO','UBIRETAMA','RS','120201201126131431436923575122610154077',NULL,'9998',0.00,1,2,1),(20,5396115,'1990-04-18 00:00:00',4,4,12,2006,'M','N','CENTRO','CHAPECÓ','SC','116242241216572431359911572124242622122',13860,'185',50.63,1,3,NULL),(20,5396140,'1992-02-02 00:00:00',4,1,11,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124241241445131731434614392324610117143',11914,'262',50.25,1,3,NULL),(20,5396158,'1981-10-05 00:00:00',4,1,12,1999,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242243136254751487939295121221844067',NULL,'306',0.00,1,3,NULL),(20,5396166,'1992-01-13 00:00:00',2,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124241241137141712545312441114610165057',NULL,'730',30.84,1,2,1),(20,5396174,'1991-10-10 00:00:00',2,1,12,2008,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241111272211636612241122610117057',NULL,'288',20.07,1,2,1),(20,5396182,'1986-10-12 00:00:00',4,6,12,2004,'M','N','CENTRO','ITAJAÍ','SC','124092091217371751676614295125230616185',14933,'9998',43.08,4,3,NULL),(20,5396190,'1992-03-29 00:00:00',2,7,12,2009,'F','N','VILA ALEMANHA','LUZERNA','SC','124241241115271431423514442324610166147',NULL,'539',36.44,1,3,NULL),(20,5396204,'1991-06-06 00:00:00',2,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241212373431455711292112610162097',10010,'497',55.49,1,3,NULL),(20,5396220,'1992-08-13 00:00:00',4,2,12,2009,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124241241117111431345823445122610112142',NULL,'110',29.65,4,2,1),(20,5396239,'1992-05-07 00:00:00',2,15,12,2009,'M','N','SANGA DA AREIA','ARARANGUÁ','SC','124241241115161411535622112114610128141',NULL,'30',28.39,1,2,1),(20,5396247,'1992-08-24 00:00:00',4,2,12,2009,'F','N','FORTALEZA','BLUMENAU','SC','124241241315111411457822572112610162142',12062,'909',54.26,4,3,NULL),(20,5396271,'1992-05-17 00:00:00',4,8,12,2009,'M','N','MATO PRETO','S BENTO SUL','SC','124241241112271431344432345124610148172',3017,'697',72.17,1,2,1),(20,5396280,'1984-09-20 00:00:00',4,6,12,2001,'F','N','PARAISO DAS AVES','S RAIMUNDO NONATO','PI','118184181217271751348923485225333228097',13152,'9998',52.07,4,3,NULL),(20,5396298,'1990-07-03 00:00:00',2,8,12,2007,'M','N','VILA FELIZ','ALM TAMANDARÉ','PR','116161161117471241326329381124610137142',7272,'9998',61.53,2,1,1),(20,5396310,'1990-09-26 00:00:00',4,1,12,2008,'F','N','CENTRO','CANDELÁRIA','RS','120201201116131732538619392322613233177',NULL,'9998',29.38,1,2,1),(20,5396328,'1983-12-06 00:00:00',4,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','224241241115141732426144442324610142147',NULL,'296',15.45,1,2,1),(20,5396344,'1992-06-24 00:00:00',2,8,12,2009,'F','N','RURAL','MERCEDES','PR','116161161116131431446923155224610114057',NULL,'9998',0.00,1,2,1),(20,5396352,'1992-05-18 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241415131411434933375224610134057',8163,'1075',61.54,1,3,NULL),(20,5396379,'1991-05-11 00:00:00',4,1,12,2009,'M','N','TAVEIROPOLIS','CPO GRANDE','MS','112124121117111712469619275122610127112',16256,'9998',41.62,1,3,NULL),(20,5396387,'1992-07-18 00:00:00',2,4,12,2009,'M','N','NOSSA SENHORA DE FÁT','BARRACÃO','PR','116163161111271331436729385122610167042',NULL,'9998',0.00,1,3,NULL),(20,5396395,'1979-01-07 00:00:00',2,15,12,1996,'M','N','COLONINHA','ARARANGUÁ','SC','124241248126272731433339295121610162053',14226,'29',49.88,1,3,NULL),(20,5396409,'1988-06-09 00:00:00',2,4,12,2005,'M','N','CENTRO','S MIGUEL OESTE','SC','124241241216131231346514145133230812097',NULL,'752',22.43,1,3,NULL),(20,5396417,'1990-09-11 00:00:00',2,1,12,2007,'M','N','CENTRO','S LUDGERO','SC','124242241216373431364732575124610127142',9507,'950',55.90,1,3,NULL),(20,5396425,'1991-06-25 00:00:00',4,3,12,2008,'F','N','SUMARÉ','RIO SUL','SC','124242241215372751338831572112131547072',NULL,'991',21.61,1,3,NULL),(20,5396450,'1991-11-27 00:00:00',4,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241117131421425619345234610165012',NULL,'1116',0.00,4,2,1),(20,5396476,'1993-04-14 00:00:00',2,15,12,2009,'F','N','HIGIENOPOLIS','PTO ALEGRE','RS','120202201217271711475722422122610127115',13142,'9998',47.92,1,3,NULL),(20,5396484,'1982-07-20 00:00:00',4,1,12,1999,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124201201111131411117547275124610116192',15480,'9998',46.39,1,3,NULL),(20,5396506,'1990-01-13 00:00:00',2,1,10,2008,'M','N','CENTRO','PELOTAS','RS','120201208117471731256414575122610167042',NULL,'9998',22.29,1,2,1),(20,5396514,'1991-08-18 00:00:00',4,1,11,2009,'F','N','BOSQUE DA SAÚDE','CUIABÁ','MT','111112111215111451388812575112610161172',NULL,'9998',0.00,1,3,NULL),(20,5396522,'1988-06-08 00:00:00',4,1,12,2005,'F','N','BARREIROS','S JOSÉ','SC','124242241312272431338823345123130233097',NULL,'267',40.96,1,3,NULL),(20,5396530,'1991-04-25 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241211372231247821572112221167111',10291,'951',57.63,1,3,NULL),(20,5396557,'1986-07-12 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247131132451116741211224610133187',NULL,'9999',30.18,1,3,NULL),(20,5396565,'1982-05-28 00:00:00',4,1,12,1999,'F','N','CIDADE JARDIM','S PAULO','SP','125252251217471441469832411121610162102',NULL,'9998',0.00,1,3,NULL),(20,5396573,'1993-07-30 00:00:00',4,1,11,2010,'F','S','BARREIROS','S JOSÉ','SC','123242241212151432468814292122610134142',NULL,'723',22.03,1,3,NULL),(20,5396603,'1989-12-09 00:00:00',2,1,12,2007,'M','N','RIO TAVAREZ','FLORIANÓPOLIS','SC','124251251127131431434524345312610122147',NULL,'9998',28.05,1,2,1),(20,5396611,'1992-01-13 00:00:00',4,1,12,2009,'M','N','VALVERDE','VERANÓPOLIS','RS','120202201211271411346912574122610164183',7298,'9998',60.13,1,3,NULL),(20,5396620,'1993-02-04 00:00:00',2,1,12,2010,'M','S','CENTRO','UNIÃO VITÓRIA','PR','116243241117111331348832225112610125152',NULL,'635',12.63,3,3,NULL),(20,5396638,'1992-01-29 00:00:00',4,8,10,2009,'M','N','BUCAREIN','JOINVILLE','SC','124242241215111431466632575121610164045',8549,'932',58.03,1,3,NULL),(20,5396646,'1990-03-09 00:00:00',4,4,12,2007,'M','N','CENTRO','CASCAVEL','PR','116162161215511431547632572112610127063',12416,'9998',51.78,1,3,NULL),(20,5396654,'1988-10-24 00:00:00',4,10,12,2009,'M','N','HIGIENOPOLIS','S PAULO','SP','125251251126111732523314285124610124052',NULL,'9998',0.00,1,3,NULL),(20,5396662,'1987-04-13 00:00:00',2,8,12,2004,'F','N','ESTRADA NOVA','JARAGUÁ SUL','SC','224241241146372731636351295222131025142',NULL,'425',0.00,5,4,NULL),(20,5396670,'1992-10-26 00:00:00',4,3,12,2009,'M','N','CENTRO','PARANAVAÍ','PR','116164161216121431468831492112610114014',10433,'9998',53.82,4,3,NULL),(20,5396689,'1991-12-03 00:00:00',4,1,11,2009,'F','N','PQ RENATO MAIA','GUARULHOS','SP','125252251216111751458711591122610118193',NULL,'9998',0.00,1,3,NULL),(20,5396697,'1981-01-20 00:00:00',4,15,12,1998,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241214144731448871295125121448187',11354,'27',55.59,1,3,NULL),(20,5396727,'1992-01-04 00:00:00',4,1,12,2009,'M','N','DUQUE DE CAXIAS','CUIABÁ','MT','111112111217111431488833575112610167042',NULL,'9998',40.61,1,3,NULL),(20,5396743,'1992-10-03 00:00:00',4,16,12,2009,'F','N','CENTRO','FRAIBURGO','SC','124242241215111731446815575122610127076',NULL,'885',28.67,1,3,NULL),(20,5396751,'1953-06-17 00:00:00',4,1,12,1970,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124251251312151441585644442122341734132',NULL,'9998',0.00,1,3,NULL),(20,5396760,'1992-01-19 00:00:00',4,3,12,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116164161141131451536814341124610161097',10893,'9998',52.92,1,3,NULL),(20,5396778,'1993-07-02 00:00:00',4,3,11,2010,'F','S','MEIA PRAIA','ITAPEMA','SC','124242241217111731548919572122610135192',NULL,'407',9.79,1,3,NULL),(20,5396786,'1988-04-26 00:00:00',2,4,12,2005,'M','N','CENTRO','PALMITOS','SC','124241241136114441635529285324231316052',NULL,'761',0.00,1,2,1),(20,5396794,'1991-09-19 00:00:00',2,15,12,2008,'F','N','PARTENON','PTO ALEGRE','RS','120202201217471231569813575112610121047',11828,'9998',51.43,1,3,NULL),(20,5396808,'1992-02-20 00:00:00',4,8,12,2009,'F','N','PQ JOAO RAMALHO','STO ANDRÉ','SP','125253251216331431458611575124610122177',NULL,'9998',43.83,4,3,NULL),(20,5396816,'1992-05-08 00:00:00',2,4,12,2009,'F','N','INTERIOR','BELMONTE','SC','124241241114131731323635572222610127057',NULL,'60',24.86,1,2,1),(20,5396824,'1979-12-15 00:00:00',2,1,12,1997,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124251251127142421113344445124221112043',9082,'9998',59.81,1,3,NULL),(20,5396840,'1993-01-16 00:00:00',2,3,11,2009,'F','N','CENTRO','TELÊMACO BORBA','PR','116162161216111731456612595112610124182',12190,'9998',50.11,1,3,NULL),(20,5396859,'1988-06-09 00:00:00',4,1,11,2005,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217574431455721475122233231177',NULL,'807',0.00,1,3,NULL),(20,5396867,'1989-08-20 00:00:00',4,1,12,2006,'F','N','JARDIM BELA VISTA','ITAPIRANGA','SC','124241241241573411227921595115610164052',7469,'270',62.86,1,3,NULL),(20,5396875,'1992-02-03 00:00:00',2,2,12,2009,'M','N','GARCIA','BLUMENAU','SC','124242241215112231568612272124610127072',8595,'855',57.96,1,3,NULL),(20,5396883,'1992-07-19 00:00:00',4,2,12,2009,'F','N','CENTRO','MASSARANDUBA','SC','124241241145111441543434345121610144147',NULL,'555',20.56,1,2,1),(20,5396891,'1989-05-15 00:00:00',4,16,6,2007,'M','N','CENTRO','CURITIBANOS','SC','124162161411151751338811585125141066084',NULL,'9998',0.00,1,3,NULL),(20,5396905,'1991-07-04 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242248235112431468612245124233264052',NULL,'1134',27.60,1,3,NULL),(20,5396913,'1980-10-23 00:00:00',4,1,6,2001,'M','N','INCONFIDENTES','CONTAGEM','MG','113134131216574731546639285122241444097',NULL,'9998',39.87,4,3,NULL),(20,5396921,'1986-04-22 00:00:00',4,9,11,2003,'M','N','CENTRO','LAGES','SC','124244241212152312546523435214122262042',9284,'499',59.45,1,3,NULL),(20,5396930,'1993-07-04 00:00:00',2,2,11,2011,'F','S','POMERANOS','TIMBÓ','SC','124241241415121231456612595122613223142',NULL,'9997',41.96,1,3,NULL),(20,5396956,'1991-07-18 00:00:00',4,9,12,2008,'F','N','SANTA CLARA','BOM RETIRO','SC','124241241127161411433319392112610124147',NULL,'95',26.56,1,2,1),(20,5396964,'1983-02-07 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124152151212151711139844441122340712042',7203,'9998',63.42,1,3,NULL),(20,5396972,'1992-04-05 00:00:00',4,5,11,2009,'F','N','CENTRO','SIDERÓPOLIS','SC','124244241215112431685531575124610148187',15521,'226',42.44,1,3,NULL),(20,5397006,'1990-02-12 00:00:00',4,1,6,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241114373431447741311234610118121',11140,'978',52.69,1,3,NULL),(20,5397014,'1992-03-23 00:00:00',4,1,12,2009,'F','N','CENTRO','VERANÓPOLIS','RS','120202201216151431446733275122610133197',NULL,'9998',0.00,1,3,NULL),(20,5397022,'1992-12-18 00:00:00',4,1,12,2010,'M','S','PANTANAL','FLORIANÓPOLIS','SC','124242248217171231588813572135610167117',NULL,'270',45.09,1,3,NULL),(20,5397030,'1970-07-09 00:00:00',2,1,12,1988,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224241241116133751445553345222121162017',NULL,'307',30.80,1,3,NULL),(20,5397049,'1987-10-05 00:00:00',2,1,12,2005,'F','N','RIO TAVAREZ','FLORIANÓPOLIS','SC','124251251127131431434524345312610125047',NULL,'9998',28.82,1,2,1),(20,5397073,'1992-09-04 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124244241215111722546653575114610167067',16202,'1022',42.51,1,3,NULL),(20,5397081,'1985-02-10 00:00:00',2,1,12,2003,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241126272431623321345324610134053',NULL,'295',29.05,1,2,1),(20,5397090,'1992-02-07 00:00:00',4,4,11,2009,'M','N','CERÂMICA','ERECHIM','RS','120202201216271431468833595112610137142',5306,'9998',65.92,1,3,NULL),(20,5397103,'1987-09-07 00:00:00',4,1,7,2007,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124253247227271411238641211122610132117',NULL,'9999',0.00,1,3,NULL),(20,5397120,'1988-12-18 00:00:00',2,9,12,2005,'F','N','MARIA GORETTI','BENTO GONÇALVES','RS','120201201117471711338621175124140263142',11229,'9998',52.75,1,2,1),(20,5397138,'1990-05-26 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241211153431478813575122230222183',NULL,'1022',0.00,1,3,NULL),(20,5397154,'1992-09-09 00:00:00',2,4,12,2009,'F','N','CENTRO','UBIRETAMA','RS','120201201126131431436923575122610154077',NULL,'9998',0.00,1,2,1),(20,5397162,'1990-05-22 00:00:00',4,1,12,2008,'F','N','CENTRO','PASSO FUNDO','RS','120242241217473432328831572124610131091',NULL,'1050',0.00,1,3,NULL),(20,5397170,'1992-01-16 00:00:00',4,1,11,2009,'F','N','COQUEIRAL','CASCAVEL','PR','116162161215111431438633595112610144142',NULL,'9998',0.00,1,3,NULL),(20,5397197,'1992-10-26 00:00:00',4,9,12,2009,'F','N','VILA NOVA','JARAGUÁ SUL','SC','124241241215161431347711111124610128142',NULL,'424',29.12,1,3,NULL),(20,5397200,'1985-10-07 00:00:00',4,1,12,2003,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124162161237471411137842125124141034047',NULL,'9998',0.00,1,3,NULL),(20,5397219,'1982-09-27 00:00:00',2,1,12,1999,'F','N','PAES LEME','IMBITUBA','SC','124243241116134431443739482121131326187',15301,'359',46.93,1,3,NULL),(20,5397235,'1992-09-16 00:00:00',2,4,12,2009,'F','N','SÃO LUIS','S MIGUEL OESTE','SC','124244241116131531535611572122610135047',NULL,'757',0.00,4,3,NULL),(20,5397251,'1990-02-22 00:00:00',4,1,12,2007,'M','N','JARDIN JANAINA','BIGUAÇU','SC','124241241117272431633612125124610164172',NULL,'65',0.00,1,2,1),(20,5397260,'1987-05-18 00:00:00',2,1,12,2005,'M','N','FORQUILHAS','S JOSÉ','SC','124244241431134311128821491111130614062',11455,'213',55.43,1,3,NULL),(20,5397278,'1989-11-12 00:00:00',4,1,12,2007,'M','N','CENTRO','PALHOÇA','SC','124242241216112411477823225122223212187',3805,'1011',71.36,1,3,NULL),(20,5397294,'1991-12-03 00:00:00',4,1,11,2009,'F','N','PQ RENATO MAIA','GUARULHOS','SP','125052251211111741458731571122610112087',NULL,'9998',0.00,1,3,NULL),(20,5397308,'1992-01-24 00:00:00',4,2,12,2009,'F','N','CENTRO','PRES GETÚLIO','SC','124241241145221451349824345121610147147',NULL,'644',8.95,1,2,1),(20,5397340,'1987-05-02 00:00:00',4,1,12,2004,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216474731168813392123231824187',6023,'260',65.95,1,3,NULL),(20,5397367,'1991-07-21 00:00:00',2,1,12,2009,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124243247337131421324624345124610167147',NULL,'300',29.62,3,3,NULL),(20,5397375,'1993-12-29 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241115112411457812475122610122165',NULL,'271',28.56,1,2,1),(20,5397383,'1984-07-10 00:00:00',4,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241212233411326419591324221732012',11205,'909',55.91,1,3,NULL),(20,5397391,'1991-11-05 00:00:00',2,10,11,2009,'M','N','CENTRO','BRAÇO NORTE','SC','124242241215111431457812325122610137112',15330,'807',46.83,1,3,NULL),(20,5397405,'1993-03-21 00:00:00',4,8,12,2010,'F','S','BOA VISTA','JOINVILLE','SC','124242241216171232489932575122610124071',NULL,'459',26.81,1,3,NULL),(20,5397421,'1993-12-28 00:00:00',2,1,11,2010,'M','S','CAMPINAS','S JOSÉ','SC','124242241215111431366834345124610137042',NULL,'737',25.87,1,3,NULL),(20,5397430,'1993-08-30 00:00:00',4,1,11,2010,'M','S','INGLESES','FLORIANÓPOLIS','SC','124242241216111731445632575124610137042',NULL,'1048',27.57,1,3,NULL),(20,5397448,'1993-07-19 00:00:00',2,3,11,2010,'F','S','MEIA PRAIA','ITAPEMA','SC','124241241217111731446619572122610133192',NULL,'407',28.17,1,3,NULL),(20,5397456,'1984-04-20 00:00:00',2,15,12,2001,'M','N','COLONINHA','ARARANGUÁ','SC','124241241214132211643313441122331224047',NULL,'970',27.99,1,3,NULL),(20,5397464,'1988-01-02 00:00:00',2,1,12,2005,'M','N','JARDIM VALPARAIBA','S JOSÉ CAMPOS','SP','125253256216571751544633475124610168182',NULL,'9998',0.00,4,3,NULL),(20,5397472,'1991-08-03 00:00:00',4,10,11,2008,'M','N','OFICINAS','TUBARÃO','SC','124242241217271732327923385115131067041',6246,'807',65.46,1,3,NULL),(20,5397480,'1991-11-17 00:00:00',2,1,12,2009,'M','N','CENTRO','RANCHO QUEIMADO','SC','124241241125161431423116582325610157047',NULL,'649',22.24,1,2,1),(20,5397499,'1992-11-11 00:00:00',2,1,11,2009,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241115111731424314575122610118047',NULL,'591',27.74,1,2,1),(20,5397502,'1990-11-20 00:00:00',4,1,11,2008,'M','N','CANTO','FLORIANÓPOLIS','SC','124244211236141451128644345124610162177',NULL,'9998',0.00,4,3,NULL),(20,5397510,'1981-09-16 00:00:00',2,1,11,1999,'M','N','FLORESTA','S JOSÉ','SC','124241241316135731448611345134122312057',NULL,'1003',34.49,1,3,NULL),(20,5397529,'1982-06-01 00:00:00',4,1,12,2000,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241117155411569933485112322226122',12590,'270',53.15,1,3,NULL),(20,5397545,'1991-03-17 00:00:00',4,1,11,2008,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125252251217421231558811572122610167054',10588,'9998',53.99,1,3,NULL),(20,5397561,'1992-05-22 00:00:00',4,6,12,2009,'F','N','FIUZA LIMA','ITAJAÍ','SC','124243241215131431327834235125610144017',NULL,'1057',0.00,1,3,NULL),(20,5397570,'1988-12-31 00:00:00',4,1,12,2006,'M','N','ACLIMAÇÃO','S PAULO','SP','125251251216571431448823574124610132187',NULL,'9998',0.00,1,3,NULL),(20,5397588,'1986-11-10 00:00:00',4,6,12,2005,'M','N','CENTRO','ITAJAÍ','SC','124242241216111731336829324124230926043',NULL,'402',0.00,1,3,NULL),(20,5397596,'1987-10-13 00:00:00',2,1,12,2004,'F','N','REAL PARK','S JOSÉ','SC','124241241115371421421621341114610112047',15760,'257',45.23,1,2,1),(20,5397600,'1992-08-14 00:00:00',2,15,12,2009,'F','N','INTERRIOR','CANDELÁRIA','RS','120201201216151711657319392124610167052',NULL,'9998',0.00,1,3,NULL),(20,5397618,'1980-06-10 00:00:00',2,1,12,1999,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224241247111175311336642321122610167043',NULL,'9999',44.29,1,2,1),(20,5397626,'1987-08-07 00:00:00',2,1,12,2004,'M','N','JARDIM SAO DIMAS','S JOSÉ CAMPOS','SP','125131256227571431226629285124610162122',NULL,'9998',0.00,1,3,NULL),(20,5397634,'1989-12-05 00:00:00',2,1,11,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241233174711558937574124221417042',5507,'1118',67.08,1,3,NULL),(20,5397642,'1989-12-28 00:00:00',2,1,12,2007,'F','N','JD PETRAGLIA','FRANCA','SP','125251251117571431423424285324610166047',NULL,'9998',0.00,1,2,1),(20,5397669,'1986-10-30 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241161211235431526923215124610144097',13168,'9998',52.04,1,3,NULL),(20,5397677,'1990-05-24 00:00:00',4,5,12,2008,'M','N','BIGORRILHO','CURITIBA','PR','116164211237131711568834385123610164012',NULL,'9998',36.93,1,3,NULL),(20,5397693,'1989-03-14 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241127271421626644245123610134015',NULL,'585',27.40,4,2,1),(20,5397715,'1992-08-28 00:00:00',4,1,10,2009,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215121431358934592125610134112',4894,'855',66.94,1,3,NULL),(20,5397723,'1991-11-09 00:00:00',4,2,12,2009,'F','N','BELA VISTA','IBIRAMA','SC','124241241115111451543636573221610147057',15360,'643',43.32,1,2,1),(20,5397731,'1990-01-13 00:00:00',2,7,12,2007,'F','N','CENTRO','CAPINZAL','SC','124243241346132731526414281112610156177',NULL,'849',23.91,1,3,NULL),(20,5397758,'1983-10-03 00:00:00',2,1,12,2005,'F','N','CENTRO','PALHOÇA','SC','124202245342132751328643231124610166197',5399,'591',67.32,1,3,NULL),(20,5397766,'1989-01-21 00:00:00',4,10,12,2006,'M','N','DEHON','TUBARÃO','SC','124162161211471431249831591125610166122',NULL,'9998',0.00,1,3,NULL),(20,5397774,'1989-01-24 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215153422468831595124231037042',10426,'272',57.37,1,3,NULL),(20,5397782,'1988-02-25 00:00:00',4,8,12,2005,'F','N','BOA VISTA','JOINVILLE','SC','124242241211152641337614441122232066092',NULL,'456',67.34,1,3,NULL),(20,5397790,'1990-10-16 00:00:00',4,8,12,2007,'F','N','BIGORRILHO','CURITIBA','PR','116162161215571452368832574124610164026',NULL,'9998',0.00,3,3,NULL),(20,5397804,'1988-06-30 00:00:00',2,1,10,2006,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241247317211431325619292114610117187',NULL,'9999',22.48,1,3,NULL),(20,5397839,'1989-09-01 00:00:00',4,1,12,2008,'M','N','CENTRO','STA MARIA','RS','120201207116371431426411575114610134187',NULL,'9998',17.98,1,2,1),(20,5397847,'1965-11-22 00:00:00',4,1,5,2005,'M','N','BALNEARIO DANIELA','FLORIANÓPOLIS','SC','124201243522132411333369282344610145027',NULL,'304',0.00,4,1,2),(20,5397863,'1988-07-09 00:00:00',2,1,3,2006,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241117132711438823395124610167143',NULL,'739',29.40,1,3,NULL),(20,5397871,'1989-12-27 00:00:00',2,3,12,2007,'M','N','JARDIM SÃO PAULO','RIO CLARO','SP','125252251217472451566411395122141466042',NULL,'9998',0.00,1,3,NULL),(20,5397898,'1982-12-15 00:00:00',4,8,11,2000,'F','N','CENTRO','CPO LARGO','PR','116161161117371711434729372224341366077',NULL,'9998',0.00,1,2,1),(20,5397901,'1981-09-10 00:00:00',2,1,12,1999,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241122131431624414342114610127067',NULL,'288',25.88,1,2,1),(20,5397910,'1992-02-19 00:00:00',4,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241135131731336722292124610144047',NULL,'287',26.75,2,1,1),(20,5397928,'1993-02-28 00:00:00',4,6,12,2010,'F','S','CENTRO','BAL CAMBORIÚ','SC','124242241235111431378934495122620144145',NULL,'1038',23.08,1,3,NULL),(20,5397936,'1989-12-14 00:00:00',4,1,12,2007,'F','N','BROOKLIN NOVO','S PAULO','SP','125252251116571231438814571122610126177',NULL,'9998',39.60,1,3,NULL),(20,5397944,'1990-04-01 00:00:00',4,1,12,2007,'F','N','JARDIM GUANABARA','RONDONÓPOLIS','MT','111111111116132731323823585125610144142',11110,'9998',52.60,4,2,1),(20,5397952,'1989-02-14 00:00:00',4,1,11,2006,'F','N','JARDIM VILA MARIANA','S PAULO','SP','125252251217571431556631475115610144127',5339,'9998',66.44,3,3,NULL),(20,5397960,'1988-06-27 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241125371431621129371224610135047',NULL,'295',24.39,1,2,1),(20,5397979,'1987-02-17 00:00:00',4,8,12,2004,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161215511431569614472122141532092',NULL,'9998',0.00,1,3,NULL),(20,5397987,'1977-04-02 00:00:00',4,6,12,1993,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241217475411169643435222521464172',2731,'272',72.20,1,3,NULL),(20,5397995,'1992-02-20 00:00:00',4,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243247215151152568731345114610114042',NULL,'9999',21.48,1,3,NULL),(20,5398010,'1989-02-25 00:00:00',4,8,12,2006,'M','N','CENTRO','LONDRINA','PR','116252161216571411368876575124610114182',4771,'9998',68.93,3,3,NULL),(20,5398029,'1993-02-25 00:00:00',4,8,12,2009,'M','N','CENTRO','CPO ALEGRE','SC','124242241212151431489914575112610117171',8851,'1178',60.26,1,3,NULL),(20,5398045,'1991-08-03 00:00:00',1,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215112441469934575124610124141',2076,'262',76.64,1,3,NULL),(20,5398053,'1991-12-23 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241115151432324824375124610137147',NULL,'288',22.56,1,3,NULL),(20,5398061,'1992-04-17 00:00:00',2,10,12,2009,'F','N','RIO DOS INDIOS','STA ROSA LIMA','SC','124241241126161431423326472223610126192',NULL,'688',14.23,1,2,1),(20,5398070,'1967-06-11 00:00:00',4,1,12,1983,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','224131134242131431353359381112142223147',NULL,'9998',23.63,1,3,NULL),(20,5398088,'1991-04-15 00:00:00',4,1,12,2008,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242241216152731469614575114221167065',5596,'424',64.81,1,3,NULL),(20,5398096,'1991-12-05 00:00:00',2,16,12,2008,'F','N','SANTO ANTÔNIO','CURITIBANOS','SC','124241241115573431222338395125610125147',NULL,'239',0.00,1,2,1),(20,5398100,'1991-10-18 00:00:00',4,6,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242242423111112481111276114630164176',12937,'9997',52.48,1,3,NULL),(20,5398118,'1987-03-12 00:00:00',4,1,12,2004,'M','N','CENTRO','CATANDUVA','SP','125253258217271431448612485122143234187',NULL,'9998',0.00,1,3,NULL),(20,5398134,'1992-10-13 00:00:00',4,1,12,2009,'M','N','CACHOEIRAS','BIGUAÇU','SC','124241241117131731623332576124610132057',15643,'64',45.70,1,2,1),(20,5398142,'1988-11-28 00:00:00',4,1,11,2005,'F','N','CENTRO','CASCAVEL','PR','116161161315572431534411571324610166187',10641,'9998',53.80,4,1,2),(20,5398150,'1990-07-10 00:00:00',2,1,11,2007,'F','N','RIO BRANCO','PTO ALEGRE','RS','120202201215571431337869492114610124047',NULL,'9998',0.00,1,3,NULL),(20,5398177,'1986-01-09 00:00:00',4,1,6,2005,'M','N','CONCEIÇÃO LEITE','FRANCA','SP','125251257126471311324344141221143261027',NULL,'9998',0.00,4,1,1),(20,5398185,'1988-12-30 00:00:00',4,2,12,2006,'F','N','VELHA','BLUMENAU','SC','124242241116472441248811374122132536097',NULL,'87',0.00,1,3,NULL),(20,5398193,'1992-09-28 00:00:00',4,2,11,2009,'F','N','VILA NOVA','BLUMENAU','SC','124242241217151431369931472122610127092',2051,'88',76.70,1,3,NULL),(20,5398207,'1985-02-15 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241424133431523419195124610132017',NULL,'107',12.20,1,3,NULL),(20,5398215,'1983-04-25 00:00:00',4,1,12,2000,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124251241216152421128823215123221464042',3438,'9998',72.28,1,3,NULL),(20,5398223,'1993-07-04 00:00:00',2,1,11,2010,'F','S','CAMPINAS','S JOSÉ','SC','124242248216111721559632575112610127012',NULL,'737',22.15,1,3,NULL),(20,5398231,'1988-09-02 00:00:00',2,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241136133411346641245134610112172',15540,'298',46.15,4,2,1),(20,5398240,'1992-01-23 00:00:00',2,4,12,2009,'F','N','KENNEDY','SARANDI','RS','120201201116471711526634271324610167147',13117,'9998',49.14,1,2,1),(20,5398258,'1989-12-14 00:00:00',4,1,12,2007,'F','N','BROOKLIN NOVO','S PAULO','SP','125252251116571431439814573122610166077',4759,'9998',66.57,1,3,NULL),(20,5398266,'1987-09-21 00:00:00',2,1,12,2004,'F','N','KOBRASOL','S JOSÉ','SC','124241241312575431246624342114610164141',NULL,'1011',24.04,1,3,NULL),(20,5398274,'1988-06-04 00:00:00',2,1,7,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243247336153431454652342122610127042',NULL,'977',45.26,1,3,NULL),(20,5398312,'1981-11-07 00:00:00',5,1,12,1999,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224243241216142431236942325133330427065',12933,'806',52.49,1,3,NULL),(20,5398320,'1992-04-27 00:00:00',4,1,12,2009,'M','N','BAIRRO ALTO','CURITIBA','PR','116162161216131431538711575125610118047',NULL,'9998',0.00,1,3,NULL),(20,5398339,'1987-12-06 00:00:00',4,1,12,2004,'M','N','VILA MARIANA','S PAULO','SP','125162161217571411678831475115140336042',4327,'9998',69.95,1,3,NULL),(20,5398355,'1982-09-21 00:00:00',4,1,12,1999,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241116143431236844445133321531097',4975,'169',68.41,1,2,1),(20,5398363,'1990-05-30 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241216144411556933322124610143152',12398,'1098',50.57,1,3,NULL),(20,5398380,'1982-08-02 00:00:00',4,4,12,2000,'M','N','NOVO MUNDO','CURITIBA','PR','116161161116271451456619575124610128022',NULL,'9998',0.00,1,2,1),(20,5398398,'1989-11-27 00:00:00',4,1,10,2008,'M','N','SÃO BENEDITO','S JOÃO B VISTA','SP','125253251217411411458712571122610167123',NULL,'9998',0.00,1,3,NULL),(20,5398401,'1991-09-04 00:00:00',4,1,12,2008,'F','N','JARDIM ICARAÍ','S PAULO','SP','125252251116471431455823575124610132147',NULL,'9998',0.00,2,1,2),(20,5398428,'1993-05-31 00:00:00',4,2,11,2010,'F','S','CENTRO','POMERODE','SC','124242241215121231488612575122610133072',NULL,'855',30.43,1,3,NULL),(20,5398436,'1989-09-20 00:00:00',4,1,12,2006,'M','N','IPIRANGA','S JOSÉ','SC','124243241117152751348723395124120764092',7965,'734',59.94,2,1,2),(20,5398444,'1992-09-30 00:00:00',4,9,12,2009,'M','N','CENTRO','BENTO GONÇALVES','RS','120201201116371711453311215122610147092',NULL,'9998',34.29,1,2,1),(20,5398460,'1992-06-06 00:00:00',2,1,12,2009,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124244241412111411438813572124610127112',NULL,'1022',17.36,1,3,NULL),(20,5398479,'1992-03-08 00:00:00',2,1,12,2009,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241121131711323911191321610113147',NULL,'9997',17.42,1,2,1),(20,5398487,'1992-04-26 00:00:00',2,1,12,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241237111411538614572124610113182',NULL,'1022',39.63,2,1,2),(20,5398495,'1992-10-15 00:00:00',2,1,12,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124243241316131712548814395122610152147',NULL,'307',23.05,1,3,NULL),(20,5398509,'1992-09-30 00:00:00',4,6,11,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124244241217111711339823475124610134197',NULL,'407',45.71,1,3,NULL),(20,5398517,'1992-05-28 00:00:00',4,1,12,2009,'F','N','COMBATÁ','STO AMARO IMPERATRIZ','SC','124241241115131731633529382124610128147',NULL,'772',22.37,1,2,1),(20,5398525,'1985-07-24 00:00:00',4,1,12,2002,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124202201217131731428927385112140717047',NULL,'9998',28.86,1,3,NULL),(20,5398533,'1989-08-25 00:00:00',4,1,12,2006,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241415473431533624472122230464195',NULL,'1014',0.00,1,3,NULL),(20,5398541,'1992-05-28 00:00:00',4,1,12,2009,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125252251215111441488822575122610112032',NULL,'9998',0.00,1,3,NULL),(20,5398568,'1992-01-08 00:00:00',4,8,12,2009,'F','N','BELA VISTA','RIO NEGRINHO','SC','124244241216111511536711575121610138052',7456,'666',60.46,1,3,NULL),(20,5398576,'1991-08-03 00:00:00',1,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241316112431469934575124610124142',4572,'1022',69.03,1,3,NULL),(20,5398584,'1987-10-03 00:00:00',4,1,12,2004,'F','N','CAMPO BELO','S PAULO','SP','125252251217371431548812475124343222097',11856,'9998',50.90,3,3,NULL),(20,5398592,'1991-12-05 00:00:00',4,1,12,2009,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241137131431524713335122610166012',NULL,'772',25.33,1,2,1),(20,5398614,'1988-03-27 00:00:00',4,1,12,2005,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124244246215472731254522195121221437067',3404,'995',72.36,4,3,NULL),(20,5398622,'1988-10-02 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','120202201212541431336612315114140237062',NULL,'9998',18.64,1,3,NULL),(20,5398630,'1981-05-01 00:00:00',2,1,10,1999,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241416143731331373335112121727187',NULL,'272',0.00,3,3,NULL),(20,5398649,'1985-06-26 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241147134411426621395124222215143',NULL,'580',0.00,1,2,1),(20,5398657,'1992-08-15 00:00:00',4,4,12,2009,'F','N','MIRANTE','ITÁ','SC','124241241136161431339613395122610126147',NULL,'383',0.00,1,2,1),(20,5398665,'1984-07-12 00:00:00',4,1,12,2002,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201201111241431126844345114610121147',NULL,'9998',0.00,1,2,1),(20,5398681,'1992-06-16 00:00:00',4,10,12,2009,'F','N','CENTRO','ARMAZÉM','SC','124241241126151751228621572111610167147',NULL,'34',19.88,1,2,1),(20,5398690,'1992-08-07 00:00:00',4,1,11,2010,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241216111431448832575122610114012',NULL,'270',51.35,1,3,NULL),(20,5398720,'1993-01-31 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241216111431344971575122610127147',NULL,'1074',20.16,1,3,NULL),(20,5398738,'1991-11-29 00:00:00',2,1,12,2009,'F','N','SANTANA','S PAULO','SP','125252251215121741489914571122610122197',NULL,'9998',32.38,3,3,NULL),(20,5398746,'1984-06-02 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241111155711648619245122130262093',12381,'307',53.60,1,3,NULL),(20,5398754,'1984-05-04 00:00:00',2,1,12,2001,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124241241126154731555619435124221822147',NULL,'40',0.00,1,2,1),(20,5398762,'1947-04-23 00:00:00',4,1,12,1974,'M','N','INCONFIDENTES','CONTAGEM','MG','213131131126141711546349492112610127097',NULL,'9998',23.45,4,3,NULL),(20,5398789,'1990-04-02 00:00:00',4,1,12,2007,'M','N','PARQUE SANTANA','MOGI CRUZES','SP','125252251213512221366823573115610147112',15021,'9998',47.80,1,3,NULL),(20,5398797,'1991-12-09 00:00:00',2,1,12,2008,'F','N','FAZENDA SANTO ANTÔNI','S JOSÉ','SC','124243241115471411423321275124610116097',NULL,'733',26.54,1,3,NULL),(20,5398800,'1991-07-21 00:00:00',2,1,12,2008,'F','N','FAZENDA SANTOANTÔNIO','S JOSÉ','SC','124243241215112431223524575124222966182',NULL,'944',30.15,1,3,NULL),(20,5398819,'1990-10-22 00:00:00',4,1,12,2007,'F','N','SANTOS DUMONT','S JOSÉ','SC','124241241412373451229923575214610142077',NULL,'1046',47.72,1,3,NULL),(20,5398843,'1991-05-22 00:00:00',4,1,12,2008,'F','N','CARANDIRU','S PAULO','SP','125252251217471731578814572124610123097',NULL,'9998',0.00,1,3,NULL),(20,5398851,'1988-03-19 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161216372431263316575122220717042',NULL,'9998',0.00,3,3,NULL),(20,5398860,'1992-02-25 00:00:00',4,1,12,2009,'M','N','CENTRO','CASCAVEL','PR','116164161215471431357831574112610126097',NULL,'9998',0.00,1,3,NULL),(20,5398908,'1991-01-01 00:00:00',2,1,12,2008,'F','N','JARDIM PAINEIRAS','FRANCA','SP','125251251116471331336364285124610136017',NULL,'9998',0.00,1,2,1),(20,5398916,'1990-01-25 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117371431556919375124610122042',NULL,'257',23.19,1,2,1),(20,5398924,'1989-08-09 00:00:00',2,3,12,2007,'M','N','PINHEIROS','S PAULO','SP','125243251117571411549812595114610127187',1711,'9998',76.70,1,3,NULL),(20,5398940,'1993-01-25 00:00:00',2,4,12,2009,'M','N','CENTRO','JUPIÁ','SC','124241242217131431546832596324610126057',NULL,'836',13.36,1,3,NULL),(20,5398975,'1991-02-12 00:00:00',4,1,12,2008,'F','N','CENTRO','NOVA PRATA','RS','120203201217471441448933574112610162057',NULL,'9998',0.00,1,3,NULL),(20,5398983,'1989-02-17 00:00:00',2,1,12,2008,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091217272431548834574122610132177',7742,'9998',61.19,4,3,NULL),(20,5398991,'1979-06-24 00:00:00',2,3,12,1996,'M','N','CENTRO','TIJUCAS','SC','124161161112162321234431312344610146042',NULL,'9998',0.00,1,2,1),(20,5399017,'1990-06-22 00:00:00',2,1,7,2009,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241247112231431326529242334610132141',NULL,'9999',41.04,1,2,1),(20,5399033,'1987-12-01 00:00:00',4,1,12,2005,'F','N','PARQUE SAO LUIS','CUBATÃO','SP','125252251315571731468811491112610162187',2922,'9998',70.99,1,3,NULL),(20,5399041,'1987-04-11 00:00:00',4,8,12,2004,'M','N','GLÓRIA','JOINVILLE','SC','124241246216141731546629395124231432142',8050,'494',61.74,3,3,NULL),(20,5399050,'1987-11-21 00:00:00',4,1,12,2005,'M','N','RESIDENCIAL LESSA','PINDAMONHANGABA','SP','125252251217152711569933476124221748187',9862,'9998',58.43,4,3,NULL),(20,5399068,'1993-04-06 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241115161431446623275124610165117',NULL,'307',29.43,1,3,NULL),(20,5399106,'1991-04-21 00:00:00',4,1,12,2008,'M','N','ZONA SETE','MARINGÁ','PR','116254251216371431437519295121141748173',NULL,'9998',0.00,1,3,NULL),(20,5399114,'1989-09-12 00:00:00',2,8,12,2006,'F','N','OLARIAS','PNT GROSSA','PR','116162161216473431548832575122610166192',NULL,'9998',0.00,1,3,NULL),(20,5399122,'1992-04-16 00:00:00',4,6,12,2009,'M','N','POMPEIA','S PAULO','SP','125252251217111451358811575122610128043',NULL,'9998',0.00,1,3,NULL),(20,5399157,'1991-04-13 00:00:00',2,7,12,2008,'F','N','DOMICILIO CASSIANO','VARGEM BONITA','SC','124241241117272431537619215124231416172',NULL,'827',21.34,1,2,1),(20,5399165,'1988-11-16 00:00:00',2,8,12,2006,'F','N','JARDIM AGARUSSI','ITU','SP','125243241115573731646514275125610132092',7455,'384',60.92,1,3,NULL),(20,5399173,'1978-01-28 00:00:00',4,1,12,1998,'M','N','AREIAS','S JOSÉ','SC','524243241336131431123943335124330666177',14872,'9999',48.23,1,3,NULL),(20,5399181,'1992-05-28 00:00:00',2,1,12,2008,'M','N','BOM SUCESO','GRAVATAÍ','RS','120201201117371721456933371124610167042',NULL,'9998',0.00,1,2,1),(20,5399190,'1966-02-07 00:00:00',2,1,12,1984,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','224201206116131711268943335122340216042',NULL,'9998',0.00,1,2,1),(20,5399211,'1958-04-08 00:00:00',4,1,9,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224241248121141431134443232234610121182',NULL,'9997',17.75,1,2,1),(20,5399238,'1992-02-13 00:00:00',2,4,12,2009,'M','N','CENTRO','CHAPADA','RS','120201201115111431313339392122610127053',13779,'9998',46.68,1,2,1),(20,5399246,'1950-10-31 00:00:00',4,1,12,1971,'F','N','INCONFIDENTES','CONTAGEM','MG','213132135226241711546149292112610124187',NULL,'9998',21.38,1,3,NULL),(20,5399262,'1991-03-22 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215371421458821571122610127122',NULL,'9997',0.00,1,3,NULL),(20,5399270,'1992-03-25 00:00:00',2,7,11,2009,'F','N','CENTRO','CATANDUVAS','SC','124244241217112431456932274322610163147',12866,'454',49.78,1,3,NULL),(20,5399289,'1974-11-23 00:00:00',4,1,1,1993,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224253161336131231446637382122340232081',NULL,'9998',0.00,1,3,NULL),(20,5399297,'1991-12-03 00:00:00',2,4,12,2008,'M','N','CENTRO','STO ANTÔNIO SUDOESTE','PR','116161161116571441226612575124610132122',6719,'9998',62.84,1,2,1),(20,5399300,'1990-07-10 00:00:00',2,1,12,2007,'M','N','VILA ARAPONGUINHA','ARAPONGAS','PR','116152161236571431347712485125610166052',8017,'9998',60.20,1,3,NULL),(20,5399319,'1989-11-14 00:00:00',2,8,12,2006,'F','N','CABRAL','CURITIBA','PR','116242241211142411579914571122240461122',12914,'486',52.52,1,3,NULL),(20,5399335,'1988-12-16 00:00:00',2,3,10,2005,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161216571431248814475112610138187',2532,'9998',74.27,1,3,NULL),(20,5399343,'1987-08-01 00:00:00',2,1,7,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241147141431356923242112610167187',NULL,'922',12.39,1,2,1),(20,5399351,'1991-11-27 00:00:00',2,9,12,2008,'M','N','CENTRO','FLORES CUNHA','RS','120204201211471711458811471114610167042',6005,'9998',62.46,1,3,NULL),(20,5399378,'1983-05-15 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116135451336579495124610131077',NULL,'307',46.45,1,2,1),(20,5399386,'1988-03-30 00:00:00',2,1,12,2005,'F','N','VILA ITAPURA','CAMPINAS','SP','125252251216371731523769435134610166197',NULL,'9998',0.00,1,3,NULL),(20,5399408,'1992-05-26 00:00:00',4,1,12,2009,'F','N','RIBEIRANIA','RIBEIRÃO PRETO','SP','125252251215111731578934485122610132144',NULL,'9998',0.00,1,3,NULL),(20,5399416,'1992-02-29 00:00:00',2,7,12,2009,'M','N','ANDORINHAS','ZORTÉA','SC','124241241126131431323319185124610122077',NULL,'849',0.00,1,2,1),(20,5399424,'1992-03-04 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111111221629572112610137047',NULL,'1022',28.63,1,3,NULL),(20,5399459,'1991-04-12 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243247417131731456923245123610167042',NULL,'9999',31.28,2,1,2),(20,5399467,'1992-02-18 00:00:00',4,1,11,2009,'F','N','PQ CAMPOLIM','SOROCABA','SP','125252251216111441266821592122610127097',NULL,'9998',0.00,1,3,NULL),(20,5399475,'1978-05-20 00:00:00',4,1,12,1996,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','224113113416133731239944345124340242097',NULL,'9998',26.60,1,3,NULL),(20,5399491,'1986-02-24 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124242247217143432546612242131610116123',NULL,'9999',14.25,1,3,NULL),(20,5399505,'1987-04-04 00:00:00',4,1,3,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241311135431336733585114610167183',12576,'267',53.19,1,3,NULL),(20,5399513,'1974-11-17 00:00:00',4,1,9,2002,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224251257142151451227554215222610111035',12430,'9999',53.50,1,3,NULL),(20,5399521,'1990-08-14 00:00:00',4,1,11,2007,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251215571431568814575112610127047',NULL,'9998',0.00,1,3,NULL),(20,5399556,'1985-05-04 00:00:00',2,1,2,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201247126132431324749295234610147041',NULL,'9999',0.00,4,2,1),(20,5399572,'1985-05-13 00:00:00',4,1,12,2004,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241415273411568413412124121136127',2426,'1036',75.35,1,3,NULL),(20,5399599,'1963-05-10 00:00:00',4,1,12,1980,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','424211216116152431255341414122610133172',9054,'9998',59.86,4,3,NULL),(20,5399610,'1992-04-26 00:00:00',4,6,12,2009,'M','N','SÃO VICENTE','ITAJAÍ','SC','124241241217151411336634591221610163047',NULL,'388',20.61,1,3,NULL),(20,5399629,'1991-06-08 00:00:00',4,5,12,2008,'M','N','AZENHA','PTO ALEGRE','RS','120202201215471431468933491124610135135',NULL,'9998',0.00,1,3,NULL),(20,5399645,'1992-10-26 00:00:00',4,8,12,2009,'M','N','CABRAL','CURITIBA','PR','116162161215471731387434572112610127042',NULL,'9998',56.31,1,3,NULL),(20,5399653,'1988-09-17 00:00:00',4,1,12,2005,'M','N','LURDES','CAXIAS SUL','RS','120203201217571431567914345124610168056',NULL,'9998',0.00,1,3,NULL),(20,5399661,'1991-12-09 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','120201201117271751533819575114142317046',9928,'9998',54.27,1,2,1),(20,5399688,'1990-06-25 00:00:00',4,1,12,2009,'M','N','CENTRO','S LEOPOLDO','RS','120202201217111731469931495125610147182',NULL,'9998',0.00,1,3,NULL),(20,5399700,'1992-12-25 00:00:00',4,1,12,2009,'M','N','VILA DO POLONÊS','CPO GRANDE','MS','112122121115271431368833572112610127041',3376,'9998',70.16,1,3,NULL),(20,5399718,'1991-02-17 00:00:00',4,8,11,2008,'F','N','CENTRO','MAFRA','SC','124162161235472431446934576314610168192',9456,'9998',59.17,1,3,NULL),(20,5399726,'1993-01-17 00:00:00',2,7,12,2009,'F','N','CENTRO','MARAVILHA','SC','124242241215131521446811372321610127147',NULL,'1037',17.91,1,3,NULL),(20,5399734,'1990-05-28 00:00:00',5,17,12,2007,'M','N','FARROUPILHA','VIDEIRA','SC','124161161116161431133543235124610127017',NULL,'9998',24.24,1,2,1),(20,5399742,'1989-12-18 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241216274751256839287124221461153',3929,'836',71.02,1,3,NULL),(20,5399750,'1991-11-21 00:00:00',2,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117131431433714576124610127047',NULL,'307',22.61,1,3,NULL),(20,5399769,'1980-09-17 00:00:00',2,1,12,1997,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161216114431349819215124221436162',5160,'9998',67.93,1,3,NULL),(20,5399777,'1992-09-02 00:00:00',4,8,12,2009,'M','N','ROCIO PEQUENO','S FRANCISCO SUL','SC','124242241215111411538912595122610132012',NULL,'992',0.00,1,3,NULL),(20,5399793,'1991-09-20 00:00:00',4,3,6,2009,'F','N','CENTRO','CAMBORIÚ','SC','124286283636271731336732575124610136197',NULL,'9998',25.74,1,3,NULL),(20,5399815,'1992-04-13 00:00:00',2,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124241241215131431536819575124610143187',NULL,'486',22.86,1,3,NULL),(20,5399823,'1984-01-15 00:00:00',4,1,6,2005,'F','N','ARMAÇÃO P DO SUL','FLORIANÓPOLIS','SC','124241243116143421433331315122133211182',NULL,'306',0.00,1,2,1),(20,5399840,'1991-06-12 00:00:00',4,4,12,2008,'F','N','RECANTO TROPICAL','CASCAVEL','PR','116162161215472411447914572122610163072',1752,'9998',77.82,1,3,NULL),(20,5399858,'1991-01-31 00:00:00',2,1,11,2008,'M','N','VILA ARENS','JUNDIAÍ','SP','125251251117271411336824575121610123017',NULL,'9998',0.00,1,2,1),(20,5399866,'1990-05-14 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248144131411113349291324132547057',NULL,'763',0.00,1,2,1),(20,5399874,'1984-12-01 00:00:00',2,1,12,2001,'F','N','CENTRO','CPO BOM','RS','120201201116131431128843435124241227187',NULL,'9998',0.00,1,3,NULL),(20,5399882,'1992-08-15 00:00:00',4,1,12,2009,'F','N','JARDIM ITÁLIA','CUIABÁ','MT','111112111216111431367832172122610162012',NULL,'9998',0.00,4,3,NULL),(20,5399890,'1986-01-11 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216144431389933495121221162162',5897,'270',66.24,1,3,NULL),(20,5399904,'1992-10-19 00:00:00',4,9,11,2009,'F','N','CENTRO','S JOAQUIM','SC','124242241211112431444611572122610126047',10571,'720',57.10,1,3,NULL),(20,5399920,'1992-09-28 00:00:00',4,2,12,2009,'F','N','VELHA','BLUMENAU','SC','124243241215111331469713295122610123187',16058,'88',43.69,1,3,NULL),(20,5399939,'1986-03-11 00:00:00',4,1,10,2004,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241241116133421433611335124233262157',13571,'306',45.36,1,2,1),(20,5399955,'1991-11-19 00:00:00',2,1,12,2009,'F','N','SANTO ANTO DE LISBOA','FLORIANÓPOLIS','SC','124241241117371431323663572124610121142',NULL,'307',0.00,1,2,1),(20,5399963,'1992-11-11 00:00:00',4,2,12,2009,'M','N','GLÓRIA','BLUMENAU','SC','124243241215111431436733275224610147052',NULL,'71',27.18,1,3,NULL),(20,5399971,'1993-11-27 00:00:00',4,1,12,2010,'M','S','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124243248215111421553319595122610127147',NULL,'737',31.09,1,3,NULL),(20,5399980,'1972-07-20 00:00:00',4,9,12,1989,'M','N','CENTRO','LAGES','SC','124242246216145731239941215132130227181',NULL,'497',0.00,1,3,NULL),(20,5399998,'1993-06-14 00:00:00',2,9,12,2009,'F','N','JARDIM AMÉRICA','RIO SUL','SC','124242241215112431338831595122610166077',16309,'991',40.18,1,3,NULL),(20,5400007,'1992-06-11 00:00:00',4,8,12,2009,'M','N','SAO RAFAEL','RIO NEGRINHO','SC','124242241234111431356613375121610137042',6033,'666',64.00,1,3,NULL),(20,5400015,'1991-03-07 00:00:00',4,1,12,2008,'F','N','HORTO FLORESTAL','S PAULO','SP','125251251235271411334431575124610133077',NULL,'9998',0.00,1,3,NULL),(20,5400023,'1982-09-13 00:00:00',4,1,11,1999,'M','N','ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC','124241241217422751238821391144123236053',NULL,'270',33.83,1,3,NULL),(20,5400031,'1987-04-29 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSÉ','SC','124242241235473431558513372122222736147',NULL,'300',29.56,1,3,NULL),(20,5400058,'1992-01-16 00:00:00',2,6,12,2009,'F','N','ESTELA DALVA','CARAGUATATUBA','SP','125252251237111211223427372122610168012',15272,'9998',47.06,1,3,NULL),(20,5400066,'1966-08-09 00:00:00',2,1,12,1988,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224251251126131411433359385122242736187',NULL,'9998',0.00,2,1,1),(20,5400074,'1991-05-07 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSÉ','SC','124243241315131421646623445114610123147',NULL,'733',0.00,1,3,NULL),(20,5400082,'1992-09-28 00:00:00',2,1,12,2009,'F','N','REBOUÇAS','CURITIBA','PR','116162161215421431449834445125610147111',5020,'9998',66.33,1,3,NULL),(20,5400090,'1988-03-04 00:00:00',4,1,12,2005,'M','N','VILA TUPY','PR GRANDE','SP','125251251112572421228624572224610165097',NULL,'9998',0.00,1,2,1),(20,5400104,'1991-07-25 00:00:00',2,8,12,2008,'M','N','BALNEÁRIO PAÉSI','ITAPOÁ','SC','124121128212111531359613572124231427052',NULL,'9998',16.66,1,3,NULL),(20,5400112,'1991-10-29 00:00:00',4,10,11,2009,'M','N','CAÇADOR','CAPIVARI BAIXO','SC','124241241237121412336619572124610142052',NULL,'809',20.75,1,3,NULL),(20,5400120,'1983-08-13 00:00:00',2,1,8,2003,'M','N','SANTANA','S JOSÉ','SC','124241246147271421333344342333610127047',NULL,'306',0.00,1,2,1),(20,5400139,'1992-05-07 00:00:00',4,1,12,2009,'F','N','FAZENDA SANTOANTÔNIO','S JOSÉ','SC','124241241115151731354313372124610123015',NULL,'733',28.58,1,2,1),(20,5400147,'1990-11-03 00:00:00',2,4,11,2008,'M','N','LULU ILGENFRITZ','IJUÍ','RS','120202201217271431436632496112610127012',14041,'9998',50.31,1,3,NULL),(20,5400163,'1992-09-12 00:00:00',4,1,12,2009,'F','N','CRISTO REI','CURITIBA','PR','116162161215111732478811575112610168196',3839,'9998',70.47,3,3,NULL),(20,5400171,'1978-11-05 00:00:00',2,1,12,1997,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241112133431326669482344123033183',NULL,'307',0.00,2,1,1),(20,5400180,'1984-11-21 00:00:00',2,1,12,2004,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241116135752537633445124610113147',NULL,'267',36.48,2,1,1),(20,5400198,'1985-09-11 00:00:00',2,1,12,2002,'F','N','KOBRASOL','S JOSÉ','SC','124241241112135421233619445124610125047',NULL,'732',46.71,4,2,1),(20,5400201,'1991-04-12 00:00:00',2,4,11,2008,'M','N','SAO CRISTAVAO','CHAPECÓ','SC','124111111216131431243364485124610125182',NULL,'9998',27.75,1,3,NULL),(20,5400210,'1991-07-21 00:00:00',2,8,12,2009,'M','N','VILA GUARAÇY','COLOMBO','PR','116161161117371411446619595122610121037',NULL,'9998',38.56,1,3,NULL),(20,5400228,'1992-06-14 00:00:00',4,4,11,2009,'F','N','CENTRO','STA MARIA','RS','120242201212111431446816571122610163072',NULL,'1037',0.00,1,3,NULL),(20,5400236,'1992-08-22 00:00:00',2,1,12,2009,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124243241117131311536314344122610124192',NULL,'298',16.75,1,3,NULL),(20,5400244,'1992-11-04 00:00:00',4,1,12,2009,'F','N','COSTEIRA DO PIRAJUBE','FLORIANÓPOLIS','SC','124201241132141431223329382124610124147',NULL,'307',18.02,4,2,1),(20,5400252,'1991-11-25 00:00:00',4,8,12,2008,'M','N','AMÉRICA','JOINVILLE','SC','124124241115371521439914572122132627042',13801,'478',47.72,1,3,NULL),(20,5400279,'1992-08-26 00:00:00',4,1,12,2009,'M','N','CENTRO','CURITIBA','PR','116162161216371741468836575124610164176',NULL,'9998',0.00,1,3,NULL),(20,5400295,'1981-02-18 00:00:00',4,1,6,1999,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124201201112231431227831342121141968097',NULL,'9998',41.27,1,3,NULL),(20,5400309,'1993-01-11 00:00:00',2,15,12,2010,'F','S','CENTRO','ARARANGUÁ','SC','124242241215111751458831572122610144172',NULL,'970',26.26,1,3,NULL),(20,5400333,'1989-02-18 00:00:00',1,1,12,2006,'F','N','CENTRO','BRUSQUE','SC','124242241217152411548619495124232161177',NULL,'107',0.00,1,3,NULL),(20,5400341,'1992-06-19 00:00:00',4,1,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161212111731438934575121610114162',3270,'9998',70.52,1,3,NULL),(20,5400368,'1991-08-28 00:00:00',4,1,12,2009,'F','N','CENTRO','UBATUBA','SP','125252251217111731438862375122610133147',16025,'9998',43.93,1,3,NULL),(20,5400376,'1994-11-23 00:00:00',4,15,12,2010,'F','S','JARDIM NICOLAU','JACINTO MACHADO','SC','124243241212111431643619172124610137147',NULL,'970',42.49,1,3,NULL),(20,5400392,'1980-08-04 00:00:00',2,1,12,2005,'M','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','224203247326132421456544345112610114012',16054,'9999',43.76,1,3,NULL),(20,5400406,'1993-03-01 00:00:00',4,2,12,2009,'F','N','APARECIDA','CURITIBANOS','SC','124243241215111432464616575122610122177',NULL,'881',41.89,1,3,NULL),(20,5400422,'1987-03-29 00:00:00',2,1,12,2004,'M','N','PASSA VINTE','PALHOÇA','SC','124241241147132431433628345134122224057',13538,'591',51.30,1,3,NULL),(20,5400430,'1991-04-16 00:00:00',4,8,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161217111731449823275124610128182',NULL,'9998',0.00,1,3,NULL),(20,5400457,'1987-03-30 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241212444431366933475122230267042',11333,'266',55.64,3,3,NULL),(20,5400465,'1989-07-29 00:00:00',2,1,12,2006,'F','N','MEDIANEIRA','STA MARIA','RS','120203201215471451566633572124141362077',5590,'9998',65.12,1,3,NULL),(20,5400481,'1992-06-23 00:00:00',2,17,11,2009,'M','N','PORTAL DO MORUMBI','PNT PORÃ','MS','112124161215121431348823475124610125172',11507,'9998',53.28,1,3,NULL),(20,5400490,'1992-01-27 00:00:00',4,1,11,2009,'F','N','CENTRO','PASSO FUNDO','RS','120204201216121431548613395122610146076',NULL,'9998',22.58,1,3,NULL),(20,5400503,'1964-06-12 00:00:00',2,15,12,2005,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','224241248126153112434349492122333267047',NULL,'29',0.00,1,3,NULL),(20,5400511,'1971-01-30 00:00:00',2,1,12,1989,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124164241216122731126649491123121926093',9213,'262',59.59,1,3,NULL),(20,5400520,'1993-02-08 00:00:00',4,3,11,2009,'M','N','CENTRO','BRUSQUE','SC','124242241217111112439933275121610164012',NULL,'109',28.10,1,3,NULL),(20,5400538,'1988-06-25 00:00:00',4,1,12,2005,'M','N','JARDINS FLORENÇA','GOIÂNIA','GO','109092091216272411479811475122240712042',NULL,'9998',0.00,4,3,NULL),(20,5400546,'1979-01-28 00:00:00',2,1,5,2002,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244247116153421336753211124131012127',NULL,'9999',0.00,1,3,NULL),(20,5400554,'1992-02-10 00:00:00',4,9,12,2009,'M','N','CENTRO','LAGES','SC','124242248217151431426811595122610127052',NULL,'1106',0.00,1,3,NULL),(20,5400562,'1979-08-20 00:00:00',4,1,12,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252251211111311111111126331340267177',9459,'9998',59.17,1,3,NULL),(20,5400570,'1992-01-13 00:00:00',4,1,12,2009,'M','N','PORTÃO','CURITIBA','PR','116164161417111311368814575122610117017',NULL,'9998',42.83,4,3,NULL),(20,5400589,'1992-07-07 00:00:00',4,1,12,2009,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241215131431458611385124610124067',NULL,'259',26.52,1,3,NULL),(20,5400597,'1991-10-03 00:00:00',4,1,12,2008,'M','N','JARDIM PAULISTA','CAMPINA G SUL','PR','116162161216471751438611475124510144077',NULL,'9998',0.00,1,3,NULL),(20,5400600,'1989-01-28 00:00:00',4,1,11,2006,'M','N','CENTRO','CURITIBA','PR','116162161215272431458932362122141464026',7321,'9998',63.19,1,3,NULL),(20,5400619,'1984-01-24 00:00:00',4,1,12,2002,'F','N','JARDIM PAULISTA','S PAULO','SP','125252251237571431488727571122242847092',13633,'9998',51.10,1,3,NULL),(20,5400635,'1992-08-20 00:00:00',4,1,11,2009,'F','N','VILA IZABEL','CURITIBA','PR','116162161215471421645522112124610162096',NULL,'9998',0.00,1,3,NULL),(20,5400643,'1987-05-11 00:00:00',4,5,11,2004,'M','N','JARDIM MARISTELA','CRICIÚMA','SC','124242241216154431446319595124221426092',7220,'210',63.38,1,3,NULL),(20,5400651,'1992-10-22 00:00:00',2,9,12,2009,'F','N','PETROPOLIS','VACARIA','RS','120204201415121431327732575122610131142',NULL,'9998',14.68,1,3,NULL),(20,5400660,'1985-11-27 00:00:00',4,1,12,2003,'M','N','SAO GONÇALO','CAMPINAS','SP','125131131144371741544311315224610114097',NULL,'9998',23.76,4,2,1),(20,5400678,'1986-03-22 00:00:00',2,1,12,2003,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124241241416141721346953495124131442092',NULL,'653',23.43,1,3,NULL),(20,5400686,'1992-06-23 00:00:00',4,1,12,2009,'F','N','SNT CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC','124241241115161431623415152224610157142',NULL,'978',22.38,1,2,1),(20,5400694,'1988-04-09 00:00:00',2,1,8,2006,'F','N','SÃO JOÃO','STO AMARO IMPERATRIZ','SC','124241241116274431335623396124233244147',NULL,'306',0.00,1,2,1),(20,5400708,'1989-02-01 00:00:00',2,1,12,2006,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241112472721221828582114610127047',14029,'298',50.34,1,3,NULL),(20,5400716,'1988-05-12 00:00:00',2,3,12,2005,'F','N','CENTRO','PELOTAS','RS','120202201217571431189919575115141067197',NULL,'9998',0.00,1,3,NULL),(20,5400759,'1992-07-27 00:00:00',4,1,11,2009,'M','N','IPIRANGA','S JOSÉ','SC','124241241117151631546833576112610122113',NULL,'734',20.58,1,2,1),(20,5400767,'1991-02-19 00:00:00',4,8,12,2008,'F','N','CENTRO','VALPARAÍSO','SP','125254281417471531368833574115610116197',NULL,'9998',0.00,1,3,NULL),(20,5400775,'1992-09-24 00:00:00',4,8,12,2010,'F','S','SAGUAÇÚ','JOINVILLE','SC','124242241216111712468833575122610164187',NULL,'457',55.62,1,3,NULL),(20,5400783,'1991-09-01 00:00:00',4,1,12,2008,'F','N','PRAIA JOAO ROSA','BIGUAÇU','SC','124241241116142411526613345124610163147',NULL,'1088',15.58,2,2,1),(20,5400791,'1991-10-05 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241115472431436634574124610147162',12522,'271',53.30,1,3,NULL),(20,5400813,'1991-12-07 00:00:00',4,1,12,2008,'F','N','CENTRO','MATÃO','SP','125162161216472411347732275122610143017',1521,'9998',78.62,1,3,NULL),(20,5400821,'1992-05-14 00:00:00',2,16,12,2009,'M','N','PARQUE DOS BURITIS','RIO VERDE','GO','109092091216171212458812592122610164147',NULL,'9998',28.86,4,3,NULL),(20,5400830,'1991-08-22 00:00:00',4,2,12,2009,'F','N','CORVETA','ARAQUARI','SC','124242241215111431325524571125610126072',NULL,'459',27.35,1,3,NULL),(20,5400848,'1993-06-30 00:00:00',4,6,12,2009,'F','N','CENTRO','REALEZA','PR','116162161216271431459931575124610127012',11318,'9998',53.24,1,3,NULL),(20,5400864,'1991-02-02 00:00:00',2,1,11,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124161241145131431112344142344610167047',NULL,'289',0.00,1,2,1),(20,5400899,'1993-03-27 00:00:00',4,1,12,2010,'F','S','PRAIA BRAVA','FLORIANÓPOLIS','SC','124242241212111431589911312122610163046',NULL,'262',24.54,1,3,NULL),(20,5400929,'1991-09-04 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241417131411435524385124610127057',NULL,'977',21.23,4,3,NULL),(20,5400937,'1973-10-17 00:00:00',4,15,12,2002,'M','N','CENTRO','BAL ARROIO SILVA','SC','224241247126141411523514245132610115117',NULL,'9999',8.71,1,2,1),(20,5400945,'1992-07-03 00:00:00',4,8,12,2009,'M','N','PORTAO','CURITIBA','PR','116162161116471431448612291122610167182',NULL,'9998',30.92,1,3,NULL),(20,5400961,'1989-08-11 00:00:00',4,8,12,2006,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215571731558839572125610162197',1679,'9998',78.04,1,3,NULL),(20,5400970,'1982-09-02 00:00:00',4,1,12,2000,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124252258411572421117841411314333224095',14884,'9998',48.20,1,3,NULL),(20,5400996,'1989-09-07 00:00:00',4,1,12,2007,'M','N','GOPOÚVA','GUARULHOS','SP','125252258617471411236923495124610127072',NULL,'9998',57.33,3,3,NULL),(20,5401003,'1991-12-15 00:00:00',2,6,12,2008,'F','N','RESSACADA','ITAJAÍ','SC','124241241431372441549913575124242314183',11512,'393',55.32,1,3,NULL),(20,5401011,'1992-05-27 00:00:00',4,8,12,2009,'F','N','JACUTINGA','IVAIPORÃ','PR','116161161146151431334923572124610116147',NULL,'9998',0.00,1,2,1),(20,5401038,'1990-08-11 00:00:00',4,1,12,2008,'F','N','BARÃO GERALDO','CAMPINAS','SP','125252251216471431468611575112610123052',NULL,'9998',0.00,1,3,NULL),(20,5401046,'1975-12-22 00:00:00',4,8,12,1993,'M','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124244241216153431346443431334230216142',NULL,'424',40.33,1,3,NULL),(20,5401054,'1987-03-04 00:00:00',4,8,12,2004,'M','N','VILA MARIANA','S PAULO','SP','125252251214371411448717212324143237097',NULL,'9998',41.16,4,3,NULL),(20,5401062,'1983-07-27 00:00:00',2,1,12,2001,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124241241216155731436412215122330263187',7989,'270',61.85,1,3,NULL),(20,5401070,'1975-07-22 00:00:00',2,1,12,1993,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224213211117151421253343435122343267047',NULL,'9998',0.00,1,3,NULL),(20,5401097,'1984-06-04 00:00:00',4,1,12,2002,'M','N','PINHEIROS','S PAULO','SP','125252251215571431479921215125340247082',4008,'9998',68.15,1,3,NULL),(20,5401100,'1991-10-24 00:00:00',2,15,12,2008,'F','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120202201217371431467822575122610125042',9695,'9998',57.86,1,3,NULL),(20,5401119,'1991-01-24 00:00:00',4,1,12,2009,'M','N','CENTRO','S LEOPOLDO','RS','120202201216371411436823585124610164046',NULL,'9998',38.10,1,3,NULL),(20,5401127,'1991-04-29 00:00:00',4,4,12,2008,'M','N','COUNTRY','CASCAVEL','PR','116162161215471731568814574122610127042',2204,'9998',76.15,1,3,NULL),(20,5401143,'1993-02-16 00:00:00',4,10,11,2010,'F','S','DEHON','TUBARÃO','SC','124242241217131732536612372122610143077',NULL,'806',50.11,1,3,NULL),(20,5401160,'1992-03-02 00:00:00',4,1,12,2009,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241241142131131535321345124613223192',NULL,'733',19.34,4,2,1),(20,5401178,'1983-09-16 00:00:00',4,1,11,2001,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124252251236152411138811435132322262142',NULL,'9998',0.00,1,3,NULL),(20,5401186,'1990-08-21 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBA','PR','616251251417472441335811345124141866097',NULL,'9998',0.00,1,3,NULL),(20,5401208,'1992-09-04 00:00:00',4,1,12,2009,'M','N','BATEL','CURITIBA','PR','116162161217111711286612575112610134182',NULL,'9998',0.00,1,3,NULL),(20,5401216,'1989-02-27 00:00:00',3,8,12,2007,'F','N','ZONA OITO','MARINGÁ','PR','116162251216572431369834575122610128186',3007,'9998',72.54,3,3,NULL),(20,5401224,'1990-03-30 00:00:00',4,1,12,2007,'M','N','JARDIM TAQUARAL','S PAULO','SP','125252251216571431489834235112610124057',NULL,'9998',0.00,1,3,NULL),(20,5401232,'1992-04-16 00:00:00',2,1,12,2009,'M','N','IDEAL','NOVO HAMBURGO','RS','120202201216151731368832572124610127147',8158,'9998',58.35,1,3,NULL),(20,5401240,'1989-05-22 00:00:00',4,1,12,2006,'F','N','SANTO AMARO','S PAULO','SP','125252251217571431538832274124141544047',587,'9998',83.91,1,3,NULL),(20,5401259,'1991-02-11 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215473421553831575114610162092',4958,'1011',67.23,1,3,NULL),(20,5401283,'1990-05-25 00:00:00',4,1,12,2007,'M','N','SANTANA','S JOSÉ CAMPOS','SP','125251251215471432576622575114141432197',2593,'9998',72.78,1,3,NULL),(20,5401291,'1991-12-20 00:00:00',4,3,12,2009,'F','N','CENTRO','ITARARÉ','SP','125252251216111211448811412121610147122',NULL,'9998',0.00,1,3,NULL),(20,5401313,'1978-03-24 00:00:00',2,1,11,1995,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124204201116373421223644445334610147147',NULL,'9998',18.25,1,3,NULL),(20,5401330,'1992-10-16 00:00:00',2,8,11,2009,'M','N','BOSQUE DA SAUDE','CUIABÁ','MT','111113111237111731579813585115610132182',15131,'9998',42.74,1,3,NULL),(20,5401348,'1989-01-08 00:00:00',4,1,12,2006,'F','N','SANTA CRUZ','GUARAPUAVA','PR','116252251216471411129944345224242066042',8294,'9998',58.26,1,3,NULL),(20,5401372,'1992-05-23 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242245215111411478833472112610117045',NULL,'262',29.31,1,3,NULL),(20,5401399,'1992-10-15 00:00:00',2,2,12,2009,'F','N','CENTRO','VIDAL RAMOS','SC','124241241135161431456812575122610126077',NULL,'828',20.18,1,3,NULL),(20,5401429,'1992-02-04 00:00:00',4,1,12,2009,'M','N','JARDIM ITAPORÃ','UBATUBA','SP','125252251217111732566813475122610137112',NULL,'9998',29.91,1,3,NULL),(20,5401445,'1992-04-30 00:00:00',4,2,12,2009,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124241248217151521449932585124610115142',14183,'1018',46.67,4,3,NULL),(20,5401453,'1992-06-17 00:00:00',2,15,12,2009,'M','N','SÃO CRISTOVÃO','TURVO','SC','124241241417131431626639572121610135177',NULL,'814',0.00,1,3,NULL),(20,5401461,'1991-08-02 00:00:00',4,3,12,2009,'M','N','JARDIM ESTORIL','BAURU','SP','125253251117111431669711572115610134047',NULL,'9998',0.00,1,3,NULL),(20,5401470,'1991-01-16 00:00:00',4,1,12,2007,'F','N','CENTRO','TERRA BOA','PR','116161161117471751554629145114143264197',NULL,'9998',27.92,1,2,1),(20,5401488,'1992-03-25 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241117151431543611275122610144072',NULL,'405',28.24,1,2,1),(20,5401496,'1990-02-26 00:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116372431223923485124610111057',NULL,'307',25.98,1,2,1),(20,5401518,'1986-01-06 00:00:00',2,1,12,2003,'M','N','PALMAS','GOV CELSO RAMOS','SC','124241241112133431324324282224122937042',8479,'65',58.01,1,2,1),(20,5401542,'1992-02-15 00:00:00',4,8,12,2009,'M','N','GUANABARA','JOINVILLE','SC','124241241116151451533334592124610137052',NULL,'467',18.11,1,2,1),(20,5401577,'1988-11-17 00:00:00',4,1,11,2007,'M','N','NOSSA S APARECIDA','CPO NOVO PARECIS','MT','111111111227411711578714375112140437085',NULL,'9998',0.00,1,3,NULL),(20,5401585,'1993-03-16 00:00:00',2,15,12,2009,'F','N','PRAIA DA GAIVOTA','BAL GAIVOTA','SC','124242242117131431668923591124610138057',11195,'690',51.93,1,3,NULL),(20,5401593,'1991-08-06 00:00:00',4,1,12,2008,'F','N','RIO BRANCO','NOVO HAMBURGO','RS','120203201216471431365732574122141434143',4992,'9998',66.87,1,3,NULL),(20,5401607,'1985-11-01 00:00:00',4,15,12,2009,'M','N','CINCO COLONIAS','CANOAS','RS','120201201215271751658614381121610162117',NULL,'9998',13.85,1,3,NULL),(20,5401615,'1988-03-04 00:00:00',4,1,11,2005,'F','N','SÃO MIGUEL PAULISTA','S PAULO','SP','125252251214571431469814575122610162187',NULL,'9998',0.00,1,3,NULL),(20,5401623,'1964-09-17 00:00:00',4,1,12,1984,'F','N','CENTRO','FLORIANÓPOLIS','SC','221211211217141721668353341122141024182',NULL,'9998',24.45,1,3,NULL),(20,5401631,'1991-08-09 00:00:00',4,1,11,2008,'M','N','CENTRO','CURITIBA','PR','116242241216571451479912575112241462172',6948,'270',62.04,1,3,NULL),(20,5401658,'1966-12-08 00:00:00',5,1,12,1989,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224241247327155711443353481122120411187',NULL,'270',31.84,1,3,NULL),(20,5401666,'1993-02-21 00:00:00',4,1,12,2010,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431576924572122610123012',NULL,'1169',43.21,1,3,NULL),(20,5401674,'1990-09-30 00:00:00',4,1,12,2008,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124243247416271431356614245124610132182',NULL,'9999',20.48,4,3,NULL),(20,5401682,'1976-08-08 00:00:00',2,1,12,2000,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224241244322131731325553492114610168197',NULL,'1169',0.00,4,3,NULL),(20,5401690,'1991-01-05 00:00:00',4,1,11,2008,'F','N','ALVORADA','CUIABÁ','MT','111112111217471411338814592122610162072',5298,'9998',66.67,1,3,NULL),(20,5401704,'1991-07-04 00:00:00',2,1,12,2006,'F','N','SETOR BUENO','GOIÂNIA','GO','109271141315571531338613575124610164052',NULL,'9998',0.00,4,3,NULL),(20,5401712,'1972-07-29 00:00:00',4,1,11,1990,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215344411257642422132121462032',NULL,'9997',0.00,1,3,NULL),(20,5401720,'1988-07-15 00:00:00',4,6,12,2005,'F','N','JARDIM UNIVERSO','CAMBÉ','PR','116162161215572431447734573125610127122',5066,'9998',67.67,1,3,NULL),(20,5401739,'1985-04-18 00:00:00',4,1,12,2002,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124252253117474441447822345122122365082',9890,'9998',58.39,1,3,NULL),(20,5401747,'1984-04-21 00:00:00',4,1,12,2001,'M','N','JARDIM VIRGÍNIA','MARÍLIA','SP','125251251416571411543431571125610142097',4311,'9998',68.99,3,3,NULL),(20,5401755,'1992-04-25 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124242241215371431428912572125610163072',NULL,'499',22.35,4,3,NULL),(20,5401771,'1992-12-16 00:00:00',4,9,11,2009,'F','N','TRÊS PEDRINHAS','S JOAQUIM','SC','124242241212111411545612272124610144092',15334,'1035',42.92,1,3,NULL),(20,5401780,'1990-01-15 00:00:00',4,10,11,2007,'M','N','OFICINAS','TUBARÃO','SC','124242241215272431447734572114133264057',7642,'806',60.60,1,3,NULL),(20,5401798,'1982-10-27 00:00:00',4,1,4,2003,'M','N','JOSE MENDES','FLORIANÓPOLIS','SC','124241246117575431236644445122222324052',NULL,'306',35.99,4,2,1),(20,5401801,'1990-02-06 00:00:00',2,1,6,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244247246113732348679345124230268187',NULL,'9999',15.18,1,3,NULL),(20,5401810,'1988-05-09 00:00:00',4,5,12,2005,'M','N','RIO BELO','ORLEANS','SC','124241241216573431466813575124231447142',9198,'226',59.61,1,3,NULL),(20,5401828,'1992-06-01 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124241248135141221324614345124610127045',NULL,'730',24.07,1,2,1),(20,5401836,'1990-03-30 00:00:00',4,1,12,2007,'M','N','CHÁCARA STO ANTONIO','S PAULO','SP','125252251117471411689931475122610167047',NULL,'9998',0.00,1,3,NULL),(20,5401844,'1978-11-07 00:00:00',4,1,12,1996,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241133145451256449492114333224147',NULL,'69',0.00,1,3,NULL),(20,5401852,'1981-01-30 00:00:00',4,1,10,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201121272421116449291334610128172',NULL,'9998',0.00,1,2,1),(20,5401860,'1992-02-06 00:00:00',2,1,12,2009,'M','N','DOS ESTADOS','GUARAPUAVA','PR','116162161215121431446832245122610127057',NULL,'9998',0.00,1,3,NULL),(20,5401879,'1992-03-30 00:00:00',4,8,12,2009,'F','N','AUGUSTA','CURITIBA','PR','116251161416111511355571571124610111142',NULL,'9998',0.00,1,3,NULL),(20,5401887,'1981-04-07 00:00:00',4,1,12,1998,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217373431528619345132330757045',NULL,'272',20.79,1,3,NULL),(20,5401895,'1990-08-09 00:00:00',2,4,12,2008,'M','N','CENTRO','QUEDAS IGUAÇU','PR','116161165117151731554919475124141643027',NULL,'9998',0.00,4,2,1),(20,5401909,'1989-08-08 00:00:00',4,1,12,2006,'F','N','REBOUÇAS','CURITIBA','PR','116162161216471431236679485121141232052',12549,'9998',49.05,1,3,NULL),(20,5401917,'1947-10-12 00:00:00',4,1,12,1970,'M','N','CENTRO','FLORIANÓPOLIS','SC','524202243226131441436459295134131066182',NULL,'109',28.87,1,3,NULL),(20,5401925,'1982-03-09 00:00:00',2,10,11,1999,'M','N','DEHON','TUBARÃO','SC','124243241216332721126943435335133226077',NULL,'32',0.00,1,3,NULL),(20,5401950,'1992-10-27 00:00:00',4,8,12,2009,'F','N','ITAUM','JOINVILLE','SC','124241241114271731437534575124610126177',NULL,'472',20.07,1,3,NULL),(20,5401968,'1991-03-07 00:00:00',2,3,12,2008,'M','N','JARDIM ITALIA','CAMBÉ','PR','116162161216471431446834575122610167052',NULL,'9998',25.74,1,3,NULL),(20,5401976,'1982-10-21 00:00:00',5,1,12,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241124154411121349495124322233197',NULL,'379',53.66,1,2,1),(20,5401992,'1992-06-12 00:00:00',2,1,12,2009,'F','N','COOPHAMIL','CUIABÁ','MT','111112111215121431543716321122610166177',NULL,'9998',0.00,1,3,NULL),(20,5402018,'1983-09-22 00:00:00',2,1,12,2001,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124201201116114211247343335134321117052',15235,'9998',47.15,1,2,1),(20,5402026,'1982-02-25 00:00:00',2,1,5,2003,'F','N','PACHECO','PALHOÇA','SC','624201207126132141234343432114610122147',15264,'9998',47.08,1,2,1),(20,5402034,'1991-03-11 00:00:00',2,17,12,2009,'F','N','CENTRO','RIO NEGRO','PR','116241241215111431426561592124610126147',NULL,'541',27.24,1,3,NULL),(20,5402042,'1990-08-17 00:00:00',4,1,12,2008,'M','N','JARDIN MARAJOARA','S PAULO','SP','125252257237471711347812476124610132112',10829,'9998',52.77,1,3,NULL),(20,5402050,'1991-02-16 00:00:00',2,4,12,2007,'F','N','SANTO ANTÔNIO','PLANALTO','PR','116161161116471431456939575122143264052',NULL,'9998',27.78,1,3,NULL),(20,5402069,'1991-05-08 00:00:00',4,1,1,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124212211217371431566832575124610121192',NULL,'9998',0.00,1,3,NULL),(20,5402077,'1993-01-07 00:00:00',4,7,11,2009,'M','N','CENTRO','HERVAL D OESTE','SC','124241241415151411357933575122610142071',14214,'446',49.93,1,3,NULL),(20,5402085,'1993-02-04 00:00:00',2,7,12,2009,'M','N','INTERIOR LINHA','ÁGUA DOCE','SC','124241241122131431624515572222610115052',NULL,'9',29.10,1,2,1),(20,5402093,'1993-10-26 00:00:00',2,4,12,2009,'M','N','CENTRO','SORRISO','MT','111114111216121431558734572321610147052',NULL,'9998',47.08,1,3,NULL),(20,5402107,'1981-05-23 00:00:00',4,1,6,2002,'M','N','IPIRANGA','S JOSÉ','SC','224243241122131421234444245222610112187',NULL,'1076',0.00,1,3,NULL),(20,5402115,'1989-03-17 00:00:00',4,8,12,2006,'M','N','JARDIM IRIRIU','JOINVILLE','SC','124241246211474411633311445124610162182',13958,'494',50.47,1,3,NULL),(20,5402123,'1990-03-07 00:00:00',4,1,12,2007,'M','N','PQ RES AQUARIUS','S JOSÉ CAMPOS','SP','125252251315573431466611572112610117047',NULL,'9998',0.00,1,3,NULL),(20,5402131,'1993-01-11 00:00:00',4,15,12,2010,'M','S','CENTRO','ARARANGUÁ','SC','124242241215111432458831385112610157077',NULL,'970',38.16,1,3,NULL),(20,5402140,'1990-10-07 00:00:00',2,4,12,2007,'M','N','VILA TOLENTINO','CASCAVEL','PR','116163161316411411458913575122610112142',NULL,'9998',26.55,1,3,NULL),(20,5402158,'1987-01-23 00:00:00',2,8,12,2004,'F','N','CENTRO','PRIMEIRO MAIO','PR','116161168216575431446813595122610168077',2697,'9998',73.39,1,3,NULL),(20,5402166,'1984-12-03 00:00:00',4,1,12,2001,'M','N','SANTA RITA','BENTO GONÇALVES','RS','120202201216151441353923585112341434122',NULL,'9998',0.00,1,3,NULL),(20,5402174,'1989-08-09 00:00:00',2,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241126151531236613435223610127045',NULL,'283',31.78,2,1,1),(20,5402182,'1991-09-27 00:00:00',4,1,12,2007,'M','N','GRANJA ESPERANÇA','CACHOEIRINHA','RS','120201206116131431425512215124230647117',NULL,'9997',14.13,1,2,1),(20,5402190,'1986-06-14 00:00:00',4,1,12,2003,'M','N','CENTRO','TAPEJARA','RS','120201201145131321535312285124240767047',NULL,'9998',17.85,1,2,1),(20,5402220,'1975-09-14 00:00:00',4,1,7,1995,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224241247322131331324343232113610117067',NULL,'263',14.23,1,3,NULL),(20,5402239,'1992-09-01 00:00:00',2,15,12,2009,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241248112271212323331382224610116027',NULL,'29',22.95,1,2,1),(20,5402247,'1992-02-19 00:00:00',2,1,12,2009,'M','N','ROCADO','S JOSÉ','SC','124241241117131411624414586321610166057',NULL,'729',19.09,1,2,1),(20,5402255,'1992-05-02 00:00:00',4,1,12,2009,'F','N','CENTRO','S LEOPOLDO','RS','120202201217151431436823575112610164047',13946,'9998',46.58,1,3,NULL),(20,5402271,'1992-05-29 00:00:00',2,1,12,2009,'F','N','PEROLA DO OESTE','GUARAPUAVA','PR','116161168111151151638839585122610133142',NULL,'9998',14.17,1,2,1),(20,5402280,'1992-11-07 00:00:00',2,2,12,2009,'F','N','DAS NAÇÕES','INDAIAL','SC','124241241113141431438834385122610123147',NULL,'887',22.58,1,2,1),(20,5402298,'1989-05-05 00:00:00',2,1,12,2006,'F','N','JARDIM BOTANICO','PTO ALEGRE','RS','620202201216471331588731491124140867047',NULL,'9998',0.00,1,3,NULL),(20,5402301,'1993-04-16 00:00:00',4,1,12,2009,'F','N','SANTO ANTONIO','CPO GRANDE','MS','112124121217471411229833574122610162177',1684,'9998',75.86,1,3,NULL),(20,5402310,'1992-08-01 00:00:00',2,1,12,2009,'M','N','CENTRO','ERECHIM','RS','120203201417131731536658392322610127042',NULL,'9998',0.00,1,3,NULL),(20,5402336,'1982-02-15 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241126271711534444441124610128132',NULL,'359',0.00,1,3,NULL),(20,5402344,'1992-12-30 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241147141431424619242121610137077',NULL,'592',23.75,1,2,1),(20,5402352,'1992-04-29 00:00:00',4,7,12,2009,'M','N','ALVORADA','VIDEIRA','SC','124241241416111411335834382125610157057',NULL,'831',0.00,1,3,NULL),(20,5402395,'1982-01-25 00:00:00',2,1,11,2000,'F','N','JURERE','FLORIANÓPOLIS','SC','124251257126132431244641115122143264144',NULL,'9998',29.55,1,2,1),(20,5402409,'1992-07-28 00:00:00',4,8,11,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241216151431378713431122610147092',4842,'461',67.52,1,3,NULL),(20,5402417,'1994-04-08 00:00:00',4,1,11,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111231468814575112610124125',NULL,'1169',0.00,1,3,NULL),(20,5402433,'1991-05-31 00:00:00',2,2,12,2008,'M','N','TAPAJÓS','INDAIAL','SC','124241241116141411548931345121230227122',15245,'365',47.13,3,2,1),(20,5402450,'1992-10-01 00:00:00',2,15,12,2010,'F','S','PARQUE ALVORADA','ARARANGUÁ','SC','124241241215111731568611275122610147142',NULL,'970',0.00,1,3,NULL),(20,5402468,'1991-09-16 00:00:00',2,5,12,2008,'M','N','RIO BRANCO','PTO ALEGRE','RS','120202201216471731459713574125610167117',7359,'9998',61.80,1,3,NULL),(20,5402484,'1990-07-01 00:00:00',4,1,11,2008,'M','N','CENTRO','CAMBUÍ','MG','113132131216471441558823375112610164097',1666,'9998',77.66,1,3,NULL),(20,5402492,'1991-05-27 00:00:00',4,8,11,2008,'M','N','BAIRRO AMÉRICA','JOINVILLE','SC','125252253211471451348913271325610134097',NULL,'9998',0.00,1,3,NULL),(20,5402522,'1992-03-25 00:00:00',4,1,11,2009,'M','N','TREZE DE JULHO','ARACAJU','SE','126262261217111231578932575122610167042',NULL,'9998',0.00,1,3,NULL),(20,5402530,'1984-02-04 00:00:00',2,1,12,2003,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241145132431326623345121132723142',NULL,'592',18.12,2,1,1),(20,5402549,'1983-06-02 00:00:00',4,1,12,2002,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217273711548613411122133224117',12593,'262',53.15,1,3,NULL),(20,5402557,'1990-02-03 00:00:00',4,1,12,2006,'F','N','SÃO FRANCISCO','BENTO GONÇALVES','RS','120202201116471411436619394122240628147',NULL,'9998',36.72,1,3,NULL),(20,5402565,'1989-05-08 00:00:00',4,1,12,2007,'F','N','CARMELO','S JOÃO BATISTA','SC','124241248146131531436411315122131043047',NULL,'712',0.00,1,3,NULL),(20,5402590,'1990-02-16 00:00:00',4,1,12,2007,'M','N','ITAIM PAULISTA','S PAULO','SP','125254251216471431447812575125140262182',13455,'9998',46.99,4,3,NULL),(20,5402603,'1992-07-10 00:00:00',4,8,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161211471431478816465124610127012',NULL,'9998',0.00,1,3,NULL),(20,5402611,'1991-11-06 00:00:00',4,15,11,2009,'M','N','IPANEMA','PTO ALEGRE','RS','120252201211371431468834572124610162052',NULL,'9998',0.00,1,3,NULL),(20,5402620,'1990-10-18 00:00:00',2,15,12,2009,'M','N','SANTO ANTONIO','FARROUPILHA','RS','120201201111131431536944341344610122172',NULL,'9998',0.00,1,3,NULL),(20,5402638,'1992-09-02 00:00:00',4,1,12,2009,'M','N','ACLIMACAO','S PAULO','SP','125252251217371531578831571115610167047',9253,'9998',59.51,1,3,NULL),(20,5402646,'1977-04-10 00:00:00',2,1,12,1996,'F','N','KOBRASSOL','S JOSÉ','SC','524201206112131721133143232124342338142',15484,'9998',46.38,1,3,NULL),(20,5402654,'1993-04-30 00:00:00',2,1,12,2009,'F','N','SETOR MORAIS','GOIÂNIA','GO','109092091217111631328614575124610113147',NULL,'9998',0.00,1,3,NULL),(20,5402662,'1992-09-18 00:00:00',4,8,12,2009,'M','N','CENTRO','BARRA VELHA','SC','124243241215161531328933572124610127042',NULL,'1105',30.05,1,3,NULL),(20,5402689,'1982-05-26 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244247437152421449819445121123222182',13979,'9999',50.44,1,3,NULL),(20,5402700,'1991-12-16 00:00:00',2,2,12,2008,'F','N','CENTRO','S JOÃO BATISTA','SC','124242248211112411346612571125231568142',16000,'1123',44.09,1,3,NULL),(20,5402743,'1981-01-23 00:00:00',4,1,12,1998,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124161161246162731373629445122321424092',NULL,'9998',0.00,1,3,NULL),(20,5402760,'1991-09-04 00:00:00',4,1,12,2008,'F','N','JARDIM ICARAÍ','S PAULO','SP','125252251117471411453823575124610121147',NULL,'9998',0.00,2,1,2),(20,5402786,'1990-06-05 00:00:00',4,8,10,2008,'M','N','RIO VERMELHO ESTAÇÃO','S BENTO SUL','SC','124241247116151231233611275112610157047',NULL,'9999',0.00,1,3,NULL),(20,5402794,'1982-08-23 00:00:00',4,1,11,1999,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217574531179911485112523163095',6586,'210',64.73,1,3,NULL),(20,5402808,'1990-11-17 00:00:00',2,1,12,2007,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124242241217473431448814172122230464187',NULL,'1077',29.37,1,3,NULL),(20,5402816,'1992-12-19 00:00:00',2,4,12,2009,'M','N','MENINO DEUS','PATO BRANCO','PR','116161161217371331448931215122610122127',NULL,'9998',0.00,3,3,NULL),(20,5402824,'1992-05-12 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPADA','RS','120201201116161431336633322123610112182',NULL,'9998',0.00,1,2,1),(20,5402832,'1991-12-25 00:00:00',4,10,12,2009,'M','N','CENTRO','STA ROSA LIMA','SC','624241248125131711313313445123610637051',NULL,'688',0.00,1,3,NULL),(20,5402840,'1984-02-13 00:00:00',2,1,6,2002,'F','N','SERRARIA','S JOSÉ','SC','124244247227235721653419346124132063187',NULL,'270',18.03,1,3,NULL),(20,5402867,'1991-08-28 00:00:00',4,1,12,2008,'M','N','BARRACÃO','BENTO GONÇALVES','RS','120202201217471441467812145124610164047',3555,'9998',71.38,1,3,NULL),(20,5402875,'1983-05-03 00:00:00',4,1,4,2001,'M','N','PONTE IMARUIM','PALHOÇA','SC','124241243141143421536611215124231414062',NULL,'739',31.92,4,2,1),(20,5402883,'1985-11-01 00:00:00',4,1,12,2004,'M','N','JABAQUARA','S PAULO','SP','125253251135521431126518342221240914122',11443,'9998',55.45,1,3,NULL),(20,5402891,'1990-11-28 00:00:00',4,3,12,2007,'M','N','JD DOM BOSCO','LONDRINA','PR','116162161215571431548614571122610124057',4388,'9998',68.14,1,3,NULL),(20,5402905,'1990-10-13 00:00:00',4,1,11,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124012241217371431688713595122233228012',NULL,'266',0.00,4,3,NULL),(20,5402921,'1990-09-23 00:00:00',2,8,12,2007,'M','N','ABRANCHES','CURITIBA','PR','116162164211311751558823391111610114182',4493,'9998',68.23,1,3,NULL),(20,5402930,'1990-05-21 00:00:00',4,1,12,2007,'M','N','JDM PRIMAVERA','FRANCA','SP','125251251147571441534313346123610157057',NULL,'9998',0.00,1,2,1),(20,5402956,'1983-10-07 00:00:00',4,1,12,2000,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','224243241116135431235354382124233234157',8018,'307',59.33,1,3,NULL),(20,5402980,'1991-06-11 00:00:00',4,4,12,2008,'F','N','CENTRO','CONCÓRDIA','SC','120162161117372431338913572124242426147',NULL,'9998',0.00,1,3,NULL),(20,5402999,'1989-03-19 00:00:00',4,1,12,2006,'M','N','SMU COMPLEMENTAR','BRASÍLIA','DF','107211071117151431458813572114610117057',12758,'9998',52.81,1,2,1),(20,5403006,'1992-04-06 00:00:00',2,7,12,2009,'F','N','CENTRO','HERVAL D OESTE','SC','124241241136371431226724275124610133152',12754,'539',49.96,1,2,1),(20,5403014,'1990-06-28 00:00:00',4,8,12,2007,'F','N','CENTRO','S CARLOS','SP','125252251212573451479933572122610162027',816,'9998',82.38,1,3,NULL),(20,5403049,'1991-06-04 00:00:00',4,1,12,2008,'M','N','MENINO DEUS','PTO ALEGRE','RS','120202201215371431458833571124610137087',7668,'9998',62.49,1,3,NULL),(20,5403057,'1993-03-15 00:00:00',2,8,12,2009,'F','N','CENTRO','JANDAIA SUL','PR','116162161215121431489933575114610165192',8912,'9998',56.60,1,3,NULL),(20,5403065,'1991-07-10 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242247217111712469613575112610118077',NULL,'9999',28.68,1,3,NULL),(20,5403073,'1992-12-27 00:00:00',2,1,12,2009,'M','N','NOVO MUNDO','CURITIBA','PR','116162161416111421436634243124610117112',NULL,'9998',0.00,1,3,NULL),(20,5403081,'1983-05-06 00:00:00',2,16,12,2002,'M','N','DO BOSQUE','CURITIBANOS','SC','224243241347272531213841115213610152187',NULL,'237',19.56,1,3,NULL),(20,5403090,'1992-06-11 00:00:00',2,8,12,2009,'F','N','VILA NOVA','RIO NEGRINHO','SC','124242241316131431436624272122610156147',NULL,'669',0.00,1,3,NULL),(20,5403120,'1991-01-15 00:00:00',2,1,12,2008,'F','N','FÁTIMA','ANTÔNIO PRADO','RS','120204201115471711663811575124610166097',NULL,'9998',0.00,1,3,NULL),(20,5403138,'1990-06-30 00:00:00',2,1,12,2009,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124241241136131431435333491114610117053',NULL,'287',17.50,1,2,1),(20,5403146,'1991-09-19 00:00:00',4,8,12,2009,'M','N','CENTRO','RIO NEGRINHO','SC','124242241215111731438823475122610117047',4497,'666',67.07,1,3,NULL),(20,5403154,'1988-04-17 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201207126141421127744245114610126142',NULL,'9998',0.00,1,2,1),(20,5403162,'1985-08-17 00:00:00',4,1,12,2003,'M','N','JUNQUEIRA','S ROQUE','SP','125251251235572411323322275121241666093',4558,'9998',67.56,1,3,NULL),(20,5403170,'1987-11-21 00:00:00',2,6,12,2005,'F','N','CHAMPAGNAT','CURITIBA','PR','116162161216571411446712572114141363092',12194,'9998',51.05,1,3,NULL),(20,5403197,'1992-01-24 00:00:00',2,10,12,2009,'M','N','HUMAITÁ','TUBARÃO','SC','124241246232141432436519572125610167047',NULL,'1120',27.25,3,3,NULL),(20,5403219,'1992-09-26 00:00:00',4,15,12,2009,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241115271431323324342121610118042',13878,'30',47.54,1,2,1),(20,5403227,'1992-03-24 00:00:00',2,1,12,2009,'F','N','VILLAGE','GAROPABA','SC','124203241345151431446414572112610161147',NULL,'322',0.00,1,3,NULL),(20,5403251,'1988-12-29 00:00:00',4,1,12,2005,'F','N','CENTRO','TAPEJARA','RS','120201201137141441223324142335610117057',NULL,'9998',26.00,1,2,1),(20,5403278,'1992-05-27 00:00:00',4,6,12,2009,'M','N','SÃO VICENTE','ITAJAÍ','SC','124242241215111431433633585125610164147',15171,'389',47.34,1,3,NULL),(20,5403286,'1993-07-22 00:00:00',4,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241215111431546614442124610132145',NULL,'1023',34.39,1,3,NULL),(20,5403294,'1987-10-22 00:00:00',4,1,12,2005,'F','N','VILA GERMER','TIMBÓ','SC','124241241117131431326729395124133238147',NULL,'787',43.75,1,2,1),(20,5403308,'1986-02-14 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211152511288811412122610147111',NULL,'270',0.00,4,3,NULL),(20,5403316,'1982-03-01 00:00:00',4,8,12,1999,'M','N','BUTANTA','S PAULO','SP','125251251146131411114649495325143265092',2326,'9998',74.05,4,2,1),(20,5403324,'1988-11-04 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217474432169847572112120757092',6940,'270',63.97,1,3,NULL),(20,5403332,'1993-07-08 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431569811575122610138122',NULL,'262',44.23,1,3,NULL),(20,5403340,'1993-03-15 00:00:00',2,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124244241215151711438614285114610164047',NULL,'1075',19.29,1,3,NULL),(20,5403359,'1992-03-18 00:00:00',2,1,12,2009,'F','N','BELA VISTA III','S JOSÉ','SC','124241241137131431436623346325610147147',NULL,'732',0.00,4,2,1),(20,5403367,'1982-07-19 00:00:00',4,2,12,2004,'M','N','CENTRO','POMERODE','SC','124161161123141431323344242334610157047',NULL,'9998',0.00,1,3,NULL),(20,5403405,'1990-12-06 00:00:00',4,3,12,2007,'F','N','JARDIM HIGIENOPOLIS','LONDRINA','PR','116112161217471431338812575124610164092',4200,'9998',68.04,1,3,NULL),(20,5403413,'1984-06-07 00:00:00',4,1,12,2001,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124112241216575431669933445124431267177',7212,'269',60.46,1,3,NULL),(20,5403421,'1988-06-12 00:00:00',4,1,12,2005,'M','N','MAR GROSSO','LAGUNA','SC','124243241617152441453331195124233234111',NULL,'9998',0.00,5,3,NULL),(20,5403430,'1992-08-07 00:00:00',4,17,12,2009,'F','N','PINHEIRINHO','S MATEUS SUL','PR','116162161215421411446632285124610142187',9761,'9998',55.73,1,3,NULL),(20,5403448,'1990-06-26 00:00:00',2,6,12,2007,'F','N','PEREQUE','PTO BELO','SC','124242248212271431433812591124610122072',NULL,'9997',0.00,1,3,NULL),(20,5403456,'1962-08-25 00:00:00',2,1,12,1984,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224241246112135121474453272112140211142',NULL,'542',18.37,1,2,1),(20,5403464,'1991-09-06 00:00:00',4,9,12,2008,'M','N','SANTA TEREZINHA','VACARIA','RS','120201242116132431433833382121610138052',NULL,'960',30.28,1,3,NULL),(20,5403472,'1991-02-10 00:00:00',2,1,12,2007,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124244241215472432456612575114610112112',NULL,'270',23.73,3,3,NULL),(20,5403480,'1992-08-27 00:00:00',2,1,11,2009,'F','N','PAPAGAIOS','CANELINHA','SC','124244241215111431456412575122610164172',NULL,'1119',32.39,1,3,NULL),(20,5403510,'1987-12-20 00:00:00',4,1,12,2004,'F','N','SANTANA','S PAULO','SP','125251251116131731325511581124240737057',NULL,'9998',26.40,1,2,1),(20,5403529,'1990-04-18 00:00:00',4,8,11,2007,'F','N','CIDADE INDUSTRIAL','CURITIBA','PR','116164161216571431446832575122142113187',NULL,'9998',0.00,1,3,NULL),(20,5403537,'1993-09-11 00:00:00',2,5,11,2010,'M','S','CENTRO','CRICIÚMA','SC','124244241215111431256822275122610127042',NULL,'213',28.02,1,3,NULL),(20,5403545,'1992-05-22 00:00:00',4,1,11,2009,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251217151731246829576122610132197',NULL,'9998',23.97,1,3,NULL),(20,5403553,'1992-10-25 01:00:00',4,1,11,2010,'M','S','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215111431467833195122610167185',NULL,'951',31.24,1,3,NULL),(20,5403596,'1985-04-14 00:00:00',4,3,12,2002,'F','N','SÃO FRANCISCO','CURITIBA','PR','116161161115571431227515472224340622187',1672,'9998',78.18,3,3,NULL),(20,5403600,'1988-03-26 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124203201116132411526313142324610127077',15707,'9998',45.47,1,3,NULL),(20,5403618,'1992-10-28 00:00:00',2,7,11,2009,'F','N','VISTA ALEGRE','CONCÓRDIA','SC','124241241212471731533314572122610127012',NULL,'1000',0.00,1,3,NULL),(20,5403626,'1991-11-29 00:00:00',4,1,12,2009,'F','N','CENTRO','PATO BRANCO','PR','116164168116371451657632175124610134017',NULL,'9998',39.49,1,3,NULL),(20,5403634,'1989-12-08 00:00:00',4,1,12,2007,'M','N','CENTRO','CAPIVARI','SP','125252251216571431588811475122241464092',NULL,'9998',0.00,1,3,NULL),(20,5403642,'1986-12-07 00:00:00',2,15,12,2003,'F','N','CAVALHADA','PTO ALEGRE','RS','120201201116571431238821571124610166197',3528,'9998',71.35,1,3,NULL),(20,5403650,'1992-02-09 00:00:00',4,17,12,2009,'M','N','VILA IVETE','MAFRA','SC','124163161215111431547933572122610132187',8572,'9998',56.94,4,3,NULL),(20,5403669,'1991-12-30 00:00:00',4,4,12,2009,'M','N','CENTRO','SAUDADES','SC','124241241126161431638614155122610124052',NULL,'761',22.28,1,3,NULL),(20,5403677,'1988-07-20 00:00:00',4,1,12,2006,'M','N','ALTO TARUMÃ','CURITIBA','PR','116162161437141411368811443132240237047',NULL,'9998',40.13,1,3,NULL),(20,5403685,'1991-01-03 00:00:00',2,15,12,2008,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241416132231458619595122610132054',15297,'30',46.94,1,3,NULL),(20,5403693,'1989-04-14 00:00:00',2,1,12,2006,'F','N','CENTRO','CRICIÚMA','SC','124242241212134431624664445124131063072',NULL,'213',0.00,1,3,NULL),(20,5403707,'1991-02-23 00:00:00',2,8,12,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124241241317132731626713571124610123147',NULL,'492',21.05,1,3,NULL),(20,5403715,'1991-04-11 00:00:00',2,1,12,2009,'F','N','TRINTA RÉIS','NOVA TRENTO','SC','124241243126131431433332142124610126047',NULL,'574',23.18,1,2,1),(20,5403723,'1993-02-24 00:00:00',4,3,12,2009,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124242241217111742378813575122610128196',10282,'1038',57.64,1,3,NULL),(20,5403740,'1992-02-02 00:00:00',2,2,12,2009,'F','N','CENTRO','WITMARSUM','SC','124241241136161431459933345121610136017',12487,'835',49.16,1,2,1),(20,5403758,'1991-12-19 00:00:00',2,9,12,2009,'M','N','CENTRO','LAGES','SC','124242241215111431366816572122610167064',NULL,'499',22.85,1,3,NULL),(20,5403774,'1978-06-25 00:00:00',4,1,12,1996,'F','N','KOBRASOL','S JOSÉ','SC','124202201216242451436627295124121423195',9326,'9998',59.37,2,3,NULL),(20,5403790,'1992-10-17 00:00:00',2,5,11,2009,'M','N','CENTRO','URUSSANGA','SC','124244241215111431466632575122610122042',NULL,'820',25.49,2,3,NULL),(20,5403812,'1986-10-14 00:00:00',2,1,12,2004,'M','N','PRAINHA','FLORIANÓPOLIS','SC','124241241112154721548813432122231217062',5834,'307',66.39,1,2,1),(20,5403839,'1992-11-11 00:00:00',4,10,12,2009,'M','N','TIRADENTES','GRAVATAL','SC','124241241135271431635724245124610134117',NULL,'332',28.79,1,2,1),(20,5403847,'1990-02-24 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242201216372421159841415114121428147',6101,'1010',65.80,1,3,NULL),(20,5403855,'1974-03-07 00:00:00',2,1,12,1996,'F','N','INGLÊSES DO RIO VERM','FLORIANÓPOLIS','SC','124173173142332411124441412123130461177',NULL,'9998',0.00,4,1,2),(20,5403863,'1988-07-29 00:00:00',4,6,12,2005,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244245432132431329923482125132735017',NULL,'967',17.21,1,3,NULL),(20,5403871,'1991-08-30 00:00:00',4,1,12,2008,'F','N','CENTRO','MARINGÁ','PR','116162161216411431548812272112610134012',15028,'9998',44.01,3,3,NULL),(20,5403880,'1986-02-15 00:00:00',4,1,11,2003,'M','N','CENTRO','CAJAMAR','SP','125253251416131711558732512124340347041',11428,'9998',55.47,1,3,NULL),(20,5403898,'1992-08-12 00:00:00',4,1,12,2009,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217112431447634376122610134077',8764,'1022',60.41,1,3,NULL),(20,5403910,'1991-11-22 00:00:00',2,5,11,2009,'F','N','ANA MARIA','CRICIÚMA','SC','124241241147141732325414385224610164057',NULL,'209',0.00,1,2,1),(20,5403936,'1990-04-03 00:00:00',2,1,12,2007,'M','N','VILA ALIANÇA','GUARULHOS','SP','125252251216572731354924195112610132012',10243,'9998',55.99,1,3,NULL),(20,5403952,'1988-03-04 00:00:00',4,8,12,2005,'M','N','JARDIM SATÉLITE','S JOSÉ CAMPOS','SP','125254251216473731236624295122610167182',8002,'9998',60.58,3,3,NULL),(20,5403960,'1991-08-30 00:00:00',4,3,12,2008,'M','N','CENTRO','MANDAGUARI','PR','116162161216473431468914575112610137122',NULL,'9998',0.00,1,3,NULL),(20,5403979,'1985-01-09 00:00:00',2,1,12,2002,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124212211236151731446621435134343114041',6941,'9998',63.96,1,3,NULL),(20,5403987,'1977-06-18 00:00:00',4,1,11,1996,'M','N','SAO JOAO','ITAJAÍ','SC','124244247442213411223479492224333214041',NULL,'391',28.91,1,3,NULL),(20,5403995,'1986-06-07 00:00:00',4,8,12,2003,'M','N','CENTRO','STA MARIA','RS','120201201316371411329949392114610168197',NULL,'489',0.00,1,3,NULL),(20,5404010,'1993-05-11 00:00:00',4,1,12,2010,'M','S','INGLESES','FLORIANÓPOLIS','SC','124242241212171431548911592124610117053',NULL,'1022',49.39,1,3,NULL),(20,5404045,'1991-06-20 00:00:00',4,1,11,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241117132411224624375124231962173',NULL,'288',49.02,1,3,NULL),(20,5404061,'1992-01-23 00:00:00',2,4,12,2009,'M','N','JARDIM FLORIDA','CPO MOURÃO','PR','116162161216111131446814571112610167052',10834,'9998',52.67,4,3,NULL),(20,5404070,'1992-07-29 00:00:00',2,1,1,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241121131711424929395124610142142',NULL,'274',0.00,1,2,1),(20,5404088,'1988-08-18 00:00:00',2,1,12,2006,'M','N','IPIRANGA','S JOSÉ','SC','124241247146132722326644345133610164117',NULL,'9999',0.00,1,2,1),(20,5404096,'1992-05-05 00:00:00',4,8,12,2009,'F','N','VILA PATTI','NOVO HORIZONTE','SP','125252251216111431338923575122610164177',NULL,'9998',0.00,1,3,NULL),(20,5404100,'1992-06-12 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113731459813575121610147042',3690,'262',70.88,1,3,NULL),(20,5404126,'1990-07-15 00:00:00',4,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','224243241337131431258654185122610167147',NULL,'9999',25.83,1,3,NULL),(20,5404134,'1992-07-15 00:00:00',4,4,12,2009,'M','N','CENTRO','SEARA','SC','124242245415121431384935375112610127187',13914,'1047',50.54,4,3,NULL),(20,5404150,'1982-12-09 00:00:00',2,8,12,1999,'M','N','BOQUEIRÃO','CURITIBA','PR','116162161216371431358829345124343237047',11762,'9998',49.71,1,3,NULL),(20,5404169,'1986-09-22 00:00:00',4,1,12,2004,'M','N','ANDORINHA','ITAPEMA','SC','124241247227161331448839345122131264052',NULL,'983',26.04,1,3,NULL),(20,5404185,'1988-03-11 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216574731567614575124221424067',2684,'9997',74.49,1,3,NULL),(20,5404193,'1977-10-03 00:00:00',4,1,12,1995,'M','N','MENINO DEUS','PTO ALEGRE','RS','120201201116271411556639495122610164057',NULL,'9998',0.00,1,2,1),(20,5404223,'1991-01-25 00:00:00',4,16,12,2008,'F','N','CENTRO','CAÇADOR','SC','124242241215372411346813575122610163052',3080,'120',72.42,1,3,NULL),(20,5404231,'1991-03-17 00:00:00',4,1,12,2008,'M','N','VILA DOS ENGENHEIROS','OURO PRETO','MG','113132131217121431459913575121241444047',NULL,'9998',0.00,1,3,NULL),(20,5404240,'1993-02-15 00:00:00',4,17,12,2009,'M','N','CENTRO','S MATEUS SUL','PR','116162161215111431559931575122610167012',3135,'9998',70.64,1,3,NULL),(20,5404258,'1991-11-04 00:00:00',4,2,12,2008,'M','N','GARCIA','BLUMENAU','SC','124241248137131431446924245124610162012',NULL,'69',0.00,1,3,NULL),(20,5404282,'1984-06-27 00:00:00',2,1,12,2005,'M','N','PACHECOS','PALHOÇA','SC','124241248135131222336513345111131314047',NULL,'591',24.79,1,2,1),(20,5404290,'1954-06-26 00:00:00',2,15,11,2008,'M','N','CENTRO','SOMBRIO','SC','524201247126131412121141215124610124047',NULL,'9999',27.66,4,2,1),(20,5404304,'1988-08-25 00:00:00',4,8,11,2005,'M','N','VILA PEDRO MOREIRA','GUARULHOS','SP','125254251216571411368727472112610164173',NULL,'9998',0.00,1,3,NULL),(20,5404312,'1989-12-11 00:00:00',2,4,12,2007,'F','N','SÃO GERALDO','IJUÍ','RS','120202201216473431437633575122231311142',NULL,'9998',0.00,1,3,NULL),(20,5404320,'1991-04-01 00:00:00',4,6,12,2008,'M','N','RESSACADA','ITAJAÍ','SC','124242241216111431438833342131610137047',NULL,'1172',17.96,2,1,2),(20,5404339,'1993-01-22 00:00:00',2,4,11,2009,'F','N','FELIZ CIDADE','SORRISO','MT','111114111116131441438832575121610116172',12617,'9998',48.44,1,3,NULL),(20,5404347,'1991-03-15 00:00:00',4,1,12,2008,'F','N','ACLIMAÇÃO','S PAULO','SP','125252251216471111539823375125610112197',NULL,'9998',0.00,1,3,NULL),(20,5404355,'1988-07-02 00:00:00',4,1,12,2005,'F','N','JURERE','FLORIANÓPOLIS','SC','124201201137372751236421346124610124047',13597,'9998',48.38,1,2,1),(20,5404371,'1991-11-29 00:00:00',4,1,11,2009,'M','N','BOSQUE DA SAUDE','CUIABÁ','MT','111112111217111421368814285112610162187',3468,'9998',70.01,1,3,NULL),(20,5404410,'1989-06-24 00:00:00',4,1,6,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241247122131411111729382112610165017',NULL,'736',27.23,1,2,1),(20,5404436,'1990-09-24 00:00:00',2,1,12,2008,'M','N','FUNDAÇÃO BRADESCO','IRECÊ','BA','105051058216472431326613585121610123154',NULL,'9998',51.17,1,3,NULL),(20,5404444,'1991-09-02 00:00:00',2,1,12,2008,'F','N','SERTÃO DO IMARUÍ','S JOSÉ','SC','124201241115372432326624372224610113057',NULL,'733',39.03,4,2,1),(20,5404452,'1987-04-27 00:00:00',4,1,12,2004,'M','N','VILA SÃO JOÃO','CAMPINAS','SP','125232251217411721278823575122241622182',NULL,'9998',0.00,1,3,NULL),(20,5404460,'1991-03-15 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127132131424519245124230268067',NULL,'274',0.00,1,2,1),(20,5404495,'1985-11-06 00:00:00',2,1,12,2002,'M','N','CENTRO','MUNHOZ MELO','PR','116161161136141431538813435124340642147',NULL,'9998',36.35,1,2,1),(20,5404517,'1993-04-07 00:00:00',2,8,12,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124241241117131731626713572124610126047',NULL,'492',27.01,1,3,NULL),(20,5404533,'1992-10-21 00:00:00',4,9,10,2009,'F','N','PEREIRA ALVES','CORREIA PINTO','SC','124241241125141131536634245122610115052',NULL,'201',24.05,1,2,1),(20,5404541,'1982-03-17 00:00:00',4,1,12,1999,'M','N','LAGO NORTE','LG NORTE','DF','124071071116151741228841415124340264043',11033,'9998',56.23,1,3,NULL),(20,5404550,'1974-10-25 00:00:00',4,1,12,1995,'F','N','IPIRANGA','S JOSÉ','SC','124246018242152421421274145124613212197',NULL,'263',14.52,2,1,2),(20,5404592,'1993-05-19 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241115111431326612575124610133145',NULL,'270',23.18,1,3,NULL),(20,5404606,'1965-06-03 00:00:00',4,1,12,1983,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243288112133751319712223135330212191',NULL,'267',0.00,1,3,NULL),(20,5404614,'1991-05-09 00:00:00',2,10,11,2008,'F','N','PASSO DO GADO','TUBARÃO','SC','124241241111272421426513491144610115017',NULL,'1034',29.71,1,2,1),(20,5404622,'1987-06-29 00:00:00',4,1,12,2004,'M','N','AZENHA','PTO ALEGRE','RS','120201201117151721446514395124240268187',15823,'9998',44.98,1,3,NULL),(20,5404630,'1983-02-16 00:00:00',4,1,8,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201207346131751118849195111243224187',8611,'9998',60.72,1,3,NULL),(20,5404649,'1992-01-25 00:00:00',4,1,12,2009,'F','N','CENTRO','CÂNDIDO GODÓI','RS','120201201117271731448614212122610115197',NULL,'9998',34.27,1,2,1),(20,5404665,'1992-02-07 00:00:00',4,1,12,2008,'M','N','VILA JOÃO PESSOA','PTO ALEGRE','RS','120202201217471731347638595124610117012',9464,'9998',55.49,1,3,NULL),(20,5404673,'1981-10-16 00:00:00',2,1,12,2006,'M','N','JARDIM SAVEIRO','BIGUAÇU','SC','124241241121151421532324141124231026057',16026,'9997',43.93,4,2,1),(20,5404681,'1992-02-23 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202241235153421584912571124233235062',NULL,'262',25.67,1,3,NULL),(20,5404690,'1981-06-04 00:00:00',2,1,12,2000,'M','N','SANTANA','RIO SUL','SC','124244241117145431546731441124130227097',NULL,'659',0.00,1,3,NULL),(20,5404703,'1991-10-30 00:00:00',4,3,12,2008,'F','N','VERENA','STA CRUZ SUL','RS','120203201211421421357921591122610122187',5460,'9998',64.93,1,3,NULL),(20,5404711,'1987-09-27 00:00:00',4,1,12,2005,'F','N','JABAQUARA','S PAULO','SP','125251256117271121237621345134610143147',NULL,'9998',0.00,1,2,1),(20,5404738,'1968-02-08 00:00:00',2,1,12,1987,'F','N','CENTRO','BIGUAÇU','SC','124241243147134451223443235124610163187',NULL,'329',28.14,1,2,1),(20,5404746,'1992-02-14 00:00:00',4,7,12,2009,'M','N','CENTRO','SALTO VELOSO','SC','124242241125131421335634245123610164057',NULL,'684',23.22,1,3,NULL),(20,5404754,'1982-03-08 00:00:00',4,1,11,2000,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241116132411548833472124220627057',NULL,'267',30.82,1,3,NULL),(20,5404762,'1992-04-13 00:00:00',2,10,12,2009,'M','N','MAR GROSSO','LAGUNA','SC','124242241225141431446833375121610117042',NULL,'524',21.47,1,3,NULL),(20,5404797,'1966-08-03 00:00:00',2,8,12,2009,'M','N','SAGUAÇU','JOINVILLE','SC','224241247121131731624443231132610127047',NULL,'9999',27.02,1,3,NULL),(20,5404827,'1983-01-27 00:00:00',2,1,10,2004,'M','N','PACHECO','PALHOÇA','SC','124201207122151721224773342124131428191',8857,'9998',60.25,1,2,1),(20,5404843,'1991-12-10 00:00:00',4,1,12,2009,'F','N','ARIRIU','PALHOÇA','SC','124241241126131532533612375124610124095',NULL,'593',21.92,1,2,1),(20,5404916,'1977-07-18 00:00:00',2,15,12,1998,'M','N','DIVINEIA','ARARANGUÁ','SC','124241241121131511341124145132231417182',NULL,'30',23.90,1,3,NULL),(20,5404940,'1987-07-03 00:00:00',2,1,12,2004,'M','N','FERRAZ','GAROPABA','SC','124241241127472431523321292324221427047',14512,'322',49.21,1,2,1),(20,5404975,'1990-08-31 00:00:00',4,8,12,2008,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124241241127371431438632385122610124147',NULL,'426',42.07,1,3,NULL),(20,5404983,'1992-01-31 00:00:00',4,3,12,2008,'M','N','BOA VISTA','CURITIBA','PR','116162161211471412448714575114610117043',7990,'9998',61.85,1,3,NULL),(25,6000010,'1985-05-26 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216152711158814335124320266015',5309,'226',60.16,1,3,NULL),(25,6000029,'1991-05-01 00:00:00',4,8,12,2008,'F','N','AMIZADE','JARAGUÁ SUL','SC','116242241215573431648934574224610125017',4657,'1174',58.51,1,3,NULL),(25,6000037,'1990-08-25 00:00:00',4,1,7,2009,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124243208141272731327571285124610166097',9229,'9998',49.48,4,1,2),(25,6000045,'1991-10-07 00:00:00',4,1,12,2009,'F','N','ASILO','BLUMENAU','SC','116242241215471431579813571124610126032',7959,'87',54.88,1,3,NULL),(25,6000053,'1992-09-14 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252251116471311246823315114610161122',16191,'9998',36.52,1,3,NULL),(25,6000061,'1992-11-11 00:00:00',4,4,12,2009,'F','N','BELA VISTA','ERECHIM','RS','120202201215471431469914482124610162092',11129,'9998',43.67,1,3,NULL),(25,6000070,'1991-10-29 00:00:00',2,1,11,2008,'M','N','CENTRO','SOMBRIO','SC','124243241311133431548836481224130635147',20985,'770',31.15,1,3,NULL),(25,6000088,'1989-09-17 00:00:00',2,1,12,2007,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215374131333534575112610132047',16190,'272',36.66,1,3,NULL),(25,6000100,'1990-11-08 00:00:00',4,1,12,2007,'M','N','CENTRO','BIGUAÇU','SC','124243241215151411344422345122230226192',NULL,'63',35.87,1,3,NULL),(25,6000118,'1991-04-21 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216474411388923575124231012041',11291,'270',49.23,1,3,NULL),(25,6000134,'1992-03-24 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241242116143441336564345124610145141',NULL,'1222',24.88,1,2,1),(25,6000142,'1990-12-10 00:00:00',4,1,11,2008,'F','N','MORUMBI','S PAULO','SP','125251251227471431543214345112610127047',NULL,'9998',0.00,1,3,NULL),(25,6000169,'1992-03-12 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116113421324316575124231733052',19385,'84',36.10,1,2,1),(25,6000177,'1982-08-05 00:00:00',4,1,12,2000,'M','N','AGUAS CLARAS','TAGUATINGA','DF','107072071216572431268623435122141467117',1085,'9998',71.51,1,3,NULL),(25,6000185,'1990-02-17 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216373441358839445124133228182',8228,'262',50.84,1,3,NULL),(25,6000193,'1989-02-23 00:00:00',2,1,12,2007,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241116234751336632415114120267057',11586,'306',48.77,1,2,1),(25,6000215,'1991-02-04 00:00:00',2,4,12,2008,'F','N','TRES PALMEIRAS','CEL FREITAS','SC','124241241136573411324419245124610136012',8872,'199',49.67,1,2,1),(25,6000231,'1992-11-04 00:00:00',2,9,12,2009,'F','N','MARTORANO','S JOAQUIM','SC','124241241136271431423624472125610128017',15045,'719',39.68,1,2,1),(25,6000240,'1989-02-04 00:00:00',2,1,12,2006,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215371411376851375124333264122',5928,'883',58.90,1,3,NULL),(25,6000258,'1990-05-16 00:00:00',4,8,12,2008,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124162247227151431358822245132610136142',NULL,'9999',13.90,1,3,NULL),(25,6000266,'1988-08-06 00:00:00',4,15,12,2005,'M','N','VILA BEATRIZ','MARACAJÁ','SC','124241246121111411336314241222610121172',NULL,'550',36.33,1,3,NULL),(25,6000274,'1993-07-13 00:00:00',4,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124241241116271431323314245224610126077',9745,'84',48.01,1,3,NULL),(25,6000282,'1989-01-31 00:00:00',2,5,12,2006,'F','N','CENTRO','CRICIÚMA','SC','124241241216373411336424244132233226142',7912,'227',52.52,1,3,NULL),(25,6000290,'1991-07-18 00:00:00',4,1,12,2008,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241417273431448813381114610124042',12330,'257',47.64,3,3,NULL),(25,6000312,'1991-04-26 00:00:00',4,6,12,2008,'F','N','VILA MARIA','BOTUCATU','SP','125251251117573411537813575122141467097',5783,'9998',55.58,1,2,1),(25,6000320,'1992-01-20 00:00:00',4,1,12,2009,'M','N','JARDIM NELLI','LENÇÓIS PAULISTA','SP','125254251226132441338614245125610163182',19531,'9998',29.87,1,3,NULL),(25,6000339,'1987-09-24 00:00:00',4,1,12,2004,'F','N','GRUTA','ITUPORANGA','SC','124241241226144411366633295124322216127',12684,'414',47.09,1,3,NULL),(25,6000355,'1989-03-17 00:00:00',4,1,12,2006,'F','N','CENTRO','ITAPETININGA','SP','125251251446371431428621285115610126097',NULL,'9998',0.00,1,3,NULL),(25,6000363,'1956-03-01 00:00:00',4,1,12,1979,'M','N','AREIAS','S JOSÉ','SC','224241245213135721223343233334130226063',NULL,'301',0.00,4,3,NULL),(25,6000371,'1991-04-30 00:00:00',2,1,12,2008,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124243244416132751428614495224131327057',17795,'737',39.24,1,3,NULL),(25,6000380,'1993-10-24 00:00:00',4,8,12,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124241248114271331566512141122610137047',NULL,'1206',10.90,4,2,1),(25,6000398,'1989-07-10 00:00:00',4,4,12,2006,'M','N','PRESIDENTE MEDICE','CHAPECÓ','SC','124242242235372431255923391113610127177',NULL,'836',0.00,1,3,NULL),(25,6000401,'1986-11-23 00:00:00',4,1,12,2004,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241127372431123444345224610112181',9884,'307',47.76,1,2,1),(25,6000410,'1991-08-06 00:00:00',4,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124161247215371431449924575122131428182',NULL,'9999',0.00,1,3,NULL),(25,6000428,'1993-02-04 00:00:00',2,2,12,2010,'F','N','ENCANO BAIXO','INDAIAL','SC','124241241137131431226623145324610136147',17394,'887',34.39,1,2,1),(25,6000436,'1983-01-27 00:00:00',4,1,12,2000,'F','N','BOM VIVER','BIGUAÇU','SC','224161241115232431234344446134222264143',NULL,'9998',0.00,1,2,1),(25,6000452,'1992-07-18 00:00:00',2,1,12,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241115371731326421195124610138147',13864,'287',41.12,1,2,1),(25,6000460,'1989-07-12 00:00:00',4,1,12,2006,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241316143431564934235122230235062',4683,'1022',61.61,1,3,NULL),(25,6000479,'1992-01-20 00:00:00',4,1,12,2009,'F','N','CENTRO','FRANCA','SP','125252251216471431544811575122610122097',5493,'9998',57.61,1,3,NULL),(25,6000487,'1974-08-17 00:00:00',2,1,11,1994,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161163126135711126619245124610146097',14950,'9998',41.85,1,2,1),(25,6000509,'1993-01-17 00:00:00',4,1,12,2010,'M','N','JARDIM NOVA ITÁLIA','LIMEIRA','SP','125252251115111431338614575112610162042',12714,'9998',47.05,1,3,NULL),(25,6000517,'1988-04-23 00:00:00',2,1,1,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241116134431126844145334131066197',7798,'306',52.24,4,2,1),(25,6000525,'1991-02-01 00:00:00',4,1,12,2008,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116271431423623575114131046097',7373,'30',54.08,4,2,1),(25,6000550,'1982-03-26 00:00:00',4,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224241241126375431248752242133123261147',NULL,'307',30.41,1,2,1),(25,6000568,'1991-02-14 00:00:00',4,6,12,2008,'M','N','FAZENDA','ITAJAÍ','SC','124212241137473431456619375121610166187',691,'395',75.65,1,3,NULL),(25,6000576,'1993-05-10 00:00:00',4,1,12,2010,'F','N','PLANO DIRETOR SUL','PALMAS','TO','127272271217371431589931575122610122142',NULL,'9998',0.00,1,3,NULL),(25,6000584,'1988-12-13 00:00:00',4,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116162161214471431448933571122143215096',1093,'9998',71.59,1,3,NULL),(25,6000592,'1993-06-01 00:00:00',4,17,12,2010,'F','N','JARDIM ESPERANÇA','CANOINHAS','SC','124241241116271731223363396124610128172',11421,'153',44.85,1,2,1),(25,6000614,'1992-12-29 00:00:00',4,4,12,2009,'F','N','CANCELLI','CASCAVEL','PR','116161161135471411353312575124610162097',7748,'9998',52.73,4,2,1),(25,6000622,'1992-02-19 00:00:00',4,1,12,2009,'M','N','TRES RIACHOS','BIGUAÇU','SC','124241241116471431323361585124610134037',12729,'65',47.03,1,2,1),(25,6000630,'1990-05-10 00:00:00',2,1,12,2007,'F','N','AREIAS','S JOSÉ','SC','124241241141573431228321341124231061037',15398,'730',37.90,1,2,1),(25,6000649,'1991-10-06 00:00:00',2,1,12,2009,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241212152411438632422124610164081',14887,'939',43.86,1,3,NULL),(25,6000657,'1991-04-29 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','321212211216573431338824385114610116192',1692,'9998',68.79,1,3,NULL),(25,6000665,'1991-09-07 00:00:00',2,1,12,2008,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241116271451443611185114610127017',15514,'295',42.88,1,2,1),(25,6000681,'1989-07-21 00:00:00',4,10,11,2006,'F','N','AZAMBUJA','PEDRAS GRANDES','SC','124241248216173431646516435125131337147',13498,'806',40.70,1,3,NULL),(25,6000703,'1981-05-01 00:00:00',2,1,12,1999,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124203201216131431224319495114142536187',NULL,'9998',0.00,1,3,NULL),(25,6000711,'1992-03-29 00:00:00',2,1,12,2010,'F','N','PORTO DOS PADRES','PARANAGUÁ','PR','116282168417271731527639392124610137052',NULL,'9998',0.00,3,3,NULL),(25,6000720,'1993-08-10 00:00:00',5,1,11,2010,'M','N','JOSÉ BONIFÁCIO','ERECHIM','RS','120202201216271411459931572122610127157',2937,'9998',63.74,1,3,NULL),(25,6000738,'1989-04-14 00:00:00',2,1,12,2006,'M','N','SÃO JOSÉ','PALMARES SUL','RS','120201202116111411533933145124143226152',15635,'9998',42.71,1,3,NULL),(25,6000746,'1992-04-26 00:00:00',4,1,12,2009,'M','N','SANTA ROSA','PTO UNIÃO','SC','124244241336272741224463381122131066042',NULL,'635',0.00,1,3,NULL),(25,6000754,'1990-06-14 00:00:00',2,10,12,2007,'M','N','CENTRO','PEDRAS GRANDES','SC','124241241126472751537723345112610124067',NULL,'608',0.00,1,2,1),(25,6000762,'1969-12-08 00:00:00',4,1,12,1988,'F','N','LIMEIRA','BIGUAÇU','SC','524241245117131431626751482344610164197',NULL,'65',15.05,1,2,1),(25,6000770,'1993-09-07 00:00:00',4,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241225271231513313275124610148065',11002,'262',44.80,1,3,NULL),(25,6000789,'1981-08-30 00:00:00',4,1,12,1999,'M','N','JOAQUINA','FLORIANÓPOLIS','SC','124252251217372431249931472114321867111',2184,'9998',68.23,1,3,NULL),(25,6000797,'1992-07-23 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124253251217472131446619572124222327047',2013,'9998',68.19,1,3,NULL),(25,6000800,'1985-11-25 00:00:00',4,3,12,2003,'M','N','PAPAGAIO','CANELINHA','SC','124241248126141431234314145333610112187',NULL,'142',20.61,1,2,1),(25,6000843,'1993-05-05 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431447724375114610127072',5096,'1022',58.46,1,3,NULL),(25,6000851,'1991-10-24 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431547623585114610167041',5039,'1028',57.34,1,3,NULL),(25,6000860,'1992-08-17 00:00:00',4,1,12,2009,'F','N','CENTRO','CAXIAS SUL','RS','120201201137131431324624241124610167144',4291,'9998',59.48,1,2,1),(25,6000878,'1989-08-07 00:00:00',2,1,3,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124243247336141721624679385124230867143',NULL,'9999',17.24,1,3,NULL),(25,6000894,'1992-04-29 00:00:00',2,7,12,2010,'F','N','CENTRO','FRAIBURGO','SC','124242241216111431529617575112610148091',NULL,'317',24.77,1,3,NULL),(25,6000908,'1988-05-22 00:00:00',4,1,12,2006,'M','N','PIMENTAS','GUARULHOS','SP','125251251147371411324311145124343268172',NULL,'9998',0.00,1,3,NULL),(25,6000924,'1990-04-30 00:00:00',4,1,11,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124212241215574431345823575124610164042',2902,'270',65.33,1,3,NULL),(25,6000932,'1992-02-05 00:00:00',4,1,12,2008,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241225132441324313275124231434141',NULL,'262',0.00,1,3,NULL),(25,6000959,'1981-09-21 00:00:00',4,4,12,1999,'M','N','COQUEIRAL','CASCAVEL','PR','116163161116572431456614575123141417147',4435,'9998',59.07,1,3,NULL),(25,6000967,'1993-03-23 00:00:00',4,1,12,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124241241111131441312127571324610168097',19083,'593',32.73,1,2,1),(25,6000975,'1987-11-19 00:00:00',2,15,10,2006,'M','N','CENTRO','SOMBRIO','SC','124241247141131431226621281121131537127',20869,'9999',31.67,1,2,1),(25,6000983,'1991-07-11 00:00:00',4,1,12,2008,'M','N','LOURDES','CAXIAS SUL','RS','120202201216151431657831345122140247146',NULL,'9998',0.00,1,3,NULL),(25,6001009,'1992-06-30 00:00:00',2,8,12,2009,'M','N','CENTRO','S JOÃO ITAPERIÚ','SC','124241241145131431424416585122230824077',NULL,'713',16.77,1,3,NULL),(25,6001017,'1985-08-06 00:00:00',4,1,12,2002,'F','N','STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC','124242241216472731369923375122333266092',6453,'266',54.15,1,3,NULL),(25,6001025,'1985-05-17 00:00:00',4,1,12,2002,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','624063061117275751424543141124230263197',18707,'9998',37.54,1,3,NULL),(25,6001041,'1994-03-03 00:00:00',4,4,11,2010,'F','N','VALE DO SOL','CLEVELÂNDIA','PR','116162161216111431466932575122610162077',NULL,'9998',0.00,1,3,NULL),(25,6001050,'1990-12-22 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241316154431436812445132610167143',21343,'267',29.19,1,3,NULL),(25,6001068,'1994-10-08 00:00:00',2,6,12,2010,'M','N','CORDEIROS','ITAJAÍ','SC','124241241116271431427714175122610122061',NULL,'396',34.29,1,2,1),(25,6001076,'1993-02-21 00:00:00',4,10,12,2010,'M','N','PASSO DO GADO','TUBARÃO','SC','124241241145271751635513572122610121147',NULL,'1034',21.08,1,2,1),(25,6001084,'1990-01-10 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124202248216373411349744345124610164183',5166,'9999',58.04,1,3,NULL),(25,6001092,'1992-04-02 00:00:00',2,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124241241127141711436671315134610113062',NULL,'307',35.25,1,2,1),(25,6001106,'1987-05-01 00:00:00',4,1,6,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136111441521723275324133264091',10055,'697',51.24,1,2,1),(25,6001114,'1989-10-04 00:00:00',4,6,12,2006,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241215371731468734245122133267077',20651,'1058',32.58,1,3,NULL),(25,6001122,'1991-02-22 00:00:00',4,1,12,2008,'M','N','CENTRO','CPO GRANDE','MS','112112111111111132212422213122111612132',NULL,'9998',0.00,1,3,NULL),(25,6001130,'1978-01-25 00:00:00',4,5,12,1995,'M','N','CENTRO','CRICIÚMA','SC','124242241215475221178542322122321462127',NULL,'226',19.74,1,3,NULL),(25,6001149,'1992-12-15 00:00:00',4,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124241241215232431435613575124610134142',13255,'1076',43.51,1,3,NULL),(25,6001173,'1988-12-26 00:00:00',2,1,12,2007,'F','N','CENTRO','JUNDIAÍ','SP','525251251137331421118448385122143266072',NULL,'9998',31.42,2,1,1),(25,6001181,'1991-01-14 00:00:00',2,1,8,2008,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241116141431326639247134610132197',9813,'739',51.67,1,2,1),(25,6001190,'1991-02-22 00:00:00',4,10,12,2008,'F','N','ST ANTÔNIO DE PÁDUA','TUBARÃO','SC','124241241116371431636611385122132822097',10442,'1034',45.71,1,2,1);
INSERT INTO candidato VALUES (25,6001203,'1992-11-26 00:00:00',2,1,12,2009,'F','N','CRISTO REI','CURITIBA','PR','116121161116572431446713575124610117147',2007,'9998',69.24,1,2,1),(25,6001211,'1990-03-09 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241147371451226821595124133223142',NULL,'278',43.35,1,2,1),(25,6001220,'1993-10-12 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241145371431425423245124610122092',NULL,'592',30.10,1,2,1),(25,6001238,'1992-10-19 00:00:00',4,1,12,2009,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124242241215372431445923572124610127015',NULL,'1023',0.00,1,3,NULL),(25,6001254,'1980-09-17 00:00:00',4,1,12,1997,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','224243241126153411354444345132320227047',NULL,'307',0.00,4,3,NULL),(25,6001270,'1993-08-15 00:00:00',4,1,12,2010,'F','N','CAMPESTRE','IMBITUBA','SC','124241241116371431425569375224610164142',NULL,'361',0.00,1,2,1),(25,6001289,'1985-01-24 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247215474431358479575112131066195',NULL,'9999',0.00,1,3,NULL),(25,6001297,'1990-06-17 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241247336372741317768485124610124092',21038,'9999',30.92,1,3,NULL),(25,6001300,'1987-02-07 00:00:00',2,1,12,2006,'F','N','FUNDOS','BIGUAÇU','SC','224241247626133411223653145124610144182',13352,'9999',46.14,1,3,NULL),(25,6001319,'1993-01-14 00:00:00',2,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241115161421533611375124610111012',17412,'287',35.37,1,2,1),(25,6001327,'1989-10-04 00:00:00',5,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124201201116373431443833342124230243147',19651,'9998',35.45,1,2,1),(25,6001351,'1993-04-16 00:00:00',4,7,12,2010,'M','N','BERGER','CAÇADOR','SC','124244241116161431333933275122610167142',21344,'124',29.19,1,3,NULL),(25,6001360,'1991-08-05 00:00:00',4,1,12,2009,'F','N','VILA TATETUBA','S JOSÉ CAMPOS','SP','125251251216471231235563575124610142097',1829,'9998',67.95,1,3,NULL),(25,6001378,'1990-09-09 00:00:00',2,1,12,2010,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241127141441227511285124610134152',NULL,'298',0.00,1,2,1),(25,6001394,'1991-05-08 00:00:00',2,1,11,2008,'F','N','NOSSA SENHORA DO ROS','S JOSÉ','SC','124244241216134431438713471124232823142',11907,'270',42.98,1,3,NULL),(25,6001408,'1990-02-03 00:00:00',4,1,12,2008,'M','N','SERRARIA','S JOSÉ','SC','124241241146271431435344145123610154142',11524,'1116',46.14,1,2,1),(25,6001416,'1992-06-05 00:00:00',4,8,12,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241217472731579819575122610167137',5400,'1063',57.81,1,3,NULL),(25,6001440,'1988-06-26 00:00:00',2,8,12,2006,'M','N','ESPINHEIROS','JOINVILLE','SC','124241241126371731223344345122610127057',16486,'477',41.41,1,2,1),(25,6001459,'1992-02-18 00:00:00',4,1,12,2009,'M','N','CH EMBU COLONIAL','EMBU','SP','125252241216372421489914295122610128197',11265,'9998',45.82,1,3,NULL),(25,6001467,'1991-02-28 00:00:00',4,1,11,2008,'M','N','CIDADE LÍDER','S PAULO','SP','125252251215572411333823571112610127112',2307,'9998',68.15,1,3,NULL),(25,6001475,'1992-06-11 00:00:00',2,1,11,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241225473431647633275124610125171',2287,'262',65.62,1,3,NULL),(25,6001483,'1979-11-07 00:00:00',4,1,12,1997,'F','N','KOBRASOL','S JOSÉ','SC','624244241216275721258543435134320368187',NULL,'1169',0.00,1,3,NULL),(25,6001491,'1989-07-23 00:00:00',2,8,12,2006,'M','N','AVENTUREIRO','JOINVILLE','SC','124243241116572421648812241124610167042',662,'462',75.73,2,1,2),(25,6001505,'1989-07-19 00:00:00',4,8,12,2006,'M','N','PQ SAO QUIRINO','CAMPINAS','SP','125252241215574431387932571122610164187',2665,'1063',64.26,1,3,NULL),(25,6001521,'1991-06-18 00:00:00',2,1,12,2008,'F','N','JARDIM ALVORADA','MARINGÁ','PR','116063161117371431425669575124610122147',13074,'9998',41.49,4,3,NULL),(25,6001530,'1993-04-08 00:00:00',2,7,11,2010,'M','N','FLORESTA','VIDEIRA','SC','124241241117371431343412575125610132192',9409,'831',46.70,1,2,1),(25,6001556,'1993-05-13 00:00:00',4,6,7,2010,'M','N','CENTRO','ITAJAÍ','SC','124242281415271731479914372122610167147',8895,'9998',53.25,1,3,NULL),(25,6001572,'1993-03-12 00:00:00',4,7,12,2010,'F','N','CENTRO','HERVAL D OESTE','SC','124241241142141431435624345232610123052',NULL,'341',19.52,1,2,1),(25,6001580,'1992-10-13 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241215373431336634572124233235147',10076,'272',49.44,1,3,NULL),(25,6001599,'1991-05-15 00:00:00',4,1,12,2008,'M','N','CENTRO','COLÍDER','MT','111114111136373451553519184124121467042',17221,'9998',34.70,4,1,2),(25,6001602,'1990-10-25 00:00:00',4,1,12,2007,'F','N','IPIRANGA','S JOSÉ','SC','124242241215372431465823342124610127047',20575,'738',32.82,1,3,NULL),(25,6001610,'1979-02-18 00:00:00',2,1,3,1997,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241247331132731226244342135610134047',NULL,'270',37.87,2,1,2),(25,6001629,'1987-03-15 00:00:00',2,2,12,2007,'M','N','CENTRO','ITAJAÍ','SC','124164247416151421246621445324142014147',15927,'9999',42.26,1,3,NULL),(25,6001637,'1992-04-06 00:00:00',2,17,12,2009,'F','N','VILA NOVA','MAFRA','SC','124241161216131411336722245124131026142',12724,'9998',42.81,1,3,NULL),(25,6001645,'1992-05-31 00:00:00',2,4,12,2009,'F','N','CENTRO','TOLEDO','PR','116161161144371431533834285122610137092',14713,'9998',38.46,1,2,1),(25,6001653,'1993-11-25 00:00:00',2,17,12,2010,'F','N','JARDIM CRISTO REI','CANOINHAS','SC','124241241116271431534613245125610136147',14630,'146',38.86,1,2,1),(25,6001661,'1992-02-07 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124201241215272431358614593124121631092',7036,'1118',52.70,1,3,NULL),(25,6001670,'1991-12-20 00:00:00',4,1,12,2009,'F','N','VILA CALIFORNIA','S PAULO','SP','125252251211571431569934345125610138147',15275,'9998',38.44,1,3,NULL),(25,6001688,'1993-02-13 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115471431425529575124610128145',10187,'307',47.61,4,2,1),(25,6001696,'1981-10-24 00:00:00',2,1,12,1999,'F','N','BARREIROS','S JOSÉ','SC','124161161127132431243653485114332066197',10912,'9998',49.80,2,3,NULL),(25,6001700,'1992-10-20 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241215112431423319575124223248147',NULL,'737',0.00,1,3,NULL),(25,6001718,'1990-10-15 00:00:00',4,4,12,2007,'M','N','JARDIM AMÉRICA','CHAPECÓ','SC','124241241126153431544512271124120734032',NULL,'169',0.00,1,2,1),(25,6001726,'1992-07-10 00:00:00',2,9,12,2009,'M','N','SAGRADO C DE JESUS','LAGES','SC','124241241116371431626624392124610167057',13041,'505',42.50,1,2,1),(25,6001734,'1981-03-12 00:00:00',4,1,11,1998,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','624241241215153721283653432122321537142',1246,'809',71.07,1,3,NULL),(25,6001742,'1992-07-24 00:00:00',2,1,12,2009,'F','N','VILA SÃO JOSÉ','STO ANTÔNIO PLATINA','PR','116161161216472731436629575122610124142',18249,'9998',38.39,1,3,NULL),(25,6001750,'1983-12-18 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624201206136151721337643435124341837053',4927,'9998',61.01,1,3,NULL),(25,6001769,'1990-05-31 00:00:00',4,1,12,2008,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124254281417572311429921575114610164097',2138,'9998',67.31,3,3,NULL),(25,6001785,'1955-08-17 00:00:00',4,1,12,1973,'F','N','CENTRO','FLORIANÓPOLIS','SC','524241241136155741143441415122331066092',NULL,'307',0.00,1,3,NULL),(25,6001793,'1992-04-29 00:00:00',4,1,6,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124212281312233431538711345124610168042',16090,'298',38.09,1,3,NULL),(25,6001807,'1973-06-12 00:00:00',4,1,7,2003,'M','N','PRADO','BIGUAÇU','SC','224241247116132131428644145124610127117',NULL,'726',16.52,1,2,1),(25,6001823,'1992-03-24 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116472411433623145134610137052',NULL,'276',23.81,1,2,1),(25,6001831,'1991-01-15 00:00:00',4,6,12,2008,'M','N','CENTRO','IBAITI','PR','116163161316471431457923575124610116047',NULL,'9998',17.01,1,3,NULL),(25,6001840,'1993-05-03 00:00:00',2,1,12,2010,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241115141711524311345122610112147',NULL,'732',19.21,1,2,1),(25,6001866,'1991-03-22 00:00:00',4,1,12,2008,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241241112131431427311272124233247092',NULL,'591',26.13,4,1,1),(25,6001874,'1992-07-01 00:00:00',2,6,12,2009,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241216152431346924395122230238042',9342,'388',49.16,1,3,NULL),(25,6001890,'1992-02-13 00:00:00',2,1,12,2009,'M','N','JD ITALIA','PIRASSUNUNGA','SP','125251251216371432328524345111610127082',17244,'9998',40.20,2,3,NULL),(25,6001904,'1989-02-13 00:00:00',2,6,12,2007,'M','N','CORDEIROS','ITAJAÍ','SC','124281241136133421627471285121610136017',NULL,'257',0.00,2,1,1),(25,6001912,'1993-06-11 00:00:00',4,6,12,2010,'M','N','CENTRO','ITAJAÍ','SC','124242241215111431449732575122610137041',19020,'392',36.91,1,3,NULL),(25,6001920,'1994-06-14 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162241215112431468813572112610144127',3882,'262',63.60,1,3,NULL),(25,6001947,'1976-03-06 00:00:00',2,1,12,2010,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124201241126131731226351115124610166027',NULL,'282',18.52,1,2,1),(25,6001955,'1993-07-26 00:00:00',4,15,12,2010,'F','N','CENTRO','PASSO TORRES','SC','124241241145131431223624575125610122147',17061,'605',34.15,1,2,1),(25,6001963,'1993-03-02 00:00:00',2,1,12,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241117471731323824345124610126097',10867,'1088',45.36,1,2,1),(25,6001971,'1991-01-04 00:00:00',2,1,12,2010,'F','N','RATONES','FLORIANÓPOLIS','SC','224241248127141531211348282224610111147',NULL,'289',9.21,4,2,1),(25,6001980,'1992-01-17 00:00:00',4,8,12,2009,'M','N','PROGRESSO','S BENTO SUL','SC','124243241136372431536923386121610167187',7977,'697',50.84,1,3,NULL),(25,6001998,'1993-01-19 00:00:00',2,9,11,2009,'F','N','GABIROBA','RIO OESTE','SC','124241241215471431489611575112610126143',7831,'653',55.15,1,3,NULL),(25,6002005,'1992-09-07 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241416472731137624345124610133182',NULL,'29',34.39,1,3,NULL),(25,6002013,'1993-03-09 00:00:00',4,7,12,2010,'F','N','CENTRO','LACERDÓPOLIS','SC','124241241125131431336929595122610123097',NULL,'496',27.75,1,2,1),(25,6002021,'1992-05-18 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161215412431447924575114610163077',7,'9998',89.61,1,3,NULL),(25,6002030,'1992-05-19 00:00:00',4,1,12,2009,'F','N','JARDIM ITAMARATY','FOZ IGUAÇU','PR','116161161116271431336621345122610125032',NULL,'9998',27.82,1,2,1),(25,6002056,'1992-08-23 00:00:00',4,1,12,2010,'F','N','JARDIM ALVORADA','STO ANDRÉ','SP','125251251137371511636811375124610164092',NULL,'9998',0.00,1,3,NULL),(25,6002064,'1993-07-01 00:00:00',4,1,12,2010,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125253251215111411463832574122610118183',19597,'9998',35.58,1,3,NULL),(25,6002072,'1988-11-19 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115574751438812491124121165017',1422,'192',71.48,4,2,1),(25,6002080,'1990-12-21 00:00:00',4,1,12,2008,'F','N','CENTRO','MARINGÁ','PR','116162161217471531479911571122610162142',3851,'9998',61.08,1,3,NULL),(25,6002129,'1992-01-15 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124242241215372431534633282114610122042',11674,'939',48.64,1,3,NULL),(25,6002137,'1993-07-18 00:00:00',4,3,12,2010,'F','N','DOS ESTADOS','BAL CAMBORIÚ','SC','124241241115141431424321242124610122141',NULL,'130',18.98,1,2,1),(25,6002145,'1991-01-10 00:00:00',4,9,12,2008,'F','N','PAMPLONA','RIO SUL','SC','124241241137471431436419475124610168187',20189,'659',34.10,1,3,NULL),(25,6002153,'1993-09-23 00:00:00',2,16,12,2010,'F','N','SANTO ANTONIO','CURITIBANOS','SC','124241244115351431324624571124612836172',NULL,'239',37.59,1,3,NULL),(25,6002161,'1993-05-03 00:00:00',2,5,12,2010,'M','N','PDREIRAS','IÇARA','SC','124241241125151411523519191124610117057',NULL,'351',21.95,1,2,1),(25,6002170,'1992-07-15 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241117472431425619285124610135142',16483,'257',41.41,2,2,1),(25,6002188,'1987-10-15 00:00:00',4,1,12,2004,'F','N','KOBRASOL','S JOSÉ','SC','121212211217131721238844445134143166077',16198,'9998',41.85,1,3,NULL),(25,6002196,'1985-02-24 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241215155751346839495114221754057',3587,'872',64.34,1,3,NULL),(25,6002200,'1992-09-08 00:00:00',4,2,12,2009,'F','N','CENTRO','INDAIAL','SC','116242241211472431448632171122610136182',13654,'925',45.70,1,3,NULL),(25,6002218,'1990-12-08 00:00:00',2,1,12,2007,'F','N','REAL PARQUE','S JOSÉ','SC','124241241116131411426331485124133228121',17212,'307',35.12,1,2,1),(25,6002226,'1991-06-09 00:00:00',2,7,12,2008,'F','N','CENTRO','PIRATUBA','SC','124241241116573431244823575112131436177',2441,'619',64.87,1,2,1),(25,6002242,'1990-10-28 00:00:00',2,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241217373431454417335114221444197',2735,'1022',66.72,1,3,NULL),(25,6002250,'1986-04-23 00:00:00',2,1,12,2003,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241116575431444331335123610122187',13382,'592',46.10,1,2,1),(25,6002269,'1991-03-09 00:00:00',2,1,12,2009,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241112472431423714575114610167142',17577,'732',35.29,1,2,1),(25,6002277,'1986-10-24 00:00:00',2,1,6,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241126134121226244345114610127021',NULL,'922',27.90,1,2,1),(25,6002285,'1990-07-05 00:00:00',4,3,12,2008,'F','N','CENTRO','CPO GRANDE','MS','112122121216572731569823475112610137142',1445,'9998',69.27,1,3,NULL),(25,6002293,'1980-01-31 00:00:00',4,17,12,1998,'M','N','CENTRO','CANOINHAS','SC','124242241116131431444643435122340722087',4917,'145',61.04,1,3,NULL),(25,6002307,'1987-12-28 00:00:00',4,1,11,2007,'M','N','BELA VISTA','S PAULO','SP','125251257137571411123444445124610161187',4292,'9998',62.56,1,2,1),(25,6002315,'1992-07-10 00:00:00',4,2,12,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215373431459931572112610148092',5053,'855',56.63,1,3,NULL),(25,6002323,'1992-11-09 00:00:00',2,1,12,2009,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241117472231623324575114610134047',14560,'293',39.61,2,1,1),(25,6002331,'1993-01-18 00:00:00',4,1,12,2010,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241112331431436614381124610113142',NULL,'729',26.10,4,2,1),(25,6002358,'1993-08-18 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124042248215121431649833575112610137181',16811,'9998',40.92,1,3,NULL),(25,6002366,'1992-08-20 00:00:00',4,1,11,2010,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251215471441359713585112610167047',NULL,'9998',0.00,1,3,NULL),(25,6002382,'1990-08-19 00:00:00',2,1,11,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216375431156653575124121567075',240,'1035',80.47,1,3,NULL),(25,6002390,'1978-12-04 00:00:00',2,4,12,1995,'M','N','CENTRO','CEL VIVIDA','PR','116161163146131741343331345122243226047',NULL,'9998',31.42,2,1,1),(25,6002404,'1992-11-13 00:00:00',4,1,12,2009,'M','N','VILA MORAES','S PAULO','SP','125252253116471431657663574114610132102',4273,'9998',61.03,1,3,NULL),(25,6002412,'1993-05-23 00:00:00',4,1,11,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241225131431647633285124610114057',5044,'262',57.84,1,3,NULL),(25,6002420,'1982-07-15 00:00:00',4,1,11,1999,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217153431258723185112322842185',NULL,'270',0.00,1,3,NULL),(25,6002439,'1986-06-12 00:00:00',2,1,11,2003,'F','N','BAETA NEVES','S BERNARDO CAMPO','SP','125251255117131441524513285124132726047',14050,'9998',41.38,2,1,1),(25,6002447,'1991-10-28 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124241241315373431566832585114133262171',9908,'192',51.50,4,3,NULL),(25,6002455,'1992-09-13 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124241241127371731437614275114610163147',21740,'736',24.26,1,2,1),(25,6002463,'1991-10-10 00:00:00',2,16,12,2008,'F','N','IBICUI VILA LIBINO','CAMPOS NOVOS','SC','124241241116161431536514485122610116141',NULL,'961',24.83,4,2,1),(25,6002471,'1992-03-31 00:00:00',4,1,12,2009,'F','N','MORROTES','TUBARÃO','SC','124242241215472531249613585122610132072',11572,'806',48.79,1,3,NULL),(25,6002480,'1993-02-01 00:00:00',2,1,12,2010,'F','N','CENTRO','GALVÃO','SC','124241241115131431323369595125610138147',NULL,'321',18.83,1,2,1),(25,6002498,'1992-05-09 00:00:00',2,1,12,2009,'F','N','CAMBUI','CAMPINAS','SP','125254251216471431558514575112610167187',16330,'9998',35.64,1,3,NULL),(25,6002501,'1992-07-04 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217372411448933372114123228187',10273,'9997',50.86,1,3,NULL),(25,6002528,'1993-07-28 00:00:00',4,15,12,2010,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241215111431338629585122610142071',12375,'26',43.18,1,3,NULL),(25,6002544,'1992-04-24 00:00:00',2,1,12,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241115132431523611575124610166081',8435,'739',51.62,1,2,1),(25,6002552,'1991-02-22 00:00:00',2,7,12,2007,'F','N','CENTRO','BARBOSA FERRAZ','PR','116162161216551411449611574125610121187',782,'9998',75.40,1,3,NULL),(25,6002560,'1990-02-24 00:00:00',4,1,12,2007,'F','N','CAMBEBA','FORTALEZA','CE','106062061216471731463824475122241444117',8053,'9998',54.76,1,3,NULL),(25,6002579,'1990-04-25 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124243241225375411327521295124122364052',5011,'262',60.82,1,3,NULL),(25,6002587,'1993-12-27 00:00:00',4,1,12,2010,'F','N','TARRAF I','S JOSÉ R PRETO','SP','125252251215111121386813595122610164092',7012,'9998',52.33,1,3,NULL),(25,6002595,'1993-09-20 00:00:00',4,1,12,2010,'M','N','FZD SANTO ANTÔNIO','S JOSÉ','SC','124241241115371431534334275124610116042',8575,'733',50.87,2,1,1),(25,6002609,'1991-07-24 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124203241215373431247923342114123234147',13483,'1022',45.95,1,3,NULL),(25,6002617,'1983-04-30 00:00:00',4,1,12,2001,'F','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','224161161127131721237544141234610167017',NULL,'9998',23.62,1,2,1),(25,6002625,'1992-07-15 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215372531139624575124610121072',637,'120',75.17,1,3,NULL),(25,6002641,'1992-01-15 00:00:00',4,1,12,2009,'F','N','CENTRO','MARINGÁ','PR','116162161217471531479911571122610164142',9649,'9998',48.23,1,3,NULL),(25,6002668,'1988-01-12 00:00:00',2,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241126372431127844145223133267042',10029,'616',48.67,1,2,1),(25,6002676,'1993-04-16 00:00:00',2,10,10,2010,'F','N','OFICINAS','TUBARÃO','SC','124244241215372431356934575112610164072',17016,'806',40.59,1,3,NULL),(25,6002684,'1993-01-27 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242247117111431266823575114610145012',20870,'9999',31.67,1,3,NULL),(25,6002692,'1992-01-31 00:00:00',2,4,12,2009,'F','N','LINHA GLORIA','CAIBI','SC','124241241116131731513334385113610125057',NULL,'127',0.00,1,2,1),(25,6002706,'1992-05-09 00:00:00',4,1,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','116252251217371412347822575124610167053',15217,'9998',39.96,4,3,NULL),(25,6002714,'1985-12-25 00:00:00',2,1,12,2003,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241126374431333514432124610124187',15597,'278',39.82,1,2,1),(25,6002722,'1983-07-15 00:00:00',2,1,12,2001,'M','N','ROÇADO','S JOSÉ','SC','224241241121111711336641212122610117062',NULL,'732',19.79,1,2,1),(25,6002730,'1992-05-15 00:00:00',2,1,12,2009,'F','N','LOTEAMENTO MADRI','PALHOÇA','SC','124241241136161431633314585124610128147',NULL,'357',30.93,1,2,1),(25,6002749,'1992-04-04 00:00:00',4,17,12,2009,'F','N','CENTRO','ITAIÓPOLIS','SC','124241241226371431438923575124610166142',NULL,'1024',0.00,4,3,NULL),(25,6002757,'1994-05-24 00:00:00',2,1,12,2011,'F','S','CENTRO','STO AMARO IMPERATRIZ','SC','124241241115131411215329592324610128197',NULL,'941',20.60,1,3,NULL),(25,6002765,'1992-04-06 00:00:00',2,1,6,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247317371431323329345114610162187',6787,'9999',53.94,1,3,NULL),(25,6002773,'1989-12-24 00:00:00',2,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124201201147131411215744345324610163055',NULL,'9998',0.00,1,2,1),(25,6002781,'1993-09-29 00:00:00',4,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215113231328631245114610135197',9777,'1022',47.89,1,3,NULL),(25,6002790,'1992-01-24 00:00:00',4,10,12,2009,'M','N','HUMAITA','TUBARÃO','SC','124241246216272432436519345122610117041',20681,'1120',26.85,1,3,NULL),(25,6002803,'1993-03-22 00:00:00',4,8,12,2009,'F','N','BUCAREIN','JOINVILLE','SC','124242241215372431236923572112610165076',7266,'1063',56.23,1,3,NULL),(25,6002811,'1992-10-31 00:00:00',4,1,11,2010,'M','N','GUEDES DE AZEVEDO','BAURU','SP','125252256117111411458834575121610167103',6708,'9998',53.46,1,3,NULL),(25,6002820,'1993-10-17 01:00:00',2,3,12,2010,'M','N','JARDIM IATE CLUBE','BAL CAMBORIÚ','SC','124241241115271111633311572122610134147',NULL,'51',25.84,4,2,1),(25,6002838,'1991-11-22 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115272411326724445124610166143',7436,'292',54.64,1,2,1),(25,6002846,'1988-02-23 00:00:00',4,1,12,2005,'M','N','IPIRANGA','S JOSÉ','SC','124241241137142721566613432134231062092',13053,'734',46.53,1,2,1),(25,6002854,'1979-12-31 00:00:00',4,1,12,1997,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127272411421143232334610133057',NULL,'801',23.21,2,1,1),(25,6002862,'1992-09-26 00:00:00',4,1,12,2009,'F','N','PARQUE VISTA ALEGRE','BAURU','SP','125252251217471411448652575122610166042',6447,'9998',54.34,1,3,NULL),(25,6002889,'1992-02-05 00:00:00',2,1,12,2009,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241116372431446514385114610134142',16370,'733',37.40,1,2,1),(25,6002897,'1990-12-28 00:00:00',2,1,7,2009,'M','N','PIQUERI','S PAULO','SP','125251257127471431426323475124610117042',20069,'9998',31.19,4,2,1),(25,6002900,'1985-10-06 00:00:00',4,5,12,2003,'M','N','SANTA LUZIA','CRICIÚMA','SC','224243246226141431437544245223131454197',12738,'995',47.01,1,3,NULL),(25,6002919,'1992-01-30 00:00:00',2,1,12,2009,'F','N','JARDIM IGUAÇU','MARINGÁ','PR','116163161216371211457611475122610164147',2793,'9998',64.42,1,3,NULL),(25,6002927,'1993-01-01 00:00:00',4,9,12,2010,'F','N','CONTA DINHEIRO','LAGES','SC','124241241116131431313329275124610163147',15439,'500',36.65,1,2,1),(25,6002935,'1978-04-17 00:00:00',2,1,12,1999,'M','N','VENDAVAL','BIGUAÇU','SC','224211246145135421424644142233221427057',10575,'306',50.37,2,1,1),(25,6002943,'1993-08-10 00:00:00',4,1,12,2010,'F','N','JOAIA','TIJUCAS','SC','124241241112131431335834395114610134141',NULL,'783',23.18,1,2,1),(25,6002951,'1981-02-25 00:00:00',4,3,12,1998,'F','N','JARDIM MARIA LUIZA','CASCAVEL','PR','216162161216471431254353445122540647147',843,'9998',73.94,1,3,NULL),(25,6002986,'1991-02-11 00:00:00',2,1,12,2008,'F','N','CENTRO','BIGUAÇU','SC','124242241217123421538614492124230843147',13712,'1022',41.62,1,3,NULL),(25,6002994,'1988-07-18 00:00:00',4,1,12,2005,'F','N','GLEBA PALHANO','LONDRINA','PR','116162161216571431588811571122143166182',895,'9998',72.79,1,3,NULL),(25,6003028,'1992-05-14 00:00:00',2,2,12,2009,'F','N','TRIBESS','BLUMENAU','SC','124243241211271431349923575124610168147',20139,'388',34.21,1,3,NULL),(25,6003036,'1992-03-10 00:00:00',4,4,12,2009,'M','N','EFAPI','CHAPECÓ','SC','124241241116572431436732335123610124157',16398,'169',35.21,1,2,1),(25,6003044,'1993-06-01 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215371431269713575114610122182',9422,'1022',52.32,1,3,NULL),(25,6003052,'1993-06-18 00:00:00',4,1,12,2010,'F','N','HIGIANOPOLIS','S JOSÉ R PRETO','SP','125252251216111311488812594122610166143',15517,'9998',37.89,1,3,NULL),(25,6003060,'1992-02-07 00:00:00',4,1,12,2009,'F','N','JARDIM SÃO MIGUEL','BIGUAÇU','SC','124241241225372441533319572114610162195',9418,'262',52.32,1,3,NULL),(25,6003079,'1989-10-11 00:00:00',1,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124162161216575431133632575124221467091',7142,'9998',56.47,1,3,NULL),(25,6003087,'1992-11-15 00:00:00',4,1,12,2009,'F','N','CENTRO','TOLEDO','PR','116162161217471441478831575122610132092',NULL,'9998',0.00,1,3,NULL),(25,6003095,'1991-03-11 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244247417133431336824345324131037077',21513,'9999',27.76,1,3,NULL),(25,6003109,'1993-02-10 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124214241115471431536821381114610145147',13511,'307',41.42,4,3,NULL),(25,6003117,'1993-08-10 00:00:00',4,10,10,2010,'F','N','DEHON','TUBARÃO','SC','124242241215121431466823575112610163112',4212,'807',59.89,1,3,NULL),(25,6003125,'1991-09-22 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124136137616132411223524375121610154127',NULL,'9998',0.00,5,3,NULL),(25,6003133,'1991-06-12 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242161431574431489933575112610164091',1613,'9998',69.69,1,3,NULL),(25,6003141,'1992-01-26 00:00:00',2,8,12,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124242241235372311348634485124610163097',NULL,'1016',0.00,1,3,NULL),(25,6003150,'1993-05-21 00:00:00',4,8,12,2010,'F','N','GLÓRIA','JOINVILLE','SC','124241241116371731526833575124610166147',12038,'478',48.07,2,1,1),(25,6003168,'1983-02-18 00:00:00',4,1,12,2000,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241317374431346923445124130266097',13460,'307',45.99,1,3,NULL),(25,6003176,'1992-04-06 00:00:00',2,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241137131411533514345331610117187',NULL,'697',0.00,1,2,1),(25,6003184,'1994-04-13 00:00:00',2,4,12,2010,'F','N','INTERIOR','ARABUTÃ','SC','124241241115261431334823572224610113192',NULL,'979',27.05,1,2,1),(25,6003192,'1991-06-04 00:00:00',2,1,1,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124201201137241141123344345224610168117',17066,'9998',35.65,1,2,1),(25,6003206,'1986-01-10 00:00:00',2,9,6,2004,'M','N','CENTRO','LAGES','SC','124241241111474431433912395122131422142',18494,'498',37.93,1,2,1),(25,6003214,'1988-05-19 00:00:00',4,8,12,2005,'M','N','BOM RETIRO','JOINVILLE','SC','124241241116271731123341315112610114122',18411,'469',38.09,1,2,1),(25,6003222,'1993-05-25 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215371431359933575125610144072',1236,'44',71.36,1,3,NULL),(25,6003230,'1992-07-06 00:00:00',4,1,12,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124243241116141431456731345122610115142',15585,'592',36.70,1,3,NULL),(25,6003249,'1992-04-06 00:00:00',2,10,12,2009,'F','N','OFICINAS','TUBARÃO','SC','124241241116472431437813275122610137112',11404,'1034',44.23,1,2,1),(25,6003265,'1989-11-13 00:00:00',2,1,6,2009,'M','N','ANDRADE','PINDAMONHANGABA','SP','125241257127131411429714475112610114042',NULL,'9998',17.28,1,2,1),(25,6003273,'1990-11-11 00:00:00',4,1,12,2008,'F','N','TREMEMBÉ','S PAULO','SP','125251251137571711426814575124610162077',10643,'9998',45.10,1,2,1),(25,6003290,'1989-09-13 00:00:00',4,1,12,2007,'M','N','PARQUE PINHEIROS','BIRIGÜI','SP','125251251216574431446619575123610167182',11562,'9998',44.19,1,3,NULL),(25,6003303,'1992-02-11 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241326173751315329381344610122182',18114,'9997',38.62,1,3,NULL),(25,6003311,'1991-11-01 00:00:00',2,3,11,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161116372431568812375124610165142',9541,'9998',52.16,1,3,NULL),(25,6003320,'1993-01-29 00:00:00',2,6,12,2009,'F','N','CORDEIROS','ITAJAÍ','SC','124242241216131431623411385121131364147',NULL,'1141',0.00,2,3,NULL),(25,6003338,'1993-11-08 00:00:00',1,8,12,2010,'M','N','PETROPOLIS','JOINVILLE','SC','124241241116131441539714385124610142177',NULL,'472',30.20,1,2,1),(25,6003346,'1989-08-19 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124212217136271711338873345124143222041',13113,'9998',46.44,1,3,NULL),(25,6003362,'1993-09-16 00:00:00',2,1,11,2010,'F','N','REUNIDAS','CAÇADOR','SC','124241241116151431323332575122610134141',21084,'124',30.74,1,3,NULL),(25,6003370,'1992-11-19 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431548912142112610118042',19923,'1197',34.81,1,3,NULL),(25,6003389,'1992-07-17 00:00:00',2,1,12,2009,'F','N','ITÚ SABARÁ','PTO ALEGRE','RS','120203201216472741646612571124610163056',7008,'9998',52.95,1,3,NULL),(25,6003397,'1994-01-10 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241248135161531314317275124610154057',NULL,'607',29.01,1,2,1),(25,6003400,'1993-08-08 00:00:00',2,1,12,2010,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124241241112471731326427292234610133075',NULL,'298',28.49,1,2,1),(25,6003419,'1991-12-26 00:00:00',4,1,12,2009,'F','N','AMERICANO','LAJEADO','RS','120202201216472431489614572112610167147',7976,'9998',52.40,1,3,NULL),(25,6003427,'1991-08-16 00:00:00',2,1,12,2009,'F','N','JARDIM LIMOEIRO','S PAULO','SP','125251251116271431226324495124610135177',NULL,'9998',0.00,4,2,1),(25,6003435,'1995-01-13 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111531489811592122610126182',NULL,'262',33.48,1,3,NULL),(25,6003451,'1993-10-27 00:00:00',4,7,11,2010,'F','N','MARAFON','VIDEIRA','SC','124241241215371341533432575112610144142',17747,'829',35.26,1,3,NULL),(25,6003460,'1994-01-03 00:00:00',2,4,12,2010,'F','N','ESTRELA','S MIGUEL OESTE','SC','124241211216151431546932275122610167057',14090,'9998',39.08,1,3,NULL),(25,6003478,'1993-07-22 00:00:00',4,1,12,2010,'M','N','DEBORA CRISTIN','S JOSÉ R PRETO','SP','125252251215111431488814595122610165052',1530,'9998',69.69,1,3,NULL),(25,6003486,'1989-09-24 00:00:00',2,1,7,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241247136272321113313195124610124047',NULL,'9999',41.87,1,2,1),(25,6003508,'1992-12-09 00:00:00',2,1,12,2010,'F','N','PEREIRA','BARRETOS','SP','125251251416111131324417575124610122092',16839,'9998',36.02,4,3,NULL),(25,6003516,'1992-06-19 00:00:00',2,9,12,2009,'F','N','CENTRO','RIO OESTE','SC','124241241435471431346412575124610167182',NULL,'991',38.38,1,3,NULL),(25,6003532,'1993-06-06 00:00:00',4,1,12,2010,'M','N','PARANÁ','PALMITAL','SP','125252251216171431436614175122610142092',3321,'9998',63.07,1,3,NULL),(25,6003540,'1991-02-22 00:00:00',4,8,7,2009,'M','N','CABRAL','CURITIBA','PR','116162161216471431558832374122141067042',NULL,'9999',0.00,1,3,NULL),(25,6003559,'1992-04-25 00:00:00',2,9,12,2009,'F','N','GABIROBA','RIO OESTE','SC','124241241116472451338633475124610167057',7680,'652',52.97,1,2,1),(25,6003567,'1991-06-23 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241116371451327311595124610133183',NULL,'733',22.17,1,2,1),(25,6003575,'1975-08-22 00:00:00',4,1,12,1992,'M','N','VELHA','BLUMENAU','SC','101011011111171111111119511111112911191',296,'79',79.74,1,3,NULL),(25,6003583,'1990-05-02 00:00:00',4,1,12,2008,'F','N','RTONES','FLORIANÓPOLIS','SC','124241241225373431423311475124610113147',20324,'262',27.79,1,3,NULL),(25,6003591,'1992-02-20 00:00:00',4,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124242246215272431348812342132610124052',10628,'1119',45.61,1,3,NULL),(25,6003605,'1991-09-11 00:00:00',4,1,12,2009,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120204207235131431327921245124243267117',18063,'9998',38.71,1,3,NULL),(25,6003630,'1989-02-15 00:00:00',4,15,12,2006,'M','N','PIO X','CAXIAS SUL','RS','120204208437273411437811185124141427187',4970,'9998',60.90,1,3,NULL),(25,6003648,'1990-01-03 00:00:00',4,1,12,2008,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241216573431458613572124610128187',4983,'272',60.87,1,3,NULL),(25,6003656,'1989-07-09 00:00:00',4,1,12,2006,'M','N','CENTRO','CPO GRANDE','MS','112124121216575431443833575122610127047',NULL,'9998',0.00,4,3,NULL),(25,6003664,'1994-01-07 00:00:00',2,3,12,2010,'F','N','MORRETES','ITAPEMA','SC','124241241317151431423732575122610123112',NULL,'406',34.68,1,3,NULL),(25,6003699,'1993-05-18 00:00:00',2,1,12,2010,'F','N','CELINA','BARRETOS','SP','125252251216111431458712425122610147012',NULL,'9998',0.00,1,3,NULL),(25,6003729,'1992-12-31 00:00:00',2,2,12,2010,'M','N','CENTRO','ASCURRA','SC','124242241217151441326933572121610142191',19565,'37',35.65,1,3,NULL),(25,6003737,'1993-09-06 00:00:00',2,4,12,2010,'M','N','CENTRO','SARANDI','RS','120202201216271431348932375122610127042',5789,'9998',56.15,1,3,NULL),(25,6003745,'1991-03-05 00:00:00',4,4,12,2008,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124242241215271711358713435132610168046',3351,'168',62.56,1,3,NULL),(25,6003753,'1992-11-16 00:00:00',4,8,12,2010,'F','N','ESPINHEIROS','JOINVILLE','SC','124242241215211451326614574124613246071',4323,'459',58.86,2,3,NULL),(25,6003761,'1990-03-12 00:00:00',2,1,12,2007,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241217153231558823492122231067087',5280,'262',60.24,1,3,NULL),(25,6003770,'1989-07-18 00:00:00',4,1,12,2006,'F','N','VALE DE SAN FERNANDO','LONDRINA','PR','116161161215575431448831572124610136097',75,'9998',84.52,3,3,NULL),(25,6003788,'1992-04-21 00:00:00',4,1,11,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241116132431447619372124610121147',NULL,'307',24.94,1,3,NULL),(25,6003818,'1993-07-19 00:00:00',4,1,11,2010,'F','N','MORADA DO SOL','IJUÍ','RS','120202201237151431449934275124610167052',16112,'9998',36.40,1,3,NULL),(25,6003826,'1992-04-12 00:00:00',2,1,1,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117271431436813275124610164117',18326,'306',31.45,1,2,1),(25,6003834,'1991-09-03 00:00:00',2,4,12,2008,'M','N','TURIBIO VERISSIMO','CRUZ ALTA','RS','120201201111371231223849391123141427057',NULL,'9998',28.65,1,2,1),(25,6003842,'1991-03-28 00:00:00',2,1,12,2009,'F','N','TINGUI','CURITIBA','PR','116163168116471431446923214122610163077',NULL,'9998',0.00,1,3,NULL),(25,6003850,'1993-09-24 00:00:00',2,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241215111441338611572124610137142',15411,'273',43.04,1,3,NULL),(25,6003869,'1993-03-26 00:00:00',2,1,12,2009,'M','N','BOA VISTA','JUARA','MT','111113251436151331348839295121610167057',NULL,'9998',9.89,1,3,NULL),(25,6003877,'1990-02-11 00:00:00',4,2,12,2007,'M','N','CENTRO','POMERODE','SC','124241241136374431217728385124121134142',1598,'621',69.87,4,2,1),(25,6003893,'1984-06-12 00:00:00',2,15,12,2003,'M','N','POÇO DA LONTRA','TURVO','SC','124241241116272441453344445122610132045',18543,'814',31.63,1,2,1),(25,6003907,'1993-07-09 00:00:00',4,9,12,2010,'M','N','CORAL','LAGES','SC','124241241115141431436611245124610126172',9312,'505',47.20,1,2,1),(25,6003915,'1990-11-05 00:00:00',4,5,10,2008,'M','N','VILA FLORESTA I','CRICIÚMA','SC','124242241215574431458314272122610137062',1775,'213',68.79,1,3,NULL),(25,6003923,'1991-11-11 00:00:00',4,1,12,2009,'F','N','VILA IMAPE','CPO LIMPO PAULISTA','SP','125251251147471411346769385114143244042',NULL,'9998',28.04,4,2,1),(25,6003931,'1993-03-05 00:00:00',4,10,11,2010,'M','N','RIO SALTO','TREZE MAIO','SC','124242161215121411483812571122610164112',7669,'9998',51.55,1,3,NULL),(25,6003940,'1992-10-26 00:00:00',2,1,11,2010,'M','N','PRAIA TREZE DE JULHO','ARACAJU','SE','126262261217111531378832572112610127042',2525,'9998',67.41,3,3,NULL),(25,6003958,'1985-05-21 00:00:00',2,1,12,2002,'M','N','SERRARIA','S JOSÉ','SC','124241241127271431323624385114333264197',8520,'9997',53.93,1,2,1),(25,6003966,'1991-06-25 00:00:00',4,1,12,2008,'M','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241116373711553933575114233262157',7096,'592',53.68,1,2,1),(25,6003982,'1991-08-21 00:00:00',2,8,12,2008,'M','N','CASCATAS','CPO ALEGRE','SC','124241241116161431333514345122233234141',19533,'132',35.74,1,3,NULL),(25,6003990,'1987-09-14 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216372441348614415124322526182',2433,'270',67.68,1,3,NULL),(25,6004008,'1993-06-21 00:00:00',4,4,12,2010,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241217151431237831575112610122171',6448,'1079',53.43,1,3,NULL),(25,6004016,'1982-10-02 00:00:00',4,4,12,2000,'M','N','CENTRO','CHAPECÓ','SC','124161161126132711135543332122220232182',NULL,'9998',0.00,1,2,1),(25,6004024,'1992-11-15 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215372431456632375122610168042',6026,'738',55.33,1,3,NULL),(25,6004032,'1990-12-25 00:00:00',4,1,6,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243281317372431228434275124610137142',18226,'9998',38.43,1,3,NULL),(25,6004040,'1993-12-05 00:00:00',4,10,12,2010,'M','N','CENTRO','S LUDGERO','SC','124243241215111431558813572121610167092',4184,'950',60.77,1,3,NULL),(25,6004059,'1993-02-15 00:00:00',2,1,11,2010,'M','N','AREIAS','S JOSÉ','SC','624241241137141321636721341224610127067',NULL,'730',15.12,1,2,1),(25,6004067,'1991-09-17 00:00:00',2,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241115471431436623172124610121192',18926,'733',32.54,1,2,1),(25,6004075,'1990-05-21 00:00:00',4,1,12,2007,'M','N','VILA NOVA','TRÊS LAGOAS','MS','112122121316512711368313375123610122092',12340,'9998',42.49,2,1,2),(25,6004091,'1992-05-16 00:00:00',2,1,12,2009,'F','N','HIGIENOPOLIS','PTO ALEGRE','RS','120202201217471411359832575124610168047',3471,'9998',62.08,1,3,NULL),(25,6004105,'1992-06-06 00:00:00',2,16,12,2010,'F','N','APARECIDA','CURITIBANOS','SC','124244241115471431426324282122610118177',17490,'239',35.05,1,3,NULL),(25,6004113,'1992-10-27 00:00:00',4,1,12,2009,'F','N','JARDIM APOLO','S JOSÉ CAMPOS','SP','125203131215471431458614572122610137047',13592,'9998',41.61,1,3,NULL),(25,6004130,'1991-11-11 00:00:00',4,1,11,2008,'F','N','CENTRO','PINHALZINHO','SC','124242241215571431357811172125610114197',2846,'1070',64.97,1,3,NULL),(25,6004156,'1992-02-24 00:00:00',4,1,12,2009,'M','N','CENTRO','CARLOS BARBOSA','RS','120201201117331731223722321125141034143',19598,'9998',32.06,1,2,1),(25,6004172,'1971-03-19 00:00:00',1,1,12,1991,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224243243326151421553333235124330218045',14064,'718',45.07,1,3,NULL),(25,6004199,'1991-11-08 00:00:00',4,1,12,2009,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241216472731459833575124610162062',6745,'262',54.59,1,3,NULL),(25,6004210,'1982-02-02 00:00:00',4,1,12,2000,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124203204116131131225521375114143236047',18869,'9998',37.19,1,3,NULL),(25,6004237,'1991-02-11 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241144471431325524345124610134147',14787,'281',44.03,4,2,1),(25,6004245,'1988-02-16 00:00:00',2,1,12,2006,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241127371411433334245223610121112',8652,'277',50.10,1,3,NULL),(25,6004253,'1994-02-25 00:00:00',2,5,12,2010,'F','N','UNIVERSITÁRIO','CRICIÚMA','SC','124241241115271441428813575124610142177',NULL,'223',0.00,1,2,1),(25,6004261,'1984-07-09 00:00:00',4,1,12,2001,'M','N','LOT FERNANDA','CAPINZAL','SC','124244241216374711467436226124323266195',900,'155',73.26,1,3,NULL),(25,6004270,'1992-03-24 00:00:00',2,16,12,2009,'M','N','APARECIDA','CURITIBANOS','SC','124241241127371232523421345124610137057',NULL,'116',14.57,4,2,1),(25,6004288,'1993-06-16 00:00:00',4,1,12,2010,'M','N','PICADAS DO SUL','S JOSÉ','SC','124243241326151731445831375122610127047',NULL,'736',24.57,1,3,NULL),(25,6004296,'1991-09-14 00:00:00',4,1,8,2010,'M','N','TREZE DE JULHO','ARACAJU','SE','126262281417371451488913472122610128012',NULL,'9998',0.00,1,3,NULL),(25,6004300,'1993-06-11 00:00:00',4,1,12,2010,'F','N','VILA ALPINA','S PAULO','SP','125253254111151431238624575124610135092',11138,'9998',44.34,1,3,NULL),(25,6004318,'1993-09-03 00:00:00',2,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241116141432623319145124610148197',18387,'296',38.13,1,2,1),(25,6004326,'1994-01-30 00:00:00',4,1,12,2010,'F','N','CENTRO','AGROLÂNDIA','SC','124241241136131431446734345121610166077',NULL,'6',0.00,1,2,1),(25,6004342,'1992-07-15 00:00:00',2,8,12,2009,'M','N','JARDIM DAS ACACIAS','QUATRO BARRAS','PR','116152161216472751558833471224610117073',5980,'9998',55.78,1,3,NULL),(25,6004350,'1990-07-24 00:00:00',3,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247225131441423429244324610163027',20707,'9999',32.35,4,1,2),(25,6004369,'1993-02-05 00:00:00',4,6,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215132731234422145124610126072',19587,'389',35.60,1,3,NULL),(25,6004377,'1993-02-22 00:00:00',2,1,12,2009,'M','N','QUINTO BEC','VILHENA','RO','122221221417572531358713575122610164187',17018,'9998',36.53,4,3,NULL),(25,6004385,'1977-04-18 00:00:00',4,1,12,1995,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','224251251136133421224344245122142262182',14024,'9998',45.13,1,2,1),(25,6004415,'1992-08-24 00:00:00',4,5,12,2010,'M','N','JARDIM ELIZABETE','IÇARA','SC','124241241137131431424619345124610164017',17843,'1005',34.12,1,2,1),(25,6004423,'1988-04-12 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241415373431458933445124121726047',8062,'1022',52.25,1,3,NULL),(25,6004431,'1993-03-10 00:00:00',4,1,12,2010,'F','N','FLORESTA','S JOSÉ','SC','124242241116372431437923285124610123173',7814,'739',52.01,1,3,NULL),(25,6004458,'1994-06-22 00:00:00',4,10,10,2011,'M','S','CENTRO','TUBARÃO','SC','124244241215111431379933472121610134092',NULL,'807',44.85,1,3,NULL),(25,6004466,'1993-05-18 00:00:00',4,8,11,2010,'F','N','PLANALTO','ARAUCÁRIA','PR','116162161135421311333439576124610166012',4079,'9998',61.62,1,3,NULL),(25,6004474,'1993-03-05 00:00:00',4,15,12,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124201241411131411426714374124610166192',16806,'29',40.93,1,3,NULL),(25,6004482,'1993-02-24 00:00:00',2,15,12,2010,'F','N','COM COM','SOMBRIO','SC','124242241316271411356732222122610122052',NULL,'1033',9.82,1,3,NULL),(25,6004490,'1993-11-06 00:00:00',4,8,11,2010,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161215121431438831571122610164047',1954,'9998',68.30,1,3,NULL),(25,6004504,'1993-11-11 00:00:00',5,1,12,2011,'F','S','SERRARIA','S JOSÉ','SC','124241241117111711323524575214610146042',NULL,'257',0.00,1,3,NULL),(25,6004512,'1993-04-17 00:00:00',4,1,11,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111231448811575124610127082',20114,'9997',34.27,1,3,NULL),(25,6004520,'1992-11-15 00:00:00',2,8,11,2009,'F','N','SEMINÁRIO','CURITIBA','PR','116163161116471731459811572124610167144',14413,'9998',40.23,1,3,NULL),(25,6004539,'1991-12-10 00:00:00',4,1,12,2009,'M','N','CENTRO','S JOSÉ','SC','124241241136372411323427375124610164185',7490,'733',52.69,1,2,1),(25,6004547,'1994-04-12 00:00:00',4,9,12,2010,'F','N','CENTRO','VACARIA','RS','120202191217131431466936572122610162197',19542,'9998',35.71,1,3,NULL),(25,6004555,'1992-12-29 00:00:00',4,8,11,2010,'M','N','CENTRO','JOINVILLE','SC','124242241214111431444632595121610127142',12622,'461',42.97,1,3,NULL),(25,6004571,'1991-12-06 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241217371431326824572114130544097',14577,'988',41.06,1,3,NULL),(25,6004580,'1993-05-15 00:00:00',4,1,12,2010,'M','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251217371451469812595122610124123',679,'9998',76.16,1,3,NULL),(25,6004598,'1987-02-11 00:00:00',2,1,12,2004,'M','N','REAL PARQUE','S JOSÉ','SC','124241241147371432226644342114610137042',14286,'734',39.93,2,1,1),(25,6004601,'1993-08-15 00:00:00',4,3,12,2010,'M','N','CENTRO','HORIZONTINA','RS','120202201216161431458811475125610167052',4806,'9998',58.89,1,3,NULL),(25,6004610,'1990-12-31 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241415374431446833575124143263027',269,'1022',80.14,1,3,NULL),(25,6004628,'1992-09-24 00:00:00',4,8,12,2009,'F','N','GUANABARA','JOINVILLE','SC','124243241215372731538413575124230742141',9793,'967',51.69,1,3,NULL),(25,6004636,'1985-08-20 00:00:00',2,5,12,2003,'F','N','VILA MANAUS','CRICIÚMA','SC','124241241126572431212229192124133265177',NULL,'921',0.00,4,2,1),(25,6004644,'1986-07-21 00:00:00',4,1,12,2003,'M','N','CENTRO','S JOSÉ','SC','224241241126132411456633335122610162057',15850,'728',36.30,1,2,1),(25,6004652,'1993-02-22 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111731359613375124610161012',9249,'1022',49.08,1,3,NULL),(25,6004660,'1992-09-19 00:00:00',4,1,12,2009,'M','N','JARDIM CIDADE','S JOSÉ','SC','124242241217152711437634575112610164042',13645,'724',45.71,1,3,NULL),(25,6004679,'1990-02-12 00:00:00',2,4,11,2007,'M','N','SÃO JOSÉ','ESTAÇÃO','RS','120204201416131431323314445124140238097',NULL,'9998',0.00,1,3,NULL),(25,6004687,'1994-05-11 00:00:00',4,3,12,2010,'M','N','LARANJEIRAS','RIO SUL','SC','124242241215371431369413575122610147142',3235,'654',64.26,1,3,NULL),(25,6004695,'1987-07-13 00:00:00',2,1,11,2005,'F','N','VILA MARIANA','S PAULO','SP','125253258437471411636811215134140747147',NULL,'9998',23.86,1,3,NULL),(25,6004709,'1992-06-08 00:00:00',2,1,12,2009,'F','N','CERRO NEGRO','ITUPORANGA','SC','124241241116471331323321473124610163052',NULL,'888',36.11,1,2,1),(25,6004717,'1990-04-15 00:00:00',4,8,12,2008,'M','N','FLORESTA','JOINVILLE','SC','124241241215212431226329395124133214011',NULL,'459',22.98,1,3,NULL),(25,6004725,'1993-07-17 00:00:00',2,1,12,2010,'F','N','CENTRO','NAVEGANTES','SC','124242241115271431436613272122610135092',NULL,'570',11.27,1,3,NULL),(25,6004750,'1993-06-03 00:00:00',4,4,11,2010,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124242241217151511368831595122610154093',4747,'168',59.52,1,3,NULL),(25,6004768,'1994-02-16 00:00:00',2,2,12,2010,'F','N','NOVA STETTIN','IBIRAMA','SC','124241241114231431323514575122610128097',NULL,'348',19.92,1,2,1),(25,6004776,'1987-05-18 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201114541411213649495334131064147',NULL,'9998',18.96,1,2,1),(25,6004784,'1991-01-22 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124251241137472731113344245334610124147',17111,'406',34.43,1,2,1),(25,6004792,'1994-01-27 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241215122431468814575112610163077',1002,'497',73.02,1,3,NULL),(25,6004806,'1992-01-30 00:00:00',2,8,11,2009,'F','N','ENSEADA','S FRANCISCO SUL','SC','124243248337171731334923395124232762092',NULL,'710',20.51,1,3,NULL),(25,6004814,'1993-09-19 00:00:00',4,2,12,2010,'M','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241217161511335914575122610122172',9123,'1018',49.68,1,3,NULL),(25,6004830,'1985-09-16 00:00:00',2,1,7,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241248126271731113444142334610168072',NULL,'9997',NULL,1,2,1),(25,6004849,'1993-10-05 00:00:00',2,4,12,2010,'F','N','CENTRO','XANXERÊ','SC','124244241236111431436632275124610164057',11080,'836',44.62,1,3,NULL),(25,6004857,'1992-04-17 00:00:00',2,1,12,2009,'M','N','BELA VISTA','PALHOÇA','SC','124241241115131431423933282224610157047',18895,'592',33.77,1,2,1),(25,6004873,'1986-04-17 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241126342432624514245124610125087',NULL,'277',15.24,2,1,1),(25,6004920,'1991-12-03 00:00:00',4,8,12,2009,'F','N','VILA SANTA HELENA','PRES PRUDENTE','SP','125252251216471431448812575122610121126',6709,'9998',53.36,1,3,NULL),(25,6004938,'1991-02-26 00:00:00',2,1,12,2008,'F','N','POTECAS','S JOSÉ','SC','124241241122272431433514245124610114142',16235,'733',38.16,2,1,1),(25,6004946,'1994-08-11 00:00:00',4,10,11,2011,'F','S','DEHON','TUBARÃO','SC','124242241217111231436934572122610154197',NULL,'806',41.32,1,3,NULL),(25,6004954,'1981-07-20 00:00:00',2,1,12,1999,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124161161136473431123544445124610133187',NULL,'9998',19.30,1,2,1),(25,6004962,'1994-01-10 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215111431588713575112610162011',5056,'883',59.20,1,3,NULL),(25,6004970,'1993-10-13 00:00:00',2,1,12,2010,'F','N','JARDIM CIDADE','S JOSÉ','SC','124243241415131431325521572124610133097',NULL,'1078',29.62,1,3,NULL),(25,6004989,'1988-10-13 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216151441348919372112431424095',14945,'1022',43.77,1,3,NULL),(25,6004997,'1992-06-01 00:00:00',4,4,11,2009,'F','N','CARAVELI','CASCAVEL','PR','116162161216471431477612275122610142042',NULL,'9998',0.00,1,3,NULL),(25,6005004,'1984-11-07 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201117112431436624245124122344175',12136,'9998',47.93,4,1,1),(25,6005012,'1990-12-17 00:00:00',4,17,12,2008,'F','N','CENTRO','CURITIBA','PR','116222221215511431456924475122610165047',13243,'9998',41.90,4,3,NULL),(25,6005039,'1993-10-13 00:00:00',4,9,12,2010,'F','N','CENTRO','VACARIA','RS','120202201216271431338811275112610164142',4711,'9998',57.49,1,3,NULL),(25,6005047,'1994-03-17 00:00:00',2,1,12,2010,'F','N','PRADO','BIGUAÇU','SC','124242241215271431433923595124610166152',18118,'63',33.37,1,3,NULL),(25,6005055,'1993-08-07 00:00:00',4,6,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116163161116131431236867495125610132147',18971,'9998',32.21,1,3,NULL),(25,6005063,'1990-06-30 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115472431538813281122610127042',6341,'307',55.08,1,2,1),(25,6005071,'1994-06-03 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124222241215111431258812582122610137042',12230,'1022',43.92,1,3,NULL),(25,6005080,'1983-06-10 00:00:00',2,1,12,2000,'F','N','CAMPINAS','S JOSÉ','SC','224211214416372421253353435122610168097',11569,'9998',43.57,1,3,NULL),(25,6005098,'1993-09-21 00:00:00',4,4,12,2010,'F','N','CRISTO REI','CHAPECÓ','SC','124241241116271431528931575122610121172',NULL,'916',0.00,1,2,1),(25,6005101,'1992-02-11 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216272751465812495122610167072',713,'273',75.48,1,3,NULL),(25,6005136,'1985-07-08 00:00:00',4,1,12,2003,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','524201206136132421426644345224131947052',10957,'9998',49.74,1,2,1),(25,6005144,'1993-06-07 00:00:00',4,4,12,2010,'F','N','ARI LUNARDI','XAXIM','SC','124241241115371421523414285122610127072',21121,'847',23.41,1,2,1),(25,6005152,'1994-08-02 00:00:00',4,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241235111431327724575124610128097',1569,'270',68.97,1,3,NULL),(25,6005179,'1993-07-16 00:00:00',2,4,12,2010,'M','N','CENTRO','CORBÉLIA','PR','116161161116371432436611172121610134142',7919,'9998',51.52,1,2,1),(25,6005187,'1990-08-14 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124241241346132431525644245334130837017',NULL,'66',0.00,1,3,NULL),(25,6005195,'1971-10-12 00:00:00',1,1,12,1989,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241248227171411263353475112310234147',20286,'714',33.81,1,3,NULL),(25,6005209,'1983-09-05 00:00:00',4,1,12,2002,'F','N','BARREIROS','S JOSÉ','SC','124242241212545751318744142124610153184',NULL,'1076',17.89,1,3,NULL),(25,6005217,'1993-04-23 00:00:00',2,15,12,2009,'F','N','FIGUEIRA','JACINTO MACHADO','SC','124241241146132131449313145131610148157',NULL,'420',25.83,1,2,1),(25,6005225,'1992-02-18 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272411568812475122130647112',8248,'1001',54.41,1,3,NULL),(25,6005233,'1990-02-08 00:00:00',2,1,12,2007,'F','N','LIBERDADE','NOVO HAMBURGO','RS','120203251217251341538611371124132563017',17134,'9998',35.58,1,3,NULL),(25,6005241,'1992-08-08 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124252241417371431348824472112610137177',9503,'583',47.46,1,3,NULL),(25,6005250,'1993-06-05 00:00:00',4,17,11,2010,'M','N','CENTRO','S JOÃO TRIUNFO','PR','116164161216471431537933575124610134097',7270,'9998',53.04,1,3,NULL),(25,6005268,'1993-08-26 00:00:00',2,4,12,2010,'M','N','CENTRO','CHAPECÓ','SC','124241241116471731328724175125610162147',10195,'169',46.14,1,2,1),(25,6005276,'1993-07-12 00:00:00',4,6,11,2010,'M','N','FAZENDA','ITAJAÍ','SC','124242241215271431378712575122610124042',5307,'392',57.64,1,3,NULL),(25,6005284,'1991-02-27 00:00:00',4,1,11,2009,'M','N','AGUA VERDE','CURITIBA','PR','116163167337372742235913214122141264187',NULL,'9998',0.00,1,3,NULL),(25,6005292,'1991-05-14 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161211573311356861575114610117042',17145,'9998',40.37,1,3,NULL),(25,6005306,'1990-09-17 00:00:00',4,1,12,2007,'M','N','RECANTO DO SALTO','LONDRINA','PR','116162161216151431469911315122143237091',13235,'9998',46.29,1,3,NULL),(25,6005322,'1989-02-02 00:00:00',2,8,12,2006,'M','N','CIDADE JULIA','S PAULO','SP','125131131126571431223371572324610127047',6281,'9998',55.24,4,2,1),(25,6005330,'1993-10-15 00:00:00',2,1,11,2010,'F','N','JARDIM SABO','STO ÂNGELO','RS','120202201217151431469833575112610167152',NULL,'9998',0.00,1,3,NULL),(25,6005365,'1968-09-25 00:00:00',4,1,6,1988,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224241247221132711431154182124610161147',NULL,'9999',0.00,1,3,NULL),(25,6005381,'1993-04-15 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241315131431433611182124610138047',NULL,'298',12.49,1,3,NULL),(25,6005403,'1993-01-24 00:00:00',2,1,12,2009,'F','N','SCHREIBER','SALETE','SC','624242241215473431346634572121232613077',16116,'654',41.98,1,3,NULL),(25,6005411,'1995-01-25 00:00:00',2,1,12,2011,'F','S','BARREIROS','S JOSÉ','SC','124242241215111431546614575122610123072',NULL,'738',25.97,1,3,NULL),(25,6005438,'1993-07-25 00:00:00',4,10,12,2010,'M','N','HUMÁITA DE CIMA','TUBARÃO','SC','124241241115371431535611295121610127057',18860,'798',32.79,1,2,1),(25,6005446,'1991-10-29 00:00:00',2,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','624244241215272731226878481124122344053',NULL,'1022',0.00,1,3,NULL),(25,6005454,'1989-11-19 00:00:00',4,15,12,2007,'M','N','MANGUEIRINHA','BAL ARROIO SILVA','SC','124241248126131431323441345134610137043',NULL,'29',29.72,4,2,1),(25,6005470,'1990-08-13 00:00:00',2,1,12,2008,'M','N','SILOS','SANANDUVA','RS','124201201116271431546833245124130234182',19303,'9998',36.27,1,2,1),(25,6005489,'1993-09-17 00:00:00',4,6,11,2010,'F','N','CENTRO','BRUSQUE','SC','124241241115271531539374272122610132057',NULL,'111',21.27,1,2,1),(25,6005497,'1985-03-01 00:00:00',4,1,12,2002,'F','N','USINA','ANTÔNIO CARLOS','SC','124241241116141731523514191124230825142',NULL,'21',0.00,1,2,1),(25,6005519,'1993-03-08 00:00:00',2,3,11,2010,'F','N','CENTRO','BOMBINHAS','SC','124242241215271431337831285124610144097',6089,'403',55.88,1,3,NULL),(25,6005527,'1983-10-17 00:00:00',4,1,12,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124252251212153731258633445122123262113',NULL,'9998',0.00,1,3,NULL),(25,6005535,'1992-06-28 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241123471431536619342124610127147',17524,'283',34.29,1,2,1),(25,6005543,'1992-08-01 00:00:00',4,4,11,2009,'M','N','LIBERDADE','S PAULO','SP','125242241217472422369712575122610132123',2660,'185',66.96,1,3,NULL),(25,6005551,'1994-09-02 00:00:00',4,3,11,2011,'F','S','CENTRO','BAL CAMBORIÚ','SC','124242241214152431359911574122610122187',NULL,'1038',65.74,1,3,NULL),(25,6005560,'1992-09-24 00:00:00',4,1,6,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247217272431348827575112610132182',NULL,'9999',30.32,1,3,NULL),(25,6005578,'1993-06-05 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124164241313131231426613245124610162147',20689,'288',32.42,1,3,NULL),(25,6005586,'1990-04-06 00:00:00',2,1,12,2008,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241115273431514429482124610127042',NULL,'288',14.30,3,2,1),(25,6005594,'1992-01-11 00:00:00',4,9,12,2009,'F','N','BARRAGEM','RIO SUL','SC','124243241116471441236823575124610134142',9224,'659',48.70,1,3,NULL),(25,6005616,'1986-10-27 00:00:00',4,9,12,2005,'M','N','FLORESTA','CAXIAS SUL','RS','120201201116131631613631485124143247057',13183,'9998',42.22,1,2,1),(25,6005624,'1974-02-09 00:00:00',4,1,12,1993,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242242216154421548841415134130244097',20064,'272',34.40,1,3,NULL),(25,6005632,'1993-05-03 00:00:00',2,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241116131411524311375122610114057',NULL,'732',17.44,1,2,1),(25,6005640,'1960-11-30 00:00:00',2,1,12,1978,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224252211216371411258852472122340421041',NULL,'9998',0.00,1,3,NULL),(25,6005659,'1986-04-29 00:00:00',2,1,12,2005,'F','N','PRAINHA','FLORIANÓPOLIS','SC','124201201137242431228348385224141428187',NULL,'9998',26.18,1,2,1),(25,6005667,'1993-09-11 00:00:00',4,16,12,2010,'M','N','APARECIDA','CURITIBANOS','SC','124241241115471731326414185112610127042',NULL,'239',16.11,4,3,NULL),(25,6005675,'1993-11-16 00:00:00',4,9,12,2010,'M','N','POÇO RICO','OTACÍLIO COSTA','SC','125241243144141431326615145124610137017',NULL,'583',12.91,1,3,NULL),(25,6005683,'1990-05-19 00:00:00',2,2,6,2008,'M','N','SALTO','BLUMENAU','SC','124241246216132441423944345124231424017',18513,'230',37.90,1,3,NULL),(25,6005691,'1993-04-21 00:00:00',4,9,12,2010,'M','N','SAGARDO CORAÇAO DE J','LAGES','SC','124242241215111431338814594122610142042',NULL,'499',24.24,1,3,NULL),(25,6005705,'1977-08-12 00:00:00',2,1,12,1995,'M','N','SERRARIA','S JOSÉ','SC','224201201126274421233344145214121762187',4415,'9998',59.78,4,2,1),(25,6005713,'1990-01-15 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241114472411228624385124133264092',4192,'306',60.49,2,1,2),(25,6005721,'1993-06-29 00:00:00',4,3,10,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241417111411458912575122610162175',11038,'44',49.61,1,3,NULL),(25,6005730,'1991-09-30 00:00:00',4,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242251216251531357774445112610148117',NULL,'9998',0.00,1,3,NULL),(25,6005748,'1993-04-22 00:00:00',2,1,12,2010,'F','N','COND CAMPOS STO ANTO','ITU','SP','125252251216121731568814475122610133077',12160,'9998',43.20,1,3,NULL),(25,6005756,'1994-05-11 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371441458832574122610168112',NULL,'1000',45.49,1,3,NULL),(25,6005764,'1991-07-20 00:00:00',4,15,12,2009,'M','N','CENTRO','IÇARA','SC','124241247436151441466911375122610164192',19576,'9999',35.63,1,3,NULL),(25,6005772,'1988-05-05 00:00:00',2,1,11,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241247141472431325644245124610112097',14616,'9997',39.42,4,2,1),(25,6005780,'1992-04-11 00:00:00',4,1,12,2009,'F','N','SEMINÁRIO','TAIÓ','SC','124242241216372431439933574124610124142',2341,'654',67.12,1,3,NULL),(25,6005799,'1985-01-15 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241248337132221426634245124131227187',NULL,'9999',27.53,2,1,2),(25,6005802,'1993-08-13 00:00:00',4,1,12,2010,'M','N','JARDIM ALVORADA','LONDRINA','PR','116162161215111531689611415122610167072',4126,'9998',62.97,1,3,NULL),(25,6005810,'1980-01-13 00:00:00',2,5,12,1998,'M','N','MORRO ESTEVÃO','CRICIÚMA','SC','124241241146142411426436445132330228193',18569,'209',37.83,1,2,1),(25,6005837,'1991-07-15 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372431449933575122610152127',13640,'1035',42.44,1,3,NULL),(25,6005853,'1993-12-21 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431489614575125610122175',7926,'988',54.95,1,3,NULL),(25,6005861,'1994-03-15 00:00:00',4,8,11,2010,'F','N','ADEMAR GARCIA','JOINVILLE','SC','124241241215131231453923575124610123147',16581,'489',41.27,4,3,NULL),(25,6005870,'1994-01-17 00:00:00',2,1,12,2010,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124243241115271431433613575124610165045',17546,'286',32.63,1,3,NULL),(25,6005888,'1993-05-26 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242247215274431468614575124610148142',1211,'9999',72.62,1,3,NULL),(25,6005896,'1995-11-20 00:00:00',2,9,12,2011,'M','S','SÃO CRISTÓVÃO','LAGES','SC','124241241217111751336619592222610116172',NULL,'1207',49.51,1,3,NULL),(25,6005900,'1993-04-02 00:00:00',4,4,12,2010,'F','N','PARQUE SAO PAULO','CASCAVEL','PR','116162161215121431288939271122610166192',5531,'9998',57.11,1,3,NULL),(25,6005918,'1991-03-16 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241215373731334631212124610167047',5639,'270',58.27,1,3,NULL),(25,6005934,'1990-03-26 00:00:00',2,1,12,2007,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124241241116273731327614385124610123117',15120,'359',37.74,1,2,1),(25,6005950,'1994-01-25 00:00:00',4,1,12,2010,'F','N','BELA VISTA','ITUPORANGA','SC','124241241146131431523324141224610135177',15429,'415',37.61,1,2,1),(25,6005969,'1992-10-10 00:00:00',4,1,12,2009,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125252251215471431269832575122610124182',4489,'9998',60.00,1,3,NULL),(25,6005977,'1993-05-28 00:00:00',2,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124243241146472441433312242112610144071',19525,'971',35.76,4,3,NULL),(25,6005985,'1992-09-04 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431248924475115610161055',6292,'270',54.78,1,3,NULL),(25,6005993,'1993-12-15 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','120202201217271431378816582122610167112',16582,'9998',41.26,1,3,NULL),(25,6006000,'1993-06-18 00:00:00',4,1,12,2010,'M','N','JD PAULISTA','AMERICANA','SP','125252251215111711348812572122610167042',9376,'9998',48.34,1,3,NULL),(25,6006019,'1991-04-13 00:00:00',4,2,12,2008,'M','N','PAQUETÁ','BRUSQUE','SC','124241241136271431433531445122610166177',9577,'1019',49.45,1,2,1),(25,6006027,'1990-04-09 00:00:00',2,9,12,2007,'F','N','BUDAG','RIO SUL','SC','124241241116271431563913575124142437057',11226,'864',45.68,1,2,1),(25,6006035,'1993-04-12 00:00:00',2,3,12,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241215111431336833575112610136182',5332,'781',57.19,1,3,NULL),(25,6006051,'1991-09-22 00:00:00',2,5,12,2008,'F','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120202201215571411576812375122610166042',695,'9998',74.30,1,3,NULL),(25,6006060,'1992-12-13 00:00:00',2,1,11,2009,'F','N','JARDIM DAS PALMEIRAS','PALHOÇA','SC','124241241211132731436613345134610128097',NULL,'1075',21.25,1,3,NULL),(25,6006078,'1990-03-20 00:00:00',4,1,12,2007,'M','N','IPIRANGA','S JOSÉ','SC','124241241111132441232529591124221758187',9377,'734',52.40,1,2,1),(25,6006086,'1993-02-16 00:00:00',4,1,12,2010,'F','N','CAPOIERAS','FLORIANÓPOLIS','SC','124244241415131431336727576124610121057',19724,'1022',35.31,1,3,NULL),(25,6006094,'1991-04-06 00:00:00',4,1,12,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241117373431448734575124610167067',10716,'257',47.05,1,3,NULL),(25,6006108,'1985-10-30 00:00:00',4,8,11,2004,'F','N','JD IRIRIU','JOINVILLE','SC','124241241116132431221429181224131045182',NULL,'469',0.00,1,2,1),(25,6006116,'1989-08-13 00:00:00',2,3,12,2007,'F','N','AGUA VERDE','CURITIBA','PR','116161161136571411323629382114610114111',NULL,'9998',0.00,1,2,1),(25,6006124,'1993-09-23 00:00:00',4,3,10,2010,'F','N','CENTRO','BAIANÓPOLIS','BA','105052051217111431368933474122610124092',7209,'9998',52.31,1,3,NULL),(25,6006140,'1994-05-17 00:00:00',2,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215121431458612575122610168142',9268,'737',49.10,1,3,NULL),(25,6006159,'1993-01-18 00:00:00',2,10,12,2010,'F','N','VILA NOVA','IMBITUBA','SC','124242241116151412335514472122610133142',NULL,'359',19.05,1,3,NULL),(25,6006167,'1975-05-09 00:00:00',4,1,12,1993,'F','N','PARQUE PAULISTANO','S PAULO','SP','125254251216371451138644241122141057157',NULL,'9998',0.00,1,3,NULL),(25,6006175,'1992-08-14 00:00:00',2,9,11,2009,'M','N','PROGRESSO','RIO SUL','SC','124242241215471331456933575122610167042',8063,'653',52.14,1,3,NULL),(25,6006183,'1993-12-23 00:00:00',4,4,12,2010,'M','N','CENTRO','S CARLOS','SC','124241241136131431326521572321610157047',NULL,'704',0.00,1,2,1),(25,6006205,'1993-09-09 00:00:00',4,16,12,2010,'M','N','CENTRO','VARGEM','SC','124241241121161431323923571122610137055',NULL,'1082',14.85,1,3,NULL),(25,6006213,'1992-03-26 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117371731426624572124610127052',18154,'287',38.56,4,2,1),(25,6006230,'1990-08-16 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241416415431456923395122231217181',5765,'1022',56.21,1,3,NULL),(25,6006248,'1991-01-24 00:00:00',4,1,11,2008,'M','N','JARDIM WILSOB','OSASCO','SP','125252251217471411427814475114610112192',NULL,'9998',0.00,1,3,NULL),(25,6006256,'1986-03-12 00:00:00',4,10,12,2003,'M','N','OFICINAS','TUBARÃO','SC','124241246117272411343639295123610124051',8911,'808',53.21,1,2,1),(25,6006272,'1987-10-19 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241147371731311348385125610168171',9117,'192',52.84,1,2,1),(25,6006299,'1990-12-10 00:00:00',2,4,12,2006,'F','N','CENTRO','S BERNARDINO','SC','124241241126272431448833575124231328057',8172,'701',49.45,1,2,1),(25,6006302,'1991-10-29 00:00:00',4,9,6,2010,'F','N','CORAL','LAGES','SC','124242241416371451329924375124610148147',NULL,'9999',23.51,1,3,NULL),(25,6006337,'1989-03-29 00:00:00',2,1,12,2006,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241117373751424334395124610164197',13698,'257',40.45,1,2,1),(25,6006345,'1993-08-23 00:00:00',4,1,12,2010,'F','N','VILA MARIANA','BAURU','SP','125252251215111431336622575122610168187',7147,'9998',53.80,1,3,NULL),(25,6006353,'1993-03-07 00:00:00',2,7,12,2010,'F','N','SANTA TEREZA','VIDEIRA','SC','124241246217371531346311575122610156197',10158,'1080',46.05,1,3,NULL),(25,6006361,'1992-02-08 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124092091217151431586422575115140267182',NULL,'9998',0.00,4,3,NULL),(25,6006370,'1992-04-03 00:00:00',2,1,12,2009,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126371441424344145124610127047',7843,'290',53.01,1,2,1),(25,6006388,'1990-08-30 00:00:00',4,1,12,2008,'M','N','COLINA VERDE','AVARÉ','SP','125253251216471431436614295122610142082',3707,'9998',61.95,1,3,NULL),(25,6006400,'1986-12-20 00:00:00',2,1,12,2004,'F','N','PALHOCINHA','GAROPABA','SC','124241241117272451238931595124133224092',20734,'307',32.22,1,3,NULL),(25,6006418,'1994-06-25 00:00:00',4,10,12,2010,'M','N','CABEÇUDAS','LAGUNA','SC','124244241136161431418824595124610142087',17506,'523',34.33,1,3,NULL),(25,6006426,'1988-01-16 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241316373431338823475124223242017',NULL,'1046',0.00,1,3,NULL),(25,6006434,'1992-02-27 00:00:00',2,1,12,2009,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124242241216472431333534572224233224047',10707,'1175',50.14,3,3,NULL),(25,6006442,'1993-09-16 00:00:00',4,1,12,2010,'M','N','CENTRO','IBITINGA','SP','125252251216111431338869475125610168147',1617,'9998',70.80,1,3,NULL),(25,6006450,'1976-03-16 00:00:00',2,1,12,1993,'M','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124201201116371411226543335324141967042',14975,'9998',43.73,2,1,1),(25,6006469,'1991-10-29 00:00:00',4,1,12,2009,'M','N','PRAINHA','FLORIANÓPOLIS','SC','124251241116472731226544415334610127142',10263,'307',48.38,1,2,1),(25,6006507,'1989-03-19 00:00:00',2,1,12,2006,'M','N','JD INTERLAGOS','HORTOLÂNDIA','SP','125251251146571331116649295125143235147',13065,'9998',41.34,4,2,1),(25,6006515,'1994-10-22 00:00:00',2,3,11,2010,'F','N','CENTRO','XANXERÊ','SC','124242241216471532429632375122610112192',5887,'836',57.31,1,3,NULL),(25,6006531,'1993-06-15 00:00:00',2,15,12,2010,'F','N','CENTRO','TURVO','SC','124243241115371431346934575122610161077',NULL,'814',34.12,1,3,NULL),(25,6006540,'1990-09-14 00:00:00',2,1,12,2007,'F','N','CENTRO','COLORADO','PR','116161161116571431336511595125610166197',NULL,'9998',28.00,1,2,1),(25,6006558,'1991-01-07 00:00:00',4,1,11,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241131132421238821571124610163147',17459,'267',37.34,3,3,NULL),(25,6006566,'1993-07-23 00:00:00',2,1,12,2010,'F','N','PLANALTO','VACARIA','RS','120202201215111731478622574122610131142',20021,'9998',28.74,1,3,NULL),(25,6006574,'1994-05-25 00:00:00',2,15,12,2010,'F','N','MORADA DA COLINA','GUAÍBA','RS','120201201117161431323619572124610128093',19633,'9998',29.89,1,2,1),(25,6006604,'1983-08-13 00:00:00',2,1,12,2000,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241126132431646312245134330267142',NULL,'288',27.43,1,3,NULL),(25,6006612,'1984-06-09 00:00:00',2,1,12,2003,'M','N','BARREIROS','S JOSÉ','SC','124241241126272421435429345124610164047',NULL,'257',0.00,1,2,1),(25,6006620,'1993-01-22 00:00:00',2,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124244248415171431337824375125610164077',16028,'9997',42.08,1,3,NULL),(25,6006639,'1985-05-30 00:00:00',2,1,12,2002,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','624241241646133111426359382324610128097',16523,'262',41.36,1,3,NULL),(25,6006647,'1994-08-25 00:00:00',4,1,11,2011,'M','S','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241216111531269923475122610165197',NULL,'270',45.17,1,3,NULL),(25,6006655,'1990-11-12 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241217232431326627482114610162017',13300,'9997',41.59,1,3,NULL),(25,6006663,'1993-01-02 00:00:00',4,1,9,2010,'M','N','OESTE','GOIÂNIA','GO','109092091216111411386612574112610164142',NULL,'9998',0.00,1,3,NULL),(25,6006671,'1988-02-16 00:00:00',4,3,12,2005,'M','N','JARDIM BANDEIRANTES','CORNÉLIO PROCÓPIO','PR','116162161216572431359634575122610126067',934,'9998',73.69,1,3,NULL),(25,6006680,'1990-02-26 00:00:00',2,1,12,2007,'F','N','ALTO','PIRACICABA','SP','125252251215571431358714595125610167017',4302,'9998',59.88,1,3,NULL),(25,6006698,'1993-11-22 00:00:00',4,1,12,2010,'F','N','ZONA II','MARINGÁ','PR','116164164216271731458832275122610166097',1773,'9998',68.67,1,3,NULL),(25,6006701,'1992-09-15 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116372452536623272124122543117',3997,'739',60.17,2,1,1),(25,6006710,'1993-02-13 00:00:00',4,1,12,2010,'M','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124242241216273411543411175124610114172',2818,'1022',65.83,1,3,NULL),(25,6006728,'1991-04-03 00:00:00',4,1,12,2009,'M','N','BOM FIM','PTO ALEGRE','RS','120202201216471742443829275121610167057',14626,'9998',44.26,1,3,NULL),(25,6006736,'1989-02-20 00:00:00',2,1,12,2006,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124244248217375421337944345234131462042',4352,'1018',59.52,1,3,NULL),(25,6006744,'1991-03-07 00:00:00',2,1,12,2008,'F','N','CENTRO','PALHOÇA','SC','124242244216152431468613442122133227077',13919,'1011',45.30,1,3,NULL),(25,6006752,'1991-09-07 00:00:00',2,1,12,2009,'F','N','JARDIM AMÉRICA','MARINGÁ','PR','116164161417271431635911112124141837092',16161,'9998',38.26,1,3,NULL),(25,6006779,'1991-05-20 00:00:00',4,1,12,2008,'M','N','JARDIM SANTA ROSA','MATÃO','SP','125251251117572431446619575122610137092',6120,'9998',54.33,1,2,1),(25,6006787,'1993-05-21 00:00:00',4,1,11,2010,'M','N','PARADA INGLESA','S PAULO','SP','125253251117111431326611275121610117142',4247,'9998',60.60,1,3,NULL),(25,6006795,'1993-02-18 00:00:00',2,1,12,2010,'M','N','POTECAS','S JOSÉ','SC','124241241115271732636623572114610114177',NULL,'734',34.87,1,2,1),(25,6006817,'1986-03-04 00:00:00',4,1,12,2003,'F','N','CAMINHO NOVO','PALHOÇA','SC','124161161147232431423311245234610123047',21411,'9998',28.72,1,3,NULL),(25,6006825,'1993-02-15 00:00:00',4,8,12,2010,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241237272541489932575112610164042',33,'457',86.63,1,3,NULL),(25,6006833,'1984-09-02 00:00:00',4,1,8,2003,'F','N','SAO SEBASTIÃO','PALHOÇA','SC','124243241136333451435611445124610128093',NULL,'592',0.00,1,3,NULL),(25,6006841,'1989-04-29 00:00:00',2,1,12,2006,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241116275431424634285124123226142',NULL,'733',0.00,1,2,1),(25,6006850,'1993-09-13 00:00:00',4,1,12,2010,'F','N','CENTRO','VIDEIRA','SC','124244241215111441459932575122610166172',6226,'969',54.57,1,3,NULL),(25,6006868,'1994-06-18 00:00:00',4,1,11,2011,'F','S','CENTRO','GAROPABA','SC','124241241126151711543512375122610137071',NULL,'322',34.28,1,3,NULL),(25,6006876,'1992-09-18 00:00:00',2,1,12,2009,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241111471431315329571124610141077',NULL,'65',36.49,2,1,1),(25,6006906,'1993-03-31 00:00:00',4,1,12,2010,'M','N','GUAIÚBA','IMBITUBA','SC','124241241117371431338629575121610137182',10143,'1034',47.46,1,2,1),(25,6006914,'1992-07-06 00:00:00',4,1,12,2009,'M','N','POTECAS','S JOSÉ','SC','124241241116572431543714341114610127062',9348,'727',50.88,1,2,1),(25,6006922,'1992-08-15 00:00:00',4,2,12,2009,'F','N','VICTOR KONDER','BLUMENAU','SC','124052051216371431468921595122610126182',11722,'9998',44.70,1,3,NULL),(25,6006930,'1988-03-12 00:00:00',2,1,11,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','524241241116135421524423145124610136147',NULL,'276',23.01,1,2,1),(25,6006949,'1994-06-05 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431436621575112610126072',17472,'738',34.38,1,3,NULL),(25,6006957,'1993-09-26 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215151751344611475122610168092',19279,'1198',30.55,1,3,NULL),(25,6006965,'1993-08-07 00:00:00',4,2,11,2010,'F','N','SÃO LUIZ','BRUSQUE','SC','124241241415371441456934345122610146142',9661,'1123',48.89,1,3,NULL),(25,6006973,'1991-03-25 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216372431479613475122231017077',2733,'270',65.73,1,3,NULL),(25,6006981,'1972-07-16 00:00:00',4,1,12,1993,'M','N','CAMINHO NOVO','PALHOÇA','SC','124134131413472441238879292122133231147',19380,'9998',36.11,1,3,NULL),(25,6006990,'1984-12-05 00:00:00',2,16,12,2000,'F','N','N SRA APARECIDA','CURITIBANOS','SC','224241241116141731512253572113610124145',NULL,'320',14.05,1,2,1),(25,6007007,'1992-04-04 00:00:00',2,8,11,2009,'M','N','COMASA','JOINVILLE','SC','124241241145371411346414345124610134172',NULL,'469',13.51,1,2,1),(25,6007015,'1992-03-29 00:00:00',2,1,7,2010,'M','N','RIO GRANDE','PALHOÇA','SC','124241247227271731543639245124610137182',NULL,'9999',0.00,1,3,NULL),(25,6007031,'1992-06-02 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116142411426614295124231334147',NULL,'307',38.38,4,1,1),(25,6007040,'1986-05-31 00:00:00',4,1,12,2004,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124242241216244741129644342324232917182',NULL,'944',16.32,1,3,NULL),(25,6007058,'1993-04-04 00:00:00',3,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151431259629595122610121182',7236,'270',53.75,1,3,NULL),(25,6007074,'1993-10-12 00:00:00',2,15,12,2010,'F','N','VILA LOTHAMMER','TORRES','RS','120201201217111731444935575124610116142',20055,'9998',34.42,1,3,NULL),(25,6007082,'1993-10-27 00:00:00',2,4,12,2010,'F','N','JARDIM BELA VISTA','ITAPIRANGA','SC','124241241235111431446613475122610134122',16220,'1060',35.48,1,3,NULL),(25,6007090,'1993-03-15 00:00:00',4,10,12,2010,'F','N','CENTRO','TUBARÃO','SC','124241241215131431328631575124610134197',NULL,'1120',26.57,1,3,NULL),(25,6007104,'1994-10-15 00:00:00',4,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124272241215111431487832575122610162192',NULL,'262',0.00,1,3,NULL),(25,6007112,'1980-01-15 00:00:00',2,8,12,1997,'M','N','CENTRO','GARUVA','SC','124241233126135431333311282114610127157',NULL,'474',14.10,4,2,1),(25,6007120,'1993-09-12 00:00:00',4,5,11,2010,'F','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241215111411336614575112610144197',4096,'226',59.99,1,3,NULL),(25,6007139,'1993-03-18 00:00:00',4,8,12,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','116162161215111531269614545124610122047',1336,'1063',70.89,1,3,NULL),(25,6007147,'1992-10-21 00:00:00',4,8,12,2010,'F','N','GUANABARA','JOINVILLE','SC','124241241215371431369613575124610125011',15711,'1006',36.54,1,3,NULL),(25,6007163,'1957-06-28 00:00:00',2,1,12,2002,'F','N','BARREIROS','S JOSÉ','SC','124201241126343711223344242134142254187',20217,'9999',34.01,1,3,NULL),(25,6007180,'1990-05-03 00:00:00',2,1,12,2007,'F','N','MENINO DEUS','PTO ALEGRE','RS','120202201215572411227911571124610142077',804,'9998',73.96,1,3,NULL),(25,6007198,'1993-07-11 00:00:00',4,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217121431579931475114610124042',1120,'270',73.31,1,3,NULL),(25,6007210,'1987-11-10 00:00:00',2,1,4,2006,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241116233751523614282124610137187',11412,'739',43.37,1,2,1),(25,6007228,'1980-03-04 00:00:00',4,4,12,2007,'M','N','CENTRO','IVATÉ','PR','116161161145572431533331571224340621097',3222,'9998',63.74,1,2,1),(25,6007236,'1991-12-16 00:00:00',4,8,11,2009,'F','N','BATEL','CURITIBA','PR','116162161211471431389839575122610165072',4863,'9998',57.74,1,3,NULL),(25,6007244,'1993-04-26 00:00:00',4,4,11,2010,'M','N','SANTA MARIA','CHAPECÓ','SC','124242241217111731437314445122610167187',13141,'168',42.16,1,3,NULL),(25,6007252,'1992-12-16 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241115471431444613585124610144143',NULL,'287',18.67,1,2,1),(25,6007279,'1986-03-14 00:00:00',2,8,12,2003,'M','N','JARIVATUBA','JOINVILLE','SC','124241241112151421643911445223610164172',20721,'492',32.30,1,2,1),(25,6007287,'1993-09-24 00:00:00',2,10,10,2010,'F','N','ENCRUZO','JAGUARUNA','SC','124241241215111431424634575124610118147',18653,'806',37.65,1,3,NULL),(25,6007295,'1990-09-11 00:00:00',2,1,11,2007,'F','N','FLORESTA','RIO BRANCO','AC','101012161216571431458823595222610136092',NULL,'9998',0.00,1,3,NULL),(25,6007309,'1987-03-20 00:00:00',2,1,12,2004,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241347273431324424245124610167052',9650,'272',48.16,1,3,NULL),(25,6007317,'1990-04-10 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241216373431576319592114610164181',9330,'299',52.48,1,3,NULL),(25,6007325,'1989-06-21 00:00:00',4,8,10,2005,'M','N','CJURU','CURITIBA','PR','116164161447431431336614285112140622141',15974,'9998',37.24,4,3,NULL),(25,6007341,'1993-07-21 00:00:00',4,1,12,2010,'F','N','JARDIM AMÉRICA','CAÇAPAVA','SP','125252251216111431349834495122610164072',NULL,'9998',15.89,1,3,NULL),(25,6007350,'1991-07-09 00:00:00',2,9,12,2010,'F','N','JARDIM CEPAR','LAGES','SC','124241247446131431436674281122610136047',NULL,'9999',24.19,1,3,NULL),(25,6007376,'1994-11-11 00:00:00',2,5,12,2011,'M','S','NOSSA SR DE FATIMA','BRAÇO NORTE','SC','124244241217151431239613572114610147062',NULL,'950',33.57,1,3,NULL),(25,6007384,'1992-10-16 00:00:00',4,1,11,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124241241117131431623539295224610125147',NULL,'295',19.58,1,3,NULL),(25,6007392,'1975-11-01 00:00:00',2,1,12,1992,'M','N','CENTRO','FLORIANÓPOLIS','SC','124162041236151431569713315132342612142',5062,'9998',60.70,4,3,NULL),(25,6007406,'1991-09-02 00:00:00',4,1,12,2008,'F','N','BELA VISTA I','S JOSÉ','SC','124242241237152511469813375114233241192',20619,'259',32.68,4,3,NULL),(25,6007414,'1993-06-25 00:00:00',4,3,12,2010,'F','N','LA SALLE','XANXERÊ','SC','124244241116161431357619475125610121142',15732,'840',42.55,1,3,NULL),(25,6007422,'1992-06-29 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241236473441236621245124610122142',19221,'944',34.65,1,3,NULL),(25,6007430,'1993-07-09 00:00:00',4,8,12,2010,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215471441349911575124610164142',3476,'1016',62.47,1,3,NULL),(25,6007457,'1993-03-05 00:00:00',4,8,12,2010,'F','N','NOVA BRASÍLIA','JOINVILLE','SC','124244241115471431468933571124610148142',13406,'478',41.26,1,3,NULL),(25,6007465,'1993-07-29 00:00:00',4,1,12,2010,'F','N','CENTRO','RONDONÓPOLIS','MT','111112111116471431334823172122610121142',7368,'9998',51.94,1,3,NULL),(25,6007473,'1992-08-27 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124244241337271431539611575124131322047',NULL,'262',23.36,1,3,NULL),(25,6007481,'1992-05-14 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215473731348912475122122327042',2955,'737',64.87,1,3,NULL),(25,6007490,'1992-11-10 00:00:00',4,8,12,2010,'F','N','ITAUM','JOINVILLE','SC','124241241216271441436414575124610122077',NULL,'489',19.07,1,3,NULL),(25,6007503,'1992-05-14 00:00:00',2,1,11,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124243241117273232436313571124610134192',NULL,'307',0.00,1,3,NULL),(25,6007511,'1992-08-24 00:00:00',4,10,12,2009,'F','N','CENTRO','CASCAVEL','PR','116241241115371731245669242122610128197',NULL,'798',27.27,1,2,1),(25,6007520,'1984-09-16 00:00:00',2,1,12,2010,'F','N','TAPÉRA','FLORIANÓPOLIS','SC','224241245326143421236354245124610156197',NULL,'307',29.33,1,3,NULL),(25,6007538,'1991-12-09 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124241241116132431436923375124130234077',17363,'733',35.03,1,2,1),(25,6007546,'1990-11-29 00:00:00',2,1,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','121162261216373731268931595111233268192',NULL,'9998',21.44,1,3,NULL),(25,6007554,'1993-10-28 00:00:00',2,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241145271121423311245124610117042',9857,'733',48.42,1,2,1),(25,6007562,'1992-05-14 00:00:00',4,1,11,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241217272411459633575124121764052',4450,'1133',62.13,1,3,NULL),(25,6007570,'1964-10-02 00:00:00',2,1,10,1990,'M','N','REAL PARQUE','S JOSÉ','SC','224243247136153441343343335122321268042',NULL,'9999',0.00,1,3,NULL),(25,6007597,'1994-02-16 00:00:00',2,5,12,2010,'F','N','CORRIDAS','ORLEANS','SC','124241241115141431456314375124610146177',NULL,'580',0.00,1,2,1),(25,6007600,'1993-12-08 00:00:00',4,8,12,2010,'F','N','JARDIM JATAY','CAÇAPAVA','SP','125252254216141231469814275122610133074',NULL,'9998',24.95,4,3,NULL),(25,6007619,'1993-02-14 00:00:00',4,10,12,2010,'F','N','CENTRO','TUBARÃO','SC','124242241215111431568812375122610122142',8337,'797',50.91,1,3,NULL),(25,6007627,'1991-06-05 00:00:00',2,15,12,2010,'M','N','SÃO CRISTOVÃO','MARACAJÁ','SC','124241242116131531323534575124610124147',NULL,'690',18.11,1,3,NULL),(25,6007635,'1993-11-24 00:00:00',4,5,11,2010,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111531448811575122610134047',6320,'213',55.79,1,3,NULL),(25,6007643,'1991-10-06 00:00:00',2,10,12,2009,'M','N','VILA VITÓRIA','LAGUNA','SC','124241241126131431313111212321610127047',NULL,'524',0.00,1,3,NULL),(25,6007651,'1993-07-08 00:00:00',2,1,12,2010,'F','N','SÃO JOSÉ CENTRO','S JOSÉ','SC','124241241115131431236579575124610164147',NULL,'733',27.20,1,2,1),(25,6007660,'1990-03-08 00:00:00',4,8,12,2007,'M','N','ESCOLINHA','JOINVILLE','SC','124244246217573431353811594122610167042',1248,'1105',72.62,1,3,NULL),(25,6007678,'1982-05-21 00:00:00',4,2,12,1999,'M','N','DOS ESTADOS','INDAIAL','SC','124241241137132431223329245121610161097',14633,'365',44.25,1,2,1),(25,6007686,'1992-05-30 00:00:00',2,1,12,2010,'F','N','CAVALHADA','PTO ALEGRE','RS','120201201117141531425614392124610167142',NULL,'9998',20.30,1,2,1),(25,6007694,'1990-02-25 00:00:00',2,1,12,2007,'F','N','COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC','124241241137474431437634472124610163147',13520,'307',41.43,1,2,1),(25,6007708,'1993-04-30 00:00:00',2,5,12,2010,'F','N','RIO FIORITA','SIDERÓPOLIS','SC','124243248115371431526911275124610167072',NULL,'768',24.48,1,3,NULL),(25,6007716,'1990-02-25 00:00:00',4,1,12,2007,'M','N','CENTRO','PENÁPOLIS','SP','125251251116471441326315595121610127052',NULL,'9998',24.98,1,2,1),(25,6007724,'1993-08-10 00:00:00',2,1,11,2010,'F','N','JARDIM EUROPA','SORRISO','MT','111111111246111411456823592121610168172',NULL,'9998',33.99,4,3,NULL),(25,6007732,'1994-01-12 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731468813572112610124142',3368,'262',63.92,1,3,NULL),(25,6007740,'1989-03-26 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124212211216231431337812375112610164187',15688,'9998',42.62,1,3,NULL),(25,6007759,'1992-02-02 00:00:00',4,1,11,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217472431358923572124610161195',3512,'270',63.81,4,3,NULL),(25,6007767,'1987-09-30 00:00:00',2,5,12,2005,'M','N','SANTA FÉ','GRAVATAÍ','RS','120201201122331411544434342114243217041',15567,'9998',37.35,1,2,1),(25,6007775,'1987-06-25 00:00:00',2,1,12,2003,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201201116131411227744345224340221097',NULL,'9998',24.46,1,2,1),(25,6007783,'1990-04-28 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124203247446371411323535245124610112041',17276,'9999',35.95,1,3,NULL),(25,6007791,'1992-04-11 00:00:00',4,1,12,2009,'M','N','JARDIM RENASCENÇA II','S LUÍS','MA','110102101216151431466632175122141037042',13527,'9998',45.89,1,3,NULL),(25,6007805,'1992-06-18 00:00:00',2,5,11,2009,'F','N','CENTRO','IÇARA','SC','124242241215372431465532375124610136011',NULL,'226',36.85,1,3,NULL),(25,6007813,'1994-12-21 00:00:00',4,9,11,2011,'F','S','CENTRO','LAGES','SC','124243241217111531558712472122610128192',NULL,'1207',38.90,3,3,NULL),(25,6007830,'1993-02-19 00:00:00',2,4,11,2010,'F','N','CENTRO','FAXINAL GUEDES','SC','124244241216111431459916575112610164142',16747,'836',41.01,1,3,NULL),(25,6007848,'1991-10-21 00:00:00',4,8,12,2009,'F','N','CENTRO','APUCARANA','PR','116162161236151431639813575125610164017',NULL,'9998',34.99,1,3,NULL),(25,6007856,'1993-08-10 00:00:00',4,1,12,2010,'F','N','VILA NOEMY','BAURU','SP','125052251217111231488814575122610122092',7983,'9998',51.29,1,3,NULL),(25,6007864,'1992-10-11 00:00:00',2,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431348611571112610136117',NULL,'272',31.39,1,3,NULL),(25,6007880,'1988-07-13 00:00:00',2,1,12,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241127132731121548281324231022187',NULL,'307',30.06,1,3,NULL),(25,6007899,'1990-07-11 00:00:00',2,1,12,2007,'F','N','VILA SUÍÇA','GRAMADO','RS','120202201216153431279627575122241464145',NULL,'9998',0.00,1,3,NULL),(25,6007910,'1991-04-08 00:00:00',2,8,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116162161216274431349879595122610126172',251,'9998',80.31,1,3,NULL),(25,6007929,'1993-03-05 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215112411359933572112610134062',366,'1133',78.79,1,3,NULL),(25,6007937,'1992-12-13 00:00:00',4,1,11,2010,'M','N','BATEL','CURITIBA','PR','116162161211111431558812575124610167062',10307,'9998',46.51,1,3,NULL),(25,6007945,'1992-04-11 00:00:00',2,9,12,2009,'F','N','MARIA LUIZA','LAGES','SC','124241241116472431433311572124610134147',5064,'935',59.05,1,2,1),(25,6007953,'1993-06-14 00:00:00',2,8,11,2010,'F','N','CENTRO','JOINVILLE','SC','124244241215121431658811592112610125152',7860,'1016',52.20,1,3,NULL),(25,6007961,'1989-04-07 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201241115272431127744345224120922097',9789,'169',51.70,1,2,1),(25,6007970,'1991-11-06 00:00:00',2,1,11,2009,'F','N','JARDIM BOTANICO','RIBEIRÃO PRETO','SP','125252251216471431453811575122610161141',NULL,'9998',0.00,2,1,2),(25,6007988,'1993-11-01 00:00:00',4,1,10,2010,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161215271721358933572125610164187',6886,'9998',53.93,1,3,NULL),(25,6007996,'1992-08-02 00:00:00',4,3,12,2009,'F','N','ARIRIBÁ','BAL CAMBORIÚ','SC','124241242117272431437814571124121434097',4539,'129',59.69,1,2,1),(25,6008003,'1993-08-31 00:00:00',2,1,12,2010,'F','N','FABRICIO','STO AMARO IMPERATRIZ','SC','124243241146271731523334285124610136191',12228,'772',44.54,1,3,NULL),(25,6008011,'1991-12-28 00:00:00',4,16,12,2008,'F','N','CENTRO','POUSO REDONDO','SC','124241241127131331424411142234610134147',NULL,'639',22.73,1,2,1),(25,6008020,'1991-06-20 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241137471731524414245234610128193',NULL,'296',30.71,1,2,1),(25,6008038,'1992-10-11 00:00:00',2,1,10,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211111441438732572112610164182',18606,'269',35.24,1,3,NULL),(25,6008054,'1992-08-06 00:00:00',4,1,12,2009,'F','N','FREI ROGERIO','LAGES','SC','124242241215472441478712275124610122122',2620,'497',65.47,1,3,NULL),(25,6008062,'1982-06-06 00:00:00',4,8,12,2001,'M','N','IRIRIÚ','JOINVILLE','SC','124242243216272411557774245132333262042',NULL,'494',0.00,1,3,NULL),(25,6008070,'1993-05-06 00:00:00',4,10,12,2010,'F','N','CABEÇUDAS','LAGUNA','SC','124214241436131431536319595124610132092',NULL,'524',19.17,1,3,NULL),(25,6008089,'1993-09-17 00:00:00',4,3,12,2010,'M','N','BELA SUÍÇA','LONDRINA','PR','116162161217271431468933575112610134187',11298,'9998',45.38,1,3,NULL),(25,6008097,'1992-01-08 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241217573431469611575122610164192',227,'1000',80.61,1,3,NULL),(25,6008100,'1993-08-13 00:00:00',4,7,11,2010,'F','N','MONTE BELO','JOAÇABA','SC','124242241215371711479933285122610168147',18096,'962',38.65,1,3,NULL),(25,6008119,'1993-06-30 00:00:00',4,7,12,2010,'M','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241211471411368933271122610116191',NULL,'962',0.00,1,3,NULL),(25,6008127,'1994-05-15 00:00:00',4,10,12,2011,'F','S','PASSAGEM','TUBARÃO','SC','124244241217111431468831575112610127142',NULL,'809',25.34,1,3,NULL),(25,6008135,'1993-08-11 00:00:00',2,15,12,2010,'M','N','DIVINEIA','ARARANGUÁ','SC','124241241112141742636432575121610152143',NULL,'30',24.56,1,2,1),(25,6008143,'1967-12-25 00:00:00',4,1,11,1986,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124202201316131441227744345132143241127',NULL,'9998',11.25,1,3,NULL),(25,6008151,'1993-05-03 00:00:00',4,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241215111431448819595124610122182',8767,'270',49.78,1,3,NULL),(25,6008160,'1993-10-14 00:00:00',2,1,12,2010,'F','N','PINTO BANDEIRA','BENTO GONÇALVES','RS','120201201126131731523635571124610164097',18437,'9998',33.09,1,2,1),(25,6008186,'1993-06-02 00:00:00',4,1,12,2010,'M','N','GREEN VALLEY','S JOSÉ R PRETO','SP','125252251217151731368826575122610122182',7532,'9998',52.03,1,3,NULL),(25,6008194,'1992-03-30 00:00:00',4,10,11,2009,'F','N','CENTRO','STA MARIA','RS','120242241217472431248924572122610144197',1673,'806',69.22,1,3,NULL),(25,6008208,'1978-07-01 00:00:00',2,1,12,1995,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241127375421535629235134320616112',9346,'307',48.51,1,2,1),(25,6008216,'1990-06-14 00:00:00',2,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241147472431323827482124610124055',20413,'295',33.40,2,1,1),(25,6008224,'1993-07-27 00:00:00',2,1,12,2010,'M','N','JARDIM ALVORADA','MARINGÁ','PR','116162168216111731486632572112610164192',3482,'9998',63.15,1,3,NULL),(25,6008232,'1992-11-03 00:00:00',2,8,12,2009,'M','N','VILA TUPY','REGISTRO','SP','125252251215471431568816575122610137052',7839,'9998',52.12,3,3,NULL),(25,6008240,'1989-10-31 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241115472431435524345122610137047',10246,'307',48.01,1,3,NULL),(25,6008259,'1993-09-25 00:00:00',4,2,12,2010,'M','N','SALÃO','APIÚNA','SC','124241241126111231313336262224610117062',NULL,'22',26.04,1,2,1),(25,6008267,'1993-09-12 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124073241315111411588913575122610168192',15149,'1022',41.22,1,3,NULL),(25,6008275,'1987-10-25 01:00:00',4,1,12,2002,'F','N','KOBRASOL','S JOSÉ','SC','124241241145131431346437485112610137187',NULL,'732',32.04,1,3,NULL),(25,6008283,'1994-03-03 00:00:00',4,3,10,2010,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124201241215111431223624275123610164197',8572,'44',50.18,1,3,NULL),(25,6008291,'1993-12-13 00:00:00',4,8,12,2010,'F','N','CENTRO','PIÊN','PR','116161161116271431436412275122610138197',14769,'9998',37.64,1,2,1),(25,6008305,'1993-02-07 00:00:00',4,1,12,2010,'M','N','SANTA DOROTEIA II','POUSO ALEGRE','MG','113132131216121431369912575122610124182',3144,'9998',62.07,4,3,NULL),(25,6008313,'1991-09-22 00:00:00',2,8,12,2009,'M','N','PLANALTO','ARAÇATUBA','SP','125252251116471411435524175113610167047',NULL,'9998',0.00,1,3,NULL),(25,6008321,'1986-09-18 00:00:00',4,1,12,2003,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124201201137272421646614242134340236197',6844,'9998',53.79,1,2,1),(25,6008330,'1993-12-03 00:00:00',4,3,10,2010,'F','N','BIGORRILHO','CURITIBA','PR','116162161215121431278939575112610162042',NULL,'9998',34.15,1,3,NULL),(25,6008348,'1992-08-22 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241217373441359333575114610167042',2944,'1022',66.08,1,3,NULL),(25,6008356,'1992-06-04 00:00:00',2,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115472431356633345114610117142',20993,'278',31.11,1,2,1),(25,6008380,'1992-05-07 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217474431359923572125123251057',2056,'270',67.97,1,3,NULL),(25,6008399,'1993-05-10 00:00:00',4,1,11,2010,'F','N','CENTRO','STA MARIA','RS','120202201416371441548831275122610122157',18266,'9998',31.20,1,3,NULL),(25,6008402,'1992-02-10 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241216471431168833585124610166185',6054,'392',58.62,1,3,NULL),(25,6008410,'1993-04-08 00:00:00',4,6,12,2010,'M','N','SÃO VICENTE','ITAJAÍ','SC','124244241217151711356629395122610161147',1866,'389',68.54,1,3,NULL),(25,6008429,'1993-09-09 00:00:00',2,2,12,2010,'M','N','FIDÉLIS','BLUMENAU','SC','124241241127141431533317575124610127047',NULL,'874',18.12,3,2,1),(25,6008437,'1992-05-22 00:00:00',4,2,12,2009,'F','N','RAINHA','RIO SUL','SC','124241241116371431326334575124231444147',13670,'659',40.96,1,2,1),(25,6008445,'1991-11-07 00:00:00',2,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241115475431553314175124231127042',4617,'307',59.90,1,2,1),(25,6008453,'1990-07-22 00:00:00',4,1,5,2009,'M','N','SETOR BUENO','GOIÂNIA','GO','109013281437471431459813572122610161032',NULL,'9998',0.00,3,3,NULL),(25,6008470,'1992-03-31 00:00:00',4,4,12,2009,'F','N','SEIS DE MAIO','PALMEIRA MISSÕES','RS','120203201215471431438532595114143234047',8191,'9998',50.79,1,3,NULL),(25,6008488,'1987-10-21 00:00:00',4,1,12,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241436273411134943335332320267053',NULL,'956',0.00,1,3,NULL),(25,6008496,'1991-10-01 00:00:00',2,10,12,2008,'F','N','BACACHERI','CURITIBA','PR','116241241211573531447614581124610162191',7523,'809',53.90,4,3,NULL),(25,6008500,'1990-09-10 00:00:00',4,1,12,2008,'F','N','JARDIM PAULIISTA','RIBEIRÃO PRETO','SP','125252251215572431458831575122610127077',1908,'9998',67.18,1,3,NULL),(25,6008518,'1989-04-21 00:00:00',4,1,12,2006,'M','N','BOA VISTA','BOTUCATU','SP','125252251216574751549711575122141567042',192,'9998',81.17,1,3,NULL),(25,6008526,'1991-01-05 00:00:00',4,1,12,2008,'M','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124241241127132231523311382214610164147',8713,'307',51.02,1,2,1),(25,6008534,'1982-08-12 00:00:00',2,1,7,2002,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241116274431223344345124610131147',21143,'307',30.43,1,3,NULL),(25,6008542,'1991-11-28 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241416132431544612385124610133027',16970,'295',35.65,1,3,NULL),(25,6008550,'1992-05-14 00:00:00',2,15,12,2009,'F','N','SÃO LUIS','SOMBRIO','SC','124241241116151732326334445122610134147',18693,'1033',32.30,1,3,NULL),(25,6008569,'1993-04-21 00:00:00',4,9,11,2010,'F','N','BRUSQUE','LAGES','SC','124242248215152431368834575122610164192',14328,'497',44.67,1,3,NULL),(25,6008577,'1993-04-21 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215372431549911574124610137042',4470,'262',60.45,1,3,NULL),(25,6008585,'1990-01-01 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215373431358829495112122222092',7048,'272',53.76,1,3,NULL),(25,6008593,'1988-03-12 00:00:00',4,1,12,2007,'M','N','SANTA MARIA','UBERLÂNDIA','MG','113133137235472431487921575112610167012',NULL,'9998',0.00,1,3,NULL),(25,6008607,'1993-06-25 00:00:00',4,1,12,2010,'M','N','JD SANTA TEREZINHA','CÂNDIDO MOTA','SP','125252251217111431468832575121610164012',7875,'9998',50.11,1,3,NULL),(25,6008623,'1990-10-20 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241137471731126344245134610133051',NULL,'274',17.47,1,2,1),(25,6008631,'1991-08-12 00:00:00',4,1,11,2009,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217372431469932395124610161092',771,'262',75.15,1,3,NULL),(25,6008640,'1964-11-27 00:00:00',2,1,12,1982,'M','N','JARDIM CIDADE DE FLO','S JOSÉ','SC','224241243227143511355443335132133237043',16281,'264',41.73,4,3,NULL),(25,6008658,'1986-05-21 00:00:00',2,1,7,2004,'M','N','NOSSA SRA DE LOURDES','STA MARIA','RS','120203207347571411566929595122610165112',6173,'9998',54.91,1,3,NULL),(25,6008666,'1993-10-05 00:00:00',4,4,12,2010,'M','N','PADRE ANTONIO','MARAVILHA','SC','124242241315111232349923575122610167052',16704,'552',37.32,1,3,NULL),(25,6008674,'1992-07-09 00:00:00',2,10,12,2009,'F','N','MAR GROSSO','LAGUNA','SC','124242241215472431456623595124610127187',15961,'525',36.96,1,3,NULL),(25,6008682,'1986-12-31 00:00:00',4,8,12,2005,'F','N','AVENTUREIRO','JOINVILLE','SC','224241241346131731236654245224133234077',NULL,'470',0.00,1,3,NULL),(25,6008690,'1991-08-28 00:00:00',2,1,12,2009,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124201201117131631113348482324233224057',NULL,'9998',0.00,1,2,1),(25,6008704,'1990-09-14 00:00:00',2,1,12,2009,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124241241121272431421424281124610117181',12914,'298',45.31,1,2,1),(25,6008712,'1993-11-09 00:00:00',2,1,11,2010,'F','N','JARDIM REGINA','RANCHARIA','SP','125252251217121431348912324132610137157',12663,'9998',44.40,1,3,NULL),(25,6008720,'1993-05-13 00:00:00',2,15,12,2010,'F','N','POÇO VERDE','MELEIRO','SC','124243241215122431453615275122610133172',13343,'813',46.16,1,3,NULL),(25,6008739,'1993-03-26 00:00:00',2,4,11,2010,'M','N','ZONA RURAL','XANXERÊ','SC','124242241236151431567712345122610165145',6427,'836',54.40,1,3,NULL),(25,6008747,'1990-11-01 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431549923575112133235141',1113,'1050',72.74,1,3,NULL),(25,6008755,'1991-11-29 00:00:00',4,1,12,2009,'M','N','CAMPESTRE','TUBARÃO','SC','124242241212112431359913575122231437042',13927,'797',45.28,1,3,NULL),(25,6008763,'1993-09-06 00:00:00',4,4,12,2010,'F','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124241241114472431444811571122610162197',4356,'169',60.84,4,2,1),(25,6008780,'1991-10-23 00:00:00',2,4,11,2009,'M','N','ALVORADA','XAXIM','SC','124243231216471411336629245122610162062',9076,'994',48.33,1,3,NULL),(25,6008801,'1992-01-09 00:00:00',4,1,12,2010,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242247217151531566531515334610117012',NULL,'9999',0.00,4,3,NULL),(25,6008810,'1993-08-01 00:00:00',2,17,12,2010,'F','N','CENTRO','PAPANDUVA','SC','124241241116161432223823285124610127042',NULL,'603',22.02,1,3,NULL),(25,6008828,'1993-05-25 00:00:00',4,8,12,2010,'F','N','CENTRO','TAUBATÉ','SP','125251251126471731348819175125610122187',NULL,'9998',0.00,1,2,1),(25,6008836,'1989-06-23 00:00:00',2,1,12,2006,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241216372431356923345122130268182',6909,'737',54.27,1,3,NULL),(25,6008844,'1974-01-30 00:00:00',2,1,12,1992,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','224241241122432431426359375124610143187',14700,'292',40.55,1,2,1),(25,6008852,'1992-08-28 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124162161216131431347514575124610122092',17142,'9998',40.38,1,3,NULL),(25,6008879,'1992-03-31 00:00:00',2,1,12,2010,'F','N','CENTRO','S JOSÉ','SC','124242248115371431427614572124610145052',17780,'306',39.27,1,3,NULL),(25,6008887,'1993-08-27 00:00:00',4,1,12,2010,'M','N','TIJUQUINHAS','BIGUAÇU','SC','124242241215111231423931245124610127042',21641,'63',26.29,1,3,NULL),(25,6008895,'1992-10-18 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241115472431238822345124610167187',15456,'307',42.96,1,2,1),(25,6008909,'1993-04-07 00:00:00',4,8,12,2010,'F','N','CENTRO','STA BRANCA','SP','125251251116471731367633572124610123057',15831,'9998',37.30,1,3,NULL),(25,6008925,'1993-07-20 00:00:00',2,1,11,2010,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091216131431226724375124610128092',NULL,'9998',16.22,4,3,NULL),(25,6008941,'1987-02-16 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241315374421136844345121231927081',13549,'307',45.85,1,3,NULL),(25,6008950,'1993-10-01 00:00:00',4,1,12,2010,'F','N','SANTANA','STO AMARO IMPERATRIZ','SC','124241241117141431313529296324610164192',NULL,'772',24.02,1,2,1),(25,6008968,'1993-05-11 00:00:00',4,4,12,2010,'F','N','CENTRO','PALOTINA','PR','116164161215111431546612475124610168052',NULL,'9998',0.00,1,3,NULL),(25,6008984,'1993-02-18 00:00:00',4,1,12,2010,'F','N','PEDRO LUDOVICO','GOIÂNIA','GO','109092091216111431586836575112610162092',8879,'9998',49.94,1,3,NULL),(25,6008992,'1990-09-14 00:00:00',2,1,12,2007,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124203241116572431526624485124610136141',NULL,'289',22.03,1,3,NULL),(25,6009000,'1992-04-15 00:00:00',4,1,12,2009,'F','N','CIDADE DE FPOLIS','S JOSÉ','SC','124243241115472431333614575124610132193',13345,'734',42.51,1,3,NULL),(25,6009018,'1992-10-02 00:00:00',4,1,12,2009,'F','N','RESIDENCIAL COLINAS','TAUBATÉ','SP','125251251126371431438613272224610155037',6074,'9998',55.04,1,2,1),(25,6009026,'1992-06-11 00:00:00',2,1,12,2010,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241126141431433113395124610138012',13661,'294',41.23,1,2,1),(25,6009034,'1985-02-09 00:00:00',4,2,11,2002,'M','N','MERCÊS','CURITIBA','PR','116162161217371731689914435122342662187',NULL,'9998',0.00,1,3,NULL),(25,6009042,'1993-07-19 00:00:00',4,7,12,2010,'M','N','AEROPORTO','VIDEIRA','SC','124241241415271431325614575125610142172',6978,'829',54.18,1,3,NULL),(25,6009050,'1993-01-21 00:00:00',2,4,12,2010,'F','N','CENTRO','VARGEÃO','SC','124241241146142431436314245334610126147',15572,'824',36.42,1,2,1),(25,6009085,'1993-01-06 00:00:00',4,1,12,2010,'F','N','JARDIM AMERICANO','SOROCABA','SP','125254251217111431468832475122610161012',6229,'9998',55.16,1,3,NULL),(25,6009107,'1993-11-21 00:00:00',2,5,12,2010,'M','N','BARRO VERMELHO','ORLEANS','SC','124241241111131752425619572214610127057',15135,'580',38.67,1,2,1),(25,6009123,'1993-09-22 00:00:00',4,2,12,2010,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124242241216111231567612375124610162142',4729,'71',59.75,1,3,NULL),(25,6009131,'1990-06-16 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241215475231368813575124131464182',12649,'737',43.35,1,3,NULL),(25,6009140,'1994-04-15 00:00:00',2,10,12,2010,'F','N','CENTRO','ARMAZÉM','SC','124241241126141431445632272122610145142',21596,'34',26.95,1,2,1),(25,6009158,'1993-06-02 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241116241411324524395234610164032',10699,'287',46.70,1,3,NULL),(25,6009166,'1988-11-21 00:00:00',2,1,6,2009,'F','N','POTECAS','S JOSÉ','SC','124241241136134431644434485114610162187',12496,'9999',43.90,1,2,1),(25,6009182,'1992-09-28 00:00:00',4,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115473731626411575124610124142',14131,'592',40.22,1,2,1),(25,6009190,'1988-12-13 00:00:00',4,1,12,2008,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124251241125431441536837245234610132197',NULL,'288',23.39,1,3,NULL),(25,6009204,'1979-10-26 00:00:00',4,3,12,1998,'M','N','CIDADE NOVA','NAVEGANTES','SC','124133137426131411116648182334141442187',5650,'9998',56.53,2,1,2),(25,6009212,'1993-04-21 00:00:00',4,6,12,2010,'M','N','JARDIM CARVALHO','PNT GROSSA','PR','116163161215131732558913582214610147062',NULL,'9998',11.80,1,3,NULL),(25,6009220,'1992-08-10 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215472411479923345124610164172',346,'1022',78.50,1,3,NULL),(25,6009239,'1991-06-28 00:00:00',2,17,12,2008,'F','N','INDUSTRIAL I','CANOINHAS','SC','124241241116271431323313385123610164017',NULL,'153',39.18,1,2,1),(25,6009247,'1985-08-28 00:00:00',2,1,12,2003,'M','N','JARDIM CASTANHEIRAS','S JOSÉ CAMPOS','SP','125251251117572751424418483324610168072',7162,'9998',53.06,1,2,1),(25,6009255,'1993-11-27 00:00:00',2,17,12,2010,'F','N','VILA LEONARDO','PAPANDUVA','SC','124241241116161431336633575122610166197',NULL,'603',0.00,1,2,1),(25,6009263,'1994-05-01 00:00:00',4,1,12,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241335112411333831575124610166092',10285,'1022',48.47,1,3,NULL),(25,6009271,'1992-05-16 00:00:00',2,1,7,2009,'F','N','CENTRO HISTÓRICO','S JOSÉ','SC','124241247216132731128524344335610112067',NULL,'9999',26.33,1,3,NULL),(25,6009280,'1988-10-10 00:00:00',2,1,12,2006,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241116574421324414345134221437012',18937,'281',31.73,1,2,1),(25,6009298,'1993-08-11 00:00:00',2,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241215131731436633275124610128097',8104,'1119',51.32,1,3,NULL),(25,6009301,'1991-07-20 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241235111441236814575124610141142',12415,'883',43.81,1,3,NULL),(25,6009328,'1990-07-14 00:00:00',2,1,12,2007,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124243241116374231334623345124222324142',NULL,'65',43.37,1,3,NULL),(25,6009344,'1989-03-23 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124241241116132231127544245133230722097',NULL,'592',0.00,1,3,NULL),(25,6009360,'1992-05-12 00:00:00',2,1,12,2009,'F','N','REBOUÇAS','CURITIBA','PR','116254161216472411457933575114610133192',13368,'9998',40.57,1,3,NULL),(25,6009379,'1993-10-21 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117471431436613575124610123072',6276,'271',54.41,1,3,NULL),(25,6009387,'1993-05-09 00:00:00',4,10,11,2010,'M','N','ST ANTÔNIO DE PÁDUA','TUBARÃO','SC','124244241215111431566532245112610122122',3353,'807',62.42,1,3,NULL),(25,6009409,'1993-05-21 00:00:00',4,1,12,2010,'F','N','JD SUL','S JOSÉ CAMPOS','SP','125252251215111431438733575124140227014',NULL,'9998',0.00,1,3,NULL),(25,6009417,'1993-10-04 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115141731621628345124610124182',17918,'307',35.74,4,2,1),(25,6009425,'1992-10-05 00:00:00',2,15,7,2010,'F','N','SÃO CRISTÓVÃO','TURVO','SC','124244243416361431344316475124610123052',NULL,'995',19.17,1,3,NULL),(25,6009441,'1994-07-06 00:00:00',4,9,12,2010,'F','N','PINHEIROS','OTACÍLIO COSTA','SC','124241241435111331648913575122610165142',NULL,'1028',0.00,1,3,NULL),(25,6009450,'1992-01-02 00:00:00',4,4,12,2009,'F','N','CENTRO','IPUMIRIM','SC','124241241117372431536923574112610126142',7641,'169',52.41,1,2,1),(25,6009476,'1991-08-16 00:00:00',2,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201201116271431336624475324610125141',14909,'9998',38.95,4,2,1),(25,6009484,'1984-07-23 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161201116275451126649395124121267042',6287,'9998',55.67,1,2,1),(25,6009492,'1993-09-05 00:00:00',4,4,12,2010,'F','N','CENTRO','PNT GROSSA','PR','116164161217121431577916575122610146092',1993,'9998',67.37,1,3,NULL),(25,6009514,'1993-10-05 00:00:00',4,10,11,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215122431438819575112610166092',NULL,'807',0.00,1,3,NULL),(25,6009522,'1991-10-08 00:00:00',2,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241116373752538714385124610167147',14240,'257',41.60,1,2,1),(25,6009549,'1987-12-20 00:00:00',2,1,12,2005,'F','N','CENTRO','CAÇADOR','SC','424241241117131211123143335125332328142',NULL,'650',17.39,1,3,NULL),(25,6009565,'1982-11-29 00:00:00',2,2,12,2000,'F','N','UBERABA','CURITIBA','PR','116161161116471442326439485124610142017',15041,'9998',39.19,1,2,1),(25,6009581,'1993-03-21 00:00:00',4,5,11,2010,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241215311431349811575122610168127',1217,'226',72.70,1,3,NULL),(25,6009611,'1992-09-28 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241415372431358917574124231223072',9506,'1118',52.21,1,3,NULL),(25,6009620,'1980-04-08 00:00:00',2,1,12,1996,'M','N','SALETE','S MIGUEL OESTE','SC','224241241126133441336643235133121827043',NULL,'757',55.22,4,3,NULL),(25,6009638,'1984-12-22 00:00:00',4,1,12,2002,'M','N','CAMPINAS','S JOSÉ','SC','124242241216575231378923435122421162057',3503,'270',64.53,1,3,NULL),(25,6009654,'1990-12-24 00:00:00',3,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','123202201216231731334721575124143237092',NULL,'9998',22.73,1,3,NULL),(25,6009662,'1993-01-07 00:00:00',2,4,12,2009,'M','N','CENTRO','STA TEREZA OESTE','PR','116162161215471751586632575112610167062',8180,'9998',50.72,1,3,NULL),(25,6009670,'1992-02-10 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241215372431328614475123131464185',5150,'1022',60.51,1,3,NULL),(25,6009689,'1993-06-07 00:00:00',2,1,12,2010,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241115371431533315575124610127142',16207,'733',37.44,1,2,1),(25,6009697,'1992-10-19 00:00:00',4,1,12,2010,'F','N','PORTAL DA FOZ','FOZ IGUAÇU','PR','116161161217111431433339575124610148181',15181,'9998',41.45,1,3,NULL),(25,6009700,'1971-10-04 00:00:00',2,1,12,1998,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124161163126571411161943335132341037182',13204,'9998',46.34,1,3,NULL),(25,6009719,'1993-10-30 00:00:00',4,8,12,2010,'F','N','ACARAÍ','S FRANCISCO SUL','SC','124241241114111731211629582345610124197',NULL,'710',0.00,1,3,NULL),(25,6009735,'1992-02-01 00:00:00',4,1,11,2010,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241216122431338833475124610137095',12643,'270',43.22,1,3,NULL),(25,6009751,'1982-07-17 00:00:00',4,1,12,2000,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241346275421344714435124533262187',11173,'1036',49.41,2,3,NULL),(25,6009760,'1992-04-02 00:00:00',2,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241116372411423424575124610134192',7591,'288',53.25,1,2,1),(25,6009786,'1993-11-29 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215131731433432375122610123077',17528,'738',35.24,1,3,NULL),(25,6009794,'1993-01-12 00:00:00',2,9,12,2010,'F','N','JARDIM DOS PAMPAS','VACARIA','RS','120201201112161431425714572122610124147',NULL,'9998',25.82,1,2,1),(25,6009808,'1992-12-29 00:00:00',2,1,12,2009,'F','N','FLORESTA','PTO ALEGRE','RS','120201201115471731628814575124610164047',19790,'9998',35.17,1,2,1),(25,6009816,'1992-03-19 00:00:00',4,3,12,2009,'M','N','VILA LETÔNIA','S JOSÉ CAMPOS','SP','125251251117571131328514242121610132012',10683,'9998',47.37,1,2,1),(25,6009824,'1992-04-17 00:00:00',4,1,11,2009,'F','N','ÁGUA FRIA','FORTALEZA','CE','106062061216471431389911575112610124022',NULL,'9998',0.00,4,3,NULL),(25,6009832,'1993-07-07 00:00:00',4,9,12,2010,'F','N','CAÇA E TIRO','LAGES','SC','124242241215371711436312225122610136012',NULL,'1028',31.82,1,3,NULL),(25,6009840,'1991-08-06 00:00:00',4,1,12,2008,'F','N','CENTRO','S PEDRO ALCÂNTARA','SC','124241241126133711423314445334610114147',14305,'869',40.79,1,2,1),(25,6009859,'1994-03-16 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215131431325821214114610167181',13420,'1022',40.20,1,3,NULL),(25,6009867,'1993-09-10 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241215131431337612272124610134117',3306,'1022',62.44,1,3,NULL),(25,6009875,'1989-12-25 00:00:00',2,1,7,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243247226131411339833295124231241147',NULL,'9999',0.00,1,3,NULL),(25,6009883,'1993-01-27 00:00:00',2,1,12,2010,'M','N','CENTRO','ANITÁPOLIS','SC','124241241146271431324424575124610132172',7547,'19',51.19,1,2,1),(25,6009891,'1983-05-29 00:00:00',4,1,12,2000,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224241241147135441223354475224322264182',NULL,'293',28.81,4,3,NULL),(25,6009921,'1992-02-23 00:00:00',2,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241227112431326361575124122367053',14057,'262',40.47,1,3,NULL),(25,6009930,'1993-07-13 00:00:00',4,2,12,2010,'M','N','CENTRO','ITUPORANGA','SC','124242241216162431469613575124610134142',8182,'654',49.89,1,3,NULL),(25,6009948,'1993-05-12 00:00:00',4,1,11,2010,'F','N','ARAUCÁRIA','S JOSÉ','SC','124241241215111431456614574124610166142',5374,'270',57.28,1,3,NULL),(25,6009964,'1992-04-29 00:00:00',4,1,12,2009,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124242241212472431546612572124610122192',9167,'273',48.69,1,3,NULL),(25,6009980,'1992-05-22 00:00:00',2,1,12,2009,'F','N','BATISTA CAMPOS','BELÉM','PA','114144141217371741427829572124610121147',19285,'9998',36.31,1,3,NULL),(25,6009999,'1989-07-12 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241212372411448831572214123062017',17943,'525',38.95,1,3,NULL),(25,6010008,'1992-06-06 00:00:00',2,1,12,2009,'M','N','ALEGRE','RIO NEGRINHO','SC','124241241116472731224624192234610127015',17162,'669',34.63,1,2,1),(25,6010016,'1993-03-12 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215123431357612372122610134181',30,'270',86.75,1,3,NULL),(25,6010024,'1992-12-19 00:00:00',4,8,12,2010,'M','N','PETRÓPOLIS','JOINVILLE','SC','124241241216271731435613295124610166187',7938,'1006',51.42,1,3,NULL),(25,6010032,'1993-04-14 00:00:00',4,1,11,2010,'M','N','SÃO ROQUE','NOVA TRENTO','SC','124241241215571751458933442122610168062',10922,'1123',45.41,1,3,NULL),(25,6010040,'1993-06-18 00:00:00',4,1,12,2010,'F','N','CENTRO','MARIALVA','PR','116162161216111721358913595122610161052',16229,'9998',41.80,1,3,NULL),(25,6010059,'1993-04-09 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241117371411526614375122610127022',19218,'9997',36.48,1,2,1),(25,6010067,'1992-11-28 00:00:00',2,4,12,2009,'F','N','INTERIOR','ARVOREDO','SC','124241241127372431444336572222131437172',9910,'36',49.10,1,2,1),(25,6010075,'1988-01-14 00:00:00',4,8,12,2005,'F','N','CAPÃO DA IMBUIA','CURITIBA','PR','116162161216371411389933375122141026122',NULL,'9998',0.00,1,3,NULL),(25,6010083,'1992-03-30 00:00:00',4,1,12,2009,'M','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241215572411536632392124610138032',4801,'1075',59.84,1,3,NULL),(25,6010091,'1992-06-05 00:00:00',4,8,12,2010,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241217212411489819595122610127137',3532,'1063',63.07,1,3,NULL),(25,6010105,'1990-05-09 00:00:00',2,16,7,2008,'M','N','CENTRO','VARGEM','SC','124241242116271431548933475122133117015',17254,'960',35.31,1,2,1),(25,6010113,'1994-02-19 00:00:00',2,1,12,2010,'M','N','CENTRO','GUAPORÉ','RS','120201201116161431456314575125610167047',19536,'9998',31.16,1,2,1),(25,6010121,'1994-02-23 00:00:00',2,4,12,2010,'F','N','JARDIM AMERICA','CHAPECÓ','SC','124241241132141431428514242124610126182',NULL,'170',22.08,1,2,1),(25,6010130,'1993-04-11 00:00:00',4,2,11,2009,'F','N','VELHA','BLUMENAU','SC','124242241215472431248934574114610134037',6099,'1157',56.30,4,3,NULL),(25,6010148,'1982-09-10 00:00:00',2,1,12,1999,'M','N','CAPELA VELHA','ARAUCÁRIA','PR','116161161136475611314314285324122963142',NULL,'9998',0.00,4,3,NULL),(25,6010156,'1993-03-09 00:00:00',2,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241117371731236923332132610128192',17378,'733',36.92,1,2,1),(25,6010180,'1993-03-03 00:00:00',2,4,12,2010,'M','N','VILA RAL','CHAPECÓ','SC','124241241146131431336414285124610134187',17725,'182',33.31,1,2,1),(25,6010199,'1992-10-29 00:00:00',2,1,12,2009,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124242241215372231466319375114610167061',14877,'1048',43.88,4,3,NULL),(25,6010202,'1992-01-02 00:00:00',4,1,12,2008,'F','N','CENTRO','PASSO FUNDO','RS','120202201217573431448814572124610127147',2066,'9998',68.78,1,3,NULL),(25,6010210,'1991-12-16 00:00:00',3,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215373751254823572124610162042',8458,'270',51.30,1,3,NULL),(25,6010229,'1992-02-09 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272431378921476122121424092',1873,'262',69.78,1,3,NULL),(25,6010237,'1992-02-12 00:00:00',2,8,11,2009,'F','N','CENTRO','JOINVILLE','SC','124244241215372431658811592112610123112',16538,'1016',37.13,1,3,NULL),(25,6010245,'1975-12-08 00:00:00',2,1,9,2003,'M','N','CAPOIRAS','FLORIANÓPOLIS','SC','124243248223153411116649313334610132092',NULL,'9999',NULL,1,3,NULL),(25,6010253,'1993-07-03 00:00:00',2,3,12,2010,'F','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124241241215141431547532142224610115057',19746,'9997',35.27,1,3,NULL),(25,6010270,'1988-07-11 00:00:00',2,1,11,2005,'F','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','124241241312434431423319495124221062092',3273,'270',65.15,1,3,NULL),(25,6010296,'1993-05-28 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215373451469813375122131468015',5050,'1022',57.58,1,3,NULL),(25,6010326,'1993-09-12 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124074241315111411588913575122610166192',7440,'1022',52.80,1,3,NULL),(25,6010334,'1987-09-09 00:00:00',2,1,6,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124071247117141721113349295123610167112',NULL,'9999',17.80,1,3,NULL),(25,6010342,'1980-01-22 00:00:00',4,1,12,1997,'F','N','PARTENON','PTO ALEGRE','RS','120201201127241421531318186124240421092',18859,'9998',37.22,1,2,1),(25,6010369,'1992-07-02 00:00:00',4,2,12,2009,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241215372431437832576122142864142',2991,'909',63.76,1,3,NULL),(25,6010377,'1992-01-09 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241136131432534619595124610146147',NULL,'732',26.90,1,2,1),(25,6010393,'1993-05-04 00:00:00',4,8,12,2010,'F','N','CENTRO','CPO MOURÃO','PR','116162161316111431658831575122610122072',3052,'9998',63.79,1,3,NULL),(25,6010407,'1977-06-28 00:00:00',4,1,12,1995,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224062091216244411488843235132141032032',8711,'9998',53.58,4,3,NULL),(25,6010415,'1993-04-06 00:00:00',4,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124242241215371431546634575122610167141',8776,'459',50.43,1,3,NULL),(25,6010423,'1980-04-23 00:00:00',2,1,12,1997,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','224241241216414411226643245112123266191',18921,'272',37.08,1,3,NULL),(25,6010431,'1990-01-05 00:00:00',2,1,12,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124252251217272431328824375122130411042',NULL,'9998',0.00,1,3,NULL),(25,6010440,'1992-09-07 00:00:00',4,1,11,2009,'F','N','PARQUE DOS ESTADOS','STA TEREZINHA ITAIPU','PR','116162161217111631448912375124243267052',4837,'9998',61.24,1,3,NULL),(25,6010458,'1993-01-06 00:00:00',2,1,12,2010,'F','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251217111731446824371122610122112',15161,'9998',38.77,1,3,NULL),(25,6010466,'1992-09-29 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241112472431424624575124610114077',19431,'307',32.24,1,2,1),(25,6010474,'1968-09-09 00:00:00',2,1,8,1990,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','224246207422473411233344142123233214175',8203,'9998',51.55,4,3,NULL),(25,6010482,'1989-12-25 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241112133721436624345134610133141',14383,'257',38.97,1,3,NULL),(25,6010490,'1993-12-20 00:00:00',4,1,12,2010,'F','N','CENTRO','MTE ALTO','SP','125252251215111431226621575115610133077',NULL,'9998',0.00,1,3,NULL),(25,6010504,'1986-08-28 00:00:00',4,1,12,2003,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241115473441156611575124322222147',5297,'270',56.91,1,3,NULL),(25,6010512,'1981-07-18 00:00:00',2,7,12,1999,'F','N','SÃO CRISTÓVÃO','CONCÓRDIA','SC','124241241116151431444419485114610114182',NULL,'192',20.56,1,2,1),(25,6010520,'1993-05-29 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215371231483312175114610117182',5720,'1022',59.32,1,3,NULL),(25,6010547,'1990-10-08 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241215472431489911575124133224122',7407,'270',55.95,1,3,NULL),(25,6010555,'1991-06-25 00:00:00',4,6,12,2010,'F','N','UBERABA','CURITIBA','PR','116163168116271731647632295124610124052',NULL,'9998',0.00,1,3,NULL),(25,6010563,'1989-10-25 00:00:00',4,8,12,2006,'M','N','CENTRO','ITAPOÁ','SC','124241241116131131637613335121342766042',21221,'413',29.93,1,3,NULL),(25,6010571,'1993-08-26 00:00:00',4,8,12,2010,'F','N','CENTRO','MATINHOS','PR','116241161116131731229619275112610125147',NULL,'9998',17.52,1,2,1),(25,6010580,'1993-04-02 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215111431458613575111610168181',6346,'1022',58.05,1,3,NULL),(25,6010598,'1993-03-15 00:00:00',4,9,12,2009,'M','N','BEIRA MAR','S VICENTE','SP','125252251117131731426814575121610114127',10135,'9998',45.79,4,1,2),(25,6010601,'1991-06-14 00:00:00',4,8,12,2008,'M','N','BOA VISTA','JOINVILLE','SC','124241246217371321449833485114610144097',15370,'1105',43.10,1,3,NULL),(25,6010610,'1993-04-26 00:00:00',2,2,11,2010,'F','N','TESTO SALTO','BLUMENAU','SC','124242241215112231359834372124610124115',2282,'909',68.24,1,3,NULL),(25,6010628,'1976-12-11 00:00:00',2,1,4,1999,'M','N','INGLESES','FLORIANÓPOLIS','SC','224201207137141611327544345123610126042',NULL,'9998',0.00,4,2,1),(25,6010636,'1988-10-14 00:00:00',2,1,12,2005,'F','N','BOA PARADA','S PEDRO ALCÂNTARA','SC','124241241146132431323629272124132847147',NULL,'869',25.30,1,3,NULL),(25,6010644,'1992-08-27 00:00:00',2,1,12,2009,'M','N','CENTRO','MIRANDÓPOLIS','SP','125252251215471431336632575125610112057',NULL,'9998',0.00,1,3,NULL),(25,6010652,'1995-01-23 00:00:00',2,4,12,2010,'F','N','CENTRO','XANXERÊ','SC','124242241217111431239931214122610168192',NULL,'836',37.25,1,3,NULL),(25,6010679,'1993-08-18 00:00:00',4,4,12,2010,'M','N','TONIAL','XANXERÊ','SC','124244241217272431458913595125610164182',7887,'836',50.53,1,3,NULL),(25,6010687,'1992-11-11 00:00:00',4,1,12,2009,'M','N','LIBERDADE','S PAULO','SP','125162161215472431488931575125610164057',1568,'9998',70.03,1,3,NULL),(25,6010695,'1991-06-02 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124161241116133431325371381124131028062',19405,'307',31.90,4,2,1),(25,6010709,'1993-06-23 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201201116471431433379145124610126177',5723,'9998',59.30,1,2,1),(25,6010717,'1993-06-14 00:00:00',4,1,12,2010,'M','N','SAO LEONARDO','ALFREDO WAGNER','SC','124241241124161432623316265222610133147',NULL,'13',0.00,1,3,NULL),(25,6010733,'1973-04-21 00:00:00',4,1,12,1989,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242248412372431124444245324610166187',15858,'257',42.37,1,3,NULL),(25,6010741,'1993-06-21 00:00:00',2,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241235111221436632475114610168142',NULL,'269',20.90,1,3,NULL),(25,6010768,'1993-01-19 00:00:00',4,2,12,2010,'F','N','VILA NOVA','BLUMENAU','SC','124241241415111431228521375124610162092',19793,'1018',29.00,1,3,NULL),(25,6010776,'1993-02-13 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241115471431526614275122610121071',6234,'271',58.25,1,3,NULL),(25,6010784,'1990-04-30 00:00:00',2,1,11,2007,'F','N','CENTRO','LGA VERMELHA','RS','120201201417571431324711575125610141097',12753,'9998',42.09,1,3,NULL),(25,6010792,'1990-01-21 00:00:00',4,1,11,2006,'M','N','RIO VERMELHO','SALVADOR','BA','105052051216571431674716572112610167047',7078,'9998',56.59,4,3,NULL),(25,6010806,'1991-03-20 00:00:00',4,1,11,2008,'M','N','OFICINAS','PNT GROSSA','PR','116162161214471411588812575112610132092',8343,'9998',54.23,1,3,NULL),(25,6010822,'1985-12-22 00:00:00',2,1,11,2007,'F','N','RATONES','FLORIANÓPOLIS','SC','124241247126133411121344345224610123187',NULL,'306',34.26,1,3,NULL),(25,6010830,'1982-11-01 00:00:00',2,1,12,2000,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241127131421226448385124610127187',14960,'292',40.32,1,2,1),(25,6010849,'1981-11-10 00:00:00',5,1,2,2000,'M','N','PRÓSPERA','CRICIÚMA','SC','124244246416374421137843432233333227121',4177,'230',61.37,1,3,NULL),(25,6010873,'1993-09-19 00:00:00',4,4,12,2010,'F','N','CENTRO','CEL VIVIDA','PR','116161161117271431569913275125610117017',NULL,'9998',26.94,1,2,1),(25,6010881,'1993-07-09 00:00:00',4,7,12,2010,'M','N','FLORESTA','VIDEIRA','SC','124241246216271411586914575122610118122',11964,'1080',44.36,1,3,NULL),(25,6010890,'1992-12-14 00:00:00',2,5,12,2009,'F','N','CENTRO','COCAL SUL','SC','124241241111412421433632571124610127152',20526,'189',32.52,1,3,NULL),(25,6010903,'1985-10-30 00:00:00',2,1,8,2004,'M','N','SÃO PELEGRINO','CAXIAS SUL','RS','120201207337131431625614385121610131117',NULL,'9998',26.85,1,3,NULL),(25,6010911,'1994-10-19 00:00:00',4,8,11,2011,'M','S','BUCAREIN','JOINVILLE','SC','124242241217111431348824575122610128092',NULL,'1063',61.48,1,3,NULL),(25,6010920,'1985-07-24 00:00:00',4,1,12,2002,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124251251117472431457812475123341361092',NULL,'9998',42.33,4,2,1),(25,6010938,'1993-04-25 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217211431469813475124610124142',1960,'272',69.26,1,3,NULL),(25,6010946,'1991-07-04 00:00:00',4,7,12,2009,'F','N','CENTRO','PERITIBA','SC','124241241146131431323722395123230634142',20311,'612',33.72,1,2,1),(25,6010954,'1993-09-21 00:00:00',4,4,12,2010,'M','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124241241117211531536932292122610142052',NULL,'245',24.74,1,2,1),(25,6010962,'1992-08-11 00:00:00',4,6,10,2009,'M','N','FAZENDA','ITAJAÍ','SC','124244241215112411478812395125233224046',NULL,'1026',0.00,1,3,NULL),(25,6010970,'1993-07-13 00:00:00',4,6,11,2010,'M','N','VILA SAO LUIS','DOURADOS','MS','112122121216111431468815574122610127122',4141,'9998',58.58,1,3,NULL),(25,6010989,'1993-06-24 00:00:00',4,9,12,2010,'F','N','SÃO MIGUEL','LAGES','SC','124241241116131731525511395124610128142',NULL,'505',16.10,1,2,1),(25,6011004,'1993-05-19 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241215271731233521595124610128012',21721,'988',24.69,1,3,NULL),(25,6011012,'1993-07-26 00:00:00',4,1,12,2010,'M','N','VILA ESTRELA','PNT GROSSA','PR','116162161215471231469914574112610164192',4282,'9998',60.64,1,3,NULL),(25,6011020,'1992-03-07 00:00:00',2,1,12,2009,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241117472231466824575114610127042',14467,'278',41.48,1,2,1),(25,6011039,'1988-05-24 00:00:00',4,1,12,2005,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124251251136233731325649395124610164182',19369,'9998',30.61,2,1,1),(25,6011071,'1993-05-22 00:00:00',4,1,12,2010,'M','N','REGINALICE','BARUERI','SP','125251251116131411438823375124610127127',8937,'9998',48.40,1,2,1),(25,6011080,'1994-01-27 00:00:00',4,1,12,2010,'F','N','VILA DOS ALPES','GOIÂNIA','GO','109092091237121411366922115124610124142',10736,'9998',44.67,1,3,NULL),(25,6011098,'1993-07-30 00:00:00',4,4,11,2010,'F','N','CENTRO','XANXERÊ','SC','124243241216271431536617172122610157092',12017,'836',42.74,1,3,NULL),(25,6011101,'1987-03-25 00:00:00',4,15,12,2004,'M','N','CENTRO','FORQUILHINHA','SC','124241241127151431466624225122233224052',NULL,'309',34.48,1,2,1),(25,6011110,'1992-08-07 00:00:00',4,1,12,2009,'M','N','LIBERDADE','S PAULO','SP','125252251216271431588831572125610168072',11517,'9998',45.04,1,3,NULL),(25,6011136,'1993-06-28 00:00:00',4,1,12,2010,'M','N','JARDIM MORUMBI','JABOTICABAL','SP','125252251216151731358823175122610142147',12481,'9998',43.15,3,3,NULL),(25,6011160,'1991-06-12 00:00:00',2,8,12,2008,'F','N','ÓRFÃS','PNT GROSSA','PR','116162161216472431536832272125610168182',10549,'9998',46.03,1,3,NULL),(25,6011187,'1993-12-03 00:00:00',4,1,10,2010,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','624242241215111411487732175122610114077',15198,'1169',39.07,1,3,NULL),(25,6011225,'1995-01-14 00:00:00',4,1,12,2011,'M','S','CAMPINAS','S JOSÉ','SC','124242241217111722239624295124610114132',NULL,'723',44.56,1,3,NULL),(25,6011233,'1991-08-01 00:00:00',4,9,12,2010,'M','N','CORAL','LAGES','SC','124241241147141411636839341125610134172',NULL,'505',22.59,4,1,1),(25,6011250,'1993-04-11 00:00:00',4,1,12,2010,'F','N','BOA VISTA','RIO PARDO','RS','120203201217111431367823571122610124112',7113,'9998',52.79,4,3,NULL),(25,6011276,'1992-05-14 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124243241217271431157823575124610124082',13627,'1022',40.66,1,3,NULL),(25,6011284,'1991-05-27 00:00:00',4,1,11,2008,'F','N','BIGORRILHO','CURITIBA','PR','116142141216271411328827375124610125197',16175,'9998',41.88,4,3,NULL),(25,6011306,'1993-05-12 00:00:00',4,2,12,2010,'M','N','TAPAJÓS','INDAIAL','SC','124242241215161431446632575122610121192',NULL,'909',0.00,1,3,NULL),(25,6011314,'1992-04-15 00:00:00',4,1,11,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115132111527832315124610164095',NULL,'267',8.33,1,3,NULL),(25,6011322,'1992-08-08 00:00:00',2,4,12,2009,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201216571431449833472114610167057',9354,'9998',47.46,1,3,NULL),(25,6011330,'1991-09-23 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124162161216573751258831575114610142093',9338,'9998',52.47,1,3,NULL),(25,6011349,'1991-11-23 00:00:00',2,1,12,2008,'M','N','GRACIOSA','PARANAVAÍ','PR','116161161217171431345436575122241514192',NULL,'9998',0.00,1,3,NULL),(25,6011357,'1993-06-28 00:00:00',4,1,12,2010,'M','N','VENDAVAL','BIGUAÇU','SC','124241241217473411456724141234610137187',9477,'63',49.47,1,3,NULL),(25,6011365,'1977-11-26 00:00:00',2,1,12,1995,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124212211116151731268643435132440867042',8973,'9998',53.11,1,3,NULL),(25,6011373,'1993-07-20 00:00:00',2,1,12,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243241115372421226623572124610134192',NULL,'278',19.55,1,3,NULL),(25,6011381,'1990-05-08 00:00:00',4,4,12,2007,'M','N','CENTRO','SALGADO FILHO','PR','116161161116571431336713575124610122177',3221,'9998',63.96,1,2,1),(25,6011390,'1991-07-03 00:00:00',4,1,12,2008,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241248112151431436669345114610123047',NULL,'425',26.73,1,2,1),(25,6011403,'1993-06-21 00:00:00',4,4,12,2010,'M','N','CENTRO','CHAPECÓ','SC','124244241415271431358914575122610122192',10970,'1021',45.89,1,3,NULL),(25,6011411,'1989-11-16 00:00:00',4,1,11,2006,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124254251217273431525311392124221448192',8064,'9998',52.07,2,1,2),(25,6011438,'1982-01-16 00:00:00',4,1,12,2000,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224252251416271731226654485124143238077',15975,'9998',42.18,1,3,NULL),(25,6011446,'1994-07-08 00:00:00',2,1,12,2010,'F','N','CENTRO HISTÓRICO','S JOSÉ','SC','124244241115371431339613574124610122145',NULL,'307',35.74,2,3,NULL),(25,6011454,'1993-01-22 00:00:00',4,2,12,2010,'F','N','ÁGUAS CLARAS','BRUSQUE','SC','124242241215271441638412275122610166097',4943,'107',59.49,1,3,NULL),(25,6011462,'1988-06-14 00:00:00',2,1,12,2005,'M','N','CENTRO','CAXIAS SUL','RS','120203201417571441338324145135142144187',7168,'9998',53.41,1,3,NULL),(25,6011470,'1993-08-20 00:00:00',4,4,12,2010,'M','N','CENTRO','ÁGUAS FRIAS','SC','124243241335161431353614575122610162197',7837,'185',52.61,1,3,NULL),(25,6011489,'1991-05-03 00:00:00',2,4,12,2009,'F','N','REDIN','CONCÓRDIA','SC','124241246116271731366614575122610136196',NULL,'196',0.00,1,2,1),(25,6011497,'1993-04-08 00:00:00',4,1,11,2010,'M','N','CENTRO','PALHOÇA','SC','124244241417142441356623395124610164182',10527,'989',47.57,1,3,NULL),(25,6011500,'1992-08-25 00:00:00',4,4,12,2009,'F','N','CENTRO','ARVOREDO','SC','124241241127472431646933572122610132182',7872,'36',51.59,1,2,1),(25,6011519,'1987-08-24 00:00:00',2,15,12,2004,'M','N','ROCINHA','TIMBÉ SUL','SC','124241241126132451613315432334610158147',NULL,'785',21.27,1,2,1),(25,6011527,'1992-11-06 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215471431447632575114610163147',10891,'991',47.06,1,3,NULL),(25,6011535,'1991-08-12 00:00:00',2,1,12,2009,'M','N','CENTRO','PIRACICABA','SP','125251251117471411356634175114610166167',9439,'9998',46.76,1,2,1),(25,6011543,'1990-10-15 00:00:00',4,1,12,2008,'F','N','SAÚDE','S PAULO','SP','125252251216571431328624581125610136182',8178,'9998',51.19,1,3,NULL),(25,6011551,'1992-07-03 00:00:00',4,1,12,2009,'M','N','VILA VERMELHA','S PAULO','SP','125252251115472431357832575125610141077',7795,'9998',55.22,1,3,NULL),(25,6011560,'1992-10-28 00:00:00',2,8,12,2009,'F','N','VILA MUNICIPAL','JUNDIAÍ','SP','125241241115372431224657575112610114142',19361,'465',36.15,1,2,1),(25,6011578,'1993-07-27 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241125131431426624585124610126192',NULL,'283',15.18,1,2,1),(25,6011586,'1991-06-21 00:00:00',4,3,12,2008,'F','N','CENTRO','PNT GROSSA','PR','116162161216572431368819592114610168197',4432,'9998',58.75,1,3,NULL),(25,6011594,'1990-09-24 00:00:00',2,1,12,2008,'F','N','ITATIBA','ITATIBA','SP','124252251216572431436832225124610164097',2121,'9998',68.84,1,3,NULL),(25,6011608,'1992-11-21 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241115371431636412275122610124193',NULL,'868',35.03,1,3,NULL),(25,6011616,'1989-10-23 00:00:00',4,1,12,2007,'M','N','JARDIM SÃO MANOEL','SANTOS','SP','125251251116371411326611295111610164112',15132,'9998',39.27,1,2,1),(25,6011624,'1993-05-26 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241126141431536623342124610136095',18316,'283',31.37,1,2,1),(25,6011632,'1992-04-06 00:00:00',2,5,12,2009,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124244241215472432556819575114610123012',14980,'226',38.79,1,3,NULL),(25,6011640,'1994-04-03 00:00:00',1,1,12,2010,'F','N','INGLÊSES','FLORIANÓPOLIS','SC','124282241215111521449319575124610125125',NULL,'1048',34.21,1,3,NULL),(25,6011659,'1990-06-09 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215474431468813575112122512192',489,'270',77.57,1,3,NULL),(25,6011667,'1993-02-19 00:00:00',4,1,11,2010,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241248117131431534434382224610133147',NULL,'295',31.22,2,1,1),(25,6011675,'1988-09-07 00:00:00',4,1,12,2006,'M','N','SANTANA','PINDAMONHANGABA','SP','125252251216472411458812391224610162097',2164,'9998',67.00,1,3,NULL),(25,6011683,'1991-07-02 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215374431566812425122220425192',NULL,'270',0.00,1,3,NULL),(25,6011691,'1977-07-22 00:00:00',2,1,12,1997,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224243241216373431245351185124331427041',6152,'210',54.76,1,3,NULL),(25,6011705,'1988-04-24 00:00:00',2,15,12,2006,'M','N','IGRA NORTE','TORRES','RS','120201201125132711423411215122142327015',NULL,'9998',21.28,1,2,1),(25,6011713,'1993-08-04 00:00:00',2,16,12,2010,'F','N','MAROMBAS','BRUNÓPOLIS','SC','124241241126331432326613575212610157145',NULL,'911',24.88,1,3,NULL),(25,6011721,'1991-11-11 00:00:00',2,10,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241217134411118319385124221411177',11124,'797',49.48,4,1,2),(25,6011748,'1993-04-06 00:00:00',4,6,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241116131731331419175122610127017',NULL,'873',0.00,1,2,1),(25,6011756,'1981-09-19 00:00:00',2,1,12,2007,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241122233421622619282244610124047',NULL,'288',34.50,4,3,NULL),(25,6011764,'1988-04-27 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241137472731124344342134610144117',15489,'359',38.45,1,2,1),(25,6011772,'1992-07-17 00:00:00',4,4,12,2009,'F','N','BELA VISTA','ERECHIM','RS','120201201126151411423419382124610132142',NULL,'9998',0.00,1,2,1),(25,6011780,'1992-06-26 00:00:00',4,1,12,2009,'F','N','UNIVERSITARIO','TIJUCAS','SC','124242241216371432469613572122133211147',7854,'948',51.35,1,3,NULL),(25,6011799,'1986-10-16 00:00:00',2,1,12,2005,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201201137133431128824285124610167117',NULL,'9998',0.00,1,2,1),(25,6011802,'1988-08-26 00:00:00',4,1,12,2006,'F','N','CARIANOS','FLORIANÓPOLIS','SC','624244241216372731228449495224610127147',13666,'855',45.69,3,3,NULL),(25,6011810,'1989-01-21 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215274431349812575124221424142',1791,'820',70.08,1,3,NULL),(25,6011829,'1992-07-15 00:00:00',4,15,12,2009,'F','N','VILA SÃO JOSE','ARARANGUÁ','SC','124241241127371421526634371121610143147',NULL,'29',15.70,1,2,1),(25,6011837,'1992-01-20 00:00:00',2,3,12,2009,'M','N','SÃO DIMAS','S JOSÉ CAMPOS','SP','125254251217471231248824571122610124047',10940,'9998',46.07,4,1,2),(25,6011845,'1988-09-22 00:00:00',4,9,12,2006,'M','N','CENTRO','LAGES','SC','124241241416132441123329485124132766191',NULL,'515',0.00,1,3,NULL),(25,6011861,'1993-11-23 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241111111431464614345124610121147',17697,'307',36.72,1,2,1),(25,6011926,'1991-03-26 00:00:00',2,1,12,2008,'M','N','BELA VISTA','IBIRAMA','SC','124242241211233431326624495121233227065',10840,'723',49.93,1,3,NULL),(25,6011934,'1992-04-14 00:00:00',2,1,12,2009,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241122472431425339242114610166042',NULL,'291',32.54,1,2,1),(25,6011942,'1989-07-23 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124241241436373431245423345124121134012',16729,'1076',41.03,4,3,NULL),(25,6011950,'1991-11-08 00:00:00',4,8,12,2009,'M','N','JOÃO COSTA','JOINVILLE','SC','124241241127271731446714245123610133147',15805,'25',42.44,4,3,NULL),(25,6011969,'1992-03-27 00:00:00',2,1,12,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215372431568712295122610117062',11428,'737',46.29,1,3,NULL),(25,6011985,'1991-05-29 00:00:00',4,1,12,2008,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124241241215373711334614382122610125092',8684,'781',53.62,1,3,NULL),(25,6011993,'1988-05-13 00:00:00',4,1,12,2006,'M','N','CENTRO','FERRAZ VASCONCELOS','SP','125253251246111721557723282122141045117',NULL,'9998',23.98,1,3,NULL),(25,6012000,'1991-10-07 00:00:00',4,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124244247217131432225624382124610132017',21712,'9999',24.95,2,1,2),(25,6012019,'1993-02-08 00:00:00',4,1,11,2010,'M','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125252251215111431236821475122610124042',NULL,'9998',0.00,1,3,NULL),(25,6012027,'1960-03-01 00:00:00',2,1,2,1992,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124251257147142411322319181324220544041',NULL,'9998',0.00,2,3,NULL),(25,6012035,'1993-09-24 00:00:00',4,1,12,2010,'F','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161216231431448923575121610144197',NULL,'9998',39.82,1,3,NULL),(25,6012043,'1993-06-26 00:00:00',4,1,12,2010,'F','N','FAIÇALVILLE','GOIÂNIA','GO','609092091216111431347931575122610144072',589,'9998',75.26,1,3,NULL),(25,6012051,'1993-09-10 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472531557731572324610145142',1567,'270',71.03,1,3,NULL),(25,6012078,'1993-01-29 00:00:00',2,7,12,2009,'M','N','MARTELLI','VIDEIRA','SC','124242246217372431434711345133610167047',13392,'1080',46.08,2,3,NULL),(25,6012086,'1989-03-24 00:00:00',4,8,12,2006,'F','N','VILA STEOLA','PIRASSUNUNGA','SP','125252251216571411548914575122610132097',8098,'9998',50.97,1,3,NULL),(25,6012094,'1983-06-26 00:00:00',2,1,12,2002,'F','N','CAEIRA DO SACO DOS L','FLORIANÓPOLIS','SC','124241241136271731323513446334610163142',NULL,'281',35.25,1,2,1),(25,6012108,'1993-07-28 00:00:00',2,1,12,2010,'F','N','CENTRO','DAVID CANABARRO','RS','120201201116271231436612582115610167143',NULL,'9998',0.00,4,2,1),(25,6012124,'1984-05-24 00:00:00',4,1,11,2002,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217373731235721335124321232187',4223,'266',60.03,1,3,NULL),(25,6012132,'1991-02-25 00:00:00',2,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241115131711658919472124610147142',NULL,'292',30.98,1,3,NULL),(25,6012159,'1989-10-23 00:00:00',4,1,12,2006,'F','N','LONDRILAR','LONDRINA','PR','116162161217571531439932575124610142127',13295,'9998',41.91,1,3,NULL),(25,6012167,'1982-12-31 00:00:00',1,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251251326131431116313111224142266181',11987,'9998',48.17,4,3,NULL),(25,6012175,'1993-10-04 00:00:00',4,9,11,2010,'M','N','CENTRO','LAGES','SC','124242241215151411458839472122610142012',17477,'515',35.75,1,3,NULL),(25,6012183,'1984-10-24 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201116371431126344345324142267047',14572,'9998',44.33,2,1,1),(25,6012191,'1992-04-06 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241115421331335614592124610153072',NULL,'734',23.20,1,2,1),(25,6012205,'1993-09-10 00:00:00',1,2,12,2010,'F','N','ESCOLA AGRICOLA','BLUMENAU','SC','124242241216111411459734575124610123092',15209,'87',39.05,1,3,NULL),(25,6012213,'1992-01-16 00:00:00',4,16,12,2007,'F','N','NOSSA SRA APARECIDA','STA CECÍLIA','SC','124241241216575421436632572122610146182',3341,'9997',64.08,1,3,NULL),(25,6012221,'1993-06-18 00:00:00',4,4,12,2010,'M','N','CENTRO','CHAPECÓ','SC','116242161215122431478931575122610137042',1995,'9998',67.78,1,3,NULL),(25,6012230,'1992-09-24 00:00:00',4,1,11,2009,'M','N','GOIÂNIA DOIS','GOIÂNIA','GO','109092091217471431448812475122610164052',3963,'9998',60.99,1,3,NULL),(25,6012256,'1993-12-27 00:00:00',2,1,12,2010,'F','N','AREA UM','TELÊMACO BORBA','PR','116161161417131741226624575125610163097',17973,'9998',33.90,1,3,NULL),(25,6012264,'1993-06-09 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431358931575122610134142',1406,'270',71.75,4,3,NULL),(25,6012272,'1981-08-08 00:00:00',4,15,12,1997,'M','N','POLICIA RODOVIÁRIA','ARARANGUÁ','SC','224241241136152421236444345232220222047',NULL,'852',0.00,1,3,NULL),(25,6012280,'1992-01-20 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241415473731336912375124610164142',NULL,'962',34.84,1,3,NULL),(25,6012299,'1992-09-04 00:00:00',4,1,12,2009,'M','N','ZONA DOIS','MARINGÁ','PR','116162161217471431448924575122610114042',12841,'9998',43.34,1,3,NULL),(25,6012302,'1993-12-08 00:00:00',4,3,12,2010,'M','N','CENTRO CIVICO','CURITIBA','PR','116162161211111731458833572221610127047',1687,'9998',69.34,1,3,NULL),(25,6012310,'1991-03-11 00:00:00',4,1,11,2010,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124244248416511711476923345124610113073',NULL,'300',0.00,1,3,NULL),(25,6012329,'1991-09-06 00:00:00',2,1,12,2008,'M','N','VÍGOLO','NOVA TRENTO','SC','124241241146373431534631595122221432112',4442,'574',59.42,1,2,1),(25,6012337,'1993-10-02 00:00:00',4,1,11,2010,'F','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124242248215112311437632572122610161152',12957,'738',42.45,1,3,NULL),(25,6012353,'1992-12-10 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241137272731124444342124610166077',6980,'812',52.63,1,2,1),(25,6012388,'1993-04-22 00:00:00',4,10,12,2010,'M','N','ROÇA GRANDE','IMBITUBA','SC','124241241115511431426413575124610127147',NULL,'359',0.00,4,2,1),(25,6012396,'1990-03-04 00:00:00',4,8,12,2007,'M','N','GUANABARA','JOINVILLE','SC','124241246216371411437714475124133224012',3824,'494',63.76,1,3,NULL),(25,6012400,'1993-09-03 00:00:00',4,8,11,2010,'F','N','AMÉRICA','JOINVILLE','SC','124243241215121431439933572122610137072',2860,'1016',65.06,1,3,NULL),(25,6012418,'1992-01-30 00:00:00',4,1,6,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124092281217371431589814375112610137117',5464,'9998',56.36,1,3,NULL),(25,6012426,'1993-04-24 00:00:00',2,1,12,2010,'M','N','JABAQUARA','S PAULO','SP','125252251216111231478813375125610165017',NULL,'9998',39.64,1,3,NULL),(25,6012434,'1978-08-18 00:00:00',2,1,12,1997,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124251253217132431226648285124222266182',NULL,'9998',0.00,4,3,NULL),(25,6012442,'1992-11-19 00:00:00',4,8,12,2009,'F','N','NOVO MUNDO','CURITIBA','PR','116162161215472731468811372125610162186',2086,'9998',67.17,1,3,NULL),(25,6012450,'1991-04-03 00:00:00',4,9,12,2008,'M','N','CENTRO','SALETE','SC','124241242115573431558732575112141427041',634,'662',76.48,1,2,1),(25,6012469,'1993-09-21 00:00:00',4,1,12,2010,'M','N','FORQUILHAS','S JOSÉ','SC','124111241115131431313414575124610164097',6934,'727',53.17,4,2,1),(25,6012477,'1992-09-04 00:00:00',2,5,12,2009,'F','N','MÃE LUZIA','FORQUILHINHA','SC','124242241216473431568812375124610132157',NULL,'213',0.00,1,3,NULL),(25,6012485,'1992-02-14 00:00:00',4,1,12,2009,'M','N','VILA SANTA RITA','FRANCA','SP','125251251117471431443823385123610122012',NULL,'9998',0.00,1,2,1),(25,6012493,'1981-12-16 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241436373731427349495125321738147',5808,'465',59.15,1,3,NULL),(25,6012507,'1991-10-10 00:00:00',4,1,1,2010,'M','N','CAMOBI','STA MARIA','RS','120204201316471431659833582112610167122',6910,'9998',53.91,1,3,NULL),(25,6012515,'1993-08-23 00:00:00',4,4,11,2010,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124244241215371431569833575122610147122',5085,'168',57.26,1,3,NULL),(25,6012523,'1992-07-24 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215412411258712492122131467141',2887,'1038',66.27,1,3,NULL),(25,6012531,'1992-01-18 00:00:00',4,6,12,2009,'M','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','124242241215572531656832372115610137142',15718,'392',38.05,1,3,NULL),(25,6012566,'1992-06-25 00:00:00',4,4,12,2009,'F','N','CENTRO','FAXINAL GUEDES','SC','124241241136271431436511242122610161057',NULL,'255',0.00,1,2,1),(25,6012574,'1993-12-25 00:00:00',2,15,12,2010,'F','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124241241116271221333914575112610118147',19928,'1033',30.10,1,2,1),(25,6012590,'1985-03-25 00:00:00',2,16,11,2005,'M','N','BOM JESUS','CURITIBANOS','SC','124241241132471751424829392314610168185',16479,'240',38.88,4,2,1),(25,6012604,'1993-09-30 00:00:00',2,4,12,2010,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241215111231238622575112610122192',NULL,'1179',0.00,1,3,NULL),(25,6012612,'1973-05-06 00:00:00',2,1,12,1994,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','224241241126131431423344345124130747147',19968,'182',34.68,1,2,1),(25,6012620,'1992-02-22 00:00:00',4,1,12,2009,'F','N','ALTO DA LAPA','S PAULO','SP','125252251217471431558713572122610122142',5672,'9998',57.04,1,3,NULL),(25,6012647,'1993-03-30 00:00:00',2,1,12,2010,'F','N','CENTRO','STA HELENA GOIÁS','GO','109091091217121431536923575124610162093',6204,'9998',55.56,4,3,NULL),(25,6012655,'1980-03-20 00:00:00',4,1,3,1998,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','224241246116131741245744342232231417091',18686,'306',37.58,1,2,1),(25,6012663,'1992-04-22 00:00:00',4,8,12,2009,'F','N','CENTRO','JOINVILLE','SC','124242241216471411439834575124610156072',12924,'1105',42.74,1,3,NULL),(25,6012671,'1968-05-14 00:00:00',2,1,12,1985,'F','N','IPIRANGA','S JOSÉ','SC','224241248216153431548659392122121461187',19766,'9997',35.22,1,3,NULL),(25,6012698,'1990-07-15 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117151431426633345114610162045',NULL,'257',25.26,4,1,1),(25,6012701,'1991-05-12 00:00:00',2,4,11,2008,'M','N','MARIA GORETTI','CHAPECÓ','SC','124242241216472431359932272124610127042',2293,'1046',66.67,1,3,NULL),(25,6012710,'1988-01-02 00:00:00',2,5,11,2005,'F','N','MINA DO MATO','CRICIÚMA','SC','124241241136133421326923345234610134187',9402,'209',49.06,1,2,1),(25,6012728,'1993-09-23 00:00:00',4,4,12,2010,'M','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124243241117271431637923145122610134047',14982,'245',37.05,1,3,NULL),(25,6012744,'1992-09-29 00:00:00',2,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241216114431547612345124610168192',9301,'1022',52.51,1,3,NULL),(25,6012752,'1990-06-18 00:00:00',4,6,12,2009,'F','N','SANTO INÁCIO','CURITIBA','PR','116162161215471751479813571114610136122',NULL,'9998',37.01,1,3,NULL),(25,6012760,'1991-11-10 00:00:00',2,5,12,2009,'F','N','PINHEIRINHO','CRICIÚMA','SC','124241111127271751333349141324610128177',NULL,'9998',17.88,1,2,1),(25,6012779,'1993-07-30 00:00:00',4,6,11,2010,'M','N','PRAIA BRAVA','ITAJAÍ','SC','124242241215111431469829575112610137121',10614,'1038',46.69,1,3,NULL),(25,6012817,'1993-12-15 00:00:00',4,7,12,2010,'M','N','CENTRO','CONCÓRDIA','SC','124241241216272421467932275122610164042',15503,'1001',37.37,1,3,NULL),(25,6012825,'1991-11-03 00:00:00',4,8,12,2009,'M','N','RES VALE DO ARVOREDO','LONDRINA','PR','116162161215472431469811575122610127062',5322,'9998',57.70,3,3,NULL),(25,6012833,'1988-03-31 00:00:00',4,1,12,2005,'F','N','CONJUNTO RIVIERA','GOIÂNIA','GO','109092091216571431438731412122241463141',NULL,'9998',0.00,4,3,NULL),(25,6012841,'1993-01-18 00:00:00',4,1,12,2010,'F','N','VILA ISAURA','GOIÂNIA','GO','109091091215111531425334572324610123147',NULL,'9998',23.18,4,3,NULL),(25,6012868,'1988-07-25 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124253251116133431126444345334222236093',10057,'9998',51.24,1,3,NULL),(25,6012876,'1991-04-28 00:00:00',2,15,12,2008,'F','N','TENENTE','JACINTO MACHADO','SC','124241242116151431525615582124610128142',NULL,'690',25.83,1,2,1),(25,6012884,'1992-03-25 00:00:00',2,1,11,2010,'M','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125252251215111411456612475124610127072',21105,'9998',23.59,1,3,NULL),(25,6012906,'1992-05-29 00:00:00',4,1,12,2010,'F','N','CENTRO','TOLEDO','PR','116161163137141431436432315122610127092',17178,'9998',34.21,1,2,1),(25,6012914,'1990-05-17 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241112133511624613495124232714017',20595,'257',32.77,4,3,NULL),(25,6012922,'1993-01-03 00:00:00',4,3,11,2010,'F','N','CENTRO','PASSOS','MG','113132131215121431579913575122610127077',NULL,'9998',0.00,1,3,NULL),(25,6012930,'1991-12-12 00:00:00',4,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241345472411549613575124610124012',4496,'362',59.61,1,3,NULL),(25,6012957,'1988-01-03 00:00:00',2,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241247446472431326611395124610122147',NULL,'9999',38.58,1,3,NULL),(25,6012973,'1989-10-01 00:00:00',4,1,11,2006,'F','N','KOBRASOL','S JOSÉ','SC','124241241212132431356613485124233223197',NULL,'1036',31.57,1,3,NULL),(25,6013007,'1986-09-28 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117475441423324485124610134057',14368,'257',44.62,2,1,1),(25,6013015,'1991-10-24 00:00:00',4,8,12,2008,'F','N','SANTA RITA','MARINGÁ','PR','116162161215572411477712575112610164043',8412,'9998',50.79,1,3,NULL),(25,6013023,'1992-07-21 00:00:00',2,1,12,2010,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241116131431426624275114610133157',NULL,'267',32.79,1,2,1),(25,6013031,'1994-10-07 00:00:00',4,1,9,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241235111411448923572122610117042',NULL,'1050',NULL,1,3,NULL),(25,6013040,'1988-08-28 00:00:00',4,1,12,2006,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241137273431423611381124610127047',17695,'772',39.41,1,3,NULL),(25,6013058,'1993-11-20 00:00:00',2,8,12,2010,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161211111431468833271122510167071',13993,'9998',39.65,1,3,NULL),(25,6013066,'1994-05-12 00:00:00',4,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241415131431243322245124610142017',NULL,'1050',37.32,1,3,NULL),(25,6013074,'1988-12-10 00:00:00',4,1,12,2006,'F','N','KOBRASOL','S JOSÉ','SC','124242241216575431156842425122220862187',6239,'270',58.24,1,3,NULL),(25,6013082,'1986-09-30 00:00:00',2,15,12,2004,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241113271421423634342133132227057',17380,'29',35.53,1,2,1),(25,6013090,'1994-07-13 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215151431458852575124610138182',NULL,'1050',30.42,1,3,NULL),(25,6013104,'1992-01-28 00:00:00',2,1,7,2010,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241116131721546514245124232927042',19011,'739',36.92,1,2,1),(25,6013112,'1993-01-08 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431557869595122610167042',21048,'1197',30.89,1,3,NULL),(25,6013120,'1993-08-16 00:00:00',2,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241117271731324629392124610123147',NULL,'307',38.02,1,3,NULL),(25,6013139,'1993-08-11 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241216112732336962575124610162127',NULL,'724',19.44,1,3,NULL),(25,6013147,'1992-12-08 00:00:00',2,1,11,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241217111531456813574112610117092',12795,'270',42.01,1,3,NULL),(25,6013155,'1982-10-29 00:00:00',2,4,12,2001,'M','N','CENTRO','PINHALZINHO','SC','124241241116573431436812371115610167042',NULL,'616',39.10,1,2,1),(25,6013163,'1993-05-31 00:00:00',2,1,12,2010,'F','N','INTERIOR','DAVID CANABARRO','RS','120201201116131431322313575124610167147',9727,'9998',47.41,1,2,1),(25,6013171,'1992-12-31 00:00:00',2,1,12,2010,'M','N','LOTEAMENTO MADRI','PALHOÇA','SC','124241241146141431633311285124610124047',NULL,'591',28.77,4,2,1),(25,6013180,'1982-07-12 00:00:00',2,1,12,2001,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224243247327373421323379212114130227052',21100,'270',30.65,1,3,NULL),(25,6013201,'1994-11-24 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411438813575124610111142',15435,'1050',43.00,1,3,NULL),(25,6013210,'1994-03-27 00:00:00',4,1,12,2010,'M','N','JD UNIVERSITARIO','MARINGÁ','PR','116162161216111431538816475121610147142',17027,'9998',40.58,3,3,NULL),(25,6013228,'1992-01-29 00:00:00',2,1,12,2009,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124241241111131431336613575124610126182',18523,'292',33.59,1,2,1),(25,6013244,'1989-09-18 00:00:00',4,1,12,2007,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241417272431268923391123610166147',20552,'1022',32.93,1,3,NULL),(25,6013260,'1992-07-24 00:00:00',2,5,6,2010,'F','N','IMIGRANTES','TURVO','SC','124241246215152431444314575122610124057',NULL,'995',34.16,1,3,NULL),(25,6013279,'1993-02-15 00:00:00',4,8,12,2010,'F','N','BOA VISTA','JOINVILLE','SC','124242241217371431466833375122610156197',12305,'1105',47.68,1,3,NULL),(25,6013287,'1989-07-09 00:00:00',2,1,12,2006,'F','N','FORQUILHAS','S JOSÉ','SC','124251241116272411437714445124610134017',18759,'734',34.30,4,2,1),(25,6013295,'1988-03-07 00:00:00',4,1,12,2005,'M','N','PRAIA DOS INGLESES','FLORIANÓPOLIS','SC','124131131117572451657813486124610164017',2484,'9998',66.74,1,2,1),(25,6013309,'1989-10-30 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241112142731633339245124610128197',NULL,'292',14.84,4,2,1),(25,6013317,'1994-09-07 00:00:00',5,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241115151431259913242122610164092',NULL,'1050',36.45,1,3,NULL),(25,6013325,'1972-01-21 00:00:00',2,1,12,1989,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','624201203146272431433654282124123235047',17253,'9998',40.18,1,2,1),(25,6013333,'1993-01-18 00:00:00',2,1,12,2010,'M','N','CELESTE','CPO BOM','RS','120204201216371431478812171124610167097',NULL,'9998',37.44,1,3,NULL),(25,6013341,'1993-11-10 00:00:00',4,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','124241241116271431338929475122610126192',14947,'146',39.08,1,2,1),(25,6013368,'1993-06-17 00:00:00',4,8,11,2010,'M','N','JARDIM SOCIAL','CURITIBA','PR','116162161237111431247912575122610137182',3366,'9998',62.22,1,3,NULL),(25,6013384,'1993-03-26 00:00:00',2,6,12,2010,'F','N','FAZENDA','ITAJAÍ','SC','124242241216111431559911591122610145182',18835,'389',37.28,1,3,NULL),(25,6013392,'1992-12-25 00:00:00',4,1,12,2010,'F','N','CENTRO','PNT PORÃ','MS','112122121215151731364731575112610143152',11652,'9998',43.59,1,3,NULL),(25,6013406,'1993-03-19 00:00:00',4,1,11,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215271431558713575122610126075',1533,'1133',71.13,1,3,NULL),(25,6013414,'1986-11-12 00:00:00',4,1,12,2004,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241217135431428312445122133264142',14258,'699',44.77,4,3,NULL),(25,6013430,'1991-04-16 00:00:00',4,8,12,2008,'F','N','AMÉRICA','JOINVILLE','SC','124044246216151421556933385122233215192',15325,'494',43.20,1,3,NULL),(25,6013449,'1990-03-02 00:00:00',4,4,12,2007,'M','N','JARDIM ITALIA','CHAPECÓ','SC','124241241417151411448823245122232864186',21035,'1126',30.93,1,3,NULL),(25,6013457,'1992-12-23 00:00:00',4,1,12,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111411558811574122610162186',4377,'270',60.40,1,3,NULL),(25,6013465,'1993-02-19 00:00:00',4,1,12,2010,'M','N','CENTRO','IMBITUBA','SC','124241241115161712235379575121610137147',NULL,'1034',0.00,1,2,1),(25,6013490,'1987-01-09 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252251217134221228812493123321867127',NULL,'9998',0.00,3,3,NULL),(25,6013503,'1988-06-20 00:00:00',4,1,11,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','107092091216373441267623575124142844097',19422,'9998',35.99,4,3,NULL),(25,6013511,'1993-03-28 00:00:00',4,8,11,2010,'M','N','GLÓRIA','JOINVILLE','SC','124244241215111221369832575124610167046',1435,'1016',71.59,1,3,NULL),(25,6013520,'1991-07-19 00:00:00',4,1,12,2008,'M','N','SAO QUIRINO','CAMPINAS','SP','125252251216472421578811571122142567012',4788,'9998',58.13,1,3,NULL),(25,6013538,'1989-10-24 00:00:00',4,1,11,2007,'F','N','ARIRIU DA FORMIGA','PALHOÇA','SC','124241241137372441335514285124610131177',6564,'306',57.55,1,3,NULL),(25,6013546,'1988-01-05 00:00:00',2,1,12,2005,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115273431334333345132140227047',NULL,'298',18.97,1,2,1),(25,6013554,'1976-05-13 00:00:00',2,15,6,2003,'M','N','POLICIA RODOVIARIA','ARARANGUÁ','SC','224241241127132722423344341333122332047',19220,'852',36.47,4,2,1),(25,6013570,'1992-01-05 00:00:00',2,1,12,2009,'M','N','ALTO ARIRIU','PALHOÇA','SC','124242241215372432448619575114130737042',12479,'1118',47.38,1,3,NULL),(25,6013589,'1990-10-11 00:00:00',4,8,12,2008,'M','N','MORUMBI','S PAULO','SP','125252251216571431489611575112610167042',NULL,'9998',42.02,1,3,NULL),(25,6013597,'1993-08-07 00:00:00',4,6,12,2010,'F','N','CRISTO REI','CURITIBA','PR','116162161217121431437827375122610133012',16894,'9998',36.75,4,3,NULL),(25,6013600,'1990-01-13 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241135271411126344242324610112142',6757,'733',53.71,1,2,1),(25,6013635,'1993-12-04 00:00:00',2,1,10,2010,'F','N','AREIS CAMPECHE','FLORIANÓPOLIS','SC','124242241215121431648829575214610162182',15752,'269',38.92,1,3,NULL),(25,6013643,'1993-06-12 00:00:00',4,8,11,2010,'M','N','SAO FRANCISCO','IRATI','PR','116162161216111431388912575111610164182',1583,'9998',70.93,1,3,NULL),(25,6013678,'1993-10-11 00:00:00',4,1,12,2010,'M','N','AFONSO PENA','S JOSÉ PINHAIS','PR','116163161216111711366623575122610166142',11974,'9998',48.20,1,3,NULL),(25,6013708,'1991-09-04 00:00:00',4,8,12,2008,'M','N','AVENTUREIRO','JOINVILLE','SC','124244241216271441333622371122231062052',NULL,'462',0.00,1,3,NULL),(25,6013724,'1993-09-28 00:00:00',4,4,12,2010,'M','N','CENTRO','CHAPECÓ','SC','124243241311112431438814571122610117122',1403,'983',69.96,1,3,NULL),(25,6013732,'1993-04-27 00:00:00',2,1,12,2010,'F','N','CANUDOS','ANTÔNIO CARLOS','SC','124241241113371231426623191134610166052',15987,'21',37.51,4,2,1),(25,6013740,'1993-04-03 00:00:00',4,1,12,2010,'F','N','PILARZINHO','CURITIBA','PR','116162161217113431369812575112610122077',199,'9998',81.00,1,3,NULL),(25,6013775,'1993-08-12 00:00:00',4,2,11,2010,'F','N','VELHA','BLUMENAU','SC','124241241117371731524524185122610126177',16019,'79',37.40,1,3,NULL),(25,6013783,'1990-04-26 00:00:00',2,1,12,2008,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241337141431323471212234610122172',NULL,'288',21.51,1,3,NULL),(25,6013791,'1992-07-10 00:00:00',2,8,12,2009,'M','N','CENTRO','FORMOSA OESTE','PR','116161161113271431558833281121610116177',4973,'9998',59.00,1,2,1),(25,6013805,'1993-02-24 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241346141431228624245224610127062',18845,'283',32.44,1,3,NULL),(25,6013813,'1992-04-30 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241111372431648563571114610167047',12676,'298',43.92,1,2,1),(25,6013821,'1987-10-13 00:00:00',2,1,12,2005,'F','N','IPIRANGA','S JOSÉ','SC','124241241137475431335324242123610124147',7989,'734',52.70,1,3,NULL),(25,6013830,'1992-03-29 00:00:00',4,1,7,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115211431417739285124610165112',16733,'739',36.55,1,2,1),(25,6013856,'1987-10-08 00:00:00',4,8,12,2005,'F','N','AGUA VERDE','CURITIBA','PR','116242241216572751589814475124131466182',7519,'1063',55.75,1,3,NULL),(25,6013864,'1993-03-22 00:00:00',4,6,12,2010,'F','N','IMIGRANTES','GUABIRUBA','SC','124241241115271741324614192124610164052',16938,'111',40.72,1,2,1),(25,6013872,'1992-02-23 00:00:00',2,1,12,2009,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241112232431524321142234610128127',NULL,'298',19.80,1,2,1),(25,6013880,'1990-06-02 00:00:00',4,1,11,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241335223411257613581114133216187',11408,'1022',49.04,4,3,NULL),(25,6013902,'1992-07-25 00:00:00',2,16,12,2009,'F','N','APARECIDA','CURITIBANOS','SC','124244241411112731427636472124223268012',NULL,'881',15.04,1,3,NULL),(25,6013929,'1989-10-24 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241216475441338923445124130611097',NULL,'300',31.34,1,3,NULL),(25,6013937,'1991-06-12 00:00:00',2,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124244241116273431436424315134133224032',20518,'298',33.07,1,3,NULL),(25,6013961,'1993-04-16 00:00:00',2,1,12,2010,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124244241215131751647729575124610127142',NULL,'1048',19.79,1,3,NULL),(25,6013970,'1993-09-12 00:00:00',4,9,11,2010,'M','N','CENTRO','LAGES','SC','124242241215111431439931575122610122122',6855,'497',54.15,1,3,NULL),(25,6013988,'1993-07-23 00:00:00',4,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241115371431436614245124610122062',10559,'298',48.76,4,2,1),(25,6013996,'1985-12-05 00:00:00',4,1,12,2004,'M','N','SERRARIA','S JOSÉ','SC','124241241136474732436624241324130224043',13876,'726',45.37,1,2,1),(25,6014011,'1994-03-15 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241117161432316524575125610144142',NULL,'726',31.58,1,2,1),(25,6014020,'1992-11-25 00:00:00',2,15,12,2009,'F','N','BOCA DO PIQUE','MELEIRO','SC','124241241136111411433636182344231267057',NULL,'559',25.12,1,3,NULL),(25,6014038,'1988-06-22 00:00:00',2,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201201116131431116839285124610124077',20642,'9998',32.60,1,2,1),(25,6014046,'1993-02-23 00:00:00',4,2,12,2010,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215111431558911315122610162092',1676,'70',69.46,1,3,NULL),(25,6014054,'1982-01-18 00:00:00',2,1,12,2002,'M','N','FORQUILHINHAS','S JOSÉ','SC','124251251126271431111324245124610124042',12563,'9998',43.84,2,1,1),(25,6014089,'1993-03-23 00:00:00',2,8,12,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124284241215111411459733575111610137081',1436,'1174',71.00,1,3,NULL),(25,6014097,'1992-04-21 00:00:00',4,8,12,2009,'M','N','SANTO INACIO','CURITIBA','PR','116162161211472431468831571122610165052',NULL,'9998',0.00,1,3,NULL),(25,6014100,'1994-07-06 00:00:00',4,2,12,2010,'M','N','RIO FERRO','PRES GETÚLIO','SC','124241241126271431543932575114610168172',12635,'643',43.15,1,2,1),(25,6014119,'1990-02-27 00:00:00',2,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124241241132271431334419342114610135197',NULL,'734',21.41,1,2,1),(25,6014127,'1991-10-01 00:00:00',2,1,12,2009,'F','N','SAÚDE','MOGI MIRIM','SP','125252251211471411538811171122143226172',3454,'9998',62.51,1,3,NULL),(25,6014135,'1993-02-18 00:00:00',4,2,12,2010,'F','N','ESTADOS','INDAIAL','SC','124242241235271331446732274124610162122',5319,'909',57.88,1,3,NULL),(25,6014143,'1990-02-10 00:00:00',4,1,12,2007,'M','N','HIGIENÓPOLIS','S PAULO','SP','125252251215573631648812594113610162042',3016,'9998',63.56,1,3,NULL),(25,6014160,'1993-02-28 00:00:00',4,15,10,2010,'F','N','CENTRO','ARARANGUÁ','SC','124241241215112431327831595122610166052',4828,'26',60.16,1,3,NULL),(25,6014186,'1991-02-25 00:00:00',2,1,11,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241432161331428624282224610125147',NULL,'288',28.14,1,3,NULL),(25,6014194,'1980-03-31 00:00:00',2,1,12,1998,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124251251117155741118641412114610127042',12960,'9998',46.65,1,2,1),(25,6014208,'1989-05-04 00:00:00',2,1,12,2006,'F','N','CENTRO','EXTREMA','MG','113131251416151431643624315121241467187',13616,'9998',45.75,1,3,NULL),(25,6014224,'1993-04-02 00:00:00',2,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241216112431467923575124610133182',3894,'270',60.48,1,3,NULL),(25,6014232,'1993-01-23 00:00:00',2,1,12,2010,'M','N','CENTRO','BÁLSAMO','SP','125251251216471731324324345124610127042',6763,'9998',53.83,1,3,NULL),(25,6014240,'1987-03-11 00:00:00',4,1,12,2004,'M','N','FORQUILHAS','S JOSÉ','SC','124241241136133451226624245224130734047',20089,'757',34.35,1,2,1),(25,6014259,'1982-01-04 00:00:00',2,3,12,1999,'F','N','ZONA SEIS','MARINGÁ','PR','116161161215411431428833376122341263097',12141,'9998',42.82,1,3,NULL),(25,6014267,'1992-10-03 00:00:00',4,1,11,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217472411479933575124610164145',111,'457',83.06,1,3,NULL),(25,6014275,'1993-02-24 00:00:00',2,1,11,2010,'F','N','DOM JOAQUIM','BRUSQUE','SC','124241241216111431455352275122610117051',20464,'1123',33.29,1,3,NULL),(25,6014283,'1994-02-10 00:00:00',2,3,11,2010,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161216121431358919575124610143187',14407,'9998',39.78,1,3,NULL),(25,6014291,'1976-06-13 00:00:00',5,1,12,1998,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241248136272431124443435224120536187',15817,'831',42.42,1,2,1),(25,6014305,'1993-07-14 00:00:00',4,4,11,2010,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116163161216271431346632274122610143012',854,'9998',74.86,1,3,NULL),(25,6014313,'1986-03-26 00:00:00',2,8,12,2003,'M','N','VILA FANNY','CURITIBA','PR','116161161136571431333314275124140622097',4305,'9998',60.80,2,1,1),(25,6014321,'1991-01-06 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124242241216272431234624245124610134142',19024,'944',36.90,1,3,NULL),(25,6014330,'1991-03-27 00:00:00',2,1,12,2009,'M','N','CENTRO','PALMAS','TO','127272271216471431368839575121610137092',12540,'9998',47.28,1,3,NULL),(25,6014356,'1983-10-28 00:00:00',4,1,12,2001,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','224242241115375431269851572122433261112',2839,'270',66.40,1,3,NULL),(25,6014364,'1991-01-18 00:00:00',2,1,12,2008,'F','N','CHACARA INGLESA','S BERNARDO CAMPO','SP','125252251216571411323921575124610146172',11357,'9998',44.41,1,3,NULL),(25,6014372,'1977-02-02 00:00:00',2,1,12,1997,'M','N','FUNDOS','BIGUAÇU','SC','224241241146145712343143435132121832047',19306,'65',36.26,1,2,1),(25,6014380,'1993-07-21 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124241241116271231316636262122610164147',21022,'478',25.79,1,2,1),(25,6014399,'1992-03-20 00:00:00',4,3,12,2009,'M','N','CENTRO','JACUPIRANGA','SP','125251251116151731445611575124610127087',20220,'9998',27.90,1,2,1),(25,6014402,'1989-06-03 00:00:00',4,1,12,2006,'F','N','JARDIM BELA VISTA','S JOSÉ CAMPOS','SP','125251251117572411434619571124610146087',1867,'9998',67.78,1,2,1),(25,6014410,'1991-01-21 00:00:00',4,8,12,2008,'F','N','GUABIROTUBA','CURITIBA','PR','116162161216572431559933571124610166042',546,'9998',77.18,1,3,NULL),(25,6014429,'1990-01-16 00:00:00',4,1,12,2007,'F','N','JARDIM CANDIDA','ARARAS','SP','125253251116471411417518475114141937142',NULL,'9998',0.00,1,3,NULL),(25,6014437,'1992-07-04 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241317161431259939575124610161092',NULL,'9999',22.35,1,3,NULL),(25,6014453,'1992-06-16 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242246116171431437711242124610164187',NULL,'306',27.73,1,3,NULL),(25,6014461,'1987-12-24 00:00:00',4,1,7,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247124471411324374381121131556092',7852,'9999',51.65,1,2,1),(25,6014488,'1985-12-25 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124042241215133431116349492331220527093',13981,'388',45.20,4,3,NULL),(25,6014496,'1973-01-01 00:00:00',2,1,12,2001,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','224241247346135431443344145112122237047',18654,'9999',37.65,1,3,NULL),(25,6014500,'1993-07-08 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162241215111711568819475122610124187',10946,'270',46.19,1,3,NULL),(25,6014518,'1993-03-11 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241346141431236623245124610116042',NULL,'298',29.50,4,3,NULL),(25,6014526,'1985-12-05 00:00:00',4,15,12,2003,'M','N','AREIAS BRANCAS','BAL ARROIO SILVA','SC','124203206116141411324313433124142236083',15324,'9998',43.20,1,3,NULL),(25,6014534,'1992-09-29 00:00:00',4,1,11,2010,'M','N','SANTA RITA','BRUSQUE','SC','124242241215371431548712575122610167012',19610,'981',32.04,1,3,NULL),(25,6014542,'1993-06-27 00:00:00',2,1,12,2010,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124241241115471431323324275124610133157',16622,'298',36.75,1,2,1),(25,6014550,'1992-07-05 00:00:00',4,5,10,2009,'F','N','VILA MANAUS','CRICIÚMA','SC','124242241215472431447932575124610126022',1469,'880',70.85,1,3,NULL),(25,6014569,'1983-04-25 00:00:00',4,1,12,2000,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241136132411323327245124610127092',NULL,'282',35.39,1,2,1),(25,6014577,'1991-06-23 00:00:00',2,1,12,2008,'M','N','FORQUILHAS','S JOSÉ','SC','124241241116142431655613245124233224181',NULL,'733',0.00,1,2,1),(25,6014585,'1990-12-26 00:00:00',2,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241116131731635214395334610117042',NULL,'278',32.47,2,1,1),(25,6014593,'1993-02-06 00:00:00',2,1,12,2010,'F','N','VILA VERA','S PAULO','SP','125252251216161431346939585124610137117',9105,'9998',48.82,1,3,NULL),(25,6014615,'1992-11-19 00:00:00',2,15,12,2010,'M','N','CIDADE ALTA','TURVO','SC','124242241215372431346723575121610127042',7639,'813',53.69,1,3,NULL),(25,6014623,'1991-07-28 00:00:00',2,1,12,2008,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124201241117131431523611442224610122172',NULL,'288',17.14,1,2,1),(25,6014631,'1992-01-16 00:00:00',4,10,12,2009,'M','N','MAR GROSSO','LAGUNA','SC','124242241215134441129949495124233264132',11676,'807',48.64,1,3,NULL),(25,6014640,'1992-11-14 00:00:00',2,8,12,2010,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241115271431426614571124610134142',NULL,'24',33.39,1,2,1),(25,6014658,'1991-12-29 00:00:00',4,2,12,2008,'F','N','RIBEIRÃO DAS PEDRAS','INDAIAL','SC','124241241137273431333344345112120634147',11208,'365',44.39,1,2,1),(25,6014666,'1993-07-19 00:00:00',4,1,12,2010,'F','N','BRASIL','ITU','SP','125252251216111731578711575122610133182',NULL,'9998',0.00,1,3,NULL),(25,6014674,'1993-04-05 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215121431458713572112610117052',7292,'1022',53.57,1,3,NULL),(25,6014682,'1993-04-11 00:00:00',4,8,12,2010,'F','N','CENTRO','GUARAMIRIM','SC','124241241121141431635911295122610122197',14814,'335',39.02,1,2,1),(25,6014690,'1991-05-18 00:00:00',2,1,6,2010,'M','N','BADENFURT','BLUMENAU','SC','124242247215371331338618345122330732012',NULL,'9999',15.02,1,3,NULL),(25,6014704,'1993-03-09 00:00:00',4,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124241241122131411225654242224610147043',NULL,'734',26.80,1,3,NULL),(25,6014720,'1991-03-25 00:00:00',4,1,12,2008,'F','N','CENTRO','RIO NEGRO','PR','116242241215572431336833575124610134142',1265,'541',71.57,1,3,NULL),(25,6014739,'1994-05-15 00:00:00',4,1,12,2012,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242246116151431569833571124610138015',NULL,'306',47.41,1,3,NULL),(25,6014747,'1991-04-26 00:00:00',4,1,12,2008,'M','N','JARDIM SÃO NICOLAU','S PAULO','SP','125254251237571431548833275125610145092',NULL,'9998',0.00,1,3,NULL),(25,6014755,'1993-07-13 00:00:00',4,2,12,2010,'M','N','VALPARAÍSO','BLUMENAU','SC','124242241215151431569814275122610167052',2853,'71',63.94,1,3,NULL),(25,6014763,'1991-12-30 00:00:00',4,1,12,2010,'M','N','JARDIM SAO PAULO','S PAULO','SP','125252251216411432354831572125610122097',14379,'9998',39.89,1,3,NULL),(25,6014771,'1992-11-17 00:00:00',2,6,12,2009,'F','N','MURTA','ITAJAÍ','SC','124201241115472431433614575121610168057',9296,'396',49.33,1,2,1),(25,6014798,'1971-09-19 00:00:00',4,1,12,1995,'M','N','JD ELDORADO','PALHOÇA','SC','224243248346132411426844445124130767062',18085,'9997',34.38,1,3,NULL),(25,6014801,'1990-12-29 00:00:00',4,1,12,2008,'M','N','BOQUEIRÃO','SANTOS','SP','125252251116571431338811575124610112042',2519,'9998',64.92,1,3,NULL),(25,6014810,'1991-07-22 00:00:00',4,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244241117273431236419595114610131097',NULL,'257',28.58,1,3,NULL),(25,6014836,'1974-08-27 00:00:00',2,1,12,1989,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243248426131751327544245122233227083',NULL,'9999',19.85,1,3,NULL),(25,6014844,'1993-04-23 00:00:00',2,1,11,2010,'F','N','CENTRO','BIGUAÇU','SC','124242241214271431338831574124610116072',14581,'63',44.32,1,3,NULL),(25,6014852,'1980-10-08 00:00:00',4,8,12,1999,'F','N','PIRABEIRABA','JOINVILLE','SC','224211211215411421233319471124341363092',19362,'9998',36.15,1,3,NULL),(25,6014879,'1992-07-21 00:00:00',4,1,12,2010,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241117271421423624245234610128053',21796,'772',19.04,1,3,NULL),(25,6014887,'1993-07-14 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241112131731423729375124610123077',NULL,'278',18.57,1,3,NULL),(25,6014909,'1992-04-02 00:00:00',2,10,12,2009,'F','N','PAES LEME','IMBITUBA','SC','124241241116372751428532575115610121197',NULL,'359',24.89,1,2,1),(25,6014917,'1979-08-30 00:00:00',2,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124246248626131731114479295224610127187',17911,'9997',33.44,1,3,NULL),(25,6014925,'1993-08-12 00:00:00',4,8,12,2010,'F','N','NOVA BRASILIA','JOINVILLE','SC','124242241215111431369814295112610142072',NULL,'459',0.00,1,3,NULL),(25,6014933,'1991-11-23 00:00:00',4,1,12,2008,'M','N','CENTRO','GURUPI','TO','127272271215571431456611574122610166147',NULL,'9998',0.00,1,3,NULL),(25,6014968,'1992-03-04 00:00:00',2,1,12,2009,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124161161116351431338713575114610117012',NULL,'9998',0.00,1,3,NULL),(25,6014984,'1988-07-12 00:00:00',4,1,12,2009,'M','N','SERRARIA','BIGUAÇU','SC','124243247226131441645339385123610132041',NULL,'9999',42.54,1,3,NULL),(25,6014992,'1994-01-18 00:00:00',4,2,12,2010,'F','N','NAÇÕES','INDAIAL','SC','124242241215111431444432345122610148142',21536,'925',27.58,1,3,NULL),(25,6015000,'1993-05-29 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241147471431424421295124610122192',12806,'285',42.20,1,2,1),(25,6015026,'1992-02-06 00:00:00',4,8,12,2008,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215274211569613575124221467122',NULL,'154',0.00,1,3,NULL),(25,6015034,'1992-07-01 00:00:00',2,7,12,2009,'F','N','VILA PEDRINE','JOAÇABA','SC','124241241417573411435634575124130364117',NULL,'341',42.25,1,3,NULL),(25,6015042,'1991-07-19 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241211131751337823372122131337097',9343,'499',48.87,1,3,NULL),(25,6015069,'1993-03-31 00:00:00',4,17,12,2010,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241136161411424419295124610168177',NULL,'147',0.00,1,2,1),(25,6015077,'1993-12-14 00:00:00',4,8,12,2010,'M','N','AMÉRICA','JOINVILLE','SC','124244246215141431467713575124610127042',2548,'1105',66.42,1,3,NULL),(25,6015085,'1993-10-11 00:00:00',4,17,11,2010,'M','N','CENTRO','CANOINHAS','SC','124242161215121431468814575122610127042',6488,'9998',52.70,1,3,NULL),(25,6015093,'1975-11-17 00:00:00',4,1,12,1993,'M','N','DANIELA','FLORIANÓPOLIS','SC','224161161346131221234541415222233214092',NULL,'9998',0.00,4,3,NULL),(25,6015115,'1988-06-05 00:00:00',2,15,12,2005,'F','N','VOLTA DO SILVEIRA','ARARANGUÁ','SC','124241241116131221325315482123232745147',NULL,'29',24.56,1,2,1),(25,6015123,'1991-07-31 00:00:00',4,1,12,2008,'F','N','REAL PARQUE','S JOSÉ','SC','124241241112372431324311382124610124147',NULL,'734',26.63,1,2,1),(25,6015140,'1993-10-18 00:00:00',4,1,12,2010,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241112371231436923335124610152147',16426,'21',36.62,1,2,1),(25,6015158,'1993-09-18 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241115131431423654245124610127147',NULL,'288',13.97,1,2,1),(25,6015166,'1994-01-22 00:00:00',4,4,12,2010,'F','N','CENTRO','UNIÃO OESTE','SC','124241241135161431436613572122610127077',NULL,'816',23.75,1,2,1),(25,6015174,'1992-07-17 00:00:00',2,1,12,2009,'F','N','CENTRO','PNT GROSSA','PR','116162161216512111358634597122610165075',NULL,'9998',0.00,1,3,NULL),(25,6015182,'1991-04-14 00:00:00',4,1,12,2008,'M','N','JARDIM ANA EMILIA','TAUBATÉ','SP','125253251146572411558823275121610164117',17086,'9998',40.48,1,3,NULL),(25,6015190,'1993-06-27 00:00:00',2,10,11,2010,'F','N','OFICINAS','TUBARÃO','SC','624242241215111431528714375122610126147',14267,'807',44.76,1,3,NULL),(25,6015204,'1992-04-14 00:00:00',4,1,12,2009,'M','N','CENTRO','PNT GROSSA','PR','116162161216572431557811575112141532097',5694,'9998',56.16,1,3,NULL),(25,6015212,'1986-05-23 00:00:00',2,15,12,2003,'M','N','CENTRO','ARARANGUÁ','SC','124241241117131321436724225122130767055',NULL,'29',24.11,1,3,NULL),(25,6015239,'1992-12-15 00:00:00',4,7,12,2009,'M','N','CENTRO','CATANDUVAS','SC','124241241116371431326412245122610144062',20855,'161',31.70,1,2,1),(25,6015255,'1993-06-30 00:00:00',4,1,12,2010,'M','N','BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC','124242241217111731446633575124610117047',NULL,'1022',15.55,1,3,NULL),(25,6015263,'1993-12-19 00:00:00',4,3,12,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241116151311224621495124610136072',NULL,'405',0.00,1,3,NULL),(25,6015271,'1992-08-27 00:00:00',2,1,12,2009,'F','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124241241412472441336814574124610127112',9213,'1022',49.42,1,3,NULL),(25,6015280,'1993-02-25 00:00:00',2,1,12,2010,'M','N','NOVA PAULÍNIA','PAULÍNIA','SP','125254251217121431567827575122610132142',NULL,'9998',0.00,1,3,NULL),(25,6015298,'1991-05-02 00:00:00',2,8,12,2008,'F','N','INDUSTRIAL SUL','RIO NEGRINHO','SC','124241241214271411346829475112610123172',11497,'666',46.57,1,3,NULL),(25,6015301,'1967-04-12 00:00:00',2,1,10,1990,'M','N','FORTALEZA DA BARRA','FLORIANÓPOLIS','SC','124201247222133421123641315123610131183',19991,'9998',34.61,1,3,NULL),(25,6015336,'1993-02-18 00:00:00',4,1,11,2010,'F','N','UNIVERSITÁRIO','VIDEIRA','SC','124242241216152731569814575122610164147',11670,'969',43.86,1,3,NULL),(25,6015344,'1989-01-12 00:00:00',2,9,12,2006,'M','N','ATERRADO','POUSO REDONDO','SC','124241241114475431434336575124610125142',2014,'639',67.64,1,2,1),(25,6015352,'1992-06-20 00:00:00',4,1,12,2009,'F','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125252251217471431548811595112610127077',14184,'9998',39.74,1,3,NULL),(25,6015360,'1992-07-31 00:00:00',2,7,12,2009,'F','N','CENTRO','HERVAL D OESTE','SC','124241241336131731348413185125141467142',8529,'341',49.38,1,3,NULL),(25,6015379,'1993-12-06 00:00:00',4,1,12,2010,'F','N','JARDIM EUROPA','ITAPEVA','SP','125252251317234511248923385122610142072',10180,'9998',45.90,1,3,NULL),(25,6015387,'1989-01-03 00:00:00',2,1,2,2006,'F','N','BELA VISTA','PALHOÇA','SC','124242248416373431328869335134610122017',13272,'9997',41.79,1,3,NULL),(25,6015409,'1992-12-01 00:00:00',4,1,11,2010,'F','N','JARDIM SAVEIRO','BIGUAÇU','SC','124244241346131731426611375124610168147',NULL,'9999',10.68,1,3,NULL),(25,6015425,'1989-10-29 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241115373431116744345124610137187',15695,'307',37.73,1,3,NULL),(25,6015433,'1993-10-19 00:00:00',2,10,12,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124242241216131431548831575125610127087',NULL,'797',30.19,1,3,NULL),(25,6015476,'1988-01-12 00:00:00',2,1,12,2006,'F','N','VENDAVAL','BIGUAÇU','SC','124201241146371421633314242224610134147',NULL,'616',0.00,1,2,1),(25,6015492,'1990-01-19 00:00:00',2,4,12,2007,'M','N','PLANALTO','PATO BRANCO','PR','116161161127573721428359345124610127052',18843,'9998',33.40,1,2,1),(25,6015506,'1992-03-25 00:00:00',4,1,12,2009,'M','N','JDM EUROPA','ASSIS','SP','125251251215472441436832274113141434143',2427,'9998',64.53,1,3,NULL),(25,6015530,'1992-09-05 00:00:00',2,1,12,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241246116141431445823435124610162042',18220,'306',38.44,1,2,1),(25,6015549,'1992-11-16 00:00:00',2,4,11,2010,'F','N','CENTRO','CONCÓRDIA','SC','124244241415111431426471375222610123097',18710,'1000',36.35,4,3,NULL),(25,6015557,'1983-06-03 00:00:00',4,1,12,2000,'F','N','INGLESES','FLORIANÓPOLIS','SC','224202201116473411323354282314122216147',NULL,'9998',0.00,1,3,NULL),(25,6015565,'1991-11-23 00:00:00',2,1,12,2009,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241216271411449911275124232834142',19556,'1018',35.68,1,3,NULL),(25,6015581,'1989-07-10 00:00:00',2,1,10,2007,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241236372431634432245122610137087',NULL,'269',20.46,1,3,NULL),(25,6015590,'1976-02-15 00:00:00',2,1,12,1998,'M','N','SERRINHA','FLORIANÓPOLIS','SC','224161242116132721633353432124610112193',20057,'24',34.41,1,2,1),(25,6015620,'1993-03-10 00:00:00',4,4,11,2010,'F','N','MODULO DOIS','JUÍNA','MT','111114111216211731467532125122610116192',NULL,'9998',0.00,1,3,NULL),(25,6015638,'1994-09-27 00:00:00',2,6,12,2010,'F','N','MACHADOS','NAVEGANTES','SC','124241241117131751336519245321610126147',16539,'569',35.90,1,2,1),(25,6015654,'1993-07-17 00:00:00',2,4,12,2010,'M','N','CENTRO','PRANCHITA','PR','116161161114471641426821375124610127057',9193,'9998',48.83,1,2,1),(25,6015662,'1987-04-29 00:00:00',2,1,11,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241212133411443329341134610156157',20473,'273',33.24,1,3,NULL),(25,6015670,'1991-05-29 00:00:00',2,1,12,2008,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124201201147141431126644345124140224077',NULL,'9998',34.71,1,3,NULL),(25,6015689,'1992-08-05 00:00:00',2,1,10,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731658612575124610128052',17371,'1050',39.97,1,3,NULL),(25,6015700,'1992-10-06 00:00:00',4,1,12,2009,'F','N','NOVA MOGILAR','MOGI CRUZES','SP','125254071117131411427724285124610142077',NULL,'9998',0.00,1,3,NULL),(25,6015727,'1991-09-18 00:00:00',2,8,11,2009,'M','N','GUAÍRA','CURITIBA','PR','124252257216472431346934375125610148182',15531,'9998',42.86,1,3,NULL),(25,6015743,'1992-10-12 00:00:00',2,7,12,2009,'M','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124242248216142531446313242132230267052',NULL,'138',0.00,1,3,NULL),(25,6015760,'1992-01-09 00:00:00',2,1,12,2009,'M','N','FAZENDA DO MAX','S JOSÉ','SC','124241241215472751436629445114610124071',11912,'737',44.71,1,3,NULL),(25,6015778,'1992-02-19 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111431438621585124610127072',14951,'723',39.43,1,3,NULL),(25,6015786,'1990-06-28 00:00:00',2,1,12,2007,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241217375431478314474114123267047',12634,'270',44.43,1,3,NULL),(25,6015794,'1993-11-20 00:00:00',4,7,12,2010,'F','N','FLOR DA SERRA','JOAÇABA','SC','124241241116131431528823345124610122187',NULL,'341',30.49,1,2,1),(25,6015808,'1993-08-05 00:00:00',4,5,11,2010,'F','N','SANTANINHA','URUSSANGA','SC','124241241116161331335612575122610128142',18230,'822',38.42,1,2,1),(25,6015816,'1993-03-10 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124241241215111431459613135112610127072',NULL,'737',25.72,1,3,NULL),(25,6015824,'1993-08-21 00:00:00',4,1,12,2010,'M','N','CENTRO','ITAPIRA','SP','125252251216111431338814572212610117122',20694,'9998',32.41,1,3,NULL),(25,6015832,'1991-12-10 00:00:00',2,1,12,2009,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215472411689613575114610124042',16909,'1169',40.76,1,3,NULL),(25,6015840,'1989-04-27 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241127473431126649296124233248045',NULL,'307',44.09,1,2,1),(25,6015859,'1990-12-19 00:00:00',4,1,12,2007,'F','N','AREIAS','TIJUCAS','SC','124241241117131412523514371312132766152',NULL,'783',0.00,1,2,1),(25,6015867,'1993-03-08 00:00:00',4,1,12,2010,'M','N','ORYPABA','MTE ALEGRE SUL','SP','125251253416111431459831575124610124092',5691,'9998',56.88,1,3,NULL),(25,6015875,'1994-11-08 00:00:00',2,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241217111431328839572112610134072',12776,'226',46.96,1,3,NULL),(25,6015883,'1979-10-02 00:00:00',2,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241146133751163343235122333222042',9748,'591',51.80,1,2,1),(25,6015891,'1993-02-01 00:00:00',4,1,11,2010,'F','N','JARDIM CAIÇARA','S JOAQUIM','SC','124242241215272431588813432122610128071',17005,'721',40.61,1,3,NULL),(25,6015905,'1985-05-05 00:00:00',4,1,12,2002,'F','N','FORQUILHINHAS','S JOSÉ','SC','224241241111131431525531345234610126037',21267,'732',29.65,3,2,1),(25,6015913,'1993-08-22 00:00:00',4,1,12,2010,'M','N','NOVA LONDRES','LONDRINA','PR','116161161217151711337611595122610167052',NULL,'9998',0.00,1,3,NULL),(25,6015921,'1992-03-03 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162241215372431248912572124131467052',2655,'270',65.65,1,3,NULL),(25,6015930,'1986-10-30 00:00:00',3,5,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216145431346629494124222242092',18055,'270',38.73,1,3,NULL),(25,6015948,'1991-03-07 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241216113431366634445122221124072',NULL,'723',0.00,1,3,NULL),(25,6015964,'1993-05-27 00:00:00',4,7,12,2010,'F','N','INTERIOR','ARROIO TRINTA','SC','124241241127111431524335595124610127052',20840,'853',31.76,4,2,1),(25,6015972,'1993-01-01 00:00:00',4,16,12,2010,'M','N','ÁGUA SANTA','CURITIBANOS','SC','124241241116371411633319395124610127052',9792,'240',48.42,1,2,1),(25,6015980,'1990-12-11 00:00:00',2,1,12,2008,'F','N','MORRO DO FABRICIO','STO AMARO IMPERATRIZ','SC','124241241117141431421323395124210124142',NULL,'941',17.79,1,2,1),(25,6015999,'1993-01-23 00:00:00',2,1,12,2010,'M','N','PALMEIRAS III','DRACENA','SP','125252251215161431448864585122610127072',9779,'9998',49.58,3,3,NULL),(25,6016006,'1993-08-09 00:00:00',4,2,11,2010,'F','N','GARCIA','BLUMENAU','SC','124242241215111411458832574122610126012',2393,'87',66.22,1,3,NULL),(25,6016014,'1991-07-21 00:00:00',4,15,12,2007,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124203241116131411425624345125130728087',NULL,'29',35.87,1,3,NULL),(25,6016030,'1991-10-23 00:00:00',4,1,11,2009,'M','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124244241216372431468833582114610127145',14404,'454',44.58,1,3,NULL),(25,6016065,'1994-11-09 00:00:00',2,5,11,2011,'F','S','CENTRO','CRICIÚMA','SC','124241241214371431326324241122610146172',NULL,'226',48.22,1,3,NULL),(25,6016073,'1988-08-27 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241216275431238613385124220562097',17198,'389',40.29,1,3,NULL),(25,6016081,'1992-06-20 00:00:00',4,8,9,2009,'M','N','AMÉRICA','JOINVILLE','SC','124244241216472431468613572112610167092',6407,'1016',55.59,1,3,NULL),(25,6016090,'1991-01-29 00:00:00',2,8,12,2008,'M','N','ÁGUA BRANCA','S FRANCISCO SUL','SC','124242246216372431456723345123131467111',12522,'1105',45.58,1,3,NULL),(25,6016103,'1990-08-21 00:00:00',2,1,12,2007,'F','N','FLORESTA','S JOSÉ','SC','124242241416371431446414245124130814112',NULL,'868',26.44,1,3,NULL),(25,6016111,'1992-09-10 00:00:00',4,1,12,2009,'F','N','JD ESPLANADA','JUNDIAÍ','SP','125251251415571441468614575112610166047',8181,'9998',50.31,1,3,NULL),(25,6016120,'1986-10-17 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124131137147373511434524393121142266177',NULL,'9998',33.04,4,2,1),(25,6016138,'1985-12-26 00:00:00',2,1,12,2006,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241247122413511314368382344610114187',NULL,'9997',21.81,1,2,1),(25,6016146,'1992-09-04 00:00:00',4,1,12,2009,'F','N','RIO DOS PINHEIROS','ANITÁPOLIS','SC','124241241124161431323635252224232733142',11855,'19',43.48,1,2,1),(25,6016154,'1993-07-12 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471431479911475122610164096',429,'270',77.30,1,3,NULL),(25,6016162,'1991-11-08 00:00:00',4,1,12,2009,'M','N','JARDIM SANTANA','MONGAGUÁ','SP','125251251117371431646313275124610134017',8639,'9998',49.29,1,2,1),(25,6016170,'1989-07-17 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241137131431128669345124610128042',20218,'298',34.01,1,3,NULL),(25,6016189,'1993-07-07 00:00:00',2,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241215131431536624145224610137047',17104,'738',40.45,4,3,NULL),(25,6016197,'1986-01-31 00:00:00',2,1,12,2003,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124201242111141121123644442214142366047',15746,'9998',42.53,1,3,NULL),(25,6016219,'1991-07-15 00:00:00',4,15,12,2009,'M','N','CAMAQUA','PTO ALEGRE','RS','120201201117371411436614572124143216147',53,'9998',85.18,1,2,1),(25,6016227,'1992-01-22 00:00:00',4,1,12,2009,'F','N','PILARZINHO','CURITIBA','PR','116164161217471431458833575122610123142',18503,'9998',37.92,1,3,NULL),(25,6016235,'1993-10-13 00:00:00',4,1,12,2010,'M','N','AFONSO PENA','S JOSÉ PINHAIS','PR','116164161215121431446619375114610168187',NULL,'9998',0.00,4,3,NULL),(25,6016243,'1981-04-09 00:00:00',2,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124091091316271731158643435134341564147',2052,'9998',69.08,1,3,NULL),(25,6016251,'1990-10-23 00:00:00',2,1,12,2007,'M','N','TIJUQUINHAS','BIGUAÇU','SC','124241241116272731334919445234610164087',12810,'64',46.90,1,2,1),(25,6016260,'1993-05-26 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241125151411457514295124610168032',9706,'283',48.41,1,3,NULL),(25,6016278,'1993-10-24 00:00:00',4,1,12,2010,'M','N','BELA VISTA','PALHOÇA','SC','124242241237111431326511574111610164052',12982,'989',46.62,1,3,NULL),(25,6016294,'1988-05-06 00:00:00',2,15,9,2006,'F','N','SAO LUIZ','SOMBRIO','SC','124241244146271731313354272121610138197',NULL,'9999',24.51,1,2,1),(25,6016308,'1992-04-19 00:00:00',2,8,12,2009,'F','N','CENTRO','MATINHOS','PR','116162161216472541439933325121610138187',13716,'9998',40.43,1,3,NULL),(25,6016316,'1982-10-08 00:00:00',2,1,12,2000,'M','N','IPIRANGA','S JOSÉ','SC','124244247426152611126442425124610168197',16579,'725',41.27,1,3,NULL),(25,6016324,'1993-12-13 00:00:00',2,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241127371431426414575124610163112',19078,'290',30.32,1,2,1),(25,6016332,'1979-04-15 00:00:00',2,1,11,1999,'M','N','INGLESES','FLORIANÓPOLIS','SC','124161166126143421124444445124610112017',21665,'9998',25.83,4,3,NULL),(25,6016359,'1993-12-14 00:00:00',4,4,12,2010,'M','N','CENTRO','PALMAS','PR','116164161216371431436811571122610148012',NULL,'9998',0.00,1,3,NULL),(25,6016367,'1993-09-29 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215111431336821575224610168092',9481,'269',47.72,1,3,NULL),(25,6016375,'1987-10-12 00:00:00',4,9,12,2005,'M','N','CENTRO','RIO SUL','SC','124242241115411431343327221122130234112',NULL,'663',0.00,1,3,NULL),(25,6016383,'1993-01-16 00:00:00',4,1,12,2010,'F','N','SETOR OESTE','GOIÂNIA','GO','109092091217111431546612595125610142196',8026,'9998',51.97,1,3,NULL),(25,6016391,'1993-11-29 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116471732423411575324610127142',17891,'287',34.16,1,2,1),(25,6016405,'1993-12-09 00:00:00',4,1,12,2010,'F','N','JD ANA MARIA','SOROCABA','SP','125252251217111431348931575122610137077',1160,'9998',71.37,1,3,NULL),(25,6016421,'1993-01-21 00:00:00',2,5,11,2010,'F','N','DAS DAMAS','URUSSANGA','SC','124241241215113431346622575122610135092',20366,'226',33.52,1,3,NULL),(25,6016430,'1993-04-02 00:00:00',4,2,11,2010,'M','N','VILA NOVA','BLUMENAU','SC','124242241217151431468812575114610117042',6891,'909',56.93,1,3,NULL),(25,6016456,'1994-08-15 00:00:00',4,9,11,2011,'F','S','CENTRO','LAGES','SC','124242241215111431449931572122610145192',NULL,'497',39.81,1,3,NULL),(25,6016464,'1993-12-10 00:00:00',4,1,12,2010,'M','N','JD BEIRA MAR','PERUÍBE','SP','125252251216151431359714575112610147042',NULL,'9998',0.00,1,3,NULL),(25,6016472,'1992-06-16 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241214473431321324342124610123097',10475,'738',47.06,4,3,NULL),(25,6016499,'1992-11-16 00:00:00',4,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217111431669613335124610121033',13133,'1197',43.09,1,3,NULL),(25,6016510,'1990-07-11 00:00:00',2,1,11,2007,'F','N','KOBRASOL','S JOSÉ','SC','124242241416372411356913395124130264072',9295,'729',50.12,1,3,NULL),(25,6016529,'1993-01-18 00:00:00',2,1,12,2009,'F','N','POÇO FUNDO','STO AMARO IMPERATRIZ','SC','124241241217131431533823575122610128192',19547,'1223',35.69,1,3,NULL),(25,6016537,'1991-01-31 00:00:00',4,1,12,2008,'F','N','VILA MARIANA','S PAULO','SP','125252251216572431363612575122610122127',1976,'9998',67.54,1,3,NULL),(25,6016553,'1992-08-20 00:00:00',4,2,12,2009,'F','N','BELA VISTA','GASPAR','SC','124241241216272431339724385114610162142',4829,'86',59.83,1,3,NULL),(25,6016561,'1993-07-05 00:00:00',2,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124241241115121432516521512344610112042',21190,'257',24.61,1,2,1),(25,6016570,'1987-12-08 00:00:00',4,15,12,2006,'M','N','CENTRO','BAL ARROIO SILVA','SC','124204201216471721237624345122142067045',NULL,'9998',25.56,1,3,NULL),(25,6016588,'1993-08-25 00:00:00',4,2,11,2010,'F','N','CENTRO','ITUPORANGA','SC','124244241226161431243634575112610124082',12463,'1173',42.10,1,3,NULL),(25,6016596,'1993-07-30 00:00:00',2,2,12,2010,'F','N','CENTRO','S JOÃO BATISTA','SC','124244248415111451445514175124610128187',8728,'1123',50.83,4,3,NULL),(25,6016618,'1993-10-11 00:00:00',4,7,12,2010,'F','N','CENTRO','BARRACÃO','RS','120201201146131431424619392324610113097',NULL,'9998',14.75,1,2,1),(25,6016626,'1991-12-26 00:00:00',1,6,7,2010,'M','N','SÃO LOURENÇO','CURITIBA','PR','116162281417271431379633572121610127062',8827,'9998',53.36,1,3,NULL),(25,6016642,'1993-12-21 00:00:00',4,8,12,2011,'F','S','AMÉRICA','JOINVILLE','SC','124242248217111351538711575112610142142',NULL,'9997',34.93,1,3,NULL),(25,6016650,'1994-04-01 00:00:00',2,1,12,2010,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241115471441423314571124610122142',16875,'592',35.71,1,2,1),(25,6016677,'1994-02-17 00:00:00',4,1,12,2010,'M','N','TERCEIRO PLANO','DOURADOS','MS','112124121215111431468923575112610165172',3439,'9998',61.21,1,3,NULL),(25,6016707,'1983-11-29 00:00:00',2,1,12,2001,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','224241243123271431226644443231610154175',15865,'290',38.73,1,2,1),(25,6016723,'1994-06-01 00:00:00',2,7,12,2010,'F','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124242241215131431334923345125610132077',NULL,'138',10.26,1,3,NULL),(25,6016731,'1991-05-04 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241216573431438933575125610138142',6305,'962',55.47,1,3,NULL),(25,6016758,'1993-08-03 00:00:00',4,3,12,2010,'M','N','FANNY','CURITIBA','PR','116162161216111431343711315122610167042',6701,'9998',54.18,1,3,NULL),(25,6016774,'1992-11-18 00:00:00',2,10,11,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242245215111411358811595122610125142',13963,'807',39.65,1,3,NULL),(25,6016782,'1993-06-25 00:00:00',2,1,10,2010,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','124244241215122441335836575124610162177',8242,'1011',50.33,1,3,NULL),(25,6016790,'1984-06-20 00:00:00',2,1,12,2002,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241112132431433427275124321862147',NULL,'307',0.00,1,2,1),(25,6016804,'1989-07-24 00:00:00',4,1,12,2006,'M','N','JD SANTA CLARA','TAUBATÉ','SP','125252251217272711358833375112141464052',2509,'9998',65.96,1,3,NULL),(25,6016839,'1988-12-31 00:00:00',2,1,7,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241315372751226944381324610137077',19473,'9999',35.89,1,3,NULL),(25,6016847,'1990-05-10 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241216275431368877575124221734177',1842,'266',69.90,1,3,NULL),(25,6016855,'1993-08-21 00:00:00',4,3,12,2010,'M','N','JARDIM VILA NOVA','HORIZONTINA','RS','120203201216151431458933375122610167042',5478,'9998',57.19,1,3,NULL),(25,6016871,'1992-01-09 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216473441449633575124610146092',6511,'262',54.82,2,1,2),(25,6016880,'1992-09-10 00:00:00',4,1,10,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121531347611574122610124127',NULL,'270',19.93,2,1,2),(25,6016898,'1991-09-15 00:00:00',2,1,12,2009,'M','N','ARIRIU DA FORMIGA','PALHOÇA','SC','124244241117312431335321335124610125051',19507,'733',31.31,1,3,NULL),(25,6016901,'1985-01-11 00:00:00',2,6,12,2002,'F','N','CAMPO COMPRIDO','CURITIBA','PR','616163161215371431123649495124141243077',NULL,'9998',0.00,4,3,NULL),(25,6016910,'1992-09-15 00:00:00',4,1,12,2010,'M','N','CENTRO','NEVES PAULISTA','SP','125251251116471431446413575122610144052',10749,'9998',46.87,1,2,1),(25,6016936,'1993-10-06 00:00:00',4,1,12,2010,'F','N','CENTRO','CPO GRANDE','MS','112122121316171421468812575122610126142',12396,'9998',47.53,1,3,NULL),(25,6016944,'1990-11-14 00:00:00',2,1,12,2008,'F','N','BALNEARIO ESTREITO','FLORIANÓPOLIS','SC','124251251217473431426611385124610127147',1634,'9998',69.01,4,3,NULL),(25,6016952,'1982-08-31 00:00:00',4,1,12,2001,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217134431536519485124610112192',19110,'1134',36.73,1,3,NULL),(25,6016960,'1993-09-24 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215271431439833575112610162095',13885,'738',40.41,1,3,NULL),(25,6016979,'1992-11-21 00:00:00',4,4,12,2009,'F','N','CENTRO','XAXIM','SC','124242241216471431449831575122610138092',12943,'994',41.16,1,3,NULL),(25,6016987,'1992-12-22 00:00:00',4,1,12,2009,'M','N','JARDIM TIMBAÚVA','GRAVATAÍ','RS','120201201117131732438614342234610127187',NULL,'9998',0.00,1,2,1),(25,6017010,'1993-06-04 00:00:00',4,1,11,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215121431478824572122610162197',4005,'270',61.50,1,3,NULL),(25,6017029,'1993-09-21 00:00:00',4,2,12,2010,'F','N','BOM RETIRO','BLUMENAU','SC','124242241215111411559811575122610122082',17532,'855',39.69,1,3,NULL),(25,6017037,'1986-06-19 00:00:00',4,2,12,2004,'F','N','CANTA GALO','RIO SUL','SC','124241241141272741123344145221232822157',10966,'680',44.73,1,2,1),(25,6017045,'1993-04-02 00:00:00',4,3,12,2010,'F','N','AREIAS','CAMBORIÚ','SC','124241241136261712536834172122610133077',20582,'1043',25.89,1,3,NULL),(25,6017053,'1993-11-18 00:00:00',2,1,12,2010,'M','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241115271431325327176124610134172',18038,'772',35.01,1,2,1),(25,6017061,'1992-01-22 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124212241215573431588912575124610162147',340,'262',79.07,1,3,NULL),(25,6017070,'1990-05-30 00:00:00',2,1,11,2007,'F','N','JARDIM VENEZA','S JOSÉ CAMPOS','SP','125252253216572731328624375114610167072',8100,'9998',50.56,1,3,NULL),(25,6017096,'1993-06-27 00:00:00',4,5,7,2010,'F','N','OPERÁRIA NOVA','CRICIÚMA','SC','124243246216131431437624395124610143112',NULL,'995',30.00,1,3,NULL),(25,6017118,'1987-09-09 00:00:00',2,7,7,2005,'M','N','SÃO FRANCISCO','LUZERNA','SC','124241241145574431344414385124610132012',9308,'539',49.37,1,2,1),(25,6017126,'1977-11-25 00:00:00',4,1,12,1997,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252251217572431189832495122132642182',NULL,'9998',0.00,1,3,NULL),(25,6017134,'1993-02-25 00:00:00',4,8,12,2010,'M','N','ITAPOÁ','ITAPOÁ','SC','124241241145141721628643292114610118177',19612,'413',30.22,1,2,1),(25,6017142,'1989-05-03 00:00:00',2,1,4,2008,'M','N','SETOR GARAVELO','APARECIDA GOIÂNIA','GO','109091097346371411441722125123610167047',NULL,'9998',0.00,2,1,2),(25,6017169,'1992-11-11 00:00:00',2,17,12,2010,'F','N','CENTRO','PTO UNIÃO','SC','124241241215131431323536575124610122172',9633,'633',47.52,1,3,NULL),(25,6017185,'1988-03-11 00:00:00',2,1,10,2010,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124241248115413111426633585124613217167',NULL,'9999',20.92,1,2,1),(25,6017193,'1993-10-31 00:00:00',4,4,12,2010,'M','N','ARI BORTOLI','S DOMINGOS','SC','124241241137161431536514575315610127042',11941,'707',44.29,1,2,1),(25,6017207,'1992-03-13 00:00:00',4,1,12,2009,'F','N','JARDIM BELA VISTA','SERRANA','SP','125252251215571441364612275122610167142',15106,'9998',37.45,1,3,NULL),(25,6017215,'1994-02-22 00:00:00',4,8,11,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215272431469911575124610167142',7636,'457',52.08,1,3,NULL),(25,6017223,'1953-03-28 00:00:00',2,1,7,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','524246247646371421233349192122610126092',15624,'9999',38.24,1,3,NULL),(25,6017231,'1993-03-10 00:00:00',2,1,12,2010,'M','N','JARDIM MONTE CARLO','ASSIS','SP','125254251216111131443832175122610123187',NULL,'9998',0.00,2,1,2),(25,6017240,'1992-02-12 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116472732211149595324610128052',19164,'307',36.62,2,1,1),(25,6017258,'1992-08-06 00:00:00',2,1,12,2009,'F','N','CAPÃO DA IMBUIA','CURITIBA','PR','116161161215471441536661275124610164147',2389,'9998',66.35,1,3,NULL),(25,6017266,'1992-11-17 00:00:00',4,1,12,2009,'M','N','JARDIM AUZIRA','S PAULO','SP','125252251217571731356822571112610146147',3297,'9998',62.46,4,3,NULL),(25,6017274,'1992-09-09 00:00:00',2,15,12,2009,'F','N','CENTRO','MARACAJÁ','SC','124241241137131431446634232121133267142',NULL,'550',33.31,1,2,1),(25,6017282,'1992-12-13 00:00:00',2,7,12,2009,'M','N','CENTRO','ÁGUA DOCE','SC','124241241131131731313339581224610168147',20264,'9',31.12,1,3,NULL),(25,6017290,'1993-08-13 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117161431326324572324610144197',NULL,'288',18.85,1,2,1),(25,6017320,'1991-05-25 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241335472411137421315124121634027',NULL,'182',0.00,1,3,NULL),(25,6017339,'1975-04-08 00:00:00',4,1,12,1993,'M','N','SERRARIA','S JOSÉ','SC','124241243136475441534314115124130722177',15413,'739',43.04,1,2,1),(25,6017347,'1992-06-24 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215474431578834272122610142092',14037,'855',40.32,1,3,NULL),(25,6017355,'1992-04-24 00:00:00',4,4,12,2010,'F','N','GRANJA VIANA','COTIA','SP','125252251236141431345519572122610167052',14827,'9998',38.54,1,3,NULL),(25,6017363,'1992-04-29 00:00:00',4,1,12,2009,'M','N','ZONA DOIS','MARINGÁ','PR','116162161416471431578912575122610124042',2777,'9998',64.17,1,3,NULL),(25,6017371,'1992-03-18 00:00:00',4,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241146131731224819395124610144147',NULL,'285',29.91,1,2,1),(25,6017380,'1991-08-12 00:00:00',2,8,12,2009,'F','N','JABAQUARA','S PAULO','SP','125253251117471431328824375124610163147',NULL,'9998',18.62,4,3,NULL),(25,6017398,'1977-10-19 00:00:00',2,1,12,2009,'M','N','JD VELOSO','OSASCO','SP','125161257116233641323449245224610146047',16489,'9998',37.17,2,1,1),(25,6017410,'1992-01-28 00:00:00',4,1,11,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111441348829575124610155042',16749,'270',41.01,1,3,NULL),(25,6017436,'1993-02-23 00:00:00',4,1,12,2009,'M','N','ALTO ALEGRE','VERÊ','PR','116161161116571731456916575122610147047',10968,'9998',46.70,1,3,NULL),(25,6017444,'1993-08-09 00:00:00',4,5,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124243241215472331576971472112610121192',14296,'995',39.73,1,3,NULL),(25,6017452,'1994-04-10 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241215111421256821572122610124192',12318,'1207',42.93,1,3,NULL),(25,6017460,'1993-01-17 00:00:00',2,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124242241214111431423424575122610134187',NULL,'962',0.00,1,3,NULL),(25,6017487,'1992-02-18 00:00:00',3,1,12,2009,'F','N','HIGIENOPOLIS','S PAULO','SP','125252251236371431289932471114610137072',5211,'9998',58.02,1,3,NULL),(25,6017509,'1992-06-27 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','624242241215111411485612572122610163147',3862,'262',62.23,1,3,NULL),(25,6017541,'1989-02-05 00:00:00',2,1,12,2006,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241126373311433314345124130234185',16882,'296',40.81,1,2,1),(25,6017550,'1993-07-14 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215371431379923572114610137072',1331,'270',72.01,4,3,NULL),(25,6017568,'1993-09-06 00:00:00',4,1,12,2010,'M','N','ZONA CINCO','MARINGÁ','PR','116162161217111321466832572122610167052',1833,'9998',69.57,1,3,NULL),(25,6017576,'1984-12-08 00:00:00',2,1,12,2001,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241316131231226451495224133218187',NULL,'920',27.03,1,3,NULL),(25,6017592,'1993-10-20 00:00:00',2,1,11,2010,'F','N','N SRA DO ROSARIO','S JOSÉ','SC','124242241215371431388921572124610164062',18298,'1075',34.90,1,3,NULL),(25,6017606,'1990-03-28 00:00:00',4,15,12,2007,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241147131431321141312122131067042',21383,'30',28.93,1,2,1),(25,6017622,'1991-06-23 00:00:00',2,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120201201136572431326724375124610163077',9360,'9998',47.35,1,2,1),(25,6017630,'1992-01-17 00:00:00',2,1,12,2008,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116132751427833295114230634097',NULL,'733',18.87,4,1,1),(25,6017665,'1992-03-02 00:00:00',4,8,12,2009,'M','N','FLORESTA','JOINVILLE','SC','124242241216412431489614375122610167042',1994,'1063',69.27,1,3,NULL),(25,6017673,'1992-08-29 00:00:00',4,1,11,2010,'F','N','LAPA','S PAULO','SP','125252251217111431548832575122610143072',7213,'9998',53.90,1,3,NULL),(25,6017681,'1993-06-25 00:00:00',4,2,12,2010,'F','N','CENTRO','BLUMENAU','SC','124243241215111431339933572125610122182',5695,'71',55.84,1,3,NULL),(25,6017703,'1991-12-30 00:00:00',2,1,12,2009,'F','N','JARDIM SUL','S JOSÉ CAMPOS','SP','125251251116472431124444242334610163072',11597,'9998',44.85,2,1,1),(25,6017711,'1991-04-08 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124203201111472431228744244224610121141',NULL,'9998',35.07,1,3,NULL),(25,6017720,'1989-09-11 00:00:00',4,6,12,2006,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124242241214374431338823275112121567187',8912,'855',53.21,1,3,NULL),(25,6017738,'1985-11-09 00:00:00',2,1,12,2003,'F','N','KOBRASOL','S JOSÉ','SC','124242241336134431323624345114130224052',14763,'1036',44.06,1,3,NULL),(25,6017746,'1992-07-28 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242248117151432236621385124610134052',11758,'306',45.31,4,3,NULL),(25,6017770,'1992-07-11 00:00:00',2,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215374431569932342122123237045',13291,'270',46.24,1,3,NULL),(25,6017819,'1992-12-21 00:00:00',4,4,12,2010,'F','N','SANTO ANTONIO','CHAPECÓ','SC','124241241111371711533312574124610126192',14949,'172',43.76,3,2,1),(25,6017827,'1983-02-22 00:00:00',2,15,12,2000,'F','N','CENTRO','MARACAJÁ','SC','224241241137131721244651235331333068142',21761,'29',23.64,1,2,1),(25,6017835,'1991-07-12 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217152111453833442124610165147',9177,'262',52.73,1,3,NULL),(25,6017843,'1991-05-29 00:00:00',2,9,12,2008,'M','N','INDEPENDENCIA','POUSO REDONDO','SC','124241241126472431423719342122133267057',NULL,'639',30.81,1,2,1),(25,6017851,'1985-05-21 00:00:00',2,1,8,2005,'M','N','ALTO ARIRIU','PALHOÇA','SC','224241245146161711321351335124232766157',NULL,'593',0.00,1,3,NULL),(25,6017860,'1988-07-15 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116271731124844345134333268191',NULL,'359',17.61,1,2,1),(25,6017886,'1985-05-19 00:00:00',2,1,12,2003,'F','N','ROÇADO','S JOSÉ','SC','124241241126274441433319385124232734187',12422,'729',47.48,4,2,1),(25,6017894,'1988-10-22 00:00:00',2,1,12,2006,'F','N','VILA GUARANI','S JOSÉ CAMPOS','SP','125253251217471431434339175122242926142',NULL,'9998',33.08,1,3,NULL),(25,6017908,'1979-04-03 00:00:00',2,1,11,1996,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124202201216134431116449295124610167057',16652,'9998',41.16,1,3,NULL),(25,6017916,'1993-01-13 00:00:00',2,2,11,2010,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241217111411479911375122610165187',NULL,'855',0.00,1,3,NULL),(25,6017924,'1988-07-07 00:00:00',2,1,12,2010,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','624241247126131431423644445334610127055',NULL,'9999',31.78,4,2,1),(25,6017932,'1992-05-28 00:00:00',2,1,12,2009,'F','N','VILA OPERÁRIA','MARINGÁ','PR','116162168216371411438831574112610134117',17582,'9998',39.62,3,3,NULL),(25,6017940,'1986-06-21 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124251251137131431224344345124143254047',NULL,'9998',32.10,4,2,1),(25,6017959,'1993-06-07 00:00:00',2,3,11,2010,'F','N','CAMPO GRANDE','PARANAGUÁ','PR','116162161216111432437924575122610167147',NULL,'9998',32.96,1,3,NULL),(25,6017967,'1989-12-25 00:00:00',2,1,11,2006,'F','N','FLORESTA','PTO ALEGRE','RS','120202201216471431574823471124141346147',1551,'9998',70.84,4,3,NULL),(25,6017975,'1990-09-18 00:00:00',4,9,12,2009,'F','N','PLANALTO','CAXIAS SUL','RS','120202201217272431448612242132610166182',11993,'9998',48.16,1,3,NULL),(25,6017983,'1994-05-20 00:00:00',4,1,12,2011,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215151431289923572122610122186',NULL,'270',42.11,1,3,NULL),(25,6017991,'1991-06-30 00:00:00',2,4,12,2008,'F','N','DOM BOSCO','UMUARAMA','PR','116161161126133711421923574312610123012',4678,'9998',59.62,2,1,1),(25,6018017,'1990-11-01 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241217572431243824345124610133147',16903,'883',40.77,1,3,NULL),(25,6018033,'1993-08-20 00:00:00',2,4,11,2010,'F','N','BELA VISTA','CHAPECÓ','SC','124243241215271431433814175122610166192',NULL,'185',25.97,1,3,NULL),(25,6018041,'1990-10-25 00:00:00',2,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241135573721443332445124610121047',NULL,'307',23.79,1,2,1),(25,6018050,'1992-06-09 00:00:00',2,1,12,2009,'F','N','JARDIM GOLLO','SOCORRO','SP','125251251116131741426824275124610143077',NULL,'9998',0.00,1,2,1),(25,6018068,'1992-06-03 00:00:00',4,4,12,2009,'F','N','CENTRO','ITÁ','SC','124241242116471441223724595124610166197',13286,'196',41.80,1,2,1),(25,6018076,'1994-01-01 00:00:00',4,4,11,2010,'M','N','INDUSTRIAL','FRANCISCO BELTRÃO','PR','116162161215271711338814575121610164182',7030,'9998',53.55,1,3,NULL),(25,6018084,'1993-02-13 00:00:00',2,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124242241116271731325312345124610162143',14820,'257',40.00,1,3,NULL),(25,6018092,'1989-05-21 00:00:00',4,1,12,2007,'M','N','ASA NORTE','BRASÍLIA','DF','107132131217572731338811571114140762097',NULL,'9998',0.00,1,3,NULL),(25,6018114,'1993-11-28 00:00:00',4,1,12,2010,'F','N','ENCANTADA','GAROPABA','SC','124241241121131421523814245124610124072',NULL,'322',20.29,1,2,1),(25,6018130,'1993-12-25 00:00:00',2,4,11,2010,'M','N','MENINO DEUS','PATO BRANCO','PR','116162161216111711425833572122610167057',16232,'9998',41.80,1,3,NULL),(25,6018149,'1993-03-16 00:00:00',4,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','125251251116161431224723375124610146142',11185,'9998',43.91,1,2,1),(25,6018165,'1993-10-28 00:00:00',4,15,12,2010,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124241241217131441324614575121610137177',4284,'770',61.54,1,3,NULL),(25,6018173,'1992-05-21 00:00:00',2,1,12,2009,'F','N','VILA ESTRELA','PNT GROSSA','PR','116162161217412431443611315122610142147',9071,'9998',50.19,1,3,NULL),(25,6018181,'1991-06-20 00:00:00',4,1,11,2010,'F','N','BUENO','GOIÂNIA','GO','109092091216111411446814575122610116147',NULL,'9998',27.32,1,3,NULL),(25,6018190,'1991-01-30 00:00:00',4,1,12,2008,'F','N','VILA SÃO GERALDO','S PAULO','SP','125252251217571731476831175122610167077',NULL,'9998',0.00,1,3,NULL),(25,6018203,'1993-11-07 00:00:00',2,1,12,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124243248116131411321839575124610156052',21423,'1116',28.63,1,3,NULL),(25,6018211,'1993-10-14 00:00:00',4,4,11,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241217472431436612575122610114152',11555,'185',46.35,1,3,NULL),(25,6018220,'1993-03-06 00:00:00',2,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241217151431333633575124610132047',14672,'1223',44.19,1,3,NULL),(25,6018238,'1985-04-01 00:00:00',2,1,11,2004,'F','N','ALTO RIBEIRÃO','FLORIANÓPOLIS','SC','124241247346272711323454242334610123027',NULL,'300',36.74,1,3,NULL),(25,6018246,'1993-08-16 00:00:00',4,1,12,2010,'M','N','JARDINS FLORENÇA','GOIÂNIA','GO','109092091215111431479932595112610137047',NULL,'9998',0.00,1,3,NULL),(25,6018254,'1975-10-19 00:00:00',2,1,12,1993,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','224241191146134411446354442123122742147',NULL,'9998',19.51,4,3,NULL),(25,6018262,'1989-09-16 00:00:00',4,1,11,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127131431523429385124610142042',17810,'283',34.56,1,2,1),(25,6018270,'1993-01-14 00:00:00',4,6,11,2009,'F','N','AGUA VERDE','CURITIBA','PR','116162161215411711669832571124610164097',NULL,'9998',NULL,1,3,NULL),(25,6018289,'1990-08-09 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124052051217573441489914575124242446182',312,'9998',78.72,1,3,NULL),(25,6018297,'1991-01-27 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','111111111117131432623539392324610127147',NULL,'9998',16.75,4,2,1),(25,6018335,'1993-11-12 00:00:00',4,8,11,2010,'M','N','RIO BONITO','IRATI','PR','116161161315111411468611272124610166172',3010,'9998',64.01,1,3,NULL),(25,6018343,'1993-01-04 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411486622575122610168192',5476,'270',58.13,1,3,NULL),(25,6018351,'1993-08-26 00:00:00',4,1,12,2010,'M','N','MOINHO VELHO','COLOMBO','PR','116161161117131311436834272114610138112',NULL,'9998',19.36,1,2,1),(25,6018360,'1993-02-19 00:00:00',4,8,12,2010,'M','N','CENTRO','S MIGUEL IGUAÇU','PR','116162164117271731559916375124610147047',4958,'9998',60.94,1,3,NULL),(25,6018386,'1988-04-06 00:00:00',5,1,12,2005,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124241241146131441113448385124130635145',15557,'209',42.82,1,2,1),(25,6018394,'1993-07-11 00:00:00',2,8,12,2010,'F','N','BOMJESUS','SORRISO','MT','111241111346131431523315275321610165147',NULL,'9998',33.33,1,3,NULL),(25,6018408,'1994-09-22 00:00:00',2,4,12,2010,'M','N','CASCATINHA','PTE SERRADA','SC','124241241126161531423614575122610137147',NULL,'629',0.00,1,2,1),(25,6018416,'1989-01-03 00:00:00',2,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241145333431523344245124610132042',NULL,'293',33.26,1,2,1),(25,6018424,'1993-04-30 00:00:00',2,4,12,2010,'F','N','CENTRO','NÃO-ME-TOQUE','RS','120201201147141731425316241224610128037',NULL,'9998',0.00,1,2,1),(25,6018432,'1991-05-27 00:00:00',2,1,12,2008,'F','N','CAMPO D UNA','GAROPABA','SC','124241241146133411423311235231610135047',19330,'1136',30.94,1,2,1),(25,6018440,'1994-04-13 00:00:00',4,4,11,2010,'M','N','CENTRO','CHAPECÓ','SC','124242241215471431469813575122610127052',9844,'185',47.29,1,3,NULL),(25,6018459,'1990-12-27 00:00:00',4,1,12,2008,'F','N','ALPHAVILLE','CAMPINAS','SP','125252251216571441468811595122610124012',NULL,'9998',0.00,1,3,NULL),(25,6018467,'1989-04-30 00:00:00',2,15,12,2006,'M','N','SAPIRANGA','MELEIRO','SC','124241241137111331423435345124231422057',NULL,'30',17.48,1,2,1),(25,6018475,'1990-11-22 00:00:00',4,1,1,2010,'M','N','CENTRO','CRAVINHOS','SP','125254251137572741337711375124610164142',4925,'9998',58.79,4,3,NULL),(25,6018491,'1992-05-06 00:00:00',4,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241212473431479953574122130222122',1240,'723',71.89,1,3,NULL),(25,6018513,'1993-08-04 00:00:00',2,1,12,2010,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241241115471431423734345124610117052',17349,'733',36.47,1,2,1),(25,6018521,'1991-11-29 00:00:00',4,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120203201217571431159933575114610124017',889,'9998',73.69,1,3,NULL),(25,6018530,'1993-06-14 00:00:00',2,4,12,2010,'M','N','INTERIOR','NOVA ERECHIM','SC','124241241116131731533415595122610127147',21451,'572',28.42,1,2,1),(25,6018548,'1993-03-17 00:00:00',4,8,12,2010,'F','N','BELA VISTA','RIO NEGRINHO','SC','124242241216111441449612575122610144127',14035,'1073',41.33,1,3,NULL),(25,6018556,'1986-11-30 00:00:00',4,1,12,2003,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241116273721532244245124610124077',18160,'21',38.55,1,2,1),(25,6018572,'1993-07-16 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215271451456614575124610164142',2589,'1023',66.52,1,3,NULL),(25,6018599,'1993-07-14 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215371431389923572114610127072',2232,'270',66.18,4,3,NULL),(25,6018602,'1992-06-06 00:00:00',4,1,11,2009,'F','N','GRAÇA','SALVADOR','BA','105052051216471431479711574122610142152',2406,'9998',67.78,1,3,NULL),(25,6018610,'1984-12-02 00:00:00',2,1,12,2003,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124251251126375411124944242334610164071',19335,'9998',36.20,1,2,1),(25,6018629,'1993-09-29 00:00:00',4,1,12,2010,'M','N','CHACARA CACHOIERA','CPO GRANDE','MS','112122121216421411478812575122610126042',10550,'9998',47.89,1,3,NULL),(25,6018637,'1993-06-21 00:00:00',4,2,11,2010,'F','N','CAPITAIS','TIMBÓ','SC','124241241215121441458914571122610143142',5659,'1157',56.56,1,3,NULL),(25,6018645,'1992-11-19 00:00:00',4,9,12,2009,'M','N','EUGÊNIO SCHNEIDER','RIO SUL','SC','124242241215473411558839595125132632097',NULL,'991',35.21,1,3,NULL),(25,6018653,'1992-09-19 00:00:00',4,1,11,2009,'F','N','CAMPO GRANDE','SANTOS','SP','125252251215471411449814585124610134187',NULL,'9998',35.59,1,3,NULL),(25,6018661,'1992-07-11 00:00:00',4,8,12,2009,'M','N','JARDIM ADRIANA','LONDRINA','PR','116162161216471411356819575112610137042',NULL,'9998',0.00,1,3,NULL),(25,6018670,'1973-03-09 00:00:00',2,1,12,1991,'M','N','BARREIROS','S JOSÉ','SC','124241241125575411423371292124610137097',6924,'307',55.19,4,2,1),(25,6018688,'1990-11-29 00:00:00',4,1,12,2008,'F','N','PETROPOLIS','PTO ALEGRE','RS','120202201216572331438639275114610142197',NULL,'9998',30.07,1,3,NULL),(25,6018696,'1992-05-09 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431379933575114610128095',9865,'269',49.25,1,3,NULL),(25,6018700,'1988-10-25 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116374731533311245124220614117',14418,'307',44.56,1,2,1),(25,6018718,'1992-07-27 00:00:00',4,1,12,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241248112131411526611172114610162013',15678,'306',38.00,1,3,NULL),(25,6018726,'1984-01-03 00:00:00',4,2,12,2001,'M','N','ESCOLA AGRICOL','BLUMENAU','SC','124242248217152431347844345124331467057',NULL,'909',19.76,1,3,NULL),(25,6018734,'1991-07-10 00:00:00',2,1,7,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241246132141431336321441114610134077',12892,'306',46.75,1,2,1),(25,6018742,'1988-08-07 00:00:00',2,7,12,2005,'F','N','UNIVERSITÁRIO','VIDEIRA','SC','124241241127161451635519415122333222177',21010,'779',31.05,1,3,NULL),(25,6018769,'1990-03-04 00:00:00',2,1,11,2007,'M','N','IPIRANGA','S JOSÉ','SC','124241241137473431323644146123610167042',10907,'734',49.81,1,2,1),(25,6018777,'1992-11-13 00:00:00',2,2,12,2010,'M','N','CENTRO','RIO SUL','SC','124241248137151431554612345124610164192',16688,'659',41.09,1,2,1),(25,6018785,'1992-02-18 00:00:00',4,1,12,2010,'M','N','CENTRO','MOGI CRUZES','SP','125252251236111441458814574122610168042',3620,'9998',60.95,1,3,NULL),(25,6018793,'1987-01-22 00:00:00',2,1,12,2004,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241137141721113344245114132714193',NULL,'591',20.90,1,2,1),(25,6018807,'1993-09-26 00:00:00',4,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241247442111411423611145124610113112',NULL,'9999',29.79,1,3,NULL),(25,6018823,'1993-12-14 00:00:00',4,4,12,2009,'M','N','CENTRO','PAIAL','SC','124241242117131431548936275124610132012',14574,'196',44.33,1,2,1),(25,6018831,'1992-09-28 00:00:00',4,1,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215373431448832575114610137142',2546,'226',64.95,1,3,NULL),(25,6018840,'1993-08-12 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242248215112431458832575122610127092',3143,'270',63.09,1,3,NULL),(25,6018858,'1993-11-12 00:00:00',4,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241215121431657811275114610128197',NULL,'1022',0.00,1,3,NULL),(25,6018874,'1981-03-19 00:00:00',2,1,12,1998,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201117331421126344445334142338147',NULL,'9998',0.00,1,2,1),(25,6018882,'1992-08-22 00:00:00',1,8,12,2010,'M','N','COLONIA JORDÃOZINHO','GUARAPUAVA','PR','116162161215111431546716272125610165072',NULL,'9998',0.00,1,3,NULL),(25,6018890,'1983-08-19 00:00:00',2,1,12,2001,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','524241241137273421543322342124610123182',NULL,'65',16.24,1,3,NULL),(25,6018912,'1993-10-29 00:00:00',4,7,12,2010,'F','N','JARDIM CIDADE ALTA','JOAÇABA','SC','124242241215111411346814575122610117142',6888,'962',53.37,1,3,NULL),(25,6018939,'1990-06-10 00:00:00',4,1,11,2008,'M','N','WERNER PLAAS','AMERICANA','SP','125252281635571431378812275122141434092',12201,'9998',43.48,1,3,NULL),(25,6018947,'1993-03-31 00:00:00',4,8,12,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215371331456432345114610123041',NULL,'494',31.49,1,3,NULL),(25,6018963,'1994-02-05 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217272211346823572125610162012',14517,'988',44.42,1,3,NULL),(25,6018971,'1988-08-02 00:00:00',2,8,12,2005,'F','N','VILA FORMOSA','S PAULO','SP','125212161216572451669914575124610163187',2175,'9998',66.44,1,3,NULL),(25,6018980,'1993-11-28 00:00:00',2,1,12,2010,'F','N','ENCANTADA','GAROPABA','SC','124241241127131431523834575224610123077',20760,'322',26.78,1,2,1),(25,6019005,'1989-07-07 00:00:00',2,1,7,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116142431458619445122231417142',NULL,'306',30.18,1,2,1),(25,6019013,'1993-05-06 00:00:00',4,2,11,2010,'F','N','ÁGUA VERDE','BLUMENAU','SC','124242241215321431539933575114610134142',17570,'855',39.64,1,3,NULL),(25,6019021,'1991-03-28 00:00:00',4,10,12,2008,'F','N','CENTRO','TREZE MAIO','SC','124241241117152731536311375122231427042',NULL,'793',0.00,1,2,1),(25,6019030,'1991-02-22 00:00:00',2,1,12,2009,'F','N','CANDEAL','SALVADOR','BA','105052051216471431568833572112610127017',NULL,'9998',0.00,1,3,NULL),(25,6019048,'1993-05-11 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111411537932575122610164092',13395,'259',41.24,1,3,NULL),(25,6019056,'1992-10-19 00:00:00',4,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215111441368877595124610161172',13273,'1022',41.43,1,3,NULL),(25,6019064,'1993-03-12 00:00:00',4,4,12,2010,'F','N','CENTRO','NOVA ERECHIM','SC','124241241115271331559933584122610162092',12202,'572',43.43,4,2,1),(25,6019072,'1986-07-07 00:00:00',2,5,12,2003,'M','N','VILA FRANCA','FORQUILHINHA','SC','224241241146131421223344242122610137047',NULL,'310',24.13,1,3,NULL),(25,6019080,'1993-06-17 00:00:00',4,1,11,2010,'M','N','SETOR BUENO','GOIÂNIA','GO','109142091215111441456912575124610162042',1485,'9998',71.32,1,3,NULL),(25,6019099,'1991-03-19 00:00:00',2,1,11,2008,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241226133411123644245134131017141',13425,'262',46.04,1,3,NULL),(25,6019102,'1991-10-31 00:00:00',4,1,12,2010,'M','N','PAGANI','PALHOÇA','SC','124244241215131421458829395124610134087',15819,'1011',42.42,1,3,NULL),(25,6019129,'1992-08-13 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126132431423311385124221827057',11966,'332',44.49,1,2,1),(25,6019137,'1991-07-08 00:00:00',4,1,1,2011,'F','N','ENGENHO NOVO','RIO JANEIRO','RJ','121213217416131441339813376114610164142',13595,'9998',40.14,4,3,NULL),(25,6019161,'1990-10-08 00:00:00',2,1,12,2007,'F','N','MENINO DEUS','PTO ALEGRE','RS','120242241215571431488814292122610167147',3281,'1016',61.49,1,3,NULL),(25,6019170,'1992-01-28 00:00:00',4,1,11,2009,'F','N','ROÇADO','S JOSÉ','SC','124242241216472431556612575124610132092',4414,'270',60.13,1,3,NULL),(25,6019188,'1981-11-21 00:00:00',2,5,6,2004,'M','N','HORIZONTE','COCAL SUL','SC','124241247327131411533414142321231468177',17418,'189',39.90,1,3,NULL),(25,6019196,'1990-08-04 00:00:00',2,1,12,2008,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115373431466553445122220732062',11687,'267',48.62,1,2,1),(25,6019200,'1991-09-24 00:00:00',4,10,12,2008,'F','N','VILA DIVA','S PAULO','SP','125254251416571431446912575114610136192',NULL,'9998',0.00,1,3,NULL),(25,6019218,'1991-12-17 00:00:00',2,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','124244241416112431449413575122610121092',NULL,'185',0.00,1,3,NULL),(25,6019226,'1986-12-19 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115133431135414392124322237097',10474,'630',50.52,1,2,1),(25,6019234,'1992-05-22 00:00:00',2,1,12,2009,'M','N','CERRO NEGRO','ITUPORANGA','SC','124241241115371431434815345132131137052',NULL,'888',18.48,1,3,NULL),(25,6019269,'1992-12-26 00:00:00',4,10,11,2009,'M','N','LADO DA UNIÃO','BRAÇO NORTE','SC','124241241115572431366624275124610117062',6274,'100',54.81,1,2,1),(25,6019277,'1965-02-05 00:00:00',2,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','524241247145141721333343235122610112047',NULL,'9999',0.00,1,2,1),(25,6019285,'1992-02-29 00:00:00',2,1,12,2008,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241115272411634634245124610163023',20775,'293',32.02,2,2,1),(25,6019293,'1993-04-30 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241345131431323624372224610124147',17626,'884',36.99,1,3,NULL),(25,6019307,'1993-09-28 00:00:00',4,8,12,2010,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124242241215111431466712575122610167182',NULL,'442',0.00,1,3,NULL),(25,6019315,'1987-02-25 00:00:00',4,1,12,2003,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124243241217133441347923485124331962091',11785,'943',48.51,1,3,NULL),(25,6019323,'1990-03-23 00:00:00',4,3,12,2007,'M','N','JARDIM GUAPORE','MARINGÁ','PR','116166168636571751338939575125610112187',7118,'9998',54.54,1,3,NULL),(25,6019331,'1985-07-14 00:00:00',4,2,12,2002,'M','N','POMERANOS','TIMBÓ','SC','124241241147152441544414235121121764172',NULL,'870',25.73,1,3,NULL),(25,6019340,'1989-01-23 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124243241116473431226844245114233263041',19807,'307',35.13,1,3,NULL),(25,6019358,'1992-03-31 00:00:00',4,1,12,2009,'F','N','JARDIM BONFIGLIOLI','S PAULO','SP','125254251217471431466632295122610145112',NULL,'9998',0.00,1,3,NULL),(25,6019374,'1993-02-15 00:00:00',4,1,12,2010,'M','N','RES COL S FRANCISCO','BRAGANÇA PAULISTA','SP','125252251216111441557934395122610167092',3421,'9998',62.71,1,3,NULL),(25,6019382,'1953-07-02 00:00:00',2,1,12,1990,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','624241245145471442431153475124610151097',14149,'281',41.70,1,3,NULL),(25,6019404,'1986-06-30 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115373431124444442334610125074',18881,'307',32.52,1,3,NULL),(25,6019412,'1991-03-27 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241317233421228629312124222266027',9918,'267',51.49,2,1,2),(25,6019420,'1993-05-11 00:00:00',4,1,12,2010,'F','N','JARDIM SÃO GUILERME','SOROCABA','SP','125252251216121431379634575112610164072',6519,'9998',55.24,1,3,NULL),(25,6019447,'1992-01-31 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','123242241216154431338924575124231467035',9749,'1022',51.80,1,3,NULL),(25,6019463,'1983-01-31 00:00:00',2,1,12,2001,'F','N','JOAQUINA','FLORIANÓPOLIS','SC','124201201126152431126644445214222744047',NULL,'9998',41.74,1,3,NULL),(25,6019480,'1993-06-05 00:00:00',4,8,5,2010,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242281415271432489913575122610124042',2886,'9998',64.38,1,3,NULL),(25,6019498,'1992-08-09 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241141141431423319395124610127147',NULL,'285',26.01,4,3,NULL),(25,6019501,'1980-12-09 00:00:00',2,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224203201417271141335759345114111338147',18343,'9998',38.21,1,3,NULL),(25,6019510,'1988-05-09 00:00:00',4,1,12,2005,'F','N','BELA VISTA III','S JOSÉ','SC','124242241117375451337714472124222237067',6480,'739',54.31,1,3,NULL),(25,6019528,'1991-08-17 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212573431456933472124610131142',6457,'270',55.06,1,3,NULL),(25,6019536,'1990-08-15 00:00:00',4,1,12,2007,'F','N','VL INDEPENDENCIA','PIRACICABA','SP','125252251215572431238631575122610116042',1159,'9998',72.00,1,3,NULL),(25,6019544,'1992-08-15 00:00:00',4,4,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124241241116572431436912592124610112097',9325,'192',48.83,1,2,1),(25,6019552,'1993-09-18 00:00:00',2,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124241241115371231625533575124610127147',NULL,'733',19.35,1,2,1),(25,6019560,'1989-01-20 00:00:00',2,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242247135371711523134285123610168115',NULL,'9999',15.29,1,3,NULL),(25,6019595,'1983-12-24 00:00:00',2,15,12,2003,'M','N','NOVA DIVINEIA','ARARANGUÁ','SC','124241241117143741423379191225610127087',NULL,'30',25.49,1,2,1),(25,6019609,'1991-02-03 00:00:00',2,10,12,2009,'M','N','CENTRO','IMBITUBA','SC','124244241436141431456712445122233238072',19877,'359',34.91,4,3,NULL),(25,6019617,'1993-04-04 00:00:00',4,2,12,2010,'F','N','PROGRESSO','BLUMENAU','SC','124241248136131711524512345324610122177',NULL,'80',0.00,1,3,NULL),(25,6019625,'1994-11-25 00:00:00',2,1,2,2011,'F','N','CASTELO BRANCO','ITAPEMA','SC','124242241415311731235722245122610124142',NULL,'1111',19.30,1,3,NULL),(25,6019633,'1991-06-25 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','625252251247471421237729275122610127052',NULL,'9998',32.91,1,3,NULL),(25,6019641,'1987-10-30 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241127273431524424285114610122185',9583,'298',49.09,1,3,NULL),(25,6019650,'1993-12-11 00:00:00',4,1,11,2010,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215111432589912575112610127042',1157,'262',72.79,1,3,NULL),(25,6019668,'1963-03-27 00:00:00',3,1,12,1980,'F','N','SETOR PEDRO LUDOVICO','GOIÂNIA','GO','624091091211155411228811335324341061181',NULL,'9998',0.00,4,3,NULL),(25,6019676,'1994-06-21 00:00:00',4,1,12,2010,'M','N','CENTRO','PALMAS','PR','116241161416311431354612245122610137042',NULL,'9998',0.00,1,3,NULL),(25,6019684,'1992-08-01 00:00:00',4,1,10,2009,'F','N','COND VALPARAISO','S CARLOS','SP','125122251215471411358923576212141466032',970,'9998',73.77,1,3,NULL),(25,6019692,'1991-07-20 00:00:00',4,8,12,2007,'F','N','FLORESTA','JOINVILLE','SC','124243241247471411555411374122132852042',7824,'459',52.05,1,3,NULL),(25,6019706,'1993-06-03 00:00:00',2,8,11,2010,'F','N','AMÉRICA','JOINVILLE','SC','124241241216111431457923575122610122147',14329,'1016',43.02,1,3,NULL),(25,6019714,'1992-08-04 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241212472411546514582114610121112',7913,'1023',51.88,1,3,NULL),(25,6019722,'1992-01-13 00:00:00',2,4,12,2009,'M','N','JARDIM CANADÁ I','UMUARAMA','PR','116161161316471451343312375122610162147',NULL,'9998',35.28,1,3,NULL),(25,6019730,'1993-06-04 00:00:00',4,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241116131431221329295224610127147',NULL,'295',39.28,2,1,1),(25,6019765,'1994-03-09 00:00:00',2,15,12,2010,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241115131431321621572121610134047',NULL,'30',19.81,4,2,1),(25,6019790,'1993-03-26 00:00:00',4,1,12,2010,'F','N','JARDIM AQUÁRIUS','S JOSÉ CAMPOS','SP','125252251217371731538611272112610135117',11480,'9998',45.50,1,3,NULL),(25,6019803,'1994-04-05 00:00:00',4,4,12,2011,'F','S','TACCA','XANXERÊ','SC','624242241217151431448613575122610114172',NULL,'836',42.65,1,3,NULL),(25,6019811,'1993-06-07 00:00:00',2,15,12,2010,'F','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120201201216471431437815575122610133143',13636,'9998',41.29,1,3,NULL),(25,6019820,'1990-11-08 00:00:00',4,1,12,2008,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241217573431388814572114610132092',12664,'1169',44.00,1,3,NULL),(25,6019838,'1990-03-02 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241112372121422317575125610118112',NULL,'359',29.47,1,2,1),(25,6019846,'1991-08-10 00:00:00',4,1,12,2008,'F','N','VILA GOMES CARDIM','S PAULO','SP','125252251216571411357732595124140636187',NULL,'9998',0.00,1,3,NULL),(25,6019870,'1991-12-14 00:00:00',2,15,12,2008,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241116131731346923385111131428177',NULL,'29',22.30,1,2,1),(25,6019900,'1991-01-13 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241126473431426424575124610117182',20223,'307',33.99,1,3,NULL),(25,6019919,'1980-07-11 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224114118212132431334351115324120916097',NULL,'9998',37.99,3,3,NULL),(25,6019927,'1993-04-30 00:00:00',4,2,11,2010,'F','N','FORTALEZA','BLUMENAU','SC','124242241215131411425529572122610142172',NULL,'87',0.00,1,3,NULL),(25,6019935,'1989-07-02 00:00:00',2,1,12,2007,'F','N','BELA VISTA','PALHOÇA','SC','124241241134141431328764345124233251097',NULL,'158',18.10,2,1,1),(25,6019943,'1994-11-06 00:00:00',4,1,12,2011,'F','S','PICADAS DO SUL','S JOSÉ','SC','124242241215111411367714575122610143092',NULL,'738',62.94,1,3,NULL),(25,6019978,'1992-09-03 00:00:00',2,1,10,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411426623491124610148092',20387,'269',31.51,1,3,NULL),(25,6019986,'1993-04-21 00:00:00',4,5,11,2010,'F','N','VILA MACARINI','CRICIÚMA','SC','124242241215122531349914345125610122092',17603,'226',39.58,1,3,NULL),(25,6019994,'1991-02-05 00:00:00',2,1,12,2008,'F','N','MARECHAL RONDON','CANOAS','RS','120202201217371751437319382124610121183',NULL,'9998',26.74,1,3,NULL),(25,6020003,'1993-06-14 00:00:00',2,8,12,2010,'F','N','NOVO MUNDO','CURITIBA','PR','116164161215471431548632575112610134147',NULL,'9998',26.33,4,3,NULL),(25,6020011,'1994-02-08 00:00:00',4,9,11,2010,'F','N','MARTORANO','S JOAQUIM','SC','124242241217161431438613571122610128192',17929,'721',38.98,1,3,NULL),(25,6020020,'1991-08-02 00:00:00',4,1,12,2009,'F','N','CAMPO BELO','S PAULO','SP','125252251217471411358823373114610167051',17108,'9998',40.45,1,3,NULL),(25,6020046,'1989-01-20 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472441437834145124221526182',1534,'1022',71.13,1,3,NULL),(25,6020062,'1993-05-21 00:00:00',2,1,11,2010,'M','N','BELA VISTA','ERECHIM','RS','120202201216151431466823575122610167042',8475,'9998',50.62,1,3,NULL),(25,6020070,'1994-10-13 00:00:00',2,1,12,2011,'F','S','IPIRANGA','S JOSÉ','SC','124242241215112731525612585124610164072',NULL,'1118',31.01,1,3,NULL),(25,6020089,'1991-12-16 00:00:00',4,1,11,2009,'F','N','TUCURUVI','S PAULO','SP','125252251216371231345934375115610124047',NULL,'9998',0.00,4,3,NULL),(25,6020097,'1989-11-19 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116132431226424345134610137087',NULL,'288',32.91,4,2,1),(25,6020100,'1990-04-16 00:00:00',2,5,12,2007,'M','N','MICHEL','CRICIÚMA','SC','124243246217573711438314482114131167052',580,'188',76.85,1,3,NULL),(25,6020119,'1993-10-29 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111331534612575124610132197',NULL,'269',35.02,1,3,NULL),(25,6020127,'1990-11-25 00:00:00',4,1,12,2009,'F','N','PARQUE ALTO TAQUARAL','CAMPINAS','SP','125252251217471751348514595122610163022',19780,'9998',35.19,1,3,NULL),(25,6020135,'1992-05-27 00:00:00',4,1,12,2009,'F','N','SANTANA','S PAULO','SP','125252251216471311537631341114610137154',14193,'9998',40.04,1,3,NULL),(25,6020143,'1992-07-11 00:00:00',2,1,12,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124241241112111411236632445124610164192',16332,'739',41.65,1,3,NULL),(25,6020160,'1993-10-18 00:00:00',4,1,12,2010,'F','N','VILA NOVA','IMBITUBA','SC','124241241117271431423834575124610166192',15884,'359',36.41,1,2,1),(25,6020178,'1994-06-09 00:00:00',4,6,12,2011,'F','S','SANTA RITA','BRUSQUE','SC','124242241235111431426631575122610124197',NULL,'981',35.77,1,3,NULL),(25,6020186,'1993-07-17 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124241248215111431336612295122610134142',15096,'1118',42.45,1,3,NULL),(25,6020194,'1993-04-25 00:00:00',4,1,12,2010,'M','N','VILA SANTANA','SOROCABA','SP','125252251211111711338612575122610134092',8395,'9998',49.23,1,3,NULL),(25,6020216,'1984-06-21 00:00:00',2,1,6,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241247426371431223344145234610127127',19550,'9999',33.01,1,3,NULL),(25,6020232,'1992-01-30 00:00:00',4,8,12,2009,'F','N','BATEL','CURITIBA','PR','116162161215471751459932571122141464093',1641,'9998',68.96,1,3,NULL),(25,6020240,'1992-10-07 00:00:00',2,1,11,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241112152431426713272124122337147',17728,'288',32.82,1,2,1),(25,6020259,'1993-10-18 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241235122431358679575114610142192',13558,'270',41.66,1,3,NULL),(25,6020267,'1991-03-12 00:00:00',2,1,12,2008,'F','N','PACHECOS','PALHOÇA','SC','124242241216372131426619442134610122077',NULL,'1036',31.19,1,3,NULL),(25,6020275,'1994-05-09 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242241215111411326631575124610112073',8972,'1022',48.98,1,3,NULL),(25,6020305,'1991-06-05 00:00:00',4,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241215372431328929572114610124142',21400,'1049',21.91,1,3,NULL),(25,6020313,'1993-06-19 00:00:00',4,1,10,2010,'M','N','FUNDOS','BIGUAÇU','SC','124242241217142421545612245111610138112',NULL,'63',0.00,1,3,NULL),(25,6020321,'1993-09-12 00:00:00',4,10,12,2010,'M','N','NOVA BRASILIA','IMBITUBA','SC','124243241116271411438617595124610138177',11928,'359',44.88,1,3,NULL),(25,6020348,'1989-10-02 00:00:00',2,16,12,2006,'M','N','AGUA SANTA','CURITIBANOS','SC','124241241135271732423319242332610127055',21055,'240',30.87,1,2,1),(25,6020356,'1983-01-30 00:00:00',2,1,12,2001,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','424241241127372431126344242121131237042',11166,'483',45.54,1,2,1),(25,6020364,'1992-11-26 00:00:00',4,1,12,2009,'F','N','FAZENDA DE LOURDES','ÁGUAS MORNAS','SC','124241241122271731533331472214610127142',18333,'12',34.14,1,2,1),(25,6020372,'1993-04-29 00:00:00',4,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','116243161236121431348913575125610124077',14072,'9998',39.08,1,3,NULL),(25,6020380,'1992-09-01 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242251217472431579814575114610122052',8141,'9998',51.39,1,3,NULL),(25,6020399,'1991-01-26 00:00:00',4,1,12,2008,'M','N','SANTA MARTA','S CARLOS','SP','125252251216571411459831575112610128112',10427,'9998',45.17,1,3,NULL),(25,6020402,'1992-05-27 00:00:00',2,1,12,2010,'F','N','CENTRO','XAXIM','SC','124243248215121431643312572125610134017',NULL,'270',0.00,1,3,NULL),(25,6020410,'1994-03-09 00:00:00',4,8,11,2011,'F','S','SAGUAÇU','JOINVILLE','SC','124242241215111731589812575112610138092',NULL,'457',47.54,1,3,NULL),(25,6020437,'1991-10-15 00:00:00',4,2,12,2008,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124241241146131731323639192224232825177',21120,'348',30.55,1,2,1),(25,6020445,'1994-05-27 00:00:00',2,1,12,2010,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124242241212111431548612575112610167047',15168,'723',43.46,1,3,NULL),(25,6020453,'1994-03-01 00:00:00',4,6,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241217131431436811572115610124197',NULL,'392',47.58,1,3,NULL),(25,6020461,'1986-01-28 00:00:00',2,1,12,2003,'F','N','COHAB CASTELO BRANCO','CARAPICUÍBA','SP','125251251117231411223344245124341815146',NULL,'9998',0.00,4,3,NULL),(25,6020470,'1989-02-02 00:00:00',4,16,12,2006,'M','N','CENTRO CÍVICO','CURITIBA','PR','116163161216471441427932375124141642017',3766,'9998',61.69,1,3,NULL),(25,6020496,'1993-09-26 00:00:00',4,6,12,2010,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241215111431436811575122610117057',NULL,'392',29.56,1,3,NULL),(25,6020500,'1993-08-20 00:00:00',2,4,11,2010,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116161161316151431446923595122610122147',17051,'9998',35.04,1,3,NULL),(25,6020518,'1984-03-09 00:00:00',2,1,12,2003,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241116132431645533242334232924047',17218,'591',35.04,1,2,1),(25,6020526,'1993-12-12 00:00:00',4,1,12,2010,'F','N','CENTRO','CÂNDIDO MOTA','SP','125251251416111431338723575124610134012',14214,'9998',39.07,1,3,NULL),(25,6020534,'1993-02-02 00:00:00',4,8,12,2010,'M','N','CENTRO','ALTINÓPOLIS','SP','125252251215111431356832475122610127126',4446,'9998',60.14,1,3,NULL),(25,6020550,'1991-11-21 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241112471441446313592124610123071',NULL,'739',17.14,4,3,NULL),(25,6020569,'1992-01-29 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217572411269933572124610141162',3114,'883',64.50,1,3,NULL),(25,6020577,'1987-08-11 00:00:00',4,1,12,2004,'M','N','BOM VIVER','BIGUAÇU','SC','124241241116271431525529342321610124187',17831,'521',33.57,1,2,1),(25,6020585,'1992-05-30 00:00:00',4,1,12,2009,'F','N','SANTO ANTONIO','CPO GRANDE','MS','112122121237472431548712572122610162147',NULL,'9998',0.00,1,3,NULL),(25,6020593,'1989-05-22 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241211133431236923575124232834041',18401,'1086',38.10,1,3,NULL),(25,6020607,'1993-08-25 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215372231559933575122610134142',3356,'226',62.11,1,3,NULL),(25,6020623,'1992-09-17 00:00:00',4,1,12,2010,'M','N','GUAIANASES','S PAULO','SP','125251251116131131343514335124610125197',NULL,'9998',0.00,2,1,1),(25,6020631,'1993-07-30 00:00:00',4,3,11,2010,'F','N','MERCÊS','CURITIBA','PR','116162161216271411489911572122610122182',NULL,'9998',0.00,1,3,NULL),(25,6020640,'1991-12-18 00:00:00',4,1,12,2009,'F','N','ALPHAVILLE','NOVA LIMA','MG','113132131217471431579813471122610167122',1758,'9998',67.75,1,3,NULL),(25,6020658,'1994-01-11 00:00:00',4,1,12,2011,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124243241217111731657613592124610138147',NULL,'270',49.11,4,3,NULL),(25,6020666,'1976-06-29 00:00:00',2,1,12,1993,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124161168126141411123341415134341065182',16240,'9998',41.79,1,2,1),(25,6020674,'1994-11-28 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124244241215111131568513472124610134187',NULL,'1118',18.41,4,3,NULL),(25,6020682,'1989-09-11 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241121372431535624241134610135182',7003,'307',53.18,1,2,1),(25,6020704,'1991-11-28 00:00:00',2,1,12,2010,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124244247135473421226521175124610122142',5843,'9997',56.95,1,3,NULL),(25,6020712,'1993-08-29 00:00:00',4,1,12,2009,'F','N','CENTRO','GAROPABA','SC','124243241145472431346821575124610128192',2966,'322',64.29,1,3,NULL),(25,6020720,'1992-01-22 00:00:00',4,4,12,2008,'F','N','CENTRO','S CARLOS','SC','116241241416572741548813573244610127047',504,'185',77.03,1,3,NULL),(25,6020739,'1992-01-25 00:00:00',4,6,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215221431457832575122610127142',NULL,'9997',0.00,1,3,NULL),(25,6020747,'1989-01-31 00:00:00',2,8,11,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124242241235555411429624575122133226137',10905,'486',44.28,1,3,NULL),(25,6020755,'1985-09-09 00:00:00',2,8,12,2003,'F','N','SITIO CERCADO','CURITIBA','PR','116161168126131751123349295234610168097',NULL,'9998',16.93,4,2,1),(25,6020763,'1993-03-10 00:00:00',4,1,12,2010,'M','N','TABOÃO','S BERNARDO CAMPO','SP','125252251217111431333731575124610168057',NULL,'9998',13.55,1,3,NULL),(25,6020771,'1988-07-07 00:00:00',4,1,12,2005,'F','N','BOSQUE DA SAÚDE','S PAULO','SP','125252251215571431338821575122142444027',332,'9998',78.02,1,3,NULL),(25,6020780,'1991-10-30 00:00:00',2,3,12,2009,'F','N','JARDIM MATILDE','OURINHOS','SP','125251251316173431337721214321610113097',NULL,'9998',11.85,1,3,NULL),(25,6020798,'1992-04-27 00:00:00',4,2,11,2009,'F','N','VICTOR KONDER','BLUMENAU','SC','124203201236472731247932575124610132182',1653,'9998',69.09,1,3,NULL),(25,6020828,'1991-03-24 00:00:00',4,8,12,2008,'F','N','FLORESTA','JOINVILLE','SC','124242241212372431429813493124131865071',13481,'1016',40.47,1,3,NULL),(25,6020836,'1982-11-27 00:00:00',2,6,12,2000,'F','N','ZÉ AMANDIO','BOMBINHAS','SC','124201201116131751526719485224331946183',NULL,'9998',30.56,1,3,NULL),(25,6020844,'1984-11-11 00:00:00',4,2,6,2006,'M','N','PETROPOLIS','BLUMENAU','SC','624241247127231121335444145124131036094',NULL,'9999',0.00,1,2,1),(25,6020852,'1970-11-21 00:00:00',2,1,12,1987,'M','N','CAMPINAS','S JOSÉ','SC','224201201216111421438841115132140717037',NULL,'9998',19.54,1,3,NULL),(25,6020860,'1991-07-23 00:00:00',2,15,12,2008,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241116131731426624245125610132172',21266,'30',29.66,2,1,1),(25,6020879,'1989-06-25 00:00:00',4,1,12,2006,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124161161231472731538851484114610144047',16620,'9998',41.21,1,3,NULL),(25,6020887,'1989-06-28 00:00:00',4,1,7,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247247371431577722225122130227071',14749,'9999',44.08,1,3,NULL),(25,6020895,'1993-03-20 00:00:00',2,1,12,2010,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124244241217171731458814572122610118075',7237,'1022',53.45,4,3,NULL),(25,6020909,'1992-10-07 00:00:00',2,1,11,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241117111431426713285114610135177',NULL,'288',12.62,1,2,1),(25,6020917,'1993-07-29 00:00:00',2,1,12,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215121411369833575122610124072',4145,'270',61.38,1,3,NULL),(25,6020925,'1993-09-27 00:00:00',4,8,12,2010,'M','N','JARDIM PLANALTO','ARUJÁ','SP','125252251211111431429924575124610127082',12621,'9998',43.03,1,3,NULL),(25,6020933,'1991-09-09 00:00:00',4,1,12,2009,'F','N','ASA NORTE','BRASÍLIA','DF','107062071216371741368823572122142563093',NULL,'9998',30.37,1,3,NULL),(25,6020941,'1993-02-26 00:00:00',2,4,12,2010,'F','N','EFAPI','CHAPECÓ','SC','124241241115131731323623592124610114147',NULL,'170',19.02,1,2,1),(25,6020950,'1981-05-08 00:00:00',2,1,12,1998,'M','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241122162711543314332234320562191',NULL,'591',45.93,1,3,NULL),(25,6020968,'1992-12-20 00:00:00',4,1,11,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241115211431668913375124610137053',NULL,'271',20.13,1,3,NULL),(25,6020976,'1993-10-30 00:00:00',2,8,12,2010,'M','N','BUCAREIN','JOINVILLE','SC','124242241215111441489931575122610114172',13145,'1063',42.71,1,3,NULL),(25,6020984,'1990-05-15 00:00:00',2,6,11,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215131441335419345124132562117',NULL,'9997',23.16,1,3,NULL),(25,6020992,'1990-06-29 00:00:00',4,1,12,2007,'M','N','BARIGUI','ARAUCÁRIA','PR','116164161217153311449713595125241467047',13522,'9998',41.03,1,3,NULL),(25,6021000,'1993-03-19 00:00:00',4,1,12,2010,'M','N','VILA ESPERANÇA','IMBITUBA','SC','124241241117131431513579275324610114177',15522,'359',37.12,1,2,1),(25,6021018,'1990-12-04 00:00:00',4,1,11,2007,'F','N','BELÉM NOVO','PTO ALEGRE','RS','120201241315573431358619571124610126092',1086,'270',71.43,1,3,NULL),(25,6021026,'1992-07-16 00:00:00',4,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624242241215473441369832595114610134182',9453,'885',48.71,1,3,NULL),(25,6021034,'1993-07-21 00:00:00',4,8,12,2010,'M','N','AMÉRICA','JOINVILLE','SC','124242241215371431467912575122610124052',15604,'1063',42.76,1,3,NULL),(25,6021042,'1980-04-10 00:00:00',4,1,12,1997,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124251251126151431123444445124610112177',NULL,'9998',0.00,2,1,1),(25,6021050,'1993-11-02 00:00:00',2,15,11,2010,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124242241216112731479311575112610167142',11164,'26',45.94,1,3,NULL),(25,6021069,'1993-09-24 00:00:00',2,4,12,2010,'M','N','CENTRO','CONSTANTINA','RS','120203201217271431454532371122610132057',9769,'9998',47.50,1,3,NULL),(25,6021077,'1993-10-24 00:00:00',4,1,10,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241346111431538621275124610148182',8718,'300',51.06,1,3,NULL),(25,6021107,'1992-05-13 00:00:00',4,1,12,2010,'M','N','VILA OLÍMPIA','S PAULO','SP','125252251217111331388711185112610164017',NULL,'9998',0.00,1,3,NULL),(25,6021115,'1993-02-25 00:00:00',4,4,11,2010,'F','N','CENTRO NORTE','DOIS VIZINHOS','PR','116164161216471411443834575122610123143',19211,'9998',30.04,4,3,NULL),(25,6021123,'1992-12-15 00:00:00',4,1,12,2009,'M','N','JARDIM PARAÍSO','CAMPINAS','SP','125252251217471731489914572112610142144',6808,'9998',53.24,1,3,NULL),(25,6021131,'1992-12-08 00:00:00',4,1,11,2010,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217111431488912575122610122186',NULL,'270',0.00,1,3,NULL),(25,6021140,'1995-01-30 00:00:00',4,1,12,2011,'F','S','CENTRO','PALHOÇA','SC','124242241217111431439933495112610122142',NULL,'1011',28.27,1,3,NULL),(25,6021166,'1992-01-26 00:00:00',4,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124244241215131421633714341124610127147',NULL,'1078',26.22,3,3,NULL),(25,6021174,'1991-11-08 00:00:00',4,8,11,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124242241116371411459419575122610135017',NULL,'476',0.00,1,3,NULL),(25,6021182,'1992-07-22 00:00:00',4,3,12,2010,'F','N','CENTRO','BRUSQUE','SC','124241241415131641323611444122610144052',14730,'107',38.97,1,3,NULL),(25,6021190,'1987-03-23 00:00:00',2,1,12,2005,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','224241241121371431233374442124610116182',20862,'591',31.68,1,2,1),(25,6021204,'1988-09-05 00:00:00',4,1,12,2006,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241116474431434313435124221034191',3621,'295',64.26,1,2,1),(25,6021212,'1993-03-08 00:00:00',4,1,12,2009,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124244241215372431358831575124610122197',497,'270',77.61,1,3,NULL),(25,6021220,'1993-07-10 00:00:00',2,16,12,2010,'F','N','SÃO LUIZ','CURITIBANOS','SC','124241241134141731623335392124610166147',12771,'239',41.68,1,2,1),(25,6021239,'1993-06-01 00:00:00',4,4,11,2010,'M','N','CENTRO','CONCÓRDIA','SC','124241241215121311459932575122610147012',2327,'1047',66.29,1,3,NULL),(25,6021247,'1992-10-21 00:00:00',4,1,12,2010,'M','N','ALBUQUERQUE','CPO GRANDE','MS','112122121216471431468913575114610162096',7309,'9998',52.79,4,3,NULL),(25,6021255,'1992-10-30 00:00:00',4,1,11,2010,'F','N','PERPÉTUO SOCORRO','S JOÃO B VISTA','SP','125162251217111411259713575125610122112',NULL,'9998',0.00,1,3,NULL),(25,6021280,'1983-12-06 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115472431426144445324610116147',19932,'296',30.64,1,2,1),(25,6021298,'1993-07-03 00:00:00',2,5,11,2010,'F','N','NOSSA SRA SALETE','CRICIÚMA','SC','124242241215131431439923575124610134052',2590,'226',66.15,1,3,NULL),(25,6021301,'1983-07-24 00:00:00',4,4,12,2000,'F','N','CENTRO','CARAZINHO','RS','119201201116131431324738345124341022017',13305,'9998',42.53,1,2,1),(25,6021310,'1992-08-21 00:00:00',2,1,12,2009,'F','N','CIDADE JARDIM','S JOSÉ PINHAIS','PR','116243241217372431656612572124131014047',NULL,'1022',0.00,1,3,NULL),(25,6021328,'1993-11-29 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215121731467812575124610122192',10072,'270',47.13,1,3,NULL),(25,6021336,'1992-04-11 00:00:00',4,1,11,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241236372431333644245124610124143',20137,'307',29.53,1,3,NULL),(25,6021344,'1987-12-26 00:00:00',1,1,12,2005,'F','N','VILA MARIANA','S PAULO','SP','125252251216573441336329271125610134072',7059,'9998',54.07,1,3,NULL),(25,6021352,'1992-12-18 00:00:00',4,3,7,2010,'M','N','VISTA ALEGRE','CURITIBA','PR','116162161215271431479931575112610136042',3248,'9998',63.59,1,3,NULL),(25,6021360,'1991-02-04 00:00:00',2,1,11,2008,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241116141411525413442114610142157',NULL,'288',0.00,1,2,1),(25,6021379,'1992-10-23 00:00:00',4,1,11,2010,'F','N','BUENO','GOIÂNIA','GO','109092091217111431456834572112610112146',NULL,'9998',0.00,1,3,NULL),(25,6021387,'1990-06-22 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','624244241121242431643644341123610143142',NULL,'285',40.84,1,3,NULL),(25,6021417,'1992-01-02 00:00:00',4,1,12,2009,'M','N','JARDIM PARAISO','S CARLOS','SP','125252251217471431389832475122610167052',3403,'9998',60.92,2,3,NULL),(25,6021433,'1993-03-09 00:00:00',4,1,12,2010,'M','N','SANTA TEREZA','BAURU','SP','125252251216111411347732345121610148112',15709,'9998',38.15,1,3,NULL),(25,6021441,'1992-04-22 00:00:00',4,1,12,2009,'M','N','ZONA SETE','MARINGÁ','PR','116162161215472431568716572112610127092',1454,'9998',69.46,1,3,NULL),(25,6021450,'1994-03-25 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215112431458833575112610162092',7958,'1118',51.54,1,3,NULL),(25,6021468,'1993-06-11 00:00:00',4,1,11,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117371411535913375124610154143',17014,'307',34.50,1,2,1),(25,6021476,'1993-01-13 00:00:00',2,8,10,2010,'F','N','GUANABARA','JOINVILLE','SC','124241241215111431248923575124610145097',11873,'1016',44.29,1,3,NULL),(25,6021484,'1991-01-01 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241247316272431337613345124610144047',NULL,'9999',0.00,2,1,2),(25,6021492,'1985-03-20 00:00:00',4,1,12,2006,'F','N','INAJÁ','MATINHOS','PR','116161161146131411423441215224243266022',NULL,'9998',16.96,4,3,NULL),(25,6021506,'1993-04-03 00:00:00',2,1,12,2010,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124244241215151441433612575124610137167',16376,'884',41.60,4,3,NULL),(25,6021514,'1987-04-10 00:00:00',4,1,12,2004,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124243241417134731445614395122220662157',NULL,'1011',36.51,1,3,NULL),(25,6021522,'1987-05-20 00:00:00',4,8,12,2004,'M','N','BOQUEIRAO','CURITIBA','PR','116164161415375411378712571122610167182',1753,'9998',68.95,3,3,NULL),(25,6021530,'1993-02-22 00:00:00',2,8,12,2010,'M','N','PORTO DOS PADRES','PARANAGUÁ','PR','116164161216111231446823575121610167117',NULL,'9998',28.87,1,3,NULL),(25,6021549,'1991-11-16 00:00:00',4,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215371431336514442124133123182',5809,'270',59.15,1,3,NULL),(25,6021557,'1981-11-23 00:00:00',4,8,7,2001,'F','N','COSTA E SILVA','JOINVILLE','SC','124241247326571431233629375122130211187',7964,'489',50.68,1,3,NULL),(25,6021565,'1991-09-20 00:00:00',4,1,11,2008,'M','N','SANTA TEREZA','PTO ALEGRE','RS','120203201136251741546837374224241434173',16586,'9998',41.26,1,3,NULL),(25,6021573,'1988-08-30 00:00:00',4,7,12,2005,'F','N','VISTA ALEGRE','CONCÓRDIA','SC','124241241116111421425624341123610127052',NULL,'192',13.96,1,3,NULL),(25,6021581,'1993-04-22 00:00:00',4,1,12,2009,'M','N','IPANEMA','LONDRINA','PR','116164161216371231339913375125610125111',10337,'9998',47.85,1,3,NULL),(25,6021590,'1991-05-25 00:00:00',2,1,12,2008,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241241146272731324814576124610124187',16227,'294',37.48,1,2,1),(25,6021603,'1992-12-07 00:00:00',4,1,11,2009,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241215372431488933575122130222072',1586,'270',69.99,1,3,NULL),(25,6021611,'1991-09-10 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124241241115373431224623585114610162145',14694,'734',40.17,1,2,1),(25,6021638,'1992-07-16 00:00:00',4,1,12,2010,'F','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125252251237471431458823246124610125117',13773,'9998',40.91,1,3,NULL),(25,6021646,'1993-03-18 00:00:00',4,8,12,2010,'F','N','CASCATINHA','CURITIBA','PR','116162161215471431588814376112610125173',NULL,'9998',0.00,1,3,NULL),(25,6021654,'1992-07-19 00:00:00',2,1,11,2010,'M','N','RIO NEGRO','S BENTO SUL','SC','124241241116151431228913575112610168052',NULL,'697',25.45,1,3,NULL),(25,6021662,'1993-10-03 00:00:00',4,9,12,2010,'F','N','CORAL','LAGES','SC','124242241236131411438632275122610134147',11356,'1028',44.87,1,3,NULL),(25,6021689,'1993-02-22 00:00:00',4,8,12,2010,'M','N','JARDIM AMÉRICA','PNT GROSSA','PR','116162161216111431345819592122610162012',7691,'9998',52.01,1,3,NULL),(25,6021700,'1992-10-22 00:00:00',4,1,11,2010,'M','N','CENTRO','ARAPONGAS','PR','116162161216151231379811271124610167042',17395,'9998',39.93,1,3,NULL),(25,6021719,'1992-07-14 00:00:00',4,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241117273431458829382121230767147',12196,'739',42.70,1,2,1),(25,6021727,'1988-11-12 00:00:00',2,2,12,2006,'F','N','SALTO DO NORTE','BLUMENAU','SC','124241241113271411445334381224610122017',18344,'84',38.21,1,3,NULL),(25,6021735,'1993-09-01 00:00:00',4,1,11,2010,'F','N','MEDITERRÂNEO','LONDRINA','PR','116162161216111431477823575124610121182',13512,'9998',41.34,1,3,NULL),(25,6021743,'1993-09-28 00:00:00',4,2,10,2010,'M','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241215121631337723595124610168042',13877,'909',45.37,1,3,NULL),(25,6021751,'1991-11-23 00:00:00',4,1,12,2009,'F','N','JARDIM LISITANIA','S PAULO','SP','125252251217472431488812471122610127122',NULL,'9998',0.00,1,3,NULL),(25,6021760,'1993-04-28 00:00:00',4,1,11,2010,'M','N','CAMPOS ELÍSEOS','POÇOS CALDAS','MG','113132131217111431558833575144610127062',2812,'9998',64.42,1,3,NULL),(25,6021778,'1991-10-26 00:00:00',2,8,12,2009,'F','N','BOA VISTA','ITAPIRA','SP','125251251246471411463933575112610167097',NULL,'9998',0.00,1,3,NULL),(25,6021786,'1990-01-30 00:00:00',4,3,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124232241217574441238939575125221468172',2020,'1057',68.39,1,3,NULL),(25,6021794,'1992-07-09 00:00:00',4,1,12,2009,'F','N','ALTO DA BOA VISTA','SOROCABA','SP','125252251215471431467812582112610122147',4193,'9998',59.91,1,3,NULL),(25,6021808,'1989-11-01 00:00:00',4,6,12,2006,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124244241127133421235933342124231542097',NULL,'763',11.67,1,3,NULL),(25,6021824,'1992-06-28 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215413411369614585124610162192',2209,'1038',67.61,1,3,NULL),(25,6021832,'1993-03-18 00:00:00',4,4,12,2010,'F','N','OURO VERDE','OURINHOS','SP','125252251215111431448911572122610156142',4914,'9998',58.36,1,3,NULL),(25,6021840,'1992-11-29 00:00:00',2,5,12,2010,'M','N','CENTRO','SIDERÓPOLIS','SC','124242241217112431359911475112610162062',2997,'226',64.74,1,3,NULL),(25,6021867,'1993-10-27 00:00:00',4,1,11,2010,'F','N','AREIAS','S JOSÉ','SC','125251258117111331325621385124610135097',19408,'9998',36.03,1,3,NULL),(25,6021875,'1994-11-11 00:00:00',2,5,11,2010,'M','N','NOSSA SRA SALETE','CRICIÚMA','SC','124242242215131431439923575124610132052',14657,'226',44.22,1,3,NULL),(25,6021883,'1990-03-07 00:00:00',4,1,12,2008,'M','N','PRAIA DA COSTA','VL VELHA','ES','108212081216471411489813275122141064012',4641,'9998',58.57,4,3,NULL),(25,6021891,'1994-03-26 00:00:00',4,1,11,2010,'M','N','CENTRO','DOIS VIZINHOS','PR','116162161217111431438632245121610124067',10322,'9998',46.53,1,3,NULL),(25,6021905,'1991-09-09 00:00:00',2,1,12,2010,'M','N','SANTOS DUMONT','S JOSÉ','SC','624242247217371431338833342132610167182',NULL,'9999',37.84,1,3,NULL),(25,6021913,'1992-01-16 00:00:00',4,3,11,2008,'F','N','CENTRO','LOANDA','PR','116163168317271411346632472322613244047',9228,'9998',49.77,1,3,NULL),(25,6021921,'1973-12-27 00:00:00',4,1,12,1994,'F','N','PICADAS DO SUL','S JOSÉ','SC','224211211116141721433351191224643268147',NULL,'9998',0.00,4,3,NULL),(25,6021948,'1984-09-24 00:00:00',4,8,12,2001,'F','N','LIBERDADE','CONCÓRDIA','SC','124241241126151441325319292325132162012',NULL,'192',11.41,1,2,1),(25,6021956,'1994-07-21 00:00:00',4,1,12,2011,'F','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431469813472124610125051',NULL,'270',61.79,1,3,NULL),(25,6021964,'1992-12-14 00:00:00',4,8,12,2010,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124241241145141431438513395124610124141',14998,'438',38.60,1,3,NULL),(25,6021972,'1994-01-29 00:00:00',4,1,11,2010,'M','N','ZONA DOIS','UMUARAMA','PR','116162168211111731559833572112610122191',12162,'9998',42.51,1,3,NULL),(25,6021980,'1992-02-17 00:00:00',4,1,12,2009,'F','N','PORTO GRANDE','S SEBASTIÃO','SP','125252251215471431479933575112610163152',8832,'9998',48.84,4,3,NULL),(25,6021999,'1975-02-10 00:00:00',4,1,12,1992,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224203202111161441133643231122341852153',14605,'9998',44.29,1,3,NULL),(25,6022006,'1993-10-14 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431383412595122610167072',5217,'270',58.15,1,3,NULL),(25,6022014,'1993-08-18 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115271431425612572124610167052',9859,'307',48.23,3,2,1),(25,6022022,'1991-10-23 00:00:00',2,8,12,2008,'M','N','ITAPEUNA','ELDORADO','SP','125251251116572411459813585122610167052',13974,'9998',39.50,1,3,NULL),(25,6022030,'1991-11-21 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217372731449833575124131962037',3562,'883',62.58,1,3,NULL),(25,6022065,'1992-11-30 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241116472411447619375124610132147',12604,'169',43.90,1,3,NULL),(25,6022073,'1987-02-14 00:00:00',4,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124164241216273431345712315122130227067',15792,'1048',42.46,1,3,NULL),(25,6022081,'1993-10-29 00:00:00',4,8,12,2010,'F','N','JARDIM OSWALDO CRUZ','S JOSÉ CAMPOS','SP','125254251215111431557923575125610163147',NULL,'9998',34.29,1,3,NULL),(25,6022103,'1994-04-10 00:00:00',4,10,12,2011,'M','S','SANTO ANDRÉ','CAPIVARI BAIXO','SC','124243248116271411426613575122610132077',NULL,'798',40.13,1,3,NULL),(25,6022111,'1993-09-20 00:00:00',4,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124242241415271431246732572124610132112',5435,'909',57.75,1,3,NULL),(25,6022120,'1982-06-04 00:00:00',2,1,12,2000,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124201201127372431223344242124133062077',14644,'9998',40.44,2,1,1),(25,6022138,'1994-05-04 00:00:00',4,4,12,2010,'F','N','CENTRO','XAXIM','SC','124242241217121432359932575112610142012',NULL,'185',24.08,1,3,NULL),(25,6022146,'1990-10-20 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217374431369813245112120934096',8044,'1022',50.27,1,3,NULL),(25,6022154,'1994-01-28 00:00:00',4,4,12,2010,'M','N','SAIC','CHAPECÓ','SC','124241241116371431446631375122610167067',16413,'169',37.46,1,2,1),(25,6022162,'1993-06-08 00:00:00',4,2,12,2010,'M','N','TAPAJÓS','INDAIAL','SC','124241241115161431458413335112610126142',7271,'365',52.85,1,2,1),(25,6022170,'1989-12-22 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115373441256731375124121462195',2344,'192',67.34,1,2,1),(25,6022189,'1993-09-03 00:00:00',2,1,12,2010,'M','N','IPIRANGA','S JOSÉ','SC','124241241115371431323411595114610127057',NULL,'730',14.14,2,1,1),(25,6022197,'1993-03-30 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372731458511575122610138052',16383,'959',36.32,1,3,NULL),(25,6022200,'1993-01-09 00:00:00',4,8,11,2010,'F','N','VILA ROSÁLIA','GUARULHOS','SP','125252251216111431667933571122610163052',11309,'9998',49.19,1,3,NULL),(25,6022219,'1991-10-12 00:00:00',2,3,11,2008,'F','N','GLEBA PALHANO','LONDRINA','PR','116162161216573431169923575122610137187',NULL,'9998',39.14,4,3,NULL),(25,6022227,'1974-09-25 00:00:00',4,1,12,1991,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224243241435472431453342325122330762097',2218,'307',67.70,1,3,NULL),(25,6022235,'1992-09-07 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124242241236132431436339375122610134072',12397,'1078',47.53,1,3,NULL),(25,6022243,'1991-01-17 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161116571731658812575114610162147',NULL,'9998',0.00,1,3,NULL),(25,6022260,'1987-04-29 00:00:00',2,15,11,2007,'M','N','POLICIA RODOVIARIA','ARARANGUÁ','SC','124241246121131421323419395123610112055',NULL,'852',29.57,4,2,1),(25,6022278,'1992-03-17 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241216132431326633575124610168197',15622,'1118',39.69,1,3,NULL),(25,6022286,'1993-06-06 00:00:00',2,8,12,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241216111331466834375122610128143',17310,'1063',35.16,1,3,NULL),(25,6022294,'1993-09-22 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431369833572122610121142',2927,'270',64.52,1,3,NULL),(25,6022308,'1985-06-09 00:00:00',2,1,12,2002,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','624241241126131431322154285124610138047',NULL,'274',37.93,2,1,1),(25,6022316,'1993-10-15 00:00:00',4,1,12,2010,'F','N','ORIENTE','LONDRINA','PR','116162161215111731548813575114610164076',12994,'9998',41.47,1,3,NULL),(25,6022324,'1982-10-02 00:00:00',4,1,10,2010,'M','N','BARRA SAMBAQUI','FLORIANÓPOLIS','SC','124241247122131431636313145124610124117',NULL,'9997',0.00,4,2,1),(25,6022332,'1991-01-14 00:00:00',4,1,12,2008,'M','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241244115131421436311442124610134057',NULL,'64',0.00,1,2,1),(25,6022359,'1993-01-03 00:00:00',2,4,12,2010,'F','N','IMPERIAL','CONCÓRDIA','SC','124241248135472431336823575124610132013',17778,'196',37.00,1,2,1),(25,6022367,'1993-05-15 00:00:00',4,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431379954575112610132075',5731,'270',57.68,1,3,NULL),(25,6022375,'1990-12-22 00:00:00',4,1,11,2010,'F','N','RATONES','FLORIANÓPOLIS','SC','124243247215111411543312482124610161182',18626,'270',37.71,1,3,NULL),(25,6022383,'1988-11-29 00:00:00',4,5,12,2006,'M','N','SATURNO','FORQUILHINHA','SC','124241241147131411621369382324131062185',NULL,'29',0.00,4,2,1),(25,6022391,'1986-07-07 00:00:00',4,8,12,2004,'M','N','COMASA','JOINVILLE','SC','124241241136271431535474345123610127047',18749,'203',37.45,1,2,1),(25,6022413,'1993-08-24 00:00:00',4,3,12,2010,'M','N','JARDIM TROPICAL','OURINHOS','SP','125252251216111431447811295112610137187',3570,'9998',59.97,1,3,NULL),(25,6022421,'1994-09-15 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124241241415151431455923272125610167077',7497,'168',52.80,3,3,NULL),(25,6022456,'1992-10-15 00:00:00',2,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241216111441268732575114610164141',2402,'270',67.18,1,3,NULL),(25,6022464,'1993-05-09 00:00:00',4,1,12,2010,'F','N','JARDIM DO SALSO','PTO ALEGRE','RS','120202201217121431266923571122610137142',11618,'9998',44.04,1,3,NULL),(25,6022480,'1992-07-22 00:00:00',4,1,12,2009,'F','N','CIDADE UNIVERSITARIA','CAMPINAS','SP','125252251215471232469933575112610167077',16657,'9998',36.04,1,3,NULL),(25,6022499,'1993-05-01 00:00:00',4,1,12,2010,'M','N','JARDIM SOCIAL','CURITIBA','PR','116162161217471431368932571124610125122',1418,'9998',70.56,1,3,NULL),(25,6022502,'1990-07-27 00:00:00',4,1,12,2007,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241117471411453633475124610164197',12442,'732',44.15,1,3,NULL),(25,6022510,'1993-05-19 00:00:00',4,8,11,2010,'M','N','CENTRO','JOINVILLE','SC','124242246217371431579814574121610147062',14916,'9997',40.21,1,3,NULL),(25,6022529,'1991-10-05 00:00:00',2,5,12,2008,'F','N','SANTA CECÍLIA','VIAMÃO','RS','120202201216371731349821575124610132047',4626,'9998',58.41,1,3,NULL),(25,6022537,'1993-03-10 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151431459911575122610166092',1294,'270',71.00,1,3,NULL),(25,6022545,'1993-02-26 00:00:00',4,1,11,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124062241215121231478614445122610127042',11829,'270',44.96,4,3,NULL),(25,6022553,'1988-12-11 00:00:00',2,1,12,2006,'M','N','CAMPINAS','S JOSÉ','SC','124241241446141431323344345234130726067',NULL,'732',26.01,1,3,NULL),(25,6022561,'1993-05-07 00:00:00',4,8,10,2010,'M','N','ATIRADORES','JOINVILLE','SC','124242241211111631489931472122610124112',11337,'9997',44.84,1,3,NULL),(25,6022570,'1993-11-02 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124112241215111231358831575122610124197',NULL,'723',33.37,1,3,NULL),(25,6022588,'1991-07-24 00:00:00',4,1,11,2010,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241217121441267823575124610164012',2695,'1022',65.32,1,3,NULL),(25,6022596,'1992-11-16 00:00:00',2,1,11,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111431366932575111610167182',10010,'1011',48.60,1,3,NULL),(25,6022600,'1993-07-24 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241415111411336634575124610126142',NULL,'724',26.12,1,3,NULL),(25,6022618,'1993-12-23 00:00:00',4,1,11,2010,'F','N','JARDIM CRISTINA','FOZ IGUAÇU','PR','116162161216111531656714595112610168192',NULL,'9998',29.76,3,3,NULL),(25,6022626,'1993-12-21 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111731564632172112610118142',8815,'738',49.53,1,3,NULL),(25,6022650,'1993-11-23 00:00:00',4,1,12,2010,'M','N','GUIOMAR','ANTÔNIO CARLOS','SC','124241241115141432633335245121610122057',12986,'21',46.61,1,2,1),(25,6022669,'1983-04-28 00:00:00',2,8,12,2000,'F','N','CENTRO','PAIÇANDU','PR','116162161216571711442815435124343261197',2496,'9998',66.19,1,3,NULL),(25,6022677,'1994-03-14 00:00:00',4,5,11,2010,'F','N','SÃO CRISTÓVÃO','CRICIÚMA','SC','124242241215151431487732474112610124045',NULL,'213',33.60,1,3,NULL),(25,6022693,'1979-06-07 00:00:00',2,1,12,1996,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224242248226132411324444245133610128065',21261,'524',29.68,1,3,NULL),(25,6022707,'1992-04-02 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124252251217471431558812572124610123112',2559,'9998',66.49,1,3,NULL),(25,6022715,'1991-04-23 00:00:00',4,1,12,2008,'M','N','BENASSI','MATÃO','SP','125252251212572341449813575122610167043',NULL,'9998',0.00,1,3,NULL),(25,6022723,'1985-05-31 00:00:00',2,8,12,2004,'M','N','COMASA','JOINVILLE','SC','124241247436131421333411295125610124057',NULL,'9999',20.77,1,3,NULL),(25,6022731,'1991-11-18 00:00:00',4,1,12,2009,'M','N','BUTANTÃ','S PAULO','SP','125252251215471431559832571124610137187',NULL,'9998',0.00,1,3,NULL),(25,6022740,'1982-01-20 00:00:00',2,1,12,2000,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','624244247337372431328851285124133231027',4592,'9999',61.80,1,3,NULL),(25,6022766,'1993-08-12 00:00:00',4,6,12,2010,'M','N','DOM BOSCO','ITAJAÍ','SC','124212241215151411578719475122610128142',2595,'392',65.07,1,3,NULL),(25,6022774,'1992-12-07 00:00:00',2,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124244241215121431456639245122610163091',NULL,'1016',0.00,1,3,NULL),(25,6022790,'1992-03-31 00:00:00',4,1,10,2009,'M','N','ROÇADO','S JOSÉ','SC','124243241317162432558513575124610164197',9131,'9999',52.80,4,3,NULL),(25,6022804,'1991-08-19 00:00:00',4,1,5,2009,'M','N','PONTA DA PRAIA','SANTOS','SP','125252281217471431369814575112610137012',1501,'9998',71.26,1,3,NULL),(25,6022820,'1993-05-26 00:00:00',2,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241416271431449912375124610167041',15900,'461',37.72,1,3,NULL),(25,6022839,'1993-05-25 00:00:00',2,1,12,2010,'F','N','BOSQUE DAS MANSÕES','S JOSÉ','SC','124242241215111431443534585124610133047',NULL,'724',41.77,1,3,NULL),(25,6022855,'1991-11-09 00:00:00',2,1,12,2008,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120202241415473431336774382124121962192',4505,'1014',58.85,1,3,NULL),(25,6022863,'1993-08-20 00:00:00',4,6,12,2010,'M','N','CENTRO','ITAJAÍ','SC','124242241217151431258813375115610122122',NULL,'392',37.69,1,3,NULL),(25,6022871,'1992-08-25 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111711438921575124610131191',5127,'883',58.62,1,3,NULL),(25,6022880,'1993-07-27 00:00:00',4,8,12,2010,'M','N','IRÍRÍU','JOINVILLE','SC','124241241145131431426614285121610117011',20696,'470',32.40,1,2,1),(25,6022898,'1992-12-21 00:00:00',4,8,12,2010,'M','N','NOSSA SENHORA DE FÁT','JAGUARIAÍVA','PR','116162161216113221533611285124610127142',3468,'9998',63.48,1,3,NULL),(25,6022901,'1986-10-11 00:00:00',4,4,12,2004,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','124241241216474731358811485124131066047',NULL,'168',0.00,1,3,NULL),(25,6022910,'1993-02-16 00:00:00',4,1,12,2010,'F','N','VILA OLIVEIRA','MOGI CRUZES','SP','125252251211111251489614575122610151195',NULL,'9998',0.00,1,3,NULL),(25,6022928,'1993-04-11 00:00:00',2,1,12,2010,'F','N','SANTA CATARINA','BIGUAÇU','SC','124241241115161431623519572224610128142',NULL,'21',16.53,1,2,1),(25,6022936,'1983-12-24 00:00:00',2,1,12,2001,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241116575431129947475124131362097',6306,'757',55.22,1,3,NULL),(25,6022952,'1990-08-20 00:00:00',4,1,12,2010,'M','N','CAMINHO NOVO','PALHOÇA','SC','124243241117151442221627475124610164197',15061,'591',43.59,1,3,NULL),(25,6022960,'1993-06-06 00:00:00',2,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124241241115151431526624272122610123142',NULL,'9997',21.35,1,2,1),(25,6022987,'1992-12-13 00:00:00',2,8,12,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215111431323924185124610117077',NULL,'931',17.48,1,3,NULL),(25,6022995,'1992-05-02 00:00:00',4,4,12,2009,'M','N','CENTRO','PTO ALEGRE','RS','120242241211472751456831275112610168047',1636,'836',70.74,1,3,NULL),(25,6023002,'1993-04-17 00:00:00',3,1,12,2010,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217151451559913571121610136047',3551,'883',61.77,4,3,NULL),(25,6023029,'1985-04-28 00:00:00',2,1,12,2002,'F','N','JARDIM CIDADE','S JOSÉ','SC','124243241117132431223344345134610117147',19638,'726',35.48,1,3,NULL),(25,6023037,'1993-06-03 00:00:00',4,2,12,2010,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124242241215111431468924575124610147012',11762,'1105',44.80,1,3,NULL),(25,6023045,'1993-05-01 00:00:00',4,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124241241415111431235729575114610122142',16139,'1078',36.67,1,3,NULL),(25,6023053,'1985-08-28 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116133721423344245234610124167',NULL,'732',20.10,2,1,1),(25,6023061,'1989-12-30 00:00:00',2,1,12,2010,'M','N','BELA VISTA','S JOSÉ','SC','124241241117271711211321191314610167097',20953,'734',31.29,2,1,1),(25,6023070,'1964-04-18 00:00:00',2,1,12,1981,'M','N','VISTA ALEGRE','CURITIBA','PR','516163168212471431244341113112340837043',17743,'9998',39.34,1,3,NULL),(25,6023088,'1992-03-06 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124242241215571431556612175124610168097',6797,'1018',57.11,1,3,NULL),(25,6023096,'1993-07-26 00:00:00',2,8,12,2010,'F','N','CENTRO','CURITIBA','PR','116164161216471431436632575122610164182',11301,'9998',43.69,1,3,NULL),(25,6023100,'1993-02-23 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117572411428613576124610146097',13032,'288',43.94,1,2,1),(25,6023118,'1991-01-24 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215371431457513572122610132042',8479,'1022',53.99,1,3,NULL),(25,6023126,'1988-08-28 00:00:00',2,1,8,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247347272431637633245114610114042',NULL,'9999',0.00,1,3,NULL),(25,6023134,'1993-12-10 00:00:00',4,8,12,2010,'M','N','VILA SÃO LUIZ','DOURADOS','MS','112122161217421431469831575124610167072',4964,'9998',58.23,1,3,NULL),(25,6023142,'1990-12-18 00:00:00',2,1,7,2010,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241248116371431636611345124610127042',7462,'306',53.55,1,2,1),(25,6023150,'1993-10-18 00:00:00',4,1,11,2010,'M','N','BARRA FUNDA','GUARUJÁ','SP','125252251217111431338811212121610137042',14194,'9998',44.87,1,3,NULL),(25,6023177,'1992-11-18 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215123431358734592122610148097',4818,'270',61.27,1,3,NULL),(25,6023185,'1989-08-26 00:00:00',4,1,12,2006,'F','N','JD LEONOR','LONDRINA','PR','116162161214571431458621411125610142097',1419,'9998',69.93,3,3,NULL),(25,6023193,'1993-03-05 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215471431447729571124610168142',3649,'1022',62.74,1,3,NULL),(25,6023207,'1993-03-31 00:00:00',4,1,12,2010,'F','N','GOIABEIRAS','CUIABÁ','MT','111252111217111731256821575122610165182',NULL,'9998',0.00,1,3,NULL),(25,6023215,'1991-11-13 00:00:00',4,1,12,2008,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116253091117371431456713575124241424142',9854,'9998',46.42,1,3,NULL),(25,6023223,'1992-05-19 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241216154731449614575122223267012',6267,'1022',54.48,1,3,NULL),(25,6023258,'1993-04-26 00:00:00',2,1,12,2010,'F','N','PQ DAS LARANJEIRAS','RIO VERDE','GO','109094091217121431547614595122610122147',10574,'9998',45.72,1,3,NULL),(25,6023274,'1993-01-27 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241115151431446613575122610132147',13815,'257',45.44,1,2,1),(25,6023282,'1993-12-15 00:00:00',2,1,12,2010,'F','N','CENTRO','TIJUCAS','SC','124241241115161431336313575121610137147',NULL,'783',28.06,1,2,1),(25,6023290,'1993-05-26 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241115241431323639295124610133142',NULL,'9997',11.58,4,2,1),(25,6023304,'1992-10-31 00:00:00',4,5,12,2010,'F','N','CENTRO','URUSSANGA','SC','124241241115141231336624395122610148197',NULL,'821',0.00,1,2,1),(25,6023312,'1991-03-05 00:00:00',2,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241116574751456734495114123263077',671,'271',76.23,1,3,NULL),(25,6023320,'1993-12-31 00:00:00',2,1,12,2010,'F','N','CENTRO','AGROLÂNDIA','SC','124241241117171431626833572122610133067',16382,'6',36.40,1,2,1),(25,6023339,'1993-05-11 00:00:00',2,1,12,2010,'M','N','CENTRO','S JOÃO BATISTA','SC','124241241215111431427612195122610128192',NULL,'1123',0.00,1,3,NULL),(25,6023347,'1993-01-25 00:00:00',4,1,12,2010,'F','N','CAMINO NOVO','PALHOÇA','SC','124241241115471631426734345124610124147',17174,'733',38.05,2,1,1),(25,6023355,'1992-04-14 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217472451368919495122610142147',1588,'262',69.66,1,3,NULL),(25,6023363,'1991-04-23 00:00:00',2,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241136152431334611575124221562097',11022,'308',46.37,1,2,1),(25,6023371,'1993-07-08 00:00:00',4,1,10,2010,'F','N','JARDIM AMERICA','GOIÂNIA','GO','109092091217111431348932575122610134032',2591,'9998',66.04,1,3,NULL),(25,6023380,'1992-10-30 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124241241215271431357611375124610142142',12953,'226',46.66,1,3,NULL),(25,6023410,'1993-10-08 00:00:00',4,1,11,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241316141731425611295124610123147',NULL,'307',9.99,1,3,NULL),(25,6023428,'1992-04-22 00:00:00',4,1,12,2009,'F','N','IPIRANGA','S PAULO','SP','125252251217471431447831375112610162017',NULL,'9998',0.00,1,3,NULL),(25,6023436,'1993-11-29 00:00:00',4,6,12,2010,'M','N','SÃO VICENTE','ITAJAÍ','SC','124241241215111431465934575121610137012',20531,'388',33.02,1,3,NULL),(25,6023444,'1991-04-21 00:00:00',4,1,12,2008,'F','N','BOM RETIRO','CURITIBA','PR','116163161515572512359913596124610145092',5226,'9998',57.73,4,1,2),(25,6023487,'1993-10-15 00:00:00',2,1,12,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111441348812122124610167112',NULL,'951',29.25,1,3,NULL),(25,6023495,'1989-09-07 00:00:00',2,6,12,2007,'M','N','PARQUE SÃO PAULO','CASCAVEL','PR','116161161146371431221429572114141467042',16465,'9998',35.69,1,2,1),(25,6023509,'1993-04-10 00:00:00',2,1,12,2010,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124243241215111731434314245124610112147',14424,'1048',39.33,1,3,NULL),(25,6023517,'1993-06-25 00:00:00',4,2,12,2010,'F','N','SALTO WEISSBACH','BLUMENAU','SC','124241241117111431437339575122610124197',15474,'88',37.68,1,3,NULL),(25,6023525,'1991-03-24 00:00:00',4,1,11,2009,'M','N','CENTRO','TIJUCAS','SC','124242241217272531468811585124133257142',12222,'270',47.80,1,3,NULL),(25,6023533,'1993-05-16 00:00:00',4,8,12,2010,'M','N','SÃO LUIZ','SAPIRANGA','RS','120201201116371431558511575124610135097',NULL,'9998',0.00,1,2,1),(25,6023541,'1993-11-23 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111431524514575124610121145',NULL,'269',22.80,1,3,NULL),(25,6023568,'1990-12-03 00:00:00',4,1,12,2008,'F','N','INTERLAGOS','S PAULO','SP','125251251137472731536714275124610164097',11778,'9998',45.02,1,2,1),(25,6023576,'1985-10-27 00:00:00',2,8,12,2004,'F','N','STA FELICIDADE','CURITIBA','PR','116162161215571751438722572122341562092',NULL,'9998',0.00,1,3,NULL),(25,6023592,'1982-09-12 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','224241248124131451631154142244610168187',NULL,'9997',23.99,4,2,1),(25,6023606,'1993-12-15 00:00:00',2,1,12,2010,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241115371411325311575124610124152',NULL,'591',33.23,4,2,1),(25,6023614,'1993-06-24 00:00:00',4,1,12,2010,'F','N','BELA VISTA I','S JOSÉ','SC','124241241112141431523314345124610124142',NULL,'307',39.28,1,2,1),(25,6023622,'1993-11-03 00:00:00',2,15,11,2010,'F','N','CENTRO','ARARANGUÁ','SC','124244244215121431446632275122610127072',NULL,'970',26.23,1,3,NULL),(25,6023630,'1992-07-24 00:00:00',4,1,12,2010,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241115471731626329395224610127147',NULL,'733',14.39,2,1,1),(25,6023649,'1993-02-16 00:00:00',4,8,11,2010,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241215111431336614575124610134012',NULL,'489',34.91,1,3,NULL),(25,6023657,'1993-01-07 00:00:00',4,1,12,2010,'M','N','MARIA IZABEL','MARÍLIA','SP','125252251215111431468819575122610164092',10551,'9998',47.43,1,3,NULL),(25,6023665,'1990-06-22 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241117372431348823475114610132197',9524,'257',49.36,1,3,NULL),(25,6023673,'1992-09-06 00:00:00',2,1,12,2010,'F','N','BREJARU','PALHOÇA','SC','124241241135141431324311215124610133142',NULL,'592',15.44,1,2,1),(25,6023681,'1993-12-22 00:00:00',2,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111431478812275121610167092',10343,'723',45.93,1,3,NULL),(25,6023690,'1992-05-23 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124252241211372441448614591324610168012',2482,'499',65.43,1,3,NULL),(25,6023720,'1993-10-14 00:00:00',2,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241115151441335623571324610123057',NULL,'278',18.82,2,1,1),(25,6023746,'1991-11-29 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241217112451547873575125610163142',17510,'270',34.56,1,3,NULL),(25,6023754,'1993-07-19 00:00:00',4,17,12,2010,'M','N','CENTRO','CANOINHAS','SC','124241241216151431368813475122610144177',2742,'154',65.71,1,3,NULL),(25,6023762,'1995-03-19 00:00:00',2,2,12,2011,'F','S','VILA FORMOSA','BLUMENAU','SC','124242241215171731269931485122610133072',NULL,'87',36.57,1,3,NULL),(25,6023770,'1991-07-10 00:00:00',2,1,11,2008,'M','N','PARTENON','PTO ALEGRE','RS','120204201216471411328674445214141962093',NULL,'9998',0.00,2,1,2),(25,6023789,'1994-06-26 00:00:00',4,5,11,2011,'F','S','SAO LUIZ','CRICIÚMA','SC','124241241217151232366623375112610127082',NULL,'210',21.37,1,3,NULL),(25,6023819,'1991-08-27 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124252251217471431479714575122610167044',8816,'9998',49.14,1,3,NULL),(25,6023827,'1992-08-18 00:00:00',4,1,11,2009,'M','N','VILA AMÁLIA','S PAULO','SP','125252251216471451379933575124610165042',7467,'9998',55.85,2,1,2),(25,6023843,'1993-12-28 00:00:00',2,8,12,2010,'F','N','GLÓRIA','JOINVILLE','SC','124242241215121331534832275124610127057',10481,'1016',46.89,1,3,NULL),(25,6023851,'1993-03-03 00:00:00',2,2,11,2010,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124242241215121431448831472122610127092',6593,'1123',54.88,1,3,NULL),(25,6023860,'1993-05-17 00:00:00',2,10,12,2010,'F','N','CENTRO','RIO FORTUNA','SC','124244241217161431489611475122610163142',17533,'950',39.69,1,3,NULL),(25,6023878,'1992-06-24 00:00:00',4,8,12,2009,'M','N','DOS CASAS','S BERNARDO CAMPO','SP','125251251227371731358629291124610127052',NULL,'9998',0.00,1,3,NULL),(25,6023886,'1993-05-15 00:00:00',4,1,11,2010,'M','N','ZANELLATO','S JOSÉ','SC','124241241315111731433634575124610128042',20162,'9997',34.17,1,3,NULL),(25,6023894,'1990-01-30 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124241241216152431545531275114222666087',13416,'270',46.05,2,1,2),(25,6023908,'1993-04-13 00:00:00',2,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241215112411226624572124610162112',9432,'1022',52.24,1,3,NULL),(25,6023924,'1990-10-24 00:00:00',4,1,11,2008,'F','N','TARUMÃ','VIAMÃO','RS','120202201217571411457933575122610167182',NULL,'9998',0.00,1,3,NULL),(25,6023932,'1991-10-28 00:00:00',4,1,12,2009,'M','N','MOEMA','S PAULO','SP','125254251217471431478934571124610167092',8759,'9998',49.26,1,3,NULL),(25,6023940,'1992-09-09 00:00:00',4,1,12,2010,'F','N','CERQUEIRA CÉSAR','S PAULO','SP','125252251215111431387561575122610136023',7688,'9998',52.99,1,3,NULL),(25,6023959,'1992-09-10 00:00:00',4,7,12,2009,'M','N','CEBTRO','URUGUAIANA','RS','120202201216371231358613572112610167017',16336,'9998',36.74,1,3,NULL),(25,6023983,'1993-02-17 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124161241122162511433311572124610121057',NULL,'274',28.14,1,2,1),(25,6023991,'1992-07-20 00:00:00',2,2,12,2009,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124241241217272431536529372111610167042',4354,'1018',62.39,1,3,NULL),(25,6024009,'1993-08-15 00:00:00',4,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241235112441448821575124610137032',2436,'262',66.98,1,3,NULL),(25,6024017,'1993-08-18 00:00:00',2,5,11,2010,'F','N','N SENHORA DE FÁTIMA','IÇARA','SC','124242241215121431367632575112610136191',14045,'226',45.10,1,3,NULL),(25,6024025,'1993-02-12 00:00:00',5,8,11,2010,'F','N','BOA VISTA','JOINVILLE','SC','124241241215131331436623575124610168192',NULL,'461',0.00,1,3,NULL),(25,6024033,'1993-04-23 00:00:00',4,1,11,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215371431468611575124610167017',10237,'1022',47.60,1,3,NULL),(25,6024041,'1992-09-30 00:00:00',4,1,11,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241215371531479811475112610164072',14472,'1063',39.49,1,3,NULL),(25,6024050,'1993-09-21 00:00:00',2,4,12,2010,'M','N','CRISTO REI','CHAPECÓ','SC','124241241141131431536314375124610127097',16284,'178',37.36,1,2,1),(25,6024076,'1992-10-24 00:00:00',4,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241116272531423634575124610124183',NULL,'307',21.49,1,2,1),(25,6024084,'1993-03-11 00:00:00',4,8,11,2010,'M','N','PROFIPO','JOINVILLE','SC','124243241215111731446712572114610137182',21593,'489',27.01,1,3,NULL),(25,6024106,'1993-08-04 00:00:00',4,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121431553767575125610146172',258,'1038',79.65,1,3,NULL),(25,6024122,'1991-06-25 00:00:00',4,1,12,2009,'M','N','METALURGICOS','OSASCO','SP','125253256221472311443831242222610167047',1942,'9998',66.95,4,3,NULL),(25,6024130,'1987-08-15 00:00:00',4,4,12,2004,'M','N','SANTO AMARO','S PAULO','SP','125251251146571431433412181121341237047',NULL,'9998',43.60,1,2,1),(25,6024149,'1991-01-17 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124202201217373731558812595124231464142',12008,'9998',48.13,1,3,NULL),(25,6024157,'1994-02-21 00:00:00',4,1,12,2011,'M','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217111431269933575124610127185',NULL,'270',38.86,1,3,NULL),(25,6024173,'1987-11-07 00:00:00',2,1,12,2004,'F','N','ALTO CAPIVARI','S BONIFÁCIO','SC','124241241126132421423311385124230832147',17675,'702',39.44,1,2,1),(25,6024181,'1993-01-11 00:00:00',4,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215131431446832242122610124112',12238,'723',44.35,1,3,NULL),(25,6024190,'1993-06-13 00:00:00',2,1,12,2010,'F','N','ALTO BIGUAÇU','BIGUAÇU','SC','124241241116371531343335572124610117077',4549,'21',59.75,1,2,1),(25,6024203,'1991-08-02 00:00:00',4,1,11,2008,'M','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124242241211213431469632475122121414163',NULL,'270',0.00,4,3,NULL),(25,6024220,'1993-04-09 00:00:00',4,1,11,2010,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124244241115111731568623435122610116142',20024,'271',34.51,1,3,NULL),(25,6024238,'1991-11-28 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241235111331535531215124610167115',NULL,'9999',15.23,1,3,NULL),(25,6024254,'1993-06-25 00:00:00',4,6,12,2010,'M','N','JUPITER','FRANCISCO BELTRÃO','PR','116161161215111431433833575124610134047',710,'9998',75.89,4,3,NULL),(25,6024262,'1983-04-29 00:00:00',4,1,12,2000,'M','N','CAMPINAS','S JOSÉ','SC','124242241216133421138941215122130738047',12777,'226',46.96,1,3,NULL),(25,6024270,'1992-01-22 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215573431469619574122610147097',51,'270',85.45,1,3,NULL),(25,6024289,'1993-08-04 00:00:00',4,1,12,2010,'M','N','VILA NOVA','COLATINA','ES','108082081216121431589911315122610167122',304,'9998',78.11,1,3,NULL),(25,6024297,'1992-03-07 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124241241116271531234449295123610165092',11014,'306',48.27,2,1,1),(25,6024300,'1990-07-12 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124212241216373221388833395124233217181',4364,'262',60.03,1,3,NULL),(25,6024319,'1993-03-30 00:00:00',4,1,11,2010,'M','N','BOSQUE DOS EUCALÍPTO','S JOSÉ CAMPOS','SP','125252251215111431337833575124610127042',15901,'9998',37.70,1,3,NULL),(25,6024327,'1992-07-07 00:00:00',4,7,12,2009,'M','N','IMIGRANTES','CONCÓRDIA','SC','120241241216472441449719175125610167052',6769,'1001',54.08,1,3,NULL),(25,6024335,'1987-07-06 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224242241216132431243653485122123232197',15812,'981',42.43,4,1,2),(25,6024351,'1993-03-01 00:00:00',2,1,12,2010,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124242241217151431436612385122610117112',21067,'944',26.47,1,3,NULL),(25,6024360,'1992-04-09 00:00:00',2,3,12,2009,'M','N','CENTRO','BOMBINHAS','SC','124241241415132531426611585112610127117',NULL,'1111',31.72,1,3,NULL),(25,6024378,'1965-11-07 00:00:00',2,10,12,1985,'M','N','OFICINAS','TUBARÃO','SC','124242244136135431323319382324131131042',NULL,'804',31.59,1,3,NULL),(25,6024386,'1993-05-01 00:00:00',4,1,11,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241215111431628731575124610126182',12335,'1048',42.76,1,3,NULL),(25,6024394,'1992-12-28 00:00:00',4,1,11,2009,'F','N','JUVEVE','CURITIBA','PR','116122161216472441466934575112610121097',387,'9998',78.33,1,3,NULL),(25,6024408,'1992-12-28 00:00:00',4,1,11,2010,'F','N','REBOUÇAS','CURITIBA','PR','116242161215111751469924592122610134071',9982,'9998',48.31,1,3,NULL),(25,6024416,'1994-06-19 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241235151431659613574112610133095',NULL,'951',31.10,1,3,NULL),(25,6024424,'1991-11-07 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241215112411135923345124232141162',NULL,'300',0.00,1,3,NULL),(25,6024432,'1992-09-19 00:00:00',2,9,11,2010,'F','N','CENTRO','S JOAQUIM','SC','124241241335271431536632595122610167142',NULL,'721',15.59,1,3,NULL),(25,6024440,'1991-10-30 00:00:00',4,1,12,2009,'M','N','VILA ROSALIA','LIMEIRA','SP','125252251217312431228824475225610167142',3196,'9998',62.89,1,3,NULL),(25,6024459,'1993-06-30 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215472731236933575122610141117',5463,'1000',57.47,1,3,NULL),(25,6024467,'1992-05-28 00:00:00',4,4,12,2009,'M','N','SANTA CRUZ','CASCAVEL','PR','116162161216471451669711272122610137066',2870,'9998',63.47,1,3,NULL),(25,6024475,'1993-08-24 00:00:00',4,1,12,2010,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241216272411345512575124610166122',4933,'1022',58.10,4,3,NULL),(25,6024483,'1971-06-12 00:00:00',2,1,1,1990,'M','N','PARQUE DAS ARVORES','ARARAS','SP','225251251126131421426448282124143238042',15649,'9998',39.15,1,3,NULL),(25,6024491,'1993-12-05 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242246215131231546411272112610121072',NULL,'1010',28.58,1,3,NULL),(25,6024505,'1993-06-07 00:00:00',4,15,12,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124242241217371431469814295112610134042',398,'970',77.90,1,3,NULL),(25,6024513,'1993-09-24 00:00:00',2,1,10,2010,'M','N','CENTRO','ERECHIM','RS','120202201217151431435823475115610124112',14884,'191',39.83,1,3,NULL),(25,6024521,'1993-02-17 00:00:00',4,1,12,2010,'F','N','GUIOMAR','ANTÔNIO CARLOS','SC','124241241117272331453735574124610124152',7806,'21',50.38,1,2,1),(25,6024548,'1982-03-21 00:00:00',4,10,12,2000,'M','N','STO ANTONIO DE PADUA','TUBARÃO','SC','224243247426132441238644245122130744172',18975,'9999',36.97,1,3,NULL),(25,6024556,'1993-06-20 00:00:00',4,8,12,2010,'M','N','AMERICA','JOINVILLE','SC','124241241144161731433714575122610114047',NULL,'475',0.00,1,2,1),(25,6024564,'1991-07-29 00:00:00',4,1,11,2008,'M','N','MONTE CASTELO','CPO GRANDE','MS','112122121217373411479711575122241422122',7952,'9998',50.35,1,3,NULL),(25,6024572,'1993-11-21 00:00:00',4,1,11,2010,'M','N','PORTÃO','CURITIBA','PR','116163161215121421348914471114610124142',2438,'9998',66.33,1,3,NULL),(25,6024580,'1995-02-28 00:00:00',4,8,12,2013,'F','S','GLÓRIA','JOINVILLE','SC','124242241217111731358913575122610124022',NULL,'461',45.31,1,3,NULL),(25,6024599,'1993-12-02 00:00:00',2,16,12,2010,'F','N','SETOR MORADA DO SOL','RIO VERDE','GO','109092091217211431546614575122610141122',4734,'9998',58.19,1,3,NULL),(25,6024602,'1993-05-17 00:00:00',4,8,11,2010,'F','N','BATEL','CURITIBA','PR','116162161215471431177923575122610147146',11770,'9998',45.13,1,3,NULL),(25,6024610,'1992-01-29 00:00:00',2,8,12,2009,'M','N','CAJURU','CURITIBA','PR','116161161116471311348623575124610144147',11927,'9998',45.14,2,1,1),(25,6024629,'1992-10-03 00:00:00',2,1,11,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241111472431436624574124610123142',4203,'271',61.50,1,3,NULL),(25,6024637,'1993-05-13 00:00:00',4,1,12,2010,'F','N','CHAC SANTO ANTONIO','S PAULO','SP','125252251215311431229924575122610124072',5168,'9998',57.95,1,3,NULL),(25,6024645,'1993-08-24 00:00:00',2,7,12,2010,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116162161216111431476812175122610167067',NULL,'9998',32.25,1,3,NULL),(25,6024653,'1989-05-17 00:00:00',4,1,12,2006,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241216134421446527585114121964197',12550,'737',47.26,1,3,NULL),(25,6024661,'1992-07-17 00:00:00',4,1,12,2010,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241125141731423624342324610135057',NULL,'1155',0.00,1,2,1),(25,6024670,'1993-09-14 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112751449939596122610144147',10118,'270',46.16,1,3,NULL),(25,6024688,'1992-10-26 00:00:00',4,10,11,2010,'M','N','CENTRO','TUBARÃO','SC','124242241215131431346624575122610132147',12838,'1120',40.90,1,3,NULL),(25,6024696,'1988-07-30 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216373431247829482122333268187',6793,'262',57.12,1,3,NULL),(25,6024726,'1992-01-16 00:00:00',4,1,12,2009,'M','N','VILA MARIANA','S PAULO','SP','125132131212471431448912575112610118042',7248,'9998',50.96,1,3,NULL),(25,6024734,'1990-01-17 00:00:00',2,4,12,2007,'F','N','CAMARGOS','BELO HORIZONTE','MG','113131131117572441425374446115610133047',NULL,'9998',0.00,4,1,1),(25,6024742,'1993-03-04 00:00:00',2,8,12,2010,'F','N','JARDIM PIRATININGA','S PAULO','SP','125251251117471711517728485124610133147',NULL,'9998',0.00,1,2,1),(25,6024750,'1991-07-13 00:00:00',4,1,12,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242241316574451479811475122610167085',1,'1063',90.89,1,3,NULL),(25,6024777,'1990-10-06 00:00:00',2,1,11,2009,'F','N','CENTRO','TELÊMACO BORBA','PR','116164161215371451229624572124610133197',17123,'9998',34.86,1,3,NULL),(25,6024793,'1994-03-25 00:00:00',2,5,12,2010,'M','N','ITAPEVA','TORRES','RS','120201242115151451543336575224610123141',11816,'690',44.35,1,2,1),(25,6024807,'1993-03-23 00:00:00',4,1,12,2010,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241215111431579932575122610134142',NULL,'262',28.91,1,3,NULL),(25,6024823,'1991-12-21 00:00:00',4,1,12,2009,'F','N','JARDIM LUCEMAR','BARRA BONITA','SP','125252251216471431448834575122610167091',NULL,'9998',0.00,1,3,NULL),(25,6024831,'1988-08-11 00:00:00',2,1,12,2006,'M','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241115135411448834575124610113141',NULL,'306',42.42,1,3,NULL),(25,6024858,'1992-05-08 00:00:00',4,6,12,2009,'M','N','CENTRO','ITAJAÍ','SC','124241241117472731326622572111610167047',3783,'401',62.87,1,2,1),(25,6024866,'1993-01-26 00:00:00',2,1,12,2010,'F','N','ROÇADO','S JOSÉ','SC','124242248215111111525724342122610118097',NULL,'1076',26.24,1,3,NULL),(25,6024874,'1992-08-07 00:00:00',2,7,12,2009,'F','N','JARDIM','CONCÓRDIA','SC','124241241132131731223624342224610134057',NULL,'194',0.00,1,2,1),(25,6024882,'1993-10-27 00:00:00',2,1,11,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241216271431449933575124610137017',18752,'1022',33.66,2,1,2),(25,6024890,'1992-03-27 00:00:00',4,1,8,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242281417372741438712572114610164197',8318,'262',54.28,1,3,NULL),(25,6024904,'1985-01-07 00:00:00',4,1,8,2002,'F','N','CENTRO','JOAÇABA','SC','124244247226575731468613475124133264047',10121,'9999',47.48,1,3,NULL),(25,6024912,'1991-01-01 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217373411336834175214122262011',10243,'1077',50.93,1,3,NULL),(25,6024939,'1992-06-09 00:00:00',2,2,11,2009,'F','N','SETE DE SETEMBRO','GASPAR','SC','124242241215112731445814572124230666072',20660,'855',32.55,4,3,NULL),(25,6024963,'1994-05-01 00:00:00',4,3,12,2011,'F','S','CENTENÁRIO','JARAGUÁ SUL','SC','124242241215111732377812572112610142117',NULL,'1174',28.36,1,3,NULL),(25,6024980,'1992-10-08 00:00:00',4,8,12,2009,'M','N','CAPILÉ','NOVA ANDRADINA','MS','112122121215471431468911575112610137042',7922,'9998',51.62,1,3,NULL),(25,6024998,'1994-03-31 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241217111431469619475122210132112',6867,'270',56.99,1,3,NULL),(25,6025005,'1993-01-26 00:00:00',4,1,12,2010,'M','N','ASA NORTE','BRASÍLIA','DF','107072071216111131479939572112610127166',14740,'9998',38.50,1,3,NULL),(25,6025013,'1992-03-02 00:00:00',4,1,12,2009,'M','N','MORADAS DO JATAY','CAÇAPAVA','SP','125252251217472411346832575122610112017',1646,'9998',70.66,1,3,NULL),(25,6025021,'1986-03-18 00:00:00',4,1,12,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241216575421559419485124333262097',300,'269',79.66,1,3,NULL),(25,6025030,'1991-07-20 00:00:00',4,8,12,2008,'M','N','CENTURY PARK','CIANORTE','PR','116164161215572451557732575122610168192',4029,'9998',61.61,1,3,NULL),(25,6025048,'1993-02-01 00:00:00',2,5,10,2009,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124241241215472431426814342124610167147',13760,'226',41.42,1,3,NULL),(25,6025056,'1993-10-24 00:00:00',4,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217111431459713575122610135182',8110,'259',54.23,1,3,NULL),(25,6025064,'1993-08-10 00:00:00',4,1,12,2010,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215121431478811575124610144042',NULL,'9998',0.00,1,3,NULL),(25,6025072,'1993-03-03 00:00:00',4,1,11,2010,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241215131431346822575124610164047',4202,'270',61.64,1,3,NULL),(25,6025080,'1983-04-02 00:00:00',4,1,12,2002,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124201201127131721123644242311141162097',NULL,'9998',34.61,1,3,NULL),(25,6025099,'1991-07-26 00:00:00',4,8,11,2008,'M','N','ADHEMAR GARCIA','JOINVILLE','SC','124243241117151412339834385114133262191',20019,'468',34.52,1,3,NULL),(25,6025102,'1992-08-14 00:00:00',4,8,12,2010,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241215271411458912571122610168187',8822,'457',51.09,1,3,NULL),(25,6025129,'1993-02-28 00:00:00',4,6,12,2010,'F','N','DOM BOSCO','ITAJAÍ','SC','124243241215151711469911395112610161042',8352,'389',50.50,1,3,NULL),(25,6025145,'1992-08-17 00:00:00',4,1,12,2009,'F','N','ARMAÇÃO P DO SUL','FLORIANÓPOLIS','SC','124241241115372411256823575114610166197',6973,'307',56.79,1,2,1),(25,6025153,'1993-06-30 00:00:00',4,2,12,2010,'M','N','VELHA','BLUMENAU','SC','124242241217271431359913575122610137142',1561,'909',70.04,1,3,NULL),(25,6025161,'1990-07-18 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124252241337471431468832445132610127042',NULL,'295',34.45,1,3,NULL),(25,6025170,'1983-05-04 00:00:00',5,1,12,1999,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241126134731124444245124122321017',NULL,'372',45.45,1,3,NULL),(25,6025188,'1991-07-03 00:00:00',4,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124252251216372431357823492122231924112',7122,'9998',54.38,1,3,NULL),(25,6025196,'1990-08-19 00:00:00',2,4,12,2007,'F','N','CENTRO','PASSO FUNDO','RS','120241241416572751336622595125610162187',NULL,'752',36.96,1,3,NULL),(25,6025200,'1993-12-11 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241212111451434339395122610124075',19085,'976',36.78,4,3,NULL),(25,6025218,'1993-12-16 00:00:00',4,1,12,2010,'F','N','BATEL','CURITIBA','PR','116162161215111731246732575124610131145',NULL,'9998',0.00,3,3,NULL),(25,6025226,'1985-05-21 00:00:00',4,1,12,2002,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241117131431226348382231610162177',21667,'124',25.78,1,3,NULL),(25,6025234,'1993-12-27 00:00:00',2,15,10,2010,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124243241215121431466613275122610132192',19485,'26',28.81,1,3,NULL),(25,6025242,'1993-05-31 00:00:00',4,1,11,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115331131323319275122610124052',NULL,'592',0.00,4,2,1),(25,6025269,'1991-10-19 00:00:00',2,1,12,2009,'M','N','JOSE MENDES','FLORIANÓPOLIS','SC','124243041117131411426331311124141966077',16955,'9998',40.69,1,3,NULL),(25,6025277,'1993-06-18 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215122731436933575124610127142',11949,'270',48.24,1,3,NULL),(25,6025285,'1993-03-22 00:00:00',4,1,11,2010,'F','N','BELA VISTA','S PAULO','SP','125252251217111431369933595122610127122',NULL,'9998',26.03,1,3,NULL),(25,6025293,'1984-04-26 00:00:00',4,1,12,2001,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124162161216371411154743435122540727045',7960,'9998',54.88,1,3,NULL),(25,6025307,'1993-09-30 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241217121431356929592122610166172',1615,'1118',70.76,1,3,NULL),(25,6025315,'1992-02-10 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124241241316142431536623345112610127062',20088,'9997',34.35,1,3,NULL),(25,6025323,'1993-11-18 00:00:00',2,1,11,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241215112431227721475124610167077',1594,'270',70.49,1,3,NULL),(25,6025331,'1992-07-02 00:00:00',4,4,11,2009,'F','N','JARDIM SEMINÁRIO','FRANCISCO BELTRÃO','PR','116162161216372431457632572122143232092',10177,'9998',47.62,1,3,NULL),(25,6025340,'1993-05-19 00:00:00',2,2,11,2010,'F','N','VALPARAISO','BLUMENAU','SC','124242241215111731235624291124610127072',15797,'71',42.45,4,3,NULL),(25,6025358,'1992-09-25 00:00:00',2,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241112131431526414372122610138092',NULL,'257',43.66,1,2,1),(25,6025366,'1993-06-08 00:00:00',4,5,11,2010,'M','N','LOTE SEIS','CRICIÚMA','SC','124242246217271441459812575124610127052',8953,'995',53.15,1,3,NULL),(25,6025382,'1992-03-11 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241116271431536723375124610138143',NULL,'307',32.32,3,2,1),(25,6025390,'1993-05-24 00:00:00',4,1,12,2010,'F','N','VISTA ALEGRE','CURITIBA','PR','116162161215111731466913572114610163052',NULL,'9998',0.00,1,3,NULL),(25,6025412,'1992-09-25 00:00:00',2,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241112131431526414372122610128092',13359,'257',41.30,1,2,1),(25,6025420,'1991-01-31 00:00:00',2,1,12,2008,'F','N','JARDIM AEROPORTO','S PAULO','SP','125252251216471731558631572124610138122',12211,'9998',42.46,1,3,NULL),(25,6025447,'1993-02-07 00:00:00',2,8,11,2010,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215112431479614575122610133092',7230,'1016',52.98,1,3,NULL),(25,6025455,'1991-11-21 00:00:00',2,1,12,2009,'F','N','CENTRO','CRUZ ALTA','RS','120203201116571731545522572124610162077',11626,'9998',44.69,1,3,NULL),(25,6025463,'1989-08-03 00:00:00',2,1,7,2008,'F','N','SAO LUIZ','S JOSÉ','SC','124241241137131411525514285114610114197',NULL,'736',37.24,1,2,1),(25,6025498,'1993-03-25 00:00:00',4,8,11,2010,'F','N','CONJUNTO DAS FLORES','LONDRINA','PR','116162161215111431468814575112610124141',NULL,'9998',0.00,1,3,NULL),(25,6025501,'1993-04-16 00:00:00',4,8,12,2010,'F','N','JOÃO COSTA','JOINVILLE','SC','124241241215111431328724575114610134052',NULL,'461',0.00,1,3,NULL),(25,6025510,'1993-01-29 00:00:00',4,1,9,2010,'M','N','SUDOESTE','CRUZEIRO','DF','107074077217271431378923575124243262162',8194,'9998',49.84,1,3,NULL),(25,6025528,'1990-06-27 00:00:00',2,1,12,2008,'M','N','JARDIM DAS BANDEIRAS','S PAULO','SP','125252251217471411259831375121610168117',13644,'9998',45.71,1,3,NULL),(25,6025536,'1992-11-24 00:00:00',4,3,12,2009,'M','N','JD OURO VERDE','OURINHOS','SP','125252251216471431458921575122610122082',NULL,'9998',0.00,1,3,NULL),(25,6025544,'1985-01-20 00:00:00',2,1,12,2002,'M','N','GANCHOS DE FORA','GOV CELSO RAMOS','SC','124241241127131411333319245124610117112',NULL,'329',0.00,1,2,1),(25,6025560,'1993-08-22 00:00:00',4,4,11,2010,'M','N','LA SALLE','XANXERÊ','SC','124242241216161431456913315122610127147',5001,'1081',58.87,1,3,NULL),(25,6025579,'1992-12-31 00:00:00',4,1,11,2009,'M','N','CAMPO BELO','LIMEIRA','SP','125253251216471411247721581124610134052',5131,'9998',56.72,1,3,NULL),(25,6025587,'1993-04-09 00:00:00',4,6,12,2010,'M','N','JARDIM ALEXANDER','RIO SUL','SC','124242241215111432238429372114610124011',12905,'663',46.72,1,3,NULL),(25,6025595,'1993-07-01 00:00:00',2,2,12,2010,'F','N','FORTALEZA','BLUMENAU','SC','124243241215111431468832295122610142061',10845,'71',45.64,1,3,NULL),(25,6025609,'1991-10-18 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241216373431438821275124232734182',NULL,'270',0.00,1,3,NULL),(25,6025617,'1993-02-26 00:00:00',4,1,12,2010,'M','N','OESTE','GOIÂNIA','GO','109092091215111331376612122122610164017',NULL,'9998',0.00,1,3,NULL),(25,6025625,'1993-11-08 00:00:00',4,2,12,2010,'F','N','TESTO CENTRAL','POMERODE','SC','124241241235111431467814572124610132057',3732,'855',62.03,1,3,NULL),(25,6025641,'1993-11-23 00:00:00',4,1,11,2010,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241215111431458832345124610162072',920,'270',73.83,1,3,NULL),(25,6025676,'1992-06-21 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242246117372431468833475122610136192',6641,'306',54.04,1,3,NULL),(25,6025684,'1992-09-16 00:00:00',4,1,12,2010,'M','N','JARDIM BRASIL','CAMPINAS','SP','125252251215111431458812575124610142097',7947,'9998',54.92,1,3,NULL),(25,6025692,'1992-09-06 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241215111431233823475124610134147',16126,'1022',37.26,1,3,NULL),(25,6025706,'1992-11-22 00:00:00',2,1,11,2010,'M','N','CHACARA DAS ROSAS','JACUPIRANGA','SP','125253251216151751347939575114610167012',11384,'9998',43.49,1,3,NULL),(25,6025722,'1992-05-31 00:00:00',2,4,11,2009,'F','N','LINHO','ERECHIM','RS','120202201215471431448612275122610142187',1483,'9998',69.49,1,3,NULL),(25,6025749,'1993-06-02 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431344933275122610162147',10827,'723',45.69,1,3,NULL),(25,6025757,'1992-05-14 00:00:00',4,1,11,2009,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215473431469813575114610161142',NULL,'266',19.33,1,3,NULL),(25,6025765,'1993-06-12 00:00:00',2,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124244241215131431435731575124610128147',6271,'71',55.35,1,3,NULL),(25,6025773,'1991-12-18 00:00:00',2,1,12,2009,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251215471231568414572122610168047',11831,'9998',44.59,1,3,NULL),(25,6025781,'1978-05-08 00:00:00',4,1,12,1998,'F','N','INGLESES','FLORIANÓPOLIS','SC','124131131117371431123544445114142047147',NULL,'9998',16.43,1,2,1),(25,6025790,'1993-12-23 00:00:00',4,8,12,2010,'M','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124244241217111431358814572122610164121',1351,'1174',71.07,1,3,NULL),(25,6025803,'1993-08-02 00:00:00',2,1,12,2010,'M','N','VILA DE FURNAS','MINAÇU','GO','109092091216111431457614571122610138092',12556,'9998',42.32,1,3,NULL),(25,6025811,'1992-11-08 00:00:00',4,10,12,2010,'F','N','CENTRO','TUBARÃO','SC','124242241217111431347724575122610164197',17548,'797',39.66,1,3,NULL),(25,6025820,'1993-12-08 00:00:00',2,1,12,2010,'F','N','JD NOVO OASIS','MARINGÁ','PR','116163161216131431326313585124610138057',NULL,'9998',24.16,1,3,NULL),(25,6025838,'1992-12-21 00:00:00',4,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241211111431334724575122610124012',13580,'1118',41.92,1,3,NULL),(25,6025846,'1988-09-20 00:00:00',4,1,12,2006,'M','N','SANTA CECÍLIA','S PAULO','SP','125251253226572731253364281115141164182',65,'9998',84.87,1,3,NULL),(25,6025862,'1993-07-19 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215121431226628572124610123197',14781,'270',42.44,1,3,NULL),(25,6025870,'1993-05-06 00:00:00',2,1,11,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241215112431456432575122610126192',5845,'1223',56.31,1,3,NULL),(25,6025889,'1991-08-26 00:00:00',4,1,11,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215474451349913575124610166177',NULL,'807',27.25,1,3,NULL),(25,6025897,'1991-04-24 00:00:00',4,1,12,2008,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241217514431538811272114122267182',5186,'269',60.45,1,3,NULL),(25,6025900,'1993-05-23 00:00:00',2,6,11,2010,'F','N','ARIRIBÁ','BAL CAMBORIÚ','SC','124244248235111431247923475124610135192',18705,'1026',32.69,1,3,NULL),(25,6025919,'1990-07-14 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241237373411559914375124122367075',4280,'1098',59.76,1,3,NULL),(25,6025927,'1992-09-18 00:00:00',2,5,12,2009,'M','N','BORTOLUZZI','NOVA VENEZA','SC','120241241116472411336635175124610166177',9018,'576',48.39,1,2,1),(25,6025935,'1984-12-08 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','524242241215372231469831472112333234192',4104,'269',61.16,1,3,NULL),(25,6025951,'1992-11-19 00:00:00',4,8,11,2009,'M','N','CENTRO','S JORGE D OESTE','PR','116164161416471451349834572124610167072',6668,'9998',54.31,1,3,NULL),(25,6025960,'1993-01-20 00:00:00',4,1,11,2010,'F','N','SANTA FELICIDADE','CURITIBA','PR','116164161215471441458914572114610114142',15990,'9998',36.92,1,3,NULL),(25,6025978,'1994-10-25 00:00:00',4,1,12,2010,'F','N','CENTRO','MAFRA','SC','124243241215111431638834575122610167142',9283,'541',52.54,1,3,NULL),(25,6025994,'1991-05-27 00:00:00',2,1,12,2008,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124114111216372731324612595124611463062',18832,'9998',37.29,1,3,NULL),(25,6026001,'1993-12-18 00:00:00',4,1,12,2010,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215113431446911575124610134182',1226,'270',72.24,1,3,NULL),(25,6026010,'1992-09-25 00:00:00',4,1,11,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215121731488833575124610128042',12525,'270',43.31,1,3,NULL),(25,6026028,'1991-05-26 00:00:00',5,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215574431367929295124130428077',7314,'262',56.16,1,3,NULL),(25,6026036,'1993-11-09 00:00:00',4,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215111431438834575122610164147',755,'461',75.65,1,3,NULL),(25,6026044,'1995-05-04 00:00:00',4,3,12,2011,'F','S','CENTRO','BAL CAMBORIÚ','SC','124241241215171751466934275122610166197',NULL,'9997',19.10,1,3,NULL),(25,6026052,'1989-04-24 00:00:00',2,1,12,2006,'F','N','MEDIANEIRA','STA MARIA','RS','120202201216572431455834575124141567077',1178,'9998',72.22,1,3,NULL),(25,6026060,'1993-11-01 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215112421388962572112610168102',13356,'270',44.41,1,3,NULL),(25,6026079,'1993-03-18 00:00:00',2,1,10,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215112431525527271124610133077',13311,'9997',46.21,1,3,NULL),(25,6026087,'1993-08-26 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124094241215151411457813575124610124197',16609,'1023',41.23,1,3,NULL),(25,6026095,'1994-11-11 00:00:00',2,5,12,2010,'F','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241215371731328834575122610138192',16627,'226',41.20,1,3,NULL),(25,6026109,'1976-01-28 00:00:00',2,1,12,1994,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224201208317173751312359182344610168187',1462,'9998',70.43,4,1,2),(25,6026117,'1993-02-16 00:00:00',2,2,12,2010,'M','N','UBERABA','CURITIBA','PR','116164161415111431456631575124610127043',NULL,'9998',0.00,1,3,NULL),(25,6026133,'1993-09-21 00:00:00',4,8,12,2010,'F','N','PROFIPO','JOINVILLE','SC','124241241126151431434311345122610114142',NULL,'480',0.00,1,3,NULL),(25,6026141,'1991-07-10 00:00:00',2,4,12,2008,'M','N','PRIMO TACCA','XANXERÊ','SC','120242241236474431448933292124610167047',4398,'1038',60.68,4,3,NULL),(25,6026168,'1992-01-25 00:00:00',4,1,11,2010,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124241241115151431423563375124610134047',NULL,'295',0.00,1,2,1),(25,6026176,'1993-08-09 00:00:00',4,1,12,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124244241217231411246623575124610163012',NULL,'63',18.52,1,3,NULL),(25,6026184,'1989-07-20 00:00:00',4,1,12,2006,'M','N','VALE DO SOL','COLORADO','PR','116162161416523411229935417132610165097',7119,'9998',54.13,1,3,NULL),(25,6026192,'1993-12-21 00:00:00',4,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217111431488923575122610134072',10510,'270',48.43,1,3,NULL),(25,6026206,'1990-07-07 00:00:00',2,1,12,2007,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124244241215574431555923375124610123187',7006,'1048',55.15,1,3,NULL),(25,6026214,'1994-09-19 00:00:00',4,1,12,2011,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124241241215111431458911492124610128142',NULL,'270',46.16,1,3,NULL),(25,6026230,'1993-11-27 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241215271731426619385124610144142',17301,'884',35.56,1,3,NULL),(25,6026257,'1993-11-25 00:00:00',2,6,12,2010,'M','N','VILA REAL','BAL CAMBORIÚ','SC','124241241215111231426612245122610114111',NULL,'1086',24.17,1,3,NULL),(25,6026265,'1994-11-23 00:00:00',4,1,12,2011,'F','S','CENTRO','FRAIBURGO','SC','124242241217111752449939592122610117012',NULL,'885',33.06,1,3,NULL),(25,6026273,'1992-10-26 00:00:00',4,1,12,2010,'F','N','CENTRO','BEBEDOURO','SP','125252251216111431538931475112610166041',4235,'9998',61.42,1,3,NULL),(25,6026311,'1985-08-09 00:00:00',2,1,7,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624241247126131431224654345134610132015',NULL,'9997',26.53,1,2,1),(25,6026320,'1992-01-03 00:00:00',4,3,12,2009,'F','N','BOA VISTA','RIO SUL','SC','124242241216471431468811595125610162142',1466,'991',69.02,1,3,NULL),(25,6026346,'1992-01-07 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431458834575124233224142',891,'988',74.39,1,3,NULL),(25,6026354,'1992-03-26 00:00:00',2,1,12,2009,'F','N','VENDAVAL','BIGUAÇU','SC','124243241415574411446652576124610168187',7551,'1040',52.05,1,3,NULL),(25,6026362,'1992-07-20 00:00:00',4,5,7,2010,'M','N','RIO JORDÃO ALTO','SIDERÓPOLIS','SC','124241243215111431545923345134610125147',15611,'995',42.75,4,3,NULL),(25,6026370,'1992-07-29 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215272431437414445134610165145',9425,'213',48.85,1,3,NULL),(25,6026389,'1993-11-28 00:00:00',2,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215131731336933595112610123052',9744,'723',49.88,1,3,NULL),(25,6026400,'1993-03-20 00:00:00',2,1,12,2010,'F','N','NITERÓI','NITERÓI','RJ','121212211217111431369933571124610162141',9270,'9998',47.68,1,3,NULL),(25,6026419,'1992-05-11 00:00:00',4,1,12,2009,'M','N','MARAPÉ','SANTOS','SP','125252251217471431369814575112610127052',1832,'9998',67.75,1,3,NULL),(25,6026427,'1993-07-29 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241116371411626614571124610137055',10717,'292',46.85,1,2,1),(25,6026435,'1993-01-12 00:00:00',2,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124244241215111441579934571112610127147',15875,'855',37.49,1,3,NULL),(25,6026478,'1993-05-31 00:00:00',2,1,12,2010,'F','N','ARIRIU','PALHOÇA','SC','124244241215121431433623575124610168187',19400,'1011',36.06,1,3,NULL),(25,6026486,'1992-10-17 00:00:00',4,1,11,2010,'F','N','PARADA INGLESA','S PAULO','SP','125252251217251411236612576115610167057',NULL,'9998',23.02,3,3,NULL),(25,6026494,'1992-01-24 00:00:00',4,16,12,2009,'F','N','BOM JESUS','CURITIBANOS','SC','124241241115371431634313275125610124077',5690,'239',57.40,4,2,1),(25,6026508,'1992-02-11 00:00:00',4,1,11,2009,'F','N','MIRANDÓPOLIS','S PAULO','SP','125252251215471731537731375124610165092',6510,'9998',55.55,1,3,NULL),(25,6026516,'1993-12-25 00:00:00',4,1,11,2010,'F','N','MONTE CASTELO','CPO GRANDE','MS','112122121217111432339813575122610112042',11705,'9998',43.53,4,3,NULL),(25,6026524,'1993-06-04 00:00:00',4,8,12,2010,'F','N','BATEL','CURITIBA','PR','116162161215111431579814572122610133147',19922,'9998',28.49,1,3,NULL),(25,6026532,'1993-02-07 00:00:00',4,1,11,2010,'M','N','CHACARA DAS ROSAS','JACUPIRANGA','SP','125251251212131751536679575125610114022',6359,'9998',55.15,1,3,NULL),(25,6026540,'1993-03-18 00:00:00',4,1,12,2010,'F','N','JARDIM CHAPADÃO','CAMPINAS','SP','125252251211151431466924571122610163012',2643,'9998',65.54,1,3,NULL),(25,6026559,'1991-09-17 00:00:00',4,1,12,2009,'M','N','JARDIM PALERMO','S BERNARDO CAMPO','SP','125254251216471151369933575122610168014',2907,'9998',63.78,4,3,NULL),(25,6026567,'1990-05-15 00:00:00',2,1,12,2007,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241248116131431523339395113610112042',NULL,'21',25.26,1,3,NULL),(25,6026575,'1992-12-21 00:00:00',2,3,10,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215111431348611375122610111097',NULL,'1016',0.00,1,3,NULL),(25,6026591,'1991-04-09 00:00:00',2,1,12,2008,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241212374431633311342114231827012',19577,'1022',35.63,1,3,NULL),(25,6026605,'1992-11-25 00:00:00',4,1,12,2009,'F','N','EMBARÉ','SANTOS','SP','125162251217472431379914575112610126122',1719,'9998',67.67,1,3,NULL),(25,6026613,'1993-02-05 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431488812375122610162012',7120,'262',52.00,1,3,NULL),(25,6026621,'1992-02-08 00:00:00',2,1,12,2009,'M','N','JD CLÁUDIA','LONDRINA','PR','116162161216471431477712571112610167042',15569,'9998',36.97,4,3,NULL),(25,6026630,'1993-04-02 00:00:00',4,1,11,2010,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215113731589813575112610167047',524,'270',77.41,1,3,NULL),(25,6026648,'1993-05-27 00:00:00',4,8,12,2010,'F','N','CENTRO','CURITIBA','PR','116161161116471431435532575122610136142',20086,'9998',34.35,1,2,1),(25,6026656,'1989-10-24 00:00:00',2,1,12,2007,'F','N','BOM VIVER','BIGUAÇU','SC','124241241147371451323611345124610164187',NULL,'66',0.00,1,2,1),(25,6026680,'1992-09-06 00:00:00',4,1,11,2009,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124241241111272431628713445124610166072',12739,'307',46.00,1,2,1),(25,6026699,'1991-06-25 00:00:00',2,1,11,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124203201216271431227644445124610146072',NULL,'9998',17.00,1,3,NULL),(25,6026702,'1993-10-03 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121431239812575122610128012',12440,'262',47.45,1,3,NULL),(25,6026710,'1993-06-25 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241215121331239923495112610132052',14036,'1016',41.15,1,3,NULL),(25,6026737,'1993-10-08 00:00:00',4,1,12,2010,'M','N','ALPHAVILLE CAMPINAS','CAMPINAS','SP','125252253217121231469914475122610167182',6045,'9998',55.51,1,3,NULL),(25,6026753,'1993-01-12 00:00:00',2,1,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','116161161116572431243923275122610113097',2987,'9998',64.14,1,2,1),(25,6026761,'1986-02-21 00:00:00',4,4,12,2003,'M','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241146151441224654285122132232192',NULL,'182',38.45,1,2,1),(25,6026770,'1984-12-24 00:00:00',2,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124241247626131511223649391334610112187',NULL,'9999',19.78,1,3,NULL),(25,6026788,'1991-09-02 00:00:00',2,9,12,2008,'F','N','CENTRO','S JOAQUIM','SC','124241241117231731425416572222610127057',20456,'719',26.85,4,2,1),(25,6026796,'1993-02-22 00:00:00',4,1,11,2010,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215471431389913576112610112092',1763,'270',69.30,1,3,NULL),(25,6026826,'1988-09-30 00:00:00',2,1,12,2007,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242241116374731423319275114610131077',NULL,'257',23.75,1,3,NULL),(25,6026834,'1993-04-18 00:00:00',4,8,12,2010,'M','N','CENTRO','S BENTO SUL','SC','124242241214161231456912572115610167122',4792,'1114',61.35,4,3,NULL),(25,6026842,'1993-06-30 00:00:00',4,2,11,2010,'F','N','MEDIANEIRA','PANAMBI','RS','120202201217161431438734571125610146142',NULL,'9998',19.11,1,3,NULL),(25,6026850,'1992-04-18 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216372431328631375124132762095',3976,'1022',62.38,1,3,NULL),(25,6026869,'1993-04-17 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431335634595122610137017',20432,'270',28.57,1,3,NULL),(25,6026877,'1994-01-26 00:00:00',4,1,11,2010,'M','N','BOSQUE DAS MANSOES','S JOSÉ','SC','124242241215111431587611572112610118041',3967,'270',63.37,1,3,NULL),(25,6026885,'1993-01-27 00:00:00',4,1,12,2010,'M','N','JARDINS','ARACAJU','SE','126262261215111411558613575112610162093',551,'9998',77.12,3,3,NULL),(25,6026907,'1993-11-25 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431466832572115610167112',13412,'1022',42.10,1,3,NULL),(25,6026915,'1993-03-30 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241115272431426521372124610156042',13453,'288',41.58,1,2,1),(25,6026923,'1993-12-17 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431226639475112610132015',3961,'262',62.46,1,3,NULL),(25,6026940,'1993-12-19 00:00:00',2,2,12,2010,'F','N','SÃO FRANSISCO','ASCURRA','SC','124241241315371431464319375122610126142',NULL,'38',16.51,1,3,NULL),(25,6026958,'1994-10-21 00:00:00',4,1,12,2010,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121215471431589833575122610134125',7914,'9998',51.14,1,3,NULL),(25,6026966,'1993-12-20 00:00:00',2,1,11,2011,'M','S','CAMPINAS','S JOSÉ','SC','124242241214131231358933575124613232142',NULL,'723',43.69,1,3,NULL),(25,6026982,'1991-10-01 00:00:00',4,1,12,2009,'F','N','VILA NOVA','ARAÇARIGUAMA','SP','125251251115471231646614575112610133197',NULL,'9998',36.43,1,2,1),(25,6026990,'1990-07-17 00:00:00',2,1,11,2007,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124113111216472431324824345124231332197',NULL,'9998',26.34,1,3,NULL),(25,6027008,'1993-06-07 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241216111731328614575124610124192',NULL,'269',33.22,1,3,NULL),(25,6027016,'1992-10-29 00:00:00',4,5,11,2010,'M','N','MINA DO MATO','CRICIÚMA','SC','124242241216151431469613372124610132055',15664,'880',42.66,1,3,NULL),(25,6027032,'1993-07-20 00:00:00',4,1,12,2010,'M','N','JARDINS','ARACAJU','SE','126262261217111431488812572122610111092',816,'9998',74.13,1,3,NULL),(25,6027040,'1983-09-26 00:00:00',2,1,12,2003,'F','N','SERRARIA','S JOSÉ','SC','124241241127472721524319285214610114057',NULL,'730',21.99,1,2,1),(25,6027059,'1990-12-09 00:00:00',4,1,12,2008,'M','N','QUINTA DA ALVORADA','RIBEIRÃO PRETO','SP','125252251215571431389811575112610162126',NULL,'9998',0.00,1,3,NULL),(25,6027067,'1991-03-27 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216472431456932475124121464197',44,'486',85.93,1,3,NULL),(25,6027075,'1993-03-05 00:00:00',2,1,12,2009,'M','N','KENNEDY','FRANCISCO BELTRÃO','PR','116161161216371411576434295125610137042',4604,'9998',59.71,1,3,NULL),(25,6027083,'1993-02-10 00:00:00',4,1,12,2010,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241215111731446623596124610128092',19185,'1118',32.07,1,3,NULL),(25,6027105,'1993-05-01 00:00:00',4,4,12,2010,'M','N','CENTRO','SARANDI','RS','120204201217271431448832575122610147042',8800,'9998',50.60,1,3,NULL),(25,6027113,'1993-07-05 00:00:00',4,1,12,2010,'M','N','ATALAIA','ARACAJU','SE','126262261217271711479912575112610124085',762,'9998',75.63,4,3,NULL),(25,6027121,'1991-12-22 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215472431459923595114610123141',14109,'269',44.99,1,3,NULL),(25,6027130,'1991-08-20 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216133431239623345124131927057',9794,'951',51.69,1,3,NULL),(25,6027156,'1993-08-08 00:00:00',4,3,12,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241435131411626724275124610126177',10117,'392',46.40,1,3,NULL),(25,6027164,'1993-03-20 00:00:00',4,1,11,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215121731568939575114610163182',5306,'270',58.04,1,3,NULL),(25,6027172,'1993-10-21 00:00:00',2,15,12,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124241243115471732433311345124610124197',NULL,'29',0.00,1,2,1),(25,6027180,'1990-10-20 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161216273431168811575122221427085',14508,'9998',44.44,1,3,NULL),(25,6027199,'1990-10-06 00:00:00',4,1,11,2008,'M','N','PAULISTA','PIRACICABA','SP','125254251215572641345831485112610162182',14771,'9998',44.05,1,3,NULL),(25,6027202,'1993-03-20 00:00:00',2,1,12,2010,'F','N','JD CIDADE FPOLIS','S JOSÉ','SC','124241241116261431424624395124610117141',20032,'257',30.90,1,2,1),(25,6027210,'1993-03-10 00:00:00',2,3,12,2010,'M','N','CENTRO','PNT GROSSA','PR','116162161215121431448832475122610147042',9285,'9998',49.04,1,3,NULL),(25,6027229,'1993-05-01 00:00:00',4,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241215131411628731572124610127082',8214,'1048',50.34,1,3,NULL),(25,6027237,'1993-02-08 00:00:00',2,3,12,2009,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241212473431433723592125610132117',18504,'44',37.92,1,3,NULL),(25,6027245,'1990-02-28 00:00:00',4,8,12,2006,'M','N','ATIRADORES','JOINVILLE','SC','124164161416151711333944345125142564017',16685,'9998',34.43,5,3,NULL),(25,6027253,'1994-01-13 00:00:00',4,8,11,2010,'M','N','CRISTO REI','CURITIBA','PR','116164161416111431448831295124610167012',14284,'9998',41.33,3,3,NULL),(25,6027261,'1992-01-10 00:00:00',4,8,12,2009,'F','N','UBERABA','CURITIBA','PR','116252161215471431468614583144610164096',2167,'9998',67.67,3,3,NULL),(25,6027270,'1991-05-09 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','120203201217571711458413371124610166172',290,'9998',79.84,1,3,NULL),(25,6027288,'1992-10-30 00:00:00',2,5,11,2009,'F','N','RAICHASKI','IÇARA','SC','124242241216371431567912375124131036142',NULL,'226',41.51,1,3,NULL),(25,6027296,'1993-03-26 00:00:00',4,1,11,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124243241415111431326833572124610153182',13570,'1022',41.39,2,1,2),(25,6027300,'1992-11-23 00:00:00',4,1,11,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217473411488811312124610114062',2435,'270',67.17,3,3,NULL),(25,6027318,'1991-12-22 00:00:00',4,1,12,2009,'M','N','CENTRO','PTO ALEGRE','RS','120201201116471431125411375125610136142',NULL,'9998',27.94,1,2,1),(25,6027326,'1994-02-17 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431589832375122610126092',11163,'270',49.43,1,3,NULL),(25,6027334,'1990-06-30 00:00:00',4,8,11,2007,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215372441388814575122231746121',119,'457',82.98,1,3,NULL),(25,6027342,'1994-02-10 00:00:00',2,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241146371412323628285114610124043',19388,'283',30.01,1,2,1),(25,6027377,'1992-09-16 00:00:00',2,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111451426631375124610118075',NULL,'1197',20.60,1,3,NULL),(25,6027385,'1982-10-17 00:00:00',4,1,3,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','224201207146131431315544245222610162047',NULL,'9998',16.88,1,3,NULL),(25,6027393,'1984-03-27 00:00:00',4,1,11,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241216154441359931445132322033097',11118,'270',49.49,1,3,NULL),(25,6027407,'1992-12-29 00:00:00',2,9,12,2010,'F','N','JARDIM MINUANO','S JOAQUIM','SC','124241242115151431436435575224610122192',17793,'1222',34.55,1,2,1),(25,6027415,'1988-10-17 00:00:00',2,6,12,2005,'F','N','DOS MUNICÍPIOS','BAL CAMBORIÚ','SC','124241241216132751436411445123133266182',NULL,'53',0.00,1,3,NULL),(25,6027423,'1993-11-24 00:00:00',4,8,12,2010,'M','N','UBERABA','CURITIBA','PR','116164161216121431649914575124610167042',12127,'9998',43.24,1,3,NULL),(25,6027431,'1992-01-17 00:00:00',4,6,12,2009,'F','N','BARRA DO RIO','ITAJAÍ','SC','124242241215372431548713375124232466187',4541,'388',61.89,1,3,NULL),(25,6027440,'1993-02-23 00:00:00',4,1,11,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215112731478812325112610137013',16961,'723',36.08,1,3,NULL),(25,6027458,'1993-06-15 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215112431633632575124610118192',7671,'738',52.71,1,3,NULL),(25,6027474,'1993-12-27 00:00:00',4,2,11,2010,'F','N','CENTRO II','BRUSQUE','SC','124241241415111731366614475122610124142',NULL,'981',0.00,1,3,NULL),(25,6027482,'1993-10-28 00:00:00',4,4,12,2010,'F','N','ALVORADA','XAXIM','SC','124241241116131721434629245125610126017',NULL,'847',23.48,3,2,1),(25,6027504,'1989-09-02 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124122121217471431459829395124141024182',7812,'9998',52.45,4,3,NULL),(25,6027512,'1993-03-28 00:00:00',4,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241216131431448634572122610166112',15673,'1076',38.10,1,3,NULL),(25,6027520,'1993-06-27 00:00:00',4,1,6,2011,'M','S','VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC','124243241117111431546821575122610168195',NULL,'739',45.23,1,3,NULL),(25,6027539,'1991-10-28 00:00:00',4,8,12,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215473431479819575122121436142',819,'1063',74.12,1,3,NULL),(25,6027547,'1993-01-04 00:00:00',4,2,12,2010,'M','N','VALPARAÍSO','BLUMENAU','SC','124244241217111431443414275124610137042',NULL,'71',20.13,1,3,NULL),(25,6027563,'1993-06-17 00:00:00',2,1,12,2010,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241135131532631334445124610127172',NULL,'592',38.43,1,2,1),(25,6027571,'1993-01-21 00:00:00',2,8,12,2010,'F','N','CENTRO','TAIÓ','SC','124242241435112431339712275124610123192',12752,'991',42.98,1,3,NULL),(25,6027598,'1994-04-13 00:00:00',4,1,12,2011,'F','S','SAO LUIZ','AMERICANA','SP','125252251116111331453834372122610124142',NULL,'9998',33.86,1,3,NULL),(25,6027601,'1993-01-18 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241215122351338923475124610164182',839,'1022',74.54,1,3,NULL),(25,6027610,'1993-04-21 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','121212211217111431458834471122610111042',NULL,'9998',0.00,4,3,NULL),(25,6027628,'1993-07-20 00:00:00',4,1,11,2010,'F','N','CENTRO','PALHOÇA','SC','124242241215112431469913475124610138182',3024,'270',65.18,1,3,NULL),(25,6027636,'1992-10-27 00:00:00',4,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215121431458811275124610121042',NULL,'270',27.07,1,3,NULL),(25,6027644,'1973-12-16 00:00:00',2,1,12,1991,'F','N','JOSE MENDES','FLORIANÓPOLIS','SC','224241243121273711441344342134610164197',15952,'591',36.72,4,2,1),(25,6027652,'1992-10-03 00:00:00',2,1,11,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241241116372421244924345114610137033',21350,'733',29.16,1,2,1),(25,6027660,'1992-09-30 00:00:00',4,8,12,2010,'M','N','BUCAREIN','JOINVILLE','SC','124242241217272231349923275124610124087',261,'457',80.26,1,3,NULL),(25,6027679,'1993-05-13 00:00:00',4,1,12,2010,'M','N','RIO COMPRIDO','JACAREÍ','SP','125252251217111431669911475122610137052',4537,'9998',60.55,1,3,NULL),(25,6027687,'1993-03-24 00:00:00',4,5,12,2009,'F','N','CENTRO','NOVA VENEZA','SC','124281241215371431327722575124610124017',2046,'9998',67.75,4,3,NULL),(25,6027709,'1992-11-06 00:00:00',4,8,12,2009,'F','N','BELA SUIÇA','LONDRINA','PR','116162161215211431468911571122610122111',949,'9998',72.85,1,3,NULL),(25,6027725,'1988-06-28 00:00:00',4,3,12,2005,'F','N','CENTRO','BAL CAMBORIÚ','SC','124203201214271441224329191122341227117',NULL,'9998',0.00,1,3,NULL),(25,6027733,'1990-03-02 00:00:00',4,5,9,2006,'F','N','PASSO DA AREIA','STA MARIA','RS','120203201116371431369713575124141032182',NULL,'9998',0.00,1,3,NULL),(25,6027741,'1991-06-07 00:00:00',2,8,12,2009,'F','N','NOVO MUNDO','CURITIBA','PR','116163163136471411257613275122610126117',5433,'9998',56.14,1,3,NULL),(25,6027750,'1988-02-23 00:00:00',2,1,12,2006,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241146111431324421285114610122197',19931,'257',31.22,1,2,1),(25,6027768,'1982-05-21 00:00:00',4,1,12,1999,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224252251236143431288743335122341112112',4225,'9998',62.74,1,3,NULL),(25,6027776,'1991-07-20 00:00:00',2,1,12,2009,'F','N','ARAÇATUBA','IMBITUBA','SC','124241241116153331323324575124610117142',NULL,'361',16.77,1,2,1),(25,6027784,'1993-11-18 00:00:00',2,1,12,2010,'F','N','CENTRO','BIGUAÇU','SC','124242241215111411356913572122610166077',NULL,'738',30.47,2,1,2),(25,6027792,'1993-05-20 00:00:00',4,1,12,2010,'F','N','AGUA VERDE','CURITIBA','PR','116242161217121411359819575124610165182',7479,'9998',55.82,1,3,NULL),(25,6027806,'1993-09-01 00:00:00',4,4,12,2010,'F','N','VILA NOVA','FRANCISCO BELTRÃO','PR','116161161416151431443933575122610147041',18565,'9998',37.83,1,3,NULL),(25,6027814,'1991-04-23 00:00:00',4,1,12,2008,'M','N','JARDIM DIAMANTE','JAÚ','SP','125252251216471431448811415112610167042',NULL,'9998',0.00,1,3,NULL),(25,6027822,'1987-10-02 00:00:00',2,8,12,2004,'M','N','CENTRO','CURITIBA','PR','116121161117471431119841415122143267062',7650,'9998',52.39,1,2,1),(25,6027849,'1993-07-19 00:00:00',2,10,12,2010,'F','N','BOM PASTOR','TUBARÃO','SC','124241241115151431326669385124610112197',NULL,'798',0.00,1,3,NULL),(25,6027857,'1993-05-29 00:00:00',4,8,12,2010,'F','N','SÃO RAFAEL','RIO NEGRINHO','SC','124241241416111431534612582124610133027',21628,'1154',26.49,1,3,NULL),(25,6027865,'1993-02-05 00:00:00',4,8,12,2010,'F','N','VILA ESTRELA','PNT GROSSA','PR','116162161216121731448814572112610134012',12975,'9998',44.00,1,3,NULL),(25,6027873,'1991-10-05 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241216312221523632385114610167122',NULL,'1049',17.37,1,3,NULL),(25,6027881,'1993-11-08 00:00:00',4,5,11,2010,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241215111431349411572112610147072',17794,'211',33.34,1,3,NULL),(25,6027890,'1993-06-06 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111731458813575122610161182',15356,'738',39.69,1,3,NULL),(25,6027903,'1993-12-22 00:00:00',2,1,12,2010,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241116111411426424245122610148092',20898,'257',25.95,1,2,1),(25,6027911,'1993-01-21 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215121431468814442122610167143',9410,'299',52.33,1,3,NULL),(25,6027920,'1992-09-15 00:00:00',4,8,12,2009,'F','N','JARDIM GUAPORE','MARINGÁ','PR','116162161215471411368833571125610168077',1282,'9998',71.41,3,3,NULL),(25,6027946,'1993-10-04 00:00:00',4,2,11,2010,'F','N','BOM RETIRO','BLUMENAU','SC','124242241217111431438812575122610162122',10678,'855',50.19,1,3,NULL),(25,6027954,'1991-09-21 00:00:00',2,1,11,2010,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241431131441338834571124610134123',17636,'269',34.91,1,3,NULL),(25,6027962,'1990-03-29 00:00:00',2,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241116132431114344342334610132192',NULL,'288',19.12,1,2,1),(25,6027970,'1993-02-15 00:00:00',4,1,12,2010,'M','N','JARDIM GLÓRIA','AMERICANA','SP','125252251217111411478713574112610168052',6310,'9998',53.57,1,3,NULL),(25,6027989,'1993-07-09 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121431336969575112610144182',8873,'262',49.56,1,3,NULL),(25,6027997,'1991-08-17 00:00:00',4,1,12,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241212574431433534374124610137012',3765,'270',61.95,1,3,NULL),(25,6028004,'1992-03-29 00:00:00',2,4,9,2010,'M','N','AMARAL','PALMEIRA MISSÕES','RS','120201208136161431553939375112610167187',16635,'9998',36.48,2,1,1),(25,6028012,'1993-02-21 00:00:00',2,1,12,2010,'F','N','BETÂNIA','ANGELINA','SC','124241241116161431343932575124610126142',9578,'17',49.01,1,2,1),(25,6028020,'1994-03-27 00:00:00',2,4,12,2010,'F','N','CENTRO','MARAVILHA','SC','124241241115131431438613471122610138052',NULL,'552',19.31,1,2,1),(25,6028039,'1993-02-06 00:00:00',2,1,12,2010,'F','N','JD MARIA IZABEL','MARÍLIA','SP','125252251215111431339733575122610114147',15582,'9998',38.24,3,3,NULL),(25,6028047,'1993-04-19 00:00:00',2,1,12,2010,'M','N','CENTRO','SOROCABA','SP','125252251216111431448834595114610138077',NULL,'9998',14.70,1,3,NULL),(25,6028063,'1991-02-06 00:00:00',2,1,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116121161316471431325521375125143262011',13678,'9998',42.50,3,3,NULL),(25,6028071,'1993-05-21 00:00:00',4,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','124242241236121431329613575122610163057',7144,'973',53.83,1,3,NULL),(25,6028098,'1989-11-24 00:00:00',4,3,12,2007,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241216574441548811495122230468041',9518,'44',52.19,1,3,NULL),(25,6028128,'1993-06-23 00:00:00',2,1,12,2010,'M','N','JARDIN SILVANIA','MOGI MIRIM','SP','125251256415111511433334575121610137092',18109,'9998',35.04,1,3,NULL),(25,6028136,'1992-09-04 00:00:00',4,1,12,2009,'F','N','CENTRO','CHARQUEADAS','RS','120201201217371331435812583124142122154',19899,'9998',34.87,1,3,NULL),(25,6028144,'1984-07-04 00:00:00',4,1,11,2001,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124241241146132431123344342314610142187',18973,'298',36.97,1,2,1),(25,6028160,'1994-05-21 00:00:00',4,1,12,2010,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124243241115272431338824285114610164055',13657,'739',41.58,1,3,NULL),(25,6028187,'1982-06-30 00:00:00',4,1,12,2001,'M','N','CENTRO','S JOSÉ','SC','124242247147143451238644345132130766197',14239,'9999',44.80,1,3,NULL),(25,6028195,'1991-02-02 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241235574751268831575124610167182',103,'836',83.36,1,3,NULL),(25,6028209,'1992-06-28 00:00:00',4,1,12,2010,'M','N','JARDIM GURILANDIA','TAUBATÉ','SP','125252257427471411569614245122610127042',16541,'9998',41.32,1,3,NULL),(25,6028217,'1975-10-22 00:00:00',2,1,4,1997,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624241241226135221326654482124610121097',NULL,'9999',22.15,1,3,NULL),(25,6028225,'1992-03-04 00:00:00',2,1,12,2009,'M','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241116372431323319575124220762092',9078,'65',51.21,1,2,1),(25,6028233,'1984-07-12 00:00:00',2,1,12,2001,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241111133431123348382314610163067',19229,'275',36.45,1,3,NULL),(25,6028241,'1993-02-06 00:00:00',4,2,12,2010,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241217371431479934571122610167092',10849,'87',45.47,1,3,NULL),(25,6028250,'1992-04-22 00:00:00',4,10,12,2009,'F','N','CENTRO','TUBARÃO','SC','124241241117472451436419271125610126187',3926,'798',61.63,1,2,1),(25,6028268,'1993-12-17 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431658814445114610121183',13943,'270',45.27,1,3,NULL),(25,6028276,'1993-12-29 00:00:00',2,5,11,2011,'F','S','COMERCIÁRIO','CRICIÚMA','SC','124241241217111431326624575125610126142',NULL,'226',50.37,1,3,NULL),(25,6028292,'1992-12-01 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124162241215371431359921575121610167042',12922,'44',44.01,1,3,NULL),(25,6028306,'1983-03-21 00:00:00',2,7,12,2000,'M','N','CENTRO','CONCÓRDIA','SC','124201201316135431226643495122321562097',3329,'9998',62.59,1,3,NULL),(25,6028330,'1991-03-31 00:00:00',2,15,12,2008,'F','N','LOT DOS CASTROS','ENCRUZILHADA SUL','RS','120201201115571431336623572124610133147',2699,'9998',64.64,1,2,1),(25,6028349,'1991-02-28 00:00:00',2,1,12,2008,'F','N','CENTRO','BIGUAÇU','SC','124242241215573421328633492122610134147',16123,'270',41.97,1,3,NULL),(25,6028357,'1993-06-29 00:00:00',4,1,11,2010,'M','N','BELA VISTA I','S JOSÉ','SC','124242241215371431458513575122610134117',2831,'976',65.60,1,3,NULL),(25,6028365,'1993-04-26 00:00:00',2,6,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241217111431648933575122610132142',12317,'1038',43.51,1,3,NULL),(25,6028373,'1993-11-18 00:00:00',2,4,11,2010,'F','N','MORADA DO SOL','IJUÍ','RS','120202201237151711359924572122610161072',NULL,'9998',14.16,1,3,NULL),(25,6028381,'1991-08-26 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241137372331423327292124610125147',20041,'592',28.73,1,2,1),(25,6028390,'1991-06-24 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241215573431448939495124610124142',5277,'738',57.72,1,3,NULL),(25,6028403,'1993-10-05 00:00:00',4,1,12,2011,'F','S','BARREIROS','S JOSÉ','SC','124241241217111411358823575124610116145',NULL,'1118',57.87,1,3,NULL),(25,6028411,'1990-03-27 00:00:00',4,4,12,2007,'M','N','REGIÃO DO LAGO I','CASCAVEL','PR','116161161416471731538931445223143225147',NULL,'9998',0.00,1,3,NULL),(25,6028420,'1988-12-29 00:00:00',3,1,12,2006,'F','N','JARDIM ESPERANÇA','CANOINHAS','SC','124241241211272411436933475124610162015',NULL,'154',38.12,1,3,NULL),(25,6028438,'1991-08-10 00:00:00',4,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124244241215573731558612345124610144182',4889,'63',61.13,1,3,NULL),(25,6028446,'1989-05-05 00:00:00',1,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217272431459811572124121424097',525,'262',76.80,1,3,NULL),(25,6028462,'1991-07-09 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216473751238412575114610162042',129,'270',82.32,1,3,NULL),(25,6028470,'1993-04-06 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111731547874572112610131072',16724,'1118',35.98,1,3,NULL),(25,6028489,'1982-06-07 00:00:00',1,1,12,2000,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241126133521243364185124220864195',NULL,'616',0.00,1,2,1),(25,6028497,'1992-11-23 00:00:00',2,16,12,2009,'M','N','NAÇÕES','CONCÓRDIA','SC','124241242117131431426534575111610114053',NULL,'196',21.87,4,3,NULL),(25,6028500,'1992-11-15 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431478833575114610167182',11125,'270',46.60,1,3,NULL),(25,6028519,'1991-06-15 00:00:00',4,4,12,2008,'M','N','CENTRO','ERVAL GRANDE','RS','124201201116112711334654595122221464042',NULL,'9998',23.02,2,1,1),(25,6028527,'1992-10-16 00:00:00',4,1,12,2009,'M','N','NOVA MOGILAR','MOGI CRUZES','SP','125254251215471431466934575112610124047',6231,'9998',54.82,1,3,NULL),(25,6028535,'1993-01-07 00:00:00',4,5,11,2010,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241216151431367833575112610132191',12552,'210',44.33,1,3,NULL),(25,6028543,'1993-04-01 00:00:00',4,16,12,2010,'M','N','SÃO LUIZ','CURITIBANOS','SC','124241241115371431338933572122610142147',12607,'239',43.22,1,2,1),(25,6028551,'1994-08-01 00:00:00',4,1,12,2011,'M','S','BIGORRILHO','CURITIBA','PR','116162161216111711279922572122610137042',NULL,'9998',56.70,1,3,NULL),(25,6028560,'1974-05-23 00:00:00',2,1,11,2008,'F','N','SAO SEBASTIAO','PALHOÇA','SC','524241247125471421323341116124610123047',NULL,'9999',20.03,1,2,1),(25,6028578,'1989-12-23 00:00:00',2,15,12,2007,'F','N','VILA SAO JOSE','ARARANGUÁ','SC','124242241215373431356833475125130262071',NULL,'32',28.33,1,3,NULL),(25,6028586,'1993-05-14 00:00:00',4,9,10,2010,'M','N','CENTRO','LAGES','SC','124242241215111411359814495115610117042',6157,'497',55.16,1,3,NULL),(25,6028594,'1992-07-02 00:00:00',4,8,12,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215472711348934575125610166172',35,'1063',86.36,3,3,NULL),(25,6028608,'1992-04-22 00:00:00',4,8,12,2009,'F','N','CENTRO','IPORÃ','PR','116163161115472431458911575124610127147',1750,'9998',69.18,1,3,NULL),(25,6028624,'1992-09-04 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215472411459933575125610134095',3268,'883',62.96,1,3,NULL),(25,6028632,'1988-06-12 00:00:00',2,1,12,2005,'F','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124141141126131131333329245124610112197',NULL,'9998',0.00,4,2,1),(25,6028640,'1993-08-07 00:00:00',4,1,12,2010,'M','N','BELA VISTA','S JOSÉ','SC','124241241315111431323417375124610134142',8922,'737',49.32,1,3,NULL),(25,6028659,'1994-07-05 00:00:00',4,2,12,2010,'F','N','BOM RETIRO','BLUMENAU','SC','124242241215111431367731375122610131092',10703,'909',48.66,1,3,NULL),(25,6028667,'1993-09-15 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121231488933335122610163182',11077,'1169',46.07,1,3,NULL),(25,6028675,'1989-07-04 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECÓ','SC','124243241216472441468811395114130666092',8168,'185',52.17,1,3,NULL),(25,6028683,'1991-01-07 00:00:00',4,1,12,2008,'F','N','JARDIM DABRIL','S PAULO','SP','125252251216572431446811575112610148047',6539,'9998',54.24,1,3,NULL),(25,6028691,'1992-08-24 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124114241217472431558913275114610167187',NULL,'1022',29.94,1,3,NULL),(25,6028705,'1991-09-28 00:00:00',2,1,12,2008,'M','N','PONTA FINA NORTE','NOVA TRENTO','SC','124241241127371431438634375114133217057',12277,'574',44.79,1,2,1),(25,6028721,'1992-01-07 00:00:00',4,1,11,2009,'M','N','SANTA CLARA','PEDREIRA','SP','125254251217471451356612575122610132182',8484,'9998',50.07,1,3,NULL),(25,6028730,'1994-02-03 00:00:00',4,1,11,2011,'F','S','BOM VIVER','BIGUAÇU','SC','124241241117151431524431215134610126047',NULL,'257',36.17,1,3,NULL),(25,6028748,'1990-07-17 00:00:00',4,1,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116112161236573431226914175114610166197',2959,'9998',63.34,1,3,NULL),(25,6028756,'1990-04-16 00:00:00',2,5,12,2007,'M','N','SÃO JOÃO','COCAL SUL','SC','124241241215134431223444345123610122067',15186,'920',38.29,1,3,NULL),(25,6028764,'1991-12-06 00:00:00',4,8,12,2008,'M','N','JARDIM CHACARA AULER','JAÚ','SP','125252251215571431458811575125610167097',NULL,'9998',0.00,1,3,NULL),(25,6028772,'1993-04-05 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116271411424321175124610147047',11099,'271',44.69,1,2,1),(25,6028780,'1994-01-01 00:00:00',4,1,12,2010,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241216121431448813335122610136055',16265,'259',36.14,1,3,NULL),(25,6028799,'1989-09-02 00:00:00',4,1,12,2007,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241211274431459714475122122224182',6338,'270',58.07,1,3,NULL),(25,6028802,'1993-06-26 00:00:00',2,5,12,2010,'F','N','LOTE SEIS','CRICIÚMA','SC','124242241215131431347313172122610134047',2702,'213',65.16,1,3,NULL),(25,6028810,'1993-03-09 00:00:00',4,8,12,2010,'M','N','UBERABA','CURITIBA','PR','116162166135371531538921374124610127092',1602,'9998',69.17,1,3,NULL),(25,6028837,'1992-02-07 00:00:00',4,2,11,2008,'M','N','COUNTRY','CASCAVEL','PR','116162161216574451468613175112610142116',1917,'9998',68.04,1,3,NULL),(25,6028845,'1992-08-07 00:00:00',2,16,12,2009,'M','N','CENTRO','FRAIBURGO','SC','124242161216412431459811575114610132172',4155,'9998',60.65,1,3,NULL),(25,6028853,'1976-10-11 00:00:00',4,3,12,1996,'M','N','CENTRO','BAL CAMBORIÚ','SC','224164161216572441448351485125141432042',2105,'9998',67.72,1,3,NULL),(25,6028861,'1990-05-20 00:00:00',2,1,12,2007,'F','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124241241146131331433311345124610132057',NULL,'291',29.63,1,2,1),(25,6028870,'1990-10-02 00:00:00',4,1,12,2008,'F','N','JARDIM LUANDA','S PAULO','SP','125251251116471731338813285114610136181',7554,'9998',53.30,3,2,1),(25,6028888,'1992-06-08 00:00:00',4,1,12,2009,'F','N','APARECIDA','URUBICI','SC','124241241116161731324911272122610164147',NULL,'818',0.00,1,2,1),(25,6028896,'1994-01-15 00:00:00',2,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124243241215121441323621375124610144072',11559,'723',48.81,1,3,NULL),(25,6028900,'1993-07-22 00:00:00',2,3,12,2010,'F','N','VÁRZEA','ITAPEMA','SC','124241241116141431435334341121610137052',16983,'406',35.45,1,2,1),(25,6028918,'1993-10-30 00:00:00',4,9,11,2010,'M','N','VILA NOVA','LAGES','SC','124242241215151731357923575112610168012',10134,'499',47.45,1,3,NULL),(25,6028926,'1992-11-07 00:00:00',4,1,12,2010,'F','N','JARDIM DA CAMPINA','S PAULO','SP','125252251216111431554833575122610133072',NULL,'9998',0.00,1,3,NULL),(25,6028934,'1994-04-12 00:00:00',4,6,11,2010,'F','N','GRAVATÁ','NAVEGANTES','SC','124242241215151431589613576122610128181',NULL,'392',0.00,1,3,NULL),(25,6028950,'1993-11-12 00:00:00',4,8,12,2010,'M','N','IRIRIU','JOINVILLE','SC','124241241215371731338719575124610167045',15215,'489',43.38,1,3,NULL),(25,6028977,'1978-10-11 00:00:00',4,1,12,1996,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','224252251216155721364442445122221444112',9868,'9998',51.58,1,3,NULL),(25,6028985,'1991-02-22 00:00:00',2,4,12,2008,'F','N','ZONA DOIS','UMUARAMA','PR','116162161216572411568833585124610167012',1125,'9998',71.57,1,3,NULL),(25,6028993,'1990-01-23 00:00:00',2,2,7,2010,'F','N','FORTALEZA','BLUMENAU','SC','116162163117471411335564385124610124077',9319,'9998',47.60,3,3,NULL),(25,6029000,'1992-12-11 00:00:00',2,15,12,2009,'F','N','CENTRO','ARARANGUÁ','SC','124243241415372431469923574124610165092',11177,'970',46.10,1,3,NULL),(25,6029019,'1993-11-09 00:00:00',2,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241217111411226612395124610115177',NULL,'724',32.44,1,3,NULL),(25,6029027,'1992-08-21 00:00:00',4,6,11,2010,'M','N','CENTRO','S BENTO SUL','SC','124242241215111411489931571121610164072',8603,'1178',50.08,4,3,NULL),(25,6029035,'1994-10-23 00:00:00',2,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431369912474124610136072',NULL,'262',36.47,1,3,NULL),(25,6029043,'1992-01-20 00:00:00',4,15,12,2009,'F','N','COLONINHA','ARARANGUÁ','SC','124241241136131732436733245121610163057',20540,'30',26.41,1,2,1),(25,6029051,'1993-05-06 00:00:00',4,1,12,2010,'F','N','STO ANTONIO DELISBOA','FLORIANÓPOLIS','SC','124242241215471431468821572124610147182',7051,'1048',54.88,1,3,NULL),(25,6029060,'1993-07-20 00:00:00',4,2,12,2010,'M','N','ITOUPAVA SECA','BLUMENAU','SC','624242241215111431249712275122610167042',9051,'71',52.96,1,3,NULL),(25,6029078,'1981-04-17 00:00:00',2,1,12,1998,'M','N','CAMPINAS','S JOSÉ','SC','624202201417262421138943435132141424042',NULL,'9998',0.00,1,3,NULL),(25,6029086,'1990-06-05 00:00:00',2,1,12,2007,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215474431346933475114132462047',12562,'1146',47.25,1,3,NULL),(25,6029094,'1992-05-16 00:00:00',4,5,11,2010,'F','N','UNIVERSITÁRIO','CRICIÚMA','SC','124242241215472431479913272122132234092',NULL,'226',0.00,1,3,NULL),(25,6029108,'1988-05-04 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252251215575431478814575125610163187',1324,'9998',72.20,1,3,NULL),(25,6029116,'1991-06-06 00:00:00',4,1,12,2009,'F','N','PIATÃ','SALVADOR','BA','105052051216471741348821575124610122142',NULL,'9998',0.00,1,3,NULL),(25,6029124,'1992-02-26 00:00:00',2,1,12,2008,'F','N','CENTRO','BELA V PARAÍSO','PR','116163161217572431438816472112610168012',11023,'9998',44.96,1,3,NULL),(25,6029132,'1986-12-23 00:00:00',4,1,6,2004,'F','N','JD ATLANTICO','FLORIANÓPOLIS','SC','124241241116273431126444245134130263193',NULL,'293',0.00,1,2,1),(25,6029167,'1992-07-29 00:00:00',2,5,11,2009,'M','N','PIO CORRÊA','CRICIÚMA','SC','124243241215473411558613575112610131141',636,'226',75.73,1,3,NULL),(25,6029175,'1993-03-03 00:00:00',4,1,12,2010,'F','N','COROA DO MEIO','ARACAJU','SE','126262261216121751689921572112610126012',144,'9998',81.97,1,3,NULL),(25,6029183,'1993-08-05 00:00:00',4,6,12,2010,'F','N','ARIRIBÁ','BAL CAMBORIÚ','SC','124202241212121431347833575114610132042',11585,'44',48.77,1,3,NULL),(25,6029191,'1979-05-09 00:00:00',2,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241317131741122144141123610134057',19639,'298',35.48,4,3,NULL),(25,6029205,'1992-01-29 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242246215372431558732485124610147062',422,'188',78.26,1,3,NULL),(25,6029213,'1992-12-09 00:00:00',4,8,11,2009,'F','N','AMERICA','JOINVILLE','SC','124241241214371431113324592124610134181',21170,'1006',30.24,1,3,NULL),(25,6029221,'1992-11-30 00:00:00',4,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431578911412114610128182',5513,'883',58.74,1,3,NULL),(25,6029230,'1989-08-25 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201116131231223864485124610127047',16740,'9998',41.02,1,2,1),(25,6029248,'1993-10-27 00:00:00',2,15,12,2010,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124246241215371731446933472125610134147',4860,'970',59.44,1,3,NULL),(25,6029264,'1992-07-31 00:00:00',4,1,12,2009,'M','N','ZONA SETE','MARINGÁ','PR','116162161215471431569935274112610165052',4119,'9998',61.01,1,3,NULL),(25,6029272,'1993-03-14 00:00:00',4,1,12,2010,'F','N','ZONA QUATRO','MARINGÁ','PR','116162161215471431465936474112610164113',6253,'9998',56.14,1,3,NULL),(25,6029280,'1993-11-12 00:00:00',4,15,12,2010,'F','N','CENTRO','ARARANGUÁ','SC','124241191115141731536612295122610137142',NULL,'30',0.00,1,3,NULL),(25,6029299,'1994-03-01 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117271731337714595124610148072',9705,'271',49.37,1,2,1),(25,6029310,'1993-08-09 00:00:00',4,1,11,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124244241215122431446823575124610164092',1703,'270',70.44,1,3,NULL),(25,6029329,'1986-02-02 00:00:00',2,1,12,2003,'F','N','JARDIM JANAÍNA','BIGUAÇU','SC','224241241126575231325354385124231064157',NULL,'307',0.00,1,2,1),(25,6029337,'1990-11-19 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431469813572112121327142',2709,'270',65.18,1,3,NULL),(25,6029345,'1993-01-20 00:00:00',4,5,10,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431457824445122610167012',5313,'226',57.99,1,3,NULL),(25,6029353,'1992-12-10 00:00:00',2,1,12,2009,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241116271432423624345124610123147',21288,'288',29.50,1,2,1),(25,6029361,'1993-08-06 00:00:00',2,9,12,2009,'F','N','POÇO RICO','OTACÍLIO COSTA','SC','124241241116371431346419275112610163142',NULL,'583',0.00,1,3,NULL),(25,6029370,'1992-02-19 00:00:00',2,8,12,2009,'M','N','ENSEADA','S FRANCISCO SUL','SC','124244241415472451427411575112610167051',11660,'1105',44.38,1,3,NULL),(25,6029388,'1992-12-16 00:00:00',4,8,11,2009,'M','N','JARDIM DO LAGO','TANGARÁ SERRA','MT','111113111216471731373632575124610162052',4774,'9998',58.16,1,3,NULL),(25,6029396,'1991-02-02 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124241241116371431233333575124610224037',20539,'84',32.98,4,2,1),(25,6029400,'1989-08-25 00:00:00',2,1,12,2007,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124243241215575751458714574124610163071',1745,'270',69.52,1,3,NULL),(25,6029418,'1993-11-16 00:00:00',4,4,12,2010,'M','N','SEMINARIO','CHAPECÓ','SC','124064241215131432433634575122610134092',NULL,'1021',0.00,1,3,NULL),(25,6029426,'1991-10-10 00:00:00',4,1,11,2008,'F','N','CENTRO','STO CRISTO','RS','120204201216473431549912475124142228182',8539,'9998',48.99,1,3,NULL),(25,6029442,'1992-04-18 00:00:00',4,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215273731246934575124131843057',2943,'270',63.48,1,3,NULL),(25,6029450,'1990-11-21 00:00:00',4,1,12,2009,'M','N','VILA NOVA','BLUMENAU','SC','124152241215472441229833575114610134181',11841,'1022',48.43,4,3,NULL),(25,6029469,'1992-08-24 00:00:00',4,1,12,2009,'M','N','JARDIM BRASIL','S PAULO','SP','125251251116571431336414571124610152127',NULL,'9998',0.00,1,2,1),(25,6029477,'1991-01-04 00:00:00',4,15,12,2008,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241216371741356632395111610168185',7910,'970',54.98,1,3,NULL),(25,6029485,'1993-04-15 00:00:00',4,1,11,2010,'M','N','SANTANA','S JOSÉ CAMPOS','SP','125252251215111431636632575112610162183',16218,'9998',36.17,1,3,NULL),(25,6029507,'1984-12-05 00:00:00',2,8,12,2001,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215471431448611415124341527057',4172,'9998',60.05,1,3,NULL),(25,6029523,'1992-09-27 00:00:00',2,10,11,2010,'F','N','CENTRO','TUBARÃO','SC','124242241217112751443639575125610128112',16707,'806',36.03,1,3,NULL),(25,6029531,'1993-04-08 00:00:00',2,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124242241215151331443412575112610112171',NULL,'1011',17.35,1,3,NULL),(25,6029540,'1993-07-17 00:00:00',4,1,3,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242281217271431489911575122610134035',5610,'9998',59.53,1,3,NULL),(25,6029566,'1991-08-29 00:00:00',2,8,12,2008,'F','N','REGIÃO DO LAGO UM','CASCAVEL','PR','116161161117471431538631572122610127147',10205,'9998',47.49,1,2,1),(25,6029574,'1993-12-03 00:00:00',4,1,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161215121751279913594114610122146',2918,'9998',64.60,1,3,NULL),(25,6029582,'1991-03-30 00:00:00',2,8,11,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124252241415371431628649575122130625097',17840,'457',39.15,1,3,NULL),(25,6029590,'1986-09-15 00:00:00',2,1,12,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','624241241142151731266753295122131261072',NULL,'113',18.42,1,2,1),(25,6029604,'1993-04-20 00:00:00',2,4,11,2010,'M','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124242241215111431469614572122611434172',NULL,'168',26.64,1,3,NULL),(25,6029612,'1992-08-31 00:00:00',4,4,12,2010,'M','N','SANTA CATARINA','S LOURENÇO OESTE','SC','124242168117371741559731574124610164152',8296,'9998',50.71,1,3,NULL),(25,6029620,'1993-04-18 00:00:00',4,1,10,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217471431459812575124610121062',2759,'270',66.63,1,3,NULL),(25,6029639,'1991-08-10 00:00:00',4,5,10,2008,'F','N','CENTRO','CURITIBA','PR','116242241215473731169812575124610164182',830,'226',74.32,1,3,NULL),(25,6029647,'1992-03-24 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216372431458811575124610162182',2012,'1198',67.74,1,3,NULL),(25,6029655,'1992-06-02 00:00:00',5,1,6,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215372431439913572124610167142',4003,'1133',63.25,1,3,NULL),(25,6029663,'1993-03-06 00:00:00',4,1,11,2010,'M','N','SÃO JOÃO BOSCO','PTO VELHO','RO','122224221217111431459914575122610124082',10472,'9998',46.94,1,3,NULL),(25,6029671,'1993-08-22 00:00:00',4,1,12,2010,'F','N','SANTA ISABEL','VIAMÃO','RS','120201201117111431449923571124610132037',17957,'9998',34.70,1,2,1),(25,6029680,'1991-07-02 00:00:00',4,8,12,2008,'F','N','BOQUEIRÃO','CURITIBA','PR','116242161215471411338824271114143242077',NULL,'9998',0.00,1,3,NULL),(25,6029698,'1992-08-24 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202201215472431367839275124610165072',9651,'9998',48.06,1,3,NULL),(25,6029710,'1992-03-30 00:00:00',2,8,12,2009,'M','N','SAO BRAZ','CURITIBA','PR','116162281415471431568832285124610112113',11556,'9998',45.43,1,3,NULL),(25,6029728,'1991-05-09 00:00:00',2,7,11,2008,'M','N','FÁTIMA','ERECHIM','RS','120204201216271431538513575124141112147',9074,'9998',48.65,1,3,NULL),(25,6029736,'1989-10-27 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247215371431346213475114610168187',19897,'977',34.88,1,3,NULL),(25,6029744,'1991-05-06 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216373441549812572114123223142',4136,'272',61.96,1,3,NULL),(25,6029752,'1994-07-15 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215371431568832382124610137042',NULL,'1050',41.57,1,3,NULL),(25,6029760,'1993-04-30 00:00:00',4,1,12,2010,'M','N','JARDIM FLORENÇA','LIMEIRA','SP','125252251216111411368831575112610132092',NULL,'9998',0.00,1,3,NULL),(25,6029779,'1993-08-11 00:00:00',4,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124243241316371431246634585124610123072',13451,'739',42.07,4,3,NULL),(25,6029795,'1985-08-14 00:00:00',4,6,12,2001,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241116134431123349292124231321187',11780,'69',42.25,1,2,1),(25,6029817,'1991-06-10 00:00:00',4,8,12,2009,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241215371431248913271122133132187',3352,'1174',62.42,1,3,NULL),(25,6029825,'1993-09-10 00:00:00',2,8,12,2010,'M','N','FAZENDINHA','CURITIBA','PR','116161161115471451356513575124610147057',1886,'9998',68.82,1,2,1),(25,6029833,'1993-09-27 00:00:00',2,15,12,2010,'F','N','CIDADE ALTA','TURVO','SC','123241241115131431326923575122610122117',NULL,'814',0.00,1,2,1),(25,6029841,'1993-10-30 00:00:00',4,1,11,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217111431478813575124610164142',1789,'270',68.89,1,3,NULL),(25,6029850,'1993-11-05 00:00:00',4,2,11,2010,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124242241215271431347831575122610123112',1297,'909',71.72,1,3,NULL),(25,6029876,'1992-03-03 00:00:00',4,8,12,2008,'M','N','CENTRO','PINHAIS','PR','116161161316571431446814575114142934197',282,'9998',79.98,4,3,NULL),(25,6029884,'1993-12-17 00:00:00',2,8,12,2010,'M','N','AGUA BRANCA','S FRANCISCO SUL','SC','124254241215111431358613375124610124092',18871,'486',31.72,1,3,NULL),(25,6029892,'1993-06-25 00:00:00',4,1,12,2010,'M','N','ARIRIÚ','PALHOÇA','SC','124242241215111431436613575114610127047',14699,'1011',44.16,1,3,NULL),(25,6029906,'1993-07-10 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','120242201417121431447632575122610146042',17621,'9998',35.47,1,3,NULL),(25,6029922,'1992-10-14 00:00:00',4,1,11,2010,'M','N','PEDRO LUDOVICO','GOIÂNIA','GO','109092091217111431376833275112610124042',16703,'9998',41.07,1,3,NULL),(25,6029930,'1991-05-25 00:00:00',4,1,12,2008,'M','N','LAGOINHA','MAIRINQUE','SP','120252251235472751448714445125610164121',5305,'9998',58.07,1,3,NULL),(25,6029949,'1992-11-25 00:00:00',2,5,11,2009,'F','N','CENTRO','IÇARA','SC','124242241215372231575612575112610164082',3523,'226',64.49,1,3,NULL),(25,6029957,'1992-09-29 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124243241315111231536319375124610126097',NULL,'739',27.28,1,3,NULL),(25,6029965,'1983-02-02 00:00:00',4,1,11,2002,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241247147141451436611281113610167183',21403,'9999',28.77,1,3,NULL),(25,6029973,'1993-05-19 00:00:00',2,8,12,2010,'M','N','CENTRO','GUARAPUAVA','PR','116163161235271431379913575112610114012',11194,'9998',44.10,1,3,NULL),(25,6029981,'1993-11-22 00:00:00',4,2,12,2010,'M','N','VORSTADT','BLUMENAU','SC','124244241216111431569814575124610124182',3046,'855',63.92,1,3,NULL),(25,6029990,'1983-08-03 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124092091216154721438624375125221464042',NULL,'9998',0.00,1,3,NULL),(25,6030017,'1992-11-07 00:00:00',4,1,12,2009,'F','N','CENTRO','PASSO FUNDO','RS','120162201216473431479812575122140431192',1818,'9998',68.15,1,3,NULL),(25,6030025,'1992-07-27 00:00:00',4,1,12,2009,'F','N','LEOPOLDINA','S PAULO','SP','125252251216371441369812585112610113072',5817,'9998',55.49,1,3,NULL),(25,6030033,'1994-01-06 00:00:00',2,10,12,2010,'F','N','CAMPO DA AVIAÇÃO','IMBITUBA','SC','124241241115371751426619195124610127187',NULL,'1034',0.00,1,2,1),(25,6030041,'1991-06-11 00:00:00',4,1,12,2008,'M','N','SÃO FRANCISCO','TORRES','RS','124202201216514431468933571124222267117',683,'9998',76.13,1,3,NULL),(25,6030050,'1992-04-15 00:00:00',4,4,12,2010,'M','N','JARDIM GISELA','TOLEDO','PR','116161163116151431458933572122610167062',3497,'9998',62.39,1,2,1),(25,6030068,'1993-05-14 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242241215131431443731275124610124147',NULL,'1075',28.79,1,3,NULL),(25,6030076,'1990-04-11 00:00:00',4,1,11,2007,'M','N','CAMPINAS','S JOSÉ','SC','124242241216373411468913576114122866187',676,'737',76.18,1,3,NULL),(25,6030084,'1991-05-18 00:00:00',2,15,12,2009,'M','N','ALTO FELIZ','ARARANGUÁ','SC','124241241116131431423319245123610122147',NULL,'30',15.31,1,2,1),(25,6030092,'1993-01-25 00:00:00',4,8,11,2010,'F','N','SÃO FRANCISCO','CURITIBA','PR','116162161215111751438714575122610127147',6376,'9998',53.98,1,3,NULL),(25,6030106,'1991-01-17 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124244241417574431338413572124610162147',677,'1022',76.14,1,3,NULL),(25,6030122,'1991-07-08 00:00:00',2,1,12,2010,'M','N','AREIAS DE CIMA','BIGUAÇU','SC','124244241415141731238639575124613247012',NULL,'64',21.15,2,3,NULL),(25,6030130,'1993-06-11 00:00:00',4,8,10,2010,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241215121431588912575112610167042',9206,'1063',48.55,1,3,NULL),(25,6030149,'1991-03-05 00:00:00',4,1,12,2007,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215472431489931372122121063142',11,'270',88.50,1,3,NULL),(25,6030157,'1975-08-06 00:00:00',2,1,12,2000,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124111117127131411313648185124142721073',NULL,'9998',18.17,4,2,1),(25,6030165,'1993-03-04 00:00:00',2,1,12,2010,'F','N','ALTO ARIRIRU','PALHOÇA','SC','124242241211111331446833471124610133072',NULL,'1223',21.22,1,3,NULL),(25,6030173,'1993-02-05 00:00:00',2,15,12,2010,'F','N','DESVIO RIZZO','CAXIAS SUL','RS','120202201217471411336633574124610168142',867,'9998',73.60,1,3,NULL),(25,6030181,'1986-04-20 00:00:00',2,1,12,2004,'M','N','ALECRIM','CACHOEIRA','BA','105052051216271431453611375112141422187',6223,'9998',58.28,4,3,NULL),(25,6030190,'1991-06-18 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115271731233321142122610127047',17314,'592',40.08,1,2,1),(25,6030211,'1993-05-25 00:00:00',2,3,12,2010,'F','N','CENTRO','CAMBORIÚ','SC','124244241215241431636832346122610138187',NULL,'1045',28.47,1,3,NULL),(25,6030220,'1993-02-20 00:00:00',4,3,10,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111131678819595112610152072',15880,'9997',39.57,1,3,NULL),(25,6030238,'1992-05-29 00:00:00',2,1,12,2009,'F','N','VILA GUARACY','COLOMBO','PR','116163161216471411447924571124610162097',3365,'9998',63.95,1,3,NULL),(25,6030246,'1987-09-13 00:00:00',4,8,12,2004,'F','N','JARDIM FLORIDA','JACAREÍ','SP','125253251216471431448614472124343244092',3953,'9998',61.37,3,3,NULL),(25,6030262,'1991-05-06 00:00:00',2,1,12,2008,'F','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124243241216373411438813275122233237052',6579,'1022',54.68,1,3,NULL),(25,6030270,'1993-07-16 00:00:00',4,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241215121431225439575124610138092',9611,'1011',49.31,1,3,NULL),(25,6030289,'1994-06-28 00:00:00',2,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431457832575112610137072',NULL,'262',44.86,1,3,NULL),(25,6030297,'1993-02-12 00:00:00',2,1,12,2011,'F','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111511339613575122610114052',NULL,'988',27.11,1,3,NULL),(25,6030327,'1993-09-10 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241437131431318669572122610133147',14001,'307',40.41,1,3,NULL),(25,6030335,'1994-02-25 00:00:00',4,1,12,2012,'F','S','ABRAAO','FLORIANÓPOLIS','SC','124242241215111431349933575124610128157',NULL,'270',40.05,1,3,NULL),(25,6030343,'1992-03-20 00:00:00',4,1,11,2009,'F','N','CENTRO','CANOAS','RS','120202241215472431139813572124610162197',2521,'270',65.91,1,3,NULL),(25,6030351,'1993-09-22 00:00:00',2,5,11,2010,'F','N','ANA MARIA','CRICIÚMA','SC','124242241215112431356824575124610164053',19183,'226',36.58,1,3,NULL),(25,6030360,'1993-08-14 00:00:00',2,8,12,2010,'F','N','SÃO RAFAEL','RIO NEGRINHO','SC','124241241315131441324611574124610122012',9347,'666',52.45,1,3,NULL),(25,6030378,'1992-07-14 00:00:00',4,8,12,2009,'F','N','JUVEVE','CURITIBA','PR','116162161215271431378923575112142563142',NULL,'9998',0.00,1,3,NULL),(25,6030386,'1991-08-03 00:00:00',2,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124201241316575431347833572224123212152',4485,'969',58.97,1,3,NULL),(25,6030394,'1982-11-30 00:00:00',4,16,12,2000,'M','N','BOM JESUS','CURITIBANOS','SC','224241241126272431424343135133130246187',6192,'239',55.92,4,2,1),(25,6030408,'1992-07-30 00:00:00',4,1,12,2009,'M','N','CIDADE JARDIM','PIRACICABA','SP','125252251217471411334829575125610167047',NULL,'9998',0.00,1,3,NULL),(25,6030416,'1987-08-28 00:00:00',2,4,12,2004,'M','N','VENEZA','XANXERÊ','SC','124241241136131431433414342121330834091',6804,'949',53.60,1,2,1),(25,6030424,'1992-08-26 00:00:00',4,1,12,2009,'M','N','PONTA VERDE','MACEIÓ','AL','102072021216152431269813475112610137042',3346,'9998',64.94,1,3,NULL),(25,6030432,'1993-01-03 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124252251215111431479814575124610137042',9087,'951',49.36,1,3,NULL),(25,6030459,'1979-11-26 00:00:00',4,5,12,1998,'M','N','SANTA BÁRBARA','CRICIÚMA','SC','124244246237151421646479335122130734182',15625,'228',42.72,1,3,NULL),(25,6030467,'1977-09-30 00:00:00',2,1,12,1996,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124201241336135221237823382124222211115',15248,'277',43.33,1,3,NULL),(25,6030483,'1993-11-04 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124241241117271511335832295124610138017',13474,'169',42.21,1,2,1),(25,6030505,'1986-02-15 00:00:00',2,1,12,2002,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124201201136372431323344145124140324157',NULL,'9998',0.00,1,2,1),(25,6030521,'1992-05-15 00:00:00',2,17,10,2009,'F','N','CENTRO','CANOINHAS','SC','116241161215321431348932595125143262191',10083,'9998',46.88,1,3,NULL),(25,6030530,'1993-05-17 00:00:00',4,8,11,2010,'F','N','ITAUM','JOINVILLE','SC','124241241215121411329933431124610124072',17333,'1016',36.41,1,3,NULL),(25,6030556,'1993-05-24 00:00:00',2,8,11,2010,'F','N','ATIRADORES','JOINVILLE','SC','124241241215111431447834275122610127077',9823,'931',47.04,1,3,NULL),(25,6030564,'1986-11-05 00:00:00',4,1,12,2003,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124252251217271411349911395112143261047',NULL,'9998',0.00,1,3,NULL),(25,6030572,'1993-04-05 00:00:00',4,1,11,2010,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251235111231488812475122610147122',NULL,'9998',0.00,1,3,NULL),(25,6030580,'1990-04-21 00:00:00',4,1,12,2007,'M','N','NOVO CENTRO','MARINGÁ','PR','116162161216574431468814575124610127042',811,'9998',73.83,1,3,NULL),(25,6030599,'1992-04-04 00:00:00',2,8,12,2010,'F','N','CORVETA','ARAQUARI','SC','116161241615111431324619275324610167052',NULL,'1161',0.00,1,3,NULL),(25,6030602,'1984-04-01 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124252251215471331458814475122340217111',870,'9998',74.51,1,3,NULL),(25,6030610,'1992-11-27 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215473431438923435124610121077',4256,'1134',61.82,4,3,NULL),(25,6030629,'1994-01-03 00:00:00',4,1,12,2010,'F','N','JARDIM GIRASSOL','DOURADOS','MS','112122121115111431356832275122610166072',NULL,'9998',46.93,1,3,NULL),(25,6030637,'1991-11-15 00:00:00',4,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241417112521537613335123610167183',NULL,'300',12.73,1,3,NULL),(25,6030645,'1993-01-24 00:00:00',4,1,11,2010,'M','N','CENTRO','CAPIM GROSSO','BA','105052051216111741436833572125610162092',NULL,'9998',0.00,4,3,NULL),(25,6030653,'1979-12-04 00:00:00',4,1,12,1998,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124242241216272431238844445124232814112',15969,'487',42.19,1,3,NULL),(25,6030661,'1991-06-17 00:00:00',2,1,12,2008,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120203208217571431576849494134610164182',NULL,'9998',25.57,1,3,NULL),(25,6030670,'1988-02-20 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124284207226372451356612345122140232091',17296,'9998',40.11,1,3,NULL),(25,6030688,'1976-02-02 00:00:00',5,1,12,1995,'F','N','COLONINHA','FLORIANÓPOLIS','SC','224243241316153711239652421122333222181',NULL,'272',33.90,1,3,NULL),(25,6030696,'1992-10-16 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215411431636616571324613267012',NULL,'1035',37.24,1,3,NULL),(25,6030700,'1992-05-19 00:00:00',4,8,12,2009,'M','N','JARDIM SÃO LUIZ','RIBEIRÃO PRETO','SP','125254251416471431338834575124610114017',11686,'9998',42.97,1,3,NULL),(25,6030718,'1992-10-27 00:00:00',4,1,12,2010,'M','N','JARDIM DAS AMÉRICAS','LONDRINA','PR','116162161217161431469933435111610163142',13369,'9998',46.12,1,3,NULL),(25,6030726,'1994-03-21 00:00:00',4,10,10,2010,'M','N','CENTRO','TUBARÃO','SC','124242241215111431378632221125610144022',16950,'807',40.70,1,3,NULL),(25,6030734,'1991-09-15 00:00:00',2,15,12,2008,'M','N','DIVINEIA','ARARANGUÁ','SC','124241241127132431533934492122130724187',NULL,'29',9.36,1,2,1),(25,6030742,'1986-06-24 00:00:00',1,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','624241241126131241223354145124130753187',NULL,'644',14.97,1,2,1),(25,6030750,'1993-02-18 00:00:00',2,3,11,2010,'M','N','UNIVERSITARIO','TIJUCAS','SC','124242241215111421457712575122610127042',NULL,'948',0.00,1,3,NULL),(25,6030769,'1993-05-06 00:00:00',4,8,11,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124243246212161432649834575124610164042',NULL,'1105',0.00,1,3,NULL),(25,6030777,'1992-12-10 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471431488611575112610142182',7116,'270',56.52,1,3,NULL),(25,6030785,'1992-02-06 00:00:00',4,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241315373431356634575124630144062',3567,'270',62.91,1,3,NULL),(25,6030793,'1991-03-30 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124251256227572431368629475124610164047',10397,'9998',46.43,1,3,NULL),(25,6030807,'1993-05-11 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215271431568812592114610143012',20170,'1022',34.15,1,3,NULL),(25,6030815,'1992-04-11 00:00:00',2,1,12,2010,'M','N','BELA VISTA I','S JOSÉ','SC','124243241215111431433314575124610134042',18440,'738',38.05,4,3,NULL),(25,6030823,'1993-08-31 00:00:00',2,10,12,2010,'F','N','CENTRO','TUBARÃO','SC','124242241111141431546511211122610137147',NULL,'1034',0.00,1,3,NULL),(25,6030831,'1993-04-18 00:00:00',4,15,12,2010,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241241115141431368714575122610148012',18398,'29',32.70,1,2,1),(25,6030858,'1992-09-06 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124244248431372431346613475124610115197',17129,'1078',35.33,1,3,NULL),(25,6030874,'1985-09-07 00:00:00',4,1,12,2002,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124202201217572711438717445122221424123',7393,'9998',55.98,1,3,NULL),(25,6030882,'1994-11-22 00:00:00',4,4,12,2010,'F','N','CRISTO REI','CHAPECÓ','SC','124241241115131731439913572124610123087',15825,'916',36.09,1,2,1),(25,6030904,'1993-09-13 00:00:00',4,4,12,2010,'M','N','BRASÍLIA','S LOURENÇO OESTE','SC','124242241116161411336613345132610127062',NULL,'745',0.00,1,3,NULL),(25,6030912,'1992-11-13 00:00:00',4,1,12,2009,'F','N','JARDIM LA SALLE','TOLEDO','PR','116162161215372431478812571125610123197',2408,'9998',66.13,1,3,NULL),(25,6030920,'1992-12-21 00:00:00',4,1,11,2010,'F','N','JARDIM AMÉRICA','S JOSÉ CAMPOS','SP','125252258215111351324829295124610148057',21670,'9998',25.71,1,3,NULL),(25,6030939,'1992-06-26 00:00:00',4,8,11,2009,'F','N','AVENTUREIRO','JOINVILLE','SC','124241248136372731326317382114610121187',16324,'483',36.70,1,2,1),(25,6030947,'1987-02-05 00:00:00',4,1,12,2005,'F','N','VILA TOLENTINO','CASCAVEL','PR','116162161216571411486812475122143162182',NULL,'9998',0.00,1,3,NULL),(25,6030963,'1993-07-09 00:00:00',4,3,10,2010,'M','N','ANDRADE','LONDRINA','PR','116162161217111731355923472112610162042',13708,'9998',45.61,1,3,NULL),(25,6030971,'1992-07-02 00:00:00',4,8,11,2009,'F','N','JARDIM BOTANICO','CURITIBA','PR','116162161216471731338813372114610164117',NULL,'9998',0.00,1,3,NULL),(25,6030980,'1991-02-07 00:00:00',2,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124161241337232431226944445112610164142',18041,'169',38.76,1,3,NULL),(25,6030998,'1993-06-11 00:00:00',2,9,11,2010,'F','N','CENTRO','RIO SUL','SC','124244241215111431369931595122610124012',9135,'991',49.16,1,3,NULL),(25,6031013,'1986-10-07 00:00:00',4,1,12,2003,'F','N','CENTRO','LUPÉRCIO','SP','125251251316271411533314275124610132142',9275,'9998',49.08,3,3,NULL),(25,6031030,'1992-09-17 00:00:00',4,1,12,2010,'F','N','ROÇADO','S JOSÉ','SC','124242241215111431578814575124610132095',10353,'262',46.38,1,3,NULL),(25,6031048,'1994-01-28 00:00:00',4,1,12,2010,'F','N','BACACHERI','CURITIBA','PR','116163161115471441439713575124610166172',NULL,'9998',0.00,1,3,NULL),(25,6031056,'1993-04-27 00:00:00',2,1,12,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241215121731558613472114610167012',11691,'1048',44.76,1,3,NULL),(25,6031064,'1993-01-07 00:00:00',4,10,11,2010,'F','N','MAR GROSSO','LAGUNA','SC','124242241215221431346932575122610128142',7306,'807',53.20,1,3,NULL),(25,6031072,'1993-09-16 00:00:00',4,8,12,2010,'F','N','SAGUAÇÚ','JOINVILLE','SC','124242241215121431458814575122610144042',NULL,'457',0.00,1,3,NULL),(25,6031080,'1992-01-24 00:00:00',4,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201201116131432527729375114610144142',NULL,'9998',32.77,1,2,1),(25,6031099,'1992-08-31 00:00:00',4,6,11,2009,'F','N','CENTRO','MARINGÁ','PR','116162161217371431479931575112610114077',5022,'9998',57.33,1,3,NULL),(25,6031102,'1993-11-08 00:00:00',2,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241135131431423324572124610136147',NULL,'733',17.91,1,2,1),(25,6031129,'1991-04-08 00:00:00',4,1,12,2007,'M','N','JD GUILHERMINA','PR GRANDE','SP','125252251217574431479811585115121467076',6591,'9998',54.09,2,1,2),(25,6031137,'1992-01-27 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241317373431378713575124120942092',5206,'1022',60.41,1,3,NULL),(25,6031145,'1989-05-09 00:00:00',2,1,12,2008,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241146473331433314342132610133017',NULL,'733',0.00,1,2,1),(25,6031153,'1992-06-13 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117372411436814385124610166192',19146,'288',36.66,1,2,1),(25,6031188,'1993-10-29 00:00:00',4,2,12,2010,'M','N','RIO MORTO','INDAIAL','SC','124242241216131431546932575124610167097',11739,'71',44.29,1,3,NULL),(25,6031196,'1978-09-02 00:00:00',4,1,6,2000,'M','N','CANUDOS','NOVO HAMBURGO','RS','220201201126131421225344195324241717112',19026,'9998',32.94,4,3,NULL),(25,6031200,'1990-09-26 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241215273431438614245133120564147',10218,'1022',46.90,1,3,NULL),(25,6031218,'1994-07-12 00:00:00',4,1,11,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215121731636611575122610144142',12291,'1048',45.32,1,3,NULL),(25,6031226,'1993-09-11 00:00:00',4,3,11,2010,'M','N','VILA ESTRELA','PNT GROSSA','PR','116162161215471431478812575122610167062',6688,'9998',54.19,1,3,NULL),(25,6031234,'1991-05-10 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247332241432523514382244610124182',NULL,'9999',15.45,1,3,NULL),(25,6031269,'1992-03-01 00:00:00',2,10,12,2010,'F','N','HUMAITA','TUBARÃO','SC','124244241215111451326614275124610154072',16760,'797',35.81,2,1,2),(25,6031277,'1992-12-01 00:00:00',2,5,12,2009,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201215471231658612174124610127077',6894,'9998',54.04,1,3,NULL),(25,6031285,'1992-10-03 00:00:00',4,4,12,2009,'F','N','PALMITAL','CHAPECÓ','SC','124241246416271531467614575124610124147',21601,'1094',26.90,1,3,NULL),(25,6031293,'1991-02-06 00:00:00',4,1,12,2008,'F','N','DAS NAÇÕES','TIMBÓ','SC','124242241215113731368924475125222212142',NULL,'909',0.00,1,3,NULL),(25,6031315,'1992-12-27 00:00:00',4,1,10,2010,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251215121411378834572121610167112',8619,'9998',53.75,1,3,NULL),(25,6031323,'1993-07-06 00:00:00',4,10,12,2010,'M','N','MAR GROSSO','LAGUNA','SC','124242241215141431458713325122610124142',7089,'525',51.93,1,3,NULL),(25,6031331,'1993-01-19 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124243241315131431326634245124610125052',NULL,'1078',19.68,1,3,NULL),(25,6031340,'1992-03-16 00:00:00',2,9,12,2009,'F','N','CANOAS','RIO SUL','SC','124241241125471431223324185125610143142',6786,'639',54.12,1,2,1),(25,6031366,'1989-12-28 00:00:00',4,8,12,2007,'M','N','GLÓRIA','JOINVILLE','SC','124242241215573431469939492122131017047',877,'457',74.69,1,3,NULL),(25,6031374,'1993-09-18 00:00:00',4,8,12,2010,'F','N','BOM RETIRO','JOINVILLE','SC','124244243217271431429612294124610151147',11396,'1105',49.06,1,3,NULL),(25,6031404,'1992-03-14 00:00:00',4,1,12,2009,'M','N','FLORESTA','S JOSÉ','SC','124241241117141431228641245334610114047',18774,'733',33.28,4,2,1),(25,6031420,'1993-03-31 00:00:00',4,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217112431559613576114610164177',5768,'270',56.37,1,3,NULL),(25,6031439,'1993-11-24 00:00:00',2,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215131341455613575222610117041',13050,'931',42.31,1,3,NULL),(25,6031447,'1978-02-15 00:00:00',2,15,12,1996,'M','N','NOVA DIVINEIA','ARARANGUÁ','SC','624204201216132721226644345122120267187',18270,'9998',38.34,1,3,NULL),(25,6031455,'1992-07-17 00:00:00',4,1,12,2010,'F','N','VILA INDUSTRIAL','CAMPINAS','SP','125252251217121731456829145124610135147',4133,'9998',60.01,1,3,NULL),(25,6031463,'1993-01-04 00:00:00',2,1,11,2010,'F','N','MAR GROSSO','LAGUNA','SC','124242241215152431436831575114610166077',11795,'270',47.96,1,3,NULL),(25,6031471,'1966-01-20 00:00:00',2,1,12,2005,'F','N','COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC','224241247127271421434454145132610163147',20441,'9999',33.34,1,2,1),(25,6031480,'1993-09-03 00:00:00',4,1,12,2010,'M','N','SERRARIAS','S JOSÉ','SC','124242241215111131326611195124610127112',NULL,'1078',20.86,1,3,NULL),(25,6031498,'1991-07-22 00:00:00',2,1,12,2009,'F','N','ZONA SETE','MARINGÁ','PR','116161161415371421488916575122610164042',17501,'9998',34.24,1,3,NULL),(25,6031510,'1989-02-13 00:00:00',2,1,12,2006,'F','N','FORQUILHAS','S JOSÉ','SC','124241241121371431223344342124610118142',20096,'727',34.32,1,2,1),(25,6031528,'1993-02-12 00:00:00',4,1,11,2010,'F','N','ALPHA VILLE','CAMPINAS','SP','125252251215111411479814575122610132092',NULL,'9998',0.00,1,3,NULL),(25,6031536,'1992-08-01 00:00:00',2,1,12,2009,'F','N','MONTE BÉRICO','FLORES CUNHA','RS','120201201117471431453336375114610166052',NULL,'9998',19.21,1,2,1),(25,6031544,'1993-03-24 00:00:00',4,1,11,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431389912475122610132182',6450,'270',54.92,1,3,NULL),(25,6031552,'1991-02-27 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215373431459732595124121467042',3631,'270',64.24,1,3,NULL),(25,6031560,'1993-04-24 00:00:00',4,1,12,2010,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241135371411327823575124610165142',18157,'733',33.01,1,3,NULL),(25,6031579,'1987-10-18 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224241241137141431333354482344610166141',20079,'285',34.36,1,2,1),(25,6031587,'1993-01-25 00:00:00',2,6,12,2010,'F','N','FAZENDA','ITAJAÍ','SC','124244241215111431546632575125610127182',20479,'1057',33.22,1,3,NULL),(25,6031595,'1991-12-21 00:00:00',2,1,12,2009,'F','N','CENTRO','LIMEIRA','SP','125252251216471231448911574122610137182',19290,'9998',31.94,1,3,NULL),(25,6031617,'1993-05-19 00:00:00',2,15,10,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124241241215111431438619572122610144042',9028,'26',48.76,1,3,NULL),(25,6031625,'1993-10-30 00:00:00',4,4,12,2010,'M','N','CENTRO','JARDINÓPOLIS','SC','124241241116161431335923285122610124077',NULL,'444',0.00,1,2,1),(25,6031633,'1993-08-03 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124244241215121431547714576112610167042',7816,'1118',51.86,1,3,NULL),(25,6031650,'1993-04-10 00:00:00',2,8,11,2010,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215471431378613595114610116182',NULL,'1016',34.99,1,3,NULL),(25,6031668,'1992-10-14 00:00:00',4,9,12,2009,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124242246215152441478932572121610148091',6313,'1106',54.84,1,3,NULL),(25,6031676,'1987-06-01 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241116145431436619442124230823091',NULL,'257',19.09,1,3,NULL),(25,6031684,'1995-09-09 00:00:00',4,1,12,2012,'F','S','CENTRO','FRAIBURGO','SC','124242241216161451569813575122610137017',NULL,'885',31.04,1,3,NULL),(25,6031692,'1993-04-29 00:00:00',2,1,12,2010,'M','N','VILA LEOPOLDINA','S PAULO','SP','125252251217111431568813435122610162053',NULL,'9998',32.90,1,3,NULL),(25,6031722,'1994-11-09 00:00:00',4,3,11,2011,'F','S','CENTRO','MASSARANDUBA','SC','124242241217111431369913575124610127112',NULL,'1174',25.08,1,3,NULL),(25,6031730,'1993-05-20 00:00:00',4,3,11,2010,'F','N','SÃO SILVESTRE','CORNÉLIO PROCÓPIO','PR','116162161216151731448835575122610162197',15124,'9998',39.40,1,3,NULL),(25,6031749,'1991-11-16 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241435251721443739342124610137167',15381,'96',43.09,1,3,NULL),(25,6031757,'1993-03-31 00:00:00',4,6,11,2010,'F','N','CENTRO','ITAJAÍ','SC','124244241215121711457639595125610138142',6675,'391',54.88,1,3,NULL),(25,6031765,'1994-07-14 00:00:00',4,2,12,2011,'F','S','VILA NOVA','BLUMENAU','SC','124242241225111432469933475124610136097',NULL,'855',57.55,1,3,NULL),(25,6031773,'1988-05-07 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224241241116233431636673145124610123092',NULL,'277',20.83,2,1,1),(25,6031781,'1990-08-03 00:00:00',4,8,12,2007,'M','N','CENTRO','MARUMBI','PR','116162161216572431358923574122610162097',2160,'9998',64.97,1,3,NULL),(25,6031790,'1991-12-07 00:00:00',2,9,11,2008,'F','N','CENTRO','LAGES','SC','124243241216574711346934575122610143142',11233,'497',44.64,1,3,NULL),(25,6031811,'1972-12-18 00:00:00',2,2,5,1991,'F','N','GARCIA','BLUMENAU','SC','124241243426142751443349195124610132121',19172,'67',36.60,1,3,NULL),(25,6031820,'1987-05-28 00:00:00',2,1,11,2001,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124243244147132421443634245124610131117',NULL,'591',28.95,1,3,NULL),(25,6031846,'1993-11-15 00:00:00',4,8,11,2010,'M','N','BIGORRILHO','CURITIBA','PR','116162161217371731469921495114610164097',6938,'9998',56.86,1,3,NULL),(25,6031854,'1982-03-06 00:00:00',4,1,12,1999,'F','N','KOBRASOL','S JOSÉ','SC','124242241216575431469831575114121364192',6465,'269',57.80,1,3,NULL),(25,6031870,'1992-01-28 00:00:00',4,6,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124242241215372441348834575125610164092',1701,'1038',68.83,1,3,NULL),(25,6031889,'1991-06-12 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431588813575122133227072',4009,'270',61.09,1,3,NULL),(25,6031900,'1994-01-16 00:00:00',4,1,12,2010,'F','N','CAMBUCI','S PAULO','SP','125252251117131531438311571124610127147',6950,'9998',52.16,1,3,NULL),(25,6031919,'1993-03-22 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241335372431448413572124610131097',16321,'271',37.72,1,3,NULL),(25,6031935,'1993-02-04 00:00:00',4,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241115372431226624572124610143042',5452,'271',56.54,4,3,NULL),(25,6031951,'1993-11-16 00:00:00',4,1,12,2010,'F','N','JARDIM PLANALTO','PTO ALEGRE','RS','120202201211371431334632272124610124043',5959,'9998',55.98,1,3,NULL),(25,6031960,'1993-03-22 00:00:00',4,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215122431227512175122610126072',7312,'1038',51.54,1,3,NULL),(25,6031978,'1993-05-01 00:00:00',4,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124242241215111431346611575124610163017',16934,'1118',36.07,1,3,NULL),(25,6031986,'1993-05-14 00:00:00',4,1,12,2010,'F','N','JARDIM SATÉLITE','S JOSÉ CAMPOS','SP','125252251216111231559834575122610167047',10446,'9998',46.64,1,3,NULL),(25,6032010,'1993-12-08 00:00:00',4,1,12,2010,'F','N','CENTRO','PINDAMONHANGABA','SP','125252251215111431368812575122610144142',11924,'9998',42.93,1,3,NULL),(25,6032036,'1993-03-30 00:00:00',4,6,12,2010,'F','N','JARDIM MOTORAMA','S JOSÉ CAMPOS','SP','125252251215111731349724272122610134194',NULL,'9998',0.00,1,3,NULL),(25,6032044,'1990-08-28 00:00:00',4,1,12,2007,'F','N','CENTRO','S JOSÉ CAMPOS','SP','125252251216571431337821575124610164152',NULL,'9998',54.45,1,3,NULL),(25,6032052,'1991-08-26 00:00:00',2,2,12,2008,'M','N','J PALMA TRAVASSOS','RIBEIRÃO PRETO','SP','125122121216573421348711575124610144042',12662,'9998',47.11,1,3,NULL),(25,6032060,'1991-06-01 00:00:00',4,1,12,2008,'F','N','PARQUE SÃO DOMINGOS','S PAULO','SP','125252251216371431686611275112140243152',18672,'9998',37.60,1,3,NULL),(25,6032079,'1993-07-04 00:00:00',4,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124241241117371431437619575124610138142',15811,'591',42.43,1,2,1),(25,6032087,'1990-09-03 00:00:00',4,1,11,2009,'M','N','ALTO TAQUARAL','CAMPINAS','SP','125252251216471431378714344112610167087',NULL,'9998',24.00,1,3,NULL),(25,6032095,'1992-11-07 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241211473431368632574124610124185',1709,'270',70.39,1,3,NULL),(25,6032109,'1993-04-23 00:00:00',4,1,12,2010,'M','N','BIGORRILHO','CURITIBA','PR','116162161215111431358832575112610167042',15187,'9998',38.18,1,3,NULL),(25,6032117,'1992-04-29 00:00:00',4,1,12,2010,'M','N','CAMPOS ELIZEOS','CAMPINAS','SP','125252251216111411559832375122610164193',17321,'9998',40.06,1,3,NULL),(25,6032125,'1992-01-03 00:00:00',2,1,12,2009,'F','N','FORQUETA','CAXIAS SUL','RS','120201201126371751223734375114610147052',NULL,'9998',27.90,1,2,1),(25,6032141,'1993-09-04 00:00:00',2,1,12,2010,'F','N','VENDAVAL','BIGUAÇU','SC','124241241216271431325419372124610127077',13390,'988',41.55,1,3,NULL),(25,6032168,'1988-06-10 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124092091216371431426712485114141467045',NULL,'9998',0.00,1,3,NULL),(25,6032176,'1981-10-17 00:00:00',2,1,6,1999,'F','N','NOS SRA DO ROSARIO','S JOSÉ','SC','124244246116372731344322345112131861052',13464,'306',45.98,1,3,NULL),(25,6032184,'1993-04-20 00:00:00',4,1,12,2010,'F','N','CAMBUÍ','CAMPINAS','SP','125254251217121331378612575112610143077',3301,'9998',61.72,1,3,NULL),(25,6032192,'1990-10-29 00:00:00',4,2,12,2007,'M','N','PONTA AGUDA','BLUMENAU','SC','124243241215573451466932575125610142092',1074,'87',72.88,1,3,NULL),(25,6032206,'1990-09-01 00:00:00',4,2,12,2010,'F','N','PADRE EDUARDO','TAIÓ','SC','124241241331131431424923481114610126092',NULL,'9999',16.08,1,3,NULL),(25,6032214,'1994-04-29 00:00:00',2,9,12,2010,'F','N','COPACABANA','LAGES','SC','124242241216111431538611595112610128091',21326,'499',29.27,1,3,NULL),(25,6032222,'1993-09-05 00:00:00',4,8,11,2010,'M','N','CIDADE MONÇOES','MARINGÁ','PR','116162161216111431349931575122610137042',3635,'9998',61.19,1,3,NULL),(25,6032249,'1989-12-12 00:00:00',2,1,12,2007,'M','N','VILA DIONISIA','S PAULO','SP','125251251117571741458713375124610165057',4021,'9998',61.02,1,2,1),(25,6032265,'1988-04-28 00:00:00',2,1,12,2005,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241116375411346633475124230424145',11005,'267',49.67,4,2,1),(25,6032281,'1992-12-21 00:00:00',4,8,12,2009,'F','N','OXFORD','S BENTO SUL','SC','124241241216111431548512245112233217042',NULL,'1154',0.00,1,3,NULL),(25,6032303,'1993-02-26 00:00:00',4,17,12,2010,'M','N','TRICOLIN','CANOINHAS','SC','124244241215111441569914475122610134192',598,'154',75.51,1,3,NULL),(25,6032311,'1989-10-29 00:00:00',2,1,12,2006,'F','N','BOQUEIRAO','SANTOS','SP','125252251216572451337829582115142562092',14094,'9998',40.14,1,3,NULL),(25,6032320,'1991-12-03 00:00:00',4,1,11,2009,'M','N','JARDIM BELA VISTA','MTE SIÃO','MG','113132131217271431368812171121141227042',NULL,'9998',0.00,1,3,NULL),(25,6032338,'1990-10-05 00:00:00',4,1,12,2007,'M','N','BOSQUE DA SAUDE','CUIABÁ','MT','111112111216371431589933575122141432042',13030,'9998',46.56,1,3,NULL),(25,6032346,'1987-02-13 00:00:00',4,1,12,2004,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','120242241215573731378913571122133222092',NULL,'499',39.16,1,3,NULL),(25,6032354,'1992-08-27 00:00:00',4,7,11,2009,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215471431468812594121610127042',NULL,'9998',0.00,1,3,NULL),(25,6032362,'1990-07-25 00:00:00',2,1,12,2008,'F','N','ROÇADO','S JOSÉ','SC','124244241326273411626559341114132528177',NULL,'9999',0.00,1,3,NULL),(25,6032370,'1993-12-23 00:00:00',4,1,12,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124241241215131331633331295124610127012',NULL,'988',29.55,1,3,NULL),(25,6032400,'1993-02-06 00:00:00',2,1,12,2010,'F','N','SAVEIRO','BIGUAÇU','SC','124241241116141531434611295124610118197',21660,'1088',25.94,4,2,1),(25,6032419,'1993-01-13 00:00:00',4,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124241241215121411456812375124610127112',10790,'737',46.62,1,3,NULL),(25,6032427,'1993-11-05 00:00:00',4,8,11,2010,'M','N','SÃO LUÍS','JARAGUÁ SUL','SC','124241241217111411448934371124610137043',15040,'1061',39.89,1,3,NULL),(25,6032435,'1989-03-01 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124252241215575431489812575114121467042',1447,'270',71.49,1,3,NULL),(25,6032443,'1993-09-29 00:00:00',4,1,12,2010,'F','N','PARQUE SÃO SEBASTIÃO','PTO ALEGRE','RS','120244201217111411468814375114610127012',10455,'9998',49.69,1,3,NULL),(25,6032451,'1992-10-03 00:00:00',4,1,11,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215112711578954575114610121195',4386,'270',62.31,1,3,NULL),(25,6032460,'1992-03-15 00:00:00',4,1,11,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241212472431533319572144610167177',3914,'1022',61.84,1,3,NULL),(25,6032486,'1993-09-03 00:00:00',3,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241216122731548933575124610164183',8015,'1022',51.11,1,3,NULL),(25,6032494,'1993-04-13 00:00:00',4,8,10,2010,'M','N','RIO BONITO','JOINVILLE','SC','124244241215471431333339345124610117047',12477,'1016',42.73,1,3,NULL),(25,6032508,'1988-04-01 00:00:00',4,1,12,2005,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241217373441668934575124121224121',10925,'270',49.79,1,3,NULL),(25,6032524,'1992-06-11 00:00:00',2,6,12,2009,'M','N','BARRA DO RIO','ITAJAÍ','SC','124241241116151431333714345124610138097',18691,'396',32.57,4,3,NULL),(25,6032532,'1987-08-10 00:00:00',4,1,12,2004,'M','N','CENTRO','SOBRADINHO','RS','120201201116575431458911575124122634117',3850,'9998',61.11,1,2,1),(25,6032540,'1993-07-07 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431446613575124610167052',16322,'723',37.69,1,3,NULL),(25,6032559,'1991-09-02 00:00:00',4,5,12,2008,'F','N','SÃO JOÃO','PTO ALEGRE','RS','120202201216571751459811474122610165092',NULL,'9998',0.00,1,3,NULL),(25,6032567,'1993-07-17 00:00:00',4,8,11,2010,'M','N','ITAUM','JOINVILLE','SC','124241241215151731633627575124610162057',6951,'489',54.68,1,3,NULL),(25,6032575,'1991-09-10 00:00:00',2,1,5,2010,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241137131731423611441214610136197',18358,'591',38.18,1,2,1),(25,6032583,'1993-04-30 00:00:00',4,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124243241215131431355812575124610128147',12146,'87',43.19,1,3,NULL),(25,6032591,'1992-06-16 00:00:00',4,1,12,2009,'F','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251215471411459814571122610162187',4147,'9998',58.98,3,3,NULL),(25,6032605,'1993-07-29 00:00:00',4,5,11,2010,'F','N','JARDIM ELIZABETE','IÇARA','SC','124242248217121431339811575125610124192',NULL,'995',24.93,1,3,NULL),(25,6032613,'1993-10-29 00:00:00',4,2,12,2010,'M','N','VORSTADT','BLUMENAU','SC','124242241217111431479913572122610122042',2100,'71',68.93,1,3,NULL),(25,6032621,'1993-01-17 00:00:00',4,1,12,2010,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241248416131432438613575122610122087',20172,'1075',34.15,1,3,NULL),(25,6032630,'1992-06-05 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242281417111431249827475112610112092',11835,'9998',48.44,1,3,NULL),(25,6032648,'1992-12-29 00:00:00',2,2,11,2010,'F','N','SUMARÉ','RIO SUL','SC','124242241215111731446613375122610128197',NULL,'991',30.54,4,1,2),(25,6032656,'1992-08-30 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247437141411436822325122610152197',NULL,'9999',42.46,1,3,NULL),(25,6032664,'1991-10-03 00:00:00',4,1,12,2009,'M','N','LIBERDADE','S PAULO','SP','125162251217471711468916575115610117067',648,'9998',75.71,3,3,NULL),(25,6032672,'1993-04-05 00:00:00',2,15,12,2010,'M','N','MORRO DOS CONVENTOS','ARARANGUÁ','SC','124241241115271431425531175124610114092',NULL,'29',30.43,1,2,1),(25,6032680,'1979-04-17 00:00:00',4,1,12,1997,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124124121336152451113629185221542044117',NULL,'9998',0.00,1,3,NULL),(25,6032699,'1993-02-13 00:00:00',2,15,12,2010,'F','N','STA RITA DE CASSIA','BAL GAIVOTA','SC','124241241117271432433923582114610163147',18817,'1033',33.04,1,2,1),(25,6032702,'1993-10-02 00:00:00',2,1,12,2010,'F','N','VILA NOVA','BLUMENAU','SC','124243241215131431446639595114610133187',17403,'1022',33.03,1,3,NULL),(25,6032710,'1983-06-30 00:00:00',4,4,12,2006,'M','N','SANTA MARIA','TOLEDO','PR','116113117126571431136323171321610167047',NULL,'9998',31.39,1,3,NULL),(25,6032729,'1992-12-12 00:00:00',4,1,12,2009,'M','N','PQ JATIBAIA','CAMPINAS','SP','125121121115471431456811175114610167062',1028,'9998',72.23,1,2,1),(25,6032737,'1993-12-20 00:00:00',2,9,11,2010,'F','N','CANTA GALO','RIO SUL','SC','124244241215112431446612375124610126172',3506,'991',61.69,1,3,NULL),(25,6032745,'1992-07-10 00:00:00',4,1,12,2009,'F','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162161217112751348912575124241464193',9774,'9998',47.27,1,3,NULL),(25,6032753,'1993-06-13 00:00:00',4,7,10,2010,'M','N','CENTRO','CAMPOS NOVOS','SC','116242161212171451386612291124610117043',12171,'9998',47.88,1,3,NULL),(25,6032761,'1993-11-26 00:00:00',4,8,11,2010,'F','N','BACACHERI','CURITIBA','PR','116174161215471411647969572124610136147',7805,'9998',51.67,1,3,NULL),(25,6032770,'1972-05-14 00:00:00',4,1,4,1993,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116131421323344245124130221097',NULL,'9999',30.89,1,2,1),(25,6032788,'1993-04-14 00:00:00',2,1,12,2010,'M','N','CENTRO','MARAU','RS','120201201117131411428814471112610147112',20399,'9998',33.44,1,2,1),(25,6032796,'1993-04-20 00:00:00',2,1,12,2010,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124241241117271431323624292124610167147',NULL,'307',24.27,1,2,1),(25,6032800,'1994-05-29 00:00:00',4,5,12,2010,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241217111731459932575122610121052',17618,'213',39.55,1,3,NULL),(25,6032818,'1990-04-17 00:00:00',2,1,12,2009,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241117271411328723342114610132097',NULL,'298',23.50,2,1,1),(25,6032826,'1989-11-13 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','624242241217372431488833595122610162125',18761,'951',31.52,1,3,NULL),(25,6032834,'1992-05-05 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241116271411448613371124610127142',15872,'307',42.35,4,3,NULL),(25,6032842,'1992-11-19 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241216272431259923375122610134145',9511,'1023',47.72,1,3,NULL),(25,6032850,'1993-01-21 00:00:00',2,1,12,2010,'F','N','RES DAS ILHAS','BRAGANÇA PAULISTA','SP','125252251217121431436639195122610117052',13010,'9998',41.19,1,3,NULL),(25,6032869,'1993-02-14 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124244241215111431236624572125610128072',14721,'738',40.72,1,3,NULL),(25,6032877,'1991-06-22 00:00:00',4,1,12,2010,'M','N','SAMUEL SANDRINI','ORLEANS','SC','124241241337271431436534385122610135192',20833,'580',26.44,1,3,NULL),(25,6032885,'1988-11-17 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241216272411325643335122321237012',5350,'107',60.08,1,3,NULL),(25,6032893,'1993-07-01 00:00:00',2,8,12,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','124242248215371751248832312124610137012',20402,'462',33.43,1,3,NULL),(25,6032907,'1995-04-11 00:00:00',4,1,11,2010,'M','N','PICADAS DO SUL','S JOSÉ','SC','624242241215111431266824575122610137052',8175,'723',54.57,1,3,NULL),(25,6032915,'1994-01-19 00:00:00',2,1,11,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241214131431536613175124610127057',13346,'1075',41.67,1,3,NULL),(25,6032923,'1994-06-02 00:00:00',4,1,11,2011,'M','S','CARIANOS','FLORIANÓPOLIS','SC','124242245217111411339933575122610117041',NULL,'272',18.19,1,3,NULL),(25,6032931,'1990-07-16 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241417142751223923446124233222183',NULL,'1048',26.61,1,3,NULL),(25,6032940,'1992-09-01 00:00:00',2,1,12,2010,'F','N','ELDORADO','CONTAGEM','MG','113132131236121431388932571122610142112',NULL,'9998',0.00,1,3,NULL),(25,6032958,'1992-10-08 00:00:00',4,4,12,2009,'F','N','SÃO CRSITOVÃO','CHAPECÓ','SC','124241241116471431354933275122610138197',5654,'169',56.24,1,2,1),(25,6032966,'1993-02-16 00:00:00',2,2,12,2010,'F','N','CABRAL','CURITIBA','PR','116241164217111431557831572124610137012',18940,'9998',33.57,1,3,NULL),(25,6032974,'1993-11-05 00:00:00',2,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124242241215371411423369571124610166112',15487,'1078',42.92,1,3,NULL),(25,6032982,'1993-09-07 00:00:00',4,17,12,2010,'M','N','CENTRO','CURITIBA','PR','116112161215471431468811575125610126143',4975,'9998',57.78,1,3,NULL),(25,6032990,'1993-06-23 00:00:00',4,5,11,2010,'M','N','PRIMEIRA LINHA','CRICIÚMA','SC','124242241215112711479812495112610112122',2235,'226',67.72,1,3,NULL),(25,6033008,'1993-10-05 00:00:00',2,15,12,2010,'F','N','MATO ALTO','ARARANGUÁ','SC','124241241115151411426418345122610118097',16105,'30',39.58,4,2,1),(25,6033024,'1992-11-10 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241411312731336432381114610112152',21158,'1022',30.31,1,3,NULL),(25,6033032,'1991-08-22 00:00:00',4,1,11,2008,'F','N','JARDINS','S PAULO','SP','125252251216571431368814575124610162187',2251,'9998',68.36,1,3,NULL),(25,6033040,'1993-06-13 00:00:00',4,5,12,2010,'M','N','ANA MARIA','CRICIÚMA','SC','124242246217131431446833575124610137047',6742,'995',53.71,1,3,NULL),(25,6033067,'1993-04-27 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431469813575112610137072',6172,'262',55.46,1,3,NULL),(25,6033075,'1994-09-09 00:00:00',4,2,12,2011,'M','S','VELHA','BLUMENAU','SC','124242241215111431338933575124610147047',NULL,'1018',21.19,1,3,NULL),(25,6033083,'1982-07-14 00:00:00',4,1,6,2003,'F','N','CANUDOS','NOVO HAMBURGO','RS','220201201126131411223554245334610143152',NULL,'9998',38.35,1,3,NULL),(25,6033091,'1992-07-03 00:00:00',4,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','116242241216471431448831591124610115012',8942,'881',49.52,1,3,NULL),(25,6033105,'1993-07-10 00:00:00',2,4,12,2010,'F','N','COLONIA CELLA','CHAPECÓ','SC','124241241215371411337923574124610125097',19367,'185',31.89,1,3,NULL),(25,6033113,'1993-09-27 00:00:00',4,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431238823575124610124182',7378,'270',52.15,3,3,NULL),(25,6033121,'1993-05-06 00:00:00',4,3,12,2009,'F','N','CENTRO','CAMBORIÚ','SC','124241241117272431326614575114133224142',8709,'130',49.89,1,2,1),(25,6033130,'1992-02-02 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241115372431357613392122610127062',10978,'271',45.58,1,3,NULL),(25,6033164,'1993-03-31 00:00:00',4,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241217371231555511295122610114047',11269,'861',45.06,1,3,NULL),(25,6033172,'1974-11-15 00:00:00',4,4,12,1997,'F','N','LIDER','CHAPECÓ','SC','124201201132171421226644442122133247097',NULL,'9998',13.52,1,2,1),(25,6033180,'1992-04-01 00:00:00',2,6,12,2009,'F','N','SÃO JOÃO','ITAJAÍ','SC','124241241117142411436329342114610134172',NULL,'1056',40.75,1,2,1),(25,6033199,'1993-01-05 00:00:00',2,2,11,2010,'F','N','NAÇÕES','TIMBÓ','SC','124241241235112751433313375122610148197',6552,'1157',55.64,1,3,NULL),(25,6033202,'1993-02-22 00:00:00',4,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241216271431353312285122610134142',17449,'861',39.84,1,3,NULL),(25,6033210,'1991-10-09 00:00:00',4,1,12,2009,'F','N','SANTO AMARO','S PAULO','SP','125252251215471431648831575122610154097',13029,'9998',41.30,1,3,NULL),(25,6033229,'1993-05-27 00:00:00',4,1,11,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241217131441356614171114610126052',2754,'262',64.76,1,3,NULL),(25,6033237,'1994-03-26 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241115271431323621245124610124042',NULL,'257',23.53,1,2,1),(25,6033245,'1989-12-14 00:00:00',2,1,7,2008,'F','N','AREIAS','S JOSÉ','SC','124241241117143431437619295124231024172',15279,'739',43.28,1,2,1),(25,6033253,'1994-11-06 00:00:00',4,8,11,2010,'F','N','BOA VISTA','JOINVILLE','SC','124242241216111431446613235114610166097',13035,'461',42.10,1,3,NULL),(25,6033261,'1991-07-03 00:00:00',4,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124162161217572431479911592124610123192',1310,'9998',71.92,1,3,NULL),(25,6033270,'1982-01-14 00:00:00',4,1,12,2000,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241115135431116369482124220233141',14552,'307',44.36,1,2,1),(25,6033288,'1991-03-15 00:00:00',4,1,12,2008,'F','N','APARECIDA','SANTOS','SP','125252251216571431558933575125610166032',8262,'9998',50.79,1,3,NULL),(25,6033296,'1993-07-10 00:00:00',2,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241215151711548834475122610162097',NULL,'457',0.00,1,3,NULL),(25,6033300,'1993-09-09 00:00:00',4,1,12,2010,'F','N','CENTRO','STA TEREZA OESTE','PR','116162161215111431468811572122610136072',NULL,'9998',0.00,1,3,NULL),(25,6033318,'1993-11-05 00:00:00',2,1,12,2010,'F','N','ALVORADA','CUIABÁ','MT','111112111216121411238923575124610126142',NULL,'9998',24.02,1,3,NULL),(25,6033326,'1992-08-14 00:00:00',4,1,12,2009,'F','N','SÃO CRISTOVÃO','PTO VELHO','RO','122222111217471431588933472122141133142',9927,'9998',46.80,1,3,NULL),(25,6033334,'1988-09-26 00:00:00',4,1,12,2006,'F','N','JARDIM CHAPADÃO','CAMPINAS','SP','125252251215571731438711375122610163077',5093,'9998',57.80,1,3,NULL),(25,6033342,'1994-10-13 00:00:00',4,8,11,2011,'F','S','SANTO ANTÔNIO','JOINVILLE','SC','124242241215111411246923575124610132186',NULL,'461',52.23,1,3,NULL),(25,6033350,'1991-03-05 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431379833595112121727182',4935,'270',60.98,1,3,NULL),(25,6033369,'1993-10-11 00:00:00',4,1,12,2010,'M','N','IBIRAQUERA','IMBITUBA','SC','124241241115131431626611272321610122041',NULL,'361',17.56,1,3,NULL),(25,6033377,'1993-03-14 00:00:00',4,1,12,2010,'F','N','JARDIM PARAIBA','APARECIDA','SP','625251251117111431423624245122610134192',NULL,'9998',0.00,1,2,1),(25,6033385,'1994-09-20 00:00:00',4,1,12,2011,'F','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111731449914492122610144142',NULL,'270',35.09,1,3,NULL),(25,6033393,'1988-12-11 00:00:00',4,1,12,2006,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124243241126132431438513342112610128197',NULL,'736',32.88,1,3,NULL),(25,6033407,'1992-11-02 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112711428632576115610128183',18818,'1022',32.14,3,3,NULL),(25,6033415,'1993-03-01 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215121431468813475122610246141',7786,'1198',52.09,1,3,NULL),(25,6033423,'1990-09-21 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241121141532323311212124610258097',NULL,'922',30.38,1,3,NULL),(25,6033440,'1986-04-07 00:00:00',4,1,12,2003,'M','N','HIGIENOPOLIS','S PAULO','SP','125072071215471431478713431124140467187',426,'9998',77.02,1,3,NULL),(25,6033466,'1994-01-18 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216272431258823575125610136187',9671,'1022',48.30,1,3,NULL),(25,6033474,'1987-03-20 00:00:00',2,3,12,2004,'F','N','CENTRO','GEN CARNEIRO','PR','116161161116131431223329375124610138147',NULL,'9998',18.15,1,2,1),(25,6033482,'1993-02-27 00:00:00',4,8,12,2010,'F','N','NOVO MUNDO','CURITIBA','PR','116162161217121431556932571122610167182',NULL,'9998',0.00,1,3,NULL),(25,6033490,'1992-12-29 00:00:00',4,8,10,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241215472431368913175122610127147',1305,'1016',72.29,1,3,NULL),(25,6033504,'1991-07-23 00:00:00',4,1,12,2008,'M','N','OURO VERDE','LIMEIRA','SP','125252251415571451436833571121610144187',11390,'9998',44.23,1,3,NULL),(25,6033512,'1993-04-22 00:00:00',4,2,12,2010,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241217141431369734575125610144142',10052,'87',46.65,1,3,NULL),(25,6033520,'1989-12-09 00:00:00',4,4,12,2006,'F','N','CENTRO','CPO ERÊ','SC','116243161115571731449834575115141366196',4287,'9998',59.98,1,3,NULL),(25,6033539,'1993-12-03 00:00:00',4,4,11,2010,'F','N','TRIANOM','GUARAPUAVA','PR','116161161415471431336619572122610165197',5432,'9998',56.53,4,3,NULL),(25,6033547,'1991-01-19 00:00:00',4,1,12,2008,'M','N','JARDIM CRISTO REI','MARÍLIA','SP','125251251116572431435511175125610134171',NULL,'9998',34.02,1,2,1),(25,6033555,'1993-02-04 00:00:00',4,4,11,2010,'M','N','SANTA MARIA','CHAPECÓ','SC','124242241215151711436614175125610168182',5353,'168',57.29,4,3,NULL),(25,6033563,'1992-12-05 00:00:00',4,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121431458911476111610167092',11410,'1038',49.04,1,3,NULL),(25,6033571,'1990-07-13 00:00:00',2,1,12,2006,'F','N','REAL PARQUE','S JOSÉ','SC','124244241217373421436624314124120653057',NULL,'976',0.00,1,3,NULL),(25,6033580,'1993-04-21 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244247437331431358823596124610127182',20338,'9999',33.60,1,3,NULL),(25,6033598,'1993-04-12 00:00:00',4,5,11,2010,'F','N','CENTRO','IÇARA','SC','124242241216151332646611375122610132142',20156,'349',26.55,1,3,NULL),(25,6033601,'1993-03-23 00:00:00',4,1,12,2010,'F','N','JD PANORAMA','VALINHOS','SP','125252251216111731338823475122610128092',NULL,'9998',32.97,1,3,NULL),(25,6033610,'1991-12-12 00:00:00',4,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124161168116472411534934342124610133147',20082,'9998',29.06,1,2,1),(25,6033628,'1993-01-13 00:00:00',4,3,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241217151411339911571112610124042',NULL,'1061',22.98,1,3,NULL),(25,6033636,'1993-01-02 00:00:00',4,9,11,2010,'F','N','GRUTA','ITUPORANGA','SC','124244241215112431248813575124610113181',17950,'991',38.94,1,3,NULL),(25,6033644,'1992-01-19 00:00:00',4,1,12,2009,'M','N','JARDIM COLOMBO','ITAPETININGA','SP','125252251217471411468812571112610134092',4241,'9998',60.20,1,3,NULL),(25,6033652,'1993-02-03 00:00:00',4,3,12,2010,'M','N','CARANDÁ BOSQUE II','CPO GRANDE','MS','112122121216411731557834475122610167062',9559,'9998',48.70,1,3,NULL),(25,6033679,'1993-03-04 00:00:00',4,2,12,2010,'F','N','VILA FORMOSA','BLUMENAU','SC','124242241217111431478834572122610134192',19295,'855',31.45,1,3,NULL),(25,6033687,'1988-03-06 00:00:00',2,1,12,2006,'F','N','SERRARIA','S JOSÉ','SC','124212211116272411434719572124610162142',NULL,'9998',0.00,1,3,NULL),(25,6033695,'1993-06-09 00:00:00',4,1,12,2010,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241115141132323623395124610128092',19219,'295',36.47,1,2,1),(25,6033709,'1993-06-19 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431448832575122610131186',5104,'723',57.96,1,3,NULL),(25,6033725,'1993-01-31 00:00:00',2,1,12,2009,'F','N','BELA VISTA I','S JOSÉ','SC','124241241115272431336613395124610136182',NULL,'257',26.69,1,2,1),(25,6033733,'1993-03-06 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202201217472431467619575122610127187',NULL,'9998',32.32,1,3,NULL),(25,6033768,'1992-10-09 00:00:00',4,1,10,2010,'M','N','PITUBA','SALVADOR','BA','105052051216111411679834575122610127052',2599,'9998',67.18,4,3,NULL),(25,6033776,'1992-10-13 00:00:00',4,8,12,2009,'F','N','CRUZEIRO','RIO NEGRINHO','SC','124242241216472431548813575124610114092',10839,'666',45.86,1,3,NULL),(25,6033792,'1994-03-07 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431459912572122610114097',11451,'213',48.97,1,3,NULL),(25,6033806,'1992-04-28 00:00:00',4,1,12,2010,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124201241117372411333714385124610166197',13148,'772',46.40,4,2,1),(25,6033814,'1992-09-01 00:00:00',2,1,7,2010,'F','N','VARGEM GRANDE','ÁGUAS MORNAS','SC','124241241116131431524414475124222947052',17060,'739',34.68,1,2,1),(25,6033822,'1991-04-30 00:00:00',4,17,12,2008,'F','N','CENTRO','PTO UNIÃO','SC','116242241216572411648831571124610167052',5743,'990',57.21,1,3,NULL),(25,6033830,'1993-02-24 00:00:00',4,8,11,2010,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215471411466632175124610125117',5998,'9998',55.11,1,3,NULL),(25,6033857,'1993-06-21 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124244241215111411438614575122610128141',18303,'185',38.28,1,3,NULL),(25,6033865,'1993-09-24 00:00:00',2,4,12,2010,'F','N','CENTRO','XANXERÊ','SC','124241241135131431338823235124610126147',NULL,'949',31.02,1,2,1),(25,6033873,'1993-01-20 00:00:00',4,8,11,2010,'M','N','ATIRADORES','JOINVILLE','SC','124242241215111421479614575112610167042',12290,'1063',42.87,1,3,NULL),(25,6033881,'1994-03-29 00:00:00',4,16,12,2010,'F','N','VILA SANTA CATARINA','CAÇADOR','SC','124242241416131431449933572112610137142',NULL,'122',0.00,1,3,NULL),(25,6033890,'1992-06-14 00:00:00',2,1,11,2009,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124242241215473441424711572112610168092',19364,'1118',30.43,1,3,NULL),(25,6033911,'1991-01-29 00:00:00',4,1,12,2009,'M','N','CENTRO','CURITIBA','PR','116252251217111412589913595122241467051',NULL,'9998',0.00,1,3,NULL),(25,6033920,'1991-10-16 00:00:00',4,1,11,2010,'F','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125254257417271531468812375112610168187',NULL,'9998',0.00,5,3,NULL),(25,6033938,'1992-05-08 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241116131431337319245124610167057',19553,'733',35.68,1,2,1),(25,6033946,'1992-09-13 00:00:00',2,2,12,2009,'F','N','VELHA','BLUMENAU','SC','124242241215112711449713445124230837181',19694,'88',35.38,1,3,NULL),(25,6033954,'1993-08-20 00:00:00',2,4,12,2010,'M','N','CENTRO','LARANJEIRAS SUL','PR','116161161136131431529814575125610167052',18625,'9998',30.35,1,2,1),(25,6033962,'1993-03-18 00:00:00',4,1,12,2009,'F','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241146472431448532385124610147147',NULL,'322',35.11,1,2,1),(25,6033970,'1992-11-17 00:00:00',2,4,11,2010,'M','N','CENTRO','CHAPECÓ','SC','124242241214371431258921574125610134091',NULL,'185',31.73,1,3,NULL),(25,6033989,'1993-01-28 00:00:00',4,1,12,2010,'F','N','RAINHA','LOUVEIRA','SP','125252256216111431358812345122610137142',10821,'9998',45.36,1,3,NULL),(25,6033997,'1994-02-14 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161217111431438812575122610132182',6819,'9998',54.60,1,3,NULL),(25,6034004,'1993-10-22 00:00:00',4,4,11,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241216272731357714472122610124147',5068,'168',58.57,1,3,NULL),(25,6034012,'1993-10-06 00:00:00',4,3,11,2010,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124202241416121431245933575122610134191',13267,'1038',44.56,1,3,NULL),(25,6034020,'1992-08-10 00:00:00',4,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473731459954574114610127092',3127,'210',65.48,1,3,NULL),(25,6034039,'1993-09-12 00:00:00',4,1,12,2010,'M','N','VILA PRUDENTE','S PAULO','SP','125254251117271411355739575125610167052',7316,'9998',53.10,3,3,NULL),(25,6034047,'1994-01-12 00:00:00',4,1,12,2010,'F','N','MERCES','CURITIBA','PR','116163161115471431678911372122610146072',3113,'9998',61.93,1,3,NULL),(25,6034055,'1993-03-10 00:00:00',4,5,11,2010,'F','N','PIO CORRÊA','CRICIÚMA','SC','124242241215111431589639575122610165112',9838,'226',48.56,1,3,NULL),(25,6034063,'1992-06-04 00:00:00',4,8,12,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241215472431456532274121610137052',678,'1016',76.17,1,3,NULL),(25,6034071,'1982-10-11 00:00:00',2,8,11,2002,'M','N','AVENTUREIRO','JOINVILLE','SC','224161167116131121333343135123131464197',NULL,'9998',23.08,4,2,1),(25,6034080,'1994-04-28 00:00:00',2,4,11,2010,'F','N','CENTRO','CONCÓRDIA','SC','124242241216111531269934243122610118047',NULL,'1000',0.00,1,3,NULL),(25,6034098,'1993-02-07 00:00:00',4,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217112431478813572124610114145',3622,'270',62.88,1,3,NULL),(25,6034101,'1990-07-05 00:00:00',2,15,12,2007,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241248116131221334434445125132564192',NULL,'30',12.80,1,3,NULL),(25,6034110,'1993-09-03 00:00:00',4,3,11,2010,'M','N','BARRA','BAL CAMBORIÚ','SC','124242241215111431457534575124610162092',8464,'1038',51.35,1,3,NULL),(25,6034128,'1993-03-07 00:00:00',2,2,12,2010,'F','N','PORTO MENDES','MAL CÂNDIDO RONDON','PR','116161161117161431333336295124610124147',16779,'9998',34.24,1,2,1),(25,6034136,'1993-02-11 00:00:00',2,1,12,2009,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215372231436312345124123245077',18950,'269',37.02,1,3,NULL),(25,6034152,'1993-05-06 00:00:00',4,3,12,2010,'M','N','TERRA PRETA','MAIRIPORÃ','SP','125254251216371431356713575124610134082',9870,'9998',46.79,1,3,NULL),(25,6034160,'1992-04-11 00:00:00',2,1,11,2009,'F','N','CENTRO','STA MARIA','RS','120202201215471431456614572112610133147',NULL,'9998',0.00,1,3,NULL),(25,6034179,'1994-08-17 00:00:00',4,1,12,2011,'F','S','CENTRO','JOAÇABA','SC','124242241216111731458811575125610121042',NULL,'446',54.65,1,3,NULL),(25,6034187,'1993-11-01 00:00:00',4,1,12,2010,'M','N','PINHEIRA','PALHOÇA','SC','124241241127131411311119175114610164187',NULL,'595',21.11,4,2,1),(25,6034195,'1993-07-17 00:00:00',2,1,12,2010,'F','N','PRAIA DA FORA','PALHOÇA','SC','124241241115131731424729395124610122147',NULL,'592',30.84,1,2,1),(25,6034209,'1988-02-04 00:00:00',4,3,12,2005,'F','N','SAN FERNANDO','LONDRINA','PR','116163161215571431653724572124610162187',1437,'9998',69.60,1,3,NULL),(25,6034217,'1985-04-03 00:00:00',2,1,11,2004,'M','N','CAMPINAS','S JOSÉ','SC','124241171131573421123444345134610122183',21145,'9998',24.88,1,2,1),(25,6034225,'1993-10-18 00:00:00',4,1,12,2010,'M','N','SANTINHO','FLORIANÓPOLIS','SC','624242241216111431548931475124610116081',5868,'262',56.29,1,3,NULL),(25,6034233,'1994-03-25 00:00:00',4,6,10,2010,'M','N','CENTRO','CURITIBA','PR','116242161215121431288924574112610138122',5021,'9998',57.83,1,3,NULL),(25,6034241,'1993-02-22 00:00:00',2,1,12,2010,'M','N','VILA BARROS','DRACENA','SP','125251251215111431568614275122610114072',10217,'9998',47.11,1,3,NULL),(25,6034250,'1991-12-20 00:00:00',4,1,12,2009,'F','N','CAPÃO RASO','CURITIBA','PR','116161161116474411444612174124610144097',NULL,'9998',14.17,1,2,1),(25,6034276,'1991-04-15 00:00:00',4,1,12,2009,'M','N','ZONA II','UMUARAMA','PR','116164161215471421449811345122613267057',NULL,'9998',0.00,1,3,NULL),(25,6034284,'1985-11-30 00:00:00',4,10,12,2003,'F','N','CAÇADOR','CAPIVARI BAIXO','SC','124241241117131441424374382124130621022',NULL,'801',26.71,1,2,1),(25,6034292,'1991-10-08 00:00:00',2,8,12,2008,'M','N','GUANABARA','JOINVILLE','SC','124241246216132431437714375124221467042',19778,'494',35.19,1,3,NULL),(25,6034306,'1993-07-05 00:00:00',4,6,12,2010,'F','N','JARDIM BANDEIRANTES','OURINHOS','SP','125252251216111231346833575122610133072',7821,'9998',51.31,1,3,NULL),(25,6034314,'1991-06-23 00:00:00',4,5,12,2008,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124244241216573731449614572114610127142',1412,'995',70.66,1,3,NULL),(25,6034322,'1992-11-26 00:00:00',4,5,11,2010,'M','N','CENTRO','COCAL SUL','SC','124242241215151432335822595112613264111',NULL,'995',12.46,1,3,NULL),(25,6034330,'1993-01-22 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241115271411333519575124610114042',18582,'307',32.78,1,2,1),(25,6034349,'1991-06-11 00:00:00',4,3,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161216573431578824575112610162047',901,'9998',73.68,1,3,NULL),(25,6034357,'1993-09-14 00:00:00',4,1,12,2010,'F','N','CENTRO','RIO NEGRO','PR','116243161115131411238823275125610166177',4826,'9998',57.90,1,3,NULL),(25,6034365,'1992-04-22 00:00:00',4,7,11,2009,'F','N','CENTRO','CAPINZAL','SC','120244241236473431238631245125610164057',2213,'446',66.63,1,3,NULL),(25,6034390,'1993-09-25 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241116271431314628575124610126142',NULL,'257',35.93,1,3,NULL),(25,6034403,'1994-05-10 00:00:00',4,1,12,2011,'M','S','JURERÊ','FLORIANÓPOLIS','SC','124242241215111711311247187341610163166',NULL,'1169',39.08,1,3,NULL),(25,6034411,'1993-03-24 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241317111511478713575112610132114',NULL,'1048',0.00,1,3,NULL),(25,6034420,'1993-06-13 00:00:00',4,5,12,2010,'F','N','SANTANA','URUSSANGA','SC','124241241115371711446824345124610138077',NULL,'822',30.00,1,2,1),(25,6034438,'1989-09-29 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431379713575114120265073',10302,'270',50.81,1,3,NULL),(25,6034446,'1992-07-01 00:00:00',4,8,12,2009,'F','N','SANTA CÂNDIDA','CURITIBA','PR','116162161211471431368823571114610133092',NULL,'9998',0.00,1,3,NULL),(25,6034454,'1991-10-30 00:00:00',1,1,11,2009,'M','N','VALE ITAMARACA','VALINHOS','SP','125252251217471411369812575121610127112',1579,'9998',69.06,1,3,NULL),(25,6034462,'1990-08-12 00:00:00',2,1,12,2009,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241136471432414414575114610137147',NULL,'286',12.94,1,3,NULL),(25,6034470,'1992-08-27 00:00:00',4,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124244241115572411457613491124610164187',2969,'739',64.59,4,3,NULL),(25,6034489,'1993-03-31 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248115131431433334242122610135147',NULL,'295',27.42,1,2,1),(25,6034497,'1993-12-29 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124241241217121431358932575115610137042',5822,'499',59.13,1,3,NULL),(25,6034500,'1993-10-25 00:00:00',4,1,12,2010,'F','N','POIARES','CARAGUATATUBA','SP','125252251416111331337911575122610127097',NULL,'9998',0.00,1,3,NULL),(25,6034519,'1993-09-10 00:00:00',2,1,12,2010,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241212151431645313432125610123142',NULL,'989',25.86,1,3,NULL),(25,6034527,'1991-07-04 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241116131711334354345124610168185',NULL,'289',26.09,1,2,1),(25,6034535,'1993-04-22 00:00:00',4,1,12,2010,'F','N','ALTO DO IPIRANGA','MOGI CRUZES','SP','125252251217111431668814575122610132112',9530,'9998',46.90,1,3,NULL),(25,6034543,'1993-09-11 00:00:00',4,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124242241215121411468834571122610123097',15931,'1011',42.26,1,3,NULL),(25,6034551,'1992-01-11 00:00:00',4,1,12,2008,'F','N','CANUDOS','NOVO HAMBURGO','RS','120202201217371431467713486124141442146',3800,'9998',60.59,1,3,NULL),(25,6034560,'1993-06-21 00:00:00',2,1,11,2010,'M','N','CENTRO','GOIÂNIA','GO','109072091216111431275933575122610142142',NULL,'9998',0.00,1,3,NULL),(25,6034578,'1993-04-13 00:00:00',4,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241215111431336651574121610145142',NULL,'1038',22.00,1,3,NULL),(25,6034586,'1993-08-31 00:00:00',4,2,11,2010,'M','N','GARCIA','BLUMENAU','SC','124242241217111431459831272122610127012',15795,'87',37.31,1,3,NULL),(25,6034594,'1993-02-08 00:00:00',4,2,12,2010,'M','N','AGUAS CLARAS','BRUSQUE','SC','124243241216131431338714575124610144187',NULL,'106',0.00,1,3,NULL),(25,6034608,'1992-07-18 00:00:00',4,1,12,2009,'F','N','SABOÓ','SANTOS','SP','125252251116471211336831571124610112097',12144,'9998',44.62,1,3,NULL),(25,6034616,'1992-01-10 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124254241217373531488813385122231062147',11325,'270',49.17,1,3,NULL),(25,6034624,'1990-10-22 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241211572741579833475114230762085',13336,'1022',46.17,4,3,NULL),(25,6034632,'1993-10-15 00:00:00',4,2,12,2010,'M','N','CENTRO','VIDAL RAMOS','SC','124241241417272331383532595114610114052',3254,'909',64.49,1,3,NULL),(25,6034640,'1993-01-04 00:00:00',2,2,12,2010,'F','N','CENTRO','BLUMENAU','SC','124244241215121431348619575112610123092',10275,'855',47.42,1,3,NULL),(25,6034659,'1993-02-03 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241217121431469613575112610138092',7072,'1022',53.57,1,3,NULL),(25,6034667,'1993-03-28 00:00:00',4,6,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124162241216121331248613372125610162112',11429,'1038',44.77,1,3,NULL),(25,6034675,'1992-08-05 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241116372731546612576114610121015',10434,'281',47.64,1,3,NULL),(25,6034691,'1992-12-07 00:00:00',2,6,11,2010,'F','N','VILA OPERARIA','ITAJAÍ','SC','124241241215131731226429592122610166182',11757,'392',45.53,1,3,NULL),(25,6034705,'1992-02-15 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241216473751548831575114610164091',7242,'737',53.98,4,3,NULL),(25,6034713,'1993-03-29 00:00:00',4,1,11,2010,'F','N','JARDIM LONDRINA','S PAULO','SP','125252251237371441458612575122610147144',NULL,'9998',0.00,1,3,NULL),(25,6034721,'1992-11-13 00:00:00',2,1,12,2010,'F','N','CAPÃO RASO','CURITIBA','PR','116162161217131731426733585124610123077',19753,'9998',30.63,1,3,NULL),(25,6034748,'1994-08-04 00:00:00',3,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241217371731586612225124610163095',10463,'737',50.54,4,3,NULL),(25,6034756,'1992-10-21 00:00:00',4,9,12,2009,'M','N','VILA MARIZA','LAGES','SC','124241241117272431346934576122610167057',7483,'935',52.05,1,2,1),(25,6034780,'1984-08-19 00:00:00',5,1,12,2001,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224244241236275431336654375122122262177',7474,'737',55.84,1,3,NULL),(25,6034799,'1993-03-15 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241215272231567613574124610162012',1069,'262',73.27,1,3,NULL),(25,6034802,'1993-02-18 00:00:00',4,1,12,2010,'F','N','BELA VISTA','RIO NEGRINHO','SC','124242241217111431479912575122610122013',1899,'666',69.59,1,3,NULL),(25,6034810,'1994-01-10 00:00:00',4,6,10,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124072241215121431568813575122610138012',1368,'1017',71.95,1,3,NULL),(25,6034829,'1994-07-22 00:00:00',4,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215121431466839475122610128182',1270,'723',71.67,1,3,NULL),(25,6034837,'1993-02-22 00:00:00',2,1,12,2010,'M','N','VILA BARROS','DRACENA','SP','125251251215111431568614275112610117042',12909,'9998',42.43,1,3,NULL),(25,6034845,'1990-10-03 00:00:00',4,3,11,2007,'M','N','CENTRO','ARAPONGAS','PR','116164161216513411358923575122610164053',4692,'9998',61.59,3,3,NULL),(25,6034853,'1990-03-26 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241216374431524621376324122334142',7417,'1010',52.37,1,3,NULL),(25,6034861,'1992-08-22 00:00:00',2,15,12,2009,'M','N','DIVINÉIA','ARARANGUÁ','SC','124241241115132431423919585121610134075',NULL,'30',15.38,1,2,1),(25,6034870,'1991-10-03 00:00:00',4,1,11,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215372431468812575122133268072',NULL,'272',30.09,1,3,NULL),(25,6034896,'1992-11-13 00:00:00',2,1,12,2010,'F','N','MORRO DA CRUZ','FLORIANÓPOLIS','SC','124242241411111411588933571134610115132',4045,'262',61.27,1,3,NULL),(25,6034900,'1992-04-14 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215473431338833575114610162071',3517,'270',62.00,1,3,NULL),(25,6034918,'1993-02-09 00:00:00',4,15,12,2010,'F','N','CENTRO','CAMAÇARI','BA','105254051216251441458714574122610164177',4157,'9998',58.88,1,3,NULL),(25,6034926,'1991-08-20 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242241216273331249833375114130827052',NULL,'737',0.00,1,3,NULL),(25,6034934,'1992-05-15 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241131162431333614345124610114147',21775,'214',22.80,4,3,NULL),(25,6034942,'1991-03-11 00:00:00',4,1,12,2008,'F','N','JADIM VALPARAIBA','S JOSÉ CAMPOS','SP','125251256237472431356634571122610126142',6922,'9998',53.79,1,3,NULL),(25,6034950,'1992-12-21 00:00:00',2,4,11,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241215472231349713271212610168017',NULL,'1191',21.62,1,3,NULL),(25,6034977,'1993-11-12 00:00:00',4,9,12,2010,'F','N','FARROUPILHA','VIDEIRA','SC','124241241216141331459814575122610131142',NULL,'1080',26.78,1,3,NULL),(25,6034985,'1993-04-09 00:00:00',2,10,11,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215111431468614175122610127042',13847,'807',41.81,2,1,2),(25,6034993,'1993-03-11 00:00:00',4,10,11,2010,'F','N','SANTO ANT DE PÁDUA','TUBARÃO','SC','124242241215112231479924375122610113072',6003,'807',58.75,1,3,NULL),(25,6035000,'1992-11-07 00:00:00',4,8,12,2010,'M','N','MORRO DO MEIO','JOINVILLE','SC','124241241215111231346634472114610117011',16000,'1016',36.93,1,3,NULL),(25,6035019,'1992-04-19 00:00:00',4,1,12,2009,'F','N','CANTO DO FORTE','PR GRANDE','SP','125252251216371431367933572114140433112',4800,'9998',58.66,1,3,NULL),(25,6035027,'1993-03-06 00:00:00',4,2,11,2010,'F','N','CENTRO','BLUMENAU','SC','124242241215111431447834415122610134092',NULL,'855',0.00,4,3,NULL),(25,6035035,'1993-05-18 00:00:00',4,6,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241217111431458934572124610132042',7793,'394',55.22,1,3,NULL),(25,6035051,'1990-08-05 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241146163711321139115224122317177',20664,'199',26.25,1,3,NULL),(25,6035060,'1991-02-17 00:00:00',2,1,12,2008,'M','N','ZIMBROS','BOMBINHAS','SC','124241241122141411613319182121610118167',NULL,'96',0.00,1,2,1),(25,6035086,'1992-02-20 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215271431454833372114610164097',4474,'270',62.05,4,3,NULL),(25,6035094,'1993-03-08 00:00:00',4,1,12,2010,'M','N','JARDIM ELDORADO','FLORIANÓPOLIS','SC','124242241215371431443311215124610127043',17444,'1134',39.85,1,3,NULL),(25,6035108,'1993-10-03 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431269519572114610167042',8545,'270',49.50,1,3,NULL),(25,6035116,'1988-05-10 00:00:00',4,1,12,2005,'M','N','ROÇADO','S JOSÉ','SC','124241241127272431224349295123610147042',14677,'729',39.55,1,2,1),(25,6035132,'1991-12-09 00:00:00',4,1,12,2009,'F','N','CENTRO','PELOTAS','RS','120242201217212431278722575115240464127',4401,'9998',58.55,1,3,NULL),(25,6035140,'1991-07-15 00:00:00',4,10,12,2008,'M','N','CENTRO','TUBARÃO','SC','124242241216573431369814575122610117111',4597,'807',61.79,1,3,NULL),(25,6035159,'1993-03-26 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117271431523324275124610163147',20877,'257',31.63,2,1,1),(25,6035167,'1990-01-30 00:00:00',4,8,12,2007,'M','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242246217141431376613445122233267112',15094,'1061',43.55,1,3,NULL),(25,6035175,'1992-11-20 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116142251215471441568832575122610162193',241,'9998',80.44,1,3,NULL),(25,6035183,'1982-04-30 00:00:00',2,1,11,2010,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124243247446131411336541312133610143191',NULL,'9997',0.00,1,3,NULL),(25,6035191,'1993-05-30 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241112371431224621575114610134017',20429,'281',29.45,4,3,NULL),(25,6035205,'1994-06-04 00:00:00',4,16,11,2010,'F','N','SANTO ANTONIO','FRAIBURGO','SC','124241241215111431238634175122610114092',18885,'317',32.53,1,3,NULL),(25,6035221,'1994-12-28 00:00:00',2,15,12,2011,'F','S','CENTRO','SOMBRIO','SC','124242241215111711459933591122610128072',NULL,'970',0.00,1,3,NULL),(25,6035230,'1993-10-26 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215131731259939575122610124122',21509,'270',27.81,1,3,NULL),(25,6035248,'1989-03-06 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241417572431358839575124610164031',4417,'1022',62.22,1,3,NULL),(25,6035256,'1992-12-12 00:00:00',2,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241236112431449613575122610127072',13012,'1169',46.58,2,1,2),(25,6035264,'1992-01-15 00:00:00',4,1,12,2009,'F','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125251251217472131336614485112610131092',749,'9998',73.26,1,3,NULL),(25,6035272,'1993-04-29 00:00:00',2,9,12,2010,'F','N','SÃO PEDRO','LAGES','SC','124241241132131411333923571124610146142',7746,'500',52.38,2,1,1),(25,6035280,'1992-04-04 00:00:00',2,6,12,2009,'F','N','MARECHAL RONDON','CANOAS','RS','120202201217471231347922575124610127147',3776,'9998',61.19,1,3,NULL),(25,6035302,'1977-09-04 00:00:00',2,1,12,2001,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','624241241116472431426351175124610124187',7379,'9997',52.00,1,2,1),(25,6035310,'1992-10-08 00:00:00',2,1,12,2009,'F','N','BOA VISTA','POUSO REDONDO','SC','124241241415473751436634574125610123097',11281,'991',46.35,1,3,NULL),(25,6035329,'1993-03-19 00:00:00',4,5,10,2009,'F','N','CENTRO','ESTEIO','RS','120202201217371411467932574122610126117',NULL,'9998',0.00,1,3,NULL),(25,6035337,'1992-07-30 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241135141431436621345114610134142',NULL,'295',19.33,1,2,1),(25,6035345,'1993-02-11 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124161241116471431538611215124610123147',19521,'289',30.98,4,2,1),(25,6035353,'1991-07-21 00:00:00',4,8,12,2008,'M','N','VILA LALAU','JARAGUÁ SUL','SC','124241241147151421466634245122610167121',11074,'430',49.56,1,2,1),(25,6035361,'1994-11-18 00:00:00',4,1,12,2011,'F','S','PROGRESSO','S BENTO SUL','SC','124242241217111732459933574112610134057',NULL,'1073',48.69,1,3,NULL),(25,6035370,'1992-06-14 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431588823575122610167011',6143,'270',56.20,1,3,NULL),(25,6035388,'1992-05-19 00:00:00',2,1,12,2009,'F','N','ESPLANADA','PACAEMBU','SP','125254251215471751445313592124610128182',NULL,'9998',33.17,1,3,NULL),(25,6035396,'1990-11-09 00:00:00',4,1,12,2008,'M','N','ZONA II','UMUARAMA','PR','116162161216471431549711245121141055147',4411,'9998',58.74,1,3,NULL),(25,6035400,'1992-07-27 00:00:00',4,8,12,2009,'F','N','JD ALBATROZ','LONDRINA','PR','116161161115471431538714572112610124017',NULL,'9998',0.00,1,2,1),(25,6035418,'1990-08-10 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241415275411346623494124233215182',3628,'1022',62.27,1,3,NULL),(25,6035426,'1991-10-13 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472731488634572122610143145',25,'270',86.99,1,3,NULL),(25,6035434,'1990-10-10 00:00:00',2,1,12,2008,'F','N','MADRI','PALHOÇA','SC','124241241116372731526619595114610134057',18246,'591',34.48,1,2,1),(25,6035442,'1985-02-16 00:00:00',4,1,12,2002,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241248124131431423311315123610124052',NULL,'772',22.36,1,3,NULL),(25,6035450,'1993-02-26 00:00:00',4,10,12,2010,'M','N','CAÇADOR','CAPIVARI BAIXO','SC','124241241116141431623614345124610118192',12507,'798',42.79,1,2,1),(25,6035469,'1993-05-04 00:00:00',4,1,11,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124072241215352431358879575124610126142',217,'270',80.80,1,3,NULL),(25,6035485,'1992-02-18 00:00:00',4,8,12,2009,'F','N','JARDIM PARAÍSO','JOINVILLE','SC','124241241111311731424331111124610127032',NULL,'1027',17.44,3,2,1),(25,6035493,'1992-06-16 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241213135751426913373141222968157',13298,'1010',46.23,1,3,NULL),(25,6035507,'1993-05-06 00:00:00',2,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241231415271451436512375122610158197',8196,'1076',52.04,1,3,NULL),(25,6035515,'1985-04-08 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241144471411324429392124610134145',19632,'283',35.49,2,1,1),(25,6035523,'1991-08-12 00:00:00',4,8,12,2008,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241216572431449639575122610163097',222,'1174',80.72,1,3,NULL),(25,6035531,'1990-09-15 00:00:00',2,3,12,2008,'F','N','REBOUCAS','CURITIBA','PR','116112161215575711287812572114610163192',5699,'9998',56.01,1,3,NULL),(25,6035540,'1988-04-02 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241216375421378613375122630165142',8226,'270',53.26,1,3,NULL),(25,6035558,'1994-01-17 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215271731368711571122610165145',19886,'988',29.48,1,3,NULL),(25,6035566,'1993-06-26 00:00:00',4,2,12,2010,'M','N','CENTRO','LAURENTINO','SC','124241241114111731534632145122610127051',21412,'7',22.79,1,2,1),(25,6035574,'1992-07-12 00:00:00',4,1,12,2009,'M','N','VILA HAMBURGUESA','S PAULO','SP','125252251217111231588814572114610167057',2453,'9998',65.51,1,3,NULL),(25,6035582,'1990-01-10 00:00:00',4,1,12,2007,'F','N','VILA C UNIVERSITÁRIA','BAURU','SP','125252251216571741555716572122140656072',NULL,'9998',0.00,1,3,NULL),(25,6035590,'1993-06-06 00:00:00',2,1,10,2010,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124243241215111431557512291124610138182',7757,'1022',53.05,1,3,NULL),(25,6035604,'1992-03-28 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241415372531379923175114610164075',NULL,'270',25.43,1,3,NULL),(25,6035612,'1993-06-20 00:00:00',4,8,12,2010,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241217151712436924395124610134147',NULL,'462',0.00,1,3,NULL),(25,6035639,'1992-08-05 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215372732546514572114610164047',3148,'1022',63.99,1,3,NULL),(25,6035647,'1985-04-23 00:00:00',4,1,12,2002,'F','N','ZONA UM','MARINGÁ','PR','116162161216573421468639495122343232092',6937,'9998',56.86,4,3,NULL),(25,6035655,'1992-03-12 00:00:00',4,1,12,2009,'F','N','LIBERDADE','S PAULO','SP','125112251217472421458833575122610143142',832,'9998',73.69,1,3,NULL),(25,6035663,'1993-05-03 00:00:00',2,1,12,2009,'F','N','SÍTIO CERCADO','CURITIBA','PR','116164161115471411447933575124610164097',7662,'9998',52.46,1,3,NULL),(25,6035671,'1989-02-14 00:00:00',2,1,12,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241112141411426514345123610117055',NULL,'287',30.10,1,2,1),(25,6035698,'1993-11-27 00:00:00',4,1,11,2010,'F','N','CENTRO','JAGUARUNA','SC','124241241217111341333312574124610162187',12187,'806',43.46,1,3,NULL),(25,6035701,'1990-05-23 00:00:00',4,5,12,2007,'M','N','FLORESTA','PTO ALEGRE','RS','120202201216572431489812395122610167142',1786,'9998',68.20,1,3,NULL),(25,6035710,'1992-07-30 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431458814375112610124071',10531,'270',46.49,1,3,NULL),(25,6035728,'1994-01-16 00:00:00',4,3,12,2010,'F','N','CENTRO','BRUSQUE','SC','124242241217111411654921575112610121141',17293,'109',40.11,1,3,NULL),(25,6035736,'1990-04-10 00:00:00',4,1,12,2007,'M','N','JD ANALIA FRANCO','S PAULO','SP','125252251216573431468811575122610164147',2296,'9998',66.21,1,3,NULL),(25,6035752,'1992-08-19 00:00:00',4,8,12,2009,'M','N','VILA DUBOS','PRES PRUDENTE','SP','125254251417471441558613572124610168127',5147,'9998',58.06,1,3,NULL),(25,6035760,'1991-03-08 00:00:00',4,1,11,2008,'M','N','TAPERA','FLORIANÓPOLIS','SC','124243241225131711323319245134610148017',18799,'262',37.35,1,3,NULL),(25,6035779,'1991-06-08 00:00:00',4,1,11,2009,'F','N','CENTRO','PTO ALEGRE','RS','120203201116571231566923571115610162047',2016,'9998',69.21,1,3,NULL),(25,6035787,'1992-08-11 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241111372431446713571124610123017',4564,'271',60.16,4,2,1),(25,6035795,'1984-02-11 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216375441368613475115533162095',2813,'269',64.28,1,3,NULL),(25,6035809,'1993-06-02 00:00:00',2,3,12,2010,'M','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124241241117271431436629285124610112142',10837,'49',46.61,1,2,1),(25,6035825,'1994-02-18 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241135141431433612225124610127092',NULL,'592',23.86,1,2,1),(25,6035833,'1989-02-23 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241117575431236519495124233234097',447,'271',78.01,1,3,NULL),(25,6035841,'1992-07-06 00:00:00',2,8,12,2009,'F','N','ZONA SETE','MARINGÁ','PR','116161161116471431427624575214610164047',13173,'9998',42.74,1,2,1),(25,6035868,'1992-09-12 00:00:00',4,8,12,2009,'M','N','ITAUM','JOINVILLE','SC','124241241217472411647823572114131446172',1429,'1016',70.39,1,3,NULL),(25,6035876,'1993-07-08 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112411565664575122610134092',17442,'1022',33.53,1,3,NULL),(25,6035892,'1991-09-12 00:00:00',4,1,12,2009,'M','N','JARDIM TROPICAL','CUIABÁ','MT','111112111217471411268622575112610132072',964,'9998',72.47,4,3,NULL),(25,6035906,'1993-11-28 00:00:00',4,8,11,2010,'F','N','FLORESTA','JOINVILLE','SC','124242241217111231338624146124610133142',NULL,'459',25.31,1,3,NULL),(25,6035914,'1961-10-01 00:00:00',2,1,12,2000,'F','N','MADRI','PALHOÇA','SC','224241247326133411433149191124133055142',20029,'1003',30.65,4,3,NULL),(25,6035930,'1993-08-04 00:00:00',4,17,11,2010,'F','N','REBOUÇAS','CURITIBA','PR','116164161215471431648611275122610122097',8881,'9998',49.80,1,3,NULL),(25,6035949,'1993-09-30 00:00:00',4,4,12,2010,'M','N','JARDIM PORTO ALEGRE','TOLEDO','PR','116163161315111111567912245114610154142',4072,'9998',62.22,1,3,NULL),(25,6035957,'1981-01-26 00:00:00',4,1,6,2002,'M','N','SERRARIA','BIGUAÇU','SC','124243247225371421635339145123131047117',NULL,'943',0.00,1,3,NULL),(25,6035965,'1994-02-21 00:00:00',4,9,11,2010,'M','N','EUGÊNIO SCHNNEIDER','RIO SUL','SC','124241247215111431449921572112610167012',4143,'991',61.90,1,3,NULL),(25,6035973,'1991-12-26 00:00:00',2,8,12,2009,'F','N','AVAREÍ','JACAREÍ','SP','125254251217472751333319575124610167072',15530,'9998',37.57,1,3,NULL),(25,6035981,'1980-07-17 00:00:00',4,1,9,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','224201207316133411339548485122222267127',NULL,'9998',0.00,4,3,NULL),(25,6035990,'1991-03-20 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116473431336613575114122366197',7304,'267',53.87,1,2,1),(25,6036015,'1992-03-19 00:00:00',4,1,12,2009,'F','N','CENTRO','S JOSÉ CAMPOS','SP','125112111237471431356832575122610121122',6836,'9998',54.25,4,3,NULL),(25,6036023,'1990-07-11 00:00:00',2,1,12,2009,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124243247227111431525634495124610111143',NULL,'9999',19.05,2,1,2),(25,6036031,'1989-05-29 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124241241117141231356823445122610113147',NULL,'174',17.31,1,2,1),(25,6036066,'1990-10-25 00:00:00',2,4,12,2007,'F','N','MARIA GORETTE','CHAPECÓ','SC','124243241337271231324823275124132833147',NULL,'1126',24.18,1,3,NULL),(25,6036074,'1991-08-05 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241216373711428313495124610128092',5848,'1010',56.00,1,3,NULL),(25,6036082,'1989-10-04 00:00:00',2,4,12,2007,'M','N','BATEL','CLEVELÂNDIA','PR','116163161315573441465615575125610124092',2563,'9998',66.51,1,3,NULL),(25,6036090,'1993-07-05 00:00:00',4,15,11,2010,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124242241215371431369932575122610124052',7647,'970',53.15,1,3,NULL),(25,6036104,'1992-08-27 00:00:00',2,3,12,2009,'F','N','PEDRO DEMETERCO','PINHAIS','PR','116124161115471731238729575124240262077',8874,'9998',49.35,4,3,NULL),(25,6036112,'1993-09-08 00:00:00',2,15,12,2010,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241116141231512511385121610124092',NULL,'30',23.64,1,2,1),(25,6036120,'1990-04-06 00:00:00',2,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124243241137372221127644215134610112117',14197,'257',41.30,1,3,NULL),(25,6036139,'1993-07-23 00:00:00',4,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215271431436624575124610164147',7676,'259',52.20,1,3,NULL),(25,6036155,'1993-10-08 00:00:00',2,1,11,2010,'F','N','DONA WANDA','S JOSÉ','SC','124243241215111431557634575124610122191',15478,'868',42.93,1,3,NULL),(25,6036171,'1992-12-21 00:00:00',4,3,12,2010,'F','N','SAN FERNANDO','LONDRINA','PR','116161161216111431643724572122610122122',14997,'9998',38.82,1,3,NULL),(25,6036180,'1993-04-27 00:00:00',4,1,8,2011,'M','S','FLORESTA','S JOSÉ','SC','124242241117131432224629442124610118042',NULL,'739',48.96,1,3,NULL),(25,6036198,'1993-08-26 00:00:00',2,1,12,2010,'M','N','ARIRIÚ','PALHOÇA','SC','124241241137271731525611275124610124042',18405,'593',32.36,1,2,1),(25,6036228,'1994-02-07 00:00:00',4,17,12,2010,'M','N','CENTRO CÍVICO','CURITIBA','PR','116162161217111431389911572112610148097',3261,'9998',62.84,1,3,NULL),(25,6036236,'1992-03-18 00:00:00',4,1,12,2009,'M','N','VILA ESTER','S PAULO','SP','125252251117471411438811571124610124012',1491,'9998',70.19,1,3,NULL),(25,6036244,'1994-03-11 00:00:00',4,1,11,2011,'F','S','TAPERA','FLORIANÓPOLIS','SC','124241241117111431336427575124610144185',NULL,'271',45.47,1,3,NULL),(25,6036252,'1991-08-06 00:00:00',4,1,12,2008,'F','N','PAMTANAL','FLORIANÓPOLIS','SC','120202201215574431358639595114610164046',6750,'9998',53.86,1,3,NULL),(25,6036260,'1990-03-21 00:00:00',4,1,12,2007,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','125252251217471431326623495115610164192',NULL,'9998',0.00,1,3,NULL),(25,6036279,'1993-11-27 00:00:00',2,8,11,2010,'M','N','CAMPO DA LANÇA','MAFRA','SC','124241241215271732346319294112610167142',9638,'541',51.97,1,3,NULL),(25,6036287,'1992-07-12 00:00:00',4,1,12,2009,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124244241217473411469933474124610166097',1197,'270',71.98,1,3,NULL),(25,6036295,'1992-08-19 00:00:00',4,1,12,2009,'F','N','JARDIM BOA ESPERANÇA','CAMPINAS','SP','125252251217371431457813275112610135186',5257,'9998',56.88,1,3,NULL),(25,6036317,'1990-09-05 00:00:00',2,1,12,2007,'F','N','CENTRO','PELOTAS','RS','120202201217271431248816572124610164187',7631,'9998',52.78,1,3,NULL),(25,6036325,'1993-07-16 00:00:00',4,6,12,2010,'M','N','MEDEIRINHOS','BAL PIÇARRAS','SC','124243241435131431437314375123610128062',17025,'1031',40.58,1,3,NULL),(25,6036341,'1992-11-08 00:00:00',2,1,12,2010,'F','N','VILA MARIANA','S PAULO','SP','125252251115371411237923575125610133147',7432,'9998',52.88,1,3,NULL),(25,6036350,'1993-08-19 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124242241211421431478811475122610134012',17676,'881',39.44,1,3,NULL),(25,6036368,'1987-10-24 00:00:00',4,4,12,2004,'F','N','CENTRO','MARAVILHA','SC','124244241215272431353631582124333228097',20285,'270',33.81,1,3,NULL),(25,6036376,'1993-11-21 00:00:00',4,4,11,2010,'F','N','CENTRO','PATO BRANCO','PR','116162161115371411349933574122610122093',11193,'9998',44.27,1,3,NULL),(25,6036422,'1992-01-10 00:00:00',4,1,12,2010,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124241241136141731313329572224610134187',19402,'287',29.81,1,2,1),(25,6036430,'1992-10-31 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241112472411234423575124610137071',18525,'307',33.25,1,2,1),(25,6036457,'1992-03-24 00:00:00',4,1,12,2009,'M','N','PINHEIROS','S PAULO','SP','125252251217571431369931575112141432166',347,'9998',79.04,1,3,NULL),(25,6036465,'1989-02-21 00:00:00',2,7,12,2006,'M','N','SANTA TEREZA','JOAÇABA','SC','124241241146152721435514245112130264042',NULL,'448',5.71,4,3,NULL),(25,6036473,'1993-11-04 00:00:00',4,6,11,2010,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241215111631558822345114610122072',18798,'1026',37.35,1,3,NULL),(25,6036481,'1993-06-27 00:00:00',4,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215122431369813574122610162192',7215,'807',54.64,1,3,NULL),(25,6036490,'1993-09-02 00:00:00',4,4,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116163161216271411356332575122610163097',10515,'9998',44.45,1,3,NULL),(25,6036503,'1991-06-04 00:00:00',4,1,11,2008,'F','N','VILA LAVÍNIA','MOGI CRUZES','SP','125252251217571431468734582122610134053',4950,'9998',58.85,1,3,NULL),(25,6036511,'1990-11-20 00:00:00',4,1,12,2007,'M','N','CERQUEIRA CÉSAR','S PAULO','SP','125252251211571411468917571114610166131',926,'9998',72.84,1,3,NULL),(25,6036520,'1993-01-02 00:00:00',2,1,11,2010,'M','N','JARDIM EUROPA','BRAGANÇA PAULISTA','SP','125252251237121431336714575112610154052',4492,'9998',58.51,3,3,NULL),(25,6036538,'1992-05-12 00:00:00',4,1,12,2009,'F','N','JARDIM MONTE ALEGRE','TABOÃO SERRA','SP','125251251116472431645511575122610167113',NULL,'9998',21.11,1,2,1),(25,6036546,'1989-05-03 00:00:00',2,7,12,2006,'F','N','SANTA TEREZA','JOAÇABA','SC','124241241416151731239923285124231223092',NULL,'445',23.19,1,3,NULL),(25,6036562,'1992-09-27 00:00:00',4,1,11,2009,'M','N','JDM PAULO AFONSO','PETROLINA','PE','125242251215472231468815575122610167082',1112,'9998',73.34,4,3,NULL),(25,6036597,'1992-03-07 00:00:00',4,8,1,2010,'M','N','CENTRO','ESTEIO','RS','120202201116271411586613471124610144057',NULL,'9998',0.00,1,3,NULL),(25,6036600,'1993-11-25 00:00:00',4,1,12,2010,'F','N','BOQUEIRÃO','CURITIBA','PR','116162161115471431335862271124640162197',4789,'9998',57.88,1,3,NULL),(25,6036619,'1993-04-02 00:00:00',4,1,11,2010,'F','N','JD DAS COLINAS','S JOSÉ CAMPOS','SP','125252251215111231566614575112610137072',5385,'9998',56.02,3,3,NULL),(25,6036627,'1992-04-11 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217272411448618585115123067022',4154,'270',61.46,4,3,NULL),(25,6036635,'1991-12-02 00:00:00',4,1,12,2009,'F','N','CENTRO','BRUSQUE','SC','124242241216273411338921395122230266192',10058,'107',51.24,1,3,NULL),(25,6036643,'1993-07-23 00:00:00',4,16,12,2010,'F','N','SÃO JOSÉ','CURITIBANOS','SC','124241241117271531326325572114610164145',18887,'239',31.72,1,2,1),(25,6036651,'1992-12-22 00:00:00',4,1,12,2010,'M','N','JARDIM APOLO II','S JOSÉ CAMPOS','SP','125252251215111431369814595122610124087',1386,'9998',70.71,1,3,NULL),(25,6036660,'1992-08-24 00:00:00',4,1,9,2010,'M','N','CANAÃ','IPATINGA','MG','113132131217471431356834582124610167052',2117,'9998',66.42,4,3,NULL),(25,6036678,'1992-11-14 00:00:00',4,1,12,2010,'M','N','PRAIA DOS INGLESES','FLORIANÓPOLIS','SC','124242241215121431359823575124610136187',NULL,'1022',30.04,1,3,NULL),(25,6036686,'1988-08-22 00:00:00',2,8,12,2005,'F','N','BOM RETIRO','JOINVILLE','SC','224241241126574421265353575122121562092',2811,'923',66.50,1,2,1),(25,6036694,'1993-03-11 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242243112271721438618372124610164012',5828,'306',55.89,1,3,NULL),(25,6036708,'1992-06-26 00:00:00',4,1,12,2009,'F','N','JARDIM JUNCO','VINHEDO','SP','125252251217571451678832575112610122142',NULL,'9998',0.00,1,3,NULL),(25,6036716,'1981-02-17 00:00:00',4,1,12,1998,'M','N','COLONINHA','FLORIANÓPOLIS','SC','224201208116142431514441315124610127063',20846,'9998',31.73,2,3,NULL),(25,6036724,'1989-11-10 00:00:00',4,1,12,2007,'F','N','PIRITUBA','S PAULO','SP','125252251216571441345711575121140963026',14280,'9998',44.74,1,3,NULL),(25,6036732,'1991-01-02 00:00:00',4,1,12,2007,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243241215372451325923572124133248197',6856,'1075',53.66,1,3,NULL),(25,6036740,'1992-09-15 00:00:00',2,10,11,2009,'M','N','CENTRO','JAGUARUNA','SC','124241248116131711521623245114610118067',NULL,'421',16.71,1,2,1),(25,6036767,'1993-01-11 00:00:00',2,1,12,2010,'M','N','REDENTORA','S JOSÉ R PRETO','SP','125252251217111431456614375122610127052',16040,'9998',38.46,1,3,NULL),(25,6036775,'1988-10-16 01:00:00',2,17,11,2005,'F','N','CENTRO','CANOINHAS','SC','124241241216574411359934445125610166177',7723,'154',55.38,1,3,NULL),(25,6036783,'1989-03-18 00:00:00',4,1,12,2006,'M','N','JD GARCIA','CAMPINAS','SP','125252256116371231337723445123610127054',9970,'9998',46.54,4,3,NULL),(25,6036791,'1993-04-13 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247217111221455532595125610114187',10766,'270',47.41,1,3,NULL),(25,6036813,'1990-10-02 00:00:00',4,1,12,2008,'M','N','JARDIM ELITE','PIRACICABA','SP','125252251215571431459813475122610137042',9968,'9998',47.32,1,3,NULL),(25,6036821,'1989-11-03 00:00:00',4,1,12,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242241216374431346924375123231227057',NULL,'1022',0.00,1,3,NULL),(25,6036830,'1991-09-03 00:00:00',4,1,12,2009,'M','N','BOSQUE DA SAUDE','CUIABÁ','MT','111112251216472431468831571124610167092',2269,'9998',66.83,1,3,NULL),(25,6036856,'1993-06-27 00:00:00',4,5,12,2010,'F','N','JARDIM BOTÂNICO','LG SUL','DF','107072071217141731579931585122610121077',14767,'9998',39.14,4,3,NULL),(25,6036864,'1992-04-18 00:00:00',4,1,12,2009,'F','N','BOA ESPERANÇA','CUIABÁ','MT','111112111216271411439931575124143233182',NULL,'9998',0.00,3,3,NULL),(25,6036872,'1990-03-25 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217272431537623595124221467042',4097,'26',63.04,1,3,NULL),(25,6036880,'1993-05-08 00:00:00',2,1,12,2010,'F','N','JARDIM PRESIDENTE','CASCAVEL','PR','116161161136131411324377345124610166147',NULL,'9998',0.00,1,2,1),(25,6036899,'1992-02-22 00:00:00',4,1,12,2009,'F','N','ABRAÃO COQUEIROS','FLORIANÓPOLIS','SC','124242241215372431446869574112133222073',4722,'270',58.75,1,3,NULL),(25,6036902,'1993-12-29 00:00:00',4,1,12,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241117371431467812572122610127052',4696,'271',59.39,1,2,1),(25,6036929,'1992-05-18 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241146131331425327215124610114147',NULL,'736',22.54,1,2,1),(25,6036937,'1993-04-08 00:00:00',2,1,12,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117271431435514575124610167042',15213,'307',38.32,1,2,1),(25,6036953,'1993-08-24 00:00:00',4,3,11,2010,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124242241215131431448833472112610125142',NULL,'44',27.86,1,3,NULL),(25,6036961,'1991-07-19 00:00:00',2,8,12,2008,'F','N','REBOUÇAS','CURITIBA','PR','116163161311571431347532391124610124097',NULL,'9998',0.00,1,3,NULL),(25,6036996,'1993-04-15 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431488832575122610127042',11711,'262',44.26,1,3,NULL),(25,6037003,'1992-02-28 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241216472441255711275124610144182',1923,'1093',69.08,1,3,NULL),(25,6037011,'1991-06-12 00:00:00',4,8,12,2009,'F','N','SÃO GENARO','CHOPINZINHO','PR','116161163117371431333634571124610165187',2165,'9998',66.97,1,2,1),(25,6037020,'1992-07-26 00:00:00',2,1,11,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241136372731433628395124122266092',NULL,'307',23.81,4,2,1),(25,6037038,'1993-10-31 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241115111441313314575124610117147',20259,'257',28.55,1,2,1),(25,6037054,'1989-04-22 00:00:00',2,1,12,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241147572431128444345114610117047',7973,'209',53.01,1,2,1),(25,6037062,'1993-07-01 00:00:00',4,1,11,2010,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241216471751359911575124610168182',3,'270',90.77,1,3,NULL),(25,6037070,'1993-06-02 00:00:00',2,9,12,2010,'F','N','PETRÓPOLIS','LAGES','SC','124241241315111431446963575124610124072',NULL,'1207',29.03,1,3,NULL),(25,6037089,'1993-07-07 00:00:00',2,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241145371231426614575114610167147',8065,'592',51.91,1,2,1),(25,6037097,'1992-10-29 00:00:00',4,1,11,2010,'M','N','BOA ESPERANÇA','CUIABÁ','MT','111112111215111432558939575112610117044',NULL,'9998',17.81,1,3,NULL),(25,6037100,'1993-02-25 00:00:00',4,4,12,2010,'F','N','ZONA III','UMUARAMA','PR','116162161216121431358816475122610122192',NULL,'9998',0.00,1,3,NULL),(25,6037119,'1993-02-14 00:00:00',2,8,12,2010,'M','N','FLORESTA','JOINVILLE','SC','116161161116471411334331575122610162097',4577,'9998',58.70,1,2,1),(25,6037127,'1992-05-05 00:00:00',4,1,12,2009,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241217471711346622592125610148092',2294,'107',67.89,1,3,NULL),(25,6037143,'1991-05-19 00:00:00',4,1,12,2009,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241141131711323317291114610117147',NULL,'593',29.01,4,2,1),(25,6037151,'1980-03-31 00:00:00',4,1,12,1997,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241136472421118441115124610162187',11837,'257',45.45,1,2,1),(25,6037160,'1992-08-30 00:00:00',2,1,12,2010,'F','N','ITAIPU','NITERÓI','RJ','121212211216111431479933576114610124092',NULL,'9998',0.00,1,3,NULL),(25,6037178,'1993-05-07 00:00:00',4,1,7,2011,'F','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124212241117471411426813572224610137047',NULL,'739',47.62,4,3,NULL),(25,6037186,'1991-10-04 00:00:00',2,2,12,2009,'M','N','VILA INDUSTRIAL','S JOSÉ CAMPOS','SP','125254253215471431328824372112610167047',16133,'9998',38.12,1,3,NULL),(25,6037194,'1992-06-24 00:00:00',2,15,12,2010,'M','N','MATO ALTO','ARARANGUÁ','SC','124243241435152431458834345122610134045',16434,'30',36.97,1,3,NULL),(25,6037208,'1993-01-15 00:00:00',2,1,12,2010,'M','N','CABRAL','CURITIBA','PR','116162161215421431588831575112610147142',6597,'9998',54.57,1,3,NULL),(25,6037216,'1993-07-09 00:00:00',2,8,12,2010,'M','N','BOEHMERWALDT','JOINVILLE','SC','124242241217111432528821575124610127047',16682,'1006',41.11,1,3,NULL),(25,6037224,'1994-10-22 00:00:00',4,1,12,2011,'F','S','BARREIROS','S JOSÉ','SC','124242241217111531359932275122610124142',NULL,'738',42.61,1,3,NULL),(25,6037232,'1993-12-21 00:00:00',2,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117131411426624572124610114047',NULL,'295',16.75,2,1,1),(25,6037259,'1992-05-21 00:00:00',4,1,12,2009,'F','N','SANTANA','PTO ALEGRE','RS','120202201236471431478933575124610132072',NULL,'9998',0.00,1,3,NULL),(25,6037267,'1984-10-05 00:00:00',4,10,12,2002,'F','N','NOVA BRASILIA','IMBITUBA','SC','124241241115371411113343232121610143147',NULL,'359',19.00,1,3,NULL),(25,6037275,'1986-04-04 00:00:00',2,1,11,2003,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241116155431539929495124231343147',6024,'271',56.35,1,3,NULL),(25,6037291,'1989-08-16 00:00:00',4,3,12,2006,'F','N','JARDIM DAS PALMEIRAS','LONDRINA','PR','116161161116574431349812575114610164092',9613,'9998',47.86,4,1,1),(25,6037305,'1993-02-14 00:00:00',4,2,11,2010,'F','N','ESCOLA AGRICOLA','BLUMENAU','SC','124241241117371431436939282124610133147',18781,'79',31.45,1,2,1),(25,6037313,'1994-01-01 00:00:00',4,1,12,2011,'M','S','CAMPINAS','S JOSÉ','SC','124244241215151431369824575124610137042',NULL,'1022',56.89,1,3,NULL),(25,6037321,'1993-12-20 00:00:00',2,4,12,2010,'F','N','CENTRO','XAVANTINA','SC','124241241346131431459953575122610133057',15577,'844',42.79,1,3,NULL),(25,6037330,'1993-11-28 00:00:00',2,4,12,2010,'M','N','CENTRO','CHOPINZINHO','PR','116162161216371431368631595124610144055',9199,'9998',48.70,1,3,NULL),(25,6037348,'1992-11-09 00:00:00',4,8,11,2010,'M','N','BOA VISTA','JOINVILLE','SC','124241241216111431323839475122610132055',18909,'1105',30.87,1,3,NULL),(25,6037356,'1984-06-26 00:00:00',4,1,12,2001,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124252251216472411236812415122322164115',NULL,'9998',0.00,3,3,NULL),(25,6037364,'1993-02-03 00:00:00',2,7,12,2010,'M','N','MORUMBI','PATO BRANCO','PR','116161161116371431444612275124610167181',9397,'9998',48.76,1,2,1),(25,6037372,'1985-01-10 00:00:00',4,1,8,2003,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124202217216153441228847475124220966057',NULL,'9998',0.00,1,3,NULL),(25,6037380,'1991-03-22 00:00:00',4,1,12,2008,'M','N','JARDIM LAS PALMAS','GUARUJÁ','SP','125252251217371431558914375114610122142',13466,'9998',45.98,1,3,NULL),(25,6037399,'1993-12-06 00:00:00',4,1,10,2010,'M','N','CAIEIRA','FLORIANÓPOLIS','SC','124242241215111332454839572124610164072',18868,'1023',37.19,1,3,NULL),(25,6037402,'1987-04-04 00:00:00',2,8,11,2004,'F','N','SEMINARIO','CURITIBA','PR','116163161336571411465632374122141364042',1203,'9998',71.37,1,3,NULL),(25,6037410,'1993-12-13 00:00:00',2,1,12,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241115271431324424575124610127042',18354,'592',38.18,1,2,1),(25,6037429,'1986-09-29 00:00:00',4,1,12,2003,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124224221216575731368919475124230562182',5288,'9998',56.38,4,3,NULL),(25,6037437,'1987-04-24 00:00:00',2,1,12,2003,'F','N','FLORESTA','S JOSÉ','SC','124241241116574431435534345124132524182',11145,'307',46.73,1,2,1),(25,6037453,'1985-10-11 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431488933475122333267187',11391,'262',49.07,1,3,NULL),(25,6037461,'1994-04-20 00:00:00',4,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241415121431346632572124610161197',NULL,'9997',28.98,1,3,NULL),(25,6037488,'1992-06-13 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124244241435271731468833371124613264182',19548,'1134',35.69,2,1,2),(25,6037496,'1992-05-26 00:00:00',4,1,11,2009,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215472421689314592112610151185',12321,'270',44.07,1,3,NULL),(25,6037500,'1977-02-04 00:00:00',4,1,12,1995,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241416152711239641215122221164112',19892,'185',34.89,1,3,NULL),(25,6037518,'1993-09-12 00:00:00',2,15,11,2010,'F','N','CENTRO','ARARANGUÁ','SC','124243241215111431434923572122610167143',8621,'1122',50.04,1,3,NULL),(25,6037534,'1988-06-12 00:00:00',4,1,12,2005,'F','N','JARDIM AMERICA','MARÍLIA','SP','125251251146131711326324245334140222197',NULL,'9998',14.76,1,2,1),(25,6037542,'1992-03-11 00:00:00',4,2,12,2009,'F','N','VILA ARENS','JUNDIAÍ','SP','125252251235371731468814575122610126092',1545,'9998',69.91,1,3,NULL),(25,6037550,'1983-11-09 00:00:00',2,1,7,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124201205117311431231645482124140837097',20014,'9998',34.53,5,3,NULL),(25,6037577,'1989-08-14 00:00:00',4,1,12,2007,'F','N','SETOR AEROPORTO','GOIÂNIA','GO','109092091211514431369317575122610162147',2134,'9998',66.36,4,3,NULL),(25,6037585,'1993-02-17 00:00:00',4,1,12,2010,'M','N','SÃO FRANCISCO','S SEBASTIÃO','SP','125252251216111431569933575121610167131',20462,'9998',27.61,1,3,NULL),(25,6037593,'1993-06-17 00:00:00',4,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124244241217271431548612575122610144142',NULL,'459',0.00,1,3,NULL),(25,6037615,'1992-11-08 00:00:00',4,1,12,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124244241315261531439673576124610134192',13866,'295',45.38,1,3,NULL),(25,6037623,'1992-12-01 00:00:00',2,1,12,2009,'F','N','CENTRO','PIRATUBA','SC','124241241415471431326736594125133222142',11552,'619',48.82,1,3,NULL),(25,6037631,'1991-12-26 00:00:00',2,2,12,2008,'M','N','CENTRO','S JOÃO BATISTA','SC','124241241117371431426419395121610147111',NULL,'712',28.08,1,2,1),(25,6037658,'1990-03-21 00:00:00',2,2,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','116172171436271441548911345124610132042',NULL,'9998',0.00,1,3,NULL),(25,6037666,'1993-04-12 00:00:00',4,4,12,2010,'F','N','SALETE','CONCÓRDIA','SC','124172241115371431339819595122610134187',NULL,'192',26.25,1,3,NULL),(25,6037674,'1992-01-20 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','120244248411471441449913575124610127084',NULL,'855',15.14,1,3,NULL),(25,6037682,'1991-03-26 00:00:00',2,1,7,2010,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241246115151431543311345123610127112',15172,'306',38.03,1,2,1),(25,6037690,'1993-11-18 00:00:00',4,15,12,2010,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124242241215212431446321595122610164016',14979,'970',42.71,1,3,NULL),(25,6037704,'1991-01-29 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115471411536879392124610137057',16178,'281',37.74,1,2,1),(25,6037712,'1993-03-19 00:00:00',4,1,12,2010,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241115371731426514295124610124157',5853,'592',57.17,1,2,1),(25,6037739,'1993-04-28 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241225472431548923572124610134192',2617,'262',65.40,4,3,NULL),(25,6037747,'1994-01-10 00:00:00',2,2,12,2011,'F','S','ASILO','BLUMENAU','SC','124242241212111431248924345124610163182',NULL,'855',18.71,1,3,NULL),(25,6037755,'1993-07-29 00:00:00',4,3,11,2010,'M','N','CENTRO','BOMBINHAS','SC','124242241215371441368632576114610148092',614,'403',76.38,1,3,NULL),(25,6037763,'1993-04-11 00:00:00',4,1,12,2010,'M','N','JARDIM SANTANA','DOURADOS','MS','112122121216111711369931575122610115042',17269,'9998',40.15,1,3,NULL),(25,6037780,'1975-04-16 00:00:00',4,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241247127371431433648385114610166077',NULL,'9999',0.00,1,2,1),(25,6037798,'1993-04-22 00:00:00',4,4,12,2010,'F','N','JARDIM','CUNHA PORÃ','SC','124241241116161431326611575112610147147',19313,'234',29.56,1,2,1),(25,6037801,'1991-10-14 00:00:00',4,8,12,2009,'M','N','GUANABARA','JOINVILLE','SC','125251251116371412646612275124610167012',6361,'9998',57.09,1,3,NULL),(25,6037810,'1975-04-14 00:00:00',2,1,12,1995,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224243247426135431333352142122232725042',NULL,'9999',30.65,1,3,NULL),(25,6037828,'1989-10-05 00:00:00',4,1,12,2007,'M','N','SERRA VERDE','BELO HORIZONTE','MG','113131131116371431433321345124610142082',NULL,'9998',0.00,4,2,1),(25,6037852,'1992-07-29 00:00:00',2,1,7,2010,'M','N','FLORESTA','S JOSÉ','SC','124241241116373431334923575111610116182',4929,'739',58.50,1,2,1),(25,6037860,'1994-07-06 00:00:00',4,1,10,2011,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124242241217111411569619575124610137062',NULL,'1022',34.00,1,3,NULL),(25,6037879,'1994-01-19 00:00:00',4,1,11,2011,'M','S','COSTEIRA','FLORIANÓPOLIS','SC','124243241115151431568923575122610147142',NULL,'271',57.96,1,3,NULL),(25,6037887,'1991-12-04 00:00:00',2,15,12,2008,'M','N','COLONINHA','ARARANGUÁ','SC','124242241215152711458831575112610167041',6455,'970',57.83,1,3,NULL),(25,6037895,'1989-07-17 00:00:00',2,1,12,2007,'M','N','PQ BANDEIRANTES','SUMARÉ','SP','125251251147271451436314185124610124057',13487,'9998',42.74,1,2,1),(25,6037909,'1993-02-15 00:00:00',2,1,12,2010,'F','N','JARDIM SAVEIROS','BIGUAÇU','SC','124243211216131431326327575324610166177',11259,'9998',44.24,1,3,NULL),(25,6037925,'1991-04-04 00:00:00',4,10,12,2008,'M','N','CABEÇUDA','LAGUNA','SC','124241241111131731436923485122130727092',NULL,'523',35.71,1,3,NULL),(25,6037933,'1984-06-05 00:00:00',4,4,12,2001,'M','N','CENTRO','CHAPECÓ','SC','124254251415471721128841415122343267047',2374,'9998',66.18,1,3,NULL),(25,6037941,'1992-09-23 00:00:00',2,1,12,2009,'F','N','MATHIAS VELHO','CANOAS','RS','120203201317471431433619195124610127072',NULL,'9998',15.11,1,3,NULL),(25,6037950,'1993-06-02 00:00:00',4,8,12,2009,'M','N','IRIRIU','JOINVILLE','SC','124242241217153431368822595114241462042',1465,'1063',69.25,1,3,NULL),(25,6037976,'1992-05-02 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241117272431447833335124610168143',17323,'287',35.86,1,3,NULL),(25,6037992,'1993-01-13 00:00:00',2,8,12,2009,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116164161216471411428634371324610142172',11108,'9998',45.71,1,3,NULL),(25,6038000,'1991-04-04 00:00:00',4,8,12,2010,'M','N','VILA MARIANA','S PAULO','SP','125252251217121231447634571125610141092',NULL,'9998',19.25,3,3,NULL),(25,6038018,'1993-11-11 00:00:00',4,3,12,2010,'F','N','JARDIM SINUELO','ASTORGA','PR','116162161216371411448816575122610134147',7284,'9998',52.09,3,3,NULL),(25,6038026,'1993-11-06 00:00:00',4,1,12,2010,'F','N','SAO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241135141441513311212124613226142',NULL,'772',0.00,1,2,1),(25,6038034,'1992-01-30 00:00:00',4,1,12,2009,'M','N','PERDIZES','S PAULO','SP','125252251215471431468811575115610142042',715,'9998',74.01,1,3,NULL),(25,6038042,'1993-07-29 00:00:00',4,4,11,2010,'M','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124242241215472431559931575121610127122',5553,'185',59.66,1,3,NULL),(25,6038050,'1989-11-23 00:00:00',4,15,12,2007,'F','N','MATO ALTO','ARARANGUÁ','SC','124241248126132731326611345133610124057',NULL,'30',23.20,1,2,1),(25,6038077,'1993-05-01 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116271431646614575124610138017',10405,'307',47.91,1,2,1),(25,6038093,'1991-03-07 00:00:00',4,10,11,2008,'F','N','PASSAGEM','TUBARÃO','SC','124242241215473431357712585112131064054',6837,'807',54.20,1,3,NULL),(25,6038107,'1992-10-22 00:00:00',2,5,11,2010,'M','N','ESTAÇÃO','URUSSANGA','SC','124241246237141431356934345114610137041',19708,'920',35.35,1,3,NULL),(25,6038115,'1993-11-02 00:00:00',4,2,10,2010,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241215111431489913571112610133112',7047,'855',53.91,1,3,NULL),(25,6038123,'1992-12-07 00:00:00',4,1,12,2009,'M','N','JABAQUARA','S PAULO','SP','125222251217272441439911585115610167052',1110,'9998',72.33,3,3,NULL),(25,6038131,'1991-05-05 00:00:00',2,1,12,2009,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241111371431336879591244613264067',14540,'278',44.38,1,2,1),(25,6038140,'1993-02-18 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241125131431413623396324610114063',21738,'734',24.29,1,3,NULL),(25,6038158,'1993-05-04 00:00:00',2,6,12,2010,'F','N','GRAVATÁ','NAVEGANTES','SC','124242241217111431328831575122610142077',20039,'1026',29.07,1,3,NULL),(25,6038166,'1988-09-20 00:00:00',4,8,12,2005,'F','N','CENTRO','MANDAGUAÇU','PR','116162161216571741347913572125610165177',586,'9998',76.13,1,3,NULL),(25,6038174,'1992-05-08 00:00:00',2,8,11,2009,'F','N','REBOUÇAS','CURITIBA','PR','116114161212411411448814572124610162141',NULL,'9999',38.08,3,3,NULL),(25,6038182,'1992-11-27 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217371711488833576112610161055',1195,'1050',70.64,1,3,NULL),(25,6038190,'1993-11-23 00:00:00',4,1,12,2010,'F','N','CENTRO','PASSO FUNDO','RS','120204201216471431348833575122610162047',1974,'9998',67.12,1,3,NULL),(25,6038204,'1993-05-03 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241116131431423314475124610116177',NULL,'288',28.29,1,2,1),(25,6038220,'1991-09-14 00:00:00',2,15,12,2009,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124121131116152431436619395114121464052',2256,'9998',68.34,1,2,1),(25,6038247,'1982-09-01 00:00:00',2,1,12,1999,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241147471431614329285124610114057',14519,'322',41.44,1,2,1),(25,6038255,'1983-10-16 00:00:00',2,1,12,2001,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124131131116135421623673195324221354047',15197,'9998',40.33,4,1,1),(25,6038263,'1991-08-01 00:00:00',4,1,12,2008,'F','N','MEDITERRÂNEO','LONDRINA','PR','116162161216572331458832472122610147122',7642,'9998',52.34,1,3,NULL),(25,6038271,'1992-07-14 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241115271431466933592112610137072',20599,'271',26.04,1,3,NULL),(25,6038280,'1994-01-09 00:00:00',4,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241215111432534712575124610114197',NULL,'1048',0.00,4,3,NULL),(25,6038298,'1992-09-08 00:00:00',4,1,12,2009,'F','N','UTINGA','STO ANDRÉ','SP','125251251146132441339621445124610162047',15033,'9998',39.08,1,2,1),(25,6038301,'1989-07-11 00:00:00',4,1,12,2006,'F','N','VILA CLAUDIA','LIMEIRA','SP','125251251116471741445611185123610122197',NULL,'9998',0.00,1,2,1),(25,6038310,'1993-05-01 00:00:00',4,1,11,2010,'F','N','JARDIM COLINA VERDE','LONDRINA','PR','116162161217111431469931572112610132142',9915,'9998',46.72,1,3,NULL),(25,6038328,'1992-02-19 00:00:00',2,1,12,2010,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241336271431321339385124610134117',19912,'591',30.30,4,3,NULL),(25,6038336,'1992-03-12 00:00:00',4,1,11,2010,'M','N','NOVA SUÍÇA','GOIÂNIA','GO','109092091215111431678923596112610127097',1266,'9998',72.44,1,3,NULL),(25,6038344,'1992-05-09 00:00:00',4,1,12,2009,'F','N','CENTRO','STA MARIA','RS','120202201217471431566933575112610164147',6496,'9998',54.68,1,3,NULL),(25,6038352,'1992-11-11 00:00:00',4,1,12,2010,'M','N','ESTUÁRIO','SANTOS','SP','125251251217111411536514575124610124187',NULL,'9998',18.41,1,3,NULL),(25,6038360,'1993-07-12 00:00:00',4,1,12,2010,'F','N','ARIRIU','PALHOÇA','SC','124241241116151431336434585124610122187',NULL,'593',14.85,1,2,1),(25,6038379,'1988-10-25 00:00:00',4,8,12,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241235471431389834572122131012182',NULL,'1063',0.00,1,3,NULL),(25,6038387,'1994-02-28 00:00:00',2,4,12,2010,'F','N','CENTRO','CONCÓRDIA','SC','124241241215271431356924175122610126197',NULL,'1001',0.00,1,3,NULL),(25,6038425,'1992-05-27 00:00:00',4,5,12,2009,'M','N','VILA FRANCA','FORQUILHINHA','SC','124241241116272441433514435124220767043',1616,'310',70.08,1,2,1),(25,6038433,'1994-01-18 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241115471431426513576124610138187',NULL,'281',30.56,1,2,1),(25,6038441,'1993-09-01 00:00:00',4,1,10,2010,'M','N','CENTRO','ERECHIM','RS','124202241215271431489931411124610127047',5864,'270',59.04,1,3,NULL),(25,6038450,'1991-02-12 00:00:00',4,16,12,2009,'M','N','CENTRO','PINHALZINHO','SC','124241246116132441533633382124231434122',21490,'196',28.04,4,3,NULL),(25,6038468,'1992-09-28 00:00:00',4,8,12,2010,'M','N','GUANABARA','JOINVILLE','SC','124241241136271431536614575112610164047',NULL,'467',19.89,1,2,1),(25,6038484,'1992-02-01 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241136141431423314385124610126047',NULL,'592',31.68,1,2,1),(25,6038492,'1986-12-09 00:00:00',4,1,12,2004,'M','N','FLORESTA','S JOSÉ','SC','224241241131141731228554211123130238057',NULL,'726',0.00,1,2,1),(25,6038506,'1993-04-11 00:00:00',2,1,11,2010,'F','N','SANTA FÉ','CPO GRANDE','MS','112122121215111331557712195122610123142',12773,'9998',40.97,1,3,NULL),(25,6038522,'1994-09-28 00:00:00',4,10,11,2010,'F','N','ABICINIA','BRAÇO NORTE','SC','124242241215111231364714575112610117072',20015,'807',34.53,1,3,NULL),(25,6038530,'1993-12-05 00:00:00',4,1,12,2010,'F','N','ROÇADO','S JOSÉ','SC','124243241211111432454652342124610164095',6044,'1022',56.13,1,3,NULL),(25,6038549,'1988-07-12 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136275431534411295124221622097',8057,'498',51.78,4,2,1),(25,6038557,'1974-11-05 00:00:00',2,1,9,2008,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241247126472711423344442124610157147',NULL,'9999',21.62,4,3,NULL),(25,6038573,'1993-12-19 00:00:00',4,8,12,2010,'M','N','ALTO DA XV','CURITIBA','PR','116162161115371411249921572114610162042',2472,'9998',65.69,3,3,NULL),(25,6038581,'1989-09-23 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124021241115111431324124182124610131027',NULL,'293',24.93,4,2,1),(25,6038590,'1994-02-27 00:00:00',2,1,12,2010,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124242241212112231448311575124610122042',11389,'1022',45.17,1,3,NULL),(25,6038611,'1993-01-26 00:00:00',2,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124203241317111431456619275124610127182',11750,'270',48.14,1,3,NULL),(25,6038620,'1992-12-26 00:00:00',4,6,12,2010,'F','N','SÃO JOÃO','ITAJAÍ','SC','124243241217272411558533214122610136012',4632,'388',57.52,2,1,2),(25,6038638,'1989-12-01 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124164161216572431468831375121220644052',NULL,'9998',0.00,1,3,NULL),(25,6038646,'1992-08-25 00:00:00',4,2,12,2009,'F','N','AGUA VERDE','BLUMENAU','SC','124241241111272431423539585124610132147',11786,'69',44.63,1,3,NULL),(25,6038654,'1992-04-08 00:00:00',2,5,11,2009,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215471431526812575122610134147',NULL,'210',19.11,1,3,NULL),(25,6038670,'1994-05-21 00:00:00',2,1,12,2011,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241217151431448813472122610132142',NULL,'883',43.31,1,3,NULL),(25,6038689,'1983-11-09 00:00:00',2,1,12,2002,'M','N','CHACARA SÃO JOSÉ','LIMEIRA','SP','125251256125471411421327342224610144177',11153,'9998',44.63,1,2,1),(25,6038697,'1992-07-05 00:00:00',2,1,12,2009,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241115142431326629295124610128111',NULL,'288',22.43,3,2,1),(25,6038700,'1993-05-03 00:00:00',4,9,12,2010,'F','N','CENTRO','VACARIA','RS','120202201217371431566823571122610166142',12117,'9998',43.58,1,3,NULL),(25,6038719,'1989-08-05 00:00:00',4,1,12,2006,'M','N','SOCORRO','S PAULO','SP','125252251216571451389911575122141467046',2528,'9998',65.26,1,3,NULL),(25,6038727,'1990-07-10 00:00:00',2,1,12,2008,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125252251216574411228619315125610136182',NULL,'9998',34.57,1,3,NULL),(25,6038743,'1989-08-22 00:00:00',2,1,8,2007,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241115271431447713345124610167142',7418,'739',55.92,1,3,NULL),(25,6038751,'1993-06-17 00:00:00',4,1,12,2010,'M','N','COSTA E SILVA','MARÍLIA','SP','125252251217111411244821492124610164042',6140,'9998',55.15,1,3,NULL),(25,6038778,'1973-01-20 00:00:00',2,1,5,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624241247126132432321144346114610122197',NULL,'9999',19.97,2,2,1),(25,6038786,'1992-05-28 00:00:00',2,1,12,2009,'F','N','NEVA','CASCAVEL','PR','116162241216272431326621341123610137057',15713,'1040',39.66,1,3,NULL),(25,6038794,'1993-06-19 00:00:00',4,1,12,2010,'M','N','CENTRO','MARINGÁ','PR','116162164215211431469813571122610147052',9971,'9998',49.27,1,3,NULL),(25,6038816,'1993-12-26 00:00:00',4,1,12,2010,'M','N','JARDIM AQUARIUS','PALHOÇA','SC','124244241215271731228631575121610164181',10597,'1175',50.34,1,3,NULL),(25,6038824,'1993-01-28 00:00:00',4,3,12,2010,'F','N','UBERABA','CURITIBA','PR','116164168237111431545639575124610133077',NULL,'9998',0.00,1,3,NULL),(25,6038832,'1993-10-07 00:00:00',4,5,12,2010,'F','N','JARDIM ITÁLIA','COCAL SUL','SC','124241241135131431438824575124610138077',17249,'189',34.31,1,2,1),(25,6038840,'1993-11-05 00:00:00',4,16,12,2010,'M','N','APARECIDA','CURITIBANOS','SC','124241241135141731334334245122610162142',NULL,'239',24.59,1,2,1),(25,6038859,'1993-05-20 00:00:00',4,7,12,2009,'F','N','INTERIOR','IBICARÉ','SC','124241241126472411325615575124610123012',10494,'345',45.55,1,2,1),(25,6038867,'1992-12-22 00:00:00',4,1,12,2010,'M','N','AURÉLIO CAIXETA','PATOS MINAS','MG','113132131116151431348821575125610122182',3064,'9998',63.17,3,3,NULL),(25,6038875,'1993-06-26 00:00:00',4,1,12,2010,'M','N','AGUAS FRIAS','ALFREDO WAGNER','SC','124241241125161431423415572121610137047',15232,'13',38.24,1,2,1),(25,6038883,'1993-06-01 00:00:00',4,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241248435131721646434572114610127117',NULL,'298',29.89,1,3,NULL),(25,6038891,'1991-12-15 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241111272411326524275124610117142',NULL,'296',0.00,2,1,1),(25,6038905,'1993-03-09 00:00:00',4,1,12,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201241136131341323421575124610164177',14941,'290',43.77,1,2,1),(25,6038913,'1993-10-18 00:00:00',2,1,11,2010,'F','N','NOVA BANDEIRANTES','CPO GRANDE','MS','112124121217371431327923575124610164147',15587,'9998',36.13,1,3,NULL),(25,6038930,'1958-09-03 00:00:00',4,1,12,1979,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','524252254217162441159841115122440267112',18210,'9998',38.45,1,3,NULL),(25,6038948,'1992-06-11 00:00:00',4,2,12,2009,'F','N','ESTADOS','INDAIAL','SC','124243241117131431333923271122232864192',NULL,'887',8.72,1,3,NULL),(25,6038956,'1992-05-22 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241116141421326321345124610122142',19736,'307',30.00,1,3,NULL),(25,6038972,'1989-09-18 00:00:00',4,1,10,2007,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241131272731534434445124610126187',NULL,'307',25.71,1,2,1),(25,6038980,'1991-12-19 00:00:00',4,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241117271441428611375124610167042',NULL,'307',30.08,1,3,NULL),(25,6038999,'1992-11-19 00:00:00',4,1,11,2009,'F','N','FLORESTA','S JOSÉ','SC','112242241215473711434811395124610166142',7073,'738',53.05,1,3,NULL),(25,6039006,'1993-04-02 00:00:00',4,1,11,2010,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124243241215472751478613472124610165192',445,'270',77.27,1,3,NULL),(25,6039014,'1988-03-15 00:00:00',2,1,11,2005,'F','N','CENTRO','INDAIAL','SC','124241241216113431323311392134131012097',18967,'88',36.98,1,3,NULL),(25,6039030,'1990-03-17 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241625272431223644345124610122092',18305,'262',33.49,4,3,NULL),(25,6039049,'1987-08-08 00:00:00',4,1,11,2004,'F','N','SUDOESTE','CRUZEIRO','DF','107072071216573451566923575122610164047',2483,'9998',63.89,1,3,NULL),(25,6039057,'1988-11-25 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241216133231326663345124130432047',15665,'210',42.66,1,3,NULL),(25,6039073,'1990-06-25 00:00:00',2,1,12,2008,'F','N','VILA VERDE','S JOSÉ R PARDO','SP','125252251317131431328619575124241427142',16564,'9998',35.90,1,3,NULL),(25,6039090,'1993-05-30 00:00:00',2,1,12,2010,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241115371131536619575124610133092',NULL,'593',34.36,1,2,1),(25,6039103,'1990-09-07 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241116373431434619375124123215017',7544,'271',55.70,1,3,NULL),(25,6039138,'1992-04-07 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242246116271431446612575122610147042',8030,'306',50.30,1,3,NULL),(25,6039154,'1992-03-04 00:00:00',4,8,12,2009,'F','N','ALTO BOQUEIRAO','CURITIBA','PR','116161168115171432528613575114610114041',NULL,'9998',17.52,1,3,NULL),(25,6039162,'1993-08-26 00:00:00',4,1,12,2010,'F','N','BELA VISTA','PALHOÇA','SC','124241241116371441423633235124610132197',16559,'591',36.66,1,2,1),(25,6039170,'1993-02-25 00:00:00',2,15,12,2010,'M','N','LIVRAMENTO','TURVO','SC','124242241215271231348816355124610137043',19864,'813',29.79,1,3,NULL),(25,6039189,'1989-02-16 00:00:00',2,1,12,2008,'M','N','JARDIM DA GLORIA','COTIA','SP','125252251213512721528834315124610167127',20758,'9998',32.12,5,3,NULL),(25,6039200,'1990-10-29 00:00:00',2,1,12,2008,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241336173421324431245124222266092',NULL,'977',0.00,1,3,NULL),(25,6039219,'1993-04-19 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431545369575112610123072',NULL,'738',21.76,1,3,NULL),(25,6039227,'1992-12-19 00:00:00',2,1,12,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241117272431536614572124610124052',10856,'592',46.71,1,2,1),(25,6039235,'1991-04-14 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241248117271441333823495124610131032',10006,'306',51.33,1,2,1),(25,6039243,'1992-10-24 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243246117372411446613395124610167051',3228,'306',63.60,3,3,NULL),(25,6039251,'1989-11-13 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124244241317152421548637345124610132147',9537,'732',48.73,1,3,NULL),(25,6039260,'1992-05-22 00:00:00',4,2,12,2009,'M','N','GLÓRIA','BLUMENAU','SC','124244243617371751447933394122610164017',3863,'1018',61.58,1,3,NULL),(25,6039278,'1991-12-19 00:00:00',4,10,12,2008,'M','N','JARDIM IVA','S PAULO','SP','125252251115571731368833371114610164117',2354,'9998',65.78,1,3,NULL),(25,6039286,'1993-06-10 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111231477533575122610117182',4809,'270',61.30,1,3,NULL),(25,6039294,'1993-03-08 00:00:00',4,3,11,2010,'M','N','SUMARÉ','RIO SUL','SC','124242241211373431438811295122610127052',4418,'991',61.29,1,3,NULL),(25,6039316,'1993-06-09 00:00:00',2,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431544612175122610168015',13793,'738',43.03,1,3,NULL),(25,6039324,'1990-04-05 00:00:00',4,1,6,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124252247237151431216327485124610132032',NULL,'977',45.54,1,3,NULL),(25,6039332,'1990-09-26 00:00:00',2,1,12,2007,'M','N','FORQUILHAS','S JOSÉ','SC','124241241115373431435723375124122568172',400,'733',78.14,4,2,1),(25,6039340,'1993-02-12 00:00:00',2,1,11,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124163161216372431469933575124610164092',7527,'9998',52.90,1,3,NULL),(25,6039359,'1992-03-03 00:00:00',4,1,12,2009,'M','N','JD DAS AMERICAS','CUIABÁ','MT','125112111216372431337832521132610167042',1078,'9998',71.37,4,3,NULL),(25,6039367,'1992-11-14 00:00:00',4,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241215472431156631135124610167017',1260,'836',72.54,1,3,NULL),(25,6039375,'1992-03-11 00:00:00',4,1,7,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124244241116272431538513375124133245057',16343,'739',36.70,1,3,NULL),(25,6039383,'1993-08-14 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124241241116131411457413385124610131091',14302,'732',44.71,2,1,1),(25,6039391,'1991-10-14 00:00:00',4,1,12,2010,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241115371251326641312123610127042',6831,'592',54.16,1,2,1),(25,6039405,'1973-03-03 00:00:00',4,1,12,1992,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124212211237131731235641412124342824042',4988,'9998',60.86,1,3,NULL),(25,6039413,'1978-08-02 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','624243248626241342343344242122610157047',21553,'9999',27.46,2,1,2),(25,6039430,'1993-01-12 00:00:00',4,1,12,2010,'M','N','FAZENDA S ANTÔNIO','S JOSÉ','SC','124241241135141431437434345124610124042',NULL,'733',7.04,1,2,1),(25,6039448,'1989-02-28 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241136151431323344342114610134152',21574,'1032',27.22,1,2,1),(25,6039456,'1991-10-16 00:00:00',4,2,12,2008,'M','N','TAPAJOS','INDAIAL','SC','124243241317131421338624285114131434177',21382,'887',28.94,1,3,NULL),(25,6039472,'1991-01-16 00:00:00',4,3,12,2008,'F','N','CENTRO','MOGI CRUZES','SP','125254251214571431556931375124610138182',15789,'9998',37.15,3,3,NULL),(25,6039480,'1993-07-06 00:00:00',2,1,12,2010,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241115271431435413575124610144142',6315,'592',54.43,1,2,1),(25,6039510,'1977-01-29 00:00:00',2,1,12,1994,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','224201201117371431423354482124610121077',19775,'9998',35.20,1,2,1),(25,6039537,'1991-04-12 00:00:00',4,8,11,2010,'M','N','BRAGA','S JOSÉ PINHAIS','PR','116162166115471421456911445134610162161',NULL,'9998',0.00,1,3,NULL),(25,6039545,'1993-04-16 00:00:00',2,15,12,2010,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241136141411338933375122610138142',NULL,'29',14.38,4,3,NULL),(25,6039553,'1994-10-20 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241225141411323624245124610133147',11312,'262',44.50,1,3,NULL),(25,6039570,'1993-01-12 00:00:00',4,1,7,2010,'M','N','FLOR DE NÁPOLES','S JOSÉ','SC','124242241117371431448813572124610134092',14089,'739',40.73,1,3,NULL),(25,6039600,'1988-09-24 00:00:00',4,1,12,2007,'M','N','PQ MONTE ALEGRE','TABOÃO SERRA','SP','125252251216571211166721275122141564187',NULL,'9998',44.04,1,3,NULL),(25,6039618,'1993-01-14 00:00:00',4,3,11,2010,'F','N','CENTRO','CURITIBA','PR','116202161217121431458831575124610126147',NULL,'9998',0.00,1,3,NULL),(25,6039626,'1992-12-03 00:00:00',4,1,11,2010,'F','N','LARANJEIRAS','RIO JANEIRO','RJ','121112111216121431578833575122610166182',14723,'9998',38.52,1,3,NULL),(25,6039634,'1989-10-10 00:00:00',2,1,12,2008,'F','N','PATANAL','FLORIANÓPOLIS','SC','124201201326132751326729285114610138147',15737,'9998',37.67,4,3,NULL),(25,6039642,'1993-05-31 00:00:00',2,4,12,2010,'M','N','SANTA MARIA','CHAPECÓ','SC','124241241135471431536613376122610157052',7548,'169',50.17,1,2,1),(25,6039650,'1991-01-24 00:00:00',2,1,12,2009,'M','N','ALTO ARIRIU','PALHOÇA','SC','124241241125271431321169385124610143147',NULL,'1149',19.59,1,2,1),(25,6039669,'1991-09-22 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215372431357613575114133231012',9861,'988',51.59,1,3,NULL),(25,6039677,'1992-06-16 00:00:00',2,1,12,2010,'M','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124241241115371431639839382124610167047',17151,'295',35.25,4,2,1),(25,6039693,'1986-01-14 00:00:00',4,1,12,2004,'F','N','BOM VIVER','BIGUAÇU','SC','124241241226152431126944345124610144031',NULL,'262',26.80,1,3,NULL),(25,6039707,'1991-01-27 00:00:00',2,1,12,2008,'F','N','BOM VIVER','BIGUAÇU','SC','124241241125471131514711175114132023117',19336,'66',32.57,4,1,1),(25,6039715,'1992-11-30 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241115471421633313575122610134141',20835,'257',25.93,1,2,1),(25,6039731,'1990-04-26 00:00:00',2,1,12,2007,'M','N','SANTA CRUZ','ÁGUAS MORNAS','SC','124241241126142421443314244113610162152',NULL,'12',0.00,1,2,1),(25,6039740,'1990-09-30 00:00:00',2,1,12,2009,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241115471731223729575124610145127',19640,'281',31.94,1,2,1),(25,6039758,'1987-05-13 00:00:00',4,8,12,2004,'M','N','BOA VISTA','CURITIBA','PR','116254251117472431446824245114141446082',13044,'9998',41.29,1,3,NULL),(25,6039766,'1992-09-05 00:00:00',2,1,11,2010,'F','N','CAMPOS ELÍSEOS','RESENDE','RJ','121214211337221711646812271122610164097',NULL,'9998',30.79,4,3,NULL),(25,6039774,'1991-07-11 00:00:00',2,1,12,2010,'M','N','MORRO DA BINA','BIGUAÇU','SC','124241246136371441534313345124610117062',13424,'306',46.04,4,2,1),(25,6039782,'1994-07-05 00:00:00',4,1,12,2010,'M','N','AREAL','PELOTAS','RS','120202201216151731518913575112610132172',6925,'9998',53.47,1,3,NULL),(25,6039790,'1993-03-22 00:00:00',4,8,12,2010,'M','N','SÃO JOSÉ','PNT GROSSA','PR','116162161216111411479713571122610114122',8251,'9998',50.02,1,3,NULL),(25,6039804,'1981-06-25 00:00:00',2,1,11,1998,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241216275431137719445124131065172',19338,'211',36.19,1,3,NULL),(25,6039812,'1993-04-24 00:00:00',4,1,12,2010,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241115271321314372492124610154057',NULL,'281',31.66,1,2,1),(25,6039820,'1993-06-03 00:00:00',4,10,11,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215122431358932575122610163042',NULL,'807',30.00,1,3,NULL),(25,6039839,'1987-09-05 00:00:00',2,15,12,2004,'F','N','GUARITA','SOMBRIO','SC','124241241116142432423616352324231964197',16084,'1033',37.50,1,2,1),(25,6039847,'1993-04-16 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241217272711228821575114133264187',10393,'1022',50.66,1,3,NULL),(25,6039871,'1992-11-04 00:00:00',2,15,11,2010,'M','N','CENTRO','ARARANGUÁ','SC','124242241215321431344621275122610124012',4216,'970',61.54,1,3,NULL),(25,6039880,'1989-01-03 00:00:00',2,1,10,2008,'M','N','VILA ESPERANÇA','IMBITUBA','SC','124241247126431111316649342324611254112',NULL,'9999',27.80,1,2,1),(25,6039901,'1986-06-20 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124201201117131751324448186144610167047',13576,'9998',42.79,1,2,1),(25,6039910,'1993-03-19 00:00:00',2,8,11,2010,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241127131441426623296124610114117',NULL,'1103',25.91,1,2,1),(25,6039928,'1991-08-15 00:00:00',4,3,12,2008,'F','N','VILA SUISSA','MOGI CRUZES','SP','125252251117571431567734275122141124122',13680,'9998',40.06,1,3,NULL),(25,6039936,'1974-04-20 00:00:00',2,1,12,2005,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','224241241127141412424374142124142751182',NULL,'288',10.41,4,2,1),(25,6039944,'1992-04-25 00:00:00',4,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124243241117471431326614476124610134017',NULL,'257',37.36,4,3,NULL),(25,6039952,'1992-08-01 00:00:00',2,1,12,2009,'F','N','CENTRO','BIGUAÇU','SC','124242241217472441325723345124610165072',8595,'63',49.64,1,3,NULL),(25,6039960,'1979-08-17 00:00:00',2,1,12,1998,'M','N','MEIA PRAIA','ITAPEMA','SC','624241241146133431223343335124121738042',4514,'307',61.95,1,3,NULL),(25,6039987,'1990-12-13 00:00:00',4,6,12,2008,'M','N','CENTRO','ITAJAÍ','SC','124242241215573431489919245114610164042',2506,'855',65.07,1,3,NULL),(25,6039995,'1990-04-13 00:00:00',2,8,12,2008,'M','N','AMERICA','JOINVILLE','SC','124252251216371321259933475124232027055',18483,'9998',32.88,1,3,NULL),(25,6040004,'1992-04-19 00:00:00',2,1,12,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241127131431535734392124610122197',NULL,'591',15.44,4,2,1),(25,6040012,'1988-08-18 00:00:00',2,1,12,2006,'F','N','FORQUILHAS','S JOSÉ','SC','124204201116372432446313335124143261047',16111,'9998',36.52,4,3,NULL),(25,6040020,'1989-02-19 00:00:00',2,1,12,2006,'M','N','IPIRANGA','S JOSÉ','SC','124243241217132421333334342124133222172',14851,'976',43.92,1,3,NULL),(25,6040039,'1993-07-04 00:00:00',2,4,11,2010,'F','N','ZONA RURAL','ESPIGÃO D OESTE','RO','122222221236161431425916575123610122077',NULL,'9998',0.00,3,3,NULL),(25,6040047,'1992-11-01 00:00:00',2,1,8,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241117371441523614285324610116142',9099,'739',50.08,3,2,1),(25,6040055,'1984-05-12 00:00:00',2,1,12,2004,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','224241241146473441211354185124610164047',17657,'595',39.48,1,3,NULL),(25,6040071,'1992-08-12 00:00:00',4,8,10,2010,'M','N','BIGORRILHO','CURITIBA','PR','116161161315472751436319575125610138042',NULL,'9998',14.37,1,3,NULL),(25,6040098,'1993-05-03 00:00:00',4,1,12,2010,'F','N','TARUMÃ','CURITIBA','PR','116163168116211631448813595124610162112',NULL,'9997',0.00,4,3,NULL),(25,6040128,'1991-12-30 00:00:00',2,8,12,2009,'F','N','JARDIM PLANALTO','CORDEIRÓPOLIS','SP','125253251116141411348714345122610131123',NULL,'9998',38.59,1,3,NULL),(25,6040136,'1986-05-23 00:00:00',2,7,12,2004,'F','N','VILA IZABEL','CURITIBA','PR','116242241215572421356631575122341334142',19067,'962',32.21,1,3,NULL),(25,6040144,'1993-05-07 00:00:00',4,1,11,2010,'M','N','CENTRO','SOROCABA','SP','125252251215111231236621271115610135042',NULL,'9998',38.67,1,3,NULL),(25,6040152,'1992-06-01 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241225472431426623245124610146011',8801,'262',49.80,1,3,NULL),(25,6040160,'1986-09-21 00:00:00',4,1,3,2005,'M','N','ROÇADO','S JOSÉ','SC','124241241126471431435614375114130264017',21672,'729',25.68,1,2,1),(25,6040179,'1989-11-02 00:00:00',4,2,12,2007,'F','N','RIO MORTO','INDAIAL','SC','124241241116132731626328145123232543147',NULL,'787',20.04,1,3,NULL),(25,6040187,'1992-08-10 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241111111711426634392124610154182',NULL,'295',17.47,4,2,1),(25,6040217,'1994-11-04 00:00:00',2,15,12,2010,'M','N','JUNDIA','MELEIRO','SC','124241251115371432414435576124610134147',11267,'559',44.75,1,2,1),(25,6040225,'1992-09-17 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241117572431448614572124610124157',12297,'732',47.69,1,2,1),(25,6040241,'1987-09-19 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241147371331113344441124610138013',15983,'201',42.17,2,2,1),(25,6040250,'1992-05-17 00:00:00',4,1,12,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241216372231538613595114610167117',17168,'724',37.71,1,3,NULL),(25,6040276,'1991-12-24 00:00:00',2,2,11,2008,'F','N','SALTO DO NORTE','BLUMENAU','SC','124241241146372431326329145124610162177',NULL,'79',36.13,1,2,1),(25,6040284,'1975-08-15 00:00:00',4,1,12,1993,'F','N','GLEBA PALHANO','LONDRINA','PR','116161168115572431463319412112342646017',NULL,'9998',0.00,1,2,1),(25,6040292,'1991-01-02 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115573451249913191124610164012',1890,'307',69.25,1,2,1),(25,6040314,'1991-11-04 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124202241215373431336812376114610134141',8096,'1022',51.51,1,3,NULL),(25,6040322,'1993-08-26 00:00:00',4,1,12,2010,'M','N','CENTRO','GETÚLIO VARGAS','RS','120201201111271331325639575125610167047',NULL,'9998',36.99,1,2,1),(25,6040330,'1984-06-25 00:00:00',2,1,10,2002,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241132133431423419445124133266187',7190,'635',54.14,1,2,1),(25,6040349,'1993-03-11 00:00:00',4,1,10,2009,'M','N','CAMPOS DO IGUAÇU','FOZ IGUAÇU','PR','116162161217471441358813585114610144182',10172,'9998',47.07,1,3,NULL),(25,6040373,'1990-04-11 00:00:00',2,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124111241126141731114644245124610136093',18509,'287',33.36,3,2,1),(25,6040381,'1991-11-25 00:00:00',2,1,12,2009,'F','N','BELA VISTA','MTE ALTO','SP','125254251416473431537721575225610162092',14583,'9998',39.61,1,3,NULL),(25,6040390,'1993-02-02 00:00:00',4,8,12,2010,'M','N','JACAREPAGUÁ','RIO JANEIRO','RJ','121241211217131411323334575324610126017',8145,'9998',50.10,1,3,NULL),(25,6040403,'1987-06-04 00:00:00',2,1,12,2005,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126475431433331245124610164062',NULL,'290',0.00,1,2,1),(25,6040411,'1992-08-05 00:00:00',2,1,12,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241116572431323369245124233218172',NULL,'287',0.00,1,2,1),(25,6040420,'1992-10-01 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124273271116571751436613385115610123097',13461,'9998',41.62,1,3,NULL),(25,6040438,'1983-11-22 00:00:00',2,1,10,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224246247637472432428444145124610128177',NULL,'9999',25.33,2,1,2),(25,6040462,'1991-12-15 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241112132431523619382114610122052',NULL,'295',27.13,1,2,1),(25,6040470,'1989-10-25 00:00:00',4,1,12,2006,'M','N','REBOUÇAS','CURITIBA','PR','116132071216572411588912475112142332183',7501,'9998',54.39,1,3,NULL),(25,6040489,'1985-07-16 00:00:00',2,4,12,2002,'M','N','CENTRO','BR COTEGIPE','RS','120204201136151431443311175122143262142',NULL,'9998',0.00,1,3,NULL),(25,6040497,'1991-04-22 00:00:00',4,1,12,2010,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215122431479913575121610117185',13997,'951',40.37,1,3,NULL),(25,6040500,'1992-10-19 00:00:00',2,15,11,2010,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241216373431446923575122610168182',14380,'970',39.85,1,3,NULL),(25,6040519,'1990-03-13 00:00:00',4,1,8,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242157216372432468914485114130444185',17237,'9998',34.56,1,3,NULL),(25,6040527,'1993-01-28 00:00:00',2,1,12,2010,'F','N','SÃO JOSÉ','S LEOPOLDO','RS','120201201216131441335669575124610128092',NULL,'9998',0.00,1,3,NULL),(25,6040535,'1983-09-24 00:00:00',4,1,8,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211373221159911412112322632052',95,'499',83.72,1,3,NULL),(25,6040543,'1992-04-24 00:00:00',2,1,12,2009,'F','N','NOSSO TETO','APIAÍ','SP','125251251116171431536313395125610126181',NULL,'9998',0.00,1,3,NULL),(25,6040551,'1981-10-11 00:00:00',4,1,12,1999,'M','N','BARREIROS','S JOSÉ','SC','124241244126135431361629335122522922197',7455,'306',51.73,1,2,1),(25,6040560,'1985-06-18 00:00:00',4,1,12,2003,'M','N','KOBRASOL','S JOSÉ','SC','124241241146131421223948385122233227097',18945,'744',37.03,1,3,NULL),(25,6040578,'1985-07-08 00:00:00',4,1,12,2002,'F','N','CENTRO','VACARIA','RS','124201201117372421137844442122321537187',5474,'9998',59.81,1,2,1),(25,6040586,'1992-09-04 00:00:00',4,8,12,2010,'M','N','COQUEIRAL','CASCAVEL','PR','116052161215111411548832225124610167181',16027,'9998',35.95,1,3,NULL),(25,6040594,'1976-03-12 00:00:00',4,1,12,2004,'M','N','BARREIROS','S JOSÉ','SC','524244241216142421267923335112131037097',17172,'735',40.33,4,3,NULL),(25,6040632,'1982-10-13 00:00:00',2,1,7,2005,'F','N','IPIRANGA','S JOSÉ','SC','124241241126152131325624482114610164014',NULL,'734',31.58,2,1,1),(25,6040640,'1991-11-16 00:00:00',2,1,12,2008,'M','N','KOBRASSOL','S JOSÉ','SC','124242241216312411358733215122231442112',11353,'1022',49.12,1,3,NULL),(25,6040659,'1987-04-03 00:00:00',2,1,12,2005,'F','N','COQUEIRO','BELÉM','PA','114141141116271431436521572124141323197',17329,'9998',40.05,4,2,1),(25,6040675,'1992-09-12 00:00:00',4,1,12,2009,'M','N','PRAIA DO SONHO','PALHOÇA','SC','124201241127372431443611385114610132197',16827,'595',37.72,1,2,1),(25,6040691,'1990-02-09 00:00:00',2,1,12,2010,'M','N','CENTRO','TOLEDO','PR','116163167347241631459813375122610114152',20787,'9998',26.82,1,3,NULL),(25,6040713,'1971-08-29 00:00:00',2,1,12,1993,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224251253126172431244449295123610162097',15328,'9998',37.65,4,1,1),(25,6040721,'1993-08-07 00:00:00',2,7,11,2010,'M','N','UNIVERSITARIO','VIDEIRA','SC','124241241317171411571612171122610164131',20964,'969',24.15,1,3,NULL),(25,6040730,'1992-11-09 00:00:00',4,1,11,2010,'F','N','PORTO','CAPELA ALTO','SP','125252251211111411637811575124610137047',9297,'9998',49.02,1,3,NULL),(25,6040748,'1977-11-19 00:00:00',2,1,12,2010,'M','N','JARDIM VIRGÍNIA','ITAPEVA','SP','125241257127131741125629185124610134017',NULL,'9998',21.74,4,2,1),(25,6040764,'1987-05-24 00:00:00',4,1,12,2004,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216374421148944445122221463015',601,'269',76.71,1,3,NULL),(25,6040772,'1994-02-23 00:00:00',4,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241217111431568713572114610138042',3102,'270',64.97,1,3,NULL),(25,6040799,'1989-02-17 00:00:00',2,6,12,2005,'F','N','QUINTA DOS ASSORIANO','BARRA VELHA','SC','124091091116131431431579345121142964047',NULL,'9998',36.49,1,3,NULL),(25,6040802,'1992-06-06 00:00:00',4,1,12,2009,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091215372431478913572122610112042',6263,'9998',54.68,1,3,NULL),(25,6040810,'1990-09-11 00:00:00',4,3,12,2008,'F','N','PARQUE OLÍMPICO','MOGI CRUZES','SP','125251251216571431336833575122610128047',19428,'9998',28.96,4,3,NULL),(25,6040829,'1992-03-15 00:00:00',4,1,12,2009,'M','N','JARDIM DAS OLIVEIRAS','TABOÃO SERRA','SP','125251251126471431543619245124610164097',9100,'9998',49.05,2,1,1),(25,6040837,'1988-09-02 00:00:00',4,17,12,2006,'M','N','CENTRO','PAPANDUVA','SC','124241241146271431423314182314131064137',NULL,'603',0.00,4,2,1),(25,6040845,'1992-07-27 00:00:00',2,5,6,2010,'M','N','OPERARIA NOVA','CRICIÚMA','SC','124241243215371431565532445122610161143',16878,'995',35.10,1,3,NULL),(25,6040861,'1980-10-27 00:00:00',2,1,12,2001,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241127271411226548285124610124187',20764,'296',32.10,4,2,1),(25,6040870,'1982-06-06 00:00:00',2,1,12,2000,'F','N','ROSSATO','STA MARIA','RS','120201201116431431533723475124241364197',NULL,'9998',0.00,2,1,1),(25,6040888,'1991-03-22 00:00:00',2,1,12,2008,'M','N','CENTRO','IMBITUBA','SC','124241241117472431537613185124610167117',13132,'307',43.71,1,2,1),(25,6040896,'1988-05-04 00:00:00',4,3,12,2005,'M','N','ZONA TRÊS','MARINGÁ','PR','116162161216575451436939574122610168082',1029,'9998',73.79,3,3,NULL),(25,6040918,'1992-04-26 00:00:00',2,1,12,2009,'M','N','AFONSO PENA','S JOSÉ PINHAIS','PR','116161161116471421536619585124610164057',NULL,'9998',0.00,1,2,1),(25,6040926,'1982-08-20 00:00:00',2,1,12,2002,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241247342374431228648282124610122147',NULL,'1003',24.13,1,3,NULL),(25,6040934,'1992-01-01 00:00:00',4,1,12,2010,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241115472431326469572124610136072',20314,'307',26.97,1,2,1),(25,6040942,'1992-11-17 00:00:00',4,3,12,2009,'M','N','ZONA TRÊS','MARINGÁ','PR','116162161216472451436939574122610168182',7052,'9998',54.50,3,3,NULL),(25,6040950,'1991-05-05 00:00:00',2,8,12,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241215472431238923442134610142142',4717,'861',58.62,1,3,NULL),(25,6040977,'1982-12-30 00:00:00',4,1,12,2000,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','624243241217574431248853245123321842097',2148,'9997',68.75,1,3,NULL),(25,6040985,'1982-06-14 00:00:00',2,9,12,2003,'M','N','VILA NOVA','LAGES','SC','124201201122132421111371285114132338194',NULL,'9998',17.22,1,2,1),(25,6040993,'1989-08-19 00:00:00',4,1,11,2007,'M','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251216271431489814375112140232051',NULL,'9998',0.00,1,3,NULL),(25,6041000,'1990-03-04 00:00:00',4,1,8,2007,'M','N','N SRA DO ROSARIO','S JOSÉ','SC','124243248317131111428624285114610162187',21773,'9999',22.87,1,3,NULL),(25,6041019,'1993-08-29 00:00:00',4,3,11,2010,'F','N','APONIÃ','PTO VELHO','RO','122222221217111731576623475122610136052',7883,'9998',49.83,1,3,NULL),(25,6041027,'1989-12-08 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241317375431389933475114230426187',1303,'270',71.47,1,3,NULL),(25,6041043,'1993-07-15 00:00:00',2,1,12,2010,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241215471431248924574122610127142',9607,'262',52.02,1,3,NULL),(25,6041051,'1993-03-15 00:00:00',4,1,11,2010,'F','N','PARQUE RESIDENCIAL','RIO GRANDE','RS','120204201217371431558713445122610126147',7929,'9998',51.14,1,3,NULL),(25,6041060,'1991-01-12 00:00:00',2,1,12,2008,'F','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124241241146142131435423445134610167013',NULL,'9997',19.65,1,2,1),(25,6041078,'1979-10-12 00:00:00',1,1,12,1997,'F','N','SERRARIA','S JOSÉ','SC','124241246125273431123443131124223214142',12052,'9997',48.05,1,2,1),(25,6041086,'1993-10-25 00:00:00',4,2,12,2010,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241115371421323418275124610123147',NULL,'83',0.00,1,2,1),(25,6041132,'1993-10-26 00:00:00',4,10,10,2010,'M','N','CENTRO','TUBARÃO','SC','124242241415121431268912575112610162052',16519,'806',41.37,1,3,NULL),(25,6041140,'1992-02-05 00:00:00',4,1,12,2009,'F','N','JARDIM PRUDENCIA','S PAULO','SP','125252251117151431438833315124240425117',9458,'9998',52.28,1,3,NULL),(25,6041159,'1985-11-14 00:00:00',2,8,12,2003,'M','N','MORRO DO MEIO','JOINVILLE','SC','124241241126141411533314445233233237041',17300,'481',40.10,1,2,1),(25,6041167,'1991-10-03 00:00:00',4,15,12,2008,'M','N','PARQUE ALVORADA','ARARANGUÁ','SC','124241241146132732323344242211610136147',NULL,'29',15.43,1,3,NULL),(25,6041175,'1988-02-25 00:00:00',2,1,12,2005,'M','N','STO ANTONIO DE LISB','FLORIANÓPOLIS','SC','124241247437141431236514145132610167065',19765,'9999',35.22,1,3,NULL),(25,6041191,'1983-06-06 00:00:00',4,1,12,2000,'F','N','HUMAITÁ','TUBARÃO','SC','624244241216232431216959295125332035182',NULL,'269',0.00,1,3,NULL),(25,6041205,'1993-03-17 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241116472751348613575125610114187',716,'1146',74.56,1,3,NULL),(25,6041213,'1993-10-23 00:00:00',4,2,12,2010,'M','N','SÃO JORGE','APIÚNA','SC','124241241126271431434332395124610114057',NULL,'22',0.00,1,3,NULL),(25,6041221,'1990-02-15 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116372411433335575122131837142',4129,'821',61.12,1,2,1),(25,6041230,'1987-02-16 00:00:00',4,1,11,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124212211216273431356821495124231422017',8743,'9998',53.53,1,3,NULL),(25,6041248,'1993-09-01 00:00:00',4,1,12,2010,'F','N','JARDIM ESPLANADA','S JOSÉ CAMPOS','SP','125254251216121411458811475122610125147',1738,'9998',68.41,1,3,NULL),(25,6041264,'1988-03-25 00:00:00',2,1,12,2005,'F','N','AREIAS','S JOSÉ','SC','124241241115131431335534245124610164077',NULL,'257',35.98,1,2,1),(25,6041272,'1993-03-15 00:00:00',4,10,12,2010,'F','N','PROGRESSO','LAGUNA','SC','124241241117271431528413475224610138177',NULL,'521',17.15,1,2,1),(25,6041280,'1991-01-03 00:00:00',2,6,12,2008,'M','N','SÃO JOÃO','ITAJAÍ','SC','124241246216373231436632345131130224052',6829,'1059',54.24,1,3,NULL),(25,6041299,'1992-04-13 00:00:00',4,8,12,2010,'M','N','PORTO CANOA','SERRA','ES','108082086116111421557834245124610167052',NULL,'9998',0.00,4,3,NULL),(25,6041302,'1990-09-12 00:00:00',4,8,12,2008,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124243246215572411336619485124610164142',7347,'1105',52.10,1,3,NULL),(25,6041310,'1988-10-24 00:00:00',4,1,12,2006,'F','N','BARÃO GERALDO','CAMPINAS','SP','125254254117572431357923175122610162182',6349,'9998',54.66,1,3,NULL),(25,6041337,'1987-05-02 00:00:00',2,1,12,2005,'F','N','BOM FIM','PTO ALEGRE','RS','120224201416575731139971575124140667097',NULL,'9998',0.00,1,3,NULL),(25,6041345,'1989-02-18 00:00:00',4,5,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241416154411114649295231222246187',13842,'210',45.41,1,3,NULL),(25,6041353,'1990-02-28 00:00:00',4,1,12,2008,'F','N','PARQUE SAO JORGE','FLORIANÓPOLIS','SC','124242248211274411438814482114132767051',10811,'1022',49.97,1,3,NULL),(25,6041361,'1991-07-01 00:00:00',2,5,12,2008,'F','N','SANTA ANA','FORQUILHINHA','SC','124241244415371451648614372124610127052',NULL,'309',0.00,1,3,NULL),(25,6041370,'1973-05-04 00:00:00',4,1,12,1990,'F','N','NOVO MUNDO','CURITIBA','PR','116161163116471431433339275124342224097',5128,'9998',57.66,1,3,NULL),(25,6041388,'1990-06-19 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215173431457817584122610123092',6023,'262',57.02,1,3,NULL),(25,6041400,'1992-07-11 00:00:00',4,1,11,2009,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161217472451369824595112610164147',5108,'9998',60.61,1,3,NULL),(25,6041418,'1993-12-22 00:00:00',2,4,12,2010,'F','N','CENTRO','QUILOMBO','SC','124244241427131431428834275122610126017',NULL,'648',28.03,1,3,NULL),(25,6041434,'1989-12-19 00:00:00',4,8,12,2007,'F','N','ATIRADORES','JOINVILLE','SC','124252241215272421538614385124133237072',11490,'488',44.46,1,3,NULL),(25,6041442,'1983-03-18 00:00:00',2,1,10,2000,'M','N','CAMOBI','STA MARIA','RS','120204208336371431254472295122141064183',NULL,'9998',22.15,1,3,NULL),(25,6041450,'1993-02-16 00:00:00',4,1,1,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','112284121217121431425729575122610128147',15167,'9998',43.46,1,3,NULL),(25,6041477,'1992-12-12 00:00:00',2,5,8,2010,'F','N','MINA BRASIL','CRICIÚMA','SC','124243246216131431435511345124610121152',NULL,'995',19.95,1,3,NULL),(25,6041493,'1982-12-23 00:00:00',4,15,7,2001,'M','N','CENTRO','BAL ARROIO SILVA','SC','124241241326131421323543335114133262037',NULL,'32',0.00,1,3,NULL),(25,6041507,'1991-02-03 00:00:00',4,1,12,2007,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241115272731438644445234610164047',10976,'307',46.10,1,2,1),(25,6041523,'1991-10-10 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124203201215372431228614575124610122122',10024,'9998',48.08,1,3,NULL),(25,6041540,'1992-01-25 00:00:00',2,5,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124242243215371431216729172112610138187',NULL,'995',0.00,1,3,NULL),(25,6041558,'1992-07-25 00:00:00',4,1,12,2009,'M','N','CENTRO','S JOSÉ CAMPOS','SP','125122251211471431536715591125610167122',2795,'9998',63.53,1,3,NULL),(25,6041566,'1991-10-24 00:00:00',4,1,12,2009,'F','N','VILA CANEVARI','CRUZEIRO','SP','125131251114371411434824445124610133127',NULL,'9998',0.00,1,2,1),(25,6041574,'1991-04-23 00:00:00',2,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241126141531478311245122610134142',NULL,'49',0.00,1,3,NULL),(25,6041582,'1994-03-04 00:00:00',2,4,12,2010,'F','N','CEEE','SALTO JACUÍ','RS','120201206116161431447613235122610157013',NULL,'9998',0.00,1,3,NULL),(25,6041590,'1990-03-30 00:00:00',2,1,12,2008,'M','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124242241212273721556614375124610157057',15131,'1075',40.68,1,3,NULL),(25,6041604,'1992-05-03 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241126271431113344145124610122042',13898,'649',45.33,1,2,1),(25,6041612,'1988-08-20 00:00:00',2,1,12,2005,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216132431233943435134121137047',5791,'1022',59.18,1,3,NULL),(25,6041620,'1991-04-12 00:00:00',4,1,7,2010,'M','N','AREIAS DE CIMA','BIGUAÇU','SC','124241246116573721624314575124610142142',NULL,'306',0.00,1,2,1),(25,6041647,'1989-05-05 00:00:00',4,1,12,2006,'F','N','AREIAS','S JOSÉ','SC','124241241116131421533371245122133214152',NULL,'307',24.49,1,3,NULL),(25,6041655,'1986-02-25 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201116132431133519345224321167047',14725,'287',44.12,1,2,1),(25,6041671,'1991-07-31 00:00:00',2,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241211472431657823574114610123072',7446,'723',52.79,2,3,NULL),(25,6041680,'1993-06-16 00:00:00',4,8,5,2010,'F','N','PIRABEIRABA','JOINVILLE','SC','224242281415271411449814375122610124012',4051,'861',61.47,1,3,NULL),(25,6041698,'1993-02-18 00:00:00',4,8,11,2010,'M','N','ENSEADA','S FRANCISCO SUL','SC','124242246216111411389722124124610127112',8006,'494',50.24,1,3,NULL),(25,6041710,'1993-06-24 00:00:00',4,4,11,2010,'F','N','CENTRO','CURITIBA','PR','116162168216471731584813575122610124012',NULL,'9998',0.00,1,3,NULL),(25,6041728,'1990-12-16 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241216272411237629495234131435142',15235,'445',39.93,1,3,NULL),(25,6041736,'1987-08-13 00:00:00',2,4,12,2004,'M','N','ZONA I','UMUARAMA','PR','116161168126241731436613245132343227047',NULL,'9998',0.00,1,3,NULL),(25,6041744,'1993-07-11 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241141131331433314571324610124147',NULL,'288',33.53,1,2,1),(25,6041760,'1992-11-24 00:00:00',4,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116472431434314345124610127052',20127,'733',34.25,1,2,1),(25,6041809,'1991-12-28 00:00:00',4,1,12,2009,'F','N','AQUARIOS','S JOSÉ CAMPOS','SP','125252251231472411457734585122610163072',8613,'9998',52.49,1,3,NULL),(25,6041833,'1991-08-06 00:00:00',2,1,6,2010,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241247416271751436613445124610161142',NULL,'9999',21.51,1,3,NULL),(25,6041841,'1993-08-06 00:00:00',4,1,11,2010,'F','N','BUENO','GOIÂNIA','GO','109094091215171411346932571122610152012',8494,'9998',51.08,1,3,NULL),(25,6041850,'1990-11-19 00:00:00',4,8,12,2008,'M','N','CENTRO','S BENTO SUL','SC','124241241416471411348614375124141444072',16571,'974',36.33,1,3,NULL),(25,6041868,'1992-08-29 00:00:00',4,1,12,2009,'M','N','VILA CARMOSINA','S PAULO','SP','125252253214371321454823145125610164077',21786,'9998',21.85,4,1,2),(25,6041876,'1991-12-12 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241211272431523521212221610128117',9492,'1119',52.23,1,3,NULL),(25,6041884,'1992-03-31 00:00:00',4,1,12,2009,'M','N','CENTRO','FOZ IGUAÇU','PR','116163161244471431638711245133610164092',5951,'9998',58.85,1,3,NULL),(25,6041892,'1994-05-30 00:00:00',4,10,11,2011,'F','S','CENTRO','TUBARÃO','SC','124242241215111631467616365122613236197',NULL,'807',50.93,1,3,NULL),(25,6041906,'1993-08-15 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241125211751434923395124610136142',20661,'592',27.85,1,3,NULL),(25,6041914,'1989-09-06 00:00:00',4,1,8,2008,'F','N','REAL PARQUE','S JOSÉ','SC','224241247126572331323653345124610157092',10168,'9999',49.38,1,2,1),(25,6041922,'1990-03-17 00:00:00',4,15,11,2006,'M','N','LAGOA DE FORA','BAL GAIVOTA','SC','124241241116131421326624145123130762152',16369,'1033',37.50,1,2,1),(25,6041930,'1993-07-16 00:00:00',4,1,12,2010,'F','N','ALPHAVILE FLAMBOYANT','GOIÂNIA','GO','109092091215111431478811575122610123072',NULL,'9998',0.00,1,3,NULL),(25,6041957,'1982-04-29 00:00:00',4,15,12,2000,'M','N','COLONINHA','ARARANGUÁ','SC','224202201217141431334544442223140434185',12885,'9998',46.76,1,3,NULL),(25,6041965,'1991-08-23 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215422411333339595124610165051',12227,'270',44.68,1,3,NULL),(25,6041981,'1960-09-04 00:00:00',2,1,5,2008,'F','N','COSTA DE CIMA','FLORIANÓPOLIS','SC','524213217221132431123549341114143061187',NULL,'9998',26.56,1,3,NULL),(25,6042007,'1991-10-06 00:00:00',4,8,12,2009,'M','N','SANTA ROSÁLIA','SOROCABA','SP','125252251216371731438724375114610168184',7677,'9998',52.09,1,3,NULL),(25,6042015,'1990-12-15 00:00:00',4,1,7,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242243315151431558812492124610164142',17091,'306',35.53,1,3,NULL),(25,6042023,'1993-04-12 00:00:00',2,3,12,2010,'F','N','MUNICIPIOS','BAL CAMBORIÚ','SC','124241243115131431445923572222610166147',16080,'129',36.48,2,1,1),(25,6042031,'1992-12-15 00:00:00',4,1,12,2010,'M','N','ARIRIÚ','PALHOÇA','SC','124241241115371431426629575124610136172',16943,'592',35.52,1,2,1),(25,6042058,'1991-01-29 00:00:00',2,1,12,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241115372731526634472114610117047',NULL,'271',18.47,4,2,1),(25,6042066,'1992-02-01 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116272731123644245114131064142',2152,'512',67.70,1,2,1),(25,6042074,'1991-06-10 00:00:00',4,1,11,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241127271431421429242124610121147',NULL,'285',23.72,1,2,1),(25,6042082,'1993-02-25 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124212201217131431328611174224610118142',18067,'9998',32.85,1,3,NULL),(25,6042090,'1990-01-13 00:00:00',2,1,12,2007,'F','N','CENTRO','VIDAL RAMOS','SC','124241241116132441323923235124233234077',NULL,'828',20.72,1,2,1),(25,6042104,'1989-08-13 00:00:00',2,1,12,2007,'F','N','HARMONIA','CANOAS','RS','120201207346471441323644345224140627117',NULL,'9998',37.93,1,3,NULL),(25,6042112,'1956-09-13 00:00:00',5,1,12,1975,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224161161324142431433349295134340231042',NULL,'9998',0.00,1,3,NULL),(25,6042120,'1985-08-19 00:00:00',2,1,12,2005,'M','N','AREIAS','S JOSÉ','SC','224243241111473431223144445224610127041',15024,'257',38.57,1,3,NULL),(25,6042147,'1989-10-14 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241316574431226321245134610166172',9991,'298',46.81,1,3,NULL),(25,6042155,'1990-11-01 00:00:00',2,2,12,2007,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241116131431523614294124133237087',NULL,'873',0.00,1,2,1),(25,6042163,'1985-09-05 00:00:00',4,1,12,2007,'M','N','ROÇADO','S JOSÉ','SC','105051057146131311631119185314610124017',NULL,'9998',28.52,2,1,1),(25,6042171,'1987-03-25 00:00:00',4,10,12,2004,'M','N','OFICINAS','TUBARÃO','SC','124242241216272421548613435133610155055',5921,'809',58.92,1,3,NULL),(25,6042180,'1989-06-08 00:00:00',4,1,12,2006,'M','N','CHÁCARA DA BARRA','CAMPINAS','SP','125252251216471731436211315122143267047',8642,'9998',49.91,4,3,NULL),(25,6042198,'1992-12-11 00:00:00',2,2,12,2009,'F','N','DOM JOAQUIM','BRUSQUE','SC','124241241147272731334439245124610134147',13015,'114',44.79,1,2,1),(25,6042201,'1990-10-26 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116374731334633245112610134147',17271,'592',35.30,1,2,1),(25,6042210,'1986-11-25 00:00:00',4,15,12,2004,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','224241241122131421423354342322610137052',21545,'29',27.50,1,2,1),(25,6042228,'1971-06-19 00:00:00',2,1,12,2006,'F','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','224241247126131751423359295112610153147',NULL,'9999',25.96,1,2,1),(25,6042236,'1992-08-21 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241248136152411366662345124610164177',20712,'257',32.33,1,2,1),(25,6042244,'1992-10-09 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241132131431533624385114610136142',NULL,'1116',24.35,1,2,1),(25,6042252,'1988-09-13 00:00:00',4,5,12,2008,'M','N','SANTO ANTONIO','PTO ALEGRE','RS','120201207121131431638364345324610127047',NULL,'9998',19.72,1,2,1),(25,6042260,'1992-08-31 00:00:00',4,7,12,2009,'F','N','NOSSA SRA DE LOURDES','CAMPOS NOVOS','SC','124242241416473431456812345122610126147',10848,'139',45.96,1,3,NULL),(25,6042279,'1993-05-08 00:00:00',2,10,12,2010,'F','N','BALN ITAPIRUBA','IMBITUBA','SC','124201241115131431626828175224610132147',NULL,'359',20.67,1,3,NULL),(25,6042287,'1992-09-09 00:00:00',4,8,11,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161215572431358914574114610162011',7482,'9998',52.72,1,3,NULL),(25,6042295,'1992-10-20 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215473231436611575124231223073',7789,'737',52.81,1,3,NULL),(25,6042309,'1992-04-24 00:00:00',2,6,12,2009,'M','N','CENTRO','CAMPINA MISSÕES','RS','120203201126111431325629295122610167047',NULL,'9998',0.00,1,3,NULL),(25,6042317,'1992-12-28 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431558812472124610164112',NULL,'1022',20.08,1,3,NULL),(25,6042325,'1992-12-05 00:00:00',4,1,12,2010,'F','N','NOVA BELÉM','PAULO LOPES','SC','124241241227131751524414595124610166047',7125,'262',52.91,1,3,NULL),(25,6042333,'1987-01-22 00:00:00',2,1,12,2006,'F','N','TAPERA','FLORIANÓPOLIS','SC','224241241126471431335354445123610164187',16018,'283',37.84,1,2,1),(25,6042350,'1992-09-26 00:00:00',4,17,12,2009,'F','N','CENTRO','MAJ VIEIRA','SC','124241241115151431526615592122610138042',21414,'146',28.71,1,2,1),(25,6042376,'1991-02-17 00:00:00',2,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124244241135471731436614295134610127097',14176,'257',39.24,1,3,NULL),(25,6042384,'1991-07-18 00:00:00',4,8,12,2008,'M','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125122121215571431575933571113610147061',4570,'9998',59.70,1,3,NULL),(25,6042392,'1987-03-30 00:00:00',2,1,12,2008,'F','N','SERTAO','STO AMARO IMPERATRIZ','SC','224241247141575431226353282224133227147',992,'9999',73.06,1,2,1),(25,6042406,'1992-10-16 00:00:00',2,7,12,2009,'M','N','INTERIOR','LUZERNA','SC','124241241116131421523315255223610128147',NULL,'539',20.43,1,2,1),(25,6042430,'1993-12-25 00:00:00',4,2,12,2010,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124161241117471431338811572124610168182',13427,'69',41.57,1,2,1),(25,6042457,'1992-01-13 00:00:00',4,5,11,2009,'M','N','MILANESE','CRICIÚMA','SC','124242248116372411648833385122610132177',16876,'1096',35.39,1,3,NULL),(25,6042473,'1993-02-26 00:00:00',2,1,12,2010,'F','N','CENTRO','VERÊ','PR','116161161117151531323336575312610164062',NULL,'9998',25.43,1,2,1),(25,6042490,'1991-08-31 00:00:00',4,15,11,2008,'M','N','CENTRO','JACINTO MACHADO','SC','124241241121162521544412195122223264045',17336,'420',35.89,1,2,1),(25,6042503,'1990-01-06 00:00:00',4,1,12,2007,'M','N','CENTRO','RIBEIRÃO PIRES','SP','125252251116471751336624445224610168187',10641,'9998',46.01,1,3,NULL),(25,6042511,'1975-04-21 00:00:00',2,1,12,1993,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','224251251146271431253453375122342732182',5724,'9998',57.43,1,2,1),(25,6042538,'1993-10-08 00:00:00',4,1,12,2010,'M','N','PAU ARCADO','CPO LIMPO PAULISTA','SP','125252251217271431678932572122610164122',16972,'9998',35.22,1,3,NULL),(25,6042546,'1986-09-09 00:00:00',5,1,9,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117132441658833485124322264147',NULL,'306',0.00,1,3,NULL),(25,6042554,'1985-09-01 00:00:00',2,1,6,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244247213271431463663393122133211112',NULL,'9999',35.98,1,3,NULL),(25,6042562,'1992-03-18 00:00:00',2,1,5,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241215251431436614245124610117112',NULL,'300',15.93,1,3,NULL),(25,6042570,'1992-11-10 00:00:00',4,1,12,2010,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241116371531421311295124610137047',16512,'591',36.07,1,2,1),(25,6042589,'1990-04-13 00:00:00',2,1,12,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241332132431636313385114610136142',21319,'271',29.30,1,3,NULL),(25,6042597,'1989-09-18 00:00:00',2,1,12,2006,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241248117272711635539185124610127077',16280,'21',41.73,1,3,NULL),(25,6042619,'1992-10-27 00:00:00',4,8,11,2010,'F','N','GLÓRIA','JOINVILLE','SC','124242241215371431469732575112610144147',NULL,'1063',0.00,1,3,NULL),(25,6042627,'1992-10-28 00:00:00',4,3,11,2009,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124244243112322431246924345121131454147',4187,'129',60.52,1,3,NULL),(25,6042635,'1986-04-15 00:00:00',4,4,12,2003,'M','N','MENEGUETTI III','S LOURENÇO OESTE','SC','124241241126132431123343335134143268187',NULL,'579',0.00,4,2,1),(25,6042643,'1981-04-30 00:00:00',2,1,12,1998,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','624241241136133751323459292132610134142',NULL,'307',0.00,1,3,NULL),(25,6042651,'1958-06-18 00:00:00',2,1,12,2003,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','224241248123132221457614242122130212127',NULL,'257',26.72,1,3,NULL),(25,6042660,'1994-04-28 00:00:00',2,1,12,2010,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124243241116131731424434272224610125017',NULL,'739',0.00,1,3,NULL),(25,6042678,'1991-03-08 00:00:00',4,1,12,2008,'M','N','SANTO ANT DE LISBOA','FLORIANÓPOLIS','SC','124241241125472431333614281114610124045',9592,'279',51.15,1,3,NULL),(25,6042686,'1994-04-19 00:00:00',2,1,12,2011,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111431469931575124610125147',NULL,'883',44.86,1,3,NULL),(25,6042708,'1990-07-16 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','118182181217372431359833585124610137057',13036,'9998',40.69,1,3,NULL),(25,6042716,'1992-11-11 00:00:00',2,10,12,2009,'F','N','SANGA GRANDE','JAGUARUNA','SC','124241241126372431433536192125610167147',NULL,'421',24.55,1,2,1),(25,6042732,'1986-09-02 00:00:00',2,1,12,2004,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124161161116131431123344445114133227092',NULL,'9998',21.70,1,2,1),(25,6042740,'1975-01-27 00:00:00',2,1,12,1992,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224201208116133721323454445134141862147',NULL,'9998',0.00,1,2,1),(25,6042759,'1990-08-29 00:00:00',2,9,12,2009,'M','N','SANTA PAULINA','S JOAQUIM','SC','124241242146131532423421345214610132052',NULL,'903',29.25,4,2,1),(25,6042767,'1992-06-10 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241415472411456932571114610141122',2650,'1022',65.58,4,3,NULL),(25,6042775,'1987-04-02 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216133411453934495114321712092',NULL,'317',0.00,1,3,NULL),(25,6042783,'1992-08-19 00:00:00',2,1,12,2009,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241117472411433311277124610152017',6079,'65',58.55,1,2,1),(25,6042791,'1988-01-08 00:00:00',2,1,12,2005,'F','N','SANTA CRUZ DA FIGUEI','ÁGUAS MORNAS','SC','224241241136114441223454375114230636142',12602,'978',41.80,1,2,1),(25,6042805,'1981-08-28 00:00:00',4,5,12,1999,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215375451353731312132333237042',7313,'226',56.16,1,3,NULL),(25,6042813,'1991-03-29 00:00:00',2,1,7,2010,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124243247216141411459622145124230263157',20026,'270',34.49,1,3,NULL),(25,6042830,'1990-03-26 00:00:00',4,6,12,2007,'F','N','JARDIM MARIA LUIZA','CASCAVEL','PR','116161161216473431434619171122610112097',13128,'9998',40.93,1,3,NULL),(25,6042848,'1985-07-12 00:00:00',2,7,12,2002,'F','N','CENTRO','FRAIBURGO','SC','124241245226171431454911235132331312142',NULL,'319',0.00,1,3,NULL),(25,6042856,'1990-02-08 00:00:00',4,1,12,2007,'M','N','SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC','124242241414273431368823571122133237182',9890,'270',47.64,1,3,NULL),(25,6042864,'1992-06-26 00:00:00',2,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124203241117141431228821395124610137045',NULL,'298',31.61,1,3,NULL),(25,6042872,'1986-04-01 00:00:00',2,1,12,2003,'M','N','CENTRO','VERÊ','PR','116161161116151731143342425132440864062',15316,'9998',43.21,1,2,1),(25,6042880,'1993-10-13 00:00:00',4,4,12,2010,'M','N','CENTRO','ÁGUAS CHAPECÓ','SC','124242241211171431368921575124610164017',5826,'1191',56.59,1,3,NULL),(25,6042929,'1992-08-16 00:00:00',4,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124241241115472431326619371125610166172',6773,'239',54.06,1,2,1),(25,6042937,'1993-11-13 00:00:00',2,10,12,2010,'F','N','MAGALHÃES','LAGUNA','SC','124243241226371431213444245124610126192',15252,'524',38.50,1,3,NULL),(25,6042945,'1991-08-13 00:00:00',2,10,12,2008,'F','N','CIDADE NOVA','VENÂNCIO AIRES','RS','120203201117571431546511245114610162097',10491,'9998',46.18,1,3,NULL),(25,6042953,'1992-03-08 00:00:00',4,8,11,2009,'M','N','VILA SANTA TEREZINHA','TANGARÁ SERRA','MT','111112111215372731368834592122610124072',7441,'9998',52.50,2,1,2),(25,6042970,'1989-11-14 00:00:00',4,1,12,2006,'F','N','SÃO JOÃO','PTO ALEGRE','RS','120202201216571431438833475114610166097',10523,'9998',46.20,1,3,NULL),(25,6042988,'1992-03-05 00:00:00',4,1,12,2009,'F','N','IPIRANGA','S PAULO','SP','125252251215471431647822576122610132141',NULL,'9998',0.00,1,3,NULL),(25,6043003,'1992-05-18 00:00:00',4,1,12,2009,'F','N','CENTO','FLORIANÓPOLIS','SC','124242241216372431364923382122231063072',1596,'262',70.88,1,3,NULL),(25,6043011,'1990-03-07 00:00:00',2,1,11,2007,'F','N','CERQUEIRA CEZAR','S PAULO','SP','125252251216571411577712595125610162047',3763,'9998',60.65,1,3,NULL),(25,6043054,'1991-09-25 00:00:00',2,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241115471431239524572224610167187',5874,'267',56.30,4,2,1),(25,6043062,'1991-09-17 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201241136472411624614285124230234095',18923,'65',37.08,1,2,1),(25,6043070,'1989-12-25 00:00:00',2,1,6,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243247236131431648814445124132928143',21498,'9999',27.97,1,3,NULL),(25,6043089,'1991-10-21 00:00:00',2,1,12,2008,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215153411458711382124122244072',11748,'299',48.55,1,3,NULL),(25,6043097,'1992-04-09 00:00:00',4,6,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124131241335371431457829575114610135072',NULL,'403',0.00,1,3,NULL),(25,6043100,'1993-05-25 00:00:00',4,5,12,2010,'F','N','RIO MAINA','CRICIÚMA','SC','124242246211131431447923575124610168147',12060,'995',48.04,1,3,NULL),(25,6043119,'1991-08-10 00:00:00',4,1,6,2009,'F','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','224094288616151431228654445124610132037',14761,'9998',44.06,1,3,NULL),(25,6043135,'1993-09-15 00:00:00',4,1,12,2010,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241135131132323414392124610128192',20641,'295',27.43,1,2,1),(25,6043160,'1991-03-02 00:00:00',2,8,11,2009,'F','N','HAUER','CURITIBA','PR','116161163136471431548639372114610132157',13662,'9998',40.80,1,2,1),(25,6043178,'1994-06-20 00:00:00',4,4,12,2011,'F','S','SÃO CRISTOVÃO','CHAPECÓ','SC','124241241115371431449313375124610142017',NULL,'169',55.46,1,3,NULL),(25,6043186,'1983-07-25 00:00:00',4,8,12,2000,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116162161216141751488812481125341066047',NULL,'9998',0.00,1,3,NULL),(25,6043208,'1980-12-13 00:00:00',4,1,12,1999,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241132135751534433415114333262172',17777,'291',39.28,1,2,1),(25,6043224,'1990-07-16 00:00:00',2,8,11,2007,'F','N','CENTRO','IMBITUVA','PR','116241241147152411223329312324610136147',NULL,'710',0.00,4,2,1),(25,6043240,'1986-07-18 00:00:00',2,15,12,2004,'M','N','NONOAI','PTO ALEGRE','RS','120204201116471441223144345134610132177',7293,'9998',53.24,4,3,NULL),(25,6043259,'1993-05-24 00:00:00',4,1,12,2010,'F','N','CENTRO','PASSO FUNDO','RS','120201201415471431223321195125610144187',NULL,'9998',0.00,1,3,NULL),(25,6043267,'1992-08-13 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215272531536412342114610132097',9214,'1118',49.29,1,3,NULL),(25,6043275,'1992-12-07 00:00:00',4,1,12,2010,'F','N','VILA PROGRESSO','JUNDIAÍ','SP','125252251215111431368814572122610126197',NULL,'9998',0.00,1,3,NULL),(25,6043291,'1983-12-31 00:00:00',4,1,12,1998,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124204207437371711448621445234140422017',NULL,'9998',20.98,1,3,NULL),(25,6043305,'1993-01-05 00:00:00',2,1,12,2010,'M','N','ARMAÇÃO DO PÂNTANO S','FLORIANÓPOLIS','SC','124241241225111431536923575124610127047',13811,'262',40.35,1,3,NULL),(25,6043313,'1990-02-25 00:00:00',4,10,12,2010,'F','N','MAGALHAES','LAGUNA','SC','124241248125131431638833245122610117072',NULL,'524',19.54,1,3,NULL),(25,6043330,'1993-01-19 00:00:00',2,4,12,2010,'F','N','PIONEIRO','PINHALZINHO','SC','124241241141131431545514371125610137127',NULL,'616',22.94,1,2,1),(25,6043364,'1973-01-31 00:00:00',2,1,12,2002,'F','N','KOBRASOL','S JOSÉ','SC','624243241326132421426843432124610163047',NULL,'944',20.84,1,3,NULL),(25,6043380,'1993-02-07 00:00:00',2,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124243241117271431538511592124610132077',NULL,'726',29.43,1,3,NULL),(25,6043399,'1990-03-13 00:00:00',4,8,11,2007,'F','N','JD SAN REMO','LONDRINA','PR','116162161116571431457929372122610134182',5012,'9998',58.23,1,3,NULL),(25,6043402,'1993-02-02 00:00:00',2,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124241241225131431324624475124610126057',14265,'262',39.34,4,3,NULL),(25,6043437,'1991-07-29 00:00:00',2,1,12,2008,'F','N','IMIGRANTES','CONCÓRDIA','SC','124241241117473431559953332124130433175',4464,'192',60.00,1,2,1),(25,6043445,'1989-02-04 00:00:00',2,10,12,2005,'M','N','OFICINAS','TUBARÃO','SC','124241248116131721434614385111610128051',21794,'1034',19.76,1,2,1),(25,6043453,'1987-06-22 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241311132421527524241334610125092',NULL,'882',24.11,1,3,NULL),(25,6043461,'1989-06-23 00:00:00',4,4,12,2006,'F','N','PROGRESSO','S MIGUEL OESTE','SC','124241241136371451333319245124610136142',NULL,'757',0.00,1,2,1),(25,6043470,'1982-08-13 00:00:00',4,1,10,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241247145473431223519245124123217047',6171,'9999',56.30,4,1,1),(25,6043496,'1992-06-06 00:00:00',4,2,11,2009,'F','N','VICTOR KONDER','BLUMENAU','SC','124244241215472431276923472125610134077',1148,'1174',72.88,1,3,NULL),(25,6043500,'1992-08-11 00:00:00',4,1,12,2009,'F','N','BOA PARADA','S PEDRO ALCÂNTARA','SC','124241241125371431323614342124610126147',11839,'869',43.79,1,2,1),(25,6043518,'1991-04-02 00:00:00',4,4,12,2008,'M','N','BOA VISTA','CHAPECÓ','SC','124241241142141431428624342323131734052',15725,'182',38.09,1,2,1),(25,6043526,'1975-11-13 00:00:00',2,15,12,1995,'M','N','CENTRO','CRICIÚMA','SC','224241241116134441233341315122331966057',NULL,'767',0.00,1,3,NULL),(25,6043534,'1992-05-20 00:00:00',4,1,12,2009,'M','N','JARDIM AMÁLIA','CAÇAPAVA','SP','125252251417151331336614245121610167047',NULL,'9998',0.00,1,3,NULL),(25,6043542,'1992-07-29 00:00:00',4,1,11,2009,'M','N','AREIAS','S JOSÉ','SC','124242241216373531437712575114131237053',6930,'270',56.87,1,3,NULL),(25,6043550,'1985-03-08 00:00:00',2,16,12,2003,'M','N','FARROUPILHA','VIDEIRA','SC','224241248116161411226544245122610138062',NULL,'314',17.79,4,3,NULL),(25,6043569,'1988-08-01 00:00:00',4,1,12,2005,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241211153431367823475122221462122',6783,'270',57.14,1,3,NULL),(25,6043585,'1991-03-21 00:00:00',2,8,12,2009,'F','N','JARDIM SANTO ELIAS','S PAULO','SP','125254251226471431329714375114610122157',18535,'9998',37.87,1,3,NULL),(25,6043593,'1992-01-25 00:00:00',2,8,12,2009,'F','N','SÃO JOSE','ITAPOÁ','SC','124241241116131431426531285121130246187',NULL,'413',28.41,1,2,1),(25,6043615,'1992-01-25 00:00:00',4,3,12,2009,'F','N','CENTRO','CPO MOURÃO','PR','116162161216571411463816492122610162072',5415,'9998',59.93,1,3,NULL),(25,6043623,'1993-05-21 00:00:00',4,1,11,2010,'F','N','CENTRO','CURITIBANOS','SC','124242161216114411356932575122610134092',6607,'9998',53.30,1,3,NULL),(25,6043640,'1993-01-14 00:00:00',2,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124243241117151731253624285122610138052',21663,'729',25.86,1,3,NULL),(25,6043674,'1994-02-13 00:00:00',2,1,12,2010,'F','N','JARDIM PINHEIROS','S JOSÉ','SC','124242241215371231564732575124610127051',19118,'1022',36.71,1,3,NULL),(25,6043690,'1992-08-14 00:00:00',2,1,12,2010,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241243126141731433433145334610136052',NULL,'591',26.27,1,2,1),(25,6043704,'1991-05-01 00:00:00',4,1,12,2008,'M','N','SETOR OESTE','GOIÂNIA','GO','109092091215572411478931575122610168192',2139,'9998',65.70,1,3,NULL),(25,6043712,'1993-10-05 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242241115372421448614572124610161145',3966,'739',63.37,1,3,NULL),(25,6043720,'1991-09-09 00:00:00',2,4,11,2008,'F','N','CENTRO','BARRACÃO','PR','116241241116471431655911275122610164197',7512,'245',53.61,1,2,1),(25,6043739,'1990-06-23 00:00:00',2,1,11,2007,'F','N','FORQUILHAS','S JOSÉ','SC','124241241137274441323324346244610134092',21636,'727',26.36,1,2,1),(25,6043755,'1976-06-11 00:00:00',2,1,12,1993,'M','N','INGLESES','FLORIANÓPOLIS','SC','224241241122373421454579432124333242142',14134,'298',44.96,1,2,1),(25,6043763,'1990-01-11 00:00:00',2,15,12,2007,'M','N','CENTRO','CONSTANTINA','RS','120201201115471741443812581124610167052',NULL,'9998',40.07,1,2,1),(25,6043780,'1980-01-20 00:00:00',2,2,12,1997,'F','N','ITOPAVA SECA','BLUMENAU','SC','124252251136131441326674215112610136177',NULL,'9998',0.00,1,3,NULL),(25,6043798,'1988-10-20 00:00:00',2,1,12,2007,'F','N','BELA VISTA I','S JOSÉ','SC','124241241116131421423529345123610117077',NULL,'257',0.00,1,2,1),(25,6043810,'1985-03-30 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241325132731221321342334610137112',NULL,'289',35.75,4,3,NULL),(25,6043828,'1992-07-17 00:00:00',4,8,12,2009,'M','N','CENTRO','S BENTO SUL','SC','124244241435132431455522346124230867182',18507,'1178',37.92,1,3,NULL),(25,6043836,'1992-08-11 00:00:00',4,1,12,2009,'F','N','PONTE ALTA','APARECIDA','SP','125251251115471431428821575122610168192',12584,'9998',47.21,4,2,1),(25,6043844,'1994-04-07 00:00:00',4,2,12,2011,'M','S','ESCOLA AGRÍCOLA','BLUMENAU','SC','124241241217151231446732195124610167097',NULL,'88',49.13,1,3,NULL),(25,6043852,'1988-07-05 00:00:00',4,1,7,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241247227131431226644245122610134092',NULL,'9999',17.40,1,3,NULL),(25,6043860,'1993-07-13 00:00:00',4,8,12,2010,'F','N','NOVA BRASÍLIA','JOINVILLE','SC','124241241115371431548314572124610166072',NULL,'1102',21.92,1,2,1),(25,6043887,'1992-08-19 00:00:00',4,1,11,2009,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241115162431533823575114610137053',NULL,'772',18.42,3,2,1),(25,6043895,'1990-10-27 00:00:00',4,1,6,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242247246141331348819345124230233077',NULL,'269',0.00,1,3,NULL),(25,6043917,'1992-04-27 00:00:00',4,1,12,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124241241126131341623931391121610126157',NULL,'593',16.08,4,2,1),(25,6043933,'1991-09-16 00:00:00',4,1,12,2008,'M','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124242241215573731469833595122610127042',9070,'424',52.94,1,3,NULL),(25,6043941,'1985-05-15 00:00:00',4,2,6,2003,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241127271411446519145122610142177',NULL,'83',20.16,4,2,1),(25,6043950,'1992-07-15 00:00:00',4,1,12,1999,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116161161116471451339839575124610164057',14065,'9998',41.30,1,3,NULL),(25,6043968,'1993-08-22 00:00:00',4,1,11,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','125162251217171711426611571124610116142',3513,'9998',63.17,4,3,NULL),(25,6043976,'1993-02-28 00:00:00',2,1,12,2010,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241136161431538832345115610134142',20471,'13',33.25,1,2,1),(25,6043984,'1991-07-13 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241116472431323419275334610131072',NULL,'307',21.38,1,2,1),(25,6044000,'1989-08-10 00:00:00',4,8,12,2006,'F','N','BOM RETIRO','JOINVILLE','SC','124164161316131421236419445122230716141',9356,'9998',52.44,1,3,NULL),(25,6044026,'1992-01-09 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241435272431569913575114610144142',15225,'1022',43.36,1,3,NULL),(25,6044050,'1992-01-24 00:00:00',2,10,12,2009,'M','N','CENTRO','IMBITUBA','SC','124242241216372431253569575112130467041',NULL,'362',0.00,1,3,NULL),(25,6044069,'1986-12-12 00:00:00',2,1,12,2005,'M','N','KOBRASOL','S JOSÉ','SC','124242248216375721338624385124331315141',11477,'1036',46.51,1,3,NULL),(25,6044077,'1987-12-11 00:00:00',4,1,12,2004,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241215274441628614345134131034043',18481,'259',37.95,1,3,NULL),(25,6044085,'1992-05-31 00:00:00',4,10,12,2009,'M','N','CENTRO','RIO FORTUNA','SC','124241241124372431336613245122130714197',13750,'665',45.56,1,2,1),(25,6044093,'1992-08-18 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241136141331325624155124610144187',NULL,'922',12.97,1,3,NULL),(25,6044131,'1986-07-08 00:00:00',4,6,12,2003,'M','N','SITIO CERCADO','CURITIBA','PR','116161161316371731436634325124610167127',18258,'9998',38.37,1,3,NULL),(25,6044140,'1992-08-01 00:00:00',4,16,12,2010,'F','N','AGUA SANTA','CURITIBANOS','SC','124241241115371411422327381124610114143',21765,'240',23.46,1,2,1),(25,6044158,'1985-05-03 00:00:00',2,1,8,2003,'F','N','PRAIA DE FORA','PALHOÇA','SC','224131241116152431443452435112140832117',NULL,'9999',0.00,4,2,1),(25,6044174,'1992-10-19 00:00:00',4,1,12,2009,'F','N','CIDADE PARQUELÂNDIA','MOGI CRUZES','SP','125252251216471411458814175124610123092',5500,'9998',56.32,1,3,NULL),(25,6044190,'1971-07-19 00:00:00',4,3,8,2006,'M','N','AREIAS','CAMBORIÚ','SC','124241247126271421326641112233610132182',19368,'9999',31.04,1,2,1),(25,6044204,'1992-01-27 00:00:00',2,1,12,2009,'F','N','BELA VISTA I','S JOSÉ','SC','124241201137132132535544342334610114147',NULL,'734',16.68,1,2,1),(25,6044212,'1992-11-10 00:00:00',4,1,11,2009,'M','N','CENTRO','GUARUJÁ','SP','125252251215471731448811575124610132127',NULL,'9998',0.00,1,3,NULL),(25,6044220,'1992-06-01 00:00:00',2,1,12,2009,'M','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241135141731536624345124610127177',20450,'591',33.32,1,2,1),(25,6044239,'1993-11-05 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241316151431469613575124610132177',NULL,'271',28.82,1,3,NULL),(25,6044247,'1990-03-03 00:00:00',2,9,12,2007,'F','N','BELA VISTA','RIO OESTE','SC','124241241117472421424824274124610131197',4666,'652',60.18,1,2,1),(25,6044263,'1991-02-20 00:00:00',2,7,12,2009,'F','N','CENTRO','CAMPOS NOVOS','SC','124241241111131431226621472124610136012',17880,'140',39.07,1,2,1),(25,6044271,'1992-12-21 00:00:00',4,1,12,2009,'F','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124241241115141431333534395124610124142',18280,'9997',38.31,1,3,NULL),(25,6044280,'1990-09-03 00:00:00',4,1,12,2007,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241416574731446929395124133218057',6611,'1022',57.46,1,3,NULL),(25,6044298,'1991-08-10 00:00:00',4,1,12,2009,'F','N','GUABIROTUBA','CURITIBA','PR','116252161215472451468814575114610133147',NULL,'9998',0.00,1,3,NULL),(25,6044301,'1992-05-25 00:00:00',4,1,12,2009,'F','N','CENTRO','CPO GRANDE','MS','112122121217471541478814575112610122182',3596,'9998',64.32,1,3,NULL),(25,6044310,'1992-11-18 00:00:00',2,1,12,2009,'F','N','VILA DAS HORTÊNCIAS','JUNDIAÍ','SP','125252251217471431249933575122610128192',NULL,'9998',4.72,1,3,NULL),(25,6044328,'1989-09-22 00:00:00',4,4,11,2006,'M','N','CHAVANTES NOVO','CHAVANTES','SP','125254251215142711356829494125610166183',NULL,'9998',27.13,1,3,NULL),(25,6044336,'1983-11-09 00:00:00',2,1,5,2003,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','224241247216272431226654185223133234182',NULL,'9999',38.19,2,1,2),(25,6044379,'1990-07-27 00:00:00',4,3,12,2007,'M','N','SANTA REGINA VI','CAMBORIÚ','SC','124241241114572721323311215233610121142',17688,'49',39.42,4,2,1),(25,6044387,'1991-09-30 00:00:00',2,1,12,2008,'F','N','STO ANTO DE LISBOA','FLORIANÓPOLIS','SC','124243238116154431459819575114231243147',7211,'271',56.33,1,3,NULL),(25,6044395,'1993-12-29 00:00:00',4,4,12,2010,'F','N','ANDREATTA','S MIGUEL OESTE','SC','124242241215371431439733575122610127147',NULL,'1079',36.38,1,3,NULL),(25,6044417,'1993-03-18 00:00:00',4,9,12,2010,'M','N','CENTRO','CELSO RAMOS','SC','124241241145131431436923575125610127052',NULL,'163',25.41,1,2,1),(25,6044425,'1992-01-16 00:00:00',2,8,12,2009,'M','N','ROCIO GRANDE','S FRANCISCO SUL','SC','124242241215471231658712382122613267117',15069,'867',43.58,1,3,NULL),(25,6044441,'1986-12-03 00:00:00',2,8,12,2005,'M','N','BOM RETIRO','JOINVILLE','SC','124241242117371441123144444221132363082',10376,'24',50.69,4,2,1),(25,6044450,'1990-10-24 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','125252251217573431388933575124610136022',2377,'9998',66.65,1,3,NULL),(25,6044492,'1986-06-22 00:00:00',2,1,12,2003,'F','N','ARMAÇAO DO PANTANO D','FLORIANÓPOLIS','SC','124241241117133411226621313332610163027',NULL,'307',33.57,1,2,1),(25,6044514,'1990-04-27 00:00:00',4,3,12,2010,'M','N','BIGORRILHO','CURITIBA','PR','116162167117371441589812375122610162092',6402,'9998',54.67,1,3,NULL),(25,6044522,'1993-10-20 00:00:00',4,1,12,2010,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241215161411457914372122610124142',7752,'948',52.60,1,3,NULL),(25,6044549,'1993-04-21 00:00:00',4,8,11,2009,'M','N','SÍTIO CERCADO','CURITIBA','PR','116164161216471431534633575124610164112',1492,'9998',69.61,1,3,NULL),(25,6044557,'1986-05-30 00:00:00',2,1,12,2003,'F','N','CENTRO','STA MARIA','RS','120201201116333431226829471224121337142',1232,'9998',72.22,1,2,1),(25,6044565,'1986-01-23 00:00:00',2,1,11,2002,'F','N','CENTRO','BIGUAÇU','SC','124243241115273431223344244234610126147',19081,'307',36.79,1,3,NULL),(25,6044581,'1984-06-19 00:00:00',4,8,12,2001,'M','N','MOSSUNGUÊ','CURITIBA','PR','116162161215571431679613475122141434012',NULL,'9998',0.00,1,3,NULL),(25,6044590,'1992-03-27 00:00:00',4,3,12,2009,'M','N','VILA IPIRANGA','LONDRINA','PR','116162161217475431569931574112610147047',14492,'9998',39.40,1,3,NULL),(25,6044603,'1991-02-17 00:00:00',2,1,6,2010,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241247526141412455723345121610144017',NULL,'9999',34.19,1,3,NULL),(25,6044611,'1992-02-19 00:00:00',2,1,12,2009,'F','N','JARDIM NOSSA SR APAR','SETE BARRAS','SP','125251251116471411548611592224610166187',14471,'9998',39.63,4,2,1),(25,6044620,'1992-12-03 00:00:00',2,8,12,2009,'F','N','PIONEIROS','ITÁ','SC','124241241114572432568911595122231524182',NULL,'383',41.54,4,2,1),(25,6044646,'1994-03-24 00:00:00',2,7,12,2010,'M','N','INTERIOR','JABORÁ','SC','124241241116311431326815575124610163047',21756,'418',23.82,1,2,1),(25,6044654,'1991-09-12 00:00:00',4,1,12,2008,'F','N','FORQUILHINHAS','S JOSÉ','SC','124244241117151521468933245134130664147',NULL,'430',31.05,1,3,NULL),(25,6044662,'1993-05-13 00:00:00',2,10,11,2010,'F','N','CENTRO','JAGUARUNA','SC','124242241215111411468639575124610125147',12613,'807',47.17,1,3,NULL),(25,6044670,'1986-10-30 00:00:00',4,1,6,2004,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241117131441226644345134130246142',20673,'85',32.49,2,1,1),(25,6044689,'1991-01-03 00:00:00',2,9,12,2008,'F','N','CENTRO','LONTRAS','SC','124241241415574431525923575124610124147',9912,'991',47.39,1,3,NULL),(25,6044697,'1988-07-06 00:00:00',4,1,8,2006,'M','N','FZDA SANTO ANTÔNIO','S JOSÉ','SC','124241241116272431433311335124610122142',4516,'739',61.95,1,2,1),(25,6044700,'1988-01-20 00:00:00',2,1,12,2006,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241116474431448613572122610127047',12828,'307',43.38,1,3,NULL),(25,6044727,'1990-12-07 00:00:00',4,1,12,2008,'M','N','CANASVIERIAS','FLORIANÓPOLIS','SC','124241241115472131326521415114610168145',13780,'307',40.24,1,2,1),(25,6044735,'1990-06-15 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124242241215373431356614375124221127067',2781,'1118',66.57,1,3,NULL),(25,6044743,'1992-04-01 00:00:00',4,8,11,2010,'M','N','GLÓRIA','JOINVILLE','SC','124242241215473411678821571114610137012',286,'1063',79.36,1,3,NULL),(25,6044751,'1993-11-24 00:00:00',2,6,11,2010,'F','N','ARMAÇÃO','PENHA','SC','124241241117131731335314275122610137057',NULL,'610',0.00,1,3,NULL),(25,6044760,'1992-12-06 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241312151751456611212124610127112',20647,'307',32.59,1,3,NULL),(25,6044794,'1993-04-14 00:00:00',4,1,12,2010,'M','N','TV MORENA','CPO GRANDE','MS','112122121216111331478814575112610124052',1065,'9998',72.27,1,3,NULL),(25,6044808,'1991-05-20 00:00:00',2,8,12,2008,'M','N','SUMARÉ','CARAGUATATUBA','SP','125252251215471431435512592211610127042',NULL,'9998',0.00,1,3,NULL),(25,6044816,'1992-09-30 00:00:00',4,1,12,2009,'F','N','VILA AMERICA','MAUÁ','SP','125252251216471431468834575124143224097',NULL,'9998',0.00,1,3,NULL),(25,6044824,'1990-04-08 00:00:00',4,8,12,2010,'M','N','ÁGUA VERDE','CURITIBA','PR','116162168117371431458823295124610167093',1813,'9998',68.48,1,3,NULL),(25,6044832,'1992-08-19 00:00:00',2,9,12,2009,'F','N','CENTRO','LONTRAS','SC','124242241215472451438724575124610124147',9152,'1124',51.20,1,3,NULL),(25,6044840,'1993-12-10 00:00:00',4,7,11,2010,'F','N','SÃO JOSÉ','FRAIBURGO','SC','124242241215111431568832575122610124042',3026,'885',63.05,1,3,NULL),(25,6044859,'1964-11-30 00:00:00',4,1,6,1984,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241246136143421236343432124121442087',8698,'306',53.60,4,3,NULL),(25,6044875,'1975-02-02 00:00:00',4,8,11,1998,'M','N','PARANAGUAMIRIM','JOINVILLE','SC','224161161216141321232244442124143247057',NULL,'9998',23.53,1,3,NULL),(25,6044883,'1987-01-21 00:00:00',2,1,12,2005,'F','N','BELA VISTA','S JOSÉ','SC','124243247416233411634414385124132026027',NULL,'1003',0.00,2,1,2),(25,6044891,'1990-05-14 00:00:00',2,1,12,2007,'M','N','BARREITOS','S JOSÉ','SC','124242241216134231326311285123232014017',11215,'738',44.75,1,3,NULL),(25,6044921,'1993-06-07 00:00:00',2,10,12,2010,'F','N','MAGALHAES','LAGUNA','SC','124242241225161431338629395122610164072',12761,'524',41.25,1,3,NULL),(25,6044948,'1992-12-09 00:00:00',2,1,11,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241216472431436513175124610135147',5629,'1075',57.45,1,3,NULL),(25,6044972,'1992-09-08 00:00:00',2,1,12,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241127372411326614575124132935087',3897,'733',61.54,1,2,1),(25,6044980,'1988-01-21 00:00:00',2,9,12,2004,'M','N','PETRÓPOLIS','VACARIA','RS','120201201216232431544311343121343214147',5599,'497',55.87,1,3,NULL),(25,6044999,'1993-04-28 00:00:00',4,1,11,2011,'F','S','PRAIA COMPRIDA','S JOSÉ','SC','124241241417111451336519495124610167052',NULL,'1076',36.60,1,3,NULL),(25,6045006,'1993-08-26 00:00:00',4,1,12,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241145141431333472142122610138192',NULL,'296',29.24,1,2,1),(25,6045022,'1992-06-29 00:00:00',2,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124243241112472431335422282114610137145',14676,'257',40.72,1,3,NULL),(25,6045049,'1988-04-28 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241124132431215544342124221128192',20376,'95',29.27,1,2,1),(25,6045057,'1991-12-25 00:00:00',4,1,12,2009,'M','N','JARDIM PAULISTA','PRES PRUDENTE','SP','125252251216371431679931575122610167092',20685,'9998',32.45,1,3,NULL),(25,6045073,'1977-03-10 00:00:00',2,1,12,2010,'F','N','JURERE','FLORIANÓPOLIS','SC','224244247426141431337444245124610112183',NULL,'9999',21.12,1,3,NULL),(25,6045090,'1984-12-28 00:00:00',4,1,12,2001,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241216575431569913472124320232141',595,'185',76.38,1,3,NULL),(25,6045103,'1993-05-11 00:00:00',4,1,11,2010,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161236471431327824595224610127093',8447,'9998',50.04,1,3,NULL),(25,6045111,'1992-01-14 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241317132431537923375114121764017',13850,'307',45.40,1,3,NULL),(25,6045120,'1991-09-27 00:00:00',2,8,11,2008,'M','N','ANDRADA','PINDAMONHANGABA','SP','125251251116471441546614385124143225082',NULL,'9998',0.00,1,2,1),(25,6045138,'1990-12-17 00:00:00',2,1,12,2008,'F','N','PARELHEIROS','S PAULO','SP','125251251127371432533314245224610123093',NULL,'9998',0.00,4,2,1),(25,6045146,'1993-05-20 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241117131431559714571115610147097',20068,'271',34.39,1,3,NULL),(25,6045154,'1987-01-04 00:00:00',4,1,12,2004,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241241115474431356643335124610164082',4366,'739',62.36,1,2,1),(25,6045162,'1988-05-09 00:00:00',4,8,12,2005,'M','N','SAGUAÇU','JOINVILLE','SC','124241241116271721643314445121610137015',NULL,'474',0.00,1,2,1),(25,6045189,'1993-06-06 00:00:00',2,4,12,2010,'M','N','CENTRO','MARAVILHA','SC','124241241117131431325539271122610164012',17268,'552',35.07,4,2,1),(25,6045197,'1993-09-23 00:00:00',2,15,12,2010,'F','N','RETIRO DA UNIÃO','SOMBRIO','SC','124242241215111431236923575122610121142',18031,'770',33.17,1,3,NULL),(25,6045200,'1992-02-04 00:00:00',4,1,12,2009,'F','N','LIVRAMENTO','BURITAMA','SP','125253251117471431436621272222610142147',NULL,'9998',0.00,1,3,NULL),(25,6045219,'1974-12-25 00:00:00',2,7,12,1992,'M','N','ANDORINHAS','ZORTÉA','SC','124241241126372421511144242224131026047',7287,'449',52.65,1,2,1),(25,6045235,'1989-03-24 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215474431449712485112130237062',14674,'262',44.19,1,3,NULL),(25,6045243,'1993-08-10 00:00:00',4,8,12,2010,'M','N','CENTRO','JUNQUEIRÓPOLIS','SP','125252251217151431468832395122610167052',NULL,'9998',25.05,1,3,NULL),(25,6045260,'1993-08-16 00:00:00',4,15,12,2010,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241115151431323339285122610127142',NULL,'29',0.00,1,3,NULL),(25,6045278,'1993-05-19 00:00:00',2,1,11,2010,'M','N','CACHOEIRA','CURITIBA','PR','116252161235421431558823575124610127047',NULL,'9998',0.00,1,3,NULL),(25,6045286,'1992-01-10 00:00:00',2,1,12,2009,'F','N','SOL NASCENTE','IJUÍ','RS','120203201217271431336539371125610163052',17819,'9998',39.20,1,3,NULL),(25,6045294,'1993-11-22 00:00:00',4,3,12,2010,'F','N','MORRETES','ITAPEMA','SC','124241248115111431423627575122610111142',NULL,'405',21.83,1,3,NULL),(25,6045308,'1986-04-29 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216373731369614415122333267052',10741,'262',50.08,1,3,NULL),(25,6045316,'1987-05-29 00:00:00',4,9,12,2006,'M','N','VILA NOVA','LAGES','SC','124243247435472411666614342335133167065',NULL,'920',25.97,1,3,NULL),(25,6045324,'1990-04-10 00:00:00',4,1,12,2007,'F','N','CENTRO','ANÁPOLIS','GO','109092091216132411328821575124610116197',617,'9998',76.44,1,3,NULL),(25,6045340,'1989-07-11 00:00:00',4,1,12,2006,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116131431436833145123133267047',NULL,'727',25.93,1,3,NULL),(25,6045367,'1990-09-10 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241216574431436611575124610117047',2719,'1048',66.49,1,3,NULL),(25,6045375,'1993-04-30 00:00:00',2,1,12,2010,'F','N','GUAJUVIRAS','CANOAS','RS','120201201136471431437674275124610136057',14446,'9998',44.53,1,2,1),(25,6045391,'1993-02-10 00:00:00',2,1,12,2010,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241241117371231324434245124610137141',15422,'307',38.51,1,2,1),(25,6045405,'1993-07-08 00:00:00',2,15,11,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124241241215271431535332575112610122092',9972,'970',49.24,1,3,NULL),(25,6045413,'1993-08-02 00:00:00',2,1,12,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241115131731338734575124610135142',19324,'733',32.11,4,2,1),(25,6045421,'1992-01-26 00:00:00',2,8,12,2009,'F','N','CENTRO','CURITIBA','PR','125252251215471431338821572124610164097',1307,'9998',70.71,1,3,NULL),(25,6045430,'1989-10-04 00:00:00',4,1,11,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124244241417142431436319245122130232183',NULL,'1022',18.28,1,3,NULL),(25,6045448,'1990-12-29 00:00:00',4,1,7,2010,'F','N','S J DO RIO VERMELHO','FLORIANÓPOLIS','SC','124251241115471211536823271123610124182',3741,'739',62.82,1,2,1),(25,6045456,'1987-01-23 00:00:00',2,1,12,2003,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201201146142421223344145134610164041',NULL,'9998',30.52,1,2,1),(25,6045472,'1993-04-28 00:00:00',4,8,12,2010,'F','N','ZONA QUATRO','MARINGÁ','PR','116162161217111431228534445112610132147',NULL,'9998',0.00,1,3,NULL),(25,6045499,'1991-01-23 00:00:00',4,8,6,2009,'F','N','BOA VISTA','JOINVILLE','SC','124241247446272231533334245134610156147',21673,'9999',25.68,1,3,NULL),(25,6045510,'1992-08-20 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241211111731525414241124610136192',NULL,'300',0.00,2,1,2),(25,6045537,'1994-11-11 00:00:00',4,1,12,2011,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241215171732568814575124610134125',NULL,'883',34.92,1,3,NULL),(25,6045545,'1991-06-16 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124241241117373431526611575122610117077',14777,'1011',40.32,1,3,NULL),(25,6045553,'1986-05-10 00:00:00',4,1,6,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242257215572431438817295124610142092',NULL,'9998',0.00,1,3,NULL),(25,6045561,'1992-11-14 00:00:00',4,5,12,2010,'M','N','COMERCIARIO','CRICIÚMA','SC','124242241217131431428714575124610164182',NULL,'995',33.96,1,3,NULL),(25,6045570,'1992-09-22 00:00:00',2,8,12,2010,'M','N','FLORESTA','JOINVILLE','SC','124241241116371632446619572121610117147',16334,'479',37.70,1,2,1),(25,6045596,'1984-08-31 00:00:00',2,8,12,2002,'M','N','CENTRO','CURITIBA','PR','116251251126471431123474345224610127182',16987,'9998',35.90,4,3,NULL),(25,6045600,'1986-10-29 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241122133531533419244334610122157',NULL,'257',17.07,1,2,1),(25,6045618,'1992-06-16 00:00:00',4,1,11,2009,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241136131431334319245124610132062',15715,'288',38.46,1,2,1),(25,6045626,'1988-02-18 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124204201312575231448812595114123257187',4868,'9998',58.14,1,3,NULL),(25,6045634,'1993-10-08 00:00:00',4,5,11,2010,'F','N','MICHEL','CRICIÚMA','SC','124242241211372451448811472125610136122',374,'213',78.32,1,3,NULL),(25,6045650,'1993-03-17 00:00:00',2,15,12,2010,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241115371431436413374124610134142',15867,'29',38.17,1,2,1),(25,6045669,'1991-09-30 00:00:00',4,4,6,2010,'M','N','SÃO CRISTOVÃO','CHAPECÓ','SC','124241247426371232447414445123610127042',NULL,'9999',33.20,1,3,NULL),(25,6045677,'1993-01-30 00:00:00',4,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241217472411347933572214610135197',9491,'1080',48.40,1,3,NULL),(25,6045685,'1993-07-11 00:00:00',2,2,11,2010,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241215271431243823575122610122092',NULL,'107',51.15,1,3,NULL),(25,6045693,'1993-03-03 00:00:00',4,4,12,2010,'F','N','DO PARQUE','ITAPIRANGA','SC','124241241316151431436613435122610168183',14295,'1060',40.06,1,3,NULL),(25,6045707,'1992-03-16 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124042121237472431358929594114610162092',3350,'9998',63.02,1,3,NULL),(25,6045723,'1993-02-20 00:00:00',4,6,12,2010,'M','N','FAZENDA','ITAJAÍ','SC','124242241215371431568812575122610116012',5063,'392',59.79,1,3,NULL),(25,6045731,'1993-02-24 00:00:00',2,1,12,2010,'F','N','CENTRO','ANGELINA','SC','124241241116161431526933345122610134147',NULL,'17',25.18,1,2,1),(25,6045740,'1991-06-22 00:00:00',2,1,6,2009,'F','N','KOBRASOL','S JOSÉ','SC','124202281415372431438813385124610165093',14760,'9998',39.62,4,3,NULL),(25,6045758,'1983-10-17 00:00:00',2,1,11,2003,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124203201336372431436623445124130244097',NULL,'9998',24.54,1,3,NULL),(25,6045766,'1993-07-19 00:00:00',4,1,12,2010,'F','N','CENTRO','URAÍ','PR','116162161216111431257931375124610142197',3263,'9998',62.31,3,3,NULL),(25,6045774,'1979-12-24 00:00:00',2,1,12,2000,'M','N','CENTRO','S JOSÉ','SC','124241241147143431426443135224233022197',NULL,'9999',0.00,1,3,NULL),(25,6045782,'1989-10-31 00:00:00',4,1,12,2007,'M','N','BOM FIM','PTO ALEGRE','RS','120242161216512411459713575125610164182',NULL,'1058',0.00,1,3,NULL),(25,6045790,'1990-07-10 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124241241117131421638313485224130417047',15365,'734',43.11,1,2,1),(25,6045812,'1988-11-01 00:00:00',4,8,12,2005,'F','N','AVENTUREIRO','JOINVILLE','SC','124243241126272731126344242233610122051',10679,'894',46.97,1,3,NULL),(25,6045820,'1993-09-14 00:00:00',4,3,12,2010,'M','N','SANTA CRUZ','CAPANEMA','PR','116161161116151531446932245132610138042',NULL,'9998',22.58,1,2,1),(25,6045839,'1992-09-25 00:00:00',4,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241215471631359934571122131316197',4743,'389',61.45,1,3,NULL),(25,6045847,'1989-07-01 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241125372431321214345324610122092',16982,'1155',36.70,1,2,1),(25,6045863,'1992-11-10 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216211431369923575122610164012',1384,'270',71.34,1,3,NULL),(25,6045880,'1992-01-22 00:00:00',4,1,6,2010,'F','N','BARREIROS','S JOSÉ','SC','124242247237151711439911375124233214077',NULL,'9999',9.42,1,3,NULL),(25,6045898,'1984-05-07 00:00:00',2,1,12,2001,'F','N','CAMPINAS','S JOSÉ','SC','624201201216131431333744342125132528182',NULL,'9998',31.75,2,3,NULL),(25,6045901,'1992-12-02 00:00:00',2,1,11,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241145131731426313385124610124142',NULL,'591',36.32,1,2,1),(25,6045910,'1992-06-10 00:00:00',4,1,11,2009,'F','N','JARDIM SANTA HELENA','BRAGANÇA PAULISTA','SP','125252251217472431465812571112610164132',1298,'9998',70.46,1,3,NULL),(25,6045928,'1993-09-14 00:00:00',4,17,11,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215111331358414575112610142042',8466,'154',50.65,1,3,NULL),(25,6045936,'1989-05-07 00:00:00',4,4,12,2005,'F','N','CENTRO','XAXIM','SC','120243201213571421468613472125610135197',6270,'9998',56.01,1,3,NULL),(25,6045944,'1993-02-19 00:00:00',4,2,12,2010,'M','N','CENTRO','LONTRAS','SC','124241241145151431524616255121613217057',NULL,'535',0.00,1,2,1),(25,6045952,'1993-08-16 00:00:00',4,6,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242161216111431489911575124610164122',2054,'9998',68.19,1,3,NULL),(25,6045960,'1993-06-19 00:00:00',2,4,12,2010,'F','N','CENTRO','BARRACÃO','PR','116161161116471411435939572122610123182',NULL,'9998',0.00,1,2,1),(25,6045979,'1993-09-15 00:00:00',2,1,12,2010,'M','N','CENTRO','ALFREDO WAGNER','SC','124241241126161431433612245122610137052',NULL,'13',28.74,1,2,1),(25,6045987,'1984-08-08 00:00:00',2,1,12,2008,'M','N','BREJARU II','PALHOÇA','SC','124241241127142421433319412224610164187',NULL,'1009',0.00,5,2,1),(25,6045995,'1992-04-28 00:00:00',4,1,12,2009,'M','N','RATONES','FLORIANÓPOLIS','SC','124241241115372431336613382124610137047',15614,'307',38.18,1,2,1),(25,6046002,'1991-11-22 00:00:00',4,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124241241112271431535834345124610124142',NULL,'726',30.89,1,3,NULL),(25,6046010,'1993-02-21 00:00:00',4,9,12,2009,'M','N','JARDIM DAS NAÇÕES','MARINGÁ','PR','116163161217471231454833585112610111097',517,'9998',77.34,1,3,NULL),(25,6046029,'1992-04-25 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241136132431323311235122610126142',NULL,'592',40.60,4,1,1),(25,6046037,'1992-02-27 00:00:00',2,8,12,2009,'M','N','CENTRO','IRATI','PR','116161161117471431439814295125610127042',14212,'9998',40.37,1,2,1),(25,6046045,'1992-11-20 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115471411313615575124610146147',NULL,'298',15.82,1,2,1),(25,6046061,'1992-05-14 00:00:00',2,8,12,2009,'M','N','BATEL','CURITIBA','PR','116254251215471411436832575125610133042',6723,'9998',53.09,1,3,NULL),(25,6046070,'1993-05-10 00:00:00',4,1,12,2010,'F','N','CENTRO','GUARACIABA','SC','124241241136141431227624395122610138183',10791,'334',45.18,1,2,1),(25,6046088,'1973-12-14 00:00:00',4,1,12,1992,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124212211216141451469911382132343168192',15455,'9998',42.96,1,3,NULL),(25,6046096,'1987-06-20 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241415473431459334375114130765097',16717,'666',36.38,1,3,NULL),(25,6046100,'1991-09-01 00:00:00',4,1,12,2008,'F','N','COLINA VERDE','LONDRINA','PR','116162161412571431248824571124610136092',892,'9998',73.48,4,3,NULL),(25,6046118,'1991-04-12 00:00:00',4,1,12,2008,'F','N','VILA MORANGUEIRA','MARINGÁ','PR','116162161216473451336611571112610165047',1541,'9998',70.16,1,3,NULL),(25,6046126,'1987-09-18 00:00:00',5,2,12,2006,'M','N','CENTRO','ITUPORANGA','SC','124241241121371731566933395122231044192',NULL,'416',15.01,1,2,1),(25,6046134,'1987-04-10 00:00:00',4,4,12,2004,'M','N','SANTA MARIA','CHAPECÓ','SC','124241241136232431549712245122131442042',19413,'169',36.01,1,2,1),(25,6046142,'1992-11-16 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241214472411339911574124610122012',1645,'723',69.80,1,3,NULL),(25,6046150,'1988-06-21 00:00:00',4,1,11,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241137234431229921372114610115127',11222,'9997',46.75,1,2,1),(25,6046177,'1983-09-21 00:00:00',4,5,12,2004,'M','N','SANTA TEREZINHA','FORQUILHINHA','SC','124243241236151231533723485122131367187',16817,'9999',40.91,1,3,NULL),(25,6046207,'1989-05-13 00:00:00',4,1,12,2006,'M','N','GANCHOS DE FORA','GOV CELSO RAMOS','SC','124241241127131421333314245124610117022',NULL,'329',32.83,1,2,1),(25,6046215,'1993-12-12 00:00:00',4,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241215111431426639395125610157083',14408,'989',44.57,1,3,NULL),(25,6046223,'1993-05-14 00:00:00',2,4,12,2010,'F','N','BORTOLANZA','PALMITOS','SC','124241241115131431226624311125610123142',NULL,'601',20.39,1,2,1),(25,6046231,'1993-04-22 00:00:00',2,4,11,2010,'F','N','JARDIM','CONCÓRDIA','SC','124241241215271231368823575112610164052',13735,'1000',40.78,1,3,NULL),(25,6046240,'1992-02-04 00:00:00',2,6,12,2009,'F','N','CIDADE INDUSTRIAL','CURITIBA','PR','116161161116471441436614575124610125147',1611,'9998',69.61,1,2,1),(25,6046258,'1992-03-21 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241116131411533574346134610126177',20295,'257',33.77,1,2,1),(25,6046266,'1993-05-08 00:00:00',4,2,11,2010,'M','N','VILA SAO PEDRO','PIRAÍ SUL','PR','116162161215471431578811575114610167042',4060,'9998',60.16,1,3,NULL),(25,6046274,'1993-12-22 00:00:00',4,8,12,2010,'F','N','AMIZADE','JARAGUÁ SUL','SC','124243241415371731447732574124610168142',NULL,'1061',23.26,1,3,NULL),(25,6046282,'1979-09-12 00:00:00',2,1,12,2004,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241127575441223349295234220561142',16576,'281',37.09,1,3,NULL),(25,6046290,'1993-07-21 00:00:00',4,2,11,2010,'M','N','PONTA AGUDA','BLUMENAU','SC','124241248217122431326319595125610132012',15774,'855',37.90,1,3,NULL),(25,6046304,'1993-04-30 00:00:00',2,4,12,2010,'M','N','CENTRO','PALMAS','PR','116242161216371731467933575122610112037',9042,'9998',48.64,1,3,NULL),(25,6046320,'1993-04-20 00:00:00',2,1,12,2010,'F','N','CENTRO','IBIRUBÁ','RS','120202208216111321338812425122610164142',NULL,'9998',0.00,1,3,NULL),(25,6046339,'1994-01-24 00:00:00',2,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124243241215151431226933575122610147077',12250,'962',43.32,1,3,NULL),(25,6046347,'1987-04-27 00:00:00',4,1,12,2004,'M','N','TIRADENTES','CPO GRANDE','MS','112122121216571531478812575122241067122',356,'9998',78.89,1,3,NULL),(25,6046363,'1986-02-15 00:00:00',4,1,12,2003,'M','N','SANTA MÔNICA','UBERLÂNDIA','MG','113131131416371731569713442122542364057',5412,'9998',56.61,1,3,NULL),(25,6046371,'1984-12-22 00:00:00',4,1,12,2002,'M','N','JARDIM NOVA ALIANÇA','RIBEIRÃO PRETO','SP','125251251317572431434619272113610162147',6860,'9998',52.48,1,3,NULL),(25,6046380,'1993-08-11 00:00:00',4,9,12,2009,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124242241215114431449913575124231467122',4152,'499',59.19,1,3,NULL),(25,6046401,'1993-11-01 00:00:00',2,15,12,2010,'M','N','SÃO LUIZ','TIMBÉ SUL','SC','124241241136131411449713285121610138042',NULL,'785',19.18,1,2,1),(25,6046410,'1994-03-21 00:00:00',4,1,11,2010,'M','N','CENTRO','CASCAVEL','PR','116162161217371232458913475115610165042',NULL,'9998',53.18,1,3,NULL),(25,6046444,'1993-03-08 00:00:00',2,10,12,2010,'M','N','TIRADENTES','GRAVATAL','SC','124241241126141431324411145124610114177',15393,'332',37.84,1,2,1),(25,6046452,'1994-04-11 00:00:00',4,1,2,2010,'F','N','TRIDADE','FLORIANÓPOLIS','SC','124242243217111431567832575122610124072',NULL,'272',0.00,1,3,NULL),(25,6046460,'1991-11-08 00:00:00',4,1,12,2009,'M','N','BOA VISTA','BIGUAÇU','SC','124241241116132432323314445114610125177',20566,'65',32.89,1,3,NULL),(25,6046479,'1991-09-30 00:00:00',4,1,12,2008,'M','N','AREIAS BARREIROS','S JOSÉ','SC','124274241216573731548613575124123268187',4769,'976',59.29,4,3,NULL),(25,6046487,'1986-02-02 00:00:00',4,15,11,2003,'F','N','SANGA DA AREIA','ARARANGUÁ','SC','124241241116152431533414445133332723047',NULL,'29',29.52,1,3,NULL),(25,6046495,'1993-06-08 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431568812575122610126112',2136,'262',68.80,1,3,NULL),(25,6046525,'1990-04-12 00:00:00',4,1,12,2007,'M','N','SAO LUIZ GONZAGA','PASSO FUNDO','RS','120201208116111231456613575122141467061',NULL,'9998',0.00,4,3,NULL),(25,6046533,'1992-09-14 00:00:00',2,8,12,2009,'F','N','RIO NEGRO','S BENTO SUL','SC','124251241111132431436733572225610136097',14337,'697',39.37,1,2,1),(25,6046568,'1991-02-04 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241211372411437612574122610127042',8812,'1022',51.46,1,3,NULL),(25,6046576,'1988-12-03 00:00:00',4,1,12,2006,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124242241216572431588912575122233262122',2741,'270',64.03,1,3,NULL),(25,6046584,'1993-07-20 00:00:00',2,1,12,2010,'F','N','BELA VISTA I','S JOSÉ','SC','124241241116371432423321375124610127147',NULL,'257',29.24,1,2,1),(25,6046592,'1991-12-05 00:00:00',4,16,12,2008,'F','N','SANTO ANTONIO','FRAIBURGO','SC','124242241215572431348614575112610166092',8323,'317',50.96,1,3,NULL),(25,6046614,'1992-11-29 00:00:00',2,1,12,2010,'F','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162166616371431358923575122610143012',11777,'9998',45.76,1,3,NULL),(25,6046622,'1988-04-20 00:00:00',2,1,12,2005,'F','N','CAMPINAS','S JOSÉ','SC','124241241116131431333344345115610122187',21278,'359',29.57,1,3,NULL),(25,6046630,'1991-04-08 00:00:00',2,8,12,2008,'F','N','BOA VISTA','JOINVILLE','SC','124253241113572431335614385122610135142',5378,'477',57.90,1,3,NULL),(25,6046649,'1993-09-26 00:00:00',4,15,12,2010,'F','N','CENTRO','SOMBRIO','SC','124241241116131431523311575121610124147',NULL,'1033',12.69,1,2,1),(25,6046657,'1993-08-16 00:00:00',4,8,12,2010,'F','N','SÃO FRANCISCO','CURITIBA','PR','116162161215471731669919575122610124183',NULL,'9998',0.00,1,3,NULL),(25,6046673,'1987-05-06 00:00:00',4,16,12,2005,'F','N','SÃO FRANCISCO','CURITIBANOS','SC','224241241131471731223354485113333217037',NULL,'239',0.00,1,3,NULL),(25,6046681,'1994-08-03 00:00:00',4,10,12,2011,'F','S','MAGALHÃES','LAGUNA','SC','124242241217111551458813575122610118145',NULL,'525',35.48,4,3,NULL),(25,6046690,'1992-08-05 00:00:00',4,1,12,2009,'F','N','MERCÊS','CURITIBA','PR','116162161217472731378832574122610147092',1250,'9998',70.35,1,3,NULL),(25,6046703,'1994-03-29 00:00:00',4,17,12,2011,'M','S','CENTRO','CANOINHAS','SC','124242241215111431567612145122610144052',NULL,'154',0.00,1,3,NULL),(25,6046711,'1990-09-22 00:00:00',2,1,12,2007,'F','N','IPIRANGA','S JOSÉ','SC','124243241215373731636412345124610122097',18384,'868',32.51,1,3,NULL),(25,6046720,'1962-03-09 00:00:00',2,1,12,2007,'F','N','DORES','STA MARIA','RS','520201207141131441423819382324141468187',18137,'9998',33.51,1,2,1),(25,6046746,'1992-06-08 00:00:00',2,1,12,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124242241215272431447632485114610134057',4587,'1022',59.30,1,3,NULL),(25,6046762,'1992-09-03 00:00:00',4,5,11,2010,'M','N','JARDIN ELIZABETE','IÇARA','SC','124241246147141431534331215124610162012',14807,'1005',39.37,1,2,1),(25,6046770,'1993-01-28 00:00:00',4,4,12,2009,'F','N','PRESIDENTE MEDICI','CHAPECÓ','SC','124244241216151431465632245132610162011',6703,'185',53.44,1,3,NULL),(25,6046789,'1993-03-12 00:00:00',2,15,12,2010,'M','N','CENTRO','SOMBRIO','SC','124241241115271431228823575114610167142',13306,'1033',42.14,1,2,1),(25,6046797,'1993-10-26 00:00:00',4,9,11,2010,'F','N','SAGRADO CORAÇAO DE J','LAGES','SC','124241241215111431546613475122610164142',7093,'1207',56.56,1,3,NULL),(25,6046800,'1990-09-03 00:00:00',2,9,12,2008,'M','N','PINHEIROS','OTACÍLIO COSTA','SC','124244241235572421469914571112610155142',11203,'499',49.38,1,3,NULL),(25,6046819,'1992-05-28 00:00:00',2,1,12,2009,'F','N','COMBATÁ','STO AMARO IMPERATRIZ','SC','124241241116372331623524342334610126057',NULL,'772',0.00,1,2,1),(25,6046827,'1994-04-10 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431388612575122610168042',9306,'273',49.69,1,3,NULL),(25,6046835,'1994-12-28 00:00:00',4,3,11,2010,'F','N','CENTRO','NOVA TRENTO','SC','124243241216111751466612595122610167142',NULL,'1123',28.01,1,3,NULL),(25,6046843,'1993-06-28 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124243241116371431437813575125610164047',15788,'500',37.60,4,1,2),(25,6046851,'1990-03-17 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117373732324411342114610127067',14782,'278',40.87,1,2,1),(25,6046860,'1993-08-28 00:00:00',2,15,12,2010,'F','N','CENTRO','JACINTO MACHADO','SC','124241241115131731434923572125610148147',18478,'420',33.03,4,3,NULL),(25,6046878,'1992-06-18 00:00:00',4,1,12,2009,'F','N','JD ESTHER','S PAULO','SP','125252251217472431325724376124610142197',4317,'9998',58.31,1,3,NULL),(25,6046894,'1992-12-22 00:00:00',4,4,12,2009,'F','N','CENTRO','STA ROSA','RS','120201201416471431436833575112610132157',15613,'9998',38.38,1,3,NULL),(25,6046908,'1992-11-20 00:00:00',2,15,11,2010,'F','N','VILA SÃO CRISTÓVÃO','STA ROSA SUL','SC','124241241145161411544415595121610127117',NULL,'689',0.00,1,2,1),(25,6046916,'1984-06-28 00:00:00',2,1,12,2002,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241117133431636369482114610121187',NULL,'293',15.79,4,3,NULL),(25,6046924,'1994-05-26 00:00:00',4,3,11,2010,'F','N','BEZENELLO','NOVA TRENTO','SC','124241241215111431359913235122610137142',13917,'1123',39.83,3,3,NULL),(25,6046932,'1992-08-01 00:00:00',2,6,12,2009,'F','N','CENTRO','IRETAMA','PR','116164161116572431449914575124610112197',6706,'9998',54.27,1,3,NULL),(25,6046940,'1992-04-14 00:00:00',4,5,10,2009,'F','N','PIO CORREA','CRICIÚMA','SC','124242241215373431348914175124242836147',7602,'226',52.17,1,3,NULL),(25,6046959,'1992-10-01 00:00:00',4,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241227141731335623245124610128097',12928,'262',41.05,4,3,NULL),(25,6046967,'1991-08-09 00:00:00',4,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124244241115131421321421212124610117027',NULL,'733',19.94,1,3,NULL),(25,6046975,'1991-01-01 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243247332131731216624345114610133167',NULL,'270',31.18,1,3,NULL),(25,6046991,'1994-02-04 00:00:00',4,4,11,2010,'F','N','PALMITAL','CHAPECÓ','SC','124242241215111431426911375122610147142',12793,'185',42.27,1,3,NULL),(25,6047009,'1976-01-09 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247326373721623343135334610123197',18428,'9999',32.81,2,1,2),(25,6047017,'1991-12-28 00:00:00',2,1,7,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247342271731443371344124610124073',16165,'977',38.01,1,3,NULL),(25,6047033,'1994-09-18 00:00:00',2,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431489813445122610122147',NULL,'270',34.03,1,3,NULL),(25,6047041,'1992-12-30 00:00:00',4,1,12,2009,'M','N','CENTENÁRIO','PALMEIRA MISSÕES','RS','120203201216371431549611575122610127097',17243,'9998',32.54,1,3,NULL),(25,6047050,'1993-01-05 00:00:00',4,1,12,2009,'F','N','SÃO JUDAS TADEU','COXIM','MS','112122121216472531476812575122610162072',6823,'9998',57.06,1,3,NULL),(25,6047068,'1981-07-17 00:00:00',2,1,12,2003,'M','N','BARREIROS','S JOSÉ','SC','224161247317231741633443135124610118192',11791,'9999',48.50,1,3,NULL),(25,6047076,'1990-05-08 00:00:00',2,4,12,2007,'M','N','CENTRO','ASSIS CHATEAUBRIAND','PR','116164161431513411455632476125610117057',5155,'9998',58.84,1,3,NULL),(25,6047084,'1983-03-23 00:00:00',4,1,11,2002,'F','N','AREIAS','S JOSÉ','SC','124241241121272431433419241334610126197',NULL,'734',33.88,1,2,1),(25,6047106,'1993-07-05 00:00:00',2,1,12,2010,'M','N','TAJUBA UM','S JOÃO BATISTA','SC','624241241126131441225324242235610136171',NULL,'712',29.41,4,2,1),(25,6047114,'1993-03-28 00:00:00',4,1,12,2010,'F','N','CENTRO','IPORÁ','GO','109092091215131411558811575124610123072',NULL,'9998',0.00,2,3,NULL),(25,6047122,'1991-03-12 00:00:00',4,2,11,2008,'M','N','VILA SAO PEDRO','PIRAÍ SUL','PR','124162161216572431578811575122232467042',NULL,'9998',0.00,1,3,NULL),(25,6047130,'1993-05-10 00:00:00',2,1,12,2010,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124241241115471731213624286124610164185',13577,'285',42.20,1,2,1),(25,6047149,'1993-12-16 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431333923574124610124157',14277,'880',39.28,2,1,2),(25,6047165,'1993-09-12 00:00:00',4,1,12,2010,'F','N','SETOR OESTE','GOIÂNIA','GO','109092091216111411558912575122610164147',NULL,'9998',0.00,1,3,NULL),(25,6047173,'1985-06-25 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124214211117131431129744345224610162172',9849,'9998',48.91,1,3,NULL),(25,6047181,'1988-09-23 00:00:00',4,8,12,2006,'M','N','OFICINAS CAJURU','CURITIBA','PR','116161161335573411336614471124610162037',2356,'9998',67.98,4,3,NULL),(25,6047190,'1989-04-10 00:00:00',4,1,12,2005,'M','N','LIBERDADE','S PAULO','SP','125252251215571211459911475125610162126',NULL,'9998',0.00,1,3,NULL),(25,6047211,'1993-09-11 00:00:00',2,1,12,2010,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241115371431323319246124610137143',NULL,'733',18.05,1,3,NULL),(25,6047220,'1990-08-28 00:00:00',2,1,12,2009,'M','N','PALHOÇA','PALHOÇA','SC','124241241116272411426623495114610142011',NULL,'592',16.09,1,2,1),(25,6047238,'1990-03-06 00:00:00',4,4,12,2007,'F','N','SÃO DANIEL','SEARA','SC','124241241126132531423334282124610164182',NULL,'764',0.00,4,2,1),(25,6047246,'1994-01-27 00:00:00',4,2,12,2010,'F','N','SETE DE SETEMBRO','GASPAR','SC','124241241116271431553339575122610128152',NULL,'325',20.33,1,2,1),(25,6047254,'1988-09-11 00:00:00',2,1,12,2006,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241248117472421623314175344610127057',NULL,'9997',0.00,1,2,1),(25,6047270,'1990-03-19 00:00:00',2,1,12,2007,'M','N','COLONIA SANTANA','S JOSÉ','SC','124242241216274221436634435134222367042',4274,'1074',62.62,1,3,NULL),(25,6047289,'1992-02-26 00:00:00',4,4,12,2009,'F','N','CENTRO','PATO BRANCO','PR','116163161116471711538939575122610165142',18635,'9998',32.08,1,3,NULL),(25,6047297,'1992-08-26 00:00:00',2,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124202201212471431568816572122610167142',2714,'9998',64.04,1,3,NULL),(25,6047319,'1988-05-05 00:00:00',2,1,12,2006,'F','N','BELA VISTA II','S JOSÉ','SC','124241241145471431123544242324610122142',18388,'726',38.13,1,3,NULL),(25,6047327,'1992-04-08 00:00:00',4,1,12,2010,'F','N','BARRA DO RIO MOLHA','JARAGUÁ SUL','SC','124242241217112451556612174122610125072',19622,'424',30.96,4,3,NULL),(25,6047343,'1993-03-13 00:00:00',2,3,12,2009,'F','N','CENTRO','MAMBORÊ','PR','116164161436372731656613585125610167072',NULL,'9998',0.00,1,3,NULL),(25,6047351,'1992-09-22 00:00:00',2,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241114471731436613295124610123147',16939,'298',37.47,1,2,1),(25,6047360,'1985-01-24 00:00:00',2,1,7,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241257211131441127824381124132042167',NULL,'9998',23.30,1,3,NULL),(25,6047378,'1991-02-11 00:00:00',4,1,12,2008,'M','N','JD EUROPA','JALES','SP','125251251135571431433834345114610162052',3902,'9998',61.68,1,2,1),(25,6047386,'1991-02-20 00:00:00',4,8,12,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161216472431378834375122143224182',6254,'9998',55.23,1,3,NULL),(25,6047394,'1991-08-11 00:00:00',4,1,12,2009,'F','N','SANTA TEREZINHA','ITATIBA','SP','125252251215471431369934575112610127057',3694,'9998',62.43,1,3,NULL),(25,6047432,'1992-10-13 00:00:00',2,1,12,2010,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124244241435111431436314342124610112017',13228,'1048',42.09,1,3,NULL),(25,6047440,'1992-12-22 00:00:00',4,8,12,2010,'M','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241215131421336921575121610147012',18758,'441',37.43,1,3,NULL),(25,6047459,'1991-10-24 00:00:00',4,1,12,2008,'M','N','CENTRO','ITURAMA','MG','113131131116572411566632575122610167057',3237,'9998',63.79,1,2,1),(25,6047467,'1980-08-31 00:00:00',4,1,11,2000,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242246137145421129944345224221431087',4167,'306',62.87,1,3,NULL),(25,6047483,'1993-04-24 00:00:00',4,2,12,2010,'F','N','CENTRO','MASSARANDUBA','SC','124241241116371451438933575121610137147',9612,'555',48.74,1,2,1),(25,6047491,'1992-11-08 00:00:00',2,5,11,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124244241236131331438832375124230923147',16326,'210',41.66,1,3,NULL),(25,6047505,'1993-12-20 00:00:00',2,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241112131331623321372125610122097',16680,'296',36.25,2,1,1),(25,6047513,'1991-12-17 00:00:00',4,1,12,2009,'F','N','JARDIM AQUÁRIUS','LIMEIRA','SP','125252251215471431564412385112610134182',12669,'9998',41.64,1,3,NULL),(25,6047521,'1994-01-29 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242241216121431558823575122610124072',6535,'738',55.10,1,3,NULL),(25,6047530,'1988-08-06 00:00:00',4,10,12,2005,'F','N','NOVA BRASILIA','IMBITUBA','SC','124241241116133431326624245124232326077',14920,'359',43.80,1,2,1),(25,6047548,'1992-12-08 00:00:00',4,8,12,2009,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161217471431568911573124610144022',924,'9998',73.96,1,3,NULL),(25,6047564,'1980-01-18 00:00:00',2,1,12,1999,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124141148126572431124644345324610127077',13331,'9998',41.91,2,1,1),(25,6047572,'1991-02-01 00:00:00',4,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243248315272321334434475124610132093',NULL,'9997',28.48,1,3,NULL),(25,6047580,'1993-05-23 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431478839571122610127182',837,'883',74.37,1,3,NULL),(25,6047599,'1991-10-30 00:00:00',2,1,11,2008,'M','N','AEROPORTO','MARINGÁ','PR','116162161216471131468714572112610127047',6660,'9998',55.06,1,3,NULL),(25,6047602,'1991-11-28 00:00:00',2,1,11,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124241241147131531434334385124610122147',NULL,'591',25.97,1,2,1),(25,6047610,'1985-05-28 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247325273421325834245124121742182',3110,'9999',64.10,1,3,NULL),(25,6047629,'1992-07-02 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241215472431329722574122610123072',4944,'1038',59.29,1,3,NULL),(25,6047645,'1993-03-06 00:00:00',4,17,12,2010,'F','N','VILA NOVA','TRÊS BARRAS','SC','124241241116271431358614575114610132197',NULL,'153',22.33,1,2,1),(25,6047653,'1993-03-14 00:00:00',4,1,12,2010,'F','N','BARRA DO RIO MOLHA','JARAGUÁ SUL','SC','124242241217112451556612174122610126182',3195,'424',63.03,1,3,NULL),(25,6047661,'1988-08-12 00:00:00',2,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241117372431513321485221132851181',14615,'592',39.42,4,3,NULL),(25,6047670,'1994-03-01 00:00:00',2,7,12,2010,'F','N','NOSSA SRA APARECIDA','VIDEIRA','SC','124241241217472431346812115124610127072',9168,'1080',48.43,1,3,NULL),(25,6047688,'1994-10-06 00:00:00',4,2,12,2010,'F','N','CENTRO','PRES GETÚLIO','SC','124241241116371451437731575124610166122',6848,'644',53.25,1,2,1),(25,6047696,'1992-07-03 00:00:00',2,1,12,2009,'F','N','IDEAL','NOVO HAMBURGO','RS','120202201216472431456632222122610162122',12003,'9998',44.74,1,3,NULL),(25,6047700,'1992-04-14 00:00:00',1,8,11,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215372431479614572124133234187',5255,'457',57.65,1,3,NULL),(25,6047718,'1988-12-27 00:00:00',4,5,7,2006,'M','N','JARDIM DAS PALMEIRAS','COCAL SUL','SC','124241241327131511533639182111133237097',20091,'9999',28.97,1,3,NULL),(25,6047726,'1993-05-03 00:00:00',2,3,12,2010,'M','N','IATE CLUBE','BAL CAMBORIÚ','SC','124241241116271432423434585121610117072',18006,'51',38.84,4,2,1),(25,6047734,'1993-12-20 00:00:00',4,8,11,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241235272331478811572122610147062',4845,'457',58.27,1,3,NULL),(25,6047742,'1992-12-18 00:00:00',2,8,12,2010,'M','N','ITAUM','JOINVILLE','SC','124242241145141421526632125121610167057',21716,'492',24.78,1,3,NULL),(25,6047750,'1993-03-18 00:00:00',4,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241215471431346832572112133223143',5046,'1191',59.73,1,3,NULL),(25,6047769,'1992-06-06 00:00:00',4,4,12,2009,'F','N','CENTRO','XANXERÊ','SC','124241241216152431548933575114231164092',5547,'836',58.18,1,3,NULL),(25,6047777,'1993-12-27 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241135171431313428242324610137047',NULL,'257',0.00,1,2,1),(25,6047785,'1992-04-24 00:00:00',2,10,11,2009,'F','N','OFICINAS','TUBARÃO','SC','124243241216472431338923575122610166197',5048,'807',58.45,1,3,NULL),(25,6047793,'1993-06-30 00:00:00',4,6,11,2010,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251215111431466814575124610137077',NULL,'9998',36.12,1,3,NULL),(25,6047807,'1980-08-16 00:00:00',4,1,12,1997,'M','N','SERRARIA','S JOSÉ','SC','124244241115155711466513435122123267043',13569,'271',45.83,1,3,NULL),(25,6047823,'1990-11-07 00:00:00',4,1,11,2008,'F','N','POPULAR','CUIABÁ','MT','111112111236572431548834595122610166127',6088,'9998',56.01,1,3,NULL),(25,6047840,'1992-10-29 00:00:00',4,1,12,2009,'F','N','GRANJA OLGA III','SOROCABA','SP','125252251217471441428816575122610133117',12133,'9998',43.54,1,3,NULL),(25,6047858,'1989-03-11 00:00:00',4,6,12,2006,'M','N','BIGORRILHO','CURITIBA','PR','116165161216472441378811215122142467042',1878,'9998',68.09,3,3,NULL),(25,6047866,'1991-02-15 00:00:00',4,1,11,2008,'F','N','VILA ALBERTINA','RIBEIRÃO PIRES','SP','125252251216571731445812591125610142097',2043,'9998',67.29,4,3,NULL),(25,6047874,'1992-03-18 00:00:00',4,1,10,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241235213431468953595122610127042',10647,'266',46.56,1,3,NULL),(25,6047882,'1991-08-06 00:00:00',2,1,12,2010,'F','N','SÃO JOSÉ','S JOSÉ','SC','124242241215111431239627575124610114057',NULL,'1076',40.78,1,3,NULL),(25,6047890,'1993-01-26 00:00:00',2,1,11,2010,'F','N','TREZE DE JULHO','ARACAJU','SE','126262261217171531369933592122610132147',68,'9998',84.75,4,3,NULL),(25,6047904,'1986-11-20 00:00:00',4,1,12,2004,'F','N','SETOR AEROPORTO','GOIÂNIA','GO','109092091216571751455831575122142462142',2540,'9998',65.55,1,3,NULL),(25,6047912,'1982-03-10 00:00:00',2,1,12,1999,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241116133421236344445124610164043',9073,'521',49.65,1,2,1),(25,6047920,'1994-10-25 00:00:00',2,1,12,2012,'F','S','CAMPINAS','S JOSÉ','SC','124242241215111431688611472124610122017',NULL,'270',39.63,1,3,NULL),(25,6047939,'1993-05-02 00:00:00',2,1,12,2010,'M','N','COHAB B','GRAVATAÍ','RS','120201201117371431538923272124610167057',15979,'9998',36.90,1,2,1),(25,6047947,'1992-09-26 00:00:00',4,8,12,2010,'M','N','JARDIM PARAISO','JOINVILLE','SC','124241241126211431323334386344611417182',21371,'1027',29.01,1,2,1),(25,6047955,'1991-06-15 00:00:00',4,8,12,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241215472431588931475112610127045',7700,'1063',55.43,1,3,NULL),(25,6047963,'1992-02-06 00:00:00',4,1,12,2008,'F','N','CENTRO','RONDONÓPOLIS','MT','111112111216573731346534575124610133077',653,'9998',75.96,1,3,NULL),(25,6047971,'1993-12-12 00:00:00',2,1,12,2010,'F','N','BOQUEIRÃO','CURITIBA','PR','116161161417121431444624374124610124142',17906,'9998',32.53,1,3,NULL),(25,6047980,'1993-04-06 00:00:00',4,2,12,2010,'F','N','SANTA RITA','BRUSQUE','SC','124242241415131431436824385122610141012',8662,'107',49.38,1,3,NULL),(25,6048021,'1992-02-03 00:00:00',4,1,12,2009,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121215111541468812575112610162142',NULL,'9998',38.16,1,3,NULL),(25,6048030,'1994-01-05 00:00:00',4,1,12,2010,'F','N','NAZARÉ','MEDIANEIRA','PR','116163161316371131456613475122610124012',16796,'9998',35.08,1,3,NULL),(25,6048048,'1992-11-14 00:00:00',2,17,12,2010,'M','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241137271211453623295122610138172',12102,'147',47.99,1,2,1),(25,6048056,'1993-11-10 00:00:00',2,3,12,2010,'F','N','BOQUEIRÃO','CURITIBA','PR','116162161315111431446614575114610167147',NULL,'9998',21.70,1,3,NULL),(25,6048064,'1992-09-12 00:00:00',2,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124254241125141751326614395334610134072',NULL,'282',25.55,1,3,NULL),(25,6048072,'1994-02-03 00:00:00',4,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215121411347613495124610123072',7624,'299',52.52,1,3,NULL),(25,6048080,'1993-05-11 00:00:00',4,1,12,2010,'M','N','PINHEIRO','VACARIA','RS','120201201117131431323611571225610138197',6687,'9998',57.32,1,3,NULL),(25,6048102,'1992-06-04 00:00:00',4,2,11,2010,'F','N','SETE DE SETEMBRO','GASPAR','SC','124243241217271431268933575124610164192',5715,'1018',56.51,1,3,NULL),(25,6048110,'1991-04-15 00:00:00',2,17,12,2008,'F','N','BRASILIA','S BENTO SUL','SC','124241245145271711423414292324610118187',20346,'697',33.57,5,2,1),(25,6048129,'1989-05-15 00:00:00',4,1,12,2006,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161415371231479914374122243213197',3445,'9998',62.30,1,3,NULL),(25,6048145,'1991-06-14 00:00:00',4,1,11,2009,'M','N','UNIVERSITARIO','MARINGÁ','PR','116161161117271411439613575112610167042',NULL,'9998',17.94,1,2,1),(25,6048153,'1993-03-13 00:00:00',4,1,11,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241248117141431458813185124610168192',18426,'306',38.07,4,2,1),(25,6048170,'1991-06-18 00:00:00',4,4,11,2008,'F','N','CENTRO','IPUMIRIM','SC','124241241116572431547614374114610164182',10234,'374',48.42,1,2,1),(25,6048188,'1992-12-17 00:00:00',4,1,12,2010,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124243241115151431469613472124610147071',9374,'271',48.93,1,3,NULL),(25,6048200,'1992-04-30 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215372431436613485114610147111',NULL,'1022',25.29,4,3,NULL),(25,6048226,'1993-03-26 00:00:00',4,6,11,2010,'F','N','CENTRO','ITAJAÍ','SC','124242241216371421479812474122610137131',9534,'392',49.62,1,3,NULL),(25,6048234,'1988-03-05 00:00:00',2,1,12,2005,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241112135431336623445124132724197',NULL,'935',31.02,2,1,2),(25,6048242,'1991-12-18 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216152441343923575124230253072',3803,'817',62.76,1,3,NULL),(25,6048250,'1993-02-19 00:00:00',4,6,12,2010,'M','N','JD LEA LEAL','MARINGÁ','PR','116162161217111231368822492112610164182',5971,'9998',57.44,1,3,NULL),(25,6048269,'1993-06-03 00:00:00',2,1,12,2010,'F','N','AGUAS FRIAS','ALFREDO WAGNER','SC','124241241126161431523833212331610134147',NULL,'13',0.00,1,2,1),(25,6048277,'1993-12-13 00:00:00',4,9,11,2010,'F','N','CENTRO','OTACÍLIO COSTA','SC','624244241214131231336611595124610118091',NULL,'499',0.00,1,3,NULL),(25,6048307,'1989-04-15 00:00:00',2,1,12,2006,'F','N','CENTRO','TAIÚVA','SP','125251251115571431535733571325610134142',10969,'9998',46.07,1,2,1),(25,6048315,'1993-03-18 00:00:00',4,8,12,2010,'M','N','CENTRO','CURITIBA','PR','116112161215121531488931595115610167052',7605,'9998',55.61,1,3,NULL),(25,6048323,'1992-04-21 00:00:00',4,1,12,2009,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241241116272451327619495114610164117',NULL,'733',0.00,1,2,1),(25,6048331,'1992-03-04 00:00:00',2,4,12,2009,'M','N','NAÇÕES','SEARA','SC','124241242236111431524812575122610163057',14506,'836',40.53,1,3,NULL),(25,6048340,'1990-06-07 00:00:00',4,1,12,2007,'M','N','CERRITO','STA MARIA','RS','120204201217471451478939571122142627056',3286,'9998',63.48,1,3,NULL),(25,6048358,'1992-07-26 00:00:00',2,8,12,2010,'F','N','PASSO','MAFRA','SC','624241161216111441346613572122610137071',1428,'9998',70.81,1,3,NULL),(25,6048366,'1987-01-02 00:00:00',2,1,12,2004,'F','N','FLORESTA','S MIGUEL IGUAÇU','PR','116161161116131431424414345124143234147',NULL,'9998',20.59,1,3,NULL),(25,6048374,'1992-01-16 00:00:00',2,1,12,2009,'F','N','JÕAO PAULO','FLORIANÓPOLIS','SC','124242241215372431658831476124122221127',7444,'270',55.89,1,3,NULL),(25,6048382,'1993-08-04 00:00:00',2,4,12,2010,'M','N','NOSSA SRA DE FÁTIMA','BARRACÃO','PR','116161161116271422438912272121610137047',NULL,'9998',20.24,1,2,1),(25,6048390,'1990-06-07 00:00:00',4,1,12,2007,'M','N','NOSSA SRA DE LOURDES','STA MARIA','RS','120204201215571431468931575112141367057',13178,'9998',40.39,1,3,NULL),(25,6048404,'1993-06-16 00:00:00',2,17,12,2010,'M','N','CENTRO','MAFRA','SC','124241241111131541523514172214610114042',NULL,'542',21.14,1,3,NULL),(25,6048412,'1991-02-28 00:00:00',2,8,12,2008,'F','N','INDUSTRIAL NORTE','RIO NEGRINHO','SC','124242241215373731427829595122610165191',10764,'666',46.77,1,3,NULL),(25,6048439,'1957-03-16 00:00:00',4,1,12,1976,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124211218126272751263343132132341065182',NULL,'9998',22.41,1,3,NULL),(25,6048447,'1992-12-04 00:00:00',4,1,12,2009,'F','N','SANTA CRUZ','RIO JANEIRO','RJ','121162211217371731366924575122610122122',NULL,'9998',0.00,1,3,NULL),(25,6048455,'1993-12-31 00:00:00',4,2,12,2010,'F','N','FORTALEZA','BLUMENAU','SC','124241241117372431434634595124610126142',7468,'83',54.24,1,2,1),(25,6048463,'1990-04-22 00:00:00',4,1,12,2007,'F','N','JD SÃO NICOLAU','BIGUAÇU','SC','124242241216473421426832345134610126097',20160,'63',34.17,1,3,NULL),(25,6048471,'1992-03-22 00:00:00',2,1,12,2010,'F','N','CENTRO','BIGUAÇU','SC','124241241117571731421627185114610137147',NULL,'65',18.32,1,3,NULL),(25,6048480,'1993-08-15 00:00:00',4,4,12,2010,'F','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124242241215111431468812374112610126182',10104,'1191',46.92,1,3,NULL),(25,6048498,'1992-06-12 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215472411336632342114610144141',10892,'723',46.17,1,3,NULL),(25,6048501,'1993-05-30 00:00:00',4,7,12,2009,'F','N','GUANABARA','CAMPINAS','SP','125243241117411211546611275123610127052',18554,'161',31.62,1,3,NULL),(25,6048510,'1992-11-08 00:00:00',4,4,11,2009,'F','N','CENTRO','IPUMIRIM','SC','124241241116371431547614374114610164182',NULL,'374',27.50,1,2,1),(25,6048528,'1995-02-18 00:00:00',4,3,11,2012,'F','S','CENTRO','RIO SUL','SC','124242241215111731343412575122610114052',NULL,'9997',0.00,1,3,NULL),(25,6048544,'1993-05-22 00:00:00',4,1,12,2010,'M','N','BIGORRILHO','CURITIBA','PR','116162161214111531289711572114610114042',2786,'9998',65.07,1,3,NULL),(25,6048552,'1991-05-22 00:00:00',4,1,8,2010,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241247322131431426514382214610134147',21160,'9999',30.28,1,3,NULL),(25,6048560,'1992-12-12 00:00:00',4,1,12,2010,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125252251215471431268823575122610136072',NULL,'9998',0.00,1,3,NULL),(25,6048579,'1990-11-17 00:00:00',4,1,12,2008,'M','N','SANTO ANTONIO','RIO VERDE','GO','109091091111151751226824271114610162107',9966,'9998',47.48,4,1,1),(25,6048587,'1986-11-14 00:00:00',4,1,12,2005,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224203207121131732323359395114610134077',NULL,'9998',16.38,1,3,NULL),(25,6048595,'1993-02-11 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124242241215161431228421575122610128142',NULL,'237',0.00,1,3,NULL),(25,6048609,'1993-08-22 00:00:00',4,8,12,2010,'M','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124162161215271431489931415124610147095',7840,'9998',51.65,1,3,NULL),(25,6048617,'1990-04-15 00:00:00',4,1,6,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241247227271431446619345124610131197',19915,'9999',34.83,4,3,NULL),(25,6048625,'1992-10-09 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241112571451423532382124610123145',14080,'287',40.47,1,2,1),(25,6048633,'1993-10-12 00:00:00',4,1,11,2010,'F','N','HIGIENÓPOLIS','S PAULO','SP','125252251215111731478831575122610164142',8587,'9998',49.88,1,3,NULL),(25,6048641,'1992-08-07 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472421239911575122610167041',12243,'270',45.80,1,3,NULL),(25,6048650,'1992-04-15 00:00:00',2,1,12,2009,'F','N','FLORESTA','PTO ALEGRE','RS','120161161215472451476716575124610142047',NULL,'9998',0.00,1,3,NULL),(25,6048676,'1993-10-11 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116471431433317175114610127042',7905,'733',52.72,1,2,1),(25,6048684,'1991-03-06 00:00:00',2,10,12,2008,'M','N','VILA MOEMA','TUBARÃO','SC','124242241217143431448834445122231447052',13820,'807',42.43,1,3,NULL),(25,6048692,'1992-10-05 00:00:00',4,3,11,2009,'F','N','CENTRO','PNT GROSSA','PR','116162161215472431488811474112610166182',2223,'9998',66.18,1,3,NULL),(25,6048706,'1993-01-08 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242211217111431226834572114610124012',8340,'9998',49.43,1,3,NULL),(25,6048714,'1992-03-30 00:00:00',4,16,7,2010,'M','N','CENTRO','LAGES','SC','124241242115371411326636571122610127052',NULL,'960',16.13,1,3,NULL),(25,6048722,'1991-10-21 00:00:00',2,10,12,2010,'F','N','CENTRO','IMBITUBA','SC','124244241215111431346931575122610121187',NULL,'362',17.21,1,3,NULL),(25,6048730,'1991-08-17 00:00:00',4,8,12,2008,'F','N','MERCES','CURITIBA','PR','116162161115571431368823575114610134097',4670,'9998',58.32,1,3,NULL),(25,6048749,'1993-06-17 00:00:00',4,8,12,2010,'F','N','UBERABA','CURITIBA','PR','116162161217111431469914375122610155093',NULL,'9998',0.00,1,3,NULL),(25,6048757,'1993-06-24 00:00:00',4,1,12,2010,'F','N','VILA NATAL','CAMPOS JORDÃO','SP','125252251216271431557712215112610165187',8967,'9998',49.42,1,3,NULL),(25,6048765,'1991-04-02 00:00:00',4,4,12,2010,'M','N','ZONA DOIS','UMUARAMA','PR','116164161217121431334611215112610134187',3683,'9998',62.18,3,3,NULL),(25,6048781,'1993-02-18 00:00:00',4,8,12,2010,'M','N','CRISTO REI','CURITIBA','PR','116164161217471451556432575122610167042',19012,'9998',36.92,4,3,NULL),(25,6048790,'1991-08-10 00:00:00',4,1,2,2011,'M','N','COLINAS DO ERMITAGE','CAMPINAS','SP','125252251211112612469923325122610167083',NULL,'9998',27.05,1,3,NULL),(25,6048803,'1992-02-14 00:00:00',2,8,12,2008,'M','N','CENTRO','RIO NEGRO','PR','616241161316151211466823575122610237041',NULL,'9998',27.34,1,3,NULL),(25,6048811,'1993-08-09 00:00:00',4,8,11,2010,'M','N','MERCÊS','CURITIBA','PR','116162161215111741336821575122610137063',4168,'9998',62.86,1,3,NULL),(25,6048820,'1992-11-25 00:00:00',4,5,11,2009,'F','N','CENTRO','S CARLOS','SP','125252251217472431469913571112610166182',NULL,'9998',0.00,1,3,NULL),(25,6048838,'1990-10-16 00:00:00',2,1,11,2008,'M','N','KOBRASOL','S JOSÉ','SC','124242241216573411326424275124610162077',1654,'723',70.51,1,3,NULL),(25,6048846,'1991-11-28 00:00:00',2,15,12,2008,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241117141731536624345133130728142',20630,'30',32.64,1,3,NULL),(25,6048854,'1990-08-16 00:00:00',4,3,11,2007,'F','N','CENTRO','UNIÃO VITÓRIA','PR','124242241216572411349814375122133265182',6522,'424',53.71,1,3,NULL),(25,6048862,'1993-10-22 00:00:00',4,7,12,2010,'F','N','LIBERATA','FRAIBURGO','SC','124241241116131431423312572224610122192',18045,'314',34.28,1,2,1),(25,6048870,'1993-03-11 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247215231431246923575122610127097',NULL,'9999',0.00,1,3,NULL),(25,6048897,'1992-12-05 00:00:00',4,1,12,2009,'F','N','SANTA FÉ','CPO GRANDE','MS','112124121236471251448811575112610168197',1349,'9998',71.32,1,3,NULL),(25,6048900,'1984-11-16 00:00:00',4,1,11,2002,'M','N','JUVEVE','CURITIBA','PR','116164161236512231339718215121341267047',2978,'9998',64.19,1,3,NULL),(25,6048927,'1992-03-19 00:00:00',4,1,12,2009,'M','N','VILA ISABEL','RIO JANEIRO','RJ','121212211216271331349928375124141067046',NULL,'9998',0.00,1,3,NULL),(25,6048935,'1989-10-30 00:00:00',4,1,12,2010,'F','N','GUAÍRA','CURITIBA','PR','116164168226271411655614145114610164011',14733,'9998',37.84,3,3,NULL),(25,6048943,'1991-04-23 00:00:00',2,15,12,2008,'M','N','CENTRO','TRÊS CACHOEIRAS','RS','120201201117162431546831272224242666057',NULL,'9998',0.00,1,2,1),(25,6048960,'1992-10-02 00:00:00',4,3,12,2009,'M','N','ZONA DOIS','CIANORTE','PR','116163161217471431256823575112610162092',6994,'9998',52.96,1,3,NULL),(25,6048978,'1993-05-03 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','116244161116373431438814575122241562142',13685,'9998',40.67,1,3,NULL),(25,6048986,'1991-07-11 00:00:00',4,1,12,2008,'F','N','PENHA DE FRANÇA','S PAULO','SP','125252251215571431343611574114610164147',NULL,'9998',0.00,3,3,NULL),(25,6048994,'1993-06-15 00:00:00',4,8,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241217121431458731395122610147017',5988,'441',55.63,1,3,NULL),(25,6049001,'1992-07-15 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','116163161316271431438824575324610167042',NULL,'9998',34.32,1,3,NULL),(25,6049028,'1994-01-07 00:00:00',2,10,12,2010,'F','N','CENTRO','PITANGA','PR','116162161216271431653636575122610134072',8229,'9998',49.94,4,3,NULL),(25,6049036,'1993-12-16 00:00:00',2,8,11,2010,'F','N','AGUA BRANCA','S FRANCISCO SUL','SC','124241241127161411424615575124610113147',NULL,'709',34.04,1,2,1),(25,6049044,'1993-02-28 00:00:00',2,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241115271231359933572122610127042',8723,'271',50.23,1,3,NULL),(25,6049052,'1993-02-04 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115471431523616342124610144147',14322,'298',44.68,1,2,1),(25,6049060,'1992-05-10 00:00:00',4,6,11,2010,'M','N','CABEÇUDAS','ITAJAÍ','SC','124242241217371431458729575122610168112',2336,'392',66.88,1,3,NULL),(25,6049079,'1993-05-30 00:00:00',4,1,12,2010,'F','N','SANTA TEREZA','PTO ALEGRE','RS','120202201216131431358831315124610134052',8842,'9998',49.44,1,3,NULL),(25,6049095,'1981-04-10 00:00:00',2,1,12,2003,'M','N','JARDIM DAS ACÁCIAS','S JOSÉ','SC','224242243146375431238644345134610127087',NULL,'739',28.27,2,3,NULL),(25,6049109,'1993-04-30 00:00:00',2,3,12,2010,'F','N','MUNICIPIOS','BAL CAMBORIÚ','SC','124241241135271421211127242121610135177',NULL,'51',18.70,4,2,1),(25,6049117,'1993-01-06 00:00:00',4,8,11,2010,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111431368812575122610164122',5524,'1063',55.58,1,3,NULL),(25,6049125,'1993-04-12 00:00:00',4,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241237111231355811576112610164107',4766,'723',61.39,1,3,NULL),(25,6049133,'1992-07-20 00:00:00',4,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124243241216273431446713275114610122177',6410,'976',55.39,1,3,NULL),(25,6049141,'1992-10-28 00:00:00',4,1,12,2009,'F','N','JARDIM PAULISTA','S PAULO','SP','125252251216472431548861572124610167072',NULL,'9998',0.00,1,3,NULL),(25,6049150,'1992-01-22 00:00:00',4,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124241241215412411448619574122610117187',3362,'1016',62.77,1,3,NULL),(25,6049168,'1993-05-06 00:00:00',4,2,10,2010,'F','N','INDUSTRIAL','IJUÍ','RS','120202201216121431145812591122610147187',NULL,'9998',0.00,1,3,NULL),(25,6049176,'1993-02-05 00:00:00',2,3,12,2010,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241115131431523411245231610156127',NULL,'49',38.36,4,3,NULL),(25,6049184,'1991-04-15 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124202241216372431469833575114610121192',20981,'1022',31.17,1,3,NULL),(25,6049192,'1988-06-04 00:00:00',4,1,10,2009,'M','N','BARREIROS','S JOSÉ','SC','124242247245471431536722245124610167112',NULL,'9999',24.99,1,3,NULL),(25,6049206,'1993-04-25 00:00:00',2,4,12,2009,'F','N','FLORESTA','PTO ALEGRE','RS','120242241216372431249813572122610136197',554,'1193',77.08,1,3,NULL),(25,6049222,'1991-04-04 00:00:00',4,1,12,2008,'M','N','JARDIM EDORADO','PALHOÇA','SC','124242241215272431636723241122231464142',19165,'1118',36.62,1,3,NULL),(25,6049230,'1990-03-06 00:00:00',2,3,12,2007,'F','N','BOM JESUS','CAÇADOR','SC','124244241217162441439911245133230662157',13422,'1124',46.04,1,3,NULL),(25,6049257,'1990-02-01 00:00:00',4,4,12,2007,'M','N','INTERIOR','S LOURENÇO OESTE','SC','124241241146131751322623151223543234057',16899,'1229',40.78,1,3,NULL),(25,6049273,'1992-08-15 00:00:00',4,1,7,2009,'M','N','MONTE CASTELO','CPO GRANDE','MS','112123121116475211468831575122610115187',2500,'9998',65.01,4,3,NULL),(25,6049281,'1993-06-17 00:00:00',4,3,10,2010,'F','N','JARDIM SOCIAL','CURITIBA','PR','116162161217471411569922573112610134093',14385,'9998',44.60,1,3,NULL),(25,6049303,'1993-03-09 00:00:00',2,2,12,2010,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241215151431638912575122610164142',19873,'855',34.92,1,3,NULL),(25,6049311,'1982-05-26 00:00:00',2,1,12,2002,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241247321375711321119242334610114042',16883,'9999',40.81,2,1,2),(25,6049320,'1990-11-04 00:00:00',2,1,12,2007,'M','N','AREIAS','S JOSÉ','SC','124244241111272431326821375224610127047',15933,'307',42.25,1,3,NULL),(25,6049338,'1991-08-12 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117472431637631575114610165087',15970,'9997',40.25,1,2,1),(25,6049346,'1993-05-21 00:00:00',2,4,12,2010,'F','N','CENTRO','MARAVILHA','SC','124241241116131732328852145122610134142',NULL,'552',27.10,1,3,NULL),(25,6049354,'1992-01-04 00:00:00',4,1,11,2009,'M','N','BARREIROS','S JOSÉ','SC','124244241216111431456512345122610167182',21092,'1118',30.71,1,3,NULL),(25,6049362,'1993-03-26 00:00:00',4,7,12,2010,'M','N','CRISTALINA VELHA','CRISTALINA','GO','124241241115271432538814375124610116097',18152,'539',38.56,1,2,1),(25,6049370,'1989-08-21 00:00:00',4,1,12,2008,'M','N','LISBOA','S JOSÉ','SC','124241241127271411426614381224231367092',NULL,'731',26.16,4,2,1),(25,6049389,'1992-12-18 00:00:00',4,1,12,2010,'F','N','JARDIM EUROPA','SOROCABA','SP','125252251216112411688911575122610146147',6396,'9998',57.96,1,3,NULL),(25,6049400,'1991-01-19 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124203201137572431455739571112610168037',7216,'9998',52.84,1,3,NULL),(25,6049419,'1994-09-10 00:00:00',4,8,11,2011,'F','S','AMÉRICA','JOINVILLE','SC','124242241216111431429934445122610165012',NULL,'461',34.44,3,3,NULL),(25,6049427,'1993-10-28 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241115271431533411396334610134012',13721,'1116',41.95,1,2,1),(25,6049435,'1992-10-23 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112431464923572124610132172',NULL,'270',49.85,1,3,NULL),(25,6049443,'1993-05-17 00:00:00',4,1,11,2010,'M','N','GABIROBA','ITUPORANGA','SC','124244241235131431358413395122610167057',21632,'1173',26.42,1,3,NULL),(25,6049460,'1979-12-01 00:00:00',4,1,12,1996,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120203201217271431179943433132542364013',NULL,'9998',0.00,1,3,NULL),(25,6049478,'1955-10-12 00:00:00',4,1,12,1974,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','624161161121131421133349492124610152097',21398,'9998',28.82,1,2,1),(25,6049486,'1993-05-05 00:00:00',4,1,12,2010,'F','N','CENTRO','RIO NEGRO','PR','116162161217111441468811574122610164032',1839,'9998',67.71,1,3,NULL),(25,6049494,'1993-05-12 00:00:00',4,3,12,2010,'F','N','BOM RETIRO','CURITIBA','PR','116162161215471441566911572112610164012',NULL,'9998',0.00,1,3,NULL),(25,6049508,'1993-02-28 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215112431467933575112610127062',4148,'270',61.91,1,3,NULL),(25,6049524,'1990-09-01 00:00:00',4,4,12,2009,'M','N','CENTRO','UMUARAMA','PR','116162161215311431226419495123610164017',NULL,'9998',14.10,1,3,NULL),(25,6049532,'1993-06-05 00:00:00',4,7,12,2010,'F','N','BELA VISTA','FRAIBURGO','SC','124241241116161431326614172125610146142',NULL,'314',25.12,1,2,1),(25,6049540,'1990-09-19 00:00:00',2,1,12,2008,'F','N','BELA VISTA','PALHOÇA','SC','124241241211374431337611572124610121092',11249,'1011',45.89,1,3,NULL),(25,6049567,'1990-10-23 00:00:00',4,1,11,2008,'F','N','JARDIM SANTA PAULA','VOTUPORANGA','SP','125252251215571431468811571122610132142',6050,'9998',55.45,1,3,NULL),(25,6049575,'1990-02-12 00:00:00',4,8,11,2007,'F','N','CENTRO','CURITIBA','PR','116252251215572751458831575112610162196',16313,'9998',41.68,1,3,NULL),(25,6049583,'1993-03-04 00:00:00',4,1,12,2010,'F','N','JARDIM MONTE LÍBANO','CPO GRANDE','MS','112122121216371441456923575124610134096',17850,'9998',33.25,1,3,NULL),(25,6049591,'1975-02-15 00:00:00',4,1,12,1992,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241316154221483343435122320222073',15909,'270',42.29,1,3,NULL),(25,6049613,'1989-03-27 00:00:00',4,1,7,2007,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241247415373431528624385124610138117',14993,'9999',43.70,1,3,NULL),(25,6049621,'1993-12-18 00:00:00',4,4,12,2010,'F','N','CENTRO','CORDILHEIRA ALTA','SC','124241241116131411336614575122610124097',20556,'197',32.93,1,2,1),(25,6049648,'1992-04-25 00:00:00',4,1,11,2009,'F','N','LAGO SUL','LG SUL','DF','107072071217471431266813575112140663097',3177,'9998',61.47,1,3,NULL),(25,6049656,'1986-08-09 00:00:00',2,1,12,2003,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241116373132446833342123610167052',16871,'271',40.82,1,2,1),(25,6049664,'1993-08-16 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241216131431246817395122610167187',18611,'723',37.74,1,3,NULL),(25,6049680,'1993-04-13 00:00:00',2,4,12,2010,'F','N','INDUSTRIÁRIOS','CONCÓRDIA','SC','124241241116131411523319572122610138057',NULL,'194',0.00,1,2,1),(25,6049699,'1993-10-26 00:00:00',4,1,12,2010,'M','N','TERRAS DE SAVION','ITATIBA','SP','125252251217111431468832575122610127127',10126,'9998',47.38,1,3,NULL),(25,6049710,'1993-03-09 00:00:00',4,6,12,2010,'M','N','JARDIM AMÉRICA','ITUPORANGA','SC','124241241135151411554614475122610166052',7727,'416',52.22,1,2,1),(25,6049729,'1989-10-02 00:00:00',2,8,12,2006,'F','N','VILA OPERÁRIA','MARINGÁ','PR','116162161216571431437812575123610142187',2493,'9998',65.50,3,3,NULL),(25,6049745,'1993-03-16 00:00:00',4,3,12,2010,'F','N','VILA IZABEL','CURITIBA','PR','116162161215471451349733475114610168092',NULL,'9998',0.00,1,3,NULL),(25,6049761,'1993-04-11 00:00:00',4,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241211373511548931284124131922092',6255,'185',54.21,4,3,NULL),(25,6049770,'1992-04-03 00:00:00',4,1,12,2009,'M','N','JARDIM OKINAWA','PAULÍNIA','SP','125251256117371431486812445114610137042',7970,'9998',54.86,1,2,1),(25,6049788,'1991-03-02 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124241241225474711226724575124610128147',2292,'262',66.80,4,1,2),(25,6049796,'1993-08-25 00:00:00',2,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241117131431326923582125610133147',12734,'712',41.24,1,2,1),(25,6049800,'1988-08-08 00:00:00',4,1,12,2005,'F','N','CENTRO','LONDRINA','PR','116162161215571731468711475122610112182',293,'9998',79.78,3,3,NULL),(25,6049818,'1993-01-19 00:00:00',4,8,12,2010,'F','N','CENTRO','GUARAMIRIM','SC','124244241215161441558611395124610135017',16443,'441',35.47,1,3,NULL),(25,6049826,'1993-09-10 00:00:00',4,1,12,2010,'F','N','REDENTORA','S JOSÉ R PRETO','SP','125252251216111431448631175122610135077',NULL,'9998',0.00,1,3,NULL),(25,6049834,'1989-11-24 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241247415153751336624315124610162092',18368,'9999',33.10,2,1,2),(25,6049842,'1992-01-24 00:00:00',4,15,12,2009,'F','N','CRISTO REDENTOR','PTO ALEGRE','RS','120204201216571411246614475124610165077',3095,'9998',65.65,1,3,NULL),(25,6049850,'1985-12-20 00:00:00',4,8,12,2003,'F','N','LIBERDADE','S PAULO','SP','125252251216571411433823371125610161147',1358,'9998',70.13,3,3,NULL),(25,6049869,'1992-10-13 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241126271431323361272124610134187',NULL,'595',29.51,1,2,1),(25,6049877,'1994-07-28 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241216171231456622575112610124142',17068,'497',40.52,1,3,NULL),(25,6049885,'1993-04-07 00:00:00',4,6,12,2010,'F','N','SÃO JUDAS','ITAJAÍ','SC','124243241215121431326633592124610167147',NULL,'1172',22.60,1,3,NULL),(25,6049893,'1993-06-05 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124241241314141132333561145112610168195',NULL,'237',0.00,1,3,NULL),(25,6049915,'1992-12-10 00:00:00',4,1,11,2010,'M','N','JARDIM ITÁLIA','JUNDIAÍ','SP','125252251217111531466612575122610164017',3611,'9998',60.91,4,3,NULL),(25,6049923,'1989-03-22 00:00:00',2,1,12,2006,'F','N','TRES VENDAS','PELOTAS','RS','120201201117151431426634342223240421145',NULL,'9998',0.00,1,3,NULL),(25,6049931,'1989-03-10 00:00:00',2,10,12,2006,'F','N','JOSÉ NAZÁRIO','ARMAZÉM','SC','124241241126274411225527285124133222182',10688,'34',46.15,1,2,1),(25,6049940,'1991-09-30 00:00:00',4,1,12,2008,'F','N','JARDIM ASTRO','SOROCABA','SP','125252251236471431458811575114610133094',8264,'9998',50.16,1,3,NULL),(25,6049958,'1993-05-01 00:00:00',4,4,12,2010,'M','N','SANTA MARIA','CHAPECÓ','SC','124241241135371531335933582125610164187',17159,'169',33.42,1,2,1),(25,6049966,'1988-07-25 00:00:00',4,1,12,2005,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215472751368823575124122837122',12,'270',88.41,1,3,NULL),(25,6049974,'1993-08-31 00:00:00',2,1,12,2010,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241125131431433311245124610127147',20116,'592',34.26,1,2,1),(25,6049982,'1987-02-16 00:00:00',4,1,12,2004,'F','N','CID UNI PEDRA BRANCA','PALHOÇA','SC','124243241147475751526618275224610164141',5627,'591',56.91,2,1,2),(25,6049990,'1993-04-02 00:00:00',2,4,11,2009,'M','N','SÃO CRISTOVÃO','CHAPECÓ','SC','124242241215371431478613575112131467062',9178,'1191',49.98,1,3,NULL),(25,6050000,'1983-10-08 00:00:00',2,1,12,2001,'M','N','BARREIROS','S JOSÉ','SC','124114111412134411246833245124330212172',19448,'9998',35.93,1,3,NULL),(25,6050018,'1989-05-26 00:00:00',4,1,11,2006,'M','N','BARREIROS','S JOSÉ','SC','124241241416142431436619495124233267117',18938,'1036',37.04,1,3,NULL),(25,6050034,'1992-04-28 00:00:00',2,9,12,2009,'F','N','VILA CLEMENTINO','S PAULO','SP','125251251216111431324421295324243226182',NULL,'9998',38.51,1,3,NULL),(25,6050042,'1993-11-28 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431438713375124610167092',14497,'272',40.93,1,3,NULL),(25,6050050,'1992-04-19 00:00:00',4,3,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161216472431588811575115610162072',2446,'9998',65.27,1,3,NULL),(25,6050077,'1991-01-31 00:00:00',4,1,12,2008,'M','N','ZONA CINCO','MARINGÁ','PR','116162161215471441478813435112141167187',1668,'9998',70.35,1,3,NULL),(25,6050107,'1991-09-17 00:00:00',4,4,12,2009,'M','N','UNIÃO','PALOTINA','PR','116161161216471732436819575124610137057',15773,'9998',38.43,1,3,NULL),(25,6050115,'1989-12-29 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217152431248844445134120764185',9387,'441',52.37,1,3,NULL),(25,6050123,'1991-10-18 00:00:00',4,1,12,2009,'F','N','PAU PRETO','INDAIATUBA','SP','125252251216472431448811215124610161182',7218,'9998',52.68,1,3,NULL),(25,6050131,'1987-12-27 00:00:00',2,1,11,2005,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124201241111473421526611345124610144182',9204,'257',50.19,1,2,1),(25,6050140,'1992-12-15 00:00:00',4,8,12,2010,'F','N','SANTA QUITÉRIA','CURITIBA','PR','116162161215271431244823431124610127141',NULL,'9998',24.15,1,3,NULL),(25,6050166,'1979-10-26 00:00:00',4,1,6,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241157226131731124443182224143247187',19394,'9998',36.08,4,1,2),(25,6050174,'1992-03-31 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241215412431469913585122610166095',5782,'883',56.28,1,3,NULL),(25,6050182,'1992-09-22 00:00:00',4,1,12,2010,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242247237271411269931585124610127121',6624,'9999',55.71,4,3,NULL),(25,6050190,'1990-07-17 00:00:00',2,1,11,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211373231136932312122130267117',6432,'270',56.93,1,3,NULL),(25,6050204,'1993-03-01 00:00:00',4,1,11,2010,'M','N','VILA VITÓRIA','INDAIATUBA','SP','125252251217111432453624575112610127047',NULL,'9998',0.00,1,3,NULL),(25,6050212,'1988-08-25 00:00:00',2,1,12,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216373751328824242124130237142',17409,'723',39.91,1,3,NULL),(25,6050220,'1990-06-20 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215573731449613342124130824182',7438,'1022',53.26,1,3,NULL),(25,6050247,'1983-03-30 00:00:00',2,1,12,2000,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115131411223344342234610122112',21091,'293',30.71,1,2,1),(25,6050255,'1988-02-01 00:00:00',2,6,12,2005,'F','N','CENTRO','BAL CAMBORIÚ','SC','124142141216371421232311575125142424187',13596,'9998',45.78,4,3,NULL),(25,6050263,'1991-06-22 00:00:00',4,1,12,2009,'M','N','JARDIM PAULISTA','S PAULO','SP','125252251217471431389911491114610167072',3868,'9998',61.28,1,3,NULL),(25,6050271,'1991-12-13 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241115372431334623286122610133142',NULL,'734',20.40,1,2,1),(25,6050298,'1992-12-08 00:00:00',4,1,11,2010,'F','N','COLINAS','S JOSÉ CAMPOS','SP','125252251215111531468812574122610164152',NULL,'9998',0.00,1,3,NULL),(25,6050301,'1992-05-23 00:00:00',2,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124242241212412411568632142122610167072',NULL,'738',27.12,1,3,NULL),(25,6050310,'1992-05-19 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242248217151411539413572122610158145',NULL,'9999',25.81,1,3,NULL),(25,6050336,'1991-09-16 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241217272431638814292124231437012',7263,'270',54.70,1,3,NULL),(25,6050360,'1989-07-29 00:00:00',2,4,12,2006,'F','N','CRISTO REI','CAPANEMA','PR','116161161116161411646632574122610166077',4646,'9998',59.73,1,2,1),(25,6050379,'1993-11-06 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241116151431343612172124610137052',17146,'1116',40.37,1,2,1),(25,6050387,'1993-10-10 00:00:00',2,1,12,2010,'F','N','BRAÇO SÃO JOÃO','STO AMARO IMPERATRIZ','SC','124241241146371731425635575124610134057',17594,'772',35.40,1,2,1),(25,6050395,'1992-04-30 00:00:00',2,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215472411453911575112610166152',7018,'807',56.71,1,3,NULL),(25,6050417,'1992-05-13 00:00:00',4,1,12,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124243241116372231534434445124230258142',NULL,'733',0.00,1,3,NULL),(25,6050425,'1993-11-20 00:00:00',4,17,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161217121431479914574112610132182',NULL,'9998',39.46,1,3,NULL),(25,6050433,'1992-07-14 00:00:00',4,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241215372431477933575114120737052',1795,'1022',69.81,1,3,NULL),(25,6050441,'1988-09-01 00:00:00',2,1,12,2006,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241216272221227354445224131417117',13014,'9997',46.58,4,3,NULL),(25,6050450,'1993-07-03 00:00:00',4,1,12,2010,'F','N','JARDIM TEXEIRA','ORLÂNDIA','SP','125252251215471431468831574114610124147',913,'9998',73.82,1,3,NULL),(25,6050476,'1993-06-14 00:00:00',2,5,12,2010,'F','N','CENTRO','CHIAPETTA','RS','120201201117371431656923575124610134017',14816,'9998',38.21,1,2,1),(25,6050484,'1992-08-04 00:00:00',4,1,12,2009,'M','N','VILA SAO JOSE','TAUBATÉ','SP','125253251327471111468827375122610164117',21152,'9998',30.35,1,3,NULL),(25,6050492,'1993-03-29 00:00:00',4,9,11,2010,'M','N','JARDIM AMÉRICA','RIO SUL','SC','124242241215112431589933575115610127052',4102,'991',61.00,1,3,NULL),(25,6050506,'1990-03-31 00:00:00',2,1,12,2007,'M','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','123242241211142431479414495122221147045',NULL,'270',0.00,1,3,NULL),(25,6050514,'1992-12-17 00:00:00',4,1,12,2010,'M','N','MOEMA','S PAULO','SP','125252251217161551359912571125610167057',12125,'9998',43.50,1,3,NULL),(25,6050522,'1972-12-21 00:00:00',4,1,12,1993,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224241246126233431453144345124121726047',NULL,'306',14.07,1,3,NULL),(25,6050557,'1992-03-19 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241134431431525633475124610112091',NULL,'298',10.00,1,2,1),(25,6050565,'1989-03-09 00:00:00',4,1,12,2008,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','224241241127131711524479441114610162192',NULL,'731',16.92,1,3,NULL),(25,6050573,'1993-03-07 00:00:00',4,2,11,2010,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241215111431467812575122610167141',7241,'909',56.28,1,3,NULL),(25,6050581,'1991-07-18 00:00:00',2,1,12,2008,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241142272431521411282114610163187',13124,'288',42.63,1,2,1),(25,6050603,'1993-04-13 00:00:00',4,1,11,2010,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215111731378814472112610128123',10056,'270',51.24,1,3,NULL),(25,6050638,'1992-07-09 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215474131579913275112610114192',6507,'270',57.69,1,3,NULL),(25,6050646,'1988-03-21 00:00:00',4,1,12,2005,'M','N','JARAGUA','S PAULO','SP','125251251117152451433419575124610168097',1245,'9998',71.98,1,2,1),(25,6050654,'1993-12-06 00:00:00',2,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124242243211111431436612571122610168142',19068,'168',36.80,1,3,NULL),(25,6050662,'1991-02-07 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115272431328813385223610167017',21070,'286',30.81,4,2,1),(25,6050670,'1989-10-28 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241111575431456715335134230266147',NULL,'818',19.28,1,2,1),(25,6050697,'1991-02-12 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241217132431578714475122221425052',331,'362',79.19,1,3,NULL),(25,6050700,'1992-06-02 00:00:00',2,15,12,2010,'F','N','ROCINHA','TIMBÉ SUL','SC','124243241137111431425615171224610132192',NULL,'785',39.20,1,3,NULL),(25,6050719,'1988-11-29 00:00:00',2,1,12,2006,'M','N','JARDIM CIBELE','ARARANGUÁ','SC','124241241116271411546412245122610168055',18524,'30',33.29,1,2,1),(25,6050743,'1989-05-03 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242244216142431426419415122231313182',NULL,'9997',0.00,1,3,NULL),(25,6050778,'1992-11-07 00:00:00',4,16,12,2008,'M','N','RONDINHA','PTE ALTA NORTE','SC','124241241127271531326914341221610164187',11865,'626',45.00,1,3,NULL),(25,6050786,'1988-09-05 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','624242241211153431228813385112230962042',16585,'270',41.26,2,3,NULL),(25,6050816,'1973-12-12 00:00:00',4,1,12,1992,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241246121132431224441211124610148047',21474,'293',28.18,1,3,NULL),(25,6050824,'1966-06-01 00:00:00',2,1,12,2003,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241247126271721244443435134610114191',NULL,'9999',28.43,1,2,1),(25,6050832,'1993-03-01 00:00:00',4,15,12,2010,'M','N','MATO ALTO','ARARANGUÁ','SC','124243241116131331545529345124610154142',NULL,'29',28.07,1,3,NULL),(25,6050840,'1992-03-09 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215372711466854445122610167042',9787,'262',51.71,1,3,NULL),(25,6050859,'1993-08-09 00:00:00',4,1,11,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124242241217111431543512572122610167063',5287,'723',56.47,1,3,NULL),(25,6050875,'1989-09-17 00:00:00',2,1,12,2006,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','116161161117571531625334241114610131017',NULL,'9998',25.06,1,2,1),(25,6050883,'1993-01-11 00:00:00',2,15,12,2010,'F','N','TURIMAR','BAL GAIVOTA','SC','124241241114261431416614572214610133017',NULL,'1033',17.35,1,2,1),(25,6050891,'1992-10-14 00:00:00',4,3,11,2009,'F','N','NEVES','PNT GROSSA','PR','116162161217371451378811495112610164172',NULL,'9998',0.00,1,3,NULL),(25,6050905,'1992-03-07 00:00:00',4,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124242241211373751589819311122610162082',NULL,'807',0.00,3,3,NULL),(25,6050913,'1993-03-13 00:00:00',4,6,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431229521574122610121187',6087,'1038',56.95,1,3,NULL),(25,6050921,'1994-01-22 00:00:00',4,4,12,2010,'F','N','CENTRO','SALTO LONTRA','PR','116161161117131431453933172122610144147',16271,'9998',36.07,1,2,1),(25,6050948,'1993-02-26 00:00:00',2,4,12,2010,'M','N','RODEIO CHATO','CHAPECÓ','SC','124241241111131431455611175124610168052',17414,'169',34.62,1,3,NULL),(25,6050964,'1984-06-10 00:00:00',2,1,12,2002,'F','N','INGLESES','FLORIANÓPOLIS','SC','224241241121371721521354345124610114142',13324,'274',41.45,1,2,1),(25,6050980,'1994-01-28 00:00:00',4,1,12,2010,'F','N','FUNDO CANOAS','RIO SUL','SC','124242241215131431438923295124610131072',NULL,'959',35.44,1,3,NULL),(25,6050999,'1992-12-31 00:00:00',4,8,12,2009,'M','N','JARDIM AMÉRICA','TABOÃO SERRA','SP','125252251225471411358832573114610167092',1821,'9998',69.22,1,3,NULL),(25,6051022,'1991-03-09 00:00:00',4,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241137371431455554385124133234147',16715,'348',41.05,2,1,1),(25,6051030,'1992-01-14 00:00:00',2,10,12,2009,'M','N','OFICINAS','TUBARÃO','SC','124241241116472731434419495122610168182',9922,'1034',51.49,1,2,1),(25,6051049,'1986-07-18 00:00:00',2,16,12,2004,'M','N','CENTRO','CURITIBANOS','SC','124241241117372431214616585125610127067',NULL,'526',24.59,1,2,1),(25,6051057,'1992-10-05 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472431259613595124610164142',4901,'262',58.86,1,3,NULL),(25,6051065,'1993-02-12 00:00:00',4,1,12,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','113134136117271431336924575124610137057',9037,'9998',48.34,1,3,NULL),(25,6051081,'1992-07-20 00:00:00',4,4,11,2009,'M','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124242241214351211359934585112610162055',18335,'168',33.19,4,3,NULL),(25,6051090,'1992-08-03 00:00:00',4,7,12,2009,'M','N','ITAIBA','CONCÓRDIA','SC','124201242117111411423629595125130316045',NULL,'8',0.00,4,2,1),(25,6051103,'1993-04-07 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116471431626421292224610152147',NULL,'278',24.95,4,2,1),(25,6051111,'1984-02-07 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126273431623229392114610114047',16441,'298',36.51,2,1,1),(25,6051120,'1992-06-12 00:00:00',2,3,12,2009,'F','N','JARDIM SAO FRANCISCO','STO ANTÔNIO PLATINA','PR','116162161216371452469933575125610164182',NULL,'9998',0.00,1,3,NULL),(25,6051146,'1990-11-30 00:00:00',2,8,12,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124243241214272431333821275124610122147',NULL,'461',34.98,4,3,NULL),(25,6051154,'1992-09-10 00:00:00',4,1,11,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215472431655931575114610164142',13812,'497',40.34,1,3,NULL),(25,6051170,'1993-04-29 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411558912475122610164053',17035,'262',40.57,1,3,NULL),(25,6051189,'1992-03-02 00:00:00',4,1,12,2009,'M','N','CENTRO','PIRACICABA','SP','125251251115471431333412575122610147182',2461,'9998',65.33,1,2,1),(25,6051197,'1994-01-31 00:00:00',2,5,12,2010,'M','N','JARDIM ELIZABETH','COCAL SUL','SC','124241241147271431658813571214610137047',12625,'189',42.57,1,2,1),(25,6051200,'1991-07-14 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241214272431129314473114122236187',NULL,'1193',0.00,1,3,NULL),(25,6051219,'1992-08-11 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241121371731423413281124132533142',NULL,'13',0.00,1,2,1),(25,6051227,'1985-08-30 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372421469921415122333267077',2494,'270',67.47,1,3,NULL),(25,6051235,'1993-09-10 00:00:00',4,8,11,2010,'F','N','GLÓRIA','JOINVILLE','SC','124242241215111431236934272112610117122',14826,'1063',39.07,1,3,NULL),(25,6051243,'1984-01-16 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247212475731226473185124130262041',NULL,'9999',24.76,1,3,NULL),(25,6051251,'1993-08-15 00:00:00',4,10,12,2010,'F','N','DEHON','TUBARÃO','SC','124242241215111431439924571124610122192',7163,'806',52.98,1,3,NULL),(25,6051278,'1993-07-23 00:00:00',2,17,12,2010,'F','N','CENTRO','S MATEUS SUL','PR','116162161215471431436614572114610142072',NULL,'9998',0.00,1,3,NULL),(25,6051286,'1987-11-29 00:00:00',4,1,12,2004,'F','N','CENTRO','TAPEJARA','RS','120204201416573431537434345125610156127',1096,'9998',71.25,1,3,NULL),(25,6051308,'1992-06-12 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241117141441326624385124610163142',NULL,'733',18.23,1,2,1),(25,6051324,'1982-12-24 00:00:00',4,1,6,2002,'M','N','ROÇADO','S JOSÉ','SC','124243243116375431468623432122130732047',3855,'306',61.03,3,3,NULL),(25,6051332,'1990-12-10 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241216374431526734375124221316092',8731,'1036',49.40,1,3,NULL),(25,6051340,'1992-01-13 00:00:00',4,1,11,2009,'M','N','VILA MILTON','GUARULHOS','SP','125252251217472431456612311112610127042',7077,'9998',56.60,4,3,NULL),(25,6051359,'1961-11-18 00:00:00',2,1,11,1978,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224021021116142411264449295122521666172',13529,'9998',45.88,1,3,NULL),(25,6051367,'1983-09-12 00:00:00',5,1,6,2003,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241247326474431533619245124223212147',10306,'9999',46.78,1,3,NULL),(25,6051383,'1990-09-29 00:00:00',4,1,12,2007,'M','N','VIGILATO PEREIRA','UBERLÂNDIA','MG','113131131217471431478836575112142112012',3182,'9998',64.51,4,3,NULL),(25,6051391,'1990-11-25 00:00:00',2,1,12,2008,'F','N','JARDIM CARANDAI','BIGUAÇU','SC','124241241115373431416337572124610123182',20025,'65',32.11,1,2,1),(25,6051405,'1993-05-19 00:00:00',4,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124244241115371431326311575124610126172',7472,'739',52.31,1,3,NULL),(25,6051413,'1991-11-19 00:00:00',4,1,12,2009,'F','N','CENTRO','CAMPINAS','SP','125254254116471431358721575124610157076',9278,'9998',50.78,1,3,NULL),(25,6051421,'1993-04-14 00:00:00',2,1,12,2010,'M','N','INTERIOR','CEL FREITAS','SC','124241241116161531436439275224610124041',NULL,'199',0.00,1,2,1),(25,6051430,'1993-05-03 00:00:00',2,7,12,2010,'M','N','SÃO FRANCISCO','LUZERNA','SC','124241241115321431323325572344610157047',NULL,'449',13.30,1,2,1),(25,6051464,'1993-10-09 00:00:00',2,1,11,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241216121431657532595112610117052',4420,'270',60.83,1,3,NULL),(25,6051472,'1990-08-18 00:00:00',2,1,12,2007,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','124241241132574421423314341134610161147',NULL,'594',18.13,1,2,1),(25,6051502,'1993-02-17 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431468814575122610141181',6911,'262',56.90,1,3,NULL),(25,6051510,'1990-12-11 00:00:00',2,4,12,2007,'F','N','SAIC','CHAPECÓ','SC','124242241416371431446613425132132022092',NULL,'857',25.68,1,3,NULL),(25,6051529,'1992-11-22 00:00:00',4,8,12,2010,'F','N','CONDOMÍNIO POUSADA','QUATRO BARRAS','PR','116162161217111431358811476122610133092',1913,'9998',67.54,1,3,NULL),(25,6051537,'1990-05-19 00:00:00',4,1,12,2008,'F','N','SAO LUIZ','S JOSÉ','SC','124241241117254421414314242334610121197',NULL,'729',19.85,1,2,1),(25,6051561,'1991-07-29 00:00:00',2,15,12,2008,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241117131732213329585215133234147',NULL,'30',6.44,1,3,NULL),(25,6051570,'1983-08-21 00:00:00',2,1,12,2001,'M','N','KOBRASOL','S JOSÉ','SC','124241241116375711323319295124220868187',NULL,'359',0.00,1,2,1),(25,6051588,'1993-10-15 00:00:00',2,3,12,2010,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124241243115131431324522282224610116077',NULL,'129',31.05,1,2,1),(25,6051600,'1993-08-25 00:00:00',4,2,10,2010,'F','N','GARCIA','BLUMENAU','SC','124242241215121411469919575124610128142',8227,'855',52.52,1,3,NULL),(25,6051618,'1992-12-25 00:00:00',4,10,12,2010,'F','N','CENTRO','TUBARÃO','SC','124242247247111431248514285122610142192',NULL,'9999',0.00,2,1,2),(25,6051634,'1991-11-29 00:00:00',4,2,12,2009,'M','N','CENTRO','LAURENTINO','SC','124242241215411411526612391112610137062',NULL,'991',28.17,1,3,NULL),(25,6051650,'1992-10-30 00:00:00',4,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431367824475114610165182',11896,'270',46.32,1,3,NULL),(25,6051669,'1992-10-03 00:00:00',4,10,12,2009,'M','N','DEHON','TUBARÃO','SC','124241241217151731436623485122231434142',13682,'806',45.66,1,3,NULL),(25,6051677,'1988-09-11 00:00:00',4,1,11,2005,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124251251146373441114649295224222236027',11366,'9998',49.10,4,1,1),(25,6051693,'1994-05-30 00:00:00',4,6,11,2011,'M','S','RESSACADA','ITAJAÍ','SC','124242241217111431357714571122610132097',NULL,'392',37.87,1,3,NULL),(25,6051707,'1991-04-17 00:00:00',4,15,12,2008,'F','N','CENTRO','PR GRANDE','SC','124241241141131431527733384141610127147',NULL,'641',0.00,1,2,1),(25,6051715,'1985-03-13 00:00:00',2,1,12,2002,'F','N','KOBRASOL','S JOSÉ','SC','124244241416135451258629345134610128042',17522,'724',39.71,1,3,NULL),(25,6051723,'1993-06-28 00:00:00',4,1,12,2010,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241216111431347714375124610137052',12869,'1011',46.80,1,3,NULL),(25,6051731,'1991-04-15 00:00:00',4,15,12,2008,'F','N','MATO ALTO','ARARANGUÁ','SC','124241241135132411523314245134231416122',11059,'30',45.29,1,2,1),(25,6051740,'1989-06-14 00:00:00',2,8,12,2008,'M','N','IRIRIU','JOINVILLE','SC','124241241116371711633319145223610118171',19499,'469',35.83,1,3,NULL),(25,6051758,'1992-03-09 00:00:00',4,1,12,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241115271431533414385122610117147',NULL,'733',30.82,1,3,NULL),(25,6051782,'1993-06-06 00:00:00',4,1,12,2010,'F','N','SANTA TEREZA','S PEDRO ALCÂNTARA','SC','124241241125131411434933571224610117052',20662,'869',27.50,1,2,1),(25,6051790,'1992-12-15 00:00:00',4,2,11,2010,'F','N','CENTRO','BLUMENAU','SC','124242241215111431368822575122610115181',NULL,'855',0.00,1,3,NULL),(25,6051839,'1992-07-22 00:00:00',4,6,12,2009,'F','N','CORDEIROS','ITAJAÍ','SC','124241241115371441324314374124610122147',13450,'1056',42.39,1,2,1),(25,6051847,'1991-03-24 00:00:00',4,8,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161215572411348832394124610158147',12009,'9998',44.72,1,3,NULL),(25,6051855,'1993-07-22 00:00:00',2,4,11,2010,'F','N','VILA FRAGOSOS','CONCÓRDIA','SC','124241248215111751453812295122610137052',20447,'1047',28.29,1,3,NULL),(25,6051863,'1990-06-12 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124243241216373431568613495134220844097',9952,'776',51.43,1,3,NULL),(25,6051880,'1991-04-22 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115274731333311245132122917052',NULL,'293',0.00,1,2,1),(25,6051898,'1992-08-07 00:00:00',2,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124243241216274431426624575124123218173',16378,'269',41.60,1,3,NULL),(25,6051901,'1955-03-02 00:00:00',2,1,12,1977,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','524241248147172441524341415124121911095',NULL,'307',13.20,1,2,1),(25,6051910,'1989-01-15 00:00:00',4,1,12,2006,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241137473431533379345124132723073',NULL,'307',26.84,1,2,1),(25,6051928,'1977-12-06 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242248222131531523441411222610118141',NULL,'9997',17.74,1,3,NULL),(25,6051952,'1990-09-10 00:00:00',4,1,12,2008,'F','N','JARDIM SÃO JOSÉ','BATATAIS','SP','125252251215571451488732575122610168072',12322,'9998',43.61,1,3,NULL),(25,6051979,'1988-04-05 00:00:00',2,1,6,2010,'M','N','SERRARIA','S JOSÉ','SC','124241241125131112113341311324610132067',NULL,'9997',13.54,1,3,NULL),(25,6051987,'1993-08-22 00:00:00',2,4,12,2010,'F','N','CENTRO','S LOURENÇO OESTE','SC','124242161215371331333612575124610167144',NULL,'9998',0.00,4,3,NULL),(25,6051995,'1992-11-25 00:00:00',2,16,12,2009,'M','N','RESTINGA','MAFRA','SC','124241241117372731456619575122610134141',NULL,'542',0.00,1,3,NULL),(25,6052002,'1991-10-29 00:00:00',4,15,12,2009,'F','N','CENTRO','ARARANGUÁ','SC','124241241115271731523311295132610146142',NULL,'29',16.65,1,3,NULL),(25,6052010,'1989-04-26 00:00:00',4,8,12,2007,'M','N','AVENTUREIRO','JOINVILLE','SC','124241247341271751533419492122131967052',NULL,'9999',31.12,1,3,NULL),(25,6052029,'1986-10-31 00:00:00',4,4,12,2003,'F','N','CENTRO','STA MARIA','RS','120202201217471451268911591122343232097',2095,'9998',66.93,1,3,NULL),(25,6052045,'1993-04-20 00:00:00',4,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241146132431223644245124610125147',NULL,'274',25.89,1,2,1),(25,6052053,'1993-01-25 00:00:00',2,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241117371431426431412124610116142',NULL,'278',41.00,1,2,1),(25,6052061,'1993-10-26 00:00:00',4,8,10,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241217471431569934574122610126142',5750,'1063',56.87,1,3,NULL),(25,6052070,'1992-05-06 00:00:00',4,9,12,2010,'F','N','CENTRO','VACARIA','RS','120202201215271531248832395122610162172',NULL,'9998',20.17,1,3,NULL),(25,6052096,'1992-01-09 00:00:00',4,8,12,2009,'M','N','CENTRO','CURITIBA','PR','116222221236471451568833595124610134052',NULL,'9998',17.05,4,3,NULL),(25,6052126,'1993-03-08 00:00:00',2,1,12,2010,'M','N','SÃO LEOPOLDO','CAXIAS SUL','RS','120202201216271231463812395122610167047',NULL,'9998',0.00,1,3,NULL),(25,6052134,'1980-02-01 00:00:00',4,15,12,1998,'F','N','OPERÁRIA','ARARANGUÁ','SC','124202201126151451624469291224340615097',NULL,'9998',12.68,1,3,NULL),(25,6052142,'1992-04-16 00:00:00',4,1,12,2009,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215472431369814572114230232182',3280,'262',63.48,1,3,NULL),(25,6052169,'1994-10-26 00:00:00',4,16,12,2010,'M','N','CENTRO','LEBON RÉGIS','SC','124242241215112431438811575122610162052',6035,'1124',58.68,1,3,NULL),(25,6052177,'1990-09-01 00:00:00',4,1,12,2008,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116372731526321245224230842142',NULL,'295',31.81,4,2,1),(25,6052185,'1993-09-06 00:00:00',2,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115151211336419575124610114142',NULL,'292',23.75,1,2,1),(25,6052193,'1993-11-01 00:00:00',2,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241117471721433333311224610121185',NULL,'287',19.08,2,1,1),(25,6052207,'1958-11-16 00:00:00',2,1,12,1979,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','520203203313121421226641413124140232057',NULL,'9998',0.00,1,3,NULL),(25,6052215,'1987-10-02 00:00:00',2,1,12,2005,'F','N','ASA SUL','BRASÍLIA','DF','107072071216571451478911575122142867182',NULL,'9998',0.00,1,3,NULL),(25,6052223,'1989-10-20 00:00:00',4,15,12,2007,'M','N','COLONINHA','ARARANGUÁ','SC','124241241131271431326644342123610118017',NULL,'29',24.71,1,2,1),(25,6052240,'1993-04-27 00:00:00',2,8,11,2010,'F','N','ESCOLINHA','JOINVILLE','SC','124241248116131431225623275124610113057',15261,'24',38.30,1,2,1),(25,6052258,'1983-01-05 00:00:00',2,1,12,2001,'F','N','PONTE IMARUIM','PALHOÇA','SC','224241241147132431323653172312610167182',NULL,'293',23.32,1,2,1),(25,6052266,'1993-07-01 00:00:00',4,8,12,2010,'M','N','JARDIM CALIÓRNIA','IRATI','PR','116162161215471431459934585124610112182',4630,'9998',58.94,1,3,NULL),(25,6052274,'1990-04-15 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124241241415374431438614575124130222197',21054,'1036',30.87,1,3,NULL),(25,6052282,'1993-12-03 00:00:00',4,10,12,2010,'M','N','SANTA LUZIA','CAPÃO CANOA','RS','120201201416131411349933482121610154147',13274,'9998',41.43,1,3,NULL),(25,6052290,'1991-12-05 00:00:00',4,1,12,2009,'M','N','TAQUARAL','CAMPINAS','SP','125252251216472411448914376113610167042',1992,'9998',67.54,1,3,NULL),(25,6052304,'1993-05-23 00:00:00',2,1,12,2010,'M','N','JARDIM CIDADE','S JOSÉ','SC','124241241115361431533379332122610127057',NULL,'726',12.07,4,2,1),(25,6052320,'1992-03-14 00:00:00',4,15,12,2009,'F','N','ROCINHA','TIMBÉ SUL','SC','124243241136111431523815185124610136147',NULL,'785',25.94,1,3,NULL),(25,6052347,'1993-07-14 00:00:00',2,8,12,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124212246216151421437914295124610143147',9747,'1105',46.11,1,3,NULL),(25,6052371,'1992-05-14 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','624254251236112431336611371124223222143',15890,'9998',37.16,1,3,NULL),(25,6052398,'1992-05-31 00:00:00',2,1,7,2010,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241112131431323311345124610167045',9985,'306',51.37,1,2,1),(25,6052401,'1993-02-16 00:00:00',4,1,12,2010,'F','N','CENTRO','LONDRINA','PR','116162161217111431349813575122610161127',NULL,'9998',0.00,1,3,NULL),(25,6052428,'1993-02-16 00:00:00',2,7,12,2010,'F','N','CENTRO','CELSO RAMOS','SC','124241241115131431426311195325610166142',20631,'163',32.63,1,3,NULL),(25,6052444,'1993-06-09 00:00:00',4,1,12,2010,'M','N','VILA RUBENS','INDAIATUBA','SP','125254251415121321568814184122610126017',15657,'9998',36.87,1,3,NULL),(25,6052452,'1994-04-23 00:00:00',4,17,10,2010,'F','N','CENTRO','UNIÃO VITÓRIA','PR','116242161216471431458832572124610163012',8386,'9998',50.80,1,3,NULL),(25,6052460,'1991-09-18 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241146152732436912385124220512187',20571,'415',32.87,1,3,NULL),(25,6052479,'1991-11-08 00:00:00',1,1,12,2009,'M','N','VILA VALENÇA','S VICENTE','SP','125281251215471431348734175122610117095',15997,'9998',38.08,1,3,NULL),(25,6052487,'1992-08-25 00:00:00',2,1,10,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215131411646629572124610125092',NULL,'259',0.00,4,1,2),(25,6052495,'1991-03-24 00:00:00',2,8,12,2008,'M','N','CENTRO','PNT GROSSA','PR','116163161316571231448923575112141568197',5899,'9998',56.01,1,3,NULL),(25,6052517,'1993-10-13 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215151431339713572112612217057',8516,'1118',52.11,1,3,NULL),(25,6052525,'1993-04-19 00:00:00',4,1,12,2010,'F','N','VILA MARIA HELENA','INDAIATUBA','SP','125244251216131432536624575122610163112',NULL,'9998',0.00,1,3,NULL),(25,6052533,'1992-07-23 00:00:00',4,15,11,2009,'M','N','CENTRO','SOMBRIO','SC','124242241215472441389913575124610166092',4595,'970',59.81,4,1,2),(25,6052541,'1976-06-24 00:00:00',4,1,11,2002,'M','N','COHAB II','BENTO GONÇALVES','RS','120204207227151411446632175112610124187',NULL,'9998',0.00,1,3,NULL),(25,6052568,'1992-05-24 00:00:00',4,1,12,2009,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124201201116162431437514485124610127072',NULL,'9998',17.83,1,2,1),(25,6052584,'1993-04-11 00:00:00',2,5,12,2010,'M','N','CENTRO','SIDERÓPOLIS','SC','124242241215113421463632272114610136142',2217,'226',67.73,1,3,NULL),(25,6052606,'1992-02-18 00:00:00',2,1,12,2009,'F','N','PRAINHA','FLORIANÓPOLIS','SC','124244241416471132423424292224610124147',NULL,'307',28.39,2,3,NULL),(25,6052614,'1993-02-24 00:00:00',4,4,10,2010,'F','N','BELA VISTA','ERECHIM','RS','120202201216121431469933475122610146172',5866,'9998',56.78,1,3,NULL),(25,6052622,'1993-03-08 00:00:00',4,8,11,2010,'F','N','VILA EMA','S JOSÉ CAMPOS','SP','125254251216111431466824575114610135122',7953,'9998',51.44,1,3,NULL),(25,6052630,'1991-10-11 00:00:00',2,1,11,2010,'M','N','PQ CALIFORNIA','JACAREÍ','SP','125251251116471431488714375122610137092',16242,'9998',37.75,1,2,1),(25,6052649,'1992-10-15 00:00:00',4,4,10,2009,'M','N','CENTRO','PTO ALEGRE','RS','120112161217471711269714392125610162097',5029,'9998',57.16,1,3,NULL),(25,6052657,'1992-02-26 00:00:00',2,2,12,2009,'F','N','LOTE','MOGI GUAÇU','SP','125252251116471431669814375122610136047',5442,'9998',57.75,1,3,NULL),(25,6052665,'1992-02-15 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202201237472741219913575114132836192',10026,'9998',46.78,1,3,NULL),(25,6052673,'1991-02-14 00:00:00',4,8,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162211216571431439814575125610126142',4207,'9998',62.77,1,3,NULL),(25,6052681,'1991-12-11 00:00:00',4,2,12,2009,'F','N','ITAMARATY','MOGI GUAÇU','SP','125252251117471731467614175122610136147',NULL,'9998',0.00,1,3,NULL),(25,6052711,'1991-05-13 00:00:00',4,1,12,2008,'F','N','VILA MARCONDES','PRES PRUDENTE','SP','125252251215572431468934571122610167042',1326,'9998',70.55,1,3,NULL),(25,6052720,'1990-07-04 00:00:00',4,1,12,2007,'F','N','ÁGUA FRIA','S PAULO','SP','125252251246571411446831285121610147092',3736,'9998',61.08,4,3,NULL),(25,6052754,'1995-05-25 00:00:00',4,3,11,2012,'M','S','SUMARÉ','RIO SUL','SC','124242241217111431473817475122610135142',NULL,'991',0.00,1,3,NULL),(25,6052762,'1992-06-29 00:00:00',4,1,12,2010,'M','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161237171431538632575112610134195',NULL,'9998',0.00,1,3,NULL),(25,6052770,'1992-04-26 00:00:00',2,1,11,2010,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241216131431336332572124610155142',NULL,'269',21.69,1,3,NULL),(25,6052789,'1990-01-27 00:00:00',2,3,11,2007,'M','N','CENTRO','ITAPEMA','SC','124243241117471441537814372114130634147',14468,'406',40.53,1,3,NULL),(25,6052800,'1993-11-28 00:00:00',2,8,11,2010,'F','N','JOÃO COSTA','JOINVILLE','SC','124241241215131411325611575124610124097',8644,'461',49.38,1,3,NULL),(25,6052819,'1988-11-01 00:00:00',4,1,12,2006,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117152121324429485114610116143',16754,'281',41.00,1,2,1),(25,6052827,'1994-02-23 00:00:00',4,1,12,2010,'F','N','ARIRIU','PALHOÇA','SC','124241241115371441436923576224610166192',7714,'739',51.89,1,2,1),(25,6052835,'1993-03-13 00:00:00',4,4,12,2010,'F','N','BELA VISTA','CHAPECÓ','SC','124242241215111131526319295115610148142',15312,'1161',38.45,1,3,NULL),(25,6052843,'1984-12-15 00:00:00',4,10,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215473411536612491315133225127',13008,'806',42.60,1,3,NULL),(25,6052851,'1991-02-08 00:00:00',4,7,12,2007,'F','N','CENTRO','CAPANEMA','PR','116161161115571431536633595125610164117',NULL,'9998',27.32,4,2,1),(25,6052860,'1993-02-11 00:00:00',2,15,11,2010,'M','N','CENTRO','ARARANGUÁ','SC','124241241215141431447614292122610148112',12448,'970',44.47,1,3,NULL),(25,6052878,'1993-07-16 00:00:00',4,1,12,2009,'M','N','SETOR BELA VISTA','GOIÂNIA','GO','109094091215471431378812572114610122093',824,'9998',74.90,1,3,NULL),(25,6052886,'1992-10-28 00:00:00',2,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217372431458831572124233261097',8803,'270',50.82,1,3,NULL),(25,6052894,'1993-07-07 00:00:00',4,1,12,2010,'F','N','SÃO JOSÉ','S JOSÉ','SC','124244241415111432433367595124610126192',NULL,'1076',28.27,1,3,NULL),(25,6052916,'1992-04-02 00:00:00',4,8,12,2009,'M','N','JARDIM ALVORADA','S PAULO','SP','125252251217472431378811371112610167032',597,'9998',76.74,3,3,NULL),(25,6052932,'1977-10-22 00:00:00',2,1,12,1998,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247322135431423419282324610114187',NULL,'9999',21.19,3,3,NULL),(25,6052940,'1993-08-17 00:00:00',4,1,12,2010,'M','N','CIDADE ALTA','MEDIANEIRA','PR','116162161216431431649933271121610147042',15986,'9998',37.80,1,3,NULL),(25,6052959,'1992-03-20 00:00:00',2,8,12,2009,'F','N','UBERABA','CURITIBA','PR','116162161236471431538624572124143267077',1881,'9998',68.42,1,3,NULL),(25,6052967,'1993-08-13 00:00:00',2,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431336652575122610167047',NULL,'1023',19.07,1,3,NULL),(25,6052975,'1991-10-26 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124202201215371441358823572114610167072',NULL,'9998',32.54,1,3,NULL),(25,6052983,'1993-04-22 00:00:00',4,1,12,2010,'M','N','ALTO DA SERRA','MAUÁ SERRA','PR','116162161416161731428732575124610138052',6554,'9998',54.63,1,3,NULL),(25,6052991,'1993-01-07 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241216132411433623245124610114142',NULL,'1078',33.57,1,3,NULL),(25,6053009,'1986-08-31 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241131275411322229382344610123077',13892,'359',42.16,1,2,1),(25,6053017,'1993-07-15 00:00:00',4,8,12,2010,'M','N','BAIRRO ALTO','CURITIBA','PR','116162161217411431468831575124610167012',420,'9998',78.29,3,3,NULL),(25,6053025,'1991-07-03 00:00:00',4,5,11,2010,'F','N','SANTA BARBARA','CRICIÚMA','SC','124242241317132431436811375124610141187',21633,'985',26.38,1,3,NULL),(25,6053041,'1994-09-29 00:00:00',4,2,11,2011,'F','S','VELHA','BLUMENAU','SC','124241241216171731326432575324610144147',NULL,'1018',40.71,1,3,NULL),(25,6053068,'1992-09-11 00:00:00',4,2,12,2010,'M','N','GARCIA','BLUMENAU','SC','124242241215111431358632575124610167052',8719,'855',50.15,1,3,NULL),(25,6053076,'1993-07-15 00:00:00',4,1,12,2010,'F','N','GRANJA VIANA','COTIA','SP','125252251217151431489814595122610141142',NULL,'9998',0.00,1,3,NULL),(25,6053084,'1993-06-14 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241317161451657812575124610117042',NULL,'307',30.26,1,3,NULL),(25,6053114,'1993-06-11 00:00:00',4,1,12,2010,'M','N','VILA SUIÇA','INDAIATUBA','SP','125252251216371411358832575122610137042',5013,'9998',58.22,1,3,NULL),(25,6053122,'1993-05-03 00:00:00',4,4,12,2010,'M','N','INDUSTRIAL','ITAPEJARA D OESTE','PR','116161161215111411423314575114610147045',5229,'9998',57.06,1,3,NULL),(25,6053130,'1991-10-31 00:00:00',4,1,12,2009,'M','N','CECAP','JUNDIAÍ','SP','125252251214471411588913571111610114122',NULL,'9998',0.00,1,3,NULL),(25,6053149,'1993-10-01 00:00:00',4,15,11,2010,'F','N','CENTRO','JACINTO MACHADO','SC','124243241217371411458732575124610126092',3450,'970',64.27,1,3,NULL),(25,6053165,'1991-10-01 00:00:00',2,3,12,2009,'F','N','SANDANO','OURINHOS','SP','125251251116171451436636573341610117092',10952,'9998',46.55,1,2,1),(25,6053173,'1993-10-30 00:00:00',4,4,12,2010,'M','N','BORTOT','PATO BRANCO','PR','116162161215111442458812345122610122052',7374,'9998',54.03,1,3,NULL),(25,6053181,'1992-10-01 00:00:00',2,8,12,2009,'M','N','CENTRO','ITARARÉ','SP','116254251217471441386632585122610162182',NULL,'9998',0.00,1,3,NULL),(25,6053190,'1991-03-19 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116213151326814345134121614194',NULL,'267',25.78,1,2,1),(25,6053203,'1989-12-30 00:00:00',4,1,11,2008,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241136153711646639345124610134097',NULL,'307',0.00,1,2,1),(25,6053211,'1992-11-26 00:00:00',2,10,12,2010,'F','N','CENTRO','TUBARÃO','SC','124244241216111431647412295225610117092',18328,'797',38.23,1,3,NULL),(25,6053220,'1991-09-18 00:00:00',4,8,12,2008,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241235271741457929576115232865052',10123,'459',51.12,1,3,NULL),(25,6053238,'1993-08-03 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241211217111431333324572124610164182',5146,'9998',58.27,4,3,NULL),(25,6053246,'1987-04-12 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216374731448719291124132822052',NULL,'1022',41.55,1,3,NULL),(25,6053270,'1993-07-14 00:00:00',4,4,12,2009,'F','N','ZONA RURAL','IRACEMINHA','SC','124241241117472731323636575114610141197',8585,'377',50.49,1,2,1),(25,6053289,'1982-09-27 00:00:00',2,1,12,2003,'F','N','CAMPESTRE','IMBITUBA','SC','124163161342131421427819482324141916182',NULL,'9998',14.36,1,3,NULL),(25,6053297,'1992-12-21 00:00:00',2,8,12,2009,'F','N','ITAUM','JOINVILLE','SC','124241241116371331323349392114610124047',19195,'693',36.56,1,2,1),(25,6053319,'1982-08-30 00:00:00',2,1,12,1999,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241216154711578813395122231033181',NULL,'266',0.00,1,3,NULL),(25,6053327,'1988-03-10 00:00:00',2,10,12,2005,'F','N','SANTO ANTONIO DE PAD','TUBARÃO','SC','124241241125374421434822174124131337117',9256,'1034',52.58,1,2,1),(25,6053335,'1993-01-01 00:00:00',2,1,12,2010,'F','N','FLORESTA','S JOSÉ','SC','124242241215111431243329572124610126073',17275,'738',36.23,1,3,NULL),(25,6053343,'1982-01-30 00:00:00',2,4,12,2000,'M','N','COQUEIRAL','CASCAVEL','PR','216161161116372441333315415124343227077',3619,'9998',62.54,1,2,1),(25,6053351,'1993-04-26 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215111411569814575122610163145',85,'270',84.05,1,3,NULL),(25,6053360,'1993-02-24 00:00:00',4,1,12,2010,'F','N','CENTRO','MAFRA','SC','124241241115171731323634572224610125012',NULL,'542',28.88,4,2,1),(25,6053378,'1992-07-22 00:00:00',4,5,11,2009,'F','N','PIO CORREA','CRICIÚMA','SC','124242241216573431479813332122610162012',9554,'226',49.14,1,3,NULL),(25,6053386,'1992-10-30 00:00:00',4,1,12,2009,'F','N','SARANDI','PTO ALEGRE','RS','120202201217371711355533585124610167117',6796,'9998',53.39,1,3,NULL),(25,6053394,'1994-10-27 00:00:00',5,1,12,2011,'F','S','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124284241217111731426827371124610126142',NULL,'884',34.57,1,3,NULL),(25,6053408,'1986-05-09 00:00:00',2,2,12,2003,'M','N','MARGEM ESQUERDA','GASPAR','SC','124241241127575431443619175124131532197',2797,'325',65.66,1,2,1),(25,6053416,'1993-07-13 00:00:00',4,1,12,2010,'F','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251217111731469832425112610117142',7002,'9998',53.43,3,3,NULL),(25,6053424,'1993-08-23 00:00:00',4,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241215472431458811272122610163195',5927,'262',58.90,1,3,NULL),(25,6053432,'1993-09-01 00:00:00',4,6,12,2010,'F','N','CENTRO','CIANORTE','PR','116161161236271431336923574112610164142',6802,'9998',54.22,1,3,NULL),(25,6053459,'1991-05-29 00:00:00',2,4,12,2008,'F','N','JARDIM AMERICA','CHAPECÓ','SC','124131131112271441336719595124610127052',NULL,'9998',25.31,1,2,1),(25,6053467,'1991-12-30 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215372431447732575112610162067',6738,'1022',57.23,1,3,NULL),(25,6053475,'1987-11-07 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244247435572431243331485114132825052',20880,'266',31.62,1,3,NULL),(25,6053483,'1993-03-09 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431468833575122610137047',3255,'262',63.97,1,3,NULL),(25,6053491,'1991-10-30 00:00:00',4,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217372431459813592114610164062',2349,'951',67.28,1,3,NULL),(25,6053505,'1991-04-04 00:00:00',2,1,2,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124281281132373431225654272224610163147',4268,'9998',60.71,1,3,NULL),(25,6053513,'1994-01-26 00:00:00',4,6,12,2011,'F','S','ALTO RIO CANOAS','LUIZ ALVES','SC','124243241315111731623316375124610126197',NULL,'1057',52.57,1,3,NULL),(25,6053521,'1993-06-10 00:00:00',2,1,12,2010,'F','N','PARQUE VERGARA','ITANHAÉM','SP','125251251117131431436527475121610165187',NULL,'9998',41.19,1,2,1),(25,6053530,'1989-05-01 00:00:00',2,1,12,2007,'F','N','ROÇADO','S JOSÉ','SC','124241241142272411633324345133610143147',17693,'1005',39.41,4,3,NULL),(25,6053548,'1994-06-21 00:00:00',2,2,2,2011,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124242241217131731459831585122610133077',13493,'71',39.65,1,3,NULL),(25,6053564,'1992-10-24 00:00:00',4,1,12,2010,'F','N','FRAGATA','MARÍLIA','SP','125252251214111431438823471121610137077',4682,'9998',57.16,1,3,NULL),(25,6053572,'1993-03-14 00:00:00',4,8,11,2010,'M','N','ALVORADA','VIDEIRA','SC','124241241215271431123624245125610115037',19171,'829',29.54,4,3,NULL),(25,6053580,'1990-06-20 00:00:00',2,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242247222471431246921495124610166193',NULL,'9999',22.86,1,3,NULL),(25,6053599,'1991-06-12 00:00:00',2,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241215371431337769275114133244195',7152,'1022',56.45,4,3,NULL),(25,6053602,'1993-01-09 00:00:00',4,4,11,2010,'M','N','CENTRO','CHAPECÓ','SC','124241241336371441469811212122610126172',1356,'185',70.38,1,3,NULL),(25,6053629,'1991-10-15 00:00:00',4,1,11,2009,'F','N','MOEMA','S PAULO','SP','125252251217471731464721474112610166112',NULL,'9998',0.00,1,3,NULL),(25,6053637,'1990-11-11 00:00:00',4,8,12,2008,'M','N','JUNDIAPEBA','MOGI CRUZES','SP','125284281215471432614536372224610124097',18121,'9998',38.61,3,3,NULL),(25,6053645,'1990-02-08 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216133131625634572112610133174',19895,'270',28.17,1,3,NULL),(25,6053653,'1992-01-31 00:00:00',3,1,12,2009,'F','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251212222231438821572111610162051',NULL,'9998',37.18,1,3,NULL),(25,6053661,'1993-04-22 00:00:00',4,8,10,2010,'F','N','GLÓRIA','JOINVILLE','SC','124242241215121431457812375122610122157',10781,'1063',50.02,1,3,NULL),(25,6053670,'1991-10-30 00:00:00',4,1,12,2008,'M','N','CHÁCARA INGLESA','S PAULO','SP','125252251216571431378811575112610167042',NULL,'9998',0.00,3,3,NULL),(25,6053696,'1993-01-27 00:00:00',4,1,12,2010,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091215111421448934575112610112147',5488,'9998',56.18,1,3,NULL),(25,6053700,'1994-02-01 00:00:00',4,1,11,2010,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215111751336613572112610146172',12492,'270',47.35,1,3,NULL),(25,6053718,'1993-03-31 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243243216152431448834575124240232197',8862,'1075',48.08,1,3,NULL),(25,6053726,'1992-08-16 00:00:00',4,1,12,2010,'M','N','VILA CAMPESINA','OSASCO','SP','125252251236371441569934391125610132162',6244,'9998',54.38,4,3,NULL),(25,6053734,'1990-11-22 00:00:00',4,8,12,2008,'F','N','CHÁCARA STO ANTÔNIO','S PAULO','SP','125252251216572431657814575122610127042',2575,'9998',65.89,1,3,NULL),(25,6053742,'1991-07-12 00:00:00',2,1,11,2008,'F','N','ALTO ALEGRE','BAURU','SP','125252251215571441568834571122610162172',6075,'9998',54.61,1,3,NULL),(25,6053750,'1992-06-23 00:00:00',4,2,12,2009,'M','N','JARDIM FERRARI III','ITAPEVA','SP','125252251216271431328813575125610131087',NULL,'9998',22.00,1,3,NULL),(25,6053769,'1993-11-07 00:00:00',4,1,12,2010,'F','N','CENTRO','URUBICI','SC','124241241115161431213647575324610166197',NULL,'818',0.00,1,2,1),(25,6053777,'1991-11-04 00:00:00',2,10,12,2008,'F','N','SÃO CRISTÓVÃO','TUBARÃO','SC','124241241116271431434314245124610167057',18746,'1034',37.45,2,1,1),(25,6053785,'1991-02-16 00:00:00',4,1,12,2008,'M','N','CONTINENTAL','MARÍLIA','SP','125254251216572441558813415122610127042',5178,'9998',56.92,1,3,NULL),(25,6053793,'1994-03-05 00:00:00',4,1,11,2010,'F','N','CENTRO','BIGUAÇU','SC','124244241215111431334311572124610136187',NULL,'1118',36.99,1,3,NULL),(25,6053807,'1992-08-28 00:00:00',4,15,12,2010,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241115111731538923575124610124195',NULL,'30',19.34,1,3,NULL),(25,6053815,'1992-03-15 00:00:00',4,7,12,2009,'F','N','CENTRO','OURO','SC','124242241217574231468513575112610166192',1853,'446',68.67,1,3,NULL),(25,6053840,'1993-01-13 00:00:00',4,7,12,2010,'M','N','SÃO CRISTÓVÃO','CAPINZAL','SC','124241241145131431213329572344610164192',12269,'156',42.57,1,2,1),(25,6053866,'1983-06-22 00:00:00',2,1,12,2002,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241247325471411656333242114610167117',15196,'9999',41.80,1,3,NULL),(25,6053874,'1993-05-14 00:00:00',4,8,11,2010,'F','N','CERAMARTE','RIO NEGRINHO','SC','124242241215122431248631275125610163092',NULL,'807',0.00,1,3,NULL),(25,6053882,'1993-08-03 00:00:00',4,1,11,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242248216211431338623572124610125097',21388,'9997',24.08,1,3,NULL),(25,6053890,'1993-03-09 00:00:00',2,1,12,2010,'F','N','BREJARU II','PALHOÇA','SC','124241241115131411423623492334610113141',NULL,'591',19.92,1,2,1),(25,6053904,'1991-09-26 00:00:00',2,9,12,2008,'F','N','CENTRO','AGROLÂNDIA','SC','124244241315573431449614574112610143097',12751,'416',44.21,1,3,NULL),(25,6053912,'1994-01-05 00:00:00',4,3,12,2010,'M','N','REBOUÇAS','CURITIBA','PR','116162161217111531546634575111610167057',6490,'9998',55.17,1,3,NULL),(25,6053939,'1991-06-29 00:00:00',4,1,12,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241215573431336911375124610122072',3590,'270',62.80,1,3,NULL),(25,6053947,'1991-06-18 00:00:00',4,1,12,2008,'M','N','SETOR AEROPORTO','GOIÂNIA','GO','109092091217572731679811573122610147117',1920,'9998',67.07,1,3,NULL),(25,6053955,'1993-01-19 00:00:00',2,2,12,2009,'F','N','ALTO PEREQUE','PTO BELO','SC','124241241116372431633614112124610122042',12447,'630',44.62,1,3,NULL),(25,6053963,'1991-06-10 00:00:00',4,10,12,2008,'F','N','OFICINAS','TUBARÃO','SC','124242241314372411537814342125231514142',NULL,'797',40.17,4,3,NULL),(25,6053971,'1992-08-05 00:00:00',4,1,12,2009,'F','N','FAZ SANTO ANTONIO','S JOSÉ','SC','124131131116472431336721575124610132142',NULL,'9998',23.74,4,2,1),(25,6053980,'1993-07-07 00:00:00',4,1,12,2010,'F','N','CITY RIBEIRAO','RIBEIRÃO PRETO','SP','125252251217111431469911476112610124092',5616,'9998',56.01,1,3,NULL),(25,6053998,'1993-07-23 00:00:00',4,8,12,2010,'F','N','BUCAREIN','JOINVILLE','SC','124242241215471431347832574122610134012',2277,'1063',66.30,1,3,NULL),(25,6054013,'1992-05-14 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431567923372115610127053',8446,'262',50.17,1,3,NULL),(25,6054021,'1993-11-24 00:00:00',2,8,12,2010,'F','N','VALE DO SOL','CASCAVEL','PR','121111211217151431428814375122610164057',8695,'9998',50.49,1,3,NULL),(25,6054030,'1991-12-17 00:00:00',2,1,12,2009,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241111271431423314345124610144147',NULL,'772',16.58,1,2,1),(25,6054048,'1992-06-16 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124242241216572431456712575112610166177',7175,'1018',53.35,1,3,NULL),(25,6054056,'1993-06-18 00:00:00',4,8,12,2010,'M','N','XAXIM','CURITIBA','PR','116162161215111431438612175124610127052',5955,'9998',57.02,1,3,NULL),(25,6054064,'1993-11-16 00:00:00',2,10,11,2010,'F','N','MONTE CASTELO','TUBARÃO','SC','124243241215272431456913575122610138142',NULL,'807',37.51,1,3,NULL),(25,6054080,'1992-03-27 00:00:00',4,8,12,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241215413441448814435125610167052',262,'1063',80.25,1,3,NULL),(25,6054102,'1993-11-27 00:00:00',2,1,11,2010,'M','N','CENTRO','PALHOÇA','SC','124244241215131431336914572224610114047',NULL,'1075',14.60,1,3,NULL),(25,6054110,'1993-01-27 00:00:00',4,7,12,2010,'M','N','CENTRO','CAÇADOR','SC','124244241215111431349814294125610134092',11057,'120',45.71,1,3,NULL),(25,6054129,'1993-07-14 00:00:00',4,1,12,2010,'M','N','AGUA VERDE','CURITIBA','PR','116162161236111431477832572124610167063',15453,'9998',37.75,1,3,NULL),(25,6054137,'1988-07-31 00:00:00',2,1,12,2006,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241136572451236524192224232765147',18920,'298',37.08,1,2,1),(25,6054145,'1993-10-26 00:00:00',4,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111421336823575124610163191',NULL,'723',27.81,5,3,NULL),(25,6054161,'1993-05-26 00:00:00',2,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431479932575114610147143',20948,'270',31.32,1,3,NULL),(25,6054170,'1986-08-17 00:00:00',2,1,12,2003,'M','N','AREIAS','PAULO LOPES','SC','124241241327353431443379345124131867067',13454,'262',41.01,1,3,NULL),(25,6054188,'1989-09-29 00:00:00',2,1,11,2006,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124241241131131441523311181124610162177',NULL,'257',25.86,3,2,1),(25,6054196,'1983-05-14 00:00:00',4,1,12,2000,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115473711266443435124321322187',2330,'307',65.71,1,2,1),(25,6054200,'1992-07-09 00:00:00',4,8,12,2010,'F','N','IPEROBA','S FRANCISCO SUL','SC','124241248115111431437712375122610122142',NULL,'24',19.75,1,2,1),(25,6054218,'1992-08-29 00:00:00',4,8,12,2009,'M','N','ZONA SETE','MARINGÁ','PR','116163161217371231459734575112610133052',4477,'9998',58.23,1,3,NULL),(25,6054226,'1992-07-09 00:00:00',4,3,12,2010,'M','N','BATEL','CURITIBA','PR','116162161215111431327814575122610127187',10151,'9998',51.07,1,3,NULL),(25,6054234,'1993-03-12 00:00:00',4,8,10,2010,'M','N','GLORIA','JOINVILLE','SC','124242161217122231478812575112610167012',1757,'9998',70.12,1,3,NULL),(25,6054242,'1993-06-06 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215112751646513592124610137142',18600,'737',32.28,2,1,2),(25,6054250,'1993-09-21 00:00:00',4,3,11,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241212111731416712422122610121147',5984,'403',56.77,1,3,NULL),(25,6054285,'1992-12-14 00:00:00',4,8,12,2009,'F','N','MERCÊS','CURITIBA','PR','116162161235471431676639574124610165142',NULL,'9998',26.35,1,3,NULL),(25,6054293,'1992-02-28 00:00:00',2,2,12,2008,'F','N','TRES LAGOAS','FOZ IGUAÇU','PR','116161161116572451349633575123610168052',5345,'9998',57.86,1,2,1),(25,6054307,'1994-03-12 00:00:00',4,15,12,2010,'F','N','CIDADE ALTA','TURVO','SC','124242241217111131458832472112610147092',10985,'813',45.48,1,3,NULL),(25,6054323,'1992-12-21 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215111431448611172124610127112',16464,'951',35.87,1,3,NULL),(25,6054331,'1989-09-23 00:00:00',4,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116242161216272411188831375122241036152',NULL,'9998',0.00,1,3,NULL),(25,6054340,'1994-01-31 00:00:00',2,4,12,2010,'M','N','CENTRO','RIO VERDE','GO','109094091216111431458812572222610122017',NULL,'9998',0.00,1,3,NULL),(25,6054358,'1983-11-24 00:00:00',4,1,11,2005,'M','N','CAMPINAS','S JOSÉ','SC','124201201146131411413349213224610111182',NULL,'9998',0.00,1,2,1),(25,6054366,'1992-09-10 00:00:00',4,1,11,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215472411568813572124610144072',2285,'270',67.30,1,3,NULL),(25,6054374,'1994-01-19 00:00:00',4,2,12,2010,'M','N','LARANJEIRAS','RIO SUL','SC','124242241215111431435811575112610124052',7520,'654',55.75,1,3,NULL),(25,6054382,'1993-05-31 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431486923475112610138182',10113,'1063',47.06,1,3,NULL),(25,6054390,'1992-05-07 00:00:00',4,1,11,2010,'M','N','JARDIM APIPEMA','SALVADOR','BA','105052051216111431288812575115610144092',13952,'9998',41.42,1,3,NULL),(25,6054404,'1991-05-12 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372731458831375125130762096',11536,'270',44.51,1,3,NULL),(25,6054412,'1979-12-22 00:00:00',2,4,1,1999,'M','N','CENTRO','CASCAVEL','PR','116161161117413751134439294123143267197',2392,'9998',66.46,1,2,1),(25,6054420,'1992-12-30 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431336612345122610167113',10526,'270',50.44,1,3,NULL),(25,6054439,'1992-04-03 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241216472451256817575112610126182',4985,'37',59.32,1,3,NULL),(25,6054447,'1993-10-17 01:00:00',4,6,12,2010,'F','N','SÃO JOSÉ','ITAJAÍ','SC','124242241215111431334711272122610128077',NULL,'394',0.00,1,3,NULL),(25,6054463,'1993-12-26 00:00:00',4,1,11,2010,'F','N','CERQUEIRA CESAR','S PAULO','SP','125252251215111451489914571122610137052',NULL,'9998',0.00,1,3,NULL),(25,6054471,'1992-10-19 00:00:00',4,1,11,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111431564639572124610124147',12374,'1022',43.77,1,3,NULL),(25,6054480,'1993-03-12 00:00:00',4,8,12,2010,'M','N','QUITANDINHA','RIO NEGRINHO','SC','124243241235111431338611174322610146142',458,'666',77.97,1,3,NULL),(25,6054498,'1990-11-28 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217573441379933382124131064172',8887,'1022',53.26,1,3,NULL),(25,6054501,'1992-12-28 00:00:00',4,1,12,2010,'F','N','MOOCA','S PAULO','SP','125251251216251431346524375122610168077',NULL,'9998',21.75,1,3,NULL),(25,6054510,'1991-11-09 00:00:00',4,1,12,2009,'M','N','VILA RUBENS','MOGI CRUZES','SP','125254251116471431549933574115610167092',NULL,'9998',37.58,1,3,NULL),(25,6054536,'1993-10-01 00:00:00',2,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241215121431456823572114610125172',19582,'1022',30.29,1,3,NULL),(25,6054544,'1991-07-15 00:00:00',4,1,11,2008,'M','N','ALTO DA BOA VISTA','PARAIBUNA','SP','125251251116571432525823575124610164197',3725,'9998',62.95,1,2,1),(25,6054552,'1992-08-18 00:00:00',4,8,12,2010,'M','N','GUANABARA','JOINVILLE','SC','124241246217131431536632575121610117057',21305,'1006',23.28,1,3,NULL),(25,6054560,'1993-02-05 00:00:00',4,1,12,2010,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124241241122111431426634345121610144042',NULL,'339',24.10,1,2,1),(25,6054579,'1993-08-09 00:00:00',4,8,11,2010,'F','N','BUCAREIN','JOINVILLE','SC','124242241211111411469912572112610136092',2320,'1063',66.26,1,3,NULL),(25,6054587,'1994-03-17 00:00:00',4,7,12,2010,'F','N','CAMPINA DA ALEGRIA','VARGEM BONITA','SC','124241241126161531543923295122610167052',20818,'826',31.88,1,2,1),(25,6054595,'1993-11-14 00:00:00',4,6,11,2010,'M','N','DOM BOSCO','ITAJAÍ','SC','124242241215151431637719272125610162087',13297,'1141',40.71,1,3,NULL),(25,6054609,'1987-07-18 00:00:00',4,1,11,2004,'F','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125253251217471411458824315122140627092',10583,'9998',45.95,1,3,NULL),(25,6054617,'1992-08-15 00:00:00',4,2,12,2009,'M','N','SALTO DO NORTE','BLUMENAU','SC','124241241117131431346823395114610142052',17053,'83',40.55,1,2,1),(25,6054633,'1993-01-11 00:00:00',2,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','116162161217111431468812572123610117052',NULL,'9998',0.00,1,3,NULL),(25,6054641,'1993-10-26 00:00:00',4,1,11,2010,'F','N','SANTA CANDIDA','CURITIBA','PR','116162161217121731446732595112610164146',NULL,'9998',26.37,1,3,NULL),(25,6054668,'1993-03-18 00:00:00',4,1,11,2010,'F','N','CENTRO','S JOSÉ','SC','124242248236111731436612595122610123181',18576,'988',33.15,1,3,NULL),(25,6054676,'1985-11-29 00:00:00',4,1,1,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124052057416142721136942325125143264187',NULL,'9998',0.00,4,3,NULL),(25,6054684,'1988-02-02 00:00:00',2,1,12,2006,'M','N','PARQUE DAS ARVORES','S PAULO','SP','125251251115271411427511371124610137182',NULL,'9998',0.00,4,2,1),(25,6054692,'1993-11-28 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241217121511459913245124610163197',NULL,'300',15.72,1,3,NULL),(25,6054706,'1994-12-27 00:00:00',4,9,11,2011,'F','S','SAGRADO CORAÇÃO DE J','LAGES','SC','124242241215111411425824295115610164052',NULL,'1207',29.55,1,3,NULL),(25,6054714,'1990-07-12 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','120242241217473431246832375112132664175',9196,'499',48.13,1,3,NULL),(25,6054722,'1992-07-07 00:00:00',4,1,12,2009,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124202201217472411489913172122610122042',3014,'9998',64.84,1,3,NULL),(25,6054730,'1993-10-29 00:00:00',4,8,12,2010,'F','N','VILA MENDONÇA','ARAÇATUBA','SP','125252251215111431677829572112610116192',NULL,'9998',17.66,4,3,NULL),(25,6054749,'1982-06-08 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224121121116232711229548385124141724011',14534,'9998',40.19,1,2,1),(25,6054757,'1993-01-29 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241216111431636823575124610121152',10784,'1197',46.99,1,3,NULL),(25,6054765,'1993-04-04 00:00:00',4,3,12,2010,'F','N','VILA MORAES','OURINHOS','SP','125252251217111441358824375122610112147',12698,'9998',41.16,1,3,NULL),(25,6054773,'1991-10-10 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241147474411536639245114223223195',10599,'828',46.78,1,3,NULL),(25,6054781,'1992-09-12 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252251217111231569614575122610124142',15996,'9998',42.15,1,3,NULL),(25,6054790,'1993-08-06 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241215221431633311575122610124012',5101,'299',60.62,4,3,NULL),(25,6054803,'1992-05-02 00:00:00',4,1,12,2009,'M','N','SERRARIA LOT ARAUCAR','S JOSÉ','SC','124223241112271411326629242224610122172',10449,'734',50.58,1,3,NULL),(25,6054811,'1986-12-14 00:00:00',4,1,12,2004,'F','N','VILA UNIAO','CAMPINAS','SP','125251251147371441226613385124143034154',20975,'9998',31.19,2,2,1),(25,6054820,'1981-07-08 00:00:00',4,1,12,2000,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124202207236151711166414415121140734113',NULL,'9998',0.00,1,3,NULL),(25,6054846,'1983-09-21 00:00:00',2,1,12,2000,'F','N','VILA MIRIAM','GUARULHOS','SP','125252251216573731477823433124242822147',2891,'9998',63.25,1,3,NULL),(25,6054854,'1993-04-23 00:00:00',4,1,11,2010,'M','N','RODOVIARIA PARQUE','CUIABÁ','MT','111112111217111331467832574122610162187',10027,'9998',45.87,1,3,NULL),(25,6054862,'1994-06-09 00:00:00',2,15,12,2010,'F','N','LAGOÃO','ARARANGUÁ','SC','124201241117131432637719575124610167015',19008,'30',30.36,1,2,1),(25,6054889,'1991-03-26 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202201117471431359933575124610117055',5440,'9998',59.88,1,3,NULL),(25,6054900,'1992-10-13 00:00:00',4,1,12,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215471431469611415124610137112',6390,'262',55.76,1,3,NULL),(25,6054919,'1992-11-25 00:00:00',4,1,12,2009,'F','N','SETOR BUENO','GOIÂNIA','GO','109242111216471431441823575124610122182',7516,'9998',51.89,1,3,NULL),(25,6054927,'1989-09-13 00:00:00',2,1,12,2006,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124241241112131431423619345121132044144',NULL,'783',21.89,1,2,1),(25,6054943,'1992-01-29 00:00:00',2,4,12,2009,'F','N','ALVORADA','FRANCISCO BELTRÃO','PR','116161168117471431337823575124610123142',11685,'9998',43.78,1,2,1),(25,6054951,'1990-05-31 00:00:00',4,1,12,2007,'F','N','CENTRO','S BONIFÁCIO','SC','124241241122164411436612575124232164077',NULL,'702',0.00,1,2,1),(25,6054960,'1991-10-02 00:00:00',4,1,12,2009,'M','N','DA BOA VISTA','S PAULO','SP','125252258217471451478831495112610163046',12451,'9998',43.85,1,3,NULL),(25,6054986,'1990-05-28 00:00:00',4,10,12,2008,'M','N','VILA NOVA','IMBITUBA','SC','124241241111371431216527575124610124052',NULL,'359',31.92,1,2,1),(25,6054994,'1993-06-05 00:00:00',4,1,12,2010,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241125471411426524276124610123147',7847,'12',53.17,1,2,1),(25,6055001,'1991-05-27 00:00:00',4,1,12,2008,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124251251117372432323844445214610126197',8411,'9998',51.44,1,2,1),(25,6055028,'1992-06-10 00:00:00',4,1,12,2009,'M','N','LEONOR','LONDRINA','PR','116162161216371331368612575122610167187',2924,'9998',62.92,1,3,NULL),(25,6055036,'1994-06-07 00:00:00',4,1,12,2011,'F','S','ROÇADO','S JOSÉ','SC','124241241115131431223624345124610137182',NULL,'729',23.64,1,3,NULL),(25,6055044,'1992-04-15 00:00:00',2,10,11,2009,'M','N','FABIO SILVA','TUBARÃO','SC','124241241217472431638833585121610167147',5608,'809',55.71,1,3,NULL),(25,6055060,'1992-09-13 00:00:00',2,1,12,2010,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241212111411658812292124613221112',17865,'951',39.10,1,3,NULL),(25,6055079,'1991-04-12 00:00:00',4,15,12,2008,'F','N','COLONINHA','ARARANGUÁ','SC','124241241111371411526634345122610168047',21468,'29',28.24,1,3,NULL),(25,6055087,'1992-07-12 00:00:00',4,17,12,2010,'F','N','CENTRO','MAFRA','SC','124241241114131431436619371225610148177',NULL,'542',27.06,1,2,1),(25,6055109,'1993-02-02 00:00:00',4,5,12,2010,'F','N','CENTRO','IÇARA','SC','124244241215111411433632575114610127047',NULL,'349',19.76,1,3,NULL),(25,6055117,'1992-12-24 00:00:00',4,3,12,2010,'F','N','SAO LUIZ','BRUSQUE','SC','124242241215371431589912575112610135155',17164,'109',40.34,1,3,NULL),(25,6055125,'1990-06-29 00:00:00',4,4,12,2007,'M','N','VILA INDUSTRIAL','TOLEDO','PR','116162161216472451449732225122143265121',4081,'9998',60.80,1,3,NULL),(25,6055141,'1993-11-14 00:00:00',4,3,12,2010,'M','N','PILARZINHO','CURITIBA','PR','116162161217111431458833475112610162187',288,'9998',79.85,1,3,NULL),(25,6055150,'1986-03-18 00:00:00',2,10,12,2003,'F','N','OFICINAS','TUBARÃO','SC','124241241116141441433311245125330666097',NULL,'808',34.20,1,2,1),(25,6055176,'1991-03-23 00:00:00',4,1,12,2008,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241115271421333614245124610146097',NULL,'733',29.82,1,2,1),(25,6055184,'1990-11-28 00:00:00',2,1,12,2007,'F','N','JARDIM IMPERIAL','MARINGÁ','PR','116161161116473421533639345123610166097',19115,'9998',31.31,2,1,1),(25,6055192,'1992-12-29 00:00:00',4,8,12,2009,'M','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161216521711569911574115610166052',264,'9998',80.24,1,3,NULL),(25,6055214,'1992-09-09 00:00:00',4,1,11,2009,'F','N','MORUMBI','S PAULO','SP','125252251216471431386812575122610162122',NULL,'9998',0.00,1,3,NULL),(25,6055222,'1994-05-21 00:00:00',4,8,12,2011,'F','S','PIRABEIRABA','JOINVILLE','SC','124242241217111231479814372122610157122',NULL,'457',45.24,1,3,NULL),(25,6055249,'1991-07-03 00:00:00',4,1,12,2008,'F','N','CENTRO','MARINGÁ','PR','116162161215511421459911585112613261182',9333,'9997',48.59,3,3,NULL),(25,6055273,'1990-03-07 00:00:00',2,1,12,2007,'F','N','CENTRO','DOIS IRMÃOS','RS','120201201116131431223624345234610125142',18589,'9998',32.59,1,2,1),(25,6055281,'1991-04-13 00:00:00',4,10,12,2008,'M','N','SAÚDE','S PAULO','SP','125092091216573731468811575115610167147',650,'9998',75.01,1,3,NULL),(25,6055290,'1993-04-02 00:00:00',2,2,12,2010,'F','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124243241117131431328954372324610127017',10520,'88',47.35,1,3,NULL),(25,6055303,'1993-08-22 00:00:00',4,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215371431477923575112610136071',5237,'1022',57.48,1,3,NULL),(25,6055311,'1989-04-19 00:00:00',4,5,3,2007,'M','N','JARDIM ANJELICA','CRICIÚMA','SC','124242246211141431436939441133131432071',21347,'995',29.19,1,3,NULL),(25,6055320,'1993-06-19 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124244241116271431433633575124610123097',NULL,'592',34.55,2,1,2),(25,6055338,'1993-02-21 00:00:00',2,6,11,2010,'F','N','ITAIPAVA','ITAJAÍ','SC','124243241215131531327733575124610126047',NULL,'392',30.71,1,3,NULL),(25,6055346,'1994-01-26 00:00:00',4,5,11,2011,'F','S','CENTRO','CRICIÚMA','SC','124242241215151411368924571122610128077',NULL,'213',40.14,1,3,NULL),(25,6055354,'1992-07-30 00:00:00',4,1,12,2009,'M','N','EMBARÉ','SANTOS','SP','125252251217472431238814574122610137052',NULL,'9998',0.00,1,3,NULL),(25,6055362,'1993-05-10 00:00:00',2,8,12,2010,'F','N','VILA NOVA','JOINVILLE','SC','124256241116131711535612285124610123147',6125,'475',54.78,1,3,NULL),(25,6055389,'1993-09-23 00:00:00',5,1,10,2010,'F','N','CENTRO','ERECHIM','RS','120202201217111431455814575122610144092',NULL,'9998',0.00,1,3,NULL),(25,6055397,'1992-04-05 00:00:00',2,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124241243147141731476812326122610137042',NULL,'591',0.00,1,2,1),(25,6055400,'1993-04-28 00:00:00',4,1,12,2010,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091216111431449914275122610134094',3164,'9998',62.80,1,3,NULL),(25,6055419,'1990-08-12 00:00:00',4,1,12,2007,'M','N','CENTRO','LEOBERTO LEAL','SC','124241241121162411316644241333231827047',NULL,'533',0.00,1,3,NULL),(25,6055427,'1992-04-28 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241247153431348632595124231467015',2976,'1022',64.58,1,3,NULL),(25,6055435,'1993-01-17 00:00:00',2,1,11,2009,'F','N','PATRONATO','STA MARIA','RS','120204201114471431449816271112610143057',9950,'9998',47.24,1,3,NULL),(25,6055443,'1991-03-26 00:00:00',2,1,12,2008,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241116373431414324285124610133057',18711,'292',33.70,1,2,1),(25,6055451,'1993-11-15 00:00:00',4,1,12,2010,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241235111441339621272122610162045',4760,'951',59.63,1,3,NULL),(25,6055460,'1994-01-10 00:00:00',4,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241215151431323611574112610136147',13830,'1075',40.21,1,3,NULL),(25,6055478,'1991-09-20 00:00:00',2,5,11,2009,'F','N','CENTRO','PTO ALEGRE','RS','120201201215471731435816591124610133052',8576,'9998',50.54,1,3,NULL),(25,6055486,'1986-10-05 00:00:00',5,1,12,2003,'F','N','SÃO ROQUE','NOVA TRENTO','SC','124241241146574431346634275124222638197',11875,'574',48.37,1,2,1),(25,6055494,'1992-01-21 00:00:00',4,1,12,2010,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241246116131411523334375124610148145',14434,'306',39.51,1,2,1),(25,6055508,'1992-11-02 00:00:00',1,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241214111421379924275122610147042',4255,'270',62.67,4,3,NULL),(25,6055516,'1993-02-27 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241135111431338614285124610127142',NULL,'592',33.15,1,2,1),(25,6055532,'1992-09-11 00:00:00',2,1,12,2010,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241243141131731621314242324610123037',NULL,'591',28.04,4,2,1),(25,6055559,'1989-07-24 00:00:00',2,1,12,2008,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241248122131231324414382212631257017',NULL,'9997',23.01,2,1,1),(25,6055567,'1992-11-18 00:00:00',4,1,12,2009,'F','N','RESIDENCIAL GOIÁS','GOIÂNIA','GO','109092091216471751466619575112610162182',NULL,'9998',0.00,4,3,NULL),(25,6055575,'1992-09-26 00:00:00',4,5,12,2009,'F','N','RIO BRANCO','PTO ALEGRE','RS','120202201215471431489911571122610147142',NULL,'9998',0.00,1,3,NULL),(25,6055591,'1993-10-31 00:00:00',2,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241248117371431323634582124610128142',NULL,'727',19.27,1,3,NULL),(25,6055605,'1993-09-24 00:00:00',2,6,12,2010,'F','N','CENTRO','CASCAVEL','PR','116162161216121431476712575122610142187',13880,'9998',40.35,1,3,NULL),(25,6055613,'1990-09-14 00:00:00',2,1,11,2008,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124244241231132421438612345124131017047',20325,'738',33.64,4,3,NULL),(25,6055621,'1993-11-19 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241415111441537833575114610164077',9265,'1022',50.11,1,3,NULL),(25,6055630,'1992-07-02 00:00:00',4,8,10,2009,'F','N','FLORESTA','JOINVILLE','SC','124242241215372451268614572122610164142',3699,'486',62.19,1,3,NULL),(25,6055656,'1992-01-27 00:00:00',4,1,11,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124203241112152411546613345124610162177',16432,'257',41.52,4,3,NULL),(25,6055664,'1992-03-15 00:00:00',4,1,12,2008,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241227132441116444143224133224052',16409,'524',35.35,1,3,NULL),(25,6055672,'1993-07-10 00:00:00',2,1,11,2010,'M','N','SERTÃO','STO AMARO IMPERATRIZ','SC','124241241135471431425315245124610127147',20128,'941',29.80,1,2,1),(25,6055680,'1991-08-29 00:00:00',2,1,12,2009,'F','N','VILA EUVIRA','S JOSÉ R PRETO','SP','125252251215271431438619195122610131097',NULL,'9998',26.36,1,3,NULL),(25,6055699,'1992-05-02 00:00:00',4,1,12,2009,'M','N','VILA REZENDE','PIRACICABA','SP','125251251115471431458734375122610127047',11634,'9998',44.19,1,2,1),(25,6055702,'1994-01-27 00:00:00',2,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124243241117311431435939575122610137042',21063,'592',30.85,1,3,NULL),(25,6055710,'1992-03-21 00:00:00',4,1,12,2009,'M','N','CRUZEIRO NOVO','CRUZEIRO','DF','107072071226471731446623572124610126097',3520,'9998',62.13,4,3,NULL),(25,6055729,'1993-04-13 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241216111411436653575124610125012',NULL,'1048',24.52,1,3,NULL),(25,6055737,'1991-12-17 00:00:00',4,1,12,2009,'F','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251216471431468834571122610167013',476,'9998',77.00,1,3,NULL),(25,6055745,'1994-04-01 00:00:00',4,6,12,2010,'M','N','SÃO VICENTE','ITAJAÍ','SC','124241241116131431326533475121610143147',NULL,'400',43.93,1,2,1),(25,6055753,'1992-12-17 00:00:00',4,1,11,2010,'F','N','COLONIA SANTANA','S JOSÉ','SC','124241241215111411346933415124610112142',21708,'1074',25.09,1,3,NULL),(25,6055761,'1992-01-02 00:00:00',4,1,11,2009,'F','N','CAMINHO DAS ÁRVORES','SALVADOR','BA','105052051216472431369914572122610167142',3331,'9998',61.69,1,3,NULL),(25,6055770,'1994-07-18 00:00:00',4,10,11,2011,'F','S','SÃO FRANCISCO','BRAÇO NORTE','SC','124244241235111431444832571124610132142',NULL,'806',37.13,1,3,NULL),(25,6055796,'1992-02-04 00:00:00',2,8,12,2009,'F','N','CENTRO','DIAMANTE NORTE','PR','116161161117471431447614572122610164197',5865,'9998',57.20,1,2,1),(25,6055800,'1993-05-24 00:00:00',2,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124241246417131111226621575124610114041',20474,'1105',33.24,1,3,NULL),(25,6055818,'1993-10-22 00:00:00',4,1,12,2010,'F','N','CENTRO','RIO VERDE','GO','109092091217171411448812222122610147092',4337,'9998',59.58,1,3,NULL),(25,6055826,'1991-04-09 00:00:00',2,15,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124243241145131431248619275125610136147',NULL,'9997',24.22,1,3,NULL),(25,6055834,'1990-11-05 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124243241216133231428631285124131424057',17708,'738',34.31,1,3,NULL),(25,6055842,'1992-11-18 00:00:00',4,8,12,2010,'F','N','AVENTUREIRO','JOINVILLE','SC','124242241216111731536612295124610164052',NULL,'1105',0.00,1,3,NULL),(25,6055850,'1989-10-14 00:00:00',4,8,12,2007,'M','N','BUCAREIN','JOINVILLE','SC','124244241216373451246632145224610167072',NULL,'138',30.13,1,3,NULL),(25,6055869,'1993-02-12 00:00:00',2,1,12,2009,'F','N','BELA VISTA','BIGUAÇU','SC','124241241132271232333327342324610137027',NULL,'65',29.35,4,2,1),(25,6055877,'1993-06-22 00:00:00',4,3,12,2010,'M','N','VILA MARIANA','S PAULO','SP','125252251216111431469912425122610124042',16860,'9998',40.83,1,3,NULL),(25,6055885,'1986-04-07 00:00:00',4,1,12,2003,'M','N','PROTASIO ALVES','PTO ALEGRE','RS','120204201216571711236527495124241448057',2345,'9998',67.09,1,3,NULL),(25,6055893,'1991-12-06 00:00:00',4,1,12,2009,'M','N','PONTA VERDE','MACEIÓ','AL','102262261215271431368814572124610164042',NULL,'9998',23.29,1,3,NULL),(25,6055907,'1993-04-22 00:00:00',2,1,12,2010,'F','N','PILARZINHO','CURITIBA','PR','116161161115211331226819575124610167142',NULL,'9998',0.00,1,2,1),(25,6055915,'1992-11-09 00:00:00',2,6,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241116141431447611342122610135051',NULL,'406',0.00,1,3,NULL),(25,6055923,'1988-11-04 00:00:00',4,1,11,2010,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124246247627141421238919245121610167117',20609,'9999',32.71,1,3,NULL),(25,6055931,'1994-03-22 00:00:00',2,4,12,2010,'F','N','CRISTO REI','PATO BRANCO','PR','116164168416111731436817575122610126042',NULL,'9998',0.00,1,3,NULL),(25,6055940,'1989-09-08 00:00:00',4,5,12,2006,'F','N','BOTAFOGO','BENTO GONÇALVES','RS','120201201111471451436923171124142462092',NULL,'9998',43.20,1,2,1),(25,6055958,'1993-10-08 00:00:00',4,1,10,2010,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121216111431478813275122610142047',1863,'9998',68.07,1,3,NULL),(25,6055966,'1991-11-27 00:00:00',4,1,11,2009,'F','N','SANTA MARTA','S CARLOS','SP','125252251217472411469913471122610133077',2522,'9998',65.27,1,3,NULL),(25,6055974,'1988-08-25 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241437151431326611371223230217187',NULL,'270',19.88,1,3,NULL),(25,6055982,'1993-09-01 00:00:00',4,9,12,2010,'M','N','CENTRO','ANITA GARIBALDI','SC','124244241116141431448959245122610118182',NULL,'18',15.27,1,3,NULL),(25,6055990,'1993-04-06 00:00:00',4,10,12,2010,'F','N','CENTRO','CAPIVARI BAIXO','SC','124244241215111431448732572124610127142',20042,'809',34.44,1,3,NULL),(25,6056008,'1992-03-17 00:00:00',4,1,12,2009,'F','N','FLORADAS SÃO JOSÉ','S JOSÉ CAMPOS','SP','125252251217471231458833575122610125042',4671,'9998',58.22,1,3,NULL),(25,6056024,'1993-06-24 00:00:00',4,4,12,2010,'F','N','CENTRO','XAXIM','SC','124241241115131431436639392124610134187',NULL,'847',16.39,1,2,1),(25,6056032,'1992-09-11 00:00:00',4,1,11,2010,'M','N','CENTRO','BIGUAÇU','SC','124242241215121431448811575124610146092',NULL,'738',41.43,1,3,NULL),(25,6056040,'1994-03-18 00:00:00',4,2,12,2011,'F','S','GARCIA','BLUMENAU','SC','124242241217111731458732575122610144112',NULL,'87',26.07,1,3,NULL),(25,6056059,'1992-10-12 00:00:00',4,1,12,2009,'F','N','FORTE','PR GRANDE','SP','125252251217472411568839571125610161122',578,'9998',76.82,1,3,NULL),(25,6056067,'1993-10-21 00:00:00',2,1,12,2010,'F','N','CENTRO','VITORINO','PR','116161161217131411326823285124610124047',NULL,'9998',20.26,1,3,NULL),(25,6056075,'1992-03-01 00:00:00',4,1,11,2009,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124244241217372431449634472124610124062',2577,'270',66.10,1,3,NULL),(25,6056083,'1982-03-11 00:00:00',4,1,12,2000,'F','N','INGLESES DO SANTINHO','FLORIANÓPOLIS','SC','124161161147131451215641111314142745087',15658,'9998',42.67,1,2,1),(25,6056091,'1992-07-19 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215113431438931442124230268147',11449,'270',44.93,1,3,NULL),(25,6056105,'1993-07-04 00:00:00',2,2,11,2010,'F','N','PASSO MANSO','BLUMENAU','SC','124241241211131431426614295124610167187',4210,'71',60.73,1,3,NULL),(25,6056113,'1991-01-21 00:00:00',4,17,12,2008,'M','N','CENTRO','TOLEDO','PR','116162161216424421438834545124610127042',9280,'9998',49.16,1,3,NULL),(25,6056121,'1991-02-22 00:00:00',4,1,11,2008,'M','N','MARTINHO PRADO JR','MOGI GUAÇU','SP','125251251147162341433319175124610147187',13762,'9998',41.00,1,2,1),(25,6056130,'1992-05-27 00:00:00',4,1,12,2009,'F','N','CAMPO DUNA','GAROPABA','SC','124241241115142432326723235214610128197',19474,'359',35.89,1,2,1),(25,6056148,'1993-07-26 00:00:00',2,8,10,2010,'F','N','BUCAREIN','JOINVILLE','SC','124242241215121331469933592122610132097',NULL,'1016',32.94,1,3,NULL),(25,6056156,'1994-01-18 00:00:00',2,3,11,2010,'F','N','JOAIA','TIJUCAS','SC','124242241216111431426612575122610128182',NULL,'948',0.00,1,3,NULL),(25,6056164,'1992-01-04 00:00:00',2,5,12,2008,'F','N','CRISTAL','PTO ALEGRE','RS','120202201217571431458839591124610133147',3516,'9998',62.44,1,3,NULL),(25,6056172,'1990-02-06 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124253258337132431128944345224610147183',7251,'9998',56.26,1,3,NULL),(25,6056180,'1992-08-29 00:00:00',4,1,11,2009,'F','N','PANTANL','FLORIANÓPOLIS','SC','124244241416272411259813575124233262182',NULL,'446',43.99,1,3,NULL),(25,6056199,'1992-07-08 00:00:00',2,5,12,2010,'F','N','SÃO JOSÉ','CRICIÚMA','SC','124241248116161431447923395124610123072',NULL,'228',19.89,2,1,1),(25,6056229,'1991-02-28 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241242116473411343973595114610162091',2214,'129',68.51,1,2,1),(25,6056237,'1991-08-13 00:00:00',4,1,12,2009,'M','N','MOOCA','S PAULO','SP','125252253217471431338819491132610167112',16896,'9998',40.78,1,3,NULL),(25,6056253,'1993-03-15 00:00:00',4,1,11,2010,'M','N','VILAS BOAS','CPO GRANDE','MS','112122121217471431478613575122610117042',4270,'9998',62.64,1,3,NULL),(25,6056261,'1993-07-27 00:00:00',2,6,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','624242241215111231458832271124610167122',NULL,'392',24.81,1,3,NULL),(25,6056270,'1988-06-07 00:00:00',2,1,12,2005,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241116132711425543232124610123147',20796,'733',31.96,1,2,1),(25,6056288,'1994-03-05 00:00:00',2,1,12,2011,'M','S','VARGINHA','ITAJUBÁ','MG','113132131217111231446864245125610127052',NULL,'9998',0.00,1,3,NULL),(25,6056296,'1992-11-17 00:00:00',3,10,11,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215111431546412185222610166097',12816,'807',46.88,1,3,NULL),(25,6056300,'1992-03-31 00:00:00',2,10,12,2009,'M','N','STO ANTONIO DE PÁDUA','TUBARÃO','SC','124244241135372431546914585123131267067',6102,'1034',54.41,1,3,NULL),(25,6056318,'1991-09-18 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124202201215472431366611575124610126032',8765,'9998',49.87,1,3,NULL),(25,6056326,'1993-11-29 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241216371431438833572112610124142',11854,'185',43.60,1,3,NULL),(25,6056334,'1994-04-04 00:00:00',4,1,11,2010,'M','N','VERA CRUZ','CAÇAPAVA','SP','125252251237121431379831275112610147122',1472,'9998',69.42,1,3,NULL),(25,6056342,'1994-02-10 00:00:00',2,15,11,2010,'F','N','CENTRO','JACINTO MACHADO','SC','124242241215111431448812572124610132142',12503,'26',43.58,1,3,NULL),(25,6056350,'1993-05-20 00:00:00',4,8,11,2010,'M','N','ATIRADORES','JOINVILLE','SC','124242241215111331466634472112610117042',1311,'1063',71.68,1,3,NULL),(25,6056369,'1994-05-31 00:00:00',4,8,12,2010,'F','N','ATIRADORES','JOINVILLE','SC','124242241215111431349933574122610136012',7969,'1063',54.86,1,3,NULL),(25,6056385,'1991-10-23 00:00:00',4,1,12,2009,'F','N','VILA TATETUBA','S JOSÉ CAMPOS','SP','125174131216471431448814575124610166197',14436,'9998',44.54,4,3,NULL),(25,6056415,'1993-07-26 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241217111531356921595124610164072',1865,'723',69.36,1,3,NULL),(25,6056440,'1992-07-28 00:00:00',4,8,11,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241215472431378713571122610146092',1744,'461',70.20,1,3,NULL),(25,6056458,'1993-08-19 00:00:00',4,6,10,2010,'M','N','CENTRO','NAVEGANTES','SC','124242241214111752436832244112610132092',NULL,'1026',0.00,1,3,NULL),(25,6056466,'1993-10-30 00:00:00',2,1,12,2010,'F','N','SÃO FRANSISCO','CPO GRANDE','MS','112122121216111431338831575122610163097',2206,'9998',66.07,1,3,NULL),(25,6056474,'1963-09-08 00:00:00',2,1,12,1982,'M','N','CENTRO','FLORIANÓPOLIS','SC','124212211137151431185843235132343265182',NULL,'9998',0.00,1,3,NULL),(25,6056482,'1988-01-05 00:00:00',4,1,12,2005,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124252253216372441378824215122141021122',11830,'9998',44.64,4,3,NULL),(25,6056504,'1992-03-20 00:00:00',2,8,11,2010,'M','N','ATIRADORES','JOINVILLE','SC','124241241326131431543823345124610114112',NULL,'465',7.38,4,3,NULL),(25,6056512,'1993-02-09 00:00:00',4,1,12,2009,'F','N','SANTOS DUMMONT','PARANAVAÍ','PR','116164161216471431446613174124613244012',521,'9998',77.30,3,3,NULL),(25,6056520,'1991-01-22 00:00:00',2,4,12,2008,'M','N','CENTRO','PINHALZINHO','SC','124241246116111431323375495124231467057',NULL,'196',0.00,1,2,1),(25,6056547,'1994-05-20 00:00:00',2,10,11,2011,'F','S','CENTRO','RIO FORTUNA','SC','124242241216152231458839291124613233042',NULL,'950',42.22,1,3,NULL),(25,6056555,'1991-04-10 00:00:00',2,1,11,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216574431259811345124123264102',2713,'723',65.61,1,3,NULL),(25,6056563,'1993-05-22 00:00:00',4,8,11,2010,'M','N','ITAUM','JOINVILLE','SC','124241246215111431634414245124610144142',5897,'1105',56.34,4,3,NULL),(25,6056571,'1993-02-19 00:00:00',4,1,12,2010,'F','N','MIRANDÓPOLIS','S PAULO','SP','125252251217111731249813573112610156077',1049,'9998',72.12,1,3,NULL),(25,6056580,'1992-12-22 00:00:00',4,1,12,2010,'F','N','VILA MADALENA','S PAULO','SP','125252251217141431457719375122610167112',NULL,'9998',21.70,1,3,NULL),(25,6056598,'1993-10-15 00:00:00',2,8,12,2010,'F','N','CENTRO','BARRA VELHA','SC','124161248115161431224621475124610135017',NULL,'24',0.00,1,2,1),(25,6056601,'1991-06-08 00:00:00',2,4,12,2008,'M','N','CENTRO','CAP LEÔNIDAS MARQUES','PR','116161161417571331235413375124610123147',3584,'9998',62.42,1,3,NULL),(25,6056628,'1991-10-24 00:00:00',5,1,12,2009,'F','N','SANTA FELÍCIA','S CARLOS','SP','125252251217472411368911574122610162182',9171,'9998',50.61,1,3,NULL),(25,6056636,'1992-04-06 00:00:00',2,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431446614575122610124072',19571,'723',30.47,1,3,NULL),(25,6056644,'1988-07-20 00:00:00',4,1,12,2005,'M','N','CENTRO','SALESÓPOLIS','SP','125251251116131411456712585124143222177',NULL,'9998',0.00,1,2,1),(25,6056660,'1991-10-05 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241211132431523422482114610133112',21662,'1049',25.89,1,3,NULL),(25,6056679,'1993-10-16 00:00:00',2,4,12,2010,'F','N','DOS ESTADOS','CONCÓRDIA','SC','124241241116271731526612575124610146042',NULL,'194',30.91,1,3,NULL),(25,6056687,'1993-10-08 00:00:00',4,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112431466633575124610126042',13743,'1022',41.33,1,3,NULL),(25,6056695,'1991-12-28 00:00:00',4,1,12,2010,'M','N','CAMBUÍ','CAMPINAS','SP','125252251215211431479912495112610161182',NULL,'9998',0.00,1,3,NULL),(25,6056709,'1989-11-14 00:00:00',2,1,12,2007,'M','N','SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC','124241241115473431669613475124221427187',511,'267',77.39,1,2,1),(25,6056717,'1994-09-20 00:00:00',4,8,2,2011,'F','N','CENTRO','S BENTO SUL','SC','124242241215111611488811575122610144077',NULL,'1178',0.00,1,3,NULL),(25,6056725,'1992-11-03 00:00:00',2,1,12,2010,'M','N','ALTO ARIRIU','PALHOÇA','SC','124241241126161431525339241114610117047',NULL,'1149',NULL,1,2,1),(25,6056741,'1993-08-09 00:00:00',2,1,12,2010,'M','N','PONTE DO IMARUIN','PALHOÇA','SC','124241241316141331535514345124610147047',NULL,'592',23.38,1,3,NULL),(25,6056750,'1991-02-13 00:00:00',4,2,12,2007,'M','N','JARDIM UNIVERSITARIO','MARINGÁ','PR','116162161415471431448811575114143242122',14753,'9998',44.07,1,3,NULL),(25,6056768,'1991-11-29 00:00:00',4,1,12,2009,'F','N','SANTANA','S PAULO','SP','125252251217472531488814494112610128192',12812,'9998',42.39,3,3,NULL),(25,6056784,'1991-04-05 00:00:00',4,1,12,2008,'F','N','JD MARIA DO CARMO','SOROCABA','SP','125254251217573731428614575124610162192',11753,'9998',43.72,1,3,NULL),(25,6056792,'1992-03-19 00:00:00',4,1,12,2009,'F','N','ARIRIÚ','PALHOÇA','SC','124243241115372411326923575124610162057',15917,'772',36.50,1,3,NULL),(25,6056806,'1987-11-21 00:00:00',4,5,12,2004,'F','N','MINA DO MATO','CRICIÚMA','SC','124241241117131411423823345234330624037',14597,'228',44.30,4,3,NULL),(25,6056814,'1985-11-24 00:00:00',3,1,6,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241281116161411118873592124221342042',NULL,'9998',0.00,2,1,1),(25,6056822,'1992-09-08 00:00:00',4,1,12,2010,'M','N','JARDIM SÃO PAULO','AMERICANA','SP','125252251217112431458614242112610118052',3583,'9998',61.51,1,3,NULL),(25,6056830,'1992-05-16 00:00:00',2,15,12,2009,'F','N','RUBEM BERTA','PTO ALEGRE','RS','120201208217131731323627475224610163097',NULL,'9998',26.48,1,3,NULL),(25,6056857,'1993-10-09 00:00:00',4,1,11,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241212111431228613275124610127032',18062,'1118',33.21,1,3,NULL),(25,6056865,'1993-05-06 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215371431368913472112610124112',8829,'1038',50.87,1,3,NULL),(25,6056873,'1982-12-07 00:00:00',4,1,12,2000,'F','N','ALTO RIBEIRAO','FLORIANÓPOLIS','SC','624241244126134431226554385124610123097',19243,'257',36.41,1,2,1),(25,6056881,'1985-06-01 00:00:00',4,1,10,2006,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124161168146131311124444445124610144182',18188,'9998',36.46,2,1,1),(25,6056903,'1993-09-07 00:00:00',4,2,12,2010,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124244241216112441457814594124610144012',3488,'87',64.59,1,3,NULL),(25,6056920,'1991-12-30 00:00:00',2,1,12,2008,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124161161117371331328344345224610122182',18751,'9998',36.26,3,2,1),(25,6056938,'1992-07-01 00:00:00',2,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241315111431328324345334610167167',14546,'1022',44.37,1,3,NULL),(25,6056946,'1994-08-14 00:00:00',4,2,12,2011,'M','S','DOM JOAQUIM','BRUSQUE','SC','124243241215111431566511195122610168012',NULL,'107',50.92,1,3,NULL),(25,6056954,'1993-09-23 00:00:00',4,8,12,2010,'M','N','NOVA ESPERANÇA','GUARAMIRIM','SC','124243241215111431558934575124610126052',1223,'1016',71.90,1,3,NULL),(25,6056962,'1994-07-13 00:00:00',4,1,12,2011,'F','S','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241216111231358627595124510123075',NULL,'270',34.64,1,3,NULL),(25,6056989,'1991-05-30 00:00:00',2,5,12,2008,'F','N','TEUTÔNIA','TEUTÔNIA','RS','120202201216571731448924571124610124147',NULL,'9998',0.00,1,3,NULL),(25,6056997,'1994-08-25 00:00:00',4,10,11,2011,'F','S','OFICINAS','TUBARÃO','SC','124242241215151431469813575122610116192',NULL,'806',57.02,1,3,NULL),(25,6057012,'1993-04-05 00:00:00',2,5,12,2010,'M','N','CRISTO REI','COCAL SUL','SC','124241246415151431438614395124610147052',18312,'230',38.26,1,3,NULL),(25,6057020,'1991-03-04 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124244241215474431369913316124610122145',6543,'723',54.78,1,3,NULL),(25,6057039,'1992-02-20 00:00:00',2,1,12,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215111431458834575114610137042',NULL,'1022',36.12,1,3,NULL),(25,6057071,'1989-02-15 00:00:00',4,1,12,2006,'F','N','S J RIO VERMELHO','FLORIANÓPOLIS','SC','124251251137471731353613445124140633187',18852,'9998',32.62,2,1,1),(25,6057098,'1993-04-23 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241117371441334973572124610164117',11444,'278',45.27,1,3,NULL),(25,6057101,'1992-05-18 00:00:00',2,1,12,2010,'F','N','CAÇADOR','CAPIVARI BAIXO','SC','124243241236272431438614575122610161187',NULL,'797',34.60,1,3,NULL),(25,6057128,'1990-01-06 00:00:00',2,1,12,2007,'M','N','RIO BRANCO','PTO ALEGRE','RS','120204201316571411238823375124610164092',7941,'9998',54.93,1,3,NULL),(25,6057136,'1993-01-12 00:00:00',4,1,11,2010,'M','N','BELENZINHO','S PAULO','SP','125252251217111431359831572122610117117',3247,'9998',62.47,1,3,NULL),(25,6057144,'1993-07-19 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111731549762571122610167041',4306,'270',60.79,1,3,NULL),(25,6057160,'1994-04-25 00:00:00',2,1,11,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241215111431364822575124610137042',NULL,'1048',24.09,1,3,NULL),(25,6057179,'1993-05-03 00:00:00',2,10,10,2010,'F','N','CENTRO','JAGUARUNA','SC','124241241217111431336634575124610127042',8012,'806',51.64,1,3,NULL),(25,6057187,'1979-08-24 00:00:00',2,1,11,2001,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241227132141423371295124232062114',NULL,'270',27.52,1,3,NULL),(25,6057195,'1993-08-13 00:00:00',4,1,11,2010,'F','N','PITUBA','SALVADOR','BA','105052051217121431359933435122610134023',9127,'9998',52.82,4,3,NULL),(25,6057209,'1993-04-05 00:00:00',4,1,12,2010,'M','N','PARAÍSO','S PAULO','SP','125252252117131431346823335125610127112',13539,'9998',45.86,4,3,NULL),(25,6057217,'1988-05-26 00:00:00',4,8,12,2005,'M','N','ITAUM','JOINVILLE','SC','124244241215371441226821375114132832192',NULL,'494',0.00,1,3,NULL),(25,6057225,'1978-01-10 00:00:00',2,1,12,1995,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241136135431424419342234610123187',NULL,'281',23.71,1,3,NULL),(25,6057241,'1992-10-13 00:00:00',2,1,12,2009,'F','N','VILA MONUMENTO','S PAULO','SP','125252251216471431358923575112610166072',2696,'9998',65.15,1,3,NULL),(25,6057250,'1992-01-30 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161216572431478811472122610123142',4631,'9998',58.78,1,3,NULL),(25,6057276,'1992-12-05 00:00:00',2,1,12,2009,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241115471431336613572114610123147',8608,'307',50.10,1,2,1),(25,6057284,'1990-07-23 00:00:00',4,1,12,2007,'M','N','ESP SANTA TEREZINHA','TAUBATÉ','SP','125251251215573431236823575122610137042',9149,'9998',52.77,1,3,NULL),(25,6057292,'1991-12-20 00:00:00',4,1,12,2009,'M','N','BOSQUE DA SAUDE','CUIABÁ','MT','111112251216472431468813575122610127042',3948,'9998',60.59,1,3,NULL),(25,6057306,'1981-02-14 00:00:00',4,1,1,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124203206117471431123624485114610132197',NULL,'9998',26.62,1,3,NULL),(25,6057314,'1993-05-26 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111231458924575124610123185',5892,'270',57.81,1,3,NULL),(25,6057322,'1993-01-19 00:00:00',2,2,12,2010,'F','N','VILA DO SALTO','LUIZ ALVES','SC','124244241215111431436812372124610134147',NULL,'855',23.58,1,3,NULL),(25,6057349,'1991-08-02 00:00:00',4,1,12,2008,'M','N','LAR DO TRABALHADOR','CPO GRANDE','MS','112121121117471431336923391124610147042',7836,'9998',50.72,3,2,1),(25,6057373,'1990-07-02 00:00:00',2,4,12,2008,'F','N','INDAIA','CARAGUATATUBA','SP','125252251236271231333512195324131468182',NULL,'9998',19.96,1,3,NULL),(25,6057381,'1993-10-05 00:00:00',4,6,12,2010,'M','N','CENTRO','NAVEGANTES','SC','124242241216111431436933492125610137011',3680,'1026',62.54,1,3,NULL),(25,6057390,'1993-02-16 00:00:00',4,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124243241215111231336634375124610132187',9323,'262',49.42,1,3,NULL),(25,6057403,'1993-09-20 00:00:00',4,1,12,2010,'F','N','VILA ALBA','CPO GRANDE','MS','112122121216121431436633575112610134142',9254,'9998',47.93,3,3,NULL),(25,6057411,'1993-05-17 00:00:00',2,4,12,2010,'M','N','IPIRANGA','TEN PORTELA','RS','120201201115111231434632575124610134042',NULL,'9998',0.00,1,2,1),(25,6057420,'1992-01-16 00:00:00',4,1,12,2009,'F','N','TATUAPÉ','S PAULO','SP','125252251217572711647714575115610126142',11969,'9998',43.85,1,3,NULL),(25,6057438,'1987-12-05 00:00:00',4,1,12,2005,'M','N','JD VILA CARRÃO','S PAULO','SP','125252251416131411227763382224243262141',NULL,'9998',0.00,4,3,NULL),(25,6057446,'1992-10-16 00:00:00',2,5,11,2009,'F','N','CEARÁ','CRICIÚMA','SC','124242241215472521449831595112610122057',13216,'226',42.83,1,3,NULL),(25,6057454,'1991-04-04 00:00:00',4,1,12,2008,'M','N','CAMBUI','CAMPINAS','SP','125252251216371731478834571122610167113',4329,'9998',59.96,1,3,NULL),(25,6057470,'1995-05-13 00:00:00',4,1,12,2011,'F','S','CENTRO','PALHOÇA','SC','124242241115151731538833571124610138175',NULL,'739',43.83,1,3,NULL),(25,6057489,'1991-12-20 00:00:00',4,8,11,2008,'F','N','CIDADE INDUSTRIAL','CURITIBA','PR','116162161214512431246533371124610162097',1019,'9998',72.63,1,3,NULL),(25,6057497,'1993-03-01 00:00:00',2,1,12,2010,'F','N','CENTRO','LIMEIRA','SP','125251251236111311578632395122610165192',13540,'9998',45.86,1,3,NULL),(25,6057500,'1993-05-10 00:00:00',4,10,11,2010,'F','N','CENTRO','TUBARÃO','SC','124242241215121731328831575122610168187',9674,'797',46.75,1,3,NULL),(25,6057519,'1992-01-30 00:00:00',4,1,12,2009,'M','N','PAULICEIA','S BERNARDO CAMPO','SP','125252251216471731448834295124610164187',7838,'9998',52.17,3,3,NULL),(25,6057527,'1993-11-21 00:00:00',2,6,12,2010,'M','N','ITAIPAVA','ITAJAÍ','SC','124244241216111431346934275114610117047',9390,'1026',48.95,1,3,NULL),(25,6057535,'1994-09-12 00:00:00',4,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241216111321247823595124610167045',NULL,'270',18.48,1,3,NULL),(25,6057543,'1993-09-02 00:00:00',4,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241215111431459911575124610166142',18435,'270',38.06,1,3,NULL),(25,6057551,'1993-12-12 00:00:00',2,15,11,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124243241215371431424634285122610137057',11299,'970',45.05,1,3,NULL),(25,6057560,'1992-09-13 00:00:00',4,1,5,2010,'F','N','SUDOESTE','CRUZEIRO','DF','107072071117111531438712572122243232143',19301,'9998',36.27,1,3,NULL),(25,6057578,'1993-04-27 00:00:00',4,9,12,2010,'F','N','SÃO PEDRO','LAGES','SC','124241241116131431226624575124610137147',12897,'500',40.91,4,2,1),(25,6057586,'1993-08-16 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111431321723575124610126177',3394,'270',64.14,1,3,NULL),(25,6057594,'1993-09-23 00:00:00',2,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431434822295122610127071',16346,'1133',36.52,1,3,NULL),(25,6057608,'1992-03-24 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241216472431446923435124610127057',11548,'541',44.01,1,3,NULL),(25,6057616,'1992-07-07 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216473431468932375122610127042',2783,'270',64.60,1,3,NULL),(25,6057624,'1988-06-25 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','224241241126133421223344145122610134147',NULL,'257',0.00,1,2,1),(25,6057632,'1992-04-22 00:00:00',4,1,12,2009,'F','N','IPIRANGA','S PAULO','SP','125252251211471431568931575122610167143',14898,'9998',41.48,1,3,NULL),(25,6057640,'1995-03-07 00:00:00',4,8,11,2010,'M','N','VISTA ALEGRE','CURITIBA','PR','116162161216151431449934572122610161042',NULL,'9998',36.04,1,3,NULL),(25,6057683,'1990-05-10 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124132131217373431469613375122610164055',2254,'9998',66.70,1,3,NULL),(25,6057691,'1993-06-08 00:00:00',4,8,10,2010,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111431469814492122610167111',6020,'1063',55.69,1,3,NULL),(25,6057705,'1993-04-01 00:00:00',2,4,12,2010,'F','N','CENTRO','ASSIS CHATEAUBRIAND','PR','116161161216121431534933575122610148097',NULL,'9998',39.18,1,3,NULL),(25,6057713,'1991-06-26 00:00:00',4,1,12,2008,'M','N','JARDIM MARIA CÂNDIDA','CAÇAPAVA','SP','125254251217141411458734311124143244177',16085,'9998',36.97,1,3,NULL),(25,6057721,'1993-02-07 00:00:00',2,1,12,2009,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241117372331525511571124610142142',8190,'288',52.07,4,2,1),(25,6057730,'1993-12-14 00:00:00',2,1,12,2010,'M','N','CENTRO','JESUÍTAS','PR','116162161217111431438735375125610127032',9822,'9998',47.71,1,3,NULL),(25,6057748,'1990-09-17 00:00:00',4,1,12,2008,'M','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251217571231578813575112610164052',5148,'9998',57.12,5,3,NULL),(25,6057764,'1993-07-22 00:00:00',4,15,11,2010,'F','N','CENTRO','ARARANGUÁ','SC','124244241215322531339613575122610164197',2216,'970',67.86,1,3,NULL),(25,6057780,'1992-09-03 00:00:00',4,6,12,2009,'M','N','CENTRO','CPO LARGO','PR','116242241215471431346812185112610167117',NULL,'388',0.00,1,3,NULL),(25,6057799,'1992-07-06 00:00:00',4,1,12,2010,'F','N','JARDIM EUROPA','SOROCABA','SP','125253251216111711448813285122610142092',10089,'9998',47.26,1,3,NULL),(25,6057802,'1994-01-17 00:00:00',2,3,12,2009,'M','N','BRAGANTINA','ASSIS CHATEAUBRIAND','PR','116163161216471431346931575112610146187',859,'9998',73.37,1,3,NULL),(25,6057810,'1994-11-24 00:00:00',4,8,11,2011,'F','S','CENTRO','JOINVILLE','SC','124242241217111731359833475122610133142',NULL,'1063',45.45,1,3,NULL),(25,6057845,'1993-07-27 00:00:00',4,8,12,2010,'F','N','JARDIM PAULISTA','JUNDIAÍ','SP','125252251215111431336712172122610112127',10584,'9998',45.92,1,3,NULL),(25,6057853,'1985-09-08 00:00:00',4,15,12,2002,'M','N','LAGOA DE FORA','BAL GAIVOTA','SC','224241241123151421236644245122610162027',13568,'54',45.83,1,2,1),(25,6057861,'1994-08-01 00:00:00',4,1,12,2011,'F','S','CENTRO','GRAVATAÍ','RS','120203201416151731439817585122610162057',NULL,'9998',31.22,1,3,NULL),(25,6057870,'1994-01-30 00:00:00',2,15,12,2010,'F','N','BELA VISTA','JACINTO MACHADO','SC','124241242115111531424615155124610114147',NULL,'690',20.70,1,3,NULL),(25,6057888,'1993-02-19 00:00:00',4,1,12,2010,'M','N','CENTRO','LONDRINA','PR','116162161217111431343911575122610164017',NULL,'9998',0.00,1,3,NULL),(25,6057896,'1995-04-11 00:00:00',2,4,8,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241216111451349914475122610164142',NULL,'983',0.00,1,3,NULL),(25,6057900,'1991-02-07 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124244241136142751235621445124610166117',20915,'290',31.43,3,3,NULL),(25,6057918,'1993-09-22 00:00:00',4,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215111432434311576115610134197',12213,'1168',45.98,1,3,NULL),(25,6057926,'1983-12-16 00:00:00',2,1,12,2003,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241136132722333379445113610167042',19072,'9997',36.80,1,2,1),(25,6057934,'1993-06-17 00:00:00',4,1,12,2010,'F','N','ITAGUACU','FLORIANÓPOLIS','SC','124242241215121431468732375122610128095',15441,'262',42.99,1,3,NULL),(25,6057942,'1993-10-31 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241115111411324619575125610128192',NULL,'592',38.34,1,3,NULL),(25,6057950,'1992-06-02 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215472431379913571112130267071',520,'270',77.13,1,3,NULL),(25,6057969,'1992-01-28 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241147132431431319575124122316147',21503,'736',27.88,1,2,1),(25,6057977,'1993-09-08 00:00:00',4,2,11,2010,'F','N','GLÓRIA','BLUMENAU','SC','124241241146141431327619282224610133097',NULL,'76',27.54,4,2,1),(25,6057985,'1992-05-09 00:00:00',4,1,12,2009,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124124121417131531533412375124210148187',NULL,'9998',24.86,1,3,NULL),(25,6057993,'1992-01-24 00:00:00',4,5,11,2010,'F','N','HORIZONTE','COCAL SUL','SC','124241241117271341436314475124610124072',20596,'189',28.16,1,2,1),(25,6058000,'1993-03-02 00:00:00',4,9,11,2010,'M','N','CENTRO','LAGES','SC','124241241215111731338711575112610164147',11726,'1207',43.16,1,3,NULL),(25,6058027,'1993-07-20 00:00:00',4,15,12,2010,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241248111371631436431211121610157057',NULL,'30',14.32,1,3,NULL),(25,6058035,'1990-07-25 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','224241241136134431226854285122610164077',15879,'257',42.34,1,2,1),(25,6058043,'1992-06-07 00:00:00',4,1,12,2009,'F','N','MEDIANEIRA','CAXIAS SUL','RS','120254251416371731428633211124610124092',NULL,'9998',0.00,1,3,NULL),(25,6058051,'1990-01-11 00:00:00',4,3,12,2007,'F','N','CENTRO','POUSO REDONDO','SC','124241241125574431433516371125610143147',1306,'639',71.38,1,2,1),(25,6058060,'1993-01-22 00:00:00',4,6,10,2010,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215471431249913295114610132017',6041,'9998',55.32,1,3,NULL),(25,6058078,'1992-10-22 00:00:00',4,1,12,2009,'M','N','VILAS BOAS','CPO GRANDE','MS','112122121217472441438711575124610136072',6960,'9998',53.05,1,3,NULL),(25,6058086,'1994-08-30 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215111531559911592122610132096',19606,'226',35.56,1,3,NULL),(25,6058094,'1992-11-25 00:00:00',4,1,12,2010,'M','N','JARDIM BRASILIA','MOGI MIRIM','SP','125252251216111311348932575122610114012',NULL,'9998',0.00,1,3,NULL),(25,6058108,'1991-11-20 00:00:00',4,1,12,2009,'F','N','ILHA PORCHAT','S VICENTE','SP','125252251116471431447839575124241026047',5018,'9998',56.49,1,3,NULL),(25,6058116,'1991-03-17 00:00:00',4,1,7,2008,'M','N','PLANALTO','CPO GRANDE','MS','112123121116571531458813595122610167047',1798,'9998',68.78,3,3,NULL),(25,6058124,'1993-01-18 00:00:00',4,1,11,2010,'M','N','ALPHAVILLE','GOIÂNIA','GO','109092091215111231586812422122610167042',NULL,'9998',0.00,1,3,NULL),(25,6058132,'1990-05-15 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215274431469719575122610168097',576,'1022',76.92,1,3,NULL),(25,6058159,'1993-09-14 00:00:00',4,1,12,2010,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115371431437813575124610122142',13796,'21',45.48,1,2,1),(25,6058167,'1991-12-22 00:00:00',2,1,12,2009,'M','N','PRAIA DE BELAS','PTO ALEGRE','RS','120204201337571431438723171114610134112',9561,'9998',47.56,1,3,NULL),(25,6058175,'1992-05-12 00:00:00',4,1,11,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215121431369913572124610127142',9141,'270',48.57,1,3,NULL),(25,6058183,'1993-06-15 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216111431337813575124610134013',15554,'269',38.28,1,3,NULL),(25,6058191,'1993-06-06 00:00:00',4,8,10,2010,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124241241215411431375923375124610146192',14744,'1016',39.70,4,3,NULL),(25,6058205,'1993-06-23 00:00:00',4,1,11,2010,'F','N','CENTRO','LAGES','SC','124242241217411531679813575114610112182',NULL,'270',0.00,1,3,NULL),(25,6058213,'1993-09-26 00:00:00',2,1,12,2010,'F','N','PRAÇA','TIJUCAS','SC','124241241115111411453332575122610164192',13675,'781',45.68,1,3,NULL),(25,6058221,'1989-06-17 00:00:00',2,15,12,2006,'F','N','COLONINHA','ARARANGUÁ','SC','124241241131151411336624441121131222187',21123,'29',30.53,1,2,1),(25,6058230,'1992-10-14 00:00:00',4,15,11,2009,'F','N','ASA SUL','BRASÍLIA','DF','107242071215152411358939575124241424092',5072,'9998',56.72,1,3,NULL),(25,6058248,'1991-09-08 00:00:00',4,1,12,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241135141431525634245124610127047',20974,'287',31.22,1,3,NULL),(25,6058272,'1991-08-30 00:00:00',2,1,12,2009,'M','N','BUTANTÃ','S PAULO','SP','125254251117471431666813475112610167042',NULL,'9998',0.00,1,3,NULL),(25,6058299,'1993-03-01 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431468932575121610164122',864,'270',74.77,1,3,NULL),(25,6058302,'1991-11-16 00:00:00',4,3,12,2009,'M','N','CIDADE JARDIM','CPO GRANDE','MS','112122121416371431337923275122141467052',NULL,'9998',26.23,1,3,NULL),(25,6058329,'1992-01-17 00:00:00',4,1,12,2009,'F','N','TATUAPE','S PAULO','SP','125252251217471451588814392124610165127',2024,'9998',68.95,1,3,NULL),(25,6058345,'1991-05-09 00:00:00',4,1,12,2008,'F','N','JARDIM PARIS TRÊS','MARINGÁ','PR','116161161216425431357734571122610132092',2678,'9998',64.72,1,3,NULL),(25,6058353,'1991-07-06 00:00:00',4,17,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161217572431446913572122610137047',466,'9998',77.88,1,3,NULL),(25,6058370,'1993-03-10 00:00:00',4,8,10,2010,'M','N','CENTRO','CURITIBA','PR','116092168211471552268832591114610112042',NULL,'9997',0.00,1,3,NULL),(25,6058388,'1989-08-25 00:00:00',4,3,11,2006,'M','N','SANTO INÁCIO','CURITIBA','PR','116162161211271751468833572124141467012',2049,'9998',67.68,1,3,NULL),(25,6058400,'1993-11-04 00:00:00',4,1,11,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215121431479933572122610127125',27,'270',86.91,1,3,NULL),(25,6058426,'1985-03-31 00:00:00',4,1,12,2004,'M','N','ALTO DA COLINA','AVARÉ','SP','124253251316232331343721395123222362127',12728,'9998',47.03,1,3,NULL),(25,6058434,'1993-01-25 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217372431579931572112610166182',630,'270',76.47,1,3,NULL),(25,6058442,'1995-01-14 00:00:00',2,1,11,2010,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217111231669812575112610122182',16509,'1051',41.38,1,3,NULL),(25,6058450,'1993-06-13 00:00:00',4,5,12,2010,'M','N','PINHEIRINHO','CRICIÚMA','SC','124242246215151531488612575122610114182',NULL,'995',0.00,1,3,NULL),(25,6058469,'1993-05-24 00:00:00',4,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124242241215122431466633175122610134195',768,'1011',75.53,1,3,NULL),(25,6058477,'1993-06-11 00:00:00',4,6,12,2010,'M','N','SÃO JOÃO','ITAJAÍ','SC','124242248215141431566912145122610132047',4518,'392',59.82,1,3,NULL),(25,6058507,'1992-12-21 00:00:00',4,1,12,2009,'M','N','VILA PRUDENTE','S PAULO','SP','125253251217471431249711475115610125052',NULL,'9998',0.00,1,3,NULL),(25,6058515,'1994-08-15 00:00:00',4,1,11,2011,'M','S','CANTO','FLORIANÓPOLIS','SC','124242241217111731459953575124610137045',NULL,'270',39.59,1,3,NULL),(25,6058523,'1993-07-14 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216111431479613575112610127042',6737,'1022',53.72,1,3,NULL),(25,6058531,'1993-08-07 00:00:00',4,4,12,2010,'F','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161217271531348831575121610134124',17962,'9998',38.92,1,3,NULL),(25,6058540,'1990-05-03 00:00:00',2,1,6,2008,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241132133431426631482344610136177',NULL,'739',0.00,1,2,1),(25,6058558,'1993-07-31 00:00:00',2,1,12,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124241241117161311333413345114610164042',NULL,'592',40.23,1,2,1),(25,6058566,'1993-10-22 00:00:00',4,3,12,2010,'F','N','ALTO DA RUA XV','CURITIBA','PR','116164161215111431469713475122610164127',8883,'9998',49.24,1,3,NULL),(25,6058582,'1989-09-04 00:00:00',4,1,12,2006,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215574431567933575114610162082',646,'1063',76.39,1,3,NULL),(25,6058590,'1992-10-18 00:00:00',5,1,11,2009,'F','N','TERRA NOVA II','S BERNARDO CAMPO','SP','125252251215471431368921575122610125182',2304,'9998',65.25,1,3,NULL),(25,6058612,'1991-11-08 00:00:00',4,8,12,2008,'M','N','CENTRO','RIO NEGRO','PR','116163161217151731459934432125130267011',18434,'9998',38.06,1,3,NULL),(25,6058620,'1992-11-23 00:00:00',2,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243248316141411656613342124610112142',NULL,'733',22.43,1,3,NULL),(25,6058639,'1994-08-01 00:00:00',2,1,12,2011,'F','S','CENTRO','GRAVATAÍ','RS','120203201417131431439817585122610136077',NULL,'9998',37.42,1,3,NULL),(25,6058647,'1993-07-20 00:00:00',4,5,12,2010,'M','N','CENTRO','CRICIÚMA','SC','124242246217131431458923275124610147052',NULL,'995',NULL,1,3,NULL),(25,6058655,'1992-05-09 00:00:00',4,8,12,2009,'M','N','WALDEMAR RAU','JARAGUÁ SUL','SC','124241241336141231426612345221610157042',NULL,'425',30.28,1,3,NULL),(25,6058663,'1988-09-21 00:00:00',4,1,12,2005,'M','N','SERRARIA','S JOSÉ','SC','124241241126151411336544345123610142172',5124,'1009',56.45,1,2,1),(25,6058671,'1994-08-18 00:00:00',4,1,11,2010,'M','N','VILA MILITAR','CUIABÁ','MT','111113111216111431478813475112610166012',3852,'9998',60.44,1,3,NULL),(25,6058701,'1993-09-21 00:00:00',4,8,11,2010,'F','N','GLÓRIA','JOINVILLE','SC','124242241215111431469932575122610166092',5902,'1063',54.88,1,3,NULL),(25,6058710,'1990-01-08 00:00:00',2,15,12,2007,'F','N','CENTRO','TURVO','SC','124241248116132431113415345131610122172',NULL,'250',26.25,1,2,1),(25,6058728,'1993-12-20 00:00:00',4,10,11,2010,'F','N','INDUSTRIAL','S LUDGERO','SC','124242241215172431488812575112610117046',15091,'807',43.55,1,3,NULL),(25,6058744,'1992-03-05 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215133431426611315122231364077',NULL,'738',20.81,1,3,NULL),(25,6058760,'1993-10-15 00:00:00',4,1,12,2010,'M','N','CENTRO','CALDAS','MG','113133131216111431456811495122610164072',NULL,'9998',0.00,1,3,NULL),(25,6058779,'1991-08-27 00:00:00',4,1,12,2009,'F','N','JARDIM COLOMBO','ITAPETININGA','SP','125252251236471731348923575124610161097',9043,'9998',48.24,1,3,NULL),(25,6058787,'1993-03-13 00:00:00',4,6,12,2010,'M','N','PRAIA DA COSTA','VL VELHA','ES','108082081217111531479934575114610128122',7496,'9998',53.29,1,3,NULL),(25,6058795,'1992-12-20 00:00:00',4,4,12,2009,'F','N','JARDIM ROSSONI','TOLEDO','PR','116162161216471411559931575112640162192',6283,'9998',54.72,1,3,NULL),(25,6058817,'1993-08-24 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115123731468833275124610166111',1727,'270',70.33,1,3,NULL),(25,6058833,'1987-07-21 00:00:00',4,1,12,2004,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241217373411549833572124121243097',14110,'270',44.99,1,3,NULL),(25,6058850,'1993-11-20 00:00:00',2,1,12,2010,'F','N','JARDIM ITAPEMA','CPO GRANDE','MS','112124121216271431436823575124610142187',NULL,'9998',0.00,4,3,NULL),(25,6058868,'1993-03-02 00:00:00',4,8,12,2010,'F','N','COMASA','JOINVILLE','SC','124241248215111711433619491121610167042',20511,'1105',33.10,1,3,NULL),(25,6058876,'1993-10-20 00:00:00',4,3,12,2010,'F','N','TABULEIRO','ITAPEMA','SC','124201241117131731336614575124610138187',16732,'405',36.58,4,2,1),(25,6058884,'1989-11-10 00:00:00',2,5,12,2006,'F','N','AZENHA','PTO ALEGRE','RS','120203201217571431227719574124143263077',364,'9998',77.51,1,3,NULL),(25,6058892,'1993-08-19 00:00:00',4,1,12,2010,'F','N','IPANEMA','PTO ALEGRE','RS','120202201216371751438834575124610162057',10239,'9998',46.62,1,3,NULL),(25,6058914,'1993-02-24 00:00:00',2,1,12,2010,'F','N','CENTRO','ANGELINA','SC','124241241116161431526933345122610134147',NULL,'17',19.54,1,2,1),(25,6058922,'1990-09-30 00:00:00',2,1,7,2009,'F','N','BARREIROS','S JOSÉ','SC','124241248126371711214329395124610135142',NULL,'736',9.58,4,2,1),(25,6058930,'1992-08-19 00:00:00',4,16,12,2009,'F','N','APARECIDA','CURITIBANOS','SC','124243241317371531423415572212610164147',NULL,'320',0.00,3,3,NULL),(25,6058949,'1993-04-04 00:00:00',2,1,12,2010,'F','N','BUENO','GOIÂNIA','GO','109092091216111431468813595112610134097',14516,'9998',44.42,1,3,NULL),(25,6058957,'1990-11-12 00:00:00',4,1,12,2008,'M','N','MOSTEIRO','RIBEIRÃO PRETO','SP','125251251215571432448734571122610117042',NULL,'9998',0.00,1,3,NULL),(25,6058965,'1993-05-26 00:00:00',4,1,11,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217271431469911575124610124057',4159,'262',61.29,1,3,NULL),(25,6058981,'1993-07-30 00:00:00',4,1,12,2010,'M','N','JARDIM ACLIMAÇÃO','S JOSÉ R PRETO','SP','125252251216112431448832575122610134187',9132,'9998',52.80,1,3,NULL),(25,6058990,'1992-05-22 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241115341411426621245124613236042',NULL,'733',34.40,1,3,NULL),(25,6059015,'1992-07-06 00:00:00',4,1,12,2009,'M','N','PARQUE CAMPOLIM','SOROCABA','SP','125252251215471431256621585122610127042',5198,'9998',60.43,1,3,NULL),(25,6059023,'1993-03-25 00:00:00',2,10,11,2010,'F','N','CENTRO','BRAÇO NORTE','SC','124244241215121432337832275124610123147',10224,'807',47.48,1,3,NULL),(25,6059031,'1993-04-30 00:00:00',2,8,12,2010,'F','N','JARDIM IRIRIU','JOINVILLE','SC','124243241315131731446654445124610127177',9560,'931',48.59,1,3,NULL),(25,6059040,'1994-04-21 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431489911575125610118172',7651,'270',52.23,1,3,NULL),(25,6059058,'1992-06-02 00:00:00',4,8,12,2009,'F','N','VILA MARIANA','S PAULO','SP','125252251216371431438531591124610126072',6312,'9998',54.85,1,3,NULL),(25,6059066,'1993-03-05 00:00:00',4,1,11,2010,'F','N','GRANJA VIANA','COTIA','SP','125252253215121431457724575124610162012',NULL,'9998',0.00,1,3,NULL),(25,6059074,'1993-10-20 00:00:00',4,6,11,2010,'M','N','CENTRO','BAL PIÇARRAS','SC','124242241217111431458811375122610127071',15778,'394',42.47,1,3,NULL),(25,6059082,'1993-08-03 00:00:00',4,8,10,2010,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161215471441656933572124610167117',NULL,'9998',0.00,1,3,NULL),(25,6059104,'1994-08-12 00:00:00',4,2,11,2010,'F','N','CENTRO','BLUMENAU','SC','124242241215121431375832321122610138075',NULL,'87',37.04,1,3,NULL),(25,6059112,'1991-05-15 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','125242241215574431326834581124610162147',795,'1022',75.10,1,3,NULL),(25,6059120,'1992-07-02 00:00:00',4,1,11,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241115371711649913574124610127165',13079,'271',41.79,4,3,NULL),(25,6059139,'1993-08-14 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121411446922145125610122097',19522,'1022',29.59,1,3,NULL),(25,6059147,'1993-04-11 00:00:00',4,1,12,2010,'M','N','MOINHO VELHO','S PAULO','SP','125252251217121711368832592122610147112',7058,'9998',52.21,1,3,NULL),(25,6059171,'1991-11-22 00:00:00',4,1,12,2008,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251217471431358811571125610127042',866,'9998',73.07,1,3,NULL),(25,6059180,'1973-02-03 00:00:00',3,1,12,2004,'M','N','SERRARIAS','S JOSÉ','SC','224241247117131422422244242124610122093',NULL,'9997',14.91,4,2,1),(25,6059198,'1993-09-08 00:00:00',2,1,11,2010,'F','N','CENTRO','FARROUPILHA','RS','120202201216471431456614275122610124197',NULL,'9998',19.97,1,3,NULL),(25,6059201,'1993-09-17 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241215111411327824575124610168095',8370,'1023',50.13,1,3,NULL),(25,6059210,'1993-11-01 00:00:00',4,1,11,2010,'M','N','CENTRO','CASCAVEL','PR','116162161217121531387712574112610167062',15345,'9998',43.15,1,3,NULL),(25,6059228,'1995-04-24 00:00:00',4,2,10,2011,'M','S','CENTRO','BLUMENAU','SC','124243251215121331435614575112610134062',NULL,'909',37.43,1,3,NULL),(25,6059236,'1991-08-09 00:00:00',2,1,12,2008,'F','N','PONTE DE IMARUIM','PALHOÇA','SC','124241241127131421223344242124610123092',19665,'285',35.43,1,2,1),(25,6059244,'1993-08-25 00:00:00',4,1,12,2010,'F','N','BUENO','GOIÂNIA','GO','109092091236111411245732575122610142112',6534,'9998',55.13,1,3,NULL),(25,6059252,'1993-03-20 00:00:00',2,1,11,2010,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244241215111431326414575122610137052',19767,'1198',32.73,1,3,NULL),(25,6059260,'1991-04-17 00:00:00',2,8,12,2009,'M','N','COSTEIRA','S JOSÉ PINHAIS','PR','116161161127511751423511391114610162097',19974,'9998',29.93,1,2,1),(25,6059279,'1992-09-20 00:00:00',4,1,12,2010,'F','N','CAXAMBU','ARAÇARIGUAMA','SP','125253251216111431568833571112610145187',15424,'9998',38.11,1,3,NULL),(25,6059287,'1993-10-22 00:00:00',2,15,11,2010,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124242241217112431356612575122610121117',15786,'26',38.21,1,3,NULL),(25,6059295,'1992-11-24 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215272411348514575114610121181',8909,'270',49.76,1,3,NULL),(25,6059309,'1993-06-24 00:00:00',4,1,11,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241215112732457611575112610127047',NULL,'1022',22.96,1,3,NULL),(25,6059317,'1995-10-11 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241217151431559911512122610133197',16502,'226',41.39,1,3,NULL),(25,6059325,'1988-05-21 00:00:00',4,2,12,2005,'F','N','SÃO PEDRO','BRUSQUE','SC','124241241111271731349711395112330233112',17660,'111',39.47,1,3,NULL),(25,6059341,'1993-05-04 00:00:00',2,17,12,2010,'M','N','CENTRO','BELA V TOLDO','SC','124241241126131731422236583224610127041',NULL,'59',0.00,1,3,NULL),(25,6059350,'1991-12-21 00:00:00',4,3,12,2008,'F','N','JARDIM PROGRESSO','PARANAVAÍ','PR','116162161215572431433916575112610134147',5065,'9998',57.91,1,3,NULL),(25,6059368,'1993-01-08 00:00:00',4,8,12,2010,'F','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124241241216111431458614275124610126172',19966,'1061',30.54,1,3,NULL),(25,6059376,'1989-03-14 00:00:00',4,1,12,2006,'F','N','CENTRO','CATANDUVA','SP','125252251217571431379811571122613264127',7710,'9998',51.92,1,3,NULL),(25,6059384,'1992-09-17 00:00:00',4,1,12,2010,'F','N','BOA VISTA','CURITIBA','PR','116242161217271431569933572112610132147',11232,'9998',45.74,4,3,NULL),(25,6059392,'1993-05-27 00:00:00',4,1,10,2010,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241217122431457712575124610164112',2688,'855',66.16,1,3,NULL),(25,6059406,'1993-01-13 00:00:00',2,10,12,2010,'M','N','VILA VITÓRIA','LAGUNA','SC','124242241225131431213549395122610121192',NULL,'524',38.55,1,3,NULL),(25,6059414,'1994-05-04 00:00:00',4,5,12,2010,'F','N','VILA FRANCA','FORQUILHINHA','SC','124241241135131731323523295124610163057',NULL,'310',0.00,1,2,1),(25,6059422,'1992-05-25 00:00:00',2,1,12,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241215111531468923575124610167052',12988,'262',44.10,1,3,NULL),(25,6059430,'1993-02-25 00:00:00',4,7,11,2010,'F','N','SÃO FRANCISCO','CURITIBA','PR','116242161215121431248811572122610124092',1702,'9998',70.44,1,3,NULL),(25,6059449,'1991-07-24 00:00:00',4,4,12,2008,'M','N','CENTRO','CASCAVEL','PR','116153161415473411476923571221221467162',1062,'9998',73.11,1,3,NULL),(25,6059457,'1990-10-01 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124054051237371411259931445124610118185',7760,'9998',52.55,1,3,NULL),(25,6059465,'1993-04-07 00:00:00',4,1,12,2010,'M','N','CANTO DOS ARAÇAS','FLORIANÓPOLIS','SC','124244241215121411227721471125610164181',10248,'299',50.91,1,3,NULL),(25,6059473,'1992-03-13 00:00:00',2,1,12,2009,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241117372431446314572124610127042',10235,'307',48.02,1,2,1),(25,6059503,'1991-02-11 00:00:00',4,1,10,2008,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241215574431467611574122610132182',593,'855',76.79,1,3,NULL),(25,6059511,'1991-09-18 00:00:00',2,1,12,2009,'F','N','CIDADE JARDIM','RIO CLARO','SP','125252061217471131428614572112610164097',14314,'9998',39.36,4,3,NULL),(25,6059520,'1992-10-13 00:00:00',4,1,11,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217122431468812375114610123187',4019,'270',63.20,1,3,NULL),(25,6059538,'1989-04-29 00:00:00',4,1,12,2006,'M','N','SANTA ISABEL','CAMPINAS','SP','125251251116151441225528275324242265197',14300,'9998',44.72,1,2,1),(25,6059546,'1993-04-12 00:00:00',4,8,11,2010,'F','N','STROPARO','IRATI','PR','116162161215121451546833431124610167017',5081,'9998',58.79,1,3,NULL),(25,6059554,'1993-10-19 00:00:00',4,1,12,2010,'F','N','SÃO LUIZ','FARROUPILHA','RS','120202201216371431226824575124610134017',9775,'9998',46.50,1,3,NULL),(25,6059562,'1991-10-20 01:00:00',4,1,12,2008,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124163161217372431436934385124121423197',305,'9998',79.62,1,3,NULL),(25,6059570,'1990-12-31 00:00:00',2,1,12,2007,'F','N','CENTRO','RIO SUL','SC','124242241216575751647312145125610126187',13730,'663',39.43,4,3,NULL),(25,6059589,'1989-06-22 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241417274431348939385124133268197',6117,'1022',57.49,1,3,NULL),(25,6059597,'1993-07-28 00:00:00',4,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472451438833572124610164142',2125,'270',68.57,1,3,NULL),(25,6059600,'1991-03-02 00:00:00',4,1,12,2007,'M','N','MADUREIRA','CAXIAS SUL','RS','120202201216271412457732245112143262122',5228,'9998',57.34,1,3,NULL),(25,6059619,'1992-03-28 00:00:00',4,1,11,2009,'F','N','VISTA ALE','VINHEDO','SP','125251251217471431557732572122610132142',NULL,'9998',26.83,1,3,NULL),(25,6059627,'1993-12-02 00:00:00',4,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124243241317271231427724572122610127082',NULL,'732',15.31,2,1,2),(25,6059635,'1993-08-25 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431469824575124610167062',245,'270',80.40,1,3,NULL),(25,6059651,'1993-01-07 00:00:00',4,1,11,2010,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241217151431458833575122610167072',11228,'273',44.42,1,3,NULL),(25,6059678,'1994-11-11 00:00:00',4,2,10,2011,'M','S','JARDIM BLUMENAU','BLUMENAU','SC','124242243215111731367822581122610162196',NULL,'909',0.00,1,3,NULL),(25,6059686,'1992-10-28 00:00:00',4,8,12,2009,'F','N','ÁGUA VERDE','JARAGUÁ SUL','SC','124241241217371731446531342124610138177',16428,'1061',35.85,1,3,NULL),(25,6059694,'1993-03-18 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241115372431548374575124610132182',16501,'307',35.54,1,2,1),(25,6059716,'1991-11-13 00:00:00',2,1,11,2008,'M','N','BATEL','CURITIBA','PR','116164161416472441438419295125610167042',3762,'9998',61.33,2,1,2),(25,6059724,'1992-11-15 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124242241217161731578933375112610127182',NULL,'881',32.17,1,3,NULL),(25,6059732,'1993-07-05 00:00:00',4,8,11,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241217371731559814275122610144147',3334,'1105',64.01,1,3,NULL),(25,6059740,'1990-08-08 00:00:00',2,1,12,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215371431547719575124133264017',13423,'883',46.04,1,3,NULL),(25,6059759,'1993-04-27 00:00:00',4,8,11,2010,'M','N','AMIZADE','JARAGUÁ SUL','SC','124241246216131431456614272114610167182',8558,'1061',49.92,1,3,NULL),(25,6059767,'1992-10-30 00:00:00',4,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','125253254117131431558911575124610127052',NULL,'9998',22.00,1,3,NULL),(25,6059775,'1993-04-14 00:00:00',4,5,11,2010,'F','N','DE VILLA','URUSSANGA','SC','124241241417112431565312274122610136172',NULL,'226',0.00,1,3,NULL),(25,6059783,'1991-01-24 00:00:00',4,5,12,2008,'M','N','BOM FIM','PTO ALEGRE','RS','120241241216574421359824595114610167072',1082,'270',73.20,1,3,NULL),(25,6059791,'1991-08-11 00:00:00',4,6,12,2009,'F','N','CENTRO','PENHA','SC','124241247126372431546823275124610146042',11629,'9999',43.02,1,2,1),(25,6059805,'1993-05-01 00:00:00',4,1,10,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431687712572122610163181',998,'270',73.69,1,3,NULL),(25,6059830,'1993-05-04 00:00:00',4,1,12,2010,'F','N','NOVA JABOTICABAL','JABOTICABAL','SP','125252251216111741258833595112610161142',18355,'9998',38.18,1,3,NULL),(25,6059848,'1992-07-24 00:00:00',4,6,12,2009,'F','N','SÃO MIGUEL','URUGUAIANA','RS','120202201216471231346833575112610137057',NULL,'9998',18.88,1,3,NULL),(25,6059856,'1994-06-24 00:00:00',4,1,12,2011,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241211171431367924575122610135147',NULL,'300',36.36,4,3,NULL),(25,6059864,'1993-04-17 00:00:00',4,1,12,2010,'F','N','JUVEVÊ','CURITIBA','PR','116162161235121411569933575122610124096',1374,'9998',70.32,3,3,NULL),(25,6059872,'1992-05-16 00:00:00',4,8,12,2009,'F','N','VILA GUAÍRA','CURITIBA','PR','116162161215472431558811571124610144147',544,'9998',77.22,3,3,NULL),(25,6059880,'1993-08-31 00:00:00',4,3,10,2010,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124242241215111431366714575121610137182',1135,'1038',73.23,1,3,NULL),(25,6059899,'1993-09-22 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124241241112371731323321275124610134057',NULL,'732',20.56,1,2,1),(25,6059929,'1994-05-30 00:00:00',4,1,12,2011,'M','S','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241212111711359913575122610161132',NULL,'1133',39.65,1,3,NULL),(25,6059937,'1992-12-19 00:00:00',4,1,12,2009,'F','N','VILA TONANI','DOURADOS','MS','112122121236472431566716576125610161017',9726,'9998',47.51,1,3,NULL),(25,6059945,'1992-10-20 00:00:00',4,1,10,2009,'M','N','CENTRO','PASSO FUNDO','RS','120202201217471431569931575112610164047',6194,'9998',58.33,1,3,NULL),(25,6059953,'1991-04-18 00:00:00',4,1,12,2008,'M','N','JARDIM JUSSARA','S PAULO','SP','125252251217571731358813575124610127042',11472,'9998',43.96,1,3,NULL),(25,6059961,'1993-08-09 00:00:00',4,1,12,2010,'F','N','MERCÊS','CURITIBA','PR','116162161215121451588872575115610134042',NULL,'9998',0.00,1,3,NULL),(25,6059970,'1992-06-11 00:00:00',2,5,11,2010,'F','N','SANTA BARBARA','CRICIÚMA','SC','124242241215212431465913575122610148141',21396,'226',28.84,1,3,NULL),(25,6059988,'1990-12-09 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241435574431469813575124233227067',5089,'1133',60.64,1,3,NULL),(25,6060005,'1993-11-06 00:00:00',4,4,11,2010,'M','N','CENTRO','CHAPECÓ','SC','124242241217112411469931575112610162012',2690,'1191',65.00,1,3,NULL),(25,6060013,'1994-01-10 00:00:00',4,1,12,2011,'F','S','JOSÉ MENDES','FLORIANÓPOLIS','SC','124242241216111431588912575122610132142',NULL,'270',0.00,1,3,NULL),(25,6060021,'1991-06-27 00:00:00',2,15,12,2008,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241116131431325624385111610123047',NULL,'30',0.00,1,2,1),(25,6060030,'1993-04-28 00:00:00',4,1,12,2010,'M','N','ZONA UM','MARINGÁ','PR','116162161216111431349911575122610136142',9569,'9998',52.10,1,3,NULL),(25,6060048,'1993-02-03 00:00:00',2,1,12,2010,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124242241215111431334511575124610134015',6536,'1022',54.47,1,3,NULL),(25,6060056,'1991-06-08 00:00:00',4,1,12,2008,'M','N','CIDADE DAS FLORES','OSASCO','SP','125252251217571331368834571112610164057',12354,'9998',47.60,1,3,NULL),(25,6060064,'1993-12-07 00:00:00',2,10,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124244248225111431216624585324610123072',20121,'524',28.08,1,3,NULL),(25,6060072,'1991-09-22 00:00:00',2,9,12,2008,'F','N','SAO CRISTOVAO','LAGES','SC','124241241112371732353923495122222338057',15620,'498',42.73,1,2,1),(25,6060080,'1983-09-03 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','224201201117373431223344252224130266057',16662,'9998',41.14,1,3,NULL),(25,6060099,'1993-08-19 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431367932475122610128012',8631,'262',51.11,1,3,NULL),(25,6060102,'1988-08-16 00:00:00',2,16,12,2005,'F','N','SÃO JOSÉ','CURITIBANOS','SC','124241241115371431533229582325610125147',NULL,'239',32.57,4,2,1),(25,6060110,'1992-05-25 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241211374431448813385124610122171',2275,'270',67.76,1,3,NULL),(25,6060129,'1992-01-01 00:00:00',2,1,12,2008,'F','N','CENTRO','SUL BRASIL','SC','124241241116573431558633575122610127052',6584,'775',53.86,1,2,1),(25,6060137,'1991-09-14 00:00:00',4,3,12,2008,'M','N','VILA PALMIRA','CPO GRANDE','MS','112124121214573451638831571124610167117',1577,'9998',70.57,1,3,NULL),(25,6060145,'1993-09-20 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241117471751438633595124610166147',13789,'307',41.39,1,2,1),(25,6060153,'1992-02-16 00:00:00',2,8,12,2009,'F','N','GLÓRIA','JOINVILLE','SC','124241241215372411446314475122610124072',10220,'1063',46.02,1,3,NULL),(25,6060161,'1991-01-23 00:00:00',2,1,11,2008,'M','N','CENTRO','SEVERIANO ALMEIDA','RS','120201201217571431156833572122610164147',5878,'9998',56.41,1,3,NULL),(25,6060170,'1992-02-14 00:00:00',2,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241112142731521429442124610137147',NULL,'307',26.80,4,2,1),(25,6060188,'1990-06-01 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124162161217473731456411197113221467067',29,'9998',86.77,1,3,NULL),(25,6060200,'1993-07-13 00:00:00',4,1,11,2010,'F','N','POTECAS','S JOSÉ','SC','124241241112371421546634342124610127047',NULL,'733',26.69,3,2,1),(25,6060218,'1994-03-16 00:00:00',4,1,11,2011,'F','S','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242248115111531458814572125610115142',NULL,'270',30.90,1,3,NULL),(25,6060226,'1993-11-19 00:00:00',4,1,12,2010,'M','N','BENASSI','MATÃO','SP','125252254215111431449834471122610114042',18515,'9998',37.90,4,3,NULL),(25,6060234,'1992-09-15 00:00:00',4,8,12,2009,'F','N','NOVA RUSSIA','PNT GROSSA','PR','116162161216421731465933435122610118097',733,'9998',75.04,1,3,NULL),(25,6060242,'1964-03-05 00:00:00',4,1,12,1994,'M','N','INGLESES','FLORIANÓPOLIS','SC','224131247326374411224349145121610144047',NULL,'9999',0.00,4,3,NULL),(25,6060250,'1992-12-09 00:00:00',4,8,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124241241135271731438829395122610132077',19509,'430',28.42,1,2,1),(25,6060269,'1993-08-29 00:00:00',4,8,12,2010,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124241241215111431458634575122610127142',2424,'1174',66.96,1,3,NULL),(25,6060277,'1990-04-12 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124112111216271731177813575124141427052',11549,'9998',48.83,1,3,NULL),(25,6060285,'1991-10-28 00:00:00',4,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215372751458811372124610144012',1516,'270',71.21,1,3,NULL),(25,6060307,'1993-11-25 00:00:00',2,10,12,2010,'F','N','OFICINAS','TUBARÃO','SC','124244241215112531546714595122610147077',6028,'1181',58.70,1,3,NULL),(25,6060315,'1992-02-23 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','125252253131372431438714281122610116022',11383,'9998',43.79,1,3,NULL),(25,6060323,'1990-05-17 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243247435372431336319585124610147112',18089,'9999',38.66,1,3,NULL),(25,6060331,'1993-12-05 00:00:00',2,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124242241212131431333339572122610128072',20361,'976',29.82,1,3,NULL),(25,6060340,'1993-05-14 00:00:00',4,1,11,2010,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241215471431338813571122610144187',9045,'270',48.07,1,3,NULL),(25,6060366,'1993-02-01 00:00:00',2,1,12,2010,'F','N','CAMPO DUNA','GAROPABA','SC','124241248116161431446339395122610126022',NULL,'1136',32.12,1,3,NULL),(25,6060374,'1992-03-31 00:00:00',4,1,12,2009,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242248215572231358717475122610125015',2473,'270',66.86,1,3,NULL),(25,6060382,'1991-06-03 00:00:00',2,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124241241116272751226634385121610167067',10255,'169',48.27,1,2,1),(25,6060390,'1993-10-29 00:00:00',4,3,11,2010,'F','N','LESTE UNIVERSITARIO','GOIÂNIA','GO','109092091216111541448933573122610127074',11692,'9998',44.14,1,3,NULL),(25,6060404,'1993-07-02 00:00:00',4,17,11,2010,'M','N','CENTRO','CANOINHAS','SC','124242241215111431578832345112610127062',4106,'154',60.10,1,3,NULL),(25,6060412,'1990-09-28 00:00:00',2,3,12,2007,'F','N','CENTRO','AQUIDAUANA','MS','112123121217573731643639575125610142142',4025,'9998',60.37,2,1,2),(25,6060420,'1992-03-03 00:00:00',2,8,11,2009,'F','N','SAO BRAZ','CURITIBA','PR','116162161216471411568834272124610164097',4006,'9998',59.91,1,3,NULL),(25,6060447,'1992-02-28 00:00:00',4,3,12,2008,'M','N','CENTRO','LONDRINA','PR','116162161217571231469734575121610167056',1142,'9998',71.98,1,3,NULL),(25,6060455,'1988-05-20 00:00:00',4,8,12,2005,'M','N','VILA RAU','JARAGUÁ SUL','SC','124244241216161431338611572112610164177',6174,'1061',54.78,1,3,NULL),(25,6060463,'1993-08-06 00:00:00',2,1,12,2010,'F','N','MARTINS','MINEIROS','GO','109092091217111431348911575122610123027',12720,'9998',41.85,1,3,NULL),(25,6060471,'1993-05-12 00:00:00',4,1,12,2010,'F','N','PONTA VERDE','MACEIÓ','AL','102022021216221431378973575122610134145',17714,'9998',34.11,1,3,NULL),(25,6060480,'1986-08-03 00:00:00',4,1,12,2003,'F','N','VILA FORMOSA','S PAULO','SP','125252251216571741538521311125610133117',406,'9998',77.91,3,3,NULL),(25,6060498,'1990-03-17 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241336575431145619575214610124122',5982,'298',56.88,1,3,NULL),(25,6060501,'1993-08-18 00:00:00',4,1,11,2010,'M','N','CENTRO','DUARTINA','SP','125253256115151232433312572122610117041',NULL,'9998',0.00,4,3,NULL),(25,6060510,'1989-01-25 00:00:00',2,5,12,2006,'M','N','ZONA NORTE','PANAMBI','RS','120201201315572441325419295124610117077',689,'9998',75.06,1,3,NULL),(25,6060528,'1993-08-20 00:00:00',4,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241115131731323339595124610144047',NULL,'287',15.39,1,3,NULL),(25,6060536,'1992-06-23 00:00:00',4,16,12,2010,'M','N','NS APARECIDA','CURITIBANOS','SC','124241241335171421536614242122610147045',NULL,'239',19.17,1,3,NULL),(25,6060552,'1993-04-27 00:00:00',2,7,12,2010,'F','N','SANTO ANTÔNIO','IRANI','SC','124133241134161531449814335124610138147',NULL,'379',28.04,1,3,NULL),(25,6060560,'1993-06-11 00:00:00',4,8,11,2010,'F','N','ATIRADORES','JOINVILLE','SC','124242241235371431436611295125610123122',6277,'461',54.36,1,3,NULL),(25,6060587,'1992-08-02 00:00:00',2,1,12,2009,'M','N','JARDIM ELDORADO','FOZ IGUAÇU','PR','116162161236271451647934245125610165172',16951,'9998',40.70,1,3,NULL),(25,6060617,'1993-03-13 00:00:00',4,1,11,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241115271431228924472122610168072',9935,'271',48.08,1,3,NULL),(25,6060625,'1991-11-07 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124204241116472431427431495124122338147',16577,'257',35.36,1,3,NULL),(25,6060633,'1993-10-24 00:00:00',4,3,12,2010,'F','N','JARDIM NOVA ERA','CAIEIRAS','SP','125253253116271431346614245125610167012',9485,'9998',46.52,1,3,NULL),(25,6060641,'1992-07-06 00:00:00',4,1,12,2010,'F','N','CAMBUI','CAMPINAS','SP','125252251211111431558812571122610113023',9571,'9998',47.92,1,3,NULL),(25,6060650,'1993-06-15 00:00:00',4,1,12,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215111231489911576122610167057',2083,'1063',66.83,1,3,NULL),(25,6060668,'1988-02-20 00:00:00',4,1,12,2005,'F','N','BELA VISTA','S JOSÉ','SC','124241241113131431423419245134610168021',NULL,'734',39.11,1,2,1),(25,6060676,'1991-04-02 00:00:00',4,8,12,2008,'F','N','PORTÃO','CURITIBA','PR','116164161215571431558714575114610144057',19924,'9998',34.41,1,3,NULL),(25,6060684,'1980-08-27 00:00:00',4,1,12,1998,'F','N','URCA','RIO JANEIRO','RJ','121253251116141431638923315125140764097',NULL,'9998',0.00,1,3,NULL),(25,6060692,'1992-10-14 00:00:00',2,4,12,2009,'F','N','BRASILIA','S LOURENÇO OESTE','SC','124161241137131721435312342222610141057',NULL,'745',33.36,4,2,1),(25,6060706,'1992-05-22 00:00:00',4,15,12,2009,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124243241137371431436444345111610144147',8933,'29',50.08,1,3,NULL),(25,6060714,'1992-06-02 00:00:00',4,1,12,2009,'F','N','CIDADE NOVA','MARINGÁ','PR','116162161216471341348933595122610124072',3147,'9998',64.10,1,3,NULL),(25,6060730,'1992-11-21 00:00:00',4,1,11,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215121411348831575124610132142',6648,'270',54.72,1,3,NULL),(25,6060749,'1992-05-19 00:00:00',4,8,12,2009,'M','N','JARDIM SÃO LUIZ','RIBEIRÃO PRETO','SP','125254251417471431338834571122610167012',6601,'9998',53.29,1,3,NULL),(25,6060757,'1986-08-24 00:00:00',2,4,12,2003,'F','N','JARDIM AMÉRICA','CHAPECÓ','SC','124242241216472721246923435122333227051',10930,'185',46.06,4,3,NULL),(25,6060773,'1993-09-20 00:00:00',2,10,11,2010,'F','N','RIO BONITO','BRAÇO NORTE','SC','124241241215112431556412581122610125142',NULL,'807',33.68,1,3,NULL),(25,6060781,'1993-02-16 00:00:00',4,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241335131721356419582122610166177',NULL,'772',35.80,2,1,2),(25,6060790,'1991-03-26 00:00:00',2,1,12,2008,'F','N','CIDADE JARDIM','BAURU','SP','125251251136471731323611342134610128042',NULL,'9998',0.00,1,2,1),(25,6060811,'1991-01-01 00:00:00',4,1,11,2008,'M','N','PITUAÇÚ','SALVADOR','BA','105052051217571431669933575122610167042',4334,'9998',62.45,1,3,NULL),(25,6060820,'1994-09-21 00:00:00',4,8,11,2011,'M','S','AMÉRICA','JOINVILLE','SC','124242241217111431269932412122610134052',NULL,'1063',56.76,1,3,NULL),(25,6060838,'1992-11-04 00:00:00',2,10,11,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124241241216111431368534572112610131092',9808,'807',47.69,4,3,NULL),(25,6060846,'1988-03-16 00:00:00',2,8,12,2005,'M','N','UVARANAS','PNT GROSSA','PR','116161161126141411646312245132340242097',14096,'9998',45.01,4,1,1),(25,6060854,'1992-03-04 00:00:00',4,8,11,2010,'M','N','HAUER','CURITIBA','PR','116162164215411231266829475112610164041',NULL,'9998',43.42,1,3,NULL),(25,6060862,'1993-07-17 00:00:00',4,8,12,2010,'M','N','GLORIA','JOINVILLE','SC','124242241215111431469914584122610147012',9482,'1063',47.44,1,3,NULL),(25,6060870,'1992-10-19 00:00:00',2,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124242241436131431126644345124610127047',NULL,'781',19.86,1,3,NULL),(25,6060889,'1993-10-21 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242248215111451479814575112610113191',NULL,'270',27.13,1,3,NULL),(25,6060897,'1992-07-21 00:00:00',4,1,12,2009,'F','N','CENTRO','ARATIBA','RS','120201206116472431433612395124610124147',7140,'9998',52.41,1,2,1),(25,6060900,'1994-12-28 00:00:00',4,2,12,2011,'F','S','COLONIAL','S BENTO SUL','SC','124241241215111441343313475124610135193',NULL,'1154',42.32,1,3,NULL),(25,6060919,'1992-01-07 00:00:00',4,1,12,2009,'M','N','VILA SUISSA','MOGI CRUZES','SP','125252251216471231456831575122610117044',NULL,'9998',17.50,1,3,NULL),(25,6060935,'1990-08-12 00:00:00',2,1,11,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241216574731556632572124133222091',896,'723',72.37,1,3,NULL),(25,6060943,'1993-04-03 00:00:00',2,8,12,2010,'F','N','PETRÓPOLIS','JOINVILLE','SC','124243241315111431436714575114610135077',19666,'931',35.43,1,3,NULL),(25,6060960,'1992-01-23 00:00:00',2,1,12,2010,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124241244116141421443311245124610132182',NULL,'306',28.43,1,2,1),(25,6060978,'1993-04-24 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111731428639592122610134017',2809,'272',65.11,1,3,NULL),(25,6060986,'1992-08-20 00:00:00',4,8,12,2009,'F','N','CENTRO','JOINVILLE','SC','124244241211473411345924571125610166127',6809,'1063',52.97,1,3,NULL),(25,6060994,'1992-11-21 00:00:00',4,1,12,2010,'M','N','CAMBUI','CAMPINAS','SP','125252251211111431558831571122610132172',1137,'9998',70.69,1,3,NULL),(25,6061001,'1993-07-02 00:00:00',2,1,12,2010,'M','N','CENTRO','CEL VIVIDA','PR','116161161215111431436331575114610125017',4181,'9998',60.18,1,3,NULL),(25,6061010,'1993-11-25 00:00:00',2,4,12,2010,'M','N','INTERIOR','IPORÃ OESTE','SC','124241241117161411333315255124610167067',NULL,'371',0.00,1,2,1),(25,6061028,'1993-03-28 00:00:00',4,8,11,2010,'F','N','AMERICA','JOINVILLE','SC','124244241217152431569914272112610163142',4614,'461',60.34,1,3,NULL),(25,6061036,'1993-02-26 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241312272431436339292122610127057',16755,'287',41.00,1,3,NULL),(25,6061044,'1989-08-06 00:00:00',2,1,12,2006,'M','N','JARDIM ITAPEMA','VIAMÃO','RS','120203201217571311535832475114141064057',1481,'9998',70.98,1,3,NULL),(25,6061052,'1966-09-02 00:00:00',4,3,11,1983,'M','N','MEIA PRAIA','ITAPEMA','SC','224163163216131441268342225122141766182',8428,'9998',54.10,1,3,NULL),(25,6061060,'1990-11-09 00:00:00',4,8,11,2008,'F','N','PARALELA','SALVADOR','BA','105052051211571431588913575122141434122',5877,'9998',59.02,3,3,NULL),(25,6061079,'1992-11-27 00:00:00',4,15,12,2010,'F','N','CENTRO','TORRES','RS','120202201417271731426529195125610162147',16475,'9998',37.05,1,3,NULL),(25,6061087,'1993-09-14 00:00:00',4,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624244241215111712459931591124610164183',12342,'270',47.62,1,3,NULL),(25,6061095,'1991-01-18 00:00:00',4,3,12,2008,'F','N','JD NOVA LONDRES','LONDRINA','PR','116162161216572731558824575122610162112',3062,'9998',63.71,1,3,NULL),(25,6061109,'1993-02-28 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124161241127132751336629572124610127182',18163,'736',33.42,1,2,1),(25,6061117,'1993-01-18 00:00:00',4,1,10,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','128242281417152431388923475124610164075',NULL,'9998',0.00,1,3,NULL),(25,6061133,'1992-12-05 00:00:00',2,2,11,2010,'F','N','MERCÊS','CURITIBA','PR','116162161215111431368522576124610128147',13135,'9998',46.42,1,3,NULL),(25,6061150,'1990-11-20 00:00:00',4,1,12,2008,'M','N','JARDIM INDUSTRIAS','S JOSÉ CAMPOS','SP','125252256217472431358812575112610164042',7289,'9998',56.20,1,3,NULL),(25,6061168,'1993-04-05 00:00:00',2,1,12,2010,'F','N','ESPLANADA','S JOSÉ CAMPOS','SP','125252251212111731348832422112610113077',NULL,'9998',0.00,1,3,NULL),(25,6061184,'1993-05-05 00:00:00',4,8,12,2010,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124242246217151441538619575124610167052',NULL,'1105',37.09,1,3,NULL),(25,6061192,'1991-06-06 00:00:00',4,1,12,2008,'F','N','ALTOS DO ESPLANADA','S JOSÉ CAMPOS','SP','125252251216572711578834575112610162147',NULL,'9998',0.00,1,3,NULL),(25,6061206,'1989-03-27 00:00:00',2,1,12,2007,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124242241215373731424611445122610164072',NULL,'272',30.50,1,3,NULL),(25,6061222,'1992-09-20 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241112472431433339292112610122147',14409,'287',44.57,1,2,1),(25,6061230,'1992-12-21 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241115271431449813371124610168052',4429,'271',59.62,4,3,NULL),(25,6061257,'1992-10-25 01:00:00',4,5,11,2010,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111731569913475125610126011',10884,'226',49.84,1,3,NULL),(25,6061265,'1993-09-21 00:00:00',4,9,12,2010,'F','N','SANTA HELENA','LAGES','SC','124243241216131451536933575122610156177',7161,'515',53.39,1,3,NULL),(25,6061273,'1993-06-03 00:00:00',4,8,11,2010,'F','N','PETRÓPOLIS','JOINVILLE','SC','124241241216111431328713345124610128182',17001,'489',34.29,1,3,NULL),(25,6061281,'1986-01-23 00:00:00',2,1,12,2002,'F','N','PACHECOS','PALHOÇA','SC','124241241137132431124644245124133242147',NULL,'727',19.57,1,2,1),(25,6061303,'1993-01-28 00:00:00',4,1,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','116162161215572431469811412112610132092',3449,'9998',64.66,1,3,NULL),(25,6061311,'1992-02-12 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115141431424564585124610124143',20686,'307',32.43,4,2,1),(25,6061320,'1992-08-09 00:00:00',4,1,12,2009,'F','N','CENTRO','S JOSÉ CAMPOS','SP','111111111216471751448812575125610122122',12978,'9998',41.95,1,3,NULL),(25,6061338,'1993-07-23 00:00:00',4,1,11,2010,'F','N','CENTRO','RIO PEDRAS','SP','125251251116161431326621575124610137032',NULL,'9998',0.00,1,2,1),(25,6061346,'1991-06-24 00:00:00',4,8,12,2008,'F','N','GUANABARA','JOINVILLE','SC','124241241127131731426324242234610165017',NULL,'467',0.00,1,2,1),(25,6061354,'1992-08-30 00:00:00',4,1,11,2009,'F','N','MOOCA','S PAULO','SP','125252251217472431458914371122610162147',2898,'9998',64.75,1,3,NULL),(25,6061362,'1993-01-25 00:00:00',4,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124244241417131431349914272124610133142',7625,'1018',51.62,1,3,NULL),(25,6061370,'1992-03-18 00:00:00',2,1,12,2009,'F','N','CAIXA DAGUA','TIETÊ','SP','125253251216131731533623475121610142153',NULL,'9998',0.00,1,3,NULL),(25,6061389,'1985-05-11 00:00:00',2,1,11,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124161161127352431543379211124610121077',18203,'9998',34.62,2,1,1),(25,6061397,'1987-05-14 00:00:00',4,1,12,2004,'M','N','CAMPINAS','S JOSÉ','SC','124242241216275212258923442122333227057',7169,'300',56.42,1,3,NULL),(25,6061400,'1991-03-10 00:00:00',4,1,12,2008,'F','N','JARDIN SÃO ROQUE','FOZ IGUAÇU','PR','115161161117231711526314445124610167047',NULL,'9998',20.25,4,2,1),(25,6061435,'1993-05-28 00:00:00',2,15,12,2010,'F','N','FIGUEIRA','JACINTO MACHADO','SC','124241241115371431523436295121610163197',20251,'420',28.78,1,2,1),(25,6061443,'1991-01-07 00:00:00',4,8,12,2007,'M','N','PINEVILLE','PINHAIS','PR','116161161216571531436834575124140667147',8592,'9998',50.41,1,3,NULL),(25,6061478,'1992-05-25 00:00:00',4,1,12,2009,'M','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251215471431379733475122610117047',2767,'9998',64.26,1,3,NULL),(25,6061494,'1988-04-17 00:00:00',4,1,12,2005,'F','N','PIONEIRO','PINHALZINHO','SC','124241241116371331436619371214133232142',17302,'616',35.54,1,2,1),(25,6061508,'1992-02-21 00:00:00',2,5,10,2009,'F','N','COMECIÁRIO','CRICIÚMA','SC','124242241215472421448923575122610161182',NULL,'226',33.59,1,3,NULL),(25,6061516,'1994-06-20 00:00:00',4,7,12,2010,'F','N','CENTRO','HERVAL D OESTE','SC','124242241215131711226923572124610127012',4380,'454',62.32,1,3,NULL),(25,6061524,'1992-02-06 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215473712468614495112610167062',2825,'262',66.37,1,3,NULL),(25,6061532,'1991-06-14 00:00:00',2,9,11,2010,'M','N','CENTRO','S JOAQUIM','SC','124244241435111431446933382122610167057',20977,'721',31.19,1,3,NULL),(25,6061540,'1993-09-25 00:00:00',4,8,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161215121431259821571122610133097',632,'9998',75.92,1,3,NULL),(25,6061559,'1992-07-29 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241121231731423823332124610128147',18263,'274',35.02,1,2,1),(25,6061583,'1992-12-21 00:00:00',4,15,12,2009,'M','N','LAGOAO','ARARANGUÁ','SC','124241241126142732523439145121133267055',NULL,'30',25.49,1,3,NULL),(25,6061591,'1992-01-09 00:00:00',4,1,12,2009,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124244241215472431537831572124610126071',9784,'1022',47.31,4,3,NULL),(25,6061605,'1991-08-13 00:00:00',4,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124242241215573751454633474122610168185',16893,'738',38.07,1,3,NULL),(25,6061613,'1991-03-10 00:00:00',4,1,11,2008,'M','N','AFONSO PENA','S JOSÉ PINHAIS','PR','116164161415471411579934485124143224087',923,'9998',73.22,1,3,NULL),(25,6061621,'1991-12-04 00:00:00',4,4,12,2009,'M','N','CENTRO','SAUDADES','SC','124244241415272451479811575122610167011',15125,'1070',38.20,1,3,NULL),(25,6061630,'1990-11-24 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215374431488814575122221417042',1990,'262',67.74,1,3,NULL),(25,6061664,'1994-04-24 00:00:00',4,1,10,2011,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111411479814572122610128182',NULL,'1169',19.34,1,3,NULL),(25,6061672,'1993-03-13 00:00:00',4,1,11,2009,'M','N','BOSQUE DA SAÚDE','CUIABÁ','MT','111112251215472431388823575122610167012',2207,'9998',68.03,4,3,NULL),(25,6061680,'1991-12-19 00:00:00',4,8,12,2009,'M','N','ATIRADORES','JOINVILLE','SC','124242241215472431469912574112610167147',70,'389',84.72,1,3,NULL),(25,6061710,'1983-09-16 00:00:00',2,1,7,2005,'M','N','FUNDOS','BIGUAÇU','SC','224241241121131732611148181344132912047',NULL,'9997',32.02,1,2,1),(25,6061729,'1991-12-26 00:00:00',4,10,11,2008,'F','N','FLORESTA','PTO ALEGRE','RS','120244241217573431348713475124610127057',175,'806',81.51,1,3,NULL),(25,6061737,'1994-09-02 00:00:00',4,8,12,2011,'M','S','IRIRIÚ','JOINVILLE','SC','124242241216111431456831575122610138052',NULL,'462',55.99,1,3,NULL),(25,6061745,'1985-07-08 00:00:00',2,1,4,2005,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241116234411113348282114610117077',NULL,'306',27.97,1,2,1),(25,6061753,'1991-04-10 00:00:00',4,1,11,2008,'M','N','JD COLINAS','S JOSÉ CAMPOS','SP','125252251215572431379832571112610167182',3812,'9998',61.33,1,3,NULL),(25,6061770,'1993-04-26 00:00:00',4,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124241241115131431436613282124610152057',21135,'726',30.47,1,2,1),(25,6061788,'1993-02-04 00:00:00',4,1,12,2010,'M','N','CENTRO','S JOSÉ R PRETO','SP','125252251215111431458614575121610147047',11181,'9998',45.39,1,3,NULL),(25,6061800,'1986-06-20 00:00:00',2,1,12,2003,'M','N','GLUCOSTARCK','CRUZEIRO SUL','RS','120201201117571431323419382224143247057',1799,'9998',68.70,1,2,1),(25,6061818,'1986-03-04 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241126133411123344245124333225193',NULL,'214',0.00,1,2,1),(25,6061834,'1991-03-26 00:00:00',4,1,11,2008,'M','N','LAGO SUL','LG SUL','DF','107072071217572431579914445122610117012',3422,'9998',62.56,4,3,NULL),(25,6061850,'1993-03-20 00:00:00',4,1,11,2010,'M','N','AREAIS','S JOSÉ','SC','124242247217131431528723575124610137042',21402,'9999',28.78,2,1,2),(25,6061869,'1993-06-22 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242246217151431239934575114610127062',NULL,'9997',31.59,1,3,NULL),(25,6061885,'1991-02-20 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215575431377823575122222366192',5020,'262',58.21,1,3,NULL),(25,6061893,'1993-03-27 00:00:00',4,1,11,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115471431436624472124610132092',6078,'307',54.20,2,1,1),(25,6061907,'1993-02-02 00:00:00',2,1,12,2010,'F','N','GRAGERU','ARACAJU','SE','126262261217111431259933592122610144142',3451,'9998',64.21,4,3,NULL),(25,6061915,'1991-03-20 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241216272431535534475124610161082',10720,'299',50.12,4,3,NULL),(25,6061923,'1995-01-03 00:00:00',4,1,12,2011,'F','S','BOTAFOGO','RIO JANEIRO','RJ','121211211436151431389933575124610167032',NULL,'9998',0.00,1,3,NULL),(25,6061931,'1992-06-01 00:00:00',4,1,12,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241115141751625514345124610136192',NULL,'257',13.22,1,3,NULL),(25,6061940,'1991-08-08 00:00:00',4,1,12,2009,'M','N','CENTRO','ARAXÁ','MG','113132131217471431548831575122610167047',NULL,'9998',0.00,1,3,NULL),(25,6061958,'1991-08-12 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241213153431336322321114231037044',14013,'259',45.15,1,3,NULL),(25,6061966,'1984-09-01 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127153451433379445124610166187',13375,'283',46.11,1,2,1),(25,6061974,'1992-05-03 00:00:00',4,10,11,2009,'M','N','CAPIVARI DE BAIXO','CAPIVARI BAIXO','SC','124244241215372431236934575114610167182',3808,'806',60.60,1,3,NULL),(25,6061982,'1992-05-01 00:00:00',2,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116242161215572431469931572115610138097',14318,'9998',44.69,1,3,NULL),(25,6061990,'1992-12-04 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215472432566613395114610163185',3549,'1022',61.94,4,3,NULL),(25,6062016,'1993-08-10 00:00:00',4,1,11,2011,'F','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124212241217111431559914572122610144092',NULL,'262',54.70,1,3,NULL),(25,6062024,'1991-06-29 00:00:00',4,1,12,2008,'F','N','MACEDO','GUARULHOS','SP','125252251211571431438831471122610125042',2237,'9998',67.01,3,3,NULL),(25,6062032,'1992-02-14 00:00:00',4,1,12,2009,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','116242241215471431158732575122610163182',NULL,'909',0.00,1,3,NULL),(25,6062040,'1994-10-11 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241217111431548831395122610132012',17839,'738',39.16,1,3,NULL),(25,6062075,'1993-05-27 00:00:00',4,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244248216141451436614191122610143092',NULL,'1075',18.23,4,3,NULL),(25,6062083,'1992-10-21 00:00:00',4,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215111411229923371124610137052',21348,'270',29.18,1,3,NULL),(25,6062091,'1992-06-20 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244247447151712568729385112131047042',NULL,'9999',24.92,4,3,NULL),(25,6062105,'1988-06-15 00:00:00',4,15,12,2007,'M','N','ZONA NOVA SUL','BAL ARROIO SILVA','SC','124201201146132441125544445224130712175',NULL,'9998',0.00,1,3,NULL),(25,6062113,'1992-12-13 00:00:00',4,8,11,2010,'M','N','CENTRO','JOINVILLE','SC','124242241215111431448613472122610122142',2757,'461',65.14,1,3,NULL),(25,6062121,'1993-08-11 00:00:00',2,7,12,2010,'M','N','CENTRO','ÁGUA DOCE','SC','124241242116111731323335391122610124052',NULL,'8',18.05,1,3,NULL),(25,6062130,'1992-06-29 00:00:00',2,10,11,2009,'F','N','CENTRO','ARMAZÉM','SC','124241241415472731476632472122610167142',13169,'807',46.38,1,3,NULL),(25,6062148,'1993-10-20 00:00:00',4,10,11,2010,'M','N','DEHON','TUBARÃO','SC','124242241215111731448839495112610122187',9725,'797',48.23,1,3,NULL),(25,6062156,'1994-01-12 00:00:00',4,15,12,2010,'M','N','CENTRO','BAL ARROIO SILVA','SC','124241241215111751337829575124610167147',NULL,'26',29.91,4,3,NULL),(25,6062164,'1994-07-14 00:00:00',4,7,12,2010,'F','N','CENTRO','CURITIBA','PR','116242161215121731459933575122610122072',8772,'9998',49.52,1,3,NULL),(25,6062172,'1988-06-30 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','224243241215131431326859592224610127187',NULL,'269',34.65,1,3,NULL),(25,6062180,'1985-10-19 00:00:00',2,1,12,2003,'F','N','BELA VISTA','PTO ALEGRE','RS','120132131217572731468613571124610134072',NULL,'9998',36.39,1,3,NULL),(25,6062202,'1985-01-02 00:00:00',2,1,12,2003,'F','N','JARDIM ELDORADORA','PALHOÇA','SC','124243241135374421444474146124130264117',16785,'739',40.95,1,3,NULL),(25,6062210,'1988-06-03 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','125252251216371431439811575125610162017',8106,'9998',50.77,1,3,NULL),(25,6062229,'1991-04-29 00:00:00',4,8,12,2008,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215573431638833571124610137017',1251,'633',72.60,1,3,NULL),(25,6062237,'1991-05-28 00:00:00',2,1,12,2008,'M','N','ARMAÇÃO PANT DO SUL','FLORIANÓPOLIS','SC','124241241127371431436813445114610137057',NULL,'291',38.81,1,2,1),(25,6062245,'1994-09-23 00:00:00',4,2,12,2011,'F','S','GARCIA','BLUMENAU','SC','124242241214111731335723592122610138187',NULL,'71',42.85,1,3,NULL),(25,6062253,'1993-10-09 00:00:00',2,1,12,2010,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241146371711436933242124610125142',15653,'593',39.55,1,2,1),(25,6062270,'1991-03-09 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211152211468911411122231013012',NULL,'262',0.00,1,3,NULL),(25,6062288,'1993-01-05 00:00:00',4,1,12,2010,'M','N','VALE DOS LAGOS','TATUÍ','SP','125252251215131431459814571122610117172',3526,'9998',62.73,1,3,NULL),(25,6062296,'1993-10-04 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124242241216111431468833575122610142147',1902,'881',69.69,1,3,NULL),(25,6062300,'1992-04-23 00:00:00',4,1,12,2008,'M','N','CHÁCARA CACHOEIRA','CPO GRANDE','MS','112124121415573431168821575124610145012',938,'9998',73.68,1,3,NULL),(25,6062318,'1993-07-23 00:00:00',2,9,12,2010,'F','N','PETRÓPOLIS','LAGES','SC','124241241116131431326411575124610127057',12959,'512',41.42,4,2,1),(25,6062326,'1977-09-04 00:00:00',4,1,10,1998,'M','N','CENTRO','S JOSÉ','SC','116161161146171731463444245124343262181',NULL,'9998',20.87,1,3,NULL),(25,6062342,'1993-09-10 00:00:00',4,4,12,2010,'M','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124241241117131431338824572125610116142',6207,'182',55.43,1,2,1),(25,6062350,'1992-04-11 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215121431327639595124610164012',20798,'1023',31.95,1,3,NULL),(25,6062377,'1983-06-06 00:00:00',2,1,12,2009,'F','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','124161167126131731324342125134610162197',NULL,'9998',31.43,1,2,1),(25,6062385,'1992-06-02 00:00:00',4,1,12,2010,'F','N','PRAIA DE PALMAS','GOV CELSO RAMOS','SC','124203241117131431639822275124610162187',16306,'307',35.82,1,3,NULL),(25,6062407,'1992-06-16 00:00:00',4,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','116202241215471431369831575125610124122',NULL,'1038',21.02,1,3,NULL),(25,6062423,'1991-05-07 00:00:00',4,1,12,2008,'F','N','PONTE PRETA','CAMPINAS','SP','125252251211573231436821575122610166091',639,'9998',76.47,1,3,NULL),(25,6062431,'1993-08-20 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124201241115131431333614292124610138057',19188,'734',36.57,1,2,1),(25,6062440,'1992-01-08 00:00:00',2,1,10,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124244241217121411113367371124610166016',NULL,'299',25.65,1,3,NULL),(25,6062458,'1993-07-31 00:00:00',4,1,11,2010,'F','N','CENTRO','RANCHARIA','SP','125252251217111431357924342112610146092',NULL,'9998',0.00,1,3,NULL),(25,6062466,'1992-07-23 00:00:00',4,1,12,2009,'M','N','VILA NOVA','FARTURA','SP','125251251116371431434933274112610127042',NULL,'9998',0.00,4,2,1),(25,6062474,'1993-04-08 00:00:00',2,15,12,2010,'F','N','CENTRO','BAL ARROIO SILVA','SC','124241241115131331425331145124610124147',NULL,'854',22.23,1,2,1),(25,6062482,'1993-04-17 00:00:00',2,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431356832575122610131182',13823,'1022',40.00,1,3,NULL),(25,6062490,'1988-09-08 00:00:00',4,2,12,2005,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241112141411334611342234610145142',17662,'75',39.46,1,3,NULL),(25,6062504,'1993-10-18 00:00:00',4,1,12,2010,'M','N','RESIDENCIAL AQUARIUS','S JOSÉ CAMPOS','SP','125114251235121431378611575122610122146',NULL,'9998',0.00,2,3,NULL),(25,6062512,'1991-09-15 00:00:00',4,1,12,2008,'M','N','RECANTO DE PORTUGAL','PELOTAS','RS','120202201217271431449831575112140437112',11558,'9998',44.10,1,3,NULL),(25,6062520,'1991-02-13 00:00:00',2,1,12,2009,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125254251215311412447822495124610131016',NULL,'9998',0.00,1,3,NULL),(25,6062547,'1994-01-22 00:00:00',2,15,12,2010,'F','N','CENTRO','SOMBRIO','SC','124244241116271431433811291125610123142',NULL,'1033',25.21,1,3,NULL),(25,6062555,'1993-01-18 00:00:00',4,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124222221217151431367713475122610131142',4742,'9998',58.41,1,3,NULL),(25,6062563,'1994-06-02 00:00:00',4,8,10,2010,'M','N','ÁGUA VERDE','CURITIBA','PR','116241161217471411447612575114610166196',1945,'9998',69.49,1,3,NULL),(25,6062571,'1993-09-22 00:00:00',4,1,12,2010,'M','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124243241115371411647812282124610113142',15883,'733',37.16,1,3,NULL),(25,6062580,'1992-09-17 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241117271431528814571124610167182',16580,'307',41.27,1,3,NULL),(25,6062598,'1993-09-24 00:00:00',4,1,11,2010,'F','N','ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC','124242241215112431479614575124610111182',7255,'262',53.16,1,3,NULL),(25,6062601,'1993-09-14 00:00:00',2,10,10,2010,'M','N','CENTRO','BRAÇO NORTE','SC','624242241214151731137923375124610124012',9699,'806',49.88,1,3,NULL),(25,6062610,'1994-04-12 00:00:00',4,2,12,2011,'F','S','RIBEIRÃO FRESCO','BLUMENAU','SC','124242241215131411347723576122610124147',NULL,'71',41.32,1,3,NULL),(25,6062636,'1993-06-23 00:00:00',4,1,12,2010,'F','N','ALTOS DA CIDADE','BAURU','SP','125252251216111431479933575122610132122',9801,'9998',46.97,1,3,NULL),(25,6062644,'1993-12-01 00:00:00',4,2,12,2010,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124243241417371431445924575122610137142',1007,'69',73.26,1,3,NULL),(25,6062652,'1981-07-20 00:00:00',2,1,12,1998,'F','N','PACHECOS','PALHOÇA','SC','624161161312132431424454445123132866047',NULL,'9998',0.00,1,3,NULL),(25,6062660,'1991-06-01 00:00:00',2,8,12,2008,'F','N','MERCÊS','CURITIBA','PR','116164161215571431474916575112610137092',12760,'9998',41.52,1,3,NULL),(25,6062679,'1992-02-24 00:00:00',4,1,6,2010,'M','N','REBOUÇAS','CURITIBA','PR','116112111213341411229932275124610167097',9499,'9998',48.76,1,3,NULL),(25,6062687,'1988-11-17 00:00:00',2,8,12,2005,'F','N','JARDIM IMPERIAL','MARINGÁ','PR','116161161216575431566719595125610124197',561,'9998',76.36,1,3,NULL),(25,6062695,'1993-11-04 00:00:00',2,1,12,2010,'F','N','TIJUQUINHAS','BIGUAÇU','SC','124241241115131432626614372124610113027',NULL,'64',20.35,1,2,1),(25,6062709,'1993-05-05 00:00:00',4,1,12,2010,'M','N','RESIDENCIAL PLANALTO','S JOSÉ CAMPOS','SP','125251251215111432426611575124610127052',5681,'9998',55.69,4,1,2),(25,6062717,'1988-11-15 00:00:00',4,8,12,2005,'M','N','JARDIM CANADÁ','MARINGÁ','PR','116162161216575431448711475125610164182',26,'9998',86.94,1,3,NULL),(25,6062725,'1992-09-10 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241248215373731437379375124610113142',NULL,'944',0.00,1,3,NULL),(25,6062733,'1992-12-06 00:00:00',4,1,12,2009,'M','N','ALPHAVILLEFLAMBOYANT','GOIÂNIA','GO','109092091211372411668833472122610133032',814,'9998',75.22,1,3,NULL),(25,6062741,'1991-03-09 00:00:00',4,1,12,2008,'F','N','JARDIM OSWALDO CRUZ','S JOSÉ CAMPOS','SP','125172171217471431468813571122610162093',2353,'9998',66.03,1,3,NULL),(25,6062750,'1991-06-08 00:00:00',4,1,12,2008,'F','N','SANTA TEREZA','S PEDRO ALCÂNTARA','SC','124241241126161411456513345124230224142',NULL,'869',11.82,1,2,1),(25,6062768,'1992-05-31 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241216372431439917345124233264042',NULL,'724',37.56,1,3,NULL),(25,6062776,'1985-12-10 00:00:00',2,1,9,2005,'F','N','LAGOA DA CONÇEIÇÃO','FLORIANÓPOLIS','SC','124241247241141421121541315124610168187',NULL,'9999',0.00,1,3,NULL),(25,6062784,'1992-11-09 00:00:00',4,8,11,2010,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111521439514375122610127042',13279,'461',43.03,1,3,NULL),(25,6062792,'1993-09-14 00:00:00',4,4,11,2010,'F','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124241241415152431636811575122610144172',17248,'168',34.74,1,3,NULL),(25,6062806,'1990-01-17 00:00:00',4,1,12,2008,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124122127216131431578831285122610126142',NULL,'9998',36.29,1,3,NULL),(25,6062814,'1994-07-17 00:00:00',2,3,10,2011,'F','S','NAÇÕES','BAL CAMBORIÚ','SC','124241241215131431336933495122610166142',NULL,'9997',36.70,1,3,NULL),(25,6062822,'1993-10-04 00:00:00',4,4,12,2010,'F','N','SÃO FRANCISCO','S LOURENÇO OESTE','SC','124243241116131731333631115122610122092',NULL,'744',0.00,1,3,NULL),(25,6062830,'1990-09-04 00:00:00',2,1,12,2007,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124241241117141731115349392114131024047',21505,'412',27.83,1,2,1),(25,6062849,'1987-02-11 00:00:00',4,1,6,2007,'M','N','BARREIROS','S JOSÉ','SC','124203207142173411336544345234140732022',NULL,'9998',17.81,4,3,NULL),(25,6062857,'1987-05-27 00:00:00',4,1,12,2004,'F','N','PQ RES PATRICIA','MARINGÁ','PR','116163161116572431348319575123142664182',3081,'9998',65.68,1,3,NULL),(25,6062865,'1993-04-30 00:00:00',4,1,12,2010,'M','N','TATUAPÉ','S PAULO','SP','125252251216471711647714575125610164012',10259,'9998',50.89,1,3,NULL),(25,6062873,'1992-06-25 00:00:00',4,1,11,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124252251217472731548814386111610161022',6646,'9998',55.70,1,3,NULL),(25,6062881,'1993-11-08 00:00:00',4,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241217151731579614575124610164112',16829,'1105',36.86,1,3,NULL),(25,6062890,'1994-05-02 00:00:00',4,8,12,2011,'M','S','CENTRO','S BENTO SUL','SC','124242241217111731435839595125610134052',NULL,'1178',43.50,1,3,NULL),(25,6062903,'1993-02-11 00:00:00',4,3,12,2010,'M','N','JARDIM HIGIENÓPOLIS','LONDRINA','PR','116222161217111411359932575112610124042',4882,'9998',57.89,3,3,NULL),(25,6062920,'1967-04-09 00:00:00',4,1,12,2010,'M','N','CENTRO','ÁGUAS MORNAS','SC','424241241127131131423345452123610123047',17958,'12',34.70,1,2,1),(25,6062938,'1992-01-29 00:00:00',4,1,12,2010,'F','N','CENTRO','CRUZ ALTA','RS','120202208216311331238934575122610136147',NULL,'9998',16.36,1,3,NULL),(25,6062946,'1993-10-07 00:00:00',4,1,12,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124243241217111431445923575122610167052',NULL,'403',26.82,1,3,NULL),(25,6062954,'1990-12-06 00:00:00',4,7,12,2009,'M','N','FARROUPILHA','VIDEIRA','SC','124241241122141421423324342224610123141',NULL,'831',29.37,2,2,1),(25,6062989,'1992-11-28 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411359939595125610122182',5881,'262',57.00,1,3,NULL),(25,6062997,'1994-10-12 00:00:00',4,17,12,2011,'F','S','CENTRO','CANOINHAS','SC','124242241217111731448712375122610123072',NULL,'154',41.18,1,3,NULL),(25,6063004,'1990-05-27 00:00:00',4,1,12,2007,'M','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124243247211472431438821285124610122182',NULL,'9999',22.45,1,3,NULL),(25,6063012,'1989-11-05 00:00:00',4,1,12,2007,'F','N','MORUMBI','S PAULO','SP','125252251217571441478811572112242417077',10663,'9998',46.11,1,3,NULL),(25,6063020,'1993-06-29 00:00:00',2,1,12,2010,'F','N','CENTRO','PARANAVAÍ','PR','116162161215111131323811575122610112147',12681,'9998',42.58,1,3,NULL),(25,6063039,'1992-03-01 00:00:00',2,15,12,2009,'M','N','LAGOÃO','ARARANGUÁ','SC','124241241116141431436614345123610122172',NULL,'30',23.19,1,2,1),(25,6063047,'1993-02-13 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215472751443639575122610122142',3233,'1038',63.39,1,3,NULL),(25,6063063,'1992-08-21 00:00:00',2,4,12,2009,'F','N','INTERIOR','PALMEIRA MISSÕES','RS','120201202116131231436833572222610154187',16362,'9998',38.33,1,3,NULL),(25,6063071,'1994-03-17 00:00:00',4,1,12,2010,'F','N','CENTRO','SANTANA LIVRAMENTO','RS','120203201116371731547923575122610124142',15360,'9998',37.32,1,3,NULL),(25,6063080,'1966-04-17 00:00:00',3,1,6,1984,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','524241246117154751373343435122322815182',12744,'306',47.00,1,3,NULL),(25,6063098,'1992-02-04 00:00:00',4,10,12,2009,'M','N','SAO JOAO MD','TUBARÃO','SC','124241241127131532316379382111610127057',17807,'330',39.22,2,2,1),(25,6063101,'1981-04-12 00:00:00',2,1,8,2000,'F','N','PANTANAL','FLORIANÓPOLIS','SC','624111117126232431321174445124140618143',NULL,'9998',18.99,4,1,1),(25,6063110,'1991-05-04 00:00:00',4,8,12,2009,'F','N','CENTRO','CPO MOURÃO','PR','116162161116471431539933575124610127147',NULL,'9998',0.00,1,3,NULL),(25,6063128,'1990-08-10 00:00:00',4,1,12,2009,'M','N','CAMBUI','CAMPINAS','SP','125252251215372331459932575112610167042',NULL,'9998',0.00,1,3,NULL),(25,6063136,'1992-06-24 00:00:00',4,1,12,2009,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161217471431368933572122610167067',5596,'9998',56.61,1,3,NULL),(25,6063144,'1993-12-23 00:00:00',2,1,12,2010,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241115151431425923275124610113182',NULL,'592',22.25,1,2,1),(25,6063152,'1993-10-17 01:00:00',2,1,12,2010,'F','N','CARANDIRU','S PAULO','SP','125252251116151411356924575124610132122',13936,'9998',40.21,2,1,2),(25,6063160,'1993-12-31 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241217112411649831575122610122042',6821,'738',53.91,1,3,NULL),(25,6063187,'1993-05-26 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241215121411537733575124610124147',5233,'1022',59.08,1,3,NULL),(25,6063195,'1993-01-26 00:00:00',4,1,12,2010,'F','N','VILA CLAUDIA','LIMEIRA','SP','125253251115371431646622575122610137077',14714,'9998',37.60,1,3,NULL),(25,6063209,'1992-11-22 00:00:00',4,1,12,2010,'M','N','CAMINHO NOVO','PALHOÇA','SC','124244248115131431536814171124610162197',11363,'306',45.39,4,3,NULL),(25,6063217,'1993-04-08 00:00:00',2,1,12,2010,'F','N','BAIRRO DE FÁTIMA','FLORIANÓPOLIS','SC','124241241217371431225621374124610128012',8824,'988',50.11,1,3,NULL),(25,6063225,'1993-08-26 00:00:00',4,1,12,2010,'M','N','VILA NOVA','IMBITUBA','SC','124243243117373411336611475124610162192',6905,'359',55.50,1,3,NULL),(25,6063241,'1992-03-25 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124131131116131231328611481124610164142',NULL,'9998',31.83,1,2,1),(25,6063250,'1990-12-20 00:00:00',2,1,12,2008,'M','N','PIONEIRO','LUCAS R VERDE','MT','111112111216311231325316415112610167042',NULL,'9998',27.36,1,3,NULL),(25,6063268,'1984-11-07 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201201116271421123349392124142313191',NULL,'9998',0.00,1,2,1),(25,6063276,'1989-06-26 00:00:00',2,1,12,2010,'F','N','VILA SANTO ANTONIO','MARINGÁ','PR','116164167146371411448714285123610134117',NULL,'9998',23.19,1,3,NULL),(25,6063284,'1987-02-15 00:00:00',2,1,12,2005,'M','N','SERRARIA','S JOSÉ','SC','124241241116152411236673482114130267042',20864,'257',31.68,1,2,1),(25,6063292,'1993-01-04 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241437121731348834395122610164077',21072,'1016',30.80,4,3,NULL),(25,6063306,'1993-03-24 00:00:00',4,1,12,2010,'F','N','CENTRO','CURITIBA','PR','116254163117371411558833575124610136072',2103,'9998',66.10,1,3,NULL),(25,6063314,'1992-04-14 00:00:00',4,1,11,2010,'F','N','FATIMA','FLORIANÓPOLIS','SC','124243247437131431523611592114613233052',NULL,'9999',14.81,1,3,NULL),(25,6063322,'1992-09-12 00:00:00',4,7,12,2009,'M','N','ESCOLAR','SALTO VELOSO','SC','124241242136431411423439385221610124182',18968,'8',36.98,1,3,NULL),(25,6063330,'1991-07-01 00:00:00',4,6,12,2008,'M','N','NOSSA SENHORA DE F','STA MARIA','RS','120201241136573231646379595125610164197',5655,'51',56.16,1,2,1),(25,6063349,'1994-04-21 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217111532479933572121610167057',12971,'883',46.63,1,3,NULL),(25,6063357,'1991-11-10 00:00:00',2,2,12,2009,'F','N','LARANJEIRAS','RIO SUL','SC','124242241116231411538823392125610127052',NULL,'657',24.08,1,3,NULL),(25,6063373,'1992-12-06 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241125131411223514382124610124097',NULL,'277',19.12,1,2,1),(25,6063381,'1993-11-05 00:00:00',4,9,11,2010,'F','N','UNIVERSITÁRIO','VIDEIRA','SC','124242241215152431559811575122610133142',3278,'969',62.18,1,3,NULL),(25,6063390,'1988-09-01 00:00:00',2,15,12,2006,'M','N','TURIMAR','BAL GAIVOTA','SC','124241241116132432536413342124610133147',NULL,'1033',24.22,1,2,1),(25,6063403,'1991-12-03 00:00:00',4,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217271731469833572114610134055',2550,'951',65.38,1,3,NULL),(25,6063411,'1992-10-05 00:00:00',4,2,12,2010,'M','N','BELA VISTA','GASPAR','SC','124241241115271451436532575122610132057',10801,'69',46.92,1,2,1),(25,6063420,'1988-02-06 00:00:00',2,1,12,2005,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','224241241116371731224459475124610142057',15924,'1034',37.05,1,2,1),(25,6063438,'1993-09-05 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215473431458613476124610124062',6272,'1023',55.26,1,3,NULL),(25,6063446,'1994-06-09 00:00:00',4,4,12,2010,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124243241134471731327524245124610122097',20824,'174',31.86,1,3,NULL),(25,6063454,'1990-11-07 00:00:00',4,1,12,2008,'M','N','VILA COUTO','CUBATÃO','SP','125251251114472431446624375124610146047',3489,'9998',62.54,4,2,1),(25,6063462,'1987-11-07 00:00:00',4,1,12,2004,'F','N','CENTRO','MARÍLIA','SP','125253251215475431537836295124141367147',6248,'9998',54.71,1,3,NULL),(25,6063470,'1991-05-15 00:00:00',2,1,12,2008,'M','N','VL SÃO BENTO','CAMPINAS','SP','125251251147571231546623345124610131142',15338,'9998',38.15,1,2,1),(25,6063489,'1993-02-22 00:00:00',4,1,12,2010,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241217111431559913432122610133012',492,'270',77.64,1,3,NULL),(25,6063497,'1993-12-24 00:00:00',2,15,12,2010,'F','N','CENTRO','STA ROSA SUL','SC','124241241111131731425312172121610117052',21146,'689',24.04,1,2,1),(25,6063519,'1992-09-27 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215213731559833385114131217042',5880,'270',59.01,1,3,NULL),(25,6063527,'1993-01-15 00:00:00',4,1,11,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215322431468812572122610122015',6190,'262',58.34,1,3,NULL),(25,6063535,'1992-12-16 00:00:00',4,4,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241416472431459813575112610134187',2469,'752',65.88,1,3,NULL),(25,6063543,'1991-12-18 00:00:00',4,3,12,2008,'M','N','CENTRO','SALESÓPOLIS','SP','125251251115471431438813385124610127047',10710,'9998',45.07,4,2,1),(25,6063551,'1993-04-30 00:00:00',4,8,12,2010,'M','N','JARDIM ALVORADA','MARINGÁ','PR','116162161215111431548811575121610124012',16034,'9998',38.74,1,3,NULL),(25,6063560,'1979-03-10 00:00:00',2,1,12,1997,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224241245122271131323354175114610164187',10609,'395',50.31,1,2,1),(25,6063578,'1991-06-09 00:00:00',4,15,11,2008,'F','N','DIVINÉIA','ARARANGUÁ','SC','124242241217272431446923575124231436187',NULL,'32',0.00,1,3,NULL),(25,6063586,'1992-07-18 00:00:00',4,9,12,2009,'F','N','CENTRO','ITUPORANGA','SC','124241241136371731333923345122610144192',NULL,'416',29.66,1,2,1),(25,6063594,'1992-04-07 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124123091116151331588812575122610115182',NULL,'9998',0.00,1,1,2),(25,6063608,'1994-02-26 00:00:00',2,4,12,2010,'F','N','LIBERDADE','CONCÓRDIA','SC','124241241116371411329614575122610126142',17595,'192',34.60,1,2,1),(25,6063616,'1993-07-08 00:00:00',4,3,12,2010,'M','N','JAGUARIBE','OSASCO','SP','125253251216231331368624375124610134177',12852,'9998',42.69,1,3,NULL),(25,6063624,'1991-07-04 00:00:00',2,1,12,2008,'F','N','CENTRO','CURITIBA','PR','116122121216471431239313575125240451182',7013,'9998',50.96,1,3,NULL),(25,6063632,'1991-03-25 00:00:00',2,1,12,2008,'F','N','BREJARU','PALHOÇA','SC','124241241117152431435534336124231463042',10982,'739',49.71,1,3,NULL),(25,6063640,'1988-02-10 00:00:00',4,2,12,2005,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124244241215472432268714482114333224182',7729,'956',55.37,1,3,NULL),(25,6063659,'1993-04-23 00:00:00',2,1,12,2010,'F','N','LOS ANGELES','BARRA VELHA','SC','124241241126131431523334241321610128147',NULL,'57',23.52,1,2,1),(25,6063667,'1993-10-16 00:00:00',2,15,11,2010,'M','N','PARQUE ROSITA','STA ROSA SUL','SC','124241241215111431543614572125610116052',NULL,'26',0.00,1,3,NULL),(25,6063675,'1991-04-23 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472731258829446134610124077',6158,'951',55.15,1,3,NULL),(25,6063683,'1993-08-10 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241135371531223329575122610122052',NULL,'733',25.20,1,2,1),(25,6063691,'1979-01-08 00:00:00',2,1,12,1997,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','224251255147471431353353115124610165187',NULL,'9998',0.00,1,2,1),(25,6063713,'1993-06-23 00:00:00',4,1,12,2011,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111232489833572121610114185',NULL,'951',40.05,1,3,NULL),(25,6063721,'1993-01-22 00:00:00',4,10,11,2010,'M','N','NSASENHORA DE FÁTIMA','BRAÇO NORTE','SC','124242241214121441458812295124610167092',7902,'807',51.38,1,3,NULL),(25,6063730,'1992-12-11 00:00:00',2,1,12,2010,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241117371431425519345124610162147',18239,'592',33.72,1,2,1),(25,6063748,'1987-04-20 00:00:00',4,1,12,2004,'M','N','JD JANAÍNA','BIGUAÇU','SC','124241241217273451589913346124130262092',4971,'20',60.90,1,3,NULL),(25,6063756,'1993-10-05 00:00:00',4,1,12,2010,'M','N','VILA WALKIRIA','S JOSÉ R PRETO','SP','125252251217111451268823595122610135097',16314,'9998',41.68,1,3,NULL),(25,6063764,'1988-06-16 00:00:00',2,1,11,2005,'F','N','SERRARIA','S JOSÉ','SC','124241241116133731536519482124610138187',NULL,'257',24.29,1,2,1),(25,6063780,'1993-01-19 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215241431488922572122610147072',3071,'883',63.37,1,3,NULL),(25,6063799,'1991-12-03 00:00:00',4,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217373441223749395124222364172',2557,'497',67.30,1,3,NULL),(25,6063802,'1993-05-03 00:00:00',4,1,11,2010,'F','N','JARDIM AMÉRICA','PTO VELHO','RO','122222221216111431489919595122610162042',10389,'9998',50.67,1,3,NULL),(25,6063837,'1992-06-16 00:00:00',4,1,12,2009,'M','N','CENTRO','ANDRADINA','SP','125254251215471431468831571122610127042',NULL,'9998',0.00,4,3,NULL),(25,6063845,'1992-05-29 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124244241217372431448614475124610122182',9057,'724',52.95,1,3,NULL),(25,6063853,'1992-01-01 00:00:00',4,1,12,2009,'M','N','RENASCENÇA II','S LUÍS','MA','110102251215471431688811572124610157053',9610,'9998',49.52,1,3,NULL),(25,6063861,'1989-07-08 00:00:00',4,2,12,2006,'M','N','HUGO LANGE','CURITIBA','PR','116162161216111751258821575124143261093',4054,'9998',63.13,1,3,NULL),(25,6063888,'1989-09-12 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241115374431533734345134230243152',NULL,'306',18.54,1,2,1),(25,6063896,'1982-04-12 00:00:00',5,1,12,2002,'M','N','AREIAS','S JOSÉ','SC','124242241217131431526511315124241631182',18432,'767',38.06,1,3,NULL),(25,6063900,'1993-03-14 00:00:00',4,9,12,2010,'F','N','VARZEA','LAGES','SC','124241241115141431324421575123610121177',NULL,'513',19.03,1,2,1),(25,6063926,'1986-06-06 00:00:00',4,1,7,2003,'M','N','LEBLON','RIO JANEIRO','RJ','121213217337131211413524385124241127017',NULL,'9998',5.66,4,1,2),(25,6063934,'1987-10-28 00:00:00',4,1,12,2005,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124242241216373431236328485112330217042',19293,'1074',36.29,1,3,NULL),(25,6063942,'1989-06-26 00:00:00',4,1,7,2007,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124244241115573431559633385124122246187',357,'306',78.88,1,3,NULL),(25,6063950,'1990-07-16 00:00:00',4,7,12,2008,'M','N','TOBIAS','JOAÇABA','SC','124241241116373431523544345113610164017',NULL,'449',0.00,1,2,1),(25,6063969,'1991-10-08 00:00:00',2,1,12,2008,'F','N','COSTEIRA DO RIBEIRÃO','FLORIANÓPOLIS','SC','124241241116274731533413375124610144147',9802,'307',49.01,1,2,1),(25,6063977,'1990-04-29 00:00:00',2,1,12,2007,'M','N','CENTRO HISTÓRICO','S JOSÉ','SC','124241241117142431435723342124120663043',10702,'739',50.15,4,1,1),(25,6063985,'1992-09-08 00:00:00',4,8,12,2009,'M','N','FLORESTA','JOINVILLE','SC','124241241147471431546314245124610122141',12258,'1102',43.60,4,2,1),(25,6063993,'1991-06-25 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241312373431327513292124122226077',11655,'288',46.57,1,3,NULL),(25,6064000,'1990-01-27 00:00:00',4,1,10,2007,'F','N','CAMPINAS','S JOSÉ','SC','124242241215575751558734442124610122071',2154,'1022',68.21,1,3,NULL),(25,6064019,'1993-04-05 00:00:00',4,15,12,2010,'M','N','CAMPO BONITO','TORRES','RS','120201201116271431436731575124610164117',13763,'9998',40.37,1,2,1),(25,6064027,'1993-12-31 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242243117151711649811392124610128042',NULL,'306',38.71,1,3,NULL),(25,6064035,'1993-02-15 00:00:00',4,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124202241215371431468679375122610162187',10253,'44',46.70,1,3,NULL),(25,6064051,'1993-08-12 00:00:00',4,1,12,2010,'M','N','ROYAL PARK','CPO GRANDE','MS','112122121216111331489911495122610162047',NULL,'9998',0.00,1,3,NULL),(25,6064060,'1992-08-25 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241215373431558812121122610114097',5641,'1207',56.24,4,3,NULL),(25,6064078,'1985-12-12 00:00:00',4,1,12,2003,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124241241126274431323335272124221565147',605,'712',76.68,1,2,1),(25,6064086,'1984-05-23 00:00:00',2,1,12,2005,'M','N','RATONES','FLORIANÓPOLIS','SC','224221227121372211213354181123610167067',NULL,'9998',35.23,4,2,1),(25,6064094,'1993-04-29 00:00:00',4,1,12,2010,'F','N','MONTE CASTELO','CPO GRANDE','MS','112122121217111732488513582122610167017',535,'9998',76.07,1,3,NULL),(25,6064108,'1992-03-22 00:00:00',2,1,12,2010,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241111141712547413111124610117041',NULL,'288',21.03,1,3,NULL),(25,6064116,'1989-07-10 00:00:00',2,1,12,2006,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','624201241137471421323348385124610127057',NULL,'306',0.00,4,2,1),(25,6064124,'1993-07-27 00:00:00',4,4,11,2010,'M','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124242241216111431426612295122610164092',NULL,'1021',0.00,1,3,NULL),(25,6064132,'1993-06-01 00:00:00',4,8,11,2010,'M','N','JARDIM PAULISTA','ITAPEVA','SP','125251251216471441337823575125610164182',NULL,'9998',0.00,1,3,NULL),(25,6064140,'1992-05-04 00:00:00',4,5,11,2009,'M','N','BOM FIM','PTO ALEGRE','RS','120202201215371431456619572122610167047',NULL,'9998',27.07,1,3,NULL),(25,6064159,'1990-07-16 00:00:00',4,15,12,2008,'M','N','CENTRO','LAJEADO','RS','120202201216571731548734595125610167171',265,'9998',80.21,1,3,NULL),(25,6064167,'1989-10-23 00:00:00',2,6,12,2007,'M','N','CORDEIROS','ITAJAÍ','SC','124241241117371731433711272123610126062',NULL,'396',15.26,1,2,1),(25,6064183,'1992-05-11 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241248117471441537824295124610137112',10835,'306',47.34,1,2,1),(25,6064205,'1993-06-04 00:00:00',2,1,12,2010,'M','N','RIO GRANDE','PALHOÇA','SC','124241241116371631421114275124610132012',21703,'592',25.13,4,2,1),(25,6064213,'1993-03-02 00:00:00',2,4,12,2010,'F','N','CENTRO','GUARACIABA','SC','124241241147141731435912345122610133057',13194,'334',41.42,1,2,1),(25,6064221,'1993-09-22 00:00:00',4,1,12,2010,'F','N','BOA VISTA','BIGUAÇU','SC','124241241115371431335513375124610134147',NULL,'257',36.24,1,2,1),(25,6064230,'1993-04-03 00:00:00',4,8,10,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241215121731469814575122610123077',18815,'1016',37.32,1,3,NULL),(25,6064248,'1992-06-11 00:00:00',2,1,12,2009,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241415371431413618171124610116047',NULL,'1175',30.70,1,3,NULL),(25,6064256,'1991-06-03 00:00:00',2,1,12,2008,'F','N','FORQUILHINHA','S JOSÉ','SC','124242241215472431324623285124132737071',18792,'1022',37.36,1,3,NULL),(25,6064264,'1988-07-06 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124161161116131451126441415124141447062',NULL,'9998',23.87,4,2,1),(25,6064272,'1991-11-09 00:00:00',2,1,12,2008,'F','N','SAO GERALDO','PTO ALEGRE','RS','120201201117231411433311472134141064147',10830,'9998',45.62,1,2,1),(25,6064280,'1983-10-14 00:00:00',4,15,8,2004,'M','N','SANTA TEREZA','PTO ALEGRE','RS','120203207346131431227771215123140247117',NULL,'9998',0.00,3,3,NULL),(25,6064299,'1992-01-03 00:00:00',2,3,12,2008,'F','N','JARDIM CLAUDIA','LONDRINA','PR','116112161215572431466612572112610113182',8306,'9998',50.62,1,3,NULL),(25,6064302,'1993-11-17 00:00:00',4,5,11,2010,'F','N','MARIA CÉU','CRICIÚMA','SC','124241241115371431626334175124610137037',11083,'209',45.74,1,2,1),(25,6064310,'1982-10-24 00:00:00',2,8,12,2000,'F','N','SÃO VICENTE','ITAJUBÁ','MG','113131131116131431323515235124610134147',16392,'9998',35.80,1,2,1),(25,6064329,'1993-04-09 00:00:00',4,1,11,2010,'M','N','ENCRUZILHADA','SANTOS','SP','125251251217111431357611275114610165167',9233,'9998',52.62,1,3,NULL),(25,6064345,'1992-01-10 00:00:00',2,1,12,2010,'F','N','RAMOS','RIO JANEIRO','RJ','121212211237111431335871592124610166191',NULL,'9998',0.00,1,3,NULL),(25,6064353,'1993-08-13 00:00:00',4,10,12,2010,'M','N','SANTIAGO','LAGUNA','SC','124241241116471431523314575124610147147',19523,'521',29.10,1,2,1),(25,6064361,'1993-11-17 00:00:00',4,5,11,2010,'F','N','MARIA CÉU','CRICIÚMA','SC','124241241115271431626334172124610136087',13955,'209',39.85,1,2,1),(25,6064388,'1981-08-19 00:00:00',2,1,12,2010,'F','N','JARDIM DAS ACACIAS','S JOSÉ','SC','124241247136132441223641215114610165097',15628,'9999',42.72,1,3,NULL),(25,6064396,'1992-04-20 00:00:00',4,1,12,2010,'M','N','JARDIM COSTA VERDE','VÁRZEA GRANDE','MT','111112118117141411458833395124610125141',6056,'9998',56.04,1,3,NULL),(25,6064400,'1992-03-23 00:00:00',4,1,11,2010,'M','N','MACUCO','SANTOS','SP','125252251217471431658723575115610167117',4684,'9998',61.61,1,3,NULL),(25,6064418,'1992-05-04 00:00:00',2,6,12,2009,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124242248416271431626631345124610125147',16488,'400',37.91,1,3,NULL),(25,6064426,'1993-03-19 00:00:00',4,1,12,2010,'M','N','VILA ANDRADE','S PAULO','SP','125252256115111431388812575124610134182',14181,'9998',42.65,1,3,NULL),(25,6064434,'1991-09-25 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241145472431327621375124610123147',13855,'277',40.61,1,2,1),(25,6064442,'1992-07-30 00:00:00',4,1,12,2009,'M','N','BELA VISTA','PALHOÇA','SC','124241241115372721333314142124610164147',15717,'592',38.10,1,2,1),(25,6064450,'1976-09-09 00:00:00',4,8,12,1993,'M','N','JARDIM CENTENÁRIO','S CARLOS','SP','125251251116575411123336475122610117052',9472,'9998',48.57,3,2,1),(25,6064477,'1994-03-12 00:00:00',4,4,12,2010,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241216121431446612575122610163122',NULL,'1191',35.60,1,3,NULL),(25,6064485,'1992-11-12 00:00:00',4,1,11,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215473431468813575114610128013',10635,'270',50.27,1,3,NULL),(25,6064493,'1985-04-15 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241115272451223351374124613218172',NULL,'9999',25.02,1,3,NULL),(25,6064507,'1990-07-04 00:00:00',4,1,12,2008,'M','N','MOEMA','S PAULO','SP','625254251216141412369812345121610162187',NULL,'9998',0.00,1,3,NULL),(25,6064515,'1989-10-31 00:00:00',2,1,11,2009,'M','N','JARDIM ERCILIA','PENÁPOLIS','SP','125252253317471431436639215123610134087',9305,'9998',50.07,1,3,NULL),(25,6064540,'1991-04-29 00:00:00',4,10,11,2008,'F','N','STO ANTÔNIO DE PÁDUA','TUBARÃO','SC','124243241217574331358811385114610134071',2318,'270',66.59,1,3,NULL),(25,6064566,'1985-05-11 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201203326471411133643335114610122143',18696,'9998',37.56,1,3,NULL),(25,6064574,'1992-11-06 00:00:00',2,1,12,2010,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241115271731623559575124610127142',NULL,'307',27.84,1,2,1),(25,6064590,'1993-02-01 00:00:00',4,8,12,2010,'M','N','ALTO BOQUEIRÃO','CURITIBA','PR','116161161116111431335724591324610164097',NULL,'9998',0.00,4,1,1),(25,6064612,'1993-03-01 00:00:00',2,1,12,2009,'M','N','SÃO PEDRO','BOA VISTA','RR','123232231216471531488913572112610137043',NULL,'9998',0.00,4,3,NULL),(25,6064620,'1987-07-22 00:00:00',2,1,12,2005,'F','N','FÁTIMA','PTO ALEGRE','RS','120202201216572431226623371124610145187',NULL,'9998',0.00,1,3,NULL),(25,6064639,'1993-12-20 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215131431337623575122610128182',15007,'724',38.33,1,3,NULL),(25,6064647,'1989-01-25 00:00:00',4,1,12,2005,'F','N','CAMPO DUNA','GAROPABA','SC','124241241125141431423623245114133226192',NULL,'322',31.37,4,2,1),(25,6064655,'1989-05-26 00:00:00',4,1,12,2006,'M','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120202201216151431258823475124240444092',14388,'9998',44.60,1,3,NULL),(25,6064663,'1992-05-28 00:00:00',2,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124253241137572431546823482124610166187',NULL,'726',0.00,1,3,NULL),(25,6064671,'1992-07-25 00:00:00',2,1,11,2009,'F','N','FLORESTA','PTO ALEGRE','RS','120204201345371431256924572122610165072',NULL,'9998',26.44,1,3,NULL),(25,6064680,'1985-03-26 00:00:00',4,1,11,2004,'M','N','INGLESES','FLORIANÓPOLIS','SC','124163161326572421246842325133140762043',15249,'9998',43.33,1,3,NULL),(25,6064728,'1993-12-08 00:00:00',2,4,12,2010,'M','N','CENTRO','TOLEDO','PR','116162161317371431468813275121610114197',17649,'9998',39.49,1,3,NULL),(25,6064736,'1988-06-17 00:00:00',4,1,12,2005,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124112203216152231236829575125221764175',10348,'9998',48.22,1,3,NULL),(25,6064744,'1989-09-23 00:00:00',4,1,12,2007,'M','N','BELA VISTA','PALHOÇA','SC','124241241116273441231329395114610135073',18588,'595',34.31,1,2,1),(25,6064752,'1987-10-18 00:00:00',2,1,12,2004,'F','N','LOURO','ANTÔNIO CARLOS','SC','124241241114142411343343432222610162182',NULL,'21',40.95,1,2,1),(25,6064779,'1992-02-21 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116224221215571431459913575314610112077',894,'9998',73.32,4,3,NULL),(25,6064787,'1986-11-06 00:00:00',4,1,12,2004,'M','N','CENTRO','ITAPEVI','SP','125254256336471411268823285122141437083',13736,'9998',40.37,4,3,NULL),(25,6064795,'1979-01-28 00:00:00',4,1,12,1989,'F','N','TRINDADE','FLORIANÓPOLIS','SC','524121127226132441223949295124122324092',NULL,'9998',0.00,5,3,NULL),(25,6064809,'1992-05-07 00:00:00',4,8,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','116164161416471741368834571125610136032',702,'9998',75.98,3,3,NULL),(25,6064817,'1993-10-02 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124132241217111431358812592112610168182',NULL,'1133',20.52,1,3,NULL),(25,6064833,'1968-05-30 00:00:00',4,1,12,1989,'F','N','CENTRO','FLORIANÓPOLIS','SC','124251258222151411123343232324143022097',16394,'9998',37.96,4,3,NULL),(25,6064841,'1990-06-23 00:00:00',4,4,12,2007,'F','N','CENTRO','TAPEJARA','RS','120204241436141331348822444124241167052',13137,'9997',46.42,1,3,NULL),(25,6064850,'1992-06-15 00:00:00',4,17,12,2009,'M','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124242161216472441459833575122610127047',2094,'9998',67.03,1,3,NULL),(25,6064868,'1990-01-07 00:00:00',4,8,12,2008,'F','N','BUTITUVINHA','CURITIBA','PR','116164161416571731229924575122142623187',NULL,'9998',0.00,1,3,NULL),(25,6064876,'1993-04-18 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431356924475122610118192',15417,'262',37.77,1,3,NULL),(25,6064884,'1992-12-25 00:00:00',4,4,12,2010,'M','N','CENTRO','VERÊ','PR','116161166115151531448931575124610162072',2161,'9998',67.84,1,2,1),(25,6064892,'1985-07-29 00:00:00',4,1,12,2002,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215375431129843335123131034092',13258,'723',42.80,1,3,NULL),(25,6064906,'1990-10-18 00:00:00',4,1,12,2008,'M','N','ITOUPAVA','RIO SUL','SC','124242241417271431336934445122131068192',NULL,'659',13.80,1,3,NULL),(25,6064914,'1987-11-05 00:00:00',2,1,12,2005,'M','N','CAMPINAS','S JOSÉ','SC','124241241135474731423374445124121637027',9400,'298',52.35,4,1,1),(25,6064922,'1992-11-04 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431568833575112610146141',6679,'270',57.33,1,3,NULL),(25,6064930,'1993-03-31 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241127471431326729295124610162011',15600,'291',38.20,2,2,1),(25,6064949,'1991-06-27 00:00:00',4,1,12,2008,'F','N','SERTÃO DO IMARUIM','GOV CELSO RAMOS','SC','124241241115572411246674445114610143185',20992,'307',31.12,1,2,1),(25,6064957,'1991-03-18 00:00:00',4,1,12,2008,'M','N','LIBERDADE','S PAULO','SP','125252251216573441466931575115610112057',NULL,'9998',0.00,4,3,NULL),(25,6064965,'1992-02-29 00:00:00',2,8,12,2009,'F','N','ATUBA','COLOMBO','PR','116161161215511411436624595124610123187',9993,'9998',51.36,1,3,NULL),(25,6064981,'1992-09-11 00:00:00',2,10,12,2009,'F','N','SÃO JOÃO ME','TUBARÃO','SC','124241241132371431424319292131610147042',NULL,'798',39.27,1,2,1),(25,6064990,'1991-07-01 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124242246216372431365712345124233232042',8381,'1106',54.17,1,3,NULL),(25,6065007,'1992-01-21 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117141741534414241124610134057',14656,'306',44.22,4,3,NULL),(25,6065015,'1990-11-14 00:00:00',2,1,12,2008,'F','N','CENTRO','PALHOÇA','SC','124242241215373431436539445134610114147',9406,'1011',52.34,1,3,NULL),(25,6065040,'1992-10-20 00:00:00',4,1,12,2010,'F','N','JARDIM SÃO CARLOS','STA CRUZ PALMEIRAS','SP','125252251217111431447812576122610135074',8966,'9998',50.34,1,3,NULL),(25,6065058,'1984-09-03 00:00:00',2,1,12,2001,'F','N','CENTRO','PALHOÇA','SC','124201201116132731226643435234341327142',21387,'9998',28.90,4,2,1),(25,6065066,'1992-12-14 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241246117271431325624575224610123142',NULL,'306',33.19,1,2,1),(25,6065074,'1992-11-02 00:00:00',2,1,11,2009,'M','N','POTECAS','S JOSÉ','SC','124241241112151431313329192224610117182',NULL,'734',0.00,4,2,1),(25,6065082,'1990-05-09 00:00:00',2,3,12,2007,'F','N','CENTRO','CURITIBA','PR','116164161417573431338823575124610142037',4382,'9998',61.15,1,3,NULL),(25,6065090,'1991-12-14 00:00:00',2,10,12,2008,'F','N','CENTRO','SANGÃO','SC','124241241124471431526324285124130461057',15034,'685',39.01,1,2,1),(25,6065104,'1992-02-03 00:00:00',4,1,12,2009,'M','N','CIDADE INDUSTRIAL','CURITIBA','PR','116162161216371421464631571122610124042',NULL,'9998',0.00,1,3,NULL),(25,6065112,'1994-06-02 00:00:00',2,10,12,2010,'M','N','VILA NOVA','IMBITUBA','SC','124241241117271431325314245124610127052',16057,'359',36.63,1,2,1),(25,6065120,'1993-03-31 00:00:00',2,7,12,2010,'M','N','INTERIOR','CAMPOS NOVOS','SC','124241242115131421523716571124610126047',18375,'8',33.90,1,2,1),(25,6065139,'1979-05-13 00:00:00',2,15,3,1995,'M','N','LAGOA DA SERRA','ARARANGUÁ','SC','224241241126172431323641315112131967057',21118,'29',30.55,1,3,NULL),(25,6065147,'1991-05-18 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431478914294124221434145',NULL,'270',0.00,1,3,NULL),(25,6065163,'1993-04-20 00:00:00',2,17,12,2010,'M','N','VILA CLEMENTINA','MAFRA','SC','124241241137161731624319295125610117047',20279,'542',33.82,1,3,NULL),(25,6065171,'1991-02-27 00:00:00',4,1,12,2008,'F','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124241241215373431537412342132610124043',11415,'63',46.55,1,3,NULL),(25,6065180,'1993-10-02 00:00:00',2,1,12,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241127371421424611345124610117042',15081,'290',43.56,4,2,1),(25,6065198,'1991-11-21 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124252251111572431449911575114221644145',15993,'9998',42.16,1,3,NULL),(25,6065201,'1992-01-29 00:00:00',2,15,12,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124243241315151431334633572122610148073',NULL,'30',17.72,1,3,NULL),(25,6065228,'1993-11-07 00:00:00',2,4,12,2010,'F','N','VISTA ALEGRE','PALMEIRA MISSÕES','RS','120203201316131431225823175124610124017',NULL,'9998',31.49,4,3,NULL),(25,6065236,'1992-12-10 00:00:00',4,5,12,2010,'F','N','MANAÍRA','JOÃO PESSOA','PB','115152151217111431489914475122610166182',12089,'9998',43.11,1,3,NULL),(25,6065252,'1991-05-09 00:00:00',2,1,12,2008,'F','N','ARIRIÚ DA FORMIGA','PALHOÇA','SC','124242241215475431556933472124610135092',7629,'1011',53.92,1,3,NULL),(25,6065260,'1990-11-28 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241161116273431216644345124610112172',NULL,'9998',37.47,1,2,1),(25,6065279,'1993-03-30 00:00:00',2,4,12,2010,'F','N','SÃO CRISTOVÃO','CHAPECÓ','SC','124241241121161431513319392222610136187',NULL,'178',27.31,1,2,1),(25,6065287,'1971-12-21 00:00:00',4,10,11,1999,'F','N','CAMPO DUNA','GAROPABA','SC','624201208124131431523451182312140221147',NULL,'9998',19.02,1,2,1),(25,6065295,'1992-10-08 00:00:00',4,5,11,2009,'M','N','MICHEL','CRICIÚMA','SC','124242241215473431458714575112610167142',13958,'210',45.24,1,3,NULL),(25,6065309,'1994-05-29 00:00:00',4,1,11,2011,'F','S','CENTRO','APUCARANA','PR','116162168216211431338932575124610115142',NULL,'9998',40.18,1,3,NULL),(25,6065325,'1993-08-25 00:00:00',2,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124242161213472731488812572124610115192',NULL,'9998',0.00,1,3,NULL),(25,6065333,'1984-07-21 00:00:00',4,1,12,2005,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241247145433751323317485114130214182',10670,'9999',47.66,3,2,1),(25,6065350,'1993-09-12 00:00:00',4,6,12,2010,'M','N','GRAVATÁ','PENHA','SC','124241241136161431438529345324610127052',16195,'1069',37.11,1,3,NULL),(25,6065368,'1990-05-22 00:00:00',2,3,12,2007,'F','N','CENTRO','CAMBÉ','PR','116161161116571431447633571124610122187',2090,'9998',66.37,1,2,1),(25,6065384,'1985-09-27 00:00:00',2,3,12,2006,'M','N','VILA DEYSE','S BERNARDO CAMPO','SP','125251257126131411336623585124610164182',NULL,'9998',17.34,1,3,NULL),(25,6065406,'1988-06-27 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116132421147944245132333234047',16279,'169',41.73,4,2,1),(25,6065422,'1992-11-10 00:00:00',4,1,12,2009,'M','N','CENTRO','CASCAVEL','PR','116162161117112221435834395121610164182',8745,'9998',51.11,1,3,NULL),(25,6065430,'1989-05-29 00:00:00',2,1,12,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241247312474721536429445124610164145',17845,'9999',39.14,1,3,NULL),(25,6065465,'1991-01-12 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241117471411244623445124610124057',NULL,'257',29.22,2,1,1),(25,6065473,'1991-12-16 00:00:00',4,8,12,2009,'F','N','FLORESTA','JOINVILLE','SC','124241241417471331533622441224610137077',NULL,'459',19.59,1,3,NULL),(25,6065490,'1993-02-21 00:00:00',4,3,11,2009,'F','N','VILLA VERDE','PNT PORÃ','MS','112122161216472431445736572124610123072',4343,'9998',59.88,4,3,NULL),(25,6065503,'1993-01-13 00:00:00',2,5,11,2010,'F','N','CENTRO','URUSSANGA','SC','124242241215111431369514595124610128192',13102,'226',46.46,1,3,NULL),(25,6065520,'1985-10-18 00:00:00',2,4,12,2003,'F','N','BELA VISTA','CHAPECÓ','SC','124244241126374431328844245124610164016',15142,'298',37.88,1,3,NULL),(25,6065538,'1992-09-08 00:00:00',4,6,12,2009,'F','N','JD ROBERTO BENEDETI','RIBEIRÃO PRETO','SP','125252251215471431556711275122610133052',NULL,'9998',0.00,1,3,NULL),(25,6065570,'1991-12-23 00:00:00',2,9,12,2008,'F','N','CENTRO','VIDAL RAMOS','SC','124241241146573431526332575124610122147',12576,'828',42.30,1,2,1),(25,6065597,'1993-06-24 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241111241731633321315124610133093',13402,'287',43.55,4,2,1),(25,6065627,'1992-03-11 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','106062061217471411169923575124610162172',3098,'9998',62.20,4,3,NULL),(25,6065643,'1979-04-23 00:00:00',4,1,12,2009,'F','N','SAUDADE','BIGUAÇU','SC','124243247127471431533413281124610136187',19050,'9999',31.89,1,3,NULL),(25,6065651,'1990-07-08 00:00:00',2,10,12,2007,'F','N','VILA FLÔR','CAPIVARI BAIXO','SC','124241241116132731446633571124610128147',NULL,'9997',23.90,2,1,1),(25,6065660,'1990-01-04 00:00:00',2,1,12,2007,'M','N','AREIAS','S JOSÉ','SC','124241241226132741526512281114610117117',14354,'262',44.65,1,3,NULL),(25,6065678,'1993-06-21 00:00:00',4,1,11,2010,'M','N','PEDRO LUDOVICO','GOIÂNIA','GO','109092091235111432467832575122610162141',5630,'9998',56.75,4,3,NULL),(25,6065686,'1988-11-27 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241316472421426627445114130217072',18086,'9997',34.03,1,3,NULL),(25,6065694,'1990-09-06 00:00:00',2,1,11,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116274421423611415124610137142',14162,'288',40.70,1,2,1),(25,6065708,'1991-03-06 00:00:00',2,1,11,2007,'F','N','SERRARIA','S JOSÉ','SC','124242241216133731568513575124221521081',18142,'1118',38.58,1,3,NULL),(25,6065724,'1993-07-13 00:00:00',2,8,12,2010,'M','N','AMÉRICA','JOINVILLE','SC','124242241216111431338611472112610124182',9216,'457',48.31,1,3,NULL),(25,6065732,'1989-11-15 00:00:00',4,1,12,2007,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241216374431326551445124610142092',8364,'1023',51.87,1,3,NULL),(25,6065740,'1991-09-27 00:00:00',4,1,12,2008,'F','N','RUDGE RAMOS','S BERNARDO CAMPO','SP','125252251116471441258724482132610164057',2087,'9998',67.04,1,3,NULL),(25,6065759,'1992-08-19 00:00:00',2,1,12,2009,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241111231412423363571324610127047',16843,'288',36.99,4,2,1),(25,6065767,'1988-08-31 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201136272431134443435124610166197',9763,'9998',51.76,1,2,1),(25,6065775,'1991-12-12 00:00:00',2,1,12,2009,'M','N','GRAÇA','SALVADOR','BA','105052051216471431668831575121610167112',12292,'9998',44.24,1,3,NULL),(25,6065805,'1993-10-10 00:00:00',4,7,10,1993,'F','N','CENTRO','JOAÇABA','SC','124242161215471431559811412112610113142',10323,'446',50.78,1,3,NULL),(25,6065813,'1992-11-26 00:00:00',4,1,12,2010,'M','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241115371431423315575124610112142',15059,'772',37.94,1,2,1),(25,6065848,'1989-06-04 00:00:00',2,7,11,2006,'F','N','SANTA TEREZA','JOAÇABA','SC','124244241416372431448524345123130264052',15580,'446',42.79,3,3,NULL),(25,6065856,'1987-08-21 00:00:00',2,1,12,2005,'M','N','SÃO MIGUEL','DOIS IRMÃOS','RS','120201201146271431323329225122141422047',NULL,'9998',24.15,1,2,1),(25,6065864,'1991-03-11 00:00:00',2,1,11,2008,'F','N','RACHADEL','ANTÔNIO CARLOS','SC','124241241315373431433325572224610161142',8362,'270',54.20,1,3,NULL),(25,6065872,'1992-08-12 00:00:00',4,1,7,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241114151411546631372124610163142',19820,'739',35.09,1,2,1),(25,6065880,'1993-01-19 00:00:00',2,10,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124242241225141431636679295122610132182',14617,'524',38.60,1,3,NULL),(25,6065899,'1993-09-02 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161241315111431325321215124610138142',19591,'1048',30.57,1,3,NULL),(25,6065910,'1986-01-01 00:00:00',4,1,12,2005,'M','N','BELA VISTA I','S JOSÉ','SC','124244241216142431556412445122230216042',16788,'269',40.95,2,1,2),(25,6065929,'1990-12-15 00:00:00',4,8,12,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116164167416141411337763241135142032017',NULL,'9998',0.00,1,3,NULL),(25,6065953,'1991-03-20 00:00:00',4,8,12,2008,'M','N','BIGORRILHO','CURITIBA','PR','116164161234571751366932575122610164072',NULL,'9998',0.00,1,3,NULL),(25,6065970,'1982-02-23 00:00:00',2,1,12,1999,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','224241243131152112243353335132610164067',NULL,'306',26.17,1,3,NULL),(25,6065988,'1992-11-01 00:00:00',2,1,12,2009,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241117472431426634585114610148087',11306,'278',45.72,1,2,1),(25,6065996,'1993-04-30 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241415111431339811275114610147017',8964,'1048',48.94,1,3,NULL),(25,6066003,'1993-07-17 00:00:00',4,10,11,2010,'F','N','VILA NOVA','IMBITUBA','SC','124241241117271431523611295114610137147',NULL,'359',30.20,1,2,1),(25,6066011,'1990-08-23 00:00:00',4,9,12,2007,'F','N','CAMPO DAS FLORES','IMBUIA','SC','124241241125573431333325175124130267047',5835,'364',55.94,1,2,1),(25,6066020,'1964-11-07 00:00:00',4,1,12,1981,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','220242241211133421233478381122520212192',NULL,'262',0.00,1,3,NULL),(25,6066054,'1992-06-28 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215112431529933472122233266142',12234,'1134',47.79,1,3,NULL),(25,6066062,'1988-09-01 00:00:00',2,1,12,2005,'F','N','ARIRIÚ DA FORMIGA','PALHOÇA','SC','124243241315374431226424375124321562115',8004,'1036',51.62,1,3,NULL),(25,6066089,'1993-03-25 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115371711423721575124610113077',19803,'592',35.14,1,2,1),(25,6066097,'1968-06-05 00:00:00',4,1,12,1985,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','224204201213151411583343333122341066162',NULL,'9998',0.00,1,3,NULL),(25,6066100,'1988-06-24 00:00:00',4,10,11,2005,'F','N','SÃO BASILIO','BRAÇO NORTE','SC','124244241215371411369932445122131062112',NULL,'102',20.82,1,3,NULL),(25,6066119,'1990-03-16 00:00:00',4,1,12,2007,'M','N','VILA INDUSTRIAL','S JOSÉ CAMPOS','SP','125251251117571451323611485124610127057',NULL,'9998',0.00,1,2,1),(25,6066127,'1989-02-11 00:00:00',2,1,6,2008,'F','N','SACO DOS LOMOES','FLORIANÓPOLIS','SC','124242241215374431667639342122223062117',NULL,'9999',35.53,1,3,NULL),(25,6066135,'1987-11-28 00:00:00',4,1,12,2005,'F','N','RETIRO DAS PEDRAS','BRUMADINHO','MG','113134138216351431366732476112140644182',NULL,'9998',0.00,5,3,NULL),(25,6066143,'1991-02-28 00:00:00',4,1,12,2008,'M','N','CARANDIRU','S PAULO','SP','125252253116571441356923485122143262117',5327,'9998',57.04,4,3,NULL),(25,6066151,'1993-11-19 00:00:00',4,5,11,2010,'F','N','CENTRO','BOM JD SERRA','SC','124241241135161731626414575125610126147',NULL,'856',31.09,1,2,1),(25,6066160,'1993-04-19 00:00:00',4,1,12,2010,'F','N','MADRI','PALHOÇA','SC','124241241115371331324413575124610147057',11689,'592',45.98,1,2,1),(25,6066186,'1993-03-28 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241137271451625623585124610133187',NULL,'285',25.07,1,2,1),(25,6066194,'1954-11-29 00:00:00',4,10,12,1978,'M','N','DEHON','TUBARÃO','SC','524201208321135421112149195321142238037',18318,'9998',33.91,1,3,NULL),(25,6066216,'1993-04-27 00:00:00',4,17,12,2010,'F','N','OURO VERDE','STA TEREZINHA','SC','124241241126161411523823435124610163182',NULL,'691',15.70,1,2,1),(25,6066232,'1992-02-12 00:00:00',4,2,12,2009,'M','N','CENTRO','GUARARAPES','SP','125253251216271431489913495122610164012',NULL,'9998',19.67,1,3,NULL),(25,6066240,'1993-07-08 00:00:00',4,4,12,2010,'M','N','ESTRELA','S MIGUEL OESTE','SC','124202241217132431379923575122610117127',3817,'752',60.26,1,3,NULL),(25,6066259,'1989-02-06 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241125273431139643431234131024192',9863,'356',51.59,1,2,1),(25,6066267,'1984-01-23 00:00:00',4,1,12,2001,'F','N','JARDIM VERGUEIRO','S PAULO','SP','225254251336471411547379485114343233147',7198,'9998',53.47,4,3,NULL),(25,6066275,'1993-02-15 00:00:00',2,15,12,2009,'F','N','PINHEIRINHO DO MEIO','JACINTO MACHADO','SC','124241241113272431423516161224231466195',NULL,'420',27.65,1,2,1),(25,6066283,'1982-10-26 00:00:00',4,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216573751124849315122322833197',786,'262',73.88,1,3,NULL),(25,6066291,'1986-04-30 00:00:00',4,9,12,2003,'M','N','SANTANA','RIO SUL','SC','124242241215412231336613475125330267092',14628,'653',44.26,1,3,NULL),(25,6066305,'1989-05-25 00:00:00',2,1,12,2006,'F','N','BAIRRO UNIVERSITÁRIO','MARINGÁ','PR','116161161215571431434811574112610162192',223,'9998',80.55,1,3,NULL),(25,6066330,'1992-06-28 00:00:00',4,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242248216131731346614375122610162187',17263,'1075',40.16,1,3,NULL),(25,6066348,'1989-10-23 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224241241226132431226644245124233212172',12220,'262',47.80,1,3,NULL),(25,6066356,'1991-06-08 00:00:00',4,15,12,2008,'M','N','CENTRO','BAL ARROIO SILVA','SC','124243241317251431248829275122610164045',15755,'854',37.33,1,3,NULL),(25,6066364,'1985-12-18 00:00:00',2,1,5,2006,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241247227131422223348182114610114197',NULL,'9999',0.00,1,3,NULL),(25,6066372,'1994-02-24 00:00:00',2,1,11,2010,'F','N','CANTRO','ANDORINHA','BA','105051052117131411412321575224610126177',NULL,'9998',0.00,4,3,NULL),(25,6066380,'1992-01-15 00:00:00',2,9,12,2009,'F','N','CENTRO','LAGES','SC','124244241216273431329911595122140422012',3885,'1146',60.98,1,3,NULL),(25,6066399,'1993-09-26 00:00:00',2,1,12,2010,'F','N','ARAUCARIA','S JOSÉ','SC','124241241115471431536611576124610124142',15387,'307',38.02,1,2,1),(25,6066402,'1993-07-19 00:00:00',2,1,12,2010,'F','N','JARDIM ELDORADO','S JOSÉ','SC','124243241414151431325611175125610112197',13852,'592',41.26,1,3,NULL),(25,6066410,'1993-10-13 00:00:00',4,16,12,2010,'M','N','CENTRO','STA CECÍLIA','SC','124241242117131431438923291124610128012',20932,'662',31.36,1,2,1),(25,6066429,'1991-10-03 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217372431548813495132610168112',10624,'1133',48.00,1,3,NULL),(25,6066445,'1981-08-29 00:00:00',4,1,12,1999,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241246117155421234321335332321767017',7971,'306',54.86,1,2,1),(25,6066453,'1984-02-08 00:00:00',4,1,12,2001,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241215574451267833475122332837187',8952,'270',53.15,1,3,NULL),(25,6066470,'1985-01-08 00:00:00',4,1,12,2003,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124244241136233751126844345134610164187',19179,'306',36.59,1,3,NULL),(25,6066488,'1993-07-04 00:00:00',2,8,12,2010,'F','N','JARDIM SAMAMBAIA','BAURU','SP','125252251216111431389911575122610167033',2111,'9998',67.19,1,3,NULL),(25,6066496,'1993-02-10 00:00:00',4,4,12,2010,'F','N','CENTRO','OURO VERDE','SC','124241241136141431425811245125610122142',17737,'949',33.86,1,2,1),(25,6066500,'1993-11-11 00:00:00',4,4,12,2010,'M','N','INTERIOR','PERITIBA','SC','124241242116131431534416575124610144147',15143,'196',37.23,1,2,1),(25,6066518,'1991-10-03 00:00:00',2,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241116141731533623342124610124142',21519,'287',27.73,1,2,1),(25,6066526,'1989-09-11 00:00:00',4,3,12,2006,'F','N','ZONA DOIS','CIANORTE','PR','116122121217131431248823385111143236197',NULL,'9998',31.24,3,3,NULL),(25,6066542,'1992-06-09 00:00:00',4,10,12,2009,'M','N','CENTRO','IMBITUBA','SC','124243241215271431448519296125610147112',21168,'1120',30.25,1,3,NULL),(25,6066569,'1993-06-27 00:00:00',4,1,12,2010,'M','N','CENTRO','MACAUBAL','SP','125253251215111431556811572121610167071',9349,'9998',49.23,1,3,NULL),(25,6066577,'1993-06-02 00:00:00',4,6,12,2010,'M','N','CENTRO','ITAJAÍ','SC','124242241217151531447614375122610152013',17200,'389',40.29,1,3,NULL),(25,6066585,'1993-03-07 00:00:00',4,17,12,2010,'M','N','CENTRO','CANOINHAS','SC','124252241235111731348712115122610124182',NULL,'154',0.00,1,3,NULL),(25,6066593,'1983-05-21 00:00:00',2,16,12,2000,'F','N','CENTRO','CURITIBANOS','SC','124241241136133741423331585324133212147',19730,'239',35.30,1,3,NULL),(25,6066607,'1989-01-21 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124162241122373441433614282123610144117',14525,'285',40.36,4,3,NULL),(25,6066615,'1991-07-22 00:00:00',4,1,12,2009,'F','N','POTECAS','S JOSÉ','SC','124241241117371231524619582124610133157',NULL,'734',29.18,1,2,1),(25,6066623,'1991-10-12 00:00:00',2,1,12,2009,'F','N','FURADINHO','PALHOÇA','SC','124241241115471411523364245124610127081',18706,'591',32.40,1,2,1),(25,6066631,'1990-11-01 00:00:00',4,16,12,2007,'F','N','CENTRO','STA CECÍLIA','SC','124241241116131431438923295124230428142',17666,'686',39.45,1,2,1),(25,6066640,'1993-04-23 00:00:00',4,2,11,2010,'M','N','PROGRESSO','BLUMENAU','SC','124241241115371741333439275124610164147',7286,'85',53.53,1,2,1),(25,6066658,'1989-04-10 00:00:00',2,1,12,2006,'M','N','GUANABARA','ARAÇATUBA','SP','125254251236511731225521435233142948187',NULL,'9998',29.25,3,3,NULL),(25,6066666,'1991-03-04 00:00:00',4,1,12,2008,'F','N','SAN CONRADO','REGISTRO','SP','125252251216571441548722495122610164071',7390,'9998',52.38,1,3,NULL),(25,6066682,'1990-07-26 00:00:00',4,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124241241115372431333611292224130264092',9835,'733',48.60,1,2,1),(25,6066690,'1993-03-30 00:00:00',2,15,12,2010,'F','N','GETÚLIO VARGAS','TORRES','RS','120201242115111431536713342124610143142',12765,'690',44.19,1,2,1),(25,6066704,'1991-12-07 00:00:00',4,1,12,2009,'F','N','JD SÃO DIMAS','S JOSÉ CAMPOS','SP','125252251216472431358923575122610133072',6996,'9998',52.61,1,3,NULL),(25,6066712,'1993-02-25 00:00:00',2,1,12,2010,'F','N','STAN','TORRES','RS','120201242115111431536421244224610123072',14881,'690',38.39,1,2,1),(25,6066720,'1993-07-01 00:00:00',2,1,12,2010,'M','N','ALTO BONITO','CAÇADOR','SC','124241241115111431324421292121610152187',NULL,'124',24.88,4,2,1),(25,6066739,'1988-07-28 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','122222221216571431238823472124141331147',13151,'9998',43.54,3,3,NULL),(25,6066763,'1979-09-05 00:00:00',4,15,12,1998,'M','N','ITU SABARA','PTO ALEGRE','RS','120202201416371421336614311122342837112',17415,'9998',34.04,3,3,NULL),(25,6066780,'1975-11-26 00:00:00',2,17,12,2004,'F','N','OURO VERDE','STA TEREZINHA','SC','224241241126162411523343435124330663142',NULL,'691',0.00,1,2,1),(25,6066798,'1992-02-18 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431478812576122231437112',NULL,'270',0.00,1,3,NULL),(25,6066801,'1993-01-27 00:00:00',4,1,10,2010,'M','N','CENTRO','CURITIBA','PR','116202161217121431258934475111610137182',638,'9998',75.00,1,3,NULL),(25,6066810,'1993-03-12 00:00:00',2,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241115371431546613575124610134147',14068,'733',40.78,1,3,NULL),(25,6066828,'1992-06-23 00:00:00',4,8,12,2009,'M','N','BATEL','CURITIBA','PR','116162161215471751369831571124610164017',NULL,'9998',0.00,1,3,NULL),(25,6066836,'1993-08-25 00:00:00',4,1,12,2010,'F','N','RESIDENCIAL UNIÃO','S JOSÉ CAMPOS','SP','125251251216111431226624572224610131012',11335,'9998',49.15,1,3,NULL),(25,6066844,'1993-12-25 00:00:00',4,1,12,2010,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241115371431425314575114610125117',18439,'592',32.48,1,2,1),(25,6066879,'1991-01-14 00:00:00',4,1,12,2010,'M','N','JARDIM JANAINA','BIGUAÇU','SC','124241243115471431466814345124610132057',2442,'306',66.83,4,2,1),(25,6066887,'1993-05-22 00:00:00',4,1,12,2009,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241226132431538614341224230734047',NULL,'262',21.35,1,3,NULL),(25,6066909,'1990-06-13 00:00:00',4,1,12,2008,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241417373431362729572114610146182',7539,'1022',54.12,1,3,NULL),(25,6066917,'1991-05-29 00:00:00',4,1,12,2008,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215474431367714575112221762012',8480,'441',52.75,1,3,NULL),(25,6066925,'1983-01-19 00:00:00',4,1,12,2001,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241126271431426313375123610134117',21317,'307',29.30,1,2,1),(25,6066950,'1993-02-10 00:00:00',2,1,11,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124241241135271431424531272324610133182',11870,'592',45.56,1,2,1),(25,6066968,'1992-01-07 00:00:00',4,1,12,2009,'F','N','CENTRO','SALETE','SC','124243241316472431426632195124610137042',13854,'776',41.02,1,3,NULL),(25,6066984,'1962-01-03 00:00:00',4,1,12,1979,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224213211216152441486843435122342436142',6323,'9998',58.09,1,3,NULL),(25,6066992,'1993-01-17 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241115271732523811295124610134147',NULL,'592',30.58,1,2,1),(25,6067000,'1987-07-12 00:00:00',2,1,12,2008,'F','N','POTECAS FORQUILHAS','S JOSÉ','SC','124241241145141431431241112334610146047',NULL,'729',12.39,4,2,1),(25,6067034,'1993-01-14 00:00:00',4,17,12,2010,'M','N','BOA VISTA','CANOINHAS','SC','124241241135271431446613345121610142092',4820,'146',58.45,1,2,1),(25,6067042,'1986-12-07 00:00:00',4,5,12,2004,'M','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241337573421358634371121130236042',1550,'228',71.08,1,3,NULL),(25,6067050,'1993-08-02 00:00:00',2,1,10,2010,'F','N','CENTRO','ERECHIM','RS','120162201215271431357513572122510162145',5680,'9998',55.78,1,3,NULL),(25,6067077,'1988-02-24 00:00:00',2,4,12,2004,'F','N','JARDIM ELDORADO','FOZ IGUAÇU','PR','116133131116132431239724235122133262091',15311,'9998',43.22,1,3,NULL),(25,6067085,'1988-06-04 00:00:00',2,1,12,2005,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117472531533334275114130227047',10202,'275',48.24,1,2,1),(25,6067093,'1994-06-14 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115371431533611375124610123142',16771,'592',36.47,1,2,1),(25,6067115,'1991-02-01 00:00:00',2,1,12,2008,'F','N','NOVA BRASILIA','IMBITUBA','SC','124241248116141431313644245334610122052',18321,'359',32.41,4,2,1),(25,6067123,'1983-02-01 00:00:00',4,1,12,2001,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','524251251126131441324624245124143224182',14228,'9998',41.88,2,1,1),(25,6067131,'1993-06-14 00:00:00',4,1,12,2010,'F','N','CAPÃO','GAROPABA','SC','124204241346151431328714572214610132122',9740,'322',47.24,1,3,NULL),(25,6067140,'1990-06-23 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124241241147272431443611285124610141096',11646,'736',48.67,1,3,NULL),(25,6067166,'1989-11-13 00:00:00',4,1,12,2006,'F','N','KOBRASOL','S JOSÉ','SC','124241241126271411133315342223610164142',15945,'95',42.22,1,2,1),(25,6067182,'1992-06-01 00:00:00',4,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124241241115272231325639575124121267037',17732,'733',39.35,1,2,1),(25,6067190,'1992-08-17 00:00:00',4,1,12,2010,'M','N','JD APOLO','S JOSÉ CAMPOS','SP','125252251215111751378812575122610118162',15227,'9998',43.36,1,3,NULL),(25,6067204,'1992-09-09 00:00:00',2,1,12,2009,'M','N','FABRÍCIO','STO AMARO IMPERATRIZ','SC','124241241117272431526614342124610131117',20349,'772',28.66,1,2,1),(25,6067212,'1991-03-27 00:00:00',4,2,12,2008,'M','N','JARDIM UNIVERSITÁRIO','MARINGÁ','PR','116161161416572751469933575124242664197',342,'9998',79.05,1,3,NULL),(25,6067220,'1988-05-15 00:00:00',2,1,12,2005,'M','N','CENTRO','PALHOÇA','SC','124242241216155431446419485124610126062',9687,'989',51.89,1,3,NULL),(25,6067239,'1986-11-16 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241131133431535544445124610133027',NULL,'732',32.75,1,2,1),(25,6067298,'1993-06-03 00:00:00',4,3,11,2010,'F','N','JARDIM IAE','S PAULO','SP','125252251117131751336621575124610165012',19360,'9998',36.15,1,3,NULL),(25,6067301,'1988-07-05 00:00:00',4,1,12,2005,'M','N','JARDIM AMERICA','S JOSÉ CAMPOS','SP','125251256227572431566612141122610167047',734,'9998',75.80,1,3,NULL),(25,6067310,'1982-06-25 00:00:00',4,1,12,1999,'F','N','INGLESES','FLORIANÓPOLIS','SC','124202241347273731228529385124321821097',NULL,'922',31.01,1,3,NULL),(25,6067328,'1991-02-06 00:00:00',2,9,11,2009,'F','N','FREI ROGÉRIO','LAGES','SC','124242241215371731449766575112610123182',NULL,'1065',0.00,1,3,NULL),(25,6067344,'1993-06-16 00:00:00',4,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241115271731425629572124610132145',NULL,'287',33.66,4,2,1),(25,6067352,'1985-04-15 00:00:00',2,1,12,2007,'F','N','POTECAS FORQUILFHAS','S JOSÉ','SC','124051051147131431431241112334610136047',NULL,'9997',7.76,4,2,1),(25,6067379,'1993-01-07 00:00:00',4,5,11,2010,'F','N','CENTRO','COCAL SUL','SC','124242241217151431446312575124610136052',2749,'188',66.68,1,3,NULL),(25,6067387,'1986-02-15 00:00:00',2,3,11,2010,'M','N','UNIVERSITARIO','TIJUCAS','SC','124241247127131422438414245112610117052',NULL,'9999',12.40,1,2,1),(25,6067395,'1992-04-30 00:00:00',2,1,12,2009,'M','N','PALMAS','GOV CELSO RAMOS','SC','124241241122141431436414242134230214112',NULL,'73',33.31,1,2,1),(25,6067425,'1993-06-14 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124241241115371731324314575122610126075',17945,'239',34.13,1,2,1),(25,6067433,'1992-07-06 00:00:00',4,4,11,2009,'M','N','CENTRO','QUEDAS IGUAÇU','PR','116161161416472431468819572124610127042',10779,'9998',45.15,1,3,NULL),(25,6067450,'1992-06-03 00:00:00',4,1,11,2009,'F','N','CENTRO','TUBARÃO','SC','124244241215272731469814574112131326142',3768,'806',63.90,1,3,NULL),(25,6067468,'1992-09-12 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215413431458919575114610121047',10256,'270',47.20,1,3,NULL),(25,6067476,'1988-12-29 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241316575431437612282124133237011',126,'1022',82.43,1,3,NULL),(25,6067484,'1992-03-12 00:00:00',4,1,12,2009,'F','N','VILA MONTE ALEGRE','S PAULO','SP','125252251215471431489811575122610132047',NULL,'9998',0.00,1,3,NULL),(25,6067492,'1991-02-28 00:00:00',4,1,6,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241246116371411449913371122610167167',5407,'306',57.44,1,2,1),(25,6067506,'1984-07-03 00:00:00',2,1,6,2003,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241123272421435413435112610122177',NULL,'307',13.07,1,2,1),(25,6067514,'1993-08-08 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241115131431526319571224610123097',12666,'298',42.96,2,1,1),(25,6067522,'1983-05-17 00:00:00',4,1,12,2000,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241216255431678613445124221268142',11859,'266',48.40,1,3,NULL),(25,6067530,'1991-01-31 00:00:00',2,5,12,2007,'F','N','VERA CRUZ','CRICIÚMA','SC','124244201215573431638834571122610167047',5362,'9998',56.58,1,3,NULL),(25,6067549,'1963-03-03 00:00:00',2,1,6,2003,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224243248326132731423379295124610138097',NULL,'9999',19.77,1,3,NULL),(25,6067565,'1992-07-24 00:00:00',4,8,12,2009,'F','N','PILARZINHO','CURITIBA','PR','116163161216522431456511271124610122147',NULL,'9998',0.00,1,3,NULL),(25,6067573,'1993-01-02 00:00:00',4,7,12,2010,'F','N','SÃO CRISTÓVÃO','CAPINZAL','SC','124241242126151331326712385122610124142',NULL,'156',0.00,4,2,1),(25,6067581,'1993-12-03 00:00:00',2,3,11,2010,'M','N','MUNICIPIOS','BAL CAMBORIÚ','SC','124241241115371731525539375122610164143',NULL,'51',22.67,1,2,1),(25,6067603,'1990-10-12 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241214373441117823575125610117162',16388,'269',40.06,1,3,NULL),(25,6067620,'1993-09-08 00:00:00',4,8,11,2010,'F','N','MERCES','CURITIBA','PR','116162161215211431478614575122610111122',6919,'9998',54.19,1,3,NULL),(25,6067638,'1991-07-15 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201126371731228744345224610134187',19189,'9998',36.57,1,3,NULL),(25,6067646,'1983-09-25 00:00:00',4,8,12,2000,'M','N','VILA NOVA','JOINVILLE','SC','124251251136571741135543435123341363027',NULL,'9998',0.00,1,2,1),(25,6067654,'1992-01-06 00:00:00',4,1,12,2009,'M','N','MORADA DO SOL','POTIRENDABA','SP','125251251417471421546619585124610164012',7307,'9998',52.94,1,3,NULL),(25,6067662,'1993-09-21 00:00:00',4,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124244241115371531557514271124610128147',17817,'271',33.92,4,3,NULL),(25,6067670,'1990-04-17 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241112471431524429241334610127142',17246,'257',36.01,1,3,NULL),(25,6067689,'1989-09-18 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136471431225279385124610146182',17386,'307',39.29,1,2,1),(25,6067697,'1990-01-24 00:00:00',2,9,12,2007,'F','N','COPACABANA','LAGES','SC','124242241212575431468933572112610128182',2805,'499',66.51,1,3,NULL),(25,6067700,'1992-09-03 00:00:00',2,4,12,2009,'F','N','PROGRESSO','PALMITOS','SC','124241241116131721214624385124610164197',NULL,'601',0.00,1,3,NULL),(25,6067719,'1993-01-24 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124241241117131731423619395114610134047',NULL,'1116',29.47,4,2,1),(25,6067727,'1993-09-13 00:00:00',4,5,10,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215111441438714175112610114032',17367,'226',35.29,1,3,NULL),(25,6067735,'1989-06-04 00:00:00',2,4,12,2006,'F','N','SANTO ANTÔNIO','PINHALZINHO','SC','116243241216575431448813442324610112172',NULL,'185',0.00,1,3,NULL),(25,6067743,'1987-12-09 00:00:00',2,1,12,2005,'F','N','GRAGERU','ARACAJU','SE','126262261217471431578833575122610167047',4790,'9998',57.82,1,3,NULL),(25,6067751,'1986-07-28 00:00:00',2,1,12,2004,'F','N','GUARDA DO EMBAÚ','PALHOÇA','SC','124241241122134431425611342114610122157',NULL,'595',21.23,1,2,1),(25,6067778,'1956-04-07 00:00:00',4,1,11,1973,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224241241112134731356343432122321325175',NULL,'267',0.00,1,3,NULL),(25,6067808,'1993-07-28 00:00:00',1,8,11,2010,'M','N','CENTRO','CURITIBA','PR','116162161217211431469923575122610124047',13949,'9998',45.25,1,3,NULL),(25,6067832,'1993-01-02 00:00:00',4,2,12,2010,'F','N','TESTO REGA','POMERODE','SC','124241241136371331333624375124610166142',9839,'622',48.24,1,2,1),(25,6067840,'1992-08-30 00:00:00',4,2,12,2010,'F','N','SANTA OLIVIA','MARÍLIA','SP','125252251216111431239923272122610137013',6372,'9998',54.15,1,3,NULL),(25,6067859,'1993-03-27 00:00:00',4,8,12,2010,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161215121731588931494122610136142',712,'9998',73.76,1,3,NULL),(25,6067867,'1988-04-23 00:00:00',2,1,12,2005,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241216152731543513375124121435142',5179,'300',60.46,1,3,NULL),(25,6067875,'1993-04-20 00:00:00',4,6,12,2010,'M','N','FAZENDA','ITAJAÍ','SC','124242241215122431369814575122610164012',3908,'392',62.09,1,3,NULL),(25,6067883,'1992-04-25 00:00:00',2,4,11,2009,'M','N','CENTRO','PATO BRANCO','PR','116161161416472431469639595122610167052',1747,'9998',68.33,1,3,NULL),(25,6067905,'1991-12-19 00:00:00',4,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215572431326828575112610122122',19084,'806',36.78,1,3,NULL),(25,6067913,'1993-05-06 00:00:00',2,1,12,2010,'F','N','VENDAVAL','BIGUAÇU','SC','124241241112271231426611412122610127092',NULL,'65',20.66,1,2,1),(25,6067921,'1991-12-14 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216373431478613575122131447012',1101,'1022',73.42,1,3,NULL),(25,6067930,'1993-03-21 00:00:00',4,4,12,2009,'M','N','CENTRO','ABELARDO LUZ','SC','124241241116472731443622575112610164187',10769,'4',46.36,1,2,1),(25,6067948,'1991-08-15 00:00:00',2,10,12,2008,'F','N','CENTRO','VENÂNCIO AIRES','RS','120202201117571431446831571124610123197',3814,'9998',61.19,1,3,NULL),(25,6067956,'1992-09-17 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124201201217272431533833575124610167057',20112,'9998',34.27,1,3,NULL),(25,6067964,'1991-12-23 00:00:00',2,1,12,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241115272721456613576122610164147',NULL,'281',40.48,1,2,1),(25,6067972,'1992-07-06 00:00:00',4,10,9,2009,'F','N','CENTRO','CAPIVARI BAIXO','SC','124241241214371431436512374124610124052',20245,'806',28.08,1,3,NULL),(25,6067980,'1985-11-18 00:00:00',2,1,9,2006,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241136131422113944242124610162057',21381,'306',28.95,1,2,1),(25,6067999,'1993-10-12 00:00:00',4,5,12,2010,'M','N','MORRO DA GLÓRIA','URUSSANGA','SC','124243241117152431669611575112610121192',NULL,'821',38.06,1,3,NULL),(25,6068006,'1992-03-22 00:00:00',2,1,12,2009,'M','N','UVARANAS','PNT GROSSA','PR','116163161216272451269923575112610134052',16071,'9998',36.15,1,3,NULL),(25,6068014,'1993-04-16 00:00:00',2,1,12,2010,'F','N','SÃO SEBASTIÃO','CLEVELÂNDIA','PR','116161161116271431548813271112610166177',12886,'9998',46.76,1,2,1),(25,6068022,'1992-02-21 00:00:00',2,3,12,2009,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124251251117371731327544245235610118142',NULL,'9998',25.01,1,2,1),(25,6068030,'1990-07-14 00:00:00',2,1,11,2007,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124241248137141532123544245123610114057',NULL,'777',13.74,1,3,NULL),(25,6068057,'1992-07-06 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124241241117272711346634575124610122047',NULL,'734',22.98,1,3,NULL),(25,6068065,'1991-07-07 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241336121431435534242123610127047',NULL,'736',28.38,1,3,NULL),(25,6068073,'1990-07-02 00:00:00',4,5,8,2008,'F','N','CENTRO','CRICIÚMA','SC','124242241215271411345911485112133234052',NULL,'995',46.90,1,3,NULL),(25,6068081,'1993-05-15 00:00:00',4,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241135131131324664575124610124052',12070,'592',44.13,1,2,1),(25,6068090,'1993-05-31 00:00:00',4,17,12,2010,'F','N','CAMPO DÁGUA VERDE','CANOINHAS','SC','124241241114271531526514586122610124142',NULL,'146',27.04,1,2,1),(25,6068103,'1991-04-11 00:00:00',2,1,12,2008,'M','N','CENTRO','PETROLÂNDIA','SC','124241248215373421346412322122121234182',12391,'991',47.21,1,3,NULL),(25,6068111,'1993-03-18 00:00:00',2,1,11,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124222241215471331568614572112610118075',6052,'1010',56.24,1,3,NULL),(25,6068120,'1993-08-31 00:00:00',2,4,11,2010,'F','N','LINHA ÁGUA AMARELA','CHAPECÓ','SC','124244241217211411354616575222610127072',NULL,'185',28.59,1,3,NULL),(25,6068138,'1992-09-20 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241248115271432623367592324610147142',NULL,'307',33.37,4,2,1),(25,6068146,'1992-08-26 00:00:00',4,2,12,2009,'M','N','AGUA VERDE','BLUMENAU','SC','124241241215272531456614175124610167052',20999,'86',31.10,1,3,NULL),(25,6068162,'1992-04-18 00:00:00',4,1,12,2009,'F','N','CENTRO','CACHOEIRINHA','RS','120201201216471131248823575114610141117',NULL,'9998',41.00,1,3,NULL),(25,6068170,'1988-03-29 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124201207147131431223344346224143262057',15467,'9998',42.94,1,2,1),(25,6068197,'1989-12-27 00:00:00',4,2,12,2007,'M','N','TERRAS DE SÃO CARLOS','JUNDIAÍ','SP','125132131217571431459814575122610166047',750,'9998',74.57,1,3,NULL),(25,6068219,'1993-10-28 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241125141431426329245124610147062',NULL,'734',28.34,1,2,1),(25,6068227,'1991-03-31 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272431369911577124123262195',3999,'270',63.26,1,3,NULL),(25,6068235,'1989-09-21 00:00:00',2,1,12,2007,'M','N','CENTRO','TORRES','RS','120242241211572211448811493111143216113',1558,'272',70.39,1,3,NULL),(25,6068243,'1993-11-17 00:00:00',4,1,12,2010,'M','N','CENTRO','CAMBORIÚ','SC','124243241111271411336612285124610164057',NULL,'130',NULL,1,3,NULL),(25,6068251,'1993-06-29 00:00:00',4,6,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217371441449811575122610136182',890,'392',73.74,1,3,NULL),(25,6068260,'1977-02-27 00:00:00',4,1,12,2010,'M','N','BELA VISTA','S JOSÉ','SC','624241247125141411428244246244610146197',NULL,'1117',18.38,4,2,1),(25,6068278,'1993-02-14 00:00:00',2,1,11,2010,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241116471722523519575124610112153',NULL,'591',15.41,1,2,1),(25,6068294,'1993-12-08 00:00:00',2,4,11,2010,'F','N','JARDIM ITALIA','CHAPECÓ','SC','124242241212111231566421571122610122142',11575,'1191',45.25,1,3,NULL),(25,6068308,'1990-11-15 00:00:00',4,8,12,2007,'F','N','ANA ELIZA III','CAMBÉ','PR','116161161416572411439923245124140667027',739,'9998',74.71,4,3,NULL),(25,6068324,'1993-07-18 00:00:00',4,1,12,2010,'F','N','ARIRIU','PALHOÇA','SC','124241241146131431523414195234610145047',21355,'593',29.11,1,3,NULL),(25,6068332,'1988-04-22 00:00:00',2,17,12,2005,'M','N','CENTRO','PAPANDUVA','SC','124242241215473531449914575125142424047',9730,'541',51.83,1,3,NULL),(25,6068340,'1982-07-31 00:00:00',2,4,11,1999,'M','N','JARDIM IPANEMA','UMUARAMA','PR','116143161215472411327933485122242364082',1553,'9998',69.52,1,3,NULL),(25,6068359,'1985-05-29 00:00:00',2,1,12,2002,'F','N','KOBRASOL','S JOSÉ','SC','124241241316152441128729385124230866057',NULL,'732',41.80,1,3,NULL),(25,6068367,'1988-09-07 00:00:00',2,1,12,2005,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241136132431423614575124332822077',12048,'592',43.22,1,2,1),(25,6068383,'1992-11-27 00:00:00',4,8,12,2010,'M','N','FLORESTA','JOINVILLE','SC','124242241217411531569713575122610164012',NULL,'1016',22.44,1,3,NULL),(25,6068391,'1992-09-25 00:00:00',2,15,12,2009,'F','N','CENTRO','PASSO TORRES','SC','124241241136471431636814572122610127142',17818,'605',33.40,1,2,1),(25,6068405,'1993-04-08 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241215112731578813576114610118115',12014,'1022',44.74,1,3,NULL),(25,6068413,'1983-11-06 00:00:00',4,1,7,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124202206226161431336614485124142927057',21526,'9998',27.66,1,3,NULL),(25,6068421,'1993-03-08 00:00:00',2,15,12,2010,'F','N','CIDADE ALTA','TURVO','SC','124241241116371431328622575121610114097',NULL,'814',28.68,1,2,1),(25,6068448,'1991-05-10 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSÉ','SC','124242241116133431423611475124231464097',7056,'739',53.46,1,3,NULL),(25,6068464,'1992-05-13 00:00:00',2,1,12,2010,'F','N','CENTRO','CURITIBA','PR','116163161316371331226624575124610163072',16510,'9998',38.33,2,1,2),(25,6068472,'1991-08-27 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215272431368911575122221442182',669,'991',75.53,1,3,NULL),(25,6068480,'1993-10-18 00:00:00',2,1,11,2010,'M','N','PEDRA BRANCA','PALHOÇA','SC','124242241216231431438912575124610164187',NULL,'939',37.59,1,3,NULL),(25,6068502,'1990-02-09 00:00:00',4,1,12,2007,'F','N','PAU PRETO','INDAIATUBA','SP','125252251217571431448831594124610112182',NULL,'9998',0.00,1,3,NULL),(25,6068510,'1993-10-21 00:00:00',2,3,12,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124242248215111431428812375111610117042',NULL,'403',0.00,1,3,NULL),(25,6068529,'1991-02-17 00:00:00',2,16,7,2009,'M','N','FAZENDA NOVA','S JOSÉ CERRITO','SC','124241242116162431523615255112610124042',NULL,'960',16.89,1,2,1),(25,6068537,'1993-05-06 00:00:00',4,1,12,2010,'M','N','VL NOVA SOCORRO','MOGI CRUZES','SP','125252251217111431546914295122610147047',NULL,'9998',0.00,1,3,NULL),(25,6068545,'1993-11-11 00:00:00',2,8,12,2010,'F','N','ITAUM','JOINVILLE','SC','124243241216151531436819575122610126097',15068,'1006',37.64,1,3,NULL),(25,6068553,'1993-04-26 00:00:00',4,8,11,2010,'F','N','IRIRIU','JOINVILLE','SC','124242241214271431379614575122610115141',7197,'1105',53.67,1,3,NULL),(25,6068570,'1992-05-21 00:00:00',4,6,12,2009,'F','N','SÃO JUDAS','ITAJAÍ','SC','124082241216372411677822395122610128092',3843,'391',62.39,1,3,NULL),(25,6068588,'1992-11-19 00:00:00',4,1,12,2010,'M','N','JARDIM PANORAMA','S JOSÉ R PRETO','SP','125252251215111451266773172111610117046',5265,'9998',56.61,1,3,NULL),(25,6068596,'1993-02-21 00:00:00',4,8,12,2010,'F','N','LENÇOL','S BENTO SUL','SC','124241241115271411326412575122610112077',NULL,'697',28.13,1,3,NULL),(25,6068600,'1991-05-11 00:00:00',2,1,12,2008,'M','N','TRISTEZA','PTO ALEGRE','RS','120203201116471311447921481112610167097',8212,'9998',51.27,1,3,NULL),(25,6068618,'1992-06-27 00:00:00',4,1,12,2009,'F','N','CENTRO','JOAÇABA','SC','124242248215311431448912575122610136077',5635,'962',57.67,1,3,NULL),(25,6068626,'1993-04-02 00:00:00',2,1,12,2010,'F','N','CENTRO','DIAMANTE NORTE','PR','116164168415471752444332575122610133072',NULL,'9998',0.00,1,3,NULL),(25,6068642,'1991-06-08 00:00:00',4,1,12,2009,'M','N','SOMBRIO','STO AMARO IMPERATRIZ','SC','124241241122272432324411312114610162042',NULL,'773',14.83,1,2,1),(25,6068650,'1993-05-17 00:00:00',4,1,12,2010,'M','N','REPÚLBLICA','RIBEIRÃO PRETO','SP','125252251217271431348811575122610162182',4880,'9998',58.40,1,3,NULL),(25,6068677,'1993-01-10 00:00:00',2,3,12,2010,'F','N','CENTRO','CAMBORIÚ','SC','124243241216271431423634575124610137147',NULL,'1045',10.22,1,3,NULL),(25,6068685,'1992-09-17 00:00:00',2,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124201201216272441523833375124610167052',21394,'9998',28.87,1,3,NULL),(25,6068707,'1987-09-05 00:00:00',2,3,12,2004,'M','N','CAJURU','CURITIBA','PR','116161161116231431633329145124610117147',16726,'9998',35.19,1,2,1),(25,6068715,'1993-08-07 00:00:00',4,8,12,2010,'M','N','JARDIM CAIÇARA I','REGISTRO','SP','125253251416271731468833575121610127043',11915,'9998',44.07,1,3,NULL),(25,6068731,'1992-06-02 00:00:00',4,1,12,2009,'F','N','SANTO ANTONIO','JANDIRA','SP','125253251436371431224624575124610136042',12527,'9998',42.43,1,3,NULL),(25,6068740,'1994-02-09 00:00:00',4,1,11,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215171431369613595124610127042',12849,'270',42.44,1,3,NULL),(25,6068758,'1992-04-28 00:00:00',2,15,12,2009,'F','N','JARDIM ITU','PTO ALEGRE','RS','120202201217471231456731591112610167093',8708,'9998',50.19,1,3,NULL),(25,6068766,'1992-09-24 00:00:00',4,1,12,2009,'F','N','JARDIM VILA RICA','MARINGÁ','PR','116162161215371431459831573122610166187',1390,'9998',70.74,1,3,NULL),(25,6068774,'1986-11-05 00:00:00',2,17,12,2003,'M','N','CENTRO','PTO VITÓRIA','PR','116161161126573411223429295124141336092',4791,'9998',57.77,1,2,1),(25,6068782,'1992-06-12 00:00:00',4,2,12,2009,'F','N','TERRAS DE SÃO CARLOS','JUNDIAÍ','SP','125252131217571431459814575122610164097',558,'9998',75.92,1,3,NULL),(25,6068790,'1992-11-23 00:00:00',2,5,12,2009,'M','N','CENTRO','TAPES','RS','120201201115271431468939571124610122017',2288,'9998',65.45,1,2,1),(25,6068804,'1991-11-03 00:00:00',2,7,12,2009,'F','N','AVENIDA CENTRAL','GRAMADO','RS','120205201116572411529619275124610126182',NULL,'9998',14.53,1,3,NULL),(25,6068812,'1992-06-18 00:00:00',4,8,12,2009,'F','N','LAGO PARQUE','LONDRINA','PR','116162161217471411558931574122610162122',2260,'9998',67.14,1,3,NULL),(25,6068820,'1994-01-07 00:00:00',4,10,11,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242241216111431667832425112610123142',19452,'807',35.92,1,3,NULL),(25,6068839,'1992-02-02 00:00:00',2,10,12,2009,'F','N','CENTRO','S MARTINHO','SC','124241241125371431443419394124133124187',14367,'750',44.63,1,2,1),(25,6068847,'1993-04-20 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241115141431436634345124610125147',19504,'592',30.72,1,3,NULL),(25,6068855,'1991-05-21 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244247437371411348829475114610154042',NULL,'9999',0.00,1,3,NULL),(25,6068863,'1990-07-21 00:00:00',2,8,12,2007,'F','N','JUVEVÊ','CURITIBA','PR','116161161116372451333667371114142834042',NULL,'9998',20.32,1,2,1),(25,6068871,'1993-05-19 00:00:00',2,10,12,2010,'F','N','MAGALHÃES','LAGUNA','SC','124244241225111431543823395122610134057',NULL,'524',24.98,1,3,NULL),(25,6068901,'1984-10-11 00:00:00',4,1,12,2001,'F','N','VILA MUQUI','TERESÓPOLIS','RJ','121212211215471411457611415124342232182',3166,'9998',65.46,1,3,NULL),(25,6068910,'1990-06-09 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241247415272331335514375123610138073',16499,'9999',36.80,1,3,NULL),(25,6068928,'1993-03-09 00:00:00',2,4,12,2010,'F','N','CENTRO','S MIGUEL OESTE','SC','124241241111371751436613575122610146192',NULL,'757',19.83,1,2,1),(25,6068936,'1992-07-27 00:00:00',2,1,12,2009,'F','N','GLÓRIA','VACARIA','RS','124201201117271411124644245234610124182',11594,'9998',45.77,1,2,1),(25,6068944,'1966-03-24 00:00:00',4,1,12,1983,'M','N','ROÇADO','S JOSÉ','SC','224073071212111411449641415132241466011',5643,'9998',57.07,1,3,NULL),(25,6068952,'1993-05-29 00:00:00',2,8,12,2010,'F','N','VILA IZABEL','CURITIBA','PR','116161161135231431237823575124610127057',6408,'9998',55.50,1,2,1),(25,6068960,'1992-07-07 00:00:00',4,1,11,2009,'M','N','FLORESTA','S JOSÉ','SC','124241241217132431226628245124610114047',20440,'1036',33.34,1,3,NULL),(25,6068979,'1991-12-13 00:00:00',4,4,12,2008,'F','N','LIDER','CHAPECÓ','SC','124242241215573411388911572125610161192',3051,'1046',64.12,1,3,NULL),(25,6068987,'1994-05-07 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111231366619585122610127057',NULL,'1022',38.89,1,3,NULL),(25,6068995,'1991-04-05 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124244248417372451346631316124610147012',NULL,'1022',31.58,1,3,NULL),(25,6069002,'1964-02-16 00:00:00',2,1,6,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224241247127111411323344145134610164042',NULL,'9999',9.83,1,2,1),(25,6069010,'1991-03-18 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241117372431423524385114610123147',11989,'734',47.01,1,2,1),(25,6069029,'1982-10-11 00:00:00',2,1,12,2003,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241248137371722436633445122610127117',NULL,'592',21.16,1,2,1),(25,6069037,'1988-07-27 00:00:00',4,1,12,2005,'F','N','RIBANCEIRA DO SUL','S JOÃO BATISTA','SC','124241241127131431437519115122610146181',NULL,'712',24.08,1,2,1),(25,6069061,'1993-05-03 00:00:00',4,2,12,2010,'M','N','SÃO LUIS','BRUSQUE','SC','124242241215372431448632575122610127112',2348,'109',66.10,1,3,NULL),(25,6069070,'1992-12-28 00:00:00',1,9,12,2010,'F','N','BOM FIM','PTO ALEGRE','RS','120242201211111411449811411112610162145',9670,'9998',48.97,1,3,NULL),(25,6069118,'1990-08-17 00:00:00',2,10,12,2008,'M','N','RIO BONITO','BRAÇO NORTE','SC','124241241126372451436614245131130237047',NULL,'998',15.64,1,3,NULL),(25,6069126,'1991-12-09 00:00:00',2,1,12,2010,'M','N','MARMELEIRO','MAIRINQUE','SP','125252251217111731548821281312610117052',15959,'9998',37.51,1,3,NULL),(25,6069134,'1990-05-31 00:00:00',2,8,12,2008,'F','N','GROGOTO','BARBACENA','MG','113131131116371131423329572224610115092',NULL,'9998',0.00,1,2,1),(25,6069150,'1993-11-30 00:00:00',4,8,12,2010,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241117131432536514342124610136141',NULL,'1103',13.97,1,2,1),(25,6069169,'1991-10-31 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241211574411456612585122120266061',13237,'270',46.29,1,3,NULL),(25,6069177,'1993-03-10 00:00:00',4,6,11,2010,'F','N','FAZENDA','ITAJAÍ','SC','124242241215371411378752575122610162072',11812,'1026',45.46,1,3,NULL),(25,6069185,'1993-01-04 00:00:00',4,4,11,2010,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241315271751349914445124610124147',NULL,'1021',17.06,1,3,NULL),(25,6069207,'1992-03-10 00:00:00',4,1,12,2009,'M','N','JARDIM PROENÇA','CAMPINAS','SP','125252251211471431467711375112610124122',NULL,'9998',25.66,1,3,NULL),(25,6069223,'1991-10-29 00:00:00',4,8,12,2009,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215271432338924445114610137042',15130,'489',43.50,1,3,NULL),(25,6069231,'1988-08-04 00:00:00',4,1,11,2005,'F','N','JARDIM CLAUDIA','LONDRINA','PR','116222221217471431368913571125143246092',NULL,'9998',0.00,1,3,NULL),(25,6069240,'1993-05-06 00:00:00',2,1,12,2010,'M','N','BANCÁRIOS','PATO BRANCO','PR','116161161115151221566619345122610167152',NULL,'9998',0.00,1,2,1),(25,6069258,'1993-07-08 00:00:00',2,1,12,2010,'F','N','PQ DOS LARANJAIS','CPO GRANDE','MS','112122121216111431449933594322610147182',4878,'9998',59.58,1,3,NULL),(25,6069266,'1994-01-05 00:00:00',2,7,11,2010,'F','N','SANTA TEREZA','JOAÇABA','SC','124241241211111231234622571122610123192',14225,'962',39.76,1,3,NULL),(25,6069274,'1993-03-01 00:00:00',4,1,12,2010,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124241241223111441436613572124610124192',8213,'262',50.82,1,3,NULL),(25,6069282,'1991-06-13 00:00:00',4,16,12,2008,'F','N','INTERIOR','CURITIBANOS','SC','124241241113571531413335152322610137147',NULL,'239',27.04,4,2,1),(25,6069312,'1989-03-24 00:00:00',4,1,12,2006,'M','N','JEREISSATI','MARACANAÚ','CE','106061071116132431533313485325220665097',12409,'9998',45.39,4,1,1),(25,6069320,'1992-06-11 00:00:00',2,9,12,2009,'F','N','CENTRO','PTO ALEGRE','RS','120204201217471431426667575114610144057',17485,'9998',34.39,1,3,NULL),(25,6069339,'1991-07-22 00:00:00',4,1,12,2009,'M','N','SANTA FÉ','LIMEIRA','SP','125254256117471431434633575112610137047',8495,'9998',50.31,1,3,NULL),(25,6069380,'1993-12-26 00:00:00',2,10,12,2010,'F','N','CENTRO','GRAVATAL','SC','124243241215161751349913595124610134142',18164,'950',33.40,1,3,NULL),(25,6069401,'1985-03-24 00:00:00',4,1,7,2010,'M','N','FORQUILHAS','S JOSÉ','SC','124241247147131432624414345124610136187',NULL,'736',37.65,1,2,1),(25,6069428,'1991-04-07 00:00:00',4,2,12,2008,'M','N','SANTA HILDA','FRANCA','SP','125252251215371731446631575125610168042',NULL,'9998',0.00,1,3,NULL),(25,6069444,'1990-03-26 00:00:00',2,4,12,2007,'M','N','INTERIOR','SUL BRASIL','SC','124241241125362431334816392224610116182',6658,'775',55.21,1,2,1),(25,6069452,'1992-03-09 00:00:00',2,8,12,2009,'M','N','PINHEIRINHO','CURITIBA','PR','116162161215411431426812272124610167042',6266,'9998',54.73,1,3,NULL),(25,6069460,'1992-09-09 00:00:00',2,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241117371431424311272124610137092',NULL,'288',32.05,1,3,NULL),(25,6069479,'1992-05-24 00:00:00',4,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162241217111431448712576114610156177',NULL,'1133',33.82,1,3,NULL),(25,6069487,'1992-08-05 00:00:00',4,1,11,2009,'M','N','JARDIM RIO PRETO','TANGARÁ SERRA','MT','125112118233471732578836575125610128183',11769,'9998',45.26,1,3,NULL),(25,6069509,'1992-11-02 00:00:00',4,8,12,2010,'F','N','BUCAREIN','JOINVILLE','SC','124241241217151731338612572122610124142',17220,'1006',34.74,1,3,NULL),(25,6069525,'1987-02-05 00:00:00',4,1,12,2004,'M','N','JABAQUARA','S PAULO','SP','124252258217371431118824482324240264047',20829,'9998',31.84,1,3,NULL),(25,6069533,'1992-07-17 00:00:00',2,1,12,2009,'F','N','BOM VIVER','BIGUAÇU','SC','124241241115471711433339571214610154192',NULL,'257',27.16,4,2,1),(25,6069541,'1988-10-03 00:00:00',2,1,11,2005,'M','N','CARNASCIALLI','LONDRINA','PR','116162161217471431668814574125143257052',NULL,'9998',0.00,3,3,NULL),(25,6069550,'1992-06-12 00:00:00',4,1,12,2009,'M','N','VILA ARAPONGUINHA','ARAPONGAS','PR','116162161216371441438834572122610122172',5266,'9998',60.27,1,3,NULL),(25,6069576,'1994-01-21 00:00:00',4,1,7,2011,'F','S','SERTÃO DO MARUIM','S JOSÉ','SC','124243241116111731546739345122610134142',NULL,'739',36.55,1,3,NULL),(25,6069592,'1992-02-28 00:00:00',2,1,10,2009,'F','N','CENTRO','EXTREMA','MG','113132251215472441539532575112610167047',NULL,'9998',32.00,1,3,NULL),(25,6069606,'1990-06-14 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116371431423314475114610134145',20388,'288',29.04,1,2,1),(25,6069614,'1993-04-29 00:00:00',2,8,11,2010,'F','N','ATIRADORES','JOINVILLE','SC','124242241227171431527934575122610167082',20444,'1063',28.17,1,3,NULL),(25,6069622,'1992-10-22 00:00:00',4,1,12,2010,'F','N','CIDADE VARGAS','S PAULO','SP','125252251217121431358834575125610112147',13781,'9998',45.51,1,3,NULL),(25,6069630,'1993-06-03 00:00:00',4,4,11,2010,'F','N','SAMBUGARO','PATO BRANCO','PR','116162161215111431456832171112610134142',NULL,'9998',39.06,1,3,NULL),(25,6069649,'1992-02-08 00:00:00',4,1,12,2009,'M','N','JARDIM ALVORADA','LONDRINA','PR','116161161116471431538431485123610167127',4579,'9998',59.10,4,2,1),(25,6069665,'1984-07-04 00:00:00',2,1,12,2002,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224244243317151131326651345114610164053',NULL,'9997',15.57,1,3,NULL),(25,6069673,'1992-09-09 00:00:00',2,1,11,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241216372431653332595124610168062',5007,'269',60.83,1,3,NULL),(25,6069681,'1993-01-01 00:00:00',2,15,12,2010,'M','N','CENTRO','STA ROSA SUL','SC','124241241145141731433319345124610137092',15870,'689',36.17,1,2,1),(25,6069690,'1992-08-28 00:00:00',4,4,12,2009,'M','N','SANTA MARIA','CHAPECÓ','SC','124242241215472431248923575112131432122',486,'185',77.70,1,3,NULL),(25,6069703,'1992-12-18 00:00:00',4,8,12,2009,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241217131712434614445124610165077',NULL,'462',21.10,1,3,NULL),(25,6069711,'1993-08-18 00:00:00',4,1,11,2010,'M','N','SETOR UNIÃO','GOIÂNIA','GO','109094091215111431357923575112610117187',5448,'9998',56.08,1,3,NULL),(25,6069720,'1993-04-18 00:00:00',2,17,12,2010,'F','N','CENTRO','UNIÃO VITÓRIA','PR','116163161415111751333612275122610167147',17855,'9998',39.11,1,3,NULL),(25,6069738,'1987-01-26 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','624241241116474431318644345214610167182',9448,'306',52.29,1,3,NULL),(25,6069746,'1992-08-27 00:00:00',2,4,11,2009,'F','N','CENTRO','CURITIBA','PR','116242241216471431248923575114610127145',NULL,'168',0.00,1,3,NULL),(25,6069754,'1993-06-02 00:00:00',2,1,12,2010,'F','N','SÃO LUIZ','S JOSÉ','SC','124241241116371232323619575124610118147',18862,'733',31.87,1,2,1),(25,6069762,'1983-05-02 00:00:00',4,1,12,2000,'M','N','PEDRA BRANCA','PALHOÇA','SC','124243241115473411466633332132321417187',34,'271',86.55,1,3,NULL),(25,6069770,'1991-11-23 00:00:00',4,1,12,2009,'M','N','ÁGUA VERDE','CURITIBA','PR','116163161136571441438629571124610164182',390,'9998',78.00,4,3,NULL),(25,6069797,'1991-01-25 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243012343323322433248334322222612152',NULL,'9999',29.36,1,3,NULL),(25,6069800,'1994-03-08 00:00:00',4,15,11,2010,'F','N','CENTRO','MELEIRO','SC','124242241217151431349914575112610147145',14729,'813',39.83,1,3,NULL),(25,6069819,'1992-05-12 00:00:00',2,8,12,2009,'F','N','ORFÃS','PNT GROSSA','PR','116161161215471431556633572115610112147',3985,'9998',61.08,1,3,NULL),(25,6069827,'1992-02-25 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215574431459613572122610164147',220,'270',80.76,1,3,NULL),(25,6069835,'1992-01-20 00:00:00',4,6,12,2009,'F','N','SÃO LUIZ','BRUSQUE','SC','124241248137151431547624245132610128191',NULL,'112',26.61,1,3,NULL),(25,6069843,'1993-06-23 00:00:00',4,1,11,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215121431463831275114610132112',13935,'1022',40.61,1,3,NULL),(25,6069851,'1994-11-08 00:00:00',4,17,11,2011,'F','S','TRICOLIN','CANOINHAS','SC','124243241215111431539713431122610126072',NULL,'154',40.81,4,3,NULL),(25,6069860,'1992-03-03 00:00:00',4,1,7,2010,'M','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241116131431446634445124610124047',20927,'739',31.38,1,2,1),(25,6069878,'1992-10-18 00:00:00',4,17,12,2009,'F','N','CENTRO','CAÇADOR','SC','124241241115471431363715575324610167077',6864,'124',55.06,1,2,1),(25,6069886,'1990-08-18 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215575451469613572122610163147',187,'807',80.76,1,3,NULL),(25,6069894,'1993-06-29 00:00:00',4,1,11,2010,'F','N','SÃO JOSÉ','STA MARIA','RS','120201201117371432379933571122610147042',4367,'9998',59.57,1,2,1),(25,6069908,'1993-09-18 00:00:00',2,1,12,2010,'M','N','SÃO FRANCISCO','MISSAL','PR','116161161116111711423823592225610147012',20038,'9998',34.45,1,3,NULL),(25,6069924,'1991-08-23 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241216472431323759341124610122077',15692,'1022',39.26,4,3,NULL),(25,6069940,'1992-04-25 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241212273511468613575124133222057',8259,'270',54.38,1,3,NULL),(25,6069967,'1993-01-27 00:00:00',2,15,11,2010,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215372411329724274122610123012',10669,'970',48.35,1,3,NULL),(25,6069975,'1992-01-22 00:00:00',4,8,12,2010,'F','N','ATIRAORES','JOINVILLE','SC','124242241215271431488811574122610138182',165,'457',81.65,4,3,NULL),(25,6069983,'1993-04-26 00:00:00',2,8,12,2010,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241115141431438814345234610137072',NULL,'478',0.00,1,2,1),(25,6069991,'1992-09-26 00:00:00',4,1,11,2010,'M','N','CENTRO','TIJUCAS','SC','124242241215111431428713472112610122193',NULL,'948',34.08,1,3,NULL),(25,6070000,'1991-08-09 00:00:00',4,1,12,2008,'F','N','JD VILA RICA','MARINGÁ','PR','116252161215371431467614595112141467127',NULL,'9998',0.00,1,3,NULL),(25,6070027,'1993-05-19 00:00:00',4,1,12,2010,'M','N','NOVA GARDENIA','ATIBAIA','SP','125252251217111431458612275122610132142',3444,'9998',62.31,1,3,NULL),(25,6070035,'1994-08-14 00:00:00',2,2,11,2011,'F','S','DALBÉRGIA','IBIRAMA','SC','124242241216151431466632574222610164057',NULL,'653',56.05,1,3,NULL),(25,6070051,'1987-06-10 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215374421469933415122520267185',5863,'262',59.04,1,3,NULL),(25,6070078,'1988-07-25 00:00:00',4,2,12,2006,'F','N','JARDIM PIAZZA DI ROM','SOROCABA','SP','125251256116471421433317372124610131177',NULL,'9998',18.66,1,2,1),(25,6070108,'1993-04-26 00:00:00',4,7,12,2010,'F','N','CENTRO','TREZE TÍLIAS','SC','124241241215111431348933375122610124052',19840,'962',35.05,1,3,NULL),(25,6070116,'1987-10-27 00:00:00',2,1,12,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116372431116444442134610124147',NULL,'359',33.22,1,2,1),(25,6070124,'1987-08-26 00:00:00',2,1,12,2004,'F','N','AREIAS','S JOSÉ','SC','124243241116471431425313445124610132097',16933,'257',36.19,1,3,NULL),(25,6070132,'1991-08-15 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124132241215472431369823575114621768182',6685,'262',53.82,1,3,NULL),(25,6070140,'1991-03-24 00:00:00',4,8,11,2009,'F','N','RODOVIARIA PARK','CUIABÁ','MT','111112111217472431578831572124610145147',4170,'9998',59.21,4,1,2),(25,6070159,'1993-02-02 00:00:00',4,15,12,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124241241115141431635611345225610124047',14449,'29',39.95,1,2,1),(25,6070167,'1993-11-17 00:00:00',4,1,11,2010,'M','N','CENTRO','MACHADINHO D OESTE','RO','122222221216161431548831585122610144016',NULL,'9998',0.00,1,3,NULL),(25,6070175,'1992-05-20 00:00:00',2,9,12,2009,'F','N','INTERIOR','ANCHIETA','SC','124241241116131411223329575224233266017',13134,'16',41.39,1,2,1),(25,6070183,'1986-11-23 00:00:00',2,2,11,2008,'F','N','VELHA','BLUMENAU','SC','224246247217473431288459275122610167182',NULL,'67',31.87,1,3,NULL),(25,6070191,'1991-01-29 00:00:00',2,1,12,2008,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124243241115141432439624285114610127167',NULL,'257',15.83,1,3,NULL),(25,6070205,'1994-02-06 00:00:00',4,2,12,2010,'F','N','CENTRO','LEOBERTO LEAL','SC','124241241126161532435632294122610122052',NULL,'533',25.82,1,2,1),(25,6070248,'1993-12-03 00:00:00',4,1,12,2010,'M','N','ZONA CINCO','MARINGÁ','PR','116162161216371431369816475122610164082',1106,'9998',72.91,1,3,NULL),(25,6070264,'1993-11-29 00:00:00',2,7,11,2010,'M','N','CENTRO','CAMPOS NOVOS','SC','124242247215111431337616572125610127142',NULL,'446',0.00,4,3,NULL),(25,6070299,'1993-06-18 00:00:00',4,8,12,2010,'F','N','BELA SUIÇA','LONDRINA','PR','116162161216121431479931575112610144123',2185,'9998',67.93,1,3,NULL),(25,6070302,'1989-05-25 00:00:00',4,1,11,2006,'F','N','VILA JUSTINA','TIETÊ','SP','125251251336271431346833475122142734157',NULL,'9998',0.00,1,3,NULL),(25,6070310,'1992-12-14 00:00:00',2,3,12,2009,'M','N','CENTRO','CAMBORIÚ','SC','124243242114271451323923372221132667057',8757,'129',50.38,2,1,2),(25,6070329,'1994-03-20 00:00:00',4,8,12,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','124162241215471731458923574112610114075',674,'1063',74.23,1,3,NULL),(25,6070337,'1991-03-30 00:00:00',4,1,12,2008,'F','N','JD LOS ANGELES','MARINGÁ','PR','116162161215571411459911472144610115097',978,'9998',73.36,1,3,NULL),(25,6070353,'1993-08-10 00:00:00',2,1,12,2010,'F','N','CENTRO','CURITIBA','PR','116241161117131431239923575123610164187',15153,'9998',37.50,1,2,1),(25,6070370,'1992-11-13 00:00:00',4,1,12,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215472411458834572114610123145',8853,'951',50.79,1,3,NULL),(25,6070388,'1989-06-12 00:00:00',4,1,12,2006,'M','N','MENINO DEUS','PTO ALEGRE','RS','120203071216571431357829492124141517097',3032,'9998',62.91,4,3,NULL),(25,6070396,'1986-10-08 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241147271411123348382224130232147',13225,'436',46.31,1,2,1),(25,6070400,'1986-02-15 00:00:00',2,5,12,2003,'M','N','RIO MAINA','CRICIÚMA','SC','124244241126371431626214385114610117051',21191,'223',30.10,3,3,NULL),(25,6070418,'1993-12-30 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241117131431323634375124610116147',NULL,'288',20.26,1,2,1),(25,6070426,'1991-10-26 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242241415372431558724345114610148077',10988,'1022',49.70,1,3,NULL),(25,6070434,'1992-12-01 00:00:00',2,1,12,2009,'M','N','BOM JESUS','RIO NEGRO','PR','116241161116372731438614575114610164182',17484,'9998',35.28,1,2,1),(25,6070442,'1993-09-02 00:00:00',4,4,12,2010,'F','N','CENTRO','NOVA ERECHIM','SC','124241241116271731433622475122610163182',NULL,'572',29.83,1,2,1),(25,6070450,'1990-09-26 00:00:00',4,1,12,2008,'F','N','JOSE MENDES','FLORIANÓPOLIS','SC','124244241116153441458413575122121463182',505,'271',77.57,1,3,NULL),(25,6070469,'1993-07-11 00:00:00',4,6,12,2010,'F','N','CENTRO','BAL PIÇARRAS','SC','124242241336161431438832342121610133142',17605,'614',39.57,1,3,NULL),(25,6070477,'1988-06-03 00:00:00',2,1,7,2006,'F','N','TRISTEZA','PTO ALEGRE','RS','120204207437371731217761215224242724027',NULL,'9998',0.00,1,3,NULL),(25,6070493,'1985-07-03 00:00:00',4,10,12,2003,'M','N','CENTRO','BRAÇO NORTE','SC','124241246227135711111349196344131414177',NULL,'262',0.00,4,3,NULL),(25,6070507,'1993-03-24 00:00:00',4,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241147131431435612575124610136172',NULL,'278',18.04,4,2,1),(25,6070515,'1992-05-22 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124243241116111431349923475124610125051',NULL,'739',33.72,1,3,NULL),(25,6070523,'1993-05-26 00:00:00',2,1,12,2010,'M','N','JARDIM ALVINÓPOLIS','ATIBAIA','SP','125252251216111531458612275122610132142',4753,'9998',57.55,1,3,NULL),(25,6070540,'1992-01-07 00:00:00',2,15,12,2009,'M','N','COLONINHA','ARARANGUÁ','SC','124241241116141421326639385111610127043',NULL,'29',13.56,1,2,1),(25,6070566,'1993-05-23 00:00:00',4,8,12,2010,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241215121431459814475124610144052',1620,'1016',69.15,1,3,NULL),(25,6070582,'1992-06-20 00:00:00',2,15,12,2009,'F','N','SÃO JOSÉ','SOMBRIO','SC','124243241216473731355614575122610162142',11053,'770',44.94,1,3,NULL),(25,6070590,'1991-06-30 00:00:00',2,1,12,2008,'M','N','SETRO MORADA DO SOL','RIO VERDE','GO','109091091316571431446614572124610122142',2397,'9998',65.35,1,3,NULL),(25,6070604,'1992-03-19 00:00:00',4,5,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215372431366812475122610137042',12223,'230',47.80,1,3,NULL),(25,6070612,'1990-07-27 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241317271441447312345124610127183',17949,'9997',38.94,1,3,NULL),(25,6070620,'1993-12-08 00:00:00',4,1,10,2010,'M','N','COND PALAVRA DA VIDA','ATIBAIA','SP','125252251216111531459612225122610137142',5437,'9998',57.71,1,3,NULL),(25,6070639,'1993-06-30 00:00:00',4,4,12,2010,'F','N','CENTRO','GUARACIABA','SC','124242241235111431449931575124610121147',NULL,'1079',24.85,1,3,NULL),(25,6070655,'1992-12-12 00:00:00',4,2,12,2010,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124244241215372411459912274122610165093',13031,'109',44.87,1,3,NULL),(25,6070663,'1992-12-02 00:00:00',2,1,11,2010,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162167216471511469831392124610137017',18369,'9998',32.49,1,3,NULL),(25,6070671,'1993-10-10 00:00:00',2,1,12,2010,'F','N','LAGOA DA CONEIÇÃO','FLORIANÓPOLIS','SC','124241241125111331635311592124610422055',NULL,'282',17.33,1,3,NULL),(25,6070680,'1993-09-16 00:00:00',4,3,12,2010,'F','N','BIGORRILHO','CURITIBA','PR','116162161215111231346714245122610121192',5676,'9998',55.30,1,3,NULL),(25,6070698,'1990-03-08 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115372431636339375214610127043',15166,'307',43.46,4,2,1),(25,6070701,'1990-08-27 00:00:00',4,1,12,2007,'F','N','EXPOSIÇÃO','CAXIAS SUL','RS','120202201215471731467734495122241042142',9267,'9998',49.40,1,3,NULL),(25,6070710,'1991-05-27 00:00:00',4,1,11,2008,'M','N','SANTANA','RIO SUL','SC','124242241215173431566632571224610144172',74,'9997',84.56,1,3,NULL),(25,6070728,'1990-09-27 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124202201217573451467614575124610122077',1357,'9998',70.23,1,3,NULL),(25,6070736,'1991-03-10 00:00:00',4,5,12,2008,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215473431338834172112610167072',2098,'9997',67.16,1,3,NULL),(25,6070752,'1988-04-29 00:00:00',4,1,12,2006,'M','N','NOVO CENTRO','MARINGÁ','PR','116162161216471431366512345122140237042',NULL,'9998',0.00,4,3,NULL),(25,6070779,'1984-09-29 00:00:00',2,9,12,2001,'M','N','BOA VISTA','ITUPORANGA','SC','224241244126231431525621235133132834047',13248,'364',40.81,1,2,1),(25,6070787,'1977-11-28 00:00:00',4,1,12,1995,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241235474721128874415124343262185',10545,'70',50.42,2,1,2),(25,6070795,'1992-11-17 00:00:00',4,8,12,2009,'F','N','ZONA DOIS','MARINGÁ','PR','116162161215572431469933574124610131092',7968,'9998',51.02,3,3,NULL),(25,6070817,'1993-09-21 00:00:00',4,6,12,2010,'M','N','ESCALVADO','NAVEGANTES','SC','124243241117111231433314575224610111052',21420,'569',28.65,1,3,NULL),(25,6070841,'1992-09-19 00:00:00',4,1,12,2009,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215271431468832572124610137062',1318,'951',72.23,1,3,NULL),(25,6070850,'1993-07-16 00:00:00',4,1,12,2010,'F','N','CENTRAL PARK','BATATAIS','SP','125251251215111711435812575122610127092',NULL,'9998',0.00,1,3,NULL),(25,6070868,'1994-09-24 00:00:00',4,4,12,2011,'F','S','JARDIM ÍTALIA','CHAPECÓ','SC','124243241215111531339924575122610112117',NULL,'185',20.08,1,3,NULL),(25,6070884,'1975-10-30 00:00:00',3,1,12,1995,'M','N','CENTRO','FLORIANÓPOLIS','SC','224241241316152411349943335122321822097',18564,'272',37.83,1,3,NULL),(25,6070906,'1993-06-01 00:00:00',4,1,12,2010,'F','N','PINGUIRITO','GAROPABA','SC','124241241347161412333332242221610132097',NULL,'322',28.88,1,3,NULL),(25,6070914,'1992-05-04 00:00:00',2,5,11,2009,'F','N','CENTRO','NOVA VENEZA','SC','124241241215472431536633495114610124147',1482,'226',69.78,1,3,NULL),(25,6070922,'1986-05-18 00:00:00',4,4,12,2003,'M','N','UNIVERSITARIO','CASCAVEL','PR','116223161216411421566923215124341567047',3159,'9998',62.68,2,3,NULL),(25,6070930,'1993-07-31 00:00:00',4,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215271431349814375122610145077',801,'213',74.39,1,3,NULL),(25,6070957,'1992-02-11 00:00:00',4,1,12,2010,'F','N','VILA A','FOZ IGUAÇU','PR','116162161216111431659611595122610134197',NULL,'9998',0.00,1,3,NULL),(25,6070965,'1993-05-06 00:00:00',4,1,12,2010,'F','N','TRINTA REIS','NOVA TRENTO','SC','124241241136151331458422245121610122142',NULL,'574',27.02,1,2,1),(25,6070973,'1992-04-15 00:00:00',4,1,12,2009,'M','N','COLINA VERDE','JABOTICABAL','SP','125252251216471431338812575112610167042',7491,'9998',52.31,1,3,NULL),(25,6070981,'1992-04-29 00:00:00',4,1,6,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242281215371431249833574114610142186',8661,'9998',50.57,1,3,NULL),(25,6070990,'1993-08-22 00:00:00',4,1,11,2010,'F','N','CENTRO','CAMBORIÚ','SC','124242241215221411389912575122610124072',NULL,'9997',20.66,1,3,NULL),(25,6071007,'1993-07-21 00:00:00',4,2,12,2010,'F','N','RIO MOLHA','JARAGUÁ SUL','SC','124241241217171531448814382122610141097',16925,'1061',36.00,1,3,NULL),(25,6071015,'1992-06-22 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124244241147372751628621246124610136177',11172,'283',44.35,1,3,NULL),(25,6071023,'1993-06-11 00:00:00',4,3,10,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431376832245112610137052',9832,'1038',48.85,1,3,NULL),(25,6071040,'1993-09-18 00:00:00',4,4,12,2010,'M','N','CENTRO','IPUMIRIM','SC','124241241216271411468832575114610167042',NULL,'1001',0.00,1,3,NULL),(25,6071058,'1986-03-19 00:00:00',4,15,11,2003,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241117151221125341115122243224147',NULL,'29',33.22,1,2,1),(25,6071074,'1994-02-08 00:00:00',2,4,12,2010,'F','N','ITAPAGÉ','FREDERICO WESTPHALEN','RS','120201201235371431569913572122610133142',NULL,'9998',28.78,1,3,NULL),(25,6071090,'1990-03-10 00:00:00',4,1,12,2007,'F','N','LIBERDADE','S PAULO','SP','125252251216572421458811571124610166071',1593,'9998',68.98,3,3,NULL),(25,6071104,'1992-03-26 00:00:00',4,1,12,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215472431649913575122610164042',16177,'262',38.11,1,3,NULL),(25,6071120,'1992-10-16 00:00:00',2,1,11,2010,'M','N','CENTRO','PALHOÇA','SC','124241241115372431434334375121610167182',5095,'592',59.64,1,2,1),(25,6071139,'1993-01-25 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202241217121432248639595125610167112',326,'270',79.26,1,3,NULL),(25,6071147,'1993-01-27 00:00:00',2,15,11,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124242241215271431436934242121610168115',20199,'26',34.07,2,1,2),(25,6071155,'1993-07-12 00:00:00',2,1,12,2010,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124244241217131431425524571324610128192',NULL,'988',15.74,1,3,NULL),(25,6071163,'1992-10-01 00:00:00',4,6,11,2010,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241217111431367519595122610161187',NULL,'389',24.34,1,3,NULL),(25,6071171,'1993-10-19 00:00:00',2,1,12,2010,'F','N','BOA VISTA','BIGUAÇU','SC','124241244115211531522215575124630112147',NULL,'65',14.53,1,3,NULL),(25,6071198,'1992-12-08 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124124241316272731448713595124223067042',11939,'732',45.28,1,3,NULL),(25,6071201,'1989-11-10 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116373711423319195124233241012',NULL,'307',20.14,1,2,1),(25,6071210,'1991-09-07 00:00:00',2,8,11,2008,'F','N','SÃO FRANCISCO','CURITIBA','PR','116162161216572731449831574124610136077',11323,'9998',45.02,3,3,NULL),(25,6071228,'1992-06-09 00:00:00',2,8,11,2009,'F','N','BAIRRO ALTO','CURITIBA','PR','116161161117471441559933572112610125142',15544,'9998',38.16,1,2,1),(25,6071236,'1993-05-10 00:00:00',4,1,12,2010,'M','N','JARDIM DA SAÚDE','S PAULO','SP','125252251211121411568734285124610168093',12246,'9998',42.94,1,3,NULL),(25,6071244,'1990-11-03 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241117573431448913482225130267111',1770,'271',69.05,1,3,NULL),(25,6071252,'1994-01-04 00:00:00',4,8,12,2010,'F','N','GLÓRIA','JOINVILLE','SC','124244241217371731547711372122610127047',5015,'1063',57.74,1,3,NULL),(25,6071260,'1991-12-08 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241247417151431338812345124610162033',15780,'9999',42.47,1,3,NULL),(25,6071279,'1986-05-19 00:00:00',2,1,1,2007,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241245126471431424324342124610133197',12433,'512',47.46,1,2,1),(25,6071295,'1993-09-08 00:00:00',2,1,12,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241141131712621537312334610117087',NULL,'292',10.15,2,2,1),(25,6071309,'1993-12-15 00:00:00',4,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241335122431678613572114610134142',11110,'1133',49.50,1,3,NULL),(25,6071317,'1993-03-23 00:00:00',2,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201201117131731223336345124610168187',NULL,'9998',22.11,1,2,1),(25,6071325,'1989-12-21 00:00:00',4,1,6,2010,'M','N','AREIAS','S JOSÉ','SC','124242241117131431646623495114610137047',NULL,'9997',31.45,1,3,NULL),(25,6071333,'1982-05-25 00:00:00',2,1,12,2000,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224241241127273411323351231224610113077',NULL,'307',34.38,2,1,1),(25,6071341,'1992-02-27 00:00:00',4,1,12,2008,'M','N','CENTRO','GOIOERÊ','PR','116162251216571431458831575114610128051',NULL,'9998',0.00,3,3,NULL),(25,6071350,'1993-03-29 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117471431428729595214610166182',12923,'285',43.81,1,2,1),(25,6071368,'1993-09-11 00:00:00',2,9,12,2010,'M','N','JARDIM CEPAR','LAGES','SC','124241241147131311433414176334610114057',NULL,'500',0.00,1,2,1),(25,6071376,'1993-02-18 00:00:00',2,1,12,2010,'M','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241132271431333519282125610127142',19657,'772',35.45,1,2,1),(25,6071384,'1987-03-04 00:00:00',2,1,6,2005,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116273731113542245222610122145',NULL,'281',17.18,1,2,1),(25,6071392,'1991-09-07 00:00:00',2,9,12,2008,'M','N','CENTRO','LAGES','SC','124243241317474431368933572124231437012',5818,'1146',59.14,1,3,NULL),(25,6071406,'1988-02-10 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241116132431226674345124132121017',7232,'169',51.84,1,2,1),(25,6071414,'1990-10-29 00:00:00',4,1,12,2007,'M','N','VILA APRAZÍVEL','JACAREÍ','SP','125252251217574431458821591111141434117',36,'9998',86.52,1,3,NULL),(25,6071422,'1991-10-03 00:00:00',4,1,12,2008,'M','N','BIGORRILHO','CURITIBA','PR','116162161216571431138611471124141464187',NULL,'9998',32.14,1,3,NULL),(25,6071449,'1993-09-07 00:00:00',4,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115271431323324175124610133147',17797,'307',35.48,4,2,1),(25,6071457,'1992-10-08 00:00:00',4,2,11,2009,'F','N','VICOR KONDER','BLUMENAU','SC','120242241216472411228822375114610162015',8430,'1018',51.39,1,3,NULL),(25,6071465,'1991-05-24 00:00:00',4,1,12,2008,'F','N','ARAXA DOIS','LONDRINA','PR','116162161215572431578811511145610147042',1781,'9998',68.55,3,3,NULL),(25,6071473,'1990-12-11 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241116372331433314445124610133147',20783,'281',32.00,1,2,1),(25,6071481,'1992-12-03 00:00:00',4,1,12,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241117271531667833575122610167077',6242,'271',56.33,1,3,NULL),(25,6071490,'1993-05-09 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241215111431336712575124610132187',14758,'299',39.73,1,3,NULL),(25,6071503,'1993-06-14 00:00:00',4,8,12,2010,'F','N','COMASA','JOINVILLE','SC','124241211216111441534461575324610127057',13328,'9998',40.64,1,3,NULL),(25,6071511,'1988-06-10 00:00:00',2,15,12,2005,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201217471431248827571122141036147',NULL,'9998',0.00,1,3,NULL),(25,6071520,'1988-07-05 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241216373421249613575122321542197',1453,'991',69.65,1,3,NULL),(25,6071546,'1993-09-24 00:00:00',4,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116141431456313575114610135047',NULL,'307',16.18,1,2,1),(25,6071554,'1979-04-17 00:00:00',3,1,12,1997,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241112132431336553432122321222047',12685,'271',47.09,1,3,NULL),(25,6071562,'1991-12-18 00:00:00',4,8,12,2009,'M','N','BOQUEIRÃO','CURITIBA','PR','116163161135571431348713575112610166142',5311,'9998',60.16,1,3,NULL),(25,6071589,'1993-10-14 00:00:00',4,10,11,2010,'M','N','CENTRO','TUBARÃO','SC','124242241216122431548614595112610112087',14077,'807',45.04,1,3,NULL),(25,6071597,'1987-10-09 00:00:00',2,7,12,2005,'M','N','INTERIOR','CAMPOS NOVOS','SC','124241241126141431326624245114610137057',NULL,'314',20.96,1,2,1),(25,6071600,'1993-12-28 00:00:00',4,1,12,2010,'M','N','CENTRO','ARAPONGAS','PR','116162161217111431356816585115610164182',NULL,'9998',0.00,1,3,NULL),(25,6071619,'1985-06-23 00:00:00',4,1,12,2002,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241111575421336344445132330267093',10593,'307',45.29,1,3,NULL),(25,6071627,'1991-03-07 00:00:00',4,15,12,2007,'M','N','LAGOÃO','ARARANGUÁ','SC','124241241116131731533315242333610114047',NULL,'30',24.38,1,2,1),(25,6071635,'1985-04-25 00:00:00',2,1,7,2004,'F','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241126371131423319145234610133097',NULL,'592',30.34,1,3,NULL),(25,6071643,'1993-09-03 00:00:00',4,9,11,2010,'F','N','PINHEIROS','OTACÍLIO COSTA','SC','124244241215152431449812575122610112142',10161,'497',47.76,1,3,NULL),(25,6071660,'1991-05-30 00:00:00',4,1,11,2009,'F','N','VILA MARIANA','S PAULO','SP','125252251216471751478814575122610162147',NULL,'9998',0.00,1,3,NULL),(25,6071678,'1990-04-16 00:00:00',2,15,12,2007,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241316153751255923435122131464065',NULL,'29',0.00,1,3,NULL),(25,6071686,'1992-07-21 00:00:00',4,1,12,2009,'M','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124241241146132431546811245334230834057',19423,'329',32.73,1,2,1),(25,6071694,'1990-12-29 00:00:00',2,4,12,2009,'M','N','SÃO JORGE','S MIGUEL OESTE','SC','124244248116371431534367342231610121142',14069,'757',40.35,4,1,2),(25,6071708,'1993-09-17 00:00:00',4,8,12,2010,'M','N','GLORIA','JOINVILLE','SC','124242241216272431449832576112610137042',2487,'461',66.75,1,3,NULL),(25,6071716,'1992-04-04 00:00:00',2,10,12,2010,'M','N','CENTRO','IMARUÍ','SC','124241241116371431139923415124233268142',20203,'356',34.06,1,2,1),(25,6071724,'1991-08-23 00:00:00',4,1,12,2008,'F','N','CENTRO','ITUPORANGA','SC','124241241145373431578611295122131035142',19002,'416',36.93,1,2,1),(25,6071732,'1992-06-01 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241312152731225923582124223244197',12371,'1022',44.65,1,3,NULL),(25,6071740,'1994-05-23 00:00:00',4,1,11,2010,'F','N','PALHOÇA','PALHOÇA','SC','124242241215111431558833572114610167062',6286,'1011',56.37,1,3,NULL),(25,6071759,'1993-09-14 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241217121711558811412124610164147',3575,'1022',62.48,1,3,NULL),(25,6071767,'1989-11-14 00:00:00',4,1,12,2007,'M','N','VILA MADALENA','S PAULO','SP','125252251217572421278921475112610167042',647,'9998',76.39,1,3,NULL),(25,6071775,'1992-03-17 00:00:00',4,2,12,2009,'F','N','VELHA','BLUMENAU','SC','124242241216372411459919575122610168182',7993,'1018',51.60,1,3,NULL),(25,6071783,'1987-07-06 00:00:00',2,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241127131411512321416114610127117',NULL,'290',18.06,4,3,NULL),(25,6071791,'1989-08-19 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116251431626424345124610164147',NULL,'47',32.39,1,2,1),(25,6071805,'1988-06-13 00:00:00',4,1,12,2005,'M','N','CENTRO','GAROPABA','SC','124241241146152441421119285124221734141',1601,'322',69.39,1,2,1),(25,6071813,'1989-05-16 00:00:00',2,1,12,2006,'F','N','CAMPO D UNA','GAROPABA','SC','124241241127132731523314241124610166187',21108,'322',30.61,1,3,NULL),(25,6071821,'1994-01-02 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241115151431444513271124610133147',NULL,'307',0.00,1,2,1),(25,6071830,'1994-01-09 00:00:00',4,2,12,2011,'M','S','DOM JOAQUIM','BRUSQUE','SC','124243241215121331458932375112610118052',NULL,'107',42.47,1,3,NULL),(25,6071848,'1991-03-24 00:00:00',4,1,12,2008,'F','N','VILA ALPINA','NOVA LIMA','MG','113132131217471431588836575112610167122',NULL,'9998',0.00,1,3,NULL),(25,6071856,'1990-05-01 00:00:00',4,1,12,2008,'F','N','RATONES','FLORIANÓPOLIS','SC','124161165126131421433619145224610133097',NULL,'9998',0.00,1,3,NULL),(25,6071864,'1992-05-08 00:00:00',2,8,12,2009,'F','N','VILA BRASIL','ESPUMOSO','RS','120201201116111431436632195122610134143',NULL,'9998',20.17,1,3,NULL),(25,6071872,'1993-01-24 00:00:00',4,16,12,2010,'F','N','GETULIO VARGAS','CURITIBANOS','SC','124241241116371431328434245122610134147',NULL,'1128',28.99,4,2,1),(25,6071899,'1990-10-16 00:00:00',4,1,12,2008,'M','N','CENTREVILLE','LIMEIRA','SP','125252257343231411448821583111610166172',8537,'9998',50.58,1,3,NULL),(25,6071902,'1991-04-08 00:00:00',4,4,11,2009,'M','N','CENTRO','CHAPECÓ','SC','124243241136371511346473275114610161192',6048,'169',56.49,1,3,NULL),(25,6071910,'1986-06-26 00:00:00',4,1,12,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116162721389914435122330267042',7262,'267',56.24,1,2,1),(25,6071929,'1993-01-06 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215122451546924395124610167142',10093,'270',51.18,1,3,NULL),(25,6071937,'1990-04-10 00:00:00',4,1,12,2007,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124242241215273531358713595114121214067',9086,'270',52.91,1,3,NULL),(25,6071945,'1986-10-19 00:00:00',4,1,12,2004,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','125244241215572431237627475114610166182',8969,'270',53.12,1,3,NULL),(25,6071953,'1992-09-20 00:00:00',4,10,12,2009,'M','N','PASSAGEM','TUBARÃO','SC','124241246217271531538924391124610124182',9371,'1120',52.41,1,3,NULL),(25,6071961,'1992-10-17 00:00:00',4,1,10,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241216122731357919195114610161012',5300,'1038',57.48,4,3,NULL),(25,6071970,'1978-04-10 00:00:00',4,1,1,1997,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224164161416131411339844445132343257102',15672,'9998',42.65,1,3,NULL),(25,6071988,'1992-06-05 00:00:00',4,8,12,2009,'F','N','FÁTIMA','JOINVILLE','SC','124241241216372431537933585114610164177',12413,'489',47.50,1,3,NULL),(25,6071996,'1993-10-08 00:00:00',4,8,11,2010,'F','N','JARDIM AMÉRICA','PNT GROSSA','PR','116162161215111411379931575122610112092',NULL,'9998',0.00,1,3,NULL),(25,6072003,'1993-08-03 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469811474112610166092',4407,'1022',59.94,1,3,NULL),(25,6072011,'1991-09-12 00:00:00',4,1,12,2008,'M','N','CENTRO','PTO ALEGRE','RS','120202201217472411148832575124610137042',1256,'9998',72.39,1,3,NULL),(25,6072038,'1993-04-21 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241115271431536524395124610123142',NULL,'734',30.54,1,2,1),(25,6072046,'1993-12-07 00:00:00',2,4,12,2010,'F','N','SAIC','CHAPECÓ','SC','124241241117271451333532572225610128147',11799,'177',48.49,1,3,NULL),(25,6072054,'1993-01-27 00:00:00',4,1,12,2010,'F','N','SANTANA','S PAULO','SP','125252251215111431238829595124610135092',NULL,'9998',26.16,1,3,NULL),(25,6072062,'1992-12-11 00:00:00',4,1,12,2010,'F','N','PARQUE DELTA','S CARLOS','SP','125252251217111431548612571122610137012',18726,'9998',31.15,1,3,NULL),(25,6072070,'1993-08-23 00:00:00',2,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241117371431626621412214610145042',NULL,'278',35.59,1,2,1),(25,6072089,'1993-02-04 00:00:00',2,15,12,2010,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124243241215131411336613575122610124042',17049,'26',36.01,1,3,NULL),(25,6072097,'1993-06-18 00:00:00',2,1,12,2010,'M','N','CENTRO','ARVOREZINHA','RS','120204208217111431538612581124610137047',NULL,'9998',33.35,1,3,NULL),(25,6072100,'1990-10-01 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124241241435574431548854475124130341042',3821,'13',63.26,1,3,NULL),(25,6072119,'1988-08-24 00:00:00',4,1,12,2005,'M','N','KOBRASOL','S JOSÉ','SC','124241241215274431468711285124121727072',4463,'1076',60.45,4,3,NULL),(25,6072127,'1992-06-28 00:00:00',4,1,12,2010,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124241241111111431535413392124610127062',NULL,'271',24.09,1,2,1),(25,6072135,'1993-05-11 00:00:00',4,1,12,2010,'F','N','HUMAITA','RIO JANEIRO','RJ','121212211217271432488812575112610128192',13923,'9998',39.78,1,3,NULL),(25,6072160,'1991-06-04 00:00:00',4,2,12,2009,'F','N','SALTO WEISSBACH','BLUMENAU','SC','124242241217471431458834475124610127147',3239,'71',63.14,1,3,NULL),(25,6072178,'1993-01-21 00:00:00',4,1,11,2010,'M','N','BURLE MARX','LONDRINA','PR','116162161216111431469934574122610137042',5894,'9998',56.61,1,3,NULL),(25,6072186,'1991-02-17 00:00:00',2,6,12,2008,'F','N','PLANALTO VERDE','MOGI GUAÇU','SP','125251251117371711428531471122141364027',NULL,'9998',19.23,4,1,1),(25,6072216,'1993-12-12 00:00:00',4,4,12,2010,'F','N','INTERIOR','DESCANSO','SC','124241241115131631633376576112610137057',NULL,'243',17.15,1,2,1),(25,6072224,'1993-03-24 00:00:00',4,1,12,2010,'M','N','CENTRO','CASSILÂNDIA','MS','112122121216171731226511215112610138182',14429,'9998',40.08,1,3,NULL),(25,6072232,'1993-03-25 00:00:00',4,1,11,2010,'M','N','NOVA SUIÇA','GOIÂNIA','GO','109092091215111431445524585112610132187',NULL,'9998',0.00,4,3,NULL),(25,6072240,'1993-08-03 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431569934572112610146015',932,'272',73.78,1,3,NULL),(25,6072259,'1993-12-14 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124201241115371431436511171122610124142',19804,'169',30.87,4,2,1),(25,6072275,'1992-01-31 00:00:00',2,1,12,2009,'F','N','GRANJA VIANA','COTIA','SP','124241251217471431323823575224610144147',8358,'9998',51.29,1,3,NULL),(25,6072283,'1993-03-05 00:00:00',2,2,12,2010,'M','N','FIDÉLIS','BLUMENAU','SC','124241241126131431557414396124610164077',11471,'874',44.38,1,2,1),(25,6072291,'1992-02-13 00:00:00',4,1,11,2009,'M','N','VILA RESENDE','CAÇAPAVA','SP','125252251225471431456812425112610167042',NULL,'9998',0.00,1,3,NULL),(25,6072305,'1985-11-30 00:00:00',4,1,6,2004,'M','N','CENTRO','PENHA','SC','124242247417273731238669375124221662094',NULL,'9999',0.00,1,3,NULL),(25,6072313,'1990-05-22 00:00:00',4,2,12,2008,'M','N','DAS NAÇÕES','INDAIAL','SC','124241247137151731347833375123610132112',NULL,'9999',0.00,1,3,NULL),(25,6072321,'1991-10-13 00:00:00',4,1,11,2010,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124252241216131411329924575124610152192',NULL,'1197',22.28,4,3,NULL),(25,6072330,'1992-01-13 00:00:00',2,1,12,2009,'F','N','CENTRO','BIGUAÇU','SC','124243241416271751326811145332610163147',11531,'1040',48.86,1,3,NULL),(25,6072348,'1992-10-22 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','120202201216272731438613575124140967182',NULL,'9998',26.21,1,3,NULL),(25,6072356,'1987-10-24 00:00:00',4,1,9,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','624281288117251451555833491224240966185',9810,'9998',47.42,1,3,NULL),(25,6072364,'1990-04-25 00:00:00',4,8,12,2007,'M','N','PARAÍSO','S PAULO','SP','125252251215571431347812341121610127042',2731,'9998',64.08,1,3,NULL),(25,6072380,'1993-04-29 00:00:00',2,2,12,2010,'F','N','ARMAÇAO','PENHA','SC','124241241115141731633312572222610164052',NULL,'75',24.01,1,3,NULL),(25,6072399,'1992-10-30 00:00:00',2,1,11,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117141722424514345114610164197',NULL,'281',20.24,1,2,1),(25,6072402,'1988-08-15 00:00:00',2,1,12,2006,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241126154331113444345314610167047',20658,'285',27.49,1,2,1),(25,6072410,'1993-01-02 00:00:00',4,8,12,2010,'F','N','SANTA LUZIA','JARAGUÁ SUL','SC','124241241117141431445814312224610127147',NULL,'425',29.30,1,2,1),(25,6072429,'1992-09-23 00:00:00',2,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215112411453831575112610136164',12653,'737',47.12,1,3,NULL),(25,6072437,'1992-01-18 00:00:00',4,4,11,2009,'F','N','NAZARÉ','MEDIANEIRA','PR','116161161117471431438839494112610167076',NULL,'9998',0.00,1,3,NULL),(25,6072445,'1991-12-11 00:00:00',4,8,12,2009,'M','N','IRIRIU','JOINVILLE','SC','124243246235131411446614245121610137051',21024,'1105',31.01,1,3,NULL),(25,6072461,'1993-11-01 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241315111431426823571114610167047',18138,'1022',32.95,1,3,NULL),(25,6072470,'1992-01-21 00:00:00',2,1,11,2009,'F','N','JD PACAEMBÚ','CAMPINAS','SP','125251251117371411424823575114610164147',12056,'9998',44.61,1,2,1),(25,6072488,'1991-11-26 00:00:00',4,3,12,2008,'M','N','JD CANADA','ASSIS','SP','125252251215571431445824575122610127047',9314,'9998',49.58,1,3,NULL),(25,6072496,'1990-08-03 00:00:00',4,1,12,2007,'F','N','JD PAU PRETO','INDAIATUBA','SP','125252251217571131364312132234610164187',11162,'9998',49.43,1,3,NULL),(25,6072500,'1992-10-22 00:00:00',4,8,12,2009,'F','N','VILA NOVA','JOINVILLE','SC','124241241416271731535514345134610128115',20496,'473',33.15,1,3,NULL),(25,6072518,'1992-12-15 00:00:00',2,4,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124241241134132431323719371315610136182',NULL,'534',34.69,1,2,1),(25,6072534,'1991-09-02 00:00:00',2,1,12,2009,'M','N','RIO GRANDE','PALHOÇA','SC','124241248145271431534534342224610111012',13803,'592',40.89,1,2,1),(25,6072542,'1986-05-01 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252251216473421567832475124220434092',6212,'9998',54.74,1,3,NULL),(25,6072550,'1991-02-13 00:00:00',2,1,12,2008,'F','N','JARDIM PLANALTO','S PAULO','SP','125252251416571431348823472124610133037',NULL,'9998',0.00,1,3,NULL),(25,6072569,'1995-02-06 00:00:00',4,1,11,2011,'F','S','INGLESES','FLORIANÓPOLIS','SC','124242241215111431438831597125610114197',NULL,'270',0.00,1,3,NULL),(25,6072593,'1993-09-17 00:00:00',4,8,11,2010,'M','N','GLÓRIA','JOINVILLE','SC','124242241217271441449852575122610127052',4547,'461',60.09,1,3,NULL),(25,6072607,'1981-07-05 00:00:00',4,1,11,1999,'F','N','CAPOEIRAS PROMORAR','FLORIANÓPOLIS','SC','124241241127132732522319492325610163187',NULL,'9997',28.66,2,1,1),(25,6072615,'1992-09-26 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','125252251217471731468913575112610165143',7575,'9998',52.03,1,3,NULL),(25,6072623,'1992-07-08 00:00:00',4,4,12,2009,'F','N','JARDIM','MARAVILHA','SC','124241241116371412428817375122610148142',NULL,'552',35.13,1,3,NULL),(25,6072658,'1992-02-06 00:00:00',4,1,11,2009,'M','N','JD PETRÓPOLIS','IBITINGA','SP','125252251215471431358832471125610166091',974,'9998',72.95,1,3,NULL),(25,6072666,'1993-04-25 00:00:00',4,7,11,2010,'M','N','CENTRO','CAPINZAL','SC','124241241335131431335411215124610161177',5986,'446',56.21,1,3,NULL),(25,6072674,'1994-02-02 00:00:00',4,1,11,2010,'M','N','JARDIM AMÉRICA','VILHENA','RO','122222221217151432489811575121610167052',7007,'9998',53.18,1,3,NULL),(25,6072682,'1986-10-21 00:00:00',2,1,7,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243247617152431436614495114610126097',17180,'9999',40.32,1,3,NULL),(25,6072690,'1993-02-23 00:00:00',2,8,12,2010,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241135371131323337275124610166052',8510,'1103',51.08,1,2,1),(25,6072704,'1992-11-07 00:00:00',4,10,12,2010,'F','N','CENTRO','RIO FORTUNA','SC','124244241215111431446619575124610148197',6449,'950',57.84,1,3,NULL),(25,6072712,'1990-12-07 00:00:00',4,1,12,2008,'F','N','SANTA MENA','GUARULHOS','SP','125252251216561431338814575124610134117',8035,'9998',50.97,4,3,NULL),(25,6072720,'1993-02-08 00:00:00',2,1,11,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115271431526631272122610123182',13869,'592',42.09,1,2,1),(25,6072739,'1992-10-19 00:00:00',2,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','121201211117131731426613292124610117042',21061,'9998',26.04,1,2,1),(25,6072747,'1993-04-15 00:00:00',4,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241112111431446814272222610135145',20350,'592',33.56,1,3,NULL),(25,6072755,'1990-02-08 00:00:00',4,8,9,2007,'F','N','CALADINHO DE CIMA','CEL FABRICIANO','MG','113133131416271441445517575122142466187',NULL,'9998',0.00,1,3,NULL),(25,6072763,'1992-10-07 00:00:00',2,1,10,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217121731368812345134610128195',NULL,'300',30.48,1,3,NULL),(25,6072798,'1993-09-18 00:00:00',4,4,12,2010,'M','N','CENTRO','SALTO LONTRA','PR','116161161117471431457934575112610127142',NULL,'9998',0.00,1,2,1),(25,6072801,'1994-02-07 00:00:00',4,8,12,2010,'F','N','BACACHERI','CURITIBA','PR','116202161215571411459914575112610167142',NULL,'9998',0.00,1,3,NULL),(25,6072810,'1993-01-21 00:00:00',4,6,11,2010,'F','N','VILA INDUSTRIAL','LONDRINA','PR','116164161216131431536739593122610164147',15914,'9998',35.74,3,3,NULL),(25,6072828,'1993-05-22 00:00:00',4,2,11,2010,'M','N','ESCOLA AGRICOLA','BLUMENAU','SC','124242241215111731358834575122610162042',9134,'909',50.24,1,3,NULL),(25,6072836,'1993-04-26 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431237921595114610122182',5075,'1022',59.52,1,3,NULL),(25,6072879,'1989-08-17 00:00:00',2,1,12,2006,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124243248415474431448631246114610147057',17990,'1076',38.86,4,3,NULL),(25,6072887,'1991-05-15 00:00:00',2,1,12,2008,'M','N','JARDIM ARAUCARIA','S JOSÉ','SC','124243241412372431447613295124610163143',10756,'300',50.06,1,3,NULL),(25,6072895,'1991-01-17 00:00:00',2,1,7,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241247445271731336329342114610123087',NULL,'1076',35.01,1,3,NULL),(25,6072909,'1993-01-20 00:00:00',4,4,12,2010,'M','N','PALMITAL','CHAPECÓ','SC','124241241146131431623315192124610114147',NULL,'172',0.00,1,3,NULL),(25,6072917,'1992-03-17 00:00:00',4,8,12,2009,'F','N','CENTRO','MARAU','RS','120202201215473411466819271124610144172',1884,'9998',67.92,1,3,NULL),(25,6072925,'1993-01-06 00:00:00',4,9,12,2010,'M','N','CENTRO','URUPEMA','SC','124241241115151721346916165124610157052',NULL,'512',27.34,1,2,1),(25,6072933,'1992-08-17 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372431355616375114123033075',9271,'1022',52.56,1,3,NULL),(25,6072941,'1994-01-21 00:00:00',4,2,12,2011,'F','S','VICTOR KONDER','BLUMENAU','SC','124242241215111431348711576124610148192',NULL,'87',8.66,1,3,NULL),(25,6072950,'1991-05-17 00:00:00',4,1,12,2008,'F','N','CENTRO','IPAUSSU','SP','125254251217571431446632575122610162072',12304,'9998',43.21,1,3,NULL),(25,6072968,'1991-07-10 00:00:00',4,1,12,2009,'M','N','SAO BENTO','BELO HORIZONTE','MG','113132131216211431478712592122241444043',8716,'9998',53.57,4,3,NULL),(25,6072984,'1992-03-10 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241216111211537332575124610134192',NULL,'1076',16.18,1,3,NULL),(25,6072992,'1993-09-17 00:00:00',4,8,12,2010,'F','N','JARDIM ITAPEVA','S PAULO','SP','125252251217111431466819575112610164142',NULL,'9998',0.00,1,3,NULL),(25,6073000,'1992-01-02 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241111132431321119241125610131192',19880,'307',30.16,1,2,1),(25,6073018,'1992-08-14 00:00:00',4,1,12,2009,'M','N','DANIELA','FLORIANÓPOLIS','SC','124202241211472441423662595124610164172',116,'270',83.00,1,3,NULL),(25,6073026,'1993-03-23 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215131231459412572122610134072',4936,'1198',60.32,1,3,NULL),(25,6073042,'1992-01-23 00:00:00',4,1,7,2010,'M','N','BAIRRO DO IPATINGA','SOROCABA','SP','125252281415371431588813572112610136042',NULL,'9998',0.00,1,3,NULL),(25,6073050,'1991-11-18 00:00:00',2,4,12,2009,'M','N','EFAPI','CHAPECÓ','SC','124241241117372231533424282124610165091',11643,'184',44.47,4,1,1),(25,6073069,'1990-10-11 00:00:00',4,4,8,2004,'M','N','LIDER','CHAPECÓ','SC','111111281124311212125333115224610167042',NULL,'180',18.88,1,3,NULL),(25,6073077,'1993-07-17 00:00:00',4,5,11,2010,'M','N','PIO CORREA','CRICIÚMA','SC','124242241215111231486833575112610127123',NULL,'226',0.00,1,3,NULL),(25,6073093,'1994-08-22 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216151131468914575122610126042',20515,'262',33.08,2,1,2),(25,6073107,'1992-12-31 00:00:00',4,8,12,2010,'F','N','AMERICA','JOINVILLE','SC','124242241215421431459913595112610131142',16864,'9997',36.17,1,3,NULL),(25,6073115,'1988-05-02 00:00:00',2,15,12,2006,'M','N','CENTRO','MARACAJÁ','SC','124241241126131431415544445123132322172',NULL,'550',17.86,1,2,1),(25,6073123,'1991-10-05 00:00:00',4,1,12,2009,'M','N','STO ANTONIO','MANAUS','AM','104042041117271731436611574114140742187',12939,'9998',43.21,1,3,NULL),(25,6073131,'1992-09-14 00:00:00',4,1,12,2009,'F','N','VILA CONSTÂNCIA','S PAULO','SP','125252251216471431437611575124610166092',NULL,'9998',0.00,1,3,NULL),(25,6073140,'1994-10-15 00:00:00',4,10,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124244244314131731426633372124610133077',NULL,'525',16.73,1,3,NULL),(25,6073158,'1990-10-20 00:00:00',2,1,12,2010,'F','N','NEVA','CASCAVEL','PR','116164168446111711324821392224610124072',NULL,'9998',17.57,4,3,NULL),(25,6073166,'1993-02-26 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241215111431366924575124610127012',17020,'1022',35.61,1,3,NULL),(25,6073174,'1993-02-19 00:00:00',2,1,12,2010,'F','N','CALHAU','S LUÍS','MA','110102108217371731439929595125610136072',5523,'9998',57.37,1,3,NULL),(25,6073190,'1993-06-16 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124244241216171431335624575124610162187',12176,'939',42.99,1,3,NULL),(25,6073204,'1993-11-13 00:00:00',4,5,11,2010,'M','N','MINA BRASIL','CRICIÚMA','SC','124242241215122431468833375112610167072',2905,'226',64.58,1,3,NULL),(25,6073220,'1993-05-05 00:00:00',2,7,12,2010,'F','N','SAO FRANCISCO','LUZERNA','SC','124241241115111231426359572214610118142',NULL,'539',0.00,1,2,1),(25,6073239,'1992-04-14 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117132411126544445124610123187',20592,'359',26.31,1,2,1),(25,6073247,'1993-10-30 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111731469913572122610127142',19989,'738',34.61,1,3,NULL),(25,6073255,'1992-09-10 00:00:00',4,1,12,2009,'M','N','ALTO DA LAPA','S PAULO','SP','125252251217471731488711575122610166127',3012,'9998',65.89,1,3,NULL),(25,6073263,'1967-11-15 00:00:00',4,1,3,2004,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124203247614134721643519386214333241037',19739,'9999',35.28,1,3,NULL),(25,6073271,'1981-11-28 00:00:00',2,1,11,2001,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124241241446315431335621315224610117112',16775,'272',40.97,1,3,NULL),(25,6073298,'1992-06-12 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215474431368912221124610144012',4619,'497',59.35,1,3,NULL),(25,6073301,'1993-11-08 00:00:00',4,8,10,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215111431458612575112610127127',13456,'1063',46.00,1,3,NULL),(25,6073310,'1992-12-10 00:00:00',4,1,12,2010,'M','N','SÃO FRANSCISCO','CURITIBA','PR','116242161216121431469614575122610137063',9179,'9998',48.10,1,3,NULL),(25,6073336,'1991-04-06 00:00:00',4,1,12,2010,'M','N','BATEL','CURITIBA','PR','116162161216471431458934572122610168187',14891,'9998',38.73,1,3,NULL),(25,6073352,'1993-05-27 00:00:00',4,8,11,2009,'M','N','CENTRO','GARUVA','SC','124243241317371711634539375111610167057',14103,'923',45.00,4,3,NULL),(25,6073360,'1993-09-17 00:00:00',4,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241112151432456634275122610135093',19749,'592',35.27,1,3,NULL),(25,6073379,'1994-04-09 00:00:00',4,1,12,2011,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215112712489912572124610135175',NULL,'262',48.92,1,3,NULL),(25,6073387,'1992-09-07 00:00:00',2,1,12,2009,'F','N','CENTRO','BRAÇO NORTE','SC','124241241216472431469811575114610124152',10843,'950',46.79,1,3,NULL),(25,6073395,'1993-11-20 00:00:00',4,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116151432526933572124610114057',NULL,'9997',24.24,1,2,1),(25,6073409,'1994-10-13 00:00:00',4,10,12,2011,'M','S','VILA NOVA ALVORADA','IMBITUBA','SC','124242241215121731346933572122610137142',NULL,'362',65.80,1,3,NULL),(25,6073417,'1993-03-02 00:00:00',4,17,12,2010,'M','N','CENTRO','ITAIÓPOLIS','SC','124241241114161431436634215122610121057',NULL,'387',0.00,1,2,1),(25,6073425,'1991-03-02 00:00:00',4,1,12,2008,'M','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125222221217571411379933575114610162047',397,'9998',78.48,1,3,NULL),(25,6073433,'1995-07-22 00:00:00',4,1,12,2010,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241215151431356713575122610162072',15651,'1011',42.68,1,3,NULL),(25,6073441,'1992-12-15 00:00:00',4,1,11,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215121431536577575122610144047',10043,'273',47.30,1,3,NULL),(25,6073450,'1993-04-01 00:00:00',2,1,12,1993,'M','N','ARNALDO FIGUEIREDO','CPO GRANDE','MS','112122121215111431357812275122610167047',10772,'9998',44.90,1,3,NULL),(25,6073476,'1977-12-01 00:00:00',2,1,12,2000,'M','N','SERTÃO DO IMARUIM','S JOSÉ','SC','124241241125371411334359341223610112047',19133,'293',31.40,1,2,1),(25,6073492,'1985-08-15 00:00:00',4,1,12,2003,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124132131216141751138811415124343268092',NULL,'9998',0.00,4,3,NULL),(25,6073506,'1991-01-26 00:00:00',4,1,12,2008,'M','N','SANTA MARTA','S CARLOS','SP','125252251217571411469813574112610127041',8236,'9998',51.15,1,3,NULL),(25,6073514,'1993-07-05 00:00:00',4,1,11,2010,'M','N','VILA A','FOZ IGUAÇU','PR','116162161217121431579839595122610137091',NULL,'9998',0.00,1,3,NULL),(25,6073522,'1991-08-29 00:00:00',4,1,12,2008,'F','N','JARDIM PASQUALLI','TOLEDO','PR','116162161417111431338821491122141526182',NULL,'9998',0.00,1,3,NULL),(25,6073530,'1989-05-05 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','224241241135273121236649395114133224057',3190,'1034',65.39,1,2,1),(25,6073557,'1993-06-18 00:00:00',4,8,12,2010,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124242248217121441439819185122610112023',2481,'442',66.61,1,3,NULL),(25,6073565,'1986-10-03 00:00:00',5,8,12,2004,'F','N','FLORESTA','JOINVILLE','SC','124242241216575411549831572124131433071',NULL,'1105',37.82,1,3,NULL),(25,6073573,'1991-05-30 00:00:00',2,1,7,2010,'M','N','SÃO JOSÉ','VILHENA','RO','122221227146371431333619575122610127082',NULL,'9998',35.34,1,2,1),(25,6073581,'1992-04-07 00:00:00',4,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124241241117132431333521442114610166197',17560,'734',39.65,1,2,1),(25,6073603,'1993-09-09 00:00:00',2,1,12,2010,'F','N','JARDIM NOVO MUNDO','GOIÂNIA','GO','109092091235111211436824576324610162057',NULL,'9998',0.00,1,3,NULL),(25,6073620,'1989-12-30 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241112332731327829382224610134097',20478,'169',33.23,1,3,NULL),(25,6073638,'1991-12-11 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124243241435573451237714125124610164187',5172,'736',59.02,1,3,NULL),(25,6073646,'1989-12-23 00:00:00',4,16,12,2009,'M','N','GETULIO VARGAS','CURITIBANOS','SC','124241242117371731423319582324610126147',NULL,'960',15.72,1,3,NULL),(25,6073654,'1993-01-07 00:00:00',2,15,12,2010,'M','N','GETÚLIO VARGAS','TORRES','RS','120201242135131441326334295124610142142',NULL,'690',30.04,1,2,1),(25,6073670,'1991-12-07 00:00:00',4,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124241243116133111321624281224610114142',NULL,'734',0.00,1,2,1),(25,6073689,'1993-07-20 00:00:00',2,8,12,2010,'M','N','FLORESTA','JOINVILLE','SC','124241246217131431436923572124610168012',9568,'1006',48.06,1,3,NULL),(25,6073700,'1988-12-17 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124254251441132431126644245125340214097',NULL,'9998',21.11,1,3,NULL),(25,6073719,'1995-05-28 00:00:00',4,8,11,2010,'M','N','BOM RETIRO','JOINVILLE','SC','124244241217121431468614275122610162062',13734,'1063',41.14,4,3,NULL),(25,6073743,'1993-07-19 00:00:00',2,1,12,2010,'F','N','GENTIL MEIRELES','GOIÂNIA','GO','109092091235111311538834576324610165057',17070,'9998',35.32,3,3,NULL),(25,6073760,'1993-05-03 00:00:00',4,9,12,2010,'F','N','CENTRO','BOM RETIRO','SC','124241241126161431538933575125610132147',NULL,'95',19.67,1,2,1),(25,6073778,'1992-01-25 00:00:00',4,1,12,2009,'M','N','PENHA','S PAULO','SP','125252251216472431478914141114610167012',1396,'9998',70.41,1,3,NULL),(25,6073794,'1993-05-30 00:00:00',4,8,12,2010,'M','N','JD VERA LÚCIA','JACAREÍ','SP','125253251116111431326823575121610167047',9760,'9998',48.08,1,3,NULL),(25,6073808,'1992-04-14 00:00:00',4,1,11,2010,'M','N','CENTRO','IPUAÇU','SC','124241241127131421333663145125610137067',NULL,'372',0.00,3,2,1),(25,6073816,'1976-03-24 00:00:00',2,1,12,1995,'M','N','TRINDADE','FLORIANÓPOLIS','SC','524201206116151231244443435122231012047',NULL,'9998',0.00,1,2,1),(25,6073824,'1992-08-15 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241217372431458931572124231447073',6876,'270',56.96,1,3,NULL),(25,6073832,'1994-11-14 00:00:00',4,1,11,2010,'F','N','SÃO MIGUEL','BIGUAÇU','SC','124243241216131431423313575124610168077',18793,'63',37.36,1,3,NULL),(25,6073840,'1991-02-21 00:00:00',4,1,12,2008,'F','N','VILA SONIA','S PAULO','SP','125252251215571431448611571124610161092',6000,'9998',56.05,1,3,NULL),(25,6073859,'1993-11-16 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','116162161217111431589911572122610143052',NULL,'9998',0.00,3,3,NULL),(25,6073867,'1994-01-18 00:00:00',4,2,12,2011,'F','S','CENTRO','PTO UNIÃO','SC','124242241216111731526839595112613264012',NULL,'633',33.89,1,3,NULL),(25,6073875,'1994-08-20 00:00:00',4,1,12,2010,'F','N','DONATOS','STA VITÓRIA PALMAR','RS','120201201117131431336619572122610137077',15586,'9998',36.59,1,2,1),(25,6073883,'1992-10-03 00:00:00',2,4,12,2010,'M','N','CENTRO','CÂNDIDO GODÓI','RS','120201201116151331326414575114610117057',NULL,'9998',19.84,1,2,1),(25,6073891,'1994-01-13 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124241241217111731558852572124610124145',16304,'270',41.70,1,3,NULL),(25,6073905,'1993-10-24 00:00:00',4,1,12,2010,'M','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241124141722625314211214610137052',NULL,'731',0.00,4,2,1),(25,6073913,'1990-07-16 00:00:00',2,6,5,2010,'F','N','VARZEA','ITAPEMA','SC','124241247616141231328621315333610115142',NULL,'9999',0.00,1,3,NULL),(25,6073921,'1988-04-14 00:00:00',2,1,12,2006,'F','N','BOA VISTA','PTO ALEGRE','RS','120204208416571731347713595114610167187',NULL,'9998',0.00,1,3,NULL),(25,6073930,'1993-02-26 00:00:00',4,1,12,2009,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124244241215373431359613575114231434145',10131,'1022',45.95,1,3,NULL),(25,6073948,'1988-07-23 00:00:00',2,1,12,2005,'F','N','CENTRO','PALHOÇA','SC','124241241215372431227479475121133227057',10360,'1011',50.72,1,3,NULL),(25,6073956,'1993-07-21 00:00:00',4,10,12,2010,'F','N','CRISTO REI','JAGUARUNA','SC','124241241136141431526613245124610124172',NULL,'421',8.78,1,3,NULL),(25,6073980,'1992-10-13 00:00:00',4,1,12,2009,'F','N','JARDIM TABAETÊ','MARINGÁ','PR','116164161215471431243923575122610166042',NULL,'9998',40.54,1,3,NULL),(25,6074006,'1993-01-25 00:00:00',4,3,12,2010,'M','N','CENTRO','LONDRINA','PR','116162161217111431468811572122610117042',5060,'9998',57.43,3,3,NULL),(25,6074014,'1993-10-16 00:00:00',4,1,12,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215111431426511175124610163017',10899,'1022',46.95,1,3,NULL),(25,6074022,'1977-01-28 00:00:00',4,1,12,1996,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241243126141431323143335124610127142',NULL,'284',16.99,2,1,1),(25,6074049,'1993-11-09 00:00:00',2,10,11,2010,'F','N','STO ANTÔNIO DE PÁDU','TUBARÃO','SC','124242241115131541458611575122610127077',5112,'806',57.13,1,3,NULL),(25,6074057,'1993-04-07 00:00:00',4,17,11,2010,'F','N','CENTRO','CANOINHAS','SC','124244241214371441359822574122610133192',10947,'154',44.51,1,3,NULL),(25,6074065,'1990-04-08 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216413431389613495122610117042',NULL,'270',20.57,1,3,NULL),(25,6074073,'1990-12-28 00:00:00',4,10,11,2008,'M','N','CENTRO','MRO FUMAÇA','SC','124242241215142711548953495122232662057',7999,'270',54.83,1,3,NULL),(25,6074081,'1992-11-27 00:00:00',4,2,12,2010,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116162161217121431366824575122610133182',15904,'9998',40.63,1,3,NULL),(25,6074090,'1990-10-31 00:00:00',4,8,12,2008,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216371732248839575112133267123',19998,'9997',34.59,1,3,NULL),(25,6074103,'1992-05-18 00:00:00',4,1,12,2009,'F','N','ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC','124242242116372431436613572124610117145',17787,'1222',39.26,1,3,NULL),(25,6074111,'1993-09-11 00:00:00',4,8,12,2010,'F','N','BAIRRO ALTO','CURITIBA','PR','116163161116471451548614575122610127087',8108,'9998',49.21,1,3,NULL),(25,6074120,'1994-02-17 00:00:00',4,3,12,2011,'F','S','ANDORINHA','ITAPEMA','SC','124242241215151431469919572122610167072',NULL,'781',43.18,1,3,NULL),(25,6074138,'1993-09-17 00:00:00',4,1,12,2010,'M','N','VILA MARIANA','S PAULO','SP','125252251215111431479934475125610164092',3262,'9998',62.43,1,3,NULL),(25,6074146,'1993-05-25 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241415111421465923342114610127042',17692,'270',39.41,1,3,NULL),(25,6074154,'1993-10-08 00:00:00',4,3,12,2010,'M','N','GUAIRA','CURITIBA','PR','116162161216111731438833595122610162057',NULL,'9998',0.00,1,3,NULL),(25,6074162,'1993-10-08 00:00:00',4,8,11,2011,'F','S','PIRABEIRABA','JOINVILLE','SC','124242241217111431478812595124610127142',NULL,'457',38.77,1,3,NULL),(25,6074189,'1991-06-10 00:00:00',4,8,12,2009,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124252246215471441478811415124610161142',NULL,'1061',0.00,4,3,NULL),(25,6074197,'1988-09-02 00:00:00',4,10,12,2007,'F','N','STO ANTÔNIO DE PÁDUA','TUBARÃO','SC','124241241415121431366933575122231026082',16763,'9999',40.99,1,3,NULL),(25,6074200,'1984-02-03 00:00:00',4,1,12,2002,'M','N','TAPERA','FLORIANÓPOLIS','SC','124161161116141431543234435124143216172',2609,'9998',67.15,1,2,1),(25,6074219,'1988-08-24 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241248137374751425639242215122311052',17710,'277',39.39,2,1,1),(25,6074227,'1993-05-14 00:00:00',2,1,12,2010,'F','N','CENTRO','VERANÓPOLIS','RS','120203201236161231236314475122610122197',16236,'9998',34.80,1,3,NULL),(25,6074235,'1991-10-25 00:00:00',4,1,12,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215472431577852572112610167057',8552,'270',50.54,1,3,NULL),(25,6074243,'1988-12-19 00:00:00',4,1,12,2007,'M','N','SERRARIA','S JOSÉ','SC','124242241117153451549813225124133268197',17144,'733',40.38,1,3,NULL),(25,6074251,'1992-02-09 00:00:00',4,3,11,2009,'M','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124242241236473431348813575115610124077',16783,'1038',37.29,1,3,NULL),(25,6074260,'1992-11-07 00:00:00',4,1,11,2010,'M','N','BUENO','GOIÂNIA','GO','109092091115111451489853595122610142052',2616,'9998',66.31,1,3,NULL),(25,6074278,'1992-05-26 00:00:00',2,17,12,2009,'F','N','VILA NOVA','MAFRA','SC','124241241117131411323439475224610135097',14929,'545',43.79,1,3,NULL),(25,6074294,'1988-05-12 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241122132451424629345123610137052',NULL,'290',27.50,1,2,1),(25,6074308,'1992-06-04 00:00:00',4,5,12,2008,'M','N','CRISTO REDENTOR','PTO ALEGRE','RS','120202201116572231389823571122610162047',122,'9998',82.74,1,3,NULL),(25,6074316,'1993-11-27 00:00:00',2,1,11,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241136241431426322291224610137082',NULL,'734',29.69,1,2,1),(25,6074324,'1992-06-22 00:00:00',4,1,12,2009,'F','N','MONTE CARLO','CPO GRANDE','MS','112122121216472411366612572112610132187',12683,'9998',41.00,1,3,NULL),(25,6074332,'1992-05-14 00:00:00',4,8,11,2009,'M','N','JARDIM SÃO PAULO','S PAULO','SP','125252251217471721579812572125610127047',NULL,'9998',0.00,1,3,NULL),(25,6074340,'1992-07-07 00:00:00',3,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216472451459913575122610167051',9023,'883',53.00,1,3,NULL),(25,6074359,'1993-04-04 00:00:00',2,10,12,2010,'M','N','SÃO CAMILO','GR PARÁ','SC','124242242115111431326616262224610144097',21157,'129',30.31,1,3,NULL),(25,6074367,'1990-09-11 00:00:00',2,1,6,2008,'M','N','BELA VISTA','PALHOÇA','SC','124241241127111131124944246333231424171',20690,'739',32.42,1,3,NULL),(25,6074375,'1993-12-22 00:00:00',2,1,12,2010,'M','N','CAPOERIAS','FLORIANÓPOLIS','SC','124242248216131421446514575122610164077',16003,'1198',37.96,1,3,NULL),(25,6074405,'1989-12-28 00:00:00',2,1,12,2007,'F','N','CRUZEIRO','PASSO FUNDO','RS','120201201116572411233361571124610162052',11405,'9998',44.10,1,2,1),(25,6074413,'1992-09-11 00:00:00',2,16,12,2009,'M','N','BOSQUE','CURITIBANOS','SC','124241241123271431333939582122610167052',19751,'742',33.56,1,2,1),(25,6074421,'1993-07-14 00:00:00',2,1,11,2010,'M','N','ENSEADA DE BRITO','PALHOÇA','SC','124242241215121431368613572124610114052',4455,'1022',59.64,1,3,NULL),(25,6074430,'1993-06-03 00:00:00',4,1,12,2010,'F','N','CENTRO','DR MAURÍCIO CARDOSO','RS','120201201217162431326923472124610136182',7045,'9998',52.18,1,3,NULL),(25,6074456,'1990-11-17 00:00:00',4,1,12,2010,'M','N','CENTRO','S JOÃO BATISTA','SC','124201247126141721633344245125231955077',NULL,'9999',0.00,1,3,NULL),(25,6074480,'1992-12-03 00:00:00',4,9,12,2010,'F','N','RIO BRANCO','CAXIAS SUL','RS','120202201216471411479814575122610162072',4151,'9998',59.80,1,3,NULL),(25,6074499,'1991-07-14 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241217131431546913575122233237117',NULL,'300',0.00,1,3,NULL),(25,6074502,'1992-07-18 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241117473431468939572124610123185',7011,'271',52.45,1,3,NULL),(25,6074510,'1990-05-23 00:00:00',4,1,12,2007,'F','N','ROSÁRIO','STA MARIA','RS','120203201116572431458914172112343244177',3456,'9998',61.16,1,3,NULL),(25,6074529,'1984-08-05 00:00:00',3,1,12,2002,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241216155751589913435122121468183',6165,'883',58.39,1,3,NULL),(25,6074537,'1992-01-06 00:00:00',4,1,12,2009,'M','N','CENTRO','CURITIBA','PR','116162161217471431568813572115610122182',3612,'9998',61.93,1,3,NULL),(25,6074545,'1992-08-20 00:00:00',2,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241116271731336319572124610163197',15140,'271',38.97,1,2,1),(25,6074553,'1994-10-29 00:00:00',4,1,12,2011,'M','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111731478613595124610164162',NULL,'270',59.29,1,3,NULL),(25,6074561,'1993-08-18 00:00:00',2,1,12,2010,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241117371731225529475114610164042',21485,'286',28.09,1,2,1),(25,6074570,'1994-10-27 00:00:00',4,5,11,2011,'F','S','PRÓSPERA','CRICIÚMA','SC','124244241215371431458834577124610124012',NULL,'226',51.61,1,3,NULL),(25,6074588,'1993-09-03 00:00:00',4,1,11,2010,'F','N','VILA GEORGINA','CAMPINAS','SP','125161251315111411358932575122610168143',NULL,'9998',0.00,1,3,NULL),(25,6074600,'1989-01-21 00:00:00',2,1,12,2006,'M','N','BATEL','CURITIBA','PR','116161161316572441448822374124610164117',537,'9998',77.31,1,3,NULL),(25,6074618,'1991-12-31 00:00:00',4,1,6,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124041247411471431537719575124610166117',NULL,'9999',15.46,1,3,NULL),(25,6074626,'1992-09-03 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124244248237111431324734571124610128097',NULL,'988',18.00,1,3,NULL),(25,6074634,'1993-02-15 00:00:00',2,6,12,2010,'F','N','ITAIPAVA','ITAJAÍ','SC','124243248415111431468714445122610147182',21229,'388',23.95,4,3,NULL),(25,6074642,'1993-02-08 00:00:00',4,1,12,2010,'F','N','CENTRO','MAFRA','SC','124244161217112731348924595122610133145',8246,'1169',50.28,1,3,NULL),(25,6074650,'1993-03-22 00:00:00',4,1,12,2009,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215214421468813585114610117181',16043,'270',35.91,1,3,NULL),(25,6074669,'1993-08-29 00:00:00',4,16,12,2010,'M','N','BERGER','CAÇADOR','SC','124244241215111432458913572122610167042',12509,'120',47.32,1,3,NULL),(25,6074677,'1991-11-06 00:00:00',4,3,11,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124163241417471431336617275122610144052',12334,'403',43.30,1,3,NULL),(25,6074685,'1993-04-08 00:00:00',4,1,11,2010,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125254251217111431579914475112610137117',8357,'9998',51.75,1,3,NULL),(25,6074693,'1992-12-12 00:00:00',4,1,12,2010,'M','N','BELA VISTA','S PAULO','SP','125252251316371511557929575124610167017',NULL,'9998',23.35,1,3,NULL),(25,6074707,'1993-08-24 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215112431468913575124610123142',6139,'270',56.89,1,3,NULL),(25,6074715,'1979-12-18 00:00:00',4,6,12,1998,'M','N','DOM BOSCO','ITAJAÍ','SC','124241241216572431424921572121132422187',11100,'402',49.52,1,3,NULL),(25,6074723,'1992-09-27 00:00:00',4,1,12,2010,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241116161411434374575124610122182',NULL,'591',14.18,1,2,1),(25,6074731,'1992-12-15 00:00:00',4,1,12,2010,'F','N','VILA SUIÇA','INDAIATUBA','SP','125252251217171421477769275122610162014',14443,'9998',44.53,1,3,NULL),(25,6074740,'1992-06-10 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215112431556923436124122232092',NULL,'738',34.11,1,3,NULL),(25,6074766,'1993-06-20 00:00:00',4,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124241241315131431523622575122610124097',21138,'976',30.45,1,3,NULL),(25,6074774,'1993-03-18 00:00:00',2,1,12,2010,'F','N','TREZE DE JULHO','ARACAJU','SE','126262261216111431466833575122610124047',1066,'9998',72.60,4,3,NULL),(25,6074782,'1993-07-30 00:00:00',4,1,12,2010,'M','N','PAGANI','PALHOÇA','SC','124244247417131431346923375112610128192',NULL,'9999',20.66,1,3,NULL),(25,6074790,'1994-04-08 00:00:00',4,17,10,2010,'F','N','REBOUÇAS','CURITIBA','PR','116244161217111711588932575122610143042',1698,'9998',68.31,1,3,NULL),(25,6074812,'1990-03-01 00:00:00',4,1,11,2007,'F','N','TATUAPE','S PAULO','SP','125252251215571431476614575122610162072',NULL,'9998',0.00,1,3,NULL),(25,6074820,'1993-08-24 00:00:00',2,3,12,2010,'F','N','CENTRO','GUARAPUAVA','PR','115162161217411431448711475122610161072',NULL,'9998',0.00,1,3,NULL),(25,6074839,'1993-04-06 00:00:00',2,1,12,2010,'F','N','INTERIOR','PTE PRETA','RS','120201201225111431543616291124610125012',10021,'9998',46.69,1,3,NULL),(25,6074847,'1993-08-08 00:00:00',4,3,12,2010,'M','N','VILA CARVALHO','CPO GRANDE','MS','112041121117131431228924293124610157057',NULL,'9998',0.00,4,2,1),(25,6074855,'1991-01-28 00:00:00',4,6,12,2008,'F','N','SÃO DOMINGOS','AMERICANA','SP','125254251215572731438613572122610126077',4559,'9998',58.65,1,3,NULL),(25,6074863,'1989-12-01 00:00:00',4,1,12,2007,'F','N','ALTO CAFEZAL','MARÍLIA','SP','125252251216571431447811575122610162127',1871,'9998',67.53,1,3,NULL),(25,6074871,'1992-05-15 00:00:00',4,1,11,2009,'F','N','CENTRO','SERTANÓPOLIS','PR','116162161216471431346921575122610142147',NULL,'9998',50.93,1,3,NULL),(25,6074880,'1992-08-15 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431489913471122610164092',9842,'270',51.62,1,3,NULL),(25,6074898,'1994-02-10 00:00:00',2,1,12,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241137371431536519492344610117041',NULL,'278',21.93,1,2,1),(25,6074901,'1983-01-09 00:00:00',2,4,12,2000,'M','N','CENTRO','ROMELÂNDIA','SC','124241241136132431323915385113141465177',NULL,'679',15.92,1,2,1),(25,6074910,'1993-05-15 00:00:00',4,1,12,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431458612575124610117042',718,'270',75.47,1,3,NULL),(25,6074928,'1993-04-19 00:00:00',4,1,12,2010,'M','N','PROCASA','S JOSÉ','SC','124242241216111232428614585112610117055',16837,'723',36.91,1,3,NULL),(25,6074936,'1991-10-11 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215575431469613572124133227041',1377,'738',71.26,1,3,NULL),(25,6074944,'1992-10-07 00:00:00',3,3,12,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215121731366317276114610166195',NULL,'1038',39.36,1,3,NULL),(25,6074952,'1992-10-17 00:00:00',4,3,12,2009,'M','N','BARREIRINHA','CURITIBA','PR','116162161216371711489732571111141464012',NULL,'9998',48.14,1,3,NULL),(25,6074960,'1990-09-20 00:00:00',4,1,12,2008,'F','N','PARQUE IMPERADOR','CAMPINAS','SP','125252251217572431378821575122610137017',3724,'9998',61.02,1,3,NULL),(25,6074979,'1993-08-01 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111451458831575122610167055',4330,'272',59.50,1,3,NULL),(25,6074995,'1989-07-13 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224201201126132731224344142233141217057',NULL,'9998',19.99,1,2,1),(25,6075002,'1987-12-25 00:00:00',4,9,12,2006,'M','N','FAZENDA PIRAJA','NOVA PETRÓPOLIS','RS','620201208116371432646339197125140628187',9535,'9998',49.14,1,2,1),(25,6075010,'1993-08-18 00:00:00',4,7,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116222161216121431387923272122610134141',NULL,'9998',28.60,1,3,NULL),(25,6075037,'1993-06-22 00:00:00',4,1,12,2010,'M','N','ALTO DA BOA VISTA','RIBEIRÃO PRETO','SP','125252251216171131459933575122610127042',3528,'9998',61.99,1,3,NULL),(25,6075045,'1993-09-24 00:00:00',4,1,11,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241127141411534414342124610134173',18418,'922',31.60,4,2,1),(25,6075053,'1993-03-25 00:00:00',4,3,12,2010,'M','N','QUEBEC','LONDRINA','PR','116162161217111411458823475122610137062',3816,'9998',61.12,3,3,NULL),(25,6075070,'1993-08-07 00:00:00',4,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242248215111431436632575122610134187',19996,'259',30.15,1,3,NULL),(25,6075088,'1990-02-03 00:00:00',3,1,12,2007,'F','N','JARDIM COSTA VERDE','VÁRZEA GRANDE','MT','111114111217153751331479575124241633187',14175,'9998',39.91,3,3,NULL),(25,6075096,'1992-10-12 00:00:00',4,17,12,2010,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116243241335161731527514572225610124177',19465,'635',29.55,1,3,NULL),(25,6075100,'1991-08-31 00:00:00',2,1,12,2010,'F','N','MARIA DE MAGGE','SUZANO','SP','125253251215371631436824595115610118012',NULL,'9998',0.00,1,3,NULL),(25,6075118,'1992-05-18 00:00:00',2,1,12,2009,'M','N','RES FAZ SERRINHA','ITATIBA','SP','125252251217271531578812575125141465042',NULL,'9998',NULL,1,3,NULL),(25,6075126,'1993-06-01 00:00:00',4,10,11,2010,'M','N','DEHON','TUBARÃO','SC','124242241216111431138913375115610167062',10012,'807',47.29,1,3,NULL),(25,6075134,'1993-06-03 00:00:00',2,1,12,2010,'F','N','JARDIM ITÚ SABARÁ','PTO ALEGRE','RS','120202201216171411237934575124610164082',NULL,'9998',0.00,1,3,NULL),(25,6075142,'1990-08-28 00:00:00',4,1,12,2007,'F','N','VILA NOVA','LAGES','SC','124242241215575431468832342122610167012',348,'499',78.89,1,3,NULL),(25,6075177,'1992-03-31 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241217472431348612474124610142147',213,'270',80.91,1,3,NULL),(25,6075185,'1992-03-26 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431336413375122610123192',14838,'737',39.91,1,3,NULL),(25,6075193,'1991-03-16 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241116142752453311435124610167147',14353,'298',44.65,1,2,1),(25,6075207,'1993-10-12 00:00:00',4,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217111731448513575124610123052',20289,'270',33.80,4,3,NULL),(25,6075223,'1992-05-10 00:00:00',4,1,11,2009,'F','N','CENTRO','BAURU','SP','125252251235471431478913596142610163183',7166,'9998',53.64,1,3,NULL),(25,6075258,'1994-05-02 00:00:00',2,1,11,2010,'F','N','VERA CRUZ','PASSO FUNDO','RS','120202201215111451456639392112610127147',NULL,'9998',0.00,1,3,NULL),(25,6075266,'1992-05-19 00:00:00',4,3,12,2009,'M','N','CENTRO','ITAPEMA','SC','124242241217472751357614385114231467042',2370,'407',67.94,1,3,NULL),(25,6075274,'1993-01-04 00:00:00',4,1,12,2010,'F','N','JARDIM SATELITE','S JOSÉ CAMPOS','SP','125254251116151731348834575122610148142',12895,'9998',41.67,1,3,NULL),(25,6075290,'1993-09-09 00:00:00',4,8,11,2010,'M','N','BOA VISTA','JOINVILLE','SC','124241246231151431459734571121610162011',19311,'1006',36.25,1,3,NULL),(25,6075304,'1993-06-18 00:00:00',4,1,11,2010,'F','N','ALTO','PIRACICABA','SP','125252251115111431357711585122610144193',NULL,'9998',0.00,1,3,NULL),(25,6075312,'1992-07-21 00:00:00',4,1,12,2009,'F','N','VILA PILOTO DOIS','TRÊS LAGOAS','MS','112121121117171331323339575114610153052',NULL,'9998',32.50,4,1,1),(25,6075339,'1992-05-17 00:00:00',4,1,12,2010,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241342171732634321372224610132012',NULL,'591',16.68,4,3,NULL),(25,6075355,'1992-09-10 00:00:00',2,1,12,2009,'F','N','CENTRO','GAROPABA','SC','124241241145132431423113385214610124142',NULL,'322',19.65,2,1,1),(25,6075363,'1994-05-05 00:00:00',2,15,12,2010,'F','N','JARDIM ITÁLIA','MELEIRO','SC','124244241215221431448934572122610137142',3332,'970',63.97,1,3,NULL),(25,6075371,'1992-07-29 00:00:00',2,8,11,2009,'F','N','CENTRO','JOINVILLE','SC','124242241215473431339911472122610134142',11134,'486',46.36,1,3,NULL),(25,6075380,'1993-04-13 00:00:00',4,3,12,2010,'F','N','CENTRO','S JOSÉ PINHAIS','PR','116162161215111531448834575114610127017',NULL,'9998',0.00,1,3,NULL),(25,6075398,'1991-10-03 00:00:00',4,8,11,2009,'M','N','VILA PIRES','STO ANDRÉ','SP','125252251217421431478612415122610164073',NULL,'9998',0.00,1,3,NULL),(25,6075428,'1992-04-30 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241216372751245429385124610138142',13103,'1074',46.46,1,3,NULL),(25,6075436,'1993-04-02 00:00:00',2,1,12,2010,'F','N','PRAIA DO ROSA','IMBITUBA','SC','124243241215121411326711275124610142182',4327,'1022',60.36,1,3,NULL),(25,6075444,'1993-09-18 00:00:00',4,1,12,2010,'F','N','SANTOS DUMONT','S JOSÉ','SC','124244241215271431448813575124610128043',NULL,'1022',31.44,1,3,NULL),(25,6075479,'1993-11-21 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124252241217371431489914575122610137052',1348,'262',70.93,1,3,NULL),(25,6075487,'1991-12-29 00:00:00',2,15,12,2009,'F','N','META','BAL ARROIO SILVA','SC','124241241117131722333711335124130213047',17247,'854',35.18,1,2,1),(25,6075495,'1988-09-21 00:00:00',2,1,12,2005,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124243241117153711323831186125422266175',NULL,'831',37.86,1,3,NULL),(25,6075509,'1992-07-24 00:00:00',4,1,12,2009,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241217372431479933345124133236092',NULL,'883',33.49,1,3,NULL),(25,6075517,'1991-10-11 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224201201117272711234353375122610138182',13491,'9998',41.09,1,2,1),(25,6075525,'1992-07-06 00:00:00',4,6,11,2010,'M','N','ITAIPAVA','ITAJAÍ','SC','124241244312111511448612572124612416112',NULL,'388',0.00,1,3,NULL),(25,6075533,'1993-02-03 00:00:00',2,2,12,2010,'F','N','SALTO WEISSBACH','BLUMENAU','SC','124241241215111431333324275124610126147',NULL,'71',17.22,1,3,NULL),(25,6075541,'1993-01-13 00:00:00',4,1,12,2010,'F','N','ANHANGUERA','GOIÂNIA','GO','109096091416111731536619595122610164187',NULL,'9998',16.84,4,3,NULL),(25,6075550,'1991-11-23 00:00:00',4,1,11,2009,'F','N','SNTA CATARINA','CAXIAS SUL','RS','120204207615471451439631574242610146097',NULL,'9998',0.00,1,3,NULL),(25,6075568,'1992-01-16 00:00:00',2,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124252241416112431629932485122610114127',20607,'298',32.72,1,3,NULL),(25,6075576,'1994-04-22 00:00:00',4,1,11,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','624242241217271431369919572124610124067',7471,'270',52.43,1,3,NULL),(25,6075584,'1993-03-18 00:00:00',4,8,12,2010,'M','N','AMÉRICA','JOINVILLE','SC','124242241216111441459613572122610168197',61,'1016',85.13,1,3,NULL),(25,6075592,'1993-07-31 00:00:00',2,8,12,2010,'M','N','CENTRO','RIO NEGRO','PR','116162161215111431329832295122610167014',10124,'9998',49.43,1,3,NULL),(25,6075606,'1993-05-30 00:00:00',4,1,12,2010,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125252251217111411437831585122610124012',NULL,'9998',0.00,1,3,NULL),(25,6075614,'1994-01-25 00:00:00',4,8,11,2010,'F','N','MOSSUNGUE','CURITIBA','PR','116243161216471411438611582124610147072',4300,'9998',60.47,1,3,NULL),(25,6075622,'1991-11-20 00:00:00',4,1,12,2009,'M','N','VILA NOVA','LAGES','SC','124242241215472431468832345112610162182',3477,'499',62.43,1,3,NULL),(25,6075630,'1991-11-20 00:00:00',4,4,12,2008,'F','N','UNIVERSITÁRIO','CHAPECÓ','SC','124241241116573431459913592124610163147',4370,'174',61.32,1,2,1),(25,6075657,'1988-05-05 00:00:00',2,1,12,2006,'M','N','NOSSA SENHORA DO ROS','S JOSÉ','SC','124161246212132431334414344122230227047',NULL,'1036',32.69,1,3,NULL),(25,6075665,'1973-12-31 00:00:00',4,1,12,1992,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124251251216273411126823482124121665187',10995,'9998',49.69,1,3,NULL),(25,6075673,'1991-04-11 00:00:00',4,1,1,2009,'M','N','BOA VISTA','S VICENTE','SP','125252281437571411589933571112610164047',3096,'9998',63.96,1,3,NULL),(25,6075681,'1978-11-02 00:00:00',2,1,11,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224161237146153731451453575122610166177',1790,'9998',68.46,1,2,1),(25,6075690,'1975-07-10 00:00:00',2,1,5,2010,'M','N','CENTRO','PONTÃO','RS','420203208647161431123541112322610162187',11931,'9998',43.69,1,3,NULL),(25,6075703,'1992-02-20 00:00:00',2,1,11,2010,'M','N','SERRARIA','S JOSÉ','SC','124243241112141431439613375124610137053',18441,'1116',32.83,1,3,NULL),(25,6075720,'1990-01-31 00:00:00',4,4,6,2008,'F','N','SÃO CRISTOVÃO','CHAPECÓ','SC','124243247647131431636612315223333261147',16197,'9999',35.95,4,3,NULL),(25,6075738,'1981-01-04 00:00:00',2,8,12,1999,'M','N','NOSSA SRA APARECIDA','CAMBUÍ','MG','213131131126131742323349195111140847047',20035,'9998',28.78,1,2,1),(25,6075746,'1991-12-20 00:00:00',4,1,12,2009,'M','N','NOVA POMPÉIA','PIRACICABA','SP','125252251217371431568833575112610164087',2644,'9998',64.94,1,3,NULL),(25,6075754,'1989-09-16 00:00:00',4,1,12,2007,'F','N','REAL PARQUE','S PAULO','SP','125252251236471411478831495122141024183',NULL,'9998',0.00,1,3,NULL),(25,6075770,'1993-07-11 00:00:00',2,1,11,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117371431663823595121610132147',12019,'288',44.12,4,2,1),(25,6075789,'1990-08-04 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124132137114132431228629474124222933093',14530,'9998',44.39,4,3,NULL),(25,6075797,'1991-11-23 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211274431469832572122231046183',5010,'270',60.82,1,3,NULL),(25,6075800,'1992-06-06 00:00:00',4,1,12,2009,'M','N','RECREIO DOS CAFEZAIS','VALINHOS','SP','125252253215371411489931341121610166122',2247,'9998',66.05,1,3,NULL),(25,6075827,'1991-02-03 00:00:00',2,1,12,2008,'F','N','ROÇADO','S JOSÉ','SC','124242241215112431436634345124122225097',NULL,'723',30.10,1,3,NULL),(25,6075835,'1992-08-04 00:00:00',2,8,11,2009,'F','N','BOA VISTA','JOINVILLE','SC','124241241216472411449714572112610164147',3309,'461',63.19,1,3,NULL),(25,6075843,'1991-06-16 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241217371431323314471124610126142',NULL,'1010',13.40,1,3,NULL),(25,6075851,'1993-02-21 00:00:00',4,1,11,2010,'M','N','PORTÃO','CURITIBA','PR','116162161215121331469713475114610117097',15352,'9998',40.63,1,3,NULL),(25,6075860,'1982-09-01 00:00:00',4,1,12,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224131131116151421233354245114610136183',14386,'9998',44.60,4,2,1),(25,6075878,'1992-06-23 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124162247217141451436914345124610114041',16331,'270',41.65,1,3,NULL),(25,6075908,'1993-01-02 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241216131731425524195124610112077',20921,'1105',31.40,1,3,NULL),(25,6075916,'1993-04-21 00:00:00',2,9,12,2010,'M','N','JARDIM AMERICA','ITUPORANGA','SC','124241242116131441213327375124610147012',11736,'1222',44.79,1,2,1),(25,6075924,'1993-05-29 00:00:00',2,2,12,2010,'F','N','SÃO PEDRO','BRUSQUE','SC','124242241215371431545639575122610126012',7850,'107',52.00,1,3,NULL),(25,6075932,'1990-07-13 00:00:00',4,1,12,2007,'F','N','SAUDE','S PAULO','SP','125252251217571431368924575112140266072',NULL,'9998',0.00,1,3,NULL),(25,6075940,'1993-11-09 00:00:00',4,3,12,2010,'F','N','PIO X','CAXIAS SUL','RS','120203211217111411456612575122610124145',7494,'9998',51.38,1,3,NULL),(25,6075959,'1993-01-24 00:00:00',4,1,12,2010,'M','N','JARDIM PETROPOLIS','ITAPECERICA SERRA','SP','125252251216111411438832492114610124082',NULL,'9998',0.00,4,3,NULL),(25,6075975,'1991-10-28 00:00:00',4,1,12,2009,'F','N','AQUÁRIOS','VINHEDO','SP','125254251215471431559814215122240922142',2801,'9998',64.56,1,3,NULL),(25,6075991,'1991-07-27 00:00:00',2,1,12,2008,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124202241216152411336817315132130867072',19852,'9997',35.02,1,3,NULL),(25,6076009,'1992-09-20 00:00:00',4,8,11,2010,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215371411464912575124610164192',1845,'457',68.04,1,3,NULL),(25,6076017,'1993-04-29 00:00:00',4,4,12,2010,'M','N','CENTRO','JESUÍTAS','PR','116162161212111411358839471121610122142',163,'9998',81.68,1,3,NULL),(25,6076025,'1993-08-25 00:00:00',4,4,12,2010,'F','N','NOVA DIVINÉIA','PINHALZINHO','SC','124241241114131731425411582122610128145',20606,'1032',26.77,1,2,1),(25,6076033,'1991-04-10 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116141431523314245124610124147',18053,'257',34.47,1,2,1),(25,6076041,'1992-04-24 00:00:00',4,1,12,2010,'M','N','ACUPE DE BROTAS','SALVADOR','BA','105052051217111731389934445112610167046',7765,'9998',50.92,1,3,NULL),(25,6076050,'1992-10-30 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116141231113479392324610116147',NULL,'307',20.13,1,2,1),(25,6076068,'1993-05-13 00:00:00',4,15,11,2010,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124243241215371411458412372121610137012',5756,'970',57.00,1,3,NULL),(25,6076076,'1993-08-07 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241215271411256934472112610124092',2788,'262',65.30,1,3,NULL),(25,6076084,'1991-04-09 00:00:00',4,1,11,2008,'F','N','NOVA PIRACICABA','PIRACICABA','SP','125254241415572431447821575122610124077',3141,'9998',63.35,1,3,NULL),(25,6076114,'1992-11-08 00:00:00',4,8,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241216151431338611572122610135192',9370,'441',52.41,1,3,NULL),(25,6076122,'1990-11-26 00:00:00',4,3,12,2007,'M','N','JARDIM EUROPA','UMUARAMA','PR','116161161215571441586611575124610121082',12219,'9998',43.29,1,3,NULL),(25,6076130,'1990-11-20 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215373441436513575124610167052',19044,'269',36.86,1,3,NULL),(25,6076149,'1993-05-27 00:00:00',2,1,12,2010,'M','N','ALTO ALEGRE','CASCAVEL','PR','116162161216111331576616365122610164042',17423,'9998',34.86,1,3,NULL),(25,6076157,'1992-08-19 00:00:00',2,2,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161236471731377732572122610134112',5705,'9998',56.70,1,3,NULL),(25,6076165,'1992-11-07 00:00:00',4,5,11,2009,'F','N','CABRAL','CURITIBA','PR','116222221216471411359933571124610123142',132,'9998',82.26,1,3,NULL),(25,6076173,'1993-07-29 00:00:00',4,1,11,2010,'F','N','CENTRO','TANGARÁ SERRA','MT','111112111217121431369934475122610138012',10240,'9998',46.58,1,3,NULL),(25,6076190,'1993-08-27 00:00:00',4,2,12,2010,'M','N','NOVA BRASILIA','BRUSQUE','SC','124241241117131442533624245124610114142',18288,'116',38.30,1,2,1),(25,6076203,'1991-08-07 00:00:00',4,1,12,2009,'M','N','VILA ROSA','S BERNARDO CAMPO','SP','125252251216522431346614571324610166047',NULL,'9998',0.00,1,3,NULL),(25,6076211,'1993-08-26 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241415111431336513575122610133045',9424,'272',49.18,1,3,NULL),(25,6076220,'1990-05-25 00:00:00',2,4,12,2007,'F','N','UNIVERSITÁRIO','CHAPECÓ','SC','124241248125573431443823575124613263147',NULL,'169',33.98,1,2,1),(25,6076254,'1992-06-05 00:00:00',2,4,12,2009,'F','N','CENTRO','GUARANIAÇU','PR','116161161115471431339614242215610127182',6970,'9998',53.50,1,2,1),(25,6076262,'1991-03-07 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241248317132431635332296124610127147',16672,'1022',41.13,1,3,NULL),(25,6076297,'1993-09-29 00:00:00',2,3,12,2010,'F','N','SOL NASCENTE','MARINGÁ','PR','116161161416271321436812275122610162146',18690,'9998',34.71,1,3,NULL),(25,6076300,'1993-07-02 00:00:00',2,4,12,2010,'F','N','CENTRO','ABELARDO LUZ','SC','124122241316151431439614575122610168077',NULL,'4',22.21,1,3,NULL),(25,6076319,'1993-12-10 00:00:00',4,4,12,2010,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124244241215111431428611171124610138142',21441,'185',28.48,1,3,NULL),(25,6076327,'1992-09-24 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472411568833572122610123122',1133,'270',73.25,1,3,NULL),(25,6076343,'1990-09-17 00:00:00',2,1,12,2009,'F','N','PINHEIRA','PALHOÇA','SC','124241241126271731523311285124610132047',19620,'595',31.32,1,2,1),(25,6076360,'1993-10-18 00:00:00',2,16,12,2010,'M','N','INTERIOR','LEBON RÉGIS','SC','124243241114161432536616265112610137012',NULL,'532',0.00,1,3,NULL),(25,6076378,'1990-06-17 00:00:00',4,1,11,2008,'M','N','JD STA MENA','GUARULHOS','SP','125052251216571441238833275114610167042',5272,'9998',57.46,4,3,NULL),(25,6076386,'1993-10-14 00:00:00',4,1,12,2010,'F','N','JARDIM LEBLON','CPO GRANDE','MS','112122121216471211448613375124610117017',2724,'9998',63.63,2,3,NULL),(25,6076394,'1993-11-11 00:00:00',4,17,12,2010,'M','N','CENTRO','PAPANDUVA','SC','124164161215111742446933274124610147057',NULL,'9998',0.00,4,3,NULL),(25,6076408,'1993-04-26 00:00:00',4,1,11,2010,'F','N','CORREGO SECO','ITAMBARACÁ','PR','116162161216121431448816575122610124122',9667,'9998',51.93,1,3,NULL),(25,6076416,'1990-03-16 00:00:00',4,1,11,2007,'F','N','CENTRO','LONDRINA','PR','116162161215515431448813575112610163182',10992,'9998',45.06,1,3,NULL),(25,6076424,'1993-02-04 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431379923575112610164072',3582,'270',61.72,1,3,NULL),(25,6076432,'1993-01-05 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431478933575112610132122',15592,'988',38.42,1,3,NULL),(25,6076440,'1993-01-12 00:00:00',2,1,10,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215152431478833575124610136182',8855,'1169',50.19,1,3,NULL),(25,6076459,'1992-12-12 00:00:00',2,1,11,2010,'F','N','SANTOS DUMONT','S JOSÉ','SC','124243241115141431436634345122610122047',21559,'732',27.37,1,3,NULL),(25,6076467,'1990-09-04 00:00:00',2,8,12,2007,'M','N','SANTA CATARINA','JOINVILLE','SC','124241241125271411333319341124610128147',NULL,'480',27.05,1,2,1),(25,6076475,'1994-05-06 00:00:00',2,1,12,2011,'F','S','PANTANAL','FLORIANÓPOLIS','SC','124242248215111451526821495124610114112',NULL,'270',31.76,1,3,NULL),(25,6076483,'1991-06-23 00:00:00',2,1,12,2008,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241116232431539922145114610163182',NULL,'307',20.14,4,2,1),(25,6076491,'1991-10-21 00:00:00',2,1,12,2008,'F','N','SANTA CECÍLIA','PTO ALEGRE','RS','120202201216571731357912595124610124057',1981,'9998',67.72,1,3,NULL),(25,6076521,'1993-11-22 00:00:00',2,1,12,2010,'F','N','BELA VISTA II','S JOSÉ','SC','124241241216111431466613345124610126037',16401,'1076',37.17,1,3,NULL),(25,6076548,'1992-01-23 00:00:00',4,1,12,2009,'M','N','CENTRO','MARIALVA','PR','116162161215471431528616575115610164052',8830,'9998',50.06,3,3,NULL),(25,6076556,'1994-02-15 00:00:00',4,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241315471431538413575124610134032',NULL,'300',33.92,1,3,NULL),(25,6076564,'1994-02-15 00:00:00',5,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431568833572122610122102',6527,'270',57.64,1,3,NULL),(25,6076572,'1991-11-01 00:00:00',4,15,12,2010,'F','N','MATO ALTO','ARARANGUÁ','SC','124241244115131421436511575122610137147',21169,'30',25.31,1,2,1),(25,6076580,'1991-03-05 00:00:00',4,1,12,2008,'M','N','JARDIM CELESTE','S PAULO','SP','124222221217572411466924471124610124122',858,'9998',73.06,1,3,NULL),(25,6076599,'1993-05-02 00:00:00',4,8,12,2010,'F','N','VILA LENZI','JARAGUÁ SUL','SC','124241241117151231446654575122610114017',NULL,'425',30.63,1,2,1),(25,6076602,'1993-08-30 00:00:00',4,1,11,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111431569911575124610141145',NULL,'262',42.15,1,3,NULL),(25,6076629,'1992-12-28 00:00:00',4,1,12,2009,'M','N','HIGIENOPOLIS','S PAULO','SP','125252251217271441238831595124610164054',5969,'9998',55.05,1,3,NULL),(25,6076637,'1993-06-24 00:00:00',4,8,12,2010,'M','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124161161117371731433332575124610137142',NULL,'9998',0.00,1,2,1),(25,6076645,'1992-11-06 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124212241215111431469714575122610122041',3029,'270',63.18,1,3,NULL),(25,6076653,'1993-01-09 00:00:00',4,1,11,2010,'F','N','CENTRO','PALHOÇA','SC','124242241215111531458714575112610123141',17651,'1022',34.96,1,3,NULL),(25,6076661,'1990-09-06 00:00:00',4,1,12,2008,'F','N','CAMBUÍ','CAMPINAS','SP','125252251215471431449814574112610123127',7655,'9998',50.58,1,3,NULL),(25,6076670,'1993-05-25 00:00:00',4,10,12,2010,'F','N','TAIPA','ORLEANS','SC','124241241117371431323436572122610124052',18687,'748',32.13,1,3,NULL),(25,6076688,'1987-07-14 00:00:00',2,8,12,2005,'F','N','AMERICA','JOINVILLE','SC','124161241126371431224344345124610164115',17875,'479',35.97,1,2,1),(25,6076696,'1994-03-01 00:00:00',2,3,11,2010,'M','N','CENTRO','CURITIBA','PR','116161161217471431369932572112610124062',5199,'9998',59.04,1,3,NULL),(25,6076700,'1993-05-07 00:00:00',4,3,11,2010,'M','N','JD UMARIZAL','S PAULO','SP','125252251216371431568833575124610167122',12821,'9998',42.87,1,3,NULL),(25,6076718,'1992-01-27 00:00:00',4,2,12,2009,'F','N','PROGRESSO','BLUMENAU','SC','124241241147131411434614345114610122181',NULL,'80',26.65,1,3,NULL),(25,6076726,'1992-11-10 00:00:00',4,7,12,2009,'F','N','BATEL','CURITIBA','PR','116162161216412431356911575122610125092',622,'9998',75.34,1,3,NULL),(25,6076734,'1993-02-20 00:00:00',4,16,12,2009,'F','N','BOSQUE','CURITIBANOS','SC','124241244135371431338923372122610163147',14839,'239',39.18,1,2,1),(25,6076742,'1989-03-21 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241116232431539922145114610143182',NULL,'307',9.99,4,2,1),(25,6076769,'1993-01-07 00:00:00',2,15,12,2010,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241115141431523313342122610137187',NULL,'29',19.32,1,3,NULL),(25,6076777,'1992-06-25 00:00:00',4,1,12,2009,'F','N','JARDIM BONFIGLIOLI','JUNDIAÍ','SP','125252251215471431589934572122610122043',NULL,'9998',0.00,1,3,NULL),(25,6076793,'1993-01-28 00:00:00',2,1,11,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111431358614475114610167042',15571,'1022',39.32,1,3,NULL),(25,6076815,'1993-08-12 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431569814445122610128072',9659,'262',49.43,1,3,NULL),(25,6076823,'1993-07-30 00:00:00',2,1,12,2010,'F','N','JARDIM ALVORADA','COSMÓPOLIS','SP','125253251215111431421624572344610163142',4531,'9998',58.43,1,3,NULL),(25,6076840,'1991-11-08 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215573431436777345334610127062',5777,'1022',57.35,1,3,NULL),(25,6076858,'1991-09-07 00:00:00',4,1,11,2009,'M','N','VILA EMBARÉ','VALINHOS','SP','125252251216471431389814575122610111072',4120,'9998',60.74,1,3,NULL),(25,6076866,'1994-03-12 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115272451449733592124610132143',19009,'271',36.92,1,2,1),(25,6076874,'1992-07-18 00:00:00',4,4,12,2010,'M','N','CRUZEIRO','S LOURENÇO OESTE','SC','124243166115371411446839345124610162037',4698,'9998',58.39,1,3,NULL),(25,6076882,'1992-07-29 00:00:00',4,1,12,2010,'F','N','AGUA VERDE','CURITIBA','PR','116162161417471431388613575122610162117',NULL,'9998',0.00,1,3,NULL),(25,6076904,'1992-11-25 00:00:00',4,8,11,2009,'M','N','JARDIM PAULISTA','CAMPINA G SUL','PR','116162161236572511334829215124610162072',NULL,'9998',0.00,1,3,NULL),(25,6076912,'1989-01-14 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117271431128944242124131064147',NULL,'192',22.34,1,2,1),(25,6076920,'1993-11-15 00:00:00',4,1,12,2010,'F','N','CENTRO','CANELINHA','SC','124241241215272431349813375122610167052',8256,'1119',51.12,1,3,NULL),(25,6076939,'1993-08-23 00:00:00',4,16,12,2010,'F','N','MAROMBAS','BRUNÓPOLIS','SC','124241241127331431413315572324610158142',NULL,'911',20.12,1,2,1),(25,6076955,'1993-03-16 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215152432558879575124610147122',3192,'1022',62.49,1,3,NULL),(25,6076963,'1989-08-05 00:00:00',4,1,11,2007,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124244241215133431479517572112133267065',13265,'270',46.27,1,3,NULL),(25,6076971,'1992-09-07 00:00:00',4,1,12,2009,'M','N','JARDIM DAS BANDEIRAS','FOZ IGUAÇU','PR','116162161237152231146611575124241467052',2205,'9998',66.99,3,3,NULL),(25,6076980,'1993-09-13 00:00:00',4,15,12,2010,'M','N','JARDIM CIBELI','ARARANGUÁ','SC','124241241115371411424331572124610138097',15359,'30',37.48,1,2,1),(25,6077005,'1993-08-16 00:00:00',2,1,12,2010,'F','N','VILA CONDE DO PINHAL','S PAULO','SP','125251251216111331447814475122610142092',8218,'9998',51.45,1,3,NULL),(25,6077013,'1991-03-20 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124161241115573731547534572114610132051',11046,'732',47.92,1,2,1),(25,6077021,'1975-12-17 00:00:00',3,1,12,1996,'F','N','CENTRO','FLORIANÓPOLIS','SC','224204207126151411563351335122222226182',NULL,'9998',0.00,1,3,NULL),(25,6077048,'1988-10-09 00:00:00',4,4,12,2005,'M','N','SANTA MARIA','CHAPECÓ','SC','124252241215575431568714591122610124041',2634,'270',64.38,1,3,NULL),(25,6077056,'1990-02-18 00:00:00',2,3,11,2007,'F','N','VILA CELIA','CPO GRANDE','MS','112122121215571431343312225122610122147',6178,'9998',55.43,1,3,NULL),(25,6077064,'1994-07-19 00:00:00',4,15,12,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124242241215111732456732375122610137142',12826,'970',46.87,1,3,NULL),(25,6077072,'1993-07-03 00:00:00',4,1,12,2010,'F','N','CENTRO','ALEGRETE','RS','120201201116371751413479591125610117072',NULL,'9998',0.00,1,3,NULL),(25,6077080,'1993-04-24 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241248115131411424414342124610121047',NULL,'257',22.23,1,2,1),(25,6077099,'1978-01-04 00:00:00',4,1,12,1995,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241212133411435639492122343245104',NULL,'269',22.58,1,3,NULL),(25,6077102,'1992-09-23 00:00:00',2,1,11,2010,'M','N','SANTA TERESA','PTO ALEGRE','RS','120202201216111411159969295114610167117',NULL,'9998',20.77,1,3,NULL),(25,6077110,'1993-09-06 00:00:00',2,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215131531436634572122610164077',13862,'723',42.80,1,3,NULL),(25,6077129,'1991-05-09 00:00:00',2,1,12,2008,'F','N','N S DO ROSÁRIO','S JOSÉ','SC','124241241116273431526621585124121418197',11731,'729',48.57,1,2,1),(25,6077137,'1991-06-26 00:00:00',4,4,12,2008,'F','N','TACCA','XANXERÊ','SC','124242241216573431568932595122610162097',3276,'836',63.59,1,3,NULL),(25,6077145,'1993-05-25 00:00:00',4,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116141431524319395122610116072',NULL,'727',18.16,1,2,1),(25,6077153,'1993-06-09 00:00:00',4,1,12,2010,'M','N','TIRADENTES','CPO GRANDE','MS','112122121216121731239624575123610134092',NULL,'9998',30.12,4,3,NULL),(25,6077170,'1993-07-09 00:00:00',4,1,11,2010,'F','N','CAPIM MACIO','NATAL','RN','119192191217211431238824575122610127112',4454,'9998',62.12,1,3,NULL),(25,6077188,'1986-06-15 00:00:00',4,1,12,2003,'M','N','CENTRO','CANELINHA','SC','124241241127161431326423245123610126142',3883,'142',62.24,1,2,1),(25,6077196,'1992-06-27 00:00:00',2,16,12,2010,'F','N','INTERIOR','BRUNÓPOLIS','SC','124241241145371431514413572224610158051',NULL,'911',28.23,1,2,1),(25,6077200,'1994-05-17 00:00:00',2,1,12,2010,'F','N','CENTRO','S JOSÉ','SC','124241248116131731525629295124610124057',NULL,'728',28.10,1,3,NULL),(25,6077218,'1981-11-09 00:00:00',2,1,12,1998,'F','N','CENTRO','FLORIANÓPOLIS','SC','224202201116171721324653335124342268197',NULL,'9998',29.72,1,3,NULL),(25,6077226,'1993-07-10 00:00:00',4,3,12,2010,'F','N','TINGUI','CURITIBA','PR','116162161215471431439933575114610163097',NULL,'9998',0.00,1,3,NULL),(25,6077234,'1992-11-19 00:00:00',2,1,12,2009,'M','N','JARDIM AMÉRICA','GOIÂNIA','GO','109092091215371231556812575112610124092',7299,'9998',56.18,3,3,NULL),(25,6077242,'1993-07-02 00:00:00',2,1,12,2010,'F','N','SANTA CATARINA','BIGUAÇU','SC','124241241115271431473412572124610164073',NULL,'21',32.30,1,2,1),(25,6077250,'1992-10-18 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216132431379923575124231043187',7333,'269',56.13,1,3,NULL),(25,6077269,'1994-02-14 00:00:00',2,16,12,2010,'M','N','ZONA RURAL','FR ROGÉRIO','SC','124241241115151431426635272212610138142',14373,'320',39.64,1,3,NULL),(25,6077277,'1992-09-12 00:00:00',3,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217113431369813475122610147143',15581,'1133',42.12,1,3,NULL),(25,6077285,'1994-02-09 00:00:00',2,9,12,2010,'F','N','VILA NOVA','BLUMENAU','SC','124242241316111431478814575122610134097',12549,'88',41.64,1,3,NULL),(25,6077293,'1994-02-28 00:00:00',4,1,12,2010,'F','N','RIO BRANCO','CAXIAS SUL','RS','120202201216371431478613575122610142097',7387,'9998',53.16,1,3,NULL),(25,6077315,'1986-02-27 00:00:00',2,15,12,2003,'F','N','JARDIM NICOLAU','JACINTO MACHADO','SC','124241241126131321231144245131132026187',NULL,'420',12.93,1,2,1),(25,6077323,'1991-03-26 00:00:00',4,1,12,2008,'M','N','SÃO DIMAS','PIRACICABA','SP','125252251211511232347338581112610164027',3657,'9998',64.17,1,3,NULL),(25,6077331,'1985-09-24 00:00:00',4,8,7,2004,'M','N','VILA NOVA','JOINVILLE','SC','124243247331171732225569245122610151177',NULL,'487',24.43,1,3,NULL),(25,6077340,'1993-03-30 00:00:00',4,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124242241217121431388923432112610166192',7021,'909',56.71,1,3,NULL),(25,6077358,'1993-02-27 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241217121431438634372124610121017',8295,'1022',50.92,1,3,NULL),(25,6077374,'1992-06-02 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117131441223834345124610126052',21404,'288',28.76,1,2,1),(25,6077390,'1991-01-07 00:00:00',2,9,12,2008,'F','N','CENTRO','PALMAS','PR','124162161216572431436832572122610164092',13463,'9998',40.95,1,3,NULL),(25,6077404,'1993-03-13 00:00:00',2,9,12,2010,'F','N','CENTRO','S JOAQUIM','SC','124241241316371411423615375122610134177',NULL,'719',0.00,1,3,NULL),(25,6077412,'1992-05-26 00:00:00',4,1,12,2009,'F','N','ARIRIÚ','PALHOÇA','SC','124243241116142411536513242114610162147',NULL,'772',0.00,1,3,NULL),(25,6077439,'1992-07-06 00:00:00',4,1,11,2010,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215211441539733575124610122047',21193,'1022',30.10,1,3,NULL),(25,6077447,'1993-10-11 00:00:00',4,7,11,2010,'F','N','CENTRO','CATANDUVAS','SC','124242241216111411459832575112610133092',14608,'454',39.49,1,3,NULL),(25,6077463,'1989-08-08 00:00:00',2,1,12,2007,'M','N','PARAÍSO','S PAULO','SP','125252251216574411238823475112610147057',8996,'9998',50.15,1,3,NULL),(25,6077471,'1992-12-25 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215271731563821575114610122047',NULL,'1022',0.00,1,3,NULL),(25,6077480,'1993-09-11 00:00:00',2,1,12,2010,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124161241315111431426427575124610113097',19646,'1048',31.27,1,3,NULL),(25,6077498,'1993-04-20 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431359411571122610166182',973,'1169',73.09,1,3,NULL),(25,6077501,'1992-10-17 00:00:00',4,1,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241217473431139912274124610126142',449,'226',78.04,1,3,NULL),(25,6077510,'1963-12-07 00:00:00',2,1,12,1987,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224201208127371711421251312115610148147',17048,'9998',36.07,1,3,NULL),(25,6077528,'1993-04-29 00:00:00',2,1,12,2010,'M','N','JARDIM JUDITH','LONDRINA','PR','116164161217111431438714471124610137015',10677,'9998',44.49,1,3,NULL),(25,6077536,'1990-12-04 00:00:00',4,3,12,2008,'M','N','JARDIM TROPICAL','OURINHOS','SP','125252251215572431457831591115610117047',5384,'9998',56.30,1,3,NULL),(25,6077552,'1993-06-13 00:00:00',2,9,12,2010,'M','N','PLANALTO','S JOSÉ OURO','RS','120201201116161431443834572122610122142',15669,'9998',37.18,1,2,1),(25,6077560,'1989-09-12 00:00:00',2,4,12,2007,'F','N','PARQUE DAS PALMEIRAS','CHAPECÓ','SC','124021241116152431438619475112610164192',NULL,'181',15.27,1,2,1),(25,6077579,'1993-10-08 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111431458711575124610125092',6573,'270',55.04,1,3,NULL),(25,6077587,'1993-10-04 00:00:00',4,1,12,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124243241215131431356613175112610137041',10088,'1119',48.16,1,3,NULL),(25,6077595,'1991-04-01 00:00:00',2,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241125271231126544242334610124142',NULL,'290',21.59,1,2,1),(25,6077617,'1991-11-08 00:00:00',4,1,12,2008,'F','N','JARDIM MARINGA','S PAULO','SP','125252251216571411438813385115610132147',2858,'9998',62.72,1,3,NULL),(25,6077625,'1991-06-30 00:00:00',4,1,11,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244247215371431456812575112610136192',15960,'9999',37.02,1,3,NULL),(25,6077633,'1994-01-19 00:00:00',2,4,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116114161215111531457716575122610162017',NULL,'9998',0.00,1,3,NULL),(25,6077641,'1993-04-06 00:00:00',4,8,11,2010,'F','N','BUTIATUVINHA','CURITIBA','PR','116284251215111431488812572112610126145',NULL,'9998',0.00,1,3,NULL),(25,6077650,'1993-02-18 00:00:00',4,2,12,2010,'M','N','JARDIM AMÉRICA','RIO SUL','SC','124242241315131431443724575121610117052',17760,'658',33.31,1,3,NULL),(25,6077668,'1991-10-08 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431488833575122610122077',253,'270',80.31,4,3,NULL),(25,6077684,'1989-09-28 00:00:00',4,1,12,2007,'M','N','JARDIM FLÓRIDA','JACAREÍ','SP','125252251217371531578714575112140232047',5331,'9998',57.21,1,3,NULL),(25,6077692,'1990-10-31 00:00:00',4,1,11,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215573431369933572122610111155',8701,'270',50.11,1,3,NULL),(25,6077706,'1991-01-08 00:00:00',4,4,12,2007,'M','N','CENTRO','PÉROLA','PR','116161161116471431425611182124610136197',1642,'9998',68.82,1,2,1),(25,6077714,'1983-03-26 00:00:00',4,1,12,2002,'M','N','RATONES','FLORIANÓPOLIS','SC','124241247427132531545519342114133232057',NULL,'270',22.25,1,3,NULL),(25,6077722,'1993-10-31 00:00:00',2,1,12,2010,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215111431259932422112610135012',11454,'262',44.70,1,3,NULL),(25,6077730,'1993-04-21 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111411436814275124610133095',14163,'1022',40.46,1,3,NULL),(25,6077749,'1993-12-09 00:00:00',2,1,11,2010,'F','N','CENTRO','BIGUAÇU','SC','124242241215111431356633575112610164052',1452,'262',70.85,1,3,NULL),(25,6077757,'1992-10-04 00:00:00',4,1,12,2009,'F','N','GRANDE COLORADO','SOBRADINHO','DF','107072071216471431488931575122610167043',3617,'9998',60.80,1,3,NULL),(25,6077765,'1993-09-23 00:00:00',2,2,12,2010,'M','N','VILA NOVA','BLUMENAU','SC','124241241116111412658833575124610127162',19628,'88',35.49,1,3,NULL),(25,6077781,'1991-12-08 00:00:00',4,8,12,2008,'F','N','CENTRO','S FRANCISCO SUL','SC','624241241117131511224854271212610121097',NULL,'710',0.00,1,2,1),(25,6077803,'1993-07-15 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116141431433511385114610133142',21339,'307',22.83,1,2,1),(25,6077811,'1991-04-06 00:00:00',4,15,12,2009,'F','N','CENTRO','S LEOPOLDO','RS','120203201216571421538614571125610134197',9738,'9998',48.79,1,3,NULL),(25,6077820,'1990-11-26 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241216134431326644345124230764042',NULL,'269',0.00,1,3,NULL),(25,6077838,'1992-08-11 00:00:00',2,5,11,2009,'M','N','IMIGRANTES','CRICIÚMA','SC','124242241215472431434933575124610167057',11595,'210',44.98,2,3,NULL),(25,6077854,'1993-03-29 00:00:00',4,5,10,2010,'M','N','SANTO ANTÔNIO','CRICIÚMA','SC','124242241213152431439824571124610164092',787,'226',74.48,1,3,NULL),(25,6077889,'1993-08-21 00:00:00',4,1,12,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241216111431346619595122610122172',14435,'1074',39.38,1,3,NULL),(25,6077897,'1992-12-22 00:00:00',4,9,11,2010,'M','N','UNIVERSITÁRIO','LAGES','SC','124242241215111431588931575112610168042',10855,'1207',46.93,1,3,NULL),(25,6077900,'1991-01-12 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124242241216473731455812395124220767182',7530,'737',52.96,3,3,NULL),(25,6077919,'1992-05-26 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241215371741456814575114610163033',20235,'300',33.96,1,3,NULL),(25,6077927,'1977-01-09 00:00:00',2,1,12,1994,'F','N','VILA MORANGUEIRA','MARINGÁ','PR','116161161117131421222351572124610165187',NULL,'9998',0.00,1,2,1),(25,6077943,'1992-07-19 00:00:00',4,1,12,2009,'M','N','ALTO DA BOA VISTA','S PAULO','SP','125252251216471331478831571121610127047',NULL,'9998',54.29,1,3,NULL),(25,6077951,'1993-05-31 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217372431346632575124610128182',2764,'88',64.95,1,3,NULL),(25,6077978,'1993-07-03 00:00:00',2,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241116141731325539395122610136145',NULL,'296',21.71,1,2,1),(25,6077986,'1991-10-11 00:00:00',2,1,12,2010,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241248215111731455512492124610123092',19885,'1011',34.90,1,3,NULL),(25,6077994,'1992-08-06 00:00:00',4,1,11,2010,'F','N','JD APOLLO II','S JOSÉ CAMPOS','SP','125252251215111731468814575122610163127',3557,'9998',62.29,1,3,NULL),(25,6078001,'1987-09-04 00:00:00',2,4,11,2006,'M','N','ALVORADA','CHAPECÓ','SC','124241241121174441127674345224133262047',16156,'177',36.65,1,2,1),(25,6078010,'1992-03-24 00:00:00',2,8,12,2009,'F','N','NAÇÕES','FAZ RIO GRANDE','PR','116163161315471431436614575124610164197',11741,'9998',43.72,1,3,NULL),(25,6078028,'1994-04-21 00:00:00',4,1,12,2011,'M','S','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215151421479911175124610144015',NULL,'270',54.07,1,3,NULL),(25,6078044,'1993-07-05 00:00:00',4,4,12,2009,'M','N','ARI LUNARDI','XAXIM','SC','124242242217471431458916272124610167067',13528,'836',45.88,1,3,NULL),(25,6078052,'1991-05-03 00:00:00',2,1,12,2008,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241116131431623534445224232736126',17185,'288',40.32,1,2,1),(25,6078060,'1993-05-18 00:00:00',4,8,12,2010,'M','N','CENTRO','ARAPONGAS','PR','116162161116151431345923571121610167042',12086,'9998',43.81,1,3,NULL),(25,6078079,'1992-02-17 00:00:00',2,15,12,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124244241415131431323529575124610124017',NULL,'29',18.82,4,3,NULL),(25,6078095,'1991-12-21 00:00:00',4,1,12,2009,'M','N','PQ SAO BENTO','LIMEIRA','SP','125252251217471432458814271112610167046',5218,'9998',58.50,1,3,NULL),(25,6078109,'1992-09-15 00:00:00',4,8,11,2010,'M','N','PIRABEIRABA','JOINVILLE','SC','124242241217371431378934575122610137112',12264,'1063',44.11,1,3,NULL),(25,6078117,'1992-10-29 00:00:00',4,1,11,2010,'F','N','CENTRO','TANGARÁ SERRA','MT','116112161216271231388932575112141067073',6681,'9998',57.33,1,3,NULL),(25,6078125,'1995-04-28 00:00:00',2,15,12,2011,'F','S','GUARITA','SOMBRIO','SC','124243241217151431444412575124610133072',NULL,'770',23.99,1,3,NULL),(25,6078133,'1991-04-15 00:00:00',4,1,11,2008,'F','N','CENTRO','STO ANDRÉ','SP','125252258216571431436614175115610114097',21567,'9998',27.29,1,3,NULL),(25,6078141,'1993-10-06 00:00:00',4,8,12,2010,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124241241125131431326319282125610127157',NULL,'426',0.00,1,2,1),(25,6078150,'1993-01-17 00:00:00',2,3,12,2010,'M','N','VILA REAL','BAL CAMBORIÚ','SC','124122241215111431684632575122610127042',16484,'1038',41.41,1,3,NULL),(25,6078168,'1992-12-14 00:00:00',4,1,12,2010,'F','N','JARDIM SHANGAI','JUNDIAÍ','SP','125252251217111731579811575112610127143',6257,'9998',54.99,1,3,NULL),(25,6078176,'1994-05-30 00:00:00',2,4,12,2010,'F','N','CENTRO','QUILOMBO','SC','124245241626161431436914275122610117147',12937,'648',44.15,1,3,NULL),(25,6078184,'1993-05-01 00:00:00',4,7,12,2010,'F','N','SÃO CRISTÓVÃO','CONCÓRDIA','SC','124241241111371331543612575122610147047',17529,'858',34.83,1,2,1),(25,6078192,'1988-06-01 00:00:00',2,1,12,2005,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124111111126133441126644145224143232187',11268,'9998',46.10,4,2,1),(25,6078206,'1993-07-12 00:00:00',4,8,11,2010,'F','N','ABRANCHES','CURITIBA','PR','116162161217151431448823275122610166097',8504,'9998',50.87,1,3,NULL),(25,6078214,'1993-08-06 00:00:00',4,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124241241117141431223329345114610117045',NULL,'591',16.20,1,2,1),(25,6078222,'1992-08-09 00:00:00',2,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','116162161215471431659814575124610164012',5891,'9998',57.97,3,3,NULL),(25,6078230,'1993-11-30 00:00:00',2,4,12,2010,'F','N','NSA SRA DE FÁTIMA','XANXERÊ','SC','124241241117161731523611575125610114092',NULL,'949',18.00,1,2,1),(25,6078257,'1993-11-27 00:00:00',4,1,11,2010,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215151431588813475114610167062',4770,'270',59.03,1,3,NULL),(25,6078273,'1993-05-07 00:00:00',2,3,12,2010,'M','N','VAL PARAISO','STO ANDRÉ','SP','125254251136271231356722575122610128172',NULL,'9998',0.00,1,3,NULL),(25,6078281,'1990-06-23 00:00:00',4,1,12,2009,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241117132431426869345124223215182',NULL,'307',0.00,1,2,1),(25,6078290,'1985-04-23 00:00:00',2,15,11,2002,'F','N','JARDIM DAS AVENIDAS','BAL ARROIO SILVA','SC','224241241132131421223454182122610122127',NULL,'29',34.89,1,2,1),(25,6078303,'1991-01-16 00:00:00',2,1,12,2009,'M','N','TIJUCO DAS TELHAS','CAMPINAS','SP','125252251237472751488814595112610162187',4928,'9998',59.00,1,3,NULL),(25,6078311,'1990-11-25 00:00:00',4,1,11,2010,'F','N','PACHECO','PALHOÇA','SC','124243241316131431223329385124610134172',NULL,'9997',0.00,1,3,NULL),(25,6078320,'1992-07-15 00:00:00',2,1,12,2009,'F','N','ARIRIÚ','PALHOÇA','SC','124241241127371431433316375124610137053',17959,'14',33.34,1,2,1),(25,6078338,'1992-07-21 00:00:00',2,8,12,2009,'F','N','COLISEU','LONDRINA','PR','116162161216471431648822572122610122056',7770,'9998',51.00,1,3,NULL),(25,6078346,'1990-02-16 00:00:00',4,1,11,2010,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241215111411338632425124610164092',21216,'270',26.37,1,3,NULL),(25,6078354,'1991-11-15 00:00:00',2,1,12,2008,'F','N','CENTRO','NAVEGANTES','SC','124243241317132431426923242121610128047',20221,'570',29.93,4,1,2),(25,6078389,'1994-01-21 00:00:00',4,2,12,2011,'F','S','VILA NOVA','BLUMENAU','SC','124242241217111731356934575122610164072',NULL,'909',69.24,1,3,NULL),(25,6078397,'1992-11-27 00:00:00',4,1,12,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241121141451436414245124610133172',NULL,'1097',23.76,1,2,1),(25,6078419,'1992-01-13 00:00:00',2,1,12,2010,'M','N','CENTRO','STA MARIA','RS','120222201217111711246923392125610148183',11264,'9997',45.02,4,3,NULL),(25,6078427,'1992-09-28 00:00:00',4,6,12,2010,'F','N','SAO JUDAS','ITAJAÍ','SC','124244241215371431324714275124610128097',NULL,'388',13.85,1,3,NULL),(25,6078435,'1992-11-18 00:00:00',4,3,12,2009,'M','N','LAGO PARQUE','LONDRINA','PR','116162161216411431469812525122610127042',7610,'9998',53.30,1,3,NULL),(25,6078443,'1993-01-30 00:00:00',4,1,12,2010,'F','N','CAMPESTRE','PIRACICABA','SP','125252251217111431354812575112610137072',NULL,'9998',32.84,1,3,NULL),(25,6078451,'1993-08-03 00:00:00',4,17,12,2010,'F','N','PORTÃO','CURITIBA','PR','116162161235111731448814445122610163141',5153,'9998',57.36,1,3,NULL),(25,6078460,'1988-09-26 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215575451458933572114610112147',141,'270',82.05,1,3,NULL),(25,6078478,'1993-10-08 00:00:00',4,10,10,2010,'F','N','CENTRO','CAPIVARI BAIXO','SC','124242241215272431466813274112610137052',181,'806',81.38,1,3,NULL),(25,6078486,'1991-09-20 00:00:00',4,1,12,2009,'F','N','CERQUEIRA CESAR','S PAULO','SP','125252251211472431238724542122610163193',6112,'9998',55.25,1,3,NULL),(25,6078494,'1993-02-27 00:00:00',4,8,11,2010,'M','N','SANTO INÁCIO','CURITIBA','PR','116162161215121431489932575112610167042',7593,'9998',52.12,1,3,NULL),(25,6078508,'1992-12-10 00:00:00',4,1,12,2009,'F','N','AZAMBUJA','BRUSQUE','SC','124241241147141732323544345114610141147',NULL,'1019',35.13,1,2,1),(25,6078524,'1992-10-02 00:00:00',4,1,12,2010,'F','N','ALTO DE MAFRA','MAFRA','SC','124241241217111431448613472122610144142',NULL,'541',31.00,1,3,NULL),(25,6078532,'1992-03-10 00:00:00',2,15,12,2009,'F','N','CENTRO','TORRES','RS','120202201216471741456633575122610128182',NULL,'9998',36.04,1,3,NULL),(25,6078559,'1992-02-19 00:00:00',4,1,12,2009,'M','N','CENTRO','APUCARANA','PR','116162161217411431426923495112610165187',12754,'9998',46.98,1,3,NULL),(25,6078575,'1993-07-26 00:00:00',4,15,12,2010,'M','N','CENTRO','BAL ARROIO SILVA','SC','124241241135151431233923475124610127052',19316,'30',32.64,1,2,1),(25,6078583,'1993-02-11 00:00:00',4,10,11,2010,'F','N','MONTE CASTELO','TUBARÃO','SC','124244241215111421437712322122610128072',15083,'807',43.56,1,3,NULL),(25,6078591,'1993-05-28 00:00:00',2,7,12,2010,'M','N','JARDIM AMÉRICA','FRAIBURGO','SC','124241241217111231333619275122610146147',16735,'317',35.88,1,3,NULL),(25,6078605,'1992-05-13 00:00:00',4,1,11,2009,'F','N','VILA IZABEL','CURITIBA','PR','116162161217472731559934575114610163142',3873,'9998',61.24,1,3,NULL),(25,6078613,'1992-06-18 00:00:00',4,1,12,2010,'M','N','MARIA AP PEDROSSIAN','CPO GRANDE','MS','112123121115111431446619292124610147067',5686,'9998',57.11,1,3,NULL),(25,6078621,'1992-07-29 00:00:00',4,1,11,2010,'M','N','PORTÃO','LAURO FREITAS','BA','105052051217111731369614575122610164042',9162,'9998',52.75,4,3,NULL),(25,6078630,'1992-06-06 00:00:00',4,1,12,2009,'F','N','ST ANTÔNIO DE LISBOA','FLORIANÓPOLIS','SC','124242241215372441438833575114123243181',7128,'1022',56.50,1,3,NULL),(25,6078648,'1993-09-08 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241116471731325414175124610167057',18364,'257',34.14,1,3,NULL),(25,6078656,'1992-12-04 00:00:00',4,16,12,2010,'M','N','DAS NAÇÕES','FRAIBURGO','SC','124241241215131431433923575122610137077',12721,'317',47.04,1,3,NULL),(25,6078664,'1992-02-26 00:00:00',4,8,12,2009,'F','N','GLORIA','JOINVILLE','SC','125242241216471431589711571124610141096',3013,'1063',64.95,1,3,NULL),(25,6078672,'1993-05-25 00:00:00',4,2,12,2010,'M','N','PINHEIROS','POUSO REDONDO','SC','124241248415131432324419175124610146197',NULL,'1013',NULL,1,3,NULL),(25,6078680,'1991-09-22 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215263731333247255222232735175',9879,'1050',51.54,2,3,NULL),(25,6078699,'1992-05-19 00:00:00',2,1,12,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115131232211329272124610147042',12655,'267',43.78,1,2,1),(25,6078702,'1990-07-05 00:00:00',2,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241216154431263823285122231437057',NULL,'724',37.80,1,3,NULL),(25,6078745,'1993-05-14 00:00:00',4,1,12,2010,'F','N','CENTRO','CPO MOURÃO','PR','116162161237111731469933375122610117012',11866,'9998',43.77,1,3,NULL),(25,6078753,'1993-09-20 00:00:00',4,3,11,2010,'F','N','JARDIM SANTOS DUMONT','PARANAVAÍ','PR','116162161246111411548812571122610134177',368,'9998',78.50,1,3,NULL),(25,6078770,'1993-05-07 00:00:00',4,1,11,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','624244241415141731439811396124610164187',3023,'1133',65.87,1,3,NULL),(25,6078788,'1994-12-19 00:00:00',4,10,11,2010,'F','N','CENTRO','JAGUARUNA','SC','124241241215121431448613432122610136157',NULL,'797',0.00,1,3,NULL),(25,6078800,'1993-11-30 00:00:00',4,8,11,2010,'F','N','FLORESTA','JOINVILLE','SC','124243241215111231346432575122610147042',6220,'461',58.28,1,3,NULL),(25,6078818,'1992-01-07 00:00:00',4,3,12,2010,'F','N','AREIAS','CAMBORIÚ','SC','124241245145141431536612245123610168027',NULL,'130',13.98,1,2,1),(25,6078834,'1993-03-21 00:00:00',4,5,10,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215112431374923395122610134052',9546,'226',52.15,1,3,NULL),(25,6078842,'1993-12-20 00:00:00',4,1,10,2010,'M','N','CENTRO','TUBARÃO','SC','124242241215111731459814375112610162047',11450,'806',43.52,4,3,NULL),(25,6078850,'1992-08-12 00:00:00',4,3,11,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116062161215472411356923572112610133117',11488,'9998',43.99,1,3,NULL),(25,6078869,'1989-06-28 00:00:00',2,4,12,2006,'F','N','CENTRO','PATO BRANCO','PR','116111111217111431457716575122241468197',NULL,'9998',0.00,1,3,NULL),(25,6078885,'1993-12-28 00:00:00',4,1,11,2010,'F','N','CENTRO','BIGUAÇU','SC','124242241215111431559914475124610127052',2949,'270',64.20,1,3,NULL),(25,6078893,'1993-12-11 00:00:00',2,1,12,2010,'F','N','CACHOEIRA','CURITIBA','PR','116161161115471411336614342122610132097',NULL,'9998',0.00,4,2,1),(25,6078907,'1993-07-08 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241415111731226624572124610114147',17157,'1022',36.56,4,3,NULL),(25,6078915,'1992-04-29 00:00:00',4,1,12,2010,'M','N','VILA BONILHA','S PAULO','SP','125252251235121431568814573122610164047',NULL,'9998',0.00,1,3,NULL),(25,6078923,'1993-01-23 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241135141331436424345124610114057',NULL,'288',30.19,1,2,1),(25,6078931,'1993-09-04 00:00:00',4,2,11,2010,'F','N','VELHA CENTRAL','BLUMENAU','SC','124242241215121411456714276124610132182',252,'855',80.31,1,3,NULL),(25,6078940,'1993-12-22 00:00:00',4,1,11,2010,'F','N','CENTRO','IJUÍ','RS','120202201216111431327779595125610164147',NULL,'9998',0.00,1,3,NULL),(25,6078958,'1993-01-13 00:00:00',4,1,12,2010,'F','N','JD GURILÂNDIA','TAUBATÉ','SP','125251258215111431236934571122610133092',6420,'9998',53.69,1,3,NULL),(25,6078966,'1990-12-04 00:00:00',4,1,12,2009,'M','N','VILA MARIANA','S PAULO','SP','125252251216371411449931371125610134032',11825,'9998',43.49,1,3,NULL),(25,6078974,'1992-09-24 00:00:00',4,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215122431567712575124610146012',3780,'270',62.35,1,3,NULL),(25,6078982,'1993-04-26 00:00:00',4,1,12,2010,'M','N','JARDIM CARPI','MAIRIPORÃ','SP','125252253237111431448834375122610137047',3039,'9998',62.93,3,3,NULL),(25,6079008,'1992-03-06 00:00:00',4,8,12,2009,'M','N','OFICINAS','PNT GROSSA','PR','116162161216471431459734575112610167042',14481,'9998',39.01,1,3,NULL),(25,6079016,'1993-10-12 00:00:00',2,8,12,2010,'F','N','IRIRIU','JOINVILLE','SC','124242241217371431688932375124610124122',21342,'462',29.20,1,3,NULL),(25,6079024,'1993-02-18 00:00:00',2,10,11,2010,'M','N','SÃO MARTINHO','TUBARÃO','SC','124241241215412431346812274124610136182',6109,'807',56.54,1,3,NULL),(25,6079032,'1993-06-15 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241213121432449912572112610168051',17890,'270',39.06,1,3,NULL),(25,6079040,'1989-12-15 00:00:00',4,8,11,2007,'F','N','ZONA II','MARINGÁ','PR','116162161215572431589931575112610164197',1713,'9998',69.54,1,3,NULL),(25,6079059,'1992-02-07 00:00:00',4,7,12,2009,'M','N','VILA PLANALTO','DOURADOS','MS','112122121215472431578633575112610162182',833,'9998',73.59,1,3,NULL),(25,6079067,'1992-04-24 00:00:00',2,8,2,2011,'M','N','SÃO JOSÉ','CANOAS','RS','124202241436371411476924571124610142041',3745,'459',61.67,1,3,NULL),(25,6079075,'1992-08-08 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241216142421568513345122610127142',18228,'724',34.87,1,3,NULL),(25,6079083,'1985-09-19 00:00:00',4,2,12,2003,'M','N','VILA GERMER','TIMBÓ','SC','124241241127151411434439445111610166187',10958,'870',49.74,1,3,NULL),(25,6079091,'1992-10-31 00:00:00',2,1,12,2009,'F','N','ARIRIÚ','PALHOÇA','SC','124241241127131731523639342124233233142',NULL,'593',36.54,1,2,1),(25,6079105,'1992-04-16 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241112272221435314345124610126147',NULL,'257',31.37,1,2,1),(25,6079121,'1993-03-23 00:00:00',2,1,12,2010,'F','N','SÃO JOSÉ','S JOSÉ','SC','124241241215111431333523595124610128147',16457,'737',36.37,1,3,NULL),(25,6079148,'1987-10-22 00:00:00',2,1,12,2005,'F','N','JARDIM MESQUITA','JACAREÍ','SP','125252251216571431448611275124610146197',NULL,'9998',0.00,1,3,NULL),(25,6079156,'1988-09-13 00:00:00',2,4,12,2005,'F','N','CENTRO','CHAPECÓ','SC','124241241116271431123444442134610144147',NULL,'162',0.00,1,2,1),(25,6079164,'1987-10-16 00:00:00',4,5,12,2004,'M','N','PINHEIRINHO','CRICIÚMA','SC','124241241116272231433414345122230727052',NULL,'228',0.00,1,2,1),(25,6079172,'1983-03-19 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124281131417573441578631445124321144057',8398,'9998',54.14,1,3,NULL),(25,6079199,'1991-09-18 00:00:00',4,4,12,2008,'F','N','CENTRO','STO ANTÔNIO SUDOESTE','PR','116161161317571431458913574122610163172',852,'9998',73.78,1,3,NULL),(25,6079202,'1992-08-25 00:00:00',4,1,12,2009,'F','N','CAIÇARA','BELO HORIZONTE','MG','113252131217572431459923576122610163147',131,'9998',81.44,1,3,NULL),(25,6079237,'1992-06-11 00:00:00',4,8,12,2009,'F','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120201202111471431449831371124610167057',4963,'9998',57.58,1,2,1),(25,6079245,'1993-08-25 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241116131431426613485124610125197',20591,'288',27.58,4,2,1),(25,6079253,'1992-09-09 00:00:00',4,6,12,2009,'M','N','FAZENDA','ITAJAÍ','SC','124242241217312451479813575124610137062',NULL,'270',0.00,1,3,NULL),(25,6079261,'1988-11-16 00:00:00',2,1,12,2005,'M','N','FUNDOS','BIGUAÇU','SC','124241241116241431325623245113130267052',19501,'65',35.83,1,2,1),(25,6079270,'1993-10-18 00:00:00',4,1,12,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124244241315111431549969575122610127142',NULL,'270',0.00,1,3,NULL),(25,6079288,'1991-12-16 00:00:00',2,8,12,2008,'M','N','ATUBA','COLOMBO','PR','116162161415572431335319575114610124072',1497,'9998',71.27,1,3,NULL),(25,6079296,'1993-04-11 00:00:00',4,8,12,2010,'M','N','LENÇÓL','S BENTO SUL','SC','124241241115141331536612345124610127062',20659,'697',25.86,1,2,1),(25,6079326,'1993-01-16 00:00:00',2,1,12,2010,'M','N','BAIRRO CAMPECHE','FLORIANÓPOLIS','SC','124242241215112431338613375124610154012',NULL,'262',38.24,1,3,NULL),(25,6079350,'1992-09-01 00:00:00',4,4,12,2009,'M','N','VILA SESAMO','XANXERÊ','SC','124242248112271431433823341124610137047',NULL,'949',25.66,1,3,NULL),(25,6079369,'1966-10-05 00:00:00',4,1,12,1983,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','224252251216131431557852385122340656197',9085,'9998',52.91,1,3,NULL),(25,6079377,'1993-07-20 00:00:00',4,17,11,2010,'M','N','CENTRO','CURITIBA','PR','116162161215121421678732225112610167067',NULL,'9998',0.00,1,3,NULL),(25,6079393,'1993-09-19 00:00:00',2,1,12,2010,'F','N','XV DE NOVEMBRO','TIJUCAS','SC','124241241215111631543933295124610163087',18829,'1119',31.97,1,3,NULL),(25,6079407,'1993-04-15 00:00:00',2,10,12,2010,'M','N','CENTRO','TORRES','RS','120201201115231751216629195125610113187',15088,'9998',38.62,1,2,1),(25,6079415,'1993-02-19 00:00:00',4,1,12,2010,'M','N','RESIDENCIAL VILA VER','CAMPINAS','SP','125252253111111411478912422124610167047',9158,'9998',48.62,1,3,NULL),(25,6079431,'1993-08-03 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111531336821575112610166041',1359,'270',71.99,1,3,NULL),(25,6079440,'1992-05-24 00:00:00',4,2,12,2009,'F','N','PADRE EDUARDO','TAIÓ','SC','124242241216132411336619375121230236052',7171,'776',54.69,1,3,NULL),(25,6079458,'1994-04-08 00:00:00',4,6,12,2010,'F','N','PORTAL','DOURADOS','MS','112122121235111731448812575122610167147',20620,'9998',32.68,4,3,NULL),(25,6079466,'1990-10-15 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241415371412448613345124610134147',15289,'269',38.64,1,3,NULL),(25,6079474,'1992-02-24 00:00:00',2,1,12,2009,'F','N','CENTRO','FORMOSA','GO','109133091216371441468612475123610137187',NULL,'9998',0.00,1,3,NULL),(25,6079482,'1983-05-18 00:00:00',2,1,11,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241211153411137741411132332034047',NULL,'211',29.68,1,3,NULL),(25,6079504,'1992-07-25 00:00:00',2,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124251251137471431525311392114610118192',19691,'9998',29.64,2,1,1),(25,6079512,'1992-11-16 00:00:00',2,1,12,2009,'M','N','JARDIM AMERICA','BAURU','SP','125252251215371431357732575122610164042',NULL,'9998',39.90,1,3,NULL),(25,6079520,'1992-08-15 00:00:00',4,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241135471751221621372324610154187',NULL,'288',31.12,1,2,1),(25,6079539,'1992-06-29 00:00:00',2,15,7,2010,'F','N','CENTRO','TURVO','SC','124243243216161212548612325121610112052',20755,'995',26.62,1,3,NULL),(25,6079555,'1975-08-22 00:00:00',2,1,12,1997,'M','N','PANTANAL','FLORIANÓPOLIS','SC','624252247226154421336641115122321665047',6582,'9999',53.06,1,3,NULL),(25,6079563,'1993-02-11 00:00:00',4,2,12,2010,'F','N','SANTA RITA','BRUSQUE','SC','124242241216272431269934445122610126092',6989,'109',52.84,1,3,NULL),(25,6079571,'1993-11-28 00:00:00',2,1,11,2010,'M','N','JARDIM ZANELLATO','S JOSÉ','SC','124241241117221431423479285124610167057',NULL,'257',23.47,1,2,1),(25,6079580,'1992-09-05 00:00:00',2,1,12,2009,'M','N','CENTRO','MARINGÁ','PR','116162161216271211228831575121610127082',8347,'9998',51.35,1,3,NULL),(25,6079598,'1992-02-13 00:00:00',4,5,11,2009,'M','N','SÃO LUIZ','CRICIÚMA','SC','124232246216132431638613345123610124067',17602,'995',39.59,1,3,NULL),(25,6079601,'1993-11-20 00:00:00',4,9,12,2010,'M','N','PINHEIROS','OTACÍLIO COSTA','SC','124241243115141541436322242124610127142',21083,'935',24.68,1,2,1),(25,6079610,'1992-10-04 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217472431468911115124233224017',6606,'951',53.95,1,3,NULL),(25,6079636,'1992-09-02 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215371431328634572124610123141',13697,'1049',40.86,1,3,NULL),(25,6079644,'1947-03-03 00:00:00',2,1,12,1980,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','224241247121131711626649391132610116047',21669,'9999',25.73,2,1,1),(25,6079660,'1987-05-18 00:00:00',2,1,12,2004,'M','N','CENTRO CIVICO','CURITIBA','PR','116164161211471421569819495114343267047',NULL,'9998',0.00,1,3,NULL),(25,6079679,'1993-10-23 00:00:00',4,1,11,2010,'M','N','CIDADE JARDIM','JACAREÍ','SP','125252251215111431478811475122610122041',5347,'9998',58.11,1,3,NULL),(25,6079687,'1992-10-22 00:00:00',2,4,12,2010,'F','N','SANTA MARIA','CHAPECÓ','SC','124241241131131331313421272124610136177',NULL,'169',21.19,4,2,1),(25,6079709,'1993-04-24 00:00:00',2,7,12,2010,'M','N','CENTRO','TANGARÁ','SC','124241241145141231423314142122610127047',16658,'779',41.15,1,2,1),(25,6079717,'1993-05-31 00:00:00',2,1,12,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124244241327271431269634592124610147117',18373,'290',38.16,1,3,NULL),(25,6079733,'1993-08-13 00:00:00',4,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','124241241117271411448939572125610156182',10398,'146',46.01,1,2,1),(25,6079741,'1993-05-11 00:00:00',2,1,12,2010,'F','N','PRADO','BIGUAÇU','SC','124241241116271431323622575114610137145',NULL,'65',0.00,1,2,1),(25,6079750,'1992-08-16 00:00:00',4,6,11,2009,'M','N','CABEÇUDAS','ITAJAÍ','SC','124242241217572431458712475112610167092',9812,'392',46.81,1,3,NULL),(25,6079768,'1992-07-23 00:00:00',4,1,11,2009,'F','N','CABRAL','CURITIBA','PR','116162161215571431469814575112610162037',6308,'9998',55.00,1,3,NULL),(25,6079776,'1988-02-10 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSÉ','SC','120242241215575431427833311325610147087',2691,'1022',64.82,1,3,NULL),(25,6079784,'1993-01-29 00:00:00',4,2,12,2010,'F','N','SEMINARIO','CORUPÁ','SC','124241241136131431433614155124610137142',NULL,'203',0.00,1,2,1),(25,6079792,'1992-01-10 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116152431326333282124610167147',21492,'281',28.02,1,2,1),(25,6079806,'1977-08-30 00:00:00',4,1,12,1998,'F','N','SERRARIA','S JOSÉ','SC','224242247215273431249553445124131022187',21012,'9999',28.32,1,3,NULL),(25,6079822,'1993-12-08 00:00:00',2,4,12,2010,'M','N','CENTRO','CAPANEMA','PR','116161161216151431469929575122610137042',3721,'9998',60.31,1,3,NULL),(25,6079849,'1993-05-01 00:00:00',4,1,11,2010,'F','N','ROÇADO','S JOSÉ','SC','101012011217111431487832571112610163072',NULL,'9998',19.68,1,3,NULL),(25,6079857,'1993-09-19 00:00:00',4,9,12,2010,'F','N','GUARUJÁ','LAGES','SC','124241241116271721426321292124610128147',NULL,'503',28.52,2,2,1),(25,6079881,'1991-02-24 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215274531468813345124610163097',8903,'1022',53.23,1,3,NULL),(25,6079890,'1990-04-13 00:00:00',4,1,12,2007,'M','N','CENTRO','IBIPORÃ','PR','116162161215511331448615572122610134177',303,'9998',78.98,3,3,NULL),(25,6079903,'1980-10-06 00:00:00',3,1,12,1998,'M','N','ITARARÉ','VITÓRIA','ES','108081084116131451423219485124610127187',NULL,'9998',0.00,4,2,1),(25,6079911,'1991-05-01 00:00:00',4,1,12,2010,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124243241217371431446633575124610124042',NULL,'1175',23.36,1,3,NULL),(25,6079920,'1992-05-15 00:00:00',4,1,12,2010,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','123244241217471731548833572124610164017',13674,'9997',45.68,1,3,NULL),(25,6079938,'1993-10-18 00:00:00',2,4,12,2010,'F','N','CENTRO','S LOURENÇO OESTE','SC','124241241126131231423311215122610166147',NULL,'744',0.00,1,2,1),(25,6079946,'1993-11-30 00:00:00',2,1,12,2010,'M','N','RIO GRANDE','PALHOÇA','SC','124241241115371431323411115124610157047',13245,'592',41.76,4,2,1),(25,6079962,'1993-05-24 00:00:00',2,16,12,2010,'F','N','BOM JESUS','CURITIBANOS','SC','124241244115471711438914575122610113075',18814,'239',31.43,1,2,1),(25,6079970,'1993-07-04 00:00:00',2,3,12,2010,'M','N','CENTRO','CAMBORIÚ','SC','124241241116371431224634575122610167057',19947,'1043',31.39,4,2,1),(25,6080006,'1991-04-06 00:00:00',2,1,12,2008,'M','N','BARRA DO ARRIRIÚ','PALHOÇA','SC','124241241127373211223321342123610142017',8400,'1109',52.27,1,2,1),(25,6080030,'1993-12-25 00:00:00',4,6,12,2010,'F','N','CENTRO','ITAJAÍ','SC','103032031217151231359934482122610165192',19439,'9998',29.95,1,3,NULL),(25,6080049,'1993-08-26 00:00:00',2,7,12,2010,'M','N','CENTRO','MAXIMILIANO ALMEIDA','RS','120201201127141431323621381123610164092',NULL,'9998',20.66,1,2,1),(25,6080057,'1990-12-16 00:00:00',4,5,12,2007,'M','N','CENTRO','CRICIÚMA','SC','124241241215573221236623275125610162041',13332,'226',41.55,1,3,NULL),(25,6080073,'1971-01-25 00:00:00',4,1,10,1992,'M','N','TAPERA','FLORIANÓPOLIS','SC','124162166136153451248643232122340867087',6160,'9998',54.94,3,3,NULL),(25,6080081,'1993-03-28 00:00:00',4,1,12,2010,'M','N','JD DIDINHA','JACAREÍ','SP','125252251116471431456614235122610167057',16948,'9998',35.13,1,3,NULL),(25,6080090,'1991-06-14 00:00:00',4,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241124372431211312575124230227043',21572,'274',27.22,4,2,1),(25,6080103,'1992-10-10 00:00:00',4,3,12,2009,'F','N','ESTADOS','BAL CAMBORIÚ','SC','124244241216142431538512345125610144017',13829,'53',40.22,4,3,NULL),(25,6080111,'1985-05-28 00:00:00',2,1,1,2004,'F','N','CENTRO','PALHOÇA','SC','124201206115274431236674475124610162141',15403,'9998',43.05,2,1,1),(25,6080120,'1990-08-01 00:00:00',2,1,12,2008,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241316322411427851345114610167142',20747,'1022',32.16,4,1,2),(25,6080146,'1987-04-06 00:00:00',4,3,6,2004,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244247417371411448821445122333242182',2504,'967',65.77,2,1,2),(25,6080154,'1992-02-09 00:00:00',2,10,12,2009,'F','N','MAR GROSSO','LAGUNA','SC','124242241215372431333819572124610136042',8124,'525',51.16,1,3,NULL),(25,6080170,'1993-09-10 00:00:00',4,6,11,2010,'M','N','ARIRIBÁ','BAL CAMBORIÚ','SC','124242241215111431448813575122610167047',NULL,'1038',0.00,1,3,NULL),(25,6080197,'1990-08-26 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124241241114373431422874345123610122147',18673,'734',32.11,1,2,1),(25,6080200,'1986-12-12 00:00:00',4,1,12,2004,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241117373431369813572122320662091',2470,'267',65.61,1,2,1),(25,6080219,'1992-11-15 00:00:00',2,1,12,2010,'F','N','JARDIM SÃO MIGUEL','BIGUAÇU','SC','124241241115161741426513575124610135082',NULL,'65',0.00,1,2,1),(25,6080227,'1993-01-18 00:00:00',2,9,12,2010,'M','N','CENTRO','LAGES','SC','124243241415111441238834345112610124142',NULL,'515',0.00,1,3,NULL),(25,6080243,'1992-06-19 00:00:00',2,1,12,2009,'F','N','CANOAS','RIO SUL','SC','124241241116371741224644245125610126177',12265,'658',43.95,1,2,1),(25,6080251,'1992-04-09 00:00:00',4,1,10,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241215111431579813596124610117032',21178,'1022',30.19,1,3,NULL),(25,6080260,'1993-06-26 00:00:00',4,8,12,2010,'M','N','BOM RETIRO','JOINVILLE','SC','124241241215271421258612215112610167042',NULL,'1006',9.68,4,3,NULL),(25,6080278,'1989-01-16 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','624243247422141712323344445122610164197',NULL,'9999',0.00,2,1,2),(25,6080294,'1985-10-09 00:00:00',4,1,12,2004,'F','N','JURERE','FLORIANÓPOLIS','SC','124201241116131431325151282134610158097',NULL,'9998',15.40,1,2,1),(25,6080316,'1992-12-01 00:00:00',4,1,12,2010,'F','N','CENTRO','TELÊMACO BORBA','PR','116164161416371431679914572112610164172',3217,'9998',62.93,1,3,NULL),(25,6080324,'1993-01-01 00:00:00',4,8,12,2010,'M','N','PARQUE CALIFORNIA','JACAREÍ','SP','125252256217371431366813245124610166047',15566,'9998',37.96,1,3,NULL),(25,6080332,'1990-12-24 00:00:00',4,8,12,2008,'M','N','SCHROEDER I','SCHROEDER','SC','124241241126141441434339345123610161012',19543,'993',35.70,4,2,1),(25,6080340,'1992-04-06 00:00:00',4,1,11,2009,'M','N','TUCANO','LONDRINA','PR','116162161215471711469931572112610164042',NULL,'9998',0.00,1,3,NULL),(25,6080367,'1993-05-25 00:00:00',4,5,12,2010,'F','N','LINHA FERREIRA PONTE','COCAL SUL','SC','124241241116371441534336575124610167071',20403,'189',33.43,1,3,NULL),(25,6080375,'1993-07-10 00:00:00',4,1,12,2010,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124242241215371731334619346114610133117',18028,'1075',35.07,1,3,NULL),(25,6080391,'1992-06-30 00:00:00',4,8,12,2009,'F','N','CENTRO','MARINGÁ','PR','116162161215471431568815574122610163182',3624,'9998',62.50,1,3,NULL),(25,6080405,'1992-02-29 00:00:00',4,2,12,2009,'M','N','QUINTINO BOCAIÚVA','TIMBÓ','SC','124241241127151411546511445121610114172',12255,'870',45.55,1,3,NULL),(25,6080413,'1987-07-01 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124251251147472712223644146124610121141',NULL,'9998',17.32,4,1,1),(25,6080430,'1993-05-11 00:00:00',2,1,12,2010,'M','N','FLAMBOYANT','CPO GRANDE','MS','112122128216311431438824295124610163142',13069,'9998',42.65,4,3,NULL),(25,6080464,'1991-12-10 00:00:00',2,1,7,2008,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124241247211312441526839345124610118042',18676,'270',33.85,1,3,NULL),(25,6080472,'1994-01-24 00:00:00',2,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241116371431436613475124610132147',19155,'49',31.37,1,3,NULL),(25,6080499,'1992-09-17 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124162241217472531468612275125610167045',7898,'270',55.01,1,3,NULL),(25,6080502,'1992-10-04 00:00:00',4,16,12,2010,'F','N','BOM JESUS','CURITIBANOS','SC','124241241135371731434414375122610126013',NULL,'239',13.14,1,3,NULL),(25,6080529,'1991-03-05 00:00:00',4,1,12,2009,'M','N','CENTRO','CIANORTE','PR','116164161115571111536532475114610112082',16290,'9998',37.06,1,3,NULL),(25,6080537,'1993-08-24 00:00:00',4,1,12,2010,'M','N','JARDIM ATLÂNTICO','S JOSÉ','SC','124204241216131731637612595124610137042',18402,'1134',38.10,1,3,NULL),(25,6080545,'1988-06-04 00:00:00',4,1,12,2005,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241147473431335719445131610112187',13001,'322',42.39,1,2,1),(25,6080570,'1992-04-20 00:00:00',2,10,12,2009,'M','N','PAES LEME','IMBITUBA','SC','124241241115472431546419585115610131017',9885,'1034',47.60,1,2,1),(25,6080596,'1991-07-22 00:00:00',4,1,7,2011,'M','S','COSTEIRA','FLORIANÓPOLIS','SC','124243247227151711637113211114610164013',NULL,'9999',15.59,1,3,NULL),(25,6080600,'1990-02-05 00:00:00',4,1,12,2007,'M','N','FERROVIARIO','GARIBALDI','RS','124201201116111451365933435112140414112',NULL,'9998',22.24,1,2,1),(25,6080626,'1992-02-02 00:00:00',4,1,12,2009,'M','N','CENTRO','S JOAQUIM','SC','124242241215372731459911575124122267092',12478,'1035',47.38,1,3,NULL),(25,6080634,'1992-05-19 00:00:00',4,3,12,2009,'F','N','CENTRO','AVARÉ','SP','125252251215471431337832575112610134042',11466,'9998',44.97,1,3,NULL),(25,6080642,'1989-08-18 00:00:00',4,1,12,2007,'M','N','ITAIM BIBI','S PAULO','SP','125122121216271731369712575124240214117',NULL,'9998',0.00,1,3,NULL),(25,6080650,'1993-08-21 00:00:00',4,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241215271431373812245122610124071',12082,'44',48.01,3,3,NULL),(25,6080669,'1990-02-06 00:00:00',2,1,12,2007,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124243241216144411456819391124233237117',14648,'1022',44.23,4,3,NULL),(25,6080677,'1991-10-17 00:00:00',2,4,11,2008,'M','N','ALVORADA','FRANCISCO BELTRÃO','PR','116162161215572431338813585124610167067',2935,'9998',64.43,1,3,NULL),(25,6080685,'1992-06-29 00:00:00',4,8,12,2009,'M','N','GLÓRIA','JOINVILLE','SC','124241246215271411536614345121610127042',NULL,'1006',0.00,1,3,NULL),(25,6080693,'1993-07-06 00:00:00',4,1,12,2010,'F','N','TIJUCA','RIO JANEIRO','RJ','121212211216121431458613575115610122172',11009,'9998',46.30,1,3,NULL),(25,6080707,'1989-08-03 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215575431338628571112133267147',1176,'270',71.62,1,3,NULL),(25,6080715,'1993-05-03 00:00:00',2,1,11,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','624242241215111231337752392124610123182',NULL,'269',19.03,1,3,NULL),(25,6080723,'1993-06-20 00:00:00',2,10,12,2010,'M','N','VILA VITÓRIA','LAGUNA','SC','124241241225111431525711575121610142097',19559,'524',28.84,1,3,NULL),(25,6080731,'1992-07-16 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241161415372441254923575114610147042',11467,'9998',44.88,1,3,NULL),(25,6080766,'1993-01-04 00:00:00',4,8,12,2010,'F','N','BOM RETIRO','CURITIBA','PR','116162161127471431437614572124610137057',10385,'9998',46.51,3,3,NULL),(25,6080812,'1992-07-09 00:00:00',4,5,12,2009,'M','N','JARDIM UNIÃO','CRICIÚMA','SC','124244246214132421426324572124610164181',NULL,'995',42.25,2,1,2),(25,6080847,'1987-12-14 00:00:00',4,1,12,2007,'F','N','SANTA RITA','OLÍMPIA','SP','125251257336472411368823575112143242092',15258,'9998',40.12,1,3,NULL),(25,6080855,'1990-06-30 00:00:00',4,1,6,2008,'M','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252157215371431488814575112142047044',NULL,'9998',0.00,1,3,NULL),(25,6080863,'1976-02-06 00:00:00',4,1,12,1994,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','524242246116534131258929285114121748185',13843,'306',45.41,3,3,NULL),(25,6080871,'1993-03-05 00:00:00',2,2,12,2010,'M','N','SALTO WEISSBACH','BLUMENAU','SC','124246241416111431239923572124610142177',NULL,'87',0.00,1,3,NULL),(25,6080880,'1993-02-06 00:00:00',2,15,12,2010,'F','N','CENTRO','GARIBALDI','RS','120204201417111731548714295114610126052',9116,'9998',48.19,1,3,NULL),(25,6080898,'1993-08-24 00:00:00',4,1,12,2010,'F','N','ENGENHO VELHO','CAPIVARI','SP','125252251217131431428823475122610126032',NULL,'9998',0.00,1,3,NULL),(25,6080910,'1968-07-14 00:00:00',4,15,12,2006,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','224241247126131411422144245122610134047',NULL,'9999',23.46,1,3,NULL),(25,6080928,'1992-08-03 00:00:00',4,8,11,2010,'M','N','BARIGUI','ARAUCÁRIA','PR','116163168345371451433827271244610124192',NULL,'9998',0.00,3,3,NULL),(25,6080936,'1993-08-23 00:00:00',4,1,12,2010,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241116131431524424291224610146147',NULL,'591',19.06,1,2,1),(25,6080944,'1991-12-01 00:00:00',2,8,12,2009,'F','N','FLORESTA','JOINVILLE','SC','124242241216132411538731395132610144146',NULL,'456',0.00,1,3,NULL),(25,6080987,'1990-05-16 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','S JOSÉ','SC','124243241132272731646933335134230223191',NULL,'733',36.84,1,3,NULL),(25,6080995,'1993-01-01 00:00:00',4,1,12,2010,'M','N','MEDEIROS','JUNDIAÍ','SP','125252251215111431478814575122610127012',12309,'9998',42.79,1,3,NULL),(25,6081002,'1984-07-10 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241137374412336611445125330144187',NULL,'295',0.00,1,3,NULL),(25,6081010,'1993-02-04 00:00:00',4,7,12,2010,'F','N','PORTAL DAS VIDEIRAS','VIDEIRA','SC','124242241215271431447831572112610162142',13915,'969',40.44,4,1,2),(25,6081029,'1989-02-07 00:00:00',4,8,12,2006,'F','N','ZONA SETE','MARINGÁ','PR','116163161215511431437614175124610134047',214,'9998',80.73,1,3,NULL),(25,6081037,'1986-01-09 00:00:00',4,1,12,2003,'M','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124202201147371731426364342124342242097',NULL,'9998',0.00,1,3,NULL),(25,6081053,'1993-08-22 00:00:00',2,1,12,2010,'F','N','RIO ALFA','ANITÁPOLIS','SC','124241241117471451425355552224610114147',13077,'19',43.52,1,2,1),(25,6081061,'1982-04-06 00:00:00',2,1,12,1999,'F','N','ENSEADA DO BRITO','PALHOÇA','SC','124241241121214211121141312344610115042',15295,'592',38.73,1,2,1),(25,6081070,'1991-11-10 00:00:00',2,1,12,2009,'F','N','LAUZANE PAULISTA','S PAULO','SP','125252251317471431538933575124610145087',12688,'9998',43.37,1,3,NULL),(25,6081088,'1990-06-21 00:00:00',4,1,12,2007,'F','N','CENTRO','LONDRINA','PR','116163161217571531348923576312610153036',3656,'9998',64.17,1,3,NULL),(25,6081100,'1966-11-05 00:00:00',2,1,12,1985,'M','N','CAMPINAS','S JOSÉ','SC','224243247322142411446642322132330212192',NULL,'9999',0.00,1,3,NULL),(25,6081118,'1987-09-18 00:00:00',4,1,12,2005,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241247336141431123344245124133214142',NULL,'9999',23.20,1,3,NULL),(25,6081126,'1993-09-02 00:00:00',4,8,12,2010,'M','N','UBATUBA','S FRANCISCO SUL','SC','124243243215111431566923575124610136147',11206,'494',44.47,1,3,NULL),(25,6081134,'1985-09-23 00:00:00',2,1,9,2004,'M','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','224241241116144421325544345334121426032',NULL,'306',0.00,1,2,1),(25,6081150,'1993-10-03 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431336924575124610124012',13068,'1022',46.50,1,3,NULL),(25,6081177,'1991-06-14 00:00:00',2,1,12,2008,'F','N','CENTRO','VIDAL RAMOS','SC','124243241126473431536612575125232634047',17161,'828',36.15,1,3,NULL),(25,6081185,'1990-12-21 00:00:00',4,1,12,2007,'F','N','BOA VISTA','CURITIBA','PR','116162161215471431489934572122142614072',349,'9998',78.24,1,3,NULL),(25,6081223,'1988-11-17 00:00:00',4,8,12,2007,'F','N','VILA UNIVERSITÁRIA','BAURU','SP','125252251216571421369833575124610112092',NULL,'9998',0.00,1,3,NULL),(25,6081231,'1994-02-09 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241216152431358733575124612854142',20230,'1022',33.97,1,3,NULL),(25,6081258,'1983-11-07 00:00:00',2,1,12,2001,'F','N','RIO GRANDE','PALHOÇA','SC','124251251126131411433514445124610166141',14543,'9998',44.37,1,3,NULL),(25,6081282,'1988-07-23 00:00:00',4,1,12,2005,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241217374231388729375122131023095',6477,'270',57.78,1,3,NULL),(25,6081320,'1992-05-20 00:00:00',4,1,12,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241115371411357629375124610137142',NULL,'288',0.00,1,3,NULL),(25,6081339,'1993-07-07 00:00:00',1,1,12,2010,'M','N','LINHA SANTA FE ALTA','ITAPIRANGA','SC','124241241117161411523634472124610167057',5276,'412',58.26,1,2,1),(25,6081347,'1992-09-17 00:00:00',2,1,12,2010,'F','N','CALEMBA','STO AMARO IMPERATRIZ','SC','124241241125131431344512382121610132147',NULL,'772',15.33,1,3,NULL),(25,6081363,'1985-10-20 00:00:00',4,1,12,2003,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241215273431238934445122330617185',11636,'273',48.69,1,3,NULL),(25,6081371,'1968-06-26 00:00:00',4,1,2,1998,'F','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124131137146231751111178385325610163093',NULL,'9998',1.00,4,3,NULL),(25,6081380,'1971-01-31 00:00:00',2,1,6,2009,'F','N','CACHOEIRAS','BIGUAÇU','SC','224241247122231431521379112324610136187',NULL,'9999',1.33,1,3,NULL),(25,6081398,'1979-10-15 00:00:00',2,1,11,1997,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124204206416371421555661295124141437012',NULL,'9998',35.38,2,1,2),(25,6081410,'1992-02-04 00:00:00',4,1,12,2010,'M','N','JARDIM DAS ACASIAS','S JOSÉ','SC','124243246116131431539913572224610167097',15470,'306',38.68,1,3,NULL),(25,6081428,'1992-10-18 00:00:00',4,1,12,2009,'M','N','GUABIROTUBA','CURITIBA','PR','116162161216571431348822575122610164182',NULL,'9998',0.00,1,3,NULL),(25,6081436,'1992-10-23 00:00:00',2,5,12,2009,'F','N','CENTRO','MRO FUMAÇA','SC','124244241147372231436831241134610143177',11088,'567',45.94,1,3,NULL),(25,6081444,'1992-01-21 00:00:00',4,1,12,2009,'F','N','MENINO DEUS','PTO ALEGRE','RS','120204201217471411368413571124610162072',NULL,'9998',0.00,1,3,NULL),(25,6081452,'1992-08-24 00:00:00',2,4,12,2009,'F','N','NOVA DIVINÉIA','PINHALZINHO','SC','124241241116472431458813585122610144077',13496,'616',41.21,1,2,1),(25,6081479,'1993-12-14 00:00:00',2,2,12,2010,'M','N','RIBEIRÃO CAFÉ','TROMBUDO CENTRAL','SC','124241241117111321539923592122610127052',NULL,'796',16.36,1,2,1),(25,6081487,'1992-08-05 00:00:00',2,1,12,2009,'F','N','AUGUSTO JOSÉ VALENTE','POSSE','GO','109091251217271431458821574124610164091',6036,'9998',57.03,1,3,NULL),(25,6081509,'1991-11-18 00:00:00',4,3,12,2009,'M','N','CHÁCARAS GUISARD','TAUBATÉ','SP','125252251236471431359613574122610167047',4440,'9998',62.15,1,3,NULL),(25,6081517,'1991-03-02 00:00:00',2,1,12,2007,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124203201134372431345714371124233237041',15564,'9998',42.82,1,3,NULL),(25,6081525,'1968-01-18 00:00:00',4,1,12,1986,'F','N','JARDIM DO ESTADIO','STO ANDRÉ','SP','124251256436551711364443332122441066091',NULL,'9998',0.00,1,3,NULL),(25,6081541,'1992-04-24 00:00:00',4,1,12,2008,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241137151432446519485124610127047',20528,'285',33.03,1,3,NULL),(25,6081550,'1992-02-08 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116163161216572731438639572112610127057',52,'9998',85.45,1,3,NULL),(25,6081568,'1981-09-23 00:00:00',2,1,12,1998,'M','N','PANTANAL','FLORIANÓPOLIS','SC','624212208121471411169343431122343266041',NULL,'9998',0.00,1,3,NULL),(25,6081576,'1983-04-15 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','224241247336374431236454385124610127142',8503,'9999',53.96,1,3,NULL),(25,6081606,'1990-07-25 00:00:00',2,1,11,2009,'F','N','AGUA VERDE','CURITIBA','PR','116161161315471641334621175134610164091',7790,'9998',52.17,2,3,NULL),(25,6081614,'1992-12-28 00:00:00',4,1,12,2010,'M','N','ITAPEVA','IMARUÍ','SC','124241241115131731613319592324610124142',21340,'356',29.21,2,1,1),(25,6081622,'1993-10-12 00:00:00',4,6,12,2010,'F','N','CENTRO','BARRA VELHA','SC','124241241215111411336421375224610128142',NULL,'389',26.17,1,3,NULL),(25,6081630,'1993-07-13 00:00:00',2,1,12,2010,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124241241115371431557311572124610168147',NULL,'307',29.23,1,2,1),(25,6081649,'1993-04-24 00:00:00',4,6,12,2010,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124242241215371411359933475122610128142',5008,'389',60.83,1,3,NULL),(25,6081657,'1991-07-30 00:00:00',2,5,12,2008,'F','N','CENTRO','CRICIÚMA','SC','124242243115271411468654571122131425142',17152,'995',40.36,1,3,NULL),(25,6081665,'1992-08-31 00:00:00',4,16,12,2009,'F','N','SÃO JOSÉ','CURITIBANOS','SC','124241241116572731439912495122610167055',NULL,'239',0.00,1,2,1),(25,6081681,'1990-11-20 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241248216474731547912385114130214063',21104,'270',30.64,1,3,NULL),(25,6081738,'1985-10-16 00:00:00',4,4,12,2002,'M','N','PALMITAL','CHAPECÓ','SC','124244241216272731458811415132331037092',NULL,'185',0.00,1,3,NULL),(25,6081754,'1993-10-17 01:00:00',4,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115271431435612575124610162092',4320,'739',60.01,1,2,1),(25,6081762,'1990-11-30 00:00:00',2,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124111111127271431114844145124610135183',NULL,'9998',32.54,4,2,1),(25,6081770,'1987-03-14 00:00:00',4,1,12,2004,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241216273421369933415122333223122',11858,'9998',48.40,1,3,NULL),(25,6081789,'1991-09-21 00:00:00',4,8,11,2008,'M','N','CENTRO','IRATI','PR','116164161215571451546962575124610164117',8722,'9998',53.56,1,3,NULL),(25,6081800,'1993-03-29 00:00:00',2,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124242241216151431449913576122610147072',3996,'962',60.52,2,1,2),(25,6081819,'1993-09-16 00:00:00',4,4,12,2010,'M','N','CENTRO','GUARACIABA','SC','124241241117151531333619245121610137067',NULL,'334',26.95,1,2,1),(25,6081827,'1988-12-11 00:00:00',4,1,6,2009,'M','N','CENTRO','IMBITUBA','SC','124251241316134431336853245112610127082',NULL,'9999',13.59,4,3,NULL),(25,6081835,'1988-07-20 00:00:00',2,1,12,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241216133451424411485324123062077',NULL,'988',0.00,1,3,NULL),(25,6081851,'1991-07-17 00:00:00',4,1,12,2008,'F','N','ESTAÇÃO','FRANCA','SP','125252251215571431467732572122610127047',3209,'9998',63.06,1,3,NULL),(25,6081860,'1993-01-19 00:00:00',4,7,12,2009,'M','N','CENTRO','CATANDUVAS','SC','124241241111151732326679575115133225141',21730,'161',24.52,1,2,1),(25,6081878,'1977-07-14 00:00:00',4,1,11,1995,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124251251117132431128841415124610132185',8225,'9998',54.47,1,3,NULL),(25,6081886,'1990-08-31 00:00:00',4,1,12,2007,'M','N','FORQUILHAS','S JOSÉ','SC','124242241215574431248823571124130255187',246,'1022',80.40,1,3,NULL),(25,6081894,'1994-04-06 00:00:00',4,1,12,2011,'M','S','JARDIM AQUARIUS','PALHOÇA','SC','124243241417131431658713575114610127047',NULL,'592',31.72,1,3,NULL),(25,6081908,'1990-11-23 00:00:00',4,17,12,2007,'M','N','CENTRO','S MATEUS SUL','PR','116162161216122431336822495222141462147',18088,'9998',38.66,1,3,NULL),(25,6081916,'1993-01-28 00:00:00',2,1,12,2010,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241137111731533511375124610123147',NULL,'591',21.05,2,1,1),(25,6081924,'1990-07-21 00:00:00',4,1,11,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217113441366924315122233258185',NULL,'265',22.52,1,3,NULL),(25,6081940,'1982-06-28 00:00:00',2,1,7,2003,'M','N','BOM VIVER','BIGUAÇU','SC','124241241136471431226341215124610112053',19798,'257',35.16,1,2,1),(25,6081959,'1993-11-04 00:00:00',2,1,12,2010,'F','N','TIJUQUINHAS','BIGUAÇU','SC','124241241112131731626614572124610117027',NULL,'64',11.49,1,2,1),(25,6081967,'1978-03-25 00:00:00',2,1,6,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241247216133731523329185124610165147',21025,'1003',25.00,1,3,NULL),(25,6081983,'1991-05-07 00:00:00',2,1,12,2008,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241217372431428714572114610148142',11392,'269',45.05,1,3,NULL),(25,6081991,'1993-08-25 00:00:00',2,10,12,2010,'F','N','MAGALHÃES','LAGUNA','SC','124244241225471411426739575122610128142',15471,'524',38.33,1,3,NULL),(25,6082009,'1987-07-23 00:00:00',4,1,12,2004,'F','N','KOBRASOL','S JOSÉ','SC','124242241216142421479922425132433236014',NULL,'724',0.00,1,3,NULL),(25,6082033,'1981-08-27 00:00:00',2,1,12,2000,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241116572431421319485124610126092',10355,'281',47.90,1,2,1),(25,6082041,'1991-09-13 00:00:00',2,1,12,2008,'M','N','KOBRASSOL II','S JOSÉ','SC','124241241134472421546614245122610137057',NULL,'733',34.65,4,2,1),(25,6082050,'1993-02-20 00:00:00',4,1,7,2010,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124202247412141231448424345222610148182',NULL,'9999',30.70,4,3,NULL),(25,6082068,'1992-01-06 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241115141731413619472224613235141',NULL,'287',15.61,1,3,NULL),(25,6082092,'1985-03-30 00:00:00',2,8,12,2005,'F','N','BOM RETIRO','JOINVILLE','SC','124281288111233411613374181321610156147',NULL,'9998',24.62,2,1,1),(25,6082106,'1992-07-08 00:00:00',2,1,12,2009,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241112372751323313592124610168117',14812,'295',40.03,1,2,1),(25,6082114,'1988-10-18 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217153431449869375114222268063',NULL,'270',43.58,1,3,NULL),(25,6082122,'1980-08-22 00:00:00',4,1,12,1999,'M','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124212216137371431158849492124610167092',NULL,'9998',0.00,4,3,NULL),(25,6082130,'1992-11-28 00:00:00',2,1,12,2009,'F','N','JARDIM AQUARIUS','PALHOÇA','SC','124243241215373431658713572114122226197',12140,'1011',43.41,1,3,NULL),(25,6082149,'1992-11-06 00:00:00',4,8,12,2009,'F','N','CAPÃO RASO','CURITIBA','PR','116161161116471411339623374124610146187',10555,'9998',45.88,1,2,1),(25,6082157,'1991-06-14 00:00:00',2,1,12,2008,'M','N','BARAO GERALDO','CAMPINAS','SP','125252251217572431268813575122610162116',7982,'9998',51.43,1,3,NULL),(25,6082165,'1992-03-01 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124161161216242731328624444114610136147',17972,'9998',34.06,1,3,NULL),(25,6082173,'1990-08-10 00:00:00',2,4,12,2007,'F','N','CENTRO','MODELO','SC','124241241135574431537712592122610138187',NULL,'562',44.37,1,2,1),(25,6082181,'1978-11-03 00:00:00',4,1,12,1998,'F','N','FORQUILHINHAS','S JOSÉ','SC','224201208127131421333354245124141037147',NULL,'9998',0.00,2,1,1),(25,6082190,'1992-09-05 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241217472431338623345114610123157',15561,'1022',42.82,1,3,NULL),(25,6082220,'1989-03-13 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115574431326611475114610132172',NULL,'289',24.39,3,2,1),(25,6082246,'1992-02-14 00:00:00',2,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124203241216472751446732574124610157182',8092,'9998',53.96,1,3,NULL),(25,6082254,'1986-06-15 00:00:00',2,1,12,2004,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','114144148146131731624521245324142727147',17640,'9998',39.50,4,3,NULL),(25,6082262,'1980-09-01 00:00:00',4,8,12,1997,'M','N','CENTRO','JOINVILLE','SC','224202201216151741246451245122342241143',5169,'9998',60.48,1,3,NULL),(25,6082270,'1986-02-20 00:00:00',4,1,12,2004,'M','N','JARDIM BELA VISTA','TAUBATÉ','SP','125251251117373441426421482324610136032',19744,'9998',29.61,1,3,NULL),(25,6082297,'1993-09-20 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215271441458814575122610166172',6729,'213',54.72,1,3,NULL),(25,6082300,'1972-01-03 00:00:00',4,1,3,2004,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124201207126151731247653385114241962043',7997,'9998',54.83,1,3,NULL),(25,6082319,'1993-04-04 00:00:00',2,17,12,2010,'F','N','CENTRO','MAFRA','SC','124241248115111431526321241222330223147',NULL,'542',18.53,1,3,NULL),(25,6082327,'1993-11-12 00:00:00',4,5,12,2010,'F','N','RIO MAINA','CRICIÚMA','SC','124241241115371431435933384124610136187',NULL,'223',33.54,1,2,1),(25,6082335,'1992-04-05 00:00:00',4,6,12,2009,'F','N','BELA VISTA','CAXIAS SUL','RS','120201201117131431634629381224610127077',NULL,'9998',24.79,1,2,1),(25,6082343,'1993-02-19 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241131371751433531271124610122095',19063,'289',32.84,1,2,1),(25,6082351,'1977-06-25 00:00:00',4,15,12,1995,'M','N','CENTRO','BAL ARROIO SILVA','SC','224241246237331421223354445121130717091',20670,'230',32.50,1,3,NULL),(25,6082360,'1993-06-07 00:00:00',2,10,12,2010,'F','N','VILA NOVA','IMBITUBA','SC','124241241115331731426778375124610115097',21153,'359',30.33,1,2,1),(25,6082378,'1992-07-19 00:00:00',2,1,12,2010,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215111431466612575122610117113',NULL,'724',30.76,1,3,NULL),(25,6082386,'1991-01-23 00:00:00',2,7,12,2009,'M','N','CENTRO','TUPANCI SUL','RS','120201201146161531426633575124240327042',NULL,'9998',0.00,1,3,NULL),(25,6082394,'1993-06-03 00:00:00',4,1,12,2010,'F','N','JARDIM SAVEIROS','BIGUAÇU','SC','124241241116141432525611345124610127147',NULL,'1088',18.69,1,2,1),(25,6082424,'1989-09-11 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241116274431336769495124123227057',11094,'267',46.33,1,3,NULL),(25,6082432,'1994-12-10 00:00:00',2,10,11,2010,'F','N','CENTRO','LAGUNA','SC','124242241117121431468833572112610168182',12881,'807',41.62,1,3,NULL),(25,6082440,'1991-01-24 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124241241226371431356723375112231028192',NULL,'9997',28.16,4,3,NULL),(25,6082459,'1989-01-15 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124253247316132711223614315124133228197',NULL,'9999',0.00,1,3,NULL),(25,6082467,'1989-01-23 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241415474431366627444112121562051',5078,'154',58.52,1,3,NULL),(25,6082475,'1993-06-16 00:00:00',4,1,11,2010,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125252258237111431268913476122610162092',NULL,'9998',0.00,1,3,NULL),(25,6082483,'1990-09-13 00:00:00',4,1,11,2007,'M','N','BELA VISTA','BAURU','SP','125252251246371431346613285124610137037',12980,'9998',41.49,1,3,NULL),(25,6082491,'1988-08-06 00:00:00',2,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124134131415572431346671495122610164142',9944,'9998',48.15,1,3,NULL),(25,6082505,'1992-01-21 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241211373721357823571114610112042',NULL,'1038',0.00,1,3,NULL),(25,6082513,'1991-11-14 00:00:00',2,1,12,2008,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241116132411348814485124610117052',16962,'21',35.79,1,3,NULL),(25,6082548,'1991-06-26 00:00:00',2,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241417472411468913575122610131093',17992,'270',35.11,1,3,NULL),(25,6082556,'1991-09-19 00:00:00',2,1,12,2009,'F','N','VILA APARECIDA','TAUBATÉ','SP','125251251116131731524364195334610121097',NULL,'9998',34.80,1,2,1),(25,6082572,'1992-11-17 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202241117272431428714375124610137012',8846,'267',53.32,1,3,NULL),(25,6082599,'1992-03-10 00:00:00',4,6,12,2009,'F','N','PLANALTO','CAXIAS SUL','RS','120201201117131431437639571224610164147',10753,'9998',46.17,1,2,1),(25,6082610,'1991-09-10 00:00:00',4,1,9,2010,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241115131431524433212124610125047',NULL,'307',14.73,1,2,1),(25,6082629,'1990-10-09 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124251251115573411136371485124223026182',11331,'9998',44.20,2,1,1),(25,6082637,'1987-11-17 00:00:00',2,1,12,2005,'M','N','AREIAS','S JOSÉ','SC','124242241117373431647669285124130212142',10244,'307',50.92,1,3,NULL),(25,6082653,'1984-04-06 00:00:00',2,1,12,2001,'M','N','BARREIROS','S JOSÉ','SC','224241241116143231225444345234610127042',10750,'293',46.69,4,2,1),(25,6082661,'1987-11-13 00:00:00',2,1,12,2005,'F','N','PASSA VINTE','PALHOÇA','SC','124241241436155431433511272125610142187',12359,'1036',42.99,1,3,NULL),(25,6082670,'1992-01-18 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161215572731358933584114610162017',773,'9998',74.06,1,3,NULL),(25,6082688,'1993-02-24 00:00:00',2,7,12,2010,'F','N','CENTRO','ERVAL VELHO','SC','124241241115131431426734342331610124097',NULL,'253',18.23,1,2,1),(25,6082700,'1991-10-02 00:00:00',4,1,12,2009,'F','N','VILA MARIANA','S PAULO','SP','125244251417471421548913371121610166097',NULL,'9998',19.90,1,3,NULL),(25,6082718,'1989-04-27 00:00:00',2,5,12,2006,'F','N','VILA NOVA','COCAL SUL','SC','124241241146131131421323385124131423142',NULL,'189',0.00,1,2,1),(25,6082750,'1991-02-03 00:00:00',4,8,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161216471431289819374122610166182',NULL,'9998',0.00,1,3,NULL),(25,6082769,'1986-04-25 00:00:00',2,1,12,2004,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124201207216133751117834295221610144117',NULL,'9998',0.00,1,3,NULL),(25,6082785,'1988-02-02 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241137273411531117382124231212111',20192,'298',34.09,1,2,1),(25,6082793,'1993-12-14 00:00:00',2,4,12,2010,'F','N','PADRE ANTONIO','MARAVILHA','SC','124241241117371731224625355125610128142',NULL,'552',27.18,1,2,1),(25,6082807,'1985-05-31 00:00:00',4,1,6,2002,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124073247316312331549939575124610115141',NULL,'9999',11.77,4,3,NULL),(25,6082815,'1992-06-07 00:00:00',2,1,11,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241225132431533511385112123268045',14141,'262',44.95,1,3,NULL),(25,6082840,'1991-02-14 00:00:00',4,1,12,2008,'M','N','CIDADE ALTA','PTO SEGURO','BA','125052051212471412466632572122142617112',302,'9998',79.30,1,3,NULL),(25,6082866,'1981-08-21 00:00:00',2,1,12,2001,'F','N','FEITOSA','MACEIÓ','AL','102022021216571431553723575124143224172',7064,'9998',54.33,4,3,NULL),(25,6082890,'1977-08-25 00:00:00',2,1,12,2000,'M','N','ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC','224201201122371411432243435124231017047',NULL,'9998',18.15,4,2,1),(25,6082904,'1992-06-22 00:00:00',1,9,12,2009,'F','N','UNIVERSITÁRIO','LAGES','SC','124241241132161731435619375224232663147',20053,'348',29.23,1,2,1),(25,6082912,'1992-12-29 00:00:00',4,8,12,2010,'M','N','SAO LUIZ','CEDRAL','SP','125251251116131711625519295124610127147',NULL,'9998',0.00,2,2,1),(25,6082920,'1975-10-01 00:00:00',4,6,12,1992,'M','N','AZAMBUJA','BRUSQUE','SC','624242241225373421323329285122431534187',4412,'107',62.23,1,3,NULL),(25,6082939,'1992-08-21 00:00:00',2,1,12,2009,'F','N','CENTRO','UNIÃO VITÓRIA','PR','116161161116161731437713575122610124187',NULL,'9998',35.78,1,2,1),(25,6082947,'1993-07-02 00:00:00',4,3,11,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241235132411538934572122610125192',12137,'53',46.09,1,3,NULL),(25,6082955,'1990-05-11 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241116373431537732245125610147061',7256,'307',53.01,4,3,NULL),(25,6082971,'1992-04-09 00:00:00',2,1,12,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241116272421436723445114610118197',20282,'727',29.40,1,2,1),(25,6082980,'1990-10-11 00:00:00',4,10,12,2007,'M','N','TERMAS','GRAVATAL','SC','124242241215131731326621345124132132092',17344,'950',40.03,1,3,NULL),(25,6082998,'1992-12-20 00:00:00',2,7,12,2009,'F','N','CAETANO NATAL BRANCO','JOAÇABA','SC','124241241115471431328824574124610143092',NULL,'539',0.00,1,2,1),(25,6083013,'1993-03-13 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431539623272124610134071',7295,'1022',52.59,4,3,NULL),(25,6083030,'1992-10-26 00:00:00',2,1,12,2009,'M','N','SAUDADE','BIGUAÇU','SC','124241241116371431425311285124610126142',20959,'65',31.28,4,2,1),(25,6083048,'1991-01-17 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241116473431536431485124610133092',13223,'298',46.31,4,2,1),(25,6083056,'1991-03-06 00:00:00',4,1,12,2008,'M','N','VILA AIROSA','OSASCO','SP','125252251235572411474812227122610131017',NULL,'9998',0.00,1,3,NULL),(25,6083064,'1993-02-16 00:00:00',4,6,11,2010,'M','N','FAZENDA','ITAJAÍ','SC','124242241217371431368924542122610126077',1204,'392',72.86,1,3,NULL),(25,6083072,'1992-10-02 00:00:00',4,3,12,2009,'M','N','VILA SUISSA','MOGI CRUZES','SP','125252251117471231557714575112610168187',19013,'9998',36.92,1,3,NULL),(25,6083080,'1986-05-05 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124121121216232711113549195123610164027',NULL,'9998',36.95,2,1,2),(25,6083102,'1989-09-03 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124214241215575731457514372124133232071',1278,'738',72.15,4,3,NULL),(25,6083110,'1990-01-30 00:00:00',4,1,11,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124052051216472431339912426124221436172',5303,'9998',60.18,1,3,NULL),(25,6083129,'1992-01-24 00:00:00',4,8,12,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124244241217272411239833371111610147057',9581,'441',49.48,1,3,NULL),(25,6083137,'1992-08-25 00:00:00',2,1,12,2009,'M','N','ARIRIU','PALHOÇA','SC','124241241112141431433833342121610127042',NULL,'592',26.05,1,2,1),(25,6083145,'1993-09-12 00:00:00',2,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241244115371631324334145122610113195',NULL,'51',25.40,1,3,NULL),(25,6083153,'1993-01-18 00:00:00',4,10,12,2010,'F','N','DEHON','TUBARÃO','SC','124241241146151431437414575122610148192',15382,'798',38.76,1,2,1),(25,6083161,'1992-03-29 00:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124111241215472751236632575125610134057',NULL,'967',25.18,1,3,NULL),(25,6083188,'1988-02-09 00:00:00',2,9,12,2005,'F','N','PARQUE DOS VINHEDOS','CAXIAS SUL','RS','120203201117471411336624372123141467042',12173,'9998',44.21,1,3,NULL),(25,6083196,'1993-11-29 00:00:00',4,1,12,2010,'F','N','JARDIM EUCALIPTUS','PALHOÇA','SC','124241241115131731536414575124610122097',NULL,'592',29.58,1,2,1),(25,6083200,'1990-07-10 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247216574731489953595124610124111',13980,'9999',40.00,1,3,NULL),(25,6083218,'1991-07-08 00:00:00',2,8,11,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161215473431343812575125610133117',3554,'9998',63.41,1,3,NULL),(25,6083226,'1992-01-11 00:00:00',2,15,12,2008,'F','N','BARRACÃO','IÇARA','SC','124241243127131731336321442334610163152',NULL,'351',26.60,1,3,NULL),(25,6083234,'1994-03-09 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241117131712323619272122610122195',NULL,'734',17.84,1,2,1),(25,6083250,'1991-08-08 00:00:00',2,1,12,2008,'F','N','CENTRO','S GABRIEL','RS','120204201216571431438811571124610122187',3382,'9998',62.69,4,3,NULL),(25,6083269,'1986-04-07 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211272731478811492122321464113',1079,'270',73.53,1,3,NULL),(25,6083277,'1992-12-12 00:00:00',4,8,12,2010,'M','N','IRIRIÚ','JOINVILLE','SC','124243246217151431437612575124610124012',7076,'1006',56.60,1,3,NULL),(25,6083285,'1993-08-24 00:00:00',2,6,12,2010,'M','N','CENTRO','MARAU','RS','120204201127131731633818242122610127187',NULL,'9998',0.00,1,3,NULL),(25,6083293,'1986-08-04 00:00:00',2,4,12,2009,'M','N','CENTRO','MARAVILHA','SC','124241248125471331535432395123610164182',NULL,'9999',24.45,1,2,1),(25,6083307,'1993-01-08 00:00:00',4,1,12,2010,'M','N','IMBUI','CACHOEIRINHA','RS','120201201116471411423611571121610162172',4491,'9998',59.54,1,2,1),(25,6083315,'1993-06-08 00:00:00',4,3,11,2010,'M','N','CENTRO','GUABIRUBA','SC','124244246217121431453624145121610164172',2183,'1123',68.63,3,3,NULL),(25,6083323,'1991-07-18 00:00:00',2,8,12,2008,'F','N','PILARZINHO','CURITIBA','PR','116162161215573421569933275322610162142',2491,'9998',67.34,1,3,NULL),(25,6083340,'1993-07-05 00:00:00',2,10,12,2010,'F','N','STO ANTONIO DE PADUA','TUBARÃO','SC','124241241117271442225729275122610166147',14099,'1034',40.03,1,2,1),(25,6083358,'1988-06-19 00:00:00',2,8,12,2005,'F','N','ALTO BOQUEIRAO','CURITIBA','PR','116161161316572431366414472112610166192',NULL,'9998',28.34,1,3,NULL),(25,6083366,'1989-10-07 00:00:00',2,7,12,2007,'M','N','PARQUE JARDIM OURO','OURO','SC','124241241136131231423314345123610127062',NULL,'585',9.63,1,3,NULL),(25,6083382,'1993-08-15 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241211151412469933592115610112077',NULL,'262',36.91,1,3,NULL),(25,6083390,'1979-10-15 00:00:00',4,1,12,2006,'F','N','VILA VITORIA REGIA','APUCARANA','PR','116161167126141751633319145123610166092',21026,'9998',31.00,1,3,NULL),(25,6083412,'1982-08-30 00:00:00',2,1,7,2002,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247216131431429623245122130727042',NULL,'9999',21.75,1,3,NULL),(25,6083420,'1992-07-12 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242246117151431448879375124610167047',8058,'306',50.96,1,3,NULL),(25,6083439,'1993-12-13 00:00:00',2,10,12,2010,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241241115151631337534572124610117042',NULL,'1034',25.15,1,2,1),(25,6083447,'1993-09-23 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124242241215152431333823432114610168192',6935,'738',52.60,4,3,NULL),(25,6083455,'1986-02-23 00:00:00',2,1,12,2003,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124044041217152431223344345124142364047',17024,'9998',40.58,4,3,NULL),(25,6083463,'1991-04-02 00:00:00',4,1,12,2008,'M','N','JARDIM LEONOR','CAMPINAS','SP','125252256117471431668812345122610167041',14791,'9998',44.02,1,3,NULL),(25,6083471,'1992-08-06 00:00:00',4,1,12,2009,'M','N','CENTRO','S ROQUE','SP','125253251237151522346611585125610117047',10983,'9998',47.03,2,1,2),(25,6083498,'1994-05-29 00:00:00',4,1,12,2010,'M','N','INOCOOP II','SERTÃOZINHO','SP','125252251211111411468612571124610144182',5528,'9998',55.96,1,3,NULL),(25,6083501,'1987-09-21 00:00:00',2,1,12,2005,'M','N','SANTA TEREZINHA','PIRACICABA','SP','125251251116572431456619485112610122041',4762,'9998',58.59,1,2,1),(25,6083510,'1993-05-03 00:00:00',4,1,12,2010,'F','N','PARZIANELLO','PATO BRANCO','PR','116164161116371431548614375122610123072',NULL,'9998',17.17,1,3,NULL),(25,6083536,'1993-10-29 00:00:00',2,1,12,2010,'F','N','PRAIA DA PINHEIRA','PALHOÇA','SC','124241241115271531323439575124610127052',NULL,'595',33.73,4,1,1),(25,6083544,'1982-03-13 00:00:00',2,8,12,2001,'F','N','ESTEVÃO DE MATTOS','JOINVILLE','SC','124161165116271431326429285124610164187',NULL,'9998',20.27,4,2,1),(25,6083552,'1994-01-12 00:00:00',4,1,11,2010,'M','N','LAGOA DA CONCEIÇÁO','FLORIANÓPOLIS','SC','124242241212111431568832422122610112047',15410,'1169',43.04,1,3,NULL),(25,6083560,'1994-02-25 00:00:00',4,4,12,2010,'F','N','MARIA GORETTI','CHAPECÓ','SC','124243241117371431359933135122610146197',NULL,'179',0.00,1,3,NULL),(25,6083579,'1990-10-02 00:00:00',4,1,12,2007,'M','N','JARDIM ISABEL','PTO ALEGRE','RS','120202201217371411269833435112141064112',NULL,'9998',0.00,1,3,NULL),(25,6083587,'1993-06-02 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241117331431326611385124610123187',NULL,'733',0.00,1,2,1),(25,6083609,'1990-04-01 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215573431458811572114133127017',6,'951',89.87,1,3,NULL),(25,6083617,'1994-09-27 00:00:00',4,6,12,2010,'F','N','AZAMBUJA','BRUSQUE','SC','124242241215111731468811575122610126182',5304,'1123',60.18,1,3,NULL),(25,6083625,'1993-05-07 00:00:00',4,7,12,2010,'F','N','CENTRO','TREZE TÍLIAS','SC','124243241215131431229521315122610116192',15280,'446',43.28,1,3,NULL),(25,6083633,'1991-12-04 00:00:00',4,1,6,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241415272531669919595124610168014',NULL,'1022',29.56,1,3,NULL),(25,6083650,'1992-04-07 00:00:00',4,1,12,2009,'M','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','116162161215472431438819575122610167062',9867,'9998',46.90,1,3,NULL),(25,6083668,'1993-06-15 00:00:00',2,10,11,2010,'F','N','CENTRO','TUBARÃO','SC','124242241115121431446921595122610142142',NULL,'806',21.49,1,3,NULL),(25,6083684,'1989-04-02 00:00:00',2,1,12,2007,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241248137574441626623395124610117042',16918,'281',40.75,2,1,1),(25,6083692,'1993-05-24 00:00:00',4,16,12,2010,'F','N','BOSQUE','CURITIBANOS','SC','124241241115371731439614371122610134142',19870,'239',29.13,1,3,NULL),(25,6083722,'1992-08-11 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201241117472431326923585124610131177',10931,'288',45.99,1,2,1),(25,6083749,'1993-12-23 00:00:00',2,17,12,2010,'M','N','VILA FERROVIÁRIA','MAFRA','SC','124162161217271431468634575122610127122',3208,'9998',63.58,1,3,NULL),(25,6083757,'1991-09-12 00:00:00',4,3,12,2009,'F','N','JARDIM SIMUS','SOROCABA','SP','125251251117371431426411575114610134147',NULL,'9998',0.00,1,2,1),(25,6083765,'1991-10-15 00:00:00',4,1,12,2009,'M','N','ALTO DA BOA VISTA','RIBEIRÃO PRETO','SP','125252251215411431488812572122610132142',7269,'9998',53.21,1,3,NULL),(25,6083773,'1987-09-25 00:00:00',2,8,11,2008,'M','N','FÁTIMA','JOINVILLE','SC','124243248325372732424319442324610134147',NULL,'9999',0.00,1,3,NULL),(25,6083781,'1993-03-30 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216411431478711595125610127042',12692,'270',42.62,1,3,NULL),(25,6083790,'1993-01-11 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241248137371451223329596244610128145',20671,'257',32.50,1,2,1),(25,6083803,'1992-07-11 00:00:00',4,2,12,2009,'F','N','CENTRO','GASPAR','SC','124242161216112411336924575124241766182',8097,'9998',51.47,4,3,NULL),(25,6083811,'1993-09-21 00:00:00',4,9,12,2010,'F','N','PETRÓPOLIS','LAGES','SC','124244241435121431328731574124610132142',18424,'499',38.07,1,3,NULL),(25,6083838,'1993-11-12 00:00:00',2,7,11,2010,'F','N','CENTRO','JOAÇABA','SC','124241241215371431425613174124610128197',12637,'445',47.15,1,3,NULL),(25,6083846,'1993-07-02 00:00:00',4,1,12,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241315111221535313275124610167045',21253,'9999',29.72,1,3,NULL),(25,6083854,'1987-06-19 00:00:00',2,1,11,2004,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124282288237151431128644445124133262062',NULL,'9998',27.63,1,3,NULL),(25,6083862,'1992-01-20 00:00:00',4,4,12,2009,'F','N','CENTRO','MARAVILHA','SC','124241241115371431333319172122610122191',5268,'551',56.04,1,2,1),(25,6083870,'1992-09-27 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241217153431538619472122610123187',17305,'1022',40.09,1,3,NULL),(25,6083889,'1993-04-01 00:00:00',4,6,11,2010,'F','N','CENTRO','BAL PIÇARRAS','SC','124242241215111731346719575122610168097',NULL,'389',0.00,1,3,NULL),(25,6083900,'1992-02-19 00:00:00',4,3,12,2009,'M','N','CENTRO','OURINHOS','SP','125252251236371431566932575122610147092',2241,'9998',66.84,1,3,NULL),(25,6083919,'1990-07-26 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117153711326629595124120514142',17502,'288',39.74,1,2,1),(25,6083927,'1989-10-29 00:00:00',4,1,5,2010,'M','N','PARQUE VIA NORTE','CAMPINAS','SP','125251257126471431325611275124610162194',NULL,'9998',0.00,1,2,1),(25,6083935,'1991-12-01 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241111472411336529342124610115177',20716,'732',32.32,1,2,1),(25,6083960,'1993-07-11 00:00:00',2,1,12,2010,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241116151131433334342134610152047',20929,'591',27.07,1,2,1),(25,6083986,'1993-01-28 00:00:00',4,1,12,2009,'F','N','BARRA FUNDA','GUARUJÁ','SP','125252251217472431348923575124610164077',9602,'9998',46.51,1,3,NULL),(25,6083994,'1992-06-24 00:00:00',4,1,12,2009,'M','N','CENTRO','STA CECÍLIA','SC','124241241116271441333324275122610116171',14815,'686',38.34,1,3,NULL),(25,6084010,'1991-02-07 00:00:00',2,4,12,2008,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241211573431438832571125610162062',3650,'752',61.82,1,3,NULL),(25,6084028,'1993-05-05 00:00:00',4,8,12,2010,'F','N','CENTENÁRIO','S BENTO SUL','SC','124241241117151431334634585125610122142',NULL,'697',33.21,1,2,1),(25,6084036,'1994-01-05 00:00:00',4,1,12,2011,'F','S','ABRAÃO','FLORIANÓPOLIS','SC','124241241112131431364823572124610134097',NULL,'307',39.27,1,3,NULL),(25,6084052,'1991-01-31 00:00:00',4,8,12,2008,'F','N','JARDIM INDEPENDENCIA','S PAULO','SP','125284288211511411258812571124610118117',NULL,'9998',17.96,1,3,NULL),(25,6084060,'1993-03-15 00:00:00',4,8,12,2010,'M','N','ITAUM','JOINVILLE','SC','124241241215111431558611575122610122041',10298,'1063',50.82,1,3,NULL),(25,6084079,'1989-04-21 00:00:00',4,1,12,2006,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124072071217155441238923275125222963073',10215,'9998',50.97,1,3,NULL),(25,6084087,'1993-04-18 00:00:00',2,8,12,2010,'M','N','VILA IZABEL','CURITIBA','PR','116161161137471441467933572124610164051',7510,'9998',52.52,1,2,1),(25,6084095,'1987-12-07 00:00:00',4,9,12,2004,'M','N','DESVIO RIZZO','CAXIAS SUL','RS','120202201216271451468833272112141042052',15108,'9998',43.53,1,3,NULL),(25,6084109,'1990-04-25 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215374431346831595114132764145',9553,'272',49.70,1,3,NULL),(25,6084133,'1993-02-23 00:00:00',4,8,12,2010,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215271431377714575112610124042',10993,'457',45.04,1,3,NULL),(25,6084150,'1990-02-05 00:00:00',2,2,12,2008,'F','N','GLORIA','RODEIO','SC','124241248116132421322213342124610114177',NULL,'787',18.51,1,2,1),(25,6084176,'1993-09-27 00:00:00',4,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215372431325311572122610132197',9635,'1076',51.98,1,3,NULL),(25,6084184,'1985-12-26 00:00:00',2,8,6,2006,'F','N','POCINHO','CAMPINA G SUL','PR','116161161116575451378613574124610166075',NULL,'9998',0.00,1,2,1),(25,6084192,'1993-10-13 00:00:00',4,8,12,2010,'F','N','CENTRO','GUARATUBA','PR','116164161216111431355832575122610144147',NULL,'9998',0.00,1,3,NULL),(25,6084206,'1990-12-25 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','624242241212572411543732575125610167062',911,'44',73.43,1,3,NULL),(25,6084214,'1982-05-07 00:00:00',2,1,12,2008,'F','N','KOBRASOL','FLORIANÓPOLIS','SC','124243248426132221114144445114610224192',NULL,'9997',0.00,2,1,2),(25,6084222,'1990-08-01 00:00:00',4,8,12,2007,'M','N','BUCAREIN','JOINVILLE','SC','124242241416372731235934585115130634051',18934,'1016',37.05,1,3,NULL),(25,6084230,'1992-04-04 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241217112431538913385124610147042',12077,'262',44.04,1,3,NULL),(25,6084249,'1992-10-23 00:00:00',4,1,12,2009,'M','N','VILA ESTRELA','PNT GROSSA','PR','116162161216372231478813575122143217042',4836,'9998',57.57,1,3,NULL),(25,6084265,'1986-04-25 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224242241317375431238952442122222348045',18381,'882',38.14,1,3,NULL),(25,6084273,'1993-07-07 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241116471431423531575124610127147',NULL,'288',20.35,1,2,1),(25,6084290,'1993-08-27 00:00:00',2,15,12,2010,'F','N','SÃO JOSÉ','SOMBRIO','SC','124242241215111731338312575122610118142',NULL,'770',0.00,1,3,NULL),(25,6084303,'1995-01-27 00:00:00',4,4,12,2010,'F','N','CENTRO','MARAVILHA','SC','124242241215161431359931575112610166192',3291,'1037',61.54,1,3,NULL),(25,6084311,'1993-05-14 00:00:00',2,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241115371711523319495124610144175',NULL,'733',16.68,1,2,1),(25,6084320,'1992-12-08 00:00:00',4,1,12,2009,'M','N','JARDIM AVIAÇÃO','PRES PRUDENTE','SP','125252251217371441648863575122141034142',2837,'9998',63.39,1,3,NULL),(25,6084338,'1992-09-22 00:00:00',4,1,11,2010,'F','N','JD ESPLANADA','S JOSÉ CAMPOS','SP','125252251215111431377924472122610133183',11496,'9998',48.90,1,3,NULL),(25,6084354,'1993-07-04 00:00:00',2,1,11,2010,'M','N','CENCI','DOIS VIZINHOS','PR','116162161217121211536812277112610167016',4607,'9998',58.82,1,3,NULL),(25,6084362,'1992-05-15 00:00:00',4,15,12,2009,'F','N','VILA RICA','PORTÃO','RS','120202201211571431368811575124610162187',NULL,'9998',0.00,1,3,NULL),(25,6084370,'1991-02-10 00:00:00',2,1,11,2008,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116161161214522441279833572112610168077',NULL,'9998',0.00,1,3,NULL),(25,6084389,'1993-07-25 00:00:00',2,10,12,2010,'M','N','MAR GROSSO','LAGUNA','SC','124242241227151711323312111121610117142',NULL,'524',22.68,1,3,NULL),(25,6084397,'1993-12-20 00:00:00',2,1,12,2010,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241136271411429624595124610134147',11514,'65',45.84,1,2,1),(25,6084400,'1989-08-13 00:00:00',2,3,12,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215575451359913295112610165012',1254,'1038',70.37,1,3,NULL),(25,6084419,'1990-02-23 00:00:00',4,1,8,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241247227152431546613442124610163142',18079,'9999',35.00,1,3,NULL),(25,6084427,'1992-04-02 00:00:00',4,1,12,2009,'M','N','PERDIZES','S PAULO','SP','125252251217271732468832422124143247042',10391,'9998',50.67,1,3,NULL),(25,6084435,'1991-12-04 00:00:00',4,9,12,2009,'F','N','GIOCONDO ORSI','CPO GRANDE','MS','112122121216421431467712575122610163142',NULL,'9998',48.35,1,3,NULL),(25,6084443,'1992-12-09 00:00:00',4,1,12,2010,'M','N','JARDIM SONTAG','SALTO','SP','125252251216111431359974575114610167092',9366,'9998',52.41,1,3,NULL),(25,6084451,'1991-09-26 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241217572431248614575122610162182',11822,'269',44.38,1,3,NULL),(25,6084460,'1972-07-09 00:00:00',2,1,12,1991,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241243126235721113341185324223011092',16036,'781',42.07,4,1,1),(25,6084478,'1993-11-19 00:00:00',2,4,12,2010,'M','N','VENEZA','XANXERÊ','SC','124241242237161231653611375122610132157',21621,'836',26.59,4,3,NULL),(25,6084486,'1993-04-23 00:00:00',2,2,12,2010,'F','N','KM QUATRO','LAURENTINO','SC','124241241436111421355811575122610114197',NULL,'528',0.00,1,3,NULL),(25,6084508,'1993-02-23 00:00:00',4,8,12,2010,'F','N','SÃO RAFAEL','RIO NEGRINHO','SC','124243241117271411433923575124610134147',17974,'669',38.89,1,3,NULL),(25,6084516,'1994-04-19 00:00:00',4,7,11,2010,'M','N','CENTRO','ÁGUA DOCE','SC','124243241215371431469911575122610167042',4998,'446',57.57,1,3,NULL),(25,6084559,'1993-07-16 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241115151732335614572114610123142',NULL,'307',20.84,1,2,1),(25,6084567,'1991-05-26 00:00:00',2,8,12,2009,'F','N','SAO VICENTE','PATO BRANCO','PR','116161166116471431221923395124610162192',2810,'9998',64.60,1,2,1),(25,6084583,'1993-04-01 00:00:00',4,1,12,2010,'F','N','JARDIM SANTA CRUZ','CAMPINAS','SP','125251251146371411224624291124610166177',16135,'9998',37.57,4,2,1),(25,6084605,'1990-07-27 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241317151431128849375124231062197',NULL,'609',45.41,1,3,NULL),(25,6084621,'1992-12-09 00:00:00',4,1,11,2009,'F','N','CENTRO','GEN CARNEIRO','PR','116161161317473431447632571324610117142',NULL,'633',14.90,1,3,NULL),(25,6084648,'1990-09-25 00:00:00',2,6,12,2007,'F','N','MEIA PRAIA','NAVEGANTES','SC','124123161416131421528769385322610114172',NULL,'9998',19.96,4,3,NULL),(25,6084656,'1992-03-28 00:00:00',4,1,12,2009,'F','N','SANTOS DUMMONT','S JOSÉ','SC','124244241317472441645514585114610166091',7911,'257',52.84,1,3,NULL),(25,6084664,'1993-12-26 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215121431278712575124610127142',20359,'1022',33.53,1,3,NULL),(25,6084672,'1990-11-17 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212574421546723572122131966191',7658,'270',54.46,1,3,NULL),(25,6084680,'1979-12-05 00:00:00',2,1,12,1997,'F','N','NAVEGANTES','PTO ALEGRE','RS','120201201216131411224744245134142246017',12559,'9998',47.25,1,3,NULL),(25,6084699,'1991-07-04 00:00:00',4,8,12,2008,'F','N','CHAMPAGNAT','CURITIBA','PR','116162161216572751478814571114610168042',3538,'9998',61.41,1,3,NULL),(25,6084702,'1992-11-20 00:00:00',4,1,11,2010,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241215131411445529496112610167187',11983,'1022',47.13,1,3,NULL),(25,6084710,'1993-01-20 00:00:00',4,1,12,2010,'M','N','CENTRO','POÇOS CALDAS','MG','113132131216111311439612425122610117092',NULL,'9998',20.62,1,3,NULL),(25,6084737,'1992-01-26 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241145141422645669345334610164142',NULL,'257',26.81,1,2,1),(25,6084745,'1993-04-28 00:00:00',4,7,11,2010,'F','N','CENTRO','FRAIBURGO','SC','124242241215111431478814174122610126072',NULL,'317',0.00,1,3,NULL),(25,6084753,'1984-11-23 00:00:00',4,1,12,2002,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216375431366413485114123267043',10320,'269',50.79,1,3,NULL),(25,6084761,'1992-10-24 00:00:00',2,17,12,2009,'F','N','SÃO CRISTÓVÃO','TRÊS BARRAS','SC','124242241217162431458813332112610131077',13172,'154',43.78,1,3,NULL),(25,6084770,'1993-04-17 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241115471751633629575124610168142',18151,'257',32.42,1,2,1),(25,6084788,'1994-11-28 00:00:00',4,10,12,2010,'F','N','CENTRO','GRAVATAL','SC','124241241216111511336933575124610123152',NULL,'950',19.86,1,3,NULL),(25,6084796,'1972-07-12 00:00:00',2,1,12,1992,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124141147126131431326648282224610127087',NULL,'9998',0.00,2,1,1),(25,6084800,'1990-12-17 00:00:00',2,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241112132431433313282124610166187',21784,'307',22.03,2,1,1),(25,6084818,'1994-11-17 00:00:00',4,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124241241216151731536412575122610136142',18755,'445',32.11,1,3,NULL),(25,6084826,'1991-09-26 00:00:00',4,3,12,2008,'F','N','ILHOTA','ITAPEMA','SC','124243241316272431446611446224610122072',9735,'49',51.82,1,3,NULL),(25,6084834,'1993-11-25 00:00:00',4,15,11,2010,'M','N','CENTRO','STA ROSA SUL','SC','124241241217111411343639595124610134052',3487,'26',62.98,1,3,NULL),(25,6084842,'1977-05-04 00:00:00',2,1,12,1994,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','224241241137272431443543435332333237062',6240,'281',57.19,1,2,1),(25,6084850,'1983-10-27 00:00:00',4,1,12,2001,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124251251147131431657831145123143244047',NULL,'9998',32.43,1,3,NULL),(25,6084869,'1990-04-20 00:00:00',4,1,12,2007,'F','N','VILA SOUTO','BAURU','SP','125251251116571431348619575124610164092',4249,'9998',58.45,1,3,NULL),(25,6084877,'1993-06-30 00:00:00',4,1,11,2010,'M','N','PARK WAY','NUC BANDEIRANTE','DF','107072071216151431587912176122610167072',1503,'9998',70.12,4,3,NULL),(25,6084885,'1990-02-24 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115134421436633375324610124147',NULL,'298',9.72,1,2,1),(25,6084893,'1987-12-16 00:00:00',2,1,12,2005,'M','N','CAMPO GRANDE','SANTOS','SP','125252251215572211323619575115610117047',152,'9998',81.80,1,3,NULL),(25,6084923,'1992-04-21 00:00:00',2,1,12,2009,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241126271431426414245124610123147',NULL,'592',19.62,1,2,1),(25,6084931,'1993-10-09 00:00:00',4,1,11,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215421431356923595122610137182',NULL,'273',36.14,1,3,NULL),(25,6084940,'1991-12-18 00:00:00',4,1,12,2008,'F','N','PICADAS DO NORTE','S JOSÉ','SC','124242248215373731354423232132610134187',16473,'270',37.56,1,3,NULL),(25,6084958,'1994-03-05 00:00:00',4,1,11,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431379911475112610134192',NULL,'270',62.24,1,3,NULL),(25,6084966,'1992-03-14 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124241241117472751647633246134610124147',8835,'257',50.59,1,2,1),(25,6084990,'1965-05-06 00:00:00',4,3,12,1983,'M','N','MEIA PRAIA','ITAPEMA','SC','224211213117131441539814445122343237057',20646,'9998',32.59,1,3,NULL),(25,6085008,'1993-08-19 00:00:00',2,1,12,2010,'F','N','COLONIA SANTANA','S JOSÉ','SC','124241241145131412533314574224610114192',NULL,'731',16.25,1,2,1),(25,6085016,'1991-02-04 00:00:00',4,8,11,2008,'F','N','MOSSUNGUE','CURITIBA','PR','116162161215512431568813575112610162192',1052,'9998',73.67,1,3,NULL),(25,6085024,'1992-04-27 00:00:00',2,1,5,2010,'M','N','SÃO SEBASTIAO','PALHOÇA','SC','124242241117111431338833375114610167042',13766,'739',44.35,1,3,NULL),(25,6085032,'1990-04-05 00:00:00',2,1,10,2007,'M','N','VILA SÃO LÚCIO','BOTUCATU','SP','125252251217571751469913574124610124143',2135,'9998',65.94,1,3,NULL),(25,6085040,'1992-11-18 00:00:00',2,17,12,2009,'M','N','CAMPO DO GADO','RIO NEGRO','PR','116241161216371731646811595124610127177',11104,'9998',44.90,1,3,NULL);
INSERT INTO candidato VALUES (25,6085059,'1986-02-27 00:00:00',4,8,12,2003,'F','N','CIDADE PATRIARCA','S PAULO','SP','125252251216132411448811445122343247052',14829,'9998',38.28,3,3,NULL),(25,6085067,'1992-05-16 00:00:00',4,4,11,2009,'M','N','ZONA TRÊS','UMUARAMA','PR','116164161215471431236823475115610126067',7792,'9998',50.72,1,3,NULL),(25,6085075,'1986-10-11 00:00:00',2,1,12,2003,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241126372741126349395124341837095',10461,'979',46.63,1,2,1),(25,6085083,'1988-07-17 00:00:00',4,1,12,2005,'F','N','CENTRO','STA MARIA','RS','120204201116572431338331595115610164142',4244,'9998',59.66,1,3,NULL),(25,6085113,'1991-10-13 00:00:00',4,3,12,2008,'F','N','SANTA FÉ','CPO GRANDE','MS','112122121235571431568834175122610125082',10927,'9998',49.79,1,3,NULL),(25,6085121,'1991-11-22 00:00:00',4,5,12,2008,'F','N','TRES FIGUEIRAS','PTO ALEGRE','RS','120162201216471431458712571112610136192',4195,'9998',58.50,1,3,NULL),(25,6085148,'1993-10-30 00:00:00',4,10,12,2010,'F','N','PASSAGEM','TUBARÃO','SC','124242241215111431324834575124610123157',18313,'809',38.26,1,3,NULL),(25,6085156,'1994-11-27 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241217271331456823575124610111192',NULL,'1022',26.88,1,3,NULL),(25,6085164,'1991-04-28 00:00:00',2,8,12,2008,'M','N','JD TUPY','CAMPINAS','SP','125255251136271411438614432122610162047',NULL,'9998',0.00,4,1,2),(25,6085172,'1986-05-10 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241216372431248911575112321038185',748,'270',74.61,1,3,NULL),(25,6085180,'1988-07-27 00:00:00',2,1,12,2006,'M','N','EDSTRITO INDUSTRIAL','SEBASTIANÓPOLIS SUL','SP','125254258217161431433314495122140634177',NULL,'9998',0.00,1,3,NULL),(25,6085199,'1990-09-17 00:00:00',2,8,12,2007,'F','N','BOQUEIRAO','CURITIBA','PR','116161161216514431436639571124610162197',9189,'9998',49.78,1,3,NULL),(25,6085210,'1993-01-29 00:00:00',4,1,11,2010,'M','N','EMBARÉ','SANTOS','SP','125252251215151431469711371111611427042',6731,'9998',57.24,1,3,NULL),(25,6085229,'1992-03-04 00:00:00',4,8,11,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161216571431488832595112610157141',1276,'9998',72.44,1,3,NULL),(25,6085237,'1993-08-23 00:00:00',4,1,12,2010,'F','N','CENTRO','ENTRE-IJUÍS','RS','120201201117371431349923575124610135097',NULL,'9998',26.06,4,2,1),(25,6085245,'1990-06-01 00:00:00',4,16,12,2007,'M','N','BOM JESUS','CURITIBANOS','SC','124241241134372431533324445123610114057',20451,'239',33.32,1,2,1),(25,6085253,'1988-05-17 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251251126272411123344145124132767042',NULL,'9998',25.71,1,3,NULL),(25,6085270,'1993-07-16 00:00:00',4,1,12,2010,'M','N','BORTOT','PATO BRANCO','PR','116161161116371431325923275121610137092',6972,'9998',52.35,1,2,1),(25,6085288,'1980-01-05 00:00:00',4,1,12,1996,'F','N','TAPERA','FLORIANÓPOLIS','SC','624241241116133421427554282214610118197',21682,'307',25.56,1,2,1),(25,6085296,'1993-08-18 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215111431434911592124610125142',8878,'1022',50.10,1,3,NULL),(25,6085334,'1991-04-06 00:00:00',2,8,12,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124244241115473411457734375122131362097',NULL,'49',18.13,1,3,NULL),(25,6085350,'1986-07-28 00:00:00',4,1,1,2004,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124252251211272431438824285224142168091',4877,'9998',59.59,1,3,NULL),(25,6085369,'1992-08-13 00:00:00',2,7,12,2009,'M','N','CENTRO','CATANDUVAS','SC','124241241116131431335532445122610127047',NULL,'161',26.91,1,3,NULL),(25,6085377,'1992-08-14 00:00:00',2,1,10,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247435131431328731245124610163157',18056,'9999',34.66,1,3,NULL),(25,6085385,'1991-11-29 00:00:00',4,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124242247437151452664762181111610167184',NULL,'736',31.51,1,3,NULL),(25,6085393,'1992-05-05 00:00:00',2,5,12,2009,'F','N','SAO SIMAO','CRICIÚMA','SC','124242241215472411458812474224610163141',4710,'213',58.13,1,3,NULL),(25,6085407,'1994-01-13 00:00:00',2,1,12,2010,'F','N','CENTRO','CANELINHA','SC','124241241126161731534614395222610124057',NULL,'142',0.00,1,2,1),(25,6085423,'1986-02-06 00:00:00',4,4,12,2005,'M','N','CENTRO','AGUDO','RS','120202201116232331437639185124141767177',9119,'9998',49.20,1,3,NULL),(25,6085431,'1978-12-07 00:00:00',2,10,12,1995,'F','N','PETROPOLIS','PTO ALEGRE','RS','120201207327231751111344445134610123097',NULL,'9998',19.75,2,1,2),(25,6085440,'1988-08-06 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124131132116231431424619485224143267042',21159,'9998',30.30,4,2,1),(25,6085458,'1991-02-28 00:00:00',2,1,12,2008,'M','N','JARDIM MARIO COVAS','CPO GRANDE','MS','112121121136571411448623575314610167097',3162,'9998',64.16,1,2,1),(25,6085474,'1990-03-23 00:00:00',4,2,11,2006,'F','N','ITAIM BIBI','S PAULO','SP','125242241216574431458814575122610168192',NULL,'855',0.00,1,3,NULL),(25,6085504,'1991-04-17 00:00:00',4,3,12,2008,'M','N','CENTRO','CAMBORIÚ','SC','124242241216271222553331575122610137071',14846,'1091',43.92,1,3,NULL),(25,6085512,'1993-01-11 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241112131431426314185124610144197',NULL,'288',26.05,1,3,NULL),(25,6085520,'1993-06-07 00:00:00',4,1,12,2010,'F','N','BOA VISTA','CURITIBA','PR','116164161215111431259913575112610137147',5094,'9998',56.80,1,3,NULL),(25,6085547,'1992-02-27 00:00:00',2,1,12,2009,'M','N','SETOR UNIÃO','GOIÂNIA','GO','109091091115471731436419576124610162097',7050,'9998',55.46,2,1,1),(25,6085563,'1991-01-30 00:00:00',4,1,12,2009,'F','N','JARDIM EUROPA','SOROCABA','SP','125251251316411711224439585124610132182',NULL,'9998',13.59,1,3,NULL),(25,6085571,'1993-12-30 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241116471431436524282224610163197',NULL,'257',41.10,4,2,1),(25,6085580,'1993-12-15 00:00:00',2,1,12,2010,'M','N','JARDIM SANTO AMARO','CAMBÉ','PR','116162161216131431333823575114610167042',9878,'9998',51.54,4,3,NULL),(25,6085598,'1984-09-14 00:00:00',4,8,6,2004,'M','N','PEDRA BRANCA','PALHOÇA','SC','124241247333134431119823384124232462182',2155,'9999',67.45,1,3,NULL),(25,6085601,'1993-04-23 00:00:00',4,1,12,2010,'M','N','COND CHACARAS FLORID','ITU','SP','125252251116151431467834575114610137052',NULL,'9998',0.00,1,3,NULL),(25,6085610,'1990-06-18 00:00:00',2,8,11,2007,'M','N','CENTRO','CPO LARGO','PR','116162161215571441448734571124610144092',7728,'9998',55.37,1,3,NULL),(25,6085628,'1991-05-29 00:00:00',4,3,12,2008,'F','N','JARDIM PROGRESSO','PARANAVAÍ','PR','116162161212572431466933572122610144092',2029,'9998',66.92,1,3,NULL),(25,6085636,'1986-08-16 00:00:00',1,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117154431543343435124122364042',11847,'564',48.42,1,2,1),(25,6085644,'1994-05-15 00:00:00',4,15,12,2011,'F','S','CENTRO','JACINTO MACHADO','SC','124241241217121431425631475124610164177',NULL,'26',51.26,1,3,NULL),(25,6085652,'1993-10-07 00:00:00',2,4,12,2010,'M','N','CENTRO','CPO ERÊ','SC','124241241116111431434616115121610118187',NULL,'136',14.71,1,2,1),(25,6085660,'1992-03-20 00:00:00',2,16,12,2010,'F','N','COHAB I','CURITIBANOS','SC','624241241145151731313358386324610136087',17045,'239',37.30,1,2,1),(25,6085679,'1993-01-27 00:00:00',2,8,12,2010,'F','N','SÃO BRAZ','CURITIBA','PR','116162161215111431459839595124610128147',10231,'9998',46.79,1,3,NULL),(25,6085687,'1988-05-27 00:00:00',4,1,12,2005,'F','N','SANTA ALBINA','MINAS LEÃO','RS','120201201315571431557633435124141464047',2928,'9998',62.16,1,3,NULL),(25,6085695,'1993-07-02 00:00:00',2,4,12,2010,'M','N','CENTRO','S JOSÉ CEDRO','SC','124241241115111531536923242323610127052',NULL,'740',0.00,1,2,1),(25,6085709,'1989-05-31 00:00:00',4,15,12,2006,'F','N','COLONINHA','ARARANGUÁ','SC','120242241215374211369819472215141467111',2723,'970',64.65,1,3,NULL),(25,6085717,'1990-10-23 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116164161415571411469933595125141213077',7063,'9998',52.50,1,3,NULL),(25,6085725,'1985-04-12 00:00:00',4,5,12,2002,'F','N','SAO LUIZ','CRICIÚMA','SC','124241241146141731421344244122231324182',18981,'228',30.24,1,2,1),(25,6085741,'1992-11-23 00:00:00',4,1,12,2009,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241112131731416411572124610164147',17189,'361',35.19,1,2,1),(25,6085750,'1992-10-06 00:00:00',4,17,12,2010,'M','N','CIDADE NOVA','PTO UNIÃO','SC','124244161216161431236623575122610167012',NULL,'9998',17.24,1,3,NULL),(25,6085792,'1972-03-15 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241121131752111147187345610168197',14144,'761',40.20,1,2,1),(25,6085806,'1993-02-08 00:00:00',4,1,11,2010,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241415371731546611172121610147041',18813,'20',32.04,1,3,NULL),(25,6085814,'1987-07-11 00:00:00',2,1,12,2005,'F','N','DOM PEDRO','MANAUS','AM','104042041217471431468923574122341333142',7042,'9998',52.05,4,3,NULL),(25,6085822,'1990-06-13 00:00:00',4,1,12,2007,'M','N','CENTRO','SAPIRANGA','RS','120201201117371221367614245122140212047',11422,'9998',44.48,1,2,1),(25,6085830,'1993-05-02 00:00:00',4,10,12,2010,'F','N','CENTRO','LAGUNA','SC','124242241235111411457619571122610126142',15291,'525',43.26,1,3,NULL),(25,6085849,'1993-10-01 00:00:00',4,1,11,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241417111441345619571124610144147',14113,'9997',44.46,1,3,NULL),(25,6085857,'1992-05-14 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217475431548811242244610163142',4252,'262',60.57,1,3,NULL),(25,6085865,'1960-09-30 00:00:00',4,1,12,1981,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241245137475711223643433234610166097',18520,'359',37.89,1,3,NULL),(25,6085873,'1993-02-12 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124244241215151431438831574122610128192',8439,'724',51.56,1,3,NULL),(25,6085881,'1993-01-27 00:00:00',4,8,12,2010,'M','N','SÃO BRAZ','CURITIBA','PR','116162161216111431459839575124610128017',17954,'9998',33.02,1,3,NULL),(25,6085890,'1991-01-02 00:00:00',2,1,12,2008,'M','N','JARDIM UBIRAMA','LENÇÓIS PAULISTA','SP','125253251215571431437339575112610164042',4405,'9998',61.15,1,3,NULL),(25,6085911,'1991-11-22 00:00:00',4,1,12,2009,'F','N','INDIANÓPOLIS','S PAULO','SP','125252251217471441468811575124610166127',NULL,'9998',51.87,1,3,NULL),(25,6085920,'1994-04-26 00:00:00',2,8,12,2010,'F','N','CENTRO','GUARAMIRIM','SC','124241241136161431426933575114610143147',NULL,'337',30.49,1,2,1),(25,6085938,'1987-08-14 00:00:00',4,1,12,2004,'F','N','JARDIM VILA RICA','MARINGÁ','PR','116162161216575431479911575122143226092',NULL,'9998',0.00,1,3,NULL),(25,6085954,'1993-03-27 00:00:00',4,1,12,2010,'M','N','SANTO INÁCIO','CURITIBA','PR','116162161215421431337921572124610124182',1315,'9998',71.02,1,3,NULL),(25,6085962,'1991-05-17 00:00:00',2,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241216573411448923275124221467042',3369,'962',63.77,4,3,NULL),(25,6085970,'1989-09-06 00:00:00',4,1,12,2006,'M','N','FUNDOS','BIGUAÇU','SC','124241241116372431443311345133610127045',14507,'65',39.55,1,2,1),(25,6085997,'1993-06-07 00:00:00',4,1,12,2010,'M','N','NOSSA S ROSÁRIO','S JOSÉ','SC','124242241116111431436734575124610124142',15146,'739',43.48,1,3,NULL),(25,6086012,'1983-06-08 00:00:00',2,3,12,2000,'M','N','ZONA QUATRO','MARINGÁ','PR','216161161116571431263351374112341366147',9634,'9998',47.38,1,3,NULL),(25,6086020,'1987-10-26 00:00:00',4,1,12,2005,'M','N','JARDIM MIRIM','JUNDIAÍ','SP','125252251216373441358811475122240667113',9902,'9998',51.51,1,3,NULL),(25,6086039,'1993-09-30 00:00:00',4,2,12,2010,'F','N','VICTOR KONDER','BLUMENAU','SC','124162161211471431278923571124610125092',10169,'9998',49.00,1,3,NULL),(25,6086047,'1994-01-31 00:00:00',4,9,12,2010,'F','N','CORAL','LAGES','SC','124241241116271431426622295132610128197',NULL,'505',19.03,1,2,1),(25,6086055,'1992-06-13 00:00:00',2,1,12,2009,'M','N','MACHADO','MINEIROS','GO','109092091216411411358831575122610117042',4185,'9998',59.24,1,3,NULL),(25,6086063,'1970-11-12 00:00:00',2,1,12,1992,'F','N','CARIANOS','FLORIANÓPOLIS','SC','624242248221153711421351111124122314047',19346,'67',36.18,1,3,NULL),(25,6086071,'1993-01-28 00:00:00',4,7,12,2010,'F','N','VILA XIRUCA','ERVAL VELHO','SC','124241241215371431646612395124610167052',17197,'962',36.11,1,3,NULL),(25,6086098,'1990-11-06 00:00:00',2,1,11,2008,'F','N','JUVEVE','CURITIBA','PR','116161161236371451247821245124610123197',21148,'9998',30.38,1,3,NULL),(25,6086110,'1991-07-31 00:00:00',4,1,12,2008,'F','N','ZONA DOIS','CIANORTE','PR','116162161215573431436632582122610162197',803,'9998',75.02,1,3,NULL),(25,6086128,'1993-02-10 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241215372431438714575114230223097',18892,'1023',37.14,1,3,NULL),(25,6086136,'1993-11-24 00:00:00',4,16,12,2010,'F','N','NAÇÕES','FRAIBURGO','SC','124241241145131431436624475122610124057',NULL,'315',17.36,4,3,NULL),(25,6086144,'1988-08-18 00:00:00',4,4,12,2002,'F','N','CENTRO','CHAPECÓ','SC','124241241121271731424435341325610136172',NULL,'444',23.84,1,2,1),(25,6086152,'1992-01-26 00:00:00',4,1,11,2009,'M','N','JARDIM ERNESTINA','S PAULO','SP','125252251216471431469619375124610137042',NULL,'9998',0.00,1,3,NULL),(25,6086160,'1995-03-03 00:00:00',2,1,12,2010,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','224244241215151221454411595124610137041',15327,'1022',43.20,1,3,NULL),(25,6086179,'1994-01-13 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241217111731557614272112610127147',19572,'738',35.64,1,3,NULL),(25,6086187,'1993-05-23 00:00:00',2,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241116111431534434575224610126042',17177,'292',35.61,1,3,NULL),(25,6086217,'1992-02-05 00:00:00',4,1,11,2010,'M','N','VILA PÉROLA','FOZ IGUAÇU','PR','116162161236121431458814475112610122092',13622,'9998',45.74,1,3,NULL),(25,6086225,'1988-09-27 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241242116131441115944345334130616147',19558,'662',35.68,1,3,NULL),(25,6086233,'1991-06-03 00:00:00',4,10,12,2008,'F','N','VILA MOEMA','TUBARÃO','SC','124241241116272431326669376323610122182',15799,'798',38.50,1,3,NULL),(25,6086250,'1993-08-12 00:00:00',4,1,12,2010,'F','N','CAMPESTRE','VIDAL RAMOS','SC','124241242116131431427436575324610127142',NULL,'1222',0.00,1,2,1),(25,6086284,'1993-10-05 00:00:00',2,5,11,2010,'F','N','PINDOTIBA','ORLEANS','SC','124241241116161411525633432124610113142',NULL,'580',0.00,1,2,1),(25,6086292,'1989-07-07 00:00:00',2,1,12,2006,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241135574231237641215122121117182',NULL,'281',19.34,1,2,1),(25,6086306,'1992-08-13 00:00:00',4,7,12,2009,'F','N','SÃO CRISTÓVÃO','CONCÓRDIA','SC','124241241136471751336333345134610124047',12336,'192',42.75,1,2,1),(25,6086314,'1993-02-04 00:00:00',4,8,12,2010,'M','N','CRUZEIRO','S BENTO SUL','SC','124241241116141431423311375224610124017',21395,'693',22.69,1,3,NULL),(25,6086322,'1993-07-03 00:00:00',4,7,12,2010,'F','N','MATRIZ','VIDEIRA','SC','124241241137131411423214272222610136147',16288,'831',35.00,1,2,1),(25,6086330,'1993-10-11 00:00:00',2,1,11,2010,'F','N','NOSSA SR DO ROSÁRIO','S JOSÉ','SC','124241241112471431445331595124610133182',15028,'726',43.63,1,2,1),(25,6086349,'1991-10-25 00:00:00',2,1,11,2009,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125132251217371731479911575122610126142',NULL,'9998',0.00,1,3,NULL),(25,6086357,'1991-09-16 00:00:00',4,8,12,2008,'F','N','SÃO CRISTOVÃO','UNIÃO VITÓRIA','PR','116162241215573431537812571124610116077',8271,'632',49.32,1,3,NULL),(25,6086365,'1956-11-02 00:00:00',2,1,12,1979,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','624201201317131411269649495112140222192',NULL,'9998',9.74,1,3,NULL),(25,6086373,'1994-01-28 00:00:00',2,7,12,2010,'M','N','SAO LUIZ','CAPINZAL','SC','124243248216111731445633575122610134057',21549,'9997',27.48,1,3,NULL),(25,6086381,'1992-04-20 00:00:00',2,8,11,2009,'F','N','CENTRO','CURITIBA','PR','116162161215571431465612572112610144047',3639,'9998',62.30,1,3,NULL),(25,6086390,'1993-09-25 00:00:00',4,1,12,2010,'F','N','RIO DAS ANTAS','RANCHO QUEIMADO','SC','124242241115161231536614272224610138073',20415,'9997',27.39,1,3,NULL),(25,6086403,'1992-06-22 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215472431338933575124610135072',2263,'270',66.36,1,3,NULL),(25,6086411,'1995-03-04 00:00:00',4,3,12,2012,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241116171731368819275112611768191',NULL,'270',46.20,1,3,NULL),(25,6086420,'1989-02-14 00:00:00',4,1,12,2007,'M','N','CENTRO','GOIÂNIA','GO','109094091416471711338916282124610162177',NULL,'9998',0.00,1,3,NULL),(25,6086446,'1988-02-19 00:00:00',4,1,12,2005,'F','N','ASSUNÇÃO','S BERNARDO CAMPO','SP','125252251231573431446614571224610166147',754,'9998',75.06,1,3,NULL),(25,6086462,'1988-03-14 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124071071117233251326628495124123268187',7894,'9998',51.68,4,1,1),(25,6086470,'1991-02-19 00:00:00',2,8,11,2010,'F','N','ROCIO GRANDE','S FRANCISCO SUL','SC','124244241427151531266629392122613214071',NULL,'709',0.00,1,3,NULL),(25,6086500,'1993-05-15 00:00:00',4,8,12,2010,'F','N','JARDIM HANTSCHEL','RIO NEGRINHO','SC','124244241116271431323723575122610144072',NULL,'669',30.07,1,3,NULL),(25,6086519,'1993-03-28 00:00:00',4,10,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124241241117131731326619575124610168182',NULL,'521',13.38,1,2,1),(25,6086527,'1992-09-22 00:00:00',2,4,12,2009,'M','N','JARDIM AMÉRICA','CHAPECÓ','SC','124244241136472431443834375125610127062',NULL,'169',0.00,1,3,NULL),(25,6086535,'1991-04-08 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241216153731436314375122233227057',19667,'738',35.43,2,1,2),(25,6086586,'1992-11-28 00:00:00',2,2,12,2010,'F','N','SÃO JUDAS','ITAJAÍ','SC','124242241215371331226362275121610166172',NULL,'388',0.00,1,3,NULL),(25,6086594,'1982-04-15 00:00:00',2,1,12,2000,'M','N','INGLESES','FLORIANÓPOLIS','SC','224241241127131431223144342114610137061',18396,'295',38.11,1,2,1),(25,6086608,'1982-10-12 00:00:00',2,1,12,1999,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124201208136572751337543435232141968187',3507,'9998',61.50,1,3,NULL),(25,6086616,'1989-03-31 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124092091216373431388811575112221437092',1013,'9998',73.89,1,3,NULL),(25,6086624,'1994-02-25 00:00:00',2,5,11,2011,'F','S','FLORESTA','CRICIÚMA','SC','124242241215111431466611295124610138142',NULL,'226',35.19,1,3,NULL),(25,6086632,'1992-03-08 00:00:00',2,1,12,2009,'F','N','VERENA','STA CRUZ SUL','RS','120201201137371731346912342122610124187',11445,'9998',45.14,1,2,1),(25,6086640,'1967-02-03 00:00:00',4,1,12,1984,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241244126475431133143135122121562097',2359,'785',67.03,1,2,1),(25,6086659,'1979-02-08 00:00:00',4,1,12,1996,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124132131216151411258742425113342867127',NULL,'9998',24.20,1,3,NULL),(25,6086667,'1985-10-24 00:00:00',2,8,12,2003,'M','N','GLÓRIA','JOINVILLE','SC','124251251216472421127444445111610114097',NULL,'9998',NULL,1,3,NULL),(25,6086675,'1993-05-31 00:00:00',4,1,10,2010,'M','N','VILA A','FOZ IGUAÇU','PR','116162161235471431578833572124610147057',11619,'9998',43.83,1,3,NULL),(25,6086683,'1991-12-01 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241216132431226824585124610112147',17908,'737',39.02,1,3,NULL),(25,6086691,'1973-10-19 00:00:00',3,1,12,1990,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124201205211151311184443331132341065161',NULL,'9998',0.00,1,3,NULL),(25,6086705,'1993-07-17 00:00:00',2,1,12,2010,'M','N','VILA ROCHA','RIO VERDE','GO','109092091217121431546812575122610168042',8787,'9998',49.72,1,3,NULL),(25,6086721,'1991-08-17 00:00:00',2,1,7,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243247311231721633521185224610146182',16491,'977',35.62,1,3,NULL),(25,6086730,'1992-09-30 00:00:00',4,1,12,2009,'F','N','CENTRO','MARINGÁ','PR','116162164216471331457612475222620123121',NULL,'9998',0.00,1,3,NULL),(25,6086756,'1990-05-21 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124243241217475421343819495124610168187',NULL,'1118',15.20,1,3,NULL),(25,6086764,'1994-08-17 00:00:00',4,7,11,2010,'M','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241216131431326614475122610117052',NULL,'454',32.04,1,3,NULL),(25,6086772,'1993-03-10 00:00:00',2,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241215121431268812582122610134192',18639,'497',37.67,1,3,NULL),(25,6086799,'1992-06-28 00:00:00',2,1,12,2010,'F','N','NOVA BELÉM','PAULO LOPES','SC','124241241122161431523331342123610134147',NULL,'607',30.61,1,2,1),(25,6086802,'1991-05-26 00:00:00',4,3,12,2008,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124242241216475431258811445131133234181',NULL,'44',36.21,1,3,NULL),(25,6086829,'1974-06-26 00:00:00',4,1,12,1993,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224242241211433721348852445132333223097',NULL,'266',14.82,1,3,NULL),(25,6086837,'1993-07-27 00:00:00',4,1,12,2010,'M','N','NOVA PIRACICABA','PIRACICABA','SP','125254251216111711579714275122610162173',10519,'9998',47.46,1,3,NULL),(25,6086845,'1993-05-01 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241215112431434332571124610167047',18636,'1022',31.72,1,3,NULL),(25,6086853,'1993-11-26 00:00:00',4,2,12,2010,'M','N','CHÁCARA PAULISTA','MARINGÁ','PR','116162161215111531458834576122610164042',3651,'9998',61.22,1,3,NULL),(25,6086861,'1964-09-01 00:00:00',2,1,12,1982,'F','N','BARREIROS','S JOSÉ','SC','224241243111173741443352495122322256192',12023,'293',48.10,1,2,1),(25,6086888,'1993-11-10 00:00:00',4,4,12,2010,'F','N','CENTRO','XANXERÊ','SC','124242241216471431358612575124610134093',NULL,'1233',0.00,1,3,NULL),(25,6086896,'1993-01-27 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241211372431536814472122610137142',15444,'1022',37.51,1,3,NULL),(25,6086900,'1992-10-13 00:00:00',2,6,12,2010,'F','N','ESTRADINHA','PARANAGUÁ','PR','116162161211271411567811192112610113147',NULL,'9998',0.00,1,3,NULL),(25,6086918,'1992-09-20 00:00:00',2,1,12,2009,'F','N','SÃO JOSÉ','S JOSÉ','SC','124241241112371131625619345124610113147',21659,'726',25.97,1,3,NULL),(25,6086926,'1993-10-12 00:00:00',2,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115371432426319272122610134142',NULL,'733',34.73,1,2,1),(25,6086934,'1991-07-24 00:00:00',4,6,12,2008,'F','N','CENTRO','ITAJAÍ','SC','124202201216572431459914574122610163147',3383,'9998',64.85,1,3,NULL),(25,6086950,'1985-06-15 00:00:00',2,1,12,2002,'M','N','JD SÃO VICENTE','EMBU','SP','125251251146151421636619446123241564197',NULL,'9998',0.00,4,1,1),(25,6086969,'1993-08-03 00:00:00',4,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215131431459729572122610128172',14289,'1077',44.73,1,3,NULL),(25,6086977,'1993-08-17 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215131731568613285124610147057',NULL,'1022',30.94,1,3,NULL),(25,6086985,'1992-02-22 00:00:00',4,1,12,2009,'M','N','JARDIM DOS ESTADOS','SOROCABA','SP','125252251217471331468811575114610168082',3547,'9998',62.85,3,3,NULL),(25,6087027,'1992-11-22 00:00:00',2,3,12,2009,'M','N','JARDIM SÃO JOÃO','PARANAVAÍ','PR','116162161416471731537835315121610164011',15323,'9998',37.28,1,3,NULL),(25,6087035,'1990-02-12 00:00:00',4,1,6,2008,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241117374412547741395124233244122',17763,'306',39.30,1,3,NULL),(25,6087043,'1987-07-18 00:00:00',2,1,12,2004,'M','N','AREIAS','S JOSÉ','SC','124241241112375712524434442234610114042',NULL,'734',25.91,1,2,1),(25,6087051,'1992-04-15 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117371131423313385114610137047',NULL,'293',30.57,1,3,NULL),(25,6087078,'1992-10-30 00:00:00',4,9,12,2009,'F','N','MIRINZINHO','MIRIM DOCE','SC','124241241415471431446812375114610136147',13411,'654',46.06,1,3,NULL),(25,6087108,'1993-08-14 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215271411468932576124610136196',11067,'883',45.97,1,3,NULL),(25,6087116,'1951-08-30 00:00:00',4,1,7,1976,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','224201247112151711351149492322310167047',NULL,'9997',28.02,1,3,NULL),(25,6087124,'1994-01-28 00:00:00',4,1,12,2010,'M','N','PARQUE ALVORADA','DOURADOS','MS','112122121215111431348812392121610164047',7016,'9998',51.21,1,3,NULL),(25,6087132,'1991-04-16 00:00:00',4,1,12,2008,'M','N','JARDIM AEROPORTO','LIMEIRA','SP','125252251126371431336414285124610127097',NULL,'9998',0.00,1,3,NULL),(25,6087140,'1994-01-14 00:00:00',4,4,12,2010,'M','N','CENTRO','SEARA','SC','124243241217111431434632575124610144052',NULL,'836',30.34,1,3,NULL),(25,6087175,'1993-03-07 00:00:00',4,1,11,2010,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241215151431366933572122610131192',4383,'951',61.14,1,3,NULL),(25,6087183,'1992-06-10 00:00:00',4,8,12,2009,'M','N','IRIRIÚ','JOINVILLE','SC','124241246215271731558612575124610117047',18476,'1105',37.96,1,3,NULL),(25,6087191,'1988-04-19 00:00:00',2,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124251251137131431125679242324141227077',16679,'9998',37.95,1,2,1),(25,6087205,'1991-10-03 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124241241117131431436314392124610127012',NULL,'733',31.13,1,2,1),(25,6087213,'1992-05-24 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215373731547929574114610117011',12524,'1022',43.49,1,3,NULL),(25,6087221,'1984-04-29 00:00:00',2,1,12,2002,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124201201146142431123144445134610137147',19953,'9998',34.72,2,1,1),(25,6087256,'1956-01-08 00:00:00',4,1,12,1973,'F','N','KOBRASOL','S JOSÉ','SC','524241245146153431154443435124322262197',NULL,'591',35.83,1,3,NULL),(25,6087264,'1994-02-19 00:00:00',4,1,11,2010,'M','N','CENTRO','CPO GRANDE','MS','612122251215121431447831591145610167127',NULL,'9998',0.00,1,3,NULL),(25,6087272,'1994-01-16 00:00:00',2,4,11,2010,'F','N','SÃO CRISTOVÃO','CHAPECÓ','SC','124242241215151331326812195112610132032',NULL,'1191',0.00,1,3,NULL),(25,6087280,'1992-11-04 00:00:00',4,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241216112411656412272122610117045',7159,'1023',53.78,1,3,NULL),(25,6087299,'1991-05-09 00:00:00',4,10,11,2008,'F','N','CENTRO','BRAÇO NORTE','SC','124242241216472431537911275122130814097',7957,'102',51.71,1,3,NULL),(25,6087329,'1993-03-28 00:00:00',4,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124242241215121441348831212122610123195',7507,'457',51.02,1,3,NULL),(25,6087337,'1992-05-07 00:00:00',4,1,12,2009,'F','N','ALTOS DA BELA VISTA','INDAIATUBA','SP','125252251216471211577914576112610162144',5077,'9998',59.01,1,3,NULL),(25,6087345,'1992-07-04 00:00:00',2,1,11,2009,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241117472751633623575114610167045',16619,'281',41.21,4,2,1),(25,6087353,'1991-11-19 00:00:00',2,1,12,2009,'F','N','S ANTONIO DE LISBOA','FLORIANÓPOLIS','SC','124241241115371431325663572124610126147',NULL,'307',0.00,1,3,NULL),(25,6087370,'1993-10-14 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215271431436812575124610121057',15787,'1023',38.06,1,3,NULL),(25,6087388,'1992-05-16 00:00:00',2,1,11,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217272731336614272112610124042',11348,'976',45.46,1,3,NULL),(25,6087396,'1992-05-06 00:00:00',4,8,12,2009,'F','N','JD BOA VISTA','PRES PRUDENTE','SP','125251251116572431547714575122610122187',10513,'9998',46.07,1,2,1),(25,6087400,'1992-05-26 00:00:00',4,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116251251115211431328614372324620128172',NULL,'9998',0.00,4,2,1),(25,6087418,'1990-03-09 00:00:00',2,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161216572411363931575112610132093',15012,'9998',39.81,1,3,NULL),(25,6087426,'1974-04-18 00:00:00',2,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244247427372731239729282124130864122',NULL,'9999',30.07,1,3,NULL),(25,6087434,'1990-11-06 00:00:00',2,1,11,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124121241137371131236351131223610147147',NULL,'591',37.35,1,2,1),(25,6087442,'1992-04-03 00:00:00',4,1,11,2009,'M','N','ALTO DA GLÓRIA','GOIÂNIA','GO','109094091416371211447712175314610118062',NULL,'9998',0.00,2,1,2),(25,6087450,'1992-11-05 00:00:00',4,17,12,2009,'M','N','CENTRO','CANOINHAS','SC','124241241117471742237823585115610127122',10241,'146',46.05,1,2,1),(25,6087477,'1994-01-24 00:00:00',4,2,12,2010,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215371431436912572122610132142',10581,'1018',46.44,1,3,NULL),(25,6087485,'1990-10-22 00:00:00',4,1,12,2008,'M','N','CENTRO','LAGES','SC','124242241217473431368811575124610167042',1715,'499',70.37,4,3,NULL),(25,6087493,'1993-10-21 00:00:00',4,4,12,2010,'F','N','CENTRO','CAIBI','SC','124241241446131331224963345122610136077',18040,'127',33.13,1,3,NULL),(25,6087507,'1993-06-15 00:00:00',4,9,11,2010,'F','N','BRUSQUE','LAGES','SC','124242241235111431448412575122610118147',NULL,'497',0.00,1,3,NULL),(25,6087515,'1993-01-20 00:00:00',4,3,12,2010,'M','N','CENTRO','TUPÃ','SP','125252251215111431468834575122610127047',NULL,'9998',18.99,1,3,NULL),(25,6087523,'1986-07-10 00:00:00',4,4,12,2003,'M','N','CENTRO','XANXERÊ','SC','124163161216153731438923475124421542097',882,'9998',74.65,1,3,NULL),(25,6087531,'1990-02-20 00:00:00',2,1,12,2007,'F','N','BUENO','GOIÂNIA','GO','109092091216571431469633571122610165092',3632,'9998',62.17,1,3,NULL),(25,6087540,'1993-07-28 00:00:00',4,1,12,2010,'F','N','VILA RESENDE','CAÇAPAVA','SP','125252251216471432668933375125610132196',NULL,'9998',0.00,1,3,NULL),(25,6087566,'1991-11-09 00:00:00',2,15,12,2008,'M','N','GARAPUVU','ERMO','SC','124241241127141731523355552143610167187',NULL,'250',28.50,1,3,NULL),(25,6087574,'1993-12-13 00:00:00',4,1,12,2011,'F','S','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215111431458611575124610125077',NULL,'1022',39.21,1,3,NULL),(25,6087604,'1993-06-07 00:00:00',4,1,12,2010,'M','N','VILA FIORI','SOROCABA','SP','125252251215111431358813371122610126012',7092,'9998',54.07,1,3,NULL),(25,6087612,'1993-02-27 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431479914375114610124012',3511,'270',62.34,1,3,NULL),(25,6087620,'1995-03-26 00:00:00',2,9,12,2010,'F','N','SAGRADO','LAGES','SC','124241248215111551436833575122610141145',NULL,'1065',24.31,1,3,NULL),(25,6087647,'1988-01-02 00:00:00',3,4,12,2005,'M','N','INTERIOR','ITAPEJARA D OESTE','PR','116161161116131431323625552345610157067',11481,'9998',45.33,1,2,1),(25,6087655,'1993-11-19 00:00:00',4,7,12,2010,'F','N','FLORESTA','VIDEIRA','SC','124244241211372731439824591122610164141',7277,'969',54.72,1,3,NULL),(25,6087663,'1992-08-24 00:00:00',4,1,12,2009,'M','N','AMAMBAI','CPO GRANDE','MS','125122121216471431259926575125610167092',9604,'9998',48.92,1,3,NULL),(25,6087671,'1990-05-06 00:00:00',4,1,11,2007,'F','N','MANDAQUI','S PAULO','SP','125252251216573751465823475124610127117',7034,'9998',52.97,1,3,NULL),(25,6087701,'1993-11-08 00:00:00',4,1,12,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241215112431557933572122610133057',12186,'1074',43.75,1,3,NULL),(25,6087710,'1991-04-29 00:00:00',4,1,6,2008,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124123121116152711178913496124221464015',3720,'9998',61.44,3,3,NULL),(25,6087736,'1992-01-28 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241215473431645311575124610142042',14167,'1022',39.06,4,3,NULL),(25,6087760,'1993-03-30 00:00:00',4,1,11,2010,'M','N','JUNDIAÍ','ANÁPOLIS','GO','109092091237111121468922575125610124094',NULL,'9998',0.00,1,3,NULL),(25,6087779,'1993-06-14 00:00:00',4,1,11,2010,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215112431478814572114610164142',3629,'270',62.20,1,3,NULL),(25,6087787,'1991-02-24 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124201201117371431127879572324610124187',7868,'9998',52.33,1,2,1),(25,6087809,'1993-02-23 00:00:00',4,7,11,2010,'M','N','CENTRO','JOAÇABA','SC','124242241215272431469912575112610154015',3535,'446',62.48,1,3,NULL),(25,6087817,'1992-03-21 00:00:00',2,7,12,2009,'M','N','PANAZOLLO','VIDEIRA','SC','124241248216152441523314285125610117067',6136,'1080',54.71,1,3,NULL),(25,6087825,'1991-08-29 00:00:00',4,1,10,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215573431569811574114610163072',311,'807',78.83,1,3,NULL),(25,6087833,'1993-08-19 00:00:00',2,4,12,2010,'M','N','OLARIA','SALTO LONTRA','PR','115161161117131431533911214122610128142',15067,'9998',39.00,1,2,1),(25,6087841,'1987-05-16 00:00:00',4,1,12,2004,'F','N','SERRARIA SÃO JOSÉ','S JOSÉ','SC','124244241432112431436612275124610128182',21723,'943',24.68,1,3,NULL),(25,6087876,'1989-10-25 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124202241217372431368831575123221437115',NULL,'1022',0.00,1,3,NULL),(25,6087892,'1992-10-09 00:00:00',4,3,10,2010,'F','N','ÁGUA VERDE','CURITIBA','PR','116212161217111411378813574112610132107',11476,'9998',46.70,1,3,NULL),(25,6087914,'1993-05-18 00:00:00',2,3,12,2010,'F','N','JOSÉ AMANDIO','BOMBINHAS','SC','124241248115131431228633272121610162197',NULL,'1089',23.84,1,2,1),(25,6087922,'1992-08-18 00:00:00',4,1,11,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','113132131217111231369933575122610167052',3884,'9998',61.16,1,3,NULL),(25,6087930,'1991-10-22 00:00:00',3,8,8,2009,'F','N','BATEL','CURITIBA','PR','116162161417571431468814384124610112147',11539,'9998',48.58,1,3,NULL),(25,6087949,'1992-09-07 00:00:00',2,1,12,2009,'M','N','JARDIM SANTIAGO','TANGARÁ SERRA','MT','111112118217151431566612595123241027062',NULL,'9999',0.00,4,3,NULL),(25,6087957,'1989-11-09 00:00:00',2,2,12,2007,'F','N','SÃO PEDRO','BRUSQUE','SC','124246241516151751438814496122610125012',NULL,'106',26.19,1,3,NULL),(25,6087965,'1989-08-11 00:00:00',4,8,12,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124244241217472431658851575124121267121',451,'441',78.03,4,3,NULL),(25,6087973,'1991-09-05 00:00:00',2,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241116151431524819282114610113147',NULL,'290',0.00,1,3,NULL),(25,6087981,'1992-12-16 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124244241315273431427831296124610144052',8202,'1074',51.67,1,3,NULL),(25,6087990,'1989-01-10 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241215272431459833247132131067047',13459,'1022',45.99,1,3,NULL),(25,6088007,'1992-12-26 00:00:00',4,10,12,2010,'F','N','CENTRO','CAPIVARI BAIXO','SC','124241241215111411547934372124610164142',NULL,'809',0.00,1,3,NULL),(25,6088015,'1993-01-14 00:00:00',2,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115271731526511375124610131197',NULL,'733',35.07,1,2,1),(25,6088023,'1985-09-17 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241126131411343464285224610157045',20843,'12',31.74,1,2,1),(25,6088031,'1990-06-21 00:00:00',4,10,12,2007,'M','N','VILA NOVA','IMBITUBA','SC','124241241117133731333319381224610128142',NULL,'359',37.53,1,2,1),(25,6088040,'1990-09-04 00:00:00',2,1,12,2007,'F','N','CENTRO','IBIRAIARAS','RS','120201201117471751437315392325610143187',13706,'9998',42.44,1,2,1),(25,6088058,'1993-07-05 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124241241135231432524823395124610128147',18820,'169',30.53,1,2,1),(25,6088082,'1992-12-26 00:00:00',2,1,11,2010,'F','N','GRANDE COLORADO','SOBRADINHO','DF','107072071137151751346831575122610145147',11960,'9998',43.22,1,3,NULL),(25,6088112,'1962-12-17 00:00:00',4,1,12,1987,'F','N','LARANJEIRAS','PALHOÇA','SC','224244247222564731334149392234230224043',NULL,'9999',19.19,2,3,NULL),(25,6088139,'1976-11-05 00:00:00',1,1,12,1993,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241243143141411345544445132610124143',NULL,'749',18.65,1,3,NULL),(25,6088147,'1993-12-21 00:00:00',4,6,12,2010,'M','N','CENTRO','BOMBINHAS','SC','124241243117121431423823275124610165177',13026,'1089',42.29,1,2,1),(25,6088155,'1992-09-01 00:00:00',4,1,12,2009,'M','N','VILA CARVALHO','CPO GRANDE','MS','112122121217471532458812475112610137057',4590,'9998',58.07,3,3,NULL),(25,6088163,'1992-08-12 00:00:00',2,1,12,2009,'M','N','CENTRO','S JOSÉ','SC','124252248215372431488812575124231424142',10149,'9997',51.07,1,3,NULL),(25,6088171,'1993-06-17 00:00:00',4,1,12,2010,'F','N','JARDIM EMILIA','SOROCABA','SP','125252251217111731468833575122610164053',15057,'9998',38.76,1,3,NULL),(25,6088180,'1993-11-17 00:00:00',2,1,11,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124241241112271431223421572324610127057',NULL,'592',34.41,1,2,1),(25,6088198,'1993-03-08 00:00:00',4,1,10,2010,'F','N','CENTRO','ERECHIM','RS','120192201217151411588833592122610133072',2335,'9998',66.64,1,3,NULL),(25,6088201,'1991-07-11 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241112332731328834372124230464147',NULL,'257',14.09,1,3,NULL),(25,6088210,'1993-10-28 00:00:00',4,4,12,2010,'F','N','CENTRO','FORMOSA SUL','SC','124241241116131431324923295124610143187',12198,'308',44.93,1,2,1),(25,6088228,'1992-06-15 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111131446624572112610127062',10059,'1197',48.41,1,3,NULL),(25,6088236,'1993-09-02 00:00:00',2,9,12,2010,'F','N','CENTRO','URUBICI','SC','124242241216161431533933575122610126141',NULL,'817',30.09,1,3,NULL),(25,6088252,'1993-04-22 00:00:00',4,1,12,2010,'M','N','CENTRO','S SEBASTIÃO','SP','125252251217111431558833575112610167042',15928,'9998',42.26,1,3,NULL),(25,6088260,'1991-05-01 00:00:00',4,1,11,2008,'M','N','NOVA CAMPO GRANDE','CPO GRANDE','MS','112122121215571431488933572122610122142',5734,'9998',55.34,1,3,NULL),(25,6088279,'1993-06-22 00:00:00',4,8,12,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241217151431335611575122610132142',2283,'1174',65.48,1,3,NULL),(25,6088295,'1989-12-27 00:00:00',4,1,12,2007,'M','N','PARAISO','S PAULO','SP','125252251217572751258827576112610167022',NULL,'9998',0.00,1,3,NULL),(25,6088309,'1992-05-08 00:00:00',2,1,12,2010,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241117161451348933575124610127117',NULL,'278',22.72,1,2,1),(25,6088317,'1994-06-01 00:00:00',4,4,11,2010,'F','N','COLATTO','XANXERÊ','SC','124242241215121731459914595122610164053',7986,'836',50.12,1,3,NULL),(25,6088333,'1992-08-03 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215372411469933595114610137052',10377,'1022',48.43,1,3,NULL),(25,6088341,'1994-03-18 00:00:00',2,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111441446513475122610124197',NULL,'991',48.25,1,3,NULL),(25,6088350,'1993-08-29 00:00:00',2,10,11,2010,'M','N','DEHON','TUBARÃO','SC','124242241216111431326834572125610137052',13519,'806',42.04,1,3,NULL),(25,6088368,'1988-09-08 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216153431125839345124121724015',10138,'389',51.09,4,3,NULL),(25,6088376,'1992-01-10 00:00:00',2,8,12,2009,'F','N','ATIRADORES','JOINVILLE','SC','124243241216151441448811394122132066197',NULL,'1006',35.83,1,3,NULL),(25,6088384,'1992-12-22 00:00:00',2,1,12,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241117131421326613345124610167041',NULL,'288',19.12,1,3,NULL),(25,6088392,'1991-06-03 00:00:00',4,1,12,2009,'F','N','MALOTA','JUNDIAÍ','SP','125252251215471431437532575112610123072',NULL,'9998',0.00,1,3,NULL),(25,6088414,'1987-09-09 00:00:00',4,8,12,2005,'F','N','PORTÃO','CURITIBA','PR','116162161215575411489823495122140235182',5568,'9998',59.63,1,3,NULL),(25,6088422,'1990-11-13 00:00:00',4,1,12,2008,'F','N','ALPHAVILLE','CAMPINAS','SP','125252251217572441368911571122610167047',641,'9998',75.79,1,3,NULL),(25,6088449,'1992-11-22 00:00:00',4,1,11,2010,'M','N','JARDIM','STO ANDRÉ','SP','125252251215111431558811592122610132042',9529,'9998',47.55,1,3,NULL),(25,6088457,'1992-11-04 00:00:00',4,1,11,2010,'F','N','JARDIM','STO ANDRÉ','SP','125252251217111431646611275122610134072',3938,'9998',60.03,1,3,NULL),(25,6088465,'1992-04-18 00:00:00',4,17,12,2009,'M','N','SÃO BASILIO','UNIÃO VITÓRIA','PR','116164241415351721546923435122610164042',NULL,'633',0.00,1,3,NULL),(25,6088473,'1993-11-25 00:00:00',4,8,12,2010,'M','N','CENTRO','CORUPÁ','SC','124243241215271431578913375124610127052',NULL,'1174',0.00,1,3,NULL),(25,6088490,'1992-05-17 00:00:00',4,4,12,2009,'M','N','SÃO CRISTOVÃO','CHAPECÓ','SC','124241246211471431421135351124610147057',NULL,'1001',19.49,1,3,NULL),(25,6088503,'1994-03-29 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124242241217111711448935575122610168092',5597,'237',56.16,1,3,NULL),(25,6088511,'1993-06-24 00:00:00',4,1,12,2010,'M','N','CENTRO','TANABI','SP','125252251217111431258631475122610167044',14659,'9998',39.77,1,3,NULL),(25,6088538,'1993-01-25 00:00:00',4,1,12,2010,'M','N','VILA SCARPELLI','STO ANDRÉ','SP','125252251211161431488714575112610127042',5140,'9998',58.03,1,3,NULL),(25,6088546,'1991-12-28 00:00:00',2,1,12,2008,'M','N','AREIAS','S JOSÉ','SC','124241241126141431333634245124230217042',NULL,'730',20.07,2,1,1),(25,6088562,'1993-07-14 00:00:00',4,1,12,2010,'M','N','BARRA CLARA','ANGELINA','SC','124241241127171431513316152222610124141',NULL,'1160',28.61,1,2,1),(25,6088570,'1990-04-11 00:00:00',4,15,12,2007,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201216571431569813275122610146097',2511,'9998',64.06,1,3,NULL),(25,6088589,'1991-07-25 00:00:00',2,15,12,2007,'M','N','LAGOÃO','ARARANGUÁ','SC','124241241137141732533329385112610124192',21687,'9997',25.48,1,3,NULL),(25,6088597,'1974-08-03 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224251241147471431435451395124610131097',14370,'285',42.69,3,2,1),(25,6088600,'1993-08-19 00:00:00',4,4,12,2010,'M','N','ESPLANADA','CHAPECÓ','SC','124241241137471451346923575122610137016',8834,'174',50.60,1,2,1),(25,6088627,'1993-05-28 00:00:00',4,10,11,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124252241215111232477632475112610167042',4908,'807',56.84,1,3,NULL),(25,6088635,'1989-10-11 00:00:00',4,3,11,2006,'F','N','AGUA VERDE','CURITIBA','PR','116162161216574431568713572114143128072',11240,'9998',44.68,1,3,NULL),(25,6088651,'1993-01-11 00:00:00',4,1,12,2010,'M','N','NOSSA SENHORA DO ROS','S JOSÉ','SC','124242241215121431459814475122610127122',NULL,'738',28.60,1,3,NULL),(25,6088660,'1993-05-24 00:00:00',4,4,12,2010,'M','N','JARDIM AMÉRICA','CHAPECÓ','SC','124241241411151432129924441124610164097',NULL,'1094',34.28,1,3,NULL),(25,6088678,'1993-02-11 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117111511247823232124610163097',NULL,'271',37.52,1,2,1),(25,6088686,'1993-06-05 00:00:00',4,1,11,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215121431468832575124610147127',12779,'270',43.31,1,3,NULL),(25,6088708,'1994-01-12 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217151531269913245124610136182',NULL,'299',46.41,1,3,NULL),(25,6088716,'1991-08-02 00:00:00',2,1,12,2009,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241115371431324624282124610117187',NULL,'307',18.50,1,2,1),(25,6088724,'1994-08-07 00:00:00',2,1,12,2011,'F','S','CENTRO','S PEDRO ALCÂNTARA','SC','124241241215131431435534475124610136052',NULL,'988',28.93,1,3,NULL),(25,6088732,'1987-10-17 00:00:00',2,10,12,2005,'M','N','CENTRO','CAPIVARI BAIXO','SC','124244243116142421338914225122330714117',NULL,'1034',0.00,2,1,2),(25,6088740,'1992-05-12 00:00:00',4,4,12,2009,'M','N','CENTRO','CASCAVEL','PR','116161161316271431546612211122610117112',407,'9998',77.93,1,3,NULL),(25,6088775,'1992-03-11 00:00:00',2,10,12,2009,'F','N','CENTRO','S MARTINHO','SC','124241241125141131333619245122610127057',20830,'750',31.83,1,3,NULL),(25,6088783,'1992-05-27 00:00:00',4,1,12,2010,'M','N','SÍTIO CERCADO','CURITIBA','PR','116162166115271441345933395124610164112',NULL,'9998',14.55,1,3,NULL),(25,6088791,'1991-08-11 00:00:00',2,1,12,2008,'M','N','PARQUE ATHENEU','GOIÂNIA','GO','109091091235531431456613572124610167042',11379,'9998',45.34,4,3,NULL),(25,6088805,'1993-04-28 00:00:00',4,7,12,2010,'M','N','SÃO VICENTE','HERVAL D OESTE','SC','124242241215111411548934572122610132012',NULL,'446',56.08,1,3,NULL),(25,6088813,'1993-07-24 00:00:00',4,1,12,2010,'M','N','AREIAS','FLORIANÓPOLIS','SC','124242241215151411458914575114610127142',1153,'1022',71.76,4,3,NULL),(25,6088821,'1994-01-11 00:00:00',2,4,12,2010,'F','N','INTERIOR','S JOÃO OESTE','SC','124241241117161411339433575124610157057',18647,'715',32.42,1,2,1),(25,6088830,'1984-07-17 00:00:00',4,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241126131731225344245124610165042',20973,'736',31.22,1,3,NULL),(25,6088848,'1960-04-25 00:00:00',2,1,12,1977,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224203202112152421563343234123141426091',3269,'9998',62.44,1,3,NULL),(25,6088856,'1991-12-19 00:00:00',4,15,12,2009,'M','N','RESTINGA','PTO ALEGRE','RS','120202201216471431568733575122610126082',6230,'9998',55.01,2,1,2),(25,6088864,'1989-09-30 00:00:00',2,8,12,2006,'M','N','SANTA CANDIDA','CURITIBA','PR','116162161215573441347934371112610162032',NULL,'9998',0.00,1,3,NULL),(25,6088872,'1993-02-10 00:00:00',4,1,12,2009,'F','N','CENTRO','PASSO FUNDO','RS','120202201217371431236824575112610165147',NULL,'9998',0.00,1,3,NULL),(25,6088899,'1992-11-29 00:00:00',4,7,12,2009,'F','N','CIDADE ALTA','VIDEIRA','SC','124241241117372431346634572122131562192',16520,'831',41.37,1,3,NULL),(25,6088902,'1991-06-05 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124122121217372431379613582114120764062',599,'9998',76.73,1,3,NULL),(25,6088910,'1992-09-25 00:00:00',4,1,12,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215372531488823575124133228012',17876,'270',39.08,1,3,NULL),(25,6088929,'1993-06-26 00:00:00',4,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241127131431525424242124610166182',15421,'290',39.78,1,2,1),(25,6088937,'1988-06-01 00:00:00',2,2,12,2005,'F','N','PARAÍSO','S PAULO','SP','125241241127572451536611395125131342182',11796,'69',44.11,1,2,1),(25,6088945,'1993-10-31 00:00:00',2,5,11,2010,'F','N','LOTE SEIS','CRICIÚMA','SC','124242241215111431336934571122610122147',18325,'210',33.37,1,3,NULL),(25,6088953,'1992-10-01 00:00:00',2,1,12,2009,'F','N','PONTA DO PAPAGAIO','PALHOÇA','SC','124241241112131411323331343114610132147',NULL,'595',22.82,1,2,1),(25,6088961,'1993-11-02 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241115271431226621572124610138072',10332,'271',47.63,1,3,NULL),(25,6088970,'1991-08-20 00:00:00',2,1,12,2008,'M','N','CENTRO','ARIRANHA','SP','125251251317472431527713475224610124057',14706,'9998',38.52,1,3,NULL),(25,6088988,'1993-10-25 00:00:00',4,7,12,2010,'F','N','FLOR DA SERRA','JOAÇABA','SC','124242241214153531558811574122610167092',17071,'454',40.51,1,3,NULL),(25,6088996,'1986-10-10 00:00:00',2,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241247126272411225321271324223214042',20603,'306',27.01,2,1,1),(25,6089003,'1991-12-26 00:00:00',2,1,12,2008,'F','N','SÃO JOÃO','PTO ALEGRE','RS','120203201217572431236933375122610133146',562,'9998',76.98,1,3,NULL),(25,6089020,'1992-12-22 00:00:00',4,7,12,2010,'F','N','NAÇOES','FRAIBURGO','SC','124242241216151451468813575122610134097',NULL,'885',0.00,1,3,NULL),(25,6089038,'1993-09-06 00:00:00',4,1,12,2010,'M','N','URBANOVA II','S JOSÉ CAMPOS','SP','125252251217171431456933475124610137042',8192,'9998',50.46,1,3,NULL),(25,6089046,'1993-03-02 00:00:00',4,17,10,2010,'M','N','CENTRO','CURITIBA','PR','116162161217121431456837572112610134052',NULL,'9998',0.00,1,3,NULL),(25,6089054,'1993-11-15 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115151731546619592124610146147',21068,'307',26.07,1,2,1),(25,6089062,'1993-07-06 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124231241125141421623431241324610137042',NULL,'274',14.48,1,2,1),(25,6089070,'1992-11-27 00:00:00',4,8,10,2010,'M','N','ATIRADORES','JOINVILLE','SC','124242246215311331478514245122610137042',20568,'488',32.89,1,3,NULL),(25,6089097,'1991-05-11 00:00:00',4,1,12,2008,'F','N','TARRAF II','S JOSÉ R PRETO','SP','125254251215572431358834574122141447093',8280,'9998',51.82,1,3,NULL),(25,6089127,'1993-07-21 00:00:00',2,2,11,2010,'F','N','SOUZA CRUZ','BRUSQUE','SC','124241241215111331336437475112610123142',NULL,'981',0.00,1,3,NULL),(25,6089151,'1994-09-29 00:00:00',4,4,12,2011,'M','S','CENTRO','CHAPECÓ','SC','124246248631111752488813571125610114017',NULL,'1192',33.64,4,3,NULL),(25,6089160,'1991-01-02 00:00:00',4,1,11,2008,'M','N','JARDIM JARAGUÁ','TAUBATÉ','SP','125252251215571731447931571122610137042',585,'9998',75.79,1,3,NULL),(25,6089178,'1993-03-23 00:00:00',4,6,12,2009,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241215272431446831595122233224142',13233,'1172',46.29,1,3,NULL),(25,6089186,'1989-02-15 00:00:00',4,1,1,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124204207616311411346733385122233263183',NULL,'9998',15.78,1,3,NULL),(25,6089194,'1988-06-27 00:00:00',4,1,12,2006,'M','N','BROTAS','SALVADOR','BA','105052058215371441589931575122141434042',321,'9998',79.37,1,3,NULL),(25,6089216,'1993-02-19 00:00:00',4,8,12,2010,'F','N','JARDIM SEIXAS','S JOSÉ R PRETO','SP','125252251215211411449811595122610126147',2835,'9998',63.67,1,3,NULL),(25,6089224,'1983-05-01 00:00:00',2,1,12,2000,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','224251251147131411323341212124140435122',NULL,'9998',41.42,1,2,1),(25,6089232,'1993-05-23 00:00:00',2,8,12,2010,'F','N','PAULAS','S FRANCISCO SUL','SC','124244241437131731558613575122610135057',17598,'992',34.21,1,3,NULL),(25,6089240,'1985-04-30 00:00:00',4,1,12,2002,'F','N','PARAÍSO','S PAULO','SP','125252251216571411247774475122341362097',569,'9998',75.23,1,3,NULL),(25,6089259,'1991-02-23 00:00:00',4,3,5,2009,'M','N','MORRETES','ITAPEMA','SC','124241246217151431444611172222610137112',10885,'995',49.84,1,3,NULL),(25,6089267,'1990-12-14 00:00:00',2,1,11,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241247322131711123349292334610125142',19091,'9997',33.93,3,3,NULL),(25,6089275,'1995-02-25 00:00:00',4,1,12,2012,'M','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217111231669613175114610148015',NULL,'1197',40.84,1,3,NULL),(25,6089283,'1967-12-09 00:00:00',4,1,12,1986,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124212211233153711168943435122321464112',NULL,'9998',0.00,1,3,NULL),(25,6089291,'1991-07-29 00:00:00',4,1,12,2008,'M','N','FAMA','GOIÂNIA','GO','109092091215571431359931595122610127042',2732,'9998',66.73,1,3,NULL),(25,6089305,'1992-11-28 00:00:00',2,9,11,2010,'F','N','UNIVERSITÁRIO','LAGES','SC','124242241215111431447833572122610137142',NULL,'1207',31.05,1,3,NULL),(25,6089321,'1988-03-12 00:00:00',2,2,12,2005,'F','N','VILA ANTONIETA','S PAULO','SP','125251251117131411337723345124142034077',NULL,'9998',0.00,1,2,1),(25,6089330,'1993-03-30 00:00:00',2,1,12,2010,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124243241116151431326723442124610127047',21241,'257',29.80,1,3,NULL),(25,6089348,'1994-08-28 00:00:00',2,15,12,2011,'F','S','CENTRO','MELEIRO','SC','124243247215111611463432574122610122072',NULL,'970',0.00,1,3,NULL),(25,6089356,'1993-02-18 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115111731523314492124610167142',19942,'281',29.63,1,2,1),(25,6089372,'1992-12-30 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241115121431466612575114610134145',NULL,'270',0.00,1,3,NULL),(25,6089380,'1993-03-19 00:00:00',2,1,12,2010,'F','N','SITIO CERCADO','CURITIBA','PR','116161161116271341347513375124610135092',NULL,'9998',0.00,4,2,1),(25,6089399,'1989-10-07 00:00:00',4,1,12,2007,'F','N','VILA MARIANA','S PAULO','SP','125252251216573421358832571125610166092',1774,'9998',68.27,1,3,NULL),(25,6089402,'1991-09-18 00:00:00',4,1,12,2008,'F','N','BAIRRO AHÚ','CURITIBA','PR','116162161216572451448732575112610163047',1064,'9998',72.43,1,3,NULL),(25,6089429,'1992-12-10 00:00:00',4,1,12,2010,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241132151731636431212224610121047',17745,'592',33.64,4,2,1),(25,6089437,'1992-12-29 00:00:00',4,4,12,2009,'M','N','ZONA II','UMUARAMA','PR','116162161216471411466513575112610134092',8948,'9998',50.21,3,3,NULL),(25,6089445,'1993-04-05 00:00:00',4,8,12,2010,'M','N','GLORIA','JOINVILLE','SC','124241241136141231438634345124610146177',8908,'464',49.71,1,2,1),(25,6089461,'1993-09-19 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124241241315141411568314245134610168092',NULL,'307',36.40,1,3,NULL),(25,6089496,'1992-12-04 00:00:00',4,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243241111371731456923574122610167072',14637,'307',39.99,1,3,NULL),(25,6089518,'1993-02-05 00:00:00',4,3,12,2009,'F','N','PAULISTA','PARANAVAÍ','PR','116162161215472431438831575114610134143',3335,'9998',63.07,1,3,NULL),(25,6089526,'1993-12-17 00:00:00',4,1,12,2010,'M','N','JARDIM CIDADE','S JOSÉ','SC','124241241115271431354623345124610167042',20442,'734',30.45,1,2,1),(25,6089534,'1993-02-23 00:00:00',4,2,12,2010,'M','N','ITOPAVA NORTE','BLUMENAU','SC','124242241215111431367914385124610164092',NULL,'9997',0.00,1,3,NULL),(25,6089542,'1990-06-02 00:00:00',3,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216143711268823595122233267041',8535,'1022',53.91,1,3,NULL),(25,6089569,'1990-08-15 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124252251215574431428811572122610124072',384,'9998',78.11,1,3,NULL),(25,6089593,'1993-05-06 00:00:00',4,1,12,2010,'F','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112122121217111431488813575122610164142',NULL,'9998',0.00,1,3,NULL),(25,6089623,'1990-11-30 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241136572421428611385124133264052',12005,'733',44.26,1,3,NULL),(25,6089631,'1991-12-05 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201116471711236823275124610127145',5423,'9998',56.88,1,2,1),(25,6089640,'1992-06-24 00:00:00',2,1,12,2009,'M','N','SANTO ANDRÉ','S LEOPOLDO','RS','120204201217272731457914595112610167042',16246,'9998',41.78,1,3,NULL),(25,6089658,'1993-12-19 00:00:00',2,4,12,2010,'F','N','POENTE DO SOL','CONCÓRDIA','SC','124243241117471231626522575122610138197',NULL,'194',25.85,2,3,NULL),(25,6089666,'1993-07-23 00:00:00',4,3,12,2010,'F','N','CENTRO','PNT PORÃ','MS','112122121216161431558932572122610127072',16745,'9998',35.34,1,3,NULL),(25,6089674,'1991-09-17 00:00:00',4,1,12,2008,'F','N','FLORESTA','S JOSÉ','SC','124244241216153431687933395114230763187',16348,'269',41.63,1,3,NULL),(25,6089682,'1987-07-22 00:00:00',2,15,11,2005,'M','N','ERECHIM','BAL ARROIO SILVA','SC','124241248317131211425811444134131447017',NULL,'29',0.00,1,3,NULL),(25,6089690,'1992-05-24 00:00:00',2,15,12,2009,'M','N','DIVINEIA','ARARANGUÁ','SC','124241241145111431436823242121610121052',NULL,'30',14.39,1,3,NULL),(25,6089704,'1992-08-07 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124111111217372411538613375124610134147',7310,'9998',52.36,1,3,NULL),(25,6089712,'1992-07-13 00:00:00',4,1,12,2009,'F','N','MONTE CASTELO','CPO GRANDE','MS','112122121215471431468613575122610154182',1317,'9998',72.23,1,3,NULL),(25,6089720,'1993-02-12 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241248117131431438934582124610127017',15020,'306',39.90,1,2,1),(25,6089739,'1981-01-24 00:00:00',4,1,12,1999,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124201201111131431123344442334610147142',21692,'9998',25.36,1,3,NULL),(25,6089747,'1976-10-29 00:00:00',2,1,12,2005,'M','N','ITACURUBI','FLORIANÓPOLIS','SC','124243241326153431233343235123232368197',NULL,'68',0.00,1,3,NULL),(25,6089755,'1993-01-28 00:00:00',2,9,12,2010,'M','N','BELLA VISTA','S JOAQUIM','SC','124242241215111431338824575122610162052',4176,'9997',61.42,1,3,NULL),(25,6089771,'1993-02-19 00:00:00',2,5,11,2010,'F','N','SANTA BÁRBARA','CRICIÚMA','SC','124242248215121431439834575122610137072',8361,'210',50.66,1,3,NULL),(25,6089798,'1992-02-10 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117271411436613374124610124013',18855,'307',37.23,2,1,1),(25,6089801,'1992-05-18 00:00:00',4,1,12,2008,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215572431479933575112610167182',6932,'1048',54.22,1,3,NULL),(25,6089810,'1986-04-14 00:00:00',4,1,12,2003,'F','N','CAMOBI','STA MARIA','RS','120201201316572431453829575114610126092',4023,'9998',60.57,1,3,NULL),(25,6089836,'1993-06-15 00:00:00',2,5,12,2010,'M','N','MONTE VERDE','MRO FUMAÇA','SC','124241241115151231523339575124610164197',NULL,'567',10.57,4,1,1),(25,6089852,'1993-02-09 00:00:00',4,4,12,2010,'F','N','CENTRO','ÁGUAS CHAPECÓ','SC','124241241147131731427621341225610163047',14401,'10',39.63,1,2,1),(25,6089860,'1990-04-08 00:00:00',2,1,12,2010,'F','N','CENTRO','BELA V CAROBA','PR','116241248136131111425518185321610127187',16257,'621',37.11,4,3,NULL),(25,6089895,'1970-07-11 00:00:00',2,1,12,1999,'F','N','ALTO RIBEIRAO','FLORIANÓPOLIS','SC','224202207226132411435642425122610126042',19683,'9998',35.41,1,3,NULL),(25,6089909,'1985-07-05 00:00:00',2,8,12,2002,'M','N','AVAÍ','GUARAMIRIM','SC','124161161312141431538933442123341454072',NULL,'9998',0.00,1,3,NULL),(25,6089925,'1989-11-29 00:00:00',2,1,12,2006,'F','N','CENTRO','AGRONÔMICA','SC','124241241146141411646413295124610147057',NULL,'7',27.61,1,2,1),(25,6089933,'1991-12-05 00:00:00',4,1,12,2010,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124242241215111431568633395124610164072',NULL,'270',0.00,1,3,NULL),(25,6089941,'1992-08-31 00:00:00',4,3,6,2010,'M','N','CENTRO','TRÊS PASSOS','RS','120202281416371431455712575125610132012',11773,'9998',48.52,1,3,NULL),(25,6089968,'1992-12-19 00:00:00',2,4,12,2009,'F','N','RURAL','CAIBI','SC','124241241116472431413335595114610162147',5930,'127',56.86,1,3,NULL),(25,6089976,'1992-01-22 00:00:00',2,1,12,2009,'F','N','ITAIM PAULISTA','S PAULO','SP','125251251116471431423823475124610145077',NULL,'9998',0.00,4,2,1),(25,6089984,'1993-02-18 00:00:00',4,1,12,2009,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124242241215372431349923374112131364117',8852,'1022',48.68,1,3,NULL),(25,6090001,'1990-07-25 00:00:00',4,8,12,2007,'F','N','SANTA CRUZ','CASTRO','PR','116162161216571451558939572125610166052',221,'9998',80.73,1,3,NULL),(25,6090010,'1993-06-18 00:00:00',4,8,12,2010,'F','N','JARDIM BARONEZA','ARAPONGAS','PR','116161161216151431438938174122610136142',4763,'9998',57.71,1,3,NULL),(25,6090028,'1993-05-12 00:00:00',2,5,12,2010,'M','N','JARDIN ANGELICA','CRICIÚMA','SC','124244241216211431424327575122610127042',17761,'995',33.07,1,3,NULL),(25,6090044,'1991-06-12 00:00:00',2,1,12,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242247237151731576633442112610167045',NULL,'9999',14.91,1,3,NULL),(25,6090079,'1993-06-28 00:00:00',4,8,12,2010,'M','N','GLORIA','JOINVILLE','SC','124242246215111431455812575124610127051',NULL,'1105',31.07,1,3,NULL),(25,6090087,'1991-11-11 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241211273411548832576122232864147',7585,'270',51.49,1,3,NULL),(25,6090095,'1994-08-22 00:00:00',4,9,11,2010,'F','N','POÇO RICO','OTACÍLIO COSTA','SC','124241241415111431458914575122610124182',NULL,'1207',23.72,1,3,NULL),(25,6090109,'1993-04-14 00:00:00',4,1,12,2010,'M','N','JARDIM EGLE','S PAULO','SP','125252251216111731448831575114610167042',NULL,'9998',0.00,1,3,NULL),(25,6090117,'1993-09-06 00:00:00',2,17,12,2010,'M','N','CENTRO','CANOINHAS','SC','124242241217111431469833435122610168012',13737,'154',39.97,1,3,NULL),(25,6090133,'1993-03-28 00:00:00',2,15,12,2010,'F','N','MATO ALTO','ARARANGUÁ','SC','124241241115151431424619295121130844147',21071,'30',25.46,1,2,1),(25,6090141,'1992-05-24 00:00:00',4,7,12,2009,'M','N','JARDIM DA SERRA','CAPINZAL','SC','124241242137112231333333212123610124052',NULL,'8',29.17,1,3,NULL),(25,6090150,'1985-09-23 00:00:00',2,15,11,2003,'M','N','CENTRO','STA ROSA SUL','SC','124201241121133711424431145121132062051',18998,'689',36.94,1,2,1),(25,6090176,'1991-03-03 00:00:00',2,1,12,2009,'F','N','PARQUE DA MATRIZ','CACHOEIRINHA','RS','120201201117471431436611374124142846172',4233,'9998',59.35,1,2,1),(25,6090184,'1993-09-01 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241111471711537529572125610132182',NULL,'285',27.12,1,2,1),(25,6090192,'1992-02-09 00:00:00',4,1,12,2010,'F','N','ALPHAVILLE CAMPINAS','CAMPINAS','SP','125252251216111431248824575122610137052',12690,'9998',42.85,1,3,NULL),(25,6090206,'1993-05-31 00:00:00',2,15,12,2010,'F','N','CENTRO','TURVO','SC','124241242116131751426369575124610126012',15433,'690',36.16,1,2,1),(25,6090222,'1993-05-20 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215111431423624575124610164191',13563,'1022',42.34,1,3,NULL),(25,6090230,'1991-10-02 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124243241216474431347613372124610123147',NULL,'723',0.00,1,3,NULL),(25,6090249,'1992-07-23 00:00:00',4,1,12,2009,'M','N','MORUMBI','S PAULO','SP','125252251217471431458812572124610167187',NULL,'9998',0.00,1,3,NULL),(25,6090257,'1992-10-19 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431446814575112610126072',3304,'270',63.04,1,3,NULL),(25,6090265,'1993-11-25 00:00:00',2,4,12,2010,'M','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124241241145131511537833372122610117055',20692,'245',25.97,1,2,1),(25,6090273,'1993-12-21 00:00:00',4,15,12,2010,'F','N','CENTRO','ARARANGUÁ','SC','124241241215371731458834572122610131072',5856,'970',56.78,1,3,NULL),(25,6090281,'1992-09-10 00:00:00',2,1,12,2009,'M','N','LESTE UNIVERSITARIO','GOIÂNIA','GO','609091091115471231426623575324610164092',11990,'9998',43.67,2,1,1),(25,6090290,'1992-05-14 00:00:00',4,9,11,2008,'M','N','CORAL','LAGES','SC','124242241216152441349931575122231434092',2027,'497',67.33,1,3,NULL),(25,6090303,'1984-12-14 00:00:00',4,1,12,2002,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','624243241116372411227944345124130764187',16387,'169',41.59,1,3,NULL),(25,6090311,'1993-03-16 00:00:00',4,4,12,2009,'F','N','CENTRO','CASCAVEL','PR','116162161215471731438832222122610138177',NULL,'9998',31.60,3,3,NULL),(25,6090320,'1993-03-14 00:00:00',2,1,12,2010,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241215111431436924575124610134122',9598,'299',48.50,1,3,NULL),(25,6090338,'1993-08-25 00:00:00',2,15,12,2010,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241136161431226824295221610128172',16725,'30',35.53,1,2,1),(25,6090346,'1992-03-30 00:00:00',4,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124282281217471431439814575124610144052',6025,'9998',55.64,1,3,NULL),(25,6090354,'1993-08-19 00:00:00',4,8,12,2010,'F','N','CENTRO','PARIQUERA-AÇU','SP','125252161216121431566834575122610132142',9115,'9998',48.27,1,3,NULL),(25,6090362,'1984-10-21 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124253251316133421124448485124343222091',NULL,'9998',31.02,4,3,NULL),(25,6090389,'1992-09-18 00:00:00',4,5,6,2010,'M','N','N SENHORA DA SALETE','CRICIÚMA','SC','124241246217141431558812443124610137042',19534,'995',35.74,1,3,NULL),(25,6090400,'1991-07-19 00:00:00',4,1,12,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124202201437141411547623345124610136117',20533,'9998',33.00,1,3,NULL),(25,6090419,'1991-10-24 00:00:00',2,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124244241215111431213321575124610162017',16786,'1134',40.95,1,3,NULL),(25,6090427,'1990-10-13 00:00:00',1,1,12,2008,'F','N','TERESOPOLIS','ÁGUAS MORNAS','SC','124241241116473531423315442124231016047',19241,'978',30.54,1,2,1),(25,6090443,'1993-12-01 00:00:00',2,1,12,2010,'M','N','BOM VIVER','BIGUAÇU','SC','124243241215111431427713595124610137092',13234,'1118',46.29,1,3,NULL),(25,6090451,'1993-05-02 00:00:00',4,1,12,2010,'M','N','PORTÃO','CURITIBA','PR','116162161116471431469813575124610112172',9125,'9998',52.82,1,3,NULL),(25,6090460,'1994-06-29 00:00:00',2,1,11,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241215131132536632372114610137057',NULL,'1022',28.95,1,3,NULL),(25,6090478,'1993-09-14 00:00:00',4,15,12,2010,'M','N','CENTRO','ARARANGUÁ','SC','124242241217371731548931592115610124042',842,'970',74.25,1,3,NULL),(25,6090486,'1988-04-04 00:00:00',4,7,12,2005,'M','N','STA TERESA','JOAÇABA','SC','124241241116152741228723297124131468192',NULL,'449',43.49,4,2,1),(25,6090508,'1993-04-10 00:00:00',4,1,12,2010,'M','N','JARDIM ATLANTICO','S JOSÉ','SC','124244241217271431435851595124610166012',4922,'738',58.87,1,3,NULL),(25,6090516,'1992-12-18 00:00:00',4,1,12,2010,'F','N','JARDIM DO LAGO','ATIBAIA','SP','125253251216111711368814375112610126192',NULL,'9998',0.00,1,3,NULL),(25,6090532,'1984-03-18 00:00:00',2,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224241241125151431223549295124610138051',18404,'9997',33.04,1,3,NULL),(25,6090540,'1993-03-06 00:00:00',4,1,12,2010,'F','N','BUTIATUVINHA','CURITIBA','PR','116162161216111451478832425122610164183',383,'9998',77.93,1,3,NULL),(25,6090567,'1993-03-12 00:00:00',4,4,12,2010,'F','N','PARQUE CIDADE JARDIM','UMUARAMA','PR','116162161215171411459933474122610152197',1207,'9998',72.33,1,3,NULL),(25,6090583,'1989-04-17 00:00:00',4,2,12,2006,'F','N','JUVEVE','CURITIBA','PR','116162161212572431448614591124140624047',232,'9998',80.60,1,3,NULL),(25,6090591,'1994-03-21 00:00:00',4,1,12,2011,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124244241115151431479834572122610128015',NULL,'271',53.31,1,3,NULL),(25,6090605,'1993-07-15 00:00:00',4,1,12,2010,'M','N','VILA IPIRANGA','PTO ALEGRE','RS','120202201217371531369933575122610147047',5710,'9998',54.46,1,3,NULL),(25,6090613,'1991-06-28 00:00:00',4,1,12,2008,'F','N','VILA FORMOSA','S PAULO','SP','125252251216571441456722575124610137112',8979,'9998',48.60,4,3,NULL),(25,6090621,'1993-04-21 00:00:00',4,1,11,2010,'F','N','SÃO FRANCISCO','CPO GRANDE','MS','112253121215111431449814575124610168052',8043,'9998',50.86,1,3,NULL),(25,6090630,'1957-04-22 00:00:00',2,1,12,2010,'M','N','VILA NOVA','ARAÇARIGUAMA','SP','225253257327131431324144145122610157047',NULL,'9998',14.69,1,3,NULL),(25,6090648,'1992-08-20 00:00:00',4,4,12,2009,'F','N','SÃO LUIS','S JOSÉ CEDRO','SC','124241241114272411435614141124610137077',5486,'740',56.65,1,2,1),(25,6090656,'1993-02-17 00:00:00',2,10,10,2010,'M','N','HUMAITÁ','TUBARÃO','SC','124242241236111431439714575122610168142',3658,'806',63.05,1,3,NULL),(25,6090664,'1992-11-15 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241216472431336634575124610123122',1289,'1001',70.98,1,3,NULL),(25,6090672,'1970-11-26 00:00:00',1,1,12,1988,'M','N','BELA VISTA','S JOSÉ','SC','124243241337131441333334115123610114182',14736,'307',44.10,1,3,NULL),(25,6090680,'1992-06-18 00:00:00',4,1,11,2010,'M','N','ALTO RIBEIRAO','FLORIANÓPOLIS','SC','124243247237151731456632445134610138047',21427,'9999',28.61,1,3,NULL),(25,6090699,'1993-05-18 00:00:00',4,4,12,2010,'F','N','SÃO FRANCISCO','S LOURENÇO OESTE','SC','124241161215111431415613475122610133092',NULL,'743',0.00,1,3,NULL),(25,6090702,'1985-07-21 00:00:00',4,1,5,2003,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124281281116271431538841415124142636197',11295,'9998',49.22,2,1,1),(25,6090729,'1993-11-23 00:00:00',4,7,12,2010,'F','N','MATRIZ','VIDEIRA','SC','124244241216131431339613575122610144147',6360,'1080',54.81,1,3,NULL),(25,6090737,'1987-01-23 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241146132431126444345124320932067',15065,'169',43.59,1,2,1),(25,6090745,'1992-12-07 00:00:00',4,1,12,2009,'F','N','CENTRO','CPO GRANDE','MS','112125121216471431458811315125610156092',82,'9998',84.13,4,3,NULL),(25,6090753,'1991-08-03 00:00:00',2,8,12,2008,'F','N','CENTRO','CEREJEIRAS','RO','116222221216571131448833572114610128147',NULL,'9998',0.00,3,3,NULL),(25,6090761,'1985-06-08 00:00:00',4,1,12,2002,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241146141751121149295124230234042',NULL,'564',0.00,1,3,NULL),(25,6090770,'1993-10-31 00:00:00',4,1,11,2010,'F','N','LISBOA','S JOSÉ','SC','124242241215121231336624572124610122077',16895,'1022',35.19,1,3,NULL),(25,6090796,'1993-03-26 00:00:00',4,16,11,2010,'M','N','REUNIDAS','CAÇADOR','SC','124242241215151431445915575125610167057',12300,'1124',44.18,1,3,NULL),(25,6090800,'1993-03-03 00:00:00',2,3,12,2010,'F','N','ALTO BOQUERÃO','CURITIBA','PR','116162161215121341433331194122610112096',1930,'9998',68.40,1,3,NULL),(25,6090818,'1990-06-10 00:00:00',2,4,12,2007,'M','N','ALTO SÃO FRANCISCO','UMUARAMA','PR','116161161215571431445923272112610167057',1003,'9998',71.80,4,3,NULL),(25,6090826,'1985-01-23 00:00:00',4,1,12,2002,'F','N','BELA VISTA I','S JOSÉ','SC','124251251117131531126644342334610164143',NULL,'9998',13.79,1,3,NULL),(25,6090842,'1992-07-13 00:00:00',4,8,11,2009,'F','N','CENTRO','MARINGÁ','PR','116162161216472451478832575125610122122',711,'9998',74.62,1,3,NULL),(25,6090850,'1993-02-06 00:00:00',2,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241146151331546612272124610137042',14818,'257',43.97,1,2,1),(25,6090869,'1981-12-04 00:00:00',2,1,12,1998,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224162161116131431526644245131141934187',17558,'9998',39.65,1,3,NULL),(25,6090877,'1990-06-30 00:00:00',2,1,12,2007,'F','N','MIGUEL COUTO','CPO GRANDE','MS','112121121416571731545636574122610163197',NULL,'9998',28.47,1,3,NULL),(25,6090885,'1992-11-15 00:00:00',4,8,12,2010,'F','N','VILA NOVA','JOINVILLE','SC','124241241117131711418868295124610162097',19160,'475',33.70,3,3,NULL),(25,6090907,'1992-10-27 00:00:00',4,3,11,2009,'F','N','CENTRO','CASCAVEL','PR','116162161215411431549632575122610162097',12128,'9998',42.71,1,3,NULL),(25,6090923,'1991-10-04 00:00:00',4,8,12,2009,'M','N','CENTRO','JOINVILLE','SC','116242241217472331458711572115610167182',2624,'457',65.74,1,3,NULL),(25,6090931,'1993-06-16 00:00:00',2,4,12,2010,'F','N','INTERIOR','TEN PORTELA','RS','120201201111131431535635381225610126142',19358,'9998',30.66,1,2,1),(25,6090958,'1993-05-23 00:00:00',4,1,12,2010,'F','N','ALTO BIGUAÇU','BIGUAÇU','SC','124241241116152431446933575124610134143',7243,'21',52.99,1,2,1),(25,6090966,'1992-05-29 00:00:00',2,5,6,2010,'M','N','PIO CORRÊA','CRICIÚMA','SC','124241246217131431326614275124610135097',NULL,'995',31.53,1,3,NULL),(25,6090982,'1993-05-23 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116271411428617275124610167017',NULL,'307',38.01,1,2,1),(25,6090990,'1992-09-15 00:00:00',4,1,12,2010,'M','N','JARDIM AQUARIOS','S JOSÉ CAMPOS','SP','125252251117111751348619292122610124047',16298,'9998',36.90,1,3,NULL),(25,6091008,'1991-12-27 00:00:00',2,1,12,2009,'F','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124241241116372431446923575124223038192',10592,'17',45.41,1,3,NULL),(25,6091040,'1992-12-15 00:00:00',4,10,11,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242241217112411469814274122610162142',785,'807',75.44,1,3,NULL),(25,6091059,'1992-05-29 00:00:00',4,1,12,2009,'M','N','SANTA RITA','STA BÁRBARA D OESTE','SP','125252251216471431469812575112610137042',7423,'9998',53.37,1,3,NULL),(25,6091067,'1991-08-26 00:00:00',4,3,11,2008,'F','N','CENTRO','LONDRINA','PR','116162161216572431578811572122610143072',200,'9998',81.03,3,3,NULL),(25,6091075,'1993-11-30 00:00:00',4,1,11,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241215372431338923572124610163012',7364,'884',52.77,1,3,NULL),(25,6091083,'1982-12-05 00:00:00',2,1,12,2000,'F','N','JARDIM DAS FLORES','OSASCO','SP','125251251127551741126541215324610148117',16686,'9998',34.06,1,2,1),(25,6091091,'1990-09-10 00:00:00',4,8,12,2007,'M','N','CENTRO','IRATI','PR','116161161315411731388632572115141267122',NULL,'9997',0.00,1,3,NULL),(25,6091105,'1991-02-14 00:00:00',4,1,11,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243248116573451436313375124222268142',19355,'257',30.31,1,3,NULL),(25,6091113,'1993-05-25 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241217112431488913575122610144141',2585,'1063',65.43,1,3,NULL),(25,6091121,'1993-05-13 00:00:00',4,8,11,2010,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215271451358832575122610164017',2852,'1063',64.36,1,3,NULL),(25,6091130,'1993-05-06 00:00:00',2,15,11,2010,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124244241215111431326924572242610168142',NULL,'26',28.96,1,3,NULL),(25,6091156,'1993-05-31 00:00:00',4,4,12,2010,'F','N','CLAUDETE','CASCAVEL','PR','116162161215111431436924571122610115052',8161,'9998',52.00,1,3,NULL),(25,6091172,'1993-06-28 00:00:00',4,10,10,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242241217152431469911572112610121193',4895,'806',58.50,1,3,NULL),(25,6091180,'1993-03-12 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211474431449819571125610126147',2037,'270',69.14,1,3,NULL),(25,6091199,'1977-06-01 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224242247416113412268653425112122937185',NULL,'9999',30.66,1,3,NULL),(25,6091202,'1992-08-25 00:00:00',2,1,12,2010,'M','N','FREITAS','PAULO LOPES','SC','124241241136161431467933575122610148142',15287,'607',37.95,1,2,1),(25,6091210,'1994-06-26 00:00:00',4,15,2,2011,'M','N','CENTRO','ARARANGUÁ','SC','124242241217151731468833435122610132142',14688,'970',44.17,1,3,NULL),(25,6091229,'1994-03-22 00:00:00',4,1,11,2010,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241217111431258931242122610132182',9548,'270',52.15,1,3,NULL),(25,6091237,'1993-04-16 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241216112431469914575122610121015',8389,'737',49.91,1,3,NULL),(25,6091245,'1963-02-13 00:00:00',2,1,9,2002,'M','N','MADRI','PALHOÇA','SC','224243247412133411433134442124221436042',NULL,'1003',21.88,5,4,NULL),(25,6091270,'1993-12-25 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215131431568713571124610163142',7389,'1022',52.84,1,3,NULL),(25,6091296,'1993-11-08 00:00:00',4,1,10,2010,'M','N','ABRANCHES','CURITIBA','PR','116162161235471441268832572122610167122',5445,'9998',59.87,1,3,NULL),(25,6091300,'1992-01-23 00:00:00',2,1,12,2009,'F','N','BELA VISTA','PALHOÇA','SC','124241241126131431223344345214610158142',NULL,'58',0.00,1,3,NULL),(25,6091318,'1992-04-28 00:00:00',2,5,12,2009,'F','N','CENTRO','ORLEANS','SC','124244241216472431466612595124610136172',8633,'581',49.98,1,3,NULL),(25,6091326,'1993-06-27 00:00:00',4,8,11,2010,'F','N','BARREIRINHA','CURITIBA','PR','116162161217121431568933572122610163042',NULL,'9998',15.71,1,3,NULL),(25,6091342,'1993-08-25 00:00:00',2,5,12,2010,'F','N','RIO MAINA','CRICIÚMA','SC','124244241116271431326612171124610137077',NULL,'223',0.00,1,3,NULL),(25,6091350,'1993-05-17 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115111431348823572114610132147',15703,'267',37.79,1,2,1),(25,6091369,'1993-08-30 00:00:00',2,7,12,2010,'M','N','N SENHORA DE LOURDES','CAMPOS NOVOS','SC','124242241215151431459614575112610127042',8273,'138',50.71,1,3,NULL),(25,6091377,'1991-11-14 00:00:00',4,1,12,2008,'F','N','PACHECO','PALHOÇA','SC','124243241215372431456632585112610163182',5447,'1011',56.97,1,3,NULL),(25,6091393,'1983-10-16 00:00:00',2,10,12,2002,'F','N','PORTAL','ARMAZÉM','SC','524241241126161411424314235121332737142',14968,'34',43.74,1,2,1),(25,6091407,'1993-07-22 00:00:00',4,1,11,2010,'M','N','CENTRO','TORRES','RS','120202241215111431533657575124610128112',9948,'270',48.20,1,3,NULL),(25,6091415,'1992-05-14 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216372431446613575124231934052',10675,'1134',50.20,1,3,NULL),(25,6091423,'1994-06-14 00:00:00',4,1,12,2010,'F','N','BOSQUE DAS MANSÕES','S JOSÉ','SC','124242241211111431386712575122610134192',11604,'723',48.75,1,3,NULL),(25,6091431,'1990-09-22 00:00:00',2,1,12,2007,'F','N','CENTRO','COLORADO','PR','116162161214573432548834575114610163187',416,'9998',78.34,3,3,NULL),(25,6091440,'1992-07-08 00:00:00',4,4,12,2009,'M','N','CENTRO','CONCÓRDIA','SC','124201208246271712125929245125140764053',NULL,'9998',25.53,1,3,NULL),(25,6091466,'1992-04-24 00:00:00',4,6,12,2009,'M','N','CENTRO','ITAJAÍ','SC','124242241217171431558831575124610147122',NULL,'392',9.53,1,3,NULL),(25,6091474,'1992-01-11 00:00:00',4,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','120241247217131531326521115114610131147',NULL,'9999',25.39,1,3,NULL),(25,6091482,'1992-06-27 00:00:00',4,17,10,2009,'F','N','VILA IZABEL','CURITIBA','PR','116244164236472431239824472124610164172',3342,'9998',62.93,1,3,NULL),(25,6091504,'1993-03-03 00:00:00',4,4,11,2010,'F','N','CENTRO','PATO BRANCO','PR','116162161215111431548611572124610126017',6040,'9998',55.78,1,3,NULL),(25,6091520,'1992-05-04 00:00:00',4,1,12,2009,'F','N','JARDIM AEROPORTO','CAMPINAS','SP','125251253117471431323614375134610163144',6063,'9998',54.11,1,2,1),(25,6091539,'1993-09-27 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241225111431313359595124610127052',16932,'262',37.24,1,3,NULL),(25,6091547,'1992-11-23 00:00:00',4,1,11,2010,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241215121451469616574122610124092',1398,'270',71.79,1,3,NULL),(25,6091563,'1993-05-17 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241217151431348823576114610167052',13442,'988',42.72,1,3,NULL),(25,6091571,'1983-03-07 00:00:00',4,1,12,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224252251217131221328644415134313237115',12798,'9998',46.92,1,3,NULL),(25,6091598,'1994-05-21 00:00:00',4,1,11,2010,'M','N','IPIRANGA','S JOSÉ','SC','124244241215111431457931574114610167057',12544,'1022',42.26,1,3,NULL),(25,6091610,'1993-08-25 00:00:00',2,4,12,2010,'F','N','CENTRO','JABOTICABA','RS','120201201216151411338835491125610167142',NULL,'9998',0.00,1,3,NULL),(25,6091628,'1993-01-27 00:00:00',2,9,12,2010,'F','N','CENTRO','BOM JD SERRA','SC','124241241435111411526636572122610147147',21757,'515',23.78,1,3,NULL),(25,6091636,'1993-12-29 00:00:00',2,2,12,2010,'F','N','GLÓRIA','BLUMENAU','SC','124241241317141731324412225124610162141',NULL,'1018',25.09,1,3,NULL),(25,6091644,'1994-04-20 00:00:00',4,8,11,2010,'F','N','CENTRO','PTO UNIÃO','SC','124242161215471431447912575124610138142',NULL,'9998',0.00,1,3,NULL),(25,6091652,'1992-01-10 00:00:00',4,8,11,2009,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242161217412451468822572124610134187',309,'9998',79.56,1,3,NULL),(25,6091660,'1993-03-02 00:00:00',2,1,11,2010,'M','N','NOSSA SENHORA DO ROS','S JOSÉ','SC','124241241112271231556312285121610127052',16597,'726',35.82,1,2,1),(25,6091679,'1993-07-15 00:00:00',2,15,12,2010,'F','N','LAGOA DA SERRA','ARARANGUÁ','SC','124241241115371421426314295124610113147',NULL,'29',18.09,1,2,1),(25,6091695,'1992-11-27 00:00:00',2,7,12,2009,'F','N','CENTRO','CAMPOS NOVOS','SC','124241241115272731513419395124610166052',NULL,'139',24.14,1,2,1),(25,6091709,'1981-12-16 00:00:00',2,1,12,1999,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224251251137151411328751285124142236172',NULL,'9998',35.07,1,2,1),(25,6091733,'1992-10-16 00:00:00',4,1,11,2009,'F','N','BOA VISTA','CURITIBA','PR','116162161216471231479933575122610125182',NULL,'9998',0.00,1,3,NULL),(25,6091741,'1992-05-15 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124114241116371231436616572122610127012',14667,'51',41.02,1,3,NULL),(25,6091750,'1991-03-24 00:00:00',4,1,11,2008,'F','N','AEROPORTO','TUBARÃO','SC','124242241215572431479812575112610166092',11469,'807',44.68,1,3,NULL),(25,6091768,'1993-11-26 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124252241212111732438811482124610144097',16241,'270',37.90,1,3,NULL),(25,6091776,'1971-06-03 00:00:00',2,1,12,1989,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','524241246115231721223341412122610123127',17584,'306',36.13,1,2,1),(25,6091784,'1993-02-01 00:00:00',4,5,11,2010,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215121431658814374122610154147',3595,'213',62.07,1,3,NULL),(25,6091792,'1993-08-28 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115371731426614285124610143092',NULL,'307',32.05,4,1,1),(25,6091806,'1992-10-28 00:00:00',4,8,11,2009,'F','N','JARDIM BOTUJURU','JACUPIRANGA','SP','125251251111171221338723571124610164012',18652,'9998',31.85,1,3,NULL),(25,6091830,'1992-12-13 00:00:00',2,15,12,2009,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124243241117272231524414185111610127012',NULL,'1033',26.73,4,3,NULL),(25,6091849,'1993-06-30 00:00:00',4,1,11,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217372431469833375122610168197',958,'1050',74.19,1,3,NULL),(25,6091857,'1990-10-21 01:00:00',4,3,12,2007,'F','N','NOSSA SRA APARECIDA','CPO NOVO PARECIS','MT','111111111116572431248723572112142864147',428,'9998',77.41,1,2,1),(25,6091865,'1993-03-09 00:00:00',4,1,12,2010,'M','N','NR DR L M PIMENTA','ITATIBA','SP','125251251116141231436611345124610117047',NULL,'9998',0.00,1,2,1),(25,6091873,'1984-11-19 00:00:00',2,1,12,2001,'M','N','CENTRO','CAXIAS SUL','RS','120201201137371431225644345114610122187',19174,'9998',31.18,2,2,1),(25,6091881,'1988-12-22 00:00:00',4,1,11,2006,'M','N','BATEL','CURITIBA','PR','116162161216472411467814475124141024052',774,'9998',74.28,1,3,NULL),(25,6091890,'1992-02-02 00:00:00',4,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241315471551389923576114610164176',2242,'270',68.38,1,3,NULL),(25,6091903,'1993-09-18 00:00:00',2,3,10,2010,'F','N','UBERABA','CURITIBA','PR','116163161215421411248827275112610162197',9946,'9998',45.15,1,3,NULL),(25,6091920,'1991-03-09 00:00:00',2,7,12,2008,'F','N','CENTRO','LUZERNA','SC','124241241111274431325524572324610164142',12831,'539',42.21,1,2,1),(25,6091946,'1990-05-10 00:00:00',2,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124241248146141751556419395114610112182',19538,'591',35.72,1,3,NULL),(25,6091954,'1991-08-21 00:00:00',4,1,12,2008,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091214571711538611172122610126097',284,'9998',79.59,4,3,NULL),(25,6091962,'1983-07-22 00:00:00',4,1,2,2000,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124213087117472431118849195124222332082',7375,'9998',56.01,1,3,NULL),(25,6091970,'1992-11-30 00:00:00',4,8,12,2009,'F','N','CAPÃO RASO','CURITIBA','PR','116162161211472411357912574112610146072',2670,'9998',66.92,1,3,NULL),(25,6091989,'1993-05-29 00:00:00',4,1,11,2009,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091214471431468814575122610134037',4243,'9998',59.96,1,3,NULL),(25,6091997,'1982-06-30 00:00:00',2,1,12,2002,'M','N','SERRARIA','S JOSÉ','SC','124241246126132411113344445233233214042',NULL,'739',32.71,1,2,1),(25,6092004,'1991-03-05 00:00:00',4,1,12,2008,'F','N','MOURA','CANELINHA','SC','124241241127131631332244442224233223057',NULL,'913',13.68,1,2,1),(25,6092012,'1992-11-10 00:00:00',1,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124244241236111411239921575124610163047',5530,'1016',57.70,1,3,NULL),(25,6092020,'1990-07-30 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247336371541325644295114610167083',NULL,'9999',0.00,1,3,NULL),(25,6092039,'1992-05-11 00:00:00',2,8,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','116162161236372431428624275125610166187',955,'9998',73.53,1,3,NULL),(25,6092047,'1993-03-16 00:00:00',4,8,12,2010,'M','N','BATEL','CURITIBA','PR','116162161211111331279912575122610164082',1742,'9998',68.95,1,3,NULL),(25,6092055,'1964-04-26 00:00:00',2,1,8,2010,'F','N','S J RIO VERMELHO','FLORIANÓPOLIS','SC','224251241217111311351153192124610118187',NULL,'9999',0.00,2,1,2),(25,6092063,'1982-08-22 00:00:00',2,15,12,1999,'M','N','MATO ALTO','ARARANGUÁ','SC','224241241116155431238444445222223227055',NULL,'30',0.00,1,2,1),(25,6092071,'1993-03-29 00:00:00',4,1,11,2010,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124243241115371431449413572124610114142',10528,'271',46.94,1,3,NULL),(25,6092080,'1993-10-06 00:00:00',2,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111451536618592124610128142',18713,'737',31.29,1,3,NULL),(25,6092101,'1964-12-31 00:00:00',4,1,12,1997,'M','N','COLONIA SANTANA','S JOSÉ','SC','624201247223434411338343433111121844037',NULL,'9999',23.23,4,3,NULL),(25,6092128,'1991-10-16 00:00:00',4,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241244112162231623521312224610147142',NULL,'295',0.00,1,2,1),(25,6092136,'1993-06-19 00:00:00',4,1,12,2010,'F','N','CENTRO','UMUARAMA','PR','116162161216111431449914575112610142197',12443,'9998',43.62,1,3,NULL),(25,6092144,'1992-09-21 00:00:00',4,4,12,2009,'F','N','CENTRO','DOIS VIZINHOS','PR','116162161217471411436832575124610163187',5682,'9998',55.47,4,3,NULL),(25,6092152,'1990-10-10 00:00:00',4,2,12,2007,'F','N','SETOR KENNEDY','LUZIÂNIA','GO','109092091416133741659819375122141434097',4704,'9998',59.76,1,3,NULL),(25,6092160,'1993-07-02 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431358913575225610133062',431,'270',78.16,1,3,NULL),(25,6092179,'1991-02-15 00:00:00',2,1,12,2007,'F','N','MEDIANEIRA','PTO ALEGRE','RS','120202201216571431557317575114610163187',8565,'9998',48.31,1,3,NULL),(25,6092187,'1992-09-01 00:00:00',4,1,12,2008,'F','N','CENTRO','JARDIM','MS','125122071234571431679832574125610165147',980,'9998',71.73,3,3,NULL),(25,6092195,'1989-11-30 00:00:00',2,1,12,2006,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241116573121356313445132610132145',20916,'281',31.43,1,2,1),(25,6092217,'1986-02-26 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241135373431438657241114610124045',16215,'298',38.26,2,1,1),(25,6092225,'1992-03-27 00:00:00',4,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241117471431433614285214610127052',7350,'287',52.62,1,3,NULL),(25,6092233,'1992-11-16 00:00:00',4,1,12,2010,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125132251215111431468831585122610114127',3055,'9998',62.83,1,3,NULL),(25,6092241,'1992-04-03 00:00:00',4,1,12,2009,'M','N','ALPHAVILLE','BARUERI','SP','125252251216571751578813571122610167077',NULL,'9998',0.00,1,3,NULL),(25,6092250,'1993-09-15 00:00:00',2,5,12,2010,'M','N','HÍPICA','PTO ALEGRE','RS','120202201116471731469613171124610127047',9001,'9998',48.03,1,3,NULL),(25,6092268,'1981-06-22 00:00:00',2,1,12,2001,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124202202226371751223349395124143165055',NULL,'9998',0.00,1,3,NULL),(25,6092276,'1993-02-23 00:00:00',4,8,12,2010,'M','N','BOEHMERWALD','JOINVILLE','SC','124242241215111431445412574112610122063',3242,'1063',64.44,4,3,NULL),(25,6092284,'1992-12-13 00:00:00',4,8,12,2009,'M','N','CENTRO','TELÊMACO BORBA','PR','116164161216472431446637571124610114142',1054,'9998',72.33,1,3,NULL),(25,6092314,'1993-03-29 00:00:00',4,1,12,2010,'M','N','BELO HORIZONTE','AGRONÔMICA','SC','124241241127131431526614241233610154052',NULL,'7',0.00,1,2,1),(25,6092322,'1991-10-15 00:00:00',4,1,4,2010,'F','N','CENTRO','STA MARIA','RS','120201201116371731338632575224610114187',19099,'9998',31.34,1,2,1),(25,6092330,'1993-09-15 00:00:00',2,1,11,2010,'F','N','SÃO JOSÉ','RUSSAS','CE','106062061216271421326824575123610126142',NULL,'9998',38.07,5,3,NULL),(25,6092349,'1991-12-19 00:00:00',2,1,12,2008,'F','N','DOIS PINHEIROS','VIDEIRA','SC','124241241215573431538811572124610144117',3993,'1022',63.27,1,3,NULL),(25,6092357,'1993-10-14 00:00:00',4,16,12,2010,'F','N','BIGORRILHO','CURITIBA','PR','116242161215122431288831382124610135172',7410,'9998',52.92,1,3,NULL),(25,6092365,'1987-05-08 00:00:00',2,15,12,2004,'F','N','COLONINHA','ARARANGUÁ','SC','124241241136371431326444245123610167047',NULL,'28',17.06,1,2,1),(25,6092373,'1990-09-19 00:00:00',2,10,12,2007,'M','N','CENTRO','TUBARÃO','SC','124241244113141541436336342231610134177',NULL,'793',35.39,1,2,1),(25,6092381,'1993-09-13 00:00:00',2,4,12,2010,'F','N','BAIRRO IPIRANGA','S JOSÉ CEDRO','SC','124241247136131531323316171125610127077',NULL,'740',0.00,1,2,1),(25,6092390,'1993-03-24 00:00:00',4,8,12,2010,'M','N','ALTO DAS OLIVEIRAS','TELÊMACO BORBA','PR','116164161215111431566834572112610127147',NULL,'9998',0.00,4,3,NULL),(25,6092403,'1991-12-02 00:00:00',2,1,12,1991,'M','N','VILA SÃO LUCIO','BOTUCATU','SP','125251251217471431445712572122610167042',NULL,'9998',0.00,1,3,NULL),(25,6092411,'1986-09-03 00:00:00',2,1,6,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124201241211472431136643331122610167117',NULL,'9999',0.00,1,3,NULL),(25,6092438,'1992-05-26 00:00:00',4,1,12,2009,'M','N','BELA VISTA I','S JOSÉ','SC','124242241216172211466673572122610114062',NULL,'1118',31.85,2,3,NULL),(25,6092462,'1988-09-16 00:00:00',2,1,12,2005,'M','N','LARANJEIRAS','RIO SUL','SC','124243241147131431336744145132132162192',NULL,'659',28.41,1,3,NULL),(25,6092470,'1991-08-20 00:00:00',4,1,12,2008,'F','N','JARDIM AMÉRICA','BRAGANÇA PAULISTA','SP','125252251215571431378611582125610126122',NULL,'9998',0.00,1,3,NULL),(25,6092489,'1993-06-23 00:00:00',2,7,11,2010,'F','N','COLÔNIA VITÓRIA','GUARAPUAVA','PR','116163161215111431546632572122610138092',2645,'9998',64.92,1,3,NULL),(25,6092497,'1989-05-12 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241122374431536933285124222538187',NULL,'336',40.44,1,2,1),(25,6092500,'1982-06-23 00:00:00',2,1,12,1999,'M','N','KOBRASOL','S JOSÉ','SC','124201202136141451326419295124610157042',NULL,'9998',20.24,4,3,NULL),(25,6092519,'1975-03-25 00:00:00',2,1,8,2001,'F','N','FAZENDA ST ANTÔNIO','S JOSÉ','SC','124201206126131421226144345334610162097',NULL,'9998',30.69,2,2,1),(25,6092527,'1975-11-11 00:00:00',2,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224241241127131421331359392114610126147',18721,'282',35.81,1,2,1),(25,6092560,'1985-04-25 00:00:00',2,17,4,2008,'M','N','BOA VISTA','CANOINHAS','SC','124241247146273431324732115123610138097',8799,'9999',53.41,1,2,1),(25,6092578,'1989-11-24 00:00:00',4,8,12,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215372431465631575114130732142',4050,'457',63.14,1,3,NULL),(25,6092586,'1993-06-18 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215121431487711375122610164145',10819,'737',46.53,1,3,NULL),(25,6092624,'1991-05-27 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241146473431333354245124231325142',18393,'307',38.11,1,2,1),(25,6092632,'1992-04-05 00:00:00',4,10,10,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215274741358724574122610126047',7756,'806',55.29,1,3,NULL),(25,6092640,'1993-08-03 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241117371451446313272124610123147',7341,'592',54.31,1,3,NULL),(25,6092659,'1993-01-28 00:00:00',4,1,12,2010,'F','N','SANTANA','S PAULO','SP','125252251217121731579932275114610137147',NULL,'9998',0.00,1,3,NULL),(25,6092675,'1990-05-02 00:00:00',2,1,12,2008,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241126132421224324245124610132172',NULL,'288',38.03,1,3,NULL),(25,6092683,'1986-01-20 00:00:00',2,1,12,2002,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124201201126134421134444245124230264037',NULL,'9998',0.00,1,2,1),(25,6092713,'1988-09-05 00:00:00',2,1,12,2008,'F','N','SÃO MARCOS','BIGUAÇU','SC','124241241115372411333335495124221367042',3798,'65',61.61,1,2,1),(25,6092730,'1993-11-17 00:00:00',4,8,11,2010,'M','N','AMERICA','JOINVILLE','SC','124242241215271411479714575122610124012',1772,'461',69.65,1,3,NULL),(25,6092756,'1993-04-19 00:00:00',2,1,12,2009,'F','N','SANTA CRUZ','VÍTOR MEIRELES','SC','124241241127231431633335572324610136047',NULL,'834',27.06,1,2,1),(25,6092764,'1993-05-17 00:00:00',2,4,12,2010,'F','N','CENTRO','SERRA ALTA','SC','124241241117271421523335591124610127147',NULL,'765',28.98,1,2,1),(25,6092772,'1993-12-04 00:00:00',4,1,12,2010,'M','N','CENTRO','RIO VERDE','GO','109092091215111431336612585122610137057',NULL,'9998',0.00,4,3,NULL),(25,6092780,'1988-03-25 00:00:00',2,1,12,2005,'F','N','TROPICAL','CASCAVEL','PR','116162161216572431559614575112610166047',2794,'9998',64.03,1,3,NULL),(25,6092799,'1993-12-30 00:00:00',2,10,12,2010,'F','N','SÃO MARTINHO','TUBARÃO','SC','124241241117371231324629192124610128077',17970,'798',34.18,4,2,1),(25,6092802,'1992-12-03 00:00:00',4,8,12,2009,'F','N','CAPÃO RASO','CURITIBA','PR','116164161215471431469431594112610164147',8995,'9998',50.25,1,3,NULL),(25,6092829,'1991-05-05 00:00:00',2,8,10,2008,'F','N','SAO RAFAEL','RIO NEGRINHO','SC','124241161216473411454832574124610126037',278,'9998',80.02,1,3,NULL),(25,6092837,'1992-01-12 00:00:00',4,1,11,2009,'F','N','JARDIM PARAISO','CAMPINAS','SP','125252251217471431478832572112610132142',NULL,'9998',0.00,1,3,NULL),(25,6092845,'1993-01-05 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215211731479913435122610166145',7268,'951',53.61,1,3,NULL),(25,6092853,'1989-12-11 00:00:00',2,1,12,2006,'F','N','CENTRO','S JORGE IVAÍ','PR','116161161116574431556519572114610124077',3727,'9998',61.99,4,2,1),(25,6092861,'1993-10-18 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216111431568921595124610114012',7946,'270',50.97,1,3,NULL),(25,6092888,'1991-02-04 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124241241131471431533479145224610112042',14925,'285',39.40,2,2,1),(25,6092896,'1992-06-17 00:00:00',4,1,12,2009,'M','N','SARAMENHA','OURO PRETO','MG','101011011111111111111111111111110111011',10532,'9998',46.09,1,3,NULL),(25,6092900,'1994-07-03 00:00:00',2,15,12,2010,'F','N','CENTRO','JACINTO MACHADO','SC','124241241215371431338933575122610138147',14014,'970',40.55,1,3,NULL),(25,6092918,'1993-10-25 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241116131751436634572124610143187',NULL,'257',0.00,1,2,1),(25,6092926,'1991-10-18 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124241241146272731113344345124610135057',19384,'726',36.10,1,2,1),(25,6092934,'1993-05-31 00:00:00',2,4,12,2010,'M','N','CENTRO','XANXERÊ','SC','124242241216471711338812275122610167012',NULL,'1233',20.34,1,3,NULL),(25,6092942,'1989-01-04 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241112131751424374182324610165017',NULL,'286',28.62,1,2,1),(25,6092950,'1993-01-17 00:00:00',5,8,12,2010,'F','N','RESIDENCIAL FURLAN','STA BÁRBARA D OESTE','SP','125251251116371431628618285122610137142',NULL,'9998',0.00,1,3,NULL),(25,6092969,'1986-09-19 00:00:00',4,1,6,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124131247317152411456614375121233217112',21296,'9999',29.47,1,3,NULL),(25,6092977,'1986-11-05 00:00:00',4,1,12,2004,'M','N','SANTO INÁCIO','CURITIBA','PR','116162161215471751588932271112140267122',6091,'9998',55.48,1,3,NULL),(25,6092985,'1987-07-31 00:00:00',2,1,12,2004,'F','N','IGARA','CANOAS','RS','120204201116571731436719295122141317182',NULL,'9998',25.24,1,3,NULL),(25,6092993,'1992-06-16 00:00:00',2,8,11,2009,'M','N','CENTRO','S BENTO SUL','SC','124241241116372431226479585122233268042',NULL,'1103',0.00,1,3,NULL),(25,6093019,'1992-11-20 00:00:00',4,1,12,2010,'M','N','MARY DOTA','BAURU','SP','125254251437111411439739575122610162022',16308,'9998',41.69,1,3,NULL),(25,6093027,'1993-08-24 00:00:00',2,1,12,2010,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241115371431323114572124610134057',11347,'592',45.95,4,2,1),(25,6093043,'1992-05-15 00:00:00',4,2,11,2009,'M','N','GARCIA','BLUMENAU','SC','124244241216112431468831575124241464012',3224,'855',65.29,2,1,2),(25,6093051,'1991-05-21 00:00:00',4,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','124201241116573431448829575112131324097',1939,'182',68.01,1,2,1),(25,6093060,'1990-08-03 00:00:00',4,7,12,2007,'M','N','CENTRO','JOAÇABA','SC','124162168116574731348839575115610166047',1077,'446',73.28,1,3,NULL),(25,6093078,'1993-04-14 00:00:00',4,15,11,2010,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241215371741437711272122610127013',11760,'970',44.93,1,3,NULL),(25,6093086,'1982-06-12 00:00:00',2,1,12,2002,'M','N','PRADO','BIGUAÇU','SC','224051161136134731226549215124221464042',NULL,'9998',21.05,2,1,1),(25,6093108,'1993-07-27 00:00:00',2,1,11,2010,'F','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124243241115141411445614342124610124143',NULL,'65',15.23,1,3,NULL),(25,6093116,'1991-04-03 00:00:00',2,1,12,2008,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215473431468712375124610114052',14926,'226',37.89,3,3,NULL),(25,6093124,'1993-03-26 00:00:00',4,4,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161215571731349933574124610124097',14683,'9998',44.18,1,3,NULL),(25,6093132,'1992-05-27 00:00:00',4,15,12,2009,'F','N','CENTRO','CAPITÃO','RS','120201205116371751436834472122141533057',19889,'9998',27.66,1,3,NULL),(25,6093159,'1986-08-03 00:00:00',2,1,12,2003,'M','N','BELA VISTA','RIO PEDRAS','SP','125251251127271431323319195221142324047',NULL,'9998',0.00,1,2,1),(25,6093167,'1992-05-30 00:00:00',4,1,12,2009,'M','N','CENTRO','CURITIBA','PR','116161161215471431569633572115610167042',2119,'9998',67.07,1,3,NULL),(25,6093175,'1991-09-06 00:00:00',4,1,6,2010,'F','N','CENTRO','LONDRINA','PR','116252161216371431578812575122610167122',NULL,'9998',0.00,1,3,NULL),(25,6093183,'1992-07-13 00:00:00',2,4,12,2009,'M','N','CENTRO','SAUDADES','SC','124241241116572431458812575112610127072',6969,'169',53.96,1,2,1),(25,6093191,'1992-03-27 00:00:00',2,8,12,2008,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241116272431447923472224610163072',6942,'478',53.74,1,2,1),(25,6093205,'1990-03-24 00:00:00',2,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241216373431358813445134233227112',NULL,'723',41.38,1,3,NULL),(25,6093213,'1987-06-24 00:00:00',2,1,10,2005,'M','N','SERRARIA','S JOSÉ','SC','124241241121472731526623342314130218047',6479,'730',54.91,4,2,1),(25,6093221,'1993-05-13 00:00:00',4,7,12,2010,'F','N','BEM MORAR','TANGARÁ','SC','124241241116471731326633575112610163192',NULL,'779',39.97,1,3,NULL),(25,6093230,'1991-08-13 00:00:00',4,1,12,2009,'F','N','SÃO GERALDO','ARARAQUARA','SP','125252251211471411458811574112610146142',NULL,'9998',0.00,1,3,NULL),(25,6093248,'1994-03-10 00:00:00',4,4,12,2010,'F','N','CENTRO','S CARLOS','SC','124241241115271231436923275124610123147',5080,'704',57.63,1,2,1),(25,6093256,'1992-12-18 00:00:00',2,5,12,2010,'M','N','SAMUEL SANDRINI','ORLEANS','SC','124241241116371431425512575122610127147',NULL,'580',23.94,1,2,1),(25,6093264,'1992-07-16 00:00:00',2,1,12,2009,'F','N','JARDIM BOTÂNICO','PTO ALEGRE','RS','120202201217471441447632245124610133142',7420,'9998',54.17,1,3,NULL),(25,6093272,'1990-05-24 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216113511329929272124221445172',2108,'262',68.90,1,3,NULL),(25,6093280,'1993-10-10 00:00:00',2,5,12,2009,'F','N','SANTA ISABEL','FORQUILHINHA','SC','124241241417372231338612392122610164192',17513,'995',39.72,1,3,NULL),(25,6093299,'1990-07-23 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124251251117272431426618445114610132147',19760,'9998',35.24,1,2,1),(25,6093302,'1975-12-31 00:00:00',4,1,7,1995,'M','N','ESTREITO','TUBARÃO','SC','224184187216151441233643432114142236027',NULL,'9998',33.09,2,3,NULL),(25,6093310,'1993-04-17 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217373431589921475124610162042',1735,'951',68.66,1,3,NULL),(25,6093329,'1994-12-05 00:00:00',4,4,12,2010,'F','N','CENTRO','XANXERÊ','SC','124242241217471331639912275122610164147',9225,'1233',48.60,1,3,NULL),(25,6093345,'1988-06-25 00:00:00',2,1,12,2005,'F','N','MAIOBÃO','PAÇO LUMIAR','MA','110101101117131721436527575124241814093',17948,'9998',38.94,2,1,1),(25,6093353,'1992-08-15 00:00:00',4,1,12,2009,'M','N','CIDADE JARDIM','AMERICANA','SP','125251256116371221458813576124610164174',5043,'9998',58.26,1,2,1),(25,6093361,'1991-12-23 00:00:00',2,1,12,2008,'M','N','CENTRO','CAÇADOR','SC','124241241131131411116544345335231234177',NULL,'788',0.00,1,2,1),(25,6093370,'1992-02-20 00:00:00',4,9,11,2009,'F','N','CENTRO','UBERLÂNDIA','MG','113242241217472431249814592122610162092',2317,'515',66.64,1,3,NULL),(25,6093396,'1992-04-13 00:00:00',2,1,11,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241127372411423624185124610135017',8149,'290',51.79,1,2,1),(25,6093400,'1992-02-06 00:00:00',4,6,12,2009,'M','N','DOM BOSCO','ITAJAÍ','SC','124242241215472441558814575124610122147',3371,'1172',61.32,4,3,NULL),(25,6093418,'1993-08-15 00:00:00',4,3,11,2010,'M','N','BARRA','BAL CAMBORIÚ','SC','124241241117371331337614275122610134092',17738,'50',33.46,1,2,1),(25,6093426,'1993-05-21 00:00:00',2,4,12,2010,'F','N','PIONEIROS','ITÁ','SC','124241241115111431427713575122610124077',NULL,'384',32.45,1,3,NULL),(25,6093434,'1992-04-06 00:00:00',4,8,11,2009,'M','N','PORTAL','VIDEIRA','SC','124242241217473431149819576114610122092',8445,'969',50.37,1,3,NULL),(25,6093442,'1984-01-21 00:00:00',2,8,12,2002,'M','N','CENTRO','CURITIBA','PR','116111111125571411234614285124610168092',14222,'9998',44.83,3,3,NULL),(25,6093450,'1990-06-23 00:00:00',4,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217153441349823495124123267181',16026,'1022',36.52,4,3,NULL),(25,6093469,'1994-09-17 00:00:00',4,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124242248215111731436619275122610122052',20593,'454',32.77,1,3,NULL),(25,6093477,'1991-02-07 00:00:00',2,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241111373411558633341124133266042',4803,'267',59.01,1,2,1),(25,6093493,'1991-04-16 00:00:00',2,2,11,2008,'F','N','CENTRO','PRES GETÚLIO','SC','124241241111573431226621572122610122197',3340,'644',64.17,1,2,1),(25,6093515,'1993-04-03 00:00:00',4,8,12,2010,'F','N','PINHEIRINHO','CURITIBA','PR','116162167215221231248831571112610166096',2680,'9998',64.44,1,3,NULL),(25,6093523,'1994-11-09 00:00:00',4,1,12,2011,'M','S','SÃO LUIZ','JARAGUÁ SUL','SC','124241241137141731465639295121610166141',NULL,'435',43.21,1,3,NULL),(25,6093531,'1990-10-24 00:00:00',4,1,12,2007,'F','N','GONZAGA','SANTOS','SP','125252251216571751368811575122610124182',5673,'9998',54.81,1,3,NULL),(25,6093540,'1991-05-07 00:00:00',4,8,12,2008,'F','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116164161415371451568819572124610122047',9426,'9998',48.65,1,3,NULL),(25,6093558,'1993-03-27 00:00:00',2,1,12,2010,'M','N','SAO JOSE','S JOSÉ','SC','124242241217271531234731282124610167047',NULL,'1022',24.16,1,3,NULL),(25,6093566,'1985-09-07 00:00:00',4,1,12,2005,'M','N','PASSO DE AREIA','PTO ALEGRE','RS','120203208211111411359734571124141327097',NULL,'9998',36.19,1,3,NULL),(25,6093574,'1993-01-11 00:00:00',4,17,12,2010,'M','N','CENTRO','CANOINHAS','SC','124241241111371431338619392125610122142',12660,'146',41.98,1,2,1),(25,6093582,'1992-11-21 00:00:00',4,1,12,2010,'F','N','CENTRO','STA HELENA','PR','116163163115371431348833572221610142092',6105,'9998',56.07,1,3,NULL),(25,6093590,'1994-04-01 00:00:00',4,17,10,2010,'F','N','CENTRO','CANOINHAS','SC','116242161215471431458923472122610163097',6596,'9998',54.57,1,3,NULL),(25,6093604,'1993-06-25 00:00:00',4,1,12,2010,'M','N','CHÁCARA URBANA','JUNDIAÍ','SP','125252251215111431368933471122610137012',1444,'9998',69.96,1,3,NULL),(25,6093612,'1992-07-11 00:00:00',2,8,11,2009,'F','N','JARDIM EUROPA','JACAREZINHO','PR','116162161216471711449812575124610166047',1025,'9998',73.10,1,3,NULL),(25,6093620,'1987-04-23 00:00:00',2,1,12,2005,'M','N','BELA VISTA','S JOSÉ','SC','124241241126472731643374245123130822097',16857,'734',36.84,1,3,NULL),(25,6093639,'1993-03-08 00:00:00',2,7,12,2010,'F','N','INTERIOR','CAMPOS NOVOS','SC','124241241115131431526615372122610112147',NULL,'140',0.00,1,2,1),(25,6093647,'1992-02-25 00:00:00',2,7,11,2009,'M','N','PARQUE JARDIN OURO','OURO','SC','124242241215472451448911314114610167053',9173,'446',49.30,1,3,NULL),(25,6093655,'1992-04-15 00:00:00',4,5,11,2009,'F','N','LOTE SEIS','CRICIÚMA','SC','124242241215112431358833575124222616172',8750,'213',49.40,1,3,NULL),(25,6093663,'1994-07-23 00:00:00',4,1,11,2011,'F','S','DOM ORLANDO CHAVES','VÁRZEA GRANDE','MT','111112111221111431426532272124610124142',NULL,'9998',37.08,4,3,NULL),(25,6093671,'1984-02-24 00:00:00',4,1,12,2004,'M','N','VILA MONTEIRO','PIRACICABA','SP','125251251137571741623339295321610167027',11485,'9998',46.08,2,1,1),(25,6093680,'1991-12-18 00:00:00',4,8,12,2008,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161217473411236631574324610114047',728,'9998',75.83,1,3,NULL),(25,6093698,'1993-09-15 00:00:00',2,8,11,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242246217131432436419275121610127057',12498,'1006',43.15,1,3,NULL),(25,6093701,'1991-07-22 00:00:00',4,8,12,2008,'M','N','PORTÃO','CURITIBA','PR','116163161135572431278923475112610167062',NULL,'9998',0.00,1,3,NULL),(25,6093710,'1993-07-06 00:00:00',4,8,12,2010,'F','N','PORTÃO','CURITIBA','PR','116162161215111411346811575122610123092',2931,'9998',63.12,1,3,NULL),(25,6093728,'1993-04-15 00:00:00',4,1,11,2010,'M','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161216111431259923571345610164047',3829,'9998',63.04,1,3,NULL),(25,6093736,'1992-10-18 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241122132431336634342114610126047',NULL,'736',28.32,1,3,NULL),(25,6093744,'1993-12-19 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241116472431546634176124610124112',NULL,'307',44.41,1,3,NULL),(25,6093752,'1993-09-29 00:00:00',2,3,12,2010,'F','N','CENTRO','ASTORGA','PR','116162161216171221448612274122610131142',NULL,'9998',0.00,1,3,NULL),(25,6093760,'1989-02-01 00:00:00',4,3,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161216131441469923575124610162197',NULL,'9998',0.00,1,3,NULL),(25,6093779,'1993-06-29 00:00:00',2,1,12,2010,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241111371431426314295124610137147',15847,'733',38.66,1,2,1),(25,6093787,'1990-07-16 00:00:00',4,4,12,2007,'M','N','JARDIM PRIMAVERA','PATO BRANCO','PR','116162161216573431346914575114610164042',7558,'9998',52.43,1,3,NULL),(25,6093795,'1993-11-13 00:00:00',2,1,12,2010,'F','N','GUARDA DO EMBAÚ','PALHOÇA','SC','124241241116131431433314577114610167077',20120,'592',28.52,1,2,1),(25,6093817,'1993-11-08 00:00:00',4,2,12,2010,'M','N','ASILO','BLUMENAU','SC','124242241217111731468811475114610164042',10045,'87',48.46,1,3,NULL),(25,6093825,'1994-07-07 00:00:00',2,7,12,2010,'M','N','CENTRO','ERVAL VELHO','SC','124241241147271431433912175124610135141',15948,'253',39.90,1,2,1),(25,6093833,'1993-08-20 00:00:00',4,6,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215471731347814575122610124012',NULL,'44',0.00,1,3,NULL),(25,6093841,'1993-01-27 00:00:00',4,1,11,2010,'M','N','ALTO DA BOA VISTA','S PAULO','SP','125252251217371431486812525112510142062',6278,'9998',58.16,1,3,NULL),(25,6093850,'1988-01-31 00:00:00',4,1,12,2005,'M','N','PADRE EUSTAQUIO','BELO HORIZONTE','MG','113131131136471411436524295124243264087',NULL,'9998',0.00,4,2,1),(25,6093868,'1993-09-04 00:00:00',2,15,12,2010,'F','N','TENENTE','JACINTO MACHADO','SC','124241241116171411525615592124610168142',NULL,'420',24.97,1,2,1),(25,6093876,'1990-06-28 00:00:00',4,8,12,2007,'M','N','PONTA COMPRIDA','GUARAMIRIM','SC','124241241126273731545519345211610122192',14145,'337',39.97,1,2,1),(25,6093884,'1992-02-15 00:00:00',1,8,11,2009,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125251251216471411338831571325610136052',1459,'9998',70.76,1,3,NULL),(25,6093906,'1994-05-21 00:00:00',4,1,11,2011,'M','S','CARIANOS','FLORIANÓPOLIS','SC','124243241115111732458634475114610167145',NULL,'271',35.09,1,3,NULL),(25,6093914,'1992-10-31 00:00:00',4,8,11,2009,'M','N','CENTRO','TELÊMACO BORBA','PR','116164161215472231488614575124610122042',1517,'9998',69.87,1,3,NULL),(25,6093922,'1989-07-26 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241127362711323329392324610126097',NULL,'285',30.67,2,1,1),(25,6093930,'1994-05-31 00:00:00',4,1,12,2011,'F','S','CENTRO','S CARLOS','SP','125112251216111331478813475124610168077',NULL,'9997',0.00,1,3,NULL),(25,6093957,'1991-02-04 00:00:00',4,1,12,2008,'F','N','CENTRO','S ROQUE','SP','125252251211571411333923571125610162092',2527,'9998',66.13,1,3,NULL),(25,6093965,'1980-12-09 00:00:00',2,1,12,2001,'F','N','FORQUILHAS','S JOSÉ','SC','224241247416131431323154135123610144077',NULL,'1003',31.82,1,3,NULL),(25,6093981,'1987-01-16 00:00:00',2,1,10,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124141247137141431124344245124610167111',NULL,'9999',37.73,4,2,1),(25,6093990,'1994-05-13 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241112131411436812572124610131057',10030,'271',47.85,1,2,1),(25,6094007,'1993-11-19 00:00:00',2,15,12,2010,'F','N','CENTRO','MRO GRANDE','SC','124244241215221431427836575122610136183',11089,'970',45.92,1,3,NULL),(25,6094031,'1994-08-02 00:00:00',4,8,10,2010,'F','N','CENTRO','CURITIBA','PR','116201161215111431578913574114610125172',4771,'9998',58.45,1,3,NULL),(25,6094040,'1992-03-28 00:00:00',2,3,12,2010,'M','N','AREIAS','TIJUCAS','SC','124243242117131432436614575124610167147',20756,'129',32.12,1,3,NULL),(25,6094058,'1992-10-31 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241335472441326569172224610167072',NULL,'262',29.36,1,3,NULL),(25,6094066,'1990-11-20 00:00:00',4,1,12,2008,'M','N','HIGIENOPOLIS','S PAULO','SP','125252251217272441469931381111610162172',NULL,'9998',20.86,1,3,NULL),(25,6094090,'1995-06-13 00:00:00',4,6,12,2012,'F','S','CENTRO','ITAJAÍ','SC','124242241212111531466812272122610122092',NULL,'392',44.01,1,3,NULL),(25,6094104,'1993-08-19 00:00:00',2,1,12,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124241241116371431425619575124610124097',NULL,'592',12.06,1,2,1),(25,6094120,'1993-06-23 00:00:00',4,1,11,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117271411656413575124610162182',2604,'307',66.33,1,2,1),(25,6094147,'1992-06-19 00:00:00',4,8,12,2009,'M','N','JARDIM IRIRIÚ','JOINVILLE','SC','124241246215271231323339294124610147047',NULL,'494',45.31,1,3,NULL),(25,6094155,'1992-12-17 00:00:00',2,10,12,2010,'M','N','BAIRRO PORTINHO','LAGUNA','SC','124246248645111631633679295125610128047',NULL,'524',22.15,1,3,NULL),(25,6094163,'1991-01-17 00:00:00',4,8,12,2008,'F','N','FERREIRA','S PAULO','SP','125252251217471431468833573124610132147',2499,'9998',65.27,1,3,NULL),(25,6094171,'1992-01-20 00:00:00',4,8,12,2009,'M','N','CENTRO','CANOINHAS','SC','124242248217372751336829495112610117052',NULL,'154',0.00,1,3,NULL),(25,6094198,'1992-12-02 00:00:00',4,1,12,2010,'F','N','CENTRO','ARARAQUARA','SP','125252251217111411349911575122610125112',4348,'9998',59.56,1,3,NULL),(25,6094201,'1989-05-12 00:00:00',4,1,12,2007,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125252257215511711348511384124141217096',NULL,'9998',21.79,1,3,NULL),(25,6094210,'1990-06-26 00:00:00',2,8,12,2007,'F','N','JARDIM ITAPUÃN','MARINGÁ','PR','116161161216571431335339575112610132182',2875,'9998',64.98,1,3,NULL),(25,6094236,'1990-01-23 00:00:00',2,1,12,2007,'F','N','CENTRO','LOANDA','PR','116163161216571531545639172122610147072',5954,'9998',57.92,1,3,NULL),(25,6094252,'1992-01-21 00:00:00',2,5,12,2009,'F','N','BOM FIM','PTO ALEGRE','RS','120201201117471751468814571115610127072',2386,'9998',65.95,1,2,1),(25,6094260,'1992-09-18 00:00:00',4,8,12,2009,'F','N','XAXIM','CURITIBA','PR','116164161215571441445833574124610136097',444,'9998',77.20,1,3,NULL),(25,6094287,'1993-10-13 00:00:00',4,3,12,2010,'F','N','CENTRO','ROLÂNDIA','PR','116162161216171411467932575112610162182',NULL,'9998',0.00,1,3,NULL),(25,6094309,'1992-02-12 00:00:00',4,8,12,2009,'M','N','CENTRO','MARINGÁ','PR','116162161217471431236832595112610167047',555,'9998',77.08,1,3,NULL),(25,6094317,'1992-06-27 00:00:00',4,8,12,2010,'F','N','CENTRO','CURITIBA','PR','116252161317471431446929575124610163142',2112,'9998',66.60,1,3,NULL),(25,6094325,'1993-04-21 00:00:00',4,7,12,2010,'F','N','VILA PEDRINI','JOAÇABA','SC','124241241115271431435411272122610127147',13870,'449',41.54,1,2,1),(25,6094333,'1993-11-30 00:00:00',4,1,11,2010,'F','N','CENTRO','CURITIBANOS','SC','124242241217111431538611577125610163177',717,'270',75.82,1,3,NULL),(25,6094341,'1992-03-17 00:00:00',4,1,12,2010,'F','N','CECAP','ITATIBA','SP','125251251136141431323317345334610118146',NULL,'9998',0.00,1,2,1),(25,6094368,'1992-07-30 00:00:00',4,1,12,2010,'M','N','ÁGUA VERDE','CURITIBA','PR','116162168116371711457911375124610164187',NULL,'9998',0.00,1,3,NULL),(25,6094384,'1993-03-28 00:00:00',5,15,12,2010,'F','N','JARDIM ITÁLIA','MELEIRO','SC','124241241135141531423636315121230226177',NULL,'559',16.67,1,2,1),(25,6094392,'1990-08-16 00:00:00',2,8,12,2007,'M','N','REBOUÇAS','CURITIBA','PR','116161161216573411437734575125610164187',7724,'9998',53.52,1,3,NULL),(25,6094406,'1993-03-10 00:00:00',4,6,12,2010,'M','N','CANOAS','RIO SUL','SC','124242248235111431468832442121610137052',21448,'654',28.43,1,3,NULL),(25,6094414,'1992-01-21 00:00:00',2,5,12,2009,'F','N','CHACARA DAS PEDRAS','PTO ALEGRE','RS','120202201216371431457914571112610166147',3825,'9998',61.61,1,3,NULL),(25,6094430,'1994-04-26 00:00:00',4,4,12,2010,'M','N','VILA AMBROSINA','PASSO FUNDO','RS','120202201217371431458611575112610167042',NULL,'9998',0.00,1,3,NULL),(25,6094449,'1994-07-26 00:00:00',2,1,9,2011,'M','S','BARREIROS','S JOSÉ','SC','124242241215151231339811475124610145075',NULL,'738',29.76,1,3,NULL),(25,6094457,'1992-08-11 00:00:00',4,1,12,2010,'M','N','MORRO VERMELHO','MOGI MIRIM','SP','125252251215171331448812572122610127072',8679,'9998',50.56,1,3,NULL),(25,6094465,'1993-10-20 00:00:00',4,4,12,2010,'M','N','LIBERDADE','CONCÓRDIA','SC','124244241216111431569934574122610127012',6854,'1000',54.38,1,3,NULL),(25,6094473,'1991-08-12 00:00:00',4,1,12,2009,'M','N','SANTA ROSA','GUARUJÁ','SP','125254251216411411356633575124610161111',18022,'9998',33.86,1,3,NULL),(25,6094481,'1992-12-14 00:00:00',4,1,12,2010,'F','N','AEROPORTO','BARRETOS','SP','125252251215151431438612595122610132197',17072,'9998',36.46,1,3,NULL),(25,6094490,'1990-03-18 00:00:00',4,1,12,2006,'M','N','PRAÇA','TIJUCAS','SC','124242241436162431432319235123610126183',18319,'971',33.91,1,3,NULL),(25,6094503,'1993-06-01 00:00:00',2,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124163241116371431438821575122610124117',17037,'592',36.78,1,3,NULL),(25,6094511,'1993-09-25 00:00:00',4,15,12,2010,'F','N','MONTE BÉRICO','VERANÓPOLIS','RS','120201202216111731323614575124610153097',21696,'9998',25.24,1,3,NULL),(25,6094538,'1987-12-16 00:00:00',2,7,12,2004,'F','N','BOM JESUS','S JOSÉ PINHAIS','PR','116161161116471411433619475124343266147',7442,'9998',50.46,1,2,1),(25,6094554,'1991-09-10 00:00:00',4,1,12,2009,'M','N','JK NOVA CAPITAL','ANÁPOLIS','GO','109252131216271431458814575122141464112',16202,'9998',37.25,1,3,NULL),(25,6094562,'1992-08-29 00:00:00',2,4,12,2009,'M','N','JARDIM MARIA LUIZA','CASCAVEL','PR','116162161215471431568632575112610127042',9570,'9998',48.85,1,3,NULL),(25,6094570,'1992-07-25 00:00:00',2,1,12,2010,'F','N','SANTA CRUZ','BIGUAÇU','SC','124241241115131732423319576124610137077',NULL,'21',19.51,1,2,1),(25,6094589,'1993-10-31 00:00:00',4,4,12,2010,'F','N','CANTRO','S MIGUEL OESTE','SC','124242241215131431448934272122610141142',7621,'1079',53.11,1,3,NULL),(25,6094600,'1991-04-08 00:00:00',2,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124204247133141421428616243134610162147',NULL,'9999',37.82,1,3,NULL),(25,6094627,'1992-05-13 00:00:00',4,1,12,2009,'M','N','CENTRO','STA MARIANA','PR','116162161216411431447931475122610167042',NULL,'9998',0.00,1,3,NULL),(25,6094635,'1989-05-29 00:00:00',4,8,12,2006,'M','N','ZONA SETE','MARINGÁ','PR','116164161236571411456817594122610166097',4567,'9998',59.40,1,3,NULL),(25,6094643,'1993-03-25 00:00:00',2,3,12,2010,'M','N','JARDIM IBIRAPUERA','PARANAVAÍ','PR','116164161216121232438731575125610164012',8399,'9998',53.40,4,3,NULL),(25,6094660,'1988-11-05 00:00:00',4,1,12,2006,'M','N','NOVO BONGIOVANI','PRES PRUDENTE','SP','125251251117371431324614485133142022147',NULL,'9998',0.00,1,3,NULL),(25,6094678,'1992-04-29 00:00:00',4,7,12,2009,'M','N','COLINA VERDE','VIDEIRA','SC','116241161212573411566912175125610166147',2314,'9998',68.12,1,3,NULL),(25,6094694,'1993-11-12 00:00:00',4,1,11,1993,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124244241215371431548673295124610135142',15989,'1048',37.16,1,3,NULL),(25,6094708,'1992-11-28 00:00:00',4,8,12,2009,'F','N','CENTRO','PALOTINA','PR','116162161215572421456929592122610164197',3971,'9998',61.23,1,3,NULL),(25,6094716,'1993-02-25 00:00:00',4,2,12,2010,'F','N','SANTA RITA','BRUSQUE','SC','124161241146271431323316285124610145147',18728,'111',31.42,1,2,1),(25,6094724,'1990-10-26 00:00:00',4,1,12,2008,'M','N','JARDIM DA LAGOA','MOGI GUAÇU','SP','125252251216151431536514271125141464077',976,'9998',73.07,1,3,NULL),(25,6094732,'1992-06-26 00:00:00',4,5,12,2009,'M','N','MINA DO MATO','CRICIÚMA','SC','124242246215371432446633345111610127112',21173,'995',30.22,1,3,NULL),(25,6094740,'1987-10-07 00:00:00',2,15,12,2004,'M','N','SAPIRANGA','MELEIRO','SC','124241242117151122536641312213610167043',17283,'690',40.13,1,3,NULL),(25,6094767,'1991-09-15 00:00:00',4,1,12,2009,'M','N','DANIELA','FLORIANÓPOLIS','SC','124242241217472431528611572124610126137',189,'1048',79.68,1,3,NULL),(25,6094775,'1993-03-25 00:00:00',4,8,12,2010,'F','N','AHÚU','CURITIBA','PR','116162161215121431459933475114610124147',11048,'9998',46.14,1,3,NULL),(25,6094783,'1981-01-31 00:00:00',4,1,12,1996,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241116132421216641211224130268017',13805,'307',40.38,1,3,NULL),(25,6094791,'1987-03-31 00:00:00',4,1,12,2004,'M','N','CENTRO','CASCAVEL','PR','116162161215373431678712472112120437092',13179,'9998',46.37,4,3,NULL),(25,6094813,'1992-02-18 00:00:00',2,1,12,2009,'M','N','BOQUEIRÃO','CURITIBA','PR','116161161116572741225824571114610166042',6707,'9998',53.58,1,2,1),(25,6094821,'1958-06-29 00:00:00',2,1,12,1979,'M','N','SESC SUZANO','SUZANO','SP','125251257226251411324449393224610137097',NULL,'9998',0.00,1,3,NULL),(25,6094856,'1993-06-30 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111431426633571124610162012',9517,'270',48.34,1,3,NULL),(25,6094864,'1994-02-15 00:00:00',4,7,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161216111431388912575122610132072',NULL,'9998',0.00,1,3,NULL),(25,6094872,'1990-04-26 00:00:00',2,1,12,2007,'M','N','CENTRO','STA MARIA','RS','120202201216571411555711475122141067182',4290,'9998',60.07,1,3,NULL),(25,6094880,'1991-08-24 00:00:00',4,4,12,2008,'M','N','PINHEIRINHO','PATO BRANCO','PR','116162161216573451469912575125610127062',1852,'9998',69.56,1,3,NULL),(25,6094899,'1992-09-27 00:00:00',4,8,12,2009,'M','N','VILA ESTRELA','PNT GROSSA','PR','116162161215512431559934575112610134092',1986,'9998',69.29,1,3,NULL),(25,6094902,'1990-06-01 00:00:00',4,8,12,2007,'F','N','JARDIM HATORI I','REGISTRO','SP','125253251121472411337933571125610166197',21013,'9998',25.39,1,3,NULL),(25,6094929,'1994-04-21 00:00:00',4,1,12,2012,'F','S','BARREIROS','S JOSÉ','SC','124242241215111451348839575125610113157',NULL,'738',19.03,4,3,NULL),(25,6094937,'1991-11-12 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241115131431636331282324610152147',20576,'278',32.82,1,2,1),(25,6094945,'1992-08-23 00:00:00',2,4,12,2009,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116163161216472431346823574145610167147',365,'9998',77.27,1,3,NULL),(25,6094961,'1993-08-08 00:00:00',2,6,12,2010,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241117371431433514335122610132142',17600,'712',33.31,1,2,1),(25,6094970,'1993-12-28 00:00:00',4,1,12,2010,'M','N','SÃO LUIZ','S JOSÉ','SC','124241241115151431343312572322610164012',13288,'727',41.30,3,3,NULL),(25,6094988,'1992-02-18 00:00:00',4,2,12,2009,'M','N','ÁGUA FUNDA','S PAULO','SP','125252251116471431248813575124610122011',1328,'9998',71.32,1,3,NULL),(25,6094996,'1989-03-20 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201146371421226644245124142913097',8023,'9998',54.80,1,2,1),(25,6095003,'1990-03-04 00:00:00',4,1,12,2006,'F','N','CENTRO','TURVO','SC','124242241216574431558831572122610162092',4887,'32',61.13,1,3,NULL),(25,6095011,'1993-01-01 00:00:00',4,6,12,2010,'M','N','SÃO JOÃO','ITAJAÍ','SC','124242241215371431347734572124610125077',1964,'392',67.63,1,3,NULL),(25,6095020,'1993-04-25 00:00:00',4,1,11,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','113092131217111431468832575122610122092',453,'9998',77.61,1,3,NULL),(25,6095038,'1991-12-22 00:00:00',2,3,12,2009,'M','N','BRASIL','ESPUMOSO','RS','120241241114371331433923571114610167052',NULL,'49',38.84,1,2,1),(25,6095046,'1993-10-16 00:00:00',2,8,11,2010,'M','N','JARDIM BRASIL','REGISTRO','SP','125252251216171751446811575112610114047',18627,'9998',35.14,1,3,NULL),(25,6095070,'1983-07-24 00:00:00',2,17,12,2000,'F','N','CRISTO REI','CURITIBA','PR','116241241116574431343373275124610124197',3838,'152',61.82,1,2,1),(25,6095089,'1991-12-02 00:00:00',4,1,12,2009,'F','N','JARDIM DAS ROSAS','ESPÍRITO STO PINHAL','SP','125252251216471731668831475112610164057',8170,'9998',50.92,1,3,NULL),(25,6095097,'1992-11-09 00:00:00',4,1,12,2009,'F','N','SAGRADO CORAÇÕA DE J','LAGES','SC','124242241215472431338822575112610132092',12999,'499',45.32,1,3,NULL),(25,6095119,'1993-01-22 00:00:00',4,1,12,2010,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241248122141732326611282124610123142',NULL,'291',16.20,1,2,1),(25,6095127,'1992-04-27 00:00:00',4,1,12,2009,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242241216472431368617375121610167182',17808,'273',35.61,1,3,NULL),(25,6095151,'1991-04-01 00:00:00',4,1,7,2009,'M','N','PONTE DE IMARUIM','PALHOÇA','SC','124241247127141712534464392214610144177',20930,'9999',31.37,1,2,1),(25,6095160,'1992-01-10 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216472431488813575114610118197',7181,'270',53.77,1,3,NULL),(25,6095178,'1991-05-30 00:00:00',4,1,12,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215372751327962475124221368097',3733,'883',61.95,1,3,NULL),(25,6095186,'1992-05-11 00:00:00',4,3,12,2009,'F','N','CENTRO','IRATI','PR','116162161215472731567812375125610162127',NULL,'9998',0.00,1,3,NULL),(25,6095194,'1993-07-27 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431558632576122610131122',5640,'270',56.37,3,3,NULL),(25,6095216,'1994-06-22 00:00:00',2,1,11,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111431336621576125610133052',20763,'951',32.10,1,3,NULL),(25,6095224,'1992-07-29 00:00:00',2,17,12,2009,'M','N','CENTRO','PAPANDUVA','SC','124243242116272441328815445124131457187',21671,'143',25.69,1,3,NULL),(25,6095232,'1990-06-22 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','S JOSÉ','SC','224243241415272451223351482224610137053',16360,'733',41.62,1,3,NULL),(25,6095240,'1992-10-11 00:00:00',2,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124244241117131511433637285114610127052',16924,'257',36.16,1,3,NULL),(25,6095259,'1992-02-08 00:00:00',4,1,12,2009,'F','N','CENTRO','FARROUPILHA','RS','120203201215471431336719572124610143197',3452,'9998',62.76,1,3,NULL),(25,6095275,'1993-02-08 00:00:00',4,17,12,2010,'F','N','CENTRO','MAJ VIEIRA','SC','124241241127161331427823595122610153147',NULL,'548',26.38,1,3,NULL),(25,6095283,'1994-10-07 00:00:00',4,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215111431456633572124610113057',NULL,'1022',36.31,4,1,2),(25,6095305,'1991-03-25 00:00:00',4,1,12,2007,'F','N','VILA CARMEM','PASSO FUNDO','RS','120203201115573431468813572124610162097',875,'9998',74.37,1,3,NULL),(25,6095313,'1993-08-08 00:00:00',2,1,12,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124241241115471431536311375114610118142',19479,'592',30.34,1,2,1),(25,6095321,'1991-03-21 00:00:00',4,8,12,2008,'F','N','ZONA CINCO','MARINGÁ','PR','116162161215571431477812574112610122122',NULL,'9998',0.00,1,3,NULL),(25,6095330,'1990-02-09 00:00:00',2,1,12,2007,'M','N','MIGUEL CLAUDIO GREGO','FLORIANÓPOLIS','SC','125251251416112731546834345124141247052',NULL,'9997',18.16,1,3,NULL),(25,6095348,'1991-02-18 00:00:00',4,1,12,2009,'M','N','MONTE CASTELO','S JOSÉ CAMPOS','SP','125211251415331431237713435225610157012',NULL,'9999',0.00,1,3,NULL),(25,6095356,'1968-01-15 00:00:00',2,1,9,2004,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','624201247143233721323344242134610127047',NULL,'9999',30.80,1,2,1),(25,6095364,'1994-01-09 00:00:00',4,5,12,2010,'M','N','RIO MAINA','CRICIÚMA','SC','124241241116131431446714575122610126147',NULL,'223',0.00,1,2,1),(25,6095372,'1990-03-25 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217271431116648485224610162147',17170,'515',35.12,1,3,NULL),(25,6095380,'1992-03-24 00:00:00',4,8,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161215471751459814572122610138187',726,'9998',75.49,1,3,NULL),(25,6095399,'1990-05-20 00:00:00',4,1,12,2007,'M','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125252251217571211478833575122610137067',NULL,'9998',0.00,1,3,NULL),(25,6095402,'1992-07-13 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116141432523539395124610138147',NULL,'285',25.71,5,2,1),(25,6095410,'1988-07-21 00:00:00',4,3,12,2005,'M','N','CHAME CHAME','SALVADOR','BA','105052051217251411589813415122141447142',NULL,'9998',0.00,1,3,NULL),(25,6095429,'1990-08-01 00:00:00',4,1,12,2007,'M','N','CITY BARRETOS','BARRETOS','SP','125252251211571431568933591122610165012',NULL,'9998',0.00,1,3,NULL),(25,6095445,'1993-11-16 00:00:00',2,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241117371431448613575114610147177',9556,'739',48.02,1,3,NULL),(25,6095461,'1968-12-18 00:00:00',1,3,8,1996,'M','N','DAS NAÇOES','BAL CAMBORIÚ','SC','124201207121131421121149391233610142041',19721,'9998',35.32,2,1,1),(25,6095488,'1993-01-07 00:00:00',2,8,11,2010,'M','N','VILA TUPI','REGISTRO','SP','125252251216171751537835575345610163042',NULL,'9998',27.52,1,3,NULL),(25,6095496,'1990-11-02 00:00:00',2,4,12,2008,'F','N','EFAPI','CHAPECÓ','SC','124241241116571431323634585214610162147',NULL,'177',18.09,1,2,1),(25,6095526,'1993-01-27 00:00:00',2,1,11,2010,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241135271221423614295122610117042',21654,'329',26.06,1,2,1),(25,6095534,'1993-10-07 00:00:00',2,1,12,2010,'M','N','SÃO LUCAS','PRES PRUDENTE','SP','125251252116471411426611275124610167047',NULL,'9998',0.00,2,1,1),(25,6095569,'1993-01-06 00:00:00',4,4,12,2009,'M','N','CENTRO','MARAVILHA','SC','124244241315472431448514596144610124197',2610,'552',65.73,1,3,NULL),(25,6095585,'1990-05-16 00:00:00',4,1,12,2007,'M','N','JARDIM ELIZABETH','S PAULO','SP','125252251117571431438611575124610137052',16831,'9998',36.27,3,3,NULL),(25,6095593,'1992-10-15 00:00:00',4,8,11,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124243241216112411459713572122610147142',10262,'861',50.88,1,3,NULL),(25,6095607,'1992-09-04 00:00:00',2,8,12,2009,'F','N','GUANABARA','JOINVILLE','SC','124242241416371431556923575112610133072',20750,'478',32.14,1,3,NULL),(25,6095615,'1993-08-05 00:00:00',2,15,12,2010,'F','N','PRAIA DA META','BAL ARROIO SILVA','SC','124244241117171531558713575124610134145',21000,'29',27.06,1,3,NULL),(25,6095623,'1993-08-03 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241217111431569931574112610147012',4087,'1207',61.52,1,3,NULL),(25,6095631,'1993-02-19 00:00:00',2,4,12,2009,'F','N','PROGRESSO','S LOURENÇO OESTE','SC','124243241136571431434732275112610124142',10001,'744',51.35,1,3,NULL),(25,6095640,'1993-06-17 00:00:00',4,1,11,2010,'F','N','CENTRO','TIJUCAS','SC','124242241215111531436932572124610162042',11922,'270',45.08,1,3,NULL),(25,6095658,'1993-02-20 00:00:00',4,1,12,2010,'M','N','BALNEÁRIO DANIELA','FLORIANÓPOLIS','SC','124242241217112431528611572124610127132',153,'1048',81.79,1,3,NULL),(25,6095666,'1992-10-03 00:00:00',4,1,12,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241237111431466922574122610123115',1499,'262',71.26,1,3,NULL),(25,6095674,'1991-06-21 00:00:00',4,8,11,2008,'M','N','ZONA QUATRO','MARINGÁ','PR','116162161212372311478811575112610117051',90,'9998',83.94,1,3,NULL),(25,6095682,'1993-04-27 00:00:00',4,1,12,2010,'M','N','CIDADE VERA CRUZ','APARECIDA GOIÂNIA','GO','109092091217111711369923474124610162117',12541,'9997',43.45,4,3,NULL),(25,6095690,'1991-05-07 00:00:00',2,8,11,2008,'M','N','CENTRO','IRATI','PR','116163161216512751349931494115610137042',5605,'9998',56.50,1,3,NULL),(25,6095704,'1992-04-16 00:00:00',2,10,12,2009,'M','N','CENTRO','JAGUARUNA','SC','124241241134371431445415396212610122057',16840,'421',35.53,1,2,1),(25,6095712,'1993-07-21 00:00:00',2,1,12,2010,'F','N','CENTRO','TIJUCAS','SC','124243241315111431434314281122610126142',NULL,'1119',27.61,1,3,NULL),(25,6095720,'1992-04-11 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241216472431569913572122610166072',3708,'211',61.89,1,3,NULL),(25,6095739,'1992-11-13 00:00:00',2,1,12,2010,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241112471431623311215124610116195',11210,'287',49.37,1,2,1),(25,6095747,'1992-12-11 00:00:00',4,15,11,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124242241215151431368833272125610164032',9986,'970',51.37,1,3,NULL),(25,6095755,'1993-08-15 00:00:00',2,4,12,2010,'M','N','SANTA TEREZA','GUARANI MISSÕES','RS','120201202116271431423614372122610128052',13389,'9998',41.57,1,2,1),(25,6095763,'1992-10-12 00:00:00',4,9,12,2009,'F','N','CENTRO','VL FLORES','RS','120202201215471751446831572124610162052',NULL,'9998',48.26,1,3,NULL),(25,6095771,'1993-11-24 00:00:00',4,8,12,2010,'M','N','TEIXEIRAS','JZ FORA','MG','113252134216271431435831175124610167047',15498,'9998',42.90,4,3,NULL),(25,6095780,'1984-11-22 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124163161116574431465934225125141448042',NULL,'9998',0.00,1,3,NULL),(25,6095798,'1992-04-14 00:00:00',2,9,12,2010,'F','N','CENTRO','S JOAQUIM','SC','124243241136261731423939575225510118197',NULL,'903',0.00,1,3,NULL),(25,6095801,'1993-05-13 00:00:00',2,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241146241431524624275124610112042',21027,'733',24.86,1,2,1),(25,6095810,'1991-04-03 00:00:00',4,4,11,2008,'F','N','CENTRO','CHAPECÓ','SC','124242161216572431489931574122610161092',1980,'9998',68.17,1,3,NULL),(25,6095828,'1991-12-06 00:00:00',4,8,12,2008,'M','N','CENTRO','S BENTO SUL','SC','124242241216573411457713575124610117042',2776,'1178',64.70,1,3,NULL),(25,6095836,'1990-02-01 00:00:00',4,8,11,2007,'M','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162161215471411469814477124610117017',1119,'9998',72.20,1,3,NULL),(25,6095852,'1984-01-12 00:00:00',2,3,12,2001,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','224241241136131421243343131123610162057',NULL,'194',32.35,1,2,1),(25,6095860,'1992-08-08 00:00:00',4,1,12,2009,'F','N','SANTO ANDRE II','SOROCABA','SP','125252258211472211368833572122610164182',5191,'9998',57.43,1,3,NULL),(25,6095879,'1993-03-18 00:00:00',2,17,12,2010,'M','N','VILA NOVA','MAFRA','SC','124241241116161532346933575124610137183',NULL,'545',0.00,1,2,1),(25,6095887,'1993-06-21 00:00:00',4,9,12,2010,'M','N','JARDIM AMÉRICA','RIO SUL','SC','624242248215111432348811595125610167182',NULL,'991',15.21,1,3,NULL),(25,6095895,'1986-05-24 00:00:00',2,5,12,2003,'M','N','AÇOS FINOS PIRATINI','CHARQUEADAS','RS','120201201211572431347923475114141432187',2246,'9998',66.54,1,3,NULL),(25,6095909,'1991-04-16 00:00:00',2,4,12,2008,'M','N','LINHA NERREU RAMOS','ARVOREDO','SC','124241241127151431633315152112610147057',NULL,'36',11.53,1,2,1),(25,6095917,'1993-02-15 00:00:00',2,16,12,2010,'F','N','APARECIDA','STA CECÍLIA','SC','124241241116131451449613345124610153182',NULL,'686',26.65,1,2,1),(25,6095925,'1993-01-12 00:00:00',2,1,12,2010,'M','N','FORQUILHAS','S JOSÉ','SC','124241241135241731434634245134610127057',NULL,'733',21.55,1,2,1),(25,6095933,'1993-05-22 00:00:00',2,10,12,2010,'F','N','PAES LEME','IMBITUBA','SC','124244241215113731435612575122610162142',NULL,'362',23.48,1,3,NULL),(25,6095941,'1992-10-06 00:00:00',4,10,11,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242241217131411343634575122610162191',NULL,'797',39.09,1,3,NULL),(25,6095950,'1991-04-01 00:00:00',4,1,11,2008,'M','N','MIGUEL COUTO','CPO GRANDE','MS','112122121215571331558813575112610165047',493,'9998',76.57,3,3,NULL),(25,6095968,'1993-08-08 00:00:00',4,17,12,2010,'M','N','ALTO','RIO NEGRO','PR','116161241116131431538313585114610167047',NULL,'542',24.42,1,2,1),(25,6095984,'1993-11-26 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111431429513471124610128197',NULL,'269',32.85,1,3,NULL),(25,6095992,'1992-08-19 00:00:00',4,8,11,2009,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161216471431568833475122610164057',291,'9998',79.84,3,3,NULL),(25,6096000,'1991-04-20 00:00:00',2,1,12,2009,'F','N','ARIRIÚ','PALHOÇA','SC','124241241125372431434414445124610131147',15329,'593',40.95,1,2,1),(25,6096018,'1985-01-23 00:00:00',5,1,12,2002,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201201117271451327629241234142032111',11247,'9998',49.31,1,2,1),(25,6096026,'1993-06-04 00:00:00',2,3,12,2010,'M','N','JARDIM VANIA','PARANAVAÍ','PR','116161161415131411436933575122610167067',NULL,'9998',17.01,2,3,NULL),(25,6096034,'1993-02-02 00:00:00',2,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241125151731523534295124610158097',NULL,'290',25.87,1,2,1),(25,6096042,'1986-10-26 00:00:00',2,1,12,2005,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241245131131431423324342244610121147',NULL,'296',30.93,1,2,1),(25,6096077,'1991-02-05 00:00:00',2,1,4,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241247117131221436311442123230224142',NULL,'9999',19.43,1,3,NULL),(25,6096107,'1993-08-26 00:00:00',4,1,12,2010,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124242241215111411478773575224610134085',8410,'262',51.46,1,3,NULL),(25,6096115,'1993-02-01 00:00:00',4,8,12,2010,'M','N','CENTRO','RIO NEGRO','PR','116164161216171431369933572122610137046',3674,'9998',62.46,1,3,NULL),(25,6096131,'1989-10-08 00:00:00',4,1,12,2007,'M','N','JARDIM BOA VISTA','LIMEIRA','SP','125251251116471411436711472124610137182',9558,'9998',49.38,2,1,1),(25,6096140,'1992-08-25 00:00:00',4,1,12,2009,'M','N','DOM JOAQUIM','BRUSQUE','SC','124244241215372431666416575124610164197',1012,'109',73.89,1,3,NULL),(25,6096158,'1993-04-18 00:00:00',4,1,12,2009,'F','N','USINA','ANTÔNIO CARLOS','SC','124161041117271731226413392324610167077',20379,'9998',33.48,1,2,1),(25,6096166,'1994-12-21 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241215111431568736575122610123142',6696,'1146',54.50,3,3,NULL),(25,6096174,'1981-04-20 00:00:00',2,1,4,2003,'F','N','ARIRIU','PALHOÇA','SC','224241246146273421225444245124610112097',9925,'306',48.10,1,2,1),(25,6096182,'1991-10-20 01:00:00',4,1,12,2009,'M','N','VILA DUBUS','PRES PRUDENTE','SP','125252251217472431368812571112610167117',2832,'9998',63.89,1,3,NULL),(25,6096204,'1992-02-28 00:00:00',4,4,12,2009,'F','N','ALVORADA','XAXIM','SC','116241241216371431568819575112610136017',NULL,'836',0.00,1,3,NULL),(25,6096212,'1992-12-13 00:00:00',4,1,12,2010,'M','N','VILA ROSSI','CAMPINAS','SP','125252251216121411358963575112610162042',6415,'9998',57.92,1,3,NULL),(25,6096220,'1992-05-13 00:00:00',4,1,10,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241235413431246811572122610167122',3279,'270',64.61,1,3,NULL),(25,6096239,'1991-04-27 00:00:00',2,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241126141731336544442224610124197',21550,'584',27.48,1,2,1),(25,6096247,'1991-08-06 00:00:00',2,1,12,2009,'M','N','PATRONATO','STA MARIA','RS','120201201116471711326633572125610137042',17226,'9998',35.78,1,2,1),(25,6096255,'1983-09-18 00:00:00',2,1,11,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','224241245125272431636661441124610126092',NULL,'307',11.47,1,2,1),(25,6096263,'1993-03-19 00:00:00',4,4,12,2010,'F','N','FLOR','XAXIM','SC','124241241136131631325823385125610135177',NULL,'848',27.61,1,2,1),(25,6096271,'1992-08-27 00:00:00',4,17,11,2009,'F','N','SÃO PEDRO','PTO UNIÃO','SC','116161241211471431557811571125610145042',NULL,'633',25.09,1,3,NULL),(25,6096280,'1993-04-13 00:00:00',4,8,12,2010,'F','N','CENTRO','PARANAGUÁ','PR','116162161215121441437934245125610131177',3521,'9998',61.88,1,3,NULL),(25,6096301,'1992-01-07 00:00:00',4,1,11,2009,'M','N','BATEL','CURITIBA','PR','116112281411471751468812571124610124052',1496,'9998',69.46,1,3,NULL),(25,6096310,'1991-11-05 00:00:00',2,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','620201201116372441126644242235610136187',10503,'9998',47.00,1,2,1),(25,6096328,'1991-04-19 00:00:00',2,2,12,2008,'F','N','CENTRO','LONDRINA','PR','116164161216571431448823572125610132142',8740,'9998',49.68,1,3,NULL),(25,6096344,'1992-04-07 00:00:00',4,1,12,2009,'M','N','NOSSA SENHORA DE FÁT','PASSOS','MG','113132131215411431489932425112610167012',7207,'9998',53.50,1,3,NULL),(25,6096352,'1989-09-02 00:00:00',2,9,11,2006,'M','N','BOQUEIRÃO','CURITIBA','PR','116161161436573741233329491124241454182',608,'9998',75.35,1,3,NULL),(25,6096360,'1994-02-11 00:00:00',4,1,12,2010,'M','N','PARAÍSO','CAPINÓPOLIS','MG','113132131217111431338933575122610127047',NULL,'9998',0.00,1,3,NULL),(25,6096387,'1991-01-27 00:00:00',4,5,12,2008,'F','N','CENTRO','IÇARA','SC','124241241147271432326318382222610124197',NULL,'1005',0.00,1,2,1),(25,6096395,'1991-08-22 00:00:00',4,1,12,2008,'F','N','CENTRO','RIO NEGRO','PR','116161161116131441425623285124610127017',15739,'9998',36.70,1,2,1),(25,6096409,'1992-11-16 00:00:00',4,1,12,2010,'F','N','PLANALTO PARAISO','S CARLOS','SP','125252251216111431489939595124610164162',NULL,'9998',0.00,1,3,NULL),(25,6096417,'1993-11-10 00:00:00',2,10,12,2010,'F','N','NOVA BRASILIA','IMBITUBA','SC','124241248117151731336419575124610162142',NULL,'359',20.67,4,3,NULL),(25,6096425,'1987-10-02 00:00:00',4,1,12,2004,'M','N','FORQUILHINHAS','S JOSÉ','SC','124201201117141712224344442234140266062',13455,'9998',40.86,1,2,1),(25,6096433,'1992-03-06 00:00:00',4,2,12,2010,'M','N','VOSTARD','BLUMENAU','SC','124242246217161431433331575122610127072',NULL,'1018',34.13,1,3,NULL),(25,6096441,'1989-03-30 00:00:00',2,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241112574431448818442132610137047',NULL,'307',42.86,1,2,1),(25,6096450,'1983-06-04 00:00:00',2,1,12,2002,'F','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','124241241127271431224354142124610168147',NULL,'593',25.09,1,2,1),(25,6096468,'1993-01-20 00:00:00',4,1,12,2010,'M','N','CENTRO','S JOÃO BATISTA','SC','124241241116131431226623575224610112142',NULL,'712',17.81,1,2,1),(25,6096484,'1985-04-22 00:00:00',4,1,12,2002,'F','N','SERRARIA','S JOSÉ','SC','124242241416145431463643435122421342177',NULL,'943',0.00,1,3,NULL),(25,6096492,'1993-07-20 00:00:00',2,1,12,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115471411423923475124610134072',18745,'278',30.43,1,2,1),(25,6096506,'1992-07-20 00:00:00',2,1,12,2009,'F','N','JARDIM ALGARVE','ALVORADA','RS','120201248137131221323419195224610114117',NULL,'594',0.00,4,3,NULL),(25,6096514,'1992-11-13 00:00:00',4,1,12,2009,'F','N','SANTOS DUMONT','S JOSÉ','SC','124241241215372431226412572224230264172',1520,'1118',70.05,1,3,NULL),(25,6096522,'1989-05-20 00:00:00',4,8,12,2006,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161216571411458833575112141067062',2192,'9998',65.62,1,3,NULL),(25,6096530,'1991-05-22 00:00:00',4,1,12,2008,'F','N','MELO','BARRETOS','SP','125251251217471731436829592121610163147',10404,'9998',48.19,1,3,NULL),(25,6096557,'1992-01-25 00:00:00',4,1,12,2009,'M','N','STO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC','124242241215372431359924445134122337182',8087,'1022',54.71,1,3,NULL),(25,6096565,'1980-06-08 00:00:00',2,1,11,1999,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124251253122131431121344142334610136092',14833,'9998',39.59,1,2,1),(25,6096573,'1992-06-23 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116471431469432572122610162172',9469,'965',52.27,1,2,1),(25,6096581,'1993-06-27 00:00:00',4,6,12,2010,'F','N','MORRETES','ITAPEMA','SC','124241241111231431513628372321610154077',NULL,'406',27.60,4,2,1),(25,6096590,'1992-02-17 00:00:00',2,5,12,2009,'F','N','FLORESTA','PTO ALEGRE','RS','120202201217472451238824375114610162092',9502,'9998',47.89,1,3,NULL),(25,6096603,'1993-07-21 00:00:00',4,1,11,2010,'F','N','VILA A','FOZ IGUAÇU','PR','116162161237111432448713574122610134197',NULL,'9998',31.79,3,3,NULL),(25,6096611,'1993-05-31 00:00:00',2,1,12,2010,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124243241115271431326628582124610167072',NULL,'21',23.42,1,3,NULL),(25,6096620,'1993-05-12 00:00:00',2,1,12,2010,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241126131421336424345124610127047',NULL,'294',10.51,1,2,1),(25,6096638,'1992-12-26 00:00:00',4,2,10,2010,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215271751448931571122610162122',1387,'909',71.46,1,3,NULL),(25,6096646,'1993-08-30 00:00:00',4,8,12,2010,'F','N','IRIRIU','JOINVILLE','SC','124242241217151731439914275122610144147',12768,'1006',43.30,1,3,NULL),(25,6096654,'1992-02-08 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244248433231431428839575124610155017',NULL,'259',24.19,1,3,NULL),(25,6096670,'1991-06-07 00:00:00',2,5,12,2008,'F','N','CENTRO','TUPARENDI','RS','120204201215572751448916271124610164187',1023,'9998',72.91,1,3,NULL),(25,6096689,'1993-03-01 00:00:00',4,1,10,2010,'F','N','PITUBA','SALVADOR','BA','105052051217271712478813475122610132142',4855,'9998',58.68,1,3,NULL),(25,6096700,'1966-03-18 00:00:00',2,1,12,1983,'F','N','VILA MARIANA','S PAULO','SP','225212211216571221466851475122541366187',NULL,'9998',0.00,1,3,NULL),(25,6096719,'1991-10-07 00:00:00',2,3,12,2009,'F','N','CENTRO','NEPOMUCENO','MG','113132131217111431337923575122610122192',5364,'9998',56.23,1,3,NULL),(25,6096727,'1992-12-05 00:00:00',4,1,12,2009,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241115273431426461572114610166192',3599,'739',63.15,1,2,1),(25,6096735,'1993-11-10 00:00:00',4,8,11,2010,'M','N','BOM RETIRO','CURITIBA','PR','116162161216111331589912475112610164072',NULL,'9998',0.00,1,3,NULL),(25,6096743,'1991-04-02 00:00:00',4,4,12,2008,'M','N','MÊRCES','CURITIBA','PR','116162161216573451456931572122610167052',209,'9998',80.97,1,3,NULL),(25,6096751,'1991-12-04 00:00:00',4,1,12,2009,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215472431368811285114610112015',146,'262',81.95,1,3,NULL),(25,6096760,'1994-10-15 00:00:00',4,1,11,2010,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241215151431427622575124610144172',8904,'723',53.23,1,3,NULL),(25,6096778,'1993-09-27 00:00:00',4,10,11,2010,'F','N','CENTRO','CAPIVARI BAIXO','SC','124241241215131431434422575122610137147',19143,'809',36.66,1,3,NULL),(25,6096786,'1990-11-19 00:00:00',2,1,12,2008,'F','N','ROSA MARIA','S PAULO','SP','125252251216571711648614595114640132042',NULL,'9998',23.98,4,3,NULL),(25,6096794,'1992-01-20 00:00:00',4,1,12,2009,'M','N','JARDIM PANORAMA','BADY BASSITT','SP','125252251215471431479931584122610167122',NULL,'9998',0.00,1,3,NULL),(25,6096808,'1988-06-07 00:00:00',4,1,11,2005,'M','N','JUNQUEIRA','LINS','SP','125252251216472741468432475122140224097',5938,'9998',55.89,1,3,NULL),(25,6096824,'1990-12-04 00:00:00',4,1,12,2008,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241217273721448714291124231418011',18732,'9997',37.49,1,3,NULL),(25,6096832,'1993-06-20 00:00:00',4,5,12,2010,'M','N','RIO MAINA','CRICIÚMA','SC','124242246215151431459612575124610124052',18848,'995',37.25,1,3,NULL),(25,6096840,'1991-12-10 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241146131412457519182124610138092',NULL,'283',19.48,1,3,NULL),(25,6096859,'1992-10-27 00:00:00',4,8,12,2009,'M','N','JARDIM ADRIANA','LONDRINA','PR','116162161215471451469613575122610136097',173,'9998',80.79,1,3,NULL),(25,6096867,'1992-10-19 00:00:00',4,8,12,2009,'F','N','CHICO DE PAULA','JARAGUÁ SUL','SC','124244241217471711449913575114610163142',6146,'1061',55.52,1,3,NULL),(25,6096883,'1994-02-13 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241215152431338812575122610143147',5827,'499',56.48,1,3,NULL),(25,6096891,'1993-09-16 00:00:00',4,1,11,2010,'F','N','CENTRO','PALHOÇA','SC','124242241215121431579913575124610126082',3015,'270',64.38,1,3,NULL),(25,6096913,'1992-10-13 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431348834572114610144092',12028,'270',44.34,1,3,NULL),(25,6096930,'1989-07-25 00:00:00',4,1,12,2006,'F','N','SAGUAÇU','JOINVILLE','SC','124242246216575411458814374345130662147',19,'494',87.70,1,3,NULL),(25,6096948,'1993-10-29 00:00:00',4,8,11,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431559634592122610124072',14487,'1063',39.72,1,3,NULL),(25,6096956,'1989-09-15 00:00:00',4,1,11,2007,'F','N','JD PROENÇA','CAMPINAS','SP','125252251215571411349821571122140242077',NULL,'9998',0.00,1,3,NULL),(25,6096964,'1991-06-27 00:00:00',2,2,12,2008,'M','N','SÃO FRANCISCO','CPO ERÊ','SC','124241242116571451322339595122143212127',4361,'135',60.92,1,2,1),(25,6096972,'1992-01-12 00:00:00',4,8,12,2009,'F','N','CENTRO','APUCARANA','PR','116162161215471431449934572124610122152',NULL,'9998',0.00,1,3,NULL),(25,6096980,'1992-09-05 00:00:00',4,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111432448824475122610164047',9013,'1038',51.39,1,3,NULL),(25,6096999,'1989-09-19 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241244135271411221324315124610112142',21535,'307',27.58,1,2,1),(25,6097006,'1988-12-31 00:00:00',4,1,12,2006,'M','N','JARDIM TROPICAL','BIRIGÜI','SP','125251251215571431448823571124610168187',6092,'9998',58.53,1,3,NULL),(25,6097014,'1995-01-08 00:00:00',2,1,12,2011,'M','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217151732235823595222610122057',NULL,'724',34.00,1,3,NULL),(25,6097049,'1993-07-13 00:00:00',4,1,11,2010,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124244241215111411469913575114610136062',1192,'270',71.99,1,3,NULL),(25,6097057,'1989-11-30 00:00:00',4,3,12,2007,'M','N','GUATAMBU','PIEDADE','SP','125252251216571411568816575114610161182',8935,'9998',49.44,3,3,NULL),(25,6097065,'1993-07-15 00:00:00',4,8,12,2010,'M','N','ÁGUA VERDE','JARAGUÁ SUL','SC','124241241217151711339631395121610112172',16695,'1061',41.08,1,3,NULL),(25,6097073,'1988-01-11 00:00:00',4,8,12,2009,'M','N','JARDIM SABARA','LONDRINA','PR','116163167316371441158634245122240232142',NULL,'9998',38.63,3,3,NULL),(25,6097081,'1993-01-02 00:00:00',4,5,12,2009,'M','N','COMERCIARIO','CRICIÚMA','SC','124242241215371721256832595112610114042',14142,'226',44.95,1,3,NULL),(25,6097090,'1992-08-15 00:00:00',2,9,12,2009,'M','N','COPACABANA','LAGES','SC','124241241116371411439632472124231436097',NULL,'507',22.23,1,2,1),(25,6097103,'1990-04-28 00:00:00',4,2,12,2007,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124241241215471441466832475122130266092',325,'88',79.21,1,3,NULL),(25,6097111,'1993-02-25 00:00:00',2,2,12,2010,'F','N','SALTO','BLUMENAU','SC','124241241215111431543619575124610137142',16545,'71',36.91,1,3,NULL),(25,6097120,'1990-03-09 00:00:00',4,1,12,2007,'F','N','SANTA CECÍLIA','PIRACICABA','SP','125252251216571431479914595122610128142',NULL,'9998',0.00,1,3,NULL),(25,6097138,'1993-05-16 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241115131431226833575124610127072',NULL,'257',27.43,1,3,NULL),(25,6097146,'1992-12-14 00:00:00',4,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215121732256634575114610167045',16286,'1022',36.62,1,3,NULL),(25,6097154,'1993-09-21 00:00:00',4,2,12,2010,'F','N','DAS NAÇÕES','INDAIAL','SC','124242241215111411426614575122610124092',NULL,'925',20.12,1,3,NULL),(25,6097162,'1992-09-25 00:00:00',2,8,12,2009,'M','N','CENTRO','TERRA BOA','PR','116161161236471431438831412122610147067',8987,'9998',49.95,1,3,NULL),(25,6097170,'1992-07-01 00:00:00',4,3,12,2009,'F','N','ALTO DA COLINA','LONDRINA','PR','116161161215471431559934475124610163077',1748,'9998',69.01,1,3,NULL),(25,6097189,'1993-08-20 00:00:00',4,2,12,2010,'F','N','CENTRO','BRUSQUE','SC','124241241115271431425723275124610114197',13603,'111',40.70,1,2,1),(25,6097197,'1993-07-06 00:00:00',5,17,12,2010,'M','N','CAMPO DA ÁGUA VERDE','CANOINHAS','SC','124244241215111522436811575122610131182',14646,'973',39.84,1,3,NULL),(25,6097200,'1992-10-09 00:00:00',4,4,12,2010,'M','N','MARIA GORETTI','CHAPECÓ','SC','124244241215271331456414575122610116192',11007,'168',46.66,4,3,NULL),(25,6097219,'1993-03-04 00:00:00',2,1,12,2010,'M','N','CENTRO','TUNÁPOLIS','SC','124241241137161431335823292121610137057',9628,'812',47.36,1,2,1),(25,6097227,'1991-10-26 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373431559932571122610161182',2420,'270',67.72,1,3,NULL),(25,6097235,'1991-12-04 00:00:00',4,1,12,2009,'F','N','VILLA BRANCA','JACAREÍ','SP','125251251217471711436634571124610166197',1607,'9998',68.19,1,3,NULL),(25,6097243,'1992-01-10 00:00:00',2,4,12,2009,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124251251216471731458813595124610124022',15830,'9998',37.85,1,3,NULL),(25,6097251,'1992-04-02 00:00:00',4,8,12,2009,'M','N','FAZENDINHA','CURITIBA','PR','116164161415471411438823571244610166047',226,'9998',80.61,1,3,NULL),(25,6097286,'1993-09-06 00:00:00',4,8,12,2010,'F','N','ITINGA','ARAQUARI','SC','124241241114131431423631172222610132077',NULL,'996',31.93,1,2,1),(25,6097308,'1993-09-15 00:00:00',4,5,12,2010,'M','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215372431356832575122610137112',4796,'211',58.57,1,3,NULL),(25,6097316,'1993-09-02 00:00:00',4,8,11,2010,'M','N','VILA IPOJUCA','S PAULO','SP','125252251211121411468814575125610144092',11289,'9998',49.23,1,3,NULL),(25,6097332,'1970-10-31 00:00:00',4,1,12,1989,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224131138122135751213359482124230268187',18452,'9998',38.01,1,2,1),(25,6097340,'1991-09-08 00:00:00',2,9,11,2008,'M','N','POPULAR','LAGES','SC','124241241117474431449613475124610146177',318,'512',79.39,1,2,1),(25,6097359,'1991-12-22 00:00:00',2,1,12,2008,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241147132421326844345334610113047',NULL,'727',0.00,1,2,1),(25,6097375,'1992-07-21 00:00:00',5,8,12,2009,'F','N','SÃO MARCOS','JOINVILLE','SC','124244241215573411459823594114610133147',2347,'1105',67.07,4,3,NULL),(25,6097383,'1993-01-30 00:00:00',4,1,11,2009,'F','N','CENTRO','PALHOÇA','SC','124242241215474431449967574114610166175',204,'270',81.01,1,3,NULL),(25,6097391,'1994-01-18 00:00:00',2,17,12,2010,'M','N','VILA NOVA','LAGES','SC','124242241235111231328821475122610127032',16862,'497',40.83,1,3,NULL),(25,6097405,'1993-08-05 00:00:00',4,15,12,2010,'M','N','LAGOA DA SERRA','ARARANGUÁ','SC','124241241115151431424319572124610137017',20254,'29',28.09,1,2,1),(25,6097413,'1992-11-01 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216372431428614442124610127147',21269,'259',29.64,1,3,NULL),(25,6097421,'1993-02-09 00:00:00',4,5,12,2010,'M','N','PROSPERA','CRICIÚMA','SC','124242241216142411456834475124610164052',13982,'995',45.20,1,3,NULL),(25,6097430,'1991-01-21 00:00:00',4,1,12,2008,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241116472731325339572124610164147',8561,'292',51.91,1,2,1),(25,6097448,'1991-11-21 00:00:00',4,1,12,2008,'M','N','JAGUARIBE','OSASCO','SP','125252251216471431458934572124143227047',10096,'9998',46.38,1,3,NULL),(25,6097456,'1992-12-13 00:00:00',2,7,12,2009,'F','N','NS LOURDES','CAMPOS NOVOS','SC','124241241116272751626779395124610146157',20266,'139',33.86,1,2,1),(25,6097464,'1992-11-11 00:00:00',2,1,12,2009,'F','N','BELA VISTA I','S JOSÉ','SC','124241241117151731336829195111232654145',NULL,'257',14.60,1,2,1),(25,6097472,'1993-05-28 00:00:00',4,1,12,2010,'F','N','JARDIM UNIVERSITARIO','MARINGÁ','PR','116164161216111431558812572122610162197',6113,'9998',55.20,1,3,NULL),(25,6097480,'1993-08-08 00:00:00',4,2,11,2010,'F','N','PINHEIROS','S PAULO','SP','125252251217151411448814576122610142147',10196,'9998',46.09,1,3,NULL),(25,6097502,'1993-11-08 00:00:00',4,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','120243208117371431214329572324610124147',NULL,'9998',32.40,1,3,NULL),(25,6097510,'1993-01-03 00:00:00',4,7,12,2009,'M','N','FARROUPILHA','VIDEIRA','SC','124241241117132441446614341121610165187',8492,'831',53.97,1,3,NULL),(25,6097529,'1991-04-28 00:00:00',4,4,12,2008,'M','N','APARECIDA','ABELARDO LUZ','SC','124241241136272231654331346125242957057',9300,'4',47.67,4,2,1),(25,6097537,'1993-01-30 00:00:00',2,1,1,2011,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241115131431311115175324610123027',17471,'288',35.60,1,2,1),(25,6097553,'1990-04-28 00:00:00',4,2,12,2008,'F','N','CENTRAL PARK','VESPASIANO','MG','113132131215471441356872575124610126127',NULL,'9998',0.00,1,3,NULL),(25,6097561,'1992-01-19 00:00:00',2,1,12,2008,'F','N','CENTRO','CIDADE GAÚCHA','PR','116162161217573431449919594112610134142',2325,'9998',66.05,1,3,NULL),(25,6097570,'1986-08-23 00:00:00',2,1,12,2007,'M','N','GRAJAÚ','BELO HORIZONTE','MG','113131131146131431524319241334610126177',NULL,'9998',0.00,2,1,1),(25,6097588,'1991-07-02 00:00:00',4,17,12,2008,'M','N','CENTRO','CANOINHAS','SC','124243241216373431479813575124241067062',7136,'154',52.18,1,3,NULL),(25,6097596,'1991-09-20 00:00:00',4,1,12,2008,'F','N','CENTRO','MARINGÁ','PR','116162161216572431548812595112610137017',3184,'9998',63.14,1,3,NULL),(25,6097618,'1992-02-27 00:00:00',4,2,12,2009,'M','N','SALTO','BLUMENAU','SC','124242246215141431369912495124231424032',5301,'1018',56.83,1,3,NULL),(25,6097626,'1993-08-23 00:00:00',4,1,11,2010,'F','N','BATEL','GUARAPUAVA','PR','116162161211311441368831575122610127072',NULL,'9998',0.00,1,3,NULL),(25,6097634,'1990-12-02 00:00:00',2,1,11,2007,'F','N','CENTRO','LGA VERMELHA','RS','120203201211573431446914575122610124142',4642,'9998',58.16,1,3,NULL),(25,6097642,'1994-03-09 00:00:00',4,1,12,2010,'F','N','SANTA PAULA','S CAETANO SUL','SP','125252251216131431258821215122610162192',8500,'9998',49.53,1,3,NULL),(25,6097669,'1993-07-07 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217122531489933575122610162092',11401,'270',45.16,1,3,NULL),(25,6097677,'1994-05-14 00:00:00',4,8,12,2010,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241115271711438614395124610134147',13591,'1144',45.79,1,3,NULL),(25,6097685,'1992-10-03 00:00:00',4,1,11,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215472441469933575124610141141',77,'457',84.34,1,3,NULL),(25,6097693,'1992-12-31 00:00:00',4,8,12,2010,'M','N','CENTRO','ITAPEVA','SP','125252251216151431369613575122610137082',NULL,'9998',0.00,1,3,NULL),(25,6097707,'1990-11-27 00:00:00',4,5,12,2008,'F','N','RIO MAINA','CRICIÚMA','SC','124241241317132441435933391124231438187',NULL,'221',13.08,1,3,NULL),(25,6097715,'1987-02-25 00:00:00',4,3,12,2004,'M','N','BAIRRO ALTO','CURITIBA','PR','116161161316131431456632125112141024142',NULL,'9998',38.20,1,3,NULL),(25,6097723,'1994-02-15 00:00:00',4,5,11,2011,'M','S','CENTRO','IÇARA','SC','124242241215111431356734572114610164112',NULL,'226',48.43,1,3,NULL),(25,6097731,'1994-01-06 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241117271231329721575124610136147',11292,'307',45.06,1,3,NULL),(25,6097740,'1991-03-10 00:00:00',2,3,12,2008,'F','N','CENTRO','JACAREZINHO','PR','116162161214571431458834344112610144117',NULL,'9998',0.00,1,3,NULL),(25,6097758,'1987-11-27 00:00:00',4,15,12,2005,'F','N','ALTO FELIZ','ARARANGUÁ','SC','124201241147131431453319392122232234142',NULL,'641',0.00,1,2,1),(25,6097766,'1993-09-17 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241317132431456734572124610142072',14086,'271',43.42,1,3,NULL),(25,6097774,'1990-02-22 00:00:00',2,1,12,2007,'M','N','SERRARIA','S JOSÉ','SC','124242241216474431338823575122231467045',8514,'738',53.94,1,3,NULL),(25,6097782,'1993-03-03 00:00:00',4,1,12,2010,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215111411489914571122610147042',10554,'9998',46.53,1,3,NULL),(25,6097790,'1993-11-13 00:00:00',4,2,11,2010,'F','N','CENTRO','MASSARANDUBA','SC','124244241215111431457632575124610134142',18964,'424',30.25,1,3,NULL),(25,6097804,'1991-02-13 00:00:00',4,1,12,2008,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241215373451468819575112610138142',5270,'724',60.26,1,3,NULL),(25,6097812,'1992-03-21 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241117242632423324246124610122142',12571,'296',43.82,1,2,1),(25,6097820,'1992-11-23 00:00:00',2,1,12,2010,'F','N','CENTRO','RONDONÓPOLIS','MT','111112091216111431457836572112610126072',3865,'9998',61.55,1,3,NULL),(25,6097839,'1993-09-09 00:00:00',4,3,12,2010,'M','N','CENTRO','CAMPOS NOVOS','SC','124242241216112411336632575124610166052',12275,'962',47.72,1,3,NULL),(25,6097847,'1991-08-31 00:00:00',2,1,12,2008,'F','N','VILA CORREA','FERRAZ VASCONCELOS','SP','125251251116371411436314345125610167072',NULL,'9998',0.00,1,2,1),(25,6097855,'1991-06-05 00:00:00',4,8,12,2009,'M','N','CAPAO DA IMBUIA','CURITIBA','PR','116163161115471431466819574122610122047',3099,'9998',62.02,1,3,NULL),(25,6097863,'1994-01-21 00:00:00',4,1,12,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215111441468634575122610168042',NULL,'226',27.33,1,3,NULL),(25,6097871,'1992-07-28 00:00:00',2,1,12,2010,'F','N','POTECAS','S JOSÉ','SC','124241246117471631526634592224610124052',4984,'306',59.43,4,1,1),(25,6097880,'1992-10-19 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431573832575122610165042',6904,'262',53.38,1,3,NULL),(25,6097898,'1992-11-27 00:00:00',2,1,11,2010,'M','N','PACHECOS','PALHOÇA','SC','124242241215121431546614211122610167181',NULL,'939',27.88,3,3,NULL),(25,6097901,'1993-05-17 00:00:00',2,4,12,2010,'F','N','CENTRO','PTE SERRADA','SC','124241241134131411428314244122610126177',NULL,'629',0.00,1,3,NULL),(25,6097910,'1993-05-25 00:00:00',4,1,12,2010,'M','N','VILA REZENDE','PIRACICABA','SP','125252251215111431466834575122610137047',4785,'9998',59.22,1,3,NULL),(25,6097936,'1990-08-01 00:00:00',4,1,12,2007,'F','N','MORRO VERMELHO','MOGI MIRIM','SP','125252251217572441288921475122610167122',1999,'9998',68.92,1,3,NULL),(25,6097944,'1987-02-23 00:00:00',4,8,11,2004,'M','N','ÁGUA VERDE','CURITIBA','PR','124242161216272431368913342124343165117',2802,'9998',66.52,1,3,NULL),(25,6097952,'1993-08-14 00:00:00',4,5,11,2010,'F','N','PIO CORREA','CRICIÚMA','SC','124242241215121731379912575122610134122',12482,'226',42.67,1,3,NULL),(25,6097960,'1992-04-17 00:00:00',2,9,12,2010,'M','N','CENTRO','VACARIA','RS','120203201117271431358823575122610137047',NULL,'9998',0.00,1,3,NULL),(25,6097979,'1993-07-06 00:00:00',2,1,11,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241116141431634624345124610126055',NULL,'734',19.02,1,3,NULL),(25,6097987,'1993-05-07 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241136131431527634232124610167147',NULL,'257',38.68,1,2,1),(25,6097995,'1993-01-09 00:00:00',2,16,12,2010,'F','N','RONDINHA','PTE ALTA NORTE','SC','124241244145371731426619475124610126142',NULL,'239',22.60,1,2,1),(25,6098002,'1993-11-08 00:00:00',4,8,11,2010,'F','N','JOÃO COSTA','JOINVILLE','SC','124202241215371431536512575122610132042',15286,'461',38.68,1,3,NULL),(25,6098010,'1992-02-27 00:00:00',4,3,11,2010,'F','N','CENTRO','ROLÂNDIA','PR','116162161216371731349616475122610117042',9081,'9998',49.34,1,3,NULL),(25,6098029,'1988-05-09 00:00:00',4,1,12,2004,'M','N','CAMPINAS','S JOSÉ','SC','124243241215575431379911585114121414125',2816,'723',66.48,1,3,NULL),(25,6098037,'1994-05-09 00:00:00',4,1,12,2010,'M','N','JD ESTRELA','FOZ IGUAÇU','PR','116162161217472431469931572122610166092',105,'9998',83.23,1,3,NULL),(25,6098045,'1993-04-04 00:00:00',4,2,12,2010,'F','N','VORSTADT','BLUMENAU','SC','124242241215272431438932272124610143141',4653,'909',59.94,1,3,NULL),(25,6098070,'1993-10-28 00:00:00',4,8,12,2010,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241115131731338614375124610115072',NULL,'1144',21.51,1,2,1),(25,6098096,'1991-03-20 00:00:00',2,9,12,2008,'F','N','MEDIANEIRA','FARROUPILHA','RS','120201201117471331436612275124610167057',NULL,'9998',0.00,1,2,1),(25,6098100,'1993-09-17 00:00:00',4,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217111431468932574112610127012',1201,'262',72.60,1,3,NULL),(25,6098126,'1993-07-13 00:00:00',2,8,12,2010,'F','N','CENTRO','RIO B IGUAÇU','PR','116161161116111111426829155122610113072',NULL,'9998',0.00,1,2,1),(25,6098142,'1992-12-25 00:00:00',4,1,11,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241216122431478811575122610137062',4524,'270',59.99,1,3,NULL),(25,6098150,'1993-06-18 00:00:00',2,8,12,2010,'F','N','FAXINAL','MAFRA','SC','624241241415371431356413575122610166147',19715,'541',28.97,1,3,NULL),(25,6098169,'1991-06-20 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124022021216573411469911575114610122122',5677,'9998',57.08,1,3,NULL),(25,6098177,'1992-02-28 00:00:00',2,8,11,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161216573431538634575125610134147',1532,'9998',69.82,1,3,NULL),(25,6098193,'1993-01-02 00:00:00',4,6,11,2010,'F','N','ESTADOS','BAL CAMBORIÚ','SC','124242241215111731547832272124610146015',19350,'1038',36.17,1,3,NULL),(25,6098215,'1992-09-23 00:00:00',4,1,12,2009,'M','N','VILA FORMOSA','S PAULO','SP','125252251217461411358834575124610167087',9804,'9998',48.19,3,3,NULL),(25,6098223,'1982-07-23 00:00:00',2,1,7,2002,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241247226415411118671185124233214047',17420,'9999',35.71,2,1,2),(25,6098231,'1993-08-25 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431438614572124610138192',NULL,'1118',20.21,1,3,NULL),(25,6098240,'1993-08-07 00:00:00',4,9,12,2010,'F','N','CENTRO','LAURENTINO','SC','124244241215131431458713575122610124197',9097,'991',50.87,4,3,NULL),(25,6098258,'1991-11-13 00:00:00',4,3,12,2008,'F','N','UBERABA','CURITIBA','PR','116162161215571411489934575122610164072',NULL,'9998',0.00,1,3,NULL),(25,6098266,'1992-12-28 00:00:00',4,4,12,2009,'M','N','JARDIM','CUNHA PORÃ','SC','124241241116472441459933575124610168142',341,'552',79.07,1,2,1),(25,6098282,'1993-03-19 00:00:00',4,9,12,2010,'M','N','IPIRANGA','LAGES','SC','124242241215111431434531112121610164147',17691,'499',33.06,1,3,NULL),(25,6098290,'1993-12-27 00:00:00',2,10,12,2010,'F','N','PONTA DA BARRA','LAGUNA','SC','124244241225131431524623572125610124047',NULL,'524',0.00,1,3,NULL),(25,6098304,'1993-12-08 00:00:00',4,1,12,2011,'F','S','SÃO SEBASTIÃO','PALHOÇA','SC','124242241215111411553512375124610124142',NULL,'270',22.97,1,3,NULL),(25,6098312,'1991-08-28 00:00:00',4,1,12,2009,'F','N','JARDIM PREVIDENCIA','S PAULO','SP','125252251211471431358819271124610118092',5185,'9998',56.78,1,3,NULL),(25,6098339,'1990-08-26 00:00:00',2,1,12,2008,'M','N','BOM CLIMA','GUARULHOS','SP','125251256411471731454411571125143232042',12867,'9998',41.56,4,3,NULL),(25,6098347,'1993-09-21 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124142241215151431448913585112610164197',17527,'1118',36.01,4,3,NULL),(25,6098355,'1993-06-19 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111231559613575112610127072',6094,'737',56.60,4,3,NULL),(25,6098363,'1992-02-25 00:00:00',4,1,12,2008,'F','N','CENTRO','GUARATUBA','PR','116244241215573431349933572124130432092',5495,'807',57.45,4,3,NULL),(25,6098371,'1992-12-22 00:00:00',2,1,12,2008,'F','N','CENTRO','LONDRINA','PR','116281161216571631369914595122610166097',NULL,'9998',0.00,1,3,NULL),(25,6098380,'1991-10-30 00:00:00',4,9,12,2007,'F','N','SAO MANOEL','CAMPESTRE SERRA','RS','120201201116131431643936395124241032047',NULL,'9998',NULL,1,2,1),(25,6098398,'1993-03-14 00:00:00',4,4,12,2010,'M','N','CENTRO','S JOÃO OESTE','SC','124241241127161511347633245121610127057',NULL,'715',0.00,1,2,1),(25,6098401,'1988-06-09 00:00:00',4,1,12,2005,'F','N','PINHEIRINHO','ITAJUBÁ','MG','113132138217471751459813575122141322147',NULL,'9998',0.00,1,3,NULL),(25,6098410,'1993-05-01 00:00:00',4,4,12,2010,'F','N','CENTRO','CRUZ ALTA','RS','120201201116271431436614272122610136192',NULL,'9998',47.21,1,2,1),(25,6098428,'1989-09-23 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241225131711623431182344610152171',NULL,'262',16.38,3,3,NULL),(25,6098436,'1990-02-23 00:00:00',4,8,12,2007,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125254251211371431358811575124610164142',13303,'9998',46.22,1,3,NULL),(25,6098444,'1993-03-12 00:00:00',4,8,12,2010,'F','N','SANTA QUITÉRIA','CURITIBA','PR','116162161235471731689914373124610144017',805,'9998',75.31,1,3,NULL),(25,6098452,'1992-07-09 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115471711426369382324610137041',2464,'592',67.22,4,2,1),(25,6098460,'1988-01-11 00:00:00',2,1,11,2006,'M','N','COSTA DA LAGOA','FLORIANÓPOLIS','SC','124241241131241421523514142214610127052',NULL,'9997',25.30,1,3,NULL),(25,6098479,'1993-04-27 00:00:00',4,8,11,2010,'M','N','ITAUM','JOINVILLE','SC','124241246215131431328314272224610127171',NULL,'1105',34.09,1,3,NULL),(25,6098495,'1988-10-16 01:00:00',2,10,12,2006,'F','N','MOINHOS','LAJEADO','RS','120202201217571441467933491122141368182',3616,'9998',61.23,1,3,NULL),(25,6098509,'1993-12-07 00:00:00',4,4,11,2010,'M','N','NOSSA S APARECIDA','FRANCISCO BELTRÃO','PR','116162161217111731668814595112610167042',NULL,'9998',26.01,1,3,NULL),(25,6098517,'1991-03-19 00:00:00',4,8,12,2008,'M','N','JARDIM PAULISTA','OURINHOS','SP','125252251217571431569811575122610137047',NULL,'9998',34.98,1,3,NULL),(25,6098525,'1993-02-17 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241116111411425564195124610167145',NULL,'257',20.61,1,2,1),(25,6098533,'1990-05-31 00:00:00',4,1,12,2007,'F','N','SANATO INÁCIO','CURITIBA','PR','116162161236573431468619572124610162112',2064,'9998',66.72,1,3,NULL),(25,6098550,'1992-03-28 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241211473431359911281224610164092',2677,'270',66.02,1,3,NULL),(25,6098568,'1991-02-23 00:00:00',2,1,12,2008,'F','N','VILA JARDINI','SOROCABA','SP','125252251215571751338713571122610166057',1650,'9998',69.20,1,3,NULL),(25,6098576,'1989-04-11 00:00:00',2,1,11,2006,'F','N','CAIÇARAS','LONDRINA','PR','116162161216513431566412574124610141187',950,'9998',72.28,3,3,NULL),(25,6098584,'1994-02-04 00:00:00',4,6,11,2011,'F','S','FAZENDA','ITAJAÍ','SC','124242241215111731438614292122610161057',NULL,'392',44.30,1,3,NULL),(25,6098592,'1992-03-23 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241225372411543434242124610117047',3428,'262',63.41,1,3,NULL),(25,6098606,'1993-07-14 00:00:00',2,1,12,2010,'F','N','SANTA MARIA','S BONIFÁCIO','SC','124241241126161431334633575124610167072',18456,'702',31.49,1,2,1),(25,6098622,'1990-02-22 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124203201216471231323744442124610127017',2520,'9998',66.36,4,3,NULL),(25,6098630,'1991-08-23 00:00:00',4,1,11,2009,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124242241215472431479933575124610111192',2186,'807',66.77,1,3,NULL),(25,6098649,'1991-12-27 00:00:00',2,9,11,2008,'F','N','CENTRO','LGA VERMELHA','RS','120204201415371431226629571124610136147',16055,'9998',39.91,1,3,NULL),(25,6098657,'1993-09-17 00:00:00',2,5,11,2010,'F','N','SANGÃO','CRICIÚMA','SC','124243241215111121335924395124610162142',11979,'208',42.99,1,3,NULL),(25,6098665,'1993-07-27 00:00:00',2,5,12,2010,'F','N','DAS DAMAS','URUSSANGA','SC','124242241215112431415918592124610167187',11423,'226',49.01,1,3,NULL),(25,6098673,'1992-11-04 00:00:00',4,8,12,2009,'F','N','LIMEIRA','POUSO ALEGRE','MG','113131131216471751648616576112610137087',NULL,'9998',0.00,1,3,NULL),(25,6098681,'1993-09-27 00:00:00',4,1,11,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','116222161217111751647832582215610164187',9708,'9998',47.09,1,3,NULL),(25,6098690,'1992-02-14 00:00:00',4,3,12,2008,'F','N','CENTRO','ARAPONGAS','PR','116162161216571431466912175122610134152',1905,'9998',68.71,1,3,NULL),(25,6098703,'1993-05-16 00:00:00',4,8,12,2010,'F','N','VILA ALZIRA','STO ANDRÉ','SP','125252251416131431478614572122610166077',2385,'9998',66.82,1,3,NULL),(25,6098720,'1994-01-16 00:00:00',4,1,11,2011,'F','S','CARIANOS','FLORIANÓPOLIS','SC','124242241217111431569813474124610134035',NULL,'1022',49.79,1,3,NULL),(25,6098738,'1995-02-08 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111731449914295122610124147',NULL,'991',46.37,1,3,NULL),(25,6098746,'1992-06-24 00:00:00',4,1,12,2009,'M','N','CENTRO','CAMPOS NOVOS','SC','124242241215472431358919572124610117031',2257,'270',67.54,1,3,NULL),(25,6098754,'1992-11-21 00:00:00',2,1,12,2010,'F','N','WRONSKI','DESCANSO','SC','124241242115131531436933585124610157142',20807,'758',26.20,1,2,1),(25,6098762,'1994-03-28 00:00:00',2,1,12,2010,'F','N','JARDIM AMÉRICA','PNT GROSSA','PR','116162161215371711469814585112610124017',NULL,'9998',0.00,1,3,NULL),(25,6098789,'1993-05-14 00:00:00',2,1,12,2010,'F','N','SETOR UNIVERSITÁRIO','GOIÂNIA','GO','109092091217111331458815574122610116077',4896,'9998',57.62,1,3,NULL),(25,6098797,'1992-10-26 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217473431369914575115610144042',4092,'497',59.91,1,3,NULL),(25,6098800,'1991-09-17 00:00:00',2,1,7,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115273731336514575124121564191',8700,'739',50.13,1,2,1),(25,6098827,'1994-01-22 00:00:00',2,8,12,2010,'M','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162161216161431465911575122610131097',11716,'9998',42.83,1,3,NULL),(25,6098835,'1993-09-11 00:00:00',4,6,12,2010,'F','N','CENTRO','ITAJAÍ','SC','124242241217111431356714575122610146192',5381,'1172',56.64,1,3,NULL),(25,6098843,'1988-01-30 00:00:00',2,1,12,2005,'F','N','POÇO FUNDO','STO AMARO IMPERATRIZ','SC','124241241116272451423411385121610135147',14341,'772',44.66,1,2,1),(25,6098851,'1993-02-23 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116572731428613585134610165187',NULL,'288',21.31,1,2,1),(25,6098860,'1991-10-20 01:00:00',4,1,12,2008,'F','N','FREGUESIA DO Ó','S PAULO','SP','125251251116471731334611574124610126057',2771,'9998',64.48,1,2,1),(25,6098886,'1993-06-11 00:00:00',2,2,12,2010,'F','N','GLÓRIA','BLUMENAU','SC','624241241115371731523514392124610133142',NULL,'76',22.95,1,3,NULL),(25,6098894,'1993-05-17 00:00:00',4,8,12,2010,'F','N','CABRAL','CURITIBA','PR','116161161216121411446914275124610132097',13544,'9998',41.82,1,3,NULL),(25,6098908,'1991-07-23 00:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115272731328624575124610137147',16889,'295',35.48,1,2,1),(25,6098940,'1991-04-08 00:00:00',2,8,11,2007,'F','N','NOVA BRASÍLIA','JOINVILLE','SC','124242241217574411324311572122233263037',10543,'461',45.15,1,3,NULL),(25,6098959,'1959-04-24 00:00:00',1,1,12,1979,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224251254136153411434449495124420966187',19310,'9998',36.25,4,1,1),(25,6098967,'1994-09-01 00:00:00',4,1,12,2011,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241217111711358931572112610127047',NULL,'262',40.46,1,3,NULL),(25,6098975,'1992-04-10 00:00:00',4,8,12,2009,'F','N','JARDIM AMÉRICA','PNT GROSSA','PR','116162161216471431458832572112610162042',2820,'9998',64.70,3,3,NULL),(25,6098983,'1991-11-17 00:00:00',2,1,12,2008,'F','N','DONA WANDA','S JOSÉ','SC','124244241116272431226724582114610163011',NULL,'307',20.95,2,3,NULL),(25,6098991,'1992-12-21 00:00:00',4,1,12,2010,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124242241217141431543312575124610142122',9992,'1074',51.36,1,3,NULL),(25,6099009,'1991-05-18 00:00:00',2,15,12,2008,'M','N','GÁVEA','JACINTO MACHADO','SC','124241241141131232435329245111610167067',NULL,'420',38.09,1,3,NULL),(25,6099017,'1993-12-31 00:00:00',4,1,10,2010,'F','N','CENTRO','ERECHIM','RS','120202201216111231466614571122610128072',8762,'9998',49.18,1,3,NULL),(25,6099050,'1993-04-29 00:00:00',2,1,12,2010,'F','N','CALHEIROS','GOV CELSO RAMOS','SC','124241241115271432448914575124610127147',NULL,'307',27.25,1,2,1),(25,6099076,'1993-05-23 00:00:00',2,1,12,2010,'F','N','JARDIM PIRATININGA','LIMEIRA','SP','125252251216111531268824575112610137096',4827,'9998',57.73,1,3,NULL),(25,6099084,'1992-11-14 00:00:00',2,2,12,2010,'F','N','CENTRO','TAIÓ','SC','124243241116131731339613345122610168192',19492,'777',30.45,1,3,NULL),(25,6099092,'1990-09-21 00:00:00',4,1,12,2008,'M','N','ACLIMAÇÃO','S PAULO','SP','125252251217573431388931575122610114042',NULL,'9998',0.00,1,3,NULL),(25,6099106,'1993-06-21 00:00:00',4,2,12,2010,'M','N','CENTRO','GASPAR','SC','124242241215122431466832374122610148142',2358,'909',67.71,1,3,NULL),(25,6099114,'1991-11-06 00:00:00',4,1,6,2010,'F','N','ARIRIU','PALHOÇA','SC','124242241215371431548812341122610136142',21618,'1169',26.62,1,3,NULL),(25,6099130,'1973-05-12 00:00:00',2,1,11,1993,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241243125272421325344345134610133147',17955,'505',32.76,1,2,1),(25,6099157,'1991-12-20 00:00:00',2,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120201208217572431335833595122610168017',13921,'9998',41.55,1,3,NULL),(25,6099165,'1991-04-03 00:00:00',4,1,11,2008,'F','N','BATEL','CURITIBA','PR','116162161211572411688831471112610164111',NULL,'9998',0.00,1,3,NULL),(25,6099173,'1993-12-14 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124241241112372431536633575124610166192',3935,'739',61.14,1,2,1),(25,6099181,'1992-02-01 00:00:00',2,1,12,2009,'F','N','CENTRO','TAIÓ','SC','124242241216472751447312345121610164142',NULL,'776',23.44,1,3,NULL),(25,6099190,'1992-04-16 00:00:00',2,1,12,2009,'M','N','TRINTA RÉIS','NOVA TRENTO','SC','124244241412413431458613572124610117062',643,'109',76.40,1,3,NULL),(25,6099203,'1994-08-08 00:00:00',4,7,12,2010,'M','N','SÃO VICENTE','HERVAL D OESTE','SC','124242241215111431236923572122610128092',12310,'446',47.67,1,3,NULL),(25,6099238,'1981-11-23 00:00:00',4,8,12,2000,'M','N','ZONA SEIS','MARINGÁ','PR','516163287626142441444831245123143224042',NULL,'9998',0.00,1,3,NULL),(25,6099246,'1994-01-08 00:00:00',5,4,12,2010,'F','N','SANTO ANTÔNIO','CONCÓRDIA','SC','124241241115371431433335572222610167047',10345,'979',50.75,1,2,1),(25,6099254,'1992-11-28 00:00:00',2,16,12,2010,'M','N','NUCLEO TRITICOLA','FR ROGÉRIO','SC','124241241113111431223416272112610114052',NULL,'320',23.15,1,3,NULL),(25,6099262,'1993-04-18 00:00:00',4,2,12,2010,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124243241335131441347534345124610137177',11968,'75',44.20,1,3,NULL),(25,6099270,'1990-07-23 00:00:00',1,1,7,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124283248117131421536829512124610166041',10991,'306',45.16,1,3,NULL),(25,6099289,'1993-03-24 00:00:00',4,4,12,2010,'F','N','CENTRO','GUARACIABA','SC','124241241126141431434933345122610167142',19865,'334',30.73,1,2,1),(25,6099297,'1992-10-01 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215112431379913595122610133112',14202,'270',44.86,1,3,NULL),(25,6099300,'1990-02-22 00:00:00',2,6,12,2007,'F','N','REBOUÇAS','CURITIBA','PR','116162161116572431448513571124610166142',1293,'9998',72.02,1,3,NULL),(25,6099319,'1993-06-20 00:00:00',2,2,12,2010,'F','N','CENTRO','BRUSQUE','SC','124243241215371231466612575122610138142',NULL,'107',0.00,1,3,NULL),(25,6099327,'1993-12-01 00:00:00',4,4,12,2010,'M','N','CENTRO','PINHALZINHO','SC','124241241136471431369931574122610132172',4069,'616',59.31,1,2,1),(25,6099335,'1994-02-08 00:00:00',2,1,12,2010,'F','N','SÃO LUIZ','S JOSÉ','SC','124244241116371431326624575124610123012',15243,'733',38.82,4,3,NULL),(25,6099343,'1993-05-28 00:00:00',4,1,11,2010,'M','N','MONTE CASTELO','CPO GRANDE','MS','112122121217221431359911594122610118042',18791,'9998',30.38,1,3,NULL),(25,6099351,'1993-01-21 00:00:00',4,1,12,2010,'F','N','MALHADO','ILHÉUS','BA','105052051217111431468622575122610143097',2129,'9998',66.91,4,3,NULL),(25,6099360,'1993-08-03 00:00:00',4,1,12,2010,'M','N','SANTO INÁCIO','CURITIBA','PR','116162161217121431488833571122610167112',4332,'9998',59.88,1,3,NULL),(25,6099378,'1994-05-22 00:00:00',4,1,11,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241215111432557933572122610126042',16452,'723',41.46,1,3,NULL),(25,6099394,'1985-05-25 00:00:00',4,1,12,2002,'F','N','CAMPINAS','S JOSÉ','SC','124242241216273421354624445124333268122',NULL,'1169',0.00,1,3,NULL),(25,6099408,'1992-07-13 00:00:00',4,5,12,2009,'M','N','MARIA CEU','CRICIÚMA','SC','124244246215371431348614342124610167091',4778,'995',58.82,5,3,NULL),(25,6099416,'1992-06-04 00:00:00',4,2,12,2009,'M','N','ASILO','BLUMENAU','SC','124242241217372431459612575124610167112',2701,'71',65.75,1,3,NULL),(25,6099440,'1992-12-18 00:00:00',2,17,12,2010,'M','N','VISTA ALEGRE','MAFRA','SC','124241161216161431446512575122610117051',14668,'9998',40.44,1,3,NULL),(25,6099459,'1994-02-27 00:00:00',2,1,11,2010,'F','N','CENTRO','PALHOÇA','SC','124242241215151411538923575124610137177',NULL,'1022',25.83,1,3,NULL),(25,6099475,'1993-05-17 00:00:00',4,1,12,2010,'M','N','VILA GUARANI','S PAULO','SP','125252251117271431588811575115610137042',8126,'9998',50.97,1,3,NULL),(25,6099483,'1993-09-01 00:00:00',4,1,11,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111431379831575114610122185',4481,'262',58.93,1,3,NULL),(25,6099491,'1988-05-30 00:00:00',2,1,12,2005,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124252241216112731356823572124421934197',10745,'269',50.07,1,3,NULL),(25,6099505,'1987-05-29 00:00:00',2,7,12,2010,'M','N','CLUBEGI','PALMAS','PR','116161161117131431321327285124610121057',NULL,'9998',21.32,1,2,1),(25,6099513,'1992-05-25 00:00:00',4,17,12,2009,'F','N','CAMPO DA ÁGUA VERDE','CANOINHAS','SC','124241241116131711523614582121610156077',NULL,'153',22.51,1,2,1),(25,6099530,'1992-11-10 00:00:00',4,8,11,2009,'M','N','ALTO DO CRISTO','TAUBATÉ','SP','125253251216471431339724345121610164187',NULL,'9998',0.00,2,1,2),(25,6099564,'1988-07-11 00:00:00',2,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116163161215514431583432275122610122182',8626,'9998',50.79,1,3,NULL),(25,6099572,'1992-07-16 00:00:00',2,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','124243241212131431646511215122610114197',18035,'723',37.10,1,3,NULL),(25,6099580,'1993-08-29 00:00:00',2,1,12,2010,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116162161215111412358839572122610123112',16617,'9998',35.09,1,3,NULL),(25,6099610,'1993-03-22 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216112731369923475125610113142',6873,'270',56.89,4,3,NULL),(25,6099629,'1992-07-01 00:00:00',4,1,12,2009,'F','N','VILA SAN MARINO','LIMEIRA','SP','125252251215472331468831575122610133072',NULL,'9998',0.00,1,3,NULL),(25,6099637,'1993-01-07 00:00:00',4,8,11,2010,'M','N','FLORESTA','JOINVILLE','SC','124241246236111431467933575124610124122',3495,'1105',61.60,1,3,NULL),(25,6099645,'1990-07-26 00:00:00',4,4,12,2007,'F','N','CENTRO','HONÓRIO SERPA','PR','116161161216571721449933575122610166182',11277,'9998',49.25,1,3,NULL),(25,6099653,'1978-02-07 00:00:00',2,1,2,2004,'M','N','FLORESTA','S JOSÉ','SC','124251257126131731136623435325131064147',17234,'9998',34.51,2,1,1),(25,6099661,'1993-06-05 00:00:00',4,6,10,2010,'F','N','CENTRO','ITAJAÍ','SC','116242161214111431489912171122610162192',3256,'9998',63.34,1,3,NULL),(25,6099696,'1993-01-11 00:00:00',4,2,10,2010,'F','N','ESTRADA DAS AREIAS','INDAIAL','SC','124244241215111431458614375124610131182',NULL,'70',0.00,1,3,NULL),(25,6099700,'1991-01-29 00:00:00',2,15,12,2007,'M','N','GLÓRIA','PTO ALEGRE','RS','120202201211471441456639371114143242187',591,'9998',75.53,1,3,NULL),(25,6099718,'1987-04-26 00:00:00',2,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124244241411574431435311212114610133091',11045,'868',49.60,1,3,NULL),(25,6099726,'1982-03-07 00:00:00',2,10,12,2000,'M','N','MAGALHÃES','LAGUNA','SC','124241241141333451523349292234231336047',11764,'522',44.16,1,2,1),(25,6099742,'1993-09-11 00:00:00',2,4,12,2010,'M','N','CENTRO','VERA C OESTE','PR','116163161215111431549933575125610124142',5512,'9998',59.74,1,3,NULL),(25,6099750,'1993-01-14 00:00:00',4,8,11,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124244241215111321359934575124610167017',3132,'1016',63.20,1,3,NULL),(25,6099769,'1990-01-21 00:00:00',4,1,12,2007,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251216572411669911495122610167054',NULL,'9998',0.00,1,3,NULL),(25,6099777,'1993-04-02 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117371431415311272124610128182',NULL,'285',6.17,1,3,NULL),(25,6099785,'1993-04-21 00:00:00',2,7,12,2010,'F','N','SANTO ANTÔNIO','CONCÓRDIA','SC','124241241115371411426633394124610164057',16329,'194',36.09,1,2,1),(25,6099793,'1992-04-20 00:00:00',2,1,12,2009,'F','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124241248127341431523339392124610134147',NULL,'278',16.60,1,3,NULL),(25,6099807,'1993-11-03 00:00:00',4,2,12,2010,'M','N','BELA VISTA','GASPAR','SC','124241241117371431447833575124610134052',7437,'69',53.57,4,2,1),(25,6099815,'1989-01-05 00:00:00',4,10,12,2006,'F','N','CENTRO','BRAÇO NORTE','SC','124204201217371431468914444124142446182',NULL,'9998',0.00,1,3,NULL),(25,6099823,'1986-06-06 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217155751648819345125330633097',21112,'1022',30.59,1,3,NULL),(25,6099858,'1992-12-13 00:00:00',4,1,12,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241248117151431326623575124610167145',7165,'306',54.91,1,2,1),(25,6099866,'1985-12-20 00:00:00',4,5,11,2003,'M','N','CENTRO','CRICIÚMA','SC','124242241235372431458832444122330724182',2023,'210',69.18,1,3,NULL),(25,6099874,'1986-04-08 00:00:00',2,1,12,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124204201116575731467913385123233247047',14509,'9998',44.44,1,3,NULL),(25,6099882,'1989-12-13 00:00:00',2,7,12,2006,'F','N','CENTRO','MARCELINO RAMOS','RS','116201241216575441446613575125121462172',1940,'446',67.79,4,3,NULL),(25,6099890,'1993-07-10 00:00:00',2,2,12,2010,'F','N','VILA NOVA','BLUMENAU','SC','124241244117131411323619575124610167147',17345,'84',40.03,1,3,NULL),(25,6099904,'1989-06-03 00:00:00',4,1,12,2007,'M','N','CENTRO','CANOAS','RS','120071207316371431366619495112610124142',18296,'9998',38.29,1,3,NULL),(25,6099912,'1994-08-10 00:00:00',2,1,2,2011,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243243212111231443332275124610136012',NULL,'1048',0.00,1,3,NULL),(25,6099920,'1991-07-17 00:00:00',4,8,12,2008,'F','N','CENTRO','MARINGÁ','PR','116162164216521432438814575124610114017',6343,'9998',54.58,3,3,NULL),(25,6099939,'1995-03-16 00:00:00',4,4,12,2011,'M','S','ZONA RURAL','OURO VERDE','SC','124241241216111431435935575124610166142',NULL,'836',29.05,1,3,NULL),(25,6099947,'1992-03-17 00:00:00',2,4,11,2009,'F','N','MENINO DEUS','PATO BRANCO','PR','216162161216272441449313472125140156177',9417,'9998',47.22,1,3,NULL),(25,6099955,'1988-09-23 00:00:00',2,1,12,2005,'F','N','CENTRO','STA MARIA','RS','120201201217572751458933576125610166017',579,'9998',76.40,1,3,NULL),(25,6099963,'1989-12-26 00:00:00',4,1,12,2007,'F','N','LIBERDADE','S PAULO','SP','125252251215572431348811572125610135077',2692,'9998',64.56,1,3,NULL),(25,6099998,'1992-08-24 00:00:00',2,7,12,2010,'F','N','MARAFON','VIDEIRA','SC','124241248136141431115544145125610127057',NULL,'831',21.21,1,2,1),(25,6100007,'1992-09-12 00:00:00',4,8,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','116164168415411411438614574114610146187',4751,'9998',58.42,1,3,NULL),(25,6100015,'1993-11-04 00:00:00',4,1,12,2010,'M','N','BONSUCESSO','PNT GROSSA','PR','116162161215371431383632125122610167052',NULL,'9998',0.00,1,3,NULL),(25,6100031,'1993-09-12 00:00:00',4,15,12,2010,'F','N','CENTRO','TORRES','RS','120202201216111231426931275122610163017',20352,'9998',33.56,1,3,NULL),(25,6100040,'1995-03-21 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241217111531628632575112610167052',19333,'868',36.20,1,3,NULL),(25,6100058,'1991-12-30 00:00:00',4,5,11,2009,'F','N','ESPERANÇA','ERECHIM','RS','120202201216471431456933395124610124072',17080,'9998',40.49,1,3,NULL),(25,6100066,'1990-08-29 00:00:00',4,1,11,2009,'M','N','BOQUEIRÃO','SANTOS','SP','125254251412472431326619575121610117047',7628,'9998',51.57,1,3,NULL),(25,6100074,'1982-03-11 00:00:00',2,1,12,1999,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124251251123152741134449295124321966187',NULL,'9998',0.00,4,3,NULL),(25,6100082,'1994-07-27 00:00:00',2,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215111231554632572122610143145',11982,'270',48.18,1,3,NULL),(25,6100090,'1992-12-01 00:00:00',2,17,12,2010,'F','N','SÃO PEDRO','PTO UNIÃO','SC','124164161215271731435811175124610114017',15300,'9998',37.54,3,3,NULL),(25,6100104,'1992-08-22 00:00:00',2,1,12,2010,'F','N','ALTO ARIRIÚ','PALHOÇA','SC','124243246117151431454414576124610164192',11190,'306',45.58,1,3,NULL),(25,6100112,'1991-11-13 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','120202201217471431458811571124610113092',3689,'9998',61.31,1,3,NULL),(25,6100120,'1994-02-14 00:00:00',2,15,12,2010,'F','N','FURNAS','SOMBRIO','SC','124241241116371431423311572112610132012',12667,'1033',42.88,1,2,1),(25,6100139,'1992-06-18 00:00:00',4,1,12,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124242241117471331423514575124610127042',16872,'734',38.46,1,3,NULL),(25,6100155,'1993-06-07 00:00:00',4,16,12,2010,'F','N','N SENHORA APARECIDA','CURITIBANOS','SC','124241241115371731436614582122610127145',18989,'239',36.95,1,2,1),(25,6100163,'1991-03-01 00:00:00',2,1,12,2008,'F','N','CARNIEL','GRAMADO','RS','120201208136472431346629595124610132092',14751,'9998',38.95,1,2,1),(25,6100171,'1992-02-15 00:00:00',4,8,12,2010,'F','N','LINDÓIA','CURITIBA','PR','116162163117371431349923575124610167053',3787,'9998',61.53,1,3,NULL),(25,6100180,'1992-12-22 00:00:00',4,1,12,2010,'M','N','FAZENDA BELEM','FRANCO ROCHA','SP','125252251415111531358831475125610167122',NULL,'9998',0.00,1,3,NULL),(25,6100198,'1994-05-20 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124241241137161731536634285124610137181',NULL,'734',18.14,4,2,1),(25,6100201,'1992-07-01 00:00:00',4,1,12,2009,'F','N','VIGILATO PEREIRA','UBERLÂNDIA','MG','113132131216152411458612345122242064012',6429,'9998',53.29,1,3,NULL),(25,6100210,'1992-07-18 00:00:00',2,1,12,2009,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241145371731325629286244610123142',14603,'592',44.29,1,2,1),(25,6100228,'1976-10-09 00:00:00',4,1,12,1993,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224161243326373711246543135132320644143',5181,'257',60.46,1,3,NULL),(25,6100236,'1992-02-18 00:00:00',2,8,12,2010,'F','N','SANTA CATARINA','JOINVILLE','SC','124241241215121411458613575112610126112',NULL,'1016',28.87,4,1,2),(25,6100244,'1992-12-19 00:00:00',2,5,12,2010,'F','N','NOSSA SENHORA DA SAL','CRICIÚMA','SC','124242241215111431334432572122610133077',13772,'210',41.30,1,3,NULL),(25,6100252,'1987-09-09 00:00:00',2,1,12,2005,'F','N','BOA VISTA','CURITIBA','PR','116161161117131731546411175124243224183',8109,'9998',54.68,4,2,1),(25,6100260,'1992-07-21 00:00:00',4,1,11,2010,'M','N','BUENO','GOIÂNIA','GO','109092091215111411369922424122610134013',10303,'9998',50.81,1,3,NULL),(25,6100279,'1993-05-31 00:00:00',4,1,12,2010,'F','N','ENSEADA DO BRITO','PALHOÇA','SC','124242241215111431423663575124610117141',NULL,'989',27.02,1,3,NULL),(25,6100287,'1989-12-15 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','224161165117271731236659595114610164197',15264,'9998',43.31,1,2,1),(25,6100295,'1993-08-15 00:00:00',4,16,12,2010,'M','N','VILA NOVA','PTE ALTA','SC','124241242115121431526634395124610137053',NULL,'960',31.14,4,2,1),(25,6100309,'1993-01-25 00:00:00',4,4,11,2009,'F','N','CENTRO','MARIÓPOLIS','PR','116163161216472411343931574124610147142',1574,'9998',69.24,1,3,NULL),(25,6100317,'1991-11-04 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241226474441558313275224222846092',2746,'524',63.98,1,3,NULL),(25,6100325,'1984-06-27 00:00:00',4,1,12,2001,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241412352431569913472122322622077',927,'270',73.15,1,3,NULL),(25,6100341,'1992-05-18 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241215472431437411575124222347147',8821,'737',51.15,1,3,NULL),(25,6100376,'1992-11-27 00:00:00',4,1,12,2010,'M','N','VILA OCIDENTAL','PRES PRUDENTE','SP','125252251216111531638634475112610137042',NULL,'9998',0.00,3,3,NULL),(25,6100384,'1992-10-16 00:00:00',2,17,12,2009,'F','N','SANTANA','GUARAPUAVA','PR','116161161216471431436937575122610125041',14137,'9998',39.64,1,3,NULL),(25,6100406,'1992-01-28 00:00:00',4,3,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161215511431468931575122610124047',1185,'9998',72.67,1,3,NULL),(25,6100414,'1992-04-08 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241114111431238732375124233247045',15719,'51',36.55,1,2,1),(25,6100422,'1993-07-20 00:00:00',4,4,12,2010,'F','N','GUARANI','XAXIM','SC','124241241117131431423434575112610153176',NULL,'847',17.93,1,2,1),(25,6100430,'1992-11-22 00:00:00',2,8,12,2010,'F','N','IRIRIÚ','JOINVILLE','SC','124241248217131731416628175124610123147',10054,'1105',45.95,1,3,NULL),(25,6100449,'1994-03-10 00:00:00',4,4,12,2010,'M','N','CENTRO','S JOÃO','PR','116162161216151431348912575122610167047',NULL,'9998',0.00,1,3,NULL),(25,6100457,'1992-05-21 00:00:00',4,9,12,2009,'F','N','CONTA DINHEIRO','LAGES','SC','124242242116572431159934575125231434092',2945,'662',64.91,1,3,NULL),(25,6100465,'1990-01-25 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242161217111431479811472122610127122',14970,'9998',43.74,1,3,NULL),(25,6100473,'1992-05-19 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201201215471741424415561124610117052',62,'9998',84.43,1,3,NULL),(25,6100481,'1993-10-28 00:00:00',4,4,12,2010,'M','N','CENTRO','QUILOMBO','SC','124243241345271231326332372122610137047',19429,'648',35.97,4,3,NULL),(25,6100490,'1993-12-02 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241225371431427724575124610123142',7071,'262',53.64,1,3,NULL),(25,6100503,'1990-10-09 00:00:00',2,15,12,2008,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241216573231457413595112121447042',4667,'970',60.15,1,3,NULL),(25,6100520,'1992-03-18 00:00:00',4,4,12,2008,'F','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124242161214272411449931572122232462172',3539,'9998',64.46,1,3,NULL),(25,6100538,'1993-10-19 00:00:00',2,10,12,2010,'M','N','CENTRO','JAGUARUNA','SC','124241241117471431446814572124610167142',6990,'1034',55.52,1,2,1),(25,6100546,'1990-07-27 00:00:00',4,1,12,2007,'F','N','CAIEIRADABARRADO SUL','FLORIANÓPOLIS','SC','124241241147271411447413241224610131117',21273,'278',29.62,1,2,1),(25,6100554,'1989-02-21 00:00:00',2,1,12,2006,'M','N','ZONA SETE','MARINGÁ','PR','116161161116572431433712275122610124147',2638,'9998',66.45,1,2,1),(25,6100562,'1993-03-27 00:00:00',4,1,12,2010,'M','N','CENTRO','ITAUÇU','GO','109092091217111431558832571222610137047',1115,'9998',71.82,1,3,NULL),(25,6100570,'1994-11-10 00:00:00',5,4,12,2011,'M','S','CENTRO','CHAPECÓ','SC','124241248117171551323366575115610156177',NULL,'169',34.14,1,3,NULL),(25,6100589,'1993-04-16 00:00:00',4,6,12,2010,'F','N','COQUEIRAL','CASCAVEL','PR','116161161116271231233612575122610166112',12189,'9998',43.25,1,2,1),(25,6100597,'1994-08-30 00:00:00',4,2,8,2011,'F','S','VILA NOVA','BLUMENAU','SC','124242241215111531358634575122610123142',NULL,'909',0.00,1,3,NULL),(25,6100600,'1992-01-16 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473431369934574124610122091',4712,'806',59.57,1,3,NULL),(25,6100619,'1993-08-11 00:00:00',4,1,12,2010,'M','N','PACHECO','PALHOÇA','SC','124233241215322421456632595114610162192',4555,'1011',59.79,1,3,NULL),(25,6100627,'1992-02-16 00:00:00',4,4,12,2009,'M','N','JARDIM ITALIA','CHAPECÓ','SC','124243241215472731447939574122610164182',3204,'185',64.57,1,3,NULL),(25,6100635,'1990-04-13 00:00:00',2,4,12,2008,'M','N','SANTANA','ESTAÇÃO','RS','120201201126131431523334345124610163147',NULL,'9998',0.00,2,1,1),(25,6100643,'1992-01-12 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216372431548833574122610111092',9695,'270',47.57,1,3,NULL),(25,6100651,'1993-09-08 00:00:00',4,2,10,2010,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241115111431448834575122610144182',8297,'909',50.67,1,3,NULL),(25,6100660,'1992-06-29 00:00:00',4,1,12,2009,'F','N','SÃO PELEGRINO','CAXIAS SUL','RS','120202201216271431378814575124610144092',1605,'9998',68.32,1,3,NULL),(25,6100678,'1993-11-14 00:00:00',4,9,11,2010,'F','N','FREI ROGERIO','LAGES','SC','124242241215111431369712572122610114182',2451,'497',66.20,1,3,NULL),(25,6100686,'1990-01-22 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216374431247923445122230222092',NULL,'1022',0.00,1,3,NULL),(25,6100694,'1967-07-30 00:00:00',2,1,12,1990,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241247127142711353343232133610166067',16451,'9999',41.46,2,1,1),(25,6100708,'1991-12-31 00:00:00',4,1,12,2008,'M','N','VILA FERRAZ','CAMPOS JORDÃO','SP','125254241435571751229923576225610162187',925,'969',72.90,1,3,NULL),(25,6100716,'1992-11-22 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241246117371431426319376124610162012',1894,'306',67.93,1,2,1),(25,6100724,'1992-12-18 00:00:00',4,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','116242161215111432439923572345610133057',5932,'9998',56.49,1,3,NULL),(25,6100732,'1994-02-01 00:00:00',2,1,12,2010,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241217122431436832575122610116187',12101,'270',47.99,4,3,NULL),(25,6100740,'1993-03-19 00:00:00',4,1,12,2009,'F','N','CENTRO','SEGREDO','RS','120201201117371431434931575124610143097',11505,'9998',45.32,1,2,1),(25,6100767,'1993-02-13 00:00:00',2,4,11,2010,'M','N','SANTANA','GUARAPUAVA','PR','116161161317471731336634572125610137042',16694,'9998',35.47,4,3,NULL),(25,6100775,'1993-02-02 00:00:00',4,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124241241117271431447639572122610131017',16181,'449',35.81,1,2,1),(25,6100783,'1991-06-06 00:00:00',4,4,12,2008,'M','N','SANTA CRUZ','CASCAVEL','PR','116241241116571411546923371124610166042',1552,'740',69.52,1,2,1),(25,6100791,'1993-06-15 00:00:00',2,1,12,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124241241112371431536714372124610128147',15089,'592',38.59,1,2,1),(25,6100805,'1991-11-28 00:00:00',2,1,12,2009,'F','N','CENTRO','PIRASSUNUNGA','SP','125252251216411431469811571125610127142',NULL,'9998',0.00,1,3,NULL),(25,6100813,'1993-07-29 00:00:00',2,7,12,2010,'M','N','CENTRO','FRAIBURGO','SC','124243241116152431558934575122610117082',11557,'317',44.52,1,3,NULL),(25,6100830,'1980-02-16 00:00:00',4,1,12,2001,'F','N','PANTANAL','FLORIANÓPOLIS','SC','624241241127133421223244246114610163077',NULL,'298',26.01,1,2,1),(25,6100856,'1991-02-14 00:00:00',4,8,12,2008,'F','N','CENTRO','MARINGÁ','PR','116162161215571411448833575122610126192',218,'9998',80.55,1,3,NULL),(25,6100864,'1973-02-24 00:00:00',2,8,12,1996,'F','N','PRADO VELHO','CURITIBA','PR','516163163626131331121173135135610142017',21487,'9998',22.37,4,1,2),(25,6100872,'1990-07-06 00:00:00',2,15,12,2008,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241248136141431323324345324610167117',NULL,'29',15.64,1,3,NULL),(25,6100899,'1991-11-11 00:00:00',4,4,12,2008,'F','N','CENTRO','CÉU AZUL','PR','116161161316132411223371594244610162142',13914,'1191',40.63,1,3,NULL),(25,6100910,'1993-02-25 00:00:00',4,1,12,2010,'M','N','STA TEREZA','VIDEIRA','SC','124241241115151431335634342122610168143',NULL,'831',0.00,4,2,1),(25,6100937,'1993-05-28 00:00:00',4,6,12,2010,'M','N','CENTRO','PENHA','SC','124241243136131431327923195124610126142',NULL,'24',21.30,1,2,1),(25,6100945,'1991-02-21 00:00:00',2,8,12,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241212572431343924585124610124142',5485,'459',57.50,1,3,NULL),(25,6100953,'1992-01-28 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124212211215471751545754572124610167141',18290,'9998',38.30,1,3,NULL),(25,6100961,'1993-06-02 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241115371431536611375124610115197',18399,'267',32.44,1,3,NULL),(25,6100970,'1993-02-24 00:00:00',4,8,12,2009,'F','N','CENTRO','GUARAPUAVA','PR','116161161216471431469933474124610152042',242,'9998',80.43,1,3,NULL),(25,6100988,'1993-02-02 00:00:00',2,1,12,2010,'F','N','NOVA SUIÇA','GOIÂNIA','GO','109092091214111431456612272125610135142',16440,'9998',35.81,1,3,NULL),(25,6100996,'1993-08-18 00:00:00',4,1,11,2010,'M','N','ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC','124242241215111431436634285124610127067',19192,'1023',33.08,4,3,NULL),(25,6101011,'1989-04-30 00:00:00',4,1,11,2007,'M','N','BELA VISTA','PALHOÇA','SC','124241241126131431323644245121610167187',NULL,'1108',0.00,1,2,1),(25,6101020,'1988-02-28 00:00:00',4,1,12,2005,'F','N','VILA ANDRADE','S PAULO','SP','125251251117471411456512445124610166097',17002,'9998',40.61,1,3,NULL),(25,6101038,'1992-09-14 00:00:00',4,8,11,2009,'M','N','JARDIM YOSHIDA','REGISTRO','SP','125252251216471431437715572125610167042',9318,'9998',48.21,1,3,NULL),(25,6101046,'1992-12-14 00:00:00',2,15,12,2009,'M','N','GIRASSOL','GRAVATAÍ','RS','120203201417372431246619575114610147182',13155,'9998',42.10,1,3,NULL),(25,6101054,'1994-08-30 00:00:00',4,1,12,2011,'M','S','CENTRO','CAÇADOR','SC','124242241215111431448632245122610117062',NULL,'120',45.53,1,3,NULL),(25,6101062,'1993-10-29 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241217111431556611415122610122012',10949,'738',46.07,1,3,NULL),(25,6101070,'1990-08-28 00:00:00',2,1,12,2007,'F','N','VILA NOVA','IMBITUBA','SC','124241241117372431525823345124610112142',NULL,'359',28.99,1,2,1),(25,6101089,'1992-08-24 00:00:00',2,4,12,2009,'F','N','COLINA VERDE','SALTO LONTRA','PR','116161161116471431534411292124610124142',16706,'9998',36.05,4,2,1),(25,6101119,'1994-01-01 00:00:00',2,15,11,2010,'F','N','GETÚLIO VARGAS','TORRES','RS','120241201217271431427639592125610164184',10159,'9998',45.86,1,3,NULL),(25,6101127,'1993-02-03 00:00:00',2,15,12,2010,'M','N','DIVINÉIA','ARARANGUÁ','SC','124241241115151431323534575121610127181',16792,'30',37.78,1,3,NULL),(25,6101135,'1993-06-02 00:00:00',4,10,11,2010,'F','N','CENTRO','TUBARÃO','SC','124242241215111731348834372122610126095',10209,'806',50.98,1,3,NULL),(25,6101143,'1992-03-21 00:00:00',4,8,12,2009,'M','N','CRISTO REI','CURITIBA','PR','116162161216472711357812575112610164052',NULL,'9998',0.00,1,3,NULL),(25,6101151,'1993-08-06 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431238923575124610127052',15907,'880',35.63,1,3,NULL),(25,6101160,'1993-07-15 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124242241215111431348812572121610137181',1778,'497',68.62,1,3,NULL),(25,6101178,'1991-12-11 00:00:00',2,15,12,2010,'F','N','SÃO LUIZ','CANOAS','RS','120201201117111731333629392324610168192',NULL,'9998',0.00,1,2,1),(25,6101186,'1986-10-11 00:00:00',4,1,12,2003,'M','N','INDIA','CANELINHA','SC','124201201127131431325341115123610135047',NULL,'9998',0.00,1,2,1),(25,6101208,'1991-01-15 00:00:00',4,1,7,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241116151731525419375112610133147',NULL,'269',10.17,1,2,1),(25,6101216,'1991-02-10 00:00:00',2,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241126131311525619295121610134047',21245,'49',29.77,1,2,1),(25,6101232,'1990-05-22 00:00:00',4,1,12,2007,'F','N','VILA NOVO HORIZONTE','GOIÂNIA','GO','109092091215571431325514172124610162177',6331,'9998',55.40,1,3,NULL),(25,6101240,'1993-01-02 00:00:00',4,8,12,2010,'M','N','MORRO GRANDE','S FRANCISCO SUL','SC','124241241227141431536513335121610122112',NULL,'459',22.31,4,3,NULL),(25,6101259,'1993-08-02 00:00:00',2,3,12,2010,'F','N','ESTALEIRINHO','BAL CAMBORIÚ','SC','124243243117111431428714495122610128152',9341,'129',49.45,1,3,NULL),(25,6101275,'1993-07-24 00:00:00',4,8,11,2010,'M','N','GLÓRIA','JOINVILLE','SC','124242241217371731479914575112610164127',798,'1063',74.63,1,3,NULL),(25,6101283,'1991-11-21 00:00:00',4,17,1,2010,'M','N','CAMPO DA ÁGUA VERDE','CANOINHAS','SC','124244241417111531446836275122610127143',NULL,'1105',26.74,4,3,NULL),(25,6101291,'1989-11-16 00:00:00',4,6,12,2007,'M','N','ITAIPAVA','ITAJAÍ','SC','124241241321574711323414371221610165177',353,'388',77.97,1,3,NULL),(25,6101305,'1991-11-11 00:00:00',4,6,11,2009,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241215372411345532575112610117047',NULL,'1026',10.95,1,3,NULL),(25,6101313,'1979-07-11 00:00:00',2,1,12,1996,'F','N','N SRA PERPETUO SOCOR','STA MARIA','RS','120204201116371421126344445134610127147',NULL,'9998',23.56,1,3,NULL),(25,6101321,'1984-06-02 00:00:00',2,1,9,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','224242247147151411227954445224610161187',NULL,'9999',34.07,1,3,NULL),(25,6101330,'1993-12-16 00:00:00',4,1,12,2010,'M','N','JARDIN SAN FERNANDO','LONDRINA','PR','116163161215111431448712572122610134122',NULL,'9998',42.69,1,3,NULL),(25,6101348,'1993-01-06 00:00:00',2,1,12,2010,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242241215111421636612372124610168042',17677,'1023',39.44,1,3,NULL),(25,6101380,'1993-11-16 00:00:00',4,1,12,2011,'M','S','PANAMBI','STA BÁRBARA D OESTE','SP','125252251215111432436637225124610167042',NULL,'9998',27.88,1,3,NULL),(25,6101399,'1991-08-10 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161161117271431323344445114610122177',NULL,'9998',27.88,4,2,1),(25,6101402,'1991-04-16 00:00:00',2,1,12,2008,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241215374421347714475124131217112',6941,'1022',55.10,1,3,NULL),(25,6101410,'1993-04-16 00:00:00',4,1,11,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124202241217111531459813572114610127072',11342,'270',47.59,1,3,NULL),(25,6101429,'1993-10-07 00:00:00',4,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111731348815575124610125142',NULL,'737',0.00,1,3,NULL),(25,6101437,'1993-04-14 00:00:00',2,1,12,2010,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124244241411111421334419172124610163192',20136,'1022',34.22,1,3,NULL),(25,6101461,'1991-02-22 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216112431446814575122231036142',18198,'270',38.47,1,3,NULL),(25,6101470,'1993-08-05 00:00:00',4,8,12,2010,'F','N','VILA NOVA','JARAGUÁ SUL','SC','124241241137141431445514245122610138147',NULL,'438',15.55,1,3,NULL),(25,6101488,'1993-04-11 00:00:00',2,9,12,2010,'M','N','NOVA PETRÓPOLIS','LAGES','SC','124241241415131331228624575114610164042',19540,'515',35.71,1,3,NULL),(25,6101496,'1993-09-14 00:00:00',4,1,12,2010,'M','N','SANTA MARIA','UBERABA','MG','113092131217111411227724575124610164172',14599,'9998',44.30,1,3,NULL),(25,6101500,'1990-07-30 00:00:00',4,8,12,2007,'F','N','JARDIM MILANE','APUCARANA','PR','116162161216571431358613174122610118197',393,'9998',78.29,1,3,NULL),(25,6101518,'1990-10-16 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161216572451458611575115610122042',3089,'9998',62.15,1,3,NULL),(25,6101526,'1990-11-01 00:00:00',4,8,12,2008,'M','N','BELA VISTA','RIO NEGRINHO','SC','124245241515271431559911393114130367041',8891,'666',50.01,1,3,NULL),(25,6101534,'1977-04-26 00:00:00',4,1,3,2001,'M','N','RECANTO CAMPO BELO','S PAULO','SP','225243247316151411237353285222141462012',NULL,'9999',0.00,1,3,NULL),(25,6101542,'1993-08-26 00:00:00',4,9,11,2011,'M','S','SÃO CRISTOVÃO','LAGES','SC','124242241217111331468934572121610122042',NULL,'1106',31.24,1,3,NULL),(25,6101550,'1992-03-17 00:00:00',4,1,12,2009,'M','N','CHACARA DA LAGOA','ITAPECERICA SERRA','SP','125252251117471441469611575125610164046',7768,'9998',52.64,1,3,NULL),(25,6101569,'1990-09-15 00:00:00',4,1,12,2007,'M','N','JUSSARA','INHUMAS','GO','109091091217572431638819592324610164092',1156,'9998',70.95,4,3,NULL),(25,6101577,'1983-06-26 00:00:00',2,1,12,2000,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241241137231132333354445124610167053',NULL,'521',0.00,2,1,1),(25,6101585,'1992-09-30 00:00:00',4,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241215372231459911372124233267042',3338,'723',64.95,1,3,NULL),(25,6101593,'1988-03-28 00:00:00',2,8,11,2006,'M','N','JARDIM SOFIA','JOINVILLE','SC','124254251216573731343821575125231428182',11926,'9997',46.02,1,3,NULL),(25,6101607,'1988-10-12 00:00:00',2,1,12,2006,'F','N','KOBRASOL','S JOSÉ','SC','124243241316575451335724575124232464011',5192,'270',57.23,1,3,NULL),(25,6101615,'1991-12-27 00:00:00',2,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241116273431326612575124610123142',15656,'949',37.19,1,3,NULL),(25,6101623,'1991-09-19 00:00:00',2,1,12,2009,'F','N','MORUMBI','PARANAVAÍ','PR','116161161116151431523531572122610166012',NULL,'9998',22.07,3,2,1),(25,6101631,'1992-03-22 00:00:00',2,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124161163116131431326314385124610161172',16137,'9998',36.85,1,3,NULL),(25,6101658,'1983-10-04 00:00:00',2,8,12,2000,'F','N','CENTRO','CPO LARGO','PR','116132171215512421558533574114343222182',1718,'9998',70.36,5,3,NULL),(25,6101682,'1993-09-07 00:00:00',4,5,12,2010,'F','N','LINHA FERREIRA PONTE','COCAL SUL','SC','124241241117141441423411312224610136077',6784,'189',57.14,1,2,1),(25,6101690,'1978-08-25 00:00:00',4,1,12,1995,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216272431119926494121622464097',7500,'269',55.79,1,3,NULL),(25,6101704,'1992-10-08 00:00:00',3,8,11,2010,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215371411487812575111610126182',6249,'1063',58.22,1,3,NULL),(25,6101712,'1993-07-26 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241315151431448933575114610165097',NULL,'267',0.00,1,3,NULL),(25,6101720,'1992-12-02 00:00:00',2,1,12,2009,'F','N','AFONSO PENA','S JOSÉ PINHAIS','PR','116163161211471751654821575122610141172',NULL,'9998',0.00,1,3,NULL),(25,6101739,'1992-03-08 00:00:00',4,17,12,2009,'F','N','CENTRO','IRINEÓPOLIS','SC','124241241215411431439613475124610164181',5749,'632',57.89,1,3,NULL),(25,6101747,'1991-09-12 00:00:00',4,1,12,2009,'M','N','HUMAITA','TUBARÃO','SC','124242241217472431547811375122610161142',5719,'807',59.32,1,3,NULL),(25,6101755,'1990-07-17 00:00:00',4,8,12,2007,'M','N','PRINCIPAL','PLANALTO','PR','116161161115471441543935515224610145097',1320,'9998',70.92,4,2,1),(25,6101771,'1986-12-23 00:00:00',4,1,12,2003,'M','N','VILA IPIRANGA','PTO ALEGRE','RS','120202201217471431469813345124242227013',1235,'9998',71.63,1,3,NULL),(25,6101780,'1993-05-12 00:00:00',2,1,12,2010,'M','N','OESTE','GOIÂNIA','GO','109091091435111431333636572324610162097',12864,'9998',42.47,4,3,NULL),(25,6101798,'1993-07-25 00:00:00',4,8,12,2009,'M','N','CENTRO','ITAPEVA','SP','125252251215313431576813571122141467056',2431,'9998',65.38,1,3,NULL),(25,6101801,'1992-04-26 00:00:00',4,1,12,2009,'M','N','CAMINHO DO SOL','PETROLINA','PE','125172251235472431266636595125610147047',2697,'9998',65.65,3,3,NULL),(25,6101810,'1992-04-27 00:00:00',4,1,6,2010,'M','N','APARECIDA','SANTOS','SP','125252257137471431448813575124610162057',4846,'9998',57.55,3,3,NULL),(25,6101828,'1990-08-27 00:00:00',4,8,12,2007,'M','N','VILA MARIANA','S PAULO','SP','116162161216572742457634445125610121182',3973,'9998',60.60,3,3,NULL),(25,6101844,'1992-09-02 00:00:00',4,1,12,2010,'M','N','CENTRO','IBITINGA','SP','117174174235334631473838255112121734175',4843,'9998',61.23,1,3,NULL),(25,6101852,'1952-11-14 00:00:00',4,1,5,1974,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','224212217626152431453349395114610117067',15972,'9998',38.38,2,1,2),(25,6101860,'1990-10-20 00:00:00',4,1,12,2008,'F','N','JARDIM DAS PAINEIRAS','S SEBASTIÃO PARAÍSO','MG','113132131217571331559931474122610127097',11425,'9998',49.01,1,3,NULL),(25,6101879,'1992-09-04 00:00:00',4,8,12,2009,'F','N','CENTRO','APUCARANA','PR','116162161216471431338811575112610127077',1754,'9998',68.19,1,3,NULL),(25,6101909,'1989-07-27 00:00:00',5,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161117161132338823435114610127044',NULL,'9998',17.28,1,3,NULL),(25,6101917,'1991-06-28 00:00:00',4,4,12,2008,'F','N','MENINO DEUS','CATANDUVAS','PR','116163161217572431436614572124610136177',1173,'9998',71.31,1,3,NULL),(25,6101925,'1994-01-25 00:00:00',2,1,12,2010,'M','N','BOA VISTA','CURITIBA','PR','116162161215111431468614575124610162187',9869,'9998',46.80,1,3,NULL),(25,6101933,'1978-08-23 00:00:00',4,1,11,1995,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224202201216374711228941315122422617067',2182,'9998',68.63,1,3,NULL),(25,6101941,'1994-03-07 00:00:00',4,3,12,2010,'F','N','CENTRO','PARANAVAÍ','PR','116162161217371431348612572112610134142',8477,'9998',54.00,1,3,NULL),(25,6101950,'1993-09-21 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215151431458813572122610164143',20036,'737',32.25,1,3,NULL),(25,6101968,'1992-07-21 00:00:00',4,8,11,2009,'M','N','CENTRO','CURITIBA','PR','116162161216471431458814372125610111092',NULL,'9998',0.00,1,3,NULL),(25,6101976,'1986-06-03 00:00:00',2,1,12,2003,'F','N','REAL PARK','S JOSÉ','SC','124241241112132131524624211324130224147',NULL,'734',0.00,2,1,1),(25,6101984,'1991-11-22 00:00:00',2,1,12,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124242241215473211479613574112610112052',9505,'1175',52.21,1,3,NULL),(25,6101992,'1989-05-23 00:00:00',4,8,12,2006,'M','N','CAJURU','CURITIBA','PR','116164161416571411446639395124141466177',2150,'9998',68.20,3,3,NULL),(25,6102000,'1993-03-28 00:00:00',4,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215121431479932594122610167181',178,'270',81.50,1,3,NULL),(25,6102018,'1958-02-07 00:00:00',5,1,12,1979,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224161161126151411333343235113340247047',17327,'9998',40.05,1,3,NULL),(25,6102034,'1993-05-22 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124241241114372231444612575122610163142',6903,'169',54.18,1,2,1),(25,6102042,'1992-02-07 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','120242241217472751489931575114610164122',66,'213',84.84,1,3,NULL),(25,6102050,'1993-06-23 00:00:00',4,8,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124241241136371431323319215121610166057',9791,'430',49.16,1,2,1),(25,6102069,'1992-06-22 00:00:00',4,3,11,2009,'F','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162161316472751448731372122610164017',180,'9998',81.44,1,3,NULL),(25,6102077,'1989-04-24 00:00:00',2,7,12,2008,'M','N','CENTRO','ÁGUA DOCE','SC','124241242115272431426311451112610167057',19323,'8',36.22,1,3,NULL),(25,6102085,'1987-04-26 00:00:00',2,10,11,2004,'F','N','MAGALHÃES','LAGUNA','SC','124244241215473431458934445122321562187',125,'807',82.30,1,3,NULL),(25,6102093,'1993-02-27 00:00:00',4,8,12,2010,'M','N','SAGUAÇÚ','JOINVILLE','SC','124242241215111331459813575112610167052',3686,'457',62.14,1,3,NULL),(25,6102123,'1992-05-03 00:00:00',4,8,12,2009,'F','N','VILA INDUSTRIAL','TOLEDO','PR','116162161216412431234923572114610144012',1732,'9998',70.30,1,3,NULL),(25,6102131,'1993-06-13 00:00:00',4,2,12,2010,'F','N','SETE DE SETEMBRO','GASPAR','SC','124242241215111731546924575124610162092',4204,'87',60.83,1,3,NULL),(25,6102140,'1992-06-25 00:00:00',4,1,11,2009,'F','N','CENTRO','RIO VERDE','GO','125092091211471431458811575122610164092',NULL,'9998',0.00,1,3,NULL),(25,6102158,'1993-05-09 00:00:00',4,15,12,2010,'F','N','DIVINÉIA','ARARANGUÁ','SC','124241241122141731518319195121610123057',NULL,'29',14.38,1,2,1),(25,6102174,'1993-08-15 00:00:00',4,4,11,2010,'F','N','JARDIM EUROPA','ASSIS CHATEAUBRIAND','PR','116162161215111431336612572122610164092',4349,'9998',59.21,1,3,NULL),(25,6102182,'1989-12-31 00:00:00',4,1,12,2006,'M','N','SÃO MIGUEL','CONCÓRDIA','SC','124243241115575421456619272215610167057',1651,'192',70.66,1,3,NULL),(25,6102190,'1991-12-04 00:00:00',2,9,12,2008,'F','N','PROGRESSO','POUSO REDONDO','SC','124244241411574411438912575112610164172',8157,'991',51.34,1,3,NULL),(25,6102204,'1992-12-12 00:00:00',2,4,11,2009,'F','N','MENINO DEUS','PTO ALEGRE','RS','120242241216472431565312575124610127142',8177,'44',51.86,1,3,NULL),(25,6102212,'1989-07-23 00:00:00',4,4,12,2006,'M','N','CENTRO','FORMOSA OESTE','PR','116164161215571431346832571112610117042',NULL,'9998',0.00,1,3,NULL),(25,6102220,'1986-11-26 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124252251217571412146843432112143212093',12152,'9998',44.19,1,3,NULL),(25,6102239,'1994-03-05 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215371431458813572124610162092',1404,'737',71.76,1,3,NULL),(25,6102247,'1993-08-30 00:00:00',4,1,12,2010,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215111431366923572124610167045',18125,'951',34.38,1,3,NULL),(25,6102255,'1991-06-21 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124241241116372432437433492115610128042',NULL,'732',24.63,2,1,1),(25,6102263,'1993-10-15 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241115131431424823575124610127107',11360,'267',46.65,1,3,NULL),(25,6102280,'1993-06-13 00:00:00',2,1,12,2010,'F','N','CATAGUÁ','TAUBATÉ','SP','125252251235111441468813575122610163014',9446,'9998',47.35,4,3,NULL),(25,6102298,'1991-06-08 00:00:00',4,10,11,2008,'M','N','NOVA BRASÍLIA','IMBITUBA','SC','124241241116151431336612375123610162017',NULL,'359',16.03,1,2,1),(25,6102301,'1991-04-26 00:00:00',4,2,12,2008,'F','N','PANAMBY','S PAULO','SP','125252251217271331488812575122141062121',NULL,'9998',0.00,1,3,NULL),(25,6102310,'1991-08-05 00:00:00',4,10,12,2008,'F','N','CENTRO','BRAÇO NORTE','SC','124241241116133431349933375124232422147',5801,'100',59.17,1,2,1),(25,6102328,'1992-10-09 00:00:00',2,4,12,2009,'F','N','SÃO JOSÉ','REALEZA','PR','116162161316471411339834572124610164037',6347,'9998',55.64,1,3,NULL),(25,6102336,'1971-12-08 00:00:00',2,1,12,1989,'M','N','SERRARIA','S JOSÉ','SC','224241241126131721433443235124433214042',NULL,'712',21.68,1,2,1),(25,6102344,'1992-04-30 00:00:00',2,1,12,2009,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241115242421324113292124610137042',12200,'307',43.62,1,2,1),(25,6102352,'1993-03-17 00:00:00',4,2,11,2010,'F','N','CENTRO','S JOÃO BATISTA','SC','124244241217372731238923575122610165142',3199,'1042',64.04,1,3,NULL),(25,6102360,'1989-05-01 00:00:00',2,1,7,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241247227372411126444146334610154183',NULL,'1076',47.26,1,3,NULL),(25,6102387,'1978-11-05 00:00:00',4,1,9,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','624241247126472431233344242123610167047',13554,'306',44.34,1,2,1),(25,6102409,'1992-09-19 00:00:00',2,8,11,2010,'F','N','REBOUÇAS','CURITIBA','PR','116252161216111431333611575124610137097',17870,'9998',39.09,1,3,NULL),(25,6102417,'1993-04-30 00:00:00',4,4,12,2010,'M','N','PARQUE DAS PALMEIRAS','CHAPECÓ','SC','124241241215271431346934175124610167032',NULL,'1094',0.00,1,3,NULL),(25,6102425,'1993-03-02 00:00:00',2,1,11,2010,'F','N','CENTRO','PALMAS','TO','127272271217211211478811415122610112123',16094,'9998',35.43,1,3,NULL),(25,6102433,'1992-11-22 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469913576112610126172',4462,'270',61.93,1,3,NULL),(25,6102441,'1990-08-11 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215372431478913575122121427042',107,'1022',83.21,1,3,NULL),(25,6102450,'1993-06-04 00:00:00',4,4,12,2010,'M','N','ZONA VII','UMUARAMA','PR','116164161215111431446933575112610137072',7336,'9998',51.72,1,3,NULL),(25,6102468,'1993-02-10 00:00:00',4,10,11,2010,'F','N','CENTRO','ARMAZÉM','SC','124243241217111431466833574124610134012',5477,'809',57.44,1,3,NULL),(25,6102476,'1993-04-18 00:00:00',4,1,11,2010,'F','N','CALHAU','S LUÍS','MA','110102101216111431468812575122610123142',NULL,'9998',0.00,1,3,NULL),(25,6102484,'1993-01-05 00:00:00',4,10,11,2010,'M','N','CENTRO','TUBARÃO','SC','124242241217111431468812345125610137052',14902,'797',38.68,1,3,NULL),(25,6102492,'1993-02-27 00:00:00',4,1,12,2010,'F','N','ASA SUL','BRASÍLIA','DF','107252071217111531559613585122610145093',553,'9998',76.43,1,3,NULL),(25,6102506,'1993-10-13 00:00:00',4,1,12,2010,'F','N','UNIVERSITÁRIO','LONDRINA','PR','116162161217111451436814575122610137142',16556,'9998',41.31,1,3,NULL),(25,6102514,'1993-10-15 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248216112411338832375122610143052',5249,'1050',57.48,1,3,NULL),(25,6102522,'1991-05-16 00:00:00',4,1,11,2008,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241211373711179934572112130267047',12802,'1048',44.82,1,3,NULL),(25,6102530,'1993-11-24 00:00:00',4,8,10,2010,'F','N','GLÓRIA','JOINVILLE','SC','124242241215111431469714575112610134192',5484,'1063',59.79,1,3,NULL),(25,6102549,'1992-10-24 00:00:00',2,17,12,2010,'F','N','CAMPO DA AGUA VERDE','CANOINHAS','SC','124241241115271731423624285124610121187',NULL,'146',19.01,1,2,1),(25,6102557,'1993-04-04 00:00:00',4,1,11,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215121431458619475124610123012',11693,'270',44.12,1,3,NULL),(25,6102565,'1991-04-26 00:00:00',4,1,12,2008,'F','N','JARDIM SANTANA','FRANCA','SP','125254251217572411448813575122610126097',2229,'9998',65.32,1,3,NULL),(25,6102573,'1992-06-08 00:00:00',4,1,6,2010,'M','N','SERRARIA','S JOSÉ','SC','124242247215371431428711571114610167061',18347,'270',38.20,5,3,NULL),(25,6102581,'1990-08-30 00:00:00',2,8,12,2007,'F','N','CENTRO','ESPIGÃO AT IGUAÇU','PR','116161161416572431333335571122610164177',1864,'9998',69.81,1,3,NULL),(25,6102603,'1990-04-28 00:00:00',2,8,12,2007,'M','N','CENTRO','IRATI','PR','116161161134471431535334595124143233017',7899,'9998',50.78,1,2,1),(25,6102611,'1981-12-11 00:00:00',4,1,12,2000,'F','N','MOEMA','S PAULO','SP','125252241236574411666623371114142523021',19697,'262',35.37,1,3,NULL),(25,6102620,'1994-02-14 00:00:00',4,1,12,2010,'F','N','ARMAÇÃO','PENHA','SC','124244241217151431356833275124610134172',10431,'1031',45.36,1,3,NULL),(25,6102638,'1993-05-22 00:00:00',4,2,11,2011,'F','S','VILA NOVA','BLUMENAU','SC','124243248415111752355412572124610138142',NULL,'855',27.80,1,3,NULL),(25,6102646,'1992-07-15 00:00:00',4,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241236372411436627445122610127092',19752,'1118',32.04,1,3,NULL),(25,6102654,'1987-04-06 00:00:00',4,6,12,2005,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124242241416472431338823375124133261117',6807,'9997',54.08,1,3,NULL),(25,6102662,'1993-02-28 00:00:00',2,9,12,2009,'F','N','POPULAR','LAGES','SC','124243241216472441457923575122231033147',18066,'1146',38.71,4,3,NULL),(25,6102670,'1993-08-02 00:00:00',4,1,12,2010,'F','N','BOQUEIRÃO','CURITIBA','PR','116162161216111431368933385122610166096',NULL,'9998',0.00,1,3,NULL),(25,6102689,'1992-03-27 00:00:00',2,8,12,2009,'M','N','TRIANON','GUARAPUAVA','PR','116163161336472431359933475114610148187',12794,'9998',42.23,4,3,NULL),(25,6102697,'1991-12-31 00:00:00',4,1,12,2008,'M','N','CAJURU','CURITIBA','PR','116161161116371411336979341114610166147',19094,'9998',29.69,4,2,1),(25,6102719,'1989-09-19 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373431348934375124123221097',1249,'392',72.61,1,3,NULL),(25,6102735,'1993-02-15 00:00:00',4,8,12,2010,'M','N','JD VALE DAS PEROBAS','ARAPONGAS','PR','116162161216111431469934575322610162052',NULL,'9998',38.31,1,3,NULL),(25,6102743,'1990-09-28 00:00:00',2,1,12,2007,'F','N','ZONA SETE','MARINGÁ','PR','116161161217572431458714275125141526147',2510,'9998',65.75,1,3,NULL),(25,6102751,'1988-07-10 00:00:00',4,8,7,2006,'M','N','VILA CUBATÃO','JOINVILLE','SC','124243241236372411388945445112610162183',NULL,'487',0.00,1,3,NULL),(25,6102760,'1991-11-14 00:00:00',4,3,12,2008,'M','N','CENTRO','CAMPOS NOVOS','SC','124242201215272411458914575124131437052',NULL,'9998',43.75,1,3,NULL),(25,6102778,'1992-03-16 00:00:00',4,1,12,2009,'F','N','PARIGOT DE SOUZA','MARINGÁ','PR','116162161217471431443932174122610131197',1076,'9998',72.52,1,3,NULL),(25,6102786,'1991-05-04 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161214572431466833572112610167077',1044,'9998',72.22,1,3,NULL),(25,6102794,'1994-01-27 00:00:00',4,17,11,2010,'F','N','CENTRO','CANOINHAS','SC','124242161216421731559834575122610163142',4780,'9998',58.63,1,3,NULL),(25,6102808,'1992-07-09 00:00:00',4,1,12,2009,'F','N','BQ DOS EUCALIPTOS','S JOSÉ CAMPOS','SP','125252251217471431568612575112610115097',12651,'9998',42.77,1,3,NULL),(25,6102816,'1992-09-24 00:00:00',4,8,11,2009,'F','N','NOVA BRASÍLIA','JARAGUÁ SUL','SC','116242161215472411489811575115610168192',7456,'9998',51.69,1,3,NULL),(25,6102824,'1990-06-16 00:00:00',4,8,12,2007,'F','N','UVARANAS','PNT GROSSA','PR','116164161215472431459931572124141342147',500,'9998',76.85,1,3,NULL),(25,6102832,'1993-03-18 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241115471731423319245121610145017',17552,'307',34.76,1,2,1),(25,6102840,'1993-11-04 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124246241217111431669813594125610126147',2686,'951',66.89,1,3,NULL),(25,6102859,'1993-11-01 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241135141421333313241122610134143',NULL,'592',0.00,4,2,1),(25,6102867,'1993-04-12 00:00:00',2,1,12,2010,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117371431423311275224610127042',17575,'285',39.63,1,2,1),(25,6102875,'1992-07-25 00:00:00',4,8,12,2009,'F','N','SCHRAMM','S BENTO SUL','SC','124241241217472431338611575124610123077',3522,'1178',61.71,1,3,NULL),(25,6102883,'1993-01-16 00:00:00',4,1,11,2010,'F','N','CENTRO','S BENTO SUL','SC','124242241215121431369619295124610124012',8019,'270',51.52,1,3,NULL),(25,6102891,'1992-08-25 00:00:00',4,8,11,2010,'M','N','AMÉRICA','JOINVILLE','SC','124243241314271441336621445122610144022',5918,'478',56.21,1,3,NULL),(25,6102905,'1988-04-11 00:00:00',2,15,12,2005,'F','N','CENTRO','BUTIÁ','RS','120201201116271431323629475124610134142',NULL,'9998',40.69,1,2,1),(25,6102913,'1993-10-07 00:00:00',2,1,12,2010,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241115271731523629286124610127052',NULL,'772',14.85,1,2,1),(25,6102930,'1993-03-17 00:00:00',4,6,12,2010,'F','N','CENTRO','BRUSQUE','SC','124241241117271431439933292125610121057',NULL,'111',27.22,1,2,1),(25,6102948,'1985-09-13 00:00:00',2,17,12,2002,'M','N','CENTRO','ANTÔNIO OLINTO','PR','216161161126371431266351375124142216182',2225,'9998',67.46,1,2,1),(25,6102956,'1993-02-20 00:00:00',4,3,11,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124244241217112411447739375124610158017',1988,'1038',67.53,1,3,NULL),(25,6102964,'1993-07-17 00:00:00',4,1,12,2010,'F','N','CAIÇARAS','LONDRINA','PR','116162161215171431469933571122610161187',640,'9998',76.24,1,3,NULL),(25,6102972,'1993-11-16 00:00:00',2,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124242241115271431239933575124610163177',4521,'739',59.27,4,3,NULL),(25,6102980,'1991-03-27 00:00:00',4,1,12,2008,'M','N','JDIM SERIMBURA','S JOSÉ CAMPOS','SP','125252251215571421488831575124141467127',NULL,'9998',0.00,1,3,NULL),(25,6102999,'1992-12-20 00:00:00',4,1,12,2009,'F','N','RIO BRANCO','CAXIAS SUL','RS','120204201216472411258614574122610136152',6635,'9998',54.17,1,3,NULL),(25,6103006,'1991-10-13 00:00:00',2,10,12,2009,'M','N','ALTO RIO FORTUNA','RIO FORTUNA','SC','124241241114371431536316162124610147052',5907,'665',56.69,1,2,1),(25,6103014,'1993-08-01 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124243241215112431467814595112610122192',5035,'226',60.75,1,3,NULL),(25,6103022,'1993-01-21 00:00:00',2,2,12,2010,'M','N','CENTRO','GUABIRUBA','SC','124241241147271731523634145132610167042',21004,'333',31.06,1,2,1),(25,6103030,'1989-01-20 00:00:00',4,1,12,2006,'M','N','BUENO','GOIÂNIA','GO','109092091214571432468611575112610164176',1354,'9998',71.32,1,3,NULL),(25,6103049,'1993-04-02 00:00:00',4,4,12,2010,'F','N','CENTRO','UBIRATÃ','PR','116164161215111431546832572115610164197',16065,'9998',37.28,1,3,NULL),(25,6103065,'1986-01-03 00:00:00',4,1,11,2002,'F','N','CENTRO','CURITIBA','PR','116164161415511751453811195315140662197',NULL,'9998',31.85,1,3,NULL),(25,6103073,'1990-04-04 00:00:00',4,1,12,2007,'F','N','JARDIM PAULISTA','AMERICANA','SP','125252251216571711468813571112610135142',NULL,'9998',0.00,1,3,NULL),(25,6103081,'1993-02-13 00:00:00',4,8,11,2010,'F','N','CENTRO CÍVICO','CURITIBA','PR','116162161215121731349939595112610167077',12542,'9998',42.73,1,3,NULL),(25,6103111,'1992-12-11 00:00:00',2,1,12,2009,'F','N','AGUAS CLARAS','TAGUATINGA','DF','107132071216572431468714575125610121077',2766,'9998',64.53,4,3,NULL),(25,6103120,'1992-04-09 00:00:00',2,8,12,2009,'F','N','SANTA CANDIDA','CURITIBA','PR','116202161216471411459914571122610118197',NULL,'9998',0.00,1,3,NULL),(25,6103138,'1991-07-26 00:00:00',4,1,12,2008,'F','N','JD CIDADE FPOLIS','S JOSÉ','SC','124241241116133431635514445214610164142',NULL,'734',18.19,1,3,NULL),(25,6103146,'1993-06-19 00:00:00',4,8,11,2010,'M','N','CENTRO','MAFRA','SC','116243161236111311346823571312610167042',NULL,'9998',0.00,1,3,NULL),(25,6103154,'1992-08-02 00:00:00',4,8,12,2009,'F','N','VILA PAIVA','S JOSÉ CAMPOS','SP','125251251417271741346314475124610134197',NULL,'9998',28.90,1,3,NULL),(25,6103162,'1984-06-07 00:00:00',2,1,12,2002,'F','N','KOBRASOL','S JOSÉ','SC','224242241216154711146653345124230565047',20525,'868',33.04,1,3,NULL),(25,6103170,'1980-12-01 00:00:00',4,1,12,1997,'M','N','ROÇADO','S JOSÉ','SC','124241241143161411139643332122142222052',18837,'629',37.28,1,3,NULL),(25,6103189,'1993-01-12 00:00:00',2,1,12,2009,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124241241112372431327821345124610164057',15771,'733',42.48,1,2,1),(25,6103197,'1989-06-15 00:00:00',4,1,12,2006,'M','N','BOM VIVER','BIGUAÇU','SC','124242241116152431244823395114221467017',1689,'306',70.48,1,3,NULL),(25,6103200,'1992-10-07 00:00:00',4,1,11,2010,'M','N','ALTO DA BOA VISTA','ITUMBIARA','GO','109092091216111431458712571122610162057',5778,'9998',55.72,1,3,NULL),(25,6103219,'1990-12-13 00:00:00',4,1,12,2008,'F','N','SÃO MIGUEL PAULISTA','S PAULO','SP','125252251216571421263823571114610164016',1008,'9998',72.25,1,3,NULL),(25,6103227,'1993-08-23 00:00:00',4,7,12,2010,'F','N','CENTRO','IBICARÉ','SC','124242241215151431449613575122610142142',2989,'446',62.27,1,3,NULL),(25,6103235,'1993-01-29 00:00:00',4,1,12,2010,'F','N','VIGILATO PEREIRA','UBERLÂNDIA','MG','113132131216371731569756575122610142127',12252,'9998',43.21,1,3,NULL),(25,6103243,'1993-10-08 00:00:00',2,1,12,2010,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241211271431338621575124610117181',NULL,'884',17.28,1,3,NULL),(25,6103251,'1992-03-06 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162161215411431148831392125610132182',12016,'9998',42.96,1,3,NULL),(25,6103260,'1991-06-24 00:00:00',4,17,12,2008,'F','N','CENTRO','ITAIÓPOLIS','SC','124241161215371441468811571122142446175',4873,'9998',58.09,1,3,NULL),(25,6103278,'1993-07-13 00:00:00',4,4,11,2010,'F','N','JARDIM PRIMAVERA','CAFELÂNDIA','PR','116162161215111331469814575124610122142',11044,'9998',44.27,1,3,NULL),(25,6103286,'1993-08-29 00:00:00',2,1,12,2010,'F','N','SANS SOUCI','ELDORADO SUL','RS','120201201116131431437833585124610147057',NULL,'9998',0.00,1,2,1),(25,6103294,'1990-08-31 00:00:00',2,1,12,2007,'F','N','PINHEIRA','PALHOÇA','SC','124241241117271431523319345124610166077',NULL,'595',16.99,4,2,1),(25,6103308,'1992-03-23 00:00:00',4,1,12,2009,'F','N','RESIDENCIAL PAIAGUAS','S JOSÉ CAMPOS','SP','111112111217371731348823572224140423082',NULL,'9998',0.00,4,3,NULL),(25,6103316,'1992-07-05 00:00:00',3,1,12,2010,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241217112431359924574124610132141',538,'262',77.26,1,3,NULL),(25,6103340,'1993-11-12 00:00:00',4,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431348814445112610162123',NULL,'266',24.88,1,3,NULL),(25,6103367,'1991-10-22 00:00:00',2,8,12,2008,'M','N','VILA INDEPENDENCIA','CORNÉLIO PROCÓPIO','PR','116162161211511211468812392125610117061',11977,'9998',46.76,1,3,NULL),(25,6103375,'1993-04-07 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241115471431336813475124610138177',18289,'307',38.30,1,2,1),(25,6103383,'1993-06-04 00:00:00',2,1,12,2010,'F','N','CENTRO','PALOTINA','PR','116164161235371431443332595122610141192',NULL,'9998',0.00,1,3,NULL),(25,6103391,'1975-11-20 00:00:00',2,1,12,1993,'M','N','KOBRASOL','S JOSÉ','SC','224242241116152521146443235121341262087',NULL,'257',0.00,1,3,NULL),(25,6103413,'1993-03-25 00:00:00',4,4,12,2010,'F','N','CENTRO','TOLEDO','PR','116162161215311431466732574122610133142',533,'9998',77.22,1,3,NULL),(25,6103421,'1993-02-20 00:00:00',4,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124243241116474431437732285124610137182',2950,'169',63.64,1,3,NULL),(25,6103430,'1989-05-22 00:00:00',2,8,12,2006,'F','N','CENTRO','PALMEIRA','PR','116162161215573751456932571122610164017',3423,'9998',62.31,1,3,NULL),(25,6103448,'1994-08-26 00:00:00',4,8,12,2011,'M','S','FLORESTA','JOINVILLE','SC','124242241215111431449931572122610137052',NULL,'1063',64.17,1,3,NULL),(25,6103464,'1991-04-09 00:00:00',2,5,12,2008,'F','N','MOINHOS','LAJEADO','RS','120202201215572441569813575112610144077',738,'9998',74.93,1,3,NULL),(25,6103472,'1993-02-08 00:00:00',4,7,12,2010,'F','N','CLARA ADELIA','JOAÇABA','SC','124241241145141431443314241124610136052',NULL,'449',0.00,1,2,1),(25,6103480,'1989-07-30 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124251241116372411513449392324610146043',18540,'307',33.99,4,2,1),(25,6103499,'1991-02-06 00:00:00',4,1,12,2009,'F','N','CENTRO','CAPÃO BONITO','SP','125252251215471451558831575124610124077',2413,'9998',64.88,1,3,NULL),(25,6103502,'1992-08-18 00:00:00',4,1,12,2010,'M','N','ASA NORTE','BRASÍLIA','DF','107072071216111431469833585122610137042',NULL,'9998',0.00,1,3,NULL),(25,6103529,'1993-02-14 00:00:00',4,9,11,2010,'M','N','UNIVERSITÁRIO','LAGES','SC','124241241215132431436611575125610127187',8715,'1207',50.55,3,3,NULL),(25,6103537,'1992-11-04 00:00:00',4,17,11,2010,'F','N','CENTRO','CANOINHAS','SC','124242161215171411438939575125610143047',15126,'154',37.87,1,3,NULL),(25,6103553,'1992-12-18 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111421458913572124610133197',6740,'738',54.49,2,1,2),(25,6103561,'1991-05-31 00:00:00',4,1,12,2008,'F','N','BOSQUE DA SAUDE','CUIABÁ','MT','111112111217571431238834471112141368187',14029,'9998',40.60,1,3,NULL),(25,6103570,'1993-02-18 00:00:00',4,8,12,2010,'M','N','GLÓRIA','JOINVILLE','SC','124241246215121431458914275124610167071',11465,'1105',45.56,1,3,NULL),(25,6103588,'1993-03-22 00:00:00',2,2,12,2010,'F','N','ESTADOS','TIMBÓ','SC','124241241217111431369812375125610146142',7352,'925',52.64,1,3,NULL),(25,6103596,'1991-12-20 00:00:00',4,8,12,2008,'F','N','BATEL','CURITIBA','PR','116161161112572431443332572124142965147',7678,'9998',55.48,1,2,1),(25,6103600,'1993-10-11 00:00:00',4,4,12,2010,'F','N','JARDIM PORTO ALEGRE','TOLEDO','PR','116162161315121411559934471112610164142',7278,'9998',54.37,1,3,NULL),(25,6103618,'1993-02-21 00:00:00',2,6,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215371431539614242121610113142',16471,'1017',35.82,1,3,NULL),(25,6103626,'1990-09-20 00:00:00',4,4,11,2007,'F','N','CENTRO','XANXERÊ','SC','124244241216573431436815274122610162141',732,'1233',75.34,1,3,NULL),(25,6103642,'1992-09-26 00:00:00',4,1,11,2010,'M','N','CARANDÁ BOSQUE I','CPO GRANDE','MS','112122121216111731449931475112610168047',8914,'9998',47.12,1,3,NULL),(25,6103669,'1992-04-04 00:00:00',2,8,12,2009,'F','N','ITAUM','JOINVILLE','SC','124241241136371431124344445114610126047',NULL,'693',0.00,1,2,1),(25,6103677,'1987-11-30 00:00:00',2,1,12,2006,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','224201201146133131123348385124610122197',NULL,'9998',0.00,1,2,1),(25,6103693,'1992-09-17 00:00:00',4,8,12,2010,'F','N','AHHÚ','CURITIBA','PR','116162161215111431328824572122610162092',NULL,'9998',0.00,1,3,NULL),(25,6103707,'1992-10-13 00:00:00',4,4,12,2009,'M','N','CENTRO','PALOTINA','PR','116162161215371431466912575122610137042',8345,'9998',51.92,1,3,NULL),(25,6103723,'1989-03-05 00:00:00',2,1,12,2006,'F','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','124241241137473421223324345124610127047',8169,'288',51.96,1,2,1),(25,6103731,'1993-12-16 00:00:00',4,17,12,2010,'F','N','CAMPO DO AGUA VERDE','CANOINHAS','SC','124243241117141431458833345121610146092',1639,'146',70.73,1,3,NULL),(25,6103740,'1993-07-21 00:00:00',2,4,12,2010,'F','N','CENTRO','MAREMA','SC','124241241117131431435923372124610131177',15054,'847',40.16,1,2,1),(25,6103758,'1987-09-07 00:00:00',4,15,12,2004,'M','N','PARAGUAI','JACINTO MACHADO','SC','124241241136161431338935585123433227067',20873,'420',31.65,1,2,1),(25,6103766,'1992-11-18 00:00:00',2,1,11,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216111431457713572124610127047',16752,'1075',35.50,1,3,NULL),(25,6103774,'1994-07-07 00:00:00',4,5,11,2011,'M','S','PIO CORRÊA','CRICIÚMA','SC','124242241215111432379811572112610144172',NULL,'226',50.31,1,3,NULL),(25,6103782,'1994-03-27 00:00:00',4,1,10,2010,'M','N','VILA B','FOZ IGUAÇU','PR','116162161215151531259834575122610138122',12942,'9998',41.75,4,3,NULL),(25,6103790,'1993-05-31 00:00:00',4,8,12,2010,'M','N','AMÉRICA','JOINVILLE','SC','124241241217131431424611575124610124043',9396,'1006',49.03,1,3,NULL),(25,6103804,'1992-08-03 00:00:00',4,5,11,2009,'M','N','PIO CORREA','CRICIÚMA','SC','124242241215372711478811415124230268182',NULL,'210',35.27,1,3,NULL),(25,6103812,'1992-03-25 00:00:00',2,1,12,2009,'F','N','BUENO','GOIÂNIA','GO','109093091235371431227923575115610132047',17334,'9998',34.60,1,3,NULL),(25,6103820,'1992-05-18 00:00:00',2,1,12,2009,'F','N','SETOR BUENO','GOIÂNIA','GO','109111131215471441549933574125610162172',3266,'9998',64.33,1,3,NULL),(25,6103839,'1993-05-15 00:00:00',4,1,12,2010,'M','N','VILA ALMEIDA','CPO GRANDE','MS','112121121115111431448613474121610117057',5195,'9998',57.27,1,2,1),(25,6103847,'1994-03-20 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241217111411349824275122610126017',5083,'1198',57.59,1,3,NULL),(25,6103855,'1989-12-01 00:00:00',4,1,12,2006,'M','N','VILA MARIANA','S PAULO','SP','125012071217471731369921475125141062122',NULL,'9998',0.00,1,3,NULL),(25,6103863,'1992-08-27 00:00:00',4,1,12,2010,'M','N','CAPÃO RASO','CURITIBA','PR','116162166117271411326633573124610167052',5132,'9998',56.35,1,3,NULL),(25,6103871,'1993-04-05 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115371431523338571124610127141',21134,'288',25.27,4,2,1),(25,6103880,'1990-11-02 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241114573441436313592124610167147',10349,'876',47.02,1,2,1),(25,6103898,'1993-07-20 00:00:00',2,1,12,2010,'M','N','PASSO','MAFRA','SC','124241241217131431344823472122610137055',7931,'541',50.08,4,1,2),(25,6103901,'1992-05-01 00:00:00',4,1,12,2009,'M','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125252251216471441479939475122610142056',1932,'9998',67.71,1,3,NULL),(25,6103928,'1988-07-30 00:00:00',4,8,12,2005,'M','N','VILA IZABEL','CURITIBA','PR','116252251215573431361823585122142164042',13799,'9998',43.92,1,3,NULL),(25,6103944,'1993-08-10 00:00:00',2,1,12,2010,'F','N','BEZENELLO','NOVA TRENTO','SC','124243241135161431436613345112610118142',20735,'574',26.48,4,3,NULL),(25,6103952,'1991-10-15 00:00:00',4,1,12,2008,'M','N','BOQUEIRAO','SANTOS','SP','125252251215472411488813335125610142162',514,'9998',76.29,1,3,NULL),(25,6103960,'1991-04-15 00:00:00',4,1,12,2008,'M','N','CENTRO','S BENTO SUL','SC','124242241213573311468912594114610164047',80,'270',84.23,1,3,NULL),(25,6103987,'1991-10-01 00:00:00',4,1,11,2009,'F','N','PLANALTO PAULISTA','S PAULO','SP','125252251211471411526511375124610142122',18130,'9998',32.92,1,3,NULL),(25,6103995,'1993-10-22 00:00:00',2,4,12,2010,'F','N','JARDIM','CONCÓRDIA','SC','124241241116131411439613575122610146147',6883,'192',52.92,1,2,1),(25,6104002,'1992-04-20 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472731348614575124610167057',NULL,'1022',26.51,1,3,NULL),(25,6104010,'1992-11-18 00:00:00',2,1,11,2009,'F','N','TERESÓPOLIS','PTO ALEGRE','RS','120202201214571431369911571122610167052',NULL,'9998',0.00,1,3,NULL),(25,6104045,'1991-01-28 00:00:00',4,8,11,2008,'M','N','PARANAGUAMIRIN','JOINVILLE','SC','124241241127272431336414145124610124017',8578,'484',49.46,1,2,1),(25,6104053,'1987-12-05 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136143431225544341124230223147',17121,'560',35.69,1,2,1),(25,6104070,'1990-04-14 00:00:00',4,1,12,2010,'F','N','CAIREIRA SACO LIMOES','FLORIANÓPOLIS','SC','124241241116131731633314492124610134147',NULL,'281',0.00,4,2,1),(25,6104100,'1992-04-18 00:00:00',4,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117471431434163575124610143052',NULL,'281',30.97,1,2,1),(25,6104118,'1991-05-17 00:00:00',4,1,12,2008,'M','N','SETOR JAÓ','GOIÂNIA','GO','109092091216571421546612572122610162097',1043,'9998',72.24,4,3,NULL),(25,6104126,'1993-10-11 00:00:00',4,1,11,2010,'F','N','CENTRO','TACIBA','SP','125251251116131731446812375322610132057',NULL,'9998',0.00,1,2,1),(25,6104134,'1992-02-14 00:00:00',4,9,11,2009,'M','N','CENTRO','S LUIZ GONZAGA','RS','120202201216472731446832275112610132192',1734,'9998',68.77,1,3,NULL),(25,6104142,'1992-06-02 00:00:00',4,1,11,2009,'F','N','PORTAL','DOURADOS','MS','112122121215472431467832572122610114192',1814,'9998',67.58,1,3,NULL),(25,6104169,'1993-03-28 00:00:00',2,1,12,2010,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241145371431323619272224610128147',12743,'329',41.69,1,2,1),(25,6104177,'1992-02-23 00:00:00',4,1,11,2009,'F','N','SÃO GABRIEL','CAP LEÔNIDAS MARQUES','PR','116162161316472731436513571115610164147',7094,'9998',54.25,1,3,NULL),(25,6104185,'1993-10-06 00:00:00',2,7,12,2010,'F','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124241241117131441323714295124610128147',11608,'140',43.43,1,2,1),(25,6104193,'1992-06-30 00:00:00',4,1,12,2010,'M','N','JUNDIAI MIRIM','JUNDIAÍ','SP','125252251217111411559814495112610124042',8238,'9998',50.02,1,3,NULL),(25,6104207,'1993-11-25 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241215151431646934572124610121147',10114,'1048',46.85,1,3,NULL),(25,6104215,'1993-09-15 00:00:00',4,1,12,2010,'M','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124242241217271431468832575122610112122',NULL,'1174',41.09,1,3,NULL),(25,6104223,'1993-03-27 00:00:00',4,4,10,2010,'F','N','CENTRO','CASCAVEL','PR','116162161215121431449832272112610133187',3545,'9998',61.48,1,3,NULL),(25,6104231,'1994-07-25 00:00:00',4,1,12,2011,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215111432438814592124610138147',NULL,'262',36.39,3,3,NULL),(25,6104240,'1993-09-29 00:00:00',4,1,12,2010,'F','N','JARDIM JÚLIA','BEBEDOURO','SP','125253251217111411338819572122610132097',6741,'9998',54.36,1,3,NULL),(25,6104258,'1990-12-04 00:00:00',2,4,12,2007,'F','N','MATINHO','XANXERÊ','SC','120241241216575731556614475125610167011',177,'1081',81.50,1,3,NULL),(25,6104266,'1991-04-11 00:00:00',4,1,12,2008,'M','N','JARDIM PROGRESSO','AMERICANA','SP','125252251215511431447831572122141467187',3079,'9998',63.58,1,3,NULL),(25,6104282,'1990-01-05 00:00:00',4,1,12,2007,'M','N','VILA MEDON','AMERICANA','SP','125251251136371431466414275122610162142',18532,'9998',37.87,1,2,1),(25,6104290,'1993-02-17 00:00:00',2,4,12,2010,'F','N','CENTRO','BR COTEGIPE','RS','120201201126141711224624241124610146097',14892,'9998',37.59,1,3,NULL),(25,6104304,'1993-02-02 00:00:00',2,4,12,2009,'F','N','CENTRO','NOVA P IGUAÇU','PR','116161161416471431436611572122610127073',6397,'9998',54.71,1,3,NULL),(25,6104312,'1993-02-07 00:00:00',4,17,12,2010,'M','N','CIDADE NOVA','PTO UNIÃO','SC','124242241216111731448814275125610124017',21754,'632',23.86,1,3,NULL),(25,6104320,'1992-10-13 00:00:00',4,10,12,2009,'F','N','CENTRO','CAPIVARI BAIXO','SC','124242241216472731548613274124610127052',13792,'806',45.49,1,3,NULL),(25,6104339,'1992-06-03 00:00:00',4,1,12,2010,'F','N','CENTRO','ITAJAÍ','SC','124242241216471421479911475112610114122',15464,'270',42.95,1,3,NULL),(25,6104347,'1988-01-25 00:00:00',2,8,12,2005,'F','N','ORLEANS','CURITIBA','PR','116162161215572431635631572114610136177',2878,'9998',64.60,1,3,NULL),(25,6104363,'1993-09-22 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215473431327773575124610136187',5619,'1022',55.28,1,3,NULL),(25,6104371,'1989-07-22 00:00:00',2,1,12,2008,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241111134442326624242244232927022',11020,'306',48.25,1,2,1),(25,6104380,'1993-02-15 00:00:00',2,1,11,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117111711426611571221610166057',5456,'267',59.84,1,2,1),(25,6104398,'1993-06-09 00:00:00',4,1,12,2010,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124243241215111431426913435114610167112',17672,'989',34.37,1,3,NULL),(25,6104401,'1991-03-09 00:00:00',4,1,12,2008,'F','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162161215512431468923575122610134187',494,'9998',77.63,1,3,NULL),(25,6104410,'1993-06-10 00:00:00',4,2,12,2010,'M','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124241241216111431459933575124610162042',1724,'855',69.03,1,3,NULL),(25,6104428,'1993-03-17 00:00:00',2,4,12,2010,'M','N','CENTRO','ERECHIM','RS','120202201216371431346823575121610127042',NULL,'9998',32.17,1,3,NULL),(25,6104444,'1991-04-14 00:00:00',4,1,12,2008,'M','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124241241135132431336723495123610137097',NULL,'291',21.17,1,2,1),(25,6104452,'1992-11-01 00:00:00',4,4,12,2009,'F','N','LINHA SAO VENDELINO','S JOSÉ CEDRO','SC','124241241116472431336312345125610126057',1316,'1227',70.51,1,2,1),(25,6104460,'1992-03-08 00:00:00',4,8,12,2009,'F','N','GLÓRIA','JOINVILLE','SC','124242241215472131347923495122610122122',13323,'459',46.19,1,3,NULL),(25,6104479,'1992-04-27 00:00:00',4,8,11,2009,'F','N','ALPHAVILLE','LONDRINA','PR','116162161234271431439831371122610136187',NULL,'9998',0.00,1,3,NULL),(25,6104487,'1990-06-12 00:00:00',2,9,12,2007,'F','N','ESTRADA GERAL','MIRIM DOCE','SC','124241241416273751533515595124142466142',13745,'776',40.90,1,3,NULL),(25,6104495,'1993-02-01 00:00:00',2,8,12,2009,'F','N','CENTRO','GOIOERÊ','PR','116162161215471431446831572325610164047',600,'9998',76.71,1,3,NULL),(25,6104509,'1993-06-15 00:00:00',2,3,11,2010,'M','N','CENTRO','BRUSQUE','SC','124242241215271531489911572312610167047',4736,'9997',59.36,1,3,NULL),(25,6104517,'1993-12-13 00:00:00',2,2,11,2010,'F','N','CENTRO','PRES GETÚLIO','SC','124243241215111431455632575124610124142',1608,'991',70.83,1,3,NULL),(25,6104533,'1994-11-10 00:00:00',4,1,12,2010,'F','N','BURITIS','BELO HORIZONTE','MG','113132131216111431369914472122610168122',7565,'9998',51.89,1,3,NULL),(25,6104541,'1993-08-15 00:00:00',4,8,12,2010,'F','N','CENTRO','MORRETES','PR','116162161217111431336839585125610164057',4934,'9998',57.67,1,3,NULL),(25,6104550,'1992-05-11 00:00:00',4,3,12,2009,'M','N','JD PAULICEIA','CAMPINAS','SP','125252251216471441368823575112610168182',8897,'9998',49.68,1,3,NULL),(25,6104568,'1980-06-14 00:00:00',2,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241146135421336543334124322736187',NULL,'295',29.49,1,2,1),(25,6104606,'1993-10-02 00:00:00',4,10,12,2010,'M','N','MAR GROSSO','LAGUNA','SC','124242241215131431234923585122610138187',4058,'525',60.59,1,3,NULL),(25,6104614,'1993-06-04 00:00:00',4,8,11,2010,'F','N','BAEPENDI','JARAGUÁ SUL','SC','124242241215111431439612575122610121197',NULL,'424',0.00,1,3,NULL),(25,6104630,'1992-02-08 00:00:00',4,1,12,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215472431458811471344610167047',3210,'807',62.84,1,3,NULL),(25,6104649,'1990-07-27 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116163161216572411548861575124610162147',88,'9998',83.98,1,3,NULL),(25,6104665,'1993-10-26 00:00:00',4,8,12,2010,'F','N','CENTRO','RIO NEGRO','PR','116163161215111431549914274224610124042',NULL,'9998',31.18,1,3,NULL),(25,6104673,'1993-09-21 00:00:00',4,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124241241117141431345631345124610134142',12394,'88',42.56,1,3,NULL),(25,6104681,'1993-08-11 00:00:00',4,1,12,2010,'F','N','PARQUE FLORESTA','VALINHOS','SP','125252251217111431468832572122610124072',6618,'9998',54.04,1,3,NULL),(25,6104690,'1991-12-19 00:00:00',4,6,11,2009,'F','N','BELA VISTA','OSASCO','SP','125252251215471431567612575122610166142',NULL,'9998',0.00,1,3,NULL),(25,6104703,'1991-02-24 00:00:00',4,1,12,2008,'F','N','CENTRO','DOIS CÓRREGOS','SP','125253251215571431448814575122610162197',NULL,'9998',0.00,1,3,NULL),(25,6104720,'1992-01-11 00:00:00',4,8,12,2009,'M','N','BATEL','CURITIBA','PR','116164161215472431248332515112610124097',3020,'9998',64.21,1,3,NULL),(25,6104738,'1991-11-15 00:00:00',4,1,12,2009,'M','N','SUDOESTE','CRUZEIRO','DF','107072071417471331368913572112241467142',4039,'9998',63.17,3,3,NULL),(25,6104746,'1991-07-09 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117272711246614441124223244182',NULL,'267',0.00,1,3,NULL),(25,6104754,'1993-05-16 00:00:00',2,4,11,2010,'F','N','CENTRO','TOLEDO','PR','116162161215121431439833575112610127157',7586,'9998',55.64,1,3,NULL),(25,6104762,'1992-01-03 00:00:00',4,6,12,2010,'F','N','SÃO VICENTE','ITAJAÍ','SC','124241245116271431557713495122610124142',14130,'395',40.74,1,2,1),(25,6104770,'1992-02-19 00:00:00',2,8,12,2009,'F','N','TINGUI','CURITIBA','PR','116161161116572231548833571114610122197',1441,'9998',70.83,1,2,1),(25,6104789,'1993-03-24 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431469613575114610162172',1421,'270',71.68,1,3,NULL),(25,6104797,'1994-07-31 00:00:00',2,3,11,2011,'F','S','CENTRO','BRUSQUE','SC','124242241215111531489811575322610127057',NULL,'107',31.57,1,3,NULL),(25,6104800,'1992-08-07 00:00:00',4,1,12,2009,'M','N','SÃO FRANCISCO','IRATI','PR','116161161117471441548914572124610148062',9622,'9998',49.74,1,2,1),(25,6104819,'1993-05-13 00:00:00',4,1,12,2009,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124244241215472411336923572124610143152',1011,'270',73.25,1,3,NULL),(25,6104827,'1993-12-11 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241416121431224614241224610124182',12357,'988',43.69,1,3,NULL),(25,6104835,'1989-02-10 00:00:00',4,1,12,2006,'M','N','JARDIM LUCIANA','MARÍLIA','SP','125252251216571451459811575125610167187',770,'9998',74.42,1,3,NULL),(25,6104843,'1988-10-23 00:00:00',2,1,12,2008,'M','N','BELA VISTA I','S JOSÉ','SC','124241247136573431436714245123610164052',13838,'9999',42.47,1,2,1),(25,6104851,'1993-05-11 00:00:00',4,1,12,2010,'M','N','ARIRIU','PALHOÇA','SC','124241241127131621533833576124610137047',20047,'592',34.43,1,2,1),(25,6104860,'1990-08-06 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241336142431126744345125133232191',NULL,'51',39.56,1,3,NULL),(25,6104886,'1993-04-15 00:00:00',2,1,12,2010,'F','N','ESPRAIADO','NOVA TRENTO','SC','124243241137151431436419345122610125095',12803,'574',44.54,1,3,NULL),(25,6104894,'1992-02-29 00:00:00',4,1,12,2009,'M','N','TERSÓPOLIS','PTO ALEGRE','RS','120202201211411751468811571115610167182',NULL,'9998',0.00,1,3,NULL),(25,6104908,'1990-01-07 00:00:00',4,1,6,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247237143111127863395122231067113',14106,'9999',45.00,1,3,NULL),(25,6104916,'1992-04-27 00:00:00',2,1,11,2009,'F','N','CENTRO','URUSSANGA','SC','124242241215474431378713575114610162042',6753,'211',52.53,1,3,NULL),(25,6104932,'1991-07-24 00:00:00',4,1,11,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241212574431359934492124610135052',2190,'1169',67.67,1,3,NULL),(25,6104940,'1993-07-27 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124241241114271431333923572122610134197',11227,'169',45.34,1,2,1),(25,6104959,'1992-02-20 00:00:00',4,9,12,2009,'F','N','BOM JESUS','LAGES','SC','124241241136171211223327285124610164197',NULL,'935',0.00,1,3,NULL),(25,6104975,'1993-01-22 00:00:00',4,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115371431435614575124610164047',12450,'734',42.89,1,2,1),(25,6104983,'1993-01-18 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117271411566334345124610142147',8737,'307',50.51,1,2,1),(25,6104991,'1983-04-24 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624201203111371431248844241124142352097',NULL,'9998',0.00,1,2,1),(25,6105009,'1990-08-11 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124242241216572431448834245124610167022',13276,'1022',46.26,1,3,NULL),(25,6105017,'1993-03-30 00:00:00',4,4,12,2010,'F','N','FRIZON','CEL VIVIDA','PR','116162161215271431644732574124610154092',NULL,'9998',0.00,1,3,NULL),(25,6105025,'1992-12-02 00:00:00',4,1,12,2010,'F','N','NOVO HORIZONTE','MARINGÁ','PR','116162161215111431229921412122610123142',NULL,'9998',0.00,1,3,NULL),(25,6105033,'1981-01-09 00:00:00',2,1,12,1999,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224243247216155721256843235122130867117',19844,'9999',35.04,1,3,NULL),(25,6105041,'1991-04-09 00:00:00',4,2,12,2008,'F','N','GARCIA','BLUMENAU','SC','124241241315572531438614245124610164147',10379,'86',46.64,2,3,NULL),(25,6105050,'1993-12-18 00:00:00',4,6,11,2010,'F','N','CENTRO II','BRUSQUE','SC','124242241215111431357832575124610122137',2274,'1038',66.42,1,3,NULL),(25,6105068,'1962-06-26 00:00:00',2,1,12,1999,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241127471411214444441324610166197',NULL,'278',24.64,1,3,NULL),(25,6105076,'1992-01-24 00:00:00',2,15,12,2009,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241116142731423314345124230718042',NULL,'30',32.89,1,2,1),(25,6105084,'1990-02-22 00:00:00',4,3,11,2007,'F','N','CENTRO','LONDRINA','PR','116162161235571431556634575124610145182',3962,'9998',60.01,4,3,NULL),(25,6105092,'1993-11-15 00:00:00',4,1,12,2010,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124244241215111431455632575122610147042',6559,'1168',55.30,1,3,NULL),(25,6105106,'1993-05-29 00:00:00',4,1,12,2010,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241112371411426614572224610144057',NULL,'772',25.84,1,2,1),(25,6105114,'1992-02-17 00:00:00',4,8,12,2008,'F','N','SANTA QUITÉRIA','CURITIBA','PR','116162161215571411678914345114610134097',NULL,'9998',0.00,1,3,NULL),(25,6105122,'1991-10-02 00:00:00',4,3,12,2008,'F','N','CENTRO','LOANDA','PR','116162161215511731536514342124610166142',10695,'9998',45.90,1,3,NULL),(25,6105130,'1992-10-23 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241215473411433611295122610144042',4523,'1011',60.72,1,3,NULL),(25,6105149,'1993-06-12 00:00:00',4,8,11,2010,'F','N','CENTRO','RIO NEGRINHO','SC','124242161217471431459831176124610133182',3176,'9998',62.84,1,3,NULL),(25,6105157,'1991-09-06 00:00:00',4,1,12,2008,'F','N','CENTRO','IMBITUBA','SC','124242241215572431438632574122610164117',308,'806',79.53,1,3,NULL),(25,6105165,'1991-07-02 00:00:00',4,1,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116162161215571431478814574112610162187',3019,'9998',65.08,1,3,NULL),(25,6105173,'1993-01-04 00:00:00',4,5,11,2009,'M','N','SAO RAFAEL','IÇARA','SC','124241241115312421424415345124610124032',19173,'1005',33.84,1,2,1),(25,6105181,'1989-02-19 00:00:00',4,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116251251416574731353621591124610164147',9451,'9998',48.80,1,3,NULL),(25,6105190,'1993-01-17 00:00:00',2,8,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116161161215472431649933574114610167182',3425,'9998',61.90,1,3,NULL),(25,6105203,'1992-08-29 00:00:00',4,1,12,2009,'F','N','JARDIM SANTA RITA','JABOTICABAL','SP','125252251217471431478811571122610137047',46,'9998',85.76,1,3,NULL),(25,6105211,'1993-12-23 00:00:00',4,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124241241215111431346634575122610143182',1409,'909',69.97,1,3,NULL),(25,6105238,'1990-05-20 00:00:00',4,4,12,2007,'M','N','CENTRO','DESCANSO','SC','124243241116142431335614342122610142052',NULL,'242',0.00,1,3,NULL),(25,6105246,'1982-04-04 00:00:00',2,15,12,2005,'M','N','POLICIA RODOVIÁRIA','ARARANGUÁ','SC','224241247126371431423344241123610137043',20691,'9999',27.00,4,2,1),(25,6105254,'1993-09-09 00:00:00',2,4,12,2010,'F','N','COLINA VERDE','SALTO LONTRA','PR','116161161116371431537429592122610137147',8217,'9998',51.77,1,2,1),(25,6105262,'1992-08-28 00:00:00',2,7,12,2009,'F','N','CENTRO','ÁGUA DOCE','SC','124241241145272431426612372122610146147',NULL,'9',36.51,1,2,1),(25,6105289,'1992-07-24 00:00:00',4,1,11,2009,'M','N','EUGÊNIO SCHNEIDER','RIO SUL','SC','124242241216473432468933395114610167052',2289,'959',67.28,1,3,NULL),(25,6105297,'1993-01-30 00:00:00',4,1,12,2010,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115151431448923575112610164017',12772,'307',41.30,4,2,1),(25,6105300,'1992-05-23 00:00:00',4,1,12,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124243241337272431423311242114610125147',NULL,'592',9.46,1,3,NULL),(25,6105319,'1991-06-02 00:00:00',2,8,12,2008,'F','N','JARDIM COPACABANA','CPO MOURÃO','PR','116164161216572431558934575124610122097',3347,'9998',64.72,1,3,NULL),(25,6105327,'1991-04-24 00:00:00',4,8,12,2008,'M','N','PIRABEIRABA','JOINVILLE','SC','124242241211572411466532575122610166042',1909,'1063',66.89,1,3,NULL),(25,6105335,'1991-03-09 00:00:00',4,1,12,2008,'M','N','V NOSSA SRA DA PAZ','S JOSÉ R PRETO','SP','125252251217471431266613375124143232142',NULL,'9998',0.00,1,3,NULL),(25,6105351,'1987-09-19 00:00:00',2,6,12,2005,'M','N','ÁGUA VERDE','CURITIBA','PR','116201201116572431216629372224141227057',5137,'9998',57.19,1,2,1),(25,6105360,'1991-11-20 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212473431469814572112610166062',740,'807',75.77,1,3,NULL),(25,6105378,'1990-06-24 00:00:00',4,8,12,2007,'F','N','CERAMARTE','RIO NEGRINHO','SC','124243241216471431549614385124132766072',9237,'666',52.61,1,3,NULL),(25,6105386,'1991-02-06 00:00:00',4,1,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116122168216472751643331372125610163047',6892,'9998',55.58,3,3,NULL),(25,6105394,'1993-10-01 00:00:00',4,4,11,2010,'F','N','CENTRO','SALTO LONTRA','PR','116164161215111432458631572122610124017',3473,'9998',62.66,1,3,NULL),(25,6105408,'1991-10-18 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117371121426621345114610114187',18450,'257',34.28,1,2,1),(25,6105416,'1989-12-15 00:00:00',2,8,11,2007,'F','N','CENTRO','ITAIÓPOLIS','SC','124241241345573431458833575122610124072',1950,'1085',68.30,1,3,NULL),(25,6105424,'1994-12-03 00:00:00',5,1,11,2011,'F','S','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242248217111731368832495122610127092',NULL,'270',40.64,1,3,NULL),(25,6105432,'1993-07-03 00:00:00',2,4,12,2010,'F','N','INTERIOR','DESCANSO','SC','124241241115131431333935572222610142072',NULL,'242',0.00,1,2,1),(25,6105459,'1993-01-03 00:00:00',4,1,12,2010,'M','N','MARECHAL RONDON','CANOAS','RS','120132201217471431479814275124610167077',4781,'9998',57.39,1,3,NULL),(25,6105467,'1991-04-05 00:00:00',2,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124242241226131432235514482114610127142',NULL,'262',20.92,1,3,NULL),(25,6105475,'1993-09-20 00:00:00',2,8,12,2010,'F','N','ZONA DOIS','CIANORTE','PR','116162161236371431558939575122610164142',NULL,'9998',36.21,1,3,NULL),(25,6105483,'1986-10-13 00:00:00',2,15,12,2004,'F','N','CENTRO','CPO BOM','RS','120201201216572421536832372124610143117',6520,'9998',54.68,1,3,NULL),(25,6105491,'1993-12-02 00:00:00',4,1,12,2010,'M','N','COSTEIRA DO RIBEIRÃO','FLORIANÓPOLIS','SC','124241241116371331433339575124610147052',NULL,'278',27.63,1,2,1),(25,6105505,'1986-08-27 00:00:00',2,1,12,2003,'F','N','MEDIANEIRA','STA MARIA','RS','120201201117571751359613572124143218197',1591,'9998',69.93,1,2,1),(25,6105513,'1992-08-17 00:00:00',2,1,12,2009,'F','N','CENTRO','ANTÔNIO PRADO','RS','120201201116471411425611571124610165077',2726,'9998',65.17,1,2,1),(25,6105521,'1991-09-01 00:00:00',4,4,11,2008,'M','N','BIGORRILHO','CURITIBA','PR','116242241216572211489912594121112734165',850,'1021',74.89,1,3,NULL),(25,6105530,'1991-04-02 00:00:00',2,9,12,2008,'F','N','FANNY','CURITIBA','PR','116241241126571641423339275124610163147',18972,'935',31.43,1,2,1),(25,6105548,'1993-04-06 00:00:00',4,1,12,2010,'F','N','JARDIM EUROPA','ASSIS','SP','125252251217111431579914575122610122042',17852,'9998',34.69,1,3,NULL),(25,6105556,'1992-12-29 00:00:00',4,4,11,2010,'F','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124243241215371411439932575122610126142',6467,'185',54.94,1,3,NULL),(25,6105564,'1991-07-23 00:00:00',4,1,12,2009,'F','N','AGENOR DE LIMA','GUAXUPÉ','MG','113132251212471311439911575115610164195',NULL,'9998',28.51,1,3,NULL),(25,6105580,'1993-10-15 00:00:00',4,4,11,2010,'F','N','PINHEIROS','PATO BRANCO','PR','116162161216111411448832575122610146172',10654,'9998',46.93,1,3,NULL),(25,6105599,'1992-09-30 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124243161215473431558716474122610123092',498,'9998',77.61,3,3,NULL),(25,6105602,'1992-02-04 00:00:00',4,8,12,2009,'F','N','SAO PEDRO','S JOSÉ PINHAIS','PR','116162161216471751359911575122610164197',NULL,'9998',0.00,1,3,NULL),(25,6105610,'1992-05-01 00:00:00',3,1,7,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244244116133431548813371124223245177',13218,'306',41.93,1,3,NULL),(25,6105629,'1992-01-17 00:00:00',4,8,12,2010,'M','N','VILA NOVA','JOINVILLE','SC','124242241215111431356612572124610124052',10069,'1105',46.39,1,3,NULL),(25,6105637,'1994-01-24 00:00:00',4,1,12,2010,'F','N','JARDIM ACLIMAÇÃO','CPO GRANDE','MS','112122121216471431478832575122610127142',NULL,'9998',29.70,1,3,NULL),(25,6105645,'1993-07-21 00:00:00',4,10,12,2010,'M','N','SANTO ANDRE','CAPIVARI BAIXO','SC','124242241216111441228924575124610127053',12194,'806',43.49,1,3,NULL),(25,6105653,'1982-05-26 00:00:00',2,1,12,1999,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241411153711189622195122321568091',4572,'300',61.83,1,3,NULL),(25,6105661,'1983-10-17 00:00:00',2,1,12,2000,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241236374731246644445134322831197',NULL,'185',0.00,1,3,NULL),(25,6105670,'1992-08-11 00:00:00',4,8,12,2010,'M','N','AMÉRICA','JOINVILLE','SC','124242246217271431337614375124610124061',7550,'1006',52.08,1,3,NULL),(25,6105688,'1993-10-29 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431366632575122610122052',4904,'262',58.71,1,3,NULL),(25,6105696,'1993-07-29 00:00:00',4,2,12,2010,'F','N','TESTO REGA','POMERODE','SC','124242241217112431358811575122610143072',5227,'624',57.38,1,3,NULL),(25,6105700,'1992-02-12 00:00:00',4,17,11,2009,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116164161216471411343823572114610162012',1134,'633',73.23,1,3,NULL),(25,6105734,'1991-09-05 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124244241131132431528617295124613267047',NULL,'732',42.82,1,3,NULL),(25,6105742,'1986-02-09 00:00:00',4,1,12,2002,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215572431438911382114333264047',4775,'270',61.37,1,3,NULL),(25,6105750,'1993-08-18 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431458814574124610126097',8372,'270',51.51,1,3,NULL),(25,6105769,'1993-05-28 00:00:00',2,17,12,2010,'M','N','SANTO ANTONIO','PNT GROSSA','PR','116162161217111531438832292114610167052',18205,'9998',34.07,1,3,NULL),(25,6105777,'1991-06-20 00:00:00',4,1,11,2008,'M','N','VILA REZENDE','PIRACICABA','SP','125251251214471431478811575122610166192',951,'9998',73.85,1,3,NULL),(25,6105785,'1993-01-28 00:00:00',4,1,11,2010,'F','N','FAZENDA','ITAJAÍ','SC','124242241215472431358931575124610163072',5337,'270',57.35,1,3,NULL),(25,6105793,'1992-09-26 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116161161136471451445631275125610143147',NULL,'9998',0.00,1,2,1),(25,6105807,'1990-05-05 00:00:00',4,1,12,2007,'F','N','LIBERDADE','S PAULO','SP','125252251215571431449811591125610165097',NULL,'9998',0.00,1,3,NULL),(25,6105815,'1987-05-08 00:00:00',2,1,12,2004,'M','N','CENTRO','ROSÁRIO SUL','RS','120202201216571411338931575125610164177',4475,'9998',58.95,1,3,NULL),(25,6105823,'1993-09-01 00:00:00',4,8,11,2010,'M','N','TARUMÃ','CURITIBA','PR','116162161215411421378813175112610168177',13673,'9998',40.75,3,3,NULL),(25,6105840,'1992-10-27 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216471431578812575122610128141',10019,'270',48.18,1,3,NULL),(25,6105858,'1994-03-10 00:00:00',4,8,12,2010,'F','N','JD AMAZONAS','FOZ IGUAÇU','PR','116162161216111431446512575112610134142',NULL,'9998',32.96,1,3,NULL),(25,6105866,'1992-06-26 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212372451469831571124131167112',1965,'738',69.39,1,3,NULL),(25,6105882,'1990-09-05 00:00:00',4,8,12,2007,'F','N','CENTRO','JESUÍTAS','PR','116164161315571431546612574124610126142',168,'9998',81.63,1,3,NULL),(25,6105904,'1989-06-04 00:00:00',2,1,12,2007,'F','N','ZONA SETE','MARINGÁ','PR','116163161314571431559714472115610165147',11434,'9998',49.00,1,3,NULL),(25,6105912,'1993-02-21 00:00:00',2,9,11,2010,'M','N','CENTRO','LAGES','SC','124243241217111531357912575112610137042',11649,'497',45.01,1,3,NULL),(25,6105920,'1993-03-19 00:00:00',2,3,12,2010,'M','N','CENTRO','CAMBORIÚ','SC','124243248115371432536623575124610147057',NULL,'129',0.00,1,3,NULL),(25,6105939,'1993-07-14 00:00:00',4,1,11,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215472451459932595122610127122',3792,'270',63.85,1,3,NULL),(25,6105955,'1989-04-20 00:00:00',2,3,12,2009,'M','N','CENTRO','MEDIANEIRA','PR','116161161131572411435532172124610164067',2058,'9998',67.24,1,2,1),(25,6105963,'1992-04-24 00:00:00',4,3,12,2010,'F','N','CENTRO','SERTANEJA','PR','116162166116271231567815575122610163142',15460,'9998',37.16,1,3,NULL),(25,6105980,'1991-09-22 00:00:00',4,4,12,2008,'F','N','BELZARIO','SANTIAGO','RS','120202201216571751447833571125610164077',5230,'9998',58.43,1,3,NULL),(25,6105998,'1993-03-22 00:00:00',4,1,12,2010,'M','N','VILA FORMOSA','APUCARANA','PR','116162161216471432447711315122610164052',5038,'9998',58.47,1,3,NULL),(25,6106005,'1994-07-12 00:00:00',4,17,12,2010,'M','N','FÁTIMA','VACARIA','RS','120204201116271441238923575112610142197',20704,'9998',32.37,1,3,NULL),(25,6106013,'1993-02-17 00:00:00',4,1,11,2010,'M','N','GOIABEIRAS','CUIABÁ','MT','111112111216111431468834475122610134042',10630,'9998',44.95,1,3,NULL),(25,6106030,'1992-03-16 00:00:00',4,8,11,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161215472431448832595124610167012',448,'9998',77.96,1,3,NULL),(25,6106048,'1990-06-04 00:00:00',2,1,12,2007,'M','N','CENTRO','ROSÁRIO SUL','RS','120201201111571231423823572112610163187',10708,'9998',46.71,1,2,1),(25,6106056,'1993-03-21 00:00:00',2,1,11,2010,'F','N','GIOCONDO ORSI','CPO GRANDE','MS','112122121217111431466612172122610133192',NULL,'9998',30.73,1,3,NULL),(25,6106072,'1991-11-06 00:00:00',4,8,12,2009,'M','N','JARDIM PAULISTA','JUNQUEIRÓPOLIS','SP','125251258117471431337634375122610162057',16079,'9998',36.71,4,2,1),(25,6106080,'1993-05-14 00:00:00',4,1,12,2010,'F','N','JARDIM PAULISTA','S PAULO','SP','125252251217111431258832575122610125123',14395,'9998',38.99,1,3,NULL),(25,6106099,'1985-11-13 00:00:00',2,4,12,2004,'M','N','IPIRANGA','FREDERICO WESTPHALEN','RS','120201201126151431116948185124331327047',14208,'9998',39.69,1,2,1),(25,6106102,'1986-10-13 00:00:00',2,15,12,2004,'F','N','CENTRO','CPO BOM','RS','120201201216572421536834375124610133117',10073,'9998',46.39,1,3,NULL),(25,6106110,'1993-05-28 00:00:00',2,4,12,2010,'F','N','BORTOLON','XANXERÊ','SC','124241241145141711425629395125613226142',NULL,'840',22.00,1,3,NULL),(25,6106129,'1993-08-27 00:00:00',2,1,12,2010,'M','N','MORRO DA BINA','BIGUAÇU','SC','124241248135141752424634572124610147042',NULL,'65',19.72,1,2,1),(25,6106137,'1992-10-28 00:00:00',4,10,12,2009,'M','N','CENTRO','TUBARÃO','SC','124241246217375411558613492124121434057',5399,'1120',58.38,2,1,2),(25,6106145,'1993-12-22 00:00:00',4,8,11,2010,'F','N','JARDIM SOCIAL','CURITIBA','PR','116162161215121431479934575122610127092',8943,'9998',49.07,1,3,NULL),(25,6106170,'1990-04-12 00:00:00',2,4,12,2007,'F','N','CENTRO','AMPÉRE','PR','116161161315511411488631592115143142192',NULL,'9998',0.00,1,3,NULL),(25,6106188,'1993-11-13 00:00:00',4,1,12,2010,'F','N','GONZAGA','SANTOS','SP','125252251215121231368639576112610134193',NULL,'9998',0.00,1,3,NULL),(25,6106196,'1991-04-05 00:00:00',4,8,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','405022043523213331534543333222231533146',NULL,'9998',0.00,1,3,NULL),(25,6106200,'1993-11-17 00:00:00',4,2,11,2010,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241217111531268813592114610135172',6666,'855',54.86,1,3,NULL),(25,6106226,'1992-07-14 00:00:00',2,7,12,2009,'F','N','CENTRO','CAPINZAL','SC','116243161415473431536824575124610114097',1017,'9998',71.96,1,3,NULL),(25,6106234,'1993-03-23 00:00:00',4,1,12,2010,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124241241114371441626413475124610138011',9455,'298',48.59,2,2,1),(25,6106242,'1993-10-24 00:00:00',4,2,12,2010,'F','N','VILA NOVA','BLUMENAU','SC','124244241215272431369934575112610126042',2110,'909',67.92,1,3,NULL),(25,6106250,'1990-07-09 00:00:00',2,1,12,2007,'M','N','CAMOBI','STA MARIA','RS','120202201216371431553732485112140427053',10661,'9998',46.56,1,3,NULL),(25,6106277,'1993-04-07 00:00:00',2,5,11,2010,'F','N','VILA FLORESTA','CRICIÚMA','SC','124242241215111431663332571124610134182',13561,'213',45.84,1,3,NULL),(25,6106285,'1993-08-24 00:00:00',4,9,12,2010,'F','N','ARAUCÁRIA','LAGES','SC','124241241116271731426414295124610126197',19216,'935',31.04,4,2,1),(25,6106293,'1993-09-30 00:00:00',4,10,11,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215122431557872575111610164182',5420,'807',57.63,1,3,NULL),(25,6106315,'1992-07-29 00:00:00',4,1,12,2009,'M','N','ASA NORTE','BRASÍLIA','DF','107072071217141431267923345122240737047',NULL,'9998',0.00,1,3,NULL),(25,6106323,'1992-11-26 00:00:00',4,1,12,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','116162161215572441226567571124140264047',3355,'9998',62.74,1,3,NULL),(25,6106331,'1991-05-13 00:00:00',2,1,12,2008,'F','N','MANSUR DAUD','S JOSÉ R PRETO','SP','125254251215572711436624575122610162092',11565,'9998',45.23,1,3,NULL),(25,6106340,'1993-10-23 00:00:00',2,10,10,2010,'M','N','TRAVESSÃO','BRAÇO NORTE','SC','124242241217131431435612575124610167057',10476,'807',45.84,1,3,NULL),(25,6106358,'1992-12-25 00:00:00',4,1,12,2010,'F','N','CENTRO','ASSIS','SP','125252161215111731269924474122610166076',NULL,'9998',0.00,1,3,NULL),(25,6106366,'1993-05-03 00:00:00',4,8,12,2010,'F','N','ALTO DA GLÓRIA','IRATI','PR','116162161214111431425622574112610142072',7449,'9998',51.31,1,3,NULL),(25,6106374,'1993-10-02 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242248115141431448812575122610147013',5009,'129',60.83,1,3,NULL),(25,6106382,'1993-06-22 00:00:00',2,1,12,2010,'F','N','CENTRO','CAPIVARI BAIXO','SC','124242248215121431346411472122610128192',NULL,'797',30.20,1,3,NULL),(25,6106390,'1995-01-20 00:00:00',2,7,12,2011,'F','S','CENTRO','FRAIBURGO','SC','124242241215171531558914145112610131017',NULL,'317',25.64,1,3,NULL),(25,6106404,'1994-05-18 00:00:00',4,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215111431568811475114610167112',NULL,'272',10.69,1,3,NULL),(25,6106412,'1992-12-03 00:00:00',4,4,12,2009,'F','N','CENTRO','MARAU','RS','120201201117371431336419341124610162097',8136,'9998',49.85,1,2,1),(25,6106420,'1993-10-12 00:00:00',4,1,11,2010,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241215272431438621275124610167057',NULL,'1014',35.89,1,3,NULL),(25,6106447,'1993-08-19 00:00:00',2,5,12,2010,'F','N','MONTE CASTELO','CRICIÚMA','SC','124241241115371431434411171124610167077',20323,'209',28.94,1,2,1),(25,6106471,'1993-06-10 00:00:00',4,8,12,2010,'M','N','PILARZINHO','CURITIBA','PR','116163161215111431356714472122610167187',7663,'9998',52.41,1,3,NULL),(25,6106480,'1988-02-05 00:00:00',4,1,12,2005,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241217153431437711575124131921171',10563,'9997',50.39,1,3,NULL),(25,6106498,'1992-06-04 00:00:00',4,1,12,2009,'M','N','ALTO DAS OLIVEIRAS','TELÊMACO BORBA','PR','116163161211471411646824571124241418126',4389,'9998',59.57,1,3,NULL),(25,6106501,'1981-07-03 00:00:00',1,1,6,1999,'M','N','CENTRO','RANCHO QUEIMADO','SC','124241246136154751355639597145322268196',8341,'306',54.23,1,2,1),(25,6106528,'1992-07-24 00:00:00',4,1,12,2009,'F','N','LIBERDADE','S PAULO','SP','125112113212222131288966571121610114142',NULL,'9998',0.00,4,3,NULL),(25,6106536,'1994-02-22 00:00:00',2,1,12,2010,'F','N','SANTOS DUMONT','S JOSÉ','SC','124244241117131531448413475124610116042',12459,'739',43.90,1,3,NULL),(25,6106544,'1991-07-30 00:00:00',4,1,12,2008,'F','N','FERRAZ','GAROPABA','SC','124241241146152411668611285112610138187',NULL,'322',32.31,1,3,NULL),(25,6106552,'1992-09-11 00:00:00',4,1,12,2010,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124244241415123431439911575124610111112',10004,'1133',46.70,1,3,NULL),(25,6106560,'1987-11-20 00:00:00',2,1,12,2005,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','125252251215571411436931572122610167042',1933,'9998',67.38,1,3,NULL),(25,6106579,'1993-11-11 00:00:00',4,8,11,2010,'F','N','VILA IZABEL','CURITIBA','PR','116162161215411721238923574124610144187',NULL,'9998',33.15,1,3,NULL),(25,6106587,'1992-12-10 00:00:00',4,1,12,2009,'F','N','OESTE','GOIÂNIA','GO','109094091217371411568812575122610162092',8393,'9998',50.95,1,3,NULL),(25,6106595,'1992-07-02 00:00:00',4,2,12,2009,'F','N','SANTO ANTONIO','S CAETANO SUL','SP','125252251217371431349811592122610135052',NULL,'9998',44.72,1,3,NULL),(25,6106617,'1992-10-28 00:00:00',4,17,12,2009,'M','N','TRICOLIN','CANOINHAS','SC','124242241215472731458932575122610167012',523,'154',76.33,1,3,NULL),(25,6106625,'1992-03-17 00:00:00',2,1,12,2008,'F','N','CENTRO','STO AUGUSTO','RS','120201201116573431429714445114610122052',NULL,'9998',0.00,1,2,1),(25,6106633,'1992-05-26 00:00:00',4,5,10,2009,'F','N','PRÓSPERA','CRICIÚMA','SC','124242241215472431338831571122610154142',254,'213',80.30,1,3,NULL),(25,6106641,'1991-02-13 00:00:00',2,1,11,2008,'F','N','TATUAPÉ','S PAULO','SP','125252251215572431469822571125610127092',1784,'9998',68.96,1,3,NULL),(25,6106650,'1992-05-16 00:00:00',4,1,12,2010,'F','N','SEMINÁRIO','CURITIBA','PR','116164161215111231378834575124610123182',NULL,'9998',25.47,1,3,NULL),(25,6106668,'1993-01-22 00:00:00',4,1,12,2010,'F','N','BEZENELO','NOVA TRENTO','SC','124242241217112411549812344124610166092',1126,'948',73.28,1,3,NULL),(25,6106676,'1989-09-18 00:00:00',4,3,12,2008,'M','N','SÃO LUIZ','BRUSQUE','SC','124242241315372731443419241212131462182',14087,'912',41.67,1,3,NULL),(25,6106692,'1994-01-14 00:00:00',4,2,12,2010,'M','N','CANTA GALO','RIO SUL','SC','124242241215271431648812371111610147142',2981,'654',64.32,1,3,NULL),(25,6106706,'1990-07-13 00:00:00',4,9,12,2007,'M','N','CENTRO','CONCÓRDIA','SC','124241246117473411659913575124241434012',NULL,'196',31.18,1,2,1),(25,6106714,'1993-09-23 00:00:00',4,6,12,2010,'M','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161212271441359932572111610167122',12661,'9998',47.11,1,3,NULL),(25,6106722,'1989-01-13 00:00:00',2,1,4,2007,'M','N','SERRARIA','S JOSÉ','SC','124243247346474731227624145124233267062',14808,'9999',39.37,1,3,NULL),(25,6106730,'1993-08-19 00:00:00',4,8,12,2010,'M','N','VALE DOS CEBRANTES','JUNDIAÍ','SP','125252251215161411437924475122610136172',11008,'9998',46.46,1,3,NULL),(25,6106749,'1993-08-23 00:00:00',2,1,12,2010,'F','N','GUIA LOPES','STA ROSA','RS','120202201216471431533832575122610122142',NULL,'9998',0.00,1,3,NULL),(25,6106757,'1991-11-04 00:00:00',4,8,12,2008,'M','N','ZONA OITO','MARINGÁ','PR','116162161216521431368814195122610162046',6545,'9998',55.03,1,3,NULL),(25,6106765,'1992-07-06 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241217373431568912572112610122185',7987,'270',54.84,1,3,NULL),(25,6106773,'1987-01-16 00:00:00',4,1,12,2004,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124201201116131721423319445124141227047',18127,'9998',34.33,1,2,1),(25,6106790,'1994-08-14 00:00:00',4,1,2,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431336421575114610122127',17720,'1022',39.37,1,3,NULL),(25,6106803,'1993-06-08 00:00:00',4,8,12,2010,'F','N','NOSSA S DAS GRAÇAS','AMPÉRE','PR','121161213211151731326823292125610125077',5246,'9998',56.29,1,3,NULL),(25,6106811,'1991-09-06 00:00:00',4,1,12,2008,'F','N','JARDIM ITÁLIA','MARINGÁ','PR','116162161231571751453831571122610168057',425,'9998',77.50,1,3,NULL),(25,6106820,'1993-08-02 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215111431347614575114610144047',NULL,'1022',32.30,1,3,NULL),(25,6106838,'1992-03-16 00:00:00',4,1,11,2009,'M','N','CENTRO','CURITIBA','PR','116252161215472431568821575122610137042',6291,'9998',55.24,1,3,NULL),(25,6106846,'1992-02-27 00:00:00',2,4,12,2009,'F','N','BONINI','CRUZ ALTA','RS','120201201217371431334431172125610128187',11867,'9998',43.77,1,3,NULL),(25,6106854,'1993-08-11 00:00:00',4,4,12,2010,'M','N','CENTRO','PLANALTO ALEGRE','SC','124244241217171331348933572112610127042',11351,'185',43.78,1,3,NULL),(25,6106862,'1993-09-17 00:00:00',4,1,12,2010,'M','N','ABRANCHES','CURITIBA','PR','116164161216111431449619575114610167062',11544,'9998',43.74,1,3,NULL),(25,6106889,'1992-08-23 00:00:00',4,1,7,2010,'F','N','ASA NORTE','BRASÍLIA','DF','107072076317371751369613575112610138182',15119,'9998',37.83,4,3,NULL),(25,6106897,'1992-06-16 00:00:00',4,1,12,2009,'M','N','MORUMBI','PEDREIRA','SP','125253251215571731458812325121610138092',14732,'9998',38.22,1,3,NULL),(25,6106900,'1989-08-02 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124161071117371211228644442234610112142',19071,'9998',36.80,1,2,1),(25,6106919,'1993-01-05 00:00:00',4,1,12,2010,'M','N','CENTRO','ARAPONGAS','PR','116162161217111431457812172121610167052',2239,'9998',68.40,1,3,NULL),(25,6106927,'1992-09-12 00:00:00',2,8,12,2010,'M','N','PARQUE SANTA CANDIDA','ARARAS','SP','125254251216111732559931495122610168077',NULL,'9998',0.00,1,3,NULL),(25,6106943,'1993-04-28 00:00:00',4,15,12,2010,'F','N','CENTRO','PR GRANDE','SC','124243241215122431438814575124610124145',4689,'970',59.39,1,3,NULL),(25,6106951,'1993-03-21 00:00:00',4,2,12,2010,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241215272431268914575122610161182',7403,'909',53.66,1,3,NULL),(25,6106960,'1986-12-17 00:00:00',2,1,12,2004,'F','N','ZONA SETE','MARINGÁ','PR','116254251216572431238711594125610143187',NULL,'9998',26.32,1,3,NULL),(25,6106978,'1990-11-03 00:00:00',4,1,12,2007,'M','N','BURITI','CPO GRANDE','MS','112122121117371441338819475122610132182',1810,'9998',69.99,1,3,NULL),(25,6106986,'1991-10-06 00:00:00',4,1,12,2008,'F','N','CHICO DE PAULA','JARAGUÁ SUL','SC','124242241217373711588933571124121565177',2566,'1063',67.03,1,3,NULL),(25,6106994,'1993-04-13 00:00:00',4,1,12,2010,'F','N','VILA MATILDE','S PAULO','SP','125252251216111431479934575124610123142',NULL,'9998',0.00,1,3,NULL),(25,6107001,'1990-04-30 00:00:00',4,2,12,2007,'F','N','GARCIA','BLUMENAU','SC','124074211115573431559913572122610143147',1777,'9998',68.63,1,3,NULL),(25,6107010,'1987-02-27 00:00:00',2,1,11,2004,'M','N','AGUAS CLARAS','TAGUATINGA','DF','107072071217572431568619592122610114077',NULL,'9998',0.00,1,3,NULL),(25,6107028,'1992-02-24 00:00:00',4,1,11,2009,'F','N','JARDIM CELESTE','S PAULO','SP','125252251215471431448814582122610167077',5598,'9998',56.53,1,3,NULL),(25,6107036,'1991-10-13 00:00:00',4,1,7,2009,'F','N','FAZ SANTO ANTÔNIO','S JOSÉ','SC','124243241116344121438613395124610168177',14885,'739',38.57,1,3,NULL),(25,6107044,'1989-07-07 00:00:00',4,1,12,2006,'F','N','VILA TEIXEIRA','CAMPINAS','SP','125251251116571731323413381114610124091',8543,'9998',50.54,1,2,1),(25,6107052,'1992-01-11 00:00:00',2,3,12,2008,'F','N','CENTRO','FORMOSA OESTE','PR','116161161115571431453611575122610166197',5728,'9998',56.11,1,2,1),(25,6107079,'1992-11-25 00:00:00',5,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','125242211215151411569713575122610161142',5273,'9998',57.34,1,3,NULL),(25,6107087,'1976-03-14 00:00:00',4,8,12,1993,'M','N','JARDIM CANADÁ','MARINGÁ','PR','216161161116513421273357411122341562142',2041,'9998',68.96,1,2,1),(25,6107109,'1962-09-28 00:00:00',4,1,12,1980,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224243244316275741549941115122420857042',4206,'260',59.33,1,3,NULL),(25,6107117,'1992-09-09 00:00:00',4,1,11,2009,'F','N','VILA PLANALTO','DOURADOS','MS','112162161215472721459916575125610118142',5662,'9998',59.42,3,3,NULL),(25,6107125,'1993-11-16 00:00:00',2,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124242241117371132448613575114610167047',NULL,'739',18.88,1,3,NULL),(25,6107141,'1991-09-10 00:00:00',2,8,12,2009,'F','N','JARDIM IRIRIU','JOINVILLE','SC','124242241415212611234624246224610161077',NULL,'462',25.02,4,3,NULL),(25,6107150,'1994-01-10 00:00:00',2,1,11,2010,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242241215111431546714575124610124077',9287,'868',48.80,1,3,NULL),(25,6107168,'1992-09-10 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472431128613375124610144183',12143,'270',47.92,4,3,NULL),(25,6107176,'1990-10-24 00:00:00',2,3,12,2009,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201217271751357821575124143227187',NULL,'9998',20.63,1,3,NULL),(25,6107184,'1993-11-22 00:00:00',2,1,12,2010,'M','N','COSTEIRA DO RIBEIRÃO','FLORIANÓPOLIS','SC','124241241137151431525433572114610162017',20587,'278',29.15,1,2,1),(25,6107206,'1994-06-14 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431258822375122610137072',NULL,'262',39.86,1,3,NULL),(25,6107214,'1994-04-20 00:00:00',4,1,12,2011,'F','S','ENSEADA DE BRITO','PALHOÇA','SC','124244241217111431358933591124610116177',NULL,'1011',46.92,1,3,NULL),(25,6107222,'1991-03-23 00:00:00',4,1,12,2008,'F','N','STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC','124243241137472431456933345124131461077',8449,'831',54.05,1,3,NULL),(25,6107249,'1992-04-20 00:00:00',4,1,12,2009,'M','N','BAIRRO ALTO','CURITIBA','PR','116162161315571531326112272125610134047',110,'9998',83.09,3,3,NULL),(25,6107257,'1991-07-13 00:00:00',4,1,12,2008,'M','N','QUINTA DA BOA VISTA','MAIRIPORÃ','SP','125252251215571431349931481122610162187',10079,'9998',48.29,1,3,NULL),(25,6107265,'1993-07-13 00:00:00',2,1,12,2010,'F','N','ROÇADO','S JOSÉ','SC','124241241116371731336633575124610124192',14393,'733',40.19,1,2,1),(25,6107273,'1993-01-20 00:00:00',4,8,11,2010,'F','N','CENTRO','S FRANCISCO SUL','SC','124242241217121431338821475124610166077',NULL,'1063',0.00,1,3,NULL),(25,6107281,'1992-06-01 00:00:00',4,1,12,2009,'F','N','VILA A','FOZ IGUAÇU','PR','116162161215471411438514571122610163122',1805,'9998',68.13,1,3,NULL),(25,6107303,'1995-01-12 00:00:00',4,2,11,2011,'F','S','ASILO','BLUMENAU','SC','124242241116111431489914575112610164072',NULL,'88',26.14,1,3,NULL),(25,6107311,'1993-04-06 00:00:00',2,1,12,2010,'F','N','BERREIROS','S JOSÉ','SC','124241241115471431535734285124610134042',NULL,'733',16.74,1,2,1),(25,6107320,'1991-12-28 00:00:00',4,2,11,2010,'F','N','VALPARAISO','BLUMENAU','SC','124242241215111731436612225122610132192',11892,'855',43.83,1,3,NULL),(25,6107338,'1992-03-18 00:00:00',2,1,11,2009,'M','N','SOSSEGO','STO ÂNGELO','RS','120202201217472731445834572112610162162',14004,'9998',40.02,1,3,NULL),(25,6107354,'1989-03-08 00:00:00',2,10,12,2006,'F','N','CENTRO','STA MARIA','RS','120203201317571431259713574344610126042',2072,'9998',67.79,1,3,NULL),(25,6107362,'1993-05-14 00:00:00',4,1,12,2010,'F','N','BUENO','GOIÂNIA','GO','109092098216171411348823585122610116147',5173,'9998',58.13,2,3,NULL),(25,6107370,'1991-01-25 00:00:00',2,4,12,2008,'F','N','PACAEMBU','CASCAVEL','PR','116164161216571431436317575114610167047',757,'9998',75.64,1,3,NULL),(25,6107389,'1992-12-20 00:00:00',4,7,11,2009,'F','N','CENTRO','CURITIBA','PR','116244241215473431259912573124610166052',2467,'969',65.51,1,3,NULL),(25,6107400,'1993-01-06 00:00:00',4,1,12,2009,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241217143421436614345124610121147',21554,'63',27.44,1,3,NULL),(25,6107419,'1991-10-24 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124282281217471411359919475124610161142',13677,'9998',45.67,1,3,NULL),(25,6107427,'1994-12-22 00:00:00',4,1,12,2011,'F','S','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215111711469934575122610127072',NULL,'262',37.09,1,3,NULL),(25,6107435,'1991-06-03 00:00:00',2,17,12,2008,'F','N','NOVO MUNDO','CURITIBA','PR','116162161217472751468633575124243226117',NULL,'9998',0.00,1,3,NULL),(25,6107451,'1993-08-29 00:00:00',4,1,12,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241115371531448813575124610167047',11361,'739',45.96,1,3,NULL),(25,6107460,'1993-07-22 00:00:00',2,8,12,2010,'M','N','VILA BETÂNIA','S JOSÉ CAMPOS','SP','125252251215111431558614372122610167043',NULL,'9998',20.20,1,3,NULL),(25,6107486,'1991-05-13 00:00:00',4,1,12,2008,'F','N','VILA MARIANA','S PAULO','SP','125252251216471731479914572112141067147',7191,'9998',51.97,1,3,NULL),(25,6107508,'1990-11-29 00:00:00',4,3,12,2007,'F','N','BOSQUE DOS EUCALIPTO','ARAÇOIABA SERRA','SP','125252251216271431325714585324343232072',NULL,'9998',23.34,1,3,NULL),(25,6107516,'1993-04-29 00:00:00',4,8,12,2010,'F','N','CENTRO','RIO NEGRINHO','SC','124242241215111741349913575122610134195',1536,'666',69.68,1,3,NULL),(25,6107524,'1992-07-04 00:00:00',4,3,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161215471731459911575124610164182',NULL,'9998',0.00,1,3,NULL),(25,6107532,'1993-06-21 00:00:00',2,1,12,2010,'F','N','JARDIM AMÉRICA','ANÁPOLIS','GO','109094091437371411548812375122610162142',6199,'9998',55.11,1,3,NULL),(25,6107540,'1994-01-28 00:00:00',4,17,12,2010,'F','N','CAPÃO RASO','CURITIBA','PR','116162161217121431469814572122610146142',NULL,'9998',0.00,1,3,NULL),(25,6107559,'1992-11-22 00:00:00',4,8,11,2009,'F','N','FLORESTA','JOINVILLE','SC','124242241215371431234823572112610133072',NULL,'1006',0.00,1,3,NULL),(25,6107567,'1992-04-09 00:00:00',2,1,12,2009,'F','N','VILA IOLANDA','GUAÍBA','RS','120201201116271431543332571112610145057',17583,'9998',37.05,1,2,1),(25,6107575,'1991-05-20 00:00:00',4,1,12,2010,'M','N','RATONES','FLORIANÓPOLIS','SC','124241241425151712423334573224610134172',10489,'262',48.02,1,3,NULL),(25,6107583,'1990-03-23 00:00:00',4,1,12,2007,'F','N','PIRITUBA','S PAULO','SP','125252251217573431448817576124610127147',210,'9998',80.94,1,3,NULL),(25,6107591,'1989-08-08 00:00:00',2,4,9,2006,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120204201416572711539611575122610168187',4797,'9998',58.07,1,3,NULL),(25,6107605,'1990-11-22 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241247141431479914492122610167057',NULL,'9999',28.20,2,1,2),(25,6107613,'1989-09-04 00:00:00',4,1,12,2006,'F','N','CENTRO','MARINGÁ','PR','116162161216572431459931574222122032187',470,'9998',77.64,1,3,NULL),(25,6107621,'1993-03-15 00:00:00',4,3,12,2010,'M','N','CENTRO','ROLÂNDIA','PR','116162161216111431538812375122610167032',NULL,'9998',52.99,1,3,NULL),(25,6107630,'1969-06-06 00:00:00',2,1,12,1995,'F','N','SERRARIA','S JOSÉ','SC','424241247146371441334444345124610136193',10621,'9999',50.29,1,3,NULL),(25,6107648,'1991-12-19 00:00:00',4,8,12,2009,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124244241216472431468614592121610122042',6746,'441',54.58,1,3,NULL),(25,6107664,'1993-05-21 00:00:00',4,3,12,2010,'F','N','JARDIM HIGIANOPOLIS','MARINGÁ','PR','116162161214271431468931472122610167047',6150,'9998',57.50,1,3,NULL),(25,6107672,'1984-02-16 00:00:00',2,1,12,2001,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124132241325373421237611443234610127017',20071,'21',34.38,4,3,NULL),(25,6107680,'1991-08-30 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472431569911475122610133077',670,'270',76.23,1,3,NULL),(25,6107699,'1992-09-15 00:00:00',4,1,11,2010,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125254251437111731489914495112610123142',NULL,'9998',0.00,1,3,NULL),(25,6107702,'1990-07-04 00:00:00',2,1,12,2007,'M','N','JARDIM AMÉRICA','ANÁPOLIS','GO','109092091216573431538812575122143242197',2011,'9998',67.93,1,3,NULL),(25,6107710,'1993-03-19 00:00:00',4,8,12,2010,'M','N','GLÓRIA','JOINVILLE','SC','124241246217141432548614575124610137062',10582,'1006',46.06,1,3,NULL),(25,6107729,'1991-07-26 00:00:00',2,4,12,2008,'M','N','INTERIOR','PALMITINHO','RS','120201201117373431333823472324140736141',18779,'9998',32.37,1,2,1),(25,6107737,'1993-04-14 00:00:00',2,1,12,2010,'F','N','ARAÇATUBA','IMBITUBA','SC','124241241117131431426311575124610114077',NULL,'361',20.65,1,2,1),(25,6107753,'1993-02-28 00:00:00',4,1,11,2010,'M','N','MONTE CARLO','S JOAQUIM','SC','124242241216271431443723595124610124072',11339,'721',44.09,1,3,NULL),(25,6107788,'1993-01-02 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201241115132431223524346324610136147',15296,'271',37.78,1,2,1),(25,6107796,'1993-05-16 00:00:00',4,4,12,2010,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241115271431445634592122610134142',15486,'169',38.00,1,2,1),(25,6107800,'1993-08-08 00:00:00',4,1,12,2010,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241127131431315334575124610125017',20635,'1099',32.62,1,2,1),(25,6107818,'1992-07-15 00:00:00',4,1,12,2009,'F','N','SERRADINHO','CPO GRANDE','MS','112123121217472431268833571112610134147',665,'9998',74.84,4,3,NULL),(25,6107826,'1992-04-21 00:00:00',2,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241248117372431426519295124610125147',21318,'289',29.30,2,1,1),(25,6107834,'1993-10-18 00:00:00',4,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115371731534511372122610128147',12462,'592',42.86,1,2,1),(25,6107842,'1993-03-01 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241117131431326627575122610124197',17587,'257',35.24,2,1,1),(25,6107850,'1985-08-15 00:00:00',2,17,10,2003,'M','N','NOVO MUNDO','CURITIBA','PR','116241241115571721434623395124131335177',NULL,'153',17.64,1,2,1),(25,6107869,'1993-12-13 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111232451323592122610137062',6189,'738',55.43,4,3,NULL),(25,6107877,'1971-09-07 00:00:00',2,1,12,1990,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224241243126575431463353274122610161147',11848,'65',48.06,1,2,1),(25,6107885,'1993-09-18 00:00:00',4,3,12,2010,'F','N','BOSQUE DOS EUCALIPTO','ARAÇOIABA SERRA','SP','125252251216371431325714575324610134072',14563,'9998',39.01,1,3,NULL),(25,6107893,'1992-03-10 00:00:00',4,1,12,2009,'F','N','VISTA ALEGRE','VINHEDO','SP','125252251215471431488834575122143133147',421,'9998',77.68,1,3,NULL),(25,6107907,'1993-05-13 00:00:00',4,1,11,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111531459912572122610168067',7430,'1133',53.52,1,3,NULL),(25,6107915,'1987-01-26 00:00:00',2,2,12,2004,'M','N','SAO LUIS','JARAGUÁ SUL','SC','124161161116575431533714375122610165177',1121,'9998',73.08,1,2,1),(25,6107923,'1991-03-31 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372431478833375112232824145',16841,'262',40.88,1,3,NULL),(25,6107931,'1986-04-05 00:00:00',4,1,11,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','624241247425131431236654245114610121197',21586,'9999',27.09,1,3,NULL),(25,6107940,'1991-07-17 00:00:00',4,8,11,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161236572431336611272114610112197',NULL,'9998',0.00,1,3,NULL),(25,6107958,'1992-11-23 00:00:00',4,2,12,2010,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215111431348923572112610127147',8706,'855',50.88,1,3,NULL),(25,6107974,'1994-05-09 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124052241215111431458934575124610162052',11985,'737',43.85,1,3,NULL),(25,6107990,'1979-07-25 00:00:00',2,1,12,1999,'M','N','SACO GRANDE II','FLORIANÓPOLIS','SC','124241241126375411334439285223340317117',NULL,'307',0.00,1,2,1),(25,6108008,'1981-09-16 00:00:00',4,8,12,2001,'M','N','ITAUM','JOINVILLE','SC','124241241146152411233374441224232342186',18185,'472',38.49,1,3,NULL),(25,6108016,'1991-05-11 00:00:00',4,1,12,2008,'M','N','JARDIM DAS NAÇOES','TAUBATÉ','SP','125252251216572431468811472112610167097',359,'9998',77.51,1,3,NULL),(25,6108032,'1993-05-21 00:00:00',4,7,12,2010,'F','N','SAO CRISTOVAO','VIDEIRA','SC','124242161216371431469814572124610132097',19260,'9998',31.71,1,3,NULL),(25,6108040,'1989-12-18 00:00:00',4,1,11,2007,'F','N','LIBERDADE','S PAULO','SP','125252251217571451488811115122610112122',NULL,'9998',0.00,3,3,NULL),(25,6108059,'1994-01-15 00:00:00',2,4,12,2010,'M','N','INTERIOR','XAVANTINA','SC','124241241116161431433436575124610124012',NULL,'763',13.81,1,2,1),(25,6108067,'1990-05-26 00:00:00',4,4,12,2007,'F','N','CENTRO','NOVA AURORA','PR','116163161216571751479832572112610164197',3753,'9998',62.06,3,3,NULL),(25,6108075,'1993-06-03 00:00:00',2,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241216272431457713175122610122182',13501,'724',42.11,1,3,NULL),(25,6108105,'1990-08-08 00:00:00',2,1,12,2008,'F','N','JARDIM AQUÁRIOS','PALHOÇA','SC','124241241112371431221329392124610114147',NULL,'592',26.95,4,2,1),(25,6108113,'1993-05-21 00:00:00',4,2,12,2010,'M','N','BOA VISTA','BLUMENAU','SC','124242241217271311259932575122610127057',8429,'87',51.62,1,3,NULL),(25,6108121,'1991-11-05 00:00:00',4,8,12,2009,'M','N','VILA NOVA','MAFRA','SC','116241241215112411148823595124241764141',NULL,'541',0.00,1,3,NULL),(25,6108130,'1993-09-23 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212111411568821492122610124052',2653,'262',66.99,1,3,NULL),(25,6108156,'1976-06-19 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','524241247137131431221344346344610133197',NULL,'9997',4.65,1,2,1),(25,6108164,'1992-08-28 00:00:00',4,5,12,2009,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215372431379933575115610126142',337,'807',78.78,1,3,NULL),(25,6108172,'1986-10-10 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241121472231533439395124610114143',NULL,'293',20.77,1,2,1),(25,6108199,'1993-01-22 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242248215111431536354342122610133182',15864,'1118',41.77,1,3,NULL),(25,6108202,'1989-12-19 00:00:00',4,1,12,2007,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241216575411467814575124133224192',13814,'258',42.65,1,3,NULL),(25,6108210,'1993-10-04 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','125252251215111441448719572122610124092',4946,'9998',56.94,1,3,NULL),(25,6108229,'1993-04-21 00:00:00',2,1,11,2010,'M','N','CAPÃO DA IMBUIA','CURITIBA','PR','116162161217111531357834575124610147187',10182,'9998',51.02,1,3,NULL),(25,6108237,'1993-05-22 00:00:00',4,2,11,2010,'M','N','DORES','STA MARIA','RS','120243201217111331439933575124610124122',3150,'9998',63.98,1,3,NULL),(25,6108245,'1992-05-23 00:00:00',4,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124242241216373431535531575124610122052',10890,'270',47.14,1,3,NULL),(25,6108253,'1991-05-26 00:00:00',2,8,12,2008,'F','N','CENTRO','PARANAVAÍ','PR','116164161215573431448824574222610162012',64,'9998',84.90,1,3,NULL),(25,6108261,'1989-09-05 00:00:00',4,1,12,2006,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241136132441123544245224221912082',NULL,'194',38.24,1,3,NULL),(25,6108270,'1994-01-01 00:00:00',2,3,11,2011,'F','S','ARIRIBÁ','BAL CAMBORIÚ','SC','124242241216111451449714475122610166192',NULL,'9997',27.34,1,3,NULL),(25,6108288,'1985-01-30 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','224243241216471421224343435124610112042',9103,'1134',49.36,2,1,2),(25,6108300,'1993-02-18 00:00:00',2,1,11,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241117131431523339192121610137187',18345,'288',36.18,5,2,1),(25,6108318,'1993-04-03 00:00:00',2,1,12,2009,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241117272431536614245124610142141',NULL,'591',35.70,1,2,1),(25,6108326,'1994-01-28 00:00:00',4,16,12,2010,'M','N','CENTRO','FRAIBURGO','SC','124244241215111431436934245125610148077',NULL,'317',20.28,1,3,NULL),(25,6108334,'1992-11-07 00:00:00',4,1,12,2009,'M','N','CENTRO','PTO ALEGRE','RS','120202201216371431478833574124610167187',NULL,'9998',0.00,1,3,NULL),(25,6108342,'1993-07-08 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124092241215111431468813575115610137112',5935,'270',58.89,1,3,NULL),(25,6108350,'1992-07-14 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241127374411323315274124610133182',9733,'13',48.83,1,2,1),(25,6108377,'1994-02-14 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431469811592112610161192',13888,'270',39.69,1,3,NULL),(25,6108393,'1993-02-04 00:00:00',4,1,11,2010,'F','N','JARDIM CIDADE','S JOSÉ','SC','124162161215411431536831574122610144147',1378,'9998',70.22,1,3,NULL),(25,6108407,'1992-06-25 00:00:00',2,5,12,2010,'F','N','OPERARIA NOVA','CRICIÚMA','SC','124242241215121431328324572224610134117',10904,'226',45.82,1,3,NULL),(25,6108415,'1992-05-27 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472411635612575124610124177',7522,'515',53.99,1,3,NULL),(25,6108423,'1991-05-28 00:00:00',2,1,12,2008,'M','N','AUXILIADORA','PTO ALEGRE','RS','120242241215572431589811576324610167096',1275,'109',71.49,1,3,NULL),(25,6108440,'1994-12-25 00:00:00',4,2,12,2011,'M','S','JARDIM POMERÂNEA','POMERODE','SC','124242241216111431587832485112610137042',NULL,'624',37.46,1,3,NULL),(25,6108458,'1993-08-05 00:00:00',4,7,12,2010,'M','N','FLORESTA','VIDEIRA','SC','124241241217271431458823575122610164122',2750,'829',65.70,1,3,NULL),(25,6108466,'1993-02-02 00:00:00',2,1,11,2010,'M','N','JD CIDADE FPOLIS','S JOSÉ','SC','124241241116371432635514345214610164042',NULL,'734',18.81,1,3,NULL),(25,6108474,'1992-06-07 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','125252251217371431438811415124610111142',4338,'9998',59.01,1,3,NULL),(25,6108482,'1994-01-05 00:00:00',4,8,12,2011,'M','S','CENTRO','CASTRO','PR','116162161217111431368734572122610134042',NULL,'9998',56.94,3,3,NULL),(25,6108504,'1990-11-18 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124044201117371451656613575122610134172',5632,'9998',59.49,1,3,NULL),(25,6108512,'1989-11-21 00:00:00',2,1,12,2008,'F','N','JOSÉ MENDEZ','FLORIANÓPOLIS','SC','124201248121131731233341415124610136147',NULL,'307',0.00,1,2,1),(25,6108547,'1993-09-20 00:00:00',2,5,12,2010,'F','N','SANTA ISABEL','FORQUILHINHA','SC','124244246217141431448919575124610167077',19389,'995',36.09,1,3,NULL),(25,6108563,'1987-07-08 00:00:00',4,1,12,2004,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215375731339923572124123263142',3319,'270',65.03,1,3,NULL),(25,6108571,'1993-01-15 00:00:00',2,1,12,2010,'F','N','GUARDA DO EMBAÚ','PALHOÇA','SC','124241241115471411523319276224610167117',19381,'592',31.45,1,2,1),(25,6108580,'1993-02-04 00:00:00',2,2,10,2010,'M','N','VILA NOVA','BLUMENAU','SC','124242241215111511468611416122610167132',13976,'855',41.47,1,3,NULL),(25,6108598,'1991-06-03 00:00:00',4,7,2,2011,'M','N','MATRIZ','VIDEIRA','SC','124241241136131431223414245125610116177',18468,'831',35.58,1,3,NULL),(25,6108601,'1993-03-18 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241415112411547634574114610128197',9856,'1022',49.35,1,3,NULL),(25,6108628,'1992-07-11 00:00:00',4,1,6,2010,'M','N','CAMPO GRANDE','SANTOS','SP','125284281117271731448832595121610117092',9776,'9998',51.74,1,3,NULL),(25,6108636,'1990-05-04 00:00:00',4,1,11,2007,'F','N','JARDIM FLÓRIDA','JACAREÍ','SP','125252251217573731459613585122610162092',2051,'9998',66.96,1,3,NULL),(25,6108644,'1986-08-19 00:00:00',4,1,12,2003,'M','N','JARDIN SÃO JORGE','S PAULO','SP','125251251146571451424624475124610122097',847,'9998',74.43,1,2,1),(25,6108652,'1991-09-28 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161215573431469813571122242462092',401,'9998',78.45,3,3,NULL),(25,6108660,'1993-07-14 00:00:00',2,8,12,2010,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241136141431353313345114610132041',11330,'1103',44.22,1,2,1),(25,6108687,'1991-12-20 00:00:00',2,9,11,2008,'M','N','PRADINHO','S JOAQUIM','SC','124244241216573431436931575125610167072',11371,'1035',45.89,1,3,NULL),(25,6108695,'1992-04-23 00:00:00',4,3,12,2010,'M','N','PERDIZES','S PAULO','SP','125252281216371431379921574124610127047',NULL,'9998',0.00,1,3,NULL),(25,6108709,'1993-08-05 00:00:00',4,15,12,2010,'F','N','CENTRO','TORRES','RS','120202201216321731534623275122610164097',NULL,'9998',15.56,1,3,NULL),(25,6108717,'1993-05-04 00:00:00',2,8,11,2010,'F','N','BOQUEIRÃO','CURITIBA','PR','116161161417471731346513335124610168197',NULL,'9998',0.00,1,3,NULL),(25,6108725,'1993-01-12 00:00:00',4,8,12,2009,'M','N','CENTRO','LONDRINA','PR','116162161216471431449913575122610127072',4298,'9998',61.13,1,3,NULL),(25,6108733,'1992-12-08 00:00:00',2,15,11,2009,'F','N','CENTRO','ARARANGUÁ','SC','124242241211471431365512375125610164193',7114,'32',56.52,1,3,NULL),(25,6108750,'1993-02-20 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241236271431549931575115610164142',10403,'44',48.20,1,3,NULL),(25,6108768,'1993-07-06 00:00:00',4,1,12,2010,'F','N','SÃO FRANCISCO','CPO GRANDE','MS','112122121216121731457932592122610132182',8778,'9998',49.59,1,3,NULL),(25,6108776,'1985-04-15 00:00:00',4,1,12,2004,'F','N','KOBRASOL','S JOSÉ','SC','524241241122135432323619382124130863197',NULL,'736',17.49,1,3,NULL),(25,6108784,'1993-08-12 00:00:00',4,15,12,2010,'F','N','COHAB','OURINHOS','SP','125251251137141411467569495134610165172',NULL,'9998',0.00,1,2,1),(25,6108792,'1993-05-19 00:00:00',4,1,12,2010,'F','N','VILA CARMEM','PASSO FUNDO','RS','120202201217111431448911475122610146182',NULL,'9998',0.00,1,3,NULL),(25,6108806,'1992-06-22 00:00:00',4,8,12,2009,'M','N','BANDEIRAS','ARAÇATUBA','SP','125252251216471431437831571112610164082',NULL,'9998',0.00,1,3,NULL),(25,6108814,'1993-01-12 00:00:00',2,1,12,2010,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241117371331435414575124610121077',14043,'772',40.35,1,2,1),(25,6108822,'1994-10-10 00:00:00',4,1,11,2011,'M','S','FORQUILHINHA','S JOSÉ','SC','124242241215111432438614275124610117141',NULL,'723',41.90,1,3,NULL),(25,6108830,'1987-09-24 00:00:00',2,1,12,2004,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','624164161317112411226644445114141644042',8796,'9998',49.99,1,3,NULL),(25,6108849,'1993-07-22 00:00:00',4,8,11,2010,'M','N','VILA NOVA','JOINVILLE','SC','124242241215111431346812572112610167112',171,'1063',81.60,1,3,NULL),(25,6108857,'1992-01-04 00:00:00',2,1,12,2009,'F','N','ARIRIU','PALHOÇA','SC','124241241415372431443923572124230411145',16897,'1022',40.78,3,3,NULL),(25,6108881,'1978-06-16 00:00:00',2,1,12,1998,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624161161121153431245651295124140226142',NULL,'9998',23.88,1,3,NULL),(25,6108890,'1993-08-27 00:00:00',4,1,12,2010,'M','N','CENTRO','CAÇADOR','SC','124242241216271431359832425122610137062',NULL,'120',37.32,1,3,NULL),(25,6108903,'1993-10-05 00:00:00',2,1,12,2010,'F','N','VILA YOLANDA','FOZ IGUAÇU','PR','116162161216411731466632592112610112147',NULL,'9998',13.56,1,3,NULL),(25,6108911,'1989-09-12 00:00:00',2,5,12,2007,'M','N','BOM FIM','PTO ALEGRE','RS','120203201216571431643511471122143267047',NULL,'9998',57.03,1,3,NULL),(25,6108920,'1993-01-27 00:00:00',2,8,12,2009,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116161161115572711437813573124610124147',2306,'9998',66.77,1,2,1),(25,6108938,'1988-02-19 00:00:00',4,1,12,2006,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241146372431523723282121130238197',NULL,'712',26.98,1,2,1),(25,6108954,'1990-07-06 00:00:00',2,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241136131712621324245224610167187',NULL,'289',29.58,1,2,1),(25,6108962,'1990-07-16 00:00:00',4,7,12,2008,'F','N','FARROUPILHA','VIDEIRA','SC','124241241127271431633414282221610113062',NULL,'831',11.67,1,2,1),(25,6108970,'1993-03-10 00:00:00',2,1,12,2010,'M','N','PRAIA DO ROSA','IMBITUBA','SC','124241241215121431546612275114610144012',5992,'1022',57.23,4,3,NULL),(25,6108989,'1991-12-07 00:00:00',4,1,12,2008,'F','N','CENTRO','MATÃO','SP','125162161216573731447732275122610123017',664,'9998',76.09,1,3,NULL),(25,6108997,'1993-08-09 00:00:00',4,16,12,2010,'F','N','TERESOPOLIS','PTO ALEGRE','RS','120242201216471731569612575124610136071',5507,'9998',57.05,1,3,NULL),(25,6109004,'1989-04-10 00:00:00',2,6,11,2006,'F','N','SÃO VICENTE','ITAJAÍ','SC','124241241215575451423333572314131465081',1286,'1026',72.32,1,3,NULL),(25,6109012,'1983-12-06 00:00:00',2,1,12,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','624251251117572421243653342123610165117',NULL,'9998',13.53,1,2,1),(25,6109020,'1992-09-17 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241246117141731336834345124610167112',16146,'306',35.28,1,2,1),(25,6109039,'1993-02-01 00:00:00',4,7,11,2009,'F','N','MERCÊS','CURITIBA','PR','116241161215573421446634572114610134145',1638,'9998',69.32,1,3,NULL),(25,6109063,'1991-02-03 00:00:00',4,1,12,2008,'F','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251212571751488814471112610164052',3344,'9998',61.78,1,3,NULL),(25,6109071,'1993-10-06 00:00:00',4,1,12,2010,'M','N','CENTRO','IMBITUBA','SC','124241248117271231336414385124610137177',NULL,'359',21.12,1,2,1),(25,6109080,'1993-01-26 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241211272431566814345112610167042',16856,'1077',38.55,1,3,NULL),(25,6109098,'1990-05-16 00:00:00',2,6,12,2009,'M','N','JD DOS PRINCIPES','UMUARAMA','PR','116162161215311431245322374122142466154',18765,'9998',31.85,1,3,NULL),(25,6109101,'1992-04-04 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','120202201216372431428619575125610121057',NULL,'9998',23.72,1,3,NULL),(25,6109110,'1993-03-25 00:00:00',4,1,10,2010,'F','N','ORLEANS','CURITIBA','PR','116162161217111431348934145124610143012',NULL,'9998',0.00,4,3,NULL),(25,6109128,'1981-04-05 00:00:00',2,8,12,1998,'F','N','CENTRO','REGISTRO','SP','125251258316271411455812485122441364197',NULL,'9998',0.00,1,3,NULL),(25,6109136,'1993-09-17 00:00:00',2,8,12,2010,'F','N','JUVEVÊ','CURITIBA','PR','116162161215121741359812574122610162147',13713,'9998',41.37,1,3,NULL),(25,6109144,'1992-07-21 00:00:00',4,1,12,2010,'M','N','FLORESTA','S JOSÉ','SC','124242241215111431259739594124610167062',15415,'1050',39.93,1,3,NULL),(25,6109152,'1994-01-05 00:00:00',4,4,2,2012,'F','S','CENTRO','XANXERÊ','SC','124242201215111431336831311125610163197',NULL,'836',48.62,1,3,NULL),(25,6109160,'1992-02-15 00:00:00',4,8,12,2009,'M','N','SAGUAÇU','JOINVILLE','SC','124242241211473111438813132111123216161',4662,'486',59.79,1,3,NULL),(25,6109179,'1992-02-01 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124242241215272411436913395121233267187',10456,'9997',50.56,1,3,NULL),(25,6109187,'1989-01-04 00:00:00',2,1,12,2006,'F','N','VILA SÃO JOÃO','FLORIANÓPOLIS','SC','124242241116373441226724272114123264191',10610,'307',47.26,1,3,NULL),(25,6109209,'1989-03-16 00:00:00',4,1,12,2006,'F','N','PONTA DA PRAIA','SANTOS','SP','125254281217571411438314575125610117052',2082,'9998',67.04,3,3,NULL),(25,6109217,'1971-05-08 00:00:00',2,1,12,2004,'F','N','SAO JOSE','S JOSÉ','SC','124246248626373741231544345124610117182',NULL,'9999',32.06,4,3,NULL),(25,6109225,'1992-06-26 00:00:00',2,2,12,2009,'M','N','BELA VISTA','GASPAR','SC','124241246217131431346511495114610137092',20104,'1018',28.80,1,3,NULL),(25,6109233,'1993-02-01 00:00:00',4,8,12,2009,'F','N','VILA ROSA','ITAPETININGA','SP','125252251216372431458614575112610147097',NULL,'9998',0.00,3,3,NULL),(25,6109241,'1991-03-08 00:00:00',2,2,12,2008,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241137171431438334342114610141067',21471,'75',28.21,1,2,1),(25,6109250,'1992-06-16 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117372431438613442124610124147',21268,'281',22.92,1,3,NULL),(25,6109268,'1993-10-11 00:00:00',4,2,10,2010,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124243241215121431466612392124610132092',NULL,'855',45.22,1,3,NULL),(25,6109276,'1993-09-02 00:00:00',4,7,12,2010,'M','N','NAÇÕES','FRAIBURGO','SC','124242241215111431449611575122610127182',7273,'885',52.60,1,3,NULL),(25,6109284,'1993-09-23 00:00:00',4,1,12,2010,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124244247216371421423624575112610136057',8548,'9999',50.94,1,3,NULL),(25,6109292,'1994-01-02 00:00:00',4,8,12,2010,'F','N','ALTO DA XV','CURITIBA','PR','116162161216271431466833575112610136122',2908,'9998',63.08,1,3,NULL),(25,6109306,'1993-04-28 00:00:00',4,1,12,2010,'F','N','VILA MADALENA','S PAULO','SP','125254251117471711448831575124610166197',NULL,'9998',0.00,1,3,NULL),(25,6109322,'1992-03-05 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242244216572431448822572124610166187',39,'1081',86.20,1,3,NULL),(25,6109330,'1993-04-08 00:00:00',4,8,12,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124242246215111231563732575112610137012',12428,'1061',44.61,1,3,NULL),(25,6109349,'1992-05-28 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242246117151441369923475124610161091',3289,'306',62.36,1,3,NULL),(25,6109357,'1991-11-05 00:00:00',4,1,12,2009,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215472531488911575122610164182',231,'270',80.61,1,3,NULL),(25,6109365,'1991-12-05 00:00:00',4,3,12,2009,'F','N','CENTRO','CPO MOURÃO','PR','116162164216471431456916575112610164072',NULL,'9998',0.00,1,3,NULL),(25,6109381,'1992-11-01 00:00:00',4,8,11,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215272231348613575111610147092',10386,'457',45.84,1,3,NULL),(25,6109390,'1992-12-24 00:00:00',2,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124163241415121531266869571222610122195',13693,'299',45.64,1,3,NULL),(25,6109403,'1993-08-16 00:00:00',4,1,11,2010,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124242241215111431469912575122610131012',10706,'497',50.14,1,3,NULL),(25,6109411,'1989-10-03 00:00:00',2,1,12,2007,'F','N','JARDIM VARAN','SUZANO','SP','125251251147131451531379346124142364012',13537,'9998',39.98,1,2,1),(25,6109420,'1993-02-24 00:00:00',4,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241215121431436414574124610117053',13347,'1022',41.24,1,3,NULL),(25,6109438,'1991-09-09 00:00:00',4,3,12,2008,'F','N','CENTRO','CEL VIVIDA','PR','116162161216573431459931572112610113147',3681,'9998',61.53,1,3,NULL),(25,6109446,'1992-10-20 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215113431379833575122610123142',3259,'883',63.07,1,3,NULL),(25,6109454,'1993-07-11 00:00:00',4,8,12,2010,'F','N','MARUIPE','VITÓRIA','ES','108082081216111751489934572124610138142',16354,'9998',36.06,1,3,NULL),(25,6109462,'1989-04-06 00:00:00',4,1,6,2007,'F','N','FORQUILINHAS','S JOSÉ','SC','124203207331131731223544342234610163057',NULL,'9998',19.11,1,3,NULL),(25,6109470,'1977-02-10 00:00:00',4,1,6,2001,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124071247126272442326354495124610125092',16186,'9999',39.04,2,1,1),(25,6109489,'1994-05-20 00:00:00',2,4,12,2010,'F','N','LIDER','CHAPECÓ','SC','124241241112131431226724292125610111192',NULL,'170',14.67,3,2,1),(25,6109497,'1990-08-31 00:00:00',4,1,12,2007,'F','N','PONTE PRETA','MTE ALEGRE SUL','SP','125251251115571431336614575124610127057',NULL,'9998',0.00,1,2,1),(25,6109500,'1993-10-28 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115131431437513475124610116072',12589,'267',47.20,1,2,1),(25,6109519,'1993-04-05 00:00:00',4,7,12,2010,'F','N','ANZOLIN','JOAÇABA','SC','124241241215271431435814542124610127052',13097,'962',41.92,1,3,NULL),(25,6109527,'1991-10-17 00:00:00',2,1,12,2009,'F','N','JARDIM VISTA ALEGRE','JUNDIAÍ','SP','125252251236471431458812575122610137142',NULL,'9998',0.00,1,3,NULL),(25,6109535,'1992-04-14 00:00:00',4,17,12,2009,'M','N','CENTRO','CANOINHAS','SC','124241241117141431534634345121233222052',NULL,'146',0.00,1,2,1),(25,6109551,'1992-04-01 00:00:00',2,8,12,2009,'F','N','GUANABARA','JOINVILLE','SC','124242241215472431566411572122610123192',16371,'459',37.23,1,3,NULL),(25,6109578,'1993-04-23 00:00:00',4,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124242241216372331448633575124610117042',3731,'1011',62.59,1,3,NULL),(25,6109586,'1992-07-09 00:00:00',4,1,12,2010,'M','N','ORFÃS','PNT GROSSA','PR','116162166116151431549923575124610152051',NULL,'9998',0.00,1,3,NULL),(25,6109594,'1992-01-10 00:00:00',4,1,11,2009,'M','N','SMPW','NUC BANDEIRANTE','DF','107073071117471431568833571122610162142',NULL,'9998',0.00,4,3,NULL),(25,6109608,'1993-05-03 00:00:00',4,8,11,2009,'F','N','CENTRO','CURITIBA','PR','116203161415472431578913574114610145092',59,'9998',85.19,1,3,NULL),(25,6109624,'1993-08-09 00:00:00',4,4,12,2010,'M','N','CENTRO','PASSO FUNDO','RS','120202201217151431447833575125610134047',13951,'9998',41.60,3,3,NULL),(25,6109632,'1992-09-21 00:00:00',4,9,11,2010,'M','N','SUMARÉ','RIO SUL','SC','124242241216111331464819575112610127017',18212,'991',38.45,1,3,NULL),(25,6109659,'1991-11-26 00:00:00',2,1,12,2008,'F','N','JARDIM SÃO MIGUEL','BIGUAÇU','SC','124251251116133431433923575114222234142',NULL,'9998',27.92,1,2,1),(25,6109667,'1993-05-21 00:00:00',4,4,12,2010,'F','N','JARDIM PEPERI','S MIGUEL OESTE','SC','124242241216161731436912245122610162177',7804,'1079',51.85,1,3,NULL),(25,6109675,'1993-12-19 00:00:00',2,1,12,2010,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124242241216131431455814575122610164027',16021,'1075',42.10,4,3,NULL),(25,6109683,'1993-04-07 00:00:00',4,1,12,2009,'M','N','CENTRO','CURITIBA','PR','116222221237371441438933134324610128142',659,'9998',76.31,1,3,NULL),(25,6109691,'1991-09-06 00:00:00',4,1,12,2008,'F','N','VILA LUCINDA','STO ANDRÉ','SP','125252251216172431449814575122610167077',NULL,'9998',0.00,1,3,NULL),(25,6109705,'1989-11-28 00:00:00',4,1,7,2007,'F','N','ASA NORTE','BRASÍLIA','DF','107074071116575431478833572122242464092',1649,'9998',70.68,1,3,NULL),(25,6109713,'1992-09-02 00:00:00',4,1,12,2010,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124242241215131431358833572124610127167',9284,'883',49.52,1,3,NULL),(25,6109721,'1986-09-01 00:00:00',4,1,12,2004,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241116131431534319295124610124087',19549,'421',35.69,1,3,NULL),(25,6109730,'1989-09-22 00:00:00',2,8,12,2006,'F','N','CENTRO','PNT GROSSA','PR','116161161215574421438613574124141463197',3772,'9998',61.12,1,3,NULL),(25,6109756,'1993-04-04 00:00:00',4,4,12,2010,'F','N','CENTRO','MARMELEIRO','PR','116163161415111431433819575112610168147',8029,'9998',51.15,1,3,NULL),(25,6109764,'1994-03-29 00:00:00',2,4,12,2010,'F','N','INTERIOR','MARAVILHA','SC','124241241117371411526315173124610162052',NULL,'552',38.71,1,2,1),(25,6109772,'1984-09-22 00:00:00',4,1,12,2001,'M','N','LAGO NORTE','LG NORTE','DF','107072071211573321368813312122341267182',2612,'9998',64.71,3,3,NULL),(25,6109780,'1993-01-09 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431546611315124610122047',11021,'272',46.92,1,3,NULL),(25,6109799,'1992-01-02 00:00:00',4,1,12,2009,'F','N','JARDIM ATENAS','SERTÃOZINHO','SP','125252251215471431358821491112610162197',8118,'9998',50.49,1,3,NULL),(25,6109802,'1992-05-02 00:00:00',4,1,12,2009,'M','N','SION','BELO HORIZONTE','MG','113132131217471431578811575122610167187',320,'9998',79.40,1,3,NULL),(25,6109810,'1993-04-04 00:00:00',4,8,12,2010,'M','N','JUVEVÊ','CURITIBA','PR','116164161215121421566814271124610167097',5216,'9998',58.68,1,3,NULL),(25,6109837,'1993-12-14 00:00:00',4,1,12,2010,'M','N','EXPOSIÇÃO','CAXIAS SUL','RS','120202201217151411389931475124610162196',NULL,'9998',0.00,1,3,NULL),(25,6109845,'1993-10-21 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241115111712459933575124610164015',11234,'267',49.33,1,3,NULL),(25,6109853,'1991-12-02 00:00:00',4,8,12,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161211572411426831371124610164187',1480,'9998',70.54,1,3,NULL),(25,6109861,'1993-12-20 00:00:00',2,3,12,2010,'F','N','CENTRO','ITAPEMA','SC','124241242114131431538613572125610131097',11090,'129',45.90,1,2,1),(25,6109870,'1989-06-17 00:00:00',2,1,12,2007,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241216472431489813575124133262182',12870,'270',44.91,4,3,NULL),(25,6109888,'1993-03-11 00:00:00',4,4,12,2009,'F','N','CENTRO','GALVÃO','SC','124241241116472421337915575122610163177',NULL,'321',36.94,1,2,1),(25,6109896,'1992-03-21 00:00:00',4,2,11,2009,'M','N','TESTO CENTRAL','POMERODE','SC','117172171217571411566663576122141564197',2099,'9998',67.01,1,3,NULL),(25,6109918,'1993-12-15 00:00:00',2,7,11,2010,'F','N','CENTRO','CAPINZAL','SC','124242241216261131339732145124610142192',NULL,'446',17.44,1,3,NULL),(25,6109926,'1992-12-11 00:00:00',4,1,12,2009,'M','N','JUVEVÊ','CURITIBA','PR','116162161215571441366815575122610134037',NULL,'9998',0.00,1,3,NULL),(25,6109942,'1992-08-17 00:00:00',4,1,11,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241435372441456513575124132567046',7110,'1022',56.53,1,3,NULL),(25,6109950,'1994-03-10 00:00:00',2,1,12,2010,'F','N','CENTRO','MISSAL','PR','116161161117131431425532171124610132077',17216,'9998',36.71,1,2,1),(25,6109969,'1992-08-22 00:00:00',4,2,12,2009,'F','N','JD LOS ANGELES','MARINGÁ','PR','116162161216471431568833575122610123147',940,'9998',74.30,1,3,NULL),(25,6109977,'1992-12-10 00:00:00',4,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242248215121431456833336124610166187',2437,'270',66.33,1,3,NULL),(25,6109985,'1993-06-04 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431377822112122610124187',5052,'270',57.34,1,3,NULL),(25,6109993,'1990-09-24 00:00:00',4,1,12,2008,'M','N','SANTO AMARO','S PAULO','SP','125252251217571441378812575112610132016',79,'9998',84.29,1,3,NULL),(25,6110002,'1986-05-30 00:00:00',4,1,12,2004,'M','N','FURADINHO','PALHOÇA','SC','124241241127131421423317145323610127057',18712,'595',32.18,1,2,1),(25,6110010,'1993-07-01 00:00:00',4,8,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215111221469914575122610134147',8749,'1174',49.45,1,3,NULL),(25,6110029,'1993-09-14 00:00:00',4,8,12,2010,'F','N','SÃO LOURENÇO','CURITIBA','PR','116162161215271211448931571114610127092',NULL,'9998',0.00,1,3,NULL),(25,6110037,'1993-02-24 00:00:00',4,5,11,2010,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241212112411478612322122610135194',6355,'213',54.10,1,3,NULL),(25,6110045,'1991-11-17 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241217412531458832575124610164182',9829,'1050',51.65,4,3,NULL),(25,6110053,'1990-11-03 00:00:00',4,1,12,2008,'M','N','STO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC','124242241215373431568833475124131827042',2450,'270',67.64,1,3,NULL),(25,6110061,'1993-03-17 00:00:00',4,1,12,2010,'F','N','JD DAS INDÚSTRIAS','S JOSÉ CAMPOS','SP','125251251215471431468613571112610142076',164,'9998',81.68,1,3,NULL),(25,6110070,'1988-02-18 00:00:00',4,5,12,2006,'M','N','VERA CRUZ','CRICIÚMA','SC','124241241116271411526823315124130734187',NULL,'209',36.38,4,2,1),(25,6110096,'1993-05-12 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241115371431448934573124610167146',5040,'271',60.74,1,3,NULL),(25,6110100,'1994-07-07 00:00:00',4,7,12,2010,'M','N','JARDIM JOSÉ RUPP','HERVAL D OESTE','SC','624242241216111431338813275222610137052',NULL,'9999',28.44,2,1,2),(25,6110118,'1990-07-13 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201201216132431633329245124142334077',NULL,'9998',22.77,1,3,NULL),(25,6110126,'1991-02-15 00:00:00',2,1,12,2008,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241117372531423315442134610127147',18788,'592',37.37,1,2,1),(25,6110134,'1992-10-19 00:00:00',4,1,11,2010,'F','N','ALTO DA BOA VISTA','SOROCABA','SP','125252251217111431468862395111610167182',10725,'9998',45.45,1,3,NULL),(25,6110142,'1990-08-13 00:00:00',2,1,12,2007,'F','N','CENTRO','STA MARIA','RS','120204201217571431448833574224610143182',1962,'9998',67.82,1,3,NULL),(25,6110169,'1988-06-21 00:00:00',2,1,12,2005,'M','N','VILA INDUSTRIAL','S JOSÉ CAMPOS','SP','125251253217571411236823572144141962057',5024,'9998',58.42,1,3,NULL),(25,6110177,'1992-07-23 00:00:00',2,7,12,2010,'F','N','CRUZEIRO DO SUL','JOAÇABA','SC','124241243117141231449934341124610138192',NULL,'341',24.40,1,2,1),(25,6110185,'1992-10-06 00:00:00',4,1,11,2009,'M','N','SANTO ANTONIO','CPO GRANDE','MS','112122121217472441469933275122610162197',1433,'9998',69.29,4,3,NULL),(25,6110207,'1992-03-05 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215472231446634375124233227146',7339,'1022',56.11,1,3,NULL),(25,6110223,'1993-11-06 00:00:00',2,4,12,2010,'M','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124241241116271431427611172124610126142',5940,'182',55.13,1,2,1),(25,6110231,'1988-04-13 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211153431118549391123223268112',12217,'272',46.60,1,3,NULL),(25,6110240,'1977-12-13 00:00:00',2,1,12,1998,'M','N','BIGORRILHO','CURITIBA','PR','116041041126571411121349494114142914052',14439,'9998',41.61,4,3,NULL),(25,6110258,'1994-08-06 00:00:00',4,7,12,2010,'F','N','SENHOR BOM JESUS','CAMPOS NOVOS','SC','124242247211111431444834575122610137142',NULL,'9999',27.25,1,3,NULL),(25,6110266,'1989-12-20 00:00:00',4,3,12,2006,'F','N','JARDIM ITATIAIA','LONDRINA','PR','116162161216575431337712575122610167047',737,'9998',74.71,1,3,NULL),(25,6110274,'1990-09-08 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241216273431463613295114610123071',16880,'272',40.81,1,3,NULL),(25,6110282,'1991-05-26 00:00:00',2,1,12,2008,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241116574731333551315124610126147',15432,'1088',38.96,1,2,1),(25,6110290,'1990-12-09 00:00:00',4,1,12,2008,'F','N','SANTA MARIA','S CAETANO SUL','SP','125252251217571441568812575124610126057',2128,'9998',67.21,1,3,NULL),(25,6110304,'1990-09-24 00:00:00',2,7,12,2007,'F','N','CENTRO','HERVAL D OESTE','SC','124242248217473751437614591324131467182',6967,'9997',56.80,1,3,NULL),(25,6110312,'1990-08-27 00:00:00',4,3,12,2007,'F','N','SAN FERNANDO','LONDRINA','PR','116162161215515221328833571122610113043',6577,'9998',55.88,1,3,NULL),(25,6110339,'1993-09-08 00:00:00',2,3,11,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215111431348934575124610126012',7632,'1038',52.34,1,3,NULL),(25,6110347,'1994-07-29 00:00:00',4,8,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241216111441458831575122610131142',21300,'1174',29.45,1,3,NULL),(25,6110355,'1991-09-12 00:00:00',2,1,6,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247217271411533311312114610144147',18256,'977',35.37,1,3,NULL),(25,6110363,'1992-04-06 00:00:00',4,4,12,2009,'M','N','CENTRO','FREDERICO WESTPHALEN','RS','120202201117471431456923475122610137042',11663,'9998',43.96,1,3,NULL),(25,6110371,'1992-01-18 00:00:00',2,4,11,2009,'F','N','CENTRO','XAXIM','SC','124241241416472521446823585124610127017',6718,'1191',57.26,1,3,NULL),(25,6110380,'1991-01-09 00:00:00',2,1,12,2008,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124241241116273431326324385124610162147',17381,'288',34.32,1,2,1),(25,6110398,'1993-04-11 00:00:00',2,1,12,2010,'F','N','LOGRADOURO','NOVA PETRÓPOLIS','RS','120203201217371431659914475121610167142',2075,'9998',66.66,1,3,NULL),(25,6110401,'1993-06-30 00:00:00',4,17,12,2010,'M','N','CENTRO','TELÊMACO BORBA','PR','116162161215111431456939575122610168012',15662,'9998',36.70,1,3,NULL),(25,6110410,'1974-08-03 00:00:00',2,1,12,1993,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201206116151711128844445124340462097',13665,'9998',45.69,1,3,NULL),(25,6110428,'1993-02-03 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241112152111456611315112610135144',14437,'733',44.54,1,2,1),(25,6110436,'1992-05-14 00:00:00',2,4,12,2008,'M','N','CENTRO','PLANALTO ALEGRE','SC','124241241415574431346933375122610127057',NULL,'185',19.30,1,3,NULL),(25,6110444,'1993-03-05 00:00:00',4,8,11,2010,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161216111431589911571122610134092',4530,'9998',59.59,1,3,NULL),(25,6110460,'1982-09-15 00:00:00',4,1,12,2008,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','224243247627271431237344245123610128097',NULL,'9999',32.53,4,3,NULL),(25,6110479,'1993-07-10 00:00:00',4,2,10,2010,'F','N','VELHA','BLUMENAU','SC','124241241215121431336334575124610128097',19524,'855',28.98,1,3,NULL),(25,6110487,'1992-07-09 00:00:00',4,1,12,2009,'M','N','PERDIZES','S PAULO','SP','125252251215471431488811411124610132037',1214,'9998',72.03,1,3,NULL),(25,6110495,'1992-03-30 00:00:00',2,1,11,2010,'F','N','BELA VISTA','PALHOÇA','SC','124241245126131431326914332224610164187',NULL,'591',0.00,1,2,1),(25,6110509,'1989-11-12 00:00:00',4,4,12,2006,'M','N','SÃO CRISTÓVÃO','CASCAVEL','PR','116163161215471731446814572112140364032',1922,'9998',69.31,1,3,NULL),(25,6110517,'1992-06-26 00:00:00',4,1,12,2009,'F','N','BATEL','CURITIBA','PR','116162161215471411458811415115610164117',12472,'9998',44.01,1,3,NULL),(25,6110525,'1993-05-01 00:00:00',4,8,11,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241217271431449931572112610143042',11965,'457',44.23,1,3,NULL),(25,6110533,'1993-05-08 00:00:00',4,8,11,2010,'M','N','AMERICA','JOINVILLE','SC','124241227217121431569814572122610122182',NULL,'1063',30.13,1,3,NULL),(25,6110541,'1992-06-09 00:00:00',4,1,12,2009,'F','N','PARALELA','SALVADOR','BA','105052051216472411459913581144610163197',4758,'9998',58.73,1,3,NULL),(25,6110550,'1992-11-11 00:00:00',4,1,11,2009,'F','N','JARDIM FLÓRIDA','JACAREÍ','SP','125252251217471551459613585122610167072',NULL,'9998',0.00,1,3,NULL),(25,6110568,'1991-10-09 00:00:00',4,1,12,2009,'F','N','CENTRO','GETÚLIO VARGAS','RS','120203201237471431433912522124610124097',18061,'9998',33.23,4,3,NULL),(25,6110576,'1991-09-12 00:00:00',4,3,12,2008,'F','N','VILA FLAMBOYANT','APUCARANA','PR','116162161215512431679811575122610114147',5726,'9998',56.73,3,3,NULL),(25,6110584,'1992-06-29 00:00:00',2,8,12,2010,'F','N','CRUZEIRO','RIO NEGRINHO','SC','124241241115131431633411571322610167147',NULL,'669',0.00,1,3,NULL),(25,6110592,'1993-03-03 00:00:00',4,2,12,2010,'F','N','ASILO','BLUMENAU','SC','124241241216111451667932595122610113142',6128,'855',53.95,1,3,NULL),(25,6110606,'1989-12-21 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124161161127251441114449113345142264023',NULL,'9998',29.73,1,3,NULL),(25,6110614,'1991-12-26 00:00:00',4,17,12,2008,'F','N','CENTRO','S MATEUS SUL','PR','116162161216573741476632575125610166092',1089,'9998',72.37,1,3,NULL),(25,6110622,'1971-06-21 00:00:00',4,1,12,1988,'M','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','224242241216142221468853425122321444092',NULL,'262',0.00,1,3,NULL),(25,6110630,'1991-09-12 00:00:00',2,1,12,2008,'F','N','CENTRO','LAJEADO','RS','120202201216571431238823332114610163013',14120,'9998',43.28,4,3,NULL),(25,6110649,'1990-09-09 00:00:00',2,1,12,2007,'F','N','VILA SOLENE','CPO LARGO','PR','116162161215571431357832595114610162042',4173,'9998',59.99,1,3,NULL),(25,6110665,'1989-12-29 00:00:00',4,8,12,2007,'M','N','CENTRO','BARRA VELHA','SC','124241241127151332448722345232610167111',21074,'57',30.80,1,2,1),(25,6110673,'1993-07-01 00:00:00',4,3,11,2010,'M','N','PROGRESSO','RIO SUL','SC','124242241216371441466822575122610137122',243,'653',79.87,1,3,NULL),(25,6110681,'1991-08-01 00:00:00',2,1,12,2009,'F','N','ARIRIU','PALHOÇA','SC','124241211116231231226644245334130227037',NULL,'9998',35.45,2,1,1),(25,6110703,'1993-10-21 00:00:00',2,8,12,2010,'F','N','CENTRO','CANOINHAS','SC','124241241414271411226821575124610126091',11015,'1016',45.39,1,3,NULL),(25,6110711,'1992-06-02 00:00:00',4,1,12,2009,'F','N','ALTO TAQUARAL','CAMPINAS','SP','125252251215372421359914575122140232092',10031,'9998',46.59,1,3,NULL),(25,6110720,'1991-05-15 00:00:00',4,1,12,2008,'F','N','COLONINHA','ARARANGUÁ','SC','124242241215471431636612576114610164077',20257,'32',32.56,1,3,NULL),(25,6110738,'1993-07-19 00:00:00',4,1,12,2010,'M','N','SORGATTO','CAÇADOR','SC','124242241215111431358912575122610124072',15753,'1124',38.45,1,3,NULL),(25,6110746,'1993-10-22 00:00:00',4,3,12,2010,'M','N','UNIVERSITARIO','CORUMBÁ','MS','112124121215111431679933575121610167012',NULL,'9998',0.00,1,3,NULL),(25,6110762,'1991-03-12 00:00:00',2,1,12,2008,'F','N','CASCATINHA','PTE SERRADA','SC','124241241116574431236429592124610115057',12057,'629',44.29,1,2,1),(25,6110770,'1993-10-21 00:00:00',4,8,12,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241217121431336624575124610152057',7961,'1016',52.66,1,3,NULL),(25,6110789,'1993-11-29 00:00:00',4,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217271431355973575112610132182',5340,'44',60.11,1,3,NULL),(25,6110797,'1993-05-25 00:00:00',4,15,12,2010,'M','N','LAGOÃO','ARARANGUÁ','SC','124241241146151431324311475123610137147',NULL,'30',16.49,1,2,1),(25,6110800,'1989-05-16 00:00:00',2,1,12,2006,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','120202201216471231358622432114142823187',6955,'9998',56.82,1,3,NULL),(25,6110819,'1991-01-25 00:00:00',4,1,11,2009,'M','N','CENTRO','LAURENTINO','SC','124242241217164741459414475124120768142',7570,'654',55.66,1,3,NULL),(25,6110827,'1992-11-23 00:00:00',4,3,12,2009,'F','N','VALE DO ARVOREDO','LONDRINA','PR','116162161217371431479933571122610132122',NULL,'9998',0.00,1,3,NULL),(25,6110835,'1992-06-22 00:00:00',4,1,12,2009,'M','N','JARDIM CATANDUVA','S PAULO','SP','125252251217471411658833575124610117143',10492,'9998',45.98,3,3,NULL),(25,6110843,'1993-03-23 00:00:00',2,1,12,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241116371331526414345124610122147',20487,'733',33.19,1,2,1),(25,6110851,'1993-06-23 00:00:00',4,1,11,2010,'M','N','ALICE I','FOZ IGUAÇU','PR','116152161215111431358933572122610162077',2919,'9998',64.34,1,3,NULL),(25,6110878,'1990-09-12 00:00:00',4,1,12,2008,'M','N','NOVA PETROPOLIS','S BERNARDO CAMPO','SP','125252251217572751486821571122610166046',81,'9998',84.00,1,3,NULL),(25,6110894,'1979-06-20 00:00:00',2,1,12,1999,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201205116132731223344442234142723147',18254,'9998',38.38,1,3,NULL),(25,6110908,'1992-11-11 00:00:00',4,8,11,2009,'F','N','UVARANAS','PNT GROSSA','PR','116162161215372411338932575112610145142',8654,'9998',49.86,1,3,NULL),(25,6110916,'1993-12-27 00:00:00',4,1,11,2010,'F','N','SOCORRO','PINDAMONHANGABA','SP','125252251215111431458931595122610144177',NULL,'9998',0.00,1,3,NULL),(25,6110924,'1990-09-17 00:00:00',2,1,11,2007,'F','N','CENTRO','STA MARIA','RS','120201201217371451456611571124610166187',4108,'9998',59.63,1,3,NULL),(25,6110932,'1993-08-29 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124212241212111311448934572122610163117',NULL,'723',37.48,1,3,NULL),(25,6110940,'1994-01-04 00:00:00',2,1,10,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241217151431348823574122610123092',NULL,'273',38.72,1,3,NULL),(25,6110959,'1992-07-02 00:00:00',4,1,12,2009,'M','N','VILA REGENTE FEIJÓ','S PAULO','SP','125252253235371321348831571115610167047',7807,'9998',51.94,1,3,NULL),(25,6110967,'1992-09-01 00:00:00',4,1,12,2009,'M','N','JD DAS HORTÊNCIAS','JUNDIAÍ','SP','125252251217471731449613575112610167042',534,'9998',76.89,1,3,NULL),(25,6110983,'1993-11-17 00:00:00',4,8,12,2010,'F','N','BIGORRILHO','CURITIBA','PR','116162161215111431558813574122610133182',943,'9998',72.58,3,3,NULL),(25,6110991,'1991-01-31 00:00:00',4,1,12,2010,'F','N','CAIEIRA DA B DO SUL','FLORIANÓPOLIS','SC','124243248117371731328824495134610124057',3643,'306',62.55,1,3,NULL),(25,6111009,'1991-01-02 00:00:00',4,8,12,2008,'M','N','SAGUAÇU','JOINVILLE','SC','124242241216573731468813575115610164072',8432,'457',54.09,1,3,NULL),(25,6111017,'1976-04-22 00:00:00',4,1,12,1993,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','624252251216151711256843435123540362182',NULL,'9998',0.00,1,3,NULL),(25,6111025,'1993-01-14 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215131431425813112124610167147',18809,'259',31.44,1,3,NULL),(25,6111033,'1992-08-02 00:00:00',4,1,12,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111431148833591124610127072',6749,'270',54.17,1,3,NULL),(25,6111041,'1992-06-28 00:00:00',4,3,12,2009,'F','N','CENTRO','PASSO FUNDO','RS','120202201216472411459912571122610123182',2076,'9998',67.97,1,3,NULL),(25,6111050,'1993-10-20 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241117371331228921575122610133147',7813,'739',52.12,1,3,NULL),(25,6111068,'1993-10-07 00:00:00',4,3,12,2010,'M','N','JARDIM ARISTOCRATA','S JOSÉ PINHAIS','PR','116162161216121411556632575122610117092',NULL,'9998',26.74,1,3,NULL),(25,6111076,'1991-06-07 00:00:00',4,1,12,2008,'M','N','ASA SUL','BRASÍLIA','DF','107072071217471731459831574124610166012',2822,'9998',64.13,1,3,NULL),(25,6111084,'1991-09-04 00:00:00',4,1,11,2009,'F','N','CAMPO BELO','S PAULO','SP','125252251216471231477731574122610164077',NULL,'9997',35.27,1,3,NULL),(25,6111092,'1992-07-03 00:00:00',4,8,12,2010,'F','N','BOA VISTA','CURITIBA','PR','116253161315471441438614475124610134177',4835,'9998',57.78,1,3,NULL),(25,6111114,'1992-12-14 00:00:00',2,1,12,2009,'F','N','EXPOSIÇÃO','CAXIAS SUL','RS','120203251217271431228379571125610127187',NULL,'9998',0.00,4,3,NULL),(25,6111122,'1991-04-01 00:00:00',4,8,12,2008,'M','N','JARDIM SAMAMBAIA','CAMPINAS','SP','125251251146471411533624345124141132042',5520,'9998',56.84,2,2,1),(25,6111130,'1992-06-19 00:00:00',4,1,12,2009,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241217472431457734241124610137181',8453,'270',50.10,1,3,NULL),(25,6111149,'1980-07-10 00:00:00',4,1,12,1997,'M','N','ROÇADO','S JOSÉ','SC','224241243436153531329944145122132318197',14347,'457',40.60,1,3,NULL),(25,6111157,'1993-09-29 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241225111431634432271124610164052',16863,'262',37.11,1,3,NULL),(25,6111165,'1988-05-24 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241235372751588933445122331328072',13153,'1022',42.29,1,3,NULL),(25,6111181,'1992-05-28 00:00:00',4,1,12,2009,'F','N','JARDIM TROPICAL','CASCAVEL','PR','116162161215371511458815472122610162142',NULL,'9998',0.00,1,3,NULL),(25,6111190,'1988-05-12 00:00:00',4,8,12,2005,'M','N','CENTRO','CURITIBA','PR','116255256117571611436614283124610166097',11244,'9998',44.64,1,3,NULL),(25,6111203,'1991-10-15 00:00:00',4,4,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124241241117131512438833295112611934012',15216,'757',43.38,1,2,1),(25,6111211,'1990-07-08 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215574431666469574122610123185',230,'1022',80.62,1,3,NULL),(25,6111220,'1993-08-21 00:00:00',2,6,12,2010,'M','N','REBOUÇAS','CURITIBA','PR','116243161215471431457914572124610124077',154,'9998',81.79,1,3,NULL),(25,6111238,'1993-07-10 00:00:00',4,1,12,2010,'M','N','PRAIA DO SONHO','PALHOÇA','SC','124241241115161431635634572124610117087',NULL,'595',28.27,1,2,1),(25,6111246,'1991-05-25 00:00:00',4,1,11,2008,'F','N','CHACARA MALOTA','JUNDIAÍ','SP','125252251216572411375931571112610126182',1155,'9998',71.18,1,3,NULL),(25,6111254,'1993-03-11 00:00:00',4,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215123411356811574122610146071',501,'270',77.59,1,3,NULL),(25,6111262,'1991-03-01 00:00:00',4,1,12,2008,'F','N','BELA VISTA','CAXIAS SUL','RS','120202201215572431456934575125610147097',NULL,'9998',0.00,1,3,NULL),(25,6111270,'1993-01-23 00:00:00',4,1,12,2010,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115272431432317372124610134057',13475,'21',41.31,1,2,1),(25,6111289,'1992-10-21 00:00:00',4,8,12,2009,'M','N','SAGUAÇU','JOINVILLE','SC','124241241217472711359712575114610138187',3677,'1105',62.84,1,3,NULL),(25,6111300,'1988-10-08 00:00:00',2,1,12,2005,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241146372431523311241224610167047',15080,'405',43.56,4,2,1),(25,6111319,'1992-09-25 00:00:00',4,1,9,2009,'M','N','BOQUEIRÃO','SANTOS','SP','125252251215471431369813375111610137142',2537,'9998',65.74,3,3,NULL),(25,6111327,'1981-04-29 00:00:00',2,1,12,1999,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241123215721336623345124610127117',19733,'277',35.29,1,2,1),(25,6111335,'1993-04-07 00:00:00',4,1,12,2010,'M','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124244241115371431423312142121610166182',NULL,'727',54.84,1,3,NULL),(25,6111343,'1993-01-17 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117372431228721145124610137182',15724,'257',39.26,1,2,1),(25,6111351,'1993-07-14 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241115271431578811575112610166042',2751,'457',64.50,1,3,NULL),(25,6111360,'1992-08-08 00:00:00',2,4,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116241166115271431228964572124610162172',13908,'9998',39.90,1,2,1),(25,6111378,'1993-11-19 00:00:00',4,1,11,2010,'M','N','MANDAQUI','S PAULO','SP','125252251217151411553632215114610135182',4756,'9998',59.08,1,3,NULL),(25,6111386,'1993-05-25 00:00:00',4,8,12,2010,'M','N','ATIRADORES','JOINVILLE','SC','124242241235122431479813572122610122182',191,'1063',81.21,1,3,NULL),(25,6111394,'1990-04-02 00:00:00',4,2,12,2007,'M','N','PROGRESSO','BLUMENAU','SC','124241241137371431453633475124131334187',14856,'80',39.27,1,2,1),(25,6111408,'1984-10-29 00:00:00',2,1,12,2001,'F','N','AREIAS','S JOSÉ','SC','624142171246571741228923445214240665197',NULL,'9998',0.00,5,3,NULL),(25,6111424,'1991-02-21 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252241217573431356823575124610162177',1759,'270',70.19,1,3,NULL),(25,6111432,'1992-10-28 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111331488831575122610166121',2725,'262',66.76,1,3,NULL),(25,6111440,'1991-06-13 00:00:00',2,5,12,2008,'F','N','ORIÇÓ','GRAVATAÍ','RS','120202206235471431338934571122610163042',2889,'9998',64.45,1,3,NULL),(25,6111459,'1992-07-23 00:00:00',4,8,12,2010,'F','N','JARDIM FLORIDA','CPO MOURÃO','PR','116161161117371451327932575112610133147',17887,'9998',33.95,1,2,1),(25,6111467,'1993-10-24 00:00:00',2,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111421379613575122610144143',8391,'1050',52.12,1,3,NULL),(25,6111475,'1990-08-13 00:00:00',2,1,7,2009,'F','N','ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC','124243247216131431521319192124610135027',NULL,'9999',11.85,1,3,NULL),(25,6111483,'1993-02-19 00:00:00',4,7,11,2010,'F','N','SÃO FRANCISCO','CURITIBA','PR','116162161216121431459614345122610134097',8038,'9998',50.88,1,3,NULL),(25,6111491,'1992-05-21 00:00:00',2,10,12,2009,'M','N','MAR GROSSO','LAGUNA','SC','124243241417151431256419285114610167112',NULL,'521',0.00,1,3,NULL),(25,6111505,'1983-09-30 00:00:00',2,1,12,2000,'F','N','MORRO DA CRUZ','FLORIANÓPOLIS','SC','124242241236474111156712495114233263184',14138,'213',44.95,1,3,NULL),(25,6111513,'1992-04-07 00:00:00',4,1,11,2009,'M','N','JARDIM LANCASTER','FOZ IGUAÇU','PR','116162161217471432456913272114610167052',12138,'9998',44.59,2,3,NULL),(25,6111521,'1991-08-25 00:00:00',4,9,12,2008,'F','N','JARDIM AMÉRICA','CAXIAS SUL','RS','120204201216471431467812575112610162012',8075,'9998',51.52,1,3,NULL),(25,6111530,'1991-07-06 00:00:00',4,1,6,2010,'M','N','CENTRO','ITAPIRANGA','SC','124241247637272431556312345122610126011',NULL,'9999',21.25,1,3,NULL),(25,6111548,'1993-03-26 00:00:00',4,10,11,2010,'M','N','CENTRO','BRAÇO NORTE','SC','124242246235141431647911195124610147052',NULL,'1120',23.15,1,3,NULL),(25,6111556,'1992-01-10 00:00:00',4,4,12,2010,'M','N','CENTRO','ÁGUAS CHAPECÓ','SC','124243241116161411434836255121610127052',NULL,'704',0.00,1,3,NULL),(25,6111572,'1992-03-27 00:00:00',4,1,12,2009,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241116372431233329445114610144047',16438,'772',37.05,1,2,1),(25,6111580,'1990-07-08 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241116575431469813392121610164097',887,'306',73.27,1,3,NULL),(25,6111599,'1993-05-30 00:00:00',4,1,12,2010,'M','N','XV DE NOVEMBRO','TIJUCAS','SC','124241246215111431226923475124610167142',17192,'1119',40.31,1,3,NULL),(25,6111602,'1992-07-05 00:00:00',2,1,12,2009,'F','N','SANTA CATARINA','CAXIAS SUL','RS','120201201117571411436414575114610146077',NULL,'9998',45.43,1,2,1),(25,6111610,'1992-01-14 00:00:00',4,1,12,2009,'M','N','CHACARA PRIMAVERA','CAMPINAS','SP','125252256117471431469913485124610137112',1128,'9998',72.11,1,3,NULL),(25,6111637,'1992-11-26 00:00:00',4,1,12,2009,'M','N','WERNER PLAAS','AMERICANA','SP','125252251216471431565923345122610138172',6600,'9998',53.61,1,3,NULL),(25,6111645,'1992-03-16 00:00:00',4,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124242241215272431246823243124610166041',10185,'1078',46.64,1,3,NULL),(25,6111653,'1993-09-10 00:00:00',4,1,11,2010,'M','N','VILA SÃO JOÃO','ARAPONGAS','PR','116162161211171431467811595124610117092',NULL,'9998',30.30,3,3,NULL),(25,6111670,'1991-09-09 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241127141411423339242124610133182',NULL,'277',0.00,2,1,1),(25,6111688,'1993-10-15 00:00:00',4,10,11,2010,'M','N','OFICINAS','TUBARÃO','SC','124242241217111411448813285112610167062',8714,'807',50.98,1,3,NULL),(25,6111700,'1992-09-12 00:00:00',2,1,12,2010,'F','N','JARDIM LINDOIA','GOIOERÊ','PR','116162161217371451457812475122610164172',10887,'9998',45.87,1,3,NULL),(25,6111734,'1988-02-07 00:00:00',2,1,12,2005,'F','N','OPERÁRIO','NOVO HAMBURGO','RS','120203201217134411228629481324223066187',15326,'9998',43.20,4,1,2),(25,6111742,'1991-01-02 00:00:00',2,1,7,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115142431438927475124232846017',11142,'9999',49.46,4,3,NULL),(25,6111750,'1987-06-19 00:00:00',2,10,12,2004,'F','N','CENTRO','TUBARÃO','SC','124241241116375451627679275125231466182',10664,'1034',45.56,4,1,1),(25,6111769,'1992-11-26 00:00:00',4,9,12,2010,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124241248117141141533924285124610124147',20110,'935',34.28,1,2,1),(25,6111777,'1993-01-21 00:00:00',4,1,12,2010,'M','N','JUVEVÊ','CURITIBA','PR','116162161237471531369933571124610138111',1825,'9998',68.24,1,3,NULL),(25,6111785,'1991-01-21 00:00:00',4,1,12,2008,'M','N','SAÚDE','S PAULO','SP','125254251217131311437724445121610127057',14250,'9998',38.92,1,3,NULL),(25,6111793,'1993-01-08 00:00:00',4,3,12,2010,'M','N','JARDIM LOS ANGELES','SOROCABA','SP','125252258227111412558619175112610164144',NULL,'9998',42.04,3,3,NULL),(25,6111807,'1993-03-29 00:00:00',4,10,12,2010,'M','N','CENTRO','TUBARÃO','SC','124244241215111431446912576121610164097',7485,'797',51.34,1,3,NULL),(25,6111815,'1992-10-20 00:00:00',4,1,12,2010,'M','N','SETOR CASTELO BRANCO','GOIÂNIA','GO','109092091215111431469631575112610167072',405,'9998',77.72,1,3,NULL),(25,6111823,'1992-09-10 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431368611575122610147011',475,'262',77.38,1,3,NULL),(25,6111831,'1993-01-18 00:00:00',4,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215112431559934575124610111182',1189,'457',72.95,1,3,NULL),(25,6111840,'1992-12-27 00:00:00',4,1,12,2009,'F','N','VILA POMPÉIA','S PAULO','SP','125252251215471431358814565124610164157',NULL,'9998',0.00,1,3,NULL),(25,6111858,'1991-01-03 00:00:00',2,4,11,2008,'M','N','COLATTO','XANXERÊ','SC','124242241116471711226829284335131468197',672,'836',75.02,1,3,NULL),(25,6111866,'1987-11-30 00:00:00',2,1,12,2005,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241127141412222324242324610112047',14995,'290',41.19,4,3,NULL),(25,6111874,'1992-03-23 00:00:00',4,8,12,2010,'M','N','ALPHAVILLE GRACIOSA','PINHAIS','PR','116162166117471431579933375124610113042',1862,'9998',68.15,1,3,NULL),(25,6111882,'1990-10-03 00:00:00',4,1,12,2008,'M','N','BELA VISTA','S PAULO','SP','125072251231573411389933571124610166012',NULL,'9998',27.37,4,3,NULL),(25,6111890,'1993-04-06 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217112431559914575124610127012',1001,'1022',73.95,1,3,NULL),(25,6111904,'1988-09-02 00:00:00',4,8,12,2005,'F','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112122121215571431558833572112141362182',8528,'9998',49.86,4,3,NULL),(25,6111920,'1989-05-04 00:00:00',4,1,12,2006,'F','N','BROOKLIN','S PAULO','SP','125252251216571451476821575122610162182',5045,'9998',57.09,1,3,NULL),(25,6111939,'1993-01-06 00:00:00',4,5,10,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215271421456812225124610127057',8896,'880',49.73,1,3,NULL),(25,6111955,'1993-10-06 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241415112431456612322114610162042',7461,'270',55.86,1,3,NULL),(25,6111963,'1993-05-24 00:00:00',2,1,12,2010,'F','N','ALTO JACUI','ESPUMOSO','RS','120201201116131731548912175125610123147',NULL,'9998',0.00,1,2,1),(25,6111971,'1991-11-11 00:00:00',4,8,12,2009,'F','N','CENTRO','RIO SUL','SC','124242241215372431568819275124130663097',11611,'991',48.74,1,3,NULL),(25,6111980,'1990-02-02 00:00:00',2,8,12,2007,'M','N','CENTRO','CURITIBA','PR','112122121216571441258512575125610124042',NULL,'9998',22.63,1,3,NULL),(25,6111998,'1991-06-08 00:00:00',2,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241114153751324679271114221868086',8382,'192',54.17,1,3,NULL),(25,6112005,'1993-12-29 00:00:00',2,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241215111431469914575112610114097',15835,'1191',38.75,1,3,NULL),(25,6112013,'1992-06-25 00:00:00',4,1,12,2010,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241115141431626613245124610122185',15958,'307',37.92,4,2,1),(25,6112021,'1993-02-09 00:00:00',2,2,12,2010,'F','N','ESTRADA DAS AREIAS','INDAIAL','SC','124241241115161611456814345124610133057',21623,'365',26.54,1,3,NULL),(25,6112030,'1992-12-01 00:00:00',4,2,12,2010,'M','N','CENTRO','TIMBÓ','SC','124242241215111431357932575111610147182',9454,'1157',48.63,1,3,NULL),(25,6112056,'1993-05-02 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241116131431525611115124610164197',NULL,'726',13.14,1,2,1),(25,6112064,'1993-07-22 00:00:00',4,8,11,2010,'F','N','FLORESTA','JOINVILLE','SC','124242241216371431369614475122610144142',4585,'459',60.35,1,3,NULL),(25,6112072,'1982-12-11 00:00:00',4,4,12,2000,'M','N','GRAMADO II','CASCAVEL','PR','116162161215522421233654475122431532103',516,'9998',77.48,1,3,NULL),(25,6112080,'1978-02-07 00:00:00',4,1,12,1995,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124163161116132131238842225112130264127',20859,'9998',31.70,1,3,NULL),(25,6112099,'1993-05-09 00:00:00',4,17,10,2010,'F','N','NOVO MUNDO','CURITIBA','PR','116162161235111431468811576122610163187',NULL,'9998',0.00,1,3,NULL),(25,6112110,'1990-07-28 00:00:00',2,1,12,2007,'F','N','TINGUI','CURITIBA','PR','116161161317573451335812272112610162197',1450,'9998',70.31,1,3,NULL),(25,6112129,'1970-05-08 00:00:00',2,1,7,2002,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241246117131721213329482122610114117',NULL,'306',0.00,1,2,1),(25,6112145,'1992-09-28 00:00:00',4,1,11,2010,'M','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241215122231489713375114610117115',5823,'270',57.10,4,3,NULL),(25,6112153,'1992-08-27 00:00:00',2,1,12,2009,'F','N','JARDIM DAS ACÁCIAS','PARIQUERA-AÇU','SP','125251251116471411435411571122610122077',NULL,'9998',0.00,1,2,1),(25,6112161,'1995-08-20 00:00:00',4,8,12,2012,'M','S','COSTA E SILVA','JOINVILLE','SC','124242241215111731559914595124610154042',NULL,'457',42.50,1,3,NULL),(25,6112188,'1991-07-04 00:00:00',4,8,12,2008,'F','N','CENTRO','NOVA ESPERANÇA','PR','116162161216572431469931572122610123187',NULL,'9998',0.00,1,3,NULL),(25,6112200,'1992-06-01 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241417111711268712575125610127052',NULL,'1022',36.12,1,3,NULL),(25,6112218,'1990-07-31 00:00:00',2,5,11,2007,'F','N','LOTE SEIS','CRICIÚMA','SC','124241241215112431356631575122230434122',9876,'213',51.55,1,3,NULL),(25,6112226,'1992-06-27 00:00:00',4,1,12,2009,'M','N','CENTRO','LONDRINA','PR','116162161215471431479931575122610167042',9245,'9998',52.59,1,3,NULL),(25,6112234,'1991-11-07 00:00:00',4,1,12,2009,'M','N','VILA HARMONIA','ARARAQUARA','SP','125252251217471411248823575115610127127',673,'9998',75.80,1,3,NULL),(25,6112242,'1992-02-10 00:00:00',4,3,11,2009,'M','N','CENTRO','PRES PRUDENTE','SP','125252251217471431448834575122610162127',NULL,'9998',0.00,1,3,NULL),(25,6112250,'1992-09-09 00:00:00',2,10,11,2009,'M','N','SANTA CRUZ','TREZE MAIO','SC','124241241345473421643315572122610144147',7224,'793',52.95,1,3,NULL),(25,6112269,'1989-09-10 00:00:00',4,9,12,2006,'F','N','CENTRO','LAGES','SC','124242241216274431438619384124133221187',7199,'1065',53.12,4,3,NULL),(25,6112285,'1992-08-20 00:00:00',2,1,12,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241125372431555613445114610137042',21122,'274',30.54,4,2,1),(25,6112293,'1989-03-06 00:00:00',2,1,12,2007,'M','N','JUVENTUDE','GARIBALDI','RS','120201201136531731344639335122142864187',NULL,'9998',20.47,1,2,1),(25,6112307,'1994-06-04 00:00:00',4,8,12,2011,'F','S','BROOKLIN VELHO','S PAULO','SP','125253251216151431446634575122610164097',NULL,'9998',0.00,1,3,NULL),(25,6112323,'1994-07-19 00:00:00',4,8,12,2010,'M','N','ATIRADORES','JOINVILLE','SC','124242241215471431469931576121610122172',4784,'1063',59.34,4,3,NULL),(25,6112331,'1993-09-04 00:00:00',4,6,12,2010,'M','N','CENTRO','NAVEGANTES','SC','124243241115111431436914575122610132142',NULL,'570',0.00,1,3,NULL),(25,6112340,'1971-08-07 00:00:00',2,1,7,2008,'F','N','BARREIROS','S JOSÉ','SC','624241247126273431524351112124610164197',NULL,'736',0.00,1,2,1),(25,6112358,'1991-10-30 00:00:00',4,1,12,2010,'F','N','CENTRO','JABOTICABAL','SP','125252251216121431465922575122610143142',4942,'9998',57.32,1,3,NULL),(25,6112366,'1993-11-14 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241225131431626634575124610124197',NULL,'262',22.72,1,3,NULL),(25,6112382,'1991-09-21 00:00:00',4,1,12,2008,'M','N','NOVO HORIZONTE','MARINGÁ','PR','116162161217571731468819395114610164052',4399,'9998',60.64,1,3,NULL),(25,6112439,'1992-10-11 00:00:00',2,1,11,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241115471431323377345124610164192',NULL,'307',33.59,1,3,NULL),(25,6112447,'1989-05-01 00:00:00',2,1,12,2006,'F','N','ROÇADO','S JOSÉ','SC','124241241125472431223348185124610124057',10435,'682',46.95,1,2,1),(25,6112455,'1993-05-21 00:00:00',4,8,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161215111231469833572112610124182',6717,'9998',53.98,3,3,NULL),(25,6112463,'1990-04-06 00:00:00',4,1,12,2008,'M','N','JARDIM ESTORIL','BAURU','SP','125253251216372321447722311123143224047',NULL,'9998',0.00,4,3,NULL),(25,6112471,'1992-09-03 00:00:00',4,1,11,2010,'M','N','CENTRO','S MIGUEL IGUAÇU','PR','116162161217111531465932575115610144092',NULL,'9998',0.00,4,3,NULL),(25,6112480,'1987-08-28 00:00:00',4,1,12,2004,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241215575731389923575112131023183',10053,'270',46.18,1,3,NULL),(25,6112498,'1992-05-16 00:00:00',4,1,12,2009,'F','N','AEROPORTO','TUBARÃO','SC','124242241215474411489812575114610144181',1647,'807',69.23,1,3,NULL),(25,6112501,'1990-09-28 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116242241215472411448714574125241426142',4075,'974',61.07,3,3,NULL),(25,6112528,'1992-12-06 00:00:00',4,4,11,2009,'M','N','CENTRO','RENASCENÇA','PR','116274161316472431434951275124610134182',9357,'9998',52.44,1,3,NULL),(25,6112536,'1967-02-25 00:00:00',2,1,12,1988,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','624241241326143411555443432122321646041',13765,'9999',45.54,4,3,NULL),(25,6112544,'1992-06-18 00:00:00',2,15,12,2010,'F','N','IMIGRANTES','MELEIRO','SC','124201241137131231323539372121610133147',NULL,'559',17.79,1,3,NULL),(25,6112552,'1993-02-15 00:00:00',4,1,12,2010,'M','N','FLORESTA','S JOSÉ','SC','124241241115472431235534572124610112147',13944,'307',42.35,1,2,1),(25,6112560,'1990-11-04 00:00:00',4,1,12,2007,'M','N','CAMPO BELO','S PAULO','SP','125252251216571441458934575124141462192',NULL,'9998',0.00,3,3,NULL),(25,6112579,'1991-12-11 00:00:00',2,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217232411649812575124610168176',NULL,'270',0.00,1,3,NULL),(25,6112587,'1993-02-26 00:00:00',4,2,12,2010,'F','N','ITOUPAVAZINHA','BLUMENAU','SC','124241241215371431343412175122610146052',NULL,'1018',0.00,1,3,NULL),(25,6112595,'1992-12-25 00:00:00',4,1,12,2009,'M','N','MIRAGE','ANÁPOLIS','GO','109092091217471431356523572122610161142',NULL,'9998',28.32,1,3,NULL),(25,6112617,'1992-11-06 00:00:00',4,6,12,2009,'M','N','CENTRO','LONDRINA','PR','116162161236314311468616575112243264057',4232,'9998',59.66,1,3,NULL),(25,6112641,'1993-12-01 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431489814595114610167062',3790,'270',62.02,1,3,NULL),(25,6112650,'1992-05-31 00:00:00',4,8,12,2009,'F','N','SANTA CÂNDIDA','CURITIBA','PR','116161161114571411437512571124610123097',5057,'9998',58.50,3,2,1),(25,6112668,'1992-09-24 00:00:00',2,8,12,2009,'F','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112122121216571431558823395122610136012',9949,'9998',48.05,2,3,NULL),(25,6112684,'1992-12-11 00:00:00',4,1,12,2010,'M','N','CENTRO','S MIGUEL IGUAÇU','PR','116162161416111431346833575122610164047',17596,'9998',39.60,1,3,NULL),(25,6112706,'1992-05-12 00:00:00',2,1,12,2009,'M','N','JARDIM LUCIANÓPOLIS','MARINGÁ','PR','116162161217142631336634395122610164092',10709,'9998',45.36,1,3,NULL),(25,6112714,'1990-12-28 00:00:00',2,8,12,2007,'M','N','JARDIM IRIRIÚ','JOINVILLE','SC','124241241116572711436514475124610128147',11000,'469',45.68,1,2,1),(25,6112722,'1993-01-04 00:00:00',4,1,12,2011,'F','S','ASA SUL','BRASÍLIA','DF','107072071217111711478933573124610128017',NULL,'9998',0.00,1,3,NULL),(25,6112749,'1990-06-23 00:00:00',4,1,12,2007,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241136141431556633245124610117062',17680,'278',39.43,1,2,1),(25,6112757,'1993-04-20 00:00:00',2,1,12,2010,'F','N','JD AQUARIUS','PALHOÇA','SC','124241241111141431226424245124610127057',NULL,'592',30.87,1,2,1),(25,6112765,'1991-09-30 00:00:00',2,4,12,2009,'M','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241116472431239914382124231927057',14313,'174',40.23,1,2,1),(25,6112773,'1993-03-18 00:00:00',4,1,11,2010,'M','N','CENTRO','TANGARÁ SERRA','MT','111111111417111431358611415122610137052',NULL,'9998',0.00,1,3,NULL),(25,6112781,'1993-06-22 00:00:00',4,8,12,2010,'F','N','VILA NOVA','JOINVILLE','SC','124241241111271411336823575124610134057',20911,'475',31.45,1,2,1),(25,6112790,'1993-03-21 00:00:00',4,1,12,2009,'F','N','FREITAS','PAULO LOPES','SC','124243241135272441338623275124610131097',15629,'307',42.72,1,3,NULL),(25,6112811,'1994-04-16 00:00:00',2,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111732538831595124610168187',20676,'1022',32.48,1,3,NULL),(25,6112820,'1990-09-03 00:00:00',2,1,12,2007,'M','N','ROÇADO','S JOSÉ','SC','124241241146142431636614345133610126072',18575,'729',37.82,1,2,1),(25,6112838,'1992-05-25 00:00:00',4,2,9,2009,'M','N','BELA VISTA','IBIRAMA','SC','124242241216472411688813295122610112047',3284,'836',62.35,1,3,NULL),(25,6112846,'1993-02-16 00:00:00',4,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241122151431424429186124610152045',NULL,'1097',16.40,1,2,1),(25,6112854,'1991-11-28 00:00:00',1,1,12,2008,'F','N','JARDIM SAO LOURENCO','CPO GRANDE','MS','112122128216571431459911595122610112142',NULL,'9998',0.00,1,3,NULL),(25,6112862,'1990-07-22 00:00:00',4,1,12,2007,'F','N','SANTANA','PTO ALEGRE','RS','120202201216571451449931575124610124187',NULL,'9998',0.00,1,3,NULL),(25,6112889,'1993-10-11 00:00:00',4,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241115371431227624245134610132197',NULL,'307',0.00,1,2,1),(25,6112897,'1993-05-26 00:00:00',4,4,12,2010,'F','N','INTERIOR','ITAPIRANGA','SC','124241241111131431523416282224610127052',NULL,'412',27.11,1,2,1),(25,6112919,'1992-08-17 00:00:00',4,1,12,2009,'M','N','MARAPÉ','SANTOS','SP','125252253115471431438814575121610124022',NULL,'9998',0.00,1,3,NULL),(25,6112935,'1986-06-23 00:00:00',2,1,12,2003,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241136273742126644345133610123092',14359,'307',40.64,4,3,NULL),(25,6112943,'1993-05-04 00:00:00',4,6,12,2010,'M','N','BELA VISTA','GOIÂNIA','GO','109092091217121431366832575112610144054',3848,'9998',62.57,1,3,NULL),(25,6112951,'1992-01-09 00:00:00',4,1,12,2009,'F','N','JD DAS INDÚSTRIAS','S JOSÉ CAMPOS','SP','125252251215471431359831595112610133197',NULL,'9998',0.00,1,3,NULL),(25,6112960,'1993-12-28 00:00:00',4,1,11,2010,'F','N','CENTRO','BIGUAÇU','SC','124244241215113431435612595124610133072',16391,'1118',36.48,1,3,NULL),(25,6112978,'1988-07-30 00:00:00',4,1,10,2007,'F','N','BOM RETIRO','BLUMENAU','SC','124244247127372731238823395115133221147',NULL,'9999',15.73,1,3,NULL),(25,6113001,'1991-04-27 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472451368833475125120347032',47,'270',85.70,1,3,NULL),(25,6113028,'1990-06-18 00:00:00',4,1,12,2007,'M','N','JD ESTRELA','MAUÁ','SP','125253251216271441426631345125143256177',4839,'9998',58.89,1,3,NULL),(25,6113036,'1990-03-16 00:00:00',4,1,11,2007,'M','N','CAPÃO RASO','CURITIBA','PR','116164161217371441136319375122610166047',NULL,'9998',0.00,1,3,NULL),(25,6113044,'1991-03-18 00:00:00',4,1,12,2008,'F','N','ALTO DE PINHEIROS','S PAULO','SP','125252251216572411489811592112610162097',203,'9998',80.37,1,3,NULL),(25,6113052,'1992-12-24 00:00:00',4,1,12,2009,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251217471711478814571122610163017',NULL,'9998',0.00,1,3,NULL),(25,6113079,'1992-07-14 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124243241216171751335724595114610147117',NULL,'1075',31.05,1,3,NULL),(25,6113087,'1992-04-02 00:00:00',4,8,12,2009,'M','N','CENTRO','GUARAPUAVA','PR','116162161215471411457812575124610148187',NULL,'9998',0.00,1,3,NULL),(25,6113095,'1993-12-03 00:00:00',4,1,12,2010,'M','N','BOA VISTA','CURITIBA','PR','116161161117141731336724345114610162012',17213,'9998',35.08,1,2,1),(25,6113109,'1992-04-09 00:00:00',4,1,12,2009,'F','N','JARDIM SEVILHA','BRAGANÇA PAULISTA','SP','125252251216471431488814572122610163097',5990,'9998',55.31,4,3,NULL),(25,6113117,'1989-04-24 00:00:00',4,1,12,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','116162161216572411389614575224241467181',NULL,'9998',0.00,1,3,NULL),(25,6113125,'1993-02-21 00:00:00',4,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217111531556632471114610114092',2603,'270',66.34,1,3,NULL),(25,6113133,'1993-08-21 00:00:00',2,1,12,2010,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241115131631326639315124610137062',19409,'591',36.03,4,2,1),(25,6113141,'1992-09-28 00:00:00',4,8,11,2009,'F','N','CRISTO REI','CURITIBA','PR','116144161216471431546721575114610131042',2326,'9998',65.70,1,3,NULL),(25,6113150,'1993-11-12 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241115141731326379292124610127147',NULL,'51',0.00,4,2,1),(25,6113176,'1991-09-22 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241415473411258923175124231917142',8884,'969',49.22,1,3,NULL),(25,6113192,'1991-03-12 00:00:00',2,1,11,2008,'F','N','JARDIM PRIMAVERA','PATO BRANCO','PR','116164161215271431435432372112610164017',NULL,'9998',38.02,1,3,NULL),(25,6113222,'1986-01-23 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161161147131431325344242124610112197',NULL,'9998',0.00,4,2,1),(25,6113230,'1992-05-13 00:00:00',4,4,11,2009,'M','N','REBOUÇAS','CURITIBA','PR','116162161235372411334822175122121467057',3964,'9998',60.77,1,3,NULL),(25,6113249,'1992-05-23 00:00:00',2,3,12,2010,'M','N','ASSARI','BARRA BUGRES','MT','111111111127161731324634592321610137057',21002,'9998',25.10,4,3,NULL),(25,6113257,'1988-09-28 00:00:00',4,7,12,2005,'M','N','SÃO VICENTE','HERVAL D OESTE','SC','124241241216572731357933575125610134182',12282,'446',42.24,1,3,NULL),(25,6113265,'1990-08-05 00:00:00',4,1,11,2008,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120242241215574451258833571144610168192',5653,'270',56.71,1,3,NULL),(25,6113273,'1989-06-25 00:00:00',4,1,6,2007,'M','N','AREIAS','S JOSÉ','SC','124244241115473431433832576124610164172',6466,'306',55.93,1,3,NULL),(25,6113281,'1990-05-03 00:00:00',2,4,12,2007,'M','N','CENTRO','PINHALZINHO','SC','124241241116131431423315575224231414187',NULL,'604',0.00,4,2,1),(25,6113290,'1992-02-15 00:00:00',4,17,11,2009,'M','N','CENTRO','S MATEUS SUL','PR','116162161231162751639941311221611064022',NULL,'9998',29.39,1,3,NULL),(25,6113311,'1992-03-15 00:00:00',2,3,12,2009,'M','N','CIDADE JARDIM','CPO GRANDE','MS','112122121217471431369833572112610167057',5760,'9998',57.58,4,3,NULL),(25,6113320,'1993-02-18 00:00:00',2,6,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161216121431436933571244610127072',NULL,'9998',38.49,1,3,NULL),(25,6113338,'1990-09-27 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201201115574431466617375114121712142',8739,'9998',50.14,1,2,1),(25,6113346,'1993-09-03 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124021241115141331323224142124610122177',NULL,'293',14.08,4,2,1),(25,6113370,'1990-03-18 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124241241116133431236923372124133246042',10212,'512',47.03,1,2,1),(25,6113389,'1993-02-12 00:00:00',4,6,11,2010,'F','N','GRAVATÁ','NAVEGANTES','SC','124242161216121431433931575122610116192',7160,'9998',53.74,1,3,NULL),(25,6113400,'1986-09-04 00:00:00',4,1,12,2004,'M','N','CIDADE JARDIM','S CARLOS','SP','125252251217571751466814575122241425057',2339,'9998',66.33,1,3,NULL),(25,6113427,'1990-08-05 00:00:00',4,1,12,2008,'M','N','JARDIM BELA VISTA','JACAREÍ','SP','125251256215471431336314245122610124057',18668,'9998',31.37,1,3,NULL),(25,6113435,'1987-09-21 00:00:00',2,1,12,2005,'M','N','ESTREITO','ALFREDO WAGNER','SC','124241241126141731333639243121610117147',NULL,'13',0.00,1,3,NULL),(25,6113443,'1992-12-12 00:00:00',4,2,12,2009,'F','N','FORTALEZA','BLUMENAU','SC','124241241215472421339614375124610168092',3692,'855',62.94,1,3,NULL),(25,6113460,'1991-07-03 00:00:00',4,1,11,2008,'F','N','VILA PANTALEÃO','CAÇAPAVA','SP','125252251216572431548632591122610165072',5934,'9998',55.03,1,3,NULL),(25,6113478,'1991-05-11 00:00:00',4,1,12,2008,'M','N','NOVA LONDRES','LONDRINA','PR','115162161215271431258833575222141464052',477,'9998',76.22,1,3,NULL),(25,6113486,'1993-04-13 00:00:00',4,2,12,2010,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124242161216111431459911572122610122037',5634,'9998',58.24,1,3,NULL),(25,6113494,'1993-05-15 00:00:00',4,8,11,2009,'F','N','CENTRO CIVICO','CURITIBA','PR','116112161215471431358814585114610122077',NULL,'9998',32.77,1,3,NULL),(25,6113516,'1989-02-03 00:00:00',4,3,12,2006,'M','N','CENTRO','CURITIBA','PR','116161161216211711226614575115141062046',NULL,'9998',0.00,3,3,NULL),(25,6113524,'1989-03-02 00:00:00',2,1,12,2006,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117375411547733345124220647047',NULL,'772',0.00,1,2,1),(25,6113532,'1991-03-13 00:00:00',4,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242241215574431458813571114610163142',3106,'1063',64.15,1,3,NULL),(25,6113540,'1992-02-01 00:00:00',2,1,12,2009,'M','N','IBIRAQUERA','IMBITUBA','SC','124241241121141431433319345124610147077',8854,'361',50.22,1,2,1),(25,6113559,'1991-09-30 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241146141431636314335124610143015',NULL,'275',0.00,4,2,1),(25,6113567,'1990-01-15 00:00:00',4,1,11,2007,'M','N','VILA ESPERANÇA','IMBITUBA','SC','124241246117372711323319242324610168112',15992,'358',42.16,1,2,1),(25,6113583,'1986-08-22 00:00:00',4,1,12,2005,'M','N','IPIRANGA','S JOSÉ','SC','124241241121132711524311312231233224182',NULL,'733',21.51,1,2,1),(25,6113605,'1989-10-10 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116471431326624345124610128197',11523,'359',46.23,1,2,1),(25,6113621,'1991-10-10 00:00:00',4,1,12,2009,'M','N','JARDIM ARCHILA','VOTORANTIM','SP','125252251216411431488832125122610127042',NULL,'9998',0.00,1,3,NULL),(25,6113630,'1992-02-05 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241436411411539933575225610162142',12915,'633',43.57,4,3,NULL),(25,6113656,'1992-04-17 00:00:00',4,1,6,2010,'M','N','ENSEADA DO BRITO','PALHOÇA','SC','124241241117131441446413575114610114037',14999,'739',43.69,1,2,1),(25,6113664,'1992-06-03 00:00:00',4,9,12,2009,'F','N','PENHA','LAGES','SC','124241241117272431424814345124610144047',13884,'512',41.12,4,2,1),(25,6113672,'1989-09-23 00:00:00',2,1,12,2006,'F','N','ARIRIÚ','PALHOÇA','SC','124241241116372431423311315124610124057',NULL,'772',25.51,1,2,1),(25,6113699,'1988-09-25 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241126141711123344341233131524092',NULL,'322',15.41,1,2,1),(25,6113702,'1993-04-18 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431356823575114610124053',18232,'1022',38.42,1,3,NULL),(25,6113729,'1992-03-13 00:00:00',4,4,12,2008,'F','N','EFAPI','CHAPECÓ','SC','124111118116131431526629395125231361187',19944,'9998',27.97,1,2,1),(25,6113737,'1992-11-13 00:00:00',4,2,12,2009,'F','N','PROGRESSO','BLUMENAU','SC','124241241116372411436634575124610126142',873,'85',74.70,1,2,1),(25,6113745,'1971-08-10 00:00:00',2,1,11,1992,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','524251257141131431421449291124610121147',NULL,'9998',33.14,1,2,1),(25,6113761,'1993-03-30 00:00:00',4,1,12,2010,'M','N','TERRAS DE SAVION','ITATIBA','SP','125252251216111711367732575112610127012',NULL,'9998',29.99,1,3,NULL),(25,6113770,'1991-03-16 00:00:00',2,17,12,2008,'F','N','GUAIRA','CURITIBA','PR','124241241141272431236529271122610127147',NULL,'315',32.54,1,2,1),(25,6113788,'1983-04-23 00:00:00',4,1,12,2000,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124162161217112732559812295122223237017',8629,'9998',53.72,1,3,NULL),(25,6113796,'1991-06-14 00:00:00',4,3,12,2007,'F','N','CENTRO','ASTORGA','PR','116162161215513431656631472122610161187',NULL,'9998',34.39,1,3,NULL),(25,6113800,'1990-05-08 00:00:00',4,1,12,2007,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241117152431323614345134610161152',10918,'307',47.92,1,2,1),(25,6113834,'1990-07-05 00:00:00',2,1,12,2007,'F','N','JARDIM CARANDÁI','BIGUAÇU','SC','124241241117271721453613135134610141117',14867,'65',43.89,1,3,NULL),(25,6113842,'1992-04-20 00:00:00',4,1,12,2009,'M','N','BQ DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125254251217472411238824575114610167042',8871,'9998',52.66,1,3,NULL),(25,6113850,'1994-05-22 00:00:00',4,15,12,2010,'M','N','GARAPUVU','ERMO','SC','124241241144141431323336562124610127057',21044,'250',25.49,1,3,NULL),(25,6113869,'1993-08-03 00:00:00',4,3,12,2010,'M','N','CENTRO','TAIÓ','SC','124241248116161431458912585122610127052',NULL,'777',0.00,1,3,NULL),(25,6113877,'1989-09-12 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217574411558811375122610124197',3607,'269',64.29,1,3,NULL),(25,6113885,'1991-08-13 00:00:00',4,1,12,2009,'M','N','BELA VISTA','S JOSÉ','SC','124241248137372411528629482324610127042',15177,'307',38.18,1,3,NULL),(25,6113893,'1992-07-14 00:00:00',2,1,11,2009,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215372551579811575122610127122',14105,'807',45.00,1,3,NULL),(25,6113907,'1993-06-04 00:00:00',2,15,12,2010,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241248115371311533671275225610122177',NULL,'29',0.00,1,2,1),(25,6113923,'1993-05-23 00:00:00',4,10,12,2009,'F','N','VILA AURORA','RONDONÓPOLIS','MT','111122281317472441469814575122610123092',12420,'9998',42.85,1,3,NULL),(25,6113940,'1992-03-05 00:00:00',2,1,12,2009,'M','N','CENTRO','NOVA TRENTO','SC','124241241136271431333869575121610124042',NULL,'574',40.79,1,2,1),(25,6113958,'1994-01-31 00:00:00',4,1,12,2011,'M','S','CENTRO','ARARANGUÁ','SC','124242241215121431348611375124610167042',NULL,'226',48.84,1,3,NULL),(25,6113966,'1993-07-06 00:00:00',4,1,12,2010,'F','N','PARQUE DOS PRÍNCIPES','S PAULO','SP','125252251217371731448814445122610167042',4526,'9998',60.59,1,3,NULL),(25,6113974,'1991-07-02 00:00:00',4,3,12,2008,'F','N','ZONASETE','MARINGÁ','PR','116162161216511421548616576325610162077',8413,'9998',50.69,1,3,NULL),(25,6113982,'1992-10-01 00:00:00',2,4,12,2009,'F','N','INTERIOR','CPO ERÊ','SC','124241241114471431433336572322610168057',11122,'137',45.27,1,2,1),(25,6113990,'1992-11-01 00:00:00',4,1,12,2009,'M','N','CAJURU','CURITIBA','PR','116162161135471631335634275114610157047',NULL,'9998',33.36,2,1,2),(25,6114016,'1991-09-27 00:00:00',4,1,12,2008,'F','N','ZONA DOIS','MARINGÁ','PR','116162161217573431388813572112610114112',3245,'9998',63.10,1,3,NULL),(25,6114032,'1991-01-22 00:00:00',2,1,12,2007,'F','N','CALEMBA','STO AMARO IMPERATRIZ','SC','124243241215375431354412575124130264092',3418,'270',64.06,1,3,NULL),(25,6114040,'1991-04-16 00:00:00',2,1,12,2008,'F','N','VILA ADYANA','S JOSÉ CAMPOS','SP','125252251216572731339811472122610112147',5403,'9998',57.90,1,3,NULL),(25,6114059,'1975-03-25 00:00:00',4,1,11,2000,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','624241241116271431433653442124610132187',19673,'9997',35.42,1,2,1),(25,6114075,'1982-02-15 00:00:00',4,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217575751588611594124132434095',1741,'270',69.26,1,3,NULL),(25,6114091,'1989-01-25 00:00:00',4,5,6,2007,'F','N','SANTA BARBARA','CRICIÚMA','SC','124241241217131122446624445124610165077',18996,'230',36.94,1,3,NULL),(25,6114113,'1991-01-23 00:00:00',4,15,12,2007,'F','N','PARQUE DOS VINHEDOS','CAXIAS SUL','RS','120201201117371431437714485122142823112',NULL,'9998',28.48,1,2,1),(25,6114121,'1993-03-17 00:00:00',2,1,12,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124242241127272412533623575114610114147',NULL,'591',29.47,2,1,2),(25,6114130,'1991-07-01 00:00:00',4,4,12,2008,'M','N','SANTA MARIA','CHAPECÓ','SC','124242241211532331337714272125132422053',360,'168',78.87,1,3,NULL),(25,6114164,'1987-03-24 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124262261214473411456831492223123264127',4458,'9998',62.11,1,3,NULL),(25,6114172,'1992-12-04 00:00:00',2,1,12,2010,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241315111731445531575124610137142',NULL,'592',32.27,4,3,NULL),(25,6114199,'1992-05-14 00:00:00',2,15,12,2009,'F','N','CENTRO','BAL ARROIO SILVA','SC','124241241115271431334332442114610162142',NULL,'29',33.71,1,2,1),(25,6114202,'1991-04-05 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216122431327612245322610145077',14261,'737',40.30,1,3,NULL),(25,6114210,'1993-07-25 00:00:00',2,4,12,2010,'F','N','CENTRO','SERRA ALTA','SC','124241241137131731538612345132610144142',12476,'765',42.94,1,2,1),(25,6114229,'1993-03-01 00:00:00',4,1,12,2010,'F','N','CENTRO PALHOÇA','PALHOÇA','SC','124241241225151731523632475124610163147',13120,'262',43.47,1,3,NULL),(25,6114237,'1990-10-25 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241116473431489911575124232422097',NULL,'271',0.00,1,3,NULL),(25,6114245,'1991-03-25 00:00:00',4,1,11,2008,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116164161415571441469734475114610134017',6414,'9998',53.88,1,3,NULL),(25,6114261,'1992-06-27 00:00:00',2,8,11,2009,'F','N','UVARANAS','PNT GROSSA','PR','116163161216575431336632574125610126072',2847,'9998',65.22,1,3,NULL),(25,6114270,'1992-03-25 00:00:00',4,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241215472731477814572114610165097',4823,'1026',59.02,1,3,NULL),(25,6114288,'1991-04-26 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124241241116153441533834345124610166142',18473,'734',37.97,1,2,1),(25,6114296,'1991-01-15 00:00:00',4,1,12,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241246137472531438834585124610127162',6108,'306',57.12,1,2,1),(25,6114300,'1979-07-30 00:00:00',2,1,12,1997,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124201208116131421256364285124343227097',NULL,'9998',0.00,1,2,1),(25,6114318,'1993-07-20 00:00:00',2,1,12,2010,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241135141421436435342124610132042',NULL,'592',36.13,1,2,1),(25,6114326,'1987-11-01 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124203242131231131326551392124613245044',18165,'274',38.53,1,3,NULL),(25,6114334,'1992-07-30 00:00:00',3,1,12,2009,'F','N','JARDIM ACLIMAÇÃO','S JOSÉ R PRETO','SP','125252251215371711258814575122610166192',16902,'9998',40.77,1,3,NULL),(25,6114342,'1991-12-08 00:00:00',4,1,12,2009,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241211142421436832341125231412142',8013,'270',51.29,1,3,NULL),(25,6114350,'1994-02-08 00:00:00',4,1,12,2010,'F','N','JARDIM MENEGAZZO','APUCARANA','PR','116162161216111431449713475122610133142',8402,'9998',50.91,1,3,NULL),(25,6114369,'1990-05-03 00:00:00',4,1,12,2007,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241115342431623744243124610127091',19611,'307',35.55,1,3,NULL),(25,6114377,'1993-07-08 00:00:00',4,1,11,2010,'F','N','CENTRO','ASSIS','SP','125252251211111431369816272111610164052',10793,'9998',50.00,4,3,NULL),(25,6114385,'1991-03-08 00:00:00',4,4,8,2009,'F','N','CENTRO','CHAPECÓ','SC','120242288216471731488811572125610122192',NULL,'9998',0.00,1,3,NULL),(25,6114393,'1990-02-06 00:00:00',4,9,12,2007,'M','N','SAGRADO CORAÇAO','LAGES','SC','124252251246471711558813572122610137097',13379,'9998',42.14,4,3,NULL),(25,6114407,'1991-05-17 00:00:00',2,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241146273411535631145124230435092',8984,'322',47.26,1,2,1),(25,6114415,'1992-01-18 00:00:00',4,6,12,2008,'M','N','CENTRO','CORUPÁ','SC','124241241411574431469613592124610132122',1369,'442',71.95,1,3,NULL),(25,6114431,'1978-09-19 00:00:00',4,1,12,1996,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241126133431126444345124133221147',17206,'740',40.28,1,3,NULL),(25,6114440,'1990-09-24 00:00:00',2,17,12,2010,'M','N','CENTRO','MATINHOS','PR','116163161117131431632519242121610142144',NULL,'9998',18.99,1,3,NULL),(25,6114466,'1991-12-26 00:00:00',4,3,12,2008,'F','N','CENTRO','PARANAVAÍ','PR','116162161216571411478832574325610145147',NULL,'9998',0.00,3,3,NULL),(25,6114474,'1992-06-13 00:00:00',4,1,11,2009,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241241211342421546831211114610137057',21613,'1048',26.69,1,3,NULL),(25,6114490,'1981-11-07 00:00:00',4,1,12,2000,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241126132421223344141224610123183',21436,'592',28.51,4,3,NULL),(25,6114504,'1989-05-09 00:00:00',2,1,12,2007,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241247146231431126944345124132326147',18688,'9999',37.57,1,3,NULL),(25,6114512,'1990-09-12 00:00:00',2,1,12,2008,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','624241241136343431321344242324610117042',21729,'288',24.54,1,2,1),(25,6114520,'1978-02-24 00:00:00',4,1,5,2001,'M','N','ARIRIU','PALHOÇA','SC','124241241217132321626441195123321967013',NULL,'596',0.00,4,3,NULL),(25,6114539,'1984-04-13 00:00:00',4,1,12,2001,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215113411438814345122333263027',NULL,'270',0.00,1,3,NULL),(25,6114547,'1990-01-17 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241126474431424414245134610127147',NULL,'285',29.95,1,2,1),(25,6114563,'1990-04-11 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241216132431439813575124610164195',12325,'272',47.65,1,3,NULL),(25,6114571,'1988-09-21 00:00:00',4,1,12,2005,'M','N','VILA INDEPENDENCIA','LIMEIRA','SP','125251251217572411336824575124610164182',2552,'9998',64.43,1,3,NULL),(25,6114580,'1988-09-02 00:00:00',2,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241111113211339848282214610115176',16869,'298',40.82,4,2,1),(25,6114598,'1991-07-20 00:00:00',4,9,12,2008,'F','N','FÁTIMA','CAXIAS SUL','RS','120201201217572431333314571124610168192',NULL,'9998',0.00,1,3,NULL),(25,6114610,'1991-04-09 00:00:00',2,1,12,2008,'F','N','REAL PARQUE','S JOSÉ','SC','124241241114433721326424395124230827042',10082,'734',47.56,1,3,NULL),(25,6114628,'1991-05-11 00:00:00',4,8,12,2008,'M','N','BUCAREIN','JOINVILLE','SC','124241246217471442336819175124610137011',7564,'1006',54.37,1,3,NULL),(25,6114636,'1989-05-12 00:00:00',2,5,12,2006,'F','N','CENTRO','PTO ALEGRE','RS','120202201216571421448833595122610168192',NULL,'9998',45.66,1,3,NULL),(25,6114644,'1992-05-18 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124243241115271431333929386124610138187',11897,'406',44.81,4,3,NULL),(25,6114652,'1989-08-25 00:00:00',4,1,12,2006,'M','N','JARDIM IRAJA','RIBEIRÃO PRETO','SP','125252251217473432379811582122220337047',6850,'9998',57.02,1,3,NULL),(25,6114660,'1969-04-03 00:00:00',2,1,12,1988,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','224241244137133412533643435134610114147',NULL,'293',26.55,2,1,1),(25,6114679,'1989-06-22 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241146132431236344345234620164043',NULL,'257',30.96,1,2,1),(25,6114695,'1989-01-07 00:00:00',2,8,12,2006,'F','N','BOA VISTA','PNT GROSSA','PR','116162161216512231259813575112610124187',4047,'9998',60.54,1,3,NULL),(25,6114717,'1992-07-18 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241131471431643339381124610127077',NULL,'1116',16.46,2,2,1),(25,6114750,'1991-05-15 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241112174411213321382224610162011',NULL,'307',0.00,4,2,1),(25,6114768,'1992-09-25 00:00:00',4,4,12,2009,'F','N','JARDIM DOS PRÍNCIPES','UMUARAMA','PR','116162161215472431468934572122610161017',1163,'9998',72.06,1,3,NULL),(25,6114776,'1991-04-01 00:00:00',4,1,6,2010,'M','N','VILA BANCARIA','S JOÃO B VISTA','SP','125252257347111732466812575112610167127',15693,'9998',38.47,1,3,NULL),(25,6114784,'1988-03-01 00:00:00',4,1,12,2005,'F','N','SANTOS DUMONT','S JOSÉ','SC','124241241146133421546614145124330845182',11123,'736',45.00,1,2,1),(25,6114792,'1990-11-27 00:00:00',4,1,11,2010,'F','N','VILA SANTANA','SUMARÉ','SP','125251254116471441468733275114610132097',9011,'9998',49.45,1,2,1),(25,6114806,'1992-08-22 00:00:00',4,1,12,2009,'F','N','BQ DOS EUCALIPTOS','S JOSÉ CAMPOS','SP','125252251215471431458814595124610126092',NULL,'9998',0.00,1,3,NULL),(25,6114814,'1993-10-10 00:00:00',4,1,12,2010,'M','N','IBIRAQUERA','IMBITUBA','SC','124242241117131431415828372324610164177',10163,'359',46.42,1,3,NULL),(25,6114822,'1985-06-23 00:00:00',2,1,12,2003,'M','N','SÃO VICENTE','SANTIAGO','RS','124201201116161731143444445122141737041',NULL,'9998',0.00,1,3,NULL),(25,6114830,'1989-08-30 00:00:00',2,1,12,2004,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241127271231126351382124130434142',NULL,'416',0.00,1,2,1),(25,6114849,'1978-04-15 00:00:00',4,6,12,1995,'F','N','BOMBAS','BOMBINHAS','SC','524162163436531731337941215222540768182',NULL,'9998',0.00,3,3,NULL),(25,6114865,'1991-02-19 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241126232431629413291124610116047',14231,'1097',39.89,1,2,1),(25,6114873,'1988-08-30 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217372411336731445122610127042',15039,'1022',41.20,2,3,NULL),(25,6114890,'1992-06-25 00:00:00',4,6,11,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241211473431437824374122610125017',11484,'392',48.92,1,3,NULL),(25,6114911,'1992-03-19 00:00:00',2,1,11,2010,'M','N','SAVEIRO','BIGUAÇU','SC','124241241137171331634434445114610114017',NULL,'1088',30.99,1,2,1),(25,6114938,'1993-08-24 00:00:00',4,9,12,2009,'M','N','SANTA RITA','LAGES','SC','124241241114371431423335572344610117042',20905,'18',31.48,1,2,1),(25,6114962,'1992-07-26 00:00:00',2,6,7,2010,'F','N','VILA MARIANA','S PAULO','SP','125252281215271311448811411122610127072',5252,'9998',59.60,1,3,NULL),(25,6114970,'1994-08-29 00:00:00',2,8,12,2010,'F','N','BOM RETIRO','JOINVILLE','SC','124243241216111431369933571122610128092',NULL,'456',23.94,1,3,NULL),(25,6114989,'1993-07-23 00:00:00',4,1,12,2010,'M','N','JARDIM IRIS','S PAULO','SP','125252251215161431558614274124610117052',19771,'9998',35.21,1,3,NULL),(25,6115004,'1990-04-13 00:00:00',2,2,12,2006,'F','N','CENTRO','PRES GETÚLIO','SC','124244241215474431458831572112133132192',783,'9997',74.03,1,3,NULL),(25,6115012,'1992-06-19 00:00:00',4,1,12,2010,'M','N','JUVEVE','CURITIBA','PR','116162167315471411368812575124610167047',11813,'9998',44.63,1,3,NULL),(25,6115020,'1991-01-23 00:00:00',4,1,2,2011,'M','N','BELA VISTA','S JOSÉ','SC','124241247215371431656634312122610133057',19215,'1118',36.49,1,3,NULL),(25,6115055,'1991-05-09 00:00:00',4,8,12,2008,'F','N','VILA AGUA FUNDA','S PAULO','SP','125252251217471431636422471224610124142',10441,'9998',45.94,1,3,NULL),(25,6115063,'1989-02-26 00:00:00',4,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116161161115471431348613276344610166192',4609,'9998',58.73,1,2,1),(25,6115071,'1992-05-05 00:00:00',2,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241117272531333167212121610137185',10928,'307',46.82,1,2,1),(25,6115080,'1991-08-13 00:00:00',4,15,12,2008,'M','N','ENCRUZO','S JOÃO SUL','SC','124241242117131431433316285121610128197',NULL,'690',31.02,1,2,1),(25,6115098,'1993-09-18 00:00:00',4,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124241241115271731426321585224610134087',14160,'734',41.35,1,3,NULL),(25,6115110,'1993-03-19 00:00:00',2,15,12,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124243241116131431548713272122610166051',NULL,'29',28.27,4,3,NULL),(25,6115128,'1991-10-28 00:00:00',4,1,11,2008,'F','N','LIBERDADE','S PAULO','SP','125222251217571431478833576125610132182',NULL,'9998',23.26,1,3,NULL),(25,6115136,'1993-09-03 00:00:00',4,4,12,2010,'F','N','LINHA SANTA RITA','S JOSÉ CEDRO','SC','124241241116131431526833345122610137077',NULL,'740',0.00,1,2,1),(25,6115144,'1980-09-15 00:00:00',3,1,12,1998,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116155431548819412124320568182',NULL,'307',0.00,1,3,NULL),(25,6115152,'1991-09-10 00:00:00',3,1,11,2008,'F','N','ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC','124241248116133511325513285124610125114',NULL,'271',26.37,1,2,1),(25,6115160,'1963-05-17 00:00:00',4,1,12,1981,'M','N','CENTRO','FLORIANÓPOLIS','SC','524241241326373421263643435122320232165',14476,'293',44.49,1,3,NULL),(25,6115179,'1989-03-06 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','224161161136472421225354275124610164151',19784,'9998',29.31,4,2,1),(25,6115187,'1993-10-15 00:00:00',4,1,12,2010,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241226131431523624575114610164057',12756,'262',43.81,1,3,NULL),(25,6115195,'1987-07-17 00:00:00',2,7,12,2003,'M','N','CENTRO','S JOSÉ OURO','RS','120201201112572431459931592124333267057',9848,'9998',51.61,1,2,1),(25,6115209,'1991-02-01 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241242116133751534427175124121766197',10586,'662',50.35,4,3,NULL),(25,6115217,'1988-09-25 00:00:00',4,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241217131411127841315124133267117',NULL,'106',0.00,1,3,NULL),(25,6115225,'1992-06-01 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116133431435611345124610124113',NULL,'278',0.00,1,2,1),(25,6115233,'1992-05-14 00:00:00',2,10,11,2009,'F','N','SÃO MARTINHO','TUBARÃO','SC','124242241216112431346833575122232028193',18875,'806',37.18,1,3,NULL),(25,6115241,'1992-04-29 00:00:00',2,1,12,2009,'F','N','CAPAO RASO','CURITIBA','PR','116162166217371131536512575124610163094',17453,'9998',34.55,1,3,NULL),(25,6115268,'1991-03-13 00:00:00',4,1,12,2008,'F','N','VILA MASCOTE','S PAULO','SP','125172251215551411387914575122610162142',5771,'9998',55.08,1,3,NULL),(25,6115276,'1994-06-04 00:00:00',4,1,12,2011,'M','S','BOM VIVER','BIGUAÇU','SC','124244241117131741449633495224613265096',NULL,'739',39.30,1,3,NULL),(25,6115284,'1992-05-05 00:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241215473411446612471122230226122',6762,'1038',55.19,1,3,NULL),(25,6115292,'1978-04-09 00:00:00',2,15,12,1995,'M','N','ALTO FELIZ','ARARANGUÁ','SC','224241241217132441248643335122330937067',10413,'26',50.63,1,3,NULL),(25,6115306,'1983-05-23 00:00:00',2,1,12,2000,'F','N','INGLESES','FLORIANÓPOLIS','SC','124211211117271422128644345334610121147',NULL,'9998',44.19,4,2,1),(25,6115314,'1983-12-09 00:00:00',4,1,12,1983,'M','N','CENTRO','CURITIBA','PR','116162161215471431567731472112343224122',2823,'9998',66.45,3,3,NULL),(25,6115322,'1986-05-01 00:00:00',2,1,6,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247347133131326644345232130247067',NULL,'300',0.00,2,1,2),(25,6115330,'1992-08-04 00:00:00',2,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124241241115271711224329291334610144067',20367,'734',29.89,4,2,1),(25,6115357,'1989-07-06 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241216273431467714395124221464185',868,'855',74.73,1,3,NULL),(25,6115365,'1989-03-07 00:00:00',2,1,7,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241117153421447823445124610168042',10943,'306',49.77,1,3,NULL),(25,6115373,'1990-06-19 00:00:00',2,5,12,2007,'F','N','RIO MAINA','CRICIÚMA','SC','124241241214371431643639395124132832147',NULL,'920',29.13,1,3,NULL),(25,6115381,'1990-06-08 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124161168122472431333341242223610147052',20779,'9998',32.01,1,2,1),(25,6115403,'1992-04-29 00:00:00',4,6,12,2009,'M','N','CENTRO','STA CRUZ SUL','RS','120204201217372731116549592125610168037',NULL,'9998',26.77,4,3,NULL),(25,6115411,'1992-01-02 00:00:00',2,4,12,2009,'M','N','SANTA MARIA','CHAPECÓ','SC','124241241131472431425411371225610143147',20759,'176',27.39,1,2,1),(25,6115420,'1991-10-02 00:00:00',4,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241117311431116441215123130837132',NULL,'1034',0.00,1,2,1),(25,6115438,'1989-02-21 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241217155431249613395114130267041',NULL,'272',43.67,1,3,NULL),(25,6115470,'1986-09-30 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241126372431533414345124610167077',NULL,'359',18.61,1,2,1),(25,6115489,'1992-05-23 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371441368829472112610164181',10733,'1197',46.72,1,3,NULL),(25,6115527,'1992-01-05 00:00:00',2,1,12,2009,'M','N','TRINTA RÉIS','NOVA TRENTO','SC','124241241135272431434311285112610122042',7010,'574',54.63,1,2,1),(25,6115543,'1991-09-13 00:00:00',4,3,12,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241216372511446612375113131442092',2775,'403',64.92,1,3,NULL),(25,6115551,'1991-11-27 00:00:00',4,1,6,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242247435371411356612445124610134185',13171,'9999',46.38,4,3,NULL),(25,6115560,'1993-06-07 00:00:00',2,4,12,2010,'F','N','VILA FLORESTA','STO ANDRÉ','SP','125251251317371311433431575124610125072',NULL,'9998',0.00,1,3,NULL),(25,6115578,'1990-03-13 00:00:00',2,1,12,2008,'M','N','SERRARIA','S JOSÉ','SC','124241241135131711426634385124130224147',NULL,'257',7.72,2,2,1),(25,6115586,'1993-09-02 00:00:00',2,4,11,2010,'F','N','NAÇÕES','CONCÓRDIA','SC','124244241211471431439613575122610134142',NULL,'1000',22.00,1,3,NULL),(25,6115594,'1991-05-29 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241247211131431336624472124610123052',NULL,'9999',19.11,4,1,2),(25,6115608,'1992-03-30 00:00:00',2,1,12,2009,'F','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112122121216471431368613575122610163192',11774,'9998',48.52,1,3,NULL),(25,6115616,'1991-04-30 00:00:00',2,15,12,2009,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124243241146151331443819345122610137077',NULL,'1033',15.26,1,3,NULL),(25,6115624,'1992-03-23 00:00:00',4,1,11,2009,'F','N','DEHON','TUBARÃO','SC','124242241215272431349932342122220444182',6810,'807',57.08,1,3,NULL),(25,6115632,'1993-04-10 00:00:00',2,1,12,2010,'M','N','SANTOS DUMONT','S JOSÉ','SC','124242241136141421324424345122610128112',NULL,'732',0.00,1,3,NULL),(25,6115640,'1994-01-24 00:00:00',2,5,11,2011,'F','S','PIO CORREA','CRICIÚMA','SC','124242241215111531446833576112610128097',NULL,'226',38.28,1,3,NULL),(25,6115659,'1993-11-10 00:00:00',2,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124244241126141731224424141124610133057',NULL,'169',18.22,1,3,NULL),(25,6115667,'1989-02-11 00:00:00',4,4,12,2006,'F','N','CENTRO','UMUARAMA','PR','116161161115431432533412492122610126142',8813,'9998',50.61,4,2,1),(25,6115675,'1992-09-04 00:00:00',4,1,12,2009,'M','N','BATEL','CURITIBA','PR','116162161217471712586612575112610164026',NULL,'9998',0.00,1,3,NULL),(25,6115683,'1993-06-27 00:00:00',2,2,12,2010,'F','N','CANTA GALO','RIO SUL','SC','124241241115371331623432575122610124042',NULL,'659',35.15,4,3,NULL),(25,6115691,'1992-11-18 00:00:00',2,3,11,2010,'M','N','CENTRO','PATO BRANCO','PR','116162161216121441468911575122610167042',NULL,'9998',29.89,1,3,NULL),(25,6115705,'1988-06-03 00:00:00',4,1,11,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243201216152421163824485124220962047',NULL,'9998',0.00,1,3,NULL),(25,6115721,'1992-12-22 00:00:00',4,1,11,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124254241217112231538813375114610164012',4037,'1133',61.23,1,3,NULL),(25,6115730,'1990-09-02 00:00:00',4,1,11,2007,'F','N','CENTRO','PASSO FUNDO','RS','120242201217371531588833575122143228172',15634,'9998',36.55,1,3,NULL),(25,6115764,'1991-04-26 00:00:00',2,1,12,2010,'F','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241115141431546614435224610138077',NULL,'307',19.00,4,2,1),(25,6115772,'1993-07-14 00:00:00',4,2,12,2010,'M','N','DOM JOAQUIM','BRUSQUE','SC','124241241117371731556614475121610137147',4589,'114',59.04,1,2,1),(25,6115780,'1993-07-01 00:00:00',4,5,11,2010,'M','N','SÃO LUIZ','CRICIÚMA','SC','124242241215111431438814575122610124182',836,'226',75.01,1,3,NULL),(25,6115799,'1993-10-24 00:00:00',2,1,12,2010,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241225111431334614575124610132192',NULL,'262',23.43,1,3,NULL),(25,6115802,'1993-12-10 00:00:00',4,3,12,2010,'F','N','CENTRO','UBIRATÃ','PR','116162161217121431669932474122610166191',NULL,'9998',0.00,1,3,NULL),(25,6115810,'1993-04-24 00:00:00',4,4,11,2010,'F','N','JARDIM BELA VISTA','ITAPIRANGA','SC','124241241417161431358732425122610124172',10786,'1060',44.91,1,3,NULL),(25,6115829,'1990-02-09 00:00:00',4,1,12,2008,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241137141411436514345124610162117',NULL,'295',11.63,1,2,1),(25,6115837,'1986-05-07 00:00:00',2,1,12,2010,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','624241247621131431226651295124610163092',20141,'9999',34.21,4,3,NULL),(25,6115845,'1993-05-29 00:00:00',4,1,12,2010,'M','N','FORQUILHAS','S JOSÉ','SC','124241241116141441323371245124610146142',NULL,'739',0.00,1,3,NULL),(25,6115853,'1980-10-18 00:00:00',4,1,12,1998,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215472431456914275124333228197',7452,'229',53.74,1,3,NULL),(25,6115861,'1993-05-21 00:00:00',4,1,12,2010,'M','N','CENTRO','FOZ IGUAÇU','PR','116162161237271711356729572112610134057',6060,'9998',56.23,1,3,NULL),(25,6115888,'1991-12-18 00:00:00',4,1,12,2009,'F','N','JARDIM EUROPA','FLORIANÓPOLIS','SC','124252251216112431148832575124221735193',NULL,'9998',0.00,1,3,NULL),(25,6115896,'1993-08-21 00:00:00',2,1,12,2010,'F','N','CENTRO','STO ÂNGELO','RS','120203201216271731525631295124610162151',NULL,'9998',0.00,1,3,NULL),(25,6115900,'1993-08-17 00:00:00',4,5,11,2010,'M','N','MINA DO MATO','CRICIÚMA','SC','124242241215371431579614575122610134092',6637,'226',57.40,1,3,NULL),(25,6115918,'1974-05-10 00:00:00',4,1,12,2009,'F','N','CENTRO','IMBITUBA','SC','124241247126131431214144345324610124112',17354,'9999',40.02,1,2,1),(25,6115926,'1991-06-27 00:00:00',4,1,12,2009,'M','N','VILA PROGRESSO','MARINGÁ','PR','116163161215372431466611572113610132092',4675,'9998',59.30,1,3,NULL),(25,6115934,'1990-11-12 00:00:00',2,15,11,2007,'F','N','CENTRO','SOMBRIO','SC','124243241216271431116619395115141432197',19022,'770',31.08,1,3,NULL),(25,6115942,'1991-09-28 00:00:00',4,1,12,2010,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124241248127141731526429345334610126145',NULL,'279',0.00,3,2,1),(25,6115969,'1994-08-05 00:00:00',4,10,12,2011,'F','S','CENTRO','TUBARÃO','SC','124242241215111431528933575122610162142',NULL,'797',40.15,1,3,NULL),(25,6115977,'1991-02-05 00:00:00',4,1,12,2008,'M','N','JD STO ANTONIO','CAIEIRAS','SP','125254251217151711579831575112610127087',NULL,'9998',0.00,4,3,NULL),(25,6115985,'1992-02-18 00:00:00',4,2,12,2009,'M','N','CENTRO','VIDAL RAMOS','SC','124241242116272411536813155124610157047',18259,'1222',38.37,1,2,1),(25,6115993,'1989-10-02 00:00:00',2,6,11,2006,'F','N','CENTRO','PIRAQUARA','PR','116164161216572431435933475124242966187',NULL,'9998',32.95,1,3,NULL),(25,6116000,'1985-04-19 00:00:00',2,1,12,2002,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124161161146375431223654112124131344182',17550,'9998',36.30,4,2,1),(25,6116019,'1991-07-26 00:00:00',4,8,12,2008,'F','N','FLORESTA','JOINVILLE','SC','124242241215573431337314374112610163012',4342,'489',60.01,1,3,NULL),(25,6116027,'1993-12-30 00:00:00',4,1,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116162161215141431459832215122610127052',10853,'9998',45.37,1,3,NULL),(25,6116035,'1984-11-02 00:00:00',2,1,7,2005,'F','N','BOM VIVER','BIGUAÇU','SC','124241247127275731223348382214610147087',17652,'9997',34.86,4,2,1),(25,6116051,'1986-01-15 00:00:00',4,1,12,2004,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241113132421329524343124130844041',NULL,'276',0.00,1,2,1),(25,6116060,'1989-10-27 00:00:00',2,8,12,2006,'M','N','NOVO MUNDO','CURITIBA','PR','116162161216572431533819574124610164182',5973,'9998',56.10,1,3,NULL),(25,6116086,'1993-07-28 00:00:00',4,1,12,2010,'F','N','PARQUE DA REPRESA','JUNDIAÍ','SP','125251251216111431249723295122610134114',NULL,'9998',43.80,1,3,NULL),(25,6116108,'1991-01-22 00:00:00',4,9,12,2008,'F','N','SANTA CRUZ','S JOAQUIM','SC','124242241235372441437613574322121463142',15583,'1035',38.19,2,1,2),(25,6116116,'1991-11-04 00:00:00',4,8,12,2009,'M','N','CENTRO','JOINVILLE','SC','124242241215471431368912575112610164042',4451,'1063',62.13,1,3,NULL),(25,6116124,'1993-02-21 00:00:00',2,3,12,2010,'M','N','SITIO CERCADO','CURITIBA','PR','116162161216131431436611346124610127142',NULL,'9998',0.00,1,3,NULL),(25,6116132,'1980-05-02 00:00:00',2,5,12,1997,'F','N','SÃO LUÍZ','CRICIÚMA','SC','624244241146372731323654372122132823187',16914,'209',36.10,2,1,2),(25,6116140,'1982-03-26 00:00:00',4,2,11,2004,'F','N','FORTALEZA','BLUMENAU','SC','124243248346131731433429232123610152187',NULL,'9997',16.63,1,3,NULL),(25,6116159,'1993-09-11 00:00:00',5,1,11,2010,'M','N','JURERE','FLORIANÓPOLIS','SC','124282241215371431487912575122610127042',4694,'262',59.58,1,3,NULL),(25,6116167,'1993-09-14 00:00:00',4,4,12,2009,'M','N','JARDIM SANTA MARIA','TOLEDO','PR','116222221215471431449632575121243212142',4222,'9998',60.56,4,3,NULL),(25,6116175,'1991-10-25 00:00:00',4,1,12,2009,'M','N','PORTAL DE ITU','ITU','SP','125252251217471231468834375122610147122',6225,'9998',54.88,1,3,NULL),(25,6116183,'1993-01-19 00:00:00',2,9,12,2010,'F','N','CENTRO','LAGES','SC','124241241117371451336629572125610124197',10697,'935',46.84,1,2,1),(25,6116191,'1991-01-09 00:00:00',4,7,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215373431426923571324121546191',4746,'446',59.57,1,3,NULL),(25,6116205,'1990-05-08 00:00:00',4,1,12,2007,'F','N','JARDIM MORUMBI','JUNDIAÍ','SP','125252251215571431457714275124610126127',2065,'9998',66.31,1,3,NULL),(25,6116213,'1992-01-02 00:00:00',4,1,11,2009,'M','N','ITAJUBA','BARRA VELHA','SC','124242241216373741548812592122130237182',5215,'270',60.38,1,3,NULL),(25,6116221,'1993-01-23 00:00:00',4,1,11,2009,'F','N','JARDIM ELISA','FOZ IGUAÇU','PR','116162161216471421478833585122610165112',NULL,'9998',0.00,1,3,NULL),(25,6116248,'1993-06-21 00:00:00',4,4,12,2010,'M','N','INTERIOR','DESCANSO','SC','124241241115131431423315572222610124067',NULL,'243',21.14,1,2,1),(25,6116256,'1993-04-04 00:00:00',4,4,11,2010,'F','N','JARDIM LA SALLE','TOLEDO','PR','116162161317471331379813131122610136142',NULL,'9998',27.96,1,3,NULL),(25,6116264,'1992-08-29 00:00:00',2,8,12,2009,'M','N','CENTRO','S BENTO SUL','SC','124163163436131411533314342222610138142',NULL,'9998',20.75,1,3,NULL),(25,6116272,'1993-02-22 00:00:00',2,8,12,2010,'M','N','JARDIM HANTSCHEL','RIO NEGRINHO','SC','124241241116161431556913582124610137057',NULL,'669',0.00,1,2,1),(25,6116280,'1993-10-11 00:00:00',2,4,12,2010,'F','N','CENTRO','GUARUJÁ SUL','SC','124241241126161431553316575122610124057',19581,'339',30.72,1,2,1),(25,6116299,'1992-01-23 00:00:00',4,8,12,2009,'M','N','BOEHMERWALT','JOINVILLE','SC','124243241147371431534327345124610134051',NULL,'482',18.04,1,3,NULL),(25,6116302,'1991-12-30 00:00:00',4,1,12,2009,'F','N','ZONA UM','MARINGÁ','PR','116162161216472751356932572122610163192',NULL,'9998',0.00,1,3,NULL),(25,6116310,'1993-03-27 00:00:00',2,8,12,2010,'M','N','SCHRAMM','S BENTO SUL','SC','124241241116161431325339575124610127142',NULL,'697',29.08,1,2,1),(25,6116353,'1992-11-03 00:00:00',4,1,12,2010,'F','N','JARDIM SAMAMBAIA','JUNDIAÍ','SP','125252251215111431366612575122610123092',12918,'9998',42.19,1,3,NULL),(25,6116388,'1991-10-17 00:00:00',2,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241214271421469614182121131427057',17343,'885',40.03,1,3,NULL),(25,6116396,'1992-09-01 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242247237472431345633575124610163097',NULL,'9999',34.46,1,3,NULL),(25,6116400,'1988-10-29 00:00:00',2,1,12,2005,'F','N','ZONA SETE','MARINGÁ','PR','116162161216571431454631575112610124187',1129,'9998',72.31,1,3,NULL),(25,6116418,'1993-05-03 00:00:00',2,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241217151731448712285125610167077',NULL,'227',23.64,1,3,NULL),(25,6116426,'1992-11-04 00:00:00',4,1,11,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127241431224444242234610128142',18777,'274',37.39,1,2,1),(25,6116434,'1991-01-17 00:00:00',2,10,12,2008,'M','N','CENTRO','TUBARÃO','SC','124242246217474441359914485122610142112',8307,'1120',49.89,1,3,NULL),(25,6116442,'1987-01-14 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217575421439917591124610125117',102,'270',83.39,1,3,NULL),(25,6116450,'1991-07-23 00:00:00',2,8,12,2010,'M','N','ITAUM','JOINVILLE','SC','124243241415111451248811595124610147057',NULL,'459',19.61,1,3,NULL),(25,6116469,'1990-09-23 00:00:00',2,1,6,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215472431554414345124133222182',10945,'262',48.55,1,3,NULL),(25,6116477,'1992-05-15 00:00:00',4,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124241241336132431666414345115610161152',9307,'783',49.37,1,3,NULL),(25,6116485,'1993-01-20 00:00:00',4,4,12,2010,'F','N','INDUSTRIAL','SEARA','SC','124241241116151751449823395122610124142',NULL,'764',21.92,1,3,NULL),(25,6116493,'1989-12-23 00:00:00',2,1,11,2006,'M','N','BOM JESUS','RIO PEDRAS','SP','125251251126571451333414145124610114093',6841,'9998',52.88,4,1,1),(25,6116507,'1984-09-20 00:00:00',2,1,11,2001,'F','N','CENTRO','URUSSANGA','SC','124242244215472311355729472124333228095',10858,'820',45.98,1,3,NULL),(25,6116515,'1993-01-31 00:00:00',4,1,12,2010,'F','N','RIO BRANCO','CAXIAS SUL','RS','120202201216471431226712425124610122077',16005,'9998',37.02,1,3,NULL),(25,6116523,'1990-11-05 00:00:00',4,10,11,2008,'M','N','CENTRO','TUBARÃO','SC','124243241212473431547632272122610137112',16268,'806',41.75,1,3,NULL),(25,6116531,'1993-06-29 00:00:00',2,4,12,2010,'F','N','CENTRO SUL','DOIS VIZINHOS','PR','116161161116471731545611375122610134182',14844,'9998',40.06,1,2,1),(25,6116540,'1984-04-15 00:00:00',4,1,12,2003,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','624241241126132721323453335123610134142',NULL,'772',18.77,1,2,1),(25,6116558,'1991-11-02 00:00:00',2,1,6,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243247215271431237723375114610164161',16649,'9999',41.16,1,3,NULL),(25,6116566,'1989-03-05 00:00:00',4,1,12,2006,'M','N','VILA DOS ANDRADES','S PAULO','SP','125252251217371411437631315114141067187',5911,'9998',55.88,1,3,NULL),(25,6116574,'1993-03-19 00:00:00',2,1,11,2010,'M','N','PARQUE UNIVERSITARIO','SORRISO','MT','111113111247161532433339572122610147077',17934,'9998',32.04,1,3,NULL),(25,6116582,'1992-02-27 00:00:00',4,1,6,2010,'M','N','JARDIM PAULISTA','S PAULO','SP','125252257217371431588734575112610164112',13033,'9998',42.50,1,3,NULL),(25,6116604,'1991-12-31 00:00:00',4,17,12,2008,'F','N','CENTRO','S JOÃO TRIUNFO','PR','116162161216371431448831375124610166012',13601,'9998',41.81,1,3,NULL),(25,6116620,'1993-03-16 00:00:00',4,1,11,2010,'F','N','VILA CELESTE','IPATINGA','MG','113132131215471531468631575125610166147',9403,'9998',48.48,4,3,NULL),(25,6116639,'1988-10-07 00:00:00',4,1,12,2005,'M','N','TRÊS MARIAS','S JOSÉ PINHAIS','PR','116162161217371731254629445125343263142',8049,'9998',51.43,1,3,NULL),(25,6116647,'1993-06-16 00:00:00',4,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215111431438823372124610135145',7731,'1050',52.70,1,3,NULL),(25,6116655,'1992-03-06 00:00:00',2,8,11,2009,'M','N','CIDADE INDUSTRIAL','CURITIBA','PR','116163161326133241522214145324610164087',9575,'9998',52.08,1,3,NULL),(25,6116663,'1991-11-03 00:00:00',4,4,12,2008,'F','N','CENTRO','MARAVILHA','SC','124241241117471751534431375124610134191',2648,'551',66.21,1,2,1),(25,6116680,'1991-05-20 00:00:00',2,15,11,2009,'F','N','FIGUEIRA','JACINTO MACHADO','SC','124243241237471351445612161112610168182',20458,'32',33.30,1,3,NULL),(25,6116698,'1993-04-06 00:00:00',2,4,11,2010,'F','N','CANGO','FRANCISCO BELTRÃO','PR','116162161216271431338413575122610168181',NULL,'9998',0.00,1,3,NULL),(25,6116701,'1991-04-05 00:00:00',4,8,12,2008,'F','N','VILA ESPERANÇA','MARINGÁ','PR','116161161216571431323923574121610135097',6558,'9998',55.75,1,3,NULL),(25,6116710,'1991-12-31 00:00:00',4,1,12,2008,'F','N','VILAS BOAS','CPO GRANDE','MS','112122121212571731569813582122610163147',10748,'9998',48.16,4,3,NULL),(25,6116736,'1992-01-27 00:00:00',4,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','120242241216371441359931315124132264186',NULL,'185',0.00,1,3,NULL),(25,6116744,'1991-12-20 00:00:00',4,1,11,2009,'F','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251217471411349814575122610163093',NULL,'9998',0.00,1,3,NULL),(25,6116779,'1990-09-01 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124254251215372411348714575222121165117',8729,'9998',50.00,1,3,NULL),(25,6116787,'1993-03-14 00:00:00',2,10,11,2010,'F','N','RETIRO','JAGUARUNA','SC','124243241215111411433831275124610143072',9334,'806',52.47,1,3,NULL),(25,6116795,'1992-11-25 00:00:00',2,1,12,2009,'F','N','TERRAS DO PIRACICABA','PIRACICABA','SP','125252251215372731589611575112142836182',12528,'9998',47.29,1,3,NULL),(25,6116809,'1994-01-22 00:00:00',4,7,12,2010,'F','N','FARROUPILHA','VIDEIRA','SC','124244241215271431449811571122610113142',NULL,'829',0.00,1,3,NULL),(25,6116817,'1993-07-17 00:00:00',4,4,12,2010,'F','N','INTERIOR','DESCANSO','SC','124241241115131431523315572322610124147',NULL,'243',14.63,1,2,1),(25,6116825,'1993-03-27 00:00:00',4,1,11,2010,'F','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','124242241215112431589916572112610123042',15156,'270',43.47,1,3,NULL),(25,6116841,'1994-05-10 00:00:00',2,1,12,2011,'M','S','CACUPÉ','FLORIANÓPOLIS','SC','124241241117151731558833575122610117017',NULL,'267',37.05,1,3,NULL),(25,6116868,'1992-06-15 00:00:00',4,1,12,2009,'M','N','CENTRO','PATO BRANCO','PR','116162161215472431469931595122610127062',16150,'9998',41.94,1,3,NULL),(25,6116892,'1982-11-24 00:00:00',4,1,12,2001,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','624252251216274131229954335233610132057',10516,'9998',50.45,1,3,NULL),(25,6116906,'1992-04-13 00:00:00',4,8,12,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241215372421489913575112130467062',8915,'486',53.20,4,3,NULL),(25,6116914,'1985-04-10 00:00:00',4,1,12,2003,'M','N','REAL PARQUE','S JOSÉ','SC','424241241125132421238443235113133266187',NULL,'730',0.00,1,2,1),(25,6116922,'1988-03-08 00:00:00',4,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241316275431336621245124610122017',4568,'9999',61.85,1,3,NULL),(25,6116930,'1990-09-23 00:00:00',2,8,12,2007,'M','N','ABRANCHES','CURITIBA','PR','116162161216572751548823394121610167182',1281,'9998',71.97,1,3,NULL),(25,6116949,'1990-06-24 00:00:00',4,1,12,2007,'F','N','SÃO FRANCISCO','CURITIBA','PR','116161161416512411359923575112610162047',5562,'9998',55.73,1,3,NULL),(25,6116957,'1992-08-03 00:00:00',4,1,12,2009,'F','N','PERDIZES','S PAULO','SP','125252251216471411236923315124610146127',NULL,'9998',0.00,1,3,NULL),(25,6116965,'1992-01-11 00:00:00',4,9,12,2009,'F','N','CORAL','LAGES','SC','124241241116372431226614572124610126142',7070,'935',54.51,1,2,1),(25,6116973,'1994-03-09 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431369933575122610134182',18412,'270',35.72,1,3,NULL),(25,6116981,'1992-04-15 00:00:00',4,8,12,2009,'M','N','BOEHMERWALD','JOINVILLE','SC','124241246217272731336632345124610127141',14904,'1006',43.82,1,3,NULL),(25,6117015,'1991-08-06 00:00:00',4,8,12,2008,'F','N','CENTRO','GUARAMIRIM','SC','124243241217131731448419295124133267051',14171,'441',44.90,4,1,2),(25,6117023,'1993-09-22 00:00:00',4,1,12,2010,'M','N','CERAMARTE','RIO NEGRINHO','SC','124242241217131421547712385125610164072',15101,'974',43.54,1,3,NULL),(25,6117031,'1993-11-01 00:00:00',2,1,11,2011,'F','S','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241215121332563312122124610123072',NULL,'1011',15.41,1,3,NULL),(25,6117058,'1990-12-01 00:00:00',4,9,12,2007,'M','N','SANTA CLARA','LAGES','SC','124241241116272441253323575122610162182',NULL,'935',26.07,1,3,NULL),(25,6117066,'1994-12-14 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241215111431348823472124610128052',12580,'1022',42.76,1,3,NULL),(25,6117074,'1989-09-27 00:00:00',2,15,11,2008,'M','N','CENTRO','ARARANGUÁ','SC','124242241416373731335639385122131022187',18342,'29',38.21,1,3,NULL),(25,6117090,'1991-12-26 00:00:00',2,8,12,2008,'F','N','CENTRO','LONDRINA','PR','116162161216511431445712572124610165147',NULL,'9998',40.69,1,3,NULL),(25,6117104,'1992-02-16 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201147472711124334385125610136147',4859,'9998',59.78,1,2,1),(25,6117112,'1985-03-24 00:00:00',2,15,12,2005,'M','N','LAGÃO','ARARANGUÁ','SC','124251251126161751523449342324610114042',NULL,'9998',0.00,4,3,NULL),(25,6117120,'1976-03-20 00:00:00',2,1,12,1992,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224243241316142421443642222132320832197',10330,'272',50.77,1,3,NULL),(25,6117139,'1993-09-22 00:00:00',4,17,12,2010,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241117271731553933595122610161147',NULL,'147',0.00,1,3,NULL),(25,6117147,'1992-06-09 00:00:00',4,8,12,2009,'F','N','CENTRO','JOINVILLE','SC','124242241214472431359911575115610144147',3960,'456',63.39,1,3,NULL),(25,6117155,'1987-07-07 00:00:00',2,10,12,2004,'F','N','CAVALHADA','PTO ALEGRE','RS','120201201116141431346629342334140822197',NULL,'9998',16.67,1,2,1),(25,6117163,'1994-01-06 00:00:00',2,4,12,2010,'M','N','CENTRO','S JOSÉ CEDRO','SC','124241241116161431437734572122610137057',NULL,'740',0.00,1,2,1),(25,6117171,'1992-10-26 00:00:00',4,8,12,2009,'F','N','CENTRO','GUARANIAÇU','PR','116162161215411451446614225122610132182',NULL,'9998',37.02,1,3,NULL),(25,6117180,'1992-05-28 00:00:00',4,1,12,2009,'F','N','VILA GOMES','CPO GRANDE','MS','112122121215471431468831341122610146012',NULL,'9998',0.00,1,3,NULL),(25,6117198,'1993-10-02 00:00:00',4,8,12,2010,'F','N','BATEL','CURITIBA','PR','116162161237121731449932575124610127073',NULL,'9998',0.00,1,3,NULL),(25,6117201,'1993-03-08 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241115471731436624575124610128142',NULL,'287',24.62,1,3,NULL),(25,6117210,'1992-09-26 00:00:00',2,1,12,2009,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215272731356634335124132767043',6504,'737',57.70,1,3,NULL),(25,6117228,'1994-06-10 00:00:00',4,4,12,2010,'F','N','ARI LUNARDI','XAXIM','SC','124243241215161721558913275122610128197',13769,'994',41.38,4,3,NULL),(25,6117236,'1991-09-11 00:00:00',2,1,12,2008,'F','N','CENTRO','PASSO FUNDO','RS','120201201116471211334416575122610126147',11707,'9998',42.37,1,2,1),(25,6117244,'1989-09-24 00:00:00',2,1,11,2006,'F','N','CENTRO','BR COTEGIPE','RS','120201201214571751439833331124610134072',1537,'9998',69.31,1,3,NULL),(25,6117252,'1989-02-15 00:00:00',2,1,11,2007,'M','N','FORQUILHINHAS','S JOSÉ','SC','124244244447151431323824245124610165077',NULL,'9999',39.33,1,3,NULL),(25,6117279,'1992-07-15 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241112472731425611332124610133171',15925,'257',36.81,2,2,1),(25,6117295,'1993-08-21 00:00:00',4,4,12,2010,'F','N','CENTRO','UBIRATÃ','PR','116162161215111231546631375112610122072',12074,'9998',43.17,1,3,NULL),(25,6117309,'1993-03-10 00:00:00',4,7,12,2010,'M','N','CENTRO','VIDEIRA','SC','124241241145151431536912575122610122042',21620,'831',26.61,1,2,1),(25,6117317,'1990-07-15 00:00:00',2,2,12,2008,'M','N','PARQUE INDUSTRIAL','ITAPEVA','SP','125251251117131531327711412222140747017',NULL,'9998',0.00,1,2,1),(25,6117325,'1993-01-11 00:00:00',4,1,12,2009,'M','N','LESSA','PINDAMONHANGABA','SP','125252251217471411569933575111610166097',11952,'9998',44.20,1,3,NULL),(25,6117341,'1993-12-29 00:00:00',2,1,12,2010,'F','N','PLANALTO','VACARIA','RS','120201201116131751446811572122610164047',18823,'9998',32.63,1,3,NULL),(25,6117350,'1992-05-29 00:00:00',4,8,12,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215472431588914572122610133071',9382,'1063',48.34,1,3,NULL),(25,6117368,'1991-06-07 00:00:00',4,4,12,2008,'F','N','CENTRO','NOVA P IGUAÇU','PR','116163161433571431557932575122610118182',3981,'9998',61.15,1,3,NULL),(25,6117376,'1991-11-25 00:00:00',2,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124243241217272431437414334134610137182',16702,'939',41.07,1,3,NULL),(25,6117384,'1987-11-21 00:00:00',4,1,12,2005,'M','N','LESSA','PINDAMONHANGABA','SP','125252251217273451569933485121121768097',3311,'9998',62.84,4,3,NULL),(25,6117392,'1992-06-18 00:00:00',4,1,12,2009,'F','N','JARDIM LA SALLE','TOLEDO','PR','116162161216271431448712381122143135182',7124,'9998',53.06,1,3,NULL),(25,6117414,'1988-01-13 00:00:00',4,1,12,2005,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241217153431678613571122221165122',6719,'262',57.26,1,3,NULL),(25,6117422,'1991-06-29 00:00:00',4,1,11,2008,'F','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251217571531588832575122610167112',NULL,'9998',0.00,1,3,NULL),(25,6117430,'1993-04-29 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271451459714275122610138077',13956,'1022',39.21,1,3,NULL),(25,6117449,'1992-04-16 00:00:00',4,1,12,2009,'M','N','CENTRO','CURITIBA','PR','116252161216471412448821575112141036197',NULL,'9998',0.00,1,3,NULL),(25,6117457,'1991-09-21 00:00:00',3,1,12,2008,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243241217573431589953576112610143112',863,'270',73.68,4,3,NULL),(25,6117465,'1992-02-18 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431455933572122130421117',6758,'1169',57.19,1,3,NULL),(25,6117473,'1990-02-07 00:00:00',4,1,12,2007,'M','N','SANTANA','S PAULO','SP','125252251116271411336724185124142864057',3760,'9998',60.76,4,3,NULL),(25,6117481,'1992-05-10 00:00:00',4,1,11,2010,'M','N','CERQUEIRA CESAR','S PAULO','SP','125252251217121432589712476113610164033',NULL,'9998',0.00,1,3,NULL),(25,6117490,'1993-12-21 00:00:00',2,4,12,2010,'F','N','CENTRO','S JOSÉ CEDRO','SC','124241241116161431426635572124610137077',NULL,'740',0.00,1,2,1),(25,6117503,'1992-06-03 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124203241127151431537619185124233216057',15109,'288',40.22,1,3,NULL),(25,6117511,'1993-03-09 00:00:00',2,8,11,2010,'M','N','GANCHINHO','CURITIBA','PR','116162161215271721447319575122610127067',NULL,'9998',0.00,1,3,NULL),(25,6117520,'1994-01-15 00:00:00',2,8,12,2010,'F','N','COHAPAR','GUARATUBA','PR','116162161314271431444819292112610127142',NULL,'9998',0.00,1,3,NULL),(25,6117538,'1993-06-16 00:00:00',4,5,12,2010,'M','N','SÃO CRISTOVÃO','CRICIÚMA','SC','124242241215111431468814475122610124147',17184,'210',40.32,1,3,NULL),(25,6117546,'1990-03-14 00:00:00',2,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124162161217271431228624182224610127012',12067,'9998',48.03,4,1,2),(25,6117554,'1991-07-07 00:00:00',2,1,11,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241116332421333623442134610133197',NULL,'307',32.06,2,1,1),(25,6117562,'1993-04-20 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372431448731585122610167072',NULL,'1022',42.84,1,3,NULL),(25,6117570,'1990-03-03 00:00:00',4,8,12,2006,'F','N','COSTA E SILVA','JOINVILLE','SC','124241246215575411447614572124610134147',157,'494',81.75,1,3,NULL),(25,6117600,'1994-02-19 00:00:00',4,4,12,2010,'F','N','ALVORADA','FRANCISCO BELTRÃO','PR','116162161215271731236824175112610168042',NULL,'9998',0.00,1,3,NULL),(25,6117619,'1992-07-20 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211111731435621575122610134041',15550,'269',42.83,1,3,NULL),(25,6117627,'1994-02-27 00:00:00',4,1,11,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217121421488911475122610132132',323,'270',79.33,1,3,NULL),(25,6117635,'1993-05-09 00:00:00',4,6,11,2010,'F','N','ARMAÇÃO','PENHA','SC','124244241217111431446734385122610166052',11143,'389',49.46,1,3,NULL),(25,6117643,'1989-08-11 00:00:00',2,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124246246612111431321421122125610132057',NULL,'307',0.00,1,3,NULL),(25,6117651,'1991-05-10 00:00:00',4,1,12,2008,'M','N','EXTENSAO DO BOSQUE','RIO OSTRAS','RJ','121212211216111731258914372121241437117',NULL,'9998',0.00,4,3,NULL),(25,6117660,'1993-06-20 00:00:00',2,1,12,2010,'F','N','SANTA MARIA','ANTÔNIO CARLOS','SC','124241241115371431523315572324610127052',7862,'21',52.19,1,2,1),(25,6117678,'1979-09-05 00:00:00',4,1,12,1997,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224162161216352431357854485122321464127',NULL,'9998',27.87,1,3,NULL),(25,6117686,'1993-10-29 00:00:00',4,10,11,2011,'M','S','HUMAITÁ','TUBARÃO','SC','124243241214111721346614575122610166122',NULL,'807',41.35,1,3,NULL),(25,6117694,'1992-11-18 00:00:00',4,1,12,2010,'M','N','PRIMAVERA','BARRETOS','SP','125252251215111431338611375112610164182',NULL,'9998',0.00,1,3,NULL),(25,6117708,'1993-05-12 00:00:00',2,15,12,2010,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241315131431328669211121610126077',19919,'30',30.02,1,3,NULL),(25,6117716,'1992-10-06 00:00:00',4,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124243241115131441336613571124610136047',9479,'1116',48.86,1,3,NULL),(25,6117724,'1994-04-07 00:00:00',2,4,12,2010,'F','N','ALVORADA','XAXIM','SC','124244241415131411424923195122610123017',16219,'994',35.56,1,3,NULL),(25,6117732,'1993-04-29 00:00:00',4,1,12,2010,'F','N','JARDIM DO TREVO','CAMPINAS','SP','125252251217121431536632575112610121117',7344,'9998',52.53,1,3,NULL),(25,6117740,'1990-10-23 00:00:00',2,1,12,2007,'F','N','IPIRANGA','S JOSÉ','SC','124241241146173731133419295234610137047',20838,'812',31.78,1,2,1),(25,6117759,'1993-12-03 00:00:00',4,8,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161215471431448632372125610126142',4627,'9998',60.85,3,3,NULL),(25,6117767,'1988-12-19 00:00:00',2,15,8,2010,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241247136131731213349495114610164097',NULL,'9999',33.06,1,2,1),(25,6117775,'1993-07-23 00:00:00',4,17,12,2010,'M','N','VILA NOVA','MAFRA','SC','124241241216111431459933575122610137057',12020,'541',43.56,1,3,NULL),(25,6117783,'1993-06-27 00:00:00',4,8,11,2010,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241215121431459819572122610134111',14743,'1016',40.31,1,3,NULL),(25,6117791,'1985-06-25 00:00:00',4,1,12,2002,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243241215473431257663485124321524127',206,'855',80.99,1,3,NULL),(25,6117805,'1993-01-17 00:00:00',4,2,12,2010,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124243241115112731648834575124610147092',8919,'88',51.03,4,3,NULL),(25,6117813,'1994-02-09 00:00:00',4,4,12,2010,'F','N','CENTRO','NOVA P IGUAÇU','PR','116161161114161431438611472124610124072',NULL,'9998',19.73,4,3,NULL),(25,6117821,'1990-07-28 00:00:00',2,1,11,2007,'M','N','ROSÁRIO','STA MARIA','RS','120201201346574751233326575122610164042',1495,'9998',70.91,1,3,NULL),(25,6117848,'1975-09-13 00:00:00',2,1,12,1992,'F','N','CENTRO','FLORIANÓPOLIS','SC','224201241116151311176353375112340846142',NULL,'9998',0.00,1,3,NULL),(25,6117856,'1985-03-20 00:00:00',2,1,6,2005,'M','N','CARIANOS','FLORIANÓPOLIS','SC','624243247344134431228554182124610132112',NULL,'9999',0.00,1,3,NULL),(25,6117864,'1994-01-30 00:00:00',2,1,12,2010,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241117141431324724245124610167047',15535,'591',37.26,4,1,2),(25,6117880,'1985-04-19 00:00:00',2,1,7,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224243247417375431239654445124610164047',NULL,'270',35.15,2,3,NULL),(25,6117902,'1993-11-17 00:00:00',4,1,12,2010,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124241241117371731326613195324610135147',18052,'307',34.56,1,2,1),(25,6117910,'1993-09-17 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115371431326513575124610148147',8675,'257',50.47,1,2,1),(25,6117929,'1993-07-04 00:00:00',4,2,12,2010,'M','N','JARDIM EUROPA','ITAPEVA','SP','125254258216111431448722322122610161142',NULL,'9998',0.00,1,3,NULL),(25,6117937,'1992-07-10 00:00:00',2,1,12,2010,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241147141421446614345123610128187',NULL,'591',22.75,1,2,1),(25,6117953,'1974-12-13 00:00:00',2,1,8,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241247127574411436354346124131625077',20185,'9999',34.11,2,1,1),(25,6117961,'1989-10-02 00:00:00',4,6,12,2007,'M','N','CHACARA MACHADINHO I','AMERICANA','SP','125251251116572441448633575122610127017',12295,'9998',42.29,1,2,1),(25,6117970,'1993-03-31 00:00:00',2,15,12,2010,'F','N','SÃO LUIS','SOMBRIO','SC','124241241115131431226924576124610126017',NULL,'9997',0.00,1,2,1),(25,6117988,'1994-03-04 00:00:00',2,1,12,2010,'F','N','CENTRO','BUTIÁ','RS','120202201216131431435713395122610121052',15919,'9998',42.27,1,3,NULL),(25,6117996,'1993-06-03 00:00:00',2,5,12,2010,'F','N','CENTRO','ORLEANS','SC','124242241215111431458832575124610123052',15206,'226',43.40,1,3,NULL),(25,6118003,'1987-01-26 00:00:00',4,1,12,2004,'M','N','ACLIMACAO','S PAULO','SP','125252251217574231478813215115610164167',5735,'9998',55.17,1,3,NULL),(25,6118011,'1993-06-26 00:00:00',4,8,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161215471431538632572122610132142',9003,'9998',49.94,1,3,NULL),(25,6118020,'1992-10-05 00:00:00',2,8,12,2010,'F','N','VILA MARIA','BIRIGÜI','SP','125251258215161431449813575124610126092',NULL,'9998',0.00,1,3,NULL),(25,6118038,'1991-02-23 00:00:00',2,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241247315472431538479485124610127117',9145,'307',49.65,1,3,NULL),(25,6118062,'1992-05-12 00:00:00',2,1,11,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241311373121539813331124131038167',17429,'270',39.88,1,3,NULL),(25,6118089,'1992-08-28 00:00:00',4,2,11,2009,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124241241216271731436522575124610144197',8051,'997',50.47,1,3,NULL),(25,6118097,'1992-11-18 00:00:00',2,17,12,2009,'M','N','CAMPO DO GADO','RIO NEGRO','PR','116241161216471751446811575122610163177',6213,'9998',54.45,1,3,NULL),(25,6118100,'1989-12-28 00:00:00',4,1,12,2007,'M','N','CENTRO','TORRES','RS','120204201447271452537732285122141057097',9919,'9998',51.49,1,3,NULL),(25,6118119,'1993-07-07 00:00:00',4,1,12,2010,'M','N','AGUA VERDE','CURITIBA','PR','116162161215111731469939572124610167052',7579,'9998',52.37,1,3,NULL),(25,6118127,'1991-07-26 00:00:00',4,8,12,2008,'F','N','APARECIDA','SANTOS','SP','125252251216571431418814572111610118147',NULL,'9998',0.00,4,3,NULL),(25,6118135,'1989-06-26 00:00:00',4,8,11,2006,'F','N','VILA PLANALTO','DOURADOS','MS','112122121215575431448832574111610132012',NULL,'9998',47.70,1,3,NULL),(25,6118143,'1984-04-14 00:00:00',2,1,12,2002,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224203201317131431613571382212610118077',NULL,'9998',0.00,1,3,NULL),(25,6118151,'1993-11-15 00:00:00',4,1,11,2010,'F','N','SETOR C','ALTA FLORESTA','MT','111112111216161731578815572122610167012',3646,'9998',61.46,1,3,NULL),(25,6118160,'1993-12-23 00:00:00',2,10,12,2010,'F','N','VILA NOVA','IMBITUBA','SC','124241241115131431213311382344610125197',16643,'359',36.19,4,2,1),(25,6118178,'1992-09-11 00:00:00',4,4,11,2009,'F','N','ZONA RURAL','CUNHA PORÃ','SC','124241241116472431543435572124610166092',13689,'234',41.94,1,2,1),(25,6118186,'1990-06-04 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212573411269923572122130217041',NULL,'269',6.48,1,3,NULL),(25,6118194,'1991-06-07 00:00:00',2,8,12,2008,'F','N','WEISSOPOLIS','PINHAIS','PR','116161161116571431436634575114610137142',6214,'9998',56.32,2,1,1),(25,6118208,'1992-08-20 00:00:00',2,8,12,2009,'F','N','JOÃO COSTA','JOINVILLE','SC','124241241115471411556633571124610141042',NULL,'472',0.00,1,3,NULL),(25,6118216,'1993-03-09 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241215271731436624575124610117047',NULL,'1022',34.57,1,3,NULL),(25,6118240,'1992-07-24 00:00:00',4,6,12,2009,'F','N','SÃO VICENTE','ITAJAÍ','SC','124241241116572431463923572124610137107',7661,'400',53.26,2,1,1),(25,6118259,'1984-02-19 00:00:00',2,1,12,2003,'F','N','SERRARIA','S JOSÉ','SC','124201241126132431533434245124610164187',10775,'277',47.72,1,2,1),(25,6118267,'1989-08-02 00:00:00',4,1,3,2008,'M','N','ENSEADA DO BRITO','PALHOÇA','SC','124241241115133221421344245224130267147',NULL,'739',12.69,4,1,1),(25,6118275,'1992-08-10 00:00:00',4,1,12,2009,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124202241211273731239912271124220236136',4884,'262',58.74,1,3,NULL),(25,6118313,'1988-07-08 00:00:00',2,1,2,2006,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','117171171127471431112144441334610133142',NULL,'9998',25.65,1,2,1),(25,6118321,'1994-12-12 00:00:00',4,1,12,2011,'F','S','CENTRO','BAL CAMBORIÚ','SC','124241241214111732676811475122610143012',NULL,'9997',39.58,1,3,NULL),(25,6118356,'1988-03-20 00:00:00',4,1,12,2006,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241136132421224111445114610131177',19860,'733',34.96,1,3,NULL),(25,6118372,'1993-06-03 00:00:00',2,1,12,2010,'F','N','JARDIM ANÁPOLIS','BIGUAÇU','SC','124241241115131431633313572224610156183',21066,'65',30.84,3,2,1),(25,6118380,'1992-09-17 00:00:00',4,8,12,2009,'M','N','SÃO FRANCISCO','CURITIBA','PR','116162161215471441258822575124610124042',NULL,'9998',0.00,1,3,NULL),(25,6118399,'1993-05-23 00:00:00',2,1,12,2010,'F','N','CACHOEIRAS','BIGUAÇU','SC','124241241115271431321311572344610117077',NULL,'64',NULL,1,2,1),(25,6118402,'1989-11-03 00:00:00',4,1,12,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','116162161217574511249821575132243264052',9052,'9998',52.96,3,3,NULL),(25,6118410,'1993-02-08 00:00:00',2,5,12,2009,'F','N','BORTOLOTTO','NOVA VENEZA','SC','124242241216371431526634375122610137042',19445,'995',35.94,1,3,NULL),(25,6118429,'1992-07-24 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217111411368923475114610112172',5197,'1022',60.43,1,3,NULL),(25,6118437,'1993-01-27 00:00:00',4,1,12,2010,'M','N','MIRANDOPOLIS','S PAULO','SP','125252251216211321559934575121610114042',11874,'9998',43.20,3,3,NULL),(25,6118445,'1993-08-18 00:00:00',2,2,12,2010,'F','N','VALPARAÍSO','BLUMENAU','SC','124244241116271731336811175112610132097',17966,'88',34.92,1,3,NULL),(25,6118453,'1993-01-21 00:00:00',4,10,11,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124243241316131431328734572122610166097',5421,'809',57.35,1,3,NULL),(25,6118461,'1987-05-22 00:00:00',2,1,12,2005,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124203201116131431226644345234143221147',20534,'9998',33.00,1,3,NULL),(25,6118470,'1993-01-05 00:00:00',2,1,12,2010,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124201241114141731533314245124610126182',NULL,'288',36.07,1,2,1),(25,6118496,'1992-10-31 00:00:00',4,9,12,2009,'F','N','SÃO FRANCISCO','GARIBALDI','RS','120203201217472431359934571124610163147',5876,'9997',56.04,1,3,NULL),(25,6118526,'1990-11-03 00:00:00',4,9,11,2007,'F','N','CORAL','LAGES','SC','124241244115472731426611572122610114037',19418,'505',31.34,1,2,1),(25,6118569,'1992-12-03 00:00:00',4,1,12,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215272431335611575124610156017',NULL,'1075',0.00,4,3,NULL),(25,6118577,'1993-05-23 00:00:00',2,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115271431325521345124610114147',19817,'257',31.92,1,2,1),(25,6118585,'1990-10-18 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241212374732458814572112610167147',21748,'1050',24.06,1,3,NULL),(25,6118593,'1993-03-18 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215371431449812476112610132192',6634,'738',54.31,1,3,NULL),(25,6118607,'1992-04-12 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215472411366614575124610125012',4883,'459',59.30,1,3,NULL),(25,6118615,'1991-09-26 00:00:00',2,1,12,2009,'F','N','SÃO JOÃO CLIMACO','S PAULO','SP','125251241416471441326631572124610125052',9625,'633',48.15,1,3,NULL),(25,6118623,'1992-06-11 00:00:00',2,15,12,2009,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124242244217131532333631345122610112187',18574,'26',37.82,1,3,NULL),(25,6118631,'1991-04-12 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124244241115373411439614345122610114177',2173,'935',67.79,1,3,NULL),(25,6118640,'1990-01-16 00:00:00',1,1,12,2009,'M','N','ALTO ARIRIU','PALHOÇA','SC','124241246136123231458332524341613247042',NULL,'773',0.00,1,3,NULL),(25,6118658,'1991-10-24 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241117371441238812415124610132182',11270,'306',44.52,1,3,NULL),(25,6118674,'1993-05-01 00:00:00',4,1,12,2010,'F','N','JARDIM MORUMBI','ARAPONGAS','PR','116162161215111411458821575122610125092',NULL,'9998',0.00,1,3,NULL),(25,6118682,'1991-12-13 00:00:00',2,1,12,2009,'M','N','BOQUEIRÃO','SANTOS','SP','125252251217471132279933585122610137017',12126,'9998',43.47,1,3,NULL),(25,6118690,'1993-03-08 00:00:00',2,7,12,2010,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241217111431438912375122610137182',13573,'962',45.82,1,3,NULL),(25,6118704,'1993-12-02 00:00:00',4,1,2,2011,'M','N','ZONA SETE','MARINGÁ','PR','116162161217151441466816575112610164042',7588,'9998',55.64,1,3,NULL),(25,6118712,'1980-02-07 00:00:00',2,1,12,1999,'F','N','JD STA MARIA','S PAULO','SP','625251251126271121364454485125341363187',NULL,'9998',29.21,1,2,1),(25,6118720,'1975-02-21 00:00:00',4,5,12,1992,'M','N','SÃO LUÍZ','CRICIÚMA','SC','624244241126131431326644342132131227147',14177,'228',44.89,1,3,NULL),(25,6118739,'1993-01-14 00:00:00',2,4,11,2010,'F','N','CENTRO','CONCÓRDIA','SC','124242241315371331634432575122610128092',14066,'190',40.48,1,3,NULL),(25,6118747,'1993-09-05 00:00:00',4,8,12,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241216121431248831472125610124127',1824,'1016',68.25,1,3,NULL),(25,6118755,'1992-10-01 00:00:00',4,1,12,2009,'M','N','JARDIM BRASÍLIA','MANDAGUARI','PR','116163161217471431438914575114610132147',5483,'9998',56.67,1,3,NULL),(25,6118763,'1991-10-03 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116242241216573431469921575122610127062',1229,'442',71.48,1,3,NULL),(25,6118771,'1992-01-01 00:00:00',4,4,11,2010,'M','N','EFAPI','CHAPECÓ','SC','124241247646152431434433382124610162057',19737,'9999',29.62,4,3,NULL),(25,6118780,'1988-09-09 00:00:00',4,1,11,2007,'M','N','RIOO VERMELHO','FLORIANÓPOLIS','SC','124243247415371731426633385124610127117',21470,'9999',28.23,1,3,NULL),(25,6118798,'1990-05-15 00:00:00',4,7,12,2007,'M','N','CENTRO','CAÇADOR','SC','116244241311574721358834274125131347017',13593,'119',41.44,1,3,NULL),(25,6118801,'1993-06-04 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244247412111431338733575124610134012',11637,'272',44.72,1,3,NULL),(25,6118810,'1993-08-27 00:00:00',4,1,12,2010,'F','N','STELLA MARIS','ANDRADINA','SP','125252251216111431348934245112610114042',NULL,'9998',0.00,1,3,NULL),(25,6118828,'1988-09-30 00:00:00',4,8,11,2006,'F','N','CENTRO','JOINVILLE','SC','124252251217571711228831375115610124092',9475,'9998',52.26,1,3,NULL),(25,6118836,'1991-09-18 00:00:00',4,1,7,2009,'M','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242281411472731569814575114610112122',5746,'9998',55.73,1,3,NULL),(25,6118852,'1993-07-19 00:00:00',4,8,11,2010,'F','N','CENTRO','JOINVILLE','SC','124242241216111431358413575112610137147',1736,'1063',68.51,1,3,NULL),(25,6118860,'1994-04-26 00:00:00',4,1,12,2011,'M','S','CENTRO','TUBARÃO','SC','124164241215111431236812275121610127042',NULL,'807',45.72,1,3,NULL),(25,6118879,'1992-09-29 00:00:00',2,1,12,2009,'F','N','BELA VISTA','PALHOÇA','SC','124242241215372431336614142222610132092',14259,'989',41.58,1,3,NULL),(25,6118887,'1992-07-25 00:00:00',4,1,12,2009,'F','N','JD CONSTANT MATUCCI','SOROCABA','SP','125252251215371431688833575112610164072',14983,'9998',43.72,1,3,NULL),(25,6118895,'1991-09-27 00:00:00',4,1,12,2009,'M','N','VALE DO SOL','TREMEMBÉ','SP','125252251216472441368814595122610164042',2621,'9998',65.07,1,3,NULL),(25,6118909,'1991-03-28 00:00:00',2,15,12,2008,'M','N','NOVA BRASILIA','SOMBRIO','SC','124241242116142431435415275122230724042',21006,'690',31.06,1,2,1),(25,6118917,'1989-04-20 00:00:00',2,1,12,2006,'F','N','JARDIM ALVORADA','S JOSÉ CAMPOS','SP','125254251415471411339923472224133231142',NULL,'9998',0.00,1,3,NULL),(25,6118933,'1989-10-28 00:00:00',4,1,12,2007,'M','N','PROGRESSO','LAGUNA','SC','124243241116131431326613442211610117012',NULL,'521',21.15,1,3,NULL),(25,6118941,'1991-07-03 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473431479811435114130264062',1787,'270',70.09,1,3,NULL),(25,6118950,'1992-05-04 00:00:00',2,17,12,2009,'M','N','CENTRO','PAPANDUVA','SC','124164161216371731359933575112610147047',10230,'9998',46.81,1,3,NULL),(25,6118968,'1986-09-23 00:00:00',2,4,12,2004,'F','N','CENTRO','CHAPECÓ','SC','124241241116575751426339292125610122037',6201,'169',57.62,1,2,1),(25,6118976,'1990-03-23 00:00:00',4,9,11,2008,'M','N','SÃO CRISTOVÃO','LAGES','SC','124241241116131731326821575124610127057',NULL,'513',25.73,1,2,1),(25,6118984,'1993-11-05 00:00:00',2,8,12,2010,'F','N','JARDIM PLANALTO','COLOMBO','PR','116162161216151411556832575122610135147',NULL,'9998',0.00,1,3,NULL),(25,6118992,'1993-07-13 00:00:00',2,4,12,2010,'M','N','CENTRO','BOM S SUL','PR','116162161217121431348923575122610168197',NULL,'9998',0.00,1,3,NULL),(25,6119034,'1989-02-04 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373411468713575112610168193',10648,'270',45.27,1,3,NULL),(25,6119042,'1991-09-16 00:00:00',2,2,12,2008,'F','N','TESTO CENTRAL','POMERODE','SC','124241241214573431457914374114610137147',4744,'88',60.66,1,3,NULL),(25,6119069,'1992-10-16 00:00:00',2,4,12,2009,'M','N','JARDIM LINDOIA','GOIOERÊ','PR','116162161216471411376416575112610167066',1464,'9998',69.71,1,3,NULL),(25,6119077,'1992-02-21 00:00:00',2,1,12,2009,'M','N','PAROLIN','CURITIBA','PR','116161161136471431547814275124610167037',10963,'9998',45.45,1,2,1),(25,6119085,'1993-12-08 00:00:00',4,1,12,2011,'F','S','KOBRASOL','S JOSÉ','SC','124244241225131331339331575124610134192',NULL,'262',37.26,1,3,NULL),(25,6119093,'1991-02-21 00:00:00',2,1,12,2007,'M','N','VILA JULIETA','BUTIÁ','RS','120203201216371431525311242224240867057',17093,'9998',40.46,1,3,NULL),(25,6119115,'1993-04-25 00:00:00',2,1,11,1993,'M','N','CAMPINAS','S JOSÉ','SC','124241241315131431326624112214610117091',17147,'737',40.37,1,3,NULL),(25,6119123,'1990-07-26 00:00:00',4,1,12,2007,'F','N','CANCELLI','CASCAVEL','PR','116161161117131441526814241123240664017',NULL,'9998',42.67,1,2,1),(25,6119131,'1992-12-08 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','120202201215371531288832343122140267055',NULL,'1133',24.16,3,3,NULL),(25,6119140,'1994-06-01 00:00:00',4,10,12,2010,'F','N','PROGRESSO','LAGUNA','SC','124241248116131451336639572324610163057',19425,'521',31.02,1,2,1),(25,6119158,'1970-01-17 00:00:00',2,1,12,1987,'F','N','CENTRO','FLORIANÓPOLIS','SC','624243241122144411266543235122222224197',17900,'307',39.03,1,3,NULL),(25,6119166,'1992-12-08 00:00:00',2,15,11,2009,'F','N','CENTRO','SOMBRIO','SC','124242241212473331537913575124610127142',NULL,'32',24.89,1,3,NULL),(25,6119182,'1993-12-15 00:00:00',2,4,12,2010,'M','N','CENTRO','CONCÓRDIA','SC','124241241215111421427836575124610118047',13438,'1000',41.96,1,3,NULL),(25,6119190,'1992-01-09 00:00:00',4,1,12,2009,'M','N','SANTA CRUZ','ITAPIRA','SP','125252251415471331548711575112610167044',NULL,'9998',23.22,1,3,NULL),(25,6119204,'1990-09-21 00:00:00',2,6,12,2009,'M','N','FAZENDA','ITAJAÍ','SC','124201208127131731326619292114610146147',NULL,'9998',35.34,1,2,1),(25,6119220,'1993-06-21 00:00:00',4,7,12,2010,'F','N','INTERIOR','TANGARÁ','SC','124241241116161731416735572114610138147',15728,'779',42.56,1,2,1),(25,6119239,'1991-05-07 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242248111473411459934592124231233142',15070,'269',43.58,1,3,NULL),(25,6119247,'1992-02-20 00:00:00',4,1,12,2009,'M','N','CENTRO','UBIRAJARA','SP','125251251416472231436933575122610162042',12979,'9998',41.81,1,3,NULL),(25,6119263,'1990-12-28 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201217573451478812295115610118142',49,'9998',85.54,1,3,NULL),(25,6119271,'1986-05-29 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124164161215152411137612245124220762043',6284,'9998',54.57,1,3,NULL),(25,6119280,'1991-08-11 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241116272431426613345124610147041',16714,'293',41.05,1,3,NULL),(25,6119310,'1992-09-21 00:00:00',4,1,12,2010,'F','N','BARONI','BARRETOS','SP','125252251217111731558933575122610164197',3091,'9998',63.02,1,3,NULL),(25,6119328,'1983-02-11 00:00:00',4,8,12,2001,'M','N','ASSUNÇÃO','S BERNARDO CAMPO','SP','125252257211575431448814421124342666047',8313,'9998',51.03,1,3,NULL),(25,6119344,'1993-12-27 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241315152431358923595124610124145',4745,'267',60.41,1,3,NULL),(25,6119352,'1992-01-22 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241115372431123644345133610163141',7327,'17',53.00,1,2,1),(25,6119360,'1991-12-05 00:00:00',2,9,11,2008,'M','N','COHAB II','S JOAQUIM','SC','124241241112132431327615392321610168047',16595,'719',37.43,1,2,1),(25,6119379,'1990-06-22 00:00:00',2,1,6,2010,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241247116272431326549145224610144177',13506,'9999',41.23,1,2,1),(25,6119387,'1993-01-12 00:00:00',4,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241117371731323534375124610134145',NULL,'307',19.52,1,2,1),(25,6119395,'1993-04-04 00:00:00',2,4,11,2010,'F','N','SANTO ANDRÉ','GETÚLIO VARGAS','RS','120202208217111731436812572124610133187',NULL,'9998',0.00,1,3,NULL),(25,6119409,'1993-03-20 00:00:00',4,15,12,2010,'F','N','DIVINEIA','ARARANGUÁ','SC','124241241115111731323619374121610126052',NULL,'30',31.99,1,2,1),(25,6119417,'1993-03-14 00:00:00',4,10,12,2010,'F','N','CENTRO','ARMAZÉM','SC','124241241127141431436612345121610124172',10425,'34',45.81,1,2,1),(25,6119425,'1991-08-14 00:00:00',2,1,7,2010,'F','N','BARREIROS','S JOSÉ','SC','124242243215371331579611575122610117072',NULL,'9999',19.26,1,3,NULL),(25,6119433,'1993-04-29 00:00:00',2,3,12,2010,'F','N','AGUA VERDE','CURITIBA','PR','116164161215111431435721575224610123097',NULL,'9998',0.00,1,3,NULL),(25,6119441,'1993-05-01 00:00:00',2,4,12,2010,'M','N','CENTRO','ENTRE R SUL','RS','120201201127151431433332291125610164052',12079,'9998',42.31,1,2,1),(25,6119450,'1964-06-14 00:00:00',2,1,12,1982,'F','N','CENTRO','FLORIANÓPOLIS','SC','424241243112154411464653432132122764147',NULL,'306',0.00,1,2,1),(25,6119476,'1992-09-23 00:00:00',4,3,2,2011,'M','N','NAÇOES','BAL CAMBORIÚ','SC','124241247446131431426329381125610122182',NULL,'9999',16.81,1,3,NULL),(25,6119492,'1993-06-24 00:00:00',2,8,10,2010,'F','N','FLORESTA','JOINVILLE','SC','124242241215111432654812272222610126147',7193,'1016',55.69,1,3,NULL),(25,6119506,'1993-01-08 00:00:00',4,3,12,2010,'F','N','JARDIM ARAXÁ','LONDRINA','PR','116163161215111451667812475122610134057',NULL,'9998',0.00,1,3,NULL),(25,6119522,'1988-11-18 00:00:00',2,8,11,2006,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241212575751567719596115610166181',63,'486',85.01,1,3,NULL),(25,6119530,'1992-03-19 00:00:00',4,4,12,2009,'M','N','CENTRO','QUILOMBO','SC','124243246426472431338613575124610146172',1614,'647',70.81,1,3,NULL),(25,6119549,'1981-10-22 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124201247321344431548554241233610127093',NULL,'9997',21.92,1,3,NULL),(25,6119565,'1993-02-01 00:00:00',4,7,12,2010,'M','N','FLORESTA','VIDEIRA','SC','124241241135131431437614342222610124147',NULL,'831',25.30,1,2,1),(25,6119573,'1987-05-11 00:00:00',4,1,12,2005,'M','N','MARIA DO CARMO','SOROCABA','SP','125251251126441411323623482124140722173',10923,'9998',44.80,1,3,NULL),(25,6119581,'1991-08-10 00:00:00',4,1,12,2009,'F','N','VILA PAULISTA','LIMEIRA','SP','125251251115471411436624571114610264142',5561,'9998',56.28,1,2,1),(25,6119590,'1993-05-05 00:00:00',4,8,12,2010,'F','N','PAULAS','S FRANCISCO SUL','SC','124241241135131431435823572325610121017',NULL,'710',0.00,2,2,1),(25,6119611,'1993-12-21 00:00:00',5,7,12,2010,'F','N','CENTRO','ARROIO TRINTA','SC','124241241112372431323319575124610168057',NULL,'853',33.35,1,2,1),(25,6119620,'1990-06-02 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124244241215473431636611445132610162142',14513,'1118',44.43,1,3,NULL),(25,6119638,'1993-06-07 00:00:00',4,17,12,2010,'F','N','CENTRO','MAJ VIEIRA','SC','124241241111131131516615571322610144141',NULL,'548',13.94,1,2,1),(25,6119646,'1993-07-12 00:00:00',4,1,12,2010,'M','N','PORTÃO','CURITIBA','PR','116162161215111411369913395114610117047',NULL,'9998',0.00,1,3,NULL),(25,6119654,'1991-02-01 00:00:00',4,3,11,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241435271431259814295124131066117',6043,'49',56.61,1,3,NULL),(25,6119662,'1993-08-29 00:00:00',4,8,12,2010,'F','N','JARAGUA ESQUERDO','JARAGUÁ SUL','SC','124241241136131411437914575124610168097',NULL,'425',22.85,1,2,1),(25,6119670,'1988-02-05 00:00:00',2,5,12,2005,'F','N','PEDREIRAS','IÇARA','SC','124241241425471441536354171124133256142',20229,'67',33.97,1,3,NULL),(25,6119689,'1992-08-22 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216112431258811345112133264011',6380,'270',55.37,1,3,NULL),(25,6119697,'1994-05-22 00:00:00',4,1,12,2011,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241215151731467824475122610148125',NULL,'262',36.82,1,3,NULL),(25,6119700,'1991-04-26 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215372431336669475124610167052',NULL,'1022',28.31,1,3,NULL),(25,6119719,'1985-09-07 00:00:00',2,15,7,2008,'M','N','PARQUE ALVORADA','ARARANGUÁ','SC','224241248126131731326444445112610127067',NULL,'9999',26.59,4,3,NULL),(25,6119727,'1992-11-04 00:00:00',4,5,12,2009,'M','N','JARDIM MAUÁ','NOVO HAMBURGO','RS','120202201213471711589931575124610117127',NULL,'9998',0.00,1,3,NULL),(25,6119735,'1993-11-17 00:00:00',4,6,12,2011,'M','S','CENTRO','BAL CAMBORIÚ','SC','124242241217151431634622575122610112055',NULL,'1057',0.00,1,3,NULL),(25,6119743,'1992-06-30 00:00:00',4,3,12,2009,'M','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161215372411356626575122610167122',8434,'9998',51.73,1,3,NULL),(25,6119751,'1989-07-06 00:00:00',4,4,12,2007,'F','N','VILA SÃO JOÃO','PASSO FUNDO','RS','120202201416473431359711475122140242192',9450,'9998',49.48,1,3,NULL),(25,6119760,'1993-03-13 00:00:00',3,8,12,2010,'F','N','CENTRO','ASSIS CHATEAUBRIAND','PR','116162161215111431459911575122610163182',8265,'9998',54.37,1,3,NULL),(25,6119786,'1989-05-18 00:00:00',4,4,12,2006,'F','N','LIDER','CHAPECÓ','SC','124242241226131431438712245133130266182',NULL,'9999',0.00,1,3,NULL),(25,6119794,'1992-09-18 00:00:00',4,8,11,2010,'F','N','VILA LENZI','JARAGUÁ SUL','SC','124242241217121431469932274112610163182',4121,'1174',59.77,1,3,NULL),(25,6119816,'1989-03-04 00:00:00',4,1,1,2007,'F','N','CENTRO','PALHOÇA','SC','124243247216374731236923445124231022097',17931,'596',38.98,1,3,NULL),(25,6119832,'1993-09-22 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431244463575122610122182',9277,'270',51.69,1,3,NULL),(25,6119840,'1991-07-06 00:00:00',4,3,12,2008,'M','N','JARDIN IGUAÇU','FOZ IGUAÇU','PR','116162161215573431458832594112141414112',12733,'9998',42.36,1,3,NULL),(25,6119859,'1990-05-17 00:00:00',2,8,12,2007,'M','N','CENTRO','S JOAQUIM','SC','124242241217143431449811415132131467091',20822,'1038',31.86,1,3,NULL),(25,6119867,'1988-10-14 00:00:00',4,1,12,2005,'M','N','BARREIROS','S JOSÉ','SC','124244241435573231337923395122230267187',1257,'736',72.56,1,3,NULL),(25,6119875,'1989-10-27 00:00:00',2,1,12,2007,'F','N','ARMAÇÃO PÂNTANO SUL','FLORIANÓPOLIS','SC','124243241316574411338629285124610145157',18122,'307',38.61,1,3,NULL),(25,6119883,'1993-10-23 00:00:00',4,15,11,2010,'M','N','CENTRO','ARARANGUÁ','SC','124242241215111331458834575122610164052',14512,'26',44.43,1,3,NULL),(25,6119891,'1991-07-30 00:00:00',4,1,11,2008,'M','N','CENTRO','CURITIBA','PR','116162161212571211226435333241610116037',NULL,'9998',0.00,1,3,NULL),(25,6119905,'1991-10-21 00:00:00',2,8,11,2009,'F','N','GUANABARA','JOINVILLE','SC','124241241215472411338634575122610142142',5545,'486',59.67,1,3,NULL),(25,6119913,'1987-10-08 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124164161437371751126844146324610168087',9463,'9998',48.51,1,3,NULL),(25,6119921,'1993-10-31 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241211111731427614371124610132047',15618,'270',42.74,1,3,NULL),(25,6119930,'1985-11-28 00:00:00',2,1,12,2006,'M','N','FURADINHO','PALHOÇA','SC','124241247136234421323344345114122364141',18275,'306',38.32,1,3,NULL),(25,6119948,'1992-11-18 00:00:00',2,3,12,2010,'F','N','MORADA DO SOL','AVARÉ','SP','125252251217121431548612574122610143117',19664,'9998',30.39,1,3,NULL),(25,6119956,'1992-05-12 00:00:00',2,4,11,2009,'M','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124162161215472131563632575122610137062',10755,'9998',45.91,1,3,NULL),(25,6119964,'1993-10-17 01:00:00',4,1,11,2010,'F','N','CENTRO','S JOÃO BATISTA','SC','124244248216111731448632392114610117142',20190,'948',29.30,1,3,NULL),(25,6119999,'1993-03-12 00:00:00',4,4,11,2009,'M','N','VILA NOVA','FRANCISCO BELTRÃO','PR','116162168215471431367711575112610146052',NULL,'9998',0.00,1,3,NULL),(25,6120008,'1977-04-20 00:00:00',2,1,12,1994,'M','N','CENTRO','MARINGÁ','PR','116161168127271431123344145123610144187',19726,'9998',35.31,1,3,NULL),(25,6120059,'1993-07-06 00:00:00',2,1,12,2010,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242248637111451457711575124610156172',7745,'270',53.15,1,3,NULL),(25,6120067,'1993-04-17 00:00:00',2,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124244241215112421464632575122610127042',NULL,'1023',38.97,1,3,NULL),(25,6120083,'1994-03-10 00:00:00',4,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241116271731324311575122610137145',NULL,'772',18.62,1,2,1),(25,6120091,'1992-02-20 00:00:00',4,8,11,2009,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161217471431459832325122141427117',9292,'9998',47.95,1,3,NULL),(25,6120105,'1993-12-12 00:00:00',4,4,12,2010,'F','N','CENTRO','QUEDAS IGUAÇU','PR','116161161116471111424634575122610136187',NULL,'9998',0.00,1,2,1),(25,6120113,'1984-04-29 00:00:00',2,1,12,2004,'M','N','CENTRO','PALHOÇA','SC','124241241122131411524314242223610127177',NULL,'591',9.00,1,3,NULL),(25,6120121,'1993-05-03 00:00:00',4,4,12,2010,'F','N','SANTA INÊS','TRÊS PASSOS','RS','120203201317131431326629576125610165142',16058,'9998',42.04,1,3,NULL),(25,6120130,'1994-08-30 00:00:00',2,1,11,2010,'F','N','ESQUINA','URUBICI','SC','124241248215151431413635572344610137147',17983,'817',34.64,1,3,NULL),(25,6120148,'1992-07-24 00:00:00',4,1,12,2010,'M','N','PENHA','RIO JANEIRO','RJ','121212211416151731446612575124610122056',NULL,'9998',0.00,4,3,NULL),(25,6120156,'1991-12-06 00:00:00',5,4,3,2010,'F','N','SÃO CRISTOVÃO','CHAPECÓ','SC','124243247316271411526411285124610142142',NULL,'9999',27.36,1,3,NULL),(25,6120164,'1992-07-14 00:00:00',2,1,12,2010,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215111431548834575112610127041',16750,'951',37.60,1,3,NULL),(25,6120180,'1993-07-01 00:00:00',4,8,12,2010,'M','N','SANTA CRUZ','GUARAPUAVA','PR','116161161237211431237729592124610164054',19650,'9998',33.23,1,3,NULL),(25,6120202,'1994-08-25 00:00:00',2,4,12,2010,'F','N','CENTRO','XAXIM','SC','124244248216371411336615575122610168015',NULL,'185',0.00,1,3,NULL),(25,6120210,'1989-01-18 00:00:00',4,1,1,2009,'F','N','MEDIANEIRA','VERANÓPOLIS','RS','120202201216151731236634245124141234052',NULL,'9998',0.00,1,3,NULL),(25,6120229,'1993-10-12 00:00:00',4,3,10,2010,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215111431268923475122610167052',10780,'9998',45.06,1,3,NULL),(25,6120237,'1991-09-15 00:00:00',2,3,12,2008,'F','N','PIONEIROS','CPO GRANDE','MS','112122121217572431337769572124610125032',7873,'9998',51.29,1,3,NULL),(25,6120245,'1993-06-08 00:00:00',4,6,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242246215271431556832575124610112017',NULL,'1105',12.08,1,3,NULL),(25,6120253,'1990-07-29 00:00:00',1,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124252257216152441379914375124121164063',8377,'9998',54.18,1,3,NULL),(25,6120261,'1988-01-11 00:00:00',2,3,12,2005,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161216573451458611412122610167057',1124,'9998',70.77,1,3,NULL),(25,6120270,'1993-02-12 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111731624419575114610112192',NULL,'1048',24.17,1,3,NULL),(25,6120288,'1959-08-11 00:00:00',4,15,12,1977,'M','N','CENTRO','TERRA AREIA','RS','220243208326152411563443332124610162097',NULL,'9998',25.71,1,3,NULL),(25,6120296,'1993-09-14 00:00:00',4,8,12,2010,'M','N','VILA NEUZA','PIRAPOZINHO','SP','125254251416111432448832575122610127053',NULL,'9998',0.00,3,3,NULL),(25,6120300,'1992-09-01 00:00:00',2,1,12,2010,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124244241215111431338613595124610127065',NULL,'1023',22.50,1,3,NULL),(25,6120334,'1977-07-15 00:00:00',4,1,12,1996,'F','N','JORDANOPOLIS','S BERNARDO CAMPO','SP','125252251217151421228827313122340267187',NULL,'9998',0.00,1,3,NULL),(25,6120342,'1994-04-03 00:00:00',2,3,12,2010,'F','N','CENTRO','JANDAIA SUL','PR','116162161215121431446816575122610165147',11849,'9998',45.01,1,3,NULL),(25,6120350,'1992-03-22 00:00:00',4,1,12,2009,'M','N','CENTRO','BRAGANÇA PAULISTA','SP','125252251215421431226823575122610127182',603,'9998',76.07,1,3,NULL),(25,6120369,'1994-07-26 00:00:00',4,4,12,2011,'M','S','CENTRO','S MIGUEL OESTE','SC','124243241216131712348923575121610122051',NULL,'752',48.22,1,3,NULL),(25,6120377,'1990-08-31 00:00:00',2,1,12,2007,'F','N','ALTO DAS PALMEIRAS','SERRA NEGRA','SP','125251251117471431524428445124610125042',15087,'9998',38.70,1,2,1),(25,6120385,'1992-09-01 00:00:00',4,8,12,2009,'F','N','JARDIM SÃO CAETANO','S CAETANO SUL','SP','125253251216471431448814575112610164197',NULL,'9998',0.00,1,3,NULL),(25,6120393,'1992-11-06 00:00:00',4,1,12,2010,'F','N','TAPAJÓS','ATIBAIA','SP','125252251217371431348831345122610122127',11179,'9998',45.56,1,3,NULL),(25,6120407,'1993-05-12 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431348731575124610121141',10296,'1022',46.65,1,3,NULL),(25,6120415,'1993-06-10 00:00:00',4,1,11,2010,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241215371411338869577114610132012',7409,'1022',53.39,1,3,NULL),(25,6120423,'1993-05-24 00:00:00',4,4,12,2010,'M','N','CENTRO','XAMBRÊ','PR','116163161214411411446616242213610162047',3959,'9998',59.51,1,3,NULL),(25,6120440,'1992-08-17 00:00:00',4,8,12,2009,'F','N','JARDIM UMARIZAL','S PAULO','SP','125252251217471431458714473112610168094',NULL,'9998',0.00,4,3,NULL),(25,6120458,'1991-10-08 00:00:00',4,5,7,2009,'M','N','CENTRO','CRICIÚMA','SC','124242246217371441558834345122131466181',18939,'995',37.04,1,3,NULL),(25,6120466,'1988-05-15 00:00:00',2,1,12,2006,'M','N','ESTADOS','GUARAPUAVA','PR','116113111117272441336836215125240624097',12191,'9998',47.85,1,3,NULL),(25,6120482,'1973-05-02 00:00:00',2,1,11,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247136475731224144242114610128172',19801,'9999',31.06,1,2,1),(25,6120504,'1992-07-15 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116371731324419445124610114142',NULL,'288',22.30,1,3,NULL),(25,6120512,'1993-06-21 00:00:00',4,1,11,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111331446713275122610147042',8615,'1022',49.82,1,3,NULL),(25,6120520,'1993-10-05 00:00:00',2,1,11,2010,'F','N','BELA VISTA II','S JOSÉ','SC','124242241215111431348613572112610168147',20010,'1118',34.54,1,3,NULL),(25,6120539,'1993-07-15 00:00:00',4,1,12,2010,'M','N','JARDIN ARUAN','CARAGUATATUBA','SP','125252251235371311688912425124610162117',NULL,'9998',0.00,1,3,NULL),(25,6120547,'1991-11-14 00:00:00',4,8,12,2010,'M','N','BUCAREIN','JOINVILLE','SC','124242241235211221346911346112610164057',15862,'459',42.36,1,3,NULL),(25,6120555,'1992-06-30 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215122731368823595122610137187',12166,'737',44.82,1,3,NULL),(25,6120563,'1993-02-22 00:00:00',4,1,12,2010,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124241241215111431468814575122610163142',NULL,'1174',29.52,1,3,NULL),(25,6120571,'1993-02-17 00:00:00',1,4,12,2010,'M','N','LINHA CORDILHEIRA','ITAPIRANGA','SC','124241241116111431423335572124610137147',NULL,'412',19.75,1,2,1),(25,6120580,'1993-01-04 00:00:00',4,3,12,2009,'F','N','CENTRO','PEDRINHAS PAULISTA','SP','125251251115471431644615192125610166187',NULL,'9998',34.48,1,2,1),(25,6120598,'1992-02-20 00:00:00',4,1,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161217472411588712574122610143092',194,'9998',81.15,4,3,NULL),(25,6120601,'1990-04-11 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241217374431336613481323221721067',11093,'1011',49.53,3,3,NULL),(25,6120610,'1989-05-30 00:00:00',4,8,12,2007,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124163161415371731338814244124141224035',4180,'9998',60.28,1,3,NULL),(25,6120628,'1993-12-01 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217112431448611275124610124187',7416,'270',52.85,1,3,NULL),(25,6120636,'1992-09-05 00:00:00',4,1,12,2010,'M','N','PARQUE CEDRAL','PRES PRUDENTE','SP','125252251215271431469934575124610162192',6010,'9998',58.74,1,3,NULL),(25,6120644,'1993-10-20 00:00:00',4,1,11,2010,'F','N','CHÁCARA CACHOEIRA','CPO GRANDE','MS','112122121215471431478832575122610164122',NULL,'9998',0.00,1,3,NULL),(25,6120652,'1993-09-05 00:00:00',4,3,12,2010,'F','N','CENTRO','JANDAIA SUL','PR','116162161216111431438632572112610127184',NULL,'9998',0.00,1,3,NULL),(25,6120679,'1993-09-28 00:00:00',2,2,11,2010,'F','N','RIBEIRÃO CLARA','POMERODE','SC','124243241315111331347923575124610146142',NULL,'88',18.76,1,3,NULL),(25,6120687,'1993-07-29 00:00:00',2,3,12,2010,'F','N','CEDRO','CAMBORIÚ','SC','124242241217121431538612572324610132142',20561,'44',32.91,1,3,NULL),(25,6120709,'1989-09-01 00:00:00',4,1,12,2006,'M','N','SETOR BUENO','GOIÂNIA','GO','224211241221322111123317123222112732176',NULL,'9998',0.00,1,3,NULL),(25,6120717,'1993-05-14 00:00:00',4,5,11,2010,'M','N','SANTA BÁRBARA','CRICIÚMA','SC','124244241416131411424823245111610162171',NULL,'985',28.25,1,3,NULL),(25,6120725,'1993-11-20 00:00:00',2,1,11,2010,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124242241415111431338821575124610124017',17209,'1023',40.27,1,3,NULL),(25,6120733,'1990-11-30 00:00:00',4,1,12,2008,'F','N','BROOKLIN','S PAULO','SP','125252251215571431258824571112610146141',NULL,'9998',0.00,3,3,NULL),(25,6120768,'1990-07-28 00:00:00',4,4,12,2007,'F','N','JARDIM ITALIA','CHAPECÓ','SC','124243241216514731556833572114610166097',1585,'270',70.47,1,3,NULL),(25,6120784,'1981-06-14 00:00:00',2,4,12,2000,'M','N','GUARUJA','CASCAVEL','PR','116162161117471721536313345122341514187',4384,'9998',60.64,1,3,NULL),(25,6120792,'1990-04-17 00:00:00',4,1,12,2008,'M','N','JARDIM PARAISO','BOTUCATU','SP','125252251217411231439933572122610164196',18060,'9998',34.48,1,3,NULL),(25,6120814,'1993-06-09 00:00:00',4,1,12,2010,'M','N','JARDIM LISBOA','UMUARAMA','PR','116162161217121231469711475112610167042',13364,'9998',42.23,1,3,NULL),(25,6120822,'1990-02-19 00:00:00',5,1,6,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124162288315271431346612575114610161187',NULL,'9998',0.00,1,3,NULL),(25,6120830,'1993-07-09 00:00:00',2,8,12,2010,'M','N','JARDIM DO MOINHO','MAFRA','SC','124241241215151431556914575122610167141',6392,'541',55.45,1,3,NULL),(25,6120849,'1992-01-21 00:00:00',2,1,12,2009,'F','N','CENTRO','ABELARDO LUZ','SC','124244241416371731536534445134510128142',NULL,'9997',18.21,1,3,NULL),(25,6120890,'1988-12-14 00:00:00',4,4,12,2006,'M','N','CENTRO','S CARLOS','SC','124241241126131421325823145224130224052',NULL,'704',35.45,1,2,1),(25,6120903,'1992-08-23 00:00:00',4,8,12,2009,'M','N','JD DAS ORQUIDEAS','BARRA BONITA','SP','116252251216471751489923475112610168166',6944,'9998',56.85,1,3,NULL),(25,6120911,'1988-02-19 00:00:00',4,1,12,2005,'M','N','CAMPINAS','S JOSÉ','SC','124242241217372411368923492122332127047',11332,'723',49.16,1,3,NULL),(25,6120920,'1991-04-09 00:00:00',4,1,12,2008,'F','N','FLORESTA','S JOSÉ','SC','124244241215274431356613335124610168057',7282,'1022',52.64,1,3,NULL),(25,6120938,'1991-10-09 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117142431536823346114610127147',NULL,'307',34.73,1,2,1),(25,6120946,'1990-04-15 00:00:00',2,1,12,2007,'M','N','ALTO BIGUAÇU','BIGUAÇU','SC','124241241114133431443335154124610147041',5289,'21',58.59,1,2,1),(25,6120962,'1993-01-16 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241248117371531439529295124610127017',17969,'307',34.98,2,1,1),(25,6120970,'1993-05-10 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111431456814572112610143092',2113,'262',67.02,1,3,NULL),(25,6120989,'1990-06-14 00:00:00',2,8,12,2007,'M','N','JARDIM BOTANICO','CURITIBA','PR','116203161415471431468714272114141437047',7143,'9998',55.76,1,3,NULL),(25,6120997,'1993-07-12 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115111531443422575124610167142',20453,'592',33.31,1,2,1),(25,6121004,'1990-09-07 00:00:00',4,1,12,2009,'M','N','PANTANO DOSUL','FLORIANÓPOLIS','SC','124161247447471431326524245324610122147',NULL,'9999',14.13,4,3,NULL),(25,6121012,'1993-09-21 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111231255822592124610137142',9723,'737',49.13,1,3,NULL),(25,6121039,'1990-06-05 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124201201137371511144643335112610168073',4482,'9998',62.02,1,3,NULL),(25,6121047,'1990-02-05 00:00:00',2,10,12,2007,'M','N','VARZEA DAS CANOAS','GRAVATAL','SC','124241241437131431568813475232231217047',14928,'1034',43.79,1,3,NULL),(25,6121055,'1993-12-23 00:00:00',4,8,12,2010,'M','N','AYMORÉ','ARAPONGAS','PR','116162161216111431448831492122610127052',9764,'9998',51.76,1,3,NULL),(25,6121071,'1990-12-18 00:00:00',4,1,12,2008,'M','N','VILA RESENDE','CAÇAPAVA','SP','125252251217511751289931575122610167142',NULL,'9998',16.70,1,3,NULL),(25,6121080,'1992-06-27 00:00:00',2,10,11,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215111431457731314122610134112',20076,'797',34.37,1,3,NULL),(25,6121098,'1993-01-12 00:00:00',4,2,11,2010,'M','N','VELHA','BLUMENAU','SC','124242241215111331579924272122610138012',13213,'909',46.33,1,3,NULL),(25,6121101,'1993-10-31 00:00:00',4,1,12,2010,'F','N','BAEPENDI','JARAGUÁ SUL','SC','124242241212161431338613475121610143097',19699,'424',29.91,1,3,NULL),(25,6121128,'1990-02-06 00:00:00',2,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161216573741448822571112610135047',2303,'9998',66.75,1,3,NULL),(25,6121136,'1992-06-15 00:00:00',2,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161215471431458913471122610125182',2219,'9998',67.02,1,3,NULL),(25,6121144,'1993-11-25 00:00:00',2,1,12,2010,'M','N','ENCANTADO D OESTE','ASSIS CHATEAUBRIAND','PR','116164161436111411438732595112610147052',NULL,'9998',18.30,1,3,NULL),(25,6121152,'1983-04-16 00:00:00',2,4,12,2001,'F','N','CENTRO SUL','DOIS VIZINHOS','PR','117161168116431221221154135132341326187',NULL,'9998',0.00,1,3,NULL),(25,6121179,'1990-07-05 00:00:00',2,5,12,2007,'M','N','VILA JARDIM','PTO ALEGRE','RS','120202201211571411343312575114610167042',696,'9998',74.76,1,3,NULL),(25,6121195,'1991-11-17 00:00:00',4,1,12,2009,'F','N','JARDIM BRASÍLIA','ARARAQUARA','SP','125253251215471431448913371124610132092',11541,'9998',45.42,1,3,NULL),(25,6121209,'1993-09-15 00:00:00',4,1,12,2011,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241211151431368831595121610117125',NULL,'1133',52.05,1,3,NULL),(25,6121217,'1993-06-17 00:00:00',4,8,12,2010,'M','N','TUCURUVI','S PAULO','SP','125252251216271731456634575122610168147',9683,'9998',47.46,1,3,NULL),(25,6121225,'1989-05-24 00:00:00',2,3,12,2006,'M','N','JARDIM TV MORENA','CPO GRANDE','MS','112122121217573431548633471122610122092',7848,'9998',50.74,4,3,NULL),(25,6121233,'1992-07-04 00:00:00',4,1,12,2009,'M','N','PAIQUERÊ','VALINHOS','SP','125252251216471751458812595122141462182',2804,'9998',64.19,1,3,NULL),(25,6121241,'1993-08-28 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112431468833575124610131187',2570,'270',66.66,1,3,NULL),(25,6121250,'1993-07-22 00:00:00',4,1,11,2010,'F','N','CENTRO','ITAPEMA','SC','124242241215111731228832572114610133072',NULL,'1038',25.61,1,3,NULL),(25,6121268,'1993-01-11 00:00:00',4,16,12,2010,'F','N','BOM JESUS','CURITIBANOS','SC','124241241145371731423331186122610113141',NULL,'239',0.00,1,2,1),(25,6121284,'1993-02-10 00:00:00',4,7,12,2010,'F','N','MATRIZ','VIDEIRA','SC','124244241216371431653712175122610121092',NULL,'829',26.10,1,3,NULL),(25,6121292,'1993-10-07 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431488813575115610134057',17033,'270',34.35,1,3,NULL),(25,6121306,'1993-05-25 00:00:00',2,8,12,2010,'F','N','CENTRO PIRABEIRABA','JOINVILLE','SC','124251241136371431426619345224610124092',15014,'492',38.92,1,2,1),(25,6121314,'1992-05-27 00:00:00',2,1,12,2010,'F','N','DANIELA','FLORIANÓPOLIS','SC','124241241215112731423512191125610167042',21307,'1022',27.28,1,3,NULL),(25,6121357,'1991-07-09 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216273731359913595114133262061',19834,'1022',35.07,1,3,NULL),(25,6121365,'1993-02-13 00:00:00',2,1,11,2010,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124244241215111732456619575124610124142',17148,'1023',40.37,1,3,NULL),(25,6121373,'1992-06-25 00:00:00',4,1,12,2009,'M','N','JARDIM UNIVERSIDADE','S PAULO','SP','125252251217471431488838485122610137122',4469,'9998',58.09,1,3,NULL),(25,6121390,'1993-01-23 00:00:00',2,7,12,2010,'F','N','CENTRO','CAPINZAL','SC','124241241215112431335512575124610128052',NULL,'446',26.26,1,3,NULL),(25,6121403,'1992-11-16 00:00:00',4,1,12,2009,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241217142431328623392124222223187',10400,'1022',50.65,4,3,NULL),(25,6121411,'1992-08-12 00:00:00',4,1,12,2009,'M','N','JARDIM IGUAÇU','MARINGÁ','PR','116162161215411231559911315122610114187',11657,'9998',44.91,1,3,NULL),(25,6121420,'1990-12-16 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241217472431448814575122610162047',238,'226',80.49,1,3,NULL),(25,6121438,'1992-11-25 00:00:00',2,4,10,2009,'M','N','JARDIM MARIA LUIZA','CASCAVEL','PR','116162161215471731468933572112610167056',948,'9998',72.97,1,3,NULL),(25,6121462,'1993-06-18 00:00:00',2,1,12,2010,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241137271432537618575124610116042',14361,'278',40.01,1,2,1),(25,6121489,'1992-07-18 00:00:00',2,10,12,2009,'M','N','SANTO ANDRÉ','CAPIVARI BAIXO','SC','124241241217371431556813575114610167067',NULL,'807',0.00,1,3,NULL),(25,6121497,'1993-12-10 00:00:00',4,1,12,2010,'M','N','CARVOERA','FLORIANÓPOLIS','SC','124242241215121432468812575114610167017',12315,'1022',45.26,1,3,NULL),(25,6121500,'1992-03-12 00:00:00',4,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217272431349933575112131944142',7017,'299',56.71,1,3,NULL),(25,6121527,'1993-01-01 00:00:00',2,4,12,2009,'F','N','CENTRO','STA MARIA','RS','120241201211472431446932375125610127142',12747,'9998',43.00,1,3,NULL),(25,6121535,'1991-08-26 00:00:00',4,1,12,2008,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215473431446614572124610137047',16063,'273',39.38,1,3,NULL),(25,6121543,'1989-06-02 00:00:00',4,8,12,2006,'F','N','SANTA ROSA','LONDRINA','PR','116162161217572431346924572122610164047',1876,'9998',68.98,1,3,NULL),(25,6121551,'1992-07-11 00:00:00',2,9,12,2009,'F','N','CENTRO','S MARCOS','RS','120201208216472431445614255124610147147',14336,'9998',39.46,1,3,NULL),(25,6121586,'1993-11-16 00:00:00',4,8,12,2010,'M','N','CENTRO','CIDADE GAÚCHA','PR','116164161215121431457827575122610132197',3915,'9998',61.49,1,3,NULL),(25,6121594,'1989-09-07 00:00:00',4,1,11,2007,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124252251237571431479614575122610168187',4782,'9998',61.36,1,3,NULL),(25,6121608,'1993-08-11 00:00:00',4,4,12,2010,'M','N','CENTRO','CENTENÁRIO','RS','120201201227141411554832221122610124052',NULL,'9998',0.00,1,3,NULL),(25,6121616,'1989-01-09 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124252251216111231269612575112140817112',NULL,'9998',0.00,1,3,NULL),(25,6121624,'1977-10-03 00:00:00',2,1,12,1996,'M','N','TAPERA','FLORIANÓPOLIS','SC','124251256221131421123344241124130634091',14905,'9998',43.82,1,3,NULL),(25,6121632,'1992-10-27 00:00:00',2,17,12,2009,'F','N','VILA FATY','S MATEUS SUL','PR','116162161215422431455711115122610135187',NULL,'9998',0.00,4,3,NULL),(25,6121640,'1992-02-20 00:00:00',2,9,11,2009,'M','N','BRUSQUE','LAGES','SC','124242241216371711338716595122610167187',19728,'1207',35.31,1,3,NULL),(25,6121659,'1992-07-12 00:00:00',4,8,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161215112431268811571112610132092',3073,'9998',63.13,1,3,NULL),(25,6121667,'1993-03-10 00:00:00',2,5,11,2010,'F','N','PINHEIRINHO','CRICIÚMA','SC','124242241215111411235924575124610121072',19332,'226',36.20,1,3,NULL),(25,6121675,'1993-11-02 00:00:00',2,2,11,2010,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215372431468832595122610168182',13445,'1123',41.69,1,3,NULL),(25,6121691,'1991-01-03 00:00:00',4,4,11,2007,'F','N','BATEL','CURITIBA','PR','116242241215573431438912485124133164127',NULL,'1000',23.42,1,3,NULL),(25,6121713,'1993-11-20 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215171431247724575112610133143',NULL,'988',16.05,1,3,NULL),(25,6121721,'1985-02-24 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124251258127131421225644345114130862037',NULL,'9998',4.24,1,3,NULL),(25,6121730,'1992-11-11 00:00:00',4,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124232241215111431343923275112610134042',NULL,'1038',0.00,1,3,NULL),(25,6121756,'1991-04-11 00:00:00',2,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241111141411538614341121610114072',21731,'21',24.49,1,2,1),(25,6121764,'1993-09-23 00:00:00',4,3,10,2010,'M','N','VILA ISABEL','CURITIBA','PR','116162161217111431469811575112610127042',NULL,'9998',15.91,3,3,NULL),(25,6121772,'1990-01-05 00:00:00',2,1,7,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117133431128948284124610163147',9098,'306',50.40,1,2,1),(25,6121780,'1993-10-03 00:00:00',2,1,12,2010,'F','N','CENTRO','MARIA HELENA','PR','116161161216111441354923575124610124057',NULL,'9998',0.00,1,3,NULL),(25,6121799,'1992-01-23 00:00:00',4,1,12,2009,'F','N','HIENÓPOLIS','S PAULO','SP','125252251217471411478834575122610123072',NULL,'9998',0.00,1,3,NULL),(25,6121802,'1991-01-12 00:00:00',4,1,11,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242248215272431488919595122133237142',10861,'270',49.89,1,3,NULL),(25,6121810,'1994-01-13 00:00:00',4,1,12,2010,'M','N','VILA BIRIGUI','RONDONÓPOLIS','MT','111112111217111231568812575115610167047',11970,'9998',43.72,1,3,NULL),(25,6121829,'1991-09-16 00:00:00',4,8,12,2008,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124243241216572411349814575124610164097',15182,'422',39.19,1,3,NULL),(25,6121837,'1993-11-20 00:00:00',2,1,12,2010,'F','N','ANHANGUERA','GOIÂNIA','GO','109092091215111411345511571122610113144',11570,'9998',43.32,1,3,NULL),(25,6121845,'1993-12-31 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431358873575112610122052',10120,'270',48.57,1,3,NULL),(25,6121853,'1994-04-17 00:00:00',4,1,8,2013,'F','S','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124241248117131332435631575124610138142',NULL,'739',34.02,4,3,NULL),(25,6121861,'1993-05-26 00:00:00',2,4,12,2010,'F','N','MIRANTE','ITÁ','SC','124241241115131431336713435124610167052',15941,'384',37.36,1,3,NULL),(25,6121870,'1992-10-31 00:00:00',4,1,11,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111731448913475124610133167',17359,'1022',35.37,1,3,NULL),(25,6121888,'1994-02-26 00:00:00',4,8,12,2010,'F','N','CENTRO','CPO MOURÃO','PR','116204161216111441446613575122610134042',9282,'9998',47.76,4,3,NULL),(25,6121896,'1994-03-19 00:00:00',4,1,10,2011,'M','S','CAMPECHE','FLORIANÓPOLIS','SC','124241241215111431564312176124610114181',NULL,'1023',35.80,1,3,NULL),(25,6121918,'1994-03-11 00:00:00',4,8,12,2012,'F','S','SANTA LUZIA','JARAGUÁ SUL','SC','124242241216111711465931475124610112092',NULL,'1063',43.13,1,3,NULL),(25,6121926,'1993-10-01 00:00:00',2,10,11,2010,'F','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124243241215111731356912575112610113092',NULL,'807',0.00,1,3,NULL),(25,6121934,'1992-10-03 00:00:00',2,4,12,2009,'M','N','CENTRO','STA MARIA','RS','120201201115471431348633472325610147017',5392,'9998',56.55,1,2,1),(25,6121942,'1993-10-03 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241215122431357931432122610144182',11940,'497',44.74,1,3,NULL),(25,6121950,'1993-04-13 00:00:00',4,3,12,2010,'M','N','VILA ODILON','OURINHOS','SP','125251251215111431458319272112610127052',703,'9998',75.68,1,3,NULL),(25,6121969,'1991-04-02 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216373731469933395122230237047',9894,'269',51.52,1,3,NULL),(25,6121977,'1994-01-09 00:00:00',4,3,12,2010,'M','N','SÃO VICENTE','PARANAVAÍ','PR','116162161215361431448911572112610167042',15394,'9998',35.55,1,3,NULL),(25,6121985,'1994-02-09 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215271431368814575122610127092',17525,'262',34.15,1,3,NULL),(25,6121993,'1993-10-23 00:00:00',2,1,12,2010,'M','N','N SRA DO ROSARIO','S JOSÉ','SC','124243241116271431445823572124610167047',NULL,'257',16.21,1,3,NULL),(25,6122000,'1992-04-02 00:00:00',2,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241315472411346724575114610163097',NULL,'1023',30.52,1,3,NULL),(25,6122019,'1987-02-04 00:00:00',4,1,12,2004,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241211373431549821495122222532012',1861,'270',69.82,1,3,NULL),(25,6122027,'1990-05-23 00:00:00',2,16,6,2010,'M','N','CENTRO','CURITIBA','PR','116161161345471431457834345122610126057',NULL,'9999',0.00,1,3,NULL),(25,6122035,'1993-08-28 00:00:00',4,1,12,2010,'M','N','VILA GIGLIO','ATIBAIA','SP','125252251217111531569814475111610167042',6768,'9998',54.10,1,3,NULL),(25,6122051,'1992-10-05 00:00:00',2,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124241246217131431338824591124610144077',10493,'1105',45.83,1,3,NULL),(25,6122060,'1993-07-03 00:00:00',2,4,12,2010,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242248211112751448823575112610134052',NULL,'168',20.86,1,3,NULL),(25,6122078,'1992-04-23 00:00:00',4,1,12,2009,'M','N','PARQUE PAULISTANO','BAURU','SP','125252251215471321448834575114610164161',19134,'9998',31.04,1,3,NULL),(25,6122086,'1994-01-04 00:00:00',4,1,11,2011,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241217111431328821572124610114052',NULL,'1169',42.49,1,3,NULL),(25,6122094,'1994-01-23 00:00:00',4,1,12,2010,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241235111721346521595114610114182',NULL,'272',17.23,1,3,NULL),(25,6122108,'1994-01-19 00:00:00',4,1,12,2010,'M','N','ARIRIÚ','PALHOÇA','SC','124241241115151731449933571124610117062',15524,'739',41.90,1,2,1),(25,6122116,'1990-04-06 00:00:00',2,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161215571431363831575124141564092',3576,'9998',61.24,1,3,NULL),(25,6122124,'1992-06-02 00:00:00',2,15,10,2010,'M','N','MORRO DOS CONVENTOS','ARARANGUÁ','SC','124241248415115431511121171324610116057',16759,'26',36.19,5,3,NULL),(25,6122132,'1991-09-14 00:00:00',4,8,12,2008,'F','N','CENTRO','IRATI','PR','116162161215571451368811575112610164042',16437,'9998',41.51,1,3,NULL),(25,6122159,'1994-12-23 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111431379833575114610164045',14483,'883',44.48,1,3,NULL),(25,6122167,'1994-09-28 00:00:00',4,16,12,2010,'F','N','CAMPO ALTO','STA CECÍLIA','SC','124241241311111751448832195122610124017',21087,'1124',30.73,1,3,NULL),(25,6122175,'1993-12-15 00:00:00',4,1,12,2011,'F','S','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216371431488814595122613228072',NULL,'262',35.45,1,3,NULL),(25,6122183,'1993-04-04 00:00:00',4,1,11,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215121431437833575114610134141',5171,'270',60.48,1,3,NULL),(25,6122191,'1992-07-30 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241145372432221823572114610167057',21704,'339',25.13,1,3,NULL),(25,6122205,'1980-04-28 00:00:00',4,1,12,1997,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241111153421548413431134333217042',NULL,'307',0.00,1,2,1),(25,6122213,'1991-08-13 00:00:00',2,4,12,2009,'M','N','FATIMA','FREDERICO WESTPHALEN','RS','120201201116161431224324385121610127042',13043,'9998',41.36,1,2,1),(25,6122221,'1992-03-18 00:00:00',2,1,12,2009,'F','N','CENTRO','NOVO HAMBURGO','RS','120203201216371431567714575122143264147',15839,'9998',36.44,1,3,NULL),(25,6122248,'1991-12-19 00:00:00',2,8,11,2009,'F','N','CENTRO','REGISTRO','SP','125252251216471441424631575122610138147',NULL,'9998',0.00,1,3,NULL),(25,6122256,'1993-08-27 00:00:00',4,1,10,2010,'F','N','JARDIM MADALENA','CAMPINAS','SP','125162251237111431569911575124610127045',13063,'9998',42.02,1,3,NULL),(25,6122264,'1987-02-18 00:00:00',2,5,12,2004,'F','N','RUY COELHO GONÇALVES','GUAÍBA','RS','120201201116572431344629285122610132142',3163,'9998',63.93,1,2,1),(25,6122272,'1993-04-01 00:00:00',2,1,12,2010,'F','N','ALTO ARIRIU','PALHOÇA','SC','124243241336471731423634295124610127042',15018,'1149',42.90,1,3,NULL),(25,6122280,'1983-01-01 00:00:00',4,1,11,2000,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241226142441646513345132610122142',21009,'262',31.05,1,3,NULL),(25,6122299,'1992-06-20 00:00:00',4,1,12,2009,'M','N','VILA SILVEIRA','GUARULHOS','SP','125252251235471431456614575112610164117',1016,'9998',72.67,1,3,NULL),(25,6122302,'1993-05-06 00:00:00',2,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217472411549811575122610146142',5924,'262',56.06,1,3,NULL),(25,6122310,'1989-03-18 00:00:00',4,1,10,2010,'F','N','MADRI','PALHOÇA','SC','124161248116471441626619445124610144177',6375,'9999',55.03,1,2,1),(25,6122329,'1991-01-02 00:00:00',4,8,12,2007,'F','N','BATEL','CURITIBA','PR','116162161215575431359923575125141566147',4444,'9998',58.01,1,3,NULL),(25,6122345,'1991-07-10 00:00:00',4,1,12,2008,'F','N','JD BELA VISTA','GOIÂNIA','GO','109093091215571431438662575112610162147',NULL,'9998',35.02,4,3,NULL),(25,6122353,'1993-03-18 00:00:00',2,8,11,2010,'M','N','BIGORRILHO','CURITIBA','PR','116162161216471431547832572324610137052',10335,'9998',46.44,1,3,NULL),(25,6122361,'1977-09-05 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124261247127131612122145142125610153127',NULL,'9999',11.04,5,3,NULL),(25,6122370,'1994-02-10 00:00:00',4,1,11,2010,'M','N','ROYAL PARK RESIDENCE','LONDRINA','PR','116164161235111631588934345112610164067',10294,'9998',47.01,1,3,NULL),(25,6122426,'1992-12-30 00:00:00',4,1,12,2009,'M','N','MONTE CASTELO','CPO GRANDE','MS','112122251236522431473712172122610164082',4658,'9998',58.25,1,3,NULL),(25,6122434,'1991-04-10 00:00:00',4,1,12,2008,'M','N','CENTRO','XAXIM','SC','124241241215372431159333275124141434042',8137,'1021',54.64,1,3,NULL),(25,6122442,'1992-06-03 00:00:00',4,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124241246117131511435623475125610461092',NULL,'591',18.42,1,2,1),(25,6122450,'1993-05-15 00:00:00',4,1,12,2010,'F','N','JARDIM VILAS BOAS','CPO GRANDE','MS','112122121215121431328913575122610136087',4434,'9998',59.19,1,3,NULL),(25,6122477,'1975-03-15 00:00:00',4,1,12,1991,'M','N','PETROPOLIS','PTO ALEGRE','RS','224202201211155431358741311123321765167',3067,'9998',62.35,1,3,NULL),(25,6122485,'1986-08-13 00:00:00',4,1,12,2004,'F','N','CAVALHADA','PTO ALEGRE','RS','220202201213472411329823375124142744132',NULL,'9998',41.83,1,3,NULL),(25,6122493,'1993-06-07 00:00:00',2,1,12,2010,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124244241215151731546631382114610137012',11300,'1048',44.98,4,3,NULL),(25,6122507,'1993-01-18 00:00:00',4,6,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124202241217161751277832595122610146182',NULL,'53',35.28,1,3,NULL),(25,6122515,'1993-06-12 00:00:00',4,16,12,2010,'M','N','CENTRO','LEBON RÉGIS','SC','124241241215111431436923385115610137067',21081,'1124',30.76,1,3,NULL),(25,6122523,'1993-02-18 00:00:00',2,4,12,2009,'F','N','CENTRO','QUILOMBO','SC','116243241226471431243412575125133234147',17779,'647',34.11,1,3,NULL),(25,6122531,'1993-07-03 00:00:00',2,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241215131431326624572114610148197',15442,'1118',40.46,1,3,NULL),(25,6122540,'1993-03-25 00:00:00',2,1,11,2010,'M','N','CENTRO','LONDRINA','PR','116162161216111231458932575121610127052',16074,'9998',42.03,1,3,NULL),(25,6122566,'1985-09-25 00:00:00',4,1,11,2003,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241117371431223344245124610127117',13724,'49',40.01,1,3,NULL),(25,6122574,'1993-04-03 00:00:00',2,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431489833574122610144122',9880,'266',51.54,1,3,NULL),(25,6122582,'1993-10-03 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','116244161316141431538914345114610127042',NULL,'9998',27.41,1,3,NULL),(25,6122604,'1993-03-21 00:00:00',4,8,11,2009,'F','N','UVARANAS','PNT GROSSA','PR','116162161216272431347924315112143264182',NULL,'9998',0.00,1,3,NULL),(25,6122612,'1993-10-01 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124252241215111431346811575122610161172',4937,'723',59.46,1,3,NULL),(25,6122620,'1993-12-07 00:00:00',4,8,11,2010,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162168215121231448612572122610167182',NULL,'9998',0.00,1,3,NULL),(25,6122639,'1990-05-07 00:00:00',4,1,12,2007,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241241147131441526521285114333236187',14216,'288',44.84,1,2,1),(25,6122647,'1992-11-04 00:00:00',4,4,12,2010,'M','N','JARDIM TROPICAL','UMUARAMA','PR','116164168415121731566933574122610164182',NULL,'9998',0.00,1,3,NULL),(25,6122655,'1995-03-20 00:00:00',2,1,12,2011,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111411529611575124610137147',NULL,'262',50.94,1,3,NULL),(25,6122663,'1993-07-14 00:00:00',4,1,11,2010,'M','N','BELA VISTA','ERECHIM','RS','120202201216271431558914375122610134142',2460,'9998',65.64,1,3,NULL),(25,6122680,'1992-12-09 00:00:00',2,1,12,2009,'M','N','BELA VISTA','PALHOÇA','SC','124244241216151421226724385324231964051',14859,'1075',43.91,1,3,NULL),(25,6122698,'1993-05-23 00:00:00',2,3,12,2010,'F','N','CENTRO','LGA VERMELHA','RS','120203208415131441525632172125610123147',NULL,'9998',0.00,1,3,NULL),(25,6122701,'1992-09-25 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215373431489913575122221427042',135,'262',82.09,1,3,NULL),(25,6122710,'1993-09-14 00:00:00',4,10,12,2010,'M','N','PASSO DO GADO','TUBARÃO','SC','124244241216471431458614572122610162147',NULL,'797',27.47,1,3,NULL),(25,6122728,'1993-07-01 00:00:00',4,1,11,2011,'M','S','PONTE DO IMARUIM','PALHOÇA','SC','124242241237151332468613575124610118192',NULL,'989',11.82,1,3,NULL),(25,6122736,'1992-07-08 00:00:00',2,1,10,2010,'M','N','VILA ISABEL','RESENDE','RJ','121211218337271441327513382214610167057',NULL,'9998',27.38,1,3,NULL),(25,6122744,'1993-11-04 00:00:00',4,1,12,2010,'M','N','PICADAS DO NORTE','S JOSÉ','SC','124243248116151431326639572125610127041',NULL,'733',14.44,1,3,NULL),(25,6122752,'1992-02-12 00:00:00',4,6,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124201201116131221224444245224133267057',NULL,'9998',0.00,1,3,NULL),(25,6122760,'1993-09-24 00:00:00',4,1,12,2010,'M','N','PALMAS','GOV CELSO RAMOS','SC','124243241316161431238823382124610134117',NULL,'63',0.00,1,3,NULL),(25,6122779,'1987-09-20 00:00:00',2,1,11,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201132141431221129192324610113047',NULL,'9998',0.00,1,2,1),(25,6122787,'1990-12-06 00:00:00',2,9,12,2004,'M','N','CENTRO','CERRO NEGRO','SC','124241241117472431425833315122610124052',NULL,'498',29.61,1,2,1),(25,6122795,'1991-05-30 00:00:00',4,1,6,2010,'F','N','DEHON','TUBARÃO','SC','124161247325111742121314311322610142082',NULL,'9999',0.00,2,3,NULL),(25,6122809,'1988-09-07 00:00:00',4,1,12,2006,'M','N','SETOR JAO','GOIÂNIA','GO','109092091217372711554434572122143212171',7422,'9998',53.60,1,3,NULL),(25,6122817,'1994-02-24 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124242241217112431366932575112610164142',10020,'499',47.65,1,3,NULL),(25,6122841,'1993-04-07 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217113431479923575124610114062',3203,'1022',64.42,1,3,NULL),(25,6122850,'1993-03-30 00:00:00',2,1,11,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241125471411526313572124610126142',20849,'1097',26.17,1,2,1),(25,6122868,'1992-06-05 00:00:00',4,1,12,2009,'M','N','PINEVILLE','PINHAIS','PR','116162161217472451448812575114610167047',6671,'9998',53.66,1,3,NULL),(25,6122876,'1989-02-25 00:00:00',4,1,12,2006,'M','N','ZONA RURAL','PEREIRA BARRETO','SP','125252161216572411668835575124610134182',4365,'9998',58.55,3,3,NULL),(25,6122884,'1992-01-25 00:00:00',4,3,12,2009,'M','N','CAPÃO RASO','CURITIBA','PR','116162161216471431336823375114610144097',1627,'9998',70.00,1,3,NULL),(25,6122892,'1979-06-04 00:00:00',2,1,12,2006,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241126133751222144245124610166181',NULL,'294',37.13,1,3,NULL),(25,6122906,'1993-05-25 00:00:00',4,3,12,2010,'F','N','AFONSO PENA','S JOSÉ PINHAIS','PR','116162161215471441235923275124610162145',4116,'9998',59.64,1,3,NULL),(25,6122914,'1991-10-01 00:00:00',4,1,12,2008,'M','N','MONTE CARLO','LONDRINA','PR','116163161117572432239921575112141424092',NULL,'9998',0.00,4,3,NULL),(25,6122922,'1991-01-09 00:00:00',4,1,12,2009,'M','N','CENTRO','PTO ALEGRE','RS','120244241215371431683612192124610162182',20703,'1081',32.37,1,3,NULL),(25,6122949,'1993-01-20 00:00:00',2,4,12,2009,'M','N','UNIVERCITARIO','CHAPECÓ','SC','124241241116162731334316575122610127042',NULL,'199',23.97,1,2,1),(25,6122957,'1994-01-25 00:00:00',4,7,12,2010,'M','N','CENTRO','FRAIBURGO','SC','124242241216111331456833245112610127012',14124,'317',40.63,1,3,NULL),(25,6122965,'1993-04-01 00:00:00',4,17,11,2010,'M','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124242241215111531489513515112610132057',13918,'154',39.17,1,3,NULL),(25,6122973,'1992-04-28 00:00:00',4,6,11,2009,'F','N','CONTA DINHEIRO','LAGES','SC','124242241215473421438834195122610162111',8651,'497',50.46,1,3,NULL),(25,6122981,'1993-08-24 00:00:00',4,5,12,2010,'M','N','ARGENTINA','CRICIÚMA','SC','124243244215111431334317381124610143177',17804,'920',34.37,1,3,NULL),(25,6122990,'1993-09-23 00:00:00',4,8,12,2011,'F','S','CENTRO','JARAGUÁ SUL','SC','124242241216121432339924575122610132072',NULL,'441',27.15,1,3,NULL),(25,6123007,'1991-05-08 00:00:00',2,4,11,2008,'F','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124243241215573431427723392122610127172',4068,'185',59.91,1,3,NULL),(25,6123015,'1992-02-18 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124204231416272431234523375121141467117',12244,'1049',43.82,1,3,NULL),(25,6123023,'1991-11-29 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217472431256723575124610164147',14545,'654',44.37,1,3,NULL),(25,6123031,'1987-12-12 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244243215372431586612445122130267182',12929,'1198',46.69,1,3,NULL),(25,6123040,'1993-03-09 00:00:00',4,1,11,2010,'F','N','VILA MARIANA','S PAULO','SP','125254251216121431239824175125610134092',4303,'9998',58.90,1,3,NULL),(25,6123066,'1990-01-07 00:00:00',2,1,12,2006,'F','N','CENTRO','JAGUARI','RS','120241201116572431426624575114143234047',11616,'9998',48.73,1,2,1),(25,6123082,'1991-06-28 00:00:00',4,8,12,2008,'M','N','CENTRO','MATELÂNDIA','PR','116161161216572751339912575324610124187',513,'9998',77.52,1,3,NULL),(25,6123090,'1992-02-16 00:00:00',4,1,12,2009,'M','N','JD STA MARCELINA','CAMPINAS','SP','125252251215471431378924215121610144071',1247,'9998',72.64,1,3,NULL),(25,6123104,'1992-03-16 00:00:00',4,1,11,2009,'F','N','SANTA TEREZA','BELO HORIZONTE','MG','113132131217472411458814576122610164142',115,'9998',83.01,1,3,NULL),(25,6123139,'1992-12-28 00:00:00',4,1,11,2010,'F','N','VILLA ADYANNA','S JOSÉ CAMPOS','SP','125252251217111431438714575122610164072',5976,'9998',54.46,1,3,NULL),(25,6123155,'1993-06-13 00:00:00',4,5,10,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215151411469814575112610166197',9094,'210',49.33,1,3,NULL),(25,6123163,'1993-01-18 00:00:00',4,1,12,2010,'M','N','RIO COMPRIDO','JACAREÍ','SP','125252251247111751569914295112610167147',1099,'9998',72.27,1,3,NULL),(25,6123171,'1991-03-22 00:00:00',4,1,12,2009,'M','N','CAMOBI','STA MARIA','RS','120204207417371431366923492122610167042',14486,'9998',40.94,1,3,NULL),(25,6123198,'1988-07-15 00:00:00',2,16,12,2005,'F','N','CENTRO','S CRISTÓVÃO SUL','SC','124241241125471711523311185124130226141',NULL,'705',18.13,4,3,NULL),(25,6123210,'1984-11-03 00:00:00',2,1,12,2004,'M','N','BOM VIVER','BIGUAÇU','SC','224241241146144421123348185113130832063',NULL,'291',0.00,1,2,1),(25,6123228,'1993-08-12 00:00:00',4,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241227131431457833574124610162077',2968,'262',66.02,1,3,NULL),(25,6123236,'1993-01-26 00:00:00',4,4,12,2010,'M','N','CENTRO','SARANDI','RS','120202201216111431358839575122610134052',9082,'9998',49.13,1,3,NULL),(25,6123244,'1992-04-29 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215122431537714375224610164142',16692,'1022',39.82,1,3,NULL),(25,6123260,'1992-01-07 00:00:00',4,1,12,2009,'M','N','NOSSA S DE FÁTIMA','NOVA ODESSA','SP','125252251216371431479919575112610127032',NULL,'9998',0.00,1,3,NULL),(25,6123279,'1993-07-14 00:00:00',4,1,11,2010,'F','N','BELA VISTA','ERECHIM','RS','120202201216271431558914372122610137072',3179,'9998',64.02,1,3,NULL),(25,6123287,'1992-08-07 00:00:00',2,1,12,2009,'F','N','VILA JUNQUEIRA','S ROQUE','SP','125254251215371411448811341124610124052',21155,'9998',24.44,1,3,NULL),(25,6123325,'1991-09-28 00:00:00',2,4,12,2008,'F','N','AUSENTE','DOIS VIZINHOS','PR','116161161111573431434316572214610126192',8645,'9998',50.27,1,2,1),(25,6123333,'1993-04-18 00:00:00',4,3,12,2010,'F','N','CENTRO','CAMBORIÚ','SC','124241243117151731348829572122610113092',18016,'129',34.63,1,2,1),(25,6123341,'1994-05-05 00:00:00',2,6,12,2010,'M','N','SÃO VICENTE','ITAJAÍ','SC','124242241215131131339614575124610167057',9083,'1141',48.05,1,3,NULL),(25,6123350,'1989-09-01 00:00:00',4,3,12,2006,'F','N','JUVEVE','CURITIBA','PR','116244241215511231347621491122141062092',NULL,'1063',0.00,1,3,NULL),(25,6123368,'1990-04-22 00:00:00',2,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241216574221569913582114231962172',13047,'1048',46.54,4,3,NULL),(25,6123376,'1992-12-21 00:00:00',4,9,12,2010,'F','N','CENTRO','STA MARIA','RS','120201201416271431333329575125610168147',6042,'9998',56.72,1,3,NULL),(25,6123384,'1992-06-26 00:00:00',4,1,12,2009,'F','N','MARÍLIA','MARÍLIA','SP','125252251216471431348924575125610133182',NULL,'9998',0.00,1,3,NULL),(25,6123392,'1993-10-31 00:00:00',4,1,12,2010,'M','N','CENTRO','CURITIBA','PR','116242161212121411468811575114610164047',3781,'9998',63.87,1,3,NULL),(25,6123414,'1990-11-24 00:00:00',4,4,12,2007,'F','N','LUCAS ARAÚJO','PASSO FUNDO','RS','120203208316574711434624595123610114182',NULL,'9998',0.00,1,3,NULL),(25,6123449,'1993-04-17 00:00:00',2,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124242247215411331548812572122610134142',NULL,'9997',0.00,1,3,NULL),(25,6123457,'1991-01-13 00:00:00',2,16,12,2008,'F','N','PARTENON','PTO ALEGRE','RS','120201201122131411323369445114610136192',NULL,'9998',0.00,1,2,1),(25,6123465,'1991-07-11 00:00:00',4,1,12,2008,'M','N','VILA ROSÁLIA','GUARULHOS','SP','125252251214471431238621575112610137092',NULL,'9998',26.74,1,3,NULL),(25,6123473,'1992-04-12 00:00:00',4,1,12,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217473431268813571124610167045',1612,'270',70.82,1,3,NULL),(25,6123481,'1993-04-28 00:00:00',4,1,12,2010,'M','N','JARDIM JACYRA','BAURU','SP','125251251215131431335524572124610117057',NULL,'9998',25.16,1,3,NULL),(25,6123490,'1991-01-08 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224241241117132231113459295124230264157',20811,'289',29.86,1,2,1),(25,6123503,'1992-08-28 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215472531576833575124610127067',10758,'1022',47.32,1,3,NULL),(25,6123511,'1992-01-16 00:00:00',1,1,7,2010,'M','N','JD IPIRANGA','AMERICANA','SP','125252258217271441436611571121610134072',NULL,'9998',0.00,2,3,NULL),(25,6123520,'1993-12-31 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431246623432122610124012',13051,'737',41.95,1,3,NULL),(25,6123538,'1993-09-27 00:00:00',4,1,11,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215112431448833175122610113011',7068,'1169',53.54,1,3,NULL),(25,6123546,'1982-05-27 00:00:00',2,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241316133421337943235122332724187',NULL,'300',0.00,1,3,NULL),(25,6123554,'1992-02-10 00:00:00',4,15,12,2009,'F','N','FLORESTAL','LAJEADO','RS','120201207116471731433629392115610127187',NULL,'9998',21.28,1,2,1),(25,6123570,'1992-02-10 00:00:00',2,1,12,2009,'M','N','POTECAS','S JOSÉ','SC','124241241217572231466612575124610144192',510,'270',77.55,1,3,NULL),(25,6123589,'1992-04-16 00:00:00',4,10,12,2009,'M','N','CENTRO','TUBARÃO','SC','124241241116371431358314275122610167062',17262,'1034',40.16,1,2,1),(25,6123619,'1992-12-10 00:00:00',2,5,12,2009,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242246217152432448934345125233237187',9315,'995',49.49,1,3,NULL),(25,6123627,'1994-06-05 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111431238824275122610162043',10078,'737',51.20,1,3,NULL),(25,6123635,'1992-12-14 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215112231436632345122610162057',10889,'738',47.35,1,3,NULL),(25,6123651,'1989-11-23 00:00:00',2,15,12,2006,'M','N','SARANDI','PTO ALEGRE','RS','120203201137571441356311295122241264177',NULL,'9998',0.00,1,3,NULL),(25,6123660,'1992-06-03 00:00:00',2,16,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241116272231329933245124610114037',NULL,'239',0.00,1,3,NULL),(25,6123678,'1994-06-27 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124243241116111431248933595124610127052',17982,'739',34.68,1,3,NULL),(25,6123686,'1993-03-31 00:00:00',2,4,12,2010,'F','N','CENTRO','FREDERICO WESTPHALEN','RS','120201201116131411323619195125610167182',NULL,'9998',0.00,1,2,1),(25,6123694,'1993-07-07 00:00:00',4,1,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116162161215371431358831295122610123112',11734,'9998',45.37,1,3,NULL),(25,6123708,'1993-11-26 00:00:00',4,1,12,2011,'F','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111731558811575122610137132',NULL,'883',56.03,1,3,NULL),(25,6123716,'1993-04-10 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215111431456432345122610167072',19197,'1048',36.56,1,3,NULL),(25,6123724,'1991-07-15 00:00:00',2,1,12,2008,'F','N','JARDINS','S PAULO','SP','125252251114571431456824211124610166147',NULL,'9998',0.00,1,3,NULL),(25,6123740,'1993-06-30 00:00:00',4,3,12,2010,'F','N','CENTRO','JAGUAPITÃ','PR','116164161215161731458816342122610133097',NULL,'9998',0.00,1,3,NULL),(25,6123767,'1993-01-11 00:00:00',2,1,12,2010,'F','N','POTECAS','S JOSÉ','SC','124241241116131431424311312324610126197',20581,'734',27.15,1,2,1),(25,6123775,'1992-01-18 00:00:00',2,1,12,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124242241417272731326729485114610163182',18462,'1022',37.99,1,3,NULL),(25,6123783,'1993-05-21 00:00:00',2,8,12,2010,'F','N','VILA MILITAR','RIO NEGRO','PR','116241161236271431443639195124610132147',NULL,'9998',22.50,1,3,NULL),(25,6123791,'1994-05-22 00:00:00',2,3,11,2010,'F','N','CENTRO','LUCAS R VERDE','MT','111112111216161731556635575122610167142',10637,'9998',44.48,4,3,NULL),(25,6123805,'1992-12-07 00:00:00',4,1,12,2009,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201211471751448914471114610168142',NULL,'9998',0.00,1,3,NULL),(25,6123813,'1991-03-01 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIÚMA','SC','124241241117573441327824595124231567067',3933,'209',60.05,1,2,1),(25,6123821,'1992-02-12 00:00:00',2,2,12,2009,'F','N','CENTRO','EUGÊNIO CASTRO','RS','120201201126471411535335582112610134142',NULL,'9998',21.31,1,2,1),(25,6123830,'1994-08-26 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244246117141531478921415124610167177',20786,'306',31.99,1,3,NULL),(25,6123848,'1991-04-28 00:00:00',4,1,12,2008,'M','N','CENTRO','CPO GRANDE','MS','112124128216571311453833571124610137042',NULL,'9998',29.57,4,3,NULL),(25,6123856,'1992-05-30 00:00:00',2,1,12,2010,'M','N','CACUPE','FLORIANÓPOLIS','SC','124242241215111412678812575124610112191',2675,'262',66.91,1,3,NULL),(25,6123864,'1991-02-04 00:00:00',2,4,12,2008,'M','N','N S DO ROSÁRIO','STA MARIA','RS','120202241215571431427772175124610167067',13978,'1193',40.53,1,3,NULL),(25,6123872,'1993-07-22 00:00:00',2,9,12,2010,'M','N','SANTA BÁRBARA','VIDEIRA','SC','124241241116131731424336175125610127057',12168,'831',43.51,1,2,1),(25,6123880,'1993-05-19 00:00:00',4,8,12,2010,'M','N','CENTRO','UNAÍ','MG','113132131217271551488914445121610134112',NULL,'9998',25.89,1,3,NULL),(25,6123902,'1993-10-18 00:00:00',4,9,11,2010,'M','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124243241215111431456813572112610137052',2772,'497',66.09,1,3,NULL),(25,6123910,'1983-06-09 00:00:00',4,1,12,2002,'F','N','CENTRO','CURITIBA','PR','116162161435471411458614215134343212097',18193,'9998',34.13,4,3,NULL),(25,6123929,'1993-07-21 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','624242241215111531549814572112610122072',14334,'738',39.71,1,3,NULL),(25,6123937,'1993-07-08 00:00:00',4,1,11,2010,'F','N','VILA SUZANA','S PAULO','SP','125252251217111431449912171122610163012',7101,'9998',52.58,1,3,NULL),(25,6123945,'1990-05-10 00:00:00',4,8,12,2007,'M','N','ADEMAR GARCIA','JOINVILLE','SC','116161163116271411436314595124241562097',3424,'9998',62.11,1,2,1),(25,6123953,'1990-11-19 00:00:00',2,1,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116252251216473411368814575122240441157',15236,'9998',37.95,1,3,NULL),(25,6123961,'1989-04-24 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124161241127153431523331312112610167063',NULL,'289',0.00,1,3,NULL),(25,6123970,'1992-12-30 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242246117241731489814585122610143162',4852,'306',57.42,1,3,NULL),(25,6123988,'1992-08-28 00:00:00',4,4,12,2010,'M','N','CENTRO','PATO BRANCO','PR','116164163117271231347834375124610127057',NULL,'9998',0.00,1,3,NULL),(25,6123996,'1991-07-04 00:00:00',2,1,11,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241626353431331219245124610167047',14421,'262',40.63,1,3,NULL),(25,6124011,'1988-11-20 00:00:00',2,1,12,2005,'F','N','VILA SANTA HELENA','GOIÂNIA','GO','109094091115271431648314575124143267097',NULL,'9998',0.00,1,3,NULL),(25,6124038,'1989-01-10 00:00:00',4,8,12,2006,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241212371431536312591124610156092',NULL,'461',36.23,1,3,NULL),(25,6124046,'1988-01-05 00:00:00',2,1,12,2005,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124244241215373421478913242122333267047',16350,'1048',39.93,1,3,NULL),(25,6124054,'1992-04-10 00:00:00',4,1,11,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','624242241215111432536622575114610127047',17868,'738',37.59,1,3,NULL),(25,6124062,'1993-09-24 00:00:00',4,1,12,2011,'F','S','CARIANOS','FLORIANÓPOLIS','SC','124242241215111431365532575124610131185',NULL,'270',29.02,1,3,NULL),(25,6124070,'1994-03-22 00:00:00',4,4,12,2011,'F','S','CENTRO','S DOMINGOS','SC','124243241216111731537832575112610142142',NULL,'836',40.37,1,3,NULL),(25,6124089,'1993-03-27 00:00:00',4,6,12,2010,'M','N','DOM BOSCO','ITAJAÍ','SC','124242241111161431348833275122610122055',10857,'129',46.21,1,3,NULL),(25,6124097,'1990-08-04 00:00:00',2,1,12,2007,'F','N','CENTENÁRIO','SAPIRANGA','RS','120201206117572431346834575122610123117',3156,'9998',63.36,1,2,1),(25,6124119,'1992-04-13 00:00:00',2,8,12,2009,'M','N','AMERICA','JOINVILLE','SC','124242248216112431488612575112121427042',13282,'1063',46.25,1,3,NULL),(25,6124127,'1990-09-05 00:00:00',4,1,12,2008,'F','N','PARQUE IMPERIAL','S PAULO','SP','125252251136571331448813575125610132142',NULL,'9998',0.00,3,3,NULL),(25,6124135,'1991-12-23 00:00:00',4,1,12,2009,'F','N','PARQUE NOVO MUNDO','AMERICANA','SP','125252253116471431447711575122610131072',6840,'9998',53.10,1,3,NULL),(25,6124143,'1989-09-01 00:00:00',4,1,12,2007,'F','N','ALTO DA LAPA','S PAULO','SP','125252251216571451479922375122610166127',NULL,'9998',0.00,1,3,NULL),(25,6124151,'1990-10-03 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216374451469933492124220817147',17597,'270',39.60,1,3,NULL),(25,6124160,'1992-02-04 00:00:00',4,1,12,2009,'M','N','VILA MARIANA','S PAULO','SP','125252251217471431469819275125610124047',5459,'9998',56.88,1,3,NULL),(25,6124178,'1983-05-28 00:00:00',4,10,12,2000,'M','N','SANTO ANTONIO','TUBARÃO','SC','124242241216151231268623445132331564041',3956,'806',63.40,1,3,NULL),(25,6124186,'1992-03-18 00:00:00',4,3,12,2009,'F','N','VILA MARGARIDA','OURINHOS','SP','125252251216472231437813175112610134097',NULL,'9998',0.00,1,3,NULL),(25,6124194,'1992-10-17 00:00:00',4,1,11,2010,'M','N','NOVA PIRACICABA','PIRACICABA','SP','125252251217111731368911395122610115094',NULL,'9998',0.00,1,3,NULL),(25,6124208,'1992-11-16 00:00:00',4,7,11,2010,'M','N','FARROUPILHA','VIDEIRA','SC','124242241217111231359933575112610167042',NULL,'969',26.80,1,3,NULL),(25,6124216,'1991-10-06 00:00:00',4,8,12,2008,'F','N','JARDIM IMPERIAL','MARINGÁ','PR','116162161216572431489912572122610162092',NULL,'9998',24.25,1,3,NULL),(25,6124224,'1993-09-05 00:00:00',4,2,12,2010,'M','N','JARDIM UNIVERSITÁRIO','MARINGÁ','PR','616161161217471732469933575125610134052',9174,'9998',49.07,1,3,NULL),(25,6124232,'1967-07-01 00:00:00',2,1,12,1986,'F','N','JARDIM ELDORADO','PALHOÇA','SC','424212211117131451326649295122133265197',19271,'9998',36.34,1,3,NULL),(25,6124240,'1993-01-07 00:00:00',4,1,12,2010,'F','N','JARDIM PROCÓPIO','RIBEIRÃO PRETO','SP','125253251116151431426721575124610136142',NULL,'9998',0.00,1,3,NULL),(25,6124259,'1993-02-01 00:00:00',4,8,12,2010,'F','N','JARDIM SOFIA','JOINVILLE','SC','124241241216111431439614575122610112077',18899,'1006',31.41,1,3,NULL),(25,6124267,'1993-08-25 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431568813135122610124047',10715,'272',47.12,1,3,NULL),(25,6124275,'1990-08-20 00:00:00',4,3,12,2008,'M','N','ZONA SETE','MARINGÁ','PR','116164161416512711235715175122610164177',9274,'9998',49.27,1,3,NULL),(25,6124283,'1992-09-12 00:00:00',2,4,12,2009,'F','N','CENTRO','GUARACIABA','SC','120241241126471431526632375125610167077',NULL,'334',19.32,1,2,1),(25,6124291,'1988-10-05 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124161161124271431633344241124610127047',20809,'9998',31.92,1,2,1),(25,6124305,'1993-04-06 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','624244241215131411568619575122610144197',NULL,'259',31.40,1,3,NULL),(25,6124313,'1991-05-28 00:00:00',2,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124242241345131431426614185124610127067',NULL,'1078',19.50,1,3,NULL),(25,6124321,'1991-12-06 00:00:00',4,8,11,2009,'F','N','VILA ROMANO','S PAULO','SP','125252251215471431659714475122610168063',1996,'9998',66.64,1,3,NULL),(25,6124330,'1992-07-09 00:00:00',2,1,12,2009,'M','N','CH STO ANTONIO','S PAULO','SP','125152151217471321334963575124610166177',9126,'9998',52.82,4,3,NULL),(25,6124348,'1994-05-09 00:00:00',4,1,12,2010,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241215111231457523572114610121192',4759,'1022',59.70,1,3,NULL),(25,6124364,'1991-04-08 00:00:00',4,8,11,2008,'F','N','JARDIM ADALGISA','OSASCO','SP','125252251215571431458611271124610126097',2586,'9998',65.19,1,3,NULL),(25,6124372,'1994-09-05 00:00:00',4,1,11,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241111111431546633582122610126195',NULL,'941',22.27,1,3,NULL),(25,6124380,'1993-05-17 00:00:00',4,1,11,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215412411568834175122610167052',3241,'270',65.24,1,3,NULL),(25,6124399,'1993-02-20 00:00:00',4,2,12,2010,'M','N','CENTRO','BLUMENAU','SC','124242241215111431454632345114610137116',17690,'88',34.21,1,3,NULL),(25,6124402,'1991-04-09 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241214272411588912575112221167185',5626,'422',59.51,1,3,NULL),(25,6124410,'1993-01-17 00:00:00',4,2,12,2010,'F','N','FORTALEZA','BLUMENAU','SC','124241241117111431538813575124610146092',NULL,'88',18.35,1,2,1),(25,6124437,'1991-05-12 00:00:00',4,1,12,2009,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241212312132478913572124610167047',21377,'272',23.47,1,3,NULL),(25,6124445,'1992-06-22 00:00:00',2,4,12,2009,'F','N','CENTRO','PTE SERRADA','SC','124242241216371711338924575122610136047',2573,'836',65.62,1,3,NULL),(25,6124453,'1993-01-29 00:00:00',4,4,12,2010,'M','N','JARDIM ALVORADA','S CARLOS','SC','124241241116131452423336165124610146057',NULL,'704',21.51,1,2,1),(25,6124461,'1992-03-12 00:00:00',4,1,12,2010,'M','N','ALPHAVILLE FLAMBOYAN','GOIÂNIA','GO','109092091216171431468811475112610147042',15319,'9998',39.20,4,3,NULL),(25,6124470,'1992-06-03 00:00:00',4,1,12,2009,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241114472431436613345124610124012',NULL,'772',31.41,1,2,1),(25,6124488,'1992-07-07 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217152431479914575112230464012',12107,'270',47.97,1,3,NULL),(25,6124496,'1992-10-06 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124242241211111431448813595122612615147',10864,'881',46.98,1,3,NULL),(25,6124500,'1992-12-13 00:00:00',4,8,12,2010,'F','N','CENTRO','JOINVILLE','SC','124242241215111431469714472122610163142',10773,'1063',50.03,1,3,NULL),(25,6124518,'1993-06-30 00:00:00',4,8,12,2010,'M','N','MOSSUNGUÊ','CURITIBA','PR','116162161217121431378813272132610127092',3275,'9998',64.00,1,3,NULL),(25,6124526,'1991-09-29 00:00:00',4,1,12,2008,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125254251215571411246319175122610137187',1337,'9998',70.34,1,3,NULL),(25,6124542,'1994-02-14 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111751246924592112610115072',NULL,'307',33.71,1,3,NULL),(25,6124550,'1987-11-30 00:00:00',2,1,12,2005,'F','N','PRAIA MOLE','FLORIANÓPOLIS','SC','120202201217371431256653375124142867142',NULL,'9998',39.89,1,3,NULL),(25,6124569,'1992-05-13 00:00:00',4,1,12,2009,'F','N','DAHMA III','S JOSÉ R PRETO','SP','125252251215471411358811472112610163147',NULL,'9998',45.41,1,3,NULL),(25,6124577,'1988-01-15 00:00:00',2,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124212211216575711137611275124141446037',6861,'9998',57.00,1,3,NULL),(25,6124585,'1993-08-27 00:00:00',2,1,11,2010,'F','N','JARDIM MAIA','CPO MOURÃO','PR','116222161215111431648814572122610141017',11704,'9998',44.00,1,3,NULL),(25,6124593,'1992-03-24 00:00:00',2,8,12,2010,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124241241117111431468934375122610127042',NULL,'1006',22.36,1,3,NULL),(25,6124615,'1993-10-30 00:00:00',4,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215121531488811572112610167062',4649,'1063',61.68,1,3,NULL),(25,6124623,'1993-07-04 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111331569632575112610163013',NULL,'1022',28.61,1,3,NULL),(25,6124631,'1994-03-15 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124243241415131431429933572225611527141',NULL,'1022',44.88,1,3,NULL),(25,6124640,'1991-04-11 00:00:00',2,1,12,2008,'F','N','MORRO DA BINA','BIGUAÇU','SC','124241161132161431226354182324142226142',NULL,'9998',27.26,1,3,NULL),(25,6124658,'1992-09-10 00:00:00',3,1,12,2009,'F','N','JARDIM AMÉRICA','S LEOPOLDO','RS','120202201217371411469931571124610133102',2118,'9998',65.43,1,3,NULL),(25,6124674,'1993-07-10 00:00:00',4,1,11,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431478923572124610157032',11464,'270',45.75,1,3,NULL),(25,6124682,'1992-12-06 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244247415111431336533572124610121152',NULL,'977',30.79,1,3,NULL),(25,6124690,'1992-07-12 00:00:00',4,3,12,2009,'M','N','BOM RETIRO','CURITIBA','PR','116162161216471431368813575124610124017',3715,'9998',61.30,1,3,NULL),(25,6124712,'1992-10-28 00:00:00',4,3,12,2010,'M','N','VILA ESTRELA','PNT GROSSA','PR','116252161217371431489914575124610117045',3737,'9998',61.98,1,3,NULL),(25,6124720,'1993-07-09 00:00:00',2,1,12,2010,'M','N','JARDIM CONTINENTAL','MARÍLIA','SP','125252251235111651546632572124610167057',9586,'9998',48.14,1,3,NULL),(25,6124747,'1994-02-28 00:00:00',2,1,12,2010,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241116141311533923235124610134142',18699,'358',33.83,2,1,1),(25,6124755,'1992-06-30 00:00:00',4,1,12,2009,'M','N','VL REAL DO M VELHO','EMBU','SP','125252251237471431389932575112610137043',2166,'9998',66.78,1,3,NULL),(25,6124763,'1986-12-26 00:00:00',4,1,11,2003,'F','N','TATUAPÉ','S PAULO','SP','125252251216371741479514295122343254142',7754,'9998',51.92,1,3,NULL),(25,6124771,'1992-09-18 00:00:00',4,1,12,2010,'F','N','CHACARA VELOSA','ARARAQUARA','SP','125252251237111441349814375122610123147',7877,'9998',51.96,1,3,NULL),(25,6124780,'1992-12-26 00:00:00',2,1,12,2010,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241115131431318611472124610126012',17368,'288',35.02,1,2,1),(25,6124798,'1993-10-20 00:00:00',4,1,12,2010,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124203201117111431338822242122610166075',2107,'9998',67.18,1,3,NULL),(25,6124801,'1994-02-15 00:00:00',4,2,11,2011,'M','S','PONTA AGUDA','BLUMENAU','SC','124242241217111431388813495122610164142',NULL,'909',50.76,1,3,NULL),(25,6124810,'1990-10-07 00:00:00',4,8,12,2007,'F','N','AHUU','CURITIBA','PR','116162161215572411489813571112610126052',11684,'9998',45.29,1,3,NULL),(25,6124828,'1994-03-01 00:00:00',2,8,11,2010,'F','N','CENTRO','CASCAVEL','PR','116242161415111431468613575122610166172',6033,'9998',55.12,1,3,NULL),(25,6124836,'1993-10-22 00:00:00',4,15,12,2010,'M','N','CIDADE ALTA','TURVO','SC','124241241115151112526514575121610124045',10260,'814',48.20,1,2,1),(25,6124844,'1991-08-23 00:00:00',4,1,11,2009,'F','N','ALTO DE PINHEIROS','S PAULO','SP','125252258217211731558812595122610134122',NULL,'9998',0.00,1,3,NULL),(25,6124852,'1992-08-15 00:00:00',2,7,11,2009,'M','N','IMIGRANTES','CONCÓRDIA','SC','120243241215471231459813435122610167041',NULL,'1000',0.00,1,3,NULL),(25,6124860,'1993-03-16 00:00:00',4,1,12,2009,'F','N','JD ALAMAR','MARINGÁ','PR','116162161216471751369914577122610161196',2619,'9998',65.54,1,3,NULL),(25,6124879,'1992-01-30 00:00:00',4,17,12,2008,'F','N','CENTRO','S MATEUS SUL','PR','116162161215572431578519572122610114177',2597,'9998',64.33,1,3,NULL),(25,6124887,'1988-05-18 00:00:00',4,1,12,2005,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124212211216155431489814375122221467112',5511,'9998',59.74,1,3,NULL),(25,6124895,'1992-03-08 00:00:00',2,8,11,2009,'F','N','SANTA CÂNDIDA','CURITIBA','PR','116162161215571411469911411114610126092',4114,'9998',61.35,1,3,NULL),(25,6124909,'1993-02-03 00:00:00',4,8,12,2010,'F','N','SÃO PEDRO','S JOSÉ PINHAIS','PR','116204151215121431448834372124610136143',NULL,'9998',0.00,1,3,NULL),(25,6124925,'1990-03-25 00:00:00',2,1,12,2007,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201217571731468623575124241464072',7967,'9998',52.31,1,3,NULL),(25,6124933,'1994-06-02 00:00:00',3,1,11,2011,'F','S','JURERÊ','FLORIANÓPOLIS','SC','124283243215121731565332272124610138032',NULL,'1169',16.94,1,3,NULL),(25,6124941,'1992-10-06 00:00:00',4,10,10,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124242241235112531456812475122610164042',NULL,'806',36.37,4,3,NULL),(25,6124950,'1981-03-22 00:00:00',2,1,12,2000,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','624071071116271751224173445124320534187',17425,'9998',34.66,4,2,1),(25,6124968,'1989-11-25 00:00:00',4,8,11,2008,'M','N','AGUQ VERDE','CURITIBA','PR','116162161235411731368921575122141267182',1808,'9998',69.03,1,3,NULL),(25,6124976,'1993-08-29 00:00:00',4,9,11,2010,'M','N','CENTRO','LAGES','SC','124244241215111531343712575125610128052',17315,'1207',34.14,1,3,NULL),(25,6124984,'1992-12-08 00:00:00',4,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241235372331356611375114610124122',13246,'1119',41.74,1,3,NULL),(25,6124992,'1993-04-24 00:00:00',4,8,12,2010,'F','N','SAGUAÇÚ','JOINVILLE','SC','124242241216271411347418572125610153187',4053,'931',60.66,1,3,NULL),(25,6125000,'1992-10-28 00:00:00',4,1,12,2010,'F','N','MOEMA','S PAULO','SP','125252251217471431567612475122610166076',NULL,'9998',0.00,1,3,NULL),(25,6125018,'1994-09-01 00:00:00',4,1,12,2011,'M','S','VILA NOVA','IMBITUBA','SC','124244241215111331228329575112610117112',NULL,'262',60.74,4,3,NULL),(25,6125026,'1992-04-30 00:00:00',4,1,12,2009,'F','N','PARAÍSO','S PAULO','SP','116162161237471431379934575122610126184',NULL,'9998',0.00,1,3,NULL),(25,6125042,'1992-09-04 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241217272431536619395134610127057',NULL,'1078',27.94,1,3,NULL),(25,6125069,'1993-06-18 00:00:00',4,2,12,2010,'F','N','BELA VISTA','GASPAR','SC','124072241215111431328828375124610164147',16415,'909',36.33,1,3,NULL),(25,6125077,'1987-10-11 00:00:00',4,1,11,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124246248635251441531623475124610137037',NULL,'9997',25.95,1,3,NULL),(25,6125085,'1993-02-19 00:00:00',4,8,12,2010,'F','N','CENTRO','CURITIBA','PR','116122161217111431569834575122610112052',NULL,'9998',0.00,1,3,NULL),(25,6125093,'1992-12-05 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241116272431568823575124610164095',6259,'267',55.77,1,3,NULL),(25,6125107,'1993-01-16 00:00:00',2,8,12,2010,'F','N','ADHEMAR GARCIA','JOINVILLE','SC','124244241217131431448831375124610136077',17655,'1105',39.48,1,3,NULL),(25,6125115,'1992-03-07 00:00:00',4,1,11,2010,'M','N','NONOAI','PTO ALEGRE','RS','120124201115371441379813572122610167012',5482,'9998',58.69,1,3,NULL),(25,6125123,'1985-03-08 00:00:00',4,3,12,2002,'M','N','SANTA TEREZA','BELO HORIZONTE','MG','113134131416413751177811475123122168092',2740,'9998',64.53,1,3,NULL),(25,6125131,'1993-03-12 00:00:00',4,8,12,2009,'F','N','BOA SPERANÇA','PINHAIS','PR','116162161217471431339914182124610163192',6481,'9998',53.37,1,3,NULL),(25,6125140,'1990-02-14 00:00:00',2,1,12,2009,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124243241126141432434611312122610167057',NULL,'257',23.75,1,3,NULL),(25,6125158,'1992-04-05 00:00:00',4,1,12,2010,'F','N','BARRA DO ARIRÍU','PALHOÇA','SC','124244241337131431638513375124610132097',NULL,'302',12.10,1,3,NULL),(25,6125166,'1990-09-22 00:00:00',4,8,11,2007,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161216575411428811571125610165192',NULL,'9998',0.00,1,3,NULL),(25,6125174,'1993-08-05 00:00:00',2,1,12,2010,'M','N','JD NOVA ESPERANÇA','GOIÂNIA','GO','109094091435111631435511575122610127057',5757,'9998',56.10,1,3,NULL),(25,6125204,'1993-07-22 00:00:00',4,4,12,2010,'M','N','CEDRO','PEROBAL','PR','116161168114271411546632571124610128147',11491,'9998',44.08,1,2,1),(25,6125212,'1993-05-14 00:00:00',4,7,12,2010,'F','N','BERGER','CAÇADOR','SC','124242241216131431456814372122610127047',10375,'120',50.69,1,3,NULL),(25,6125220,'1993-02-09 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431336814495124610137182',8129,'270',49.95,1,3,NULL),(25,6125239,'1993-10-17 01:00:00',4,1,12,2010,'F','N','VILA VITÓRIA','MAUÁ','SP','125252251216111731489813573112610168077',NULL,'9998',0.00,1,3,NULL),(25,6125263,'1988-02-18 00:00:00',2,1,12,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241214173411358821341124121122077',15828,'266',42.41,1,3,NULL),(25,6125271,'1980-08-26 00:00:00',2,1,7,2001,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224243247326151431424954235124330628187',NULL,'440',37.06,1,3,NULL),(25,6125280,'1992-04-16 00:00:00',4,3,12,2009,'F','N','VILA DO POLONES','CPO GRANDE','MS','112122121217472431258823575122610112112',6859,'9998',53.15,1,3,NULL),(25,6125298,'1992-06-26 00:00:00',4,8,12,2009,'M','N','PARANAGUAMIRIM','JOINVILLE','SC','124242241232172331569813575124232662042',17187,'1105',35.48,1,3,NULL),(25,6125301,'1993-12-05 00:00:00',4,1,11,2010,'F','N','RIO COMPRIDO','JACAREÍ','SP','125252251215111431478834571122610113072',2716,'9998',64.20,1,3,NULL),(25,6125310,'1993-01-23 00:00:00',4,1,11,2010,'F','N','SETOR OESTE','GOIÂNIA','GO','109092091215111431456612571122610164077',4046,'9998',61.24,1,3,NULL),(25,6125328,'1988-04-04 00:00:00',4,8,12,2005,'F','N','JD UNIVERSITARIO II','MARINGÁ','PR','116162161216572431458934575122610166192',1848,'9998',67.89,1,3,NULL),(25,6125352,'1968-02-09 00:00:00',4,1,12,1989,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','524241243227373421443331212124130722092',12598,'9999',47.19,1,3,NULL),(25,6125379,'1992-10-03 00:00:00',4,1,7,2010,'M','N','BARREROS','S JOSÉ','SC','124243247212131431236613295124510117087',NULL,'9999',13.44,2,1,2),(25,6125387,'1991-12-14 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241417111431436513572122610167117',NULL,'1049',20.12,1,3,NULL),(25,6125409,'1994-02-14 00:00:00',2,1,12,2011,'F','S','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215111431469931595122610143142',NULL,'883',44.95,1,3,NULL),(25,6125417,'1989-10-11 00:00:00',4,1,12,2007,'F','N','VILA REHDER','AMERICANA','SP','125252251216571431338631575122142462142',2745,'9998',64.51,1,3,NULL),(25,6125441,'1993-09-13 00:00:00',2,15,12,2010,'M','N','CENTRO','MARACAJÁ','SC','124241246415151431436833595124610168042',20863,'995',31.68,1,3,NULL),(25,6125450,'1992-08-11 00:00:00',4,3,11,2010,'M','N','JARDIM ELITE','PIRACICABA','SP','125252251215111431469813575112610137043',4798,'9998',59.46,1,3,NULL),(25,6125468,'1995-03-02 00:00:00',4,3,11,2010,'M','N','PITUBA','SALVADOR','BA','105262051217111431479814444112610127012',8648,'9998',53.68,1,3,NULL),(25,6125476,'1992-11-03 00:00:00',5,8,12,2009,'M','N','GLORIA','JOINVILLE','SC','124244241215473431468614575124610125127',292,'486',79.80,1,3,NULL),(25,6125484,'1993-11-06 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124242241215111431569933575115610167012',5161,'881',56.43,1,3,NULL),(25,6125492,'1992-12-20 00:00:00',2,1,12,2010,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241235111441458733235124610147072',17704,'1022',36.66,1,3,NULL),(25,6125506,'1993-04-11 00:00:00',4,2,11,2010,'F','N','VELHA','BLUMENAU','SC','124241241115141231458813575124610125077',NULL,'88',0.00,1,2,1),(25,6125514,'1992-01-04 00:00:00',2,1,12,2008,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241415472431457933572224610114147',8105,'1223',50.77,1,3,NULL),(25,6125522,'1992-08-23 00:00:00',4,1,12,2009,'F','N','JARDIM DA GLÓRIA','S PAULO','SP','125252251217511711658812371125610167071',10444,'9998',47.42,3,3,NULL),(25,6125530,'1994-08-03 00:00:00',2,1,11,2010,'F','N','BELA VISTA','S JOSÉ','SC','124242241215111431368811575122610122012',15827,'723',42.41,1,3,NULL),(25,6125549,'1993-08-17 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215131431524624572114610134057',12807,'1022',40.99,1,3,NULL),(25,6125565,'1994-02-18 00:00:00',2,8,11,2010,'F','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161215121752239929592115610168197',2738,'9998',65.75,1,3,NULL),(25,6125573,'1989-08-14 00:00:00',4,1,12,2008,'M','N','DANIELA','FLORIANÓPOLIS','SC','124242241211472441559933385112231065084',12456,'270',47.42,2,3,NULL),(25,6125590,'1984-07-27 00:00:00',3,1,12,2003,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124243241125332411536673441124610147187',15265,'292',39.66,1,3,NULL),(25,6125603,'1992-04-20 00:00:00',4,8,11,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124242246215371431469414385124610163072',NULL,'1105',28.07,1,3,NULL),(25,6125611,'1994-05-19 00:00:00',4,4,12,2010,'M','N','PASSO DOS FORTES','CHAPECÓ','SC','124243241316111431446923575122610117062',9688,'1191',48.15,1,3,NULL),(25,6125620,'1990-10-19 00:00:00',4,1,12,2008,'M','N','PARQUE DOS PRÍNCIPES','S PAULO','SP','125254251212571711568812571122610136077',752,'9998',75.68,1,3,NULL),(25,6125638,'1990-04-17 00:00:00',2,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217154421326621345122233237077',NULL,'273',24.65,1,3,NULL),(25,6125646,'1980-05-14 00:00:00',2,1,12,2004,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241247325133421565432312122133222147',NULL,'9999',31.51,1,3,NULL),(25,6125654,'1992-11-16 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241137151431523414575124610132182',NULL,'287',16.77,1,2,1),(25,6125662,'1993-12-01 00:00:00',4,1,12,2010,'M','N','CENTRO','CPO GRANDE','MS','112122121217111411688813595112612547184',11152,'9998',44.91,4,3,NULL),(25,6125689,'1993-07-19 00:00:00',4,16,11,2010,'F','N','CENTRO','STA ROSA','RS','120202201211111431589919471122610121142',2879,'9998',63.51,1,3,NULL),(25,6125697,'1993-09-21 00:00:00',2,10,12,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124242241415141431558712245122610137042',19387,'1034',33.42,1,3,NULL),(25,6125700,'1993-08-07 00:00:00',4,8,11,2010,'F','N','BOM RETIRO','CURITIBA','PR','116162161215121431438814295124610134097',13028,'9998',41.51,1,3,NULL),(25,6125719,'1991-09-09 00:00:00',4,1,11,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215472431668613472122610144075',8272,'272',52.03,1,3,NULL),(25,6125727,'1989-04-24 00:00:00',2,4,12,2006,'F','N','CENTRO','XANXERÊ','SC','124244241232574751434431171125230664187',NULL,'836',23.35,1,3,NULL),(25,6125735,'1989-01-31 00:00:00',4,1,12,2005,'F','N','BELA VISTA II','S JOSÉ','SC','124243241215573411336823475124221524172',9182,'1036',52.72,1,3,NULL),(25,6125743,'1993-02-17 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124241241317111431326814385125610164192',NULL,'499',23.83,1,3,NULL),(25,6125760,'1993-10-17 01:00:00',4,4,11,2010,'M','N','CENTRO','CONCÓRDIA','SC','124242241217151431489914175122610114012',NULL,'1000',27.53,1,3,NULL),(25,6125778,'1993-11-11 00:00:00',2,4,12,2010,'M','N','CENTRO','CAPANEMA','PR','116161161215111431566933575124610167067',NULL,'9998',0.00,1,3,NULL),(25,6125786,'1993-08-03 00:00:00',4,1,10,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431368633472122610137017',9494,'262',52.13,1,3,NULL),(25,6125794,'1994-11-04 00:00:00',4,7,11,2010,'M','N','CENTRO','JOAÇABA','SC','124242241215111431459811295122610127142',21075,'454',30.78,1,3,NULL),(25,6125808,'1993-03-24 00:00:00',4,1,12,2010,'M','N','BELA VISTA I','S JOSÉ','SC','124241241116141431436414245124610167047',7597,'733',52.94,4,2,1),(25,6125816,'1992-02-24 00:00:00',2,3,12,2010,'F','N','FEITORIA SELER','S LEOPOLDO','RS','120203208116131431447311575122610133142',NULL,'9998',0.00,1,3,NULL),(25,6125824,'1992-12-24 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217272731366659595114610167015',1373,'262',70.92,1,3,NULL),(25,6125832,'1993-09-25 00:00:00',4,8,12,2010,'M','N','BAIRRO ALTO','CURITIBA','PR','116162161215121411539731575112610124042',7830,'9998',51.05,1,3,NULL),(25,6125840,'1991-01-03 00:00:00',4,5,11,2008,'F','N','CRISTO REI','COCAL SUL','SC','124244241435373431424614212124610162142',9289,'820',49.10,1,3,NULL),(25,6125859,'1990-06-13 00:00:00',2,4,12,2009,'F','N','CENTRO','PALMAS','PR','116161165126141731635313392125610113142',18075,'9998',34.46,1,2,1),(25,6125867,'1993-10-29 00:00:00',4,3,10,2010,'M','N','CENTRO','PRIMAVERA LESTE','MT','111112111217161432476616595122610134075',8518,'9998',51.16,1,3,NULL),(25,6125883,'1993-07-09 00:00:00',4,9,12,2010,'M','N','UNIVERSITÁRIO','LAGES','SC','124241241116111431426615495124610167052',NULL,'512',0.00,1,3,NULL),(25,6125891,'1992-09-13 00:00:00',4,1,6,2010,'M','N','VILA MARCHETTI','S JOÃO D REI','MG','113132281216271231448833575122610167012',NULL,'9998',0.00,1,3,NULL),(25,6125905,'1993-05-07 00:00:00',4,8,12,2010,'F','N','PIONEIROS','FAZ RIO GRANDE','PR','116161161116471431324611275124610165197',NULL,'9998',0.00,1,2,1),(25,6125921,'1990-12-06 00:00:00',4,1,12,2009,'M','N','CENTRO','CPO GRANDE','MS','112222121216271431248923495125610164172',11651,'9998',44.77,1,3,NULL),(25,6125930,'1991-02-28 00:00:00',4,1,11,2008,'F','N','INTERLAGOS','S PAULO','SP','125252251217571431489812571122610142077',4749,'9998',58.23,1,3,NULL),(25,6125956,'1991-03-10 00:00:00',4,8,12,2008,'M','N','VILA IZABEL','CURITIBA','PR','116162161231471441458814375114610141092',NULL,'9998',0.00,1,3,NULL),(25,6125964,'1994-03-15 00:00:00',4,1,12,2011,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241415111731435412575122610114082',NULL,'272',21.30,1,3,NULL),(25,6125972,'1993-08-17 00:00:00',4,6,12,2010,'M','N','JD VIRGÍNIA BIANCA','S PAULO','SP','125162251217471411379932375124610127112',3285,'9998',63.86,1,3,NULL),(25,6125980,'1983-12-01 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241248127131431121679385114130817092',NULL,'783',40.40,1,2,1),(25,6125999,'1993-07-22 00:00:00',4,1,12,2010,'M','N','SONHO NOSSO I','BARRA BONITA','SP','125252251215111431348931145122610117122',11159,'9998',45.30,1,3,NULL),(25,6126014,'1992-09-25 00:00:00',4,1,12,2010,'M','N','CHACARA INGLESA','S PAULO','SP','125252258116271431459814575125610167052',12083,'9998',48.01,3,3,NULL),(25,6126022,'1993-10-31 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241216111431489931572122610122122',502,'497',77.59,1,3,NULL),(25,6126065,'1993-05-09 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111411468811572122610164142',12560,'270',47.25,1,3,NULL),(25,6126103,'1986-04-10 00:00:00',2,1,12,2003,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124201201147271451226649195124140663097',4484,'9998',60.21,1,2,1),(25,6126111,'1986-11-10 00:00:00',4,1,12,2005,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124241241136372431324311475114610132193',14168,'669',44.90,1,2,1),(25,6126120,'1991-01-26 00:00:00',4,1,12,2010,'M','N','NSA SRA DO ROSÁRIO','S JOSÉ','SC','124241246115131431326624295124610167042',12030,'306',48.09,1,2,1),(25,6126138,'1993-09-19 00:00:00',4,8,12,2010,'F','N','CENTRO CIVICO','CURITIBA','PR','116163161116121331468814575114610167147',9754,'9998',51.79,1,3,NULL),(25,6126146,'1994-11-19 00:00:00',2,1,12,2010,'F','N','ROÇADO','S JOSÉ','SC','124241241116471731427624575124610124057',20356,'729',29.77,2,1,1),(25,6126162,'1993-07-05 00:00:00',4,3,12,2010,'M','N','ÓRFÃOS','PNT GROSSA','PR','116162161214111231345612375122610124047',14244,'9998',40.25,1,3,NULL),(25,6126170,'1993-12-11 00:00:00',4,2,12,2010,'M','N','VELHA','BLUMENAU','SC','124241246217141431448911575122610124042',12180,'1018',47.87,1,3,NULL),(25,6126189,'1990-08-28 00:00:00',4,1,12,2008,'M','N','BOM VIVER','BIGUAÇU','SC','124241241127141421633319345133610158187',NULL,'66',0.00,1,2,1),(25,6126197,'1993-01-17 00:00:00',4,1,11,2010,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124243241317471431467933575124610167042',7371,'270',55.93,1,3,NULL),(25,6126219,'1992-11-05 00:00:00',4,1,12,2010,'M','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251215111431278928375112610117187',8990,'9998',50.43,1,3,NULL),(25,6126227,'1989-08-28 00:00:00',4,1,12,2005,'F','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125122121215574451465836275122610124122',2706,'9998',63.82,1,3,NULL),(25,6126235,'1991-01-02 00:00:00',4,4,12,2010,'M','N','ESPLANADA','CHAPECÓ','SC','124241247427151431323624245123610134057',NULL,'9999',16.32,1,3,NULL),(25,6126243,'1993-01-20 00:00:00',4,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241212112411458732391124610122102',12241,'270',47.77,1,3,NULL),(25,6126251,'1992-07-25 00:00:00',4,1,12,2009,'M','N','BELA VISTA I','S JOSÉ','SC','124242241215312731327314385124610144141',14237,'1076',40.65,1,3,NULL),(25,6126260,'1990-09-01 00:00:00',2,1,12,2007,'F','N','VILA LIVIERO','S PAULO','SP','125252251216571431348614571125610165017',3193,'9998',64.69,1,3,NULL),(25,6126278,'1987-10-21 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247237271331236924382324610167117',NULL,'9999',13.24,4,3,NULL),(25,6126286,'1978-04-08 00:00:00',4,1,6,1999,'M','N','CAMPINAS','S JOSÉ','SC','224243247326132421423444245334130718047',NULL,'1003',15.14,2,1,2),(25,6126294,'1993-04-29 00:00:00',4,3,12,2010,'F','N','CENTRO','ITAPEMA','SC','124242241215371731438633575124610134012',14414,'403',40.19,1,3,NULL),(25,6126316,'1991-06-20 00:00:00',4,1,12,2008,'F','N','MARIA LUIZA','CASCAVEL','PR','116162161217573431446914572112610166092',1678,'9998',67.89,1,3,NULL),(25,6126324,'1993-02-01 00:00:00',4,2,10,2010,'F','N','VICTOR KONDER','BLUMENAU','SC','116242161216121451369931571122610134062',12151,'9998',44.21,1,3,NULL),(25,6126332,'1986-07-09 00:00:00',4,9,12,2003,'M','N','CENTRO','GARIBALDI','RS','120201201116472731226629575114443264047',12805,'9998',43.43,1,2,1),(25,6126340,'1992-06-04 00:00:00',4,1,12,2010,'F','N','CHÁCARA POUSO ALEGRE','S PAULO','SP','125162251217471331568811575115610161097',13653,'9998',39.28,1,3,NULL),(25,6126359,'1993-05-10 00:00:00',4,1,12,2010,'F','N','VILA RESENDE','PIRACICABA','SP','125252251216111411454412575112610132074',NULL,'9998',0.00,1,3,NULL),(25,6126367,'1994-10-11 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124242241215121531436637575124610134072',21103,'738',30.64,2,3,NULL),(25,6126375,'1994-07-27 00:00:00',4,9,12,2011,'M','S','SAGRADO C DE JESUS','LAGES','SC','124242241215121431469813575122610137122',NULL,'497',48.49,1,3,NULL),(25,6126383,'1993-03-10 00:00:00',4,8,12,2009,'F','N','CAMBUI','CAMPINAS','SP','125252251216371431489814575112610162182',7699,'9998',51.33,1,3,NULL),(25,6126391,'1992-07-14 00:00:00',4,1,12,2009,'M','N','VIDA ESTADIO','PRES PRUDENTE','SP','125252251216111421548832575125241464047',9220,'9998',52.64,1,3,NULL),(25,6126405,'1991-10-04 00:00:00',4,1,12,2009,'F','N','ÁGUA BRANCA','AVARÉ','SP','125252251217471431425811111122610134095',1975,'9998',67.71,1,3,NULL),(25,6126413,'1992-07-14 00:00:00',4,1,11,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','116162241217574231368939575124141068186',442,'270',77.37,1,3,NULL),(25,6126421,'1990-01-12 00:00:00',4,8,11,2008,'F','N','BATEL','CURITIBA','PR','116162161215571431369814572112610161182',1708,'9998',69.39,1,3,NULL),(25,6126430,'1993-01-09 00:00:00',4,4,11,2010,'F','N','INDUSTRIAL','IJUÍ','RS','120204201316111331536615575124610127057',15495,'9998',37.05,1,3,NULL),(25,6126448,'1993-04-29 00:00:00',4,1,7,2010,'F','N','CENTRO','CPO GRANDE','MS','112123121117271431458933575122610133017',101,'9998',83.34,1,3,NULL),(25,6126456,'1992-01-13 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241117112431548632475112233217051',13205,'271',46.34,1,3,NULL),(25,6126472,'1992-10-03 00:00:00',4,1,12,2009,'F','N','CENTRO','IMBÉ','RS','120203201116473431433833295124610126142',3678,'9998',62.21,1,3,NULL),(25,6126480,'1993-12-19 00:00:00',4,8,12,2010,'M','N','BATEL','CURITIBA','PR','116162161215111441468834572125610137057',4218,'9998',60.13,1,3,NULL),(25,6126499,'1993-09-21 00:00:00',2,5,11,2010,'F','N','PINHEIRINHO','CRICIÚMA','SC','124242241115121431456412575122610168067',9824,'880',46.60,1,3,NULL),(25,6126502,'1992-03-16 00:00:00',4,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242246117141431546823445124610137042',4445,'306',57.40,1,3,NULL),(25,6126510,'1993-07-28 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201241116471751326764345124610134075',NULL,'257',18.21,1,2,1),(25,6126529,'1992-01-14 00:00:00',5,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217414431258834572125610138182',8607,'486',50.91,1,3,NULL),(25,6126537,'1993-01-27 00:00:00',4,1,11,2010,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091211111431478831571112610164047',1392,'9998',71.33,4,3,NULL),(25,6126553,'1992-09-10 00:00:00',2,4,11,2009,'F','N','FATIMA','ERECHIM','RS','620202201217473231368632575114610124072',4040,'9998',61.95,1,3,NULL),(25,6126561,'1993-05-19 00:00:00',4,8,12,2010,'M','N','BOM RETIRO','JOINVILLE','SC','124242247415121431379814575112610137072',NULL,'1104',37.78,1,3,NULL),(25,6126570,'1992-06-03 00:00:00',4,1,11,2009,'M','N','CENTRO','MARINGÁ','PR','116162161217471412478833575112610164182',6698,'9998',57.30,4,3,NULL),(25,6126588,'1991-10-16 00:00:00',4,17,12,2009,'M','N','ALTO DE MAFRA','MAFRA','SC','124243241215472451486912575122610168122',5858,'541',56.16,1,3,NULL),(25,6126618,'1986-08-18 00:00:00',4,1,12,2004,'M','N','INGLESES','FLORIANÓPOLIS','SC','124203207217153741338719485124141068197',8230,'9998',54.46,1,3,NULL),(25,6126634,'1993-01-03 00:00:00',4,1,11,2010,'M','N','SERRA DA CANTAREIRA','MAIRIPORÃ','SP','125252251211111411488932571112610461042',NULL,'9998',0.00,3,3,NULL),(25,6126642,'1992-09-14 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161215471431468632575125610124047',NULL,'9998',0.00,1,3,NULL),(25,6126650,'1993-09-07 00:00:00',4,4,12,2010,'M','N','AMADORI','PATO BRANCO','PR','116164161216131441538923375122610138177',9321,'9998',50.40,1,3,NULL),(25,6126669,'1981-02-17 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','624223228334132751229846126331610134067',19109,'9998',36.73,4,3,NULL),(25,6126677,'1993-02-22 00:00:00',4,1,11,2010,'M','N','JARDIM AMÉRICA','GOIÂNIA','GO','109092091217121431366812475112610164012',1828,'9998',68.29,1,3,NULL),(25,6126693,'1993-07-13 00:00:00',4,1,11,2010,'M','N','JARDIM SAO LOURENÇO','CPO GRANDE','MS','112122121215111431465836272122610137057',7138,'9998',54.96,1,3,NULL),(25,6126707,'1989-04-27 00:00:00',2,1,12,2006,'M','N','ROÇADO','S JOSÉ','SC','124241241336135431636513345112610127182',14290,'737',44.73,4,3,NULL),(25,6126715,'1993-03-20 00:00:00',2,1,12,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215131411348824195124610125182',9519,'1119',52.18,1,3,NULL),(25,6126723,'1993-02-13 00:00:00',2,1,12,2010,'F','N','ALMERINDA','S GONÇALO','RJ','121213211117471111525679575124610114092',16210,'9998',36.08,4,3,NULL),(25,6126731,'1992-03-12 00:00:00',4,15,12,2009,'F','N','LAGOÃO','ARARANGUÁ','SC','124241241135132431533311415122610156147',NULL,'30',34.86,4,2,1),(25,6126740,'1993-06-20 00:00:00',2,1,12,2010,'M','N','SÃO DOMINGOS','VIDAL RAMOS','SC','124241241147161431634636595224610134057',NULL,'828',16.94,1,2,1),(25,6126758,'1991-12-10 00:00:00',2,1,12,2009,'F','N','ARIRIU','PALHOÇA','SC','124242241216472441456833574114610134097',NULL,'1175',27.58,1,3,NULL),(25,6126766,'1993-06-05 00:00:00',4,1,12,2010,'M','N','ESTANCIA NOBLESSE','RIBEIRÃO PIRES','SP','125251251116371431436634575124610124182',NULL,'9998',26.34,1,2,1),(25,6126774,'1993-07-13 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241216373411369814571122610112091',1581,'499',69.94,1,3,NULL),(25,6126782,'1994-02-19 00:00:00',2,1,11,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241147141411238721392124610163092',21763,'285',23.57,1,3,NULL),(25,6126790,'1992-03-26 00:00:00',4,1,12,2009,'M','N','VILA CARAGUATÁ','S PAULO','SP','125122121216472751543912272124610134126',865,'9998',73.95,1,3,NULL),(25,6126804,'1990-10-15 00:00:00',4,8,12,2008,'M','N','JOÃO XXIII','S PAULO','SP','125252251237471432565834272124610127087',NULL,'9998',0.00,1,3,NULL),(25,6126812,'1993-05-08 00:00:00',4,1,12,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215121231369823575114610137042',13104,'262',42.78,1,3,NULL),(25,6126820,'1979-12-31 00:00:00',4,8,12,1998,'M','N','JARDIM PACAEMBU','JUNDIAÍ','SP','125251257226151441249778185122132836187',12699,'9998',47.07,1,3,NULL),(25,6126839,'1993-02-27 00:00:00',4,10,12,2010,'F','N','CENTRO','TUBARÃO','SC','124242248215371751488933595122610163072',9509,'797',48.11,1,3,NULL),(25,6126855,'1983-11-24 00:00:00',4,4,12,2001,'F','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124242241214374421138844445122321528147',NULL,'752',34.98,1,3,NULL),(25,6126863,'1993-05-26 00:00:00',4,1,11,2010,'M','N','CENTRO','PARIQUERA-AÇU','SP','124252241215111431248614575124610167146',4262,'270',61.94,1,3,NULL),(25,6126871,'1993-07-22 00:00:00',2,9,11,2010,'F','N','CENTRO','STA ROSA','RS','120243201215271431479614375112610145172',NULL,'9998',0.00,1,3,NULL),(25,6126880,'1985-10-19 00:00:00',2,16,11,2003,'F','N','CENTRO','CURITIBANOS','SC','124241241116572731126649392122130668147',NULL,'239',0.00,1,2,1),(25,6126901,'1989-07-07 00:00:00',4,1,12,2007,'M','N','PARQUE CELESTE','S JOSÉ R PRETO','SP','125251251446573431336412195122610146172',2322,'9998',68.11,1,3,NULL),(25,6126910,'1991-12-28 00:00:00',4,1,12,2009,'F','N','JARDIM PARAÍSO','CAMPINAS','SP','125251258116472431448931575112610167142',378,'9998',77.75,1,2,1),(25,6126928,'1994-03-18 00:00:00',4,1,11,2011,'F','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431489712375122610133182',NULL,'270',47.35,1,3,NULL),(25,6126936,'1989-08-15 00:00:00',2,3,12,2006,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124241241217574431449933375122610161041',335,'1086',79.14,1,3,NULL),(25,6126960,'1993-08-18 00:00:00',4,8,11,2010,'M','N','JARDIM CAIÇARA I','REGISTRO','SP','125252251216271231435539575122610128193',18908,'9998',31.84,3,3,NULL),(25,6126979,'1969-06-07 00:00:00',2,1,12,1986,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241243127152411454341214122610137083',NULL,'591',25.91,1,3,NULL),(25,6126987,'1992-12-30 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215471431478811574122610128042',6975,'262',55.14,1,3,NULL),(25,6126995,'1982-05-20 00:00:00',2,1,12,2000,'F','N','JD PAULISTA','S JOSÉ CAMPOS','SP','225251251127371731422354275122610167187',NULL,'9998',23.52,2,1,1),(25,6127002,'1993-09-20 00:00:00',2,1,12,2010,'F','N','BELA VISTA I','S JOSÉ','SC','124241248117371432428922382124610134147',NULL,'9997',13.40,2,3,NULL),(25,6127010,'1990-07-18 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116161161315573431366632574112610126182',NULL,'9998',45.50,1,3,NULL),(25,6127029,'1988-01-19 00:00:00',2,1,12,2005,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241115575431549923442124231342182',2769,'271',64.73,1,3,NULL),(25,6127045,'1987-06-05 00:00:00',4,1,12,2005,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241324231431654633245114610127047',NULL,'294',24.98,1,3,NULL),(25,6127061,'1989-07-09 00:00:00',2,1,12,2007,'F','N','PRADO','BIGUAÇU','SC','124241248117132431426313445124610133187',NULL,'65',22.72,1,2,1),(25,6127070,'1986-08-25 00:00:00',4,3,12,2003,'F','N','SANTA RITA','BRUSQUE','SC','124242241216131411439611415122333265197',NULL,'912',0.00,1,3,NULL),(25,6127096,'1992-01-02 00:00:00',4,1,12,2009,'M','N','CENTRO','FOZ IGUAÇU','PR','116162161215471431486612575111610167052',NULL,'9998',0.00,1,3,NULL),(25,6127118,'1993-01-31 00:00:00',2,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124244248215131431454411571124610124142',12480,'995',43.54,1,3,NULL),(25,6127126,'1993-10-16 00:00:00',4,1,12,2010,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241117141431524321312324610144047',NULL,'733',28.55,2,1,1),(25,6127134,'1993-04-27 00:00:00',2,1,12,2010,'F','N','BELA VISTA','PALHOÇA','SC','124243241217111332433534575122610123071',18051,'989',34.73,1,3,NULL),(25,6127142,'1993-03-28 00:00:00',4,1,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124241247616111731536824375124610127072',NULL,'1105',15.59,1,3,NULL),(25,6127150,'1992-06-19 00:00:00',4,10,12,2009,'M','N','SÃO BASÍLIO','BRAÇO NORTE','SC','124241241136131742423424345121610114177',15873,'100',42.35,1,2,1),(25,6127185,'1992-10-11 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124242248216372431348619345135133237042',4344,'995',59.74,1,3,NULL),(25,6127193,'1989-03-14 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241146132431311644245124610134017',NULL,'585',29.16,4,2,1),(25,6127207,'1992-02-15 00:00:00',4,1,12,2009,'F','N','JARDIM PETROPOLIS','S PAULO','SP','125252251216371431368931575112610142192',NULL,'9998',0.00,4,1,2),(25,6127223,'1993-06-24 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241225131211426814585324610164127',NULL,'262',28.88,1,3,NULL),(25,6127231,'1991-11-08 00:00:00',2,10,12,2008,'F','N','CAMPO DUNA','GAROPABA','SC','124202201116131411427718585122141036047',14981,'9998',37.79,1,3,NULL),(25,6127240,'1989-09-23 00:00:00',4,1,1,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241247336272431225567585314610124177',NULL,'9999',17.87,1,3,NULL),(25,6127258,'1993-01-12 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241216152431469934575112233262172',11857,'1038',48.41,1,3,NULL),(25,6127266,'1983-02-08 00:00:00',2,1,12,2003,'M','N','JURERE','FLORIANÓPOLIS','SC','124201201121131311223421485114610138047',19268,'9998',36.35,4,2,1),(25,6127274,'1989-06-10 00:00:00',4,1,11,2007,'M','N','ARAMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124241241122131431124349295124610168182',14539,'281',44.38,4,2,1),(25,6127282,'1993-01-19 00:00:00',2,5,12,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215371431436934575122610127082',11853,'213',44.28,1,3,NULL),(25,6127304,'1987-09-15 00:00:00',4,1,12,2005,'M','N','SÃO BRAZ','CURITIBA','PR','116164161316151731468839475122343262092',13926,'9998',45.28,1,3,NULL),(25,6127312,'1992-05-04 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241111372431536633572114610164187',20698,'257',27.23,1,2,1),(25,6127320,'1993-07-03 00:00:00',2,15,12,2010,'F','N','PREDIAL','TORRES','RS','120201201117131751534832572122610168047',NULL,'9998',0.00,1,2,1),(25,6127339,'1991-02-24 00:00:00',4,10,12,2008,'M','N','CENTRO','RIO FORTUNA','SC','124241241112374431436613395124610161142',4406,'665',59.97,1,2,1),(25,6127347,'1993-09-25 00:00:00',2,1,11,2010,'M','N','MONTE CASTELO','CPO GRANDE','MS','112122128211111711479921592122610117042',NULL,'9998',0.00,4,3,NULL),(25,6127355,'1986-04-03 00:00:00',4,2,12,2002,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115152441123613335122321767051',13851,'69',45.40,1,2,1),(25,6127398,'1993-04-01 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242247237141431323624282114610117045',18119,'9999',33.28,1,3,NULL),(25,6127401,'1990-04-28 00:00:00',4,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241417113431323414575125610122013',NULL,'1010',28.19,1,3,NULL),(25,6127410,'1992-04-02 00:00:00',4,1,12,2009,'M','N','BELA VISTA','PALHOÇA','SC','124241241222133451356713345124122268112',NULL,'262',0.00,1,3,NULL),(25,6127436,'1989-01-25 00:00:00',2,1,12,2007,'M','N','VILA GUILHERME','S PAULO','SP','125252251437141431126829445123610134022',NULL,'9998',27.24,4,3,NULL),(25,6127444,'1983-05-16 00:00:00',4,1,12,2000,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216112711468812295122321437043',NULL,'270',0.00,1,3,NULL),(25,6127460,'1991-10-24 00:00:00',4,1,12,2008,'F','N','JARDIM LUCIANA','MARÍLIA','SP','125252251216571411438811595112610166182',4378,'9998',58.82,1,3,NULL),(25,6127479,'1982-07-20 00:00:00',4,1,12,1999,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241216114431259313435123321434122',6630,'541',57.42,1,3,NULL),(25,6127495,'1988-02-16 00:00:00',2,1,8,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247326131411325421185114610164077',NULL,'9997',0.00,1,3,NULL),(25,6127517,'1985-09-26 00:00:00',4,8,12,2002,'M','N','PETRÓPOLIS','JOINVILLE','SC','124241241217472331639613475124130762182',3527,'459',64.48,1,3,NULL),(25,6127541,'1991-09-20 00:00:00',2,1,12,2008,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241111472711534614145124610162141',NULL,'288',29.33,1,2,1),(25,6127568,'1993-04-01 00:00:00',2,5,11,2010,'M','N','PIO CORREA','CRICIÚMA','SC','124244241215131231433619575121610167017',20569,'211',32.89,1,3,NULL),(25,6127584,'1993-07-08 00:00:00',2,5,11,2010,'M','N','MORRO GRANDE','SANGÃO','SC','124243241417111331433612175112610167042',20118,'211',34.26,1,3,NULL),(25,6127606,'1992-10-02 00:00:00',4,5,11,2010,'F','N','SÃO LUIZ','CRICIÚMA','SC','124242241215111431227734291124610127057',18775,'211',37.39,1,3,NULL),(25,6127614,'1993-10-13 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241217111431438952592112610127112',13161,'211',41.87,1,3,NULL),(25,6127622,'1993-03-03 00:00:00',4,5,11,2010,'M','N','PIO CORRÊA','CRICIÚMA','SC','124242241215111411368612575112610122092',17816,'211',34.36,1,3,NULL),(25,6127630,'1993-01-30 00:00:00',2,5,11,2010,'M','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215111732453619595122610147072',NULL,'211',0.00,1,3,NULL),(25,6127649,'1993-09-17 00:00:00',2,5,11,2010,'F','N','MORRO GRANDE','SANGÃO','SC','124241241215111431443612394124610127057',11661,'211',44.14,1,3,NULL),(25,6127657,'1993-08-22 00:00:00',4,5,11,2010,'M','N','VERA CRUZ','CRICIÚMA','SC','124242241215131431348822592112610134112',11805,'211',48.48,1,3,NULL),(25,6127665,'1992-12-15 00:00:00',2,5,11,2010,'M','N','CENTRO','NOVA VENEZA','SC','124242241214161431568832294124610167061',15639,'211',38.06,1,3,NULL),(25,6127673,'1983-01-01 00:00:00',2,6,12,2003,'M','N','CORDEIROS','ITAJAÍ','SC','124241241126131431126844345223131362097',19477,'396',35.89,3,2,1),(25,6127690,'1993-05-18 00:00:00',2,5,11,2010,'F','N','CENTRO','URUSSANGA','SC','124242241212111451538924372124610162147',9262,'880',48.09,1,3,NULL),(25,6127703,'1992-05-06 00:00:00',4,1,12,2009,'M','N','PARQUE CAMPOLIM','SOROCABA','SP','125253251215471431367934575124610118182',17888,'9998',31.81,1,3,NULL),(25,6127711,'1993-06-24 00:00:00',4,1,11,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241215112431326731575124610112185',5323,'1022',57.52,1,3,NULL),(25,6127720,'1991-11-01 00:00:00',4,2,12,2008,'F','N','ASILO','BLUMENAU','SC','124242241215471431469614575114610144012',14567,'88',44.23,1,3,NULL),(25,6127738,'1994-09-22 00:00:00',4,5,11,2010,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111411488812575122610122122',18753,'211',37.44,1,3,NULL),(25,6127746,'1993-09-15 00:00:00',4,7,12,2010,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','124242241215211431335839575122610166097',12075,'962',42.54,1,3,NULL),(25,6127754,'1994-05-24 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215151431588612475122610122142',16495,'211',41.40,1,3,NULL),(25,6127762,'1994-04-27 00:00:00',4,5,11,2010,'M','N','PIO CORREA','CRICIÚMA','SC','124242246215111111333812372122610134122',20188,'211',34.10,1,3,NULL),(25,6127770,'1994-10-21 00:00:00',4,5,11,2010,'M','N','COMERCIARIO','CRICIÚMA','SC','124242241215111431487812472122610164122',4961,'211',60.93,1,3,NULL),(25,6127789,'1990-08-10 00:00:00',2,8,12,2007,'F','N','SÍTIO CERCADO','CURITIBA','PR','116161161131571431426614272324610125142',NULL,'9998',0.00,4,1,1),(25,6127797,'1993-07-24 00:00:00',4,1,12,2010,'M','N','CALHEIROS','GOV CELSO RAMOS','SC','124241241136271711323319376114610164192',NULL,'329',18.32,1,2,1),(25,6127800,'1963-06-30 00:00:00',4,1,12,1980,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224201203116131731354643432133343264063',5840,'9998',59.09,2,1,1),(25,6127843,'1994-03-01 00:00:00',2,7,12,2010,'M','N','CENTRO','IBICARÉ','SC','124241242115131431428914595122610126042',NULL,'8',0.00,1,3,NULL),(25,6127851,'1992-09-29 00:00:00',2,1,8,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124243247415131431323311345124610128145',NULL,'9999',20.56,1,3,NULL),(25,6127860,'1988-04-28 00:00:00',3,1,12,2005,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124252251216272431258823475122233226052',NULL,'9998',0.00,1,3,NULL),(25,6127878,'1993-04-21 00:00:00',4,6,11,2010,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241215131431346824575122610127077',9236,'1057',49.64,1,3,NULL),(25,6127886,'1986-07-28 00:00:00',2,1,12,2003,'F','N','FLORESTA','S JOSÉ','SC','124241241116152411358611342132320823092',16115,'307',41.98,1,2,1),(25,6127894,'1993-10-29 00:00:00',4,1,12,2010,'M','N','GETÚLIO VARGAS','TORRES','RS','120203242115151441435731345112610114093',8095,'690',52.11,1,3,NULL),(25,6127908,'1989-08-02 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124252241217274411438811345111610164187',8840,'951',53.33,1,3,NULL),(25,6127916,'1985-05-21 00:00:00',4,1,12,2010,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124253247237171441223741311324610117087',NULL,'9997',16.35,1,3,NULL),(25,6127924,'1992-06-04 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241416372431563612575114610168052',11121,'1022',46.58,1,3,NULL),(25,6127932,'1990-06-28 00:00:00',4,1,12,2007,'F','N','VILA INDEPENDÊNCIA','PIRACICABA','SP','125251251115542411336533431123610126147',NULL,'9998',0.00,1,3,NULL),(25,6127940,'1992-06-15 00:00:00',2,5,11,2010,'F','N','QUARTA LINHA','CRICIÚMA','SC','124141247326131431314624185324610165022',NULL,'920',26.19,4,3,NULL),(25,6127959,'1993-04-12 00:00:00',2,15,12,2010,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241112371752513329192324610114142',21301,'29',24.23,1,2,1),(25,6127967,'1990-08-03 00:00:00',2,2,12,2007,'F','N','MOEMA','ITAIÓPOLIS','SC','124241241226573431334815572124131364097',5636,'1024',56.76,1,3,NULL),(25,6127975,'1993-05-20 00:00:00',2,1,11,2010,'M','N','SETOR INDUSTRIAL','PATROCÍNIO','MG','113131131215111441423416571224610121177',6314,'9998',54.51,1,3,NULL),(25,6127983,'1993-01-26 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124252241215472431438821575124610127047',NULL,'723',0.00,1,3,NULL),(25,6127991,'1994-08-02 00:00:00',4,2,12,2011,'F','S','CENTRO','POMERODE','SC','124242241215111431338834245122610143147',NULL,'624',51.78,1,3,NULL),(25,6128009,'1984-07-23 00:00:00',4,5,12,2003,'M','N','PRÓSPERA','CRICIÚMA','SC','124242243116151421548834345122233218047',NULL,'230',0.00,1,3,NULL),(25,6128017,'1978-12-11 00:00:00',2,1,12,1996,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224202201116151752269943435132340822125',NULL,'9998',0.00,1,3,NULL),(25,6128025,'1992-05-05 00:00:00',4,8,12,2009,'F','N','INTERIOR','IPORÃ OESTE','SC','124241241116131431633316285114610122175',NULL,'371',0.00,1,2,1),(25,6128050,'1989-02-15 00:00:00',4,1,12,2006,'F','N','SANTA MARIA','UBERLÂNDIA','MG','113131131216572431369833575124610162027',1714,'9998',70.37,4,3,NULL),(25,6128068,'1992-06-10 00:00:00',4,15,12,2009,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124202241217572431368613475114610114097',12787,'26',43.18,1,3,NULL),(25,6128076,'1983-02-04 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241236374411459911375124121147012',4325,'422',62.49,1,3,NULL),(25,6128084,'1993-06-22 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431354532572124610112077',14371,'738',40.33,1,3,NULL),(25,6128106,'1992-11-30 00:00:00',2,15,12,2009,'F','N','ALTO FELIZ','ARARANGUÁ','SC','124241241113132431656933343132610168041',NULL,'29',28.66,1,2,1),(25,6128130,'1982-04-11 00:00:00',2,1,12,1999,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224163161116371441366353335122240963191',NULL,'9998',0.00,1,3,NULL),(25,6128149,'1993-08-06 00:00:00',2,4,12,2009,'M','N','LIBERDADE','CONCÓRDIA','SC','124241241116151431356814342122610162042',12390,'192',41.75,1,2,1),(25,6128157,'1989-02-23 00:00:00',4,10,12,2005,'F','N','VILA LIZABEL','CRUZ ALTA','RS','120201201116571431666613275112610133142',2900,'9998',63.88,1,2,1),(25,6128165,'1993-09-17 00:00:00',4,1,12,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241226371431438819575124610127147',7365,'262',56.05,1,3,NULL),(25,6128173,'1992-07-04 00:00:00',4,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215372411456933572122610122197',6852,'270',54.82,1,3,NULL),(25,6128181,'1993-06-12 00:00:00',2,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241411372751448614241134610123142',13253,'723',46.28,1,3,NULL),(25,6128190,'1993-04-09 00:00:00',4,6,10,2010,'F','N','AGUA VERDE','CURITIBA','PR','116162161235111441448832575122610133052',2387,'9998',65.78,1,3,NULL),(25,6128203,'1993-12-21 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241227111431423624576124610134175',NULL,'262',25.05,1,3,NULL),(25,6128211,'1992-11-19 00:00:00',4,3,12,2010,'M','N','CABRAL','CURITIBA','PR','116162166117271431458933385124610167122',127,'9998',81.96,1,3,NULL),(25,6128220,'1992-07-10 00:00:00',4,2,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116164161235471451249911591124610138042',NULL,'9998',0.00,1,3,NULL),(25,6128238,'1991-02-28 00:00:00',4,16,12,2008,'M','N','SÃO LUIS','CURITIBANOS','SC','124241241114272731448813572221610127042',21164,'239',30.26,4,2,1),(25,6128246,'1992-11-27 00:00:00',4,4,12,2009,'M','N','CENTRO','SAUDADE IGUAÇU','PR','116161161237471431588932474112610167077',512,'9998',77.53,1,3,NULL),(25,6128254,'1977-09-23 00:00:00',4,1,11,1994,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212575441458532472124322564122',184,'272',81.34,4,3,NULL),(25,6128262,'1987-04-09 00:00:00',4,1,12,2004,'F','N','CAMPINAS','S JOSÉ','SC','124242241216373431624629592324221434097',1268,'723',72.48,1,3,NULL),(25,6128270,'1992-08-12 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124162241215472431458931575114610167095',4576,'1118',59.41,1,3,NULL),(25,6128289,'1971-07-13 00:00:00',2,3,12,1988,'F','N','CENTRO','BAL CAMBORIÚ','SC','224242241216354431536652474112121432127',5824,'457',57.08,1,3,NULL),(25,6128297,'1992-06-19 00:00:00',4,1,12,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241125271631423319372224610167057',14484,'1097',42.30,1,3,NULL),(25,6128300,'1991-10-20 01:00:00',2,1,12,2009,'M','N','REAL PARK','S JOSÉ','SC','124243241126372731334314575124610127062',14786,'730',44.03,1,3,NULL),(25,6128319,'1992-06-30 00:00:00',1,1,12,2009,'F','N','ANAPOLIS CITY','ANÁPOLIS','GO','109092091217371431459814572122610132183',10504,'9998',46.85,1,3,NULL),(25,6128327,'1992-05-24 00:00:00',4,4,12,2009,'F','N','CENTRO','PATO BRANCO','PR','116162161216472431449914575122610162182',3920,'9998',60.37,1,3,NULL),(25,6128335,'1990-12-21 00:00:00',2,8,12,2008,'F','N','VILA DO BOSQUE','S PAULO','SP','125252251217471431634634595125610124077',7599,'9998',52.44,4,3,NULL),(25,6128343,'1993-03-09 00:00:00',4,15,12,2009,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241117111431326519595125610164045',18877,'30',32.49,1,2,1),(25,6128351,'1988-08-29 00:00:00',2,1,12,2006,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241125272451426314345124610122112',NULL,'307',17.10,1,2,1),(25,6128360,'1991-06-14 00:00:00',4,3,12,2008,'M','N','CENTRO','CATUÍPE','RS','120203201117571411446632574122610166147',NULL,'9998',0.00,1,3,NULL),(25,6128378,'1992-02-22 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241115141431626724292124610146142',14601,'307',40.67,1,3,NULL),(25,6128386,'1992-06-22 00:00:00',2,1,12,2009,'F','N','ARAÇATUBA','IMBITUBA','SC','124241241117472731526413572214610124142',12072,'361',43.54,1,2,1),(25,6128408,'1977-07-05 00:00:00',2,1,12,1994,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216154741144544445122321462095',NULL,'210',0.00,1,3,NULL),(25,6128424,'1992-05-12 00:00:00',2,10,12,2009,'M','N','CENTRO','BRAÇO NORTE','SC','124241241117132431549819572124610137147',19417,'100',31.51,1,2,1),(25,6128440,'1991-05-20 00:00:00',4,1,12,2008,'M','N','CAEIRA S DOS LIMOES','FLORIANÓPOLIS','SC','124212241315472712646624472124610137047',6135,'1022',58.44,1,3,NULL),(25,6128459,'1989-06-25 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243247316373411347723575124610167052',11202,'9999',49.38,1,3,NULL),(25,6128467,'1993-09-14 00:00:00',4,8,11,2010,'M','N','PINHEIRINHO','CURITIBA','PR','116164168435111331535531245124610167112',18464,'9998',32.44,1,3,NULL),(25,6128475,'1991-08-29 00:00:00',2,17,12,2009,'M','N','CENTRO','MTE CASTELO','SC','124241242116231421435923232125610117057',NULL,'566',0.00,1,2,1),(25,6128483,'1990-03-15 00:00:00',2,1,12,2010,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241125131711523319572224610168147',NULL,'731',22.98,1,2,1),(25,6128491,'1992-05-07 00:00:00',2,1,12,2010,'M','N','CACHOEIRA','BIGUAÇU','SC','124241241115271431321218282224610147045',12105,'64',47.97,4,2,1),(25,6128505,'1991-12-31 00:00:00',2,8,12,2008,'F','N','CAPÃO RASO','CURITIBA','PR','116161161117472431546912441124610124077',16534,'9998',36.81,1,2,1),(25,6128513,'1993-09-18 00:00:00',4,1,12,2010,'M','N','NOSSA SENHORA DO ROS','S JOSÉ','SC','124241241115131431436723342124610157042',NULL,'726',22.03,5,2,1),(25,6128530,'1991-05-28 00:00:00',4,1,11,2008,'M','N','CENTRO','CPO GRANDE','MS','112122121216572731379813575112610132057',4461,'9998',59.18,3,3,NULL),(25,6128548,'1987-08-22 00:00:00',2,1,12,2004,'M','N','SETOR SUL','GOIANÉSIA','GO','109093091415573431537611575124610124097',NULL,'9998',0.00,1,3,NULL),(25,6128564,'1992-06-25 00:00:00',4,3,12,2009,'M','N','VILA INDAIÁ','RIO CLARO','SP','125252251215472431358924572122610162092',NULL,'9998',0.00,1,3,NULL),(25,6128572,'1988-02-11 00:00:00',4,1,12,2005,'F','N','CENTRO','CURITIBA','PR','116111111446574431237477175124140262072',16114,'9998',41.98,1,3,NULL),(25,6128580,'1990-12-06 00:00:00',4,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161116571431347824572112610124147',856,'9998',73.50,1,3,NULL),(25,6128602,'1992-08-12 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124141141117271431626711175124142064142',NULL,'9998',26.39,4,2,1),(25,6128629,'1992-01-14 00:00:00',4,10,12,2009,'M','N','CENTRO','LAGUNA','SC','120243241215472441436811281122610127077',4374,'525',59.95,1,3,NULL),(25,6128637,'1993-10-17 01:00:00',4,1,11,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241117111431336923395124610114042',NULL,'288',33.85,1,2,1),(25,6128653,'1981-12-22 00:00:00',4,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','224241245125132431323554385124610121097',21638,'591',26.32,1,2,1),(25,6128661,'1991-08-12 00:00:00',4,17,12,2009,'M','N','VILA GROSSEL','MAFRA','SC','124241246216232421539524445132610167057',14000,'1006',45.17,1,3,NULL),(25,6128688,'1974-03-31 00:00:00',4,1,12,1995,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224241131125331411223359292124342766097',14680,'9998',44.18,1,2,1),(25,6128696,'1993-09-13 00:00:00',4,3,12,2010,'M','N','MERCES','CURITIBA','PR','116162161215111431478812575122610134122',NULL,'9998',0.00,1,3,NULL),(25,6128700,'1993-09-26 00:00:00',2,1,12,2010,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241241112371431536633472114610137042',15820,'592',39.85,1,2,1),(25,6128726,'1982-02-04 00:00:00',2,1,12,2002,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241247225131451623314342214610127042',NULL,'9999',28.03,1,3,NULL),(25,6128734,'1959-04-06 00:00:00',4,1,12,1976,'M','N','LAGOA','FLORIANÓPOLIS','SC','124252251431151711468871411122342461143',17866,'9998',39.10,1,3,NULL),(25,6128742,'1993-12-30 00:00:00',4,1,11,2010,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091215111431458619575122610168042',8069,'9998',50.73,1,3,NULL),(25,6128750,'1992-07-26 00:00:00',4,1,12,2009,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244241312372411436923371124610112142',15297,'307',43.25,1,3,NULL),(25,6128769,'1993-07-25 00:00:00',2,15,12,2010,'F','N','CENTRO','BAL ARROIO SILVA','SC','124241241115141731426614275114610118051',NULL,'30',19.98,1,2,1),(25,6128777,'1979-12-25 00:00:00',2,1,12,1996,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124204203426473431126644245124130222043',8841,'9998',51.74,1,3,NULL),(25,6128793,'1992-10-29 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124241241135271711325525575124610135177',NULL,'239',29.43,4,2,1),(25,6128807,'1992-03-10 00:00:00',2,2,12,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241116132431468723585122610164092',NULL,'712',40.47,1,2,1),(25,6128823,'1992-03-24 00:00:00',4,1,12,2010,'F','N','FATIMA','FLORIANÓPOLIS','SC','124242247217151431467912572112610122192',NULL,'9999',27.48,1,3,NULL),(25,6128858,'1992-11-29 00:00:00',2,8,12,2009,'F','N','VILA IZABEL','CURITIBA','PR','116161161117371431544812575112610127057',16884,'9998',37.03,4,2,1),(25,6128882,'1979-09-20 00:00:00',4,1,12,2004,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243171415571452666319273124610116097',NULL,'734',20.82,4,3,NULL),(25,6128890,'1991-09-30 00:00:00',2,1,12,2008,'F','N','NEVA','CASCAVEL','PR','116161161415121431434621395122242235082',NULL,'9998',0.00,1,3,NULL),(25,6128912,'1988-02-19 00:00:00',2,1,12,2006,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241116152431336329345123133263027',7874,'306',50.66,1,2,1),(25,6128920,'1990-04-09 00:00:00',2,15,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241216574431438833375124231543092',10448,'266',45.47,1,3,NULL),(25,6128939,'1992-01-14 00:00:00',2,1,12,2010,'F','N','SÃO JOSÉ','S JOSÉ','SC','124241241135131731123329285124610121077',NULL,'733',25.47,2,1,1),(25,6128947,'1993-08-10 00:00:00',4,1,12,2010,'F','N','MALOTA','JUNDIAÍ','SP','125252251237111231548834375122610127092',15965,'9998',37.77,1,3,NULL),(25,6128955,'1970-09-08 00:00:00',4,1,12,1992,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224251251127131421223349292124343267047',21094,'9998',30.70,4,2,1),(25,6128963,'1983-12-21 00:00:00',2,1,12,2002,'M','N','FORQUILHINHAS','S JOSÉ','SC','624201201137132441311141215224610144183',NULL,'9998',29.56,1,3,NULL),(25,6128971,'1993-02-19 00:00:00',2,1,12,2010,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241112371431423314272124610163142',9978,'733',46.73,1,2,1),(25,6128980,'1993-06-29 00:00:00',4,9,12,2010,'F','N','CORAL','LAGES','SC','124241241116271731424419575124610126052',NULL,'513',27.72,1,3,NULL),(25,6128998,'1991-10-28 00:00:00',2,16,12,2009,'F','N','MONTE ALEGRE','S CRISTÓVÃO SUL','SC','124241241115271441516615371224610133177',NULL,'239',36.21,4,2,1),(25,6129005,'1987-10-06 00:00:00',4,1,12,2006,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116473431629649495123231427057',18242,'307',32.52,1,2,1),(25,6129021,'1987-02-17 00:00:00',4,1,3,2007,'M','N','LIMEIRA','BRUSQUE','SC','124241247147132711223329185324220268047',7108,'9999',52.86,1,2,1),(25,6129030,'1991-01-04 00:00:00',4,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215574431438812275114610162047',4490,'270',59.59,1,3,NULL),(25,6129048,'1993-09-06 00:00:00',4,1,12,2010,'F','N','GARCIA','ANGELINA','SC','124241241115131431623459571224610128141',18442,'17',32.74,3,2,1),(25,6129056,'1992-09-01 00:00:00',4,1,12,2009,'F','N','VILA REZENDE','PIRACICABA','SP','125252251217251531468832575122143234112',NULL,'9998',22.28,1,3,NULL),(25,6129064,'1989-02-11 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124141011217271431621171176124610117054',21674,'9998',25.67,1,3,NULL),(25,6129072,'1991-10-17 00:00:00',4,9,12,2009,'M','N','VILA MARIA','LAGES','SC','124241241216372431528939575122131467042',3207,'499',64.26,1,3,NULL),(25,6129080,'1982-02-03 00:00:00',4,1,12,1999,'F','N','CAPOEIRA','FLORIANÓPOLIS','SC','124072241215472711247944445124333233097',14969,'269',43.74,1,3,NULL),(25,6129099,'1993-05-23 00:00:00',2,4,12,2009,'F','N','APARECIDA','FREDERICO WESTPHALEN','RS','120201201116371431547913275111610136197',11483,'9998',48.92,1,2,1),(25,6129102,'1993-03-29 00:00:00',2,8,12,2010,'F','N','PAULAS','S FRANCISCO SUL','SC','124242246212111751226823575124610165077',12155,'494',43.11,1,3,NULL),(25,6129110,'1990-02-07 00:00:00',4,1,12,2007,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241416342431436611345121231464067',20520,'1223',33.06,1,3,NULL),(25,6129137,'1986-12-04 00:00:00',2,15,12,2004,'F','N','CIDADE ALTA','ARARANGUÁ','SC','224201201146151431256653275122143234042',11288,'9998',49.23,1,2,1),(25,6129145,'1979-11-16 00:00:00',4,1,6,2000,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124253256221131411128641315121233217087',19711,'9998',35.34,1,3,NULL),(25,6129161,'1993-07-05 00:00:00',4,8,11,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215271431359933576112610133142',6801,'457',54.92,1,3,NULL),(25,6129170,'1993-11-19 00:00:00',4,1,12,2010,'F','N','PARQUE CENTENARIO','JUNDIAÍ','SP','125252251215121731468814375112610128094',8103,'9998',51.63,3,3,NULL),(25,6129196,'1986-03-05 00:00:00',2,5,12,2003,'F','N','GOLFINHOS','BAL ARROIO SILVA','SC','124242241216143431448931485122232325197',16892,'212',40.79,1,3,NULL),(25,6129200,'1989-09-06 00:00:00',2,1,11,2007,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241216131431528711445124232163097',17396,'995',39.93,1,3,NULL),(25,6129218,'1990-02-09 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116134431336612382124610165097',NULL,'287',22.22,1,2,1),(25,6129226,'1992-06-12 00:00:00',2,8,12,2009,'F','N','JARDIM SÃO MIGUEL','BRAGANÇA PAULISTA','SP','125252251216471431458613371122610126147',8773,'9998',48.99,1,3,NULL),(25,6129234,'1986-02-09 00:00:00',2,1,7,2004,'F','N','CAMPINAS','S JOSÉ','SC','124241247245473722333624245133610137117',NULL,'300',29.93,1,3,NULL),(25,6129250,'1988-03-10 00:00:00',2,7,12,2005,'M','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124241241137141211624344442114610123062',NULL,'961',24.66,4,2,1),(25,6129269,'1991-01-25 00:00:00',4,8,12,2008,'M','N','AGUA VERDE','CURITIBA','PR','116163168217574411588812575122610144067',4085,'9998',63.07,1,3,NULL),(25,6129293,'1990-05-12 00:00:00',2,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244241215223431439714275124130324142',17194,'1022',40.30,1,3,NULL),(25,6129307,'1989-03-22 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161616151432126611445124340742192',8493,'9998',53.97,1,3,NULL),(25,6129315,'1983-07-12 00:00:00',4,1,12,2001,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124251251216142421554631115122333246187',8677,'9998',49.77,3,3,NULL),(25,6129323,'1993-04-13 00:00:00',4,3,12,2010,'M','N','CENTRO','CAMBORIÚ','SC','124242242115111431423519575124610118072',18979,'129',30.55,1,3,NULL),(25,6129331,'1991-05-09 00:00:00',4,2,12,2008,'F','N','SUMARE','RIO SUL','SC','116242241215574431448914575115610162142',5785,'991',59.19,1,3,NULL),(25,6129340,'1991-05-27 00:00:00',4,1,12,2009,'M','N','LAGO SUL','LG SUL','DF','107072071216571411589924575122610167052',NULL,'9998',0.00,1,3,NULL),(25,6129358,'1991-01-09 00:00:00',4,1,11,2008,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124242241217375431446639575122230263073',NULL,'270',0.00,1,3,NULL),(25,6129366,'1993-08-22 00:00:00',2,8,11,2010,'F','N','CENTRO','JOINVILLE','SC','124242241217121431488613471122610126152',NULL,'1063',0.00,1,3,NULL),(25,6129374,'1991-10-06 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241132271721323314482114610143147',18754,'257',33.36,1,2,1),(25,6129382,'1993-03-04 00:00:00',4,4,12,2010,'F','N','CENTRO','CUNHA PORÃ','SC','124241241116131231433336575124610126147',NULL,'234',21.20,1,2,1),(25,6129390,'1992-01-03 00:00:00',4,1,12,2008,'F','N','CARIANO','FLORIANÓPOLIS','SC','124243241146573431365933575124610144047',5661,'278',59.42,1,3,NULL),(25,6129404,'1991-06-17 00:00:00',4,2,12,2009,'F','N','GARCIA','BLUMENAU','SC','124242241216371431546611575122610164147',20519,'71',33.06,1,3,NULL),(25,6129439,'1993-07-11 00:00:00',4,16,12,2010,'M','N','CENTRO','MTE CARLO','SC','124244241136571431438636351122610134042',16269,'936',38.38,4,3,NULL),(25,6129447,'1990-10-10 00:00:00',4,1,12,2007,'M','N','CERRITO','STA MARIA','RS','120202201216371731359813475124241444182',812,'9998',73.12,1,3,NULL),(25,6129455,'1987-10-01 00:00:00',4,1,11,2005,'M','N','CENTRO','ROSANA','SP','125254251217471311468633445122143264012',17496,'9998',39.75,1,3,NULL),(25,6129463,'1992-06-23 00:00:00',4,1,12,2010,'M','N','BUENO','GOIÂNIA','GO','109092091215111431246734572124610166074',12112,'9998',43.09,1,3,NULL),(25,6129480,'1992-02-25 00:00:00',4,8,12,2009,'M','N','ANITA GARIBALDE','JOINVILLE','SC','124242241215372431457719595122133237122',14255,'459',38.93,1,3,NULL),(25,6129498,'1984-10-26 00:00:00',4,1,12,2004,'M','N','FERRUGEM','GAROPABA','SC','124241241127131431311129285314610134092',NULL,'322',24.14,1,2,1),(25,6129501,'1989-12-02 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241217273431448613385124122917062',4078,'403',61.85,1,3,NULL),(25,6129510,'1983-12-20 00:00:00',4,8,12,2001,'M','N','CENTRO','CURITIBA','PR','216162161116151421246544445122142926092',NULL,'9998',0.00,1,3,NULL),(25,6129528,'1988-12-14 00:00:00',2,1,12,2006,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241215275431447832245112132034111',11174,'1098',49.41,1,3,NULL),(25,6129536,'1993-05-01 00:00:00',4,3,10,2009,'F','N','BARRA','BAL CAMBORIÚ','SC','124244241217373431459932345122610124142',4394,'1038',60.28,4,3,NULL),(25,6129544,'1993-02-13 00:00:00',4,4,10,2009,'M','N','CENTRO','IPUMIRIM','SC','124241241115472431536912574122610167052',NULL,'374',24.93,1,2,1),(25,6129552,'1993-03-30 00:00:00',4,1,12,2010,'F','N','VILA GALVÃO','JUNDIAÍ','SP','125252251217111431488711375122610144142',12822,'9998',42.29,1,3,NULL),(25,6129587,'1991-03-21 00:00:00',4,1,10,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243248327141711447739395114612342192',NULL,'977',12.81,1,3,NULL),(25,6129595,'1991-06-11 00:00:00',4,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120201201216571451458831572125610136142',8934,'9998',49.65,1,3,NULL),(25,6129609,'1993-08-24 00:00:00',2,4,12,2009,'F','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124242241315472411426614271124610116197',9807,'169',47.90,1,3,NULL),(25,6129625,'1990-07-05 00:00:00',4,1,12,2007,'M','N','GLEBA FAZENDA PALHAN','LONDRINA','PR','116251251146371431436644245124610133142',NULL,'9998',0.00,1,2,1),(25,6129641,'1992-04-23 00:00:00',4,1,12,2009,'M','N','VILA IPOJUCA','S PAULO','SP','125254251215171411458914375124610164051',4799,'9998',58.98,1,3,NULL),(25,6129668,'1973-06-30 00:00:00',2,1,12,1993,'M','N','SANTOS DUMONT','S JOSÉ','SC','224133136136571421246654412122341067087',NULL,'9998',0.00,1,3,NULL),(25,6129676,'1989-09-05 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241316474431446314245124610123072',6208,'1022',55.20,1,3,NULL),(25,6129684,'1993-07-26 00:00:00',4,3,10,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241215271431368811575115131062182',11878,'1038',45.45,1,3,NULL),(25,6129714,'1993-04-11 00:00:00',4,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241225111431321323445124610114172',14880,'262',40.25,1,3,NULL),(25,6129730,'1993-03-22 00:00:00',2,1,11,2010,'M','N','CANUDOS','ANTÔNIO CARLOS','SC','124241241316141431433639295121610122072',3161,'20',64.76,4,3,NULL),(25,6129749,'1985-11-11 00:00:00',2,1,11,2002,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241127374431544813382124610132187',12948,'322',44.46,4,2,1),(25,6129757,'1994-03-04 00:00:00',2,4,12,2010,'M','N','LA SALLE','PATO BRANCO','PR','116161161116131411336823475125610168012',4084,'9998',63.07,1,2,1),(25,6129765,'1985-03-14 00:00:00',2,1,12,2002,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241116474431226739345124610128097',19154,'513',36.64,1,3,NULL),(25,6129773,'1985-09-26 00:00:00',4,1,11,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573421358611472124332826122',NULL,'262',37.59,1,3,NULL),(25,6129781,'1994-03-03 00:00:00',2,8,12,2010,'F','N','CENTRO','JOINVILLE','SC','124242241215151231446932275112610128146',5395,'457',55.91,1,3,NULL),(25,6129803,'1992-10-23 00:00:00',4,1,12,2009,'F','N','CENTRO','TUBARÃO','SC','124242241212472121248832581114610112145',1816,'807',69.97,1,3,NULL),(25,6129838,'1993-04-04 00:00:00',1,8,12,2010,'M','N','BELO HORIZONTE','CPO ALEGRE','SC','124241241116271731449613575122610137182',7981,'697',52.75,1,2,1),(25,6129846,'1989-02-15 00:00:00',4,1,12,2006,'F','N','CIDADE SÃO FRANCISCO','S PAULO','SP','125252251216572431468813572125610123092',499,'9998',76.98,1,3,NULL),(25,6129854,'1993-07-15 00:00:00',2,7,12,2010,'F','N','CENTRO','CATANDUVAS','SC','124241241116371431423314575222610123147',NULL,'161',0.00,1,2,1),(25,6129862,'1989-05-12 00:00:00',4,8,12,2006,'F','N','BUCAREIN','JOINVILLE','SC','124241241125371231423316445334610162142',NULL,'555',18.36,1,2,1),(25,6129897,'1992-09-20 00:00:00',4,4,12,2009,'M','N','TONIAL','XANXERÊ','SC','124242241217131431358723275122610137047',20841,'1233',31.75,1,3,NULL),(25,6129919,'1992-11-07 00:00:00',4,4,12,2009,'M','N','CENTRO','DOIS VIZINHOS','PR','116161161117371431228611594115610164172',4533,'9998',58.93,1,2,1),(25,6129943,'1993-09-14 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217371431346833575122610164012',13861,'259',43.42,1,3,NULL),(25,6129951,'1991-02-19 00:00:00',2,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241216132731326629395124222223187',14493,'663',44.46,1,3,NULL),(25,6129978,'1992-10-10 00:00:00',4,8,12,2010,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241217271431379912575112610134052',456,'457',77.99,1,3,NULL),(25,6129986,'1994-03-10 00:00:00',2,5,12,2010,'M','N','CENTRO','TURVO','SC','124244241215121231459933575124610167182',15885,'226',42.33,1,3,NULL),(25,6129994,'1993-01-12 00:00:00',2,15,12,2010,'M','N','CENTRO','STA ROSA SUL','SC','124241241126141431435613295334610127052',NULL,'689',26.58,1,2,1),(25,6130003,'1993-10-21 00:00:00',2,8,12,2010,'M','N','GLÓRIA','JOINVILLE','SC','124242241215111431559932575112610137042',4335,'1063',59.99,1,3,NULL),(25,6130038,'1993-07-01 00:00:00',4,1,12,2010,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241126161432333933575122610134142',NULL,'13',0.00,1,2,1),(25,6130054,'1990-12-12 00:00:00',4,3,12,2008,'F','N','VISTA ALEGTRE','CURITIBA','PR','116162161215571431439933575124141433142',NULL,'9998',0.00,1,3,NULL),(25,6130062,'1989-11-27 00:00:00',4,1,12,2006,'M','N','CENTRO','S JOSÉ CAMPOS','SP','125112251216573431489831575125610127122',NULL,'9998',31.93,1,3,NULL),(25,6130070,'1993-05-02 00:00:00',2,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124241241115141131323331345124610125142',NULL,'734',18.51,1,2,1),(25,6130089,'1992-04-07 00:00:00',2,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124241242146152431433923441124231467092',14051,'903',40.02,1,2,1),(25,6130100,'1992-10-22 00:00:00',4,8,11,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124244241215471431246621572112610164186',9666,'457',51.93,1,3,NULL),(25,6130119,'1987-09-28 00:00:00',2,1,12,2005,'F','N','SAO CRISTOVAO','PAPANDUVA','SC','124241241111132441522319482232610137052',15842,'603',42.39,1,2,1),(25,6130127,'1988-03-04 00:00:00',2,1,12,2005,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241122474751333623272124610137057',12573,'307',43.03,1,2,1),(25,6130143,'1992-10-31 00:00:00',4,1,11,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241215371431234824585124610163142',13351,'63',41.73,1,3,NULL),(25,6130151,'1990-09-12 00:00:00',2,9,12,2007,'M','N','DESVIO RIZZO','CAXIAS SUL','RS','120202201215571431336632575122610145122',NULL,'9998',0.00,1,3,NULL),(25,6130160,'1992-12-09 00:00:00',4,2,12,2009,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215151431438624344114610137182',9656,'855',51.94,1,3,NULL),(25,6130178,'1994-05-15 00:00:00',2,3,12,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241415131231436431185111610127187',12778,'407',44.24,1,3,NULL),(25,6130186,'1990-08-17 00:00:00',4,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241215271411437419375112610162143',NULL,'9999',NULL,1,3,NULL),(25,6130194,'1982-09-24 00:00:00',4,1,12,1999,'F','N','RIO BRANCO','CAXIAS SUL','RS','120202203217272451278612482122342563042',13858,'9998',45.39,1,3,NULL),(25,6130208,'1990-04-09 00:00:00',4,1,12,2007,'F','N','ALTOS DE SANTANA','S JOSÉ CAMPOS','SP','125251256235572431446419345122610166097',7487,'9998',53.21,1,3,NULL),(25,6130216,'1993-01-09 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115271431468639375122610138142',17267,'307',35.66,1,2,1),(25,6130224,'1993-01-21 00:00:00',4,1,11,2010,'M','N','MONTE CRITO','FLORIANÓPOLIS','SC','124241241117131431425511216324610112182',NULL,'726',26.48,1,2,1),(25,6130232,'1991-04-11 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124242241215372431336611572112610144073',NULL,'1175',24.61,1,3,NULL),(25,6130240,'1992-04-15 00:00:00',4,1,12,2010,'M','N','SANTA GENOVEVA','GOIÂNIA','GO','109094091315371131346923575122613227113',8153,'9998',54.60,4,3,NULL),(25,6130259,'1994-06-24 00:00:00',4,1,12,2011,'M','S','PRAIA DE FORA','PALHOÇA','SC','124241241226111751443314575124610145147',NULL,'262',29.16,1,3,NULL),(25,6130267,'1993-01-19 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244247427151431667611345124610132012',16128,'9999',41.96,1,3,NULL),(25,6130275,'1993-04-19 00:00:00',4,8,11,2010,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116162161211111411578713231315610166112',9806,'9998',47.93,1,3,NULL),(25,6130283,'1991-06-08 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124163241217272751439923393214130363147',14310,'1022',44.70,1,3,NULL),(25,6130305,'1991-04-26 00:00:00',2,1,12,2008,'M','N','AREIAS','S JOSÉ','SC','124241241116273421533834445114610136142',13747,'734',45.56,1,2,1),(25,6130313,'1994-02-07 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115151752323334575122610127072',NULL,'298',16.96,1,2,1),(25,6130321,'1993-09-28 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124241241115131432433329595124610114122',NULL,'307',17.84,1,2,1),(25,6130330,'1992-01-11 00:00:00',4,7,12,2009,'F','N','SANTA TEREZA','JOAÇABA','SC','124241241416372431526614475124610134097',19202,'446',30.87,1,3,NULL),(25,6130348,'1990-02-03 00:00:00',2,1,12,2008,'F','N','MEDIANEIRA','PTO ALEGRE','RS','120201201117572431328827575124610166187',6435,'9998',54.01,1,2,1),(25,6130356,'1993-08-26 00:00:00',4,4,12,2010,'F','N','CENTRO','CONCÓRDIA','SC','124242241116271731457811592122610142077',11487,'1000',44.88,1,3,NULL),(25,6130372,'1993-10-22 00:00:00',2,8,12,2010,'F','N','CENTRO','S BENTO SUL','SC','124241241117131731428613575124610126147',NULL,'697',0.00,1,2,1),(25,6130380,'1993-07-27 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241137371431426313572124610123097',NULL,'592',19.41,1,2,1),(25,6130399,'1993-06-28 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124244241215111431337624575124610122197',9724,'737',48.59,1,3,NULL),(25,6130402,'1992-05-20 00:00:00',4,2,12,2009,'M','N','SANTA CRUZ','VIDAL RAMOS','SC','124241242117272431434822584124610127142',8975,'662',49.28,1,2,1),(25,6130410,'1993-01-20 00:00:00',4,17,12,2010,'M','N','ROLAND','ROLÂNDIA','PR','116162161215112731346832275122610142186',10617,'9998',45.78,1,3,NULL),(25,6130429,'1992-04-10 00:00:00',2,1,12,2010,'M','N','JARDIM SOL NASCENTE','JANDIRA','SP','125251251126371531446539571124610124097',NULL,'9998',0.00,1,2,1),(25,6130437,'1992-11-30 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241416272431439613395114121562142',2872,'1022',66.32,1,3,NULL),(25,6130461,'1992-11-24 00:00:00',2,10,12,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215372431457614575122610167082',12195,'807',43.18,1,3,NULL),(25,6130488,'1990-10-26 00:00:00',4,1,11,2008,'M','N','REAL PARQUE','S PAULO','SP','125252251216471431619831471112610167177',NULL,'9998',0.00,1,3,NULL),(25,6130496,'1992-10-10 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124241241417111431525624475115133238187',NULL,'515',27.33,1,3,NULL),(25,6130500,'1989-07-05 00:00:00',2,1,8,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247137373711644314282114610137157',NULL,'9999',51.45,1,2,1),(25,6130526,'1992-09-30 00:00:00',4,8,12,2009,'M','N','PROGRESSO','S BENTO SUL','SC','124242161215573731469933574124610167117',663,'9998',75.18,1,3,NULL),(25,6130534,'1992-12-13 00:00:00',4,8,11,2009,'F','N','SÃO DIMAS','COLOMBO','PR','116162161415471431456813575114610135097',4312,'9998',59.32,1,3,NULL),(25,6130550,'1993-09-06 00:00:00',4,1,12,2010,'M','N','JD DOS LAGOS','S PAULO','SP','125252251117151431447831575124610167047',17136,'9998',35.04,3,3,NULL),(25,6130569,'1992-10-06 00:00:00',4,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241117372321539613332124610134072',7667,'271',55.51,1,3,NULL),(25,6130577,'1985-06-25 00:00:00',2,17,12,2002,'M','N','NOVO MUNDO','CURITIBA','PR','116241161216372421248824245112321537067',1953,'9998',69.46,1,3,NULL),(25,6130585,'1992-04-20 00:00:00',4,8,12,2009,'M','N','VILA NOVA','JOINVILLE','SC','124241241116472431458933383124610147147',19435,'475',35.95,1,2,1),(25,6130593,'1993-11-16 00:00:00',4,7,12,2010,'F','N','CENTRO','BARRACÃO','RS','120201201146131411526823575124610127092',15686,'9998',37.74,1,2,1),(25,6130607,'1990-04-05 00:00:00',2,1,12,2007,'M','N','FLORESTA','S JOSÉ','SC','124243241416132431128844342333610137112',18421,'359',36.42,1,3,NULL),(25,6130623,'1993-06-21 00:00:00',2,1,11,2010,'F','N','CENTRO','ÁGUAS MORNAS','SC','124164241435161421446511572124610143147',18701,'1223',37.55,4,3,NULL),(25,6130640,'1993-11-14 00:00:00',2,4,12,2010,'F','N','SANTA CRUZ','CONCÓRDIA','SC','124241241136141751226639395124610164187',NULL,'192',24.16,1,2,1),(25,6130658,'1993-08-12 00:00:00',4,1,12,2010,'M','N','VILA ESPERANÇA','MARINGÁ','PR','116164161217271431458714595122610137122',NULL,'9998',45.92,1,3,NULL),(25,6130666,'1993-03-15 00:00:00',4,5,11,2010,'M','N','CENTRO','IÇARA','SC','124242241215111731478814575114610167112',4498,'9997',61.99,1,3,NULL),(25,6130674,'1990-05-01 00:00:00',4,1,12,2007,'M','N','ITANHANGA','CALDAS NOVAS','GO','109092091436151711334862175112610164092',NULL,'9998',26.67,4,3,NULL),(25,6130690,'1990-07-02 00:00:00',2,8,11,2007,'F','N','ITAUM','JOINVILLE','SC','124241241117131431117444346334610112097',16874,'466',36.62,1,3,NULL),(25,6130704,'1959-04-11 00:00:00',4,8,12,1980,'M','N','JARDIM SOFIA','JOINVILLE','SC','124251251146271421323643435121343248051',7529,'9998',55.73,1,2,1),(25,6130712,'1993-10-20 00:00:00',2,8,11,2010,'F','N','BOM RETIRO','JOINVILLE','SC','124244241215111731446534575122610117052',16083,'1016',37.94,1,3,NULL),(25,6130720,'1970-11-04 00:00:00',4,1,12,1991,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224251257227131431666351345124610121012',13788,'9998',45.50,1,3,NULL),(25,6130739,'1954-02-11 00:00:00',2,1,12,1968,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241245116253731333879395124330621045',NULL,'9997',33.08,1,3,NULL),(25,6130747,'1994-11-03 00:00:00',2,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241215111431549612575122610137067',20330,'1191',33.63,1,3,NULL),(25,6130755,'1992-10-30 00:00:00',4,8,12,2009,'F','N','CENTRO','GUARATUBA','PR','116161161114371751457839575124610136182',NULL,'9998',0.00,4,2,1),(25,6130763,'1993-06-23 00:00:00',2,8,12,2010,'F','N','PALMARES','GUAÍRA','SP','125251131215221751448831592121610127087',13003,'9998',41.82,1,3,NULL),(25,6130798,'1992-08-19 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117471731328413475125610164072',18074,'298',33.32,1,2,1),(25,6130801,'1993-12-23 00:00:00',4,2,12,2010,'F','N','PONTA AGUDA','BLUMENAU','SC','124201241116471531526613295124610136147',NULL,'69',27.54,1,3,NULL),(25,6130810,'1971-08-02 00:00:00',2,1,11,1994,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241346133451436539211122222254182',NULL,'9999',16.87,2,1,2),(25,6130828,'1991-11-14 00:00:00',4,1,11,2008,'F','N','CENTRO','MARINGÁ','PR','116162164215471431559833572125610163062',12882,'9998',46.78,1,3,NULL),(25,6130836,'1987-09-23 00:00:00',4,1,7,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124281288116211111126623595225121417051',16015,'9998',42.12,4,1,1),(25,6130844,'1990-09-14 00:00:00',4,5,12,2007,'M','N','CRISTO REDENTOR','PTO ALEGRE','RS','120202201215571411437932575124610118184',609,'9998',76.64,1,3,NULL),(25,6130852,'1993-02-28 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431643732572122610113187',NULL,'1022',34.11,1,3,NULL),(25,6130860,'1993-12-24 00:00:00',4,17,12,2010,'F','N','JD IMPERIAL','ROLÂNDIA','PR','116164161215111431337934575112610134147',2542,'9998',64.68,1,3,NULL),(25,6130887,'1986-05-18 00:00:00',2,1,12,2005,'F','N','FORQUILHAS','S JOSÉ','SC','124111111122271421422219341124610133147',NULL,'9998',12.73,1,2,1),(25,6130895,'1993-06-26 00:00:00',2,1,12,2010,'F','N','VILA EDIO','ARAPONGAS','PR','116161161116161431423615252224610167142',NULL,'9998',13.26,1,3,NULL),(25,6130909,'1988-11-01 00:00:00',4,4,12,2006,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241216373431435859395124231464042',NULL,'751',0.00,1,3,NULL),(25,6130917,'1992-02-23 00:00:00',4,1,12,2009,'F','N','RESIDENCIAL NARDINI','AMERICANA','SP','125252251215471451468811575122610162112',NULL,'9998',0.00,1,3,NULL),(25,6130933,'1993-08-14 00:00:00',2,1,11,2010,'F','N','FLORESTA','S JOSÉ','SC','124242241215131431434614272324610133112',NULL,'1118',24.82,1,3,NULL),(25,6130941,'1993-10-03 00:00:00',2,1,12,2010,'F','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124242241215131731426619576222610128142',20489,'63',28.24,1,3,NULL),(25,6130976,'1990-04-09 00:00:00',4,7,12,2007,'M','N','SÃO VICENTE','HERVAL D OESTE','SC','124241241136152531436614345122610128052',21209,'341',30.00,1,2,1),(25,6130992,'1990-10-25 00:00:00',4,3,12,2007,'M','N','GUAIRA','CURITIBA','PR','116162161216471431469931395112240764147',4982,'9998',60.87,1,3,NULL),(25,6131000,'1992-03-02 00:00:00',4,1,12,2009,'M','N','LAGO SUL','LG SUL','DF','107072071217471431589913372112610167042',929,'9998',74.21,1,3,NULL),(25,6131018,'1992-11-07 00:00:00',4,5,11,2010,'F','N','PIO CORREA','CRICIÚMA','SC','124242248215111431334632572122613238017',20813,'211',28.51,1,3,NULL),(25,6131026,'1993-09-06 00:00:00',2,1,12,2010,'F','N','SÃO LUIZ','S JOSÉ','SC','124242241215111431336634245124610122047',14420,'1074',40.70,1,3,NULL),(25,6131034,'1992-03-13 00:00:00',4,1,11,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241415121431536633591122610124187',18581,'1048',33.23,1,3,NULL),(25,6131050,'1993-07-28 00:00:00',4,1,12,2010,'M','N','SETOR MARISTA','GOIÂNIA','GO','609092091217111451489933315121610168182',1264,'9998',72.31,1,3,NULL),(25,6131069,'1992-05-30 00:00:00',4,1,6,2010,'M','N','ENSEADA DE BRITO','PALHOÇA','SC','124241241117131432446533575124610122197',NULL,'739',20.81,1,2,1),(25,6131093,'1990-11-24 00:00:00',4,1,12,2008,'F','N','HIGIENÓPOLIS','S PAULO','SP','125252251217471411658911175125610134117',NULL,'9998',0.00,1,3,NULL),(25,6131107,'1993-01-15 00:00:00',4,1,12,2010,'F','N','ACLIMAÇÃO','S PAULO','SP','125253253117151431367622575124610137182',7985,'9998',50.47,1,3,NULL),(25,6131115,'1993-02-03 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215131231448613575122610142097',8437,'259',49.89,1,3,NULL),(25,6131123,'1993-06-13 00:00:00',4,8,11,2010,'F','N','UBERABA','CURITIBA','PR','116162161216371431488812575112610164112',1812,'9998',68.65,1,3,NULL),(25,6131131,'1982-03-11 00:00:00',2,1,12,2001,'M','N','CAPAO','GAROPABA','SC','124241241126275711621329282224132867117',15418,'322',43.03,1,2,1),(25,6131140,'1992-03-14 00:00:00',4,8,11,2010,'M','N','BOA VISTA','JOINVILLE','SC','124242241245411431458833241124610127042',NULL,'1016',20.18,1,3,NULL),(25,6131158,'1993-03-28 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115131451425639472112610133042',NULL,'287',15.17,1,2,1),(25,6131174,'1992-06-30 00:00:00',4,1,11,2009,'F','N','LUXEMBURGO','BELO HORIZONTE','MG','113133131217372451535832572124610146142',1604,'9998',68.57,1,3,NULL),(25,6131182,'1986-08-21 00:00:00',5,1,12,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124161161136231421135343135332131522147',NULL,'9998',37.75,1,2,1),(25,6131190,'1992-06-19 00:00:00',4,8,12,2009,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124242241215271431478811575122610144172',8376,'442',54.18,1,3,NULL),(25,6131204,'1993-09-01 00:00:00',4,8,12,2010,'F','N','SEMINÁRIO','CURITIBA','PR','116162161216151431458833576122610132142',12859,'9998',46.81,1,3,NULL),(25,6131212,'1988-01-19 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117133441224823515124233231197',19187,'79',36.57,1,2,1),(25,6131247,'1993-09-09 00:00:00',4,2,11,2010,'M','N','GARCIA','BLUMENAU','SC','124242241415131231448634575122610127057',4164,'88',60.35,1,3,NULL),(25,6131263,'1984-06-16 00:00:00',2,17,12,2001,'F','N','CENTRO','MAFRA','SC','124164241215474431368713314125321564147',526,'270',76.69,1,3,NULL),(25,6131271,'1993-08-01 00:00:00',4,8,12,2010,'M','N','CENTRO','BASTOS','SP','125252251215121431468831575112610142122',5341,'9998',60.11,1,3,NULL),(25,6131298,'1990-12-24 00:00:00',2,8,12,2007,'F','N','NOVO MUNDO','CURITIBA','PR','116161161116471431336624575124610131147',8278,'9998',52.32,1,2,1),(25,6131301,'1993-08-16 00:00:00',4,1,11,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241215471431228624575121610143012',8082,'63',52.18,1,3,NULL),(25,6131310,'1993-12-10 00:00:00',4,4,12,2010,'M','N','BORTOT','PATO BRANCO','PR','116164161215151431646824585112610124052',9840,'9998',48.21,1,3,NULL),(25,6131328,'1994-11-08 00:00:00',4,4,12,2011,'F','S','CENTRO','S MIGUEL OESTE','SC','124242241216111331538611275122610127012',NULL,'1179',43.04,1,3,NULL),(25,6131344,'1992-09-30 00:00:00',4,1,11,2010,'F','N','RECANTO DO SALTO','LONDRINA','PR','116162161215111731579833135122610147182',NULL,'9998',31.97,1,3,NULL),(25,6131352,'1992-12-15 00:00:00',2,1,12,2010,'F','N','JARDIM AQUARIUS','PALHOÇA','SC','124241241115371432523314442124610112147',NULL,'591',19.97,4,2,1),(25,6131360,'1993-05-07 00:00:00',4,8,10,2010,'M','N','BAIRRO ALTO','CURITIBA','PR','116162161215121531468614442114610137057',NULL,'9998',0.00,1,3,NULL),(25,6131379,'1985-10-22 00:00:00',2,1,12,2003,'F','N','FLORESTA','S JOSÉ','SC','124242241217134411437923345124322223182',11720,'738',48.58,1,3,NULL),(25,6131387,'1981-11-11 00:00:00',2,1,12,1999,'M','N','ALTO ARIRIU','PALHOÇA','SC','224241244126274431636342125133130427057',12040,'307',44.18,1,2,1),(25,6131409,'1992-02-19 00:00:00',4,2,12,2009,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242241215472221689911571122610164052',1030,'1063',73.79,1,3,NULL),(25,6131417,'1993-06-05 00:00:00',4,1,12,2010,'F','N','BIGORRILHO','CURITIBA','PR','116162161215121411478831575114610164047',NULL,'9998',0.00,1,3,NULL),(25,6131433,'1992-06-04 00:00:00',4,1,12,2009,'F','N','JARDIM CHAPADAO','CAMPINAS','SP','125252251217111431631619182344610167187',13381,'9998',46.10,1,3,NULL),(25,6131441,'1993-06-08 00:00:00',4,1,11,2010,'M','N','CITY RIBEIRÃO','RIBEIRÃO PRETO','SP','125252251217111532468812575112610117182',NULL,'9998',0.00,1,3,NULL),(25,6131450,'1992-03-30 00:00:00',2,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241115474411428832572122610132015',4854,'267',59.91,1,2,1),(25,6131468,'1993-04-23 00:00:00',2,7,12,2010,'F','N','CENTRO','IOMERÊ','SC','124241247435111431537933175124610134147',NULL,'829',39.53,1,3,NULL),(25,6131476,'1993-09-15 00:00:00',4,17,12,2010,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241116271411524314375124610137077',NULL,'146',0.00,1,2,1),(25,6131514,'1993-10-28 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241115111431368713435122610121192',NULL,'9997',45.86,1,3,NULL),(25,6131522,'1988-04-19 00:00:00',2,8,12,2005,'F','N','NOVO MUNDO','CURITIBA','PR','116161161116471441336624345124610136147',8000,'9998',52.58,1,2,1),(25,6131530,'1993-04-17 00:00:00',4,3,12,2010,'M','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161216121411489811474112610164062',1031,'9998',73.29,1,3,NULL),(25,6131557,'1990-09-20 00:00:00',4,4,11,2007,'M','N','CENTRO','LARANJEIRAS SUL','PR','116162161211571411456819225125610114042',6185,'9998',54.89,1,3,NULL),(25,6131565,'1985-07-31 00:00:00',4,1,12,2002,'M','N','INGLESES','FLORIANÓPOLIS','SC','124212248216132431436613485124333264041',9521,'300',52.18,1,3,NULL),(25,6131573,'1992-11-11 00:00:00',2,1,12,2010,'F','N','CENTRO','NOVA UBIRATÃ','MT','111112111246121231446436594122610137074',21640,'9998',26.30,1,3,NULL),(25,6131581,'1993-08-28 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241115271431546513371124610118117',NULL,'307',21.22,1,2,1),(25,6131590,'1993-01-23 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115131431415613332124610134142',NULL,'733',0.00,2,2,1),(25,6131603,'1994-03-31 00:00:00',2,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111711548714572124610132197',16162,'270',38.24,1,3,NULL),(25,6131611,'1992-07-21 00:00:00',2,1,12,2009,'M','N','ESPIGÃO','MAL CÂNDIDO RONDON','PR','116112161216271431468619575121610137052',NULL,'9998',26.68,1,3,NULL),(25,6131620,'1989-08-19 00:00:00',2,1,12,2008,'F','N','FAZENDINHA','CURITIBA','PR','116161161246572411448633175124610165112',NULL,'9998',0.00,1,3,NULL),(25,6131638,'1990-06-07 00:00:00',2,1,6,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241247215272231234824442134610162072',14247,'9999',42.19,1,3,NULL),(25,6131646,'1989-05-02 00:00:00',2,3,12,2006,'M','N','MUNHOZ JUNIOR','OSASCO','SP','125252251227471431546934245124340723022',NULL,'9998',0.00,2,1,2),(25,6131654,'1994-01-13 00:00:00',4,1,12,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124241241115271431436711372114610121192',12565,'592',42.06,1,2,1),(25,6131662,'1985-07-30 00:00:00',2,1,12,2003,'F','N','FORQUILHAS','S JOSÉ','SC','124241241131372411123344241223610146147',NULL,'812',0.00,1,2,1),(25,6131670,'1992-06-11 00:00:00',2,1,12,2009,'M','N','AGUA BOA','PAIÇANDU','PR','116163161136151411336611575112143262192',15936,'9998',42.25,1,3,NULL),(25,6131689,'1990-02-02 00:00:00',4,7,12,2007,'F','N','CENTRO','CURITIBA','PR','116241161216574411467612575122610112092',2267,'9998',66.02,1,3,NULL),(25,6131697,'1993-03-07 00:00:00',2,7,12,2010,'F','N','CENTRO','IOMERÊ','SC','124241241127141731523311215134610126177',NULL,'368',0.00,1,2,1),(25,6131700,'1990-11-20 00:00:00',4,1,7,2010,'M','N','CENTRO','PALHOÇA','SC','124243247427131221538819395131610144117',NULL,'9999',13.23,1,3,NULL),(25,6131719,'1981-05-02 00:00:00',2,1,11,2000,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241124474411223344292224122924091',NULL,'293',33.61,2,1,1),(25,6131727,'1991-05-23 00:00:00',2,1,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241126472411524324195125231317143',NULL,'744',27.15,1,3,NULL),(25,6131735,'1991-08-12 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431576853575122610138052',10311,'1026',50.80,1,3,NULL),(25,6131751,'1992-09-18 00:00:00',4,4,12,2009,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161216471431548813392124610112097',5700,'9998',55.86,1,3,NULL),(25,6131760,'1989-08-29 00:00:00',2,1,12,2006,'M','N','JARDIN ATLÂNTICO','FLORIANÓPOLIS','SC','124241241117311731623411295134610117183',12936,'239',46.68,1,2,1),(25,6131778,'1990-11-26 00:00:00',2,1,12,2008,'F','N','PORTÃO','SALTO JACUÍ','RS','120201201116472431438613572112610127012',NULL,'9998',0.00,1,2,1),(25,6131786,'1993-01-13 00:00:00',4,2,11,2010,'M','N','ÁGUA VERDE','BLUMENAU','SC','124242241215272431469714345134610122062',2773,'71',65.33,1,3,NULL),(25,6131794,'1987-09-03 00:00:00',2,1,12,2004,'F','N','CENTRO','SOBRADINHO','RS','120201201111571751546639475124141324182',8738,'9998',50.29,1,2,1),(25,6131816,'1992-06-26 00:00:00',2,10,12,2010,'F','N','CABEÇUDA','LAGUNA','SC','124243241325111431313634571122610138142',20206,'524',29.64,1,3,NULL),(25,6131824,'1993-05-15 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215112431436624385123610164135',14082,'738',40.30,1,3,NULL),(25,6131832,'1994-11-04 00:00:00',4,4,11,2010,'F','N','JARDIM ITALIA','CHAPECÓ','SC','124242241215111731368831592125610122092',20306,'185',27.20,1,3,NULL),(25,6131840,'1969-07-19 00:00:00',4,1,12,1991,'M','N','CARNEIRINHOS','JOÃO MONLEVADE','MG','113131137126211741333319432114442338126',17498,'9998',39.75,4,3,NULL),(25,6131859,'1990-06-12 00:00:00',2,1,12,2008,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241117573631334619314124610127097',15621,'9997',40.82,1,2,1),(25,6131867,'1994-01-13 00:00:00',4,4,12,2010,'F','N','SÃO CRISTOVÃO','S JOSÉ CEDRO','SC','124241241146131431434612572222610127077',14571,'740',39.11,1,2,1),(25,6131883,'1991-08-12 00:00:00',4,1,12,2008,'F','N','RECANTO NOBRE','LONDRINA','PR','116162161216571431569933571112610146127',295,'9998',79.13,1,3,NULL),(25,6131891,'1993-06-06 00:00:00',4,7,12,2010,'M','N','INDÚSTRIARIOS','CONCÓRDIA','SC','124241241117371431426933575125610122122',11669,'194',44.22,1,2,1),(25,6131905,'1992-09-09 00:00:00',2,15,11,2009,'F','N','DIVINÉIA','ARARANGUÁ','SC','124241241117131532226324181224610146177',20244,'30',33.93,1,3,NULL),(25,6131913,'1991-10-09 00:00:00',4,6,12,2009,'F','N','CORDEIROS','ITAJAÍ','SC','124241241116371441329369382324610164147',9024,'396',50.20,1,2,1),(25,6131956,'1992-06-18 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115472431427629575114610127147',NULL,'257',28.64,2,1,1),(25,6131964,'1992-03-27 00:00:00',2,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215473731349913572122610164191',1343,'270',72.08,1,3,NULL),(25,6131972,'1993-06-26 00:00:00',4,9,11,2010,'F','N','SANTA RITA','LAGES','SC','124242241215132431338923395122610124047',4357,'497',60.68,1,3,NULL),(25,6131980,'1993-08-15 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241215111431236633575122610124147',17801,'497',39.23,1,3,NULL),(25,6131999,'1992-04-20 00:00:00',2,4,12,2009,'F','N','SÃO JOSÉ','PALMAS','PR','116161161116371411238723341122610118147',NULL,'9998',0.00,1,2,1),(25,6132006,'1993-07-27 00:00:00',4,2,12,2010,'F','N','ITOUPAVAZINHA','BLUMENAU','SC','124242241217112411467732575122610146095',NULL,'71',0.00,1,3,NULL),(25,6132022,'1993-01-24 00:00:00',4,5,12,2010,'F','N','RIO MAINA','CRICIÚMA','SC','124243241216131331346313472124610127097',19759,'920',28.45,1,3,NULL),(25,6132030,'1972-08-24 00:00:00',2,1,11,2008,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','524151247126271421326741215124610121092',NULL,'9999',16.23,2,1,1),(25,6132049,'1989-12-08 00:00:00',4,1,12,2008,'M','N','JARDIM UNIVERSITÁRIO','CUIABÁ','MT','111112111237511441267923485124240637112',18380,'9998',32.33,4,3,NULL),(25,6132057,'1981-04-24 00:00:00',2,1,12,1998,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241146135431116648282313610133147',16636,'733',41.18,1,3,NULL),(25,6132065,'1988-10-18 00:00:00',4,1,12,2005,'M','N','JARDIM ELOPOLDINA','PTO ALEGRE','RS','120201201117131431536537341124610135047',14550,'9998',39.74,1,2,1),(25,6132073,'1969-12-05 00:00:00',4,1,12,1988,'M','N','AREIAS','S JOSÉ','SC','224201206136152441433344345122140665033',13859,'9998',45.39,1,3,NULL),(25,6132081,'1992-01-11 00:00:00',2,1,12,2009,'M','N','CALHEIROS','GOV CELSO RAMOS','SC','124241241126141431436613415124610117042',17661,'329',34.45,1,2,1),(25,6132090,'1967-01-04 00:00:00',2,15,12,1989,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','624241248427151431324359282222131022187',NULL,'27',0.00,1,3,NULL),(25,6132103,'1990-10-07 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124241241132141411223379242334610125142',NULL,'734',17.18,1,2,1),(25,6132111,'1991-09-17 00:00:00',4,17,11,2009,'F','N','JD AMERICA','PNT GROSSA','PR','116162161215271421469834572122143212187',NULL,'9998',0.00,1,3,NULL),(25,6132120,'1992-01-10 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241115271431348821371124610118097',19205,'307',32.61,1,2,1),(25,6132146,'1992-09-09 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244243117471411569813375115610124012',5747,'306',59.25,1,3,NULL),(25,6132154,'1993-10-20 00:00:00',2,1,12,2010,'F','N','JARDIM IGUAÇU','ARAUCÁRIA','PR','116161168416111452446812272124610134147',NULL,'9998',16.44,1,3,NULL),(25,6132162,'1993-09-17 00:00:00',2,2,11,2010,'M','N','CENTRO','BRUSQUE','SC','124242241215121732456622592122610125092',3660,'109',62.03,1,3,NULL),(25,6132170,'1985-05-04 00:00:00',2,1,12,2002,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241216275721448832345124122332183',NULL,'883',0.00,1,3,NULL),(25,6132200,'1991-07-02 00:00:00',4,6,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124201201116471431633335575124610168182',16458,'9998',41.45,1,2,1),(25,6132219,'1992-10-02 00:00:00',2,6,12,2009,'M','N','CENTRO','PENHA','SC','124241241116471431458933572124610167147',21219,'609',29.95,1,2,1),(25,6132227,'1992-08-03 00:00:00',4,1,11,2010,'M','N','PLANALTO PARAÍSO','S CARLOS','SP','125252251217111431359814595112610168053',12865,'9998',42.33,1,3,NULL),(25,6132235,'1991-05-31 00:00:00',2,1,12,2008,'F','N','MOGI MODERNO','MOGI CRUZES','SP','125251251116571411448614575112610165047',NULL,'9998',0.00,1,3,NULL),(25,6132243,'1993-10-22 00:00:00',5,4,12,2010,'M','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124241241117271732436439245225610167047',13683,'245',41.48,3,2,1),(25,6132260,'1992-06-05 00:00:00',4,1,11,2010,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215111411369922595112610148092',NULL,'270',0.00,1,3,NULL),(25,6132278,'1993-06-30 00:00:00',4,2,10,2010,'M','N','ESCOLA AGRICOLA','BLUMENAU','SC','124242241217122431579814275124610137111',3109,'909',65.61,1,3,NULL),(25,6132286,'1994-04-06 00:00:00',4,1,12,2010,'F','N','CAJURU','CURITIBA','PR','116162161216121431448612574124610144092',NULL,'270',31.17,1,3,NULL),(25,6132294,'1987-05-07 00:00:00',2,15,12,2005,'M','N','CAMPINHO','ARARANGUÁ','SC','124241241146372431523316342123610167067',NULL,'9999',29.47,1,2,1),(25,6132308,'1993-08-22 00:00:00',4,4,11,2009,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124243241217471451376834574122610168182',20957,'1191',31.28,1,3,NULL),(25,6132316,'1993-11-14 00:00:00',4,1,12,2010,'M','N','FUNDOS','BIGUAÇU','SC','124241241117271431426413575124610137042',2492,'739',66.27,1,2,1),(25,6132324,'1971-03-07 00:00:00',4,1,6,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224241247215111431423353492144610124143',NULL,'9999',30.48,1,3,NULL),(25,6132332,'1993-08-01 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241114371431526661572124610112147',NULL,'307',37.60,1,2,1),(25,6132340,'1994-08-27 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111532468823575112610134017',NULL,'1169',45.76,1,3,NULL),(25,6132359,'1990-06-23 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216154431324612295124222327072',NULL,'1035',28.07,1,3,NULL),(25,6132367,'1989-08-23 00:00:00',4,8,12,2006,'F','N','LARANJEIRAS','RIO SUL','SC','124242241217572731263411575124131021097',1901,'654',69.69,1,3,NULL),(25,6132375,'1992-06-15 00:00:00',2,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215313711548714571124610132197',9858,'270',48.28,1,3,NULL),(25,6132383,'1977-08-01 00:00:00',4,1,12,1995,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124204201412152411529941215122130232042',11962,'9998',48.22,1,3,NULL),(25,6132391,'1976-03-04 00:00:00',2,1,12,1994,'F','N','FLORIANOPOLIS','FLORIANÓPOLIS','SC','224281285117133421318651372344142731091',8623,'9998',53.74,1,2,1),(25,6132405,'1993-08-23 00:00:00',4,8,11,2010,'M','N','CENTRO','CURITIBA','PR','116162161226111351336915372324610134072',16822,'9998',34.77,1,3,NULL),(25,6132413,'1993-02-08 00:00:00',4,4,12,2010,'M','N','CENTRO','XANXERÊ','SC','124243241217151431456632575122610144022',12473,'836',43.93,1,3,NULL),(25,6132421,'1987-07-01 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216172721348711495112230827062',NULL,'300',0.00,1,3,NULL),(25,6132430,'1991-04-08 00:00:00',2,1,11,2010,'M','N','RATONES','FLORIANÓPOLIS','SC','124242241215111412238713574124610168162',13005,'1048',46.32,1,3,NULL),(25,6132464,'1993-06-29 00:00:00',4,8,12,2010,'F','N','CENTRO','BILAC','SP','125253251216111431458833574124610132147',5803,'9998',56.25,1,3,NULL),(25,6132472,'1993-04-26 00:00:00',2,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124161241116171411548624295344610112147',NULL,'734',15.72,1,2,1),(25,6132499,'1993-03-07 00:00:00',4,8,11,2010,'M','N','PARQUE DOS ARAÇAS','ARAÇATUBA','SP','125252251215111431569811592112610137082',NULL,'9998',0.00,1,3,NULL),(25,6132529,'1988-12-27 00:00:00',2,5,12,2008,'M','N','JARDIM DAS PALMEIRAS','COCAL SUL','SC','124241241346161431533611245133230227147',NULL,'227',0.00,1,3,NULL),(25,6132537,'1993-08-09 00:00:00',4,4,12,2010,'F','N','CENTRO','NOVA ERECHIM','SC','124241241135161331443832575122610133182',NULL,'572',30.88,1,2,1),(25,6132545,'1992-02-17 00:00:00',2,1,12,2009,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124242247227371431226823275124610124012',NULL,'9997',25.98,4,1,2),(25,6132553,'1994-09-14 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241137161751645634572224610127047',19539,'335',30.32,1,2,1),(25,6132561,'1992-04-02 00:00:00',4,6,12,2009,'F','N','VILA CRUZEIRO','S PAULO','SP','125244241215373431347712575122610136072',NULL,'1026',39.13,1,3,NULL),(25,6132570,'1993-03-29 00:00:00',4,8,12,2010,'F','N','JARDIM DONA ROSA','S JOSÉ PINHAIS','PR','116162161216131431226722571124610126147',3903,'9998',61.65,1,3,NULL),(25,6132596,'1993-06-05 00:00:00',4,3,12,2010,'F','N','ZONA DOIS','MARINGÁ','PR','116162161216471431479811575122610154142',11178,'9998',45.80,1,3,NULL),(25,6132600,'1979-04-09 00:00:00',4,10,10,1999,'F','N','CABEÇUDA','LAGUNA','SC','124241247146132431323339442333232244147',NULL,'9999',0.00,1,2,1),(25,6132618,'1967-06-09 00:00:00',4,1,12,1985,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','224241248127133721334343232124610117047',19284,'281',36.31,1,2,1),(25,6132626,'1987-09-21 00:00:00',2,10,11,2010,'M','N','CENTRO','GAROPABA','SC','124243247122161431429411245331610137042',NULL,'9999',27.69,1,3,NULL),(25,6132634,'1994-03-24 00:00:00',4,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241216111411456619572122610158091',12689,'259',42.85,1,3,NULL),(25,6132642,'1993-02-26 00:00:00',4,2,12,2010,'M','N','VILA FORMOSA','BLUMENAU','SC','124241241114371431217729472214610134123',9372,'85',51.17,4,3,NULL),(25,6132650,'1989-04-20 00:00:00',2,1,12,2007,'M','N','ZONA UM A','UMUARAMA','PR','116162161217574431459811575124610137052',NULL,'9998',37.94,1,3,NULL),(25,6132669,'1987-05-26 00:00:00',2,1,12,2006,'F','N','KOBRASOL','S JOSÉ','SC','124071241145472431128644445334610147182',14292,'736',42.45,1,3,NULL),(25,6132677,'1992-09-27 00:00:00',4,8,11,2009,'M','N','ADHEMAR GARCIA','JOINVILLE','SC','124241241147131731448614582221610124012',19006,'468',32.59,1,2,1),(25,6132685,'1993-12-26 00:00:00',2,4,12,2010,'F','N','PRESIDENTE MÉDCI','CHAPECÓ','SC','124241241115371431533714575124610124142',13510,'169',41.46,4,2,1),(25,6132693,'1993-10-31 00:00:00',4,5,11,2010,'F','N','LOMBA','ORLEANS','SC','124242241216151411558814275122610114192',18977,'950',36.97,1,3,NULL),(25,6132707,'1993-10-29 00:00:00',2,15,10,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124241241215111441226323575121610147142',4610,'26',58.49,1,3,NULL),(25,6132740,'1992-11-12 00:00:00',2,1,12,2009,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124241241117272731416639291134610162095',NULL,'307',23.73,1,2,1),(25,6132758,'1992-07-09 00:00:00',4,6,12,2009,'M','N','SÃO VICENTE','ITAJAÍ','SC','124241241111472611526314171121610166042',10619,'395',50.29,1,2,1),(25,6132766,'1974-05-08 00:00:00',2,1,10,2003,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224201201126131431224444342234610118097',17829,'9998',39.18,1,3,NULL),(25,6132774,'1993-07-17 00:00:00',4,17,12,2010,'M','N','RIO BONITO','MAJ VIEIRA','SC','124241241115271431416615552224610138017',19169,'548',31.63,1,2,1),(25,6132782,'1992-03-21 00:00:00',2,1,12,2008,'M','N','NITERÓI','CANOAS','RS','120202201216572421549812574111610167097',2432,'9998',65.25,1,3,NULL),(25,6132790,'1990-01-27 00:00:00',2,15,12,2007,'F','N','ICARAI','ALVORADA','RS','120202201216111421358834475122242521124',NULL,'9998',0.00,1,3,NULL),(25,6132804,'1991-06-19 00:00:00',4,8,12,2008,'M','N','SAGUAÇU','JOINVILLE','SC','124161161117471431454632575112610137042',9562,'9998',52.12,1,2,1),(25,6132812,'1992-08-19 00:00:00',2,1,12,2009,'F','N','ESQUINA','URUBICI','SC','124242241416472411358613575124610167142',NULL,'817',0.00,1,3,NULL),(25,6132820,'1992-11-05 00:00:00',4,4,12,2009,'F','N','CENTRO','XAXIM','SC','124241241215471411338633572122610133142',3837,'1081',61.92,1,3,NULL),(25,6132839,'1993-04-23 00:00:00',4,1,12,2010,'F','N','ZONA RURAL','NOVA AURORA','PR','116164161215111431646716465125610114142',NULL,'9998',24.31,1,3,NULL),(25,6132847,'1992-06-24 00:00:00',4,1,11,2009,'M','N','LIBRA','FOZ IGUAÇU','PR','116162161217471231348821475112610162042',9394,'9998',50.06,1,3,NULL),(25,6132855,'1992-08-05 00:00:00',4,1,12,2009,'F','N','MIRANDOPOLIS','S PAULO','SP','125252251117272411328824575124610131152',11017,'9998',44.89,1,3,NULL),(25,6132863,'1993-11-29 00:00:00',4,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215112431378821595122610127182',1432,'262',71.62,1,3,NULL),(25,6132871,'1991-12-08 00:00:00',2,16,9,2010,'F','N','TRAVESSÃO','PTE ALTA','SC','124241241111162441516336562224610122182',NULL,'9999',19.51,1,3,NULL),(25,6132898,'1992-08-24 00:00:00',4,8,10,2010,'F','N','CENTRO','CURITIBA','PR','116162161215471411466614575114610124057',NULL,'9998',0.00,1,3,NULL),(25,6132901,'1991-09-04 00:00:00',2,8,12,2009,'M','N','XAXIM','CURITIBA','PR','116161161215471231436632245122610124187',NULL,'9998',29.97,1,3,NULL),(25,6132910,'1992-11-14 00:00:00',4,1,12,2009,'M','N','PQ DAS INDÚSTRIAS','LONDRINA','PR','116161161116151441556632475124142864192',8900,'9998',53.23,1,2,1),(25,6132928,'1993-09-16 00:00:00',4,8,12,2010,'M','N','AVENQUINHA','CPO ALEGRE','SC','124241241216111412559634582222610122057',17430,'974',39.88,1,3,NULL),(25,6132936,'1990-04-25 00:00:00',4,1,12,2007,'F','N','BOSQUE DA SAÚDE','S PAULO','SP','125252251217571431658623575124610164197',12705,'9998',42.62,1,3,NULL),(25,6132944,'1987-10-07 00:00:00',2,1,12,2005,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124243248316141731226443334333611834095',NULL,'9997',28.72,1,3,NULL),(25,6132952,'1991-03-03 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241316373411337729495124333237142',9148,'1022',52.77,1,3,NULL),(25,6132960,'1992-01-27 00:00:00',4,1,12,2009,'M','N','PQ NOVO MUNDO','AMERICANA','SP','125256253116471411569914375122610122122',2376,'9998',66.93,1,3,NULL),(25,6132979,'1993-10-08 00:00:00',4,1,12,2010,'M','N','CENTRO','ITUPORANGA','SC','124242241217151431479913345122610167052',NULL,'1173',0.00,1,3,NULL),(25,6132987,'1993-03-09 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431488921575122610162182',8068,'1169',51.37,1,3,NULL),(25,6132995,'1984-04-22 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241234473431369931415122331217122',NULL,'262',19.70,1,3,NULL),(25,6133002,'1994-01-24 00:00:00',4,8,11,2010,'M','N','POÇO DANTA','CORUPÁ','SC','124241246416111431463612575124610122182',11723,'1061',44.55,1,3,NULL),(25,6133010,'1993-09-07 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215121712436612525114610127047',NULL,'1022',27.51,1,3,NULL),(25,6133037,'1992-11-08 00:00:00',4,1,12,2010,'M','N','MORRO DA QUEIMADA','FLORIANÓPOLIS','SC','124241241115141731435531391124610127117',NULL,'307',37.18,4,2,1),(25,6133045,'1992-01-02 00:00:00',4,1,7,2010,'M','N','BAIRRO ALTO','CURITIBA','PR','116161161117471431458613576114610164062',2912,'9998',66.19,1,2,1),(25,6133053,'1992-04-25 00:00:00',4,1,12,2009,'M','N','JARDIM TRANQUILIDADE','GUARULHOS','SP','125242251216412411538713575114610167047',6736,'9998',53.87,3,3,NULL),(25,6133061,'1992-02-10 00:00:00',4,1,12,2009,'M','N','JARDIM TEXTIL','S PAULO','SP','125252258216371711548711595244610164097',NULL,'9998',33.81,1,3,NULL),(25,6133070,'1992-10-07 00:00:00',4,1,12,2010,'M','N','NOVA PETRÓPOLIS','S BERNARDO CAMPO','SP','125252251216471731446712575124610162047',4923,'9998',58.31,1,3,NULL),(25,6133088,'1990-07-16 00:00:00',2,1,12,2007,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241116131421323519395224610127092',NULL,'733',23.97,1,2,1),(25,6133096,'1993-09-14 00:00:00',4,1,12,2010,'M','N','CENTRO','MARINGÁ','PR','116162161217371431259921575125610167182',990,'9998',73.85,1,3,NULL),(25,6133100,'1993-06-28 00:00:00',4,1,12,2010,'F','N','NOVO MUNDO','CURITIBA','PR','116161161436121441435529575124610134117',NULL,'9998',34.57,4,3,NULL),(25,6133118,'1992-05-19 00:00:00',2,8,12,2009,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241116142421227729291121610762147',NULL,'1144',0.00,4,2,1),(25,6133126,'1992-01-06 00:00:00',2,1,11,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241127162531523614575124610118142',NULL,'732',30.12,1,3,NULL),(25,6133142,'1993-03-22 00:00:00',2,8,12,2010,'F','N','JARDIM AMÉRICA','RIO SUL','SC','124242241215121432434614575125610168197',12124,'653',43.57,1,3,NULL),(25,6133185,'1990-07-17 00:00:00',4,1,12,2008,'F','N','JARDIM MAR E CÉU','GUARUJÁ','SP','125251251114472331629511482121610134097',10050,'9998',47.25,4,1,1),(25,6133207,'1991-04-26 00:00:00',4,1,12,2008,'M','N','JD PAULISTA','ASSIS','SP','125252251217271431346832275112141067042',12293,'9998',42.72,1,3,NULL),(25,6133215,'1980-03-28 00:00:00',4,1,12,1998,'F','N','CENTRO','FLORIANÓPOLIS','SC','424241241115132741346723345125610148182',17075,'307',36.69,1,2,1),(25,6133231,'1993-12-17 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124241248215111431426412595122610138017',NULL,'737',45.49,1,3,NULL),(25,6133240,'1989-04-27 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241147473431113544345225610123147',5862,'687',57.45,1,2,1),(25,6133258,'1974-04-08 00:00:00',4,1,12,1991,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224203208117142511257843435133121867197',NULL,'9998',24.31,1,3,NULL),(25,6133266,'1994-09-03 00:00:00',4,1,12,2011,'F','S','BAIRRO AHÚ','CURITIBA','PR','116162161216111431248929595124610143142',NULL,'9998',40.39,1,3,NULL),(25,6133274,'1992-10-10 00:00:00',4,1,12,2009,'F','N','CAXAMBÚ','JUNDIAÍ','SP','125252251215471431468832572112610144127',NULL,'9998',0.00,1,3,NULL),(25,6133282,'1994-02-19 00:00:00',4,1,12,2010,'F','N','IGREJINHA','APUCARANA','PR','116162161215121431448832572122610122192',NULL,'9998',36.01,1,3,NULL),(25,6133290,'1992-06-18 00:00:00',4,1,11,2009,'M','N','CENTRO','BRAÇO NORTE','SC','124244241217272741458414475122121762042',8407,'950',53.50,1,3,NULL),(25,6133304,'1993-04-24 00:00:00',4,1,12,2010,'F','N','TERRA NOVA II','S BERNARDO CAMPO','SP','125252251216471731447714585124610164047',11494,'9998',43.71,1,3,NULL),(25,6133312,'1993-09-02 00:00:00',2,1,12,2010,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241115161431336621575124610147067',16687,'278',36.87,1,3,NULL),(25,6133320,'1993-09-02 00:00:00',4,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241225111431556714585114610164117',10257,'262',46.99,1,3,NULL),(25,6133339,'1990-08-01 00:00:00',4,1,12,2007,'F','N','ARIRIU','PALHOÇA','SC','124241244111132731523611331133610124047',21374,'772',28.99,3,3,NULL),(25,6133355,'1993-02-20 00:00:00',4,3,12,2010,'M','N','CENTRO','MAFRA','SC','125244251217111531448712275122610166197',3690,'9998',61.16,1,3,NULL),(25,6133398,'1993-09-10 00:00:00',2,15,11,2010,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241116471331416624582322610113072',NULL,'29',22.51,1,2,1),(25,6133401,'1991-07-19 00:00:00',2,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241314172311336439245124610122042',NULL,'257',18.54,1,3,NULL),(25,6133410,'1988-03-09 00:00:00',4,8,12,2007,'M','N','CZENIERWICZ','JARAGUÁ SUL','SC','124063061147221451526644441334610142184',NULL,'9998',0.00,4,3,NULL),(25,6133428,'1977-11-23 00:00:00',4,1,12,1997,'M','N','PANTANAL','FLORIANÓPOLIS','SC','524241243122133311425341115224221117187',20373,'359',33.49,1,2,1),(25,6133436,'1993-05-10 00:00:00',4,1,10,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431368933172122610142012',5859,'266',55.82,1,3,NULL),(25,6133444,'1994-01-02 00:00:00',4,3,11,2010,'M','N','CENTRO','CURITIBA','PR','116162161215471731456812592124610162122',3709,'9998',61.64,1,3,NULL),(25,6133452,'1987-09-21 00:00:00',2,1,12,2004,'M','N','CAMPINAS','S JOSÉ','SC','124201201116241421448843335124131014042',6699,'9998',54.93,1,2,1),(25,6133479,'1988-08-28 00:00:00',2,1,12,2006,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241241116132431423411385124610164041',NULL,'733',0.00,1,2,1),(25,6133487,'1993-05-14 00:00:00',4,3,12,2010,'F','N','BOA VISTA','CURITIBA','PR','116162161216111421469922575122610112117',NULL,'9998',26.60,1,3,NULL),(25,6133509,'1988-10-06 00:00:00',2,1,12,2005,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','224243241127131711323353382224610121197',NULL,'283',0.00,1,3,NULL),(25,6133517,'1981-10-03 00:00:00',2,1,12,2005,'M','N','FUNDOS','BIGUAÇU','SC','224241248627311721424644392113610167042',21458,'65',28.36,1,3,NULL),(25,6133525,'1989-06-18 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241116161511523336492344610167047',NULL,'65',21.60,1,2,1),(25,6133541,'1993-03-18 00:00:00',2,1,11,2010,'F','N','JARDIM TROPICAL','DOURADOS','MS','112122121237271431248931475112610163122',14896,'9998',38.29,1,3,NULL),(25,6133550,'1989-04-27 00:00:00',4,1,12,2006,'M','N','COPACABANA','RIO JANEIRO','RJ','121072071217471431469914591111143267182',NULL,'9998',29.95,1,3,NULL),(25,6133568,'1990-07-05 00:00:00',2,1,11,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241326131331425644145124610134097',NULL,'371',25.59,1,3,NULL),(25,6133576,'1991-08-08 00:00:00',4,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241217372411458811575124610167063',5997,'883',56.04,1,3,NULL),(25,6133614,'1981-12-24 00:00:00',4,6,12,1999,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','224161161116272431433344245121130256017',13457,'9998',46.00,4,2,1),(25,6133630,'1992-08-15 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124241241146471432523111215124610137043',14692,'730',42.15,1,2,1),(25,6133649,'1994-08-16 00:00:00',2,8,12,2011,'F','S','CENTENARIO','JARAGUÁ SUL','SC','124163241347171721326649395122610168011',NULL,'427',5.76,1,3,NULL),(25,6133657,'1993-02-08 00:00:00',4,2,12,2010,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124241241215371731459811476124610123142',NULL,'71',34.97,1,3,NULL),(25,6133665,'1991-03-15 00:00:00',4,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124241241115471431426314445124610128192',16453,'734',37.36,1,2,1),(25,6133673,'1993-11-01 00:00:00',4,3,11,2010,'F','N','CENTRO','STA IZABEL OESTE','PR','116162161215171411344829591122610122142',10477,'9998',45.67,1,3,NULL),(25,6133690,'1994-04-27 00:00:00',2,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124244241216371751456614575122610144042',10203,'962',47.84,1,3,NULL),(25,6133703,'1992-08-03 00:00:00',4,1,12,2009,'M','N','CIDADE NOVA','MARINGÁ','PR','116162161216371411232769575121610147122',NULL,'9998',0.00,3,3,NULL),(25,6133711,'1971-06-06 00:00:00',2,1,12,1996,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224201207411131411632341115132142766147',15748,'9998',42.52,1,3,NULL),(25,6133720,'1993-09-12 00:00:00',2,1,12,2010,'M','N','ROSSÁRIO','STA MARIA','RS','120203201117371731226833572113610167037',14307,'9998',44.70,1,3,NULL),(25,6133738,'1990-04-19 00:00:00',4,15,12,2007,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241116131331223344242132610124047',NULL,'30',24.97,1,2,1),(25,6133746,'1992-05-23 00:00:00',2,4,12,2009,'F','N','CENTRO','S JOSÉ CEDRO','SC','124241241315371431435823172114142464077',15376,'740',38.15,1,3,NULL),(25,6133754,'1993-02-07 00:00:00',2,1,12,2010,'F','N','ROÇADO','S JOSÉ','SC','124241241117471431323327575124610133142',13009,'729',41.81,1,2,1),(25,6133762,'1992-06-22 00:00:00',4,2,12,2009,'F','N','TAMANDUÁ','ASCURRA','SC','124242241216472431568833275122610127047',7937,'37',51.44,1,3,NULL),(25,6133789,'1992-09-11 00:00:00',2,8,12,2010,'M','N','CENTRO','GUARAMIRIM','SC','124241241116111451427511215324610162171',NULL,'335',31.97,1,3,NULL),(25,6133797,'1992-10-23 00:00:00',2,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242248215111332478613435124610164197',NULL,'300',29.30,1,3,NULL),(25,6133800,'1991-05-04 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124241241147373411433434245133610167052',14046,'734',43.79,1,2,1),(25,6133819,'1990-08-06 00:00:00',4,10,12,2007,'M','N','CENTRO','TUBARÃO','SC','124242241215151431643833412125231267182',10711,'807',50.13,1,3,NULL),(25,6133827,'1981-03-13 00:00:00',4,1,12,1999,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124254241317275711229941415134120232061',7414,'270',55.93,1,3,NULL),(25,6133835,'1989-07-01 00:00:00',4,15,11,2006,'M','N','LINHA CONTESSI','TURVO','SC','124241242117271431423336455223610134067',17591,'690',33.92,1,3,NULL),(25,6133843,'1991-01-09 00:00:00',2,1,12,2008,'F','N','BELA VISTA','S JOSÉ','SC','124243241116473431336623445122610127072',NULL,'307',29.07,1,3,NULL),(25,6133851,'1993-07-14 00:00:00',2,1,11,2010,'M','N','CENTRO','CAPINZAL','SC','124244161517111531358832575124610148042',20882,'155',31.61,1,3,NULL),(25,6133860,'1994-09-01 00:00:00',4,2,12,2011,'M','S','BLUMENAU','BLUMENAU','SC','124242241215111431469914572112610167112',NULL,'855',39.37,1,3,NULL),(25,6133878,'1993-08-28 00:00:00',4,1,12,2010,'M','N','HUGO LANGE','CURITIBA','PR','116162161217121431568832575122610127042',3685,'9998',62.31,1,3,NULL),(25,6133886,'1992-09-05 00:00:00',4,1,11,2009,'F','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124242241215131411429713472214610127087',NULL,'63',22.51,1,3,NULL),(25,6133908,'1993-05-13 00:00:00',4,1,12,2010,'M','N','NOVA PIRACICABA','PIRACICABA','SP','125254251216111431477912275112610137047',5733,'9998',55.39,1,3,NULL),(25,6133916,'1993-04-17 00:00:00',4,3,12,2010,'M','N','CENTRO','ARAGUARI','MG','113132131217271431224823575125610164012',4260,'9998',59.44,1,3,NULL),(25,6133924,'1990-04-07 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241216113431538817475125220768112',7182,'270',56.40,1,3,NULL),(25,6133932,'1993-01-12 00:00:00',4,4,12,2009,'M','N','CENTRO','NONOAI','RS','120203201116573751326532575125610128047',NULL,'9998',21.42,1,3,NULL),(25,6133940,'1992-04-05 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116114121216411731469914575125610162187',11832,'9998',42.59,1,3,NULL),(25,6133959,'1987-09-20 00:00:00',4,1,12,2006,'M','N','JARDIM ROMA','PIRASSUNUNGA','SP','125254251316372131338831345123143224113',NULL,'9998',12.76,4,3,NULL),(25,6133967,'1993-01-05 00:00:00',4,1,12,2010,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241115231731526623335124610117052',NULL,'295',33.70,1,2,1),(25,6133975,'1969-03-21 00:00:00',2,1,12,1989,'M','N','VILA MATILDE','FOZ IGUAÇU','PR','216163161336131411533344445122343236173',NULL,'9998',0.00,4,3,NULL),(25,6134009,'1990-01-22 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124164247217372411548723215124133251037',NULL,'9999',20.38,1,3,NULL),(25,6134017,'1993-07-20 00:00:00',4,10,10,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124242241211373512389912571122610117126',6456,'806',56.53,1,3,NULL),(25,6134025,'1993-06-13 00:00:00',4,1,12,2010,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215111751438834572124610118182',17667,'1022',39.45,1,3,NULL),(25,6134041,'1993-01-01 00:00:00',2,1,11,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124072241215111441448819575124610132072',4550,'272',58.56,1,3,NULL),(25,6134050,'1987-03-11 00:00:00',4,1,12,2004,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215274731228723285224133233197',10870,'988',49.88,1,3,NULL),(25,6134068,'1992-09-16 00:00:00',2,9,12,2010,'F','N','SÃO CRISTÓVÃO','SALETE','SC','124241248215111711336632395122610137047',NULL,'776',24.92,1,3,NULL),(25,6134076,'1992-02-09 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215321431458612395122510137042',19823,'226',35.08,1,3,NULL),(25,6134084,'1992-02-09 00:00:00',2,8,12,2009,'F','N','CENTRO','RIO NEGRINHO','SC','124241241112231431326569442234610112017',18808,'669',32.63,4,2,1),(25,6134092,'1990-06-18 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124241241116374431328621285124121417177',4991,'639',59.61,1,2,1),(25,6134106,'1990-10-19 00:00:00',4,1,12,2010,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241225131731622311182344610127047',NULL,'262',0.00,4,3,NULL),(25,6134114,'1985-07-03 00:00:00',4,1,12,2002,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216145431417839292122222767117',NULL,'270',0.00,4,3,NULL),(25,6134122,'1979-03-04 00:00:00',2,1,11,2001,'F','N','INGLESES','FLORIANÓPOLIS','SC','124161248126135722223343135124322726187',17153,'9997',40.36,1,2,1),(25,6134130,'1991-09-11 00:00:00',4,2,12,2008,'M','N','PASSO MANSO','BLUMENAU','SC','124241241416372441656733485124233267092',7509,'69',53.54,2,3,NULL),(25,6134157,'1994-06-23 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215112431436632575124610167062',6241,'270',56.64,1,3,NULL),(25,6134165,'1990-11-11 00:00:00',2,7,12,2008,'F','N','CENTRO','JOAÇABA','SC','124244241112472431536414175124610123092',NULL,'454',0.00,1,3,NULL),(25,6134173,'1993-05-01 00:00:00',4,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241147131431327774292323610126012',NULL,'290',40.90,1,2,1),(25,6134181,'1992-11-08 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215471531468614475124610164192',8926,'454',50.60,1,3,NULL),(25,6134203,'1993-04-26 00:00:00',4,1,12,2010,'M','N','GUARAITUBA','COLOMBO','PR','116161161137131432436513572124610131057',NULL,'9998',0.00,1,2,1),(25,6134220,'1992-08-31 00:00:00',4,3,12,2010,'M','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162166116371431468916574122610167011',2848,'9998',63.53,1,3,NULL),(25,6134238,'1993-10-08 00:00:00',4,10,12,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124242241217171431469934575122610164182',2168,'797',66.66,1,3,NULL),(25,6134246,'1992-11-26 00:00:00',4,3,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','116162161117471221336661573125610116142',NULL,'9998',0.00,1,3,NULL),(25,6134254,'1993-10-13 00:00:00',4,1,12,2010,'M','N','JARDIM JANAINA','BIGUAÇU','SC','124242241217471231441824575114610162072',11394,'63',44.37,1,3,NULL),(25,6134262,'1987-10-20 00:00:00',4,17,12,2004,'M','N','SERRARIA','AQUIDAUANA','MS','112123121416131431225944245231240645012',NULL,'9998',0.00,1,3,NULL),(25,6134289,'1990-03-07 00:00:00',4,1,12,2007,'M','N','ZONA CINCO','MARINGÁ','PR','116161161416572731668761575114610162017',821,'9998',73.48,1,3,NULL),(25,6134343,'1994-01-17 00:00:00',2,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124241241225111331623331412114610127047',20486,'262',27.42,1,3,NULL),(25,6134351,'1994-01-30 00:00:00',2,1,11,2010,'F','N','CACHO DO BOM JESUS','FLORIANÓPOLIS','SC','124201241117131431436614575124610128187',NULL,'9997',22.24,1,2,1),(25,6134378,'1992-12-15 00:00:00',4,2,12,2010,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241115141411356612315122610164042',10336,'88',48.90,1,3,NULL),(25,6134386,'1993-04-16 00:00:00',4,2,12,2010,'F','N','PASSO MANSO','BLUMENAU','SC','124241241116271441656733585124610164092',12679,'1163',43.30,2,1,1),(25,6134424,'1991-10-12 00:00:00',4,8,12,2009,'M','N','ARVORE GRANDE','POUSO ALEGRE','MG','113131133116471431558313572112610167047',11802,'9998',43.41,4,2,1),(25,6134432,'1986-09-02 00:00:00',2,1,12,2004,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124131131217233441114449395221223262177',5668,'9998',59.41,1,3,NULL),(25,6134440,'1972-02-24 00:00:00',5,1,12,1992,'M','N','CENTRO','FLORIANÓPOLIS','SC','124141148127271531622149392124343226047',14946,'9998',39.77,2,3,NULL),(25,6134459,'1962-02-04 00:00:00',2,1,12,1979,'F','N','CENTRO','FLORIANÓPOLIS','SC','524241248127272451223349295114610144187',21643,'307',26.28,1,3,NULL),(25,6134467,'1991-12-16 00:00:00',2,1,12,2009,'M','N','SAO SEBASTIAO','PALHOÇA','SC','124241241112272751443319342124610138042',18013,'592',32.94,1,2,1),(25,6134475,'1991-09-03 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161161131131121113344342324610133142',NULL,'9998',0.00,1,2,1),(25,6134483,'1993-06-29 00:00:00',2,6,12,2010,'F','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124241241145141431426611395124610123017',NULL,'873',18.69,1,2,1),(25,6134491,'1993-05-19 00:00:00',4,1,12,2010,'F','N','IBIRAQUERA','IMBITUBA','SC','124242241215151411458832575112610162132',4656,'1022',58.71,1,3,NULL),(25,6134505,'1992-01-31 00:00:00',2,1,7,2010,'M','N','KABRASSOL','S JOSÉ','SC','124241241117111731533319585114610164142',NULL,'739',0.00,1,2,1),(25,6134513,'1991-10-16 00:00:00',2,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241215373431525313272124610144187',3594,'299',62.61,1,3,NULL),(25,6134521,'1983-07-01 00:00:00',2,1,12,2000,'F','N','BATEL','CURITIBA','PR','216164161215571451348954412122341564187',3734,'9998',61.38,1,3,NULL),(25,6134530,'1988-05-27 00:00:00',4,8,12,2006,'M','N','HABIANA I','ARAÇATUBA','SP','125252251216471441468814575123141562042',NULL,'9998',27.16,1,3,NULL),(25,6134548,'1992-02-05 00:00:00',2,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','120201201116131431439527375214610166117',NULL,'9998',25.01,1,2,1),(25,6134556,'1990-06-06 00:00:00',4,1,12,2007,'M','N','CENTRO','PELOTAS','RS','120252251215572731327621575114241164046',3417,'9998',61.90,1,3,NULL),(25,6134564,'1992-06-09 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241135372431346513385124130227043',16823,'307',40.90,1,2,1),(25,6134572,'1982-05-21 00:00:00',2,1,12,2002,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247122374411423148282224610124152',NULL,'9999',30.58,4,3,NULL),(25,6134599,'1991-05-18 00:00:00',4,1,12,2009,'F','N','BANDEIRANTES','CPO GRANDE','MS','112122121415572431678913274112610162077',3074,'9998',62.94,3,3,NULL),(25,6134602,'1991-05-06 00:00:00',2,8,12,2008,'M','N','VILA RAU','JARAGUÁ SUL','SC','124224244336573431124723575112610127187',10214,'432',46.45,4,3,NULL),(25,6134610,'1991-01-27 00:00:00',4,1,12,2007,'F','N','BOMFIM','PTO ALEGRE','RS','120202201216571731469811574122610162017',3125,'9998',62.35,1,3,NULL),(25,6134645,'1993-09-19 00:00:00',5,8,12,2010,'M','N','VILA OURO VERDE','ASSIS','SP','125252251217151411353933575112610127012',18267,'9998',38.35,1,3,NULL),(25,6134653,'1992-10-31 00:00:00',4,8,12,2010,'M','N','ATALAIA','ARACAJU','SE','126262261217151431489833475112610167102',6037,'9998',58.66,4,3,NULL),(25,6134661,'1991-04-24 00:00:00',4,1,12,2008,'F','N','CENTRO','SOROCABA','SP','125252251215571741256823575125610144077',1430,'9998',69.81,1,3,NULL),(25,6134688,'1992-11-11 00:00:00',2,6,12,2010,'M','N','GRAVATÁ','NAVEGANTES','SC','124243241216132431538611342124610164047',9032,'937',49.17,1,3,NULL),(25,6134696,'1993-02-15 00:00:00',2,2,11,2010,'F','N','CENTRO','NOVA TRENTO','SC','124241241415121431237823572122610128141',11737,'1123',44.66,1,3,NULL),(25,6134700,'1992-08-26 00:00:00',4,1,12,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124283241317371432326724395124610167182',12435,'281',43.06,1,3,NULL),(25,6134718,'1991-09-25 00:00:00',2,9,12,2008,'F','N','CENTRO','PTE ALTA','SC','124244241215372431428832575122610134042',NULL,'202',19.38,1,3,NULL),(25,6134726,'1992-05-09 00:00:00',4,1,12,2009,'M','N','JARDIM CURITIBA','PARANAVAÍ','PR','116162161217471331558832275212610137017',NULL,'9998',0.00,1,3,NULL),(25,6134734,'1991-10-01 00:00:00',4,1,12,2008,'F','N','JARDIM SANTA MARIA','JACAREÍ','SP','125252251216572431236824572122610167077',3893,'9998',62.32,1,3,NULL),(25,6134750,'1993-07-31 00:00:00',4,4,12,2010,'M','N','CENTRO','TUNÁPOLIS','SC','124241241116161431449933575122610127047',18633,'812',32.34,1,2,1),(25,6134769,'1991-09-22 00:00:00',2,8,11,2009,'F','N','ALEGRE','RIO NEGRINHO','SC','124244241215473431556532572124610131142',12535,'974',42.69,1,3,NULL),(25,6134785,'1988-12-05 00:00:00',2,17,12,2006,'F','N','CENTRO','CURITIBA','PR','116241161316574441446332572122142426187',1035,'603',71.92,1,3,NULL),(25,6134793,'1991-08-10 00:00:00',4,1,12,2008,'M','N','BELÉM','S PAULO','SP','125252251216471431478811275112610147052',4428,'9998',59.10,1,3,NULL),(25,6134807,'1989-09-04 00:00:00',2,15,12,2005,'F','N','CENTRO','GRAVATAÍ','RS','120204201236471431228924575324610121097',NULL,'9998',0.00,1,3,NULL),(25,6134815,'1993-07-28 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241211112211539819593121610117187',7880,'226',51.07,1,3,NULL),(25,6134823,'1993-01-31 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241215372431489923435122610123072',NULL,'185',22.09,1,3,NULL),(25,6134831,'1993-03-08 00:00:00',2,4,11,2010,'F','N','CENTRO','CHAPECÓ','SC','124244241215251431238821572125610121142',9892,'185',46.69,1,3,NULL),(25,6134840,'1991-03-12 00:00:00',4,1,12,2008,'F','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251217572711479718572112610163197',1522,'9998',70.46,1,3,NULL),(25,6134858,'1983-10-16 00:00:00',2,1,12,2001,'F','N','BOM VIVER','BIGUAÇU','SC','124241241147155431546617445124223246197',13968,'66',45.22,1,3,NULL),(25,6134866,'1993-12-23 00:00:00',4,1,12,2010,'M','N','JUVEVÊ','CURITIBA','PR','116162161217111431369814475125610142097',979,'9998',73.12,1,3,NULL),(25,6134874,'1991-06-28 00:00:00',4,8,12,2008,'M','N','AMIZADE','JARAGUÁ SUL','SC','124241246217141431568814345122231427041',NULL,'1061',33.91,1,3,NULL),(25,6134882,'1991-03-08 00:00:00',2,1,12,2007,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242161216575441425524572224610164182',9172,'9998',49.78,1,3,NULL),(25,6134890,'1993-06-16 00:00:00',4,1,11,2010,'F','N','BOA VISTA','S JOSÉ R PRETO','SP','125112251216111731449816575122610111147',NULL,'9998',0.00,1,3,NULL),(25,6134904,'1993-07-30 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241217121431448711575124610164077',11402,'723',44.75,1,3,NULL),(25,6134920,'1991-06-21 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215574431528633572122610167092',9,'270',88.93,1,3,NULL),(25,6134939,'1992-12-23 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241244426132431423318285124610166191',19366,'9999',36.14,1,3,NULL),(25,6134947,'1994-04-07 00:00:00',4,1,11,2011,'F','S','HAMBURGO VELHO','NOVO HAMBURGO','RS','120202201217111431559811572122610168052',NULL,'9998',38.11,1,3,NULL),(25,6134955,'1993-05-12 00:00:00',2,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124241241136161751436313375124610167057',20134,'734',32.24,1,2,1),(25,6134963,'1989-08-30 00:00:00',2,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124241242146152711123344445124231464172',19397,'903',36.06,4,2,1),(25,6134971,'1990-01-15 00:00:00',2,1,12,2006,'F','N','CENTRO','STA MARIA','RS','120203201317572751526639273124610114185',7228,'9998',53.83,1,3,NULL),(25,6134980,'1990-11-22 00:00:00',4,1,12,2008,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124242241211153411367823575124232064197',13882,'270',45.36,1,3,NULL),(25,6135005,'1992-10-20 00:00:00',4,1,12,2009,'F','N','JARDIM BOTÂNICO','PTO ALEGRE','RS','120202201217571451226679592125610162016',9597,'9998',48.81,1,3,NULL),(25,6135021,'1994-01-15 00:00:00',4,1,10,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121441438834576124610164142',NULL,'1022',31.67,1,3,NULL),(25,6135030,'1993-05-24 00:00:00',2,1,12,2009,'F','N','MACIAMBÚ','PALHOÇA','SC','124241241116372731447634572124610167043',14494,'595',44.46,1,2,1),(25,6135048,'1991-11-29 00:00:00',4,1,12,2008,'F','N','CENTENÁRIO','MONTENEGRO','RS','120204201117473751337619591124610132047',13873,'9998',40.86,1,3,NULL),(25,6135056,'1992-11-25 00:00:00',4,8,10,2010,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241215112731559612172114610137061',12308,'1016',43.12,1,3,NULL),(25,6135064,'1992-06-25 00:00:00',4,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215113411278813572114610127052',NULL,'270',19.35,1,3,NULL),(25,6135072,'1994-03-16 00:00:00',2,1,12,2011,'F','S','JARDIMNOVO HORIZONTE','JANDIRA','SP','125252251217471211336614595125610135093',NULL,'9998',25.54,1,3,NULL),(25,6135099,'1993-01-11 00:00:00',4,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124242241235221431346311572122610132142',NULL,'855',19.12,1,3,NULL),(25,6135110,'1994-01-19 00:00:00',4,5,11,2011,'F','S','CENTRO','CRICIÚMA','SC','124242241215271231528632572122610135147',NULL,'226',42.43,1,3,NULL),(25,6135137,'1993-11-23 00:00:00',4,17,12,2010,'F','N','NOVO MUNDO','CURITIBA','PR','116162171217111431477714572122610132142',NULL,'9998',0.00,1,3,NULL),(25,6135145,'1992-01-17 00:00:00',3,1,12,2009,'M','N','VALE DO SOL','ARARAQUARA','SP','125252251215471731378911475112610164042',15333,'9998',43.18,1,3,NULL),(25,6135161,'1993-01-14 00:00:00',2,10,12,2010,'F','N','MAGALHAES','LAGUNA','SC','124242241225471731453613344122610134072',16069,'524',36.52,1,3,NULL),(25,6135170,'1993-06-11 00:00:00',4,2,11,2010,'F','N','GARCIA','BLUMENAU','SC','124242241215221431469911575124610136122',NULL,'909',25.98,1,3,NULL),(25,6135196,'1993-01-14 00:00:00',4,9,11,2010,'F','N','IPIRANGA','LAGES','SC','124243241215111431456614575112610132147',NULL,'1207',30.04,1,3,NULL),(25,6135226,'1993-07-18 00:00:00',4,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215112431438832595122610124145',12328,'226',43.50,1,3,NULL),(25,6135234,'1994-01-24 00:00:00',4,8,12,2010,'M','N','SÃO PEDRO','S JOSÉ PINHAIS','PR','116162161215111432558314175122610167012',NULL,'9998',0.00,1,3,NULL),(25,6135269,'1992-11-07 00:00:00',2,1,6,2010,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124242281117371411448913376114610144147',7300,'9998',56.18,1,3,NULL),(25,6135277,'1992-08-07 00:00:00',4,1,12,2009,'F','N','NOTRE DAME','CAMPINAS','SP','125252251215471431349921575112610166097',NULL,'9998',0.00,1,3,NULL),(25,6135285,'1993-09-19 00:00:00',4,17,12,2010,'F','N','CENTRO','TRÊS BARRAS','SC','124241241117141531524933235121610127077',NULL,'791',17.15,1,3,NULL),(25,6135293,'1993-03-25 00:00:00',4,6,11,2010,'F','N','BACACHERI','CURITIBA','PR','116162161217111731348534575112610137041',NULL,'9998',0.00,1,3,NULL),(25,6135331,'1990-06-26 00:00:00',4,8,12,2007,'F','N','UBERABA','CURITIBA','PR','116163168116571751458834271124143262197',2980,'9998',63.01,1,3,NULL),(25,6135340,'1994-03-20 00:00:00',4,1,11,2010,'F','N','CENTRO','TANGARÁ SERRA','MT','111112111216111431458831575122610127072',NULL,'9998',0.00,1,3,NULL),(25,6135366,'1992-09-02 00:00:00',4,1,11,2009,'F','N','ÁGUA FRIA','S PAULO','SP','125252251214471431468931375115610163072',1885,'9998',66.70,1,3,NULL),(25,6135374,'1992-06-22 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241135471431553812145114610165177',13547,'592',40.41,1,2,1),(25,6135390,'1993-11-21 00:00:00',4,1,12,2010,'F','N','PASSAVINTE','PALHOÇA','SC','124242243215111431545339571124610124041',NULL,'1022',31.22,1,3,NULL),(25,6135404,'1989-07-10 00:00:00',2,5,8,2008,'F','N','COLONINHA','ORLEANS','SC','123243247321131232423314375222231031127',NULL,'9999',0.00,1,3,NULL),(25,6135412,'1991-10-06 00:00:00',4,8,12,2008,'M','N','SÃO LUIZ','S MIGUEL OESTE','SC','124241241117372421423339391124140727182',12280,'757',43.16,1,2,1),(25,6135420,'1990-11-16 00:00:00',4,1,12,2008,'M','N','COLINA SUL I','BADY BASSITT','SP','125251251115571411326624571224610132177',NULL,'9998',NULL,4,2,1),(25,6135447,'1992-03-31 00:00:00',4,1,12,2009,'M','N','JARDIM SAMAMBAIA','JUNDIAÍ','SP','125252251217472431367612275112610167092',1414,'9998',70.50,1,3,NULL),(25,6135455,'1991-01-31 00:00:00',4,1,7,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247212573431488611472122610167042',7188,'270',56.38,1,3,NULL),(25,6135463,'1993-02-12 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241415272432458933572124610167185',14263,'951',39.67,1,3,NULL),(25,6135471,'1988-03-16 00:00:00',4,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124251251115471711136843335122143224052',12363,'9998',47.59,4,2,1),(25,6135480,'1988-04-30 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241117473441569833575122240462092',216,'267',80.80,1,3,NULL),(25,6135501,'1991-08-30 00:00:00',2,8,12,2010,'M','N','CENTRO','RIO NEGRINHO','SC','124243241136131421326722575122610167041',18978,'669',34.73,1,3,NULL),(25,6135510,'1993-06-21 00:00:00',4,1,11,2010,'F','N','NOVA PIRACICABA','PIRACICABA','SP','125252251217111431339819595112610148117',12344,'9998',43.98,1,3,NULL),(25,6135544,'1990-12-02 00:00:00',4,6,12,2008,'M','N','PORTO DAS BALSAS','NAVEGANTES','SC','124241241116132431424614445124232824187',15895,'1068',42.32,4,3,NULL),(25,6135552,'1994-03-01 00:00:00',4,1,11,2011,'M','S','VILA ANDRADE','S PAULO','SP','125252251217171452458812575122610138143',NULL,'9998',46.24,1,3,NULL),(25,6135560,'1992-06-17 00:00:00',4,8,12,2009,'F','N','JARDIM PETRÓPOLIS','LONDRINA','PR','116162161217271451459933571122610166122',NULL,'9998',25.46,1,3,NULL),(25,6135587,'1993-02-23 00:00:00',2,1,11,2010,'F','N','SERTÃO DO IMARUIM','S JOSÉ','SC','124242241217161431428614575124610163012',15946,'1077',42.22,1,3,NULL),(25,6135609,'1992-09-22 00:00:00',2,10,12,2010,'M','N','STO ANTÔNIO DE PÁDUA','TUBARÃO','SC','124244241215131531553514215121610137077',19248,'809',36.40,4,3,NULL),(25,6135617,'1993-05-03 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121431328624595112610124187',6528,'270',55.49,1,3,NULL),(25,6135625,'1992-04-13 00:00:00',2,1,11,2010,'F','N','CENTRO','S PAULO','SP','125251257437131431117539595323610163187',NULL,'9998',16.57,1,3,NULL),(25,6135633,'1992-02-06 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124162161215373411438712575114130266117',7219,'9998',56.31,1,3,NULL),(25,6135641,'1983-03-29 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216153441467712225124122266191',NULL,'489',53.87,1,3,NULL),(25,6135650,'1993-04-18 00:00:00',4,3,11,2010,'M','N','REBOUÇAS','CURITIBA','PR','116162161217121431438836575124610124012',17424,'9998',34.82,1,3,NULL),(25,6135676,'1992-01-22 00:00:00',4,1,12,2010,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124132241417271231649931575124610167047',8257,'267',50.68,1,3,NULL),(25,6135684,'1993-01-21 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215112431348922475122610124142',3510,'1169',62.37,1,3,NULL),(25,6135706,'1992-06-05 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241312152751237419492114610112143',NULL,'1022',28.98,4,3,NULL),(25,6135714,'1992-02-04 00:00:00',4,5,12,2009,'F','N','CIDADE MINEIRA','CRICIÚMA','SC','124242241216372431325923347121610167072',11788,'995',43.56,2,1,2),(25,6135722,'1992-07-23 00:00:00',4,1,11,2010,'F','N','ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC','124243241215111431666613575124610138077',19393,'1197',30.33,1,3,NULL),(25,6135730,'1993-09-20 00:00:00',4,2,12,2010,'F','N','CENTRO','INDAIAL','SC','124244241415111431448834572124610127142',NULL,'88',46.57,1,3,NULL),(25,6135749,'1993-07-10 00:00:00',4,1,12,2010,'M','N','CENTRO','BRUSQUE','SC','124242246217121411363614275121233217182',NULL,'1090',31.72,1,3,NULL),(25,6135757,'1983-03-25 00:00:00',2,10,12,2002,'F','N','CENTRO','ARROIO RATOS','RS','120203201137571451223623392224140268072',5709,'9998',56.03,1,3,NULL),(25,6135765,'1993-01-16 00:00:00',4,8,10,2010,'F','N','IRIRIÚ','JOINVILLE','SC','124241241215111431459934574124610163097',7855,'1063',51.31,1,3,NULL),(25,6135773,'1993-09-06 00:00:00',2,8,12,2010,'F','N','TIFA MARTINS','JARAGUÁ SUL','SC','124241241416131411536632295122610126147',14872,'1061',39.01,1,3,NULL),(25,6135781,'1991-10-28 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215573532388832275114610167182',6470,'9997',57.79,4,3,NULL),(25,6135790,'1992-06-09 00:00:00',2,8,12,2009,'F','N','BATEL','CURITIBA','PR','116162161211572711148614571125610162172',4362,'9998',60.22,1,3,NULL),(25,6135803,'1993-05-29 00:00:00',4,2,12,2010,'F','N','ESTADOS','INDAIAL','SC','124244241216111411333924375124610115182',5762,'855',56.68,1,3,NULL),(25,6135811,'1993-01-26 00:00:00',2,2,10,2010,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124243241217121431467933575124610124052',6691,'855',53.66,1,3,NULL),(25,6135838,'1993-04-07 00:00:00',2,17,12,2010,'F','N','CENTRO','CURITIBA','PR','116243161216471451545336595112610165057',14961,'9998',39.48,1,3,NULL),(25,6135846,'1990-08-05 00:00:00',2,1,11,2007,'F','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','124204201217133411445924375124233244197',NULL,'9998',0.00,1,3,NULL),(25,6135854,'1991-02-10 00:00:00',2,8,11,2007,'M','N','PARQUE SÃO PAULO','CASCAVEL','PR','116163161215571411446632575122141457057',205,'9998',81.00,1,3,NULL),(25,6135862,'1988-06-08 00:00:00',2,5,12,2005,'M','N','NONOAI','PTO ALEGRE','RS','120202201216572231578831571112610167047',1391,'9998',69.70,1,3,NULL),(25,6135870,'1993-02-27 00:00:00',4,6,11,2010,'M','N','CENTRO','ITAJAÍ','SC','124242241215111431569613575112610124012',9047,'1026',50.72,1,3,NULL),(25,6135889,'1984-07-26 00:00:00',2,2,7,2002,'M','N','AGUA VERDE','BLUMENAU','SC','124241246116273411546619435124610118052',18649,'306',37.66,1,2,1),(25,6135897,'1993-08-21 00:00:00',2,6,11,2010,'M','N','CENTRO','ITAJAÍ','SC','124242241212111431458913572122610137012',14536,'392',39.46,1,3,NULL),(25,6135900,'1991-08-12 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215273431556632345122130827112',NULL,'723',0.00,1,3,NULL),(25,6135919,'1980-01-13 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126131411143344342222332212147',NULL,'58',13.06,1,2,1),(25,6135927,'1983-12-03 00:00:00',4,1,12,2002,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241136134531646713482214130262147',NULL,'295',0.00,2,1,1),(25,6135935,'1993-07-09 00:00:00',4,9,11,2010,'M','N','EUGENIO SCHNEIDER','RIO SUL','SC','124242241215121441468823385125610164077',4519,'991',59.41,1,3,NULL),(25,6135951,'1988-06-02 00:00:00',4,1,12,2005,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124243247426151431426551345134130227147',NULL,'9999',32.53,1,3,NULL),(25,6135960,'1993-03-22 00:00:00',4,7,12,2011,'F','S','JARDIM DOS ESTADOS','CORUMBÁ','MS','112122128115111441449933572122610164022',NULL,'9998',0.00,1,3,NULL),(25,6135978,'1993-08-29 00:00:00',2,4,12,2010,'F','N','INTERIOR','DIONÍSIO CERQUEIRA','SC','124241241125161431533316265124610118147',NULL,'246',0.00,1,2,1),(25,6135986,'1993-09-25 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217131431546934242124610157067',NULL,'1075',24.39,1,3,NULL),(25,6135994,'1988-06-01 00:00:00',4,1,12,2005,'M','N','KOBRASOL','S JOSÉ','SC','124202208246374731223319385124610137057',10897,'9998',49.82,1,3,NULL),(25,6136001,'1993-06-09 00:00:00',4,15,11,2010,'M','N','CENTRO','ARARANGUÁ','SC','124242241215372431348732572325610134052',590,'970',76.81,1,3,NULL),(25,6136010,'1992-05-12 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241436272431646827585124610135111',NULL,'257',21.48,1,3,NULL),(25,6136028,'1991-09-23 00:00:00',4,8,11,2010,'M','N','SAGUAÇÚ','JOINVILLE','SC','124242241215141431566614215124610124183',NULL,'489',16.26,1,3,NULL),(25,6136036,'1993-06-15 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124244241117161731348634572122610138187',16070,'512',36.39,1,3,NULL),(25,6136044,'1994-05-10 00:00:00',2,1,11,2011,'M','S','BARREIROS','S JOSÉ','SC','124242241212111421344514575122610117042',NULL,'738',40.43,1,3,NULL),(25,6136079,'1992-08-20 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216472431257823575124610117042',9201,'272',48.28,1,3,NULL),(25,6136095,'1991-04-26 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124202241217274731366939572114232428117',301,'270',79.65,4,3,NULL),(25,6136109,'1991-11-12 00:00:00',4,1,12,2009,'M','N','QUINTA DAS PAINEIRAS','S JOSÉ R PRETO','SP','125252251215471421336821572112610117147',NULL,'9998',0.00,1,3,NULL),(25,6136117,'1992-10-23 00:00:00',4,1,11,2009,'F','N','TRINDADE SERRINHA','FLORIANÓPOLIS','SC','124242241215115731259913275124610134042',10765,'991',50.04,1,3,NULL),(25,6136125,'1992-09-04 00:00:00',4,8,11,2010,'M','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116242161217131411478931171124610124043',4487,'9998',60.19,3,3,NULL),(25,6136133,'1991-06-09 00:00:00',2,10,12,2008,'F','N','HUMAITÁ','TUBARÃO','SC','124242241215472731226624595121610163157',10366,'807',47.97,1,3,NULL),(25,6136141,'1993-10-17 01:00:00',4,5,11,2010,'M','N','SANTA LUZIA','CRICIÚMA','SC','124242241217151411349914275112610124042',NULL,'880',25.33,1,3,NULL),(25,6136150,'1993-03-13 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431426633472124610127182',11224,'273',46.08,1,3,NULL),(25,6136168,'1993-04-05 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111531468612485124610118042',11522,'270',48.87,1,3,NULL),(25,6136184,'1994-05-31 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431569763575122610143182',NULL,'1022',55.34,1,3,NULL),(25,6136192,'1992-12-02 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431388811475122610113192',NULL,'270',43.33,1,3,NULL),(25,6136230,'1992-01-19 00:00:00',4,7,12,2009,'F','N','ITAIBA','CONCÓRDIA','SC','124241241116371431423613395125610126144',NULL,'192',0.00,1,2,1),(25,6136257,'1993-10-11 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112411467833571124610134052',704,'1022',75.76,1,3,NULL),(25,6136265,'1992-09-12 00:00:00',4,1,12,2009,'M','N','SÃO JUDAS','S PAULO','SP','125252251217471431358824571125610137017',3665,'9998',62.12,1,3,NULL),(25,6136273,'1993-08-07 00:00:00',4,4,12,2010,'F','N','ESTEVAO CARRARO','ERECHIM','RS','120201201117151431433811372124610124147',NULL,'9998',0.00,1,2,1),(25,6136281,'1992-03-16 00:00:00',2,4,12,2009,'F','N','CENTRO','GUARACIABA','SC','124241241216272751343923575124610144182',12732,'1022',42.43,1,3,NULL),(25,6136290,'1992-12-19 00:00:00',4,1,12,2010,'M','N','SANTO AMARO','S PAULO','SP','125252251217111411269814575122610167137',NULL,'9998',0.00,1,3,NULL),(25,6136303,'1982-04-09 00:00:00',4,1,12,2000,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124203201216132441229923375122342767117',17328,'9998',40.05,1,3,NULL),(25,6136311,'1994-07-02 00:00:00',4,9,11,2011,'M','S','CENTRO','CPO BELO SUL','SC','124241248412131211413315452224610138047',NULL,'499',36.13,1,3,NULL),(25,6136320,'1993-05-09 00:00:00',4,8,12,2010,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242246215111411488973575122610127072',NULL,'1105',9.74,1,3,NULL),(25,6136338,'1993-01-10 00:00:00',4,1,12,2010,'F','N','JARDIM PAULICEIA','CAMPINAS','SP','125251251116471431543614595122610164142',18084,'9998',38.67,1,2,1),(25,6136346,'1994-10-24 00:00:00',4,8,12,2011,'F','S','VILA NOVA','JARAGUÁ SUL','SC','124242241215151731456839572122610124142',NULL,'442',0.00,1,3,NULL),(25,6136354,'1992-05-22 00:00:00',4,8,12,2009,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241215372431578814575112132017042',11407,'1063',49.04,1,3,NULL),(25,6136370,'1991-07-11 00:00:00',4,1,12,2009,'F','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124242241215372431627613575122610138197',19245,'63',36.40,1,3,NULL),(25,6136400,'1993-11-04 00:00:00',4,6,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241315111431338629475125610124072',4960,'1038',58.55,1,3,NULL),(25,6136419,'1993-10-12 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241215111231466614572112610112195',14312,'1022',40.69,1,3,NULL),(25,6136427,'1994-03-07 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241231272431468933571114610164092',1050,'738',72.96,1,3,NULL),(25,6136435,'1991-10-25 00:00:00',4,1,12,2009,'F','N','VILA VELHA','SANTANA PARNAÍBA','SP','125252251216471731469832575112610137072',9408,'9998',48.35,1,3,NULL),(25,6136443,'1993-03-11 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241215111431338613575124610147052',16655,'1022',37.49,1,3,NULL),(25,6136451,'1993-03-18 00:00:00',4,8,11,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241215112431486932575122610164056',10767,'1063',46.49,1,3,NULL),(25,6136478,'1981-07-23 00:00:00',2,1,12,1999,'M','N','BARREIROS','S JOSÉ','SC','124241241416455431437729475124222262031',13067,'272',46.50,1,3,NULL),(25,6136486,'1993-01-13 00:00:00',2,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217151431436611475122610134187',NULL,'988',38.65,1,3,NULL),(25,6136494,'1991-11-12 00:00:00',2,1,12,2010,'F','N','CENTRO','S JOSÉ','SC','124242241216111431448913585122610121012',12581,'738',42.52,1,3,NULL),(25,6136516,'1993-06-12 00:00:00',4,8,10,2010,'F','N','GLÓRIA','JOINVILLE','SC','124241241412131431438311575124610131142',NULL,'1006',0.00,4,3,NULL),(25,6136524,'1993-06-04 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431668921572122610137011',276,'1022',79.53,4,3,NULL),(25,6136532,'1993-06-18 00:00:00',4,1,11,2010,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124242246215111432363612221124610127052',NULL,'1075',30.73,1,3,NULL),(25,6136540,'1991-05-02 00:00:00',4,1,6,2009,'M','N','VILA MARIANA','S PAULO','SP','125254257211161211235167471112110216167',NULL,'9998',NULL,3,3,NULL),(25,6136559,'1989-12-08 00:00:00',4,1,12,2007,'M','N','BELA VISTA','ITAPIRA','SP','125252251215472431488614575122141447027',10383,'9998',45.44,1,3,NULL),(25,6136567,'1992-11-20 00:00:00',4,8,11,2010,'F','N','ESCOLINHA','JOINVILLE','SC','124241241116471431234421575124610168191',NULL,'482',36.42,1,2,1),(25,6136575,'1994-01-16 00:00:00',2,3,12,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124244248115151431449933475124610126177',9258,'129',52.58,4,3,NULL),(25,6136583,'1993-07-17 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241248112151431334923432124610134093',NULL,'307',17.61,1,2,1),(25,6136591,'1992-08-14 00:00:00',4,1,11,2009,'M','N','CAPUAVA','VALINHOS','SP','125252251216471431488614372122610127052',NULL,'9998',0.00,1,3,NULL),(25,6136605,'1993-02-06 00:00:00',2,4,12,2010,'M','N','CENTRO','S JOSÉ CEDRO','SC','124241241416111431455832275122610127046',10309,'752',45.14,1,3,NULL),(25,6136621,'1991-12-12 00:00:00',2,1,12,2009,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241125141231526314445124610124051',18284,'592',38.31,4,1,1),(25,6136648,'1992-06-15 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241215372421326579592124610124181',7214,'1022',56.32,1,3,NULL),(25,6136656,'1993-11-06 00:00:00',2,1,12,2010,'F','N','FLORESTA','S JOSÉ','SC','124244241215111411636634575124610127067',9998,'1022',47.06,1,3,NULL),(25,6136664,'1984-03-13 00:00:00',2,1,12,2001,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','224243241116274421239951212123131237027',NULL,'307',0.00,1,3,NULL),(25,6136672,'1993-07-01 00:00:00',2,4,12,2010,'M','N','CENTRO','S MIGUEL OESTE','SC','124243241215111431335724475125610167067',6963,'1079',52.25,1,3,NULL),(25,6136680,'1990-03-18 00:00:00',4,1,12,2006,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124241241217374731228913495112220757047',4571,'32',59.58,1,3,NULL),(25,6136699,'1993-06-16 00:00:00',4,1,10,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215121411247832585124610164142',4767,'1169',60.01,1,3,NULL),(25,6136702,'1993-09-08 00:00:00',4,2,10,2010,'M','N','VILA NOVA','BLUMENAU','SC','124242241235111411426614575124610114012',2081,'909',67.78,1,3,NULL),(25,6136710,'1991-03-09 00:00:00',4,1,12,2008,'F','N','FARIA LEMOS','BENTO GONÇALVES','RS','120201201116171441424615415123610164057',16526,'9998',41.36,1,2,1),(25,6136729,'1991-04-29 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573432448831572124610133051',2683,'262',65.62,1,3,NULL),(25,6136745,'1993-04-11 00:00:00',4,2,11,2010,'M','N','CAPITAIS','TIMBÓ','SC','124241241215111431459618575122610137042',NULL,'1157',0.00,1,3,NULL),(25,6136753,'1991-12-23 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241216153431256823375124220743043',7884,'1022',55.04,1,3,NULL),(25,6136761,'1992-10-07 00:00:00',4,8,12,2009,'F','N','JARDIM PARAISO','ALM TAMANDARÉ','PR','116162161215472441348814575114610166187',3469,'9998',63.03,1,3,NULL),(25,6136770,'1988-08-13 00:00:00',2,1,12,2006,'F','N','LIBERDADE','BELO HORIZONTE','MG','124131131117371541437713575124241862087',11246,'9998',49.31,3,2,1),(25,6136788,'1993-02-02 00:00:00',2,4,12,2010,'F','N','CENTRO','NOVA PRATA','RS','120201208116371731433929392125610126072',NULL,'9998',21.74,1,2,1),(25,6136796,'1991-10-12 00:00:00',2,1,11,2010,'F','N','RODEIGUES','PASSO FUNDO','RS','120202201417571751348811415122610144197',17287,'9998',33.92,1,3,NULL),(25,6136800,'1992-07-08 00:00:00',2,1,12,2009,'F','N','CENTRO','PARANACITY','PR','116164161216471731448923574124610165077',2364,'9998',66.42,1,3,NULL),(25,6136818,'1960-12-08 00:00:00',2,1,12,1980,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224241241431575751334443331132321527042',13143,'457',46.41,1,3,NULL),(25,6136826,'1992-08-01 00:00:00',4,1,12,2010,'F','N','CENTRO','GAROPABA','SC','124244241215111431558811575112610137092',NULL,'270',22.45,1,3,NULL),(25,6136834,'1990-09-20 00:00:00',2,5,12,2007,'F','N','PETROPOLIS','PTO ALEGRE','RS','120202201215571431468914575124610123147',690,'9998',76.07,1,3,NULL),(25,6136850,'1993-11-16 00:00:00',2,8,11,2010,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241115271431546311275124610168047',12900,'1103',46.74,1,2,1),(25,6136869,'1987-03-09 00:00:00',4,8,12,2004,'M','N','AGUA VERDE','CURITIBA','PR','116162161217571431279914475122341427067',794,'9998',75.17,1,3,NULL),(25,6136877,'1992-08-19 00:00:00',4,9,12,2009,'F','N','CENTRO','BOM RETIRO','SC','124241241137131421523611345125610122147',19975,'95',27.65,1,2,1),(25,6136907,'1993-11-10 00:00:00',4,15,12,2010,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241115141431436613245121610138142',17401,'29',35.80,1,2,1),(25,6136915,'1992-02-05 00:00:00',4,3,12,2008,'F','N','CENTRO','PEROBAL','PR','116161161114572431547923344124610124142',NULL,'9998',26.18,1,2,1),(25,6136923,'1994-01-10 00:00:00',4,1,11,2010,'F','N','LOTEAMENTO IRENE','BIGUAÇU','SC','124242241216131731443634375124610122142',11807,'63',44.42,1,3,NULL),(25,6136931,'1991-09-17 00:00:00',2,8,12,2008,'F','N','JARDIM COMERCIAL DAS','FOZ IGUAÇU','PR','116162161215571431478813572112610142187',986,'9998',73.73,1,3,NULL),(25,6136940,'1991-09-02 00:00:00',4,1,12,2009,'F','N','CENTRO','BELO HORIZONTE','MG','113132131217471431178813572124610164147',2507,'9998',63.89,2,3,NULL),(25,6136958,'1992-11-23 00:00:00',4,1,12,2009,'F','N','BAIRRO ALTO','CURITIBA','PR','116164161215371441447614575124610122187',5413,'9998',56.30,1,3,NULL),(25,6136966,'1992-06-06 00:00:00',4,8,12,2009,'M','N','HAUER','CURITIBA','PR','116162161125471451468914575124610157042',1563,'9998',71.05,1,3,NULL),(25,6136974,'1985-11-25 00:00:00',2,8,12,2002,'M','N','COMASA','JOINVILLE','SC','224241241126141231236444342222610118183',20357,'808',33.54,1,2,1),(25,6136982,'1992-07-07 00:00:00',4,1,12,2009,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217474231558931575124610161177',5587,'270',58.00,1,3,NULL),(25,6136990,'1994-01-02 00:00:00',2,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241112371432538833575114610127042',NULL,'739',19.61,1,3,NULL),(25,6137008,'1993-09-16 00:00:00',4,3,12,2010,'F','N','CENTRO','BRUSQUE','SC','124242241215111431336632575122610134112',17118,'109',40.42,1,3,NULL),(25,6137016,'1993-07-24 00:00:00',4,8,12,2010,'F','N','ROSEIRA','S JOSÉ PINHAIS','PR','116161161116271431338719272124610121072',NULL,'9998',0.00,4,3,NULL),(25,6137024,'1991-04-07 00:00:00',4,1,12,2008,'M','N','HIGIENOPOLIS','S PAULO','SP','125242241216473431358712572122610127042',3888,'262',62.27,1,3,NULL),(25,6137032,'1991-01-31 00:00:00',2,8,12,2008,'M','N','GUABIROTUBA','CURITIBA','PR','116162161236572331569833576114610167042',1823,'9998',68.82,4,3,NULL),(25,6137040,'1993-07-20 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242241217111411669713574122610124112',13872,'738',41.16,1,3,NULL),(25,6137059,'1993-06-26 00:00:00',4,8,11,2010,'F','N','BIGORRLHO','CURITIBA','PR','116162161215121731458619572112610132097',NULL,'9998',0.00,1,3,NULL),(25,6137067,'1991-01-27 00:00:00',2,1,11,2008,'F','N','SALÉN CHADE','MARIALVA','PR','116221221116471411545516575124610147142',13408,'9998',41.06,1,2,1),(25,6137083,'1993-07-31 00:00:00',4,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124244246217151431468914575112610142142',13471,'1105',40.16,1,3,NULL),(25,6137091,'1982-04-20 00:00:00',2,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241127142421656413345114610137167',NULL,'275',22.19,1,2,1),(25,6137105,'1993-11-06 00:00:00',4,1,12,2010,'M','N','ALTO ARIRIU','PALHOÇA','SC','116161161116471431434624245124610164142',19529,'9998',35.75,1,2,1),(25,6137130,'1991-10-20 01:00:00',4,3,7,2009,'M','N','CENTRO','CURITIBA','PR','116162281417472251289811571124610167016',1243,'9998',71.48,1,3,NULL),(25,6137148,'1993-01-04 00:00:00',2,4,12,2009,'F','N','QUATRO IRMÃOS','PTE SERRADA','SC','116242241216471431458813575112610164142',4014,'836',63.21,1,3,NULL),(25,6137156,'1993-01-08 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215372431556814575114610167042',9272,'1118',50.16,1,3,NULL),(25,6137164,'1990-11-01 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216474431438831572124221233051',382,'262',78.30,1,3,NULL),(25,6137172,'1993-11-30 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241115111431538771575124610162175',12673,'1022',47.10,1,3,NULL),(25,6137199,'1988-11-22 00:00:00',4,1,12,2005,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201201116473451323319192224610128182',13164,'9998',41.09,1,2,1),(25,6137202,'1991-06-14 00:00:00',4,1,12,2008,'F','N','NOVA CAMPINAS','CAMPINAS','SP','125252251217571711469811581122610166197',4862,'9998',58.03,1,3,NULL),(25,6137210,'1993-07-27 00:00:00',2,8,12,2010,'F','N','CENTRO','JOINVILLE','SC','124161241215111411224324575125610166147',3373,'1016',63.61,1,3,NULL),(25,6137229,'1991-09-30 00:00:00',2,1,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116162161216571731558823575115610164177',443,'9998',77.11,1,3,NULL),(25,6137237,'1991-03-21 00:00:00',4,6,12,2008,'F','N','ARIRIBÁ','BAL CAMBORIÚ','SC','124242241414572431579934372122610123115',15072,'1061',43.57,1,3,NULL),(25,6137245,'1993-09-27 00:00:00',2,1,12,2010,'F','N','CENTRO HISTÓRICO','PARANAGUÁ','PR','116162161216111711646923575112610115142',18116,'9998',33.60,1,3,NULL),(25,6137253,'1993-02-06 00:00:00',4,1,12,2009,'F','N','N S DO ROSÁRIO','S JOSÉ','SC','124241241217372431433319244124610162187',6879,'1076',53.27,4,3,NULL),(25,6137261,'1992-09-05 00:00:00',4,1,11,2009,'F','N','JARDIM SÃO JOSÉ','CAMBÉ','PR','116162161217472431568939575122610147182',NULL,'9998',0.00,1,3,NULL),(25,6137270,'1993-08-28 00:00:00',4,1,12,2010,'F','N','JARDIM PAULISTA','OURINHOS','SP','125254251215121431343674582122610114077',NULL,'9998',20.94,1,3,NULL),(25,6137288,'1980-03-14 00:00:00',2,1,9,2000,'M','N','INGLESES','FLORIANÓPOLIS','SC','224074241316134721635644245114610137047',19579,'9999',35.62,1,3,NULL),(25,6137296,'1994-05-01 00:00:00',4,2,11,2011,'F','S','CENTRO','INDAIAL','SC','124242241215151431478811572122610144122',NULL,'909',17.19,1,3,NULL),(25,6137300,'1990-11-19 00:00:00',4,4,11,2007,'F','N','PARQUE SÃO APULO','CASCAVEL','PR','116162161215571751569933572122610164147',NULL,'9998',43.88,1,3,NULL),(25,6137326,'1989-08-05 00:00:00',4,1,12,2007,'M','N','LIBERDADE','S PAULO','SP','125102101215572431588814471125140222182',2180,'9998',66.73,1,3,NULL),(25,6137334,'1991-11-11 00:00:00',4,8,12,2009,'M','N','AMERICA','JOINVILLE','SC','124242246216131431328724445124610117047',NULL,'1105',40.31,1,3,NULL),(25,6137342,'1993-07-05 00:00:00',4,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241215131431436624272124610124042',14187,'1023',44.88,1,3,NULL),(25,6137350,'1991-12-10 00:00:00',2,1,11,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241236472431147923575124233267042',7614,'270',52.00,1,3,NULL),(25,6137369,'1993-01-16 00:00:00',2,1,12,2010,'M','N','CENTRO','VILHENA','RO','122221221116151421536621272121610137052',NULL,'9998',0.00,3,3,NULL),(25,6137393,'1990-09-16 00:00:00',4,1,12,2008,'F','N','HIGIENOPOLIS','S PAULO','SP','124242241217153531489813572112232464192',919,'270',74.42,1,3,NULL),(25,6137407,'1993-09-28 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241215111431329923575122610132147',NULL,'499',28.52,1,3,NULL),(25,6137415,'1993-04-08 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217272431378932574122610124182',1070,'262',73.10,1,3,NULL),(25,6137423,'1992-12-21 00:00:00',2,8,12,2010,'M','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116164166116111331428933475125610125012',11018,'9998',49.64,4,3,NULL),(25,6137431,'1992-07-03 00:00:00',4,1,12,2009,'F','N','JARDIM AMÉRICA','TUPÃ','SP','125252251212371411469911575125610166026',10295,'9998',46.71,1,3,NULL),(25,6137440,'1993-05-28 00:00:00',4,2,10,2010,'F','N','VELHA','BLUMENAU','SC','124242241215112431378911575122610152122',NULL,'909',37.39,1,3,NULL),(25,6137466,'1992-02-15 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431566933575114610132051',NULL,'1022',13.82,1,3,NULL),(25,6137474,'1987-06-08 00:00:00',2,1,12,2006,'F','N','MEIER','RIO JANEIRO','RJ','121212211217471531356824475124241227057',NULL,'9998',29.51,1,3,NULL),(25,6137482,'1990-03-15 00:00:00',4,1,12,2007,'M','N','NOSSA S DE LOURDE','STA MARIA','RS','120202201412572731569813482122610167012',8283,'9998',52.16,1,3,NULL),(25,6137490,'1994-03-09 00:00:00',2,9,12,2010,'F','N','PINHEIRO','VACARIA','RS','120202201235151431439911575122610121092',NULL,'9998',0.00,1,3,NULL),(25,6137504,'1992-09-28 00:00:00',4,1,12,2009,'F','N','MARECHAL RONDOM','CANOAS','RS','120202201217472231586934572122610164046',714,'9998',74.57,1,3,NULL),(25,6137512,'1958-05-19 00:00:00',2,1,12,1976,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224201208116131131523351273114140461147',12891,'9998',46.75,1,3,NULL),(25,6137520,'1993-10-11 00:00:00',2,2,12,2010,'M','N','SALTO','BLUMENAU','SC','124241241117111411463314572121610112142',NULL,'84',0.00,1,2,1),(25,6137539,'1990-02-08 00:00:00',2,1,11,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116273711636631115131610162182',NULL,'288',45.23,1,2,1),(25,6137563,'1994-04-30 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241216111331469914575125610148095',NULL,'270',44.46,1,3,NULL),(25,6137571,'1993-07-19 00:00:00',2,5,12,2010,'F','N','LOTEAMENTO JUSSARA','IÇARA','SC','124241241117371411436611182224610131077',NULL,'1005',30.95,1,2,1),(25,6137580,'1989-10-02 00:00:00',4,4,12,2006,'F','N','CENTRO','CASCA','RS','120241201116131431113635345124343237142',NULL,'9998',19.18,1,2,1),(25,6137598,'1993-07-11 00:00:00',4,1,12,2010,'M','N','SAO FRANCISCO','MIRASSOL','SP','125252251215111231478834575122610127042',5815,'9998',56.28,1,3,NULL),(25,6137601,'1992-01-18 00:00:00',2,8,12,2009,'M','N','CENTRO','AMAMBAÍ','MS','112121161217471431459916575124610137067',NULL,'9998',0.00,1,3,NULL),(25,6137610,'1992-09-11 00:00:00',2,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124242241215473431467814275122610126142',4483,'1022',60.42,1,3,NULL),(25,6137628,'1994-08-01 00:00:00',4,1,11,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217151431339817275122610135145',16494,'389',41.40,1,3,NULL),(25,6137636,'1992-09-21 00:00:00',4,4,12,2009,'F','N','CENTRO','PALMITOS','SC','124242241215472431368634575114610124182',NULL,'9997',39.66,1,3,NULL),(25,6137644,'1992-10-29 00:00:00',4,1,12,2010,'M','N','CENTRO','CAMPINA VERDE','MG','113132131217111431436923575124610138042',NULL,'9998',0.00,1,3,NULL),(25,6137652,'1993-01-25 00:00:00',2,1,12,2010,'M','N','PRAIA JOAO ROSA','BIGUAÇU','SC','124243241115231431436613275124610117047',NULL,'65',19.98,1,3,NULL),(25,6137660,'1992-12-18 00:00:00',2,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241217132431438879575124122264197',9637,'1016',51.97,1,3,NULL),(25,6137679,'1993-08-25 00:00:00',4,2,12,2010,'M','N','VORSTADT','BLUMENAU','SC','124244241215111441638931575124610154142',6811,'855',57.08,1,3,NULL),(25,6137687,'1992-03-23 00:00:00',4,8,12,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241215472431459814475122610167122',1518,'1063',71.19,1,3,NULL),(25,6137695,'1992-08-13 00:00:00',2,1,12,2009,'F','N','ATUBA','CURITIBA','PR','116161161115471221435933135124610147042',15173,'9998',37.86,1,2,1),(25,6137709,'1993-06-05 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241115161431523331595114610117147',13984,'288',41.78,4,3,NULL),(25,6137717,'1993-08-08 00:00:00',4,1,11,2010,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242241215141421368512315124610164183',NULL,'9997',36.83,1,3,NULL),(25,6137725,'1991-07-08 00:00:00',4,1,12,2009,'F','N','ARIRIU','PALHOÇA','SC','124241241147131731326829492114610118147',NULL,'593',18.37,1,2,1),(25,6137733,'1991-07-09 00:00:00',4,1,7,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242246117371411466663395124610122091',6744,'306',54.64,1,3,NULL),(25,6137741,'1993-02-23 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216121431358923575122610167072',2815,'270',64.42,1,3,NULL),(25,6137750,'1991-03-11 00:00:00',4,10,12,2007,'M','N','JARDIM LINDÓIA','PTO ALEGRE','RS','120242241216372411126714575121241462052',1474,'797',71.37,1,3,NULL),(25,6137768,'1987-10-31 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201117133411113744347114610136117',NULL,'9998',0.00,1,2,1),(25,6137776,'1993-01-16 00:00:00',2,1,12,2010,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124244241115131231443311482124610117067',NULL,'592',31.29,2,3,NULL),(25,6137784,'1994-06-15 00:00:00',4,1,11,2011,'F','S','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215151711239913575124610132057',NULL,'262',26.75,1,3,NULL),(25,6137792,'1991-09-22 00:00:00',4,1,12,2009,'F','N','BOSQUE DOS EUCALÍPTO','S JOSÉ CAMPOS','SP','125252251217471731588814575122610142042',10350,'9998',45.77,1,3,NULL),(25,6137806,'1991-09-23 00:00:00',4,1,12,2009,'M','N','JARDIM DAS PALMEIRAS','VALINHOS','SP','125256251112132721238829391124610117071',5238,'9998',57.24,1,3,NULL),(25,6137814,'1991-03-01 00:00:00',4,1,12,2008,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241216373431366913445124131444092',13514,'259',45.90,2,1,2),(25,6137822,'1993-09-22 00:00:00',4,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124243246217131222545612295121610164051',8041,'1006',51.67,1,3,NULL),(25,6137830,'1971-07-16 00:00:00',2,1,12,1989,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','224241243126132421436443332114231922147',NULL,'773',10.14,1,2,1),(25,6137849,'1992-05-17 00:00:00',4,4,12,2009,'F','N','CENTRO','CASCAVEL','PR','116161161116151431348614575122610164197',6916,'9998',52.92,1,2,1),(25,6137857,'1993-04-10 00:00:00',4,1,12,2010,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121215121411469731574122610126072',4764,'9998',61.40,1,3,NULL),(25,6137873,'1990-06-29 00:00:00',2,1,12,2007,'F','N','CENTRO','GEN SALGADO','SP','125254251116571431334334575124610126097',NULL,'9998',32.21,1,3,NULL),(25,6137881,'1991-06-30 00:00:00',4,10,11,2008,'F','N','DEHON','TUBARÃO','SC','124242241215373751547839575122232566182',4535,'806',61.90,1,3,NULL),(25,6137890,'1993-09-18 00:00:00',2,6,11,2010,'F','N','FAZENDA','ITAJAÍ','SC','124244241415121731547632574124610125142',NULL,'1026',30.94,4,3,NULL),(25,6137903,'1992-10-30 00:00:00',4,1,12,2009,'F','N','ZONA SETE','MARINGÁ','PR','116114111216371731379914571122610125142',3980,'9998',61.59,1,3,NULL),(25,6137911,'1993-12-02 00:00:00',4,4,11,2010,'F','N','CENTRO','ERECHIM','RS','120204201215271431434634575122610127042',5286,'9998',56.95,1,3,NULL),(25,6137920,'1991-03-17 00:00:00',4,1,12,2008,'F','N','PARQUE BUTURUSSÚ','S PAULO','SP','125251251212571431346833572124610137097',12697,'9998',43.04,1,3,NULL),(25,6137938,'1993-02-10 00:00:00',4,8,12,2010,'M','N','ROCIO GRANDE','S FRANCISCO SUL','SC','124242241211111431456612372114610164062',6571,'1063',55.89,1,3,NULL),(25,6137946,'1993-08-18 00:00:00',4,8,10,2010,'M','N','NOVO MUNDO','CURITIBA','PR','116141161315111431443811275124610124012',5685,'9998',57.21,1,3,NULL),(25,6137954,'1989-03-03 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124161161117132411226324245124141644197',18065,'9998',38.71,1,2,1),(25,6137962,'1993-01-26 00:00:00',4,4,12,2009,'F','N','MENINO DEUS','PTO ALEGRE','RS','120201201216471431287632575114610111172',17549,'9998',37.24,1,3,NULL),(25,6137970,'1991-05-12 00:00:00',4,8,12,2008,'F','N','JARDIM SÃO VALENTIM','PIRASSUNUNGA','SP','125251251215241431428613445124140932183',8499,'9998',49.53,1,3,NULL),(25,6137989,'1991-09-28 00:00:00',2,4,12,2008,'F','N','CENTRO','CASCAVEL','PR','116161161235571731533331272125610167187',10512,'9998',46.43,1,3,NULL),(25,6137997,'1993-05-29 00:00:00',4,1,12,2010,'F','N','CANUDOS','ANTÔNIO CARLOS','SC','124241241115162431323419575122610127142',NULL,'21',0.00,1,2,1),(25,6138004,'1992-05-22 00:00:00',4,1,12,2009,'F','N','CASA VERDE','S PAULO','SP','125252251215471431478821574122610144097',NULL,'9998',0.00,1,3,NULL),(25,6138012,'1991-06-08 00:00:00',2,1,12,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124241241115142711223321142314610134057',NULL,'734',17.24,1,2,1),(25,6138020,'1992-07-14 00:00:00',4,1,12,2009,'F','N','NOVA PETROPOLIS','S BERNARDO CAMPO','SP','125252251217571451436813585115610166097',NULL,'9998',39.71,4,3,NULL),(25,6138039,'1992-05-23 00:00:00',4,1,12,2009,'F','N','CENTRO','SETE LAGOAS','MG','113132131216471331368711475112610122122',NULL,'9998',0.00,1,3,NULL),(25,6138047,'1992-10-22 00:00:00',2,1,11,2009,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241216473431457434575114610128042',14155,'273',43.34,1,3,NULL),(25,6138055,'1991-07-08 00:00:00',4,1,12,2008,'M','N','VILA MARIANA','S PAULO','SP','125252251214571731479839575125610127042',NULL,'9998',0.00,1,3,NULL),(25,6138063,'1993-03-02 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431458812572122610127072',1280,'262',71.50,1,3,NULL),(25,6138080,'1994-03-16 00:00:00',2,1,12,2011,'F','S','USINA','ANTÔNIO CARLOS','SC','124241241112151432426413472124610138142',NULL,'21',38.33,1,3,NULL),(25,6138101,'1993-12-11 00:00:00',4,8,12,2010,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216371431569813575122610135152',NULL,'459',0.00,1,3,NULL),(25,6138110,'1992-09-01 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473231378533575112610112141',1761,'270',69.07,1,3,NULL),(25,6138128,'1992-08-07 00:00:00',2,10,12,2009,'M','N','CASCATA VERMELHA','JAGUARUNA','SC','124241241135371431423211312211610147042',18703,'421',37.55,1,2,1),(25,6138136,'1992-01-08 00:00:00',2,3,12,2009,'M','N','JD ESTORIL','IBIPORÃ','PR','116163161217471441244612575124610164146',3684,'9998',61.94,4,3,NULL),(25,6138144,'1992-10-20 00:00:00',4,1,10,2010,'M','N','NOVA PIRACICABA','PIRACICABA','SP','125252251215111431369726475112610167047',NULL,'9998',0.00,1,3,NULL),(25,6138152,'1993-05-12 00:00:00',4,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124242241216141431466934575124610143092',14989,'1105',43.71,1,3,NULL),(25,6138160,'1988-04-09 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241117141421568923285324333232186',17205,'307',40.28,1,3,NULL),(25,6138179,'1992-05-28 00:00:00',4,1,12,2009,'F','N','IPORANGA','SOROCABA','SP','124252251216421431379814575122610131123',NULL,'9998',0.00,1,3,NULL),(25,6138187,'1991-02-01 00:00:00',4,1,11,2008,'F','N','IBIRAPUERA','S PAULO','SP','125252251216572411488911571122610167092',4238,'9998',59.24,1,3,NULL),(25,6138195,'1993-07-18 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124243241215111431336424175124610133097',5370,'1118',58.42,4,1,2),(25,6138209,'1992-02-20 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243247215372531568731345114610167042',NULL,'9999',25.35,1,3,NULL),(25,6138217,'1991-01-19 00:00:00',4,1,7,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','624242247216371412456414572112610137015',NULL,'9999',23.37,1,3,NULL),(25,6138225,'1993-06-08 00:00:00',4,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124244241215111431446612575112610124142',12587,'226',47.20,1,3,NULL),(25,6138233,'1994-03-26 00:00:00',4,1,11,2011,'M','S','VILA NOVA','RIBEIRÃO PIRES','SP','125252251217111451669924444122610111086',NULL,'9998',58.48,1,3,NULL),(25,6138268,'1993-12-09 00:00:00',4,4,12,2010,'F','N','TROPICAL','CASCAVEL','PR','116164161216471431459913595122610164177',12358,'9998',43.15,1,3,NULL),(25,6138276,'1993-06-22 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731388722575112610165042',NULL,'1169',36.68,1,3,NULL),(25,6138284,'1993-09-23 00:00:00',4,8,12,2011,'M','S','BAEPENDI','JARAGUÁ SUL','SC','124242241215151452458833572121610162122',NULL,'1174',37.63,1,3,NULL),(25,6138292,'1993-05-12 00:00:00',4,1,11,2010,'M','N','PRAIA ANGÉLICA','LGA SANTA','MG','113132131237111431378611474122610167127',NULL,'9998',0.00,1,3,NULL),(25,6138306,'1977-11-22 00:00:00',2,1,12,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124251257127271721623319485124610124142',NULL,'9998',12.70,2,1,1),(25,6138322,'1993-07-12 00:00:00',2,1,12,2010,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124244241217372551437613372124610117062',15731,'1075',37.63,4,3,NULL),(25,6138330,'1992-08-12 00:00:00',4,5,12,2010,'M','N','BUENO','GOIÂNIA','GO','109092091211111711468811572115610124042',298,'9998',79.71,4,3,NULL),(25,6138349,'1991-01-19 00:00:00',4,1,12,2008,'M','N','FLORESTA','S JOSÉ','SC','124241248131472431336434345124610137047',NULL,'733',0.00,1,3,NULL),(25,6138357,'1990-07-25 00:00:00',2,3,12,2007,'F','N','CENTRO','CURITIBA','PR','116254251216473431338833595114610168147',NULL,'9998',31.35,1,3,NULL),(25,6138365,'1991-02-22 00:00:00',4,1,12,2009,'M','N','PITUBA','SALVADOR','BA','105262051216171731578933475122241422052',1931,'9998',69.55,1,3,NULL),(25,6138373,'1993-08-14 00:00:00',4,8,12,2010,'F','N','BOA VISTA','CURITIBA','PR','116162161237111731468819395114610134197',NULL,'9998',0.00,1,3,NULL),(25,6138381,'1993-06-07 00:00:00',4,4,12,2010,'F','N','SAIC','CHAPECÓ','SC','124241241215131711527734375124610126052',15472,'1193',38.20,4,3,NULL),(25,6138390,'1992-10-17 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117111431325418285124610127041',NULL,'295',9.46,1,2,1),(25,6138403,'1993-08-10 00:00:00',4,1,11,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431468619595124610137017',10071,'262',47.27,1,3,NULL),(25,6138411,'1971-01-08 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224241241126131721433351245124610146197',NULL,'278',0.00,1,2,1),(25,6138420,'1994-10-19 00:00:00',2,8,11,2011,'F','S','BELO HORIZONTE','CPO ALEGRE','SC','124244241216111731329834572124610166142',NULL,'1073',61.94,1,3,NULL),(25,6138438,'1993-07-09 00:00:00',2,1,11,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241315111431526614342344610167042',NULL,'300',0.00,1,3,NULL),(25,6138446,'1992-08-05 00:00:00',4,1,11,2009,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091216371431467916585124140233092',559,'9998',75.58,1,3,NULL),(25,6138462,'1990-08-15 00:00:00',2,5,12,2007,'M','N','NONOAI','PTO ALEGRE','RS','120202201217572431568811571112610162042',872,'9998',73.22,1,3,NULL),(25,6138470,'1990-03-12 00:00:00',4,5,12,2010,'M','N','SANTA BARBARA','CRICIÚMA','SC','106244068447151411269613472121610168087',NULL,'9998',33.07,4,3,NULL),(25,6138489,'1991-06-02 00:00:00',4,1,12,2008,'M','N','JARDIM PAULISTA','S PAULO','SP','125254251214371431448831571124610167012',NULL,'9998',0.00,1,3,NULL),(25,6138497,'1992-01-23 00:00:00',4,3,12,2009,'M','N','ESTADOS UNIDOS','UBERABA','MG','113132131217371731469833232122610167127',4295,'9998',60.87,1,3,NULL),(25,6138519,'1993-03-02 00:00:00',4,1,11,2010,'F','N','JARDIM MARAJOARA','S PAULO','SP','125252251217111431466834275122610125147',NULL,'9998',0.00,1,3,NULL),(25,6138527,'1994-06-10 00:00:00',2,1,11,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241215211451524434195124610118112',NULL,'270',0.00,1,3,NULL),(25,6138535,'1991-06-06 00:00:00',4,1,7,2010,'M','N','N SENHORA DE LOURDES','STA MARIA','RS','120203201117571431361923575122610164147',11754,'9998',43.05,1,3,NULL),(25,6138543,'1990-03-13 00:00:00',3,1,2,2011,'M','N','BELVEDERE','BELO HORIZONTE','MG','113132133216151731458832125122610147112',NULL,'9998',NULL,1,3,NULL),(25,6138551,'1985-06-17 00:00:00',4,3,12,2002,'M','N','VILA IZABEL','CURITIBA','PR','116161161346151731577712311122141427047',NULL,'9998',0.00,1,3,NULL),(25,6138560,'1991-11-11 00:00:00',4,1,12,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215473731438534571124131123142',7730,'270',52.74,1,3,NULL),(25,6138578,'1990-10-23 00:00:00',4,1,12,2008,'M','N','BOA VIAGEM','RECIFE','PE','117252251217571731468814595112141414187',11735,'9998',45.18,1,3,NULL),(25,6138586,'1993-09-05 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241215141431436334245124610135112',NULL,'1078',16.55,1,3,NULL),(25,6138594,'1993-12-21 00:00:00',4,8,11,2010,'M','N','BIGORRILHO','CURITIBA','PR','116162161217111432479614475112610164122',142,'9998',82.05,1,3,NULL),(25,6138608,'1993-10-15 00:00:00',4,1,12,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124243241217131431447613275113610162017',17589,'1022',34.87,1,3,NULL),(25,6138616,'1993-06-16 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241216111431333439275122610123077',18162,'738',33.98,1,3,NULL),(25,6138624,'1994-05-02 00:00:00',4,1,11,2010,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215111411469932575122610147072',12518,'262',47.30,1,3,NULL),(25,6138632,'1991-09-20 00:00:00',4,8,6,2010,'M','N','CENTROCÍVICO','CURITIBA','PR','116162163115371732458934435112610114032',5221,'9998',57.66,1,3,NULL),(25,6138659,'1990-05-21 00:00:00',4,1,12,2007,'M','N','CENTRO','MEDIANEIRA','PR','116163161116371431569939572122610123181',NULL,'9998',0.00,1,3,NULL),(25,6138667,'1993-03-15 00:00:00',4,1,11,2009,'F','N','ZONA UM A','UMUARAMA','PR','116162161214371731468831571122610134197',2584,'9998',65.77,3,3,NULL),(25,6138675,'1992-02-28 00:00:00',2,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241111371431439813575114610148047',12610,'271',42.70,1,3,NULL),(25,6138683,'1993-02-08 00:00:00',4,1,11,2010,'M','N','SÃO LUIZ','CURITIBANOS','SC','124241241215121431257823571125610168047',8123,'270',51.34,1,3,NULL),(25,6138691,'1992-08-26 00:00:00',4,3,12,2010,'M','N','LAGOA','RIO JANEIRO','RJ','121212211217111411389914572124610167132',5242,'9998',58.02,1,3,NULL),(25,6138705,'1993-05-04 00:00:00',4,1,12,2010,'M','N','CENTRO','CURITIBA','PR','116162161212171421443831572125610114187',21393,'9998',28.88,1,3,NULL),(25,6138713,'1992-12-23 00:00:00',4,1,12,2010,'M','N','CENTRO','MTE APRAZÍVEL','SP','125252251215151411568811415114610117142',NULL,'9998',0.00,1,3,NULL),(25,6138721,'1992-03-24 00:00:00',4,1,12,2009,'F','N','ARIRIÚ','PALHOÇA','SC','124241241146272721423312242134610135157',NULL,'733',20.48,1,3,NULL),(25,6138730,'1992-03-12 00:00:00',4,1,11,2010,'F','N','CENTRO','CAMPINAS','SP','125252251217111231228824385112610117147',17604,'9998',33.43,4,3,NULL),(25,6138748,'1989-03-28 00:00:00',4,15,12,2006,'F','N','JARDIM CIBELE','ARARANGUÁ','SC','124241241147132431636611143321610124147',17188,'30',35.36,1,2,1),(25,6138764,'1994-01-09 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241131141731425611315124613217095',NULL,'307',21.18,1,2,1),(25,6138780,'1994-04-28 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217151731446933575122610117147',NULL,'962',23.64,1,3,NULL),(25,6138799,'1992-10-20 00:00:00',4,8,12,2010,'F','N','SANTANA','ARAÇATUBA','SP','125252251217111411459933575122610133094',3392,'9998',62.07,1,3,NULL),(25,6138802,'1991-12-21 00:00:00',3,1,11,2010,'F','N','JURERE','FLORIANÓPOLIS','SC','124254241215111431269923575124610121092',6580,'270',54.68,1,3,NULL),(25,6138810,'1991-10-13 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216372431468679395124610167017',14710,'270',44.14,1,3,NULL),(25,6138829,'1993-08-01 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241117141331324661235124610117043',NULL,'307',18.65,1,3,NULL),(25,6138837,'1992-04-22 00:00:00',4,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241136472431224624495114610162182',7870,'285',52.04,1,3,NULL),(25,6138861,'1992-07-26 00:00:00',4,4,12,2009,'F','N','NOSSA SENHORA APAREC','FRANCISCO BELTRÃO','PR','116164161215472431448714574114620122197',NULL,'9998',0.00,1,3,NULL),(25,6138888,'1993-04-19 00:00:00',4,1,12,2010,'F','N','ACLIMAÇÃO','S PAULO','SP','125252251216111431389934375122610163147',NULL,'9998',0.00,1,3,NULL),(25,6138900,'1991-12-20 00:00:00',4,8,11,2009,'M','N','SAGUAÇÚ','JOINVILLE','SC','624242241215472431468912572124121467112',654,'486',76.35,4,3,NULL),(25,6138926,'1986-06-09 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216372431456612445114610164142',NULL,'1134',28.69,1,3,NULL),(25,6138934,'1993-07-20 00:00:00',4,1,12,2010,'F','N','JD SATELITE','S JOSÉ CAMPOS','SP','125252251214171331456832575112610134193',NULL,'9998',0.00,1,3,NULL),(25,6138942,'1993-10-14 00:00:00',2,9,10,2010,'F','N','UNIVERSITÁRIO','LAGES','SC','124242241215111431436632375122610165142',NULL,'515',18.74,1,3,NULL),(25,6138977,'1992-07-01 00:00:00',4,1,12,2009,'M','N','JARDIM LOCATELLI','NOVA ESPERANÇA','PR','116162161217371451358834595124610117087',5409,'9998',56.45,1,3,NULL),(25,6138985,'1993-09-17 00:00:00',4,5,11,2010,'F','N','MINA BRASIL','CRICIÚMA','SC','124242241216111431368832575122610133122',4130,'226',61.06,1,3,NULL),(25,6138993,'1991-12-21 00:00:00',2,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115131731331627135124610168192',NULL,'257',0.00,2,1,1),(25,6139019,'1990-06-29 00:00:00',4,1,6,2008,'M','N','CIDADE NOVA','RIO GRANDE','RS','120202201417471431459879572114140667112',15050,'9998',37.43,1,3,NULL),(25,6139027,'1991-08-11 00:00:00',2,17,12,2008,'M','N','CENTRO','MAFRA','SC','124163246212131431326814245122610117052',20368,'9998',28.54,1,3,NULL),(25,6139035,'1992-10-20 00:00:00',4,1,12,2010,'F','N','TABAJARAS','UBERLÂNDIA','MG','113134131416371531389911576112610162087',NULL,'9998',0.00,1,3,NULL),(25,6139043,'1982-07-01 00:00:00',4,1,12,2000,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201207347131721645614415122141368047',NULL,'9998',11.07,2,1,2),(25,6139051,'1989-06-17 00:00:00',2,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124242241214374411546733575124131416041',2808,'270',65.30,1,3,NULL),(25,6139060,'1992-10-12 00:00:00',2,1,12,2009,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124241241116131311123329295124613217142',NULL,'287',0.00,1,3,NULL),(25,6139078,'1989-09-03 00:00:00',2,5,12,2006,'M','N','CENTRO','PASSO FUNDO','RS','120201201136574431533511575124120466057',6619,'9998',54.02,2,1,1),(25,6139094,'1991-12-26 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215472431389911575112610126192',928,'270',74.38,1,3,NULL),(25,6139108,'1993-08-09 00:00:00',4,1,11,2009,'F','N','TRIÂNGULO','RIO BRANCO','AC','101012011216571451378932575112610163142',7338,'9998',51.95,1,3,NULL),(25,6139132,'1992-08-25 00:00:00',4,1,12,2010,'F','N','MORDADA DO VALE','GOV VALADARES','MG','113132131216121431558814575124610124077',5914,'9998',54.75,1,3,NULL),(25,6139140,'1993-07-20 00:00:00',2,16,12,2010,'F','N','SORGATTO','CAÇADOR','SC','124242241217131211346923575122610124072',21065,'119',25.97,1,3,NULL),(25,6139159,'1990-03-01 00:00:00',4,1,12,2009,'F','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','113252251216574411358831597112242467142',NULL,'9998',0.00,1,3,NULL),(25,6139167,'1994-03-07 00:00:00',4,4,12,2010,'M','N','CAMPESTRE','HORIZONTINA','RS','120202201216161431469931571122610167047',259,'9998',79.65,1,3,NULL),(25,6139175,'1993-07-29 00:00:00',4,8,11,2010,'M','N','ALPHAVILLE','BARUERI','SP','125252251217111431486612325121610117182',6589,'9998',54.28,1,3,NULL),(25,6139183,'1992-11-06 00:00:00',2,7,12,2010,'M','N','CENTRO','CAMPOS NOVOS','SC','124243247337161331348611185121610167182',21523,'9999',27.68,1,3,NULL),(25,6139191,'1981-04-13 00:00:00',4,1,4,2001,'M','N','TRES VENDAS','PELOTAS','RS','120201201116571431223369484124610162187',849,'9998',74.03,1,2,1),(25,6139205,'1991-05-29 00:00:00',4,8,12,2008,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161216573451368923575122610167042',1521,'9998',70.60,1,3,NULL),(25,6139213,'1992-05-11 00:00:00',4,1,12,2009,'F','N','BUCAREIN','JOINVILLE','SC','124242241215372431479911575114130224191',1071,'1063',72.33,1,3,NULL),(25,6139221,'1992-01-27 00:00:00',4,3,12,2009,'M','N','VILA EDIO','ARAPONGAS','PR','116162161215471531368912575112610117052',14965,'9998',38.06,1,3,NULL),(25,6139248,'1993-08-14 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124112241215111431348819575125610138092',9582,'262',49.13,1,3,NULL),(25,6139272,'1993-08-29 00:00:00',2,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124241241215151431445534575122610148197',13840,'976',40.02,1,3,NULL),(25,6139280,'1993-07-30 00:00:00',4,1,7,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211471431469911572122610128042',15860,'262',38.16,1,3,NULL),(25,6139299,'1992-04-02 00:00:00',4,8,12,2009,'F','N','REBOUÇAS','CURITIBA','PR','116164168315571751468612575112610134192',NULL,'9998',0.00,1,3,NULL),(25,6139302,'1992-03-02 00:00:00',4,1,12,2009,'M','N','INGLÊSES','FLORIANÓPOLIS','SC','120201201117451431535639575122610137047',NULL,'9998',28.89,1,2,1),(25,6139310,'1991-09-09 00:00:00',4,1,11,2009,'M','N','ITAIM BIBI','S PAULO','SP','125252251215471431367631475122610147047',NULL,'9998',NULL,1,3,NULL),(25,6139329,'1993-06-10 00:00:00',4,1,12,2010,'M','N','PQ DOS PRINCIPES','S PAULO','SP','125252251217121431648634575122610167052',9626,'9998',47.93,1,3,NULL),(25,6139337,'1991-09-30 00:00:00',4,8,12,2008,'F','N','GLÓRIA','JOINVILLE','SC','124242241217272731659831595122231437142',1018,'459',73.41,1,3,NULL),(25,6139345,'1991-11-01 00:00:00',4,8,11,2008,'M','N','GUABIROTUBA','CURITIBA','PR','116162161216471431688814571124141464142',281,'9998',79.77,1,3,NULL),(25,6139353,'1993-06-20 00:00:00',4,1,11,2010,'F','N','CENTRO','RIO SUL','SC','124242241217121431248724575122610131017',15017,'991',43.66,1,3,NULL),(25,6139361,'1992-12-13 00:00:00',2,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','124243248235131731324439195122610124017',NULL,'973',21.10,1,3,NULL),(25,6139370,'1992-09-25 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215472431468814575112133267042',11453,'1133',45.53,1,3,NULL),(25,6139388,'1992-04-08 00:00:00',4,10,11,2009,'M','N','OFICINAS','TUBARÃO','SC','124242241217472751448611575121610168117',4899,'807',58.98,2,1,2),(25,6139396,'1992-02-25 00:00:00',4,1,12,2010,'F','N','PONTE PRETA','MTE ALEGRE SUL','SP','125251251215371731467817275122610137072',9500,'9998',48.27,1,3,NULL),(25,6139400,'1987-12-23 00:00:00',4,8,12,2006,'M','N','JOÃO COSTA','JOINVILLE','SC','124243247447573351635311186221131315187',NULL,'487',8.45,1,3,NULL),(25,6139418,'1994-05-17 00:00:00',2,1,10,2010,'F','N','PAGANI','PALHOÇA','SC','124242241215111431566614575122610164012',19130,'723',36.69,1,3,NULL),(25,6139426,'1992-12-15 00:00:00',2,15,12,2009,'M','N','CENTRO','PELOTAS','RS','120202201217411431358933594122610116102',NULL,'9998',0.00,1,3,NULL),(25,6139434,'1993-08-10 00:00:00',4,1,12,2010,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121115271431379931575112610162017',6163,'9998',54.15,1,3,NULL),(25,6139442,'1993-07-11 00:00:00',4,1,12,2009,'M','N','CENTRO','CANARANA','MT','111112111216151431436631575124610113047',9825,'9998',46.49,1,3,NULL),(25,6139450,'1994-04-22 00:00:00',4,1,11,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215221731469951575114610124141',5577,'270',57.43,1,3,NULL),(25,6139469,'1993-07-27 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215111421459929591112610166097',7330,'226',53.43,1,3,NULL),(25,6139485,'1993-02-22 00:00:00',2,4,12,2010,'F','N','PIONEIROS','ITÁ','SC','124243241317371431466919595122610121052',17065,'384',37.24,1,3,NULL),(25,6139493,'1991-01-21 00:00:00',2,8,12,2008,'M','N','VILA ESTRELA','PNT GROSSA','PR','116164161216572431469613572112141464057',452,'9998',78.03,1,3,NULL),(25,6139507,'1992-01-23 00:00:00',4,1,12,2009,'F','N','VILA LEOPOLDINA','S PAULO','SP','125252251215471431558714572124610132147',1123,'9998',72.11,1,3,NULL),(25,6139515,'1993-07-04 00:00:00',2,1,12,2009,'F','N','RESIDENCIAL ARAGUAIA','APARECIDA GOIÂNIA','GO','109092094215471432555714572112610164174',NULL,'9998',33.32,4,3,NULL),(25,6139523,'1993-06-08 00:00:00',4,5,12,2010,'M','N','CENTRO','CRICIÚMA','SC','124241241215131441348823575125610162047',5302,'213',56.68,1,3,NULL),(25,6139558,'1987-01-06 00:00:00',4,1,12,2004,'M','N','JARDI DAS COLINAS','S JOSÉ CAMPOS','SP','125252251216571431378833575112140267042',2295,'9998',66.93,1,3,NULL),(25,6139566,'1993-05-25 00:00:00',4,8,12,2010,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241115271431656712371121610136072',11148,'459',45.68,1,3,NULL),(25,6139574,'1993-05-17 00:00:00',4,2,11,2010,'M','N','PONTA AGUDA','BLUMENAU','SC','124241241215121411235911575121610164182',1688,'855',69.11,1,3,NULL),(25,6139590,'1992-05-08 00:00:00',2,1,12,2009,'M','N','FUNDOS','BIGUAÇU','SC','124244241217111411533731315124610122012',21028,'1040',30.97,1,3,NULL),(25,6139639,'1993-08-08 00:00:00',2,8,12,2010,'F','N','DOM PEDRO II','PARANAGUÁ','PR','116162168215151432436734572122610137077',13380,'9998',40.23,1,3,NULL),(25,6139647,'1987-02-10 00:00:00',2,1,12,2004,'M','N','ST ANTONIO DE LISBO','FLORIANÓPOLIS','SC','124252251136135411128641315123130264052',NULL,'9998',31.39,1,3,NULL),(25,6139655,'1990-02-24 00:00:00',4,1,12,2007,'M','N','JARDINS','S PAULO','SP','125252251116511431448834595125610166047',1632,'9998',68.81,1,3,NULL),(25,6139663,'1991-07-07 00:00:00',4,6,10,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215572451348919572124610164182',1972,'9998',67.66,3,3,NULL),(25,6139680,'1987-10-26 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117144722231541346213230851191',20504,'732',33.14,1,3,NULL),(25,6139698,'1994-01-30 00:00:00',4,1,12,2010,'F','N','SÃO MIGUEL','CRUZ ALTA','RS','120204201217151431366829575122610163112',11287,'9998',44.57,1,3,NULL),(25,6139701,'1993-07-03 00:00:00',4,1,7,2010,'F','N','JARDIM PANAMÁ','CPO GRANDE','MS','112123121115271431448832572122610167012',905,'9998',73.53,1,3,NULL),(25,6139710,'1992-01-16 00:00:00',4,1,12,2009,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124242241215472431468833595114610168075',8074,'270',51.59,1,3,NULL),(25,6139728,'1992-07-20 00:00:00',4,16,12,2009,'M','N','BOM JESUS','CURITIBANOS','SC','124241241114241131538339345125610114055',14653,'239',39.63,1,2,1),(25,6139744,'1983-10-26 00:00:00',2,8,12,2002,'M','N','CAPÃO RASO','CURITIBA','PR','116162161114442441558714293142341568063',628,'9998',75.06,1,3,NULL),(25,6139752,'1993-12-07 00:00:00',4,8,11,2010,'F','N','BIGORRILHO','CURITIBA','PR','116162161217121431378931572124610131142',1941,'9998',67.34,1,3,NULL),(25,6139760,'1993-07-03 00:00:00',4,9,12,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124244241215161531528516575115610127057',NULL,'442',22.90,1,3,NULL),(25,6139779,'1984-06-20 00:00:00',2,1,12,2003,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241116234431436413192113222367047',NULL,'281',0.00,1,2,1),(25,6139787,'1991-10-28 00:00:00',4,2,12,2009,'M','N','FORTALEZA','BLUMENAU','SC','124242241215472411446624372122610124052',408,'107',78.40,1,3,NULL),(25,6139795,'1992-05-27 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241114374431336623575122610112182',5208,'271',60.40,1,3,NULL),(25,6139817,'1981-06-13 00:00:00',4,1,12,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243247425372431327823386124130714042',9987,'270',51.37,1,3,NULL),(25,6139825,'1993-11-01 00:00:00',4,4,12,2010,'M','N','ZONA IA','UMUARAMA','PR','116162161215111441448814175122610142087',506,'9998',76.70,1,3,NULL),(25,6139833,'1983-04-25 00:00:00',4,1,12,2000,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241212373411478833435124323232112',1295,'270',72.33,1,3,NULL),(25,6139850,'1993-02-13 00:00:00',4,8,12,2010,'M','N','UVARANAS','PNT GROSSA','PR','116162166115371431546513575124610124082',3501,'9998',62.26,1,3,NULL),(25,6139868,'1992-04-21 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215272431358712342112610167072',NULL,'1198',23.12,1,3,NULL),(25,6139884,'1989-10-03 00:00:00',2,1,12,2006,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241116132431645411341224610164147',20867,'257',31.67,1,2,1),(25,6139892,'1993-11-01 00:00:00',4,1,11,2010,'M','N','VILA MARIANA','S PAULO','SP','125252251216111431369811571125610124042',1206,'9998',71.95,1,3,NULL),(25,6139906,'1992-11-24 00:00:00',2,1,12,2010,'M','N','JARDIM SOCIAL','CURITIBA','PR','116161161111131411538612175124610161142',12680,'9998',42.75,4,2,1),(25,6139922,'1993-07-15 00:00:00',4,9,11,2010,'M','N','SANTA TEREZA','AURORA','SC','124242241214111231436413575122610127142',19626,'1173',35.50,1,3,NULL),(25,6139957,'1983-03-03 00:00:00',2,1,12,2006,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124201204121351731113349491124610136197',NULL,'9998',15.17,3,2,1),(25,6139965,'1986-11-15 00:00:00',4,1,12,2004,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217272431369913484122133244092',9419,'270',52.32,1,3,NULL),(25,6139973,'1993-08-16 00:00:00',4,8,11,2010,'M','N','BIGORRILHO','CURITIBA','PR','116162161216121431448613575122610167042',6826,'9998',53.07,1,3,NULL),(25,6139981,'1991-08-29 00:00:00',4,8,12,2009,'M','N','JARDIM CURITIBA','CPO MOURÃO','PR','116163168111471111449933375112610117012',2302,'9998',66.11,4,3,NULL),(25,6139990,'1981-07-22 00:00:00',2,1,12,2002,'F','N','BELA VISTA','PALHOÇA','SC','124201207226131421233311285122343242077',21588,'9998',27.08,1,3,NULL),(25,6140009,'1994-07-03 00:00:00',2,10,11,2011,'F','S','CENTRO','BRAÇO NORTE','SC','124242241215121431458912275124610137142',NULL,'807',49.46,1,3,NULL),(25,6140017,'1993-08-25 00:00:00',2,1,11,2010,'F','N','MONTE CASTELO','S JOSÉ CAMPOS','SP','125252251216471441668614575122610114147',12153,'9998',44.10,1,3,NULL),(25,6140025,'1990-11-22 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124241248117373752446614396112133262041',16294,'257',38.11,1,2,1),(25,6140033,'1991-09-13 00:00:00',4,1,12,2008,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251215571751659811575122610162012',831,'9998',73.45,1,3,NULL),(25,6140041,'1990-09-25 00:00:00',4,1,6,2008,'M','N','SANTO AMARO','S PAULO','SP','125254251417471431469914315114143267042',118,'9998',82.98,1,3,NULL),(25,6140050,'1993-07-31 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241241116141441338714275112610117142',16992,'733',40.64,1,2,1),(25,6140068,'1994-01-29 00:00:00',2,1,11,2010,'M','N','PARQUE ALVORADA','DOURADOS','MS','112122121217151411447734572111610144022',1554,'9998',69.09,1,3,NULL),(25,6140076,'1988-01-27 00:00:00',2,8,11,2005,'M','N','ESPINHEIROS','JOINVILLE','SC','124241241146132411326621385113133264197',19459,'469',35.91,1,2,1),(25,6140084,'1988-10-21 00:00:00',4,2,12,2005,'M','N','VELHA','BLUMENAU','SC','124242241217574431458812375124130717172',128,'88',82.36,3,3,NULL),(25,6140092,'1994-04-16 00:00:00',2,1,11,2010,'F','N','FLORESTA','S JOSÉ','SC','124241241117471431636414572124610136017',NULL,'733',26.15,1,2,1),(25,6140106,'1985-12-29 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241312575431547619485124233268053',14128,'298',42.73,1,3,NULL),(25,6140114,'1992-02-18 00:00:00',2,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115172411636613375124610133141',19913,'307',34.83,1,2,1),(25,6140122,'1993-06-30 00:00:00',4,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124242241115131431436314392124610134197',NULL,'739',36.02,1,3,NULL),(25,6140130,'1993-08-07 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411448714575122610133142',1088,'270',73.10,1,3,NULL),(25,6140149,'1993-06-28 00:00:00',4,4,10,2010,'M','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161214471731549916191124610117017',1476,'9998',70.98,1,3,NULL),(25,6140157,'1992-09-28 00:00:00',4,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124242241215472431635724315114610161182',NULL,'1022',30.32,1,3,NULL),(25,6140165,'1993-05-14 00:00:00',4,1,11,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111431336412575124610123187',5200,'270',58.08,1,3,NULL),(25,6140173,'1993-03-08 00:00:00',4,15,12,2010,'F','N','URUSANGUINHA','ARARANGUÁ','SC','124243241235321431449812291122610122147',NULL,'970',30.67,1,3,NULL),(25,6140181,'1991-11-30 00:00:00',2,5,12,2009,'F','N','CENTRO','LGA VERMELHA','RS','120204201215471432466815471122610164142',7713,'9998',52.67,1,3,NULL),(25,6140190,'1991-11-27 00:00:00',4,8,12,2008,'M','N','JARDIM SOCIAL','CPO LARGO','PR','116161161116572711433312591124610134047',1179,'9998',71.62,1,2,1),(25,6140203,'1991-03-20 00:00:00',4,1,12,2008,'F','N','JD NOVO HORIZONTE','MARINGÁ','PR','116162161216572431369933575112610133072',2681,'9998',66.36,1,3,NULL),(25,6140238,'1993-08-04 00:00:00',2,1,11,2010,'M','N','CENTRO','CPO GRANDE','MS','112124121417271332358634575112610127042',12847,'9998',42.82,1,3,NULL),(25,6140246,'1993-10-19 00:00:00',4,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431467932575122610122012',15078,'9997',43.56,1,3,NULL),(25,6140254,'1990-06-25 00:00:00',4,1,12,2007,'M','N','ARIRIÚ','PALHOÇA','SC','124241241121131412443344145122230232182',17435,'719',39.86,1,3,NULL),(25,6140270,'1993-10-28 00:00:00',4,4,12,2010,'M','N','CERAMICA','ERECHIM','RS','120201201117271331446634295125610164052',8978,'9998',48.82,1,2,1),(25,6140289,'1991-06-10 00:00:00',4,1,12,2010,'M','N','BAIRRO ALTO','CURITIBA','PR','116163161115371731466913375124143217187',2227,'9998',66.95,1,3,NULL),(25,6140297,'1993-02-16 00:00:00',2,4,12,2010,'F','N','BORTOLON','XANXERÊ','SC','124241241146141432324434242124610154142',NULL,'840',4.97,1,2,1),(25,6140300,'1992-07-24 00:00:00',4,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241415111441466614575124610144055',20256,'1011',29.09,1,3,NULL),(25,6140319,'1992-01-21 00:00:00',4,9,12,2009,'M','N','CENTRO','LAGES','SC','124244246216141431433636495121233217012',19025,'1106',36.90,1,3,NULL),(25,6140327,'1992-12-30 00:00:00',2,5,12,2009,'M','N','PRIMERIO DE MAIO','IÇARA','SC','124241241416151411456413345112610137042',20648,'995',32.58,1,3,NULL),(25,6140343,'1991-04-04 00:00:00',4,1,12,2008,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241112271431423313585124610144047',18172,'65',33.00,2,1,1),(25,6140351,'1993-01-12 00:00:00',4,7,12,2010,'M','N','CENTRO','TANGARÁ','SC','124241241115271431333512392122610167147',17613,'779',39.56,1,3,NULL),(25,6140360,'1981-05-20 00:00:00',4,1,12,1999,'M','N','JARDIM EULINA','CAMPINAS','SP','225281251116471412537711415124610162182',NULL,'9998',0.00,3,2,1),(25,6140378,'1989-09-20 00:00:00',2,1,12,2007,'F','N','INGLESES RIO VERMELH','FLORIANÓPOLIS','SC','124242243217174411459831313124610167072',NULL,'269',38.43,1,3,NULL),(25,6140386,'1993-10-29 00:00:00',4,1,12,2010,'M','N','JARDIM PETRÓPOLIS','STA ROSA','RS','120202201215111431338632244122610132092',NULL,'9998',28.61,1,3,NULL),(25,6140394,'1982-06-20 00:00:00',4,8,12,1999,'M','N','AMÉRICA','JOINVILLE','SC','124202201117131411138849485124443241061',NULL,'9998',0.00,1,3,NULL),(25,6140408,'1991-01-11 00:00:00',4,1,11,2008,'F','N','JARDIM VILA MARIANA','S PAULO','SP','125252251117571231358932475115610141077',10392,'9998',47.22,1,3,NULL),(25,6140416,'1993-05-11 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241315141431323611345121610137097',NULL,'922',17.62,1,3,NULL),(25,6140424,'1965-09-12 00:00:00',2,1,12,2006,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','224241241127271432321159112314610114142',NULL,'736',14.28,2,1,1),(25,6140440,'1990-11-03 00:00:00',2,1,12,2007,'M','N','ARIRIÚ','PALHOÇA','SC','124241241116274431436623235113610164011',9004,'591',49.70,1,2,1),(25,6140459,'1993-02-06 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241415473431338334575124610134142',10807,'1133',48.16,1,3,NULL),(25,6140467,'1991-02-18 00:00:00',2,1,12,2008,'F','N','JARDIM SAO MIGUEL','BIGUAÇU','SC','124241241116131531328628285114610162147',NULL,'295',20.69,2,1,1),(25,6140475,'1990-06-09 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241135372431447934345124610167112',19140,'257',31.28,1,2,1),(25,6140483,'1992-03-29 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241217371431433622382134610135012',20414,'977',28.62,1,3,NULL),(25,6140505,'1987-03-24 00:00:00',4,1,3,2006,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241136474451426614295124133234187',14355,'267',44.65,1,2,1),(25,6140513,'1991-04-23 00:00:00',4,1,12,2008,'F','N','SÃO MIGUEL','BIGUAÇU','SC','124241241115473431323314574124610166177',3867,'64',61.77,1,2,1),(25,6140521,'1987-10-23 00:00:00',4,8,12,2005,'F','N','GUANABARA','JOINVILLE','SC','124244241315574451545833245124610132072',2106,'9997',68.91,2,3,NULL),(25,6140530,'1990-09-30 00:00:00',4,8,12,2008,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125251251147371231633411275121610124082',13751,'9998',41.68,2,2,1),(25,6140564,'1993-01-01 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112431546611572125610134141',3401,'270',62.70,1,3,NULL),(25,6140572,'1992-04-24 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115271411434619575124610126147',17419,'307',39.90,1,2,1),(25,6140580,'1986-08-31 00:00:00',2,1,12,2004,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124241241337272411666612342122130262147',17304,'272',40.09,1,3,NULL),(25,6140599,'1986-01-08 00:00:00',2,1,11,2005,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126271731432179245121610147187',19406,'290',30.91,1,2,1),(25,6140610,'1993-06-07 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111431267613572124610163187',NULL,'1022',30.83,4,3,NULL),(25,6140629,'1986-11-17 00:00:00',2,1,12,2005,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241127332411533314245124610122067',21688,'728',25.44,1,2,1),(25,6140637,'1973-09-04 00:00:00',2,1,12,1990,'M','N','JURERÊ','FLORIANÓPOLIS','SC','224201201216241431547743335132142364047',NULL,'9998',30.85,1,3,NULL),(25,6140645,'1993-10-31 00:00:00',4,1,11,2010,'M','N','CONSIL','CUIABÁ','MT','111112111216111431589939572122610168182',NULL,'9998',0.00,4,3,NULL),(25,6140661,'1991-09-18 00:00:00',4,1,11,2009,'F','N','JARDIN ATLANTICO','FLORIANÓPOLIS','SC','124243247327371731535374242224610128197',NULL,'1126',18.25,1,3,NULL),(25,6140670,'1987-03-10 00:00:00',1,1,11,2004,'F','N','GRANJA VIANA','COTIA','SP','125252251217371431248813574122140627022',2607,'9998',64.73,1,3,NULL),(25,6140696,'1991-01-26 00:00:00',4,1,12,2008,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241127271231223224275114610133147',NULL,'282',34.83,1,2,1),(25,6140700,'1991-06-28 00:00:00',2,1,12,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241112141231433614345121610167147',NULL,'727',26.93,1,2,1),(25,6140718,'1985-05-13 00:00:00',4,1,12,2001,'M','N','SANTOS DUMONT','S JOSÉ','SC','124243246146152441336644345124230252011',10098,'257',51.17,1,3,NULL),(25,6140726,'1986-07-05 00:00:00',2,8,12,2003,'M','N','CENTRO','CURITIBA','PR','116251251116572751423624575124610117157',1439,'9997',71.58,1,2,1),(25,6140734,'1994-08-31 00:00:00',4,1,12,2010,'M','N','VILA MARIANA','S PAULO','SP','125012251216171431369921575125610164092',NULL,'9998',0.00,1,3,NULL),(25,6140742,'1987-07-14 00:00:00',4,1,12,2004,'M','N','OURO VERDE','STA ROSA','RS','120202201217211431479719495124241448042',NULL,'9998',0.00,1,3,NULL),(25,6140750,'1987-07-03 00:00:00',4,8,12,2005,'M','N','FAZENDINHA','CURITIBA','PR','116164161135571231247923395122610146073',NULL,'9998',0.00,1,3,NULL),(25,6140769,'1991-04-22 00:00:00',4,8,11,2008,'F','N','CENTRO','CURITIBA','PR','116252251215573431668832274125610137147',NULL,'9998',0.00,3,3,NULL),(25,6140785,'1992-07-22 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241226132751236613595124610124197',NULL,'524',0.00,1,3,NULL),(25,6140793,'1988-06-10 00:00:00',4,1,12,2007,'M','N','BELA VISTA','S JOSÉ','SC','124241241136131431535631382114610167027',21189,'734',30.13,1,2,1),(25,6140807,'1959-05-15 00:00:00',2,5,6,1980,'M','N','MINA DO MATO','CRICIÚMA','SC','624252257226151751553341115122331053047',15240,'9998',43.34,1,3,NULL),(25,6140823,'1993-01-25 00:00:00',4,1,11,2010,'M','N','CENTRO','IBITINGA','SP','125252251216121421558821585125610126092',3181,'9998',62.97,1,3,NULL),(25,6140831,'1993-05-23 00:00:00',2,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431236823571122610136087',10576,'226',45.84,1,3,NULL),(25,6140858,'1988-07-31 00:00:00',4,4,12,2005,'F','N','JARDIM FLORESTA','CASCAVEL','PR','116163161316575411478413575123610166193',883,'9998',73.84,1,3,NULL),(25,6140866,'1987-09-19 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241236153431437767315112222962187',8115,'9997',54.67,1,3,NULL),(25,6140874,'1989-11-23 00:00:00',4,7,12,2006,'F','N','CENTRO','ERVAL VELHO','SC','124241241126141431545513235124130626042',16737,'253',41.02,1,2,1),(25,6140882,'1983-12-10 00:00:00',2,1,12,2001,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241211152441368811571122331066081',NULL,'270',0.00,1,3,NULL),(25,6140890,'1991-04-23 00:00:00',4,8,12,2008,'F','N','SANTA ISABEL','PNT PORÃ','MS','112122121217472431446616265115610163072',1807,'9998',69.60,1,3,NULL),(25,6140904,'1990-01-24 00:00:00',2,1,12,2006,'F','N','PICADAS DO SUL','S JOSÉ','SC','224242241216372411546523485124121113147',5522,'270',57.86,1,3,NULL),(25,6140920,'1992-12-23 00:00:00',4,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241248112231431538514395124610115042',14611,'307',40.54,1,2,1),(25,6140939,'1993-09-15 00:00:00',4,4,11,2010,'F','N','CENTRO','ERECHIM','RS','120201201216111431354614575122610122187',12351,'9998',42.71,1,3,NULL),(25,6140947,'1993-01-08 00:00:00',2,1,12,2010,'F','N','CENTRO','ANTÔNIO CARLOS','SC','624241241116271431225555395134610128057',NULL,'21',0.00,1,2,1),(25,6140955,'1982-04-09 00:00:00',2,1,12,1999,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117375421446314245134320828122',8249,'307',54.41,1,2,1),(25,6140971,'1992-04-14 00:00:00',4,1,11,2010,'M','N','VILA IRACEMA','S JOSÉ CAMPOS','SP','125224251235471431468813571124610122057',5017,'9998',57.14,1,3,NULL),(25,6140980,'1991-03-22 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241217372431447913235135131464047',2646,'499',66.50,1,3,NULL),(25,6141005,'1991-08-20 00:00:00',2,8,12,2009,'F','N','ZONA DOIS','MARINGÁ','PR','116162161216473331348813575122610118192',NULL,'9998',0.00,1,3,NULL),(25,6141013,'1992-11-08 00:00:00',4,1,12,2010,'M','N','VILA PROGRESSO','GUARULHOS','SP','125252251217111431478813575122610147053',NULL,'9998',0.00,3,3,NULL),(25,6141021,'1955-05-06 00:00:00',4,4,12,1974,'F','N','CENTRO','PALMITOS','SC','324202201116172431255343432135542616171',NULL,'9998',11.96,1,3,NULL),(25,6141030,'1993-03-18 00:00:00',2,1,12,2010,'F','N','PORTINHO','LAGUNA','SC','124241241117231431211528294334610124197',NULL,'521',0.00,1,2,1),(25,6141048,'1992-07-24 00:00:00',4,8,12,2009,'M','N','SÃO LUIS','JARAGUÁ SUL','SC','124242241216132431344833575122231417012',11950,'1061',48.24,1,3,NULL),(25,6141056,'1993-10-23 00:00:00',4,4,12,2010,'M','N','EFAPI','CHAPECÓ','SC','124241241112231431526614592324610167032',19226,'184',36.46,1,2,1),(25,6141080,'1991-07-23 00:00:00',4,8,12,2010,'M','N','CENTRO','CURITIBA','PR','116163166116271431568814375124610127057',8951,'9998',48.57,3,3,NULL),(25,6141110,'1991-03-11 00:00:00',4,1,11,2008,'M','N','JARDIM CIDADE ALTA','JOAÇABA','SC','124142141117271431269921275124231416187',14806,'9998',43.99,1,3,NULL),(25,6141129,'1992-06-17 00:00:00',4,1,12,2009,'M','N','CENTRO','TERRA ROXA','SP','125254251237471431336615575114610112146',6898,'9998',53.27,1,3,NULL),(25,6141137,'1990-07-31 00:00:00',2,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241124372431421144242244610127047',14991,'289',39.28,1,2,1),(25,6141153,'1991-09-20 00:00:00',2,1,12,2008,'M','N','IBIRAQUERA','IMBITUBA','SC','124241241147111731321339285124610117117',15242,'361',39.72,1,2,1),(25,6141161,'1991-05-02 00:00:00',4,3,12,2008,'M','N','VILA SAO CARLOS','APUCARANA','PR','616163168217151431235912575125242964182',20232,'9998',33.97,1,3,NULL),(25,6141200,'1993-03-25 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124243241315131431445512575122610142147',18334,'1116',34.08,1,3,NULL),(25,6141218,'1993-01-17 00:00:00',4,1,12,2010,'M','N','NOVA BELÉM','PAULO LOPES','SC','124241241225131431514311572224610124187',6676,'262',54.70,1,3,NULL),(25,6141226,'1979-03-22 00:00:00',2,1,12,1997,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124252251417234431228841415122121267117',8301,'9997',54.32,4,3,NULL),(25,6141234,'1986-09-06 00:00:00',2,1,12,2004,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241234273751446619495115130267062',NULL,'266',0.00,1,3,NULL),(25,6141242,'1992-02-18 00:00:00',2,1,12,2010,'F','N','JARDIM SANTA TERESA','JUNDIAÍ','SP','125252251215111431458824575122610123142',11016,'9998',45.38,1,3,NULL),(25,6141250,'1992-01-30 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241121371412633439382124610138147',17211,'922',35.64,1,3,NULL),(25,6141293,'1989-09-21 00:00:00',4,8,12,2007,'M','N','PARQUE MARIANE','S BENTO SUL','SC','124241241216141411345631445233231427042',NULL,'974',0.00,1,3,NULL),(25,6141307,'1985-11-09 00:00:00',4,1,12,2003,'F','N','BARREIROS','S JOSÉ','SC','124241241216434521459839345124331334147',NULL,'943',0.00,1,3,NULL),(25,6141315,'1990-10-07 00:00:00',2,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241136272751536614395114610157147',NULL,'772',23.18,1,2,1),(25,6141374,'1975-04-28 00:00:00',4,1,12,1992,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224212211216152711367843435134341468031',735,'9998',75.80,1,3,NULL),(25,6141382,'1990-02-11 00:00:00',4,1,12,2009,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241126371431424627345233133242022',NULL,'291',43.46,1,2,1),(25,6141390,'1992-10-17 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241125472311429621282214610127043',11910,'291',45.07,1,3,NULL),(25,6141412,'1992-06-15 00:00:00',2,5,12,2009,'F','N','CENTRO','MRO GRANDE','SC','124241248125271711435515395123610127057',NULL,'568',26.82,1,2,1),(25,6141439,'1992-08-12 00:00:00',4,4,11,2010,'F','N','N SRA APARECIDA','FRANCISCO BELTRÃO','PR','116162161215171431449934375122610123152',16066,'9998',36.71,1,3,NULL),(25,6141447,'1988-09-29 00:00:00',2,1,12,2006,'F','N','BEIJA FLOR','BAURU','SP','125251251116575711113649292223241038092',12389,'9998',42.22,1,2,1),(25,6141455,'1992-01-14 00:00:00',4,1,12,2009,'F','N','TAQUARAL','CAMPINAS','SP','125252251217371431337821382114610137147',NULL,'9998',0.00,1,3,NULL),(25,6141480,'1993-01-13 00:00:00',4,16,12,2009,'M','N','CENTRO','ANITA GARIBALDI','SC','124241242115372451323833575114610117052',NULL,'8',22.41,1,3,NULL),(25,6141501,'1990-05-05 00:00:00',4,9,12,2007,'F','N','SANTA RITA','LAGES','SC','124242241215372431436939432122131521097',NULL,'515',21.20,1,3,NULL),(25,6141536,'1991-02-17 00:00:00',2,17,12,2008,'F','N','BANDEIRANTES','JZ FORA','MG','113131131126371431523624385124610164146',NULL,'9998',0.00,2,1,1),(25,6141544,'1993-07-03 00:00:00',4,1,12,2010,'M','N','FAZENDA S ANTÔNIO','S JOSÉ','SC','124242241115371431336614375124610138052',17713,'733',34.13,1,3,NULL),(25,6141552,'1984-09-16 00:00:00',4,1,12,2001,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243161216133751226744345124233226092',NULL,'9998',0.00,1,3,NULL),(25,6141560,'1987-09-02 00:00:00',2,1,12,2004,'F','N','ARIRIÚ','PALHOÇA','SC','124242241215314411569613232124331211142',6959,'1011',53.42,1,3,NULL),(25,6141595,'1973-03-25 00:00:00',2,3,12,1994,'M','N','MORRETES','ITAPEMA','SC','524243247226271431321141215121610128077',17288,'67',40.12,4,3,NULL),(25,6141617,'1980-08-05 00:00:00',2,3,12,2010,'F','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','224091241125131621514444445324610144177',NULL,'51',0.00,1,2,1),(25,6141625,'1993-03-30 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117471431325424372124610144187',NULL,'288',32.32,1,2,1),(25,6141633,'1990-12-12 00:00:00',2,8,12,2008,'M','N','VILA ALTO DE SANTO A','STO ANDRÉ','SP','125252251116472431433724485122610137042',5875,'9998',56.10,1,3,NULL),(25,6141641,'1995-02-15 00:00:00',4,1,12,2010,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241215111431548811574124610122051',18708,'262',37.54,1,3,NULL),(25,6141650,'1989-07-12 00:00:00',2,1,11,2006,'F','N','BARREIROS','S JOSÉ','SC','124242241216172421124413245124230242091',NULL,'1022',0.00,4,3,NULL),(25,6141668,'1991-10-05 00:00:00',4,1,11,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241216152451368719472124122234012',9058,'723',52.95,1,3,NULL),(25,6141676,'1978-10-05 00:00:00',2,1,12,1998,'M','N','PONTA DE BAIXO','S JOSÉ','SC','224241241122141411334442122122333225013',NULL,'728',27.46,2,1,1),(25,6141684,'1990-12-31 00:00:00',4,1,12,2008,'M','N','ALTO ARIRIU','PALHOÇA','SC','124241241136271551533614375124610127042',13957,'1149',45.24,1,2,1),(25,6141706,'1992-07-18 00:00:00',2,1,12,2010,'F','N','GUARDA DO EMBAÚ','PALHOÇA','SC','124241241137271431526611182124610124147',20012,'595',31.12,1,2,1),(25,6141714,'1991-01-15 00:00:00',4,9,12,2007,'M','N','BRUSQUE','LAGES','SC','124242161215272441356811285122131062012',1610,'9998',69.91,1,3,NULL),(25,6141730,'1993-01-11 00:00:00',2,8,11,2010,'F','N','VINTECINCO DE JULHO','S BENTO SUL','SC','124241241135371421315321312324610116142',NULL,'697',15.47,4,3,NULL),(25,6141757,'1993-04-19 00:00:00',4,2,12,2010,'F','N','PROGRESSO','BLUMENAU','SC','124241241117271431438923381124610132072',14412,'80',40.28,1,2,1),(25,6141773,'1957-06-08 00:00:00',2,1,4,1999,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','624051051121131731114448182324231022147',NULL,'9998',0.00,4,2,1),(25,6141781,'1993-01-15 00:00:00',2,1,12,2010,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241117131432423923382224610137052',19948,'329',28.89,1,2,1),(25,6141803,'1992-12-21 00:00:00',2,1,12,2009,'F','N','SÃO JOSÉ','FRAIBURGO','SC','124241241215472731448614575125610133042',4688,'317',59.37,1,3,NULL),(25,6141811,'1993-09-24 00:00:00',4,1,11,2010,'M','N','MERCÊS','CURITIBA','PR','116162161217471731448633575115610167052',1626,'9998',70.52,1,3,NULL),(25,6141820,'1991-10-18 00:00:00',2,1,12,2008,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124242241216374731434623385124133024147',16611,'1074',36.34,1,3,NULL),(25,6141838,'1992-02-23 00:00:00',4,1,12,2009,'F','N','AMAMBAI','CPO GRANDE','MS','112122121215275431569933575122610127092',9053,'9998',52.96,4,3,NULL),(25,6141846,'1990-12-12 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241216273221457834345134610117037',17457,'723',39.83,1,3,NULL),(25,6141870,'1986-08-22 00:00:00',2,1,7,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124161167127371331334432425122610117042',17881,'9998',39.07,1,3,NULL),(25,6141900,'1993-02-17 00:00:00',4,1,11,2010,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241116151431336613575122610167042',NULL,'307',0.00,1,2,1),(25,6141919,'1992-10-12 00:00:00',4,8,10,2009,'M','N','ALTO DA GLORIA','CURITIBA','PR','116112161215471241348916575114610162182',NULL,'9998',0.00,4,3,NULL),(25,6141935,'1986-01-16 00:00:00',2,1,12,2003,'F','N','AREIAS','S JOSÉ','SC','124241241126132711453513145124230216147',NULL,'257',0.00,1,3,NULL),(25,6141943,'1992-05-05 00:00:00',2,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215372431447923575124610164142',2602,'723',66.34,1,3,NULL),(25,6141951,'1993-12-05 00:00:00',4,6,12,2010,'M','N','FAZENDA','ITAJAÍ','SC','124241241516111431356823375122610126142',12469,'388',41.77,1,3,NULL),(25,6141960,'1994-05-31 00:00:00',2,4,11,2010,'M','N','CENTRO','ERECHIM','RS','120203201216111431357712575122610127057',19348,'9998',30.10,1,3,NULL),(25,6141978,'1993-05-12 00:00:00',4,1,12,2010,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124243241117241232354412245124610134182',21156,'729',30.31,1,3,NULL),(25,6141986,'1993-05-23 00:00:00',4,1,12,2010,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124244241335131431434614385124610113092',18620,'733',32.65,3,3,NULL),(25,6141994,'1989-06-04 00:00:00',4,1,11,2007,'F','N','AREIAS','S JOSÉ','SC','124241241136141751433319245124610118012',20052,'307',30.03,1,2,1),(25,6142001,'1992-11-11 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124251241416271431325318571124610128197',15998,'884',37.25,1,3,NULL),(25,6142010,'1992-10-31 00:00:00',2,17,11,2010,'F','N','CENTRO','CURITIBA','PR','116164161415471411338832472114610132172',13874,'9998',40.57,3,3,NULL),(25,6142028,'1984-08-20 00:00:00',2,5,12,2005,'M','N','CENTRO','CRICIÚMA','SC','124246247637251431323339295124231147062',NULL,'9999',22.52,1,3,NULL),(25,6142036,'1991-01-07 00:00:00',4,2,11,2009,'M','N','VICTOR KONDER','BLUMENAU','SC','124134241215472451366921574122610164095',2018,'855',67.67,1,3,NULL),(25,6142044,'1990-10-01 00:00:00',2,9,12,2007,'F','N','COPACABANA','LAGES','SC','124241241116373431425611575122231424045',19593,'498',35.58,4,2,1),(25,6142052,'1986-07-04 00:00:00',4,1,11,2007,'F','N','FORQUILHAS','S JOSÉ','SC','124241241125341511433329242324610122192',NULL,'736',18.43,1,2,1),(25,6142060,'1993-09-29 00:00:00',4,15,12,2010,'F','N','CENTRO','S JOÃO SUL','SC','124241241135131431425623575123610124052',21795,'717',19.67,1,2,1),(25,6142079,'1973-05-03 00:00:00',4,1,12,1999,'M','N','FORQUILHINHAS','S JOSÉ','SC','224241241127472732322241212214610147047',NULL,'342',18.97,1,3,NULL),(25,6142087,'1961-08-15 00:00:00',3,5,12,1978,'F','N','CENTRO','CRICIÚMA','SC','124133131336371431441243432122341211042',NULL,'9998',17.36,2,1,2),(25,6142109,'1992-09-06 00:00:00',4,1,12,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241112352531446313572112121457047',2338,'732',66.41,1,2,1),(25,6142117,'1993-10-24 00:00:00',4,1,12,2010,'F','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241116141731628613372214610134142',NULL,'306',30.02,1,2,1),(25,6142125,'1983-07-31 00:00:00',2,1,12,2004,'F','N','JOAIA','TIJUCAS','SC','124241247126131731323339335122131028197',20380,'9999',28.15,1,2,1),(25,6142133,'1993-05-03 00:00:00',2,4,11,2010,'F','N','KOLLER','ERECHIM','RS','120201201216271431356713575122610122187',NULL,'9998',0.00,1,3,NULL),(25,6142150,'1992-10-27 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241117471431623623575124610135142',18906,'287',36.05,1,2,1),(25,6142168,'1991-04-30 00:00:00',4,3,12,2009,'F','N','CENTRO','IGUATU','PR','116161161141142411428811575122610116012',3061,'9998',64.38,1,2,1),(25,6142176,'1991-08-04 00:00:00',4,6,12,2008,'F','N','REBOUÇAS','CURITIBA','PR','116162161215571431458813572214610162017',NULL,'9998',0.00,1,3,NULL),(25,6142184,'1993-12-01 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124241241115271431436513572124610127062',3779,'739',62.58,1,2,1),(25,6142206,'1992-01-13 00:00:00',4,2,12,2009,'F','N','RIO DO BRAÇO','S JOÃO BATISTA','SC','124241241125472411624429372224610122142',8073,'574',52.42,1,2,1),(25,6142214,'1992-11-22 00:00:00',2,1,12,2009,'F','N','NITEROI','CANOAS','RS','120202201217471331438614575124610162042',13945,'9998',41.96,1,3,NULL),(25,6142222,'1991-09-07 00:00:00',2,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124242241215473431465614575114610127111',6197,'737',55.33,1,3,NULL),(25,6142249,'1988-06-03 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124203201346133731423379395124610123182',NULL,'9998',11.59,1,3,NULL),(25,6142257,'1991-12-02 00:00:00',4,1,12,2008,'M','N','PQ CRUZEIRO DO SUL','S PAULO','SP','125253251415471431456823341134610117057',NULL,'9998',0.00,2,1,2),(25,6142265,'1993-11-30 00:00:00',2,1,12,2010,'F','N','SÃO JOÃO DO RIO VERM','FLORIANÓPOLIS','SC','124241241316271431627628245124610133052',18598,'884',32.77,1,3,NULL),(25,6142273,'1988-05-30 00:00:00',4,8,12,2006,'M','N','JARDIM IRIRIU','JOINVILLE','SC','124243246416131431249913442134131446051',NULL,'494',14.32,1,3,NULL),(25,6142281,'1993-04-03 00:00:00',4,7,12,2009,'F','N','CENTRO','PERITIBA','SC','124241241146472731545611572124610162047',9990,'612',48.58,1,2,1),(25,6142303,'1991-02-06 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215474431438731312114120767062',682,'1022',76.14,4,3,NULL),(25,6142338,'1993-03-09 00:00:00',4,1,12,2010,'F','N','ALPHAVILLE FLAMBOYAN','GOIÂNIA','GO','109092091215111431466612572122610162096',NULL,'9998',0.00,1,3,NULL),(25,6142346,'1989-11-01 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241412155421259923372314120936192',4754,'1022',61.42,1,3,NULL),(25,6142354,'1992-08-18 00:00:00',4,8,12,2010,'M','N','IRIRIÚ','JOINVILLE','SC','124242241217111411379912171122610147112',NULL,'457',0.00,1,3,NULL),(25,6142370,'1989-06-25 00:00:00',2,1,7,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248341372332113344341235610153147',14485,'804',42.02,1,3,NULL),(25,6142389,'1993-07-03 00:00:00',2,4,11,2010,'F','N','CENTRO','ERECHIM','RS','120202201216111431256679575122610122187',11607,'9998',44.32,1,3,NULL),(25,6142397,'1992-01-14 00:00:00',4,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124244241117472431645631312124610161147',11507,'739',45.02,1,3,NULL),(25,6142419,'1992-10-20 00:00:00',2,4,12,2010,'M','N','INTERIOR','FAXINAL GUEDES','SC','124241242115131431523815585344613226042',NULL,'8',0.00,1,3,NULL),(25,6142427,'1992-11-06 00:00:00',4,1,7,2010,'F','N','CENTRO','PALHOÇA','SC','124242247417131351537714575114130824052',NULL,'9999',27.63,1,3,NULL),(25,6142435,'1992-11-30 00:00:00',2,1,12,2010,'F','N','VILA ORESTES','ASSIS','SP','125252251237111732547811392122610163187',NULL,'269',0.00,1,3,NULL),(25,6142443,'1989-02-06 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124243248112371431536633342124610126183',21456,'257',28.36,1,3,NULL),(25,6142451,'1989-02-11 00:00:00',4,5,11,2006,'M','N','PRIMEIRA LINHA','CRICIÚMA','SC','124242248216371411443319345122610127173',19835,'995',35.07,1,3,NULL),(25,6142460,'1972-05-14 00:00:00',2,16,9,2010,'M','N','CENTRO','LEBON RÉGIS','SC','124241248121131411533445351344610126182',17464,'9999',39.82,1,3,NULL),(25,6142478,'1979-01-24 00:00:00',4,1,12,1996,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','524244241416575431135843335332321522181',8342,'272',54.23,1,3,NULL),(25,6142486,'1992-05-26 00:00:00',4,3,12,2009,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116162161217111431479612575122140237012',13515,'9998',45.90,1,3,NULL),(25,6142494,'1986-09-17 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124241241126471431654413345114610164047',16739,'736',41.02,1,2,1),(25,6142508,'1990-09-27 00:00:00',4,16,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124243241136141751246822285122230768042',15038,'239',43.62,1,3,NULL),(25,6142516,'1991-04-15 00:00:00',4,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201241315131431323369172124610116037',6187,'884',58.35,4,3,NULL),(25,6142524,'1991-02-19 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124132131217271431369814345122241762145',18090,'9998',38.66,1,3,NULL),(25,6142532,'1992-02-02 00:00:00',4,1,12,2008,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121217472711378831575114240237067',1038,'9998',71.13,1,3,NULL),(25,6142540,'1991-06-28 00:00:00',4,1,11,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241137471722537674246234610132197',18229,'288',32.80,1,2,1),(25,6142559,'1994-11-11 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212121431326614575122610127047',NULL,'273',26.21,1,3,NULL),(25,6142575,'1993-07-18 00:00:00',4,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241216371431488834575124610137112',13048,'270',44.20,1,3,NULL),(25,6142583,'1988-02-01 00:00:00',2,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241127271421126644245134130648091',15541,'500',42.84,1,3,NULL),(25,6142605,'1991-12-09 00:00:00',4,2,12,2009,'F','N','BREMER','RIO SUL','SC','124244241215272431337713375124610124017',4622,'663',59.78,1,3,NULL),(25,6142621,'1992-06-20 00:00:00',4,1,12,2009,'F','N','ORLEANS','CURITIBA','PR','116162161115471411458824375114610124097',5489,'9998',55.00,1,3,NULL),(25,6142630,'1991-11-06 00:00:00',2,5,11,2009,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241235371431655514372122610168042',NULL,'213',15.57,1,3,NULL),(25,6142648,'1993-08-16 00:00:00',2,1,12,2010,'M','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241126471431433319175124610117097',11861,'1099',43.24,1,2,1),(25,6142664,'1984-12-08 00:00:00',4,1,12,2002,'M','N','BELA VISTA','S PAULO','SP','125252251216572411488824415122141464182',3591,'9998',62.27,4,3,NULL),(25,6142672,'1993-08-20 00:00:00',2,4,11,2010,'F','N','ALVORADA','FRANCISCO BELTRÃO','PR','116161161417111431546632572112610142142',NULL,'9998',0.00,1,3,NULL),(25,6142702,'1988-04-15 00:00:00',4,8,12,2005,'F','N','JARDIM ARPOADOR','S PAULO','SP','125252251217573431349629275124610167187',2171,'9998',66.64,2,3,NULL),(25,6142710,'1987-07-31 00:00:00',2,1,12,2004,'M','N','CENTRO','CONDOR','RS','120201201137371431435311115125143222057',NULL,'9998',0.00,4,2,1),(25,6142737,'1988-01-05 00:00:00',4,1,12,2004,'F','N','COSTA DE DENTRO','FLORIANÓPOLIS','SC','124163161111275431126641215334131021027',NULL,'9998',26.01,1,3,NULL),(25,6142745,'1986-02-01 00:00:00',2,1,12,2003,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124161161116132431126844445134130727052',NULL,'9998',18.73,4,1,1),(25,6142761,'1990-07-10 00:00:00',4,8,12,2008,'M','N','BOA VISTA','JOINVILLE','SC','124242241415371411338934575114130626041',NULL,'459',41.21,1,3,NULL),(25,6142788,'1992-09-08 00:00:00',4,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215372431468732375114133265187',1699,'270',69.19,1,3,NULL),(25,6142796,'1989-09-17 00:00:00',4,1,11,2007,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124254251237472221556612345112610114102',11116,'9998',46.26,1,3,NULL),(25,6142800,'1992-07-30 00:00:00',2,1,12,2009,'F','N','CENTRO','BOA V SUL','RS','120201201117471711433933575124610161197',6332,'9998',55.34,1,2,1),(25,6142818,'1993-09-28 00:00:00',2,16,12,2010,'F','N','SENHORA APARECIDA','BRUNÓPOLIS','SC','124241241145411431423315572222610168015',18912,'239',37.10,1,2,1),(25,6142826,'1992-10-12 00:00:00',2,4,12,2009,'M','N','DIVINÉIA','PINHALZINHO','SC','124241241126212231543612145123610117062',NULL,'1032',0.00,1,2,1),(25,6142834,'1987-07-21 00:00:00',2,1,11,2004,'F','N','POTECAS','S JOSÉ','SC','124201247142472431423379341124610166141',NULL,'9997',31.62,1,3,NULL),(25,6142842,'1984-06-04 00:00:00',4,1,12,2002,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241122152721413211281334610124097',NULL,'298',0.00,3,3,NULL),(25,6142869,'1990-11-03 00:00:00',4,1,12,2008,'M','N','VL ALEXANDRIA','S PAULO','SP','125254251226473411238774215124141022082',3659,'9998',62.05,1,3,NULL),(25,6142877,'1993-09-30 00:00:00',4,17,12,2010,'M','N','CENTRO','CANOINHAS','SC','124242241214161731446632575122610164095',10406,'973',46.49,1,3,NULL),(25,6142885,'1992-05-06 00:00:00',4,8,12,2009,'M','N','CENTRO','EXTREMA','MG','113133131146271431533619372122610162097',NULL,'9998',38.12,1,3,NULL),(25,6142893,'1988-08-04 00:00:00',2,1,12,2005,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242247317145431447923495124232841187',13089,'9999',41.35,1,3,NULL),(25,6142907,'1991-05-10 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S JOSÉ','SC','124243241115373211426614345124130868077',NULL,'734',31.95,1,3,NULL),(25,6142915,'1992-05-02 00:00:00',4,8,12,2009,'F','N','IRIRIÚ','JOINVILLE','SC','124241241214271431436634245124610143142',NULL,'1105',0.00,1,3,NULL),(25,6142923,'1990-04-08 00:00:00',4,2,12,2007,'F','N','VORSTADT','BLUMENAU','SC','124242241215371431227729372124131232112',19451,'909',35.92,1,3,NULL),(25,6142931,'1985-10-17 00:00:00',4,1,12,2002,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124241241116154431437311385124220966093',8022,'289',54.80,1,2,1),(25,6142958,'1971-10-11 00:00:00',2,1,12,1991,'F','N','ARIRIU','PALHOÇA','SC','224241243122171411433353431212610117147',NULL,'591',21.09,1,2,1),(25,6142974,'1981-11-27 00:00:00',2,1,12,1998,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224253258226135431324651445134120528197',20532,'9998',33.00,1,3,NULL),(25,6142982,'1992-02-02 00:00:00',4,17,12,2009,'M','N','CAMPO DÁGUA VERDE','CANOINHAS','SC','124241241112372421224324582321610137047',19277,'146',36.33,2,1,1),(25,6142990,'1988-06-03 00:00:00',2,1,11,2009,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124201207137131431223344246234610134053',NULL,'9998',0.00,1,2,1),(25,6143008,'1993-10-17 01:00:00',4,1,12,2010,'F','N','CENTRO','DA EMMA','SC','124241241126271431538734575122610137142',20201,'247',34.07,1,2,1),(25,6143016,'1988-03-09 00:00:00',2,8,12,2005,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124241241126372431343314382123131217057',11749,'890',48.55,1,2,1),(25,6143024,'1992-07-03 00:00:00',4,1,12,2009,'M','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241112132431346333392124231067042',15882,'772',37.48,1,2,1),(25,6143040,'1987-05-18 00:00:00',2,1,12,2001,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','224241241117131111226341242234610114142',NULL,'734',0.00,1,2,1),(25,6143075,'1991-03-28 00:00:00',2,16,12,2007,'M','N','UNIVERSITÁRIO','CURITIBANOS','SC','624241241111374731326414215122610167052',20152,'239',34.19,4,2,1),(25,6143083,'1993-03-31 00:00:00',4,10,11,2010,'M','N','CENTRO','TUBARÃO','SC','124202241215131231358614575115610167012',2948,'807',65.22,1,3,NULL),(25,6143091,'1991-01-09 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241248115211431523718285124610163077',NULL,'306',28.65,4,1,1),(25,6143105,'1993-01-13 00:00:00',4,17,11,2010,'F','N','APARECIDA','CANOINHAS','SC','124241241216271431246923395124610123077',11128,'154',44.32,1,3,NULL),(25,6143113,'1993-03-14 00:00:00',4,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241215131431325614575124610135192',15721,'1074',42.57,1,3,NULL),(25,6143130,'1984-11-03 00:00:00',2,1,12,2003,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','224201125116133421243854235124122236187',11782,'9998',48.51,4,1,1),(25,6143148,'1993-03-02 00:00:00',4,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241121272431624614341232610166187',19762,'295',29.24,1,2,1),(25,6143156,'1992-02-26 00:00:00',2,8,11,2009,'F','N','VILA MARGARIDA','OURINHOS','SP','125251251116471731528834385125610167071',12353,'9998',47.60,1,2,1),(25,6143164,'1993-11-10 00:00:00',4,1,10,2010,'F','N','NOVA IORQUE','CASCAVEL','PR','116161161215121231466612572122610164093',10197,'9998',45.49,1,3,NULL),(25,6143180,'1989-11-25 00:00:00',4,1,12,2007,'F','N','JARDIM PAULISTA','S PAULO','SP','125252251217572431579813571122241468092',NULL,'9998',41.42,1,3,NULL),(25,6143199,'1992-04-15 00:00:00',1,6,12,2010,'M','N','COLONIA VITORIA','GUARAPUAVA','PR','116162161216111432528816575112610167072',5576,'9998',59.61,1,3,NULL),(25,6143202,'1991-03-26 00:00:00',2,1,12,2008,'F','N','CAMPESTRE','VIDAL RAMOS','SC','124241241125574431545515195124610147057',6824,'828',54.80,1,2,1),(25,6143229,'1986-11-28 00:00:00',4,6,12,2004,'F','N','FAZENDA','ITAJAÍ','SC','124242241216153421359913411124442527142',8232,'388',54.45,1,3,NULL),(25,6143237,'1987-11-09 00:00:00',4,1,12,2005,'M','N','JARDIM GUAIO','SUZANO','SP','125254251217511731448811471125610166182',NULL,'9998',0.00,3,3,NULL),(25,6143245,'1992-12-16 00:00:00',2,8,12,2010,'M','N','SÃO MARCOS','JOINVILLE','SC','124242241216371431466933575122610167092',NULL,'1105',30.17,1,3,NULL),(25,6143253,'1990-03-07 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215473431569711475124131027062',9501,'1022',48.13,1,3,NULL),(25,6143261,'1984-10-19 00:00:00',4,1,12,2002,'F','N','ASA NORTE','BRASÍLIA','DF','107074071216272731348831575122341563027',7832,'9998',55.15,1,3,NULL),(25,6143270,'1990-04-06 00:00:00',4,3,12,2007,'M','N','SANTOS DUMMONT','LONDRINA','PR','116164161215472431458711575122610127042',5559,'9998',56.58,1,3,NULL),(25,6143288,'1993-08-07 00:00:00',4,1,11,2010,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215471431378834574122610163012',3881,'9998',63.60,1,3,NULL),(25,6143296,'1993-05-04 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217111431363923472122610131012',6952,'951',54.48,1,3,NULL),(25,6143300,'1993-01-22 00:00:00',4,6,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215371531468811275122610167052',6168,'44',55.51,1,3,NULL),(25,6143318,'1985-07-30 00:00:00',4,1,11,2002,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216134421121121375124222933193',NULL,'213',0.00,1,3,NULL),(25,6143326,'1994-01-24 00:00:00',2,8,11,2010,'F','N','CENTRO','BAL BARRA SUL','SC','124241241327131731438819582112610122072',NULL,'41',26.32,1,3,NULL),(25,6143334,'1990-10-05 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241117161431435413592224610117047',NULL,'285',26.58,1,3,NULL),(25,6143342,'1993-01-20 00:00:00',2,10,12,2010,'M','N','SANTA APOLÔNIA','SANGÃO','SC','124241241125141121663312211112610117142',NULL,'685',0.00,1,2,1),(25,6143350,'1993-03-27 00:00:00',2,1,12,2010,'F','N','CENTRO','CONDOR','RS','120201201117471431426932572124610134147',NULL,'9998',26.15,1,3,NULL),(25,6143369,'1993-05-28 00:00:00',2,1,11,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124241241236371431437613345124610164092',NULL,'63',0.00,1,3,NULL),(25,6143377,'1985-02-09 00:00:00',4,1,12,2003,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','624241241132471431656619492124610128017',NULL,'307',27.24,1,2,1),(25,6143393,'1974-10-31 00:00:00',2,1,12,1999,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124251251117131431117641112324141211112',NULL,'9998',22.71,1,3,NULL),(25,6143407,'1993-01-23 00:00:00',4,4,12,2010,'M','N','INTERIOR','PASSOS MAIA','SC','124241242115131431624416595244613226042',17261,'8',35.23,4,2,1),(25,6143415,'1989-05-21 00:00:00',2,3,12,2006,'F','N','AVARÉ','PARANAVAÍ','PR','116162161216471431543832275112141365142',15833,'9998',36.71,1,3,NULL),(25,6143440,'1993-04-29 00:00:00',2,16,12,2010,'M','N','BELA VISTA','LEBON RÉGIS','SC','124243241114151432424714475122610167016',9679,'532',47.75,1,3,NULL),(25,6143458,'1993-05-14 00:00:00',4,1,12,2010,'M','N','VILA A','FOZ IGUAÇU','PR','116164161216111111289913475112610134182',18175,'9998',35.97,1,3,NULL),(25,6143466,'1993-06-03 00:00:00',4,1,12,2010,'M','N','CENTRO HISTORICO','PARANAGUÁ','PR','116162161216371131369613575112610168097',14595,'9998',39.38,1,3,NULL),(25,6143490,'1993-05-03 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124244241225111431446839571124610144097',10700,'262',45.53,1,3,NULL),(25,6143504,'1992-01-25 00:00:00',4,4,12,2009,'M','N','BAIRRO PES','ARATIBA','RS','120201206136141731433935495124610167052',NULL,'9998',31.76,1,2,1),(25,6143520,'1994-03-24 00:00:00',4,2,12,2011,'F','S','RIO TIGRE','BENEDITO NOVO','SC','124241241215111431665832375124610137147',NULL,'1157',48.60,1,3,NULL),(25,6143539,'1992-05-13 00:00:00',2,7,12,2010,'M','N','CENTRO','TREZE TÍLIAS','SC','124241242115112431426614595124613226042',NULL,'8',20.71,1,3,NULL),(25,6143547,'1991-04-09 00:00:00',4,1,12,2008,'F','N','VILA FORMOSA','PRES PRUDENTE','SP','125252251215574431456616574122610127097',117,'9998',82.99,1,3,NULL),(25,6143555,'1992-09-10 00:00:00',4,8,12,2009,'M','N','CENTRO','ALFREDO MARCONDES','SP','125254251215471731346833575122610112092',1287,'9998',71.90,1,3,NULL),(25,6143571,'1990-05-09 00:00:00',4,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241136131411468613345113610114187',NULL,'592',32.10,1,3,NULL),(25,6143580,'1986-04-27 00:00:00',2,1,12,2002,'F','N','AZENHA','PTO ALEGRE','RS','120202201216572431343427372112342362147',2403,'9998',66.56,1,3,NULL),(25,6143598,'1986-04-03 00:00:00',2,1,12,2003,'M','N','SETOR O','CEILÂNDIA','DF','107071071116371431436614275125341564127',NULL,'9998',0.00,1,2,1),(25,6143601,'1984-10-19 00:00:00',4,1,12,2001,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117374431369923385112533244187',5554,'267',59.65,2,1,1),(25,6143610,'1989-03-17 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247137371711623379191124610137047',NULL,'9999',38.79,1,2,1),(25,6143628,'1981-09-16 00:00:00',2,1,12,2002,'M','N','IPIRANGA','S JOSÉ','SC','124241241126274431423319185124610114042',20470,'734',28.74,1,2,1),(25,6143636,'1989-10-26 00:00:00',4,1,12,2006,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241116135421323611185224522262047',19390,'591',36.09,4,2,1),(25,6143644,'1992-12-29 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115471431636512285124610127147',18363,'288',34.35,1,2,1),(25,6143652,'1993-05-02 00:00:00',2,1,12,2010,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241127161751424633576122610165187',16604,'649',36.40,1,2,1),(25,6143660,'1993-07-26 00:00:00',4,8,11,2010,'M','N','ALDEOTA','FORTALEZA','CE','106064061215111431528918575114610167142',16767,'9998',35.44,4,3,NULL),(25,6143679,'1991-05-28 00:00:00',4,1,12,2008,'M','N','FORQUILHAS','S JOSÉ','SC','124241241112272311335713245134610117093',17903,'732',39.03,1,2,1),(25,6143687,'1993-08-06 00:00:00',4,17,12,2010,'F','N','JARDIM ESPERANÇA','CANOINHAS','SC','124244241216111431437832575112610124071',11473,'154',43.86,1,3,NULL),(25,6143695,'1993-05-17 00:00:00',4,4,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241215473411469733575124610132053',2457,'752',66.35,4,3,NULL),(25,6143709,'1991-10-02 00:00:00',4,1,12,2009,'F','N','CENTRO','BURITAMA','SP','125253251117472431336624285211610125152',12051,'9998',42.18,1,3,NULL),(25,6143725,'1992-02-07 00:00:00',4,1,11,2009,'M','N','SIQUEIRA CAMPOS','ARACAJU','SE','126262261217122441485912345112610166172',11251,'9998',44.43,1,3,NULL),(25,6143733,'1992-05-13 00:00:00',4,1,12,2009,'M','N','CENTRO','JUNDIAÍ','SP','125252251215371431479714575122610167044',13536,'9998',40.49,1,3,NULL),(25,6143741,'1993-10-05 00:00:00',4,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124242241215111731233623572114610117042',18248,'1022',31.49,4,3,NULL),(25,6143750,'1994-11-13 00:00:00',4,9,11,2011,'F','S','FÁTIMA','OTACÍLIO COSTA','SC','124241248415111731646612575114610115077',NULL,'497',15.26,3,3,NULL),(25,6143768,'1991-09-18 00:00:00',4,8,12,2009,'F','N','JUVEVÊ','CURITIBA','PR','116252251215471431369934475122610163187',956,'9998',73.06,1,3,NULL),(25,6143776,'1992-01-31 00:00:00',4,1,12,2010,'M','N','CENTRO','CORUMBÁ','MS','112122121217571531468931575122610164052',19213,'9998',36.50,4,3,NULL),(25,6143792,'1993-03-05 00:00:00',4,1,12,2010,'F','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112122128215111431227921595122610167072',NULL,'9997',37.09,1,3,NULL),(25,6143806,'1992-10-03 00:00:00',2,1,12,2009,'M','N','CENTRO','BRAGA','RS','120201201147371231333635291122141467047',19701,'9998',27.87,1,2,1),(25,6143814,'1970-07-15 00:00:00',4,1,12,1988,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241243126145221235343335134320662097',NULL,'29',28.59,1,2,1),(25,6143822,'1993-04-27 00:00:00',2,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241425111431328521291124610127067',15190,'262',37.84,1,3,NULL),(25,6143849,'1993-11-27 00:00:00',4,1,12,2010,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124244248317131431529733572124613247147',16151,'9997',37.26,4,3,NULL),(25,6143857,'1993-06-08 00:00:00',2,1,12,2010,'F','N','ESTREITO CANTO','FLORIANÓPOLIS','SC','124242241215371431448611572122610123142',6585,'262',55.11,1,3,NULL),(25,6143865,'1993-10-21 00:00:00',2,15,12,2010,'M','N','SÃO GABRIEL','PR GRANDE','SC','124241242116151712346314572214610127175',14023,'690',38.64,1,2,1),(25,6143873,'1991-09-20 00:00:00',4,1,12,2009,'M','N','JD SOROCABANO','SOROCABA','SP','125252251215471731378821575112610167182',2396,'9998',67.81,1,3,NULL),(25,6143890,'1993-09-19 00:00:00',2,5,12,2010,'F','N','VERA CRUZ','CRICIÚMA','SC','124243241117371751526759575125610134147',19992,'209',28.35,1,3,NULL),(25,6143903,'1992-09-17 00:00:00',4,4,11,2009,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241217472431469932482122610138182',6977,'185',54.21,1,3,NULL),(25,6143911,'1991-05-15 00:00:00',4,1,2,2010,'M','N','SETOR SUDOESTE','GOIÂNIA','GO','109092078216471411388812595112610147042',20803,'9998',31.94,1,3,NULL),(25,6143920,'1991-01-10 00:00:00',2,17,12,2008,'M','N','CENTRO','MAFRA','SC','124241163211371431443312445122610137072',NULL,'541',20.69,1,3,NULL),(25,6143938,'1993-10-16 00:00:00',4,1,12,2010,'F','N','JARDIM TROPICAL','DOURADOS','MS','112122121216111731369834475122610126142',NULL,'9998',45.71,1,3,NULL),(25,6143946,'1992-12-17 00:00:00',2,9,12,2009,'F','N','DESVIO RIZZO','CAXIAS SUL','RS','120201201115471431333639281124142523097',4089,'9998',60.98,1,2,1),(25,6143954,'1992-04-22 00:00:00',3,8,11,2008,'F','N','MERCÊS','CURITIBA','PR','116012161215572431469933575124610162092',1882,'9998',67.90,4,3,NULL),(25,6143970,'1993-07-15 00:00:00',4,1,11,2010,'F','N','JARDIM AMERICA','DOURADOS','MS','112122121216111431558814445112610112142',6711,'9998',57.28,1,3,NULL),(25,6143989,'1993-05-13 00:00:00',2,8,11,2010,'M','N','IRIRIU','JOINVILLE','SC','124242241217111431446929291122610167041',18431,'931',38.06,1,3,NULL),(25,6143997,'1990-07-01 00:00:00',2,1,12,2007,'F','N','PRAIA JOAO ROSA','BIGUAÇU','SC','124241241132131431436613375114610124077',NULL,'65',32.02,1,3,NULL),(25,6144004,'1992-09-07 00:00:00',4,9,11,2009,'F','N','CORAL','LAGES','SC','124242241217471431448812576122610133182',14262,'497',40.13,1,3,NULL),(25,6144012,'1989-09-22 00:00:00',2,1,12,2007,'F','N','CENTRO','RIO NEGRO','PR','116241241216112421426513125122131027072',NULL,'541',0.00,1,3,NULL),(25,6144039,'1991-11-18 00:00:00',2,4,12,2009,'F','N','LIDER','CHAPECÓ','SC','124241248116131431215529575224610122077',NULL,'127',29.27,2,1,1),(25,6144047,'1992-10-15 00:00:00',4,1,11,2010,'M','N','CENTRO','CPO GRANDE','MS','112122121217471731368932575112610134123',NULL,'9998',0.00,1,3,NULL),(25,6144055,'1988-12-13 00:00:00',4,1,12,2006,'F','N','CENTRO','S PEDRO ALCÂNTARA','SC','124241241127272411323313445134610122147',19813,'869',28.08,1,2,1),(25,6144063,'1992-06-14 00:00:00',2,1,12,2009,'M','N','SAVEIRO','BIGUAÇU','SC','124241241117372231626611586124610142057',NULL,'65',30.47,1,2,1),(25,6144071,'1993-01-29 00:00:00',4,2,12,2010,'F','N','NAÇÕES','TIMBÓ','SC','124244241215121441459912575112610128177',7566,'1157',51.72,1,3,NULL),(25,6144080,'1989-12-13 00:00:00',2,3,12,2007,'M','N','IGAPO','LONDRINA','PR','116112111217572411557832575122610117042',NULL,'9998',35.30,1,3,NULL),(25,6144098,'1992-07-31 00:00:00',2,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124241241117472431423611385124610127092',8369,'729',50.62,1,2,1),(25,6144101,'1992-03-31 00:00:00',2,1,12,2009,'M','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125253251435471431448823575112610162094',7233,'9998',56.29,1,3,NULL),(25,6144110,'1992-06-21 00:00:00',3,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215273731589931571112133217112',297,'270',79.73,1,3,NULL),(25,6144128,'1982-05-10 00:00:00',2,8,12,1999,'M','N','VARGEM GRANDE','PINHAIS','PR','116161161316311141323344145124132866157',NULL,'9999',0.00,1,3,NULL),(25,6144136,'1962-06-14 00:00:00',2,1,12,1997,'F','N','CENTRO','FLORIANÓPOLIS','SC','224242241226274441461343131132331045182',NULL,'266',0.00,1,3,NULL),(25,6144144,'1992-07-08 00:00:00',4,17,12,2009,'F','N','SOSSEGO','CANOINHAS','SC','124241241116272431324911572111610116197',NULL,'146',29.84,1,2,1),(25,6144152,'1981-06-08 00:00:00',2,1,12,1999,'F','N','SERTÃO DO IMARUIM','S JOSÉ','SC','124241243136274411223644145234610126187',11981,'739',42.46,1,2,1),(25,6144160,'1994-10-07 00:00:00',4,9,12,2010,'M','N','CENTRO','HORIZONTINA','RS','120202201216471431546923575121610168147',94,'9998',83.78,1,3,NULL),(25,6144179,'1993-03-10 00:00:00',4,8,12,2010,'F','N','SANTANA','ARAÇATUBA','SP','125252251215171431436631575122610164192',17826,'9998',33.71,1,3,NULL),(25,6144187,'1992-12-01 00:00:00',4,8,11,2010,'F','N','SANTA CATARINA','JOINVILLE','SC','124242241215121431538813575124610146092',5657,'1016',57.63,1,3,NULL),(25,6144195,'1990-06-06 00:00:00',4,1,12,2008,'M','N','URCA','RIO JANEIRO','RJ','121212211216151431448911575121240367187',3381,'9998',62.86,1,3,NULL),(25,6144209,'1993-06-28 00:00:00',4,16,12,2010,'F','N','BOSQUE','CURITIBANOS','SC','124242241215141431438912572125610121142',NULL,'881',0.00,1,3,NULL),(25,6144217,'1987-03-24 00:00:00',2,1,12,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241248125131331226574372123610134147',NULL,'278',15.93,1,2,1),(25,6144225,'1992-09-22 00:00:00',2,8,12,2009,'M','N','AVENTUREIRO','JOINVILLE','SC','124241246214372731336614345124610125142',NULL,'1105',0.00,1,3,NULL),(25,6144241,'1988-05-14 00:00:00',4,1,12,2005,'M','N','CAMPO LIMPO','S PAULO','SP','125252251316471731439612485124142367097',4196,'9998',61.32,3,3,NULL),(25,6144250,'1992-09-14 00:00:00',4,8,12,2009,'F','N','CENTRO','BAL BARRA SUL','SC','124241241126372431438923595122133263117',NULL,'41',19.41,1,2,1),(25,6144284,'1993-05-14 00:00:00',2,1,11,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124244241112271431444314245122610147141',18682,'734',31.53,1,3,NULL),(25,6144292,'1992-05-18 00:00:00',4,1,12,2009,'F','N','BELA VISTA','PTO ALEGRE','RS','120242201217573431489913572112610122142',1046,'9998',72.57,1,3,NULL),(25,6144314,'1993-01-12 00:00:00',2,10,12,2010,'M','N','MAGALHÃES','LAGUNA','SC','124246248625131431424839591125610137047',19204,'524',36.53,1,3,NULL),(25,6144322,'1990-09-15 00:00:00',4,5,12,2007,'M','N','JARDIM DAS PAINEIRAS','SANTIAGO','RS','120202201215571731487616591125610118122',4761,'9998',58.97,1,3,NULL),(25,6144330,'1992-05-26 00:00:00',4,1,12,2009,'F','N','VILA ODIN','SOROCABA','SP','125251251215471411469912375122610132012',4416,'9998',59.65,1,3,NULL),(25,6144357,'1993-05-17 00:00:00',4,8,12,2010,'F','N','SAO JOAQUIM','ARAÇATUBA','SP','125252251215171431436631575122610164192',12093,'9998',42.11,1,3,NULL),(25,6144365,'1987-04-15 00:00:00',2,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224201201126132431223344245123610137052',19786,'9998',35.18,3,2,1),(25,6144381,'1989-01-05 00:00:00',2,8,11,2008,'M','N','VILA SANTA IZABEL','CAMPINAS','SP','125251251126271411438723385124610142091',NULL,'9998',0.00,2,2,1),(25,6144390,'1993-04-12 00:00:00',2,15,12,2010,'F','N','ÚLTIMO RIO','JACINTO MACHADO','SC','124241241116373431433315576122610168147',16270,'420',38.29,1,3,NULL),(25,6144403,'1989-08-04 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215575431238724375125610133077',419,'270',78.27,1,3,NULL),(25,6144411,'1992-05-19 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124243241337121411636613575124610123162',12320,'1022',44.68,1,3,NULL),(25,6144420,'1990-03-29 00:00:00',2,1,12,2007,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241125572421523319595124610134192',20665,'291',32.53,1,3,NULL),(25,6144438,'1993-08-22 00:00:00',4,17,12,2010,'M','N','ALTO','MAFRA','SC','124241161216151431459933575225610164072',10743,'9998',45.23,1,3,NULL),(25,6144446,'1984-04-25 00:00:00',2,15,11,2009,'M','N','POLÍCIA RODOVIÁRIA','ARARANGUÁ','SC','624201247147131421223644242321610111097',20194,'9999',34.09,1,2,1),(25,6144454,'1992-09-12 00:00:00',4,1,12,2009,'M','N','BROOKLIN','S PAULO','SP','125252251217472731589814573114610142097',NULL,'9998',0.00,1,3,NULL),(25,6144462,'1994-02-16 00:00:00',2,7,12,2010,'F','N','INTERIOR','STO EXPEDITO SUL','RS','120201201116271431644923472124610132142',NULL,'9998',0.00,1,2,1),(25,6144470,'1992-08-14 00:00:00',2,1,12,2009,'F','N','CENTRO','MANDAGUARI','PR','116164161216472431449814572122610123192',6693,'9998',57.31,1,3,NULL),(25,6144500,'1991-02-11 00:00:00',4,8,12,2008,'F','N','LIBERDADE','S PAULO','SP','125252251216571432436631515122610164192',1840,'9998',68.77,1,3,NULL),(25,6144519,'1992-03-31 00:00:00',2,1,12,2009,'M','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125253251417471131448823575112610164044',5517,'9998',56.00,1,3,NULL),(25,6144527,'1993-08-10 00:00:00',2,15,12,2010,'F','N','CENTRO','PR GRANDE','SC','124241248217152731338832572124610147142',18194,'970',32.98,1,3,NULL),(25,6144535,'1993-08-30 00:00:00',2,1,12,2010,'F','N','SÃO FRANCISCO','CPO GRANDE','MS','112122121215111431469611175112610163072',NULL,'9998',19.52,1,3,NULL),(25,6144543,'1985-10-09 00:00:00',2,1,12,2002,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241346145731236644145134221167047',8944,'53',49.02,1,3,NULL),(25,6144551,'1993-06-26 00:00:00',2,1,12,2010,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241116371431533514276124610114142',12185,'733',44.90,1,2,1),(25,6144560,'1993-03-05 00:00:00',2,8,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116163161115572411429828575112610162037',96,'9998',83.71,1,3,NULL),(25,6144578,'1965-11-08 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241245117131631213349492124610138197',19703,'293',35.36,1,3,NULL),(25,6144586,'1994-02-16 00:00:00',4,3,12,2010,'F','N','CENTRO','ALTÔNIA','PR','116162161416371431446633575125610128142',16891,'9998',40.79,1,3,NULL),(25,6144608,'1992-02-18 00:00:00',2,8,7,2010,'M','N','IRIRIU','JOINVILLE','SC','124243247315271751236922396124610137042',NULL,'9999',0.00,1,3,NULL),(25,6144616,'1993-06-12 00:00:00',2,1,12,2010,'F','N','CENTRO','NOVA ARAÇÁ','RS','120203201227161431426633275122610137147',17236,'9998',34.86,1,3,NULL),(25,6144624,'1984-09-14 00:00:00',2,1,4,2010,'M','N','CENTRO','STA MARIA','RS','120206207616242241224421295125241468182',NULL,'9998',29.03,1,3,NULL),(25,6144632,'1991-12-30 00:00:00',4,4,12,2008,'M','N','JARDIM ALVORADA','CASCAVEL','PR','116162161215571731446831475124610162142',42,'9998',86.11,3,3,NULL),(25,6144640,'1993-09-07 00:00:00',4,1,12,2010,'F','N','CENTRO','CPO GRANDE','MS','112122121235111431578839475112610154142',NULL,'9998',0.00,1,3,NULL),(25,6144659,'1990-08-30 00:00:00',4,1,12,2008,'F','N','SANTA CRUZ','BOITUVA','SP','125252251215571411456832395122610164187',NULL,'9998',0.00,4,3,NULL),(25,6144667,'1990-07-10 00:00:00',4,1,10,2009,'M','N','ASA SUL','BRASÍLIA','DF','107072077217271411479834445122141417181',NULL,'9998',0.00,1,3,NULL),(25,6144675,'1970-07-15 00:00:00',4,1,9,1991,'M','N','BARREIROS','S JOSÉ','SC','224241246126371421363354244122131028187',15302,'306',43.24,1,2,1),(25,6144691,'1993-04-19 00:00:00',4,8,12,2010,'M','N','CENTRO','S BENTO SUL','SC','124241241115161511536933581222610137142',19970,'697',34.67,4,3,NULL),(25,6144705,'1994-02-10 00:00:00',4,2,11,2011,'F','S','PRIMEIRO DE MAIO','BRUSQUE','SC','124242248215271431368814575122610137142',NULL,'981',47.90,4,3,NULL),(25,6144713,'1993-05-30 00:00:00',2,1,12,2010,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124243241116271311436933575124610127042',16062,'772',40.97,1,3,NULL),(25,6144721,'1993-08-24 00:00:00',4,8,12,2010,'F','N','CENTRO','ARAÇATUBA','SP','125252251215111432436631575122610164192',NULL,'9998',0.00,1,3,NULL),(25,6144730,'1992-04-10 00:00:00',4,8,12,2009,'M','N','CAPELINHA','QUIRINÓPOLIS','GO','109091091415471431547831175124610162177',14147,'9998',38.40,4,3,NULL),(25,6144756,'1993-04-10 00:00:00',4,1,11,2010,'M','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124242241215141331324614345124610124187',17110,'63',35.81,1,3,NULL),(25,6144772,'1991-08-05 00:00:00',2,8,12,2008,'M','N','JARDIM UNIVERSITÁRIO','MARINGÁ','PR','116221221216571431568713575115610144147',1034,'9998',73.76,1,3,NULL),(25,6144780,'1993-08-02 00:00:00',4,8,12,2010,'F','N','CENTRO','RIO NEGRINHO','SC','124241241115161411678871182122610168147',14287,'669',38.84,1,2,1),(25,6144802,'1993-03-03 00:00:00',4,1,10,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216121432365313385124610124142',12647,'9997',47.13,1,3,NULL),(25,6144810,'1993-07-01 00:00:00',4,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241115271431348833495124610122142',18628,'271',32.91,1,3,NULL),(25,6144829,'1991-01-03 00:00:00',4,1,12,2009,'M','N','CAIU DO CÉU','OSÓRIO','RS','120204208617472752538811297125610167184',3485,'9998',63.29,1,3,NULL),(25,6144837,'1991-08-13 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241127272731524923575124233214142',NULL,'750',19.63,1,2,1),(25,6144845,'1993-10-08 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241216111331438511575224610114142',NULL,'1048',21.16,1,3,NULL),(25,6144853,'1990-12-20 00:00:00',4,1,12,2008,'F','N','CASCATA','MARÍLIA','SP','125252251217571731557812572122610167047',8425,'9998',50.34,1,3,NULL),(25,6144861,'1992-04-29 00:00:00',4,8,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161215472431488932575122610122012',1762,'9998',68.84,1,3,NULL),(25,6144870,'1992-09-26 00:00:00',4,1,12,2009,'M','N','GRANJA OLGA II','SOROCABA','SP','125252251217471431479934575112610167047',NULL,'9998',0.00,1,3,NULL),(25,6144896,'1993-04-29 00:00:00',4,8,12,2010,'F','N','JARDIM MARIA LUIZA','CASCAVEL','PR','116164161215111431436634575122610144147',15694,'9998',37.97,1,3,NULL),(25,6144900,'1991-08-21 00:00:00',2,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116243241147131451317619286214142266192',NULL,'635',26.35,1,3,NULL),(25,6144918,'1993-04-01 00:00:00',4,10,11,2010,'M','N','SÃO BASILIO','BRAÇO NORTE','SC','124242241217111431444519575121610165057',NULL,'950',18.73,1,3,NULL),(25,6144934,'1987-01-28 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241247226373431213849342334610124047',NULL,'9999',18.38,2,1,2),(25,6144942,'1992-08-17 00:00:00',2,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124241241112132431226611575124610124092',19240,'729',30.92,4,2,1),(25,6144950,'1993-06-01 00:00:00',4,3,12,2010,'F','N','CENTRO','PLANALTO','PR','116161161126151431436812174124610134187',9527,'9998',48.14,1,2,1),(25,6144969,'1993-01-28 00:00:00',4,1,12,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','121214211217111431458814446115610128184',10423,'9998',47.02,1,3,NULL),(25,6144993,'1983-08-31 00:00:00',4,3,12,2000,'M','N','ALTO BOQUEIRÃO','CURITIBA','PR','116161161116573441123344141123610164172',661,'9998',75.75,1,2,1),(25,6145019,'1993-10-17 01:00:00',4,8,12,2010,'M','N','RIO NEGRO','S BENTO SUL','SC','124242241116141431436612245122610124057',16697,'697',41.08,1,3,NULL),(25,6145027,'1992-05-10 00:00:00',4,1,9,2009,'F','N','JARDIM ARAXÁ','LONDRINA','PR','116162161216371431457821575122610132191',NULL,'9998',0.00,1,3,NULL),(25,6145043,'1986-04-29 00:00:00',2,8,11,2003,'F','N','PORTÃO','CURITIBA','PR','116162161216575411128621571314610161197',15803,'9998',36.76,1,3,NULL),(25,6145051,'1965-11-01 00:00:00',4,1,12,1991,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124113113126471721224444442124142344182',20227,'9998',33.98,4,1,2),(25,6145060,'1988-06-02 00:00:00',2,7,12,2005,'M','N','CENTRO','TANGARÁ','SC','124241241145574431323311275124133238142',4468,'779',58.78,1,2,1),(25,6145078,'1992-09-25 00:00:00',4,1,12,2009,'F','N','MUNICIPIOS','CAÇADOR','SC','124242241216422731235819575122610142072',NULL,'119',0.00,1,3,NULL),(25,6145086,'1986-02-03 00:00:00',2,1,12,2003,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124092091216272431228921575124340622097',2622,'9998',67.10,1,3,NULL),(25,6145094,'1993-11-30 00:00:00',4,3,11,2011,'F','S','CENTRO','CURITIBANOS','SC','124242241217111431558812274122610143017',NULL,'9997',37.32,1,3,NULL),(25,6145108,'1993-05-12 00:00:00',2,8,11,2010,'F','N','XAXIM','CURITIBA','PR','116164161217121431269912575112610123077',NULL,'9998',0.00,1,3,NULL),(25,6145116,'1993-01-08 00:00:00',2,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','124242241215271451439832575122610144092',18819,'154',31.80,1,3,NULL),(25,6145124,'1993-06-07 00:00:00',4,2,11,2010,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124242241215131431455734575124610167042',6494,'855',54.01,1,3,NULL),(25,6145132,'1977-12-29 00:00:00',2,1,12,1997,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224062061216131721468543335124243218117',NULL,'9998',0.00,1,3,NULL),(25,6145140,'1993-03-25 00:00:00',2,3,11,2010,'F','N','RAIA','PARANAGUÁ','PR','116162161226111431466612572122610113142',NULL,'9998',16.37,1,3,NULL),(25,6145159,'1987-10-07 00:00:00',2,1,12,2007,'M','N','SERRARIA','S JOSÉ','SC','124241247427472411521329476344610165111',15466,'9999',42.94,1,3,NULL),(25,6145167,'1990-03-13 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241216374441433419445112120868182',NULL,'1011',46.01,1,3,NULL),(25,6145175,'1994-09-05 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215111411429932495122610128192',NULL,'213',24.73,1,3,NULL),(25,6145183,'1994-04-05 00:00:00',4,8,12,2011,'F','S','CENTRO','JARAGUÁ SUL','SC','124241241217121431346438264122610126093',NULL,'442',38.33,1,3,NULL),(25,6145205,'1966-11-27 00:00:00',2,1,12,2005,'F','N','AREIAS','S JOSÉ','SC','524241241122132731423244146224610126147',NULL,'289',18.87,1,2,1),(25,6145213,'1987-12-18 00:00:00',4,1,12,2006,'M','N','CENTRO','S JOÃO BATISTA','SC','124203206116131431356511385122610164047',8290,'9998',54.33,1,3,NULL),(25,6145230,'1990-01-18 00:00:00',4,1,12,2008,'F','N','AREIAS','PAULO LOPES','SC','124241241127472431621129395124610166147',17643,'607',34.70,1,2,1),(25,6145248,'1993-04-09 00:00:00',2,1,11,2010,'F','N','CENTRO','GAROPABA','SC','124202201215121451248933572121610134147',20886,'9997',31.58,1,3,NULL),(25,6145256,'1992-06-06 00:00:00',4,8,12,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241216471431458813572114610142197',113,'457',83.04,1,3,NULL),(25,6145264,'1990-02-04 00:00:00',2,9,12,2007,'F','N','CENTRO','S JOAQUIM','SC','124241241215333431536916484145610113057',19356,'720',36.16,1,3,NULL),(25,6145299,'1991-09-30 00:00:00',4,1,11,2010,'M','N','JARDINS','ARACAJU','SE','126262261215111431588933575122610162167',166,'9998',81.65,1,3,NULL),(25,6145302,'1993-09-07 00:00:00',4,1,12,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241135271732434639575122610121142',20868,'1088',31.67,1,2,1),(25,6145310,'1978-06-29 00:00:00',4,1,12,1996,'M','N','IPIRANGA','S JOSÉ','SC','624241241126332731536443335124322246182',14748,'284',44.08,1,2,1),(25,6145337,'1992-02-03 00:00:00',2,10,8,2010,'F','N','TIMBAÚVA','GRAVATAÍ','RS','120202207227471731434611295124610162187',11880,'9998',44.14,1,3,NULL),(25,6145345,'1993-10-22 00:00:00',2,1,11,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241217111431338611375124610136075',1817,'1022',69.42,1,3,NULL),(25,6145370,'1993-04-02 00:00:00',4,1,12,2010,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241147131431225329285124610162142',NULL,'307',22.36,1,2,1),(25,6145388,'1994-03-04 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431436812585122610164012',NULL,'1118',32.06,1,3,NULL),(25,6145396,'1985-06-18 00:00:00',2,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241127132421553348275124610138155',18563,'306',32.55,2,1,1),(25,6145418,'1993-04-30 00:00:00',2,1,12,2010,'F','N','JD SANTOS REIS','PIRACAIA','SP','125252256436131431536911572122610133142',NULL,'9998',0.00,1,3,NULL),(25,6145434,'1992-02-01 00:00:00',2,1,12,2009,'F','N','CENTRO','PTO UNIÃO','SC','124241241217472441533636575124610122097',NULL,'633',28.33,1,3,NULL),(25,6145450,'1993-05-13 00:00:00',4,1,12,2009,'F','N','SÃO GERALDO','PTO ALEGRE','RS','120202201216471731266923596114610136187',NULL,'9998',0.00,1,3,NULL),(25,6145469,'1989-02-14 00:00:00',4,3,12,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241115151431227624385124132826172',11140,'49',49.46,1,3,NULL),(25,6145477,'1992-01-17 00:00:00',2,1,12,2009,'M','N','CACUPE','FLORIANÓPOLIS','SC','124162241215372431327614375124610146182',NULL,'1048',21.57,1,3,NULL),(25,6145485,'1992-07-21 00:00:00',4,1,12,2009,'F','N','SETOR AEROPORTO','PTO NACIONAL','TO','109272271215371411588611531125610162092',741,'9998',75.76,3,3,NULL),(25,6145493,'1993-02-14 00:00:00',4,10,12,2010,'M','N','BARRANCEIRA','LAGUNA','SC','124241241117261732436613435124610122047',NULL,'521',29.41,1,2,1),(25,6145507,'1991-10-21 00:00:00',4,1,12,2008,'M','N','JARDIM BOA VISTA','CAIEIRAS','SP','125252251216573441346669385115610166077',4495,'9998',59.64,1,3,NULL),(25,6145515,'1991-01-22 00:00:00',4,17,12,2008,'F','N','CENTRO','ITAIÓPOLIS','SC','124241161216573431349632572122610164182',2478,'9998',66.76,1,3,NULL),(25,6145523,'1982-12-25 00:00:00',2,1,12,2002,'M','N','PICADAS DO SUL','S JOSÉ','SC','124251251127371431544273145124141354027',17120,'9998',36.16,4,2,1),(25,6145531,'1991-01-06 00:00:00',2,8,11,2008,'F','N','ROCIO GRANDE','S FRANCISCO SUL','SC','124203241115374431456613585122610127077',11322,'710',45.08,1,3,NULL),(25,6145574,'1982-11-02 00:00:00',4,8,12,2000,'M','N','ITAUM','JOINVILLE','SC','124251251146373431126444245324610126042',19580,'9998',31.80,2,1,1),(25,6145582,'1992-04-11 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241337132431436624341334610167147',NULL,'977',0.00,1,3,NULL),(25,6145612,'1986-07-21 00:00:00',4,1,12,2003,'M','N','PQ DAS LARANJEIRAS','GOIÂNIA','GO','109252251216152411367812425122241167042',NULL,'9998',0.00,1,3,NULL),(25,6145620,'1993-03-26 00:00:00',2,3,12,2009,'M','N','JARDIM PROGRESSO','PARANAVAÍ','PR','116161161316421421446912575112610167047',10411,'9998',46.09,1,3,NULL),(25,6145647,'1982-10-02 00:00:00',2,1,12,1999,'M','N','JARDIM DAS HORTENSIA','RIO OESTE','SC','624241241146131611233343335122331968051',NULL,'652',0.00,3,2,1),(25,6145655,'1994-01-18 00:00:00',2,9,11,2010,'F','N','AREA INDUSTRIAL','CORREIA PINTO','SC','124244241215111431444912245112610117143',10109,'1207',47.00,1,3,NULL),(25,6145663,'1993-01-08 00:00:00',2,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115471431433339195124610128142',17505,'307',36.18,1,2,1),(25,6145671,'1993-11-17 00:00:00',4,8,11,2010,'F','N','PIRABEIRABA','JOINVILLE','SC','124241241117151431338634275124610125052',NULL,'475',29.01,1,3,NULL),(25,6145680,'1981-03-18 00:00:00',4,1,12,1999,'M','N','VILA ALBERTINA','S PAULO','SP','125252251247131441124649193334141912182',2308,'9998',68.15,1,3,NULL),(25,6145698,'1985-03-16 00:00:00',2,1,12,2002,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201201116373431224754385114610162187',19672,'9998',35.42,1,3,NULL),(25,6145701,'1993-05-04 00:00:00',2,4,12,2010,'M','N','CENTRO','RONDA ALTA','RS','120201201117271431438612372122610127042',NULL,'9998',17.78,1,2,1),(25,6145710,'1991-05-12 00:00:00',4,1,12,2008,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125124121215471431653832592123610134051',NULL,'9998',26.14,1,3,NULL),(25,6145728,'1993-04-09 00:00:00',2,4,12,2010,'M','N','CENTRO','RONDA ALTA','RS','120201201117371751536314575122610137047',NULL,'9998',14.71,1,2,1),(25,6145736,'1993-11-30 00:00:00',2,1,11,2010,'F','N','JARDIM PETRÓPOLIS','FOZ IGUAÇU','PR','116162161236471411339812395124610126192',NULL,'9998',0.00,1,3,NULL),(25,6145760,'1985-11-08 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241112114441638834472124121362181',6928,'267',56.87,1,3,NULL),(25,6145787,'1992-10-31 00:00:00',4,4,12,2009,'M','N','CENTRO','MARAVILHA','SC','124241241111372431546632341111610162147',17785,'552',39.26,1,2,1),(25,6145795,'1993-12-20 00:00:00',4,10,11,2010,'F','N','SANTO ANTÔNIO','TUBARÃO','SC','124242241216111431459939575122610142012',NULL,'806',0.00,1,3,NULL),(25,6145809,'1993-02-12 00:00:00',4,1,12,2010,'F','N','CAFEZAL II','LONDRINA','PR','116161161136151431335612585122610164047',NULL,'9998',0.00,1,2,1),(25,6145817,'1989-08-26 00:00:00',4,5,11,2006,'M','N','MORADA DO SOL','MARAVILHA','SC','124243241116572431248919575124610127095',16374,'552',36.38,1,3,NULL),(25,6145825,'1993-05-22 00:00:00',2,1,12,2010,'M','N','CENTRO','LGA GRANDE','MG','113131131317111431346814271112610127043',6555,'9998',53.44,1,3,NULL),(25,6145841,'1983-02-13 00:00:00',2,1,11,2000,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124243247321554711446613345122610165125',NULL,'9997',32.52,1,3,NULL),(25,6145850,'1992-07-20 00:00:00',4,1,12,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124202201215571431447812591122141567047',3498,'9998',61.19,1,3,NULL),(25,6145868,'1983-05-23 00:00:00',2,1,6,2001,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201201136371441123344345124141224052',NULL,'9998',27.98,4,3,NULL),(25,6145876,'1993-04-22 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248117171721423429292244610146023',NULL,'277',16.40,2,1,1),(25,6145892,'1993-08-23 00:00:00',2,7,11,2010,'F','N','SÃO JOSÉ','FRAIBURGO','SC','124244241215111431344611575122610127141',NULL,'885',0.00,1,3,NULL),(25,6145914,'1992-06-16 00:00:00',4,3,12,2010,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241116471431529923375125610136197',20149,'49',34.20,1,2,1),(25,6145922,'1992-04-29 00:00:00',4,10,12,2009,'M','N','MAR GROSSO','LAGUNA','SC','124241241215272451337923575124610164122',17043,'807',40.56,1,3,NULL),(25,6145949,'1993-06-17 00:00:00',2,10,12,2010,'F','N','MAGALHÃES','LAGUNA','SC','124242241225141431436434245125610121142',NULL,'524',0.00,1,3,NULL),(25,6145957,'1992-07-30 00:00:00',1,2,12,2010,'F','N','NOVA BRASILIA','JARAGUÁ SUL','SC','124252241315121431469914575122610126093',7023,'1174',53.33,1,3,NULL),(25,6145965,'1984-05-22 00:00:00',4,3,11,2002,'F','N','BORDA DO CAMPO','S JOSÉ PINHAIS','PR','116161161137272411634823445122610166142',NULL,'9998',0.00,1,2,1),(25,6145973,'1972-06-08 00:00:00',4,1,12,1989,'F','N','VILA IPIRANGA','PTO ALEGRE','RS','120201203116231411323319245124610122197',17306,'9998',40.09,1,2,1),(25,6145981,'1990-09-15 00:00:00',4,1,12,2008,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215574431458829575124231434182',6224,'988',55.54,1,3,NULL),(25,6145990,'1993-05-10 00:00:00',4,8,11,2010,'F','N','MORRO GRANDE','S FRANCISCO SUL','SC','124241241137161431338914345214610164177',17735,'709',34.65,1,2,1),(25,6146007,'1983-02-17 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624241241127474431223374475114222362187',12416,'142',43.54,1,2,1),(25,6146015,'1992-04-20 00:00:00',4,1,12,2009,'F','N','JARIDM IRAJÁ','RIBEIRÃO PRETO','SP','125242251215471431479612575122610112122',13863,'9998',41.27,1,3,NULL),(25,6146023,'1994-04-30 00:00:00',4,8,12,2010,'F','N','BELA VISTA','RIO NEGRINHO','SC','124241241215111431556939575112610128147',6156,'666',55.26,1,3,NULL),(25,6146031,'1990-10-15 00:00:00',4,1,12,2008,'M','N','JD DOS FLAMBOYANTS','ARARAQUARA','SP','125252251215572431568714575122610167042',NULL,'9998',0.00,1,3,NULL),(25,6146058,'1993-06-17 00:00:00',4,1,11,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124242241215131432548712325122610132097',16266,'1074',36.01,1,3,NULL),(25,6146066,'1993-04-22 00:00:00',4,8,11,2010,'M','N','ÁGUA VERDE','JARAGUÁ SUL','SC','124244241215271431367833572124610126181',13202,'1063',41.97,1,3,NULL),(25,6146090,'1993-10-05 00:00:00',2,5,12,2010,'M','N','SITIO SAO JOSE','VIAMÃO','RS','120202201217131431536534191321610137047',NULL,'9998',0.00,1,3,NULL),(25,6146104,'1989-09-04 00:00:00',2,4,12,2007,'F','N','JARDIM SANTA MARIA','TOLEDO','PR','116161161126211431224124275124143213143',NULL,'9998',19.13,1,2,1),(25,6146112,'1992-04-23 00:00:00',4,3,12,2010,'F','N','CENTRO','CLEVELÂNDIA','PR','116162161215111231428832282122610123077',10371,'9998',44.16,1,3,NULL),(25,6146139,'1991-08-05 00:00:00',4,8,11,2009,'F','N','CENTRO','CASCAVEL','PR','116162161216371751549679595114610162147',5003,'9998',58.52,4,3,NULL),(25,6146147,'1975-07-22 00:00:00',4,1,12,1993,'F','N','SERRARIA','S JOSÉ','SC','124241241137164721435519495134330233147',NULL,'293',15.44,1,3,NULL),(25,6146155,'1992-11-17 00:00:00',2,15,11,2009,'F','N','PARAGUAI','JACINTO MACHADO','SC','124241241137161431448514585112610144182',NULL,'420',31.21,1,3,NULL),(25,6146163,'1992-06-24 00:00:00',4,1,12,2010,'M','N','BOM VIVER','BIGUAÇU','SC','124241241115271431338329385114610136047',14639,'307',44.24,1,3,NULL),(25,6146171,'1993-09-15 00:00:00',2,1,12,2010,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241248115161731526513575122610114141',NULL,'591',31.05,2,1,1),(25,6146210,'1992-10-15 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215473431233623393124610133017',6169,'1198',54.78,1,3,NULL),(25,6146228,'1993-03-24 00:00:00',4,3,12,2010,'M','N','REBOUÇAS','CURITIBA','PR','116164161215121231548824575122610162047',4957,'9998',57.88,1,3,NULL),(25,6146236,'1992-12-16 00:00:00',4,1,12,2009,'F','N','PARADA INGLESA','S PAULO','SP','125251251115471751546924575125610122057',2901,'9998',63.79,1,3,NULL),(25,6146244,'1991-08-19 00:00:00',4,1,12,2009,'F','N','JARDIM PAULISTANO','S PAULO','SP','125252251216451431458812475112610137137',12175,'9998',42.99,1,3,NULL),(25,6146252,'1990-06-02 00:00:00',4,1,8,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117132412338613585114120442011',6780,'306',57.15,1,2,1),(25,6146287,'1992-09-17 00:00:00',4,10,11,2010,'F','N','OFICINAS','TUBARÃO','SC','124242241215122421325832571122610123142',11345,'807',43.79,1,3,NULL),(25,6146295,'1992-02-24 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241315373411128812571124133236017',11321,'1022',45.38,1,3,NULL),(25,6146309,'1993-02-15 00:00:00',4,4,12,2009,'F','N','AEROPORTO','GUARANTÃ NORTE','MT','111111111117371431625534182224610136017',3333,'9998',61.24,4,2,1),(25,6146317,'1990-09-10 00:00:00',4,1,12,2009,'M','N','DOM FELICIANO','GRAVATAÍ','RS','120202201217471131448617577112610167116',NULL,'9999',34.79,1,3,NULL),(25,6146333,'1987-04-27 00:00:00',2,1,12,2004,'F','N','PARQUE AMÉRICA','S PAULO','SP','125253251216572411468314575124610156187',5895,'9998',56.59,4,3,NULL),(25,6146341,'1991-05-29 00:00:00',4,9,11,2008,'F','N','CENTRO','LAGES','SC','124243241417111431428512485115131024147',NULL,'515',11.96,1,1,2),(25,6146368,'1991-11-21 00:00:00',4,1,12,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124241241115153431457933285224220714052',12609,'592',42.72,1,2,1),(25,6146376,'1966-06-12 00:00:00',2,16,12,1989,'M','N','BOM JESUS','CURITIBANOS','SC','224241166124371731426444245124610122052',10903,'9998',46.08,1,2,1),(25,6146384,'1994-07-22 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431559931572112610116142',NULL,'270',51.92,1,3,NULL),(25,6146392,'1991-07-29 00:00:00',4,2,12,2008,'F','N','VORSTADT','BLUMENAU','SC','124242241215472431356822575112121146017',2727,'855',64.09,1,3,NULL),(25,6146406,'1988-07-03 00:00:00',2,1,11,2007,'M','N','AGUA VERDE','CURITIBA','PR','116123161412572131558713272114610114053',2994,'9998',64.75,1,3,NULL),(25,6146414,'1991-11-15 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124244241415271431326624342124610164192',19325,'726',36.21,1,3,NULL),(25,6146422,'1993-01-15 00:00:00',2,3,12,2010,'F','N','CAMPO DO GADO','RIO NEGRO','PR','116242161216271731458814372122610127142',NULL,'9998',0.00,1,3,NULL),(25,6146430,'1993-10-29 00:00:00',4,4,12,2010,'F','N','UNIVERSITÁRIO','CHAPECÓ','SC','124242241217111411236721275122610164142',7486,'185',55.81,1,3,NULL),(25,6146457,'1990-05-27 00:00:00',4,2,12,2007,'M','N','ITOUPAVAZINHA','BLUMENAU','SC','124243241126272451456514385223131438062',13681,'83',45.66,4,3,NULL),(25,6146465,'1992-04-11 00:00:00',4,1,12,2009,'M','N','BELENZINHO','S PAULO','SP','125252251117471351447724346125610125112',6309,'9998',54.40,1,3,NULL),(25,6146473,'1988-12-17 00:00:00',2,1,12,2005,'M','N','JARDIM ZANELLATO','S JOSÉ','SC','124241241116371731544314245134610167067',10666,'257',48.39,3,3,NULL),(25,6146481,'1994-08-17 00:00:00',2,2,12,2009,'M','N','AGUAS CLARAS','BRUSQUE','SC','124243244215111421436419275124610136117',21256,'981',29.71,1,3,NULL),(25,6146490,'1992-12-20 00:00:00',4,1,11,2010,'M','N','BIGORRILHO','CURITIBA','PR','116162161216111411479934595112610114052',1100,'9998',73.42,3,3,NULL),(25,6146503,'1990-08-16 00:00:00',2,1,12,2007,'F','N','SANTANA','URUGUAIANA','RS','120204201416271431456912225122141462047',NULL,'9998',0.00,1,3,NULL),(25,6146511,'1976-09-19 00:00:00',2,1,12,1998,'M','N','AREIAS','S JOSÉ','SC','224241241126131722331144342113610128047',17871,'199',39.09,1,2,1),(25,6146520,'1992-02-22 00:00:00',4,9,11,2009,'M','N','CENTRO','LAGES','SC','124242248213272431257732495112130267041',14211,'499',44.85,1,3,NULL),(25,6146546,'1991-12-20 00:00:00',2,5,12,2009,'M','N','MARIA CEU','CRICIÚMA','SC','124243242216472721435519495122610117057',20586,'226',32.79,1,3,NULL),(25,6146554,'1994-01-31 00:00:00',4,1,11,2010,'F','N','CAJURU','CURITIBA','PR','116162161215471431538611575124610121013',10538,'9998',47.01,4,3,NULL),(25,6146562,'1992-04-26 00:00:00',4,9,12,2009,'M','N','CENTRO','LAGES','SC','124242241216272431347931575122130215067',3946,'499',61.27,1,3,NULL),(25,6146570,'1994-09-17 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431488832575122610134122',19157,'262',36.63,1,3,NULL),(25,6146589,'1988-11-09 00:00:00',2,15,6,2009,'F','N','DIVINEIA','ARARANGUÁ','SC','124241247115131431325417472222610168193',20085,'9999',34.35,1,2,1),(25,6146597,'1993-08-02 00:00:00',2,2,12,2010,'F','N','CENTRO','LAURENTINO','SC','124241241216161431333535295124610116197',NULL,'959',39.30,1,3,NULL),(25,6146600,'1993-05-24 00:00:00',2,1,11,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241135131751437314345124610156147',19392,'1088',30.40,1,2,1),(25,6146619,'1992-06-20 00:00:00',4,1,12,2009,'F','N','SANTANA','S PAULO','SP','125252251216471431458933475122610127092',NULL,'9998',0.00,1,3,NULL),(25,6146635,'1993-01-15 00:00:00',4,15,12,2009,'F','N','JARDIM AMÉRICA','S LEOPOLDO','RS','120202201217471731366839272112143232043',13125,'9998',41.92,1,3,NULL),(25,6146643,'1953-11-26 00:00:00',2,1,7,1973,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201205116152411143349432124330545142',NULL,'9998',0.00,1,2,1),(25,6146651,'1993-09-02 00:00:00',2,1,11,2010,'M','N','BOSQUE DAS MANSOES','S JOSÉ','SC','124242241215211531389832365124610167032',21089,'270',30.72,1,3,NULL),(25,6146678,'1988-10-03 00:00:00',2,1,12,2006,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241115372431436424282224610137045',13129,'307',46.43,1,2,1),(25,6146686,'1994-09-05 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241115111431429932495122610128192',20550,'213',32.94,1,3,NULL),(25,6146694,'1991-04-09 00:00:00',2,1,12,2009,'M','N','COSTA DA LAGOA','FLORIANÓPOLIS','SC','124241242127311241411323486324613217097',NULL,'282',23.74,1,3,NULL),(25,6146708,'1990-02-14 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241126141711633324245124610124017',NULL,'592',17.40,1,2,1),(25,6146716,'1994-07-06 00:00:00',2,1,11,2010,'F','N','RIO MAINA','CRICIÚMA','SC','124241241215111411384312375122610123112',NULL,'211',35.64,1,3,NULL),(25,6146724,'1989-03-31 00:00:00',2,8,12,2006,'M','N','BATEL','CURITIBA','PR','116252251215573431548814475125610164192',12042,'9998',43.13,3,3,NULL),(25,6146732,'1991-07-15 00:00:00',4,8,12,2008,'M','N','JOÃO ZACCO','PLANALTO','PR','116161161137371411556813145122141467043',11801,'9998',44.30,1,2,1),(25,6146740,'1993-08-30 00:00:00',4,2,12,2010,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124242241215271731456612572112610132185',14133,'855',44.96,1,3,NULL),(25,6146775,'1992-05-22 00:00:00',4,1,12,2009,'M','N','PALMAS DO TREMEMBÉ','S PAULO','SP','125252251215511751478821415124610167052',9322,'9998',50.07,1,3,NULL),(25,6146783,'1986-03-30 00:00:00',2,1,12,2003,'F','N','MORADA DO OURO','CUIABÁ','MT','111112111215572432669913572125610127046',8200,'9998',50.66,1,3,NULL),(25,6146791,'1987-04-20 00:00:00',5,1,11,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241126131431436622496124610124122',21188,'727',30.13,1,3,NULL),(25,6146813,'1991-04-21 00:00:00',4,7,12,2010,'M','N','CENTRO','VIDEIRA','SC','124241241317141421646514315221610127077',NULL,'831',17.70,1,3,NULL),(25,6146830,'1991-06-05 00:00:00',4,1,11,2008,'M','N','TRISTEZA','PTO ALEGRE','RS','120202201216572411489913595112610267112',NULL,'9998',0.00,1,3,NULL),(25,6146856,'1981-11-18 00:00:00',4,1,12,2000,'M','N','CAMPINAS','S JOSÉ','SC','124243247336141411114641145223233214182',21714,'1078',24.82,1,3,NULL),(25,6146864,'1992-02-29 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115372421436633472144610163151',NULL,'307',33.22,1,2,1),(25,6146872,'1988-06-20 00:00:00',4,1,12,2005,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124121121117271431326664484324343244177',7326,'9998',53.12,1,2,1),(25,6146880,'1993-08-19 00:00:00',4,1,11,2010,'F','N','CENTRO','PALHOÇA','SC','124242241215132431457823575114610164045',5401,'1011',57.76,1,3,NULL),(25,6146899,'1992-08-03 00:00:00',2,1,11,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111431336613335124610138067',20276,'1022',33.83,1,3,NULL),(25,6146902,'1990-07-08 00:00:00',2,1,12,2007,'F','N','RIO GRANDE','PALHOÇA','SC','124241241121271431223354381324610124197',17155,'95',40.36,1,2,1),(25,6146910,'1993-07-28 00:00:00',4,8,11,2010,'F','N','CENTRO','JOINVILLE','SC','124242241215111431259823275122610138072',6180,'461',54.40,1,3,NULL),(25,6146929,'1992-10-25 01:00:00',4,8,11,2009,'F','N','CAMPO LENÇOL','RIO NEGRINHO','SC','124241241115151431424614443344610156187',14538,'669',44.38,1,2,1),(25,6146937,'1991-01-24 00:00:00',4,1,12,2008,'M','N','SETOR SUL','GOIÂNIA','GO','109092098216411511568823532125142466172',10454,'9998',50.57,1,3,NULL),(25,6146953,'1993-04-16 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215121411368929576112610142192',6568,'1022',53.84,1,3,NULL),(25,6146961,'1993-12-13 00:00:00',4,1,12,2011,'F','S','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241317131532233113575124610124147',NULL,'1048',27.63,4,3,NULL),(25,6146970,'1983-02-23 00:00:00',2,1,9,2003,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242247243145451228844142123610162042',19608,'1003',35.56,1,3,NULL),(25,6146988,'1993-05-23 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111131458812322122610137112',10932,'1134',45.71,1,3,NULL),(25,6146996,'1990-08-29 00:00:00',4,8,12,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241215574411358821475114610164017',1794,'1006',70.07,1,3,NULL),(25,6147003,'1993-05-29 00:00:00',4,10,12,2010,'F','N','CENTRO','TUBARÃO','SC','124242241217111431469613592122610168192',9676,'797',48.51,1,3,NULL),(25,6147011,'1993-01-26 00:00:00',3,1,11,2010,'F','N','S ANTONIO DE LISBOA','FLORIANÓPOLIS','SC','124242241217111411468832575124610122182',2316,'270',66.66,1,3,NULL),(25,6147020,'1987-09-25 00:00:00',4,1,6,2006,'M','N','CENTRO','SOCORRO','SP','125254251337371711446839385111143242042',21171,'9998',30.23,1,3,NULL),(25,6147038,'1989-07-30 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124042241117154411569833575124233228017',5794,'267',57.05,1,3,NULL),(25,6147046,'1993-01-17 00:00:00',4,1,12,2010,'M','N','JARDIM TOPAZIO','S JOSÉ CAMPOS','SP','125252251217111731478913571122610144012',5143,'9998',56.52,1,3,NULL),(25,6147054,'1991-06-14 00:00:00',4,8,12,2008,'M','N','MOSSUNGUE','CURITIBA','PR','116162161216572751479911575112610167047',1879,'9998',67.68,1,3,NULL),(25,6147062,'1993-12-26 00:00:00',2,2,11,2010,'F','N','VELHA','BLUMENAU','SC','124243248217131431437939392124610137017',NULL,'88',23.37,1,3,NULL),(25,6147089,'1986-12-11 00:00:00',4,1,6,2006,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241247427151731236333485114610168177',21634,'9999',26.38,1,3,NULL),(25,6147097,'1985-08-23 00:00:00',2,1,12,2002,'M','N','SAO SEBASTIAO','PIRES RIO','GO','109092091216575431446824575121610132097',NULL,'9998',0.00,1,3,NULL),(25,6147135,'1992-06-26 00:00:00',4,4,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124243241216162431434639395135610144017',NULL,'752',0.00,1,3,NULL),(25,6147143,'1993-03-21 00:00:00',2,1,12,2010,'F','N','POTECAS','S JOSÉ','SC','124241241115141311523379245334610147057',NULL,'727',24.49,4,2,1),(25,6147151,'1988-05-08 00:00:00',4,10,12,2006,'M','N','ESPERANÇA','LAGUNA','SC','124241241116131431646713345114230628037',NULL,'521',0.00,4,1,1),(25,6147160,'1993-05-15 00:00:00',4,1,11,2010,'F','N','ROSÁRIO','STA MARIA','RS','120203201117251431338813494124610127072',5004,'9998',58.07,1,3,NULL),(25,6147178,'1993-09-04 00:00:00',2,7,12,2010,'F','N','FREI BRUNO','JOAÇABA','SC','124242241216131431435923574124610128057',10838,'962',46.23,1,3,NULL),(25,6147194,'1990-05-22 00:00:00',2,1,11,2007,'F','N','AREIAS','S JOSÉ','SC','124242248117132431336333442125610122072',NULL,'734',0.00,4,3,NULL),(25,6147224,'1993-06-16 00:00:00',2,1,12,2010,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','124241241116161431448823275124610165022',3075,'739',62.76,1,2,1),(25,6147232,'1994-07-15 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124243241215111431528623595122610163185',14235,'738',44.81,1,3,NULL),(25,6147240,'1994-07-30 00:00:00',2,1,11,2011,'F','S','JARDIM EUCALIPTOS','PALHOÇA','SC','124242241215111431547512222122610168182',NULL,'1010',40.19,1,3,NULL),(25,6147259,'1984-04-01 00:00:00',2,1,12,2000,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124201201432135421233944445123122227047',14716,'9998',44.13,1,3,NULL),(25,6147267,'1993-01-26 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241216112231456612422112610124057',12012,'723',44.03,1,3,NULL),(25,6147275,'1993-09-02 00:00:00',4,2,12,2010,'F','N','CENTRO','ARAPONGAS','PR','116162161234111431548511415124610137077',10033,'9998',51.27,1,3,NULL),(25,6147283,'1993-06-01 00:00:00',2,9,12,2010,'F','N','CENTRO','ANITA GARIBALDI','SC','124243241116271431429933575122610126052',18586,'18',32.57,1,3,NULL),(25,6147291,'1992-06-26 00:00:00',4,1,12,2009,'M','N','CENTRO','ITANHAÉM','SP','125252251217471431438812246132610162097',NULL,'9998',28.60,1,3,NULL),(25,6147305,'1993-08-16 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242245411112711424423581124610127167',20967,'1022',31.25,1,3,NULL),(25,6147321,'1993-12-08 00:00:00',2,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126271732323324385324610163052',19741,'290',35.28,1,2,1),(25,6147330,'1992-08-12 00:00:00',4,8,11,2010,'F','N','FLORESTA','JOINVILLE','SC','124242241215112431449911584112610127077',8470,'1063',50.14,1,3,NULL),(25,6147348,'1959-04-11 00:00:00',2,1,12,1978,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224202201217151541366641415122540961121',16738,'9998',41.02,1,3,NULL),(25,6147356,'1992-04-13 00:00:00',2,5,12,2009,'F','N','BOM FIM','PTO ALEGRE','RS','120161161216471431446615574114610122142',7235,'9998',54.22,1,3,NULL),(25,6147364,'1993-11-17 00:00:00',2,1,12,2010,'M','N','VILA ESTRELA','AMAMBAÍ','MS','112121121116471431333326572122610167052',18253,'9998',38.38,1,2,1),(25,6147372,'1993-10-28 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215131721434634275114610114012',16621,'1022',37.65,1,3,NULL),(25,6147380,'1992-12-11 00:00:00',4,1,12,2009,'M','N','CENTRO','APUCARANA','PR','116164161216471431468832385112610124047',NULL,'9998',0.00,1,3,NULL),(25,6147399,'1992-11-05 00:00:00',4,5,11,2009,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','125242241217474431479932575112610131122',12901,'226',42.45,1,3,NULL),(25,6147402,'1989-04-10 00:00:00',4,1,12,2006,'F','N','CENTRO','PASSO FUNDO','RS','120201201415473431438714475124610132147',10378,'9998',48.04,1,3,NULL),(25,6147410,'1994-09-30 00:00:00',2,10,12,2011,'F','S','VILA MOEMA','TUBARÃO','SC','124242248216111431448924575125610125052',NULL,'807',22.51,1,3,NULL),(25,6147429,'1992-07-21 00:00:00',4,1,12,2009,'M','N','VILA HELENA','TABOÃO SERRA','SP','125252251117471431238823375114610164147',3045,'9998',62.92,1,3,NULL),(25,6147445,'1993-03-19 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111411436832575122610111097',20300,'259',27.46,1,3,NULL),(25,6147453,'1994-05-06 00:00:00',2,1,12,2010,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124242241215111431555312576112610133051',NULL,'1022',41.44,1,3,NULL),(25,6147488,'1991-10-23 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117131431326551372122610122197',13313,'293',45.00,1,2,1),(25,6147496,'1993-01-29 00:00:00',2,1,11,2010,'M','N','CENTRO FLORIANÓPOLIS','FLORIANÓPOLIS','SC','124241241215111431636823575124610117042',7711,'1197',55.41,1,3,NULL),(25,6147518,'1993-06-10 00:00:00',4,1,12,2010,'F','N','JARDIM ARATIMBÓ','UMUARAMA','PR','116162161217121431337834575122610136193',4965,'9998',58.16,3,3,NULL),(25,6147526,'1983-07-05 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216164411133644445122333268055',NULL,'269',0.00,1,3,NULL),(25,6147534,'1990-10-10 00:00:00',2,1,12,2008,'F','N','DANIELA','FLORIANÓPOLIS','SC','124241241115473731636519572124610124077',16136,'288',37.37,1,2,1),(25,6147542,'1992-03-12 00:00:00',4,1,12,2009,'M','N','FLORADAS DE SÃO JOSÉ','S JOSÉ CAMPOS','SP','125252251217471431488833575122610127083',1107,'9998',72.44,1,3,NULL),(25,6147550,'1993-03-17 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217122431468833475124610137042',1308,'270',71.37,1,3,NULL),(25,6147569,'1989-10-19 00:00:00',4,1,12,2006,'M','N','JARDIM FERRARI','ITAPEVA','SP','125252251217573431568839575114220424052',NULL,'9998',0.00,1,3,NULL),(25,6147577,'1992-03-01 00:00:00',2,7,11,2009,'F','N','CENTRO','IRATI','PR','116161161215471331558831575124610167077',NULL,'9998',0.00,1,3,NULL),(25,6147585,'1991-09-23 00:00:00',2,1,12,2010,'M','N','IPIRANGA','S JOSÉ','SC','124061241127141731424329142124610167047',NULL,'734',26.40,1,2,1),(25,6147593,'1992-01-07 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241411372411433374245134610142042',4125,'981',62.97,1,3,NULL),(25,6147607,'1991-05-31 00:00:00',2,1,8,2009,'F','N','JARDIM DO SALSO','PTO ALEGRE','RS','120202207216571411359813575122610161041',NULL,'9998',0.00,1,3,NULL),(25,6147615,'1992-08-22 00:00:00',2,1,10,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124241248116111751516619495124630133182',NULL,'257',16.72,2,1,1),(25,6147623,'1991-09-04 00:00:00',4,8,12,2008,'F','N','PERDIZES','S PAULO','SP','125252251217571431478934571125610147077',903,'9998',73.86,1,3,NULL),(25,6147658,'1993-06-03 00:00:00',4,1,12,2010,'F','N','SAN REMO','VOTUPORANGA','SP','125252251216111431478812575122610143186',NULL,'9998',0.00,1,3,NULL),(25,6147666,'1993-07-27 00:00:00',4,1,11,2010,'F','N','CONJUNTO LIBRA','FOZ IGUAÇU','PR','116162161216111431636624585221610164182',NULL,'9998',0.00,1,3,NULL),(25,6147674,'1992-02-23 00:00:00',4,8,11,2008,'F','N','CENTRO','S FRANCISCO SUL','SC','116242241216574431348829575124610164077',3416,'486',63.53,4,3,NULL),(25,6147690,'1993-10-13 00:00:00',4,9,10,2010,'F','N','SAGRADO','LAGES','SC','124242241217111731358921575122610162042',11105,'497',49.51,1,3,NULL),(25,6147704,'1990-11-10 00:00:00',4,1,12,2007,'M','N','PARQUE SÃO VICENTE','S VICENTE','SP','125252251217472431446614371344610165097',13470,'9998',40.86,1,3,NULL),(25,6147712,'1993-11-24 00:00:00',2,1,12,2010,'F','N','ALTO PETRÓPOLIS','PTO ALEGRE','RS','120204201116471431346629575114610167057',6328,'9998',54.61,1,3,NULL),(25,6147720,'1992-07-17 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215131432446833272124610126181',11191,'269',45.02,1,3,NULL),(25,6147739,'1991-07-27 00:00:00',2,1,12,2009,'M','N','MAGUALHÃES','LAGUNA','SC','124242241226132441436312312125610132022',15638,'524',38.53,1,3,NULL),(25,6147747,'1990-12-15 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241317133231338621475124233214197',11271,'271',44.26,1,3,NULL),(25,6147755,'1991-05-13 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241237373731358832575122610127182',11504,'1050',45.47,1,3,NULL),(25,6147771,'1990-01-03 00:00:00',2,1,12,2008,'F','N','CENTRO','PALHOÇA','SC','624201201146131731223344445132610127047',NULL,'9998',22.92,1,2,1),(25,6147780,'1993-12-27 00:00:00',4,9,12,2010,'F','N','CENTRO','CORREIA PINTO','SC','124246241616131751527419295125610137147',21772,'201',22.93,1,3,NULL),(25,6147798,'1992-07-12 00:00:00',4,4,12,2009,'F','N','CENTRO','STA MARIA','RS','120241241416472431488813575112610168196',7664,'1079',52.27,1,3,NULL),(25,6147828,'1991-12-05 00:00:00',4,3,12,2008,'F','N','GLEBA PALHANO','LONDRINA','PR','116112161216511411457874195122610166142',5838,'9998',55.35,1,3,NULL),(25,6147836,'1990-01-26 00:00:00',4,1,12,2007,'F','N','JARDIM MONTREAL','LONDRINA','PR','116162161215411431538921582112610142097',592,'9998',75.65,3,3,NULL),(25,6147844,'1992-11-14 00:00:00',4,1,11,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215112431459913576112610123122',NULL,'266',16.02,1,3,NULL),(25,6147860,'1992-01-23 00:00:00',4,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124242241215272411244413585124223234057',NULL,'63',0.00,1,3,NULL),(25,6147879,'1991-06-19 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573731579913471122610162197',4,'270',90.55,1,3,NULL),(25,6147887,'1994-12-15 00:00:00',2,1,12,2011,'F','S','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241215111431426631575124610138192',NULL,'988',37.70,1,3,NULL),(25,6147895,'1993-04-27 00:00:00',4,4,12,2010,'F','N','CENTRO','ANCHIETA','SC','124241241115161532426613585124610166147',20678,'16',25.33,1,2,1),(25,6147917,'1988-10-07 00:00:00',4,1,12,2010,'M','N','ARMAÇÃO DO PANTANO D','NAVEGANTES','SC','124241247147131411113644245311610127185',NULL,'9999',40.60,1,3,NULL),(25,6147925,'1992-07-21 00:00:00',2,4,12,2009,'F','N','ESTRELA','S MIGUEL OESTE','SC','124241246312111231535639345122610133122',NULL,'1179',0.00,1,3,NULL),(25,6147950,'1993-02-16 00:00:00',4,1,12,2010,'F','N','VILA CLEMENTINO','S PAULO','SP','125252251216151431358923575112610127092',11694,'9998',43.91,1,3,NULL),(25,6147968,'1990-12-29 00:00:00',2,4,12,2007,'F','N','CENTRO','CONSTANTINA','RS','120201201116472431423633575124610164147',7963,'9998',51.22,1,2,1),(25,6147976,'1993-05-27 00:00:00',4,1,11,2009,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124242241216472431439959575124610167042',888,'32',73.79,1,3,NULL),(25,6147984,'1991-01-09 00:00:00',4,5,12,2007,'F','N','CENTRO','ESTEIO','RS','120202201216571741558939295124610122137',1635,'9998',68.65,1,3,NULL),(25,6147992,'1993-04-21 00:00:00',2,5,11,2010,'F','N','RIO MAINA','CRICIÚMA','SC','124242248215111421636639395124610164147',3541,'226',63.83,1,3,NULL),(25,6148000,'1984-02-05 00:00:00',2,1,12,2001,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241316145421233654245123133262181',11827,'266',48.45,1,3,NULL),(25,6148018,'1989-04-19 00:00:00',4,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124101101116431411221129582214610116042',NULL,'9998',25.83,4,3,NULL),(25,6148026,'1993-06-24 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111731478914475124610124092',7622,'270',52.91,1,3,NULL),(25,6148034,'1993-07-06 00:00:00',2,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241215111431338814582114610137147',17439,'1022',34.88,1,3,NULL),(25,6148042,'1989-03-03 00:00:00',2,1,11,2006,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241216475431545513435134610124183',20049,'1036',34.43,1,3,NULL),(25,6148050,'1973-10-23 00:00:00',4,1,6,2010,'M','N','AREIAS','S JOSÉ','SC','224241247121171431433344142112610116042',NULL,'9999',0.00,1,3,NULL),(25,6148069,'1993-07-23 00:00:00',2,5,12,2010,'F','N','RIO MAINA','CRICIÚMA','SC','124242241215111431447334345124610144142',7657,'226',55.53,1,3,NULL),(25,6148077,'1991-08-29 00:00:00',4,1,12,2008,'M','N','CENTRO','CURITIBA','PR','116161161316471411236632191114610117187',NULL,'9998',0.00,1,3,NULL),(25,6148085,'1992-03-23 00:00:00',2,4,11,2009,'F','N','ALVORADA','XAXIM','SC','124241241216162431438611275124610165092',10752,'836',46.20,1,3,NULL),(25,6148093,'1994-02-01 00:00:00',4,5,12,2010,'M','N','SANTA BARBARA','CRICIÚMA','SC','124241241145131431218724575124610162171',NULL,'209',11.77,1,2,1),(25,6148107,'1988-09-04 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124082081116121431278833575124241443192',NULL,'9998',0.00,1,3,NULL),(25,6148115,'1993-06-25 00:00:00',4,1,12,2010,'F','N','VILA HARMONIA','ARARAQUARA','SP','125252251215151731388914575112610162147',NULL,'9998',47.59,1,3,NULL),(25,6148123,'1988-12-29 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117332431226714385123610127082',18891,'307',31.38,1,2,1),(25,6148131,'1993-07-12 00:00:00',4,8,12,2010,'M','N','CENTRO','S BENTO SUL','SC','124241241216111431549634572122610147182',8968,'1154',48.23,1,3,NULL),(25,6148140,'1993-02-14 00:00:00',2,1,11,2010,'F','N','JARDIM LEBLOM','CPO GRANDE','MS','112242121215112431228833572124610135057',12263,'9998',44.50,1,3,NULL),(25,6148158,'1988-10-25 00:00:00',2,5,12,2005,'F','N','JARDIM IPIRANGA','PTO ALEGRE','RS','120202201216571431359933475124341322057',3977,'9998',60.54,4,3,NULL),(25,6148174,'1992-11-26 00:00:00',4,2,11,2010,'F','N','COLONINHA','GASPAR','SC','124242241216111431469833472122610164122',2625,'855',65.56,1,3,NULL),(25,6148182,'1993-05-16 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431458612395114610167047',19729,'270',32.92,1,3,NULL),(25,6148190,'1993-03-05 00:00:00',4,2,12,2009,'F','N','VELHA','BLUMENAU','SC','124242241215475431368833575115610164197',3260,'855',63.05,1,3,NULL),(25,6148212,'1992-12-20 00:00:00',2,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117241531526329195124610127042',20961,'288',31.28,1,2,1),(25,6148220,'1993-10-13 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117111431437614575112610167057',16047,'267',42.06,1,2,1),(25,6148239,'1993-07-10 00:00:00',4,1,12,2010,'F','N','JD ELIZA','FOZ IGUAÇU','PR','116163161117151431339923575124610123037',21217,'9997',24.73,4,3,NULL),(25,6148247,'1992-02-26 00:00:00',4,8,12,2010,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161215571431368812571124610142096',396,'9998',78.24,3,3,NULL),(25,6148255,'1989-05-08 00:00:00',2,1,7,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242248431372731326813582124613268191',NULL,'9999',23.86,1,3,NULL),(25,6148263,'1985-11-27 00:00:00',4,8,12,2002,'F','N','BATEL','CURITIBA','PR','116162161415472431218873482124343123142',1811,'9998',68.79,1,3,NULL),(25,6148271,'1994-08-26 00:00:00',4,1,12,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111431459814595124431655155',14790,'270',44.02,1,3,NULL),(25,6148280,'1994-02-18 00:00:00',2,4,12,2010,'F','N','SEM BAIRRO','BOM JESUS','SC','124241241435131431336815575124610121092',16977,'836',34.14,1,3,NULL),(25,6148298,'1980-04-07 00:00:00',2,1,7,2000,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241248126135731226349195124122367147',NULL,'306',19.94,1,3,NULL),(25,6148301,'1991-07-20 00:00:00',2,1,12,2008,'F','N','ESPERANÇA','LAGUNA','SC','124241241116231331626419342225610134077',21186,'521',30.13,1,2,1),(25,6148310,'1992-04-03 00:00:00',4,8,12,2009,'F','N','PARQUE ALVORADA','DOURADOS','MS','112122121216471421458511575224610122182',NULL,'9998',0.00,1,3,NULL),(25,6148336,'1991-11-23 00:00:00',2,5,12,2008,'F','N','CANTEGRIL','VIAMÃO','RS','120202204215571431436611571122610154181',NULL,'9998',56.24,1,3,NULL),(25,6148344,'1991-06-20 00:00:00',3,1,12,2008,'F','N','SANTO ANTÔNIO','FLORIANÓPOLIS','SC','124242241216473431468852372124610147122',3057,'1169',64.94,1,3,NULL),(25,6148352,'1987-10-19 00:00:00',4,1,11,2004,'M','N','CAMPINAS','S JOSÉ','SC','124243241215375431466669495124120724042',2736,'723',64.62,1,3,NULL),(25,6148360,'1992-06-13 00:00:00',4,5,10,2009,'M','N','MINA BRASIL','CRICIÚMA','SC','124242241215272311369914575124131468052',4162,'226',62.88,1,3,NULL),(25,6148379,'1988-09-06 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224241241117232111226654345124610126095',19495,'282',35.84,2,1,1),(25,6148387,'1994-06-24 00:00:00',4,7,11,2011,'F','S','SÃO CRISTOVÃO','CAPINZAL','SC','124241241216211731426339295122610118142',NULL,'1093',29.86,1,3,NULL),(25,6148395,'1993-12-13 00:00:00',4,4,11,2010,'F','N','CENTRO','CASCAVEL','PR','116163161216471731446612571122610147097',19351,'9998',36.17,1,3,NULL),(25,6148417,'1993-07-10 00:00:00',4,1,12,2010,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241115131431428611572124610127172',NULL,'307',36.17,1,2,1),(25,6148425,'1992-02-23 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215472641228727374212610164032',3592,'1038',64.33,1,3,NULL),(25,6148433,'1994-09-01 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215112411426831575122610167071',1542,'226',69.89,1,3,NULL),(25,6148450,'1992-07-09 00:00:00',4,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241137131431624327382313610127067',NULL,'285',15.12,1,3,NULL),(25,6148484,'1993-10-23 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241137131431226624242324610123077',NULL,'285',20.55,1,3,NULL),(25,6148492,'1993-05-08 00:00:00',4,1,11,2010,'F','N','TERRAS DE PIRACICABA','PIRACICABA','SP','125254251216111431368933272122610138142',NULL,'9998',0.00,1,3,NULL),(25,6148506,'1992-01-11 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473411668614571122610144095',NULL,'211',30.10,1,3,NULL),(25,6148514,'1992-05-03 00:00:00',4,1,12,2010,'F','N','CRISTO REI','CURITIBA','PR','116162161216111431358831571124610167112',NULL,'9998',0.00,1,3,NULL),(25,6148530,'1985-11-24 00:00:00',4,1,12,2003,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216153751368714425132320268047',8146,'270',54.61,1,3,NULL),(25,6148549,'1992-02-13 00:00:00',2,4,12,2009,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241216271411235626595115610167017',17040,'1079',35.79,1,3,NULL),(25,6148557,'1993-09-24 00:00:00',2,1,11,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215372431688713575124610161183',8814,'1048',49.86,4,3,NULL),(25,6148565,'1991-01-10 00:00:00',4,1,12,2008,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124202241215575431589914575112610137112',4548,'1133',60.01,1,3,NULL),(25,6148581,'1992-04-10 00:00:00',2,1,11,2008,'F','N','TERESÓPOLIS','PTO ALEGRE','RS','120202201216471431438611475114610163187',9961,'9998',47.27,1,3,NULL),(25,6148590,'1993-08-05 00:00:00',2,4,12,2010,'M','N','INTERIOR','MARIÓPOLIS','PR','116161161115131331324315575124610167042',13242,'9998',42.18,1,3,NULL),(25,6148603,'1991-10-31 00:00:00',2,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241117141431558913332114610127047',NULL,'296',34.48,1,3,NULL),(25,6148611,'1993-03-16 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217271431479933575122610126192',7615,'883',51.96,1,3,NULL),(25,6148620,'1992-03-14 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217152231468812575122230263182',14453,'262',40.78,1,3,NULL),(25,6148638,'1994-07-28 00:00:00',4,7,12,2010,'F','N','CENTRO','FRAIBURGO','SC','124244241215111451466616575122610122097',14266,'317',39.14,1,3,NULL),(25,6148654,'1994-07-03 00:00:00',4,1,12,2011,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241217151731389929575122610134095',NULL,'262',47.05,1,3,NULL),(25,6148662,'1992-06-10 00:00:00',4,5,12,2009,'M','N','PIO CORRÊA','CRICIÚMA','SC','124242241215474431356612472112610164125',3027,'211',65.86,1,3,NULL),(25,6148670,'1981-07-31 00:00:00',2,1,9,2001,'F','N','FORQUILHAS','S JOSÉ','SC','124243247212175731115644342334610128187',NULL,'9999',19.84,4,1,2),(25,6148697,'1993-05-25 00:00:00',2,1,12,2010,'F','N','ARIRIÚ DA FORMIGA','PALHOÇA','SC','124242241235131431526624372114610123197',11930,'1022',44.12,1,3,NULL),(25,6148719,'1965-02-17 00:00:00',2,1,12,1989,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124251257321132411113349295324221762192',9031,'9998',49.55,2,1,2),(25,6148727,'1994-06-09 00:00:00',4,10,12,2011,'M','S','BARRANCEIRA','LAGUNA','SC','124243241217131731426813575124610132142',NULL,'525',36.04,1,3,NULL),(25,6148735,'1992-05-29 00:00:00',4,1,11,2010,'F','N','ZONA DOIS','CIANORTE','PR','116162161215471431349931575122610167147',1231,'9998',71.02,1,3,NULL),(25,6148751,'1992-10-31 00:00:00',4,8,12,2009,'M','N','CENTRO','CURITIBA','PR','116161161216271141648816584215610166172',3437,'9998',64.12,1,3,NULL),(25,6148760,'1994-07-11 00:00:00',4,1,2,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111432458833375124610147112',14875,'270',43.88,1,3,NULL),(25,6148778,'1992-05-04 00:00:00',2,10,12,2009,'F','N','CENTRO','S JOAQUIM','SC','124244241415472731438914575122610161177',NULL,'720',39.90,1,3,NULL),(25,6148786,'1990-12-18 00:00:00',4,1,12,2009,'M','N','VILA SÃO FRANCISCO','S PAULO','SP','125252251217372431469814575124610137042',10162,'9998',47.61,1,3,NULL),(25,6148794,'1993-04-19 00:00:00',2,4,12,2009,'F','N','MARECHAL RONDON','CANOAS','RS','120202201217471431437619575112610141097',11911,'9998',44.74,1,3,NULL),(25,6148808,'1994-02-10 00:00:00',4,7,12,2010,'M','N','JARDIM PAULISTA','CUIABÁ','MT','111122111212111431438814242124610127012',12889,'9998',41.69,1,3,NULL),(25,6148816,'1993-06-03 00:00:00',4,1,12,2010,'M','N','JOSÉ MENINO','SANTOS','SP','125254251216111411258723274122610145142',2343,'9998',64.95,1,3,NULL),(25,6148824,'1993-08-19 00:00:00',4,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124222241215111431469923573122610164092',8269,'262',50.46,1,3,NULL),(25,6148832,'1993-07-08 00:00:00',4,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124244248215111431368833592111610121112',18100,'272',32.87,4,3,NULL),(25,6148840,'1993-07-21 00:00:00',2,1,12,2010,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241215111431534632284322610162045',18479,'1223',32.79,1,3,NULL),(25,6148875,'1987-02-26 00:00:00',4,8,12,2004,'F','N','AGUA VERDE','CURITIBA','PR','116163161416372431124924345124341227017',6724,'9998',52.47,1,3,NULL),(25,6148883,'1992-03-21 00:00:00',4,1,11,2010,'M','N','CAMIPNAS','S JOSÉ','SC','124123241415131431438634575124610114147',NULL,'737',23.62,1,3,NULL),(25,6148891,'1993-01-04 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212111431589913575122610124142',3205,'262',64.00,1,3,NULL),(25,6148905,'1994-10-07 00:00:00',4,1,11,2011,'F','S','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215111731349611595124610131042',NULL,'270',36.59,1,3,NULL),(25,6148913,'1992-10-19 00:00:00',2,10,11,2009,'F','N','VILA PARAÍSO','JAGUARUNA','SC','124241241415471431579714575122610166192',17806,'807',39.22,1,3,NULL),(25,6148921,'1989-12-26 00:00:00',4,1,11,2007,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216154411558613575125223262197',NULL,'1098',0.00,1,3,NULL),(25,6148930,'1992-10-08 00:00:00',2,10,12,2010,'M','N','OFICINAS','TUBARÃO','SC','124242241215121431225624472121610137062',16467,'797',41.44,1,3,NULL),(25,6148948,'1994-01-18 00:00:00',4,17,12,2010,'M','N','BOM JESUS','RIO NEGRO','PR','116161161215111431339933575112610167067',8656,'9998',49.75,1,3,NULL),(25,6148956,'1993-04-09 00:00:00',4,1,12,2010,'F','N','HIGIENÓPOIIS','S PAULO','SP','125252251217111431388932575122610126142',NULL,'9998',0.00,1,3,NULL),(25,6148964,'1994-03-10 00:00:00',2,5,12,2010,'F','N','SAO LUIZ','CRICIÚMA','SC','124242241215271431566924472122610143147',8367,'226',51.06,1,3,NULL),(25,6148972,'1991-10-21 00:00:00',2,5,12,2008,'M','N','CENTRO','GUAÍBA','RS','120204201215572431467839575124610167047',822,'9998',74.91,1,3,NULL),(25,6148980,'1994-04-02 00:00:00',2,1,11,2010,'M','N','AGUA VERDE','CURITIBA','PR','116162161215121431347923572124610124082',NULL,'9998',0.00,1,3,NULL),(25,6148999,'1992-09-24 00:00:00',4,8,12,2009,'F','N','COLONIA CASTROLANDA','CASTRO','PR','116162161312471211459712475122610164152',8885,'9998',49.05,1,3,NULL),(25,6149006,'1993-02-03 00:00:00',4,6,12,2010,'M','N','CENTRO','BRUSQUE','SC','124242241215151431357932575122610122092',NULL,'1090',14.38,1,3,NULL),(25,6149022,'1992-01-20 00:00:00',4,1,12,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241417151711248822575114610166195',NULL,'9999',22.23,1,3,NULL),(25,6149030,'1993-04-24 00:00:00',2,4,12,2010,'F','N','TREZE DE JULHO','ARACAJU','SE','126204261217471431455914575122610114142',12857,'9998',42.42,1,3,NULL),(25,6149049,'1991-07-07 00:00:00',4,1,12,2008,'F','N','JARDIM TÊXTIL','S PAULO','SP','125252251215571731448814575125610163192',4945,'9998',57.81,1,3,NULL),(25,6149057,'1992-12-09 00:00:00',2,1,12,2010,'M','N','PARADA INGLESA','S PAULO','SP','125252251217411432446834575124610122017',9977,'9998',51.01,1,3,NULL),(25,6149065,'1993-07-28 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241211151231434412572124610117143',NULL,'1075',27.40,3,3,NULL),(25,6149073,'1993-06-14 00:00:00',4,1,12,2010,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241115131431423311375324610125047',NULL,'591',32.36,1,3,NULL),(25,6149090,'1991-10-31 00:00:00',4,1,12,2008,'F','N','VILA OPERÁRIA','MARINGÁ','PR','116162161217572431448834575122610164187',464,'9998',77.91,1,3,NULL),(25,6149103,'1993-07-29 00:00:00',2,1,11,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241215111411436633575121610164097',21095,'270',30.69,1,3,NULL),(25,6149120,'1993-03-29 00:00:00',2,16,12,2010,'F','N','SÃO LUIS','CURITIBANOS','SC','124243241415121431426816585122610134072',13006,'881',43.62,1,3,NULL),(25,6149146,'1992-12-31 00:00:00',2,6,12,2010,'F','N','DAS NAÇOES','BAL CAMBORIÚ','SC','124241241215111431436813345124610126097',NULL,'1141',20.70,1,3,NULL),(25,6149154,'1994-12-14 00:00:00',2,10,12,2011,'F','S','NOSSA SRA DE FATIMA','BRAÇO NORTE','SC','124243241215111431454632595122610134147',NULL,'950',29.39,1,3,NULL),(25,6149170,'1993-09-19 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241217122431368814575122610143072',8186,'497',50.40,1,3,NULL),(25,6149189,'1993-12-16 00:00:00',4,4,12,2010,'F','N','VENEZA','XANXERÊ','SC','124241241115141531423319145125610136147',21167,'949',30.25,1,2,1),(25,6149197,'1993-11-14 00:00:00',4,8,11,2010,'F','N','VILA NOVA','JOINVILLE','SC','124241241116471431426318571114610121197',NULL,'475',0.00,1,2,1),(25,6149200,'1993-11-11 00:00:00',2,4,12,2010,'M','N','CENTRO','MARIÓPOLIS','PR','116161161117171711423419292341610117041',NULL,'9998',0.00,1,3,NULL),(25,6149219,'1993-10-22 00:00:00',2,7,12,2010,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241215161431446836364122610131092',NULL,'453',22.50,1,3,NULL),(25,6149227,'1993-07-14 00:00:00',2,5,12,2010,'F','N','BARRO VERMELHO','ORLEANS','SC','124244241217112431447919395124610168092',6751,'226',53.73,1,3,NULL),(25,6149235,'1994-01-23 00:00:00',2,5,12,2011,'M','S','OPERÁRIA NOVA','CRICIÚMA','SC','124242241215111431438819392122610137147',NULL,'210',0.00,4,3,NULL),(25,6149251,'1991-05-09 00:00:00',4,1,12,2008,'F','N','BARCELONA','S CAETANO SUL','SP','125252251215571431479714571122610128142',945,'9998',73.73,1,3,NULL),(25,6149260,'1992-05-19 00:00:00',2,8,12,2009,'M','N','UBERABA','CURITIBA','PR','116161161147471451447614571124610127042',13839,'9998',40.64,4,2,1),(25,6149278,'1991-07-23 00:00:00',4,1,12,2008,'F','N','TREMEMBE','S PAULO','SP','125252251216571711558612375124610162187',11810,'9998',42.92,1,3,NULL),(25,6149286,'1991-08-01 00:00:00',4,1,11,2008,'M','N','CENTRO','STA MARIA','RS','120203201216572731468914275114610162147',7613,'9998',52.06,1,3,NULL),(25,6149308,'1993-12-20 00:00:00',2,1,12,2010,'F','N','CENTRO','MAFRA','SC','124162161215171431445833575112610168147',NULL,'9998',0.00,1,3,NULL),(25,6149316,'1969-06-14 00:00:00',2,1,12,2001,'F','N','ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC','524241248127131431121144142314610134182',NULL,'9999',0.00,1,3,NULL),(25,6149332,'1993-12-07 00:00:00',4,1,12,2010,'F','N','GUARAITUBA','COLOMBO','PR','116164161217111411359713575112610141187',5979,'9998',56.41,1,3,NULL),(25,6149340,'1993-08-11 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124244241215112431338923575122610134182',9631,'737',48.99,1,3,NULL),(25,6149359,'1994-01-13 00:00:00',4,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124242161217471431458833575122610122122',4333,'9998',59.27,1,3,NULL),(25,6149367,'1991-03-22 00:00:00',4,8,12,2008,'F','N','SANTA CATARINA','JOINVILLE','SC','124242241215572431436632572114133264047',124,'459',82.61,1,3,NULL),(25,6149375,'1992-11-22 00:00:00',2,8,12,2010,'F','N','VILA NOVA','MAFRA','SC','124241161216111431457632474124610163097',15543,'9998',40.47,1,3,NULL),(25,6149383,'1982-08-04 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242243236274711148743335122520724122',1618,'494',70.80,1,3,NULL),(25,6149391,'1993-07-09 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243248215111721437734372114610122052',NULL,'1022',10.87,1,3,NULL),(25,6149405,'1990-02-10 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241125131431521324172124610126143',19782,'274',35.19,2,1,1),(25,6149413,'1993-06-30 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124122241215111431369613595115610123182',4200,'270',61.77,1,3,NULL),(25,6149421,'1992-09-13 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124243241215111411258513571112610117045',15935,'1022',42.25,1,3,NULL),(25,6149430,'1993-04-26 00:00:00',4,3,12,2010,'F','N','VILA MORAES','OURINHOS','SP','125252251217111442456632395122610142142',14865,'9998',38.26,1,3,NULL),(25,6149448,'1993-01-02 00:00:00',4,10,12,2010,'M','N','CENTRO','TUBARÃO','SC','124241241215371431447714372121610122097',12984,'1120',43.14,3,3,NULL),(25,6149456,'1993-07-09 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241117311431437624472124610163197',13123,'307',42.82,1,2,1),(25,6149464,'1988-04-03 00:00:00',2,15,12,2005,'F','N','CENTRO','S LEOPOLDO','RS','620202201216131431138944342224240745097',13857,'9998',45.39,1,3,NULL),(25,6149472,'1993-07-11 00:00:00',2,2,12,2010,'F','N','PROGRESSO','BLUMENAU','SC','124241241126141431343622345124610118052',NULL,'80',18.84,4,3,NULL),(25,6149480,'1992-08-05 00:00:00',4,8,11,2010,'M','N','AMERICA','JOINVILLE','SC','124242241215111431359912572122610137011',11103,'1063',45.10,1,3,NULL),(25,6149499,'1993-11-04 00:00:00',2,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241135141431626529272244610122142',NULL,'733',15.87,1,3,NULL),(25,6149502,'1994-05-29 00:00:00',4,9,12,2011,'F','S','REVÓLVER','PRES GETÚLIO','SC','124241248215111631226629372124610124182',NULL,'991',0.00,1,3,NULL),(25,6149529,'1980-01-01 00:00:00',2,1,12,1997,'M','N','CARIANOS','FLORIANÓPOLIS','SC','624123121217152711368843435122322426173',3404,'9998',64.79,1,3,NULL),(25,6149561,'1992-12-17 00:00:00',4,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215111431338614575112610127122',806,'1063',73.62,1,3,NULL),(25,6149570,'1992-11-23 00:00:00',4,1,11,2010,'M','N','PRAIA DO ANTENOR','GOV CELSO RAMOS','SC','124242241215111231543623575124610117042',12687,'1118',44.52,1,3,NULL),(25,6149588,'1993-08-04 00:00:00',4,2,12,2010,'M','N','JARDIM IPIRANGA','MARINGÁ','PR','116162161215111431458811495112610114042',4900,'9998',57.75,1,3,NULL),(25,6149596,'1992-05-04 00:00:00',4,1,11,2009,'F','N','VILA ARICANDUVA','S PAULO','SP','125252251215571431358811575122610164072',NULL,'9998',47.28,1,3,NULL),(25,6149600,'1988-09-10 00:00:00',4,1,6,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241247127271511623824476124610122142',NULL,'736',30.28,1,2,1),(25,6149618,'1993-09-21 00:00:00',2,9,12,2010,'F','N','SEMINÁRIO','TAIÓ','SC','124242241216131731424923475125610133147',NULL,'776',0.00,1,3,NULL),(25,6149626,'1993-10-11 00:00:00',2,1,12,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124121241115131331626634115124610134142',NULL,'278',31.33,4,3,NULL),(25,6149634,'1992-10-05 00:00:00',4,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241337221431546753595112610166182',NULL,'884',40.60,1,3,NULL),(25,6149642,'1993-04-27 00:00:00',2,4,12,2010,'M','N','INTERIOR','S JOSÉ CEDRO','SC','124241241116131431423435572124610127077',NULL,'740',0.00,1,2,1),(25,6149650,'1992-07-07 00:00:00',4,8,12,2009,'F','N','BATEL','CURITIBA','PR','116162161416371431569933595124610164072',3272,'9998',62.88,1,3,NULL),(25,6149677,'1994-05-10 00:00:00',2,6,11,2011,'F','S','JARDIM AMERICA','RIO SUL','SC','124242241216571432468734245122610137052',NULL,'653',45.54,1,3,NULL),(25,6149693,'1993-05-15 00:00:00',2,9,12,2010,'F','N','POÇO RICO','OTACÍLIO COSTA','SC','124241241316131431358713575122610123147',NULL,'515',27.26,1,3,NULL),(25,6149707,'1990-08-17 00:00:00',2,15,12,2007,'F','N','COHAB','ARARANGUÁ','SC','124241241117131731326514445122610114117',NULL,'29',7.15,1,2,1),(25,6149715,'1993-04-09 00:00:00',4,8,12,2010,'M','N','JD DAS INDÚSTRIAS','S JOSÉ CAMPOS','SP','125252251217111441347923575122610144122',11279,'9998',49.25,1,3,NULL),(25,6149723,'1991-10-11 00:00:00',4,10,11,2008,'M','N','CENTRO','TUBARÃO','SC','124242241215372431458739375122133247047',20322,'806',33.65,1,3,NULL),(25,6149731,'1993-02-05 00:00:00',2,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124242241117131431439613275124610167047',9060,'739',50.74,1,3,NULL),(25,6149740,'1991-08-12 00:00:00',4,1,11,2008,'F','N','MENINO DEUS','PTO ALEGRE','RS','120204201217571431467613575124610143097',NULL,'9998',0.00,1,3,NULL),(25,6149766,'1993-07-02 00:00:00',4,1,12,2010,'F','N','DOS CASAS','S BERNARDO CAMPO','SP','125252251217121411548924571122610121177',1722,'9998',68.76,3,3,NULL),(25,6149774,'1993-03-11 00:00:00',4,8,12,2010,'M','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241115141712525529145125610127057',NULL,'430',31.49,1,2,1),(25,6149782,'1992-05-05 00:00:00',4,1,12,2009,'M','N','ZONA SETE','MARINGÁ','PR','116162161216471431447713245114610164052',8024,'9998',53.00,1,3,NULL),(25,6149790,'1992-08-11 00:00:00',2,1,12,2009,'F','N','CENTRO','PTO ALEGRE','RS','120203201116471431458913575124610162187',705,'9998',75.04,1,3,NULL),(25,6149804,'1986-11-05 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241116575441468833445124332166171',7406,'307',55.95,1,3,NULL),(25,6149820,'1994-02-03 00:00:00',4,1,11,2011,'M','S','SANTANA','RIO SUL','SC','124242241216512431456932575122610117042',NULL,'653',42.67,1,3,NULL),(25,6149839,'1992-06-12 00:00:00',2,1,6,2011,'F','S','RIO CAVEIRAS','BIGUAÇU','SC','124241241115141731323311392124610118142',NULL,'306',0.00,1,3,NULL),(25,6149847,'1993-11-11 00:00:00',4,8,12,2010,'F','N','HAUER','CURITIBA','PR','116162161216171321467912575122610112072',NULL,'9998',0.00,1,3,NULL),(25,6149855,'1992-12-29 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124243241217152411528632575114141464182',2896,'185',63.54,1,3,NULL),(25,6149863,'1993-02-15 00:00:00',4,3,12,2010,'M','N','BARRA DO RIO MOLHA','JARAGUÁ SUL','SC','124242241314131731469934274121610145012',NULL,'430',12.84,1,3,NULL),(25,6149871,'1993-10-09 00:00:00',4,8,12,2010,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215471421256921295122610127045',4737,'1063',60.40,1,3,NULL),(25,6149880,'1992-04-14 00:00:00',1,8,11,2010,'F','N','LA SALLE','TOLEDO','PR','116162161215121431348832574112610165012',4740,'9998',58.01,1,3,NULL),(25,6149910,'1989-12-19 00:00:00',2,15,12,2009,'M','N','CENTRO','ARARANGUÁ','SC','124241241121131231221444141121610118097',19532,'852',29.70,1,2,1),(25,6149928,'1993-03-16 00:00:00',2,1,12,2010,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215132431446833572112610123157',5963,'737',57.41,1,3,NULL),(25,6149936,'1993-07-01 00:00:00',4,1,12,2010,'M','N','JUVEVE','CURITIBA','PR','116162161215471411579913572122610124042',NULL,'9998',0.00,3,3,NULL),(25,6149944,'1992-11-25 00:00:00',4,1,11,2009,'M','N','ROÇADO','S JOSÉ','SC','124241241217162531438611575114133227143',NULL,'1036',38.31,1,3,NULL),(25,6149952,'1992-11-17 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124162161336371431526939375114610124197',NULL,'9998',17.25,1,3,NULL),(25,6149960,'1983-07-02 00:00:00',2,1,12,2003,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124202201127241532113644245224143224047',NULL,'9998',0.00,1,3,NULL),(25,6149979,'1992-02-04 00:00:00',2,1,12,2010,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124243241137271431466632381124610167042',NULL,'772',35.75,1,3,NULL),(25,6149987,'1970-06-10 00:00:00',4,1,12,2010,'M','N','SACO DOS LOMÕES','FLORIANÓPOLIS','SC','224241247122141431523314342244613237063',18252,'283',38.39,1,3,NULL),(25,6150004,'1993-10-25 00:00:00',4,2,11,2010,'F','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241217371431288814585122610164172',NULL,'71',0.00,1,3,NULL),(25,6150012,'1993-01-22 00:00:00',2,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431355623345124610127042',2721,'272',65.80,1,3,NULL),(25,6150020,'1994-04-26 00:00:00',4,7,12,2010,'F','N','SANTA LÚCIA','VIDEIRA','SC','124241241217131431544436575122610137142',1489,'829',69.25,1,3,NULL),(25,6150039,'1993-11-06 00:00:00',2,7,11,2010,'F','N','SÃO SEBASTIÃO','FRAIBURGO','SC','124244241215111431334332572122610123147',NULL,'885',0.00,1,3,NULL),(25,6150047,'1993-07-08 00:00:00',4,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124241241117141732654434245125610117042',NULL,'729',34.15,1,2,1),(25,6150055,'1988-06-15 00:00:00',2,6,12,2005,'M','N','SÃO JOÃO','ITAJAÍ','SC','124241241117271711433613345122131464092',15452,'401',38.45,1,2,1),(25,6150063,'1991-09-01 00:00:00',2,6,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124201201115573431323814182325610123142',685,'9998',76.11,1,2,1),(25,6150071,'1994-05-31 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241147141412429953572124610127017',15321,'307',38.29,1,2,1),(25,6150098,'1990-08-14 00:00:00',2,1,12,2007,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215575441368614574122610123182',11617,'270',44.08,1,3,NULL),(25,6150128,'1993-03-26 00:00:00',2,8,12,2010,'F','N','BOM RETIRO','JOINVILLE','SC','124241246215111431444614575124610128072',NULL,'1105',14.31,1,3,NULL),(25,6150136,'1978-11-07 00:00:00',2,1,12,2008,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','624241241127472421326554342114610126192',12887,'278',43.83,2,1,1),(25,6150144,'1988-03-26 00:00:00',4,1,11,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251251117232432221164341324610135027',NULL,'9998',26.69,4,2,1),(25,6150152,'1993-01-28 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241416371411446512575124610134042',19854,'988',30.61,1,3,NULL),(25,6150160,'1992-06-06 00:00:00',4,6,12,2010,'F','N','XAXIM','CURITIBA','PR','116161166117371331336933575124610136077',7893,'9998',51.69,1,2,1),(25,6150187,'1991-04-12 00:00:00',4,1,12,2010,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241126131432325854343244610166194',NULL,'1149',0.00,1,2,1),(25,6150217,'1993-11-29 00:00:00',2,16,12,2010,'M','N','BOSQUE','CURITIBANOS','SC','124224241415111731343933575122610154185',NULL,'237',20.12,4,3,NULL),(25,6150233,'1991-10-25 00:00:00',4,1,11,2008,'F','N','CENTRO','CURITIBA','PR','116164161411471421338829571114610167127',12595,'9998',41.53,1,3,NULL),(25,6150250,'1987-07-01 00:00:00',2,1,12,2004,'F','N','VILA ANDRADE','S PAULO','SP','125252251217571531563332574124610133097',3458,'9998',63.59,1,3,NULL),(25,6150268,'1991-11-07 00:00:00',4,1,12,2009,'M','N','JD C MATTUCCI','SOROCABA','SP','125254251225471431339923375112610167047',12393,'9998',42.64,1,3,NULL),(25,6150284,'1993-07-31 00:00:00',4,8,11,2010,'M','N','CABRAL','CURITIBA','PR','116162161215121411488923575124610137044',577,'9998',75.88,1,3,NULL),(25,6150306,'1992-06-20 00:00:00',4,8,12,2008,'F','N','IRIRIU','JOINVILLE','SC','124244241216153431338832315124231062142',NULL,'9997',0.00,1,3,NULL),(25,6150330,'1991-09-16 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124201241111131731226313581124610134142',NULL,'732',0.00,2,2,1),(25,6150349,'1966-10-04 00:00:00',2,1,12,1991,'F','N','CARIANOS','FLORIANÓPOLIS','SC','424242247227132421236343432124132331097',NULL,'270',23.60,1,3,NULL),(25,6150357,'1994-06-23 00:00:00',4,1,12,2011,'F','S','CAMPINAS','S JOSÉ','SC','124242241217111732436632575124610162041',NULL,'270',19.32,1,3,NULL),(25,6150365,'1983-05-11 00:00:00',4,8,12,2000,'M','N','MATO PRETO','S BENTO SUL','SC','124241241116161721538319345112131214057',18872,'693',37.18,1,3,NULL),(25,6150381,'1991-01-24 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373411369923591122131022071',11678,'262',45.44,1,3,NULL),(25,6150390,'1993-12-11 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215121431449614292124610135051',7777,'723',52.82,1,3,NULL),(25,6150403,'1991-12-23 00:00:00',4,3,12,2009,'F','N','FAZENDA','ITAJAÍ','SC','124242246111142411458913571124231462092',13813,'129',45.45,1,3,NULL),(25,6150411,'1990-07-25 00:00:00',2,15,12,2007,'F','N','MARGARIDA','STA CRUZ SUL','RS','120202208216571741456614572122243234042',12380,'9998',42.13,1,3,NULL),(25,6150438,'1982-05-16 00:00:00',4,1,12,1999,'M','N','ASA SUL','BRASÍLIA','DF','107073071216331731328611475121140747112',NULL,'9998',0.00,4,3,NULL),(25,6150446,'1992-08-04 00:00:00',4,1,12,2009,'F','N','ELOY CHAVES','JUNDIAÍ','SP','125252251217471431469814275122610145143',NULL,'9998',0.00,1,3,NULL),(25,6150454,'1993-04-11 00:00:00',4,3,12,2010,'F','N','PILARZINHO','CURITIBA','PR','116161161115371421536611572124610137147',NULL,'9998',0.00,1,2,1),(25,6150462,'1992-02-15 00:00:00',4,1,12,2009,'F','N','TUCURUVI','S PAULO','SP','125252251215571431468814571125610162042',1221,'9998',70.84,1,3,NULL),(25,6150470,'1993-07-16 00:00:00',4,1,12,2010,'F','N','BANDEIRANTES','CPO GRANDE','MS','112122121215471431459933575122610164142',20058,'9998',34.41,1,3,NULL),(25,6150489,'1992-09-09 00:00:00',4,3,12,2009,'F','N','CENTRO','MARINGÁ','PR','116162161216471731468836571125610162182',2421,'9998',67.17,1,3,NULL),(25,6150497,'1992-12-14 00:00:00',4,4,10,2010,'M','N','REBOUÇAS','CURITIBA','PR','116242161215472641479911572124610167042',37,'9998',86.24,1,3,NULL),(25,6150500,'1992-11-11 00:00:00',5,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215271431538821575124610132187',NULL,'951',0.00,1,3,NULL),(25,6150519,'1993-03-23 00:00:00',4,1,12,2010,'M','N','ATALAIA','ARACAJU','SE','126262261215571411479833585122610167042',2807,'9998',65.48,1,3,NULL),(25,6150527,'1992-11-09 00:00:00',4,1,11,1992,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241415111731569933574112610167062',2531,'262',65.47,1,3,NULL),(25,6150543,'1991-09-20 00:00:00',4,1,11,2008,'F','N','VILA RÉ','S PAULO','SP','125252251215571751366419231125610165186',130,'9998',82.30,1,3,NULL),(25,6150551,'1990-12-24 00:00:00',4,1,12,2008,'F','N','VILA ADYANNA','S JOSÉ CAMPOS','SP','125251251415572431488814575112610124122',NULL,'9998',0.00,1,3,NULL),(25,6150560,'1993-04-06 00:00:00',4,1,12,2010,'F','N','CENTRO','JUNDIAÍ','SP','125252251235171431569914572122610132013',NULL,'9998',0.00,1,3,NULL),(25,6150578,'1992-04-07 00:00:00',4,1,6,2011,'F','S','SANTO ANTÔNIO DE L','FLORIANÓPOLIS','SC','124241248117131731426513185124610153147',NULL,'306',34.20,4,3,NULL),(25,6150586,'1992-01-15 00:00:00',4,9,12,2008,'F','N','UNIVERSITÁRIO','LAGES','SC','124242241216573431469813575124610124147',386,'1146',77.49,1,3,NULL),(25,6150594,'1992-11-28 00:00:00',4,1,12,2010,'M','N','JARDIM MORUMBY','SOROCABA','SP','125254251216141431326838341122610122087',NULL,'9998',0.00,4,3,NULL),(25,6150616,'1993-04-16 00:00:00',4,10,12,2010,'M','N','CENTRO','TUBARÃO','SC','124242241215121432468613575122610144122',6561,'797',54.59,1,3,NULL),(25,6150624,'1992-02-05 00:00:00',4,1,11,2009,'F','N','URBANOVA II','S JOSÉ CAMPOS','SP','125252251217471231678934595112610164096',NULL,'9998',0.00,1,3,NULL),(25,6150632,'1992-06-25 00:00:00',2,1,11,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124134241115111431238622575124610167041',19156,'270',31.37,1,3,NULL),(25,6150640,'1975-05-27 00:00:00',2,1,12,1996,'F','N','AREIAS','S JOSÉ','SC','124163163136132431326643232122142216172',NULL,'9998',23.15,1,3,NULL),(25,6150659,'1990-03-23 00:00:00',2,1,11,2010,'F','N','BELA VISTA','S JOSÉ','SC','124243241215373731456932395124610163077',21369,'270',29.01,1,3,NULL),(25,6150675,'1990-02-12 00:00:00',4,1,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124252251211572411446319591122610162172',7091,'9998',56.57,1,3,NULL),(25,6150691,'1992-09-25 00:00:00',4,1,12,2010,'F','N','SÃO JOSÉ','BOM DESPACHO','MG','113131131116271451244824171124610163072',14428,'9998',40.18,4,2,1),(25,6150705,'1993-01-23 00:00:00',4,8,12,2010,'F','N','CENTRO','LARANJEIRAS SUL','PR','116162161211121431549833575122610122142',11207,'9998',44.43,1,3,NULL),(25,6150713,'1993-01-04 00:00:00',4,1,12,2010,'F','N','RESID EUROVILLE','BRAGANÇA PAULISTA','SP','225252251217471431448632572122610127092',NULL,'9998',25.80,1,3,NULL),(25,6150730,'1993-02-11 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241215111431447612575124610167053',17916,'1022',39.00,1,3,NULL),(25,6150748,'1989-02-19 00:00:00',4,9,12,2006,'M','N','SANTA HELENA','LAGES','SC','124241241116161421436111215122333248042',NULL,'512',21.14,1,3,NULL),(25,6150756,'1989-11-06 00:00:00',4,1,11,2006,'M','N','KOBRASOL','S JOSÉ','SC','124244241215374431138341315114121062012',5872,'723',56.69,1,3,NULL),(25,6150764,'1993-02-20 00:00:00',2,4,12,2009,'M','N','CENTRO','CORBÉLIA','PR','116161161315571331567812572124610134142',6523,'9998',57.00,1,3,NULL),(25,6150772,'1993-10-11 00:00:00',4,1,11,2010,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161217121431469913571122610134072',1365,'9998',69.83,1,3,NULL),(25,6150780,'1983-03-04 00:00:00',4,4,12,2000,'F','N','CENTRO','CHAPECÓ','SC','124242241216573421348812342122532232187',6203,'185',55.74,1,3,NULL),(25,6150799,'1988-06-04 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241127143431437319342124232112087',18465,'307',32.28,1,2,1),(25,6150802,'1992-12-01 00:00:00',2,1,12,2009,'M','N','DOS INGLESES','FLORIANÓPOLIS','SC','124163161215471531458711395112610167054',14754,'9998',44.07,1,3,NULL),(25,6150810,'1991-07-01 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241217373431336611345122610125072',12702,'989',43.65,1,3,NULL),(25,6150837,'1993-09-30 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241215371431223527395125610127047',14652,'1076',39.98,1,3,NULL),(25,6150845,'1993-01-04 00:00:00',4,1,6,2010,'M','N','JABAQUARA','S PAULO','SP','125242257217371411438644245124610128186',NULL,'9998',29.45,1,3,NULL),(25,6150853,'1992-05-20 00:00:00',2,1,12,2010,'F','N','COPACABANA','RIO JANEIRO','RJ','121212211217121431338733575124610128142',NULL,'9998',0.00,1,3,NULL),(25,6150861,'1993-11-29 00:00:00',4,10,11,2010,'F','N','CENTRO','BRAÇO NORTE','SC','124241248125141731539531215112610145197',NULL,'100',0.00,1,2,1),(25,6150870,'1990-11-01 00:00:00',4,1,7,2009,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244247215371751326413395114610167042',21210,'270',30.00,4,3,NULL),(25,6150888,'1988-08-08 00:00:00',2,1,9,2007,'F','N','AREIAS','S JOSÉ','SC','124201205116131431333373442124610113187',NULL,'9998',17.64,1,3,NULL),(25,6150896,'1993-03-12 00:00:00',4,5,11,2010,'M','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241215112431437719575122610167042',972,'226',73.53,1,3,NULL),(25,6150900,'1994-03-15 00:00:00',4,8,12,2010,'M','N','JARDIM PAULISTA','CPO GRANDE','MS','112112121215111411558811571122610118072',170,'9998',81.02,3,3,NULL),(25,6150918,'1993-03-27 00:00:00',4,8,12,2009,'F','N','CIDADE ALTA','ALEGRETE','RS','124201201116112431336933575122221422092',NULL,'9998',39.46,1,3,NULL),(25,6150934,'1991-02-14 00:00:00',2,1,12,2008,'F','N','ARIRIU','PALHOÇA','SC','124241241147271431423319245124610127072',21497,'593',27.99,1,2,1),(25,6150950,'1992-10-01 00:00:00',2,8,10,2010,'F','N','ATIRADORES','JOINVILLE','SC','124244241215121411668814585122610122132',NULL,'1063',28.85,1,3,NULL),(25,6150977,'1993-10-21 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115472751225614575122610122082',10847,'592',46.14,1,2,1),(25,6150985,'1993-02-18 00:00:00',4,2,12,2010,'F','N','DOS ESTADOS','INDAIAL','SC','124241241116131531433324245114610116142',9826,'84',51.65,4,2,1),(25,6150993,'1994-01-31 00:00:00',4,4,11,2010,'M','N','CENTRO','SORRISO','MT','111242111216121441449932595121610157042',6501,'9998',54.92,1,3,NULL),(25,6151000,'1993-07-26 00:00:00',2,9,12,2010,'M','N','SÃO JOÃO','AGROLÂNDIA','SC','124241241117371431444933575122610134142',15044,'850',39.68,1,2,1),(25,6151019,'1993-03-05 00:00:00',2,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124241241115371331525619575124610127032',18743,'726',32.45,1,2,1),(25,6151027,'1993-03-13 00:00:00',4,8,12,2010,'F','N','CENTRO','S JOSÉ PINHAIS','PR','116162164211361751347612575115610127012',NULL,'9998',0.00,1,3,NULL),(25,6151035,'1991-12-05 00:00:00',4,1,12,2009,'F','N','AQUARIUS','S JOSÉ CAMPOS','SP','125252251215372711478811575122610125092',5660,'9998',55.47,1,3,NULL),(25,6151043,'1989-11-18 00:00:00',4,1,12,2006,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124244241415132431335634495124233237147',12283,'269',47.71,1,3,NULL),(25,6151051,'1993-02-14 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111421546432345124610118045',NULL,'1197',38.10,1,3,NULL),(25,6151078,'1993-07-14 00:00:00',2,3,12,2010,'F','N','MUNICIPIOS','BAL CAMBORIÚ','SC','124243241115371731334614575122610162187',13938,'51',39.97,1,3,NULL),(25,6151086,'1989-07-01 00:00:00',2,1,4,2009,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124201207136131422223374385114610124197',NULL,'9998',33.14,1,2,1),(25,6151094,'1993-04-19 00:00:00',4,1,12,2010,'M','N','VILA PRUDENTE','S PAULO','SP','125252251211111731368839475114610132022',5097,'9998',58.03,1,3,NULL),(25,6151108,'1994-03-14 00:00:00',4,1,12,2011,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111431457913575124610124142',NULL,'272',43.93,1,3,NULL),(25,6151116,'1991-08-15 00:00:00',2,1,12,2008,'M','N','VILA NOVA','PASSO FUNDO','RS','120201201115571431447713271124610124097',2475,'9998',66.80,1,2,1),(25,6151124,'1992-11-16 00:00:00',2,15,12,2010,'M','N','CENTRO','TORRES','RS','120202201217471431436814372122610167072',9207,'9998',47.63,1,3,NULL),(25,6151132,'1993-06-07 00:00:00',2,1,12,2010,'M','N','JARDIM BRASIL','S PAULO','SP','125252251216151431458814215124610137111',NULL,'9998',31.42,1,3,NULL),(25,6151140,'1989-05-16 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241117141431436623442114610137047',NULL,'298',27.74,1,3,NULL),(25,6151159,'1993-08-11 00:00:00',2,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241243117141231436419275122610127042',20604,'298',26.94,4,2,1),(25,6151167,'1994-04-18 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215151431258733245122610166182',14474,'9997',44.49,1,3,NULL),(25,6151175,'1992-11-22 00:00:00',4,8,12,2009,'M','N','JARDIM PAULISTA','CPO GRANDE','MS','112112251217472431589814475123610167072',1241,'9998',71.49,3,3,NULL),(25,6151191,'1983-12-27 00:00:00',2,1,12,2001,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216275421338613495124430223017',17977,'262',38.89,1,3,NULL),(25,6151205,'1992-11-14 00:00:00',4,1,11,2009,'M','N','XAXIM','CURITIBA','PR','116161161115131431323524571124610162097',13729,'9998',40.22,1,2,1),(25,6151213,'1993-09-08 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241117371431536511575122610164062',568,'271',76.96,1,3,NULL),(25,6151230,'1991-03-20 00:00:00',4,4,12,2008,'M','N','CENTRO','CASCAVEL','PR','116162161212572431248821572122610112013',6661,'9998',54.37,1,3,NULL),(25,6151264,'1991-05-15 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241126143431323314245124221767042',NULL,'936',0.00,1,2,1),(25,6151280,'1991-11-29 00:00:00',4,1,12,2008,'F','N','CENTRO','CRUZ ALTA','RS','120203201216371331458813585115141067017',NULL,'9998',0.00,1,3,NULL),(25,6151299,'1991-04-19 00:00:00',4,8,12,2008,'M','N','BOQUEIRÃO','CURITIBA','PR','116162161215471431448732575124141468182',NULL,'9998',25.33,3,3,NULL),(25,6151310,'1993-08-05 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241248117151752446614576114610164012',NULL,'257',16.98,1,2,1),(25,6151329,'1988-11-01 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSÉ','SC','124241248122131111113344242134610137147',NULL,'331',22.12,1,2,1),(25,6151337,'1993-10-16 00:00:00',4,7,11,2010,'M','N','VILA PEDRINI','JOAÇABA','SC','124244241215151431448814275122610137072',9874,'454',51.56,1,3,NULL),(25,6151345,'1992-05-16 00:00:00',4,1,12,2009,'M','N','CENTRO','PEDRO TOLEDO','SP','125251251117271451345833575124141467011',NULL,'9998',0.00,1,2,1),(25,6151361,'1991-01-24 00:00:00',2,1,12,2008,'F','N','LAGO NORTE','LG NORTE','DF','107072071217572431468933575122610162182',3663,'9998',64.15,1,3,NULL),(25,6151370,'1991-12-26 00:00:00',2,1,12,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241241112373431546534375114610144042',NULL,'292',32.03,1,2,1),(25,6151388,'1988-12-21 00:00:00',4,8,12,2006,'F','N','JARDIM RAFAELA','ARARAQUARA','SP','125251251116471431426614485123610131057',NULL,'9998',24.77,1,2,1),(25,6151396,'1985-03-11 00:00:00',2,1,12,2002,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241127472731323341312214610164071',NULL,'595',37.03,1,2,1),(25,6151400,'1984-12-08 00:00:00',4,1,7,2003,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241146374431236879345124610122043',13844,'281',45.41,1,2,1),(25,6151418,'1992-03-26 00:00:00',4,1,12,2009,'F','N','CENTRO','JABOTICABAL','SP','125252251215471441464816365125610127072',8047,'9998',52.41,1,3,NULL),(25,6151426,'1992-04-27 00:00:00',4,8,12,2009,'M','N','CENTRO','NOVA LONDRINA','PR','116162161237461431456912335122141017074',5622,'9998',57.65,2,3,NULL),(25,6151434,'1993-09-13 00:00:00',2,1,11,2010,'M','N','SÃO FRANCISCO','CPO GRANDE','MS','112122121216111431333361595124610127143',9310,'9998',48.33,1,3,NULL),(25,6151442,'1994-03-27 00:00:00',4,4,12,2010,'M','N','PERPETUO SOCORRO','S LOURENÇO OESTE','SC','124243241137471231548613276122610164012',19750,'744',35.27,1,3,NULL),(25,6151450,'1985-06-14 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217275431369932575124122622147',6985,'262',56.77,1,3,NULL),(25,6151469,'1991-12-26 00:00:00',4,15,12,2009,'M','N','VILA SÃO JOÃO','TORRES','RS','120201242116141451433321115114141964042',10127,'690',46.90,1,3,NULL),(25,6151477,'1990-12-15 00:00:00',4,1,12,2007,'F','N','GIOCONDO ORSI','CPO GRANDE','MS','112124121316571751678813585122142861197',7201,'9998',51.46,3,3,NULL),(25,6151485,'1990-02-12 00:00:00',4,1,12,2007,'M','N','VILA PRUDENTE','S PAULO','SP','125254251416571731668834571115610146182',7179,'9998',56.41,3,3,NULL),(25,6151507,'1993-01-12 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241241116141311226624385114610125072',15373,'729',40.04,1,3,NULL),(25,6151515,'1991-02-08 00:00:00',2,1,12,2008,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124244248211372751435339395124610166097',19236,'944',36.42,4,3,NULL),(25,6151523,'1994-03-11 00:00:00',2,4,12,2010,'F','N','APARECIDA','FREDERICO WESTPHALEN','RS','120201201116371532433311575122610134057',NULL,'9998',26.83,4,2,1),(25,6151540,'1984-06-12 00:00:00',4,1,12,2004,'F','N','ENCANTADA','GAROPABA','SC','124241241132162421323119292324610116143',21199,'322',30.05,1,2,1),(25,6151558,'1979-01-31 00:00:00',4,1,12,1996,'M','N','CENTRO','BIGUAÇU','SC','124253251127131311528811441124341467054',21590,'9998',27.05,1,3,NULL),(25,6151566,'1991-06-26 00:00:00',4,3,11,2008,'F','N','JARDIM AMÉRICA','MARÍLIA','SP','125254251216471431558813575112141544047',NULL,'9998',37.86,1,3,NULL),(25,6151574,'1986-12-18 00:00:00',4,1,7,2005,'M','N','JARDIM PIRATININGA','OSASCO','SP','125252257216471711448913115114142134057',13131,'9998',46.43,1,3,NULL),(25,6151582,'1990-04-25 00:00:00',2,4,12,2007,'F','N','JARDIM GUARAPUAVA','FOZ IGUAÇU','PR','116163161217572741345531572125610134091',3645,'9998',61.75,1,3,NULL),(25,6151590,'1993-10-18 00:00:00',2,1,12,2010,'F','N','ALTO BIGUAÇU','BIGUAÇU','SC','124241241115371431534415572344610117047',18771,'65',32.20,1,2,1),(25,6151612,'1993-08-26 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241221111431236714575124610134142',9845,'262',47.01,1,3,NULL),(25,6151639,'1991-09-04 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117152411346823342112610127042',14343,'307',44.66,3,2,1),(25,6151655,'1983-01-30 00:00:00',4,1,12,2001,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241247426173731315619495124222262187',NULL,'9999',28.33,1,3,NULL),(25,6151671,'1991-06-23 00:00:00',4,1,11,2010,'M','N','ÁGUA VERDE','CURITIBA','PR','116161161337221731659771385114610167187',10271,'9998',45.82,1,3,NULL),(25,6151680,'1989-02-13 00:00:00',2,1,12,2006,'M','N','TRÊS RIACHOS','BIGUAÇU','SC','124241241116111331533314575114610114152',13581,'65',41.78,1,2,1),(25,6151698,'1984-05-26 00:00:00',4,1,8,2003,'M','N','CAMPINAS','S JOSÉ','SC','124241243132134421123341215124610166141',NULL,'306',17.36,1,2,1),(25,6151701,'1991-07-04 00:00:00',2,1,12,2008,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124244241117373421336614295113120327067',11632,'257',46.47,1,3,NULL),(25,6151710,'1992-09-26 00:00:00',4,1,12,2010,'M','N','JD PALERMO LONDRINA','LONDRINA','PR','116162168437471431359923575112610124047',17748,'9998',35.09,3,3,NULL),(25,6151728,'1989-07-25 00:00:00',4,1,12,2010,'F','N','BAIRRO IPIRANGA','S JOSÉ','SC','124241247215271431526624345124610126175',5492,'9999',57.83,4,3,NULL),(25,6151736,'1989-04-17 00:00:00',4,8,12,2007,'M','N','GUANABARA','JOINVILLE','SC','116242211217571431378934575114610167122',195,'9998',80.59,1,3,NULL),(25,6151744,'1981-12-31 00:00:00',2,1,12,1999,'M','N','MORRETES','ITAPEMA','SC','124241241127131431324374345121610118027',NULL,'405',0.00,4,2,1),(25,6151752,'1991-03-18 00:00:00',4,1,12,2008,'F','N','JARDIM ESTÉR','S PAULO','SP','125252251217572431468814575122610137012',NULL,'9998',0.00,1,3,NULL),(25,6151779,'1989-09-08 00:00:00',4,1,12,2007,'M','N','ITAIGARA','SALVADOR','BA','105052051216471431578814575122140233092',NULL,'9998',0.00,4,3,NULL),(25,6151787,'1988-12-22 00:00:00',2,1,12,2008,'F','N','CENTRO','BOM J PERDÕES','SP','125251251137131441626623385324140824097',NULL,'9998',0.00,2,1,1),(25,6151795,'1991-11-05 00:00:00',1,8,11,2010,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125252251215121431588831575122610137182',10211,'9998',48.07,1,3,NULL),(25,6151809,'1991-12-05 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116241201214572411447823571222610144141',84,'9998',84.07,4,1,2),(25,6151817,'1990-09-01 00:00:00',2,15,11,2007,'M','N','FIGUEIRA','JACINTO MACHADO','SC','124241241126133421446953345123231037057',21679,'420',25.60,3,3,NULL),(25,6151825,'1990-10-22 00:00:00',4,8,12,2010,'M','N','PROFIPO','JOINVILLE','SC','124241241126141431136641315122610127041',NULL,'480',26.67,1,2,1),(25,6151833,'1988-06-07 00:00:00',2,1,12,2005,'F','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241136375751526731346134121317142',1470,'772',71.39,1,2,1),(25,6151850,'1992-07-25 00:00:00',4,1,12,2010,'M','N','CONDOMÍNIO SHANGRILA','BAURU','SP','125252251215111731468832575122610137042',13269,'9998',43.16,4,3,NULL),(25,6151868,'1986-05-14 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624161241116211421236644242123130764183',19449,'9998',35.93,1,2,1),(25,6151876,'1984-08-23 00:00:00',4,1,12,2001,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124252241216151441378842422122343266122',NULL,'9998',26.55,1,3,NULL),(25,6151914,'1993-09-11 00:00:00',2,4,12,2010,'F','N','CENTRO','ANCHIETA','SC','124241241114161451446923472322610134147',8459,'16',50.66,1,2,1),(25,6151922,'1993-01-26 00:00:00',4,8,12,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124241246216151431536614175222610164091',14564,'1061',44.35,4,3,NULL),(25,6151930,'1994-04-18 00:00:00',4,8,12,2010,'F','N','RIO BONITO','JOINVILLE','SC','124241241117131431523314142224610121187',NULL,'474',28.86,1,2,1),(25,6151949,'1993-01-01 00:00:00',4,10,12,2010,'F','N','SÃO TOMAS','IMBITUBA','SC','124241241115371431326613492314610134147',NULL,'359',0.00,1,2,1),(25,6151957,'1993-04-02 00:00:00',2,10,11,2010,'F','N','SÃO TOMAS','IMBITUBA','SC','124241241115271431523523572324610127147',14279,'359',38.94,1,2,1),(25,6151965,'1992-10-29 00:00:00',2,1,12,2009,'F','N','CENTRO','LAURENTINO','SC','124243241215472431448931582124610153012',16614,'991',41.22,1,3,NULL),(25,6151973,'1992-06-16 00:00:00',2,3,12,2009,'F','N','PEREQUE','PTO BELO','SC','124243241436132711333334245133120927042',NULL,'1111',0.00,1,3,NULL),(25,6152007,'1993-07-10 00:00:00',4,4,10,2010,'F','N','COPAS VERDES','ERECHIM','RS','120202201217111431446931595112610138182',NULL,'9998',33.27,1,3,NULL),(25,6152023,'1993-10-01 00:00:00',4,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124243241117141531343824245214610164177',NULL,'307',28.26,4,3,NULL),(25,6152031,'1990-07-01 00:00:00',4,1,12,2008,'M','N','SÃO BENEDITO','CAMBUÍ','MG','113132131216471741568821571114610164091',698,'9998',75.74,1,3,NULL),(25,6152040,'1990-04-15 00:00:00',2,1,12,2007,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241117131421433314342124333226142',13166,'592',46.38,1,3,NULL),(25,6152058,'1994-02-07 00:00:00',2,4,11,2010,'F','N','CENTRO','ERECHIM','RS','120202201216271431458612575122610121097',3937,'9998',60.45,1,3,NULL),(25,6152066,'1992-06-12 00:00:00',4,1,12,2009,'F','N','VERENA','STA CRUZ SUL','RS','120201208136131231323379341124242032097',NULL,'9997',0.00,1,3,NULL),(25,6152104,'1984-05-27 00:00:00',4,5,12,2002,'F','N','CENTRO','COCAL SUL','SC','124241241126131431543514442114133218122',NULL,'189',28.06,1,2,1),(25,6152120,'1991-01-06 00:00:00',4,8,12,2008,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124241241226373411425611345124610137143',20468,'457',33.27,1,3,NULL),(25,6152147,'1989-01-18 00:00:00',2,15,12,2006,'F','N','CENTRO','ARARANGUÁ','SC','124241241317171431463312385112131421075',NULL,'32',8.93,1,3,NULL),(25,6152155,'1974-04-06 00:00:00',2,1,12,1991,'F','N','BARREIROS','S JOSÉ','SC','224244241212473431457651472112333224142',11992,'272',48.16,1,3,NULL),(25,6152163,'1988-09-04 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217152731557513445134133228187',NULL,'270',33.39,1,3,NULL),(25,6152171,'1991-10-07 00:00:00',2,8,11,2008,'F','N','SANTO AMARO','S PAULO','SP','125162161216572431448712375124610114072',2971,'9998',65.80,1,3,NULL),(25,6152180,'1992-04-14 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241241125131431536619296122610112192',NULL,'736',18.90,1,2,1),(25,6152198,'1991-11-01 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116474431456633345134230737063',19168,'307',33.23,1,2,1),(25,6152210,'1988-10-20 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241316275411336639385121610164043',15647,'272',42.69,1,3,NULL),(25,6152228,'1990-03-13 00:00:00',2,8,11,2007,'F','N','PORTÃO','CURITIBA','PR','116162161245471421236621515114141442182',12646,'9998',41.13,1,3,NULL),(25,6152236,'1986-01-30 00:00:00',2,1,12,2003,'M','N','PANTANAL','FLORIANÓPOLIS','SC','624161161136131431432144245134610118017',20213,'9998',34.02,4,2,1),(25,6152252,'1992-03-30 00:00:00',4,1,12,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124241241147141431227649295124610128187',NULL,'591',0.00,1,2,1),(25,6152260,'1987-06-22 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117374431556413442124610127097',19630,'281',35.49,1,2,1),(25,6152295,'1988-02-29 00:00:00',4,1,12,2005,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124162161216271731339832585124343235142',16292,'9998',41.71,1,3,NULL),(25,6152317,'1993-01-03 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211472431246823572124610122192',9484,'1022',48.98,1,3,NULL),(25,6152341,'1989-06-20 00:00:00',4,1,8,2007,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241111273431566623245124610162142',6992,'739',53.57,1,3,NULL),(25,6152350,'1991-02-05 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373411288914571112122664192',5861,'270',59.05,1,3,NULL),(25,6152368,'1992-05-17 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241211272721448614345122610137182',16053,'270',42.05,1,3,NULL),(25,6152376,'1993-04-08 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217111431559811474112610164042',149,'737',81.81,1,3,NULL),(25,6152384,'1992-03-31 00:00:00',2,1,11,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241216132211528712341122610137117',NULL,'989',0.00,1,3,NULL),(25,6152392,'1988-02-15 00:00:00',2,15,12,2006,'F','N','VILA SÃO JOÃO','TORRES','RS','120201201137131431223379342214610166197',NULL,'9998',0.00,1,2,1),(25,6152414,'1993-01-04 00:00:00',4,7,11,2010,'M','N','SÃO FRANCISCO','LUZERNA','SC','124241241146131431333624145125610164187',NULL,'539',0.00,4,2,1),(25,6152430,'1992-02-13 00:00:00',4,1,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161217371431568914572114610142147',4813,'9998',58.30,1,3,NULL),(25,6152457,'1981-06-15 00:00:00',2,1,12,2005,'F','N','CAMPINAS','S JOSÉ','SC','124241241116132431124444345124610127047',NULL,'733',13.98,1,3,NULL),(25,6152465,'1991-03-04 00:00:00',4,2,12,2008,'F','N','RIO TIGRE','BENEDITO NOVO','SC','124243241215113431645832445122231562057',10198,'1157',50.99,1,3,NULL),(25,6152473,'1992-05-27 00:00:00',2,5,12,2009,'F','N','CENTRO','CANOAS','RS','120202208216572431477712272122610167112',15519,'9998',37.50,1,3,NULL),(25,6152481,'1992-03-21 00:00:00',2,7,12,2009,'F','N','MAXIMILIANO TOALDO','CAPINZAL','SC','124241241216472431448923245122610167072',11599,'155',44.36,1,3,NULL),(25,6152503,'1993-05-03 00:00:00',2,1,12,2010,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241115111431414414575124610144073',20437,'257',33.35,1,3,NULL),(25,6152520,'1993-10-06 00:00:00',4,4,12,2010,'F','N','PARQUE CIDADE JARDIM','UMUARAMA','PR','116161161215121411369933575122610154097',NULL,'9998',41.69,3,3,NULL),(25,6152538,'1993-02-19 00:00:00',4,1,12,2010,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241115161331333524295134610127065',NULL,'295',23.18,1,2,1),(25,6152546,'1994-10-31 00:00:00',2,15,12,2011,'M','S','MANOEL ALVES','MELEIRO','SC','124241241115111311554332275114610117055',NULL,'559',34.45,1,3,NULL),(25,6152554,'1994-05-03 00:00:00',4,1,12,2011,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124241241216121721439811592124610111147',NULL,'300',0.00,1,3,NULL),(25,6152562,'1991-11-01 00:00:00',2,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243247215472411468713594122610167042',14547,'9999',44.37,1,3,NULL),(25,6152570,'1993-04-26 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241116131411422421212344610114142',NULL,'288',4.81,1,2,1),(25,6152589,'1994-01-11 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124141241117131431636363575124610112147',16926,'307',35.99,1,2,1),(25,6152597,'1976-01-28 00:00:00',4,15,12,1998,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','123243247137133431338851385112130227067',NULL,'9999',19.80,1,3,NULL),(25,6152627,'1992-01-12 00:00:00',2,1,12,2009,'M','N','CHÁCARA FLORA','VALINHOS','SP','125282251216471431468614575122610117042',1771,'9998',68.49,1,3,NULL),(25,6152635,'1993-05-25 00:00:00',4,6,12,2010,'F','N','SÃO ROQUE','ITAJAÍ','SC','124241241115371431313329296224610125057',NULL,'401',20.87,1,2,1),(25,6152643,'1991-07-05 00:00:00',4,3,12,2008,'M','N','PILARZINHO','CURITIBA','PR','116162161216571731348832571122610167057',NULL,'9998',0.00,1,3,NULL),(25,6152651,'1989-06-06 00:00:00',2,1,12,2008,'M','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124242241216143731569933445124230737062',NULL,'270',32.34,1,3,NULL),(25,6152660,'1991-08-03 00:00:00',2,15,12,2009,'M','N','CENTRO','STA ROSA SUL','SC','124241241126272431423823185124610134052',NULL,'689',41.75,2,1,1),(25,6152678,'1992-12-21 00:00:00',4,1,11,2010,'F','N','CENTRO','ERECHIM','RS','120202201216271431556832575122610123177',7616,'9998',51.66,1,3,NULL),(25,6152686,'1982-10-05 00:00:00',4,6,12,1999,'F','N','CENTRO','CURITIBA','PR','116242241216472421225679485124331333147',NULL,'107',0.00,1,3,NULL),(25,6152708,'1992-06-19 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115573751467614575114133237011',2091,'739',68.87,1,2,1),(25,6152716,'1990-01-29 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212574451437911292124221537187',6803,'270',54.20,1,3,NULL),(25,6152724,'1989-09-17 00:00:00',2,1,11,2004,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241121271431423644242214610133051',NULL,'483',21.70,4,2,1),(25,6152732,'1976-11-03 00:00:00',4,1,12,1995,'M','N','KOBRASOL','S JOSÉ','SC','624211211127151421253444345124143237042',NULL,'9998',0.00,4,2,1),(25,6152740,'1992-07-24 00:00:00',4,8,12,2009,'F','N','BOQUEIRÃO','CURITIBA','PR','116163163116472731448614575124610162097',371,'9998',78.01,1,3,NULL),(25,6152759,'1991-01-21 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124244241437272431321821375124222344187',10116,'362',46.43,1,3,NULL),(25,6152767,'1993-10-22 00:00:00',2,1,11,2010,'F','N','ESTEVÂO CARRARO','ERECHIM','RS','120204201216111431356631575122610123147',NULL,'9998',0.00,1,3,NULL),(25,6152775,'1992-10-15 00:00:00',2,2,12,2009,'F','N','CANTA GALO','RIO SUL','SC','124241241124112411446812575122610114147',21507,'828',27.82,1,2,1),(25,6152783,'1989-03-30 00:00:00',2,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241216373431466633442112610127042',13127,'1022',40.99,1,3,NULL),(25,6152791,'1991-10-16 00:00:00',4,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241216574751469613435124610164183',13977,'259',41.33,1,3,NULL),(25,6152821,'1983-09-30 00:00:00',4,1,7,2003,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','224161167146272731224354285124610117187',17285,'9998',40.13,4,2,1),(25,6152830,'1990-05-14 00:00:00',3,1,6,2008,'F','N','SANTA MARIA','S CAETANO SUL','SP','125251281311572451347923575122610166187',2449,'9998',65.14,1,3,NULL),(25,6152848,'1987-06-28 00:00:00',2,1,12,2007,'F','N','NOS SRA DO ROSARIO','S JOSÉ','SC','124241241116272431544322482112130828142',NULL,'729',0.00,1,2,1),(25,6152864,'1992-10-17 00:00:00',2,16,12,2009,'M','N','CENTRO','BRUNÓPOLIS','SC','124241241126372431436935252122610124052',NULL,'911',7.15,1,2,1),(25,6152872,'1994-03-13 00:00:00',4,1,11,2010,'M','N','CENTRO','ERECHIM','RS','120202201316271431456631575122610127047',7897,'9998',50.10,1,3,NULL),(25,6152880,'1958-07-29 00:00:00',4,1,12,1981,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','224251251127151441223349292112340242197',NULL,'9998',0.00,1,3,NULL),(25,6152902,'1992-05-25 00:00:00',2,4,12,2009,'F','N','JARDIM COLINA VERDE','GOIOERÊ','PR','116161161116471431433615575124610126197',7196,'9998',52.69,1,2,1),(25,6152910,'1972-07-28 00:00:00',4,1,12,2003,'F','N','ESTRE','FLORIANÓPOLIS','SC','524244247436142421338643431124131327097',18126,'9999',38.60,4,3,NULL),(25,6152929,'1991-03-12 00:00:00',4,3,12,2008,'F','N','CENTRO','CURITIBA','PR','116242241215572441559413574125610166142',1313,'541',71.57,1,3,NULL),(25,6152937,'1982-02-08 00:00:00',2,1,12,2000,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241117373411436619445124610167047',21690,'293',25.38,2,1,1),(25,6152945,'1990-02-23 00:00:00',4,1,12,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116141431223344245124610112093',NULL,'307',22.83,1,2,1),(25,6152953,'1982-08-16 00:00:00',2,1,12,2005,'M','N','VICTOR KONDER','BLUMENAU','SC','224243247321154431326351215121130718022',3121,'270',64.38,4,3,NULL),(25,6152961,'1992-01-18 00:00:00',4,1,11,2009,'M','N','BALNEARIO ESTREITO','FLORIANÓPOLIS','SC','124244241211472431558813311114610155052',20494,'1118',33.16,4,3,NULL),(25,6152988,'1986-11-12 00:00:00',2,1,12,2003,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','120242241216374451678934475124340623175',NULL,'262',0.00,1,3,NULL),(25,6153011,'1992-07-01 00:00:00',2,4,12,2009,'M','N','SANTA MARIA','CHAPECÓ','SC','124242241212112741458932575124233267047',19791,'983',35.17,1,3,NULL),(25,6153020,'1979-04-26 00:00:00',2,1,12,2004,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','224202201121131521626674341114610164193',NULL,'9998',19.51,2,3,NULL),(25,6153038,'1990-06-27 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216144441377934495124222066192',7891,'624',55.02,1,3,NULL),(25,6153046,'1993-04-10 00:00:00',2,16,12,2010,'F','N','SAO LUIZ','CURITIBANOS','SC','124241244117471731525314575125610123147',15220,'239',38.85,1,2,1),(25,6153054,'1992-11-09 00:00:00',2,1,12,2009,'M','N','SÃO CRISTÓVÃO','PASSO FUNDO','RS','120202201217471431446914572114610137042',6147,'9998',55.33,1,3,NULL),(25,6153070,'1993-10-31 00:00:00',2,1,12,2010,'M','N','CENTRO','ANITÁPOLIS','SC','124241241147471431423411281124610124072',12425,'19',43.16,1,2,1),(25,6153097,'1992-08-18 00:00:00',4,1,12,2009,'F','N','FREITAS','PAULO LOPES','SC','124241241146271431323314395114610167147',18623,'607',32.63,1,2,1),(25,6153100,'1992-01-26 00:00:00',4,17,12,2009,'M','N','VILA IVETE','MAFRA','SC','124241166217271241348377575124610162027',11767,'9998',48.53,1,3,NULL),(25,6153119,'1989-01-30 00:00:00',4,1,12,2006,'M','N','JARDIM LISA','CAMPINAS','SP','125251251147371711423419295234610164187',13106,'9998',41.82,2,1,1),(25,6153135,'1992-07-31 00:00:00',2,8,12,2009,'F','N','JARDIM ARATIMBÓ','UMUARAMA','PR','116164161215372431463911575124610126142',8089,'9998',54.70,1,3,NULL),(25,6153143,'1988-03-30 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241237373412367922442124121434052',NULL,'836',0.00,1,3,NULL),(25,6153151,'1991-03-07 00:00:00',2,1,12,2009,'M','N','MONTE CASTELO','CPO GRANDE','MS','112122121216151431229923475124142537012',NULL,'9998',12.18,2,3,NULL),(25,6153160,'1993-05-02 00:00:00',2,1,12,2010,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115161431526614245121610167042',20738,'21',25.45,1,2,1),(25,6153186,'1993-03-18 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111331448623575122610146147',15751,'1022',39.01,1,3,NULL),(25,6153208,'1990-12-24 00:00:00',2,1,12,2008,'F','N','CENTRO','CEDRAL','SP','125253251115573431458832571125610118182',9299,'9998',48.04,1,3,NULL),(25,6153216,'1991-12-10 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241216473431458732385124610167062',5551,'1169',59.66,1,3,NULL),(25,6153224,'1993-03-03 00:00:00',4,1,12,2009,'F','N','CENTRO','MERCEDES','PR','116161168136131231516619295124143266177',NULL,'9998',19.49,1,2,1),(25,6153240,'1991-09-15 00:00:00',4,1,11,2008,'F','N','VILA PEDRO MOREIRA','GUARULHOS','SP','125252251217571431458714575122610164097',3563,'9998',62.33,3,3,NULL),(25,6153267,'1982-01-27 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241114135721126344442224610134047',NULL,'359',20.43,2,1,1),(25,6153275,'1992-03-13 00:00:00',4,8,12,2009,'F','N','COHAPAR','GUARATUBA','PR','116162241216152441466612575122133264122',NULL,'1105',0.00,1,3,NULL),(25,6153313,'1987-12-06 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124241248136373431336644345124232114112',NULL,'257',19.38,1,2,1),(25,6153330,'1993-08-04 00:00:00',4,8,12,2010,'F','N','BOA VISTA','PIÊN','PR','116161161115271431426614242122610137047',16572,'9998',36.30,1,2,1),(25,6153348,'1989-03-17 00:00:00',4,4,12,2009,'M','N','CENTRO','XANXERÊ','SC','124203241116271741238823475125610164177',NULL,'840',20.01,1,3,NULL),(25,6153356,'1991-11-19 00:00:00',2,2,12,2009,'F','N','IMIGRANTES','TIMBÓ','SC','124241241215372431336619575124610127146',NULL,'1157',19.05,1,3,NULL),(25,6153364,'1987-02-12 00:00:00',2,1,12,2004,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','224241241125274421322349292224610127057',15268,'296',43.30,2,1,1),(25,6153372,'1993-04-19 00:00:00',4,4,12,2010,'F','N','CARLOS BONISSONI','IPUMIRIM','SC','124241241115471431334613575124610124077',10186,'374',45.98,1,2,1),(25,6153380,'1991-01-17 00:00:00',4,6,12,2008,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124244241435572751675512295125610168067',4886,'107',57.68,1,3,NULL),(25,6153399,'1988-09-09 00:00:00',4,1,12,2005,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115152411433419345122333268043',12946,'592',46.67,1,2,1),(25,6153429,'1993-07-07 00:00:00',4,3,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116162161216371432436812275122610124017',NULL,'9998',19.89,1,3,NULL),(25,6153437,'1991-05-03 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241116472731446619375114610164192',16812,'298',36.65,1,2,1),(25,6153461,'1990-11-05 00:00:00',4,1,12,2007,'M','N','VILA A','FOZ IGUAÇU','PR','116161161116271441533833575114610127017',NULL,'9998',0.00,1,2,1),(25,6153470,'1994-01-31 00:00:00',4,4,12,2010,'F','N','SAIC','CHAPECÓ','SC','124241241116471331323335575124610123142',NULL,'857',14.87,1,2,1),(25,6153488,'1994-06-29 00:00:00',4,5,11,2011,'F','S','COMERCIÁRIO','CRICIÚMA','SC','124242241215371231379933575122610135112',NULL,'226',45.85,1,3,NULL),(25,6153496,'1980-04-19 00:00:00',2,1,12,1999,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','224201205111131711623354382114610116057',NULL,'9998',0.00,1,3,NULL),(25,6153500,'1991-11-27 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241215272441545931386114610167033',9805,'1022',48.13,3,3,NULL),(25,6153518,'1975-05-09 00:00:00',4,1,12,1993,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124131136116152412164843435122541046182',2147,'9998',68.75,1,3,NULL),(25,6153534,'1988-04-27 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','624241241117134431428644242113610132087',NULL,'239',28.26,1,2,1),(25,6153542,'1993-01-26 00:00:00',4,8,10,2010,'M','N','CENTRO','PATO BRANCO','PR','116162161215111731467811575115610118042',20308,'9998',33.72,1,3,NULL),(25,6153550,'1991-03-13 00:00:00',2,1,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161215372431538823572124140463142',12636,'9998',42.42,1,3,NULL),(25,6153569,'1993-04-26 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241346141411436814215114610167043',NULL,'307',0.00,1,3,NULL),(25,6153577,'1993-01-15 00:00:00',4,1,11,2010,'F','N','VILA YOLANDA','FOZ IGUAÇU','PR','116162161217111411348816575124610116072',16147,'9998',41.94,1,3,NULL),(25,6153585,'1991-10-27 00:00:00',4,1,11,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241217473431546619574122610132197',915,'270',73.56,1,3,NULL),(25,6153607,'1993-08-11 00:00:00',4,1,12,2010,'M','N','SANTO ANTONIO','BELO HORIZONTE','MG','113132131217271731578914575122610134082',5942,'9998',54.64,1,3,NULL),(25,6153615,'1992-11-30 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241215472431249923592124610123187',12935,'262',46.68,1,3,NULL),(25,6153623,'1993-11-25 00:00:00',2,1,12,2010,'F','N','CENTRO','HORIZONTINA','RS','120201201216111431426315575112610135147',11395,'9998',43.51,1,3,NULL),(25,6153631,'1992-07-10 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372411338932572124131956191',NULL,'1022',47.06,1,3,NULL),(25,6153640,'1988-08-19 00:00:00',4,1,12,2007,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241247126575411533319245124610122143',13262,'9999',42.24,1,2,1),(25,6153674,'1991-10-18 00:00:00',4,1,12,2009,'F','N','ÁGUA QUENTE','TAUBATÉ','SP','125251251115411431524621382124610123057',NULL,'9998',0.00,1,2,1),(25,6153690,'1990-01-12 00:00:00',4,1,6,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243281115372731548738345234610124021',7693,'9998',55.44,1,3,NULL),(25,6153712,'1984-01-07 00:00:00',4,3,12,2001,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215372431479811475122332124182',NULL,'855',41.21,1,3,NULL),(25,6153720,'1993-04-05 00:00:00',2,1,12,2010,'F','N','CENTRO','HORIZONTINA','RS','120204201217121431349832575122610122182',16217,'9998',36.18,1,3,NULL),(25,6153739,'1991-09-28 00:00:00',4,1,12,2009,'F','N','JD GARCIA','CAMPINAS','SP','125252253116471441336824395134610122142',3325,'9998',61.37,1,3,NULL),(25,6153747,'1993-07-03 00:00:00',4,7,12,2010,'F','N','CENTRO','CAPINZAL','SC','124241241216151231336913175122610132037',16328,'1093',36.59,1,3,NULL),(25,6153755,'1990-06-23 00:00:00',2,1,12,2008,'M','N','CENTRO','VENÂNCIO AIRES','RS','120201201116572731458631375115610167057',14821,'9998',39.95,1,2,1),(25,6153763,'1991-05-21 00:00:00',2,1,12,2008,'M','N','VILA MARUMBY','MARINGÁ','PR','116163161215571232448811592112610164187',250,'9998',80.32,1,3,NULL),(25,6153780,'1993-04-12 00:00:00',4,1,11,2009,'M','N','ÁGUA VERDE','CURITIBA','PR','116113111215471431473316272112610161192',NULL,'9998',0.00,1,3,NULL),(25,6153798,'1993-06-03 00:00:00',4,1,12,2010,'M','N','FREI EUGÊNIO','UBERABA','MG','113132131217111711479931575122610164052',NULL,'9998',0.00,1,3,NULL),(25,6153810,'1992-07-07 00:00:00',4,4,12,2009,'F','N','CENTRO','MEDIANEIRA','PR','116161161136473411446923575124610164157',2030,'9998',66.87,1,2,1),(25,6153828,'1983-08-03 00:00:00',4,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201247411111711533244241323610133047',NULL,'9999',24.26,1,3,NULL),(25,6153836,'1993-10-23 00:00:00',4,3,11,2010,'F','N','JARDIM AMERICA','ITUPORANGA','SC','124242241215112431557832582122610141142',3670,'991',62.63,1,3,NULL),(25,6153844,'1994-03-11 00:00:00',4,1,12,2010,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215111731448739575115610137062',NULL,'9998',22.38,1,3,NULL),(25,6153852,'1992-01-15 00:00:00',2,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241112472711436611585112610124195',15253,'298',37.23,1,2,1),(25,6153860,'1993-04-15 00:00:00',4,6,12,2010,'M','N','CIDADE NOVA','ITAJAÍ','SC','124241241117371441326719275124610137142',19732,'395',35.29,4,2,1),(25,6153879,'1991-07-15 00:00:00',4,4,12,2008,'F','N','CENTRO','UMUARAMA','PR','116162161215572431446812575122610145172',3743,'9998',61.97,3,3,NULL),(25,6153887,'1993-11-05 00:00:00',4,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124242241215111231336614345114610127047',3751,'1022',63.94,1,3,NULL),(25,6153895,'1992-06-19 00:00:00',2,1,12,2009,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241142372731346613345124610127185',14019,'591',41.26,1,2,1),(25,6153909,'1985-03-10 00:00:00',4,1,11,2003,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124243241214155431333744345124222367083',5742,'882',57.32,1,3,NULL),(25,6153917,'1984-04-02 00:00:00',4,3,12,2001,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243248415271431258923575122330742142',14410,'52',44.57,1,3,NULL),(25,6153925,'1991-07-14 00:00:00',4,1,12,2008,'M','N','MARTELLI','VIDEIRA','SC','124243241216573431559814483122610164012',4448,'829',62.13,1,3,NULL),(25,6153933,'1991-05-17 00:00:00',2,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241245147371711424923385124232946187',NULL,'433',41.60,1,2,1),(25,6153941,'1993-06-14 00:00:00',4,17,12,2010,'M','N','SOSSEGO','CANOINHAS','SC','124243241215111431449912312122610147182',2222,'154',67.51,1,3,NULL),(25,6153950,'1993-02-02 00:00:00',4,1,12,2010,'F','N','VILA MARCELINO','S CARLOS','SP','125252251236131431428869575122610127097',9620,'9998',47.67,1,3,NULL),(25,6153976,'1993-11-20 00:00:00',4,1,11,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241117141432223624282124610137012',16349,'307',41.63,1,3,NULL),(25,6153984,'1985-04-13 00:00:00',4,5,12,2003,'M','N','SÃO DOMINGOS','CRICIÚMA','SC','124241241116131431433335485124610136045',4890,'228',61.13,1,2,1),(25,6154000,'1993-01-26 00:00:00',2,1,12,2010,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241117141731425512575114610125141',21334,'288',29.24,1,2,1),(25,6154018,'1993-08-14 00:00:00',4,3,12,2010,'M','N','JARDIM PRESIDENTE','LONDRINA','PR','616162161217111431459911575112610164052',3822,'9998',61.59,1,3,NULL),(25,6154034,'1992-11-07 00:00:00',4,1,11,2009,'M','N','BOA VISTA','MARÍLIA','SP','125253251217471431458632275122610127057',13080,'9998',41.40,1,3,NULL),(25,6154042,'1991-10-26 00:00:00',2,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124201201112371421113541212324132042181',19845,'9998',30.94,1,2,1),(25,6154050,'1976-07-29 00:00:00',2,1,1,2000,'M','N','BALNEARIO ESTREITO','FLORIANÓPOLIS','SC','624251251136131431525544142124142242052',NULL,'9998',34.64,2,1,1),(25,6154069,'1981-08-03 00:00:00',4,1,11,1999,'F','N','CAMPINAS','S JOSÉ','SC','224243241217133421238654242234321266077',15380,'362',43.09,1,3,NULL),(25,6154077,'1991-07-20 00:00:00',4,1,12,2008,'M','N','JARDIM UMARIZAL','S PAULO','SP','125252251217251431448813575124243227012',12169,'9998',42.96,1,3,NULL),(25,6154093,'1989-11-12 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','120241241116374421529644245224333268181',NULL,'306',33.81,1,2,1),(25,6154107,'1993-04-06 00:00:00',4,1,11,2010,'M','N','BAIRRO DER','CAÇADOR','SC','124242241211211431588837473112610117187',4794,'120',59.74,1,3,NULL),(25,6154115,'1991-06-18 00:00:00',4,1,12,2009,'F','N','CENTRO','PIRASSUNUNGA','SP','125254251217471431556319471122610162092',NULL,'9998',0.00,1,3,NULL),(25,6154123,'1990-05-04 00:00:00',2,17,12,2007,'F','N','CENTRO','PTO VITÓRIA','PR','108164081137371431223824474124610132147',17222,'9998',34.43,1,3,NULL),(25,6154131,'1993-04-03 00:00:00',4,15,12,2010,'F','N','GETULIO VARGAS','TORRES','RS','120201201117471441437823274121610131117',8028,'9998',51.28,1,2,1),(25,6154140,'1992-04-14 00:00:00',2,1,12,2009,'M','N','CIDADE INDUSTRIAL','CURITIBA','PR','116161161115471432423814375112610117047',9632,'9998',48.71,1,2,1),(25,6154166,'1993-01-05 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124242241216111441638834575124610127042',3145,'497',65.52,1,3,NULL),(25,6154174,'1993-07-16 00:00:00',4,8,12,2010,'F','N','CENTRO','PNT GROSSA','PR','116162161215471432344823575124610122197',987,'9998',73.26,1,3,NULL),(25,6154182,'1994-07-14 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241216111431447933575122610123142',NULL,'270',50.07,1,3,NULL),(25,6154204,'1990-03-03 00:00:00',3,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241217274431336623375124222233182',NULL,'1022',28.23,1,3,NULL),(25,6154220,'1985-01-31 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211372431589933375122130266162',4700,'1036',61.57,1,3,NULL),(25,6154239,'1993-05-25 00:00:00',4,2,12,2010,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241417271411449911572122610122012',10539,'88',46.64,1,3,NULL),(25,6154255,'1993-10-21 00:00:00',2,4,12,2010,'F','N','CENTRO','CRISSIUMAL','RS','120201201137131431526613245122610128152',NULL,'9998',0.00,1,2,1),(25,6154263,'1980-10-13 00:00:00',2,1,12,1999,'F','N','IPIRANGA','S JOSÉ','SC','124201201127132431223344345124610163147',NULL,'9998',17.73,2,1,1),(25,6154271,'1994-09-14 00:00:00',2,1,12,2010,'M','N','BOM VIVER','BIGUAÇU','SC','124243241215141721445632345122610167017',NULL,'20',28.24,1,3,NULL),(25,6154280,'1993-05-17 00:00:00',4,17,11,2010,'F','N','VILA NOVA','TRÊS BARRAS','SC','124241241115161731448933332122610137077',20851,'791',31.71,1,2,1),(25,6154298,'1987-03-13 00:00:00',2,1,12,2005,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241126274431323319382324610137117',NULL,'307',33.74,2,1,1),(25,6154301,'1992-04-07 00:00:00',2,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241225132431433624245124233227052',NULL,'262',26.84,1,3,NULL),(25,6154310,'1988-07-17 00:00:00',4,2,11,2005,'F','N','GLÓRIA','BLUMENAU','SC','124241241137373441338377272114610131181',13256,'69',43.26,1,2,1),(25,6154328,'1993-03-31 00:00:00',4,1,12,2010,'F','N','ZONA CINCO','MARINGÁ','PR','116162161217111411469933571112610162147',7460,'9998',55.86,1,3,NULL),(25,6154336,'1991-02-24 00:00:00',4,1,12,2008,'F','N','LIBERDADE','S PAULO','SP','125122121215572431567832571125610167042',3219,'9998',61.65,1,3,NULL),(25,6154344,'1993-06-26 00:00:00',2,1,12,2010,'F','N','SÃO LUIZ','S JOSÉ','SC','124241241111131411423419582124610167057',NULL,'729',21.85,1,2,1),(25,6154387,'1981-10-19 00:00:00',4,1,12,1998,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216153721479613435132521427122',NULL,'1169',0.00,1,3,NULL),(25,6154417,'1982-06-24 00:00:00',4,1,12,2000,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241336135451323344342134122232197',NULL,'272',6.76,1,3,NULL),(25,6154425,'1991-05-02 00:00:00',4,9,12,2008,'M','N','VALADA MOSQUITINHO','AGRONÔMICA','SC','124224241215513431269913594222610127077',467,'991',77.87,1,3,NULL),(25,6154433,'1991-02-20 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431169811445124130227182',12190,'270',47.85,1,3,NULL),(25,6154441,'1993-07-24 00:00:00',2,1,12,2010,'F','N','ENCRUZILHADA','BIGUAÇU','SC','124242241215151132423411112124610113191',21444,'1040',28.46,1,3,NULL),(25,6154450,'1989-03-22 00:00:00',2,8,12,2006,'F','N','CENTRO','LUCÉLIA','SP','125251251115471421226423285124141037147',NULL,'9998',25.94,4,2,1),(25,6154468,'1989-05-11 00:00:00',2,1,12,2007,'M','N','CENTOR','TURVO','SC','124241248116472411323923235324610117082',20343,'814',33.58,1,2,1),(25,6154476,'1993-08-29 00:00:00',4,1,12,2010,'M','N','VILA BELMIRO','SANTOS','SP','125252251217371331443612575124610156182',5084,'9998',57.50,1,3,NULL),(25,6154492,'1992-04-23 00:00:00',2,8,12,2010,'M','N','CAJURÚ','CURITIBA','PR','116163161327471231425338245134610112187',NULL,'9998',0.00,4,3,NULL),(25,6154506,'1993-04-02 00:00:00',2,4,11,2010,'F','N','CENTRO','ITAPIRANGA','SC','124241241235112431458817571122610121092',6179,'1060',54.93,1,3,NULL),(25,6154514,'1993-03-28 00:00:00',2,7,12,2010,'F','N','INTERIOR','ÁGUA DOCE','SC','124241241126131411423336565222610156183',NULL,'9',0.00,1,3,NULL),(25,6154522,'1992-06-14 00:00:00',4,3,12,2009,'M','N','CENTRO','CPO MOURÃO','PR','116162161216372451558914372111610137072',13744,'9998',41.16,1,3,NULL),(25,6154530,'1986-03-23 00:00:00',4,1,12,2003,'M','N','CENTRO','COROADOS','SP','125252251417131411228813285122243224187',20193,'9998',34.09,4,3,NULL),(25,6154549,'1993-01-29 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241115271731323621395234610128057',16765,'278',37.97,1,2,1),(25,6154557,'1994-02-21 00:00:00',4,1,12,2010,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124242241215112731448632572124610147017',9734,'262',48.47,4,3,NULL),(25,6154573,'1993-05-31 00:00:00',4,6,12,2009,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124244241416472431468912575125610127042',1801,'1026',70.03,1,3,NULL),(25,6154581,'1993-06-14 00:00:00',4,3,12,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241216111431375332575122610162092',NULL,'1174',0.00,1,3,NULL),(25,6154603,'1992-05-03 00:00:00',4,1,12,2010,'M','N','VILA DOS OFICIAIS','PIRASSUNUNGA','SP','125252251217171331589611471122610167073',NULL,'9998',0.00,1,3,NULL),(25,6154611,'1992-10-21 00:00:00',4,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241235372431467736572115610167052',745,'1038',75.33,1,3,NULL),(25,6154638,'1991-10-08 00:00:00',2,1,12,2010,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241125141431443639335124610124142',NULL,'592',33.32,1,2,1),(25,6154646,'1987-09-11 00:00:00',2,1,12,2006,'F','N','ENCRUZILHADA','BIGUAÇU','SC','124243241212151132423411112124130225192',NULL,'1040',17.74,1,3,NULL),(25,6154662,'1992-12-18 00:00:00',2,17,12,2010,'M','N','VISTA ALEGRE','MAFRA','SC','124241241117131731449833574222610136062',NULL,'542',0.00,1,2,1),(25,6154670,'1991-06-26 00:00:00',2,15,12,2008,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241248116141331522379182121610122147',NULL,'29',19.05,4,2,1),(25,6154689,'1993-05-26 00:00:00',4,9,12,2010,'F','N','VILA NOVA','LAGES','SC','124241241134141332536514596125610138142',NULL,'935',0.00,1,2,1),(25,6154697,'1991-04-01 00:00:00',2,1,6,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124202247125131411435529342124610152047',NULL,'9999',0.00,1,3,NULL),(25,6154700,'1993-12-03 00:00:00',2,10,12,2010,'F','N','VILA ALVORADA','IMBITUBA','SC','124241241116471431428933575124610121052',NULL,'358',17.20,4,2,1),(25,6154727,'1992-09-30 00:00:00',2,4,12,2009,'F','N','JARDIM RIO CLARO','JATAÍ','GO','109201091117471431436414385123142733197',11668,'9998',45.01,1,2,1),(25,6154735,'1991-04-23 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124244241215372431434434385114132746197',5701,'988',59.35,1,3,NULL),(25,6154743,'1992-01-16 00:00:00',4,10,12,2009,'F','N','MAR GROSSO','LAGUNA','SC','124242241217312751348819292122610168077',21506,'807',27.82,1,3,NULL),(25,6154751,'1992-01-03 00:00:00',2,5,12,2009,'F','N','CENTRO','COCAL SUL','SC','124241241111472431426633432124610126142',19735,'189',31.38,1,2,1),(25,6154760,'1992-11-26 00:00:00',2,10,12,2010,'F','N','MAGALHÃES','LAGUNA','SC','124242241225161431428619195124610134142',NULL,'524',14.49,1,3,NULL),(25,6154778,'1992-04-24 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124252241215154711436331175124231467047',15207,'1000',43.40,1,3,NULL),(25,6154794,'1965-12-19 00:00:00',2,1,4,1994,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','524241247227133521228649196114610133187',20424,'9999',33.38,2,1,2),(25,6154808,'1991-11-10 00:00:00',4,1,12,2009,'F','N','PARQUE SAO JORGE','FLORIANÓPOLIS','SC','124244241215473431479819575122610138091',2035,'1022',68.74,1,3,NULL),(25,6154816,'1992-10-29 00:00:00',4,4,12,2009,'F','N','BRASILIA','PATO BRANCO','PR','116161161116371431538611575112610164147',NULL,'9998',0.00,1,2,1),(25,6154824,'1993-12-02 00:00:00',2,2,12,2010,'F','N','CENTRO','LONTRAS','SC','124242241215131531438912572124610133052',10524,'959',45.46,1,3,NULL),(25,6154832,'1992-04-10 00:00:00',4,10,11,2009,'F','N','JD DRACENA','S PAULO','SP','125252251217472411343824575124610163092',11727,'9998',42.85,1,3,NULL),(25,6154840,'1993-04-22 00:00:00',4,1,12,2010,'F','N','ZONA SETE','MARINGÁ','PR','116222161215111431568913572112610167072',13879,'9998',40.59,1,3,NULL),(25,6154867,'1993-07-02 00:00:00',2,1,12,2010,'M','N','METROPOLE','DRACENA','SP','125253251216111411663831395115610127072',16444,'9998',39.31,4,3,NULL),(25,6154875,'1986-01-30 00:00:00',4,1,12,2007,'M','N','SANTOS SARAIVA','S JOSÉ','SC','124241247132574431414429492123610127187',19560,'9999',35.67,1,2,1),(25,6154883,'1986-05-17 00:00:00',2,1,8,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241247136131431123344245123610135097',18794,'9999',37.36,1,2,1),(25,6154891,'1985-03-16 00:00:00',2,1,11,2004,'F','N','GUARDA DO EMBAU','PALHOÇA','SC','124241241146233411521119341114610142147',21124,'595',30.52,4,1,1),(25,6154913,'1992-11-17 00:00:00',4,6,12,2009,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124243241215111431555923485114130467117',12066,'9997',48.03,1,3,NULL),(25,6154930,'1991-11-14 00:00:00',4,1,12,2009,'M','N','IPIRANGA','S PAULO','SP','125252251216471411368811311125610168097',3282,'9998',65.13,1,3,NULL),(25,6154948,'1992-02-18 00:00:00',2,4,12,2008,'F','N','N SRA DE LOURDES','PLANALTO','PR','116161161115572431446634475112610163142',NULL,'9998',0.00,1,2,1),(25,6154964,'1989-01-26 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124202201216131431437713475124233266117',19907,'9998',34.86,1,3,NULL),(25,6154972,'1993-04-24 00:00:00',2,1,12,2010,'F','N','TRÊS VENDAS','PELOTAS','RS','120201201217111431448933575122610122092',NULL,'9998',11.08,1,3,NULL),(25,6154999,'1985-05-20 00:00:00',4,1,11,2002,'F','N','JARDIM SOCIAL','CURITIBA','PR','116164161216571421548833475122343227097',9248,'9998',49.22,1,3,NULL),(25,6155006,'1992-05-14 00:00:00',4,1,11,2010,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120203201217121431458833395124610127112',18264,'738',33.15,1,3,NULL),(25,6155014,'1993-07-19 00:00:00',4,3,12,2010,'F','N','VILA NOVA','ARAUCÁRIA','PR','116162161216121411468833575112610167112',NULL,'9998',0.00,1,3,NULL),(25,6155022,'1993-06-24 00:00:00',2,1,12,2010,'M','N','CALHEIROS','GOV CELSO RAMOS','SC','124244241216122431345514195124610127044',10363,'1022',47.59,1,3,NULL),(25,6155030,'1993-07-20 00:00:00',2,4,12,2010,'M','N','INTERIOR','LAJEADO GRANDE','SC','124241241111132411223316572224610167142',21320,'526',29.30,1,2,1),(25,6155049,'1993-09-27 00:00:00',2,1,12,2010,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241112371731526614572244610128197',11871,'592',44.76,1,2,1),(25,6155057,'1989-05-29 00:00:00',4,1,6,2007,'F','N','BARREIROS','S JOSÉ','SC','224241281117271431253453195122610137057',19643,'9998',35.47,1,2,1),(25,6155065,'1993-02-16 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241115472731666833245124610121122',4939,'307',58.59,1,2,1),(25,6155073,'1993-06-12 00:00:00',4,1,12,2010,'F','N','CENTRO','ARAÇATUBA','SP','125252251215111432436631575122610164192',NULL,'9998',0.00,1,3,NULL),(25,6155103,'1991-05-01 00:00:00',2,10,12,2008,'M','N','OFICINAS','TUBARÃO','SC','124241241116142431426612185124610124083',11984,'1034',44.82,1,2,1),(25,6155111,'1992-09-09 00:00:00',2,8,12,2009,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116161161215472431456614572114610124147',11432,'9998',44.17,1,3,NULL),(25,6155120,'1987-12-02 00:00:00',2,15,11,2005,'F','N','POÇO DA LONTRA','TURVO','SC','124241241117131431423335382314610132141',NULL,'814',19.90,1,2,1),(25,6155138,'1993-02-03 00:00:00',4,9,11,2010,'M','N','SUMARÉ','RIO SUL','SC','124242241215111431558611194222610128182',7612,'991',52.23,1,3,NULL),(25,6155146,'1990-10-16 00:00:00',2,9,12,2007,'M','N','CENTRO','AGROLÂNDIA','SC','124241241136131431533534345122610163077',NULL,'850',19.77,1,2,1),(25,6155154,'1987-12-25 00:00:00',2,5,12,2005,'F','N','MINA DO MATO','CRICIÚMA','SC','124241241117371731223929495114132445072',NULL,'209',16.94,1,2,1),(25,6155170,'1992-02-06 00:00:00',4,1,12,2009,'F','N','MOSSUNGUE','CURITIBA','PR','116162161215371431488831574122143244112',NULL,'9998',0.00,1,3,NULL),(25,6155189,'1991-09-04 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','116162161317573431239923582111610167017',2998,'9998',64.44,1,3,NULL),(25,6155197,'1974-03-11 00:00:00',4,1,12,1991,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224241243247574431536453272222120824147',15277,'809',43.28,1,3,NULL),(25,6155200,'1993-08-24 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471731368779295124610127111',13385,'9997',43.64,1,3,NULL),(25,6155219,'1992-03-06 00:00:00',4,8,12,2008,'F','N','REBOUÇAS','CURITIBA','PR','116162161212471541258911594124610168197',3140,'9998',63.63,1,3,NULL),(25,6155227,'1988-06-22 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241214575441336618471321610166147',330,'499',79.19,4,3,NULL),(25,6155243,'1992-10-18 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117271431346923572114610164057',13000,'278',42.54,1,2,1),(25,6155251,'1994-02-19 00:00:00',4,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215112732468831575122610164125',314,'270',79.42,1,3,NULL),(25,6155260,'1992-11-23 00:00:00',4,8,12,2010,'F','N','TOSILAR','BIRIGÜI','SP','125252251215111432436631575122610164192',10627,'9998',46.11,1,3,NULL),(25,6155316,'1994-07-06 00:00:00',2,5,12,2011,'M','S','CENTRO','MRO FUMAÇA','SC','124244241217151731448811575122610128097',NULL,'210',0.00,1,3,NULL),(25,6155324,'1993-10-11 00:00:00',4,1,11,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217111411489933575114610136195',1730,'270',70.32,1,3,NULL),(25,6155332,'1986-08-22 00:00:00',4,10,12,2004,'M','N','CENTRO','TUBARÃO','SC','124244241416421431537817242124132122117',NULL,'797',0.00,1,3,NULL),(25,6155340,'1972-04-01 00:00:00',4,1,7,1991,'F','N','IPIRANGA','S JOSÉ','SC','124242243116374451567619381124532263182',10622,'306',50.29,1,3,NULL),(25,6155359,'1991-10-07 00:00:00',2,3,12,2010,'M','N','CENTRO','PTO BELO','SC','124251241125131431426631285124610125162',NULL,'630',0.00,1,2,1),(25,6155367,'1993-11-04 00:00:00',2,3,12,2010,'M','N','VILA NOVA','PTO BELO','SC','124241241144131532325539285124610114147',NULL,'630',16.06,1,2,1),(25,6155375,'1987-05-30 00:00:00',4,1,11,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251437131731126844445124610162117',NULL,'9998',26.30,1,3,NULL),(25,6155391,'1993-12-07 00:00:00',4,8,12,2010,'M','N','CENTRO','CURITIBA','PR','116161161117111531348613575115610166192',9618,'9998',48.20,1,2,1),(25,6155413,'1986-02-26 00:00:00',4,1,12,2003,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','224241241146131431223644245334610127177',NULL,'657',15.13,1,2,1),(25,6155421,'1988-03-20 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSÉ','SC','124242241215274431334411575112133266142',NULL,'943',0.00,1,3,NULL),(25,6155430,'1991-04-03 00:00:00',4,1,12,2008,'M','N','LIBERDADE','S PAULO','SP','125112111236511431588611575125610112042',5275,'9998',58.45,1,3,NULL),(25,6155456,'1993-03-28 00:00:00',4,10,12,2010,'M','N','CENTRO','IMBITUBA','SC','124241241116131441538634325122610146182',9877,'359',48.46,1,2,1),(25,6155472,'1993-10-16 00:00:00',4,8,12,2010,'M','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124242241215111441459914575122610128042',2116,'1174',66.11,1,3,NULL),(25,6155499,'1983-09-04 00:00:00',4,15,12,2000,'M','N','SANGA DA TOCA','ARARANGUÁ','SC','124241241116141411533615245112610127042',NULL,'29',21.72,1,3,NULL),(25,6155502,'1994-04-16 00:00:00',4,9,11,2010,'M','N','CENTRO','LAGES','SC','124242241215111311356612575122610112182',NULL,'497',0.00,1,3,NULL),(25,6155510,'1992-08-24 00:00:00',2,1,11,2009,'F','N','MORADA DO SOL','CASCA','RS','120201201216371431346814141125610132097',15077,'9998',37.35,1,3,NULL),(25,6155529,'1985-10-03 00:00:00',4,1,6,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243247316144411323644345124223232097',11779,'9999',44.20,1,3,NULL),(25,6155537,'1991-04-10 00:00:00',4,2,12,2008,'F','N','LIMOEIRO','BRUSQUE','SC','124232241216474431469833435124231022192',7290,'107',55.01,1,3,NULL),(25,6155545,'1987-02-15 00:00:00',2,2,12,2004,'F','N','BRACO PAULA RAMOS','LUIZ ALVES','SC','124241241137131441455416245222231062042',NULL,'537',0.00,1,2,1),(25,6155553,'1991-12-14 00:00:00',2,1,12,2010,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124243241312131431336824572124610137042',21575,'733',27.19,1,3,NULL),(25,6155561,'1995-03-10 00:00:00',4,4,12,2011,'F','S','CENTRO','XANXERÊ','SC','124242241217111531469932245122610122192',NULL,'836',31.36,1,3,NULL),(25,6155570,'1992-08-05 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215372731476834575112130237042',3479,'262',64.61,1,3,NULL),(25,6155588,'1990-10-06 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECÓ','SC','124244241116572431128944242334131826177',11231,'169',46.34,1,3,NULL),(25,6155596,'1994-06-07 00:00:00',2,3,11,2010,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124204241214111431358612245125610123197',NULL,'9997',27.55,1,3,NULL),(25,6155618,'1994-10-14 00:00:00',4,1,12,2011,'M','S','CENTRO','STO AMARO IMPERATRIZ','SC','124243241115151711356833295124610126055',NULL,'739',41.73,1,3,NULL),(25,6155626,'1992-11-02 00:00:00',2,10,12,2010,'M','N','CABEÇUDA','LAGUNA','SC','124251241115271431314311282121610132147',12007,'523',48.13,1,2,1),(25,6155634,'1991-03-30 00:00:00',4,1,12,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241216153431537912245122230234092',NULL,'1063',0.00,1,3,NULL),(25,6155650,'1991-05-12 00:00:00',4,8,12,2008,'F','N','JARDIM CONSORCIO','S PAULO','SP','125252251217571431448811273125610137057',92,'9998',83.84,1,3,NULL),(25,6155669,'1992-10-18 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115432451524411575125222766187',3345,'169',64.94,1,2,1),(25,6155677,'1993-07-13 00:00:00',2,4,12,2010,'F','N','INTERIOR','LAJEADO GRANDE','SC','124241241111131411423336572324610167142',NULL,'526',0.00,1,2,1),(25,6155693,'1961-12-24 00:00:00',2,1,7,1983,'F','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','624241246146132721425341311123610166097',NULL,'306',30.05,2,1,1),(25,6155715,'1993-11-10 00:00:00',2,9,11,2010,'F','N','FUNDO CANOS','RIO SUL','SC','124242248216112751525514144122613214012',6095,'991',56.30,1,3,NULL),(25,6155723,'1992-04-30 00:00:00',2,17,12,2009,'F','N','CENTRO','PAPANDUVA','SC','124241248116471731446611346235610123187',19758,'603',29.65,1,2,1),(25,6155731,'1992-03-21 00:00:00',4,1,12,2009,'M','N','VILA LUIZ CASA','S BERNARDO CAMPO','SP','125254251217471741469814371124610164142',NULL,'9998',0.00,4,3,NULL),(25,6155740,'1992-10-27 00:00:00',4,1,2,2010,'F','N','BIGORRILHO','CURITIBA','PR','116162161417471231488812474112610124097',NULL,'9998',0.00,1,3,NULL),(25,6155758,'1984-09-14 00:00:00',4,1,12,2003,'M','N','BELINHA OMETTO','LIMEIRA','SP','125251251127571341423311185214610164033',20334,'9998',28.33,2,1,1),(25,6155774,'1993-07-07 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431556833592124610114017',10967,'262',49.40,1,3,NULL),(25,6155790,'1993-10-19 00:00:00',2,10,12,2010,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241115471731328619575325610122097',16952,'1034',35.52,1,2,1),(25,6155804,'1993-04-21 00:00:00',2,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241222111731329734572124610167157',16172,'262',37.23,1,3,NULL),(25,6155812,'1993-05-11 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431346622575125610132132',11956,'270',46.97,1,3,NULL),(25,6155820,'1993-10-03 00:00:00',2,4,12,2010,'F','N','CENTRO','XANXERÊ','SC','124244244417131431433314142224610135031',21277,'1233',29.58,3,3,NULL),(25,6155839,'1990-05-08 00:00:00',4,1,12,2008,'M','N','PASSA VINTE','PALHOÇA','SC','124242241116271421436314445124610144197',10658,'739',50.23,1,3,NULL),(25,6155847,'1981-09-28 00:00:00',2,1,12,2010,'F','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124242244647141431523639385124610134117',NULL,'9999',32.32,1,3,NULL),(25,6155855,'1991-11-06 00:00:00',2,1,12,2010,'M','N','CENTRO','ITUIUTABA','MG','113132131326371431338829571121610167092',NULL,'9998',36.13,1,3,NULL),(25,6155863,'1992-10-08 00:00:00',2,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124242241217152431426919584124123267042',1174,'1022',72.87,1,3,NULL),(25,6155880,'1993-02-20 00:00:00',2,5,12,2010,'F','N','CENTRO','FORQUILHINHA','SC','124242241235111731466712591124610126142',NULL,'226',30.85,1,3,NULL),(25,6155901,'1992-05-30 00:00:00',4,1,11,2009,'M','N','JABAQUARA','S PAULO','SP','125252251215471431438831572124610137042',NULL,'9998',0.00,1,3,NULL),(25,6155910,'1991-06-19 00:00:00',2,1,11,2008,'M','N','SÃO FRANCISCO','STO AUGUSTO','RS','120201201217571431539623572214143264057',5220,'9998',57.85,1,3,NULL),(25,6155928,'1991-11-11 00:00:00',4,1,12,2009,'M','N','FLORADAS DE SÃO JOSÉ','S JOSÉ CAMPOS','SP','125252251215372431358613575124610124092',NULL,'9998',38.33,1,3,NULL),(25,6155952,'1990-12-07 00:00:00',2,1,12,2008,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252256215575431458814575122610162092',7568,'9998',51.61,1,3,NULL),(25,6155960,'1994-01-17 00:00:00',4,1,12,2010,'M','N','BELA VISTA I','S JOSÉ','SC','124243241115471431537629572124610127052',5379,'307',57.21,1,3,NULL),(25,6155979,'1993-09-16 00:00:00',4,4,11,2010,'F','N','CENTRO','PATO BRANCO','PR','116161161315111431457632572112610147147',NULL,'9998',0.00,4,3,NULL),(25,6155987,'1993-08-18 00:00:00',2,1,12,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124241241135271431433612375122610127062',18783,'592',37.38,1,2,1),(25,6155995,'1991-10-05 00:00:00',2,4,12,2008,'F','N','SÃO CRISTÓVÃO','CASCAVEL','PR','116161161315571431434622172112610134142',13088,'9998',41.54,1,3,NULL),(25,6156010,'1958-08-01 00:00:00',2,1,12,1980,'F','N','BARREIROS','S JOSÉ','SC','624241245123135721632249192134332764184',20941,'257',31.34,4,3,NULL),(25,6156029,'1993-02-09 00:00:00',4,3,12,2009,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116162161216571431437611571122610127042',7668,'9998',51.69,1,3,NULL),(25,6156037,'1991-06-26 00:00:00',4,1,12,2008,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242241217573432448833575124233263092',7608,'273',51.79,1,3,NULL),(25,6156045,'1992-04-12 00:00:00',4,2,11,2009,'F','N','BOM RETIRO','CURITIBA','PR','116161161217272451323316573124241464143',NULL,'9998',0.00,1,3,NULL),(25,6156053,'1993-01-15 00:00:00',4,1,12,2010,'M','N','ZE PEREIRA','CPO GRANDE','MS','124121241416111431426634575224610124142',5800,'1161',59.17,4,3,NULL),(25,6156061,'1992-01-17 00:00:00',4,8,12,2009,'M','N','PIRABEIRABA','JOINVILLE','SC','124241241337371731536534445124610134142',18548,'474',37.86,1,3,NULL),(25,6156088,'1990-12-22 00:00:00',4,1,12,2007,'M','N','JEREISSATI II','MARACANAÚ','CE','106064061117511421313329371324141447057',3066,'9998',62.75,1,3,NULL),(25,6156096,'1982-04-22 00:00:00',2,8,2,2002,'M','N','CABRAL','CURITIBA','PR','116162161216572431389611315122342827041',8890,'9998',50.16,1,3,NULL),(25,6156100,'1992-09-01 00:00:00',2,3,12,2009,'M','N','VILA SÃO CAETANO','LONDRINA','PR','116161161117571431545819295125610164142',1039,'9998',72.09,1,2,1),(25,6156118,'1969-02-12 00:00:00',2,5,12,1988,'M','N','CRISTO REI','IÇARA','SC','224251251117151421353241112122341466052',7370,'351',56.03,1,3,NULL),(25,6156126,'1967-10-21 00:00:00',2,1,12,2004,'F','N','AREIAS','S JOSÉ','SC','224241247126473411654343432134610122197',NULL,'9999',24.06,1,2,1),(25,6156134,'1993-08-12 00:00:00',4,6,11,2010,'M','N','CENTRO','ITAJAÍ','SC','124242161217111431468814216114610164182',2962,'9998',65.14,1,3,NULL),(25,6156150,'1994-05-30 00:00:00',4,8,12,2010,'M','N','JARDIM ICARAÍ','BARRA VELHA','SC','124243241146131431246923115111610161141',NULL,'57',0.00,1,3,NULL),(25,6156169,'1992-01-29 00:00:00',4,8,12,2010,'F','N','CENTRO','REGISTRO','SP','125252251217111411439912575122610168072',13158,'9998',44.76,3,3,NULL),(25,6156177,'1991-01-28 00:00:00',4,1,12,2009,'M','N','JARDIM EUCALIPTUS','PALHOÇA','SC','124241241112132411633431295124610124182',19376,'592',36.12,1,3,NULL),(25,6156185,'1986-01-27 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201116474451128833474124610163187',9958,'9998',51.29,1,2,1),(25,6156193,'1993-07-25 00:00:00',4,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241248115261731513314285125613228053',NULL,'772',16.72,1,2,1),(25,6156215,'1989-08-01 00:00:00',4,1,12,2006,'M','N','MIRIM','IMBITUBA','SC','124241241316131431336923435122610117117',NULL,'359',34.43,1,3,NULL),(25,6156231,'1973-03-31 00:00:00',2,1,12,2008,'M','N','PASSA VINTE','PALHOÇA','SC','224201247126231121323344142224610124177',NULL,'9999',19.20,4,2,1),(25,6156240,'1994-03-12 00:00:00',4,4,12,2010,'M','N','VILA ESPERANÇA','PATO BRANCO','PR','116161161317111731236631575122610127067',18002,'9998',34.51,1,3,NULL),(25,6156274,'1990-10-04 00:00:00',2,4,12,2008,'F','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124243241316472431539832575122610165147',5764,'245',56.40,1,3,NULL),(25,6156282,'1992-06-10 00:00:00',4,1,12,2009,'F','N','PINHEIROS','S PAULO','SP','125252251216471431459814474114610127072',8133,'9998',50.81,1,3,NULL),(25,6156290,'1994-03-14 00:00:00',2,1,11,2010,'F','N','CENTRO','S JOSÉ B VISTA','PR','116161161216111712235623475114610162142',NULL,'9998',0.00,1,3,NULL),(25,6156304,'1993-12-26 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124241241215112431336611572121610127052',10660,'737',47.39,4,3,NULL),(25,6156320,'1988-01-21 00:00:00',4,1,12,2005,'M','N','ITALIANA','PANAMBI','RS','120133251216512411678814475125141464172',1095,'9998',71.79,1,3,NULL),(25,6156339,'1981-10-22 00:00:00',2,1,12,2003,'M','N','BARREIROS','S JOSÉ','SC','224241241146132431324144145124610127057',17764,'732',39.30,1,2,1),(25,6156347,'1985-08-02 00:00:00',2,1,3,2010,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241247312371751123344245124610163197',NULL,'9999',17.23,1,3,NULL),(25,6156355,'1993-06-25 00:00:00',4,8,12,2010,'F','N','CENTRO','BIRIGÜI','SP','125252251216111431425935595122610136197',NULL,'9998',0.00,1,3,NULL),(25,6156363,'1992-01-24 00:00:00',4,8,11,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215472431369811575114610152072',7265,'457',52.31,1,3,NULL),(25,6156371,'1993-03-03 00:00:00',4,1,12,2010,'M','N','CIDADE INDUSTRIAL','CURITIBA','PR','116162161235121431435512375114610127047',20936,'9998',25.70,4,3,NULL),(25,6156398,'1960-05-24 00:00:00',2,1,11,1977,'F','N','INGLESES','FLORIANÓPOLIS','SC','124203203316131711126843335122140467141',NULL,'9998',26.92,1,3,NULL),(25,6156401,'1986-06-01 00:00:00',2,1,12,2003,'M','N','SAO LUIS','S JOSÉ','SC','124241248117131412535531445114610127017',19145,'732',36.66,1,2,1),(25,6156410,'1990-07-18 00:00:00',4,6,12,2007,'M','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251211573451488814571122610167121',389,'9998',78.53,1,3,NULL),(25,6156428,'1988-02-13 00:00:00',4,1,12,2005,'M','N','VILA ANCHIETA','S JOSÉ R PRETO','SP','125252251216271711448834371112140966187',10944,'9998',49.32,1,3,NULL),(25,6156436,'1977-11-10 00:00:00',4,1,12,1994,'F','N','CENTRO','FLORIANÓPOLIS','SC','224242241211273421438844441122131465147',7394,'262',55.98,1,3,NULL),(25,6156444,'1992-08-06 00:00:00',4,6,11,2010,'F','N','RESSACADA','ITAJAÍ','SC','124242248215111431587812374112610141012',NULL,'1026',0.00,1,3,NULL),(25,6156452,'1993-04-27 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124242241215111431248924475122610134092',14276,'881',39.30,1,3,NULL),(25,6156487,'1994-06-26 00:00:00',4,1,12,2011,'M','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111431468832575112610117042',NULL,'1050',28.22,1,3,NULL),(25,6156495,'1985-09-26 00:00:00',4,2,10,2005,'M','N','ASILO','BLUMENAU','SC','124241247147272411126344345123131961172',13791,'9999',45.49,1,3,NULL),(25,6156509,'1993-12-16 00:00:00',4,1,11,2010,'M','N','GENTIL MEIRELLES','GOIÂNIA','GO','109092091216111421469633575122610162072',11149,'9998',45.29,1,3,NULL),(25,6156541,'1993-09-08 00:00:00',4,1,12,2010,'F','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124241241117161711423336155124510136142',20008,'13',34.54,1,2,1),(25,6156550,'1990-10-29 00:00:00',4,4,12,2009,'M','N','CENTRO ZONA III','UMUARAMA','PR','116161163116472731226624242124610114077',6988,'9998',53.04,1,2,1),(25,6156568,'1992-04-16 00:00:00',4,7,11,2009,'F','N','CENTRO','ERECHIM','RS','120203201215111731343933172112131031192',NULL,'9998',0.00,1,3,NULL),(25,6156584,'1991-07-21 00:00:00',4,1,12,2008,'M','N','BUENO','GOIÂNIA','GO','109092091217573411468831575122610132042',747,'9998',74.15,3,3,NULL),(25,6156592,'1994-05-13 00:00:00',4,8,12,2011,'F','S','JARDIM IRIRIU','JOINVILLE','SC','124242241216111431458811484114610114142',NULL,'459',42.44,4,3,NULL),(25,6156606,'1991-11-09 00:00:00',4,1,12,2010,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','224241241137111421434424395331610167047',NULL,'275',31.33,1,2,1),(25,6156614,'1986-09-17 00:00:00',4,1,12,2003,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124243241315575431669613345124231062062',4968,'270',60.91,1,3,NULL),(25,6156622,'1993-08-30 00:00:00',2,4,12,2010,'F','N','CENTRO','PALMITOS','SC','124241241116131431223327572124610136147',NULL,'601',19.98,1,2,1),(25,6156630,'1970-11-20 00:00:00',2,1,8,1997,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224201205126233631223359111112610111197',NULL,'9998',11.82,2,1,1),(25,6156657,'1984-10-19 00:00:00',4,1,12,2009,'M','N','JOSE MENDES','FLORIANÓPOLIS','SC','124203207227152231123344345114610167182',NULL,'9999',18.07,1,3,NULL),(25,6156665,'1988-12-14 00:00:00',2,15,11,2006,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241136271431526344342123610124147',21571,'29',27.23,1,2,1),(25,6156673,'1987-04-14 00:00:00',2,1,12,2004,'F','N','AREIAS','S JOSÉ','SC','124161161117241411223319341214143227142',NULL,'9998',20.18,4,1,1),(25,6156690,'1993-07-13 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124252241217111431358534585122610163145',7325,'262',53.16,1,3,NULL),(25,6156703,'1987-02-03 00:00:00',4,1,12,2004,'F','N','AREIAS','S JOSÉ','SC','124246241416473431236943235124330262017',1963,'53',67.71,4,3,NULL),(25,6156711,'1983-04-19 00:00:00',2,1,12,2005,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241111132431323331412124610116147',NULL,'289',15.29,1,3,NULL),(25,6156746,'1992-03-06 00:00:00',2,1,12,2010,'F','N','PORTAO','CURITIBA','PR','116161161117471431236829576124610164097',10893,'9998',45.39,1,2,1),(25,6156754,'1992-01-22 00:00:00',2,15,12,2008,'F','N','CAMAQUÃ','PTO ALEGRE','RS','120202201216571411558713571122610122077',3246,'9998',62.85,1,3,NULL),(25,6156770,'1989-08-09 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217113411336812225132120761112',2580,'270',67.22,1,3,NULL),(25,6156789,'1981-08-18 00:00:00',2,1,8,2001,'M','N','CENTRO','PELOTAS','RS','224201206145155411345643235123441726043',NULL,'9998',0.00,1,3,NULL),(25,6156797,'1983-09-14 00:00:00',2,1,12,2001,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241127372431327619245334233214097',15447,'293',39.67,1,3,NULL),(25,6156800,'1993-05-03 00:00:00',4,1,12,2010,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241122141221547413342122610121057',18310,'731',32.42,1,2,1),(25,6156819,'1988-05-23 00:00:00',2,1,12,2005,'F','N','JARDIM ROBRU','S PAULO','SP','125251251116571441333314575324610124147',4605,'9998',59.17,1,2,1),(25,6156843,'1989-12-19 00:00:00',2,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241116371711126644245333610122062',20683,'592',32.46,1,2,1),(25,6156851,'1993-04-13 00:00:00',4,8,10,2010,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242241215111431439934574112610124095',6476,'1063',55.24,1,3,NULL),(25,6156860,'1994-08-23 00:00:00',4,9,12,2011,'F','S','CENTRO','LAGES','SC','124243241215111331433814342122610164092',NULL,'1207',34.64,1,3,NULL),(25,6156878,'1979-10-17 00:00:00',2,1,12,1999,'M','N','INGLESES','FLORIANÓPOLIS','SC','224241241327133411315549296344320518042',17975,'977',38.89,3,3,NULL),(25,6156886,'1988-01-17 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241248311141731224429395234610126187',NULL,'307',23.35,1,3,NULL),(25,6156894,'1990-08-25 00:00:00',4,1,12,2007,'M','N','PINHEIRINHO','CURITIBA','PR','116162161116471431359934575124142666057',575,'9998',76.07,4,3,NULL),(25,6156908,'1993-06-17 00:00:00',4,16,10,2010,'F','N','CENTRO','ITAPEMA','SC','124242241215111431457771572122610124192',7035,'1038',52.88,1,3,NULL),(25,6156916,'1991-06-06 00:00:00',2,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','124162161216572431449813475124610127147',2342,'9998',66.28,1,3,NULL),(25,6156932,'1992-10-09 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217112451238821595122610167051',7708,'262',51.30,1,3,NULL),(25,6156940,'1988-06-02 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241314163431323317485124222922122',12329,'820',47.64,1,3,NULL),(25,6156959,'1993-10-11 00:00:00',2,16,12,2010,'M','N','UNIVERSITARIO','CURITIBANOS','SC','124241244115471411213667575224610134177',10219,'239',46.48,1,2,1),(25,6156967,'1993-07-26 00:00:00',4,1,12,2010,'F','N','MATO QUEIMADO','NOVA TRENTO','SC','124241241147141431544412242122610128142',NULL,'574',11.91,1,2,1),(25,6156975,'1992-07-20 00:00:00',2,1,7,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243247234151531546611392124131427057',21609,'920',26.75,1,3,NULL),(25,6156991,'1994-04-17 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241117151411569823575124610164017',11475,'267',48.94,1,3,NULL),(25,6157017,'1988-03-05 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241121133411113346141244610137172',5575,'14',56.45,1,2,1),(25,6157025,'1992-01-27 00:00:00',2,1,12,2009,'F','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120202201217572431337621572114610167117',4067,'9998',60.22,1,3,NULL),(25,6157033,'1977-10-05 00:00:00',4,1,12,1994,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','624244241216152441253351315122321046182',6621,'270',57.44,1,3,NULL),(25,6157041,'1991-02-21 00:00:00',2,1,12,2008,'F','N','PACHECO','PALHOÇA','SC','124241241126371751423339475124610123017',20108,'592',34.29,1,2,1),(25,6157050,'1992-09-21 00:00:00',4,1,12,2010,'M','N','BOSQUE DAS MANSÕES','S JOSÉ','SC','124241241115271711478933575122610134015',352,'267',78.16,1,2,1),(25,6157068,'1992-10-21 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124071281117271431448619372122610128097',9049,'9998',49.41,1,3,NULL),(25,6157076,'1992-03-02 00:00:00',2,5,12,2009,'F','N','SÃO PAULO','MONTENEGRO','RS','120201201131471441448432571224610145172',1728,'9998',69.31,1,2,1),(25,6157084,'1993-05-01 00:00:00',2,6,12,2010,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241215121431423311575122610164072',21481,'1172',28.12,1,3,NULL),(25,6157092,'1992-11-03 00:00:00',4,8,12,2010,'F','N','BIGORRILHO','CURITIBA','PR','116172161215111431588632575122610113092',NULL,'9998',0.00,1,3,NULL),(25,6157106,'1991-10-05 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241415574451358814575124610144142',38,'1134',86.23,1,3,NULL),(25,6157114,'1993-08-17 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241135371411523622275124610127052',NULL,'292',14.56,1,2,1),(25,6157122,'1992-03-28 00:00:00',4,1,12,2009,'M','N','PAGARA','STO AMARO IMPERATRIZ','SC','124241241127131431534419393213610114147',20725,'731',32.27,1,2,1),(25,6157130,'1994-11-26 00:00:00',4,4,12,2011,'F','S','MARIA GORETTI','CHAPECÓ','SC','124242244115171431577933575122610132095',NULL,'185',35.86,1,3,NULL),(25,6157149,'1989-12-26 00:00:00',4,1,12,2007,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241217575431459711574112131122182',2849,'262',66.32,1,3,NULL),(25,6157157,'1994-03-15 00:00:00',4,1,11,2011,'M','S','LARAJEIRAS','RIO SUL','SC','224242246215421231448832445122610127043',NULL,'653',0.00,1,3,NULL),(25,6157165,'1993-10-13 00:00:00',4,8,12,2010,'F','N','BATEL','CURITIBA','PR','116162161216111411536911572124610132042',20666,'9998',32.53,4,3,NULL),(25,6157173,'1992-03-16 00:00:00',4,1,11,2009,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120204201115473431359813371122610133092',3411,'9998',63.01,1,3,NULL),(25,6157181,'1993-04-02 00:00:00',2,9,12,2010,'F','N','INTERIOR','ANITA GARIBALDI','SC','124241241136131431416616582324610116047',19575,'18',31.21,4,3,NULL),(25,6157190,'1993-12-18 00:00:00',4,1,12,2010,'M','N','VILA REZENDE','GOIÂNIA','GO','109094091217111751469811575112610167142',12104,'9998',42.24,1,3,NULL),(25,6157203,'1993-05-24 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431258722575115610166186',479,'1063',77.17,1,3,NULL),(25,6157211,'1994-09-30 00:00:00',4,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111441379834575112610164042',NULL,'270',61.50,1,3,NULL),(25,6157220,'1994-03-01 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471431557834574125610131172',4140,'262',59.70,1,3,NULL),(25,6157238,'1993-07-18 00:00:00',4,1,12,2010,'M','N','VILA MARIANA','S PAULO','SP','125252251215111431379813575122610127053',10395,'9998',49.66,1,3,NULL),(25,6157246,'1990-01-30 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202241437143431489913445133122266047',14515,'988',44.42,1,3,NULL),(25,6157254,'1993-08-06 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431469933571122610143142',5525,'299',58.05,1,3,NULL),(25,6157262,'1992-03-10 00:00:00',2,1,12,2009,'M','N','BELA VISTA','FARROUPILHA','RS','120202201216471431335532595124610137147',13565,'9998',41.68,1,3,NULL),(25,6157270,'1993-06-07 00:00:00',2,5,11,2010,'F','N','SÃO CRISTOVÃO','CRICIÚMA','SC','124244241215111731534611572245610112197',15579,'226',42.79,1,3,NULL),(25,6157289,'1992-06-20 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241115472431466811575114610136192',6875,'267',53.74,1,2,1),(25,6157319,'1993-08-16 00:00:00',4,1,12,2010,'M','N','CENTRO','TIJUCAS','SC','124241241115131431339813345125610167057',14451,'783',39.48,1,2,1),(25,6157335,'1994-03-28 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111731346633572122610112182',19596,'1133',35.58,1,3,NULL),(25,6157360,'1992-04-15 00:00:00',4,3,12,2009,'F','N','BOA VISTA','CURITIBA','PR','116162161237472411367933574112610135182',8298,'9998',50.39,1,3,NULL),(25,6157378,'1993-09-10 00:00:00',2,1,12,2010,'M','N','BERGER','CAÇADOR','SC','124242241217111431469912575122610164057',10122,'1124',47.06,1,3,NULL),(25,6157386,'1993-08-21 00:00:00',2,1,12,2010,'M','N','CENTRO','ANGELINA','SC','124241241117161431436829575124610147147',21462,'17',28.31,1,2,1),(25,6157394,'1988-12-17 00:00:00',2,1,12,2006,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241117371711537639245114610124043',NULL,'298',0.00,1,2,1),(25,6157408,'1993-06-05 00:00:00',4,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124204241435111431456632375124610137042',11781,'270',48.51,1,3,NULL),(25,6157416,'1988-03-22 00:00:00',2,5,12,2004,'F','N','JARDIM BOTANICO','PTO ALEGRE','RS','120202201215572431446629575114141066047',1726,'9998',68.43,1,3,NULL),(25,6157424,'1993-08-03 00:00:00',4,8,11,2010,'F','N','GLÓRIA','JOINVILLE','SC','124242241215111431349814472112610147081',18317,'1063',38.25,1,3,NULL),(25,6157432,'1992-02-28 00:00:00',4,1,11,2009,'F','N','JD MADALENA','CAMPINAS','SP','125282251217151431569911586122242566092',15896,'9998',42.31,1,3,NULL),(25,6157440,'1991-06-17 00:00:00',2,1,12,2008,'M','N','CENTRO','NOVA ESPERANÇA','PR','116161161416572451346639575122610167057',6835,'9998',53.94,1,3,NULL),(25,6157459,'1993-08-30 00:00:00',4,2,12,2010,'M','N','DAS NACOES','INDAIAL','SC','124244241215211431464932575124610128017',8775,'855',50.62,4,3,NULL),(25,6157467,'1992-06-02 00:00:00',4,15,12,2009,'F','N','RIO DO SALTO','TIMBÉ SUL','SC','124241241115372431426833574122610137142',16865,'814',36.17,1,2,1),(25,6157483,'1992-06-16 00:00:00',4,3,12,2009,'M','N','BELA VISTA','RIO NEGRINHO','SC','124242241215472431489712274122610163126',4615,'541',61.74,1,3,NULL),(25,6157491,'1991-06-28 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127142731557413395124610127042',NULL,'274',20.65,1,2,1),(25,6157513,'1994-10-02 00:00:00',4,1,12,2010,'F','N','BARRACÃO','ALFREDO WAGNER','SC','124241241125161411426923575121610117142',20774,'13',32.03,1,2,1),(25,6157521,'1993-01-14 00:00:00',2,5,12,2010,'M','N','UNIVERSITARIO','CRICIÚMA','SC','124242246215111411355419575112610117011',15093,'995',43.55,1,3,NULL),(25,6157530,'1992-04-09 00:00:00',4,3,12,2009,'F','N','CENTRO','CASCAVEL','PR','116162161216471431555912582112610145097',NULL,'9998',0.00,1,3,NULL),(25,6157556,'1992-06-06 00:00:00',4,1,12,2009,'F','N','CIDADE JARDIM','CPO GRANDE','MS','113122251216471411459919595125242464172',NULL,'9998',0.00,1,3,NULL),(25,6157564,'1992-12-19 00:00:00',4,1,12,2009,'M','N','CENTRO','PETROLÂNDIA','SC','124241258617271431423833472125610144172',6626,'9998',55.00,1,3,NULL),(25,6157572,'1993-05-08 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241215111431438314335124610114072',17894,'1022',39.05,2,3,NULL),(25,6157580,'1994-10-24 00:00:00',2,4,12,2010,'F','N','SÃO JORGE','XANXERÊ','SC','124242241217111431458613575122610144092',NULL,'836',26.73,1,3,NULL),(25,6157599,'1993-09-30 00:00:00',4,1,12,2010,'F','N','NOVA SUIÇA','GOIÂNIA','GO','109092091214111431579813575112610133142',13082,'9998',40.97,1,3,NULL),(25,6157602,'1993-08-25 00:00:00',4,1,11,2010,'F','N','STO ANT DE LISBOA','FLORIANÓPOLIS','SC','124242241215121431669933575122610168192',16355,'1169',35.82,1,3,NULL),(25,6157610,'1983-12-19 00:00:00',4,5,12,2001,'M','N','CENTRO','CRICIÚMA','SC','124244246416152411325674245122131467052',NULL,'230',24.44,1,3,NULL),(25,6157629,'1992-08-14 00:00:00',3,1,12,2009,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124243241115472431459923475124221761182',14466,'307',38.56,1,3,NULL),(25,6157653,'1993-05-07 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241115131431334329172124610168192',18946,'734',37.03,1,2,1),(25,6157661,'1991-04-17 00:00:00',4,2,12,2008,'F','N','BELCHIOR BAIXO','GASPAR','SC','124242241217575431468811573122610164197',4188,'70',60.02,1,3,NULL),(25,6157670,'1993-07-17 00:00:00',2,1,10,2010,'M','N','CENTRO','BIGUAÇU','SC','124242241215111431476612525124610124113',9361,'270',51.52,1,3,NULL),(25,6157688,'1995-05-24 00:00:00',4,15,12,2012,'F','S','CENTRO','ARARANGUÁ','SC','124242241217121732538931575125610136057',NULL,'970',53.49,1,3,NULL),(25,6157696,'1992-07-26 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212374431478933572122610164041',2544,'270',65.76,1,3,NULL),(25,6157700,'1992-06-23 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431568922575122610167054',8541,'270',53.90,1,3,NULL),(25,6157718,'1994-11-08 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241215111431323329575124610116073',NULL,'737',0.00,1,3,NULL),(25,6157726,'1991-04-13 00:00:00',2,1,11,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241212133411433531182224123224112',9636,'270',51.98,1,3,NULL),(25,6157742,'1992-01-24 00:00:00',4,8,12,2009,'F','N','INDUSTRIAL','TOLEDO','PR','116162161215471431436511575112610128197',14712,'9998',38.68,1,3,NULL),(25,6157750,'1992-12-20 00:00:00',4,1,11,2010,'M','N','LAURO DE FREITAS','LAURO FREITAS','BA','105052051217111431458823572111610137052',NULL,'9998',0.00,4,3,NULL),(25,6157769,'1993-06-18 00:00:00',4,1,11,2010,'F','N','CENTRO','BLUMENAU','SC','124242241215111431389932322122610121142',NULL,'909',0.00,1,3,NULL),(25,6157777,'1983-10-01 00:00:00',2,1,8,2000,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201205317131431113649412124343238057',18251,'9998',38.39,1,3,NULL),(25,6157785,'1993-05-25 00:00:00',4,15,12,2010,'F','N','PINHEIROS','S JOÃO SUL','SC','124241241116271431433823572124610132047',12388,'717',42.58,1,2,1),(25,6157807,'1990-08-11 00:00:00',4,7,6,2008,'M','N','ALTO DA GLÓRIA','CURITIBA','PR','116164161417571441678711575124610144182',NULL,'9998',0.00,1,3,NULL),(25,6157831,'1993-09-06 00:00:00',4,4,11,2010,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116162161215111431458933575122610137052',11036,'9998',45.20,1,3,NULL),(25,6157840,'1993-05-10 00:00:00',2,1,12,2010,'F','N','CENTRO','S MIGUEL OESTE','SC','124241241116151431224624175124610136177',3169,'757',63.03,1,2,1),(25,6157858,'1993-09-16 00:00:00',4,1,12,2011,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111531358919495122610114142',NULL,'262',31.75,1,3,NULL),(25,6157866,'1993-07-16 00:00:00',4,8,2,2011,'M','N','ARBORETO DOS JEQUITI','CAMPINAS','SP','125252251216111411388812325122610144112',NULL,'9998',0.00,1,3,NULL),(25,6157874,'1989-12-16 00:00:00',4,8,7,2007,'M','N','VILA LALAU','JARAGUÁ SUL','SC','124243246217371431333329445124131466142',11013,'995',49.65,1,3,NULL),(25,6157882,'1993-04-02 00:00:00',4,1,12,2010,'M','N','BELA SUIÇA','LONDRINA','PR','116162161217111531468924575112610141052',14396,'9998',44.59,1,3,NULL),(25,6157890,'1993-08-03 00:00:00',4,1,12,2010,'M','N','CASCATINHA','PALMAS','PR','116162161216131511449934575122610166177',13414,'9998',46.05,1,3,NULL),(25,6157904,'1993-12-20 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241137371442543639572124610123047',20805,'734',31.93,1,2,1),(25,6157912,'1992-12-09 00:00:00',4,1,12,2009,'M','N','CENTRO','ITUPORANGA','SC','124241241117131432434612243125131014057',19527,'416',29.76,1,2,1),(25,6157920,'1994-09-12 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431468613472122610124192',NULL,'266',28.51,1,3,NULL),(25,6157939,'1990-06-26 00:00:00',4,1,7,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124071071116271431438613272122610122127',3359,'9998',63.29,1,3,NULL),(25,6157947,'1994-01-27 00:00:00',4,4,11,2010,'F','N','CENTRO','XAXIM','SC','124242241215161431339934575122610128012',13739,'185',45.57,1,3,NULL),(25,6157955,'1993-07-09 00:00:00',4,8,11,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','124254248215111731448619592122610141072',NULL,'1016',0.00,1,3,NULL),(25,6157963,'1992-09-14 00:00:00',4,8,12,2009,'F','N','AFONSO PENA','S JOSÉ PINHAIS','PR','116164161216471751447619575122610166187',NULL,'9998',0.00,4,3,NULL),(25,6157971,'1993-01-26 00:00:00',2,5,12,2010,'F','N','DE COSTA','MRO FUMAÇA','SC','124244241435161431436631592122610133011',20612,'995',32.70,1,3,NULL),(25,6157980,'1991-03-12 00:00:00',4,1,12,2008,'M','N','PARQUE DAS CAMÉLIAS','BAURU','SP','125251258215411441334423275124610127053',18459,'9998',32.22,1,3,NULL),(25,6157998,'1990-12-21 00:00:00',4,1,12,2007,'F','N','EMBARÉ','SANTOS','SP','125252251217571431448834575122610133142',5581,'9998',56.08,1,3,NULL),(25,6158013,'1981-03-26 00:00:00',2,1,6,2000,'M','N','COROA DO MEIO','ARACAJU','SE','126266267616471751487823575122341368195',NULL,'9998',0.00,4,3,NULL),(25,6158030,'1993-10-09 00:00:00',2,8,12,2010,'F','N','ALTO','CURITIBA','PR','116164161317471442539812295112610125142',NULL,'9998',0.00,2,1,2),(25,6158056,'1982-10-14 00:00:00',2,6,12,1999,'M','N','CENTRO','BAL CAMBORIÚ','SC','124162161215571431256632494122341527042',9605,'9998',48.87,1,3,NULL),(25,6158064,'1986-04-30 00:00:00',2,1,12,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201201116273431143319195124223224097',7857,'9998',52.26,1,2,1),(25,6158072,'1993-03-19 00:00:00',4,3,12,2010,'F','N','VILA MARIM','VOTUPORANGA','SP','125252251211111731388831571122610165182',NULL,'9998',0.00,1,3,NULL),(25,6158080,'1990-03-29 00:00:00',4,3,12,2007,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161235572431668813574122610164185',2395,'9998',66.03,4,3,NULL),(25,6158099,'1993-12-01 00:00:00',4,8,11,2010,'M','N','PETRÓPOLIS','JOINVILLE','SC','124241241215111431434623475122610132052',11667,'461',45.45,1,3,NULL),(25,6158102,'1993-07-11 00:00:00',2,8,12,2010,'F','N','MERCÊS','CURITIBA','PR','116114161217111431438912175125610142072',NULL,'9998',0.00,1,3,NULL),(25,6158110,'1993-07-25 00:00:00',2,5,12,2010,'M','N','MONTE VERDE','MRO FUMAÇA','SC','124243246215111431467614445122610127043',20106,'995',34.29,1,3,NULL),(25,6158129,'1990-09-17 00:00:00',4,1,11,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215273431254929386124231263196',9574,'270',52.08,1,3,NULL),(25,6158145,'1991-01-29 00:00:00',2,8,9,2008,'F','N','JUVEVÊ','CURITIBA','PR','116162161216521431438811572124141414077',NULL,'9998',0.00,4,3,NULL),(25,6158161,'1993-10-01 00:00:00',2,8,12,2010,'F','N','VILA NOVA','JOINVILLE','SC','124242241214111431449611575122610163052',8763,'459',53.49,1,3,NULL),(25,6158170,'1992-03-18 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215473431458811575112610164097',2717,'226',65.45,1,3,NULL),(25,6158188,'1992-11-13 00:00:00',4,1,12,2010,'F','N','ASA NORTE','BRASÍLIA','DF','107074071217161431437664575122610162012',13589,'9998',41.31,1,3,NULL),(25,6158196,'1993-10-28 00:00:00',4,1,11,2010,'F','N','IPIRANGA','S JOSÉ','SC','124244241415111431668823575122610161147',6902,'1169',54.48,1,3,NULL),(25,6158200,'1991-09-27 00:00:00',2,3,12,2008,'F','N','VÁRZEA','ITAPEMA','SC','124241241115131311523511172324610128017',NULL,'406',35.09,1,2,1),(25,6158218,'1991-05-16 00:00:00',2,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241136272431448513385122610114145',NULL,'298',24.56,1,2,1),(25,6158226,'1991-03-20 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215573731458839595114610167065',155,'1022',81.78,1,3,NULL),(25,6158242,'1981-01-20 00:00:00',2,1,12,1999,'M','N','IPIRANGA','S JOSÉ','SC','624242244126273411548613391124132864097',NULL,'9997',29.97,1,3,NULL),(25,6158250,'1992-04-02 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115472421159823571124610111111',NULL,'267',25.93,1,2,1),(25,6158269,'1992-10-23 00:00:00',4,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431479613475122610123042',11212,'270',46.78,1,3,NULL),(25,6158277,'1993-02-16 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215132431543612576112610128017',6413,'737',54.71,1,3,NULL),(25,6158293,'1991-12-20 00:00:00',2,1,7,2010,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124242247235371431479912345124610167042',21429,'9999',28.56,1,3,NULL),(25,6158307,'1994-04-25 00:00:00',4,1,12,2011,'M','S','RECREIO','RIO JANEIRO','RJ','121122211217111431348814575122610167117',NULL,'9998',0.00,1,3,NULL),(25,6158323,'1992-12-28 00:00:00',4,8,12,2010,'F','N','VILA RAU','JARAGUÁ SUL','SC','124241241215112411337824274122610166097',315,'1063',79.44,1,3,NULL),(25,6158331,'1992-02-05 00:00:00',4,1,12,2009,'F','N','CORONEL ANTONINO','CPO GRANDE','MS','112122251437471411468812595122610157042',3811,'9998',61.54,4,3,NULL),(25,6158340,'1991-07-03 00:00:00',4,1,11,2009,'F','N','JARDIM PAULISTANO','SOROCABA','SP','125252251217371311569931594112610164193',NULL,'9998',0.00,1,3,NULL),(25,6158358,'1993-04-03 00:00:00',4,4,12,2010,'M','N','JARDIM','MARAVILHA','SC','124241241216371411456812575122610126052',8224,'1037',50.11,1,3,NULL),(25,6158366,'1993-11-09 00:00:00',4,15,12,2010,'M','N','ALTO FELIZ','ARARANGUÁ','SC','124241241116371431215629272121610124017',NULL,'29',23.23,1,2,1),(25,6158374,'1992-12-21 00:00:00',2,15,12,2009,'F','N','COLONINHA','ARARANGUÁ','SC','124241241116151431435611115122610134187',NULL,'28',0.00,2,1,1),(25,6158390,'1993-10-11 00:00:00',4,4,11,2010,'F','N','BATEL','CURITIBA','PR','116242161217471431348913385114610124107',NULL,'9998',0.00,1,3,NULL),(25,6158404,'1993-04-16 00:00:00',4,8,12,2010,'M','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161437111731459933572122610127056',10037,'9998',47.28,1,3,NULL),(25,6158412,'1993-09-20 00:00:00',4,1,12,2010,'F','N','SANTA FÉ','CPO GRANDE','MS','112122121217122431479813575112610167042',4224,'9998',59.89,1,3,NULL),(25,6158420,'1993-11-09 00:00:00',4,7,12,2010,'F','N','CENTRO','CAPINZAL','SC','124242241215151411348832572122610134192',7346,'9997',52.53,1,3,NULL),(25,6158439,'1983-02-22 00:00:00',4,1,12,2001,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241116145411136643435214121536015',984,'592',72.80,1,2,1),(25,6158455,'1990-03-22 00:00:00',4,3,11,2007,'M','N','CENTRO','CASCAVEL','PR','116162161211575421378911471122141467052',NULL,'9998',0.00,1,3,NULL),(25,6158463,'1993-06-28 00:00:00',4,1,11,2010,'F','N','EUGÊNIO SCHINEIDER','RIO SUL','SC','124242241215112431478613571122610166142',395,'991',77.89,1,3,NULL),(25,6158471,'1992-04-23 00:00:00',4,8,11,2009,'F','N','RENASCENÇA II','S LUÍS','MA','116102161211471411479911571114610163085',3739,'9998',60.93,1,3,NULL),(25,6158480,'1993-10-31 00:00:00',4,1,11,2010,'M','N','CENTRO','BIGUAÇU','SC','124244241217141431467912345122610127041',NULL,'63',41.06,1,3,NULL),(25,6158498,'1991-10-11 00:00:00',4,1,12,2009,'M','N','JARDIM','STO ANDRÉ','SP','125252251237411531568813385122610165102',14032,'9998',45.12,1,3,NULL),(25,6158501,'1993-12-02 00:00:00',2,9,10,2010,'M','N','MONTE CARLO','S JOAQUIM','SC','124242244215111731328715575122610136057',19636,'721',35.48,1,3,NULL),(25,6158510,'1969-07-26 00:00:00',2,1,8,1998,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124213247647141411114349191134610156043',NULL,'9999',0.00,2,1,2),(25,6158528,'1993-03-22 00:00:00',4,8,11,2010,'M','N','CENTRO','CURITIBA','PR','116164161235121211468911575314610134012',1859,'9998',69.11,1,3,NULL),(25,6158536,'1993-05-31 00:00:00',4,1,11,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242248212111751338832592112610122094',20715,'1050',32.32,1,3,NULL),(25,6158544,'1991-06-04 00:00:00',4,3,12,2008,'F','N','REBOUÇAS','CURITIBA','PR','116162161215572731458916575125610162097',6974,'9998',56.79,1,3,NULL),(25,6158552,'1992-09-02 00:00:00',4,1,12,2010,'M','N','ARIRIU','PALHOÇA','SC','124244241314131431425833371324610112142',NULL,'593',31.60,1,3,NULL),(25,6158560,'1993-11-03 00:00:00',4,8,11,2010,'M','N','ITAPEMA DO NORTE','ITAPOÁ','SC','124241241117161431433414296224610126142',NULL,'413',12.74,1,2,1),(25,6158579,'1992-01-17 00:00:00',4,3,12,2010,'M','N','VILA POPULAR','CORNÉLIO PROCÓPIO','PR','116163166117151411446734595121610167052',9665,'9998',47.21,1,3,NULL),(25,6158587,'1993-09-22 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215371211259931415122610167052',18831,'213',37.29,1,3,NULL),(25,6158595,'1987-05-15 00:00:00',2,4,12,2004,'F','N','CENTRO','PALMA SOLA','SC','124163161216572421538734575122141562147',2970,'9998',64.56,1,3,NULL),(25,6158617,'1993-04-05 00:00:00',4,17,12,2010,'F','N','CENTRO','PTO UNIÃO','SC','124242241215161731689711412112610168012',NULL,'633',0.00,1,3,NULL),(25,6158625,'1987-07-10 00:00:00',2,1,12,2005,'M','N','BOM JESUS','JARDINÓPOLIS','SP','125251251117471731635634275124610127042',NULL,'9998',11.45,1,2,1),(25,6158641,'1990-12-29 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241337131431526719385214133234197',17022,'281',40.58,1,3,NULL),(25,6158650,'1991-08-03 00:00:00',2,3,11,2008,'F','N','MEIA PARIA','ITAPEMA','SC','124201201137271451123623382324610132192',20693,'9998',32.41,1,2,1),(25,6158668,'1992-02-25 00:00:00',2,1,12,2009,'F','N','BAIRRO BAU','CUIABÁ','MT','111111111211411231148931315114610116013',14003,'9998',40.07,1,3,NULL),(25,6158676,'1993-04-19 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124122241215142431458954292125610122042',9104,'262',48.99,2,3,NULL),(25,6158692,'1992-01-16 00:00:00',4,1,12,2009,'F','N','VENDAVAL','BIGUAÇU','SC','124244241216372411436919575114610132197',NULL,'63',39.66,1,3,NULL),(25,6158706,'1993-12-01 00:00:00',4,1,12,2010,'F','N','FLORESTA','S JOSÉ','SC','124241241215131441326823575112610143052',18918,'1076',33.39,4,3,NULL),(25,6158714,'1992-10-20 00:00:00',4,1,12,2009,'M','N','SANTANA','RIO SUL','SC','124242241215473431469512575122610162197',1187,'991',71.53,1,3,NULL),(25,6158749,'1992-09-10 00:00:00',2,1,12,2009,'F','N','PORTÃO','CURITIBA','PR','116163161216132751629811575124221418192',NULL,'9998',19.25,2,1,2),(25,6158757,'1990-04-09 00:00:00',4,8,12,2007,'M','N','COLONIAL','S BENTO SUL','SC','116241241416572221537614476125143266141',375,'1073',78.68,1,3,NULL),(25,6158765,'1990-07-13 00:00:00',4,1,6,2008,'F','N','GRAMADO','CAMPINAS','SP','125252251237571431478831571112610133042',5201,'9998',57.51,1,3,NULL),(25,6158773,'1992-03-01 00:00:00',2,5,11,2009,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124241241215472431326612575125610161175',NULL,'226',17.10,1,3,NULL),(25,6158781,'1973-06-16 00:00:00',2,1,12,1990,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','524241248127372751223344342113610123187',19116,'285',36.71,1,2,1),(25,6158790,'1992-08-30 00:00:00',4,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116164168215471711458811572214610164097',15392,'9998',38.45,3,3,NULL),(25,6158803,'1982-05-09 00:00:00',2,15,12,2010,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241247145111431534113435223610126032',17366,'9999',39.99,1,3,NULL),(25,6158811,'1989-07-26 00:00:00',2,1,12,2008,'M','N','CENTRO','ARAPONGAS','PR','116164161416131731423311275122142928177',18545,'9998',37.86,1,3,NULL),(25,6158820,'1991-12-12 00:00:00',4,2,12,2008,'M','N','BENEDITO','INDAIAL','SC','124241241115572411363324595122610168067',613,'365',76.62,1,2,1),(25,6158846,'1990-11-26 00:00:00',4,1,12,2007,'F','N','NOVA BRASILIA','IMBITUBA','SC','124243241136133711225313275124610117147',8583,'359',51.01,1,3,NULL),(25,6158854,'1992-10-27 00:00:00',4,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124241241215472431336611272124610168192',9715,'259',47.72,1,3,NULL),(25,6158862,'1986-11-19 00:00:00',4,1,11,2004,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241217373421267923245134132726093',NULL,'943',26.98,1,3,NULL),(25,6158889,'1992-02-27 00:00:00',4,1,12,2009,'M','N','CENTREVILLE','LIMEIRA','SP','125252251216471231448834575122610167012',NULL,'9998',0.00,1,3,NULL),(25,6158897,'1992-09-03 00:00:00',4,8,11,2010,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215371421459931572122610167062',13986,'1063',39.60,1,3,NULL),(25,6158900,'1993-09-19 00:00:00',2,1,12,2010,'M','N','CENTRO','MANGUEIRINHA','PR','116161161117151431424515152124610167047',NULL,'9998',18.10,1,2,1),(25,6158919,'1994-01-19 00:00:00',4,2,12,2011,'F','S','DAS NAÇÕES','INDAIAL','SC','124244244215111331446612272122610168147',NULL,'9997',13.41,1,3,NULL),(25,6158927,'1988-03-25 00:00:00',4,1,12,2005,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124163251312131421137844345122233227143',14836,'9998',43.94,1,3,NULL),(25,6158935,'1990-08-11 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217574431411112575124221468042',1694,'262',70.47,1,3,NULL),(25,6158943,'1991-07-06 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241235221451338821572124610166096',4569,'299',60.25,1,3,NULL),(25,6158951,'1990-04-07 00:00:00',4,1,12,2007,'F','N','CENTRO','GURUPI','TO','127274271217571431526823575122610167077',8635,'9998',48.47,1,3,NULL),(25,6158978,'1991-12-28 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124242241217472751663623572114130268187',2236,'976',67.61,1,3,NULL),(25,6158986,'1991-08-15 00:00:00',4,1,12,2009,'M','N','RECANDO DO SALTO','LONDRINA','PR','116162161217472431569813575122610144192',3267,'9998',63.68,4,3,NULL),(25,6158994,'1991-08-22 00:00:00',4,1,12,2008,'M','N','BELA VISTA','PALHOÇA','SC','124241241215373431446612375124130268072',3793,'1022',63.85,1,3,NULL),(25,6159001,'1991-12-20 00:00:00',4,1,12,2009,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251217471431469914575122610167042',4898,'9998',59.03,1,3,NULL),(25,6159010,'1994-01-15 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431436634575122610144012',6907,'723',54.66,1,3,NULL),(25,6159036,'1992-09-06 00:00:00',2,7,12,2009,'F','N','CENTRO','FONTOURA XAVIER','RS','120204208217371431546929595124610163142',10485,'9998',45.87,1,3,NULL),(25,6159044,'1992-06-10 00:00:00',2,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241111372731336413572124610164097',18367,'307',33.73,1,2,1),(25,6159052,'1985-08-26 00:00:00',2,1,11,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116132431126644345124610134141',NULL,'9999',34.66,1,2,1),(25,6159060,'1992-04-02 00:00:00',3,3,12,2009,'F','N','JARDIM AMERICA','GOIÂNIA','GO','109093091216471431468833475114610162191',8354,'9998',49.97,4,3,NULL),(25,6159079,'1994-05-12 00:00:00',4,2,11,2010,'F','N','VELHA','BLUMENAU','SC','124242241217151531368714576122610132192',9180,'88',52.72,1,3,NULL),(25,6159087,'1990-10-02 00:00:00',4,1,11,2008,'M','N','VILA ASSUNCAO','STO ANDRÉ','SP','125252251216571431358871471124610165146',NULL,'9998',49.09,1,3,NULL),(25,6159095,'1983-05-21 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224244241217132431238844345121321012177',1394,'392',70.38,4,3,NULL),(25,6159109,'1993-01-08 00:00:00',2,1,11,2010,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124243241115131431444823575124610167042',16795,'271',35.32,1,3,NULL),(25,6159117,'1993-01-28 00:00:00',4,1,1,2011,'F','N','MEOMA','S PAULO','SP','125252251217121431479912575112610134052',3636,'9998',61.03,1,3,NULL),(25,6159125,'1994-03-23 00:00:00',4,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215271751438639575122610164097',3550,'299',64.44,1,3,NULL),(25,6159133,'1992-11-08 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244201615271431338824572125610126117',8368,'9998',50.69,1,3,NULL),(25,6159141,'1992-05-26 00:00:00',2,1,12,2009,'F','N','CRISTAL','PTO ALEGRE','RS','120201201116471431448733372124610143147',13755,'9998',44.50,1,2,1),(25,6159150,'1993-06-10 00:00:00',2,1,12,2010,'F','N','ARIRIU','PALHOÇA','SC','124242241211111231456633345122610132183',14059,'1022',40.15,1,3,NULL),(25,6159168,'1992-12-16 00:00:00',4,1,12,2009,'F','N','ZONA SETE','MARINGÁ','PR','116162161215471431456612575112610164047',5725,'9998',57.31,1,3,NULL),(25,6159176,'1991-04-25 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSÉ','SC','124241241344473431436914245124610134147',12519,'13',47.30,1,3,NULL),(25,6159184,'1991-08-10 00:00:00',2,1,12,2008,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241215471441538613375112610162172',13182,'1014',42.94,1,3,NULL),(25,6159192,'1988-10-29 00:00:00',2,8,12,2006,'M','N','PORTÃO','CURITIBA','PR','116161161336474751629811385124221464182',NULL,'9998',32.65,2,1,2),(25,6159206,'1993-12-30 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215251431436912572124610127042',8627,'738',50.76,1,3,NULL),(25,6159214,'1992-06-23 00:00:00',4,1,12,2010,'M','N','JARDIM ELITE','PIRACICABA','SP','125252251215131431268811375122610137183',11554,'9998',48.82,1,3,NULL),(25,6159222,'1992-06-03 00:00:00',2,1,12,2009,'F','N','RIO BRANCO','PTO ALEGRE','RS','120202201217472711249924571124241467042',8285,'9998',51.35,1,3,NULL),(25,6159230,'1992-11-05 00:00:00',4,8,12,2009,'M','N','SAGUAÇÚ','JOINVILLE','SC','124242241217372431356933472122610117047',NULL,'1105',0.00,1,3,NULL),(25,6159249,'1993-12-30 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241117151431426634385124610162052',NULL,'257',37.23,1,2,1),(25,6159257,'1987-12-22 00:00:00',4,1,4,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','624283257416451411223744445124610163142',12281,'9998',42.31,3,3,NULL),(25,6159265,'1993-11-27 00:00:00',4,8,12,2010,'F','N','CENTRO','S BENTO SUL','SC','124242241215111431348633432122610152141',NULL,'1178',0.00,4,3,NULL),(25,6159273,'1992-10-22 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241111371431536313372224610124142',NULL,'307',19.28,1,2,1),(25,6159281,'1992-12-29 00:00:00',2,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115112411436813475114122327061',10440,'271',45.99,1,2,1),(25,6159303,'1992-01-31 00:00:00',2,15,12,2009,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241241215124431347664574122232534192',NULL,'970',34.76,1,3,NULL),(25,6159311,'1991-12-26 00:00:00',2,15,12,2009,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241135111431343723445122610127053',NULL,'30',14.73,1,3,NULL),(25,6159320,'1990-11-29 00:00:00',4,8,12,2008,'F','N','MANOEL VASCONCELLOS','SUMARÉ','SP','125254251212571451443411572122610132072',9136,'9998',48.14,1,3,NULL),(25,6159338,'1992-09-19 00:00:00',2,1,11,2009,'F','N','VILA LIANE','PNT GROSSA','PR','116162161212272421438829572124610122142',14005,'9998',39.44,1,3,NULL),(25,6159354,'1994-04-25 00:00:00',4,1,12,2010,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','120204201217161231336819192212610137057',10665,'9998',45.08,1,3,NULL),(25,6159362,'1993-08-27 00:00:00',2,4,12,2010,'F','N','CENTRO','LARANJEIRAS SUL','PR','116161161415111431636831575122610138182',17494,'9998',33.91,1,3,NULL),(25,6159370,'1989-02-03 00:00:00',2,8,12,2008,'F','N','GUANABARA','JOINVILLE','SC','124242241215571731339824575122610167187',NULL,'1105',0.00,1,3,NULL),(25,6159397,'1992-08-04 00:00:00',2,1,11,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244241437142431438834245122610123097',NULL,'257',22.61,1,3,NULL),(25,6159419,'1993-04-29 00:00:00',4,10,10,2010,'M','N','SANTA AUGUSTA','BRAÇO NORTE','SC','124242241215112441539811575124610134012',9198,'806',49.56,1,3,NULL),(25,6159427,'1991-04-22 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241135472731248612125114610125142',19544,'267',32.10,1,2,1),(25,6159435,'1989-06-18 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216143712438813595124233231042',NULL,'1133',16.83,1,3,NULL),(25,6159443,'1982-02-25 00:00:00',2,7,12,1999,'F','N','SAO SEBASTIAO','FRAIBURGO','SC','224243243426134731229959245124331525187',NULL,'317',25.71,1,3,NULL),(25,6159451,'1991-03-07 00:00:00',2,8,12,2008,'F','N','SILVEIRA DA MOTTA','S JOSÉ PINHAIS','PR','116164161115471421658611372124610163077',4500,'9998',59.88,1,3,NULL),(25,6159460,'1990-04-12 00:00:00',2,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116164161216571431478611572112143247042',5365,'9998',57.17,1,3,NULL),(25,6159486,'1992-12-03 00:00:00',4,4,12,2009,'M','N','NEVA','CASCAVEL','PR','116164161216471411459731572122610127062',5461,'9998',58.00,1,3,NULL),(25,6159494,'1993-06-04 00:00:00',4,1,12,2010,'F','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','124242241215151431428674572124610132057',9005,'1048',49.40,1,3,NULL),(25,6159508,'1992-06-12 00:00:00',4,1,12,2009,'F','N','TREM','MACAPÁ','AP','103032031217371411359923434222141034092',NULL,'9998',0.00,4,3,NULL),(25,6159516,'1993-03-27 00:00:00',2,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241115271451438814575124610137117',18170,'288',36.15,1,3,NULL),(25,6159532,'1990-11-08 00:00:00',4,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124241248115372721364623445122610167117',NULL,'44',16.24,1,3,NULL),(25,6159540,'1982-10-20 00:00:00',4,1,12,2000,'M','N','INTERLAGOS','S PAULO','SP','225251131126151411234641315122610164047',NULL,'9998',0.00,1,2,1),(25,6159559,'1977-06-09 00:00:00',2,1,12,1995,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124251251131143431125419341214122242053',15701,'9998',38.32,4,2,1),(25,6159567,'1989-05-19 00:00:00',2,1,12,2006,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241121332431436314445123610137045',18982,'306',36.96,1,2,1),(25,6159575,'1985-08-25 00:00:00',4,1,12,2004,'F','N','SERRARIA','S JOSÉ','SC','124241247136242421343329245114610127057',NULL,'945',0.00,1,2,1),(25,6159583,'1993-06-02 00:00:00',2,6,12,2010,'M','N','VELHA','BLUMENAU','SC','124244241217151431358914272122610137072',NULL,'1018',0.00,1,3,NULL),(25,6159591,'1991-12-06 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241211371431469711375112610162072',15056,'1022',39.12,1,3,NULL),(25,6159605,'1993-04-19 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111431469911572114610167112',12592,'262',42.91,1,3,NULL),(25,6159613,'1992-01-08 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472431489933575112130266061',2040,'262',69.13,1,3,NULL),(25,6159621,'1992-08-01 00:00:00',4,1,12,2009,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241315372451459613575124610162053',8322,'1022',51.09,1,3,NULL),(25,6159630,'1992-06-27 00:00:00',4,6,12,2009,'F','N','VILA ROMANA','S PAULO','SP','125252251216471411248821471125610162187',3552,'9998',61.26,1,3,NULL),(25,6159648,'1993-08-29 00:00:00',4,1,11,2010,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241217121431353829595124610124142',2375,'270',67.92,1,3,NULL),(25,6159656,'1990-11-19 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211573411468613575122610136092',4876,'270',59.91,1,3,NULL),(25,6159664,'1991-04-13 00:00:00',4,15,12,2008,'F','N','CENTRO','MELEIRO','SC','124241241131132411333615241131610147072',16379,'559',37.90,1,2,1),(25,6159672,'1993-11-05 00:00:00',2,1,12,2010,'F','N','CASSINO','RIO GRANDE','RS','120201201116131431526924575114610124187',NULL,'9998',12.24,1,2,1),(25,6159680,'1995-01-12 00:00:00',4,10,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124242241215111431548732575122610134147',5114,'807',60.58,1,3,NULL),(25,6159699,'1986-11-01 00:00:00',2,1,12,2004,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241126132421333529492124222314197',16960,'295',36.49,1,2,1),(25,6159702,'1992-09-01 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161215471431489939571112610125052',8794,'9998',48.91,1,3,NULL),(25,6159710,'1994-05-29 00:00:00',2,1,12,2011,'M','S','KOBRASOL','S JOSÉ','SC','124241241215111331426639575124610144042',NULL,'1118',28.06,1,3,NULL),(25,6159729,'1993-03-29 00:00:00',4,1,12,2010,'F','N','ESPRAIADO','NOVA TRENTO','SC','124241241126161231423319245114610112197',NULL,'574',27.63,1,2,1),(25,6159737,'1993-04-26 00:00:00',4,1,12,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124242241217111431446923575114610164072',19223,'989',31.11,1,3,NULL),(25,6159745,'1992-03-17 00:00:00',4,1,12,2009,'M','N','UBERABA','CURITIBA','PR','116162161215471431568829575114610117092',5371,'9998',58.24,3,3,NULL),(25,6159753,'1976-01-10 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','624201207126131431421344245124610146182',20894,'9998',31.55,1,3,NULL),(25,6159761,'1982-03-17 00:00:00',2,1,11,1999,'M','N','REBOUÇAS','CURITIBA','PR','116221221146572711423324245324610162067',7712,'9998',54.83,1,2,1),(25,6159770,'1990-10-21 01:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215375441468931575124121424052',861,'270',74.81,1,3,NULL),(25,6159788,'1993-03-13 00:00:00',2,8,12,2009,'M','N','ZONA INDUSTRIAL NORT','JOINVILLE','SC','124241246215572441436711245122610114092',2262,'1105',66.41,1,3,NULL),(25,6159796,'1994-01-11 00:00:00',2,10,12,2010,'F','N','VILA VITÓRIA','LAGUNA','SC','124244241225131431326329271125610137142',15027,'524',38.75,4,3,NULL),(25,6159818,'1993-03-16 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215112431236924472122610134072',7514,'723',52.93,1,3,NULL),(25,6159826,'1992-02-19 00:00:00',4,1,12,2009,'M','N','MIRAGEM','LAURO FREITAS','BA','105052051217371431568812575114610167122',3415,'9998',61.48,4,3,NULL),(25,6159834,'1994-01-09 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111431468814571122610118142',10792,'270',50.00,1,3,NULL),(25,6159850,'1994-01-20 00:00:00',4,9,12,2011,'M','S','PRÓFLOR','CORREIA PINTO','SC','124242246216111431336614575112610112152',NULL,'1106',34.53,4,3,NULL),(25,6159869,'1991-11-11 00:00:00',4,4,12,2008,'F','N','BELA VISTA','CONCÓRDIA','SC','124243201316373431479819475125610146142',NULL,'9998',0.00,1,3,NULL),(25,6159877,'1992-10-16 00:00:00',4,8,11,2010,'F','N','FÁTIMA','JOINVILLE','SC','124243241217111431336612575124610121047',12567,'461',41.32,1,3,NULL),(25,6159885,'1993-08-22 00:00:00',4,8,12,2011,'F','S','GLÓRIA','JOINVILLE','SC','124242241212111331459914572122610136123',NULL,'457',51.46,1,3,NULL),(25,6159893,'1993-08-29 00:00:00',2,1,11,2010,'M','N','CENTRO','SORRISO','MT','111112118216111221564636372122610168062',NULL,'9998',0.00,1,3,NULL),(25,6159907,'1985-06-03 00:00:00',2,1,12,2007,'F','N','BELA VISTA','S JOSÉ','SC','124243247347231711124444441124610163187',NULL,'9997',31.06,1,3,NULL),(25,6159915,'1990-12-06 00:00:00',4,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124241241115271431226624145124610137047',19386,'729',36.10,1,3,NULL),(25,6159923,'1993-01-07 00:00:00',4,1,12,2010,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242241215111411339634245124610127043',5468,'1022',57.00,1,3,NULL),(25,6159931,'1992-07-21 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242281215472231178912575122610143093',12154,'9998',43.24,1,3,NULL),(25,6159940,'1993-02-25 00:00:00',4,1,12,2010,'M','N','PINHEIROS','S PAULO','SP','125252251217371411379922571124610164017',NULL,'9998',0.00,1,3,NULL),(25,6159958,'1993-10-16 00:00:00',2,1,12,2010,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241115131431223329595124610127047',12659,'739',42.31,1,3,NULL),(25,6159966,'1990-05-26 00:00:00',4,6,12,2007,'M','N','CENTRO','ASSIS','SP','125114111416571431569913575125141422182',485,'9998',76.48,1,3,NULL),(25,6159974,'1991-06-07 00:00:00',4,8,12,2008,'F','N','CHÁCARA INGLESA','S PAULO','SP','125252251216571751346679491125610166077',NULL,'9998',0.00,1,3,NULL),(25,6159990,'1992-06-12 00:00:00',4,15,12,2009,'F','N','SÃO JOÃO','PASSO FUNDO','RS','120202201216472431436912575122610137147',NULL,'9998',0.00,1,3,NULL),(25,6160000,'1992-07-07 00:00:00',4,8,12,2009,'M','N','JOAO PESSOA','JARAGUÁ SUL','SC','124241241215372331659933576111610162097',10023,'1006',49.31,1,3,NULL),(25,6160018,'1992-09-15 00:00:00',4,8,12,2009,'F','N','VINTE CINCO DE JULHO','S BENTO SUL','SC','124241241216151431459914445112133262197',11350,'1154',43.81,1,3,NULL),(25,6160026,'1995-01-06 00:00:00',4,9,11,2011,'F','S','CENTRO','CORREIA PINTO','SC','124242241215171531469911295125610121092',NULL,'1207',8.33,1,3,NULL),(25,6160050,'1983-01-24 00:00:00',2,1,12,2001,'M','N','INGLESES','FLORIANÓPOLIS','SC','124161161126131731123344245114610117043',NULL,'9998',0.00,1,3,NULL),(25,6160069,'1993-12-21 00:00:00',4,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124242241215111431476311575112610122042',5241,'723',58.08,1,3,NULL),(25,6160077,'1991-12-21 00:00:00',4,1,12,2008,'M','N','DUQUE DE CAXIAS II','CUIABÁ','MT','111112111217471431579811575225610137042',1977,'9998',68.65,1,3,NULL),(25,6160085,'1988-02-11 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241147232441226667292124610143197',NULL,'416',0.00,1,2,1),(25,6160093,'1993-12-09 00:00:00',4,1,12,2011,'M','S','TRINDADE','FLORIANÓPOLIS','SC','112121121117131131316321292344610127087',NULL,'295',14.32,2,3,NULL),(25,6160107,'1991-03-19 00:00:00',2,8,11,2008,'F','N','CENTRO','CURITIBA','PR','116162161215471431338714572325610161142',NULL,'9998',0.00,1,3,NULL),(25,6160115,'1991-01-13 00:00:00',4,1,12,2008,'F','N','AZULVILLE','S CARLOS','SP','125252251217571431568813375122610114076',NULL,'9998',0.00,1,3,NULL),(25,6160123,'1992-06-20 00:00:00',2,4,12,2009,'F','N','CENTRO','PARAÍSO','SC','124241241116132331433334192124231334052',NULL,'604',0.00,1,2,1),(25,6160131,'1992-04-01 00:00:00',4,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124163241116151432525642322121131234067',21179,'405',30.19,1,3,NULL),(25,6160166,'1993-06-29 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241136131431335613575124610146197',NULL,'257',18.27,4,1,1),(25,6160174,'1992-10-29 00:00:00',4,1,12,2009,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124244241215472431665924395114610133183',11157,'1022',45.75,1,3,NULL),(25,6160182,'1987-05-26 00:00:00',2,5,12,2006,'F','N','ESTAÇÃO','URUSSANGA','SC','124241241121131421327323315124333264097',NULL,'822',0.00,1,3,NULL),(25,6160190,'1990-12-14 00:00:00',4,1,12,2007,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216273431336814475114120727052',4034,'723',63.18,1,3,NULL),(25,6160204,'1994-09-12 00:00:00',4,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111432378933375112610135142',NULL,'262',44.28,1,3,NULL),(25,6160220,'1992-10-21 00:00:00',2,1,12,2009,'F','N','VILA DOZE','ANTÔNIO CARLOS','SC','124241241112272411322239572324230827072',16587,'21',38.07,1,2,1),(25,6160247,'1992-09-07 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115271431523339395122610122055',NULL,'281',22.10,1,2,1),(25,6160263,'1991-03-23 00:00:00',2,1,10,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241247417131431446612145222610114097',NULL,'9999',23.72,1,3,NULL),(25,6160271,'1992-03-20 00:00:00',4,1,12,2010,'F','N','CENTRO CÍVICO','CURITIBA','PR','116162161215371431458923575122610136017',3060,'9998',63.89,1,3,NULL),(25,6160280,'1993-01-14 00:00:00',4,1,12,2010,'F','N','SÃO DOMINGOS','MOCOCA','SP','125252251217111431446834575122610142072',6495,'9998',53.06,4,3,NULL),(25,6160298,'1994-01-27 00:00:00',4,3,12,2010,'F','N','SANTO ANTONIO','CPO GRANDE','MS','112124121217111711336634445121610156092',4502,'9998',58.24,1,3,NULL),(25,6160301,'1990-01-10 00:00:00',4,6,12,2007,'M','N','DOM BOSCO','ITAJAÍ','SC','124242241211575411248711594114610114091',NULL,'1026',43.79,1,3,NULL),(25,6160310,'1989-10-13 00:00:00',4,1,12,2006,'F','N','VITORIA REGIA','CORNÉLIO PROCÓPIO','PR','116162168216575731368813575112610112192',2445,'9998',65.39,1,3,NULL),(25,6160352,'1993-06-18 00:00:00',4,3,12,2010,'F','N','JARDIM OURO VERDE','OURINHOS','SP','125252251215111431478833575112610127042',NULL,'9998',26.84,1,3,NULL),(25,6160379,'1992-02-15 00:00:00',2,1,12,2010,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241136131431626324587124610117147',NULL,'225',22.07,1,2,1),(25,6160387,'1994-08-22 00:00:00',4,15,11,2010,'F','N','CENTRO','TIMBÉ SUL','SC','124243241217151751533732575122610114072',11732,'813',45.66,1,3,NULL),(25,6160395,'1993-08-18 00:00:00',2,6,11,2010,'F','N','CENTRO','NAVEGANTES','SC','124242241216171411436619575121610124015',19714,'1029',29.43,1,3,NULL),(25,6160409,'1993-07-27 00:00:00',4,8,12,2010,'F','N','GLÓRIA','JOINVILLE','SC','124241241215111431428634575125610164142',8647,'1063',49.12,1,3,NULL),(25,6160417,'1959-04-22 00:00:00',2,1,12,1983,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243247226134421324449395124321666187',18715,'497',37.53,4,3,NULL),(25,6160425,'1992-06-27 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241112272411536533572122610114187',17434,'307',34.74,1,2,1),(25,6160433,'1993-08-12 00:00:00',2,3,12,2010,'F','N','AREIAS','CAMBORIÚ','SC','124242241215371641413619395122610133042',8605,'1045',53.77,1,3,NULL),(25,6160441,'1989-02-21 00:00:00',2,1,12,2006,'F','N','IPIRANGA','S JOSÉ','SC','124242241216273221489919432122231223072',16303,'266',41.70,1,3,NULL),(25,6160450,'1993-10-22 00:00:00',4,9,11,2010,'F','N','CANTA GALO','RIO SUL','SC','124244241215111431456832375112610124142',769,'991',74.75,1,3,NULL),(25,6160468,'1993-03-27 00:00:00',2,1,12,2009,'F','N','JARDIM CARANDAI','BIGUAÇU','SC','124241241215112431633314245122122732192',NULL,'63',20.81,1,3,NULL),(25,6160476,'1991-01-23 00:00:00',4,4,12,2008,'M','N','CENTRO','TRINDADE SUL','RS','120201201137131431423814452124130327047',NULL,'9998',13.07,4,2,1),(25,6160484,'1992-03-09 00:00:00',4,5,11,2009,'F','N','CENTRO','TREVISO','SC','124244246215471441536614575124610117052',4574,'230',60.15,1,3,NULL),(25,6160492,'1991-08-28 00:00:00',4,1,12,2008,'M','N','SETOR BUENO','GOIÂNIA','GO','109092096216471441486912415122140444092',5769,'9998',55.63,1,3,NULL),(25,6160506,'1993-06-16 00:00:00',2,4,12,2010,'F','N','FATIMA','FREDERICO WESTPHALEN','RS','120201201136131431223734335125610123147',NULL,'9998',0.00,4,2,1),(25,6160522,'1990-02-20 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241112141621426419235124610126173',20812,'1034',31.90,1,3,NULL),(25,6160530,'1993-10-28 00:00:00',4,1,12,2010,'M','N','BAIRRO ÁGUA BRANCA','CAMBUÍ','MG','112132131217111441468735571112610124182',NULL,'9998',0.00,1,3,NULL),(25,6160549,'1993-04-22 00:00:00',2,2,12,2010,'M','N','CENTRO','ARROIO SAL','RS','120201201116131731428812571122610144047',NULL,'9998',0.00,1,3,NULL),(25,6160557,'1992-09-14 00:00:00',4,1,12,2010,'F','N','BELA VISTA','PALHOÇA','SC','124241241316372431446633575124610166142',NULL,'733',30.18,1,3,NULL),(25,6160565,'1993-08-22 00:00:00',2,1,12,2010,'M','N','LA SALLE','PATO BRANCO','PR','116161161117371431536919395122610127067',NULL,'9998',26.36,1,2,1),(25,6160573,'1990-06-29 00:00:00',4,6,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215573431449911492125610126187',1048,'9997',73.19,1,3,NULL),(25,6160581,'1993-01-18 00:00:00',4,10,12,2010,'M','N','JARDIM PLANALTO','PTO ALEGRE','RS','120202201216422431335933575124610127057',3303,'9998',63.15,4,3,NULL),(25,6160590,'1993-01-27 00:00:00',2,4,12,2010,'F','N','JOÃO WINCKLER','XANXERÊ','SC','124241241125131431326624285124610134147',NULL,'838',33.25,1,3,NULL),(25,6160611,'1992-08-18 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116472431223529575124233264197',7817,'257',51.64,1,2,1),(25,6160620,'1981-06-04 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116171431466679442122333267152',NULL,'808',21.24,1,3,NULL),(25,6160638,'1984-06-27 00:00:00',4,1,12,2001,'M','N','BOQUEIRÃO','SANTOS','SP','125252251215571421668814385212141422047',NULL,'9998',0.00,2,1,2),(25,6160646,'1992-02-17 00:00:00',4,8,10,2009,'M','N','CRISTO REI','CURITIBA','PR','116162161216471431669913271124610127052',NULL,'9998',0.00,1,3,NULL),(25,6160654,'1988-09-28 00:00:00',2,9,12,2005,'F','N','CHAMPAGNE','GARIBALDI','RS','120201201116573431453812571124143263077',5813,'9998',56.34,1,2,1),(25,6160662,'1992-07-22 00:00:00',4,8,7,2010,'M','N','AMÉRICA','JOINVILLE','SC','124242281417271231449934575122610161142',9359,'9998',48.36,1,3,NULL),(25,6160670,'1991-06-18 00:00:00',2,1,12,2008,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124122241117274431246616215114610167043',NULL,'288',45.96,1,3,NULL),(25,6160689,'1993-04-05 00:00:00',2,1,12,2010,'F','N','CAMPESTRE','IMBITUBA','SC','124241248117131431623331482124610137047',19952,'359',28.77,1,3,NULL),(25,6160697,'1981-10-31 00:00:00',4,1,12,1998,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241147132141233344142122330265197',NULL,'30',35.23,4,3,NULL),(25,6160727,'1989-11-14 00:00:00',4,1,12,2006,'F','N','GUABIROTUBA','CURITIBA','PR','116164161316575431548823571122141466042',NULL,'9998',0.00,1,3,NULL),(25,6160735,'1992-11-21 00:00:00',4,8,12,2010,'M','N','VILA SONIA','S PAULO','SP','113132131217271731388612595122610164096',NULL,'9998',0.00,1,3,NULL),(25,6160743,'1994-01-03 00:00:00',4,9,11,2010,'M','N','CENTRO','ITUPORANGA','SC','124242241216271431449913575122610127072',10789,'1173',47.01,1,3,NULL),(25,6160760,'1991-01-21 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241126372431528513575114610166182',19827,'283',35.08,1,2,1),(25,6160778,'1991-08-20 00:00:00',4,1,12,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124254257147132431336821385114610127057',NULL,'9998',24.24,1,3,NULL),(25,6160786,'1993-04-23 00:00:00',2,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241116271411234944145124610144047',NULL,'255',29.40,1,3,NULL),(25,6160794,'1993-01-03 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115471431548313575124610116092',21750,'298',24.04,1,2,1),(25,6160808,'1991-10-20 01:00:00',4,1,12,2009,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241215472331248823574122610137181',9286,'270',48.85,1,3,NULL),(25,6160816,'1992-12-02 00:00:00',4,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215111431449614575122610167082',5450,'1063',57.23,1,3,NULL),(25,6160824,'1993-01-05 00:00:00',4,8,12,2010,'M','N','ESTÂNCIA PINHAIS','PINHAIS','PR','116162161217171431556732541124610117042',4637,'9998',60.28,1,3,NULL),(25,6160859,'1991-12-21 00:00:00',4,1,12,2010,'M','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162166116151441348833395124610146142',NULL,'9998',0.00,1,3,NULL),(25,6160867,'1989-05-29 00:00:00',4,1,12,2007,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124201205217131431424744445224232834112',NULL,'9998',22.77,1,3,NULL),(25,6160875,'1991-03-04 00:00:00',2,9,12,2008,'M','N','UNIVERSITÁRIO','LAGES','SC','124241244117152731539933575122610132092',NULL,'513',26.75,1,2,1),(25,6160891,'1993-06-05 00:00:00',2,8,11,2010,'F','N','SÃO LOURENÇO','CURITIBA','PR','116162161216311441557732575112610118197',14070,'9998',40.10,1,3,NULL),(25,6160905,'1993-06-11 00:00:00',4,1,12,2010,'M','N','CENTRO','LOANDA','PR','116161161436371431446923575125610165197',1108,'9998',72.05,1,3,NULL),(25,6160913,'1994-04-04 00:00:00',4,4,11,2010,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116162161217151431359911475125610127092',571,'9998',76.57,1,3,NULL),(25,6160921,'1993-11-01 00:00:00',4,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215131431446934572124610122072',8240,'1169',54.43,1,3,NULL),(25,6160930,'1980-12-27 00:00:00',2,1,12,1999,'F','N','JARDIM MARAVILHA','GUARUJÁ','SP','125251253217571751423319482124610143184',12239,'9998',43.46,2,3,NULL),(25,6160948,'1990-02-27 00:00:00',2,8,12,2008,'F','N','TARUMÃ','CURITIBA','PR','116162161215371711544837395124140934172',NULL,'9998',38.67,1,3,NULL),(25,6160956,'1991-10-09 00:00:00',4,1,12,2008,'M','N','CENTRO','ASSAÍ','PR','116161161116572731448811495114610164051',3430,'9998',62.53,3,2,1),(25,6160964,'1987-11-02 00:00:00',4,8,12,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124252251237151411548834485124233232191',10139,'9998',51.09,3,3,NULL),(25,6160972,'1991-05-10 00:00:00',2,1,6,2010,'M','N','SERRARIA','S JOSÉ','SC','124241243136271432336624245114610134052',11131,'306',49.47,1,2,1),(25,6160980,'1992-11-27 00:00:00',2,10,12,2009,'F','N','CAPÃO RASO','CURITIBA','PR','116161161115571431435532275124610124057',NULL,'9998',0.00,4,2,1),(25,6160999,'1985-02-13 00:00:00',2,1,12,1999,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241248131332411326423341122610125182',20310,'307',33.72,2,1,1),(25,6161014,'1990-10-24 00:00:00',2,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124161161137271431338611145124610167052',13217,'9998',42.44,1,2,1),(25,6161022,'1978-01-14 00:00:00',4,1,12,1998,'M','N','BOQUEIRÃO','CURITIBA','PR','116161161426411752336641315122140214092',NULL,'9998',0.00,1,3,NULL),(25,6161030,'1989-08-04 00:00:00',2,15,12,2006,'F','N','COLONINHA','ARARANGUÁ','SC','224241241317131451224451242121232726047',21570,'26',27.24,1,3,NULL),(25,6161049,'1983-03-24 00:00:00',2,1,12,2001,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224202201126154431218879295124220561177',NULL,'9998',0.00,1,3,NULL),(25,6161057,'1952-06-27 00:00:00',2,8,12,1985,'M','N','PORTÃO','CURITIBA','PR','616161166326475211442247171122341616193',6578,'9998',55.02,1,3,NULL),(25,6161065,'1988-12-16 00:00:00',4,1,10,2007,'M','N','ZONA DOIS','MARINGÁ','PR','216164167227141411423329315121610162012',20023,'9998',34.51,4,3,NULL),(25,6161073,'1992-09-02 00:00:00',4,15,12,2009,'M','N','IGRA NORTE','TORRES','RS','120201201215452231549923574114610123147',16800,'9998',38.09,4,3,NULL),(25,6161081,'1985-09-13 00:00:00',4,1,12,2003,'F','N','BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC','224241241116145431538823335122120567117',20668,'307',26.26,1,2,1),(25,6161090,'1990-11-23 00:00:00',2,1,11,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117272431536813215122610144177',NULL,'295',24.64,1,2,1),(25,6161103,'1979-04-08 00:00:00',2,1,12,2003,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224241241121322731522249191224610126187',NULL,'9997',13.93,1,2,1),(25,6161111,'1990-01-20 00:00:00',4,3,12,2007,'M','N','AGUA VERDE','CURITIBA','PR','116162168211371431448811111122142664122',NULL,'9998',0.00,3,3,NULL),(25,6161120,'1992-01-23 00:00:00',2,1,12,2010,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241237112431567812375122610114147',13942,'1048',45.27,1,3,NULL),(25,6161138,'1990-10-21 01:00:00',4,1,12,2008,'F','N','CENTRO','CAÇAPAVA','SP','125252251216571431346837575324610163142',802,'9998',75.29,1,3,NULL),(25,6161154,'1977-01-03 00:00:00',4,1,12,1997,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','624201201321151441236643234224341845043',NULL,'9998',0.00,1,3,NULL),(25,6161162,'1991-01-09 00:00:00',4,1,12,2008,'M','N','SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC','124241241127272431123344141134133236143',NULL,'665',0.00,1,2,1),(25,6161197,'1993-09-23 00:00:00',2,10,12,2010,'M','N','MORRO DO MIRIN','IMBITUBA','SC','124243241117371731626729575124610167117',19131,'359',32.19,2,1,2),(25,6161219,'1991-02-03 00:00:00',4,8,8,2009,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124243241247131731367823485122231026067',NULL,'1061',0.00,4,3,NULL),(25,6161235,'1990-04-27 00:00:00',2,1,12,2008,'M','N','CENTRO','STA MARIA','RS','120202208211161511239912112113112717181',11945,'9999',44.34,1,3,NULL),(25,6161243,'1990-12-12 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124072071217373731349932575114121462097',207,'9998',80.99,1,3,NULL),(25,6161251,'1992-01-21 00:00:00',2,1,11,2009,'M','N','CENTRO','NOVA ARAÇÁ','RS','120203201227371431333611575122141437047',16404,'9998',41.56,1,3,NULL),(25,6161260,'1992-04-28 00:00:00',4,1,11,2009,'M','N','JULIO DE MESQUITA F','SOROCABA','SP','125252251217271331646612571121610164177',17088,'9998',40.47,4,3,NULL),(25,6161278,'1988-08-12 00:00:00',2,2,12,2004,'F','N','NAÇÕES','INDAIAL','SC','124241241117472431333321242223610167147',21600,'365',26.91,1,2,1),(25,6161294,'1992-12-12 00:00:00',2,7,12,2010,'M','N','CENTRO','ÁGUA DOCE','SC','124161242115131431524411595125613226042',17361,'8',36.83,1,2,1),(25,6161308,'1993-11-05 00:00:00',4,4,12,2010,'F','N','CENTRO','ANCHIETA','SC','124241241115151731658963575125610124147',14537,'16',38.78,1,3,NULL),(25,6161316,'1972-12-04 00:00:00',4,1,7,1994,'F','N','INGLESES','FLORIANÓPOLIS','SC','224203208627161742484459475112610163142',21605,'9998',26.88,1,3,NULL),(25,6161324,'1988-03-23 00:00:00',4,5,10,2006,'M','N','SANTA LUZIA','CRICIÚMA','SC','624242248215314751384452325112131568196',NULL,'226',0.00,1,3,NULL),(25,6161332,'1990-04-02 00:00:00',2,1,12,2007,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241244116141431536319245134131313142',NULL,'733',17.94,4,2,1),(25,6161359,'1992-07-14 00:00:00',4,1,12,2009,'M','N','SAO JOSE','ARACAJU','SE','126262261217111431469813574112610127046',13552,'9998',45.85,1,3,NULL),(25,6161367,'1990-10-17 00:00:00',2,1,12,2007,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241215572431446612575124610127142',7876,'751',55.05,1,3,NULL),(25,6161383,'1982-05-22 00:00:00',2,1,12,1999,'M','N','CENTRO','ANTÔNIO CARLOS','SC','224251251117131421433544342132610114047',17335,'9998',40.04,1,2,1),(25,6161391,'1993-06-07 00:00:00',4,1,11,2010,'F','N','TERRA NOVA','TAUBATÉ','SP','125252251216121431569931575124610164182',NULL,'9998',0.00,1,3,NULL),(25,6161413,'1990-09-27 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241216144731236624345124333227112',14186,'1022',39.20,1,3,NULL),(25,6161421,'1992-08-23 00:00:00',2,1,11,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241215372231456634345122610128197',11126,'1022',45.98,1,3,NULL),(25,6161448,'1987-10-22 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241335434431322244346114610164091',19685,'272',35.41,1,3,NULL),(25,6161456,'1992-09-05 00:00:00',2,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241146272431435534245124233263142',19773,'733',35.21,1,2,1),(25,6161464,'1991-04-30 00:00:00',2,1,8,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247112131121436429385114610125037',NULL,'9999',38.46,1,3,NULL),(25,6161472,'1991-02-23 00:00:00',2,1,12,2008,'M','N','SÃO BENEDITO','ALPINÓPOLIS','MG','125132131215471431638839575122143266147',15318,'9998',39.48,1,3,NULL),(25,6161480,'1994-08-26 00:00:00',4,10,11,2012,'F','S','HUMAITÁ DE CIMA','TUBARÃO','SC','124242241216111431536933572124610137047',NULL,'809',23.67,1,3,NULL),(25,6161499,'1992-01-10 00:00:00',4,9,12,2009,'M','N','JARDIM AMERICA','RIO SUL','SC','124242241217472511256827575122230767067',6713,'991',54.96,1,3,NULL),(25,6161502,'1992-11-17 00:00:00',4,1,10,2010,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251217111431239714575112610133042',10016,'9998',47.93,1,3,NULL),(25,6161510,'1977-02-24 00:00:00',5,1,12,1993,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','624201201117151751259949395112342062062',NULL,'9998',0.00,1,3,NULL),(25,6161537,'1988-07-27 00:00:00',4,1,12,2006,'F','N','TREVO DA GUARANI','PATO BRANCO','PR','116163161117411431434419445112142241092',7626,'9998',51.59,4,3,NULL),(25,6161553,'1989-11-23 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','616162161236471751459913575124141464187',6795,'9998',54.22,1,3,NULL),(25,6161561,'1991-05-25 00:00:00',2,1,12,2008,'M','N','SANTO ISIDORO','TRÊS B PARANÁ','PR','116161161117131431323436285113610134047',16153,'9998',37.90,1,2,1),(25,6161570,'1988-07-27 00:00:00',4,8,11,2007,'M','N','GUARIA','CURITIBA','PR','116162161217571711277832571114610162097',5515,'9998',57.49,1,3,NULL),(25,6161588,'1992-02-15 00:00:00',2,4,11,2009,'M','N','SÃO JORGE','S MIGUEL OESTE','SC','124241241117272431226823575124610142147',NULL,'753',0.00,1,2,1),(25,6161596,'1990-11-23 00:00:00',4,2,12,2007,'F','N','VICTOR KONDER','BLUMENAU','SC','124161161416571431546612475112610123147',6055,'9998',57.35,1,3,NULL),(25,6161600,'1992-04-13 00:00:00',4,1,12,2009,'M','N','PARAISO','STO ANDRÉ','SP','125254251217372411678812445134133247187',NULL,'9998',0.00,4,3,NULL),(25,6161618,'1992-10-10 00:00:00',4,5,12,2009,'F','N','SUMARÉ','LAURO MÜLLER','SC','124241241117161411439931575122610134142',NULL,'531',0.00,1,3,NULL),(25,6161626,'1989-10-12 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215575432579911485112220762042',2845,'497',65.83,1,3,NULL),(25,6161634,'1974-10-16 00:00:00',2,1,12,2000,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','224241247347131711435359432234230863197',19159,'63',36.63,1,3,NULL),(25,6161642,'1992-06-03 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124241241147272431334373571124610146047',6478,'69',55.22,1,2,1),(25,6161650,'1994-11-04 00:00:00',2,7,12,2011,'M','S','CENTRO','LACERDÓPOLIS','SC','124243241215111431558913344124610137042',NULL,'446',39.22,1,3,NULL),(25,6161669,'1993-06-20 00:00:00',2,8,12,2010,'M','N','SANTA CANDIDA','CURITIBA','PR','116161161114471411555314575124610137072',NULL,'9998',0.00,2,1,1),(25,6161677,'1993-08-12 00:00:00',4,1,12,2010,'M','N','GARCIA','ANGELINA','SC','124241241115161431433923575124610117187',17556,'17',33.78,1,2,1),(25,6161685,'1991-08-25 00:00:00',2,5,12,2008,'F','N','SÃO JOSÉ','TRAMANDAÍ','RS','120201201116572431537619491124610147147',16463,'9998',36.83,1,2,1),(25,6161693,'1994-02-09 00:00:00',4,8,12,2010,'F','N','SEMINÁRIO','CURITIBA','PR','116162161215421431259913575122610132197',NULL,'9998',0.00,1,3,NULL),(25,6161715,'1994-10-19 00:00:00',2,1,12,2011,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124241246217151412588911175122610124173',NULL,'1075',34.70,1,3,NULL),(25,6161723,'1989-01-19 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116574431426624345124133227147',7759,'307',54.14,4,2,1),(25,6161740,'1992-01-05 00:00:00',2,9,12,2009,'M','N','CENTRO','BOM RETIRO','SC','124241241126372431434419395122610128147',19512,'95',35.80,1,2,1),(25,6161766,'1994-02-03 00:00:00',4,8,12,2010,'F','N','CENTRO','FAXINAL','PR','116162161216121431466812192122610142142',NULL,'9998',0.00,1,3,NULL),(25,6161782,'1993-03-05 00:00:00',4,8,11,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241215271731449814194112610122147',17790,'457',35.69,1,3,NULL),(25,6161790,'1982-02-16 00:00:00',4,3,12,1999,'M','N','BOQUEIRÃO','PR GRANDE','SP','125251251116131421568813215123343167112',16824,'9998',40.90,1,2,1),(25,6161804,'1982-06-23 00:00:00',4,1,12,1998,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217133421128844345121232027187',NULL,'272',34.17,1,3,NULL),(25,6161812,'1990-02-11 00:00:00',2,1,12,2008,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124241241117273411337724386344610167012',1144,'267',73.15,1,2,1),(25,6161820,'1994-06-23 00:00:00',4,2,12,2011,'M','S','CENTRO','POMERODE','SC','124242241215151431468911575112610137034',NULL,'624',49.87,1,3,NULL),(25,6161839,'1993-07-27 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215131711528821215125610136147',10605,'1076',47.12,1,3,NULL),(25,6161855,'1990-08-20 00:00:00',4,1,12,2007,'M','N','CENTRO','GUARATINGUETÁ','SP','125252251216471411364821595112140444042',NULL,'9998',0.00,1,3,NULL),(25,6161863,'1983-09-14 00:00:00',4,1,7,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124253257347531721346454345124243222197',15084,'9998',43.56,1,3,NULL),(25,6161871,'1992-06-24 00:00:00',2,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124241241437141431536379394124610163187',21449,'781',28.42,2,1,2),(25,6161880,'1992-12-08 00:00:00',2,10,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124244248125131431323379395121610134072',NULL,'524',22.12,1,3,NULL),(25,6161898,'1992-12-27 00:00:00',4,1,12,2010,'F','N','VILA PRADO','S CARLOS','SP','125254251217121731346632575122610134072',8476,'9998',49.22,1,3,NULL),(25,6161901,'1992-04-24 00:00:00',4,1,12,2009,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215472441588839291122610162192',6814,'262',54.03,1,3,NULL),(25,6161910,'1974-07-21 00:00:00',1,1,12,1995,'F','N','SACO DOD LIMÕES','FLORIANÓPOLIS','SC','124165167522131431123341212124141026097',NULL,'9998',0.00,1,3,NULL),(25,6161928,'1993-07-04 00:00:00',2,9,12,2010,'F','N','MORRO DO POSTO','LAGES','SC','124241241116371731446613395124610112147',NULL,'935',0.00,1,3,NULL),(25,6161936,'1994-08-25 00:00:00',4,1,12,2011,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241215111731559514572114610136017',NULL,'1118',37.21,1,3,NULL),(25,6161944,'1946-05-13 00:00:00',3,1,12,1980,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224241246121132431536619291124610117042',NULL,'307',17.34,1,3,NULL),(25,6161952,'1992-12-05 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241214372431326614575124230248197',9713,'273',48.82,1,3,NULL),(25,6161960,'1985-01-03 00:00:00',2,1,11,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241248125132411431127195314222317145',NULL,'182',7.19,4,2,1),(25,6161987,'1991-06-25 00:00:00',2,1,12,2008,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124161161117471431638614345114610124147',NULL,'9998',12.84,1,2,1),(25,6161995,'1990-03-23 00:00:00',2,1,12,2006,'F','N','FUNDOS','BIGUAÇU','SC','124241241116131431533311345234610128147',NULL,'65',27.18,1,2,1),(25,6162002,'1962-11-06 00:00:00',4,1,11,2006,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124131241121212431121244141124610122047',NULL,'288',20.57,2,1,1),(25,6162010,'1993-05-22 00:00:00',2,10,12,2010,'M','N','MAR GROSSO','LAGUNA','SC','124244241225131431446613575124610127047',NULL,'524',35.84,1,3,NULL),(25,6162037,'1992-06-04 00:00:00',2,17,11,2009,'F','N','CENTRO','S MATEUS SUL','PR','116164161215472431446634575122610123177',NULL,'9998',0.00,1,3,NULL),(25,6162045,'1990-09-30 00:00:00',4,1,12,2008,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241147271431324424245134610167042',NULL,'278',26.86,1,3,NULL),(25,6162061,'1988-03-07 00:00:00',2,1,12,2005,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241127131411426821112334133267052',NULL,'291',0.00,1,2,1),(25,6162070,'1993-01-07 00:00:00',4,1,12,2010,'F','N','JARDIM PRIMAVERA','PATO BRANCO','PR','116251161136231431525619241124610135017',NULL,'9998',17.50,2,2,1),(25,6162088,'1992-04-14 00:00:00',2,1,7,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241115132731436539585124610123152',11274,'739',45.57,1,2,1),(25,6162096,'1985-02-08 00:00:00',2,1,12,2000,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224201201144132711325354382124610152097',NULL,'9998',0.00,1,2,1),(25,6162100,'1981-08-24 00:00:00',2,1,11,1999,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124161163126132411124649391324143241043',NULL,'9998',21.27,1,3,NULL),(25,6162126,'1993-07-23 00:00:00',4,10,11,2010,'M','N','SÃO FRANCISCO','BRAÇO NORTE','SC','124241241115131431423621575121610127057',NULL,'100',0.00,1,2,1),(25,6162134,'1991-07-07 00:00:00',4,8,12,2008,'M','N','CHICO DE PAULA','JARAGUÁ SUL','SC','124243241217131431633314342341610147057',NULL,'442',25.94,1,3,NULL),(25,6162142,'1984-04-24 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124251211416135431118848185111222312045',10878,'9998',45.74,1,3,NULL),(25,6162150,'1992-04-07 00:00:00',4,3,12,2009,'F','N','CENTRO','CAMBÉ','PR','116162161215471431468912575122610134172',9222,'9998',49.27,1,3,NULL),(25,6162177,'1991-11-08 00:00:00',4,1,12,2010,'M','N','USINA','ANTÔNIO CARLOS','SC','124241241116141231416331242111610167042',15141,'21',38.14,1,2,1),(25,6162193,'1992-07-18 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217472751348811372122610163142',NULL,'1022',16.33,1,3,NULL),(25,6162207,'1994-03-18 00:00:00',2,2,12,2010,'M','N','RIBEIRÃO CAFÉ','TROMBUDO CENTRAL','SC','124241241115131421423316572224610132147',18155,'796',33.40,1,2,1),(25,6162215,'1990-12-27 00:00:00',4,1,7,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124202208217271731346612575124610168142',20598,'9998',32.76,4,3,NULL),(25,6162231,'1991-11-04 00:00:00',4,5,7,2009,'M','N','LOT MONTE CASTELO','CRICIÚMA','SC','124241243416132431538923245114610164191',14943,'995',43.77,1,3,NULL),(25,6162240,'1988-02-12 00:00:00',4,1,12,2005,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241626151421234344245124610124072',18784,'524',37.38,1,3,NULL),(25,6162266,'1993-05-20 00:00:00',4,6,12,2010,'F','N','PLANALTO','BRUSQUE','SC','124241241115271731634439575122610114042',NULL,'111',17.24,4,3,NULL),(25,6162282,'1993-04-01 00:00:00',4,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215112131448813572124610137042',7359,'270',52.52,1,3,NULL),(25,6162290,'1984-03-29 00:00:00',2,1,12,2002,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201201116571121125844245123130267114',NULL,'9998',25.29,1,2,1),(25,6162304,'1989-09-27 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201241136131431636519145134131043187',NULL,'288',23.53,1,2,1),(25,6162312,'1993-09-01 00:00:00',4,3,11,2010,'F','N','CENTRO','CURITIBA','PR','116162161216111431358921575114610126097',NULL,'9998',0.00,1,3,NULL),(25,6162320,'1987-03-25 00:00:00',2,1,12,2004,'M','N','BOM VIVER','BIGUAÇU','SC','124241241147471731323344445134610142147',18189,'66',35.69,4,2,1),(25,6162339,'1992-08-12 00:00:00',4,8,12,2009,'M','N','DOS ESTADOS','GUARAPUAVA','PR','116162161212211611549933171122610166177',NULL,'41',0.00,1,3,NULL),(25,6162347,'1991-06-19 00:00:00',2,8,12,2008,'F','N','CENTRO','LONDRINA','PR','116161161136271431448611574125610163177',10160,'9998',51.05,1,2,1),(25,6162355,'1990-06-21 00:00:00',2,8,12,2007,'F','N','RIBEIRAO DO MEIO','CARLÓPOLIS','PR','116161161114131411423635592324610163197',4911,'9998',58.28,1,2,1),(25,6162363,'1990-01-26 00:00:00',2,6,11,2007,'F','N','CENTRO','ERECHIM','RS','124202201237574431458313575125610121187',7569,'9998',51.22,1,3,NULL),(25,6162371,'1993-10-01 00:00:00',4,1,12,2010,'F','N','BELA VISTA','PALHOÇA','SC','124241241225111451326429572124610146182',12410,'262',43.73,1,3,NULL),(25,6162380,'1991-12-01 00:00:00',2,1,12,2009,'F','N','JARDIM ESPERANÇA','PNT PORÃ','MS','112122121217471421547812275124610134147',NULL,'9998',23.90,4,3,NULL),(25,6162398,'1992-09-23 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124254251216332431348921485224610167092',7360,'9998',51.39,1,3,NULL),(25,6162401,'1967-05-18 00:00:00',4,1,12,1984,'M','N','JD RECANTO DO VALE','INDAIATUBA','SP','125251251116151441144441315122341412112',NULL,'9998',0.00,1,2,1),(25,6162410,'1991-05-08 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117471731224527575114610136187',18177,'257',34.13,1,2,1),(25,6162436,'1990-12-03 00:00:00',4,1,12,2008,'M','N','COLONIA SANTANA','S JOSÉ','SC','124241241126144521443731245123610137042',17864,'731',39.10,1,2,1),(25,6162452,'1985-05-16 00:00:00',2,1,12,2002,'F','N','BELA VISTA','S JOSÉ','SC','224202201216473431264953445122321263142',NULL,'9998',28.14,1,3,NULL),(25,6162479,'1992-11-30 00:00:00',4,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124241241143271431421315173325610128147',NULL,'911',15.31,4,3,NULL),(25,6162495,'1992-09-25 00:00:00',4,2,12,2009,'M','N','SOUZA CRUZ','BRUSQUE','SC','124243241434371411454317575112610137182',21413,'1090',28.71,1,3,NULL),(25,6162509,'1985-03-07 00:00:00',2,1,12,2002,'F','N','SANTA TERESA','S PEDRO ALCÂNTARA','SC','124241241126372411422339245334610123042',8309,'869',50.47,1,2,1),(25,6162517,'1989-12-06 00:00:00',4,1,12,2007,'F','N','CAMPOS DE HOLAMBRA','PARANAPANEMA','SP','125252251216571522556635575122610131112',6307,'9998',55.17,3,3,NULL),(25,6162525,'1993-08-19 00:00:00',4,5,11,2010,'F','N','PIO CORRÊA','CRICIÚMA','SC','124242241215111751458811475122610128092',2893,'226',66.25,1,3,NULL),(25,6162533,'1978-06-27 00:00:00',2,1,12,1996,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241126135541211541312125221763183',12054,'294',48.05,1,2,1),(25,6162541,'1993-07-26 00:00:00',2,1,12,2010,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241112141431226411111221610128182',17426,'65',33.81,1,2,1),(25,6162550,'1993-06-25 00:00:00',2,16,12,2010,'F','N','MARTELLO','CAÇADOR','SC','124241241116151411543311115124610133052',NULL,'123',0.00,4,2,1),(25,6162568,'1992-12-08 00:00:00',4,2,12,2010,'M','N','CENTRO','POMERODE','SC','124241241215111431343823574121610167072',3155,'624',64.77,1,3,NULL),(25,6162576,'1992-07-16 00:00:00',4,1,12,2010,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117371431323611345114610148185',9594,'772',47.71,1,2,1),(25,6162592,'1992-12-04 00:00:00',4,9,12,2009,'F','N','BAIRRO ALTO','CURITIBA','PR','116162161316572411558732245122610146097',6193,'9998',54.17,1,3,NULL),(25,6162606,'1988-09-17 00:00:00',4,2,12,2005,'M','N','CENTRO','ASCURRA','SC','124241248211575711428833595124231366182',9423,'940',49.90,1,3,NULL),(25,6162614,'1987-01-28 00:00:00',2,1,12,2004,'M','N','BARREIROS','S JOSÉ','SC','124241241127143411436633295125231014187',NULL,'736',24.18,2,1,1),(25,6162622,'1993-04-05 00:00:00',4,10,11,2010,'M','N','OFICINAS','TUBARÃO','SC','124244241415151431337923272112610114077',12135,'1120',47.93,1,3,NULL),(25,6162649,'1992-04-26 00:00:00',4,8,11,2010,'M','N','BAIRRO ALTO','CURITIBA','PR','116163161117471231538612572114610162127',NULL,'9997',32.81,3,3,NULL),(25,6162657,'1994-04-28 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241415111751438633575124610168096',10924,'270',49.79,1,3,NULL),(25,6162665,'1992-12-24 00:00:00',2,1,12,2010,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124243241417111431323634345114610132182',11534,'944',45.12,1,3,NULL),(25,6162673,'1959-10-16 00:00:00',2,1,12,1982,'M','N','REBOUÇAS','CURITIBA','PR','616145272116371411433633135124141422111',18071,'9998',38.70,4,1,2),(25,6162681,'1990-01-29 00:00:00',2,1,12,2007,'F','N','TRISTEZA','PTO ALEGRE','RS','120204201127131411326621491124242745027',NULL,'9998',0.00,4,3,NULL),(25,6162703,'1992-12-10 00:00:00',4,6,12,2010,'M','N','CENTRO','SALETE','SC','124241241127161431359913245122610132047',16091,'680',37.43,1,2,1),(25,6162711,'1992-07-08 00:00:00',4,1,12,2009,'F','N','MUARAMA','PASSOS','MG','113132131216471431679811571124610117092',6961,'9998',52.85,1,3,NULL),(25,6162746,'1990-04-27 00:00:00',4,3,11,2008,'M','N','PANORAMA','ARAPONGAS','PR','116162168216151741568832395121141427017',NULL,'9998',19.65,1,3,NULL),(25,6162762,'1992-06-17 00:00:00',2,4,12,2010,'M','N','CENTRO','MONDAÍ','SC','124243241126161431436314385122610146147',NULL,'564',16.45,3,3,NULL),(25,6162770,'1992-08-24 00:00:00',4,4,12,2010,'M','N','CENTRO','S DOMINGOS','SC','124243248317161531448811575122610137042',21629,'707',26.49,1,3,NULL),(25,6162789,'1983-12-27 00:00:00',2,1,12,2001,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241212272411348823341134320234147',9711,'270',51.85,1,3,NULL),(25,6162797,'1988-01-05 00:00:00',4,1,12,2005,'M','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124181181327131431338844342224141028047',18449,'9998',38.02,4,3,NULL),(25,6162800,'1994-01-21 00:00:00',2,3,12,2010,'M','N','AMADORI','PATO BRANCO','PR','116161161215111431323714575115610137052',15671,'9998',42.65,1,3,NULL),(25,6162819,'1988-10-17 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241332111431638834575115610168187',17561,'9999',39.65,1,3,NULL),(25,6162827,'1989-06-23 00:00:00',4,3,12,2006,'F','N','VILA IZABEL','CURITIBA','PR','116162161231572411368821571125610146182',2443,'9998',66.32,1,3,NULL),(25,6162835,'1990-05-05 00:00:00',1,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241112272421534444342114610137052',NULL,'812',23.85,1,2,1),(25,6162843,'1990-06-11 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','116162161215573731238711574224610164047',557,'9998',76.03,1,3,NULL),(25,6162851,'1992-07-01 00:00:00',4,1,11,2009,'M','N','BARRA','SALVADOR','BA','105052051216471231469923575124610167052',NULL,'9998',0.00,1,3,NULL),(25,6162860,'1994-01-11 00:00:00',4,8,11,2010,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111231468613171122610163012',NULL,'1016',25.09,1,3,NULL),(25,6162878,'1992-07-02 00:00:00',4,1,12,2009,'F','N','VILA MONTEIRO','PIRACICABA','SP','125252251216271431336823575124610121072',19631,'9998',35.49,1,3,NULL),(25,6162886,'1992-07-01 00:00:00',4,3,12,2009,'F','N','CENTRO','RONDON','PR','116162161216471431478939575112610162142',3544,'9998',62.06,1,3,NULL),(25,6162894,'1990-04-06 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124162161216515751228944445211610167047',14384,'9998',38.87,1,3,NULL),(25,6162908,'1993-04-01 00:00:00',2,1,12,2010,'F','N','CAMPO DUNA','GAROPABA','SC','224241241145131431328654572221610117072',NULL,'1136',35.93,1,2,1),(25,6162916,'1994-02-25 00:00:00',2,5,11,2011,'M','S','SÃO LUIZ','CRICIÚMA','SC','124242241215271732544734242125610135032',NULL,'210',36.22,1,3,NULL),(25,6162932,'1992-03-17 00:00:00',2,3,12,2009,'M','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162161217471451448911375112610114147',18336,'9998',38.22,1,3,NULL),(25,6162967,'1953-12-26 00:00:00',2,15,12,1972,'M','N','CENTRO','ARARANGUÁ','SC','224202208126331441242259382224423264182',15511,'9997',37.16,1,3,NULL),(25,6162975,'1991-12-18 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243241115372431448824241124610162147',758,'271',75.57,1,3,NULL),(25,6162983,'1987-11-09 00:00:00',4,8,12,2004,'F','N','BIGORRILHO','CURITIBA','PR','116162161215572411239819495124140666092',1167,'9998',71.05,1,3,NULL),(25,6162991,'1993-04-09 00:00:00',2,1,12,2010,'F','N','CALHEIROS','GOV CELSO RAMOS','SC','124241241136141421523371241224610127147',11120,'307',47.36,1,2,1),(25,6163009,'1985-06-27 00:00:00',2,1,12,2002,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124201201116133421445716475124222838142',NULL,'9998',33.96,1,2,1),(25,6163017,'1989-07-31 00:00:00',4,1,12,2007,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241121132711524411442344610117145',NULL,'592',0.00,1,2,1),(25,6163025,'1992-03-31 00:00:00',2,1,12,2009,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124244244432272441347839475114132865094',NULL,'270',25.17,1,3,NULL),(25,6163050,'1968-07-19 00:00:00',4,1,11,1985,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241213143731126644442114520662042',NULL,'260',22.55,1,3,NULL),(25,6163068,'1989-12-17 00:00:00',2,5,12,2008,'M','N','COMERCIARIO','CRICIÚMA','SC','124243247237141121656131315111610117112',NULL,'9999',32.73,1,3,NULL),(25,6163076,'1992-06-06 00:00:00',2,1,12,2009,'M','N','SETOR BUENO','GOIÂNIA','GO','109092141215471421469812324322610124082',1725,'9998',68.70,1,3,NULL),(25,6163084,'1993-07-20 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124244241215111211426914575124610123075',10084,'1118',46.21,1,3,NULL),(25,6163092,'1992-05-13 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217253531469919595124221467045',3201,'262',65.36,1,3,NULL),(25,6163106,'1989-02-05 00:00:00',4,5,12,2006,'M','N','NASPOLINI','MRO FUMAÇA','SC','124241241146371431434374245121610167142',15245,'567',37.91,1,2,1),(25,6163114,'1992-12-22 00:00:00',4,1,12,2009,'M','N','LINHA REAL','TUNÁPOLIS','SC','124241241116161431423336352222610142177',15516,'812',38.02,1,3,NULL),(25,6163122,'1988-01-27 00:00:00',4,1,11,2005,'M','N','PACHECO','PALHOÇA','SC','124241247226371421233344245123610168147',15549,'9999',42.83,3,3,NULL),(25,6163130,'1986-10-21 00:00:00',2,1,12,2004,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115574431233914442234221764112',7948,'307',54.91,4,2,1),(25,6163149,'1993-02-13 00:00:00',4,4,11,2009,'M','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124162161215471431236822572114610128182',4299,'9998',60.78,1,3,NULL),(25,6163157,'1993-02-08 00:00:00',2,15,11,2010,'M','N','CENTRO','SOMBRIO','SC','124242241215472231457967575122610132092',3723,'26',62.53,1,3,NULL),(25,6163165,'1992-05-05 00:00:00',4,8,12,2009,'M','N','CENTRO','CURITIBA','PR','116222221217471431643519595115610121077',2388,'9998',66.57,1,3,NULL),(25,6163190,'1988-12-13 00:00:00',4,9,12,2005,'M','N','SAO LUIZ','LAGES','SC','124241241136141411336611385115130768181',18671,'500',37.60,4,2,1),(25,6163203,'1993-02-08 00:00:00',4,1,12,2010,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124243243215111231444827575122610125142',8641,'1119',50.30,1,3,NULL),(25,6163220,'1994-03-23 00:00:00',4,1,11,2011,'M','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216111731227829595124610117112',NULL,'270',31.77,1,3,NULL),(25,6163246,'1993-03-02 00:00:00',4,8,11,2010,'M','N','BAIRRO ALTO','CURITIBA','PR','116163161115471432343824575124610134042',21147,'9998',30.39,1,3,NULL),(25,6163254,'1992-03-14 00:00:00',4,1,12,2009,'M','N','BACACHERI','CURITIBA','PR','116162163117471411448734375124610162042',3137,'9998',63.16,1,3,NULL),(25,6163262,'1992-04-21 00:00:00',2,1,12,2009,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120241241215473431366653575114610136192',9852,'1022',48.59,1,3,NULL),(25,6163270,'1992-09-05 00:00:00',2,8,10,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124242241214111431317518275112610434192',17017,'1016',36.61,1,3,NULL),(25,6163289,'1987-03-23 00:00:00',2,5,12,2004,'F','N','MONTE VERDE','MRO FUMAÇA','SC','124241241146572431323321375114330237147',NULL,'567',25.89,1,2,1),(25,6163297,'1992-08-19 00:00:00',2,1,12,2010,'M','N','LIMEIRA','CEL VIVIDA','PR','116161161117272432524933582224610127047',NULL,'9998',16.37,1,2,1),(25,6163300,'1993-02-19 00:00:00',4,1,12,2010,'M','N','CENTRO','MARINGÁ','PR','116162161216171431489911415112610117012',3133,'9998',65.54,1,3,NULL),(25,6163319,'1991-01-13 00:00:00',4,8,7,2010,'F','N','CONJUNTO ATUBA','PINHAIS','PR','116162163115371441458933392124610163142',2398,'9998',64.70,1,3,NULL),(25,6163327,'1992-12-11 00:00:00',2,1,12,2010,'F','N','CIDADE JARDIM','S JOSÉ R PRETO','SP','125252251217111431446833394124610123027',NULL,'9998',0.00,1,3,NULL),(25,6163343,'1992-11-11 00:00:00',4,2,11,2010,'M','N','FRITZ LORENZ','TIMBÓ','SC','124244241435111432556634572122610134047',NULL,'1157',0.00,1,3,NULL),(25,6163351,'1991-05-12 00:00:00',4,8,5,2009,'M','N','IRIRIU','JOINVILLE','SC','124281281116471532426712475114610127047',15022,'9998',40.88,1,3,NULL),(25,6163378,'1990-06-08 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241217472231346923575114122267062',4070,'270',63.11,1,3,NULL),(25,6163386,'1993-01-20 00:00:00',4,2,10,2009,'F','N','VELHA','BLUMENAU','SC','124242241217473531468933572124610123187',12225,'855',44.95,1,3,NULL),(25,6163394,'1982-01-29 00:00:00',2,8,11,2000,'F','N','BUTIATUVINHA','CURITIBA','PR','116161164115511441273911335122341331092',6532,'9998',53.07,3,3,NULL),(25,6163408,'1994-05-25 00:00:00',4,1,12,2011,'M','S','SETOR FUNCIONÁRIOS','POSSE','GO','109093091317131341648831116341610151104',NULL,'9998',39.47,2,3,NULL),(25,6163416,'1993-01-16 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215371431563613575114610127192',2092,'1022',67.68,1,3,NULL),(25,6163432,'1992-05-14 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216473431559519575124610133095',5405,'1207',57.05,1,3,NULL),(25,6163459,'1993-12-13 00:00:00',2,15,12,2010,'F','N','URUSANGUINHA','ARARANGUÁ','SC','124241241116371431324614285125610123177',14527,'29',39.91,1,2,1),(25,6163467,'1992-05-05 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241136141431634819435122610123017',NULL,'307',16.02,1,3,NULL),(25,6163475,'1992-09-02 00:00:00',4,1,12,2009,'F','N','TUCANOS','LONDRINA','PR','116162161216471251687631595122610163017',NULL,'9998',0.00,4,3,NULL),(25,6163483,'1991-10-22 00:00:00',4,1,10,2009,'M','N','JARDIM IRAJA','RIBEIRÃO PRETO','SP','125254251215471731459833575112610168182',999,'9998',73.01,1,3,NULL),(25,6163491,'1992-12-13 00:00:00',2,1,12,2009,'M','N','GUILMAR','ANTÔNIO CARLOS','SC','124241241117152731323329395124610168192',11561,'21',45.83,1,2,1),(25,6163505,'1972-04-04 00:00:00',2,1,12,1991,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','524241241421133431423444145124610125197',NULL,'9999',27.83,1,3,NULL),(25,6163513,'1993-06-25 00:00:00',4,1,12,2010,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251217111731259631575111610127112',NULL,'9998',14.48,1,3,NULL),(25,6163521,'1993-06-29 00:00:00',2,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241132371431426534292124610124147',18179,'733',34.49,1,2,1),(25,6163530,'1994-01-23 00:00:00',2,1,11,2010,'F','N','ARMAÇÃO','PENHA','SC','124241241146131431423615385122610123172',NULL,'610',0.00,1,2,1),(25,6163548,'1993-07-20 00:00:00',4,8,12,2010,'M','N','FLORESTA','JOINVILLE','SC','124242241215111431468834575124610134042',6900,'1063',56.92,1,3,NULL),(25,6163556,'1992-02-19 00:00:00',2,8,11,2009,'F','N','IRIRIÚ','JOINVILLE','SC','124243162215371451427929375124610126017',11797,'9998',43.73,1,3,NULL),(25,6163564,'1990-07-25 00:00:00',4,1,12,2008,'F','N','VILA DAS HORTENCIAS','JUNDIAÍ','SP','125254251215571431359913332122610167147',NULL,'9998',0.00,1,3,NULL),(25,6163572,'1991-07-26 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241416433731223479581114230216127',NULL,'1022',0.00,1,3,NULL),(25,6163580,'1994-11-25 00:00:00',4,2,10,2011,'M','S','VELHA','BLUMENAU','SC','124242241217111732468931577114610122187',NULL,'855',26.41,1,3,NULL),(25,6163599,'1986-03-28 00:00:00',4,9,12,2005,'F','N','CENTRO','GARIBALDI','RS','120201201136572441455511275124610142182',19680,'9998',28.28,1,2,1),(25,6163610,'1991-11-14 00:00:00',2,1,12,2010,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241126131411336634335124610124197',NULL,'9997',16.05,1,2,1),(25,6163637,'1993-04-26 00:00:00',2,5,12,2010,'M','N','LINHA BRACO COCAL','COCAL SUL','SC','124241242117111431424336312122610167192',NULL,'690',23.61,1,3,NULL),(25,6163645,'1991-02-15 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124251251136131431126619345324610124093',11160,'9998',44.63,1,2,1),(25,6163661,'1988-09-20 00:00:00',2,1,12,2005,'F','N','SÍTIO CERCADO','CURITIBA','PR','116161161116371411424429572124343234147',NULL,'9998',0.00,1,3,NULL),(25,6163696,'1992-04-23 00:00:00',2,8,8,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124241246216141431338834445124610122042',19054,'995',36.83,1,3,NULL),(25,6163700,'1990-12-01 00:00:00',4,1,12,2008,'F','N','VILA MARIANA','S PAULO','SP','125252251217572731457833475115610161187',10067,'9998',46.93,1,3,NULL),(25,6163726,'1994-01-24 00:00:00',4,8,12,2010,'M','N','CENTRO','TAPIRA','PR','116163161315121331556912275112610167147',3124,'9998',62.91,1,3,NULL),(25,6163742,'1989-12-16 00:00:00',2,3,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124062061217572441438839572122610112192',2440,'9998',65.45,1,3,NULL),(25,6163750,'1993-05-18 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111731236724345125610164072',16859,'723',36.47,1,3,NULL),(25,6163769,'1994-06-26 00:00:00',2,1,12,2010,'F','N','CENTRO','S JOSÉ','SC','124241241137371731416619275222610127147',NULL,'728',21.38,1,2,1),(25,6163777,'1974-08-08 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','524241248436132421123449295124230563071',19259,'9999',36.37,1,3,NULL),(25,6163785,'1992-10-20 00:00:00',4,3,12,2009,'F','N','JABAQUARA','S PAULO','SP','125251251117461711417718575125610128016',NULL,'9998',32.79,2,1,1),(25,6163793,'1993-07-24 00:00:00',4,8,12,2010,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116252161216121431588812575122610127182',3486,'9998',63.08,1,3,NULL),(25,6163807,'1993-04-01 00:00:00',2,4,12,2010,'F','N','CENTRO','GUARUJÁ SUL','SC','124242241215271431457632372122610144192',10387,'1079',45.82,1,3,NULL),(25,6163815,'1992-07-06 00:00:00',4,17,11,2009,'M','N','SOSSEGO','CANOINHAS','SC','124242241237152431446732572121240464181',21237,'154',29.83,1,3,NULL),(25,6163831,'1991-09-10 00:00:00',4,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124243241217132431234623575124610164127',4030,'1022',61.48,1,3,NULL),(25,6163840,'1987-12-14 00:00:00',4,1,6,2007,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124052051416171441128817215224143264112',NULL,'9998',27.26,1,3,NULL),(25,6163866,'1993-09-23 00:00:00',4,4,12,2010,'M','N','CENTRO','CONCÓRDIA','SC','124241241111471431236823291222610167012',11535,'192',45.02,1,2,1),(25,6163874,'1991-01-22 00:00:00',2,2,12,2008,'F','N','TRIBESS','BLUMENAU','SC','124241241216372411533312345234610161157',7180,'88',56.41,1,3,NULL),(25,6163882,'1991-06-30 00:00:00',4,1,12,2008,'F','N','SHJB','LG SUL','DF','107072071216471731469923575112243264142',7057,'9998',53.15,1,3,NULL),(25,6163890,'1991-09-09 00:00:00',2,1,12,2008,'F','N','NENE GRAEFF','PASSO FUNDO','RS','120201201116571411433411572124610122147',9550,'9998',48.90,4,2,1),(25,6163904,'1993-03-30 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215131431448613375124610124197',16064,'1022',37.57,1,3,NULL),(25,6163912,'1991-12-14 00:00:00',2,15,12,2008,'F','N','LAGOA DO CAVERA','ARARANGUÁ','SC','124241248126131521426619295333610167145',21115,'29',30.57,1,3,NULL),(25,6163920,'1989-11-22 00:00:00',2,2,12,2008,'F','N','GARCIA','BLUMENAU','SC','124081081146271411221644145324610126182',18531,'9998',37.87,2,1,1),(25,6163939,'1991-10-11 00:00:00',2,1,11,2009,'F','N','BAIRRO ALTO','CURITIBA','PR','116163161237371411338813575124610167122',14048,'9998',41.33,1,3,NULL),(25,6163947,'1991-09-27 00:00:00',4,3,12,2009,'M','N','CENTRO','LARANJEIRAS SUL','PR','116162161316471431468622275122610167042',14183,'9998',40.09,1,3,NULL),(25,6163955,'1991-09-16 00:00:00',4,1,12,2010,'F','N','VIGILATO PEREIRA','UBERLÂNDIA','MG','113132131212111431258931592122610121032',11051,'9998',45.76,1,3,NULL),(25,6163963,'1992-07-03 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124201201116372431426839375224230422142',5422,'9998',57.32,1,2,1),(25,6163971,'1987-04-13 00:00:00',4,1,12,2004,'F','N','SERRARIA','S JOSÉ','SC','124244241215573421448623435124333224057',1005,'1036',73.93,1,3,NULL),(25,6163980,'1993-11-08 00:00:00',2,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115371431436614574124610124075',8472,'733',51.69,1,2,1),(25,6163998,'1990-11-23 00:00:00',2,1,12,2007,'F','N','CENTRO','S JOÃO BATISTA','SC','124201241127131411123543331324231934142',17392,'142',36.08,1,2,1),(25,6164005,'1993-08-29 00:00:00',4,1,12,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124242241215111431458733596124610126177',13686,'1022',40.60,1,3,NULL),(25,6164013,'1992-07-27 00:00:00',2,1,12,2009,'M','N','CAMPO BELO','LONDRINA','PR','116164161217371431448833575112610167042',5798,'9998',56.52,1,3,NULL),(25,6164021,'1991-01-18 00:00:00',4,8,12,2008,'F','N','MOOCA','S PAULO','SP','125252211217572431369812571125610127072',3215,'9998',61.80,1,3,NULL),(25,6164030,'1992-04-10 00:00:00',1,1,12,2010,'F','N','PRAIA DO SANTINHO','FLORIANÓPOLIS','SC','124244247237131412239629575122610134187',NULL,'977',43.13,1,3,NULL),(25,6164048,'1993-02-28 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117471431548629575124610125095',19681,'298',35.41,1,2,1),(25,6164056,'1990-01-02 00:00:00',2,4,12,2007,'F','N','CENTRO','CAIBI','SC','124241241126133721624611272314610161147',11388,'127',45.21,1,2,1),(25,6164064,'1991-12-28 00:00:00',2,8,12,2009,'F','N','FLORESTA','JOINVILLE','SC','124241241214572431535731272124610165097',2384,'1016',66.19,1,3,NULL),(25,6164072,'1987-09-01 00:00:00',4,1,12,2005,'M','N','JARDIM DAS FLORES','S JOSÉ CAMPOS','SP','125251256217471441434616175124610127183',20776,'9998',32.02,3,3,NULL),(25,6164080,'1993-08-29 00:00:00',4,7,12,2010,'F','N','CINQUENTENÁRIO','VIDEIRA','SC','124241241116371411426614475124610168192',18370,'831',31.39,1,3,NULL),(25,6164099,'1993-01-08 00:00:00',4,1,12,2010,'M','N','VILLAGE STA HELENA','S JOSÉ R PRETO','SP','125252251215111451468811595122610127017',13878,'9998',40.98,1,3,NULL),(25,6164102,'1994-02-10 00:00:00',4,6,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241215121431476615575122610143182',10361,'44',48.20,1,3,NULL),(25,6164110,'1965-01-24 00:00:00',4,1,12,1981,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201206117371721148843432132342062092',6923,'9998',56.88,1,2,1),(25,6164129,'1992-11-11 00:00:00',4,1,12,2010,'M','N','PINHEIRA','PALHOÇA','SC','124241241127131731424411186111610167117',NULL,'595',9.77,4,2,1),(25,6164145,'1989-10-20 00:00:00',2,1,4,2008,'F','N','ARIRIÚ','PALHOÇA','SC','124241247312141431224923242234133022147',NULL,'9999',18.05,3,3,NULL),(25,6164153,'1979-12-04 00:00:00',2,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','624161167116134421226649295125132864192',15339,'9998',37.77,1,2,1),(25,6164170,'1993-06-28 00:00:00',4,1,12,2010,'M','N','SACO DOS LIMÔES','FLORIANÓPOLIS','SC','124241248115111431468913575122610134145',6086,'267',58.54,1,2,1),(25,6164188,'1990-12-21 00:00:00',2,1,6,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124132131217271431448824575114610137042',15047,'9998',39.45,4,3,NULL),(25,6164196,'1989-05-14 00:00:00',4,1,12,2006,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124246282223363431115435124222222912152',350,'781',79.01,1,3,NULL),(25,6164200,'1973-06-19 00:00:00',2,1,11,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624241247127143411524448182324610136187',18391,'9999',38.12,1,2,1),(25,6164218,'1993-01-28 00:00:00',4,1,12,2010,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241217371431369933472124610167141',3037,'270',64.08,1,3,NULL),(25,6164226,'1990-06-20 00:00:00',2,9,12,2009,'M','N','COQUEIROS','URUPEMA','SC','124241241126271752425613582112613267057',NULL,'819',12.52,1,2,1),(25,6164234,'1957-11-25 00:00:00',4,1,12,1979,'M','N','TAPERA','FLORIANÓPOLIS','SC','224241241122122211436573132114123217032',NULL,'307',0.00,1,2,1),(25,6164242,'1992-03-02 00:00:00',2,2,12,2009,'M','N','PAQUETÁ','BRUSQUE','SC','124241241116472411234424475112610127062',15670,'1019',42.65,1,2,1),(25,6164250,'1994-01-11 00:00:00',4,6,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121431367829572322610147142',NULL,'44',0.00,1,3,NULL),(25,6164269,'1993-02-05 00:00:00',4,1,12,2010,'M','N','PARQUE ALVORADA','DOURADOS','MS','112121121217271431463331475122610167012',NULL,'9998',0.00,4,3,NULL),(25,6164277,'1987-11-22 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215343431556633445124610141182',8810,'1022',53.38,1,3,NULL),(25,6164293,'1989-07-24 00:00:00',4,1,12,2007,'F','N','JARDIM APIPEMA','SALVADOR','BA','105052051216571431378831474122610146142',1143,'9998',71.79,1,3,NULL),(25,6164307,'1992-10-04 00:00:00',4,9,12,2009,'M','N','FLORESTA','RIO CAMPO','SC','124241242116271431323636375111610134146',NULL,'1222',0.00,1,2,1),(25,6164315,'1991-02-27 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431468833472124610124141',136,'270',82.21,1,3,NULL),(25,6164331,'1993-06-04 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215131411549913574125610143142',9888,'262',49.63,1,3,NULL),(25,6164340,'1994-03-19 00:00:00',4,1,12,2011,'M','S','DANIELA','FLORIANÓPOLIS','SC','124241241127141232521331285124610125147',NULL,'295',0.00,1,3,NULL),(25,6164358,'1992-06-25 00:00:00',2,17,12,2009,'M','N','UBERABA','CURITIBA','PR','116162161216471411358511595114610127042',17562,'9998',36.58,1,3,NULL),(25,6164366,'1984-04-24 00:00:00',2,8,11,2006,'F','N','JARDIM PAULISTA','CAMPINA G SUL','PR','116161167137471711346621321122241325091',NULL,'9998',18.53,4,2,1),(25,6164374,'1970-05-03 00:00:00',4,1,12,1987,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','524241243321132411234443231123121714093',NULL,'257',0.00,1,3,NULL),(25,6164382,'1992-11-03 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215372431466934345124610127047',15630,'1022',40.16,1,3,NULL),(25,6164390,'1993-05-13 00:00:00',4,15,11,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124241241235311442324329197225610117017',5348,'970',57.74,1,3,NULL),(25,6164404,'1992-12-20 00:00:00',4,1,11,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215372411226824572124121664053',8957,'269',53.14,4,3,NULL),(25,6164412,'1977-05-15 00:00:00',4,1,12,2003,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','224013241216153431589943335122320767055',3257,'269',65.19,1,3,NULL),(25,6164420,'1994-07-01 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215112431338713575124610126191',3063,'1022',63.63,1,3,NULL),(25,6164439,'1991-12-16 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124112111216372411158812275114122814142',1540,'9998',70.35,4,3,NULL),(25,6164447,'1992-01-08 00:00:00',2,8,11,2009,'F','N','VILA PARAISO','CAÇADOR','SC','124245161211472451446916595114610162172',NULL,'9998',0.00,1,3,NULL),(25,6164455,'1992-02-25 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241116132431326831485124132264197',NULL,'288',36.97,1,2,1),(25,6164463,'1983-02-09 00:00:00',2,1,12,2000,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','624241241134155451237741115224121968081',6680,'307',57.33,1,2,1),(25,6164471,'1981-05-11 00:00:00',4,1,12,2000,'F','N','PASSA VINTE','PALHOÇA','SC','124241241126142441347823445122132266173',13787,'591',45.50,1,2,1),(25,6164498,'1989-08-09 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','224244248217354431229911345122233217142',18839,'270',37.27,1,3,NULL),(25,6164510,'1993-04-22 00:00:00',4,8,12,2010,'F','N','PIRATINI','PANAMBI','RS','120113201416111731426652572122610128147',NULL,'9998',0.00,1,3,NULL),(25,6164536,'1991-02-01 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124253251116132431438719585114610137092',NULL,'9998',24.44,4,3,NULL),(25,6164544,'1993-01-27 00:00:00',2,1,12,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124241241115131431323631582124610126147',16668,'592',36.26,1,2,1),(25,6164552,'1993-05-24 00:00:00',2,17,12,2010,'F','N','UVARANAS','PNT GROSSA','PR','116164161417211451469933372222610138147',NULL,'9998',36.16,1,3,NULL),(25,6164560,'1980-01-15 00:00:00',2,1,12,1997,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241121474441123344141334610121047',15367,'191',38.75,2,1,1),(25,6164579,'1993-04-13 00:00:00',4,3,11,2010,'F','N','TABULEIRO','CAMBORIÚ','SC','124242241416131431338819575222610146072',10604,'49',47.16,1,3,NULL),(25,6164587,'1990-07-25 00:00:00',4,1,12,2007,'F','N','LIBERDADE','S PAULO','SP','125122121215571451469932571125610136182',649,'9998',75.04,1,3,NULL),(25,6164595,'1993-04-17 00:00:00',2,15,12,2010,'M','N','ITAPUÃ','BAL GAIVOTA','SC','124241241127371431324319572222610112142',NULL,'54',0.00,1,2,1),(25,6164609,'1982-11-22 00:00:00',4,1,12,2000,'F','N','CENTRO','GUARAPARI','ES','108133131116161721156943435124343267097',3431,'9998',61.65,4,3,NULL),(25,6164617,'1991-03-31 00:00:00',2,1,6,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124242241127131431223559315323610127072',NULL,'9997',18.00,1,3,NULL),(25,6164625,'1994-11-20 00:00:00',2,2,12,2011,'F','S','VORSTAD','BLUMENAU','SC','124242241215111732669939592112610128012',NULL,'855',21.99,1,3,NULL),(25,6164650,'1991-07-17 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115573411536334473124610163072',9900,'293',46.98,1,2,1),(25,6164668,'1993-02-27 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124243241316371431446814395122610115142',NULL,'734',15.24,1,3,NULL),(25,6164676,'1993-04-26 00:00:00',4,2,12,2010,'F','N','SANTA QUITÉRIA','CURITIBA','PR','116244161217121531478914445114610162177',5066,'9998',57.86,1,3,NULL),(25,6164684,'1993-03-07 00:00:00',4,1,12,2010,'M','N','VILA BURU','SALTO','SP','125252251215111431458823215122610137057',8876,'9998',49.24,3,3,NULL),(25,6164692,'1988-09-01 00:00:00',4,8,12,2005,'F','N','ZONA QUATRO','MARINGÁ','PR','116162161217572431456831375125142364077',273,'9998',79.77,1,3,NULL),(25,6164706,'1987-09-03 00:00:00',2,8,12,2004,'M','N','VILA TUPI','PR GRANDE','SP','125251251137151431328611181324610162042',NULL,'9998',0.00,1,2,1),(25,6164714,'1970-08-24 00:00:00',2,1,12,1989,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224201201111371731433354472122140412197',19105,'9998',36.74,1,2,1),(25,6164722,'1993-07-09 00:00:00',4,4,12,2010,'M','N','CENTRO','PALMAS','PR','116164161235371711456319595122610147047',16099,'9998',36.73,1,3,NULL),(25,6164730,'1980-01-03 00:00:00',4,9,12,2000,'M','N','FÁTIMA','BOM JESUS','RS','120201201126331441323329141124610113143',NULL,'9997',0.00,2,1,1),(25,6164749,'1992-06-04 00:00:00',4,17,12,2010,'M','N','BATEL','CURITIBA','PR','116162161215511731488811575124610167042',4017,'9998',61.68,1,3,NULL),(25,6164757,'1992-12-15 00:00:00',4,1,12,2010,'M','N','VILA CORDEIRO','S PAULO','SP','125252251217121432469831575122610114124',NULL,'9998',0.00,1,3,NULL),(25,6164765,'1990-10-05 00:00:00',2,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124203211416472731437779372115610132184',16757,'9998',36.78,1,3,NULL),(25,6164781,'1993-06-12 00:00:00',4,17,11,2010,'F','N','CENTRO','CANOINHAS','SC','124242161215411531489932225112610163072',16866,'9998',35.89,1,3,NULL),(25,6164790,'1991-02-01 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124253251116132431438719585114610137092',21076,'9998',30.78,4,3,NULL),(25,6164803,'1992-05-06 00:00:00',4,1,11,2009,'M','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161215572431488833575112610164072',10367,'9998',47.56,1,3,NULL),(25,6164811,'1992-03-26 00:00:00',2,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126471731524824575124610167117',21376,'290',28.97,1,2,1),(25,6164838,'1993-08-31 00:00:00',4,8,12,2010,'F','N','VILA NOVA','JOINVILLE','SC','124242241215111431476632575122610164187',6317,'1063',54.24,1,3,NULL),(25,6164846,'1993-01-20 00:00:00',4,1,12,2010,'F','N','PALMITAL','PARANAGUÁ','PR','116162161215371411438634595115610114142',20997,'9998',31.10,1,3,NULL),(25,6164854,'1992-05-15 00:00:00',4,8,12,2009,'M','N','SAGUAÇU','JOINVILLE','SC','124162241215471751569913571121610164186',76,'456',84.50,1,3,NULL),(25,6164862,'1993-06-27 00:00:00',4,2,12,2010,'F','N','SÃO PEDRO','GUABIRUBA','SC','124241241215111411456912575122610124142',6899,'109',52.10,1,3,NULL),(25,6164889,'1992-07-03 00:00:00',4,3,12,2009,'M','N','PANORAMA','ARAPONGAS','PR','116162161215471441559911572121610167147',9124,'9998',49.16,1,3,NULL),(25,6164897,'1983-05-20 00:00:00',4,1,12,2000,'M','N','KOBRASOL','S JOSÉ','SC','124241243116372431143424345124120462091',6655,'306',57.37,1,2,1),(25,6164900,'1993-10-11 00:00:00',4,2,12,2010,'F','N','SANTA TEREZINHA','BRUSQUE','SC','124243241215222431437632225122610135147',7439,'109',53.23,1,3,NULL),(25,6164919,'1992-09-28 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431468814475122610137052',18683,'270',31.11,1,3,NULL),(25,6164935,'1989-02-15 00:00:00',4,1,2,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124101101112272412523349492324610162041',NULL,'9998',23.49,2,2,1),(25,6164951,'1992-04-03 00:00:00',2,1,12,2010,'F','N','CENTRO','ALFENAS','MG','125122131215471431369711571125610164182',NULL,'9998',0.00,1,3,NULL),(25,6164978,'1992-06-19 00:00:00',2,4,11,2009,'F','N','CENTRO','STA LÚCIA','PR','116161161146471431526612595115610118197',6489,'9998',57.51,1,2,1),(25,6164986,'1986-09-03 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241137374431134839495114610134042',12570,'804',43.83,1,3,NULL),(25,6164994,'1993-06-21 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111411488612375122610122072',6012,'723',56.36,1,3,NULL),(25,6165001,'1994-06-16 00:00:00',4,1,2,2011,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242248111111731555679572124610137147',NULL,'307',17.65,1,3,NULL),(25,6165010,'1993-10-06 00:00:00',4,17,12,2010,'M','N','BATEL','CURITIBA','PR','116162161215411711488811575124610162182',NULL,'9998',30.43,1,3,NULL),(25,6165028,'1983-05-10 00:00:00',4,5,12,2001,'M','N','CENTRO','CRICIÚMA','SC','224244246116132421446644345132230722043',9599,'306',52.04,1,3,NULL),(25,6165036,'1992-05-25 00:00:00',2,1,12,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241248117271431427733571324610167141',13571,'306',41.39,2,1,1),(25,6165044,'1991-04-08 00:00:00',2,1,12,2009,'F','N','SERRANO','CAXIAS SUL','RS','120201201116371332223316181114610167072',NULL,'9998',20.81,4,2,1),(25,6165060,'1992-02-17 00:00:00',4,3,1,2010,'M','N','JARDIM PORTAO VERMEL','VARGEM G PAULISTA','SP','125252251216471732336439595122610162187',NULL,'9998',0.00,1,3,NULL),(25,6165079,'1978-03-26 00:00:00',4,1,10,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247132273451113349293324610138181',18356,'9999',38.18,1,2,1),(25,6165087,'1992-04-10 00:00:00',4,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243241227473731658714595112610167057',2055,'262',68.11,1,3,NULL),(25,6165095,'1993-10-06 00:00:00',4,8,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161235171431458833576242610136187',780,'9998',73.65,1,3,NULL),(25,6165109,'1991-03-27 00:00:00',4,1,12,2008,'F','N','CENTRO','FRUTAL','MG','113131131415571431456839571124610117142',15940,'9998',37.93,1,3,NULL),(25,6165117,'1991-08-01 00:00:00',2,1,11,2009,'M','N','PRAINHA','FLORIANÓPOLIS','SC','124241241215272431536334572115610127042',9955,'300',47.64,1,3,NULL),(25,6165125,'1992-06-11 00:00:00',4,17,12,2009,'M','N','DONA FRANCISCA','S BENTO SUL','SC','124241242117271441224744441324610137187',15982,'143',42.17,1,3,NULL),(25,6165133,'1994-02-23 00:00:00',4,4,12,2010,'M','N','CENTRO','XAXIM','SC','124244241415111431258911475122610144012',11752,'994',43.94,1,3,NULL),(25,6165141,'1995-01-05 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431489813572122610146192',NULL,'262',27.79,1,3,NULL),(25,6165150,'1993-02-01 00:00:00',4,2,11,2010,'F','N','CENTRO','BLUMENAU','SC','124242241215111431369714275122610122015',8797,'87',53.41,1,3,NULL),(25,6165168,'1980-03-13 00:00:00',4,1,12,1996,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124203205117131451525444341124131324047',NULL,'9998',27.60,1,3,NULL),(25,6165176,'1993-04-22 00:00:00',4,1,12,2010,'F','N','SANTA OLÍVIA','ARARAS','SP','125253251215111231558833475122610165072',NULL,'9998',0.00,1,3,NULL),(25,6165184,'1978-05-22 00:00:00',2,1,12,1996,'F','N','CENTRO','FLORIANÓPOLIS','SC','624163241341134431258854475122322932197',4506,'9997',58.63,1,3,NULL),(25,6165206,'1991-12-30 00:00:00',4,1,12,2009,'F','N','JD DAS INDUSTRIAS','S JOSÉ CAMPOS','SP','125254251216471431468814275124610135093',10417,'9998',46.48,1,3,NULL),(25,6165222,'1992-05-22 00:00:00',4,8,12,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124162161215372431233612574114231462072',15451,'9998',42.97,1,3,NULL),(25,6165230,'1982-06-17 00:00:00',2,2,12,1999,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241126134531126643432114322224197',4686,'677',59.51,1,2,1),(25,6165249,'1986-06-29 00:00:00',4,8,12,2003,'F','N','AREIAS','TIJUCAS','SC','124121121146131431124644445123610163197',NULL,'9998',36.03,4,2,1),(25,6165265,'1993-09-26 00:00:00',4,8,11,2010,'F','N','VILA NOVA','JOINVILLE','SC','124241241114131531336923495124610123147',NULL,'475',18.54,1,2,1),(25,6165273,'1992-01-02 00:00:00',4,1,12,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201241136472431423535575114610137187',10871,'298',47.36,1,2,1),(25,6165290,'1989-06-15 00:00:00',2,1,12,2006,'F','N','AREIAS','S JOSÉ','SC','124241241146174411333324345224133024097',NULL,'733',19.80,4,3,NULL),(25,6165303,'1983-05-30 00:00:00',4,1,12,2000,'M','N','BELA VISTA','S PAULO','SP','125252251217151411168644246122341432172',NULL,'9998',0.00,1,3,NULL),(25,6165311,'1983-09-30 00:00:00',2,1,12,2003,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124204201346372431248923485324222257112',NULL,'9998',0.00,4,3,NULL),(25,6165320,'1994-05-15 00:00:00',4,3,11,2010,'F','N','REBOUÇAS','CURITIBA','PR','116252161215111431468813571122610163144',NULL,'9998',0.00,1,3,NULL),(25,6165338,'1993-04-02 00:00:00',4,1,12,2010,'F','N','CENTRO','CORBÉLIA','PR','116162161215121431446935574122610126172',5836,'9998',56.27,4,3,NULL),(25,6165346,'1993-05-18 00:00:00',2,1,12,2010,'M','N','BOA VISTA','PTO ALEGRE','RS','120202201216371431489933571122612447112',5549,'9998',56.63,4,3,NULL),(25,6165354,'1993-01-19 00:00:00',2,4,12,2009,'F','N','EFAPI','CHAPECÓ','SC','124241241116372431423714282124130424177',13785,'184',40.70,1,2,1),(25,6165362,'1991-04-07 00:00:00',4,3,11,2008,'M','N','CENTRO','BRUSQUE','SC','124242241215573231556832572111610167017',2245,'1123',67.28,1,3,NULL),(25,6165370,'1991-05-16 00:00:00',2,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117153532446613371312610127045',NULL,'298',12.80,1,2,1),(25,6165389,'1992-06-02 00:00:00',4,1,12,2009,'M','N','JARDIM FLORIDA','FRANCA','SP','125252251215471431368923575112610167187',14864,'9998',38.69,1,3,NULL),(25,6165397,'1993-10-23 00:00:00',4,9,12,2010,'F','N','CENTRO','VACARIA','RS','120202201236271431346412575122610132092',9689,'9998',48.06,1,3,NULL),(25,6165419,'1993-10-26 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215471431579514475124610128182',19206,'1076',32.49,4,3,NULL),(25,6165427,'1991-06-02 00:00:00',4,1,12,2008,'F','N','INDUSTRIAL','GUARARAPES','SP','125251251345471431446813591124610167014',5883,'9998',55.93,4,3,NULL),(25,6165443,'1992-07-31 00:00:00',2,1,12,2009,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241117272431436823382124132034042',10569,'257',46.44,4,2,1),(25,6165451,'1982-12-24 00:00:00',4,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115575441444419271224331326142',4404,'583',61.28,1,2,1),(25,6165460,'1991-09-28 00:00:00',2,8,12,2008,'F','N','MOSSUNGUE','CURITIBA','PR','116162161215572751546834212224143267142',NULL,'9998',0.00,1,3,NULL),(25,6165478,'1991-10-29 00:00:00',4,1,12,2008,'F','N','JARDIM BOTÂNICO','PTO ALEGRE','RS','120202201216571731368912574112610134187',3085,'9998',64.90,4,3,NULL),(25,6165486,'1992-11-07 00:00:00',2,8,12,2010,'M','N','FLORESTA','JOINVILLE','SC','124243241245131411336611575124610142042',NULL,'459',20.73,1,3,NULL),(25,6165494,'1993-05-24 00:00:00',4,1,12,2010,'M','N','CAMPO LIMPO','AMERICANA','SP','125252251217111431268923575122610164092',14465,'9998',39.11,1,3,NULL),(25,6165508,'1992-11-22 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','116162161215471321238923572124610137187',14996,'9998',40.01,1,3,NULL),(25,6165516,'1992-08-17 00:00:00',2,8,11,2009,'F','N','INDUSTRIAL NORTE','RIO NEGRINHO','SC','124241241117372431334414282122610127142',18593,'669',37.77,1,3,NULL),(25,6165524,'1993-09-24 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241115271431526311292324610114142',20875,'734',31.64,2,1,1),(25,6165532,'1993-09-02 00:00:00',2,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215371411268829575122610168147',15320,'1022',38.60,1,3,NULL),(25,6165540,'1993-06-27 00:00:00',4,3,12,2010,'M','N','IMIGRANTES','CONCÓRDIA','SC','124243241116151411538327175125610164143',15772,'192',40.39,3,3,NULL),(25,6165559,'1993-05-15 00:00:00',4,4,12,2010,'F','N','CENTRO','CEL VIVIDA','PR','116162161216171431358812582122610153187',11192,'9998',44.63,1,3,NULL),(25,6165567,'1993-04-01 00:00:00',4,1,12,2010,'F','N','CENTRO','TIJUCAS','SC','124241241146131431226324275121610138097',NULL,'783',14.63,1,2,1),(25,6165575,'1993-11-15 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124241241117271431233823572124610112047',20608,'732',29.33,1,2,1),(25,6165583,'1990-11-16 00:00:00',4,4,12,2008,'F','N','SÃO PEDRO','CHAPECÓ','SC','124241241116271431423229482324610126017',19887,'179',28.16,1,2,1),(25,6165591,'1992-04-03 00:00:00',2,5,11,2009,'M','N','RIO BRANCO','PTO ALEGRE','RS','120202201215472731249933575124610117044',12251,'9998',43.26,1,3,NULL),(25,6165605,'1992-02-14 00:00:00',4,1,11,2009,'F','N','PANAMBY','S PAULO','SP','125252251216411431489814472112142466132',NULL,'9998',0.00,1,3,NULL),(25,6165613,'1992-12-13 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124244248216371411436612225122610137181',20418,'185',27.34,1,3,NULL),(25,6165630,'1993-06-05 00:00:00',2,8,12,2010,'M','N','RIO NEGRO','S BENTO SUL','SC','124241241117131731448833572325610134172',14182,'697',42.04,1,2,1),(25,6165656,'1992-03-03 00:00:00',4,1,6,2010,'M','N','JARDIM AMPLIAÇÃO','S PAULO','SP','125252281217371731488812575112610147052',7146,'9998',56.46,1,3,NULL),(25,6165664,'1992-10-16 00:00:00',4,1,11,2009,'M','N','CONDOMINIO PIONEIRO','PRIMAVERA LESTE','MT','111111111116361431446614575122241364187',NULL,'9998',25.69,2,1,1),(25,6165672,'1990-11-18 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215274231436611345124121217027',11550,'1098',48.83,1,3,NULL),(25,6165680,'1993-11-14 00:00:00',4,1,11,2010,'F','N','BOQUEIRÃO','CURITIBA','PR','116241161217151431229429595124610164197',17303,'9998',34.88,1,3,NULL),(25,6165699,'1993-08-07 00:00:00',4,1,11,2010,'M','N','RIO DAS ANTAS','RANCHO QUEIMADO','SC','124241241137161731638519195124610127042',NULL,'17',26.02,1,2,1),(25,6165737,'1993-06-12 00:00:00',4,1,12,2010,'F','N','CRISTO REI','CURITIBA','PR','116162161237111431357914575124610121092',19137,'9998',31.49,1,3,NULL),(25,6165745,'1993-12-14 00:00:00',4,1,12,2010,'F','N','JARDIM BELA VISTA','S PAULO','SP','125252251215471731568811571122610162197',NULL,'9998',0.00,1,3,NULL),(25,6165753,'1993-02-28 00:00:00',2,2,11,2010,'F','N','FORTALEZA','BLUMENAU','SC','124241241215132441558613141224610147072',6765,'855',55.88,1,3,NULL),(25,6165761,'1993-07-27 00:00:00',4,16,12,2010,'F','N','APARECIDA','CURITIBANOS','SC','124241241115471432516624275122610146017',NULL,'239',28.87,1,3,NULL),(25,6165788,'1988-11-17 00:00:00',2,1,11,2006,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','624242241214153411227854485114122236197',12489,'737',47.36,1,3,NULL),(25,6165818,'1992-09-22 00:00:00',4,1,12,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241135151742321429245224610114085',15646,'268',42.69,2,1,1),(25,6165826,'1988-06-20 00:00:00',4,1,12,2008,'M','N','RES UNIÃO','S JOSÉ CAMPOS','SP','125251251115571431416411575224610161012',20400,'9998',29.47,3,3,NULL),(25,6165834,'1991-07-07 00:00:00',2,15,12,2008,'M','N','MORRO DO ERMO','ERMO','SC','124241241122141531523355252343610137187',NULL,'250',15.09,1,3,NULL),(25,6165842,'1991-07-02 00:00:00',4,8,12,2008,'M','N','JARDIM CALIFORNIA','COLOMBO','PR','116161161127471521323623372324610152037',2606,'9998',64.83,1,2,1),(25,6165850,'1986-10-28 00:00:00',2,1,12,2004,'F','N','FORQUILHAS','S JOSÉ','SC','124241241136132431223344345324231066147',NULL,'451',0.00,1,2,1),(25,6165869,'1993-07-19 00:00:00',4,10,10,2010,'M','N','CENTRO','TUBARÃO','SC','124242241215211311465821575122610162122',13999,'807',45.17,1,3,NULL),(25,6165877,'1992-09-27 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241235472431445312595124610163182',15840,'738',42.39,1,3,NULL),(25,6165893,'1992-06-25 00:00:00',4,8,12,2009,'F','N','JARDIM ROVERI','LONDRINA','PR','116162161216372431466831574122610163077',260,'9998',79.26,1,3,NULL),(25,6165907,'1994-07-22 00:00:00',4,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431567839575122610127062',NULL,'270',55.52,1,3,NULL),(25,6165915,'1989-09-26 00:00:00',4,4,12,2006,'M','N','COQUEIRAL','CASCAVEL','PR','116162161215411431446632575122142632043',3116,'9998',63.08,1,3,NULL),(25,6165940,'1994-04-19 00:00:00',4,15,12,2010,'F','N','SANTA CATARINA','ARARANGUÁ','SC','124241241115151431526634575124610126072',21607,'30',26.78,1,2,1),(25,6165958,'1993-11-30 00:00:00',2,4,11,2010,'F','N','PALMITAL','CHAPECÓ','SC','124241241413421241438913271121610166141',9891,'185',47.00,1,3,NULL),(25,6165974,'1990-05-14 00:00:00',4,3,12,2008,'M','N','CENTRO','ITAPEMA','SC','124252241136131431227669591124233267182',NULL,'406',0.00,3,3,NULL),(25,6165982,'1993-08-03 00:00:00',4,1,11,2010,'M','N','N S ROSARIO','S JOSÉ','SC','124242241215121431554639395114610162187',13329,'1118',44.77,1,3,NULL),(25,6165990,'1994-12-09 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111411326831575112610128047',NULL,'1169',28.17,1,3,NULL),(25,6166008,'1995-02-23 00:00:00',4,1,12,2011,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241217111431228821572122610133067',NULL,'270',35.15,1,3,NULL),(25,6166016,'1993-01-22 00:00:00',4,8,12,2010,'M','N','SAGUACU','JOINVILLE','SC','124242241215211431458831575122610124012',2662,'457',65.53,1,3,NULL),(25,6166024,'1987-08-05 00:00:00',2,8,12,2004,'M','N','CENTRO','CURITIBA','PR','116161161214571431468819242122141322147',2448,'9998',65.66,1,3,NULL),(25,6166032,'1992-09-12 00:00:00',2,5,11,2009,'F','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120202201416471431435821372122610134182',10636,'9998',46.60,1,3,NULL),(25,6166040,'1994-04-15 00:00:00',4,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241215111531448834572124610132192',NULL,'1022',39.71,1,3,NULL),(25,6166067,'1991-06-22 00:00:00',4,1,12,2008,'F','N','VILA MARIANA','S PAULO','SP','125252251215571431258731571122610162192',656,'9998',76.34,1,3,NULL),(25,6166091,'1993-05-21 00:00:00',2,4,11,2010,'M','N','CAMPO BELO','DOURADINA','PR','116161161214171731328824115123610127047',8037,'9998',50.89,1,3,NULL),(25,6166105,'1993-08-20 00:00:00',2,9,11,2010,'F','N','FREI ROGÉRIO','LAGES','SC','124241241117161731533933582122610133187',19112,'935',34.46,1,3,NULL),(25,6166121,'1991-05-21 00:00:00',4,1,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116164161215571431469619575111610162054',20622,'9998',32.66,4,3,NULL),(25,6166130,'1991-05-11 00:00:00',4,8,12,2010,'M','N','CAMBUÍ','CAMPINAS','SP','125252251316371431489814575122610127081',18394,'9998',38.11,1,3,NULL),(25,6166156,'1991-06-25 00:00:00',2,3,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241117573431425614245121610111141',6530,'51',54.88,1,2,1),(25,6166172,'1992-04-24 00:00:00',4,7,12,2009,'M','N','CENTRO','HERVAL D OESTE','SC','124243241516272431556632575124231428072',16979,'445',40.66,1,3,NULL),(25,6166180,'1993-08-11 00:00:00',4,9,11,2010,'F','N','SANTANA','RIO SUL','SC','124242244215111731437712575125610124047',17673,'991',33.57,1,3,NULL),(25,6166199,'1993-05-15 00:00:00',4,1,12,2010,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241215371411658811595122610167185',3170,'270',64.62,1,3,NULL),(25,6166202,'1992-04-16 00:00:00',4,1,12,2009,'M','N','ENSEADA DE BRITO','PALHOÇA','SC','124244241215472721324414572124230214022',1712,'270',68.95,1,3,NULL),(25,6166210,'1990-10-04 00:00:00',4,8,12,2007,'M','N','CENTRO','ITAPORANGA','SP','125252251215572431468611572122610163032',167,'9998',81.03,3,3,NULL),(25,6166237,'1990-12-12 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241111132431323639485124610162045',NULL,'298',15.68,1,2,1),(25,6166245,'1992-03-05 00:00:00',4,1,12,2009,'F','N','VILA INDÚSTRIAL','ALUMÍNIO','SP','125252251215472431536614275124610124147',9075,'9998',48.38,4,1,2),(25,6166253,'1985-12-11 00:00:00',2,6,12,2003,'F','N','ANCHIETA','BELO HORIZONTE','MG','113131131216571231333823375124610114177',1850,'9998',69.86,1,3,NULL),(25,6166270,'1993-10-01 00:00:00',2,1,12,2010,'F','N','MORRO DO ESPELHO','S LEOPOLDO','RS','120202201216151431359931572122610123047',6205,'9998',55.49,1,3,NULL),(25,6166288,'1993-11-20 00:00:00',4,1,12,2010,'F','N','RIO NOVO','ANGELINA','SC','124241241122171431414315152212610134042',NULL,'1160',24.50,1,2,1),(25,6166296,'1993-03-16 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241136131432424633572114610137052',18991,'288',34.23,1,2,1),(25,6166300,'1993-02-24 00:00:00',4,1,11,2010,'M','N','CENTRO','ITAJAÍ','SC','124242241215111431489812475115610127042',7966,'270',52.72,1,3,NULL),(25,6166318,'1993-09-19 00:00:00',2,4,12,2010,'M','N','TERRA ROXA','DOURADOS','MS','112124121215121431643612575222610137047',7601,'9998',52.77,4,3,NULL),(25,6166326,'1981-11-22 00:00:00',4,1,12,2006,'F','N','VILA INDEPEDENCIA','LIMEIRA','SP','125251251125431331314429387124610146144',NULL,'9998',0.00,1,2,1),(25,6166334,'1994-02-04 00:00:00',4,3,12,2010,'F','N','CENTRO','RONDON','PR','116162161216111411488939575122610162142',NULL,'9998',11.87,1,3,NULL),(25,6166342,'1993-02-18 00:00:00',4,1,12,2010,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116162161215121411588814575122610162092',1122,'9998',73.08,1,3,NULL),(25,6166350,'1993-01-17 00:00:00',2,1,11,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241212111431546633595124610167067',NULL,'1075',0.00,1,3,NULL),(25,6166369,'1989-02-19 00:00:00',2,4,12,2006,'F','N','TERRA ROXA','DOURADOS','MS','112123121416572431643612575222610134187',8868,'9998',49.81,4,3,NULL),(25,6166385,'1987-08-17 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241314374411446413441124610122147',NULL,'9997',26.66,1,3,NULL),(25,6166393,'1992-01-10 00:00:00',4,1,11,2009,'F','N','CENTRO','S JOSÉ CAMPOS','SP','125222251217471331566823591125610164095',4447,'9998',58.57,4,3,NULL),(25,6166407,'1988-12-11 00:00:00',2,3,12,2006,'F','N','CENTRO','LONDRINA','PR','116092091216571431338812575114610162147',2032,'9998',66.03,1,3,NULL),(25,6166415,'1991-09-11 00:00:00',4,1,12,2009,'M','N','JARDIM PARAISO','BOTUCATU','SP','125252251215571521369913575125610164047',2221,'9998',67.72,3,3,NULL),(25,6166423,'1992-07-25 00:00:00',4,1,12,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242246417471431458713576124610167082',15076,'9997',38.08,1,3,NULL),(25,6166431,'1991-01-04 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411189912445124610161192',13738,'32',45.57,1,3,NULL),(25,6166440,'1993-08-11 00:00:00',4,7,11,2010,'F','N','CENTRO','LACERDÓPOLIS','SC','124242241217471431358814575122610122177',NULL,'446',30.60,1,3,NULL),(25,6166458,'1993-07-02 00:00:00',2,4,12,2010,'F','N','CENTRO','PARAÍSO','SC','124241241116371531433933575124610167057',16189,'604',37.66,1,2,1),(25,6166466,'1988-09-14 00:00:00',2,16,12,2005,'F','N','CENTRO','CURITIBANOS','SC','124241241116271431456413574112610132057',NULL,'320',0.00,1,2,1),(25,6166474,'1992-10-06 00:00:00',2,1,11,2010,'M','N','RIBANCEIRA','IMBITUBA','SC','624243241315111421225923576122610137112',NULL,'9997',16.94,1,3,NULL),(25,6166482,'1993-02-25 00:00:00',4,8,12,2010,'M','N','CHÁCARA CALIFÓRNIA','S PAULO','SP','225252251235121431358833475112610132197',7298,'9998',53.50,3,3,NULL),(25,6166504,'1994-01-27 00:00:00',2,8,12,2011,'M','S','MASSARANDUBA BAIXO','MASSARANDUBA','SC','124241242116111731453316275122610138192',NULL,'24',27.14,1,3,NULL),(25,6166520,'1992-01-15 00:00:00',2,1,7,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243247217151731436633572124610137097',NULL,'9999',14.59,1,3,NULL),(25,6166539,'1990-02-23 00:00:00',2,1,12,2009,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241116272721326639441124610167067',21053,'307',30.87,1,3,NULL),(25,6166547,'1993-04-13 00:00:00',4,1,12,2010,'M','N','BOM RETIRO','CURITIBA','PR','116164161215471411346823574124610167182',NULL,'9998',0.00,1,3,NULL),(25,6166555,'1993-04-21 00:00:00',4,1,12,2010,'M','N','PRAIA DE FORA','PALHOÇA','SC','124242241215151411479713572114610117042',17181,'1175',40.32,1,3,NULL),(25,6166563,'1993-03-16 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241116141431424633342124610127057',NULL,'288',16.69,1,2,1),(25,6166571,'1992-08-20 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241116272411453312575124231126181',10508,'1116',50.46,1,2,1),(25,6166580,'1992-05-20 00:00:00',4,1,12,2009,'F','N','EXPOSIÇÃO','CAXIAS SUL','RS','120202201214572431457823575124123246192',2428,'9998',67.20,1,3,NULL),(25,6166598,'1993-01-23 00:00:00',4,1,12,2010,'F','N','CANUDOS','ANTÔNIO CARLOS','SC','124241241115131431423319496124610163147',16623,'21',36.28,1,2,1),(25,6166601,'1994-02-19 00:00:00',4,8,11,2011,'M','S','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124244241217111732559933592122610167042',NULL,'442',48.60,1,3,NULL),(25,6166610,'1993-01-08 00:00:00',2,1,12,2010,'F','N','VILA BECKER','STO AMARO IMPERATRIZ','SC','124241241215272431426319574124610128075',NULL,'1011',0.00,1,3,NULL),(25,6166628,'1987-09-21 00:00:00',2,17,12,2006,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241147131711323361382341610136147',NULL,'147',0.00,4,3,NULL),(25,6166636,'1993-01-16 00:00:00',2,5,11,2010,'M','N','OPERARIA NOVA','CRICIÚMA','SC','124242241215111431545531112112610134192',NULL,'226',21.90,1,3,NULL),(25,6166660,'1991-02-11 00:00:00',4,1,12,2008,'M','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125254251215271221479933575112141417044',6428,'9998',54.05,1,3,NULL),(25,6166679,'1994-08-13 00:00:00',4,1,12,2011,'M','S','IPIRANGA','S JOSÉ','SC','124242241215151531489733595122610127062',NULL,'738',38.46,1,3,NULL),(25,6166687,'1993-03-01 00:00:00',4,1,12,2010,'M','N','WERNER PLAAS','AMERICANA','SP','125252251215111651568612575112610162014',7249,'9998',50.95,1,3,NULL),(25,6166695,'1993-07-29 00:00:00',4,8,12,2010,'F','N','JOÃO PESSOA','JARAGUÁ SUL','SC','124241241145141731334434345121610116092',NULL,'762',0.00,1,3,NULL),(25,6166709,'1992-05-09 00:00:00',4,8,11,2009,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116252161217111431588712425122240267046',NULL,'9998',0.00,1,3,NULL),(25,6166717,'1992-01-29 00:00:00',2,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','116164161215512431549935592122610125142',3264,'9998',61.38,1,3,NULL),(25,6166725,'1990-06-10 00:00:00',4,8,12,2007,'M','N','JARDIM PARAISO','JOINVILLE','SC','124241246136131431316335175122610128047',NULL,'492',19.42,4,2,1),(25,6166750,'1991-11-18 00:00:00',4,1,12,2009,'M','N','GRUTA DE LOURDES','MACEIÓ','AL','102022021217471431488934471114610166122',NULL,'9998',0.00,1,3,NULL),(25,6166768,'1990-05-26 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115471431348923572124610138093',12468,'267',42.45,1,2,1),(25,6166776,'1991-01-17 00:00:00',2,15,12,2008,'M','N','CENTRO','MARACAJÁ','SC','124241241411142531523339345122610137047',21718,'26',24.77,1,3,NULL),(25,6166784,'1993-08-11 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201241115271431415738282224610137042',20421,'307',33.38,1,2,1),(25,6166792,'1992-02-19 00:00:00',4,1,12,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215372231468512585114122361191',7382,'1022',56.00,1,3,NULL),(25,6166806,'1990-10-13 00:00:00',4,16,7,2010,'M','N','BOSQUE','CURITIBANOS','SC','124241248227131431636513572124610117052',NULL,'237',0.00,1,3,NULL),(25,6166822,'1991-12-11 00:00:00',4,4,12,2009,'M','N','CENTRO','CPO ERÊ','SC','124241241137472441334611172112610168042',NULL,'136',42.61,1,2,1),(25,6166830,'1994-12-02 00:00:00',4,1,11,2011,'M','S','VARJEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241115111431543634572122610134142',NULL,'271',33.54,4,3,NULL),(25,6166849,'1992-06-18 00:00:00',2,1,12,2010,'F','N','MIRIM','IMBITUBA','SC','124241241116371431323429575124610125152',NULL,'359',16.41,1,2,1),(25,6166857,'1993-11-12 00:00:00',2,15,12,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124241242115151431435914575124510132097',NULL,'690',29.74,1,2,1),(25,6166865,'1991-03-07 00:00:00',2,1,6,2010,'M','N','CENTRO','IMBITUBA','SC','124241248116371431326429345124610137112',NULL,'306',16.43,1,2,1),(25,6166873,'1990-11-14 00:00:00',4,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241346242431447613345114610164057',NULL,'281',0.00,1,3,NULL),(25,6166890,'1993-05-10 00:00:00',4,7,11,2010,'F','N','BELA VISTA','FRAIBURGO','SC','124232241235151411268619585122610123077',NULL,'885',29.81,1,3,NULL),(25,6166920,'1993-04-23 00:00:00',4,7,12,2010,'F','N','INTERIOR','RIO ANTAS','SC','124241241111131421528513572224610146017',NULL,'650',0.00,1,2,1),(25,6166938,'1994-10-19 00:00:00',4,10,11,2011,'M','S','PROGRESSO','LAGUNA','SC','124242241217111231338613475112610162072',NULL,'807',28.11,1,3,NULL),(25,6166946,'1987-07-04 00:00:00',4,8,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217575431339931572124221367072',21224,'461',29.92,1,3,NULL),(25,6166954,'1994-01-06 00:00:00',4,8,12,2010,'M','N','BOQUEIRÃO','SANTOS','SP','125252251215121431388834572112610164142',3094,'9998',62.62,1,3,NULL),(25,6166962,'1989-07-02 00:00:00',2,1,7,2006,'F','N','PASSO DE AREIA','STA MARIA','RS','120202071316572331448839572122610164142',7940,'9998',50.14,1,3,NULL),(25,6166989,'1992-10-06 00:00:00',4,1,12,2010,'M','N','ORIENTAL','ESTRELA','RS','120202201417121711338731371125610134042',2311,'9998',66.37,1,3,NULL),(25,6167004,'1992-09-03 00:00:00',4,1,12,2010,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091217111411559931572122610147072',7506,'9998',51.62,1,3,NULL),(25,6167012,'1987-06-11 00:00:00',2,15,12,2008,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241127141431224521245124610168117',21419,'30',28.65,1,2,1),(25,6167020,'1991-08-03 00:00:00',4,1,12,2008,'M','N','CENTRO','JACAREÍ','SP','125252251215572431369924171122610137057',815,'9998',74.76,1,3,NULL),(25,6167039,'1990-12-19 00:00:00',2,16,12,2007,'M','N','BOM JESUS','CURITIBANOS','SC','124241241116574731535611575122223227147',4529,'239',59.40,1,2,1),(25,6167047,'1995-04-19 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241235111751356933592122610137051',NULL,'270',25.97,1,3,NULL),(25,6167055,'1993-03-11 00:00:00',4,4,12,2010,'M','N','IMPERIAL','CONCÓRDIA','SC','124241242116131431434314575122610132072',3130,'196',63.84,1,2,1),(25,6167063,'1991-12-09 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243247316151431444639235124610124067',NULL,'9999',0.00,1,3,NULL),(25,6167071,'1993-08-18 00:00:00',4,1,12,2010,'F','N','CENTRO','LONDRINA','PR','116162161217111411445911312112610147142',NULL,'9998',0.00,1,3,NULL),(25,6167098,'1994-12-23 00:00:00',2,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241215111431236624375114610118192',15889,'1022',37.94,1,3,NULL),(25,6167101,'1990-05-20 00:00:00',4,1,12,2007,'M','N','BACURI','IMPERATRIZ','MA','110101101116131411523431441221242216182',NULL,'9998',0.00,2,1,1),(25,6167128,'1992-03-31 00:00:00',4,8,10,2010,'F','N','BATEL','CURITIBA','PR','116162163215471431447822575122610128091',NULL,'9998',0.00,1,3,NULL),(25,6167136,'1991-11-16 00:00:00',2,6,12,2009,'M','N','CENTRO','BAL PIÇARRAS','SC','124243241146161721536321432114610167043',18357,'614',38.18,1,3,NULL),(25,6167144,'1989-12-12 00:00:00',2,2,12,2008,'M','N','BATEIAS','GASPAR','SC','124241241116272311556619342122610112142',NULL,'327',16.89,1,2,1),(25,6167152,'1993-03-30 00:00:00',2,5,11,2010,'F','N','ANA MARIA','CRICIÚMA','SC','124243241217131441334319275124610134017',11117,'995',44.17,1,3,NULL),(25,6167179,'1993-01-26 00:00:00',4,1,12,2010,'F','N','CENTRO','JUNDIAÍ','SP','125254251236111521566832575122610126147',NULL,'9998',0.00,1,3,NULL),(25,6167195,'1992-08-27 00:00:00',4,1,12,2010,'M','N','HORTO F JACIRA','AMERICANA','SP','125252251217471431478812575112610137042',14940,'9998',38.18,1,3,NULL),(25,6167209,'1989-10-13 00:00:00',4,6,12,2007,'F','N','CENTRO','ITAJAÍ','SC','124242241215574431458839395122133262192',2850,'1026',64.84,1,3,NULL),(25,6167217,'1994-04-04 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124244241215111431368713275114610134077',11901,'1118',44.05,1,3,NULL),(25,6167225,'1993-07-01 00:00:00',4,8,12,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124241241117371731436614575122610134042',NULL,'492',16.28,1,2,1),(25,6167233,'1994-11-24 00:00:00',4,1,11,2011,'M','S','PRAINHA','FLORIANÓPOLIS','SC','224242241217111732469713575122610114042',NULL,'1022',46.50,1,3,NULL),(25,6167241,'1993-06-18 00:00:00',4,1,11,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241135141411444619295124610134012',NULL,'285',25.33,1,2,1),(25,6167250,'1984-08-06 00:00:00',2,15,12,2004,'F','N','GARAPUVU','ERMO','SC','224241241121131411213653572341610111172',19039,'250',36.87,1,2,1),(25,6167268,'1993-01-29 00:00:00',2,1,12,2009,'M','N','CENTRO','ÂNGULO','PR','116162161215271431459933574122610127052',5871,'9998',56.88,4,3,NULL),(25,6167276,'1991-10-29 00:00:00',4,1,12,2008,'F','N','JARDIM CECILIA','CPO MAGRO','PR','116161161116471431433124342134610162027',NULL,'9998',21.90,1,2,1),(25,6167284,'1994-03-22 00:00:00',2,9,12,2010,'F','N','CENTRO','TAPEJARA','RS','120201201111141721323413391225610124143',NULL,'9998',0.00,1,2,1),(25,6167292,'1994-02-14 00:00:00',2,4,12,2010,'F','N','CENTRO','SALTO LONTRA','PR','116161161116371431645612245122610137052',NULL,'9998',0.00,1,2,1),(25,6167306,'1991-05-14 00:00:00',2,8,12,2008,'F','N','BATEL','CURITIBA','PR','116241241216573411436921345124610115172',7041,'424',52.80,1,3,NULL),(25,6167314,'1993-08-02 00:00:00',2,17,11,2010,'F','N','PORTAO','CURITIBA','PR','116162161215121431459934375122610163097',NULL,'9998',18.17,1,3,NULL),(25,6167349,'1992-04-22 00:00:00',4,5,11,2009,'M','N','MINA BRASIL','CRICIÚMA','SC','124242241216111411368823595112241167042',NULL,'226',41.54,1,3,NULL),(25,6167365,'1994-02-15 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124244241416111731456833572112610123181',NULL,'1022',18.28,1,3,NULL),(25,6167381,'1990-09-04 00:00:00',4,1,12,2008,'F','N','JARDIM GOIAS','GOIÂNIA','GO','109091091111571411236611572122610115092',NULL,'9998',0.00,1,2,1),(25,6167390,'1992-02-25 00:00:00',4,1,12,2009,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241215372431589911571114230264192',2085,'213',68.99,1,3,NULL),(25,6167403,'1990-08-18 00:00:00',2,1,12,2007,'M','N','CENTRO','ÂNGULO','PR','116161161215571431459933574124610127052',1330,'9998',71.61,4,3,NULL),(25,6167411,'1991-05-23 00:00:00',2,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124201241115272421325324245124122233147',NULL,'733',0.00,1,2,1),(25,6167420,'1982-05-07 00:00:00',4,8,12,1999,'M','N','BIGORRILHO','CURITIBA','PR','116162161215571451268831284122342127062',1570,'9998',69.90,3,3,NULL),(25,6167438,'1993-01-13 00:00:00',2,1,12,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241247317271431437619572114610122181',17165,'9999',40.34,1,3,NULL),(25,6167454,'1993-01-24 00:00:00',2,2,12,2010,'M','N','NAÇÕES','TIMBÓ','SC','124241241126141431549611245124610127047',8856,'870',49.56,1,2,1),(25,6167462,'1992-06-24 00:00:00',4,1,11,2010,'M','N','LAGOA DA CONCEIÇÃP','FLORIANÓPOLIS','SC','124242241215274751354824575114231161041',17703,'270',39.40,1,3,NULL),(25,6167470,'1990-10-04 00:00:00',4,1,11,2008,'F','N','CEBTRO','CURITIBA','PR','116162241211572231239767575115610164177',11862,'1154',41.72,1,3,NULL),(25,6167489,'1994-10-05 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731469833575122610143042',12064,'262',48.03,1,3,NULL),(25,6167497,'1993-03-05 00:00:00',2,1,12,2010,'F','N','BOA VISTA','RIO SUL','SC','124243241116151431436723575122610133172',NULL,'659',0.00,1,3,NULL),(25,6167500,'1992-02-28 00:00:00',2,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124164247434371411283912175122610138182',NULL,'9999',0.00,1,3,NULL),(25,6167519,'1993-09-21 00:00:00',4,1,11,2010,'F','N','PLANO DIRETOR NORTE','PALMAS','TO','127272271215111431488916574112610142182',1944,'9998',69.49,1,3,NULL),(25,6167527,'1992-07-12 00:00:00',2,2,12,2009,'F','N','SALTO DO NORTE','BLUMENAU','SC','124241241217142531448833345114122533182',19442,'71',35.94,4,3,NULL),(25,6167551,'1993-07-11 00:00:00',4,8,12,2010,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241216151431468913472122610166147',NULL,'1061',26.84,1,3,NULL),(25,6167560,'1990-03-29 00:00:00',2,15,6,2009,'M','N','COLONINHA','ARARANGUÁ','SC','124242241436131751228649392212131167047',21023,'9997',31.01,1,3,NULL),(25,6167586,'1993-03-08 00:00:00',4,1,12,2010,'M','N','VILA SANDANO','OURINHOS','SP','125253251217111731456634575122610122012',7205,'9998',54.13,1,3,NULL),(25,6167608,'1992-12-19 00:00:00',4,1,11,2010,'F','N','DOIS CORREGOS','VALINHOS','SP','125252251217121431479814472122610137092',6700,'9998',54.26,1,3,NULL),(25,6167616,'1991-09-01 00:00:00',4,1,7,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244246117271721436813446124610147094',16560,'306',36.00,1,3,NULL),(25,6167624,'1992-11-10 00:00:00',4,9,11,2010,'F','N','LEBLON','PARANAGUÁ','PR','116164161417111531337712572112610163142',12401,'9998',43.43,3,3,NULL),(25,6167632,'1992-01-25 00:00:00',2,15,12,2009,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241117131431536614345123610127057',NULL,'30',23.58,2,3,NULL),(25,6167640,'1993-07-27 00:00:00',4,15,11,2010,'F','N','ILHAS','ARARANGUÁ','SC','124241241216112411423331415124610123197',NULL,'26',33.87,1,3,NULL),(25,6167667,'1993-06-09 00:00:00',4,1,11,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','122222221217111431468613275112610132041',13105,'9998',41.88,1,3,NULL),(25,6167675,'1993-11-12 00:00:00',4,8,12,2010,'M','N','CENTRO','PATO BRANCO','PR','116112161215111731453731575122610164042',7353,'9998',52.47,1,3,NULL),(25,6167691,'1993-12-08 00:00:00',4,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215151431489911575112610168142',12119,'262',43.42,1,3,NULL),(25,6167713,'1992-07-20 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241216472731239929595124610163145',3747,'270',61.94,1,3,NULL),(25,6167730,'1992-03-20 00:00:00',2,5,12,2009,'F','N','MILANESE','CRICIÚMA','SC','124242241217572431248823595114610148072',5465,'920',57.67,4,3,NULL),(25,6167748,'1984-07-03 00:00:00',2,1,12,2002,'M','N','TAPERA','FLORIANÓPOLIS','SC','224251251137133421222144345224121464047',NULL,'9998',0.00,2,1,1),(25,6167764,'1990-01-20 00:00:00',2,1,12,2007,'F','N','RIO BONITO','RANCHO QUEIMADO','SC','124241241126163731324335295123232223057',NULL,'649',0.00,3,2,1),(25,6167772,'1992-03-11 00:00:00',2,1,12,2008,'F','N','BELEM NOVO','PTO ALEGRE','RS','120202201117572431458821575114610136097',7521,'9998',55.75,1,3,NULL),(25,6167780,'1993-01-04 00:00:00',2,4,12,2010,'F','N','TONIAL','XANXERÊ','SC','124241241217371431526933375124610147047',NULL,'1233',0.00,1,3,NULL),(25,6167802,'1991-12-08 00:00:00',2,1,12,2008,'F','N','CENTRO','LEOBERTO LEAL','SC','124241241125574431446922574124610123142',83,'533',84.09,1,2,1),(25,6167829,'1990-08-17 00:00:00',4,1,12,2008,'M','N','JARDIM MARAJOARA','S PAULO','SP','125252257237572411336819477142610132112',2505,'9998',65.64,1,3,NULL),(25,6167837,'1992-10-30 00:00:00',4,1,12,2009,'F','N','JUVEVÊ','CURITIBA','PR','116162161217571431549814575122610118142',7408,'9998',53.76,1,3,NULL),(25,6167845,'1993-07-24 00:00:00',4,7,12,2010,'M','N','INTERIOR','CAPINZAL','SC','124241241115151431435313445124610137147',16953,'156',34.87,1,2,1),(25,6167853,'1990-02-17 00:00:00',4,1,12,2007,'F','N','CENTRO','CPO GRANDE','MS','112122121216573431535816575125610143147',9797,'9998',48.32,1,3,NULL),(25,6167861,'1993-10-19 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','224161241135131721227654242124610161197',NULL,'257',35.69,1,2,1),(25,6167870,'1992-09-18 00:00:00',4,4,12,2010,'F','N','CENTRO','REALEZA','PR','116162161215371431459933575122610144017',3648,'9998',62.90,1,3,NULL),(25,6167888,'1994-09-13 00:00:00',4,1,12,2011,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111731459913595124610153142',NULL,'262',46.25,1,3,NULL),(25,6167896,'1993-03-30 00:00:00',4,3,11,2010,'M','N','CENTRO','CURITIBA','PR','116112161215111431658512575124610164122',9327,'9998',48.41,1,3,NULL),(25,6167900,'1993-08-17 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431367731572122610123142',3028,'270',65.03,1,3,NULL),(25,6167918,'1993-07-19 00:00:00',4,1,12,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241117371732423314342124610133147',NULL,'1088',20.62,4,3,NULL),(25,6167926,'1984-02-05 00:00:00',2,1,10,2002,'F','N','JURERÊ','FLORIANÓPOLIS','SC','624241241126135411223444344134610166142',14352,'307',44.65,1,2,1),(25,6167934,'1993-06-10 00:00:00',4,1,12,2010,'F','N','PONTE IMARUIM','PALHOÇA','SC','124241241115331431424314242124610133142',NULL,'592',17.30,1,2,1),(25,6167942,'1993-02-16 00:00:00',4,1,12,2010,'M','N','PITANGUEIRAS','LAURO FREITAS','BA','105052051217161431469814575122610124112',NULL,'9998',0.00,1,3,NULL),(25,6167969,'1993-01-02 00:00:00',4,15,12,2009,'F','N','COLONINHA','ARARANGUÁ','SC','124241241117131411211129282341610126047',NULL,'29',0.00,1,2,1),(25,6167977,'1993-01-04 00:00:00',2,8,12,2010,'F','N','BOQUEIRÃO','CURITIBA','PR','116161161137271431637834245124610142142',13365,'9998',41.53,1,2,1),(25,6167985,'1993-04-16 00:00:00',4,6,11,2010,'F','N','VILA SÃO LUIZ','DOURADOS','MS','112122121217121431366923575122610133012',7164,'9998',56.43,1,3,NULL),(25,6167993,'1993-05-08 00:00:00',2,15,11,2010,'M','N','CENTRO','ARARANGUÁ','SC','124243241215272431443611572122610137092',6321,'970',55.72,1,3,NULL),(25,6168000,'1992-02-01 00:00:00',4,1,12,2009,'F','N','PARQUE ONGARO','SUMARÉ','SP','125253251415471441468612474122610138037',18888,'9998',29.93,1,3,NULL),(25,6168019,'1992-12-30 00:00:00',4,1,12,2010,'F','N','CASTELINHO','PIRACICABA','SP','125252251217111431458714576112610132077',NULL,'9998',0.00,1,3,NULL),(25,6168035,'1993-11-05 00:00:00',4,2,12,2010,'F','N','STEFFEN','BRUSQUE','SC','124241241115271751537311575114610164077',NULL,'112',0.00,1,2,1),(25,6168043,'1993-09-26 00:00:00',4,2,12,2010,'M','N','FUNDO CANOAS','RIO SUL','SC','124245241515371231259911575122610162192',9326,'959',48.83,1,3,NULL),(25,6168051,'1993-04-25 00:00:00',4,1,12,2010,'M','N','JARDIM JANAINA','BIGUAÇU','SC','124241241114471731434419591224610117042',NULL,'65',24.38,1,2,1),(25,6168078,'1994-10-21 00:00:00',4,1,11,2011,'F','S','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241215111431346933572122610134042',NULL,'262',29.57,1,3,NULL),(25,6168086,'1991-07-12 00:00:00',4,1,9,2010,'M','N','SAO JOAQUIM','VINHEDO','SP','125252251417272431448834592125610167042',1513,'9998',69.89,1,3,NULL),(25,6168094,'1993-11-04 00:00:00',4,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241116151431426614275124610132147',NULL,'307',18.02,1,2,1),(25,6168108,'1993-04-24 00:00:00',4,1,12,2010,'M','N','SANTA FE','CPO GRANDE','MS','112122121237111431568833574122610164057',2312,'9998',68.13,1,3,NULL),(25,6168116,'1993-05-25 00:00:00',4,1,11,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242231115112431488833575112610142017',9704,'1169',49.46,1,3,NULL),(25,6168124,'1993-06-29 00:00:00',4,8,11,2010,'F','N','SAGUAÇÚ','JOINVILLE','SC','124241241111111432545821576124610133147',18377,'1206',33.15,4,2,1),(25,6168132,'1993-02-21 00:00:00',4,1,12,2010,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241136141431544614345121610157142',NULL,'772',23.90,1,2,1),(25,6168159,'1991-04-29 00:00:00',2,1,6,2010,'F','N','N S DO ROSÁRIO','S JOSÉ','SC','124201247147371421636619245124610121147',NULL,'1117',20.44,4,2,1),(25,6168167,'1983-04-05 00:00:00',4,1,12,1999,'M','N','TAQUARAS','RANCHO QUEIMADO','SC','124241241126132731334443435123132266181',13130,'649',46.43,1,3,NULL),(25,6168175,'1993-09-09 00:00:00',4,10,12,2010,'M','N','SÃO JOAO','TUBARÃO','SC','124242246215151431448919575122610127053',15836,'1120',38.05,1,3,NULL),(25,6168191,'1993-12-30 00:00:00',2,4,11,2010,'F','N','CENTRO','MANGUEIRINHA','PR','116161161215111431548934572122610132182',9969,'9998',46.60,1,3,NULL),(25,6168205,'1991-10-25 00:00:00',4,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243201117271441314621385124610134197',17813,'9998',39.21,1,3,NULL),(25,6168230,'1992-07-23 00:00:00',2,1,12,2010,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241117131732326832572124610114067',NULL,'278',25.14,4,2,1),(25,6168248,'1992-04-16 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124202241115372431368414475124610163077',7492,'267',52.10,4,3,NULL),(25,6168256,'1993-01-27 00:00:00',2,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124243241215112431426514375124610123017',17476,'1022',37.05,2,1,2),(25,6168272,'1991-05-27 00:00:00',4,1,12,2008,'F','N','GLEBA PALHANO','LONDRINA','PR','116164161215571411474435475122610122012',NULL,'9998',0.00,1,3,NULL),(25,6168280,'1983-07-07 00:00:00',2,15,12,2001,'F','N','DIVINEIA','ARARANGUÁ','SC','324243241437131731626419195115610118147',21274,'26',29.60,1,3,NULL),(25,6168299,'1992-11-05 00:00:00',2,5,11,2009,'F','N','ARGENTINA','CRICIÚMA','SC','224241241215271431433934275124610164122',NULL,'213',37.22,4,1,2),(25,6168302,'1990-03-31 00:00:00',2,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124243247316141431324424245124610122147',NULL,'9999',23.46,1,3,NULL),(25,6168310,'1992-02-20 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217373431438619593214130368047',13085,'720',46.48,1,3,NULL),(25,6168329,'1986-07-08 00:00:00',2,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116373711338313381121131432187',NULL,'298',0.00,1,3,NULL),(25,6168337,'1993-03-30 00:00:00',4,4,12,2010,'F','N','AGUA VERDE','CURITIBA','PR','116162161215371411259934572214610162173',5625,'9998',56.88,1,3,NULL),(25,6168345,'1992-10-30 00:00:00',2,9,12,2010,'M','N','CENTRO','STA MARIA','RS','120242201216272731349821375125610147072',7763,'9998',51.87,4,3,NULL),(25,6168353,'1993-06-02 00:00:00',4,15,12,2010,'M','N','DIVINEIA','ARARANGUÁ','SC','124241241116131731626419192115610117047',NULL,'29',24.79,1,3,NULL),(25,6168361,'1993-06-11 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124241241117471431548733172122610132197',13220,'239',40.97,1,2,1),(25,6168388,'1994-01-22 00:00:00',4,1,12,2010,'M','N','BARRA DE IBIRAQUERA','IMBITUBA','SC','124241241115371431224469295324610123147',NULL,'359',20.15,1,2,1),(25,6168396,'1983-07-31 00:00:00',2,1,12,2001,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124051051126141211112244342124233053147',NULL,'9998',11.92,4,2,1),(25,6168400,'1991-06-08 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241415472431366633572124120664075',134,'1022',82.25,4,3,NULL),(25,6168418,'1993-10-04 00:00:00',2,1,12,2010,'F','N','ESTREITO','ALFREDO WAGNER','SC','124241241125161431336534235112610168142',NULL,'13',23.17,1,2,1),(25,6168426,'1977-06-16 00:00:00',4,1,12,1994,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224162161447152751434141415132230268183',NULL,'9998',35.01,1,3,NULL),(25,6168434,'1982-11-29 00:00:00',4,7,12,1999,'M','N','ALVORADA','VIDEIRA','SC','124241241146153421368813394112333217064',18990,'830',36.95,1,2,1),(25,6168442,'1992-11-23 00:00:00',2,10,12,2009,'M','N','CAMPO BOM','JAGUARUNA','SC','124244246212371431433632572224610167051',20644,'995',32.60,1,3,NULL),(25,6168450,'1993-11-23 00:00:00',2,1,12,2009,'F','N','BREJARU','PALHOÇA','SC','124241248116472731423314575124233228042',NULL,'395',23.36,1,2,1),(25,6168469,'1992-10-25 01:00:00',4,4,12,2009,'M','N','MARIA GORETI','CHAPECÓ','SC','124241241117152431445932595121231423092',NULL,'182',19.64,1,2,1),(25,6168493,'1992-05-15 00:00:00',2,8,12,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241237161411689711395122233267017',NULL,'442',32.64,1,3,NULL),(25,6168507,'1970-09-05 00:00:00',2,1,11,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','524251248326131441335539245124610166187',NULL,'9998',0.00,1,3,NULL),(25,6168515,'1990-10-10 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215574431437629385114610124012',12134,'1048',47.93,1,3,NULL),(25,6168523,'1993-11-07 00:00:00',2,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241121131432226611115124610157047',21060,'618',30.86,1,2,1),(25,6168540,'1991-05-11 00:00:00',2,15,12,2008,'F','N','COLONINHA','ARARANGUÁ','SC','124241241116141711426613395113610127057',20757,'29',32.12,1,2,1),(25,6168558,'1991-12-18 00:00:00',2,15,12,2008,'F','N','IGRA','TORRES','RS','120201201117471411436314371221610134142',10850,'9998',44.49,1,2,1),(25,6168566,'1971-05-10 00:00:00',2,1,12,1993,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241246116474721237651332122331363147',16247,'359',41.78,2,1,1),(25,6168574,'1993-01-26 00:00:00',2,1,12,2009,'F','N','SÍTIO CERCADO','CURITIBA','PR','116162161125471411446832575124610164197',3638,'9998',63.09,1,3,NULL),(25,6168590,'1986-01-20 00:00:00',2,1,12,2003,'M','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124241241117271331426613345124131027042',21676,'65',25.65,1,3,NULL),(25,6168612,'1993-09-17 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241415111421226629242122610126157',NULL,'1118',31.82,1,3,NULL),(25,6168620,'1992-04-21 00:00:00',4,1,12,2009,'M','N','BELA VISTA I','S JOSÉ','SC','124163161117271431336514445114610164012',14720,'9998',42.25,1,3,NULL),(25,6168647,'1993-07-17 00:00:00',2,1,12,2010,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124243241116271431327523575124610138077',18414,'21',33.49,1,3,NULL),(25,6168655,'1990-06-28 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241247346374411126544245124121527187',6062,'9999',55.48,1,3,NULL),(25,6168663,'1994-02-08 00:00:00',4,3,12,2010,'M','N','CENTRO','STA CECÍLIA','SC','124241241416112231467732575122610164012',10281,'1124',46.64,1,3,NULL),(25,6168671,'1991-09-30 00:00:00',2,7,10,2008,'F','N','CENTRO','ERECHIM','RS','120204201215472411445611591325610126097',437,'9998',76.94,1,3,NULL),(25,6168680,'1993-05-14 00:00:00',2,1,12,2010,'F','N','BELA VISTA I','S JOSÉ','SC','124241241115271731226329575124610137142',16476,'726',36.29,1,2,1),(25,6168698,'1994-05-26 00:00:00',4,2,12,2011,'M','S','LIMOEIRO','BRUSQUE','SC','124241241117131341427414145121610167172',NULL,'116',65.40,1,3,NULL),(25,6168701,'1990-07-16 00:00:00',2,6,12,2007,'M','N','ITAIPAVA','ITAJAÍ','SC','124241241122572431421314442221610137142',11280,'401',49.25,1,2,1),(25,6168736,'1992-06-03 00:00:00',2,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115272431526714342124610122147',NULL,'281',26.11,1,2,1),(25,6168744,'1993-10-12 00:00:00',4,8,10,2010,'F','N','CENTRO','CASCAVEL','PR','116162161217471332449813593344613264147',8961,'9998',50.45,1,3,NULL),(25,6168752,'1993-02-05 00:00:00',2,15,12,2010,'F','N','CENTRO','TIMBÉ SUL','SC','124241241135131431426923572124610126147',NULL,'785',0.00,1,2,1),(25,6168779,'1993-02-02 00:00:00',2,1,12,2010,'F','N','CENTRO','S BONIFÁCIO','SC','124241241125141751423319241125610118052',20866,'702',26.49,1,2,1),(25,6168795,'1991-04-14 00:00:00',4,1,12,2009,'F','N','PARQUE SAO LUCAS','S PAULO','SP','125252251216471731558834571124610122142',NULL,'9998',0.00,1,3,NULL),(25,6168809,'1990-09-15 00:00:00',2,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116162164216572451547811591122610164042',6137,'9998',54.63,1,3,NULL),(25,6168825,'1993-08-09 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241212112451476612595122610167042',NULL,'270',0.00,1,3,NULL),(25,6168833,'1993-06-23 00:00:00',4,8,11,2010,'F','N','JARDIM SOFIA','JOINVILLE','SC','124241241135371431533624345124610165057',17947,'478',32.52,1,2,1),(25,6168841,'1991-11-06 00:00:00',4,1,12,2009,'F','N','TOMBADOURO','OURO PRETO','MG','113132131217421431338714594324610166092',19655,'9998',35.45,1,3,NULL),(25,6168850,'1992-11-22 00:00:00',4,1,12,2010,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125252251216111431357832245124610144092',8275,'9998',49.49,1,3,NULL),(25,6168876,'1992-08-09 00:00:00',2,1,11,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241116272721334531592124610162017',16721,'733',36.87,1,3,NULL),(25,6168884,'1992-09-10 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241235111431348933375125610161097',9009,'270',50.40,1,3,NULL),(25,6168922,'1986-12-28 00:00:00',4,5,11,2003,'F','N','BOM FIM','PTO ALEGRE','RS','120162161216575441337831481124230222017',228,'9998',80.12,4,3,NULL),(25,6168930,'1990-02-16 00:00:00',4,1,12,2008,'F','N','TRÊS LAGOAS','GARIBALDI','RS','120201205116571431466812575122610164042',3021,'9998',63.80,1,2,1),(25,6168949,'1989-04-20 00:00:00',4,1,12,2006,'F','N','JARDIM PARAÍSO','BOTUCATU','SP','125252251216471431259713482115142162097',4583,'9998',61.14,1,3,NULL),(25,6168957,'1993-01-19 00:00:00',4,1,12,2010,'M','N','DO PARQUE','FARROUPILHA','RS','120202201215471431469814381112610167012',3083,'9998',64.97,4,3,NULL),(25,6168973,'1993-05-21 00:00:00',4,8,11,2010,'F','N','CAMPO DA LANÇA','MAFRA','SC','124241241214111431344432592122610144172',17130,'541',35.27,1,3,NULL),(25,6168990,'1982-03-08 00:00:00',2,1,9,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161161116145431459933295124120262187',10953,'9998',46.00,1,2,1),(25,6169007,'1989-09-24 00:00:00',2,1,12,2008,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241215574431236824494124123227187',1895,'270',67.93,1,3,NULL),(25,6169015,'1993-07-02 00:00:00',4,6,11,2010,'F','N','VILA LEOPOLDINA','S PAULO','SP','125162251217111431379934575112610164197',6927,'9998',52.35,1,3,NULL),(25,6169023,'1992-02-19 00:00:00',4,8,12,2009,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116162161115471431479934574114610163117',6912,'9998',56.90,1,3,NULL),(25,6169031,'1994-05-30 00:00:00',2,5,12,2010,'M','N','CENTRO','MRO GRANDE','SC','124241242117111431435536475124610128172',NULL,'690',25.33,1,2,1),(25,6169040,'1992-11-27 00:00:00',2,1,12,2010,'F','N','CENTRO','MARÍLIA','SP','125254251447131531435411575122610166157',NULL,'9998',0.00,1,3,NULL),(25,6169058,'1992-03-12 00:00:00',2,9,12,2008,'F','N','SANTA HELENA','LAGES','SC','124244241216573431338912375122133247017',NULL,'497',17.96,1,3,NULL),(25,6169066,'1993-06-06 00:00:00',2,8,12,2010,'F','N','BARRA DO TROMBUDO','RIO SUL','SC','124241241115141431446923395124610166177',NULL,'864',0.00,4,2,1),(25,6169074,'1993-07-01 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216121431366834375112610167041',9048,'1022',50.07,2,3,NULL);
INSERT INTO candidato VALUES (25,6169090,'1989-11-21 00:00:00',4,1,12,2007,'F','N','VILA OLÍMPIA','SOROCABA','SP','125242241217572411669613574124610136087',NULL,'487',0.00,1,3,NULL),(25,6169120,'1992-11-05 00:00:00',4,8,11,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241215171731358819494122610134142',3393,'1063',61.89,1,3,NULL),(25,6169139,'1989-08-17 00:00:00',2,1,12,2007,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241136273431423734242234610124047',NULL,'281',17.68,1,2,1),(25,6169147,'1991-01-17 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241126473431323321275124610124142',9443,'285',48.70,1,2,1),(25,6169155,'1992-02-29 00:00:00',4,1,12,2009,'M','N','CONSERVA','AMERICANA','SP','125252258117371431359923375122610164186',2382,'9998',67.90,1,3,NULL),(25,6169163,'1991-12-28 00:00:00',2,1,12,2008,'M','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241116152431445614345122610167042',21424,'941',28.62,4,3,NULL),(25,6169171,'1991-02-15 00:00:00',4,1,11,2008,'F','N','VILA REZENDE','PIRACICABA','SP','125252251217571411478814474122610142147',NULL,'9998',0.00,1,3,NULL),(25,6169180,'1993-06-18 00:00:00',2,7,12,2010,'M','N','CENTRO','HERVAL D OESTE','SC','124241241135141451435634245124610138062',NULL,'341',16.36,1,2,1),(25,6169198,'1988-03-02 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANÓPOLIS','SC','224241247337472431324454145124610163097',20265,'286',30.24,1,3,NULL),(25,6169201,'1992-03-06 00:00:00',4,8,11,2009,'F','N','GLÓRIA','JOINVILLE','SC','124242241215473431438814372122610123142',1573,'1063',70.09,1,3,NULL),(25,6169210,'1992-03-29 00:00:00',2,16,11,2009,'F','N','AGUA VERDE','CURITIBA','PR','116162161215472751449933582124610137097',1723,'9998',69.06,1,3,NULL),(25,6169236,'1993-02-27 00:00:00',4,1,12,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124243241117371411368933572114610144052',2583,'271',66.25,1,3,NULL),(25,6169244,'1993-06-18 00:00:00',4,16,12,2010,'M','N','CENTRO','STA CECÍLIA','SC','124241241116271411425621575122610147182',NULL,'686',19.81,1,2,1),(25,6169260,'1993-07-20 00:00:00',4,1,12,2010,'M','N','SUMARÉ','RIO SUL','SC','124242241215141431435511345125610122052',17986,'654',36.12,1,3,NULL),(25,6169279,'1992-01-11 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241137131752538314192124610132187',21686,'922',25.51,1,2,1),(25,6169287,'1993-05-11 00:00:00',2,4,12,2010,'F','N','CENTRO','ITAPIRANGA','SC','124241241116161431424614132125510131147',20492,'412',33.16,4,3,NULL),(25,6169295,'1994-01-18 00:00:00',2,7,12,2010,'F','N','INTERIOR','ARROIO TRINTA','SC','124241241146131431323316155124610123147',NULL,'853',14.82,1,3,NULL),(25,6169309,'1993-11-05 00:00:00',2,1,12,2010,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241117131711533313585124610113017',NULL,'733',18.40,1,3,NULL),(25,6169317,'1993-11-22 00:00:00',4,1,12,2010,'F','N','CENTRO','PITANGA','PR','116162161216271731528933285122610162147',NULL,'9998',0.00,1,3,NULL),(25,6169325,'1993-08-20 00:00:00',4,4,11,2010,'M','N','CINQUENTENARIO','CONCÓRDIA','SC','124244241417371731469923572122610167187',4701,'190',60.15,1,3,NULL),(25,6169333,'1993-01-08 00:00:00',4,7,11,2010,'M','N','GIOPPO','CAÇADOR','SC','124241241136121432423534275122610137147',NULL,'123',0.00,1,3,NULL),(25,6169341,'1990-12-10 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201116273451343933395124121446042',7705,'9998',52.66,1,2,1),(25,6169350,'1993-07-03 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215271431579933436124610164112',NULL,'1022',46.76,1,3,NULL),(25,6169368,'1984-08-27 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252251216272411358873245122333254097',15,'9998',88.06,1,3,NULL),(25,6169376,'1992-02-18 00:00:00',2,1,12,2008,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124244241216373431538634375122230421145',17879,'948',39.07,1,3,NULL),(25,6169384,'1993-06-05 00:00:00',2,4,12,2010,'F','N','CENTRO','ITAPIRANGA','SC','124241241136161431325631285122610113147',20186,'412',26.82,1,2,1),(25,6169392,'1991-12-09 00:00:00',4,2,12,2008,'M','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161215571731468813572112610112097',1916,'9998',68.18,1,3,NULL),(25,6169406,'1991-08-20 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431538923595122610125121',104,'737',83.30,1,3,NULL),(25,6169414,'1993-05-10 00:00:00',4,10,11,2010,'F','N','CENTRO','S MARTINHO','SC','124241241215111431538732575112610134092',9911,'807',48.88,1,3,NULL),(25,6169422,'1993-01-22 00:00:00',2,1,11,2010,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242247211271311588832595124610116052',NULL,'270',0.00,1,3,NULL),(25,6169430,'1993-08-17 00:00:00',4,15,12,2010,'M','N','SÃO BRAS','TORRES','RS','120201201115161431556933395124610127053',NULL,'9998',8.74,1,3,NULL),(25,6169449,'1992-03-13 00:00:00',4,1,12,2009,'F','N','PARQUE BELA VISTA','VOTORANTIM','SP','125252251216471431458814575112610162127',12912,'9998',41.26,1,3,NULL),(25,6169457,'1992-03-08 00:00:00',2,1,12,2009,'M','N','VILA MARIANA','S PAULO','SP','125162161216471431365637575125610167047',3433,'9998',63.10,1,3,NULL),(25,6169465,'1992-09-24 00:00:00',2,1,12,2010,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241241116371731423633575124610124147',NULL,'728',16.63,1,3,NULL),(25,6169473,'1992-06-05 00:00:00',2,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241116272431526569342124610136197',NULL,'281',42.73,2,1,1),(25,6169481,'1990-11-10 00:00:00',2,1,12,2007,'F','N','RIO MIGUEL','ÁGUAS MORNAS','SC','124241241116371731423325342114610134147',NULL,'978',24.88,1,2,1),(25,6169490,'1991-08-06 00:00:00',4,1,12,2009,'F','N','CENTRO','S BERNARDO CAMPO','SP','125252251216471411368812585112610136092',NULL,'9998',0.00,1,3,NULL),(25,6169503,'1994-04-28 00:00:00',4,1,11,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111412465814575124610127065',20728,'1023',32.24,1,3,NULL),(25,6169520,'1993-01-13 00:00:00',4,8,11,2010,'M','N','MERCÊS','CURITIBA','PR','116163161215572211566615275111610122052',478,'9998',77.74,1,3,NULL),(25,6169562,'1992-04-13 00:00:00',4,1,12,2009,'F','N','JARDIM ALGARVE','ALVORADA','RS','120202201417371431433634371124610144052',NULL,'9998',0.00,1,3,NULL),(25,6169570,'1991-06-07 00:00:00',4,8,12,2009,'M','N','MASCOTE','S PAULO','SP','125252251214471411349934575124610167047',15606,'9998',40.46,1,3,NULL),(25,6169589,'1994-05-20 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124164241415151451456724575124610134142',14697,'1022',44.16,1,3,NULL),(25,6169597,'1992-03-14 00:00:00',4,8,12,2009,'F','N','ZONA SETE','MARINGÁ','PR','116252251215471431536731575122610132147',NULL,'9998',0.00,1,3,NULL),(25,6169600,'1993-02-19 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241115371431456613374124610134012',9732,'733',48.94,1,3,NULL),(25,6169619,'1993-05-27 00:00:00',4,2,11,2010,'M','N','CENTRO','BLUMENAU','SC','124241241215131431433621475114610167077',15699,'87',37.58,1,3,NULL),(25,6169627,'1994-02-15 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469914575122610117112',5441,'262',58.18,1,3,NULL),(25,6169643,'1993-01-10 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124123241437271411418778381321610163041',18805,'278',37.34,1,3,NULL),(25,6169651,'1993-07-12 00:00:00',4,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111411366812595124610148187',4703,'270',59.87,1,3,NULL),(25,6169678,'1988-06-15 00:00:00',2,8,12,2006,'F','N','BOA VISTA','JOINVILLE','SC','124241241116272431424614442134610134197',17590,'477',33.96,3,2,1),(25,6169686,'1993-10-20 00:00:00',4,8,12,2010,'F','N','CENTRO','TELÊMACO BORBA','PR','116164161216111331546614115112610123192',NULL,'9998',0.00,1,3,NULL),(25,6169694,'1993-03-11 00:00:00',2,1,12,2010,'F','N','FANNY','CURITIBA','PR','116162161217121741636611575124610124077',NULL,'9997',24.38,1,3,NULL),(25,6169708,'1988-02-12 00:00:00',2,5,12,2005,'F','N','PINHEIRINHO','CRICIÚMA','SC','124242248216535451429823385124610165177',8686,'995',53.59,1,3,NULL),(25,6169716,'1993-02-28 00:00:00',4,6,12,2010,'M','N','REBOUÇAS','CURITIBA','PR','116162161217471431289813172114610162137',133,'9998',82.26,1,3,NULL),(25,6169724,'1993-03-18 00:00:00',2,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241235371231468612572124610161195',NULL,'1022',42.71,1,3,NULL),(25,6169732,'1992-04-18 00:00:00',4,8,12,2009,'F','N','CENTRO','JACAREZINHO','PR','116164161215572431349933572124610165172',6275,'9998',54.37,1,3,NULL),(25,6169740,'1993-02-03 00:00:00',4,1,12,2010,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241215111411553322395114610126042',18183,'1048',34.13,1,3,NULL),(25,6169767,'1991-07-02 00:00:00',2,1,11,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241311274731633314245134610117013',NULL,'300',30.00,1,3,NULL),(25,6169775,'1993-07-27 00:00:00',4,1,11,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216112431577913475114610136182',13316,'270',46.20,4,3,NULL),(25,6169791,'1993-06-27 00:00:00',4,1,11,2010,'M','N','CENTRO','TOLEDO','PR','116162161217111731428816261212610162097',NULL,'9998',0.00,1,3,NULL),(25,6169805,'1993-04-17 00:00:00',4,1,12,2010,'F','N','BATEL','CURITIBA','PR','116242161217111411568833575122610124092',99,'9998',83.47,1,3,NULL),(25,6169813,'1993-09-14 00:00:00',2,7,12,2010,'F','N','N SRA DE LOURDES','CAMPOS NOVOS','SC','124242241215151531549613222122610166077',9230,'138',48.28,4,3,NULL),(25,6169848,'1993-08-31 00:00:00',2,3,12,2010,'M','N','BOMBAS','BOMBINHAS','SC','124241242115111431436833575122610117057',11385,'129',42.63,1,2,1),(25,6169856,'1993-12-24 00:00:00',2,1,12,2010,'F','N','CENTRO','S JOSÉ','SC','124241241215111731336613572124610124192',13268,'723',43.73,1,3,NULL),(25,6169872,'1992-10-27 00:00:00',2,10,11,2009,'M','N','HUMAITA','TUBARÃO','SC','124243241215472751456629572121610167072',3274,'807',64.01,1,3,NULL),(25,6169880,'1990-03-21 00:00:00',4,1,12,2008,'F','N','JARDIM DAS ACACIAS','S JOSÉ','SC','124241241216473432566611342124610153147',19470,'1078',35.90,1,3,NULL),(25,6169899,'1993-09-20 00:00:00',4,1,11,2010,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241215111231328712275121610117046',14166,'884',40.68,1,3,NULL),(25,6169902,'1990-08-21 00:00:00',2,1,12,2007,'M','N','CRUZEIRO','ITAJUBÁ','MG','113131136117371432445651345112610124046',NULL,'9998',28.49,3,3,NULL),(25,6169937,'1994-10-16 01:00:00',4,1,12,2011,'F','S','CENTRO','RANCHO QUEIMADO','SC','124241241147131431423324572321610148182',NULL,'649',24.88,1,3,NULL),(25,6169945,'1993-06-02 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241216111431486834575124330744072',20370,'1048',33.51,1,3,NULL),(25,6169961,'1993-04-09 00:00:00',2,1,12,2010,'F','N','VILA NOVA','PTO BELO','SC','124242241215231511526634575124610116192',NULL,'781',0.00,1,3,NULL),(25,6169970,'1988-06-16 00:00:00',2,1,12,2005,'M','N','CENTRO','PALHOÇA','SC','124244241211373411267879391124233218182',8266,'266',51.66,1,3,NULL),(25,6169996,'1989-09-08 00:00:00',4,1,12,2007,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241216474421356433445124610113092',NULL,'270',18.30,1,3,NULL),(25,6170005,'1990-12-01 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','120132131217473431126639175124241462045',NULL,'9998',43.36,4,3,NULL),(25,6170013,'1989-07-01 00:00:00',2,1,12,2006,'F','N','INTERIOR','QUILOMBO','SC','124241241246313431533316345334610126057',10747,'497',48.50,1,3,NULL),(25,6170021,'1989-10-17 00:00:00',2,8,11,2008,'F','N','SÃO MARCOS','JOINVILLE','SC','124241241126472411324933575124610166097',15437,'481',38.36,2,1,1),(25,6170030,'1967-09-23 00:00:00',4,1,6,1986,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224241246117153411436644445122321863105',18944,'306',37.03,1,2,1),(25,6170048,'1990-03-19 00:00:00',4,1,12,2007,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215472431328614485122610167052',4702,'1118',59.93,1,3,NULL),(25,6170072,'1993-05-25 00:00:00',2,1,12,2010,'F','N','FABRICIO','STO AMARO IMPERATRIZ','SC','124241241115471732523611275122610134145',14726,'941',44.12,1,2,1),(25,6170080,'1991-07-13 00:00:00',2,4,12,2008,'F','N','CENTRO','S JOSÉ CEDRO','SC','124241241117572431426334472124610164077',NULL,'740',29.27,4,2,1),(25,6170110,'1993-02-18 00:00:00',4,3,12,2010,'M','N','CENTRO','SARANDI','RS','120201201117131431436614345124610137027',NULL,'9998',0.00,1,2,1),(25,6170129,'1993-01-18 00:00:00',4,8,12,2010,'M','N','GUAIUBA','GUARUJÁ','SP','125252251217111431443334575122610127142',11957,'9998',45.18,1,3,NULL),(25,6170137,'1993-02-02 00:00:00',2,10,11,2009,'M','N','CENTRO','BOM JD SERRA','SC','124243241215373331446812575124610164142',NULL,'1035',19.72,1,3,NULL),(25,6170153,'1991-12-16 00:00:00',2,1,12,2008,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241116373731536313295114610168057',12094,'307',48.00,1,2,1),(25,6170161,'1993-04-12 00:00:00',2,8,12,2010,'F','N','CENTRO','GUARAMIRIM','SC','124244247215111731434632572324610147017',16553,'442',41.31,1,3,NULL),(25,6170170,'1992-08-10 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202241215111431448913475122610147142',13432,'270',46.03,1,3,NULL),(25,6170188,'1992-01-22 00:00:00',4,1,11,2008,'F','N','CERQUEIRA CESAR','S PAULO','SP','125162251211571451187812571122610164197',NULL,'9998',0.00,1,3,NULL),(25,6170196,'1994-08-25 00:00:00',2,17,12,2010,'M','N','RIO DOS POÇOS','BELA V TOLDO','SC','124241242116161411334935591124610124062',17447,'143',33.10,4,2,1),(25,6170200,'1993-07-01 00:00:00',2,9,12,2010,'F','N','CENTRO','S JOAQUIM','SC','124241241116371731423715572215610134142',20538,'719',27.27,1,3,NULL),(25,6170218,'1993-07-23 00:00:00',4,6,12,2010,'F','N','DOM JOAQUIM','BRUSQUE','SC','124241241115271632236624245124610127047',NULL,'114',0.00,1,2,1),(25,6170226,'1993-02-24 00:00:00',4,4,12,2009,'F','N','CENTRO','STA MARIA','RS','120242241216472431459934476115610125142',7367,'1193',52.60,1,3,NULL),(25,6170234,'1994-06-07 00:00:00',4,9,11,2010,'F','N','EUGÊNIO SCHNEIDER','RIO SUL','SC','124242241215111411488923575122610127052',4986,'991',59.19,1,3,NULL),(25,6170242,'1992-10-30 00:00:00',4,6,12,2010,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241615121431369931575122610137122',4376,'109',60.71,1,3,NULL),(25,6170269,'1992-10-22 00:00:00',4,2,11,2010,'M','N','JARDIM COLOMBO','S PAULO','SP','125256251617361411448879271121610164162',5250,'9998',56.29,1,3,NULL),(25,6170277,'1993-01-25 00:00:00',4,2,12,2010,'F','N','CENTRO II','BRUSQUE','SC','124242241215111431546634574122610122142',12951,'109',40.75,1,3,NULL),(25,6170293,'1992-07-20 00:00:00',4,8,12,2009,'M','N','CENTRO','CASCAVEL','PR','116162161215471741548913575125610165042',1484,'9998',71.33,1,3,NULL),(25,6170307,'1991-11-17 00:00:00',4,2,12,2009,'M','N','SALTO DO NORTE','BLUMENAU','SC','124242241217372431479913595124231432142',2881,'71',64.46,1,3,NULL),(25,6170315,'1981-08-02 00:00:00',2,1,8,2009,'M','N','PAGARA','STO AMARO IMPERATRIZ','SC','124243247125372431223448383223610127057',NULL,'9999',30.29,1,3,NULL),(25,6170331,'1993-03-16 00:00:00',4,1,11,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111431489713245122610167042',7480,'270',54.96,1,3,NULL),(25,6170340,'1990-08-21 00:00:00',2,1,12,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241145272431425344245114610134047',NULL,'293',38.71,4,2,1),(25,6170358,'1993-08-06 00:00:00',4,10,12,2010,'F','N','HUMAITA DE CIMA','TUBARÃO','SC','124241241136141631537513291124610135012',20761,'798',25.96,3,2,1),(25,6170382,'1993-04-13 00:00:00',4,1,12,2010,'M','N','CENTRO','ROLÂNDIA','PR','116162161216121531348831575114610117052',3759,'9998',61.17,3,3,NULL),(25,6170390,'1992-09-10 00:00:00',4,8,12,2009,'F','N','CENTRO','CPO MOURÃO','PR','116162161211471751378811575112610163097',NULL,'9998',0.00,1,3,NULL),(25,6170404,'1968-03-22 00:00:00',4,1,12,1988,'M','N','TRINDADE','FLORIANÓPOLIS','SC','524204208126153741123349395124222267097',17322,'9998',40.06,1,3,NULL),(25,6170412,'1992-11-03 00:00:00',4,5,12,2010,'M','N','PIO CORREIA','CRICIÚMA','SC','124242241217373431449631375124610155122',NULL,'213',19.52,1,3,NULL),(25,6170420,'1987-11-21 00:00:00',4,1,11,2005,'M','N','GUABIROTUBA','CURITIBA','PR','116162161135571431536614481114141034177',1982,'9998',66.65,1,3,NULL),(25,6170439,'1986-06-25 00:00:00',4,1,12,2003,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124252251217153711238844445121322036045',1706,'9998',70.42,1,3,NULL),(25,6170447,'1983-09-16 00:00:00',4,1,11,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241136142751334314315124610134177',NULL,'307',19.95,1,3,NULL),(25,6170455,'1993-10-28 00:00:00',4,1,10,2010,'M','N','JARDIM SOCIAL','CURITIBA','PR','116162161215471431488831471122610137062',469,'9998',77.86,1,3,NULL),(25,6170463,'1992-12-14 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124243241315473431456933575122610132172',10788,'1038',50.01,1,3,NULL),(25,6170471,'1993-03-07 00:00:00',4,1,11,2010,'F','N','SETOR JAÓ','GOIÂNIA','GO','109092091235111411587812572122610163142',8320,'9998',50.43,1,3,NULL),(25,6170498,'1994-04-22 00:00:00',4,9,11,2010,'M','N','CENTRO','S JOAQUIM','SC','124242241216151411556613575122610137057',5223,'721',60.35,1,3,NULL),(25,6170501,'1993-01-13 00:00:00',4,5,12,2010,'M','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241215122431459911475122610167122',1080,'226',72.68,1,3,NULL),(25,6170510,'1992-07-03 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124082161216472431358923575124610123112',2885,'9998',64.78,1,3,NULL),(25,6170528,'1992-04-10 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124243111315372431534611275122610142062',9114,'9998',48.31,1,3,NULL),(25,6170536,'1993-03-25 00:00:00',4,8,12,2010,'M','N','GLÓRIA','JOINVILLE','SC','124242241215111411458814575122610127047',14108,'1063',40.67,1,3,NULL),(25,6170544,'1992-10-19 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124063241215372431346913375124122964142',13301,'1123',41.38,1,3,NULL),(25,6170552,'1993-09-13 00:00:00',4,4,11,2010,'M','N','CENTRO','XANXERÊ','SC','124242241237151431359514175121610167057',16670,'836',35.06,1,3,NULL),(25,6170560,'1992-10-06 00:00:00',2,1,11,2010,'F','N','BARÃO GERALDO','CAMPINAS','SP','125252251216121731436719585122610168117',NULL,'9998',0.00,1,3,NULL),(25,6170579,'1993-08-15 00:00:00',4,1,12,2009,'M','N','BELA VISTA','PALHOÇA','SC','124101241117142431626313145124610117013',NULL,'733',0.00,2,1,1),(25,6170595,'1991-09-11 00:00:00',4,8,12,2010,'F','N','ROÇA GRANDE','COLOMBO','PR','116161161117471132434529575124610162142',NULL,'9998',9.31,4,2,1),(25,6170609,'1994-02-10 00:00:00',4,1,12,2010,'M','N','JARDIM IRENE','MEDIANEIRA','PR','116164161216371431347632575112610144191',NULL,'9998',0.00,1,3,NULL),(25,6170617,'1987-09-05 00:00:00',4,1,12,2005,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241217574431389911441124610132062',NULL,'883',24.47,1,3,NULL),(25,6170625,'1991-10-01 00:00:00',2,4,12,2008,'M','N','NOVA DIVINÉIA','PINHALZINHO','SC','124241241136271431333314345122610144142',NULL,'1032',18.26,1,2,1),(25,6170633,'1993-10-08 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124202241215111431238923575122610114047',9609,'951',49.62,1,3,NULL),(25,6170641,'1993-12-26 00:00:00',4,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241217111431568912125124610124042',5796,'1119',56.64,1,3,NULL),(25,6170650,'1993-02-24 00:00:00',4,1,11,2010,'F','N','PITUBA','SALVADOR','BA','105052051216271431566921575112610122142',NULL,'9998',50.90,1,3,NULL),(25,6170668,'1994-01-21 00:00:00',4,5,11,2010,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215371431349931595122610148142',12018,'226',48.11,1,3,NULL),(25,6170684,'1994-01-21 00:00:00',4,3,12,2010,'F','N','VILA SANTO ANTONIO','OURINHOS','SP','125252251215111421449813575112610114092',17832,'9998',33.22,1,3,NULL),(25,6170692,'1991-05-23 00:00:00',4,1,12,2008,'M','N','BELA VISTA','PALHOÇA','SC','124103241116374711624319245124610163092',NULL,'733',0.00,2,1,2),(25,6170714,'1989-05-22 00:00:00',4,1,11,2007,'M','N','BARREIROS','S JOSÉ','SC','124241241127371431123344242134610137042',NULL,'736',25.62,4,2,1),(25,6170722,'1992-12-23 00:00:00',4,6,12,2010,'M','N','CENTRO','ITAJAÍ','SC','124242241215121431479613575112610167052',NULL,'1026',25.44,1,3,NULL),(25,6170730,'1992-12-19 00:00:00',4,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243241215111711456634575112610131093',16299,'1022',36.41,1,3,NULL),(25,6170749,'1986-04-30 00:00:00',4,1,11,2003,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217155431246522325122430262132',NULL,'1169',0.00,1,3,NULL),(25,6170757,'1993-07-16 00:00:00',2,4,12,2010,'M','N','UNIVERSITÁRIO','IJUÍ','RS','120201206116131441436723395124610167057',13083,'9998',40.68,1,2,1),(25,6170765,'1993-09-16 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241225111431423314375124610162062',4553,'262',59.96,1,3,NULL),(25,6170773,'1993-02-16 00:00:00',2,4,12,2010,'F','N','PIONEIROS','ITÁ','SC','124241241116141731439912345122610167117',NULL,'384',26.97,1,2,1),(25,6170781,'1993-06-23 00:00:00',4,1,12,2010,'F','N','JARDIM CRUZEIRO','ESPÍRITO STO PINHAL','SP','125252251215111431337823575112610128192',NULL,'9998',0.00,1,3,NULL),(25,6170790,'1993-01-26 00:00:00',2,1,10,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215271731225723576124610126142',8405,'723',49.99,1,3,NULL),(25,6170811,'1991-04-04 00:00:00',4,4,12,2009,'F','N','CENTRO','CAPÃO BONITO','SP','125252258216121731447912295125610134097',18047,'9998',33.45,1,3,NULL),(25,6170838,'1991-09-07 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124181181145372411636564345314610162142',8580,'9998',53.81,4,3,NULL),(25,6170846,'1993-05-28 00:00:00',2,15,12,2010,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241135141732523314212122610127055',NULL,'29',30.54,4,2,1),(25,6170854,'1993-08-25 00:00:00',4,4,12,2010,'F','N','INTERIOR','CORDILHEIRA ALTA','SC','124241241116271431434336575124610136142',NULL,'197',0.00,1,2,1),(25,6170862,'1991-07-04 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215574411466767575122610166072',NULL,'1038',0.00,1,3,NULL),(25,6170870,'1992-12-16 00:00:00',2,16,12,2010,'F','N','GUANABARA','RIO CAMPO','SC','124241242117151131449833575124610124187',NULL,'1222',13.54,1,2,1),(25,6170897,'1989-05-26 00:00:00',2,1,12,2006,'F','N','BELA VISTA I','S JOSÉ','SC','124241241126132421434328345124230264147',16799,'726',40.94,1,2,1),(25,6170900,'1992-08-25 00:00:00',2,1,12,2010,'M','N','ITAIPU','NITERÓI','RJ','121212211216111431247613575121610162182',NULL,'9998',0.00,1,3,NULL),(25,6170919,'1994-10-22 00:00:00',4,1,11,2011,'F','S','PRADO','BIGUAÇU','SC','124242241215111431556612575124610116072',NULL,'270',42.90,1,3,NULL),(25,6170935,'1977-07-02 00:00:00',2,5,12,2006,'F','N','BAIRRO CANUDOS','ORLEANS','SC','624241243111133411328713271325610116142',NULL,'580',0.00,1,2,1),(25,6170943,'1991-11-20 00:00:00',4,6,12,2009,'M','N','CENTRO','CEL SAPUCAIA','MS','112124128416361412435832272124610164092',21762,'9998',23.63,1,3,NULL),(25,6170951,'1993-07-30 00:00:00',4,8,12,2010,'M','N','COLONIAL','S BENTO SUL','SC','124244241216161531559932575122610167141',16407,'974',36.72,1,3,NULL),(25,6170978,'1993-08-01 00:00:00',4,6,12,2010,'M','N','ALTO SÃO BENTO','ITAPEMA','SC','124241241137131431333312186124610128047',11843,'406',44.92,1,2,1),(25,6170986,'1993-12-16 00:00:00',4,1,10,2010,'M','N','CENTRO','CURITIBA','PR','116112161215471731119719575125610162142',NULL,'9998',0.00,4,3,NULL),(25,6170994,'1981-10-15 00:00:00',4,15,12,2003,'M','N','CENTRO','SOMBRIO','SC','124241241127131231615623182121131923177',18943,'769',37.03,1,2,1),(25,6171001,'1993-12-18 00:00:00',2,1,12,2010,'F','N','CENTRO','PAULO LOPES','SC','124241241227131421524418572224610112193',17700,'262',34.18,1,3,NULL),(25,6171028,'1993-06-09 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431489932575122610167043',156,'270',80.90,1,3,NULL),(25,6171036,'1993-02-12 00:00:00',4,1,12,2010,'F','N','ICARAI','NITERÓI','RJ','121212211216111431476712575122610166096',5645,'9998',56.02,1,3,NULL),(25,6171044,'1977-02-21 00:00:00',2,15,12,2004,'F','N','DIVINÉIA','ARARANGUÁ','SC','224241241116151421553353372112610161145',21532,'29',27.60,1,3,NULL),(25,6171052,'1993-10-22 00:00:00',2,1,11,2010,'F','N','FZA SANTO ANTONIO','S JOSÉ','SC','124241241117471431339713212124610133097',NULL,'733',17.22,1,2,1),(25,6171060,'1992-03-11 00:00:00',2,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124241241134272431336619574124132544097',8067,'401',51.98,5,2,1),(25,6171079,'1994-06-06 00:00:00',4,4,11,2010,'F','N','ESPLANADA','CHAPECÓ','SC','124241241137131411221923376124610138187',NULL,'175',18.89,1,2,1),(25,6171095,'1991-04-26 00:00:00',5,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215273231453823572124133267041',6509,'269',54.53,1,3,NULL),(25,6171109,'1993-08-05 00:00:00',4,2,11,2010,'M','N','SALTO','BLUMENAU','SC','124242241215272431489931415112610162142',993,'909',72.95,1,3,NULL),(25,6171117,'1993-05-08 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431459613592112610132092',19291,'270',36.29,1,3,NULL),(25,6171125,'1992-05-29 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241315152411544632572124231445092',9623,'1038',49.32,1,3,NULL),(25,6171141,'1993-03-17 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431557813574122610167077',897,'737',73.98,1,3,NULL),(25,6171150,'1991-05-14 00:00:00',4,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','624241241147271431426424482321610136147',NULL,'773',0.00,1,2,1),(25,6171168,'1992-07-02 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241216152731336623585124221267023',7965,'273',54.87,1,3,NULL),(25,6171176,'1993-07-09 00:00:00',4,8,11,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431258833172124610167142',15640,'461',37.51,1,3,NULL),(25,6171184,'1994-07-14 00:00:00',4,5,12,2010,'F','N','CENTRO','TREVISO','SC','124244246215111431433939575124610165052',18352,'995',33.48,1,3,NULL),(25,6171192,'1986-01-01 00:00:00',2,10,12,2003,'F','N','JARDIM MUNHOZ','MOGI GUAÇU','SP','125251251146231331525539435123610164077',19668,'9998',35.43,1,2,1),(25,6171206,'1985-11-28 00:00:00',2,1,11,2003,'F','N','PETROPOLIS','PTO ALEGRE','RS','120243241115145431338923435132330226097',4208,'271',62.77,1,3,NULL),(25,6171214,'1993-07-22 00:00:00',4,8,11,2010,'F','N','PAULAS','S FRANCISCO SUL','SC','124244241217111231459814575122610136092',14973,'459',38.61,1,3,NULL),(25,6171222,'1992-07-06 00:00:00',4,1,12,2009,'M','N','TRÊS RIACHOS','BIGUAÇU','SC','124241241115131231623319392324610167057',NULL,'65',0.00,1,2,1),(25,6171230,'1979-02-10 00:00:00',2,1,6,1999,'M','N','BELA VISTA','S JOSÉ','SC','124213217127174751233343331112343227187',20481,'9998',33.21,2,1,2),(25,6171257,'1990-02-07 00:00:00',4,10,12,2007,'M','N','CENTRO','BRAÇO NORTE','SC','124242241216132421126844245132433212127',14445,'950',44.53,1,3,NULL),(25,6171265,'1991-07-21 00:00:00',4,1,12,2008,'F','N','JARDIM TRIUNFO','PEDREIRA','SP','125252251216571431348921592122610111147',NULL,'9998',0.00,1,3,NULL),(25,6171273,'1993-05-12 00:00:00',4,8,12,2010,'M','N','AMÉRICA','JOINVILLE','SC','124242241214372431339837595122610142142',465,'457',77.91,1,3,NULL),(25,6171281,'1993-08-01 00:00:00',4,4,11,2010,'F','N','QUILOMBO','CUIABÁ','MT','111112111216111431478831475122610166142',2368,'9998',65.41,1,3,NULL),(25,6171290,'1991-03-12 00:00:00',4,1,12,2008,'F','N','CENTRO','PONGAÍ','SP','125251251215571431447812572122610162177',1426,'9998',69.94,1,3,NULL),(25,6171303,'1987-09-23 00:00:00',2,3,12,2004,'F','N','CAPÃO RASO','CURITIBA','PR','116161161215471431253672475124610123097',NULL,'9998',20.71,1,3,NULL),(25,6171311,'1993-06-07 00:00:00',4,4,12,2010,'F','N','CENTRO','PALOTINA','PR','116162161215121411458832575122610164092',NULL,'9998',0.00,1,3,NULL),(25,6171320,'1980-02-09 00:00:00',2,1,12,1987,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216142431539923445124343213092',18740,'266',37.46,1,3,NULL),(25,6171338,'1990-11-13 00:00:00',2,1,12,2007,'F','N','RIO BRANCO','PTO ALEGRE','RS','120201201217472451423619191124243224047',1562,'9998',68.75,1,3,NULL),(25,6171346,'1985-12-14 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247316135751318724285124231217057',21706,'307',25.11,1,3,NULL),(25,6171354,'1991-08-24 00:00:00',2,1,12,2009,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241217372411468911585124130211115',21548,'1022',27.49,1,3,NULL),(25,6171362,'1993-10-06 00:00:00',4,10,12,2010,'M','N','OFICINAS','TUBARÃO','SC','124242246215111331434923392122610167051',NULL,'1120',0.00,1,3,NULL),(25,6171370,'1981-10-20 00:00:00',2,1,12,1999,'F','N','BELA VISTA','S JOSÉ','SC','124161241126135421122444242132610123097',19689,'291',30.16,1,2,1),(25,6171397,'1993-05-28 00:00:00',4,3,11,2010,'M','N','BARRA SUL','BAL CAMBORIÚ','SC','124242241215111441459832575112610167181',446,'1038',78.05,1,3,NULL),(25,6171400,'1992-05-01 00:00:00',2,1,11,2009,'M','N','FORQUILHAS','S JOSÉ','SC','124241241114372431636414381224610131147',14964,'732',38.66,4,2,1),(25,6171419,'1993-06-12 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215121431336913575112610166197',9391,'723',48.68,1,3,NULL),(25,6171427,'1991-07-12 00:00:00',4,1,11,2008,'F','N','JURERE','FLORIANÓPOLIS','SC','124244241315131431335624175124610126187',11589,'96',45.37,1,3,NULL),(25,6171435,'1991-05-24 00:00:00',4,1,12,2008,'M','N','COND VILLEDEMONTAGNE','LG SUL','DF','107074071617471411338839495125140633022',6702,'9998',53.70,1,3,NULL),(25,6171443,'1993-04-08 00:00:00',4,1,10,2010,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125222251235111431478833575125610122142',8622,'9998',53.74,4,3,NULL),(25,6171451,'1993-08-18 00:00:00',4,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241115141431445623342124610124141',NULL,'733',17.64,1,2,1),(25,6171460,'1991-03-26 00:00:00',4,1,11,2008,'M','N','MORUMBI','S PAULO','SP','125252251217511511638811592142610162127',NULL,'9998',50.58,1,3,NULL),(25,6171478,'1993-08-23 00:00:00',4,1,12,2010,'F','N','BELA VISTA I','S JOSÉ','SC','124246241115471431226624474124610124147',8016,'307',51.09,1,3,NULL),(25,6171486,'1992-09-03 00:00:00',2,1,12,2009,'F','N','NSA SRA DAS GRAÇAS','CANOAS','RS','120204201416471431436813571124610163142',10929,'9998',46.35,1,3,NULL),(25,6171494,'1993-10-15 00:00:00',2,17,12,2010,'F','N','SÃO CRISTÓVÃO','PAPANDUVA','SC','124241161215161431339923575114610146175',4453,'9998',59.43,1,3,NULL),(25,6171508,'1992-10-03 00:00:00',4,1,11,2010,'M','N','VILA EMMA','S JOSÉ CAMPOS','SP','125222251245111431253812372112610162092',4436,'9998',62.16,4,3,NULL),(25,6171516,'1993-05-31 00:00:00',4,1,12,2010,'M','N','CENTRO','IMARUÍ','SC','124241241147151421437823475125610144047',19910,'356',30.55,1,3,NULL),(25,6171524,'1981-04-16 00:00:00',2,1,12,1998,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120242241236575431436671211122331227187',1010,'262',73.02,1,3,NULL),(25,6171540,'1992-11-22 00:00:00',4,1,12,2009,'M','N','CHAMPAGNE','GARIBALDI','RS','120201201117472431438832345115610112185',NULL,'9998',45.03,1,2,1),(25,6171559,'1992-06-01 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241115172431336614342114610124042',NULL,'288',29.22,1,3,NULL),(25,6171567,'1993-12-21 00:00:00',4,8,12,2010,'F','N','PARQUE GUARANI','JOINVILLE','SC','124242241215131431334823575124610131147',12412,'456',43.28,1,3,NULL),(25,6171575,'1993-08-26 00:00:00',2,1,12,2010,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241111371321526312575124610118053',20767,'592',32.09,1,2,1),(25,6171583,'1993-04-25 00:00:00',4,2,12,2010,'M','N','GARCIA','BLUMENAU','SC','124242241215272441468932575114610124042',1659,'87',68.13,5,3,NULL),(25,6171591,'1987-08-30 00:00:00',2,1,12,2004,'F','N','RIO BONITO','IRATI','PR','116161161116151431635614245132342226197',NULL,'9998',47.56,1,3,NULL),(25,6171605,'1993-07-25 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115141531523319345124610122147',NULL,'288',29.08,1,2,1),(25,6171613,'1992-06-21 00:00:00',4,8,11,2010,'F','N','COMASA','JOINVILLE','SC','124241241135271431526514242224610122077',NULL,'469',0.00,1,2,1),(25,6171630,'1991-12-05 00:00:00',4,1,12,2008,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124201201116373741468733575124233268092',13646,'9998',45.71,4,2,1),(25,6171648,'1993-07-31 00:00:00',4,1,12,2010,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251216111451478612595122610164182',10014,'9998',51.31,4,3,NULL),(25,6171656,'1993-08-18 00:00:00',4,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241115141431445623342124610124142',NULL,'733',20.49,1,2,1),(25,6171664,'1989-02-05 00:00:00',2,1,12,2006,'M','N','SERRARIA','S JOSÉ','SC','124111111116132421126641315123230827047',NULL,'9998',12.20,4,2,1),(25,6171672,'1993-07-15 00:00:00',4,8,12,2010,'F','N','CRUZEIRO','S BENTO SUL','SC','124241241115271431426422577124610122057',17469,'693',39.81,1,3,NULL),(25,6171680,'1990-10-19 00:00:00',2,1,12,2007,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215573431249963375114123263127',2280,'1026',66.61,1,3,NULL),(25,6171699,'1993-02-16 00:00:00',2,8,12,2009,'F','N','JARDIM CLAUDIA','PINHAIS','PR','116161161115451731424339293334610127057',NULL,'9998',0.00,2,2,1),(25,6171702,'1993-07-02 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241117371731326567575124610124042',11916,'734',43.58,1,2,1),(25,6171710,'1992-12-14 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215373431445633576114610131145',2126,'270',67.92,1,3,NULL),(25,6171729,'1989-02-01 00:00:00',4,15,9,2010,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241247146131431336419285123610127045',NULL,'9999',28.38,1,2,1),(25,6171745,'1992-07-30 00:00:00',4,1,11,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241135271732536622375224610162141',20159,'274',28.03,1,2,1),(25,6171753,'1990-11-19 00:00:00',2,1,12,2008,'M','N','SÃO JOSÉ','S JOSÉ','SC','124241241137374431356622495124610137052',9700,'733',49.72,1,2,1),(25,6171761,'1990-08-25 00:00:00',2,1,12,2007,'F','N','SEDE CAPELA','ITAPIRANGA','SC','124241241117133431458333472344130866187',NULL,'408',0.00,1,2,1),(25,6171770,'1990-11-17 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117471731335544142344610127062',NULL,'287',17.70,1,2,1),(25,6171788,'1992-01-31 00:00:00',4,1,12,2009,'F','N','CAMPO GRANDE','SANTOS','SP','125252251211571431456819572124610163077',2034,'9998',68.16,1,3,NULL),(25,6171796,'1991-05-24 00:00:00',2,8,12,2008,'M','N','PALMITAL','PARANAGUÁ','PR','116162161215572421557612375112610162072',6986,'9998',53.94,3,3,NULL),(25,6171818,'1989-08-08 00:00:00',4,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215575431467711445122132831197',10041,'262',51.26,1,3,NULL),(25,6171826,'1991-11-25 00:00:00',2,1,12,2010,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241136131421524414575124610121147',NULL,'592',20.28,1,2,1),(25,6171834,'1989-03-22 00:00:00',4,1,11,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124203207337151331118679474321610168173',NULL,'9998',14.94,1,3,NULL),(25,6171842,'1993-06-20 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241115471432426614572124610137047',15659,'591',38.82,1,2,1),(25,6171850,'1992-10-11 00:00:00',4,1,12,2010,'M','N','CONJUNTO ATUBA','PINHAIS','PR','116163161215111411638611287124610166097',5977,'9998',58.80,1,3,NULL),(25,6171877,'1992-07-03 00:00:00',4,8,12,2009,'M','N','PORTÃO','CURITIBA','PR','116162161216472431438632575124610162182',NULL,'9998',28.90,1,3,NULL),(25,6171885,'1992-02-11 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242243115271431339623585124610162091',5428,'306',59.90,1,3,NULL),(25,6171893,'1993-02-03 00:00:00',4,7,12,2009,'M','N','PARQUE DE EXPOSIÇÕES','CONCÓRDIA','SC','124241248115472431447823595125610137182',9663,'196',48.22,1,2,1),(25,6171907,'1984-08-16 00:00:00',2,15,12,2010,'M','N','CENTRO','BAL ARROIO SILVA','SC','224241247132131731326644242223610111117',15282,'9999',39.73,1,3,NULL),(25,6171915,'1992-10-29 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124241241115471431356967575112610142192',16969,'239',35.75,1,2,1),(25,6171923,'1982-07-04 00:00:00',2,1,12,2004,'M','N','CENTRO','IRATI','PR','116164167136151431638844445112610134047',17089,'9998',40.47,1,3,NULL),(25,6171931,'1988-12-27 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241312373431126648482124610132072',NULL,'19',30.02,1,3,NULL),(25,6171940,'1988-07-19 00:00:00',2,1,7,2008,'F','N','BELA VISTA I','S JOSÉ','SC','124241241426474421446634245124130823047',NULL,'736',31.03,1,3,NULL),(25,6171958,'1992-02-02 00:00:00',4,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241415373431456619342124610123092',16419,'259',37.06,1,3,NULL),(25,6171966,'1993-12-22 00:00:00',4,4,12,2010,'F','N','NAÇÕES','CONCÓRDIA','SC','124241241135131731424316212124610124057',16252,'194',35.30,1,2,1),(25,6171974,'1975-12-13 00:00:00',4,1,7,1994,'M','N','SERTAO DO MARUIM','S JOSÉ','SC','224203207314132431336842122122140228187',15727,'9998',42.56,2,1,2),(25,6171982,'1993-09-06 00:00:00',4,10,12,2010,'F','N','SÃO CRISTÓVÃO','TUBARÃO','SC','124241241115371731626619572224610125047',NULL,'793',0.00,1,2,1),(25,6171990,'1987-09-12 00:00:00',2,1,12,2005,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241211374441426723342124610136147',18291,'944',34.24,1,3,NULL),(25,6172016,'1990-08-19 00:00:00',4,1,12,2007,'M','N','PINHEIROS','S PAULO','SP','125252281415571431469912572124610167052',235,'9998',80.55,1,3,NULL),(25,6172024,'1992-01-22 00:00:00',4,1,12,2009,'M','N','NOVA RUSSIA','PNT GROSSA','PR','116163161217472731559613582124610134182',8898,'9998',49.47,1,3,NULL),(25,6172032,'1993-08-26 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117241431433319242124610137042',19686,'285',35.40,1,3,NULL),(25,6172040,'1991-01-04 00:00:00',4,1,12,2008,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241115373731325324485114610134141',NULL,'733',24.44,1,2,1),(25,6172059,'1992-06-01 00:00:00',2,1,11,2009,'M','N','SETOR CENTRAL','ANÁPOLIS','GO','109092091216471231438721575112610127042',18803,'9998',33.19,3,3,NULL),(25,6172067,'1990-09-21 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124242241215575431468633572122133224071',1149,'737',72.56,4,3,NULL),(25,6172075,'1992-05-22 00:00:00',4,1,12,2009,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251215472412126927482112610163047',NULL,'9998',0.00,1,3,NULL),(25,6172083,'1993-03-31 00:00:00',2,17,12,2010,'M','N','CAMPO DO GADO','RIO NEGRO','PR','116241168216111231336634575125610127187',NULL,'9998',19.81,1,3,NULL),(25,6172091,'1993-08-30 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431426811575122610136142',6669,'1077',55.20,1,3,NULL),(25,6172105,'1979-08-21 00:00:00',2,1,12,2009,'M','N','BELA VISTA','PALHOÇA','SC','124201247427271431233344245123610167047',NULL,'9999',33.49,4,3,NULL),(25,6172113,'1993-06-13 00:00:00',4,1,12,2012,'F','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111711348812422122610125062',NULL,'883',48.61,1,3,NULL),(25,6172121,'1986-02-16 00:00:00',2,1,12,2004,'F','N','MORRO AGUDO','PAULO LOPES','SC','224241241427232421333359495124610112142',17798,'262',35.18,1,3,NULL),(25,6172130,'1993-05-28 00:00:00',4,8,12,2010,'F','N','BOM RETIRO','JOINVILLE','SC','124161161115471431433722575124610124097',NULL,'9998',32.83,1,2,1),(25,6172148,'1992-10-26 00:00:00',2,17,12,2009,'M','N','CENTRO','UNIÃO VITÓRIA','PR','216242241215471431459933372124610117182',9215,'632',48.55,1,3,NULL),(25,6172156,'1989-10-29 00:00:00',1,1,6,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124283281117271431269833572114610164192',4808,'9998',58.95,1,3,NULL),(25,6172164,'1991-05-27 00:00:00',4,1,12,2009,'F','N','IPANEMA','PTO ALEGRE','RS','120192201217371711578731375124610142096',17346,'9998',37.79,1,3,NULL),(25,6172172,'1993-06-04 00:00:00',4,8,11,2010,'M','N','NOVA BRASÍLIA','JARAGUÁ SUL','SC','121243211216111441469914575122610134012',5497,'9998',56.09,1,3,NULL),(25,6172180,'1986-08-29 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241247124131331338644345114132967061',14893,'9997',39.17,1,2,1),(25,6172199,'1987-12-01 00:00:00',2,1,12,2004,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241117473421214521275123221417052',6013,'772',58.73,1,2,1),(25,6172202,'1993-05-16 00:00:00',2,1,11,2010,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241112161232453362345131610167042',19317,'727',30.80,1,3,NULL),(25,6172210,'1991-12-26 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241235273311257823596114121467067',3992,'266',61.15,1,3,NULL),(25,6172229,'1988-01-18 00:00:00',2,1,12,2005,'M','N','BARREIROS','S JOSÉ','SC','124241241127473411536732242122610118057',17387,'734',36.15,1,2,1),(25,6172237,'1993-09-23 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111751359933575124610164147',NULL,'262',38.85,1,3,NULL),(25,6172245,'1992-12-29 00:00:00',2,9,12,2010,'F','N','SÃO FRANCISCO','LAGES','SC','124241241115271431228914275124610114142',NULL,'935',15.46,1,2,1),(25,6172253,'1993-10-23 00:00:00',2,1,12,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215131731536611282124610125077',12272,'1134',44.70,1,3,NULL),(25,6172261,'1994-03-11 00:00:00',4,1,12,2011,'M','S','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215111311438614575124610134116',NULL,'1022',39.29,1,3,NULL),(25,6172270,'1992-07-10 00:00:00',2,1,12,2010,'M','N','COLINAS','BIRIGÜI','SP','125251251126141431333413245121610132017',19247,'9998',36.40,1,2,1),(25,6172288,'1991-10-28 00:00:00',4,1,12,2008,'F','N','TROPICAL','CASCAVEL','PR','116162161216571431459911572114610165047',1141,'9998',73.00,1,3,NULL),(25,6172296,'1989-02-28 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','624244241412273111247644345112133225197',9621,'292',51.99,1,3,NULL),(25,6172300,'1992-01-27 00:00:00',4,1,12,2008,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241127131431433329246214610164187',NULL,'941',11.51,1,2,1),(25,6172318,'1992-12-28 00:00:00',4,8,11,2010,'M','N','FLORESTA','JOINVILLE','SC','124242241235111441346974245122233264182',11201,'459',49.38,1,3,NULL),(25,6172326,'1993-07-03 00:00:00',4,8,11,2010,'F','N','COMASA','JOINVILLE','SC','124242241215121431434639575114610164197',5631,'1016',56.69,1,3,NULL),(25,6172334,'1985-11-06 00:00:00',4,1,8,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241247336131431336544345114610164077',NULL,'9999',18.78,1,3,NULL),(25,6172342,'1990-08-24 00:00:00',1,2,12,2008,'M','N','VILA NOVA','BLUMENAU','SC','124242246211113441449911595122223214142',11426,'855',49.01,1,3,NULL),(25,6172350,'1980-12-31 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','224281285417331711223344445134610138197',20408,'9998',33.41,1,3,NULL),(25,6172369,'1991-05-23 00:00:00',2,9,12,2008,'F','N','CENTRO','LAGES','SC','124241241112143231436615442344610114043',NULL,'560',21.09,1,2,1),(25,6172377,'1986-05-10 00:00:00',2,1,12,2003,'M','N','MORRO AGUDO','PAULO LOPES','SC','224241241327133421333349495114610142057',16803,'262',36.11,1,3,NULL),(25,6172385,'1989-01-22 00:00:00',2,1,12,2006,'F','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124241241141172431635574245124122311092',18744,'734',31.43,1,2,1),(25,6172393,'1986-12-21 00:00:00',2,1,12,2003,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624201201117272411227644245124142026047',11996,'9998',43.90,1,2,1),(25,6172415,'1993-03-10 00:00:00',2,1,11,2010,'F','N','CANUDOS','ANTÔNIO CARLOS','SC','124243248216131731423419175121610116042',10108,'20',47.23,1,3,NULL),(25,6172423,'1993-12-14 00:00:00',2,8,12,2010,'F','N','BELA VISTA','RIO NEGRINHO','SC','124241241115271431226869295134610128171',12998,'669',46.60,1,2,1),(25,6172431,'1992-02-24 00:00:00',4,3,12,2008,'F','N','JARDIM REBELO','SERTANÓPOLIS','PR','116162161216571751368931575112610164097',6710,'9998',53.36,1,3,NULL),(25,6172440,'1993-07-28 00:00:00',2,3,12,2010,'F','N','ARISTOCRATA','S JOSÉ PINHAIS','PR','116162161217111431448914275124610133142',5584,'9998',56.38,1,3,NULL),(25,6172458,'1992-11-20 00:00:00',4,8,12,2010,'F','N','JARDIM SANTA MARIA','JACAREÍ','SP','125252251215111431236923572122610135182',NULL,'9998',0.00,1,3,NULL),(25,6172466,'1992-04-20 00:00:00',4,1,12,2009,'F','N','AFONSO CAMARGO','APUCARANA','PR','116162161215471711568932573112610141147',642,'9998',75.74,1,3,NULL),(25,6172474,'1992-06-26 00:00:00',4,2,12,2009,'F','N','GARCIA','BLUMENAU','SC','124231241136141711456621345124232764147',NULL,'85',0.00,1,3,NULL),(25,6172482,'1993-08-06 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111221468813575122610127042',5652,'272',57.88,1,3,NULL),(25,6172490,'1994-02-27 00:00:00',2,1,12,2010,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241117271431444923575124610167062',4257,'739',60.84,1,2,1),(25,6172504,'1986-11-19 00:00:00',4,9,12,2005,'M','N','SANTA HELENA','LAGES','SC','124241241127131731111669292124130728057',NULL,'9999',0.00,1,3,NULL),(25,6172512,'1990-03-06 00:00:00',4,1,12,2007,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241216272431369913395122231067042',7718,'262',55.39,1,3,NULL),(25,6172520,'1993-04-04 00:00:00',4,1,11,2010,'M','N','VILA PARAISO','CAÇADOR','SC','124242241215111711444652572124610162147',NULL,'1038',0.00,1,3,NULL),(25,6172539,'1992-07-01 00:00:00',4,9,12,2009,'F','N','SANTA MARIA','LAGES','SC','124241241116151441437923392124610125142',15223,'505',43.37,1,2,1),(25,6172547,'1993-02-19 00:00:00',4,3,12,2010,'M','N','ESTADOS','BAL CAMBORIÚ','SC','124242241215371232474613375112610164091',6059,'44',57.01,1,3,NULL),(25,6172555,'1988-06-05 00:00:00',2,1,8,2006,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241111165721426324482314122221143',19073,'289',36.80,1,2,1),(25,6172563,'1991-08-19 00:00:00',4,1,12,2009,'M','N','LOURDES','BELO HORIZONTE','MG','113132131217471441469811572122610157092',NULL,'9998',0.00,1,3,NULL),(25,6172580,'1971-01-07 00:00:00',2,1,12,1989,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124201203227372421213349415124142861147',17004,'9998',40.61,1,3,NULL),(25,6172598,'1994-12-09 00:00:00',4,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431449932575125610137047',NULL,'262',49.75,1,3,NULL),(25,6172601,'1992-07-31 00:00:00',2,1,12,2009,'F','N','SAUDADE','BIGUAÇU','SC','124241241117371431426311342334610122042',17143,'65',40.38,1,2,1),(25,6172610,'1993-01-03 00:00:00',2,1,12,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124243241117371431444633575124610124172',16188,'592',38.00,1,3,NULL),(25,6172628,'1993-05-30 00:00:00',2,5,12,2010,'M','N','PROSPERA','CRICIÚMA','SC','124242241215111411346611591124610162047',11978,'226',45.85,4,1,2),(25,6172636,'1994-08-09 00:00:00',4,2,12,2011,'F','S','ITOUPAVA NORTE','BLUMENAU','SC','124243241215111431536634582124610114147',NULL,'855',39.04,1,3,NULL),(25,6172652,'1993-02-24 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124243246215372731233614345124610167142',13355,'995',46.14,1,3,NULL),(25,6172687,'1992-04-28 00:00:00',2,15,11,2009,'M','N','CENTRO','BAL ARROIO SILVA','SC','124241241141141411336674241121243267042',NULL,'854',23.81,1,2,1),(25,6172695,'1992-07-08 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241126141431526734445124610143012',NULL,'281',22.74,4,1,1),(25,6172709,'1991-12-01 00:00:00',4,8,12,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161216271711648836575114610162052',NULL,'9998',0.00,1,3,NULL),(25,6172717,'1993-05-30 00:00:00',2,1,12,2010,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124243248216131732426439572212610124147',NULL,'1119',32.27,1,3,NULL),(25,6172725,'1982-05-03 00:00:00',2,1,12,1999,'F','N','PASSA VINTE','PALHOÇA','SC','124241241126141421124641315232610112152',NULL,'521',0.00,1,2,1),(25,6172733,'1992-09-06 00:00:00',2,2,12,2009,'M','N','CENTRO','CASCAVEL','PR','116113161216572731249934572125610134047',11311,'9998',45.90,1,3,NULL),(25,6172741,'1993-07-08 00:00:00',4,8,10,2010,'M','N','CENTRO','JOINVILLE','SC','124242241215211431379834592111610117042',15985,'457',42.17,1,3,NULL),(25,6172750,'1993-09-28 00:00:00',4,1,11,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215121711348924575114610164042',1091,'270',73.48,1,3,NULL),(25,6172768,'1990-03-06 00:00:00',2,15,12,2007,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241111142431423311395121610127047',18948,'30',29.74,1,2,1),(25,6172776,'1991-05-31 00:00:00',4,5,12,2010,'F','N','MINA DO MATO','CRICIÚMA','SC','124243241216111731549711395124610124151',NULL,'211',20.91,1,3,NULL),(25,6172784,'1993-07-25 00:00:00',2,15,10,2010,'F','N','CENTRO','BAL ARROIO SILVA','SC','124241241315111431323331275124610127147',16301,'26',35.33,1,3,NULL),(25,6172792,'1990-12-28 00:00:00',4,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241117271431333364345134133212187',6269,'592',58.18,1,2,1),(25,6172806,'1992-08-07 00:00:00',2,1,12,2009,'M','N','VILA NOVA','IMBITUBA','SC','124241241117131432626314585114610127057',NULL,'359',0.00,1,2,1),(25,6172822,'1993-01-30 00:00:00',2,17,12,2009,'M','N','CENTRO','CANOINHAS','SC','124241241116372431426621575125610167047',14701,'146',39.57,1,2,1),(25,6172849,'1988-02-09 00:00:00',2,1,12,2005,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241126141731328339292323610137047',21090,'41',28.51,1,2,1),(25,6172857,'1993-04-24 00:00:00',4,8,12,2010,'F','N','ESTRADA NOVA','JARAGUÁ SUL','SC','124241241135141411343329246224610156017',NULL,'425',36.36,4,3,NULL),(25,6172865,'1976-10-16 00:00:00',4,1,12,1995,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217152431388923415122131264111',16676,'270',41.12,1,3,NULL),(25,6172873,'1993-06-20 00:00:00',4,17,11,2010,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116162161215471431648813572124610167057',4073,'9998',61.49,1,3,NULL),(25,6172881,'1995-07-06 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111231488831572122610137142',17619,'270',39.55,1,3,NULL),(25,6172890,'1993-11-15 00:00:00',5,1,12,2010,'F','N','JARDIM MARILIZA','GOIÂNIA','GO','109094093316131431326621571124610126147',14813,'9998',39.73,1,3,NULL),(25,6172911,'1991-02-02 00:00:00',4,1,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116162161215571411447732193125610144097',212,'9998',80.58,1,3,NULL),(25,6172920,'1992-07-16 00:00:00',2,3,12,2009,'M','N','JARDIM SAO JORGE','PARANAVAÍ','PR','116164161235471421458833572112610167057',NULL,'9998',0.00,1,3,NULL),(25,6172938,'1993-07-06 00:00:00',2,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124202241215271431438624375115610164187',12210,'44',42.74,1,3,NULL),(25,6172946,'1993-11-28 00:00:00',4,15,12,2010,'F','N','MATO ALTO','ARARANGUÁ','SC','124241248115371411426624572223610127147',NULL,'30',21.51,1,2,1),(25,6172962,'1992-04-09 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241112472431323411175124610121145',8888,'307',51.22,1,2,1),(25,6172970,'1993-12-03 00:00:00',2,9,12,2010,'F','N','CENTRO','LAGES','SC','124241241416131431546815152125610134177',20637,'515',32.61,1,3,NULL),(25,6173004,'1992-12-19 00:00:00',4,17,12,2010,'F','N','BELA VISTA','PTO UNIÃO','SC','124241241116371731428613575124240668197',NULL,'635',29.13,1,2,1),(25,6173012,'1991-01-21 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124131241127471731323329392124610137147',14198,'292',40.56,4,2,1),(25,6173020,'1992-10-30 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242248115131431458612392124610168012',13486,'306',45.95,1,3,NULL),(25,6173039,'1988-01-28 00:00:00',4,1,12,2005,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124133131416111731255654345122141868197',12558,'9998',47.25,1,3,NULL),(25,6173047,'1994-04-20 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122231488831572122610134142',6011,'270',56.82,1,3,NULL),(25,6173055,'1993-11-07 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241115311431367853475122610124072',NULL,'44',25.95,1,3,NULL),(25,6173063,'1990-06-13 00:00:00',4,8,12,2008,'M','N','ALTO DE PINHEIROS','S PAULO','SP','125252251411571331557812371124610137142',NULL,'9998',0.00,3,3,NULL),(25,6173071,'1992-10-08 00:00:00',4,8,12,2009,'F','N','CENTRO','MAMBORÊ','PR','116162161215472431446615575125610164092',2463,'9998',67.59,1,3,NULL),(25,6173080,'1993-04-18 00:00:00',2,8,12,2010,'F','N','SANTO ANTONIO','JOINVILLE','SC','124254241415111531439814595122610165187',19255,'456',36.38,1,3,NULL),(25,6173098,'1989-10-19 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124131241127471731323329492124610137147',NULL,'292',22.56,1,2,1),(25,6173101,'1994-03-14 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241215112231346614572124610128187',8724,'1022',49.86,1,3,NULL),(25,6173110,'1993-05-24 00:00:00',2,1,11,2010,'M','N','CENTRO SUL','CUIABÁ','MT','111112111217111431438834575125610137045',18037,'9998',33.81,1,3,NULL),(25,6173136,'1992-09-25 00:00:00',2,15,12,2009,'F','N','IGARA','CANOAS','RS','120201201217571431525319292124610161057',8365,'9998',51.49,4,3,NULL),(25,6173144,'1993-04-30 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241136431731214629572124610164177',16985,'287',37.76,4,2,1),(25,6173152,'1993-08-17 00:00:00',4,1,12,2010,'M','N','MARECHAL RONDON','CANOAS','RS','120202201217471431358614285124610124173',9555,'9998',48.39,1,3,NULL),(25,6173160,'1992-12-21 00:00:00',4,1,12,2009,'M','N','BUTIATUVINHA','CURITIBA','PR','116162161217571431457832572112610164147',3989,'9998',60.98,1,3,NULL),(25,6173195,'1984-11-12 00:00:00',2,1,12,2002,'M','N','CAMPINAS','S JOSÉ','SC','124241241137135451123144345124133247047',15046,'521',39.47,1,2,1),(25,6173209,'1993-05-05 00:00:00',4,8,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124241241117271431449614575122610133112',NULL,'430',23.42,1,2,1),(25,6173217,'1994-03-02 00:00:00',4,2,10,2010,'M','N','VELHA','BLUMENAU','SC','124242241215121431469712375122610164146',377,'909',78.63,1,3,NULL),(25,6173225,'1991-03-15 00:00:00',4,1,12,2008,'M','N','SAÚDE','S PAULO','SP','125252251217472331268833575112610137041',6654,'9998',54.28,1,3,NULL),(25,6173233,'1986-08-19 00:00:00',4,1,12,2003,'F','N','LAGOA DE CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241216133421345914445114321232097',15095,'67',43.55,1,3,NULL),(25,6173250,'1984-02-17 00:00:00',2,17,12,2010,'M','N','CENTRO','CANOINHAS','SC','124161247125271431426621185125610166187',NULL,'9999',0.00,1,2,1),(25,6173268,'1993-08-12 00:00:00',2,1,12,2010,'F','N','CAMINHO NOVO','PALHOÇA','SC','124243241117371331526611275114610125072',16014,'733',42.12,1,3,NULL),(25,6173284,'1993-05-25 00:00:00',2,8,11,2010,'F','N','IRIRIÚ','JOINVILLE','SC','124242241215411731326824595112610147142',6548,'1016',56.44,1,3,NULL),(25,6173292,'1992-10-19 00:00:00',2,1,12,2009,'F','N','INTERIOR','ANTA GORDA','RS','120202201217471411425716571125610124187',5122,'9998',58.74,1,3,NULL),(25,6173306,'1992-04-13 00:00:00',4,8,12,2009,'F','N','PORTÃO','CURITIBA','PR','116163161126572711446639575112610166096',355,'9998',78.52,1,3,NULL),(25,6173322,'1987-04-26 00:00:00',2,1,12,2005,'M','N','COHA II','RIO GRANDE','RS','120201201117151731223679345124241124147',NULL,'9998',20.00,1,3,NULL),(25,6173330,'1993-04-08 00:00:00',4,8,12,2010,'F','N','SANTA CANDIDA','CURITIBA','PR','116162161215111731658312372114610162182',NULL,'9998',0.00,4,3,NULL),(25,6173373,'1978-10-17 00:00:00',2,1,12,1996,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124161163137272731321248182113321366193',NULL,'9998',0.00,1,2,1),(25,6173381,'1983-09-09 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124161161126272731223379392124610124042',15951,'9998',37.84,2,1,1),(25,6173403,'1992-09-16 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117472431243923576114610117057',5967,'412',56.20,1,2,1),(25,6173411,'1992-08-14 00:00:00',4,8,12,2010,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241217371751469914575122610168012',2458,'459',66.14,1,3,NULL),(25,6173438,'1993-07-20 00:00:00',4,3,12,2010,'F','N','ZONA CINCO','MARINGÁ','PR','116164161217111431468834445122610164142',2176,'9998',68.16,1,3,NULL),(25,6173446,'1991-09-04 00:00:00',2,1,12,2008,'F','N','CENTRO','VANINI','RS','120201208116471431321823495324111557142',17576,'9998',39.63,1,2,1),(25,6173454,'1993-09-11 00:00:00',2,15,10,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124241241215111131313334581121610124147',21128,'26',24.68,2,1,2),(25,6173462,'1991-11-12 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241212372431468811572122610167053',4082,'270',60.77,1,3,NULL),(25,6173470,'1991-05-07 00:00:00',4,2,12,2008,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241215573431559614475124610132097',1743,'855',70.27,1,3,NULL),(25,6173489,'1993-10-15 00:00:00',4,10,11,2010,'F','N','BEIJA FLOR','JAGUARUNA','SC','124241241116371431435611272224610134142',13856,'421',40.06,1,3,NULL),(25,6173500,'1980-02-12 00:00:00',2,1,12,1997,'F','N','ALTO DA PONTE','S JOSÉ CAMPOS','SP','125251251127134711339513241124143224047',17841,'9998',39.15,4,1,1),(25,6173519,'1983-11-11 00:00:00',2,1,12,2000,'F','N','VILA SOBRINHO','CPO GRANDE','MS','112122121216571741548931415122141362091',NULL,'9998',0.00,1,3,NULL),(25,6173535,'1992-09-26 00:00:00',2,1,12,2010,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241248127271431526611342121610138052',18527,'1009',37.88,1,2,1),(25,6173543,'1993-11-10 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215472431468933275124610136182',2025,'270',68.52,1,3,NULL),(25,6173551,'1990-07-26 00:00:00',4,4,12,2009,'F','N','CENTRO','LARANJEIRAS SUL','PR','116161161112472431556614572115610166172',4146,'9998',60.04,1,2,1),(25,6173578,'1992-01-07 00:00:00',4,1,12,2008,'M','N','MOSSUNGUE','CURITIBA','PR','116161161215572421248814275122610162187',NULL,'9998',0.00,1,3,NULL),(25,6173586,'1965-06-18 00:00:00',2,6,9,1998,'M','N','CENTRO','CAMBORIÚ','SC','224241247126141431333349195122331956047',16460,'9999',41.45,4,3,NULL),(25,6173594,'1976-11-22 00:00:00',2,1,12,2000,'F','N','SERRARIA','S JOSÉ','SC','224241245227271421423344242122132761097',NULL,'266',0.00,1,3,NULL),(25,6173608,'1993-05-23 00:00:00',2,1,11,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241225131411637613284124610136142',8988,'262',48.69,1,3,NULL),(25,6173616,'1992-04-24 00:00:00',1,2,11,2009,'M','N','BARRAGEM','RIO SUL','SC','124242241216131751558539295124610128182',12000,'654',48.15,1,3,NULL),(25,6173624,'1993-08-16 00:00:00',4,7,11,2010,'F','N','CENTRO','JOAÇABA','SC','124242161217321731369811595122610166187',9862,'446',51.59,1,3,NULL),(25,6173640,'1992-04-06 00:00:00',4,1,12,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241432132152226514573114610122144',15874,'1075',38.93,1,3,NULL),(25,6173659,'1993-12-09 00:00:00',4,9,12,2010,'M','N','BELA VISTA','LAGES','SC','124241241335131431622629291124610148142',10292,'499',47.46,1,3,NULL),(25,6173667,'1995-02-06 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431366823571122610114195',11766,'270',48.53,1,3,NULL),(25,6173675,'1990-07-07 00:00:00',2,1,12,2007,'M','N','FLORESTA','S JOSÉ','SC','124241248315474431548413385124231436131',7627,'307',51.59,1,3,NULL),(25,6173683,'1993-06-24 00:00:00',4,9,11,2010,'M','N','SANTA RITA','LAGES','SC','124242241215121431479913575122610117121',NULL,'497',26.65,1,3,NULL),(25,6173691,'1991-09-01 00:00:00',4,7,12,2008,'F','N','CENTRO','CURITIBA','PR','116242161215573431547616575124610122172',5210,'446',57.85,1,3,NULL),(25,6173705,'1952-08-22 00:00:00',2,1,12,1998,'M','N','FLORESTA','S JOSÉ','SC','224241247112151412543743332112332036053',17898,'9999',39.04,1,3,NULL),(25,6173713,'1992-01-31 00:00:00',4,1,11,2008,'F','N','KOBRASOL','S JOSÉ','SC','124243241215373412446833575124610123142',8111,'1076',52.08,2,3,NULL),(25,6173730,'1992-07-29 00:00:00',2,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124243244135471431525819585125610164087',NULL,'239',30.17,1,3,NULL),(25,6173748,'1981-12-16 00:00:00',2,1,12,2002,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241248122272431121344342313610122047',16666,'294',36.41,1,2,1),(25,6173756,'1989-06-10 00:00:00',2,1,12,2010,'M','N','RIO GRANDE','PALHOÇA','SC','124241246111371731454439392124610167142',NULL,'306',0.00,4,2,1),(25,6173764,'1987-11-05 00:00:00',4,1,12,2004,'F','N','LIBERDADE','S PAULO','SP','125252251212571431668911571122343227092',4994,'9998',58.14,1,3,NULL),(25,6173772,'1993-09-04 00:00:00',4,4,11,2010,'M','N','CENTRO','CHAPECÓ','SC','124242241217471431569911575125610127052',1269,'185',71.88,1,3,NULL),(25,6173780,'1993-08-31 00:00:00',4,16,12,2010,'M','N','PEREIRA ALVES','CORREIA PINTO','SC','124241242115121431523314495122610137052',NULL,'960',11.82,4,2,1),(25,6173799,'1992-12-10 00:00:00',4,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124244244215131431326669572124610164077',NULL,'459',27.87,1,3,NULL),(25,6173802,'1989-06-09 00:00:00',4,8,12,2006,'F','N','VILA NOVA','JOINVILLE','SC','124241241137474531358633345122230234147',15063,'473',43.59,1,2,1),(25,6173810,'1992-07-25 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241126272732533614245124610131067',NULL,'592',20.59,1,2,1),(25,6173829,'1992-01-16 00:00:00',4,8,12,2010,'F','N','CAPÃO RASO','CURITIBA','PR','116161165115471431443919392124610166092',6551,'9998',54.24,1,2,1),(25,6173845,'1989-09-28 00:00:00',4,8,12,2007,'F','N','REBOUÇAS','CURITIBA','PR','116242241216574421449933445124243222147',NULL,'666',0.00,1,3,NULL),(25,6173853,'1991-01-07 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117573431337313475114610112143',10329,'307',47.17,1,2,1),(25,6173870,'1992-02-11 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','116251251127471431447912125124610134147',14764,'9998',40.60,1,2,1),(25,6173888,'1993-01-23 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241115271431228824572124610117052',17377,'307',37.54,1,2,1),(25,6173900,'1994-02-04 00:00:00',4,1,12,2010,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251217121311379812571124610165152',NULL,'9998',0.00,1,3,NULL),(25,6173926,'1993-05-08 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112751379913575115610168195',2712,'270',66.43,1,3,NULL),(25,6173934,'1989-01-06 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217372431668614575112120738192',6638,'497',57.40,1,3,NULL),(25,6173950,'1982-03-28 00:00:00',2,1,7,2000,'F','N','AREIAS','S JOSÉ','SC','624243247436273421348654245124130221197',14532,'9999',44.39,1,3,NULL),(25,6173969,'1989-11-15 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124253247316141711348849285124610133045',NULL,'9999',18.77,1,3,NULL),(25,6173977,'1990-03-01 00:00:00',4,8,11,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124244241145273431426424244124610126077',NULL,'464',37.90,4,3,NULL),(25,6173993,'1992-06-08 00:00:00',2,1,11,2009,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161217572751668713571122610118047',3316,'9998',62.88,1,3,NULL),(25,6174000,'1992-07-03 00:00:00',2,8,12,2009,'M','N','IBIRAQUERA','IMBITUBA','SC','124162161216271411349612595111610167047',6956,'9997',56.02,1,3,NULL),(25,6174019,'1988-07-29 00:00:00',2,15,12,2010,'M','N','IGRA','TORRES','RS','120201201416111411636634445122610167042',NULL,'9998',28.51,1,3,NULL),(25,6174035,'1992-01-10 00:00:00',4,8,12,2009,'F','N','VILA MONTE ALEGRE','S PAULO','SP','125252251115471431358814575115610142186',1531,'9998',69.39,1,3,NULL),(25,6174043,'1992-05-21 00:00:00',4,8,12,2009,'M','N','CENTRO','PNT GROSSA','PR','116162161217471731479633575122610167122',2130,'9998',68.82,1,3,NULL),(25,6174051,'1984-04-26 00:00:00',4,8,12,2002,'M','N','SANTA CATARINA','JOINVILLE','SC','224241241126471431446644242123131424042',NULL,'492',33.31,1,2,1),(25,6174060,'1993-03-30 00:00:00',4,1,10,2010,'F','N','ALTO DA GLÓRIA','CURITIBA','PR','116164161215121431468933575112610122142',NULL,'9998',0.00,1,3,NULL),(25,6174078,'1987-01-09 00:00:00',4,1,12,2004,'F','N','CIDADE JARDIM','LIMEIRA','SP','125252251216571431456614571122341762182',472,'9998',77.83,1,3,NULL),(25,6174086,'1988-04-13 00:00:00',4,1,5,2006,'M','N','ACAMARI','VIÇOSA','MG','113132281416273411469933375125121422092',7766,'9998',50.57,1,3,NULL),(25,6174094,'1989-11-04 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117373432326514392224610124117',21522,'359',27.69,1,2,1),(25,6174108,'1994-01-05 00:00:00',2,1,12,2010,'F','N','NOVA DESCOBERTA','TIJUCAS','SC','124241241215111731443339575124610168197',NULL,'948',0.00,1,3,NULL),(25,6174116,'1988-09-12 00:00:00',4,1,12,2005,'F','N','SANTA GENOVEVA','GOIÂNIA','GO','109092091216571431577612572122343264187',604,'9998',75.75,1,3,NULL),(25,6174124,'1993-07-27 00:00:00',4,3,11,2010,'F','N','GUABIROTUBA','CURITIBA','PR','116162161216471431489914272122610117187',NULL,'9998',0.00,1,3,NULL),(25,6174132,'1992-04-07 00:00:00',2,1,12,2009,'F','N','GUAÍRA','CURITIBA','PR','116162161215571411456619595124610143182',NULL,'9998',0.00,1,3,NULL),(25,6174140,'1984-06-25 00:00:00',4,1,12,2002,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124252241216143421359923445132333265072',14219,'270',44.84,1,3,NULL),(25,6174159,'1991-11-30 00:00:00',4,1,12,2008,'M','N','CABRAL','CURITIBA','PR','116162161216373441468814575124610125122',8457,'9998',51.35,1,3,NULL),(25,6174167,'1993-05-26 00:00:00',4,8,12,2010,'M','N','BELO HORIZONTE','CPO ALEGRE','SC','124242241216161431436816375124610138097',8837,'974',49.36,1,3,NULL),(25,6174175,'1992-05-25 00:00:00',4,8,12,2009,'M','N','CENTRO','MARIALVA','PR','116162161215471431446831575112610117012',NULL,'9998',0.00,1,3,NULL),(25,6174183,'1991-10-15 00:00:00',4,1,11,2009,'M','N','JARDIM DA SAÚDE','S PAULO','SP','125252251436471431448812575125610124092',NULL,'9998',0.00,1,3,NULL),(25,6174213,'1990-03-29 00:00:00',4,8,11,2007,'F','N','CENTRO','COCAL SUL','SC','124242161216574431348714574124610164177',1304,'9998',70.82,1,3,NULL),(25,6174221,'1985-09-22 00:00:00',4,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224241247617131721214159192124610167017',NULL,'9999',0.00,1,3,NULL),(25,6174230,'1993-07-14 00:00:00',4,1,12,2010,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124243241325111412428421595224610125192',11591,'262',44.86,1,3,NULL),(25,6174248,'1991-11-24 00:00:00',4,8,12,2008,'F','N','AMÉRICA','JOINVILLE','SC','124242241214574421369811311112610163112',3925,'486',61.70,1,3,NULL),(25,6174256,'1986-12-08 00:00:00',2,1,11,2004,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216152711439921342124221567182',NULL,'883',0.00,1,3,NULL),(25,6174264,'1993-02-05 00:00:00',1,2,12,2010,'M','N','CENTRO','POMERODE','SC','124244241416111412438822575122610162041',13405,'624',42.38,1,3,NULL),(25,6174272,'1993-11-17 00:00:00',4,4,12,2010,'F','N','LINHA BALIZA','MAREMA','SC','124241241125141431523315372224610116057',NULL,'554',19.69,1,3,NULL),(25,6174280,'1988-06-23 00:00:00',4,1,12,2006,'M','N','CENTRO','BOTUCATU','SP','125252251214572431588831571125610132022',NULL,'9998',0.00,4,3,NULL),(25,6174299,'1993-08-25 00:00:00',2,4,12,2010,'F','N','CENTRO','GALVÃO','SC','124241241115131431359933475122610134187',NULL,'321',18.10,1,2,1),(25,6174302,'1991-04-15 00:00:00',2,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241216132731433619445124221241147',16466,'1223',41.44,1,3,NULL),(25,6174329,'1979-04-28 00:00:00',2,1,12,1996,'F','N','CENTRO','FLORIANÓPOLIS','SC','120204201416574431558834473124333264092',NULL,'9998',42.49,4,3,NULL),(25,6174337,'1992-07-25 00:00:00',4,1,12,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124123121116271431458633535124610162095',4175,'9998',61.62,1,3,NULL),(25,6174353,'1990-05-17 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241126574711423324285124221322147',1200,'274',72.45,1,2,1),(25,6174361,'1980-11-29 00:00:00',2,8,12,1999,'F','N','NOVO MUNDO','CURITIBA','PR','216161161126272721233351375112141362187',NULL,'9998',32.04,4,1,1),(25,6174370,'1986-12-06 00:00:00',4,4,12,2003,'F','N','COLATTO','XANXERÊ','SC','124241241136131731456612445122331426142',11462,'840',48.95,1,3,NULL),(25,6174388,'1990-01-26 00:00:00',2,8,12,2007,'F','N','MORADA DO SOL','CASTRO','PR','116162161216571531468631575114610167187',NULL,'9998',0.00,1,3,NULL),(25,6174396,'1993-11-10 00:00:00',4,3,12,2010,'F','N','CENTRO','CANITAR','SP','125252251215121431456912585122610167047',13794,'9998',41.18,1,3,NULL),(25,6174400,'1992-05-29 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241111272431667613572124610127077',5373,'271',57.41,4,1,1),(25,6174418,'1993-04-07 00:00:00',2,8,12,2010,'F','N','REBOUÇAS','CURITIBA','PR','116163161215111431339811474114610124057',11427,'9998',49.01,1,3,NULL),(25,6174426,'1993-04-29 00:00:00',2,9,11,2010,'F','N','CENTRO','LAGES','SC','124244247215111411445931575122610144122',21231,'1207',29.86,1,3,NULL),(25,6174434,'1993-03-11 00:00:00',2,5,12,2010,'F','N','PINHEIRINHO','CRICIÚMA','SC','124242246217131411548913575125610132057',NULL,'995',35.41,2,3,NULL),(25,6174442,'1992-02-22 00:00:00',2,8,12,2008,'F','N','BIGORRILHO','CURITIBA','PR','116161161115571431558913575112610167042',4032,'9998',60.49,1,2,1),(25,6174450,'1993-05-28 00:00:00',2,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241216111431335953575122610124187',9551,'1010',48.54,1,3,NULL),(25,6174469,'1993-12-16 00:00:00',4,1,11,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112431479913575124610132112',1463,'262',70.28,1,3,NULL),(25,6174477,'1986-05-29 00:00:00',4,1,12,2004,'F','N','BARREIROS','S JOSÉ','SC','124241241127271431325424245123610127112',20287,'609',33.80,1,2,1),(25,6174493,'1990-03-26 00:00:00',4,1,12,2007,'F','N','CENTRO','LONDRINA','PR','116162161216571431458812581114610122092',3796,'9998',61.60,1,3,NULL),(25,6174507,'1990-05-03 00:00:00',4,1,11,2007,'F','N','PARAÍSO','S PAULO','SP','125252251215571431468711571124610163072',3317,'9998',62.64,1,3,NULL),(25,6174515,'1993-03-06 00:00:00',2,1,12,2010,'F','N','PONTA NEGRA','NATAL','RN','119241191215121431267922374114610135172',NULL,'9998',37.84,1,3,NULL),(25,6174523,'1994-02-11 00:00:00',2,10,12,2011,'F','S','CENTRO','STA GERTRUDES','SP','125253251417111751234429572124610128197',NULL,'9998',33.23,1,3,NULL),(25,6174531,'1993-07-02 00:00:00',2,1,12,2010,'F','N','ZONA SETE','MARINGÁ','PR','116162161217111431376811215112610164117',NULL,'9998',29.39,1,3,NULL),(25,6174540,'1993-04-02 00:00:00',2,2,12,2010,'F','N','GARCIA','BLUMENAU','SC','116242161217112731486911475115610114142',3119,'9998',62.96,1,3,NULL),(25,6174566,'1993-03-14 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241214111431466812474122610142092',6791,'1063',52.98,1,3,NULL),(25,6174574,'1990-06-21 00:00:00',4,8,6,2008,'F','N','ATUBA','CURITIBA','PR','116072281226571431489833575114141432076',60,'9998',85.16,4,3,NULL),(25,6174582,'1994-01-12 00:00:00',4,1,12,2010,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241217131431532334345124610167047',13318,'63',46.20,1,3,NULL),(25,6174590,'1993-10-06 00:00:00',4,4,12,2010,'F','N','INTERIOR','CHAPECÓ','SC','124241241115151431434615572124610167047',NULL,'169',0.00,1,2,1),(25,6174604,'1992-11-22 00:00:00',2,10,12,2009,'M','N','CENTRO','ORLEANS','SC','124241241136231751533979385122610125047',NULL,'580',19.45,1,2,1),(25,6174620,'1994-09-09 00:00:00',4,4,12,2010,'F','N','RIO BRANCO','PTO ALEGRE','RS','120241201216471411169932274124610156171',5974,'9998',55.36,1,3,NULL),(25,6174647,'1991-04-19 00:00:00',2,1,12,2009,'F','N','POMPEIA','S PAULO','SP','125252251217471631353651571124610132197',NULL,'9998',0.00,1,3,NULL),(25,6174655,'1987-09-10 00:00:00',2,1,12,2004,'F','N','JARDIM AQUÁRIUS','PALHOÇA','SC','124241241115472421133643332334610167187',6686,'739',53.42,1,2,1),(25,6174663,'1991-11-18 00:00:00',2,8,12,2009,'F','N','REBOUÇAS','CURITIBA','PR','116164161116471711337812575114610164112',NULL,'9998',31.83,1,3,NULL),(25,6174671,'1992-06-09 00:00:00',4,1,12,2009,'M','N','URCA','RIO JANEIRO','RJ','121254211417471411579933275124610167097',5283,'9998',60.23,1,3,NULL),(25,6174680,'1992-09-28 00:00:00',2,8,12,2009,'F','N','VILA CUBAS','TIJUCAS SUL','PR','116161161415571421427732174124610165192',1749,'9998',69.45,1,3,NULL),(25,6174698,'1990-01-19 00:00:00',2,5,11,2007,'M','N','SÃO LUIZ','CRICIÚMA','SC','124241241117142431328423375124610138182',19700,'209',27.95,1,2,1),(25,6174701,'1992-01-28 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241111372431533314585124610133147',NULL,'732',36.51,1,2,1),(25,6174728,'1993-02-04 00:00:00',4,8,12,2010,'M','N','BUCAREM','JOINVILLE','SC','124242241215272421366612595112610167112',7690,'1063',52.37,1,3,NULL),(25,6174736,'1993-08-26 00:00:00',4,6,11,2010,'F','N','CENTRO','TOLEDO','PR','116162161215421411567832574122610164097',NULL,'9998',0.00,4,3,NULL),(25,6174744,'1976-01-20 00:00:00',2,1,6,1995,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','224203207617131421434754342123141462057',16640,'9998',41.18,1,3,NULL),(25,6174752,'1987-12-27 00:00:00',4,1,12,2008,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241137131532533313345124131014172',20455,'733',33.31,1,3,NULL),(25,6174760,'1991-06-30 00:00:00',4,1,11,2008,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242246236372431657931345124121711187',10430,'1059',46.79,1,3,NULL),(25,6174779,'1988-06-16 00:00:00',2,1,12,2005,'M','N','RIO BRANCO','PTO ALEGRE','RS','120202201215571441558734495122140634092',1655,'9997',68.77,1,3,NULL),(25,6174787,'1991-11-29 00:00:00',4,2,12,2009,'M','N','VALPARAISO','BLUMENAU','SC','124241241145371441424331342224610122142',NULL,'85',21.73,1,2,1),(25,6174795,'1993-10-15 00:00:00',4,2,12,2010,'F','N','SÃO PEDRO','GUABIRUBA','SC','124241248215121431676411375122610134142',12967,'109',43.50,1,3,NULL),(25,6174809,'1962-10-15 00:00:00',2,15,11,1986,'M','N','CIDADE ALTA','ARARANGUÁ','SC','624242246426161431233542121132130224181',NULL,'27',30.56,1,3,NULL),(25,6174817,'1987-04-29 00:00:00',4,1,12,2004,'M','N','CENTRO','S JOSÉ','SC','124242241217152431428472435114320567042',19519,'1076',35.77,1,3,NULL),(25,6174825,'1993-03-29 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241325111411423319315124610125142',13482,'262',41.56,1,3,NULL),(25,6174841,'1992-07-14 00:00:00',4,8,12,2010,'F','N','CENTRO','LONDRINA','PR','116162161217111531548811471122610113147',3864,'9998',63.65,3,3,NULL),(25,6174850,'1992-10-10 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431469813432112610127042',13733,'262',41.61,1,3,NULL),(25,6174884,'1992-07-01 00:00:00',4,1,11,2010,'M','N','COMPENSA I','MANAUS','AM','104042041217111431369814572122610154012',7559,'9998',52.12,1,3,NULL),(25,6174892,'1993-03-12 00:00:00',3,2,12,2010,'F','N','GARCIA','BLUMENAU','SC','124242241215111631236629575125610144192',12569,'71',47.24,1,3,NULL),(25,6174906,'1991-01-09 00:00:00',4,10,12,2008,'M','N','CENTRO','TUBARÃO','SC','124243241117373531324624492314610164042',14703,'1034',42.93,1,3,NULL),(25,6174922,'1991-11-03 00:00:00',4,8,12,2009,'M','N','ESTRADINHA','PARANAGUÁ','PR','116162161217271431556911272125142657182',NULL,'9998',0.00,1,3,NULL),(25,6174930,'1983-01-22 00:00:00',2,1,1,2001,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124201201217251441223844445124131434057',NULL,'9998',0.00,3,3,NULL),(25,6174949,'1990-04-14 00:00:00',4,1,12,2006,'F','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120111111116131411228427595114610117042',NULL,'9998',0.00,1,2,1),(25,6174957,'1993-10-28 00:00:00',4,1,11,2010,'M','N','AREIAS','S JOSÉ','SC','124241241117251451446329195134610167072',NULL,'734',30.71,1,2,1),(25,6174965,'1991-11-19 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241225142421633331245124230262197',NULL,'262',0.00,1,3,NULL),(25,6174973,'1989-07-13 00:00:00',4,1,8,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244247247371411358311375124610162142',2271,'227',68.27,1,3,NULL),(25,6174981,'1987-03-23 00:00:00',4,1,12,2001,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224242241211141421328641415124610117042',NULL,'724',30.45,1,3,NULL),(25,6174990,'1992-12-07 00:00:00',2,5,11,2010,'F','N','MICHEL','CRICIÚMA','SC','124242241215271431446611595122610127187',NULL,'210',0.00,1,3,NULL),(25,6175007,'1993-05-16 00:00:00',2,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241116371431534619292124610138057',13849,'772',40.42,1,2,1),(25,6175015,'1993-04-25 00:00:00',2,1,12,2010,'M','N','INTERIOR','MARAU','RS','120201201116371431323336276124610127042',18306,'9998',32.24,1,2,1),(25,6175023,'1992-02-02 00:00:00',2,7,12,2008,'F','N','SÃO CRISTOVÃO','VIDEIRA','SC','120241201115573411435634571114610144187',6846,'9998',53.62,4,2,1),(25,6175031,'1993-08-06 00:00:00',4,5,11,2010,'M','N','CEARA','CRICIÚMA','SC','124232241215112431583812315124610134142',5744,'226',56.24,1,3,NULL),(25,6175082,'1991-08-08 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124203241115151311456613472112610164042',NULL,'257',43.77,1,3,NULL),(25,6175090,'1993-03-05 00:00:00',2,5,10,2010,'M','N','VERDINHO','CRICIÚMA','SC','124244241215111431423315575124610138147',12532,'880',43.78,1,3,NULL),(25,6175112,'1986-04-18 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124164241146274431447614345134610126147',12545,'580',42.91,1,3,NULL),(25,6175120,'1993-03-22 00:00:00',2,6,12,2010,'M','N','CIDADE NOVA','ITAJAÍ','SC','124241241117131431424314275124610111097',21059,'401',24.94,1,2,1),(25,6175139,'1993-07-02 00:00:00',4,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241117471431446719575122610166147',18337,'592',38.22,1,3,NULL),(25,6175147,'1993-09-27 00:00:00',2,5,12,2010,'F','N','ANGELO GUOLLO','COCAL SUL','SC','124241241126271411444214275124610137072',NULL,'189',16.48,1,2,1),(25,6175155,'1991-03-07 00:00:00',4,1,11,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241216574431368811575114610164012',2414,'270',66.74,1,3,NULL),(25,6175163,'1992-11-15 00:00:00',4,2,12,2009,'F','N','VILA NOVA','BLUMENAU','SC','124242241215472431458832575122610122172',3917,'855',60.15,1,3,NULL),(25,6175171,'1990-12-16 00:00:00',2,1,12,2007,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124153241117273431534631312214610134042',7949,'9997',52.67,1,3,NULL),(25,6175180,'1987-07-02 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241247235372431536833372124132825181',8786,'9999',49.85,1,3,NULL),(25,6175198,'1993-04-22 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124243241215112431328623572224610128037',9108,'1118',49.96,1,3,NULL),(25,6175201,'1986-09-08 00:00:00',4,1,11,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124251241217273421346519345133133222067',16842,'943',40.88,1,3,NULL),(25,6175210,'1993-08-27 00:00:00',4,8,12,2010,'F','N','JARIVABUTA','JOINVILLE','SC','124241241115271731533331572124610167147',9290,'492',49.04,1,2,1),(25,6175244,'1992-04-24 00:00:00',4,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124242241216373431569914575112130715142',8858,'1119',51.19,1,3,NULL),(25,6175252,'1986-09-01 00:00:00',4,1,12,2005,'M','N','CENTRO','PASSO FUNDO','RS','120206207627161431238619391124141031042',17853,'9998',39.12,1,3,NULL),(25,6175260,'1991-05-16 00:00:00',4,1,12,2008,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241117273431526611575124231436172',7086,'772',52.97,1,2,1),(25,6175279,'1991-10-26 00:00:00',4,1,11,2008,'F','N','KOBRASOL','S JOSÉ','SC','124162161115572431459934575124610124032',1538,'9998',70.84,1,3,NULL),(25,6175287,'1993-11-21 00:00:00',4,1,12,2010,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241116141431433614345124610135052',21238,'772',29.81,1,2,1),(25,6175295,'1992-08-05 00:00:00',4,4,12,2009,'F','N','ALTO DA XV','GUARAPUAVA','PR','116161161214272411359933574125610158037',701,'9998',75.99,4,3,NULL),(25,6175309,'1991-11-02 00:00:00',2,1,12,2010,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241125131521644314345124610168143',18578,'592',32.01,1,2,1),(25,6175317,'1992-07-16 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272731559934572122130464145',5893,'1022',57.37,1,3,NULL),(25,6175325,'1993-02-13 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215371711338823472125610124062',14340,'213',44.66,1,3,NULL),(25,6175333,'1988-08-16 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241316273431436613445124610122141',8955,'269',49.59,1,3,NULL),(25,6175341,'1993-05-29 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124241241112271431544923575114610127057',7761,'307',52.54,2,1,1),(25,6175368,'1982-08-06 00:00:00',2,1,12,2010,'F','N','ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC','124241248122331712313168282344610155142',NULL,'291',0.00,1,3,NULL),(25,6175376,'1993-05-12 00:00:00',4,5,12,2010,'M','N','CENTRO','SIDERÓPOLIS','SC','124242241215272151546631574124610165147',1681,'226',69.39,1,3,NULL),(25,6175384,'1993-02-26 00:00:00',4,6,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124243241437141431629613435114610147147',NULL,'574',0.00,1,3,NULL),(25,6175392,'1991-11-02 00:00:00',2,1,12,2009,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241146142431644314445123610122142',17572,'592',34.38,1,2,1),(25,6175406,'1987-06-08 00:00:00',4,8,11,2004,'F','N','CENTRO','MARINGÁ','PR','116162161216572431368923475122140662097',8670,'9998',49.88,1,3,NULL),(25,6175414,'1993-07-24 00:00:00',4,10,12,2010,'M','N','MAR GROSSO','LAGUNA','SC','124244241225371331437823385125610122012',3661,'524',61.62,1,3,NULL),(25,6175422,'1992-03-02 00:00:00',4,4,12,2009,'M','N','CENTRO','PERITIBA','SC','124241241116272431433923575125610164177',545,'612',77.21,1,2,1),(25,6175430,'1993-08-15 00:00:00',2,10,12,2010,'F','N','CENTRO','ORLEANS','SC','124241241136131711436679595122610124147',NULL,'580',0.00,1,2,1),(25,6175449,'1993-04-24 00:00:00',4,6,12,2010,'F','N','CENTRO','BOTUVERÁ','SC','124241241126141431535311345122610127097',NULL,'98',25.80,1,2,1),(25,6175457,'1991-03-10 00:00:00',4,1,12,2008,'M','N','LIBERDADE','S PAULO','SP','125222141434572431268811585314610162017',625,'9998',75.60,1,3,NULL),(25,6175465,'1992-03-02 00:00:00',2,2,12,2009,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241211472431578411575122610122017',NULL,'1174',22.46,1,3,NULL),(25,6175473,'1988-02-09 00:00:00',2,1,11,2005,'M','N','CENTRO','JARDINÓPOLIS','SP','125253251126471731323833285121610167047',NULL,'9998',39.63,1,3,NULL),(25,6175481,'1993-04-03 00:00:00',4,8,11,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124243241216111431238923375124610138182',20406,'1061',27.62,1,3,NULL),(25,6175503,'1990-08-17 00:00:00',2,8,12,2008,'F','N','MORRO CHIC','ITAJUBÁ','MG','113132131216571711469931595122610164142',12597,'9998',47.19,1,3,NULL),(25,6175511,'1977-04-11 00:00:00',4,1,12,1994,'M','N','BARREIROS','S JOSÉ','SC','224242241215272431248753375114321522082',2730,'272',64.48,1,3,NULL),(25,6175520,'1991-05-23 00:00:00',2,1,12,2009,'M','N','RIO GRANDE','PALHOÇA','SC','124241241116472431423629175124230736047',NULL,'592',26.17,1,2,1),(25,6175538,'1993-04-29 00:00:00',4,8,12,2010,'F','N','CENTRO','CPO ALEGRE','SC','116162161215121431569933474124610146062',1408,'9998',70.81,1,3,NULL),(25,6175554,'1992-06-28 00:00:00',4,1,12,2009,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124242241215473431576631575124610162143',2938,'270',63.37,1,3,NULL),(25,6175562,'1993-04-10 00:00:00',2,1,12,2010,'M','N','CENTRO','S JOSÉ','SC','124242248215111231446933375124610117055',NULL,'1076',31.71,1,3,NULL),(25,6175570,'1993-04-07 00:00:00',2,7,12,2010,'M','N','N S DE LOUDES','CAMPOS NOVOS','SC','124241241133141732444823145111610167057',19484,'140',29.75,1,2,1),(25,6175597,'1993-08-18 00:00:00',4,10,10,2010,'F','N','PAES LEME','IMBITUBA','SC','124242241215152431338923572124610128142',5430,'806',56.80,1,3,NULL),(25,6175600,'1993-01-08 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242244217472711379933575124610122172',1253,'270',72.59,1,3,NULL),(25,6175619,'1993-10-04 00:00:00',4,2,12,2011,'F','S','SALTO DO NORTE','BLUMENAU','SC','124242241217111431479913595124610133142',NULL,'71',60.99,1,3,NULL),(25,6175627,'1992-04-14 00:00:00',2,1,12,2009,'M','N','JARDIM CIDADE DE FLO','S JOSÉ','SC','124242241445271431436616242122610117181',19421,'734',35.99,1,3,NULL),(25,6175635,'1990-08-24 00:00:00',4,1,12,2008,'F','N','CENTRO','PARAISÓPOLIS','MG','113132131215571431448831275112610142187',5910,'9998',55.92,1,3,NULL),(25,6175643,'1993-04-12 00:00:00',4,1,11,2010,'M','N','JARDIM PARAÍSO','BOTUCATU','SP','125252251216111431588713345122610122057',10820,'9998',45.43,1,3,NULL),(25,6175651,'1992-09-07 00:00:00',4,2,12,2009,'F','N','CENTRO','ITUPORANGA','SC','124244241236372431358921575124233228142',8448,'1173',54.05,1,3,NULL),(25,6175660,'1991-01-13 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241216575431469811595124610137042',3126,'497',65.56,1,3,NULL),(25,6175678,'1983-08-31 00:00:00',4,1,12,2001,'F','N','POMPEIA','SANTOS','SP','125254251425571431436634271124141334142',2734,'9998',65.19,1,3,NULL),(25,6175686,'1991-10-17 00:00:00',4,8,11,2008,'F','N','CENTRO','TOLEDO','PR','116162161215471531469612571115610165122',NULL,'9998',0.00,1,3,NULL),(25,6175694,'1991-06-18 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162161215571431459613575122610163187',8014,'9998',51.22,1,3,NULL),(25,6175708,'1992-01-20 00:00:00',2,4,12,2008,'M','N','CENTRO','QUILOMBO','SC','124165241536573431443624575124610162017',1697,'647',69.05,1,3,NULL),(25,6175716,'1992-08-28 00:00:00',2,17,12,2009,'F','N','CENTRO','MACHADINHO D OESTE','RO','122224221437271451546822275124141932147',11043,'9998',44.85,1,3,NULL),(25,6175724,'1991-05-20 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215112711356613591115222964181',12746,'820',47.00,1,3,NULL),(25,6175732,'1990-03-03 00:00:00',2,8,12,2007,'F','N','CENTRO','RIBEIRA','SP','125251251126572431443911574124610132147',1021,'9998',72.60,1,2,1),(25,6175740,'1993-03-08 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241217371431236629375124610135092',17325,'300',34.36,4,3,NULL),(25,6175759,'1990-03-28 00:00:00',4,9,12,2007,'F','N','LARANJEIRAS','RIO SUL','SC','124241241146373431423314344221610167147',10157,'657',46.14,1,2,1),(25,6175767,'1993-06-10 00:00:00',2,2,12,2010,'F','N','ÁGUA VERDE','BLUMENAU','SC','124242241215211111439934445112610164122',7172,'909',54.18,1,3,NULL),(25,6175775,'1993-12-22 00:00:00',4,1,11,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215112531457634574124610123092',5188,'1050',58.54,1,3,NULL),(25,6175783,'1991-10-10 00:00:00',1,3,11,2009,'M','N','ALVORADA','FRANCISCO BELTRÃO','PR','116162161212471711588811582112610118047',981,'9998',71.51,4,3,NULL),(25,6175791,'1988-11-28 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241137574411121144443214610134057',NULL,'298',17.30,1,2,1),(25,6175805,'1989-07-06 00:00:00',2,8,12,2006,'F','N','CENTRO','IVATÉ','PR','116163161114573431556823575124610161197',8433,'9998',51.89,1,3,NULL),(25,6175821,'1994-03-30 00:00:00',4,1,11,2010,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215121231478833432124610128145',9600,'270',52.04,1,3,NULL),(25,6175848,'1989-09-22 00:00:00',4,1,12,2008,'F','N','JARDIM KARAÍBA','UBERLÂNDIA','MG','113134131416512732459931575122610165142',9686,'9998',51.89,1,3,NULL),(25,6175856,'1984-08-04 00:00:00',4,1,11,2001,'F','N','SANTA TEREZA','S PEDRO ALCÂNTARA','SC','124241241415572431228644245324610164147',15448,'281',38.26,4,3,NULL),(25,6175864,'1989-09-21 00:00:00',2,17,12,2007,'F','N','STA ROSA','PTO UNIÃO','SC','124244241211512411333936575112610136121',10133,'990',47.91,1,3,NULL),(25,6175872,'1991-12-09 00:00:00',2,4,12,2008,'F','N','ZONA II','UMUARAMA','PR','116164164115573431349661575122610143052',4150,'9998',60.06,1,3,NULL),(25,6175880,'1992-12-16 00:00:00',2,9,12,2009,'M','N','CIDADE INDUSTRIAL','CURITIBA','PR','116161161137131411323424286124610146047',8426,'9998',50.11,1,2,1),(25,6175945,'1993-01-19 00:00:00',4,8,12,2010,'F','N','JARDIM MARAVILHA','MARINGÁ','PR','116161161216371431458813575122610166022',13307,'9998',41.71,1,3,NULL),(25,6175961,'1991-09-26 00:00:00',4,1,12,2008,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120244241217374731268837375121610127052',140,'1022',81.85,1,3,NULL),(25,6175988,'1991-04-04 00:00:00',4,1,11,2008,'M','N','CENTRO','VOTUPORANGA','SP','125252251216511431468831575122610167043',5573,'9998',56.57,1,3,NULL),(25,6175996,'1990-10-15 00:00:00',2,1,12,2007,'M','N','JARDIM PEROLA','CORNÉLIO PROCÓPIO','PR','116164161416331212544724445113610128182',NULL,'9998',6.06,3,3,NULL),(25,6176011,'1989-11-21 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212575331559933583115532437181',547,'270',76.41,1,3,NULL),(25,6176020,'1993-09-13 00:00:00',4,6,11,2010,'M','N','SÃO JUDAS','ITAJAÍ','SC','124242241215111431343834382111610127182',8710,'388',49.08,1,3,NULL),(25,6176038,'1991-03-02 00:00:00',2,1,12,2008,'F','N','ASA NORTE','BRASÍLIA','DF','107076071617471431566313572122142528047',3775,'9998',61.42,1,3,NULL),(25,6176046,'1993-03-11 00:00:00',2,4,12,2010,'M','N','JOÃO BATISTA TONIAL','XANXERÊ','SC','124242241215111431449931275122610147077',11613,'836',48.74,1,3,NULL),(25,6176054,'1992-07-25 00:00:00',4,9,12,2009,'M','N','SANTA MARIA','LAGES','SC','124241241117272432444614245112610132057',6716,'505',54.19,2,2,1),(25,6176062,'1992-05-12 00:00:00',2,1,12,2009,'M','N','VARGEM BONITA','SEN CANEDO','GO','109092091232471431655563372222610137052',6575,'9998',54.71,3,3,NULL),(25,6176070,'1991-10-13 00:00:00',2,9,11,2008,'M','N','CENTRO','LAGES','SC','124134241416513431569614475112610168057',11329,'497',45.03,1,3,NULL),(25,6176089,'1992-08-13 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215112431448811574122610121182',5714,'262',56.53,1,3,NULL),(25,6176097,'1990-01-14 00:00:00',2,1,12,2006,'M','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124241241137273431224634215114610135117',11170,'289',49.42,1,2,1),(25,6176100,'1992-12-19 00:00:00',4,5,12,2009,'M','N','BOMFIM','PTO ALEGRE','RS','120202201216471441249711571124610134017',730,'9998',75.05,1,3,NULL),(25,6176119,'1993-08-22 00:00:00',4,1,12,2010,'F','N','CAMPINAS','GOIÂNIA','GO','109092091216111441458833575122610164077',4127,'9998',61.71,1,3,NULL),(25,6176127,'1993-07-04 00:00:00',4,2,11,2010,'F','N','FIDÉLIS','BLUMENAU','SC','124241241115141531425619291224610143187',20969,'83',31.24,1,2,1),(25,6176135,'1992-05-30 00:00:00',2,17,12,2009,'F','N','SANTA CLARA','PIRAQUARA','PR','116162161216471451648429575124610168097',NULL,'9998',26.54,1,3,NULL),(25,6176143,'1992-01-24 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241137471412121144343214610134057',NULL,'298',14.57,1,2,1),(25,6176151,'1992-07-26 00:00:00',4,4,12,2009,'F','N','REGIAO LAGO II','CASCAVEL','PR','116162161115472431468612372122610131017',10803,'9998',45.09,1,3,NULL),(25,6176186,'1990-07-05 00:00:00',2,8,12,2007,'F','N','CENTRO','CAMBARÁ','PR','116162161116572451456923575124143232097',NULL,'9998',0.00,1,3,NULL),(25,6176194,'1993-06-01 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241117371441426614374124610136057',4278,'307',61.75,1,2,1),(25,6176216,'1991-10-29 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241417132421423464142113610112042',NULL,'1076',24.82,1,3,NULL),(25,6176224,'1991-12-01 00:00:00',4,1,12,2009,'M','N','CENTRO','CAPÃO BONITO','SP','125252251214471431438821573122610162047',5329,'9998',58.25,1,3,NULL),(25,6176232,'1992-03-27 00:00:00',2,1,11,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215473431336924572122610137082',10823,'1169',49.96,1,3,NULL),(25,6176240,'1993-09-27 00:00:00',4,1,12,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124244241215112431569833575112610118082',652,'270',76.37,1,3,NULL),(25,6176259,'1991-11-11 00:00:00',2,4,12,2008,'M','N','CENTRO','S LOURENÇO OESTE','SC','124241241216272341568634375122610127152',NULL,'743',21.47,1,3,NULL),(25,6176267,'1993-02-09 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111411466832572124610144142',15369,'270',43.10,1,3,NULL),(25,6176291,'1992-06-16 00:00:00',2,16,12,2009,'M','N','CENTRO','CURITIBANOS','SC','124241241115271431436613375125610162147',NULL,'239',18.54,1,2,1),(25,6176305,'1991-06-12 00:00:00',2,4,11,2008,'M','N','CENTRO','PÉROLA','PR','116161161415571731537714574224610161067',1138,'9998',73.21,1,3,NULL),(25,6176313,'1985-11-24 00:00:00',2,4,12,2003,'M','N','CENTRO','S CARLOS','SC','124241241142552431323634372215610167172',1425,'704',70.11,1,2,1),(25,6176321,'1991-06-08 00:00:00',2,1,12,2008,'F','N','RECREIO PRIMAVERA','SUMARÉ','SP','125251251145571641565931282124610122152',14015,'9998',40.43,1,2,1),(25,6176330,'1992-09-06 00:00:00',2,1,12,2009,'F','N','SILOS','SANANDUVA','RS','120201201116471431423634572125610127147',NULL,'9998',0.00,1,2,1),(25,6176348,'1992-12-29 00:00:00',4,2,12,2009,'M','N','IMIGRANTES','GUABIRUBA','SC','124241241125271411434314342111610147011',5669,'108',59.29,1,2,1),(25,6176356,'1993-11-18 00:00:00',4,4,11,2010,'F','N','VILA NOVA','FRANCISCO BELTRÃO','PR','116162161217121431469913575112610133192',2501,'9998',64.96,1,3,NULL),(25,6176364,'1990-12-09 00:00:00',2,1,6,2009,'M','N','JARDIM ALVORADA','FRANCA','SP','125252251217271431348932571121610142113',11515,'9998',45.18,1,3,NULL),(25,6176372,'1993-03-02 00:00:00',4,6,11,2010,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124242241217271431439913575112610128047',7342,'44',54.24,1,3,NULL),(25,6176380,'1993-04-17 00:00:00',4,7,12,2010,'F','N','SANTA TEREZA','JOAÇABA','SC','124241241145141431226744241124610148182',NULL,'449',0.00,1,3,NULL),(25,6176399,'1992-07-04 00:00:00',4,15,12,2009,'F','N','SÃO LUIS','SOMBRIO','SC','124251251117271731433414342112610124147',16551,'9998',35.50,4,2,1),(25,6176402,'1993-04-08 00:00:00',4,8,11,2010,'M','N','BAIRRO ALTO','CURITIBA','PR','116162168215111431347832475114610134047',9515,'9998',49.25,3,3,NULL),(25,6176410,'1993-02-02 00:00:00',2,4,12,2009,'M','N','COUNTRY','CASCAVEL','PR','116163161416471431346634575122610164042',121,'9998',82.90,4,3,NULL),(25,6176437,'1991-03-30 00:00:00',4,1,12,2008,'M','N','MACUCO','SANTOS','SP','125252251217571731448614372111610167047',2079,'9998',68.35,4,3,NULL),(25,6176445,'1992-01-10 00:00:00',2,1,6,2009,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241247417131431413344341124610164142',NULL,'9999',23.10,1,3,NULL),(25,6176453,'1982-10-03 00:00:00',2,1,12,2000,'F','N','AREIAS','S JOSÉ','SC','224241241126373731321649391234610116182',NULL,'730',26.41,1,2,1),(25,6176470,'1994-03-10 00:00:00',4,4,12,2010,'M','N','SEDE ALVORADA','CASCAVEL','PR','116162161235111441546432175122610146042',5730,'9998',57.87,1,3,NULL),(25,6176488,'1992-03-05 00:00:00',2,8,12,2009,'M','N','BOA VISTA','JOINVILLE','SC','124242241215371331549614445114610127041',21127,'1105',30.51,1,3,NULL),(25,6176500,'1990-07-02 00:00:00',4,2,12,2007,'M','N','VELHA','BLUMENAU','SC','124242241217572431458812272124610127092',403,'88',78.44,3,3,NULL),(25,6176526,'1989-04-19 00:00:00',4,1,12,2006,'F','N','CAMPO DA AGUA VERDE','CANOINHAS','SC','124164161216574431268923595114610166072',2545,'9998',65.64,1,3,NULL),(25,6176534,'1993-06-25 00:00:00',4,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242248215111721436634295122610164017',NULL,'1075',17.81,1,3,NULL),(25,6176542,'1993-02-19 00:00:00',4,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431458932572122610164142',2656,'737',65.39,1,3,NULL),(25,6176550,'1991-04-09 00:00:00',4,17,11,2008,'F','N','CABRAL','CURITIBA','PR','116162161316572731566619374122610122147',1319,'9998',71.84,1,3,NULL),(25,6176569,'1991-05-22 00:00:00',4,8,12,2008,'F','N','ATUBA','CURITIBA','PR','116162161215571731587634475124610162077',4132,'9998',60.36,1,3,NULL),(25,6176577,'1992-04-15 00:00:00',2,8,12,2009,'F','N','CENTRO','NOVA AURORA','PR','116163161116471431569939596314610135197',11625,'9998',45.32,1,3,NULL),(25,6176585,'1986-04-04 00:00:00',2,3,12,2003,'F','N','JARDIM LOS ANGELES','MARINGÁ','PR','116162161215572451568813574124610164187',NULL,'9998',0.00,1,3,NULL),(25,6176593,'1993-12-22 00:00:00',4,5,12,2010,'M','N','RIO MAINA','CRICIÚMA','SC','124241241115211731325314442224610164176',21085,'223',24.67,1,2,1),(25,6176607,'1988-05-25 00:00:00',2,1,11,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241137271431124144245124132833177',18725,'4',31.36,1,2,1),(25,6176615,'1988-04-22 00:00:00',4,1,12,2005,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241215475431638619572124220324097',6659,'1022',55.15,1,3,NULL),(25,6176623,'1993-10-08 00:00:00',2,7,11,2010,'F','N','CENTRO','MARCELINO RAMOS','RS','120201241216151451446613275125610138147',NULL,'446',27.83,4,3,NULL),(25,6176631,'1986-05-02 00:00:00',2,1,12,2003,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124241241116472431244635315124610124057',16297,'192',37.06,1,2,1),(25,6176640,'1986-08-04 00:00:00',2,8,12,2003,'F','N','SANTA CANDIDA','CURITIBA','PR','116161161116571741438833571124610126197',1296,'9998',71.79,1,2,1),(25,6176666,'1992-07-17 00:00:00',4,4,12,2009,'M','N','FLORESTA','PTO ALEGRE','RS','120162201216571431268831595124610167042',1227,'9998',70.87,1,3,NULL),(25,6176690,'1992-10-10 00:00:00',2,1,12,2009,'M','N','CENTRO','CPO GRANDE','MS','112122121217471441679811576122610137032',3514,'9998',62.84,3,3,NULL),(25,6176704,'1992-12-09 00:00:00',4,2,10,2010,'M','N','SALTO','BLUMENAU','SC','124242241217271431478911476112610132042',5105,'855',57.66,1,3,NULL),(25,6176712,'1989-12-21 00:00:00',4,8,12,2006,'F','N','CAIÇARAS','LONDRINA','PR','116113111215571431573516575124610162092',1700,'9998',68.97,1,3,NULL),(25,6176720,'1981-03-01 00:00:00',4,1,11,1998,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215575431459511572124533263197',5416,'269',59.93,1,3,NULL),(25,6176739,'1992-08-31 00:00:00',4,3,12,2009,'F','N','ALTO DA XV','CURITIBA','PR','116162161211471431238935591324610165122',2626,'9998',65.35,1,3,NULL),(25,6176755,'1992-08-23 00:00:00',4,1,12,2009,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215472431488812585122610126092',5033,'270',60.76,1,3,NULL),(25,6176763,'1990-08-13 00:00:00',4,4,12,2008,'F','N','VILA NOVA','FRANCISCO BELTRÃO','PR','116161161317571421439913571124610125177',NULL,'9998',0.00,1,3,NULL),(25,6176771,'1993-09-12 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431238924375122610124071',NULL,'270',17.26,1,3,NULL),(25,6176798,'1988-07-28 00:00:00',4,1,11,2005,'F','N','TIROL','BELO HORIZONTE','MG','113032031217152431646921572324610122017',NULL,'9998',0.00,2,3,NULL),(25,6176801,'1992-05-07 00:00:00',4,1,12,2010,'F','N','SHANGRILÁ A','LONDRINA','PR','116163161215111411455831585122610127092',NULL,'9998',20.89,1,3,NULL),(25,6176828,'1991-12-02 00:00:00',4,1,12,2009,'M','N','CENTRO','CAJURU','SP','125252251215411431466931571122610147042',6130,'9998',56.54,1,3,NULL),(25,6176836,'1993-06-14 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431467923375114610166192',172,'270',81.55,1,3,NULL),(25,6176844,'1992-07-07 00:00:00',4,3,12,2009,'F','N','PILARZINHO','CURITIBA','PR','116162161216472231468811574112610167127',NULL,'9998',0.00,1,3,NULL),(25,6176852,'1989-07-23 00:00:00',4,1,12,2006,'M','N','CENTRO DA PALHOÇA','PALHOÇA','SC','124241241217372431536763345214610134172',NULL,'989',20.56,1,3,NULL),(25,6176879,'1994-10-29 00:00:00',4,1,11,2010,'M','N','CENTRO','MIRANTE PARANAPANEMA','SP','125252251215471731437914575125610122177',2279,'9998',65.84,1,3,NULL),(25,6176887,'1993-02-19 00:00:00',2,4,12,2009,'F','N','NSA SRA FÁTIMA','STA MARIA','RS','120202201217571431468933435122610162072',NULL,'9998',0.00,1,3,NULL),(25,6176895,'1993-05-06 00:00:00',4,8,12,2010,'F','N','JOAO GUALBERTO','PARANAGUÁ','PR','116162161217321431468932572122610142187',4588,'9998',59.13,1,3,NULL),(25,6176909,'1983-12-16 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201146152411256631235122331136182',16957,'9998',40.69,1,3,NULL),(25,6176917,'1988-04-24 00:00:00',2,1,12,2005,'M','N','PROMORAR','FLORIANÓPOLIS','SC','124242241217274411436513442124610127042',18438,'269',32.78,2,1,2),(25,6176925,'1991-03-10 00:00:00',5,4,12,2008,'F','N','ITAÍBA','CONCÓRDIA','SC','124241241146131431323413245124610114147',NULL,'853',29.74,1,2,1),(25,6176933,'1993-04-04 00:00:00',4,3,11,2010,'M','N','TABULEIRO','CAMBORIÚ','SC','124241241417121431539912342121610127187',10080,'1038',48.12,1,3,NULL),(25,6176950,'1993-04-14 00:00:00',2,1,10,2010,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116162161215471751338831575125610127012',3172,'9998',63.66,1,3,NULL),(25,6176968,'1988-03-22 00:00:00',2,15,12,2005,'M','N','GUARITA','SOMBRIO','SC','124241241117131732433344243343131466197',NULL,'1033',29.95,1,2,1),(25,6176976,'1992-02-28 00:00:00',2,1,7,2009,'F','N','ARMAÇÃO P DO SUL','FLORIANÓPOLIS','SC','124203201137371431226744345124610124042',12842,'9998',42.98,1,3,NULL),(25,6176984,'1975-10-24 00:00:00',2,1,12,1999,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224243245224145441426343135124222336172',16425,'266',37.48,1,3,NULL),(25,6177018,'1987-02-09 00:00:00',4,1,12,2005,'F','N','BELA VISTA I','S JOSÉ','SC','124244241217132431436614445114131064147',NULL,'1076',17.76,1,3,NULL),(25,6177026,'1986-07-18 00:00:00',2,1,12,2004,'M','N','FORQUILHAS','S JOSÉ','SC','124241241122132431323114242223221464042',NULL,'744',0.00,4,2,1),(25,6177034,'1987-02-08 00:00:00',2,8,12,2007,'F','N','BELA VISTA','IBAITI','PR','116161161116132211424336482214610167053',8624,'9998',51.46,4,1,1),(25,6177042,'1991-08-31 00:00:00',4,8,11,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','124252251215471511488934571122610134147',1896,'9998',69.71,3,3,NULL),(25,6177077,'1991-12-13 00:00:00',2,1,11,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243161411372411448653372224610162182',9151,'9998',51.87,1,3,NULL),(25,6177093,'1994-01-19 00:00:00',4,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241215131731213629586224610123041',18760,'9997',32.29,1,3,NULL),(25,6177107,'1993-01-25 00:00:00',2,1,12,2010,'F','N','CENTRO','CAIBATÉ','RS','120201201117371431446613591222610124177',5214,'9998',60.38,1,2,1),(25,6177115,'1992-09-09 00:00:00',4,4,12,2009,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124242241215472731457832575124610167042',NULL,'185',0.00,1,3,NULL),(25,6177140,'1978-06-19 00:00:00',4,1,12,1995,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124072071213373431139929375124233233182',7561,'9998',51.51,1,3,NULL),(25,6177158,'1993-06-06 00:00:00',4,7,10,2010,'F','N','AEROPORTO','VIDEIRA','SC','116242161217121441478812492145610163092',1127,'9998',72.12,1,3,NULL),(25,6177166,'1993-02-03 00:00:00',4,1,12,2009,'M','N','COLINA VERDE','RONDONÓPOLIS','MT','111115111517471451466931575124610164092',5480,'9998',56.27,1,3,NULL),(25,6177174,'1991-08-24 00:00:00',4,15,12,2008,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124241241117112431338823285121610124187',17258,'1033',40.17,1,2,1),(25,6177182,'1992-03-19 00:00:00',2,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241112372531524519341124610137082',NULL,'298',26.95,4,2,1),(25,6177190,'1991-10-07 00:00:00',2,1,12,2009,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241115272721326621375124610122117',16205,'267',41.84,1,2,1),(25,6177204,'1992-10-08 00:00:00',4,8,10,2010,'F','N','CENTRO','S BENTO SUL','SC','116241161315111431444631274112610166141',7084,'9998',55.51,1,3,NULL),(25,6177212,'1993-03-22 00:00:00',2,8,12,2009,'F','N','MARIA OTÍLIA','PNT GROSSA','PR','116161161137471431548614272124610163047',2985,'9998',63.61,1,2,1),(25,6177220,'1994-01-22 00:00:00',4,1,12,2010,'F','N','CHACARA CACHOEIRA','CPO GRANDE','MS','112122121217121432578831594122610143092',2840,'9998',65.28,1,3,NULL),(25,6177239,'1993-01-05 00:00:00',4,8,12,2010,'M','N','NOVA BRAZILIA','JARAGUÁ SUL','SC','124244241215371431346632375125610126067',14092,'1174',40.84,1,3,NULL),(25,6177247,'1993-09-18 00:00:00',4,8,12,2010,'F','N','BIGORRILHO','CURITIBA','PR','116164161216111431378663575124610163142',5259,'9998',58.08,1,3,NULL),(25,6177263,'1994-03-24 00:00:00',4,8,12,2010,'F','N','CENTRO','LARANJEIRAS SUL','PR','116164161216111431438631575112610124072',12294,'9998',42.69,1,3,NULL),(25,6177280,'1991-02-15 00:00:00',4,8,3,2009,'M','N','VILA IZABEL','CURITIBA','PR','116162161216572431448831572124610117077',1637,'9998',70.46,1,3,NULL),(25,6177298,'1992-12-29 00:00:00',2,1,12,2009,'M','N','JARDIM DAS ACACIAS','ADAMANTINA','SP','125251251116131411323624285325240637087',15052,'9998',43.60,4,1,1),(25,6177301,'1976-07-18 00:00:00',4,1,12,1993,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224163161217373231356743435122321432016',237,'9998',80.53,1,3,NULL),(25,6177310,'1991-12-01 00:00:00',2,15,12,2009,'F','N','BOM FIM','PTO ALEGRE','RS','120202201217571431569812571115610122192',NULL,'9998',0.00,1,3,NULL),(25,6177328,'1989-02-17 00:00:00',2,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116111111236572431448813572314610137147',1846,'9998',67.53,1,3,NULL),(25,6177336,'1991-05-20 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDRE','FLORIANÓPOLIS','SC','124201248317471711624629371224610135187',16543,'9997',41.32,1,3,NULL),(25,6177352,'1990-12-10 00:00:00',4,2,12,2007,'M','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161215371431438831385124242364052',2198,'9998',67.62,1,3,NULL),(25,6177360,'1983-02-20 00:00:00',2,1,12,2000,'F','N','STO ANTONIO LISBOA','FLORIANÓPOLIS','SC','124241247237133521256623582124333236097',18684,'9997',37.58,1,3,NULL),(25,6177395,'1994-02-13 00:00:00',2,1,12,2011,'F','S','COLONINHA','FLORIANÓPOLIS','SC','124242241215111731228923575222610117047',NULL,'273',29.54,1,3,NULL),(25,6177409,'1990-02-02 00:00:00',2,1,12,2006,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241216574441638923575122131466177',NULL,'737',34.67,1,3,NULL),(25,6177417,'1993-12-10 00:00:00',2,1,12,2011,'F','S','CAMPINAS','S JOSÉ','SC','124242241216111731248623595124610126182',NULL,'270',39.74,1,3,NULL),(25,6177425,'1992-09-05 00:00:00',4,1,12,2009,'F','N','JARDIM BONANZA','TIETÊ','SP','125253251215471431467832595122610164092',450,'9998',77.71,1,3,NULL),(25,6177433,'1989-09-11 00:00:00',2,1,12,2006,'F','N','JARDIM SAO DIMAS','S JOSÉ CAMPOS','SP','125111111135471731534311575125141362197',5356,'9998',58.23,4,1,1),(25,6177441,'1992-09-17 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472431349613575125610163052',5479,'270',56.65,1,3,NULL),(25,6177450,'1993-01-19 00:00:00',4,8,12,2009,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242241216253431368814445124231468012',11119,'392',49.49,1,3,NULL),(25,6177484,'1993-03-13 00:00:00',4,1,11,2011,'M','S','MORRO DA CRUZ','FLORIANÓPOLIS','SC','124242241215111731239427372122610145012',NULL,'270',40.41,1,3,NULL),(25,6177492,'1984-04-05 00:00:00',2,1,12,2002,'F','N','PETROPOLIS','PTO ALEGRE','RS','120241241111473411124423381344122566067',8828,'290',53.36,1,2,1),(25,6177506,'1993-06-14 00:00:00',2,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124242241215111431248969575122610154052',16804,'237',36.03,1,3,NULL),(25,6177522,'1992-09-30 00:00:00',4,1,11,2009,'F','N','JARDIM LEONOR','MAIRIPORÃ','SP','125252251211471431458931575115610147186',NULL,'9998',0.00,3,3,NULL),(25,6177530,'1992-09-08 00:00:00',4,3,12,2009,'M','N','CENTRO','ARAPOTI','PR','116163161315471431459819275114610137047',4659,'9998',58.09,1,3,NULL),(25,6177557,'1993-11-10 00:00:00',4,4,11,2010,'F','N','NOSSA SENHORA APAREC','FRANCISCO BELTRÃO','PR','116164161215111431359933575112610134147',10000,'9998',46.16,1,3,NULL),(25,6177565,'1992-03-06 00:00:00',4,4,12,2009,'M','N','EFACIP','PINHALZINHO','SC','124241242117131431226923412115610132047',NULL,'135',18.34,1,2,1),(25,6177581,'1993-05-21 00:00:00',4,3,12,2010,'M','N','CAPÃO DA IMBUIA','CURITIBA','PR','116164161211111431449633575124610118182',NULL,'9998',0.00,4,3,NULL),(25,6177590,'1990-01-12 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124131131116473431356923341324221664112',17889,'9998',39.06,1,2,1),(25,6177603,'1981-07-17 00:00:00',4,1,12,1999,'M','N','BARREIROS','S JOSÉ','SC','124251251145471441236619195124610147117',17564,'9998',35.40,4,2,1),(25,6177611,'1989-10-03 00:00:00',4,5,12,2006,'M','N','LINHA FERREIRA PONTE','COCAL SUL','SC','124241241116131421423411212324610136147',NULL,'189',NULL,1,2,1),(25,6177620,'1991-11-08 00:00:00',2,1,12,2008,'F','N','BELA VISTA','GASPAR','SC','124241241117271411435814345134610124117',NULL,'327',21.26,1,2,1),(25,6177638,'1991-08-18 00:00:00',4,6,12,2008,'M','N','FAZENDA','ITAJAÍ','SC','124242241215575431369934275124120737091',1183,'389',72.97,1,3,NULL),(25,6177646,'1993-06-02 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241248221131711426614575124610127142',8017,'262',52.26,1,3,NULL),(25,6177654,'1993-01-16 00:00:00',2,1,12,2010,'M','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124243241135131431626632192124610114012',NULL,'733',14.51,1,3,NULL),(25,6177662,'1993-01-16 00:00:00',4,17,11,2010,'F','N','CENTRO','CANOINHAS','SC','124242161217121531578811575122610166072',11582,'154',45.18,1,3,NULL),(25,6177670,'1992-01-15 00:00:00',4,1,11,2009,'F','N','LAUZANE PAULISTA','S PAULO','SP','125252251217471331466912575122610164047',4409,'9998',60.13,1,3,NULL),(25,6177697,'1991-11-28 00:00:00',4,8,12,2009,'F','N','BARREIRINHA','CURITIBA','PR','116164161317471231436611592114610168017',14503,'9998',39.17,1,3,NULL),(25,6177700,'1991-11-27 00:00:00',4,4,12,2008,'M','N','CENTRO','ERECHIM','RS','120201201117371411226624345122610167042',6538,'9998',55.05,1,2,1),(25,6177719,'1991-10-16 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217373431569933445114610118172',5177,'270',57.08,1,3,NULL),(25,6177727,'1986-09-29 00:00:00',2,1,12,2005,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124243241126274431327723442124610133117',NULL,'257',22.16,1,3,NULL),(25,6177735,'1989-05-18 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124202201216572731346939375112610167182',NULL,'9998',0.00,1,3,NULL),(25,6177743,'1993-01-15 00:00:00',4,3,11,2010,'F','N','PORTÃO','CURITIBA','PR','116162161215471531446924575112610137077',NULL,'9998',0.00,1,3,NULL),(25,6177751,'1994-03-10 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241117472431427731575124610168042',2255,'739',68.34,1,3,NULL),(25,6177760,'1995-01-10 00:00:00',4,1,11,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111411379923436122610164132',NULL,'262',57.65,1,3,NULL),(25,6177778,'1992-06-10 00:00:00',4,1,12,2009,'F','N','JARDIM GOIÁS','GOIÂNIA','GO','109092098217471411538713572124610134147',11888,'9998',46.38,1,3,NULL),(25,6177786,'1990-03-08 00:00:00',4,8,12,2007,'M','N','POMPEIA','S PAULO','SP','125252251217571731368612571122610164046',NULL,'9998',0.00,1,3,NULL),(25,6177808,'1991-11-08 00:00:00',4,1,11,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215473431359613575124231137042',3717,'262',62.33,1,3,NULL),(25,6177816,'1993-05-19 00:00:00',2,1,12,2010,'F','N','FAZENDA SNT ANTÔNIO','S JOSÉ','SC','124241241117371432523314575124610127143',NULL,'733',15.68,1,2,1),(25,6177824,'1980-12-09 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124163247326572411611141111124610164142',17047,'300',36.74,1,3,NULL),(25,6177832,'1991-02-22 00:00:00',4,8,12,2007,'F','N','CENTRO','CÉU AZUL','PR','116164161216572431466815574115610166122',3944,'9998',61.50,1,3,NULL),(25,6177840,'1991-06-13 00:00:00',2,1,12,2008,'F','N','ROÇADO','S JOSÉ','SC','124241241215574431433311574112610166182',NULL,'1076',17.19,1,3,NULL),(25,6177859,'1987-03-09 00:00:00',4,1,12,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124212261211374411468814575114121422012',1875,'9998',69.77,1,3,NULL),(25,6177867,'1992-10-23 00:00:00',4,1,12,2009,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124244241217472431489933576122133264061',10464,'262',48.36,1,3,NULL),(25,6177875,'1992-12-25 00:00:00',4,1,12,2010,'M','N','CENTRO','UBERLÂNDIA','MG','113094131436111411158839275124610164017',12894,'9998',42.54,1,3,NULL),(25,6177883,'1993-06-16 00:00:00',4,1,12,2010,'F','N','JARDIM JANAÍNA','BIGUAÇU','SC','124241241117471431456814372224610123057',6340,'307',55.70,1,2,1),(25,6177891,'1993-02-26 00:00:00',2,15,12,2011,'F','S','CENTRO','TURVO','SC','124244241217121431548933572122610121142',NULL,'970',36.34,1,3,NULL),(25,6177913,'1992-11-27 00:00:00',4,3,12,2010,'F','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124241248115131431354837275124610136142',15939,'129',42.24,1,2,1),(25,6177930,'1994-03-10 00:00:00',4,1,12,2010,'M','N','CIDADE INDUSTRIAL','CURITIBA','PR','116163161217111212426614575124610137187',6066,'9998',54.20,4,3,NULL),(25,6177948,'1992-07-10 00:00:00',4,9,12,2009,'M','N','VILA NOVA','LAGES','SC','124244241216373431438921475124231418052',4672,'497',61.64,1,3,NULL),(25,6177956,'1992-01-14 00:00:00',4,1,12,2009,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215472431379813575124610114011',3906,'270',61.57,1,3,NULL),(25,6177964,'1992-05-06 00:00:00',2,10,12,2009,'M','N','BELLA VISTA','S LUDGERO','SC','124241241114472421436422212123610167147',NULL,'748',16.66,1,2,1),(25,6177999,'1990-01-02 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241243136132431548631475125221424012',NULL,'129',0.00,1,2,1),(25,6178006,'1983-04-21 00:00:00',2,1,11,2004,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124251257147471431223448285114140667187',10728,'9998',46.01,1,2,1),(25,6178014,'1991-07-19 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241436373431423414345114130823013',19584,'262',35.61,1,3,NULL),(25,6178022,'1990-08-27 00:00:00',4,8,12,2007,'M','N','ATIRADORES','JOINVILLE','SC','124242241215573431558914345114610167017',NULL,'1063',27.53,1,3,NULL),(25,6178030,'1977-01-03 00:00:00',4,1,8,2000,'M','N','JURERÊ','FLORIANÓPOLIS','SC','224241246326374721468852435114320112055',3866,'306',63.64,1,3,NULL),(25,6178049,'1988-08-30 00:00:00',2,8,12,2005,'F','N','MERCES','CURITIBA','PR','116162161115572451337823574124142567142',NULL,'9998',0.00,1,3,NULL),(25,6178073,'1991-04-12 00:00:00',2,3,12,2008,'M','N','VITÓRIA RÉGIA','CORNÉLIO PROCÓPIO','PR','116162161215572221457932574124610167142',1191,'9998',71.75,1,3,NULL),(25,6178081,'1993-12-29 00:00:00',4,17,12,2010,'M','N','CAMPO DA ÁGUA VERDE','CANOINHAS','SC','124241241115271731426634595111610127017',NULL,'146',17.16,1,2,1),(25,6178090,'1981-04-28 00:00:00',2,1,12,1998,'M','N','AREIAS','S JOSÉ','SC','124241241127375421433523115122121712197',17574,'730',39.63,1,2,1),(25,6178103,'1993-08-27 00:00:00',4,1,11,2010,'F','N','CENTRO','TIJUCAS','SC','124242241215111411358732575122610146142',12301,'270',43.75,1,3,NULL),(25,6178111,'1992-01-22 00:00:00',2,10,11,2009,'F','N','ARROIO CORRENTE','JAGUARUNA','SC','124241242115471431433715376122610135092',14886,'690',38.46,1,3,NULL),(25,6178138,'1990-10-28 00:00:00',2,1,12,2007,'M','N','ESPÍRITO SANTO','PTO ALEGRE','RS','120201201114271231323614372124610127147',NULL,'9998',17.39,1,2,1),(25,6178146,'1993-09-18 00:00:00',2,4,12,2010,'M','N','CADORIN','PATO BRANCO','PR','116161166237271431336639475125610127052',15058,'9998',38.29,3,3,NULL),(25,6178162,'1991-12-17 00:00:00',4,3,11,2008,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121212573231448831572123610164163',NULL,'9998',0.00,1,3,NULL),(25,6178170,'1985-12-02 00:00:00',4,1,12,2003,'M','N','FRANCIOSI','VACARIA','RS','124201201117135431257511475124221764042',10174,'9998',51.03,1,2,1),(25,6178189,'1993-02-12 00:00:00',4,1,12,2010,'M','N','JARDIM MEDITERRÂNEO','LONDRINA','PR','116161161116471431559831575122610127012',2399,'9998',64.37,1,2,1),(25,6178197,'1992-01-29 00:00:00',2,3,12,2009,'F','N','SÃO FRANCISCO','CURITIBA','PR','116242241216472431328813575324610164183',7315,'1038',53.66,1,3,NULL),(25,6178200,'1993-05-20 00:00:00',4,1,12,2010,'F','N','ESPIRITO SANTO','PTO ALEGRE','RS','120202201215221751348821575122610125187',NULL,'9998',0.00,1,3,NULL),(25,6178219,'1993-02-22 00:00:00',4,16,11,2010,'F','N','CENTRO','STA CECÍLIA','SC','124244241416112331458614375112610164142',NULL,'1038',14.03,1,3,NULL),(25,6178227,'1989-10-31 00:00:00',4,4,11,2006,'M','N','PROGRESSO','S LOURENÇO OESTE','SC','124241161211573411443631571111610122142',NULL,'9998',0.00,1,3,NULL),(25,6178235,'1992-11-05 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372432246931576114610167112',10175,'270',50.47,1,3,NULL),(25,6178243,'1992-03-09 00:00:00',4,7,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116164161216472431448614572124610134187',7580,'9998',52.31,1,3,NULL),(25,6178260,'1993-07-20 00:00:00',4,15,12,2010,'F','N','CENTRO','ARARANGUÁ','SC','124242241115271432325624242111610143142',NULL,'29',20.39,1,3,NULL),(25,6178278,'1990-05-26 00:00:00',2,10,11,2007,'M','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124243246217131431446923241123610127187',11592,'806',48.76,1,3,NULL),(25,6178286,'1990-03-01 00:00:00',4,1,12,2007,'M','N','VILA CLEMENTINO','S PAULO','SP','125162161217573711488831571125610114097',233,'9998',79.74,1,3,NULL),(25,6178294,'1993-01-04 00:00:00',2,3,12,2010,'F','N','COOPHAMIL','CUIABÁ','MT','111242111217141731436331246124610115057',12109,'9998',44.21,4,3,NULL),(25,6178316,'1992-10-25 01:00:00',2,8,12,2009,'F','N','ALTO DA XV','GUARAPUAVA','PR','116164161415471431449911575114610124147',4534,'9998',58.43,1,3,NULL),(25,6178332,'1992-08-18 00:00:00',4,8,11,2009,'M','N','CENTRO','UMUARAMA','PR','116162161213442331263254353113232425141',2253,'9998',67.55,1,3,NULL),(25,6178340,'1992-07-19 00:00:00',4,1,12,2009,'M','N','PACAEMBU','CASCAVEL','PR','116242241216412752239914575122610118077',2964,'262',64.34,1,3,NULL),(25,6178359,'1991-07-10 00:00:00',4,8,12,2008,'F','N','PORTÃO','CURITIBA','PR','116162161216571331458833572122610163097',NULL,'9998',0.00,1,3,NULL),(25,6178367,'1993-02-15 00:00:00',2,15,12,2010,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241115471431348923275122610121097',13542,'29',42.64,1,2,1),(25,6178375,'1992-12-21 00:00:00',2,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241115371411356933572124610138195',11890,'739',44.56,1,2,1),(25,6178383,'1991-03-15 00:00:00',4,6,11,2008,'F','N','CENTRO','CURITIBA','PR','116161161416573431346627394122610144142',2362,'9998',66.27,1,3,NULL),(25,6178413,'1994-06-25 00:00:00',4,1,11,2011,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241215111432468613475124610128142',NULL,'270',30.74,1,3,NULL),(25,6178421,'1993-02-22 00:00:00',4,9,12,2010,'F','N','CORAL','LAGES','SC','124241241115111441226629372124613263147',17341,'499',33.58,1,2,1),(25,6178430,'1991-05-01 00:00:00',2,1,12,2009,'M','N','CENTRO','CURITIBA','PR','116163161214471432445512575124610167047',NULL,'9998',0.00,4,3,NULL),(25,6178448,'1991-11-18 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124201241416272431449933375124123241187',8060,'1022',54.75,1,3,NULL),(25,6178456,'1992-11-02 00:00:00',4,8,11,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161212411311368837272112610117077',2854,'9998',66.36,1,3,NULL),(25,6178464,'1993-05-12 00:00:00',4,1,11,2010,'M','N','CAMPINAS','GOIÂNIA','GO','109092091216111231335623575124610132172',2587,'9998',64.85,1,3,NULL),(25,6178499,'1991-11-02 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241117373431456611471122610147042',13187,'257',46.36,1,2,1),(25,6178502,'1992-11-08 00:00:00',4,1,12,2010,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217271431369914572122610122127',10188,'262',46.80,1,3,NULL),(25,6178510,'1992-11-19 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241146472431233373345124610164057',15384,'785',37.87,1,2,1),(25,6178529,'1993-06-10 00:00:00',4,1,12,2010,'M','N','MORADA DO VALE I','GRAVATAÍ','RS','120201201116371431424614575124610122042',NULL,'9998',18.82,1,2,1),(25,6178537,'1992-10-04 00:00:00',4,7,12,2009,'F','N','CIDADE JARDIM','CATANDUVAS','SC','124242241216152431436632575124231463142',9563,'962',48.50,1,3,NULL),(25,6178545,'1990-09-05 00:00:00',4,1,11,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','116162161215573431348839175124610124092',248,'9998',80.39,3,3,NULL),(25,6178561,'1993-02-06 00:00:00',2,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124242241215152732469713585122231462052',7892,'1118',55.02,1,3,NULL),(25,6178570,'1984-05-16 00:00:00',4,8,12,2001,'F','N','ALTO BOQUEIRÃO','CURITIBA','PR','216161161116572741255754595122243256057',NULL,'9998',0.00,1,2,1),(25,6178588,'1992-05-31 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124201201117471411426813332314610167047',15685,'9998',37.91,1,2,1),(25,6178596,'1994-03-23 00:00:00',3,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211111741389834571122610123041',4948,'270',60.96,1,3,NULL),(25,6178600,'1990-01-15 00:00:00',2,4,12,2007,'M','N','LIDER','CHAPECÓ','SC','124241241112213411423311372221610164032',NULL,'169',25.77,1,2,1),(25,6178618,'1992-11-11 00:00:00',4,1,12,2009,'F','N','CENTRO','LOANDA','PR','116164161216471431446632341125610134112',1344,'9998',72.07,1,3,NULL),(25,6178626,'1989-08-04 00:00:00',4,1,12,2006,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241131133411436627245114610114147',19635,'728',35.48,1,3,NULL),(25,6178634,'1991-10-16 00:00:00',2,1,12,2008,'F','N','CENTRO','S BORJA','RS','120201201116572431558615575115610166197',7062,'9998',52.51,1,2,1),(25,6178650,'1992-09-19 00:00:00',4,4,11,2009,'F','N','CENTRO','CASCAVEL','PR','116162161217471431456935575125610137096',6058,'9998',53.79,1,3,NULL),(25,6178685,'1980-07-25 00:00:00',4,1,12,1997,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216135721558813442124333224097',8268,'270',50.55,1,3,NULL),(25,6178693,'1988-09-27 00:00:00',4,8,12,2005,'M','N','VILA IZABEL','CURITIBA','PR','116164161436573751338614472124610137047',2541,'9998',65.09,1,3,NULL),(25,6178707,'1993-05-19 00:00:00',4,10,11,2010,'F','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124242241215112211477832475122610134042',1181,'807',72.98,1,3,NULL),(25,6178723,'1994-03-01 00:00:00',4,8,12,2011,'F','S','AMÉRICA','JOINVILLE','SC','124242248217121731368834572115610128182',NULL,'457',49.31,1,3,NULL),(25,6178731,'1993-06-09 00:00:00',2,16,12,2010,'M','N','SAO JOSE','CURITIBANOS','SC','124242241216111431456839145121610127052',20169,'237',29.56,1,3,NULL),(25,6178740,'1991-10-29 00:00:00',2,8,12,2008,'F','N','CENTRO','IRATI','PR','116161161216572421534911575134610112142',14034,'9998',41.73,1,3,NULL),(25,6178758,'1993-10-15 00:00:00',4,3,10,2010,'M','N','CENTRO','CURITIBA','PR','116111161231121432366313572123610157147',6858,'9998',53.58,1,3,NULL),(25,6178774,'1991-07-29 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241117271231458934475114610164092',16449,'9997',41.47,1,3,NULL),(25,6178782,'1991-03-03 00:00:00',2,1,11,2008,'F','N','TABOAO','CURITIBA','PR','116162161215471411668819572112141537087',3072,'9998',63.15,1,3,NULL),(25,6178790,'1992-05-28 00:00:00',4,8,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','116161161116172431447933575124610144182',4618,'9998',59.45,1,2,1),(25,6178804,'1991-05-09 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241136271731333339385114610133092',NULL,'292',22.27,2,1,1),(25,6178812,'1991-05-07 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241317574711436831575324131162052',2391,'829',67.84,1,3,NULL),(25,6178820,'1993-07-17 00:00:00',2,10,11,2010,'F','N','CENTRO','JAGUARUNA','SC','124241241215111431458913472122610123097',8859,'807',50.47,1,3,NULL),(25,6178839,'1989-07-21 00:00:00',4,6,12,2006,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215575431226823475124610164097',5472,'1058',56.08,1,3,NULL),(25,6178847,'1992-11-04 00:00:00',4,1,11,2010,'M','N','ST PEDRO LUDOVICO','GOIÂNIA','GO','109092091215111731348821574122610122092',4347,'9998',60.67,4,3,NULL),(25,6178855,'1993-09-06 00:00:00',2,7,12,2010,'F','N','CENTRO','CAMPOS NOVOS','SC','124241241117371531336923571122610168191',NULL,'139',15.58,1,2,1),(25,6178863,'1994-02-04 00:00:00',4,1,12,2010,'M','N','JARDIM PARAISO','SINOP','MT','111112111217111511246612575112610167042',10326,'9998',50.78,1,3,NULL),(25,6178871,'1993-08-28 00:00:00',2,4,12,2010,'M','N','CIVEMARRA','MARAVILHA','SC','124241241216141731559719195123610167172',18257,'1037',34.32,1,3,NULL),(25,6178880,'1993-06-21 00:00:00',2,8,12,2010,'F','N','AGUAS BELAS','S JOSÉ PINHAIS','PR','116161161115471751546512295122610151042',NULL,'9998',0.00,1,2,1),(25,6178898,'1994-11-16 00:00:00',4,5,11,2011,'M','S','CENTRO','IÇARA','SC','124242241215371741446812241124610166112',NULL,'226',43.90,1,3,NULL),(25,6178901,'1992-11-10 00:00:00',4,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241225271441558612275124610164142',1628,'262',69.00,1,3,NULL),(25,6178910,'1991-11-19 00:00:00',4,8,11,2008,'F','N','ALTO DA XV','CURITIBA','PR','116163161235573431568933571114610124042',1032,'9998',72.80,1,3,NULL),(25,6178928,'1991-06-05 00:00:00',4,1,12,2008,'M','N','VILA FERROVIARIA','MAFRA','SC','124243166217271411536767345122610134037',17625,'9998',39.54,1,3,NULL),(25,6178936,'1991-02-12 00:00:00',4,5,11,2007,'F','N','BOM FIM','PTO ALEGRE','RS','120202201217571751379833571125141267187',NULL,'9998',0.00,1,3,NULL),(25,6178944,'1978-01-02 00:00:00',4,1,12,1995,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','624242241217373721357743435134120422187',2996,'229',65.95,1,3,NULL),(25,6178952,'1993-03-02 00:00:00',4,1,10,2010,'M','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125102258237121411479812576324610164022',454,'9998',78.02,2,1,2),(25,6178979,'1990-01-12 00:00:00',4,1,12,2007,'F','N','FORQUILHINHAS','S JOSÉ','SC','124251251117471431334429485224143227187',NULL,'9998',24.89,1,2,1),(25,6178987,'1987-06-13 00:00:00',2,15,12,2004,'F','N','BOM PRINCÍPIO','GRAVATAÍ','RS','120204201135571721223569482344610128186',NULL,'9998',21.83,1,3,NULL),(25,6179002,'1992-08-05 00:00:00',4,1,12,2009,'F','N','CENTRO','TAUBATÉ','SP','125252251216471431348914571112610164072',NULL,'9998',0.00,1,3,NULL),(25,6179010,'1993-01-11 00:00:00',2,1,12,2010,'M','N','ALTO ARIRIU','PALHOÇA','SC','124241241115371431533414285324610127183',19704,'772',35.36,1,2,1),(25,6179029,'1991-03-25 00:00:00',2,1,12,2008,'F','N','VILA ILZE','ITAPIRA','SP','125251251116471731523414145122610164097',NULL,'9998',20.17,1,2,1),(25,6179037,'1993-01-12 00:00:00',4,1,12,2010,'M','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124241241117131532436611285124610126197',NULL,'729',18.61,1,3,NULL),(25,6179045,'1992-06-26 00:00:00',4,1,10,2009,'M','N','CENTRO','LINDÓIA SUL','SC','124241241127131431426533285324230468197',20331,'534',33.62,1,2,1),(25,6179061,'1992-07-14 00:00:00',2,1,7,2010,'M','N','ROÇADO','S JOSÉ','SC','124242247215312431437812325124610167042',16908,'9999',40.76,1,3,NULL),(25,6179070,'1993-03-21 00:00:00',2,1,12,2010,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','120201201116371431437634575124610164147',17056,'9998',35.98,1,2,1),(25,6179088,'1989-12-10 00:00:00',4,1,12,2007,'M','N','VILA BORGHESI','S ROQUE','SP','125253251217571411356614575112610167042',10595,'9998',50.34,1,3,NULL),(25,6179096,'1994-02-10 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241115371432259933572122610114012',10642,'271',45.45,1,3,NULL),(25,6179100,'1970-11-13 00:00:00',2,1,12,2002,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224204247226133721339344141134610112187',NULL,'9999',0.00,1,3,NULL),(25,6179118,'1993-04-02 00:00:00',4,4,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116162161215471431476612222122610134142',NULL,'9998',0.00,1,3,NULL),(25,6179126,'1988-11-30 00:00:00',4,1,12,2005,'F','N','CANGAÍBA','S PAULO','SP','125251251116571411427611572124610164077',1067,'9998',72.47,1,2,1),(25,6179134,'1991-02-11 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241235371731333939572124610128042',NULL,'1075',7.91,1,3,NULL),(25,6179142,'1993-11-19 00:00:00',4,1,11,2010,'M','N','CENTRO','CURITIBA','PR','116243171217471431338912575124610134042',1623,'9998',70.24,1,3,NULL),(25,6179150,'1993-02-22 00:00:00',4,8,12,2010,'F','N','IRIRIÚ','JOINVILLE','SC','124241241212371431446414475124610133097',6830,'462',54.23,1,3,NULL),(25,6179169,'1993-03-03 00:00:00',4,8,11,2010,'F','N','TARUMÃ','CURITIBA','PR','116162161215111431357821595124610127013',NULL,'9998',0.00,1,3,NULL),(25,6179185,'1991-06-16 00:00:00',2,8,11,2009,'M','N','FLORESTA','JOINVILLE','SC','124241241132371431434411142112610167172',NULL,'466',22.27,1,2,1),(25,6179207,'1992-09-22 00:00:00',2,17,12,2009,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116164163217471421448933175124610134012',11058,'9998',45.49,1,3,NULL),(25,6179215,'1992-09-26 00:00:00',4,1,12,2009,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241135372431334464345124610121042',17937,'745',32.03,4,2,1),(25,6179223,'1988-07-23 00:00:00',2,1,12,2006,'F','N','JARDIM LEOPOLDINA','PTO ALEGRE','RS','120202201417371431336614385124610118077',NULL,'9998',0.00,2,1,2),(25,6179231,'1991-12-11 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217473431358923574124610147052',13,'1038',88.24,1,3,NULL),(25,6179240,'1992-11-27 00:00:00',2,1,12,2010,'F','N','CENTRO','TORRES','RS','120201201136131731223629392125610144187',17736,'9997',34.07,1,3,NULL),(25,6179258,'1989-05-10 00:00:00',2,1,12,2006,'M','N','ZONA QUATRO','MARINGÁ','PR','116161161317572451439334595122610144182',3654,'9998',62.10,1,3,NULL),(25,6179266,'1993-01-30 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243247333131712313439342214610134045',NULL,'9999',25.66,1,3,NULL),(25,6179274,'1991-11-04 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215372211478812375114121247055',2743,'262',64.94,1,3,NULL),(25,6179282,'1990-02-15 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116275431636634385124610127147',10696,'733',45.63,4,2,1),(25,6179290,'1993-04-07 00:00:00',4,1,12,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241115473431369933571144610164142',5931,'271',56.52,1,3,NULL),(25,6179304,'1984-01-12 00:00:00',4,15,12,2002,'F','N','CENTRO','BAL ARROIO SILVA','SC','124201205116141451223364415224610144042',NULL,'9998',16.32,1,2,1),(25,6179312,'1992-05-28 00:00:00',4,3,11,2009,'F','N','BOM RETIRO','CURITIBA','PR','116162161215472431348832575122610163092',2791,'9998',64.59,1,3,NULL),(25,6179347,'1994-03-17 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469933575124610124052',4665,'1022',59.37,1,3,NULL),(25,6179355,'1992-07-10 00:00:00',2,2,11,2009,'F','N','CENTRO','VIÇOSA','MG','113132138217472731339933595112610132117',3496,'9998',63.44,1,3,NULL),(25,6179363,'1991-03-25 00:00:00',4,3,11,2007,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124241241216574731335923384221610168112',9741,'44',46.25,1,3,NULL),(25,6179371,'1993-10-26 00:00:00',2,1,12,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','624242241215111231444332345122610127047',16787,'781',40.95,1,3,NULL),(25,6179380,'1993-09-26 00:00:00',4,2,12,2010,'F','N','JARDIM UMARIZAL','S PAULO','SP','125252251216371731466822575124610122187',NULL,'9998',0.00,1,3,NULL),(25,6179398,'1993-04-06 00:00:00',4,1,12,2010,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124242241217271432349911575122610164057',13696,'724',41.29,1,3,NULL),(25,6179401,'1993-11-14 00:00:00',4,7,11,2010,'F','N','CENTRO','JOAÇABA','SC','124242241215271431456923575125610138192',9352,'446',48.29,1,3,NULL),(25,6179410,'1994-01-07 00:00:00',4,1,12,2010,'M','N','FERRAZ','GAROPABA','SC','124244241127151411227724575115610136197',10170,'322',48.03,1,3,NULL),(25,6179428,'1993-05-17 00:00:00',4,1,12,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215122431566631575122610167052',5837,'807',55.97,1,3,NULL),(25,6179436,'1993-09-10 00:00:00',4,8,12,2010,'F','N','CABRAL','CURITIBA','PR','116162161216421431468614572112610164197',6006,'9998',57.13,1,3,NULL),(25,6179452,'1990-06-29 00:00:00',4,1,12,2007,'M','N','VILA GUILHERME','S PAULO','SP','125252251217151411588812415112141021097',NULL,'9998',43.18,1,3,NULL),(25,6179460,'1992-03-23 00:00:00',2,1,12,2009,'F','N','JD ELDOURADO','PALHOÇA','SC','124241241127371731313344346324610128147',17682,'1009',39.43,1,2,1),(25,6179479,'1990-11-30 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','224241241117374431334444245134121127112',11794,'307',48.50,4,2,1),(25,6179487,'1992-11-05 00:00:00',2,1,12,2009,'F','N','ARIRIÚ','PALHOÇA','SC','124241241116131431556713575114610134192',NULL,'739',0.00,1,2,1),(25,6179495,'1991-10-17 00:00:00',4,8,12,2008,'M','N','JARDIM GUAPORÉ','MARINGÁ','PR','116162161211371421489933571122141267042',9429,'9998',52.31,1,3,NULL),(25,6179509,'1984-12-13 00:00:00',2,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117572731433519445124610127047',NULL,'732',18.04,1,2,1),(25,6179517,'1993-05-15 00:00:00',4,2,12,2010,'M','N','AGUA VERDE','BLUMENAU','SC','124241241137271431336639392124610137047',12004,'73',44.63,1,2,1),(25,6179525,'1993-08-06 00:00:00',4,2,12,2010,'F','N','CENTRO','STO ÂNGELO','RS','120202201217471431336632575122610134147',15434,'9998',43.00,1,3,NULL),(25,6179533,'1993-08-12 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215112431468923575122610134071',6733,'1050',55.28,1,3,NULL),(25,6179541,'1983-08-11 00:00:00',2,1,12,2001,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','624251255117131421238644343224332746187',11209,'9998',44.17,1,2,1),(25,6179550,'1992-12-09 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124163241315211531434569371124610116141',NULL,'884',16.46,2,3,NULL),(25,6179568,'1994-01-19 00:00:00',4,1,12,2011,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124241241215151431438633275124610168147',NULL,'270',40.07,1,3,NULL),(25,6179576,'1988-08-15 00:00:00',4,1,11,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211112431569811575122232617097',NULL,'1169',0.00,1,3,NULL),(25,6179584,'1991-07-30 00:00:00',4,7,12,2008,'F','N','CENTRO','CELSO RAMOS','SC','124241241116163411426911292124231516182',NULL,'163',0.00,1,2,1),(25,6179592,'1993-08-27 00:00:00',4,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124241241142151311631923242122610112142',NULL,'322',14.03,1,3,NULL),(25,6179606,'1991-06-22 00:00:00',2,9,12,2008,'F','N','CENTRO','S JOAQUIM','SC','116242241215571431424631572315131363142',17360,'1035',40.01,4,3,NULL),(25,6179614,'1992-02-15 00:00:00',4,1,11,2008,'F','N','JARDIM SOCIAL','CURITIBA','PR','116123121115471431368613575122141432197',657,'9998',75.68,1,3,NULL),(25,6179622,'1993-05-28 00:00:00',4,7,12,2010,'F','N','SANTA HELENA','JOAÇABA','SC','124242241215371451447319575124610167141',9752,'962',46.77,1,3,NULL),(25,6179630,'1993-02-08 00:00:00',4,9,11,2010,'F','N','SAGRADO C JESUS','LAGES','SC','124242241215111431539931574122610124052',NULL,'497',0.00,1,3,NULL),(25,6179649,'1991-10-29 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241248116371431226669275124610122145',12844,'306',41.30,1,2,1),(25,6179657,'1992-06-06 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215372451455539575114130228092',4191,'738',61.91,1,3,NULL),(25,6179665,'1992-03-30 00:00:00',4,1,12,2009,'M','N','JUVENTUDE','CAXIAS SUL','RS','120202201216271431358814275124610167142',7450,'9998',51.15,1,3,NULL),(25,6179690,'1993-07-26 00:00:00',4,8,12,2010,'F','N','PORTÃO','CURITIBA','PR','116162161215471411356814574124610144177',1751,'9998',69.18,3,3,NULL),(25,6179703,'1994-03-25 00:00:00',2,1,12,2010,'M','N','RIO BRANCO','CAXIAS SUL','RS','120202201216271531358821575122610137041',11448,'9998',44.95,1,3,NULL),(25,6179711,'1984-03-11 00:00:00',2,1,11,2003,'M','N','CENTRO','PALHOÇA','SC','124241241137474441226841412122133247071',18836,'591',37.28,1,2,1),(25,6179720,'1990-10-30 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241117133731344833495124231068197',8363,'883',54.20,1,3,NULL),(25,6179738,'1991-07-05 00:00:00',4,1,7,2009,'M','N','JARDIM LIBERDADE','JACAREÍ','SP','125123121113471411458823575124610164042',789,'9998',74.12,1,3,NULL),(25,6179746,'1994-10-15 00:00:00',4,5,11,2011,'F','S','CENTRO','CRICIÚMA','SC','124242248215321411459931571122610147142',NULL,'226',34.52,1,3,NULL),(25,6179754,'1990-05-05 00:00:00',2,5,11,2009,'M','N','CENTRO','SIDERÓPOLIS','SC','124244241117171231324767495124610118187',NULL,'768',15.96,1,3,NULL),(25,6179762,'1992-11-22 00:00:00',4,1,11,2010,'M','N','BAIRRO IPIRANGA','S JOSÉ','SC','124242241212112431336612575112610138052',6625,'1118',55.38,1,3,NULL),(25,6179770,'1993-07-06 00:00:00',2,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241117272731459812295124610167072',15953,'267',36.50,1,3,NULL),(25,6179789,'1992-11-27 00:00:00',4,10,12,2009,'F','N','HUMAITA','TUBARÃO','SC','124073071116471431568813575124610164187',1150,'9998',71.92,1,3,NULL),(25,6179797,'1984-03-27 00:00:00',2,1,12,2004,'F','N','SANTO ANTONIO','CAMPINA GRANDE','PB','115151155116351431335311475124241042197',NULL,'9998',17.17,1,2,1),(25,6179800,'1992-11-14 00:00:00',4,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124243241112371731336323585123132962052',17511,'734',34.14,1,3,NULL),(25,6179819,'1981-01-18 00:00:00',2,1,12,1999,'M','N','KOBRASOL','S JOSÉ','SC','124241241136475421223339415124332737057',12701,'732',47.07,2,1,1),(25,6179827,'1994-08-06 00:00:00',4,1,12,2010,'F','N','JARDIM OSWALDO CRUZ','S JOSÉ CAMPOS','SP','122222251215421431689833571112610132147',4000,'9998',61.98,4,3,NULL),(25,6179843,'1992-11-05 00:00:00',4,1,11,2010,'M','N','CENTRO','S MIGUEL IGUAÇU','PR','116161161117131731324329475121610144172',16999,'9998',35.27,1,2,1),(25,6179851,'1989-11-27 00:00:00',2,10,12,2007,'M','N','HUMAITA','TUBARÃO','SC','124073071116371751568813575111141267042',3892,'9998',60.83,1,3,NULL),(25,6179860,'1991-11-14 00:00:00',2,8,12,2008,'F','N','CENTRO','RONCADOR','PR','116161161136571431456639595125610142142',2273,'9998',67.49,1,2,1),(25,6179878,'1993-03-13 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111411568712475124610111014',11520,'1118',48.87,1,3,NULL),(25,6179894,'1991-02-06 00:00:00',4,1,12,2008,'F','N','PRAIA DO MORRO','GUARAPARI','ES','108082081237471751347832392122610115122',3889,'9998',61.00,1,3,NULL),(25,6179908,'1986-08-15 00:00:00',4,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241247137141531535532144331610114047',NULL,'9999',32.59,1,2,1),(25,6179916,'1992-01-13 00:00:00',2,1,11,2009,'F','N','CENTRO CÍVICO','CURITIBA','PR','116164161216472641558614372124610165047',NULL,'9998',0.00,1,3,NULL),(25,6179924,'1993-01-28 00:00:00',2,4,12,2009,'F','N','CENTRO','PALMITOS','SC','124244161216372431458639575112610122197',NULL,'9998',25.63,1,3,NULL),(25,6179932,'1992-05-16 00:00:00',4,1,12,2009,'F','N','JARDIM OSWALDO CRUZ','S JOSÉ CAMPOS','SP','125222251217511431689833571112610164037',1242,'9998',71.35,4,3,NULL),(25,6179959,'1992-02-11 00:00:00',4,8,11,2009,'M','N','MOSSUNGUE','CURITIBA','PR','116162161215571751488414375114610166067',1321,'9998',70.41,1,3,NULL),(25,6179967,'1993-03-28 00:00:00',4,2,12,2010,'F','N','VORSTADT','BLUMENAU','SC','124244241217131431348833575114610154197',19307,'1018',36.26,1,3,NULL),(25,6179975,'1990-08-06 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224241241135274431316754282114610123112',20405,'307',33.42,4,2,1),(25,6179991,'1987-11-20 00:00:00',4,15,12,2007,'M','N','JARDIM ATLANTICO','BAL ARROIO SILVA','SC','124241248126151431556923445122130727053',NULL,'854',25.79,1,3,NULL),(25,6180000,'1991-02-05 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161215371431327822274115610165142',3895,'9998',60.32,1,3,NULL),(25,6180019,'1979-12-04 00:00:00',2,1,12,1997,'M','N','CENTRO','ARAUCÁRIA','PR','116162166116572721459813415122341267147',2687,'9998',66.88,1,3,NULL),(25,6180027,'1992-12-11 00:00:00',4,2,12,2010,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215272331479811572122610143076',NULL,'909',0.00,1,3,NULL),(25,6180035,'1982-04-26 00:00:00',2,1,12,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241127375431211324185123221267067',NULL,'281',0.00,1,3,NULL),(25,6180051,'1993-09-29 00:00:00',4,6,12,2010,'M','N','SANTO ANTÔNIO','BAL PIÇARRAS','SC','124242241235111431443934575112610127142',17886,'1176',34.24,1,3,NULL),(25,6180060,'1993-12-29 00:00:00',4,4,12,2010,'F','N','CENTRO','S JOÃO OESTE','SC','124241241126161431646732345122610167142',17782,'715',33.14,1,2,1),(25,6180078,'1993-07-01 00:00:00',4,1,12,2010,'M','N','CENTRO','IBEMA','PR','116162161217111431456933275112610164141',10191,'9998',47.37,1,3,NULL),(25,6180086,'1990-06-05 00:00:00',2,1,12,2007,'F','N','MARIA LUÍZA','CASCAVEL','PR','116161161415572211543672575122610166192',468,'9998',77.87,1,3,NULL),(25,6180108,'1991-01-14 00:00:00',2,1,12,2008,'M','N','PARQUE E JARDIM OURO','OURO','SC','124243241215472411453611371125610137052',2932,'1093',66.13,4,3,NULL),(25,6180116,'1993-05-05 00:00:00',4,6,11,2010,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241215131431448811571122610134147',14686,'1057',39.07,1,3,NULL),(25,6180124,'1993-07-28 00:00:00',4,2,12,2010,'M','N','VILA DUTRA','CAMPINAS','SP','125252256116111431369934475124610167042',NULL,'9998',0.00,1,3,NULL),(25,6180132,'1993-03-08 00:00:00',2,1,12,2010,'F','N','CENTRO','STA MARIA','RS','120203201217371531588929476124610161183',5190,'9998',57.90,1,3,NULL),(25,6180140,'1992-08-04 00:00:00',4,9,12,2009,'M','N','JARDIM BANDEIRA','S JOAQUIM','SC','124241241116371431643315155122610164017',16102,'903',41.99,2,1,1),(25,6180167,'1990-08-23 00:00:00',4,1,12,2009,'M','N','ALTO RIBEIRÃO','FLORIANÓPOLIS','SC','124241241135372431455413575124610122112',NULL,'278',22.95,1,2,1),(25,6180175,'1992-04-17 00:00:00',2,8,11,2010,'F','N','BORDA DO CAMPO','QUATRO BARRAS','PR','116162161236111411258967345124610168046',NULL,'9998',0.00,1,3,NULL),(25,6180183,'1993-10-16 00:00:00',2,1,10,2010,'F','N','SERRINHA TRINDADE','FLORIANÓPOLIS','SC','124202201216372431246819475112610118092',10567,'9998',46.33,1,3,NULL),(25,6180205,'1992-12-11 00:00:00',2,1,12,2010,'F','N','JARDIM AQUARIUS','PALHOÇA','SC','124241241225371431323329172124610151027',21003,'262',25.55,1,3,NULL),(25,6180213,'1993-11-19 00:00:00',4,1,11,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217121431257614375124610164182',1022,'270',73.13,1,3,NULL),(25,6180230,'1979-07-18 00:00:00',3,1,12,1998,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241216151431453431245122531637047',15967,'117',42.19,1,3,NULL),(25,6180248,'1994-09-04 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241211111431479711575122610167072',7563,'270',55.67,1,3,NULL),(25,6180256,'1993-08-29 00:00:00',4,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241215111431236923575124610122092',13597,'1011',45.78,1,3,NULL),(25,6180264,'1993-06-12 00:00:00',4,1,12,2010,'M','N','CENTRO','GUARAPUAVA','PR','116162161215471751369911575115610128182',67,'9998',84.77,1,3,NULL),(25,6180272,'1992-03-03 00:00:00',2,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124242246117141431535923445124610166192',6127,'306',54.04,1,3,NULL),(25,6180280,'1990-05-10 00:00:00',2,1,12,2007,'M','N','JARDIM AMERICA','MARINGÁ','PR','116164161217271431558834572112241437052',807,'9998',75.15,1,3,NULL),(25,6180299,'1994-02-13 00:00:00',4,4,12,2010,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241216151731536914575122610124097',13782,'1021',41.25,1,3,NULL),(25,6180302,'1984-03-04 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624241241127272431233344345122610164047',11546,'50',44.67,1,2,1),(25,6180310,'1993-01-30 00:00:00',4,1,11,2010,'F','N','SETOR OESTE','GOIÂNIA','GO','109092091217111431488819572122610144012',884,'9998',73.33,1,3,NULL),(25,6180329,'1991-05-23 00:00:00',2,1,12,2008,'F','N','JARDIM ISMENIA','S JOSÉ CAMPOS','SP','125251251116571431438614572114610127147',NULL,'9998',25.37,4,2,1),(25,6180337,'1980-03-20 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124164247227231421566219212122131037182',NULL,'9999',0.00,1,3,NULL),(25,6180345,'1983-07-22 00:00:00',2,1,11,2001,'F','N','AREIAS','S JOSÉ','SC','124241247426132431436544242122130212187',NULL,'9999',17.05,1,3,NULL),(25,6180361,'1994-06-06 00:00:00',4,9,11,2010,'M','N','CENTRO','CORREIA PINTO','SC','124242241215112411343422575114610167052',5965,'1207',56.64,1,3,NULL),(25,6180370,'1975-07-26 00:00:00',4,1,12,1991,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124203201216151711677944442124342868192',5269,'9998',60.26,1,3,NULL),(25,6180388,'1985-10-01 00:00:00',2,1,12,2002,'F','N','COLONINHA','FLORIANÓPOLIS','SC','624241241127473731226449195124610137047',7975,'292',52.56,1,2,1),(25,6180418,'1990-10-18 00:00:00',2,1,12,2008,'F','N','PRADO DE BAIXO','BIGUAÇU','SC','124243241322131411325629211124610138115',21379,'307',28.96,3,3,NULL),(25,6180434,'1980-08-19 00:00:00',2,1,11,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224281281142142431225554345124232842197',NULL,'9998',0.00,1,2,1),(25,6180442,'1992-12-21 00:00:00',4,6,11,2010,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241215111711579811575121610127132',4913,'391',58.57,1,3,NULL),(25,6180450,'1992-05-23 00:00:00',4,4,12,2009,'M','N','SANTA MARIA','CHAPECÓ','SC','124241241117472421354652145122610117042',10521,'176',47.18,1,2,1),(25,6180469,'1988-07-12 00:00:00',4,8,12,2005,'F','N','VILA HAUER','CURITIBA','PR','116163161215471411449812571112341263092',13180,'9998',46.37,1,3,NULL),(25,6180477,'1991-04-25 00:00:00',4,1,12,2008,'M','N','CENTRO','IVAIPORÃ','PR','116162161217572431469933575124610137012',4283,'9998',58.85,1,3,NULL),(25,6180485,'1991-02-24 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241247117131431324311345114610114177',NULL,'9999',25.23,1,2,1),(25,6180493,'1992-11-10 00:00:00',2,7,12,2009,'F','N','SANTA TEREZA','VIDEIRA','SC','124111241116272331436614342125610142092',18278,'831',32.40,4,3,NULL),(25,6180507,'1993-07-14 00:00:00',4,1,11,2010,'F','N','CENTRO','MOGI CRUZES','SP','125252251216111731658832476112610133092',NULL,'9998',0.00,3,3,NULL),(25,6180515,'1993-07-09 00:00:00',4,4,12,2010,'M','N','PARQUE CIDADE JARDIM','UMUARAMA','PR','116162161217121431468813595122610154197',4719,'9998',58.20,1,3,NULL),(25,6180531,'1981-08-12 00:00:00',4,1,12,1999,'M','N','FAZ SANTO ANTÔNIO','S JOSÉ','SC','124242241237272431123322311122323036062',6515,'272',57.67,1,3,NULL),(25,6180566,'1993-05-03 00:00:00',2,1,12,2010,'F','N','VILA SÃO FRANCISO','S PAULO','SP','125252251215471411356831575112610122142',NULL,'9998',0.00,1,3,NULL),(25,6180582,'1983-06-06 00:00:00',4,1,12,2000,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116335431238833285124230226187',NULL,'307',36.43,1,2,1),(25,6180590,'1989-11-27 00:00:00',2,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117134531126823382123133224045',NULL,'307',26.42,1,2,1),(25,6180612,'1993-07-12 00:00:00',4,9,11,2010,'M','N','PROGRESSO','IBIRAMA','SC','124244241415111711346612575125610165187',7879,'991',51.17,1,3,NULL),(25,6180639,'1990-10-08 00:00:00',4,1,11,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124114071217372411268819575122610166095',NULL,'9998',0.00,1,3,NULL),(25,6180647,'1989-07-06 00:00:00',4,1,12,2006,'M','N','INTERLAGOS','S PAULO','SP','125252251211571431458631571122610164182',2535,'9998',67.37,3,3,NULL),(25,6180655,'1988-07-25 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','116162161217153711448913494114221464095',10727,'9998',50.11,1,3,NULL),(25,6180663,'1990-09-30 00:00:00',4,1,12,2007,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241236152421357813475112233224147',15192,'273',43.42,1,3,NULL),(25,6180680,'1990-06-07 00:00:00',4,1,12,2007,'F','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251211572421368814571122610112142',NULL,'9998',0.00,1,3,NULL),(25,6180701,'1991-09-05 00:00:00',4,8,12,2008,'M','N','ECOVILLE','CURITIBA','PR','116162161215572441488813575112610137042',1887,'9998',68.17,1,3,NULL),(25,6180710,'1994-04-18 00:00:00',4,10,12,2011,'F','S','MAGALHÃES','LAGUNA','SC','124242241215111731447714575124610138047',NULL,'807',30.24,1,3,NULL),(25,6180728,'1990-07-19 00:00:00',2,1,12,2009,'F','N','CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC','124241241135472441316623295124610166082',14994,'288',43.70,2,2,1),(25,6180736,'1991-06-07 00:00:00',2,1,12,2008,'M','N','SÃO JOAO BATISTA','BELO HORIZONTE','MG','113131131116571431423414575124610112097',19818,'9998',35.10,4,2,1),(25,6180744,'1980-06-14 00:00:00',4,3,12,1997,'F','N','CENTRO','TOLEDO','PR','116162161216372631377632475122343262142',10091,'9998',46.75,3,3,NULL),(25,6180752,'1994-05-14 00:00:00',2,4,12,2010,'F','N','INTERIOR','GALVÃO','SC','124241241115161731523316572224610128057',NULL,'321',34.68,1,2,1),(25,6180760,'1993-10-27 00:00:00',4,10,11,2010,'F','N','CENTRO','CURITIBA','PR','116161161136151411338724575121610141197',13325,'9998',41.34,1,2,1),(25,6180779,'1992-10-23 00:00:00',4,1,12,2009,'F','N','CENTRO','CAXIAS SUL','RS','120201201216472431137312245124610123147',3666,'9998',61.94,1,3,NULL),(25,6180809,'1990-01-03 00:00:00',2,1,12,2007,'F','N','CENTRO','RESERVA','PR','116161161216515431546614575112610114187',4443,'9998',59.38,1,3,NULL),(25,6180817,'1993-03-02 00:00:00',4,15,12,2010,'M','N','ALTO FELIZ','ARARANGUÁ','SC','124241241136471411436334395121610117187',NULL,'29',25.77,4,2,1),(25,6180825,'1991-07-08 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241217575411356913572122610167042',8,'738',89.15,1,3,NULL),(25,6180833,'1992-12-11 00:00:00',4,1,12,2009,'F','N','CENTRO','NOVA ARAÇÁ','RS','120203208226111411427819595124241468182',4321,'9998',59.71,1,3,NULL),(25,6180841,'1978-10-13 00:00:00',2,1,12,2008,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','224243247147133441637741115122131437017',NULL,'9999',0.00,1,3,NULL),(25,6180850,'1978-10-13 00:00:00',2,1,12,1996,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224161164126272431356653186224142834187',5946,'9998',58.85,1,2,1),(25,6180876,'1993-05-24 00:00:00',4,8,12,2010,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124244241215151431449811575121610167047',11574,'441',47.34,1,3,NULL),(25,6180884,'1985-05-30 00:00:00',2,6,12,2002,'F','N','CENTRO','GUAIRAÇÁ','PR','116161161127472451436631275324341336147',4674,'9998',59.39,1,2,1),(25,6180892,'1993-04-12 00:00:00',4,1,12,2010,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124244241115111431228624382114610167052',20158,'739',28.44,1,3,NULL),(25,6180906,'1993-06-06 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','120204201417471431438921572122610162017',6581,'9998',54.36,4,3,NULL),(25,6180914,'1993-11-14 00:00:00',2,4,11,2010,'F','N','CENTRO','IPUMIRIM','SC','124241241415151411225319572124610126142',5873,'1000',56.36,1,3,NULL),(25,6180922,'1990-07-07 00:00:00',2,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241316374431435331345125122944187',NULL,'515',30.38,1,3,NULL),(25,6180930,'1989-04-25 00:00:00',2,1,12,2006,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241126133431426371472324610142141',19831,'307',35.07,4,2,1),(25,6180949,'1983-08-29 00:00:00',4,5,9,2005,'M','N','CENTRO','COCAL SUL','SC','124211211226131441524664485123610127022',21645,'9998',26.23,1,3,NULL),(25,6180957,'1992-10-12 00:00:00',2,1,12,2009,'M','N','ALTO ARIRIU','PALHOÇA','SC','124242241217142431468833572111231427045',11895,'270',48.33,1,3,NULL),(25,6180965,'1992-01-24 00:00:00',4,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124164161112471511235832595114612523142',NULL,'9998',38.29,1,3,NULL),(25,6180973,'1993-02-01 00:00:00',2,5,12,2010,'M','N','RONDON','LENÇÓIS PAULISTA','SP','125251251216111431326823575124610167017',8550,'9998',50.63,1,3,NULL),(25,6180981,'1992-01-19 00:00:00',4,8,12,2009,'F','N','BOA VISTA','CURITIBA','PR','116162161236371431559933575124610134147',NULL,'9998',0.00,1,3,NULL),(25,6180990,'1992-12-10 00:00:00',4,4,12,2010,'F','N','CENTRO','CUNHA PORÃ','SC','124241241114131321533335191344610125147',21385,'234',28.92,1,2,1),(25,6181007,'1992-10-23 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241215472431435631572124610167017',8001,'446',52.26,1,3,NULL),(25,6181031,'1992-02-13 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473431459813575124610141012',5533,'270',57.72,1,3,NULL),(25,6181040,'1994-02-12 00:00:00',4,5,11,2010,'M','N','CENTRO','IÇARA','SC','124202241215111711569911591112610164017',7153,'226',56.45,1,3,NULL),(25,6181058,'1989-04-15 00:00:00',2,1,12,2006,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241215574431555819475124610147047',10130,'752',46.70,1,3,NULL),(25,6181066,'1986-03-28 00:00:00',4,2,11,2006,'M','N','VICTOR KONDER','BLUMENAU','SC','124242247211451731337614475114132164182',NULL,'86',0.00,3,3,NULL),(25,6181082,'1981-02-08 00:00:00',4,1,6,2003,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224241241136175421323344242214121414172',NULL,'1003',29.21,2,1,1),(25,6181112,'1990-03-20 00:00:00',2,1,12,2007,'F','N','CENTRO','PNT GROSSA','PR','116163161215571431549913572122610142147',4596,'9998',58.69,1,3,NULL),(25,6181120,'1958-05-15 00:00:00',5,1,12,1978,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','524241245227153411238643233134610167043',15603,'751',42.76,1,3,NULL),(25,6181139,'1993-09-25 00:00:00',4,1,11,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217121331548812575124610114191',8928,'270',50.19,1,3,NULL),(25,6181147,'1988-08-22 00:00:00',4,1,12,2005,'M','N','FAZENDA SANTO ANTÔNI','S JOSÉ','SC','124241241147132751334612245132610162053',NULL,'733',22.63,1,2,1),(25,6181155,'1990-07-06 00:00:00',2,4,11,2007,'F','N','TACCA','XANXERÊ','SC','124242241216573451336623475122142631177',5727,'1159',56.56,1,3,NULL),(25,6181163,'1993-05-18 00:00:00',2,1,12,2010,'M','N','IPIRANGA','S JOSÉ','SC','124241241115111411446913575124610117042',NULL,'271',15.19,1,2,1),(25,6181180,'1992-05-12 00:00:00',4,1,12,2009,'F','N','CENTRO','DESCANSO','SC','124242241417111431559712272124232528187',18407,'242',38.09,1,3,NULL),(25,6181198,'1992-03-24 00:00:00',2,8,12,2009,'M','N','VILA INDUSTRIAL','JUQUIÁ','SP','125251251416471322564611213122610127087',NULL,'9998',0.00,3,3,NULL),(25,6181201,'1992-03-18 00:00:00',2,1,12,2009,'F','N','NOVA DIVINÉIA','PINHALZINHO','SC','124241241116373431444614175124610121192',NULL,'616',32.25,1,2,1),(25,6181210,'1990-01-14 00:00:00',4,9,12,2007,'M','N','CENTRO','LAGES','SC','124242241217472441448923575112130668182',2975,'499',65.59,1,3,NULL),(25,6181228,'1990-10-21 01:00:00',4,1,12,2007,'M','N','LIBERDADE','S PAULO','SP','125252251216371431256822575122610166142',NULL,'9998',0.00,1,3,NULL),(25,6181236,'1992-06-23 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241116372431348914585124610167182',19869,'288',34.94,1,3,NULL),(25,6181244,'1987-08-20 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241315473431544511215122243227017',18201,'307',38.46,1,3,NULL),(25,6181252,'1988-10-28 00:00:00',2,6,12,2006,'M','N','VILA OPERARIA','ITAJAÍ','SC','124242241236575431537934475122133237047',4643,'1058',61.69,1,3,NULL),(25,6181260,'1989-01-24 00:00:00',2,1,12,2006,'M','N','CENTRO','IRINEÓPOLIS','SC','124241241141134711545939295111142967052',13198,'381',46.35,1,2,1),(25,6181287,'1992-01-04 00:00:00',2,4,12,2009,'M','N','JARDIM FLORESTA','PLANALTO','PR','116161161146412231535612275122510167041',16963,'9998',34.64,1,2,1),(25,6181295,'1990-12-10 00:00:00',4,1,12,2007,'F','N','CENTRO','STA MARIA','RS','120202201216572751456832575125610138182',2857,'9998',63.35,1,3,NULL),(25,6181309,'1993-03-12 00:00:00',4,7,12,2010,'M','N','II PINHEIROS','VIDEIRA','SC','124241241216371431358714575122610127082',6014,'829',56.00,1,3,NULL),(25,6181317,'1993-11-23 00:00:00',2,15,12,2010,'F','N','SANGA DA AREIA','ARARANGUÁ','SC','124241241135131431426631341214610137147',17228,'30',34.38,1,2,1),(25,6181325,'1990-08-31 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116472431326824472114610134097',4542,'257',60.29,4,2,1),(25,6181341,'1993-09-02 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241215112431228734275124610134057',11518,'497',43.84,1,3,NULL),(25,6181350,'1993-08-09 00:00:00',2,1,11,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241216111412326324345124610127115',17098,'882',35.48,1,3,NULL),(25,6181384,'1993-10-04 00:00:00',4,6,11,2010,'M','N','ARMAÇÃO','PENHA','SC','124241241117271431446614375124610147047',NULL,'609',0.00,1,2,1),(25,6181392,'1992-08-07 00:00:00',4,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124241241115131411326613586214610135017',9092,'739',49.95,1,2,1),(25,6181406,'1993-07-23 00:00:00',4,1,11,2010,'M','N','SALGADO FILHO','CAXIAS SUL','RS','120202203217111431378823295124610167052',7238,'9998',53.33,1,3,NULL),(25,6181422,'1992-07-26 00:00:00',2,4,12,2009,'M','N','ALVORADA','MARMELEIRO','PR','116161161116162431546332292122610127042',1047,'9998',73.51,1,2,1),(25,6181449,'1991-03-15 00:00:00',4,1,12,2008,'F','N','JARDIM PAULISTA','PRES PRUDENTE','SP','125252251215572431338811575123610144057',1838,'9998',68.16,1,3,NULL),(25,6181465,'1991-03-21 00:00:00',2,1,12,2008,'F','N','ERICA','PANAMBI','RS','120202201215572431466712275122610138142',7643,'9998',50.56,1,3,NULL),(25,6181481,'1991-09-03 00:00:00',4,1,12,2008,'F','N','ARHUR ALVIM','S PAULO','SP','125252251214571751228822572125610123147',7666,'9998',50.97,1,3,NULL),(25,6181490,'1990-10-30 00:00:00',2,10,11,2007,'F','N','CENTRO','TUBARÃO','SC','124242241215472431458933572122132623147',3856,'807',60.77,1,3,NULL),(25,6181503,'1982-12-10 00:00:00',4,1,2,2001,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242246112374431456833332124322635117',3044,'306',65.80,1,3,NULL),(25,6181511,'1990-04-22 00:00:00',4,10,12,2007,'F','N','BANDEIRANTES','CAPIVARI BAIXO','SC','124243241417474751448714575122131368187',NULL,'809',36.77,1,3,NULL),(25,6181538,'1993-04-04 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111731566413575114610167045',13933,'1022',41.45,1,3,NULL),(25,6181554,'1992-03-30 00:00:00',2,4,12,2009,'F','N','CENTRO','SARANDI','RS','120201201135471431446911372112610113147',5023,'9998',56.47,1,2,1),(25,6181562,'1993-03-09 00:00:00',2,15,12,2010,'F','N','ÚLTIMO RIO','JACINTO MACHADO','SC','124241241117271712323335575114610168142',21563,'420',27.35,1,2,1),(25,6181570,'1991-02-27 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215575431448916372124610133097',2252,'270',68.35,4,3,NULL),(25,6181589,'1993-12-10 00:00:00',4,7,12,2010,'F','N','CENTRO','TREZE TÍLIAS','SC','124243241215151331258913272112610127052',NULL,'962',23.11,1,3,NULL),(25,6181597,'1988-05-02 00:00:00',2,1,12,2005,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241117131411124344245125610114062',NULL,'359',22.93,1,3,NULL),(25,6181600,'1993-12-30 00:00:00',4,4,12,2010,'M','N','SETOR BUENO','GOIÂNIA','GO','109093091235111431226624572322610138062',4316,'9998',59.22,1,3,NULL),(25,6181627,'1993-10-20 00:00:00',4,4,11,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241215122411348912275122610166092',16677,'185',41.12,1,3,NULL),(25,6181635,'1994-11-01 00:00:00',4,15,12,2010,'F','N','LINHA SEMINÁRIO','TURVO','SC','124244241216122431444715572122610142142',10267,'813',47.82,1,3,NULL),(25,6181643,'1992-10-27 00:00:00',2,5,11,2009,'F','N','FLORESTA','PTO ALEGRE','RS','120202201211471411225923395112610124042',5687,'9998',56.13,1,3,NULL),(25,6181660,'1993-08-20 00:00:00',4,2,12,2010,'F','N','CENTRO','BLUMENAU','SC','124242241215111751327633591124610168147',9440,'71',52.30,4,3,NULL),(25,6181716,'1991-10-19 00:00:00',4,15,12,2008,'F','N','NOVA BRASILIA','SOMBRIO','SC','124241241137131421533519195122231561192',NULL,'947',27.57,1,3,NULL),(25,6181732,'1992-09-05 00:00:00',2,6,12,2009,'F','N','CENTRO','STA CRUZ SUL','RS','120201201117471431436316475122610124172',6771,'9998',53.14,1,2,1),(25,6181740,'1992-03-07 00:00:00',2,7,12,2009,'F','N','CENTRO','ÁGUA DOCE','SC','124241241136471711425535591224613262147',19427,'539',35.98,1,2,1),(25,6181759,'1990-03-01 00:00:00',2,2,11,2008,'M','N','VOSTRADT','BLUMENAU','SC','124241242137132431448914292124230267047',17933,'143',38.98,1,3,NULL),(25,6181767,'1993-11-04 00:00:00',4,1,12,2010,'M','N','TROPICAL','CASCAVEL','PR','116162161216121231458716375122610124047',NULL,'9998',0.00,1,3,NULL),(25,6181775,'1993-01-15 00:00:00',4,2,12,2010,'M','N','COLONINHA','GASPAR','SC','124242241215111431466832575124610134112',1188,'855',71.45,1,3,NULL),(25,6181791,'1991-02-23 00:00:00',2,1,12,2008,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124201201126132431323613245124610122072',NULL,'9998',21.41,2,2,1),(25,6181805,'1992-01-08 00:00:00',2,3,12,2008,'F','N','CENTRO','RIBEIRÃO PINHAL','PR','116164161216571431358834575112610164192',10465,'9998',46.87,1,3,NULL),(25,6181813,'1993-01-30 00:00:00',4,8,10,2010,'F','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251215121441469814575122610163147',NULL,'9998',0.00,1,3,NULL),(25,6181821,'1992-09-28 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241416472431449614575124610164012',5111,'317',57.87,1,3,NULL),(25,6181830,'1993-08-31 00:00:00',2,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241117111431326923342124610124147',20009,'733',34.54,1,2,1),(25,6181848,'1993-09-17 00:00:00',2,1,12,2010,'M','N','MADRI','PALHOÇA','SC','124241241115341431523314245224610126182',18883,'591',31.31,3,2,1),(25,6181864,'1993-07-11 00:00:00',2,1,12,2010,'F','N','VENDAVAL','BIGUAÇU','SC','124241241215111431433532575114610137142',18300,'738',32.98,1,3,NULL),(25,6181872,'1993-09-23 00:00:00',4,3,12,2010,'F','N','JORGE TEIXEIRA','ARIQUEMES','RO','122221221416111231466812572122610113142',NULL,'9998',0.00,4,3,NULL),(25,6181880,'1993-02-23 00:00:00',4,5,12,2009,'F','N','BOM FIM','PTO ALEGRE','RS','120202201216372431338933571122610164191',3360,'9998',62.70,1,3,NULL),(25,6181899,'1992-05-12 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215372431679913574114610125042',6567,'270',57.55,1,3,NULL),(25,6181902,'1989-02-02 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217153431476934345124133224092',21561,'1022',27.36,1,3,NULL),(25,6181910,'1991-05-19 00:00:00',4,1,12,2008,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124241241146131731233354375114610132185',18570,'472',37.83,1,2,1),(25,6181929,'1992-11-19 00:00:00',4,1,11,2010,'F','N','CENTRO','S JOSÉ','SC','124242241215112431569834572122610161182',7385,'270',54.48,4,3,NULL),(25,6181937,'1993-02-16 00:00:00',4,8,12,2010,'M','N','CENTRO','PINHAIS','PR','116162161217121431389932572122610124012',3226,'9998',63.34,1,3,NULL),(25,6181945,'1992-08-04 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241135171711623334342314610113147',21461,'298',28.31,1,2,1),(25,6181953,'1993-03-31 00:00:00',4,1,11,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124244241116274431449923575124230421055',5129,'271',57.56,1,3,NULL),(25,6181970,'1993-12-23 00:00:00',2,1,11,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241215111411458813576124610125142',7054,'270',54.90,4,3,NULL),(25,6181988,'1993-09-06 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215121431337714575112610146052',7206,'226',53.89,1,3,NULL),(25,6181996,'1990-02-12 00:00:00',2,1,12,2007,'M','N','BRASILIA','S BENTO SUL','SC','124241241136471711533314242212610127092',NULL,'697',0.00,4,2,1),(25,6182003,'1991-03-19 00:00:00',4,2,12,2008,'F','N','ERICA','PANAMBI','RS','120202201215572341369519395125610125172',NULL,'9998',0.00,1,3,NULL),(25,6182020,'1987-12-05 00:00:00',2,1,12,2005,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241115372431535519245124610125117',19046,'278',31.89,1,2,1),(25,6182046,'1993-03-26 00:00:00',4,5,12,2009,'F','N','RUI BARBOSA','MONTENEGRO','RS','120201201137471431347612471112610147012',1776,'9998',67.08,1,2,1),(25,6182054,'1987-12-08 00:00:00',4,1,11,2006,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215474721437314444134610163071',14067,'1022',41.18,1,3,NULL),(25,6182062,'1991-12-01 00:00:00',2,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241117472411646613572115610136091',14936,'298',38.94,1,3,NULL),(25,6182070,'1993-09-06 00:00:00',4,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217151431468833475122610122011',NULL,'262',52.14,1,3,NULL),(25,6182089,'1989-10-24 00:00:00',4,8,12,2006,'F','N','COSTA E SILVA','JOINVILLE','SC','124251251116374411546614172124142632072',11219,'9998',43.99,2,1,1),(25,6182097,'1993-10-07 00:00:00',4,1,11,2010,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215111431585812495122610114092',6430,'262',57.90,1,3,NULL),(25,6182100,'1992-02-18 00:00:00',4,1,6,2009,'M','N','JARDIM APOLO I','S JOSÉ CAMPOS','SP','125252281217572431489912575122610167052',4345,'9998',58.94,1,3,NULL),(25,6182119,'1958-02-23 00:00:00',4,1,11,1976,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','224132131216152411673353472112441066082',17126,'9998',40.41,1,3,NULL),(25,6182127,'1991-11-11 00:00:00',4,3,11,2009,'F','N','CENTRO','JABOTICABAL','SP','125252251217471431557831171122610134092',3131,'9998',63.40,1,3,NULL),(25,6182135,'1990-09-21 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215273431189814495124223267092',12983,'226',46.62,1,3,NULL),(25,6182143,'1992-06-18 00:00:00',4,1,12,2009,'F','N','JARDIM OSWALDO CRUZ','S JOSÉ CAMPOS','SP','102022021215471731569833575115610132147',4480,'9998',60.11,1,3,NULL),(25,6182151,'1993-08-23 00:00:00',4,7,11,2010,'F','N','CENTRO','JOAÇABA','SC','124242241217371521245529575122610133017',16052,'446',42.05,1,3,NULL),(25,6182160,'1989-03-17 00:00:00',2,1,12,2006,'F','N','CENTRO','RIALMA','GO','109091091216571431423724576125610143147',1806,'9998',67.39,1,3,NULL),(25,6182178,'1993-06-13 00:00:00',2,10,12,2010,'M','N','NOVA BRASÍLIA','IMBITUBA','SC','124241243116271431446627575124610164052',NULL,'359',31.49,1,3,NULL),(25,6182186,'1994-01-16 00:00:00',4,4,12,2010,'F','N','LA SALLE','XANXERÊ','SC','124242241215111431448714575122610131142',NULL,'836',0.00,1,3,NULL),(25,6182208,'1992-01-05 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216473431379613375124610163187',9693,'262',48.20,1,3,NULL),(25,6182216,'1992-03-12 00:00:00',4,8,12,2009,'F','N','SÃO FRANCISCO','CURITIBA','PR','116112111215471411469931594124610146195',4239,'9998',61.39,1,3,NULL),(25,6182224,'1993-01-29 00:00:00',4,1,12,2011,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117151331569933575114610162017',NULL,'267',46.94,1,3,NULL),(25,6182232,'1992-04-23 00:00:00',4,4,12,2009,'F','N','CENTRO','PATO BRANCO','PR','116164161217472431466814572122610145147',NULL,'9998',0.00,1,3,NULL),(25,6182240,'1988-08-26 00:00:00',2,1,12,2006,'F','N','JDIM CDE DE FPOLIS','S JOSÉ','SC','124241241116134441623539285134610153141',18826,'734',31.90,4,2,1),(25,6182259,'1992-11-04 00:00:00',4,1,12,2009,'M','N','CENTRO','TURVO','SC','124242241216412431558911575124610127043',6356,'970',58.03,1,3,NULL),(25,6182267,'1992-11-19 00:00:00',2,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124111241117472451225511395121610138172',4562,'812',60.37,1,2,1),(25,6182275,'1992-07-06 00:00:00',4,1,12,2009,'F','N','CENTRO','S JOSÉ CEDRO','SC','124243241216131131226729482114133226077',NULL,'752',0.00,1,3,NULL),(25,6182283,'1993-01-04 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215272431467812575112610127042',10042,'213',47.69,1,3,NULL),(25,6182291,'1988-02-03 00:00:00',2,1,8,2010,'M','N','CENTRO','JARDINÓPOLIS','SP','125252257141371741436833345121610162091',14363,'9998',40.08,1,3,NULL),(25,6182305,'1986-09-04 00:00:00',4,16,12,2006,'M','N','AGUA SANTA','CURITIBANOS','SC','124241241116271431126649245133610127042',NULL,'239',8.28,4,3,NULL),(25,6182321,'1992-09-28 00:00:00',2,4,12,2009,'F','N','CENTRO','GUARACIABA','SC','124241241146141731326629575114610164077',NULL,'334',0.00,1,2,1),(25,6182348,'1992-01-27 00:00:00',2,7,11,2009,'M','N','CENTRO','MARCELINO RAMOS','RS','120203201215371431333633575124610167142',5521,'9998',55.83,1,3,NULL),(25,6182356,'1992-07-31 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124162161215112431268912572121221437052',NULL,'9998',27.41,1,3,NULL),(25,6182364,'1993-12-29 00:00:00',4,3,12,2010,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241215111731458611291125610161192',13469,'1119',40.91,1,3,NULL),(25,6182372,'1993-03-13 00:00:00',4,1,12,2010,'M','N','JD MARAJOARA','PILAR SUL','SP','125251251216111131468836285122610147184',14948,'9998',38.76,1,3,NULL),(25,6182380,'1993-08-04 00:00:00',2,9,12,2010,'F','N','PINHEIROS','OTACÍLIO COSTA','SC','124241241216131431338923575124610125197',NULL,'1106',30.17,1,3,NULL),(25,6182402,'1994-08-07 00:00:00',4,1,11,2010,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124243241115372431449923572124610127042',10315,'271',47.53,1,3,NULL),(25,6182410,'1984-06-23 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241126373431433319345334610122147',19894,'281',30.16,1,2,1),(25,6182437,'1985-02-28 00:00:00',4,1,12,2002,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124255241215372411346714445122610124062',17332,'262',40.05,1,3,NULL),(25,6182445,'1993-05-11 00:00:00',2,6,11,2010,'M','N','CENTRO','NAVEGANTES','SC','124242241215371431569619385112610145192',7451,'937',54.39,1,3,NULL),(25,6182453,'1992-01-02 00:00:00',4,1,12,2009,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125251251216471431469834576122610121187',NULL,'9998',27.01,1,3,NULL),(25,6182461,'1993-06-07 00:00:00',4,8,12,2010,'M','N','JARDIM GUAPORÉ','MARINGÁ','PR','116162161217111432489933575112610167052',2877,'9998',65.41,1,3,NULL),(25,6182470,'1989-03-07 00:00:00',4,1,12,2006,'F','N','FREGUESIA DO O','S PAULO','SP','125251251211571431543512421122610263092',NULL,'9998',0.00,1,3,NULL),(25,6182488,'1993-01-29 00:00:00',4,10,12,2010,'F','N','CENTRO','TUBARÃO','SC','124254241415111311327714575112610163092',NULL,'797',16.13,1,3,NULL),(25,6182496,'1988-06-29 00:00:00',4,3,12,2005,'F','N','ALTO DA BOA VISTA','ROLÂNDIA','PR','116162161215573431458712575122610142077',NULL,'9998',30.65,1,3,NULL),(25,6182500,'1992-04-29 00:00:00',4,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215373221469913575112610164185',3323,'270',62.14,1,3,NULL),(25,6182526,'1987-05-26 00:00:00',2,1,12,2005,'F','N','VILA A','FOZ IGUAÇU','PR','116164161417271431348313445124140862012',9790,'9998',51.70,2,1,2),(25,6182534,'1994-06-10 00:00:00',2,1,12,2010,'F','N','ASSUNÇÃO','PTO ALEGRE','RS','120201201137271431448839195124610138187',NULL,'9998',29.97,1,2,1),(25,6182542,'1993-05-18 00:00:00',4,7,11,2010,'F','N','TOBIAS','JOAÇABA','SC','124244241415371431258924572225610134147',11188,'962',46.08,1,3,NULL),(25,6182550,'1992-06-30 00:00:00',4,4,12,2009,'F','N','MORADA DO SOL','MARAVILHA','SC','124241241116131431336629291125610164172',7040,'552',53.12,1,2,1),(25,6182577,'1993-04-10 00:00:00',4,1,12,2010,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161117271411546614375124610132047',NULL,'9998',0.00,1,3,NULL),(25,6182585,'1992-09-22 00:00:00',4,8,11,2010,'M','N','ATIRADORES','JOINVILLE','SC','124244241215371431458914595122610127011',16991,'1063',40.64,1,3,NULL),(25,6182607,'1993-02-06 00:00:00',4,4,12,2010,'F','N','INTERIOR','CORDILHEIRA ALTA','SC','124241241115271431524525346224610156142',NULL,'197',16.38,1,2,1),(25,6182615,'1993-01-20 00:00:00',2,1,11,2009,'M','N','CANOAS','RIO SUL','SC','124242241215472331546632392124610137042',16439,'991',36.60,1,3,NULL),(25,6182623,'1993-01-24 00:00:00',4,4,12,2010,'F','N','CENTRO','MARAVILHA','SC','124241241115151431536831572122610143072',NULL,'552',28.16,1,2,1),(25,6182631,'1992-10-14 00:00:00',4,17,11,2009,'F','N','CENTRO','S MATEUS SUL','PR','116163161416371731447813395124613238187',20146,'9998',28.64,1,3,NULL),(25,6182640,'1990-11-14 00:00:00',4,4,12,2007,'F','N','CENTRO','IPORÃ','PR','116163161216471751427732215222610124177',NULL,'9998',0.00,1,3,NULL),(25,6182666,'1990-06-27 00:00:00',4,4,12,2007,'F','N','CENTRO','S LOURENÇO OESTE','SC','124242161411144431566314112335610166092',7598,'9998',52.57,1,3,NULL),(25,6182674,'1992-01-29 00:00:00',4,1,12,2009,'M','N','ZONA SETE','MARINGÁ','PR','116162161215472431453923392122610122012',3769,'9998',61.85,1,3,NULL),(25,6182682,'1991-11-08 00:00:00',2,8,12,2008,'M','N','SÃO GABRIEL','COLOMBO','PR','116161161137371131333764345114611825194',NULL,'9998',21.52,1,2,1),(25,6182690,'1990-10-17 00:00:00',4,2,12,2008,'M','N','JARDIM TANGARA','MARÍLIA','SP','125252251217572451448819575122610127042',3713,'9998',61.75,1,3,NULL),(25,6182704,'1993-04-28 00:00:00',4,4,12,2010,'M','N','SÃO JORGE','S MIGUEL OESTE','SC','124241241137131432637413592122610132182',18470,'753',31.55,1,2,1),(25,6182712,'1992-11-23 00:00:00',4,2,12,2010,'M','N','QUINTINO','TIMBÓ','SC','124241241215112431479614375122610146092',5207,'909',57.86,1,3,NULL),(25,6182720,'1993-07-01 00:00:00',4,8,12,2010,'F','N','VILA LALAU','JARAGUÁ SUL','SC','124241241215111731469614475122610134052',2468,'1174',66.01,1,3,NULL),(25,6182739,'1993-08-05 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241115271431437614575124610136182',15980,'278',36.42,1,3,NULL),(25,6182755,'1993-01-07 00:00:00',2,7,12,2010,'F','N','SÃO LUIZ','CAPINZAL','SC','124241241215131431533923574125610163147',8805,'9997',49.23,1,3,NULL),(25,6182763,'1993-06-06 00:00:00',4,3,12,2010,'M','N','PARQUE DOS BURITIS','RIO VERDE','GO','109092091217111431578812475122610164125',NULL,'9998',27.86,1,3,NULL),(25,6182771,'1990-02-17 00:00:00',4,5,5,2008,'M','N','CENTRO','LAURO MÜLLER','SC','124241246215372411336623445124610164042',16780,'995',40.96,1,3,NULL),(25,6182780,'1990-08-17 00:00:00',4,1,12,2008,'M','N','IMIRIM','S PAULO','SP','125252251216512421436831585114610117042',2361,'9998',66.41,3,3,NULL),(25,6182798,'1981-02-25 00:00:00',4,1,12,1998,'M','N','JURERE','FLORIANÓPOLIS','SC','224252253226173411126541311111121468041',7081,'9998',56.58,1,3,NULL),(25,6182801,'1991-05-12 00:00:00',2,4,12,2008,'F','N','BRASILIA I','CASCAVEL','PR','116161161215571731535611575124610128187',8758,'9998',49.64,1,3,NULL),(25,6182810,'1989-05-22 00:00:00',4,8,12,2006,'M','N','JARDIM','STO ANDRÉ','SP','125253251216571711349914571115610162097',343,'9998',79.05,1,3,NULL),(25,6182828,'1992-04-22 00:00:00',4,3,12,2009,'M','N','DOS ESTADOS','BAL CAMBORIÚ','SC','124242248215372431469831475125610168112',17668,'9997',39.45,1,3,NULL),(25,6182836,'1993-03-01 00:00:00',2,4,12,2009,'M','N','PRIMAVERA','PLANALTO','PR','116161161116372731438613575125610167062',17768,'9998',34.95,1,2,1),(25,6182844,'1992-05-03 00:00:00',2,4,12,2009,'F','N','CENTRO','PASSOS MAIA','SC','124241241125471431323623572124610134057',9235,'606',50.17,1,2,1),(25,6182852,'1993-08-22 00:00:00',4,1,12,2010,'M','N','PASSAGEM','TUBARÃO','SC','124241241117131531428374272344610134052',14448,'158',40.35,1,2,1),(25,6182879,'1986-01-29 00:00:00',2,1,12,2004,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241146335431435614385224221467092',11718,'329',48.58,1,2,1),(25,6182887,'1988-12-29 00:00:00',2,1,12,2006,'M','N','FUNDOS','BIGUAÇU','SC','124241241136272721646613345123610142087',15127,'65',43.50,1,2,1),(25,6182895,'1988-01-07 00:00:00',4,4,12,2005,'M','N','CENTRO','IPORÃ','PR','116163161416131731427732275222610164197',NULL,'9998',0.00,1,3,NULL),(25,6182909,'1993-04-18 00:00:00',4,4,12,2010,'F','N','SANTA CRUZ','CONCÓRDIA','SC','124241241216272431459932575124610166142',4822,'1001',57.93,1,3,NULL),(25,6182917,'1991-03-24 00:00:00',4,1,12,2008,'M','N','JARDIM EUCALIPTUS','PALHOÇA','SC','124241241116231641424314245121133217087',19930,'592',34.78,1,2,1),(25,6182941,'1993-01-07 00:00:00',4,1,11,2009,'F','N','CORAL','LAGES','SC','124242241216153731346714595123233268142',10040,'497',51.26,1,3,NULL),(25,6182950,'1992-04-21 00:00:00',2,8,12,2008,'F','N','BOQUEIRÃO','CURITIBA','PR','116164161215422431658614592124610112097',NULL,'9998',32.40,1,3,NULL),(25,6182968,'1991-09-13 00:00:00',2,1,12,2008,'F','N','GUIRAI','IVINHEMA','MS','116124121217571431568634575115143137047',4214,'9998',59.78,4,3,NULL),(25,6182976,'1992-11-06 00:00:00',4,1,12,2010,'M','N','ZONA DOIS','MARINGÁ','PR','116162161217361431468834576111610164172',NULL,'9998',0.00,1,3,NULL),(25,6182984,'1994-11-04 00:00:00',2,6,11,2010,'F','N','JARDIM GUARAITUBA','PARANAGUÁ','PR','116162161416371431386832575124610136042',NULL,'9998',27.19,1,3,NULL),(25,6182992,'1994-01-12 00:00:00',4,1,12,2010,'F','N','SÃO PEDRO','GUABIRUBA','SC','124242241215372441469913575122610134192',43,'107',85.95,1,3,NULL),(25,6183000,'1993-03-26 00:00:00',4,10,12,2009,'F','N','CENTRO','RIO FORTUNA','SC','124241241115152431436812575122232637047',14049,'665',39.40,1,3,NULL),(25,6183018,'1977-06-14 00:00:00',4,1,12,1994,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','624241241116154421353343235122120862147',10119,'307',51.13,1,2,1),(25,6183026,'1992-04-06 00:00:00',4,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124242241215272431369814475121131434067',5810,'806',58.09,1,3,NULL),(25,6183034,'1992-08-04 00:00:00',4,3,11,2009,'F','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116162161215572731578831572122610163042',2039,'9998',66.83,1,3,NULL),(25,6183042,'1993-06-24 00:00:00',5,7,12,2010,'M','N','CENTRO','JOAÇABA','SC','124241241135131632214121581224610127057',NULL,'449',0.00,1,2,1),(25,6183050,'1991-11-20 00:00:00',4,1,12,2009,'M','N','CIDADE NOVA','BELO HORIZONTE','MG','113132131216271411446813475324140724012',9614,'9998',47.18,4,1,2),(25,6183069,'1985-04-25 00:00:00',4,1,6,2003,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241247317152421363612142112610117187',NULL,'1126',0.00,1,3,NULL),(25,6183077,'1993-05-08 00:00:00',2,10,12,2010,'M','N','VILA ESPERANÇA','IMBITUBA','SC','124241241134161432425634575124610112067',NULL,'359',0.00,1,3,NULL),(25,6183107,'1992-05-13 00:00:00',4,3,12,2009,'M','N','CENTRO','S MARCOS','RS','120202201217571431445612375124610122142',983,'9998',72.48,1,3,NULL),(25,6183115,'1993-12-06 00:00:00',4,1,12,2010,'M','N','CENTRO','VIDAL RAMOS','SC','124241241117161531328824335122610134012',18120,'828',32.64,1,2,1),(25,6183123,'1992-03-19 00:00:00',4,8,11,2009,'M','N','JARDIM AMÉRICA','DOURADOS','MS','112122121216472431458832375112610134032',392,'9998',77.32,1,3,NULL),(25,6183131,'1993-07-12 00:00:00',2,10,12,2011,'F','S','ALTO ARROIO','IMBITUBA','SC','124244241217131411538735574324610166197',NULL,'9997',39.25,1,3,NULL),(25,6183140,'1991-10-22 00:00:00',4,1,12,2008,'F','N','BUENO','GOIÂNIA','GO','109092091216573431438613575124610137142',1051,'9998',71.99,1,3,NULL),(25,6183158,'1991-10-02 00:00:00',2,8,12,2008,'F','N','CENTRO','PNT GROSSA','PR','116162164216573431579933572112610162147',5202,'9998',57.15,1,3,NULL),(25,6183166,'1993-12-19 00:00:00',2,3,12,2010,'M','N','CENTRO','CAMBORIÚ','SC','124242243115271451358832575122610167042',8540,'129',48.83,1,3,NULL),(25,6183174,'1992-01-06 00:00:00',2,9,12,2009,'M','N','CENTRO','LAGES','SC','124242241216371421438611585122131037012',9907,'499',47.23,1,3,NULL),(25,6183182,'1993-08-31 00:00:00',2,4,12,2011,'F','S','SÃO JOSÉ','PALMAS','PR','116163161415371431338834275122610114017',NULL,'9998',0.00,1,3,NULL),(25,6183190,'1992-05-19 00:00:00',2,1,11,2009,'F','N','JUVEVÊ','CURITIBA','PR','116162161215471421358612575112610164077',NULL,'9998',0.00,1,3,NULL),(25,6183212,'1994-08-29 00:00:00',4,4,11,2010,'M','N','CENTRO','CAPANEMA','PR','116161161216111431644632222122610147072',11349,'9998',44.88,1,3,NULL),(25,6183220,'1993-07-04 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215113731358811474122610124017',361,'262',78.83,1,3,NULL),(25,6183247,'1992-02-05 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115133431338611372124610124107',15477,'592',42.93,1,2,1),(25,6183255,'1990-07-21 00:00:00',2,8,12,2007,'F','N','BUTIATUVINHA','CURITIBA','PR','116162091216571411468614574112610162142',NULL,'9998',0.00,1,3,NULL),(25,6183263,'1992-03-27 00:00:00',4,1,12,2009,'M','N','CENTRO','LONDRINA','PR','116164161216471431449832575112610137047',4915,'9998',58.22,1,3,NULL),(25,6183271,'1992-10-16 00:00:00',4,6,11,2009,'M','N','MORRETES','ITAPEMA','SC','124241241117472731435732595122610164147',3515,'406',62.79,1,2,1),(25,6183280,'1991-07-03 00:00:00',4,1,11,2009,'M','N','MONTE CASTELO','S JOSÉ CAMPOS','SP','125253251215471431568833585122610114012',2513,'9998',66.61,1,3,NULL),(25,6183301,'1991-07-30 00:00:00',4,1,12,2008,'F','N','JD BELA VISTA','FOZ IGUAÇU','PR','116163161216372431327813575124610162047',556,'9998',76.27,4,3,NULL),(25,6183310,'1993-04-02 00:00:00',2,15,12,2010,'M','N','SANGA DAS PEDRAS','MRO GRANDE','SC','124244241215371431565816575112610137042',10290,'970',50.83,1,3,NULL),(25,6183336,'1994-04-01 00:00:00',4,8,12,2011,'F','S','CENTRO','S BENTO SUL','SC','124243241215111231256823574222610128142',NULL,'1178',43.02,1,3,NULL),(25,6183344,'1978-01-08 00:00:00',2,1,12,2000,'F','N','ARMAÇAO DO PANTANO D','FLORIANÓPOLIS','SC','124161161147575431123344441224610123022',15829,'9998',38.27,1,2,1),(25,6183352,'1992-09-21 00:00:00',2,6,12,2009,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124241241116152431346923575124232823147',NULL,'425',26.04,1,3,NULL),(25,6183360,'1993-06-09 00:00:00',4,1,11,2010,'M','N','SEMINÁRIO','CURITIBA','PR','116162161217471431376612275112610164012',3191,'9998',63.86,4,3,NULL),(25,6183379,'1986-06-17 00:00:00',2,1,7,2004,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243247326233431233354245124610122147',NULL,'9999',36.24,1,3,NULL),(25,6183387,'1993-03-10 00:00:00',2,4,12,2010,'F','N','SÃO JOSÉ','PINHALZINHO','SC','124241241116161731563512575122610134172',NULL,'616',0.00,1,2,1),(25,6183395,'1993-09-14 00:00:00',4,5,11,2010,'F','N','SOL NASCENTE','IJUÍ','RS','120202201217161431469931274122610142145',NULL,'9998',0.00,1,3,NULL),(25,6183409,'1992-08-21 00:00:00',4,2,11,2010,'F','N','NAÇÕES','TIMBÓ','SC','124242241215111431358613572112610133072',9055,'1157',49.86,1,3,NULL),(25,6183417,'1993-08-06 00:00:00',4,6,12,2010,'F','N','SÃO CRISTOVÃO','SINOP','MT','111111111216111431423823575122610128047',19141,'9998',30.56,1,3,NULL),(25,6183425,'1992-02-26 00:00:00',2,8,12,2008,'F','N','FLORESTA','JOINVILLE','SC','124241241126372421649813275122610163142',14350,'465',38.88,1,2,1),(25,6183433,'1993-12-28 00:00:00',2,1,11,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242241215131431336612572122610134147',13979,'1118',40.38,1,3,NULL),(25,6183441,'1991-10-25 00:00:00',2,1,12,2008,'M','N','PLANALTO','CPO GRANDE','MS','112121121216575431248823571122610114147',NULL,'9998',34.76,1,3,NULL),(25,6183468,'1991-10-09 00:00:00',2,1,12,2010,'F','N','LISBOA','S JOSÉ','SC','124241248115141732636313393214610128147',NULL,'727',17.64,4,3,NULL),(25,6183476,'1991-02-28 00:00:00',4,1,12,2008,'F','N','BUENO','GOIÂNIA','GO','109092091217571731338921595122610168027',1193,'9998',71.69,1,3,NULL),(25,6183484,'1992-04-04 00:00:00',4,8,12,2009,'M','N','CABRAL','CURITIBA','PR','116222221215471431336669575114610168047',8844,'9998',48.93,1,3,NULL),(25,6183492,'1990-12-07 00:00:00',4,1,12,2007,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241247317143431457913395124233227037',14450,'9999',39.94,1,3,NULL),(25,6183506,'1992-07-03 00:00:00',2,1,12,2009,'F','N','GLORIA I','CATANDUVA','SP','125252251216471431446633575122610124092',NULL,'9998',29.36,1,3,NULL),(25,6183514,'1993-04-09 00:00:00',2,1,11,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242241215111431445411575122610126141',16570,'1118',37.75,1,3,NULL),(25,6183522,'1992-04-03 00:00:00',4,5,12,2009,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215474411458934442122133262073',8233,'211',49.79,1,3,NULL),(25,6183530,'1993-03-14 00:00:00',4,6,12,2010,'F','N','CENTRO','ITAJAÍ','SC','124242241217171431469934392122610122092',12696,'394',43.32,1,3,NULL),(25,6183549,'1992-12-08 00:00:00',4,8,12,2010,'F','N','JARDIM BRASÍLIA','ARAÇATUBA','SP','125252251215111431337634574112610137147',17319,'9998',34.97,3,3,NULL),(25,6183565,'1993-10-18 00:00:00',2,1,12,2010,'M','N','JARDIM DAS ACACIAS','SORRISO','MT','116111161216111331449911194124610117042',NULL,'9998',33.18,1,3,NULL),(25,6183573,'1992-09-18 00:00:00',4,4,11,2009,'M','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124242241346372432369923175112133227042',5532,'169',56.80,1,3,NULL),(25,6183581,'1990-03-13 00:00:00',4,2,12,2007,'F','N','CENTRO','RODEIO','SC','124243241216474431528813384124133238187',9871,'940',49.29,1,3,NULL),(25,6183590,'1991-11-15 00:00:00',4,1,12,2008,'M','N','CAMPO ALTO','COLOMBO','PR','116161221132151131523311311223143212097',18742,'9998',33.38,2,2,1),(25,6183603,'1993-01-05 00:00:00',4,7,12,2010,'F','N','N SENHORA DE LURDES','CAMPOS NOVOS','SC','124242241215271131356616374125610137072',NULL,'138',42.45,1,3,NULL),(25,6183611,'1990-06-16 00:00:00',2,8,11,2007,'F','N','JOAQUIM C FERREIRA','CPO LARGO','PR','116162161216572441455619275124610122087',11538,'9998',43.90,1,3,NULL),(25,6183620,'1992-03-06 00:00:00',4,8,11,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161216471751588832572122610128012',3399,'9998',62.88,1,3,NULL),(25,6183638,'1991-12-23 00:00:00',4,15,11,2009,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241215112431224814415112221424187',NULL,'32',35.13,1,3,NULL),(25,6183654,'1992-11-19 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241315111431456923572122610122017',17585,'267',35.89,1,3,NULL),(25,6183662,'1992-03-03 00:00:00',2,8,12,2008,'F','N','JARDIM SANTA MARIA','TOLEDO','PR','116164161216572431459933576111610167147',9062,'9998',49.46,1,3,NULL),(25,6183670,'1993-09-15 00:00:00',2,9,12,2010,'F','N','JARDIM DAS CAMÉLIAS','S JOAQUIM','SC','124241241135131731413819572324610113197',NULL,'719',15.72,1,2,1),(25,6183719,'1993-08-24 00:00:00',4,10,11,2010,'F','N','CENTRO','CAPIVARI BAIXO','SC','124242241235111431458833575122610137092',2089,'806',67.34,1,3,NULL),(25,6183727,'1994-05-06 00:00:00',4,2,10,2010,'F','N','CENTRO','BLUMENAU','SC','124242241215272431379814472122610127012',2177,'855',67.28,1,3,NULL),(25,6183735,'1993-01-08 00:00:00',4,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124241241115111231536614381124610114052',12640,'739',47.14,4,3,NULL),(25,6183751,'1992-05-12 00:00:00',4,1,12,2009,'F','N','VILA IMPERIAL','S JOSÉ R PRETO','SP','125092251215471431248639571125610118182',21230,'9998',22.71,1,3,NULL),(25,6183760,'1986-12-23 00:00:00',2,1,12,2004,'F','N','CAMINHO NOVO','PALHOÇA','SC','124243241137372731535669342134610134197',15700,'591',38.34,1,3,NULL),(25,6183778,'1990-09-04 00:00:00',4,1,12,2009,'M','N','TAQUARAL','CAMPINAS','SP','125252251215471521258831571122610167112',9130,'9998',49.11,1,3,NULL),(25,6183786,'1990-10-22 00:00:00',4,1,10,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','116162161217573431358921572324610132097',2195,'9998',66.45,1,3,NULL),(25,6183794,'1988-06-16 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241124371711636649291114610168047',NULL,'9999',43.05,1,2,1),(25,6183808,'1993-07-22 00:00:00',4,8,12,2010,'F','N','CENTRO','S BENTO SUL','SC','124241241214373431358913292124610136042',NULL,'1016',0.00,1,3,NULL),(25,6183832,'1991-06-05 00:00:00',4,1,12,2009,'M','N','ICARAÍ','NITERÓI','RJ','121212211217472731368924575111610167047',NULL,'9998',0.00,1,3,NULL),(25,6183840,'1993-11-14 00:00:00',2,1,12,2010,'F','N','PONTAL','PALHOÇA','SC','124241241115171221424424585114610116141',21655,'592',26.04,2,2,1),(25,6183859,'1993-05-24 00:00:00',2,4,12,2010,'M','N','CENTRO','PATO BRANCO','PR','116161161415111221435814242344610167017',11725,'9998',44.09,1,3,NULL),(25,6183867,'1993-03-22 00:00:00',2,1,11,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215121431548933575122610133091',13232,'270',41.07,1,3,NULL),(25,6183875,'1992-06-27 00:00:00',2,1,12,2009,'M','N','CENTRO','GUARANIAÇU','PR','116161161114571431238814472114610134042',7689,'9998',52.92,1,2,1),(25,6183883,'1993-08-07 00:00:00',4,1,12,2010,'F','N','SÃO LOURENÇO','ANÁPOLIS','GO','109091091117111331435524575122612436097',NULL,'9998',0.00,4,3,NULL),(25,6183891,'1992-08-17 00:00:00',2,1,12,2009,'F','N','CENTRO','SERTANÓPOLIS','PR','116162161117371431438632575122610161192',21467,'9998',25.62,1,3,NULL),(25,6183905,'1993-02-21 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215151731438811575122610124057',15342,'273',37.24,1,3,NULL),(25,6183913,'1992-04-07 00:00:00',2,1,12,2009,'F','N','CENTRO','STA MARIA','RS','120201201111471431458733571115610162197',10896,'9998',43.94,1,2,1),(25,6183930,'1993-02-26 00:00:00',4,1,12,2010,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217131451466929575122610167047',17260,'951',36.38,1,3,NULL),(25,6183948,'1992-11-18 00:00:00',2,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124241248217371751686312315122610167042',NULL,'920',27.35,4,3,NULL),(25,6183964,'1993-08-04 00:00:00',2,15,11,2010,'M','N','CENTRO','SOMBRIO','SC','124242241216372531488812575122610137042',10625,'970',47.03,1,3,NULL),(25,6183972,'1990-08-22 00:00:00',2,1,11,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241315374431435513345124610148091',7652,'271',52.08,1,3,NULL),(25,6183980,'1991-09-02 00:00:00',4,1,12,2008,'M','N','JD VIVENDAS','S JOSÉ R PRETO','SP','125252251215471431458831571122610118182',5713,'9998',56.70,1,3,NULL),(25,6183999,'1989-03-31 00:00:00',2,4,12,2005,'M','N','CENTRO','S MIGUEL OESTE','SC','124241245236271131424611375122230217052',NULL,'752',21.40,4,3,NULL),(25,6184006,'1994-03-26 00:00:00',4,1,11,2011,'F','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111431526432572124610116071',NULL,'270',49.27,1,3,NULL),(25,6184014,'1992-09-14 00:00:00',2,5,11,2009,'F','N','MICHEL','CRICIÚMA','SC','124242241216273431337712595122231423012',17537,'226',34.03,1,3,NULL),(25,6184022,'1990-10-26 00:00:00',2,1,6,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243246115272411537319575124610167012',9153,'306',50.75,1,3,NULL),(25,6184030,'1991-01-12 00:00:00',2,1,12,2008,'F','N','CENTRO','PALHOÇA','SC','124243241217374431534923212224231463077',NULL,'939',0.00,1,3,NULL),(25,6184049,'1993-07-02 00:00:00',4,1,12,2010,'M','N','DUQUE DE CAXIAS II','CUIABÁ','MT','125112251237471431489911574122610167046',NULL,'9998',0.00,1,3,NULL),(25,6184057,'1990-07-27 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247216472431353821595125221447112',15202,'9999',43.41,1,3,NULL),(25,6184065,'1993-04-16 00:00:00',4,1,12,2010,'M','N','PORTÃO','CURITIBA','PR','116162161215171331268934574122610147042',NULL,'9998',0.00,1,3,NULL),(25,6184073,'1992-03-02 00:00:00',2,6,12,2008,'F','N','CENTRO','CARAZINHO','RS','120202201215572451236522594114610164142',NULL,'9998',0.00,1,3,NULL),(25,6184081,'1991-04-24 00:00:00',2,4,12,2008,'F','N','CENTRO','CASCAVEL','PR','116242241411473731338911576125610138187',5151,'1046',58.37,1,3,NULL),(25,6184090,'1993-02-24 00:00:00',2,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241117272331121823235125610162187',NULL,'169',17.13,1,3,NULL),(25,6184103,'1993-08-24 00:00:00',2,9,11,2010,'F','N','CENTRO','S JOAQUIM','SC','124242241216131431436616575122610127147',NULL,'721',0.00,1,3,NULL),(25,6184111,'1933-06-03 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241111471411216324592124610127047',NULL,'307',30.52,4,2,1),(25,6184120,'1993-10-08 00:00:00',4,8,12,2010,'M','N','GLÓRIA','JOINVILLE','SC','124242241215111441469914575122610164052',3386,'1063',62.50,1,3,NULL),(25,6184138,'1992-02-15 00:00:00',5,1,12,2009,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125254251416471711439918574112610144056',5339,'9998',60.11,1,3,NULL),(25,6184146,'1993-12-02 00:00:00',4,4,3,2010,'F','N','JARDIM AMÉRICA','CHAPECÓ','SC','124243248115371731335719575122610131142',17338,'169',35.38,1,3,NULL),(25,6184197,'1992-03-01 00:00:00',4,1,12,2009,'M','N','FLANDRIA','POMPÉIA','SP','125122121212471411548831375124610168012',NULL,'9998',0.00,4,3,NULL),(25,6184219,'1993-10-11 00:00:00',4,7,11,2010,'M','N','SANTA TEREZA','JOAÇABA','SC','124242241416371431469913575122610137043',6222,'446',58.28,1,3,NULL),(25,6184227,'1993-03-22 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241216131431436611375124610117057',9324,'1022',49.30,1,3,NULL),(25,6184235,'1992-02-19 00:00:00',4,1,12,2009,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125252251215471311469832572122610127092',10511,'9998',46.83,4,3,NULL),(25,6184243,'1991-08-16 00:00:00',2,1,12,2008,'F','N','CENTRO','ATALANTA','SC','124241241146131421225914145121132757062',NULL,'39',0.00,1,2,1),(25,6184251,'1992-01-21 00:00:00',2,1,12,2009,'M','N','JD NOVA VIDA','JALES','SP','125252251215471431458831571125610118182',NULL,'9998',0.00,1,3,NULL),(25,6184260,'1991-12-07 00:00:00',4,1,12,2009,'F','N','CENTRO','GUARAREMA','SP','125254251211412431468612571124610116077',8894,'9998',48.84,1,3,NULL),(25,6184278,'1992-12-25 00:00:00',4,4,12,2010,'M','N','CENTRO','ERECHIM','RS','120201201117571731336923575124610118057',14636,'9998',40.95,1,2,1),(25,6184286,'1993-04-06 00:00:00',4,1,10,2010,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215371411357833235122610166052',3397,'1198',62.39,1,3,NULL),(25,6184332,'1957-12-02 00:00:00',2,1,12,1978,'M','N','TAPERA','FLORIANÓPOLIS','SC','524243241126274411233373135123422738182',12360,'492',42.96,1,3,NULL),(25,6184340,'1993-10-05 00:00:00',2,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','124241241117271431434611575122610167077',17382,'153',39.95,1,2,1),(25,6184359,'1992-04-27 00:00:00',4,2,11,2010,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124244241415271431438631415122610137057',NULL,'1018',37.05,1,3,NULL),(25,6184367,'1993-12-11 00:00:00',4,1,12,2010,'M','N','JARDIM QUEBEC','LONDRINA','PR','116162161217111431348816572112610164017',NULL,'9998',20.77,1,3,NULL),(25,6184375,'1991-05-16 00:00:00',2,1,12,2007,'F','N','CAMPO DUNA','GAROPABA','SC','124241241137374431554932572124221423147',10594,'322',44.62,1,2,1),(25,6184383,'1964-11-04 00:00:00',2,1,5,2003,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','224241245117271432433354332142610151197',19884,'9999',34.90,1,2,1),(25,6184405,'1992-06-18 00:00:00',2,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241116271411325629345124610154147',NULL,'292',31.92,1,2,1),(25,6184413,'1993-07-18 00:00:00',4,1,12,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241115111231535312372124610165192',NULL,'592',24.25,1,2,1),(25,6184421,'1992-02-28 00:00:00',4,1,11,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124243241217152411658611476245123261147',7083,'737',55.99,1,3,NULL),(25,6184430,'1992-12-31 00:00:00',4,10,11,2010,'M','N','CENTRO','GRAVATAL','SC','124242241215111431425934295124610167042',16472,'807',41.43,1,3,NULL),(25,6184448,'1993-02-12 00:00:00',4,4,12,2010,'M','N','BELA VISTA','CEL VIVIDA','PR','116161161215111431546614576124610134057',6953,'9998',54.22,1,3,NULL),(25,6184456,'1991-08-21 00:00:00',4,1,12,2008,'M','N','COLÔNIA SANTANA','S JOSÉ','SC','124242241216133411325877475124133224142',11241,'1074',49.32,1,3,NULL),(25,6184464,'1991-03-12 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241415474431365827575122230434145',5267,'1022',60.27,4,3,NULL),(25,6184472,'1993-09-07 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241115131431434311572324610167052',17545,'734',34.06,1,2,1),(25,6184480,'1989-09-21 00:00:00',4,1,12,2007,'M','N','SANTA TEREZINHA','PIRACICABA','SP','125251251146271731224619285124143227057',NULL,'9998',0.00,1,2,1),(25,6184499,'1982-09-27 00:00:00',2,1,12,1999,'F','N','PAES LEME','IMBITUBA','SC','124243241116135431444639434134131321097',NULL,'359',15.18,1,3,NULL),(25,6184502,'1992-12-02 00:00:00',4,5,12,2010,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111431238923575122610123072',2003,'226',68.79,1,3,NULL),(25,6184510,'1993-03-22 00:00:00',4,1,12,2010,'F','N','JARDIM SAVEIRO','BIGUAÇU','SC','124241241127131731627313572324610127037',NULL,'1088',28.75,5,3,NULL),(25,6184529,'1987-05-01 00:00:00',4,1,6,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201247214311431533331442323610137057',21533,'977',27.60,1,3,NULL),(25,6184537,'1992-09-29 00:00:00',2,1,11,2009,'F','N','CENTRO','PATO BRANCO','PR','124162161215474431229913575124610124147',NULL,'9998',26.32,1,3,NULL),(25,6184545,'1992-06-13 00:00:00',4,2,12,2009,'F','N','CENTRO','STA MARIA','RS','120191201111471411455933591324610123142',12050,'9998',42.91,1,2,1),(25,6184553,'1992-02-26 00:00:00',4,1,12,2009,'M','N','CENTRO','STA MARIA','RS','120204201216371431148911315225610162193',1760,'9998',67.74,1,3,NULL),(25,6184561,'1993-11-20 00:00:00',2,1,12,2009,'M','N','JOSÉNITRO SERRARIA','S JOSÉ','SC','124242241215473431438714575124222337092',4977,'1036',58.98,4,3,NULL),(25,6184588,'1994-06-03 00:00:00',2,4,12,2011,'F','S','LINHA SÃO PEDRO','CHAPECÓ','SC','124241241117131732323923576124610113057',NULL,'169',20.24,1,3,NULL),(25,6184596,'1992-05-24 00:00:00',2,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112431337613372124220737057',5369,'270',58.75,1,3,NULL),(25,6184600,'1986-03-23 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124051058132271751321329142314610167042',NULL,'9997',34.43,2,1,1),(25,6184618,'1987-10-02 00:00:00',4,8,12,2005,'M','N','CENTRO','CURITIBA','PR','116162161246471711558713375124143267182',NULL,'9998',17.52,1,3,NULL),(25,6184626,'1993-09-22 00:00:00',4,6,12,2010,'M','N','PITANGUINHA','PITANGA','PR','116161161216131731426619575122610164092',12554,'9998',43.03,1,3,NULL),(25,6184634,'1990-03-12 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241127132431226774442244610128147',13650,'307',41.68,4,3,NULL),(25,6184642,'1990-01-12 00:00:00',2,2,12,2007,'F','N','CENTRO','BRUSQUE','SC','124242241216575431448612575112610121197',5526,'107',57.62,1,3,NULL),(25,6184650,'1989-11-22 00:00:00',4,1,12,2008,'M','N','LAGO SUL','LG SUL','DF','107072071217151431588931471122141064042',NULL,'9998',0.00,1,3,NULL),(25,6184669,'1989-01-13 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','624202247437473231538629375112610122027',2988,'9999',63.94,1,3,NULL),(25,6184677,'1991-11-27 00:00:00',4,6,12,2009,'F','N','BARRA DO RIO','ITAJAÍ','SC','124242241217372431336611372124610125187',1927,'1057',69.57,1,3,NULL),(25,6184685,'1991-07-12 00:00:00',4,8,12,2008,'F','N','VILA GOMES','S PAULO','SP','125252251216571751528824593114610123117',4091,'9998',60.07,1,3,NULL),(25,6184693,'1993-04-02 00:00:00',2,3,12,2010,'M','N','SÃO JUDAS TADEU','BAL CAMBORIÚ','SC','124244248115271431326714445124610137057',8567,'129',49.84,1,3,NULL),(25,6184707,'1992-07-16 00:00:00',4,8,11,2010,'M','N','BATEL','CURITIBA','PR','116164161217471431446614575124610167052',14741,'9998',44.09,1,3,NULL),(25,6184715,'1988-04-28 00:00:00',2,1,12,2007,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241147414221426321185334121616017',11856,'294',48.41,1,2,1),(25,6184723,'1992-02-06 00:00:00',2,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242248115111451344623575122610111052',NULL,'1075',26.31,1,3,NULL),(25,6184731,'1993-09-20 00:00:00',4,4,12,2010,'F','N','CENTRO','SEARA','SC','124241241116131431446611577122610163192',NULL,'384',33.23,1,2,1),(25,6184740,'1992-12-04 00:00:00',4,1,7,2010,'M','N','JARDIM GLÓRIA','AMERICANA','SP','125252281416211431578814571122610168122',NULL,'9998',0.00,1,3,NULL),(25,6184820,'1992-07-20 00:00:00',4,8,11,2009,'M','N','CENTRO','PORECATU','PR','116162161216471211369913275124610167057',NULL,'9998',0.00,1,3,NULL),(25,6184839,'1984-12-24 00:00:00',4,1,12,2004,'M','N','SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC','124241241127132731423311212114610164067',16569,'279',41.29,1,2,1),(25,6184847,'1988-10-29 00:00:00',2,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201201111231431225574445334610125187',NULL,'9998',20.09,1,2,1),(25,6184863,'1988-05-19 00:00:00',4,8,12,2007,'F','N','AMÉRICA','JOINVILLE','SC','124243246414273421443611335121131522147',3735,'494',61.35,1,3,NULL),(25,6184871,'1992-08-05 00:00:00',2,8,12,2009,'F','N','BREJATUBA','GUARATUBA','PR','116161161116372431536629385121610122147',NULL,'9998',29.77,1,3,NULL),(25,6184880,'1990-08-23 00:00:00',4,1,12,2007,'F','N','ÁGUA RASA','S PAULO','SP','125251251116131421546621315324610162117',7924,'9998',50.89,1,2,1),(25,6184901,'1991-01-15 00:00:00',4,1,12,2009,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124244241215472431373771375114610164017',10192,'272',46.98,4,3,NULL),(25,6184910,'1994-05-07 00:00:00',4,1,12,2010,'F','N','UNIVERSITÁRIO','CORUMBÁ','MS','112122121217121431358813575112610163092',18149,'9998',34.69,1,3,NULL),(25,6184928,'1992-12-10 00:00:00',4,4,12,2010,'F','N','MODELO','IJUÍ','RS','120201201111371431423315151224610136147',6260,'9998',55.23,1,2,1),(25,6184936,'1991-01-09 00:00:00',2,1,6,2010,'M','N','NOVA BELEM','PAULO LOPES','SC','124241246136271431326923475124610112182',13264,'306',41.12,1,2,1),(25,6184944,'1992-05-29 00:00:00',4,1,12,2009,'F','N','CENTRO','ITAPECERICA SERRA','SP','125252251216271431446812575114610134182',14054,'9998',42.04,1,3,NULL),(25,6184952,'1991-08-09 00:00:00',4,1,12,2008,'F','N','PARATI','MARÍLIA','SP','125252251215571431438611572122610128077',14632,'9998',38.18,1,3,NULL),(25,6184960,'1980-12-10 00:00:00',4,1,12,2010,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','224241247122141111323151315124610127054',NULL,'288',20.45,1,2,1),(25,6184979,'1993-08-22 00:00:00',4,4,12,2010,'F','N','NAÇÕES','CONCÓRDIA','SC','124241241213131732338839174122610132011',15806,'1001',42.44,1,3,NULL),(25,6184987,'1987-06-22 00:00:00',2,6,8,2008,'F','N','CENTRO','CARAZINHO','RS','520203208327331331216644381333141027057',NULL,'9998',0.00,4,1,2),(25,6184995,'1988-07-19 00:00:00',4,1,12,2005,'F','N','VILA AURORA','RONDONÓPOLIS','MT','111112111217571431569933211124141347077',1652,'9998',69.42,1,3,NULL),(25,6185002,'1992-03-19 00:00:00',4,1,12,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215471411448612174125610131092',10865,'807',46.22,1,3,NULL),(25,6185037,'1990-09-04 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124252241217161431355923375122232524182',19383,'884',36.10,1,3,NULL),(25,6185045,'1993-05-11 00:00:00',4,10,11,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215111431468832375122610112195',7074,'807',52.88,1,3,NULL),(25,6185061,'1992-06-17 00:00:00',2,1,12,2009,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241115472731423311474124610134042',NULL,'361',28.05,1,2,1),(25,6185070,'1992-11-21 00:00:00',4,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215472431338814595114610167042',14921,'270',43.80,4,3,NULL),(25,6185096,'1981-03-31 00:00:00',4,3,8,2010,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124254257426131731235527345121610167067',17925,'9999',36.28,1,3,NULL),(25,6185100,'1993-11-03 00:00:00',4,1,11,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241245371441465824575124610167112',16420,'1022',36.57,1,3,NULL),(25,6185118,'1992-08-03 00:00:00',2,1,12,2010,'F','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124241241145271132311624572324610126147',20353,'329',29.07,1,3,NULL),(25,6185126,'1993-11-20 00:00:00',4,4,11,2010,'M','N','CENTRO','CHAPECÓ','SC','124242241217421431566812572112610167042',NULL,'185',37.71,1,3,NULL),(25,6185134,'1993-09-12 00:00:00',4,1,12,2010,'M','N','BARRA DO ARIRÍU','PALHOÇA','SC','124241241126151431533419375124610164147',NULL,'591',24.34,1,2,1),(25,6185142,'1991-09-26 00:00:00',4,2,12,2009,'M','N','CENTRO','BRUSQUE','SC','124062061216472431358614575122610122047',219,'9998',80.79,4,3,NULL),(25,6185150,'1993-09-12 00:00:00',4,1,11,2010,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241215131431536614475124610112077',19102,'1118',33.25,1,3,NULL),(25,6185169,'1985-12-13 00:00:00',4,8,12,2002,'F','N','ALTO DA XV','CURITIBA','PR','116161161216572431589614375112340661052',1898,'9998',67.28,1,3,NULL),(25,6185177,'1967-06-23 00:00:00',2,16,12,1993,'F','N','BOM JESUS','CURITIBANOS','SC','124161161127271731422159182122610124147',NULL,'9998',24.52,1,2,1),(25,6185185,'1993-03-17 00:00:00',2,1,12,2010,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241115371411326624342224610133017',17822,'733',39.19,1,2,1),(25,6185193,'1993-04-30 00:00:00',4,6,11,2010,'F','N','CENTRO','ITAJAÍ','SC','124242241215121711447823275121610167146',411,'1026',78.23,1,3,NULL),(25,6185207,'1974-05-12 00:00:00',2,1,12,1993,'F','N','PASSAGEM DO MASIAMBU','PALHOÇA','SC','524241245122132431322244345324142236097',NULL,'281',35.71,1,3,NULL),(25,6185215,'1994-03-02 00:00:00',2,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111751579614472122610144175',NULL,'270',35.45,1,3,NULL),(25,6185223,'1992-05-21 00:00:00',2,8,12,2009,'F','N','RIBEIRAO GRANDE','JARAGUÁ SUL','SC','124241241146271711415623346224610143141',19603,'429',30.29,1,2,1),(25,6185231,'1993-10-21 00:00:00',4,1,12,2010,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124244241217111431436612575122610167185',17273,'1014',40.14,1,3,NULL),(25,6185240,'1990-11-27 00:00:00',4,3,12,2008,'F','N','VILA REDHER','AMERICANA','SP','125252251216572731448934575122610147047',8809,'9998',48.89,1,3,NULL),(25,6185266,'1990-09-03 00:00:00',4,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124251251217152441146723595124221764037',NULL,'9998',0.00,1,3,NULL),(25,6185274,'1952-02-27 00:00:00',2,1,11,1976,'F','N','CARIANOS','FLORIANÓPOLIS','SC','524241245115564141233379492224633216143',NULL,'512',19.26,1,3,NULL),(25,6185290,'1992-08-28 00:00:00',4,5,12,2009,'F','N','SANTANA','PTO ALEGRE','RS','120202201216471411348829571122610162097',6491,'9998',53.83,1,3,NULL),(25,6185304,'1964-10-16 00:00:00',2,6,12,1982,'F','N','SAO VICENTE','ITAJAÍ','SC','124241245127151441223343435124232266142',NULL,'574',0.00,1,3,NULL),(25,6185312,'1991-09-21 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271731558611475122610135141',17224,'262',40.25,1,3,NULL),(25,6185339,'1990-09-04 00:00:00',4,1,12,2008,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241215472731448834472112610162057',829,'270',74.80,1,3,NULL),(25,6185347,'1993-01-17 00:00:00',2,8,12,2010,'F','N','ALVORADA DO SUL','PARANAVAÍ','PR','116161165116271411439713572122610134197',10933,'9998',45.60,4,1,1),(25,6185355,'1993-05-08 00:00:00',2,15,12,2010,'M','N','CAMPESTRE','LAJEADO','RS','120203201136131731537923191124610138012',9837,'9998',46.14,1,3,NULL),(25,6185363,'1990-11-22 00:00:00',2,1,12,2009,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241115371531453923442114610113192',21313,'267',29.34,1,2,1),(25,6185380,'1991-05-21 00:00:00',2,1,12,2008,'M','N','N SRA DO ROSÁRIO','S JOSÉ','SC','124241241117132431638569212324610127037',16592,'726',41.25,2,1,1),(25,6185398,'1993-07-22 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215372451479931585122610132047',2462,'213',66.61,1,3,NULL),(25,6185401,'1993-05-03 00:00:00',4,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124242241117372431558533395124610111177',5499,'739',56.56,1,3,NULL),(25,6185410,'1993-11-25 00:00:00',2,1,12,2010,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125254251217111531334521175122610137182',NULL,'9998',0.00,1,3,NULL),(25,6185428,'1989-05-26 00:00:00',2,8,1,2006,'M','N','BELA VISTA','MACAÉ','RJ','121211218334161411433713475121240952186',NULL,'9998',0.00,1,3,NULL),(25,6185444,'1993-12-21 00:00:00',4,1,12,2010,'M','N','CENTRO','BIGUAÇU','SC','124242241216371431323724572124610134062',NULL,'63',12.41,1,3,NULL),(25,6185452,'1994-02-01 00:00:00',4,8,10,2010,'M','N','ITAUM','JOINVILLE','SC','124241241215111431657823575122610164175',256,'1016',80.29,1,3,NULL),(25,6185460,'1992-11-17 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241217121432446933592114610118045',15790,'269',36.67,1,3,NULL),(25,6185479,'1993-03-05 00:00:00',2,1,12,2010,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241125131431533434342124610127047',18029,'294',33.44,1,2,1),(25,6185487,'1993-06-05 00:00:00',4,2,12,2010,'M','N','SANTO ANDRE','LAJEADO','RS','120201201116151431233374295125610168057',17834,'9998',32.54,1,2,1),(25,6185495,'1990-01-09 00:00:00',2,1,12,2007,'M','N','CENTRO','FOZ IGUAÇU','PR','116162161216572731536619575124610167047',8649,'9998',51.69,1,3,NULL),(25,6185509,'1993-07-30 00:00:00',4,1,12,2010,'M','N','PETRÓPLIS','PTO ALEGRE','RS','124241241117271431448613575124610134122',12332,'307',44.24,1,2,1),(25,6185517,'1988-10-14 00:00:00',4,1,12,2006,'M','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125252251217574441569914575122610147047',2553,'9998',64.24,1,3,NULL),(25,6185525,'1983-11-30 00:00:00',4,1,11,2001,'M','N','BEIRAMAR','FLORIANÓPOLIS','SC','124242241216112431568651495114333266092',NULL,'210',0.00,1,3,NULL),(25,6185533,'1993-08-19 00:00:00',2,8,11,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215111631267922475122610125052',12457,'931',47.42,1,3,NULL),(25,6185541,'1991-08-02 00:00:00',4,9,12,2008,'F','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124242241215573451458931592125610122142',5961,'497',58.82,1,3,NULL),(25,6185550,'1994-07-25 00:00:00',2,2,12,2010,'F','N','VILA NOVA','BLUMENAU','SC','124242244217111531449811412122610113197',NULL,'9997',19.28,1,3,NULL),(25,6185568,'1990-12-23 00:00:00',2,3,12,2007,'M','N','CENTRO','BAL CAMBORIÚ','SC','124161161116372431338613345124610121047',NULL,'9998',33.60,4,2,1),(25,6185576,'1993-06-06 00:00:00',2,1,11,2010,'M','N','SUDOESTE','GOIÂNIA','GO','109092091217111432469811475122610134047',4687,'9998',59.39,1,3,NULL),(25,6185584,'1994-01-05 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431669811142122610167065',8088,'262',54.71,1,3,NULL),(25,6185592,'1991-02-01 00:00:00',4,8,12,2008,'F','N','CENTRO','JOINVILLE','SC','124242241216473451589912574122610143092',933,'461',73.51,1,3,NULL),(25,6185606,'1994-08-01 00:00:00',4,1,12,2011,'F','S','FLORESTA','S JOSÉ','SC','124242241215111732326611595122610128142',NULL,'738',0.00,1,3,NULL),(25,6185614,'1993-01-04 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241215151431436434375122610121075',11214,'1010',45.71,1,3,NULL),(25,6185622,'1992-04-04 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241115372431333623342124610127042',6976,'257',54.37,1,3,NULL),(25,6185630,'1993-04-06 00:00:00',4,1,11,2010,'M','N','JARDIM MONTREAL','LAPA','PR','116163161311111421466732585122610162072',NULL,'9998',0.00,4,3,NULL),(25,6185657,'1987-08-23 00:00:00',4,5,12,2006,'M','N','AURORA','IÇARA','SC','124242246216271431236629445124610122111',NULL,'995',25.64,2,3,NULL),(25,6185665,'1993-10-10 00:00:00',4,2,12,2010,'F','N','CENTRO II','BRUSQUE','SC','124243241135271421238634275122610125092',18976,'111',36.97,1,3,NULL),(25,6185681,'1982-03-03 00:00:00',4,1,12,2000,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241237573431354439285112230564042',16626,'272',41.20,1,3,NULL),(25,6185690,'1989-12-12 00:00:00',4,6,12,2007,'F','N','CENTRO','ITAJAÍ','SC','124242241216575731356812592122610122092',14170,'1057',44.90,1,3,NULL),(25,6185703,'1990-10-12 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117372441423369415125610117147',NULL,'298',18.88,1,2,1),(25,6185711,'1992-02-26 00:00:00',4,1,12,2008,'F','N','CENTRO','SOBRADINHO','RS','120201201116571431364631475114610133187',NULL,'9998',0.00,1,2,1),(25,6185720,'1989-07-27 00:00:00',2,1,12,2006,'F','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124241241117473431643313442133130847042',13452,'733',42.02,4,2,1),(25,6185738,'1992-11-03 00:00:00',2,1,12,2009,'F','N','VILA MARUMBY','MARINGÁ','PR','116164161217271431236924572122610134072',11235,'9998',49.33,4,3,NULL),(25,6185762,'1978-01-13 00:00:00',2,1,12,1995,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124201201116274421142343232224341322057',3910,'9998',61.66,1,2,1),(25,6185770,'1991-03-11 00:00:00',2,6,12,2008,'M','N','GRAVATÁ','NAVEGANTES','SC','124242241215272431348963385122131442042',10846,'1008',45.59,1,3,NULL),(25,6185819,'1993-06-07 00:00:00',2,1,12,2010,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241241115151431223629385124610134147',NULL,'592',20.11,1,2,1),(25,6185827,'1993-07-03 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431358939575124610134047',5271,'262',57.53,1,3,NULL),(25,6185835,'1993-05-15 00:00:00',4,4,11,2010,'M','N','ÁGUA VERDE','CURITIBA','PR','116242161215472411569912571124610127062',473,'9998',77.54,1,3,NULL),(25,6185851,'1992-08-16 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373441468932575122121465145',2763,'1063',65.27,1,3,NULL),(25,6185860,'1993-06-24 00:00:00',4,4,12,2010,'F','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124243241217371431356614375122610142197',834,'185',73.75,1,3,NULL),(25,6185878,'1992-02-25 00:00:00',4,1,12,2009,'F','N','ALTO DA LAPA','S PAULO','SP','125252251217471441438621375114610135077',6265,'9998',55.01,1,3,NULL),(25,6185886,'1975-10-14 00:00:00',2,1,12,1999,'F','N','IPIRANGA','S JOSÉ','SC','524241241222231421228644242124610117017',21680,'270',25.59,1,3,NULL),(25,6185894,'1992-02-25 00:00:00',2,4,12,2009,'F','N','CENTRO','SERRA ALTA','SC','124241241146372731428932575122610167147',14669,'765',40.34,1,2,1),(25,6185908,'1993-08-29 00:00:00',4,2,12,2010,'F','N','AZAMBUJA','BRUSQUE','SC','124241241117271421336319175124610124052',10401,'111',50.65,4,2,1),(25,6185916,'1984-11-01 00:00:00',4,1,11,2002,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','224244246116141431233553245222231467047',19122,'798',36.70,1,3,NULL),(25,6185924,'1991-01-18 00:00:00',4,1,11,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124064061117351432558913435124231064072',NULL,'9998',18.38,4,3,NULL),(25,6185932,'1991-06-13 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241216273421329714492124610132147',18757,'1075',37.43,1,3,NULL),(25,6185940,'1993-07-24 00:00:00',2,10,12,2010,'F','N','SANTA APOLONIA','SANGÃO','SC','124241241125141411435311242113610121147',21727,'685',24.64,1,2,1),(25,6185959,'1965-05-29 00:00:00',2,1,12,1984,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','224171071116131411533353432142132821093',NULL,'9998',31.14,4,3,NULL),(25,6185967,'1987-05-01 00:00:00',2,2,12,2004,'F','N','BENEDITO','INDAIAL','SC','124241248116131431526319385122631338187',19890,'77',34.89,4,2,1),(25,6185975,'1990-07-25 00:00:00',2,1,11,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241216273411128844445121231931192',14661,'266',44.20,1,3,NULL),(25,6185983,'1993-04-08 00:00:00',4,8,12,2010,'M','N','ALTO DA GLÓRIA','CURITIBA','PR','116162161217471431269924575122610164042',14365,'9998',39.37,1,3,NULL),(25,6186009,'1991-11-26 00:00:00',4,4,12,2008,'F','N','FLORIPES','MARACAJU','MS','112121121146141432343611235121243268077',20778,'9998',32.01,1,3,NULL),(25,6186017,'1993-10-26 00:00:00',2,7,12,2010,'M','N','CENTRO','ERVAL VELHO','SC','124241241135131431436623575124610164017',NULL,'253',23.19,1,2,1),(25,6186025,'1991-11-03 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217143411359813372121221411042',9887,'270',51.53,1,3,NULL),(25,6186033,'1992-09-15 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372431336734575124131127142',2188,'272',68.61,1,3,NULL),(25,6186041,'1986-02-24 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115154711538913495124432043187',10025,'307',47.42,1,2,1),(25,6186050,'1993-02-11 00:00:00',4,9,12,2010,'F','N','FREI ROGÉRIO','LAGES','SC','124242241215111431438812175112610122092',NULL,'499',31.49,1,3,NULL),(25,6186068,'1992-02-18 00:00:00',4,8,12,2009,'M','N','JARDIM PRESIDENTE','LONDRINA','PR','116162161215471431258813275122610132112',4990,'9998',60.86,1,3,NULL),(25,6186076,'1993-05-14 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215112751379813575124610134182',610,'270',75.86,1,3,NULL),(25,6186084,'1993-11-08 00:00:00',1,2,12,2010,'M','N','TESTO REGA','POMERODE','SC','124242241216111531448921475122610137017',13144,'624',42.81,1,3,NULL),(25,6186092,'1988-06-21 00:00:00',4,1,11,2005,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124201201136111411438714392112140212042',NULL,'9998',30.33,1,2,1),(25,6186106,'1992-03-26 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241217472751346414445125610167066',9227,'1018',51.75,2,3,NULL),(25,6186114,'1992-09-26 00:00:00',4,8,12,2010,'F','N','GLÓRIA','JOINVILLE','SC','124243241217411731489934575122610113142',NULL,'1063',22.24,1,3,NULL),(25,6186122,'1991-06-07 00:00:00',2,17,12,2008,'F','N','BOM JESUS','RIO NEGRO','PR','116161161212572441556713595124610114097',NULL,'9998',0.00,1,3,NULL),(25,6186149,'1991-08-14 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217473751368814574125121134127',2371,'270',67.93,3,3,NULL),(25,6186157,'1966-08-23 00:00:00',5,1,10,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','524161241237141411223541395122610166097',17872,'72',39.09,1,3,NULL),(25,6186165,'1991-03-08 00:00:00',5,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124244241215472431538811385112610128192',9202,'806',52.69,1,3,NULL),(25,6186173,'1993-01-31 00:00:00',2,10,12,2010,'M','N','CENTRO','IMBITUBA','SC','124241241117271431346919575124610122182',19147,'1034',31.35,1,2,1),(25,6186181,'1993-11-07 00:00:00',4,5,12,2010,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215372431459914275122610134112',8998,'213',49.41,1,3,NULL),(25,6186190,'1991-11-18 00:00:00',3,1,6,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242281416371431478913575114610167042',7549,'9998',53.92,1,3,NULL),(25,6186203,'1992-10-03 00:00:00',2,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124242241117472431348614573122610137052',3400,'983',63.96,1,3,NULL),(25,6186211,'1995-01-18 00:00:00',2,4,12,2011,'M','S','NOVA IORQUE','CASCAVEL','PR','116164161416151752569912575122610167142',NULL,'9998',36.82,1,3,NULL),(25,6186220,'1991-04-22 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215573431256621595112231828122',5141,'1022',57.88,1,3,NULL),(25,6186238,'1991-11-25 00:00:00',4,8,12,2008,'F','N','REGIÃO DO LAGO','CASCAVEL','PR','116162161216573431468931572124610162097',1413,'9998',71.61,1,3,NULL),(25,6186246,'1991-06-01 00:00:00',4,1,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241217573711339923395125610123177',7739,'44',52.37,1,3,NULL),(25,6186254,'1991-04-06 00:00:00',4,1,11,2008,'F','N','IPIRANGA','MARMELEIRO','PR','116162161236511431436815315122610146192',NULL,'9998',0.00,1,3,NULL),(25,6186262,'1993-06-30 00:00:00',4,1,12,2010,'M','N','BELVEDERE','AMERICANA','SP','125252251216471441248824571122610147047',NULL,'9998',0.00,1,3,NULL),(25,6186270,'1992-12-02 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215151451469923576112610125127',2939,'272',64.16,4,3,NULL),(25,6186297,'1992-03-19 00:00:00',4,4,12,2008,'F','N','CENTRO','ERVAL GRANDE','RS','120201201111372431228629571124610124142',14275,'9998',39.89,1,2,1),(25,6186300,'1991-11-01 00:00:00',4,17,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215152432489832122124221436012',5510,'154',59.75,1,3,NULL),(25,6186319,'1990-09-26 00:00:00',4,8,12,2007,'F','N','SAGUAÇÚ','JOINVILLE','SC','124242241216572431468619575124130765092',5175,'1063',59.98,1,3,NULL),(25,6186327,'1993-06-01 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431448712372122610134092',8179,'737',50.82,1,3,NULL),(25,6186335,'1992-09-23 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124243243215112431634332272112610124043',15170,'737',39.51,1,3,NULL),(25,6186343,'1993-09-21 00:00:00',2,8,12,2010,'M','N','REGIÃO DO LAGO','CASCAVEL','PR','116162161216111431468931572124610112067',13774,'9998',40.85,1,3,NULL),(25,6186360,'1989-03-14 00:00:00',4,6,12,2006,'M','N','FLORESTA','JOINVILLE','SC','124243241216131421115644345334131014117',NULL,'391',24.26,1,3,NULL),(25,6186378,'1989-12-26 00:00:00',2,2,11,2007,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124243248214134441337611242122610161112',17628,'88',39.53,1,3,NULL),(25,6186394,'1993-10-01 00:00:00',2,1,11,2010,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241215111711335614372124610124057',2682,'1022',66.36,1,3,NULL),(25,6186408,'1988-02-09 00:00:00',4,1,12,2004,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241216271451113941317124133258187',8173,'937',54.57,4,3,NULL),(25,6186416,'1994-07-07 00:00:00',4,1,2,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217111431448832572124610133012',11934,'262',48.27,1,3,NULL),(25,6186424,'1993-08-23 00:00:00',2,15,12,2010,'M','N','FLORESTA','S MIGUEL IGUAÇU','PR','116161161117161431423319472125610164017',17232,'9998',34.86,1,2,1),(25,6186432,'1989-01-18 00:00:00',2,10,12,2005,'M','N','JARDIM AMERICA','RIO VERDE','GO','109094091116271331446831215124141267077',8427,'9998',49.79,2,3,NULL),(25,6186440,'1993-04-17 00:00:00',4,1,12,2010,'M','N','ATALAIA','ARACAJU','SE','126262261217111231589931575122610147122',2779,'9998',65.32,4,3,NULL),(25,6186459,'1988-01-11 00:00:00',2,1,12,2005,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241147271441536613395124610164192',NULL,'291',31.49,1,2,1),(25,6186467,'1993-09-06 00:00:00',4,1,12,2010,'F','N','INTERIOR','FRAIBURGO','SC','124241242117131431459923575122610137142',NULL,'1222',30.75,1,2,1),(25,6186475,'1992-03-23 00:00:00',2,1,12,2009,'F','N','PLANTA ARAÇATUBA','PIRAQUARA','PR','116163161115471531353627572124610126037',NULL,'9998',35.46,1,3,NULL),(25,6186505,'1992-04-14 00:00:00',4,1,11,2009,'M','N','JARDIM EUROPA','PIRACICABA','SP','125252251217471431359833591122610164172',NULL,'9998',0.00,2,3,NULL),(25,6186513,'1993-12-16 00:00:00',2,7,12,2010,'F','N','JARDIM BELA VISTA','CAMPOS NOVOS','SC','124242241217151431437312345122610147072',NULL,'138',28.96,1,3,NULL),(25,6186521,'1993-09-28 00:00:00',4,6,12,2010,'M','N','VILA PERARIA','ITAJAÍ','SC','124242241215111731438811572112610128197',16167,'1026',36.03,1,3,NULL),(25,6186530,'1992-09-14 00:00:00',2,1,12,2009,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241112132731523723582124610134172',17687,'727',39.42,1,2,1),(25,6186548,'1992-05-22 00:00:00',4,1,12,2009,'F','N','CENTRO','CEL VIVIDA','PR','116162161215472511557932575124610164187',13893,'9998',40.81,1,3,NULL),(25,6186556,'1994-01-27 00:00:00',4,8,12,2010,'F','N','ESTRADINHA','PARANAGUÁ','PR','116162161236111431448813575114610134017',NULL,'9998',0.00,1,3,NULL),(25,6186564,'1993-09-24 00:00:00',2,1,12,2010,'M','N','BETÂNIA','ANGELINA','SC','124241241116161731323614572324610117051',NULL,'17',29.94,1,2,1),(25,6186572,'1993-04-08 00:00:00',2,10,12,2010,'F','N','SANTA APOLONIA','SANGÃO','SC','124241241126161232439233575122610138147',20056,'685',28.55,1,2,1),(25,6186580,'1993-11-16 00:00:00',4,1,12,2010,'F','N','DESVIO RIZZO','CAXIAS SUL','RS','120202201215131431356823375124610126092',18956,'9998',37.00,1,3,NULL),(25,6186599,'1991-11-26 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S JOSÉ','SC','124241241117153431625511315122610164041',8557,'734',50.35,1,2,1),(25,6186602,'1992-01-06 00:00:00',4,8,12,2009,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215472431459839272122610166172',845,'459',74.72,1,3,NULL),(25,6186610,'1990-05-26 00:00:00',2,4,11,2008,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242244235474451446929512122133222092',16338,'983',36.16,1,3,NULL),(25,6186637,'1992-05-10 00:00:00',4,2,12,2009,'F','N','SAO PEDRO','APIÚNA','SC','124242241215472431436923574124610116172',2703,'346',65.02,1,3,NULL),(25,6186645,'1986-03-21 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241127441731441623392124610123155',NULL,'281',22.64,1,2,1),(25,6186653,'1988-12-19 00:00:00',2,1,12,2005,'F','N','CENTRO CÍVICO','CURITIBA','PR','116162161215575431458833575112610134147',NULL,'9998',0.00,1,3,NULL),(25,6186661,'1991-08-17 00:00:00',2,2,12,2008,'M','N','BUDAG','RIO SUL','SC','124243241116371431549634345124610127042',NULL,'658',27.74,4,1,2),(25,6186670,'1992-10-14 00:00:00',2,2,12,2009,'F','N','EUGÊNIO SCHNEIDER','RIO SUL','SC','124242241215472431549711595122610127182',6439,'991',54.94,1,3,NULL),(25,6186688,'1993-06-11 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201117111411424432575122610116145',NULL,'9998',18.29,1,2,1),(25,6186696,'1990-09-24 00:00:00',2,8,12,2007,'F','N','CENTRO','CPO ERÊ','SC','124241241116572431536912572344610122027',1979,'136',67.65,1,2,1),(25,6186700,'1992-08-22 00:00:00',4,1,12,2009,'M','N','CENTRO','LONDRINA','PR','116162161217471731538816575112610163073',55,'9998',85.35,1,3,NULL),(25,6186718,'1987-04-12 00:00:00',2,1,12,2006,'M','N','SERRARIA','S JOSÉ','SC','124241247127131731648613345123610164067',17340,'9999',34.76,4,1,1),(25,6186726,'1993-09-18 00:00:00',4,15,12,2009,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241216372431478813335124242632197',1973,'970',68.02,1,3,NULL),(25,6186734,'1992-01-25 00:00:00',4,6,12,2008,'F','N','CENTRO','JÚLIO CASTILHOS','RS','120203201117471431438811572325141562187',NULL,'9998',0.00,1,3,NULL),(25,6186742,'1991-12-12 00:00:00',4,1,12,2009,'F','N','CENTRO','ARAXÁ','MG','113132251215471431468814575112610162122',NULL,'9998',0.00,1,3,NULL),(25,6186750,'1993-05-13 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215152431478933175112610122042',NULL,'272',38.72,1,3,NULL),(25,6186769,'1992-12-09 00:00:00',2,1,12,2010,'F','N','BNH III PLANO','DOURADOS','MS','112122121216371431449934575122610164182',NULL,'9998',25.08,4,3,NULL),(25,6186777,'1992-04-06 00:00:00',2,7,12,2009,'F','N','FLOR DA SERRA','JOAÇABA','SC','124241241136372431223723272124610123151',8986,'539',53.08,1,2,1),(25,6186785,'1993-01-03 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212111441448712575122610137077',13940,'1074',45.27,1,3,NULL),(25,6186793,'1986-02-19 00:00:00',4,1,11,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124203201116373411424432575122122212165',4563,'9998',60.20,1,3,NULL),(25,6186807,'1992-07-15 00:00:00',4,1,12,2009,'M','N','BOA ESPERANÇA','CUIABÁ','MT','111112111215471431469833575124610134142',19129,'9998',36.69,1,3,NULL),(25,6186815,'1992-10-31 00:00:00',4,1,12,2010,'M','N','CHÁCARA STO ANTÔNIO','S PAULO','SP','125252251217111431259834572112610167042',5059,'9998',57.53,1,3,NULL),(25,6186823,'1990-07-06 00:00:00',2,15,12,2007,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241241142132721524319142133132324147',NULL,'29',10.52,1,3,NULL),(25,6186831,'1993-06-23 00:00:00',4,17,11,2010,'M','N','ALTO DA TIJUCA','CANOINHAS','SC','124242241215271431469913572122610132062',5666,'154',55.51,1,3,NULL),(25,6186840,'1989-07-10 00:00:00',2,8,12,2006,'F','N','FATIMA','JOINVILLE','SC','124241241111372411326419485114610146042',20904,'492',31.49,1,3,NULL),(25,6186858,'1977-06-27 00:00:00',2,1,12,1997,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247424434431116648242324610146077',NULL,'487',21.55,1,3,NULL),(25,6186866,'1992-05-18 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241247322371432526631212224610147045',20616,'270',32.68,1,3,NULL),(25,6186882,'1993-12-21 00:00:00',2,1,12,2010,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241135131431223923575124610124052',NULL,'592',32.61,1,3,NULL),(25,6186890,'1991-12-17 00:00:00',2,8,12,2009,'M','N','FATIMA I','POUSO ALEGRE','MG','116162161216471131568814572124610167184',1847,'9998',68.30,1,3,NULL),(25,6186904,'1993-09-04 00:00:00',4,1,12,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241215151431336419572122610167142',4090,'1074',60.35,1,3,NULL),(25,6186912,'1990-05-05 00:00:00',4,1,12,2007,'M','N','CENTRO','LUCÉLIA','SP','125252251217471711546811581145610162187',NULL,'9998',0.00,1,3,NULL),(25,6186920,'1993-04-07 00:00:00',4,1,11,2010,'M','N','SETOR AEROPORTO','GOIÂNIA','GO','109092091217111431468839575122610127052',1388,'9998',70.26,1,3,NULL),(25,6186939,'1992-12-22 00:00:00',4,6,12,2010,'M','N','GRAVATÁ','NAVEGANTES','SC','124243241217131431526634385124610164057',13149,'392',46.40,1,3,NULL),(25,6186947,'1992-01-13 00:00:00',2,1,12,2009,'M','N','PORTÃO','CURITIBA','PR','116163161211412711358814585114613254012',6022,'9998',58.45,4,3,NULL),(25,6186955,'1993-03-22 00:00:00',4,2,11,2010,'F','N','AGUA VERDE','CURITIBA','PR','116242161212171431445732371112610114142',6839,'9998',53.65,1,3,NULL),(25,6186963,'1991-04-23 00:00:00',4,6,12,2008,'F','N','FAZENDA','ITAJAÍ','SC','124242241212473451437731572124133236182',6895,'389',53.92,1,3,NULL),(25,6186971,'1991-10-11 00:00:00',4,3,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161235372431259839495122142468047',594,'9998',76.79,1,3,NULL),(25,6186998,'1983-03-05 00:00:00',2,15,12,2001,'M','N','CENTRO','BAL ARROIO SILVA','SC','124241241112141431221643195124610127177',NULL,'29',0.00,2,2,1),(25,6187005,'1992-08-21 00:00:00',2,1,12,2009,'M','N','INDUSTRIARIOS','CONCÓRDIA','SC','124241241116471431234923571112610167182',NULL,'194',16.82,1,2,1),(25,6187013,'1993-11-01 00:00:00',2,1,12,2010,'F','N','CENTRO','VERA CRUZ','RS','120202201217111411328924575122610165012',NULL,'9998',0.00,1,3,NULL),(25,6187021,'1993-10-25 00:00:00',2,8,11,2009,'F','N','CAPAO RASO','CURITIBA','PR','116162161416571431649822595124610166197',2429,'9998',65.75,1,3,NULL),(25,6187030,'1992-05-31 00:00:00',4,1,12,2010,'F','N','PRAÇA','TIJUCAS','SC','124241246215111411468847575122610124182',NULL,'1119',27.65,1,3,NULL),(25,6187056,'1993-08-16 00:00:00',4,1,11,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115131431423614341124610134147',NULL,'307',17.33,1,2,1),(25,6187064,'1993-11-24 00:00:00',4,1,11,2010,'M','N','MERCÊS','CURITIBA','PR','116162161216171431378914572122610146092',NULL,'9998',0.00,1,3,NULL),(25,6187072,'1990-10-07 00:00:00',4,8,12,2008,'M','N','CENTRO','JOINVILLE','SC','124242241215573441439719574112610166076',415,'1063',78.35,1,3,NULL),(25,6187080,'1993-01-23 00:00:00',4,8,11,2010,'M','N','CENTRO','PINHAIS','PR','116162161235111732648614475114610164044',12908,'9998',42.67,4,1,2),(25,6187099,'1993-07-09 00:00:00',4,8,12,2010,'F','N','CENTRO','PALOTINA','PR','116162161215121431589614575124610137042',2515,'9998',66.94,1,3,NULL),(25,6187102,'1989-07-26 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241144152332436624394114610162183',19106,'286',32.13,2,2,1),(25,6187110,'1993-04-15 00:00:00',2,17,12,2010,'F','N','TRICOLIN','CANOINHAS','SC','124241231416111431438934575122610127142',12770,'973',42.58,1,3,NULL),(25,6187129,'1991-12-09 00:00:00',4,8,12,2008,'F','N','SANTA CÂNDIDA','CURITIBA','PR','116162161216572451476834574124610137142',2226,'9998',67.28,1,3,NULL),(25,6187137,'1992-08-18 00:00:00',2,1,12,2009,'M','N','ARIRIÚ','PALHOÇA','SC','124241241117151431343414385114610112092',11411,'739',43.97,4,2,1),(25,6187145,'1993-12-01 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241217111431448833575124610167047',10364,'270',47.51,1,3,NULL),(25,6187153,'1979-05-01 00:00:00',4,1,12,1996,'M','N','BARREIROS','S JOSÉ','SC','124242241215371431128343432122333162097',4727,'70',61.49,1,3,NULL),(25,6187170,'1989-11-30 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124241241125271431633324292124610126142',NULL,'66',21.60,1,2,1),(25,6187188,'1992-07-23 00:00:00',4,1,11,2009,'F','N','CAMINHO DAS ÁRVORES','SALVADOR','BA','105052051217472411469814572122610113141',2995,'9998',63.15,1,3,NULL),(25,6187200,'1993-02-18 00:00:00',4,2,12,2010,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124212241215371441439511574122610136092',112,'107',83.05,1,3,NULL),(25,6187218,'1991-04-21 00:00:00',4,3,12,2008,'M','N','BATEL','CURITIBA','PR','116202161215573411468831574324610137057',522,'9998',77.44,1,3,NULL),(25,6187226,'1990-11-04 00:00:00',4,1,12,2007,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124243241215574431345923572324121633142',8093,'1065',53.06,1,3,NULL),(25,6187234,'1991-11-24 00:00:00',4,1,12,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124243241115373431356653572124610127062',14091,'271',41.83,1,3,NULL),(25,6187242,'1990-05-29 00:00:00',4,1,12,2007,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241217373431238613285114121864197',NULL,'1022',0.00,1,3,NULL),(25,6187269,'1992-03-26 00:00:00',4,16,11,2009,'F','N','BACACHERI','CURITIBA','PR','116162161215472411337831571122610166097',2934,'9998',64.82,1,3,NULL),(25,6187277,'1993-09-02 00:00:00',4,1,11,2010,'F','N','NOVA PORTO VELHO','JARU','RO','122222221217111431467923575122610163072',NULL,'9998',0.00,1,3,NULL),(25,6187285,'1984-11-22 00:00:00',2,1,12,2003,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241117275232632623275114221267042',NULL,'281',18.16,2,1,1),(25,6187293,'1988-09-14 00:00:00',2,1,12,2005,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124201241116132331416574282324610165147',18577,'288',32.23,1,2,1),(25,6187307,'1981-12-15 00:00:00',4,1,12,1999,'M','N','BOQUEIRAO','CURITIBA','PR','116164161417151751548814486344340714183',NULL,'9998',33.87,3,3,NULL),(25,6187315,'1992-07-01 00:00:00',4,7,11,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116242161216372731458813595122610133052',8128,'446',50.07,3,3,NULL),(25,6187323,'1993-01-15 00:00:00',2,8,11,2010,'F','N','OLINDA','UBERABA','MG','113162131216151711446827275124610164142',NULL,'9998',0.00,1,3,NULL),(25,6187331,'1994-02-14 00:00:00',2,8,12,2010,'F','N','VILA NOVA','MAFRA','SC','124241168216111431446919395124610167012',13326,'9998',40.90,1,3,NULL),(25,6187340,'1991-03-12 00:00:00',2,1,7,2009,'F','N','SÃO MIGUEL','BIGUAÇU','SC','124241241117373431433314445124610122047',8154,'739',52.53,1,2,1),(25,6187366,'1994-03-11 00:00:00',4,4,10,2010,'F','N','LIDER','CHAPECÓ','SC','124242241215111431436339574114610164072',NULL,'983',28.21,1,3,NULL),(25,6187390,'1991-02-11 00:00:00',5,15,12,2009,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124242241317142231338923242132123238097',20412,'30',33.40,1,3,NULL),(25,6187404,'1989-03-28 00:00:00',4,1,12,2006,'F','N','CENTRO','PEREIRA BARRETO','SP','125252251216571431658833575125610112097',619,'9998',74.63,3,3,NULL),(25,6187412,'1993-05-28 00:00:00',2,1,12,2010,'F','N','CENTRO','BRUSQUE','SC','124201241137131431436619292124610126192',18660,'111',37.63,1,2,1),(25,6187420,'1983-04-16 00:00:00',2,1,12,2000,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224241241136372711234653475124230226045',NULL,'769',33.50,1,2,1),(25,6187439,'1991-10-28 00:00:00',2,1,12,2008,'M','N','IBIRAQUERA','IMBITUBA','SC','124241241115472431215821272221610124047',8401,'1136',52.00,1,2,1),(25,6187447,'1993-12-20 00:00:00',4,1,12,2010,'F','N','PRAIA DO CANTO','VITÓRIA','ES','108254081216111411466611575122610123092',17935,'9998',34.24,1,3,NULL),(25,6187463,'1993-03-19 00:00:00',4,1,11,2010,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124244241215111431337614575124610127047',4403,'723',61.37,1,3,NULL),(25,6187471,'1983-11-29 00:00:00',4,1,12,2000,'F','N','VILA GALVÃO','GUARULHOS','SP','125252251216471431388831475122343122042',NULL,'9998',0.00,1,3,NULL),(25,6187480,'1990-02-13 00:00:00',2,17,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','124202241217571741369619375124610131187',1058,'633',73.63,1,3,NULL),(25,6187501,'1979-07-03 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242247227272711226648282114610166197',12182,'9999',47.86,1,3,NULL),(25,6187528,'1988-07-25 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241245127113731523371392224232726187',NULL,'591',0.00,1,2,1),(25,6187544,'1991-05-09 00:00:00',2,8,12,2008,'M','N','CENTRO','RIO NEGRO','PR','116164216216111431248829435123243217011',17746,'9998',37.05,1,3,NULL),(25,6187552,'1989-08-16 00:00:00',2,1,12,2006,'F','N','VILA LIBERDADE','PRES PRUDENTE','SP','125252251215573411348812571225142465147',488,'9998',76.53,3,3,NULL),(25,6187560,'1992-09-23 00:00:00',4,4,12,2009,'M','N','PARQUE IMPERATRIZ','FOZ IGUAÇU','PR','616163168216411431534419575124610117047',NULL,'9998',0.00,1,3,NULL),(25,6187595,'1993-12-31 00:00:00',4,4,12,2010,'M','N','JARDIM AMÉRICA','ASSIS CHATEAUBRIAND','PR','116161161115371431538832572121610114192',5556,'9998',57.38,1,2,1),(25,6187609,'1991-09-29 00:00:00',2,5,11,2010,'M','N','SANTA CATARINA','CRICIÚMA','SC','124244241215111431335531575122610134197',16980,'226',40.66,1,3,NULL),(25,6187617,'1993-12-15 00:00:00',2,1,12,2010,'M','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241117131431623364572224610127047',13479,'288',40.82,1,2,1),(25,6187625,'1993-01-11 00:00:00',2,7,12,2010,'M','N','FLORESTA','VIDEIRA','SC','124241241217131431326622275124610122057',NULL,'1080',34.40,1,3,NULL),(25,6187633,'1992-10-21 00:00:00',4,9,12,2009,'M','N','CENTRO','VACARIA','RS','120202201216471431348811215125610162057',7844,'9998',52.43,1,3,NULL),(25,6187641,'1992-10-23 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124244241215272331443632275124610117114',11833,'9997',48.44,1,3,NULL),(25,6187650,'1993-05-26 00:00:00',2,1,11,2010,'F','N','JARDIM RIVA','PRIMAVERA LESTE','MT','111113111216111431338819571122610117142',15152,'9998',38.11,1,3,NULL),(25,6187676,'1992-09-09 00:00:00',4,1,12,2009,'F','N','GONZAGA','SANTOS','SP','125252251216471431439811575115610122072',NULL,'9998',0.00,1,3,NULL),(25,6187684,'1992-04-28 00:00:00',2,4,11,2009,'M','N','CENTRO','PALMAS','PR','116162161214471431458933571124610164117',3002,'9998',64.15,1,3,NULL),(25,6187692,'1991-02-04 00:00:00',4,1,12,2009,'F','N','PUTIM','S JOSÉ CAMPOS','SP','125251251215471732548711375122610134147',12832,'9998',42.13,3,3,NULL),(25,6187706,'1990-11-09 00:00:00',4,15,12,2010,'F','N','FIGUEIRA ALÉSSIO','TIMBÉ SUL','SC','124241241127161531523335573322610164057',NULL,'785',0.00,1,2,1),(25,6187714,'1993-07-31 00:00:00',2,1,12,2010,'F','N','JARDIM CIDADE','S JOSÉ','SC','124241241115141731425619145124610132191',NULL,'726',34.11,1,3,NULL),(25,6187722,'1992-05-11 00:00:00',4,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241215574421234812575122610124197',6720,'1026',57.26,4,3,NULL),(25,6187730,'1993-04-11 00:00:00',4,8,12,2010,'F','N','PARQUE GUARANI','JOINVILLE','SC','124241241115131431336914292124610164197',NULL,'492',23.52,1,2,1),(25,6187749,'1992-11-26 00:00:00',4,1,11,2009,'F','N','CENTRO','STA MARIA VITÓRIA','BA','105052051215471531226623575125610162147',NULL,'9998',0.00,4,3,NULL),(25,6187757,'1988-01-01 00:00:00',4,8,12,2005,'M','N','BACACHERI','CURITIBA','PR','116164161215571431478834445124141442186',910,'9998',73.75,3,3,NULL),(25,6187765,'1993-03-24 00:00:00',4,1,12,2010,'M','N','BELA VISTA I','S JOSÉ','SC','124241241116141431436434345124610124047',15479,'733',42.93,4,2,1),(25,6187773,'1963-01-25 00:00:00',2,1,7,1983,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242247436152711138844445114121832187',NULL,'9999',28.35,1,3,NULL),(25,6187781,'1991-01-11 00:00:00',2,6,12,2008,'M','N','STA CLARA','ITAJAÍ','SC','116162161115572431549934474124610167142',266,'9998',80.21,3,3,NULL),(25,6187790,'1992-07-24 00:00:00',4,1,11,2009,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241216373431458812575122610111132',8138,'270',52.21,1,3,NULL),(25,6187803,'1990-11-22 00:00:00',2,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116243161216574451123923571124610167187',5906,'9998',56.74,1,3,NULL),(25,6187820,'1993-09-22 00:00:00',4,1,12,2010,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241115311431323329572324610127055',NULL,'772',14.50,1,2,1),(25,6187838,'1992-09-22 00:00:00',2,4,12,2009,'F','N','JARDIM COOPAGRO','TOLEDO','PR','116161161136571731344436291124610134187',6228,'9998',55.38,1,2,1),(25,6187846,'1992-12-31 00:00:00',2,8,12,2009,'F','N','VILA BAGGIO','LAPA','PR','116161161116571431358923572124610134182',8324,'9998',50.74,1,2,1),(25,6187854,'1992-03-02 00:00:00',2,5,12,2009,'F','N','MONTE VERDE','MRO FUMAÇA','SC','124244241126271432426313242122610122147',17685,'567',33.86,3,3,NULL),(25,6187862,'1993-04-30 00:00:00',4,1,12,2010,'F','N','PARADA INGLESA','S PAULO','SP','125252251117271411448613275124610146012',NULL,'9998',0.00,1,3,NULL),(25,6187870,'1994-10-06 00:00:00',4,1,11,2011,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216111752289833572124610127122',NULL,'270',74.15,1,3,NULL),(25,6187889,'1986-08-14 00:00:00',4,1,10,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124203207316572731236821375114610167097',3470,'9998',63.01,1,3,NULL),(25,6187897,'1994-03-10 00:00:00',4,1,12,2011,'M','S','BELA VISTA UM','S JOSÉ','SC','124242241216111212126627575124610132184',NULL,'1118',25.88,1,3,NULL),(25,6187900,'1988-01-29 00:00:00',2,1,11,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115373431436621345124610123115',NULL,'293',24.88,1,2,1),(25,6187919,'1991-09-04 00:00:00',4,3,9,2008,'F','N','ALTO DA XV','GUARAPUAVA','PR','116162161236573751328924595124610127047',3050,'9998',65.01,1,3,NULL),(25,6187927,'1993-11-05 00:00:00',4,1,12,2010,'F','N','BARÃO DO CAFÉ','CAMPINAS','SP','125252251215161411548833293124610137042',NULL,'9998',0.00,1,3,NULL),(25,6187935,'1988-12-27 00:00:00',4,1,12,2005,'F','N','PORTÃO','CURITIBA','PR','116162161437471431148611445114241126047',12713,'9998',47.05,3,3,NULL),(25,6187943,'1993-07-17 00:00:00',4,1,12,2010,'M','N','VILA LEOPOLDINA','S PAULO','SP','125252251217111451449914475112610127047',NULL,'9998',0.00,1,3,NULL),(25,6187951,'1988-10-29 00:00:00',2,1,12,2006,'M','N','CENTRO','S JOSÉ','SC','124242241137273431566711342122610137142',NULL,'733',20.10,1,3,NULL),(25,6187978,'1990-09-13 00:00:00',4,4,12,2007,'M','N','PRESIDENTE MEDICI','CHAPECÓ','SC','124244241216472741439914575122131427012',2890,'1046',63.67,1,3,NULL),(25,6187986,'1993-09-05 00:00:00',4,8,12,2010,'M','N','SÃO LUIS','JARAGUÁ SUL','SC','124242241215161431458812572122610117122',4907,'1174',57.73,1,3,NULL),(25,6187994,'1993-06-18 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371531489911572112610137045',8781,'262',53.44,1,3,NULL),(25,6188001,'1992-08-16 00:00:00',4,1,12,2009,'F','N','JARDIM ISMENIA','S JOSÉ CAMPOS','SP','125254251215471431448614574122610131077',14655,'9998',39.21,1,3,NULL),(25,6188010,'1980-08-20 00:00:00',2,1,11,1999,'M','N','SÃO JOÃO DO RIO VERM','FLORIANÓPOLIS','SC','224204201416141721538832445114132618057',NULL,'9998',23.61,1,3,NULL),(25,6188044,'1992-12-08 00:00:00',4,8,12,2010,'M','N','WALDEMAR RAU','JARAGUÁ SUL','SC','124242241215111431479614575122610167062',13660,'1174',41.44,1,3,NULL),(25,6188052,'1986-12-10 00:00:00',4,1,12,2002,'F','N','IPIRANGA','S JOSÉ','SC','124241241127132431625511185123130262147',NULL,'216',0.00,1,2,1),(25,6188060,'1991-08-12 00:00:00',4,8,12,2008,'F','N','CENTRO','LONDRINA','PR','116162161215571741468831574112610166182',459,'9998',76.50,1,3,NULL),(25,6188087,'1992-08-24 00:00:00',2,1,11,2009,'F','N','PALHOÇA','PALHOÇA','SC','124241241111131131622369392314610124052',NULL,'591',22.70,4,3,NULL),(25,6188095,'1992-02-27 00:00:00',4,1,12,2009,'F','N','JARDIM SINUELO','ASTORGA','PR','116164161216372431368913575122241434142',6049,'9998',55.60,1,3,NULL),(25,6188109,'1992-02-28 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124092091216112432469933575115221467012',9056,'9998',48.30,1,3,NULL),(25,6188117,'1989-07-14 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373431479819575114130462192',3805,'807',62.42,1,3,NULL),(25,6188125,'1992-11-20 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215471431248933575122610134052',17630,'44',34.68,1,3,NULL),(25,6188133,'1993-09-15 00:00:00',4,5,12,2010,'F','N','LINHA FRAGNANI','TREZE MAIO','SC','124241241145271431325635185124610132037',NULL,'209',0.00,1,2,1),(25,6188150,'1991-11-14 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241345472431323611442124610118142',14271,'1022',41.67,1,3,NULL),(25,6188176,'1988-05-19 00:00:00',2,1,11,2005,'M','N','CIDADE JARDIM','GOIÂNIA','GO','109092091214571411437734571122610127047',1739,'9998',68.14,4,3,NULL),(25,6188184,'1993-08-31 00:00:00',2,3,12,2010,'M','N','STO ANTONIO','CRUZ ALTA','RS','120201201116371431528833275112610167057',11256,'9998',45.91,1,3,NULL),(25,6188192,'1987-04-12 00:00:00',4,1,12,2004,'F','N','SÃO FRASCISCO','STO AMARO IMPERATRIZ','SC','624241241147272431323354242121610124077',19868,'772',34.94,1,2,1),(25,6188206,'1993-12-16 00:00:00',2,1,12,2010,'F','N','CENTRO','BELA V PARAÍSO','PR','116162168216111331448822575112610162092',NULL,'9998',0.00,1,3,NULL),(25,6188214,'1993-10-04 00:00:00',4,7,12,2010,'M','N','INTERIOR','PINHEIRO PRETO','SC','124241241115141431536916162122610133051',13525,'831',39.81,1,3,NULL),(25,6188222,'1986-11-20 00:00:00',2,1,12,2003,'F','N','FEITORIA','S LEOPOLDO','RS','120202201114471531333723472122141532147',15679,'9998',37.98,1,3,NULL),(25,6188249,'1993-05-12 00:00:00',2,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124163241215371431546652112125610164172',14690,'44',44.17,3,3,NULL),(25,6188257,'1992-02-26 00:00:00',2,1,11,2009,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241116372731536413191124610114147',20832,'591',31.81,2,1,1),(25,6188273,'1978-12-06 00:00:00',2,1,4,2002,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124161161147131741221149292334610118182',NULL,'9998',0.00,4,2,1),(25,6188281,'1992-09-13 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215152431238612145114231441182',NULL,'1038',43.20,4,3,NULL),(25,6188290,'1987-03-18 00:00:00',2,8,12,2005,'M','N','FLORESTA','JOINVILLE','SC','124242241216575431457823315122610133047',6161,'459',54.83,1,3,NULL),(25,6188303,'1993-01-21 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431478812592122610137072',11136,'262',46.18,1,3,NULL),(25,6188311,'1995-04-22 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241215122431249823575114610167092',2856,'270',65.59,1,3,NULL),(25,6188320,'1993-10-01 00:00:00',4,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241215271231366621245122610122042',9552,'44',52.14,1,3,NULL),(25,6188338,'1992-11-18 00:00:00',2,4,12,2009,'M','N','CENTRO','PATO BRANCO','PR','116162161215371531336624276124610164052',9398,'9998',48.10,1,3,NULL),(25,6188346,'1990-05-22 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241217373751326824485124130835182',12021,'1075',43.35,1,3,NULL),(25,6188354,'1992-11-23 00:00:00',4,1,11,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217121431379833576122610123147',3048,'270',63.12,1,3,NULL),(25,6188389,'1992-01-06 00:00:00',4,9,11,2009,'M','N','CENTRO','LAGES','SC','124242241215312531569922575112131417127',20242,'1207',33.94,1,3,NULL),(25,6188397,'1973-09-18 00:00:00',4,1,6,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247147144451334624243114333267187',10673,'9999',46.37,1,2,1),(25,6188400,'1994-08-27 00:00:00',4,4,11,2011,'F','S','JARDIM ITÁLIA','CHAPECÓ','SC','124243241215111631236632572122610144182',NULL,'185',47.57,1,3,NULL),(25,6188419,'1975-09-27 00:00:00',2,1,12,1995,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','224241243125372431244359285112610124187',17707,'257',34.33,2,1,1),(25,6188427,'1984-05-14 00:00:00',1,1,12,2002,'F','N','BARREIROS','S JOSÉ','SC','124241241127134421351629345114122234071',NULL,'65',0.00,1,2,1),(25,6188435,'1993-06-18 00:00:00',2,6,12,2010,'F','N','CORDEIROS','ITAJAÍ','SC','124242241237141431447614241124610138072',15454,'388',42.96,1,3,NULL),(25,6188443,'1992-06-09 00:00:00',4,1,12,2009,'M','N','CENTRO','PASSO FUNDO','RS','120202201216471431378829575115610124066',NULL,'9998',0.00,1,3,NULL),(25,6188451,'1993-10-24 00:00:00',2,1,12,2010,'F','N','CENTRO','NOVA PÁDUA','RS','120201201117471421426422111124610136077',NULL,'9998',0.00,1,2,1),(25,6188460,'1984-08-01 00:00:00',2,1,12,2002,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201201116131421524361342124610117147',19273,'9998',31.43,1,2,1),(25,6188478,'1990-06-10 00:00:00',4,1,12,2007,'F','N','CANINDÉ','S PAULO','SP','125252251216111431459911575122242462172',NULL,'9998',0.00,1,3,NULL),(25,6188486,'1993-11-21 00:00:00',2,1,12,2010,'F','N','CERAMARTE','RIO NEGRINHO','SC','124241241115271431114513572124610117052',NULL,'669',16.46,4,2,1),(25,6188494,'1993-01-09 00:00:00',2,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241116472431226824595125610114012',15013,'840',39.06,1,2,1),(25,6188524,'1990-02-02 00:00:00',4,1,12,2007,'F','N','PARQUE ACALANTO','GOIÂNIA','GO','109092091217571731668931397122610163197',NULL,'9998',0.00,1,3,NULL),(25,6188532,'1992-11-30 00:00:00',4,1,11,2010,'F','N','CENTRO','RIO VERDE','GO','109092091216111431486716575122610137072',NULL,'9998',0.00,1,3,NULL),(25,6188540,'1992-12-06 00:00:00',4,2,11,2010,'M','N','ESTADOS','TIMBÓ','SC','124242241215111441457951392111610128182',8882,'1157',49.78,1,3,NULL),(25,6188559,'1993-08-12 00:00:00',4,1,12,2010,'M','N','CENTRO','AGROLÂNDIA','SC','124241248147141311339913215115610137142',NULL,'6',18.98,1,3,NULL),(25,6188567,'1993-03-28 00:00:00',4,1,12,2010,'M','N','JARDIM AMERICA','GOIÂNIA','GO','109092091215111431479931574122610127072',6697,'9998',53.57,1,3,NULL),(25,6188575,'1991-10-05 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217373431348611375124221462052',1526,'1133',70.34,1,3,NULL),(25,6188583,'1993-03-28 00:00:00',4,1,11,2010,'F','N','CENTRO','IPORÁ','GO','109094091416111431578911572124610164042',NULL,'9998',0.00,4,3,NULL),(25,6188591,'1991-08-31 00:00:00',4,1,12,2008,'F','N','INTERIOR','ITAPIRANGA','SC','124241241116131731326523372222131327052',15599,'410',38.33,1,2,1),(25,6188605,'1993-02-04 00:00:00',4,1,12,2010,'M','N','SÃO CRISTÓVÃO','TERESINA','PI','118182181217111431489913572112610127142',2141,'9998',67.26,1,3,NULL),(25,6188613,'1990-04-04 00:00:00',2,4,12,2007,'M','N','BARRA DO RIO AZUL','BARRA R AZUL','RS','120201201146573431637936575125610167042',6417,'9998',54.95,1,2,1),(25,6188621,'1991-05-28 00:00:00',4,1,12,2008,'M','N','JARDIM QUEBEC','LONDRINA','PR','116162161216511531488814575115510122032',NULL,'9998',0.00,3,3,NULL),(25,6188630,'1993-04-20 00:00:00',4,8,11,2010,'M','N','JOÃO COSTA','JOINVILLE','SC','124143241215271431549413174124610138052',14095,'459',45.01,1,3,NULL),(25,6188648,'1991-04-26 00:00:00',2,4,12,2008,'M','N','CENTRO','CAXAMBU SUL','SC','124241241317154411533635172124610126157',967,'185',72.43,4,3,NULL),(25,6188656,'1992-07-09 00:00:00',4,5,11,2009,'M','N','PIO CORREA','CRICIÚMA','SC','124242241215472731579814575114610137042',2806,'226',65.83,1,3,NULL),(25,6188664,'1990-02-04 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117373431448733575123141422122',2826,'307',65.82,4,2,1),(25,6188672,'1986-05-17 00:00:00',4,1,12,2003,'M','N','VILA SUZANA','S PAULO','SP','125252251217471711457811425122241536187',NULL,'9998',0.00,1,3,NULL),(25,6188680,'1991-08-02 00:00:00',4,1,12,2008,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241217575731557712572122610164015',306,'270',79.62,1,3,NULL),(25,6188699,'1993-06-24 00:00:00',4,1,11,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111431479933576112610164092',2555,'270',66.61,1,3,NULL),(25,6188702,'1993-01-05 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111751249934595124610122092',633,'270',76.32,1,3,NULL),(25,6188729,'1992-12-18 00:00:00',4,4,12,2009,'M','N','VILA IZABEL','CURITIBA','PR','116162161215472431456616365124610137045',441,'9998',77.16,1,3,NULL),(25,6188737,'1993-04-05 00:00:00',4,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111531466973474124610163181',5671,'723',57.31,4,3,NULL),(25,6188745,'1991-11-12 00:00:00',4,15,12,2008,'F','N','LINHA CONTESSI','TURVO','SC','124241241115132431537335395123610168097',NULL,'814',21.80,1,2,1),(25,6188753,'1993-01-12 00:00:00',2,1,12,2010,'M','N','SOROCABA','BIGUAÇU','SC','124241248115371732423315355124333238065',NULL,'65',26.38,1,3,NULL),(25,6188761,'1990-10-10 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241117473431329824291124130223077',12419,'298',45.49,1,3,NULL),(25,6188770,'1993-04-02 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215272231537721575124610114117',6921,'270',54.05,1,3,NULL),(25,6188788,'1993-06-05 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241215111431434633575122610114147',19249,'738',30.78,1,3,NULL),(25,6188796,'1993-06-01 00:00:00',4,3,12,2010,'M','N','CENTRO','ASTORGA','PR','116162161217171311458816372112610164122',4205,'9998',60.41,3,3,NULL),(25,6188800,'1993-03-27 00:00:00',4,4,12,2009,'F','N','CENTRO','XAXIM','SC','124242241215473431347832575122610144042',3565,'1191',61.57,1,3,NULL),(25,6188818,'1993-03-13 00:00:00',4,1,11,2010,'M','N','PEDRA BRANCA','PALHOÇA','SC','124242241215111431359933575122610168045',7396,'1118',53.29,1,3,NULL),(25,6188842,'1992-07-04 00:00:00',4,1,12,2010,'F','N','CIDADE DUTRA','S PAULO','SP','125252251215411231647412571122610122147',NULL,'9998',0.00,3,3,NULL),(25,6188869,'1993-05-25 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215371731536631275124610131147',NULL,'1010',29.39,1,3,NULL),(25,6188885,'1992-03-11 00:00:00',2,5,12,2009,'F','N','SANTANA','PTO ALEGRE','RS','120202201211471431359811571124610125097',4551,'9998',57.48,1,3,NULL),(25,6188893,'1993-03-18 00:00:00',4,1,12,2009,'M','N','CENTRO','PTO UNIÃO','SC','124242241217272751238629575112610167122',NULL,'633',37.23,1,3,NULL),(25,6188907,'1992-09-13 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472431457634275124610166071',7535,'988',53.20,1,3,NULL),(25,6188915,'1991-11-18 00:00:00',2,1,12,2008,'F','N','CANOAS','RIO SUL','SC','124241241116571431324414375125610165187',NULL,'659',0.00,1,2,1),(25,6188923,'1992-03-22 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124163241215573431689931572122610127122',NULL,'270',38.77,1,3,NULL),(25,6188931,'1993-05-18 00:00:00',4,4,12,2009,'F','N','CENTRO','CAXAMBU SUL','SC','120241241216472411434835575122610165122',8577,'185',49.88,1,3,NULL),(25,6188940,'1991-02-24 00:00:00',4,7,12,2008,'F','N','OPERÁRIO','BARRACÃO','RS','120201241147131431419939585124231438187',NULL,'140',31.76,1,2,1),(25,6188958,'1990-02-20 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201116241431457933392124233224143',NULL,'9998',0.00,1,2,1),(25,6188974,'1992-09-16 00:00:00',4,1,12,2009,'F','N','BOA ESPERANÇA','CUIABÁ','MT','125112111237471441569911255112610137042',418,'9998',77.64,4,3,NULL),(25,6188982,'1963-09-05 00:00:00',4,1,12,1983,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224244244426141431228341215124131962187',18999,'1169',36.94,1,3,NULL),(25,6189008,'1992-09-04 00:00:00',4,4,11,2010,'F','N','VILA NOVA','FRANCISCO BELTRÃO','PR','116162161217271411439912575122610164012',4390,'9998',58.86,1,3,NULL),(25,6189016,'1991-12-23 00:00:00',4,3,12,2009,'M','N','VILA MARIANA','S PAULO','SP','125252251216472431489912572122610167112',631,'9998',76.51,1,3,NULL),(25,6189032,'1993-06-15 00:00:00',2,15,11,2010,'M','N','LIVRAMENTO','TURVO','SC','124242248215131531336716262122610137042',15911,'813',42.29,1,3,NULL),(25,6189059,'1993-10-15 00:00:00',2,15,12,2010,'F','N','CENTRO','JACINTO MACHADO','SC','124242241216371331438819575124610147142',3271,'970',64.00,1,3,NULL),(25,6189067,'1993-05-13 00:00:00',4,1,11,2010,'F','N','BOSQUE DAS MANSÕES','S JOSÉ','SC','124242241217111711469933575122610124142',3761,'270',61.94,1,3,NULL),(25,6189083,'1982-03-26 00:00:00',2,1,12,1997,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124253251326144411126744245124233228097',19589,'9998',35.60,1,3,NULL),(25,6189091,'1992-01-07 00:00:00',4,6,12,2008,'F','N','PORTAL DA FOZ','FOZ IGUAÇU','PR','116161161416572731437432575122141064126',5972,'9998',56.37,1,3,NULL),(25,6189105,'1993-05-20 00:00:00',4,8,12,2010,'F','N','PERDIZES','S PAULO','SP','125252258216111432558924371125610142092',NULL,'9998',0.00,1,3,NULL),(25,6189113,'1981-10-06 00:00:00',2,1,12,2004,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241161111271421124444341314610117042',NULL,'9999',28.69,1,2,1),(25,6189121,'1992-08-30 00:00:00',4,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124241241227132431433411245124231467032',7934,'262',52.46,1,3,NULL),(25,6189130,'1993-07-30 00:00:00',4,17,12,2010,'F','N','CENTRO','PAPANDUVA','SC','124241161215111431359814594122610167092',5026,'9998',58.01,1,3,NULL),(25,6189156,'1991-11-28 00:00:00',4,1,12,2008,'M','N','ALTO DA GLORIA','CURITIBA','PR','116162161215571711348667575122140967162',1755,'9998',69.21,1,3,NULL),(25,6189172,'1993-05-15 00:00:00',4,1,12,2010,'M','N','FERRAZ','GAROPABA','SC','124201241145131431326621245125610122097',18486,'322',37.94,1,2,1),(25,6189180,'1987-10-22 00:00:00',2,1,7,2009,'M','N','DOS ESPORTES','XANXERÊ','SC','124241247327131411116344372314230837072',20645,'9999',32.60,1,3,NULL),(25,6189199,'1953-01-25 00:00:00',3,1,12,1974,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241243126152411114441212124132226187',NULL,'518',21.67,1,2,1),(25,6189202,'1991-09-29 00:00:00',4,1,12,2009,'M','N','PLANALTO PAULISTA','S PAULO','SP','125252251216471431346824485122610117042',NULL,'9998',0.00,1,3,NULL),(25,6189210,'1993-08-02 00:00:00',4,15,12,2010,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241115131411323416375122610117145',NULL,'30',19.69,1,3,NULL),(25,6189229,'1990-03-14 00:00:00',2,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243246417143411333614142122610117052',18374,'272',38.16,1,3,NULL),(25,6189237,'1993-02-28 00:00:00',2,1,11,2009,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','109093091116471431633332285124610116197',19151,'9998',36.65,4,3,NULL),(25,6189245,'1993-04-18 00:00:00',4,1,12,2010,'M','N','CENTRO','LARANJEIRAS SUL','PR','116162161217111431566933575124610138186',17,'9998',88.01,1,3,NULL),(25,6189253,'1993-10-23 00:00:00',2,4,12,2010,'F','N','PARQUE MONJOLO','FOZ IGUAÇU','PR','116161161116371731326319572322610117042',NULL,'9998',0.00,1,2,1),(25,6189270,'1990-11-16 00:00:00',2,4,12,2007,'M','N','FRAGOSOS','CONCÓRDIA','SC','124241246117141431448933345113133237052',NULL,'196',17.89,1,2,1),(25,6189288,'1992-06-04 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241117371731423314582122610124077',NULL,'1116',17.13,1,2,1),(25,6189296,'1993-07-29 00:00:00',2,1,12,2009,'F','N','CENTRO','PATO BRANCO','PR','116241241117373431168933595124240232143',12426,'122',41.13,1,2,1),(25,6189300,'1991-02-12 00:00:00',2,1,12,2008,'F','N','LIBERDADE','CONCÓRDIA','SC','124241241115575431335679471114610122157',18508,'192',33.62,1,2,1),(25,6189334,'1990-08-02 00:00:00',4,1,12,2007,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124122121217474411569933235122231464042',5504,'9998',59.76,1,3,NULL),(25,6189350,'1986-10-30 00:00:00',2,1,12,2003,'F','N','CAMPINAS','S JOSÉ','SC','124111111126141421124544245134610164187',NULL,'9998',29.44,1,2,1),(25,6189369,'1993-01-21 00:00:00',4,1,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215271431468712495112610167012',NULL,'44',0.00,1,3,NULL),(25,6189377,'1993-09-30 00:00:00',4,6,12,2010,'M','N','SERRARIA DO ROCHA','PARANAGUÁ','PR','116161161216271231333319375111610114047',NULL,'9998',0.00,1,3,NULL),(25,6189385,'1993-04-18 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124281241115371411335829582124610117012',17642,'307',35.88,1,2,1),(25,6189393,'1990-11-19 00:00:00',2,2,12,2007,'F','N','VOLTA GRANDE','RIO NEGRINHO','SC','124241241315575431639712575122131524142',6437,'666',56.10,1,3,NULL),(25,6189407,'1990-08-16 00:00:00',4,1,12,2008,'M','N','NOVA SÃO JOÃO','S JOÃO B VISTA','SP','125252251215571431537831575122610162142',NULL,'9998',0.00,1,3,NULL),(25,6189423,'1984-05-07 00:00:00',4,1,12,2005,'F','N','SANTOS DUMONT','S JOSÉ','SC','124243247647571431321329445334610122147',NULL,'9999',19.43,1,3,NULL),(25,6189431,'1991-09-30 00:00:00',4,4,12,2008,'M','N','CENTRO','NOVA P IGUAÇU','PR','116161161115571431446932275122610162097',3797,'9998',61.39,1,2,1),(25,6189440,'1993-01-26 00:00:00',2,9,12,2010,'F','N','JARDIM DAS CAMELIAS','LAGES','SC','124241241215111431449933575122610163147',NULL,'1207',10.56,1,3,NULL),(25,6189458,'1992-02-07 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472451569829572124610137141',9818,'1169',49.09,1,3,NULL),(25,6189482,'1993-09-07 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241415231531333311275114610134057',21310,'257',29.41,1,3,NULL),(25,6189490,'1990-08-02 00:00:00',4,1,12,2007,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124122121215474411569913235122231444142',5755,'9998',59.24,1,3,NULL),(25,6189504,'1976-12-08 00:00:00',4,1,12,1996,'M','N','JD HELENA','S PAULO','SP','125251251127133411444411345124610112142',16535,'9998',35.98,1,2,1),(25,6189512,'1993-07-30 00:00:00',4,4,12,2010,'M','N','LÍDER','CHAPECÓ','SC','124242241215111432369813575122610121071',14704,'168',40.41,1,3,NULL),(25,6189520,'1991-07-17 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241215143731549834385124221464067',4452,'995',62.13,1,3,NULL),(25,6189555,'1990-12-13 00:00:00',4,1,12,2008,'F','N','CENTRO','ROSÁRIO SUL','RS','120201201217571411443416375114610135187',16873,'9998',37.50,1,3,NULL),(25,6189563,'1992-02-22 00:00:00',4,1,11,2009,'F','N','CENTRO','ERECHIM','RS','120201201216133431438633572124221423097',5061,'9998',56.34,3,3,NULL),(25,6189580,'1993-03-07 00:00:00',4,2,12,2010,'M','N','CENTRO','POMERODE','SC','124243241215112431438764575125610167041',5253,'624',58.45,1,3,NULL),(25,6189610,'1991-10-16 00:00:00',2,17,11,2008,'F','N','CENTRO','MTE CASTELO','SC','124241248331572421433823571124610136172',8260,'541',52.40,1,3,NULL),(25,6189636,'1993-08-15 00:00:00',2,4,11,2010,'M','N','CENTRO','CHAPECÓ','SC','124242241215471431469614572112610137142',3328,'185',63.01,1,3,NULL),(25,6189644,'1994-03-31 00:00:00',4,1,12,2010,'F','N','PRAIA DE FORA','PALHOÇA','SC','124242241215161532569613572124610142142',NULL,'1175',30.36,1,3,NULL),(25,6189652,'1990-01-20 00:00:00',2,1,12,2007,'M','N','CENTRO','AUGUSTO PESTANA','RS','120201201116571411435831595125610167057',3558,'9998',61.92,1,2,1),(25,6189660,'1991-04-10 00:00:00',2,9,11,2010,'M','N','CENTRO','LAGES','SC','124242241215111431449813572122610124147',NULL,'1106',18.74,1,3,NULL),(25,6189687,'1993-04-23 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215112431358823575122610125142',3968,'723',62.26,1,3,NULL),(25,6189695,'1990-04-04 00:00:00',2,1,12,2007,'M','N','PARQUE DA FIGUEIRA','PAULÍNIA','SP','125254251216572431476612575122610137042',NULL,'9998',38.57,3,3,NULL),(25,6189709,'1993-04-11 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124244241215111411436334375112610126147',8825,'737',49.77,1,3,NULL),(25,6189717,'1990-04-04 00:00:00',4,1,10,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217575431438714576124610145147',23,'807',87.47,1,3,NULL),(25,6189725,'1993-01-23 00:00:00',4,6,12,2009,'M','N','CENTRO','URUGUAIANA','RS','120204201217371411468819175122610127057',NULL,'9998',36.36,1,3,NULL),(25,6189733,'1991-09-16 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241217373431346313385124121117052',4036,'299',61.78,1,3,NULL),(25,6189741,'1989-02-28 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241116573411435611375122610138097',11596,'9997',44.87,1,3,NULL),(25,6189768,'1984-12-14 00:00:00',4,1,11,2010,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','124243241127131331436614145123610122057',NULL,'9999',0.00,1,3,NULL),(25,6189776,'1987-05-18 00:00:00',4,1,12,2004,'F','N','CAMPINAS','S JOSÉ','SC','124242241237273431238923495124233265037',8183,'1022',54.56,1,3,NULL),(25,6189784,'1993-02-10 00:00:00',4,10,11,2010,'M','N','SÃO FRANCISCO','BENTO GONÇALVES','RS','120202201215111431466712575122610147062',NULL,'9998',0.00,1,3,NULL),(25,6189792,'1994-10-26 00:00:00',4,1,12,2011,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111752669811572122610168185',NULL,'1133',57.99,1,3,NULL),(25,6189806,'1992-07-29 00:00:00',4,8,12,2009,'F','N','BARÃO GERALDO','CAMPINAS','SP','125252251217471711458912575122610133012',3003,'9998',63.78,4,3,NULL),(25,6189814,'1959-06-14 00:00:00',2,4,12,1998,'M','N','BELA VISTA','ITAPIRANGA','SC','124161167124151451222143231123341666042',16637,'9998',41.18,4,3,NULL),(25,6189822,'1992-02-27 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224203241117141431226654345124610116142',NULL,'9997',19.27,1,3,NULL),(25,6189849,'1990-07-02 00:00:00',4,2,11,2007,'F','N','SANTA TEREZINHA','GASPAR','SC','124242241215471431685432575122133244046',6198,'1137',55.21,1,3,NULL),(25,6189857,'1992-10-24 00:00:00',2,1,12,2010,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242248117131431433419395124610114142',12533,'306',43.66,1,3,NULL),(25,6189873,'1991-02-26 00:00:00',2,2,12,2008,'M','N','VICTOR KONDER','BLUMENAU','SC','124161161117573441559933572124232462037',3697,'9998',64.07,1,2,1),(25,6189881,'1972-05-23 00:00:00',2,1,7,2008,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','224243247416211751552252371112610127182',NULL,'269',0.00,1,3,NULL),(25,6189903,'1989-05-29 00:00:00',2,1,12,2006,'M','N','LINDÓIA','FARROUPILHA','RS','120201201116471421446923485114141417187',18139,'9998',31.87,1,2,1),(25,6189911,'1994-08-13 00:00:00',4,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124242241217111431356933575114610117052',12784,'1022',46.95,1,3,NULL),(25,6189920,'1991-02-16 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124246241115153421348714442114610122145',7780,'271',55.25,1,3,NULL),(25,6189938,'1990-10-29 00:00:00',2,1,12,2007,'F','N','TERESÓPOLIS','ÁGUAS MORNAS','SC','124241241117372431433632575124133225147',4387,'978',59.96,1,2,1),(25,6189946,'1991-03-14 00:00:00',2,4,12,2008,'M','N','JARDIM ITALIA','FRANCISCO BELTRÃO','PR','116161161116271451436312445122140621093',NULL,'9998',0.00,1,3,NULL),(25,6189954,'1993-07-11 00:00:00',4,9,11,2010,'M','N','CENTRO','RIO SUL','SC','124241241315111431356614575122610164062',1529,'991',70.32,1,3,NULL),(25,6189962,'1991-12-08 00:00:00',2,1,11,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431234623435122610167185',NULL,'1133',23.67,1,3,NULL),(25,6189970,'1993-10-26 00:00:00',4,2,12,2010,'M','N','CENTRO','BLUMENAU','SC','124242241216372431467914574121610127042',7220,'909',53.83,1,3,NULL),(25,6189989,'1991-11-29 00:00:00',2,1,12,2008,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241116341231323814345124610118142',21282,'64',29.54,1,3,NULL),(25,6189997,'1980-08-06 00:00:00',3,1,12,1997,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241116155221456322435114522262197',12791,'307',46.94,1,2,1),(25,6190006,'1994-02-01 00:00:00',4,4,12,2010,'F','N','SÃO CRISTÓVÃO','CONCÓRDIA','SC','124241241136141431333964245124610121192',20234,'192',33.96,1,2,1),(25,6190014,'1989-07-13 00:00:00',4,17,12,2007,'M','N','CENTRO','MAFRA','SC','124241241216474731436911494125241167012',NULL,'541',30.49,1,3,NULL),(25,6190022,'1991-11-08 00:00:00',4,4,12,2008,'M','N','SÃO CRISTÓVÃO','CASCAVEL','PR','116162161215572442438614475112610137052',376,'9998',78.68,1,3,NULL),(25,6190030,'1992-10-06 00:00:00',4,17,11,2009,'F','N','ALTO DA XV','CURITIBA','PR','116242161216371431458924572122610113012',6149,'9998',54.51,1,3,NULL),(25,6190065,'1990-10-25 00:00:00',4,8,12,2008,'M','N','BAEPENDI','JARAGUÁ SUL','SC','124241241136371431245624345113610132147',12233,'438',47.79,1,3,NULL),(25,6190073,'1992-08-04 00:00:00',4,5,11,2009,'M','N','CENTRO','PTO ALEGRE','RS','120202201215471431559933595124610137042',2753,'9998',65.55,1,3,NULL),(25,6190081,'1992-07-29 00:00:00',2,1,12,2009,'F','N','SANTO ANTÔNIO','FRAIBURGO','SC','124243241216472431239834575124610124017',10778,'317',45.34,1,3,NULL),(25,6190090,'1993-01-05 00:00:00',4,1,12,2010,'F','N','BELA VISTA','PALHOÇA','SC','124242241215111431443933572124610164187',NULL,'1022',16.98,1,3,NULL),(25,6190103,'1988-08-01 00:00:00',2,10,12,2005,'M','N','CENTRO','ANASTÁCIO','MS','112123121217572431436821576122610117052',694,'9998',75.36,1,3,NULL),(25,6190138,'1992-08-01 00:00:00',4,1,12,2009,'M','N','N SRA DE FATIMA','AMERICANA','SP','125252251215471711458813575122610147097',8490,'9998',50.18,1,3,NULL),(25,6190146,'1991-01-17 00:00:00',2,8,11,2008,'F','N','PORTÃO','CURITIBA','PR','116162161235572431466614572124610167147',8374,'9998',50.91,1,3,NULL),(25,6190154,'1992-04-13 00:00:00',2,4,12,2008,'M','N','POVOADO DEBONI','S VALENTIM','RS','120201201217372451537419572124141434047',1448,'9998',70.87,1,3,NULL),(25,6190162,'1994-02-22 00:00:00',4,8,12,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215111711446824575124610148142',19929,'1063',34.79,1,3,NULL),(25,6190170,'1993-06-08 00:00:00',4,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124244241115371431346413575124610127147',19446,'734',32.53,1,3,NULL),(25,6190189,'1989-01-25 00:00:00',2,1,12,2007,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241115372451325579445124610168067',13509,'288',42.15,1,2,1),(25,6190197,'1992-01-02 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215472431449931575122610166012',1970,'210',68.67,1,3,NULL),(25,6190219,'1990-01-08 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124241241317475431345611574124230412182',5355,'237',60.07,1,3,NULL),(25,6190227,'1993-08-12 00:00:00',2,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124242241215111411454633575122610122072',18500,'976',37.92,1,3,NULL),(25,6190243,'1987-12-26 00:00:00',2,5,11,2005,'M','N','PRÓSPERA','CRICIÚMA','SC','124241241136271411425314442134610161172',19322,'209',36.22,1,2,1),(25,6190260,'1991-09-07 00:00:00',4,1,12,2009,'F','N','CENTRO','SERAFINA CORRÊA','RS','120203201117471431446613371122610146147',4421,'9998',59.26,1,3,NULL),(25,6190278,'1990-08-16 00:00:00',4,4,12,2007,'F','N','ZONA SETE','MARINGÁ','PR','116164161216572451449923575122141533057',5496,'9998',56.58,1,3,NULL),(25,6190286,'1985-08-22 00:00:00',2,15,12,2003,'M','N','POLICIA RODOVIARIA','ARARANGUÁ','SC','124241248124131731226414242323610117047',19984,'30',30.61,1,2,1),(25,6190294,'1993-05-14 00:00:00',2,9,11,2010,'M','N','MARTORANO','S JOAQUIM','SC','124242241214271451578632575115610164032',NULL,'721',0.00,1,3,NULL),(25,6190308,'1990-12-07 00:00:00',2,9,12,2008,'F','N','TRES PEDRINHAS','S JOAQUIM','SC','124241247117141431425628495325610118187',NULL,'719',15.23,1,3,NULL),(25,6190324,'1990-08-14 00:00:00',2,4,12,2007,'F','N','CENTRO','STA MARIA','RS','120241241111573431438613372124610166142',15412,'572',43.04,1,3,NULL),(25,6190332,'1995-09-20 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431457732575124610128017',NULL,'270',30.37,1,3,NULL),(25,6190340,'1990-05-22 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124213211117471431326639575124610166172',14598,'9998',44.30,1,3,NULL),(25,6190359,'1994-07-26 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215151712348813575125610128141',NULL,'1050',45.23,1,3,NULL),(25,6190375,'1993-11-22 00:00:00',2,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242248215111731347613495124610122146',NULL,'1050',25.22,1,3,NULL),(25,6190383,'1992-08-04 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241217111441479933575124610126176',6473,'262',57.48,1,3,NULL),(25,6190391,'1992-12-14 00:00:00',4,10,11,2010,'M','N','CENTRO','GRAVATAL','SC','124242241215111752438714575125610117017',18902,'809',37.12,1,3,NULL),(25,6190405,'1992-11-03 00:00:00',2,5,12,2009,'F','N','SANTA BARBARA','CRICIÚMA','SC','124241241115272731623631342124610122142',NULL,'209',32.22,1,2,1),(25,6190413,'1992-09-28 00:00:00',4,8,12,2010,'M','N','JARAGUA ESQUERDO','JARAGUÁ SUL','SC','124242241415111431468711572122610167047',20078,'1174',31.24,1,3,NULL),(25,6190421,'1992-08-08 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241212132431542413192114610166142',13620,'737',42.58,1,3,NULL),(25,6190430,'1992-10-22 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','125242251215111511479811575125610167125',2,'9998',90.78,1,3,NULL),(25,6190448,'1993-03-19 00:00:00',2,4,12,2009,'F','N','CENTRO','FREDERICO WESTPHALEN','RS','120201201111471431433632575122610162187',14810,'9998',38.21,1,2,1),(25,6190456,'1991-11-08 00:00:00',4,1,12,2009,'F','N','MIRANDOPOLIS','S PAULO','SP','125252251217471431448933575124610163072',6053,'9998',53.69,1,3,NULL),(25,6190464,'1993-03-20 00:00:00',4,1,12,2010,'F','N','GUANABARA','FRANCISCO BELTRÃO','PR','116161161115371431526619195122610161147',NULL,'9998',27.32,1,2,1),(25,6190499,'1993-09-04 00:00:00',2,8,11,2010,'M','N','ATIRADORES','JOINVILLE','SC','124242241211111431589831575112610127052',3949,'457',60.25,1,3,NULL),(25,6190502,'1993-02-19 00:00:00',4,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241235152431538823594122610122147',6639,'737',55.61,1,3,NULL),(25,6190529,'1993-04-15 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242241317271531236924275124610168037',NULL,'734',32.90,1,3,NULL),(25,6190537,'1993-12-11 00:00:00',2,1,12,2010,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241112271431424516362114610117071',18863,'21',31.46,1,2,1),(25,6190545,'1993-07-29 00:00:00',4,1,12,2010,'M','N','MEIRELES','FORTALEZA','CE','106062061216121431388814574122610132032',151,'9998',81.80,1,3,NULL),(25,6190553,'1994-03-09 00:00:00',4,3,12,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241215371431559912575122610167042',3041,'403',64.36,1,3,NULL),(25,6190561,'1993-09-08 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','624242248215111731226619575124610167187',NULL,'738',25.73,1,3,NULL),(25,6190570,'1993-07-03 00:00:00',2,10,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124243241226131431533332575122610126142',12452,'524',42.98,1,3,NULL),(25,6190588,'1988-11-06 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124051241115273431634739345124610134187',19090,'733',36.77,4,2,1),(25,6190596,'1993-08-24 00:00:00',4,1,12,2010,'M','N','VILA CANEVARI','CRUZEIRO','SP','125252251216111312589914575112610147042',NULL,'9998',0.00,1,3,NULL),(25,6190600,'1992-01-16 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÔES','FLORIANÓPOLIS','SC','124242241215372431448831572114610137185',4561,'1022',60.54,1,3,NULL),(25,6190626,'1990-08-03 00:00:00',2,8,12,2007,'F','N','VILA ESTRELA','PNT GROSSA','PR','116161165236372431448814475122143262092',NULL,'9998',24.10,1,3,NULL),(25,6190634,'1988-05-08 00:00:00',4,3,12,2005,'M','N','ZONA SETE','MARINGÁ','PR','116052091216571751246612195112140667147',1222,'9998',70.69,3,3,NULL),(25,6190642,'1992-01-09 00:00:00',4,1,12,2010,'M','N','CENTRO','CAÇADOR','SC','124244241415151431248923575112610144072',NULL,'119',0.00,1,3,NULL),(25,6190650,'1993-03-10 00:00:00',2,4,12,2010,'F','N','BELA VISTA','ERECHIM','RS','120204201115271731633624445122610144142',NULL,'9998',16.04,1,3,NULL),(25,6190685,'1993-05-02 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124244248215112431448819575124610116122',NULL,'1118',33.27,1,3,NULL),(25,6190693,'1993-03-03 00:00:00',2,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124241241116271431446933575124610117042',19875,'734',29.12,2,1,1),(25,6190707,'1993-05-06 00:00:00',4,1,12,2010,'F','N','JURERE','FLORIANÓPOLIS','SC','124242241215371411238549595124610166181',8206,'262',54.52,1,3,NULL),(25,6190715,'1993-04-12 00:00:00',2,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241215111431438833492122610133077',10886,'497',46.63,1,3,NULL),(25,6190723,'1993-07-19 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241235121431466913235122610167082',13608,'1022',45.77,1,3,NULL),(25,6190731,'1993-04-27 00:00:00',2,4,12,2010,'F','N','NITEROI','SEARA','SC','124241241115371731313419492122610138147',NULL,'763',20.28,1,2,1),(25,6190740,'1990-12-08 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244247616371441128923245124130262092',10060,'9999',47.91,4,3,NULL),(25,6190774,'1953-02-27 00:00:00',2,1,12,1971,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224251251127141421443449495134342338122',NULL,'9998',0.00,1,3,NULL),(25,6190782,'1993-08-27 00:00:00',2,1,12,2010,'F','N','FUNDOS','BIGUAÇU','SC','124241241117271411328934592124610124147',NULL,'65',19.13,1,3,NULL),(25,6190790,'1991-01-28 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124111111242573431545631272324131467072',2983,'9998',64.18,3,3,NULL),(25,6190804,'1993-01-12 00:00:00',2,10,12,2010,'F','N','MATO ALTO','LAGUNA','SC','124242241225131431425623372124610127147',15375,'524',38.26,1,3,NULL),(25,6190812,'1991-08-20 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241112473121436824485114610132197',NULL,'295',25.38,1,3,NULL),(25,6190839,'1993-11-30 00:00:00',4,8,11,2010,'F','N','BOM RETIRO','JOINVILLE','SC','124241241217131432223226472124610164057',10629,'1105',45.01,1,3,NULL),(25,6190847,'1993-08-20 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431477632574122610127092',7343,'270',52.95,1,3,NULL),(25,6190855,'1988-12-26 00:00:00',4,1,12,2005,'M','N','ROCADO','S JOSÉ','SC','124241241116275441346621345124330867067',10500,'726',50.47,4,2,1),(25,6190863,'1989-10-04 00:00:00',2,1,12,2005,'M','N','AREAL','PELOTAS','RS','120201201117111431118812115114610112041',NULL,'9998',0.00,1,2,1),(25,6190871,'1993-07-03 00:00:00',2,10,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124243241226131431533332575122610121142',15783,'524',38.74,1,3,NULL),(25,6190880,'1992-11-16 00:00:00',4,16,11,2009,'F','N','CENTRO','FRAIBURGO','SC','124242241215152431338822575124231468052',8441,'885',49.90,1,3,NULL),(25,6190898,'1991-12-05 00:00:00',2,5,11,2009,'M','N','PIO CORRÊA','CRICIÚMA','SC','124242241215473531428831575122610117047',17000,'211',35.12,1,3,NULL),(25,6190901,'1994-08-13 00:00:00',4,1,12,2011,'M','S','CENTRO','S JOÃO BATISTA','SC','124242241215111431459932575114610165122',NULL,'270',34.67,1,3,NULL),(25,6190910,'1991-04-02 00:00:00',2,3,11,2008,'M','N','DOM FELICIANO','GRAVATAÍ','RS','120202201211572451448831591144610162047',560,'9998',76.79,1,3,NULL),(25,6190928,'1993-09-27 00:00:00',2,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124244241215111431238624575124610114057',15110,'1022',40.14,1,3,NULL),(25,6190936,'1993-05-07 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122731668833475122610122123',5830,'1169',59.12,1,3,NULL),(25,6190944,'1993-08-15 00:00:00',2,4,11,2010,'M','N','CENTRO','PATO BRANCO','PR','116162161215271731456812275122610117067',NULL,'9998',0.00,1,3,NULL),(25,6190952,'1993-08-09 00:00:00',4,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241116471432523514275124610122017',6354,'727',54.61,1,2,1),(25,6190960,'1993-05-26 00:00:00',4,1,12,2010,'F','N','CENTRO','FORTALEZA VALOS','RS','120203201216161412536933575124610165192',NULL,'9998',31.66,1,3,NULL),(25,6190987,'1992-02-18 00:00:00',4,1,12,2009,'F','N','ÁGUA BRANCA','S PAULO','SP','125252251216371431348924574125610122093',NULL,'9998',0.00,1,3,NULL),(25,6190995,'1992-08-12 00:00:00',4,1,11,2010,'M','N','JARDIM DOS PRÍNCIPES','UMUARAMA','PR','116162161217111431578339495125610167057',NULL,'9998',0.00,1,3,NULL),(25,6191002,'1991-03-22 00:00:00',4,1,12,2008,'M','N','JARDIM AEROPORTO','MATÃO','SP','125252251211572431448833572122610137042',2906,'9998',63.82,1,3,NULL),(25,6191029,'1993-01-19 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124243241416111431358734575114610144061',11150,'1118',45.08,1,3,NULL),(25,6191037,'1994-04-22 00:00:00',2,16,12,2010,'F','N','CENTRO','LEBON RÉGIS','SC','124241241215111431446623575122610127077',14093,'1124',40.59,1,3,NULL),(25,6191045,'1990-03-12 00:00:00',2,5,12,2007,'F','N','VILA NOVA','NOVO HAMBURGO','RS','120203201215471711447534471112140262142',NULL,'9998',0.00,1,3,NULL),(25,6191053,'1992-02-26 00:00:00',4,3,12,2010,'F','N','VIAL REAL','BAL CAMBORIÚ','SC','124243247225131431316614482325610147147',NULL,'967',12.16,1,3,NULL),(25,6191061,'1993-06-06 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431466632584122610127052',1609,'262',70.83,1,3,NULL),(25,6191070,'1993-11-08 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215122731437631596325610123075',11836,'270',47.37,1,3,NULL),(25,6191088,'1993-09-10 00:00:00',2,4,12,2010,'M','N','CENTRO','ERECHIM','RS','120201201115471431426612175124610164057',9088,'9998',48.62,1,2,1),(25,6191096,'1992-11-30 00:00:00',2,5,11,2009,'F','N','CENTRO','NOVA VENEZA','SC','124242241215373431468811575124610142147',11776,'226',48.52,1,3,NULL),(25,6191100,'1991-05-16 00:00:00',2,1,12,2008,'M','N','AREIAS','S JOSÉ','SC','124201201117231231425619492124610137092',NULL,'9998',39.34,4,2,1),(25,6191118,'1970-05-18 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','524241247127141432423344242334610128147',NULL,'9999',0.00,1,2,1),(25,6191126,'1991-11-22 00:00:00',4,1,12,2009,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241217372411568829572122121434182',756,'262',75.27,1,3,NULL),(25,6191134,'1989-08-16 00:00:00',4,1,12,2006,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124243241116152451633614345121610112037',15222,'65',43.37,1,3,NULL),(25,6191150,'1990-03-21 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215273421326839495122610167057',8811,'270',53.38,1,3,NULL),(25,6191169,'1993-08-30 00:00:00',2,1,12,2010,'F','N','CENTRO','S GABRIEL OESTE','MS','112122121215121431448932494124610131147',1261,'9998',70.46,1,3,NULL),(25,6191177,'1993-03-31 00:00:00',2,4,12,2010,'F','N','SALTO OSÓRIO','QUEDAS IGUAÇU','PR','116161161117131731526614575124610164077',16941,'9998',36.12,1,2,1),(25,6191215,'1994-11-28 00:00:00',4,16,12,2011,'M','S','CENTRO','FRAIBURGO','SC','124242241215111712338822575115610137042',NULL,'885',37.40,1,3,NULL),(25,6191223,'1991-10-22 00:00:00',4,1,12,2009,'M','N','JARDIM EUROPA','SOROCABA','SP','125251251115471711366823575122610141182',NULL,'9998',0.00,1,2,1),(25,6191240,'1993-04-22 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431438714575124610137142',996,'807',73.84,1,3,NULL),(25,6191258,'1993-02-05 00:00:00',4,1,12,2009,'F','N','SÃO MIGUEL','CRUZ ALTA','RS','120201201117372431329824571325610125037',7815,'9998',51.89,1,2,1),(25,6191266,'1993-09-07 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241215111431557632575122610137175',8021,'1119',50.88,1,3,NULL),(25,6191282,'1989-08-22 00:00:00',4,1,12,2007,'F','N','NOVA CAMPINAS','CAMPINAS','SP','125252251217272411466812415122140461094',NULL,'9998',0.00,1,3,NULL),(25,6191304,'1993-09-02 00:00:00',4,5,11,2010,'M','N','SANTA BARBARA','CRICIÚMA','SC','124242241216111421365914574112610168112',11761,'226',44.90,1,3,NULL),(25,6191312,'1992-01-06 00:00:00',4,6,12,2009,'F','N','CENTRO','NAVEGANTES','SC','124242241215472431359911575122610166012',2045,'392',68.26,1,3,NULL),(25,6191320,'1991-07-01 00:00:00',4,1,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116162161217571451468712175122610161147',6730,'9998',53.76,1,3,NULL),(25,6191339,'1991-01-18 00:00:00',4,1,11,2008,'M','N','SAN CONRADO','CAMPINAS','SP','125252251217571711418818584122610134092',16347,'9998',35.63,1,3,NULL),(25,6191347,'1992-09-25 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241211273411356822224124231012172',12686,'1118',47.09,1,3,NULL),(25,6191355,'1992-06-15 00:00:00',4,1,12,2009,'M','N','CENTRO','SERTANÓPOLIS','PR','116162251235472411468932571122610127042',2425,'9998',66.11,1,3,NULL),(25,6191363,'1991-12-23 00:00:00',4,8,12,2009,'M','N','ALTO DA GLÓRIA','CURITIBA','PR','116244241215472751186634175124610162077',3453,'486',62.67,1,3,NULL),(25,6191371,'1983-10-16 00:00:00',4,1,12,2001,'F','N','CERQUEIRA CÉSAR','S PAULO','SP','125252251216471431466632375122342164092',2679,'9998',64.54,1,3,NULL),(25,6191380,'1989-03-22 00:00:00',2,15,12,2006,'M','N','COLONINHA','ARARANGUÁ','SC','124241241116132721335331445113610124065',16361,'29',41.06,1,2,1),(25,6191398,'1992-12-01 00:00:00',4,1,7,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124281281417271431545511195124610126142',9959,'9998',49.10,1,3,NULL),(25,6191401,'1991-02-17 00:00:00',4,1,12,2008,'M','N','JD GUARAPUAVA','FOZ IGUAÇU','PR','116162161217571412469822271144610164176',2672,'9998',65.26,1,3,NULL),(25,6191410,'1988-07-25 00:00:00',4,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215574431456831435124233222057',5570,'1011',57.80,1,3,NULL),(25,6191428,'1992-11-04 00:00:00',4,4,12,2009,'F','N','CENTRO','PANAMBI','RS','120201201116471411437939475112610125091',5361,'9998',56.83,1,2,1),(25,6191436,'1991-06-08 00:00:00',4,1,12,2008,'M','N','SETOR OESTE','GOIÂNIA','GO','109092091235572751588813575112610127046',1951,'9998',67.66,1,3,NULL),(25,6191444,'1992-04-25 00:00:00',2,1,10,2009,'F','N','CENTRO','STO ANTÔNIO MISSÕES','RS','120201201217471731536923471112610137057',16335,'9998',37.11,1,3,NULL),(25,6191452,'1988-06-28 00:00:00',4,1,12,2005,'M','N','ARIRIÚ','PALHOÇA','SC','124241248111273731546613481124230827042',20131,'591',29.03,1,2,1),(25,6191460,'1993-05-22 00:00:00',2,15,12,2010,'M','N','SÃO JOSÉ','SOMBRIO','SC','124241242115111721223324175124610137052',6009,'690',55.06,1,2,1),(25,6191479,'1993-03-27 00:00:00',4,1,12,2010,'M','N','BELA VISTA','S JOSÉ','SC','124241241116271431335524345124610164062',15043,'307',41.89,1,2,1),(25,6191487,'1992-07-19 00:00:00',4,2,12,2009,'M','N','VILA MARIANA','S PAULO','SP','125252251115371431458934571124610167052',1367,'9998',71.95,1,3,NULL),(25,6191495,'1995-02-24 00:00:00',4,3,12,2011,'F','S','ZONA RURAL','CPO ERÊ','SC','124241241117131732423336552324610164147',NULL,'137',10.79,1,3,NULL),(25,6191509,'1993-01-17 00:00:00',4,1,12,2010,'F','N','CAIU DO CÉU','OSÓRIO','RS','120204201116371441548811575125610164147',5642,'9998',55.96,1,3,NULL),(25,6191517,'1992-12-31 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431236723372122610136142',10901,'738',46.66,1,3,NULL),(25,6191525,'1988-07-21 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215274411446719485124121467185',784,'270',75.45,1,3,NULL),(25,6191533,'1991-04-28 00:00:00',5,9,12,2008,'F','N','NOSSA SRA DE LURDES','CAMPOS NOVOS','SC','124242241216153431448615275115231448197',NULL,'270',25.76,1,3,NULL),(25,6191541,'1992-07-04 00:00:00',2,1,12,2009,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241111272531223324375214610112142',18521,'772',35.24,1,2,1),(25,6191550,'1989-11-14 00:00:00',2,1,12,2007,'M','N','SÃO FRANCISCO','CURITIBA','PR','116161161116371431333316344114142627122',10110,'9998',46.82,1,2,1),(25,6191568,'1993-11-11 00:00:00',4,1,2,2011,'M','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124242241237111411439931575122610167042',19962,'262',34.70,1,3,NULL),(25,6191576,'1993-04-12 00:00:00',4,2,12,2010,'M','N','VELHA','BLUMENAU','SC','124244241236151411458812575122610124112',3305,'87',62.83,1,3,NULL),(25,6191584,'1994-01-01 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215112431368814572122610121092',1215,'723',71.18,1,3,NULL),(25,6191606,'1989-08-30 00:00:00',4,1,12,2006,'F','N','LAGOA DOURADA','MARINGÁ','PR','116162161215571431459859372122141566147',7706,'9998',52.29,1,3,NULL),(25,6191614,'1987-11-03 00:00:00',2,1,11,2010,'M','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','124241247337141431123344141224610127042',NULL,'270',19.57,4,3,NULL),(25,6191622,'1990-12-03 00:00:00',4,5,12,2008,'M','N','RIO BRANCO','PTO ALEGRE','RS','120202201215472731459931373122610167042',2946,'9998',64.70,1,3,NULL),(25,6191630,'1992-11-26 00:00:00',2,4,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124244241435372431346613375122610138192',13396,'1000',40.80,1,3,NULL),(25,6191649,'1992-04-06 00:00:00',4,4,12,2010,'F','N','PINHEIRINHO','PATO BRANCO','PR','116161166116271451423633575124610163097',17364,'9998',33.89,1,2,1),(25,6191657,'1991-05-28 00:00:00',4,1,12,2008,'M','N','PORTÃO','CURITIBA','PR','116163161216571441456834174124610167017',4308,'9998',59.57,1,3,NULL),(25,6191665,'1994-02-17 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469614575122610142092',NULL,'270',54.83,1,3,NULL),(25,6191681,'1994-04-26 00:00:00',4,8,12,2010,'M','N','BOA VISTA','JOINVILLE','SC','124243246211111231433664575124610127057',NULL,'1105',0.00,1,3,NULL),(25,6191690,'1989-05-27 00:00:00',2,1,12,2006,'F','N','CENTRO','BIGUAÇU','SC','124242241216472421345873345124610117097',NULL,'63',23.22,1,3,NULL),(25,6191703,'1993-05-18 00:00:00',4,1,12,2010,'F','N','BNH III PLANO','DOURADOS','MS','112122121217271431335634575112610162192',NULL,'9998',42.95,4,3,NULL),(25,6191711,'1988-05-13 00:00:00',3,1,12,2005,'F','N','JARDIM SÃO JOSÉ','JACAREÍ','SP','112122121215573431568815575122610142147',700,'9998',75.39,1,3,NULL),(25,6191720,'1992-06-12 00:00:00',4,1,12,2009,'M','N','PARQUE TAQUARAL','CAMPINAS','SP','125252251217472431378614576122610167047',942,'9998',73.50,1,3,NULL),(25,6191738,'1981-11-17 00:00:00',2,1,12,2000,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241316133411345523435124133246187',19047,'270',36.84,2,1,2),(25,6191746,'1990-01-30 00:00:00',4,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124162161216574431326921575121231437087',5904,'9998',58.96,1,3,NULL),(25,6191754,'1993-11-17 00:00:00',4,8,12,2010,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124241241215111211479614375124610127053',3929,'1016',62.37,1,3,NULL),(25,6191762,'1993-04-05 00:00:00',4,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115321431523311171124610124147',NULL,'592',24.14,1,2,1),(25,6191770,'1992-08-23 00:00:00',4,8,12,2009,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241117571431546624245131610134187',4721,'430',59.02,1,2,1),(25,6191789,'1990-03-23 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241212574431539913572124122962097',3833,'1000',60.74,1,3,NULL),(25,6191797,'1988-04-03 00:00:00',4,1,12,2005,'F','N','MENINO DEUS','PTO ALEGRE','RS','120202201216571431473616575112610162182',5644,'9998',56.22,1,3,NULL),(25,6191800,'1993-12-08 00:00:00',4,15,12,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124242241215371431557614475122610136192',4331,'970',60.40,4,3,NULL),(25,6191819,'1992-10-21 00:00:00',4,9,12,2009,'M','N','CENTRO','LAGES','SC','124243241117331431423729215121610122037',21664,'500',25.85,1,3,NULL),(25,6191827,'1994-12-15 00:00:00',4,5,11,2011,'F','S','CENTRO','URUSSANGA','SC','123242241215111711428929496114610144022',NULL,'226',21.23,1,3,NULL),(25,6191835,'1991-07-09 00:00:00',4,1,12,2008,'M','N','CENTRO','BENTO GONÇALVES','RS','120202201216472431188932575124241467112',2328,'9998',68.09,1,3,NULL),(25,6191843,'1994-08-18 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111731469914575122610132187',NULL,'270',35.64,1,3,NULL),(25,6191878,'1991-03-02 00:00:00',4,1,12,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241117473431223329495211610117042',16497,'727',37.97,4,2,1),(25,6191886,'1992-07-08 00:00:00',4,8,12,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124242246217271231439619445124610117045',20277,'1105',33.83,1,3,NULL),(25,6191916,'1994-08-11 00:00:00',4,1,12,2012,'M','S','AGORNOMICA','FLORIANÓPOLIS','SC','124112248215171431368832575124610127122',NULL,'270',14.35,1,3,NULL),(25,6191924,'1987-09-10 00:00:00',4,1,11,2004,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241217141431439633345124130224057',NULL,'1118',19.46,2,3,NULL),(25,6191932,'1992-06-04 00:00:00',4,1,12,2009,'M','N','CLAUDIA','LONDRINA','PR','116162161215472732449933595122610167097',14618,'9998',38.41,1,3,NULL),(25,6191940,'1989-07-12 00:00:00',2,1,12,2006,'F','N','SERRARIA','S JOSÉ','SC','124241241116273411433434145124610135052',NULL,'257',44.47,1,2,1),(25,6191959,'1993-03-30 00:00:00',4,1,12,2010,'M','N','GIOCONDO ORSI','CPO GRANDE','MS','125122251216111231388833575122610167062',4066,'9998',60.57,1,3,NULL),(25,6191983,'1994-10-29 00:00:00',4,1,12,2011,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111732349633575112610128042',NULL,'270',41.38,1,3,NULL),(25,6192017,'1992-08-08 00:00:00',4,1,12,2009,'F','N','CENTRO','BENTO GONÇALVES','RS','120202201216571431349932575122610127142',2412,'9998',66.77,1,3,NULL),(25,6192025,'1992-12-02 00:00:00',4,8,12,2009,'M','N','JARDIM VANIA','PARANAVAÍ','PR','116163161216371451568911185122610132087',8689,'9998',50.54,1,3,NULL),(25,6192033,'1993-08-29 00:00:00',4,1,12,2010,'M','N','ESTRADINHA','PARANAGUÁ','PR','116162161216271431446632395122610132076',NULL,'9998',0.00,1,3,NULL),(25,6192041,'1991-03-28 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124244241216373431558933575122610157011',5346,'737',57.60,1,3,NULL),(25,6192050,'1989-04-13 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247137133411423624312124610167097',10742,'9999',45.87,1,2,1),(25,6192076,'1993-03-27 00:00:00',2,1,11,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241214112631384412275122610166066',15308,'262',43.23,1,3,NULL),(25,6192092,'1993-01-07 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241415472431248914575122610132071',3270,'446',63.57,1,3,NULL),(25,6192106,'1993-10-15 00:00:00',4,8,12,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','124251241137131431546614272324610136077',20022,'464',27.92,2,1,1),(25,6192114,'1993-04-26 00:00:00',2,1,12,2010,'F','N','CENTRO','CPO GRANDE','MS','112122121217111431288832575122610167142',NULL,'9998',0.00,4,3,NULL),(25,6192122,'1989-10-20 00:00:00',4,4,12,2006,'M','N','PARQUE SÃO PAULO','CASCAVEL','PR','116162161215571231366919275112610166147',2077,'9998',67.16,1,3,NULL),(25,6192149,'1992-07-29 00:00:00',2,9,12,2009,'F','N','CONTA DINHEIRO','LAGES','SC','124242241216474431458613575122610122092',1985,'1207',68.00,4,3,NULL),(25,6192157,'1993-01-16 00:00:00',2,1,12,2009,'M','N','CACHOEIRA','ARAUCÁRIA','PR','116161161115471441221174392114610167142',4544,'9998',60.19,2,1,1),(25,6192165,'1992-01-21 00:00:00',4,1,12,2009,'M','N','JARAGUÁ','PIRACICABA','SP','125251251116471411626824575224610167097',19604,'9998',29.47,1,2,1),(25,6192173,'1993-03-07 00:00:00',4,1,11,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215152441458313575122610127047',1273,'1133',72.45,1,3,NULL),(25,6192190,'1992-04-30 00:00:00',4,8,12,2009,'F','N','BATEL','CURITIBA','PR','116162161215471431536814572124610115077',NULL,'9998',0.00,1,3,NULL),(25,6192203,'1989-04-16 00:00:00',2,8,12,2006,'F','N','COLONIAL','S BENTO SUL','SC','124242241216151431339933435122531017092',20191,'974',34.09,1,3,NULL),(25,6192220,'1989-06-20 00:00:00',4,16,12,2006,'F','N','CENTRO','CURITIBANOS','SC','124241241137131431216649274325132744172',NULL,'239',0.00,1,2,1),(25,6192238,'1993-11-11 00:00:00',4,1,12,2010,'M','N','JARDIM SANTA MENA','GUARULHOS','SP','125252251215111431358832575122610161042',5152,'9998',57.36,3,3,NULL),(25,6192246,'1991-09-12 00:00:00',4,8,12,2008,'M','N','PORTÃO','CURITIBA','PR','116161161217472751448614575122610162057',1804,'9998',68.11,1,3,NULL),(25,6192254,'1992-04-02 00:00:00',4,1,12,2009,'F','N','ITAIM BIBI','S PAULO','SP','125252251217571331369914375122610122182',NULL,'9998',0.00,1,3,NULL),(25,6192262,'1993-01-25 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115371431256823575124610136142',10640,'298',46.07,4,2,1),(25,6192270,'1991-07-14 00:00:00',2,7,12,2008,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241211573751575911575124610165177',3954,'138',59.43,1,3,NULL),(25,6192289,'1977-03-22 00:00:00',5,1,6,1991,'M','N','CENTRO','FLORIANÓPOLIS','SC','624281281117131431226551385124231966181',14988,'9998',43.71,1,3,NULL),(25,6192319,'1990-06-12 00:00:00',4,1,12,2007,'F','N','ZONA TRÊS','MARINGÁ','PR','116162161216573431459814572112610166147',779,'9998',74.11,1,3,NULL),(25,6192327,'1992-11-07 00:00:00',2,1,12,2009,'M','N','CENTRO','NOVO HAMBURGO','RS','120202201217572431357832575124610126082',402,'9998',77.38,1,3,NULL),(25,6192335,'1993-04-08 00:00:00',4,3,10,2010,'M','N','ALPHAVILLE','PINHAIS','PR','116162161215111431458831495122610114122',12404,'9998',42.54,1,3,NULL),(25,6192343,'1991-09-22 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111231368863572122610134092',11709,'262',45.16,1,3,NULL),(25,6192351,'1993-01-26 00:00:00',4,3,11,2010,'M','N','CENTRO','BLUMENAU','SC','124242241217121231558314575112610137042',1914,'909',68.69,1,3,NULL),(25,6192360,'1993-06-05 00:00:00',4,8,12,2010,'M','N','COMASA','JOINVILLE','SC','124241241216151431466914575124610135197',4733,'1105',59.03,1,3,NULL),(25,6192378,'1988-01-28 00:00:00',4,1,12,2005,'F','N','ALGODOAL','PIRACICABA','SP','125251251246571411233623575112610126037',NULL,'9998',0.00,1,3,NULL),(25,6192394,'1993-09-29 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124243241311372711326923595124610128192',7571,'739',53.71,1,3,NULL),(25,6192408,'1994-01-25 00:00:00',2,4,12,2010,'F','N','JAROSESKI','DESCANSO','SC','124244241215111731346619575122610138187',16024,'1079',36.66,1,3,NULL),(25,6192424,'1993-07-08 00:00:00',4,2,11,2010,'M','N','BELCHIOR ALTO','GASPAR','SC','124244241215111231466912375124610127042',4959,'87',58.89,1,3,NULL),(25,6192432,'1992-11-14 00:00:00',4,4,12,2009,'M','N','SAIC','CHAPECÓ','SC','124241241116371731444819296112610132057',NULL,'169',0.00,1,2,1),(25,6192440,'1993-10-25 00:00:00',4,3,12,2010,'M','N','CENTRO','CURITIBA','PR','116162161216121431488819472122610167122',NULL,'9998',27.60,1,3,NULL),(25,6192459,'1990-05-19 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373411567874575125610162182',14135,'269',44.96,1,3,NULL),(25,6192467,'1992-08-11 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215471431457713574124610136172',NULL,'9997',0.00,1,3,NULL),(25,6192475,'1989-12-23 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124242241211474731458611442122230827182',14959,'737',43.75,1,3,NULL),(25,6192483,'1992-10-05 00:00:00',4,1,11,2010,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215151431458431585122610124192',19850,'988',35.03,1,3,NULL),(25,6192491,'1993-09-20 00:00:00',4,8,12,2010,'M','N','FLORESTA','JOINVILLE','SC','124242246211151431339933575122610122091',13308,'1006',41.08,1,3,NULL),(25,6192505,'1992-04-04 00:00:00',2,3,12,2009,'M','N','NAÇOES','BAL CAMBORIÚ','SC','124241242111372731323623142131610114197',17499,'129',39.75,1,2,1),(25,6192513,'1992-03-17 00:00:00',2,1,12,2009,'M','N','FAZENDA DO MAX','S JOSÉ','SC','124244241437132421448633475121610137067',13488,'1075',42.71,1,3,NULL),(25,6192521,'1993-07-20 00:00:00',4,1,12,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215121431458619575124610146172',1458,'1022',70.74,1,3,NULL),(25,6192548,'1992-05-13 00:00:00',4,1,12,2009,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124243241226473411438819575124610136197',2201,'262',67.98,1,3,NULL),(25,6192556,'1990-03-15 00:00:00',4,5,11,2007,'M','N','MICHEL','CRICIÚMA','SC','124242241217575431469912432114242012042',7560,'270',51.62,1,3,NULL),(25,6192564,'1992-02-04 00:00:00',4,1,12,2008,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124242241215574431458833575124610128187',2636,'1022',64.07,1,3,NULL),(25,6192572,'1993-02-11 00:00:00',4,1,12,2010,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241215111731428929476124610136097',11204,'1022',45.27,1,3,NULL),(25,6192580,'1992-11-11 00:00:00',4,4,12,2009,'F','N','CENTRO','JARDINÓPOLIS','SC','124241241112162431423524572214131414142',NULL,'444',24.41,1,2,1),(25,6192599,'1992-10-27 00:00:00',2,1,12,2009,'F','N','CARDOSO','S JOÃO BATISTA','SC','124241241117131411335324241321610136141',NULL,'712',25.97,1,2,1),(25,6192602,'1988-11-19 00:00:00',4,8,12,2005,'M','N','CRUZEIRO','RIO NEGRINHO','SC','124242241217571441468917574124130764192',5351,'541',60.08,1,3,NULL),(25,6192610,'1993-04-24 00:00:00',4,15,12,2009,'F','N','CENTRO','TERRA AREIA','RS','120203201117472431556313572111610125117',9943,'9998',48.22,1,3,NULL),(25,6192629,'1993-03-13 00:00:00',4,1,12,2010,'M','N','BOMBAS','BOMBINHAS','SC','124242241215111431426737571124610122097',3890,'1119',61.98,1,3,NULL),(25,6192637,'1978-05-28 00:00:00',2,1,11,1994,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124161161121473411123344441314610126182',16230,'9998',41.80,1,2,1),(25,6192645,'1992-08-27 00:00:00',4,1,12,2009,'M','N','TERESÓPOLIS','ÁGUAS MORNAS','SC','124241241117372421433314572211610127042',14955,'978',38.81,1,2,1),(25,6192661,'1993-06-24 00:00:00',2,1,12,2010,'F','N','SERTÃO DO IMARUIM','S JOSÉ','SC','124241241112371431447613384124610131017',6145,'739',55.70,1,2,1),(25,6192670,'1993-06-04 00:00:00',2,16,12,2010,'F','N','ÁGUA SANTA','CURITIBANOS','SC','124244241216111431533415355124610167042',9010,'881',49.51,1,3,NULL),(25,6192688,'1993-02-19 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241115471431221127582344610125147',NULL,'257',16.75,1,3,NULL),(25,6192696,'1979-09-27 00:00:00',2,1,12,1999,'M','N','ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC','224241241127175131223344142124610122097',17599,'291',33.47,1,2,1),(25,6192700,'1993-10-04 00:00:00',4,8,12,2010,'M','N','CENTRO','GUARAMIRIM','SC','124242241215111431359923576124610124187',11400,'441',46.06,1,3,NULL),(25,6192718,'1994-09-18 00:00:00',4,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124242241215111231456611375112610127062',14756,'723',39.91,1,3,NULL),(25,6192726,'1992-04-17 00:00:00',4,1,12,2009,'F','N','BELA VISTA','CAXIAS SUL','RS','120202201216471731479811591122610163187',12156,'9998',42.73,1,3,NULL),(25,6192734,'1993-11-27 00:00:00',2,6,12,2010,'F','N','CIDADE NOVA','ITAJAÍ','SC','124244241215211431555511341122610117077',NULL,'388',0.00,1,3,NULL),(25,6192742,'1993-06-09 00:00:00',2,3,11,2010,'F','N','JARDIM AMÉRICA','ITUPORANGA','SC','124242201215121231436612575114610163057',13639,'991',42.45,4,3,NULL),(25,6192750,'1992-04-21 00:00:00',4,1,12,2009,'F','N','FORQUILINHAS','S JOSÉ','SC','124161161116272431123819575124221767142',NULL,'9998',26.75,4,2,1),(25,6192769,'1992-03-19 00:00:00',2,3,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161211471411488934571124610124112',285,'9998',79.91,1,3,NULL),(25,6192777,'1992-10-05 00:00:00',4,4,12,2009,'F','N','URLÂNDIA','STA MARIA','RS','120241241116471411323621585124610124197',15902,'1115',37.04,1,2,1),(25,6192785,'1988-09-25 00:00:00',4,1,12,2006,'M','N','PRESIDENTE ALTINO','OSASCO','SP','125254251236471411448833585122140664192',NULL,'9998',0.00,1,3,NULL),(25,6192793,'1992-12-30 00:00:00',4,1,12,2009,'F','N','CAMPO DUNA','IMBITUBA','SC','124241241117131711325824572321610144117',NULL,'1136',40.02,1,2,1),(25,6192807,'1993-06-29 00:00:00',4,10,12,2010,'M','N','VILA NOVA','IMBITUBA','SC','124243241312131431545519592121610128042',21612,'9999',26.70,1,3,NULL),(25,6192815,'1992-05-26 00:00:00',2,1,12,2010,'F','N','CHÁCARA DAS PEDRAS','PTO ALEGRE','RS','120243201215111311449923573114610164057',7801,'9998',51.59,1,3,NULL),(25,6192823,'1992-08-22 00:00:00',2,4,12,2009,'F','N','CENTRO','S MIGUEL OESTE','SC','124241241115271731625531372122610166077',NULL,'757',13.02,1,2,1),(25,6192831,'1990-12-05 00:00:00',2,1,12,2007,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124114241215373431558813395124230267052',4654,'259',59.61,1,3,NULL),(25,6192840,'1994-06-13 00:00:00',4,1,12,2010,'M','N','CENTRO','NOVA TRENTO','SC','124241246216151431448933375122610127052',17076,'1090',36.16,1,3,NULL),(25,6192874,'1983-05-19 00:00:00',2,1,12,2000,'F','N','FORQUILHAS','S JOSÉ','SC','124241241117372421534611432114610113143',NULL,'732',29.78,1,2,1),(25,6192882,'1988-03-19 00:00:00',4,1,12,2005,'M','N','BIGORRILHO','CURITIBA','PR','116162161316574431447832575124141027017',NULL,'9998',38.50,1,3,NULL),(25,6192890,'1988-11-11 00:00:00',4,2,12,2006,'F','N','CENTRO','PTO UNIÃO','SC','624242241216571431458833575122610132017',NULL,'632',0.00,1,3,NULL),(25,6192904,'1993-05-24 00:00:00',2,4,11,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241216111431326419592122610164047',20129,'185',29.79,1,3,NULL),(25,6192912,'1993-06-23 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241146161731558619575122610137142',20553,'574',32.93,1,2,1),(25,6192920,'1992-07-31 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241242117232431436815352324610147052',8288,'960',50.57,1,2,1),(25,6192939,'1994-08-27 00:00:00',4,8,12,2011,'M','S','CENTRO','CASCAVEL','PR','116162161217111732346821474122610114087',NULL,'9998',45.83,1,3,NULL),(25,6192947,'1993-09-07 00:00:00',2,8,12,2010,'M','N','FLORESTA','JOINVILLE','SC','124242241215112432558613575112610132192',8204,'1016',51.43,1,3,NULL),(25,6192955,'1992-01-27 00:00:00',4,1,12,2009,'M','N','CENTRO','CURITIBA','PR','116162161217372731479919575115610147017',1139,'9998',72.88,1,3,NULL),(25,6192971,'1994-04-21 00:00:00',4,6,12,2010,'F','N','SÃO LUIZ','BRUSQUE','SC','124244241217111231355911575112610166142',15537,'109',42.85,1,3,NULL),(25,6192980,'1993-07-19 00:00:00',4,1,12,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215111431467813375122610118175',7925,'1168',54.95,1,3,NULL),(25,6192998,'1991-09-19 00:00:00',4,1,12,2008,'F','N','PARQUE DOS PRÍNCIPES','OSASCO','SP','125252251216571431569914575112610118147',NULL,'1039',0.00,1,3,NULL),(25,6193005,'1993-12-03 00:00:00',4,1,12,2010,'M','N','JARDIM SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215111431479613375124610122012',4902,'1022',57.85,1,3,NULL),(25,6193021,'1993-05-17 00:00:00',4,6,12,2010,'M','N','DOM BOSCO','ITAJAÍ','SC','124242244231131431426632422122610167071',10221,'494',50.96,1,3,NULL),(25,6193030,'1991-04-19 00:00:00',4,1,12,2008,'M','N','MARAMBAIA','VINHEDO','SP','125251251317371411426623371122610144174',NULL,'9998',21.67,1,3,NULL),(25,6193048,'1991-09-09 00:00:00',4,15,12,2008,'F','N','FAXINAL','TORRES','RS','120201201117272431117941415224610132077',7405,'9998',52.24,1,2,1),(25,6193056,'1990-04-11 00:00:00',4,1,8,2010,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241137272431328329585124610121052',16035,'739',37.15,1,2,1),(25,6193064,'1993-08-27 00:00:00',4,1,12,2011,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111431478812595122610167072',NULL,'262',59.16,1,3,NULL),(25,6193080,'1990-09-15 00:00:00',4,1,12,2007,'M','N','IBIRAQUERA','IMBITUBA','SC','124241241112131731424417442123610117047',18933,'1136',30.03,1,2,1),(25,6193099,'1989-12-03 00:00:00',2,1,12,2007,'F','N','ARIRIU','PALHOÇA','SC','124244241317135431425823142334610164097',8491,'1022',53.97,1,3,NULL),(25,6193102,'1993-05-07 00:00:00',4,5,11,2010,'M','N','PIO CORREA','CRICIÚMA','SC','124242241214371411458839375125610147096',1926,'211',67.89,1,3,NULL),(25,6193110,'1991-06-14 00:00:00',2,15,12,2008,'F','N','CENTRO','BAL ARROIO SILVA','SC','524241241147471431333314345124610124177',11275,'854',45.19,1,2,1),(25,6193129,'1993-12-22 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215111431458713575124610134072',21031,'1022',30.96,1,3,NULL),(25,6193137,'1991-02-04 00:00:00',2,1,12,2008,'M','N','VILA UMBÚ','SANTANA LIVRAMENTO','RS','120202201217571451568716575114610167047',14837,'9998',42.33,1,3,NULL),(25,6193153,'1993-06-13 00:00:00',2,1,11,2010,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','124242241215111431438932585124610112042',15111,'723',39.40,1,3,NULL),(25,6193161,'1992-01-29 00:00:00',4,8,11,2009,'F','N','BATEL','CURITIBA','PR','116162161217471431488813572122610115015',3789,'9998',62.12,1,3,NULL),(25,6193170,'1992-04-20 00:00:00',2,1,12,2010,'M','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241325141121426324242123610167042',NULL,'944',29.30,1,3,NULL),(25,6193188,'1993-09-21 00:00:00',4,16,12,2010,'F','N','APARECIDA','CURITIBANOS','SC','124241241115471331423511575122610118147',NULL,'239',15.83,1,2,1),(25,6193196,'1991-04-23 00:00:00',4,1,12,2008,'M','N','MENINO DEUS','PTO ALEGRE','RS','120202201216572431589813571124610167042',13410,'9998',39.61,1,3,NULL),(25,6193200,'1992-05-19 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216272431448518585124122344097',263,'1022',80.25,1,3,NULL),(25,6193218,'1991-07-11 00:00:00',4,5,11,2008,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241216573431446911575122610134147',7208,'211',53.06,1,3,NULL),(25,6193226,'1993-09-02 00:00:00',4,3,12,2010,'F','N','CENTRO','ITUPORANGA','SC','124241241416151431433612575122610128147',15832,'1173',37.18,1,3,NULL),(25,6193234,'1960-03-08 00:00:00',2,1,12,2000,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','224211211122131411354449292142332768145',NULL,'9998',18.56,4,3,NULL),(25,6193242,'1990-10-30 00:00:00',2,1,12,2007,'M','N','CENTRO','NAZÁRIO','GO','109091091215511631543632575122610162042',NULL,'9998',0.00,1,3,NULL),(25,6193250,'1993-02-18 00:00:00',4,7,12,2010,'M','N','N SENHORA DE LOURDE','CAMPOS NOVOS','SC','124241241115141431226614345125610142057',NULL,'139',23.67,1,2,1),(25,6193277,'1992-02-28 00:00:00',4,1,12,2009,'F','N','PARQUE IX DE JULHO','S ROQUE','SP','125252251215371431556612575122610161097',NULL,'9998',0.00,1,3,NULL),(25,6193285,'1994-09-21 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431448821595122610114192',NULL,'262',39.33,1,3,NULL),(25,6193293,'1992-03-30 00:00:00',2,1,12,2009,'F','N','ZONA V','UMUARAMA','PR','116161161117131721559814245112610114182',20682,'9998',26.00,1,2,1),(25,6193307,'1994-08-02 00:00:00',4,1,11,2011,'F','S','PARAISO','S PAULO','SP','125252251217111731359933575122610138015',NULL,'9998',47.45,1,3,NULL),(25,6193315,'1993-04-13 00:00:00',4,1,11,2010,'F','N','JARDIM SAVEIRO','BIGUAÇU','SC','124241241116131431321311575124610128192',NULL,'1088',0.00,4,2,1),(25,6193323,'1993-03-18 00:00:00',4,8,12,2010,'M','N','CENTRO','S BENTO SUL','SC','124242243215111431438932445122610147042',20228,'1178',27.74,1,3,NULL),(25,6193331,'1992-10-11 00:00:00',2,4,12,2009,'F','N','CENTRO','CEL DOMINGOS SOARES','PR','116161161137271731535512325122610134172',NULL,'9998',0.00,1,3,NULL),(25,6193366,'1993-06-24 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124241241217111431436631575124610167057',NULL,'300',30.09,1,3,NULL),(25,6193374,'1992-09-16 00:00:00',2,4,12,2009,'F','N','CENTRO','ERVAL GRANDE','RS','120201201126112431433314595122231462182',NULL,'9998',28.99,1,2,1),(25,6193382,'1994-05-24 00:00:00',4,1,12,2011,'M','S','MEIA PRAIA','ITAPEMA','SC','124083241417111751424632295121610164177',NULL,'403',38.82,1,3,NULL),(25,6193390,'1993-02-02 00:00:00',4,1,11,2010,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120243241217471431438823572124610123097',14698,'1075',44.16,1,3,NULL),(25,6193404,'1992-06-22 00:00:00',2,9,12,2009,'F','N','LOURDES','CAXIAS SUL','RS','120202201216472431549814575124610153147',NULL,'9998',33.91,1,3,NULL),(25,6193412,'1993-10-10 00:00:00',2,1,12,2010,'M','N','SANTA CATARINA','BIGUAÇU','SC','124241241115371731433614572124610167047',19040,'21',30.54,1,2,1),(25,6193420,'1994-08-26 00:00:00',4,10,12,2011,'F','S','CENTRO','TUBARÃO','SC','124242241215111431468931575122610134147',NULL,'807',56.02,1,3,NULL),(25,6193439,'1992-11-04 00:00:00',4,4,12,2010,'M','N','CENTRO','CHAPECÓ','SC','124242241215111431246834575122610137122',3508,'983',61.46,1,3,NULL),(25,6193447,'1992-07-02 00:00:00',2,1,12,2009,'F','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124241241115372431325331472124610127047',21658,'307',26.02,4,2,1),(25,6193455,'1993-05-29 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217271731459619295124610118092',NULL,'1118',24.22,1,3,NULL),(25,6193463,'1993-09-07 00:00:00',2,1,11,2010,'F','N','FLORESTA','S JOSÉ','SC','124242241216421431336923485122610123141',14501,'270',39.80,1,3,NULL),(25,6193471,'1991-06-21 00:00:00',2,15,12,2009,'M','N','GÁVEA','JACINTO MACHADO','SC','124241241146131131443314445121610117047',NULL,'420',21.08,1,3,NULL),(25,6193498,'1982-09-24 00:00:00',2,1,12,2000,'F','N','COSTERIA DO PIRAJUBA','FLORIANÓPOLIS','SC','124201208116271751223344442344610164071',NULL,'9998',26.94,1,3,NULL),(25,6193501,'1993-04-23 00:00:00',4,10,11,2010,'F','N','FLORESTA','BRAÇO NORTE','SC','124241241137131431225514345124610166147',NULL,'100',0.00,1,2,1),(25,6193510,'1993-08-09 00:00:00',4,1,11,2010,'F','N','SANTA CECILIA','PIRACICABA','SP','125252251216111431458833571112610144127',9034,'9998',48.96,1,3,NULL),(25,6193528,'1993-09-20 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241211111431448813475124610144052',4819,'270',58.84,1,3,NULL),(25,6193536,'1986-07-14 00:00:00',4,8,11,2003,'M','N','CENTRO','CURITIBA','PR','116162161216371731488817215122343242067',NULL,'9998',0.00,1,3,NULL),(25,6193544,'1993-02-05 00:00:00',4,3,12,2010,'M','N','ROYAL PARK','OURINHOS','SP','125252251215111431488811575122610167046',NULL,'9998',0.00,3,3,NULL),(25,6193552,'1993-10-14 00:00:00',4,8,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241217111431466934575122610124193',NULL,'441',23.78,1,3,NULL),(25,6193560,'1993-07-13 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124243241215111431333721595124610138192',17393,'1118',34.64,1,3,NULL),(25,6193579,'1994-02-17 00:00:00',2,15,12,2010,'F','N','SÃO FELIPE','TURVO','SC','124242241216122431574616572122610147147',7398,'813',52.21,1,3,NULL),(25,6193587,'1992-06-27 00:00:00',2,1,12,2010,'F','N','BELÉM NOVO','PTO ALEGRE','RS','120204207217471711658712495122610161077',20615,'9998',29.52,1,3,NULL),(25,6193595,'1993-09-29 00:00:00',4,1,12,2010,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124241241116371431336329575124610124052',9819,'307',48.43,1,2,1),(25,6193609,'1989-04-22 00:00:00',2,15,12,2006,'F','N','IGARA','CANOAS','RS','120201201417571431535311582124143237057',14585,'9998',39.26,4,3,NULL),(25,6193617,'1993-03-12 00:00:00',4,1,12,2010,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241225111431424623575124610127042',NULL,'262',28.80,1,3,NULL),(25,6193625,'1992-07-10 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117371431424414345124610117147',16731,'257',36.78,1,2,1),(25,6193633,'1993-03-24 00:00:00',2,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215372431459913435112610117042',5260,'226',60.28,1,3,NULL),(25,6193641,'1985-06-01 00:00:00',4,2,12,2002,'F','N','ASILO','BLUMENAU','SC','124241241216575451426614445134610147147',3589,'86',63.24,1,3,NULL),(25,6193650,'1994-10-24 00:00:00',2,1,12,2012,'F','S','USINA','ANTÔNIO CARLOS','SC','124241248117151751534514172124610124147',NULL,'306',10.99,1,3,NULL),(25,6193668,'1991-07-17 00:00:00',4,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120203201314571431466833572114610116192',4997,'9998',57.70,1,3,NULL),(25,6193676,'1983-05-27 00:00:00',4,1,11,2000,'M','N','BAIRRO AHÚ','CURITIBA','PR','116162161215572421459911575114333242097',NULL,'9998',45.55,1,3,NULL),(25,6193684,'1993-01-12 00:00:00',4,5,11,2010,'F','N','PIO CORREA','CRICIÚMA','SC','124242241215372411249932592122610146147',6434,'211',55.09,1,3,NULL),(25,6193692,'1991-04-10 00:00:00',2,1,12,2008,'F','N','BANDEIRANTES','CPO GRANDE','MS','112122121216571431466933575122610122097',NULL,'9998',0.00,1,3,NULL),(25,6193706,'1991-09-04 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215374751589952492124610118182',3847,'270',63.69,1,3,NULL),(25,6193714,'1992-12-21 00:00:00',2,2,12,2009,'M','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116164161116471451436631575122610167052',3931,'9998',60.79,1,3,NULL),(25,6193722,'1991-07-28 00:00:00',2,7,12,2008,'M','N','SALTO','SALTO VELOSO','SC','124241242116111411536614242122610136177',NULL,'8',37.76,1,2,1),(25,6193749,'1993-09-13 00:00:00',4,1,12,2010,'M','N','DA PRAÇA','TIJUCAS','SC','124242241215111431446711272111610134195',3662,'1119',61.39,1,3,NULL),(25,6193757,'1991-08-18 00:00:00',2,1,12,2008,'M','N','N S ROSARIO','S JOSÉ','SC','124242241215273731439738592124610118052',19287,'738',36.31,1,3,NULL),(25,6193765,'1993-09-16 00:00:00',4,8,10,2010,'F','N','UBERABA','CURITIBA','PR','116162161215471431569932375122610135122',1857,'9998',68.43,1,3,NULL),(25,6193773,'1993-06-09 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241137131451223644345114610146195',17431,'295',39.88,1,2,1),(25,6193781,'1992-07-18 00:00:00',2,4,12,2009,'M','N','NOSS SR DE FÁTIMA','BARRACÃO','PR','116163161115371231447923574125610164042',14010,'9998',40.79,1,3,NULL),(25,6193790,'1992-08-02 00:00:00',1,1,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241216141431348834315124610128047',18646,'1105',33.25,1,3,NULL),(25,6193803,'1991-08-03 00:00:00',4,4,12,2008,'F','N','CENTRO','FAXINAL GUEDES','SC','120241241216473451548819495114242667145',NULL,'836',17.31,1,3,NULL),(25,6193811,'1993-08-27 00:00:00',2,1,11,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241217121411478617272124610142072',8818,'270',53.37,4,3,NULL),(25,6193820,'1994-02-17 00:00:00',4,4,12,2010,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241217151751259933572122610128092',10959,'752',49.74,1,3,NULL),(25,6193838,'1985-10-07 00:00:00',2,1,12,2003,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241136242712633474242334610113155',NULL,'289',15.31,1,2,1),(25,6193846,'1985-03-05 00:00:00',2,1,12,2002,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','224242241216165711243651235124222964076',NULL,'9997',0.00,1,3,NULL),(25,6193854,'1993-05-21 00:00:00',4,6,12,2010,'F','N','FAZENDA','ITAJAÍ','SC','124242241215371231468732145122610134042',15559,'1057',42.82,1,3,NULL),(25,6193862,'1991-05-17 00:00:00',2,1,12,2008,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091216571431468833575122610164097',10066,'9998',47.63,1,3,NULL),(25,6193870,'1993-03-29 00:00:00',4,1,12,2010,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124244241215151731458914575112610117052',NULL,'1075',14.11,1,3,NULL),(25,6193889,'1993-09-03 00:00:00',4,4,11,2010,'M','N','CENTRO','CASCAVEL','PR','116162161215271431446833571112610117052',11482,'9998',44.74,1,3,NULL),(25,6193919,'1991-11-25 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215372431357834574124610167162',6098,'723',58.27,1,3,NULL),(25,6193927,'1985-08-06 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251257126151411254444345124233246047',20788,'9998',31.98,1,3,NULL),(25,6193935,'1994-10-31 00:00:00',4,10,11,2011,'F','S','MONTE CASTELO','TUBARÃO','SC','124242241215111431536824575122610134152',NULL,'807',47.33,1,3,NULL),(25,6193943,'1993-11-04 00:00:00',2,3,12,2010,'F','N','TABULEIRO','ITAPEMA','SC','124243243116111431534923576122610167147',13426,'129',41.58,1,3,NULL),(25,6193951,'1991-03-01 00:00:00',4,1,12,2008,'M','N','SETOR BUENO','GOIÂNIA','GO','109091091316571431466939575122610163014',2266,'9998',68.30,4,3,NULL),(25,6193960,'1993-02-02 00:00:00',4,1,12,2009,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241212472431326611292124610133095',14551,'272',39.71,1,3,NULL),(25,6193978,'1991-06-06 00:00:00',4,1,8,2010,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215371431468832245112610137065',NULL,'9999',19.62,1,3,NULL),(25,6193994,'1993-04-01 00:00:00',2,5,12,2010,'M','N','FIGUEIRA','URUSSANGA','SC','124242241211112431638813572224610117042',1457,'226',71.25,1,3,NULL),(25,6194001,'1989-09-26 00:00:00',2,8,12,2006,'F','N','JARDIM CONSERVANI','ARTUR NOGUEIRA','SP','125252251217573431337824575124610134057',279,'9998',79.97,1,3,NULL),(25,6194010,'1993-09-26 00:00:00',2,1,12,2010,'F','N','CD SATELIE SAO LUIZ','APARECIDA GOIÂNIA','GO','109092091215111731433639275122610163147',3907,'9998',60.77,1,3,NULL),(25,6194028,'1993-01-21 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241115471431323327575124610117092',20020,'733',30.16,1,2,1),(25,6194036,'1993-06-07 00:00:00',2,16,11,2010,'M','N','AGUA VERDE','CURITIBA','PR','116162161217111231449933575124610127056',8346,'9998',51.81,4,3,NULL),(25,6194044,'1993-05-29 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215171711456613576123610163086',2834,'737',65.27,1,3,NULL),(25,6194052,'1986-10-19 00:00:00',2,1,12,2003,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241241216132431235344441124343254052',10466,'424',46.76,1,3,NULL),(25,6194079,'1993-05-29 00:00:00',4,5,11,2010,'F','N','MICHEL','CRICIÚMA','SC','124242241215112431368813475112610121192',707,'226',75.90,1,3,NULL),(25,6194087,'1984-02-10 00:00:00',2,1,6,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247116153411124144347113610164197',18190,'9997',38.48,1,2,1),(25,6194095,'1993-10-31 00:00:00',2,6,12,2010,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241217131431457914375122610124012',10331,'1057',50.77,1,3,NULL),(25,6194109,'1991-01-29 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215574431534633572124610124157',4381,'1011',62.20,1,3,NULL),(25,6194117,'1992-01-05 00:00:00',2,1,12,2010,'M','N','PICADAS DO NORTE','S JOSÉ','SC','124241241115141431623319395214610142187',20477,'727',33.23,1,2,1),(25,6194133,'1991-02-24 00:00:00',2,5,12,2008,'F','N','CENTRO','CRICIÚMA','SC','124241241415271431456519375112131237017',NULL,'227',20.68,1,3,NULL),(25,6194141,'1993-11-08 00:00:00',4,1,11,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241215372431348823572124610127122',13587,'1022',41.69,1,3,NULL),(25,6194150,'1987-06-21 00:00:00',4,1,11,2006,'M','N','PERDIZES','S PAULO','SP','125251251117571411331362145114141866187',16690,'9998',41.09,1,3,NULL),(25,6194168,'1991-11-03 00:00:00',2,1,11,2009,'F','N','CENTRO','LGA VERMELHA','RS','120203201217472431448839576124610167055',9899,'9998',47.11,1,3,NULL),(25,6194176,'1994-02-04 00:00:00',2,1,12,2010,'F','N','JARDIM UNIÃO','NAVIRAÍ','MS','112122168217371731666736475124610163017',10300,'9998',47.43,1,3,NULL),(25,6194184,'1993-02-02 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124241241116471431535511575124610165172',3773,'739',62.87,1,2,1),(25,6194192,'1993-05-01 00:00:00',2,16,12,2010,'F','N','CENTRO','CAÇADOR','SC','124244241215161431434616575122610168182',10852,'1124',46.86,1,3,NULL),(25,6194206,'1987-09-02 00:00:00',2,8,12,2004,'F','N','ALTO DA GLORIA','CURITIBA','PR','116161161126271431423616382124241538097',5752,'9998',56.70,1,2,1),(25,6194214,'1987-04-22 00:00:00',2,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124204247427131712126548282324610117047',NULL,'9997',5.00,1,3,NULL),(25,6194222,'1985-08-13 00:00:00',4,3,12,2002,'M','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124163161115272411136543435133141864187',10140,'9998',51.09,1,3,NULL),(25,6194230,'1993-03-10 00:00:00',4,8,12,2010,'F','N','CENTRO','RIO NEGRINHO','SC','124242241215111431346614572112610167052',3990,'666',60.11,1,3,NULL),(25,6194249,'1994-06-28 00:00:00',2,4,12,2010,'M','N','CENTRO','GUATAMBÚ','SC','124241241117161431468616575122610113177',NULL,'340',14.65,1,2,1),(25,6194257,'1986-10-26 00:00:00',2,1,10,2005,'F','N','BARREIROS','S JOSÉ','SC','124101101132241432113644242324610113147',NULL,'9998',0.00,4,3,NULL),(25,6194265,'1990-10-22 00:00:00',2,4,12,2007,'M','N','CENTRO','TERRA BOA','PR','116161161136573431635511575125610167047',721,'9998',75.81,1,2,1),(25,6194273,'1992-02-18 00:00:00',2,16,12,2009,'F','N','CENTRO','GUARAPUAVA','PR','116164161216471431468919575124610124142',3795,'9998',61.97,1,3,NULL),(25,6194281,'1993-03-02 00:00:00',4,2,12,2010,'F','N','CENTRO','POMERODE','SC','124242241117131431246923575112610114012',NULL,'621',18.51,1,3,NULL),(25,6194290,'1993-12-23 00:00:00',2,4,12,2011,'F','S','LA SALLE','XANXERÊ','SC','124242241217111731436532572122612635147',NULL,'836',17.31,1,3,NULL),(25,6194303,'1993-05-23 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241217171431446934572124610167042',13430,'1022',41.07,1,3,NULL),(25,6194311,'1993-10-26 00:00:00',4,9,11,2010,'M','N','TRES PEDRINHAS','S JOAQUIM','SC','124241247125131431423629395325610137047',NULL,'719',15.84,1,3,NULL),(25,6194320,'1977-01-02 00:00:00',4,3,12,2000,'M','N','CENTRO','BAL CAMBORIÚ','SC','224243247326234431423354345133132824097',NULL,'657',19.39,1,3,NULL),(25,6194346,'1993-03-29 00:00:00',2,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241215111431448612572112610124142',NULL,'939',20.18,1,3,NULL),(25,6194354,'1993-12-18 00:00:00',4,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124242241215111331346732572124610137042',19939,'1011',34.75,1,3,NULL),(25,6194362,'1994-04-17 00:00:00',4,2,12,2011,'M','S','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241215111732459814585114610128141',NULL,'855',46.85,1,3,NULL),(25,6194370,'1990-08-30 00:00:00',2,1,12,2008,'M','N','PALMAS','GOV CELSO RAMOS','SC','124241241147272421434614145122610124097',19513,'329',30.39,1,2,1),(25,6194389,'1994-06-17 00:00:00',4,10,11,2011,'M','S','REVOREDO','TUBARÃO','SC','124242241215151731458714575122610162077',NULL,'809',30.66,1,3,NULL),(25,6194400,'1990-03-03 00:00:00',2,1,12,2008,'F','N','JARDIM AMÉRICA','ASSIS CHATEAUBRIAND','PR','116161165116172411423315572121241527057',NULL,'9998',23.53,1,2,1),(25,6194419,'1993-02-08 00:00:00',4,1,11,2010,'F','N','BELA VISTA III','S JOSÉ','SC','124244241115141731228669242124610162041',17191,'734',40.31,1,3,NULL),(25,6194427,'1993-06-26 00:00:00',4,3,12,2010,'M','N','SERTÃOZINHO','ITAPEMA','SC','124241241115131431327624316121610127187',14738,'406',39.02,1,2,1),(25,6194435,'1992-01-14 00:00:00',4,4,11,2009,'M','N','CENTRO','IPORÃ OESTE','SC','119241241247471411338736175114610147052',2596,'1060',64.39,1,3,NULL),(25,6194443,'1993-10-11 00:00:00',4,7,12,2010,'F','N','CENTRO','IRANI','SC','124241241117161532439832245124610127073',NULL,'379',0.00,1,2,1),(25,6194451,'1993-04-06 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431358832572122610127182',3970,'262',61.39,1,3,NULL),(25,6194478,'1991-09-02 00:00:00',2,5,12,2010,'M','N','LARANJINHA','CRICIÚMA','SC','124241241117171732323319441124610122197',21534,'223',27.59,1,2,1),(25,6194486,'1990-03-26 00:00:00',2,1,11,2007,'F','N','CENTRO','S JOSÉ','SC','124243241317574412425811445114610124182',16097,'9997',42.00,1,3,NULL),(25,6194494,'1992-07-06 00:00:00',4,1,12,2009,'F','N','BOSQUE DA SAÚDE','S PAULO','SP','125252251217471231688814575122610122192',4048,'9998',60.26,1,3,NULL),(25,6194508,'1993-05-19 00:00:00',2,6,12,2010,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241216131431448834575124610137077',11714,'389',43.91,1,3,NULL),(25,6194516,'1990-04-15 00:00:00',2,1,6,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247421132431413333141324610125052',19554,'982',35.68,1,3,NULL),(25,6194524,'1993-02-03 00:00:00',4,2,12,2010,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241235371431469914575122610167142',8353,'107',50.47,1,3,NULL),(25,6194532,'1993-08-31 00:00:00',4,4,10,2010,'M','N','CENTRO','CURITIBA','PR','116162161217111441258712575114610124192',6405,'9998',52.63,1,3,NULL),(25,6194540,'1992-05-28 00:00:00',4,2,12,2009,'F','N','VILA NOVA','BLUMENAU','SC','124241241216372431459933575122232464197',NULL,'88',0.00,1,3,NULL),(25,6194559,'1993-07-12 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116371711426629575124610138057',16777,'9997',36.27,1,2,1),(25,6194567,'1993-10-09 00:00:00',4,10,11,2010,'M','N','SÃO JOÃO','TUBARÃO','SC','124243241215131231323339575124610124147',21372,'809',29.00,1,3,NULL),(25,6194575,'1993-03-07 00:00:00',2,1,12,2010,'M','N','AVENIDA','ITAJUBÁ','MG','113132138217311411338834595122610167057',15438,'9998',37.22,1,3,NULL),(25,6194583,'1990-08-28 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241217152731479812495115231428061',13720,'497',45.60,1,3,NULL),(25,6194591,'1984-05-11 00:00:00',2,1,11,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124161248123335721426627184334610164187',14169,'9999',44.90,1,2,1),(25,6194605,'1990-08-21 00:00:00',4,1,12,2007,'F','N','CENTRO','CRICIÚMA','SC','124242244215574431448811312125130651092',13433,'226',46.03,1,3,NULL),(25,6194621,'1982-02-25 00:00:00',4,1,12,2000,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224201201127161731348453295124141062192',NULL,'9998',0.00,1,3,NULL),(25,6194630,'1990-05-16 00:00:00',4,5,11,2007,'M','N','IPANEMA','PTO ALEGRE','RS','120202201217571431468921591124610164012',4049,'9998',60.32,1,3,NULL),(25,6194648,'1993-07-23 00:00:00',4,10,12,2010,'F','N','JARDIM BOTÂNICO','CURITIBA','PR','116162161215211531569931572122610163146',NULL,'797',0.00,1,3,NULL),(25,6194656,'1995-01-31 00:00:00',4,1,12,2011,'F','S','LAGUINHO','MACAPÁ','AP','103032031217111451459933175122610134142',NULL,'9998',20.68,1,3,NULL),(25,6194664,'1992-09-16 00:00:00',4,1,12,2010,'M','N','CENTRO','BAURU','SP','125252251215111431479834575122610126045',1461,'9998',69.68,1,3,NULL),(25,6194672,'1993-06-03 00:00:00',4,4,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116164161216271431445612575122610164192',NULL,'9998',0.00,1,3,NULL),(25,6194699,'1989-12-22 00:00:00',2,1,12,2007,'M','N','VILA FORMOSA','S JOSÉ','SC','124241241116373431321123345124610167067',20565,'733',27.04,4,2,1),(25,6194710,'1990-02-17 00:00:00',2,4,12,2007,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120241241116171431613514581344610126147',5558,'763',56.75,1,2,1),(25,6194729,'1988-12-07 00:00:00',4,1,12,2006,'M','N','SETOR OESTE','GOIÂNIA','GO','109092091212571311556611572122143127077',NULL,'9998',0.00,4,3,NULL),(25,6194745,'1992-06-12 00:00:00',4,1,12,2010,'M','N','MIRANDÓPOLIS','S PAULO','SP','125252251217111411467831575122612122017',NULL,'9998',17.32,1,3,NULL),(25,6194753,'1991-02-11 00:00:00',4,1,12,2008,'F','N','CENTRO','ORLÂNDIA','SP','125252251215111431578811592122610162142',NULL,'9998',0.00,1,3,NULL),(25,6194761,'1965-10-27 00:00:00',2,3,12,1980,'F','N','CENTRO','BAL CAMBORIÚ','SC','124202201211161711433542122122133212182',NULL,'9998',0.00,1,3,NULL),(25,6194770,'1993-09-22 00:00:00',2,4,12,2010,'F','N','INTERIOR','LINDÓIA SUL','SC','124241242115131431515336573324610156052',15878,'196',36.44,1,2,1),(25,6194788,'1993-09-13 00:00:00',4,1,12,2010,'M','N','STO ANTONIO LISBOA','FLORIANÓPOLIS','SC','124242241215121431468832575122610167185',11851,'262',44.44,1,3,NULL),(25,6194818,'1992-06-06 00:00:00',2,15,12,2009,'F','N','CENTRO','URUGUAIANA','RS','120202201216571731457619595112610137097',NULL,'9998',0.00,1,3,NULL),(25,6194826,'1993-11-02 00:00:00',4,8,11,2010,'M','N','CENTRO','TELÊMACO BORBA','PR','116162161117111231479713573112610164147',NULL,'9998',0.00,1,3,NULL),(25,6194834,'1994-03-11 00:00:00',4,8,12,2011,'F','S','GLÓRIA','JOINVILLE','SC','124242241217111752659831595122610143182',NULL,'1063',44.72,1,3,NULL),(25,6194842,'1991-01-05 00:00:00',4,1,12,2008,'M','N','PARQUE PARAISO','ITAPECERICA SERRA','SP','125252251217571731368813592114610164127',1424,'9998',71.09,1,3,NULL),(25,6194850,'1991-11-28 00:00:00',4,1,12,2009,'F','N','SANTANA','S JOSÉ CAMPOS','SP','125251251215472431653723272112610131107',5390,'9998',56.82,1,3,NULL),(25,6194869,'1993-01-09 00:00:00',4,1,12,2010,'M','N','SOBRADINHO','FRA SANTANA','BA','105052051217111431369831571123610164016',1451,'9998',69.38,1,3,NULL),(25,6194877,'1993-08-05 00:00:00',4,1,12,2010,'F','N','FAZENDA RIO TAVARES','FLORIANÓPOLIS','SC','124241241145141331537632245124610122177',19058,'295',33.56,1,2,1),(25,6194885,'1993-11-28 00:00:00',4,5,11,2010,'F','N','SÃO SIMÃO','CRICIÚMA','SC','124242241217152431459932572122610124053',8946,'213',53.16,1,3,NULL),(25,6194893,'1992-07-22 00:00:00',2,1,12,2009,'F','N','SETOR SUDOESTE','GOIÂNIA','GO','109092091216371711438814572114143263192',6508,'9998',54.61,4,3,NULL),(25,6194907,'1993-07-12 00:00:00',2,8,11,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124243241217111511236824572124610114047',18555,'461',37.85,1,3,NULL),(25,6194915,'1982-03-21 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241147371431225344442124610123197',NULL,'275',21.36,1,3,NULL),(25,6194923,'1993-07-09 00:00:00',4,4,11,2010,'F','N','JARDIM BELA VISTA','ITAPIRANGA','SC','124241241415161431369916571122610144072',3536,'1060',62.12,1,3,NULL),(25,6194940,'1992-04-15 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115371431426313572121610137057',18807,'592',33.24,1,2,1),(25,6194958,'1993-04-05 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124201201117371421323661385124610124147',9328,'9998',48.20,1,2,1),(25,6194966,'1993-05-06 00:00:00',2,1,12,2010,'M','N','INDUSTRIAL','TERRA N NORTE','MT','111113111217131231526316362121610127062',15104,'9998',38.96,1,3,NULL),(25,6194974,'1991-05-18 00:00:00',2,1,11,2007,'F','N','CENTRO','CRICIÚMA','SC','124242241211574751369914571114610113172',2635,'226',64.32,1,3,NULL),(25,6194982,'1993-06-26 00:00:00',4,1,12,2010,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124122241215111451346924575114610164012',NULL,'1022',24.28,1,3,NULL),(25,6194990,'1992-12-27 00:00:00',2,10,11,2010,'F','N','DEHON','TUBARÃO','SC','124241241215131431436439575121610143072',NULL,'1120',38.01,1,3,NULL),(25,6195008,'1993-05-18 00:00:00',2,4,12,2010,'M','N','JARDIM AMÉRICA','CHAPECÓ','SC','124241241217321431569911572124610127147',NULL,'185',0.00,1,3,NULL),(25,6195016,'1992-06-16 00:00:00',4,8,11,2009,'M','N','MERCES','CURITIBA','PR','116112111216472431456812571125610164012',7596,'9998',52.95,1,3,NULL),(25,6195032,'1991-11-27 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117272431123449495114610113187',15404,'812',39.12,1,2,1),(25,6195040,'1991-04-25 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372731459811495112231467112',13530,'270',45.88,1,3,NULL),(25,6195059,'1988-02-21 00:00:00',2,1,12,2006,'M','N','MORRO DA BINA','BIGUAÇU','SC','224241247127131411234344446234610147052',21591,'9999',27.05,1,2,1),(25,6195083,'1993-06-04 00:00:00',4,1,11,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241227131431336673475124610167042',4057,'262',60.94,1,3,NULL),(25,6195091,'1990-11-10 00:00:00',4,1,12,2008,'M','N','LIBERDADE','S PAULO','SP','125222161215571431388911571125610132052',3986,'9998',60.87,1,3,NULL),(25,6195105,'1992-12-06 00:00:00',2,4,12,2009,'M','N','CENTRO','CORBÉLIA','PR','116161161135471431546632372124610167142',5825,'9998',56.78,1,2,1),(25,6195113,'1990-09-01 00:00:00',2,15,12,2007,'M','N','CAMPESTRE','LAJEADO','RS','120201201216471731236614274123140912042',NULL,'9998',37.01,1,3,NULL),(25,6195121,'1993-10-27 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431368612575112610134195',2560,'262',66.42,1,3,NULL),(25,6195130,'1991-05-28 00:00:00',4,3,12,2008,'M','N','AREIAS','CAMBORIÚ','SC','124243241216363431434311395121221427042',NULL,'1045',0.00,1,3,NULL),(25,6195148,'1993-09-25 00:00:00',2,1,12,2010,'M','N','CENTRO','AMPÉRE','PR','116162161416151531356913435122610167052',16723,'9998',36.11,1,3,NULL),(25,6195164,'1994-02-15 00:00:00',2,5,12,2011,'M','S','CENTRO','SIDERÓPOLIS','SC','124242241215131531436832596124610114047',NULL,'995',30.34,1,3,NULL),(25,6195180,'1992-02-22 00:00:00',2,2,12,2009,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241146342432438514345124610133147',NULL,'75',21.40,1,2,1),(25,6195202,'1994-04-08 00:00:00',4,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241232171532489812423132610117042',NULL,'262',30.24,1,3,NULL),(25,6195229,'1989-01-08 00:00:00',2,4,12,2005,'F','N','SANTANA','PTO ALEGRE','RS','120201201117574431363923572124610164147',1785,'9998',68.36,1,2,1),(25,6195237,'1993-12-18 00:00:00',4,8,12,2010,'M','N','CENTRO','IMBITUVA','PR','116162161236111431459611575132610167047',5922,'9998',57.06,1,3,NULL),(25,6195261,'1993-12-11 00:00:00',4,1,11,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111731549832575124610161097',4373,'270',60.02,1,3,NULL),(25,6195270,'1991-02-20 00:00:00',4,1,12,2007,'F','N','CENTRO','STA MARIA','RS','120202201213571431449833573125610136177',3975,'9998',60.17,1,3,NULL),(25,6195296,'1993-09-06 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216271431426624375114610161017',8553,'259',50.07,1,3,NULL),(25,6195300,'1993-11-05 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241217273431327824594125610136142',543,'213',77.22,1,3,NULL),(25,6195318,'1994-01-06 00:00:00',2,15,11,2010,'F','N','CENTRO','TURVO','SC','124244241215121431456616475122610143142',18566,'813',37.83,1,3,NULL),(25,6195326,'1992-09-19 00:00:00',2,8,12,2009,'F','N','CENTRO','CARAMBEÍ','PR','125162161216471431538815575124610144057',333,'9998',78.51,1,3,NULL),(25,6195334,'1992-10-21 00:00:00',2,1,12,2009,'F','N','SANTANA','GUARAPUAVA','PR','116162161217271431457823342122133222077',NULL,'9998',21.20,1,3,NULL),(25,6195342,'1992-06-20 00:00:00',2,1,12,2009,'M','N','REAL PARQUE','S JOSÉ','SC','124241241227112431323314496124231442052',8314,'262',50.81,1,3,NULL),(25,6195369,'1993-10-06 00:00:00',4,8,11,2010,'F','N','CZERNIEWICS','JARAGUÁ SUL','SC','124242241225121431468614275122610132052',15425,'424',37.17,1,3,NULL),(25,6195377,'1989-03-27 00:00:00',2,1,12,2006,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124162161217152411227731575122240634022',NULL,'9998',0.00,1,3,NULL),(25,6195385,'1988-07-16 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241137141412634367145124610127062',NULL,'292',15.22,2,1,1),(25,6195393,'1992-09-18 00:00:00',4,3,12,2009,'M','N','JARDIM EUROPA','UMUARAMA','PR','116162161215121431658832575122243237017',16249,'9998',37.54,2,1,2),(25,6195407,'1981-07-26 00:00:00',4,5,12,2000,'M','N','PAULO DE FRONTIN','CRICIÚMA','SC','124243247336131711533323335122131026117',NULL,'232',16.46,1,3,NULL),(25,6195415,'1992-08-04 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215152431248824572124232467052',460,'226',77.34,1,3,NULL),(25,6195423,'1993-02-08 00:00:00',4,8,12,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124242243215371731578632345124610164112',14321,'1105',44.68,1,3,NULL),(25,6195431,'1992-09-14 00:00:00',4,1,12,2009,'M','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161216471431456634572124610137057',NULL,'9998',0.00,4,3,NULL),(25,6195440,'1993-08-10 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431488914575114610137052',5470,'270',56.40,1,3,NULL),(25,6195458,'1992-04-06 00:00:00',4,8,12,2009,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242161217471541579933575114610162177',5884,'9998',56.51,1,3,NULL),(25,6195466,'1992-10-05 00:00:00',2,4,12,2010,'F','N','PLANALTO','CARLOS BARBOSA','RS','120201205116151411449833471122610135092',13287,'9998',41.64,1,2,1),(25,6195474,'1991-07-18 00:00:00',2,7,12,2008,'M','N','CENTRO','TANGARÁ','SC','124241241116153421323316345125233237057',16557,'779',41.31,1,2,1),(25,6195482,'1990-10-26 00:00:00',4,2,9,2010,'M','N','SALTO DO NORTE','BLUMENAU','SC','124241247346151412424314345124610164022',18748,'9999',37.45,1,3,NULL),(25,6195490,'1989-09-30 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241226573431446612275124140224187',828,'1060',75.07,1,3,NULL),(25,6195504,'1987-08-02 00:00:00',4,1,11,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241327132441121344345334610162047',NULL,'1126',15.87,1,3,NULL),(25,6195512,'1990-07-27 00:00:00',2,1,12,2007,'F','N','COLINA SORRISO','CAXIAS SUL','RS','120202201216572431346933375122141467042',7318,'9998',52.61,1,3,NULL),(25,6195520,'1993-12-21 00:00:00',4,8,11,2010,'F','N','BOCKMANN','PARANAGUÁ','PR','116162161217271431558864575112610123145',NULL,'9998',0.00,1,3,NULL),(25,6195547,'1994-01-28 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241117471432236619295124610124142',12955,'307',42.84,1,3,NULL),(25,6195555,'1974-12-13 00:00:00',2,1,12,2009,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','624241201126111531334449295124610167045',NULL,'9998',0.00,1,3,NULL),(25,6195571,'1993-09-28 00:00:00',4,1,12,2010,'F','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241126141431624413245124610147051',20425,'322',29.55,1,2,1),(25,6195580,'1992-05-03 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241217472411525672576125610133032',6777,'1022',55.01,4,1,2),(25,6195598,'1992-01-20 00:00:00',2,10,12,2009,'M','N','OFICINAS','TUBARÃO','SC','124241241116151431336329345123610164092',NULL,'1034',22.96,1,2,1),(25,6195601,'1993-04-19 00:00:00',2,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124241241215111441226723272121610124057',4679,'881',59.59,1,3,NULL),(25,6195610,'1993-04-07 00:00:00',2,8,11,2010,'M','N','ATIRADORES','JOINVILLE','SC','124242241217111431458812385112610167062',2861,'461',64.76,1,3,NULL),(25,6195628,'1993-05-18 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241115371411346613575124610141017',8125,'271',50.98,1,3,NULL),(25,6195636,'1991-03-28 00:00:00',2,1,12,2008,'F','N','SÃO JOSÉ','S LEOPOLDO','RS','120202201217572731447923572125610124187',838,'9998',73.81,1,3,NULL),(25,6195644,'1992-04-13 00:00:00',2,4,12,2009,'F','N','VERA CRUZ','PASSO FUNDO','RS','120203201117372411426619575122610122197',NULL,'9998',29.80,1,3,NULL),(25,6195652,'1994-02-21 00:00:00',2,1,12,2010,'F','N','CENTRO','LAURO MÜLLER','SC','124244241215112431336933575124610167092',16168,'226',41.89,1,3,NULL),(25,6195679,'1991-11-25 00:00:00',2,1,11,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241317154431438911575114233243147',12216,'1022',43.02,1,3,NULL),(25,6195687,'1988-09-17 00:00:00',4,1,12,2005,'F','N','CENTRO','STA MARIA','RS','120202201216571431449833572125610121047',1084,'9998',71.72,1,3,NULL),(25,6195709,'1993-05-28 00:00:00',4,16,12,2010,'M','N','CENTRO','FRAIBURGO','SC','124243241217111431369913575122610134012',10606,'885',47.08,1,3,NULL),(25,6195717,'1990-04-20 00:00:00',4,7,12,2007,'F','N','NA SA DE LOURDES','CAMPOS NOVOS','SC','124242241215573741538831592124610126147',4088,'138',61.27,1,3,NULL),(25,6195733,'1993-01-05 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242248215111731627714275124610124012',18331,'262',36.26,1,3,NULL),(25,6195741,'1991-11-18 00:00:00',2,1,11,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241115372451538619572244610124187',10344,'307',50.75,1,2,1),(25,6195750,'1984-04-11 00:00:00',2,1,12,2001,'F','N','FARROUPILHA','VIDEIRA','SC','124241241215112431443911335125121126182',12178,'968',47.87,1,3,NULL),(25,6195776,'1992-02-26 00:00:00',4,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','124244241115472731246923574125610133142',12177,'169',47.87,1,3,NULL),(25,6195784,'1992-07-31 00:00:00',2,15,12,2009,'F','N','ERECHIM','BAL ARROIO SILVA','SC','124201201116371431338815585124610123092',5508,'9998',56.97,1,2,1),(25,6195792,'1993-08-13 00:00:00',4,1,12,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241226131421225623275124610128147',8158,'262',51.21,1,3,NULL),(25,6195822,'1992-01-14 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431348613575124610124112',16973,'1048',40.67,1,3,NULL),(25,6195830,'1993-04-02 00:00:00',2,1,9,2010,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241127271411426713575124610164041',8258,'329',54.38,1,2,1),(25,6195849,'1993-03-01 00:00:00',4,8,12,2010,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241215122431388924576122610162182',6051,'457',56.61,1,3,NULL),(25,6195857,'1983-07-06 00:00:00',4,6,12,2000,'M','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120203201216511531548833275124331567057',13302,'9998',46.22,1,3,NULL),(25,6195865,'1992-08-18 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215374431566632572124610163092',4240,'1022',60.75,1,3,NULL),(25,6195873,'1991-01-12 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241415372741457933385124610124147',6357,'269',58.03,1,3,NULL),(25,6195881,'1990-05-16 00:00:00',2,1,12,2006,'M','N','PICADAS DO SUL','S JOSÉ','SC','105242241216141431346614245122233262042',19341,'944',36.19,1,3,NULL),(25,6195903,'1992-04-18 00:00:00',4,9,12,2009,'M','N','SAGRADO','LAGES','SC','124242161214412721448832575125610168193',935,'9998',73.24,1,3,NULL),(25,6195911,'1993-06-01 00:00:00',2,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124241241116271431428627575124610127047',14012,'591',39.59,1,2,1),(25,6195920,'1992-05-08 00:00:00',2,7,12,2009,'M','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241217152731358813472112231447047',NULL,'962',0.00,1,3,NULL),(25,6195938,'1992-03-08 00:00:00',2,3,12,2009,'F','N','CENTRO','PNT GROSSA','PR','116161161217271431448823575122241437092',13784,'9998',40.74,1,3,NULL),(25,6195946,'1991-02-17 00:00:00',2,1,12,2008,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241147161421323629242334610135077',NULL,'358',36.35,1,2,1),(25,6195954,'1991-06-18 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241316573221216819372124232723142',11211,'1022',49.37,1,3,NULL),(25,6195962,'1993-02-10 00:00:00',4,8,12,2010,'F','N','GUAIRA','CURITIBA','PR','116162161215121411489934572124610134182',NULL,'9998',0.00,1,3,NULL),(25,6195989,'1993-07-23 00:00:00',4,2,12,2010,'F','N','KASPEREIT','BENEDITO NOVO','SC','124241241315151231548614295124610135147',NULL,'9999',21.88,1,3,NULL),(25,6195997,'1992-05-04 00:00:00',4,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124241241115151731344314575122610123142',NULL,'734',0.00,1,3,NULL),(25,6196004,'1993-02-16 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431479934575122610146186',NULL,'262',47.61,1,3,NULL),(25,6196020,'1992-08-26 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241246111371421434833571124610147072',17277,'306',34.70,2,1,1),(25,6196039,'1992-04-08 00:00:00',4,9,12,2009,'F','N','SÃO CRISTOVÃO','LAGES','SC','124244241215112431248712575122231434097',NULL,'497',0.00,1,3,NULL),(25,6196047,'1990-03-27 00:00:00',2,10,12,2007,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215472431338619374122333237147',NULL,'809',35.02,1,3,NULL),(25,6196063,'1981-11-15 00:00:00',2,15,12,1999,'F','N','CIDADE ALTA','ARARANGUÁ','SC','224241241136131431323352442122132833177',NULL,'30',16.57,1,2,1),(25,6196071,'1995-02-22 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111731259923572112610164043',NULL,'300',42.98,1,3,NULL),(25,6196080,'1990-06-20 00:00:00',4,3,12,2007,'M','N','CRISTO REI','CURITIBA','PR','116162161216471411458813572122141267112',NULL,'9998',0.00,1,3,NULL),(25,6196098,'1979-12-10 00:00:00',4,9,12,1996,'M','N','FLORESTA','VIDEIRA','SC','124243241216272441348319432122330237092',NULL,'833',0.00,1,3,NULL),(25,6196101,'1991-02-17 00:00:00',2,1,12,2008,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241142373711316514382124610134117',NULL,'286',32.38,1,2,1),(25,6196136,'1993-02-05 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211111431569811575122610137147',NULL,'1169',0.00,1,3,NULL),(25,6196152,'1991-02-14 00:00:00',4,1,12,2008,'F','N','CENTRO','CPO GRANDE','MS','112124121317121731136823592124241033092',NULL,'9998',37.55,4,3,NULL),(25,6196160,'1991-07-26 00:00:00',4,2,12,2009,'F','N','PROGRESSO','BLUMENAU','SC','124243247417113431443624445124610123142',20944,'71',31.33,1,3,NULL),(25,6196179,'1993-04-23 00:00:00',2,1,12,2010,'M','N','BREJARU','PALHOÇA','SC','124241241112151411464313435114610164042',17203,'592',35.26,1,2,1),(25,6196187,'1992-06-20 00:00:00',2,1,12,2010,'F','N','VILA CÉLIA','CPO GRANDE','MS','112122121235171431437722492125610134092',NULL,'9998',21.13,1,3,NULL),(25,6196195,'1989-04-06 00:00:00',2,8,12,2006,'F','N','SÃO JOSÉ','PNT GROSSA','PR','116162165217371431356831375122142222097',5366,'9998',57.13,1,3,NULL),(25,6196217,'1994-07-27 00:00:00',4,1,12,2011,'F','S','CENTRO','STO AMARO IMPERATRIZ','SC','124244241215111611443812574122610124032',NULL,'9997',38.66,1,3,NULL),(25,6196225,'1993-07-19 00:00:00',2,9,11,2010,'M','N','SEMINARIO','TAIÓ','SC','124244241215371231447613275125610127187',20702,'776',32.37,1,3,NULL),(25,6196233,'1993-11-29 00:00:00',2,10,12,2010,'F','N','TERMAS','GRAVATAL','SC','124241247246111431338821215124610147142',NULL,'9999',23.16,1,3,NULL),(25,6196250,'1990-08-18 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431368714395125610162041',6039,'807',56.09,1,3,NULL),(25,6196268,'1993-07-03 00:00:00',4,1,12,2010,'M','N','CENTRO','APUCARANA','PR','116162161215111431477612322132610167042',NULL,'9998',28.41,1,3,NULL),(25,6196276,'1992-05-04 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201241147471431423511385114610134047',NULL,'922',44.12,1,2,1),(25,6196292,'1991-06-19 00:00:00',2,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242247236141431343639395122231064067',NULL,'9999',11.07,1,3,NULL),(25,6196314,'1986-12-31 00:00:00',2,1,11,2006,'M','N','JD CIDADE DE FLORIAN','S JOSÉ','SC','624201247146132431625344142114610124187',14514,'976',40.85,4,3,NULL),(25,6196357,'1969-08-01 00:00:00',4,1,12,1990,'M','N','JD ATLÂNTICO','FLORIANÓPOLIS','SC','624251257122135421323644242134140836197',17094,'9998',40.46,4,2,1),(25,6196365,'1977-08-25 00:00:00',4,1,12,1994,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241332135431436441212224133262172',13891,'521',45.35,1,3,NULL),(25,6196373,'1987-06-10 00:00:00',2,1,12,2004,'F','N','BARREIROS','S JOSÉ','SC','124241241115272431233449375322230224052',20435,'734',33.35,1,3,NULL),(25,6196381,'1991-06-04 00:00:00',4,6,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241216151431344324475125133234142',8525,'37',50.39,1,3,NULL),(25,6196403,'1991-06-11 00:00:00',4,5,12,2008,'M','N','COMERCIARIO','CRICIÚMA','SC','124243241215371732425639595111610167186',21119,'1096',30.55,1,3,NULL),(25,6196411,'1988-10-10 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215575411469924445122231462174',11156,'262',48.59,1,3,NULL),(25,6196420,'1992-07-29 00:00:00',4,8,12,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215472711444314595114610127042',10447,'441',46.37,1,3,NULL),(25,6196454,'1991-07-12 00:00:00',4,1,11,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241315121731336633575122610132182',19443,'300',35.94,1,3,NULL),(25,6196462,'1993-05-28 00:00:00',2,8,12,2010,'F','N','CENTRO','RIO NEGRINHO','SC','124241241116271431226679572222610133177',21287,'669',29.50,1,2,1),(25,6196489,'1994-03-08 00:00:00',4,1,12,2011,'F','S','SAPITANDUVA','MORRETES','PR','116162161216111731459923575122610144187',NULL,'9998',45.45,1,3,NULL),(25,6196500,'1992-05-12 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731345711575122610167015',14575,'270',44.33,1,3,NULL),(25,6196519,'1985-05-18 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','624201241147575431326351474122610122192',NULL,'298',0.00,1,2,1),(25,6196527,'1991-06-16 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212372431426314442112610165197',20239,'1198',33.95,1,3,NULL),(25,6196551,'1993-09-12 00:00:00',2,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215211431337933575122610126122',7634,'44',50.99,1,3,NULL),(25,6196560,'1981-11-30 00:00:00',4,1,6,2000,'M','N','CENTRO','STA MARIA','RS','120203207347271411119649295124242862046',NULL,'9998',35.55,1,3,NULL),(25,6196586,'1991-12-07 00:00:00',4,1,12,2009,'F','N','BOQUEIRAO','SANTOS','SP','125252251216471431489914575122610122052',4969,'9998',58.36,1,3,NULL),(25,6196594,'1980-11-10 00:00:00',4,1,12,1998,'M','N','JARDIM VIVENDAS','S JOSÉ R PRETO','SP','125252251214571431568831412122343267097',1255,'9998',72.12,1,3,NULL),(25,6196624,'1991-04-14 00:00:00',4,1,11,2009,'F','N','BOA VISTA','CURITIBA','PR','116161161135371431437614335134610143047',NULL,'9998',33.27,1,2,1),(25,6196632,'1991-09-30 00:00:00',2,1,12,2010,'F','N','JD SAO NICOLAU','BIGUAÇU','SC','124241241316133431535613395114230567127',20214,'65',34.02,4,3,NULL),(25,6196659,'1992-10-27 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431269913575122610164197',16678,'262',38.75,1,3,NULL),(25,6196667,'1991-01-28 00:00:00',4,1,12,2009,'F','N','JOSE MENDES','FLORIANÓPOLIS','SC','124241248136371431523674245124610164142',NULL,'275',26.71,1,2,1),(25,6196675,'1991-01-14 00:00:00',2,1,12,2008,'M','N','AREIAS DO MEIO','GOV CELSO RAMOS','SC','124241241147132431433614282114610127145',17858,'329',34.19,4,2,1),(25,6196683,'1988-09-27 00:00:00',2,1,8,2008,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241247121151111521311391123131016042',NULL,'9999',0.00,4,1,1),(25,6196691,'1991-05-25 00:00:00',4,8,11,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242161417574431489813371112610112042',57,'9998',85.26,1,3,NULL),(25,6196713,'1991-09-05 00:00:00',2,8,12,2008,'M','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241216413411468722575112142668017',5006,'1061',56.08,1,3,NULL),(25,6196721,'1990-08-14 00:00:00',2,8,11,2008,'M','N','COSTA E SIILVA','JOINVILLE','SC','124242241216473451337719595112610167047',NULL,'9997',32.98,1,3,NULL),(25,6196730,'1987-07-09 00:00:00',2,4,12,2004,'F','N','CENTRO','XANXERÊ','SC','124242241216472431544319575122343226092',NULL,'1081',0.00,1,3,NULL),(25,6196748,'1992-11-16 00:00:00',4,4,12,2009,'F','N','SÃO FRANCISCO','S LOURENÇO OESTE','SC','124241241116131431326419332125240256042',NULL,'744',31.41,1,2,1),(25,6196756,'1990-08-20 00:00:00',4,1,12,2007,'M','N','ARAES','CUIABÁ','MT','111112111236571441448833575122610147097',1393,'9998',69.89,4,3,NULL),(25,6196764,'1991-08-30 00:00:00',4,1,12,2008,'M','N','PRAIA DE FORA','PALHOÇA','SC','124246241112132451536711395234133254172',9828,'591',51.65,1,3,NULL),(25,6196772,'1993-05-26 00:00:00',4,8,7,2010,'M','N','JARDIM DAS AMERICAS','CURITIBA','PR','116163161116471431579819575112610164047',10268,'9998',47.82,1,3,NULL),(25,6196799,'1993-01-21 00:00:00',4,4,11,2010,'F','N','CENTRO','CASCAVEL','PR','116162161215371431459814441142610136072',4718,'9998',58.53,1,3,NULL),(25,6196810,'1989-03-12 00:00:00',4,8,12,2006,'F','N','CENTRO','RIO NEGRO','PR','116242241216573411548721575125610163187',3197,'541',62.60,1,3,NULL),(25,6196837,'1993-09-20 00:00:00',4,10,12,2010,'F','N','CENTRO','ARMAZÉM','SC','124241241127141431426629145122610143142',NULL,'34',27.49,1,2,1),(25,6196845,'1990-09-26 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116272431217644245334610123087',NULL,'733',18.53,1,3,NULL),(25,6196853,'1992-09-15 00:00:00',4,5,12,2009,'M','N','CRUZEIRO','CAXIAS SUL','RS','120201201117131411326722372122610127052',16630,'9998',34.52,1,2,1),(25,6196870,'1991-06-13 00:00:00',2,1,12,2008,'F','N','CENTRO','BIGUAÇU','SC','124243241416151722226624495124222261167',19993,'63',34.60,1,3,NULL),(25,6196888,'1990-11-22 00:00:00',2,4,11,2007,'M','N','CENTRO','LARANJEIRAS SUL','PR','116164161416511221326679575112610167042',6442,'9998',54.16,2,3,NULL),(25,6196896,'1993-06-13 00:00:00',4,4,12,2010,'M','N','CENTRO','CEL MARTINS','SC','124241241135151431356912575122610127062',10382,'200',45.82,1,2,1),(25,6196900,'1992-09-15 00:00:00',4,5,10,2009,'F','N','MICHEL','CRICIÚMA','SC','124243241216131431445319345122610168152',NULL,'9997',21.41,1,3,NULL),(25,6196926,'1990-01-12 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215574431337813575123130744043',6422,'270',57.91,1,3,NULL),(25,6196934,'1992-06-12 00:00:00',4,1,12,2009,'F','N','PORTO QUINZE','ENCANTADO','RS','120201205117131431625721211123610148057',NULL,'9998',17.21,1,2,1),(25,6196950,'1986-10-27 00:00:00',2,1,12,2005,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124243241217375711346923115124610127111',10645,'951',46.88,1,3,NULL),(25,6196977,'1989-12-26 00:00:00',4,1,12,2008,'F','N','JD FLAMBOYANT','BOTUCATU','SP','125252251217571711339813572122610165157',NULL,'9998',0.00,1,3,NULL),(25,6196985,'1993-03-25 00:00:00',2,1,12,2010,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241112371231424414372124610113042',NULL,'295',19.88,1,2,1),(25,6196993,'1992-03-10 00:00:00',2,15,12,2008,'F','N','CENTRO','MORRINHOS SUL','RS','120203201147131731323435342321610167142',21722,'9998',24.69,1,3,NULL),(25,6197000,'1993-10-31 00:00:00',4,3,12,2010,'F','N','CENTRO','FAXINAL','PR','116162161216111441556815575125610117142',NULL,'9998',0.00,1,3,NULL),(25,6197019,'1989-09-06 00:00:00',2,4,12,2007,'M','N','PARQUE PITANGUEIRAS','MEDIANEIRA','PR','116161161116131741422313235333140724173',NULL,'9998',0.00,1,2,1),(25,6197027,'1992-12-03 00:00:00',2,1,11,2010,'M','N','CENTRO','ERECHIM','RS','120202201216111431256921575122610127057',14614,'9998',40.07,1,3,NULL),(25,6197035,'1989-04-13 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216173731436631296125122963177',17606,'737',39.57,1,3,NULL),(25,6197043,'1988-10-04 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116144411579933315132120924042',NULL,'271',0.00,1,2,1),(25,6197051,'1989-03-28 00:00:00',4,1,12,2006,'M','N','JARDIN ATLÂNTICO','FLORIANÓPOLIS','SC','124241241145231731224443232233610164197',NULL,'416',37.31,1,2,1),(25,6197060,'1990-11-19 00:00:00',4,8,12,2007,'F','N','UBERABA','CURITIBA','PR','116162161215571421469634575114143226145',NULL,'9998',0.00,1,3,NULL),(25,6197086,'1987-09-23 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243247411141331547632321122230233097',NULL,'977',27.47,1,3,NULL),(25,6197094,'1990-01-24 00:00:00',4,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124242241237575431368614572121231462012',10935,'499',45.12,1,3,NULL),(25,6197108,'1991-08-20 00:00:00',2,15,12,2009,'M','N','LINHA BIFF','MRO GRANDE','SC','124241241127371422424536481124130767057',NULL,'568',20.60,1,3,NULL),(25,6197140,'1993-05-23 00:00:00',4,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241437271431356923592122610167042',16283,'274',41.73,1,3,NULL),(25,6197159,'1987-07-05 00:00:00',4,1,12,2003,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116132431333331445122133234013',14641,'592',44.24,1,3,NULL),(25,6197167,'1992-06-24 00:00:00',4,8,11,2009,'M','N','JARDIM ESPLANADA','S JOSÉ CAMPOS','SP','125242241215371431459412575112610137112',20543,'459',32.97,1,3,NULL),(25,6197175,'1993-06-19 00:00:00',4,8,12,2010,'M','N','IRIRIÚ','JOINVILLE','SC','124241241136141431346634342224610136015',14002,'469',40.32,1,2,1),(25,6197183,'1988-12-10 00:00:00',4,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124114111346274431457814374124122265142',8555,'9998',53.87,1,3,NULL),(25,6197191,'1991-12-19 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241125472531446712245124610167047',20934,'285',31.36,1,2,1),(25,6197205,'1992-12-02 00:00:00',2,3,11,2009,'F','N','FAZENDINHA','CURITIBA','PR','116162161215471431539923575114610167147',4186,'9998',60.91,1,3,NULL),(25,6197230,'1993-05-12 00:00:00',4,7,12,2010,'M','N','INTERIOR','JOAÇABA','SC','124241242115111431423315595224610126042',NULL,'8',15.78,1,3,NULL),(25,6197248,'1992-01-24 00:00:00',4,9,2,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215221531588712322122131417052',14172,'9997',44.90,1,3,NULL),(25,6197264,'1969-03-03 00:00:00',2,1,1,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224241247627131421421344142244130216042',NULL,'9999',19.08,2,1,2),(25,6197272,'1985-06-06 00:00:00',4,1,12,2002,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116373741446632345234610124097',14848,'307',43.92,1,2,1),(25,6197280,'1990-01-12 00:00:00',4,1,8,2007,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124096041116233751527613495124141941182',17851,'9998',39.13,1,3,NULL),(25,6197299,'1991-09-15 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117373731536624575114610128142',10063,'733',47.10,1,2,1),(25,6197302,'1992-07-21 00:00:00',2,2,12,2009,'F','N','SÃO ROQUE','NOVA TRENTO','SC','124241241136132421433619192122610133097',NULL,'574',42.43,1,3,NULL),(25,6197310,'1992-09-18 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248114131321636632246224610123147',18324,'306',33.42,1,2,1),(25,6197329,'1991-12-30 00:00:00',2,1,6,2010,'M','N','COSTEIRA D PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241247117271432438723382124610164147',NULL,'9999',19.53,1,3,NULL),(25,6197337,'1988-11-23 00:00:00',4,1,12,2006,'F','N','PINHEIROS','S PAULO','SP','125252251216572731479814575114610162187',722,'9998',75.64,1,3,NULL),(25,6197345,'1991-01-04 00:00:00',2,1,12,2008,'M','N','ROÇADO','S JOSÉ','SC','124241241136272431323321345112610127042',12620,'729',43.08,1,2,1),(25,6197353,'1985-07-24 00:00:00',2,1,12,2002,'F','N','TENIS CLUBE','ASSIS','SP','125251251117131441117649375325242861177',NULL,'9998',0.00,1,3,NULL),(25,6197361,'1983-07-06 00:00:00',2,1,12,2000,'F','N','CENTRO','S JOSÉ','SC','624241241127131721325654242124610122187',NULL,'736',33.51,1,2,1),(25,6197388,'1983-04-15 00:00:00',4,15,7,2005,'M','N','VILA BEATRIZ','MARACAJÁ','SC','124241247123131431333439432312610163047',NULL,'9999',22.16,1,3,NULL),(25,6197396,'1993-05-03 00:00:00',4,7,12,2010,'M','N','SÃO JORGE','XANXERÊ','SC','124241242115111231424414595124610126042',15431,'8',39.09,1,3,NULL),(25,6197400,'1989-10-16 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215374431458614575124122367042',9957,'1022',51.42,1,3,NULL),(25,6197418,'1992-03-27 00:00:00',4,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215162231249824295124230235145',20560,'1133',32.91,3,3,NULL),(25,6197426,'1969-10-20 00:00:00',2,6,11,1993,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','224221227127131431542251145122133016187',NULL,'9998',41.00,1,3,NULL),(25,6197434,'1992-04-15 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111431358611572124610137142',1910,'270',69.21,3,3,NULL),(25,6197442,'1992-02-07 00:00:00',4,1,12,2009,'F','N','CENTRO','ECHAPORÃ','SP','125253251117471431358823571122610166147',2485,'9998',65.02,1,3,NULL),(25,6197469,'1993-03-09 00:00:00',4,1,11,2009,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241227372431468912495122610127042',8418,'446',51.15,1,3,NULL),(25,6197477,'1993-03-07 00:00:00',4,10,11,2010,'M','N','VILA NOVA ALVORADA','IMBITUBA','SC','124244241215111131436934575222610137142',8193,'1161',50.30,1,3,NULL),(25,6197485,'1994-04-30 00:00:00',4,6,12,2010,'M','N','CENTRO','ITAJAÍ','SC','124242241215111431469914575125610114052',20320,'392',33.67,1,3,NULL),(25,6197493,'1993-01-17 00:00:00',2,4,11,2010,'F','N','ZONA RURAL','BR COTEGIPE','RS','120202201216111431658815575122610124187',10580,'9998',46.50,1,3,NULL),(25,6197507,'1994-01-09 00:00:00',4,7,12,2010,'F','N','CIDADE JARDIM','CATANDUVAS','SC','124241242115111231326614591124610127082',20443,'8',29.47,1,3,NULL),(25,6197515,'1993-11-10 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241112141731643314572122610162182',17169,'592',35.98,1,2,1),(25,6197523,'1993-02-05 00:00:00',4,2,12,2010,'M','N','FIDELIS','BLUMENAU','SC','124242241117151441468632275124610142092',13924,'88',40.72,1,3,NULL),(25,6197531,'1994-10-05 00:00:00',4,1,12,2011,'F','S','AREIAS','S JOSÉ','SC','124242241435131511352833575122610136127',NULL,'738',20.30,1,3,NULL),(25,6197540,'1984-09-16 00:00:00',4,1,12,2003,'M','N','TENIS CLUBE','ASSIS','SP','125252257317132421118649395325242864057',NULL,'9998',0.00,1,3,NULL),(25,6197558,'1992-07-17 00:00:00',4,8,12,2009,'F','N','CENTRO','MAMBORÊ','PR','116162161216472431348921571125610165143',9129,'9998',49.37,1,3,NULL),(25,6197566,'1986-09-24 00:00:00',2,1,12,2004,'F','N','KOBRASOL','S JOSÉ','SC','124242241216152431256823285122122226017',16448,'724',41.48,1,3,NULL),(25,6197574,'1990-02-26 00:00:00',2,1,12,2007,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241137475431423514272114610161047',3764,'307',62.28,4,2,1),(25,6197582,'1993-05-05 00:00:00',4,8,12,2010,'M','N','IRIRIU','JOINVILLE','SC','124241243117131431336824345124610162145',16480,'24',36.35,1,2,1),(25,6197590,'1994-01-01 00:00:00',2,17,11,2010,'F','N','RIO DA AREIA','UNIÃO VITÓRIA','PR','116162161211171411156829561115610162197',NULL,'9998',30.47,1,3,NULL),(25,6197604,'1989-05-02 00:00:00',2,1,12,2006,'F','N','AREIAS','S JOSÉ','SC','124241241116131411224329485114610138197',NULL,'425',30.19,1,2,1),(25,6197612,'1980-06-09 00:00:00',4,1,12,1997,'F','N','CENTRO','FLORIANÓPOLIS','SC','124251161436374431223829485124610122197',7356,'9998',53.64,1,3,NULL),(25,6197647,'1987-08-04 00:00:00',4,8,12,2005,'F','N','GLORIA','JOINVILLE','SC','124244241216274431656821575122333262087',2720,'494',65.14,4,3,NULL),(25,6197655,'1992-09-11 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111731169731575114610127042',1083,'270',73.10,1,3,NULL),(25,6197698,'1992-03-05 00:00:00',2,7,12,2009,'M','N','CENTRO','OURO','SC','124243242115271331223616252122610137052',NULL,'8',11.42,1,3,NULL),(25,6197701,'1993-10-07 00:00:00',4,1,11,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215271431455623575124610124197',10299,'1023',50.82,1,3,NULL),(25,6197710,'1988-11-14 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124072241215473411366712445112131036042',12348,'270',43.42,1,3,NULL),(25,6197728,'1991-04-07 00:00:00',4,8,5,2008,'F','N','CENTRO','JOINVILLE','SC','124242281415573411448811572125610122097',2149,'9998',68.66,1,3,NULL),(25,6197736,'1992-07-26 00:00:00',2,8,12,2009,'F','N','CAMPO DO GADO','RIO NEGRO','PR','116241163216471731326439575123610165017',21546,'9998',27.50,1,3,NULL),(25,6197744,'1992-01-03 00:00:00',4,8,12,2008,'F','N','CENTRO','MAMBORÊ','PR','116162161216472431468931571125610165143',NULL,'9998',0.00,1,3,NULL),(25,6197752,'1992-10-06 00:00:00',4,17,11,2009,'F','N','ALTO DA XV','CURITIBA','PR','116242161215471411458929274122610167147',6524,'9998',55.78,1,3,NULL),(25,6197779,'1989-06-04 00:00:00',2,3,12,2006,'F','N','SÃO PEDRO','APUCARANA','PR','116163161215572431358923275124610162087',1042,'9998',72.33,1,3,NULL),(25,6197809,'1992-04-10 00:00:00',4,9,11,2009,'F','N','BRUSQUE','LAGES','SC','124243241215471722456412445122610145047',12076,'497',44.66,1,3,NULL),(25,6197817,'1989-07-24 00:00:00',4,1,12,2006,'F','N','CENTRO','JARAGUÁ SUL','SC','124241241117161521537934245112533254147',16612,'425',41.22,2,1,1),(25,6197833,'1985-10-23 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124134131136132431117748385121233227097',9465,'9998',48.29,1,3,NULL),(25,6197841,'1990-08-27 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241212273531238831592322232617041',NULL,'737',0.00,1,3,NULL),(25,6197850,'1989-05-11 00:00:00',4,1,12,2006,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241117273431334324445124610128182',11054,'307',49.59,1,2,1),(25,6197868,'1973-08-25 00:00:00',2,1,4,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241247115471411331441412124610121197',18372,'9999',38.16,1,2,1),(25,6197884,'1989-11-15 00:00:00',2,1,12,2007,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241116273431333314332122233237042',21052,'307',30.87,1,2,1),(25,6197922,'1990-09-01 00:00:00',4,1,12,2007,'F','N','JARDIM SÃO PAULO','S PAULO','SP','125251251117571731538824595125610165182',10305,'9998',47.20,1,2,1),(25,6197930,'1989-04-06 00:00:00',4,1,12,2006,'F','N','JARDIM AURÉLIA','CAMPINAS','SP','125251251117371411468813445123140624147',9783,'9998',47.47,1,2,1),(25,6197949,'1991-09-21 00:00:00',2,1,12,2008,'M','N','CENTRO','ITAPIRANGA','SC','124241241225472431446732371124133267097',7921,'1060',54.96,1,3,NULL),(25,6197957,'1986-01-30 00:00:00',2,1,12,2003,'M','N','KAYSER','CAXIAS SUL','RS','120201201147573431444619372114610167117',8131,'9998',51.80,2,1,1),(25,6197965,'1988-08-06 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211371431588912575112132523042',NULL,'262',0.00,1,3,NULL),(25,6197973,'1983-04-28 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217152751129843435122121968047',7240,'229',56.28,1,3,NULL),(25,6197981,'1993-11-16 00:00:00',4,4,12,2010,'F','N','SAIDA BARRA GRANDE','CUNHATAÍ','SC','124241241126161431438713582124610133147',19456,'235',30.93,1,2,1),(25,6198007,'1986-10-01 00:00:00',2,1,12,2003,'F','N','SANTOS DUMONT','S JOSÉ','SC','224241241126342731225354241134610137147',NULL,'257',33.93,1,2,1),(25,6198031,'1977-10-12 00:00:00',4,4,4,1995,'M','N','CENTRO','CONCÓRDIA','SC','124241242116143441466619415132333164192',NULL,'196',40.14,1,3,NULL),(25,6198040,'1993-04-01 00:00:00',4,8,12,2009,'F','N','ITAUM','JOINVILLE','SC','124244241215472411458632574124610126122',4385,'459',58.99,1,3,NULL),(25,6198058,'1993-03-15 00:00:00',2,4,12,2010,'M','N','INTERIOR','VICTOR GRAEFF','RS','120201202117151431624336571124610167047',NULL,'9998',0.00,1,2,1),(25,6198066,'1992-08-18 00:00:00',2,8,12,2009,'F','N','BRASILIA','S BENTO SUL','SC','124241241116271421433622285124610137174',15677,'697',38.47,1,2,1),(25,6198074,'1991-08-08 00:00:00',4,4,12,2008,'F','N','CENTRO','PATO BRANCO','PR','116162161217571431468913372112142234147',4976,'9998',59.02,1,3,NULL),(25,6198082,'1989-03-27 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216273411559812385121121432187',4479,'262',60.12,1,3,NULL),(25,6198090,'1990-11-03 00:00:00',2,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124091091116162541323311185325221724192',15385,'9998',43.08,1,3,NULL),(25,6198104,'1991-11-26 00:00:00',2,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124243241117211432316627372124610137047',21635,'30',26.37,1,3,NULL),(25,6198112,'1992-12-10 00:00:00',4,1,12,2009,'F','N','UNIVERSITARIO','ITUIUTABA','MG','113132131237371431556812575124610122072',NULL,'9998',36.14,1,3,NULL),(25,6198120,'1990-12-18 00:00:00',2,9,12,2008,'M','N','REBOUÇAS','CURITIBA','PR','116241161131333631323319391324610114182',NULL,'9998',19.42,1,2,1),(25,6198139,'1989-06-25 00:00:00',4,2,12,2006,'F','N','JARDIM JAPÃO','S PAULO','SP','125252251217471411626614271114141946097',3223,'9998',63.44,1,3,NULL),(25,6198147,'1981-03-16 00:00:00',2,1,12,1998,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241126375421334413235134221117147',15183,'277',37.29,1,2,1),(25,6198163,'1994-08-05 00:00:00',4,1,12,2011,'F','S','AREIAS','S JOSÉ','SC','124241241116141431433334245124610164047',NULL,'730',19.76,1,3,NULL),(25,6198180,'1993-07-30 00:00:00',2,1,11,2010,'M','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124243248215221431326613395112610127042',NULL,'1038',15.93,2,1,2),(25,6198198,'1969-06-04 00:00:00',2,1,12,1989,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241126133421121144442334330236193',21508,'307',27.82,1,3,NULL),(25,6198201,'1976-01-04 00:00:00',2,1,12,1996,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624241241127232431223351285124610131061',19272,'846',36.34,1,2,1),(25,6198210,'1989-11-16 00:00:00',4,1,12,2006,'M','N','CENTRO','GAROPABA','SC','124241241126152431435614475121130767117',13157,'322',46.39,1,2,1),(25,6198228,'1987-04-03 00:00:00',2,3,12,2004,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241216155711448719495122131516127',12534,'948',43.46,1,3,NULL),(25,6198236,'1991-10-13 00:00:00',4,8,12,2008,'M','N','JD MARIA LUIZA','CASCAVEL','PR','116164161417271431456612275113141462082',8056,'9998',52.20,1,3,NULL),(25,6198244,'1989-09-30 00:00:00',2,1,12,2006,'F','N','SERRARIA','S JOSÉ','SC','124243241215273431345614445124610134097',NULL,'738',36.37,1,3,NULL),(25,6198252,'1979-05-13 00:00:00',2,1,12,1996,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241248127145721123344242334610122047',16107,'281',37.14,1,2,1),(25,6198260,'1991-07-03 00:00:00',2,1,12,2008,'F','N','CENTRO','S JOÃO BATISTA','SC','124244241115573431336932575122610168172',8945,'712',53.16,1,3,NULL),(25,6198279,'1991-12-05 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431469913572112141464042',381,'262',78.63,1,3,NULL),(25,6198287,'1991-10-10 00:00:00',2,1,12,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241111473451211529392224610164097',12214,'592',45.09,1,2,1),(25,6198309,'1992-11-06 00:00:00',4,1,12,2009,'F','N','JD NOVO HORIZONTE','MARINGÁ','PR','116162161216471411468912595122610163047',NULL,'9998',0.00,1,3,NULL),(25,6198317,'1992-02-02 00:00:00',2,8,12,2008,'M','N','BOA VISTA','SIQUEIRA CAMPOS','PR','116161161215572451437919575122610127067',2876,'9998',66.05,1,3,NULL),(25,6198325,'1992-08-21 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241127131731326574345114610147055',20636,'255',32.61,1,2,1),(25,6198341,'1993-11-18 00:00:00',2,4,12,2010,'M','N','ENEAS MARQUES','ENÉAS MARQUES','PR','116161161117131231516625572324610137142',NULL,'9998',19.97,1,2,1),(25,6198350,'1987-11-12 00:00:00',3,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116152751528679295114322266145',15377,'506',43.09,1,3,NULL),(25,6198384,'1992-10-21 00:00:00',2,17,12,2009,'F','N','SÃO BASILIO MAGNO','UNIÃO VITÓRIA','PR','124241241217121431326619595124610137057',NULL,'1038',22.67,1,3,NULL),(25,6198406,'1993-08-31 00:00:00',4,4,12,2010,'M','N','NOSSA SRA APARECIDA','FRANCISCO BELTRÃO','PR','116162161215151431368911475122610162122',6971,'9998',53.21,1,3,NULL),(25,6198414,'1992-01-31 00:00:00',2,4,12,2008,'M','N','CENTRO','MEDIANEIRA','PR','116164161115571431346629575122610127072',5516,'9998',56.69,1,3,NULL),(25,6198422,'1993-11-11 00:00:00',4,4,12,2010,'M','N','CENTRO','XAXIM','SC','124241241215161231339614575125610134042',17504,'994',39.74,1,3,NULL),(25,6198430,'1991-09-09 00:00:00',4,1,11,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215472431466823575114610134052',18,'270',87.89,1,3,NULL),(25,6198449,'1977-12-31 00:00:00',2,8,12,1998,'M','N','GUANABARA','JOINVILLE','SC','224241246146154421633374195124331567187',4552,'485',60.30,1,2,1),(25,6198457,'1988-06-29 00:00:00',4,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124242241215574431246929495122222334092',8002,'270',52.26,1,3,NULL),(25,6198465,'1992-08-19 00:00:00',4,7,12,2009,'F','N','SÃO ROQUE','IOMERÊ','SC','124241241341132411426335141224231462192',NULL,'1133',0.00,1,3,NULL),(25,6198473,'1991-10-17 00:00:00',4,1,12,2009,'F','N','ITAIPU','MARÍLIA','SP','125252251215371431348811572122610134142',8683,'9998',48.61,1,3,NULL),(25,6198490,'1993-04-28 00:00:00',4,9,12,2010,'M','N','BRUSQUE','LAGES','SC','124242241214372431438636475122610164092',3581,'515',62.11,1,3,NULL),(25,6198503,'1991-04-05 00:00:00',2,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241215573431437921575112610133012',19286,'499',36.31,1,3,NULL),(25,6198511,'1991-08-22 00:00:00',4,1,11,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217473421459913572124610127047',1440,'1133',71.58,1,3,NULL),(25,6198538,'1993-03-01 00:00:00',4,5,11,2010,'F','N','CENTRO','SIDERÓPOLIS','SC','124242241211371431656953571122610127142',19234,'767',30.43,1,3,NULL),(25,6198554,'1993-10-21 00:00:00',4,9,11,2010,'F','N','CENTRO','VACARIA','RS','120204191231111431336822571122610168181',9820,'9998',48.35,1,3,NULL),(25,6198562,'1991-08-23 00:00:00',2,4,12,2008,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124244241216253431554522375122610144142',12508,'185',47.32,1,3,NULL),(25,6198570,'1993-01-16 00:00:00',2,1,12,2010,'M','N','CENTRO','BIGUAÇU','SC','124241241116271421426624485124610168012',15446,'65',42.98,1,2,1),(25,6198589,'1994-09-17 00:00:00',4,1,12,2012,'M','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217151552589931477112610168197',NULL,'270',38.67,1,3,NULL),(25,6198597,'1993-04-30 00:00:00',2,1,12,2010,'F','N','FUNDO CANOAS','RIO SUL','SC','124242241216371431348611412122610143147',8690,'653',50.53,4,3,NULL),(25,6198619,'1986-08-28 00:00:00',2,1,12,2003,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241126372431436723394334610124047',NULL,'274',19.91,4,2,1),(25,6198627,'1992-03-13 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124241241111442431533811315224610136142',11409,'734',49.04,4,2,1),(25,6198635,'1992-03-25 00:00:00',2,9,11,2009,'M','N','CENTRO','LAGES','SC','124242241216472431459932472122610127012',10667,'1207',47.04,1,3,NULL),(25,6198651,'1991-01-24 00:00:00',4,8,12,2008,'M','N','VILA NOVA','JOINVILLE','SC','124241246215111431356313445122610127142',18141,'1006',38.58,1,3,NULL),(25,6198660,'1992-03-08 00:00:00',2,3,12,2009,'F','N','CENTRO','PNT GROSSA','PR','116163161211271731438823575122143266077',12035,'9998',43.87,1,3,NULL),(25,6198686,'1988-01-12 00:00:00',4,1,12,2006,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242281215574751456619595114610162047',15270,'9998',38.88,1,3,NULL),(25,6198694,'1993-09-25 00:00:00',4,2,12,2010,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215121431449912575112610114117',NULL,'855',0.00,1,3,NULL),(25,6198708,'1993-02-24 00:00:00',4,8,12,2010,'M','N','BELA VISTA','RIO NEGRINHO','SC','124244241217111411449913575122610142062',NULL,'666',0.00,1,3,NULL),(25,6198716,'1993-11-04 00:00:00',4,9,12,2010,'M','N','CENTRO','CORREIA PINTO','SC','124244242115161431546816572124610118045',19935,'960',34.77,1,3,NULL),(25,6198724,'1993-02-22 00:00:00',4,8,12,2010,'F','N','JARDIM SOFIA','JOINVILLE','SC','124241241415271731459933191124610138142',20853,'478',31.71,1,3,NULL),(25,6198732,'1986-05-23 00:00:00',2,1,12,2005,'F','N','BARCELONA','S CAETANO SUL','SP','125253257426131731626644245134143222047',NULL,'9998',0.00,1,3,NULL),(25,6198740,'1992-09-21 00:00:00',4,6,12,2010,'M','N','DOM BOSCO','ITAJAÍ','SC','124242241216311421566814372121610127047',NULL,'1057',0.00,4,3,NULL),(25,6198759,'1994-08-29 00:00:00',4,5,12,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215111411368834475122610168182',11055,'226',49.59,1,3,NULL),(25,6198767,'1993-01-03 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117111431347929495114610148065',NULL,'271',31.93,1,3,NULL),(25,6198775,'1993-05-21 00:00:00',4,1,8,2011,'F','S','CENTRO','PATO BRANCO','PR','116162161215111731468819575112610134072',NULL,'267',0.00,1,3,NULL),(25,6198783,'1990-03-03 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241146152431436631375124220625047',NULL,'307',0.00,2,1,1),(25,6198791,'1977-07-14 00:00:00',2,1,12,2002,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201201126372711123343235334141966117',11261,'9998',49.29,1,3,NULL),(25,6198805,'1993-02-23 00:00:00',4,6,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215371131568932572121610167092',13344,'44',46.16,1,3,NULL),(25,6198821,'1994-01-25 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124201241117471431526614575124610124047',7148,'307',53.16,4,2,1),(25,6198830,'1993-01-04 00:00:00',4,1,12,2009,'F','N','BATEL','CURITIBA','PR','116162161215371441358912575124141435042',NULL,'9998',0.00,4,3,NULL),(25,6198848,'1992-08-04 00:00:00',4,8,12,2010,'F','N','ALEGRE','RIO NEGRINHO','SC','124242241235161431578812374112610168042',NULL,'666',33.59,1,3,NULL),(25,6198856,'1992-04-20 00:00:00',4,1,12,2009,'F','N','JARDIM SÃO MARCOS','JABOTICABAL','SP','125252251216472431578811592122610137047',13590,'9998',39.82,1,3,NULL),(25,6198864,'1994-01-09 00:00:00',4,8,12,2010,'F','N','CENTRO','RIO NEGRO','PR','116162161215161431446612574115610164182',4123,'9998',60.85,1,3,NULL),(25,6198872,'1991-05-14 00:00:00',2,8,12,2008,'F','N','PINHEIRINHO','CURITIBA','PR','116164161235572411533532572124610134197',5205,'9998',57.42,1,3,NULL),(25,6198880,'1994-02-03 00:00:00',2,7,12,2010,'F','N','CENTRO','AT BELA VISTA','SC','124241241127161431633532575122610126051',21195,'14',23.97,1,2,1),(25,6198899,'1994-02-10 00:00:00',4,1,12,2010,'F','N','CENTRO','CPO MOURÃO','PR','116162161216111431478831575122610126012',NULL,'9998',0.00,1,3,NULL),(25,6198902,'1993-02-10 00:00:00',2,4,12,2010,'M','N','NOVO HORIZONTE','PATO BRANCO','PR','116163161114471441533634572125610167017',NULL,'9998',0.00,1,3,NULL),(25,6198910,'1993-03-05 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241235141311445953335122610127142',NULL,'499',17.75,1,3,NULL),(25,6198929,'1992-09-23 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215472751148812592324230227051',1471,'213',71.39,1,3,NULL),(25,6198953,'1993-05-20 00:00:00',2,10,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124242241225131431226329272324610132147',11542,'524',44.40,1,3,NULL),(25,6198961,'1993-04-23 00:00:00',2,6,11,2010,'F','N','CENTRO','RIO OESTE','SC','124241241215111431359613575124610124032',13478,'653',40.94,1,3,NULL),(25,6198970,'1994-01-11 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431489813575122610127067',NULL,'270',45.33,1,3,NULL),(25,6198996,'1993-04-19 00:00:00',4,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243241225111431658713575114610143045',5784,'262',55.47,1,3,NULL),(25,6199011,'1993-10-17 01:00:00',2,1,11,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215472431448812372124610167142',2517,'270',65.80,1,3,NULL),(25,6199020,'1993-11-22 00:00:00',4,6,11,2010,'F','N','ITAJUBA','BARRA VELHA','SC','124244241415151731338932595122610124012',NULL,'389',0.00,1,3,NULL),(25,6199054,'1988-08-20 00:00:00',4,1,12,2008,'M','N','FAZENDA SOUZA','CAXIAS SUL','RS','120201201125571411436613275114610144017',NULL,'9998',33.54,1,2,1),(25,6199062,'1993-09-18 00:00:00',4,4,12,2010,'F','N','ZONA RURAL','PERITIBA','SC','124241241115271431423435574124610116077',11680,'192',43.51,1,2,1),(25,6199070,'1992-07-24 00:00:00',4,15,12,2009,'M','N','PARQUE DOS VINHEDOS','CAXIAS SUL','RS','120201201117371431437714345122610127111',NULL,'9998',12.96,1,2,1),(25,6199100,'1994-05-04 00:00:00',4,15,11,2010,'F','N','CIDADE ALTA','TURVO','SC','124243241217121321476611575122610163012',NULL,'813',18.56,1,3,NULL),(25,6199119,'1992-10-09 00:00:00',2,1,12,2010,'M','N','JARDIM ESTADOS UNIDO','JALES','SP','125252251217111431564812575113610167097',17481,'9998',32.81,1,3,NULL),(25,6199127,'1993-01-22 00:00:00',4,6,12,2010,'M','N','FAZENDA','ITAJAÍ','SC','124242241215311131445812246132610122111',NULL,'394',0.00,1,3,NULL),(25,6199135,'1992-06-24 00:00:00',2,2,12,2009,'F','N','CENTRO','RIO SUL','SC','124242241211471431436832571124610118092',13746,'991',45.56,1,3,NULL),(25,6199143,'1991-09-23 00:00:00',4,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124202268613422311487812571122610113147',1267,'9997',71.53,1,3,NULL),(25,6199160,'1993-09-14 00:00:00',4,1,12,2010,'M','N','PARAÍSO','S PAULO','SP','125192251217271531589913575114610164187',4311,'9998',59.86,1,3,NULL),(25,6199178,'1993-03-22 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215112431267831575112610138192',12817,'270',46.88,1,3,NULL),(25,6199186,'1994-02-03 00:00:00',4,9,11,2010,'F','N','FREI ROGÉRIO','LAGES','SC','124242241215111531579921575122610123017',21564,'1207',27.33,1,3,NULL),(25,6199216,'1992-01-04 00:00:00',4,4,12,2009,'M','N','COUNTRY','CASCAVEL','PR','116162281415471431469934275122610132057',NULL,'9998',23.14,1,3,NULL),(25,6199224,'1992-01-18 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217272431468812571122610142182',3644,'1050',62.43,1,3,NULL),(25,6199232,'1989-10-13 00:00:00',4,1,12,2006,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241243216273432436321445124122967147',NULL,'1105',35.47,1,3,NULL),(25,6199240,'1991-09-26 00:00:00',2,5,12,2008,'F','N','RIO MAINA','CRICIÚMA','SC','124243246236131731536314345124610128077',16430,'995',35.20,4,1,2),(25,6199259,'1994-05-10 00:00:00',4,1,12,2011,'F','S','CAPISTRANO','BOM RETIRO','SC','124241241127151431424613575122610144042',NULL,'95',30.70,1,3,NULL),(25,6199267,'1993-01-07 00:00:00',2,1,12,2010,'F','N','DANIELA','FLORIANÓPOLIS','SC','116161161127131431624415575124610124112',NULL,'9998',28.80,4,2,1),(25,6199283,'1989-08-31 00:00:00',2,1,12,2006,'M','N','CORAL','LAGES','SC','124241241316575431434419395124610127187',11355,'1065',45.30,1,3,NULL),(25,6199305,'1993-05-07 00:00:00',2,4,12,2010,'F','N','INTERIOR','QUILOMBO','SC','124241241117161211533335572322610128142',18932,'648',31.06,1,2,1),(25,6199313,'1991-03-04 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117152431334419575112221942197',7145,'69',53.41,1,2,1),(25,6199321,'1992-03-19 00:00:00',2,1,12,2009,'M','N','VILA MARIANA','TAIÓ','SC','124244241215473421466633575124610167067',8989,'991',53.07,1,3,NULL),(25,6199330,'1991-02-19 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431377923572122133261077',3647,'988',64.20,1,3,NULL),(25,6199348,'1993-01-17 00:00:00',4,9,12,2009,'F','N','BOM FIM','PTO ALEGRE','RS','120202201216472431447832575115610112192',NULL,'9998',33.01,1,3,NULL),(25,6199356,'1992-03-16 00:00:00',4,1,12,2010,'F','N','PARAÍSO','S PAULO','SP','125251251215411411456923591111610162112',2873,'9998',65.57,1,3,NULL),(25,6199364,'1992-05-26 00:00:00',2,1,12,2009,'M','N','CENTRO','BIGUAÇU','SC','124241241116272431439613575124610164047',15834,'65',42.40,1,2,1),(25,6199372,'1993-10-22 00:00:00',2,1,12,2010,'M','N','BELA VISTA','S JOSÉ','SC','124241241115151721236923345124610127047',NULL,'726',24.63,1,2,1),(25,6199380,'1975-12-02 00:00:00',2,1,12,1993,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','624202201316131731226344345334143231093',NULL,'9998',0.00,1,3,NULL),(25,6199399,'1987-02-12 00:00:00',4,1,12,2004,'F','N','SANTOS DUMONT','S JOSÉ','SC','124241241116371411425629495114610166192',NULL,'257',39.78,1,2,1),(25,6199402,'1973-08-15 00:00:00',2,1,12,1994,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241126135431124444145121610118097',NULL,'840',16.82,1,2,1),(25,6199410,'1976-01-28 00:00:00',2,10,1,1994,'M','N','MORROTES','TUBARÃO','SC','124201203126153411222644145225432212192',18262,'806',38.36,1,3,NULL),(25,6199429,'1993-02-28 00:00:00',4,9,12,2010,'F','N','VILA NOVA','LAGES','SC','124241241115271441336851575122610132197',NULL,'935',0.00,1,2,1),(25,6199437,'1990-02-05 00:00:00',4,1,12,2007,'F','N','PARAÍSO','S PAULO','SP','125252191216572431589913445124242262182',9164,'9998',49.35,1,3,NULL),(25,6199445,'1992-07-05 00:00:00',4,1,12,2009,'F','N','TOBIAS','JOAÇABA','SC','124242241217371431228869575324610163147',10649,'962',45.01,1,3,NULL),(25,6199453,'1988-07-22 00:00:00',2,1,7,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243247337142421336511335122230247043',17290,'9999',36.48,1,3,NULL),(25,6199461,'1991-12-20 00:00:00',4,8,12,2008,'M','N','CENTRO','BARBOSA FERRAZ','PR','116162161215571211368831575122610167047',4575,'9998',60.12,1,3,NULL),(25,6199470,'1992-09-03 00:00:00',2,1,1,2010,'M','N','SAO DIMAS','S JOSÉ CAMPOS','SP','125282281217471431149533475122610164113',4360,'9998',61.17,4,3,NULL),(25,6199488,'1993-06-30 00:00:00',4,4,12,2010,'M','N','LINHA ARAÇA','SAUDADES','SC','124241241136161231653336195124610112077',6767,'1231',54.35,1,2,1),(25,6199496,'1991-07-02 00:00:00',2,1,11,2008,'F','N','CENTRO','SANANDUVA','RS','120204201425573431548512575124610168197',13584,'9998',41.96,1,3,NULL),(25,6199500,'1990-08-13 00:00:00',2,1,12,2007,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241216474451579924572124133264092',5821,'262',59.13,1,3,NULL),(25,6199518,'1994-04-28 00:00:00',2,15,11,2010,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124242241215111531468612572112610132124',NULL,'970',0.00,1,3,NULL),(25,6199526,'1990-11-04 00:00:00',2,1,12,2009,'M','N','GUAIRA','CURITIBA','PR','116161161137131431226674371324610167187',NULL,'9998',32.12,1,2,1),(25,6199550,'1984-07-26 00:00:00',4,1,12,2001,'F','N','ARMAÇAO','PENHA','SC','124243241215472421467614375114131563187',11742,'392',48.56,1,3,NULL),(25,6199569,'1992-08-10 00:00:00',2,1,12,2009,'M','N','LAGOINHAS','BAL GAIVOTA','SC','124241242117271431526412575124610147182',6917,'690',55.00,4,2,1),(25,6199577,'1994-08-21 00:00:00',4,1,12,2010,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241215111431448632575124610134092',NULL,'1123',27.07,4,3,NULL),(25,6199593,'1993-07-15 00:00:00',4,10,12,2010,'M','N','CABEÇUDA','LAGUNA','SC','124243241225111431446933575124610134047',20115,'524',29.91,1,3,NULL),(25,6199623,'1985-05-07 00:00:00',4,1,12,2002,'F','N','VILA LEOPOLDINA','S PAULO','SP','125201201216471431257811395122340237187',4288,'9998',59.41,1,3,NULL),(25,6199631,'1993-08-06 00:00:00',4,9,11,2010,'M','N','CENTRO','RIO SUL','SC','124242241215111411336732571122610164182',NULL,'991',10.70,1,3,NULL),(25,6199640,'1991-12-29 00:00:00',4,8,12,2008,'M','N','AFONSO CAMARGO','APUCARANA','PR','116161161116571731446612291122610162047',7334,'9998',52.24,1,2,1),(25,6199666,'1990-05-26 00:00:00',2,1,11,2006,'M','N','PRAIA DO FORTE','FLORIANÓPOLIS','SC','124201201116151411127749495233130764047',NULL,'9998',NULL,1,2,1),(25,6199674,'1989-06-16 00:00:00',4,1,12,2006,'F','N','CENTRO','PAULO LOPES','SC','124241241315372411333339345124131022057',12745,'1022',47.00,1,3,NULL),(25,6199682,'1992-02-09 00:00:00',2,1,11,2009,'M','N','CENTRO','S JOAQUIM','SC','124242241211372431439812595144610167046',14935,'1035',43.78,1,3,NULL),(25,6199690,'1988-02-26 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241126475731523479241132130228197',20461,'287',28.19,1,2,1),(25,6199720,'1988-06-01 00:00:00',4,8,12,2005,'M','N','OFICINAS','PNT GROSSA','PR','116162161215371431468816495112140337122',NULL,'9998',0.00,1,3,NULL),(25,6199739,'1992-04-25 00:00:00',2,1,12,2009,'F','N','FELIPI','S JORGE','RS','120201201116471431326631595124610164142',NULL,'9998',17.78,1,2,1),(25,6199747,'1993-11-09 00:00:00',4,2,12,2010,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124011011111111111111111111111110111011',NULL,'855',31.49,1,3,NULL),(25,6199763,'1991-09-18 00:00:00',4,6,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215573431246532395115610131072',4449,'1038',62.13,1,3,NULL),(25,6199771,'1992-11-24 00:00:00',4,8,12,2009,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215372441558811572125610132117',5916,'9998',56.32,1,3,NULL),(25,6199780,'1993-06-04 00:00:00',2,9,11,2010,'F','N','JARDIM AMÉRICA','RIO SUL','SC','124242241217112431435632585122610144042',5069,'991',58.26,1,3,NULL),(25,6199798,'1994-03-24 00:00:00',4,10,11,2011,'F','S','CENTRO','BRAÇO NORTE','SC','124244241215111451336611592122610168187',NULL,'807',55.70,1,3,NULL),(25,6199801,'1993-09-14 00:00:00',4,1,11,2010,'M','N','ARIRIU','PALHOÇA','SC','124242241217111411233824575124610124032',9951,'1011',46.98,1,3,NULL),(25,6199810,'1990-04-19 00:00:00',2,1,7,2009,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241116132431432823391134610123142',NULL,'739',0.00,1,3,NULL),(25,6199828,'1994-01-23 00:00:00',2,7,12,2010,'F','N','VILA ALEMANHA','LUZERNA','SC','124241241115271431434614245124610126177',16180,'539',36.18,1,2,1),(25,6199836,'1991-05-10 00:00:00',4,1,12,2008,'M','N','VILA INDUSTRIAL','BAURU','SP','125252251217511731568831272122610111082',NULL,'9998',0.00,1,3,NULL),(25,6199852,'1990-09-27 00:00:00',2,1,10,2008,'M','N','JARDIM PAULISTA','ARAÇATUBA','SP','125254251416351431246629292122610127043',18077,'9998',32.79,1,3,NULL),(25,6199860,'1993-09-21 00:00:00',2,15,12,2010,'F','N','BARRA DO PINHEIRINHO','JACINTO MACHADO','SC','124241241117371431423315252124610127147',20627,'420',32.64,1,2,1),(25,6199879,'1985-02-21 00:00:00',1,1,12,2001,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124251251112142151229831117221612961113',NULL,'9998',31.45,1,3,NULL),(25,6199887,'1992-02-23 00:00:00',2,1,12,2009,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241237113711437819475122130838097',NULL,'1022',0.00,1,3,NULL),(25,6199895,'1992-01-21 00:00:00',4,1,12,2009,'F','N','CENTRO','CPO MOURÃO','PR','116162161216471431478831575122610126012',NULL,'9998',0.00,1,3,NULL),(25,6199909,'1989-02-04 00:00:00',4,1,11,2006,'M','N','BARREIROS','S JOSÉ','SC','124242241216154431455633332124121467043',10484,'943',45.98,1,3,NULL),(25,6199917,'1994-06-20 00:00:00',4,1,11,2011,'F','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111431458834572122510137052',NULL,'1050',0.00,1,3,NULL),(25,6199925,'1990-12-25 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217473741369931575112121064042',480,'270',77.75,1,3,NULL),(25,6199933,'1987-09-24 00:00:00',4,15,12,2004,'M','N','COLONINHA','ARARANGUÁ','SC','124244241216132641469729115122131067092',13822,'32',40.24,1,3,NULL),(25,6199941,'1991-09-29 00:00:00',4,2,11,2009,'M','N','SETE DE SETEMBRO','GASPAR','SC','124242241213472411459933595124610167012',2439,'88',65.58,4,3,NULL),(25,6199950,'1990-09-06 00:00:00',4,1,12,2007,'F','N','CIDADE NOVA','MARINGÁ','PR','116162161215571431333412572112610126142',10065,'9998',45.76,1,3,NULL),(25,6199968,'1992-02-21 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216372431239729595124233268052',9596,'497',49.49,1,3,NULL),(25,6199976,'1992-12-06 00:00:00',2,4,12,2009,'M','N','ZONA V','UMUARAMA','PR','116163161116471431424624384324610166197',4664,'9998',57.78,1,3,NULL),(25,6199984,'1992-06-25 00:00:00',4,1,12,2009,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215373431478834575122130227052',2133,'270',68.05,1,3,NULL),(25,6200001,'1992-01-20 00:00:00',4,1,11,2009,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215473411489931475122610162122',NULL,'270',0.00,1,3,NULL),(25,6200010,'1991-05-23 00:00:00',4,1,12,2008,'F','N','JARDIM FACULDADE','SOROCABA','SP','125252251215571411469813345125610137152',NULL,'9998',0.00,1,3,NULL),(25,6200028,'1991-10-06 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431338613375125131427041',2632,'807',66.57,3,3,NULL),(25,6200036,'1993-11-01 00:00:00',4,1,12,2010,'F','N','CENTRO','BOTUCATU','SP','125251251315111141356679275112610118144',NULL,'9998',0.00,1,3,NULL),(25,6200044,'1993-09-23 00:00:00',4,8,10,2010,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116162161216471751466634574112610164122',14717,'9998',44.13,1,3,NULL),(25,6200052,'1992-08-07 00:00:00',4,5,11,2009,'F','N','MICHEL','CRICIÚMA','SC','124242241215473751559819572122610118127',12874,'226',42.84,1,3,NULL),(25,6200060,'1992-07-13 00:00:00',2,4,12,2009,'F','N','CENTRO','ROMELÂNDIA','SC','124241241132151431426633575124610124157',6525,'174',55.13,3,2,1),(25,6200079,'1985-01-18 00:00:00',4,1,12,2002,'M','N','V SÃO PEDRO','S JOSÉ CAMPOS','SP','125251251135571711221329345114610138082',13642,'9998',40.84,2,2,1),(25,6200087,'1992-02-23 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431476612574214610123145',4507,'751',59.52,1,3,NULL),(25,6200095,'1991-11-25 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241417111431436611345114610124052',20782,'307',32.00,1,3,NULL),(25,6200109,'1993-09-22 00:00:00',4,1,11,2010,'M','N','CENTRO','LONDRINA','PR','116162161217111441379913496122610128182',NULL,'9998',35.58,4,3,NULL),(25,6200117,'1992-09-02 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431238624575112610167072',14642,'262',44.14,1,3,NULL),(25,6200125,'1992-06-17 00:00:00',4,1,12,2009,'M','N','VILA ROSA','ITAPETININGA','SP','125252251217471432447614575112610137112',7906,'9998',51.68,1,3,NULL),(25,6200133,'1992-06-19 00:00:00',4,8,12,2009,'M','N','CENTRO','GARUVA','SC','124241241127471431424933592122610167057',NULL,'923',20.92,1,2,1),(25,6200141,'1993-09-05 00:00:00',4,15,11,2010,'M','N','CENTRO','TURVO','SC','124242241215322451467831215122610137042',6653,'813',57.38,1,3,NULL),(25,6200150,'1993-10-21 00:00:00',2,15,12,2010,'F','N','LINHA CONTESSI','TURVO','SC','124242241215221431334611572122610127142',20292,'813',33.79,1,3,NULL),(25,6200168,'1993-11-08 00:00:00',4,4,11,2010,'M','N','CENTRO','CANOINHAS','SC','124241241215111731568514472124610117062',8861,'1191',49.56,1,3,NULL),(25,6200176,'1984-07-23 00:00:00',2,8,12,2001,'F','N','FLORESTA','JOINVILLE','SC','224241241126141221328359245332130228142',20480,'465',33.22,1,2,1),(25,6200184,'1992-03-14 00:00:00',4,1,11,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217121451468913575124610131092',2967,'270',63.94,1,3,NULL),(25,6200192,'1993-06-25 00:00:00',4,1,11,2010,'M','N','RATONES','FLORIANÓPOLIS','SC','124242241215111431466624575124610162026',14719,'270',42.40,1,3,NULL),(25,6200206,'1987-03-02 00:00:00',2,8,12,2006,'F','N','BOA VISTA','JOINVILLE','SC','124241241136371131456623275114610124182',NULL,'477',0.00,1,2,1),(25,6200214,'1991-05-05 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241226373431538331372121610167167',19678,'262',30.28,2,1,2),(25,6200230,'1992-06-25 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215472411444932572324610126182',8326,'270',50.37,1,3,NULL),(25,6200249,'1982-06-23 00:00:00',2,1,12,1999,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124044041236135431229713485124232264127',17085,'9998',40.48,1,3,NULL),(25,6200265,'1993-10-09 00:00:00',4,1,12,2010,'F','N','SANTA FÉ','CPO GRANDE','MS','112122121217111431568832575122610167142',4805,'9998',57.92,1,3,NULL),(25,6200273,'1992-04-23 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241317132431424411382324610167047',NULL,'278',0.00,1,3,NULL),(25,6200281,'1994-03-21 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124243241115111731537622572124610123142',NULL,'271',43.83,1,3,NULL),(25,6200290,'1991-03-27 00:00:00',4,1,12,2008,'M','N','VILA AVIAÇÃO','BAURU','SP','125252251217471411347832325112140264042',NULL,'9998',0.00,1,3,NULL),(25,6200303,'1993-11-16 00:00:00',4,2,12,2010,'F','N','PEREQUÊ','PTO BELO','SC','124243241315131431328621282314610137057',NULL,'405',0.00,1,3,NULL),(25,6200311,'1994-10-06 00:00:00',2,1,11,2010,'F','N','CENTRO','NOVA TRENTO','SC','124241241235121131555822285124610144142',NULL,'981',6.77,3,3,NULL),(25,6200320,'1993-10-12 00:00:00',4,6,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215271731239931575125610168181',7380,'44',51.85,1,3,NULL),(25,6200338,'1990-01-29 00:00:00',4,1,12,2007,'F','N','VILA ANGELICA','SOROCABA','SP','125251251215471431436629574124610133147',20107,'9998',34.29,3,3,NULL),(25,6200346,'1993-03-10 00:00:00',2,9,12,2010,'F','N','BUDAG','RIO SUL','SC','124244241215271431233923575122610158052',NULL,'959',0.00,1,3,NULL),(25,6200354,'1992-12-07 00:00:00',2,3,12,2009,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124241246235271431226923272122610162147',NULL,'1086',27.21,1,3,NULL),(25,6200370,'1993-01-29 00:00:00',4,4,12,2010,'M','N','FLORESTA','MARAVILHA','SC','124241241117141431436511242124610164147',18156,'552',33.22,4,2,1),(25,6200389,'1994-02-14 00:00:00',4,6,10,2010,'M','N','FAZENDA','ITAJAÍ','SC','124244241215221431458414575122610162192',NULL,'1026',41.32,1,3,NULL),(25,6200397,'1989-08-27 00:00:00',4,1,12,2006,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241216374431358619575114231465187',4593,'752',61.80,1,3,NULL),(25,6200419,'1992-05-15 00:00:00',4,5,11,2009,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215472431347821575122610147112',3701,'210',62.09,1,3,NULL),(25,6200443,'1990-10-02 00:00:00',2,8,12,2007,'F','N','RUBEM BERTA','PTO ALEGRE','RS','120202201217371421638414495134143213047',19038,'9998',36.87,1,3,NULL),(25,6200451,'1989-11-15 00:00:00',2,1,12,2007,'F','N','CENTRO','S JOSÉ','SC','124242241236474431467933392122231066042',14119,'270',44.98,1,3,NULL),(25,6200460,'1985-07-12 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126133411125549295123322266197',13011,'607',46.58,1,2,1),(25,6200478,'1992-11-07 00:00:00',4,5,12,2009,'F','N','MILANESE','CRICIÚMA','SC','124201201117471751238719272124610162147',15053,'9998',41.05,1,2,1),(25,6200486,'1993-06-25 00:00:00',4,16,11,2010,'F','N','CENTRO','CONCÓRDIA','SC','124092241215121431469914575114610137052',6920,'1047',54.06,1,3,NULL),(25,6200494,'1993-01-02 00:00:00',4,1,12,2009,'M','N','CENTRO','CASCAVEL','PR','116162161215471732478931575115610168172',NULL,'9998',0.00,1,3,NULL),(25,6200516,'1991-06-28 00:00:00',4,1,12,2008,'M','N','SAN CONRADO','CAMPINAS','SP','125254251216571432457712575112610167047',NULL,'9998',0.00,1,3,NULL),(25,6200524,'1991-06-05 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372441326832475124131364092',7133,'1000',54.05,1,3,NULL),(25,6200532,'1992-03-20 00:00:00',4,4,12,2009,'M','N','CENTRO','XANXERÊ','SC','116242241215271221259834282114130264047',NULL,'1233',0.00,1,3,NULL),(25,6200540,'1992-04-25 00:00:00',4,7,12,2009,'M','N','CENTRO','NOVA OLÍMPIA','PR','116163161137472431166933572112610167147',NULL,'9998',0.00,4,3,NULL),(25,6200575,'1992-02-05 00:00:00',2,1,12,2009,'M','N','CENTRO','ITUPORANGA','SC','124244242117272451468612585122610167042',12466,'1222',43.90,1,3,NULL),(25,6200583,'1974-10-22 00:00:00',2,8,12,1992,'F','N','GUANABARA','JOINVILLE','SC','124242246211174751368741412132322362187',14977,'494',43.73,4,3,NULL),(25,6200613,'1993-09-18 00:00:00',2,1,11,2010,'M','N','ROÇADO','S JOSÉ','SC','116244161416121431329821575123610147047',NULL,'9998',0.00,1,3,NULL),(25,6200621,'1988-11-26 00:00:00',2,1,12,2006,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241121132751523313185124610162042',NULL,'274',9.72,4,2,1),(25,6200630,'1993-06-21 00:00:00',4,2,12,2010,'F','N','VICTOR KONDER','BLUMENAU','SC','124241241215111431349829575122610128142',NULL,'855',25.15,1,3,NULL),(25,6200648,'1993-09-23 00:00:00',2,10,12,2010,'F','N','ENCOSTA DO SOL','S LUDGERO','SC','124241241116271431426534575122610167142',19061,'748',30.37,1,2,1),(25,6200656,'1987-02-18 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241226375421334779342234130264147',11804,'262',48.48,4,3,NULL),(25,6200664,'1992-05-10 00:00:00',4,9,12,2009,'F','N','BELA VISTA','LAGES','SC','124243241116271231323619572124610131192',21346,'512',29.19,1,3,NULL),(25,6200672,'1992-03-05 00:00:00',4,1,12,2008,'F','N','PONTA GROSSA','PTO ALEGRE','RS','120203208117571431438823573114610134117',12229,'9998',44.12,1,3,NULL),(25,6200680,'1993-10-21 00:00:00',2,7,12,2010,'M','N','CENTRO','CAÇADOR','SC','124242241215111531446632575112610167052',17820,'1124',39.20,1,3,NULL),(25,6200699,'1993-10-14 00:00:00',4,5,12,2010,'M','N','BRASILIA','TREVISO','SC','124241241135131441323315172324610124177',NULL,'792',0.00,1,2,1),(25,6200702,'1962-07-05 00:00:00',4,8,12,1979,'F','N','BOA VISTA','JOINVILLE','SC','524201206123131431345343232322340164047',21598,'9998',26.95,2,3,NULL),(25,6200710,'1993-06-07 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241235271431447812272122610168092',16054,'1134',39.91,1,3,NULL),(25,6200729,'1993-02-07 00:00:00',4,1,12,2010,'M','N','ALTO ARIRIU','PALHOÇA','SC','124241241136141431533311112124610137052',NULL,'772',10.68,4,2,1),(25,6200737,'1991-09-21 00:00:00',2,10,12,2008,'M','N','CENTRO','ARMAZÉM','SC','124241241127132531448814291123231435171',NULL,'34',0.00,1,2,1),(25,6200761,'1993-05-26 00:00:00',2,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241115141411336524246114610137042',NULL,'298',22.06,2,3,NULL),(25,6200770,'1989-08-31 00:00:00',4,1,12,2006,'F','N','CENTRO','BAURU','SP','125252251416574431439832595125241432182',10652,'9998',50.24,1,3,NULL),(25,6200788,'1989-10-22 00:00:00',2,2,12,2006,'F','N','FIGUEIRA','GASPAR','SC','124243241126132432656314345124610162031',NULL,'325',36.58,1,3,NULL),(25,6200796,'1988-08-05 00:00:00',4,1,12,2007,'M','N','CÔRREGO GRANDE','FLORIANÓPOLIS','SC','124052051216272431327814445135130664095',19647,'9998',30.52,1,3,NULL),(25,6200800,'1979-09-19 00:00:00',4,15,12,1997,'M','N','CENTRO','ARARANGUÁ','SC','124243241137111422435829212122130742055',21196,'29',30.07,1,3,NULL),(25,6200818,'1993-01-25 00:00:00',4,4,12,2010,'M','N','SANTA MARIA','CHAPECÓ','SC','124241241112371232426621572125610167042',NULL,'176',0.00,1,2,1),(25,6200826,'1993-05-20 00:00:00',2,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124241241115271431524414282224610124057',NULL,'734',18.66,1,2,1),(25,6200869,'1989-09-21 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124202201216142411138931115123220267062',7428,'9998',55.91,1,3,NULL),(25,6200877,'1992-11-24 00:00:00',2,1,12,2009,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241116152531324414375124610164147',21020,'307',31.03,1,2,1),(25,6200885,'1987-10-27 00:00:00',2,1,12,2004,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116131531412249395134130337072',NULL,'740',12.05,4,2,1),(25,6200893,'1992-01-30 00:00:00',2,1,12,2009,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124242241217112431326914572124232524157',NULL,'1022',0.00,1,3,NULL),(25,6200907,'1991-07-10 00:00:00',2,1,12,2009,'M','N','ANÁPLIS CITY','ANÁPOLIS','GO','109094091116471751524834375112610167047',NULL,'9998',0.00,1,3,NULL),(25,6200915,'1994-04-07 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431578632145122610167041',10327,'1118',50.29,1,3,NULL),(25,6200931,'1988-01-14 00:00:00',2,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201247215272711114367314314610123117',15298,'9999',43.25,1,3,NULL),(25,6200940,'1993-05-30 00:00:00',4,1,10,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124243243325131631533532221112610128142',NULL,'9999',0.00,1,3,NULL),(25,6200958,'1993-12-01 00:00:00',2,1,12,2010,'M','N','JARDIM SANTO ANTONIO','APIAÍ','SP','125251251116161231324319572124610122147',NULL,'9998',0.00,1,2,1),(25,6200966,'1992-01-26 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215372731348833575114610137062',12212,'738',47.30,1,3,NULL),(25,6200974,'1991-07-29 00:00:00',2,8,12,2008,'F','N','CENTRO','IRATI','PR','116164161215572431448614472344610162147',8657,'9998',49.73,1,3,NULL),(25,6200982,'1993-09-30 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241226111431645334375124610124143',13100,'262',41.67,3,3,NULL),(25,6200990,'1988-01-16 00:00:00',2,4,12,2005,'M','N','CENTRO','S JOSÉ CEDRO','SC','124241241146373431433631282115610164052',1929,'740',67.49,1,2,1),(25,6201008,'1978-04-22 00:00:00',4,5,12,1999,'M','N','CENTRO','FORQUILHINHA','SC','224241246237131421435374315122610122041',NULL,'230',0.00,1,3,NULL),(25,6201016,'1987-12-14 00:00:00',2,1,12,2005,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124091091114131441226544441324141966172',NULL,'9998',36.09,4,2,1),(25,6201024,'1988-12-03 00:00:00',2,1,12,2006,'M','N','PRAIA DE FORA','PALHOÇA','SC','124201241131371421423339345133610164035',NULL,'591',0.00,4,2,1),(25,6201032,'1993-11-23 00:00:00',4,1,12,2010,'M','N','JD ESPLANADA','S JOSÉ CAMPOS','SP','125252251216111411438832575122610128182',NULL,'9998',0.00,1,3,NULL),(25,6201040,'1988-03-31 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241245125241521211344241334610116142',NULL,'726',17.43,2,1,1),(25,6201059,'1992-08-06 00:00:00',4,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215473431456933435244610163162',6093,'270',56.83,1,3,NULL),(25,6201067,'1991-03-22 00:00:00',4,8,12,2008,'M','N','ITAUM','JOINVILLE','SC','124241241135371221536524215124610131187',NULL,'472',0.00,1,2,1),(25,6201075,'1989-10-18 00:00:00',4,8,12,2006,'M','N','JARDIM SOFIA','JOINVILLE','SC','124242246214373431469934345122131412111',NULL,'494',12.51,1,3,NULL),(25,6201083,'1987-10-24 00:00:00',2,1,12,2005,'F','N','PONTA VERDE','MACEIÓ','AL','102022021216471411448614572114610127012',14565,'9998',44.35,1,3,NULL),(25,6201091,'1992-07-07 00:00:00',2,10,11,2010,'M','N','CENTRO','ARMAZÉM','SC','124243241217111531224329594124610165052',5165,'807',58.61,1,3,NULL),(25,6201105,'1993-11-12 00:00:00',1,2,12,2010,'F','N','TESTO REGA','POMERODE','SC','124241241114161431633319291124610115182',17103,'621',40.45,1,2,1),(25,6201113,'1991-05-15 00:00:00',4,1,12,2008,'M','N','JARDIM ALVORADA','STA RITA P QUATRO','SP','125252251216471411348614575122610147052',7733,'9998',52.37,1,3,NULL),(25,6201121,'1994-01-13 00:00:00',4,1,12,2010,'F','N','CENTRO','ARMAZÉM','SC','124241241127151731448833235122610167097',NULL,'34',0.00,1,3,NULL),(25,6201130,'1993-03-06 00:00:00',4,1,12,2010,'F','N','VALPARAISO UM','VALPARAÍSO GOIÁS','GO','109092091217141111356912215122610165054',NULL,'9998',0.00,1,3,NULL),(25,6201156,'1992-09-20 00:00:00',2,8,12,2010,'F','N','ENSEADA','S FRANCISCO SUL','SC','124241241225111231326624575124610156142',NULL,'992',18.40,1,3,NULL),(25,6201164,'1990-02-28 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124161161146271221146943235133343264157',13846,'9998',41.99,4,2,1),(25,6201172,'1991-08-16 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217573431349929574115610122172',1385,'970',71.29,1,3,NULL),(25,6201180,'1988-02-19 00:00:00',2,6,12,2005,'F','N','CENTRO','ITAJAÍ','SC','124201201135132421114344342314141665147',NULL,'9998',32.97,2,1,1),(25,6201199,'1993-08-18 00:00:00',2,9,11,2010,'M','N','MARTORANO','S JOAQUIM','SC','124242241215111431359913575122610112197',19841,'721',35.05,1,3,NULL),(25,6201202,'1986-04-06 00:00:00',4,1,12,2010,'F','N','ALTO ARIRIU','PALHOÇA','SC','224241247111131431523351111124610132142',NULL,'9999',27.69,1,2,1),(25,6201229,'1991-03-09 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573751566622575125231417052',NULL,'262',0.00,1,3,NULL),(25,6201237,'1993-06-08 00:00:00',4,6,11,2010,'F','N','ESPINHEIRINHOS','ITAJAÍ','SC','124242241216111431436435575122610131077',12407,'394',47.51,1,3,NULL),(25,6201253,'1992-02-06 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251216371411438833574124610127092',5602,'9998',56.02,1,3,NULL),(25,6201261,'1992-05-04 00:00:00',4,1,12,2009,'F','N','JARDIM SÃO ROBERTO','AMPARO','SP','125252251216311431649634575122610135187',NULL,'9998',0.00,1,3,NULL),(25,6201270,'1986-09-14 00:00:00',4,8,12,2004,'M','N','ITAUM','JOINVILLE','SC','224163161116131742324754185123140718015',19489,'9998',35.86,1,3,NULL),(25,6201288,'1993-09-18 00:00:00',2,4,12,2010,'F','N','SEMINARIO','CHAPECÓ','SC','124242241215131711426414482124610122147',NULL,'1021',24.14,1,3,NULL),(25,6201296,'1991-05-30 00:00:00',4,8,12,2008,'F','N','JARDIM POPI','BIRIGÜI','SP','125252251217571431438833575112610144122',15100,'9998',37.37,1,3,NULL),(25,6201300,'1993-10-16 00:00:00',2,6,11,2010,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124241241117141431438813145121610124147',NULL,'51',19.16,1,3,NULL),(25,6201326,'1993-08-10 00:00:00',2,17,12,2010,'M','N','CENTRO','RIO NEGRO','PR','116241161215111411468832575122610157052',12557,'9998',42.00,1,3,NULL),(25,6201334,'1993-04-04 00:00:00',2,1,12,2010,'F','N','JARDIM MONTREAL','LONDRINA','PR','116162161216111731346814575122610145142',NULL,'9998',0.00,1,3,NULL),(25,6201342,'1992-08-12 00:00:00',4,8,11,2009,'M','N','PARANÁ DO OESTE','MOREIRA SALES','PR','116162161216411421446832575124610146177',31,'9998',86.70,1,3,NULL),(25,6201350,'1995-02-20 00:00:00',4,1,12,2011,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431468939575124610167062',NULL,'883',37.31,1,3,NULL),(25,6201369,'1991-06-10 00:00:00',2,4,12,2008,'F','N','JARDIM ANA NEUSA','MAL CÂNDIDO RONDON','PR','116161161216511431448833575122610126092',1968,'9998',68.03,1,3,NULL),(25,6201385,'1993-05-24 00:00:00',4,4,11,2010,'M','N','JARDIM BELA VISTA','ITAPIRANGA','SC','124241241435111431536532595122610167042',3941,'1060',61.75,1,3,NULL),(25,6201393,'1993-09-10 00:00:00',4,4,12,2010,'F','N','CENTRO','BOM JESUS','SC','124241241335161431316624375124610128142',NULL,'93',11.30,1,3,NULL),(25,6201415,'1993-12-24 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241217271431346612575124610164182',16877,'259',35.37,1,3,NULL),(25,6201431,'1984-11-16 00:00:00',2,1,6,2006,'M','N','SALTINHO','LONDRINA','PR','116163167327131231436823345112143217047',NULL,'9998',0.00,2,3,NULL),(25,6201440,'1992-04-25 00:00:00',2,1,11,2009,'F','N','CENTRO','STA MARIA','RS','120202201216471431448832571324610166012',8618,'9998',53.75,1,3,NULL),(25,6201458,'1991-09-24 00:00:00',2,1,12,2008,'F','N','MAR GROSSO','LAGUNA','SC','124242241216473431539814475124231462117',13321,'525',46.19,1,3,NULL),(25,6201466,'1994-10-07 00:00:00',3,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111431369813575122610123047',15957,'270',42.21,1,3,NULL),(25,6201474,'1990-02-02 00:00:00',4,1,12,2007,'M','N','MEDIANEIRA','STA MARIA','RS','120201201117571731448813481112610147017',1680,'9998',68.89,1,2,1),(25,6201482,'1992-02-05 00:00:00',2,1,12,2009,'F','N','PAGARÁ','STO AMARO IMPERATRIZ','SC','624244241235272731458619495124610128182',11653,'989',48.66,1,3,NULL),(25,6201504,'1992-09-25 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241235131431336934385122610167017',17470,'1050',39.81,1,3,NULL),(25,6201520,'1992-03-20 00:00:00',2,1,12,2009,'M','N','JARDIM MARAVILHA','MARINGÁ','PR','116162161215471711489931592112610147042',1843,'9998',68.20,1,3,NULL),(25,6201539,'1989-12-12 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217574431489931575122232462182',58,'270',85.24,1,3,NULL),(25,6201547,'1988-10-07 00:00:00',4,4,12,2005,'M','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124242248216131431326614485122233267057',NULL,'185',13.63,1,3,NULL),(25,6201563,'1993-08-16 00:00:00',2,2,12,2010,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124241241115111411567913235122610125147',9389,'88',49.36,1,2,1),(25,6201571,'1987-08-25 00:00:00',2,1,12,2005,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215575531356631395124230265187',2671,'1022',66.92,1,3,NULL),(25,6201580,'1991-03-04 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241215574431326629575122131467047',2843,'1118',65.02,1,3,NULL),(25,6201598,'1976-08-02 00:00:00',4,1,12,1993,'M','N','INGLESES','FLORIANÓPOLIS','SC','624241241121133411224354285224333245192',NULL,'425',0.00,1,2,1),(25,6201601,'1993-08-05 00:00:00',2,1,12,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124241241127141522425514146134610154147',NULL,'592',0.00,3,2,1),(25,6201610,'1978-09-12 00:00:00',4,1,12,1995,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241316112421176853435122320432125',6034,'185',58.68,1,3,NULL),(25,6201628,'1989-02-07 00:00:00',2,1,12,2008,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124241241142131731646418385124233267032',NULL,'257',20.90,1,2,1),(25,6201636,'1993-05-27 00:00:00',4,4,11,2010,'M','N','JARDIM MARIA LUIZA','CASCAVEL','PR','116162161215121551556632472112610162041',14788,'9998',39.71,1,3,NULL),(25,6201644,'1991-09-25 00:00:00',4,1,12,2009,'M','N','ALTO DA BOA VISTA','ITUMBIARA','GO','109092131215371431558811591125610122042',NULL,'9998',0.00,1,3,NULL),(25,6201652,'1990-05-22 00:00:00',2,1,11,2009,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124244247316142431329744345114610127147',18655,'9997',37.64,1,3,NULL),(25,6201660,'1991-10-31 00:00:00',4,1,11,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215574431468653575124610125077',4520,'270',59.34,1,3,NULL),(25,6201687,'1984-01-03 00:00:00',4,1,7,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124163167426154751448653385123141437112',4522,'9998',61.94,1,3,NULL),(25,6201695,'1991-11-29 00:00:00',4,1,12,2009,'M','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','124242241217132731455612495132610167187',20559,'1048',32.92,1,3,NULL),(25,6201717,'1991-10-03 00:00:00',2,1,12,2010,'M','N','TAJUBA I','S JOÃO BATISTA','SC','124241241137472431537831272114610137051',8284,'712',51.69,1,2,1),(25,6201733,'1991-11-08 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217272431368933271114220734187',5119,'1022',60.57,1,3,NULL),(25,6201741,'1993-08-12 00:00:00',2,1,12,2010,'M','N','MOOCA','S PAULO','SP','125252251216211431568839575124610167112',19833,'9998',35.07,1,3,NULL),(25,6201750,'1990-03-29 00:00:00',4,8,12,2007,'F','N','TIJUCO DAS TELHAS','CAMPINAS','SP','125252251215471431468913575124610132077',8601,'9998',50.01,3,3,NULL),(25,6201768,'1992-10-20 00:00:00',2,1,12,2009,'F','N','ASA NORTE','BRASÍLIA','DF','107072241415252431469813572124610123182',2240,'270',66.68,1,3,NULL),(25,6201784,'1994-10-31 00:00:00',2,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241217111731426629595124610134047',19709,'723',35.35,1,3,NULL),(25,6201792,'1993-08-18 00:00:00',4,2,12,2010,'M','N','SANTA TEREZINHA','BRUSQUE','SC','124241241115131411526511585125610114172',18536,'876',37.87,4,2,1),(25,6201806,'1993-10-14 00:00:00',4,15,12,2010,'M','N','NAZARE','MEDIANEIRA','PR','116162161315121341248731392321610164197',1162,'9998',73.06,1,3,NULL),(25,6201822,'1993-02-24 00:00:00',2,1,12,2010,'M','N','CENTRO','CAÇADOR','SC','124241241117161421323314445124610117072',NULL,'124',29.54,1,2,1),(25,6201830,'1993-05-07 00:00:00',4,9,12,2009,'M','N','SAGRADO CORAÇÃO','LAGES','SC','124244241415372741656933375122610164182',9898,'515',47.84,1,3,NULL),(25,6201849,'1993-03-12 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215131431226621372222610124187',NULL,'724',33.10,4,3,NULL),(25,6201857,'1993-01-06 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241241415171532334623575224610127055',NULL,'724',18.88,4,3,NULL),(25,6201865,'1993-09-24 00:00:00',4,4,12,2010,'M','N','INTERIOR','XANXERÊ','SC','124241241111161431436923335124610167057',17904,'840',34.95,1,2,1),(25,6201873,'1984-03-31 00:00:00',4,1,12,2001,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','624203241142133421426651285122610132147',16524,'307',41.36,4,1,2),(25,6201890,'1993-09-07 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431348624575112610167072',15676,'270',41.61,1,3,NULL),(25,6201911,'1992-11-22 00:00:00',2,2,12,2009,'M','N','ASILO','BLUMENAU','SC','124241241217132431658414245124610132097',18014,'1018',38.82,1,3,NULL),(25,6201920,'1992-06-19 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242242215473411368823592112610167052',13975,'262',43.96,1,3,NULL),(25,6201938,'1987-02-19 00:00:00',4,1,12,2004,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','224241241112132451556314195334222338142',NULL,'592',29.75,1,3,NULL),(25,6201946,'1987-08-26 00:00:00',2,1,11,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241335473721436614242123610127027',20003,'9997',34.58,4,3,NULL),(25,6201954,'1993-08-30 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241217211431348634595122610168042',10722,'457',46.27,1,3,NULL),(25,6201989,'1974-09-01 00:00:00',2,1,12,1993,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','524251255125372431334444245124610113011',NULL,'9998',28.15,1,2,1),(25,6201997,'1989-03-27 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241416153411424439395124221636052',14482,'258',44.48,1,3,NULL),(25,6202004,'1992-04-07 00:00:00',2,1,12,2007,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241212153331336633595112610127057',NULL,'1023',24.21,1,3,NULL),(25,6202012,'1985-10-29 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116375721323611345224610137047',18277,'359',34.02,1,2,1),(25,6202039,'1987-11-02 00:00:00',2,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216152441569813446124233224052',15420,'272',43.03,4,3,NULL),(25,6202047,'1993-07-26 00:00:00',4,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215113431558911411122610136172',3533,'226',62.60,1,3,NULL),(25,6202055,'1994-02-17 00:00:00',4,9,12,2010,'M','N','ITARARÉ','S JOSÉ CERRITO','SC','124241242115131421623316571324610163192',NULL,'960',20.01,1,3,NULL),(25,6202063,'1970-02-12 00:00:00',2,1,7,2010,'F','N','JARDIM SAO NICOLAU','BIGUAÇU','SC','224243247312131431533353295114610167145',NULL,'9999',26.72,4,3,NULL),(25,6202071,'1993-02-13 00:00:00',4,1,12,2010,'F','N','VILA SANTO ANTONINHO','OSASCO','SP','125252251217271731566932575122610144072',3597,'9998',61.87,1,3,NULL),(25,6202080,'1990-02-05 00:00:00',4,1,12,2008,'M','N','CENTRO','ASSIS','SP','125251251137131431438711492212610167012',17270,'9998',37.63,1,2,1),(25,6202098,'1993-09-03 00:00:00',4,16,11,2010,'F','N','NS SRA APARECIDA','CURITIBANOS','SC','124243241215111731447832575122610127147',NULL,'881',0.00,1,3,NULL),(25,6202128,'1993-04-01 00:00:00',4,8,11,2010,'M','N','NOVA BRASILIA','JOINVILLE','SC','124244241215141531538732312114610127042',19238,'488',32.25,4,3,NULL),(25,6202136,'1994-02-27 00:00:00',4,8,12,2010,'F','N','COLONIAL','S BENTO SUL','SC','124243241216111131525914575122610126097',17059,'1154',34.72,1,3,NULL),(25,6202152,'1992-12-15 00:00:00',4,4,12,2010,'M','N','CADORIN','PATO BRANCO','PR','116163161215131431438632575125610127182',2789,'9998',65.04,1,3,NULL),(25,6202160,'1991-05-15 00:00:00',4,8,12,2008,'F','N','JARDIM MORRO VERDE','S PAULO','SP','125252251217571451548832571124610163097',NULL,'9998',0.00,1,3,NULL),(25,6202179,'1984-12-26 00:00:00',2,15,12,2001,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241117131431243344145122331464055',NULL,'689',0.00,1,3,NULL),(25,6202195,'1991-05-06 00:00:00',2,1,12,2008,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124244241217273451648812296121133264162',10655,'9997',46.15,1,3,NULL),(25,6202209,'1993-05-05 00:00:00',4,1,12,2010,'F','N','CENTRO','MARAU','RS','120201201117151431228829575125610166187',NULL,'9998',0.00,1,2,1),(25,6202217,'1991-05-23 00:00:00',4,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241417132421446839375122231344137',NULL,'257',18.78,1,3,NULL),(25,6202225,'1983-08-26 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215274711258821295112120664187',2114,'269',66.46,1,3,NULL),(25,6202233,'1986-04-14 00:00:00',1,1,6,2005,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224281281137271431228854215224610111017',NULL,'9998',32.61,1,3,NULL),(25,6202241,'1991-05-12 00:00:00',4,1,12,2008,'F','N','CENTRO','MANGUEIRINHA','PR','116162161215472431448611595124610164147',3799,'9998',61.48,1,3,NULL),(25,6202250,'1993-06-25 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431338812375124610165112',6061,'1022',56.11,4,3,NULL),(25,6202268,'1991-07-16 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217111412426611475124610164182',NULL,'883',29.77,1,3,NULL),(25,6202276,'1986-10-17 00:00:00',4,8,12,2004,'F','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125254251216471411558814445122241436072',11571,'9998',48.79,3,3,NULL),(25,6202284,'1993-02-03 00:00:00',2,1,11,2010,'M','N','MACHADO','MINEIROS','GO','109092091216111431366839572122610162042',NULL,'9998',0.00,1,3,NULL),(25,6202292,'1993-06-08 00:00:00',2,4,12,2010,'F','N','ESPLANADA','CHAPECÓ','SC','124114241145271431336624585224610148057',15891,'169',36.61,1,3,NULL),(25,6202306,'1988-03-29 00:00:00',4,5,12,2005,'M','N','CENTRO','CRICIÚMA','SC','124242241216155441365532445122123024045',7005,'226',56.74,1,3,NULL),(25,6202314,'1993-12-24 00:00:00',4,3,12,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215111431567832242222610133147',8328,'781',54.26,1,3,NULL),(25,6202322,'1992-08-08 00:00:00',4,4,12,2009,'M','N','CENTRO','S DOMINGOS','SC','124243248316131731414478295112610166052',NULL,'707',13.72,1,3,NULL),(25,6202330,'1989-04-03 00:00:00',4,1,12,2006,'F','N','ZONA DOIS','MARINGÁ','PR','116164161216572431568934574122143222077',1467,'9998',71.27,1,3,NULL),(25,6202349,'1979-08-23 00:00:00',4,8,12,1996,'M','N','VILA MOEMA','TUBARÃO','SC','124241241436142421448344241122331564117',8371,'907',54.19,1,3,NULL),(25,6202357,'1981-04-06 00:00:00',4,1,12,1997,'F','N','JARDIM PINHEIROS','S JOSÉ','SC','224243243116132411226643235134333226187',NULL,'293',0.00,1,3,NULL),(25,6202365,'1992-03-11 00:00:00',4,8,12,2010,'F','N','PARQUE DAS CAMÉLIAS','BAURU','SP','125252256116111431448831575122610128072',NULL,'9998',0.00,1,3,NULL),(25,6202373,'1993-07-25 00:00:00',4,1,12,2010,'F','N','CHACARA JAFET','MOGI CRUZES','SP','125252251117151431459821575122610124073',NULL,'9998',0.00,1,3,NULL),(25,6202381,'1994-03-25 00:00:00',2,10,12,2010,'M','N','CENTRO','PEDRAS GRANDES','SC','124241241216111731356711375122610138142',16081,'807',42.02,1,3,NULL),(25,6202403,'1991-10-24 00:00:00',2,1,12,2008,'F','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120202201217372431477822575112242625042',8671,'9998',48.84,1,3,NULL),(25,6202420,'1993-05-08 00:00:00',1,2,12,2010,'F','N','TESTO REGA','POMERODE','SC','124242241215112431439714575122610164052',7557,'624',52.47,1,3,NULL),(25,6202438,'1993-01-13 00:00:00',4,1,12,2009,'M','N','MORRETES','ITAPEMA','SC','124241241116151432327721345114610165141',NULL,'406',28.03,1,2,1),(25,6202446,'1991-12-23 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241416141431328611346124610117143',NULL,'307',15.78,1,3,NULL),(25,6202454,'1993-06-04 00:00:00',4,8,11,2010,'F','N','AMIZADE','JARAGUÁ SUL','SC','124241241216161431428734575122610138197',15798,'1061',42.45,1,3,NULL),(25,6202470,'1993-12-24 00:00:00',4,1,12,2010,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241217112511459912575124610124112',7923,'1022',51.45,1,3,NULL),(25,6202497,'1991-06-05 00:00:00',2,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124241241111272431334414141124610147117',11654,'732',46.60,1,2,1),(25,6202500,'1991-10-02 00:00:00',2,4,12,2008,'M','N','COLATTO','XANXERÊ','SC','124244241216111551336614372122231414092',NULL,'836',0.00,1,3,NULL),(25,6202519,'1994-05-27 00:00:00',4,15,12,2011,'F','S','CIDADE ALTA','ARARANGUÁ','SC','124242241216151411368819272112610114072',NULL,'970',35.30,1,3,NULL),(25,6202535,'1992-04-21 00:00:00',4,1,12,2009,'F','N','VILA ANTARTICA','BOTUCATU','SP','125252251215471431476932325122610167143',11041,'9998',45.83,1,3,NULL),(25,6202543,'1992-11-13 00:00:00',4,1,12,2009,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124202241215471431478923572122610117112',13386,'270',42.62,1,3,NULL),(25,6202551,'1991-03-08 00:00:00',4,8,12,2008,'F','N','JARDIM IRIRIÚ','JOINVILLE','SC','124241242112271431536634485124610146172',13797,'24',45.48,1,3,NULL),(25,6202560,'1994-09-10 00:00:00',4,1,12,2011,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241217111431468933575112610122077',NULL,'273',30.34,1,3,NULL),(25,6202586,'1992-09-06 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241216472451338834595125610137117',10207,'226',46.71,1,3,NULL),(25,6202594,'1994-02-20 00:00:00',4,15,12,2011,'F','S','CIDADE ALTA','ARARANGUÁ','SC','124244241215121722459811575112610138196',NULL,'970',48.29,1,3,NULL),(25,6202624,'1991-11-20 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','120242201217272431438831385124610166042',12987,'9998',46.61,1,3,NULL),(25,6202640,'1986-07-03 00:00:00',2,15,12,2005,'F','N','MORRO DOS CONVENTOS','ARARANGUÁ','SC','124203208116131721225311385124610132097',NULL,'9998',0.00,1,3,NULL),(25,6202667,'1991-01-10 00:00:00',4,1,12,2008,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241217573531348922445124231127097',5005,'1174',58.01,1,3,NULL),(25,6202675,'1989-04-11 00:00:00',4,1,4,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124214247137151431569613575114610168042',5552,'9999',59.66,4,3,NULL),(25,6202683,'1987-11-18 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124051051116141411114444445124142228187',NULL,'9998',19.15,2,1,1),(25,6202721,'1993-02-22 00:00:00',4,3,12,2010,'M','N','DOM BOSCO','LONDRINA','PR','116162161215171231467921575112610117052',13214,'9998',42.54,3,3,NULL),(25,6202730,'1994-01-11 00:00:00',4,15,11,2010,'M','N','CENTRO','TURVO','SC','124242241217371431237924575121610132197',11069,'813',45.41,1,3,NULL),(25,6202748,'1992-06-05 00:00:00',4,1,11,2009,'F','N','EUGENIO SCHINEIDER','RIO SUL','SC','124242241215472431475512572122610164185',19232,'991',36.43,1,3,NULL),(25,6202756,'1989-12-15 00:00:00',2,1,12,2007,'F','N','JARDIM CIDADE','S JOSÉ','SC','124242241416575431436931575124222224127',5074,'988',59.85,1,3,NULL),(25,6202764,'1992-11-12 00:00:00',2,3,12,2010,'F','N','ERICA','PANAMBI','RS','120201201116161431446833235122610126142',15754,'9998',37.53,1,2,1),(25,6202772,'1988-10-09 00:00:00',2,2,12,2005,'M','N','CENTRO','ATALANTA','SC','124241241124131411444313231132342215147',13701,'39',45.63,1,2,1),(25,6202780,'1993-07-15 00:00:00',2,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215371331463512525124610137182',18958,'1022',37.00,1,3,NULL),(25,6202799,'1985-12-05 00:00:00',2,1,7,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247126271431533315495124610132057',18617,'9999',32.74,1,2,1),(25,6202802,'1989-06-22 00:00:00',4,8,12,2006,'F','N','ESPINHEIROS','JOINVILLE','SC','124241241115572431358663274222610147047',4793,'477',61.35,1,2,1),(25,6202810,'1989-09-11 00:00:00',4,1,12,2008,'M','N','JORDÃO','GOV CELSO RAMOS','SC','124242241216371431268823385124133261197',NULL,'1022',19.33,1,3,NULL),(25,6202829,'1994-06-17 00:00:00',4,1,11,2011,'M','S','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215151731469713575112610118052',NULL,'270',33.96,1,3,NULL),(25,6202837,'1992-08-14 00:00:00',4,3,11,2010,'F','N','CENTRO','CAMBORIÚ','SC','124242241215121431547932375122610131192',NULL,'9997',0.00,1,3,NULL),(25,6202845,'1993-08-13 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241235372431448814575122610137077',3069,'226',65.06,1,3,NULL),(25,6202853,'1992-03-14 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472431469912475112610164087',3483,'262',61.99,1,3,NULL),(25,6202861,'1992-08-07 00:00:00',4,1,11,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215122431438831475124610164012',3112,'270',64.02,1,3,NULL),(25,6202870,'1988-12-30 00:00:00',4,8,12,2005,'F','N','BONSUCESSO','GUARAPUAVA','PR','116161241215575431166421575115141062097',NULL,'486',29.61,1,3,NULL),(25,6202888,'1990-09-25 00:00:00',4,5,12,2007,'F','N','CENTRO','S MIGUEL IGUAÇU','PR','116161161115374451323619572125610138147',NULL,'9998',36.57,1,2,1),(25,6202896,'1992-06-16 00:00:00',4,8,12,2009,'M','N','CENTRO','SIQUEIRA CAMPOS','PR','116162161215472331469913575124610138142',461,'9998',77.93,1,3,NULL),(25,6202900,'1992-12-06 00:00:00',4,17,12,2010,'M','N','CENTRO','ITAIÓPOLIS','SC','124241241224111432538819575122610167142',8531,'1024',50.65,1,3,NULL),(25,6202918,'1994-12-29 00:00:00',4,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241212111231434663575125610114017',NULL,'270',44.73,4,3,NULL),(25,6202926,'1991-04-09 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272411249612411124610137112',8820,'262',53.37,1,3,NULL),(25,6202934,'1991-02-17 00:00:00',4,1,12,2008,'F','N','CERQUEIRA CESAR','S PAULO','SP','125252251215571431346929571125610163187',2982,'9998',64.25,1,3,NULL),(25,6202942,'1992-11-27 00:00:00',2,8,12,2009,'M','N','CENTRO','CIDADE GAÚCHA','PR','116161161117371431445712595122241437057',10421,'9998',47.85,1,3,NULL),(25,6202950,'1992-06-09 00:00:00',4,1,12,2009,'F','N','CENTRO','MTE ALEGRE SUL','SP','125253251236471331425713575124610117094',NULL,'9998',0.00,1,3,NULL),(25,6202969,'1987-12-02 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124201201115573411533314241124140227057',14270,'9998',40.23,1,2,1),(25,6202977,'1993-10-15 00:00:00',4,15,12,2010,'M','N','CENTRO','BAL ARROIO SILVA','SC','124242241215372431379823575115610164072',5386,'970',57.95,1,3,NULL),(25,6202985,'1993-06-12 00:00:00',2,8,12,2010,'F','N','COLONIAL','S BENTO SUL','SC','124241241216111232535534575124610137077',NULL,'1154',19.71,1,3,NULL),(25,6202993,'1989-07-12 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','120204201417571411476713375112610167117',19614,'9998',35.54,1,3,NULL),(25,6203000,'1991-05-18 00:00:00',2,15,12,2007,'F','N','CENTRO','STA MARIA','RS','120201201116571431459931571344610141097',NULL,'9998',0.00,1,2,1),(25,6203019,'1993-10-09 00:00:00',2,8,12,2010,'M','N','PROGRESSO','S BENTO SUL','SC','124241241115131431446614575122610127091',6436,'697',53.22,1,2,1),(25,6203035,'1991-06-24 00:00:00',4,10,12,2008,'M','N','SANTIAGO','LAGUNA','SC','124241241116152431324923315124610115012',NULL,'521',0.00,1,3,NULL),(25,6203043,'1993-03-25 00:00:00',2,4,11,2009,'M','N','VISTA ALEGRE','CONCÓRDIA','SC','116164161212572431279479572344610137176',3442,'9998',62.82,4,3,NULL),(25,6203051,'1992-04-29 00:00:00',2,10,12,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215372431358834575122130431157',6100,'807',56.22,1,3,NULL),(25,6203060,'1992-10-07 00:00:00',4,4,12,2009,'F','N','LA SALLE','PATO BRANCO','PR','116162161212371431359831574112610167182',NULL,'9998',0.00,1,3,NULL),(25,6203078,'1991-08-20 00:00:00',4,1,12,2008,'F','N','JARDIM AEROPORTO','PTO FERREIRA','SP','125254251211571431554631571122610117187',2836,'9998',63.60,1,3,NULL),(25,6203086,'1989-07-25 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217575431669813484124131166182',2611,'1022',64.89,1,3,NULL),(25,6203094,'1985-04-09 00:00:00',2,8,10,2010,'M','N','BIGORRILHO','CURITIBA','PR','116161161136131431323349155122610136057',3509,'9998',63.42,1,2,1),(25,6203108,'1992-08-08 00:00:00',2,3,12,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241115131431116649292324610122147',NULL,'405',19.78,1,2,1),(25,6203124,'1988-02-18 00:00:00',4,8,12,2005,'F','N','JARDIM ACEMA','MARINGÁ','PR','116162161216471431244411475122342562147',3287,'9998',63.39,1,3,NULL),(25,6203132,'1992-11-20 00:00:00',4,1,11,2010,'M','N','BROTAS','SALVADOR','BA','105052051237111431589914574122610164052',885,'9998',73.60,1,3,NULL),(25,6203140,'1993-09-02 00:00:00',4,1,11,2010,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124241241215111431558734575122610128142',7154,'1118',54.32,1,3,NULL),(25,6203159,'1993-09-06 00:00:00',4,1,12,2010,'F','N','RONDINHA','CPO LARGO','PR','116162161217111432469911575124610122187',NULL,'9998',0.00,1,3,NULL),(25,6203167,'1993-01-20 00:00:00',2,1,11,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241288642111751344679293125610167187',NULL,'1011',0.00,3,3,NULL),(25,6203175,'1993-07-13 00:00:00',2,15,11,2010,'M','N','FÁTIMA','VACARIA','RS','120202201216271431448812292122610164052',16208,'9998',37.38,1,3,NULL),(25,6203183,'1989-03-13 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116274431636622132234131123147',6038,'306',56.17,1,2,1),(25,6203191,'1992-10-20 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124244241215272431433531211222133224057',NULL,'981',0.00,1,3,NULL),(25,6203205,'1993-05-27 00:00:00',2,2,12,2010,'F','N','SANTA TEREZINHA','GASPAR','SC','124241241215111731535411575122610124012',NULL,'955',27.54,1,3,NULL),(25,6203213,'1994-06-01 00:00:00',4,1,12,2011,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431338923572124610168085',NULL,'1022',41.38,1,3,NULL),(25,6203221,'1993-01-08 00:00:00',5,15,12,2010,'F','N','JARDIM ITALIA','MELEIRO','SC','124241242115111431326314582122610126072',NULL,'690',22.39,1,2,1),(25,6203230,'1990-08-10 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117372711446623435124610124145',7972,'281',54.86,4,2,1),(25,6203248,'1993-02-11 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215121431538529575122610122142',16713,'9997',41.06,1,3,NULL),(25,6203256,'1993-01-10 00:00:00',4,1,11,2010,'M','N','SERRARIA','S JOSÉ','SC','124241241135371431416531382224610134182',NULL,'257',29.03,1,3,NULL),(25,6203264,'1987-03-02 00:00:00',2,1,4,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224241241127132711323354242334610152192',21447,'9997',28.44,4,2,1),(25,6203272,'1993-08-27 00:00:00',2,1,12,2010,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241115131231335313575114610124147',12289,'257',43.19,1,2,1),(25,6203299,'1992-05-03 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215272431436619595124610167017',5799,'454',55.83,4,3,NULL),(25,6203302,'1991-12-19 00:00:00',2,7,11,2008,'F','N','CENTRO','HERVAL D OESTE','SC','124243241216575411447632575122610144122',10686,'446',46.67,1,3,NULL),(25,6203310,'1993-03-10 00:00:00',2,4,12,2010,'M','N','LINHA SANTA RITA','ENTRE R SUL','RS','120201202116111731423616572124610127077',20541,'9998',32.97,1,3,NULL),(25,6203337,'1991-05-20 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217272511336824375114233268053',11086,'262',49.54,1,3,NULL),(25,6203345,'1994-05-01 00:00:00',4,1,11,2011,'M','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241212111431439821594124613227052',NULL,'9997',41.81,1,3,NULL),(25,6203353,'1987-12-28 00:00:00',4,1,12,2005,'F','N','ALTO DO IPIRANGA','S PAULO','SP','125252258216151431329823575122241462097',12731,'9998',42.82,3,3,NULL),(25,6203361,'1989-04-28 00:00:00',4,1,12,2005,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091216111751228821245122141024187',NULL,'9998',0.00,1,3,NULL),(25,6203370,'1989-08-24 00:00:00',4,1,12,2009,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241147131431536513242124131028157',NULL,'184',29.09,4,1,1),(25,6203388,'1993-03-15 00:00:00',4,8,12,2010,'M','N','VILA VITÓRIA','LONDRINA','PR','116162161217151531468833574122610165092',NULL,'9998',0.00,1,3,NULL),(25,6203400,'1990-11-22 00:00:00',4,1,12,2008,'M','N','VILA MONTEIRO','PIRACICABA','SP','125252251215571431568813572122610111047',18447,'9998',33.26,1,3,NULL),(25,6203418,'1992-06-06 00:00:00',2,8,12,2009,'M','N','BOQUEIRAO','CURITIBA','PR','116161161115471431336833575114610164047',2592,'9998',65.36,1,2,1),(25,6203426,'1992-10-28 00:00:00',2,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124244241215473431369933575124610148142',2770,'185',64.66,1,3,NULL),(25,6203434,'1983-01-22 00:00:00',2,1,12,2000,'F','N','FORQUILHAS','S JOSÉ','SC','524241241122471751445414245124610168187',NULL,'592',0.00,1,2,1),(25,6203442,'1992-12-26 00:00:00',2,4,12,2010,'M','N','CENTRO','PASSOS MAIA','SC','124241241147271431355332242122610147092',NULL,'606',0.00,1,3,NULL),(25,6203450,'1990-09-22 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115373321456931475124610122152',2019,'307',69.20,1,2,1),(25,6203469,'1990-01-24 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216475431489913575122221467012',14299,'270',44.72,1,3,NULL),(25,6203477,'1992-02-24 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124241241117372411546631282124610167147',9743,'257',50.11,3,2,1),(25,6203507,'1989-06-09 00:00:00',2,1,11,2006,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241116431421323314381124610112117',7842,'298',53.21,2,1,1),(25,6203515,'1993-04-19 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431346913572114610127047',16885,'738',35.50,1,3,NULL),(25,6203523,'1981-08-27 00:00:00',2,1,12,2002,'F','N','PANTANAL','FLORIANÓPOLIS','SC','624251241127375431233153185124222267047',17117,'298',40.42,1,2,1),(25,6203540,'1993-06-30 00:00:00',4,1,12,2010,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215121431579712375114610137182',19792,'270',35.17,1,3,NULL),(25,6203558,'1992-08-26 00:00:00',2,4,12,2009,'M','N','VILA YOLANDA','FOZ IGUAÇU','PR','116162161237371741448823595122610134057',6587,'9998',54.35,2,3,NULL),(25,6203566,'1992-07-08 00:00:00',2,1,11,2009,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241217471431335623375124610124187',7499,'396',55.79,1,3,NULL),(25,6203574,'1992-09-03 00:00:00',4,8,11,2010,'F','N','FLORESTA','JOINVILLE','SC','124242241215111731479612572122610124092',7932,'1063',54.94,1,3,NULL),(25,6203582,'1992-02-06 00:00:00',2,1,12,2010,'M','N','FORQUILHAS','S JOSÉ','SC','124243241116271421624674342224610116012',17353,'727',40.02,4,3,NULL),(25,6203590,'1991-11-25 00:00:00',1,1,11,2010,'F','N','COLÔNIA VITÓRIA','GUARAPUAVA','PR','116162161215371431365416575112610122182',NULL,'9998',0.00,1,3,NULL),(25,6203604,'1993-04-05 00:00:00',4,3,12,2010,'F','N','BAIRRO ALTO','CURITIBA','PR','116162161215111731489939575122610133187',NULL,'9998',0.00,1,3,NULL),(25,6203612,'1992-08-05 00:00:00',4,1,11,2010,'M','N','CENTRO','TIMBÓ','SC','124242241215113431469912575114610115012',8011,'270',51.78,1,3,NULL),(25,6203620,'1992-05-20 00:00:00',4,1,12,2009,'M','N','CENTRO','S JOÃO BATISTA','SC','124242241217471431356632185114610168147',13138,'109',46.42,1,3,NULL),(25,6203647,'1993-09-15 00:00:00',4,2,12,2010,'M','N','SALTO DO NORTE','BLUMENAU','SC','124242241215121731578632472112610156092',NULL,'855',40.83,1,3,NULL),(25,6203655,'1994-05-15 00:00:00',4,8,11,2011,'F','S','COSTA E SILVA','JOINVILLE','SC','124242241215111731446914572122610122147',NULL,'461',51.09,1,3,NULL),(25,6203663,'1991-12-16 00:00:00',2,8,11,2009,'M','N','CENTRO','CANOINHAS','SC','124241241315271111466732571122142467112',NULL,'1016',0.00,1,3,NULL),(25,6203671,'1991-09-06 00:00:00',4,4,12,2008,'F','N','BELA VISTA','CHAPECÓ','SC','124241241112273451336929572122610167077',13602,'169',40.95,1,2,1),(25,6203680,'1988-10-23 00:00:00',4,1,12,2005,'F','N','NOVA PETRÓPOLIS','S BERNARDO CAMPO','SP','125252251217271411458832445122143223182',NULL,'9998',0.00,1,3,NULL),(25,6203698,'1992-06-19 00:00:00',4,1,12,2009,'M','N','JARDIM GLÓRIA','AMERICANA','SP','125254251217371731568832572112610117092',5349,'9998',56.98,1,3,NULL),(25,6203701,'1991-04-07 00:00:00',4,1,12,2008,'F','N','SÃO LUIZ','S JOSÉ','SC','124241241127371732123344242324610124097',NULL,'729',14.76,1,2,1),(25,6203710,'1994-03-28 00:00:00',4,1,12,2011,'F','S','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215111431466624345122610143075',NULL,'883',48.05,1,3,NULL),(25,6203728,'1993-01-20 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111431348913312124610124092',14,'1022',88.07,1,3,NULL),(25,6203736,'1991-11-20 00:00:00',2,1,10,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241315121431423423575124610138157',NULL,'300',20.31,4,3,NULL),(25,6203744,'1993-03-21 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241236111431266823572224610122195',16421,'1023',36.44,1,3,NULL),(25,6203752,'1992-04-07 00:00:00',4,1,12,2009,'F','N','VILA MONTEIRO','PIRACICABA','SP','125252251215471431348812575114610164047',NULL,'9998',0.00,1,3,NULL),(25,6203760,'1990-12-15 00:00:00',2,8,12,2010,'M','N','VINTE CINCO JULHO','S BENTO SUL','SC','124241241126141431337714345123610124067',20510,'697',29.34,1,3,NULL),(25,6203779,'1992-02-22 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215121711478931315124610137092',6513,'262',53.83,1,3,NULL),(25,6203787,'1991-04-09 00:00:00',4,8,11,2008,'F','N','MERCES','CURITIBA','PR','116162168216571451467816574112610144073',NULL,'9998',0.00,1,3,NULL),(25,6203795,'1993-09-13 00:00:00',2,4,12,2010,'M','N','CENTRO','PLANALTO','RS','120201201117271431446614482122610164017',12623,'9998',42.92,1,2,1),(25,6203809,'1994-02-14 00:00:00',4,6,12,2010,'M','N','CENTRO','BAL PIÇARRAS','SC','124242241217131331349939575112610118067',7944,'389',51.31,1,3,NULL),(25,6203817,'1992-10-08 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124204201215471431368934595124610164127',NULL,'9998',27.23,1,3,NULL),(25,6203825,'1982-06-07 00:00:00',2,1,12,2001,'M','N','ARMAÇÃO PANTANO DO S','FLORIANÓPOLIS','SC','124241246117234431333343232223322367067',6298,'306',54.47,1,2,1),(25,6203833,'1993-06-27 00:00:00',4,8,12,2010,'M','N','GLÓRIA','JOINVILLE','SC','124243241216271431478933575124610127092',3135,'1105',63.94,1,3,NULL),(25,6203850,'1993-11-06 00:00:00',4,1,11,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241115131451546639575124610126012',14566,'267',44.35,1,2,1),(25,6203884,'1991-12-24 00:00:00',2,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241116132231645419445124610157042',21774,'307',22.86,3,2,1),(25,6203892,'1993-08-05 00:00:00',4,1,11,2010,'F','N','BUENO','GOIÂNIA','GO','109272091217111731246916571122610124042',NULL,'9998',0.00,1,3,NULL),(25,6203906,'1992-11-10 00:00:00',2,1,12,2010,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241317131531623313572124610131172',NULL,'288',26.84,1,3,NULL),(25,6203914,'1993-03-15 00:00:00',2,1,12,2010,'F','N','PINGUIRITO','GAROPABA','SC','124241248125131211324329342324610126147',NULL,'322',10.62,1,2,1),(25,6203922,'1993-03-03 00:00:00',2,4,12,2009,'M','N','CENTRO','DESCANSO','SC','124244241416371731469332575121610144042',18526,'1079',31.07,1,3,NULL),(25,6203930,'1984-08-31 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241247345132431523331381124610164173',16273,'1036',41.74,4,1,2),(25,6203949,'1993-06-08 00:00:00',4,5,12,2010,'F','N','PROSPERA','CRICIÚMA','SC','124242241215111432468812575112610134045',NULL,'226',0.00,1,3,NULL),(25,6203957,'1992-09-10 00:00:00',2,1,12,2009,'M','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124243241115372431435923345121133237057',17722,'772',36.65,1,3,NULL),(25,6203965,'1989-11-13 00:00:00',2,1,11,2007,'F','N','AGUA VERDE','CURITIBA','PR','116244241216574431433831575124131243057',5041,'270',59.33,1,3,NULL),(25,6203990,'1971-11-02 00:00:00',2,1,2,1993,'M','N','CAMPINAS','S JOSÉ','SC','224241241142153441343344142132120862047',12736,'307',47.02,1,3,NULL),(25,6204007,'1992-05-23 00:00:00',4,1,11,2009,'F','N','CENTRO','CHAPECÓ','SC','124243241315572431357923575122610142092',11285,'983',45.18,1,3,NULL),(25,6204015,'1993-06-11 00:00:00',2,2,11,2010,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241115111721426614275122610146127',NULL,'88',26.50,1,2,1),(25,6204023,'1994-01-05 00:00:00',4,15,11,2010,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241215121431558821475122610164142',8378,'970',51.63,1,3,NULL),(25,6204040,'1993-06-08 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124222241215411221266913595122610168122',16722,'270',36.33,4,3,NULL),(25,6204058,'1993-05-17 00:00:00',4,1,12,2010,'F','N','ASA SUL','BRASÍLIA','DF','107072071217112431379813575112610115077',4847,'9998',58.65,1,3,NULL),(25,6204066,'1992-02-16 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473431226631575124610167117',7332,'1022',56.13,1,3,NULL),(25,6204082,'1989-09-21 00:00:00',2,1,7,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243248447132431454623572124610134141',NULL,'9999',30.71,1,3,NULL),(25,6204090,'1987-01-18 00:00:00',2,1,12,2005,'M','N','AREIAS','S JOSÉ','SC','116243241346273751335379445125610144137',NULL,'1022',0.00,1,3,NULL),(25,6204104,'1992-06-06 00:00:00',4,1,12,2009,'F','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241216272431567722575124231466012',18349,'454',38.20,1,3,NULL),(25,6204112,'1993-01-22 00:00:00',2,4,12,2010,'M','N','PARQUE DAS PALMEIRAS','CHAPECÓ','SC','124243241112111411228923582114610112092',NULL,'169',26.95,1,3,NULL),(25,6204120,'1986-04-26 00:00:00',2,1,12,2003,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241146132411123344245122133238117',17082,'580',35.39,1,2,1),(25,6204139,'1992-06-23 00:00:00',4,8,12,2009,'M','N','VILA LIANE','PNT GROSSA','PR','116162161215471431478811572114610164142',1104,'9998',73.39,1,3,NULL),(25,6204147,'1991-03-13 00:00:00',4,1,12,2010,'M','N','CENTRO','S JOSÉ','SC','124242248212474331457911572114610163182',2698,'1011',65.21,1,3,NULL),(25,6204155,'1994-03-11 00:00:00',4,1,12,2011,'M','S','SÃO JOSÉ','S JOSÉ','SC','124241241115161711438811575124610117142',NULL,'307',20.48,1,3,NULL),(25,6204163,'1993-06-21 00:00:00',4,2,12,2010,'M','N','COLONINHA','GASPAR','SC','124242241217151431468739575122610128172',530,'955',77.35,1,3,NULL),(25,6204171,'1994-11-09 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241237151431478933572125610128172',9089,'262',52.90,1,3,NULL),(25,6204180,'1985-08-19 00:00:00',4,2,12,2003,'M','N','GLÓRIA','BLUMENAU','SC','124241241116131711223579235223333264057',NULL,'85',0.00,1,3,NULL),(25,6204198,'1993-05-06 00:00:00',2,8,11,2010,'F','N','MERCES','CURITIBA','PR','116112168216471451467816572112610144073',NULL,'9998',0.00,1,3,NULL),(25,6204201,'1990-11-21 00:00:00',4,8,11,2007,'F','N','JARDIM BANDEIRANTES','LONDRINA','PR','116161161116571411436614285114143232097',NULL,'9998',0.00,1,2,1),(25,6204210,'1993-01-09 00:00:00',4,3,11,2010,'M','N','VILA IZABEL','CURITIBA','PR','116162161217113431477933575112610116047',NULL,'9998',0.00,1,3,NULL),(25,6204236,'1991-09-08 00:00:00',4,1,12,2008,'F','N','CRISTO REDENTOR','PTO ALEGRE','RS','120202201216571431389914575122610123131',3232,'9998',61.40,1,3,NULL),(25,6204244,'1964-09-12 00:00:00',2,1,12,1983,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','224243246136132712247644445122133262183',NULL,'306',0.00,1,3,NULL),(25,6204260,'1990-04-02 00:00:00',2,4,12,2007,'F','N','CENTRO','PASSO FUNDO','RS','120202201417571431549811571122610164087',8234,'9998',49.41,1,3,NULL),(25,6204287,'1993-09-06 00:00:00',2,3,12,2010,'F','N','VÁRZEA','ITAPEMA','SC','124241241116161431414311572221610118192',NULL,'406',17.71,1,2,1),(25,6204295,'1981-01-24 00:00:00',2,1,11,1997,'M','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','624174171211131131336644345234142344187',NULL,'9998',0.00,2,1,2),(25,6204309,'1992-02-10 00:00:00',2,8,12,2009,'M','N','BARRA DO SAI MIRIM','ITAPOÁ','SC','124241241216412411533811571124610167112',4650,'456',61.68,2,3,NULL),(25,6204317,'1993-05-31 00:00:00',2,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241116151431534313435124610117062',NULL,'298',28.14,1,3,NULL),(25,6204325,'1993-03-05 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124244241215271431429711571124610166052',7139,'1118',53.71,1,3,NULL),(25,6204350,'1967-01-28 00:00:00',4,1,10,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','224241247127131451326659492234610111187',NULL,'307',4.41,1,3,NULL),(25,6204368,'1993-06-13 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241415271431317528375324610128192',5926,'732',55.66,1,3,NULL),(25,6204384,'1993-07-02 00:00:00',4,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','124242241216111411578832241122610166082',12708,'154',43.40,1,3,NULL),(25,6204392,'1992-09-29 00:00:00',4,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215373731457834472122130421142',8148,'1063',52.24,1,3,NULL),(25,6204414,'1994-01-07 00:00:00',2,3,12,2010,'F','N','AVAÍ','GUARAMIRIM','SC','124241241135141731423639296222610138192',NULL,'336',18.41,1,2,1),(25,6204422,'1992-09-04 00:00:00',2,1,12,2009,'M','N','IGUAÇU','LONDRINA','PR','116162161217471431468813571122610167042',6656,'9998',57.37,1,3,NULL),(25,6204430,'1982-05-02 00:00:00',2,1,12,1999,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224241241147371411233354572114610125157',16045,'307',42.06,1,2,1),(25,6204449,'1988-11-20 00:00:00',2,5,12,2006,'M','N','IMIGRANTES','CRICIÚMA','SC','124242241215473431547619275124220727047',9288,'211',48.08,1,3,NULL),(25,6204457,'1990-11-22 00:00:00',4,8,11,2008,'M','N','UMARIZAL','BELÉM','PA','114144141417471431469814475124141047042',3757,'9998',59.81,3,3,NULL),(25,6204473,'1988-02-23 00:00:00',4,1,12,2005,'F','N','JARDIM EUROPA II','ASSIS','SP','125254251216575431347812574125610144087',287,'9998',79.85,3,3,NULL),(25,6204481,'1992-03-13 00:00:00',4,2,12,2009,'F','N','ASILO','BLUMENAU','SC','124241241212131431436613395124610123012',20837,'71',31.78,4,3,NULL),(25,6204490,'1988-08-24 00:00:00',4,1,12,2005,'M','N','KOBRASOL','S JOSÉ','SC','124241241216275512448711245114610167051',16503,'1076',41.39,1,3,NULL),(25,6204503,'1993-02-26 00:00:00',4,1,11,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215272411469913435122610127052',1283,'262',71.02,1,3,NULL),(25,6204520,'1992-08-07 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241216373441428831315124221324182',NULL,'1157',38.83,1,3,NULL),(25,6204538,'1994-08-12 00:00:00',4,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241117111531489611575122610127042',NULL,'1168',0.00,1,3,NULL),(25,6204554,'1993-01-22 00:00:00',4,8,12,2010,'M','N','CENTRO','S VICENTE','SP','125252251217221711436823585124610164053',7131,'9998',52.32,1,3,NULL),(25,6204562,'1991-08-25 00:00:00',2,4,12,2008,'F','N','CENTRO','CAXAMBU SUL','SC','124241241216373351566936575125610166142',17910,'185',33.89,1,3,NULL),(25,6204570,'1992-11-20 00:00:00',2,1,12,2009,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124242241216132431536832571114123224077',19909,'1050',33.17,1,3,NULL),(25,6204589,'1991-08-20 00:00:00',2,7,12,2008,'F','N','RIO BRANCO','PTO ALEGRE','RS','120241241136573431459933475124610132146',5455,'853',55.77,1,2,1),(25,6204600,'1989-10-05 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216372421226629341124610123092',11186,'269',47.16,1,3,NULL),(25,6204627,'1992-07-23 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241216161511559914575122610114041',NULL,'1075',24.42,1,3,NULL),(25,6204635,'1990-12-19 00:00:00',4,7,12,2008,'M','N','NEVEGANTES','OURO','SC','124241241147371431435612345122610112052',NULL,'585',25.30,4,2,1),(25,6204643,'1989-11-17 00:00:00',4,4,12,2006,'F','N','CENTRO','CASCAVEL','PR','116161161115571431443316262124143262147',3213,'9998',63.27,1,2,1),(25,6204651,'1994-07-08 00:00:00',4,4,12,2010,'F','N','CENTRO','MONDAÍ','SC','124243241215111411456824574122610146142',7907,'752',50.65,1,3,NULL),(25,6204660,'1994-05-03 00:00:00',4,1,11,2011,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215171711469913435122610117072',NULL,'262',48.21,1,3,NULL),(25,6204678,'1993-12-17 00:00:00',2,4,12,2010,'F','N','SÃO CRISTOVÃO','FAXINAL GUEDES','SC','124241241135141431324634245124610124142',NULL,'255',22.08,1,2,1),(25,6204686,'1993-12-23 00:00:00',2,4,12,2010,'F','N','LINHA JAGUATERICA','IPUMIRIM','SC','124241242115271431426632573124610136147',18110,'196',33.67,1,2,1),(25,6204694,'1993-09-30 00:00:00',2,4,12,2010,'F','N','SAIC','CHAPECÓ','SC','124242241215371431346834595122610136142',NULL,'185',0.00,1,3,NULL),(25,6204708,'1994-07-20 00:00:00',2,10,12,2011,'F','S','BELA VISTA','S LUDGERO','SC','124242241215111431578814545122610163197',NULL,'807',30.19,1,3,NULL),(25,6204724,'1992-10-23 00:00:00',2,2,12,2009,'M','N','ARMAÇÃO','PENHA','SC','124241241116152431336623575114131462082',20506,'609',33.13,1,2,1),(25,6204740,'1992-06-03 00:00:00',4,4,11,2009,'F','N','CENTRO','ERECHIM','RS','120202201215471431558819495124610124142',2549,'9998',65.99,1,3,NULL),(25,6204759,'1993-12-22 00:00:00',4,1,12,2010,'M','N','GUAÍRA','CURITIBA','PR','116162161217471432358934575112610127041',17989,'9998',33.27,1,3,NULL),(25,6204767,'1992-02-11 00:00:00',4,1,11,2009,'F','N','VILA MONUMENTO','S PAULO','SP','125252251217371231438614575114610134056',NULL,'9998',32.51,3,3,NULL),(25,6204775,'1994-04-12 00:00:00',2,9,12,2011,'F','S','CENTRO','LAGES','SC','124242241217111431368811575122610138092',NULL,'497',27.19,1,3,NULL),(25,6204791,'1993-08-15 00:00:00',2,4,12,2010,'M','N','CENTRO','NOVA ERECHIM','SC','124241241114131431324316245125610138147',18094,'572',33.12,1,2,1),(25,6204805,'1968-11-04 00:00:00',2,1,12,1985,'F','N','CENTRO','FLORIANÓPOLIS','SC','624243245217131331361154125122610126192',NULL,'268',29.04,1,3,NULL),(25,6204813,'1993-02-21 00:00:00',4,1,11,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215121431266924575112610163192',NULL,'1169',13.63,1,3,NULL),(25,6204821,'1991-07-04 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241212373431335514375112233231047',7308,'1169',52.91,1,3,NULL),(25,6204848,'1992-04-08 00:00:00',4,1,11,2009,'F','N','CENTRO','POMERODE','SC','124242241217372431589911575122142466092',41,'909',86.13,1,3,NULL),(25,6204856,'1994-02-15 00:00:00',4,8,12,2011,'F','S','AVENTUREIRO','JOINVILLE','SC','124242241217111431256613572122610127092',NULL,'459',44.64,1,3,NULL),(25,6204864,'1994-04-26 00:00:00',2,1,12,2011,'F','S','AMBRÓSIO','GAROPABA','SC','124241241126151731423311275112610134047',NULL,'322',17.77,1,3,NULL),(25,6204872,'1994-03-02 00:00:00',4,10,12,2011,'F','S','SÃO BASILIO','BRAÇO NORTE','SC','124241248215111332425834582124610134147',NULL,'809',28.26,1,3,NULL),(25,6204902,'1994-03-14 00:00:00',4,10,12,2010,'M','N','MAGALHÃES','LAGUNA','SC','124243241215151432336431575322610168182',14044,'525',45.10,1,3,NULL),(25,6204910,'1992-12-12 00:00:00',4,8,12,2010,'F','N','IRIRIÚ','JOINVILLE','SC','124242241217111431358614575124610136142',11064,'931',45.46,1,3,NULL),(25,6204929,'1989-07-25 00:00:00',4,1,10,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574421448613372114133227067',211,'262',80.94,1,3,NULL),(25,6204953,'1992-06-03 00:00:00',4,5,12,2009,'F','N','BELA VISTA','PTO ALEGRE','RS','120202201217471751348811471125610168187',NULL,'9998',0.00,1,3,NULL),(25,6204961,'1992-04-25 00:00:00',4,1,12,2009,'F','N','NOVA CAMPINAS','CAMPINAS','SP','125112111237471231489611474122610162097',NULL,'9998',0.00,1,3,NULL),(25,6204970,'1988-03-21 00:00:00',2,1,12,2005,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241136374431646419495124230344181',16748,'733',41.01,1,3,NULL),(25,6204996,'1992-11-11 00:00:00',4,8,11,2010,'M','N','GLORIA','JOINVILLE','SC','124242246236111411458833574114610162062',16367,'1105',36.29,1,3,NULL),(25,6205003,'1992-12-18 00:00:00',2,1,11,2010,'F','N','BELA VISTA','GASPAR','SC','124242241215271431356632574122610144052',4307,'87',60.37,1,3,NULL),(25,6205011,'1993-01-11 00:00:00',4,5,11,2010,'M','N','COMERCIARIO','CRICIÚMA','SC','124242243215111411443931214122610146142',1683,'226',70.23,1,3,NULL),(25,6205020,'1987-06-07 00:00:00',2,1,12,2004,'M','N','CENTRO','GAROPABA','SC','124241241146132421434634142214130726147',NULL,'322',44.85,1,2,1),(25,6205046,'1993-08-15 00:00:00',2,3,12,2010,'F','N','PEREQUE','PTO BELO','SC','124241241134131731423339275123610168017',12976,'405',43.23,1,3,NULL),(25,6205054,'1993-07-31 00:00:00',4,17,12,2010,'M','N','SÃO BASÍLIO MAGNO','UNIÃO VITÓRIA','PR','116163241217161411256923575125610114182',3945,'632',61.33,1,3,NULL),(25,6205062,'1993-10-06 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215371311489613174122610123092',623,'270',76.18,1,3,NULL),(25,6205070,'1980-02-02 00:00:00',2,1,12,2005,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','624241247226131411643179282113610161117',NULL,'9999',7.09,1,3,NULL),(25,6205089,'1992-07-21 00:00:00',4,4,12,2009,'F','N','OURO VERDE','CEL FREITAS','SC','124241241115131431326633445124610124147',NULL,'199',21.71,1,2,1),(25,6205097,'1993-08-21 00:00:00',2,1,12,2010,'F','N','CACUPE','FLORIANÓPOLIS','SC','123242241212111111678818593112610144143',17985,'262',38.87,1,3,NULL),(25,6205100,'1993-07-07 00:00:00',4,4,12,2010,'F','N','MARIA GORETTI','CHAPECÓ','SC','124241241415111432446914335112610122192',14358,'1094',40.93,1,3,NULL),(25,6205119,'1992-04-24 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117112441666612595122610168165',5088,'271',60.64,1,3,NULL),(25,6205135,'1991-08-13 00:00:00',4,4,10,2008,'F','N','CENTRO','QUEDAS IGUAÇU','PR','116163161335571411366832571124510122012',3236,'9998',63.80,1,3,NULL),(25,6205151,'1993-09-05 00:00:00',4,2,12,2010,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124242241215111431641824575124610134017',7927,'87',52.57,1,3,NULL),(25,6205160,'1991-03-07 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124162241316472431458853375124610147052',12878,'592',43.77,1,3,NULL),(25,6205178,'1992-03-24 00:00:00',4,5,6,2009,'F','N','ZONA NOVA','TRAMANDAÍ','RS','120201201116471431325727171124610117047',18238,'9998',34.29,1,2,1),(25,6205186,'1992-01-11 00:00:00',4,5,12,2009,'F','N','CENTRO','TRAMANDAÍ','RS','120201201117471221268613571124610134077',12100,'9998',42.46,4,1,1),(25,6205194,'1991-05-06 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241215573451438839395124221464092',1998,'270',66.63,1,3,NULL),(25,6205216,'1993-02-20 00:00:00',4,4,12,2009,'F','N','CENTRO','MARAVILHA','SC','124242241215471431566912492122610126192',8659,'1037',51.13,1,3,NULL),(25,6205224,'1992-05-01 00:00:00',4,4,12,2009,'F','N','IPEZINHO','MEDIANEIRA','PR','116161161115471431433616575122610164187',19705,'9998',35.36,1,2,1),(25,6205232,'1984-04-25 00:00:00',2,8,11,2001,'F','N','PAROLIN','CURITIBA','PR','116161161415471441228621315112343223097',NULL,'9998',0.00,1,3,NULL),(25,6205259,'1994-02-05 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241415121431375631575112610137042',4319,'262',60.97,1,3,NULL),(25,6205267,'1991-05-16 00:00:00',4,4,11,2007,'F','N','BOM FIM','PTO ALEGRE','RS','120241241317572431454839572114610163097',6993,'1000',53.25,1,3,NULL),(25,6205275,'1992-06-25 00:00:00',4,1,12,2009,'F','N','LIMÃO','S PAULO','SP','125252251216411311567812571112610164142',NULL,'9998',0.00,1,3,NULL),(25,6205283,'1976-03-27 00:00:00',2,1,5,2005,'M','N','BARREIROS','S JOSÉ','SC','224241247126474441433344145125231312057',6365,'9999',54.52,1,2,1),(25,6205291,'1993-10-27 00:00:00',4,1,12,2011,'M','S','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111431569933475112610124122',NULL,'883',38.33,1,3,NULL),(25,6205305,'1989-12-02 00:00:00',2,15,12,2006,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241227152541254643242124230844145',18656,'524',37.64,1,3,NULL),(25,6205313,'1992-02-28 00:00:00',2,1,12,2009,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241212373231568923595124223216147',13472,'1223',45.97,1,3,NULL),(25,6205321,'1991-04-24 00:00:00',4,4,12,2008,'M','N','SAIC','CHAPECÓ','SC','124241241215573421468923572122610167067',4423,'185',59.96,1,3,NULL),(25,6205330,'1992-01-31 00:00:00',4,2,12,2009,'M','N','CENTRO','ARARAS','SP','125251251117471431448813471122610167172',7320,'9998',52.28,1,2,1),(25,6205356,'1993-06-01 00:00:00',4,16,12,2010,'M','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161217121431436832585111610132122',139,'9998',82.07,1,3,NULL),(25,6205372,'1987-12-01 00:00:00',2,1,12,2005,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124112211216574411569811331121231062042',2880,'9998',65.28,1,3,NULL),(25,6205380,'1994-05-03 00:00:00',4,1,1,2012,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241215111431323319575115610167065',NULL,'1133',38.58,1,3,NULL),(25,6205399,'1991-11-29 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124281241215111431356723242122610127187',NULL,'1022',20.64,1,3,NULL),(25,6205402,'1992-11-13 00:00:00',4,15,12,2009,'M','N','NOVA BRASILIA','SOMBRIO','SC','124243242115141731436612172122230337057',19616,'690',28.25,1,3,NULL),(25,6205410,'1993-07-22 00:00:00',2,1,12,2010,'F','N','INTERIOR','MARAU','RS','120201201117131431436615592124610134197',NULL,'9998',31.78,1,2,1),(25,6205429,'1989-11-16 00:00:00',2,1,12,2006,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241115145451546634346124230237087',19015,'307',36.92,1,2,1),(25,6205437,'1991-06-17 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115373331226614382124610163072',6818,'271',56.98,1,3,NULL),(25,6205445,'1990-11-25 00:00:00',2,4,12,2007,'F','N','REGIAO DO LAGO','CASCAVEL','PR','116161161116111431538811575122610126157',NULL,'687',0.00,1,2,1),(25,6205461,'1979-04-10 00:00:00',4,1,12,1997,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241246147132431138641315132121724115',5962,'306',58.82,1,2,1),(25,6205488,'1993-01-27 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215371411436514355124610132147',NULL,'1118',27.60,2,1,2),(25,6205496,'1991-10-14 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242248216372731446833575124610123181',13757,'738',43.19,1,3,NULL),(25,6205500,'1982-02-20 00:00:00',2,2,12,1999,'F','N','CANOAS','RIO SUL','SC','124201203137372751323343135124231044182',NULL,'9998',0.00,1,3,NULL),(25,6205518,'1992-05-30 00:00:00',2,1,12,2009,'F','N','CENTRO','PTO ALEGRE','RS','120203208216372731226629395124610137182',NULL,'9998',0.00,1,3,NULL),(25,6205526,'1993-03-12 00:00:00',4,3,12,2010,'M','N','CENTRO','BANDEIRANTES','PR','116164161217111431448811575124610127092',2814,'9998',66.00,3,3,NULL),(25,6205534,'1991-05-19 00:00:00',4,1,12,2010,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124243241215111431558734572122610138197',NULL,'1118',33.23,1,3,NULL),(25,6205542,'1992-05-23 00:00:00',4,1,12,2009,'F','N','CENTRO HISTÓRICO','S JOSÉ','SC','124242241215272211426611174124610167091',8997,'723',49.69,1,3,NULL),(25,6205550,'1993-02-25 00:00:00',2,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124243241215111731469911592122610122182',NULL,'983',29.96,1,3,NULL),(25,6205569,'1984-02-11 00:00:00',2,1,12,2001,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','224241241111473721243454475124320562097',11673,'359',48.64,1,2,1),(25,6205577,'1992-08-19 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215473431433732322112610122017',4488,'226',60.13,1,3,NULL),(25,6205585,'1991-04-05 00:00:00',4,1,11,2008,'M','N','VILA SÃO JOÃO','CAMPINAS','SP','124282281317472411127823575114221167055',NULL,'9998',0.00,1,3,NULL),(25,6205593,'1994-07-05 00:00:00',2,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215111731438833572124610137012',20326,'723',33.64,1,3,NULL),(25,6205607,'1993-09-25 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241117131231326623235124610122092',15596,'295',40.04,1,2,1),(25,6205615,'1990-09-21 00:00:00',4,1,12,2007,'F','N','UNIVERSITÁRIO','LONDRINA','PR','116162161217571731559834575122141422017',736,'9998',74.21,3,3,NULL),(25,6205623,'1993-05-01 00:00:00',2,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217112451348913574124610146097',2334,'1050',66.71,1,3,NULL),(25,6205631,'1993-08-14 00:00:00',2,10,12,2010,'M','N','AVISTOSO','BRAÇO NORTE','SC','124241242115131441425336595224610124142',6689,'690',53.99,1,2,1),(25,6205640,'1990-07-20 00:00:00',2,3,12,2007,'F','N','CENTRO','LONDRINA','PR','116162161216573431458819375122610124142',2172,'9998',66.42,1,3,NULL),(25,6205658,'1993-02-18 00:00:00',2,5,12,2010,'F','N','CENTRO','MRO FUMAÇA','SC','124241246216111431357912575124232934142',NULL,'995',16.06,1,3,NULL),(25,6205682,'1994-06-22 00:00:00',4,3,10,2011,'F','S','SANTA REGINA','CAMBORIÚ','SC','124242241216121431369924572122610137142',NULL,'1038',38.15,1,3,NULL),(25,6205690,'1992-07-25 00:00:00',2,1,12,2009,'F','N','DESVIO RIZZO','CAXIAS SUL','RS','120201201215471731456939575114610154092',10718,'9998',44.71,1,3,NULL),(25,6205704,'1993-04-12 00:00:00',4,4,11,2010,'M','N','CENTRO','CURITIBA','PR','116241161415121431346411575114610137047',NULL,'9998',25.75,1,3,NULL),(25,6205712,'1987-05-19 00:00:00',4,1,12,2004,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216354711458724445124233247182',20876,'260',31.64,1,3,NULL),(25,6205720,'1991-02-09 00:00:00',4,4,12,2007,'F','N','CENTRO','PATO BRANCO','PR','116161161116472431459614375124610146147',2264,'9998',67.35,1,2,1),(25,6205747,'1993-10-17 01:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124244241415111431469719275122610122192',9090,'738',52.90,1,3,NULL),(25,6205755,'1993-06-26 00:00:00',4,9,12,2010,'F','N','MEDIANEIRA','TRÊS MAIO','RS','120202201215161431337839575124610162092',10357,'9998',47.03,1,3,NULL),(25,6205763,'1993-08-12 00:00:00',4,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124242241215212421568832581112610132012',15331,'855',39.40,1,3,NULL),(25,6205771,'1990-05-21 00:00:00',2,5,12,2007,'F','N','JARDIM VILA NOVA','PTO ALEGRE','RS','120202201216571431453731575114610162197',NULL,'9998',0.00,1,3,NULL),(25,6205780,'1993-07-25 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241235121431219831372125610164042',17953,'213',34.27,1,3,NULL),(25,6205798,'1990-10-28 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','116124121217572451476612575124610162197',NULL,'9998',0.00,1,3,NULL),(25,6205801,'1993-05-07 00:00:00',4,9,12,2010,'M','N','SÃO CRISTÓVÃO','PASSO FUNDO','RS','120201201115471431433933575124610167097',15810,'9998',36.87,1,2,1),(25,6205810,'1992-06-17 00:00:00',2,4,12,2009,'F','N','CENTRO','GUATAMBÚ','SC','124241241117572431468613574122610162177',19419,'169',30.45,1,2,1),(25,6205828,'1994-05-19 00:00:00',4,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241117161431447613592114610112195',16600,'298',41.24,1,2,1),(25,6205836,'1992-06-22 00:00:00',2,15,12,2009,'M','N','CENTRO','PASSO TORRES','SC','124241241127131131323329345231610128097',NULL,'605',21.22,5,3,NULL),(25,6205844,'1992-01-10 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161216471431258914575124610136147',NULL,'9998',0.00,1,3,NULL),(25,6205852,'1993-08-17 00:00:00',4,8,12,2010,'F','N','BAEPENDI','JARAGUÁ SUL','SC','124244241215121431236923572122610137112',20709,'442',32.34,1,3,NULL),(25,6205860,'1994-05-18 00:00:00',4,4,12,2010,'F','N','SAIC','CHAPECÓ','SC','124241241215111731336939575124610144097',NULL,'1094',28.09,1,3,NULL),(25,6205879,'1993-08-25 00:00:00',2,1,12,2010,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215111431457611572122610137157',14229,'1118',40.94,1,3,NULL),(25,6205887,'1992-08-31 00:00:00',2,4,12,2009,'F','N','JARDIM LINDÓIA','GOIOERÊ','PR','116162161212472431549933472125610124092',1768,'9998',67.85,1,3,NULL),(25,6205895,'1985-11-13 00:00:00',2,4,12,2002,'F','N','JARDIM ÁGUA BOA','DOURADOS','MS','212121121116251431263853274112342933017',NULL,'9998',0.00,4,2,1),(25,6205909,'1992-10-28 00:00:00',2,1,12,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241136371121523319215124610124152',NULL,'733',22.41,1,2,1),(25,6205917,'1992-06-30 00:00:00',4,8,12,2009,'M','N','VILA LALAU','JARAGUÁ SUL','SC','124241231116131431327612445124610167187',15147,'430',43.48,1,2,1),(25,6205925,'1993-05-01 00:00:00',4,8,11,2010,'M','N','CRISTO REI','CURITIBA','PR','116162161215111431268823575112610117112',NULL,'9998',0.00,1,3,NULL),(25,6205933,'1993-06-27 00:00:00',2,1,12,2010,'F','N','CENTRO','S DOMINGOS','SC','124243161217131431338312575122610143147',NULL,'9998',31.98,1,3,NULL),(25,6205941,'1990-12-05 00:00:00',4,1,11,2008,'F','N','PARQUE BANDEIRANTE','STO ANDRÉ','SP','125254251117571311548813593124610116187',NULL,'9998',36.24,1,3,NULL),(25,6205950,'1992-03-15 00:00:00',2,1,12,2009,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','624241241215322411457413232114610117112',12674,'299',45.24,1,3,NULL),(25,6205976,'1995-06-24 00:00:00',4,9,12,2010,'M','N','CENTRO','ANITA GARIBALDI','SC','124244241415111431578933575122610137121',NULL,'1022',0.00,1,3,NULL),(25,6205984,'1992-04-27 00:00:00',4,8,12,2009,'M','N','COUNTRY','CASCAVEL','PR','116162161215472431379931572124610124122',NULL,'9998',40.08,1,3,NULL),(25,6205992,'1972-08-24 00:00:00',2,1,12,1989,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201116151411145644431124343224187',NULL,'9998',16.76,1,3,NULL),(25,6206000,'1993-08-18 00:00:00',2,1,11,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241215111432346613572122610137142',3876,'1011',63.61,1,3,NULL),(25,6206026,'1989-05-16 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241247227373411436374182114230211077',19136,'9999',36.68,4,3,NULL),(25,6206034,'1993-07-25 00:00:00',2,5,12,2010,'F','N','MONTE VERDE','MRO FUMAÇA','SC','124242241215211431436614395122610164052',NULL,'9997',0.00,1,3,NULL),(25,6206050,'1987-01-12 00:00:00',4,1,12,2004,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241216474731356619475124431268047',2547,'266',63.92,1,3,NULL),(25,6206069,'1993-11-15 00:00:00',4,8,11,2010,'M','N','HARMONIA','TELÊMACO BORBA','PR','116162161215111431448834572112610137187',15555,'9998',38.16,1,3,NULL),(25,6206077,'1990-04-30 00:00:00',2,1,11,2007,'M','N','BOA VISTA','CURITIBA','PR','116164161215371431246813572113141467112',4731,'855',59.33,1,3,NULL),(25,6206085,'1988-01-02 00:00:00',2,1,11,2005,'M','N','PALMAS','GOV CELSO RAMOS','SC','124241241127131432525674345133610138147',17620,'359',39.55,1,2,1),(25,6206093,'1993-05-13 00:00:00',4,1,11,2010,'M','N','VILA COUTINHO','CPO GRANDE','MS','112123121117111532358619574112610127077',7445,'9998',52.93,4,3,NULL),(25,6206107,'1993-11-18 00:00:00',2,1,11,1993,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124242241216121231537734275122610136042',9601,'723',48.73,1,3,NULL),(25,6206115,'1991-09-18 00:00:00',4,8,12,2008,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161216471431458833475112610134062',6492,'9998',53.34,1,3,NULL),(25,6206123,'1994-02-19 00:00:00',4,1,12,2010,'F','N','MERCÊS','CURITIBA','PR','116162161216121431457631575122610164092',5580,'9998',56.70,1,3,NULL),(25,6206131,'1986-04-16 00:00:00',2,8,12,2003,'F','N','CENTRO','ICARAÍMA','PR','116161161337571431426511382122610134047',15188,'9998',38.16,1,3,NULL),(25,6206140,'1992-07-10 00:00:00',4,1,11,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124244241215121431558612375112610127043',NULL,'270',0.00,1,3,NULL),(25,6206158,'1993-06-28 00:00:00',4,5,12,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215111411237823571124610167042',10692,'226',50.17,1,3,NULL),(25,6206174,'1993-04-17 00:00:00',4,3,12,2010,'M','N','CENTRO','FORMOSA OESTE','PR','116161161117151431443611245122610162017',5243,'9998',57.84,1,2,1),(25,6206182,'1979-12-07 00:00:00',2,1,12,1998,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','224244248436174451249853495122323267092',NULL,'9997',17.18,1,3,NULL),(25,6206204,'1992-04-20 00:00:00',4,2,12,2009,'F','N','VILA NOVA','BLUMENAU','SC','124242241215473531347824572124610133147',8132,'855',51.49,1,3,NULL),(25,6206220,'1992-08-10 00:00:00',4,4,12,2009,'F','N','CRISTO REI','CHAPECÓ','SC','124241241136131231426519345124610134147',NULL,'180',16.96,1,2,1),(25,6206239,'1992-12-21 00:00:00',4,1,11,2009,'F','N','SÃO LOURENÇO','CURITIBA','PR','116162281215471331569923575114610122072',NULL,'9998',0.00,1,3,NULL),(25,6206247,'1989-01-20 00:00:00',4,1,12,2005,'M','N','CAMPINAS','S JOSÉ','SC','124243241216275431246522575114123262087',1237,'1022',72.68,1,3,NULL),(25,6206255,'1993-08-11 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115311411654869472124610116012',NULL,'298',0.00,1,2,1),(25,6206263,'1994-11-08 00:00:00',4,9,11,2011,'F','S','CENTRO','LAGES','SC','124242241215111732469912575112610127092',NULL,'1207',30.80,1,3,NULL),(25,6206301,'1993-05-20 00:00:00',2,1,12,2010,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124242241215111431448613575124610138072',NULL,'989',23.60,1,3,NULL),(25,6206336,'1991-05-09 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116251251416572711428616575124610163037',6690,'9998',53.67,1,3,NULL),(25,6206352,'1994-08-23 00:00:00',4,2,12,2011,'F','S','GARCIA','BLUMENAU','SC','124241241215131131448712572122610132101',NULL,'71',38.67,1,3,NULL),(25,6206360,'1993-10-07 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124242241316251451558823575124610166095',4879,'295',59.20,1,3,NULL),(25,6206379,'1993-03-29 00:00:00',4,1,12,2010,'M','N','LOT DONA WANDA','S JOSÉ','SC','124241241112371431426624285124610138057',17821,'295',33.85,1,2,1),(25,6206387,'1994-04-15 00:00:00',2,5,11,2011,'F','S','CENTRO','CRICIÚMA','SC','124242241215111431456611272122610164182',NULL,'226',46.55,1,3,NULL),(25,6206395,'1993-02-21 00:00:00',2,1,12,2010,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124242241115271411556633372124610118142',11027,'739',45.87,1,3,NULL),(25,6206409,'1993-11-08 00:00:00',4,1,12,2010,'M','N','JARDIM BELVEDERE','UMUARAMA','PR','116162161215111311336632575112610167112',17814,'9998',39.21,3,3,NULL),(25,6206417,'1993-05-13 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217371431679833576122610167121',3320,'1050',64.10,1,3,NULL),(25,6206433,'1954-02-12 00:00:00',4,1,12,1975,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224161163126241411243241111124341035173',NULL,'9998',0.00,1,2,1),(25,6206441,'1993-03-08 00:00:00',4,10,11,2010,'M','N','OFICINAS','TUBARÃO','SC','124242241215111431327829372122610147042',18821,'1120',37.31,1,3,NULL),(25,6206450,'1992-08-04 00:00:00',4,1,12,2009,'M','N','TREZE DE JULHO','ARACAJU','SE','126262261217471751469931575122610142042',283,'9998',79.48,1,3,NULL),(25,6206468,'1993-07-21 00:00:00',4,1,12,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215112431246729575114610134187',5449,'1022',57.54,1,3,NULL),(25,6206476,'1991-01-06 00:00:00',4,8,11,2008,'M','N','VILA ANTÔNIO AUGUSTO','CAÇAPAVA','SP','125252251216572731468314575122610142042',182,'9998',81.35,1,3,NULL),(25,6206484,'1992-04-12 00:00:00',4,1,11,2009,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251215472431588814471112610163112',NULL,'9998',0.00,1,3,NULL),(25,6206506,'1992-07-15 00:00:00',2,9,12,2009,'F','N','BOM FIM','PTO ALEGRE','RS','120202201216471231354924585122610123152',NULL,'9998',0.00,1,3,NULL),(25,6206514,'1993-02-16 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241215111311236624575114610127051',20109,'273',29.51,1,3,NULL),(25,6206530,'1992-06-08 00:00:00',2,8,12,2009,'F','N','CRISTO REI','CURITIBA','PR','116242161216472431669714571114610127097',7425,'9998',52.41,1,3,NULL),(25,6206549,'1988-05-02 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215474441123521275124122665197',1983,'44',68.99,1,3,NULL),(25,6206557,'1992-07-06 00:00:00',2,6,12,2009,'F','N','ARIRIBÁ','BAL CAMBORIÚ','SC','124242241216471451337713575115610143182',20505,'633',26.89,1,3,NULL),(25,6206565,'1992-11-21 00:00:00',4,5,12,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215121431456712375122610147142',5121,'226',60.56,1,3,NULL),(25,6206573,'1992-04-21 00:00:00',2,6,12,2009,'F','N','SAO JOAO','ITAJAÍ','SC','116161161121471331228661275324610127182',16183,'9998',41.87,1,2,1),(25,6206581,'1991-02-07 00:00:00',2,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116161161211572431543511571125610122042',7149,'9998',53.11,1,3,NULL),(25,6206590,'1993-05-17 00:00:00',2,4,12,2010,'M','N','JORGE TEIXEIRA','ARIQUEMES','RO','122113221317111432436611575122610164172',NULL,'9998',24.98,1,3,NULL),(25,6206603,'1990-10-12 00:00:00',2,1,11,2008,'M','N','ZONA','MARINGÁ','PR','116162168616511252448619492112610162187',6778,'9998',54.70,3,3,NULL),(25,6206611,'1967-01-21 00:00:00',2,1,9,2007,'M','N','CAMPINAS','S JOSÉ','SC','224241241126151231321344145122130214047',NULL,'9999',2.84,1,2,1),(25,6206620,'1994-03-09 00:00:00',2,1,12,2011,'F','S','CENTRO','BIGUAÇU','SC','124242241215111751433622195122610112197',NULL,'270',43.12,1,3,NULL),(25,6206638,'1992-09-12 00:00:00',4,15,12,2009,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241214273431456832575122231427052',6772,'970',57.17,1,3,NULL),(25,6206646,'1991-07-03 00:00:00',4,4,12,2008,'M','N','CENTRO','S CARLOS','SC','124242241216151711447614445122610168181',2456,'185',66.44,1,3,NULL),(25,6206654,'1992-10-20 00:00:00',2,1,12,2009,'F','N','CENTRO','GUAÍRA','PR','116164161216371431333614575114610121122',8036,'9998',50.96,1,3,NULL),(25,6206670,'1993-07-02 00:00:00',2,1,12,2010,'F','N','SÃO LUIZ','S JOSÉ','SC','124241241115141131236329345124610164042',NULL,'729',18.16,4,2,1),(25,6206689,'1993-09-08 00:00:00',2,1,11,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124242241215122431426657575124610166142',11659,'270',44.40,1,3,NULL),(25,6206697,'1989-07-09 00:00:00',4,4,12,2005,'F','N','CATARINA FONTANA','CONCÓRDIA','SC','124243241111172431458923495122331344092',NULL,'192',0.00,1,3,NULL),(25,6206700,'1985-11-23 00:00:00',2,1,11,2004,'M','N','MEDIANEIRA','PTO ALEGRE','RS','120201201126132321123644445224141447117',NULL,'9998',0.00,4,2,1),(25,6206719,'1994-02-12 00:00:00',4,1,11,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215121531586814471122610146155',NULL,'270',31.09,4,3,NULL),(25,6206727,'1992-11-17 00:00:00',4,3,12,2009,'F','N','REBOUÇAS','CURITIBA','PR','116162161216471431469924574114610134122',1729,'9998',68.01,1,3,NULL),(25,6206735,'1993-05-01 00:00:00',2,1,12,2010,'F','N','VILA SOROCABANA','GUARULHOS','SP','125254251216131431336829575124610162077',NULL,'9998',0.00,1,3,NULL),(25,6206751,'1992-01-18 00:00:00',4,17,12,2009,'M','N','VILA NOVA','LAGES','SC','124241241117151431436664575122231422147',17679,'146',33.52,1,2,1),(25,6206786,'1992-01-23 00:00:00',4,8,11,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116163161316372731546814371124142466147',89,'9998',83.96,1,3,NULL),(25,6206808,'1993-08-23 00:00:00',4,1,12,2010,'F','N','MERCÊS','CURITIBA','PR','116162161216471131469923575124610162024',16920,'9998',34.66,1,3,NULL),(25,6206816,'1992-12-01 00:00:00',4,1,11,2010,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124242241215121411659911576122610146117',5541,'299',59.68,1,3,NULL),(25,6206824,'1989-08-03 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124052051237271441138844445122140764122',12944,'9998',46.67,1,3,NULL),(25,6206832,'1993-04-15 00:00:00',4,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241215111431546933572122610137042',13418,'1074',41.68,1,3,NULL),(25,6206859,'1993-06-26 00:00:00',4,8,12,2010,'M','N','JARDIM PANORAMA','ARAPONGAS','PR','116162161216111431659833575122610127052',3625,'9998',62.16,1,3,NULL),(25,6206867,'1993-02-25 00:00:00',4,1,12,2009,'F','N','BOA VIAGEM','RECIFE','PE','117222221216271432579914574124610124082',NULL,'9998',0.00,1,3,NULL),(25,6206875,'1993-03-10 00:00:00',2,15,11,2010,'F','N','GÁVEA','JACINTO MACHADO','SC','124241241415122431434635172112610132072',12167,'813',44.15,1,3,NULL),(25,6206883,'1992-02-10 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','116161161116131431548933572122240224143',14962,'9998',39.31,1,2,1),(25,6206891,'1993-02-09 00:00:00',4,15,12,2010,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241135131431536631215121610167187',20919,'29',31.42,1,2,1),(25,6206905,'1993-09-01 00:00:00',2,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241243116131731426614572125610167187',12172,'129',47.88,1,2,1),(25,6206913,'1993-02-06 00:00:00',4,1,12,2010,'M','N','PQ HIGIENOPOLIS','PRES PRUDENTE','SP','125252251217111731558839574122610131057',NULL,'9998',0.00,1,3,NULL),(25,6206921,'1993-01-05 00:00:00',4,8,12,2010,'M','N','GLÓRIA','JOINVILLE','SC','124241246215111431446613232124610164057',NULL,'1105',0.00,1,3,NULL),(25,6206930,'1980-02-25 00:00:00',4,1,12,2003,'M','N','JARDIM QUISSISANA','POÇOS CALDAS','MG','113131131116131531126541145114620132197',NULL,'9998',32.02,3,2,1),(25,6206948,'1994-08-09 00:00:00',4,10,11,2011,'F','S','CENTRO','BRAÇO NORTE','SC','124242241216121731456634345122610133147',NULL,'807',36.51,1,3,NULL),(25,6206956,'1992-05-09 00:00:00',4,4,12,2009,'F','N','SANTANA','S JOSÉ CAMPOS','SP','125253251215472411337614275122610142042',NULL,'9998',0.00,1,3,NULL),(25,6206964,'1991-08-19 00:00:00',4,3,12,2008,'F','N','ALTO BOQUEIRÃO','CURITIBA','PR','116163161116571411447634571114610124057',15667,'9998',37.58,1,3,NULL),(25,6206972,'1992-10-19 00:00:00',4,8,11,2010,'F','N','ATIRADORES','JOINVILLE','SC','124242241215271531358934595112610164142',13061,'457',42.81,1,3,NULL),(25,6206999,'1992-03-23 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215473431469614572125610166122',NULL,'446',37.74,1,3,NULL),(25,6207006,'1991-05-29 00:00:00',4,1,12,2009,'M','N','SOÃO CONRRADO','ARACAJU','SE','126262261217471731426832595122610164047',13614,'9998',41.34,1,3,NULL),(25,6207014,'1993-11-15 00:00:00',2,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124241241215111531633614445114610167112',16705,'1022',36.55,1,3,NULL),(25,6207022,'1993-07-17 00:00:00',2,1,12,2010,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241216111411236633575124610117042',19128,'1023',36.69,1,3,NULL),(25,6207030,'1993-08-27 00:00:00',4,5,12,2010,'M','N','JARDIM SILVANA','IÇARA','SC','124281241335111431533311272124610114097',7635,'226',52.64,1,3,NULL),(25,6207049,'1993-10-03 00:00:00',2,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111741466924572124610143185',6072,'270',53.83,1,3,NULL),(25,6207057,'1992-06-25 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124272241217111431358814575115610127052',5583,'270',58.29,1,3,NULL),(25,6207065,'1992-01-05 00:00:00',4,1,12,2009,'F','N','BARÃO GERALDO','CAMPINAS','SP','125252251217471431387812472122610162182',8335,'9998',51.56,1,3,NULL),(25,6207073,'1993-08-25 00:00:00',4,8,10,2010,'F','N','JARDIM AVARÉ','PARANAVAÍ','PR','116162161215121431468836575122610133142',NULL,'9998',0.00,1,3,NULL),(25,6207081,'1985-07-05 00:00:00',4,1,5,2008,'F','N','CENTRO','ANTÔNIO CARLOS','SC','224042047247311451218759395124143268181',NULL,'9998',28.56,4,3,NULL),(25,6207103,'1990-04-15 00:00:00',2,1,12,2007,'M','N','PIRITUBA','S PAULO','SP','125252251216571731468824295124610117142',9036,'9998',48.52,1,3,NULL),(25,6207111,'1993-01-24 00:00:00',4,1,11,2009,'M','N','CENTRO','CURITIBA','PR','116163161215472431228811175121610164057',1075,'9998',72.79,4,3,NULL),(25,6207120,'1993-02-01 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215122431438912425122610167072',10981,'266',44.52,1,3,NULL),(25,6207138,'1992-05-03 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241214372431425413435124610126077',NULL,'1022',29.70,4,3,NULL),(25,6207146,'1991-08-22 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241235574431569814575124121624112',9617,'71',48.20,1,3,NULL),(25,6207154,'1992-05-19 00:00:00',4,1,12,2010,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','624241241337141741435312145114610167186',20605,'288',29.32,1,3,NULL),(25,6207162,'1993-04-20 00:00:00',4,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241137271731227624575114610135197',NULL,'288',26.39,1,3,NULL),(25,6207170,'1993-04-29 00:00:00',4,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241135371731459833575124610128017',8302,'267',51.64,1,2,1),(25,6207189,'1992-12-22 00:00:00',4,8,12,2010,'F','N','GUANABARA','JOINVILLE','SC','124243241316131431437714575124610132047',NULL,'478',11.69,1,3,NULL),(25,6207197,'1992-11-14 00:00:00',4,3,12,2009,'F','N','CENTRO','CARAMBEÍ','PR','116103161215471731577716475124610127052',12718,'9998',42.62,1,3,NULL),(25,6207200,'1992-04-26 00:00:00',2,8,12,2009,'M','N','IRIRIU','JOINVILLE','SC','124241246112311431446514445122610124092',18873,'470',37.18,1,2,1),(25,6207219,'1993-02-03 00:00:00',2,17,11,2010,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','116241161216121411448914575122610167142',11042,'9998',45.12,1,3,NULL),(25,6207227,'1991-12-08 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161215571431137823592124610164057',1340,'9998',71.33,1,3,NULL),(25,6207235,'1992-11-17 00:00:00',4,1,12,2010,'F','N','CENTRO','GUAPORÉ','RS','120202201217141431357812245122610127057',9355,'9998',47.45,1,3,NULL),(25,6207243,'1986-11-20 00:00:00',4,1,12,2005,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241127371731334113485114610137145',21616,'283',26.63,1,2,1),(25,6207251,'1993-10-07 00:00:00',2,15,12,2010,'M','N','CENTRO','BAL ARROIO SILVA','SC','124243241217371731446814575122610167112',12475,'970',43.46,1,3,NULL),(25,6207260,'1993-01-04 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217151431358711273124610164142',19457,'988',30.87,4,3,NULL),(25,6207278,'1994-07-20 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431358812575115610128142',9903,'270',51.51,1,3,NULL),(25,6207286,'1993-08-30 00:00:00',4,15,12,2010,'F','N','STO ANTONIO','CAPÃO CANOA','RS','120204201216151431657712575122610147077',16644,'9998',34.80,1,3,NULL),(25,6207308,'1991-07-17 00:00:00',4,2,11,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215473431357824572124610162077',5393,'9998',56.51,1,3,NULL),(25,6207316,'1990-08-19 00:00:00',2,8,12,2007,'M','N','CENTRO','MARIA HELENA','PR','116161161415573431466932595124610122097',NULL,'9998',0.00,1,3,NULL),(25,6207340,'1989-06-08 00:00:00',4,8,12,2007,'M','N','JAGUARÉ','S PAULO','SP','125252258245571742468834295124610162016',1130,'9998',72.12,4,3,NULL),(25,6207359,'1993-04-14 00:00:00',2,4,12,2010,'M','N','CENTRO','GUARUJÁ SUL','SC','124244241217371331468613475122610117062',NULL,'752',0.00,1,3,NULL),(25,6207367,'1977-08-07 00:00:00',2,1,3,1996,'M','N','INGLESES','FLORIANÓPOLIS','SC','224163161116555431223943335122121434012',NULL,'9998',0.00,1,3,NULL),(25,6207375,'1988-11-01 00:00:00',2,5,12,2005,'F','N','CENTRO','PR GRANDE','SC','124241241136575731548631595124610167142',484,'641',77.60,1,2,1),(25,6207383,'1993-09-14 00:00:00',4,4,12,2010,'M','N','AEROPORTO','ERECHIM','RS','120202201217371431548832471122610143042',2200,'9998',66.83,1,3,NULL),(25,6207391,'1993-04-07 00:00:00',4,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215272431478833575124610126195',3293,'270',64.27,1,3,NULL),(25,6207405,'1990-03-04 00:00:00',4,8,12,2007,'F','N','CENTRO','STO ANDRÉ','SP','125252281217571751448873571124610168147',334,'9998',79.09,1,3,NULL),(25,6207413,'1992-04-20 00:00:00',4,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124242241216272431556614285124110132117',NULL,'807',29.94,4,3,NULL),(25,6207421,'1992-08-18 00:00:00',4,1,12,2009,'F','N','CENTRO','ABELARDO LUZ','SC','124242241215474431268614292124610124147',969,'1022',74.14,1,3,NULL),(25,6207430,'1991-04-09 00:00:00',4,8,12,2008,'F','N','BOA VISTA','CURITIBA','PR','116162161217572731358939571124610127147',2084,'9998',65.99,1,3,NULL),(25,6207456,'1993-05-07 00:00:00',4,1,12,2010,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124161241137471531531764575124610117045',12834,'307',41.96,1,2,1),(25,6207464,'1993-03-08 00:00:00',2,1,11,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242248212112731347814445122610162011',15782,'1022',42.47,1,3,NULL),(25,6207480,'1993-04-12 00:00:00',4,1,11,2010,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124244241217111431644633492114610127045',NULL,'300',18.24,1,3,NULL),(25,6207499,'1993-11-17 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124244241415111731358924575112610164142',NULL,'1022',0.00,1,3,NULL),(25,6207502,'1991-04-13 00:00:00',4,1,12,2008,'M','N','ZONA UM','MARINGÁ','PR','116162161215571431448811575122610162047',968,'9998',73.15,3,3,NULL),(25,6207510,'1992-09-18 00:00:00',4,4,12,2009,'M','N','SANTA CECÍLIA','PTO ALEGRE','RS','120242201216472431578813575114610164067',2489,'9998',65.60,1,3,NULL),(25,6207529,'1980-09-18 00:00:00',4,1,11,1997,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241142375441456813345122122921147',21401,'307',28.80,1,2,1),(25,6207537,'1986-08-27 00:00:00',2,1,12,2010,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','224201245146371411225454345124610127057',13489,'281',42.61,1,2,1),(25,6207545,'1992-01-14 00:00:00',4,1,12,2009,'M','N','JARDIM APUCARANA','APUCARANA','PR','116162168214471722125812285124610167077',15950,'9998',38.04,3,3,NULL),(25,6207553,'1990-02-25 00:00:00',4,5,12,2006,'M','N','ARGENTINA','CRICIÚMA','SC','124241246137141431434619342124233244117',NULL,'953',23.26,1,3,NULL),(25,6207561,'1991-09-21 00:00:00',4,1,10,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217473431489711571122141467142',1740,'262',67.79,1,3,NULL),(25,6207570,'1977-11-03 00:00:00',4,1,12,1997,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241416152441456617495124230766052',13421,'9999',46.04,1,3,NULL),(25,6207588,'1993-11-20 00:00:00',4,8,11,2010,'F','N','XAXIM','CURITIBA','PR','116161161215411521469832575114610125187',9588,'9998',47.50,1,3,NULL),(25,6207600,'1993-03-23 00:00:00',4,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124243241215131411524923575124610145077',18299,'1134',33.43,1,3,NULL),(25,6207618,'1993-11-11 00:00:00',4,1,10,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217112531448814575112610168072',3556,'807',62.58,1,3,NULL),(25,6207626,'1994-06-10 00:00:00',4,1,12,2010,'M','N','JARDIM EUCALIPTUS','PALHOÇA','SC','124241241117141431337613292122610117067',15768,'592',37.30,3,2,1),(25,6207634,'1992-05-21 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241216152431337621395125610124052',19825,'1038',35.08,1,3,NULL),(25,6207642,'1991-11-24 00:00:00',2,1,12,2008,'M','N','CENTRO','CURITIBA','PR','116161161316472411336869442114241467042',16482,'9998',35.66,1,3,NULL),(25,6207650,'1993-03-07 00:00:00',2,9,11,2010,'M','N','CENTRO','LAGES','SC','124242241215111431379913596122610127187',16429,'1207',35.47,1,3,NULL),(25,6207669,'1993-10-05 00:00:00',4,8,11,2010,'M','N','REBOUÇAS','CURITIBA','PR','116162161216471411458831271122610167092',324,'9998',79.31,1,3,NULL),(25,6207677,'1993-04-15 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112431378812575112610113142',3543,'270',62.07,1,3,NULL),(25,6207685,'1993-02-12 00:00:00',4,1,11,2010,'M','N','FLAMBOYANT','CPO GRANDE','MS','112122121215111431668923572122610114057',NULL,'9998',34.37,1,3,NULL),(25,6207693,'1992-12-18 00:00:00',4,8,12,2009,'M','N','RIO HERN','SCHROEDER','SC','124243246217162731549714345121610137042',NULL,'1061',15.46,1,3,NULL),(25,6207707,'1991-04-30 00:00:00',2,1,6,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241246117131451628831275124610162096',14592,'306',44.31,1,2,1),(25,6207723,'1993-02-05 00:00:00',4,9,12,2010,'M','N','SANTA RITA','LAGES','SC','124241241115111431469812595112610167092',NULL,'935',16.42,1,2,1),(25,6207731,'1993-09-27 00:00:00',4,5,11,2010,'F','N','CENTRO','SIDERÓPOLIS','SC','124242241215371431438932575122610123092',NULL,'767',17.50,1,3,NULL),(25,6207740,'1993-07-09 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121751489833395122610167125',645,'262',76.39,1,3,NULL),(25,6207758,'1987-05-15 00:00:00',4,9,12,2004,'M','N','COPACABANA','LAGES','SC','124244241216141431438834312123130212187',20122,'499',34.25,1,3,NULL),(25,6207766,'1990-09-02 00:00:00',4,8,12,2007,'F','N','JARDIM BOTÂNICO','CURITIBA','PR','116162168215571431668636571124143262147',3571,'9998',62.03,3,3,NULL),(25,6207782,'1979-12-17 00:00:00',4,1,12,1998,'M','N','PANTANAL','FLORIANÓPOLIS','SC','624241243126132221333644245124130714177',17717,'89',39.38,5,2,1),(25,6207790,'1992-07-08 00:00:00',2,1,11,2009,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241216372731524419572114610137097',16011,'1014',37.63,1,3,NULL),(25,6207804,'1993-06-13 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211111431546719592112610128013',NULL,'270',18.01,1,3,NULL),(25,6207812,'1991-01-19 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215253431369933242124230222182',18134,'1133',38.59,1,3,NULL),(25,6207820,'1992-04-16 00:00:00',4,1,12,2009,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251217471431467979571111610127017',NULL,'9998',0.00,1,3,NULL),(25,6207847,'1989-12-31 00:00:00',4,1,11,2006,'M','N','JARDIM DAS PALMEIRAS','S JOSÉ','SC','124244241316373411239612345124610122022',8956,'733',48.79,1,3,NULL),(25,6207863,'1994-01-08 00:00:00',4,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241315271431356623575114610132123',11656,'1022',45.22,1,3,NULL),(25,6207871,'1992-07-04 00:00:00',4,10,12,2009,'M','N','VILA NOVA','IMBITUBA','SC','124243241316272431545519575121131517042',11198,'807',45.41,1,3,NULL),(25,6207880,'1986-08-15 00:00:00',4,1,12,2003,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124201201137272711225644242313610161142',NULL,'9998',0.00,1,3,NULL),(25,6207898,'1992-04-10 00:00:00',2,8,12,2009,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161215471431458833431122610134092',878,'9998',74.68,1,3,NULL),(25,6207901,'1993-06-03 00:00:00',4,1,11,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242241215122531488839575124610122142',10560,'270',47.98,1,3,NULL),(25,6207936,'1993-12-06 00:00:00',4,5,11,2010,'M','N','JARDIM ANGÉLICA','CRICIÚMA','SC','124242248217221531456929575122610134187',14665,'995',44.20,1,3,NULL),(25,6207944,'1993-01-21 00:00:00',4,1,12,2010,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241241117151441359953575124610166092',NULL,'295',39.61,2,2,1),(25,6207952,'1993-02-20 00:00:00',4,2,11,2010,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241215272431459934575122610127142',3627,'909',63.02,1,3,NULL),(25,6207960,'1992-08-18 00:00:00',4,8,11,2010,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215111431458714572112610142192',10179,'1063',46.18,1,3,NULL),(25,6207979,'1993-08-19 00:00:00',2,3,12,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215111431335923245122610127147',NULL,'1111',32.20,1,3,NULL),(25,6207987,'1991-12-16 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215473431384412575112610122122',3703,'270',61.36,1,3,NULL),(25,6207995,'1992-05-28 00:00:00',4,1,12,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215112431479933572124610112052',11218,'270',46.92,1,3,NULL),(25,6208010,'1991-08-19 00:00:00',2,1,11,2008,'M','N','PEDRO LUDOVICO','GOIÂNIA','GO','109092091217511421369931582122610125167',10362,'9998',47.75,1,3,NULL),(25,6208029,'1993-04-18 00:00:00',2,4,12,2010,'F','N','AGOSTINI','S MIGUEL OESTE','SC','124243241116131731446313575122610124147',NULL,'757',21.48,1,3,NULL),(25,6208037,'1994-02-05 00:00:00',4,1,11,2011,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111231389933332124610167117',NULL,'270',12.08,1,3,NULL),(25,6208045,'1991-12-11 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241137141441548514446124610168141',NULL,'307',36.45,1,2,1),(25,6208053,'1993-09-11 00:00:00',4,15,12,2010,'M','N','ALTO DO PARQUE','LAJEADO','RS','120201201116131331436832575121610134052',7861,'9998',52.20,1,2,1),(25,6208061,'1992-10-16 00:00:00',4,1,12,2009,'M','N','CENTRO','MONTENEGRO','RS','120202201217271711449731575122610137112',9195,'9998',48.54,1,3,NULL),(25,6208070,'1983-07-05 00:00:00',2,1,12,2003,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224181181131331721225344441224610127182',20888,'9998',25.86,1,2,1),(25,6208088,'1993-01-29 00:00:00',2,5,12,2009,'F','N','NONOAI','PTO ALEGRE','RS','120202201217471431568971571125610122042',NULL,'9998',0.00,1,3,NULL),(25,6208096,'1992-04-08 00:00:00',4,1,12,2010,'F','N','JUVEVE','CURITIBA','PR','116161161116131731326628575124610124017',NULL,'9998',0.00,4,2,1),(25,6208100,'1993-12-07 00:00:00',2,17,12,2010,'F','N','SOSSEGO','CANOINHAS','SC','124241241116271411323923575125610161042',NULL,'146',0.00,1,2,1),(25,6208126,'1993-08-12 00:00:00',4,5,11,2010,'F','N','PIO CORREA','CRICIÚMA','SC','124241241217222411228821281122610126117',7738,'226',53.41,1,3,NULL),(25,6208134,'1982-01-06 00:00:00',4,1,12,2000,'M','N','BARREIROS','S JOSÉ','SC','124241241127131432534423145113610142197',18903,'734',32.70,1,2,1),(25,6208177,'1992-03-16 00:00:00',3,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115372751345623285125221447187',17317,'267',40.07,1,2,1),(25,6208193,'1993-12-15 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241115371431456922572114610134077',8533,'271',49.76,1,3,NULL),(25,6208207,'1994-06-04 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215151411359921575122610144185',11437,'299',49.00,1,3,NULL),(25,6208215,'1984-07-16 00:00:00',2,15,12,2007,'M','N','POLICIA RODOVIÁRIA','ARARANGUÁ','SC','224241241127131332333144342111610168183',NULL,'852',4.67,1,2,1),(25,6208231,'1992-04-08 00:00:00',4,15,12,2010,'F','N','CENTRO','MARQUES SOUZA','RS','120202201417371531339831572122610118193',20166,'9998',34.16,1,3,NULL),(25,6208240,'1988-08-13 00:00:00',4,1,12,2006,'F','N','AREIAS','S JOSÉ','SC','124242241215273431237713442124610124097',20297,'1118',33.77,1,3,NULL),(25,6208266,'1993-10-07 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111321445534375122610143052',NULL,'272',22.82,1,3,NULL),(25,6208274,'1994-12-02 00:00:00',4,1,12,2011,'F','S','PEDRA BRANCA','PALHOÇA','SC','124242241215111731348811575122610164097',NULL,'1022',36.94,1,3,NULL),(25,6208282,'1983-04-13 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224186181131331732223354482224610124182',NULL,'9998',15.96,3,3,NULL),(25,6208290,'1992-06-25 00:00:00',2,15,12,2010,'F','N','SÃO CRISTÓVÃO','LAJEADO','RS','120204201216471731456632575122610132182',15899,'9998',37.74,1,3,NULL),(25,6208304,'1993-08-17 00:00:00',2,1,11,2010,'M','N','PRADO','BIGUAÇU','SC','124242241117471431426414575121610124052',14832,'63',39.60,1,3,NULL),(25,6208312,'1990-12-11 00:00:00',2,1,12,2007,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124241241111131711422533572124610115142',NULL,'783',39.99,2,1,1),(25,6208339,'1992-03-14 00:00:00',2,1,11,2010,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124242241215142431436624345124610164182',10269,'723',47.81,1,3,NULL),(25,6208347,'1990-08-30 00:00:00',4,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241215373731328513475124232866177',NULL,'944',0.00,1,3,NULL),(25,6208355,'1993-07-16 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241116471431337724585124610137062',17245,'288',36.50,1,3,NULL),(25,6208363,'1992-11-14 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212272431228827287124133264021',10293,'1022',47.28,1,3,NULL),(25,6208371,'1989-12-20 00:00:00',4,8,11,2007,'F','N','GLÓRIA','JOINVILLE','SC','124242241216272431359923575122121062012',1677,'457',68.90,1,3,NULL),(25,6208401,'1992-07-07 00:00:00',2,1,12,2009,'F','N','VILA RICA','STO ANTÔNIO POSSE','SP','125252251217471431457915575122610168143',NULL,'9998',27.46,1,3,NULL),(25,6208410,'1990-05-30 00:00:00',2,7,12,2010,'M','N','CENTRO','TANGARÁ','SC','124241241135161731222444142225610118057',NULL,'779',22.35,4,2,1),(25,6208428,'1993-06-18 00:00:00',4,1,11,2010,'F','N','JARDIM RIVA','PRIMAVERA LESTE','MT','111112111216121731444916572122610135142',7505,'9998',51.85,1,3,NULL),(25,6208444,'1992-04-01 00:00:00',4,1,7,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243247336371321216724271124610132192',NULL,'9999',22.13,2,1,2),(25,6208460,'1986-09-15 00:00:00',4,1,11,2007,'M','N','PONTE IMARUIM','PALHOÇA','SC','124241247426373441633311215124131022147',5751,'9999',56.72,1,3,NULL),(25,6208495,'1993-09-14 00:00:00',2,8,12,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124241241114271331336669572124610138145',20329,'1206',33.63,4,2,1),(25,6208517,'1993-12-10 00:00:00',2,8,11,2010,'M','N','COSTEIRA','PARANAGUÁ','PR','116162161215111531336629472115610137067',NULL,'9998',19.79,1,3,NULL),(25,6208525,'1993-10-14 00:00:00',4,8,12,2010,'F','N','BOM JESUS','S JOSÉ PINHAIS','PR','116162161217111431458834295122610163072',NULL,'9998',0.00,1,3,NULL),(25,6208533,'1992-06-12 00:00:00',4,4,12,2009,'M','N','CENTRO','CASCAVEL','PR','116162161215471731368923575121610134072',9016,'9998',49.52,3,3,NULL),(25,6208541,'1990-07-05 00:00:00',2,1,1,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247421371431339629495114610167042',19138,'9999',36.67,1,3,NULL),(25,6208550,'1994-01-31 00:00:00',4,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124241241135111731473633575114613232052',NULL,'267',25.71,1,3,NULL),(25,6208576,'1992-05-18 00:00:00',2,1,12,2009,'F','N','VILA OPERARIA','MARINGÁ','PR','116161161215471431446833572114610112077',10007,'9998',49.40,1,3,NULL),(25,6208592,'1993-03-30 00:00:00',2,6,12,2010,'F','N','APARECIDA','SANTOS','SP','125252251216371431446611575121610167117',NULL,'9998',0.00,1,3,NULL),(25,6208606,'1992-12-19 00:00:00',2,3,11,2010,'M','N','JARDIM BOA VISTA','AVARÉ','SP','125252251216111431348823595121610131122',13107,'9998',41.79,1,3,NULL),(25,6208614,'1992-04-18 00:00:00',4,1,11,2009,'M','N','VENDAVAL','BIGUAÇU','SC','124242241217473431556614285114610134042',3374,'63',63.52,1,3,NULL),(25,6208622,'1993-03-06 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431239813575124610124042',5579,'1197',57.27,1,3,NULL),(25,6208630,'1993-04-17 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241116371731526613572124610122142',19979,'307',29.96,1,2,1),(25,6208649,'1973-12-14 00:00:00',5,1,10,1992,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224244246132135731263443432124331062047',NULL,'306',35.40,1,3,NULL),(25,6208657,'1989-01-25 00:00:00',4,1,11,2006,'M','N','CENTRO','GARÇA','SP','125251251215571441226631445122610164047',5139,'9998',58.19,1,3,NULL),(25,6208665,'1978-08-20 00:00:00',2,1,12,1998,'M','N','MONTE ALEGRE','PIRACICABA','SP','225251253147571731438854211123140762187',4804,'9998',58.56,1,2,1),(25,6208673,'1992-02-21 00:00:00',2,8,11,2009,'F','N','CAPAO RASO','CURITIBA','PR','116162161215471731646933575124610138147',7646,'9998',55.55,1,3,NULL),(25,6208681,'1991-03-18 00:00:00',2,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241242217272441533314485114610156166',NULL,'836',0.00,1,3,NULL),(25,6208690,'1993-01-15 00:00:00',4,4,12,2010,'M','N','CENTRO','TOLEDO','PR','116162161215111431368833475122610142093',11631,'9998',46.53,1,3,NULL),(25,6208720,'1991-10-11 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116471431326639385114610134057',11913,'288',44.58,4,1,1),(25,6208738,'1983-05-08 00:00:00',4,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251217272421428831485121341867097',NULL,'9998',47.00,1,3,NULL),(25,6208746,'1987-09-14 00:00:00',2,8,12,2004,'F','N','CENTRO','JOINVILLE','SC','124161161126131411114448185124131962025',19191,'9998',36.57,4,3,NULL),(25,6208754,'1984-11-27 00:00:00',2,10,11,2002,'F','N','CENTRO','TUBARÃO','SC','124243241226131421443314295124431233077',19055,'885',36.83,1,3,NULL),(25,6208762,'1993-05-14 00:00:00',2,1,12,2010,'F','N','CENTRO','S JOSÉ','SC','124242241116211431646613572124610117092',NULL,'733',11.82,2,1,2),(25,6208770,'1991-10-12 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124164161216172431576614445114232122043',13503,'9998',45.92,1,3,NULL),(25,6208789,'1993-01-06 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124243241215111411335632572122610167042',13910,'723',45.31,1,3,NULL),(25,6208797,'1992-07-20 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472731468833475112610121092',1564,'497',70.43,1,3,NULL),(25,6208800,'1992-01-20 00:00:00',2,8,12,2009,'F','N','FÁTIMA','JOINVILLE','SC','124241248226112431566419375124130218052',NULL,'459',26.33,1,3,NULL),(25,6208819,'1981-09-20 00:00:00',4,1,12,1998,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','120203201116572421433923135124233268091',NULL,'9998',0.00,1,3,NULL),(25,6208827,'1991-06-14 00:00:00',2,8,12,2008,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124162161416475731236752575114121437042',8867,'9998',50.21,1,3,NULL),(25,6208835,'1976-01-20 00:00:00',4,10,12,1993,'M','N','CENTRO','TUBARÃO','SC','124242241216575421233929395124433225147',10999,'806',49.68,1,3,NULL),(25,6208843,'1992-07-24 00:00:00',4,3,11,2010,'M','N','CHACARAS ITAPETINGA','ATIBAIA','SP','125254251217121431356834575124610164122',11399,'9998',44.96,1,3,NULL),(25,6208860,'1990-07-05 00:00:00',4,3,12,2007,'F','N','CENTRO','UMUARAMA','PR','116161161116371431336624345123143262042',16813,'9998',34.80,1,2,1),(25,6208878,'1985-11-25 00:00:00',2,1,12,2004,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124201201126371731335343435114610138043',8736,'9998',52.90,1,2,1),(25,6208886,'1994-03-15 00:00:00',4,6,11,2010,'M','N','VILA PLANALTO','DOURADOS','MS','112124121237111431549932574125610134122',4182,'9998',59.56,1,3,NULL),(25,6208894,'1993-09-22 00:00:00',4,1,11,2010,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124242241212121431358832575114610127057',8999,'270',49.01,1,3,NULL),(25,6208908,'1992-01-29 00:00:00',2,1,12,2009,'F','N','DE LORENZI','BOITUVA','SP','125251251215471431446714595122610165042',14956,'9998',38.40,1,3,NULL),(25,6208916,'1992-09-17 00:00:00',4,1,11,2010,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215121431558723575114610132071',13702,'270',45.63,1,3,NULL),(25,6208924,'1984-08-11 00:00:00',2,1,9,2003,'F','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124203207327371121123344345124610112057',NULL,'9998',38.08,1,3,NULL),(25,6208940,'1987-02-18 00:00:00',2,1,12,2005,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124243241147274431638613385124610133182',NULL,'298',21.44,3,3,NULL),(25,6208959,'1993-02-19 00:00:00',2,1,12,2010,'M','N','MORADA DA COLINA','UBERLÂNDIA','MG','113132131236111431573616571112610147042',NULL,'9998',0.00,1,3,NULL),(25,6208967,'1994-03-14 00:00:00',2,4,12,2010,'M','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124241241117151451549832275122610144047',18227,'245',38.43,1,2,1),(25,6208975,'1992-05-02 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215472431338621596124610122092',3030,'1022',65.58,1,3,NULL),(25,6208983,'1991-04-25 00:00:00',4,8,11,2008,'M','N','CRISTO REI','CURITIBA','PR','116253251216512431523631571124610122147',14098,'9998',40.10,3,3,NULL),(25,6209009,'1984-01-01 00:00:00',2,1,12,2001,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241126143411222343135224131416187',NULL,'322',32.79,1,3,NULL),(25,6209017,'1969-07-06 00:00:00',4,1,12,1987,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244244411375711569313332122331322182',17215,'266',40.26,1,3,NULL),(25,6209025,'1993-03-15 00:00:00',4,1,12,2009,'F','N','CENTRO','S JOSÉ','SC','124244241215472751479613575124610167182',6462,'270',56.69,1,3,NULL),(25,6209033,'1983-03-31 00:00:00',2,1,12,2000,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241237135431547514582134333264097',14647,'52',44.23,1,3,NULL),(25,6209068,'1993-12-21 00:00:00',4,5,12,2010,'M','N','PIO CORREIA','CRICIÚMA','SC','124242241215371431458934345122610117142',19029,'9997',36.89,1,3,NULL),(25,6209092,'1989-08-08 00:00:00',4,1,12,2007,'F','N','VISTA ALEGRE','CURITIBA','PR','116162161216421441438812325132240664112',9728,'9998',51.83,1,3,NULL),(25,6209106,'1981-01-26 00:00:00',4,8,12,1998,'M','N','SAGUAÇÚ','JOINVILLE','SC','224203203227131441246644345124610158011',10222,'9998',50.96,1,3,NULL),(25,6209130,'1993-11-19 00:00:00',2,4,12,2010,'M','N','INTERIOR','ERECHIM','RS','120201201117131431323331242224610142187',17073,'9998',35.06,4,2,1),(25,6209149,'1989-10-30 00:00:00',2,4,12,2006,'F','N','JOSÉ BONIFACIO','ERECHIM','RS','120204201445471411535929495125333237147',16886,'9998',34.44,1,3,NULL),(25,6209165,'1989-08-01 00:00:00',4,16,12,2006,'F','N','CENTRO','CURITIBANOS','SC','124241241111431531424631341235610158147',NULL,'239',14.42,1,3,NULL),(25,6209173,'1992-01-31 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115171531638663395134610137052',NULL,'307',22.73,1,2,1),(25,6209181,'1993-08-18 00:00:00',4,1,11,2010,'M','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124244241215471431579814575121610116042',982,'270',74.08,1,3,NULL),(25,6209203,'1993-07-05 00:00:00',2,5,12,2010,'F','N','PEDREIRAS','IÇARA','SC','124241241111131431533923571124610167067',20546,'1005',28.35,1,2,1),(25,6209211,'1992-05-29 00:00:00',4,7,12,2010,'M','N','CENTRO','TANGARÁ','SC','124241241125111431426314145125610137057',NULL,'779',0.00,4,2,1),(25,6209238,'1979-08-30 00:00:00',4,1,12,1997,'M','N','JARDIN ITU SABARA','PTO ALEGRE','RS','120201201116231431237849281124241227113',NULL,'9998',0.00,1,2,1),(25,6209246,'1990-08-20 00:00:00',4,1,12,2007,'F','N','FORQUILHAS','S JOSÉ','SC','124241241127131331623314212114610124097',NULL,'945',0.00,1,2,1),(25,6209262,'1993-09-11 00:00:00',4,4,11,2010,'F','N','VILA NOVA','FRANCISCO BELTRÃO','PR','116162161217111331533832574122610162144',13221,'9998',40.81,1,3,NULL),(25,6209289,'1993-09-16 00:00:00',2,8,12,2010,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241115371421336823335124610167057',NULL,'483',25.03,1,2,1),(25,6209297,'1982-03-12 00:00:00',2,5,12,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','224252251215574231338843435124320624187',NULL,'9998',0.00,1,3,NULL),(25,6209300,'1992-11-22 00:00:00',2,10,12,2009,'F','N','AEROPORTO','TUBARÃO','SC','124241241115471431426939572114610128157',21086,'798',30.73,1,2,1),(25,6209327,'1993-01-13 00:00:00',4,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216111431459839575112610162197',13707,'213',41.40,1,3,NULL),(25,6209335,'1993-05-06 00:00:00',4,1,12,2010,'M','N','SÃO JOSÉ DO PANTANO','POUSO ALEGRE','MG','113133131215111431537614572122610117085',NULL,'9998',0.00,1,3,NULL),(25,6209343,'1976-06-12 00:00:00',4,1,12,1999,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241126131432334419342124610138157',20043,'275',29.01,1,3,NULL),(25,6209351,'1990-12-24 00:00:00',2,1,12,2007,'F','N','UBERABA','CURITIBA','PR','116164161436142431268924445124241042097',3419,'1128',63.02,1,3,NULL),(25,6209360,'1984-03-22 00:00:00',4,1,12,2001,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','116162168216271721257643335123340717052',NULL,'9998',20.91,4,3,NULL),(25,6209378,'1994-07-17 00:00:00',2,2,12,2011,'F','S','SANTA RITA','BRUSQUE','SC','124242241215111431466924574122610145077',NULL,'107',62.26,1,3,NULL),(25,6209386,'1988-02-21 00:00:00',2,1,12,2006,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241127131731423614345134610164027',NULL,'591',26.39,1,3,NULL),(25,6209394,'1989-09-06 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252241215574431448721391124230232117',NULL,'1048',0.00,1,3,NULL),(25,6209424,'1994-04-27 00:00:00',4,1,12,2011,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241217111631358823572124610124147',NULL,'270',36.43,1,3,NULL),(25,6209440,'1993-01-06 00:00:00',2,1,12,2010,'M','N','RIO GRANDE','PALHOÇA','SC','124241241116151731435531471124610127045',20463,'591',33.29,1,2,1),(25,6209459,'1993-04-17 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115371731633631342122610134057',NULL,'592',21.49,1,2,1),(25,6209467,'1992-08-04 00:00:00',4,2,12,2009,'F','N','ASILO','BLUMENAU','SC','124242241215272411348814572122232461187',4189,'87',59.95,1,3,NULL),(25,6209483,'1993-07-15 00:00:00',2,1,12,2010,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241134141731533419575124610123147',NULL,'592',26.16,1,2,1),(25,6209491,'1980-10-27 00:00:00',4,1,12,1997,'F','N','SAO SEBASTIAO','PALHOÇA','SC','224201201136371421332644345124610123141',20937,'9998',31.35,1,3,NULL),(25,6209513,'1992-07-14 00:00:00',4,8,10,2010,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242248215111431358812575125610162181',NULL,'1063',0.00,1,3,NULL),(25,6209521,'1991-02-28 00:00:00',4,1,12,2009,'F','N','ITAPEVA','IMARUÍ','SC','124241241146131532613319172314610123092',NULL,'356',26.57,2,2,1),(25,6209530,'1993-04-25 00:00:00',4,1,12,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215111432347612575122610117043',NULL,'299',21.66,1,3,NULL),(25,6209548,'1991-06-05 00:00:00',2,15,11,2008,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241415371411448634344132131062047',NULL,'32',0.00,4,3,NULL),(25,6209572,'1982-11-15 00:00:00',2,1,12,2000,'M','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124243241136131421125444145334133267047',NULL,'757',21.84,1,3,NULL),(25,6209599,'1991-08-02 00:00:00',4,1,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215573751479619575124610128192',10087,'1038',48.66,1,3,NULL),(25,6209610,'1985-06-25 00:00:00',4,1,12,2004,'M','N','CAMPINAS','S JOSÉ','SC','124251251127131421126644145123130267067',NULL,'9998',0.00,3,2,1),(25,6209629,'1992-12-09 00:00:00',4,1,12,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224241241116372431328611275114610136017',7361,'267',53.98,1,2,1),(25,6209637,'1993-01-12 00:00:00',2,7,12,2010,'F','N','INTERIOR','OURO','SC','124241241116161431623326172222610137042',NULL,'585',0.00,1,3,NULL),(25,6209645,'1993-08-09 00:00:00',4,4,12,2010,'F','N','CENTRO','CONCÓRDIA','SC','124241241217161431356614575114610124097',16366,'1000',36.36,1,3,NULL),(25,6209653,'1988-02-10 00:00:00',2,1,12,2001,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241136142711433619392114610163017',NULL,'293',0.00,1,2,1),(25,6209661,'1993-03-18 00:00:00',4,1,12,2010,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241215122431458833435114610167077',15221,'270',37.80,1,3,NULL),(25,6209670,'1991-08-02 00:00:00',4,8,11,2008,'M','N','GLORIA','JOINVILLE','SC','124242241217374431468632575112221422012',1493,'457',71.30,1,3,NULL),(25,6209688,'1985-09-17 00:00:00',2,1,12,2002,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241132331431433334385123610142142',18559,'732',32.27,1,2,1),(25,6209696,'1992-04-29 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472411589912572115610132142',1955,'909',69.01,1,3,NULL),(25,6209718,'1993-08-09 00:00:00',4,3,12,2010,'M','N','PILARZINHO','CURITIBA','PR','116162161216151431476824575122610166092',NULL,'9998',0.00,1,3,NULL),(25,6209734,'1993-02-12 00:00:00',2,1,8,2010,'F','N','PAGARÁ GANDE','S PEDRO ALCÂNTARA','SC','124241241115371431421335371224610126042',10951,'739',47.17,1,2,1),(25,6209742,'1993-05-23 00:00:00',4,1,12,2010,'M','N','DEMETRIA','BOTUCATU','SP','125252251216471431268814575122610167111',8785,'9998',50.54,1,3,NULL),(25,6209750,'1993-12-20 00:00:00',4,1,12,2010,'F','N','PEREQUÊ','ILHABELA','SP','125254251216111731336823245122610123137',5279,'9998',56.10,1,3,NULL),(25,6209769,'1991-07-08 00:00:00',4,1,11,2008,'M','N','VILA NOVA CONCEIÇÃO','S PAULO','SP','125252251216272711468711385122140966182',2008,'9998',69.24,1,3,NULL),(25,6209777,'1986-06-23 00:00:00',2,1,12,2005,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124051057126472731223344345334610132197',20633,'9998',28.66,4,2,1),(25,6209793,'1989-06-09 00:00:00',2,8,12,2006,'F','N','PATRIMONIO','TOCANTINS','MG','113133131217571421436515571224610138097',5314,'9998',57.88,1,3,NULL),(25,6209807,'1987-05-06 00:00:00',2,3,12,2003,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124241241215111431469913235132332761082',17214,'967',34.82,1,3,NULL),(25,6209815,'1993-01-11 00:00:00',2,1,12,2009,'F','N','CENTRO','COLORADO','PR','116162161215471441456632571122610126152',2357,'9998',65.56,1,3,NULL),(25,6209823,'1993-06-30 00:00:00',4,1,11,2010,'M','N','ROÇADO','S JOSÉ','SC','124242241215111431348632572124610114042',12785,'1169',46.95,1,3,NULL),(25,6209840,'1992-07-24 00:00:00',4,1,12,2009,'M','N','DAMHA I','PRES PRUDENTE','SP','125252251216371532449813575122141467017',NULL,'9998',0.00,1,3,NULL),(25,6209858,'1993-06-27 00:00:00',2,15,12,2010,'F','N','CENTRO','TURVO','SC','124241241115371431435933575122610162092',16427,'814',35.93,1,2,1),(25,6209874,'1992-09-13 00:00:00',4,1,12,2009,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241147372231446612225124610134062',9768,'644',47.97,1,2,1),(25,6209882,'1992-01-06 00:00:00',2,1,10,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241215372421267843274344610166172',4634,'807',61.71,1,3,NULL),(25,6209890,'1991-05-13 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124131247126372231324469385114610137043',NULL,'946',28.01,2,2,1),(25,6209912,'1992-08-07 00:00:00',4,1,11,2009,'F','N','PIO CORREA','CRICIÚMA','SC','124242241215473431466822471114610131062',12860,'226',46.81,1,3,NULL),(25,6209920,'1989-02-22 00:00:00',4,1,12,2007,'M','N','ALTO DA BOA VISTA','PRES PRUDENTE','SP','125252254217271241488921575122241228097',NULL,'9998',0.00,1,3,NULL),(25,6209947,'1982-01-11 00:00:00',2,1,12,1999,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224241241122131121323354182224610124147',NULL,'171',35.58,1,2,1),(25,6209963,'1980-08-09 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247347134721456419385113610162057',NULL,'9997',0.00,1,3,NULL),(25,6209971,'1991-05-10 00:00:00',4,7,12,2009,'M','N','CENTRO','RIO ANTAS','SC','124243251231472441348819575124610162122',7808,'969',51.83,1,3,NULL),(25,6209998,'1993-07-03 00:00:00',2,7,12,2010,'M','N','INTERIOR','CELSO RAMOS','SC','124241241116131431326513575122610115042',NULL,'163',0.00,1,3,NULL),(25,6210007,'1991-07-22 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242247215371751338649392124133243112',21520,'270',27.70,1,3,NULL),(25,6210015,'1993-03-02 00:00:00',4,17,12,2010,'M','N','CENTRO','RIO NEGRO','PR','116162241237371431468812575122610145057',NULL,'541',0.00,1,3,NULL),(25,6210023,'1987-04-02 00:00:00',4,8,12,2004,'F','N','JARDIM IRIRIU','JOINVILLE','SC','124241241127472441324424482114610142141',11751,'470',44.35,4,2,1),(25,6210031,'1993-10-19 00:00:00',2,9,12,2010,'F','N','CENTRO','BOM RETIRO','SC','124241241126131431324923485115610142187',NULL,'95',0.00,1,2,1),(25,6210058,'1993-06-10 00:00:00',4,1,11,2010,'M','N','POTECAS','S JOSÉ','SC','124242241215111231446933575124610114011',17015,'1169',40.59,1,3,NULL),(25,6210066,'1992-03-19 00:00:00',2,17,11,2008,'F','N','CENTRO','S MATEUS SUL','PR','116162161216272711146619576124243263112',NULL,'9998',21.18,1,3,NULL),(25,6210082,'1993-07-26 00:00:00',2,6,12,2010,'M','N','NORTE','BAL PIÇARRAS','SC','124241241117131721523314342321610124047',20262,'614',33.87,1,3,NULL),(25,6210090,'1989-01-10 00:00:00',2,1,12,2006,'F','N','MADUREIRA','CAXIAS SUL','RS','120201201116571431448714474124610147092',14722,'9998',40.26,1,2,1),(25,6210104,'1990-05-24 00:00:00',4,1,12,2008,'M','N','BELA SUIÇA','LONDRINA','PR','116162161317141521368814345122242132057',NULL,'9998',17.03,1,3,NULL),(25,6210112,'1987-10-07 00:00:00',4,1,12,2005,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241216152411536444345132333237183',20081,'269',34.36,4,3,NULL),(25,6210120,'1991-10-18 00:00:00',4,4,12,2008,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241117132431239823175122133227187',NULL,'169',31.09,1,2,1),(25,6210139,'1994-09-16 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431287823575122610123143',NULL,'270',0.00,1,3,NULL),(25,6210155,'1992-11-06 00:00:00',2,1,12,2009,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121216471441568831572112610164042',310,'9998',79.55,1,3,NULL),(25,6210171,'1991-03-22 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124162161217472231338831575124141025187',952,'9998',72.89,1,3,NULL),(25,6210180,'1990-01-03 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124253251216152411237823275121221462092',4015,'9998',63.21,4,3,NULL),(25,6210201,'1992-05-11 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473531488811475112610167185',5689,'270',59.37,1,3,NULL),(25,6210210,'1986-06-16 00:00:00',2,1,12,2003,'M','N','SAO CRISTOVAO','FRANCISCO BELTRÃO','PR','116161161116141431323511125122141437172',NULL,'9998',27.18,1,2,1),(25,6210228,'1958-02-20 00:00:00',5,2,2,1978,'F','N','VICTOR KONDER','BLUMENAU','SC','324251251414374431133349292124221642092',5656,'9998',58.00,1,3,NULL),(25,6210244,'1991-08-01 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211573431369923571112610122112',2346,'270',66.98,1,3,NULL),(25,6210252,'1987-05-07 00:00:00',2,3,12,2004,'F','N','CENTRO','BANDEIRANTES','PR','116164161216571431468824574122610122042',4166,'9998',58.40,1,3,NULL),(25,6210260,'1993-10-26 00:00:00',4,4,12,2010,'F','N','LINHA BALIZA','MAREMA','SC','124241241127131532423316572224610128057',17775,'554',33.52,1,2,1),(25,6210279,'1987-06-21 00:00:00',2,1,7,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201207127271731327679115324141021142',19956,'9998',34.71,1,2,1),(25,6210287,'1990-06-20 00:00:00',2,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224241241112232411233354282222610114145',NULL,'239',37.31,1,2,1),(25,6210295,'1993-09-22 00:00:00',4,5,12,2010,'M','N','CENTRO','NOVA VENEZA','SC','124241241135371421546632245124610162047',17611,'576',33.58,1,3,NULL),(25,6210317,'1991-11-15 00:00:00',2,7,12,2008,'F','N','INTERIOR','CAPINZAL','SC','124241241211571431437735571122610114092',6335,'1093',54.43,1,3,NULL),(25,6210325,'1990-03-21 00:00:00',4,1,12,2007,'M','N','J ALTO DA BOA VISTA','PRES PRUDENTE','SP','125252254217271231488921345122241227057',NULL,'9998',0.00,1,3,NULL),(25,6210333,'1986-09-21 00:00:00',4,1,12,2004,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124162161216373431449813375124221468197',5718,'9998',59.33,4,3,NULL),(25,6210350,'1989-11-06 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124243241215575231358517475114120662177',97,'738',83.69,1,3,NULL),(25,6210368,'1985-12-05 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241247247473431336633385122230232115',NULL,'9999',39.41,1,3,NULL),(25,6210376,'1993-01-16 00:00:00',4,1,12,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242247216331421646321182114610165043',NULL,'9999',29.17,2,3,NULL),(25,6210384,'1992-06-13 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215272431426631582124610112192',19687,'737',31.57,1,3,NULL),(25,6210392,'1991-10-25 00:00:00',4,1,11,2008,'F','N','TERRAS DO MADEIRA','CARAPICUÍBA','SP','125252251217571431358821575125610167097',NULL,'9998',0.00,1,3,NULL),(25,6210414,'1990-09-11 00:00:00',4,4,12,2007,'F','N','CENTRO','CASCAVEL','PR','116162161216472431469933572115140426092',NULL,'9998',47.93,1,3,NULL),(25,6210422,'1981-10-29 00:00:00',4,1,12,1998,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224241241116131711233644245232333247045',NULL,'239',0.00,1,2,1),(25,6210430,'1983-09-23 00:00:00',4,1,12,2001,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124282288217131721236641315132141427117',NULL,'9998',0.00,1,3,NULL),(25,6210449,'1993-08-14 00:00:00',2,17,12,2010,'F','N','VILA NOVA','MAFRA','SC','124241241114171731433319242124610164147',NULL,'545',20.03,1,2,1),(25,6210457,'1992-05-12 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124241241217472431459933315124610124182',11378,'88',45.53,1,3,NULL),(25,6210465,'1986-05-13 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247216315421535731245124130268063',21551,'272',27.47,1,3,NULL),(25,6210473,'1968-03-26 00:00:00',2,1,10,1992,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','624241247126155111256643135122122227137',NULL,'9999',0.00,1,3,NULL),(25,6210490,'1993-01-26 00:00:00',2,1,12,2010,'M','N','ARIRIU','PALHOÇA','SC','124243241117371431646912575124610127142',18952,'772',31.30,1,3,NULL),(25,6210503,'1982-06-25 00:00:00',4,1,12,1999,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241216153421236923485124433266012',NULL,'138',0.00,1,3,NULL),(25,6210511,'1990-09-04 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215575431355929572124230227147',4817,'751',58.80,1,3,NULL),(25,6210520,'1979-10-20 00:00:00',2,1,12,1999,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241127233331321329245124610126147',NULL,'733',0.00,4,1,1),(25,6210538,'1989-04-16 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201201115141721224649341314613228097',NULL,'9998',0.00,1,2,1),(25,6210554,'1993-03-26 00:00:00',4,1,12,2010,'F','N','AMBROSIO','GAROPABA','SC','124241241145161411528313342124610136142',20901,'322',31.49,1,3,NULL),(25,6210562,'1985-09-14 00:00:00',2,1,12,2003,'F','N','JD SANTA CANDIDA','S JOSÉ R PRETO','SP','125251251315571431556414274122610142187',3998,'9998',59.76,1,3,NULL),(25,6210570,'1993-01-04 00:00:00',2,1,12,2010,'M','N','FORQUILHAS','S JOSÉ','SC','124242241115371731355924442122610127142',NULL,'739',34.97,1,3,NULL),(25,6210589,'1993-01-27 00:00:00',4,1,11,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241217171431367632295112610167096',15562,'1010',42.82,1,3,NULL),(25,6210597,'1993-03-11 00:00:00',2,5,12,2010,'F','N','JARDIM ELIZABETH','COCAL SUL','SC','124241241136371431466314232124610122077',NULL,'189',0.00,1,3,NULL),(25,6210600,'1977-07-07 00:00:00',4,1,12,1994,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241243147135431113341312224321867141',7031,'513',53.53,1,2,1),(25,6210619,'1991-04-18 00:00:00',4,1,4,2010,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125254258347151751479914275124141437117',NULL,'9999',0.00,4,3,NULL),(25,6210627,'1968-04-08 00:00:00',3,1,12,1986,'F','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124244243331133431348813211122610117142',NULL,'303',29.40,1,3,NULL),(25,6210635,'1993-09-29 00:00:00',2,1,12,2010,'M','N','PARQUE REDENÇÃO','ERECHIM','RS','120201201136271331426639342124610167042',NULL,'9998',0.00,4,2,1),(25,6210643,'1993-06-15 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124241241135371432568513232122610112095',NULL,'239',22.47,1,2,1),(25,6210651,'1992-01-23 00:00:00',2,1,12,2009,'F','N','PONTE DE IMARUIM','PALHOÇA','SC','124241241112142431526314342234610132145',NULL,'592',21.72,1,2,1),(25,6210660,'1989-04-11 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241127431431223348385124610135147',NULL,'922',33.84,1,3,NULL),(25,6210678,'1993-07-07 00:00:00',4,1,11,2010,'M','N','VILA MASCOTE','S PAULO','SP','125252251217151531238614575124610167042',NULL,'9998',35.66,1,3,NULL),(25,6210686,'1994-01-18 00:00:00',4,4,12,2010,'F','N','COLÔNIA BACIA','CORDILHEIRA ALTA','SC','124241241135271431534335352124610118053',NULL,'197',0.00,1,2,1),(25,6210694,'1994-04-27 00:00:00',4,6,12,2011,'F','S','CENTRO','ITAJAÍ','SC','124242161217111732564832572122610123052',NULL,'394',38.13,1,3,NULL),(25,6210708,'1992-11-07 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241212152411468614572112610148197',7867,'737',55.06,1,3,NULL),(25,6210716,'1992-02-01 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241216372331333313575124610124017',NULL,'1048',27.33,1,3,NULL),(25,6210732,'1982-08-14 00:00:00',4,3,12,1999,'M','N','ANDORINHA','ITAPEMA','SC','124241241116151441256939595122333234187',10757,'175',50.06,1,2,1),(25,6210759,'1992-06-19 00:00:00',2,1,12,2009,'M','N','JARDIM MERCURIO','MANDAGUAÇU','PR','116162161217372411347832445125610167077',NULL,'9998',0.00,1,3,NULL),(25,6210775,'1993-01-17 00:00:00',2,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124131131126131421322469385114610137142',15257,'9998',41.06,4,2,1),(25,6210783,'1989-05-29 00:00:00',2,15,12,2006,'F','N','COLONINHA','ARARANGUÁ','SC','124203201316141421428979445125140724187',NULL,'9998',0.00,1,3,NULL),(25,6210791,'1987-04-16 00:00:00',2,8,12,2004,'M','N','SCHROEDER I','SCHROEDER','SC','124241241126251411633434345113610162052',NULL,'425',0.00,1,2,1),(25,6210821,'1993-12-15 00:00:00',2,4,12,2010,'M','N','CENTRO','RONDA ALTA','RS','120201201116371451434831295122610132147',NULL,'9998',17.56,4,2,1),(25,6210848,'1992-09-15 00:00:00',4,1,11,2010,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215271411489933575122610137042',5994,'270',56.22,1,3,NULL),(25,6210856,'1993-01-03 00:00:00',4,10,10,2010,'M','N','DEHON','TUBARÃO','SC','124242241235151431436614475122610128091',9591,'806',52.06,1,3,NULL),(25,6210864,'1993-05-31 00:00:00',4,7,12,2010,'F','N','CENTRO','CAÇADOR','SC','124242241215121431345934572122610164071',12179,'120',47.87,1,3,NULL),(25,6210872,'1993-10-13 00:00:00',4,10,11,2010,'M','N','CENTRO','TUBARÃO','SC','124242246417131231456923575122610127057',NULL,'1120',22.93,1,3,NULL),(25,6210899,'1987-01-26 00:00:00',2,1,12,2004,'M','N','PORTÃO','CURITIBA','PR','116163161236473421468611471123341567127',6649,'9998',54.42,1,3,NULL),(25,6210902,'1994-12-07 00:00:00',2,1,11,2011,'F','S','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124242241117111431518931472124610132142',NULL,'271',15.97,1,3,NULL),(25,6210910,'1993-03-03 00:00:00',4,1,12,2010,'M','N','SÃO LUIZ','S MIGUEL OESTE','SC','124241242115131431436635375124610142177',12484,'758',42.24,1,2,1),(25,6210929,'1991-03-25 00:00:00',4,1,12,2008,'M','N','CARMO','ARARAQUARA','SP','125252251216471431469911495112141267042',7825,'9998',51.50,1,3,NULL),(25,6210945,'1992-10-25 01:00:00',4,1,12,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215312431487813175114610167031',11308,'270',49.19,1,3,NULL),(25,6210953,'1992-05-25 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215372431456613572114610127042',11864,'272',48.39,1,3,NULL),(25,6210961,'1992-03-09 00:00:00',2,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241215274431436853346344610117111',10009,'1022',51.32,1,3,NULL),(25,6210970,'1992-06-03 00:00:00',4,1,12,2010,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241241117131511324354292124610117067',NULL,'733',17.41,1,2,1),(25,6210988,'1992-06-16 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241117473431356639375114231147042',3698,'270',62.45,1,3,NULL),(25,6210996,'1991-09-03 00:00:00',2,1,12,2008,'M','N','PASSA VINTE','PALHOÇA','SC','124242241215142431558834445133120327043',15180,'1011',43.44,1,3,NULL),(25,6211003,'1987-07-04 00:00:00',4,2,12,2004,'M','N','CENTRO','ASCURRA','SC','124244241216574231456712475112131464057',3337,'956',64.95,1,3,NULL),(25,6211011,'1994-03-03 00:00:00',4,1,12,2010,'M','N','CENTRO','MEDIANEIRA','PR','116162161436371451468833575112610127047',5203,'9998',56.45,1,3,NULL),(25,6211038,'1993-05-06 00:00:00',5,7,12,2010,'F','N','CENTRO','ARROIO TRINTA','SC','124241248125111731323424345135610123072',NULL,'853',5.02,4,2,1),(25,6211046,'1990-09-30 00:00:00',2,1,12,2008,'M','N','BELA VISTA','S JOSÉ','SC','124244241217271431456629317112133227117',14847,'1118',43.92,1,3,NULL),(25,6211054,'1992-06-15 00:00:00',4,1,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124202241315371431234712445122610126185',5609,'403',59.53,1,3,NULL),(25,6211062,'1990-01-04 00:00:00',2,1,12,2007,'M','N','NOVA PETROPOLIS','S BERNARDO CAMPO','SP','125252251217574231458921575121221727112',9672,'9998',48.13,1,3,NULL),(25,6211070,'1991-10-20 01:00:00',2,1,12,2008,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124243241215373431326433372124610134042',3391,'738',63.40,1,3,NULL),(25,6211089,'1991-05-04 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241315111112346414572114610163185',NULL,'1133',15.55,1,3,NULL),(25,6211097,'1990-09-18 00:00:00',4,1,11,2009,'M','N','JARDIM PAULISTA','S PAULO','SP','125122121215471431588816592112610162092',NULL,'9998',0.00,1,3,NULL),(25,6211100,'1993-10-03 00:00:00',4,6,12,2010,'M','N','CIDADE NOVA','ITAJAÍ','SC','124241241116271421522311175124610122142',15002,'400',39.82,1,2,1),(25,6211119,'1993-10-23 00:00:00',4,8,12,2010,'M','N','BOA VISTA','JOINVILLE','SC','624244246216111331549914242124610168187',NULL,'1105',38.23,1,3,NULL),(25,6211127,'1990-04-22 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127331411523315341124610123057',NULL,'585',35.93,1,2,1),(25,6211135,'1992-08-26 00:00:00',4,7,12,2009,'M','N','FARROUPILHA','VIDEIRA','SC','124241241115141731453334342114610167062',21192,'831',30.10,1,2,1),(25,6211143,'1992-12-31 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217152411338831275114610127062',3950,'989',62.39,1,3,NULL),(25,6211151,'1993-02-01 00:00:00',4,10,11,2010,'F','N','CENTRO','TUBARÃO','SC','124241241217131731625679495125610167057',9428,'1120',47.64,1,3,NULL),(25,6211178,'1993-04-29 00:00:00',4,4,12,2010,'M','N','CENTRO','IPORÃ','PR','116162161215121431526733572115610162187',2333,'9998',65.81,4,3,NULL),(25,6211186,'1981-02-01 00:00:00',2,1,12,1999,'M','N','SAO SEBASTIÃO','PALHOÇA','SC','124241248126231431123344242333610166072',NULL,'307',31.82,2,1,1),(25,6211194,'1987-11-28 00:00:00',2,10,12,2008,'M','N','CAÇADOR','CAPIVARI BAIXO','SC','124241247131371431424314341123610122042',13579,'158',42.01,1,2,1),(25,6211208,'1991-03-06 00:00:00',4,3,12,2008,'M','N','SÃO JUDAS','AVARÉ','SP','125252251217472441343819195122610147057',7660,'9998',51.45,1,3,NULL),(25,6211224,'1990-08-01 00:00:00',4,1,12,2007,'F','N','ITACURUBI','FLORIANÓPOLIS','SC','124252251216371431169814385224230237112',3078,'9998',64.83,1,3,NULL),(25,6211240,'1993-09-21 00:00:00',2,15,12,2010,'F','N','MOLHA COCO','TIMBÉ SUL','SC','124241242115111431523335572222510124047',21432,'690',28.54,1,3,NULL),(25,6211259,'1991-03-15 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117131731436819375125610137115',17231,'267',37.07,4,2,1),(25,6211267,'1992-05-02 00:00:00',4,1,12,2009,'F','N','VILA CONSTANÇA','S PAULO','SP','125252251216331231638669375124610123147',14335,'9998',39.71,4,1,2),(25,6211275,'1986-08-02 00:00:00',2,4,11,2004,'M','N','CENTRO','MARAVILHA','SC','124241241146471731443319195114610167057',15922,'551',38.09,1,3,NULL),(25,6211283,'1992-10-26 00:00:00',4,15,12,2009,'F','N','CENTRO','SOMBRIO','SC','124243241116131431548819572122610163013',18797,'1033',31.49,2,3,NULL),(25,6211291,'1994-01-11 00:00:00',4,1,12,2011,'F','S','SANTA MARIA','ANTÔNIO CARLOS','SC','124241241114151532658614572112610133075',NULL,'21',48.82,1,3,NULL),(25,6211305,'1993-02-18 00:00:00',2,3,12,2010,'M','N','SANTA ELIZABETH','AVARÉ','SP','125253251217171731426811592115610127047',16318,'9998',36.07,1,3,NULL),(25,6211313,'1991-10-04 00:00:00',4,1,12,2008,'F','N','VILA OLIVEIRA','ITAPETININGA','SP','125252251217571431456811575124610125147',5027,'9998',57.89,1,3,NULL),(25,6211330,'1992-06-28 00:00:00',2,1,12,2009,'F','N','MARIA ISABEL','MARÍLIA','SP','125252251215471441448834575122610122152',NULL,'9998',32.46,1,3,NULL),(25,6211348,'1994-04-19 00:00:00',4,8,11,2011,'F','S','CENTRO','JOINVILLE','SC','124242241215111411577812182122610124192',NULL,'1063',0.00,1,3,NULL),(25,6211356,'1992-04-26 00:00:00',2,10,12,2009,'F','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124241241136371431335519385122610114142',NULL,'798',0.00,1,2,1),(25,6211364,'1993-02-08 00:00:00',2,8,11,2010,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241215111431569831575122610121192',12824,'1063',46.87,1,3,NULL),(25,6211372,'1991-07-14 00:00:00',2,6,12,2009,'F','N','BOM PASTOR','CAXIAS SUL','RS','120201201116371321433319395124610156197',19925,'9998',31.77,4,2,1),(25,6211380,'1993-07-24 00:00:00',4,1,12,2010,'M','N','CENTRO','BAL PIÇARRAS','SC','124241241117131431438634575121610117117',NULL,'614',30.99,4,2,1),(25,6211399,'1987-07-18 00:00:00',2,1,12,2010,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124243241136132731333274445133610127043',20445,'257',33.33,4,3,NULL),(25,6211402,'1991-11-08 00:00:00',2,8,11,2009,'M','N','SANTA CATARINA','JOINVILLE','SC','124242246215272331456814445124610167047',17280,'1105',40.13,1,3,NULL),(25,6211410,'1992-09-14 00:00:00',5,1,11,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241417142431123641244324223232017',16716,'1049',41.05,1,3,NULL),(25,6211429,'1989-01-16 00:00:00',4,8,11,2006,'F','N','GLÓRIA','JOINVILLE','SC','124242241235575331449832375122610132042',9460,'44',49.94,1,3,NULL),(25,6211437,'1993-03-02 00:00:00',4,8,12,2010,'M','N','BACACHERI','CURITIBA','PR','116162161235471432346722572114610164042',12284,'9998',47.71,1,3,NULL),(25,6211445,'1993-10-26 00:00:00',4,10,11,2010,'M','N','CAÇADOR','CAPIVARI BAIXO','SC','124241241115141731336619572114610127052',20509,'1034',25.69,1,2,1),(25,6211453,'1983-03-22 00:00:00',4,1,12,2001,'M','N','FLORESTA','BELO HORIZONTE','MG','113092131216473421357619415122341227187',3540,'9998',64.46,2,3,NULL),(25,6211461,'1993-02-25 00:00:00',4,1,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241213472431336632595114610162052',1196,'1079',72.55,1,3,NULL),(25,6211488,'1994-01-04 00:00:00',4,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241215111731346613295122610118055',17923,'1133',38.99,1,3,NULL),(25,6211496,'1991-01-12 00:00:00',4,1,12,2008,'F','N','CENTRO','BIGUAÇU','SC','124242241216574411447513495122230221192',15128,'63',43.50,1,3,NULL),(25,6211518,'1990-02-05 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124241241117131511644644245121131012032',14522,'733',44.40,1,2,1),(25,6211526,'1990-10-09 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241247325141431337444441124610164052',NULL,'9999',15.58,3,3,NULL),(25,6211534,'1993-09-01 00:00:00',4,7,12,2010,'F','N','CIDADE ALTA','VIDEIRA','SC','124241241116371411436613581122610123192',16245,'831',41.78,3,2,1),(25,6211542,'1993-03-22 00:00:00',4,1,9,2010,'M','N','TV MORENA','CPO GRANDE','MS','112122254237111721558816395112610167042',563,'9998',77.01,1,3,NULL),(25,6211569,'1992-01-21 00:00:00',4,5,11,2010,'F','N','MICHEL','CRICIÚMA','SC','124242247217131452226621182124613234156',NULL,'1096',17.34,1,3,NULL),(25,6211577,'1985-03-12 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201208116131431226844445234610165153',NULL,'9998',27.63,1,2,1),(25,6211585,'1991-08-01 00:00:00',2,5,11,2008,'F','N','COMERCIARIO','CRICIÚMA','SC','124246241216133431636314575122610164077',15666,'226',37.77,1,3,NULL),(25,6211615,'1977-01-19 00:00:00',4,1,12,1996,'M','N','CENTRO','FLORIANÓPOLIS','SC','124072071215372441139923335122542466195',5651,'9998',59.44,1,3,NULL),(25,6211623,'1991-08-08 00:00:00',2,15,12,2007,'M','N','VILA SAO JOSE','ARARANGUÁ','SC','124241241126141622328824145321231714051',17873,'29',39.09,1,3,NULL),(25,6211631,'1993-12-15 00:00:00',4,8,12,2010,'F','N','PETRÓPOLIS','JOINVILLE','SC','124244241215271411356412575122610146047',13227,'459',42.22,1,3,NULL),(25,6211640,'1987-03-30 00:00:00',4,6,12,2004,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241215271431436614275122331562042',6461,'391',53.85,1,3,NULL),(25,6211658,'1993-03-20 00:00:00',2,1,12,2009,'M','N','AREAL','PELOTAS','RS','120201201117372431326723471224141037117',17674,'9998',33.12,1,3,NULL),(25,6211674,'1992-04-27 00:00:00',2,9,12,2008,'F','N','CENTRO','STA MARIA','RS','120243241217573431336932575124610125147',1952,'497',66.56,1,3,NULL),(25,6211682,'1993-07-11 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241117371731426427572324610118192',20602,'307',32.74,4,2,1),(25,6211690,'1980-01-18 00:00:00',2,1,12,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','124131131116371431125344145234610126043',9866,'9998',47.12,1,3,NULL),(25,6211704,'1993-09-19 00:00:00',4,8,12,2010,'M','N','PARQUE VENEZA','ARAPONGAS','PR','116162161237111431468811575112610167012',10623,'9998',50.29,1,3,NULL),(25,6211712,'1991-09-22 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372431369813275114610148092',1238,'270',72.68,1,3,NULL),(25,6211720,'1992-05-04 00:00:00',2,15,12,2008,'M','N','CENTRO','MELEIRO','SC','124242241215472331457921575112610127042',12385,'813',43.18,1,3,NULL),(25,6211739,'1988-01-08 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124203201115412411528619372114610113187',11076,'9998',47.21,1,3,NULL),(25,6211747,'1981-06-16 00:00:00',2,8,11,2002,'M','N','JARDIM PAULISTA','JUNQUEIRÓPOLIS','SP','125251167136571411223329195124610137082',NULL,'9998',0.00,3,2,1),(25,6211755,'1991-09-01 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242248212151431468819435124233244112',NULL,'9997',28.44,1,3,NULL),(25,6211763,'1990-08-20 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124163241115574431234627372124610133147',6812,'307',54.86,1,3,NULL),(25,6211771,'1992-05-07 00:00:00',4,1,12,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241111161421437534171122230266041',NULL,'733',0.00,1,2,1),(25,6211798,'1989-03-12 00:00:00',2,1,6,2010,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241247332141431326544442114610137047',NULL,'9999',20.23,2,1,2),(25,6211801,'1993-06-16 00:00:00',4,8,10,2010,'F','N','CENTRO','CURITIBA','PR','116242161215121531328812572114610123012',566,'9998',76.56,1,3,NULL),(25,6211810,'1990-10-09 00:00:00',4,1,12,2009,'M','N','VILA SOUTO','BAURU','SP','125252251216471431468921575122610127127',NULL,'9998',0.00,1,3,NULL),(25,6211828,'1988-12-27 00:00:00',4,1,12,2004,'M','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116163161335571441653314241121142664112',20126,'9998',34.25,3,3,NULL),(25,6211836,'1993-06-07 00:00:00',4,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241217271431489831575112610167062',13072,'457',41.92,1,3,NULL),(25,6211844,'1985-05-28 00:00:00',4,8,12,2002,'F','N','JARDIM SANTA MARIA','TOLEDO','PR','116162161216151431438813575122343267087',15500,'9998',42.90,1,3,NULL),(25,6211852,'1988-10-10 00:00:00',2,15,12,2006,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124244241417371731424439245122231224057',NULL,'29',12.36,1,3,NULL),(25,6211860,'1992-08-16 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','120242241217153711658813591121610167182',14430,'272',40.04,1,3,NULL),(25,6211887,'1993-11-26 00:00:00',4,8,12,2010,'F','N','LENÇOL','S BENTO SUL','SC','124241241214111441539811385124610122012',14274,'974',40.03,1,3,NULL),(25,6211909,'1994-02-17 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124252241216112711579814575114610144181',5855,'270',55.66,4,3,NULL),(25,6211917,'1993-04-15 00:00:00',4,1,12,2010,'F','N','BIGORRILHO','CURITIBA','PR','116162161217111731383612122122610168182',NULL,'9998',0.00,4,3,NULL),(25,6211925,'1994-02-08 00:00:00',2,9,11,2010,'F','N','CENTRO','CPO BELO SUL','SC','124244241216111731428833595112610168142',15730,'1207',37.90,1,3,NULL),(25,6211933,'1981-05-07 00:00:00',2,1,1,2003,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241247336131731323344442234130266187',NULL,'1003',0.00,1,3,NULL),(25,6211941,'1991-05-22 00:00:00',2,1,12,2008,'M','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124251251117131411323344342214610164173',14580,'9998',44.32,4,2,1),(25,6211950,'1987-12-24 00:00:00',4,1,12,2005,'M','N','JARDIM PRIMAVERA','PIRACICABA','SP','125251251126471431435614245123141432182',13778,'9998',40.92,4,2,1),(25,6211968,'1993-11-23 00:00:00',4,4,12,2010,'F','N','CENTRO','PALMITOS','SC','124241241116131431448614592122610135057',20899,'601',31.50,1,2,1),(25,6211976,'1991-01-11 00:00:00',4,1,12,2008,'M','N','VILA PACÍFICO','BAURU','SP','125252251215511431358611575122610167047',5462,'9998',57.78,1,3,NULL),(25,6211984,'1991-12-16 00:00:00',4,1,12,2008,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124242241217574731538833596114133238032',13401,'1022',44.06,1,3,NULL),(25,6211992,'1992-11-16 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212272731347924392124233264141',8655,'1050',49.76,1,3,NULL),(25,6212018,'1993-05-08 00:00:00',4,9,11,2010,'M','N','CENTRO','LAGES','SC','124242241215111431358921575122610134123',6893,'1207',54.39,1,3,NULL),(25,6212069,'1995-01-19 00:00:00',4,7,11,2011,'F','S','CENTRO','JOAÇABA','SC','124244241415111431458833272125610163192',NULL,'446',38.82,1,3,NULL),(25,6212077,'1990-03-07 00:00:00',4,1,12,2008,'F','N','CENTRO','PALHOÇA','SC','124243241136131431348839485124610133147',NULL,'592',37.80,1,3,NULL),(25,6212085,'1990-11-21 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215372431458936575124120367122',960,'270',74.19,1,3,NULL),(25,6212107,'1982-04-10 00:00:00',2,1,12,2003,'M','N','CENTRO','STA MARIA','RS','120241241116371751523329375124241068181',2711,'123',64.26,4,3,NULL),(25,6212115,'1993-05-08 00:00:00',2,1,12,2010,'F','N','MONTE CARMELO','GUARULHOS','SP','125254251417471411459469572222610162127',7607,'9998',52.08,2,3,NULL),(25,6212123,'1993-07-16 00:00:00',4,4,12,2010,'M','N','MIRANTE','ITÁ','SC','124241241116471431366614595124610114195',14773,'384',44.05,1,2,1),(25,6212131,'1993-07-20 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124252241215111431468813475112610167042',548,'270',77.16,1,3,NULL),(25,6212158,'1992-10-28 00:00:00',2,3,12,2009,'F','N','CENTRO','CPO MOURÃO','PR','116161161215471431239934572325610167017',19089,'9998',29.15,3,3,NULL),(25,6212182,'1992-05-28 00:00:00',2,1,12,2009,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241216472432468814277112121467095',3313,'1134',62.62,1,3,NULL),(25,6212190,'1990-11-13 00:00:00',2,6,12,2008,'F','N','GOIAS','STA CRUZ SUL','RS','120201201127571431333311372224610127042',12873,'9998',43.11,1,2,1),(25,6212204,'1992-04-10 00:00:00',4,1,11,2009,'M','N','CENTRO','TRÊS MAIO','RS','120202201216372431538814375125142324057',11343,'9998',44.73,1,3,NULL),(25,6212212,'1993-02-11 00:00:00',2,9,12,2009,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124241241116572431468829575112610124097',14944,'505',43.77,1,2,1),(25,6212220,'1994-04-26 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111442356619577114610164012',6674,'1118',56.05,1,3,NULL),(25,6212247,'1993-04-01 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241215373731656632575124610162141',539,'270',76.86,1,3,NULL),(25,6212255,'1993-09-17 00:00:00',4,8,11,2010,'F','N','JOÃO PESSOA','JARAGUÁ SUL','SC','124242241235121231346812391122611036047',NULL,'1016',0.00,1,3,NULL),(25,6212263,'1983-12-10 00:00:00',2,1,7,2004,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241248132254421231429345123123257057',19098,'281',36.76,1,2,1),(25,6212271,'1981-04-13 00:00:00',2,1,12,1999,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','624204207216151431338754485114133234147',18330,'9998',38.23,1,3,NULL),(25,6212298,'1990-12-05 00:00:00',2,1,6,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244247215132431447812385124221946192',NULL,'9999',0.00,4,3,NULL),(25,6212301,'1993-12-27 00:00:00',4,8,12,2010,'F','N','VILA NOVA','RIO NEGRINHO','SC','124241248115141211334923432221610128092',NULL,'669',12.81,1,2,1),(25,6212310,'1993-06-09 00:00:00',4,8,10,2010,'M','N','CENTRO','CURITIBA','PR','116162161215471451348821572114610127072',1507,'9998',69.70,4,3,NULL),(25,6212328,'1994-03-07 00:00:00',4,9,12,2010,'F','N','SANTA HELENA','LAGES','SC','124241241116271431433711482124610121197',NULL,'935',21.31,1,2,1),(25,6212344,'1988-08-18 00:00:00',2,1,12,2005,'F','N','BERGER','CAÇADOR','SC','124244241417135422448911115124142444177',14831,'123',40.40,1,3,NULL),(25,6212352,'1982-12-13 00:00:00',4,16,12,2000,'M','N','CENTRO','CURITIBANOS','SC','124242241216373721358621215122331534097',8864,'237',53.29,1,3,NULL),(25,6212360,'1992-06-07 00:00:00',2,1,12,2010,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241117151432457613575122610164055',NULL,'257',25.47,1,2,1),(25,6212379,'1993-01-27 00:00:00',2,10,12,2010,'F','N','TEUTÔNIA','TEUTÔNIA','RS','120201201117471431436622475124610133147',11263,'9998',45.06,1,2,1),(25,6212387,'1993-04-07 00:00:00',4,7,11,2010,'M','N','BATEL','CURITIBA','PR','116242161215471331278632572122610168182',12991,'9998',42.19,1,3,NULL),(25,6212395,'1994-01-29 00:00:00',4,1,12,2010,'M','N','SETOR AEROPORTO','GOIÂNIA','GO','109092091217111431358921572122610164052',3312,'9998',62.70,1,3,NULL),(25,6212417,'1992-08-09 00:00:00',2,3,12,2009,'F','N','BOMBAS','BOMBINHAS','SC','124243241415131531456821245331610147047',18005,'407',38.84,1,3,NULL),(25,6212425,'1989-01-24 00:00:00',4,4,12,2005,'F','N','CENTRO','CHAPECÓ','SC','124242241216514411556823575122142528182',NULL,'185',41.88,1,3,NULL),(25,6212433,'1993-02-18 00:00:00',2,4,12,2010,'F','N','CENTRO','UMUARAMA','PR','116162161215472731356613575122610166057',1168,'9998',71.22,1,3,NULL),(25,6212441,'1991-12-23 00:00:00',4,3,12,2009,'M','N','TABULEIRO','CAMBORIÚ','SC','124242241415332431424231415121610132042',19308,'44',36.26,2,1,2),(25,6212450,'1992-12-17 00:00:00',4,1,12,2009,'M','N','BOQUEIRÃO','CURITIBA','PR','116162161216272431343414245114610164047',7630,'9998',53.32,1,3,NULL),(25,6212468,'1991-08-07 00:00:00',4,8,12,2008,'M','N','BOA VISTA','JOINVILLE','SC','124244241426272111159934285124230437112',18659,'442',32.24,1,3,NULL),(25,6212476,'1993-05-21 00:00:00',2,1,12,2010,'F','N','ALTO ARIRIÚ','PALHOÇA','SC','124242241216111431344923575124610127047',17940,'1011',38.96,1,3,NULL),(25,6212484,'1988-06-23 00:00:00',4,7,12,2005,'F','N','ESTAÇÃO LUZERNA','HERVAL D OESTE','SC','124241241412574431437614575122133226147',1184,'445',71.90,1,3,NULL),(25,6212492,'1992-02-06 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116161161116471441533619274124610122182',8851,'9998',48.92,1,2,1),(25,6212506,'1991-12-20 00:00:00',4,6,12,2009,'M','N','VILA REAL','BAL CAMBORIÚ','SC','124242241215472231459811374122610126093',8076,'1038',51.49,1,3,NULL),(25,6212514,'1992-05-01 00:00:00',4,15,12,2009,'F','N','SÃO GERALDO','PTO ALEGRE','RS','120202201116471431433611332134610121147',6262,'9998',54.73,1,3,NULL),(25,6212522,'1993-02-02 00:00:00',4,17,12,2010,'F','N','JOÃO PAULO SEGUNDO','TRÊS BARRAS','SC','124241241117271731313313571324610127142',NULL,'789',18.57,1,2,1),(25,6212530,'1993-02-08 00:00:00',4,2,11,2010,'F','N','CENTRO','ARIQUEMES','RO','122224221416131221443632195112610124192',NULL,'9998',20.93,1,3,NULL),(25,6212557,'1993-04-26 00:00:00',4,1,11,2010,'M','N','SÃO BRAZ','CURITIBA','PR','116162161217111751468834394124610144092',5125,'9998',60.55,1,3,NULL),(25,6212565,'1993-10-15 00:00:00',4,3,10,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111432476812575122610137042',8730,'1038',49.62,1,3,NULL),(25,6212573,'1994-03-21 00:00:00',4,1,12,2011,'M','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241117111431446414575112610117042',NULL,'307',25.81,1,3,NULL),(25,6212581,'1988-03-14 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161247337131431124344345124610166047',15518,'9999',37.80,1,3,NULL),(25,6212590,'1984-08-31 00:00:00',4,1,12,2002,'M','N','BARREIROS','S JOSÉ','SC','124241241212155421457644445122330817057',10018,'737',50.03,1,3,NULL),(25,6212603,'1993-02-10 00:00:00',2,15,12,2009,'M','N','AREAL','PELOTAS','RS','120202201211411431278731511122610127042',NULL,'9998',0.00,1,3,NULL),(25,6212620,'1990-11-09 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117471731328374382224610152075',NULL,'281',19.42,2,1,1),(25,6212646,'1992-03-03 00:00:00',4,7,12,2009,'M','N','INTERIOR','LUZERNA','SC','124241241117161231523415392124610137057',NULL,'539',0.00,1,2,1),(25,6212654,'1990-09-18 00:00:00',2,1,12,2007,'M','N','CENTRO','IPUMIRIM','SC','124241241215472431436732422124610131017',12307,'190',44.12,1,3,NULL),(25,6212662,'1991-11-25 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116373231446611345134610124147',13109,'288',46.45,1,2,1),(25,6212670,'1990-03-12 00:00:00',2,1,12,2009,'M','N','SÃO JOSÉ','S JOSÉ','SC','124242244215413731279613595114610117113',NULL,'976',27.04,1,3,NULL),(25,6212689,'1991-05-10 00:00:00',2,1,12,2009,'F','N','FLORESTA','S JOSÉ','SC','124242241216153431569833575124231037072',14910,'270',38.79,1,3,NULL),(25,6212700,'1993-11-10 00:00:00',4,1,12,2010,'F','N','CENTRO','GAROPABA','SC','124241241127162431436811575122610138072',NULL,'322',11.93,1,2,1),(25,6212727,'1992-07-25 00:00:00',4,1,12,2009,'M','N','CENTRO','CAPINZAL','SC','124244241215472441356633575114610132051',5612,'155',57.76,1,3,NULL),(25,6212735,'1988-10-03 00:00:00',4,1,12,2005,'M','N','SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC','124242241215272431468933385122320226042',2842,'262',65.11,1,3,NULL),(25,6212743,'1990-09-01 00:00:00',5,1,12,2007,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124241241136472731513723385124610124115',3899,'163',62.97,1,2,1),(25,6212751,'1987-10-20 00:00:00',4,4,2,2006,'F','N','PROGRESSO','S MIGUEL OESTE','SC','124241242116141431433319495122610132147',21260,'758',29.69,1,2,1),(25,6212760,'1993-03-26 00:00:00',2,8,12,2010,'F','N','CRUZEIRO','S BENTO SUL','SC','124241241115271731424424272324610126047',NULL,'693',42.63,1,2,1),(25,6212786,'1991-02-20 00:00:00',2,1,12,2009,'F','N','CENTRO','ITAQUIRAÍ','MS','112121121137161422436514345134610128177',NULL,'9997',28.63,1,2,1),(25,6212794,'1992-09-23 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241116472531536833572125610167147',16867,'840',35.65,1,2,1),(25,6212808,'1991-06-27 00:00:00',4,1,11,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242248217573431456833575114132127185',13022,'1075',44.69,1,3,NULL),(25,6212824,'1989-09-06 00:00:00',2,1,12,2006,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124201201137371431423574341124610123012',20393,'9998',27.56,1,2,1),(25,6212859,'1992-06-23 00:00:00',2,1,12,2009,'M','N','CENTRO','RANCHO QUEIMADO','SC','124241246127161732456414245113610127142',NULL,'649',19.26,4,2,1),(25,6212867,'1991-11-01 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241117133411326721345124230224042',18618,'307',37.73,1,2,1),(25,6212875,'1993-02-22 00:00:00',2,8,12,2010,'F','N','QUATI','GUARAMIRIM','SC','124241241115131431333424572224610166197',NULL,'335',24.65,1,2,1),(25,6212883,'1992-08-24 00:00:00',2,1,11,2010,'M','N','CENTRO','S JOSÉ','SC','124242241215371431658632245124510117112',21728,'270',24.63,1,3,NULL),(25,6212891,'1993-12-28 00:00:00',4,8,12,2010,'M','N','JARDIM UNIVERSITÁRIO','MARINGÁ','PR','116162161116111411446834575125610162177',NULL,'9998',0.00,1,3,NULL),(25,6212921,'1994-04-18 00:00:00',4,4,12,2010,'M','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124242241215112731347613475122610164187',NULL,'1191',40.20,1,3,NULL),(25,6212930,'1994-02-07 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124254241215221432658613575114610114045',5457,'269',58.16,1,3,NULL),(25,6212972,'1978-12-14 00:00:00',2,1,10,2001,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224241241117143731366954482122332952091',21200,'360',30.05,1,2,1),(25,6212999,'1994-03-01 00:00:00',2,1,12,2010,'M','N','CENTRO','TOLEDO','PR','116162161215151431548833575122610127062',2516,'9998',66.18,1,3,NULL),(25,6213022,'1992-05-07 00:00:00',2,15,12,2009,'M','N','SANGA DA AREIA','ARARANGUÁ','SC','124241241137162431524814182124230834182',NULL,'30',18.51,1,2,1),(25,6213030,'1993-03-13 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431468712592124610162141',4513,'270',58.86,1,3,NULL),(25,6213065,'1992-04-01 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124244248437131731228923335124610114012',NULL,'732',23.96,2,1,2),(25,6213090,'1992-03-05 00:00:00',2,1,12,2009,'M','N','JARDIM AQUARIUS','PALHOÇA','SC','124241241217372431435623574114610167047',15623,'1011',38.62,1,3,NULL),(25,6213103,'1987-11-08 00:00:00',4,1,6,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124281281116471311358834595114442214012',NULL,'9998',12.48,3,3,NULL),(25,6213111,'1993-07-08 00:00:00',4,7,11,2010,'M','N','CENTRO','JOAÇABA','SC','124242241217371531379414575122610117142',15443,'446',38.32,1,3,NULL),(25,6213138,'1993-07-20 00:00:00',4,1,12,2010,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124241241215111211438634275122610126192',5991,'1119',58.78,1,3,NULL),(25,6213146,'1994-02-18 00:00:00',2,15,12,2009,'M','N','JARDIM ITALIA','MELEIRO','SC','124241241117152431457514276122230224092',7259,'559',52.78,4,2,1),(25,6213170,'1982-03-05 00:00:00',2,1,11,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','124204201216151421358813485122332062197',8733,'9998',53.54,1,3,NULL),(25,6213189,'1993-02-11 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241215372411438812572112610168092',NULL,'457',0.00,1,3,NULL),(25,6213197,'1994-05-31 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242248215111412348622572122610124143',NULL,'270',34.19,1,3,NULL),(25,6213200,'1993-01-19 00:00:00',2,3,12,2010,'F','N','VILA SOARES','OURINHOS','SP','125251251225111731226639575124610166187',NULL,'9998',17.62,1,3,NULL),(25,6213219,'1992-03-31 00:00:00',2,2,12,2010,'M','N','CENTRO','S JOÃO BATISTA','SC','124241248125311721436823295135610114012',NULL,'712',22.50,1,2,1),(25,6213235,'1991-04-03 00:00:00',4,1,12,2010,'M','N','COHAB NOVA','CÁCERES','MT','111161111146151411456674475123610134043',NULL,'9998',7.99,4,3,NULL),(25,6213243,'1973-12-03 00:00:00',2,1,11,1999,'F','N','BOM VIVER','BIGUAÇU','SC','224241247621131731423634145134610122181',20733,'9999',32.22,1,3,NULL),(25,6213278,'1993-04-26 00:00:00',2,1,12,2010,'F','N','JORDÃO','GOV CELSO RAMOS','SC','124211241115271411623534572124610112042',16834,'329',40.89,1,2,1),(25,6213286,'1993-04-17 00:00:00',4,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241217121431378832572112610137042',NULL,'9997',0.00,1,3,NULL),(25,6213294,'1993-04-22 00:00:00',4,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124241241115371431433614572124610136147',11293,'466',44.65,4,2,1),(25,6213308,'1993-11-05 00:00:00',2,7,10,2010,'M','N','PARQUE JARDIM OURO','OURO','SC','124242161216411431437632575122610127182',NULL,'9998',12.93,1,3,NULL),(25,6213316,'1991-12-04 00:00:00',2,15,12,2009,'M','N','PRAIA DA META','BAL ARROIO SILVA','SC','124243241115131431657613282113610162047',14505,'854',41.37,1,3,NULL),(25,6213340,'1993-08-04 00:00:00',2,8,12,2010,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215272431468833476112610143142',4055,'457',62.51,1,3,NULL),(25,6213359,'1970-08-22 00:00:00',2,1,12,1994,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224201207227371421322351286214142246163',15863,'9998',42.36,1,3,NULL),(25,6213375,'1993-05-19 00:00:00',2,2,12,2010,'F','N','ESCOLA AGRICOLA','BLUMENAU','SC','124241241117371431576432495124610132142',19718,'79',31.16,1,3,NULL),(25,6213383,'1993-04-16 00:00:00',4,1,10,2010,'F','N','BUENO','GOIÂNIA','GO','109092091215121421459911212122610152092',6132,'9998',54.99,1,3,NULL),(25,6213405,'1992-11-10 00:00:00',4,16,12,2010,'F','N','BOSQUE','CURITIBANOS','SC','124242241215161731348616572122610132142',6813,'237',54.20,1,3,NULL),(25,6213413,'1992-10-18 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124204201215472431466632272114610128052',8465,'9998',50.82,4,3,NULL),(25,6213421,'1992-03-08 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241115151421326632572122610166192',20364,'267',33.52,1,2,1),(25,6213456,'1989-08-10 00:00:00',4,1,11,2007,'M','N','CENTRO','CURITIBA','PR','116222221217471431258823575114140427187',8931,'9998',53.18,4,3,NULL),(25,6213464,'1994-04-11 00:00:00',4,2,11,2011,'F','S','SALTO','BLUMENAU','SC','124242241217141412468814572124610134142',NULL,'71',45.55,1,3,NULL),(25,6213472,'1981-12-17 00:00:00',4,3,12,2002,'M','N','ILHOTA','ITAPEMA','SC','224281288117131751225544441232610168187',7464,'9998',55.85,1,3,NULL),(25,6213480,'1992-04-19 00:00:00',2,17,12,2009,'F','N','CENTRO','CANOINHAS','SC','124241241116272731336624575125610136197',NULL,'146',43.85,1,2,1),(25,6213502,'1993-02-08 00:00:00',2,17,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241115372431434314575125223236115',NULL,'146',0.00,1,2,1),(25,6213510,'1986-11-23 00:00:00',2,1,12,2004,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241127273431625544245324610127112',NULL,'285',35.01,1,2,1),(25,6213537,'1992-06-04 00:00:00',2,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241115472231523331372124610162117',1684,'288',70.49,1,2,1),(25,6213553,'1990-04-10 00:00:00',4,1,12,2007,'F','N','VILA MARIANA','TAIÓ','SC','124241241136573431337613385113131423177',NULL,'777',0.00,1,2,1),(25,6213561,'1995-01-21 00:00:00',4,1,12,2010,'M','N','DEZ DE MAIO','TOLEDO','PR','216161161115471411469814575122610164192',602,'9998',75.14,1,2,1),(25,6213570,'1962-02-16 00:00:00',4,1,12,1981,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124131131137151421253343385124342256197',6121,'9998',58.47,1,3,NULL),(25,6213588,'1991-04-02 00:00:00',2,5,12,2008,'F','N','IMIGRANTES','CRICIÚMA','SC','124242241215473411547613392124610134147',6847,'211',53.31,1,3,NULL),(25,6213596,'1992-11-19 00:00:00',4,8,11,2009,'M','N','CENTRO','REALEZA','PR','116163161217472731458914572314610167067',846,'9998',74.96,1,3,NULL),(25,6213600,'1985-05-27 00:00:00',4,6,12,2003,'F','N','SAO JOAO','ITAJAÍ','SC','124244241417472431338933435115330622097',NULL,'394',0.00,3,3,NULL),(25,6213618,'1993-02-02 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111711328634595124610137047',18681,'1022',31.85,4,3,NULL),(25,6213626,'1991-02-28 00:00:00',2,1,12,2008,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124243241211131311534933242232610126092',NULL,'1014',20.75,1,3,NULL),(25,6213634,'1991-10-15 00:00:00',2,1,12,2009,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241116272731546413395134610137042',16833,'307',35.24,1,2,1),(25,6213642,'1991-06-05 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241215274431366814485124610167045',8687,'1022',52.59,1,3,NULL),(25,6213669,'1994-06-27 00:00:00',4,3,11,2010,'F','N','CENTRO','LONDRINA','PR','116112161215111431248812572112610163122',NULL,'9998',0.00,1,3,NULL),(25,6213677,'1993-09-25 00:00:00',4,9,9,2010,'F','N','BOA VISTA','RIO SUL','SC','124242248215521431356931575122610154142',NULL,'9997',37.33,1,3,NULL),(25,6213707,'1993-05-01 00:00:00',2,2,12,2010,'M','N','VELHA','BLUMENAU','SC','124241241116371431366632495124610132142',NULL,'79',21.43,1,3,NULL),(25,6213723,'1991-12-17 00:00:00',4,1,12,2009,'M','N','RECANTO ELIMAR','FRANCA','SP','125252251217471441336811575122610127042',2674,'9998',64.34,1,3,NULL),(25,6213740,'1992-06-17 00:00:00',4,8,12,2009,'F','N','MORUMBI','S PAULO','SP','125252251217471231478914576112610122097',NULL,'9998',0.00,1,3,NULL),(25,6213758,'1992-05-17 00:00:00',4,1,12,2009,'M','N','OURO VERDE','FOZ IGUAÇU','PR','116163161116472731335823575124240632017',13290,'9998',40.30,1,3,NULL),(25,6213766,'1992-06-05 00:00:00',2,3,12,2009,'M','N','CENTRO','STO ANTÔNIO CAIUÁ','PR','116161161146471431436923572112610137052',10600,'9998',45.87,1,3,NULL),(25,6213774,'1991-09-15 00:00:00',4,6,11,2009,'M','N','CORDEIROS','ITAJAÍ','SC','124241241442113431333319395122221467062',9758,'388',46.60,4,3,NULL),(25,6213782,'1989-04-27 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117133421436823385124610122097',NULL,'257',0.00,1,3,NULL),(25,6213790,'1991-04-03 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116271231138822385225133262197',NULL,'873',37.43,1,3,NULL),(25,6213820,'1993-06-18 00:00:00',4,1,11,2010,'F','N','CENTRO','S LUIZ GONZAGA','RS','120202201217372431333612295122610132192',11933,'9998',43.42,1,3,NULL),(25,6213839,'1993-10-12 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','120202201117471231468821282122610167074',21685,'9998',25.51,1,3,NULL),(25,6213847,'1990-06-08 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241126172751537739597145121764196',15371,'283',43.10,1,3,NULL),(25,6213855,'1991-06-23 00:00:00',2,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124241241316271411334635212121231835162',18103,'412',38.64,1,3,NULL),(25,6213871,'1992-12-23 00:00:00',4,8,12,2010,'F','N','BOA VISTA','JOINVILLE','SC','124242241216372431456822575112610133072',12645,'457',41.29,1,3,NULL),(25,6213880,'1994-06-07 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215121731357814375112610131115',15000,'270',43.69,1,3,NULL),(25,6213898,'1994-05-19 00:00:00',4,5,11,2010,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111431469734575122610138182',15037,'226',43.62,1,3,NULL),(25,6213901,'1990-10-08 00:00:00',2,5,12,2008,'F','N','PROGRESSO','CRICIÚMA','SC','124241248117371411524614575114610164057',NULL,'209',16.73,1,2,1),(25,6213910,'1993-09-01 00:00:00',2,1,12,2010,'F','N','CENTRO','JUÍNA','MT','111161111235371431328619592122610126142',NULL,'9998',0.00,1,3,NULL),(25,6213928,'1993-08-07 00:00:00',4,1,11,2010,'M','N','BELA VISTA','S JOSÉ','SC','124241241135151741323329195125610167057',NULL,'726',25.65,3,2,1),(25,6213936,'1993-05-07 00:00:00',2,5,12,2010,'M','N','ARAUCARIA','BOM JD SERRA','SC','124241241127161731424315285122610163147',NULL,'856',16.17,1,2,1),(25,6213944,'1981-05-08 00:00:00',4,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','224243247622151431246654345122610122052',16558,'9999',36.69,1,3,NULL),(25,6213952,'1983-08-12 00:00:00',2,1,7,2001,'F','N','AREIAS','S JOSÉ','SC','124241241326373121451321285112132113077',19896,'9999',34.88,1,3,NULL),(25,6213960,'1977-06-11 00:00:00',4,1,12,1995,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241211153421228813245124321817112',15026,'269',43.64,1,3,NULL),(25,6213979,'1994-05-29 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217311711538733475124610168147',16711,'270',41.06,1,3,NULL),(25,6213987,'1993-09-06 00:00:00',4,7,11,2010,'M','N','BELA VISTA','SANANDUVA','RS','120201201237111431446532325124610127042',10674,'9998',46.15,1,3,NULL),(25,6213995,'1992-01-17 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244243116131431436612345124233222191',NULL,'306',39.37,1,3,NULL),(25,6214002,'1991-12-03 00:00:00',2,4,12,2008,'M','N','CENTRO','STO ANTÔNIO SUDOESTE','PR','116161161116152441536632345122610142127',4355,'9998',61.01,1,2,1),(25,6214029,'1988-12-12 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241315474452666673382124121748187',6834,'272',54.00,1,3,NULL),(25,6214045,'1992-12-28 00:00:00',2,5,11,2009,'F','N','CENTRO','IÇARA','SC','124243241335371431475612575124610162142',11894,'226',48.33,1,3,NULL),(25,6214061,'1988-07-27 00:00:00',2,1,11,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241417372411236823345123133266053',NULL,'9997',40.66,1,3,NULL),(25,6214070,'1994-08-19 00:00:00',4,10,12,2011,'M','S','OFICINAS','TUBARÃO','SC','124242241215111431368512576112610164145',NULL,'807',34.80,1,3,NULL),(25,6214088,'1994-10-13 00:00:00',4,1,11,2011,'F','S','PANTANAL','FLORIANÓPOLIS','SC','124242241217111531459812575124610122012',NULL,'270',49.86,1,3,NULL),(25,6214096,'1992-10-02 00:00:00',4,10,6,2010,'M','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125252251216271431589933575122610137012',12421,'9998',42.21,1,3,NULL),(25,6214100,'1993-12-13 00:00:00',2,4,12,2010,'M','N','CENTRO','STO ANTÔNIO SUDOESTE','PR','116161161116131731436411472124610137017',11547,'9998',44.05,1,2,1),(25,6214118,'1993-11-01 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241215111431346634572122610167017',11200,'1076',44.88,1,3,NULL),(25,6214126,'1990-02-16 00:00:00',4,1,12,2008,'M','N','VILA PALMEIRA','S PAULO','SP','125252251217151121227511485114143264187',21328,'9998',24.43,1,3,NULL),(25,6214142,'1993-04-30 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241115471411443311575124610138172',18680,'591',32.09,1,2,1),(25,6214150,'1992-04-03 00:00:00',2,8,12,2009,'F','N','VILA SAO LUIS','OURINHOS','SP','125251251116471731448833445122610167042',NULL,'9998',30.32,4,2,1),(25,6214169,'1989-12-19 00:00:00',4,1,12,2006,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241136373731438613345124222132117',NULL,'307',0.00,1,2,1),(25,6214177,'1988-01-06 00:00:00',4,1,12,2004,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124161161136271421125644142234342736117',NULL,'9998',0.00,1,2,1),(25,6214185,'1993-03-14 00:00:00',4,1,11,2010,'M','N','ITACORUBÍ','FLORIANÓPOLIS','SC','124243241115151741579813572114610167073',10616,'271',46.23,1,3,NULL),(25,6214193,'1993-08-26 00:00:00',4,9,12,2010,'M','N','VILA MARIANA','TAIÓ','SC','124241241115131431336814575122610122172',9434,'777',50.15,1,2,1),(25,6214223,'1989-12-12 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241215473431326674575124221467012',20077,'497',34.37,3,3,NULL),(25,6214231,'1993-04-09 00:00:00',4,8,12,2010,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241115471731439712275122610164142',NULL,'430',43.97,1,2,1),(25,6214240,'1993-08-07 00:00:00',4,8,12,2010,'F','N','CENTRO','JOAÇABA','SC','124242161215471431469833575124610133072',3065,'446',63.04,1,3,NULL),(25,6214258,'1993-03-06 00:00:00',2,8,11,2010,'F','N','UBATUBA','S FRANCISCO SUL','SC','124241241145161711429613275124610138177',NULL,'710',34.15,1,2,1),(25,6214266,'1992-09-18 00:00:00',4,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124244241415371431469913575112610163182',1877,'270',68.21,1,3,NULL),(25,6214282,'1980-12-06 00:00:00',2,1,12,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201201122333421121144242334610122147',14332,'9998',40.80,4,2,1),(25,6214290,'1984-03-11 00:00:00',2,1,12,2003,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','224241241136372431224454385114610124147',NULL,'289',0.00,1,2,1),(25,6214304,'1993-05-13 00:00:00',4,1,12,2010,'M','N','FLORESTA','S JOSÉ','SC','124242241215111231536611192121610137047',17384,'1118',39.95,4,3,NULL),(25,6214312,'1993-04-17 00:00:00',4,10,12,2010,'F','N','SÃO CRISTÓVÃO','TUBARÃO','SC','124241241115371231523311282124610127147',NULL,'793',0.00,1,2,1),(25,6214339,'1993-05-11 00:00:00',4,3,12,2010,'F','N','BOMBAS','BOMBINHAS','SC','124242241217271431368832571124610131015',13159,'403',42.39,1,3,NULL),(25,6214347,'1988-02-27 00:00:00',4,1,12,2005,'F','N','VILA ROCHA','LIMEIRA','SP','125252251217573411536631475124223242141',5156,'9998',58.57,3,3,NULL),(25,6214355,'1993-02-07 00:00:00',2,16,12,2010,'F','N','BOSQUE','CURITIBANOS','SC','124241244115321711523311412122610143147',NULL,'239',24.44,1,2,1),(25,6214363,'1993-06-11 00:00:00',4,1,11,2010,'F','N','CRISTO REDENTOR','PTO ALEGRE','RS','120202201216121431359714575114610167042',NULL,'9998',33.80,1,3,NULL),(25,6214371,'1982-08-01 00:00:00',2,1,12,2001,'M','N','S J DO RIO VERMELHO','FLORIANÓPOLIS','SC','124051051136131451222179492324610162057',13271,'9998',42.11,2,1,1),(25,6214380,'1987-02-21 00:00:00',2,1,12,2004,'F','N','ENCATADA','GAROPABA','SC','124241241126474711443312245133131465182',18750,'322',37.45,1,2,1),(25,6214410,'1976-01-17 00:00:00',4,1,12,1994,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241136135421427841415124223267072',14007,'257',45.16,1,2,1),(25,6214428,'1993-11-13 00:00:00',4,4,12,2010,'F','N','NITEROI','SEARA','SC','124241241116171331353336185214610122142',18787,'763',37.37,1,3,NULL),(25,6214436,'1993-08-23 00:00:00',4,1,11,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241225372431323329576344610164192',8299,'262',50.34,1,3,NULL),(25,6214444,'1993-06-30 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111531688832245124610168185',NULL,'1169',45.01,1,3,NULL),(25,6214452,'1987-03-25 00:00:00',2,1,12,2004,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241117145521433313245112610164062',17227,'727',34.74,1,2,1),(25,6214460,'1993-05-27 00:00:00',2,8,11,2010,'F','N','CENTRO','JOINVILLE','SC','124242241215111431557813575122610127077',13557,'1016',42.00,4,3,NULL),(25,6214479,'1984-09-10 00:00:00',4,5,12,1999,'M','N','SANTA BARBARA','CRICIÚMA','SC','224241248123271431122354145122610138097',21093,'209',30.71,2,1,1),(25,6214487,'1993-10-05 00:00:00',2,4,12,2010,'M','N','INTERIOR','SEARA','SC','124241241117161231536435582224610127052',NULL,'763',23.77,1,2,1),(25,6214517,'1993-01-28 00:00:00',4,8,12,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241216371221679814445122610127032',18044,'931',38.76,1,3,NULL),(25,6214525,'1989-06-17 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217372411536614375114610134047',13807,'1134',45.47,1,3,NULL),(25,6214533,'1993-05-10 00:00:00',2,16,12,2010,'M','N','CENTRO','BRUNÓPOLIS','SC','124241241145131431524615582224610127047',NULL,'911',26.78,4,2,1),(25,6214541,'1981-11-18 00:00:00',2,1,6,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124251241142232431422219382224610117147',16946,'289',38.49,1,2,1),(25,6214568,'1992-10-19 00:00:00',4,1,12,2010,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','624242241215131431367713385124610168095',4178,'1048',61.90,1,3,NULL),(25,6214576,'1992-09-23 00:00:00',4,1,12,2009,'M','N','CENTRO','BARRA MANSA','RJ','121212211216471431358921591124610136042',NULL,'9998',0.00,1,3,NULL),(25,6214584,'1995-01-09 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469833575112610133195',NULL,'270',50.10,1,3,NULL),(25,6214592,'1993-06-28 00:00:00',4,1,11,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215272431669914572112610137112',1395,'270',71.80,1,3,NULL),(25,6214606,'1969-02-24 00:00:00',2,1,12,1986,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','524202203217272411443444245124610116185',7747,'9998',55.32,1,3,NULL),(25,6214614,'1990-11-24 00:00:00',4,1,11,2008,'M','N','EMBARÉ','SANTOS','SP','125252251216511311458614275122610161097',NULL,'9998',0.00,1,3,NULL),(25,6214630,'1984-05-04 00:00:00',4,6,12,2002,'M','N','SÃO LUIZ','BRUSQUE','SC','124242241216572431337722415122333264092',4012,'107',63.22,1,3,NULL),(25,6214649,'1989-02-15 00:00:00',4,1,6,2009,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124243247626373531658613585124610168187',11221,'9999',49.35,3,3,NULL),(25,6214665,'1994-10-03 00:00:00',4,1,12,2011,'M','S','RIO CAVEIRAS','BIGUAÇU','SC','124242241217151712458824572122610134092',NULL,'63',49.55,1,3,NULL),(25,6214673,'1991-04-27 00:00:00',4,1,12,2009,'M','N','ENTRE RIOS','GUARAPUAVA','PR','116162161216272431386416595124143234042',NULL,'9998',16.93,1,3,NULL),(25,6214703,'1991-11-03 00:00:00',4,1,11,2009,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125254251215471431369511271122610134182',3103,'9998',64.82,1,3,NULL),(25,6214711,'1992-03-02 00:00:00',4,1,11,2009,'M','N','VILA FORMOSA','S PAULO','SP','125252251216472431458812575124610126047',6301,'9998',55.07,1,3,NULL),(25,6214720,'1992-02-21 00:00:00',2,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241216473431256923575124230233092',9767,'723',48.22,1,3,NULL),(25,6214738,'1993-03-20 00:00:00',2,1,12,2010,'F','N','SANTA LUZIA','CAPÃO CANOA','RS','120201201117471711326523331331610144147',NULL,'9998',21.52,1,2,1),(25,6214754,'1991-11-11 00:00:00',4,1,6,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242247127371751459813592112613267121',20237,'9999',33.96,1,3,NULL),(25,6214762,'1986-03-14 00:00:00',2,1,12,2005,'M','N','SANTO ANTONIO','ARACAJU','SE','126262261216215421449929595112610112112',7488,'9998',53.00,4,3,NULL),(25,6214770,'1989-10-27 00:00:00',4,1,12,2007,'F','N','CHÁCARS FLÓRIDAS','ITU','SP','125254251116571731467933572122610167076',1578,'9998',67.33,1,3,NULL),(25,6214797,'1993-08-14 00:00:00',4,1,12,2010,'F','N','CENTRO','S LEOPOLDO','RS','120202208216371611347732572114610167052',15775,'9998',37.86,1,3,NULL),(25,6214800,'1965-10-24 00:00:00',4,1,12,1983,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241111153431366643331122321427047',15976,'307',42.18,1,3,NULL),(25,6214819,'1993-10-30 00:00:00',4,3,12,2010,'F','N','CENTRO','PIRAPOZINHO','SP','125252251216111431486823572112610124094',977,'9998',72.92,3,3,NULL),(25,6214827,'1992-03-15 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215272732558933592114121918045',NULL,'269',35.92,4,3,NULL),(25,6214835,'1991-10-28 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215372431478813575114121422065',508,'270',77.55,1,3,NULL),(25,6214843,'1992-04-29 00:00:00',4,1,7,2010,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124244247215371431359921575124610131097',18445,'9999',38.03,4,3,NULL),(25,6214851,'1959-08-02 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','224251247122131731323159182124610126147',NULL,'9999',13.45,4,2,1),(25,6214860,'1993-04-09 00:00:00',2,2,11,2010,'F','N','CENTRO','IJUÍ','RS','120202201215271431533612572122610164147',NULL,'9998',0.00,1,3,NULL),(25,6214886,'1992-02-27 00:00:00',4,1,12,2008,'M','N','CANTO','FLORIANÓPOLIS','SC','124233241112131431423621575114610162047',11602,'257',48.75,4,3,NULL),(25,6214894,'1993-08-11 00:00:00',4,10,11,2010,'M','N','CENTRO','TUBARÃO','SC','124242241215111711537414475112610137142',NULL,'809',0.00,1,3,NULL),(25,6214916,'1992-01-26 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215141711424924491124230264092',21700,'1022',25.21,1,3,NULL),(25,6214924,'1989-11-23 00:00:00',4,6,12,2007,'M','N','VILA SEDENHO','ARARAQUARA','SP','125252251217271421464622215122141454094',NULL,'9998',0.00,1,3,NULL),(25,6214932,'1992-06-19 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121451437817575124222266197',9507,'269',52.21,1,3,NULL),(25,6214940,'1991-10-11 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124204201316111711659632572122613237053',21512,'9998',27.77,1,3,NULL),(25,6214967,'1990-07-25 00:00:00',4,1,11,2008,'M','N','VILA APARECIDA','STA RITA P QUATRO','SP','125252251216471411438831115121610132042',NULL,'9998',0.00,1,3,NULL),(25,6214975,'1992-09-23 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242248215111431558713575122610135092',NULL,'273',22.91,1,3,NULL),(25,6214991,'1993-02-11 00:00:00',4,8,11,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241215271431446812275122610133142',8171,'457',50.11,1,3,NULL),(25,6215009,'1988-09-07 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124111121122171111111144141331610133197',NULL,'9998',12.81,4,2,1),(25,6215017,'1993-10-20 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124244241215271431569711575122610162142',19706,'723',31.43,1,3,NULL),(25,6215025,'1993-08-23 00:00:00',4,5,10,2010,'M','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241115272431568832475122610162052',12593,'226',42.70,1,3,NULL),(25,6215033,'1992-06-23 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215472421238724575124610135192',916,'226',73.97,1,3,NULL),(25,6215050,'1990-09-30 00:00:00',4,1,12,2008,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241248412142731446614345124231028187',NULL,'9999',27.28,3,3,NULL),(25,6215068,'1976-12-27 00:00:00',4,1,12,1995,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201116331421133543435132140227183',NULL,'9998',0.00,1,2,1),(25,6215076,'1992-09-18 00:00:00',2,1,8,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241248317271431638413572224610118147',NULL,'9997',22.30,1,3,NULL),(25,6215084,'1992-08-26 00:00:00',4,1,11,2009,'F','N','HUMAITA','TUBARÃO','SC','124242241216474351456612595125610122142',7088,'807',52.34,1,3,NULL),(25,6215092,'1990-10-22 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241137131712336829345134133264047',NULL,'287',29.31,1,2,1),(25,6215130,'1991-07-17 00:00:00',4,8,7,2009,'F','N','CALADINHO DE CIMA','CEL FABRICIANO','MG','113132131416271441445519575122610162092',NULL,'9998',0.00,1,3,NULL),(25,6215157,'1991-08-24 00:00:00',2,1,12,2009,'F','N','TARUMÃ','CURITIBA','PR','116163161115571431689831575122610137047',5717,'9998',54.79,4,3,NULL),(25,6215190,'1988-12-27 00:00:00',4,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124252251217333731138819495132220763057',10390,'9998',50.67,3,3,NULL),(25,6215211,'1991-04-04 00:00:00',2,1,11,2009,'M','N','ARMACAO DO PANTANO D','FLORIANÓPOLIS','SC','124244248217473431366934571124610117181',15636,'269',42.71,1,3,NULL),(25,6215220,'1991-10-04 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431477832574122131427112',5703,'262',59.35,1,3,NULL),(25,6215238,'1994-11-28 00:00:00',4,1,12,2011,'F','S','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215111431338628275122610138192',NULL,'262',36.35,1,3,NULL),(25,6215246,'1994-02-24 00:00:00',4,4,12,2010,'F','N','GERTRUD RESENER','PALMITOS','SC','124241241116131731446636575122610122057',12586,'601',42.69,1,2,1),(25,6215254,'1991-11-04 00:00:00',4,1,12,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215472431559614575115610114142',12989,'486',43.19,1,3,NULL),(25,6215270,'1992-06-03 00:00:00',4,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241217473531448911211112610135072',8673,'988',53.64,1,3,NULL),(25,6215289,'1989-01-11 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124202241215575431359713472124142668175',6727,'272',57.25,1,3,NULL),(25,6215300,'1992-03-13 00:00:00',4,8,12,2010,'M','N','ATIRADORES','JOINVILLE','SC','124243241415271331326922375114610164042',NULL,'479',30.48,1,3,NULL),(25,6215319,'1981-11-21 00:00:00',2,1,12,2000,'F','N','BELA VISTA','S JOSÉ','SC','624243241326232711233443232114610123152',14792,'882',44.02,1,3,NULL),(25,6215327,'1991-10-29 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','624241241126131431223379372124610126197',12875,'277',41.69,1,2,1),(25,6215335,'1993-06-03 00:00:00',4,1,12,2010,'F','N','SÃO LUIZ','S JOSÉ','SC','124241241111141431543332222122610167077',NULL,'729',25.27,4,2,1),(25,6215343,'1991-10-20 01:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124212241215371431454611572112610133092',3186,'1038',65.13,1,3,NULL),(25,6215360,'1993-04-04 00:00:00',4,2,10,2010,'M','N','COLONINHA','GASPAR','SC','124242241215111411468812572114610134042',11255,'855',45.92,1,3,NULL),(25,6215378,'1992-05-23 00:00:00',4,4,11,2009,'M','N','SÃO VICENTE','PATO BRANCO','PR','116163161311111232457811471112243267072',NULL,'9998',0.00,1,3,NULL),(25,6215394,'1993-10-28 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111631369819572114613264052',12113,'270',47.96,1,3,NULL),(25,6215416,'1992-09-10 00:00:00',4,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215473431376923575114610166142',6845,'270',53.77,1,3,NULL),(25,6215424,'1992-05-17 00:00:00',4,8,10,2010,'M','N','CASCATINHA','CURITIBA','PR','116162161235121432678814572122610137187',11237,'9998',45.78,1,3,NULL),(25,6215432,'1989-02-22 00:00:00',4,15,12,2006,'F','N','INTERPRAIAS','BAL GAIVOTA','SC','124241241145131441423321215124231116057',NULL,'54',0.00,3,2,1),(25,6215459,'1993-08-12 00:00:00',4,2,10,2010,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215121441364622572122610134112',427,'855',77.65,1,3,NULL),(25,6215467,'1993-05-08 00:00:00',4,2,11,2010,'F','N','GARCIA','BLUMENAU','SC','124244241215111431426621442124610143117',NULL,'71',22.45,1,3,NULL),(25,6215475,'1994-10-05 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241211151731259832575112610128142',NULL,'270',29.65,1,3,NULL),(25,6215483,'1983-10-23 00:00:00',2,1,12,2004,'M','N','RATONES','FLORIANÓPOLIS','SC','124241241326131431633311145244131027067',NULL,'307',0.00,1,3,NULL),(25,6215491,'1992-06-20 00:00:00',4,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124244241215272431333823572314133266111',13191,'300',42.37,1,3,NULL),(25,6215505,'1992-03-18 00:00:00',4,1,12,2009,'M','N','SANTA ROSA','LONDRINA','PR','116162161216271431458614485125141064042',8221,'9998',50.28,1,3,NULL),(25,6215513,'1986-04-12 00:00:00',2,1,12,2003,'F','N','LAGOA DA CONCEICÃO','FLORIANÓPOLIS','SC','124241241116232431123644245124610127067',16966,'564',40.68,1,2,1),(25,6215521,'1979-02-15 00:00:00',4,1,12,1996,'F','N','PICADAS DO NORTE','S JOSÉ','SC','224241241126135411233454245134330216147',17765,'295',39.30,1,3,NULL),(25,6215530,'1993-01-23 00:00:00',4,9,12,2010,'M','N','INDEPENDÊNCIA','POUSO REDONDO','SC','124241241146131431234923345125610134077',21389,'639',23.82,1,3,NULL),(25,6215548,'1994-03-23 00:00:00',4,1,12,2010,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124242241215131451549933575124610136192',9298,'1048',48.09,1,3,NULL),(25,6215556,'1993-08-09 00:00:00',4,4,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116161161315111631433315175122610163197',NULL,'9998',0.00,1,3,NULL),(25,6215564,'1993-10-10 00:00:00',4,1,12,2010,'M','N','VILA LEONOR','S PAULO','SP','125252251216111431459911275124610122092',NULL,'9998',0.00,1,3,NULL),(25,6215572,'1993-02-16 00:00:00',4,2,12,2010,'F','N','ESTRADA GERAL','AGRONÔMICA','SC','124241241115131431323336362224610134147',15341,'7',39.80,1,2,1),(25,6215599,'1994-02-08 00:00:00',4,1,12,2010,'M','N','ZONA DOIS','UMUARAMA','PR','116162161216111431468912475122610146092',914,'9998',72.43,1,3,NULL),(25,6215610,'1992-06-13 00:00:00',2,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215372411588613432112122745045',9731,'270',49.42,1,3,NULL),(25,6215629,'1989-06-26 00:00:00',4,1,12,2006,'F','N','PANORAMA PARQUE','GOIÂNIA','GO','109092091215571451468713572112610163197',NULL,'9998',0.00,1,3,NULL),(25,6215637,'1994-07-25 00:00:00',4,4,12,2011,'M','S','PRESIDENTE MEDICI','CHAPECÓ','SC','124241241215111431439931582112610117047',NULL,'1191',0.00,1,3,NULL),(25,6215645,'1993-11-10 00:00:00',2,1,11,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111411467612272124610163092',19853,'723',35.01,1,3,NULL),(25,6215653,'1992-04-20 00:00:00',4,1,12,2010,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124244241215151431568831575124610147062',5915,'262',58.93,1,3,NULL),(25,6215661,'1993-04-21 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111421435633475124610127072',NULL,'737',23.66,1,3,NULL),(25,6215670,'1992-03-16 00:00:00',4,1,11,2009,'M','N','NOVA IORQUE','ARAÇATUBA','SP','125252251216471231369813571115610132096',791,'9998',74.58,1,3,NULL),(25,6215688,'1994-06-14 00:00:00',2,3,11,2011,'F','S','CENTRO','BAL CAMBORIÚ','SC','124244241216141532436917142121610127057',NULL,'1017',39.96,1,3,NULL),(25,6215700,'1993-06-06 00:00:00',4,1,12,2011,'F','S','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241115111441449613575122610128147',NULL,'267',29.11,1,3,NULL),(25,6215718,'1991-03-08 00:00:00',4,4,12,2008,'M','N','REGIÃO DO LAGO II','CASCAVEL','PR','116162161215571431589911572122610167187',581,'9998',76.86,4,3,NULL),(25,6215726,'1991-12-08 00:00:00',2,1,12,2009,'M','N','PRAIA GRANDE','UBATUBA','SP','125254251417471732548419595122610167117',19911,'9998',34.84,4,3,NULL),(25,6215742,'1989-01-23 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241112472441423314444124131428142',12058,'257',42.76,1,3,NULL),(25,6215750,'1993-03-31 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431568832572112610123185',1053,'262',73.66,1,3,NULL),(25,6215769,'1978-09-21 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124111241126132411326878282124143261017',NULL,'65',30.51,4,2,1),(25,6215777,'1993-02-05 00:00:00',4,1,12,2010,'F','N','FAZENDA SERRINHA','ITATIBA','SP','125252251217121431479714242122610126092',NULL,'9998',0.00,1,3,NULL),(25,6215785,'1993-08-30 00:00:00',4,5,12,2010,'M','N','PEDRO ZANIVAN','CRICIÚMA','SC','124243241215111431368413595124610124042',4752,'995',58.28,1,3,NULL),(25,6215793,'1986-09-14 00:00:00',2,1,12,2005,'M','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124241248117271751643449145222610164042',21625,'733',26.51,4,2,1),(25,6215807,'1994-12-05 00:00:00',4,1,12,2011,'F','S','TRINDADE','FLORIANÓPOLIS','SC','116163248215121751429933435122610138142',NULL,'9998',33.43,1,3,NULL),(25,6215831,'1993-03-06 00:00:00',4,4,12,2010,'F','N','CENTRO','FAXINAL GUEDES','SC','124244241215111431336634572114610142142',14834,'836',38.59,1,3,NULL),(25,6215840,'1993-04-26 00:00:00',4,4,12,2009,'F','N','CENTRO','PALMITOS','SC','124244241215472411456937571122610162171',6754,'1193',57.20,1,3,NULL),(25,6215858,'1992-11-12 00:00:00',4,1,11,2010,'M','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124241241217471631425313595124610167047',8139,'63',51.45,1,3,NULL),(25,6215866,'1993-02-19 00:00:00',4,10,11,2010,'F','N','CENTRO','CAPIVARI BAIXO','SC','124243241215121431469914572122610137072',8462,'807',54.03,1,3,NULL),(25,6215874,'1993-05-20 00:00:00',2,1,11,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241215111431536911372124610124142',21030,'724',30.96,1,3,NULL),(25,6215882,'1992-12-28 00:00:00',2,1,12,2008,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241127272431536715145114610124182',16106,'941',37.71,4,2,1),(25,6215890,'1992-11-05 00:00:00',2,9,12,2009,'M','N','PANAZZOLO','CAXIAS SUL','RS','120204201217471731239813595115610167187',5582,'9998',59.60,1,3,NULL),(25,6215904,'1991-05-24 00:00:00',2,1,12,2007,'F','N','PETROPOLIS','PASSO FUNDO','RS','120202201115471431659614175122143034142',20883,'9998',31.60,1,3,NULL),(25,6215912,'1993-05-09 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241215111431437823575122610127142',7769,'1207',52.60,1,3,NULL),(25,6215939,'1993-04-26 00:00:00',4,1,11,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431369933575112610111091',10808,'270',46.40,1,3,NULL),(25,6215971,'1985-08-11 00:00:00',4,1,6,2004,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241116475421456313485114610117042',16341,'591',41.64,1,2,1),(25,6215998,'1993-05-06 00:00:00',4,4,12,2009,'F','N','LARANJEIRAS','MODELO','SC','124241241146171731333933195122610126147',16364,'562',37.07,1,2,1),(25,6216005,'1988-10-07 00:00:00',2,3,12,2005,'F','N','CENTRO','JANDAIA SUL','PR','116162161215572451459612572112142168192',1479,'9998',70.82,1,3,NULL),(25,6216013,'1993-05-14 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241115131321445313435114610133042',18650,'307',33.30,4,2,1),(25,6216021,'1991-10-20 01:00:00',2,1,12,2009,'F','N','JARDIM DAS FLORES','S JOSÉ CAMPOS','SP','125252251217471431438621572122610162187',12628,'9998',42.32,1,3,NULL),(25,6216048,'1992-03-09 00:00:00',2,1,12,2010,'M','N','MANEJO','RESENDE','RJ','121212217435371431454763575112610161072',12470,'9998',41.70,2,1,2),(25,6216056,'1990-09-06 00:00:00',2,1,6,2008,'M','N','DANIELA','FLORIANÓPOLIS','SC','124241241217151431534411316122610134053',NULL,'9999',31.46,1,3,NULL),(25,6216064,'1992-02-26 00:00:00',4,8,12,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','116242243217371411548811476121610164052',12471,'441',44.42,1,3,NULL),(25,6216072,'1983-01-19 00:00:00',4,1,8,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124122247242151711224444345124610118013',21362,'9997',29.06,1,3,NULL),(25,6216102,'1992-08-21 00:00:00',4,8,12,2010,'F','N','BUCAREIN','JOINVILLE','SC','124242241215112431448814575122610167057',7581,'457',52.13,1,3,NULL),(25,6216110,'1993-01-14 00:00:00',4,1,12,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124244243214121431228924575124610122182',NULL,'1119',20.72,1,3,NULL),(25,6216129,'1973-01-28 00:00:00',2,1,7,2007,'M','N','SERRARIA','S JOSÉ','SC','124161247112574221221541112123120722197',6776,'9999',57.16,1,2,1),(25,6216137,'1991-08-04 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211273731358833575112121916047',7871,'262',51.61,1,3,NULL),(25,6216145,'1984-08-02 00:00:00',2,1,12,2003,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124161167136571711133643435122141128117',8802,'9998',53.40,1,2,1),(25,6216161,'1993-02-27 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115171431326631115124610136012',18353,'267',32.63,1,2,1),(25,6216170,'1990-05-31 00:00:00',2,4,12,2007,'F','N','CENTRO','CPO ERÊ','SC','124241241116574431463916575122610134182',11809,'137',43.61,1,2,1),(25,6216188,'1993-05-27 00:00:00',4,8,12,2010,'M','N','ULISSES GUIMARÃES','JOINVILLE','SC','124241241136131411324723343214610124057',19613,'467',29.77,1,3,NULL),(25,6216196,'1990-05-21 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124251251137131421115544345334130233147',21769,'9998',23.20,2,1,1),(25,6216200,'1989-01-17 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215372421489934415112120764015',1423,'270',71.67,1,3,NULL),(25,6216218,'1991-09-18 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215112431326612572124610164142',10570,'737',46.27,1,3,NULL),(25,6216226,'1993-01-27 00:00:00',4,2,12,2010,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215111431357823475124610161077',NULL,'855',0.00,4,3,NULL),(25,6216234,'1991-04-25 00:00:00',2,1,6,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241137132231648613585121610164017',12786,'307',43.22,1,2,1),(25,6216250,'1990-06-04 00:00:00',2,1,12,2009,'F','N','MADRI','PALHOÇA','SC','124241241115372411436664472314610131147',20130,'257',28.87,1,2,1),(25,6216269,'1992-05-24 00:00:00',2,3,11,2009,'F','N','BUENO','GOIÂNIA','GO','109071071216471411526612575125610124092',12799,'9998',46.91,1,3,NULL),(25,6216277,'1993-11-14 00:00:00',2,1,12,2010,'M','N','JARDIM AMÉRICA','RIO SUL','SC','124242241217151431359914575122610147062',6333,'959',55.25,1,3,NULL),(25,6216293,'1993-03-03 00:00:00',2,3,12,2010,'M','N','CENTRO','URUBICI','SC','124241241136161731456312574122610166187',NULL,'818',10.30,1,2,1),(25,6216307,'1986-10-10 00:00:00',2,1,12,2004,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241126131731323344282344610126147',NULL,'291',0.00,1,2,1),(25,6216315,'1993-06-23 00:00:00',4,6,12,2010,'M','N','CENTRO','S BENTO SUL','SC','124242241217111231468911375112610127042',12759,'1073',43.02,1,3,NULL),(25,6216323,'1989-05-15 00:00:00',4,8,12,2006,'M','N','NOVA BRASILIA','JARAGUÁ SUL','SC','124242246217142721569943435124240266017',6521,'1105',54.15,1,3,NULL),(25,6216331,'1993-08-24 00:00:00',2,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215272421458613571124610127147',12657,'1022',42.82,1,3,NULL),(25,6216340,'1987-11-04 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117142421469613315122333212187',NULL,'307',26.11,1,2,1),(25,6216358,'1993-08-03 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241216131331536614572122610134092',NULL,'738',19.64,1,3,NULL),(25,6216366,'1993-11-15 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241215111431526624475124610162147',6001,'1022',55.86,1,3,NULL),(25,6216374,'1993-10-01 00:00:00',2,3,11,2010,'F','N','VILA PORTUARIA','PARANAGUÁ','PR','116162161216111731437632275122610127017',NULL,'9998',20.49,1,3,NULL),(25,6216382,'1993-09-22 00:00:00',4,6,12,2010,'F','N','GUARANI','BRUSQUE','SC','124242241215151432526619275122610164047',NULL,'109',32.61,1,3,NULL),(25,6216404,'1991-04-12 00:00:00',2,8,12,2009,'M','N','CENTRO','CIDADE GAÚCHA','PR','116164161337151431456626595112141412187',NULL,'9998',0.00,1,3,NULL),(25,6216412,'1992-07-12 00:00:00',4,1,12,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241417472411536612275114610164052',13045,'267',46.54,1,3,NULL),(25,6216420,'1993-04-14 00:00:00',4,1,11,2010,'F','N','URIAS MAGALHÃES','GOIÂNIA','GO','109091091216111711558911572122610166187',1841,'9998',68.29,4,3,NULL),(25,6216439,'1993-04-29 00:00:00',4,8,10,2010,'M','N','RIO DAREIA','INÁCIO MARTINS','PR','116164161215471411476612575122610137092',NULL,'9998',0.00,1,3,NULL),(25,6216447,'1991-05-10 00:00:00',4,1,12,2008,'M','N','BIGORRILHO','CURITIBA','PR','116162161215571431369923591124610134092',813,'9998',73.70,1,3,NULL),(25,6216463,'1993-11-21 00:00:00',4,1,12,2010,'M','N','VISTA ALEGRE','CURITIBA','PR','116162161216271331389931572124610167092',5544,'9998',56.68,1,3,NULL),(25,6216471,'1993-09-19 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241125111431436624282124610117045',19518,'283',29.71,1,2,1),(25,6216480,'1993-04-05 00:00:00',2,2,12,2010,'F','N','VILA NOVA','BLUMENAU','SC','124244241215131431226724445114610162057',16937,'855',40.72,1,3,NULL),(25,6216498,'1994-03-23 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111431369923475122610111092',9101,'1077',52.88,1,3,NULL),(25,6216501,'1993-03-13 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241248115151731537614595112610112092',NULL,'276',0.00,1,2,1),(25,6216510,'1990-06-03 00:00:00',2,1,11,2007,'F','N','CENTRO','BIGUAÇU','SC','124242241215574421459811572114132662182',4441,'270',59.59,1,3,NULL),(25,6216536,'1990-09-12 00:00:00',4,1,12,2007,'F','N','CENTRO','CASCAVEL','PR','116113111215512411446933575125610165072',354,'9998',78.69,1,3,NULL),(25,6216544,'1992-12-29 00:00:00',2,8,12,2009,'F','N','CENTRO CIVICO','CURITIBA','PR','116162161215471431256716165114610157017',7851,'9998',51.96,1,3,NULL),(25,6216552,'1993-09-22 00:00:00',4,6,12,2010,'F','N','GUARANI','BRUSQUE','SC','124242241215111331526619575122610122077',17482,'109',39.78,1,3,NULL),(25,6216560,'1992-02-17 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161216472451458613575124610135047',1819,'9998',69.59,1,3,NULL),(25,6216579,'1985-08-11 00:00:00',2,1,12,2010,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241145131731113344243224610164172',NULL,'296',26.01,1,2,1),(25,6216587,'1984-01-06 00:00:00',2,1,12,2001,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','224241241126233711326444441123133217062',14606,'281',44.29,1,2,1),(25,6216595,'1994-10-25 00:00:00',4,10,11,2011,'F','S','TERMAS DO GRAVATAL','GRAVATAL','SC','624242241217171431449914575122610122142',NULL,'806',41.69,1,3,NULL),(25,6216609,'1990-09-26 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124203201117472731538619375124610113097',7234,'9998',54.47,1,3,NULL),(25,6216625,'1993-12-13 00:00:00',2,10,11,2010,'F','N','CENTRO','BRAÇO NORTE','SC','124242241212112431576924575124610137052',13244,'806',41.87,1,3,NULL),(25,6216633,'1993-04-06 00:00:00',2,3,11,2010,'F','N','SETOR OESTE','GOIÂNIA','GO','109092091211112751246612574122610164042',7856,'9998',50.00,1,3,NULL),(25,6216650,'1991-08-14 00:00:00',4,15,12,2008,'F','N','CENTRO','ARARANGUÁ','SC','124241241116231412323319345122131063147',NULL,'29',35.86,1,3,NULL),(25,6216668,'1993-03-19 00:00:00',4,8,12,2010,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251216111431358631475122610144192',17057,'9998',40.54,1,3,NULL),(25,6216676,'1991-10-13 00:00:00',2,1,6,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124161247216372731336377495124610134145',NULL,'9999',0.00,1,3,NULL),(25,6216684,'1975-09-18 00:00:00',2,1,8,2008,'M','N','SERRARIA','S JOSÉ','SC','224243247426131731433344142232610137057',18413,'487',34.43,1,3,NULL),(25,6216692,'1993-01-08 00:00:00',4,1,12,2010,'M','N','JARDIM CANADÁ','RIBEIRÃO PRETO','SP','125252251211571431568832575122610144142',2452,'9998',66.14,1,3,NULL),(25,6216706,'1990-02-20 00:00:00',4,1,11,2008,'M','N','SANTA PAULA','S CAETANO SUL','SP','125252251217412731489931415124610142074',NULL,'9998',31.22,1,3,NULL),(25,6216714,'1994-07-26 00:00:00',4,9,12,2010,'M','N','CENTRO','ANITA GARIBALDI','SC','124241241114271431238912575112610114177',NULL,'18',19.49,1,3,NULL),(25,6216722,'1992-06-13 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202241215273431449912575124222964191',4600,'1022',59.13,1,3,NULL),(25,6216730,'1993-09-05 00:00:00',4,17,12,2010,'F','N','CENTRO','ITAIÓPOLIS','SC','124244161216111431468933575124610138192',11478,'9998',44.38,1,3,NULL),(25,6216757,'1991-12-04 00:00:00',2,4,12,2008,'F','N','OURO VERDE','CEL FREITAS','SC','124241241115472431444412575124610136175',4062,'199',61.39,1,2,1),(25,6216765,'1991-09-27 00:00:00',4,8,12,2008,'M','N','BIGORRILHO','CURITIBA','PR','116162161216272431338811585124610167082',3870,'9998',61.43,1,3,NULL),(25,6216790,'1993-08-30 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111431436823275124610127047',NULL,'724',16.14,1,3,NULL),(25,6216811,'1988-03-29 00:00:00',2,1,12,2005,'M','N','EXPOSIÇÃO','CAXIAS SUL','RS','120201201116441411134644345125610162094',16802,'9998',36.17,1,2,1),(25,6216820,'1993-08-09 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241115141431526623575121610138167',9962,'732',51.41,4,2,1),(25,6216838,'1991-10-10 00:00:00',4,1,12,2009,'M','N','UNIVERSITARIO','CAXIAS SUL','RS','120204201216471431457833475112610166192',4228,'9998',59.54,1,3,NULL),(25,6216870,'1990-05-24 00:00:00',2,17,12,2007,'M','N','CENTRO','CASCAVEL','PR','116162161215573741346612571112610166037',NULL,'9998',0.00,1,3,NULL),(25,6216889,'1994-02-14 00:00:00',2,9,12,2010,'F','N','SANTA RITA','LAGES','SC','124241241117151331324419585122610127142',NULL,'513',0.00,1,2,1),(25,6216897,'1992-09-21 00:00:00',4,1,11,2010,'F','N','OESTE','GOIÂNIA','GO','109092091217111211348812471111610112112',2261,'9998',65.95,1,3,NULL),(25,6216900,'1993-05-09 00:00:00',2,1,10,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431526614372112610131142',14718,'272',43.99,1,3,NULL),(25,6216919,'1993-02-20 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241241135131431327471572324610167147',NULL,'289',15.52,1,2,1),(25,6216927,'1992-08-06 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117371732623339346114610114142',20667,'281',32.53,1,2,1),(25,6216935,'1991-01-08 00:00:00',4,8,12,2008,'M','N','VILA SANTOS','CAÇAPAVA','SP','125252256236572431348613595122610147052',1004,'9998',73.94,3,3,NULL),(25,6216943,'1991-07-02 00:00:00',2,10,11,2008,'F','N','POUSO ALTO','GRAVATAL','SC','124241241216213411424432221114610137141',18663,'807',37.62,1,3,NULL),(25,6216951,'1990-02-28 00:00:00',2,1,12,2009,'M','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124241241112161541622314241124610167111',NULL,'595',15.59,1,2,1),(25,6216960,'1991-10-20 01:00:00',4,10,10,2010,'M','N','DEHON','TUBARÃO','SC','124242248215411411326812575122610112012',NULL,'807',18.27,1,3,NULL),(25,6216978,'1991-09-12 00:00:00',4,1,12,2008,'F','N','CENTRO','NÃO-ME-TOQUE','RS','120202201216571731478932571112610134142',NULL,'9998',0.00,1,3,NULL),(25,6216994,'1993-07-02 00:00:00',4,3,11,2010,'F','N','CANTO GRANDE','BOMBINHAS','SC','124241241215111431438932145122610167147',18276,'1038',38.32,1,3,NULL),(25,6217001,'1992-10-21 00:00:00',4,3,12,2010,'F','N','CENTRO','CASCAVEL','PR','116162161216272731558632575122610122072',15402,'9998',43.05,1,3,NULL),(25,6217010,'1993-08-26 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431468912474122610117092',10487,'270',50.49,1,3,NULL),(25,6217028,'1992-11-18 00:00:00',4,4,12,2009,'F','N','CENTRO','CASCAVEL','PR','116162161216471411448822575122610167047',5586,'9998',55.89,1,3,NULL),(25,6217036,'1990-09-05 00:00:00',2,4,12,2007,'M','N','ANDREATTA','S MIGUEL OESTE','SC','124241241116574711323535595124241546097',2965,'755',64.30,4,2,1),(25,6217052,'1993-04-29 00:00:00',4,1,11,2010,'F','N','VILA MEDEIROS','S PAULO','SP','125252251216471431338823471124610165047',5776,'9998',58.06,1,3,NULL),(25,6217079,'1992-01-17 00:00:00',4,1,12,2009,'F','N','SÃO PEDRO','PARAÍSO NORTE','PR','116162161236471431446834575122610134072',NULL,'9998',38.15,1,3,NULL),(25,6217087,'1993-01-03 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216152411359833572124221464117',2631,'270',63.84,4,3,NULL),(25,6217095,'1993-06-25 00:00:00',2,5,11,2010,'F','N','CENTRO','IÇARA','SC','124242241215371431276821574122610167142',8791,'213',50.47,1,3,NULL),(25,6217117,'1981-12-20 00:00:00',2,1,12,2001,'M','N','N SENHORA DE LOURDES','STA MARIA','RS','120202201212313231228829171111141714122',14220,'9998',44.84,1,3,NULL),(25,6217133,'1993-12-16 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111411478871572124610166042',8319,'1169',51.67,1,3,NULL),(25,6217150,'1993-05-14 00:00:00',2,1,12,2010,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215311431458811285122610128057',13236,'109',46.29,1,3,NULL),(25,6217176,'1993-07-31 00:00:00',2,15,12,2010,'F','N','RIO VERDE','TORRES','RS','112241201116151431433415572124610125057',NULL,'9998',0.00,1,2,1),(25,6217206,'1991-02-18 00:00:00',4,15,12,2008,'M','N','ESPÍRITO SANTO','PTO ALEGRE','RS','120201201117372431688513575124610164182',NULL,'9998',24.95,1,2,1),(25,6217222,'1992-12-06 00:00:00',2,1,12,2009,'M','N','ARIRIU','PALHOÇA','SC','124243241115371431546613375124610164147',17054,'739',40.55,1,3,NULL),(25,6217230,'1983-04-05 00:00:00',4,8,12,2000,'F','N','RIO MOLHA','JARAGUÁ SUL','SC','124162161215473431248752475122342837182',14201,'9998',44.86,1,3,NULL),(25,6217249,'1992-02-04 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241117161431233622575124610111142',21077,'1116',30.78,1,2,1),(25,6217257,'1991-11-04 00:00:00',2,1,12,2009,'M','N','NOVO PLANALTO','GOIÂNIA','GO','109092091215371411445514571123610132182',372,'9998',77.77,1,3,NULL),(25,6217273,'1990-03-11 00:00:00',2,1,12,2007,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124203211116151431437613595125610144182',21208,'9998',30.00,1,3,NULL),(25,6217281,'1993-07-15 00:00:00',4,1,11,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215112431455631575124610131187',10828,'270',45.65,1,3,NULL),(25,6217290,'1992-02-04 00:00:00',4,17,12,2009,'F','N','VILA NOVA','TRÊS BARRAS','SC','124241241116372431446914442122610127052',NULL,'146',18.77,1,2,1),(25,6217303,'1993-09-19 00:00:00',4,8,11,2011,'M','S','FLORESTA','JOINVILLE','SC','124242241215111732468833475112610112177',NULL,'461',49.20,1,3,NULL),(25,6217311,'1992-03-25 00:00:00',2,8,12,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124244241216472421449824385124610144126',16481,'1105',35.76,1,3,NULL),(25,6217320,'1993-09-24 00:00:00',2,10,12,2010,'M','N','PROGRESSO','LAGUNA','SC','124242241215111311437933435121610127122',19904,'525',30.09,1,3,NULL),(25,6217338,'1993-06-23 00:00:00',4,9,11,2010,'M','N','POÇO RICO','OTACÍLIO COSTA','SC','124241241116161731369912325122610137052',NULL,'583',11.83,1,2,1),(25,6217354,'1992-12-13 00:00:00',2,1,12,2009,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241136151731426729272114610124142',NULL,'9997',15.41,1,2,1),(25,6217362,'1993-06-24 00:00:00',4,4,12,2010,'M','N','CENTRO','RONDA ALTA','RS','120201201114131431433615152122610127042',NULL,'9998',11.80,1,2,1),(25,6217370,'1991-01-16 00:00:00',2,8,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241337372531563344445334230837057',NULL,'467',37.52,1,3,NULL),(25,6217389,'1993-01-18 00:00:00',4,1,12,2010,'M','N','IPIRANGA','S JOSÉ','SC','124163241217121431533511595124610132095',6221,'1022',58.28,1,3,NULL),(25,6217397,'1992-06-10 00:00:00',4,6,11,2009,'M','N','SANTA TEREZINHA','BRUSQUE','SC','124242241217471431433624375122610134177',2605,'106',65.76,1,3,NULL),(25,6217400,'1993-02-10 00:00:00',4,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431357622475112610138142',NULL,'266',32.86,1,3,NULL),(25,6217419,'1993-09-28 00:00:00',4,1,12,2010,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124242241215371431458732575124610164115',7297,'270',53.88,1,3,NULL),(25,6217427,'1993-02-28 00:00:00',4,1,12,2010,'F','N','ROÇADO','S JOSÉ','SC','124241241115111431323337575124610138145',21693,'729',25.34,1,2,1),(25,6217435,'1989-06-08 00:00:00',4,1,11,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241111111711624411445134310164081',20427,'278',33.37,1,2,1),(25,6217451,'1993-05-07 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411476812575122610147122',9395,'262',49.18,4,3,NULL),(25,6217460,'1994-09-09 00:00:00',4,1,12,2011,'M','S','CENTRO','PALHOÇA','SC','124242241215111431478831572122610148145',NULL,'1011',44.89,1,3,NULL),(25,6217478,'1993-10-08 00:00:00',4,8,12,2011,'M','S','CENTRO','JOINVILLE','SC','124242241217111712468833572112610164052',NULL,'9997',40.50,1,3,NULL),(25,6217486,'1992-07-23 00:00:00',4,8,12,2009,'F','N','ALTO DA XV','CURITIBA','PR','116162161215471751248933574124610162147',6792,'9998',52.84,4,3,NULL),(25,6217508,'1992-10-20 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217111431268921595124610127063',7498,'262',52.39,1,3,NULL),(25,6217524,'1992-10-26 00:00:00',2,1,12,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124244241215211432579913572114610125092',17967,'1022',38.91,1,3,NULL),(25,6217540,'1993-12-16 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212111411478871595124610166112',9040,'1169',51.01,1,3,NULL),(25,6217559,'1991-02-24 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241115375431449933575114123264112',4103,'271',60.17,1,3,NULL),(25,6217567,'1994-01-28 00:00:00',4,8,11,2011,'F','S','AMÉRICA','JOINVILLE','SC','124242241216111731569813574112610144187',NULL,'461',55.59,1,3,NULL),(25,6217583,'1993-03-15 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411659813575122610114143',12715,'270',43.35,1,3,NULL),(25,6217591,'1994-03-11 00:00:00',4,9,10,2010,'M','N','UNIVERSITÁRIO','LAGES','SC','124232241217112431478911575122610144042',3754,'497',61.58,1,3,NULL),(25,6217605,'1993-10-04 00:00:00',4,1,12,2010,'M','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241215121211344429575114610127041',17744,'1022',35.45,1,3,NULL),(25,6217613,'1993-03-10 00:00:00',2,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241125131731426531572124610117047',NULL,'274',15.13,1,3,NULL),(25,6217621,'1985-04-29 00:00:00',2,8,12,2002,'F','N','CENTRO','PATROCÍNIO','MG','113134131216271431459839575122141237097',NULL,'9998',0.00,1,3,NULL),(25,6217648,'1994-10-07 00:00:00',4,10,11,2010,'F','N','CENTRO','TUBARÃO','SC','124242241215121411387814575122610144142',14375,'807',44.61,1,3,NULL),(25,6217656,'1994-08-01 00:00:00',2,1,12,2011,'M','S','FUNDO CANOAS','RIO SUL','SC','124242241215571531469933332122610127012',NULL,'653',39.80,1,3,NULL),(25,6217664,'1992-03-12 00:00:00',2,5,12,2009,'F','N','DE VILLA','URUSSANGA','SC','124244248211473431476919571122610132172',14327,'820',44.67,1,3,NULL),(25,6217672,'1992-03-13 00:00:00',2,1,12,2009,'F','N','JD FLAMBOIANT','CAMPINAS','SP','125251251117131431528719295124243234094',NULL,'9998',0.00,1,2,1),(25,6217680,'1994-05-22 00:00:00',4,4,12,2011,'F','S','CENTRO','XANXERÊ','SC','124242241217111431436812572122610144197',NULL,'836',50.55,1,3,NULL),(25,6217699,'1992-07-09 00:00:00',2,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241115132431336823431124610137092',NULL,'257',20.89,1,3,NULL),(25,6217729,'1986-11-20 00:00:00',2,1,12,2004,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241317372431238721312212610137097',15781,'1003',42.47,4,1,2),(25,6217737,'1992-07-14 00:00:00',4,1,12,2009,'F','N','VILA SÃO PEDRO','S PAULO','SP','125252251216471531668834575125610136187',6384,'9998',54.14,1,3,NULL),(25,6217753,'1988-04-05 00:00:00',2,3,12,2005,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241117273411345823495112610124117',NULL,'405',18.32,1,2,1),(25,6217770,'1993-05-27 00:00:00',4,1,12,2010,'F','N','NEVA','CASCAVEL','PR','116162161216111531458933595122610117077',19872,'9998',28.96,1,3,NULL),(25,6217788,'1991-07-06 00:00:00',4,1,12,2008,'F','N','LAGO NORTE','LG NORTE','DF','107072071217572731488833574112610142094',NULL,'9998',0.00,1,3,NULL),(25,6217796,'1990-06-08 00:00:00',2,7,12,2008,'F','N','PARQUE JARDIM OURO','OURO','SC','124241241137141751523619275125231318147',21793,'585',19.96,1,2,1),(25,6217826,'1993-07-27 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241248116111431413335575125610127043',NULL,'287',33.09,1,2,1),(25,6217842,'1994-04-12 00:00:00',4,1,12,2011,'M','S','CENTRO','GRAVATAL','SC','124243241217111712438933571122610114192',NULL,'950',14.20,1,3,NULL),(25,6217850,'1991-10-09 00:00:00',4,1,12,2010,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241243117131711523531245124610123182',NULL,'306',35.03,2,1,1),(25,6217877,'1993-08-27 00:00:00',4,1,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241214161432369921475112610131182',4807,'442',57.81,1,3,NULL),(25,6217885,'1993-01-23 00:00:00',2,1,11,2010,'F','N','JARDIM ZANELLATO','S JOSÉ','SC','124242241335131731326624472122610125077',16525,'1116',41.36,1,3,NULL),(25,6217907,'1993-03-15 00:00:00',2,5,12,2010,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124243243215141431434612275124610125052',15400,'995',43.05,1,3,NULL),(25,6217915,'1992-09-23 00:00:00',2,1,12,2010,'M','N','FORQUILHAS','S JOSÉ','SC','124244241217111431424332575124610124152',NULL,'944',26.57,1,3,NULL),(25,6217923,'1993-03-15 00:00:00',2,6,12,2009,'F','N','VILA STAIGER','CORNÉLIO PROCÓPIO','PR','116162161214471431458836572122610168187',NULL,'9998',0.00,1,3,NULL),(25,6217931,'1992-08-07 00:00:00',2,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124241241137131421326624245124610136142',NULL,'257',32.36,1,2,1),(25,6217940,'1992-09-06 00:00:00',4,6,12,2010,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215121431465811572112610131142',3212,'109',63.45,1,3,NULL),(25,6217958,'1981-05-03 00:00:00',4,1,12,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124121121116151711153541415122341462066',NULL,'9998',0.00,2,3,NULL),(25,6217966,'1993-03-29 00:00:00',4,2,11,2010,'F','N','ITOUPAVAZINHA','BLUMENAU','SC','124162241215472451467834574125612414011',12464,'855',47.41,1,3,NULL),(25,6217974,'1988-09-25 00:00:00',2,1,12,2007,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241127242731523314442124610122142',NULL,'9999',16.70,1,2,1),(25,6217982,'1991-11-30 00:00:00',4,1,11,2008,'F','N','VILA SÁ','OURINHOS','SP','125252251216572431468613575112610164047',1073,'9998',71.73,1,3,NULL),(25,6217990,'1994-06-13 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241217111231469913574122610134072',12633,'457',47.16,1,3,NULL),(25,6218008,'1989-05-05 00:00:00',2,1,12,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241111132431436623395124610147047',NULL,'298',31.18,1,2,1),(25,6218024,'1967-10-03 00:00:00',2,1,12,1994,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','324241247117142711344473235132610111147',NULL,'307',33.20,1,3,NULL),(25,6218032,'1993-04-20 00:00:00',4,8,10,2010,'M','N','SAO BRAZ','CURITIBA','PR','116162161211121431359934575124610136042',NULL,'9998',0.00,1,3,NULL),(25,6218040,'1993-09-23 00:00:00',4,10,12,2010,'M','N','CENTRO','JAGUARUNA','SC','124241241117151531436614385122610168041',18092,'421',35.02,1,3,NULL),(25,6218059,'1993-05-05 00:00:00',4,7,11,2010,'M','N','SANTO ANTONIO','FRAIBURGO','SC','124244241215161431343614572124610142077',12594,'885',42.51,1,3,NULL),(25,6218067,'1993-09-08 00:00:00',2,4,12,2010,'F','N','SÃO JORGE','S MIGUEL OESTE','SC','124242241215371431326914572122610137147',16435,'1079',36.62,1,3,NULL),(25,6218075,'1990-11-03 00:00:00',4,1,6,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431569933574122610122147',6007,'270',56.51,1,3,NULL),(25,6218091,'1992-01-17 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216373431468832575124230227012',7039,'403',53.31,1,3,NULL),(25,6218113,'1993-05-27 00:00:00',4,5,12,2010,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241215121431359933575122610134072',7319,'226',52.38,1,3,NULL),(25,6218121,'1993-03-08 00:00:00',2,10,12,2010,'F','N','HUMAITÁ','TUBARÃO','SC','124241241115131441336519282124610125077',NULL,'798',32.51,1,2,1),(25,6218148,'1967-04-17 00:00:00',2,1,12,2003,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','324241247246131431223343232124610141187',NULL,'9999',23.46,1,3,NULL),(25,6218156,'1981-10-24 00:00:00',2,3,12,1998,'F','N','CENTRO','CURITIBA','PR','116162161416471431234823382122343226147',2973,'9998',66.00,1,3,NULL),(25,6218164,'1992-10-18 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215374731379912575122121466192',78,'1038',84.30,1,3,NULL),(25,6218180,'1993-02-25 00:00:00',2,1,12,2010,'F','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','124242241215131431456614475124610138077',15485,'1048',38.05,1,3,NULL),(25,6218199,'1993-11-24 00:00:00',2,10,12,2010,'M','N','RECIFE','TUBARÃO','SC','124241241115131431468614575124610147047',18196,'1034',32.56,1,2,1),(25,6218202,'1993-12-29 00:00:00',4,1,11,2010,'M','N','CRISTO REI','CURITIBA','PR','116162161217111431268812375112610137112',9928,'9998',46.37,1,3,NULL),(25,6218210,'1989-08-29 00:00:00',2,1,8,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124284288237371431537614245122610126172',NULL,'9998',19.89,4,3,NULL),(25,6218229,'1991-01-16 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','S JOSÉ','SC','124241241112271431443314142124610121142',20084,'733',34.35,1,2,1),(25,6218237,'1993-08-02 00:00:00',4,2,12,2010,'M','N','VELHA','BLUMENAU','SC','124241241115111431334819292122610167047',14469,'88',40.04,1,2,1),(25,6218245,'1991-01-11 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117143751527539495224230824092',NULL,'271',33.83,1,2,1),(25,6218253,'1993-11-19 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112411469614575122610165192',3853,'1022',61.99,1,3,NULL),(25,6218261,'1988-01-07 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241216275431468813475124330232192',188,'1011',81.30,1,3,NULL),(25,6218270,'1993-09-07 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215112431368813575114610162195',4739,'737',59.83,1,3,NULL),(25,6218288,'1991-12-14 00:00:00',2,8,12,2008,'F','N','CRUZEIRO','S BENTO SUL','SC','124241244116141431324314435134610137057',NULL,'693',0.00,1,2,1),(25,6218296,'1993-05-19 00:00:00',4,5,12,2010,'M','N','RAICHASKI','IÇARA','SC','124241241415131431328613572122610167067',16830,'349',36.77,1,3,NULL),(25,6218300,'1993-06-07 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241415131431338833475122610132052',19618,'1076',35.53,1,3,NULL),(25,6218318,'1992-02-06 00:00:00',2,1,11,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','624241241135271431656413592124610128097',NULL,'295',26.22,1,2,1),(25,6218326,'1991-03-14 00:00:00',2,15,12,2008,'F','N','HARMONIA','CANOAS','RS','120201201117572431646633571124610125077',7362,'9998',53.74,2,2,1),(25,6218334,'1992-12-03 00:00:00',2,8,12,2009,'F','N','COLONIA MARIA JOSÉ','QUATRO BARRAS','PR','116163161115371441224329375124610166197',NULL,'9998',0.00,1,3,NULL),(25,6218342,'1993-05-08 00:00:00',4,4,12,2010,'F','N','CENTRO','STA MARIA','RS','120241201116131411333635575125610166177',14224,'9998',40.63,1,2,1),(25,6218350,'1988-04-22 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124101101115131731233349392224142821197',NULL,'9998',31.39,1,2,1),(25,6218377,'1991-07-10 00:00:00',2,4,12,2009,'F','N','SÃO CRISTOVÃO','FAXINAL GUEDES','SC','124241241411271411569813575112610147142',NULL,'1081',0.00,1,3,NULL),(25,6218385,'1991-09-17 00:00:00',4,1,11,2009,'M','N','SERRARIA','S JOSÉ','SC','124243241111371431425314445114610134051',19302,'734',36.27,1,3,NULL),(25,6218393,'1993-01-27 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431259923435112610122147',3258,'1169',64.32,1,3,NULL),(25,6218407,'1991-02-10 00:00:00',4,15,12,2008,'M','N','NITERÓI','CANOAS','RS','120201201117571731466629585125610164147',3626,'9998',62.09,1,2,1),(25,6218415,'1993-05-15 00:00:00',4,4,12,2010,'F','N','INTERIOR','XAVANTINA','SC','124241241126161431423335575122610127052',21547,'844',27.49,1,3,NULL),(25,6218423,'1988-12-16 00:00:00',2,3,10,2005,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161216573431248814375112610162112',NULL,'9998',0.00,1,3,NULL),(25,6218431,'1991-08-21 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124092091236373431459616271124223234092',1431,'9998',69.65,1,3,NULL),(25,6218440,'1990-05-10 00:00:00',2,3,12,2007,'M','N','BOMBAS','BOMBINHAS','SC','124241241211373431334632295124221447052',10863,'403',49.89,1,3,NULL),(25,6218458,'1993-07-16 00:00:00',4,1,12,2010,'M','N','CENTRO','DOURADOS','MS','112122121215111731438613475122610164082',5649,'9998',57.22,1,3,NULL),(25,6218466,'1993-09-16 00:00:00',4,8,12,2010,'M','N','GUABIROTUBA','CURITIBA','PR','116162161215121431437832372114610117042',15273,'9998',37.82,1,3,NULL),(25,6218474,'1991-09-18 00:00:00',4,1,12,2009,'M','N','JARDIM ARUÃ','CAMPINAS','SP','125252251215471411369833434112610111012',17534,'9998',39.69,1,3,NULL),(25,6218482,'1992-08-02 00:00:00',2,15,12,2009,'F','N','TRES COQUEIROS','S JOÃO SUL','SC','124241248127372731458912442122610123187',NULL,'717',0.00,1,2,1),(25,6218490,'1991-03-22 00:00:00',2,1,12,2008,'M','N','PASSO DA AREIA','PTO ALEGRE','RS','120202201217573431336729575114610127047',3429,'9998',62.79,1,3,NULL),(25,6218504,'1993-09-05 00:00:00',2,10,11,2010,'F','N','SÃO CRISTÓVÃO','TUBARÃO','SC','124241241215111741428931472124610125091',12952,'807',46.66,1,3,NULL),(25,6218512,'1993-05-16 00:00:00',4,1,11,2010,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215111431479913574124610114112',3167,'270',64.74,1,3,NULL),(25,6218539,'1992-11-25 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242248215472721438812392114610167112',20382,'1022',33.47,1,3,NULL),(25,6218547,'1992-06-23 00:00:00',2,1,12,2009,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116243161417142531458614441124240864097',NULL,'9998',16.66,1,3,NULL),(25,6218555,'1994-07-18 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116151431446833395124610142145',9814,'267',51.67,1,2,1),(25,6218563,'1993-06-02 00:00:00',4,8,11,2010,'M','N','ADEMAR GARCIA','JOINVILLE','SC','124241241235111431326613575124610132192',18962,'489',36.99,1,3,NULL),(25,6218580,'1994-10-16 01:00:00',2,1,12,2010,'F','N','INTERIOR','XAVANTINA','SC','124241241122161431433335582222610125177',NULL,'844',28.32,1,3,NULL),(25,6218598,'1993-09-09 00:00:00',4,5,11,2010,'F','N','BOA VISTA','CRICIÚMA','SC','124244241215141331439914572122610123053',18166,'995',38.53,1,3,NULL),(25,6218601,'1993-01-28 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241237111431545533592112610124057',12145,'272',43.56,1,3,NULL),(25,6218610,'1993-12-01 00:00:00',4,8,12,2010,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241235371441259831575122610144176',1640,'457',69.13,4,3,NULL),(25,6218628,'1991-12-22 00:00:00',4,6,12,2008,'F','N','VILA MASCOTE','S PAULO','SP','125252251217571431378811471112610132184',NULL,'9998',0.00,1,3,NULL),(25,6218636,'1995-01-06 00:00:00',4,4,12,2010,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241217131411459933574122610123057',13816,'185',45.44,1,3,NULL),(25,6218644,'1991-09-28 00:00:00',4,8,11,2008,'M','N','GLÓRIA','JOINVILLE','SC','124242241215472432369933437112221424172',3969,'486',62.24,1,3,NULL),(25,6218652,'1990-09-06 00:00:00',2,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224161241116133431226549195125610131172',NULL,'281',30.28,1,2,1),(25,6218660,'1991-11-06 00:00:00',4,1,11,2009,'F','N','PITUBA','SALVADOR','BA','105052051237471431458823572122610132057',1059,'9998',73.30,1,3,NULL),(25,6218679,'1990-10-06 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241217373431349513345124610127057',16212,'951',41.83,1,3,NULL),(25,6218709,'1993-11-01 00:00:00',4,8,10,2010,'M','N','REBOUÇAS','CURITIBA','PR','116162161215471431358811312122610137072',NULL,'9998',0.00,3,3,NULL),(25,6218725,'1992-11-11 00:00:00',4,1,11,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215122431466713595122610163196',NULL,'1050',0.00,1,3,NULL),(25,6218733,'1992-12-18 00:00:00',4,8,12,2009,'M','N','CAIÇARAS','LONDRINA','PR','116114111215471731563511575124610124092',NULL,'9998',39.15,1,3,NULL),(25,6218741,'1993-07-14 00:00:00',4,1,12,2010,'F','N','VILA A','FOZ IGUAÇU','PR','116162161217111231359619575122610124142',NULL,'9998',27.26,1,3,NULL),(25,6218750,'1994-11-30 00:00:00',4,1,12,2011,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','624242241117151432439814575122610124147',NULL,'267',45.43,1,3,NULL),(25,6218768,'1992-08-15 00:00:00',4,1,11,2009,'F','N','SANTA PAULA','S CAETANO SUL','SP','125252251215471331348612575122610146137',NULL,'9998',0.00,1,3,NULL),(25,6218776,'1992-03-05 00:00:00',2,1,12,2010,'F','N','LARANJEIRAS','RIO SUL','SC','124223242135151411448923575122610126012',NULL,'1222',0.00,1,3,NULL),(25,6218784,'1990-07-27 00:00:00',4,1,12,2007,'F','N','JARDIM AMÉRICA','BAURU','SP','125252251217571431579811571112610164117',NULL,'9998',0.00,1,3,NULL),(25,6218792,'1993-03-26 00:00:00',4,1,12,2010,'F','N','INTERLAGOS','S PAULO','SP','125252251211111431468934574122610167077',10156,'9998',46.98,1,3,NULL),(25,6218806,'1991-10-16 00:00:00',4,8,12,2009,'M','N','JD LOS ANGELES','BARRA VELHA','SC','124131131116131431224428385124143227047',NULL,'9998',0.00,1,2,1),(25,6218814,'1984-04-19 00:00:00',2,1,12,2002,'M','N','SÃO MIGUEL','DOIS IRMÃOS','RS','120201201136131431223644245114610122047',13285,'9998',41.83,1,3,NULL),(25,6218822,'1994-01-21 00:00:00',4,1,12,2010,'M','N','VENEZA','XANXERÊ','SC','124241241215121431546824472122610134042',12381,'1081',47.55,1,3,NULL),(25,6218830,'1994-06-28 00:00:00',4,15,12,2010,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124242241217111211446914515111610114095',NULL,'970',20.32,1,3,NULL),(25,6218849,'1991-04-19 00:00:00',2,4,12,2008,'F','N','CENTRO','PASSOS MAIA','SC','124241241144132431323613283325231328197',16140,'606',36.21,1,2,1),(25,6218857,'1994-02-07 00:00:00',4,1,12,2011,'F','S','DANIELA','FLORIANÓPOLIS','SC','124242241217111411468833572124610122142',NULL,'270',39.24,1,3,NULL),(25,6218865,'1993-05-15 00:00:00',4,8,12,2010,'M','N','REBOUÇAS','CURITIBA','PR','116052161215111231489931575122610137081',NULL,'9998',0.00,1,3,NULL),(25,6218873,'1987-09-28 00:00:00',4,15,12,2005,'F','N','NOVA BRASILIA','SOMBRIO','SC','124201201116131431313344245121330626147',NULL,'9998',0.00,4,2,1),(25,6218911,'1993-08-25 00:00:00',2,3,12,2010,'F','N','CENTRO','CAMBORIÚ','SC','124242241115161431358414575112610116047',17846,'130',39.14,1,3,NULL),(25,6218938,'1994-08-22 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111712449913575122610128182',NULL,'270',33.12,1,3,NULL),(25,6218954,'1993-08-17 00:00:00',2,7,12,2010,'M','N','CENTRO','OURO','SC','124241241215371431444319395122610168172',13966,'1093',41.46,1,3,NULL),(25,6218962,'1993-07-23 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215151231567612425122610137142',3372,'738',64.13,1,3,NULL),(25,6218970,'1993-02-19 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','116162161215111231448714575122610137042',NULL,'9998',22.42,1,3,NULL),(25,6218989,'1992-11-08 00:00:00',2,10,12,2009,'F','N','RIBEIRÃO DE CANGUERI','IMARUÍ','SC','124241241147271431553959281122610118142',16088,'359',36.44,1,2,1),(25,6219004,'1994-10-30 00:00:00',4,9,12,2010,'M','N','COPACABANA','LAGES','SC','124241241215111231459611442122610117052',16417,'499',41.54,1,3,NULL),(25,6219055,'1991-08-04 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116372731323544242314610163095',NULL,'733',21.44,1,2,1),(25,6219063,'1991-07-14 00:00:00',2,5,11,2008,'F','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241215573431339633295115610167077',1991,'213',67.59,1,3,NULL),(25,6219080,'1990-07-04 00:00:00',2,4,10,2007,'F','N','INTERIOR','FAXINALZINHO','RS','120201201216571431435636375124610161052',3675,'9998',61.62,1,3,NULL),(25,6219098,'1991-09-27 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624242241215154431568711475122221467045',3758,'270',63.93,1,3,NULL),(25,6219101,'1994-05-29 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431348829595125610134142',3815,'1038',62.36,1,3,NULL),(25,6219110,'1987-08-03 00:00:00',2,1,12,2004,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241136132431333314245133610121057',NULL,'592',22.63,1,2,1),(25,6219128,'1993-04-29 00:00:00',4,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241215111731226723275124610117075',18383,'1022',34.70,1,3,NULL),(25,6219136,'1992-06-07 00:00:00',2,1,12,2009,'M','N','JARDIM GOIÁS','GOIÂNIA','GO','109091091145131431426933572124610167017',NULL,'9998',0.00,1,2,1),(25,6219144,'1991-01-30 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215143731237614445124233262047',20095,'1022',34.33,1,3,NULL),(25,6219152,'1990-10-19 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624242241216274421449633495111231417112',3834,'262',63.74,1,3,NULL),(25,6219160,'1988-10-07 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124253251417131411448814292111140668185',NULL,'9998',NULL,1,3,NULL),(25,6219187,'1993-05-15 00:00:00',2,4,12,2010,'F','N','CENTRO','BOM JESUS','SC','124244241237111431436632572124610164147',NULL,'836',0.00,1,3,NULL),(25,6219195,'1993-11-18 00:00:00',4,1,11,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215122431368611575122610127142',7753,'270',53.35,1,3,NULL),(25,6219209,'1993-06-10 00:00:00',4,7,12,2010,'F','N','NOVA PETRÓPOLIS','JOAÇABA','SC','124251241115131711624315582344610128057',NULL,'449',20.54,1,2,1),(25,6219217,'1993-02-09 00:00:00',4,5,12,2010,'F','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241215111431526614575112610134147',14161,'226',40.79,1,3,NULL),(25,6219233,'1993-10-05 00:00:00',4,1,12,2011,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241115111431479934472122610123092',NULL,'267',33.19,1,3,NULL),(25,6219241,'1993-09-10 00:00:00',2,16,12,2010,'F','N','SÃO SEBASTIÃO','CAMPOS NOVOS','SC','124241241216121731436519592122610117142',NULL,'138',5.88,1,3,NULL),(25,6219268,'1993-08-07 00:00:00',2,3,11,2010,'M','N','MENINO DEUS','LUCAS R VERDE','MT','111112111137311721563836172122610127047',NULL,'9998',17.33,1,3,NULL),(25,6219276,'1986-09-26 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241141233231223349211124610127147',NULL,'379',24.21,1,2,1),(25,6219284,'1992-02-12 00:00:00',2,1,11,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215474431326621574114610163077',NULL,'269',39.68,1,3,NULL),(25,6219292,'1992-06-13 00:00:00',2,8,12,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215472431536612572122610117141',528,'1063',77.40,1,3,NULL),(25,6219306,'1993-10-17 01:00:00',4,3,11,2010,'F','N','JARDIM ESPLANADA II','S JOSÉ CAMPOS','SP','125252251216371431476712575122610151082',NULL,'9998',0.00,1,3,NULL),(25,6219314,'1986-12-03 00:00:00',4,15,12,2004,'M','N','DIVINEIA','ARARANGUÁ','SC','224241241117131421226644445111610127017',16307,'29',41.69,1,2,1),(25,6219322,'1993-11-29 00:00:00',2,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241248415131431536413232124610117142',19601,'944',30.65,1,3,NULL),(25,6219330,'1993-05-25 00:00:00',2,8,12,2010,'M','N','CENTRO','GUARAPUAVA','PR','116163161217221731448924575122610122122',8983,'9998',48.65,1,3,NULL),(25,6219357,'1992-02-06 00:00:00',4,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241248144413231443313315114610137042',NULL,'285',23.99,1,3,NULL),(25,6219365,'1993-09-02 00:00:00',4,1,12,2010,'M','N','PONTE DO IMRAUIM','PALHOÇA','SC','124241241115141731536923295122610127182',NULL,'592',16.08,1,3,NULL),(25,6219373,'1987-01-06 00:00:00',4,1,12,2003,'F','N','COUNTRY','CASCAVEL','PR','116162161217153441248913372122241562112',8415,'9998',54.12,1,3,NULL),(25,6219381,'1993-12-17 00:00:00',4,1,12,2010,'F','N','CENTRO','LONDRINA','PR','116162161217111731258912575114610132192',4234,'9998',59.19,1,3,NULL),(25,6219390,'1992-02-12 00:00:00',2,1,11,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215474431326621575114610163077',15745,'269',42.53,1,3,NULL),(25,6219438,'1992-10-27 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241241416111431256814575124610138067',9624,'737',49.10,1,3,NULL),(25,6219446,'1991-09-06 00:00:00',2,1,12,2009,'F','N','JARDIM ELDORADO','STA CRUZ R PARDO','SP','125251251116131441324614595121241934097',16825,'9998',40.90,1,2,1),(25,6219454,'1993-10-24 00:00:00',4,1,12,2010,'F','N','BOM JESUS','PTO ALEGRE','RS','120202201217111431347734571124610124162',4996,'9998',57.73,1,3,NULL),(25,6219462,'1987-02-07 00:00:00',2,1,12,2004,'F','N','INGLÊSE','FLORIANÓPOLIS','SC','124131131126232431123341145124610126147',NULL,'9998',23.73,4,2,1),(25,6219489,'1992-01-10 00:00:00',4,5,12,2009,'M','N','CENTRO','COCAL SUL','SC','124242241217113431448822345121231414072',8130,'211',54.65,1,3,NULL),(25,6219497,'1992-11-15 00:00:00',2,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241316472431226723475112610138072',13723,'298',41.58,1,3,NULL),(25,6219500,'1991-12-07 00:00:00',2,1,12,2009,'F','N','ROSARIO','STA MARIA','RS','120201201111471331426631571112610164197',19564,'9998',30.73,1,2,1),(25,6219519,'1993-07-03 00:00:00',4,4,12,2010,'M','N','MARIA LUIZA','CASCAVEL','PR','116161161137471711436633575122610166097',11452,'9998',48.97,1,2,1),(25,6219527,'1991-02-18 00:00:00',4,3,7,2009,'M','N','MONTE ALEGRE','CAMBORIÚ','SC','124162281316131431216629575121610146012',13092,'9998',46.47,1,3,NULL),(25,6219535,'1993-09-24 00:00:00',2,1,11,2010,'F','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124241241215111432446924573124610123142',11645,'270',48.67,2,1,2),(25,6219543,'1993-02-11 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241415111431346623375124610164052',9930,'272',48.33,1,3,NULL),(25,6219551,'1986-03-26 00:00:00',2,9,12,2003,'M','N','CENTRO','LEOBERTO LEAL','SC','124241241124573431543933175124610127047',2913,'533',66.05,1,2,1),(25,6219560,'1993-05-22 00:00:00',4,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124241241117371531423634585124610116197',21454,'734',28.39,1,3,NULL),(25,6219586,'1990-09-09 00:00:00',2,4,11,2007,'F','N','CENTRO','PINHALZINHO','SC','124244241216572431357621575122613227182',5106,'185',57.45,1,3,NULL),(25,6219594,'1990-10-20 00:00:00',4,1,12,2007,'F','N','BOSQUE','PRES PRUDENTE','SP','125252251217471721338839575122141267012',699,'9998',74.83,1,3,NULL),(25,6219616,'1993-09-24 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111741436714376112610134195',6084,'1168',55.41,1,3,NULL),(25,6219624,'1991-01-12 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216513411469934575124230267182',879,'270',74.68,1,3,NULL),(25,6219632,'1993-11-26 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241115371531224321172124610132145',NULL,'307',32.70,1,3,NULL),(25,6219659,'1991-02-04 00:00:00',4,2,12,2008,'M','N','SANTA TEREZINHA','GASPAR','SC','124243246216371331468631575112610167042',21005,'1018',31.06,4,3,NULL),(25,6219667,'1993-05-20 00:00:00',2,6,12,2010,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124241241215111431326524474224610133047',NULL,'1086',0.00,1,3,NULL),(25,6219675,'1993-01-29 00:00:00',2,1,12,2010,'M','N','JARDIM COQUEIROS','PALHOÇA','SC','624244241217121431446613371124610127042',15361,'1022',43.12,1,3,NULL),(25,6219683,'1990-12-15 00:00:00',4,8,12,2008,'F','N','JARDIM DALILA','ARAÇOIABA SERRA','SP','125251251116151411336611575124610131172',NULL,'9998',0.00,1,2,1),(25,6219691,'1992-12-02 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217273531379833572122610167042',274,'262',80.05,1,3,NULL),(25,6219713,'1991-10-22 00:00:00',2,5,12,2009,'F','N','SANTISTA','ORLEANS','SC','124241241137471432433639575114610168147',NULL,'580',24.32,1,2,1),(25,6219721,'1993-06-02 00:00:00',5,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431468932572112610142147',4309,'262',60.92,1,3,NULL),(25,6219730,'1991-08-25 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241316372731227821575114610112141',NULL,'298',17.64,1,3,NULL),(25,6219748,'1993-10-02 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241115131731459933242124610168075',NULL,'298',24.42,1,3,NULL),(25,6219756,'1992-05-12 00:00:00',4,8,12,2009,'M','N','CENTRO','RIO NEGRINHO','SC','124242248216112231366432575122231467044',NULL,'666',24.19,1,3,NULL),(25,6219764,'1992-02-07 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124251251116271411327711575122610168192',11006,'9998',49.66,1,2,1),(25,6219772,'1993-05-09 00:00:00',2,1,11,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241116111431223321215124610137052',17372,'292',35.27,1,2,1),(25,6219780,'1993-03-27 00:00:00',4,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431386823475112610112182',13987,'270',45.19,1,3,NULL),(25,6219799,'1993-07-08 00:00:00',4,4,11,2010,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124243241215111431478712572122610128092',NULL,'185',17.76,1,3,NULL),(25,6219802,'1993-06-18 00:00:00',4,10,11,2010,'M','N','OFICINAS','TUBARÃO','SC','124244241215111331356813475122610162122',15894,'807',42.32,1,3,NULL),(25,6219810,'1993-09-14 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115371431324831572114610144077',12780,'271',42.50,1,2,1),(25,6219829,'1992-05-28 00:00:00',4,1,12,2009,'F','N','ARM PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124252241316471441224923375114610166072',6553,'267',54.73,1,3,NULL),(25,6219837,'1986-03-17 00:00:00',2,1,6,2008,'M','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124241247127271452226444445124613232172',NULL,'9999',24.73,1,2,1),(25,6219845,'1993-05-07 00:00:00',2,4,12,2010,'F','N','MORADA DO SOL','MARAVILHA','SC','124241241115131321329614575121610122057',15809,'552',37.90,1,2,1),(25,6219853,'1994-02-16 00:00:00',2,17,12,2010,'M','N','CENTRO','PRUDENTÓPOLIS','PR','116162161217161232347612192122610117017',19551,'9998',31.63,1,3,NULL),(25,6219870,'1992-01-17 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','120142141417471731543932575124610163147',NULL,'9998',0.00,1,3,NULL),(25,6219888,'1991-05-06 00:00:00',2,1,12,2004,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124251121126171441618879245224623266143',NULL,'9998',19.27,1,2,1),(25,6219896,'1985-01-18 00:00:00',4,2,12,2006,'M','N','BOM RETIRO','BLUMENAU','SC','124244247325211441314421115124610154172',NULL,'9999',0.00,1,3,NULL),(25,6219900,'1992-12-19 00:00:00',4,2,12,2010,'M','N','CENTRO','GASPAR','SC','124242241215111431446837212122610136112',20983,'1137',31.15,1,3,NULL),(25,6219926,'1991-11-11 00:00:00',2,1,12,2008,'F','N','CENTRO','VIDAL RAMOS','SC','124241241117132441432923385124221614092',NULL,'828',37.37,1,2,1),(25,6219934,'1993-04-17 00:00:00',4,8,12,2010,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124241241112371431455633135112610124017',7962,'438',51.60,1,2,1),(25,6219942,'1986-09-30 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124133136426271421347821345124141852091',9755,'9998',51.79,1,3,NULL),(25,6219950,'1990-10-12 00:00:00',4,1,7,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244243117371431438834275114610167042',965,'306',73.48,1,3,NULL),(25,6219969,'1992-06-07 00:00:00',4,5,10,2009,'M','N','PIO CORREA','CRICIÚMA','SC','124242241215373431468713475114231417042',8574,'226',53.82,1,3,NULL),(25,6219985,'1992-06-29 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252241215471311256531375114610154057',16650,'1022',41.16,1,3,NULL),(25,6219993,'1993-07-05 00:00:00',2,1,12,2010,'M','N','VILA MARIANA','S PAULO','SP','125252251117151431568611585124610127182',8442,'9998',49.04,1,3,NULL),(25,6220002,'1993-09-26 00:00:00',4,6,11,2010,'M','N','JARDIM MONACO','DOURADOS','MS','112122121216111431266822575122610164122',6806,'9998',57.09,4,3,NULL),(25,6220010,'1993-04-17 00:00:00',2,2,12,2010,'F','N','CENTRO','MISSAL','PR','116161161147141431433311242125610128147',NULL,'9998',0.00,3,2,1),(25,6220037,'1991-08-16 00:00:00',4,9,12,2009,'M','N','CENTRO','LAGES','SC','124241241116473431438811275122610162027',7994,'512',51.20,1,2,1),(25,6220045,'1991-10-22 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241213444411348923445124610127142',17609,'259',34.80,1,3,NULL),(25,6220053,'1993-03-07 00:00:00',2,1,12,2010,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','111112111216111431638832572122610123147',21465,'9998',28.28,1,3,NULL),(25,6220061,'1993-11-27 00:00:00',2,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241116271731333531575124610125145',NULL,'287',31.52,1,2,1),(25,6220070,'1993-12-29 00:00:00',4,3,12,2010,'M','N','CENTRO','CPO GRANDE','MS','112122121217471431368931575122610167042',8077,'9998',51.02,1,3,NULL),(25,6220096,'1986-09-17 00:00:00',4,1,12,2005,'M','N','SÃO LUIZ','S JOSÉ','SC','124241241127232431535444245123610167087',15856,'729',38.34,1,2,1),(25,6220126,'1985-02-11 00:00:00',2,1,12,2002,'F','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124241241122373421454319242124610163117',NULL,'727',29.69,1,2,1),(25,6220134,'1993-11-15 00:00:00',2,9,12,2010,'F','N','CORAL','LAGES','SC','124241241116371431346914575122610136172',20157,'505',28.56,1,2,1),(25,6220142,'1987-11-19 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124201208216271431223844242124143221147',13168,'9998',46.38,1,3,NULL),(25,6220150,'1991-12-02 00:00:00',2,4,12,2009,'F','N','CENTRO','GUAÍRA','PR','116161281215371431636619295115610162117',6484,'9998',54.81,4,3,NULL),(25,6220169,'1992-03-19 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242161215473431358632575124230234052',1515,'9998',71.21,1,3,NULL),(25,6220193,'1989-05-17 00:00:00',4,1,12,2005,'M','N','CINQUENTENÁRIO','CAXIAS SUL','RS','120201201115313322458536343233131967051',NULL,'162',23.32,4,3,NULL),(25,6220207,'1990-10-06 00:00:00',4,1,12,2008,'M','N','CENTRO','ARARAS','SP','125252251216571311457829575124610161124',2248,'9998',65.52,4,3,NULL),(25,6220240,'1978-03-14 00:00:00',4,1,12,1995,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215273431538839496121322823092',4874,'262',61.15,5,3,NULL),(25,6220258,'1989-08-09 00:00:00',2,4,12,2006,'F','N','CENTRO','VICTOR GRAEFF','RS','120201201131571211458931571115610114147',12010,'9998',44.60,1,2,1),(25,6220266,'1993-04-07 00:00:00',4,1,11,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111711368613475114610134145',4848,'270',58.53,4,3,NULL),(25,6220274,'1991-01-11 00:00:00',4,3,12,2008,'F','N','IGREJINHA','APUCARANA','PR','116162161215571431449933574112610123147',1322,'9998',70.50,1,3,NULL),(25,6220290,'1991-01-14 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124243241417573521337723445124121337077',4528,'1022',59.68,1,3,NULL),(25,6220304,'1988-03-11 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201205117131431116849395124610136027',14017,'9998',45.14,1,2,1),(25,6220312,'1990-05-13 00:00:00',2,1,12,2007,'M','N','VILA PRUDENTE','S PAULO','SP','125252251116571411469931575122610147057',462,'9998',77.93,1,3,NULL),(25,6220320,'1990-11-20 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217143411547732245124610116182',13181,'1022',46.37,3,3,NULL),(25,6220339,'1993-04-14 00:00:00',4,10,12,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124241246217151431347724572125610126052',NULL,'1120',42.75,1,3,NULL),(25,6220363,'1993-06-09 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431489911575122610167127',1434,'270',71.61,1,3,NULL),(25,6220371,'1988-01-08 00:00:00',1,8,12,2006,'M','N','CENTRO','RIO NEGRINHO','SC','124244241437112241346822441125231067081',20914,'974',31.43,1,3,NULL),(25,6220380,'1991-09-21 00:00:00',4,4,12,2008,'F','N','CENTRO','CASCAVEL','PR','116161201416571451348823595121610126097',4031,'9998',60.59,1,3,NULL),(25,6220401,'1992-09-19 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116142421236651115222610134077',NULL,'285',38.36,1,3,NULL),(25,6220410,'1991-04-10 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241217253421135648386225231467077',16984,'770',40.65,1,3,NULL),(25,6220436,'1992-12-23 00:00:00',4,1,11,2009,'M','N','CAMPOLIM','SOROCABA','SP','125252251215471531369814575112610137047',NULL,'9998',21.67,1,3,NULL),(25,6220444,'1987-10-13 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216141421236841315222610137147',NULL,'494',7.93,1,3,NULL),(25,6220452,'1987-03-07 00:00:00',4,8,12,2006,'M','N','VILA NOVA','JOINVILLE','SC','124241247337141431343514445123610164197',NULL,'9999',15.60,4,3,NULL),(25,6220495,'1990-05-22 00:00:00',4,1,12,2007,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215575751668811575114121467047',45,'1022',85.78,4,3,NULL),(25,6220509,'1972-08-10 00:00:00',4,1,12,2005,'M','N','FLOR DE NÁPOLIS','S JOSÉ','SC','624241247146372421531143131122132936182',10358,'9999',46.64,4,1,1),(25,6220517,'1962-04-03 00:00:00',2,1,12,1982,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','424251257426131421223448295124610168197',NULL,'9998',31.28,1,3,NULL),(25,6220525,'1989-01-25 00:00:00',2,1,12,2006,'M','N','AREIAS','S JOSÉ','SC','124241241127132431323314285124233262187',NULL,'730',36.50,1,3,NULL),(25,6220533,'1993-08-13 00:00:00',4,1,11,2010,'M','N','CENTRO','PALHOÇA','SC','124242241215211431488822575112610168172',1644,'266',70.44,1,3,NULL),(25,6220550,'1993-03-31 00:00:00',4,8,12,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241236141441259931575122610152051',8949,'931',49.08,1,3,NULL),(25,6220584,'1990-05-29 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241117472431253554475124610118187',16504,'156',41.39,1,2,1),(25,6220592,'1983-05-29 00:00:00',2,1,12,2001,'F','N','ESTAÇÃO EXPERIMENTAL','RIO BRANCO','AC','101221011216151421468513315122441042022',NULL,'9998',0.00,1,3,NULL),(25,6220606,'1994-04-07 00:00:00',2,1,11,2010,'M','N','CENTRO','GAURAMA','RS','120201201216112431456939575122610127047',NULL,'9998',33.45,1,3,NULL),(25,6220614,'1991-11-15 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211573411449924591124612446092',2104,'820',68.92,1,3,NULL),(25,6220622,'1981-12-17 00:00:00',4,1,12,2000,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124251256216132751138544445224221764045',14888,'9998',43.86,4,3,NULL),(25,6220630,'1993-08-20 00:00:00',4,8,12,2010,'M','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241215161431458411595122610144092',6412,'424',55.12,1,3,NULL),(25,6220649,'1992-08-10 00:00:00',4,1,12,2009,'F','N','SÃO LUIS','ITU','SP','125254251217571711338821274125610142186',234,'9998',80.58,3,3,NULL),(25,6220657,'1980-05-21 00:00:00',2,1,5,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241446135431323351382344610137067',NULL,'9999',0.00,1,3,NULL),(25,6220673,'1993-11-11 00:00:00',2,1,11,2010,'F','N','CENTRO','CAMPINAS SUL','RS','120201201216111431558921575122610122187',NULL,'9998',23.12,1,3,NULL),(25,6220681,'1975-10-13 00:00:00',2,1,12,1994,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241122175431313341342334610127067',NULL,'284',0.00,1,3,NULL),(25,6220703,'1994-09-15 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215121411446933475122610134032',7080,'270',52.89,1,3,NULL),(25,6220711,'1990-11-19 00:00:00',2,1,8,2008,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241116272431256633585124120214042',19065,'739',36.81,2,1,2),(25,6220720,'1990-11-22 00:00:00',2,4,12,2007,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241116373431438934575124221732047',13517,'384',45.90,1,2,1),(25,6220738,'1992-02-09 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241415573431456632575324610137142',7878,'270',51.44,1,3,NULL),(25,6220746,'1991-02-13 00:00:00',2,1,12,2008,'F','N','RATONES','FLORIANÓPOLIS','SC','624241241116142411326544342334610134142',18506,'307',37.92,1,2,1),(25,6220754,'1992-03-04 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124244241135371431444311245124610154017',NULL,'283',24.90,4,3,NULL),(25,6220762,'1993-04-29 00:00:00',2,10,11,2010,'M','N','PROGRESSO','LAGUNA','SC','124243241215111431229923575122610144112',11650,'807',44.80,1,3,NULL),(25,6220770,'1989-03-07 00:00:00',2,8,12,2006,'F','N','IRIRIU','JOINVILLE','SC','124241241217471421556923442234133211192',14557,'494',40.36,1,3,NULL),(25,6220789,'1993-03-26 00:00:00',4,8,12,2010,'F','N','ENSEADA','S FRANCISCO SUL','SC','124241241427161431436414575114610128082',NULL,'1224',0.00,1,3,NULL),(25,6220797,'1984-05-28 00:00:00',2,1,6,2005,'M','N','KOBRASOL','S JOSÉ','SC','124241241126151731125344245114133217042',NULL,'521',20.43,2,1,1),(25,6220800,'1992-05-29 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241115372431348824445124610122142',10796,'271',47.32,1,3,NULL),(25,6220819,'1990-01-13 00:00:00',4,7,12,2007,'M','N','INTERIOR','MACIEIRA','SC','124241241126131731412336575124130224147',NULL,'540',0.00,1,2,1),(25,6220827,'1990-03-28 00:00:00',4,1,12,2007,'M','N','JARDINS','ARACAJU','SE','126262261216371431459814574124141027112',9096,'9998',52.89,1,3,NULL),(25,6220835,'1993-07-12 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431238924575124610168142',18216,'738',33.99,1,3,NULL),(25,6220843,'1992-05-30 00:00:00',5,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243247316141431268823395125610163097',NULL,'306',27.09,1,3,NULL),(25,6220860,'1993-12-14 00:00:00',2,1,11,2010,'F','N','BAIRRO DER','CAÇADOR','SC','124242241215121411559613575124610122172',1165,'270',73.05,1,3,NULL),(25,6220878,'1991-05-30 00:00:00',2,1,12,2008,'F','N','CENTRO','SALETE','SC','124241248415573441445612374124610137092',NULL,'991',28.22,1,3,NULL),(25,6220886,'1986-11-20 00:00:00',2,1,12,2005,'M','N','CARIANOS','FLORIANÓPOLIS','SC','624241241136134411646479445111120567042',20272,'307',33.84,1,2,1),(25,6220908,'1992-12-14 00:00:00',4,8,12,2010,'M','N','ALPHAVILLE','BARUERI','SP','125254251416471431466822575124610167177',NULL,'9998',25.75,1,3,NULL),(25,6220916,'1984-07-14 00:00:00',3,1,12,2001,'F','N','INGLESES','FLORIANÓPOLIS','SC','624121121436133411353673195122342023141',4217,'9998',60.75,5,3,NULL),(25,6220924,'1994-07-04 00:00:00',4,1,12,2011,'M','S','PANTANAL','FLORIANÓPOLIS','SC','124242241116151411258814242114610118047',NULL,'306',42.18,1,3,NULL),(25,6220932,'1986-01-25 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162161316555431536619575124610144092',369,'9998',78.75,1,3,NULL),(25,6220940,'1993-10-29 00:00:00',2,10,11,2010,'M','N','SÃO CRISTÓVÃO','TUBARÃO','SC','124241241215111431333639572124610127042',12349,'807',43.22,1,3,NULL),(25,6220959,'1992-08-04 00:00:00',4,1,12,2009,'M','N','CENTRO','CHAP LAGEADO','SC','124241241137473451438615272314610134061',2785,'165',66.06,1,2,1),(25,6220975,'1992-05-01 00:00:00',2,8,12,2009,'F','N','RAINHA DO MAR','ITAPOÁ','SC','124241241116162411426331245124230664157',NULL,'413',0.00,1,3,NULL),(25,6220991,'1985-08-04 00:00:00',4,1,11,2002,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116155721345644345134121124195',9817,'710',51.66,1,3,NULL),(25,6221009,'1994-02-13 00:00:00',2,17,12,2010,'F','N','CENTRO','PTO UNIÃO','SC','124241241215161431536616575122610134092',NULL,'633',0.00,1,3,NULL),(25,6221025,'1977-08-06 00:00:00',4,1,12,1994,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224201203116141411265343333234341441092',8276,'9998',54.35,1,3,NULL),(25,6221033,'1993-09-19 00:00:00',2,10,11,2010,'M','N','CENTRO','BRAÇO NORTE','SC','124242241215111431436614572112610167052',12025,'950',48.10,1,3,NULL),(25,6221041,'1993-05-01 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124201241117371431646614175124610164147',7279,'307',53.79,1,2,1),(25,6221050,'1992-12-11 00:00:00',2,4,11,2009,'M','N','CENTRO','CHAPECÓ','SC','124242241215471752468913575122610167057',10340,'168',46.83,1,3,NULL),(25,6221068,'1990-05-02 00:00:00',4,8,12,2007,'M','N','BIGORRILHO','CURITIBA','PR','116162161215572411469819395124610114092',612,'9998',76.46,1,3,NULL),(25,6221084,'1992-08-04 00:00:00',2,4,12,2010,'F','N','CENTRO','MANGUEIRINHA','PR','116161166116271411533312342124610143017',4433,'9998',59.46,1,2,1),(25,6221092,'1992-11-07 00:00:00',4,2,12,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124242241215373431436815372124131037142',9692,'948',49.36,1,3,NULL),(25,6221106,'1992-12-20 00:00:00',2,16,12,2010,'M','N','ITARARÉ','S JOSÉ CERRITO','SC','124241242115131421611135572322610157057',NULL,'960',0.00,2,3,NULL),(25,6221114,'1986-11-19 00:00:00',2,2,12,2004,'M','N','PROGRESSO','BLUMENAU','SC','124241241125575741346419591124610146092',841,'80',74.53,1,2,1),(25,6221130,'1983-05-05 00:00:00',4,1,7,2002,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242247216371431368617375124131237043',21739,'9999',24.26,1,3,NULL),(25,6221149,'1992-05-04 00:00:00',2,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124161241117272431549619575114610134095',8450,'267',52.34,1,2,1),(25,6221157,'1993-08-30 00:00:00',4,7,12,2010,'M','N','INTERIOR','MACIEIRA','SC','124241242117131411326419472224610125177',NULL,'831',0.00,1,2,1),(25,6221173,'1969-01-10 00:00:00',2,1,12,1987,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','624251251126133431534474412124610164142',NULL,'9998',0.00,3,2,1),(25,6221181,'1988-05-22 00:00:00',2,1,12,2007,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241241116371431536613295124610124062',20301,'288',33.76,1,2,1),(25,6221203,'1992-08-26 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241117271431526611575124610112147',8373,'267',51.11,1,3,NULL),(25,6221211,'1993-08-30 00:00:00',4,2,12,2011,'M','S','SOBRADINHO','SOBRADINHO','DF','107072241217271731689913374122610115147',NULL,'855',47.17,1,3,NULL),(25,6221220,'1982-12-31 00:00:00',4,1,12,2000,'M','N','NOVO MUNDO','CURITIBA','PR','216164161116131431226854395322241437091',16075,'9998',40.25,1,3,NULL),(25,6221238,'1992-01-18 00:00:00',2,4,12,2010,'F','N','PERPÉTUO E SOCORRO','S LOURENÇO OESTE','SC','124241163116371431443634285124610135077',9452,'9998',48.78,1,2,1),(25,6221297,'1992-11-26 00:00:00',4,10,12,2010,'M','N','OFICINAS','TUBARÃO','SC','124242241215121431448722375122610127042',6774,'807',52.28,1,3,NULL),(25,6221319,'1985-11-16 00:00:00',2,1,12,2006,'F','N','FORQUILHINHAS','S JOSÉ','SC','124243247332372431424444342234610133187',NULL,'9999',22.41,2,1,2),(25,6221327,'1971-12-12 00:00:00',2,1,7,1992,'M','N','CENTRO','PAULO LOPES','SC','124201207121131421328843231222131237177',NULL,'9999',0.00,2,1,1),(25,6221335,'1974-06-29 00:00:00',5,1,12,1992,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241414375711127843432224521235147',11302,'360',49.21,1,3,NULL),(25,6221343,'1985-08-20 00:00:00',2,1,12,2003,'M','N','ESTREITO','FLORIANÓPOLIS','SC','123234241215552741536612494124231444167',NULL,'273',0.00,1,3,NULL),(25,6221360,'1993-07-20 00:00:00',2,15,12,2010,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241125141731323629245112610131022',NULL,'30',19.73,1,3,NULL),(25,6221378,'1991-07-01 00:00:00',2,15,12,2008,'M','N','PIONEIRO','CAXIAS SUL','RS','120201201116572451526416571124610167187',7185,'9998',52.66,1,2,1),(25,6221386,'1992-01-27 00:00:00',4,4,11,2008,'F','N','SÃO SEBASTIÃO','S MIGUEL OESTE','SC','124241241215373431449612345112610127147',NULL,'752',0.00,1,3,NULL),(25,6221394,'1994-12-23 00:00:00',4,1,12,2011,'M','S','PICADAS DO NORTE','S JOSÉ','SC','124242241215111732435933575124610124182',NULL,'270',37.84,1,3,NULL),(25,6221416,'1992-12-19 00:00:00',2,4,12,2010,'M','N','CENTRO','CÂNDIDO GODÓI','RS','120201201116271531346959491125610137057',14499,'9998',39.89,1,2,1),(25,6221424,'1992-08-03 00:00:00',4,2,12,2009,'M','N','VICTOR KONDER','BLUMENAU','SC','124241241215372432339934572122130222142',4426,'87',62.19,1,3,NULL),(25,6221440,'1993-12-06 00:00:00',4,4,12,2010,'F','N','CENTRO','MARAVILHA','SC','124241241116131431336923572124610115197',NULL,'552',22.13,1,2,1),(25,6221459,'1992-04-17 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215474431338611575115610162142',6216,'270',56.11,1,3,NULL),(25,6221467,'1991-02-20 00:00:00',4,7,12,2008,'M','N','CENTRO','HERVAL D OESTE','SC','124242241215573431438614595121231422097',10013,'446',47.06,1,3,NULL),(25,6221483,'1993-04-30 00:00:00',4,3,12,2010,'F','N','CENTRO','PARANAVAÍ','PR','116162168215471731448831595125610163142',NULL,'9997',0.00,1,3,NULL),(25,6221513,'1993-03-24 00:00:00',4,2,12,2010,'M','N','MORRO GRANDE','GASPAR','SC','124241241215151431343316175125610124182',8913,'955',50.97,1,3,NULL),(25,6221521,'1993-01-03 00:00:00',2,8,12,2010,'M','N','CENTRO','GABRIEL MONTEIRO','SP','125253251217111431324422572112610166037',12236,'9998',47.79,1,3,NULL),(25,6221530,'1990-03-02 00:00:00',2,9,12,2007,'F','N','BRUSQUE','LAGES','SC','124242241215575431348612574122233136141',7200,'497',52.34,1,3,NULL),(25,6221564,'1984-02-05 00:00:00',2,1,12,2002,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241126132431534311185124131046077',NULL,'239',19.67,4,2,1),(25,6221572,'1992-09-08 00:00:00',4,1,12,2009,'F','N','FEITORIA','S LEOPOLDO','RS','120201201116151431534614575124610157053',NULL,'9998',26.14,1,3,NULL),(25,6221580,'1992-06-02 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215372431469924175122131532077',1131,'210',72.93,1,3,NULL),(25,6221599,'1988-01-13 00:00:00',4,1,12,2004,'M','N','IPIRANGA','S JOSÉ','SC','124062061317342421534861245124142234053',NULL,'9998',31.03,1,3,NULL),(25,6221602,'1987-03-23 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124131131117172211226921495114141813021',NULL,'9998',30.14,4,3,NULL),(25,6221610,'1991-06-18 00:00:00',4,4,12,2008,'F','N','CENTRO','CASCAVEL','PR','116164161216571431466915575122610162052',947,'9998',74.04,1,3,NULL),(25,6221629,'1956-10-10 00:00:00',4,1,12,1975,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','224241246116135431364442422124122914042',NULL,'306',0.00,1,2,1),(25,6221637,'1993-04-07 00:00:00',4,8,11,2010,'M','N','ITAUM','JOINVILLE','SC','124243248337471331637621591124610114052',13600,'465',42.61,1,3,NULL),(25,6221645,'1990-07-03 00:00:00',4,8,12,2007,'M','N','VILA ESPERANÇA','MARINGÁ','PR','116162161216571432468833575112142637057',138,'9998',82.13,1,3,NULL),(25,6221653,'1988-02-17 00:00:00',4,1,12,2005,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217575431248923485125231464185',7103,'270',56.54,1,3,NULL),(25,6221661,'1992-11-12 00:00:00',4,9,12,2010,'M','N','INTERIOR','CORREIA PINTO','SC','124241242115131711512535576325610156042',19488,'960',35.86,4,3,NULL),(25,6221670,'1993-12-30 00:00:00',2,15,12,2010,'F','N','CAMPO VERDE','ERMO','SC','124241241116161532423339595122610168143',21443,'250',22.13,1,3,NULL),(25,6221688,'1991-01-19 00:00:00',4,1,12,2008,'F','N','CENTRAL','GOIÂNIA','GO','109092091215572411338815572122610134097',NULL,'9998',0.00,1,3,NULL),(25,6221696,'1991-11-13 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215273431369834575114123268182',10204,'270',47.67,1,3,NULL),(25,6221718,'1977-11-29 00:00:00',4,5,12,1995,'M','N','MICHEL','CRICIÚMA','SC','124241243126131731434441214122230224141',17358,'9997',40.02,1,2,1),(25,6221734,'1986-03-30 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216373411256714442214122912062',19644,'272',35.47,1,3,NULL),(25,6221742,'1992-12-25 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215472531468914572114610133192',471,'270',77.83,1,3,NULL),(25,6221750,'1981-08-20 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242246116273421348843435132331264012',10915,'306',49.80,1,3,NULL),(25,6221769,'1992-12-10 00:00:00',4,8,10,2010,'M','N','SÃO PEDRO','PTO UNIÃO','SC','124242161217471411386614571142610166042',145,'9998',81.97,1,3,NULL),(25,6221777,'1993-01-20 00:00:00',2,1,11,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241215111451356912375124610167112',18842,'1169',37.26,1,3,NULL),(25,6221793,'1991-03-16 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201201116271731223912492114610162197',8156,'9998',51.75,1,2,1),(25,6221807,'1993-12-26 00:00:00',2,1,12,2011,'F','S','REAL PARQUE','S JOSÉ','SC','124242241115151431356613575124610137016',NULL,'271',48.56,4,3,NULL),(25,6221815,'1972-12-25 00:00:00',4,1,12,1990,'F','N','TERRAS QUATRO','PIRACICABA','SP','225251251216141431434651235122342213017',NULL,'9998',0.00,1,3,NULL),(25,6221823,'1992-12-21 00:00:00',4,4,11,2010,'M','N','CENTRO','CASCAVEL','PR','116162161215111431547632392112610147063',10144,'9998',46.61,1,3,NULL),(25,6221831,'1993-04-19 00:00:00',4,6,12,2010,'M','N','JARDIM UNIVERSAL','ARARAQUARA','SP','125252251217221431458631575112610167142',4648,'9998',58.52,1,3,NULL),(25,6221840,'1988-12-14 00:00:00',4,6,7,2009,'M','N','SÃO JOÃO','ITAJAÍ','SC','124241247146272431326617275123613227117',NULL,'9999',17.57,1,2,1),(25,6221866,'1993-04-11 00:00:00',4,8,11,2010,'F','N','BOEHMERWALD','JOINVILLE','SC','124241241135131431213328246124610131157',NULL,'482',0.00,1,2,1),(25,6221874,'1992-07-02 00:00:00',2,1,12,2010,'F','N','CENTRO','MAIRINQUE','SP','125253251216111431469811575122610142097',5708,'9998',56.13,1,3,NULL),(25,6221882,'1993-05-18 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241146471431426379275124610155142',12474,'288',43.82,1,2,1),(25,6221890,'1993-02-04 00:00:00',4,1,11,2010,'M','N','CENTRO','GAROPABA','SC','124241241417111431338813375124610134061',11109,'270',49.50,1,3,NULL),(25,6221904,'1993-04-29 00:00:00',2,1,12,2010,'F','N','SÃO JOSÉ','PINHAL GRANDE','RS','120201201117161711614869572125610168147',12990,'9998',42.59,1,3,NULL),(25,6221912,'1993-09-09 00:00:00',4,10,12,2010,'M','N','HUMAITÁ CENTRO','TUBARÃO','SC','124241241135151311446914342121610127042',NULL,'798',27.39,1,2,1),(25,6221920,'1993-08-14 00:00:00',2,4,12,2010,'M','N','TRIÂNGULO','ERECHIM','RS','120201201126271431546833371125610137057',18942,'9998',31.29,1,2,1),(25,6221947,'1972-08-06 00:00:00',2,1,12,1989,'M','N','ICARAI','NITERÓI','RJ','221282211216131431516641312324131968177',NULL,'9998',0.00,1,3,NULL),(25,6221955,'1993-08-25 00:00:00',4,1,11,2010,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','124244241215132431423634575114610122142',3330,'1022',62.45,1,3,NULL),(25,6221963,'1992-07-27 00:00:00',2,15,12,2009,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241115131431426419385125610135147',NULL,'29',33.33,1,3,NULL),(25,6221971,'1993-03-20 00:00:00',4,9,12,2010,'M','N','BORGES','ANITA GARIBALDI','SC','124241241116271431324811275122610112092',15428,'18',38.60,1,2,1),(25,6221998,'1990-11-20 00:00:00',2,1,12,2008,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124241241121271531433334585114610127067',14685,'282',39.13,1,2,1),(25,6222005,'1993-05-09 00:00:00',4,3,12,2010,'M','N','CENTRO','CASCAVEL','PR','116162161217371431456632575112610161123',5839,'9998',55.10,1,3,NULL),(25,6222013,'1992-07-11 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115372431546514442124610137067',20705,'307',32.36,1,2,1),(25,6222021,'1993-05-31 00:00:00',4,4,12,2001,'F','N','CENTRO','MISSAL','PR','116161161116471711456933571122610133197',17099,'9998',35.26,1,2,1),(25,6222030,'1993-09-16 00:00:00',4,1,11,2010,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215111531468933575114610163192',4294,'270',61.63,1,3,NULL),(25,6222048,'1993-04-08 00:00:00',4,8,12,2010,'M','N','COMASA','JOINVILLE','SC','124241246216111431526311575121610116012',17701,'494',39.40,1,3,NULL),(25,6222056,'1993-07-30 00:00:00',2,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241216111431458614575124610142147',13266,'723',44.78,1,3,NULL),(25,6222064,'1989-12-26 00:00:00',4,1,1,2009,'F','N','ICARAI','NITERÓI','RJ','121214217417131441428869385121242822087',NULL,'9998',0.00,1,3,NULL),(25,6222072,'1986-01-26 00:00:00',2,1,7,2004,'M','N','MORRO DA BINA','BIGUAÇU','SC','124241241127373431535413385112130222197',18311,'65',38.26,1,3,NULL),(25,6222080,'1985-04-03 00:00:00',4,1,12,2002,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224242241216273412247643435122221132112',NULL,'970',34.89,1,3,NULL),(25,6222102,'1992-08-15 00:00:00',4,1,10,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215474431489714572115610127092',4063,'497',60.99,1,3,NULL),(25,6222129,'1992-01-04 00:00:00',2,5,10,2009,'M','N','COMERCIARIO','CRICIÚMA','SC','124241241217372431446414495112610127012',9796,'226',48.64,1,3,NULL),(25,6222137,'1993-03-04 00:00:00',4,1,12,2010,'M','N','JARDIM ZANELLATO','S JOSÉ','SC','124241241225131431624314285124610147047',12266,'262',43.17,2,1,2),(25,6222145,'1992-04-28 00:00:00',2,6,12,2009,'M','N','JARDIM BOTÂNICO','PTO ALEGRE','RS','120201201117471731158932575124610128147',20971,'9998',31.24,1,2,1),(25,6222161,'1990-12-20 00:00:00',4,8,12,2008,'F','N','CENTRO','AVARÉ','SP','125254251216571731453611575112610113097',3982,'9998',61.03,1,3,NULL),(25,6222170,'1989-10-07 00:00:00',2,3,12,2007,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116161161116571431566613275114610145197',3615,'9998',61.48,1,2,1),(25,6222188,'1988-04-08 00:00:00',4,17,11,2004,'F','N','SÃO CRISTÓVÃO','TRÊS BARRAS','SC','124241241116271411446634412122343217142',NULL,'153',34.18,1,3,NULL),(25,6222196,'1987-11-15 00:00:00',4,1,11,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241247217152432266623385112131024062',NULL,'9999',12.84,1,3,NULL),(25,6222200,'1987-05-28 00:00:00',4,3,12,2005,'M','N','VILA RICA','CAMBÉ','PR','116162161217471431458923474122341564182',NULL,'9998',40.54,1,3,NULL),(25,6222218,'1993-07-09 00:00:00',2,17,11,2010,'F','N','SOSSEGO','CANOINHAS','SC','124242241217111431459813575122610121072',13348,'154',40.34,1,3,NULL),(25,6222226,'1987-02-04 00:00:00',2,1,12,2006,'F','N','CRUZEIRO NOVO','CRUZEIRO','DF','107171071126371731125344345224140113143',NULL,'9998',0.00,4,2,1),(25,6222234,'1993-06-17 00:00:00',4,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124243241136141431334923345124610127063',NULL,'734',28.84,1,3,NULL),(25,6222242,'1992-02-04 00:00:00',2,1,12,2009,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124243241415472411358613575124610153012',8471,'346',51.74,4,3,NULL),(25,6222250,'1991-08-02 00:00:00',4,1,12,2008,'F','N','CENTRO','STO ANTÔNIO PLATINA','PR','116161161216471451449933575122610125197',NULL,'9998',29.01,1,3,NULL),(25,6222269,'1989-07-13 00:00:00',4,1,6,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202247217271412269921472122610167183',NULL,'9999',0.00,1,3,NULL),(25,6222277,'1993-04-07 00:00:00',4,8,12,2010,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116162161217111432569711571122610167042',NULL,'9998',0.00,1,3,NULL),(25,6222285,'1993-08-14 00:00:00',2,1,12,2010,'M','N','PACHECOS','PALHOÇA','SC','124242241415111231346923572124610127042',NULL,'989',0.00,1,3,NULL),(25,6222293,'1993-05-19 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431648911575122610132182',9190,'270',49.59,1,3,NULL),(25,6222307,'1993-07-04 00:00:00',4,2,12,2010,'F','N','POMERODE FUNDOS','POMERODE','SC','124242241215111441344632225122610164093',NULL,'624',0.00,1,3,NULL),(25,6222315,'1993-10-25 00:00:00',4,4,12,2010,'F','N','CENTRO','CASCAVEL','PR','116162161217121431343832575125610134072',11035,'9998',45.27,1,3,NULL),(25,6222331,'1993-05-05 00:00:00',4,8,12,2010,'M','N','VILA ÉLIDA','DIADEMA','SP','125251251117271231228624575114610137127',NULL,'9998',0.00,4,2,1),(25,6222366,'1991-07-24 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241347574431333935275124610137052',1721,'983',69.84,1,3,NULL),(25,6222382,'1992-10-14 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215372431288833575124610113141',3296,'270',63.01,1,3,NULL),(25,6222390,'1989-09-10 00:00:00',2,1,12,2007,'M','N','JARDIM LOS ANGELES','CPO GRANDE','MS','116122161211571411449914572122610134057',16819,'9998',36.64,4,3,NULL),(25,6222404,'1991-11-04 00:00:00',4,1,11,2009,'F','N','PORTINHO','ILHABELA','SP','125251251416371221326633585124610166042',6016,'9998',55.60,2,1,2),(25,6222420,'1963-12-11 00:00:00',4,1,12,1983,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','624251258437151431248549391135610166042',NULL,'9998',36.74,1,3,NULL),(25,6222439,'1980-12-13 00:00:00',4,15,11,1997,'F','N','CENTRO','ARARANGUÁ','SC','224241241416473431334652575125231433197',18550,'32',37.86,1,3,NULL),(25,6222447,'1993-10-01 00:00:00',2,8,12,2010,'F','N','CAMPO LENÇOL','RIO NEGRINHO','SC','124241241112371731323724572122610124147',21592,'697',20.37,1,3,NULL),(25,6222455,'1991-10-08 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472411348811575112610137182',8938,'262',51.98,1,3,NULL),(25,6222463,'1979-03-13 00:00:00',5,1,7,2003,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124252257236471731236644342122132167113',NULL,'9998',30.80,1,3,NULL),(25,6222471,'1988-04-20 00:00:00',4,3,12,2007,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217374731447632245112610142092',18471,'53',37.97,1,3,NULL),(25,6222498,'1993-06-11 00:00:00',4,10,12,2010,'M','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241248117271451428819575114610166182',NULL,'358',12.30,1,2,1),(25,6222528,'1986-06-07 00:00:00',4,1,12,2004,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124252251217371431346812315122140764152',15274,'9998',43.29,3,3,NULL),(25,6222544,'1994-07-29 00:00:00',4,1,12,2011,'M','S','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215111431379919571112610117047',NULL,'262',40.03,1,3,NULL),(25,6222552,'1990-01-26 00:00:00',2,10,12,2007,'F','N','RIO BONITO','BRAÇO NORTE','SC','124241241117132431426839345233610133182',15301,'100',43.24,1,2,1),(25,6222560,'1988-03-11 00:00:00',4,1,11,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241146141711553619195124610112147',NULL,'283',8.45,1,3,NULL),(25,6222579,'1989-12-12 00:00:00',4,1,12,2007,'F','N','ROÇADO','S JOSÉ','SC','124242241235324431488834485123610161172',NULL,'737',39.59,1,3,NULL),(25,6222595,'1992-12-24 00:00:00',4,1,12,2010,'M','N','KOBRASSOL','S JOSÉ','SC','124042041216271331528631212222610154012',NULL,'9998',0.00,4,3,NULL),(25,6222617,'1992-02-22 00:00:00',2,8,12,2009,'M','N','CENTRO','CIDADE GAÚCHA','PR','116164161437151431344315595112141417077',NULL,'9998',0.00,1,3,NULL),(25,6222625,'1993-04-22 00:00:00',4,8,11,2010,'F','N','ATIRADORES','JOINVILLE','SC','124242241217111412249712575112610134192',17256,'1063',40.17,1,3,NULL),(25,6222633,'1993-03-31 00:00:00',2,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241135371321433331442124610167043',19410,'287',32.34,1,2,1),(25,6222641,'1993-05-09 00:00:00',2,1,12,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124243241117251431536811342224610165147',15826,'592',42.41,1,3,NULL),(25,6222650,'1985-01-04 00:00:00',2,1,12,2005,'F','N','JARDIM JANAÍNA','BIGUAÇU','SC','124241241126473431624614245124610122142',21049,'66',27.04,4,1,1),(25,6222668,'1992-09-14 00:00:00',4,4,11,2009,'M','N','CIDADE JARDIM','CPO GRANDE','MS','112122121216271431448613275114143234127',4010,'9998',60.94,3,3,NULL),(25,6222692,'1993-01-25 00:00:00',4,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241147271451433638385124610126197',NULL,'592',0.00,4,2,1),(25,6222706,'1989-10-07 00:00:00',4,8,12,2007,'M','N','SÃO MARCOS','JOINVILLE','SC','124241241123131411333429245124333238057',NULL,'465',7.93,1,2,1),(25,6222730,'1991-11-04 00:00:00',2,5,12,2009,'F','N','JARDIM NOVA ITÁLIA','LIMEIRA','SP','125253251117271731428923475122610162071',13703,'9998',41.56,1,3,NULL),(25,6222749,'1991-09-19 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624241241117472431214659375124610168092',21291,'298',29.48,1,2,1),(25,6222757,'1990-02-15 00:00:00',4,3,6,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241227373711447632344112610126095',18250,'967',38.39,1,3,NULL),(25,6222765,'1993-03-30 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124241241215271411553939595122610136182',3409,'515',64.53,1,3,NULL),(25,6222773,'1993-06-12 00:00:00',2,17,12,2010,'M','N','CENTRO','CANOINHAS','SC','124241241214111431548911575122610124067',13349,'154',41.90,1,3,NULL),(25,6222781,'1993-11-14 00:00:00',4,15,11,2010,'M','N','CENTRO','SOMBRIO','SC','124242241215111532465822345122610137073',NULL,'32',0.00,1,3,NULL),(25,6222803,'1985-04-14 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124092241414374421537412445134133266192',6008,'272',56.02,1,3,NULL),(25,6222811,'1992-02-18 00:00:00',4,1,12,2009,'F','N','VILA NOVA','NÃO-ME-TOQUE','RS','120202201215471331448813572122610143147',NULL,'9998',0.00,1,3,NULL),(25,6222820,'1994-04-15 00:00:00',4,1,12,2011,'F','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111432249911576122610143052',NULL,'883',43.66,1,3,NULL),(25,6222838,'1992-04-13 00:00:00',2,4,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116162168116371711179832572125610164191',11474,'9998',42.78,1,3,NULL),(25,6222846,'1993-10-22 00:00:00',4,7,11,2010,'F','N','AMARANTE','VIDEIRA','SC','124242241215271431468632575122610161092',11904,'969',42.70,1,3,NULL),(25,6222854,'1991-08-19 00:00:00',2,1,12,2009,'M','N','VENDAVAL','BIGUAÇU','SC','124243241215322431456914275124610124012',13800,'1040',42.74,4,1,2),(25,6222862,'1992-10-08 00:00:00',4,1,12,2009,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251217472431567814271112610163097',5145,'9998',58.52,1,3,NULL),(25,6222889,'1992-05-18 00:00:00',2,1,12,2009,'F','N','PROGRESSO','LAGUNA','SC','124243241116272751636913585124610117052',NULL,'521',39.02,1,3,NULL),(25,6222897,'1993-09-09 00:00:00',4,1,11,2011,'F','S','CENTRO','BIGUAÇU','SC','124242241215111431448818575122610124097',NULL,'270',49.08,1,3,NULL),(25,6222919,'1990-04-24 00:00:00',4,2,12,2007,'M','N','MARGEM ESQUERDA','GASPAR','SC','124242241235271431469933475122130767047',4353,'909',62.39,1,3,NULL),(25,6222935,'1988-07-18 00:00:00',2,4,12,2005,'F','N','CENTRO','IJUÍ','RS','120204201217571431437614572214610127147',1752,'9998',68.95,1,3,NULL),(25,6222943,'1991-06-28 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241145471721537674242234610123187',15877,'288',37.35,1,2,1),(25,6222951,'1993-04-26 00:00:00',2,16,11,2010,'F','N','NAÇÕES','FRAIBURGO','SC','124241241215111451536714585112610124012',NULL,'885',19.41,4,3,NULL),(25,6222960,'1993-05-12 00:00:00',2,1,12,2010,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124243241215111731433332575124610132043',16900,'989',35.77,1,3,NULL),(25,6222986,'1993-07-09 00:00:00',2,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241115371431536814595122610134097',17010,'267',36.55,1,2,1),(25,6222994,'1993-03-04 00:00:00',2,4,12,2009,'F','N','INTERIOR','GAURAMA','RS','120201201116371431313335572324610127047',14480,'9998',39.14,1,2,1),(25,6223001,'1994-01-18 00:00:00',4,1,11,2010,'F','N','BOQUEIRÃO','PASSO FUNDO','RS','120162201216271431356614575122610134147',6070,'9998',55.16,1,3,NULL),(25,6223010,'1984-06-25 00:00:00',2,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244248112373311358433422132333263112',7137,'306',55.16,1,3,NULL),(25,6223028,'1992-10-22 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115372431323431345124610162147',21699,'296',25.22,1,2,1),(25,6223036,'1994-01-22 00:00:00',2,10,12,2010,'M','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241117271431425614472124610127053',NULL,'358',24.61,1,2,1),(25,6223044,'1988-04-04 00:00:00',2,1,12,2006,'F','N','VILA INDUSTRIAL','S PAULO','SP','125253251416571751326329272124610165147',9350,'9998',49.03,1,3,NULL),(25,6223052,'1970-07-23 00:00:00',2,1,12,1994,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','624241241126135421533643231134610132112',13084,'307',46.48,1,3,NULL),(25,6223060,'1993-03-04 00:00:00',4,5,12,2010,'F','N','SANTA LUZIA','CRICIÚMA','SC','124242241215151431359714575124610134077',17428,'995',39.88,1,3,NULL),(25,6223087,'1992-07-30 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115311431426634242124610127057',NULL,'288',32.20,1,3,NULL),(25,6223095,'1991-05-06 00:00:00',4,8,12,2008,'F','N','CENTRO','CASCAVEL','PR','116162161215572431356611592122610141187',11442,'9998',44.62,1,3,NULL),(25,6223117,'1990-07-08 00:00:00',4,1,11,2007,'F','N','CENTRO','CAMPINA VERDE','MG','125132131216471441545532595124141025147',NULL,'9998',41.34,1,3,NULL),(25,6223125,'1992-12-28 00:00:00',4,8,11,2009,'M','N','CENTRO','CURITIBA','PR','116162161235472731566634172124610147052',2122,'9998',68.51,1,3,NULL),(25,6223133,'1992-12-10 00:00:00',2,9,11,2010,'F','N','CONTA DINEHEIRO','LAGES','SC','124242241215111431426611575122610137187',NULL,'1207',16.68,1,3,NULL),(25,6223150,'1991-06-04 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241216373431458733575124610167052',2381,'724',67.91,1,3,NULL),(25,6223168,'1993-05-09 00:00:00',2,5,12,2010,'F','N','CENTRO','ORLEANS','SC','124242248215121431463332575122610136072',4554,'226',59.93,1,3,NULL),(25,6223184,'1993-03-01 00:00:00',2,2,12,2010,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124241241115371421525611375122610167057',13624,'1019',43.09,1,2,1),(25,6223192,'1991-08-30 00:00:00',4,1,11,2008,'M','N','SUMARÉ','RIO SUL','SC','124242241216573431358911475122610168092',123,'991',82.69,1,3,NULL),(25,6223206,'1992-07-01 00:00:00',4,1,12,2009,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241217472431449912372112610137062',5748,'909',59.25,1,3,NULL),(25,6223214,'1989-08-22 00:00:00',4,1,12,2007,'M','N','PINHEIRINHO','ITAJUBÁ','MG','125132131217571711479812275125141267052',NULL,'9998',0.00,1,3,NULL),(25,6223249,'1994-12-07 00:00:00',2,4,12,2011,'F','S','SANTA CRUZ','CONCÓRDIA','SC','124241241216111731459932572124610144057',NULL,'1001',44.96,1,3,NULL),(25,6223265,'1992-05-04 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215372451348729595114610125047',10571,'272',46.16,4,3,NULL),(25,6223273,'1993-01-16 00:00:00',4,8,10,2010,'M','N','PETROPOLIS','JOINVILLE','SC','124242241215111431533632282124610117041',21639,'1016',26.30,1,3,NULL),(25,6223290,'1992-04-10 00:00:00',4,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241115131431624623232124610127057',NULL,'275',18.41,1,3,NULL),(25,6223303,'1989-07-14 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124242281216472431326614575124610162142',NULL,'9998',33.48,1,3,NULL),(25,6223311,'1992-11-05 00:00:00',4,8,11,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241115111431458831275122610168092',13532,'1063',45.87,1,3,NULL),(25,6223320,'1992-05-14 00:00:00',2,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124241241217131411523823285125131236012',21345,'781',29.19,2,1,2),(25,6223338,'1993-09-28 00:00:00',2,17,12,2010,'F','N','HOSPITAL','PAPANDUVA','SC','124241241137131632624311213324610127147',NULL,'603',0.00,4,2,1),(25,6223346,'1991-07-10 00:00:00',4,3,12,2008,'F','N','ARIRIBÁ','BAL CAMBORIÚ','SC','124241241117141431343919445123610137047',NULL,'873',32.16,1,3,NULL),(25,6223354,'1987-10-13 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215132711125644347134222232195',12184,'663',47.86,3,3,NULL),(25,6223362,'1991-09-04 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241216372431339932235124131433042',2963,'1180',64.72,1,3,NULL),(25,6223370,'1992-06-24 00:00:00',4,1,12,2009,'M','N','JARDIM CRUZEIRO','MOGI GUAÇU','SP','125252251216471431369711581124610147127',7908,'9998',50.41,1,3,NULL),(25,6223389,'1994-03-26 00:00:00',2,1,12,2010,'F','N','CENTRO','TIJUCAS','SC','124242241216111411435611271122610166092',NULL,'1119',29.65,1,3,NULL),(25,6223397,'1992-03-06 00:00:00',4,4,12,2009,'F','N','CENTRO','STA MARIA','RS','120204201217471441544923575125610122197',1766,'9998',69.06,1,3,NULL),(25,6223400,'1993-04-09 00:00:00',4,1,11,2010,'F','N','SANTA BÁRBARA','GOIÂNIA','GO','109092091215111431548834575122610142142',54,'9998',85.37,4,3,NULL),(25,6223451,'1989-08-03 00:00:00',4,8,12,2007,'M','N','XAXIM','CURITIBA','PR','116162161214571411348811375122140667046',2704,'9998',64.65,1,3,NULL),(25,6223460,'1989-01-31 00:00:00',2,8,12,2006,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124244241212515431359813575124232466077',6164,'486',58.39,1,3,NULL),(25,6223478,'1991-10-24 00:00:00',4,1,12,1991,'M','N','CENTRO','CAMPINAS','SP','125252253217472431359823574122610112047',4190,'9998',58.88,1,3,NULL),(25,6223486,'1992-10-08 00:00:00',4,1,11,2009,'F','N','FLOR DA SERRA','JOAÇABA','SC','124244241217473431555814174225610164182',1666,'454',70.09,1,3,NULL),(25,6223494,'1993-03-08 00:00:00',2,5,11,2010,'F','N','RIBEIRÃO DAREIA','PEDRAS GRANDES','SC','124241241215222431343312275122610158182',16594,'226',37.48,1,3,NULL),(25,6223508,'1983-10-28 00:00:00',4,16,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241346132441226324215124222262187',11461,'270',48.95,1,3,NULL),(25,6223516,'1993-01-05 00:00:00',4,6,12,2010,'M','N','NAÇOES','BAL CAMBORIÚ','SC','124242241217371231466839575124610167142',12208,'394',43.31,1,3,NULL),(25,6223524,'1990-03-12 00:00:00',2,9,12,2007,'F','N','MONTE CARLO','S JOAQUIM','SC','116242161216574431658831575124242437072',NULL,'9998',0.00,1,3,NULL),(25,6223532,'1992-02-12 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124152241217472711379933575114610164117',9647,'1133',51.95,1,3,NULL),(25,6223540,'1993-07-03 00:00:00',4,1,12,2010,'F','N','CENTRO','VACARIA','RS','120202201217111431436814571122610161147',17616,'9998',39.55,1,3,NULL),(25,6223559,'1980-02-18 00:00:00',2,1,12,2001,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241243131373411225348183324610156117',NULL,'306',30.88,2,3,NULL),(25,6223575,'1992-09-22 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215373431459912575114121627041',3877,'1022',61.43,1,3,NULL),(25,6223591,'1994-03-28 00:00:00',4,1,12,2011,'F','S','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215111731466624346122610123145',NULL,'883',54.38,1,3,NULL),(25,6223605,'1992-06-08 00:00:00',2,5,12,2009,'F','N','CENTRO','TURVO','SC','124242241215432431447412394124610128142',7301,'9997',56.18,1,3,NULL),(25,6223613,'1992-11-19 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124242241215472431439932575122610138142',7578,'497',53.11,1,3,NULL),(25,6223621,'1993-03-13 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117271531423354572124610124147',NULL,'288',11.38,2,1,1),(25,6223656,'1991-11-19 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241147271231534311342134610122047',16607,'285',41.23,1,2,1),(25,6223664,'1991-09-25 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201241116574431443819172324610127147',3009,'295',63.41,1,2,1),(25,6223672,'1992-05-10 00:00:00',4,4,12,2010,'M','N','ESPLANADA','CHAPECÓ','SC','124241241117131741433814295122610121177',NULL,'175',0.00,1,2,1),(25,6223680,'1981-08-19 00:00:00',4,9,12,1998,'M','N','MEDIANEIRA','CAXIAS SUL','RS','120202201216131421558611285122142117052',8380,'9998',54.17,1,3,NULL),(25,6223699,'1994-09-23 00:00:00',4,5,12,2011,'F','S','SÃO JOÃO','TUBARÃO','SC','124242241216131441227921575122610126142',NULL,'797',37.56,1,3,NULL),(25,6223710,'1990-01-11 00:00:00',2,1,12,2007,'F','N','CENTRO','GUAPORÉ','RS','120201201114471531526338375122610121057',NULL,'9998',0.00,1,2,1),(25,6223729,'1989-02-07 00:00:00',2,9,12,2006,'M','N','CENTRO','RIO SUL','SC','124242241216573431436722345122610164055',14523,'663',44.40,1,3,NULL),(25,6223737,'1993-03-03 00:00:00',4,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215123431367929572114610143062',550,'270',77.12,1,3,NULL),(25,6223753,'1991-11-06 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431366633571122610136172',1487,'270',70.85,1,3,NULL),(25,6223761,'1991-09-25 00:00:00',4,1,12,2008,'M','N','CENTRO','MARAVILHA','SC','124243241112573431438633572124610124122',4651,'552',60.42,1,3,NULL),(25,6223788,'1994-04-06 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431479912575122610136142',2926,'1050',64.68,1,3,NULL),(25,6223796,'1994-02-10 00:00:00',4,1,12,2011,'F','S','CENTRO','PALHOÇA','SC','124241241117111711468612572114610134147',NULL,'739',37.48,1,3,NULL),(25,6223800,'1987-09-30 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124262261216271451569913385114141427042',5133,'9998',60.54,4,3,NULL),(25,6223818,'1978-02-16 00:00:00',1,1,8,1998,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242243226132431224444345124610113092',21517,'68',27.74,1,3,NULL),(25,6223826,'1992-07-06 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124161161116371431326614575124610137157',NULL,'9998',24.33,1,2,1),(25,6223834,'1988-06-24 00:00:00',4,1,12,2005,'M','N','JOÃO GOULART','STA MARIA','RS','120201201116571431434831515124610137042',898,'9998',73.91,4,2,1),(25,6223842,'1987-08-13 00:00:00',2,1,12,2005,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241337134431323311391224130236147',18225,'262',38.43,1,3,NULL),(25,6223869,'1994-05-07 00:00:00',4,16,12,2010,'F','N','MONTE ALEGRE','S CRISTÓVÃO SUL','SC','124241241115371432523319575122610134192',NULL,'705',23.14,4,3,NULL),(25,6223885,'1993-06-06 00:00:00',4,1,11,2010,'M','N','CENTRO','CAÇAPAVA','SP','125252251215271411646932325122610142112',NULL,'9998',0.00,1,3,NULL),(25,6223893,'1991-01-06 00:00:00',2,4,11,2008,'F','N','CENTRO','CASCAVEL','PR','116162161215571431233316582112610132182',17095,'9998',40.46,1,3,NULL),(25,6223915,'1989-08-01 00:00:00',2,8,12,2006,'M','N','NOVA CAIEIRAS','CAIEIRAS','SP','125252254236151431435812415335240267097',NULL,'9998',25.60,1,3,NULL),(25,6223923,'1993-03-10 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431238933595122610117052',5321,'1050',58.22,1,3,NULL),(25,6223931,'1992-05-25 00:00:00',4,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241248215372751437624385114610164192',15062,'724',43.59,1,3,NULL),(25,6223940,'1992-03-01 00:00:00',2,1,12,2009,'M','N','USINA','ANTÔNIO CARLOS','SC','124241241115162711533614575124120714142',7217,'21',52.76,1,2,1),(25,6223966,'1987-12-04 00:00:00',4,1,12,2005,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241131131421323344341134610164187',NULL,'293',0.00,2,1,1),(25,6223974,'1990-11-01 00:00:00',4,1,11,2008,'M','N','CONDOMINO JOAO PAULO','PRES PRUDENTE','SP','125254251217371411488812271122610164047',NULL,'9997',0.00,1,3,NULL),(25,6223982,'1990-08-02 00:00:00',2,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217574431419832435122230264121',4245,'270',62.70,1,3,NULL),(25,6223990,'1993-01-13 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241225111732527311245224610124147',15849,'262',37.60,1,3,NULL),(25,6224016,'1990-12-26 00:00:00',4,1,12,2008,'F','N','JARDIM DA SAÚDE','S PAULO','SP','125252251216572731357612585124610143042',4472,'9998',59.94,1,3,NULL),(25,6224024,'1988-12-11 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215574431366613582124121352197',1978,'738',68.20,1,3,NULL),(25,6224032,'1991-11-06 00:00:00',2,1,12,2009,'F','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125251251216472431236824575122610163112',NULL,'9998',17.13,4,3,NULL),(25,6224059,'1989-10-27 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217152431489613375122230224062',NULL,'262',0.00,1,3,NULL),(25,6224067,'1993-09-20 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241235111431268823475112610167062',20117,'266',34.26,1,3,NULL),(25,6224075,'1990-11-09 00:00:00',4,8,12,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215574431248823335122133227072',11463,'486',48.95,1,3,NULL),(25,6224083,'1993-02-01 00:00:00',2,7,12,2010,'F','N','INTERIOR','OURO','SC','124241241116151411523315352324610118141',NULL,'585',0.00,1,3,NULL),(25,6224091,'1992-12-15 00:00:00',4,8,11,2009,'F','N','ITINGA','JOINVILLE','SC','124241241136271431323624445224610127077',NULL,'482',25.18,4,3,NULL),(25,6224105,'1995-04-03 00:00:00',4,7,12,2010,'F','N','CENTRO','ÁGUA DOCE','SC','124242241215121431446812525124610132142',12775,'962',46.96,1,3,NULL),(25,6224113,'1992-08-31 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212171331245512593112610134121',NULL,'262',21.75,1,3,NULL),(25,6224130,'1992-01-05 00:00:00',2,1,12,2009,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251216471431576612577122610167094',5543,'9998',58.16,1,3,NULL),(25,6224148,'1990-08-30 00:00:00',4,3,12,2007,'F','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162161216572411458816575124610124142',5623,'9998',57.06,1,3,NULL),(25,6224156,'1986-03-26 00:00:00',4,1,12,2002,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241136152431333343235122121944092',8744,'772',53.53,1,3,NULL),(25,6224164,'1992-06-01 00:00:00',2,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431458632425122610122072',NULL,'1169',20.45,1,3,NULL),(25,6224172,'1992-08-24 00:00:00',4,1,12,2009,'F','N','RESIDENCIAL','ELDORADO SUL','RS','120201201137471731213527575324610148097',17571,'9998',34.48,1,2,1),(25,6224180,'1993-01-08 00:00:00',2,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242247312151431559933575114610167162',NULL,'9999',19.55,1,3,NULL),(25,6224199,'1992-06-12 00:00:00',2,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241215272731466413575114610167047',9077,'723',52.92,1,3,NULL),(25,6224202,'1993-10-14 00:00:00',2,16,12,2010,'F','N','TABAJARA','CAÇADOR','SC','124244241215111431334823572222610138017',14213,'1124',39.42,1,3,NULL),(25,6224210,'1985-03-29 00:00:00',3,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126132421532214195124221462197',17681,'1005',39.43,1,2,1),(25,6224237,'1993-03-01 00:00:00',2,2,12,2010,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124241241115371431535611375122610167057',NULL,'1019',27.33,1,2,1),(25,6224245,'1993-04-06 00:00:00',4,16,12,2010,'F','N','SÃO LUIZ','CURITIBANOS','SC','124241241115141431437835472114610123147',NULL,'239',15.46,1,3,NULL),(25,6224253,'1992-03-11 00:00:00',2,1,12,2010,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124243241215111431549814275124610118082',16801,'737',36.54,4,3,NULL),(25,6224270,'1993-02-14 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431489914575122610137042',17437,'1169',39.86,1,3,NULL),(25,6224288,'1984-10-20 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124051051116132411111149295124220336187',11195,'9998',49.39,2,1,1),(25,6224300,'1992-08-20 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241112131431424314582324610138142',18557,'307',37.85,1,2,1),(25,6224326,'1992-08-01 00:00:00',2,1,12,2009,'M','N','VALE DE SAN IZIDRO','LONDRINA','PR','116163161417471431566823574114610134042',6237,'9998',55.35,1,3,NULL),(25,6224334,'1993-09-17 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241215111431447613592122610163017',7195,'1207',53.30,1,3,NULL),(25,6224342,'1989-01-25 00:00:00',2,3,12,2007,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','124202201217111711225924571324610125072',NULL,'9998',0.00,1,3,NULL),(25,6224350,'1992-05-09 00:00:00',2,1,11,2009,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241215373431443831592114610134142',7942,'270',52.79,1,3,NULL),(25,6224385,'1993-11-28 00:00:00',2,4,12,2010,'F','N','NORTE','BAL PIÇARRAS','SC','124241241116161431448632375114610142147',NULL,'614',32.37,1,2,1),(25,6224393,'1993-02-05 00:00:00',4,3,11,2010,'F','N','JARDIM PETRÓPOLIS','ARAPONGAS','PR','116164161215111431348612175222610144187',NULL,'9998',0.00,1,3,NULL),(25,6224407,'1994-06-30 00:00:00',4,1,11,2012,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124062241217111431448861575122610122012',NULL,'883',62.60,4,3,NULL),(25,6224415,'1992-10-30 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242248212111421448832385124610167072',NULL,'1022',25.73,4,3,NULL),(25,6224423,'1991-03-29 00:00:00',4,1,12,2008,'M','N','SÃO SEBASTIÃO','CNSO LAFAIETE','MG','113132131216571431568912571114610147147',3364,'9998',61.39,1,3,NULL),(25,6224431,'1994-01-29 00:00:00',2,4,12,2010,'M','N','CENTRO','PALMEIRA MISSÕES','RS','120201201117111411656613492212610168196',7524,'9998',52.94,1,2,1),(25,6224440,'1991-08-06 00:00:00',2,2,12,2008,'M','N','TAPAJOS','INDAIAL','SC','124241241115152141433623345124610164092',20363,'365',33.52,1,2,1),(25,6224466,'1988-08-13 00:00:00',2,1,12,2005,'M','N','ARIRIU','PALHOÇA','SC','124161161146132431231823245224233221077',10577,'9998',50.36,4,2,1),(25,6224474,'1993-06-29 00:00:00',4,6,12,2010,'F','N','JARDIM AMÉRICA','DOURADOS','MS','112122121215111431436814572122610134127',NULL,'9998',0.00,1,3,NULL),(25,6224482,'1991-04-24 00:00:00',2,1,11,2008,'M','N','SUMARÉ','RIO SUL','SC','124242241216573441326334372124233247052',3462,'654',63.01,1,3,NULL),(25,6224490,'1990-10-05 00:00:00',2,9,11,2008,'M','N','SUMARÉ','RIO SUL','SC','124242241216572741348614375125610164012',3705,'654',61.80,1,3,NULL),(25,6224512,'1993-03-19 00:00:00',2,10,12,2010,'F','N','CENTRO','BRAÇO NORTE','SC','124244241215112751428819595124610168057',10964,'807',45.22,1,3,NULL),(25,6224520,'1994-07-24 00:00:00',2,1,12,2011,'F','S','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215111732459931571124610131182',NULL,'883',54.77,1,3,NULL),(25,6224539,'1993-04-15 00:00:00',2,7,11,2010,'M','N','CENTRO','CAPINZAL','SC','124243241215371411458632575124610167042',8761,'446',49.99,1,3,NULL),(25,6224547,'1993-04-11 00:00:00',2,1,12,2010,'F','N','SAMBAQUI','IMBITUBA','SC','124241241115131431323333375124610123147',NULL,'359',0.00,1,2,1),(25,6224563,'1991-12-17 00:00:00',4,7,11,2008,'F','N','CENTRO','VIDEIRA','SC','124242161215573431257729575124610146047',7453,'9998',53.11,1,3,NULL),(25,6224571,'1989-05-13 00:00:00',4,1,12,2006,'F','N','JOAQUINA','FLORIANÓPOLIS','SC','124202201217472411257823416222121463187',NULL,'9998',0.00,1,3,NULL),(25,6224580,'1993-05-10 00:00:00',4,1,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124242241232111411357732485122610167182',5475,'270',58.20,1,3,NULL),(25,6224598,'1991-11-21 00:00:00',4,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124244241416131431447714395124610162112',NULL,'1018',16.00,1,3,NULL),(25,6224601,'1992-01-27 00:00:00',4,8,12,2009,'F','N','BOA VISTA','JOINVILLE','SC','124244241415371711438711592122610111197',21405,'479',28.75,1,3,NULL),(25,6224610,'1992-07-01 00:00:00',2,4,12,2010,'M','N','LINHA PEDRA DO OURO','CRUZEIRO IGUAÇU','PR','116161242116131611424316575324610127177',16403,'196',36.23,1,2,1),(25,6224636,'1991-04-25 00:00:00',4,1,12,2008,'M','N','PARQUE VERDE','CASCAVEL','PR','116163161216573431236731475123610167121',5572,'9998',56.76,3,3,NULL),(25,6224644,'1992-05-30 00:00:00',2,4,12,2009,'F','N','INTERIOR','IRACEMINHA','SC','124241241116471431436335271124610134057',11516,'377',45.13,1,2,1),(25,6224652,'1991-01-23 00:00:00',4,1,12,2008,'F','N','JARDIM TRANQUILIDADE','GUARULHOS','SP','125252251216571431446514275112610133077',9516,'9998',48.43,1,3,NULL),(25,6224687,'1991-09-06 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244243211272411434823575114221466017',9608,'995',52.02,4,3,NULL),(25,6224695,'1988-10-05 00:00:00',4,1,12,2006,'M','N','ACLIMAÇÃO','S PAULO','SP','125252251217572411448824275114610164127',518,'9998',76.05,4,3,NULL),(25,6224709,'1993-12-11 00:00:00',2,1,12,2010,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241115311711423319192224610122142',19812,'592',30.78,1,2,1),(25,6224717,'1994-07-31 00:00:00',4,1,11,2011,'M','S','FORQUILHAS','S JOSÉ','SC','124242246115171451438811571324610138047',NULL,'739',39.50,1,3,NULL),(25,6224725,'1992-10-20 00:00:00',4,8,12,2009,'M','N','COND ROYAL FOREST','LONDRINA','PR','116162161216471431379933575122610167042',11470,'9998',44.55,1,3,NULL),(25,6224733,'1993-08-29 00:00:00',4,4,12,2010,'M','N','CENTRO','CAMPINA LAGOA','PR','116163161415111431346933572121610137047',6154,'9998',58.40,1,3,NULL),(25,6224750,'1960-03-08 00:00:00',4,15,12,1979,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','224101073416131721472453285122342862147',9936,'9998',46.75,4,3,NULL),(25,6224768,'1990-07-13 00:00:00',4,1,11,2007,'M','N','VISTA ALEGRE','CURITIBA','PR','116162161215151711668812442122241427111',20626,'9998',32.65,1,3,NULL),(25,6224776,'1993-08-21 00:00:00',2,1,12,2010,'F','N','CENTRO','VACARIA','RS','120202201215371431358722572122610131143',14778,'9998',40.12,1,3,NULL),(25,6224784,'1991-05-22 00:00:00',2,1,12,2009,'M','N','CENTRO','CURITIBA','PR','116252251216472431459814575114610163072',NULL,'9998',0.00,3,3,NULL),(25,6224792,'1993-05-07 00:00:00',2,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124242241215111711546649395112610118072',20966,'976',31.25,1,3,NULL),(25,6224806,'1993-11-12 00:00:00',3,1,12,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124244241415111431479933575124610166197',6046,'270',55.26,1,3,NULL),(25,6224814,'1992-08-04 00:00:00',4,2,12,2010,'F','N','PONTA AGUDA','BLUMENAU','SC','124243241215371431246821576112610167045',15920,'909',42.27,1,3,NULL),(25,6224822,'1993-01-12 00:00:00',4,7,12,2009,'F','N','CENTRO','JABORÁ','SC','125241241147472431633923341125610167147',7513,'418',52.95,1,2,1),(25,6224830,'1989-10-18 00:00:00',4,1,11,2007,'M','N','CAMPINAS','S JOSÉ','SC','624241241436131711233344245125132251147',NULL,'461',22.75,1,3,NULL),(25,6224857,'1993-05-25 00:00:00',2,1,12,2010,'M','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241115271431544434572314610167047',NULL,'288',0.00,1,2,1),(25,6224865,'1992-07-21 00:00:00',4,9,12,2009,'M','N','CENTRO','LAGES','SC','124242241215372431369611475125610167042',10541,'499',46.25,1,3,NULL),(25,6224873,'1993-09-14 00:00:00',2,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127131131434631375124610114157',12871,'274',44.13,1,2,1),(25,6224881,'1988-11-16 00:00:00',2,1,11,2005,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115575421424614342124610127147',2193,'65',67.95,1,2,1),(25,6224890,'1955-10-16 00:00:00',1,8,7,2009,'F','N','RIVIEIRA','MATINHOS','PR','316163167147171411233341211242610166142',13404,'9998',42.59,1,3,NULL),(25,6224903,'1993-01-20 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241211133431326634572212610127047',14283,'724',41.81,1,3,NULL),(25,6224911,'1993-03-19 00:00:00',2,8,12,2010,'M','N','CENTRO','PIÊN','PR','216161161115271231526711585122610117047',9660,'9998',49.18,1,2,1),(25,6224938,'1993-12-06 00:00:00',4,1,12,2010,'F','N','NOVO MUNDO','CURITIBA','PR','116163161117371431326624295134610163142',NULL,'9998',0.00,1,3,NULL),(25,6224946,'1992-12-07 00:00:00',4,1,12,2009,'M','N','COSTA DA MIRAGUAIA','STO ANTÔNIO PATRULHA','RS','120201201117471431333324572224610167042',10633,'9998',45.72,1,2,1),(25,6224954,'1990-08-17 00:00:00',2,3,12,2008,'M','N','CENTRO','BRUSQUE','SC','124241241215371431469911495122140267041',14709,'109',44.14,1,3,NULL),(25,6224962,'1989-07-17 00:00:00',4,15,12,2007,'F','N','POLICIA RODOVIARIA','ARARANGUÁ','SC','124241242133131451313316152123610124147',21599,'852',26.94,1,3,NULL),(25,6224970,'1988-09-18 00:00:00',2,8,11,2005,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161216573431549611595122610164042',3633,'9998',62.07,1,3,NULL),(25,6224989,'1993-12-22 00:00:00',2,3,12,2010,'F','N','SANTA CÂNDIDA','CURITIBA','PR','116162161215121731657732575112610122182',NULL,'9998',25.28,1,3,NULL),(25,6224997,'1992-10-11 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241116472731548833332124610166012',NULL,'192',27.18,1,3,NULL),(25,6225004,'1991-09-27 00:00:00',4,1,12,2008,'M','N','JD CINCO DE DEZEMBRO','SERTÃOZINHO','SP','125252251211571431588811571122610162036',NULL,'9998',0.00,1,3,NULL),(25,6225012,'1989-08-27 00:00:00',2,1,12,2007,'F','N','JARDIM ALVORADA','CPO MOURÃO','PR','116162161216571431543916172122610122197',4956,'9998',58.53,1,3,NULL),(25,6225020,'1993-09-24 00:00:00',2,1,12,2010,'M','N','VILA NOVA','IMBITUBA','SC','124244241415111431468713575114610124042',5136,'1022',58.94,1,3,NULL),(25,6225039,'1992-06-03 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124241241112472231523319446334610133082',NULL,'733',25.25,1,2,1),(25,6225047,'1993-07-03 00:00:00',4,4,11,2010,'F','N','CENTRO','UMUARAMA','PR','116162161216211111448812174122610113147',NULL,'9998',0.00,1,3,NULL),(25,6225063,'1983-06-17 00:00:00',4,1,7,2005,'M','N','CENTRO','S JOSÉ','SC','124081247126235421623311495224130814052',20123,'945',34.25,3,2,1),(25,6225071,'1992-06-18 00:00:00',4,1,12,2009,'F','N','CENTRO','ORLEANS','SC','124242241214374431449933571122133234177',3688,'581',62.02,1,3,NULL),(25,6225080,'1993-02-26 00:00:00',2,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115471211328378385124610163017',11633,'733',45.94,4,2,1),(25,6225098,'1991-07-09 00:00:00',4,7,12,2010,'M','N','CENTRO','VARGEM BONITA','SC','124241242116111421526919595124610126042',NULL,'8',25.71,1,3,NULL),(25,6225101,'1993-02-19 00:00:00',4,1,12,2010,'M','N','FORQUILHAS','S JOSÉ','SC','124241241146111432423334372124610127042',NULL,'727',15.86,1,3,NULL),(25,6225110,'1993-09-01 00:00:00',4,4,12,2010,'M','N','CENTRO','CONCÓRDIA','SC','124241241147271731455832245123610136187',17993,'194',35.08,1,2,1),(25,6225128,'1993-05-13 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431358813574122610137043',8771,'1050',50.40,1,3,NULL),(25,6225136,'1986-11-23 00:00:00',2,8,1,2006,'F','N','CENTRO','CASCAVEL','PR','116164027137473411236621311124241314012',10347,'9998',48.53,1,3,NULL),(25,6225152,'1990-12-27 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116242241216574221449914595122610163182',6982,'1073',54.49,1,3,NULL),(25,6225187,'1993-04-26 00:00:00',4,7,11,2009,'M','N','CENTRO','IPIRA','SC','124241242117131421323334342224610127057',20654,'8',32.56,1,2,1),(25,6225195,'1992-01-10 00:00:00',2,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','112121121137471531338823375124610167065',9677,'9998',51.91,4,3,NULL),(25,6225209,'1992-04-15 00:00:00',2,4,12,2009,'M','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124161161116162731436532575112610167042',14903,'9998',37.99,1,2,1),(25,6225233,'1991-05-19 00:00:00',2,1,12,2010,'M','N','CENTRO','STO ANTÔNIO PLATINA','PR','116163161216111431638639575122610117053',NULL,'9998',11.98,1,3,NULL),(25,6225250,'1993-07-11 00:00:00',4,1,12,2010,'F','N','CENTRO','EREBANGO','RS','120201201346131431426631242222610164147',18301,'9998',32.58,1,3,NULL),(25,6225268,'1986-07-28 00:00:00',2,1,9,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241247122152431533379492344610127042',16169,'9999',41.89,1,2,1),(25,6225276,'1988-10-02 00:00:00',4,1,12,2005,'M','N','ALTO DA RUA XV','CURITIBA','PR','116162161215471721368711372121141448185',457,'9998',77.82,1,3,NULL),(25,6225284,'1984-02-10 00:00:00',4,1,12,2001,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124243241117154711226623285124222254187',NULL,'739',0.00,1,3,NULL),(25,6225292,'1989-12-28 00:00:00',4,7,12,2006,'F','N','CENTRO','PINHEIRO PRETO','SC','124241241126162731433911332124333224097',16555,'618',41.31,4,2,1),(25,6225314,'1991-05-03 00:00:00',4,7,12,2010,'M','N','COLATTO','XANXERÊ','SC','124241242115111431423319595224610126042',NULL,'8',19.63,1,3,NULL),(25,6225330,'1992-05-24 00:00:00',2,1,7,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124241241117371231425351572124610145087',14251,'739',43.76,1,2,1),(25,6225349,'1991-08-30 00:00:00',2,1,12,2009,'F','N','PACHECOS','PALHOÇA','SC','124241241117372431533311572124133268177',12962,'592',43.64,1,2,1),(25,6225357,'1993-06-23 00:00:00',2,1,12,2010,'M','N','CENTRO','SALTO LONTRA','PR','116161161116371751454923575122610168147',21445,'9998',28.44,1,3,NULL),(25,6225365,'1991-06-29 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372731448812592122610132052',4266,'394',62.65,1,3,NULL),(25,6225373,'1992-07-15 00:00:00',4,1,12,2009,'F','N','SÃO VITO','AMERICANA','SP','125252251217471431469814572112610163077',5628,'9998',55.69,1,3,NULL),(25,6225381,'1991-03-23 00:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241137441752323374343224610164173',20187,'818',34.10,1,2,1),(25,6225411,'1989-06-11 00:00:00',2,15,12,2006,'M','N','CENTRO','BAL ARROIO SILVA','SC','124241241116131431436613142223143267041',18840,'854',37.27,1,2,1),(25,6225420,'1993-05-04 00:00:00',2,15,11,2010,'F','N','GARUVA NOVA','SOMBRIO','SC','124241241215161442436812595124610143197',12993,'770',41.59,1,3,NULL),(25,6225438,'1982-05-15 00:00:00',4,1,12,1999,'M','N','KOBRASOL','S JOSÉ','SC','224242241412134441236444442122332826042',NULL,'1134',0.00,1,3,NULL),(25,6225446,'1993-11-28 00:00:00',4,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242246116141431634624215124610123183',NULL,'1075',20.24,1,3,NULL),(25,6225454,'1994-11-25 00:00:00',4,1,11,2011,'M','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','624242241217111752339733597114610134117',NULL,'270',56.76,4,3,NULL),(25,6225470,'1993-09-26 00:00:00',4,1,12,2010,'F','N','FAZENDA DE LOURDES','ÁGUAS MORNAS','SC','124241248115161532423319572124610134052',18694,'772',32.20,1,2,1),(25,6225489,'1991-11-25 00:00:00',2,1,12,2009,'F','N','MERCES','CURITIBA','PR','116122121216471431337814315124610135172',2410,'9998',65.11,3,3,NULL),(25,6225497,'1990-10-15 00:00:00',2,15,12,2008,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241116131721333411245122610137145',NULL,'29',24.09,1,3,NULL),(25,6225519,'1992-07-28 00:00:00',4,1,12,2009,'F','N','CONSOLAÇÃO','S PAULO','SP','125252251215472431578831575124610163142',7567,'9998',51.67,1,3,NULL),(25,6225527,'1987-04-15 00:00:00',2,15,12,2006,'M','N','BOTA FOGO','ERMO','SC','224241246121141131124444441333610127051',NULL,'250',17.07,4,3,NULL),(25,6225543,'1985-10-15 00:00:00',2,1,12,2004,'M','N','DIC DOIS','CAMPINAS','SP','125256251147532412433314385114610112057',7974,'9998',52.63,4,1,2),(25,6225551,'1990-10-31 00:00:00',4,1,12,2008,'M','N','SANTA TERESA','S JOSÉ R PARDO','SP','125252251216571431447811575122610127012',NULL,'9998',0.00,1,3,NULL),(25,6225560,'1991-10-10 00:00:00',4,9,12,2008,'F','N','CENTRO','ANTÔNIO PRADO','RS','120201201111372431435339572125610123047',13340,'9998',42.57,1,2,1),(25,6225578,'1990-09-24 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241416272432337619385114610161197',10312,'288',50.80,2,3,NULL),(25,6225616,'1990-03-27 00:00:00',2,1,6,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243247442131411326534142324610137147',NULL,'9999',19.89,2,3,NULL),(25,6225624,'1992-10-03 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241112372431436612571124610166197',NULL,'257',35.75,1,3,NULL),(25,6225632,'1994-07-12 00:00:00',4,1,12,2011,'F','S','ABRAÃO','FLORIANÓPOLIS','SC','124242241215121711448814575122610134097',NULL,'1022',48.56,1,3,NULL),(25,6225640,'1992-03-15 00:00:00',4,1,12,2009,'M','N','JOSE MENDES','FLORIANÓPOLIS','SC','124243244211332232334627321124221411176',3553,'1022',64.43,1,3,NULL),(25,6225659,'1991-03-01 00:00:00',4,1,11,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243241417574431468811175124221467072',1379,'981',71.89,1,3,NULL),(25,6225667,'1993-05-03 00:00:00',4,5,11,2010,'F','N','MICHEL','CRICIÚMA','SC','124242241215112431456711572122610132182',21149,'226',30.37,1,3,NULL),(25,6225675,'1994-02-24 00:00:00',4,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241225112431533635572124610128142',11658,'262',44.48,1,3,NULL),(25,6225691,'1993-07-08 00:00:00',4,1,12,2010,'M','N','FRANCISCO RAUHL','LONTRAS','SC','124244241215111412434611285124610164047',14074,'901',45.05,1,3,NULL),(25,6225705,'1992-08-10 00:00:00',4,6,12,2010,'F','N','JARDIM TUCANOS','LONDRINA','PR','216162161217121751586619575122610164112',15195,'9998',43.42,1,3,NULL),(25,6225721,'1989-06-25 00:00:00',4,5,12,2007,'F','N','SÃO SIMÃO','CRICIÚMA','SC','124244246216153431446614341134231427112',12700,'188',47.07,1,3,NULL),(25,6225730,'1941-08-23 00:00:00',4,1,12,1959,'F','N','PANTANAL','FLORIANÓPOLIS','SC','424243241326151421344641412124322866095',NULL,'632',0.00,1,3,NULL),(25,6225748,'1993-02-22 00:00:00',2,1,12,2010,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241215161231226624345124610124197',18857,'63',31.87,1,3,NULL),(25,6225764,'1987-03-07 00:00:00',2,1,12,2009,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241122332311313164282344610126152',NULL,'291',18.44,1,2,1),(25,6225772,'1973-12-02 00:00:00',4,1,12,1990,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','224201201116151441275543435132340212141',8667,'9998',53.65,1,3,NULL),(25,6225780,'1987-12-23 00:00:00',4,1,12,2004,'M','N','CENTRO','LONDRINA','PR','116162161215575411469911575112610166051',1288,'9998',71.01,1,3,NULL),(25,6225799,'1993-05-11 00:00:00',4,8,12,2010,'M','N','RIO VERMELHO ESTAÇÃO','S BENTO SUL','SC','124241241114271441523374345124610167071',13752,'697',41.41,1,3,NULL),(25,6225802,'1994-04-19 00:00:00',4,1,12,2011,'M','S','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217111752489913572124610167053',NULL,'262',48.89,1,3,NULL),(25,6225829,'1973-09-01 00:00:00',2,15,11,2003,'M','N','COLONINHA','ARARANGUÁ','SC','224241247122232421526444142341610138061',NULL,'9997',0.00,2,1,1),(25,6225845,'1993-04-04 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115111431346413472124610127147',15661,'592',37.26,1,2,1),(25,6225853,'1991-10-14 00:00:00',2,1,11,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241216272731449613341124610127047',NULL,'1048',16.33,1,3,NULL),(25,6225861,'1993-05-08 00:00:00',2,1,12,2010,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241115271731337613372122610168072',17348,'1116',36.76,1,2,1),(25,6225888,'1994-07-16 00:00:00',2,17,11,2011,'F','S','CENTRO','CANOINHAS','SC','124241161217111531438832174122610163172',NULL,'154',42.87,1,3,NULL),(25,6225896,'1992-10-18 00:00:00',4,6,11,2009,'M','N','SÃO JOÃO','ITAJAÍ','SC','124244248416371432534431275111610117187',12024,'1056',48.10,3,3,NULL),(25,6225900,'1993-09-17 00:00:00',2,4,12,2010,'M','N','INTERIOR','SEARA','SC','124241241114141331333316356322610122172',NULL,'763',25.18,1,2,1),(25,6225918,'1964-01-18 00:00:00',4,1,12,1981,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','324241241135132421343349395122321227127',NULL,'804',27.19,1,2,1),(25,6225934,'1993-05-17 00:00:00',4,4,12,2010,'F','N','CENTRO','RENASCENÇA','PR','116164161215271431433423575122610124192',15800,'9998',37.97,1,3,NULL),(25,6225942,'1993-02-21 00:00:00',2,1,12,2010,'M','N','CENTRO','CPO GRANDE','MS','112122121216111531687432571122610164122',4611,'9998',57.48,1,3,NULL),(25,6225950,'1995-07-29 00:00:00',1,1,12,2010,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241115151411468833572122610123075',7717,'267',55.39,1,3,NULL),(25,6225969,'1994-02-09 00:00:00',2,4,12,2010,'F','N','CENTRO','FAXINAL GUEDES','SC','124243241335111431443815472124610137147',16166,'836',36.91,1,3,NULL),(25,6225977,'1991-10-13 00:00:00',4,1,12,2009,'F','N','VILA CASTELO','S PAULO','SP','125252251216571731356923372124610141097',13064,'9998',41.94,4,3,NULL),(25,6225985,'1994-09-18 00:00:00',4,1,12,2011,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111731478813575122610164012',NULL,'1169',61.42,1,3,NULL),(25,6225993,'1988-03-10 00:00:00',2,1,12,2005,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241416113411338644145124233227141',11501,'258',48.89,1,3,NULL),(25,6226000,'1990-12-24 00:00:00',4,17,10,2009,'M','N','VILA ISABEL','CURITIBA','PR','616162161217272311448933575125241417013',15366,'9998',43.11,1,3,NULL),(25,6226019,'1983-08-13 00:00:00',4,1,12,2002,'M','N','ITAIGARA','SALVADOR','BA','105054051417341731619943311124143217117',NULL,'9998',20.78,1,3,NULL),(25,6226043,'1992-09-27 00:00:00',4,1,12,2009,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241142271431536629342122610167042',21610,'772',26.74,1,2,1),(25,6226051,'1991-09-10 00:00:00',2,2,12,2008,'F','N','TATUAPÉ','S PAULO','SP','125252251217571431367812571122610144092',3082,'9998',65.11,1,3,NULL),(25,6226060,'1991-10-18 00:00:00',4,1,12,2008,'F','N','ROYAL GOLF RESIDENCE','LONDRINA','PR','116164161216571411586812575112610164142',3905,'9998',63.52,1,3,NULL),(25,6226078,'1992-04-25 00:00:00',4,1,12,2010,'F','N','SAO LOURENCO','CURITIBA','PR','116162161112211411258811393111610164041',10471,'9998',47.45,1,3,NULL),(25,6226086,'1991-06-03 00:00:00',4,8,12,2008,'F','N','CENTRO','ITUPORANGA','SC','124244241415573421557911485122130662197',6586,'991',54.38,1,3,NULL),(25,6226094,'1991-07-28 00:00:00',4,3,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124162111217372731588719575112610133182',12063,'9998',42.84,1,3,NULL),(25,6226108,'1989-01-30 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216323331467813412112610117112',NULL,'9997',13.45,1,3,NULL),(25,6226116,'1990-06-09 00:00:00',4,4,12,2007,'F','N','CENTRO','STA MARIA','RS','120162161215572431466613572324610144187',4369,'9998',58.38,1,3,NULL),(25,6226124,'1993-10-28 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124244241215111421436514372124610122142',18884,'1118',32.84,1,3,NULL),(25,6226159,'1988-10-15 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216152711369713315121230264182',17031,'270',40.58,1,3,NULL),(25,6226167,'1993-04-29 00:00:00',4,1,12,2010,'F','N','CENTRO','CPO GRANDE','MS','112122121215121432568832575122610118192',NULL,'9998',0.00,1,3,NULL),(25,6226175,'1993-05-03 00:00:00',4,8,12,2010,'F','N','CENTRO','CURITIBA','PR','116164161235111431358834371112610134181',3438,'9998',62.17,1,3,NULL),(25,6226191,'1992-06-11 00:00:00',2,8,12,2010,'M','N','VILA BARBOSA','TERRA RICA','PR','116161161316131731323319142331610127183',NULL,'9998',22.72,1,3,NULL),(25,6226205,'1987-07-05 00:00:00',2,1,12,2004,'F','N','AGRONOMIA','PTO ALEGRE','RS','120201201116473431113335481124610126047',NULL,'9998',24.32,1,2,1),(25,6226213,'1991-01-17 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216373751447732575114232567182',6444,'270',57.86,1,3,NULL),(25,6226230,'1993-07-27 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431488812475122610134193',14377,'883',41.35,1,3,NULL),(25,6226256,'1991-01-13 00:00:00',2,1,11,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115373421635311385224610124057',5436,'307',57.73,1,2,1),(25,6226272,'1991-10-29 00:00:00',4,1,12,2009,'F','N','CAIÇARAS','LONDRINA','PR','116162161217471731569932575112610127143',NULL,'9998',0.00,1,3,NULL),(25,6226280,'1974-10-02 00:00:00',2,1,12,1991,'M','N','CENTRO','FLORIANÓPOLIS','SC','624251251327133421236654285132222367047',9615,'9998',48.67,1,3,NULL),(25,6226299,'1989-07-06 00:00:00',4,1,12,2009,'M','N','CONDOMINIO IATE CLUB','AMERICANA','SP','125254251217472751448811571121610167187',18786,'9998',31.79,1,3,NULL),(25,6226302,'1974-09-16 00:00:00',4,1,12,1990,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124092091217152731288842424122321462062',3524,'9998',64.49,4,3,NULL),(25,6226310,'1992-03-05 00:00:00',4,17,12,2009,'M','N','CENTRO','CANOINHAS','SC','124241241111271751357822571124610142183',8795,'154',53.42,1,3,NULL),(25,6226329,'1989-01-30 00:00:00',2,1,12,2005,'M','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124241241216141411536911291324130837182',NULL,'63',NULL,1,3,NULL),(25,6226337,'1988-08-07 00:00:00',2,1,11,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241417131451336633345124133217067',NULL,'1168',21.97,1,3,NULL),(25,6226345,'1994-02-05 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216111521457634575124610113142',13507,'270',45.91,1,3,NULL),(25,6226361,'1992-07-20 00:00:00',4,1,12,2009,'F','N','JARDIM GLORIA','BENTO GONÇALVES','RS','120122201211471451349912575124610118127',5030,'9998',56.85,1,3,NULL),(25,6226370,'1994-01-30 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124244241215111431366853575124610134042',9830,'1118',48.92,1,3,NULL),(25,6226388,'1993-03-21 00:00:00',4,8,12,2010,'F','N','BOA VISTA','JOINVILLE','SC','124244241216122431469932475122610164041',11840,'1063',48.43,1,3,NULL),(25,6226396,'1992-05-02 00:00:00',4,1,12,2010,'M','N','BELA VISTA I','S JOSÉ','SC','124242248215141431328879292121610164047',21333,'1078',29.24,1,3,NULL),(25,6226400,'1984-10-22 00:00:00',2,1,12,2000,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241216372431243543335122321126143',6250,'487',58.22,1,3,NULL),(25,6226418,'1993-04-08 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111231446811472125610162052',13338,'270',43.74,1,3,NULL),(25,6226426,'1993-10-04 00:00:00',2,1,11,2010,'F','N','JARDIM SÃO MIGUEL','BIGUAÇU','SC','124242241215161431339724572222610123147',12108,'63',44.72,1,3,NULL),(25,6226442,'1990-11-10 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241117253411338631495124232736195',16542,'307',41.32,1,3,NULL),(25,6226450,'1993-02-01 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215472431348929595122610123127',4179,'262',61.03,1,3,NULL),(25,6226469,'1992-01-27 00:00:00',2,1,12,2009,'F','N','SACO DS LIMÕES','FLORIANÓPOLIS','SC','124241241215272731346874571114610115187',11951,'1022',46.00,1,3,NULL),(25,6226477,'1990-12-30 00:00:00',2,1,12,2009,'M','N','PONTE IMARUIM','PALHOÇA','SC','124241241126131431345631315124610127042',NULL,'591',24.63,1,2,1),(25,6226485,'1993-06-17 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431367732575112610133182',11942,'1168',43.48,1,3,NULL),(25,6226493,'1993-10-05 00:00:00',4,1,11,2010,'F','N','FAZENDA','ITAJAÍ','SC','124242241215111431388812572122610162072',10047,'270',48.15,1,3,NULL),(25,6226507,'1993-05-03 00:00:00',2,1,12,2010,'F','N','N S DO ROSÁRIO','S JOSÉ','SC','124242241212111431338614572112610124142',15159,'723',42.93,1,3,NULL),(25,6226515,'1993-11-10 00:00:00',2,8,12,2010,'F','N','ANO BOM','CORUPÁ','SC','124242248216111431435532572124610167017',NULL,'442',23.86,1,3,NULL),(25,6226523,'1993-07-24 00:00:00',4,10,12,2010,'F','N','VILA NOVA','IMBITUBA','SC','124241241117131431624311572124610144147',10437,'359',46.62,1,2,1),(25,6226531,'1993-03-15 00:00:00',4,1,12,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241115152431569813572121221437137',275,'267',80.04,1,2,1),(25,6226540,'1981-04-06 00:00:00',2,16,7,2007,'M','N','CENTRO','CURITIBANOS','SC','124241247226373431536416152112610147045',12723,'9999',44.35,1,3,NULL),(25,6226558,'1994-11-18 00:00:00',4,8,12,2011,'F','S','PIRABEIRABA','JOINVILLE','SC','124241241216111731448739575124610124147',NULL,'861',32.34,1,3,NULL),(25,6226574,'1992-11-19 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241217111431655633575124610164082',5291,'1118',58.05,1,3,NULL),(25,6226590,'1993-04-06 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116142431446623245114610167112',NULL,'307',25.11,1,3,NULL),(25,6226604,'1993-08-28 00:00:00',4,9,11,2010,'M','N','SCHIRNER','STO ÂNGELO','RS','120203201217151431458714575122610124057',8563,'9998',48.94,1,3,NULL),(25,6226612,'1993-07-24 00:00:00',4,1,12,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215111431438934575122610124185',17132,'781',34.83,1,3,NULL),(25,6226620,'1992-01-10 00:00:00',4,1,12,2009,'M','N','ALTO DE PINHEIROS','S PAULO','SP','125252251416411411468811471122610147052',NULL,'9998',0.00,1,3,NULL),(25,6226639,'1993-06-18 00:00:00',4,1,12,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241117151411444414575114610138015',19670,'281',28.38,1,2,1),(25,6226647,'1992-04-15 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124244241215473731549911572114610128175',3784,'270',62.26,1,3,NULL),(25,6226655,'1982-03-11 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','624041046134272431344641314224521734092',3601,'9998',62.57,2,2,1),(25,6226663,'1989-10-03 00:00:00',2,6,12,2005,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241437142441228579195122230666097',7645,'1039',55.55,1,3,NULL),(25,6226671,'1993-05-21 00:00:00',2,1,12,2010,'F','N','CENTRO HISTÓRICO','S JOSÉ','SC','124241241114371731325614572124610122097',18511,'728',31.67,1,2,1),(25,6226680,'1993-05-10 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124241241215111431436614572122610127062',20711,'737',27.50,1,3,NULL),(25,6226698,'1987-04-09 00:00:00',2,1,12,2005,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241111132721546424445134610167042',16956,'257',40.69,1,2,1),(25,6226701,'1989-06-01 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241327131521226444245124610164057',NULL,'1000',22.59,1,3,NULL),(25,6226710,'1993-07-19 00:00:00',2,3,12,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241215132221236612572224610162197',7459,'781',52.87,1,3,NULL),(25,6226728,'1993-04-23 00:00:00',4,6,10,2010,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124242241217111431348815572124610144052',1111,'1017',73.35,1,3,NULL),(25,6226744,'1994-01-04 00:00:00',4,1,12,2010,'F','N','SÃO FRANCISCO DE ASS','STO AMARO IMPERATRIZ','SC','124241241117151431526514575122610144147',10498,'739',45.69,1,2,1),(25,6226760,'1992-03-03 00:00:00',2,1,12,2008,'F','N','CENTRO','LEBON RÉGIS','SC','124243241316573731546712572112610162147',6652,'120',53.50,1,3,NULL),(25,6226779,'1993-12-29 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431378932575122610142055',8289,'262',50.34,1,3,NULL),(25,6226809,'1993-04-19 00:00:00',4,1,11,2010,'M','N','AGUA VERDE','CURITIBA','PR','116052161216371431449934441111610167125',7478,'9998',52.65,1,3,NULL),(25,6226817,'1994-04-20 00:00:00',2,4,12,2010,'M','N','JARDIM','MARAVILHA','SC','124241241116111431428817575122610117042',NULL,'552',31.85,1,2,1),(25,6226825,'1993-09-15 00:00:00',2,10,12,2010,'F','N','RIO PEQUENO','GR PARÁ','SC','124241241117271431454316185124610133052',18222,'330',33.14,1,2,1),(25,6226841,'1993-05-07 00:00:00',4,1,12,2010,'M','N','BOSQUE DOS EUCALÍTPO','S JOSÉ CAMPOS','SP','125252251216111231558924575122610167017',11826,'9998',43.27,1,3,NULL),(25,6226850,'1994-08-24 00:00:00',2,17,12,2010,'F','N','CENTRO','PAPANDUVA','SC','124241241112131411439933582124610157047',18702,'267',37.55,1,2,1),(25,6226868,'1988-09-25 00:00:00',4,1,12,2006,'F','N','MOEMA','S PAULO','SP','125252251217571431346811571122610122147',1438,'9998',69.10,1,3,NULL),(25,6226884,'1991-10-10 00:00:00',4,9,12,2008,'F','N','NOVA PETROPOLIS','LAGES','SC','120242241215574431446631575112610164142',108,'499',83.16,1,3,NULL),(25,6226892,'1990-09-18 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','116164161216574431558612572112610132182',1299,'9998',72.13,1,3,NULL),(25,6226906,'1994-01-30 00:00:00',4,5,11,2011,'F','S','CENTRO','CRICIÚMA','SC','123242241216271432467832475122610122142',NULL,'226',53.99,1,3,NULL),(25,6226914,'1994-03-26 00:00:00',4,1,11,2011,'F','S','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124244241115151431358513575124610117072',NULL,'271',43.01,1,3,NULL),(25,6226922,'1991-11-19 00:00:00',4,1,12,2008,'F','N','BROOKLIN','S PAULO','SP','125252251217571711468812471124610164122',860,'9998',73.68,3,3,NULL),(25,6226930,'1992-11-13 00:00:00',2,5,12,2009,'F','N','SANTA BARBARA','CRICIÚMA','SC','124242243215471431436934575124610147052',18874,'995',37.18,1,3,NULL),(25,6226949,'1993-09-28 00:00:00',4,8,11,2010,'F','N','ORLEANS','CURITIBA','PR','116162161215471431447712575122610122182',NULL,'9998',0.00,1,3,NULL),(25,6226957,'1993-08-20 00:00:00',4,1,12,2010,'M','N','FAZENDA DO MAX','S JOSÉ','SC','124241241215272531453623575124610162142',1710,'737',70.11,1,3,NULL),(25,6226965,'1981-11-11 00:00:00',4,1,12,2002,'M','N','POTECAS','S JOSÉ','SC','124241241122151312423323332214132712051',18928,'734',37.07,2,3,NULL),(25,6226973,'1991-10-19 00:00:00',2,1,12,2009,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124242241215152431236923575124230443195',NULL,'272',0.00,1,3,NULL),(25,6226981,'1993-02-19 00:00:00',4,16,12,2010,'M','N','FIGUEROA','CAÇADOR','SC','124241241217161411336613235112610146177',11098,'119',44.86,1,3,NULL),(25,6227007,'1991-03-29 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','116162161216573431458712572112610132082',616,'9998',76.61,1,3,NULL),(25,6227015,'1993-12-29 00:00:00',4,1,12,2010,'F','N','OLARIA','CAMAQUÃ','RS','120203201217151411436923375122610146052',9761,'9998',47.68,1,3,NULL),(25,6227023,'1992-01-06 00:00:00',2,1,12,2008,'F','N','ATUBA','CURITIBA','PR','116163161217271431489814375124141462147',NULL,'9998',0.00,1,3,NULL),(25,6227031,'1971-11-19 00:00:00',4,1,12,1989,'M','N','ESTREITO','FLORIANÓPOLIS','SC','524241243347234421356344242122320224067',19036,'257',36.88,4,3,NULL),(25,6227058,'1994-02-09 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244248214111732447634275131610168187',13004,'1022',46.59,1,3,NULL),(25,6227066,'1993-03-08 00:00:00',2,1,12,2010,'F','N','COSTA DO MACACU','GAROPABA','SC','124241241145471431526379186124610122182',11146,'307',46.60,1,2,1),(25,6227074,'1992-10-13 00:00:00',2,1,12,2009,'F','N','BAIRRO DER','CAÇADOR','SC','124242241217272451558611375124233223172',5261,'270',59.70,1,3,NULL),(25,6227082,'1994-02-25 00:00:00',4,17,12,2010,'M','N','INTERIOR','CANOINHAS','SC','124241241116111431437936365124610137047',NULL,'146',21.49,1,3,NULL),(25,6227090,'1993-01-30 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124164241215111431479813572122610124142',11273,'1169',43.44,1,3,NULL),(25,6227104,'1974-10-20 00:00:00',2,1,12,1992,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241243117235431123639444124613267042',13583,'357',42.42,1,2,1),(25,6227112,'1993-07-23 00:00:00',4,15,11,2010,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124244241217131451436639375125610136127',12164,'26',47.89,4,3,NULL),(25,6227120,'1994-09-07 00:00:00',4,1,11,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217111441568813572114610167111',NULL,'270',23.59,1,3,NULL),(25,6227155,'1991-03-15 00:00:00',4,4,12,2008,'M','N','CENTRO','STA MARIA','RS','120201201116572411434411575112610166192',174,'9998',80.93,1,2,1),(25,6227163,'1993-01-16 00:00:00',2,1,12,2010,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124244241215111431636812392112610113073',15405,'9997',38.56,1,3,NULL),(25,6227180,'1990-02-19 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241216275431126644345124610167072',12235,'809',47.79,1,3,NULL),(25,6227198,'1993-08-04 00:00:00',2,5,12,2010,'M','N','CENTRO','ARARANGUÁ','SC','124242241211171451438812375111610167117',5076,'226',59.25,1,3,NULL),(25,6227201,'1993-01-22 00:00:00',2,1,11,2010,'M','N','CENTRO','OURO','SC','124244241417111431456912572124610117042',2752,'270',66.21,1,3,NULL),(25,6227210,'1994-03-14 00:00:00',4,1,12,2011,'F','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241115131211426621412124610118142',NULL,'307',7.41,1,3,NULL),(25,6227236,'1994-02-12 00:00:00',2,4,12,2010,'F','N','AVENIDA RIO BRANCO','PALMITOS','SC','124241241114171731433539575124610126147',18046,'601',33.78,1,2,1),(25,6227252,'1993-01-25 00:00:00',2,1,12,2010,'F','N','BARRA LAGOA','FLORIANÓPOLIS','SC','124241241127131531335629385124610141147',NULL,'290',13.77,1,2,1),(25,6227260,'1991-07-02 00:00:00',2,8,11,2009,'M','N','GLORIA','JOINVILLE','SC','124244161313471432335534492212610137057',21019,'9998',31.03,1,3,NULL),(25,6227279,'1992-10-05 00:00:00',4,16,12,2009,'M','N','BOM JESUS','CURITIBANOS','SC','124241241114141131426314242122610116053',NULL,'239',20.05,1,2,1),(25,6227287,'1992-10-11 00:00:00',2,8,11,2009,'M','N','JUVEVE','CURITIBA','PR','116163161136572451463973571114610164187',5737,'9998',58.91,1,3,NULL),(25,6227295,'1993-01-10 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241216111431356612325125610167116',6728,'226',57.03,1,3,NULL),(25,6227317,'1993-09-26 00:00:00',4,3,12,2010,'F','N','JD SÃO SEBASTIÃO','CPO MOURÃO','PR','116162161216421431468831575112610167127',NULL,'9998',35.76,1,3,NULL),(25,6227333,'1992-12-19 00:00:00',4,6,12,2009,'M','N','SÃO JUDAS','ITAJAÍ','SC','124133241416131421435711345125610128042',15117,'395',39.94,4,3,NULL),(25,6227341,'1989-02-18 00:00:00',2,15,12,2006,'M','N','NOVA ROMA','MRO GRANDE','SC','124241241147131722533344345112610114067',NULL,'568',0.00,1,2,1),(25,6227350,'1993-05-28 00:00:00',4,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241115471431224624475124610127017',20794,'733',31.96,1,2,1),(25,6227368,'1992-02-13 00:00:00',4,1,12,2009,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161216271411478823475122610167043',8331,'9998',50.97,1,3,NULL),(25,6227376,'1993-04-07 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431348923575122610124147',4231,'1050',59.93,1,3,NULL),(25,6227384,'1981-10-27 00:00:00',2,15,11,1999,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','224241241126131731623341142225131927057',21710,'29',25.02,1,2,1),(25,6227392,'1991-10-17 00:00:00',4,1,11,2009,'F','N','DAMHA II','S JOSÉ R PRETO','SP','125252251217371431555412574112610163077',7435,'9998',55.90,1,3,NULL),(25,6227406,'1992-03-20 00:00:00',4,4,12,2010,'M','N','CENTRO','PATO BRANCO','PR','116161161135131731433614295121610122032',18718,'9998',32.16,1,2,1),(25,6227422,'1993-03-10 00:00:00',2,4,12,2010,'F','N','SANTA LÚCIA','PALMITOS','SC','124241241116151431454416575122610126142',NULL,'601',0.00,1,2,1),(25,6227430,'1993-03-24 00:00:00',4,1,12,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241415161451427319576124610145057',19493,'63',35.84,1,3,NULL),(25,6227449,'1991-02-16 00:00:00',4,1,12,2008,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124244241216373431333769445114610124142',11420,'269',45.41,1,3,NULL),(25,6227457,'1993-04-29 00:00:00',4,8,12,2010,'F','N','LIMA AZEVEDO','LONDRINA','PR','116162161216111431228811475122610166196',2579,'9998',65.23,1,3,NULL),(25,6227465,'1990-09-23 00:00:00',2,1,12,2008,'F','N','SANTINA','LIMEIRA','SP','125251251146371451426518345114610166147',NULL,'9998',0.00,1,3,NULL),(25,6227473,'1995-08-03 00:00:00',4,2,12,2011,'F','S','MOURA','CANELINHA','SC','124241241125151731554712574121610134057',NULL,'913',21.92,1,3,NULL),(25,6227490,'1992-01-06 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215472431323314376124610134017',14323,'724',40.77,1,3,NULL),(25,6227503,'1991-04-21 00:00:00',2,1,12,2008,'F','N','MARIA GORETTI','CHAPECÓ','SC','124241241116573411578934595122610161197',12521,'169',47.30,1,2,1),(25,6227520,'1991-02-20 00:00:00',2,17,12,2008,'F','N','CENTRO','PAPANDUVA','SC','124241241115471431324619271125610124147',NULL,'603',28.92,1,2,1),(25,6227538,'1993-03-05 00:00:00',4,9,12,2010,'F','N','PENHA','LAGES','SC','124242241215112431439813582122610123147',18241,'499',33.13,1,3,NULL),(25,6227546,'1994-08-14 00:00:00',4,8,12,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241217111431457912595121610127057',12973,'931',46.63,1,3,NULL),(25,6227554,'1994-11-12 00:00:00',4,9,10,2011,'M','S','CENTRO','LAGES','SC','124241241215151431337731575122610132147',NULL,'1207',46.67,1,3,NULL),(25,6227562,'1993-06-01 00:00:00',4,2,12,2010,'F','N','GASPARINHO','GASPAR','SC','124242248217111431356512575122610122017',4018,'855',61.39,1,3,NULL),(25,6227589,'1993-08-30 00:00:00',2,17,12,2010,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124243241415111441546932575122610114052',NULL,'154',0.00,1,3,NULL),(25,6227597,'1993-03-03 00:00:00',4,7,12,2010,'F','N','CENTRO','VIDEIRA','SC','124241241115111421525336575324610132147',19498,'831',30.84,1,2,1),(25,6227600,'1993-09-29 00:00:00',4,1,10,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472441468832587112610164192',941,'270',74.30,1,3,NULL),(25,6227619,'1991-10-27 00:00:00',4,8,12,2009,'F','N','JARDIM HIGIENÓPOLIS','LONDRINA','PR','116252251215472431369814574342610144092',1114,'9998',72.73,1,3,NULL),(25,6227627,'1992-01-26 00:00:00',4,1,12,2009,'F','N','SANTA CECÍLIA','S PAULO','SP','125252251211371211578812572122610164072',NULL,'9998',0.00,1,3,NULL),(25,6227635,'1993-06-06 00:00:00',4,1,11,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217121431456823575114610132045',12575,'270',42.43,1,3,NULL),(25,6227643,'1993-07-28 00:00:00',4,1,12,2010,'F','N','CENTRO','ITAPETININGA','SP','125252251215111411356812574112610122032',NULL,'9998',0.00,1,3,NULL),(25,6227651,'1994-06-03 00:00:00',4,2,12,2012,'M','S','QUINTINO','TIMBÓ','SC','124242241215151431368931475122610168131',NULL,'1157',27.34,1,3,NULL),(25,6227660,'1991-03-27 00:00:00',2,8,12,2007,'F','N','CENTRO','JOINVILLE','SC','124242241416133431228419375225120812097',6433,'465',55.43,1,3,NULL),(25,6227678,'1993-04-07 00:00:00',4,5,11,2010,'F','N','VERA CRUZ','CRICIÚMA','SC','124242241215111411268932595122610142117',11509,'226',43.47,1,3,NULL),(25,6227686,'1993-09-21 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112431458712575122610127062',7135,'1169',53.93,1,3,NULL),(25,6227708,'1993-08-02 00:00:00',2,10,11,2010,'F','N','SÃO RAIMUNDO','TUBARÃO','SC','124244241215111421555634575122610124052',19365,'807',36.14,1,3,NULL),(25,6227716,'1993-02-12 00:00:00',2,3,12,2010,'M','N','JARDIM VANIA','PARANAVAÍ','PR','116162161215271431458934572112610124067',NULL,'9998',31.93,4,3,NULL),(25,6227740,'1994-01-10 00:00:00',4,10,12,2010,'M','N','CENTRO','TUBARÃO','SC','124242241235151431459914575122610117087',15099,'797',39.15,1,3,NULL),(25,6227767,'1988-05-28 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241126134411436411241124610122172',NULL,'922',31.34,1,3,NULL),(25,6227775,'1993-02-27 00:00:00',2,4,11,2010,'F','N','FÁTIMA','ERECHIM','RS','120201201215111431446619575122610164142',NULL,'9998',25.94,1,3,NULL),(25,6227783,'1993-06-21 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116372431469934575122610164012',5832,'267',59.11,1,2,1),(25,6227805,'1993-01-06 00:00:00',4,1,11,2010,'M','N','MARTIM DE SA','CARAGUATATUBA','SP','125252251215121431336613575112610137182',2774,'9998',65.02,4,3,NULL),(25,6227813,'1993-06-16 00:00:00',2,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241211271431339613275122610137042',NULL,'1105',0.00,1,3,NULL),(25,6227821,'1991-07-28 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215572551457811575115610164047',2796,'962',66.54,4,3,NULL),(25,6227830,'1992-10-03 00:00:00',4,1,11,2009,'F','N','CAPÃO DA IMBUAIA','CURITIBA','PR','116161161216472331438614572124610126072',9954,'9998',47.87,1,3,NULL),(25,6227848,'1993-12-08 00:00:00',2,5,11,2010,'F','N','MARIA CÉU','CRICIÚMA','SC','124241241215131431333411375124610124147',NULL,'213',0.00,1,3,NULL),(25,6227856,'1992-05-28 00:00:00',4,8,12,2010,'F','N','CAPÃO DE IMBUIA','CURITIBA','PR','116163161315471431336934271124610165097',16468,'9998',41.44,1,3,NULL),(25,6227864,'1992-05-09 00:00:00',4,1,11,2009,'M','N','NUCLEO ENGORDADOR','S PAULO','SP','125252171216372711341679416115610168117',NULL,'9998',0.00,1,3,NULL),(25,6227872,'1989-02-27 00:00:00',2,8,12,2006,'F','N','RAMOS','RIO JANEIRO','RJ','121211211116131731323427575124610163092',NULL,'9998',23.54,1,2,1),(25,6227880,'1993-10-28 00:00:00',4,7,12,2010,'F','N','INTERIOR','VIDEIRA','SC','124241241117151431623623372124610134177',NULL,'831',0.00,1,2,1),(25,6227899,'1992-11-18 00:00:00',4,3,11,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215472431437719575112610167012',9564,'9997',48.11,1,3,NULL),(25,6227902,'1993-01-31 00:00:00',2,10,11,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124244241415121431446732325122610124147',20884,'807',31.59,1,3,NULL),(25,6227929,'1984-08-14 00:00:00',4,5,11,2002,'M','N','CENTRO','CRICIÚMA','SC','124242241215471421368632284122330747187',NULL,'211',30.08,1,3,NULL),(25,6227937,'1992-09-02 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124242241215111431468639172112610165142',18058,'881',34.05,1,3,NULL),(25,6227945,'1993-03-10 00:00:00',4,4,12,2010,'M','N','ARVOREDO','CONCÓRDIA','SC','124243243215151431456833476122610144186',11344,'1001',44.42,1,3,NULL),(25,6227961,'1992-10-14 00:00:00',2,4,11,2009,'F','N','CENTRO','SEVERIANO ALMEIDA','RS','120201201217471431428933575125610164142',13994,'9998',45.18,1,3,NULL),(25,6227970,'1991-11-29 00:00:00',4,3,12,2008,'M','N','JARDIM PANORAMA','VINHEDO','SP','125251246237152411568814345122241467041',16898,'1061',40.78,1,3,NULL),(25,6227988,'1993-04-17 00:00:00',2,4,12,2009,'M','N','JD SANTA MARIA','TOLEDO','PR','116162161216471731475512175122610167182',2942,'9998',64.03,1,3,NULL),(25,6227996,'1993-07-03 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111431449833575124610131192',8162,'270',51.05,1,3,NULL),(25,6228003,'1991-12-16 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241212373431449733375114130734197',9630,'723',50.93,1,3,NULL),(25,6228011,'1991-11-20 00:00:00',4,4,12,2008,'F','N','CENTRO','BELMONTE','SC','120241241215571431436913374124610133092',NULL,'751',0.00,1,3,NULL),(25,6228020,'1989-03-29 00:00:00',4,1,12,2007,'M','N','TERRAS DO BARÃO','CAMPINAS','SP','125132251217572431279913572122230227093',NULL,'9998',41.22,1,3,NULL),(25,6228046,'1991-04-09 00:00:00',2,15,11,2008,'M','N','MATO ALTO','ARARANGUÁ','SC','124242241212575431538713572122610164142',7129,'970',53.68,1,3,NULL),(25,6228054,'1988-12-21 00:00:00',4,3,12,2006,'M','N','PRAÇA','TIJUCAS','SC','124242241217473451334334242121610162197',19298,'781',36.28,3,3,NULL),(25,6228070,'1981-01-15 00:00:00',4,1,11,1999,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224242244236131421333343435114610167187',19747,'882',35.27,1,3,NULL),(25,6228119,'1993-01-09 00:00:00',2,1,11,2009,'F','N','VILA OPERARIA','MARINGÁ','PR','116113111215471451448939572122610162147',8005,'9998',50.82,1,3,NULL),(25,6228135,'1993-04-28 00:00:00',4,7,12,2010,'M','N','CENTRO','HERVAL D OESTE','SC','124241241415151431459933575122610137072',4786,'446',59.07,1,3,NULL),(25,6228143,'1993-05-10 00:00:00',4,6,10,2010,'F','N','SÃO JOÃO','CURITIBA','PR','116162161215111431458914575122610162093',1704,'9998',68.97,1,3,NULL),(25,6228151,'1993-04-19 00:00:00',4,7,11,2010,'F','N','CENTRO','CAPINZAL','SC','124241241216111331346736495122610124012',NULL,'1093',25.93,1,3,NULL),(25,6228178,'1992-04-30 00:00:00',4,1,11,2009,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124244241135372431357614575122610168095',NULL,'307',26.46,1,3,NULL),(25,6228194,'1991-02-05 00:00:00',2,1,12,2008,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124162141216131431336713585124143267042',15309,'9998',43.23,4,3,NULL),(25,6228208,'1992-04-13 00:00:00',2,15,12,2010,'M','N','PRIMEIRO DE MAIO','IÇARA','SC','124241241116371431313329572124610166027',NULL,'1005',27.43,1,2,1),(25,6228216,'1993-05-27 00:00:00',4,1,11,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215271431487814572112610127122',2892,'262',66.26,1,3,NULL),(25,6228224,'1993-01-25 00:00:00',2,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431339911572122610138142',NULL,'737',29.63,1,3,NULL),(25,6228232,'1970-03-29 00:00:00',4,1,11,1995,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','624241247424132421634341215124233244191',NULL,'263',8.48,2,3,NULL),(25,6228240,'1991-06-03 00:00:00',4,1,12,2008,'M','N','JD ALVORADA','LONDRINA','PR','116162161216571431129944441323610124067',NULL,'9998',41.54,1,3,NULL),(25,6228259,'1993-12-28 00:00:00',4,1,11,2010,'F','N','JUVEVÊ','CURITIBA','PR','116162161215121431488832575122610124183',4556,'9998',59.42,3,3,NULL),(25,6228267,'1991-04-14 00:00:00',4,1,10,2009,'F','N','ICARAY','ARAÇATUBA','SP','125252251217471431578833575114610122186',NULL,'9998',0.00,1,3,NULL),(25,6228275,'1993-03-22 00:00:00',4,6,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431369933575122610134122',15977,'1038',42.18,1,3,NULL),(25,6228283,'1990-06-05 00:00:00',4,1,11,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241215133431236929345124131468122',18069,'1036',38.70,1,3,NULL),(25,6228305,'1993-12-03 00:00:00',4,1,12,2011,'F','S','EUCLIDES MIRANDA','SUMARÉ','SP','125252258217171431453374595125610168144',NULL,'9998',23.40,2,3,NULL),(25,6228321,'1990-05-22 00:00:00',4,1,12,2006,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124204208111271411536961145133610127042',NULL,'9998',0.00,1,3,NULL),(25,6228356,'1991-01-21 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241147141451214444245114133265145',NULL,'192',29.64,1,3,NULL),(25,6228364,'1993-07-16 00:00:00',3,8,10,2010,'F','N','BIGORRILHO','CURITIBA','PR','116162161215121431449918575114610134042',8790,'9998',52.73,1,3,NULL),(25,6228372,'1992-02-21 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124252241215372431465712572112610133095',4511,'1169',59.97,4,3,NULL),(25,6228380,'1992-12-03 00:00:00',4,1,11,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215372431469933572112610137161',668,'262',75.84,1,3,NULL),(25,6228399,'1989-05-03 00:00:00',4,1,12,2006,'M','N','FORQUILHAS','S JOSÉ','SC','124241241117152431333313345114610134052',21045,'257',30.89,1,2,1),(25,6228410,'1993-12-09 00:00:00',4,5,12,2010,'F','N','QUARTA LINHA','CRICIÚMA','SC','124241241417131411433334572124610137042',13101,'995',46.46,1,3,NULL),(25,6228429,'1992-12-17 00:00:00',2,4,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116161166115271411533336572124610123057',6047,'9998',54.54,1,2,1),(25,6228437,'1992-04-07 00:00:00',2,4,12,2009,'F','N','VILA YOLANDA','FOZ IGUAÇU','PR','116162161317472311358813472112610164142',9025,'9998',49.86,1,3,NULL),(25,6228445,'1993-05-13 00:00:00',2,1,11,2010,'F','N','JARDIM CLAUDIA','S PAULO','SP','125252251216111431459914572122610121112',7044,'9998',52.92,1,3,NULL),(25,6228488,'1991-06-06 00:00:00',2,1,12,2009,'F','N','NITERÓI','CANOAS','RS','120202201417471711534414475124610122077',17553,'9998',34.33,1,3,NULL),(25,6228496,'1978-06-16 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','224241247126271711431351272112610123182',NULL,'9997',29.89,1,3,NULL),(25,6228500,'1993-04-28 00:00:00',2,1,12,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115152212323311575124610122062',20103,'298',34.30,1,2,1),(25,6228518,'1992-03-31 00:00:00',2,17,12,2009,'F','N','ESPIGÃO DO BUGRE','MAFRA','SC','124241241137372411633611242224610123172',17083,'544',35.23,1,2,1),(25,6228534,'1993-03-31 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241241116151331438832575124231427052',NULL,'192',38.32,1,2,1),(25,6228542,'1990-02-06 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215172431459933395124222231147',NULL,'270',0.00,1,3,NULL),(25,6228550,'1992-02-21 00:00:00',4,5,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215473431477932571125610164192',618,'213',75.57,1,3,NULL),(25,6228569,'1992-09-28 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215112431489933172112610141176',4623,'737',59.45,1,3,NULL),(25,6228577,'1993-04-30 00:00:00',2,1,12,2010,'F','N','CENTRO','LARANJEIRAS SUL','PR','116163161116271431423821575125610137042',6183,'9998',55.73,1,3,NULL),(25,6228585,'1993-10-06 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241215112431569913475122610168142',5607,'499',55.97,1,3,NULL),(25,6228593,'1992-07-14 00:00:00',2,17,12,2009,'M','N','INTERIOR','MAFRA','SC','124241241116271411634315255324610114042',14569,'544',40.98,1,2,1),(25,6228607,'1993-01-19 00:00:00',2,15,12,2010,'F','N','JARDIM SILVANA','IÇARA','SC','124241241116371132326639591122610164187',21223,'1005',29.93,1,2,1),(25,6228615,'1993-07-23 00:00:00',4,8,12,2010,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124242241215111431268823395121610137012',12717,'441',42.63,4,3,NULL),(25,6228623,'1993-05-06 00:00:00',2,3,12,2010,'F','N','PILARZINHO','CURITIBA','PR','116163161315421431446611215124610132147',11327,'9998',45.58,1,3,NULL),(25,6228631,'1993-12-31 00:00:00',4,1,12,2010,'M','N','JD PRESIDENTE DUTRA','GUARULHOS','SP','125252251217131432436614575124610132142',18107,'9998',32.69,4,3,NULL),(25,6228640,'1991-12-27 00:00:00',2,5,12,2009,'F','N','SANTA BARBARA','CRICIÚMA','SC','124242241217473431556611575125610167092',1117,'213',73.32,1,3,NULL),(25,6228658,'1994-05-27 00:00:00',2,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124242241215111751346914272114610127115',15682,'1022',42.63,1,3,NULL),(25,6228666,'1993-07-02 00:00:00',2,8,12,2010,'M','N','CENTRO','S SEBASTIÃO AMOREIRA','PR','116162161417111231349932575122610124057',NULL,'9998',0.00,4,3,NULL),(25,6228704,'1962-09-15 00:00:00',2,1,11,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','624242247227131512269643435113610117167',NULL,'9999',0.00,1,3,NULL),(25,6228712,'1993-10-07 00:00:00',2,4,11,2010,'F','N','PROGRESSO','S LOURENÇO OESTE','SC','124244161216371331458832575124610128142',17859,'9998',33.91,1,3,NULL),(25,6228720,'1994-04-28 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','624242248215111732436613585122610127057',20679,'738',32.47,1,3,NULL),(25,6228747,'1994-04-08 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431459931595122610164057',11817,'1169',48.46,1,3,NULL),(25,6228755,'1993-12-09 00:00:00',2,1,12,2011,'F','S','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124244241215111431346832575124610122052',NULL,'1023',30.79,1,3,NULL),(25,6228771,'1994-05-03 00:00:00',4,8,12,2010,'M','N','JOÃO COSTA','JOINVILLE','SC','124241241215131731448614345121610121187',15921,'489',42.27,1,3,NULL),(25,6228780,'1993-09-23 00:00:00',4,1,12,2010,'M','N','CAMPO CUMPRIDO','CURITIBA','PR','116162161215111431389932575114610164012',NULL,'9998',0.00,1,3,NULL),(25,6228798,'1993-11-09 00:00:00',2,10,12,2010,'F','N','CORRIDAS','ORLEANS','SC','124241241115111531547912275122610123142',NULL,'580',0.00,1,3,NULL),(25,6228801,'1993-09-13 00:00:00',2,1,12,2010,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241131471431326639575124610124012',21098,'733',30.67,1,2,1),(25,6228828,'1988-12-07 00:00:00',5,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241147271431423339282114610164047',6505,'531',57.70,1,2,1),(25,6228844,'1993-10-11 00:00:00',4,2,11,2010,'M','N','CENTRO','BRAÇO TROMBUDO','SC','124243241215131431446634575124610124147',12499,'654',42.12,1,3,NULL),(25,6228852,'1993-02-26 00:00:00',2,5,12,2010,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111431568923575112610134062',2144,'226',67.95,2,3,NULL),(25,6228860,'1979-11-06 00:00:00',4,1,11,1997,'M','N','PANTANAL','FLORIANÓPOLIS','SC','624252256116271441236633245122141451117',NULL,'9999',37.10,1,3,NULL),(25,6228879,'1993-03-04 00:00:00',4,9,11,2010,'M','N','CANTA GALO','RIO SUL','SC','124244241215112432438923575125610138042',6114,'991',58.49,1,3,NULL),(25,6228909,'1992-11-13 00:00:00',2,4,12,2010,'M','N','VILA GERASUL','ITÁ','SC','124241241117131431326614395121610137047',NULL,'383',17.86,1,2,1),(25,6228941,'1993-04-14 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121441569833575112610144092',98,'270',83.68,1,3,NULL),(25,6228950,'1993-10-20 00:00:00',4,8,12,2010,'M','N','ACARAI','S FRANCISCO SUL','SC','124241248115161441636661575124610136042',10941,'24',45.79,4,2,1),(25,6228968,'1994-03-09 00:00:00',4,1,12,2011,'F','S','FORQUILHINHAS','S JOSÉ','SC','124241244215111231545513575122610133052',NULL,'1076',20.07,1,3,NULL),(25,6228976,'1992-11-27 00:00:00',4,1,12,2009,'M','N','CENTRO','CURITIBA','PR','116161161117141411335723575114610168147',NULL,'9998',26.83,1,2,1),(25,6228984,'1992-12-28 00:00:00',4,9,12,2010,'M','N','CENTRO','AGROLÂNDIA','SC','124241241136141432543933335121610127052',19819,'6',30.04,1,2,1),(25,6228992,'1994-04-18 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124244246114141431659713345124610134053',7955,'306',54.89,1,3,NULL),(25,6229000,'1993-05-26 00:00:00',4,8,12,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124241241217131411436611572121610167042',16936,'1006',35.12,4,3,NULL),(25,6229018,'1991-12-10 00:00:00',2,1,12,2008,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241116132431436614345124610124187',NULL,'733',28.50,1,2,1),(25,6229026,'1989-12-16 00:00:00',4,1,12,2007,'F','N','SANTA RITA','APARECIDA','SP','125252251217571731578831575112610133057',3826,'9998',61.50,1,3,NULL),(25,6229034,'1989-08-16 00:00:00',2,8,11,2007,'F','N','BOM RETIRO','JOINVILLE','SC','124241241216272411336619275122131846142',NULL,'461',0.00,1,3,NULL),(25,6229050,'1993-09-29 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241116271731228623572124610126197',13358,'730',41.85,1,2,1),(25,6229069,'1988-03-14 00:00:00',4,1,11,2005,'F','N','VILA GUARANI','S PAULO','SP','125242251216571751327873594125610118187',NULL,'9998',0.00,4,3,NULL),(25,6229077,'1993-08-11 00:00:00',2,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215271431546613575122610166072',13711,'723',42.01,1,3,NULL),(25,6229085,'1992-12-29 00:00:00',2,4,12,2010,'M','N','CENTRO','CPO VERDE','MT','111112111236471731269821575122610128185',NULL,'9998',28.47,1,3,NULL),(25,6229093,'1991-03-11 00:00:00',4,5,12,2009,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120204201217471431268811475122142537042',624,'9998',76.07,1,3,NULL),(25,6229107,'1993-06-19 00:00:00',2,2,12,2010,'F','N','SERRA ALTA','S BENTO SUL','SC','124241241116271431324424275122610124147',NULL,'697',19.44,1,3,NULL),(25,6229115,'1993-04-14 00:00:00',4,9,12,2011,'M','S','CENTRO','SALETE','SC','124241241147161531638721315121610122177',NULL,'680',0.00,1,3,NULL),(25,6229131,'1993-07-06 00:00:00',4,4,12,2010,'F','N','CENTRO','ROMELÂNDIA','SC','124241241215111431459611575122610126092',8201,'1191',51.74,1,3,NULL),(25,6229140,'1994-09-29 00:00:00',4,1,12,2010,'F','N','PRAÇA DA BANDEIRA','RIO JANEIRO','RJ','121212216117141441579933575124610165072',9054,'9998',52.96,1,3,NULL),(25,6229182,'1993-05-16 00:00:00',4,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241116374431358612175124610143181',16368,'739',38.93,1,3,NULL),(25,6229212,'1990-08-03 00:00:00',2,15,12,2007,'F','N','CRISTO REI','ESTRELA','RS','120203201116271451433719572115610167047',NULL,'9998',39.95,1,3,NULL),(25,6229220,'1984-09-26 00:00:00',4,9,12,2002,'F','N','CENTRO','LAGES','SC','124244241216372431449813445123133124172',14210,'499',44.85,4,3,NULL),(25,6229239,'1990-04-02 00:00:00',4,3,12,2007,'M','N','CENTRO','ROLÂNDIA','PR','116162161216572431346823575122610127012',709,'9998',75.35,1,3,NULL),(25,6229247,'1993-01-11 00:00:00',2,6,12,2010,'M','N','UMBARÁ','CURITIBA','PR','116162161216472411435823575124610166097',32,'9998',86.68,4,3,NULL),(25,6229255,'1986-12-03 00:00:00',2,17,12,2003,'M','N','CENTRO','PAPANDUVA','SC','124241241147271421536319385121610126042',18901,'603',37.12,1,2,1),(25,6229280,'1993-05-01 00:00:00',2,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241315111431226634275124610147147',NULL,'739',28.53,1,3,NULL),(25,6229301,'1989-12-07 00:00:00',4,5,12,2009,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201336411431679811475124140467097',13315,'9998',40.60,1,3,NULL),(25,6229328,'1992-11-09 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241135131331521314575124610124142',20466,'257',27.75,3,2,1),(25,6229336,'1994-01-24 00:00:00',2,1,12,2010,'F','N','VILA SANTO ANTONIO','IMBITUBA','SC','124241243116271411636933576124610166182',11936,'359',43.18,1,2,1),(25,6229344,'1989-11-09 00:00:00',4,1,12,2007,'F','N','JARDIM DAS NAÇOES','TAUBATÉ','SP','125252251216572431469814175122610165027',1997,'9998',66.64,1,3,NULL),(25,6229352,'1993-05-05 00:00:00',2,7,12,2010,'M','N','CENTRO','PIRATUBA','SC','124241241117141431448933345122610134051',17836,'369',39.16,1,2,1),(25,6229360,'1991-01-08 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242247316471731539673576124610124142',10416,'9997',50.34,2,3,NULL),(25,6229379,'1992-04-29 00:00:00',2,1,12,2009,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215372731556713342124133228072',17711,'1048',39.39,1,3,NULL),(25,6229387,'1992-06-15 00:00:00',4,7,12,2009,'M','N','CENTRO','TREZE TÍLIAS','SC','124241241137141631445932345124610167057',NULL,'795',31.81,1,2,1),(25,6229395,'1991-03-06 00:00:00',4,8,12,2009,'F','N','FÁTIMA','JOINVILLE','SC','124241241121131731221344142134610127012',NULL,'893',30.66,1,2,1),(25,6229409,'1991-01-08 00:00:00',4,5,12,2008,'M','N','PROSPERA','CRICIÚMA','SC','124243246227171431333619245123233214117',NULL,'920',0.00,1,3,NULL),(25,6229417,'1991-08-18 00:00:00',2,7,12,2008,'M','N','CENTRO','CONCÓRDIA','SC','124241241117371431239929315132610127042',NULL,'192',26.11,1,2,1),(25,6229433,'1993-06-05 00:00:00',4,2,12,2010,'F','N','SANTA TEREZINHA','BRUSQUE','SC','124241241117271432226621296122610124072',NULL,'112',28.89,1,2,1),(25,6229441,'1992-03-04 00:00:00',4,1,11,2009,'M','N','SALGADO FILHO','ARACAJU','SE','126262261217271431369819475121241464146',9531,'9998',52.17,1,3,NULL),(25,6229450,'1992-10-29 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112431259931575124610167061',4142,'270',62.00,1,3,NULL),(25,6229468,'1994-03-14 00:00:00',4,1,12,2010,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241117141431428511341124610162097',19108,'772',30.44,1,3,NULL),(25,6229484,'1992-11-12 00:00:00',4,1,12,2010,'F','N','CIDADE NOVA','LUCAS R VERDE','MT','111111111116131631636611575122610146072',NULL,'9997',0.00,4,3,NULL),(25,6229492,'1979-12-26 00:00:00',4,1,12,1998,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','524111111121133421111344445124610163147',20409,'9998',33.41,2,1,1),(25,6229506,'1993-11-19 00:00:00',2,9,11,2010,'F','N','CENTRO','BOM JD SERRA','SC','124241241417111131566633575112610167092',17912,'1207',33.30,1,3,NULL),(25,6229514,'1992-04-06 00:00:00',2,8,12,2009,'F','N','SERRA ALTA','S BENTO SUL','SC','124241241116272431426614245124610136147',18716,'694',37.53,1,3,NULL),(25,6229530,'1986-09-29 00:00:00',2,1,12,2005,'F','N','CANTO','FLORIANÓPOLIS','SC','124242241316143422448813345134222222197',NULL,'9997',0.00,1,3,NULL),(25,6229557,'1993-07-15 00:00:00',4,1,11,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217121711468833576112610162016',9345,'270',49.44,1,3,NULL),(25,6229565,'1992-12-23 00:00:00',4,8,12,2009,'M','N','ESTRELA DALVA','CARAGUATATUBA','SP','125254251217131432355831282121610147112',NULL,'9998',0.00,4,3,NULL),(25,6229581,'1993-01-27 00:00:00',4,1,12,2010,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215112711668811575112610133195',2010,'270',69.23,3,3,NULL),(25,6229590,'1986-09-27 00:00:00',4,1,11,2004,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124251251127131431224344245124610136147',NULL,'9998',0.00,1,2,1),(25,6229611,'1991-08-25 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241215473431337911382124610136192',5491,'272',58.02,1,3,NULL),(25,6229620,'1993-07-01 00:00:00',2,15,12,2010,'M','N','ERECHIN','BAL ARROIO SILVA','SC','124241241127131631623411182121610137143',NULL,'854',0.00,1,2,1),(25,6229638,'1993-02-24 00:00:00',4,4,12,2010,'F','N','INDUSTRIAL','SEARA','SC','124241241114111731447619575122610168192',NULL,'384',0.00,1,2,1),(25,6229646,'1992-06-25 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111421589813575112610117121',11236,'270',48.36,1,3,NULL),(25,6229654,'1993-10-04 00:00:00',4,5,11,2010,'M','N','RAICHASKI','IÇARA','SC','124244241115271431469614172112610134042',11072,'226',49.56,1,3,NULL),(25,6229662,'1994-01-13 00:00:00',2,1,11,2010,'M','N','SANTA TERESA','S PEDRO ALCÂNTARA','SC','124243241217112411376812425122610161035',NULL,'270',33.15,1,3,NULL),(25,6229670,'1991-01-08 00:00:00',4,1,12,2008,'M','N','CENTRO','IPORÃ','PR','124163161216473431456931595112610122077',1272,'9998',72.46,1,3,NULL),(25,6229697,'1994-04-14 00:00:00',2,4,12,2010,'M','N','LINHA SIQUEIRA','GUATAMBÚ','SC','124241241135271731633639575124610114092',NULL,'169',0.00,1,2,1),(25,6229700,'1984-03-09 00:00:00',2,1,6,2004,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241247332272731458629391124610137043',19214,'9999',36.50,1,3,NULL),(25,6229719,'1992-05-26 00:00:00',4,8,12,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215272411468711392122132027041',1643,'486',70.45,1,3,NULL),(25,6229727,'1988-10-28 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241111372421688973495122130268141',NULL,'270',0.00,1,3,NULL),(25,6229735,'1993-08-27 00:00:00',4,1,9,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215112431468832576112610133115',17408,'270',39.91,1,3,NULL),(25,6229743,'1991-06-04 00:00:00',4,1,12,2008,'M','N','JARDIM BRASIL','MARINGÁ','PR','116162161215572441458733575112610162096',4315,'9998',59.87,3,3,NULL),(25,6229760,'1983-01-16 00:00:00',2,10,8,2005,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241246132144431335633445122231427061',20817,'306',31.88,1,2,1),(25,6229778,'1992-10-25 01:00:00',2,1,12,2010,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241145131432423311585321610136047',NULL,'1009',27.99,4,2,1),(25,6229786,'1992-07-01 00:00:00',2,1,12,2009,'F','N','ELDORADO','PALHOÇA','SC','124241241116472431463312424122610122192',8279,'592',51.84,1,2,1),(25,6229794,'1992-03-17 00:00:00',4,16,12,2009,'M','N','FRANCISCO REMEIKS','TABOÃO SERRA','SP','125252251215371711437632575124610165144',8614,'9998',51.45,1,3,NULL),(25,6229808,'1993-12-10 00:00:00',4,1,12,2010,'M','N','CENTRO','S JOÃO BATISTA','SC','124241241117161431228714185111610167177',NULL,'712',17.94,1,2,1),(25,6229816,'1991-04-27 00:00:00',4,7,12,2007,'F','N','CENTRO','VIDEIRA','SC','124243161332372411447731491224610126142',3530,'969',63.28,1,3,NULL),(25,6229824,'1992-11-11 00:00:00',4,1,12,2009,'F','N','CENTRO','SANTANA LIVRAMENTO','RS','124202201215152431136544245134222366015',8070,'9998',50.44,1,3,NULL),(25,6229832,'1980-06-06 00:00:00',2,1,12,1998,'F','N','BONSUCESSO','GRAVATAÍ','RS','120201207326131411223349392124133266027',16761,'9998',35.69,1,3,NULL),(25,6229859,'1994-12-13 00:00:00',4,10,11,2011,'M','S','HUMAITÁ DE CIMA','TUBARÃO','SC','124242241217111431323331572122610118052',NULL,'809',36.77,1,3,NULL),(25,6229867,'1992-08-22 00:00:00',2,1,12,2010,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124244241215151431438614572112610167047',NULL,'259',27.96,1,3,NULL),(25,6229913,'1993-12-12 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111411579933571124610126142',13808,'262',45.46,1,3,NULL),(25,6229921,'1992-08-24 00:00:00',2,4,12,2009,'F','N','CENTRO','AMPÉRE','PR','116162168215472731538919595122610124092',NULL,'9998',0.00,1,3,NULL),(25,6229930,'1993-10-21 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217111431448822125124610167112',4795,'270',59.33,1,3,NULL),(25,6229948,'1992-01-20 00:00:00',4,1,6,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242281415372221354924585124610164075',NULL,'9998',36.71,2,3,NULL),(25,6229956,'1993-05-01 00:00:00',4,8,12,2010,'M','N','SÃO PEDRO','PTO UNIÃO','SC','124242241215111751359939592122610117042',NULL,'990',20.53,1,3,NULL),(25,6229964,'1994-01-05 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111431336714571114610167097',18552,'723',35.85,1,3,NULL),(25,6229972,'1995-02-07 00:00:00',2,15,12,2011,'F','S','MATO ALTO','ARARANGUÁ','SC','124242241215151712436934592122610137172',NULL,'970',53.70,1,3,NULL),(25,6229980,'1993-05-02 00:00:00',2,1,12,2010,'F','N','BOA VISTA','BIGUAÇU','SC','124241241115271331323523335124610167147',18529,'65',33.28,1,2,1),(25,6229999,'1987-08-27 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115373441323524245134610137047',14158,'293',44.92,1,2,1),(25,6230008,'1991-06-25 00:00:00',4,1,12,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215472431466814475114610134077',NULL,'1022',0.00,1,3,NULL),(25,6230024,'1990-12-21 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251215473311348814571334610162117',4757,'9998',58.91,1,3,NULL),(25,6230032,'1992-08-04 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215472431326824575124610123097',12316,'1050',44.32,1,3,NULL),(25,6230040,'1991-07-04 00:00:00',4,8,12,2009,'F','N','CENTRO','CAPÃO BONITO','SP','125252251216471431468811475122610123097',1592,'9998',69.90,1,3,NULL),(25,6230059,'1991-06-07 00:00:00',2,1,12,2008,'M','N','CENTRO','LARANJAL PAULISTA','SP','125254251211571231647617571124611162182',2920,'9998',64.30,1,3,NULL),(25,6230067,'1991-05-10 00:00:00',4,1,12,2008,'F','N','JARDIM SÃO PAULO','S PAULO','SP','125252251215571431468614572112610124097',NULL,'9998',0.00,1,3,NULL),(25,6230075,'1992-10-20 00:00:00',4,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124242241215372431427434272124610122042',12207,'1078',44.01,2,3,NULL),(25,6230083,'1993-11-13 00:00:00',4,8,12,2010,'M','N','AHHU','CURITIBA','PR','116162161216151431458839585122610162097',NULL,'9998',0.00,1,3,NULL),(25,6230091,'1991-01-13 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241147372731525431245234610126077',19114,'296',31.84,1,2,1),(25,6230105,'1993-06-23 00:00:00',2,4,12,2010,'F','N','CENTRO','GUARACIABA','SC','124241248146141431434312395122610127142',NULL,'334',11.70,1,3,NULL),(25,6230130,'1991-08-04 00:00:00',2,1,12,2008,'F','N','SÃO JOSÉ OPERARIO','STA IZABEL OESTE','PR','116161161127131441438611244122140235077',NULL,'9998',0.00,4,2,1),(25,6230148,'1992-01-22 00:00:00',4,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111731333439592122610167042',20842,'272',25.21,1,3,NULL),(25,6230164,'1994-10-06 00:00:00',4,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124242241215111432356619172121610133142',16797,'446',40.94,1,3,NULL),(25,6230180,'1993-05-28 00:00:00',4,9,11,2010,'F','N','CANTA GALO','RIO SUL','SC','124242241215111431356913395122610122072',13281,'991',41.72,1,3,NULL),(25,6230199,'1992-09-27 00:00:00',2,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241217161431339839575124610132043',12880,'951',42.51,1,3,NULL),(25,6230202,'1993-11-26 00:00:00',2,4,12,2010,'F','N','CENTRO','S LOURENÇO OESTE','SC','124242161216371111368613585114610168177',12333,'743',43.34,1,3,NULL),(25,6230210,'1968-01-04 00:00:00',4,1,8,1989,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124201206142154711368343333132531467172',2747,'9998',66.69,1,3,NULL),(25,6230229,'1989-09-09 00:00:00',4,8,12,2006,'M','N','CENTRO','CPO GRANDE','MS','112112161216575431445531575125610124187',2281,'9998',65.97,1,3,NULL),(25,6230237,'1993-06-18 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117131421526629572224610164192',21356,'295',29.10,1,2,1),(25,6230245,'1992-03-23 00:00:00',4,5,12,2010,'F','N','COHAB VII','SERTÃOZINHO','SP','125252258215111111566314245122610136097',NULL,'704',0.00,4,1,2),(25,6230253,'1991-08-28 00:00:00',2,4,11,2008,'F','N','CENTRO','STO ANTÔNIO PLANALTO','RS','120203201215571431526615585125610162042',NULL,'9998',0.00,1,3,NULL),(25,6230261,'1994-04-30 00:00:00',4,1,12,2011,'F','S','AREIAS','S JOSÉ','SC','124241241115131711467914575124610114042',NULL,'739',36.00,1,3,NULL),(25,6230288,'1986-02-05 00:00:00',2,16,12,2003,'M','N','SANTO ANTONIO','CURITIBANOS','SC','124241241117271731323319292231610137055',21314,'240',29.34,1,2,1),(25,6230296,'1993-08-01 00:00:00',4,9,12,2010,'F','N','CANOAS','BOM RETIRO','SC','124241241122161311324923572324610163147',NULL,'673',0.00,4,2,1),(25,6230318,'1992-10-12 00:00:00',2,8,12,2009,'F','N','CENTRO','IVAÍ','PR','116161161116472431445915172124610126072',3818,'9998',60.23,1,2,1),(25,6230326,'1990-08-08 00:00:00',4,1,12,2008,'F','N','ALTO','ITU','SP','125254251216571431446631215125610141187',10061,'9998',47.88,1,3,NULL),(25,6230334,'1990-08-11 00:00:00',4,1,12,2007,'F','N','CENTRO','PALHOÇA','SC','124241241215372431446613372124221366142',1006,'1011',73.93,1,3,NULL),(25,6230342,'1993-08-12 00:00:00',2,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124241241215111431565611575122610164142',9821,'737',48.06,1,3,NULL),(25,6230350,'1989-09-06 00:00:00',2,1,12,2006,'M','N','ARIRIÚ','PALHOÇA','SC','124242241217574431436634595124233267047',3056,'1011',65.74,4,3,NULL),(25,6230369,'1992-12-19 00:00:00',4,1,10,2010,'M','N','SERRARIA','S JOSÉ','SC','124244241415171711328621275124610168042',NULL,'9997',15.93,1,3,NULL),(25,6230377,'1993-09-03 00:00:00',4,1,11,2010,'F','N','TAPAJÓS','MUNDO NOVO','MS','116122161217471411469833374122610142152',11495,'9998',43.52,1,3,NULL),(25,6230385,'1993-06-23 00:00:00',4,1,11,2010,'M','N','SAGRADO','LAGES','SC','124244241215112411469932175114610167057',NULL,'270',32.26,1,3,NULL),(25,6230407,'1978-08-19 00:00:00',2,1,12,1995,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','224121121126371531266453485112342262142',14165,'9998',44.91,4,3,NULL),(25,6230415,'1991-02-20 00:00:00',4,1,11,2008,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251327471431557632275124610112187',3080,'9998',62.57,1,3,NULL),(25,6230423,'1992-04-24 00:00:00',4,4,6,2010,'F','N','LA SALLE','PATO BRANCO','PR','116162281416371411479933375122610145142',137,'9998',82.19,1,3,NULL),(25,6230431,'1993-05-01 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215121732459611345112610122092',NULL,'1022',12.69,1,3,NULL),(25,6230440,'1992-12-11 00:00:00',4,8,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161215472331448814595122610147047',9192,'9998',48.96,1,3,NULL),(25,6230458,'1994-06-22 00:00:00',2,4,12,2010,'F','N','ALVORADA','XAXIM','SC','124241241117271431423829472124610121017',NULL,'848',0.00,1,2,1),(25,6230474,'1993-03-18 00:00:00',2,1,12,2010,'F','N','VILA IVETE','MAFRA','SC','124241241116131131323334242115610136197',14454,'542',40.40,1,2,1),(25,6230482,'1993-03-03 00:00:00',4,9,12,2010,'M','N','JARDIN TARUMÃ','IMBUIA','SC','124241242117111441538713475124610127052',14795,'1222',39.63,1,2,1),(25,6230490,'1986-07-14 00:00:00',2,1,11,2003,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','624241241127142411323344245134610167042',15064,'285',43.59,1,2,1),(25,6230504,'1985-04-13 00:00:00',2,1,12,2002,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124251251127131421214444142334610123093',NULL,'9998',0.00,1,1,1),(25,6230512,'1994-12-12 00:00:00',4,8,12,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241216111331449933572112610124012',15956,'424',42.21,1,3,NULL),(25,6230520,'1993-06-17 00:00:00',4,1,12,2010,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241215371431464632275124610162142',2000,'20',67.49,1,3,NULL),(25,6230539,'1989-02-02 00:00:00',2,1,2,2010,'F','N','ARIRIU','PALHOÇA','SC','124242247226471431335521245123610126047',NULL,'9999',31.14,1,3,NULL),(25,6230547,'1990-01-30 00:00:00',4,1,12,2007,'F','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241216575431469413295112610166147',9488,'454',51.57,1,3,NULL),(25,6230555,'1993-08-06 00:00:00',4,8,12,2010,'F','N','BOEHMERWALDT','JOINVILLE','SC','124241241142271711646314576124610133182',NULL,'482',18.42,1,2,1),(25,6230563,'1993-01-04 00:00:00',4,2,12,2010,'F','N','SOUZA CRUZ','BRUSQUE','SC','124242241215121431568911575122610121142',11971,'109',43.26,1,3,NULL),(25,6230601,'1993-07-28 00:00:00',2,1,12,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124241241116121332223319575124610124147',NULL,'307',27.18,1,3,NULL),(25,6230610,'1993-10-18 00:00:00',2,1,11,2010,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215121431467613575124610126012',12591,'270',47.20,1,3,NULL),(25,6230628,'1994-06-25 00:00:00',4,7,11,2011,'F','S','SÃO VICENTE','HERVAL D OESTE','SC','124242241216151731326513332122610136192',NULL,'446',35.69,3,3,NULL),(25,6230644,'1985-09-13 00:00:00',4,1,12,2003,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241137134421447613335112610127012',11846,'292',48.42,1,2,1),(25,6230652,'1992-10-16 00:00:00',4,1,11,2010,'M','N','ÁGUAS BRANCAS','URUBICI','SC','124242241211112231464916475112610117067',8355,'270',54.21,1,3,NULL),(25,6230660,'1985-03-29 00:00:00',4,1,12,2003,'M','N','BARREIROS','S JOSÉ','SC','624244241436132231226343335121133267027',18213,'995',38.45,1,3,NULL),(25,6230679,'1982-12-06 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211575321389913412122332467067',NULL,'262',0.00,1,3,NULL),(25,6230687,'1991-07-29 00:00:00',4,3,12,2008,'F','N','CENTRO','RONDON','PR','116164161214572431558933575124610122052',1826,'9998',68.02,1,3,NULL),(25,6230695,'1993-06-04 00:00:00',4,5,11,2010,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215372431348731572122610142113',8685,'213',53.62,1,3,NULL),(25,6230709,'1994-04-05 00:00:00',4,4,12,2010,'M','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241117271431428934295122610122147',11700,'182',45.09,1,2,1),(25,6230725,'1991-08-11 00:00:00',2,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124141241135471531125644346134610136187',NULL,'307',33.67,4,2,1),(25,6230733,'1992-02-25 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116272411326923575124610127052',21677,'307',25.63,1,3,NULL),(25,6230750,'1992-05-12 00:00:00',4,8,11,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215471411568812574115610168182',7261,'457',56.24,1,3,NULL),(25,6230768,'1991-05-21 00:00:00',2,1,12,2008,'F','N','CAJURU','CURITIBA','PR','116161161117571431326421282124610126017',NULL,'9998',25.64,1,2,1),(25,6230776,'1991-09-12 00:00:00',2,15,10,2008,'M','N','CENTRO','ARARANGUÁ','SC','124241241317473441444611145123610131125',12551,'32',47.26,1,3,NULL),(25,6230784,'1994-01-29 00:00:00',4,1,12,2011,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111752389933375122610167065',NULL,'883',51.40,1,3,NULL),(25,6230792,'1993-12-09 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431356923572125610148187',13387,'270',42.47,1,3,NULL),(25,6230806,'1991-05-13 00:00:00',4,3,11,2009,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116162161217372411368834445124610146046',8164,'9998',54.58,1,3,NULL),(25,6230814,'1993-03-08 00:00:00',2,10,12,2010,'F','N','CENTRO','IMBITUBA','SC','124163241115371431549819285122610135147',8681,'359',50.07,1,3,NULL),(25,6230822,'1993-05-06 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241214131431323834572122610164197',11316,'259',49.18,1,3,NULL),(25,6230830,'1991-11-17 00:00:00',4,1,12,2009,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241126472731423414442122610124147',16673,'12',37.13,1,2,1),(25,6230849,'1991-12-02 00:00:00',2,2,12,2009,'F','N','ENCRUZILHADA','SANTOS','SP','125252251115471441248613382111610165097',NULL,'9998',0.00,4,3,NULL),(25,6230857,'1992-12-03 00:00:00',2,8,12,2010,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242241217121431469933575122610124091',10587,'442',46.25,1,3,NULL),(25,6230865,'1993-02-13 00:00:00',2,4,11,2010,'M','N','CATARINA FONTANA','CONCÓRDIA','SC','124241241215141431458934312122610137012',9673,'1000',48.01,1,3,NULL),(25,6230873,'1992-05-01 00:00:00',2,9,12,2009,'F','N','BELA VISTA','PTO ALEGRE','RS','120201201317471431558813572114610164197',11614,'9998',45.54,1,3,NULL),(25,6230890,'1993-02-15 00:00:00',4,1,12,2010,'M','N','TRISTEZA','PTO ALEGRE','RS','120202201217271411558931396125610164171',10206,'9998',46.84,1,3,NULL),(25,6230911,'1994-11-10 00:00:00',4,6,11,2011,'F','S','MEIA PRAIA','ITAPEMA','SC','124241241215131731428914315224610116187',NULL,'403',19.13,1,3,NULL),(25,6230920,'1993-08-23 00:00:00',2,5,11,2010,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124244241436111431333634575122610117142',19372,'213',36.13,1,3,NULL),(25,6230938,'1992-06-02 00:00:00',4,1,11,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215472751378731595124610167122',675,'270',75.91,1,3,NULL),(25,6230954,'1992-12-21 00:00:00',4,10,11,2009,'F','N','RECIFE','TUBARÃO','SC','124242241215372731354969495122610168152',15741,'807',42.54,1,3,NULL),(25,6230970,'1994-01-29 00:00:00',4,1,12,2011,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111752389912475122610133195',NULL,'1063',37.30,1,3,NULL),(25,6230997,'1994-01-26 00:00:00',2,16,12,2010,'F','N','NAÇÕES','FRAIBURGO','SC','124241241215111431558912575122610137172',12188,'317',43.38,4,3,NULL),(25,6231004,'1992-08-03 00:00:00',2,4,12,2009,'M','N','CENTRO','TUNEIRAS OESTE','PR','116161161315471231436923575122610162097',NULL,'9998',0.00,1,3,NULL),(25,6231012,'1993-02-07 00:00:00',4,1,12,2010,'M','N','MORRO DA CRUZ','FLORIANÓPOLIS','SC','124242241215111231468933575114610137125',20000,'1048',34.58,1,3,NULL),(25,6231020,'1980-11-17 00:00:00',4,1,7,2008,'M','N','KOBRASOL','S JOSÉ','SC','224241257221141421222344445114141448152',21162,'9998',30.27,1,3,NULL),(25,6231047,'1992-02-16 00:00:00',4,3,12,2010,'M','N','MONTE ALEGRE','CAMBORIÚ','SC','124241241116271411436611575123610127047',7930,'129',51.09,1,2,1),(25,6231055,'1982-09-03 00:00:00',2,8,12,2000,'M','N','PIRABEIRABA','JOINVILLE','SC','224212211116152422367643435122131422045',NULL,'9998',0.00,1,3,NULL),(25,6231098,'1984-12-01 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216153451448619495122321562077',NULL,'262',0.00,1,3,NULL),(25,6231101,'1992-02-04 00:00:00',2,1,12,2010,'M','N','BREJARÚ','PALHOÇA','SC','124241241115131731625679575124610168067',17326,'733',34.16,2,1,1),(25,6231110,'1991-07-31 00:00:00',4,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241115373751426911375124610133187',16514,'322',41.37,1,2,1),(25,6231128,'1993-12-05 00:00:00',2,1,12,2010,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241116161531323319395124610117042',NULL,'591',31.57,1,2,1),(25,6231144,'1993-07-29 00:00:00',4,1,12,2010,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241248115141331436614342124610137147',NULL,'592',33.57,1,2,1),(25,6231160,'1993-09-14 00:00:00',2,1,12,2010,'F','N','FUNDOS','BIGUAÇU','SC','124241241115271431423414576124610138182',NULL,'65',14.88,1,2,1),(25,6231179,'1993-10-05 00:00:00',4,15,12,2010,'M','N','CENTRO','MELEIRO','SC','124242241212372431346932225124610144145',3092,'970',62.99,1,3,NULL),(25,6231209,'1985-04-14 00:00:00',2,1,12,2002,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124202201237371421226812425134333231187',7127,'9998',56.50,1,3,NULL),(25,6231225,'1993-05-09 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215372431467923575122610134142',8682,'213',49.49,2,1,2),(25,6231233,'1992-09-15 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241213474511346923573114610126192',2199,'909',66.92,1,3,NULL),(25,6231241,'1992-09-24 00:00:00',4,1,12,2009,'F','N','CENTRO','BRUSQUE','SC','124242241115372431457632572112610126117',8571,'107',51.04,1,3,NULL),(25,6231250,'1992-08-17 00:00:00',2,1,12,2010,'M','N','BELA VISTA','PALHOÇA','SC','124243241115271431526923575124610137047',15399,'592',37.53,1,3,NULL),(25,6231268,'1990-06-16 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124241241116474231226923595124613224012',12454,'239',41.78,4,2,1),(25,6231284,'1993-03-05 00:00:00',4,7,11,2010,'M','N','CENTRO','JOAÇABA','SC','124242241216111231559513372123610137042',14272,'454',40.69,1,3,NULL),(25,6231292,'1993-06-28 00:00:00',2,1,11,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215152431339933592124610121115',3693,'1050',62.81,1,3,NULL),(25,6231314,'1993-05-15 00:00:00',4,16,12,2010,'F','N','SÃO JOSÉ','CURITIBANOS','SC','124241241115471711124923595122610113172',NULL,'239',16.97,1,2,1),(25,6231322,'1992-12-20 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115131411443519395122610125182',19710,'592',35.34,1,2,1),(25,6231330,'1984-04-25 00:00:00',2,8,12,2003,'F','N','JARAGUA','TAUBATÉ','SP','525251251236471441534319372124610142182',9771,'9998',48.74,1,3,NULL),(25,6231349,'1993-11-04 00:00:00',4,10,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124242241217121432457619392122610138191',4853,'807',61.19,1,3,NULL),(25,6231357,'1992-07-30 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431469931475122610113147',11701,'262',44.70,1,3,NULL),(25,6231373,'1993-10-12 00:00:00',4,8,12,2010,'M','N','CENTRO','S JOSÉ PINHAIS','PR','116162161217111411586922574122610114187',NULL,'9998',0.00,1,3,NULL),(25,6231381,'1992-01-27 00:00:00',2,1,12,2008,'F','N','FABRICIO','STO AMARO IMPERATRIZ','SC','124241241116473431426611575124610124017',11803,'941',43.29,1,2,1),(25,6231390,'1990-11-10 00:00:00',1,1,12,2008,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124202201116372441379813476112143226192',912,'9998',73.96,1,3,NULL),(25,6231403,'1995-01-27 00:00:00',4,5,12,2012,'F','S','CENTRO','CRICIÚMA','SC','624242241215111732469632575112610133112',NULL,'213',41.97,1,3,NULL),(25,6231411,'1991-10-29 00:00:00',4,1,12,2008,'F','N','IMIGRANTES','CONCÓRDIA','SC','124243241117573431439614572125610127047',7033,'192',53.00,1,3,NULL),(25,6231420,'1992-09-07 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241117372711546613575114610162142',16596,'298',36.54,1,2,1),(25,6231438,'1992-07-13 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124202201217372711648674492122610148077',14852,'9998',42.94,1,3,NULL),(25,6231446,'1993-12-08 00:00:00',2,5,12,2010,'F','N','LOMBA','ORLEANS','SC','124242248215141431455611415124610126177',12013,'995',43.65,1,3,NULL),(25,6231454,'1982-08-01 00:00:00',2,1,12,2001,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241217375731258821472124120831017',14461,'266',44.30,1,3,NULL),(25,6231462,'1993-05-04 00:00:00',2,4,11,2010,'F','N','PETRÓPOLIS','CONCÓRDIA','SC','124241241415271231336812322122610167147',18590,'1001',31.75,1,3,NULL),(25,6231470,'1991-08-20 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241116152452323879595124220732016',11310,'271',49.19,1,3,NULL),(25,6231489,'1985-05-31 00:00:00',4,10,12,2007,'M','N','OFICINAS','TUBARÃO','SC','124241241127271431566519342122610134182',15513,'9997',42.88,1,2,1),(25,6231497,'1987-08-09 00:00:00',2,1,12,2005,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241241146372221123343135122610147147',14854,'592',39.58,4,2,1),(25,6231500,'1994-01-02 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124243241215121411457933574122610124192',6330,'738',58.08,1,3,NULL),(25,6231519,'1991-03-18 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241135573731331132476114610121147',NULL,'307',30.10,1,2,1),(25,6231527,'1993-04-21 00:00:00',4,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124241241117271711235429395124610134147',12992,'257',42.05,1,2,1),(25,6231535,'1992-06-26 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431489911575122610147047',3493,'262',62.60,1,3,NULL),(25,6231543,'1991-12-09 00:00:00',4,1,12,2008,'F','N','JARDIM ESPLANADA','S JOSÉ CAMPOS','SP','125252251215571431568812472112610123097',NULL,'9998',34.09,1,3,NULL),(25,6231586,'1994-02-03 00:00:00',4,1,11,2010,'F','N','CENTRO','CASCAVEL','PR','116162161216121431478814575122610132042',2290,'9998',66.85,1,3,NULL),(25,6231594,'1991-10-14 00:00:00',4,4,12,2010,'M','N','SAIC','CHAPECÓ','SC','124243241117571431357821575125610166187',19788,'169',35.17,1,3,NULL),(25,6231608,'1993-03-06 00:00:00',4,1,12,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124014241117151411449933575114610166055',NULL,'267',26.79,4,3,NULL),(25,6231624,'1993-07-07 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215372431238811575114610164047',3077,'1022',64.91,1,3,NULL),(25,6231632,'1993-02-22 00:00:00',4,6,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121431469832575122610124182',NULL,'9997',0.00,1,3,NULL),(25,6231640,'1993-07-03 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124241241216131731337834575114610117185',20701,'1075',32.38,4,3,NULL),(25,6231667,'1992-03-21 00:00:00',2,6,12,2009,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124244241215172731558819495122610162187',NULL,'1090',19.31,1,3,NULL),(25,6231675,'1992-02-11 00:00:00',2,8,12,2009,'F','N','CENTRO','STA ISABEL IVAÍ','PR','116161161315411431436936575122610137077',19627,'9998',31.30,4,3,NULL),(25,6231683,'1992-05-15 00:00:00',2,6,12,2009,'M','N','CENTRO','NAVEGANTES','SC','124243241316141431546914345122131237047',NULL,'9997',29.21,1,3,NULL),(25,6231705,'1992-08-28 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116271431533411342124610127042',21050,'733',25.55,1,2,1),(25,6231713,'1993-04-28 00:00:00',2,6,11,2010,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241215131431436612272122610133077',18778,'1026',33.24,3,3,NULL),(25,6231721,'1992-05-23 00:00:00',2,1,12,2010,'F','N','SÃO JOSE','CAMAQUÃ','RS','120201208121151731523512222214610138146',NULL,'9998',17.27,1,3,NULL),(25,6231730,'1994-02-03 00:00:00',4,1,11,2010,'F','N','CENTRO','CASCAVEL','PR','116162161216121431478814575122610137042',3634,'9998',61.96,1,3,NULL),(25,6231748,'1979-10-08 00:00:00',2,1,1,2000,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243243126153121136741315122333264195',13902,'306',45.32,1,3,NULL),(25,6231756,'1993-07-19 00:00:00',2,1,12,2010,'M','N','JARDIM CARANDAI','BIGUAÇU','SC','124241241115271431323314575124610127142',7537,'65',52.13,1,2,1),(25,6231764,'1992-06-16 00:00:00',4,1,12,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117372211434829472114133267047',16826,'383',38.12,1,2,1),(25,6231772,'1993-09-16 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215121431486672575122610166017',3930,'737',60.96,1,3,NULL),(25,6231799,'1993-01-20 00:00:00',4,17,12,2010,'M','N','BOM JESUS','RIO NEGRO','PR','116162161215471431438414495122610162012',5870,'9998',59.03,3,3,NULL),(25,6231802,'1993-09-09 00:00:00',2,15,12,2010,'F','N','SÃO FRANCISCO','SOMBRIO','SC','124241241146161732422535255124610128187',21608,'1033',26.78,4,3,NULL),(25,6231837,'1993-03-08 00:00:00',4,8,12,2010,'M','N','SÃO PEDRO','S JOSÉ PINHAIS','PR','116162161217111431348822575122611427042',NULL,'9998',0.00,1,3,NULL),(25,6231845,'1994-07-20 00:00:00',4,5,11,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124244241215121431459833575112610164052',5564,'226',57.27,1,3,NULL),(25,6231853,'1991-09-19 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124201201146272431123344245124610167147',16532,'9998',37.96,1,3,NULL),(25,6231861,'1992-03-11 00:00:00',2,10,11,2010,'M','N','CENTRO','CAPIVARI BAIXO','SC','124242241215111431326923572124610136047',9860,'806',47.70,1,3,NULL),(25,6231888,'1987-09-01 00:00:00',2,1,12,2005,'M','N','VILA SAO JOAO','FLORIANÓPOLIS','SC','124242241412144531343923435123331217117',7674,'1098',55.49,1,3,NULL),(25,6231896,'1983-05-13 00:00:00',2,1,12,2001,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124072071417271231389933475124131267187',NULL,'9998',0.00,1,3,NULL),(25,6231900,'1993-08-02 00:00:00',4,5,11,2010,'F','N','SÃO LUIZ','CRICIÚMA','SC','124241241115371432523414575122610146077',10562,'221',45.79,1,2,1),(25,6231926,'1993-02-05 00:00:00',4,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215211431458812275124610136092',NULL,'44',20.24,1,3,NULL),(25,6231942,'1993-01-28 00:00:00',2,10,12,2010,'F','N','MAGALHÃES','LAGUNA','SC','124242241216111431366812425122610168182',NULL,'525',0.00,1,3,NULL),(25,6231950,'1991-10-06 00:00:00',4,1,12,2009,'M','N','BARRO PRETO','BELO HORIZONTE','MG','113131131116471711224824585121610114091',NULL,'9998',0.00,4,1,1),(25,6231969,'1993-04-28 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215222431359913575122610166192',7751,'270',55.22,1,3,NULL),(25,6231977,'1991-08-10 00:00:00',2,1,12,2008,'F','N','JARDIM COLORADO','S JOSÉ CAMPOS','SP','125251258115471331333623275124610114147',17307,'9998',37.02,2,2,1),(25,6231985,'1993-12-25 00:00:00',4,1,11,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217111411356923575122610124182',13377,'1118',46.11,1,3,NULL),(25,6231993,'1991-04-01 00:00:00',4,1,12,2009,'F','N','ROYAL PARK','CPO GRANDE','MS','112122121417111431349933575122242112072',NULL,'9998',0.00,2,1,2),(25,6232000,'1993-07-16 00:00:00',4,1,12,2010,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241215111231449634595122610167047',9606,'273',48.01,1,3,NULL),(25,6232019,'1988-12-11 00:00:00',4,1,12,2006,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241125141431523324442124610162047',20860,'278',31.69,2,1,1),(25,6232027,'1993-08-18 00:00:00',2,2,12,2010,'M','N','ITOUPAVAZINHA','BLUMENAU','SC','124161241136271731447634375124610127033',18731,'83',37.49,4,2,1),(25,6232035,'1991-12-07 00:00:00',4,3,12,2008,'F','N','SANTA QUITÉRIA','CURITIBA','PR','116162161215472431468833574122610167012',10314,'9998',50.80,1,3,NULL),(25,6232043,'1992-12-04 00:00:00',4,1,12,2010,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215211431569314575122610144072',16791,'1011',38.28,1,3,NULL),(25,6232051,'1986-11-26 00:00:00',4,8,11,2005,'M','N','DOM BOSCO','LONDRINA','PR','116162161211571711558833445122610127052',17610,'9998',34.13,3,3,NULL),(25,6232060,'1993-05-10 00:00:00',4,1,12,2010,'M','N','JARDIM MARABÁ','ITAPETININGA','SP','125252258235111411548832572122610127157',NULL,'9998',0.00,1,3,NULL),(25,6232078,'1991-05-27 00:00:00',2,1,12,2008,'F','N','JARDIM SÃO LOURENCO','CPO GRANDE','MS','112114161216572431445923572114610164197',4840,'9998',58.84,1,3,NULL),(25,6232086,'1994-05-27 00:00:00',2,1,12,2010,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241117141431236829572124610133097',15684,'267',42.63,1,3,NULL),(25,6232094,'1991-10-19 00:00:00',4,1,11,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215112411489833575122220237122',10183,'270',47.63,1,3,NULL),(25,6232108,'1993-07-30 00:00:00',4,8,11,2010,'M','N','SÃO LOURENÇO','CURITIBA','PR','116162161215421731569933572122610164041',NULL,'9998',0.00,1,3,NULL),(25,6232140,'1991-11-19 00:00:00',2,1,12,2009,'M','N','XAXIM','CURITIBA','PR','116251161427471431438719272124610162197',NULL,'9998',0.00,4,3,NULL),(25,6232167,'1992-10-11 00:00:00',4,1,12,2009,'M','N','JARDIM NOVA YORK','ARAÇATUBA','SP','125252251215471431488816475112610137012',NULL,'9998',0.00,1,3,NULL),(25,6232175,'1993-01-19 00:00:00',2,6,12,2010,'M','N','CORDEIROS','ITAJAÍ','SC','124241241216141431226623575121610134057',NULL,'1059',20.90,2,1,2),(25,6232183,'1978-11-26 00:00:00',2,1,12,2004,'F','N','PINGUIRITO','GAROPABA','SC','624241247126233452322151172211610111187',NULL,'9999',17.70,4,2,1),(25,6232191,'1989-04-18 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117572731424414445124610144141',20912,'293',25.45,1,3,NULL),(25,6232205,'1991-03-13 00:00:00',2,6,12,2008,'F','N','JARDIM PORTO ALEGRE','TOLEDO','PR','116161161127371711424615355121610164117',NULL,'9998',0.00,1,3,NULL),(25,6232213,'1993-04-23 00:00:00',4,1,11,2010,'M','N','BAIRRO PETRÓPOLIS','PTO ALEGRE','RS','124162241217151441568613575124610144062',753,'270',75.45,1,3,NULL),(25,6232221,'1990-10-25 00:00:00',2,15,11,2008,'M','N','RUBEM BERTA','PTO ALEGRE','RS','120241241215373131539631575124610167042',1560,'32',70.86,1,3,NULL),(25,6232230,'1990-06-26 00:00:00',4,1,11,2007,'M','N','CERAMARTE','RIO NEGRINHO','SC','124242241216574431468811572125130237127',909,'666',73.84,1,3,NULL),(25,6232256,'1993-11-19 00:00:00',2,4,12,2010,'M','N','SÃO JOSÉ','PASSO FUNDO','RS','120203201216371431438633271122610167042',12543,'9998',42.53,1,3,NULL),(25,6232264,'1993-05-25 00:00:00',4,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215121431379923572112610164072',4821,'270',58.17,1,3,NULL),(25,6232272,'1991-09-24 00:00:00',2,1,12,2009,'F','N','ITAJUBA','BARRA VELHA','SC','124242241216372431418632492124610142197',4741,'1105',61.46,1,3,NULL),(25,6232280,'1993-04-10 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215112451433414572124610154192',7695,'1169',53.05,1,3,NULL),(25,6232302,'1991-04-24 00:00:00',4,1,6,2009,'M','N','CENTRO','CURITIBANOS','SC','124244281415472751448631492124610167142',4716,'9998',59.83,1,3,NULL),(25,6232310,'1993-06-02 00:00:00',4,1,11,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111431369824572114610162192',3875,'262',63.61,1,3,NULL),(25,6232353,'1987-03-28 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161216444431435834445124221444052',NULL,'9998',0.00,1,3,NULL),(25,6232361,'1992-01-03 00:00:00',2,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124242243215111231145623575122610121112',NULL,'1118',30.12,1,3,NULL),(25,6232370,'1990-03-10 00:00:00',4,1,12,2007,'M','N','CENTRO','CIANORTE','PR','116162161216573431569923575112140767052',1372,'9998',70.18,1,3,NULL),(25,6232388,'1993-06-24 00:00:00',4,1,12,2010,'M','N','CENTRO','PINHALZINHO','SP','125252251117141431335814575124640167095',NULL,'9998',22.67,1,3,NULL),(25,6232396,'1993-08-10 00:00:00',4,3,12,2010,'M','N','JARDIM PANORAMA','VINHEDO','SP','125244251215111431568814375122610167062',12268,'9998',42.76,1,3,NULL),(25,6232400,'1992-12-05 00:00:00',4,1,11,2009,'F','N','VILA JEQUITIBÁS','CAMPINAS','SP','125252251217472711348934576124610133042',1672,'9998',69.32,1,3,NULL),(25,6232418,'1993-08-17 00:00:00',4,2,12,2010,'F','N','CENTRO','ITUPORANGA','SC','124241241116131431336613475122610122147',NULL,'416',0.00,1,2,1),(25,6232426,'1992-10-22 00:00:00',2,1,12,2009,'F','N','CENTRO','TURVO','SC','124244241217473431469914572124610163072',3785,'813',62.23,1,3,NULL),(25,6232434,'1993-01-05 00:00:00',2,1,12,2009,'M','N','GUARANI','BELO HORIZONTE','MG','113131131216271411226634585114610132092',NULL,'9998',0.00,1,3,NULL),(25,6232442,'1988-11-27 00:00:00',2,1,12,2005,'F','N','DOS ESTADOS','GUARAPUAVA','PR','116161161116131431446614295124341828017',NULL,'9998',0.00,1,3,NULL),(25,6232450,'1991-07-01 00:00:00',2,1,12,2009,'M','N','COLINA VERDE','LONDRINA','PR','116162161215471451368816175122610164117',NULL,'9998',32.17,1,3,NULL),(25,6232469,'1993-03-12 00:00:00',2,1,12,2010,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241117271432536623275124610167165',16160,'307',38.93,1,2,1),(25,6232477,'1992-06-30 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215473431489932572112610137185',880,'270',74.29,1,3,NULL),(25,6232485,'1994-05-25 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111731449953572124610132142',18614,'262',37.74,1,3,NULL),(25,6232493,'1991-12-11 00:00:00',4,2,12,2009,'F','N','VILA CONRADO','S JOÃO B VISTA','SP','125252251217271431377812574122610132072',14257,'9998',44.77,1,3,NULL),(25,6232507,'1993-12-03 00:00:00',2,15,11,2010,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241215151531559739195125610138043',16516,'26',41.37,1,3,NULL),(25,6232523,'1993-04-23 00:00:00',2,4,12,2010,'F','N','MATINHO','XANXERÊ','SC','124241241115131431433612572324610164147',13594,'840',40.84,1,3,NULL),(25,6232531,'1991-04-15 00:00:00',4,4,11,2008,'M','N','CENTRO','MARCELINO RAMOS','RS','120203201217573431469832571125610167062',11243,'9998',45.05,1,3,NULL),(25,6232540,'1994-03-09 00:00:00',2,1,12,2010,'M','N','ARIRIU','PALHOÇA','SC','124241241116271431544313575124610134012',4931,'739',59.26,1,2,1),(25,6232558,'1993-05-10 00:00:00',4,3,12,2010,'M','N','CEDRO','CAMBORIÚ','SC','124244248117131431436414575124610127057',15887,'129',42.33,4,3,NULL),(25,6232566,'1994-08-30 00:00:00',4,2,12,2011,'F','S','CENTRO','S BENTO SUL','SC','124241241215151431327923576122610148097',NULL,'1154',41.06,1,3,NULL),(25,6232574,'1994-07-14 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215121431427613472124610164077',14587,'1022',44.31,1,3,NULL),(25,6232582,'1993-02-26 00:00:00',4,3,12,2010,'M','N','GUABIROTUBA','CURITIBA','PR','116283161415471411548814395114610157047',20955,'9998',25.93,1,3,NULL),(25,6232590,'1988-12-29 00:00:00',4,1,12,2005,'M','N','CENTRO','CPO GRANDE','MS','112122121215573431469913572114610142182',1081,'9998',73.52,4,3,NULL),(25,6232604,'1988-08-25 00:00:00',4,1,12,2005,'F','N','JARDIM MARIA RITA','S PAULO','SP','125252251217151411434432445122242533142',20500,'9998',33.15,4,3,NULL),(25,6232612,'1993-07-03 00:00:00',2,15,12,2010,'F','N','BARRANCA','ARARANGUÁ','SC','124241241115271732323629395125610118177',18643,'29',34.87,4,3,NULL),(25,6232620,'1994-09-22 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217121731569933595112610162096',6722,'270',54.77,1,3,NULL),(25,6232639,'1993-05-19 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431369923595112610162071',17729,'1118',39.36,2,1,2),(25,6232647,'1992-09-23 00:00:00',2,1,12,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124192241216372431368614375124121633077',2502,'1022',67.35,1,3,NULL),(25,6232655,'1993-09-24 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124244241215112431468814575122610126142',3750,'1118',63.94,1,3,NULL),(25,6232663,'1993-01-08 00:00:00',4,8,12,2010,'F','N','BOLÍVIA','VALENÇA','BA','105051051116131732611129296321610163196',NULL,'9998',0.00,4,2,1),(25,6232671,'1991-04-25 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241136272431336629385124610126147',19398,'307',36.06,1,2,1),(25,6232680,'1990-09-03 00:00:00',2,1,12,2007,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241116373711423331145124610117082',NULL,'292',24.87,1,2,1),(25,6232710,'1992-03-24 00:00:00',2,1,12,2009,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241116371431433313341124610114097',NULL,'733',6.62,1,2,1),(25,6232728,'1974-06-27 00:00:00',4,6,12,1991,'F','N','FAZENDA','ITAJAÍ','SC','224242245246131421369651345122332763122',NULL,'388',0.00,1,3,NULL),(25,6232736,'1991-10-15 00:00:00',2,1,11,2009,'F','N','BELA VISTA','S PAULO','SP','125102251235471431349923571112610165116',12890,'9998',40.56,1,3,NULL),(25,6232744,'1993-08-14 00:00:00',4,2,11,2010,'F','N','CENTRO','IBIRAMA','SC','124242241217112431338611472124610134147',16554,'991',41.31,1,3,NULL),(25,6232752,'1991-12-03 00:00:00',4,1,12,2008,'M','N','PRAIA DA CAL','TORRES','RS','120201201117132431216644342121610162032',NULL,'9998',17.69,1,3,NULL),(25,6232760,'1985-04-24 00:00:00',4,1,12,2003,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124251256216143421264844445122120767053',4888,'9998',61.13,1,3,NULL),(25,6232787,'1970-04-12 00:00:00',2,1,6,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','324243247316271431336249272124610166147',19971,'9999',34.67,1,3,NULL),(25,6232795,'1990-11-28 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215474421448911492112610124142',7427,'1146',55.91,1,3,NULL),(25,6232809,'1992-08-09 00:00:00',2,1,12,2009,'M','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124241241126132731521619285124232037067',NULL,'329',22.07,1,2,1),(25,6232817,'1993-11-13 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115151411558823435121610141147',13934,'267',40.87,1,2,1),(25,6232825,'1990-09-11 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215574451558711274114131062181',5310,'454',60.16,1,3,NULL),(25,6232833,'1992-12-30 00:00:00',4,1,12,2010,'M','N','GLÓRIA','JOINVILLE','SC','124242241217121431459811475122610124172',4830,'1063',59.48,1,3,NULL),(25,6232850,'1993-11-24 00:00:00',2,15,11,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124242241211111432426611485224610117067',16023,'26',37.15,1,3,NULL),(25,6232868,'1993-12-22 00:00:00',2,1,11,2010,'M','N','CENTRO','LAJEADO GRANDE','SC','124241241216171211446933225131610167172',5684,'1081',57.48,1,3,NULL),(25,6232876,'1988-04-08 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224241241112274431436744345124610144147',13804,'281',40.39,1,2,1),(25,6232892,'1987-02-20 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201116271731523377345124140214047',NULL,'9998',23.09,1,2,1),(25,6232906,'1993-08-18 00:00:00',4,8,12,2010,'F','N','NOVO PARAÍSO','ARAÇATUBA','SP','125254251216131411458823575122610126037',NULL,'9998',0.00,1,3,NULL),(25,6232914,'1967-12-03 00:00:00',4,1,12,1984,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','524242245217141421448541315122333231097',NULL,'71',0.00,1,3,NULL),(25,6232922,'1983-03-31 00:00:00',2,10,12,1998,'F','N','CAMPO DE FORA','LAGUNA','SC','124241248136152411636619495134132827077',NULL,'521',0.00,1,2,1),(25,6232930,'1991-04-08 00:00:00',4,1,11,2008,'F','N','BOQUEIRÃO','SANTOS','SP','125252251216571431438619575115610123127',NULL,'9998',0.00,1,3,NULL),(25,6232949,'1992-12-21 00:00:00',4,1,10,2010,'F','N','LOT COLINA IMPERIAL','PETROLINA','PE','117172174217471411678811574122610166192',NULL,'9998',0.00,4,3,NULL),(25,6232957,'1993-04-06 00:00:00',4,1,12,2010,'F','N','BOA VISTA','CURITIBA','PR','116162161217151712349923576124610164157',10482,'9998',46.77,1,3,NULL),(25,6232965,'1989-05-18 00:00:00',2,1,11,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241125372421336613385124610117042',14357,'283',42.10,1,3,NULL),(25,6232973,'1990-03-03 00:00:00',4,1,12,2007,'M','N','SANTANA','S PAULO','SP','125252251216512231368823575115610164191',1504,'9998',69.91,4,3,NULL),(25,6232981,'1993-07-24 00:00:00',2,15,12,1993,'M','N','SAPIRANGA','MELEIRO','SC','124241241115371431424616385124610127057',14052,'30',39.93,1,2,1),(25,6232990,'1989-02-12 00:00:00',2,4,12,2006,'F','N','CENTRO','CASCAVEL','PR','116161161116153411436931575122610164097',1621,'9998',69.06,1,2,1),(25,6233007,'1992-11-12 00:00:00',2,1,12,2009,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124243248114472431424639572124610114182',20063,'307',34.40,2,1,2),(25,6233015,'1991-05-17 00:00:00',4,1,6,2009,'M','N','VILLAGE FLAMBOYANT','CUIABÁ','MT','111112281117272431547867582124241747044',NULL,'9998',0.00,1,3,NULL),(25,6233031,'1993-05-11 00:00:00',4,8,12,2010,'M','N','GUABIROTUBA','CURITIBA','PR','116162161217111431688814575124610164052',1405,'9998',70.50,1,3,NULL),(25,6233040,'1991-09-26 00:00:00',2,1,12,2009,'F','N','NOVO HORIZONTE','LINHARES','ES','108082081216471431465932375123610162142',NULL,'9998',0.00,1,3,NULL),(25,6233058,'1992-11-24 00:00:00',2,1,12,2010,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241111371431313129572124610127017',NULL,'281',11.52,1,2,1),(25,6233066,'1991-11-05 00:00:00',2,2,12,2008,'F','N','VELHA','BLUMENAU','SC','124243241217152431346923395122233262097',NULL,'86',22.58,1,3,NULL),(25,6233074,'1993-06-11 00:00:00',4,1,12,2010,'F','N','PARQUE IMPERIAL','S PAULO','SP','125252251215111431248724572112610168147',8609,'9998',50.07,1,3,NULL),(25,6233082,'1990-09-14 00:00:00',4,9,12,2007,'M','N','CENTRO','S JOAQUIM','SC','124242241215272431446611592125231427042',NULL,'1035',0.00,1,3,NULL),(25,6233090,'1991-12-11 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241115372431447873575124121663181',8397,'1022',54.14,2,3,NULL),(25,6233104,'1993-12-14 00:00:00',4,1,11,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124244241116151411536613375122610134142',18397,'293',33.28,1,3,NULL),(25,6233120,'1993-09-07 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247216151431478611575122610164052',NULL,'9999',25.39,1,3,NULL),(25,6233139,'1985-03-02 00:00:00',2,1,12,2003,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124011241115274731546632232124331267182',4486,'307',62.01,4,2,1),(25,6233155,'1991-12-11 00:00:00',4,1,12,2009,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124243241137371451327739395124610134092',NULL,'288',33.36,1,3,NULL),(25,6233163,'1993-04-26 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241115131431549613572124610167042',NULL,'734',14.95,1,2,1),(25,6233171,'1986-08-13 00:00:00',2,1,12,2003,'F','N','CENTRO','LAGES','SC','124242241215372431336921584223333163117',6251,'1022',58.22,1,3,NULL),(25,6233180,'1972-07-31 00:00:00',5,1,12,1994,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224251251126151711453353245112342062185',17942,'9998',38.96,1,3,NULL),(25,6233198,'1974-03-14 00:00:00',2,1,12,1991,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241127133421323329412124233233182',NULL,'307',28.89,1,2,1),(25,6233201,'1990-11-17 00:00:00',2,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124122241215273432469933275122221427042',2132,'270',68.81,1,3,NULL),(25,6233210,'1993-05-30 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117371731336319572122610135142',21528,'307',27.63,1,2,1),(25,6233228,'1993-04-05 00:00:00',4,8,11,2010,'F','N','CAMBARA','S ROQUE','SP','125252251216111431357834575122610136144',12383,'9998',43.26,1,3,NULL),(25,6233236,'1993-12-21 00:00:00',4,10,12,2010,'F','N','CABEÇUDA','LAGUNA','SC','124241241116271431226521275114610146141',NULL,'523',26.84,1,2,1),(25,6233252,'1992-12-23 00:00:00',2,1,12,2010,'F','N','CENTRO','LONDRINA','PR','116162161216471431548832575112610166017',5295,'9998',57.13,1,3,NULL),(25,6233279,'1993-09-24 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241115141431426611395124610124142',NULL,'288',19.97,1,2,1),(25,6233295,'1992-06-29 00:00:00',2,15,12,2009,'F','N','ITOUPAVA','ARARANGUÁ','SC','124241241116161411314923372124610134047',21560,'29',27.37,1,3,NULL),(25,6233309,'1993-11-12 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241125371431524371572324610136177',NULL,'730',0.00,1,2,1),(25,6233317,'1993-01-14 00:00:00',4,3,12,2010,'M','N','NOVO MUNDO','CURITIBA','PR','116163161214111711546311571114610142142',2830,'9998',63.15,1,3,NULL),(25,6233325,'1993-10-02 00:00:00',2,8,12,2010,'M','N','CENTRO','JOINVILLE','SC','124243246217111431443634572121610168172',13649,'1006',41.82,1,3,NULL),(25,6233333,'1990-11-02 00:00:00',2,1,12,2007,'F','N','NOSSA SENHORA DO ROS','S JOSÉ','SC','124241241215574431458813574124610134147',16527,'1035',35.87,1,3,NULL),(25,6233341,'1994-03-22 00:00:00',2,9,12,2011,'F','S','CENTRO','LAGES','SC','124242241215111431327834595122613248011',NULL,'497',21.26,1,3,NULL),(25,6233350,'1993-08-25 00:00:00',4,1,12,2010,'F','N','VILA RITA SOARES','S LOURENÇO SERRA','SP','125251258217111731526614572124610133017',NULL,'9998',0.00,1,3,NULL),(25,6233368,'1988-11-09 00:00:00',2,5,12,2006,'M','N','CIDADE ALTA','BUTIÁ','RS','120201201316471431423514375124143267042',3408,'9998',61.69,4,3,NULL),(25,6233376,'1987-05-04 00:00:00',2,1,12,2004,'M','N','SETÃO MARUIM','S JOSÉ','SC','124251251136131431523315485221231452197',21524,'9998',27.68,3,2,1),(25,6233384,'1993-06-01 00:00:00',4,8,11,2010,'F','N','FLORESTA','JOINVILLE','SC','124242241215111431469914572112610138192',NULL,'1063',32.05,1,3,NULL),(25,6233392,'1992-12-14 00:00:00',4,8,12,2009,'F','N','AHÚ','CURITIBA','PR','116164161217471411449913575122610112097',7107,'9998',53.48,1,3,NULL),(25,6233406,'1993-04-17 00:00:00',4,3,12,2010,'M','N','CENTRO','UBATUBA','SP','125252251236111711548622577122610163182',2640,'9998',65.73,1,3,NULL),(25,6233414,'1992-12-09 00:00:00',4,1,12,2010,'M','N','VILA FORMOSA','APUCARANA','PR','116162161217111411558812595122610162062',6853,'9998',54.48,1,3,NULL),(25,6233422,'1989-08-15 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216575751458911575125610123102',9363,'266',48.61,1,3,NULL),(25,6233430,'1994-04-02 00:00:00',2,15,12,2010,'F','N','CENTRO','MRO GRANDE','SC','124241241115161731425616572222610127057',NULL,'30',8.90,3,2,1),(25,6233449,'1990-07-11 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215575431369913475114122324117',2888,'270',66.27,1,3,NULL),(25,6233457,'1993-01-06 00:00:00',2,10,12,2010,'F','N','AEROPORTO','TUBARÃO','SC','124242241235111431349821575122610131072',NULL,'797',21.15,1,3,NULL),(25,6233473,'1975-09-17 00:00:00',2,1,7,2010,'F','N','FORQUILHAS','S JOSÉ','SC','224241241337261521321154292124610116147',8521,'945',51.31,2,1,2),(25,6233481,'1993-03-04 00:00:00',2,1,12,2010,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124242241135131411446634245124610162187',NULL,'286',23.34,1,3,NULL),(25,6233503,'1993-07-30 00:00:00',4,3,12,2010,'F','N','CENTRO','ITAPEMA','SC','124243241215111431557932375122610166112',7696,'1038',52.81,1,3,NULL),(25,6233511,'1989-11-04 00:00:00',2,16,12,2006,'F','N','UNIVERSITARIO','CURITIBANOS','SC','124241241137141731324623392332610148187',NULL,'239',14.66,1,2,1),(25,6233520,'1994-02-24 00:00:00',4,7,12,2010,'F','N','SAYONARA','CATANDUVAS','SC','124243241215271731436932395122610168192',NULL,'454',30.23,1,3,NULL),(25,6233538,'1989-01-06 00:00:00',4,5,12,2006,'F','N','LOTE SEIS','CRICIÚMA','SC','124242241216574431569932475222230447092',10351,'226',50.74,1,3,NULL),(25,6233546,'1993-04-09 00:00:00',4,4,11,2010,'M','N','PARQUE VERDE','CASCAVEL','PR','116162161215111451439913475122610164042',4296,'9998',59.75,1,3,NULL),(25,6233562,'1992-01-16 00:00:00',4,1,12,2008,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241215574431349933372124610123042',2270,'1011',66.83,4,3,NULL),(25,6233570,'1982-05-24 00:00:00',2,5,10,2001,'M','N','MENINO DEUS','PTO ALEGRE','RS','120202201217571731479913572112140662042',7683,'9998',51.90,1,3,NULL),(25,6233589,'1993-10-23 00:00:00',4,9,12,2010,'M','N','COPACABANA','LAGES','SC','124243241216132431446734576124610166022',11024,'1106',43.16,1,3,NULL),(25,6233597,'1988-09-21 00:00:00',4,1,12,2005,'F','N','VILA INDUSTRIAL','S MANUEL','SP','125252251211575451439834591125610165077',NULL,'9998',0.00,1,3,NULL),(25,6233600,'1993-03-04 00:00:00',2,3,11,2010,'F','N','COSTEIRA','PARANAGUÁ','PR','116162161215421631456823575122610133142',17812,'9998',33.16,1,3,NULL),(25,6233635,'1991-12-23 00:00:00',2,1,12,2009,'M','N','OLINDA','UBERABA','MG','113134131416422431636831175124610115077',10111,'9998',46.74,4,3,NULL),(25,6233660,'1987-06-22 00:00:00',4,1,12,2004,'M','N','VILA NOVA BRASIL','JAÚ','SP','124252251216571431367613475112343232092',6322,'9998',54.67,1,3,NULL),(25,6233686,'1993-10-02 00:00:00',2,16,12,2010,'M','N','SÃO MIGUEL','FRAIBURGO','SC','124244241215111431338614575124610167052',NULL,'885',20.68,1,3,NULL),(25,6233694,'1994-11-26 00:00:00',2,1,11,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241215111531434512425124610133097',21271,'1022',29.63,1,3,NULL),(25,6233708,'1993-02-25 00:00:00',4,3,12,2010,'F','N','SETOR OESTE','GOIÂNIA','GO','109252091217111211354622571115610112197',NULL,'9998',0.00,2,3,NULL),(25,6233716,'1992-11-21 00:00:00',4,6,11,2010,'M','N','TAQUARAS','BAL CAMBORIÚ','SC','124242241217271411469931596124610136147',660,'392',75.67,1,3,NULL),(25,6233724,'1991-05-16 00:00:00',4,5,12,2008,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241117271432336324442132610161092',19486,'1005',35.86,1,3,NULL),(25,6233732,'1991-10-25 00:00:00',2,1,12,2009,'M','N','CONSOLAÇÃO','S PAULO','SP','125253251137472431536634575115610147167',5458,'9998',57.27,4,3,NULL),(25,6233740,'1990-10-22 00:00:00',2,1,12,2008,'M','N','JARDIM BELA VISTA','CPO GRANDE','MS','112122121217141731645612345122141467042',14682,'9998',44.18,1,3,NULL),(25,6233759,'1993-06-03 00:00:00',2,15,12,2010,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124242248415171421226629575123610127045',15565,'29',38.51,1,3,NULL),(25,6233775,'1993-07-14 00:00:00',4,1,11,2010,'M','N','TAPAJÓS','MUNDO NOVO','MS','112122161215271431548813572145610167053',15229,'9998',39.69,1,3,NULL),(25,6233783,'1994-10-06 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241216111731459633572124610127097',21014,'1023',31.04,1,3,NULL),(25,6233791,'1992-05-04 00:00:00',4,1,12,2009,'M','N','JARDIM ITAPEVA','S PAULO','SP','125252251216471231658739575122610127042',11712,'9998',44.07,3,3,NULL),(25,6233805,'1994-03-31 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124212241215121411424853332122610167052',17772,'299',39.29,1,3,NULL),(25,6233813,'1994-02-08 00:00:00',4,2,11,2010,'F','N','VILA NOVA','BLUMENAU','SC','116242161216211431575819572124610163182',1855,'9998',69.70,1,3,NULL),(25,6233821,'1990-06-21 00:00:00',4,8,12,2007,'M','N','AHUU','CURITIBA','PR','116162161211573732489933571112610164047',2310,'9998',66.84,1,3,NULL),(25,6233830,'1993-03-25 00:00:00',4,1,11,2010,'M','N','SETOR BELA VISTA','GOIÂNIA','GO','109092091216111441468814575122610134042',1014,'9998',72.78,1,3,NULL),(25,6233872,'1993-10-27 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241216111411423614445122610161012',14794,'1077',39.81,1,3,NULL),(25,6233880,'1993-07-05 00:00:00',4,3,11,2010,'F','N','CENTRO','ERECHIM','RS','120202201215111731427819571225610133172',NULL,'9998',0.00,1,3,NULL),(25,6233899,'1993-05-22 00:00:00',2,1,12,2010,'F','N','SALETE','FRAIBURGO','SC','124243241315131431433719171121610122027',NULL,'1135',37.25,4,3,NULL),(25,6233902,'1992-04-26 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217471431489931575122610144092',NULL,'807',0.00,1,3,NULL),(25,6233910,'1992-03-26 00:00:00',4,1,12,2009,'M','N','HIGIENOPOLIS','S PAULO','SP','125252251217471731346824574112610122142',8416,'9998',51.36,1,3,NULL),(25,6233929,'1991-05-02 00:00:00',2,5,11,2009,'F','N','ARGENTINA','CRICIÚMA','SC','124241244112371431524411345114610127047',NULL,'209',14.57,1,2,1),(25,6233937,'1991-08-02 00:00:00',4,8,12,2008,'M','N','VILA NOVA','LONDRINA','PR','116162161217571431448612591112610164057',6747,'9998',54.41,3,3,NULL),(25,6233945,'1993-05-09 00:00:00',2,10,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124241241225111431227722575122610124142',NULL,'524',34.17,1,3,NULL),(25,6233953,'1993-04-14 00:00:00',2,10,12,2010,'M','N','STO ANTÔNIO DE PÁDUA','TUBARÃO','SC','124241241115271432433311176121610114197',18800,'1034',37.35,1,2,1),(25,6233961,'1992-09-23 00:00:00',4,1,12,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241227111731433823272114610124065',14987,'262',38.16,1,3,NULL),(25,6233970,'1991-11-22 00:00:00',4,6,12,2008,'F','N','SÃO JUDAS','ITAJAÍ','SC','124242241215573431535727575122610164191',629,'1026',76.52,1,3,NULL),(25,6233988,'1991-05-05 00:00:00',4,4,11,2008,'M','N','CENTRO','CONCÓRDIA','SC','124202241215151421336711345112610142037',NULL,'1000',0.00,1,3,NULL),(25,6233996,'1993-05-16 00:00:00',2,17,12,2010,'M','N','CAMPO SAO LOURENÇO','MAFRA','SC','124241241217131331534935595124610117042',17902,'541',39.03,1,3,NULL),(25,6234003,'1994-03-08 00:00:00',4,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124242241215121732458811474114610127052',11887,'1011',48.35,4,3,NULL),(25,6234011,'1993-05-18 00:00:00',4,8,11,2010,'M','N','GUANABARA','JOINVILLE','SC','124242241215271741347823572122610127011',1860,'461',67.76,1,3,NULL),(25,6234020,'1992-09-26 00:00:00',4,1,12,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241215473431459613575124610124172',50,'1022',85.49,1,3,NULL),(25,6234038,'1993-06-15 00:00:00',4,1,12,2011,'M','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217111412489934596112610124185',NULL,'270',37.01,1,3,NULL),(25,6234046,'1993-02-08 00:00:00',2,1,11,2010,'F','N','CENTRO','BIGUAÇU','SC','124242241215131231329723576125610148141',NULL,'1040',13.60,1,3,NULL),(25,6234062,'1993-10-20 00:00:00',2,1,11,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241215111431426813375114610132142',18763,'1133',35.22,1,3,NULL),(25,6234089,'1992-02-08 00:00:00',4,1,11,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124252241216132431428729481124231067197',NULL,'270',17.80,1,3,NULL),(25,6234097,'1986-11-02 00:00:00',4,1,12,2004,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124252257217473431358831495134221424047',6115,'9998',58.48,1,3,NULL),(25,6234100,'1992-12-28 00:00:00',2,4,12,2009,'F','N','CENTRO','CURITIBA','PR','116242241216471431438612575325610167072',11695,'168',43.36,1,3,NULL),(25,6234119,'1992-12-12 00:00:00',4,6,12,2010,'F','N','UBERABA','CURITIBA','PR','116161161117131431647732292124610124147',NULL,'9998',0.00,1,2,1),(25,6234127,'1990-04-10 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124202201316474431456513575124133236197',4885,'9998',57.79,1,3,NULL),(25,6234135,'1995-03-03 00:00:00',2,1,12,2011,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124241241217111431323923595124610162172',NULL,'1118',41.59,1,3,NULL),(25,6234143,'1993-08-12 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215122431244629575122610152037',4408,'736',60.34,1,3,NULL),(25,6234151,'1992-10-15 00:00:00',4,4,12,2010,'F','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161215111751334664572122610148142',14132,'9998',39.55,1,3,NULL),(25,6234160,'1981-10-16 00:00:00',4,8,12,1998,'M','N','NOVA BRASILIA','JARAGUÁ SUL','SC','224243241236454421243844446122343242117',NULL,'441',0.00,1,3,NULL),(25,6234178,'1992-03-14 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242246215472431246617575114610165052',6188,'1120',58.35,1,3,NULL),(25,6234186,'1994-04-27 00:00:00',4,3,12,2010,'F','N','AGUA VERDE','CURITIBA','PR','116164151215111431358831591122613264092',NULL,'9998',34.70,1,3,NULL),(25,6234194,'1994-03-12 00:00:00',4,1,12,2011,'M','S','ABRAÃO','FLORIANÓPOLIS','SC','124241241215121431459613575124610127042',NULL,'1022',54.08,1,3,NULL),(25,6234208,'1993-10-26 00:00:00',2,4,12,2010,'F','N','INTERIOR','RONDA ALTA','RS','120201201115271431523316582124610132077',10798,'9998',45.80,4,2,1),(25,6234216,'1993-07-08 00:00:00',4,2,11,2010,'M','N','CENTRO','CURITIBA','PR','116252161216111411458813372124610164017',1630,'9998',69.30,4,3,NULL),(25,6234224,'1992-12-04 00:00:00',4,1,12,2010,'M','N','SÃO PEDRO','BRUSQUE','SC','124246241415131431428834575121610166147',NULL,'112',27.05,1,3,NULL),(25,6234240,'1993-03-06 00:00:00',2,6,12,2010,'M','N','GRAVATÁ','NAVEGANTES','SC','124221241136411431526623575122610144147',NULL,'1069',18.99,4,3,NULL),(25,6234259,'1989-10-23 00:00:00',5,8,12,2010,'M','N','COMASA','JOINVILLE','SC','124243247341151411566632215122610134062',NULL,'9999',0.00,1,3,NULL),(25,6234267,'1993-04-03 00:00:00',4,1,12,2010,'F','N','CENTRO','S BENTO SUL','SC','124243241115271431336812276122610134097',14802,'697',39.83,1,3,NULL),(25,6234275,'1993-08-09 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117231431236824575124610114142',18634,'278',32.08,1,2,1),(25,6234283,'1992-04-24 00:00:00',2,1,11,2009,'F','N','SAO JOAO','PTO ALEGRE','RS','120242241215472441359814575124610162142',3198,'797',61.48,1,3,NULL),(25,6234291,'1990-10-22 00:00:00',2,8,6,2010,'F','N','SAGUACU','JOINVILLE','SC','124241281115371511436633495124610128177',NULL,'9998',0.00,1,3,NULL),(25,6234305,'1991-09-25 00:00:00',4,1,12,2009,'F','N','SANTA CECÍLIA','S PAULO','SP','125252251217471311268833371125610144042',5834,'9998',56.11,1,3,NULL),(25,6234321,'1993-05-11 00:00:00',2,17,12,2010,'F','N','BELA VISTA','RIO NEGRINHO','SC','124241241136271331626614385122610138147',16406,'669',37.21,4,3,NULL),(25,6234330,'1994-02-22 00:00:00',4,1,12,2010,'M','N','CENTRO','PTE SERRADA','SC','124244242237162521346632575125610164092',5550,'836',59.66,1,3,NULL),(25,6234348,'1993-01-27 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241215121412346673575114610164047',7105,'1022',54.91,1,3,NULL),(25,6234356,'1989-12-06 00:00:00',2,1,12,2007,'F','N','VILA ANDRADE','S PAULO','SP','125252251217571751548619475124610134097',6148,'9998',55.01,1,3,NULL),(25,6234364,'1993-04-23 00:00:00',4,1,12,2009,'M','N','USINA','ANTÔNIO CARLOS','SC','124241241116272431433634285124233232057',14952,'21',39.22,1,2,1),(25,6234380,'1990-10-03 00:00:00',2,5,12,2009,'M','N','FIGUEIRA','TIMBÉ SUL','SC','124241248126171431433315435112610167057',NULL,'785',0.00,1,2,1),(25,6234399,'1992-03-24 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241217473431459933575124610162142',606,'1207',76.67,1,3,NULL),(25,6234402,'1989-10-24 00:00:00',2,1,12,2006,'F','N','CENTRO','PTO UNIÃO','SC','124242241215574751558829594124610168187',7014,'633',55.23,1,3,NULL),(25,6234410,'1989-07-21 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241136472731526623342124610137057',NULL,'287',29.61,1,2,1),(25,6234429,'1992-06-26 00:00:00',4,1,12,2009,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241115131431428669585114610114147',NULL,'257',19.66,1,3,NULL),(25,6234437,'1991-04-21 00:00:00',2,10,12,2008,'M','N','VILA JOSE NAZARIO','ARMAZÉM','SC','124241241126172231556831245124231423112',NULL,'34',0.00,1,2,1),(25,6234445,'1994-08-31 00:00:00',4,1,12,2011,'F','S','CENTRO','PTO UNIÃO','SC','124242241217111731338821295125610146037',NULL,'633',50.37,5,3,NULL),(25,6234461,'1982-10-09 00:00:00',2,1,12,2003,'F','N','FORQUILHAS','S JOSÉ','SC','224241241127141421233354142123332747142',17030,'727',40.58,1,2,1),(25,6234470,'1950-04-27 00:00:00',2,1,12,2001,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241248127275111111141112114610144047',NULL,'290',20.46,1,3,NULL),(25,6234488,'1988-04-21 00:00:00',2,1,12,2006,'M','N','CENTRO','SOMBRIO','SC','124242246211141711126444245125131464047',NULL,'230',0.00,1,3,NULL),(25,6234496,'1992-05-20 00:00:00',2,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111731445331575114610122017',9662,'272',48.72,3,3,NULL),(25,6234500,'1992-06-08 00:00:00',4,8,12,2009,'M','N','NOVA BRASÍLIA','JARAGUÁ SUL','SC','124243246214271211459934575121133244062',4980,'1061',58.16,1,3,NULL),(25,6234534,'1992-04-04 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','120202201216372431428639575125610124052',NULL,'9998',29.86,1,3,NULL),(25,6234550,'1989-08-04 00:00:00',2,1,12,2006,'F','N','VILA NOVA','NOVO HAMBURGO','RS','120203201216374431336419395124230223147',NULL,'9998',0.00,1,3,NULL),(25,6234577,'1994-01-24 00:00:00',2,1,12,2010,'F','N','ZONA NOVA','CAPÃO CANOA','RS','120201201116271431657713395124610124047',19353,'9998',31.52,1,2,1),(25,6234585,'1988-01-31 00:00:00',2,1,12,2005,'M','N','FORQUILHAS','S JOSÉ','SC','224251251126474431233644245123130212182',NULL,'9998',29.25,1,2,1),(25,6234631,'1987-04-03 00:00:00',2,1,6,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201147272431626364342224610117072',NULL,'9998',31.22,1,2,1),(25,6234666,'1991-07-15 00:00:00',4,4,12,2008,'M','N','CENTRO','CONCÓRDIA','SC','124241241116574751335632575114610165097',2639,'192',64.78,1,2,1),(25,6234674,'1964-03-27 00:00:00',4,1,2,1992,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224203161126152441162442225122431016052',18382,'9998',38.14,1,3,NULL),(25,6234682,'1993-04-05 00:00:00',2,1,12,2010,'M','N','ZONA RURAL','JUSSARA','PR','116161161215121231426815575122610127042',10176,'9998',47.70,3,3,NULL),(25,6234704,'1993-11-20 00:00:00',4,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241225111431425614175124610122191',18501,'262',37.92,1,3,NULL),(25,6234712,'1994-07-20 00:00:00',2,1,12,2011,'M','S','KOBRASOL','S JOSÉ','SC','124242241216111431338823572122610127045',NULL,'723',57.62,1,3,NULL),(25,6234720,'1991-12-06 00:00:00',2,1,12,2008,'F','N','FUNDOS','BIGUAÇU','SC','124241241117271421434314345124610122047',10433,'65',47.99,1,2,1),(25,6234739,'1991-10-26 00:00:00',4,1,10,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217572431488914575124130267052',2351,'807',66.29,1,3,NULL),(25,6234747,'1993-02-17 00:00:00',4,1,12,2010,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124242241215111431477733475112610127017',19713,'441',29.55,1,3,NULL),(25,6234755,'1987-08-12 00:00:00',2,1,7,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241117131431425614145124610124141',21684,'306',25.53,1,2,1),(25,6234763,'1992-10-30 00:00:00',2,1,12,2010,'M','N','JARDIM FERNANDES','S JOSÉ R PRETO','SP','125252251235111431358911575112610144192',NULL,'9998',0.00,1,3,NULL),(25,6234771,'1993-09-14 00:00:00',4,1,12,2009,'M','N','VERA CRUZ','PASSO FUNDO','RS','120201201116471751327624592214610137147',5031,'9998',57.65,1,2,1),(25,6234810,'1990-10-16 00:00:00',4,1,12,2009,'M','N','BOM VIVER','BIGUAÇU','SC','124241241117131431446614346214610134057',18304,'734',38.28,4,2,1),(25,6234836,'1993-12-20 00:00:00',4,1,12,2010,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241225141411436414291124610167032',NULL,'262',0.00,1,3,NULL),(25,6234844,'1989-05-10 00:00:00',4,1,12,2006,'F','N','LIBERDADE','S PAULO','SP','125253251212573431576432572124610162042',2447,'9998',65.68,1,3,NULL),(25,6234852,'1989-04-19 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241216575411115912575114220362191',NULL,'813',0.00,1,3,NULL),(25,6234879,'1991-03-03 00:00:00',2,1,11,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215472521346613325122231247081',NULL,'1022',0.00,1,3,NULL),(25,6234887,'1993-11-17 00:00:00',4,5,11,2010,'M','N','MARIA CÉU','CRICIÚMA','SC','124241241115371441636314275124610137182',17699,'209',34.22,1,2,1),(25,6234895,'1990-02-14 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124242281212152421548713442112133148017',NULL,'9998',0.00,1,3,NULL),(25,6234933,'1992-12-28 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111451365921475112610163095',8151,'270',50.19,1,3,NULL),(25,6234950,'1958-02-24 00:00:00',4,1,12,1976,'M','N','CENTRO','FLORIANÓPOLIS','SC','224131248137151711468349495122330266062',NULL,'9998',0.00,1,3,NULL),(25,6234976,'1992-09-10 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111731488923575122610126012',1603,'270',68.72,1,3,NULL),(25,6234984,'1990-10-03 00:00:00',1,1,6,2008,'F','N','CENTRO','AGRONÔMICA','SC','124242281416474711439814342144610165142',13695,'9998',41.65,1,3,NULL),(25,6234992,'1993-09-20 00:00:00',4,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241112471431423311372124610137142',21446,'733',28.44,1,2,1),(25,6235000,'1993-05-28 00:00:00',4,8,12,2010,'M','N','CENTRO','REGISTRO','SP','125252251215371441348614575121610124182',4834,'9998',57.92,1,3,NULL),(25,6235026,'1992-11-28 00:00:00',4,1,12,2009,'M','N','CENTRO','AGRONÔMICA','SC','124242241211272751439814342124231462192',13992,'654',39.99,1,3,NULL),(25,6235034,'1994-08-15 00:00:00',2,1,12,2011,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124241241217111731246413575124610124147',NULL,'948',20.93,1,3,NULL),(25,6235042,'1992-12-18 00:00:00',4,8,12,2009,'M','N','CENTRO','PIÊN','PR','116161161137161431349923575125610134017',NULL,'9998',0.00,1,2,1),(25,6235050,'1994-10-04 00:00:00',4,9,11,2011,'M','S','CENTRO','LAGES','SC','124242241215111751469939572122610167092',NULL,'1207',42.20,1,3,NULL),(25,6235077,'1992-05-24 00:00:00',4,8,12,2009,'M','N','VILA OPERARIA','MARINGÁ','PR','116162161216472431388911575114610162052',626,'9998',76.36,1,3,NULL),(25,6235085,'1993-08-26 00:00:00',4,4,12,2010,'M','N','CENTRO','CHAPECÓ','SC','124241241117272411448739495112610144122',3104,'1191',63.86,1,3,NULL),(25,6235093,'1994-07-01 00:00:00',4,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241217111431369833475122610136062',8189,'723',54.55,1,3,NULL),(25,6235107,'1989-05-13 00:00:00',4,8,12,2006,'F','N','AFONSO PENA','S JOSÉ PINHAIS','PR','116252253215573431458814575122610143017',4134,'9998',59.95,1,3,NULL),(25,6235115,'1989-12-22 00:00:00',4,1,11,2007,'F','N','VILA GOMES','S PAULO','SP','125252251416572431267924571124610136087',NULL,'9998',0.00,1,3,NULL),(25,6235123,'1993-12-22 00:00:00',2,10,12,2010,'M','N','PROGRESSO','LAGUNA','SC','124241243225161431324424272124610128052',12546,'524',42.38,1,3,NULL),(25,6235140,'1993-10-27 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215122431448713575122610136095',100,'270',83.46,1,3,NULL),(25,6235158,'1992-12-17 00:00:00',2,1,12,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241147132411523623115111610147182',16087,'287',36.55,1,2,1),(25,6235166,'1992-10-21 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111411349914475122610163092',5807,'272',56.87,1,3,NULL),(25,6235174,'1993-07-16 00:00:00',4,4,12,2010,'F','N','CENTRO','SEARA','SC','124241241116271431524315575224610118147',14745,'763',38.29,1,2,1),(25,6235190,'1993-03-19 00:00:00',2,1,11,2010,'F','N','ALTO DA GLÓRIA','GOIÂNIA','GO','109092091213121221489933573122610164144',NULL,'9998',0.00,1,3,NULL),(25,6235212,'1993-06-21 00:00:00',4,1,12,2010,'M','N','GETHAL','LAGES','SC','124242211217111411368933371121610132052',4107,'9998',60.02,1,3,NULL),(25,6235220,'1993-02-17 00:00:00',4,1,12,2010,'F','N','JARDIM PETROPOLIS','PIRACICABA','SP','125252251215111211489931575122610143182',NULL,'9998',0.00,1,3,NULL),(25,6235239,'1992-04-28 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241216273431479913375112131067011',16142,'737',41.95,1,3,NULL),(25,6235247,'1992-10-01 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121431478814572122610162197',1407,'1169',71.49,1,3,NULL),(25,6235255,'1992-11-05 00:00:00',4,1,12,2010,'F','N','JARDIM ESMERALDA','MARÍLIA','SP','125252251215111231348814475122610164197',NULL,'9998',27.99,1,3,NULL),(25,6235263,'1994-04-22 00:00:00',4,9,11,2010,'M','N','CANTA GALO','RIO SUL','SC','124242241215111431458832495122610125146',5844,'991',56.55,1,3,NULL),(25,6235271,'1993-03-01 00:00:00',4,8,11,2010,'F','N','CENTRO','JOINVILLE','SC','124241241235131431426923182124610123052',12898,'1016',46.74,1,3,NULL),(25,6235280,'1994-09-29 00:00:00',4,8,11,2011,'M','S','VILA BAEPENDI','JARAGUÁ SUL','SC','124242241217111752439619575122610124042',NULL,'424',0.00,1,3,NULL),(25,6235298,'1981-01-06 00:00:00',4,15,12,1999,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241242136131421523341415125113241067',16163,'690',41.91,2,2,1),(25,6235301,'1993-03-27 00:00:00',2,1,12,2010,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241225111431524314575124613228062',17944,'262',34.38,1,3,NULL),(25,6235310,'1993-07-01 00:00:00',4,1,11,2010,'M','N','CENTRO','CAÇADOR','SC','124242241215111211578834575124610117072',24,'270',87.04,1,3,NULL),(25,6235336,'1991-04-15 00:00:00',4,1,12,2008,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215574431458923475122610162012',2666,'270',66.54,1,3,NULL),(25,6235344,'1993-04-01 00:00:00',2,5,12,2010,'M','N','MICHEL','CRICIÚMA','SC','124244246216141731438613275124610117112',NULL,'995',19.27,1,3,NULL),(25,6235360,'1993-04-29 00:00:00',4,8,12,2010,'F','N','PARQUE GUARANI','JOINVILLE','SC','124241241115131332325633572124610166147',NULL,'492',15.95,1,2,1),(25,6235379,'1992-11-26 00:00:00',2,15,12,2009,'M','N','DIVINÉIA','ARARANGUÁ','SC','124241241136132431426614241121610167052',NULL,'30',19.30,1,2,1),(25,6235395,'1992-04-08 00:00:00',2,7,12,2010,'F','N','CENTRO','CAMPOS NOVOS','SC','124241241126131411113663345325610113011',20885,'140',31.58,1,2,1),(25,6235425,'1992-02-29 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472431479931595122610163142',215,'270',80.90,1,3,NULL),(25,6235433,'1990-01-23 00:00:00',2,4,12,2007,'F','N','CENTRO','CHAPECÓ','SC','124241241216573431436923375124610164182',5086,'185',58.16,1,3,NULL),(25,6235441,'1993-09-01 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241116372231478613575112610127062',6327,'271',54.70,1,3,NULL),(25,6235450,'1991-11-19 00:00:00',4,1,12,2009,'F','N','VILA DIDI','JUNDIAÍ','SP','125252251216471431255824575122610122147',NULL,'9998',0.00,1,3,NULL),(25,6235468,'1994-03-29 00:00:00',4,1,11,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215271731267669476124610162175',NULL,'270',85.35,1,3,NULL),(25,6235476,'1992-11-23 00:00:00',4,1,6,2009,'M','N','CENTRO','CAMPOS NOVOS','SC','124242281615472431468716575122610142042',10910,'9998',45.09,1,3,NULL),(25,6235484,'1992-03-13 00:00:00',2,17,12,2009,'F','N','CENTRO','CANOINHAS','SC','124241241117271431433611282122610131017',14624,'146',39.19,1,2,1),(25,6235506,'1993-02-11 00:00:00',4,1,11,2010,'M','N','SAO JUDAS TADEU','S JOSÉ CAMPOS','SP','122222251246121711466732571124610166142',2276,'9998',67.68,1,3,NULL),(25,6235522,'1977-11-09 00:00:00',4,1,12,1997,'M','N','BARREIROS','S JOSÉ','SC','124241241122133731543629392122232822042',18904,'295',37.11,1,2,1),(25,6235530,'1993-08-23 00:00:00',4,1,12,2010,'F','N','CENTRO','S MIGUEL OESTE','SC','116242161216471411437632172114610164197',6827,'9998',57.05,1,3,NULL),(25,6235549,'1992-12-18 00:00:00',4,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124242241117371411359713575124610166092',3610,'739',61.27,1,3,NULL),(25,6235557,'1992-02-19 00:00:00',4,8,12,2009,'M','N','JARDIM','STO ANDRÉ','SP','125256251216471741456834572111610137047',11365,'9998',43.37,1,3,NULL),(25,6235565,'1993-03-26 00:00:00',4,8,12,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','124244241216371431557812572112610144142',5567,'861',56.30,1,3,NULL),(25,6235573,'1993-06-21 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241115371432426611576114610132145',2940,'267',66.06,1,3,NULL),(25,6235581,'1987-04-19 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117575431335334242114610127183',19951,'277',30.09,1,2,1),(25,6235590,'1992-06-22 00:00:00',4,1,12,2009,'M','N','ENCRUZILHADA','BIGUAÇU','SC','124241241116272431516631575124610167012',13825,'65',45.43,1,2,1),(25,6235611,'1994-09-16 00:00:00',4,2,10,2010,'F','N','CENTRO','BLUMENAU','SC','124242241215111431339912575122610123182',13116,'909',46.44,1,3,NULL),(25,6235620,'1992-11-19 00:00:00',2,8,12,2010,'M','N','ADHEMAR GARCIA','JOINVILLE','SC','124243241216131441358714474124610164076',11161,'1105',49.43,1,3,NULL),(25,6235638,'1993-06-04 00:00:00',4,1,11,2010,'F','N','VILA ZELINA','S PAULO','SP','125252251215111411458831572124610115077',412,'9998',78.11,1,3,NULL),(25,6235654,'1991-01-11 00:00:00',4,1,12,2008,'F','N','VILA ROSÁLIA','GUARULHOS','SP','125252251215571431339631275125610167097',2565,'9998',63.94,1,3,NULL),(25,6235662,'1992-10-08 00:00:00',4,1,12,2009,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241216273431456624572114133237042',6533,'855',57.63,1,3,NULL),(25,6235670,'1993-08-12 00:00:00',4,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124242161115122331469631475124610137122',16710,'9998',41.06,3,3,NULL),(25,6235689,'1990-10-24 00:00:00',4,10,11,2008,'F','N','JARDIM CASAGRANDE','MOGI GUAÇU','SP','125251251116571431336724575124141243092',4726,'9998',58.40,1,2,1),(25,6235697,'1993-07-10 00:00:00',4,1,11,2010,'M','N','CENTRO','URUBICI','SC','124242241217111431556832572114610167052',2352,'270',67.99,1,3,NULL),(25,6235700,'1988-05-26 00:00:00',4,9,12,2007,'M','N','CENTRO','S JOAQUIM','SC','124241241127271411424433375122610164047',18714,'719',37.53,1,2,1),(25,6235719,'1992-06-06 00:00:00',4,1,11,2009,'M','N','BUTIATUVINHA','CURITIBA','PR','116164161215571411236634385124610164187',NULL,'9998',0.00,1,3,NULL),(25,6235727,'1993-03-25 00:00:00',2,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124244241415113731557823275124222964182',NULL,'948',0.00,1,3,NULL),(25,6235735,'1993-06-18 00:00:00',4,1,12,2010,'F','N','MARISTA','GOIÂNIA','GO','109092091217111431678833572112610167072',8857,'9998',49.06,1,3,NULL),(25,6235743,'1991-11-16 00:00:00',4,3,12,2008,'F','N','CENTRO','NAVIRAÍ','MS','112122121216571731459713575122610124197',NULL,'9998',24.43,4,3,NULL),(25,6235751,'1993-01-27 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241115271731446923575114610127072',11266,'271',45.23,1,3,NULL),(25,6235760,'1990-06-29 00:00:00',2,8,11,2007,'M','N','ALTO','CURITIBA','PR','116161161116572431569913435122141764177',3142,'9998',63.27,1,2,1),(25,6235808,'1992-09-04 00:00:00',4,1,12,2009,'F','N','ZONA QUATRO','MARINGÁ','PR','116162161215474751578933594125610128187',3105,'9998',63.53,1,3,NULL),(25,6235816,'1990-04-18 00:00:00',4,6,12,2007,'F','N','FAZENDA','ITAJAÍ','SC','125242161216473331338611595124240262092',1218,'9998',72.76,1,3,NULL),(25,6235824,'1988-08-19 00:00:00',4,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217122431437614375124322967091',1210,'486',72.83,1,3,NULL),(25,6235840,'1993-11-03 00:00:00',4,4,11,2010,'M','N','NOSSA SRA APARECIDA','FRANCISCO BELTRÃO','PR','116162161215111431458839572115610127052',6391,'9998',55.60,1,3,NULL),(25,6235859,'1992-12-05 00:00:00',4,8,12,2010,'F','N','VILA NOVA','JARAGUÁ SUL','SC','124242241235111131459914275122610134074',NULL,'1174',0.00,1,3,NULL),(25,6235867,'1992-05-07 00:00:00',2,6,11,2009,'F','N','CENTENÁRIO','PALMEIRA MISSÕES','RS','124202201215471751458811472122610136192',NULL,'9998',27.95,1,3,NULL),(25,6235875,'1984-03-02 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124162161216151421158643235122343267113',13818,'9998',45.44,1,3,NULL),(25,6235883,'1991-12-10 00:00:00',4,1,11,2009,'F','N','PINHEIROS','S PAULO','SP','125252251215571732368819572124610137057',2718,'9998',63.76,3,3,NULL),(25,6235891,'1992-12-20 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116372431336613342114131033092',21368,'733',22.53,1,2,1),(25,6235921,'1993-08-16 00:00:00',4,1,11,2011,'F','S','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241215111411426311572124610145032',NULL,'1022',50.77,1,3,NULL),(25,6235930,'1994-07-27 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111751469811575112610142192',NULL,'262',29.63,1,3,NULL),(25,6235948,'1993-02-14 00:00:00',4,2,12,2010,'F','N','CENTRO','POMERODE','SC','124242241217112231366823575112610165092',5424,'624',56.45,1,3,NULL),(25,6235956,'1992-07-08 00:00:00',2,4,12,2009,'M','N','CENTRO','ESPERANÇA SUL','RS','124201202116171431627813572124230324057',21631,'9998',26.43,1,3,NULL),(25,6235964,'1992-11-22 00:00:00',4,5,11,2010,'F','N','CENTRO','SIDERÓPOLIS','SC','124242241215112231448812425114610133143',14876,'226',43.88,1,3,NULL),(25,6235972,'1993-05-15 00:00:00',4,10,10,2010,'F','N','OFICINAS','TUBARÃO','SC','124242241215371411458812195122610136042',NULL,'806',32.35,1,3,NULL),(25,6235980,'1991-06-25 00:00:00',4,4,12,2008,'F','N','CENTRO','PATO BRANCO','PR','116162161216471431335319445125610136077',8977,'9998',49.46,1,3,NULL),(25,6235999,'1993-08-22 00:00:00',2,1,12,2010,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241126161431324634572122610125147',NULL,'649',23.96,1,2,1),(25,6236006,'1993-03-11 00:00:00',4,1,12,2009,'M','N','VILA DUBUS','PRES PRUDENTE','SP','125252251217471431389931575122610168122',1600,'9998',68.75,1,3,NULL),(25,6236014,'1993-01-20 00:00:00',4,2,12,2010,'F','N','TRIBESS','BLUMENAU','SC','124242241215111431448613575122610131097',NULL,'71',34.27,1,3,NULL),(25,6236022,'1991-08-30 00:00:00',2,8,12,2010,'M','N','GLORIA','JOINVILLE','SC','124242241217111431569934575122610137041',NULL,'459',15.53,1,3,NULL),(25,6236030,'1993-04-24 00:00:00',4,4,12,2010,'M','N','JARDIM URBANO','PALOTINA','PR','116162161217121431459912575111610137052',6290,'9998',55.29,1,3,NULL),(25,6236049,'1989-07-31 00:00:00',4,1,12,2006,'M','N','ROÇADO','S JOSÉ','SC','124241241117142411226624145122610132152',13206,'729',46.34,1,2,1),(25,6236057,'1991-07-20 00:00:00',4,1,12,2008,'M','N','CENTRO','PELOTAS','RS','120202201217571741289931575122610167122',3376,'9998',62.33,1,3,NULL),(25,6236065,'1993-01-30 00:00:00',4,10,11,2010,'M','N','POUSO ALTO','GRAVATAL','SC','124241241414111711434931392124610111091',11184,'809',44.41,1,3,NULL),(25,6236073,'1991-04-19 00:00:00',2,1,11,2008,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241116232431425734345214610117057',NULL,'281',17.30,1,2,1),(25,6236090,'1993-01-03 00:00:00',2,1,12,2009,'F','N','CENTRO','CAMPINA LAGOA','PR','116163161215471431448931574125610163092',NULL,'9998',0.00,1,3,NULL),(25,6236103,'1990-10-03 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116273231527614242124610167113',NULL,'288',21.36,1,3,NULL),(25,6236111,'1994-09-09 00:00:00',4,10,11,2011,'M','S','OFICINAS','TUBARÃO','SC','124242241212171331458912191122610167044',NULL,'806',28.53,1,3,NULL),(25,6236120,'1988-05-18 00:00:00',4,1,12,2005,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201201147131431226648286114140664147',NULL,'9998',0.00,1,2,1),(25,6236138,'1993-08-01 00:00:00',4,1,12,2010,'F','N','PRAIA DE FORA','PALHOÇA','SC','124242241117151431549814575124610135142',985,'739',72.66,1,3,NULL),(25,6236146,'1993-08-28 00:00:00',4,4,12,2010,'M','N','MIRANTE','ITÁ','SC','124241241117371431459934575121610137012',5183,'384',57.96,1,2,1),(25,6236154,'1993-02-09 00:00:00',4,1,12,2010,'F','N','ÁGUA DAS ANTAS','LUCIANÓPOLIS','SP','125254251215111431546823575112610127043',6445,'9998',54.74,1,3,NULL),(25,6236162,'1993-04-28 00:00:00',2,4,12,2010,'F','N','DIST SANTA LUCIA','PALMITOS','SC','124241241117141431323626195124610137057',NULL,'601',26.83,1,2,1),(25,6236170,'1987-09-12 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241336575411238711445124123268017',9246,'9997',49.39,1,3,NULL),(25,6236197,'1954-06-30 00:00:00',4,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124251251147131311333349193214610116092',NULL,'9998',0.00,4,1,1),(25,6236200,'1992-10-03 00:00:00',4,15,12,2009,'M','N','COLONINHA','ARARANGUÁ','SC','124241241115162731459933385122610138037',NULL,'29',30.38,1,2,1),(25,6236227,'1986-10-12 00:00:00',2,1,12,2004,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241112272431423324482114610127027',NULL,'732',31.62,1,2,1),(25,6236235,'1993-06-04 00:00:00',4,1,12,2010,'F','N','CENTRO','PALOTINA','PR','116162161216371431536632575122610121142',NULL,'9998',0.00,1,3,NULL),(25,6236243,'1993-10-21 00:00:00',4,9,10,2010,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241215112431448814575112610122192',2444,'497',65.79,1,3,NULL),(25,6236251,'1989-08-11 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124163247216272411265541425132130217041',20280,'270',33.82,1,3,NULL),(25,6236260,'1991-02-19 00:00:00',4,2,12,2008,'M','N','VELHA','BLUMENAU','SC','124241241116131231444413175124231428122',NULL,'84',23.05,1,3,NULL),(25,6236278,'1993-08-28 00:00:00',4,1,12,2010,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241147271731631117175124610126195',13643,'281',45.71,1,2,1),(25,6236286,'1992-09-08 00:00:00',2,5,12,2009,'M','N','SANTO ANTONIO','CRICIÚMA','SC','124241248216132731224923382124610167187',NULL,'920',24.71,1,3,NULL),(25,6236294,'1993-12-29 00:00:00',2,1,12,2010,'F','N','CENTRO','ERECHIM','RS','120203201116371431438614275122610123017',NULL,'9998',0.00,1,3,NULL),(25,6236308,'1991-02-17 00:00:00',4,1,12,2008,'F','N','FRAGATA','MARÍLIA','SP','125252251217571431379961595112610164172',NULL,'9998',0.00,1,3,NULL),(25,6236316,'1985-03-31 00:00:00',2,1,2,2003,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','224161161127273731223659245115610124142',17638,'9998',39.50,1,2,1),(25,6236324,'1976-03-29 00:00:00',4,8,11,1994,'M','N','ÁGUA BRANCA','S PAULO','SP','225252251117371731249854485121143224057',NULL,'9998',0.00,1,3,NULL),(25,6236340,'1992-08-08 00:00:00',2,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242247237271431436639495124610167117',20857,'920',31.70,1,3,NULL),(25,6236359,'1993-03-13 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431566713475122610167042',12121,'738',44.85,1,3,NULL),(25,6236367,'1993-07-24 00:00:00',4,15,12,2010,'F','N','CENTRO','ARARANGUÁ','SC','124242241235111731356612572122610165142',14593,'26',39.79,1,3,NULL),(25,6236375,'1992-03-10 00:00:00',2,1,12,2009,'F','N','CAVALHADA','PTO ALEGRE','RS','120203201217471451344332122124610153117',16356,'9998',35.18,1,3,NULL),(25,6236383,'1993-05-27 00:00:00',2,8,11,2010,'M','N','SAN CONRADO','REGISTRO','SP','125252251217211731256723575123610127052',15337,'9998',38.44,1,3,NULL),(25,6236391,'1993-12-05 00:00:00',2,1,12,2011,'M','S','COLONINHA','FLORIANÓPOLIS','SC','124241241115151742458711575124610124142',NULL,'267',39.70,1,3,NULL),(25,6236405,'1992-08-18 00:00:00',2,5,12,2009,'M','N','PLANALTO','ENCANTADO','RS','120203201216471231455711574122610166126',1216,'9998',71.45,1,3,NULL),(25,6236413,'1988-09-12 00:00:00',2,2,12,2005,'F','N','VILA NOVA','BLUMENAU','SC','124244241216573411636714475224232467047',4831,'1021',59.22,1,3,NULL),(25,6236421,'1993-09-14 00:00:00',2,5,12,2010,'F','N','CENTRO','IÇARA','SC','124241248116131431327424572124610162017',16820,'995',35.86,1,3,NULL),(25,6236430,'1986-10-12 00:00:00',2,1,12,2004,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241112272431423324482114610124027',16260,'732',41.76,1,2,1),(25,6236448,'1993-01-23 00:00:00',4,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124244241215121431346654272122610124027',NULL,'1118',26.78,1,3,NULL),(25,6236456,'1994-01-15 00:00:00',2,7,12,2010,'F','N','JARDIN PRESIDENTE','RIO VERDE','GO','109094091217111431336632245122610121012',NULL,'9998',0.00,1,3,NULL),(25,6236464,'1992-09-26 00:00:00',4,5,12,2010,'F','N','IGRA','TORRES','RS','120201205116141451333522595121610133052',NULL,'9998',0.00,1,2,1),(25,6236472,'1993-02-08 00:00:00',4,9,11,2010,'F','N','COPACABANA','LAGES','SC','124242241215111231428932575122610136192',9317,'1207',48.25,1,3,NULL),(25,6236480,'1993-08-09 00:00:00',2,8,12,2010,'F','N','ITAUM','JOINVILLE','SC','124242246217141431439924572224610145072',12500,'1105',47.34,1,3,NULL),(25,6236499,'1993-08-29 00:00:00',4,5,11,2010,'M','N','MICHEL','CRICIÚMA','SC','124242241215111431457923475122610163057',9223,'210',49.21,1,3,NULL),(25,6236502,'1994-03-02 00:00:00',4,16,12,2011,'F','S','CENTRO','CAÇADOR','SC','124241241217111431336613575124610123092',NULL,'1124',21.42,1,3,NULL),(25,6236510,'1993-08-13 00:00:00',2,1,12,2010,'F','N','GUARDA DO CUBATAO','PALHOÇA','SC','124241241145141711324314345134613235047',NULL,'592',42.32,1,2,1),(25,6236529,'1993-06-28 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115271431338933575122610143095',9217,'267',48.08,1,2,1),(25,6236537,'1993-01-26 00:00:00',2,8,12,2010,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215221431336821572122610121142',NULL,'459',0.00,1,3,NULL),(25,6236545,'1993-05-14 00:00:00',4,5,12,2010,'M','N','VILA NOVA','IÇARA','SC','124241241127271731368514495124610164045',12087,'351',43.48,1,2,1),(25,6236553,'1958-11-08 00:00:00',2,1,12,2009,'F','N','ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC','224241242117272412441153172122333266187',21753,'1222',23.93,1,2,1),(25,6236561,'1993-06-25 00:00:00',2,1,12,2010,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241116271431425614575124610124052',NULL,'329',17.41,1,2,1),(25,6236570,'1993-10-04 00:00:00',2,5,12,2010,'M','N','CENTRO','IÇARA','SC','124242241215212431469914572124610164112',3004,'226',65.27,1,3,NULL),(25,6236588,'1990-12-18 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124051051126371721633374345334610163141',NULL,'9998',21.43,2,1,1),(25,6236596,'1994-11-17 00:00:00',4,1,12,2010,'F','N','STO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC','124242241215111431528933572114610138196',16048,'270',42.06,1,3,NULL),(25,6236626,'1993-04-15 00:00:00',2,9,11,2010,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242248215111431458812574122610126122',15145,'497',43.48,1,3,NULL),(25,6236642,'1993-06-21 00:00:00',4,1,12,2010,'F','N','NAÇÕES','CONCÓRDIA','SC','124241241114131731459614341122610166187',NULL,'192',34.08,1,3,NULL),(25,6236650,'1993-06-10 00:00:00',4,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215121421379939575122610124142',1934,'270',67.71,1,3,NULL),(25,6236669,'1992-01-30 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217372531457412595111141437042',11877,'1038',48.37,1,3,NULL),(25,6236677,'1992-07-25 00:00:00',2,5,12,2009,'M','N','PINHEIRINHO','CRICIÚMA','SC','124243248212372231436111391124610125142',11675,'995',48.64,1,3,NULL),(25,6236685,'1993-12-20 00:00:00',2,9,12,2010,'F','N','CORAL','LAGES','SC','124243241415111431347667575122610112182',17792,'499',34.73,1,3,NULL),(25,6236693,'1991-10-08 00:00:00',2,1,12,2008,'M','N','CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC','124243241215273431437633571124121267147',3265,'1048',65.18,1,3,NULL),(25,6236707,'1993-11-05 00:00:00',4,1,11,2010,'M','N','CATU DE ABRANTES','CAMAÇARI','BA','105052051216121431469614575124610137042',17179,'9998',40.32,1,3,NULL),(25,6236715,'1990-08-21 00:00:00',4,9,11,2007,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241215473431448612575122130614192',2533,'497',67.38,1,3,NULL),(25,6236723,'1991-09-26 00:00:00',4,1,12,2009,'M','N','CENTRO','FRANCA','SP','125252251417252711668934575121120247111',1361,'9998',70.97,1,3,NULL),(25,6236731,'1994-11-14 00:00:00',3,9,11,2011,'F','S','SUMARÉ','RIO SUL','SC','124242241215111431459811574122610132072',NULL,'991',59.67,1,3,NULL),(25,6236740,'1993-05-01 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431324629575124610127012',14150,'737',41.57,1,3,NULL),(25,6236758,'1993-10-08 00:00:00',2,17,12,2010,'F','N','CENTRO','CURITIBA','PR','116161161116131431436923385124610164047',NULL,'9998',24.12,1,2,1),(25,6236774,'1982-01-27 00:00:00',2,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241248116141711321144242324610113183',NULL,'9999',34.38,1,3,NULL),(25,6236782,'1991-04-10 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','125251251217342431324679485121610117117',21165,'9998',24.72,1,3,NULL),(25,6236804,'1992-02-26 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201201117132431527513185124233262041',NULL,'9998',0.00,1,2,1),(25,6236812,'1993-02-11 00:00:00',4,1,12,2010,'F','N','CENTRO','ITUPORANGA','SC','124241241145141411426728244121610126147',17878,'416',33.94,1,2,1),(25,6236820,'1992-09-10 00:00:00',2,1,12,2009,'F','N','CENTRO','NAVIRAÍ','MS','112122161215471431326631575122610134097',9853,'9998',48.52,3,3,NULL),(25,6236839,'1991-09-12 00:00:00',4,1,11,2009,'F','N','SAO JOSE','FRANCA','SP','125252251215471431579821571112610122012',NULL,'9998',0.00,1,3,NULL),(25,6236847,'1986-05-29 00:00:00',4,4,12,2003,'M','N','VILA TOLENTINO','CASCAVEL','PR','116164161325572431459931395122140237047',4987,'9998',58.81,1,3,NULL),(25,6236855,'1992-06-19 00:00:00',2,1,12,2009,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241136271431425314345122610134112',14549,'772',40.38,1,2,1),(25,6236863,'1993-08-11 00:00:00',4,7,11,2010,'M','N','CENTRO','JOAÇABA','SC','124242241217271751456812572122610117042',NULL,'446',13.54,1,3,NULL),(25,6236871,'1993-10-30 00:00:00',2,5,11,2010,'F','N','RUA PADREA ANCHIETA','SIDERÓPOLIS','SC','124241241415131432216321295124610166147',19719,'767',35.32,4,3,NULL),(25,6236880,'1994-01-20 00:00:00',4,4,12,2010,'M','N','SOLAR','VIDEIRA','SC','124244241214131211459914285122610167047',NULL,'829',0.00,1,3,NULL),(25,6236898,'1993-10-07 00:00:00',2,1,12,2010,'F','N','DESVIO RIZZO','CAXIAS SUL','RS','120202208126471411433631171124610126072',NULL,'9998',28.39,1,3,NULL),(25,6236910,'1989-04-08 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241215175431236823442112610164097',NULL,'723',18.79,1,3,NULL),(25,6236928,'1992-01-29 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241117371431338631575124610114195',13973,'306',39.80,1,3,NULL),(25,6236936,'1993-03-28 00:00:00',2,5,12,2010,'F','N','BARRACÃO','IÇARA','SC','124241241137141731525514345124610122147',NULL,'351',0.00,1,2,1),(25,6236944,'1992-07-22 00:00:00',4,1,12,2009,'F','N','SANTOS DUMONT','TRÊS LAGOAS','MS','112124121236471431449813575125610133042',2321,'9998',65.50,1,3,NULL),(25,6236952,'1992-07-14 00:00:00',2,1,12,2009,'F','N','ARIRIÚ','PALHOÇA','SC','124242241215372431445313575124123223142',8498,'1175',49.98,1,3,NULL),(25,6236960,'1994-06-20 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111411447612575124610122012',16239,'738',41.79,1,3,NULL),(25,6236995,'1993-08-24 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431337923572124610134147',7992,'270',51.81,1,3,NULL),(25,6237002,'1993-03-24 00:00:00',2,9,12,2010,'F','N','VOLTA GRANDE','MIRIM DOCE','SC','124241242116132731524516575122610164142',NULL,'1222',0.00,1,2,1),(25,6237010,'1993-08-28 00:00:00',2,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241215111431526677572112610137047',21489,'738',24.80,1,3,NULL),(25,6237029,'1990-11-24 00:00:00',2,3,12,2007,'F','N','ALTO BOQUEIRAO','CURITIBA','PR','116162161216513431436639574124610162142',1904,'9998',68.26,1,3,NULL),(25,6237053,'1993-02-19 00:00:00',2,4,11,2010,'M','N','AMADORI','PATO BRANCO','PR','116241241216471431346814285114610167053',NULL,'1016',0.00,1,3,NULL),(25,6237061,'1992-04-03 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241217372431468813594122231163157',1822,'270',68.96,1,3,NULL),(25,6237070,'1994-08-19 00:00:00',4,8,11,2011,'M','S','PROGRESSO','S BENTO SUL','SC','124242241217121752469933575112610168092',NULL,'1178',37.46,1,3,NULL),(25,6237088,'1992-06-30 00:00:00',4,1,12,2010,'F','N','HIGIENÓPOLIS','S JOSÉ R PRETO','SP','125254251216471411488634575122610146193',NULL,'9998',0.00,3,3,NULL),(25,6237096,'1993-01-13 00:00:00',4,8,12,2010,'M','N','HAUER','CURITIBA','PR','116162161217121731457833574114610134041',NULL,'9998',0.00,1,3,NULL),(25,6237100,'1992-03-04 00:00:00',2,6,12,2009,'F','N','BREMER','RIO SUL','SC','124242241215272741347632345112131731142',3774,'991',62.04,1,3,NULL),(25,6237118,'1992-09-24 00:00:00',4,1,12,2009,'F','N','PROGRESSO','BENTO GONÇALVES','RS','120201201115472711426672275115610164192',5698,'9998',56.11,1,2,1),(25,6237126,'1994-05-26 00:00:00',4,1,11,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431367634572122610134042',NULL,'270',64.25,1,3,NULL),(25,6237134,'1993-08-13 00:00:00',4,2,12,2010,'M','N','VILA NOVA','BLUMENAU','SC','124242241215111431369611572122610167042',1849,'909',69.87,1,3,NULL),(25,6237150,'1993-03-21 00:00:00',2,1,12,2010,'F','N','MONTE ALEGRE','RIBEIRÃO PRETO','SP','125252251217111431589612574112610135095',10996,'9998',49.69,1,3,NULL),(25,6237169,'1993-05-29 00:00:00',4,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431436934575122610144187',11073,'226',49.56,1,3,NULL),(25,6237177,'1993-09-17 00:00:00',4,1,12,2010,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241116131411413319172124610121047',16311,'21',41.68,1,2,1),(25,6237185,'1992-07-17 00:00:00',4,1,12,2010,'F','N','BOA VISTA','CURITIBA','PR','116164161216121431359939575122610134147',NULL,'9998',0.00,1,3,NULL),(25,6237193,'1988-11-11 00:00:00',2,1,12,2006,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241316133411336821315131242017042',17632,'270',39.52,1,3,NULL),(25,6237207,'1993-01-26 00:00:00',4,7,12,2010,'F','N','SÃO CRISTÓVÃO','CAPINZAL','SC','124241241216131431535319232124610122177',11906,'1093',43.95,1,3,NULL),(25,6237215,'1993-06-21 00:00:00',4,1,11,2010,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215122431358619292114610138187',13836,'270',45.42,1,3,NULL),(25,6237223,'1993-07-06 00:00:00',4,1,12,2010,'M','N','ZONA SETE','MARINGÁ','PR','116162161215111411356823575122610114042',7351,'9998',53.33,1,3,NULL),(25,6237231,'1992-05-08 00:00:00',2,1,12,2009,'F','N','BOA PARADA','S PEDRO ALCÂNTARA','SC','124241248215372721546439572114610164072',16193,'1022',38.85,1,3,NULL),(25,6237240,'1993-07-29 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111431479913572124610124142',7719,'270',53.62,1,3,NULL),(25,6237266,'1992-11-13 00:00:00',2,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116471732326424575323610127051',NULL,'287',21.00,1,2,1),(25,6237274,'1992-05-22 00:00:00',2,7,12,2010,'M','N','CENTRO','CAMPOS NOVOS','SC','124243242116161731323319192224610138057',NULL,'8',12.32,1,3,NULL),(25,6237282,'1992-03-10 00:00:00',4,1,11,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241217272431358933575122233236017',12205,'270',47.83,1,3,NULL),(25,6237290,'1994-01-04 00:00:00',2,4,12,2010,'F','N','CENTRO','PLANALTO','RS','120201201117131431646514275122610127072',13671,'9998',40.84,1,3,NULL),(25,6237304,'1992-11-18 00:00:00',2,15,12,2009,'F','N','GÁVEA','JACINTO MACHADO','SC','124241241115132431533823275124223231142',13714,'420',40.67,1,2,1),(25,6237312,'1981-03-12 00:00:00',4,1,6,1999,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224252281417172721248854485112321437047',3234,'9998',65.25,1,3,NULL),(25,6237320,'1991-11-06 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241116372431433613445124610133012',14298,'298',38.79,2,1,2),(25,6237339,'1979-09-19 00:00:00',2,1,7,2004,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124213247332131431611144344334610116097',NULL,'977',14.79,3,3,NULL),(25,6237347,'1990-06-10 00:00:00',2,1,12,2008,'F','N','VILA IPIRANGA','PTO ALEGRE','RS','120204201417131431326621291224242026093',NULL,'9998',23.01,1,3,NULL),(25,6237355,'1987-10-01 00:00:00',4,8,12,2005,'F','N','FLORESTA','JOINVILLE','SC','124242248231271421333511271122130631177',12872,'459',43.23,1,3,NULL),(25,6237363,'1989-08-30 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241217134731326529492112131038147',NULL,'881',28.98,1,3,NULL),(25,6237371,'1993-07-15 00:00:00',2,16,12,2010,'M','N','VILA SÃO JOÃO','CPO BELO','MG','113131131116141411436614245121610162192',12071,'9998',43.61,1,2,1),(25,6237380,'1994-05-29 00:00:00',4,9,10,2010,'F','N','CORAL','LAGES','SC','124242241215111431346934572122610127012',NULL,'497',25.07,1,3,NULL),(25,6237398,'1992-06-29 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431558934572112610127142',4285,'454',60.91,1,3,NULL),(25,6237401,'1993-09-20 00:00:00',4,1,12,2011,'F','S','JURERE','FLORIANÓPOLIS','SC','124242241215111732438839575114610123193',NULL,'270',37.75,3,3,NULL),(25,6237410,'1993-09-02 00:00:00',2,1,12,2010,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241215311211464614572112610117092',16149,'988',41.94,1,3,NULL),(25,6237428,'1993-10-30 00:00:00',4,15,11,2010,'M','N','CENTRO','MELEIRO','SC','124242241215271431486612372122610167062',4198,'27',59.86,1,3,NULL),(25,6237436,'1990-09-25 00:00:00',4,1,12,2008,'M','N','CAMBUÍ','CAMPINAS','SP','125252251217571731468831375112613262042',2378,'9998',65.99,1,3,NULL),(25,6237444,'1993-05-03 00:00:00',4,8,10,2010,'F','N','CENTRO','JOINVILLE','SC','116162161236123431479914575145610164042',2169,'9998',66.60,1,3,NULL),(25,6237452,'1995-04-13 00:00:00',2,15,12,2011,'F','S','CENTRO','SOMBRIO','SC','124242241217111752429933592122610135057',NULL,'770',46.90,1,3,NULL),(25,6237460,'1991-12-11 00:00:00',2,7,12,2008,'F','N','CENTRO','JOAÇABA','SC','124201201116571431336834595115610167142',16807,'9998',37.52,1,2,1),(25,6237479,'1992-09-18 00:00:00',4,1,11,2009,'M','N','STORCH','IJUÍ','RS','120204201216371531546833575115610164147',5773,'9998',59.21,1,3,NULL),(25,6237487,'1991-01-27 00:00:00',2,8,7,2009,'F','N','IIRIRIU','JOINVILLE','SC','124242248215372721336923385124610163076',16976,'9999',37.33,2,1,2),(25,6237495,'1990-11-27 00:00:00',4,1,12,2007,'F','N','SETOR JAÓ','GOIÂNIA','GO','109092091217471451548931575122141422147',NULL,'9998',0.00,1,3,NULL),(25,6237509,'1992-08-21 00:00:00',4,9,12,2009,'F','N','SÃO CRISTOVÃO','LAGES','SC','124242241215271431489612575112140462182',18810,'497',37.33,1,3,NULL),(25,6237517,'1993-01-13 00:00:00',4,2,11,2010,'F','N','ESCOLA AGRICOLA','BLUMENAU','SC','124242241215111411338812575124610127052',6215,'71',56.20,1,3,NULL),(25,6237533,'1965-10-09 00:00:00',2,1,12,1998,'F','N','TRINDADE','FLORIANÓPOLIS','SC','524161167126131741323341245124231814147',16584,'9998',41.26,1,3,NULL),(25,6237541,'1992-08-09 00:00:00',4,8,12,2009,'F','N','VILA NOVA','JARAGUÁ SUL','SC','124241241115571451433339345121610146057',9811,'430',47.36,1,2,1),(25,6237550,'1976-07-29 00:00:00',4,1,12,1993,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212155421658613482122322934193',4098,'266',63.04,1,3,NULL),(25,6237568,'1990-11-29 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241317231432323623482114610134187',18033,'9997',38.78,1,3,NULL),(25,6237576,'1994-02-03 00:00:00',4,6,12,2011,'F','S','SANTA RITA','BRUSQUE','SC','124241241415111732446622575122610122191',NULL,'981',38.98,1,3,NULL),(25,6237592,'1993-07-23 00:00:00',2,6,12,2010,'M','N','CENTRO','ITUPORANGA','SC','124241241215111731336939592121610168182',NULL,'1173',19.03,1,3,NULL),(25,6237606,'1992-08-05 00:00:00',2,7,12,2009,'F','N','CENTRO','MACHADINHO','RS','120201201226471431479811575124610166147',NULL,'9998',0.00,1,3,NULL),(25,6237614,'1992-04-13 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431389933575122232462187',2999,'270',65.94,1,3,NULL),(25,6237622,'1993-05-08 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115271431233623575115610134057',18454,'592',33.23,1,2,1),(25,6237630,'1994-09-07 00:00:00',2,9,12,2011,'F','S','BARRA DO TROMBUDO','RIO SUL','SC','124242248215111231565332575114610128092',NULL,'991',17.50,1,3,NULL),(25,6237649,'1990-10-07 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S JOSÉ','SC','124241241117371731544331242123610164117',NULL,'734',15.96,1,2,1),(25,6237657,'1991-03-27 00:00:00',4,1,12,2009,'M','N','MONT SERRAT','PTO ALEGRE','RS','120202201216471431479613572122610127182',NULL,'9998',41.71,1,3,NULL),(25,6237665,'1986-11-21 00:00:00',2,1,12,2003,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124161161115272431123449295114610124092',18984,'9998',36.96,1,2,1),(25,6237673,'1991-05-14 00:00:00',4,9,12,2010,'M','N','CENTRO','AURORA','SC','124243247447151711348839382115610164182',21116,'9999',30.56,1,3,NULL),(25,6237681,'1992-10-26 00:00:00',2,10,10,2009,'M','N','NOVA BRASILIA','IMBITUBA','SC','124243241216372431466834585112610127056',5419,'362',59.92,1,3,NULL),(25,6237690,'1992-11-13 00:00:00',4,1,12,2010,'F','N','ROCIO','UNIÃO VITÓRIA','PR','116243161316131231436723575125610167147',18685,'9998',37.58,4,1,2),(25,6237711,'1993-05-07 00:00:00',2,9,12,2009,'F','N','GLÓRIA','VACARIA','RS','120202201216472431538612575122610138142',NULL,'9998',0.00,1,3,NULL),(25,6237720,'1991-02-06 00:00:00',4,1,12,2008,'F','N','ESTREITO','ALFREDO WAGNER','SC','124241241126161731326331215124231527057',NULL,'13',16.88,1,2,1),(25,6237738,'1993-06-21 00:00:00',2,15,11,2010,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124244241215372431338913475122610134092',3704,'970',62.03,1,3,NULL),(25,6237746,'1992-03-19 00:00:00',4,3,12,2009,'F','N','ESTRELA','PNT GROSSA','PR','116162161215471411589934592112610134017',NULL,'9998',20.75,1,3,NULL),(25,6237754,'1990-11-20 00:00:00',4,1,12,2008,'F','N','NOVA PETROPOLIS','S BERNARDO CAMPO','SP','125252251217571431468831571122610122092',NULL,'9998',0.00,1,3,NULL),(25,6237762,'1964-07-22 00:00:00',2,1,12,1984,'M','N','J ATLANTICO','S JOSÉ','SC','224241241126153421445143132134610117047',14063,'307',45.07,1,2,1),(25,6237770,'1993-07-06 00:00:00',4,4,12,2010,'M','N','SÃO CRISTOVÃO','CHAPECÓ','SC','124241241117471521368823575112610164052',4094,'169',61.59,1,2,1),(25,6237789,'1993-05-10 00:00:00',2,8,12,2010,'M','N','CRUZEIRO','S BENTO SUL','SC','124241241117151731444811475122610118112',NULL,'697',20.55,1,3,NULL),(25,6237797,'1986-11-26 00:00:00',2,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241246437134121245823242114610164054',18211,'1003',38.45,1,3,NULL),(25,6237800,'1993-07-16 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215112231558811372114610122042',11606,'1118',44.99,1,3,NULL),(25,6237819,'1992-06-14 00:00:00',4,1,11,2009,'F','N','CENTRO','LAGES','SC','124242241215472431448916574125610123142',1580,'499',70.65,1,3,NULL),(25,6237827,'1985-01-25 00:00:00',2,1,12,2003,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241126132721436544245124133054147',NULL,'295',35.32,4,3,NULL),(25,6237843,'1991-08-03 00:00:00',4,1,12,2010,'F','N','VILA ANDRADE','S PAULO','SP','125252251215151231386922572112610122182',NULL,'9998',27.73,1,3,NULL),(25,6237851,'1993-10-03 00:00:00',4,1,12,2010,'M','N','PEDRA BRANCA','PALHOÇA','SC','124241246212171231547614345122610167012',17458,'1075',39.83,1,3,NULL),(25,6237860,'1992-11-03 00:00:00',4,3,11,2010,'M','N','CHACARA CACHOEIRA','CPO GRANDE','MS','112122121215171441478636572122610167054',5296,'9998',57.04,1,3,NULL),(25,6237878,'1991-01-10 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124202247415131441213663315224610164087',NULL,'9999',31.73,1,3,NULL),(25,6237886,'1993-04-10 00:00:00',2,8,12,2009,'F','N','BATEL','CURITIBA','PR','116254251217471431456723575112610164197',4916,'9998',57.56,1,3,NULL),(25,6237894,'1993-03-06 00:00:00',2,5,12,2010,'M','N','CIDADE MINEIRA NOVA','CRICIÚMA','SC','124242243217111731335614275124610167047',19064,'995',36.81,1,3,NULL),(25,6237908,'1993-06-05 00:00:00',4,8,12,2010,'M','N','AMÉRICA','JOINVILLE','SC','124244241236151751556913575122610112052',8329,'494',52.12,1,3,NULL),(25,6237924,'1993-09-14 00:00:00',4,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215111751459812475122610128122',1399,'226',70.82,1,3,NULL),(25,6237932,'1992-11-04 00:00:00',4,1,12,2009,'M','N','ESTREITO','ALFREDO WAGNER','SC','124241241146161331326331341121610157147',NULL,'13',0.00,1,2,1),(25,6237940,'1988-05-03 00:00:00',4,3,12,2004,'M','N','SANTA CRUZ','GUARAPUAVA','PR','116162248216274731588811172122132467112',NULL,'1057',15.99,1,3,NULL),(25,6237959,'1992-10-19 00:00:00',4,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124241241225131431324419292124610137047',11056,'262',46.37,1,3,NULL),(25,6237967,'1992-04-08 00:00:00',4,1,12,2009,'M','N','CAMBUÍ','CAMPINAS','SP','125254251217371311336923472121610167112',5594,'9998',56.90,1,3,NULL),(25,6237975,'1992-04-29 00:00:00',4,8,12,2008,'F','N','AMERICA','JOINVILLE','SC','124244241115572411347924575114610144192',2234,'169',68.17,1,3,NULL),(25,6237983,'1992-01-19 00:00:00',4,3,12,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116163161147332431536813435124142933091',8231,'9998',48.97,1,3,NULL),(25,6237991,'1993-02-06 00:00:00',2,4,12,2010,'M','N','INTERIOR','S MIGUEL B VISTA','SC','124241241127131131533316172224610164052',3443,'1015',62.33,4,2,1),(25,6238017,'1991-12-03 00:00:00',2,1,12,2008,'F','N','CENTRO','S JOSÉ INHACORÁ','RS','120201201116571431334319492114610124057',565,'9998',76.12,1,2,1),(25,6238025,'1995-01-26 00:00:00',2,10,12,2011,'F','S','VILAGE','IMBITUBA','SC','124242241217161411468913135122610164142',NULL,'262',59.57,1,3,NULL),(25,6238033,'1989-01-21 00:00:00',4,1,10,2006,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124112281416573732367412592122610161182',5958,'9998',56.60,1,3,NULL),(25,6238041,'1993-02-07 00:00:00',4,3,12,2010,'F','N','JARDIM SIMARA','PARANAVAÍ','PR','116163151216111231447812575112610163197',8692,'9998',53.61,3,3,NULL),(25,6238050,'1993-10-07 00:00:00',2,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431366923572122610132075',3183,'270',63.44,1,3,NULL),(25,6238068,'1991-07-01 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124212211215472431468719495112142062042',5985,'9998',56.44,1,3,NULL),(25,6238076,'1993-05-27 00:00:00',4,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124242241215111431365612575112610128092',12611,'855',42.58,1,3,NULL),(25,6238084,'1993-10-20 00:00:00',4,1,11,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111411566831575114610167052',1401,'270',70.90,4,3,NULL),(25,6238092,'1990-03-14 00:00:00',4,1,12,2007,'F','N','SANTA RITA','BRUSQUE','SC','124243241215333441233823585115121464181',NULL,'981',46.29,1,3,NULL),(25,6238106,'1993-02-04 00:00:00',2,4,12,2010,'M','N','CENTRO','S MIGUEL B VISTA','SC','124241241127131731325314172324610124062',NULL,'1015',22.59,1,2,1),(25,6238122,'1992-11-20 00:00:00',4,1,11,2010,'F','N','BUENO','GOIÂNIA','GO','109092091215211311236922575122610123107',NULL,'9998',0.00,1,3,NULL),(25,6238130,'1992-05-06 00:00:00',4,9,12,2009,'M','N','LARANJEIRAS','RIO SUL','SC','124242241215372411355739195122610142192',4466,'991',58.86,1,3,NULL),(25,6238149,'1993-09-14 00:00:00',4,8,12,2010,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215111431336823575122610126147',1213,'1063',72.67,4,3,NULL),(25,6238157,'1993-11-26 00:00:00',2,1,12,2010,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241125131431426634572122610166147',NULL,'649',12.96,1,2,1),(25,6238165,'1992-03-22 00:00:00',4,8,12,2009,'F','N','AMERICA','JOINVILLE','SC','124244246237131752556913575142610115182',18007,'494',38.84,4,3,NULL),(25,6238173,'1992-04-06 00:00:00',2,1,12,2009,'F','N','DOS ESTUDANTES','IPIRA','SC','124241241215472431533923571115610123092',6565,'962',57.55,1,3,NULL),(25,6238181,'1993-08-04 00:00:00',4,15,12,2010,'M','N','CENTRO','D PEDRITO','RS','120202201216161431248826472122610132052',14151,'9998',39.65,1,3,NULL),(25,6238190,'1988-05-15 00:00:00',4,5,11,2005,'M','N','MINA DO MATO','CRICIÚMA','SC','124244241216141711323844445124130764042',NULL,'995',0.00,1,3,NULL),(25,6238203,'1993-02-10 00:00:00',4,4,11,2009,'F','N','ESPERANÇA','ERECHIM','RS','120202201215471431445734572222610136047',1669,'9998',69.58,1,3,NULL),(25,6238211,'1992-11-15 00:00:00',4,9,11,2009,'M','N','CORAL','LAGES','SC','124242241215472451357834575111133134047',655,'1207',75.85,1,3,NULL),(25,6238220,'1993-02-20 00:00:00',2,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162241315373731448923575114222343142',6870,'1026',53.40,1,3,NULL),(25,6238254,'1993-08-18 00:00:00',4,3,11,2010,'F','N','DOS ESTADOS','ITAJAÍ','SC','124242248214171232453612592112610112094',NULL,'9997',0.00,1,3,NULL),(25,6238270,'1993-08-13 00:00:00',4,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124242241215111431436814572112610117182',7776,'738',52.96,1,3,NULL),(25,6238289,'1994-02-07 00:00:00',2,4,12,2010,'F','N','CENTRO','MANGUEIRINHA','PR','116161161217131731424835596325610161142',16522,'9998',36.68,1,3,NULL),(25,6238300,'1992-11-10 00:00:00',4,1,12,2010,'F','N','JURERE','FLORIANÓPOLIS','SC','124252251215121431446924575122610165142',2756,'9998',63.60,1,3,NULL),(25,6238319,'1992-09-30 00:00:00',2,8,12,2010,'F','N','ITAUM','JOINVILLE','SC','124243241215111431329721395124610128071',7886,'1016',52.49,1,3,NULL),(25,6238327,'1993-03-04 00:00:00',2,17,12,2010,'F','N','INDUSTRIAL I','CANOINHAS','SC','124241241115271432537614242222610111092',16203,'146',36.11,1,2,1),(25,6238335,'1992-06-28 00:00:00',4,8,12,2010,'F','N','CARIOCA','S JOSÉ PINHAIS','PR','116162161215411431548614573122610162173',NULL,'9998',33.37,3,3,NULL),(25,6238351,'1994-06-04 00:00:00',4,2,10,2011,'M','S','VILA NOVA','BLUMENAU','SC','124242241217151731578914595112610124182',NULL,'909',48.98,1,3,NULL),(25,6238360,'1983-07-12 00:00:00',4,1,12,2000,'M','N','CENTRO','BARRETOS','SP','125254251216571431359832475122341062097',1009,'9998',72.63,1,3,NULL),(25,6238378,'1993-03-10 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373431559814575114610134122',NULL,'270',37.73,4,3,NULL),(25,6238386,'1993-11-30 00:00:00',2,4,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116163161215271411326632595122610144072',12203,'9998',42.02,4,3,NULL),(25,6238394,'1992-02-11 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215472411368814575124610132041',4425,'270',62.19,1,3,NULL),(25,6238408,'1992-10-08 00:00:00',4,1,12,2009,'M','N','SETOR BUENO','GOIÂNIA','GO','109112111236471431476632272324610164092',2941,'9998',64.27,1,3,NULL),(25,6238416,'1993-09-23 00:00:00',2,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241215111431558912425122610162152',NULL,'185',0.00,1,3,NULL),(25,6238424,'1993-06-24 00:00:00',4,2,11,2010,'M','N','FORTALEZA','BLUMENAU','SC','124242246217371442464932575124610168112',13087,'1018',42.68,1,3,NULL),(25,6238432,'1992-06-28 00:00:00',4,1,12,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','113131131237471731526519595124610146127',5193,'9998',57.01,1,3,NULL),(25,6238440,'1993-08-26 00:00:00',2,1,11,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241217111231447812172112510164127',5806,'270',57.91,4,3,NULL),(25,6238459,'1992-08-07 00:00:00',2,1,12,2009,'F','N','CENTRO','ANGELINA','SC','124241241116372731653939345122610137147',NULL,'17',0.00,1,2,1),(25,6238467,'1993-03-09 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215121431476823572122610117045',10075,'738',51.21,1,3,NULL),(25,6238475,'1991-03-08 00:00:00',4,2,12,2008,'F','N','PARAISO','S PAULO','SP','125252251215571441669911571122610168147',3502,'9998',62.12,1,3,NULL),(25,6238483,'1985-04-04 00:00:00',4,1,12,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224241247127144421333553142112122227111',10800,'307',49.99,1,2,1),(25,6238491,'1993-01-13 00:00:00',4,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241217112411468813575124610167047',8034,'270',52.35,1,3,NULL),(25,6238505,'1994-05-24 00:00:00',2,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124244241115271431448733295122610167042',9388,'592',49.49,1,3,NULL),(25,6238513,'1992-11-25 00:00:00',2,7,12,2010,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','124243248116151731446713575122610127142',NULL,'341',11.59,1,3,NULL),(25,6238521,'1993-06-13 00:00:00',2,1,12,2010,'M','N','CANTO','FLORIANÓPOLIS','SC','124241241117151431535814295124610124197',20548,'257',32.95,1,2,1),(25,6238530,'1992-01-31 00:00:00',4,2,11,2009,'M','N','VELHA','BLUMENAU','SC','124242241215473431568813572122610137012',725,'87',75.84,1,3,NULL),(25,6238548,'1990-12-03 00:00:00',4,1,12,2008,'M','N','JARDIM DAS NAÇÕES','TAUBATÉ','SP','125254251225471411359814245122143224182',8155,'9998',52.13,1,3,NULL),(25,6238556,'1992-01-25 00:00:00',4,15,12,2009,'F','N','ESTADOS','ESTRELA','RS','120202201217471231448611571112610164187',4724,'9998',59.47,1,3,NULL),(25,6238564,'1993-09-29 00:00:00',4,1,12,2010,'M','N','JD NOVO HORIZONTE','MARINGÁ','PR','116162161211271131479931574122610167062',NULL,'9998',0.00,1,3,NULL),(25,6238572,'1993-06-13 00:00:00',4,5,12,2010,'F','N','BOA VISTA','COCAL SUL','SC','124241241215122731556612572122610131192',6403,'226',54.62,1,3,NULL),(25,6238580,'1989-03-22 00:00:00',4,2,12,2006,'F','N','JARDIM DOS ESTADOS','SOROCABA','SP','125251251111571751424619571112610161082',16109,'9998',37.01,2,3,NULL),(25,6238599,'1993-08-05 00:00:00',2,5,11,2010,'F','N','IÇARA CENTRO','IÇARA','SC','124241241215111431536833571114610125052',13118,'226',46.44,1,3,NULL),(25,6238602,'1987-12-26 00:00:00',4,1,12,2005,'M','N','FLORESTA','S JOSÉ','SC','124241241217473431324414345114610127067',16496,'943',39.02,1,3,NULL),(25,6238610,'1993-07-20 00:00:00',4,4,12,2010,'F','N','CENTRO','PATO BRAGADO','PR','116162161215121131446612575122610117057',13195,'9998',41.09,1,3,NULL),(25,6238629,'1981-04-27 00:00:00',2,1,12,1999,'M','N','CENTRO','CATANDUVA','SP','125251251116431321234641242112141942147',NULL,'9998',0.00,1,3,NULL),(25,6238637,'1993-12-21 00:00:00',4,1,12,2010,'F','N','CENTRO','JOAÇABA','SC','124242241416111431478632575124610136097',16854,'270',40.84,1,3,NULL),(25,6238653,'1992-09-25 00:00:00',2,15,12,2010,'F','N','CENTENÁRIO','SAPIRANGA','RS','120201201136471731537614245125610122147',16548,'9998',36.18,1,2,1),(25,6238661,'1993-08-14 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431466912572122610126012',8838,'270',50.77,1,3,NULL),(25,6238670,'1993-01-08 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215371431368933576124610134015',4545,'272',59.40,1,3,NULL),(25,6238688,'1990-08-02 00:00:00',4,8,12,2007,'F','N','JARDIM PAULISTA','S PAULO','SP','125242241217574411129811571114610161072',954,'1105',73.28,1,3,NULL),(25,6238696,'1971-03-30 00:00:00',4,5,12,1990,'M','N','SÃO LUIZ','CRICIÚMA','SC','224133138227131421231344245123143216187',NULL,'9998',33.23,4,3,NULL),(25,6238700,'1992-12-30 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215474431534923575124130425142',4594,'1022',61.24,1,3,NULL),(25,6238718,'1994-01-30 00:00:00',4,2,11,2010,'M','N','CENTRO','ITUPORANGA','SC','124242241215121431348931575124610136072',NULL,'654',44.62,1,3,NULL),(25,6238726,'1991-05-30 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241116472431433329482114610132097',5055,'257',59.28,1,2,1),(25,6238734,'1993-12-05 00:00:00',4,1,12,2010,'M','N','CENTRO','GAROPABA','SC','124241241125271411547912175124610127052',8303,'322',51.40,1,2,1),(25,6238742,'1985-06-24 00:00:00',4,1,12,2003,'F','N','IPIRANGA','S JOSÉ','SC','124242241316373431344823345124233221012',NULL,'943',19.58,1,3,NULL),(25,6238750,'1992-04-09 00:00:00',4,1,12,2009,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217473431457813572114610162145',7784,'883',52.86,1,3,NULL),(25,6238769,'1992-02-10 00:00:00',2,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241136572412436423575124610161192',15501,'733',39.68,4,2,1),(25,6238777,'1970-01-16 00:00:00',2,1,11,2003,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224241247612271431433353395122610161182',20917,'1003',31.42,1,3,NULL),(25,6238785,'1991-10-30 00:00:00',4,10,12,2009,'M','N','MATO ALTO','LAGUNA','SC','124243241226131441525369395124610126182',12672,'524',47.10,1,3,NULL),(25,6238793,'1994-03-03 00:00:00',4,4,11,2010,'F','N','LIDER','CHAPECÓ','SC','124241241115271431433312151124610136052',NULL,'169',0.00,1,2,1),(25,6238807,'1992-10-09 00:00:00',4,1,12,2009,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241115372431424614442124610122052',NULL,'64',18.29,1,2,1),(25,6238831,'1993-07-15 00:00:00',4,1,12,2010,'M','N','ALTO CAFEZAL','MARÍLIA','SP','125252251217111431438812575122610144047',11946,'9998',44.17,1,3,NULL),(25,6238840,'1993-07-03 00:00:00',4,1,12,2010,'F','N','RATONES','FLORIANÓPOLIS','SC','124242218235211431379913592122610133091',NULL,'883',20.02,1,3,NULL),(25,6238858,'1993-10-27 00:00:00',2,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215211431445832475122610122042',18776,'226',37.39,1,3,NULL),(25,6238866,'1988-02-05 00:00:00',4,8,12,2005,'M','N','JARDIM OSWALDO CRUZ','S JOSÉ CAMPOS','SP','125251251217571431556923575121241842177',NULL,'9998',0.00,1,3,NULL),(25,6238874,'1989-01-26 00:00:00',4,1,12,2006,'M','N','CENTRO','CASCAVEL','PR','116164161216543431356832475122142667183',NULL,'9998',0.00,1,3,NULL),(25,6238890,'1993-03-10 00:00:00',4,8,12,2010,'M','N','NOVA BRASÍLIA','JARAGUÁ SUL','SC','124244241217161231669914276121610138012',19756,'1061',35.25,1,3,NULL),(25,6238904,'1992-09-21 00:00:00',4,5,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215472431459934571114610122052',13467,'226',45.98,1,3,NULL),(25,6238912,'1993-02-02 00:00:00',4,4,12,2010,'F','N','CENTRO','MARAVILHA','SC','124241241115131411429913574125610126147',NULL,'552',19.39,1,2,1),(25,6238920,'1989-05-16 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241111373231337613245112610114142',NULL,'307',31.83,1,3,NULL),(25,6238939,'1993-11-11 00:00:00',4,1,12,2010,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241216121431459812575112610137012',1779,'1063',68.50,1,3,NULL),(25,6238947,'1993-04-11 00:00:00',4,8,12,2010,'F','N','RIO BONITO','JOINVILLE','SC','124241241117151732436413275124610138145',19468,'474',35.90,1,3,NULL),(25,6238955,'1992-10-19 00:00:00',4,8,12,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124243241215112431646824372122610127077',12041,'931',43.80,1,3,NULL),(25,6238963,'1988-09-19 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116141731323314445134132342187',NULL,'359',19.23,3,2,1),(25,6238998,'1993-06-08 00:00:00',4,1,12,2010,'F','N','BOM JESUS','PTO ALEGRE','RS','120202201217371431478813571122610118117',NULL,'9998',0.00,1,3,NULL),(25,6239005,'1987-12-31 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124122121217372431336821275123142467182',809,'9998',75.25,1,3,NULL),(25,6239013,'1991-08-22 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241215373431333611345124610164197',NULL,'868',26.14,1,3,NULL),(25,6239021,'1993-12-28 00:00:00',4,5,11,2010,'F','N','DEMBOSKI','CRICIÚMA','SC','124241241215131411313525575124610142147',2313,'213',66.80,1,3,NULL),(25,6239030,'1993-05-10 00:00:00',2,1,12,2010,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241117151432435915577324610127042',8254,'739',52.07,1,2,1),(25,6239048,'1991-04-01 00:00:00',4,8,12,2009,'M','N','GLORIA','JOINVILLE','SC','124242241215472432489933575112610166157',4777,'1063',58.98,1,3,NULL),(25,6239056,'1992-09-28 00:00:00',4,1,2,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124214248117151431449669595124610126177',6021,'9999',54.85,4,3,NULL),(25,6239064,'1993-09-15 00:00:00',4,8,12,2010,'F','N','INDAIÁ','CARAGUATATUBA','SP','125251251115131431356822245125610122177',NULL,'9998',0.00,1,2,1),(25,6239072,'1992-03-22 00:00:00',4,1,12,2009,'M','N','ZONA DOIS','UMUARAMA','PR','116162161215471431458831575122610121082',3802,'9998',61.28,3,3,NULL),(25,6239080,'1994-04-01 00:00:00',4,1,12,2011,'F','S','UNIAO','PALOTINA','PR','116162161217171531236824575124610126092',NULL,'9998',46.63,1,3,NULL),(25,6239099,'1992-01-14 00:00:00',2,1,12,2009,'M','N','SANTA PAULA','S CAETANO SUL','SP','125252251316271711478612341122240268092',19263,'9998',36.36,1,3,NULL),(25,6239102,'1993-06-17 00:00:00',4,1,12,2010,'M','N','PONTE IMARUIM','PALHOÇA','SC','124242241215112431358612572114610117142',6748,'1011',54.30,1,3,NULL),(25,6239110,'1991-07-29 00:00:00',4,1,12,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216273431368824575114610146195',2070,'262',69.03,1,3,NULL),(25,6239137,'1990-10-16 00:00:00',2,1,12,2007,'M','N','BAIRRO DER','CAÇADOR','SC','124242241215574431449613575114221434182',2163,'270',68.69,1,3,NULL),(25,6239145,'1993-06-03 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431336639275122610164112',NULL,'226',0.00,1,3,NULL),(25,6239153,'1993-09-22 00:00:00',4,8,12,2010,'F','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162161216471421448833575122610127127',NULL,'9998',41.38,1,3,NULL),(25,6239161,'1992-05-22 00:00:00',3,1,12,2009,'F','N','ZONA SETE','MARINGÁ','PR','116112111216472431457736572125610134147',NULL,'9998',28.94,1,3,NULL),(25,6239170,'1991-01-03 00:00:00',4,1,11,2008,'F','N','XAXIM','CURITIBA','PR','116162161214471731556319571114610161127',NULL,'9998',0.00,1,3,NULL),(25,6239188,'1993-05-18 00:00:00',4,1,6,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124282281217371431378714575114610127042',14333,'9998',40.41,1,3,NULL),(25,6239196,'1991-08-27 00:00:00',4,1,12,2008,'M','N','CENTRO','CURITIBA','PR','116162161216571231139934575124141462092',NULL,'9998',0.00,1,3,NULL),(25,6239200,'1993-01-19 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124242241215111411428933375122610124177',9939,'881',51.45,1,3,NULL),(25,6239218,'1993-05-07 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241115271431558513575124610162052',4144,'271',61.66,1,3,NULL),(25,6239226,'1992-10-22 00:00:00',4,8,12,2010,'F','N','CENTRO','JOINVILLE','SC','124242241215371731438811475122610163112',10502,'457',47.21,1,3,NULL),(25,6239234,'1993-04-19 00:00:00',2,1,12,2010,'F','N','FUNDOS','BIGUAÇU','SC','124241241115371431435833576124610167147',20710,'65',27.64,1,3,NULL),(25,6239242,'1991-08-18 00:00:00',4,1,12,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215121431457713572124610147187',20752,'1022',32.13,4,3,NULL),(25,6239250,'1991-11-25 00:00:00',4,9,12,2008,'M','N','CENTRO','COTIPORÃ','RS','120203201216571431458831595115610114172',5189,'9998',58.12,1,3,NULL),(25,6239277,'1992-03-07 00:00:00',2,8,12,2009,'F','N','UMBARÁ','CURITIBA','PR','116162161215472411426334445124610162072',8456,'9998',51.35,1,3,NULL),(25,6239285,'1982-08-23 00:00:00',4,1,11,1999,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216575421349914485122543117147',3942,'210',62.95,1,3,NULL),(25,6239293,'1992-11-01 00:00:00',4,2,12,2010,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215112412448832345122610164142',10662,'109',46.33,1,3,NULL),(25,6239315,'1989-01-26 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124253241146152211438933245124610117063',18115,'282',38.62,1,3,NULL),(25,6239323,'1988-10-22 00:00:00',4,1,12,2006,'F','N','IMPERIAL','S JOSÉ R PRETO','SP','125253251215571451556835572125141317142',NULL,'9998',15.62,1,3,NULL),(25,6239331,'1990-09-27 00:00:00',4,8,12,2008,'M','N','PARQUE COSMO','MTE ALTO','SP','124253251416113721438612572121221462051',NULL,'9998',0.00,1,3,NULL),(25,6239340,'1989-08-22 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217373431114663575124121432187',5540,'1026',59.68,1,3,NULL),(25,6239358,'1993-07-10 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241137131431326764477125610124057',NULL,'629',30.40,1,3,NULL),(25,6239366,'1993-02-02 00:00:00',2,10,12,2010,'F','N','CABEÇUDA','LAGUNA','SC','124241241114211431426429492124610168197',NULL,'523',34.42,2,1,1),(25,6239374,'1993-04-02 00:00:00',2,8,12,2010,'F','N','BUCAREIN','JOINVILLE','SC','124242241215131431236923595124610144077',14825,'459',39.51,1,3,NULL),(25,6239390,'1992-11-04 00:00:00',4,1,12,2009,'M','N','ASTURIAS','GUARUJÁ','SP','125252251215471421458812575124610167042',3813,'9998',58.85,1,3,NULL),(25,6239404,'1990-12-25 00:00:00',2,1,6,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124241241117471751536311572114610163182',NULL,'66',10.13,1,2,1),(25,6239412,'1990-07-07 00:00:00',2,1,12,2009,'M','N','SANTA TERESA','S PEDRO ALCÂNTARA','SC','124241241126372431444814475124610164047',14391,'869',40.93,1,2,1),(25,6239420,'1987-11-14 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124163161316133411546911245124610127047',NULL,'9998',40.20,3,3,NULL),(25,6239439,'1993-03-02 00:00:00',2,1,11,2010,'F','N','FLORESTA','S JOSÉ','SC','124242241215111731226622476124610123063',18533,'1022',37.87,1,3,NULL),(25,6239447,'1993-05-24 00:00:00',4,1,10,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216272411479933576115610148172',1707,'1169',70.05,1,3,NULL),(25,6239455,'1992-07-01 00:00:00',4,4,12,2009,'M','N','CENTRO','FREDERICO WESTPHALEN','RS','120203201116471451449911471114610148192',NULL,'9998',0.00,1,3,NULL),(25,6239463,'1992-03-27 00:00:00',2,15,8,2010,'M','N','SÃO PEDRO','FORQUILHINHA','SC','124241241217111431536415495113610138047',15816,'995',42.42,1,3,NULL),(25,6239471,'1992-02-19 00:00:00',4,16,12,2009,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116242161216471431568931575112610167062',1291,'9998',70.95,1,3,NULL),(25,6239480,'1992-06-25 00:00:00',4,1,12,2009,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124244241215472411368914475122610142185',16154,'1048',37.20,1,3,NULL),(25,6239498,'1990-03-06 00:00:00',4,1,12,2007,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124162161216574411457313495122221527142',2423,'9998',65.44,1,3,NULL),(25,6239501,'1993-01-05 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241115271431424434472232610117052',20590,'730',27.66,1,2,1),(25,6239510,'1992-02-05 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241217272431346613575122610127047',7155,'1023',53.03,1,3,NULL),(25,6239528,'1991-12-20 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217373431446633596125230462185',11819,'270',47.54,1,3,NULL),(25,6239544,'1991-04-05 00:00:00',2,8,12,2009,'F','N','CENTRO','IVAIPORÃ','PR','116162165115271711439933382124610137077',NULL,'9998',0.00,1,3,NULL),(25,6239552,'1993-02-10 00:00:00',2,2,12,2010,'M','N','VELHA','BLUMENAU','SC','124242241215142431359923572122610167042',4350,'909',62.41,1,3,NULL),(25,6239560,'1993-07-25 00:00:00',4,2,12,2010,'F','N','CENTRO','BRUSQUE','SC','124242241215271431469913574112610167122',5115,'107',58.51,1,3,NULL),(25,6239579,'1992-12-30 00:00:00',4,8,12,2010,'F','N','BUCAREIN','JOINVILLE','SC','124242241215111431346921575114610142097',13779,'1016',40.73,1,3,NULL),(25,6239587,'1993-08-22 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241216111111224621415114610165017',14293,'738',40.51,1,3,NULL),(25,6239595,'1993-09-17 00:00:00',4,1,12,2010,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241215112431346933572224610126097',1582,'723',69.94,1,3,NULL),(25,6239609,'1991-12-19 00:00:00',4,1,12,2008,'F','N','VILA BRASILÂNDIA','S PAULO','SP','125252251216571731445824575124610137147',681,'9998',75.70,1,3,NULL),(25,6239617,'1991-09-26 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373451458613472114130422182',2518,'270',65.59,1,3,NULL),(25,6239625,'1989-02-04 00:00:00',4,1,12,2006,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241216575431459812575114610137012',272,'422',80.08,1,3,NULL),(25,6239633,'1993-01-28 00:00:00',4,8,12,2010,'M','N','JARAGUÁ DO SUL','JARAGUÁ SUL','SC','116242161212471421478913131114610167012',8831,'9998',49.56,1,3,NULL),(25,6239641,'1990-07-12 00:00:00',2,1,12,2007,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215575451368919575122610166097',161,'270',81.30,1,3,NULL),(25,6239676,'1986-06-07 00:00:00',2,1,12,2003,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215375521556732235112131364067',9059,'943',52.95,1,3,NULL),(25,6239684,'1990-08-11 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241117372531558933345113610167057',18359,'307',38.18,1,3,NULL),(25,6239692,'1993-03-02 00:00:00',4,1,12,2010,'F','N','SÃO JOSÉ','S JOSÉ','SC','124242241215111431433623575124610133182',15551,'1118',38.71,1,3,NULL),(25,6239706,'1992-06-23 00:00:00',4,8,11,2009,'M','N','JARDIM SOFIA','JOINVILLE','SC','124012011214471131248923575124610114185',13518,'9998',42.34,4,3,NULL),(25,6239714,'1992-08-06 00:00:00',4,7,12,2009,'F','N','FLORESTA','VIDEIRA','SC','124241241117471741228634595122610146042',394,'831',78.46,1,2,1),(25,6239722,'1990-10-20 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241211273751323331245124610166061',5648,'1036',57.97,1,3,NULL),(25,6239730,'1992-08-27 00:00:00',2,1,12,2009,'F','N','SANTA TERESA','S PEDRO ALCÂNTARA','SC','124241241127372431434814342124610132177',13578,'869',42.17,1,2,1),(25,6239749,'1992-02-17 00:00:00',2,1,11,2009,'F','N','XAXIM','CURITIBA','PR','116162161216471441556319595124610167187',NULL,'9998',0.00,1,3,NULL),(25,6239757,'1993-11-05 00:00:00',5,7,12,2010,'M','N','CENTRO','TREZE TÍLIAS','SC','124241241111141431436611215124610127142',NULL,'795',0.00,1,2,1),(25,6239765,'1993-11-28 00:00:00',4,8,12,2010,'M','N','FLORESTA','JOINVILLE','SC','124241248415131431434339582124610157057',NULL,'1006',15.08,1,3,NULL),(25,6239773,'1991-05-08 00:00:00',2,6,12,2009,'M','N','CENTRO','IBAITI','PR','116161161116471441436317315124610125017',NULL,'9998',24.79,1,2,1),(25,6239781,'1990-08-27 00:00:00',2,9,12,2007,'F','N','CENTRO','LGA VERMELHA','RS','120201201116573431334315275124610137147',2074,'9998',67.64,1,2,1),(25,6239790,'1988-12-28 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217573442568813315124133267182',5102,'270',60.62,1,3,NULL),(25,6239803,'1994-02-05 00:00:00',4,6,12,2010,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241217111711539914375112610112012',19208,'109',36.52,1,3,NULL),(25,6239811,'1992-06-11 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124243241132271751226619441124610126047',NULL,'1116',33.56,1,3,NULL),(25,6239820,'1991-03-23 00:00:00',4,3,12,2008,'F','N','VILA LARSEN','LONDRINA','PR','116162161216572411439934475124610161097',10225,'9998',45.73,1,3,NULL),(25,6239838,'1990-02-09 00:00:00',2,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241127132431336313345124610164043',20317,'290',33.69,1,2,1),(25,6239846,'1993-06-22 00:00:00',4,1,12,2010,'M','N','SÃO DIMAS','PIRACICABA','SP','125252251217111431459832571122610164042',NULL,'9998',0.00,1,3,NULL),(25,6239854,'1989-11-07 00:00:00',4,8,12,2007,'F','N','ALTO DA GLÓRIA','CURITIBA','PR','116161161116131431113649495135141636177',17050,'9998',35.94,1,2,1),(25,6239862,'1981-11-26 00:00:00',2,1,12,1998,'F','N','RUBEM BRETA','PTO ALEGRE','RS','120201201117371411438837475124140633147',9489,'9998',50.01,1,2,1),(25,6239870,'1993-10-04 00:00:00',4,8,11,2010,'F','N','SANTO ANTONIO','JOINVILLE','SC','124244241215421431459814575114610168052',18400,'1016',30.90,1,3,NULL),(25,6239889,'1993-10-21 00:00:00',2,9,12,2010,'F','N','CAPISTRANO','BOM RETIRO','SC','124243241147161431439923585122610116187',19832,'95',35.07,1,3,NULL),(25,6239897,'1994-01-07 00:00:00',2,1,11,2010,'M','N','ITARARÉ','S VICENTE','SP','125252251215251311253923575122610167057',NULL,'9998',0.00,1,3,NULL),(25,6239900,'1991-08-15 00:00:00',4,1,12,2010,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124282281215271431378813575124610162067',17182,'9998',40.32,1,3,NULL),(25,6239919,'1993-03-17 00:00:00',4,8,12,2010,'M','N','CENTRO','REGISTRO','SP','125252251217111432447839575112610162197',NULL,'9998',0.00,1,3,NULL),(25,6239927,'1993-02-13 00:00:00',4,1,12,2010,'F','N','VILA IPIRANGA','PTO ALEGRE','RS','120202201217111431368614295112610124052',12517,'9998',42.13,1,3,NULL),(25,6239935,'1987-08-13 00:00:00',2,1,12,2004,'M','N','PRADO','BIGUAÇU','SC','124241241126133431523359245123230714043',14799,'65',44.01,1,3,NULL),(25,6239943,'1984-09-08 00:00:00',4,10,12,2001,'F','N','BELA VISTA','S LUDGERO','SC','124244241217141431438624495122232836182',NULL,'581',25.99,1,3,NULL),(25,6239951,'1993-06-18 00:00:00',4,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241315131431538714175122610144117',7732,'267',53.33,1,3,NULL),(25,6239960,'1991-05-19 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241235572411446814175112610127053',11272,'836',43.77,1,3,NULL),(25,6239978,'1991-02-22 00:00:00',4,1,12,2008,'F','N','TATUAPÉ','S PAULO','SP','125252251216571431458812571122610162097',4465,'9998',59.39,1,3,NULL),(25,6239986,'1993-09-23 00:00:00',4,8,10,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','116242161217471531228732571112610117012',7826,'9997',51.44,1,3,NULL),(25,6240003,'1993-02-06 00:00:00',4,8,11,2010,'F','N','CAMPO BELO','LONDRINA','PR','116162161215111431449813571124610164092',5739,'9998',59.27,1,3,NULL),(25,6240011,'1986-06-17 00:00:00',4,1,12,2003,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124252251217152711569811475122321462062',9385,'9998',52.38,1,3,NULL),(25,6240020,'1992-07-17 00:00:00',4,2,11,2009,'M','N','GARCIA','BLUMENAU','SC','124241241215472431368612575122610137142',1764,'855',69.20,1,3,NULL),(25,6240038,'1992-08-25 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201117272451534315576124610125017',NULL,'9998',30.88,1,2,1),(25,6240046,'1993-07-29 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241215112431458913592122610127037',7457,'262',54.25,1,3,NULL),(25,6240054,'1992-09-27 00:00:00',4,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124241241115231431525524575114610122141',NULL,'733',22.42,4,2,1),(25,6240062,'1994-07-20 00:00:00',4,8,12,2011,'F','S','ATIRADORES','JOINVILLE','SC','124242241217111431479932575112610136125',NULL,'461',44.36,1,3,NULL),(25,6240070,'1991-04-10 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241217374431569414575212233236122',12485,'1022',47.37,1,3,NULL),(25,6240097,'1993-06-29 00:00:00',4,1,12,2010,'M','N','JD DAS MANGUEIRAS','BARRA GARÇAS','MT','111112111217471431469931575122610167142',3860,'9998',61.62,1,3,NULL),(25,6240100,'1992-06-25 00:00:00',4,1,12,2009,'F','N','VILA SOFIA','S PAULO','SP','125252251215471731478812574122610166092',NULL,'9998',0.00,1,3,NULL),(25,6240119,'1991-11-26 00:00:00',4,1,12,2009,'M','N','JARDIM CANADA','RIBEIRÃO PRETO','SP','125252251217472431568831575122610127052',3324,'9998',61.92,1,3,NULL),(25,6240127,'1992-12-03 00:00:00',2,7,12,2009,'F','N','ALTO IRANI','IRANI','SC','124241241116133431536419245125610162197',NULL,'552',34.00,1,3,NULL),(25,6240143,'1993-05-11 00:00:00',4,1,11,2010,'M','N','SERTÃO DO IMARUIM','S JOSÉ','SC','124242241215111431336612575124610122095',6389,'1074',55.79,1,3,NULL),(25,6240151,'1993-04-22 00:00:00',2,17,12,2010,'F','N','ESPIGAO DO BUGRE','MAFRA','SC','124241241116131431526823585124610136147',NULL,'542',0.00,1,2,1),(25,6240160,'1991-10-01 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272231378933275124131067047',3405,'262',64.79,1,3,NULL),(25,6240178,'1993-04-14 00:00:00',2,1,12,2010,'M','N','RURAL','TAQUARUÇU SUL','RS','120201201117151431543335575124610167057',14366,'9998',39.01,1,2,1),(25,6240186,'1993-04-28 00:00:00',2,7,12,2010,'M','N','CENTRO','CAMPOS NOVOS','SC','124242241216161411328879325122610138181',NULL,'138',19.97,1,3,NULL),(25,6240208,'1992-06-07 00:00:00',2,1,12,2009,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124241241216132431225724342122610134097',15160,'1119',39.13,1,3,NULL),(25,6240216,'1992-09-27 00:00:00',2,1,11,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217122431379933572124610123142',5929,'270',58.90,1,3,NULL),(25,6240224,'1993-01-05 00:00:00',4,10,12,2010,'M','N','CENTRO','TUBARÃO','SC','124242241216121431469814575122610147117',14496,'807',44.46,1,3,NULL),(25,6240232,'1993-12-15 00:00:00',4,10,12,2010,'F','N','HUMAITÁ','TUBARÃO','SC','124242241416111411226424345121610137077',NULL,'798',0.00,1,3,NULL),(25,6240240,'1993-08-24 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151531488832575112610128187',12737,'262',42.85,3,3,NULL),(25,6240259,'1992-12-09 00:00:00',2,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241217142431547612245124610137042',13215,'1023',41.68,1,3,NULL),(25,6240267,'1993-02-28 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117131432423314585124610164147',NULL,'287',23.75,4,2,1),(25,6240283,'1991-09-11 00:00:00',4,1,12,2008,'F','N','VILA TATETUBA','S JOSÉ CAMPOS','SP','125254251215571311478821575122610134147',3047,'9998',63.89,1,3,NULL),(25,6240291,'1991-10-18 00:00:00',4,1,12,2009,'M','N','SANTANA','S PAULO','SP','125252251117471731448831585112610162057',267,'9998',80.00,1,3,NULL),(25,6240305,'1992-10-02 00:00:00',4,2,12,2010,'M','N','CANTA GALO','RIO SUL','SC','124241243137141431459512245122610167042',NULL,'659',0.00,1,2,1),(25,6240313,'1991-04-29 00:00:00',2,1,12,2008,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241627142111433311212111610136197',11823,'262',44.26,1,3,NULL),(25,6240321,'1991-11-26 00:00:00',4,1,12,2009,'M','N','JARDIM CANADA','RIBEIRÃO PRETO','SP','125252251211472411578831575122610162052',2067,'9998',67.76,1,3,NULL),(25,6240330,'1990-09-28 00:00:00',1,1,8,2010,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124281247417472711469811495124233264117',19779,'270',35.19,1,3,NULL),(25,6240348,'1993-01-24 00:00:00',4,1,11,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215112431479834575122610122182',6329,'270',54.36,1,3,NULL),(25,6240356,'1993-09-28 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241115111431349814175114610121187',9257,'1022',52.58,1,3,NULL),(25,6240364,'1992-07-23 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241116111711588819515112610165095',NULL,'1075',29.67,1,3,NULL),(25,6240372,'1992-01-01 00:00:00',2,4,12,2010,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241131471431533669292115610133142',16171,'169',37.64,1,2,1),(25,6240380,'1991-03-20 00:00:00',4,8,12,2008,'F','N','PORTÃO','CURITIBA','PR','116163161116471751548739575124141528147',3874,'9998',61.06,1,3,NULL),(25,6240399,'1991-03-21 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','125256251217373431448814245124221747032',6799,'9998',53.75,1,3,NULL),(25,6240402,'1989-12-09 00:00:00',4,1,12,2007,'M','N','CENTRO','SOROCABA','SP','125252251215572431549814575122241444052',2536,'9998',66.15,1,3,NULL),(25,6240410,'1993-03-31 00:00:00',2,1,11,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241117111431525634575124610124147',NULL,'733',27.87,1,2,1),(25,6240429,'1992-07-01 00:00:00',4,1,12,2009,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241116132431223569575124233267147',NULL,'281',20.87,1,2,1),(25,6240437,'1992-12-06 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241117271431558633491124610134142',NULL,'307',18.59,1,3,NULL),(25,6240445,'1993-05-27 00:00:00',2,3,12,2010,'F','N','CENTRO','ITAJAÍ','SC','124242242116131431339923472122610127072',12940,'129',42.12,1,3,NULL),(25,6240461,'1992-09-29 00:00:00',2,1,12,2009,'F','N','CENTRO','ESTEIO','RS','120203201417471731346823372114610142077',12411,'9998',43.31,1,3,NULL),(25,6240470,'1992-02-05 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241211152351658719375112610117073',NULL,'270',34.90,1,3,NULL),(25,6240488,'1993-01-15 00:00:00',4,1,12,2010,'M','N','VILA SANTA ISABEL','S ROQUE','SP','125251251217111731468314585114610167053',14784,'9998',38.78,4,3,NULL),(25,6240496,'1990-11-05 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215513431456819272112610137182',7819,'1038',52.79,1,3,NULL),(25,6240500,'1987-09-21 00:00:00',3,1,12,2004,'F','N','BOM FIM','PTO ALEGRE','RS','120201201116371431128743435124441046197',NULL,'9998',0.00,1,2,1),(25,6240518,'1992-05-08 00:00:00',2,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124243241217373431448831572114233234092',3932,'724',60.47,1,3,NULL),(25,6240534,'1992-08-08 00:00:00',4,4,12,2010,'F','N','PALMITAL','CHAPECÓ','SC','124241241125131751433319295124610126047',NULL,'172',0.00,1,2,1),(25,6240542,'1986-09-08 00:00:00',2,1,7,2005,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124241241116153431238543435123131211112',12097,'306',48.00,1,2,1),(25,6240550,'1991-11-24 00:00:00',4,1,12,2008,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216134431449952415124221468122',NULL,'87',45.97,1,3,NULL),(25,6240569,'1992-06-30 00:00:00',4,2,12,2009,'F','N','PROGRESSO','BLUMENAU','SC','124242241215474431447811574122610137072',2705,'855',65.88,1,3,NULL),(25,6240577,'1993-12-01 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241225151431423321573224610136017',3432,'262',63.94,1,3,NULL),(25,6240585,'1991-02-21 00:00:00',2,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241346133731448731345124131014097',NULL,'282',22.08,1,3,NULL),(25,6240593,'1992-03-20 00:00:00',4,8,12,2009,'M','N','CAJURU','CURITIBA','PR','116162161217471411448714475122610167187',3054,'9998',62.93,1,3,NULL),(25,6240607,'1993-05-16 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241117141431423311295124610168147',15458,'591',38.61,1,2,1),(25,6240623,'1992-10-28 00:00:00',4,1,11,2010,'F','N','LOTEAMENTO EDUARDO','PETROLINA','PE','117172171216571431457832575122610131182',1782,'9998',70.10,1,3,NULL),(25,6240631,'1993-09-09 00:00:00',2,9,10,2010,'F','N','CENTRO','LAGES','SC','124242241217221231239923572122610164097',13189,'497',44.01,1,3,NULL),(25,6240640,'1991-12-16 00:00:00',4,1,12,2010,'M','N','VILLAGE','GAROPABA','SC','124243246117141332348811345124610137141',10325,'306',50.78,4,3,NULL),(25,6240658,'1993-07-21 00:00:00',2,9,12,2010,'F','N','CENTRO','VACARIA','RS','120202201215111431448816492112610132172',NULL,'9998',0.00,1,3,NULL),(25,6240666,'1993-08-18 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241216121431336911315122610128183',NULL,'1134',26.71,1,3,NULL),(25,6240682,'1993-10-20 00:00:00',4,4,12,2010,'F','N','N SRA DE FÁTIMA','BARRACÃO','PR','116161161116371451369839574122610128182',10601,'9998',45.24,1,2,1),(25,6240704,'1993-05-11 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241116161731426634575124610124077',NULL,'257',26.50,1,2,1),(25,6240720,'1993-03-25 00:00:00',2,1,12,2010,'M','N','CENTRO','MARIA HELENA','PR','116161161217171731346832142113610147052',NULL,'9998',0.00,3,3,NULL),(25,6240739,'1993-07-06 00:00:00',4,4,12,2010,'M','N','SAO CRISTOVÃO','CHAPECÓ','SC','124241241117471431366823575112610162052',5158,'169',57.63,1,2,1),(25,6240747,'1991-08-24 00:00:00',4,1,11,2009,'F','N','BELA VISTA','S JOSÉ','SC','124243241315271431535634342124610123192',20253,'300',33.90,1,3,NULL),(25,6240755,'1993-05-09 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241445371432623331575124610138057',15171,'278',39.06,1,3,NULL),(25,6240763,'1993-11-12 00:00:00',4,10,11,2010,'M','N','SÃO JOÃO MD','TUBARÃO','SC','124244241215111431568614475122610122147',14339,'807',44.66,1,3,NULL),(25,6240771,'1992-04-23 00:00:00',4,5,12,2009,'F','N','SANTA CATARINA','CRICIÚMA','SC','124242248215473411538833495122610133012',11085,'210',45.05,1,3,NULL),(25,6240780,'1975-09-15 00:00:00',4,8,12,1992,'M','N','CIDADE JARDIM','S JOSÉ PINHAIS','PR','116161163116112411333923375122232432172',4336,'9998',59.78,1,2,1),(25,6240798,'1992-09-21 00:00:00',2,10,11,2009,'M','N','SAO MARTINHO','TUBARÃO','SC','124241241126131431524614342221610114187',NULL,'802',24.71,1,2,1),(25,6240801,'1990-09-12 00:00:00',4,1,12,2007,'M','N','CAMOBI','STA MARIA','RS','120203201317471731343829571124141767057',10894,'9998',44.49,1,3,NULL),(25,6240828,'1994-09-26 00:00:00',4,1,12,2010,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241217111431448632575112610127095',10200,'270',50.99,1,3,NULL),(25,6240844,'1984-08-09 00:00:00',2,1,6,2003,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241247326375411211144242124220637052',NULL,'515',34.25,1,3,NULL),(25,6240852,'1993-10-01 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241112141431326619245125610117062',NULL,'293',21.48,1,2,1),(25,6240860,'1989-07-13 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241347271431226824245234610167042',NULL,'9999',27.28,1,3,NULL),(25,6240879,'1992-03-08 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241121472731326314345124610124183',NULL,'922',0.00,1,2,1),(25,6240887,'1992-07-24 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241316271431426624245114610114071',NULL,'9999',28.85,1,3,NULL),(25,6240895,'1993-11-29 00:00:00',2,1,2,2012,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431466614575122610124142',NULL,'807',43.64,1,3,NULL),(25,6240917,'1993-02-16 00:00:00',2,1,12,2010,'M','N','FORQUILHAS','S JOSÉ','SC','124242241116141411435619242124610137052',19943,'733',29.55,1,3,NULL),(25,6240925,'1992-01-03 00:00:00',2,5,12,2009,'F','N','TARUMÃ','CURITIBA','PR','116201201117471431636636592124610114187',15016,'9998',38.08,1,2,1),(25,6240933,'1993-07-23 00:00:00',2,5,11,2010,'F','N','RIO MAINA','CRICIÚMA','SC','124242241215113231438814342114610125052',3250,'226',63.45,1,3,NULL),(25,6240941,'1992-07-29 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241115132431425624342124610134142',18629,'257',37.70,1,2,1),(25,6240950,'1984-11-03 00:00:00',4,1,11,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211272421328832425122231464092',20741,'807',32.19,1,3,NULL),(25,6240976,'1994-02-24 00:00:00',4,9,10,2010,'M','N','CENTRO','LAGES','SC','124242241215121431489811575112610117092',10201,'1207',50.99,1,3,NULL),(25,6240984,'1993-01-20 00:00:00',4,5,12,2010,'F','N','MINA DO MATO','CRICIÚMA','SC','124244246215131451436814445124610138097',20601,'995',32.74,1,3,NULL),(25,6240992,'1994-05-07 00:00:00',4,1,12,2010,'F','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161216111431469933575122610124072',13494,'9998',45.94,1,3,NULL),(25,6241000,'1992-07-23 00:00:00',2,10,11,2009,'F','N','PAES LEME','IMBITUBA','SC','124241241116131431625513245122610112197',NULL,'359',10.52,1,2,1),(25,6241018,'1993-08-19 00:00:00',4,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241117151411326313435124610132062',NULL,'278',20.95,4,2,1),(25,6241026,'1993-11-20 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241215111431346832585122610127042',8245,'1118',50.71,1,3,NULL),(25,6241034,'1990-11-07 00:00:00',2,8,11,2009,'F','N','BOA VISTA','CPO MAGRO','PR','116163168215511421347832595122610127037',21771,'9998',23.10,4,3,NULL),(25,6241042,'1988-08-23 00:00:00',4,1,12,2005,'M','N','IPIRANGA','S JOSÉ','SC','124241241117374421643519145123610163177',20554,'734',32.93,1,3,NULL),(25,6241050,'1993-01-15 00:00:00',4,2,11,2010,'M','N','BOA VISTA','POUSO REDONDO','SC','124243241215371441469931575124610167182',2863,'654',64.89,1,3,NULL),(25,6241077,'1992-12-12 00:00:00',4,8,12,2009,'M','N','RONDINHA','CPO LARGO','PR','116161161217472431569813575124610167182',1194,'9998',71.93,1,3,NULL),(25,6241085,'1993-10-26 00:00:00',2,1,12,2010,'M','N','CENTRO','RIO NEGRINHO','SC','124241241115131431536634312114610144047',NULL,'669',29.89,1,2,1),(25,6241093,'1992-12-10 00:00:00',2,5,12,2010,'F','N','MINA DO MATO','CRICIÚMA','SC','124243241216211411333334595122610167072',10232,'995',46.41,1,3,NULL),(25,6241107,'1993-04-13 00:00:00',4,8,12,2010,'M','N','SANTA MÔNICA','LONDRINA','PR','116162161211111441428612571122610166142',NULL,'9998',47.64,1,3,NULL),(25,6241123,'1991-05-10 00:00:00',2,1,12,2007,'M','N','PAPICU','FORTALEZA','CE','106062061217571451647921172122141467117',8243,'9998',48.40,4,3,NULL),(25,6241131,'1992-01-01 00:00:00',4,8,11,2009,'M','N','VILA NOVA','JOINVILLE','SC','124241246217131431336929595124231437047',17193,'1006',40.30,1,3,NULL),(25,6241140,'1993-02-26 00:00:00',2,4,12,2009,'F','N','CENTRO','NOVA CANTU','PR','116161161117571131446915575112610124057',4061,'9998',61.66,2,1,1),(25,6241158,'1990-11-08 00:00:00',2,1,12,2008,'M','N','VILA ASSUNÇÃO','STO ANDRÉ','SP','125252251215571231668932343122610127042',NULL,'9998',0.00,1,3,NULL),(25,6241166,'1993-06-02 00:00:00',4,4,12,2010,'M','N','ANDREATTA','S MIGUEL OESTE','SC','124241241117131431543814283121610114157',NULL,'757',19.84,1,2,1),(25,6241182,'1993-07-03 00:00:00',4,5,12,2010,'F','N','CENTRO','S PAULO MISSÕES','RS','120201201137161432328611575121610117147',7881,'9998',50.29,1,2,1),(25,6241190,'1987-04-10 00:00:00',2,1,12,2004,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117133731223444345124230224117',NULL,'281',45.68,1,2,1),(25,6241204,'1992-01-22 00:00:00',4,8,12,2009,'F','N','ALTO DA XV','GUARAPUAVA','PR','116162161215371431468811575322610135147',NULL,'9998',0.00,1,3,NULL),(25,6241212,'1980-11-30 00:00:00',2,1,12,1999,'M','N','VILA ALEXANDRIA','S PAULO','SP','125191251117575531225624472243610162047',5406,'9998',57.55,3,2,1),(25,6241220,'1988-01-15 00:00:00',2,1,12,2006,'F','N','JARDIM LONDRILAR','LONDRINA','PR','116114111216471431484615575122140632181',12163,'9998',47.89,1,3,NULL),(25,6241239,'1993-03-10 00:00:00',4,1,10,2010,'M','N','GIOCONDO ORSI','CPO GRANDE','MS','112122251236121711468814475112610164092',2157,'9998',68.71,1,3,NULL),(25,6241247,'1990-12-12 00:00:00',4,1,12,2008,'M','N','ARNALDO BUZATO','ROLÂNDIA','PR','116162161215571431469913575122610127092',3878,'9998',60.58,1,3,NULL),(25,6241255,'1993-07-05 00:00:00',4,1,12,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241217151531468833235124610164015',5981,'272',57.25,1,3,NULL),(25,6241263,'1991-05-07 00:00:00',4,1,12,2008,'M','N','AQUARIUS','S JOSÉ CAMPOS','SP','125252251217572431487714575112610137047',10190,'9998',47.58,1,3,NULL),(25,6241271,'1991-04-17 00:00:00',2,1,11,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241114132421318327572224610167047',NULL,'1116',21.48,1,3,NULL),(25,6241280,'1987-03-23 00:00:00',4,1,12,2005,'M','N','JARDINS','S PAULO','SP','125241241417472411489933471114142166092',3777,'262',63.88,1,3,NULL),(25,6241298,'1992-11-19 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242248215112731458633595122610124142',13241,'1050',42.70,1,3,NULL),(25,6241301,'1993-06-16 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161241132271731546911345114610167047',20155,'298',28.70,3,2,1),(25,6241310,'1989-05-19 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216143321338832315124131067112',12627,'299',42.36,1,3,NULL),(25,6241344,'1976-11-06 00:00:00',2,1,12,2009,'F','N','SÃO JOÃO DO RIO VERM','FLORIANÓPOLIS','SC','224243247222131431523354285124610152187',NULL,'977',22.09,4,3,NULL),(25,6241360,'1993-06-13 00:00:00',2,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241217111431533824572124610162017',6726,'1077',57.25,1,3,NULL),(25,6241379,'1993-04-19 00:00:00',4,4,12,2010,'F','N','SÃO JORGE','S MIGUEL OESTE','SC','124242241216271731356614575122610122197',5054,'752',56.42,1,3,NULL),(25,6241387,'1993-06-14 00:00:00',4,1,11,2010,'M','N','JARDIM SÃO NICOLAU','BIGUAÇU','SC','124244241215111431644732295124610127047',14433,'1022',39.61,1,3,NULL),(25,6241395,'1992-10-25 01:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241112472731424334172124610124057',13152,'727',42.47,4,2,1),(25,6241409,'1993-11-07 00:00:00',4,10,12,2010,'F','N','OFICINAS','TUBARÃO','SC','124241241117471431437312385124610137142',14192,'1034',40.54,1,2,1),(25,6241425,'1994-04-08 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241235111431478833575122610124142',7562,'738',55.67,1,3,NULL),(25,6241433,'1994-03-11 00:00:00',4,2,12,2010,'F','N','CENTRO','TERRA RICA','PR','116161161215131131438815575112610116142',20401,'9998',28.36,1,3,NULL),(25,6241441,'1992-06-10 00:00:00',3,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115111231436613592124610127067',NULL,'267',0.00,1,2,1),(25,6241468,'1994-03-19 00:00:00',4,1,12,2010,'M','N','FÁTIMA','VACARIA','RS','120201201116371231446833575112610167042',NULL,'9998',0.00,1,2,1),(25,6241476,'1992-10-14 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111231446513572122610128187',8050,'273',50.53,1,3,NULL),(25,6241484,'1992-05-01 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241112272431423611572124610167142',7725,'727',53.45,1,2,1),(25,6241492,'1993-05-05 00:00:00',2,2,12,2010,'F','N','FORTALEZA','BLUMENAU','SC','124241241135371711436314241124610128097',20743,'84',32.18,1,2,1),(25,6241506,'1990-08-07 00:00:00',4,5,12,2007,'M','N','UNIVERSITÁRIO','CRICIÚMA','SC','124201201117152431128611575124231437047',6386,'9998',55.31,1,2,1),(25,6241514,'1987-04-01 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217575431359636572124232442017',1500,'442',71.26,1,3,NULL),(25,6241522,'1992-03-01 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124201201216471431334724225124141467042',8417,'9998',51.32,1,3,NULL),(25,6241530,'1990-11-28 00:00:00',2,1,12,2007,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241115472231227324385124610147047',8344,'733',51.96,1,2,1),(25,6241549,'1991-04-20 00:00:00',4,6,12,2008,'M','N','DOM BOSCO','ITAJAÍ','SC','124253241116273442446823375124610127016',2477,'401',67.53,4,3,NULL),(25,6241557,'1993-12-23 00:00:00',2,1,12,2010,'F','N','FLORESTA','S JOSÉ','SC','124241241117111731463623595124610164147',14843,'267',40.27,1,2,1),(25,6241565,'1990-11-12 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216414431436512485122231462187',NULL,'270',8.60,1,3,NULL),(25,6241573,'1992-04-15 00:00:00',2,1,12,2009,'F','N','CENTRO','TAIÓ','SC','124242241215473421439632572122610143177',761,'270',75.63,1,3,NULL),(25,6241581,'1992-10-09 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431458819572122610125092',5258,'270',60.29,1,3,NULL),(25,6241590,'1993-03-09 00:00:00',2,4,12,2010,'F','N','CRISTAL','CONCÓRDIA','SC','124241246217141431338613375122610137012',12085,'1001',44.12,1,3,NULL),(25,6241603,'1991-03-02 00:00:00',4,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124244241215372431459914574124230444072',7637,'486',55.56,4,3,NULL),(25,6241611,'1993-03-24 00:00:00',4,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124242241217111431358612295114610167112',4024,'1022',60.50,1,3,NULL),(25,6241620,'1990-12-20 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124241241146131731623511242124610127147',18294,'358',38.29,1,2,1),(25,6241646,'1993-02-08 00:00:00',4,6,11,2010,'M','N','CENTRO','ITAJAÍ','SC','124242241215371431488812475122610136142',3845,'392',61.33,1,3,NULL),(25,6241654,'1986-06-07 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124161161117371421126841415124340641027',16095,'9998',42.00,1,2,1),(25,6241670,'1993-03-14 00:00:00',2,4,12,2010,'F','N','CENTRO','XANXERÊ','SC','124241241215371731326774275122610132197',17207,'836',35.14,1,3,NULL),(25,6241689,'1992-01-06 00:00:00',2,8,12,2009,'F','N','JARDIM NAZARETH','MOGI MIRIM','SP','125251251116371431337414275124610164052',NULL,'9998',27.34,1,2,1),(25,6241697,'1991-03-17 00:00:00',2,1,11,2008,'M','N','PRIMAVERA','CEL VIVIDA','PR','116161161137151231225569185115141214047',NULL,'9998',8.76,4,3,NULL),(25,6241700,'1986-07-03 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113431188811575122221466162',9938,'270',51.45,1,3,NULL),(25,6241719,'1993-09-19 00:00:00',2,5,11,2010,'F','N','CENTRO','MRO FUMAÇA','SC','124242243215321131446837575124610128147',9012,'226',53.03,1,3,NULL),(25,6241727,'1991-05-10 00:00:00',4,1,12,2008,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124243241315573431379913575124121467042',1097,'270',73.44,1,3,NULL),(25,6241735,'1992-12-08 00:00:00',2,1,12,2010,'F','N','PRAIA DE PALMAS','GOV CELSO RAMOS','SC','124081241117271431656631575124610126182',16244,'329',36.54,1,2,1),(25,6241743,'1993-02-08 00:00:00',2,7,12,2010,'M','N','NAZARÉ','CONCÓRDIA','SC','124241241216151431346634575122610147017',16675,'1001',35.44,1,3,NULL),(25,6241751,'1991-07-18 00:00:00',4,1,12,2008,'F','N','BARÃO GERALDO','CAMPINAS','SP','125252251214571441489913275122610164057',9142,'9998',48.27,1,3,NULL),(25,6241760,'1991-03-21 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241212124431336631572124132042097',NULL,'1022',21.77,1,3,NULL),(25,6241778,'1992-08-22 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241132131421423324345124610137012',NULL,'292',15.77,2,1,1),(25,6241786,'1993-11-05 00:00:00',4,1,12,2010,'M','N','SANTO ANTÔNIO','FLORIANÓPOLIS','SC','124244241215111431469832575112610117012',13034,'270',42.32,1,3,NULL),(25,6241808,'1993-02-16 00:00:00',4,3,12,2009,'F','N','VILA HORIZONTE','PARANAGUÁ','PR','116162161217471441417718575115610166127',NULL,'9998',0.00,1,3,NULL),(25,6241824,'1993-07-09 00:00:00',2,1,12,2010,'F','N','CENTRO','XANGRI-LÁ','RS','120202201217131431328514572124610127057',NULL,'9998',16.05,1,3,NULL),(25,6241832,'1994-03-06 00:00:00',4,1,11,2010,'F','N','CENTRO','ITUPORANGA','SC','124244241217141431538911212122610121142',17805,'1173',39.22,1,3,NULL),(25,6241840,'1993-07-30 00:00:00',4,1,12,2010,'M','N','BRAS CUBAS','MOGI CRUZES','SP','125253258317111431338732145111610127042',NULL,'9998',0.00,1,3,NULL),(25,6241859,'1993-01-22 00:00:00',2,1,11,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431469713575122610124041',5941,'262',55.12,1,3,NULL),(25,6241867,'1988-05-06 00:00:00',2,6,3,2010,'M','N','CIDADE NOVA','ITAJAÍ','SC','124241247137141411456731245123233216022',NULL,'9999',0.00,4,3,NULL),(25,6241883,'1992-07-08 00:00:00',4,5,12,2009,'F','N','MORRO DO ESPELHO','S LEOPOLDO','RS','120202201215371411368921571114610166112',NULL,'9998',0.00,1,3,NULL),(25,6241891,'1980-02-07 00:00:00',4,1,12,1997,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124201241415373421236329215122610125182',21233,'9998',29.85,1,3,NULL),(25,6241905,'1991-10-15 00:00:00',4,1,12,2009,'F','N','FLAMENGO','RIO JANEIRO','RJ','121211211116471711369933475114610134092',NULL,'9998',0.00,1,3,NULL),(25,6241913,'1992-10-25 01:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241112472731424334182124610124057',12879,'727',43.72,4,2,1),(25,6241921,'1993-07-23 00:00:00',4,1,12,2010,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241116241532443613345122610117047',NULL,'293',20.21,1,3,NULL),(25,6241930,'1994-01-02 00:00:00',2,4,11,2010,'M','N','CENTRO','PALMITOS','SC','124242241415471431336532575124610127172',NULL,'185',22.47,1,3,NULL),(25,6241948,'1992-07-22 00:00:00',1,1,12,2010,'F','N','SANTA CRUZ','ÁGUAS MORNAS','SC','124241241115141131434311415114610134057',21751,'978',23.99,1,2,1),(25,6241956,'1992-10-14 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111231446513572122610128187',6945,'273',54.71,1,3,NULL),(25,6241964,'1992-05-19 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215372751348714495122610167042',17405,'269',39.92,1,3,NULL),(25,6241972,'1992-03-06 00:00:00',4,2,11,2009,'M','N','GLÓRIA','BLUMENAU','SC','124242241217472431434512575112610164042',1158,'71',73.07,1,3,NULL),(25,6241980,'1989-06-01 00:00:00',4,1,12,2006,'M','N','BOM VIVER','BIGUAÇU','SC','124241241127141431338914345132610167057',20923,'66',31.40,1,2,1),(25,6241999,'1992-10-26 00:00:00',4,3,12,2009,'M','N','JARDIN SINUELO','ASTORGA','PR','116162161217311421525735572122610117052',17773,'9998',35.09,3,3,NULL),(25,6242006,'1991-08-12 00:00:00',2,4,12,2008,'F','N','CENTRO','PATO BRANCO','PR','116162161217472431337932572125610132042',6460,'9998',54.79,1,3,NULL),(25,6242014,'1993-07-31 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431578833572122610128142',13941,'270',45.27,1,3,NULL),(25,6242022,'1990-07-07 00:00:00',4,8,12,2008,'M','N','CORTICEIRA','GUARAMIRIM','SC','124241241147161731523324245124610132047',NULL,'425',0.00,4,2,1),(25,6242030,'1993-04-05 00:00:00',2,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241417131231226634575114610137147',NULL,'307',24.50,1,3,NULL),(25,6242049,'1991-11-11 00:00:00',4,1,12,2009,'F','N','VILA ROMANA','S PAULO','SP','125252251417472411357812391114610161027',NULL,'9998',37.08,1,3,NULL),(25,6242065,'1993-03-15 00:00:00',4,1,12,2010,'F','N','CENTRO','CAPÃO CANOA','RS','120202201216151431316811575122610162097',13795,'9998',45.48,1,3,NULL),(25,6242073,'1988-05-02 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116144431338711231124223023092',14772,'307',44.05,1,2,1),(25,6242081,'1991-06-23 00:00:00',1,8,11,2008,'F','N','AMÉRICA','JOINVILLE','SC','124161161134371531558614344121610116197',18853,'9998',31.58,1,2,1),(25,6242090,'1993-11-29 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215272431478811572122610132122',3911,'226',60.73,1,3,NULL),(25,6242103,'1988-08-10 00:00:00',4,1,8,2006,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241417372431226847375112230866043',19469,'9999',35.90,1,3,NULL),(25,6242120,'1988-03-04 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244245437371731328939394124610121112',NULL,'257',27.13,1,3,NULL),(25,6242138,'1993-01-22 00:00:00',2,4,11,2009,'F','N','CENTRO','CHAPECÓ','SC','124114111115472441438812575122610162092',9827,'9998',51.65,1,3,NULL),(25,6242146,'1993-04-13 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431478712575122610124182',6822,'270',53.86,1,3,NULL),(25,6242154,'1991-02-07 00:00:00',2,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241211273411469931475122131217122',9785,'299',51.72,1,3,NULL),(25,6242162,'1993-06-11 00:00:00',4,1,12,2010,'F','N','JARDIM FLAMBOYANT','CAMPINAS','SP','125252251217111431368812575122610167072',16222,'9998',37.37,1,3,NULL),(25,6242170,'1989-02-13 00:00:00',2,1,12,2007,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124241241116574431447613385124610141182',13200,'307',42.65,1,2,1),(25,6242189,'1993-06-26 00:00:00',4,8,12,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','124244241216371731557812572112610167092',NULL,'861',36.91,1,3,NULL),(25,6242219,'1992-08-13 00:00:00',4,3,12,2009,'M','N','BATEL','CURITIBA','PR','116162161217472431468932575132610167062',72,'9998',84.66,1,3,NULL),(25,6242227,'1992-02-07 00:00:00',4,1,12,2009,'M','N','ACORES','FLORIANÓPOLIS','SC','124243241215213421436632575124131417047',7156,'1022',56.44,4,3,NULL),(25,6242235,'1989-06-28 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241136135131443313275124223235047',NULL,'307',31.30,1,2,1),(25,6242243,'1991-05-02 00:00:00',4,6,12,2008,'F','N','CENTRO','TAUBATÉ','SP','125254251414411451339921594115610118197',5098,'9998',57.04,1,3,NULL),(25,6242251,'1988-06-16 00:00:00',4,1,1,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','624243241336142431228574345124610162181',NULL,'733',21.38,1,3,NULL),(25,6242260,'1984-07-03 00:00:00',4,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216153441269923485124422266187',3676,'270',61.21,4,3,NULL),(25,6242278,'1992-03-06 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215472431424824575114610134145',4668,'737',58.81,1,3,NULL),(25,6242286,'1993-04-17 00:00:00',4,1,12,2010,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124242241217122431568812371122610127112',11229,'270',49.34,1,3,NULL),(25,6242294,'1992-06-16 00:00:00',4,3,12,2009,'M','N','ARATIMBÓ','UMUARAMA','PR','116162161215371731445833575112610167067',NULL,'9998',0.00,1,3,NULL),(25,6242308,'1991-02-06 00:00:00',4,8,12,2008,'M','N','ALTO DE PINHEIROS','S PAULO','SP','125252251217571431689814485122143237037',1888,'9998',68.30,1,3,NULL),(25,6242332,'1991-04-30 00:00:00',2,1,7,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242246115371431459813472124610128077',8676,'306',50.46,1,3,NULL),(25,6242340,'1993-11-09 00:00:00',4,1,11,2012,'F','S','CAMPINAS','S JOSÉ','SC','124242248217111221359833575124610154192',NULL,'270',30.48,4,3,NULL),(25,6242359,'1989-05-29 00:00:00',4,1,11,2006,'M','N','CENTRO','BELO HORIZONTE','MG','113052051217151412437921295124241434047',3696,'9998',64.07,4,3,NULL),(25,6242367,'1993-10-23 00:00:00',4,1,12,2010,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241217271431469613575124610127057',1170,'724',72.37,1,3,NULL),(25,6242375,'1994-03-02 00:00:00',4,8,12,2011,'F','S','COSTA E SILVA','JOINVILLE','SC','124242241217111431459619372112610153192',NULL,'457',21.24,1,3,NULL),(25,6242383,'1990-05-08 00:00:00',4,1,12,2007,'F','N','TATUAPÉ','S PAULO','SP','125252251316571441528814595122610147092',13073,'9998',41.64,1,3,NULL),(25,6242405,'1992-07-13 00:00:00',4,10,12,2009,'F','N','VILA MOEMA','TUBARÃO','SC','124242241211472431357812575122610121182',5398,'797',58.44,1,3,NULL),(25,6242413,'1993-06-11 00:00:00',2,4,12,2010,'F','N','INDUSTRIÁRIOS','CONCÓRDIA','SC','124241241215151431359639475122610137147',12815,'1001',42.86,1,3,NULL),(25,6242421,'1992-04-08 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215472431433764575124610127052',13056,'752',43.04,1,3,NULL),(25,6242430,'1992-02-04 00:00:00',4,1,12,2009,'F','N','JARDIM KENNEDY','LONDRINA','PR','116162161217471731589831575122610162012',1400,'9998',71.19,1,3,NULL),(25,6242448,'1993-04-17 00:00:00',4,8,12,2010,'F','N','AHÚ','CURITIBA','PR','116162161215111411488811575112610121182',11130,'9998',49.47,1,3,NULL),(25,6242472,'1991-10-10 00:00:00',4,3,12,2008,'F','N','VILA NOVA','PARAGUAÇU PAULISTA','SP','125252251216571741658813575124610142017',2661,'9998',65.72,1,3,NULL),(25,6242480,'1994-10-13 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241216111731447724495122610137142',20006,'738',34.56,1,3,NULL),(25,6242499,'1993-08-24 00:00:00',2,7,12,2010,'M','N','CENTRO','ERVAL VELHO','SC','124241241115371431336933372121610117177',18403,'253',33.28,1,2,1),(25,6242502,'1993-03-15 00:00:00',4,17,11,2010,'M','N','UBERABA','CURITIBA','PR','116162161217121441368874576122610126042',3879,'9998',60.23,1,3,NULL),(25,6242510,'1991-10-27 00:00:00',2,15,12,2009,'F','N','CENTRO','S LEOPOLDO','RS','120204201217572451439712571124610144097',1502,'9998',70.17,1,3,NULL),(25,6242529,'1992-09-22 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241116572431326631575124610162142',20269,'257',33.85,1,3,NULL),(25,6242537,'1992-09-03 00:00:00',4,2,12,2010,'F','N','ÁGUA VERDE','BLUMENAU','SC','124252241417151431456812375124610136087',NULL,'997',0.00,1,3,NULL),(25,6242553,'1992-10-26 00:00:00',4,8,12,2009,'M','N','JUVEVE','CURITIBA','PR','116162161217122531366532575124241547047',9984,'9998',51.37,1,3,NULL),(25,6242561,'1991-10-24 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124161241211132431438814375124130717041',18492,'9997',32.75,1,3,NULL),(25,6242570,'1993-03-22 00:00:00',4,1,12,2010,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124243241116471431446611575124610128197',16756,'298',39.12,1,3,NULL),(25,6242588,'1990-01-27 00:00:00',4,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124241241126143421335467345124231561041',NULL,'736',36.33,1,2,1),(25,6242596,'1992-01-04 00:00:00',2,1,12,2008,'F','N','CARANDÁ BOSQUE II','CPO GRANDE','MS','112124121115571441569933574125610127147',3138,'9998',63.13,1,3,NULL),(25,6242600,'1987-09-14 00:00:00',2,6,12,2004,'F','N','BOQUEIRÃO','CURITIBA','PR','116163161216574431568613475114610132077',4715,'9998',58.77,1,3,NULL),(25,6242618,'1993-03-18 00:00:00',4,15,11,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124242241215111431336833575121610164041',12248,'26',42.04,1,3,NULL),(25,6242626,'1993-12-16 00:00:00',2,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115271431424613275124610127062',20419,'307',27.22,1,2,1),(25,6242634,'1991-05-02 00:00:00',4,1,11,2008,'F','N','JD ESPLANADA','S JOSÉ CAMPOS','SP','125252251215571431278811571112610142122',NULL,'9998',0.00,1,3,NULL),(25,6242650,'1993-05-17 00:00:00',4,1,12,2010,'M','N','QUINTA DA BOA VISTA','JUNDIAÍ','SP','125252251236111431589932475112610167042',7682,'9998',55.47,1,3,NULL),(25,6242669,'1993-11-08 00:00:00',2,8,12,2010,'M','N','AHÚ DE BAIXO','CURITIBA','PR','116162161217471431559832575124610164047',8847,'9998',51.85,1,3,NULL),(25,6242677,'1993-06-25 00:00:00',4,2,11,2010,'M','N','PIONEIRO','LUCAS R VERDE','MT','111112111216111431346934245122610137053',19586,'9998',35.61,4,1,2),(25,6242693,'1992-01-27 00:00:00',4,1,12,2009,'F','N','SANTANA','S PAULO','SP','125252251216472411359934371124610132077',10265,'9998',45.68,1,3,NULL),(25,6242715,'1993-04-29 00:00:00',4,1,11,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124242241115151431558613595124610161035',19690,'271',29.88,2,1,2),(25,6242723,'1992-01-02 00:00:00',2,1,12,2010,'M','N','JARDIN LA SALE','TOLEDO','PR','116164168416411732438836572122610137122',19278,'9998',33.04,1,3,NULL),(25,6242731,'1990-01-23 00:00:00',4,1,11,2007,'F','N','JARDIM ANGELICA','CRICIÚMA','SC','124242241415474431436331595125122834197',1919,'226',67.80,1,3,NULL),(25,6242758,'1991-03-22 00:00:00',4,1,12,2008,'F','N','JARDIM AMÉRICA','RIO CLARO','SP','125252251216572431356314174122610162187',6563,'9998',53.12,1,3,NULL),(25,6242766,'1993-05-19 00:00:00',2,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215422431366612575122610136147',13007,'270',43.07,1,3,NULL),(25,6242774,'1988-03-07 00:00:00',4,8,12,2006,'F','N','BUCAREIN','JOINVILLE','SC','124244241117573732337923445124120541117',NULL,'492',44.37,4,3,NULL),(25,6242782,'1991-02-09 00:00:00',2,5,12,2007,'F','N','INDEPENDENCIA','PTO ALEGRE','RS','120201201416571431444635575122610164142',NULL,'9998',0.00,1,3,NULL),(25,6242790,'1994-11-10 00:00:00',4,2,12,2011,'F','S','PONTA AGUDA','BLUMENAU','SC','124242241217151731459831572122610138182',NULL,'909',37.99,1,3,NULL),(25,6242804,'1989-05-02 00:00:00',2,1,12,2006,'F','N','KOBRASSOL','S JOSÉ','SC','124242248215314411448734572124132518181',NULL,'270',37.06,1,3,NULL),(25,6242812,'1992-02-23 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216272411356923572124131234012',NULL,'459',24.21,1,3,NULL),(25,6242820,'1992-09-21 00:00:00',4,15,12,2009,'F','N','SANTA FÉ','PTO ALEGRE','RS','120202201217372431437634595124610167097',11373,'9998',45.40,1,3,NULL),(25,6242839,'1985-01-27 00:00:00',5,1,12,2002,'M','N','ZONA SETE','MARINGÁ','PR','116253251217571431678923215124343237087',410,'9998',77.66,4,3,NULL),(25,6242847,'1993-08-16 00:00:00',4,7,11,2010,'F','N','PEDREIRA','BELÉM','PA','114242141216271431356979575124610134197',12206,'9998',44.08,1,3,NULL),(25,6242863,'1986-08-02 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124251241116131441223641215134332066092',8205,'492',54.52,1,3,NULL),(25,6242871,'1992-04-15 00:00:00',4,1,12,2009,'F','N','JARDIM BRASIL','S PAULO','SP','125252251417471431468833575124610121077',11702,'9998',44.19,1,3,NULL),(25,6242880,'1992-09-27 00:00:00',4,8,12,2009,'M','N','PILARZINHO','CURITIBA','PR','116162163215472411358814572122610127052',7173,'9998',53.76,1,3,NULL),(25,6242898,'1994-02-03 00:00:00',4,1,11,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217111432469814445122610134122',17241,'262',40.22,1,3,NULL),(25,6242910,'1980-09-26 00:00:00',4,1,11,1998,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','125251251117131421533371385124610134177',NULL,'9998',0.00,1,2,1),(25,6242928,'1993-07-10 00:00:00',4,2,12,2010,'F','N','ESCOLA AGRICOLA','BLUMENAU','SC','124242241215111431348729575114610122012',9027,'87',49.18,1,3,NULL),(25,6242936,'1989-01-09 00:00:00',2,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241147271431436619445124610127047',NULL,'283',8.86,1,2,1),(25,6242952,'1989-09-25 00:00:00',2,15,12,2007,'F','N','GUARANI','NOVO HAMBURGO','RS','120202201215471431557721575122143236147',17272,'9998',34.27,1,3,NULL),(25,6242960,'1993-11-12 00:00:00',2,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241116471431436314575124610147147',NULL,'733',17.63,3,3,NULL),(25,6242987,'1992-09-06 00:00:00',4,1,12,2010,'M','N','JARDIM UNIVERSITÁRIO','CUIABÁ','MT','111112111217121431678915575112610147077',NULL,'9998',0.00,1,3,NULL),(25,6242995,'1993-08-18 00:00:00',4,1,12,2010,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241137141432526634292114610134037',NULL,'294',8.98,1,2,1),(25,6243010,'1993-02-01 00:00:00',4,8,12,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215141331459814375115610144182',7324,'442',53.18,1,3,NULL),(25,6243029,'1991-06-03 00:00:00',2,1,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215151432438822575115610167051',20567,'210',32.89,1,3,NULL),(25,6243037,'1994-11-23 00:00:00',4,1,11,2011,'M','S','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111431358833572124610168147',NULL,'270',36.53,1,3,NULL),(25,6243045,'1990-02-28 00:00:00',4,8,12,2007,'F','N','CENTRO','CÂNDIDO MOTA','SP','125252251217471432538833575122610164017',NULL,'1063',37.48,1,3,NULL),(25,6243053,'1989-11-07 00:00:00',4,1,11,2007,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217474431349912595112221432197',NULL,'226',44.46,3,3,NULL),(25,6243061,'1987-03-26 00:00:00',2,4,12,2006,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116164164436471131688811395122142464191',NULL,'9998',0.00,1,3,NULL),(25,6243070,'1992-10-24 00:00:00',2,1,11,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117372431438832342124610157187',9212,'267',51.91,1,2,1),(25,6243088,'1993-06-29 00:00:00',2,1,12,2010,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124204241115131431328413575124610137047',21580,'9997',27.13,1,3,NULL),(25,6243096,'1992-08-12 00:00:00',2,1,12,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124241241115472431433314275124610126097',10081,'592',48.01,1,2,1),(25,6243100,'1991-10-02 00:00:00',4,1,12,2008,'F','N','ROÇADO','S JOSÉ','SC','124241241212153431445923332122610168054',NULL,'1076',29.14,4,3,NULL),(25,6243126,'1992-03-03 00:00:00',4,10,11,2009,'F','N','CAÇADOR','CAPIVARI BAIXO','SC','124244241216112431446414575124231324072',NULL,'797',0.00,1,3,NULL),(25,6243134,'1991-07-08 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241116343431533524346111610133052',19162,'288',31.82,1,3,NULL),(25,6243142,'1993-04-22 00:00:00',4,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215271431356833575114610137147',3427,'1022',63.48,1,3,NULL),(25,6243150,'1990-09-30 00:00:00',4,5,12,2007,'F','N','IPIRANGA','SOLEDADE','RS','120203201316572431436934371114610168187',6373,'9998',53.66,1,3,NULL),(25,6243169,'1989-11-21 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215274731468833572122231132092',1262,'270',72.52,1,3,NULL),(25,6243185,'1993-03-01 00:00:00',2,17,12,2010,'F','N','VILA NOVA','MAFRA','SC','124241161216131451436733331124610135072',13767,'9998',42.36,1,3,NULL),(25,6243193,'1993-05-07 00:00:00',4,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124205241116151431537714575124610124082',17568,'591',39.64,1,3,NULL),(25,6243207,'1992-10-29 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241116271431426811215124610134147',9144,'288',50.53,1,3,NULL),(25,6243215,'1992-09-11 00:00:00',4,8,12,2010,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241215111431657974275122610165142',15322,'456',38.28,1,3,NULL),(25,6243223,'1989-02-21 00:00:00',2,1,12,2006,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241122131431633314245124131257047',NULL,'591',34.32,1,2,1),(25,6243231,'1992-12-29 00:00:00',4,1,12,2009,'M','N','BOQUEIRÃO','CURITIBA','PR','116162167215571531568812375114610167043',2259,'9998',67.30,1,3,NULL),(25,6243240,'1993-02-17 00:00:00',4,8,12,2009,'M','N','NOVO MUNDO','CURITIBA','PR','116161161116471431336923572124610147047',14535,'9998',39.56,1,2,1),(25,6243258,'1989-08-31 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241137272431117613145124121747145',4392,'412',61.67,1,2,1),(25,6243266,'1991-06-18 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241214372431368629585114610112181',9187,'1048',52.71,1,3,NULL),(25,6243274,'1991-12-15 00:00:00',2,1,12,2008,'F','N','N SRA DO ROSÁRIO','S JOSÉ','SC','124241241215132431356923395124610164042',15523,'1076',42.87,1,3,NULL),(25,6243282,'1992-01-08 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124243241337112431426623245124231465147',17629,'1022',35.37,1,3,NULL),(25,6243304,'1992-02-03 00:00:00',4,1,12,2010,'F','N','ESTREITO','ALFREDO WAGNER','SC','124241241132131131323319385121610114057',NULL,'13',11.85,1,2,1),(25,6243320,'1981-12-06 00:00:00',2,15,12,2004,'M','N','POLICIA RODOVIARIA','ARARANGUÁ','SC','224241241146271431223344245123610147067',NULL,'9999',19.74,4,2,1),(25,6243339,'1994-10-27 00:00:00',4,1,12,2010,'F','N','VENDAVAL','BIGUAÇU','SC','124244241215111431448832572122610134143',8581,'1050',53.81,1,3,NULL),(25,6243347,'1992-07-17 00:00:00',4,1,12,2009,'F','N','CENTRO','CARAZINHO','RS','120202201216471431248633575112610124017',NULL,'9998',0.00,1,3,NULL),(25,6243355,'1994-01-10 00:00:00',4,1,11,2010,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241215371431448934574124610162092',8195,'1014',54.54,1,3,NULL),(25,6243363,'1986-11-29 00:00:00',4,1,12,2006,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241241126131231625539145125610164185',NULL,'728',11.46,1,2,1),(25,6243371,'1993-08-06 00:00:00',2,10,12,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124244241215131431359932295122610127112',17979,'797',33.16,1,3,NULL),(25,6243380,'1990-05-16 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116372431326624445114610167063',NULL,'298',28.82,1,2,1),(25,6243398,'1991-08-22 00:00:00',4,16,12,2008,'M','N','BOM JESUS','CURITIBANOS','SC','124241241115271451328624445111610138047',NULL,'239',21.58,1,2,1),(25,6243401,'1991-12-11 00:00:00',2,16,12,2008,'M','N','CENTRO','S CRISTÓVÃO SUL','SC','124241244116274451424729575122121437057',11889,'239',44.93,1,2,1),(25,6243410,'1990-08-20 00:00:00',4,9,12,2009,'M','N','CENTRO','URUBICI','SC','124242241337131431338624371121133237042',NULL,'818',16.95,1,3,NULL),(25,6243428,'1994-07-25 00:00:00',4,1,12,2011,'F','S','CACUPÉ','FLORIANÓPOLIS','SC','124242241215211451437834472122610127065',NULL,'883',49.23,1,3,NULL),(25,6243436,'1990-03-28 00:00:00',2,1,12,2009,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241126152431444674442124610164047',12262,'592',47.74,1,2,1),(25,6243452,'1987-09-08 00:00:00',2,1,12,2004,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241136141731334319292322610137181',NULL,'287',38.12,1,2,1),(25,6243487,'1993-05-02 00:00:00',4,4,12,2010,'M','N','CENTRO','PALMAS','PR','116162161217271441356823395125610144082',3602,'9998',61.87,1,3,NULL),(25,6243495,'1992-07-30 00:00:00',4,8,11,2010,'M','N','GLÓRIA','JOINVILLE','SC','124242241415271431459933575112610137182',4833,'457',58.43,1,3,NULL),(25,6243509,'1989-11-10 00:00:00',4,1,11,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241227151231367833245123610127164',21249,'9999',29.75,1,3,NULL),(25,6243517,'1992-07-21 00:00:00',2,5,12,2010,'M','N','CENTRO','CRICIÚMA','SC','124242247437111431368814575125610147182',NULL,'1096',0.00,1,3,NULL),(25,6243533,'1992-04-16 00:00:00',4,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124242241215473731445632571122610122182',3288,'1038',63.14,1,3,NULL),(25,6243550,'1993-05-16 00:00:00',4,1,11,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241415122741577813575124610168147',1057,'270',73.26,1,3,NULL),(25,6243568,'1993-02-10 00:00:00',4,7,11,2010,'F','N','CENTRO','HERVAL D OESTE','SC','124241241416151431333723575122610124142',NULL,'446',0.00,1,3,NULL),(25,6243576,'1989-08-25 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224244241216272751555315175124233267051',18889,'836',37.15,1,3,NULL),(25,6243592,'1992-04-05 00:00:00',4,7,11,2009,'F','N','CAETANO BRANCO','JOAÇABA','SC','124242241216372431339812574122610128147',6336,'446',54.35,1,3,NULL),(25,6243606,'1991-05-21 00:00:00',2,16,12,2008,'F','N','N SENHORA APARECIDA','CURITIBANOS','SC','124241244135574431434614575122610133142',8640,'239',50.88,1,2,1),(25,6243622,'1991-02-28 00:00:00',4,8,12,2008,'M','N','JARDIM ITAPURA I','PRES PRUDENTE','SP','125252251225571751557924575123610164147',236,'9998',80.34,1,3,NULL),(25,6243630,'1990-11-06 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217373421457732585112121267067',11708,'270',48.59,1,3,NULL),(25,6243649,'1975-06-20 00:00:00',2,1,12,1993,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124202201112131121126649342334610111097',NULL,'9998',30.18,1,3,NULL),(25,6243657,'1993-05-24 00:00:00',4,4,12,2010,'M','N','CENTRO','CHAPECÓ','SC','124242241215471431669835571122610137062',808,'185',75.27,1,3,NULL),(25,6243665,'1974-10-26 00:00:00',2,6,12,1999,'F','N','CENTRO','BAL CAMBORIÚ','SC','624133137126131421658752185122141067147',NULL,'873',0.00,1,3,NULL),(25,6243673,'1991-12-17 00:00:00',4,1,12,2009,'M','N','JARDIM BÉLGICA','S PAULO','SP','125252251217471431438933575114610121047',NULL,'9998',43.49,1,3,NULL),(25,6243703,'1990-02-15 00:00:00',2,1,12,2007,'F','N','GASPARETTO','VACARIA','RS','120201201216343431226679495124241223117',NULL,'9997',30.06,4,3,NULL),(25,6243711,'1992-09-08 00:00:00',4,1,12,2010,'M','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162166117271431468923245124610167052',3206,'9998',62.32,3,3,NULL),(25,6243720,'1992-09-04 00:00:00',2,8,12,2010,'M','N','BOCKMANN','PARANAGUÁ','PR','116164161217131731426427215121610117057',19363,'9998',30.54,1,3,NULL),(25,6243746,'1993-01-18 00:00:00',4,1,12,2010,'M','N','CENTRO','CAÇADOR','SC','124242241215131731223312226115610167142',NULL,'119',0.00,1,3,NULL),(25,6243762,'1993-05-03 00:00:00',4,1,12,2010,'M','N','PIRAPÓ','APUCARANA','PR','116162161236271431458614475122610167052',6642,'9998',53.73,1,3,NULL),(25,6243770,'1991-03-06 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241216473431456411375125230422072',14246,'1074',44.79,1,3,NULL),(25,6243789,'1991-07-08 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217121431568814346124610143187',15281,'269',41.68,1,3,NULL),(25,6243797,'1992-07-19 00:00:00',2,5,11,2009,'F','N','BOM FIM','PTO ALEGRE','RS','120204201117371431447611574124610143147',3585,'9998',61.14,1,3,NULL),(25,6243800,'1989-08-22 00:00:00',4,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116114111126131431125844245134610134187',16017,'9998',38.06,1,3,NULL),(25,6243819,'1989-01-16 00:00:00',2,1,12,2007,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124244241215512431446613245124131061032',NULL,'1022',28.43,1,3,NULL),(25,6243827,'1991-11-24 00:00:00',2,1,11,2009,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124241241116572231325329295124610112113',NULL,'288',34.16,1,2,1),(25,6243851,'1981-08-22 00:00:00',2,9,12,1998,'F','N','CAVALHADA','PTO ALEGRE','RS','120204201217571431243823485114543264047',4497,'9998',57.99,1,3,NULL),(25,6243860,'1993-04-26 00:00:00',4,8,11,2010,'F','N','UBERABA','CURITIBA','PR','116163161215121451446432574124610132147',NULL,'9998',0.00,1,3,NULL),(25,6243878,'1987-04-28 00:00:00',2,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124281241125142731224644145124610137143',NULL,'298',18.65,1,2,1),(25,6243886,'1992-08-19 00:00:00',4,1,12,2010,'M','N','CENTRO','CHARQUEADAS','RS','120161203417161531338714572121610137062',NULL,'9997',0.00,1,3,NULL),(25,6243894,'1991-09-29 00:00:00',4,9,12,2008,'M','N','CORAL','LAGES','SC','124242241217153752489911596122220464066',6760,'497',57.19,1,3,NULL),(25,6243916,'1992-02-28 00:00:00',2,9,12,2009,'F','N','ESQUINA','URUBICI','SC','124242241216472431426611315124610112147',12716,'817',43.11,1,3,NULL),(25,6243924,'1991-01-03 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216475431368912445124233222042',5320,'87',57.46,1,3,NULL),(25,6243932,'1981-01-22 00:00:00',4,1,12,1998,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215573211158542425122520253042',4493,'272',62.00,1,3,NULL),(25,6243940,'1993-06-13 00:00:00',4,1,11,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217161131338857592114610132085',19347,'259',36.18,1,3,NULL),(25,6243959,'1975-08-29 00:00:00',4,1,12,1994,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','624251253127151411423674245134143232173',NULL,'9998',20.73,1,3,NULL),(25,6243967,'1988-06-19 00:00:00',2,4,12,2005,'M','N','LINHA PROGRESSO','BOA V APARECIDA','PR','116161161136571731536833585123610167052',6166,'9998',57.24,1,2,1),(25,6243983,'1983-09-16 00:00:00',4,1,12,2001,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241112273431558613415124131056072',20391,'307',33.46,1,3,NULL),(25,6244009,'1992-11-24 00:00:00',2,8,12,2010,'F','N','GLÓRIA','JOINVILLE','SC','124242247215131411237924595125610137077',16954,'9999',34.55,1,3,NULL),(25,6244017,'1991-10-09 00:00:00',4,2,12,2009,'F','N','ZANIBONI','MOGI GUAÇU','SP','125254251116471431336627575112610114072',13699,'9998',39.86,4,3,NULL),(25,6244025,'1992-12-03 00:00:00',4,5,11,2009,'M','N','CENTRO','URUSSANGA','SC','124242241215372411358923571122131028112',7037,'226',56.68,1,3,NULL),(25,6244041,'1988-08-31 00:00:00',4,4,12,2006,'F','N','INDUSTRIAL','FLOR S SUL','PR','116161168126131431524519285124342535182',NULL,'9998',11.90,1,3,NULL),(25,6244050,'1982-08-28 00:00:00',2,1,12,1999,'F','N','ROÇADO','S JOSÉ','SC','124241241126275431431119232123610132097',12115,'729',45.05,1,2,1),(25,6244092,'1992-05-08 00:00:00',4,9,12,2008,'F','N','COPACABANA','LAGES','SC','124242241214271431425632575122610134097',NULL,'1065',14.39,1,3,NULL),(25,6244106,'1989-01-18 00:00:00',2,4,12,2005,'F','N','CRISTO REI','S CARLOS','SC','124241248146273751436611595124610164147',7363,'704',53.47,1,2,1),(25,6244122,'1992-05-28 00:00:00',2,1,11,2009,'F','N','SERRARIA','S JOSÉ','SC','124242241215122431435412245124230843147',NULL,'300',30.32,1,3,NULL),(25,6244149,'1979-10-08 00:00:00',2,1,12,1998,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224253251336133711323651282114610168117',NULL,'9998',0.00,1,3,NULL),(25,6244165,'1992-11-11 00:00:00',2,1,12,2009,'M','N','PALHOÇA','PALHOÇA','SC','124241241116132431439613575124610117092',16988,'592',35.63,1,2,1),(25,6244173,'1988-06-03 00:00:00',2,1,11,2006,'F','N','VARJOTA','FORTALEZA','CE','106062061216571411639611372122610162147',5164,'9998',58.88,4,3,NULL),(25,6244181,'1992-04-15 00:00:00',4,1,12,2009,'M','N','VILA MARISTELA','PRES PRUDENTE','SP','125252251216111411458834592125241017173',NULL,'9998',0.00,1,3,NULL),(25,6244190,'1991-05-27 00:00:00',4,1,12,2009,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241115371441316324591124610132041',17885,'307',36.53,1,2,1),(25,6244203,'1991-05-13 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216473431469813495124233227127',NULL,'1169',34.52,1,3,NULL),(25,6244211,'1990-12-18 00:00:00',2,1,12,2007,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241115373721633311141234610115177',NULL,'772',30.35,1,2,1),(25,6244220,'1950-09-26 00:00:00',4,1,12,1973,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','524254243427153421227641415124330218097',NULL,'302',0.00,1,3,NULL),(25,6244238,'1989-03-28 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216373431479613445124333237042',10291,'1022',49.99,1,3,NULL),(25,6244262,'1990-05-19 00:00:00',2,17,12,2007,'M','N','VILA FERROVIÁRIA','MAFRA','SC','124162161216111431236619281324130227097',NULL,'9998',0.00,1,3,NULL),(25,6244270,'1988-05-15 00:00:00',2,1,12,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241127141421546631225132133221182',NULL,'281',18.74,1,2,1),(25,6244297,'1987-06-19 00:00:00',4,1,12,2004,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124131131116371411436614245124342132184',10854,'9998',49.90,4,2,1),(25,6244319,'1993-04-10 00:00:00',4,1,11,2010,'M','N','SÃO JOSÉ','ARACAJU','SE','126262261216271431465923475122610147082',NULL,'9998',0.00,2,3,NULL),(25,6244327,'1992-07-02 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244247417111431469931575122610125132',NULL,'9999',22.75,1,3,NULL),(25,6244343,'1993-08-21 00:00:00',4,1,12,2010,'F','N','TIMBEZINHO','S JOÃO BATISTA','SC','124241241116131331433331585124610142057',NULL,'712',25.89,4,2,1),(25,6244351,'1990-09-06 00:00:00',2,9,12,2008,'M','N','RIO BATALHA','ITUPORANGA','SC','124241241117162431435516265132610137052',20780,'416',32.00,1,2,1),(25,6244378,'1994-06-10 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124244241217111431239934572124610142095',19095,'737',36.76,1,3,NULL),(25,6244386,'1987-12-03 00:00:00',4,1,12,2005,'F','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125254251217572431448714441124610134077',3086,'9998',64.07,2,3,NULL),(25,6244394,'1993-01-20 00:00:00',4,1,12,2010,'M','N','TABOÃO','RIO SUL','SC','124243241117131451426534575125610168042',17255,'659',34.21,1,3,NULL),(25,6244424,'1993-08-21 00:00:00',4,2,12,2010,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124241241115211431568924571234610114147',20522,'69',33.04,1,3,NULL),(25,6244432,'1983-10-23 00:00:00',2,1,12,2001,'M','N','KOBRASOL','S JOSÉ','SC','124241241316175731126643332224221067092',4297,'525',59.29,1,3,NULL),(25,6244467,'1990-12-29 00:00:00',2,9,12,2007,'M','N','CORAL','LAGES','SC','124241241116142431435614242124131217052',NULL,'935',0.00,1,3,NULL),(25,6244475,'1990-06-07 00:00:00',2,1,11,2008,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241211142411349934341132232067142',NULL,'270',43.12,1,3,NULL),(25,6244483,'1992-02-19 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241415272731528671392334610163142',NULL,'1075',12.40,1,3,NULL),(25,6244491,'1992-08-14 00:00:00',4,8,11,2009,'M','N','CENTRO','PALMAS','PR','116243161215472231459934574114610164197',185,'9998',81.33,1,3,NULL),(25,6244505,'1993-05-21 00:00:00',2,7,12,2010,'M','N','APARECIDA','CAMPOS NOVOS','SC','124241241136151731334312595122610138182',10424,'139',46.41,1,2,1),(25,6244513,'1987-10-05 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243248216524741367912575122133252171',6176,'968',58.37,1,3,NULL),(25,6244521,'1993-04-30 00:00:00',4,17,11,2010,'M','N','TRICOLIM','CANOINHAS','SC','124241241115151431436824295112610122152',16624,'153',36.12,1,2,1),(25,6244548,'1992-12-23 00:00:00',2,1,11,2010,'F','N','CENTRO','CATUÍPE','RS','120201201116161731523611575124610163197',NULL,'9998',25.93,1,2,1),(25,6244556,'1992-11-25 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241125211431524624375124610112192',19237,'283',33.16,1,2,1),(25,6244564,'1992-06-12 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216114431257721575122231433182',4322,'1022',59.52,1,3,NULL),(25,6244580,'1992-07-21 00:00:00',4,1,12,2009,'F','N','COAPHAMA','CPO GRANDE','MS','112072071216471431569933574112610134197',3740,'9998',63.97,1,3,NULL),(25,6244599,'1992-09-08 00:00:00',4,8,12,2009,'F','N','LINDÓIA','CURITIBA','PR','116162161216472731546612372112610168077',1674,'9998',68.53,1,3,NULL),(25,6244610,'1966-05-13 00:00:00',2,1,12,1983,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','524241248221132451334443131124332766197',NULL,'284',0.00,4,1,2),(25,6244645,'1990-12-18 00:00:00',2,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241212574731536834575124230623075',12813,'1022',42.07,1,3,NULL),(25,6244653,'1989-08-07 00:00:00',2,1,12,2006,'F','N','PEDRA BRANCA','PALHOÇA','SC','124164241216374431668873575124122668197',5187,'262',60.45,1,3,NULL),(25,6244661,'1992-04-21 00:00:00',4,1,11,2010,'M','N','ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC','124242241215372431337867572124133237047',13749,'1022',45.56,1,3,NULL),(25,6244670,'1990-01-29 00:00:00',4,8,12,2007,'M','N','BOEHMERWALD','JOINVILLE','SC','124241241111231421423344242242610135042',20739,'492',32.19,1,2,1),(25,6244696,'1991-02-19 00:00:00',4,1,12,2008,'F','N','CENTRO','NHANDEARA','SP','125251251115573431448811571125610118182',11493,'9998',43.80,1,2,1),(25,6244700,'1993-11-04 00:00:00',4,8,12,2010,'F','N','JARDIM SÃO NICOLAU','REGISTRO','SP','125252251217111431468811575122610122192',NULL,'9998',0.00,1,3,NULL),(25,6244718,'1991-09-05 00:00:00',4,1,11,2009,'M','N','AQUÁRIUS','S JOSÉ CAMPOS','SP','125252251215471431567711575122610122097',NULL,'9998',0.00,1,3,NULL),(25,6244734,'1993-04-15 00:00:00',4,6,12,2010,'F','N','JD UNIVERSITARIO','S JOSÉ R PRETO','SP','125252251215111431478812572122610162092',2828,'9998',64.92,1,3,NULL),(25,6244742,'1988-12-23 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124112111235275441226644245124610168095',10478,'9998',50.51,1,3,NULL),(25,6244769,'1992-09-25 00:00:00',4,8,12,2009,'F','N','JARDIM DOS PÁSSAROS','ARAPONGAS','PR','116162161216111411476611575122610164147',10310,'9998',50.80,1,3,NULL),(25,6244777,'1992-07-05 00:00:00',2,8,11,2009,'F','N','GLÓRIA','JOINVILLE','SC','124243241211272451346734344124130424127',8910,'1016',49.62,1,3,NULL),(25,6244785,'1992-01-27 00:00:00',4,1,12,2009,'M','N','CENTRO','ARAÇATUBA','SP','125252251215471431468916572124610117047',6082,'9998',57.11,1,3,NULL),(25,6244807,'1993-08-08 00:00:00',4,4,12,2010,'F','N','INTERIOR','ANCHIETA','SC','124241241114161731514136462324610154057',NULL,'16',21.99,1,2,1),(25,6244815,'1987-04-28 00:00:00',2,8,12,2004,'F','N','CENTRO','JOINVILLE','SC','124244241447413411128944245124130266022',NULL,'1016',33.65,1,3,NULL),(25,6244823,'1985-04-23 00:00:00',4,1,11,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124251251236273431327841315122333245065',13985,'9998',40.32,1,3,NULL),(25,6244831,'1972-01-28 00:00:00',2,8,12,1998,'M','N','BOM RETIRO','JOINVILLE','SC','124243247242134741123348382324333227147',NULL,'422',0.00,2,3,NULL),(25,6244840,'1993-01-03 00:00:00',4,3,12,2009,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','224242241216271431235662345122610123142',NULL,'1085',35.67,1,3,NULL),(25,6244866,'1992-10-09 00:00:00',4,1,11,2010,'M','N','FUNDOS','BIGUAÇU','SC','124243241217372631343314342111610144047',16993,'63',40.63,1,3,NULL),(25,6244874,'1992-04-30 00:00:00',4,1,11,2009,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124242241215472431558813572114610127057',8985,'1050',53.08,1,3,NULL),(25,6244882,'1993-10-02 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431366933575122610137042',11438,'270',45.83,1,3,NULL),(25,6244890,'1993-10-22 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124224241215121431557812574114610123042',10608,'1022',46.20,1,3,NULL),(25,6244904,'1989-05-03 00:00:00',4,15,6,2008,'F','N','SÃO CRISTOVÃO','LAJEADO','RS','120201201117471431228669241133143064112',17715,'9998',33.81,1,3,NULL),(25,6244912,'1994-02-09 00:00:00',2,15,12,2010,'F','N','CENTRO','SOMBRIO','SC','124244241111131431436823272122610121147',NULL,'1033',24.48,1,3,NULL),(25,6244920,'1994-03-15 00:00:00',4,8,12,2010,'F','N','JARDIM DOS PÁSSAROS','ARAPONGAS','PR','116162161215121411476611575122610164197',15627,'9998',42.72,1,3,NULL),(25,6244939,'1993-12-20 00:00:00',2,4,12,2010,'F','N','INTERIOR','DESCANSO','SC','124243241117131431423616572222610124142',14209,'242',39.43,1,3,NULL),(25,6244955,'1992-08-26 00:00:00',2,1,12,2009,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241221272431424531271124133231182',11881,'262',42.50,1,3,NULL),(25,6244963,'1991-07-01 00:00:00',2,8,11,2008,'F','N','AGUA VERDE','CURITIBA','PR','116252161215571431258814271122610148182',6482,'9998',54.94,1,3,NULL),(25,6244971,'1992-01-16 00:00:00',4,6,12,2009,'F','N','TIJIPIÓ','S JOÃO BATISTA','SC','124241241126131332434312215122610114047',21215,'712',29.97,1,3,NULL),(25,6244980,'1992-12-07 00:00:00',4,4,12,2009,'M','N','CERÂMICA','ERECHIM','RS','120202201215471431438831575124610156097',1323,'9998',70.36,1,3,NULL),(25,6244998,'1992-05-02 00:00:00',4,2,12,2009,'M','N','COLIBRIS','COSMÓPOLIS','SP','125252251214471432358839375112610167042',NULL,'9998',0.00,1,3,NULL),(25,6245005,'1993-04-20 00:00:00',2,5,11,2010,'F','N','CENTRO','MRO FUMAÇA','SC','124241241215131751334412374124610138182',NULL,'211',0.00,1,3,NULL),(25,6245013,'1990-08-16 00:00:00',2,15,12,2007,'M','N','TIROLEZA','TRAMANDAÍ','RS','120201201116572431553432572124610167057',1796,'9998',68.71,1,2,1),(25,6245021,'1991-06-27 00:00:00',2,15,12,2008,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241116131731325624382111230213045',NULL,'30',0.00,1,2,1),(25,6245030,'1985-09-20 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201241116132431235512245124230223097',NULL,'298',NULL,1,2,1),(25,6245048,'1987-02-11 00:00:00',2,1,12,2004,'F','N','JNS AUXILIADORA','CAMPINAS','SP','125251251116471731217679295124240217092',NULL,'9998',33.28,1,2,1),(25,6245072,'1993-11-02 00:00:00',2,1,11,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241137471431633634572324610124055',20175,'281',27.91,2,2,1),(25,6245099,'1980-12-29 00:00:00',2,1,12,2003,'F','N','SANTA ISABEL','VIAMÃO','RS','120201203127371431633321245134610154097',NULL,'9998',0.00,1,2,1),(25,6245102,'1991-07-16 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161215573431446614595112610132197',4052,'9998',61.30,1,3,NULL),(25,6245129,'1989-10-04 00:00:00',4,15,12,2006,'M','N','COLONINHA','ARARANGUÁ','SC','124241241136131441221331475122132134142',NULL,'28',0.00,1,2,1),(25,6245137,'1991-12-20 00:00:00',2,1,12,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215472431339813595124610127047',11382,'272',44.53,1,3,NULL),(25,6245145,'1962-08-06 00:00:00',4,1,10,1980,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224243246347131451333359275122610142187',NULL,'325',34.55,1,3,NULL),(25,6245153,'1982-03-04 00:00:00',2,1,11,2000,'M','N','IPIRANGA','S JOSÉ','SC','124243241122213431325511285124610137052',12257,'734',44.74,1,3,NULL),(25,6245170,'1991-08-29 00:00:00',4,1,11,2008,'M','N','VILA ÉDIO','ARAPONGAS','PR','116164161116472441236923415122610122151',NULL,'9998',0.00,1,3,NULL),(25,6245188,'1992-07-02 00:00:00',2,1,10,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241125472431328624245124610136027',20858,'9997',31.70,1,2,1),(25,6245196,'1992-09-24 00:00:00',2,1,12,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124244241215472411425634572114610137077',7823,'272',52.99,1,3,NULL),(25,6245200,'1994-02-09 00:00:00',2,15,12,2010,'F','N','CENTRO','SOMBRIO','SC','124244241117131431436823272122610126197',17052,'1033',34.63,1,3,NULL),(25,6245218,'1993-03-17 00:00:00',4,1,12,2010,'F','N','CENTRO','APIAÍ','SP','125251252116161331423629215124610128057',NULL,'9998',0.00,1,2,1),(25,6245226,'1991-08-06 00:00:00',2,4,12,2008,'M','N','SÃO VICENTE','PATO BRANCO','PR','116161161116111311536619372112610122142',14079,'9998',41.41,1,3,NULL),(25,6245234,'1959-12-22 00:00:00',2,1,12,2005,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241247631161421523343432214610125092',NULL,'9999',26.06,1,3,NULL),(25,6245269,'1993-03-04 00:00:00',2,1,12,2010,'M','N','RATONES','FLORIANÓPOLIS','SC','124241241116151751523334395124610167042',16971,'307',35.40,1,2,1),(25,6245277,'1994-02-05 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124243241137141431246622215124610137147',NULL,'733',17.93,1,3,NULL),(25,6245285,'1991-07-05 00:00:00',2,1,12,2008,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124242241116474431628614375124233233147',12671,'733',47.10,1,3,NULL),(25,6245293,'1993-07-07 00:00:00',2,1,12,2010,'M','N','JARDIN ELDORADO','PALHOÇA','SC','124241248116111731325529385322610132042',15419,'1009',43.03,1,2,1),(25,6245307,'1992-08-07 00:00:00',4,3,12,2010,'M','N','SÍTIO CERCADO','CURITIBA','PR','116164166116371411365611345122610164172',399,'9998',77.00,1,3,NULL),(25,6245315,'1993-03-12 00:00:00',4,7,12,2010,'F','N','MENINO DEUS','JOAÇABA','SC','124241241116271431323411215124610161147',NULL,'449',24.16,1,2,1),(25,6245323,'1989-05-22 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241243122211342424429292224613218182',NULL,'182',23.78,1,3,NULL),(25,6245340,'1992-02-10 00:00:00',2,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124242241215371432448514575112610168182',16575,'738',41.28,1,3,NULL),(25,6245366,'1993-06-20 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241135371451536634284124610126093',11239,'281',44.79,1,2,1),(25,6245374,'1992-07-06 00:00:00',2,16,12,2009,'F','N','INTERIOR','BRUNÓPOLIS','SC','124241241215472431446656575112610167055',16073,'499',42.03,1,3,NULL),(25,6245382,'1993-06-02 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215111751347713575124610127182',18200,'1022',38.46,1,3,NULL),(25,6245412,'1992-10-07 00:00:00',2,1,11,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117131732436623582123610117045',21264,'281',29.66,4,1,1),(25,6245420,'1992-12-24 00:00:00',2,1,6,2010,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241241116151431568834575124232967043',18768,'739',37.41,1,2,1),(25,6245447,'1992-11-12 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241215112431658811582124233212072',15612,'270',42.75,4,3,NULL),(25,6245455,'1992-07-22 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241235272431557753572114610163041',18850,'1022',37.24,1,3,NULL),(25,6245463,'1989-06-09 00:00:00',4,1,12,2010,'F','N','PEDRO LUDOVICO','GOIÂNIA','GO','109092091216471431448919575122610168182',2530,'9998',65.88,1,3,NULL),(25,6245471,'1990-06-04 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215152432557413595124610167182',NULL,'1022',37.02,1,3,NULL),(25,6245480,'1993-07-30 00:00:00',2,1,12,2010,'F','N','COLONIA SANTANA','S JOSÉ','SC','124241241126141731326434395124610152142',NULL,'731',33.02,1,2,1),(25,6245498,'1993-01-20 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117371431624619572124610124147',16263,'307',37.27,1,2,1),(25,6245501,'1982-09-22 00:00:00',4,8,12,1999,'M','N','ÁGUA VERDE','CURITIBA','PR','116242161215472731289941415132342628092',2572,'9998',64.98,1,3,NULL),(25,6245528,'1987-10-19 00:00:00',2,8,12,2004,'M','N','JD EUCALIPTOS','COLOMBO','PR','616161161136131431224654386314140262092',NULL,'9998',34.59,4,2,1),(25,6245536,'1987-10-06 00:00:00',2,16,12,2005,'M','N','MARCILIANO FERNANDES','STA CECÍLIA','SC','121241241112121611268912193121132415181',NULL,'454',NULL,1,3,NULL),(25,6245544,'1984-12-07 00:00:00',2,1,12,2000,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241131132421311344341224610116147',NULL,'192',0.00,1,2,1),(25,6245552,'1993-04-22 00:00:00',2,4,11,2010,'F','N','CENTRO','CONCÓRDIA','SC','116241161215471731434615575214610123052',NULL,'1000',0.00,1,3,NULL),(25,6245560,'1993-04-08 00:00:00',4,4,12,2010,'F','N','INTERIOR','PINHAL','RS','120201201116271751548939192124610134142',NULL,'9998',0.00,1,2,1),(25,6245579,'1990-07-13 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241216474431445923445134610162015',10676,'977',50.20,1,3,NULL),(25,6245587,'1975-03-18 00:00:00',2,1,8,1994,'M','N','BELA VISTA I','S JOSÉ','SC','124241247216575431343129485124231227057',13931,'9999',45.28,2,3,NULL),(25,6245595,'1992-09-05 00:00:00',2,1,11,2009,'M','N','BALNEARIA','STA ROSA','RS','120203201216371431425732575122610164047',15988,'9998',37.25,1,3,NULL),(25,6245609,'1989-06-30 00:00:00',2,1,12,2006,'F','N','CONSOLAÇÃO','S PAULO','SP','124251251136143431328821215124610142187',13294,'9998',42.20,1,2,1),(25,6245617,'1993-01-18 00:00:00',2,1,12,2009,'M','N','CENTRO','ESTEIO','RS','120201201117471751537614295125610167087',NULL,'9998',24.45,1,2,1),(25,6245625,'1992-01-30 00:00:00',4,1,11,2009,'M','N','CENTRO','BRUSQUE','SC','124242241215473331355732585113610127122',7158,'109',54.39,1,3,NULL),(25,6245650,'1993-01-06 00:00:00',4,1,12,2009,'F','N','JARDIM PRIMAVERIL','TRÊS LAGOAS','MS','112122121216472431548813572122610161182',10238,'9998',46.65,1,3,NULL),(25,6245668,'1994-01-29 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124241241116271711446612575114610166153',8606,'730',51.23,1,2,1),(25,6245684,'1991-11-01 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116282221236471421538812575124610166017',NULL,'9998',29.85,5,3,NULL),(25,6245692,'1993-02-20 00:00:00',2,1,12,2010,'F','N','SAUDADE','BIGUAÇU','SC','224241241116371731123354575124610124142',NULL,'65',17.11,1,2,1),(25,6245706,'1992-01-17 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241215473431448732575124610123092',4499,'185',61.22,1,3,NULL),(25,6245714,'1989-03-17 00:00:00',2,15,6,2007,'F','N','FERROVIÁRIO','MONTENEGRO','RS','120204208116572731456814275122610122147',NULL,'9998',25.42,1,3,NULL),(25,6245722,'1993-08-25 00:00:00',4,7,12,2010,'M','N','MATRIZ','VIDEIRA','SC','124243241216271211456812275122610164142',3600,'829',62.90,1,3,NULL),(25,6245749,'1984-03-02 00:00:00',2,1,12,2003,'M','N','FORQUILHAS','S JOSÉ','SC','124161241121231431413311442324610117042',NULL,'726',12.92,4,2,1),(25,6245757,'1989-12-27 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241412523431658411582124610112052',NULL,'270',28.42,4,3,NULL),(25,6245765,'1989-10-07 00:00:00',2,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201201127131731323573231124610137112',NULL,'9998',0.00,1,2,1),(25,6245773,'1988-05-19 00:00:00',2,1,8,2009,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241247121371431513331275122610118047',NULL,'9999',27.13,1,2,1),(25,6245781,'1992-10-21 00:00:00',2,1,12,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241415131431343311345124610134187',17769,'1022',32.67,1,3,NULL),(25,6245790,'1990-11-05 00:00:00',4,3,11,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','124244241217131411246821285124142142011',17487,'1085',39.77,1,3,NULL),(25,6245811,'1993-04-26 00:00:00',2,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124241241116271411425331575124610164042',NULL,'730',32.74,1,2,1),(25,6245820,'1991-07-22 00:00:00',4,3,12,2008,'F','N','PINUS PARK','COTIA','SP','125252251216511411468614575112610112192',8107,'9998',50.36,1,3,NULL),(25,6245838,'1993-10-29 00:00:00',2,10,12,2010,'F','N','VILA FLOR','CAPIVARI BAIXO','SC','124241241115371331423419575124610127147',NULL,'1034',20.55,2,1,1),(25,6245862,'1992-12-30 00:00:00',2,8,12,2010,'F','N','BOEHMERWALD','S BENTO SUL','SC','124241241414211431424514372324610127077',15349,'1073',43.14,4,3,NULL),(25,6245870,'1993-10-09 00:00:00',4,1,11,2010,'F','N','BELA VISTA I','S JOSÉ','SC','124243241215111131425331572124610132191',21279,'1118',29.57,4,3,NULL),(25,6245897,'1989-04-11 00:00:00',4,1,5,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124161164127211421433311272122241526092',NULL,'9997',20.00,1,3,NULL),(25,6245900,'1993-04-11 00:00:00',2,10,12,2010,'F','N','CENTRO','CAPIVARI BAIXO','SC','124243241115271421354624245122610135057',15761,'1034',37.12,1,3,NULL),(25,6245919,'1992-08-26 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215372431458934395124610127112',2127,'1075',67.60,1,3,NULL),(25,6245927,'1994-03-17 00:00:00',4,1,12,2010,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124244241215272731436732572124610133092',6604,'1014',56.35,1,3,NULL),(25,6245935,'1992-01-20 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272231388519475112610164185',4612,'1022',61.75,1,3,NULL),(25,6245943,'1993-05-17 00:00:00',4,1,12,2010,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241117131411434619575112610128187',14249,'257',40.19,1,2,1),(25,6245960,'1991-12-05 00:00:00',4,6,11,2010,'M','N','CENTRO','ITAJAÍ','SC','124243247235151431257732495135610168173',NULL,'9999',3.30,3,3,NULL),(25,6245978,'1989-11-10 00:00:00',4,1,11,2006,'F','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251216573751578954574122610163157',NULL,'9998',45.82,1,3,NULL),(25,6245986,'1981-07-10 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','224242241217155721328843336114121864117',15465,'270',42.95,1,3,NULL),(25,6245994,'1993-10-25 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124243241315111411236623575124610135112',NULL,'1022',0.00,1,3,NULL),(25,6246001,'1994-02-13 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431346819472112610138191',17995,'724',33.22,1,3,NULL),(25,6246010,'1986-01-13 00:00:00',4,1,12,2003,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241426472431546438285123610122112',13201,'262',42.26,1,3,NULL),(25,6246028,'1993-04-26 00:00:00',2,15,12,2010,'F','N','CENTRO','ARARANGUÁ','SC','124241241115371411326923585122610138052',16531,'29',41.34,1,2,1),(25,6246036,'1993-07-24 00:00:00',4,1,12,2010,'M','N','MARGARIDA AURORA','STA CRUZ SUL','RS','120202201216471741378811572122610117122',3412,'9998',62.99,1,3,NULL),(25,6246044,'1991-12-19 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241216272431428611415124610123092',NULL,'1118',24.91,1,3,NULL),(25,6246060,'1992-11-10 00:00:00',2,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241115372431546833575124610136142',19318,'281',36.23,1,2,1),(25,6246079,'1993-07-15 00:00:00',4,4,12,2010,'M','N','CENTRO','PATO BRANCO','PR','116162161217371311469933572112610167062',8720,'9998',50.08,3,3,NULL),(25,6246087,'1988-04-11 00:00:00',4,3,12,2005,'M','N','CENTRO','BAL CAMBORIÚ','SC','124162161315272231136923311322141264053',NULL,'9998',19.37,1,3,NULL),(25,6246095,'1990-09-21 00:00:00',5,1,11,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241215574731468813575122221442127',6645,'738',57.39,1,3,NULL),(25,6246109,'1988-03-05 00:00:00',4,1,12,2005,'M','N','MATRIZ','VIDEIRA','SC','124243241117131712448823142122233261047',NULL,'831',20.07,1,3,NULL),(25,6246117,'1992-10-08 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124132251311122411236923275224221466073',13400,'9998',46.07,1,3,NULL),(25,6246125,'1992-07-04 00:00:00',4,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215372441377712291122610164132',NULL,'1169',20.23,1,3,NULL),(25,6246133,'1987-03-05 00:00:00',4,8,11,2005,'M','N','CENTRO','JOINVILLE','SC','124244241437271721325729445121130262011',NULL,'9999',12.95,1,3,NULL),(25,6246141,'1992-09-29 00:00:00',4,2,12,2010,'M','N','CENTRO','BRUSQUE','SC','124242241215371231549611575122610144112',10615,'107',46.65,1,3,NULL),(25,6246150,'1992-01-18 00:00:00',4,1,12,2009,'F','N','SAGRADO C DE JESUS','LAGES','SC','124244241215473431333411284122610134142',9139,'499',49.68,1,3,NULL),(25,6246168,'1992-10-24 00:00:00',2,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241126131411327923432124610168043',21779,'282',22.40,1,2,1),(25,6246176,'1963-04-04 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','424243241226134411146649495114610128191',15608,'9999',42.75,1,3,NULL),(25,6246184,'1992-12-19 00:00:00',2,8,12,2010,'M','N','BOA VISTA','JOINVILLE','SC','124242241215151431336612522122610167041',NULL,'456',36.46,1,3,NULL),(25,6246192,'1993-02-06 00:00:00',4,5,11,2010,'F','N','PIO CORRÊA','CRICIÚMA','SC','124242241215372421568811474112610163192',4926,'226',59.70,1,3,NULL),(25,6246206,'1991-09-23 00:00:00',2,17,11,2009,'M','N','BELA VISTA','RIO NEGRINHO','SC','124243241317131412426634275123233227012',16849,'669',40.87,4,3,NULL),(25,6246214,'1989-01-28 00:00:00',2,16,12,2006,'M','N','NAÇÕES','FRAIBURGO','SC','124241248417272411423923145132131057072',9069,'317',52.94,1,3,NULL),(25,6246222,'1987-07-05 00:00:00',4,1,5,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124202207217272431128813475124140267112',NULL,'9998',25.20,1,3,NULL),(25,6246230,'1993-01-24 00:00:00',2,2,12,2010,'F','N','PADRE EDUARDO','TAIÓ','SC','124242241215151432356314347122610161157',18645,'776',33.91,1,3,NULL),(25,6246249,'1994-04-21 00:00:00',4,4,12,2010,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241212271231387913172122610124142',NULL,'168',0.00,1,3,NULL),(25,6246257,'1992-03-03 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124244241215472431233823575124231942042',6097,'1118',58.52,1,3,NULL),(25,6246281,'1989-05-19 00:00:00',4,1,9,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244247415471431245827475122133267112',15539,'9999',38.03,1,3,NULL),(25,6246290,'1988-04-15 00:00:00',2,5,12,2005,'F','N','SANTA CRUZ','FORQUILHINHA','SC','124241244127271411433319335114610158187',NULL,'214',0.00,1,3,NULL),(25,6246303,'1985-08-29 00:00:00',2,1,12,2003,'M','N','CAMPINAS','S JOSÉ','SC','124241241331163411443414345122130216141',16262,'9999',37.34,4,3,NULL),(25,6246311,'1991-10-19 00:00:00',2,1,12,2008,'F','N','POTECAS','S JOSÉ','SC','124244241216373231226923342114610164182',18376,'944',33.35,1,3,NULL),(25,6246320,'1991-05-05 00:00:00',4,1,12,2008,'F','N','JARDIM BELÉM','S PAULO','SP','125251251417471431443412445124240232147',NULL,'9998',0.00,1,3,NULL),(25,6246346,'1989-10-31 00:00:00',4,15,11,2007,'F','N','CENTRO','SOMBRIO','SC','124241241117131431637923246121130827017',NULL,'1033',14.71,4,2,1),(25,6246362,'1991-10-27 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215153411578833572112232835113',NULL,'1169',0.00,1,3,NULL),(25,6246370,'1986-06-26 00:00:00',2,10,12,2003,'M','N','VILA FLOR','CAPIVARI BAIXO','SC','124241241136234431433311572114610117041',NULL,'158',16.70,1,2,1),(25,6246397,'1992-05-10 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115572431323614275114610131197',14870,'288',39.27,1,2,1),(25,6246400,'1992-10-14 00:00:00',2,1,12,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215575431439414574124610144072',3901,'1022',63.05,1,3,NULL),(25,6246427,'1994-09-01 00:00:00',4,10,12,2011,'M','S','RECIFE','TUBARÃO','SC','124242241217111731469914372122610137187',NULL,'797',35.54,1,3,NULL),(25,6246435,'1991-12-05 00:00:00',4,8,12,2009,'F','N','JARDIM PETRÓPOLIS','LONDRINA','PR','116161161116471431458833575122610132181',4410,'9998',60.07,1,2,1),(25,6246443,'1991-09-27 00:00:00',4,8,12,2008,'M','N','CENTRO','REALEZA','PR','116162161215471431559931574122610137037',404,'9998',77.79,1,3,NULL),(25,6246460,'1987-04-16 00:00:00',4,1,12,2004,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124254251436373411128844485125233266182',NULL,'9998',38.66,1,3,NULL),(25,6246478,'1994-06-09 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215151731447837275124610118182',NULL,'1022',34.88,1,3,NULL),(25,6246486,'1993-03-02 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124243241111371411436519575124610115187',13190,'281',42.58,2,1,2),(25,6246494,'1977-09-15 00:00:00',2,15,11,1994,'M','N','CENRO','SOMBRIO','SC','124243241216153741537923185124330752177',NULL,'813',0.00,4,3,NULL),(25,6246508,'1992-10-20 00:00:00',4,1,12,2009,'F','N','JARDIM PACAEMBU','LONDRINA','PR','116164161315471711346824475114610136147',9002,'9998',52.00,1,3,NULL),(25,6246524,'1994-04-19 00:00:00',2,1,12,2010,'M','N','CENTRO','GAROPABA','SC','124241241127131431628513275121610167117',NULL,'322',0.00,1,2,1),(25,6246532,'1986-12-26 00:00:00',4,1,12,2004,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124251251137471111428844245334143266112',14715,'9998',44.13,1,2,1),(25,6246540,'1993-01-09 00:00:00',2,17,12,2010,'F','N','CENTRO','PTO UNIÃO','SC','124242241211121431448813571122610122092',12279,'633',43.27,1,3,NULL),(25,6246559,'1993-04-04 00:00:00',2,5,11,2010,'M','N','COMERCIARIO','CRICIÚMA','SC','124243241217131431534611412124610164117',NULL,'213',47.08,3,3,NULL),(25,6246575,'1993-08-25 00:00:00',4,2,11,2010,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215371431568912575122610137112',3031,'109',64.30,1,3,NULL),(25,6246583,'1991-09-23 00:00:00',2,1,9,2008,'F','N','CENTRO','CURITIBA','PR','116223161215572431438611574324610115037',7009,'9998',51.70,1,3,NULL),(25,6246591,'1991-06-29 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372431459619575112610164114',14942,'262',43.77,1,3,NULL),(25,6246605,'1993-09-16 00:00:00',4,5,11,2010,'M','N','JARDIM MARISTELA','CRICIÚMA','SC','124242248235111431568612272112610137017',13040,'210',42.70,1,3,NULL),(25,6246613,'1992-07-30 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241211121411333331272124610126143',14548,'1048',40.66,1,3,NULL),(25,6246621,'1992-12-15 00:00:00',4,1,11,2009,'M','N','FORQUILHAS','S JOSÉ','SC','124242241216473431337412275124610124052',10714,'1074',48.77,1,3,NULL),(25,6246630,'1986-02-21 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224243241126474731323854112124122321167',12324,'288',42.89,1,3,NULL),(25,6246648,'1993-10-25 00:00:00',4,1,12,2010,'M','N','TIMBÉ','TIJUCAS','SC','124242241215111232427611575222610168052',9146,'1119',48.55,1,3,NULL),(25,6246656,'1986-11-30 00:00:00',4,1,12,2003,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','624241091116132431336644345114121166042',3896,'9998',63.56,1,2,1),(25,6246672,'1989-05-20 00:00:00',4,1,12,2006,'F','N','CENTRO','JOAÇABA','SC','124242241217574441378812275122131522145',3414,'454',63.34,1,3,NULL),(25,6246680,'1991-04-04 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215575431579813575122610134191',1525,'270',70.79,1,3,NULL),(25,6246699,'1993-11-03 00:00:00',2,5,12,2010,'F','N','CENTRO','IÇARA','SC','124243241215111431225924572124610127012',6843,'226',57.03,1,3,NULL),(25,6246702,'1992-12-05 00:00:00',4,1,12,2009,'M','N','CENTRO','NOVA TRENTO','SC','124242241215373731456933575112130717057',8653,'109',50.06,1,3,NULL),(25,6246710,'1993-10-04 00:00:00',2,5,12,2010,'M','N','CENTRO','CRICIÚMA','SC','124241241115151431626614142125610114012',14789,'209',38.84,1,2,1),(25,6246729,'1994-01-29 00:00:00',2,7,12,2010,'F','N','VILA PEDRINI','JOAÇABA','SC','124242241215371431446632575122610128142',6599,'962',53.81,1,3,NULL),(25,6246737,'1987-04-22 00:00:00',4,8,12,2004,'F','N','CENTRO','CURITIBA','PR','116162161216471431465532474112241421121',NULL,'9998',40.89,1,3,NULL),(25,6246745,'1993-06-20 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242241215371431458613572124610134032',11213,'976',46.69,1,3,NULL),(25,6246753,'1994-06-09 00:00:00',4,1,12,2011,'M','S','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241217111421459811375122610167187',NULL,'884',41.61,1,3,NULL),(25,6246761,'1992-05-25 00:00:00',4,8,12,2009,'M','N','ICARAY','ARAÇATUBA','SP','125252251215471431568839282122610117082',14115,'9998',39.03,1,3,NULL),(25,6246770,'1977-08-06 00:00:00',2,1,12,1994,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243243446175721646373285124122234157',15107,'9997',43.53,2,1,2),(25,6246788,'1993-08-26 00:00:00',4,6,10,2010,'F','N','CENTRO','ITAJAÍ','SC','124242241214121431468932574112613241192',9567,'855',52.11,1,3,NULL),(25,6246796,'1992-06-22 00:00:00',4,8,11,2009,'F','N','BIGORRILHO','CURITIBA','PR','116122161215472711469914574114610166137',NULL,'9998',0.00,1,3,NULL),(25,6246818,'1993-07-23 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124241241215111431536419595112610167042',16633,'737',37.62,1,3,NULL),(25,6246834,'1992-07-07 00:00:00',4,1,12,2009,'F','N','CENTRO','MANDURI','SP','125251251116471411333823575114610133147',9019,'9998',47.89,1,2,1),(25,6246869,'1992-06-28 00:00:00',2,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116271431536411575114610126012',13906,'21',40.74,1,2,1),(25,6246877,'1988-06-30 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241115574751448923271124610124087',424,'306',78.23,1,3,NULL),(25,6246885,'1987-05-16 00:00:00',2,1,12,2007,'F','N','COSTA DA LAGOA','FLORIANÓPOLIS','SC','124241241127271431521314295125610124187',NULL,'282',18.03,1,2,1),(25,6246907,'1987-10-16 00:00:00',3,1,12,2004,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241211373431338613375124222226047',11917,'266',48.30,1,3,NULL),(25,6246915,'1991-01-07 00:00:00',2,1,12,2010,'M','N','VILA BECKER','STO AMARO IMPERATRIZ','SC','124243241215111411638829442224610125093',NULL,'1223',21.35,1,3,NULL),(25,6246931,'1991-05-13 00:00:00',2,1,11,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241214272751536619571114610128191',8261,'737',51.95,1,3,NULL),(25,6246940,'1993-07-28 00:00:00',4,8,12,2010,'M','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241136371431348614575122610164042',5775,'430',59.21,1,2,1),(25,6246958,'1993-06-25 00:00:00',2,1,12,2010,'M','N','BOA VISTA','ITUPORANGA','SC','124241241147111431439913385122610114145',17877,'416',34.25,4,2,1),(25,6246966,'1994-02-25 00:00:00',2,10,12,2010,'F','N','CENTRO','ARMAZÉM','SC','124243248315161711426632592121610132051',NULL,'950',0.00,3,3,NULL),(25,6246974,'1990-03-01 00:00:00',2,1,12,2009,'F','N','JARDIM AMERICA','ASSIS CHATEAUBRIAND','PR','516161161147371431323329395233610137157',NULL,'9998',23.14,1,2,1),(25,6246990,'1986-08-09 00:00:00',4,1,12,2003,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241337372721356823495122220767182',14402,'9997',44.58,1,3,NULL),(25,6247008,'1992-09-12 00:00:00',4,1,11,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215372431566932475124233224097',7134,'270',53.98,1,3,NULL),(25,6247016,'1993-07-30 00:00:00',4,1,11,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215111431458614575124610134115',14394,'1022',39.84,1,3,NULL),(25,6247024,'1991-06-17 00:00:00',2,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241315374431446313482124222336015',11719,'1022',48.58,4,3,NULL),(25,6247032,'1993-11-15 00:00:00',2,4,11,2010,'M','N','CENTRO','XAXIM','SC','124241241217111431448612572122610126012',2355,'836',65.59,1,3,NULL),(25,6247040,'1975-02-25 00:00:00',2,17,12,2000,'F','N','CENTRO','CANOINHAS','SC','124243243326141421223343435122331327122',NULL,'144',0.00,1,3,NULL),(25,6247059,'1992-05-31 00:00:00',4,8,12,2009,'F','N','AAHÚ','CURITIBA','PR','116162161216371431448731385114610132076',5425,'9998',56.38,1,3,NULL),(25,6247067,'1974-08-22 00:00:00',4,1,12,1992,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','224241243126134411533344182222610162023',11369,'542',46.39,1,2,1),(25,6247075,'1991-01-10 00:00:00',4,3,12,2008,'M','N','JARDIN SINUELO','ASTORGA','PR','116162161216511731536735585114310116052',15584,'9998',38.11,3,3,NULL),(25,6247083,'1981-07-23 00:00:00',4,1,12,2008,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124241241112273411423324445124123067182',17183,'307',40.32,1,2,1),(25,6247091,'1993-07-13 00:00:00',2,4,12,2010,'F','N','SÃO MIGUEL','PLANALTO','RS','120201201117131251322929185121610127077',NULL,'9998',29.96,1,3,NULL),(25,6247105,'1990-01-13 00:00:00',3,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216575731579814445122231017072',10258,'270',50.89,1,3,NULL),(25,6247113,'1992-01-18 00:00:00',2,1,11,2008,'F','N','CENTRO','MIRINZAL','MA','110101101316271411674912572122142633142',NULL,'9998',0.00,4,3,NULL),(25,6247121,'1994-05-26 00:00:00',4,6,12,2010,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242248216111711416612575121610116192',20390,'109',33.46,1,3,NULL),(25,6247130,'1993-04-19 00:00:00',4,8,12,2010,'F','N','VILA FLÓRIDA','GUARULHOS','SP','125253251215571441639921575224610135094',NULL,'9998',0.00,1,3,NULL),(25,6247148,'1993-08-05 00:00:00',4,8,12,2010,'F','N','JARDIM BRASIL','ARAÇATUBA','SP','125252251215111431436631575122610164192',14502,'9998',39.68,1,3,NULL),(25,6247156,'1987-12-02 00:00:00',4,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215132421466713445122331228092',16477,'270',41.42,1,3,NULL),(25,6247172,'1993-10-08 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124111241415131431525615256124610143181',12193,'868',44.49,4,3,NULL),(25,6247180,'1992-04-24 00:00:00',2,1,12,2010,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241248115111411446313185124610168045',NULL,'267',22.29,4,2,1),(25,6247199,'1993-04-14 00:00:00',2,1,12,2010,'F','N','SANTA CRUZ','ÁGUAS MORNAS','SC','124241241115371411424415275124610162142',18882,'978',32.11,1,2,1),(25,6247202,'1992-06-04 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241415372431554619292114610167062',5481,'1022',59.80,1,3,NULL),(25,6247210,'1994-02-19 00:00:00',2,6,11,2010,'F','N','RESSACADA','ITAJAÍ','SC','124242241215111431526821275122610125077',19727,'389',35.31,1,3,NULL),(25,6247229,'1993-06-27 00:00:00',2,10,11,2010,'F','N','SANTIAGO','LAGUNA','SC','124241241115271731535511175111613216142',NULL,'521',28.10,1,2,1),(25,6247237,'1992-12-26 00:00:00',2,5,11,2009,'F','N','CENTRO','NOVA VENEZA','SC','124242241215471431458833572114610123142',7803,'213',55.21,1,3,NULL),(25,6247245,'1992-01-15 00:00:00',2,9,11,2009,'M','N','CENTRO','S JOAQUIM','SC','124241241346372431436613275125610127042',17451,'942',37.57,1,3,NULL),(25,6247253,'1986-01-19 00:00:00',4,5,11,2004,'F','N','PINHEIRINHO','CRICIÚMA','SC','624241241147132421325554282224131924117',NULL,'228',0.00,1,2,1),(25,6247261,'1994-06-01 00:00:00',4,1,12,2011,'M','S','JARDIM ATLÂNTICO','S JOSÉ','SC','124242241217111421546632572112610133062',NULL,'270',47.78,1,3,NULL),(25,6247270,'1992-02-10 00:00:00',4,1,12,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215373431577712495122121264052',3173,'723',65.44,1,3,NULL),(25,6247288,'1991-02-06 00:00:00',4,8,12,2008,'F','N','IRIRIÚ','JOINVILLE','SC','124201241136371431326533385114610147045',10496,'470',50.48,1,2,1),(25,6247296,'1989-12-18 00:00:00',4,1,12,2007,'M','N','HIGIENOPOLIS','STA CRUZ SUL','RS','120202201217272431458734375125120222182',1116,'9998',73.32,1,3,NULL),(25,6247300,'1992-07-24 00:00:00',4,8,12,2009,'M','N','BOQUEIRÃO','CURITIBA','PR','116162161215471431569831575112610167047',10321,'9998',47.99,1,3,NULL),(25,6247318,'1992-08-07 00:00:00',4,1,12,2009,'M','N','TARUMÃ','VIAMÃO','RS','120202201217111311328913345112610114042',NULL,'9998',0.00,1,3,NULL),(25,6247326,'1991-03-19 00:00:00',4,1,10,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124252241215111611529969575124610126087',7592,'1169',52.66,1,3,NULL),(25,6247342,'1992-10-12 00:00:00',4,8,11,2010,'M','N','CENTRO','JOINVILLE','SC','124242241215271431455812575112610164047',NULL,'457',17.85,1,3,NULL),(25,6247350,'1992-12-12 00:00:00',2,1,12,2009,'F','N','BOM VIVER','BIGUAÇU','SC','124241241116572431436413575114610147147',17196,'66',36.14,1,2,1),(25,6247369,'1991-11-01 00:00:00',4,1,11,2009,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124242241217123431327814585124220768052',2162,'299',66.29,1,3,NULL),(25,6247377,'1992-03-05 00:00:00',4,1,12,2009,'M','N','CENTRO','CURITIBANOS','SC','124242241114473751432219592341610147181',5624,'239',57.00,1,3,NULL),(25,6247385,'1993-11-22 00:00:00',2,4,11,2010,'F','N','CEBTRO','S MIGUEL OESTE','SC','124242241214111411445612241125610142142',NULL,'752',0.00,1,3,NULL),(25,6247393,'1989-08-17 00:00:00',2,1,11,2006,'F','N','CENTRO','CASCAVEL','PR','116161161336571231555612371115610162187',NULL,'9998',0.00,3,3,NULL),(25,6247407,'1993-03-18 00:00:00',4,8,11,2010,'M','N','SÃO FRANCISCO','CURITIBA','PR','116162161216111431378931112122610134122',2268,'9998',67.24,1,3,NULL),(25,6247415,'1993-11-11 00:00:00',2,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215122431568911575122610124187',12465,'270',45.79,1,3,NULL),(25,6247423,'1992-11-06 00:00:00',4,1,12,2009,'F','N','INTERCAP','TABOÃO SERRA','SP','125256251217471431537813182114610162017',7055,'9998',53.56,1,3,NULL),(25,6247431,'1992-06-25 00:00:00',2,10,7,2009,'F','N','DEHON','TUBARÃO','SC','124241247316151431533912395122610112142',NULL,'9999',0.00,1,3,NULL),(25,6247440,'1990-09-01 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116122121215471431358823595124610145047',201,'9998',81.02,1,3,NULL),(25,6247458,'1994-06-24 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','120202201217151731659829575122610128192',17555,'9998',33.81,1,3,NULL),(25,6247474,'1993-04-17 00:00:00',2,1,12,2010,'F','N','CENTRO','CAMPINA LAGOA','PR','116161161216111431538811575122610126042',NULL,'9998',0.00,1,3,NULL),(25,6247520,'1987-08-31 00:00:00',4,1,12,2005,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215273431378833575124120962191',NULL,'270',0.00,1,3,NULL),(25,6247539,'1993-10-28 00:00:00',2,6,12,2010,'F','N','SOUZA CRUZ','BRUSQUE','SC','124242248215111431448639575122610122192',15796,'109',42.45,1,3,NULL),(25,6247547,'1994-04-12 00:00:00',4,4,12,2010,'F','N','CENTRO','PARAÍSO','SC','124241241116371431426612575124610117057',NULL,'604',31.72,1,2,1),(25,6247563,'1978-10-19 00:00:00',4,15,12,1996,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','224241241116131421334642425122610124055',NULL,'29',11.29,1,3,NULL),(25,6247571,'1990-08-28 00:00:00',2,1,12,2008,'M','N','BELA VISTA','PALHOÇA','SC','124241241135233431221623172122230222187',20746,'592',27.21,1,2,1),(25,6247580,'1994-04-14 00:00:00',4,1,12,2010,'M','N','BOA VISTA','CURITIBA','PR','116162161216111431449613571124610117047',NULL,'9998',0.00,1,3,NULL),(25,6247598,'1987-06-23 00:00:00',4,1,12,2006,'M','N','BOM VIVER','BIGUAÇU','SC','124241247326273431546417385122610127082',NULL,'66',0.00,1,3,NULL),(25,6247601,'1992-07-01 00:00:00',4,1,12,2009,'F','N','CIDADE UNIVERSITARIA','CAMPINAS','SP','125252251217471431468923575122610117042',NULL,'9998',0.00,1,3,NULL),(25,6247628,'1993-06-15 00:00:00',4,16,12,2010,'F','N','APARECIDA','CURITIBANOS','SC','124241241115471431226923495125610138147',NULL,'239',25.34,1,2,1),(25,6247636,'1993-12-03 00:00:00',2,1,11,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242241215162411347714345122610168072',NULL,'1050',25.14,2,1,2),(25,6247652,'1991-10-09 00:00:00',4,1,12,2008,'F','N','VILA AURORA','RONDONÓPOLIS','MT','125116111213572431668817575124610162097',1527,'9998',68.92,1,3,NULL),(25,6247695,'1991-11-15 00:00:00',4,1,12,2009,'F','N','CAMPUS DO CTA','S JOSÉ CAMPOS','SP','125251251117571431446613572122610134187',13184,'9998',41.45,4,2,1),(25,6247709,'1993-04-05 00:00:00',4,1,12,2010,'F','N','FLORESTA','S JOSÉ','SC','124241241112241332334614345122610135147',NULL,'734',17.19,1,2,1),(25,6247741,'1992-05-10 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124201241215313311343652345214610164072',19030,'724',36.89,1,3,NULL),(25,6247768,'1992-10-07 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241216312231446932575114610124077',11180,'270',45.41,1,3,NULL),(25,6247776,'1991-05-08 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124201201111574331166513342134610164187',NULL,'9998',21.49,1,2,1),(25,6247784,'1992-01-07 00:00:00',4,4,11,2008,'F','N','CENTRO','CASCAVEL','PR','116162111236571731459614572114610164147',7654,'9998',51.54,1,3,NULL),(25,6247806,'1994-11-01 00:00:00',4,1,12,2011,'F','S','JARDIM CARANDAÍ','BIGUAÇU','SC','124242241216111732563711575122610137142',NULL,'63',30.76,1,3,NULL),(25,6247814,'1993-07-18 00:00:00',4,4,12,2010,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241417471431234629575122610168057',9138,'1193',49.68,1,3,NULL),(25,6247822,'1992-04-22 00:00:00',4,1,12,2009,'M','N','CIRO NARDI','CASCAVEL','PR','116162161217471451479931575122610164187',NULL,'9998',0.00,1,3,NULL),(25,6247830,'1991-10-27 00:00:00',1,1,11,2010,'M','N','SANTA LÚCIA','BELO HORIZONTE','MG','113132131416271441558939572114610164051',NULL,'9998',NULL,4,3,NULL),(25,6247849,'1988-01-14 00:00:00',4,16,2,2006,'M','N','SAO LUIZ','CURITIBANOS','SC','124241167317131441223349315122230264097',NULL,'239',0.00,1,3,NULL),(25,6247857,'1987-04-13 00:00:00',2,17,11,2004,'F','N','CHAPADA','PNT GROSSA','PR','116161161136151431523312275122341335157',NULL,'9998',47.16,1,2,1),(25,6247865,'1992-05-20 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215271751353612595125610144112',12165,'9997',47.89,1,3,NULL),(25,6247873,'1993-04-20 00:00:00',4,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241215131731444614342224610126182',11346,'868',46.25,1,3,NULL),(25,6247881,'1991-10-01 00:00:00',4,1,7,2010,'F','N','VITORIA','SALVADOR','BA','105052051237271431268822575122610127042',4391,'9998',62.30,1,3,NULL),(25,6247890,'1992-04-21 00:00:00',4,1,12,2009,'M','N','BAIRRO IPIRANGA','S JOSÉ','SC','124242241215472431346813572122610122092',3500,'738',62.97,1,3,NULL),(25,6247911,'1993-08-01 00:00:00',2,8,11,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','124241248215111432326614192122610162045',NULL,'1016',0.00,1,3,NULL),(25,6247920,'1994-02-16 00:00:00',4,1,12,2010,'F','N','CENTRO','GAROPABA','SC','124241241145161231422532182122610133092',NULL,'322',25.76,1,2,1),(25,6247938,'1991-01-12 00:00:00',4,8,12,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215144431448812572122231537117',16599,'1063',41.24,1,3,NULL),(25,6247946,'1993-01-30 00:00:00',2,1,11,2010,'F','N','CENTRO','AGRONÔMICA','SC','124241241216131431333434345124610138051',14768,'653',39.10,1,3,NULL),(25,6247954,'1993-11-25 00:00:00',2,4,11,2010,'F','N','CENTRO','S JORGE D OESTE','PR','116161161216121431433933575122610133197',13027,'9998',42.12,4,3,NULL),(25,6247962,'1992-10-22 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431239923572122610124012',10902,'270',46.27,1,3,NULL),(25,6247970,'1992-03-21 00:00:00',4,2,11,2009,'M','N','CENTRO','RIO OESTE','SC','124241241215273431323619572124610127187',14143,'991',40.88,1,3,NULL),(25,6247989,'1993-07-04 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215131231638624572124610137011',13909,'1169',45.31,1,3,NULL),(25,6247997,'1993-06-14 00:00:00',2,1,12,2010,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124242241215111231426614575114610135072',12392,'1022',43.76,1,3,NULL),(25,6248004,'1993-07-04 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215211731349512425124610144072',18489,'262',37.94,1,3,NULL),(25,6248020,'1982-08-26 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124203247146372421233352385124610153147',17026,'9999',40.58,2,3,NULL),(25,6248047,'1971-07-29 00:00:00',4,1,12,1989,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124204201217371411338419481124140827097',15218,'9998',39.79,1,3,NULL),(25,6248055,'1991-09-25 00:00:00',4,8,12,2009,'F','N','JARDIM VIRGÍNIA','MARÍLIA','SP','125252251215471411338511575122610144147',13635,'9998',41.35,1,3,NULL),(25,6248063,'1993-06-02 00:00:00',4,1,12,2010,'M','N','CENTRO','GUARAPUAVA','PR','116163161317321431457923575112610167052',15138,'9998',37.68,1,3,NULL),(25,6248071,'1989-07-23 00:00:00',4,1,6,2008,'M','N','CHACARA BELVEDERE','INDAIATUBA','SP','125254281417571751586832595112610168176',NULL,'9998',0.00,4,3,NULL),(25,6248080,'1993-10-04 00:00:00',2,1,12,2010,'M','N','SÃO PEDRO','PTO UNIÃO','SC','124241241117471421368933286121610168162',20945,'635',30.55,1,3,NULL),(25,6248098,'1989-02-13 00:00:00',4,1,12,2007,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241117371431448614342114610118182',NULL,'257',0.00,1,2,1),(25,6248101,'1994-03-10 00:00:00',4,1,12,2010,'F','N','TARUMÃ','VIAMÃO','RS','120202201217111311338823575112610114182',NULL,'9998',0.00,1,3,NULL),(25,6248110,'1988-07-12 00:00:00',2,15,12,2005,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241115131731213321182221610152177',NULL,'29',15.39,1,2,1),(25,6248136,'1990-08-09 00:00:00',2,1,12,2010,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241248115131431638613235224610147052',15738,'322',37.01,1,2,1),(25,6248152,'1992-11-27 00:00:00',2,17,10,2009,'M','N','CENTRO','RIO NEGRO','PR','116162164211472411486422572122610117012',16277,'9998',36.10,1,3,NULL),(25,6248160,'1991-09-29 00:00:00',2,1,12,2009,'M','N','DONA WANDA','S JOSÉ','SC','124241241135371431427379495324610167047',NULL,'9997',12.52,2,1,1),(25,6248179,'1993-10-20 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124203241137151411459632275112610144047',NULL,'257',28.29,1,3,NULL),(25,6248187,'1990-01-04 00:00:00',4,8,11,2007,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241216572441479812444122610162142',1166,'457',72.00,1,3,NULL),(25,6248195,'1993-04-27 00:00:00',2,1,12,2010,'F','N','PRAIA MOLE','FLORIANÓPOLIS','SC','124241241117371731526614295224610134197',14470,'307',39.82,1,2,1),(25,6248209,'1982-08-02 00:00:00',2,1,12,2000,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117133721666313232134610167112',15765,'281',39.15,1,2,1),(25,6248225,'1993-04-20 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217121431327813575124610112197',5604,'270',59.55,1,3,NULL),(25,6248233,'1990-06-21 00:00:00',4,6,12,2007,'F','N','SANTA TERESINHA','BRUSQUE','SC','124241241116132431325544345123232533117',NULL,'116',18.85,1,2,1),(25,6248241,'1992-12-10 00:00:00',4,4,11,2009,'M','N','CENTRO','CASCAVEL','PR','116162161216112731488812585112610167042',9061,'9998',49.92,1,3,NULL),(25,6248250,'1993-04-14 00:00:00',2,5,11,2010,'F','N','CENTRO','MRO FUMAÇA','SC','124242241215111431445512472112610137051',19541,'226',35.71,1,3,NULL),(25,6248268,'1993-03-30 00:00:00',4,9,12,2010,'F','N','CORAL','LAGES','SC','124242241215111431569819372112610133142',6451,'1207',54.88,1,3,NULL),(25,6248276,'1993-08-28 00:00:00',4,1,12,2010,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241312371431423611175224610118091',21218,'592',29.96,1,3,NULL),(25,6248284,'1993-02-25 00:00:00',4,1,12,2010,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241415111431226629496114610161052',NULL,'9997',27.15,1,3,NULL),(25,6248306,'1993-01-21 00:00:00',5,4,12,2009,'F','N','INTERIOR','QUILOMBO','SC','124241241117161431323335572114610123142',NULL,'648',20.27,1,2,1),(25,6248314,'1990-02-21 00:00:00',4,1,12,2007,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124281283117131431225554345124610121197',19696,'9998',35.37,1,3,NULL),(25,6248322,'1988-01-10 00:00:00',2,17,12,2004,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116243241311272711328949395124133264057',7183,'146',54.21,1,3,NULL),(25,6248357,'1992-05-07 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242247227121431446923342324610147187',NULL,'9999',NULL,1,3,NULL),(25,6248373,'1993-04-03 00:00:00',2,1,12,2010,'M','N','SANTA CATARINA','CAÇADOR','SC','124242247211131531436634575112610167047',19035,'120',36.88,1,3,NULL),(25,6248381,'1993-04-03 00:00:00',2,5,12,2010,'F','N','MORRO ESTEVÃO','CRICIÚMA','SC','124243246416112711433319195124610128012',19566,'995',35.65,1,3,NULL),(25,6248390,'1993-12-15 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217131451249922575124610138115',NULL,'270',28.34,1,3,NULL),(25,6248403,'1994-09-14 00:00:00',4,1,11,2011,'M','S','BARREIROS','S JOSÉ','SC','124242248211111732526774375122610137112',NULL,'1078',15.94,1,3,NULL),(25,6248420,'1992-03-05 00:00:00',4,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124243241216272431447711345122610132157',18722,'1119',37.51,1,3,NULL),(25,6248438,'1992-01-08 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247237151432236823275112610114187',NULL,'270',18.92,1,3,NULL),(25,6248446,'1990-07-11 00:00:00',4,6,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215471431458914592125130434112',13651,'1017',40.89,1,3,NULL),(25,6248454,'1989-11-16 00:00:00',4,5,11,2006,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215372431448711572122131467012',4027,'226',63.19,4,3,NULL),(25,6248462,'1989-05-11 00:00:00',4,1,12,2010,'M','N','IPIRANGA','S JOSÉ','SC','124241247127131431326624442114610112042',NULL,'9999',0.00,1,3,NULL),(25,6248470,'1993-10-27 00:00:00',2,10,12,2010,'M','N','MORRO DO MIRIM','IMBITUBA','SC','124241241117371431635619376111610145112',19937,'1034',34.76,1,2,1),(25,6248489,'1993-09-10 00:00:00',4,8,12,2010,'M','N','CENTRO','COLOMBO','PR','116162161217471431448632275122610167062',6385,'9998',52.76,1,3,NULL),(25,6248497,'1976-02-04 00:00:00',2,1,12,1993,'M','N','REAL PARQUE','S JOSÉ','SC','224241241126135751443343232134120867097',18444,'284',38.04,1,2,1),(25,6248500,'1993-04-17 00:00:00',2,1,12,2009,'M','N','CENTRO','ILHOTA','SC','124241241117131431434723132121231247047',17919,'354',35.44,1,2,1),(25,6248519,'1991-10-06 00:00:00',2,1,11,2009,'F','N','IPIRANGA','S JOSÉ','SC','124243241127471731336624345334610124147',19955,'734',29.72,1,3,NULL),(25,6248527,'1985-05-20 00:00:00',2,3,12,2002,'M','N','CENTRO','ITAPORÃ','MS','112121121417131431126648482324143262052',13837,'9998',45.42,1,3,NULL),(25,6248535,'1993-07-07 00:00:00',4,1,12,2010,'F','N','CENTRO','MTE APRAZÍVEL','SP','125252251215111411468811571122610164197',3464,'9998',61.82,1,3,NULL),(25,6248543,'1993-11-12 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241215111431323829392234610138142',NULL,'724',14.18,1,3,NULL),(25,6248560,'1989-10-07 00:00:00',2,1,12,2006,'F','N','AREIAS DE CIMA','GOV CELSO RAMOS','SC','124241241147371431323518385234610127047',19239,'329',31.62,1,3,NULL),(25,6248578,'1994-08-12 00:00:00',4,1,12,2011,'F','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217111751368813575122610143182',NULL,'270',54.85,1,3,NULL),(25,6248594,'1987-01-03 00:00:00',4,1,12,2004,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124182211217171231226629485124610168192',NULL,'9998',26.65,1,3,NULL),(25,6248608,'1993-02-25 00:00:00',4,5,11,2010,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124243241215111731429619582222610143073',18893,'226',37.14,1,3,NULL),(25,6248616,'1991-03-29 00:00:00',2,8,12,2008,'F','N','GLÓRIA','JOINVILLE','SC','124244241215133411238612572124121864017',9293,'1063',52.52,1,3,NULL),(25,6248632,'1993-02-06 00:00:00',2,1,12,2010,'M','N','ORLEANS','CURITIBA','PR','116161161117131331433834295124610162117',NULL,'9998',28.66,4,2,1),(25,6248640,'1991-05-22 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241415574411433811442314610142042',11838,'1022',44.60,4,3,NULL),(25,6248659,'1991-06-26 00:00:00',2,16,12,2008,'M','N','CENTRO','CURITIBANOS','SC','124241241115331142456513145112610122145',NULL,'239',0.00,1,2,1),(25,6248667,'1992-11-16 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241215272731228644145124610136057',NULL,'272',26.91,1,3,NULL),(25,6248675,'1988-08-27 00:00:00',2,1,12,2006,'M','N','LEBLON','RIO JANEIRO','RJ','121212211216153411487914575115141467092',3348,'9998',64.02,1,3,NULL),(25,6248683,'1975-06-20 00:00:00',2,1,12,1999,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241245111344731126544442124610127052',NULL,'307',36.05,1,3,NULL),(25,6248691,'1993-09-07 00:00:00',4,5,11,2010,'M','N','CENTRO','ORLEANS','SC','124242241215111411445812225122610164062',17436,'226',39.86,1,3,NULL),(25,6248713,'1988-07-22 00:00:00',2,1,12,2005,'F','N','VARGEM GRANDE','ÁGUAS MORNAS','SC','224241241116373731224354332334610137057',10100,'772',47.89,1,2,1),(25,6248730,'1991-05-06 00:00:00',2,1,12,2009,'F','N','CANTO DOS ARAÇÁS','FLORIANÓPOLIS','SC','124243241216472432269913585124610121183',12755,'883',44.20,1,3,NULL),(25,6248748,'1981-09-27 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161241147273441124319295234610146197',18320,'292',32.55,4,2,1),(25,6248756,'1992-01-29 00:00:00',4,3,12,2010,'F','N','BOMBAS','BOMBINHAS','SC','124282241214121432325869575124610147042',14629,'407',40.63,3,3,NULL),(25,6248764,'1993-06-29 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215211431255812575112610126047',NULL,'44',23.96,1,3,NULL),(25,6248772,'1993-10-26 00:00:00',2,1,12,2011,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216121421287829375124610167147',NULL,'951',36.36,1,3,NULL),(25,6248780,'1992-01-11 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124244241215372431444434245123610124195',10540,'1078',46.45,1,3,NULL),(25,6248799,'1992-01-03 00:00:00',4,1,12,2009,'F','N','SANTANA','S PAULO','SP','125252251215112431569814575125610124147',1856,'9998',68.65,1,3,NULL),(25,6248802,'1991-12-05 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215472732436631595124610167072',14031,'1198',40.42,1,3,NULL),(25,6248810,'1992-12-14 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431478811474122610164142',255,'270',80.30,1,3,NULL),(25,6248829,'1993-05-03 00:00:00',2,10,11,2010,'M','N','CAMPO DE FORA','LAGUNA','SC','124242241217151431556932575121610127042',2629,'525',64.58,1,3,NULL),(25,6248845,'1988-03-29 00:00:00',2,1,6,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241127532231526629275124610127042',19288,'922',36.31,1,2,1),(25,6248853,'1985-08-18 00:00:00',2,1,12,2003,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241161121211431326549391124142734187',NULL,'9998',0.00,1,3,NULL),(25,6248870,'1993-07-28 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431359812572114610117072',3174,'270',64.81,1,3,NULL),(25,6248888,'1993-12-16 00:00:00',4,1,11,2010,'F','N','FLORESTA','S JOSÉ','SC','124244241215111431358612572124610137063',13641,'1022',41.79,3,3,NULL),(25,6248896,'1992-12-22 00:00:00',2,4,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116161161415121231243316575112610124192',16784,'9998',35.71,1,3,NULL),(25,6248900,'1988-03-27 00:00:00',4,8,12,2005,'M','N','NOVA BRASÍLIA','JOINVILLE','SC','124242246216271722336814445112333222197',NULL,'494',25.85,1,3,NULL),(25,6248918,'1971-06-21 00:00:00',4,1,12,1989,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241123374721233349283213122314117',16339,'298',41.64,1,3,NULL),(25,6248926,'1994-06-07 00:00:00',4,1,11,2011,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124242241217151431357817135112610151182',NULL,'262',63.42,4,3,NULL),(25,6248934,'1978-10-24 00:00:00',4,1,12,1994,'M','N','IPIRANGA','S JOSÉ','SC','224242241237142411428744245122230226041',16773,'1169',40.97,1,3,NULL),(25,6248942,'1993-05-10 00:00:00',4,15,12,2010,'F','N','CEDRO','MARACAJÁ','SC','124241241111161441424415575122610115142',19430,'550',32.46,1,2,1),(25,6248950,'1991-09-06 00:00:00',2,4,12,2008,'F','N','CENTRO','PASSO FUNDO','RS','120242201217571431559911572124610128187',6872,'9998',52.51,1,3,NULL),(25,6248977,'1988-07-25 00:00:00',2,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124161161117271431226619385114610124142',17331,'9998',40.05,1,2,1),(25,6248985,'1990-10-12 00:00:00',4,1,12,2007,'F','N','BELA VISTA','S JOAQUIM','SC','124241241136131731623377345135610138187',NULL,'719',17.85,3,2,1),(25,6248993,'1992-09-16 00:00:00',2,8,12,2010,'M','N','CENTRO','COLOMBO','PR','116164161416421431325812275124610117123',NULL,'9998',0.00,1,3,NULL),(25,6249000,'1989-06-01 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116473411434629495124232034042',18308,'298',38.27,1,2,1),(25,6249019,'1983-08-29 00:00:00',4,1,12,2002,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241137131411433334481324131416051',20007,'298',34.55,4,2,1),(25,6249027,'1992-05-31 00:00:00',4,1,11,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124022021217372441136923575124610164112',4086,'9998',61.53,4,3,NULL),(25,6249035,'1993-12-05 00:00:00',2,5,11,2010,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124244241215112431326521275225610124147',8027,'226',51.89,4,3,NULL),(25,6249051,'1994-07-26 00:00:00',4,1,12,2011,'F','S','CENTRO','ALFREDO WAGNER','SC','124241241146161751538832595122610138142',NULL,'13',35.48,1,3,NULL),(25,6249060,'1983-04-27 00:00:00',4,1,12,2000,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241146154711234343432124120267147',NULL,'209',44.18,1,2,1),(25,6249078,'1992-08-28 00:00:00',4,1,12,2009,'F','N','AGUAS CLARAS','TAGUATINGA','DF','107232071216371431479833575115610134197',16405,'9998',41.56,1,3,NULL),(25,6249086,'1992-02-14 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215572431458814575112610167042',6326,'1038',55.17,1,3,NULL),(25,6249094,'1993-07-02 00:00:00',2,10,11,2010,'F','N','COLONINHA','BRAÇO NORTE','SC','124243241216161431446834572122610127057',12047,'102',44.10,1,3,NULL),(25,6249108,'1982-01-12 00:00:00',4,8,12,1999,'M','N','AMÉRICA','JOINVILLE','SC','124242241216372431366639415122332627052',NULL,'494',0.00,1,3,NULL),(25,6249116,'1992-03-30 00:00:00',2,4,12,2009,'F','N','PASSO FORTES','CHAPECÓ','SC','124251251212371411444933575124610134197',6640,'9998',54.80,1,3,NULL),(25,6249159,'1989-05-14 00:00:00',4,1,7,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242247216573431238821395124230227062',19113,'9999',33.00,2,1,2),(25,6249167,'1991-10-04 00:00:00',4,1,12,2009,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215472531378811575114610162047',NULL,'270',23.81,1,3,NULL),(25,6249175,'1990-04-25 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241416573431447612271112130237042',2526,'806',67.40,1,3,NULL),(25,6249183,'1991-05-08 00:00:00',2,16,12,2008,'F','N','CENTRO','STA ISABEL IVAÍ','PR','116162161215575431557716585114610132077',7864,'9998',50.98,4,3,NULL),(25,6249191,'1993-06-16 00:00:00',4,8,12,2010,'F','N','IRIRIU','JOINVILLE','SC','124242241215111431539832572122610134122',18034,'457',38.78,1,3,NULL),(25,6249205,'1992-02-29 00:00:00',4,8,12,2010,'M','N','DOM BOSCO','BELO HORIZONTE','MG','113131131116131441426913571121610124182',NULL,'9998',0.00,1,2,1),(25,6249213,'1990-03-17 00:00:00',4,2,11,2007,'M','N','VELHA','BLUMENAU','SC','124241241117272741426414285124610112157',8305,'73',50.70,1,2,1),(25,6249221,'1993-03-14 00:00:00',4,2,12,2010,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215321431458911574122610163182',8485,'107',49.95,1,3,NULL),(25,6249230,'1990-02-25 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251211575431228823571144221734142',16608,'9998',41.23,1,3,NULL),(25,6249248,'1992-10-02 00:00:00',4,1,12,2010,'M','N','JUNDIAÍ MIRIM','JUNDIAÍ','SP','125252251216111431549931575122610167043',11245,'9998',44.61,1,3,NULL),(25,6249256,'1988-03-07 00:00:00',4,1,12,2005,'M','N','KOBRASOL','S JOSÉ','SC','124242241215512431268814595122130617047',8665,'270',53.66,1,3,NULL),(25,6249264,'1989-08-21 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215373731558823342124610127062',NULL,'9997',23.22,2,1,2),(25,6249272,'1987-12-05 00:00:00',4,1,12,2005,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217575731469633575114610166187',193,'269',81.16,3,3,NULL),(25,6249310,'1991-12-12 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241116273431323324271124610122097',12531,'288',44.57,1,2,1),(25,6249329,'1990-12-19 00:00:00',2,8,12,2009,'M','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241121271431523314244123610126091',NULL,'1101',0.00,1,2,1),(25,6249337,'1992-01-16 00:00:00',2,15,12,2010,'F','N','ALTO FELIZ','ARARANGUÁ','SC','124244241215121431459641472212610166195',NULL,'970',23.95,1,3,NULL),(25,6249345,'1989-12-13 00:00:00',4,8,12,2007,'F','N','CUMBICA','GUARULHOS','SP','125192251217571431358613591225610164147',2798,'9998',64.51,1,3,NULL),(25,6249353,'1992-09-20 00:00:00',4,1,11,2010,'F','N','SUMARÉ','RIO SUL','SC','124244241215421431446911575122610133077',NULL,'9999',0.00,4,3,NULL),(25,6249370,'1993-11-12 00:00:00',4,1,11,2011,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241217111431353412572124610162042',NULL,'270',40.18,1,3,NULL),(25,6249388,'1992-10-23 00:00:00',4,3,12,2009,'F','N','ALPHAVILLE','PINHAIS','PR','116162161215412431468832225122610134047',1937,'9998',69.51,1,3,NULL),(25,6249396,'1991-06-14 00:00:00',2,1,8,2010,'M','N','VILA NOVA','IMBITUBA','SC','124241248117371331333823292324610163147',16433,'306',37.08,1,2,1),(25,6249400,'1993-06-10 00:00:00',2,16,12,2010,'M','N','BOSQUE','CURITIBANOS','SC','124242248216112231324614592125610167045',12434,'881',43.84,1,3,NULL),(25,6249418,'1992-08-14 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215372431546632471112610127042',9197,'1038',52.70,1,3,NULL),(25,6249426,'1990-10-20 00:00:00',2,1,12,2007,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241217144421446624341124610127052',NULL,'262',0.00,1,3,NULL),(25,6249442,'1989-08-17 00:00:00',4,3,12,2006,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215473431458834475122120324047',6017,'1038',55.57,1,3,NULL),(25,6249469,'1978-10-11 00:00:00',2,1,12,2000,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','224241241127373411323344242234610166147',12327,'289',43.52,1,2,1),(25,6249477,'1991-01-09 00:00:00',2,4,12,2008,'F','N','ZONA RURAL','ERVAL GRANDE','RS','120201201117131732526336566312610127057',18143,'9998',33.10,1,2,1),(25,6249493,'1991-04-11 00:00:00',4,1,12,2008,'F','N','VILA MOEMA','TUBARÃO','SC','124244241215573431456819272125610125077',NULL,'797',40.48,1,3,NULL),(25,6249507,'1994-09-01 00:00:00',4,1,12,2011,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241216121431379832595124610126172',NULL,'270',39.54,1,3,NULL),(25,6249515,'1993-03-03 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215371731446619595124610148182',17815,'1010',36.00,1,3,NULL),(25,6249523,'1971-06-03 00:00:00',4,8,12,1988,'M','N','PARQUE GUARANI','JOINVILLE','SC','124164161217165731627923483335141536187',NULL,'9998',0.00,1,3,NULL),(25,6249531,'1992-04-07 00:00:00',4,1,6,2010,'F','N','ALTO DO PARI','S PAULO','SP','125252281417271431587912575124610123047',2663,'9998',65.12,1,3,NULL),(25,6249540,'1991-11-23 00:00:00',4,1,11,2009,'F','N','PINHEIROS','S PAULO','SP','125252251217371441246819272114610143047',9528,'9998',47.85,1,3,NULL),(25,6249558,'1974-04-16 00:00:00',4,1,12,1991,'F','N','CRISTO REI','CURITIBA','PR','516161161316131731115849395124240221187',NULL,'9998',29.43,1,3,NULL),(25,6249566,'1987-10-01 00:00:00',2,1,12,2004,'F','N','BARREIROS','S JOSÉ','SC','124241241117131732223344345334610164147',19903,'598',34.87,1,2,1),(25,6249574,'1991-09-02 00:00:00',2,1,12,2008,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241125573411428624385124610133062',9183,'291',50.61,1,2,1),(25,6249582,'1992-04-23 00:00:00',4,1,12,2009,'M','N','JARDIM PAULISTA','S PAULO','SP','125252258216471421568831575125610127052',NULL,'9998',0.00,3,3,NULL),(25,6249590,'1992-09-26 00:00:00',2,1,12,2009,'M','N','CANASVIERAS','FLORIANÓPOLIS','SC','116163161217372521326324442224610124042',10148,'9998',46.28,1,3,NULL),(25,6249604,'1993-04-23 00:00:00',2,1,11,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215151331479913581124610127042',19447,'951',30.34,1,3,NULL),(25,6249612,'1985-05-05 00:00:00',2,1,12,2003,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241127472441238719111224130257117',17541,'307',39.67,1,3,NULL),(25,6249639,'1992-06-03 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241211472411423331372114610122145',19734,'988',35.29,1,3,NULL),(25,6249647,'1989-06-12 00:00:00',4,8,12,2006,'M','N','GUANABARA','JOINVILLE','SC','124241246116271432426644145234610128177',8327,'521',50.06,1,2,1),(25,6249655,'1992-01-11 00:00:00',2,4,12,2009,'M','N','CENTRO','PASSOS MAIA','SC','124241241147131431534913572112610164147',18240,'606',33.64,1,2,1),(25,6249663,'1991-10-26 00:00:00',4,8,12,2009,'F','N','FLORESTA','JOINVILLE','SC','124242241215472411634812471221610137072',4872,'1016',58.84,1,3,NULL),(25,6249671,'1993-09-07 00:00:00',4,4,11,2010,'F','N','SÃO CRRISTÓVÃO','CHAPECÓ','SC','124242241215371431455312392122610142092',13439,'185',40.10,1,3,NULL),(25,6249680,'1993-08-05 00:00:00',2,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111231467831572122610136161',NULL,'270',57.22,1,3,NULL),(25,6249698,'1986-10-01 00:00:00',4,1,12,2004,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241214155411426734481124221464062',1872,'270',69.78,1,3,NULL),(25,6249701,'1988-01-25 00:00:00',4,1,12,2006,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241435212131428611495114610167115',NULL,'1022',18.41,1,3,NULL),(25,6249710,'1993-08-09 00:00:00',4,8,12,2010,'F','N','BACACHERI','CURITIBA','PR','116162161215111411358813576122610142162',11314,'9998',44.39,1,3,NULL),(25,6249736,'1992-03-03 00:00:00',4,3,12,2009,'F','N','CENTRO','APUCARANA','PR','116162161216473431457812572122610132017',6300,'9998',55.79,1,3,NULL),(25,6249744,'1990-09-12 00:00:00',2,1,12,2008,'F','N','JARDIM AQUARIUS','PALHOÇA','SC','124242241215573431536951572124610143192',NULL,'1022',25.81,2,1,2),(25,6249752,'1991-06-12 00:00:00',2,1,11,2008,'F','N','GRAMA','GAROPABA','SC','124242241215574211546632575112610112092',12861,'807',45.97,1,3,NULL),(25,6249760,'1981-09-15 00:00:00',4,1,11,2008,'M','N','ROÇADO','S JOSÉ','SC','124241247121331711523344142134610116067',20621,'9999',32.67,1,2,1),(25,6249787,'1993-07-13 00:00:00',4,8,11,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241217121431388814575115610132147',NULL,'1063',0.00,1,3,NULL),(25,6249795,'1993-03-11 00:00:00',2,3,12,2010,'M','N','MONTE ALEGRE','CAMBORIÚ','SC','124244241414271431433312275122610127042',21415,'51',28.69,1,3,NULL),(25,6249809,'1985-09-07 00:00:00',4,3,12,2002,'M','N','DOS ESTADOS','BAL CAMBORIÚ','SC','124241241126152741428444245135131034047',NULL,'49',30.67,1,2,1),(25,6249817,'1994-02-28 00:00:00',4,1,11,2010,'F','N','LIBRA','FOZ IGUAÇU','PR','116162161216121711348811576122610163057',NULL,'9998',20.25,1,3,NULL),(25,6249825,'1993-11-16 00:00:00',4,1,12,2010,'M','N','PONTE IMARUIM','PALHOÇA','SC','124242241216111431426739595124610117097',8892,'1010',49.82,1,3,NULL),(25,6249833,'1991-05-28 00:00:00',4,1,12,2008,'F','N','SANTANA','S JOSÉ CAMPOS','SP','125252256212371431466823582112610123092',NULL,'459',30.61,1,3,NULL),(25,6249841,'1993-10-18 00:00:00',4,6,11,2010,'M','N','CENTRO','ITAJAÍ','SC','124242241217371431457812572125610127182',2827,'394',65.50,1,3,NULL),(25,6249850,'1991-05-19 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217132431458914441135231467187',20375,'270',33.49,1,3,NULL),(25,6249868,'1990-12-20 00:00:00',2,1,12,2010,'F','N','ZONA','MARINGÁ','PR','116113161347111731233336275124610127077',NULL,'9998',14.30,1,3,NULL),(25,6249892,'1981-11-21 00:00:00',4,1,12,1998,'F','N','BOM RETIRO','JOINVILLE','SC','124242241216152421126612432122540964182',8636,'9997',53.71,1,3,NULL),(25,6249906,'1993-11-04 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124054241116231431228829395324610164187',5812,'295',56.48,1,3,NULL),(25,6249922,'1972-07-27 00:00:00',2,1,11,1995,'F','N','JARDIM JANAINA','BIGUAÇU','SC','624241241121131431423329292314132717057',NULL,'307',15.55,1,2,1),(25,6249930,'1989-02-27 00:00:00',4,1,12,2005,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124201201137372431238623385124131436172',NULL,'9998',54.92,4,2,1),(25,6249949,'1992-12-09 00:00:00',4,7,11,2010,'M','N','CENTRO','FRAIBURGO','SC','124242241215111431225624575121610124017',20950,'317',26.27,1,3,NULL),(25,6249973,'1993-04-27 00:00:00',4,3,11,2009,'F','N','TABOLEIRO','ITAPEMA','SC','124241241215473431536712271122610124142',5281,'407',57.33,1,3,NULL),(25,6249981,'1990-05-16 00:00:00',4,1,12,2007,'M','N','CENTRO','TIMBÓ','SC','124242241215373431338313382124131424072',2972,'855',65.29,1,3,NULL),(25,6249990,'1968-11-03 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224161165222131132241153172114142716187',NULL,'9998',7.13,1,3,NULL),(25,6250009,'1988-01-02 00:00:00',2,1,12,2005,'M','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124242241116374431477412375113130847062',4905,'739',58.57,1,3,NULL),(25,6250017,'1988-07-08 00:00:00',4,1,12,2005,'M','N','BARREIROS','S JOSÉ','SC','124242241217132441323319212344610126097',19010,'1022',36.92,1,3,NULL),(25,6250025,'1992-06-29 00:00:00',2,8,11,2010,'M','N','BOA VISTA','JOINVILLE','SC','124244241231111631333933331114610147017',NULL,'1016',27.47,1,3,NULL),(25,6250033,'1980-11-19 00:00:00',2,1,12,1998,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241243426375431123344245124131432142',15995,'190',37.47,1,3,NULL),(25,6250041,'1993-11-10 00:00:00',2,1,12,2010,'F','N','VILA APARECIDA','FLORIANÓPOLIS','SC','124241241116371431426321372224610141197',NULL,'292',23.57,4,2,1),(25,6250050,'1993-02-07 00:00:00',4,4,12,2009,'F','N','CENTRO','SALTO LONTRA','PR','116161161116131431523515382111610136147',NULL,'9998',0.00,1,2,1),(25,6250068,'1992-05-31 00:00:00',2,1,11,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124252251237471421446811575124610167055',12367,'9998',43.44,1,3,NULL),(25,6250076,'1993-05-11 00:00:00',4,4,7,2010,'F','N','PALMITAL','CHAPECÓ','SC','124242281415371431468811312122610162142',15025,'9998',38.48,1,3,NULL),(25,6250084,'1992-12-04 00:00:00',4,1,12,2010,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251215111431468832425122610133127',NULL,'9998',0.00,1,3,NULL),(25,6250092,'1993-04-01 00:00:00',4,1,12,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241217112411378832375122610161117',15042,'270',43.61,1,3,NULL),(25,6250106,'1991-06-12 00:00:00',2,4,12,2009,'F','N','JOÃO BATISTA TONIAL','XANXERÊ','SC','124244248237111431326728172112610167147',NULL,'836',23.07,1,3,NULL),(25,6250114,'1992-06-08 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124243241415472431226679385114610126177',15169,'734',41.61,1,3,NULL),(25,6250122,'1993-04-16 00:00:00',4,8,11,2010,'M','N','VILA LALAU','JARAGUÁ SUL','SC','124242241215131441468314575121610167067',15595,'1174',36.29,1,3,NULL),(25,6250149,'1983-06-08 00:00:00',4,3,11,2001,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241126131441336571245122331964092',NULL,'49',0.00,1,2,1),(25,6250173,'1991-12-31 00:00:00',4,1,12,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241525141421228624342334610147067',NULL,'1097',33.00,2,1,2),(25,6250181,'1992-06-09 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241216373751434634345112610166192',NULL,'403',0.00,1,3,NULL),(25,6250190,'1984-02-05 00:00:00',4,1,6,2002,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243246117274431667833245124220717012',6081,'303',58.55,1,3,NULL),(25,6250203,'1993-12-09 00:00:00',2,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241117471431466613472122610163145',7721,'739',51.76,1,3,NULL),(25,6250211,'1993-04-03 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124244241416371431437414575124610135187',NULL,'1118',0.00,1,3,NULL),(25,6250238,'1993-06-07 00:00:00',4,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215121431448834575122610167042',5618,'226',55.44,1,3,NULL),(25,6250246,'1992-12-03 00:00:00',4,1,11,2010,'M','N','CACUPE','FLORIANÓPOLIS','SC','124242241215121131488711572112610117042',11623,'270',48.71,1,3,NULL),(25,6250254,'1980-05-28 00:00:00',4,1,12,1997,'M','N','BARREIROS','S JOSÉ','SC','124244241216152711264823445122331012177',15947,'738',42.22,1,3,NULL),(25,6250262,'1992-04-26 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241217421431536613245124613234147',14578,'272',40.44,1,3,NULL),(25,6250289,'1991-11-17 00:00:00',4,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241235472411438611115122610112092',5975,'272',55.21,1,3,NULL),(25,6250297,'1993-01-29 00:00:00',4,1,11,2010,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215111532568613572122610122195',5091,'270',59.78,1,3,NULL),(25,6250335,'1993-08-24 00:00:00',4,15,11,2010,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241244116311731526614385122613234142',NULL,'29',25.19,1,2,1),(25,6250360,'1993-07-20 00:00:00',4,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241215112531459813575122610122182',5953,'270',57.98,1,3,NULL),(25,6250378,'1989-02-08 00:00:00',4,1,12,2006,'F','N','JARDIM DO TREVO','CAMPINAS','SP','125252254112571431559811571122610165092',7810,'9998',51.42,1,3,NULL),(25,6250386,'1992-10-18 00:00:00',4,1,10,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431128629375124610127061',6452,'1197',54.44,1,3,NULL),(25,6250394,'1993-05-10 00:00:00',4,6,10,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241217111432489714475112610167047',NULL,'1038',0.00,1,3,NULL),(25,6250408,'1989-12-22 00:00:00',4,1,11,2008,'M','N','BELA VISTA','S JOSÉ','SC','124201241147131421325644245124610122057',NULL,'307',34.08,1,3,NULL),(25,6250416,'1994-03-04 00:00:00',2,5,11,2011,'F','S','CENTRO','MRO FUMAÇA','SC','124241241215111431536614575122610125037',NULL,'226',20.87,1,3,NULL),(25,6250432,'1980-07-14 00:00:00',2,8,12,1998,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116162161215471431469912312122340222097',NULL,'9998',0.00,1,3,NULL),(25,6250440,'1991-03-05 00:00:00',4,3,12,2008,'F','N','CENTRO','TIJUCAS','SC','124241241146161411326619245122131026091',NULL,'783',0.00,1,2,1),(25,6250475,'1989-05-30 00:00:00',4,8,12,2006,'M','N','IRIRIU','JOINVILLE','SC','124242241212575531446714572124131467145',2208,'462',67.87,1,3,NULL),(25,6250483,'1983-03-21 00:00:00',2,10,12,2002,'M','N','CENTRO','TUBARÃO','SC','124241241216151721533335435124331632182',NULL,'797',0.00,1,3,NULL),(25,6250505,'1991-10-15 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241115131431234817475122610147042',12242,'271',46.86,1,3,NULL),(25,6250513,'1991-08-04 00:00:00',2,1,11,2008,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124243241317133421436329342224610123017',20092,'300',34.34,1,3,NULL),(25,6250521,'1993-06-11 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121441346924575115610124197',7288,'270',56.20,1,3,NULL),(25,6250548,'1993-05-05 00:00:00',2,6,12,2010,'M','N','JARDIM SÃO SILVESTRE','CORNÉLIO PROCÓPIO','PR','116162161217111431325834572123610147057',NULL,'9998',0.00,1,3,NULL),(25,6250580,'1993-04-06 00:00:00',2,10,11,2010,'F','N','CENTRO','BRAÇO NORTE','SC','124242241215172331436632275124610163193',9495,'807',49.82,1,3,NULL),(25,6250602,'1993-03-20 00:00:00',4,4,12,2010,'F','N','CENTRO','CONCÓRDIA','SC','124241241116371431259923585112610161052',NULL,'192',0.00,1,2,1),(25,6250610,'1991-11-24 00:00:00',2,1,12,2009,'F','N','CENTRO','S JOSÉ','SC','124242241215373431441923575124132532192',12883,'737',42.31,1,3,NULL),(25,6250629,'1989-08-31 00:00:00',4,1,12,2006,'F','N','ZONA SETE','MARINGÁ','PR','116252251216471431458711212124610122187',239,'9998',80.47,1,3,NULL),(25,6250637,'1993-07-02 00:00:00',4,7,12,2010,'F','N','BALNEÁRIO','PIRATUBA','SC','124241241136151231456414575122610135092',NULL,'619',26.40,1,2,1),(25,6250645,'1991-06-23 00:00:00',4,1,12,2010,'M','N','JARDIM AQUARIUS','PALHOÇA','SC','124241241125141412433314495314610124187',NULL,'277',18.35,1,2,1),(25,6250653,'1993-08-08 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431326633575122610127042',NULL,'737',36.32,1,3,NULL),(25,6250661,'1993-05-26 00:00:00',4,8,11,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241216111431546632322121610124072',4910,'459',58.72,1,3,NULL),(25,6250670,'1993-08-10 00:00:00',4,5,12,2010,'M','N','BALNEÁRIO RINCÃO','IÇARA','SC','124241241415111731527611475124610167057',NULL,'349',20.33,1,3,NULL),(25,6250688,'1991-10-02 00:00:00',2,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120202201216471411543823575224141516097',NULL,'9998',0.00,1,3,NULL),(25,6250696,'1992-04-19 00:00:00',4,3,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116161161215472721378811572114610162047',2073,'9998',67.65,1,3,NULL),(25,6250700,'1989-04-11 00:00:00',4,1,12,2006,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241136133431229944241124133225143',14227,'307',42.48,3,2,1),(25,6250718,'1993-05-06 00:00:00',4,1,10,2010,'M','N','OLHO DAGUA','S LUÍS','MA','125102251215121441577932575324610167082',6609,'9998',57.46,1,3,NULL),(25,6250726,'1990-09-05 00:00:00',2,1,12,2007,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241117473431454413442314610164192',NULL,'292',0.00,1,2,1),(25,6250734,'1988-03-16 00:00:00',2,4,12,2004,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241214272441333621286224331966017',10934,'752',45.51,1,3,NULL),(25,6250769,'1990-12-30 00:00:00',4,1,12,2008,'F','N','VILA PROGREDIOR','S PAULO','SP','125252251216571431467939575112610134047',4339,'9998',58.39,1,3,NULL),(25,6250777,'1993-12-29 00:00:00',2,4,12,2010,'F','N','CENTRO','PASSO FUNDO','RS','120244201215471431559911595224610138185',16117,'9998',37.09,1,3,NULL),(25,6250785,'1992-05-18 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241417154441327934175321221434065',NULL,'266',0.00,1,3,NULL),(25,6250793,'1986-03-18 00:00:00',4,1,11,2003,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','224243241217153431468819395125141427017',3076,'272',65.43,1,3,NULL),(25,6250807,'1989-06-27 00:00:00',2,1,7,2007,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241247127372431226348182344610164167',14362,'9999',41.81,1,2,1),(25,6250815,'1958-12-29 00:00:00',2,1,8,2002,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','524243167225371431116441415122610126095',NULL,'9998',7.77,1,3,NULL),(25,6250823,'1993-06-05 00:00:00',4,16,12,2010,'F','N','MEU POSTINHO','S CRISTÓVÃO SUL','SC','124241241135471411425823432324610166177',NULL,'239',13.68,1,3,NULL),(25,6250831,'1989-12-07 00:00:00',2,1,6,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124201201117111421133643432224240437045',7772,'9998',49.93,1,2,1),(25,6250840,'1993-07-28 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127141531436629346334610122057',NULL,'274',25.31,1,2,1),(25,6250858,'1992-06-02 00:00:00',2,10,12,2009,'M','N','VILLAGE','IMBITUBA','SC','124243241415372721438513372122610154067',12458,'362',47.42,1,3,NULL),(25,6250866,'1964-08-03 00:00:00',2,1,12,1982,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224241242116155711253343435132340366012',NULL,'196',0.00,1,2,1),(25,6250874,'1990-12-16 00:00:00',4,1,12,2008,'M','N','VILA PROGRÉDIOR','S PAULO','SP','125252251237571232489713575124610164057',3218,'9998',62.37,4,3,NULL),(25,6250882,'1993-03-18 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241215472411635561185124610166172',NULL,'44',0.00,4,3,NULL),(25,6250912,'1993-08-05 00:00:00',2,4,12,2010,'F','N','BAIRRO MIRANTE','ITÁ','SC','124241241117151431358713575122610126057',8197,'384',51.41,1,2,1),(25,6250920,'1992-06-07 00:00:00',4,1,11,2009,'M','N','PORTÃO','CURITIBA','PR','116164161217371431577914245124610124012',9916,'9998',46.71,1,3,NULL),(25,6250939,'1994-11-12 00:00:00',4,9,11,2011,'F','S','CENTRO','LAGES','SC','124242241215121231348822275112610124142',NULL,'497',0.00,1,3,NULL),(25,6250955,'1990-12-06 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241215575451559619275122233266187',NULL,'270',0.00,1,3,NULL),(25,6250963,'1992-12-05 00:00:00',2,3,12,2009,'F','N','SAO JOAO','PARANAVAÍ','PR','116163161337471431446831575122610131197',9467,'9998',47.50,1,3,NULL),(25,6250971,'1993-02-05 00:00:00',4,1,11,2010,'M','N','PALHOÇA','PALHOÇA','SC','124242241235111451236923575124610167052',14325,'1022',40.33,1,3,NULL),(25,6250980,'1991-06-20 00:00:00',2,15,11,2009,'M','N','COLONINHA','ARARANGUÁ','SC','124241241126131721446823245122610167112',NULL,'29',22.59,1,2,1),(25,6250998,'1993-07-23 00:00:00',2,1,12,2010,'M','N','CENTRO','TOLEDO','PR','116162161217111431446614595122610167012',12876,'9998',46.79,1,3,NULL),(25,6251005,'1993-07-30 00:00:00',2,1,12,2010,'F','N','JARDIM CIDADE','S JOSÉ','SC','124241241115141431336624342124610134142',19712,'726',30.45,1,2,1),(25,6251013,'1988-12-18 00:00:00',2,1,12,2006,'M','N','CENTRO','BIGUAÇU','SC','124242248216472751488733435122132567042',13247,'9999',41.25,1,3,NULL),(25,6251021,'1993-06-18 00:00:00',4,1,11,2010,'M','N','COLONINHA','FLORIANÓPOLIS','SC','624244241215161411433612395122610144042',NULL,'1118',23.47,1,3,NULL),(25,6251030,'1988-03-03 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241335373731448814435124132834037',11066,'271',49.57,1,3,NULL),(25,6251056,'1992-12-28 00:00:00',2,2,12,2009,'M','N','VICTOR KONDER','BLUMENAU','SC','124201201114471741458939475124610164067',9176,'9998',47.13,1,2,1),(25,6251064,'1993-01-04 00:00:00',4,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215271411479951575122610168182',9772,'270',48.24,1,3,NULL),(25,6251072,'1994-07-19 00:00:00',4,1,11,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244248217111752358923575122610137045',13212,'270',46.33,1,3,NULL),(25,6251080,'1991-01-14 00:00:00',4,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124092091235122431479914475122221437142',NULL,'9998',0.00,1,3,NULL),(25,6251099,'1991-06-01 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241137471431234664245124610124147',18719,'54',37.52,1,2,1),(25,6251102,'1993-05-01 00:00:00',4,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241215111531323612272124610154012',8994,'270',51.31,1,3,NULL),(25,6251110,'1993-12-12 00:00:00',4,8,12,2010,'F','N','PARQUE LAGO AZUL','PINDAMONHANGABA','SP','125252251216111431469933575112610122032',658,'9998',76.01,1,3,NULL),(25,6251129,'1992-08-24 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241112471311328321281224610126042',20931,'257',27.54,1,2,1),(25,6251137,'1993-04-16 00:00:00',4,1,11,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431547819575125610164052',NULL,'1133',36.69,1,3,NULL),(25,6251153,'1992-02-27 00:00:00',2,1,12,2009,'F','N','CAMINHO NOVO','PALHOÇA','SC','124161241111131431421311482344610126047',14146,'591',39.87,1,2,1),(25,6251161,'1993-11-06 00:00:00',4,7,10,2010,'M','N','PORTAO','CURITIBA','PR','116162241217471431369614572114610137072',NULL,'9998',0.00,1,3,NULL),(25,6251170,'1990-10-10 00:00:00',2,16,12,2008,'M','N','AGUA SANTA','CURITIBANOS','SC','124243241136473131448713245221231467067',NULL,'818',32.46,1,3,NULL),(25,6251196,'1992-10-03 00:00:00',4,2,12,2009,'F','N','SANTA TEREZINHA','GASPAR','SC','124241241136372411539713345124610167141',10046,'327',48.18,1,2,1),(25,6251200,'1993-04-06 00:00:00',4,2,12,2010,'F','N','CENTRO','POMERODE','SC','124242241215122431237923571124610164057',6779,'855',53.49,1,3,NULL),(25,6251218,'1991-11-07 00:00:00',4,8,12,2008,'F','N','SÃO LOURENÇO','CURITIBA','PR','116162161215372411449912591112133246072',2476,'9998',65.74,1,3,NULL),(25,6251226,'1991-07-03 00:00:00',2,8,12,2008,'F','N','CENTRO','CIANORTE','PR','116162161216572431459819575122610164017',1548,'9998',70.18,1,3,NULL),(25,6251234,'1992-12-17 00:00:00',2,15,12,2010,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241115111431423411275122610157117',NULL,'30',18.18,1,2,1),(25,6251242,'1990-10-23 00:00:00',4,1,11,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124243241213132431634719176215610164182',20845,'403',31.73,1,3,NULL),(25,6251250,'1992-11-01 00:00:00',4,10,12,2009,'F','N','CENTRO','VERANÓPOLIS','RS','120201201217471431436634572114610132052',11808,'9998',43.66,1,3,NULL),(25,6251277,'1992-12-29 00:00:00',4,1,12,2010,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241115271311623323572124610117052',NULL,'772',23.04,4,2,1),(25,6251315,'1993-12-26 00:00:00',4,1,11,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241212121751459314572124610111185',6643,'299',57.39,1,3,NULL),(25,6251323,'1993-03-22 00:00:00',4,1,12,2010,'F','N','TATUAPÉ','S PAULO','SP','125252251215111431368714571125610132147',NULL,'9998',0.00,3,3,NULL),(25,6251358,'1992-09-28 00:00:00',4,1,11,2010,'M','N','CENTRO','S SEBASTIÃO PARAÍSO','MG','113132131217121411478632574121610137052',14071,'9998',39.35,1,3,NULL),(25,6251366,'1993-10-04 00:00:00',2,6,11,2010,'F','N','ALVORADA','FRANCISCO BELTRÃO','PR','116162161235111431347811375122610161172',11336,'9998',45.54,1,3,NULL),(25,6251374,'1980-12-28 00:00:00',2,1,12,1997,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624241241126474431243353445132321941191',NULL,'307',0.00,1,3,NULL),(25,6251382,'1993-03-07 00:00:00',2,1,12,2010,'F','N','KOBRASSOL','S JOSÉ','SC','124242248215111431658832572122610137142',10607,'723',46.99,1,3,NULL),(25,6251390,'1993-06-19 00:00:00',4,1,11,2010,'M','N','CENTRO','RIO NEGRINHO','SC','124244241216111231466612575122610117122',NULL,'1073',30.09,4,3,NULL),(25,6251404,'1992-10-25 01:00:00',4,6,6,2010,'M','N','FAZENDA','ITAJAÍ','SC','124242281215371431456633575124610117052',7328,'9998',52.96,1,3,NULL),(25,6251420,'1993-07-19 00:00:00',4,9,11,2010,'M','N','CORAL','LAGES','SC','124242241215111331548816475112610167122',NULL,'1207',16.24,1,3,NULL),(25,6251439,'1993-05-19 00:00:00',2,6,11,2010,'M','N','CENTRO','BONITO','MS','112122128217111711368731575125610117122',19997,'9998',28.05,1,3,NULL),(25,6251447,'1987-07-21 00:00:00',4,1,12,2006,'M','N','RESIDENCIAL SÃO JOSE','CAMPINAS','SP','125251251136571431636321346324610114054',NULL,'9998',0.00,1,2,1),(25,6251455,'1993-01-02 00:00:00',4,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215371431248813572124610135072',5831,'1011',59.11,1,3,NULL),(25,6251463,'1991-03-22 00:00:00',2,9,12,2008,'F','N','MADUREIRA','CAXIAS SUL','RS','120202201211471311368921471124610161187',2455,'9998',64.33,1,3,NULL),(25,6251471,'1992-04-10 00:00:00',4,1,11,2009,'M','N','GRANJA VIANA','COTIA','SP','125252251217372411438819195124610114094',NULL,'9998',29.30,1,3,NULL),(25,6251480,'1992-09-05 00:00:00',2,17,12,2010,'F','N','ZONA RURAL','BELA V TOLDO','SC','124241241134151431425536252124610166177',12968,'59',41.75,1,2,1),(25,6251498,'1990-04-23 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124212211217573441258811571124121724012',2833,'9998',65.30,1,3,NULL),(25,6251501,'1991-10-15 00:00:00',4,1,11,2008,'M','N','CENTRO','LONDRINA','PR','116162161217571431468931575112610167067',567,'9998',76.23,1,3,NULL),(25,6251510,'1993-02-04 00:00:00',4,1,12,2010,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241215122431479613575122610128172',5888,'1023',56.26,1,3,NULL),(25,6251528,'1993-12-01 00:00:00',4,4,12,2010,'F','N','UNIVERSITÁRIO','CHAPECÓ','SC','124242241215111531346614295122610122182',7272,'983',52.80,1,3,NULL),(25,6251536,'1993-07-09 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215121431359913572124610126142',1696,'1118',69.41,1,3,NULL),(25,6251544,'1994-01-06 00:00:00',4,1,12,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124241241215121431524611572124610126142',15602,'1011',42.76,1,3,NULL),(25,6251560,'1993-09-10 00:00:00',2,3,12,2010,'M','N','CENTRO','PATO BRANCO','PR','116162161216111751348932575124610144182',NULL,'9998',0.00,2,1,2),(25,6251579,'1992-01-06 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124213211417133431248811472124121764047',5335,'9998',59.54,1,3,NULL),(25,6251587,'1994-03-27 00:00:00',4,6,11,2011,'F','S','MEIA PRAIA','ITAPEMA','SC','124241241215111751458711372122610122142',NULL,'403',39.38,1,3,NULL),(25,6251595,'1993-10-24 00:00:00',4,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124242241215121431247923592124610168112',8134,'855',50.66,2,3,NULL),(25,6251609,'1991-03-30 00:00:00',4,4,12,2008,'M','N','ELDORADO','CHAPECÓ','SC','124241241111151441534414342124610137097',9050,'180',52.96,1,2,1),(25,6251625,'1981-07-05 00:00:00',2,1,11,1997,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','624161161132472421234444242234610122043',13261,'9998',42.46,1,2,1),(25,6251633,'1993-04-26 00:00:00',2,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242248215111431478513375122610124097',13586,'44',40.24,1,3,NULL),(25,6251641,'1989-10-06 00:00:00',4,8,12,2006,'M','N','CENTRO','JARAGUÁ SUL','SC','124243241116151511567511295122130264053',NULL,'430',0.00,1,3,NULL),(25,6251650,'1993-06-09 00:00:00',2,1,12,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215151432454623572122610128042',19415,'944',36.01,4,3,NULL),(25,6251668,'1991-12-23 00:00:00',2,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241241115272711255373395114610167042',19661,'734',35.44,1,3,NULL),(25,6251676,'1982-09-12 00:00:00',2,1,12,2002,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241127142712346317235113321943147',15310,'307',38.54,1,2,1),(25,6251684,'1993-08-08 00:00:00',4,16,12,2010,'M','N','NAÇÕES','FRAIBURGO','SC','124241241337131422346714245121610147077',NULL,'315',0.00,1,3,NULL),(25,6251692,'1992-02-11 00:00:00',4,1,12,2009,'M','N','JD TESTAE','GUARULHOS','SP','125251251146471431459613275124610124092',12453,'9998',42.61,1,2,1),(25,6251706,'1991-01-05 00:00:00',4,1,5,2009,'M','N','VILA NOVA','LAGES','SC','124242281415272451569931575124610167052',1300,'9998',71.50,1,3,NULL),(25,6251714,'1991-01-23 00:00:00',2,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117142311446623445114610127117',NULL,'267',25.25,1,2,1),(25,6251722,'1993-09-23 00:00:00',4,7,11,2010,'M','N','CENTRO','FRAIBURGO','SC','124243241215111131326615572245610137057',10672,'317',46.51,1,3,NULL),(25,6251730,'1993-02-16 00:00:00',4,3,12,2010,'F','N','AFONSO PENA','S JOSÉ PINHAIS','PR','116162168116151411548819575122610125097',18144,'9998',32.14,1,3,NULL),(25,6251749,'1991-06-12 00:00:00',2,1,12,2008,'M','N','CENTRO','IJUÍ','RS','120202201117571431458811575124610144097',NULL,'9998',0.00,1,3,NULL),(25,6251757,'1993-11-24 00:00:00',4,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124243241215112431457712575122610154092',11063,'1022',46.80,1,3,NULL),(25,6251765,'1992-10-01 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215372431448932475112123268062',NULL,'213',0.00,1,3,NULL),(25,6251781,'1992-12-22 00:00:00',4,5,11,2010,'M','N','CENTRO','ORLEANS','SC','124242241215111431456912275122610127112',16072,'226',42.03,1,3,NULL),(25,6251790,'1978-08-09 00:00:00',4,1,12,1996,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241347134421234843437224422362187',9847,'272',51.61,1,3,NULL),(25,6251803,'1989-08-13 00:00:00',4,1,6,2006,'F','N','JURERE IINTERNACIONA','FLORIANÓPOLIS','SC','124282281115573731488911375122130266127',4254,'9998',62.67,1,3,NULL),(25,6251811,'1986-10-10 00:00:00',4,1,6,2010,'M','N','VILA CONCÓRDIA','GOIÂNIA','GO','609091097135371431315864485324610164097',NULL,'9998',26.19,1,2,1),(25,6251820,'1992-09-10 00:00:00',4,15,11,2009,'F','N','CENTRO','TURVO','SC','124242241216472431628812155122610138095',NULL,'32',34.14,1,3,NULL),(25,6251838,'1991-11-18 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216273431436624345134610157052',16533,'1022',37.50,1,3,NULL),(25,6251862,'1992-04-05 00:00:00',4,1,12,2009,'M','N','JARDIM PAULISTA','OURINHOS','SP','125252251215371411568632142112610164082',14415,'9998',39.39,4,3,NULL),(25,6251870,'1994-01-17 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241337131431448611215124610128072',20872,'51',26.38,1,3,NULL),(25,6251889,'1993-09-21 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','128281288135111432355422572124610122087',16474,'9997',37.08,1,2,1),(25,6251897,'1991-01-08 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116473231424414442124610112147',NULL,'732',32.31,1,3,NULL),(25,6251900,'1993-02-09 00:00:00',2,1,12,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241117131431433334385124610164187',NULL,'739',32.89,1,2,1),(25,6251919,'1981-07-27 00:00:00',1,2,12,1999,'F','N','FORTALEZA','BLUMENAU','SC','124241241126131431123344342333130764142',14116,'78',44.98,1,3,NULL),(25,6251927,'1981-06-27 00:00:00',2,15,12,1998,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201217271431458833491124141447042',8991,'9998',49.87,1,3,NULL),(25,6251935,'1992-05-29 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624242246211321431569912475124310127143',NULL,'1075',27.17,1,3,NULL),(25,6251943,'1966-11-25 00:00:00',5,1,12,1983,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224161164332472411255441242122322422032',NULL,'9998',39.57,1,3,NULL),(25,6251951,'1991-10-15 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241216472431426623575124610164011',15937,'259',37.97,1,3,NULL),(25,6251960,'1992-08-12 00:00:00',4,1,12,2009,'F','N','PARQUE GABRIELA','OURINHOS','SP','125252254215471431458613572112610163097',3706,'9998',61.66,1,3,NULL),(25,6251986,'1991-05-20 00:00:00',2,8,12,2008,'F','N','CENTRO','CAPINZAL','SC','124241241216472431333332375124230463042',20564,'1093',27.59,1,3,NULL),(25,6251994,'1993-09-02 00:00:00',4,1,12,2010,'F','N','VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC','124241241116161431434915595124610164077',20337,'772',28.29,1,2,1),(25,6252001,'1994-04-20 00:00:00',2,1,12,2010,'F','N','CAMINHO NOVO','PALHOÇA','SC','124243241215111731448913572124610132142',NULL,'1022',0.00,1,3,NULL),(25,6252010,'1992-10-08 00:00:00',4,8,11,2010,'F','N','CENTRO','CORUPÁ','SC','124242241215121431647933572124610136142',4044,'1016',61.31,1,3,NULL),(25,6252028,'1982-05-13 00:00:00',4,1,7,2010,'F','N','ARMAÇÃO PANT DO SUL','FLORIANÓPOLIS','SC','224241247125271751423744442124610118182',NULL,'9999',37.63,4,2,1),(25,6252036,'1993-05-25 00:00:00',4,8,12,2010,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124242241215121412368511575114610128192',1559,'1063',69.25,1,3,NULL),(25,6252044,'1992-12-12 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111411346623571115610122043',NULL,'724',29.07,4,3,NULL),(25,6252052,'1991-03-21 00:00:00',2,4,11,2008,'F','N','CENTRO','ABELARDO LUZ','SC','124241241111471732448614291212610127142',20584,'4',32.80,4,2,1),(25,6252060,'1992-10-29 00:00:00',4,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116131431323614245114610127067',NULL,'733',12.09,1,3,NULL),(25,6252079,'1991-10-15 00:00:00',4,5,11,2009,'M','N','MICHEL','CRICIÚMA','SC','124244241217473431368833572112610142192',7858,'210',52.03,1,3,NULL),(25,6252087,'1963-10-22 00:00:00',2,1,12,1981,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224241162417131741534444242132130232187',20878,'9997',31.63,1,3,NULL),(25,6252095,'1993-10-07 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431536633575124610167112',10900,'738',46.70,1,3,NULL),(25,6252109,'1993-07-29 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215131441328714575124610126181',4043,'1118',61.53,1,3,NULL),(25,6252117,'1983-10-17 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472712378931425122321417113',NULL,'270',0.00,1,3,NULL),(25,6252125,'1980-04-05 00:00:00',4,1,7,1998,'M','N','SERRARIA','S JOSÉ','SC','224241241126144721236659342134131227052',19917,'307',34.82,1,2,1),(25,6252133,'1993-04-02 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111231467813575122610117142',NULL,'270',30.76,1,3,NULL),(25,6252141,'1983-09-23 00:00:00',2,1,12,2001,'M','N','KOBRASOL','S JOSÉ','SC','124131131136141431226844445124341646097',NULL,'9998',0.00,4,3,NULL),(25,6252150,'1990-03-06 00:00:00',2,8,12,2007,'F','N','CENTRO','FARTURA','SP','125254251135571751546711112122610163197',4112,'9998',60.04,1,3,NULL),(25,6252168,'1993-02-02 00:00:00',4,1,11,2010,'M','N','IPIRANGA','S JOSÉ','SC','124241241116141431525614295124610114052',NULL,'734',29.41,4,3,NULL),(25,6252176,'1990-08-20 00:00:00',4,1,12,2008,'M','N','PRESIDENTE MEDICI','ITU','SP','125252251415571431555711295122610147042',NULL,'9998',0.00,1,3,NULL),(25,6252184,'1991-12-19 00:00:00',4,1,12,2008,'M','N','VILA LEONOR','S PAULO','SP','125252251217571431468614431112610147047',5646,'9998',57.35,1,3,NULL),(25,6252192,'1993-02-24 00:00:00',2,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241235111531468412575124610122054',NULL,'1022',19.13,3,3,NULL),(25,6252206,'1993-04-19 00:00:00',4,1,12,2009,'M','N','CENTRO','NOVA MUTUM','MT','111112111217371411445816572124610167062',4647,'9998',59.31,4,3,NULL),(25,6252230,'1992-03-21 00:00:00',2,15,12,2009,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241132131231315511212322610134187',NULL,'29',21.77,1,3,NULL),(25,6252249,'1993-11-28 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731459819574112610112147',1809,'262',68.94,1,3,NULL),(25,6252257,'1991-09-18 00:00:00',4,15,12,2010,'M','N','JARDIM CIBELE','ARARANGUÁ','SC','124241248127111631413329285323610137042',NULL,'29',21.21,4,2,1),(25,6252265,'1992-10-17 00:00:00',2,7,11,2009,'F','N','CENTRO','HERVAL D OESTE','SC','124242241216372411438813475125610128142',13668,'446',41.24,1,3,NULL),(25,6252273,'1992-10-30 00:00:00',2,1,12,2009,'M','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161215472411436632572111143227042',10529,'9998',46.70,1,3,NULL),(25,6252281,'1993-06-25 00:00:00',2,9,12,2010,'M','N','CENTRO','VACARIA','RS','120202201216111431438711475122610137052',NULL,'9998',14.23,1,3,NULL),(25,6252290,'1992-11-05 00:00:00',4,1,11,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215471431468814572114610134052',6849,'270',53.05,1,3,NULL),(25,6252311,'1993-06-23 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431425638572122610124142',NULL,'723',31.58,1,3,NULL),(25,6252338,'1992-05-14 00:00:00',4,8,12,2009,'F','N','CENTRO','RIO NEGRO','PR','116241248215371431448819395124610164012',10650,'541',50.24,1,3,NULL),(25,6252346,'1989-08-06 00:00:00',2,1,12,2006,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241241111143441221322325132232067042',17842,'307',39.15,2,1,1),(25,6252354,'1992-03-14 00:00:00',4,1,11,2009,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161217471441456632575114610136072',1815,'9998',67.42,1,3,NULL),(25,6252362,'1991-05-24 00:00:00',4,1,12,2008,'F','N','STA CRUZ DA FIGRA','ÁGUAS MORNAS','SC','124241241127131431424331242224610128047',NULL,'12',36.78,1,2,1),(25,6252370,'1993-10-21 00:00:00',4,8,12,2010,'M','N','UMBARÁ','CURITIBA','PR','116162161217111331489913472122610124147',5071,'9998',57.47,1,3,NULL),(25,6252389,'1994-03-11 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215211431566712575122610134147',16358,'270',41.62,1,3,NULL),(25,6252397,'1993-06-09 00:00:00',2,1,11,2010,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124242241215112731468934575122610123141',8536,'1169',51.93,1,3,NULL),(25,6252400,'1991-09-10 00:00:00',2,1,10,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241212111431356614145122610134075',12820,'951',43.94,1,3,NULL),(25,6252419,'1967-05-25 00:00:00',2,1,7,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','224241247125271752234453572344610117181',16250,'9999',37.00,2,1,1),(25,6252427,'1992-10-04 00:00:00',2,1,12,2009,'M','N','PASSO DAREIA','PTO ALEGRE','RS','120203201216471431544432241124610162047',16639,'9998',41.18,1,3,NULL),(25,6252443,'1994-01-24 00:00:00',2,15,11,2010,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241115141731333531215122610117067',14360,'29',40.34,1,3,NULL),(25,6252451,'1994-02-19 00:00:00',4,6,11,2010,'M','N','ITAJUBA','BARRA VELHA','SC','124243241417131531526311171214610167067',20753,'614',32.13,1,3,NULL),(25,6252460,'1992-09-29 00:00:00',4,1,12,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241216473431489822575112610167182',11101,'270',46.75,4,3,NULL),(25,6252478,'1994-01-26 00:00:00',2,1,12,2010,'F','N','ALTO BOQUEIRÃO','CURITIBA','PR','116161218216111431434639575124610135182',12762,'9998',46.97,1,3,NULL),(25,6252486,'1992-01-15 00:00:00',2,2,12,2009,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241414412431226722295124610162047',9241,'86',50.12,1,3,NULL),(25,6252494,'1994-11-26 00:00:00',4,9,12,2011,'F','S','BRUSQUE','LAGES','SC','124241241217111431426612475122610137072',NULL,'497',27.31,1,3,NULL),(25,6252508,'1991-06-24 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115371431323421275114610125092',21029,'307',26.11,1,2,1),(25,6252516,'1992-09-04 00:00:00',2,1,12,2009,'F','N','JARDIM EUROPA','BIGUAÇU','SC','124241241116152431336329575124222728193',NULL,'21',33.45,1,2,1),(25,6252524,'1993-08-10 00:00:00',4,1,12,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215151451369934575114610132182',19426,'1022',35.98,1,3,NULL),(25,6252532,'1993-06-08 00:00:00',4,1,12,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215372441446813572114610132097',9573,'1023',47.71,1,3,NULL),(25,6252540,'1993-08-03 00:00:00',4,8,12,2010,'F','N','CENTRO','SCHROEDER','SC','124242241214111411439912272122610145182',527,'442',76.31,4,3,NULL),(25,6252559,'1993-07-18 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111231588834275122610114091',14822,'270',39.54,1,3,NULL);
INSERT INTO candidato VALUES (25,6252567,'1995-02-10 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111732449634572124610143182',18828,'270',37.30,1,3,NULL),(25,6252583,'1990-12-21 00:00:00',4,1,11,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215472431479822575122610123094',13969,'270',42.10,1,3,NULL),(25,6252591,'1994-08-01 00:00:00',4,1,12,2011,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431368931572122610138012',NULL,'262',37.87,1,3,NULL),(25,6252605,'1993-12-08 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112731465712595122610163126',1511,'262',70.35,1,3,NULL),(25,6252613,'1993-03-02 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431489933575112610124142',4430,'737',59.58,1,3,NULL),(25,6252621,'1992-09-05 00:00:00',4,15,12,2010,'M','N','CENTRO','ARARANGUÁ','SC','124242241215321431436812382222610114112',15520,'970',37.34,1,3,NULL),(25,6252630,'1989-01-20 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215575431568913574124610167017',1705,'751',70.02,1,3,NULL),(25,6252648,'1994-01-23 00:00:00',4,9,12,2010,'F','N','CENTRO','BOM JESUS','RS','120203201316111431435616275122610137142',NULL,'9998',31.77,1,3,NULL),(25,6252664,'1992-10-08 00:00:00',4,1,11,2010,'M','N','JARDIM AQUÁRIUS','S JOSÉ CAMPOS','SP','125254251415111411259613571115610166052',1371,'9998',71.44,1,3,NULL),(25,6252672,'1981-03-15 00:00:00',2,1,12,1998,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','224241241121135431323343432212141037047',8860,'862',50.03,1,2,1),(25,6252680,'1991-05-20 00:00:00',2,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124241241222132421221327241224132834147',16422,'262',36.20,1,3,NULL),(25,6252702,'1993-06-16 00:00:00',4,3,12,2010,'F','N','JARDIM ANA MARIA','APUCARANA','PR','116163161216111431428634575122610121142',NULL,'9998',0.00,4,3,NULL),(25,6252710,'1993-10-12 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431269819575122610166192',8747,'883',49.91,1,3,NULL),(25,6252745,'1993-01-23 00:00:00',4,2,12,2010,'F','N','CENTRO','AMERICANA','SP','125252251217111411558612275122610141072',NULL,'9998',0.00,1,3,NULL),(25,6252753,'1992-06-29 00:00:00',4,3,11,2009,'M','N','JARDIM PAULISTA','OURINHOS','SP','125252251215471431476532575122610162197',NULL,'9998',29.03,1,3,NULL),(25,6252761,'1993-06-09 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431459814375121610147182',11135,'1038',46.29,1,3,NULL),(25,6252770,'1993-05-22 00:00:00',2,3,12,2010,'F','N','PREVISUL','MARACAJU','MS','112122128216471432338832575125610131093',20161,'9998',34.17,1,3,NULL),(25,6252788,'1986-02-05 00:00:00',4,1,11,2003,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124201201117133431223651282224221437142',NULL,'9998',0.00,1,2,1),(25,6252796,'1993-05-28 00:00:00',4,10,11,2010,'M','N','CENTRO','TUBARÃO','SC','124242241216111441438732574122610124182',1169,'806',72.53,1,3,NULL),(25,6252800,'1990-10-01 00:00:00',4,1,12,2008,'F','N','PARADA INGLESA','S PAULO','SP','125253251116571751556619381125610164187',827,'9998',75.11,1,3,NULL),(25,6252818,'1993-06-29 00:00:00',4,1,11,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215121431359814572124610121182',14746,'270',44.08,1,3,NULL),(25,6252826,'1994-03-04 00:00:00',4,9,12,2010,'F','N','PINHEIROS','OTACÍLIO COSTA','SC','124244241217111411458832574122610161162',17633,'499',39.52,1,3,NULL),(25,6252834,'1988-11-02 00:00:00',2,4,12,2007,'M','N','INTERIOR','ERVAL GRANDE','RS','120203243227151431447513345232130747067',NULL,'9999',11.75,1,3,NULL),(25,6252850,'1993-12-16 00:00:00',1,1,11,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241117131322466613571122610116114',7702,'267',55.43,1,2,1),(25,6252877,'1992-11-02 00:00:00',2,5,11,2010,'M','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241215111431568812575122610164062',2899,'226',64.21,1,3,NULL),(25,6252885,'1990-08-02 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241415172411523933281124610127182',19906,'1022',34.86,1,3,NULL),(25,6252893,'1991-03-09 00:00:00',4,1,12,2008,'M','N','TATUAPÉ','S PAULO','SP','125252251216571431468814275125610132032',1026,'9998',73.48,1,3,NULL),(25,6252907,'1992-06-05 00:00:00',4,1,12,2009,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124243241116472431435312575114610164042',10684,'592',47.11,1,3,NULL),(25,6252915,'1989-06-25 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124241241315473411431534235124610164147',12650,'1022',42.81,2,1,2),(25,6252923,'1993-02-10 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124243241214161421356923575122610134192',15594,'237',37.36,1,3,NULL),(25,6252940,'1993-08-17 00:00:00',2,15,11,2010,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241116141232646421215122610167065',19707,'29',30.80,1,3,NULL),(25,6252974,'1991-08-06 00:00:00',4,1,11,2008,'M','N','CENTRO','LONDRINA','PR','116162161215571731448931475112610164112',NULL,'9998',0.00,1,3,NULL),(25,6252982,'1994-05-28 00:00:00',4,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241217111411337611571124610121092',17007,'270',40.60,1,3,NULL),(25,6252990,'1993-04-04 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431558713571122610127062',4725,'262',58.62,1,3,NULL),(25,6253008,'1993-05-31 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242241215112431436713435124610124157',4566,'723',59.67,1,3,NULL),(25,6253016,'1988-10-07 00:00:00',4,8,12,2006,'F','N','PARQUE GUARANI','JOINVILLE','SC','124241241147573431223624385124131568177',12204,'469',47.83,1,2,1),(25,6253024,'1993-01-28 00:00:00',4,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215121431538614142122610167042',10497,'272',47.54,1,3,NULL),(25,6253032,'1991-03-14 00:00:00',4,8,12,2008,'M','N','JD MASCARENHAS','EMBU','SP','125252251217571431436612475122610164111',6531,'9998',54.19,1,3,NULL),(25,6253040,'1989-04-11 00:00:00',4,1,12,2006,'F','N','SÃO CRISTOVÃO','LAGES','SC','124242241217143411468832492122233224142',14747,'497',44.08,1,3,NULL),(25,6253059,'1960-09-15 00:00:00',2,1,12,1984,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','224241243126273431324451372124333224187',NULL,'281',27.23,1,2,1),(25,6253067,'1993-02-10 00:00:00',4,1,11,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215471432256924486114610124041',13263,'272',42.08,1,3,NULL),(25,6253083,'1981-04-05 00:00:00',4,8,12,1998,'M','N','PROFIPO','JOINVILLE','SC','224251251115372431534444145124610142041',18322,'9998',32.35,2,3,NULL),(25,6253091,'1993-05-17 00:00:00',4,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124241241115141411426524392124610114052',11593,'295',46.17,1,2,1),(25,6253105,'1989-02-27 00:00:00',4,1,8,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241117151431288933575112610161182',2400,'306',66.29,1,3,NULL),(25,6253113,'1991-11-21 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215472431444411571114610162092',8620,'32',50.60,1,3,NULL),(25,6253130,'1991-12-09 00:00:00',2,10,11,2009,'F','N','CONGONHAS','TUBARÃO','SC','124242241215472431376912571112610133075',7366,'807',53.02,1,3,NULL),(25,6253148,'1990-03-22 00:00:00',4,1,12,2007,'F','N','CENTRO','BOTUCATU','SP','125252251217571731238811575112610137187',NULL,'9998',0.00,1,3,NULL),(25,6253156,'1992-10-05 00:00:00',4,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161217471731169814575125610163142',NULL,'9998',0.00,1,3,NULL),(25,6253164,'1991-11-27 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216373431458834572114133267077',1239,'1022',72.61,1,3,NULL),(25,6253172,'1993-10-20 00:00:00',4,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124123241345111431427711371124610143067',13239,'884',43.43,4,3,NULL),(25,6253180,'1993-10-06 00:00:00',4,2,11,2010,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215121431489834572112610167042',4437,'909',62.16,1,3,NULL),(25,6253199,'1990-08-02 00:00:00',2,15,12,2007,'M','N','JARDIM CIBELE','ARARANGUÁ','SC','124241241147131431543331415123610167052',NULL,'30',28.22,1,3,NULL),(25,6253202,'1992-11-03 00:00:00',4,1,12,2010,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241241317131431324669572124610117017',20372,'733',27.63,1,3,NULL),(25,6253210,'1993-04-17 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247215131732456613475122610127047',18043,'9999',38.76,1,3,NULL),(25,6253229,'1990-08-03 00:00:00',4,1,12,2007,'F','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125252251215571431448614591124610165142',NULL,'9998',0.00,1,3,NULL),(25,6253237,'1992-05-13 00:00:00',2,15,11,2009,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241116141432643421215112610167065',21798,'29',18.83,1,3,NULL),(25,6253245,'1993-09-28 00:00:00',4,9,11,2010,'F','N','CANOAS','RIO SUL','SC','124242241215111431477611575122610126012',12907,'991',42.80,1,3,NULL),(25,6253253,'1993-07-09 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211113441369831571121610111092',1205,'270',72.86,1,3,NULL),(25,6253261,'1993-01-03 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215111731569613575122610162193',6651,'269',54.15,1,3,NULL),(25,6253288,'1992-11-09 00:00:00',2,4,11,2010,'M','N','CENTRO','CHAPECÓ','SC','124243241315141431448619182122610167187',14801,'169',39.83,1,3,NULL),(25,6253296,'1993-09-18 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241215111431434621275124610127142',18098,'1049',34.11,1,3,NULL),(25,6253300,'1989-02-05 00:00:00',2,4,12,2006,'F','N','BOQUEIRAO','PASSO FUNDO','RS','120201208116572451525639274124610168182',NULL,'9998',23.96,2,1,1),(25,6253318,'1993-12-15 00:00:00',4,1,12,2010,'M','N','MORRETES','ITAPEMA','SC','124241241217111432236612575124610164145',15379,'1119',43.09,1,3,NULL),(25,6253326,'1993-11-25 00:00:00',4,6,12,2010,'F','N','JARDIM HORIZONTE','IMBITUVA','PR','116162161216121431456712175115610134192',1366,'9998',69.65,1,3,NULL),(25,6253334,'1994-02-08 00:00:00',4,1,12,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215111411478932175112610127112',5336,'270',58.54,1,3,NULL),(25,6253342,'1993-10-20 00:00:00',4,1,11,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217111451447612295112610127062',4438,'270',59.71,1,3,NULL),(25,6253350,'1994-01-29 00:00:00',4,1,12,2011,'F','S','CENTRO','S BENTO SUL','SC','124242241217151431449811596122610167142',NULL,'1178',45.29,1,3,NULL),(25,6253369,'1993-09-04 00:00:00',2,16,12,2010,'M','N','INTERIOR','BRUNÓPOLIS','SC','124241241125371431413315573324610147042',NULL,'911',19.21,1,2,1),(25,6253377,'1993-06-03 00:00:00',2,15,12,2010,'F','N','CENTRO','ARARANGUÁ','SC','124242241215122431357933571122610124145',12656,'970',42.84,1,3,NULL),(25,6253393,'1992-04-07 00:00:00',5,1,12,2009,'F','N','JD AQUARIUS IV','S JOSÉ CAMPOS','SP','125252251215471531568812575122610146127',11169,'9998',49.42,1,3,NULL),(25,6253407,'1992-08-07 00:00:00',4,8,10,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124242161217472211578812475114610168184',10068,'9998',46.82,1,3,NULL),(25,6253415,'1992-11-26 00:00:00',2,4,11,2009,'F','N','COLINA VERDE','SALTO LONTRA','PR','116161168117371421535619294132610118147',NULL,'9998',0.00,4,2,1),(25,6253423,'1993-02-06 00:00:00',4,1,11,2009,'M','N','CENTRO','HERVAL D OESTE','SC','124242248215472751469933576114610167052',5376,'270',58.69,1,3,NULL),(25,6253431,'1985-03-10 00:00:00',2,1,8,2003,'F','N','RIO GRANDE','PALHOÇA','SC','124241241115372421323629442124610122097',15593,'591',37.47,1,3,NULL),(25,6253440,'1990-10-26 00:00:00',2,1,12,2008,'F','N','COOPHATRABALHO','CPO GRANDE','MS','112121121117571411428614572124610163092',19007,'9998',31.26,4,3,NULL),(25,6253458,'1992-09-03 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215121431369933572124610127057',1353,'270',71.85,1,3,NULL),(25,6253466,'1993-06-18 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117131431326521575121610127052',19490,'285',30.56,1,2,1),(25,6253474,'1993-11-26 00:00:00',4,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124111241137151431359513275114610164182',20386,'9997',33.47,1,2,1),(25,6253482,'1990-07-16 00:00:00',2,1,12,2007,'F','N','CIDADE UNIVERSITARIA','MARINGÁ','PR','116161161216511431546331274122610166187',1961,'9998',68.17,1,3,NULL),(25,6253490,'1992-07-24 00:00:00',2,6,11,2009,'M','N','SOUZA CRUZ','BRUSQUE','SC','124242241217152411456611375112610167017',17493,'981',35.22,1,3,NULL),(25,6253504,'1993-03-30 00:00:00',2,7,11,2010,'F','N','CENTRO','JOAÇABA','SC','124241241215131732425614295125610136142',NULL,'445',21.56,1,3,NULL),(25,6253512,'1991-04-10 00:00:00',2,4,12,2009,'M','N','CENTRO','S LOURENÇO OESTE','SC','116241166117572111339621571225610168151',651,'9998',76.37,1,2,1),(25,6253520,'1992-07-09 00:00:00',4,5,12,2009,'M','N','MONTE VERDE','MRO FUMAÇA','SC','124241241117271431446412415122610127042',NULL,'567',23.97,1,2,1),(25,6253539,'1993-11-02 00:00:00',4,1,12,2010,'M','N','CENTRO','TIJUCAS','SC','124243241215111231333411275122610142042',2174,'1119',66.51,1,3,NULL),(25,6253547,'1993-04-20 00:00:00',4,5,12,2010,'M','N','JARDIM ELIZABETE','IÇARA','SC','124243246315131441423723475124610164177',20261,'995',27.11,1,3,NULL),(25,6253555,'1991-04-05 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215574431579913575114610117092',8336,'185',51.42,1,3,NULL),(25,6253563,'1994-05-05 00:00:00',4,1,11,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111431568617575122610124055',10106,'270',48.00,4,3,NULL),(25,6253571,'1993-02-06 00:00:00',4,1,12,2010,'F','N','PARQUE SÃO JORGE','PIRACICABA','SP','125253251217112431549812575124610164142',11583,'9998',44.95,1,3,NULL),(25,6253580,'1992-12-16 00:00:00',4,3,12,2009,'F','N','VILA JUDITH','LONDRINA','PR','116162161215471431479933572122610167042',9716,'9998',47.31,1,3,NULL),(25,6253598,'1991-09-18 00:00:00',4,8,12,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215471431467932576115610161192',10408,'1174',47.13,1,3,NULL),(25,6253601,'1989-07-01 00:00:00',2,1,12,2006,'F','N','JARDIM PANAMÁ','CPO GRANDE','MS','112121121116572411548613482124140963052',11648,'9998',45.05,1,3,NULL),(25,6253610,'1991-06-25 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241115573431357834575112610132147',6324,'267',58.09,1,3,NULL),(25,6253628,'1992-03-02 00:00:00',4,1,11,2009,'F','N','ESPLANADA DO SOL','S JOSÉ CAMPOS','SP','125252251216472431448832475121610167112',18963,'9998',31.02,1,3,NULL),(25,6253636,'1993-09-16 00:00:00',2,1,12,2010,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241215111431666667572114610132011',19433,'1022',32.14,1,3,NULL),(25,6253644,'1986-09-29 00:00:00',4,1,12,2003,'M','N','CENTRO','CURITIBA','PR','116162161211572421458811591122610132012',5617,'9998',55.56,1,3,NULL),(25,6253660,'1991-03-23 00:00:00',4,1,12,2008,'F','N','PQ SÃO DOMINGOS','S PAULO','SP','125252251217571751378833575122610162072',4242,'9998',60.03,1,3,NULL),(25,6253679,'1992-11-23 00:00:00',4,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111412468829575114610122192',9579,'272',47.99,1,3,NULL),(25,6253687,'1992-11-22 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241411131411448823576114610142017',20296,'288',33.77,1,3,NULL),(25,6253695,'1993-12-20 00:00:00',4,1,11,2010,'F','N','VILA ISABEL','CURITIBA','PR','116162161217411431668832475122610116012',NULL,'9998',0.00,1,3,NULL),(25,6253709,'1992-12-12 00:00:00',2,10,12,2010,'F','N','SÃO FRANCISCO','BRAÇO NORTE','SC','124241241116131441623319575125610116142',18692,'100',32.51,1,2,1),(25,6253717,'1989-03-06 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241437112421358319445123330767062',NULL,'1022',NULL,1,3,NULL),(25,6253725,'1992-02-05 00:00:00',2,5,12,2009,'F','N','JAQUELINE','IÇARA','SC','124241241216111431323514275124610126112',20017,'349',29.46,1,3,NULL),(25,6253741,'1994-08-14 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111331448714585122610115072',19041,'1050',36.86,1,3,NULL),(25,6253750,'1991-02-24 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241137341711421119395124610112042',20168,'298',32.99,1,3,NULL),(25,6253776,'1992-09-04 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241135141431413314312124610124142',NULL,'307',23.85,2,1,1),(25,6253784,'1993-08-19 00:00:00',4,1,11,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117251431446924572124610128077',15336,'271',39.90,1,2,1),(25,6253792,'1988-06-22 00:00:00',2,15,12,2007,'M','N','JARDIM CIBELE','ARARANGUÁ','SC','124241247147131431433619415123610164052',21581,'9999',27.12,1,3,NULL),(25,6253806,'1990-10-16 00:00:00',4,1,7,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247346231431336743135123610168087',16653,'9999',39.06,4,3,NULL),(25,6253814,'1993-01-09 00:00:00',2,1,12,2010,'F','N','CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC','124241241216111431366933435124610123147',13413,'1048',42.06,1,3,NULL),(25,6253822,'1993-02-17 00:00:00',4,5,11,2010,'F','N','PIO CORREIA','CRICIÚMA','SC','124242241212112431469831572112610163127',6374,'226',55.57,1,3,NULL),(25,6253830,'1994-07-26 00:00:00',4,9,12,2010,'F','N','BOM JESUS','BARRACÃO','PR','124241242115111431423823571324610126172',NULL,'960',24.81,1,2,1),(25,6253849,'1993-04-01 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241217111431469613572112610137142',14918,'270',39.06,1,3,NULL),(25,6253857,'1989-05-21 00:00:00',4,1,12,2006,'M','N','FLORESTA','S JOSÉ','SC','124251251116131731126644445121140767117',NULL,'9998',30.44,1,2,1),(25,6253865,'1993-01-02 00:00:00',2,10,11,2010,'F','N','CAMPO DE FORA','LAGUNA','SC','124242241215122431458833572122610164077',3326,'807',62.74,1,3,NULL),(25,6253873,'1990-07-05 00:00:00',2,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124241241116161431326627382112610147077',NULL,'257',17.80,1,2,1),(25,6253881,'1992-08-06 00:00:00',2,1,12,2010,'F','N','FUNDOS','BIGUAÇU','SC','124242241215111431336621575122610112092',NULL,'63',0.00,1,3,NULL),(25,6253903,'1991-06-23 00:00:00',1,1,11,2010,'M','N','CACUPE','FLORIANÓPOLIS','SC','124252241215111431479831575112610167042',17696,'270',39.41,1,3,NULL),(25,6253911,'1993-09-24 00:00:00',4,4,11,2010,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241215131431337627575122610147127',4272,'752',59.68,1,3,NULL),(25,6253920,'1993-08-19 00:00:00',4,8,12,2010,'F','N','JARDIM BELA VISTA','MARINGÁ','PR','116162161217111411449933432112610164182',540,'9998',76.70,1,3,NULL),(25,6253938,'1993-06-01 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431335924572124610164192',12835,'1118',41.83,1,3,NULL),(25,6253946,'1993-04-07 00:00:00',4,1,11,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215111431438414575124610147141',NULL,'262',25.00,1,3,NULL),(25,6253954,'1993-01-17 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241145141431323424345124610134147',NULL,'289',29.34,2,3,NULL),(25,6253962,'1993-07-26 00:00:00',2,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241215111431455931575122610134012',13704,'499',41.30,1,3,NULL),(25,6253970,'1989-11-24 00:00:00',2,1,12,2006,'M','N','SÃO LUIZ','S JOSÉ','SC','124241241122272531663129342232130244077',NULL,'729',0.00,1,3,NULL),(25,6253989,'1993-11-01 00:00:00',4,8,12,2010,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111411446812575122610166122',413,'1016',78.03,1,3,NULL),(25,6253997,'1988-12-20 00:00:00',4,1,12,2005,'F','N','CENTRO','CURITIBA','PR','116161161215572431259831583124143264182',939,'9998',74.30,3,3,NULL),(25,6254004,'1993-02-09 00:00:00',4,5,11,2010,'F','N','SANTA BARBARA','CRICIÚMA','SC','124242241215111431536614271122610134147',12985,'226',42.94,1,3,NULL),(25,6254012,'1992-04-03 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241115273431328931575124123045052',7401,'271',55.97,1,3,NULL),(25,6254047,'1994-02-10 00:00:00',4,15,12,2010,'F','N','SÃO JOSÉ','SOMBRIO','SC','124241242115131531336923575124610117152',20688,'690',26.01,1,3,NULL),(25,6254055,'1992-03-26 00:00:00',4,8,12,2009,'M','N','ZONA DOIS','MARINGÁ','PR','116162161217371441559932275122610167077',1827,'9998',69.95,3,3,NULL),(25,6254063,'1992-10-17 00:00:00',4,1,11,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215373431446931472112610123172',13070,'1118',42.29,1,3,NULL),(25,6254071,'1993-03-06 00:00:00',2,1,12,2010,'F','N','GUARÁ II','GUARÁ','DF','107073071116371751426614592124610143097',NULL,'9998',0.00,1,3,NULL),(25,6254080,'1992-09-21 00:00:00',4,3,11,2009,'M','N','VILA BERNARDES','ARAPONGAS','PR','116162161217471432447831375112610132142',8588,'9998',49.79,1,3,NULL),(25,6254098,'1993-07-23 00:00:00',4,4,12,2010,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241217111431457833191122610138142',NULL,'1079',0.00,1,3,NULL),(25,6254101,'1986-02-28 00:00:00',2,1,12,2003,'F','N','PASSA VINTE','PALHOÇA','SC','124241241117273751433419495122130768187',21258,'591',29.69,1,3,NULL),(25,6254110,'1992-11-11 00:00:00',2,1,11,2010,'F','N','FUNDOS','BIGUAÇU','SC','124242241215112431446812572122610122042',12181,'262',44.52,1,3,NULL),(25,6254128,'1992-09-22 00:00:00',2,1,11,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117151731445933492124610137142',9102,'271',49.69,1,2,1),(25,6254136,'1993-06-16 00:00:00',2,1,10,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241411111731469819275122610118076',17046,'951',36.92,1,3,NULL),(25,6254144,'1993-07-13 00:00:00',4,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124164161216112431436823475124610126072',13018,'9998',42.12,1,3,NULL),(25,6254152,'1993-04-23 00:00:00',2,1,12,2010,'F','N','SANTA CATARINA','BIGUAÇU','SC','124241241115271431333315372324610164077',NULL,'21',23.18,1,2,1),(25,6254160,'1993-03-31 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217111431446623375124610132152',12605,'1022',43.71,1,3,NULL),(25,6254179,'1993-12-02 00:00:00',4,1,12,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241248115111431457812392112610137042',NULL,'733',26.12,1,2,1),(25,6254187,'1992-08-23 00:00:00',2,6,12,2009,'F','N','VILA VERDE','PALMITAL','PR','116161161137131321323623585115610134147',NULL,'9998',17.98,4,2,1),(25,6254195,'1988-11-13 00:00:00',2,3,11,2007,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244248231472711437611275112610165044',21235,'44',29.85,1,3,NULL),(25,6254209,'1988-10-02 00:00:00',4,10,11,2006,'M','N','VILA MEDIANEIRA','ARMAZÉM','SC','124241247615271451556614375112610127147',NULL,'9999',0.00,1,3,NULL),(25,6254217,'1989-10-08 00:00:00',4,8,12,2007,'F','N','BUCAREIN','JOINVILLE','SC','124242241216573711578612575112610166192',4083,'1105',60.00,1,3,NULL),(25,6254241,'1991-09-14 00:00:00',2,9,1,2010,'M','N','CENTRO','PALHOÇA','SC','124242241215372431248629494112233114182',NULL,'1011',0.00,1,3,NULL),(25,6254250,'1993-09-04 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111441374412572124610148192',2992,'270',63.43,1,3,NULL),(25,6254268,'1992-10-05 00:00:00',4,10,12,2009,'F','N','DEHON','TUBARÃO','SC','124242241215372431256823572112610164042',3922,'807',62.70,1,3,NULL),(25,6254276,'1986-09-29 00:00:00',2,1,12,2004,'M','N','CAMPINAS','S JOSÉ','SC','124242241127574431656613415113610127142',NULL,'736',0.00,1,3,NULL),(25,6254284,'1990-07-26 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241115141431548512342114610123067',NULL,'307',14.35,1,3,NULL),(25,6254292,'1993-07-02 00:00:00',4,8,12,2010,'F','N','PORTAL DE ITU','ITU','SP','125252251217121731448831486122610163182',NULL,'9998',0.00,1,3,NULL),(25,6254306,'1992-10-07 00:00:00',2,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124242241215171411446633575122610135147',NULL,'881',25.04,1,3,NULL),(25,6254314,'1993-11-25 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215111431488933575122610167122',15807,'270',42.44,1,3,NULL),(25,6254322,'1993-11-17 00:00:00',2,4,12,2010,'F','N','CENTRO','ERECHIM','RS','120201201117111431333934575122610136147',11460,'9998',43.34,1,2,1),(25,6254349,'1992-12-01 00:00:00',2,1,11,2010,'F','N','SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC','124242241215122732489933572122610168195',1524,'270',71.16,1,3,NULL),(25,6254357,'1993-06-11 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215112431568812575112610162146',7186,'226',56.39,1,3,NULL),(25,6254365,'1993-05-16 00:00:00',4,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215111431546923475124610132143',2613,'1022',63.86,1,3,NULL),(25,6254373,'1993-09-23 00:00:00',4,9,11,2010,'F','N','SÃO MIGUEL','LAGES','SC','124243241332111421446612222122613228077',NULL,'1207',15.86,1,3,NULL),(25,6254381,'1992-06-09 00:00:00',4,1,12,2009,'F','N','JARDIM DA SAÚDE','S PAULO','SP','125252253217151431458832575125243266187',2578,'9998',67.23,1,3,NULL),(25,6254390,'1990-04-25 00:00:00',2,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124242241215373431435733475124610137052',3842,'737',63.39,1,3,NULL),(25,6254403,'1992-12-06 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111732428931315112610121035',8524,'883',50.40,1,3,NULL),(25,6254411,'1993-06-22 00:00:00',4,8,11,2010,'F','N','BOA VISTA','JOINVILLE','SC','116162161215111411436733575122610134052',11189,'9998',45.72,1,3,NULL),(25,6254420,'1993-06-24 00:00:00',4,1,12,2010,'M','N','CACHOEIRA DO B J','FLORIANÓPOLIS','SC','124242241215111431436614575124610167182',13039,'1048',43.03,4,3,NULL),(25,6254438,'1992-11-20 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431446622575124610123072',14288,'1022',44.73,1,3,NULL),(25,6254446,'1990-12-10 00:00:00',4,1,12,2007,'M','N','JARDIM AMERICA','CAXIAS SUL','RS','120203201116572431548334175124610127067',3253,'9998',61.42,1,3,NULL),(25,6254470,'1992-09-09 00:00:00',4,1,12,2010,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242247216151431469933575114610167057',21683,'270',25.56,1,3,NULL),(25,6254489,'1994-03-13 00:00:00',2,10,11,2010,'F','N','TRAVASSÃO','BRAÇO NORTE','SC','124241241415111731448634575124610122177',8113,'807',54.67,1,3,NULL),(25,6254500,'1994-01-02 00:00:00',4,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115131731426513485124610147122',6381,'271',55.20,1,2,1),(25,6254519,'1992-07-05 00:00:00',2,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241117472431346514574144610128147',9980,'733',51.38,1,2,1),(25,6254527,'1991-10-06 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215372431467823485112133264067',1473,'738',71.38,1,3,NULL),(25,6254535,'1992-05-13 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241216372411568832575112610137052',3861,'1022',61.04,1,3,NULL),(25,6254543,'1987-10-26 00:00:00',4,15,12,2004,'M','N','ERECHIM','BAL ARROIO SILVA','SC','124081081416131441336923485124340737017',12969,'9998',41.32,1,3,NULL),(25,6254551,'1991-10-16 00:00:00',2,2,12,2008,'F','N','TARUMÃ','CURITIBA','PR','116162161217572411459934574114610163147',NULL,'9998',0.00,1,3,NULL),(25,6254560,'1993-06-17 00:00:00',2,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431437624245124610164187',7617,'270',51.62,1,3,NULL),(25,6254578,'1993-03-07 00:00:00',2,1,12,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241117371431638829242121610134045',NULL,'298',18.46,1,3,NULL),(25,6254586,'1992-10-02 00:00:00',4,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124242241216372431435313575124610166182',10841,'1078',47.40,1,3,NULL),(25,6254616,'1991-01-11 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124241241127133311426323241224231044057',19207,'329',31.18,1,2,1),(25,6254624,'1990-03-08 00:00:00',4,1,11,2007,'F','N','CENTRO','LONDRINA','PR','116161161215571431369971584122610136147',1212,'9998',71.09,1,3,NULL),(25,6254640,'1992-03-20 00:00:00',4,8,12,2009,'M','N','BOEHMERWALDT','JOINVILLE','SC','124243246215371431437814341124610137097',15137,'1006',37.92,1,3,NULL),(25,6254659,'1991-11-04 00:00:00',4,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215372711588923435122130434182',12888,'270',42.55,1,3,NULL),(25,6254667,'1993-05-31 00:00:00',4,10,11,2010,'F','N','PAES LEME','IMBITUBA','SC','124242241215121751246812472124610124142',5869,'807',56.19,1,3,NULL),(25,6254675,'1992-09-15 00:00:00',2,1,9,2009,'M','N','VÍGOLO','NOVA TRENTO','SC','124241241216372431576612275114130717112',12539,'109',47.28,1,3,NULL),(25,6254683,'1992-07-13 00:00:00',1,2,12,2010,'M','N','CENTRO','POMERODE','SC','124242241215112411467932575221610167112',1912,'624',68.18,1,3,NULL),(25,6254705,'1993-01-10 00:00:00',4,1,12,2009,'F','N','JARDIM FACULDADE','DOURADOS','MS','116122121216471431436834375112610134122',5816,'9998',55.53,1,3,NULL),(25,6254713,'1994-06-15 00:00:00',4,9,11,2011,'M','S','SAGRADO C DE JESUS','LAGES','SC','124242241215111431434319575122610132092',NULL,'1207',43.96,4,3,NULL),(25,6254721,'1989-11-12 00:00:00',4,1,12,2006,'M','N','SÃO JOSÉ','FRAIBURGO','SC','124244241215575751447923374124131367052',5232,'885',60.33,1,3,NULL),(25,6254730,'1993-06-22 00:00:00',4,1,12,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215112431377773575122610132113',12792,'951',42.28,1,3,NULL),(25,6254748,'1991-02-03 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241217372431439613572124133266187',3357,'1022',63.48,1,3,NULL),(25,6254756,'1992-09-03 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124202201117572431359922594124610112075',NULL,'9998',45.24,1,3,NULL),(25,6254764,'1993-12-02 00:00:00',4,1,12,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241135111232447812342122610117051',NULL,'733',13.27,1,2,1),(25,6254772,'1992-11-09 00:00:00',4,8,12,2009,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124241241136131431336414342124610146147',15818,'438',42.42,1,2,1),(25,6254799,'1993-10-09 00:00:00',4,1,11,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215412531446834575124610126147',15335,'270',41.57,1,3,NULL),(25,6254802,'1993-04-20 00:00:00',4,1,12,2010,'F','N','SANTA CATARINA','BIGUAÇU','SC','124241241115372431633416575124610134147',13546,'21',41.24,1,2,1),(25,6254810,'1992-12-15 00:00:00',4,1,12,2009,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124244241115472431669713575124610167042',16179,'307',36.55,1,3,NULL),(25,6254829,'1994-01-03 00:00:00',2,8,12,2010,'F','N','GLORIA','JOINVILLE','SC','124282241212121431668662575122610164072',4538,'1063',59.82,3,3,NULL),(25,6254837,'1994-11-23 00:00:00',4,1,12,2010,'F','N','ALTO BIGUAÇU','BIGUAÇU','SC','124242241212111431536936465124610124077',10972,'270',49.72,1,3,NULL),(25,6254845,'1991-08-12 00:00:00',2,6,12,2009,'M','N','CENTRO','NAVEGANTES','SC','124242241416373431336833575124142464052',11319,'937',49.18,1,3,NULL),(25,6254853,'1993-05-16 00:00:00',4,9,11,2010,'M','N','JARDIM AMERICA','RIO SUL','SC','124242241215111231368821575112610124042',6613,'991',54.91,1,3,NULL),(25,6254861,'1990-08-21 00:00:00',4,4,10,2007,'M','N','JOÃO PAULO II','REALEZA','PR','116162201216272411369931575122141036052',15854,'9998',42.38,1,3,NULL),(25,6254870,'1993-01-10 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241124131431234612592114610167052',14824,'95',43.96,1,3,NULL),(25,6254888,'1976-02-10 00:00:00',4,1,11,1999,'F','N','INGLESES','FLORIANÓPOLIS','SC','124011011122332131311244142324610154047',NULL,'9998',18.32,4,3,NULL),(25,6254900,'1992-07-15 00:00:00',4,1,12,2009,'F','N','FLORESTA','S JOSÉ','SC','124241246117111431425623575124610113182',16204,'306',41.84,1,2,1),(25,6254918,'1991-10-30 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116473431436313575124610166142',16913,'281',36.71,1,2,1),(25,6254926,'1992-07-03 00:00:00',4,1,12,2009,'F','N','ZONA SETE','MARINGÁ','PR','116161161211272411348923575122610163123',4940,'9998',58.54,1,3,NULL),(25,6254934,'1993-04-13 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241215111431439613575123610122097',14097,'1118',40.73,1,3,NULL),(25,6254942,'1994-12-06 00:00:00',2,10,11,2011,'M','S','TRAVASSÃO','BRAÇO NORTE','SC','124241241415111732448634575112610167047',NULL,'807',42.57,1,3,NULL),(25,6254950,'1991-12-29 00:00:00',2,1,11,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116371431346613316123610124115',NULL,'307',NULL,1,2,1),(25,6254969,'1989-03-22 00:00:00',4,1,12,2008,'M','N','SAO JOSÉ','BELO HORIZONTE','MG','113132137626112411469814485124140617042',NULL,'9998',16.81,2,3,NULL),(25,6254977,'1994-03-01 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469913575112610132122',NULL,'262',41.99,1,3,NULL),(25,6254985,'1992-07-17 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112721448633575122610127181',NULL,'1050',42.73,1,3,NULL),(25,6254993,'1991-04-06 00:00:00',2,1,12,2009,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124132131216471431188732575112610167112',1175,'9998',72.12,1,3,NULL),(25,6255000,'1986-04-02 00:00:00',2,1,12,2004,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124203161117273421226449495124610137097',NULL,'9998',32.40,1,3,NULL),(25,6255019,'1993-12-07 00:00:00',4,1,11,2011,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242244215111432237829575124610134142',NULL,'270',48.22,1,3,NULL),(25,6255027,'1993-05-12 00:00:00',4,17,11,2010,'M','N','JOÃO PAULO II','TRÊS BARRAS','SC','116244168217411431569834576114610127082',19193,'9998',32.02,1,3,NULL),(25,6255035,'1991-09-05 00:00:00',2,1,12,2008,'M','N','JARDIM AMERICA','GOIÂNIA','GO','109092091215511431445831575124610165147',7415,'9998',55.93,2,3,NULL),(25,6255043,'1992-02-03 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241312273431448913572124220361142',10713,'269',50.13,1,3,NULL),(25,6255060,'1981-09-15 00:00:00',4,1,12,1998,'M','N','FUNDOS','BIGUAÇU','SC','624241246116131421354954345124610164182',4603,'306',61.78,1,2,1),(25,6255078,'1993-03-27 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215112431326632575124610124042',8511,'1022',50.78,1,3,NULL),(25,6255094,'1988-09-23 00:00:00',4,5,12,2005,'F','N','UNIVERSITÁRIO','CRICIÚMA','SC','124243241226141431236629375125231266097',NULL,'524',0.00,1,3,NULL),(25,6255116,'1992-05-15 00:00:00',2,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124161161216371431333319381124610148092',12366,'9998',43.90,1,3,NULL),(25,6255124,'1992-04-03 00:00:00',2,2,12,2010,'M','N','JD PORTO ALEGRE','TOLEDO','PR','116163161316131431435923275121610132012',NULL,'9998',0.00,1,3,NULL),(25,6255132,'1990-09-14 00:00:00',2,1,12,2008,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241126132431636614445114610134042',NULL,'296',28.75,1,2,1),(25,6255140,'1981-12-19 00:00:00',2,1,7,2002,'F','N','FORGUILHAS','S JOSÉ','SC','624161247132271711431151342124610163187',NULL,'9997',29.55,1,2,1),(25,6255175,'1991-06-19 00:00:00',2,1,12,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241116134731435431345124610148147',NULL,'307',34.48,1,2,1),(25,6255183,'1991-11-22 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241315131441346813435124610127042',NULL,'271',16.51,2,1,2),(25,6255191,'1993-06-11 00:00:00',2,6,11,2010,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124242241215111431459933275121610164057',2652,'1038',65.24,1,3,NULL),(25,6255205,'1992-03-10 00:00:00',2,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241248116131331229823572124610166052',NULL,'129',0.00,1,2,1),(25,6255213,'1993-10-15 00:00:00',4,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241216111431338814575121610167042',16209,'9997',37.01,1,3,NULL),(25,6255221,'1985-05-02 00:00:00',2,1,12,2002,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241137371431263353272114130221197',10698,'307',46.80,1,2,1),(25,6255248,'1992-09-30 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431466519592122610124112',10501,'262',47.66,1,3,NULL),(25,6255256,'1991-02-19 00:00:00',4,1,12,2008,'M','N','CENTRO','LONDRINA','PR','116162161216572431468813572112610164057',2593,'9998',64.85,1,3,NULL),(25,6255264,'1992-09-04 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217111451569913576124610137142',2914,'262',64.93,1,3,NULL),(25,6255280,'1993-05-16 00:00:00',4,1,12,2010,'F','N','PARQUE ANHANGUERA','GOIÂNIA','GO','109092091217111431459831574122610163142',6588,'9998',54.29,1,3,NULL),(25,6255302,'1992-03-21 00:00:00',4,1,12,2009,'M','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241126341431436614245114610167042',NULL,'731',11.35,1,2,1),(25,6255310,'1986-07-02 00:00:00',4,1,6,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','624241241117133421339673495112610161197',17579,'306',39.62,1,2,1),(25,6255329,'1989-05-17 00:00:00',2,8,12,2007,'F','N','BOA VISTA','CURITIBA','PR','116251251116571421476823445112143227046',19289,'9998',30.84,1,2,1),(25,6255345,'1992-08-03 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241217372431439813372124610167077',4056,'1022',61.53,4,3,NULL),(25,6255353,'1995-04-15 00:00:00',2,8,12,2011,'F','S','GLORIA','JOINVILLE','SC','124162241116111731668662572122610168192',NULL,'1063',40.87,3,3,NULL),(25,6255361,'1993-04-13 00:00:00',4,8,11,2010,'M','N','SÃO MARCOS','JOINVILLE','SC','124242241215271532459839592122610167062',10039,'1063',51.26,1,3,NULL),(25,6255370,'1993-07-14 00:00:00',4,1,12,2010,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215111431268923572122610167112',12346,'883',42.40,2,3,NULL),(25,6255388,'1993-12-06 00:00:00',4,1,12,2010,'M','N','JARDIM DAS PALMEIRAS','PALHOÇA','SC','124241248117141431326829595124610162187',NULL,'592',30.70,1,2,1),(25,6255396,'1992-09-11 00:00:00',2,4,12,2009,'F','N','CENTRO','SALTO LONTRA','PR','116161161214472431468912375122610147032',NULL,'9998',33.18,1,3,NULL),(25,6255400,'1993-12-24 00:00:00',2,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431538814575122610137042',12938,'273',43.24,1,3,NULL),(25,6255418,'1989-11-20 00:00:00',4,1,12,2007,'F','N','LIBERDADE','S PAULO','SP','125252251217571221555816375125610122127',NULL,'9998',0.00,1,3,NULL),(25,6255426,'1993-04-29 00:00:00',2,5,11,2010,'F','N','CENTRO','MRO FUMAÇA','SC','124242241215111431343712422114610123152',NULL,'226',0.00,1,3,NULL),(25,6255434,'1994-05-27 00:00:00',2,2,11,2011,'F','S','SÃO LUIS','BRUSQUE','SC','124242241215111312558811595125610133187',NULL,'107',39.39,1,3,NULL),(25,6255442,'1993-02-03 00:00:00',2,1,12,2010,'M','N','JARDIM ATLÂNTICO','S JOSÉ','SC','124244241117131731336613445124610147067',NULL,'257',16.02,1,3,NULL),(25,6255450,'1993-04-15 00:00:00',2,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241212111711446611575124610131187',NULL,'967',18.99,1,3,NULL),(25,6255469,'1993-04-19 00:00:00',2,4,12,2010,'F','N','INTERIOR','LINDÓIA SUL','SC','124241242115131431414435573324610131052',10936,'196',45.09,3,2,1),(25,6255477,'1995-03-24 00:00:00',4,9,12,2012,'F','S','CENTRO','LAGES','SC','124242241215111411468832372112610168017',NULL,'499',44.31,1,3,NULL),(25,6255485,'1990-03-17 00:00:00',4,6,12,2007,'F','N','JARDIM DO LAGO','CAMBÉ','PR','116161161116575431337733571122610166092',6756,'9998',54.05,1,2,1),(25,6255493,'1991-06-14 00:00:00',2,10,12,2008,'F','N','CENTRO','LAGUNA','SC','124242241216153431326721475111610124117',8534,'525',53.91,1,3,NULL),(25,6255507,'1993-05-14 00:00:00',4,4,11,2010,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241215111341459612475122610126147',11919,'168',43.77,1,3,NULL),(25,6255515,'1993-07-23 00:00:00',2,5,11,2010,'M','N','SÃO FRANCISCO','NOVA VENEZA','SC','124241246217111431454622275124610163172',19314,'995',29.45,1,3,NULL),(25,6255523,'1994-07-27 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241116111411438833375124610142042',15898,'267',42.31,1,3,NULL),(25,6255531,'1993-03-17 00:00:00',4,1,12,2010,'F','N','JARDIM SANTANA','JUNDIAÍ','SP','125252251235111431346812275122610147142',3034,'9998',62.65,1,3,NULL),(25,6255540,'1994-05-18 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242248215111431448839595122610137095',NULL,'266',6.96,1,3,NULL),(25,6255558,'1992-09-18 00:00:00',4,4,12,2009,'F','N','PARQUE VERDE','CASCAVEL','PR','116162161215471751479811574125610164143',11183,'9998',44.73,3,3,NULL),(25,6255574,'1991-06-12 00:00:00',4,8,12,2008,'F','N','MOSSUNGUÊ','CURITIBA','PR','116162161215571331586832571122610134182',NULL,'9998',0.00,1,3,NULL),(25,6255582,'1993-07-21 00:00:00',4,10,10,2010,'M','N','CENTRO','TUBARÃO','SC','124242241215121431347731575112610114012',16629,'807',36.40,1,3,NULL),(25,6255590,'1993-06-28 00:00:00',4,1,12,2010,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161215111432479714575112610167067',3097,'9998',63.03,1,3,NULL),(25,6255604,'1982-07-11 00:00:00',4,1,12,2000,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241216142431487611435124321462187',10822,'213',49.96,1,3,NULL),(25,6255612,'1992-12-21 00:00:00',2,1,10,2010,'M','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125254251437571431469913472124610142072',NULL,'1197',35.56,1,3,NULL),(25,6255620,'1993-08-12 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431646622575122610157041',5162,'738',60.49,1,3,NULL),(25,6255639,'1993-05-17 00:00:00',4,1,11,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215112411589834195122610167052',5397,'270',59.71,1,3,NULL),(25,6255647,'1993-04-04 00:00:00',2,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215112421356612572122610166147',13988,'226',45.19,1,3,NULL),(25,6255655,'1988-04-01 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','120242131215575431459912575115132566092',NULL,'9998',0.00,1,3,NULL),(25,6255663,'1992-05-31 00:00:00',2,10,12,2009,'F','N','SANTA CATARINA','URUBICI','SC','124242241215373431436911575122133228142',13521,'807',41.14,1,3,NULL),(25,6255671,'1993-05-01 00:00:00',4,4,12,2010,'F','N','JUPITER','FRANCISCO BELTRÃO','PR','116161161416371431346923575124610137142',NULL,'9998',0.00,1,3,NULL),(25,6255680,'1993-06-01 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431589912572122610123142',NULL,'270',0.00,1,3,NULL),(25,6255698,'1992-07-25 00:00:00',4,8,12,2009,'M','N','AHU','CURITIBA','PR','116162161235571431468823472124610162047',12395,'9998',41.83,1,3,NULL),(25,6255701,'1990-05-07 00:00:00',2,1,7,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247415371431448621572124610117047',20389,'9999',28.84,1,3,NULL),(25,6255710,'1993-04-06 00:00:00',4,1,12,2010,'M','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124241241115271431326517382124610134052',20476,'329',33.23,1,2,1),(25,6255728,'1993-03-17 00:00:00',2,1,12,2010,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241115271431435514374124610147052',14621,'307',40.74,1,2,1),(25,6255736,'1993-01-22 00:00:00',2,1,12,2010,'F','N','ROÇADO','S JOSÉ','SC','124241241112341431425511345122610123042',21689,'729',25.41,2,2,1),(25,6255744,'1993-04-29 00:00:00',2,1,12,2010,'F','N','AMAMBAÍ','CPO GRANDE','MS','112122121215111431567532575112610124017',5614,'9998',56.28,3,3,NULL),(25,6255752,'1992-09-02 00:00:00',4,8,11,2009,'M','N','BARREIRINHA','CURITIBA','PR','116162161215471431458833572114610127047',NULL,'9998',0.00,1,3,NULL),(25,6255760,'1994-06-25 00:00:00',4,1,12,2011,'M','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111731489933575124610124197',NULL,'270',42.64,1,3,NULL),(25,6255779,'1992-02-22 00:00:00',4,4,12,2010,'M','N','CENTRO','CASCAVEL','PR','116252161215111432367812572124610127062',9175,'9998',48.20,1,3,NULL),(25,6255787,'1993-01-07 00:00:00',2,1,12,2010,'M','N','XAXIM','CURITIBA','PR','116163161215111431436824575124610167057',1947,'9998',67.41,1,3,NULL),(25,6255809,'1993-03-18 00:00:00',4,1,12,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215112441458614575122610167146',9536,'262',49.09,1,3,NULL),(25,6255817,'1986-06-03 00:00:00',4,8,12,2003,'F','N','BUTIATUVINHA','CURITIBA','PR','116162161215371431588911315122342665097',NULL,'9998',0.00,1,3,NULL),(25,6255825,'1982-06-02 00:00:00',4,1,12,1999,'F','N','MIRANDÓPOLIS','S PAULO','SP','125251251216572431254824475125343161147',5615,'9998',56.06,3,3,NULL),(25,6255833,'1993-06-11 00:00:00',2,17,12,2010,'F','N','JARDIM BRAND','IRINEÓPOLIS','SC','124241241415111411439833575114610123052',16029,'633',42.08,1,3,NULL),(25,6255841,'1994-05-06 00:00:00',2,9,11,2010,'M','N','CENTRO','CORREIA PINTO','SC','124244241215111431217818175124610137142',6382,'1207',54.94,1,3,NULL),(25,6255850,'1993-09-29 00:00:00',2,1,12,2010,'M','N','FORQUILHAS','S JOSÉ','SC','124241241117161431546911375124610167077',13626,'733',42.08,1,2,1),(25,6255884,'1992-11-04 00:00:00',2,1,12,2009,'F','N','COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC','124201241116272432443331342124610124142',21647,'307',26.15,1,2,1),(25,6255892,'1991-05-03 00:00:00',4,10,12,2008,'M','N','VILA MOEMA','TUBARÃO','SC','124242281217372431458812575112220428092',6304,'797',58.12,1,3,NULL),(25,6255906,'1992-05-09 00:00:00',4,1,11,2009,'F','N','MALUCHE','BRUSQUE','SC','124242248215131731226824575121610164143',19100,'981',36.75,1,3,NULL),(25,6255914,'1993-04-14 00:00:00',2,1,11,2010,'M','N','VELACHO','STO AMARO IMPERATRIZ','SC','124242241214111411566611375112610167052',NULL,'1223',25.48,1,3,NULL),(25,6255922,'1988-09-15 00:00:00',2,4,12,2005,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241216272421435339272122231365197',NULL,'1011',21.78,1,3,NULL),(25,6255930,'1993-05-27 00:00:00',4,8,12,2010,'M','N','JARDIM CAIÇARA I','REGISTRO','SP','125252251217151431446633575122610164046',1969,'9998',69.37,3,3,NULL),(25,6255949,'1994-03-11 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217111431488912295122610128012',NULL,'962',15.89,1,3,NULL),(25,6255957,'1991-02-02 00:00:00',2,1,7,2010,'M','N','MORRO DA CEGONHA','ERECHIM','RS','120203207447151731447419495125610162097',16546,'9998',36.43,1,3,NULL),(25,6255965,'1993-03-05 00:00:00',4,17,12,2010,'M','N','CAMPO D ÁGUA VERDE','CANOINHAS','SC','124241241116141431438414245124610124042',NULL,'146',29.83,1,2,1),(25,6255973,'1989-07-22 00:00:00',4,1,8,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244247417474441337624475114610128147',7950,'9999',52.00,1,3,NULL),(25,6255981,'1992-12-19 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215152541368813475124610127142',1355,'262',70.72,1,3,NULL),(25,6255990,'1993-04-30 00:00:00',2,3,10,2010,'M','N','BATEL','CURITIBA','PR','116161161115111431587722375122610146185',5343,'403',56.69,1,3,NULL),(25,6256007,'1992-04-14 00:00:00',2,1,10,2010,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251217571431669913432122610132072',NULL,'1197',0.00,1,3,NULL),(25,6256015,'1993-06-10 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241115121411436833572122610143047',NULL,'1022',32.44,1,3,NULL),(25,6256023,'1994-07-05 00:00:00',2,5,11,2011,'F','S','CENTRO','SIDERÓPOLIS','SC','124244241215111431323634591124610132197',NULL,'226',45.51,1,3,NULL),(25,6256031,'1992-09-01 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241235111431488813575122610114072',16888,'262',37.03,1,3,NULL),(25,6256040,'1989-11-07 00:00:00',4,9,11,2007,'M','N','CENTRO','LAGES','SC','124242241215332431337664445122130764192',8918,'497',51.08,1,3,NULL),(25,6256058,'1992-12-05 00:00:00',4,1,11,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217111411468813571114610144131',3481,'270',63.49,4,3,NULL),(25,6256066,'1994-06-09 00:00:00',4,9,11,2011,'F','S','CENTRO','LAGES','SC','124242241217111441456932375122610143012',NULL,'499',46.99,1,3,NULL),(25,6256074,'1993-07-08 00:00:00',4,1,11,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111411458612592112610148187',4226,'270',61.42,1,3,NULL),(25,6256082,'1993-03-15 00:00:00',4,1,12,2010,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124241241215111411468833575114610115182',9413,'270',49.88,1,3,NULL),(25,6256090,'1992-12-01 00:00:00',4,1,11,2010,'F','N','JARDIM DAS INDUSTRIA','S JOSÉ CAMPOS','SP','125252251215111431556912575122610128192',7686,'9998',50.56,1,3,NULL),(25,6256104,'1992-04-16 00:00:00',4,7,12,2009,'M','N','CENTRO','TANGARÁ','SC','124241241116151431438914475124610157042',NULL,'779',0.00,1,2,1),(25,6256147,'1992-09-25 00:00:00',2,8,10,2009,'M','N','CENTRO','IRATI','PR','116162161215471411548731571124610164012',NULL,'9998',0.00,1,3,NULL),(25,6256163,'1993-10-25 00:00:00',2,17,12,2010,'M','N','INTERIOR','MAFRA','SC','124241162115161731523316575222610128182',19344,'9998',31.33,1,2,1),(25,6256180,'1993-06-15 00:00:00',4,2,12,2010,'F','N','VILA VITÓRIA','MAUÁ','SP','125252251216111431426633575125610137057',18833,'9998',32.21,1,3,NULL),(25,6256198,'1979-07-25 00:00:00',4,1,12,1997,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241245116575431213651472112323065077',7264,'192',53.46,1,2,1),(25,6256228,'1992-12-11 00:00:00',4,8,11,2010,'F','N','AGUAÇU','JOINVILLE','SC','124242241215111451449614345132610112181',7800,'1016',51.84,1,3,NULL),(25,6256236,'1993-10-27 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215122431579931575122610164012',2722,'270',65.73,1,3,NULL),(25,6256244,'1992-07-08 00:00:00',2,1,12,2009,'F','N','CENTRO','BIGUAÇU','SC','124242241215474431337613572124610154147',4100,'1022',63.03,4,3,NULL),(25,6256252,'1993-12-20 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431364622575112610167192',6474,'9997',55.95,1,3,NULL),(25,6256260,'1990-09-05 00:00:00',4,8,12,2007,'M','N','JARDIM ITAIPU','MARÍLIA','SP','125253251216571431368513575112141066042',373,'9998',77.94,1,3,NULL),(25,6256279,'1992-10-13 00:00:00',2,1,7,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241247125471731425634172124610167142',NULL,'9999',16.16,1,3,NULL),(25,6256287,'1993-04-10 00:00:00',4,1,12,2010,'F','N','SERRARIAS','S JOSÉ','SC','124241241115151431527618311124610165142',21668,'734',25.73,1,2,1),(25,6256295,'1994-02-14 00:00:00',2,1,12,2011,'F','S','JARDIM SÃO MIGUEL','BIGUAÇU','SC','124242241215111432467613295112610122042',NULL,'1118',34.05,1,3,NULL),(25,6256317,'1991-03-08 00:00:00',2,1,12,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124241241127171431435513375124610124147',NULL,'295',29.15,2,1,1),(25,6256325,'1990-11-27 00:00:00',5,7,12,2007,'M','N','CENTRO','ARROIO TRINTA','SC','124241241126151431533314242123610132187',NULL,'853',20.25,1,2,1),(25,6256333,'1992-11-06 00:00:00',4,6,12,2010,'F','N','SÃO PEDRO','BRUSQUE','SC','124242241215111431669814575122610134142',1720,'109',70.35,1,3,NULL),(25,6256341,'1992-08-29 00:00:00',4,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124241241215372731457611575114610132192',4219,'976',59.31,1,3,NULL),(25,6256350,'1989-11-13 00:00:00',2,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241127374431423311112124223014097',NULL,'595',0.00,1,2,1),(25,6256368,'1987-09-20 00:00:00',2,1,7,2008,'M','N','SERRARIA','S JOSÉ','SC','124241241147132411115348181124610117042',5180,'9997',60.46,1,2,1),(25,6256376,'1990-01-17 00:00:00',2,3,12,2007,'M','N','JARDIM HIGIENÓPOLIS','LONDRINA','PR','116122121215471431264832595122143268042',NULL,'9998',0.00,1,3,NULL),(25,6256384,'1993-05-17 00:00:00',4,4,11,2010,'M','N','FÁTIMA','ERECHIM','RS','120202201217111731547939575125610127047',15364,'9998',37.78,1,3,NULL),(25,6256392,'1993-06-19 00:00:00',4,1,12,2010,'F','N','BELA VISTA','PALHOÇA','SC','124241241135231431425314572124613212142',21113,'592',30.58,3,2,1),(25,6256414,'1993-12-20 00:00:00',4,8,12,2010,'F','N','CENTRO','REGISTRO','SP','125252251217111431458935592122610142092',15208,'9998',39.48,3,3,NULL),(25,6256422,'1984-08-16 00:00:00',3,1,12,2003,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242258414373731568639385124122262172',13361,'9998',46.13,1,3,NULL),(25,6256430,'1991-08-14 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241211573411459913572124610145092',799,'752',74.13,1,3,NULL),(25,6256449,'1992-06-11 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111431359933575115610127042',16416,'1077',36.30,1,3,NULL),(25,6256457,'1995-01-04 00:00:00',4,1,12,2011,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241216111711469813575112610127045',NULL,'270',54.92,4,3,NULL),(25,6256465,'1992-02-07 00:00:00',4,2,12,2010,'M','N','CENTRO','BRUSQUE','SC','124244241415372231555911412122610137052',4949,'107',60.96,1,3,NULL),(25,6256473,'1993-06-07 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431348924572125610137042',6518,'270',55.53,1,3,NULL),(25,6256481,'1991-09-12 00:00:00',2,1,12,2008,'M','N','JARDIM UNIVERSITARIO','MARINGÁ','PR','116161161122471431134616575114610145092',2418,'9998',65.42,1,2,1),(25,6256490,'1990-05-18 00:00:00',4,15,12,2008,'M','N','SAO MARTINHO','TUBARÃO','SC','124241241211132411445519495121131414042',10460,'806',47.59,1,3,NULL),(25,6256503,'1992-01-05 00:00:00',2,1,12,2009,'M','N','NOSSA SRA APARECIDA','S JOAQUIM','SC','124242241215472431446815575122610137127',NULL,'1207',26.04,1,3,NULL),(25,6256520,'1992-01-21 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241116131411434329285114610137142',NULL,'592',29.17,1,3,NULL),(25,6256546,'1993-01-05 00:00:00',4,4,12,2010,'M','N','CENTRO','MARAU','RS','120201201117471411436613572124610154187',10099,'9998',48.05,1,2,1),(25,6256554,'1993-08-03 00:00:00',2,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241215111431446613492124610137077',4909,'1022',61.06,1,3,NULL),(25,6256562,'1989-04-04 00:00:00',4,9,12,2006,'F','N','CENTRO','S JOAQUIM','SC','124244241437131231424823381325610123147',NULL,'720',0.00,1,3,NULL),(25,6256570,'1993-05-21 00:00:00',4,1,12,2010,'M','N','CENTRO','S BENTO SUL','SC','124242161227471431469711575124610147012',1478,'9998',68.90,1,3,NULL),(25,6256589,'1992-10-14 00:00:00',2,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124242241212273431435614345124610134092',19201,'1022',33.74,1,3,NULL),(25,6256597,'1986-06-09 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241111143421126644342213130814092',NULL,'359',0.00,1,2,1),(25,6256619,'1993-10-29 00:00:00',4,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241136371731316128385124610165145',NULL,'307',15.26,2,1,1),(25,6256627,'1990-12-01 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241051416433431115664575124231012142',13964,'9998',45.23,1,3,NULL),(25,6256635,'1992-05-18 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124162241217473231269933592114610164042',1780,'1133',70.11,1,3,NULL),(25,6256643,'1992-10-31 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124244241316142431446834245122610127042',20765,'1078',26.96,1,3,NULL),(25,6256651,'1992-09-27 00:00:00',2,1,12,2009,'F','N','CENTRO','CONTENDA','PR','116164161436131711233823292134610164147',NULL,'9998',0.00,1,3,NULL),(25,6256678,'1992-09-09 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372331449812592122131462147',3389,'270',64.83,1,3,NULL),(25,6256686,'1993-03-25 00:00:00',2,9,11,2010,'F','N','MARTORANO','S JOAQUIM','SC','124243241216272731424511575122610124142',NULL,'721',0.00,1,3,NULL),(25,6256694,'1992-04-27 00:00:00',4,4,12,2009,'F','N','CENTRO','CASCAVEL','PR','116162161215472731328834575124610127077',10589,'9998',45.83,1,3,NULL),(25,6256708,'1991-07-19 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124072241217373431365722492122610124122',10165,'270',51.04,1,3,NULL),(25,6256716,'1993-05-03 00:00:00',4,4,12,2010,'M','N','CENTRO','ERECHIM','RS','120202201215211431446829585125610164197',NULL,'9998',0.00,1,3,NULL),(25,6256724,'1985-09-10 00:00:00',4,8,11,2003,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116161161137471731459613275124240817052',1140,'9998',71.95,1,2,1),(25,6256732,'1993-04-13 00:00:00',4,1,12,2010,'F','N','JÕAO PAULO','FLORIANÓPOLIS','SC','124242241215271411488912425112610127142',10774,'262',50.03,1,3,NULL),(25,6256740,'1993-05-02 00:00:00',4,1,12,2010,'M','N','BELLO','CAÇADOR','SC','124243241235111431456614472122610137057',14610,'1124',44.28,1,3,NULL),(25,6256759,'1994-08-23 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242243215111731366824375124610124143',NULL,'737',23.81,1,3,NULL),(25,6256767,'1993-06-17 00:00:00',4,1,12,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124243241116111431436933575124610132092',15913,'739',38.00,1,3,NULL),(25,6256783,'1993-09-22 00:00:00',4,10,12,2010,'M','N','MAR GROSSO','LAGUNA','SC','124242241211111431238813575122610167111',18619,'525',37.73,1,3,NULL),(25,6256791,'1992-12-09 00:00:00',4,5,12,2010,'M','N','SANTA AUGUSTA','CRICIÚMA','SC','124244246216141541569913345124610126012',15184,'188',36.47,1,3,NULL),(25,6256805,'1977-06-16 00:00:00',2,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241247227131722423224192114613224187',NULL,'9999',0.00,1,3,NULL),(25,6256813,'1992-07-08 00:00:00',4,1,12,2009,'F','N','JD VIVENDAS','S JOSÉ R PRETO','SP','125252251216471431358811575122610166197',16121,'9998',41.97,1,3,NULL),(25,6256821,'1994-02-03 00:00:00',4,9,12,2010,'M','N','SÃO CRISTOVÃO','LAGES','SC','624242241214131411235969495125610162043',16641,'499',41.18,1,3,NULL),(25,6256830,'1993-01-25 00:00:00',4,8,12,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215122431376412474112610168142',4001,'1063',60.30,1,3,NULL),(25,6256848,'1992-05-02 00:00:00',2,2,12,2009,'M','N','CENTRO','TIMBÓ','SC','124241241346141531548834345112610128143',20573,'870',32.85,1,3,NULL),(25,6256856,'1993-09-23 00:00:00',4,1,12,2010,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124242241415111431446622215124610168052',16789,'1023',40.95,1,3,NULL),(25,6256864,'1992-08-26 00:00:00',4,3,11,2009,'M','N','MARIA ISABEL','MARÍLIA','SP','112252251216271431458914575124241025142',2568,'9998',63.87,1,3,NULL),(25,6256872,'1993-08-24 00:00:00',4,1,12,2010,'F','N','CENTRO','CASCAVEL','PR','116162161215111431534515575122610134197',3525,'9998',63.36,1,3,NULL),(25,6256899,'1993-05-25 00:00:00',4,1,11,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215112441448734575124610163012',11011,'1022',45.83,1,3,NULL),(25,6256902,'1993-11-22 00:00:00',2,1,11,2010,'F','N','FUNDOS','BIGUAÇU','SC','124242241215151411424334275124610127047',21457,'20',28.36,1,3,NULL),(25,6256937,'1986-09-21 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224241241146155431243353245124121666187',NULL,'545',33.03,1,2,1),(25,6256945,'1993-08-17 00:00:00',4,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215151231448614575114610137052',7252,'1022',54.71,1,3,NULL),(25,6256953,'1991-02-14 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241417473411449613497124231824187',7849,'1022',55.10,1,3,NULL),(25,6256961,'1990-03-13 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217374431358911575114130466112',4536,'32',61.90,1,3,NULL),(25,6256970,'1993-05-30 00:00:00',4,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124243241136111431546913475124612814187',NULL,'270',15.43,1,3,NULL),(25,6256996,'1990-11-13 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215153411467923585111221464145',5135,'1022',60.54,1,3,NULL),(25,6257003,'1994-05-30 00:00:00',4,1,11,2010,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241115171431368832575124610125142',16285,'270',36.84,1,3,NULL),(25,6257020,'1993-02-14 00:00:00',4,2,12,2010,'F','N','SALTO','BLUMENAU','SC','124242241215121431468812575122610122142',1182,'855',72.97,1,3,NULL),(25,6257046,'1991-10-13 00:00:00',2,5,11,2009,'F','N','PARTENON','PTO ALEGRE','RS','120202201216471431236414175114610144052',12568,'9998',41.05,1,3,NULL),(25,6257054,'1992-12-28 00:00:00',4,1,12,2010,'M','N','ESPLANADA','S JOSÉ CAMPOS','SP','125252251211111731336728575122610122182',6293,'9998',54.76,1,3,NULL),(25,6257062,'1989-05-22 00:00:00',2,1,11,2006,'F','N','SETOR BELA VISTA','GOIÂNIA','GO','109091097117151431348813575122610155147',7762,'9998',52.39,4,3,NULL),(25,6257070,'1992-09-01 00:00:00',4,8,12,2010,'M','N','IRIRIÚ','JOINVILLE','SC','124241246217131441469813372124610134071',NULL,'1006',0.00,1,3,NULL),(25,6257089,'1992-08-15 00:00:00',2,5,10,2009,'F','N','IMBIRAPUERA','MRO FUMAÇA','SC','124242241215473431466412575122610122152',564,'226',76.96,1,3,NULL),(25,6257097,'1974-08-17 00:00:00',4,1,12,1991,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','424241201232152421448679485122440244147',NULL,'9998',30.33,1,3,NULL),(25,6257100,'1993-10-26 00:00:00',4,1,12,2010,'M','N','COLONIA SANTANA','S JOSÉ','SC','124241241127131432664631572124610124142',17478,'731',35.17,1,2,1),(25,6257119,'1993-11-02 00:00:00',4,1,11,2010,'M','N','VILA TOLENTINO','CASCAVEL','PR','116162161217111751379933576112610164042',432,'9998',78.17,1,3,NULL),(25,6257127,'1985-01-01 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124203247147271721333544345124133261147',NULL,'9999',21.41,1,3,NULL),(25,6257135,'1983-09-28 00:00:00',2,1,11,2003,'F','N','CACHOEIRA B JESUS','FLORIANÓPOLIS','SC','224241241116132421237454342234333226187',NULL,'295',0.00,1,3,NULL),(25,6257143,'1991-12-19 00:00:00',2,1,12,2009,'F','N','CAMPO GRANDE','SANTOS','SP','125251251115471431338823575114610147147',10145,'9998',46.59,1,2,1),(25,6257151,'1992-09-01 00:00:00',2,15,7,2010,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124242246216111731236629445122610112015',21422,'995',28.64,1,3,NULL),(25,6257178,'1968-10-01 00:00:00',4,1,7,1989,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224201206136133421543344445122223264047',12065,'9998',48.03,2,1,1),(25,6257194,'1992-07-22 00:00:00',4,3,12,2009,'M','N','VILA SAO JOAO','ARAPONGAS','PR','116162161217472431446929572112610167142',9185,'9998',48.65,1,3,NULL),(25,6257208,'1993-04-21 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215131431336419292124610122052',3139,'270',63.82,1,3,NULL),(25,6257224,'1989-12-18 00:00:00',2,1,12,2006,'F','N','SANTA CLARA','QUATRO PONTES','PR','116162161216575441439811575124243222142',1055,'9998',73.65,1,3,NULL),(25,6257232,'1993-10-26 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242241216151432537923575122610162147',11317,'1078',49.18,1,3,NULL),(25,6257259,'1993-09-17 00:00:00',4,1,12,2010,'F','N','SANTO ANTÔNIO','JARAGUÁ SUL','SC','124241241136141531423434575124610166047',21531,'425',27.61,1,2,1),(25,6257267,'1991-09-11 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124253251216372431458834575124230262187',13147,'9998',46.40,1,3,NULL),(25,6257275,'1992-07-16 00:00:00',4,8,12,2009,'F','N','SANTANA','ARAÇATUBA','SP','125252251215471431358923285122610161093',10882,'9998',44.92,1,3,NULL),(25,6257305,'1992-05-08 00:00:00',4,8,10,2010,'M','N','BIGORRILHO','CURITIBA','PR','116162161211471411479934575124610114052',277,'9998',79.35,1,3,NULL),(25,6257313,'1979-10-13 00:00:00',4,3,12,1997,'M','N','VARGEM PEQUENA','RIO JANEIRO','RJ','121212213216141721477844295122141267046',NULL,'9998',21.08,1,3,NULL),(25,6257321,'1989-03-09 00:00:00',2,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124211211417141431458663345124610136045',NULL,'9998',29.26,4,3,NULL),(25,6257330,'1992-03-08 00:00:00',2,1,9,2010,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124201207227131431126744345124610128187',NULL,'9998',26.99,1,3,NULL),(25,6257348,'1993-12-17 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111431438814245122610166012',NULL,'1010',21.14,1,3,NULL),(25,6257356,'1991-10-12 00:00:00',2,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124243241435211431536432275122610114047',NULL,'226',0.00,1,3,NULL),(25,6257364,'1993-02-08 00:00:00',4,1,12,2010,'M','N','SACO DOS LLIMÕES','FLORIANÓPOLIS','SC','124242241217111411479931575114610161175',1880,'270',68.95,1,3,NULL),(25,6257372,'1993-10-05 00:00:00',4,8,12,2010,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124243241215111431457614475112610137017',14345,'442',40.77,1,3,NULL),(25,6257380,'1992-03-13 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215372411359813445124610122192',NULL,'272',33.98,1,3,NULL),(25,6257399,'1994-12-22 00:00:00',2,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111731556632571124610123182',20448,'1022',33.32,1,3,NULL),(25,6257402,'1985-01-10 00:00:00',4,8,12,2002,'F','N','VILA NOVA','JOINVILLE','SC','124242241214272441458614482122520942192',7546,'457',51.81,1,3,NULL),(25,6257410,'1992-11-17 00:00:00',4,2,12,2010,'F','N','SANTA RITA','BRUSQUE','SC','124242241215271431566512575112610164192',10443,'107',50.59,1,3,NULL),(25,6257429,'1991-08-17 00:00:00',4,1,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215471431376633574124610131092',8333,'1057',50.72,4,3,NULL),(25,6257437,'1971-11-09 00:00:00',4,15,12,1996,'F','N','MATO ALTO','ARARANGUÁ','SC','124241248121142431433419143143120621147',19578,'29',35.62,1,2,1),(25,6257445,'1992-11-30 00:00:00',2,8,12,2010,'F','N','CENTRO','GUARATUBA','PR','116163241237161431456923572124610137147',NULL,'459',0.00,1,3,NULL),(25,6257453,'1993-07-09 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241232112411357714572122610133142',687,'497',76.09,1,3,NULL),(25,6257461,'1992-07-22 00:00:00',4,1,12,2009,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241212472431549833575112610162042',11114,'262',46.89,1,3,NULL),(25,6257470,'1993-05-28 00:00:00',2,17,12,2010,'M','N','CENTRO','AGUDOS SUL','PR','116161162117161431536319575122610126142',NULL,'9998',0.00,4,2,1),(25,6257496,'1992-08-03 00:00:00',4,1,11,2009,'M','N','VICTOR KONDER','BLUMENAU','SC','124202241217113231168811272124232464055',1624,'270',70.53,1,3,NULL),(25,6257500,'1994-03-24 00:00:00',2,6,12,2010,'F','N','SÃO VICENTE','ITAJAÍ','SC','124242241215131531539713575124610126187',13078,'388',42.15,4,3,NULL),(25,6257518,'1993-02-15 00:00:00',4,1,12,2010,'M','N','SÃO LUÍS','JEQUIÉ','BA','105052251216161441558934574125610136172',11318,'9998',49.18,1,3,NULL),(25,6257534,'1994-03-02 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241215271412534332575112610166185',NULL,'299',0.00,1,3,NULL),(25,6257542,'1993-10-15 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215112431446632571114610144167',11621,'737',46.18,1,3,NULL),(25,6257550,'1993-10-03 00:00:00',4,2,12,2010,'M','N','CENTRO','GASPAR','SC','124242241215271431458834571124610144047',2933,'909',66.13,1,3,NULL),(25,6257569,'1985-02-22 00:00:00',4,1,12,2007,'F','N','SANTOS DUMONT','S JOSÉ','SC','124246248127271431123344343123610164187',18469,'9999',34.60,4,3,NULL),(25,6257577,'1992-11-25 00:00:00',4,8,11,2009,'F','N','CAPÃO DA IMBUIA','CURITIBA','PR','116162161216472451348832571124610146147',NULL,'9998',0.00,1,3,NULL),(25,6257585,'1994-12-02 00:00:00',2,16,12,2010,'F','N','CENTRO','LEBON RÉGIS','SC','124243241116161431438619295122610166187',NULL,'532',0.00,1,3,NULL),(25,6257593,'1991-05-27 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473231358712442122230237047',16922,'1050',40.74,1,3,NULL),(25,6257607,'1993-02-07 00:00:00',2,4,11,2010,'F','N','CENTRO','ITAPIRANGA','SC','124241241411162712336823495122610146027',8936,'1060',48.46,1,3,NULL),(25,6257615,'1993-12-07 00:00:00',4,1,12,2010,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241217111752437739572114610132185',NULL,'9998',27.46,1,3,NULL),(25,6257623,'1989-05-17 00:00:00',4,1,12,2006,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241211145111678812372112231461094',NULL,'266',23.66,1,3,NULL),(25,6257631,'1991-02-21 00:00:00',4,8,12,2008,'F','N','VILA ITAJUBÁ','FOZ IGUAÇU','PR','116162161216573431663931595124610164147',176,'9998',81.36,1,3,NULL),(25,6257640,'1993-03-14 00:00:00',2,1,11,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215111431358812576124610134072',14793,'270',44.02,1,3,NULL),(25,6257658,'1992-06-02 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117131232546412375124610154147',NULL,'276',26.88,2,1,1),(25,6257666,'1993-07-19 00:00:00',4,1,10,2010,'M','N','BOM JESUS','FLORIANÓPOLIS','SC','124162241415121431456814245122610164052',7281,'270',53.44,3,3,NULL),(25,6257674,'1994-06-08 00:00:00',4,10,11,2011,'M','S','VILA NOVA','IMBITUBA','SC','124241241315111411347824575122610126192',NULL,'362',54.72,1,3,NULL),(25,6257682,'1993-08-11 00:00:00',2,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216112431538711575124610121147',9470,'270',49.64,1,3,NULL),(25,6257704,'1992-05-25 00:00:00',4,10,12,2009,'M','N','CENTRO','TUBARÃO','SC','124242241215271431468634595122610126092',5952,'807',58.84,1,3,NULL),(25,6257712,'1993-02-14 00:00:00',2,4,11,2010,'M','N','CENTRO','ERECHIM','RS','120202201217111751346834295122610127042',NULL,'9998',0.00,1,3,NULL),(25,6257720,'1993-04-02 00:00:00',2,1,12,2010,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124244241215111231343352575124610127047',15112,'1048',38.66,1,3,NULL),(25,6257739,'1993-01-21 00:00:00',4,8,11,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124241246215151331658832375112610117147',NULL,'1006',18.29,1,3,NULL),(25,6257747,'1993-09-08 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124204241215112451466812575122610127112',1449,'270',70.66,1,3,NULL),(25,6257763,'1992-03-06 00:00:00',4,1,12,2009,'M','N','CENTRO','CHAPECÓ','SC','120242241214471421246712571212210117182',7979,'1126',54.85,1,3,NULL),(25,6257771,'1991-02-19 00:00:00',2,1,11,2008,'M','N','VILA CAMARGO','LIMEIRA','SP','125253251216571441448734275122610165127',4227,'9998',60.29,1,3,NULL),(25,6257798,'1995-02-01 00:00:00',4,1,12,2010,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215111431459929575112610164072',6644,'270',57.39,1,3,NULL),(25,6257801,'1993-02-19 00:00:00',2,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111431569813375124610127042',9901,'1022',46.56,1,3,NULL),(25,6257810,'1992-05-27 00:00:00',2,1,12,2009,'F','N','CENTRO','MARINGÁ','PR','116162161216373321447614345112610164122',NULL,'9998',32.09,3,3,NULL),(25,6257828,'1990-06-12 00:00:00',4,1,12,2008,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251217571131534814172122610164114',NULL,'9998',26.10,1,3,NULL),(25,6257836,'1991-08-06 00:00:00',4,1,11,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215372431489931376114133233135',1335,'1133',71.60,1,3,NULL),(25,6257844,'1993-01-29 00:00:00',2,1,12,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124244241215111731426519592124610126055',NULL,'300',0.00,1,3,NULL),(25,6257852,'1994-04-15 00:00:00',4,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124243247217111431323439345124610118052',21785,'9999',21.90,1,3,NULL),(25,6257860,'1993-11-01 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215112431468614374112610128052',2642,'737',65.54,1,3,NULL),(25,6257879,'1990-03-22 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241211272411569933425132220927052',17107,'883',40.45,1,3,NULL),(25,6257887,'1992-10-12 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215121431248923572122610167142',1352,'270',70.33,1,3,NULL),(25,6257895,'1990-11-18 00:00:00',2,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241135141721633534245124610134142',NULL,'285',27.26,1,2,1),(25,6257917,'1992-10-31 00:00:00',4,1,12,2009,'F','N','CENTRO','PARAÍSO NORTE','PR','116162161217471431448831474122610162072',7704,'9998',53.01,3,3,NULL),(25,6257925,'1988-10-10 00:00:00',4,1,12,2006,'F','N','JARDIM SATÉLITE','S JOSÉ CAMPOS','SP','125252251217571451458614595122610164183',4765,'9998',58.04,3,3,NULL),(25,6257933,'1994-10-17 00:00:00',2,8,11,2011,'F','S','AMÉRICA','JOINVILLE','SC','624242248215111431446923585122610136127',NULL,'1016',42.07,1,3,NULL),(25,6257941,'1992-06-15 00:00:00',4,15,12,2009,'M','N','CRISTAL','PTO ALEGRE','RS','120202201211371411443513375124610164116',5410,'9998',59.95,1,3,NULL),(25,6257950,'1992-02-27 00:00:00',2,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431325622572124610125012',12278,'226',43.72,4,3,NULL),(25,6257976,'1992-06-26 00:00:00',2,15,12,2009,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241116142431433712245122610162047',NULL,'29',17.95,1,2,1),(25,6257992,'1993-07-25 00:00:00',2,7,12,2010,'F','N','CENTRO','ARROIO TRINTA','SC','124241241127141431427634345122610125092',17291,'853',35.11,1,2,1),(25,6258000,'1994-04-08 00:00:00',4,10,12,2011,'F','S','CENTRO','TUBARÃO','SC','124242241217111331469933435122610131057',NULL,'807',38.09,1,3,NULL),(25,6258018,'1993-05-23 00:00:00',2,15,12,2010,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124242241215371211346612575121610117042',10971,'970',45.49,1,3,NULL),(25,6258026,'1992-07-04 00:00:00',2,1,11,2009,'F','N','CANGO','FRANCISCO BELTRÃO','PR','116161161216371431659913575125610164147',5070,'9998',58.05,1,3,NULL),(25,6258034,'1993-02-21 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124241241135271721434611345122610146045',7357,'239',53.37,4,2,1),(25,6258042,'1993-02-16 00:00:00',2,2,12,2010,'M','N','CENTRO II','BRUSQUE','SC','124241241145141431226644345124610127052',NULL,'111',0.00,4,2,1),(25,6258069,'1984-05-21 00:00:00',2,1,8,2003,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243247231131431436623345124132834047',NULL,'9999',0.00,1,3,NULL),(25,6258077,'1994-10-11 00:00:00',2,1,12,2011,'F','S','HAMBURGO VELHO','NOVO HAMBURGO','RS','120202244217171711439732225122610118052',NULL,'9998',32.31,1,3,NULL),(25,6258085,'1992-07-28 00:00:00',2,8,12,2009,'M','N','CENTRO','MANDAGUAÇU','PR','116223221117471431449933372124610117072',14188,'9998',44.88,4,3,NULL),(25,6258093,'1993-05-20 00:00:00',4,1,11,2010,'F','N','CAPITAIS','TIMBÓ','SC','124242241215111231369614574112610121142',17627,'1157',35.22,1,3,NULL),(25,6258107,'1980-04-09 00:00:00',4,1,12,1997,'F','N','IPIRANGA','S JOSÉ','SC','124241248122131431323344242134610133047',NULL,'524',0.00,1,3,NULL),(25,6258115,'1992-03-02 00:00:00',4,17,12,2010,'M','N','CENTRO','CANOINHAS','SC','124241241117161311346816575122610124147',12964,'153',42.14,1,2,1),(25,6258123,'1993-01-17 00:00:00',4,4,12,2010,'F','N','CRISTO REI','CHAPECÓ','SC','124241241117131731533619241124610124097',NULL,'916',8.64,1,2,1),(25,6258131,'1990-07-02 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124262261217574431269922575114610146092',2033,'9998',69.01,1,3,NULL),(25,6258140,'1993-06-02 00:00:00',2,5,12,2010,'F','N','CENTRO','SIDERÓPOLIS','SC','124242241212471411556612224122610114142',NULL,'767',0.00,1,3,NULL),(25,6258166,'1993-07-20 00:00:00',4,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241217371431459713575124610168145',7067,'1022',53.82,1,3,NULL),(25,6258174,'1981-10-28 00:00:00',2,1,9,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624161167117131422241649442114610134013',NULL,'9998',16.42,1,3,NULL),(25,6258182,'1993-01-27 00:00:00',2,4,12,2010,'F','N','PIONEIRO','PINHALZINHO','SC','124241241116271411468914372122610134191',13367,'616',40.92,1,2,1),(25,6258190,'1993-10-15 00:00:00',2,7,12,2010,'F','N','DOIS PINHEIROS','VIDEIRA','SC','124241241216161431338833575122610124147',NULL,'1080',20.56,1,3,NULL),(25,6258204,'1983-09-17 00:00:00',4,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251215472451138864415122333263092',198,'9998',81.07,1,3,NULL),(25,6258212,'1994-06-16 00:00:00',2,4,12,2010,'F','N','CENTRO','IPORÃ OESTE','SC','124241241116131411439933572123610123147',15496,'371',37.00,1,2,1),(25,6258220,'1986-12-22 00:00:00',2,1,6,2010,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124244247415332451538629492124610127117',NULL,'977',0.00,1,3,NULL),(25,6258239,'1987-08-07 00:00:00',2,8,12,2004,'F','N','CENTRO','CASCAVEL','PR','116162161216571731446624575112142463147',8274,'9998',50.43,1,3,NULL),(25,6258247,'1992-10-15 00:00:00',2,3,12,2009,'M','N','CENTRO','SIMÃO DIAS','SE','126263261315411751423339575124610118047',6446,'9998',54.73,1,3,NULL),(25,6258255,'1993-04-22 00:00:00',4,15,12,2010,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124241241115221732335531395112610161017',19170,'1033',30.26,1,2,1),(25,6258263,'1992-10-07 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431468832595112610122142',2868,'262',65.14,1,3,NULL),(25,6258271,'1993-07-23 00:00:00',4,1,12,2010,'M','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124242241215122411429711575114610166177',11033,'1022',46.25,1,3,NULL),(25,6258280,'1993-05-13 00:00:00',4,1,12,2010,'F','N','CAMPO VELHO','APIAÍ','SP','125251251115161431226623335224610124057',NULL,'9998',0.00,4,2,1),(25,6258298,'1993-12-13 00:00:00',4,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241114111431446932222141610167037',11039,'9997',49.61,1,3,NULL),(25,6258301,'1994-03-08 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243243117371431234729375124610134187',8198,'129',51.06,4,3,NULL),(25,6258310,'1993-07-19 00:00:00',2,7,12,2010,'M','N','FAZENDA','ITAJAÍ','SC','124242241415371711248711395125610117152',21627,'395',26.49,1,3,NULL),(25,6258328,'1989-05-05 00:00:00',4,8,12,2006,'F','N','VILA REA','HORTOLÂNDIA','SP','125251251117271431526623381114610166097',9435,'9998',49.85,2,2,1),(25,6258336,'1992-08-09 00:00:00',2,1,12,2009,'M','N','IBIRAQUERA','IMBITUBA','SC','124241241116271411323369375121610134042',16201,'1136',37.31,1,2,1),(25,6258344,'1992-03-09 00:00:00',2,1,12,2010,'M','N','BELA VISTA','S JOSÉ','SC','124241241117141431436634345124610164142',NULL,'726',30.50,2,2,1),(25,6258352,'1989-08-09 00:00:00',4,1,11,2008,'M','N','PONTE PRETA','CAMPINAS','SP','125254251417371412226811385111610127047',NULL,'9998',38.21,5,3,NULL),(25,6258360,'1994-03-15 00:00:00',4,1,12,2011,'M','S','COQUEIROS','FLORIANÓPOLIS','SC','124122241417131431418811344124610144072',NULL,'292',45.24,1,3,NULL),(25,6258379,'1993-06-15 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121431479933575122610167052',615,'270',76.30,1,3,NULL),(25,6258387,'1993-04-07 00:00:00',4,15,12,2009,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','120242241215152431447823575124241462055',9947,'770',51.44,1,3,NULL),(25,6258395,'1979-09-11 00:00:00',2,1,12,1999,'M','N','AREIAS','S JOSÉ','SC','224241247222163451338644195112123067062',11639,'270',44.07,1,3,NULL),(25,6258409,'1994-02-27 00:00:00',2,9,12,2010,'F','N','CENTRO','IBIAM','SC','124241241126131431524923295125610128142',NULL,'343',0.00,1,2,1),(25,6258417,'1992-06-06 00:00:00',2,4,12,2008,'F','N','CENTRO','TRINDADE SUL','RS','120203201216472431439639572124610123092',14148,'9998',44.94,1,3,NULL),(25,6258433,'1987-11-28 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136373721124644245124143024112',13473,'174',42.31,1,2,1),(25,6258450,'1984-05-05 00:00:00',4,1,6,2003,'F','N','BELA VISTA','S PAULO','SP','125202257337471741236729445114610162142',7194,'9998',54.00,1,3,NULL),(25,6258468,'1992-12-18 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241115473431434531591124610164187',18802,'733',33.42,1,2,1),(25,6258476,'1978-05-29 00:00:00',2,1,12,1997,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126134751252574215124133262145',NULL,'726',0.00,1,2,1),(25,6258484,'1992-08-16 00:00:00',4,3,12,2010,'M','N','PARQUE IPÊ','S PAULO','SP','125252251117271211126311375124610167047',17994,'9998',34.63,1,3,NULL),(25,6258492,'1992-04-19 00:00:00',4,15,11,2009,'M','N','CRISTAL','PTO ALEGRE','RS','120202201217571431357632576124610167112',NULL,'9998',0.00,1,3,NULL),(25,6258506,'1992-08-03 00:00:00',2,5,12,2009,'F','N','VILA DA RIOCEL','GUAÍBA','RS','120202201217471511478831571122610123122',2215,'9998',65.37,1,3,NULL),(25,6258514,'1992-03-27 00:00:00',4,1,12,2009,'F','N','GRANJA OLGA','SOROCABA','SP','125252251215471431568811575122610122057',NULL,'9998',0.00,1,3,NULL),(25,6258530,'1991-01-11 00:00:00',2,15,12,2006,'M','N','CENTRO','SOMBRIO','SC','124241241217575431466632385122231467065',4713,'970',59.50,1,3,NULL),(25,6258549,'1990-08-20 00:00:00',4,1,12,2008,'M','N','BARÃO GERALDO','CAMPINAS','SP','125252251216572731488811475112610167047',3455,'9998',61.86,1,3,NULL),(25,6258557,'1993-09-08 00:00:00',2,1,11,2011,'M','S','KOBRASOL','S JOSÉ','SC','124243241216131411636511575122610112042',NULL,'723',37.07,1,3,NULL),(25,6258565,'1993-01-27 00:00:00',4,4,12,2010,'F','N','CENTRO','ANCHIETA','SC','124241241115131411538613495125610134177',12159,'16',43.67,1,2,1),(25,6258573,'1981-05-16 00:00:00',2,1,12,1998,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','424201208117371411223844241334610137047',NULL,'9998',0.00,1,3,NULL),(25,6258581,'1993-01-16 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217111431546719575114610117187',10542,'270',45.65,1,3,NULL),(25,6258590,'1992-01-13 00:00:00',2,1,11,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241116231131435574345124230234187',NULL,'712',28.51,4,2,1),(25,6258603,'1989-09-06 00:00:00',2,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','624201201116371431223544342124610125097',NULL,'9998',28.23,1,2,1),(25,6258620,'1992-10-21 00:00:00',4,10,12,2009,'M','N','MENINO DEUS','PTO ALEGRE','RS','120201201117471731525413375114610137187',6825,'9998',54.19,1,3,NULL),(25,6258638,'1993-02-08 00:00:00',4,2,12,2010,'F','N','CENTRO','BRUSQUE','SC','124242241211212411378813575122610128142',3984,'107',62.01,1,3,NULL),(25,6258654,'1992-06-25 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215572431448823575112122066147',1233,'269',72.69,1,3,NULL),(25,6258662,'1989-11-08 00:00:00',2,1,11,2008,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241126132232326319582122610122175',NULL,'772',24.25,1,2,1),(25,6258670,'1986-08-25 00:00:00',2,3,11,2005,'M','N','CEEE','SALTO JACUÍ','RS','120201201111111211225532212111120211132',NULL,'9998',22.97,1,3,NULL),(25,6258689,'1992-07-20 00:00:00',4,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215472731446412575112610132191',4459,'806',59.99,1,3,NULL),(25,6258697,'1992-02-11 00:00:00',2,1,6,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241335372731325621385124610164117',19764,'9999',29.52,1,3,NULL),(25,6258719,'1993-09-16 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215371431323619396114610134052',18674,'1078',37.59,1,3,NULL),(25,6258735,'1993-05-03 00:00:00',4,8,12,2010,'F','N','ITAUM','JOINVILLE','SC','124244241415161231338613572124610136077',NULL,'492',12.53,1,3,NULL),(25,6258743,'1987-04-30 00:00:00',4,15,12,2004,'M','N','CENTRO','PTO ALEGRE','RS','120203201236571411468733471122143227122',3107,'9998',62.80,1,3,NULL),(25,6258751,'1991-05-15 00:00:00',2,1,12,2008,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241226133431433511315124610167047',16418,'262',37.48,1,3,NULL),(25,6258760,'1991-08-23 00:00:00',2,1,12,2009,'M','N','MENINO DEUS','PTO ALEGRE','RS','120202201217371741327821595114610137052',NULL,'9998',22.40,1,3,NULL),(25,6258778,'1993-10-24 00:00:00',4,8,12,2010,'F','N','CRUZEIRO','S BENTO SUL','SC','124241241116271331438923245124610123072',15758,'697',37.73,1,3,NULL),(25,6258786,'1993-04-11 00:00:00',4,10,11,2010,'F','N','NOVA BRASÍLIA','IMBITUBA','SC','124241241115271431437733395124610125197',NULL,'359',31.81,1,2,1),(25,6258794,'1987-07-09 00:00:00',3,1,6,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241116332431234344445114610126182',20521,'591',28.88,1,2,1),(25,6258808,'1992-07-14 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215412431267814582122610112072',13853,'1022',41.12,1,3,NULL),(25,6258816,'1994-05-22 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431458931215122610128197',NULL,'270',49.66,1,3,NULL),(25,6258824,'1993-01-06 00:00:00',2,1,12,2010,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241248126131132425614575122610138147',NULL,'649',21.00,1,2,1),(25,6258832,'1992-09-09 00:00:00',4,1,12,2009,'F','N','JARDIM ANA MARIA','PIRAJU','SP','125254251217371231568813572112610132142',5606,'9998',56.35,1,3,NULL),(25,6258840,'1991-06-14 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241247215272731457512142124610168063',16544,'724',41.32,1,3,NULL),(25,6258859,'1991-04-28 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431549913412112610161152',7903,'270',51.13,1,3,NULL),(25,6258867,'1989-02-21 00:00:00',2,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','624201201116371431226644442124610128187',19042,'9998',36.86,1,2,1),(25,6258875,'1972-05-11 00:00:00',2,1,12,1990,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','624241243111144451234643432123422212182',15763,'306',42.49,4,1,1),(25,6258883,'1993-03-01 00:00:00',2,1,12,2010,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241135141721533311242134610132145',NULL,'307',30.96,1,2,1),(25,6258913,'1994-04-23 00:00:00',4,15,12,2010,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241146371431424923182122610137057',NULL,'30',33.39,1,2,1),(25,6258921,'1992-02-11 00:00:00',4,1,12,2009,'M','N','BACACHERI','CURITIBA','PR','116164161315571431458912275124610137117',11092,'9998',49.53,1,3,NULL),(25,6258930,'1992-04-23 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124202201216372431336823582122610167112',2657,'9998',65.61,1,3,NULL),(25,6258948,'1991-11-16 00:00:00',4,8,12,2008,'F','N','XAXIM','CURITIBA','PR','116163161214571411468914572114610144125',4236,'9998',59.98,1,3,NULL),(25,6258956,'1992-12-07 00:00:00',4,1,12,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241117471431226621575124610134032',11995,'292',45.44,1,3,NULL),(25,6258964,'1992-08-25 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215473431356733575114610167017',NULL,'737',0.00,1,3,NULL),(25,6258972,'1992-11-19 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241216112411236823575122231043153',NULL,'1123',0.00,1,3,NULL),(25,6258980,'1990-12-12 00:00:00',2,8,12,2008,'M','N','IRIRIU','JOINVILLE','SC','124243241436372431433519345121610125051',18235,'469',38.41,1,3,NULL),(25,6258999,'1992-05-28 00:00:00',4,17,12,2009,'M','N','VILA FORMOSA','MAFRA','SC','124243168216151431453331575122610167042',NULL,'9998',20.40,1,3,NULL),(25,6259014,'1993-06-11 00:00:00',4,4,12,2010,'F','N','CENTRO','CASCAVEL','PR','116162161215111431456915575122610131187',16327,'9998',37.12,1,3,NULL),(25,6259049,'1992-02-01 00:00:00',2,1,12,2010,'M','N','CHACARA CACHOEIRA','CPO GRANDE','MS','112124121217111431448713575122610117142',NULL,'9998',0.00,1,3,NULL),(25,6259057,'1990-02-26 00:00:00',4,1,12,2007,'M','N','TRISTEZA','PTO ALEGRE','RS','120202201217571411489913313112610167042',NULL,'9998',0.00,1,3,NULL),(25,6259073,'1988-10-24 00:00:00',4,8,12,2006,'F','N','ITAGUAÇÚ','S FRANCISCO SUL','SC','124243241137131431537723285214610136187',NULL,'710',0.00,1,3,NULL),(25,6259103,'1991-07-09 00:00:00',4,1,12,2009,'M','N','BUENO','GOIÂNIA','GO','107092091217472431458822571122610163042',1897,'9998',69.33,1,3,NULL),(25,6259111,'1992-02-07 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215112431468633572112231027053',NULL,'270',23.58,2,1,2),(25,6259120,'1992-08-23 00:00:00',2,1,12,2009,'F','N','SÃO CRISTÓVÃO','CAÇADOR','SC','124241241116161431423329385124231467052',21057,'123',30.87,1,2,1),(25,6259138,'1991-11-19 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217472451378923574112610142122',2649,'262',65.81,1,3,NULL),(25,6259146,'1992-06-04 00:00:00',2,1,12,2010,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241117141411423311395124610132142',21649,'727',26.13,1,2,1),(25,6259154,'1990-05-20 00:00:00',4,1,5,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243247117141431569913393123233224187',21285,'300',29.51,1,3,NULL),(25,6259162,'1993-08-18 00:00:00',4,7,12,2010,'F','N','SANTA TEREZA','VIDEIRA','SC','124241241215151431338731315125610152173',13136,'829',46.42,1,3,NULL),(25,6259189,'1992-06-22 00:00:00',2,8,12,2009,'F','N','CENTRO','GUARAMIRIM','SC','124241243126371431526614345134610163157',18015,'336',38.82,1,2,1),(25,6259197,'1992-09-20 00:00:00',4,8,12,2010,'M','N','IMBEL','ITAJUBÁ','MG','113134131217121731336773575121610116187',NULL,'9998',0.00,1,3,NULL),(25,6259200,'1991-09-11 00:00:00',4,1,12,2009,'M','N','BROOKLIN','S PAULO','SP','125252251217471431488821572122610167042',NULL,'9998',0.00,1,3,NULL),(25,6259219,'1993-03-18 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241115371431338721595124610122141',9795,'307',48.85,1,3,NULL),(25,6259227,'1994-05-06 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215371231346632575114610167052',17536,'1022',35.08,1,3,NULL),(25,6259235,'1993-02-15 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371731679912594122610147072',NULL,'1022',25.35,1,3,NULL),(25,6259243,'1993-07-08 00:00:00',2,8,12,2010,'M','N','ALTO DA RUA XV','CURITIBA','PR','116162161315471341338734575124610127047',NULL,'9998',0.00,1,3,NULL),(25,6259260,'1990-07-28 00:00:00',4,1,12,2008,'F','N','JD SANTA FÉ','S PAULO','SP','125252251147371431358634344124141023097',NULL,'9998',35.10,4,3,NULL),(25,6259278,'1993-03-29 00:00:00',4,15,12,2010,'F','N','CENTRO','STA ROSA SUL','SC','124241241137141431423511345124610128197',NULL,'689',32.32,1,2,1),(25,6259294,'1992-12-23 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241116572741333823385121610125147',2009,'49',68.73,4,2,1),(25,6259316,'1981-12-26 00:00:00',4,1,10,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124131281137573431234823245125610137112',9240,'9998',50.22,1,2,1),(25,6259324,'1993-06-07 00:00:00',4,1,12,2010,'M','N','PRAIA DE FORA','PALHOÇA','SC','124242241215141421353931244124610164097',11324,'989',43.58,1,3,NULL),(25,6259332,'1992-09-13 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124241241146271432431324245124610127057',8444,'354',52.46,1,2,1),(25,6259340,'1992-12-09 00:00:00',4,8,12,2009,'M','N','GUABIROTUBA','CURITIBA','PR','116162161217471431569835574112610137182',1836,'9998',68.72,3,3,NULL),(25,6259359,'1993-10-12 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241125141431423321242114610131177',18273,'283',33.26,1,2,1),(25,6259367,'1993-04-13 00:00:00',2,1,12,2010,'M','N','JARDIM ELITE','PIRACICABA','SP','125252251436111411458814345122610157043',NULL,'9998',26.47,1,3,NULL),(25,6259375,'1990-11-01 00:00:00',2,1,12,2007,'M','N','VILA JARDIM','PTO ALEGRE','RS','120201201216572411273639595124140237182',7572,'9998',53.70,1,3,NULL),(25,6259383,'1992-05-18 00:00:00',4,1,12,2009,'M','N','MOÓCA','S PAULO','SP','125252251217571431468832572114143214057',NULL,'9998',0.00,1,3,NULL),(25,6259391,'1992-09-22 00:00:00',4,6,12,2009,'M','N','SÃO CRISTOVAO','CEL VIVIDA','PR','116161161126141431328934245124610128172',13715,'9998',40.58,1,2,1),(25,6259421,'1992-04-30 00:00:00',2,4,12,2010,'F','N','CENTRO','DIAMANTE D OESTE','PR','116161166146471431359933285124610142147',14374,'9998',39.40,4,2,1),(25,6259430,'1990-09-06 00:00:00',2,4,12,2007,'F','N','JARDIM ITU SABARA','PTO ALEGRE','RS','120201201116571731436923575124241537057',11598,'9998',44.46,4,1,1),(25,6259448,'1987-10-12 00:00:00',4,1,12,2005,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124201201135471441236644344124610134112',17042,'9998',40.56,1,2,1),(25,6259472,'1992-11-13 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241115271431446829495114610168057',19250,'307',34.20,1,3,NULL),(25,6259480,'1990-02-16 00:00:00',4,9,12,2008,'F','N','CONTA DINHEIRO','LAGES','SC','124241241116271431323439395124131562147',16385,'935',41.59,1,3,NULL),(25,6259499,'1991-02-22 00:00:00',4,1,12,2009,'M','N','CHACARA DAS PEDRAS','PTO ALEGRE','RS','120132207216371432646874375124140424117',NULL,'9998',24.07,1,3,NULL),(25,6259529,'1987-04-14 00:00:00',4,8,11,2005,'M','N','CENTRO','PELOTAS','RS','120252241215575431179814575124241424122',3569,'457',61.57,1,3,NULL),(25,6259537,'1993-09-01 00:00:00',4,1,12,2010,'F','N','SÃO JOSÉ','S JOSÉ','SC','124241241137141431433512312122610134147',NULL,'592',24.84,1,2,1),(25,6259545,'1985-02-23 00:00:00',4,1,8,2003,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124121127347311411236639492124143268047',NULL,'9998',0.00,1,3,NULL),(25,6259553,'1985-03-21 00:00:00',4,1,12,2002,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241115471431223344442124610112147',6015,'293',55.76,4,2,1),(25,6259570,'1992-04-23 00:00:00',4,1,12,2009,'M','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124242241217153431658513572114233234073',14173,'270',44.90,1,3,NULL),(25,6259596,'1991-11-01 00:00:00',4,1,11,2008,'M','N','PASSO DAREIA','PTO ALEGRE','RS','120204201217271411338714241124141015117',NULL,'9998',NULL,1,3,NULL),(25,6259600,'1982-04-20 00:00:00',4,1,12,1996,'M','N','CENTRO','BIGUAÇU','SC','224241246132371431223344345122610118187',NULL,'520',17.30,1,2,1),(25,6259618,'1993-12-04 00:00:00',4,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241225111731223311275124610136062',3505,'262',62.81,1,3,NULL),(25,6259626,'1991-02-21 00:00:00',4,1,2,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124122121217161441119611385114141042041',19076,'9998',33.83,4,3,NULL),(25,6259634,'1986-05-28 00:00:00',4,1,12,2003,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124251251116131431226644445124141467117',NULL,'9998',0.00,4,2,1),(25,6259650,'1992-01-28 00:00:00',4,8,12,2009,'M','N','PETROPOLIS','JOINVILLE','SC','124241246216131431433622385124610164097',4581,'1105',61.81,1,3,NULL),(25,6259669,'1993-08-07 00:00:00',4,8,12,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124242241217271431469914575112610135012',7526,'457',51.01,1,3,NULL),(25,6259677,'1984-10-15 00:00:00',4,1,12,2001,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124201203227151431333314345134610136187',6002,'9998',54.67,1,3,NULL),(25,6259685,'1992-12-13 00:00:00',2,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124244241216472411563612215122131231052',18197,'723',38.47,1,3,NULL),(25,6259707,'1993-11-26 00:00:00',4,2,10,2010,'M','N','GASPAR GRANDE','GASPAR','SC','124242241215111431468833575112610167112',3000,'855',65.94,1,3,NULL),(25,6259715,'1992-02-27 00:00:00',4,1,12,2009,'M','N','VILA NOVA','BLUMENAU','SC','124242241216472431588811492122610167112',6948,'855',56.84,1,3,NULL),(25,6259723,'1993-04-21 00:00:00',4,4,12,2010,'M','N','INTERIOR','PARAÍSO','SC','124241241116141431643315352224610164052',NULL,'604',27.99,1,2,1),(25,6259740,'1993-06-18 00:00:00',4,4,12,2010,'F','N','SANTA ISABEL','QUILOMBO','SC','124241241115131331633335572224610122142',NULL,'648',0.00,1,2,1),(25,6259758,'1991-08-29 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215414431249834395112230268042',12084,'270',48.01,1,3,NULL),(25,6259766,'1976-04-18 00:00:00',2,1,12,1996,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','224241243122133421232241312132610142185',16981,'306',40.66,1,2,1),(25,6259774,'1989-07-03 00:00:00',2,8,12,2006,'M','N','CENTRO','CPO LARGO','PR','116161161116574431567814374114610167047',1285,'9998',71.46,1,2,1),(25,6259782,'1964-06-12 00:00:00',2,1,11,1984,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243248311132411266629481214121814042',NULL,'303',31.89,1,3,NULL),(25,6259790,'1980-02-02 00:00:00',2,1,12,1997,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115473721438613485124610127187',NULL,'267',30.10,1,2,1),(25,6259804,'1980-07-05 00:00:00',4,1,12,2000,'F','N','BARREIROS','S JOSÉ','SC','124241247336144431324343335122342742092',NULL,'9999',38.77,1,3,NULL),(25,6259812,'1992-01-19 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124131131117371731113349495124610137182',NULL,'9998',34.67,4,2,1),(25,6259820,'1990-07-15 00:00:00',4,1,12,2009,'F','N','JD AEROPORTO','LIMEIRA','SP','125251256125471411335311345124610135097',NULL,'9998',0.00,4,2,1),(25,6259839,'1987-03-22 00:00:00',4,1,12,2004,'M','N','TRÊS RIACHOS','BIGUAÇU','SC','124242241216375431457713141124231134182',4981,'1040',60.87,1,3,NULL),(25,6259847,'1972-02-23 00:00:00',4,1,12,1988,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124204205216132441327754445124343238182',9759,'9998',51.78,1,3,NULL),(25,6259863,'1992-07-23 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215373431536824495114610144092',11584,'1076',44.80,1,3,NULL),(25,6259871,'1991-06-15 00:00:00',4,1,12,2008,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241117372431468854375122120717112',4035,'271',62.12,1,3,NULL),(25,6259898,'1991-11-29 00:00:00',2,5,11,2008,'M','N','CENTRO','PASSO FUNDO','RS','120202201216472431358661571112141467042',792,'9998',74.08,1,3,NULL),(25,6259901,'1993-04-20 00:00:00',4,8,12,2010,'M','N','BOA VISTA','JOINVILLE','SC','124081241147141131336614585114610132092',17830,'477',34.12,1,2,1),(25,6259910,'1988-04-03 00:00:00',4,2,12,2005,'F','N','ASILO','BLUMENAU','SC','224241241325472431228452175122331537146',9923,'991',48.06,1,3,NULL),(25,6259936,'1988-07-27 00:00:00',2,1,12,2006,'M','N','TRÊS RIACHOS','BIGUAÇU','SC','124242241216375431457713182114610144042',NULL,'1040',18.03,1,3,NULL),(25,6259944,'1992-08-24 00:00:00',4,3,12,2009,'F','N','FORTALEZA','BLUMENAU','SC','124242241215272431566822574124610112142',7774,'909',55.26,4,3,NULL),(25,6259979,'1992-05-11 00:00:00',4,4,12,2009,'M','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161211472421455632575124610136037',5174,'9998',58.13,1,3,NULL),(25,6259987,'1993-07-31 00:00:00',2,17,12,2010,'M','N','INTERIOR','MAFRA','SC','124241162115161731524316575122610123042',NULL,'9998',0.00,1,3,NULL),(25,6259995,'1992-12-21 00:00:00',2,1,10,2009,'M','N','IPIRANGA','S JOSÉ','SC','124244241215372431467812475122610168055',17063,'1118',40.53,1,3,NULL),(25,6260004,'1980-04-27 00:00:00',2,16,12,1997,'M','N','CENTRO','CURITIBANOS','SC','224241241121274432326313241324131017057',NULL,'719',0.00,1,3,NULL),(25,6260012,'1991-08-22 00:00:00',4,5,12,2008,'F','N','UNIVERSITÁRIO','CRICIÚMA','SC','124201201116141431126744245134231462042',14735,'9998',44.10,1,2,1),(25,6260020,'1993-01-03 00:00:00',2,1,12,2010,'F','N','FAZENDA','ÁGUAS MORNAS','SC','124242241215111431544432575122610111142',NULL,'1223',36.62,1,3,NULL),(25,6260055,'1991-09-20 00:00:00',4,1,12,2008,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241241115272431336633445114610144145',14588,'307',44.31,1,2,1),(25,6260063,'1989-05-22 00:00:00',2,1,6,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241247122132731321521182114610128047',NULL,'9997',13.56,1,2,1),(25,6260071,'1987-11-30 00:00:00',2,1,3,2005,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241247622132531333439295334610131115',20037,'9999',29.02,3,3,NULL),(25,6260080,'1992-03-21 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216372431528712295134231868152',7722,'1134',55.38,1,3,NULL),(25,6260098,'1993-01-10 00:00:00',2,6,12,2010,'M','N','SÃO JUDAS','ITAJAÍ','SC','124242246235111711646831392121610112072',NULL,'388',0.00,2,1,2),(25,6260101,'1987-07-20 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243247437131431348513345114610132057',21717,'9999',24.77,1,3,NULL),(25,6260110,'1984-08-02 00:00:00',2,1,12,2001,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241136375721118844445124123062017',13679,'307',40.86,4,3,NULL),(25,6260136,'1979-01-08 00:00:00',2,8,12,1995,'M','N','AVENTUREIRO','JOINVILLE','SC','224282281216271441236441415124610116011',17003,'9998',40.61,5,3,NULL),(25,6260152,'1993-06-02 00:00:00',2,17,12,2010,'M','N','INTERIOR','ITAIÓPOLIS','SC','124241162115161731325536575222610123062',NULL,'9998',13.69,1,2,1),(25,6260160,'1993-01-04 00:00:00',2,9,12,2010,'F','N','BELA VISTA','LAGES','SC','124241241115371431324331575124610132147',NULL,'935',0.00,1,2,1),(25,6260187,'1994-01-30 00:00:00',2,1,12,2011,'F','S','AREIAS','S JOSÉ','SC','124242241215111731636933575124610113057',NULL,'270',32.82,1,3,NULL),(25,6260195,'1992-01-27 00:00:00',4,10,11,2009,'M','N','SANTO ANT DE PÁDUA','TUBARÃO','SC','124242241215152431479933575122233264045',15578,'807',42.79,1,3,NULL),(25,6260209,'1990-08-17 00:00:00',2,1,12,2007,'F','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241135373431555511295124610164092',12444,'307',43.39,1,2,1),(25,6260225,'1987-12-29 00:00:00',4,1,12,2004,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201208131131131223328342121610117047',NULL,'9997',20.63,4,2,1),(25,6260233,'1992-04-29 00:00:00',4,10,11,2009,'M','N','RIACHINHO','JAGUARUNA','SC','124242241415131431446832495112610122182',5600,'806',59.56,1,3,NULL),(25,6260241,'1989-05-30 00:00:00',4,1,12,2006,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','125112111217573431459933575125610152072',109,'9998',83.11,1,3,NULL),(25,6260250,'1991-07-05 00:00:00',2,9,11,2009,'M','N','CENTRO','S JOAQUIM','SC','124242241216471431336616575125610127052',8940,'720',50.63,1,3,NULL),(25,6260268,'1992-06-12 00:00:00',2,1,12,2009,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241116572411423311375124610127042',8599,'288',51.59,1,2,1),(25,6260276,'1991-05-27 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215142431348934495122222236185',10242,'1133',50.93,1,3,NULL),(25,6260284,'1980-09-22 00:00:00',2,15,12,1998,'F','N','VILA BITENCOURT','STA ROSA SUL','SC','224241241126131732224351145333610147147',NULL,'689',15.76,1,2,1),(25,6260292,'1993-08-27 00:00:00',4,8,12,2010,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215111431468923575124610137047',NULL,'9998',0.00,1,3,NULL),(25,6260306,'1987-03-24 00:00:00',2,1,12,2004,'F','N','IPIRANGA','S JOSÉ','SC','124241241122215431224327332234610114142',12642,'111',45.33,1,2,1),(25,6260322,'1991-04-30 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216274731458813345121123264157',8215,'1022',54.49,1,3,NULL),(25,6260330,'1991-02-13 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215573431478833572124121467112',519,'807',77.46,1,3,NULL),(25,6260349,'1988-06-17 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224221221136471431233653385124140827037',12150,'9998',44.46,3,2,1),(25,6260357,'1982-10-28 00:00:00',2,1,12,2006,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241126372451224373485114610124187',18573,'521',37.82,1,2,1),(25,6260365,'1993-04-27 00:00:00',2,2,11,2010,'F','N','SANTANA','RIO SUL','SC','124242241215111431436632575322610164042',11468,'663',44.82,1,3,NULL),(25,6260373,'1984-05-23 00:00:00',2,1,12,2001,'M','N','CENTRO','PALHOÇA','SC','124242241215155731366413232124220727047',17922,'590',38.99,1,3,NULL),(25,6260381,'1993-08-29 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORES CUNHA','RS','120202208117471731448811272112610127097',NULL,'9998',0.00,1,3,NULL),(25,6260390,'1969-04-08 00:00:00',2,1,12,1989,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241126474411123344242214120842047',12561,'307',47.25,1,2,1),(25,6260403,'1992-06-23 00:00:00',2,9,12,2009,'F','N','PARQUE MADERIL','S JOAQUIM','SC','124241241116271331427923575212610123142',NULL,'719',19.37,1,2,1),(25,6260411,'1992-07-31 00:00:00',3,1,12,2010,'F','N','BALNEÁRIO DO ESTREIT','FLORIANÓPOLIS','SC','116162161417371441568614574122610146174',2532,'9998',65.38,4,3,NULL),(25,6260438,'1986-11-08 00:00:00',2,1,12,2004,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241126474411423311385124230223182',20344,'307',33.58,1,2,1),(25,6260446,'1992-01-28 00:00:00',4,8,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161215471431469911575124610132057',NULL,'9998',0.00,1,3,NULL),(25,6260454,'1985-04-22 00:00:00',3,1,12,2002,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241317144431543634395124230223197',16320,'951',41.67,1,3,NULL),(25,6260462,'1991-12-09 00:00:00',2,1,12,2010,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124242247236141231138342325122610127042',NULL,'1076',41.30,1,3,NULL),(25,6260470,'1992-07-02 00:00:00',2,5,12,2009,'F','N','CENTRO','PASSO FUNDO','RS','120201201116471451333619291125610128187',13477,'9998',41.02,1,2,1),(25,6260489,'1990-11-03 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124241241116273431325324242224230226047',17274,'732',40.14,1,2,1),(25,6260497,'1987-01-16 00:00:00',2,1,12,2004,'M','N','LAGO SUL','LG SUL','DF','107072071216573431587633585122242427042',NULL,'9998',0.00,1,3,NULL),(25,6260500,'1992-05-29 00:00:00',4,7,12,2009,'F','N','MONTE BELO','JOAÇABA','SC','124242241215471431369814271122610164192',3700,'962',64.06,1,3,NULL),(25,6260535,'1992-03-26 00:00:00',2,1,11,2010,'M','N','AGRONÕMICA','FLORIANÓPOLIS','SC','124242241217111531458821572125610147047',15031,'1169',39.39,1,3,NULL),(25,6260543,'1988-04-14 00:00:00',2,1,12,2005,'F','N','KOBRASOL','S JOSÉ','SC','124241241316475451636623145132630247091',19516,'1036',35.79,1,3,NULL),(25,6260560,'1993-07-05 00:00:00',2,8,12,2010,'M','N','RIO VERMELHO ESTAÇÃO','S BENTO SUL','SC','124241241115271431336631275124610147072',NULL,'697',32.18,1,2,1),(25,6260578,'1993-07-28 00:00:00',2,3,12,2010,'F','N','CENTRO','CAMBORIÚ','SC','124241243115111431468614275122610134077',14291,'129',44.73,1,3,NULL),(25,6260586,'1993-01-12 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124242241415471731269813295114610121077',NULL,'512',27.99,1,3,NULL),(25,6260594,'1993-01-22 00:00:00',4,8,12,2010,'F','N','PEDREGULHOS','JACAREÍ','SP','125252251235471331568833572124610163072',NULL,'9998',0.00,1,3,NULL),(25,6260608,'1989-04-05 00:00:00',2,1,11,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241126272431223344345133223027093',NULL,'282',0.00,1,2,1),(25,6260616,'1993-03-11 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241115371431426424242124610126057',18879,'307',37.17,1,3,NULL),(25,6260624,'1992-10-12 00:00:00',3,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111751228824575124610163017',5282,'1169',60.23,1,3,NULL),(25,6260632,'1979-04-26 00:00:00',4,1,1,1998,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201208147151411123344342134610164182',19491,'9998',35.85,1,2,1),(25,6260640,'1991-05-14 00:00:00',2,5,12,2009,'M','N','MICHEL','CRICIÚMA','SC','124202248435472411446612175122610117047',18019,'226',38.81,1,3,NULL),(25,6260659,'1984-11-25 00:00:00',4,9,12,2003,'M','N','CORAL','LAGES','SC','124243241117271431358813385122333267047',15853,'513',42.38,1,3,NULL),(25,6260667,'1978-08-02 00:00:00',2,1,12,1996,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124252251215371421218844442224340663197',4748,'9998',58.98,1,3,NULL),(25,6260691,'1992-04-06 00:00:00',3,2,12,2009,'F','N','JARDIM BOA VISTA','PNT GROSSA','PR','116162161215271751568812472122610168097',8375,'9998',50.67,1,3,NULL),(25,6260705,'1989-03-15 00:00:00',4,3,12,2006,'M','N','JARDIM ADRIANA','LONDRINA','PR','116161161415571451466932575112610144197',1020,'9998',72.66,1,3,NULL),(25,6260713,'1990-12-14 00:00:00',4,8,12,2007,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241214574431468613375122610132157',8025,'486',52.12,1,3,NULL),(25,6260721,'1991-09-01 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217142431368633495122233224067',19797,'269',35.16,1,3,NULL),(25,6260730,'1993-10-07 00:00:00',2,1,11,2010,'F','N','UBERABA','CURITIBA','PR','116162161217421751459814575124610133072',NULL,'9998',0.00,1,3,NULL),(25,6260748,'1992-09-19 00:00:00',4,4,12,2009,'M','N','CENTRO','CÂNDIDO GODÓI','RS','120201201216471431355916375124610142182',NULL,'9998',0.00,1,3,NULL),(25,6260756,'1986-01-31 00:00:00',2,1,12,2003,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224241241116133421233344245122322224143',11943,'592',48.25,1,2,1),(25,6260764,'1993-01-08 00:00:00',4,15,12,2010,'F','N','CENTRO','SOMBRIO','SC','124241241145131431323519392121610148187',NULL,'1033',0.00,1,2,1),(25,6260772,'1989-08-11 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216475431468821485124133262197',10939,'272',49.78,3,3,NULL),(25,6260780,'1990-08-17 00:00:00',2,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124241241117161311633523341124231418142',NULL,'733',18.13,1,2,1),(25,6260799,'1992-10-17 00:00:00',2,4,12,2010,'F','N','INTERIOR','CÂNDIDO GODÓI','RS','120201201116271431314635575122610124147',NULL,'9998',0.00,1,2,1),(25,6260802,'1963-06-25 00:00:00',2,1,12,1985,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241116271431112251575114610115147',NULL,'591',21.36,1,2,1),(25,6260810,'1993-03-14 00:00:00',4,1,12,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241115271431423624382124610126147',8167,'307',52.39,1,2,1),(25,6260829,'1992-10-08 00:00:00',4,6,12,2010,'M','N','ALTO','CURITIBA','PR','116162161215121431456812575124610112177',10883,'9998',44.49,1,3,NULL),(25,6260837,'1991-04-28 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117273711436633345135610164147',19901,'307',34.87,1,2,1),(25,6260845,'1989-04-04 00:00:00',4,16,12,2006,'M','N','CELSO RAMOS','FR ROGÉRIO','SC','124241241113271131323634382313610117055',NULL,'320',16.99,1,2,1),(25,6260861,'1993-06-19 00:00:00',4,7,12,2010,'F','N','CIDADE ALTA','VIDEIRA','SC','124241241117141232379831472112610132052',NULL,'831',22.64,1,3,NULL),(25,6260888,'1992-11-19 00:00:00',4,1,12,2010,'F','N','NOBRE','SORRISO','MT','111112111236161331485816365122610166182',NULL,'9998',15.81,1,3,NULL),(25,6260896,'1992-09-01 00:00:00',2,15,12,2009,'F','N','CENTRO','TIMBÉ SUL','SC','124241241316472431446931575124610136177',NULL,'814',0.00,1,3,NULL),(25,6260900,'1993-07-19 00:00:00',2,8,12,2010,'F','N','GLÓRIA','JOINVILLE','SC','124241241116161732325331211224610166047',17467,'933',35.23,1,2,1),(25,6260918,'1993-02-08 00:00:00',2,8,12,2010,'F','N','GLORIA','JOINVILLE','SC','124241241116161732326617315122610166047',NULL,'933',22.29,1,2,1),(25,6260926,'1984-01-01 00:00:00',4,1,12,2002,'M','N','IPIRANGA','S JOSÉ','SC','224212241236132421238644425122130247047',NULL,'9999',28.57,1,3,NULL),(25,6260934,'1986-12-04 00:00:00',2,1,12,2004,'F','N','MORRO DO FABRÍCIO','STO AMARO IMPERATRIZ','SC','124241241127371431323319441124133232012',18136,'941',34.83,1,2,1),(25,6260942,'1995-01-13 00:00:00',4,1,11,2011,'F','S','CENTRO','GAROPABA','SC','124241241122161752325619575114610137077',NULL,'322',30.13,4,3,NULL),(25,6260950,'1990-02-25 00:00:00',2,2,12,2007,'F','N','AGUA VERDE','CURITIBA','PR','116241241126372751113344345334130225097',NULL,'364',29.86,1,2,1),(25,6260977,'1990-09-12 00:00:00',4,8,12,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215372411479934585121241427162',2859,'457',66.35,1,3,NULL),(25,6260985,'1993-01-26 00:00:00',2,1,12,2010,'F','N','ARÍRIU','PALHOÇA','SC','124243241116371431646911575124610127142',19821,'772',29.75,1,3,NULL),(25,6260993,'1988-04-24 00:00:00',4,1,12,2002,'F','N','CENTRO','CURITIBA','PR','116242161216574751449932575125142864095',NULL,'190',0.00,1,3,NULL),(25,6261000,'1991-12-02 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241246115131431633514342124610113057',17479,'306',34.42,2,1,1),(25,6261019,'1993-02-05 00:00:00',2,1,11,2010,'F','N','BIGORRILHO','CURITIBA','PR','116162161216111431459513571112610133182',NULL,'9998',0.00,1,3,NULL),(25,6261027,'1983-12-29 00:00:00',2,1,12,2001,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241126473441445639345124132834187',11898,'592',44.64,1,2,1),(25,6261035,'1989-05-15 00:00:00',4,1,12,2006,'M','N','CENTENÁRIO','TORRES','RS','120201201327151431536631245124610147052',14739,'9998',38.84,1,3,NULL),(25,6261043,'1993-01-12 00:00:00',2,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241316131431436614485124610118047',NULL,'591',21.23,1,3,NULL),(25,6261051,'1993-10-06 00:00:00',2,10,12,2010,'F','N','MAGALHÃES','LAGUNA','SC','124244248225111431326631312124610124127',NULL,'524',20.61,3,3,NULL),(25,6261060,'1991-12-17 00:00:00',4,1,12,2009,'F','N','CENTRO','LONDRINA','PR','116162168215471431465912175112610124097',NULL,'9998',0.00,1,3,NULL),(25,6261078,'1994-01-12 00:00:00',4,6,11,2010,'F','N','CORDEIROS','ITAJAÍ','SC','124241248215161411357632245122610126142',NULL,'1059',15.84,1,3,NULL),(25,6261086,'1986-07-29 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124201207127272231223311215224610125142',NULL,'9998',20.63,1,3,NULL),(25,6261094,'1993-11-24 00:00:00',4,7,12,2010,'F','N','FARROUPILHA','VIDEIRA','SC','124241241117131421326339285122610132052',NULL,'831',28.51,1,2,1),(25,6261108,'1989-12-22 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215374411523624392124221342032',3461,'738',63.22,2,1,2),(25,6261116,'1993-08-20 00:00:00',4,1,12,2010,'F','N','CENTRO','AT PARANÁ','PR','116164161216371411359912575122610132122',10412,'9998',45.46,1,3,NULL),(25,6261124,'1993-10-01 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241225131731426419495124610113145',NULL,'262',27.99,1,3,NULL),(25,6261132,'1965-01-28 00:00:00',4,1,12,2006,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124242247436143431334543435122610132123',17252,'9999',40.18,1,3,NULL),(25,6261140,'1989-12-12 00:00:00',4,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124252241215575431537729595124133248045',15023,'1022',38.96,1,3,NULL),(25,6261159,'1992-11-13 00:00:00',4,1,11,2009,'M','N','CENTRO','BRAÇO NORTE','SC','124242241217172411438833395121223264092',12965,'806',46.64,1,3,NULL),(25,6261167,'1993-04-13 00:00:00',4,4,12,2010,'M','N','CENTRO','S BERNARDINO','SC','124241242115151431436711575124610157052',NULL,'196',23.04,1,2,1),(25,6261183,'1994-01-17 00:00:00',2,1,12,2010,'M','N','SANTA BÁRBARA','ANTÔNIO CARLOS','SC','124241241116371411423331575124610137047',14913,'21',43.81,1,2,1),(25,6261205,'1986-06-30 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241417273531238829345112123262042',7587,'270',55.64,1,3,NULL),(25,6261213,'1993-01-29 00:00:00',2,4,11,2009,'M','N','IPIRANGA','MARMELEIRO','PR','116161161316471431355511575112610161142',NULL,'9998',0.00,4,3,NULL),(25,6261221,'1993-04-11 00:00:00',4,4,12,2010,'M','N','CENTRO','CEL MARTINS','SC','124241241136161431346632575112610137062',12174,'200',43.66,1,2,1),(25,6261248,'1992-02-02 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124241241112132431433619345124223025027',NULL,'257',32.30,1,3,NULL),(25,6261256,'1991-05-20 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243161116472731438613472122240225182',8292,'9998',51.54,4,3,NULL),(25,6261264,'1986-12-31 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241116132431448612345122330228057',NULL,'739',0.00,1,3,NULL),(25,6261272,'1988-02-02 00:00:00',2,1,12,2005,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241146132431433611245124230867042',21007,'772',23.04,4,2,1),(25,6261280,'1992-01-21 00:00:00',2,7,12,2009,'M','N','SAO JOSÉ OPERARIO','SANANDUVA','RS','120201201116471731324319375122610167057',19695,'9998',29.57,1,2,1),(25,6261299,'1992-09-06 00:00:00',4,4,12,2010,'F','N','INTERIOR','SEARA','SC','124241241115161431523315252324610138057',NULL,'763',15.61,4,2,1),(25,6261310,'1985-02-25 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','224161161112471421236551312115610168197',8135,'9998',50.47,2,1,1),(25,6261329,'1990-09-12 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215372431328739575114131062017',7419,'299',55.92,1,3,NULL),(25,6261337,'1992-07-10 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116141431426413245114610133144',20935,'276',26.84,2,2,1),(25,6261345,'1992-01-24 00:00:00',2,1,12,2009,'F','N','SÍTIO CERCADO','CURITIBA','PR','116161161315371751435831282124610164187',12118,'9998',43.47,4,3,NULL),(25,6261353,'1991-05-01 00:00:00',4,1,12,2008,'M','N','JARDIM QUEBEC','LONDRINA','PR','116162161113471441547736214123141467037',NULL,'9998',0.00,1,3,NULL),(25,6261370,'1991-06-11 00:00:00',4,1,11,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124252251216472441325611412224610122042',17375,'9998',39.96,1,3,NULL),(25,6261388,'1985-10-17 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124231241215373431546614445125133267117',8582,'541',51.72,1,3,NULL),(25,6261396,'1983-12-17 00:00:00',2,1,6,2001,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242247245472411233342125122333227042',15708,'1076',38.99,1,3,NULL),(25,6261400,'1992-10-28 00:00:00',2,10,11,2009,'M','N','CENTRO','ARMAZÉM','SC','124241241215372431436932575124610124092',NULL,'807',0.00,1,3,NULL),(25,6261418,'1984-05-14 00:00:00',2,1,12,2003,'F','N','RIO GRANDE','PALHOÇA','SC','124061068121271721212249191334613227057',20754,'9998',32.13,2,2,1),(25,6261426,'1989-12-29 00:00:00',4,10,12,2007,'M','N','CAÇADOR','CAPIVARI BAIXO','SC','124241241116375431436839485114610132192',9445,'1034',47.55,1,2,1),(25,6261434,'1992-11-15 00:00:00',2,2,12,2010,'F','N','TOMAZ COELHO','BRUSQUE','SC','124241241115271511446824475124610117117',19252,'1019',32.01,1,2,1),(25,6261450,'1981-06-11 00:00:00',3,1,12,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243201117153741166743332123321666052',5546,'9998',59.67,1,3,NULL),(25,6261469,'1979-11-07 00:00:00',4,1,12,1998,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124252251216142441127844215121121966012',15372,'9998',43.10,1,3,NULL),(25,6261477,'1989-11-09 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124241241112374421436613215134130234097',14855,'733',39.54,1,2,1),(25,6261485,'1992-12-10 00:00:00',4,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124242241215574431468632574122610142192',2404,'270',65.12,1,3,NULL),(25,6261507,'1988-11-03 00:00:00',2,5,11,2006,'F','N','BOM FIM','PTO ALEGRE','RS','120203207336572751346615575124610167057',NULL,'9998',0.00,1,3,NULL),(25,6261523,'1983-02-07 00:00:00',2,1,12,2000,'M','N','FORQUILHAS','S JOSÉ','SC','124241248127273751633479385124130714042',7212,'182',54.51,1,2,1),(25,6261531,'1992-10-26 00:00:00',4,4,11,2009,'F','N','CENTRO','PALMAS','PR','116162161215472431467716572122610146187',9538,'9998',48.33,1,3,NULL),(25,6261540,'1992-03-05 00:00:00',4,2,11,2009,'M','N','SANTA TEREZINHA','GASPAR','SC','124243241213132411556619275121610162172',14666,'955',44.20,1,3,NULL),(25,6261566,'1987-07-02 00:00:00',4,8,12,2004,'F','N','RIO CERRO II','JARAGUÁ SUL','SC','124241248124472431636321315224610143147',NULL,'434',29.25,4,3,NULL),(25,6261574,'1947-08-19 00:00:00',2,1,12,1970,'F','N','INGLESES','FLORIANÓPOLIS','SC','124164168116154711132249492114541868192',NULL,'9998',24.53,1,3,NULL),(25,6261582,'1955-05-01 00:00:00',4,1,12,1985,'F','N','KOBRASOL','S JOSÉ','SC','124201241117133411233343432114133266187',20288,'306',33.80,1,2,1),(25,6261590,'1991-12-07 00:00:00',4,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241212274751426614575124230824145',15288,'1014',40.27,1,3,NULL),(25,6261604,'1992-02-10 00:00:00',2,6,12,2009,'M','N','UNIVESSITARIO','STA CRUZ SUL','RS','120201208116471731436634285124610165147',NULL,'9998',32.40,1,2,1),(25,6261612,'1989-11-20 00:00:00',2,8,12,2007,'M','N','CAJURU','CURITIBA','PR','116241161135571431436614375114610124052',5679,'9998',56.02,1,2,1),(25,6261620,'1993-08-05 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431458739575122610127127',14405,'1169',41.73,1,3,NULL),(25,6261647,'1965-06-11 00:00:00',2,1,7,2002,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','224241247125341431424444142332610156172',NULL,'9999',0.00,1,2,1),(25,6261655,'1988-04-06 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124181181127161732221374342314610127044',NULL,'9998',34.86,1,3,NULL),(25,6261663,'1978-09-17 00:00:00',4,1,12,1998,'F','N','HIPICA','PTO ALEGRE','RS','224201201111131441226441211224341926182',14458,'9998',44.51,5,3,NULL),(25,6261671,'1992-12-02 00:00:00',4,7,12,2009,'M','N','CENTRO','CATANDUVAS','SC','124241242115141531425429295115610117057',21624,'8',26.53,4,2,1),(25,6261680,'1988-11-29 00:00:00',4,1,11,2006,'M','N','BARREIROS','S JOSÉ','SC','124242241215272431436817492114220737057',3794,'738',63.85,1,3,NULL),(25,6261698,'1975-11-20 00:00:00',2,1,12,1993,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','624243248135134421244653382124610121192',16664,'298',36.96,1,3,NULL),(25,6261701,'1990-06-07 00:00:00',2,1,11,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241315273431448953592114133217143',5036,'272',60.75,1,3,NULL),(25,6261728,'1987-12-13 00:00:00',2,1,11,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241242132111411413944443124610136052',20933,'552',31.36,1,3,NULL),(25,6261736,'1990-10-02 00:00:00',2,5,6,2009,'M','N','PRESIDENTE VARGAS','IÇARA','SC','124241246215372411433933435124610124142',15334,'995',43.18,1,3,NULL),(25,6261744,'1989-03-30 00:00:00',4,1,11,2008,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124093098327131431336734382324140431177',NULL,'9998',28.01,4,3,NULL),(25,6261752,'1990-09-03 00:00:00',2,10,12,2008,'F','N','CENTRO','LAGUNA','SC','124242241312152411366717475112130668142',NULL,'521',27.58,1,3,NULL),(25,6261760,'1994-04-07 00:00:00',4,1,12,2011,'F','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216131531468821575114610163027',NULL,'1022',36.42,1,3,NULL),(25,6261779,'1992-10-15 00:00:00',4,4,12,2009,'M','N','FLORESTA','MONDAÍ','SC','124243241236161731526614382111610114047',NULL,'564',0.00,4,3,NULL),(25,6261787,'1992-05-08 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241335131431528624385124610164017',17509,'884',35.26,1,3,NULL),(25,6261795,'1991-09-14 00:00:00',4,9,12,2008,'F','N','CENTRO','FARROUPILHA','RS','120202201215572431326619575124610147142',NULL,'9998',0.00,1,3,NULL),(25,6261809,'1990-05-29 00:00:00',2,1,12,2008,'M','N','SERRARIAS','S JOSÉ','SC','124241241145472711423444345114610167042',NULL,'257',29.49,1,2,1),(25,6261817,'1990-10-01 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372731557669575122610121182',15011,'262',40.12,1,3,NULL),(25,6261825,'1993-02-23 00:00:00',4,1,7,2010,'F','N','VILA PEDRINI','JOAÇABA','SC','124242241216271411348933571113610145142',3129,'454',63.26,1,3,NULL),(25,6261850,'1992-09-24 00:00:00',2,4,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116162161216131331435532275122610124192',13505,'9998',41.64,1,3,NULL),(25,6261868,'1991-01-17 00:00:00',2,15,12,2008,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241214473431457723595122231437052',10181,'970',51.02,1,3,NULL),(25,6261876,'1992-03-17 00:00:00',2,2,8,2010,'M','N','BOMBAS','BOMBINHAS','SC','124244247417371431433859514124610146132',21615,'9999',26.66,1,3,NULL),(25,6261884,'1989-03-18 00:00:00',4,1,9,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124174171417271431228711195124610117097',7376,'9997',52.94,1,3,NULL),(25,6261892,'1989-10-22 00:00:00',2,1,7,2008,'M','N','CAMPINAS','S JOSÉ','SC','124241241147272431426514342134610167057',NULL,'736',31.61,1,2,1),(25,6261906,'1993-11-10 00:00:00',4,1,12,2010,'M','N','ARIRIÚ','PALHOÇA','SC','124241241117131431523319575124610124182',7988,'739',52.70,1,2,1),(25,6261914,'1987-08-23 00:00:00',2,1,12,2004,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241347152431643833342114122234047',13572,'1048',45.82,1,3,NULL),(25,6261922,'1992-03-30 00:00:00',2,1,11,2009,'M','N','DIVINO','PALMAS','PR','116162161215271441448923315124610122037',NULL,'9998',0.00,1,3,NULL),(25,6261930,'1982-04-06 00:00:00',4,1,12,1999,'M','N','VILA CLEMENTINO','S PAULO','SP','125252251217571431489811572122342867022',3008,'9998',63.52,1,3,NULL),(25,6261957,'1991-07-11 00:00:00',2,1,5,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241247315271431225314245134610124067',NULL,'591',17.81,1,3,NULL),(25,6261965,'1991-04-05 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215474431569734495124610134147',9781,'1022',48.08,1,3,NULL),(25,6261981,'1993-07-09 00:00:00',2,3,12,2010,'M','N','JARDIM ALVORADA','PARANAGUÁ','PR','116162168237111431436739572121613234052',NULL,'9998',30.98,4,3,NULL),(25,6262007,'1993-01-17 00:00:00',4,3,10,2010,'M','N','BATEL','CURITIBA','PR','116162161215471431243321575124610164082',NULL,'9998',0.00,1,3,NULL),(25,6262023,'1990-05-07 00:00:00',4,1,1,2011,'M','N','ALTO RIBEIRÃO','FLORIANÓPOLIS','SC','624081246116131641426614595124610152177',NULL,'306',0.00,1,2,1),(25,6262031,'1991-04-17 00:00:00',4,3,12,2008,'M','N','ZONA QUATRO','MARINGÁ','PR','116162161216571431438811215122610167142',9065,'9998',48.39,3,3,NULL),(25,6262040,'1993-09-10 00:00:00',4,5,11,2010,'F','N','CRICIUMA','CRICIÚMA','SC','124242241215111411567732475122610161187',3900,'226',63.54,1,3,NULL),(25,6262058,'1982-02-04 00:00:00',4,1,12,1999,'F','N','CAMPINAS','S JOSÉ','SC','124242241217575431358743332122321362097',810,'737',74.67,1,3,NULL),(25,6262074,'1987-01-28 00:00:00',2,1,12,2005,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241126132431635312432122610127047',NULL,'728',28.46,4,2,1),(25,6262082,'1987-05-06 00:00:00',2,1,12,2004,'F','N','BARREIROS','S JOSÉ','SC','124241241216375421124844342224610141147',14121,'663',42.82,1,3,NULL),(25,6262090,'1991-05-08 00:00:00',2,4,12,2007,'F','N','CENTRO','TRINDADE SUL','RS','120201201212572451448633575125610163172',6472,'9998',57.79,1,3,NULL),(25,6262104,'1992-01-31 00:00:00',4,8,11,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215472431489932595122610146092',9729,'1063',51.83,1,3,NULL),(25,6262112,'1985-09-18 00:00:00',2,1,12,2002,'M','N','CENTRO','CURITIBA','PR','116111111216151541446933575125141467057',NULL,'9998',0.00,1,3,NULL),(25,6262120,'1992-09-02 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241117372431568613345124133227042',6123,'739',55.09,1,3,NULL),(25,6262139,'1993-01-05 00:00:00',2,10,12,2010,'F','N','MAGALHÃES','LAGUNA','SC','124242241215112431646823575122610126197',16964,'525',33.70,1,3,NULL),(25,6262147,'1994-01-04 00:00:00',4,1,12,2010,'M','N','CENTRO','ASSIS CHATEAUBRIAND','PR','116162161216111332548712475122610144042',NULL,'9998',0.00,1,3,NULL),(25,6262155,'1988-09-13 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241137131711221179385324610117057',19497,'288',30.84,1,2,1),(25,6262163,'1991-11-28 00:00:00',4,15,12,2008,'M','N','PARAGUAI','JACINTO MACHADO','SC','124242241217153412459934445111231448042',8090,'813',54.70,1,3,NULL),(25,6262171,'1991-07-04 00:00:00',2,1,12,2008,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241212513431438614575122610164112',7734,'226',52.06,1,3,NULL),(25,6262180,'1989-05-14 00:00:00',1,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217375431568831385125231125197',2120,'1022',68.85,1,3,NULL),(25,6262198,'1993-08-08 00:00:00',4,15,12,2010,'F','N','FIGUEIRA','JACINTO MACHADO','SC','124244241215371731448933572112610164142',11642,'970',44.68,1,3,NULL),(25,6262201,'1987-04-15 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624161161137134431326454282224610134177',NULL,'9998',19.91,1,2,1),(25,6262228,'1993-08-21 00:00:00',4,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124241241116371431454923575121610124172',7381,'479',51.80,1,2,1),(25,6262236,'1993-03-25 00:00:00',4,1,12,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124241241145131431333314245124610144047',NULL,'593',22.77,4,2,1),(25,6262244,'1993-12-07 00:00:00',2,4,12,2010,'F','N','IMIGRANTES','CONCÓRDIA','SC','124241241115371431448611475122610122147',16216,'192',36.99,1,2,1),(25,6262252,'1993-03-21 00:00:00',2,1,12,2010,'M','N','VICTOR KONDER','TAIÓ','SC','124241241117131531446612225121610137187',NULL,'777',16.04,1,3,NULL),(25,6262260,'1992-10-15 00:00:00',2,1,7,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241236212231323933345124610124042',NULL,'300',0.00,1,3,NULL),(25,6262279,'1990-05-02 00:00:00',2,1,12,2006,'M','N','SÃO JOSÉ','S JOSÉ','SC','124243241336372421443312345122230268067',NULL,'257',33.02,1,3,NULL),(25,6262287,'1989-01-25 00:00:00',4,1,12,2006,'M','N','ORLEANS','CURITIBA','PR','116163161216151411436712345124242062147',NULL,'9998',0.00,1,3,NULL),(25,6262295,'1992-05-18 00:00:00',2,1,12,2009,'M','N','SANTO ANTONIO LISBOA','FLORIANÓPOLIS','SC','124241241146142431636719342112610128043',20816,'279',31.88,1,2,1),(25,6262309,'1989-08-03 00:00:00',2,1,12,2006,'F','N','JD CIDADE','S JOSÉ','SC','124241241135131411343334245123233246167',15060,'307',43.59,4,2,1),(25,6262317,'1966-10-12 00:00:00',2,1,12,1982,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','524201203146151411475543335132540262182',NULL,'9998',0.00,1,3,NULL),(25,6262325,'1992-07-15 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431445712572122610167141',9694,'270',48.18,1,3,NULL),(25,6262333,'1991-10-15 00:00:00',4,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241215372431479813375122121442182',5298,'883',59.30,1,3,NULL),(25,6262341,'1991-10-13 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242248215373431366622492112132025091',20332,'1022',33.62,1,3,NULL),(25,6262350,'1993-11-03 00:00:00',4,1,11,2010,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241211111231479913572124610126037',13293,'270',46.24,1,3,NULL),(25,6262368,'1990-10-12 00:00:00',2,3,12,2007,'M','N','JD ALVORADA','MAL CÂNDIDO RONDON','PR','116164161217471531556412495112241267057',NULL,'9998',0.00,1,3,NULL),(25,6262384,'1993-10-07 00:00:00',2,4,12,2010,'F','N','JARDIM ITALIA','CHAPECÓ','SC','124242241215151531328922572122610124182',NULL,'1021',0.00,1,3,NULL),(25,6262392,'1990-02-25 00:00:00',2,16,12,2007,'F','N','CENTRO','BRUNÓPOLIS','SC','124241241127131431524615582225610127057',NULL,'911',27.18,4,2,1),(25,6262406,'1992-08-24 00:00:00',2,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241116372731533716145124610122077',9953,'21',49.12,1,3,NULL),(25,6262414,'1993-02-08 00:00:00',4,1,11,2010,'M','N','CENTRO','BIGUAÇU','SC','124242241215131431329723575124610127047',9544,'1040',47.83,1,3,NULL),(25,6262422,'1993-04-18 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215271431345519275121610147117',16412,'737',38.98,1,3,NULL),(25,6262430,'1994-02-03 00:00:00',2,10,12,2011,'F','S','SANTO ANDRÉ','CAPIVARI BAIXO','SC','124242241215111431447924472122610138197',NULL,'806',42.45,1,3,NULL),(25,6262449,'1992-06-02 00:00:00',2,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127131411323424275124610167047',20050,'274',34.43,1,2,1),(25,6262457,'1994-01-30 00:00:00',4,1,12,2010,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117271431455623375124610114057',3580,'739',63.31,1,2,1),(25,6262465,'1993-08-12 00:00:00',4,8,12,2010,'F','N','DUAS MAMAS','SCHROEDER','SC','124241241135161732466712585214610162142',20061,'425',34.40,2,1,1),(25,6262481,'1995-04-12 00:00:00',4,1,11,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241215111431579931585112610115071',13397,'270',46.07,1,3,NULL),(25,6262490,'1989-03-09 00:00:00',4,1,12,2006,'F','N','CENTRO','LGA VERMELHA','RS','120201201217373751323839175114610138147',NULL,'9998',0.00,1,3,NULL),(25,6262520,'1993-01-25 00:00:00',4,2,12,2010,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241215111431466324575114610118042',7590,'855',53.69,1,3,NULL),(25,6262538,'1992-12-11 00:00:00',2,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124241241215271431346313375124610125011',5589,'1105',59.58,1,3,NULL),(25,6262546,'1992-11-13 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241117131431138729576124610128197',12757,'287',43.61,1,2,1),(25,6262554,'1990-11-20 00:00:00',4,1,12,2009,'M','N','WILLIANS','GARÇA','SP','125252251215371431468813335123140732187',NULL,'9998',0.00,1,3,NULL),(25,6262562,'1993-02-18 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117472331226611275124610144057',4979,'374',59.87,1,2,1),(25,6262570,'1991-11-19 00:00:00',4,3,12,2008,'F','N','BATEL','CURITIBA','PR','116112161212571431573815571112610134092',NULL,'9998',25.74,1,3,NULL),(25,6262589,'1993-05-20 00:00:00',4,4,12,2010,'M','N','JARDIM GUARUJA','CASCAVEL','PR','116161161137151731448833575114610162142',14419,'9998',40.83,1,2,1),(25,6262597,'1992-08-27 00:00:00',4,1,12,2010,'M','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120202207237271441249813381114610162147',9851,'9998',48.77,1,3,NULL),(25,6262619,'1992-05-01 00:00:00',4,1,12,2009,'M','N','SANTA OLIVIA','MARÍLIA','SP','125252251215471431548914445122610167047',8845,'9998',53.32,1,3,NULL),(25,6262627,'1992-04-13 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124244241215111112437932222122610112042',NULL,'1076',15.81,1,3,NULL),(25,6262643,'1992-09-19 00:00:00',4,1,12,2009,'F','N','CENTRO','S JOSÉ CAMPOS','SP','125162161217471431478811571122610166082',1332,'9998',70.95,1,3,NULL),(25,6262651,'1994-06-21 00:00:00',2,1,12,2010,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241215112431359914472122610137142',9380,'1223',50.52,1,3,NULL),(25,6262660,'1993-06-20 00:00:00',4,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124243241215111431467731575124610122077',9211,'270',49.30,1,3,NULL),(25,6262678,'1982-02-22 00:00:00',4,1,11,2000,'F','N','CAMPINAS','S JOSÉ','SC','124221251136574411124346495123121726125',3202,'9998',65.22,1,2,1),(25,6262686,'1993-06-11 00:00:00',4,3,12,2010,'F','N','IPIRANGA','RIBEIRÃO PRETO','SP','125253251216111411326622575224610163192',12111,'9998',43.36,1,3,NULL),(25,6262694,'1993-04-24 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115371431215624275124610124147',NULL,'307',26.45,1,2,1),(25,6262708,'1991-08-18 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124241241126272431114644342114610127057',NULL,'235',19.45,1,2,1),(25,6262716,'1994-02-12 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241114471431436623375124610124147',NULL,'729',22.91,1,2,1),(25,6262724,'1991-12-17 00:00:00',4,1,12,2009,'M','N','CAMPOLIM','SOROCABA','SP','125252253215471412568812391112610164047',17607,'9998',39.57,1,3,NULL),(25,6262732,'1990-11-03 00:00:00',4,1,12,2008,'F','N','VILA RODRIGUES','ASSIS','SP','125252251216572431468811575122610127113',14427,'9998',40.23,1,3,NULL),(25,6262740,'1993-10-09 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431526824575124610168197',6177,'1050',58.37,1,3,NULL),(25,6262767,'1990-06-17 00:00:00',4,8,12,2007,'F','N','CAPÃO RASO','CURITIBA','PR','116164161216572731438834572114610167097',893,'9998',73.33,1,3,NULL),(25,6262775,'1991-08-27 00:00:00',4,4,12,2008,'M','N','BORTOT','PATO BRANCO','PR','116162161216472431557634575112610167012',4582,'9998',61.81,1,3,NULL),(25,6262783,'1993-08-29 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215121431477614575124610164061',6755,'270',57.20,1,3,NULL),(25,6262791,'1992-07-02 00:00:00',4,1,8,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115413431328923575124610114052',NULL,'307',17.63,2,1,1),(25,6262805,'1994-04-29 00:00:00',2,1,12,2010,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124243242116371431436313585122610137142',10469,'941',46.34,1,3,NULL),(25,6262821,'1993-11-04 00:00:00',4,3,11,2010,'F','N','VILA SANTA ROSA','APUCARANA','PR','116162161216111431528611595124610114197',4938,'9998',58.78,1,3,NULL),(25,6262830,'1993-02-22 00:00:00',4,1,11,2010,'F','N','AREIAS','S JOSÉ','SC','124241241215113431535313375124610164012',20850,'1118',31.71,1,3,NULL),(25,6262856,'1991-07-13 00:00:00',2,1,6,2009,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241117373731536615572114610111182',12712,'739',41.69,1,2,1),(25,6262864,'1992-12-27 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431347711375124610137061',4183,'270',62.82,1,3,NULL),(25,6262872,'1981-10-09 00:00:00',4,1,12,1999,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241317575431213879282224320663187',6997,'52',56.75,1,3,NULL),(25,6262880,'1992-05-28 00:00:00',4,3,12,2009,'F','N','CENTRO','STA CRUZ R PARDO','SP','125252251215471431425815315125610121014',15955,'9998',42.21,1,3,NULL),(25,6262899,'1992-04-09 00:00:00',4,2,12,2009,'M','N','VILA NOVA','BLUMENAU','SC','124244241215373431269912475124133267112',8664,'855',53.66,1,3,NULL),(25,6262910,'1991-11-16 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241117273751444324572114131467057',4540,'739',59.33,1,2,1),(25,6262929,'1993-07-23 00:00:00',4,6,12,2010,'M','N','GRAVATÁ','NAVEGANTES','SC','124161241216151431236529595125610142017',6987,'1008',53.15,1,3,NULL),(25,6262937,'1993-02-14 00:00:00',2,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121431447611495121610135091',NULL,'44',0.00,3,3,NULL),(25,6262945,'1992-05-18 00:00:00',4,1,12,2009,'M','N','CENTRO','ARAPONGAS','PR','116162161216111431556612215122243267062',NULL,'9998',0.00,1,3,NULL),(25,6262953,'1993-08-18 00:00:00',4,4,12,2010,'F','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124241241114371431448814471124610127187',20339,'169',33.60,1,2,1),(25,6262961,'1988-12-07 00:00:00',4,2,11,2006,'F','N','CENTRO','MATA S JOÃO','BA','105052051216471741456614575124610164087',NULL,'9998',0.00,4,3,NULL),(25,6262970,'1991-02-20 00:00:00',4,4,11,2008,'M','N','CENTRO','CASCAVEL','PR','116162161216471531448821574112140264093',1599,'9998',69.87,1,3,NULL),(25,6262988,'1989-08-08 00:00:00',2,1,12,2006,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115472431446633445124610127052',13059,'307',46.51,1,2,1),(25,6262996,'1994-01-10 00:00:00',2,9,12,2010,'F','N','COPERCAMPOS','ANITA GARIBALDI','SC','124241241114131431426824291321610117147',21247,'18',29.76,1,2,1),(25,6263003,'1993-10-12 00:00:00',2,9,12,2010,'F','N','CENTRO','ORLEANS','SC','124241241316111431436621375124610137147',10341,'581',46.49,1,3,NULL),(25,6263011,'1995-02-17 00:00:00',4,10,12,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215111431469913575122610165092',5231,'797',57.54,1,3,NULL),(25,6263020,'1993-04-08 00:00:00',4,4,12,2010,'F','N','AEROPORTO','ERECHIM','RS','120201205116271731443934585124610126147',10388,'9998',45.70,1,3,NULL),(25,6263038,'1992-12-17 00:00:00',2,5,12,2009,'F','N','CENTRO','IÇARA','SC','124244241215372431334714375124610122012',13690,'226',40.82,1,3,NULL),(25,6263046,'1991-08-06 00:00:00',4,1,12,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215372431468931595124222664122',904,'270',74.55,1,3,NULL),(25,6263054,'1993-12-04 00:00:00',4,2,12,2010,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111432458833575112610128042',2366,'909',67.95,1,3,NULL),(25,6263062,'1993-10-20 00:00:00',2,1,12,2010,'F','N','LARANJAL','IMARUÍ','SC','124241241125131231323315572324610124057',NULL,'607',28.74,1,2,1),(25,6263070,'1993-06-14 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111221446929575112610167072',5067,'262',59.14,1,3,NULL),(25,6263089,'1993-10-06 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242246117151731248923275124610164195',7090,'306',56.57,1,3,NULL),(25,6263097,'1990-04-19 00:00:00',4,1,12,2007,'M','N','CENTRO','MATELÂNDIA','PR','116162161217471432536632275125241042042',NULL,'9998',0.00,1,3,NULL),(25,6263100,'1991-10-09 00:00:00',4,6,12,2008,'F','N','CENTRO','PASSO FUNDO','RS','120202201216572431358711275114610152182',2115,'9998',66.20,1,3,NULL),(25,6263119,'1983-06-21 00:00:00',4,1,12,2002,'M','N','BARREIROS','S JOSÉ','SC','124243247347375431636661282124610127187',20268,'257',33.85,1,3,NULL),(25,6263127,'1990-07-07 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241211175411338813315121130421115',NULL,'1048',0.00,1,3,NULL),(25,6263135,'1990-12-10 00:00:00',2,1,12,2007,'F','N','CANTO','FLORIANÓPOLIS','SC','124243241117374432436914485124610142141',13339,'257',43.15,1,3,NULL),(25,6263151,'1993-05-06 00:00:00',4,16,12,2010,'F','N','BOM JESUS','CURITIBANOS','SC','124241241115371431426629285222610127053',NULL,'239',32.01,1,3,NULL),(25,6263160,'1994-01-21 00:00:00',2,5,11,2011,'F','S','CENTRO','CRICIÚMA','SC','124243241317111421435922575122610166197',NULL,'920',0.00,1,3,NULL),(25,6263178,'1993-07-19 00:00:00',2,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241115141431337633572125610125042',NULL,'733',26.73,1,3,NULL),(25,6263186,'1993-12-23 00:00:00',4,3,12,2010,'M','N','LAR PARANA','CPO MOURÃO','PR','116162161216151411334812575122610167052',8486,'9998',49.86,1,3,NULL),(25,6263194,'1988-08-04 00:00:00',2,8,12,2005,'M','N','JD NOVO HORIZONTE','MARINGÁ','PR','116162161215571431468833575122610137042',1383,'9998',69.86,1,3,NULL),(25,6263208,'1992-12-24 00:00:00',2,1,12,2010,'M','N','JARDIM ALFA','STA BÁRBARA D OESTE','SP','125252251215111411559933575111610117053',12658,'9998',42.39,1,3,NULL),(25,6263216,'1992-12-21 00:00:00',4,8,12,2009,'M','N','JUVEVÊ','CURITIBA','PR','116162161235571211488811575124610142142',1948,'9998',66.53,3,3,NULL),(25,6263224,'1992-07-15 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124163161217371431328613345124610121142',14783,'9998',40.21,1,3,NULL),(25,6263232,'1993-04-22 00:00:00',2,8,12,2010,'F','N','CENTRO','CURITIBA','PR','616164168215121311338832572112610135077',NULL,'9999',0.00,1,3,NULL),(25,6263240,'1964-06-13 00:00:00',4,1,12,1981,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224203203111471421336959482124140227187',9753,'9998',51.79,1,3,NULL),(25,6263267,'1988-02-13 00:00:00',4,1,12,2005,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124204201117331411126744345334610145177',8235,'9998',51.20,1,3,NULL),(25,6263275,'1993-04-19 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431446611575112610162187',7990,'1038',52.61,1,3,NULL),(25,6263283,'1993-04-30 00:00:00',2,1,12,2010,'M','N','PRAIA COMPREIDA','S JOSÉ','SC','124243241115221431225724312124610867057',21792,'733',20.55,1,3,NULL),(25,6263313,'1994-05-11 00:00:00',4,8,11,2011,'F','S','SÃO FRANCISCO','CPO GRANDE','MS','112122121215111431469932572122610142142',NULL,'487',36.25,3,3,NULL),(25,6263321,'1993-03-08 00:00:00',2,10,12,2010,'F','N','VILLAGE','IMBITUBA','SC','124241241115131751438433575122610128197',16758,'359',36.31,1,2,1),(25,6263330,'1990-02-21 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241246415472411223923572214221767041',2558,'995',67.30,1,3,NULL),(25,6263348,'1992-11-28 00:00:00',4,16,12,2009,'M','N','AGUA SANTA','CURITIBANOS','SC','124241241115311232523313212212610115052',NULL,'239',20.18,1,3,NULL),(25,6263356,'1991-01-07 00:00:00',4,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124242241215574431478813575122610113147',1597,'266',70.28,4,3,NULL),(25,6263372,'1974-05-24 00:00:00',4,3,12,1991,'F','N','COLINA DAS ESTRELAS','TATUÍ','SP','225162161216411411448951411122542663147',NULL,'9998',0.00,1,3,NULL),(25,6263380,'1994-04-20 00:00:00',4,1,12,2010,'F','N','CENTRO','CANOAS','RS','120202201211111411348663571122610116172',6863,'9998',55.86,1,3,NULL),(25,6263399,'1984-08-29 00:00:00',4,1,3,2002,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241111375421448644444124333264032',7283,'306',52.21,1,3,NULL),(25,6263402,'1993-10-18 00:00:00',4,4,12,2010,'F','N','INTERIOR','S CARLOS','SC','124241241114131711413335172344610153057',NULL,'704',0.00,1,2,1),(25,6263410,'1993-10-13 00:00:00',4,4,12,2010,'F','N','INTERIOR','S CARLOS','SC','124241241114131711323316172224610153017',NULL,'704',0.00,1,2,1),(25,6263437,'1990-07-18 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216332431237743335124131966147',8925,'581',52.85,1,3,NULL),(25,6263445,'1990-07-02 00:00:00',4,2,12,2008,'M','N','CENTRO','PRES GETÚLIO','SC','124241241125151441435634145124132826172',NULL,'644',0.00,1,2,1),(25,6263461,'1993-04-05 00:00:00',2,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124242241116371431328415385221610127053',NULL,'239',18.67,1,3,NULL),(25,6263470,'1988-05-17 00:00:00',2,1,12,2005,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241116273731423419485124610141147',15609,'772',42.75,1,2,1),(25,6263488,'1992-12-02 00:00:00',2,1,12,2010,'M','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124242241215131431567612575122610162092',12011,'262',44.34,1,3,NULL),(25,6263496,'1992-09-27 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215474231479811575124610164046',299,'270',79.67,1,3,NULL),(25,6263518,'1992-05-04 00:00:00',2,3,11,2009,'M','N','BIGORRILHO','CURITIBA','PR','116222161214471431469912575125610167182',10585,'9998',50.35,1,3,NULL),(25,6263526,'1993-09-25 00:00:00',4,2,11,2010,'M','N','VELHA','BLUMENAU','SC','124244241215112331369914545124610124043',8554,'855',49.36,1,3,NULL),(25,6263534,'1991-01-05 00:00:00',2,5,12,2008,'F','N','CENTRO','CRICIÚMA','SC','124244241215573731365611475112610152042',9194,'210',48.58,1,3,NULL),(25,6263542,'1984-01-12 00:00:00',4,8,12,2002,'M','N','PARQUE GUARANI','JOINVILLE','SC','124241241117161712113349282324610124047',20706,'76',32.36,1,2,1),(25,6263550,'1991-02-16 00:00:00',4,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124241241117371431523614385121610124142',17373,'592',39.96,1,2,1),(25,6263569,'1993-12-09 00:00:00',2,1,11,2010,'F','N','DANIELA','FLORIANÓPOLIS','SC','124242241215112431438719575124610132047',15869,'1048',37.96,1,3,NULL),(25,6263577,'1991-12-23 00:00:00',4,9,11,2008,'M','N','SÃO CRISTOVÃO','LAGES','SC','124243241116473731446614372122610128187',17614,'512',39.56,1,3,NULL),(25,6263585,'1992-07-14 00:00:00',2,4,12,2009,'F','N','CENTRO','CASCAVEL','PR','116162161216471431538813575122610132047',12032,'9998',44.85,1,3,NULL),(25,6263593,'1993-04-19 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241147131431436714212124610117062',13531,'574',39.54,1,2,1),(25,6263607,'1952-01-31 00:00:00',5,1,12,1974,'F','N','KOBRASOL','S JOSÉ','SC','124252251221133311123349395114610116092',NULL,'9998',11.72,1,3,NULL),(25,6263615,'1976-06-20 00:00:00',2,1,12,1997,'M','N','JARDIM JANAÍNA','BIGUAÇU','SC','624241241147142431424644345113610126047',18102,'297',38.64,1,3,NULL),(25,6263623,'1991-07-08 00:00:00',4,15,12,2008,'F','N','SANTANA','PTO ALEGRE','RS','120202201216371431457833475122141363057',8018,'9998',51.88,1,3,NULL),(25,6263631,'1994-05-17 00:00:00',2,1,11,2010,'M','N','JARDIM VISTA ALEGRE','RIBAS R PARDO','MS','112124121215132511439711315111610167047',NULL,'9998',0.00,1,3,NULL),(25,6263658,'1992-11-07 00:00:00',2,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241135111431425514575124510137052',NULL,'307',29.53,1,2,1),(25,6263666,'1991-12-06 00:00:00',4,1,11,2008,'F','N','CENTRO','MEDIANEIRA','PR','116162161416271431434632595112143264147',NULL,'9998',0.00,1,3,NULL),(25,6263674,'1993-09-21 00:00:00',2,15,11,2010,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124242241215121431478832324111610167045',16989,'26',35.05,1,3,NULL),(25,6263682,'1992-09-10 00:00:00',4,3,12,2009,'M','N','CENTRO','VACARIA','RS','120202201216372751268839597125610168197',16921,'9998',40.74,1,3,NULL),(25,6263690,'1993-03-24 00:00:00',2,4,12,2010,'F','N','CENTRO','XAXIM','SC','124241241235131411646611115125610166177',11137,'836',44.59,4,3,NULL),(25,6263704,'1990-05-03 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242244212112751338524192124232614142',NULL,'269',26.66,1,3,NULL),(25,6263712,'1989-09-23 00:00:00',4,1,12,2007,'F','N','JARDIM SAMANTHA I','ARARAS','SP','125252251216472751358811471142610125022',NULL,'9998',0.00,1,3,NULL),(25,6263720,'1990-06-07 00:00:00',2,1,11,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241111133411646939491124610137147',19994,'814',34.60,1,2,1),(25,6263747,'1992-03-06 00:00:00',4,1,11,2009,'M','N','JD OURO BRANCO','RIBEIRÃO PRETO','SP','125251251217471431348714475124610138197',10603,'9998',48.24,1,3,NULL),(25,6263755,'1991-07-06 00:00:00',2,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124241241114471751231167495114610163147',NULL,'729',9.66,4,2,1),(25,6263763,'1992-08-20 00:00:00',4,2,11,2010,'M','N','NAÇÕES','TIMBÓ','SC','124243241215111431388617575121610147015',NULL,'1157',27.48,1,3,NULL),(25,6263780,'1991-07-21 00:00:00',2,1,12,2008,'F','N','NOSSA SENHORA DO ROS','S JOSÉ','SC','124243241335273731336614345122610163097',7536,'1118',53.09,1,3,NULL),(25,6263801,'1993-06-29 00:00:00',4,7,12,2010,'F','N','VILA PEDRINI','JOAÇABA','SC','124242241217111431438512575122610167077',NULL,'454',0.00,1,3,NULL),(25,6263810,'1991-08-09 00:00:00',2,4,12,2009,'F','N','CENTRO','CLEVELÂNDIA','PR','116163163116371731448931576124242963147',13790,'9998',40.53,1,3,NULL),(25,6263828,'1994-04-29 00:00:00',2,15,12,2010,'M','N','LIVRAMENTO','TURVO','SC','124241241117372731333615375124610122055',NULL,'814',29.03,1,2,1),(25,6263836,'1993-06-24 00:00:00',4,10,12,2010,'M','N','MAGALHÃES','LAGUNA','SC','124242241226131731526923375122610128142',7151,'524',52.93,1,3,NULL),(25,6263844,'1992-09-05 00:00:00',2,4,12,2009,'M','N','CENTRO','PALMEIRA MISSÕES','RS','120201201116231431636633145114610167047',NULL,'9998',22.47,1,3,NULL),(25,6263852,'1992-02-04 00:00:00',2,1,11,2009,'F','N','ROÇADO','S JOSÉ','SC','124243241215372431446612445134122334072',11533,'723',45.20,4,3,NULL),(25,6263860,'1993-02-19 00:00:00',2,1,12,2010,'F','N','TRÊS RIACHOS','BIGUAÇU','SC','124241241115271431423315576224610127142',NULL,'65',19.14,1,2,1),(25,6263879,'1991-04-29 00:00:00',4,1,11,2008,'M','N','MODULO II','JUÍNA','MT','111112241217575441138823575124610167112',1989,'270',67.99,1,3,NULL),(25,6263887,'1994-02-08 00:00:00',4,9,12,2010,'F','N','CENTRO','VACARIA','RS','120203201116161431423635572322610128092',NULL,'9998',35.55,3,3,NULL),(25,6263895,'1991-02-18 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124161161316371431226679395124142367142',10644,'9998',50.25,1,3,NULL),(25,6263909,'1967-05-04 00:00:00',2,1,12,1986,'M','N','INGLESES','FLORIANÓPOLIS','SC','124281288127271421223441215124340235197',NULL,'9998',0.00,1,2,1),(25,6263925,'1986-12-07 00:00:00',4,1,12,2004,'M','N','FORQUILHAS','S JOSÉ','SC','124092091216373431247844145123221724032',6544,'9998',57.60,4,3,NULL),(25,6263933,'1992-10-24 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473431489914575112610127142',8960,'270',52.92,1,3,NULL),(25,6263941,'1989-02-14 00:00:00',4,8,12,2006,'M','N','CENTRO','JOINVILLE','SC','124242241215473411458811575122120264112',271,'1063',80.10,1,3,NULL),(25,6263950,'1993-08-06 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241115111431467512575122610162187',17308,'1168',36.06,1,3,NULL),(25,6263968,'1993-07-25 00:00:00',2,1,12,2010,'F','N','CENTRO','GAROPABA','SC','124241241141161611545731211121610115097',NULL,'322',35.85,1,2,1),(25,6263976,'1988-03-22 00:00:00',4,1,12,2005,'M','N','ALTO DA GLÓRIA','CURITIBA','PR','116072071215571751336823315122141243097',2594,'9998',65.11,2,3,NULL),(25,6263992,'1990-11-12 00:00:00',4,2,12,2007,'M','N','ASA NORTE','BRASÍLIA','DF','107072071217571731489833575122610168181',692,'9998',74.38,1,3,NULL),(25,6264000,'1992-02-12 00:00:00',4,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','112244241417572431557873272112610164045',17313,'307',40.08,1,3,NULL),(25,6264026,'1993-04-18 00:00:00',4,1,12,2010,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124243241116271411458613575124610127041',9014,'271',50.97,1,3,NULL),(25,6264034,'1989-12-22 00:00:00',4,3,12,2006,'F','N','POÇÃO','CUIABÁ','MT','111164241216572431228921272225610126097',10950,'967',49.75,4,3,NULL),(25,6264050,'1990-08-10 00:00:00',4,1,12,2009,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124122241215372431589833495124610167042',NULL,'272',25.84,1,3,NULL),(25,6264069,'1989-09-18 00:00:00',2,9,12,2010,'M','N','CORAL','LAGES','SC','124253247216372431446923575121610161042',6282,'9999',55.19,1,3,NULL),(25,6264077,'1991-01-08 00:00:00',2,1,12,2008,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241116372731526733345124130238052',20558,'295',32.92,2,1,1),(25,6264085,'1966-10-14 00:00:00',2,8,12,1988,'M','N','PARQUE GUARANI','JOINVILLE','SC','524241243122163411422241112323610161087',NULL,'469',17.56,1,2,1),(25,6264107,'1994-05-23 00:00:00',4,1,12,2011,'M','S','UNIVERSITARIO','CHAPECÓ','SC','624242241215161731348734596125610168052',NULL,'1161',43.18,4,3,NULL),(25,6264115,'1994-03-20 00:00:00',4,5,12,2010,'M','N','CENTRO','URUSSANGA','SC','124242241415112431338824275124610147052',6665,'226',55.06,1,3,NULL),(25,6264123,'1993-08-24 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241415371431357822575122610137132',8199,'1017',50.95,1,3,NULL),(25,6264131,'1994-01-05 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243247316431431534432376115610127057',15194,'1017',43.42,1,3,NULL),(25,6264140,'1992-08-01 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216573451149931415124610164192',5324,'885',57.43,1,3,NULL),(25,6264158,'1994-01-09 00:00:00',2,4,12,2010,'F','N','CENTRO','GALVÃO','SC','124241241134151431326515345122610122192',19001,'321',30.89,1,2,1),(25,6264166,'1992-04-21 00:00:00',4,10,12,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124242241216473411579911575122232647042',NULL,'270',0.00,1,3,NULL),(25,6264174,'1993-04-18 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241145131211223524381321610134147',NULL,'922',19.58,1,2,1),(25,6264182,'1985-01-21 00:00:00',2,1,12,2005,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241247327132431327623342314132021017',20247,'278',33.92,2,1,2),(25,6264190,'1989-08-16 00:00:00',4,9,12,2007,'F','N','CENTRO','LAGES','SC','124131131127131421123341311314610128142',NULL,'9998',0.00,1,3,NULL),(25,6264204,'1993-10-25 00:00:00',4,8,12,2010,'F','N','BOA VISTA','JOINVILLE','SC','124241241235131411456633574124610164147',NULL,'459',36.25,1,3,NULL),(25,6264212,'1993-06-26 00:00:00',4,1,12,2010,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124243241216132431434811242124610167042',13817,'1022',45.44,1,3,NULL),(25,6264220,'1993-11-05 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124243241215111131536653395124610117014',NULL,'1076',28.89,1,3,NULL),(25,6264239,'1993-02-15 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215472431548714375124233222045',5240,'1133',60.32,1,3,NULL),(25,6264247,'1993-08-17 00:00:00',4,7,12,2010,'M','N','PANAZZOLO','VIDEIRA','SC','124241241116271431444613575112610114142',11084,'831',45.31,1,2,1),(25,6264255,'1992-11-25 00:00:00',4,1,11,2010,'M','N','GONZAGA','SANTOS','SP','125252251215111711238811575124610164047',10906,'9998',44.03,1,3,NULL),(25,6264271,'1993-04-11 00:00:00',4,1,12,2010,'F','N','PRAÇA','TIJUCAS','SC','124243241415131431326624245121610135147',4263,'1119',60.06,1,3,NULL),(25,6264298,'1992-01-09 00:00:00',4,3,11,2009,'M','N','SANTA CECILIA','ASSIS','SP','125254251237141712558814245121240347042',NULL,'9998',0.00,1,3,NULL),(25,6264301,'1985-04-07 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241137373731425324495124610125182',20772,'790',27.47,4,2,1),(25,6264328,'1987-12-15 00:00:00',2,1,12,2006,'M','N','JARDIM DAS ACÁCIAS','S JOSÉ','SC','124213245147131431126544245122610145147',NULL,'734',32.04,1,3,NULL),(25,6264336,'1988-04-18 00:00:00',4,3,11,2005,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241416474441358913444111121464045',5937,'44',58.88,1,3,NULL),(25,6264344,'1993-09-29 00:00:00',4,4,12,2010,'F','N','COMUNIDADE PINHAL','QUILOMBO','SC','124241241112171411533335573124610124042',NULL,'648',0.00,1,2,1),(25,6264360,'1992-06-24 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216472411549814575124610147062',NULL,'272',26.92,1,3,NULL),(25,6264379,'1993-02-24 00:00:00',2,6,11,2010,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241215131752437824575122610134147',7515,'1090',52.50,1,3,NULL),(25,6264387,'1993-06-21 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731359923595112610112187',5326,'270',57.07,1,3,NULL),(25,6264395,'1965-09-12 00:00:00',4,1,12,1999,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124201248112143421315144341344610117042',NULL,'285',0.00,2,2,1),(25,6264409,'1990-08-17 00:00:00',2,1,12,2007,'M','N','CENTRO','SALVADOR MISSÕES','RS','120201201216371431526634475112141727047',NULL,'9998',26.72,1,3,NULL),(25,6264425,'1994-12-28 00:00:00',4,6,12,2010,'M','N','FAZENDA','ITAJAÍ','SC','124244241216211411348729572321610161112',18915,'392',37.09,1,3,NULL),(25,6264433,'1992-07-15 00:00:00',4,6,11,2010,'M','N','DOM BOSCO','ITAJAÍ','SC','124244241417151211167814595122610117052',NULL,'392',0.00,1,3,NULL),(25,6264450,'1994-02-03 00:00:00',2,1,11,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241225111432636614575124610167157',13887,'262',40.14,1,3,NULL),(25,6264468,'1993-01-24 00:00:00',2,16,12,2010,'F','N','CENTRO','LEBON RÉGIS','SC','124244241116161431435412575121610137057',NULL,'532',22.80,1,3,NULL),(25,6264476,'1992-06-17 00:00:00',2,3,12,2009,'F','N','ACLIMAÇÃO','S PAULO','SP','125251251117471451438514242122610167187',2838,'9998',63.33,1,2,1),(25,6264492,'1993-04-14 00:00:00',2,4,12,2010,'F','N','CENTRO','GALVÃO','SC','124241241115111431224612575122610136192',NULL,'321',0.00,1,2,1),(25,6264506,'1993-11-30 00:00:00',2,4,12,2010,'F','N','CENTRO','JUPIÁ','SC','124241241114131431326812572122610134197',NULL,'862',22.11,1,2,1),(25,6264514,'1979-10-27 00:00:00',2,1,12,1998,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124163241145373431435744241134610116092',14417,'286',44.56,1,3,NULL),(25,6264522,'1982-09-26 00:00:00',4,1,11,2003,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241247347271411324439295123610117117',20488,'307',33.19,1,3,NULL),(25,6264530,'1992-12-08 00:00:00',4,1,12,2010,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124244241217371431466823585124610121097',8117,'1022',51.34,1,3,NULL),(25,6264549,'1973-08-06 00:00:00',2,1,12,1994,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124251251616133441128817485121610153183',NULL,'9998',32.85,1,3,NULL),(25,6264557,'1993-07-21 00:00:00',4,6,12,2010,'M','N','PRAIA GRANDE','PENHA','SC','124242241215122431468739215121610161112',14705,'392',38.68,1,3,NULL),(25,6264565,'1992-12-01 00:00:00',4,10,12,2009,'F','N','TERMAS','GRAVATAL','SC','124241241111371431526613282124610115147',NULL,'332',22.28,1,2,1),(25,6264573,'1994-04-28 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241217111431577813575122610126192',13611,'738',45.76,1,3,NULL),(25,6264581,'1989-11-25 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216375431446612385122220767132',NULL,'723',0.00,1,3,NULL),(25,6264590,'1989-10-28 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241335375451437469286124610164157',3200,'270',62.99,1,3,NULL),(25,6264603,'1993-03-22 00:00:00',4,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124242241215471441478614472122610118197',19395,'855',36.07,1,3,NULL),(25,6264620,'1991-07-19 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215272431236721312222131023147',6318,'270',58.10,1,3,NULL),(25,6264638,'1991-08-13 00:00:00',4,16,12,2008,'M','N','BOSQUE','CURITIBANOS','SC','124241241113252731323269372324610127055',18214,'239',38.45,1,3,NULL),(25,6264646,'1992-07-29 00:00:00',4,2,12,2009,'F','N','COLONINHA','GASPAR','SC','124241241115472441225521272124610166142',7377,'327',52.32,1,2,1),(25,6264654,'1993-06-24 00:00:00',4,1,12,2010,'F','N','SOUSAS','CAMPINAS','SP','125252251215111431569811572122610111041',2627,'9998',65.23,1,3,NULL),(25,6264670,'1993-04-06 00:00:00',4,3,12,2009,'M','N','CENTRO','BRUSQUE','SC','124242241212112431567934575112121417082',NULL,'981',0.00,1,3,NULL),(25,6264689,'1993-04-22 00:00:00',2,2,12,2010,'M','N','NAÇÕES','INDAIAL','SC','124244241215111431558623345122610137042',13017,'925',42.19,1,3,NULL),(25,6264697,'1990-01-25 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124134131216131431326779445124610162095',18695,'9998',37.56,4,3,NULL),(25,6264700,'1991-12-09 00:00:00',4,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115131431333524342224610118052',21776,'733',22.68,4,2,1),(25,6264719,'1973-06-30 00:00:00',4,1,12,1997,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224241248337153421544454372122130461095',21602,'840',26.90,1,3,NULL),(25,6264735,'1990-12-05 00:00:00',2,9,12,2008,'M','N','SANTA MARIA','LAGES','SC','124241241116471421334632341233130424112',8917,'505',53.20,1,2,1),(25,6264743,'1994-03-01 00:00:00',4,17,12,2010,'M','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241112371531543823575122610164052',13360,'146',46.13,1,2,1),(25,6264751,'1993-09-27 00:00:00',2,2,12,2010,'F','N','GUARANI','BRUSQUE','SC','124244241215131431465732572222610115142',16651,'1090',41.16,1,3,NULL),(25,6264778,'1992-03-05 00:00:00',4,1,12,2009,'M','N','AHÚÚ','CURITIBA','PR','116162161215371411478834475112141064043',3447,'9998',63.18,1,3,NULL),(25,6264786,'1985-05-08 00:00:00',4,1,12,2001,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124212213216575431328319485124222334047',9015,'9998',50.27,4,1,2),(25,6264794,'1993-04-20 00:00:00',2,2,12,2010,'M','N','VILA NOVA','BLUMENAU','SC','124253241217131411558814571125610134187',16408,'88',36.60,1,3,NULL),(25,6264808,'1993-09-12 00:00:00',4,16,12,2010,'F','N','RIBEIRÃO DAS PEDRAS','TAIÓ','SC','124241241115131431423365152224610156192',NULL,'905',0.00,1,2,1),(25,6264816,'1994-10-26 00:00:00',4,15,12,2010,'M','N','POLICIA RODOVIARIA','ARARANGUÁ','SC','124241241125161132633312341122610138182',NULL,'30',0.00,4,2,1),(25,6264824,'1993-10-30 00:00:00',2,1,12,2010,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115271431424311395124610133072',NULL,'21',23.04,1,2,1),(25,6264859,'1965-11-02 00:00:00',4,1,12,1984,'M','N','JARDIM JANAINA','BIGUAÇU','SC','224204201416271711343341415122541566047',14930,'9998',43.79,1,3,NULL),(25,6264867,'1993-05-07 00:00:00',2,1,11,2010,'F','N','ROÇADO','S JOSÉ','SC','124242241215141111226619395124610118012',NULL,'724',29.10,1,3,NULL),(25,6264875,'1993-06-29 00:00:00',4,3,12,2010,'M','N','CENTRO','AT PARANÁ','PR','116163161216151431568831474124610134072',6068,'9998',56.92,1,3,NULL),(25,6264883,'1992-12-07 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241437111431456823575114610128177',13798,'1022',45.48,1,3,NULL),(25,6264905,'1993-11-22 00:00:00',2,1,12,2010,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241215111431634414472124610126187',7099,'1223',54.26,1,3,NULL),(25,6264921,'1991-12-27 00:00:00',4,1,12,2010,'M','N','COLONIA SATANA','S JOSÉ','SC','124241241125171731323324282324610137047',NULL,'731',22.73,1,2,1),(25,6264930,'1991-09-27 00:00:00',4,2,12,2008,'M','N','CENTRO','MARINGÁ','PR','116162161215572421469911572124610167042',NULL,'9998',0.00,3,3,NULL),(25,6264948,'1989-09-12 00:00:00',4,1,12,2006,'M','N','CENTRO','PALHOÇA','SC','124241241116371431453334475124610132092',6458,'591',54.63,1,2,1),(25,6264956,'1992-06-13 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241116152431456937275124610127112',NULL,'298',17.38,1,3,NULL),(25,6264964,'1993-06-13 00:00:00',2,1,11,2010,'F','N','CENTRO','BIGUAÇU','SC','124242241217131431528614172112610123042',14800,'63',40.75,1,3,NULL),(25,6264972,'1993-12-11 00:00:00',4,1,12,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241217111431433329595114610124142',NULL,'1022',13.08,1,3,NULL),(25,6264980,'1992-10-04 00:00:00',4,1,12,2010,'M','N','MACUCO','SANTOS','SP','125252251217271631436624575112610127052',15981,'9998',36.22,1,3,NULL),(25,6264999,'1992-11-24 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217112431469613572124610128117',995,'270',73.99,1,3,NULL),(25,6265022,'1991-07-27 00:00:00',4,1,12,2008,'F','N','BARÃO GERALDO','CAMPINAS','SP','125252251217571411589913271112610164117',4947,'9998',56.60,1,3,NULL),(25,6265049,'1972-11-24 00:00:00',4,1,11,1988,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212155751139644342132523262097',7882,'305',50.20,1,3,NULL),(25,6265057,'1987-03-07 00:00:00',2,1,12,2004,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241147134431124643235124333267057',12615,'750',47.17,1,2,1),(25,6265065,'1992-05-01 00:00:00',2,1,11,2009,'F','N','SUL DO RIA','STO AMARO IMPERATRIZ','SC','124241241145471431531524581322610167147',NULL,'941',21.00,1,2,1),(25,6265081,'1991-09-21 00:00:00',4,1,12,2009,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124284241415372431548811575114610163097',8610,'883',53.76,1,3,NULL),(25,6265090,'1993-06-01 00:00:00',2,8,12,2010,'F','N','CENTRO','PEDRO OSÓRIO','RS','120202201116471431328912345124610122142',14992,'9998',37.56,1,3,NULL),(25,6265103,'1993-01-11 00:00:00',4,15,12,2010,'M','N','ZONA SUL','BAL ARROIO SILVA','SC','124242241215271752433612575122610137055',11730,'26',48.57,1,3,NULL),(25,6265111,'1993-12-29 00:00:00',2,9,12,2010,'F','N','CORAL','LAGES','SC','124241241415111431427614375112610131012',NULL,'1207',11.81,1,3,NULL),(25,6265120,'1992-03-27 00:00:00',4,7,11,2010,'M','N','CENTRO','TRÊS MAIO','RS','120244201416151431547614245122610132096',19107,'9998',31.22,1,3,NULL),(25,6265146,'1993-10-23 00:00:00',4,7,11,2010,'F','N','CENTRO','JOAÇABA','SC','124242241215271731448612475112610163097',10270,'454',46.64,1,3,NULL),(25,6265154,'1993-07-08 00:00:00',3,1,10,2010,'M','N','BUENO','GOIÂNIA','GO','109092091216111231457933575122610162137',4476,'9998',58.38,1,3,NULL),(25,6265162,'1993-01-23 00:00:00',4,1,12,2010,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241215111431443312575122610166072',NULL,'948',37.29,1,3,NULL),(25,6265170,'1992-04-21 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431458914572122610122197',4281,'270',61.14,1,3,NULL),(25,6265189,'1992-05-09 00:00:00',4,3,11,2010,'M','N','HAUER','CURITIBA','PR','116164167447131511435734345122610154182',NULL,'1220',12.56,1,3,NULL),(25,6265197,'1993-05-21 00:00:00',2,1,12,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243241215271411436614573124610126172',13998,'1022',39.62,1,3,NULL),(25,6265200,'1993-04-12 00:00:00',2,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241115131732336523575114610134057',20623,'298',32.66,1,2,1),(25,6265219,'1991-10-03 00:00:00',4,1,12,2009,'F','N','PARQUE DA REPRESA','JUNDIAÍ','SP','125252251215471431558813575122610133092',NULL,'9998',0.00,1,3,NULL),(25,6265227,'1993-03-12 00:00:00',4,3,12,2010,'F','N','JARDIM NOVO HORIZONT','MARINGÁ','PR','116162161217111331447613575124610163147',NULL,'9998',0.00,1,3,NULL),(25,6265235,'1993-09-21 00:00:00',4,3,12,2010,'M','N','SANTANA','GUARAPUAVA','PR','116163161215121431469933575122610137052',8438,'9998',54.08,1,3,NULL),(25,6265243,'1994-01-29 00:00:00',4,9,12,2010,'F','N','SANTA HELENA','LAGES','SC','124241241117371431423538581124610135143',NULL,'935',0.00,4,2,1),(25,6265251,'1993-08-13 00:00:00',2,3,12,2010,'M','N','SAO VICENTE','PATO BRANCO','PR','116162161217111731438634595122610167052',19816,'9998',35.11,1,3,NULL),(25,6265260,'1992-12-15 00:00:00',2,1,11,2010,'F','N','HORTO FLORESTAL','TERESINA','PI','118182188216111431589934575122610145142',18425,'9998',38.07,1,3,NULL),(25,6265278,'1991-04-26 00:00:00',4,1,11,2009,'M','N','PEDRA BRANCA','PALHOÇA','SC','124241241216132431416639445134610124142',NULL,'724',18.93,1,3,NULL),(25,6265286,'1990-04-25 00:00:00',2,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242247212131111426663382124610112145',20165,'9999',28.82,1,3,NULL),(25,6265316,'1990-10-13 00:00:00',2,1,12,2007,'F','N','JARDIM MAR DAS PEDRA','BIGUAÇU','SC','224241241112473411643314346234130224197',NULL,'257',0.00,1,2,1),(25,6265324,'1991-10-23 00:00:00',4,1,3,2010,'F','N','CENTRO','LONDRINA','PR','124164167427271411519644245224610126197',NULL,'9998',0.00,1,3,NULL),(25,6265332,'1990-03-16 00:00:00',4,1,12,2007,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124243241116131411334669415224133168181',4264,'739',59.87,1,3,NULL),(25,6265340,'1993-05-19 00:00:00',4,1,11,2010,'M','N','PARQUE DOS MOREIRAS','OURO FINO','MG','113131138135131431323614395124610168187',NULL,'9998',0.00,4,2,1),(25,6265359,'1989-09-29 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244247212141531436633445122610167042',20238,'9999',33.96,1,3,NULL),(25,6265367,'1993-05-21 00:00:00',4,1,12,2010,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242248215111431338713572125610128047',NULL,'948',19.29,1,3,NULL),(25,6265391,'1993-06-29 00:00:00',4,4,11,2010,'M','N','CENTRO','CPO ERÊ','SC','124241161316111231436612185124610147045',NULL,'137',29.24,1,3,NULL),(25,6265405,'1991-09-03 00:00:00',4,1,12,2008,'M','N','FLAMBOYANT','CAMPINAS','SP','125251251116572431466612375124610167017',NULL,'9998',0.00,4,2,1),(25,6265413,'1991-12-05 00:00:00',4,6,11,2008,'M','N','SÃO LUIS','BRUSQUE','SC','124241241127271431333314345112610124192',16478,'112',41.42,1,3,NULL),(25,6265421,'1985-12-01 00:00:00',2,1,12,2003,'M','N','PRADO','BIGUAÇU','SC','124242241126132411523629242124610114142',18737,'65',35.57,2,1,2),(25,6265430,'1989-11-07 00:00:00',4,4,6,2008,'F','N','INDEPENDENCIA','PTO ALEGRE','RS','120283281117571431433639575122610126147',10680,'9998',45.89,1,3,NULL),(25,6265448,'1993-08-15 00:00:00',4,1,12,2010,'F','N','UNIVERSITÁEIO','TIJUCAS','SC','124242248215112431436616575122610126117',21521,'948',27.69,1,3,NULL),(25,6265456,'1993-09-18 00:00:00',4,8,12,2010,'M','N','CENTRO','DRACENA','SP','125252251215111431459811575112610127047',NULL,'9998',28.44,1,3,NULL),(25,6265464,'1994-01-26 00:00:00',2,10,11,2010,'F','N','CENTRO','TUBARÃO','SC','124242241415111222339931572222610164197',NULL,'806',23.80,1,3,NULL),(25,6265472,'1993-11-13 00:00:00',2,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124241241117141431336624245124610167142',NULL,'257',21.45,1,2,1),(25,6265480,'1992-03-29 00:00:00',2,8,12,2009,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241136141431646611345132610122147',NULL,'430',27.73,1,3,NULL),(25,6265499,'1991-02-22 00:00:00',4,9,12,2008,'F','N','CENTRO','AURORA','SC','124241241135474431436332245122610127142',12766,'40',44.09,1,2,1),(25,6265502,'1990-12-15 00:00:00',4,1,12,2008,'F','N','VILA MARIANA','S PAULO','SP','125252251237572431458712571115610164057',760,'9998',74.75,1,3,NULL),(25,6265510,'1981-05-19 00:00:00',2,1,12,2001,'M','N','CENTRO','ARAUCÁRIA','PR','216161168121371431323144241124610162187',6683,'9998',55.86,1,2,1),(25,6265529,'1989-09-26 00:00:00',4,1,12,2007,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121237211411369811575122141421042',NULL,'9998',0.00,1,3,NULL),(25,6265537,'1990-12-12 00:00:00',2,16,12,2008,'F','N','AGUA SANTA','CURITIBANOS','SC','124241241115471722333329242343610148147',NULL,'240',24.63,4,3,NULL),(25,6265545,'1993-02-04 00:00:00',4,2,12,2010,'M','N','JARDIM MALUCHE','BRUSQUE','SC','624242241215371431364414272112610167012',2350,'107',66.50,1,3,NULL),(25,6265553,'1993-07-09 00:00:00',4,8,12,2010,'F','N','SANTANA','ARAÇATUBA','SP','125252251215111432436631575122610164192',8159,'9998',50.96,1,3,NULL),(25,6265570,'1987-04-25 00:00:00',4,1,6,2006,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241127271731643169495134610163187',NULL,'293',16.41,4,2,1),(25,6265588,'1994-10-26 00:00:00',4,1,12,2011,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217151732458613575122610132095',NULL,'273',35.84,1,3,NULL),(25,6265596,'1993-03-31 00:00:00',2,6,11,2010,'F','N','RIO BONITO','IRATI','PR','116162161216373222454837575112610142092',NULL,'9997',30.90,1,3,NULL),(25,6265618,'1991-06-14 00:00:00',4,8,12,2008,'F','N','BOQUEIRÃO','CURITIBA','PR','116162161216572431648812574124610167072',7996,'9998',50.56,1,3,NULL),(25,6265626,'1993-10-27 00:00:00',2,1,11,2010,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124242241215121231426632575122610136012',NULL,'1022',35.71,1,3,NULL),(25,6265634,'1984-06-22 00:00:00',4,1,12,2001,'F','N','CAMPINAS','S JOSÉ','SC','124201201116131432623623491314610112017',21323,'9998',29.28,1,3,NULL),(25,6265650,'1992-10-10 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215172731649924585114610164182',10420,'269',50.62,1,3,NULL),(25,6265669,'1990-01-30 00:00:00',4,8,12,2006,'F','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161216121431358812574112141464093',9920,'9998',51.49,1,3,NULL),(25,6265677,'1992-08-30 00:00:00',4,1,12,2009,'M','N','ARTHUR ALVIM','S PAULO','SP','125252251237471431358824572114610117187',7603,'9998',52.10,1,3,NULL),(25,6265685,'1993-12-03 00:00:00',2,1,12,2010,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241248115371431424114572124610128142',NULL,'592',30.20,1,3,NULL),(25,6265693,'1993-12-11 00:00:00',4,5,11,2010,'M','N','MINA BRASIL','CRICIÚMA','SC','124244241416111531443632575115610168117',17786,'226',39.26,1,3,NULL),(25,6265707,'1984-09-23 00:00:00',4,1,12,2002,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124201201126231711112344245114610137067',16131,'9998',41.96,4,2,1),(25,6265715,'1992-12-05 00:00:00',4,1,12,2010,'M','N','FLORESTA','S JOSÉ','SC','124242241215111431337761575122610154042',15150,'1118',39.21,1,3,NULL),(25,6265723,'1991-06-06 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217152712487812346112230264194',NULL,'270',22.25,1,3,NULL),(25,6265731,'1994-06-16 00:00:00',4,1,12,2010,'F','N','CENTRO','GAROPABA','SC','124241241215111431325612575124610123077',3791,'1022',61.06,1,3,NULL),(25,6265758,'1993-01-28 00:00:00',4,1,12,2009,'M','N','CENTRO','JOSÉ BOITEUX','SC','124243241215472431668613395124131064012',1364,'346',70.65,4,3,NULL),(25,6265766,'1992-06-06 00:00:00',4,5,11,2009,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215472431468932575122610164142',1765,'226',69.19,1,3,NULL),(25,6265774,'1992-07-27 00:00:00',4,8,12,2009,'M','N','VILA LALAU','JARAGUÁ SUL','SC','124242248215371731338651372124610132042',14932,'1174',43.78,1,3,NULL),(25,6265790,'1991-12-16 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124241241116272431423319485114610134141',14055,'734',40.54,1,2,1),(25,6265812,'1992-02-06 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201117471431423619275124610126197',17489,'9998',35.68,1,2,1),(25,6265847,'1993-12-25 00:00:00',4,2,12,2010,'M','N','BOA VISTA','RIO SUL','SC','124241241115111431539933281224610127142',10937,'658',45.04,1,3,NULL),(25,6265855,'1989-11-22 00:00:00',2,15,12,2008,'F','N','CENTRO HISTÓRICO','PTO ALEGRE','RS','120203201347471431233723375114610167147',10691,'9998',45.04,1,3,NULL),(25,6265863,'1992-12-04 00:00:00',4,1,12,2010,'F','N','JD DAS INDÚSTRIA','S JOSÉ CAMPOS','SP','125252251215111431448832575122610143127',NULL,'9998',0.00,1,3,NULL),(25,6265871,'1994-01-31 00:00:00',4,1,12,2010,'M','N','N S CONSOLADORA','GETÚLIO VARGAS','RS','120201201117271431459724142122610124142',16618,'9998',35.09,1,2,1),(25,6265880,'1987-11-19 00:00:00',4,1,11,2004,'M','N','PANAMBY','S PAULO','SP','125252251217571731488933575112610167092',596,'9998',76.76,4,3,NULL),(25,6265898,'1992-09-26 00:00:00',2,1,11,2009,'M','N','CAEIRA SACO LIMOES','FLORIANÓPOLIS','SC','124241243115341731434434343114610164115',NULL,'281',13.50,1,2,1),(25,6265901,'1992-07-12 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117471411523511442234610116082',20411,'281',33.40,1,2,1),(25,6265910,'1990-08-11 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216274411646812395124121212187',6085,'1022',58.54,1,3,NULL),(25,6265928,'1986-09-04 00:00:00',4,1,2,2005,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124171171226371732211144345124610128045',NULL,'9998',18.25,2,3,NULL),(25,6265936,'1993-05-18 00:00:00',2,1,11,2010,'M','N','ANA ROSA','TRINDADE','GO','109092091215111431437611371122610127057',439,'9998',77.81,4,3,NULL),(25,6265944,'1979-02-14 00:00:00',4,1,10,2000,'M','N','PQ INDUSTRIAL','S JOSÉ CAMPOS','SP','225252257436471411229741115122143266042',1045,'9998',71.91,1,3,NULL),(25,6265952,'1987-05-24 00:00:00',4,1,12,2004,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124254251212472421157417475124221926077',8768,'9998',53.47,1,3,NULL),(25,6265960,'1993-05-17 00:00:00',4,1,12,2010,'F','N','SANTANA','S PAULO','SP','125252251437471411479932572122610131142',14938,'9998',38.83,1,3,NULL),(25,6265979,'1993-04-21 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124241241115271431319624392224610124017',NULL,'732',30.83,1,2,1),(25,6265987,'1993-11-11 00:00:00',2,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124203241135141731636624245324610145043',19092,'292',31.06,4,3,NULL),(25,6266002,'1990-03-10 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241225374421455334141124233234067',3123,'262',63.73,1,3,NULL),(25,6266010,'1991-04-03 00:00:00',4,1,12,2008,'F','N','IMPERIAL','S JOSÉ R PRETO','SP','125252251236331411428621345125140234177',9940,'9998',51.45,1,3,NULL),(25,6266029,'1993-06-23 00:00:00',2,4,12,2010,'M','N','TRES PALMEIRAS','CEL FREITAS','SC','124241241117271431326624572222610127017',17454,'199',33.94,1,2,1),(25,6266037,'1992-11-30 00:00:00',4,1,12,2010,'M','N','LUTHER KING','FRANCISCO BELTRÃO','PR','116161163111471431458834345122610127052',NULL,'9998',0.00,1,3,NULL),(25,6266045,'1992-03-25 00:00:00',4,8,12,2009,'M','N','VILA OCIDENTAL','PRES PRUDENTE','SP','125253251216471431568711572122610122092',4814,'9998',57.12,1,3,NULL),(25,6266070,'1992-10-01 00:00:00',2,1,12,2009,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241217372431446859385124610164182',9720,'1022',51.84,4,3,NULL),(25,6266088,'1993-07-26 00:00:00',4,2,10,2010,'M','N','JARDIM','CONCÓRDIA','SC','124242241215122421456732172325610164057',18562,'855',35.26,1,3,NULL),(25,6266096,'1994-08-08 00:00:00',2,15,12,2010,'F','N','LIVRAMENTO','ERMO','SC','124241241117131511523315275324610147057',19132,'250',31.61,1,2,1),(25,6266100,'1993-12-25 00:00:00',2,4,11,2010,'F','N','CANCELI','CASCAVEL','PR','116162161215121751436615575124610164057',17257,'9998',40.17,1,3,NULL),(25,6266118,'1993-12-07 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241115271731225623272124610127187',18446,'730',34.91,1,2,1),(25,6266134,'1991-08-04 00:00:00',4,1,12,2008,'F','N','FLAMBOYANT','CAMPINAS','SP','125252251216571431578831575122610144142',6302,'9998',53.10,1,3,NULL),(25,6266142,'1993-06-28 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217221731466812572122610132131',1662,'262',69.74,1,3,NULL),(25,6266169,'1981-04-17 00:00:00',4,1,1,2000,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124212211216151711138879475122541044181',3318,'9998',65.04,4,3,NULL),(25,6266185,'1993-09-30 00:00:00',2,9,12,2010,'M','N','CENTRO','LAGES','SC','124241241117271721323729575115610134057',14623,'500',39.59,4,2,1),(25,6266207,'1991-08-18 00:00:00',4,1,12,2008,'F','N','RODRIGUES','PASSO FUNDO','RS','120202201216472411568934475122610147182',NULL,'9998',0.00,1,3,NULL),(25,6266215,'1992-06-30 00:00:00',4,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117231712427411575122610128147',20675,'307',26.74,1,2,1),(25,6266223,'1990-09-05 00:00:00',4,1,11,2007,'M','N','VILA MARIANA','S PAULO','SP','125252251214571431478831595122610132187',1252,'9998',70.36,1,3,NULL),(25,6266240,'1975-07-26 00:00:00',2,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201247227135721324644242344610122182',NULL,'9999',6.52,1,3,NULL),(25,6266258,'1993-01-16 00:00:00',4,5,11,2010,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241215112431548612575122610132042',7735,'226',51.88,1,3,NULL),(25,6266266,'1995-02-27 00:00:00',4,1,12,2011,'M','S','CENTRO','PRES GETÚLIO','SC','124242241215111431468639572122610132092',NULL,'991',51.55,1,3,NULL),(25,6266274,'1992-11-20 00:00:00',4,2,11,2010,'M','N','RIO BRANCO','BRUSQUE','SC','124244241147271431324611275325610124141',4020,'114',62.10,1,3,NULL),(25,6266282,'1969-05-22 00:00:00',2,1,8,2010,'M','N','ABRAAO','FLORIANÓPOLIS','SC','624241247115271441525341112124610164047',15115,'9999',43.52,2,1,1),(25,6266290,'1993-03-04 00:00:00',2,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124241241115131431433539395334610111142',NULL,'726',1.55,1,3,NULL),(25,6266304,'1984-09-18 00:00:00',4,1,12,2002,'M','N','BOM FIM','STA CRUZ SUL','RS','120203201117151431436519395122140224042',NULL,'9998',0.00,1,3,NULL),(25,6266312,'1970-07-13 00:00:00',4,1,12,1990,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241246126133721344344245232133212047',15158,'306',43.47,1,2,1),(25,6266339,'1992-07-05 00:00:00',4,1,11,2009,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125252251216371431389933575125610117162',10961,'9998',46.07,1,3,NULL),(25,6266347,'1987-03-28 00:00:00',1,1,12,2004,'M','N','ALTO DA XV','CURITIBA','PR','116164161436111511664912315121342217093',NULL,'9998',0.00,1,3,NULL),(25,6266363,'1994-01-20 00:00:00',4,3,12,2010,'M','N','CENTRO','S GABRIEL OESTE','MS','112122121216111351467436575122610127042',NULL,'9998',34.21,1,3,NULL),(25,6266371,'1992-10-27 00:00:00',2,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124244241216113431438632475122231447052',20397,'1000',33.44,1,3,NULL),(25,6266380,'1959-10-04 00:00:00',4,1,12,1977,'F','N','BARREIROS','S JOSÉ','SC','224241241117155751363343436134610117147',NULL,'307',20.48,1,2,1),(25,6266401,'1992-01-25 00:00:00',4,1,12,2009,'M','N','CENTRO','CAXIAS SUL','RS','120202201215471431478931572122241467042',9430,'9998',52.31,1,3,NULL),(25,6266410,'1992-01-29 00:00:00',2,9,12,2009,'M','N','SANTANA','VACARIA','RS','120201201117371411437921575122610144127',13448,'9997',46.01,1,2,1),(25,6266436,'1980-12-30 00:00:00',2,1,12,2002,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201201127131121224644245124140222177',16461,'9998',37.78,1,2,1),(25,6266452,'1993-09-27 00:00:00',4,2,11,2010,'F','N','VOSTARDT','BLUMENAU','SC','124241241315271731535931275112610164142',21681,'88',25.57,1,3,NULL),(25,6266460,'1989-08-30 00:00:00',2,4,11,2006,'M','N','CENTRO','ERECHIM','RS','120202201217571431446633375125141467187',3299,'9998',65.10,4,3,NULL),(25,6266479,'1993-05-17 00:00:00',2,15,12,2010,'M','N','JARDIM NICOLAU','JACINTO MACHADO','SC','124241241115131711433612275121610147042',NULL,'420',18.57,1,2,1),(25,6266487,'1988-03-24 00:00:00',4,1,12,2005,'F','N','SAO LUIZ','BRUSQUE','SC','124242241215575431369434591112610132122',8804,'981',49.71,1,3,NULL),(25,6266495,'1992-08-02 00:00:00',2,1,12,2009,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241127131431523414342124610124142',NULL,'591',19.80,2,1,1),(25,6266509,'1993-01-15 00:00:00',2,1,12,2010,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124242241212111732423829292124610118142',NULL,'1048',21.17,1,3,NULL),(25,6266517,'1993-06-17 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241415121411436614442114610132147',NULL,'1118',36.21,2,1,2),(25,6266525,'1994-11-05 00:00:00',4,1,12,2011,'F','S','CENTRO','MARMELEIRO','PR','116163161315111631335512575122610142017',NULL,'9998',35.82,1,3,NULL),(25,6266533,'1991-07-09 00:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215473431547932475124610142131',13270,'951',42.49,1,3,NULL),(25,6266550,'1993-02-25 00:00:00',2,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241248215121431536719272122610127055',17019,'272',36.16,1,3,NULL),(25,6266584,'1994-07-06 00:00:00',4,1,11,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241232111531436621522124613237092',20340,'1022',33.60,1,3,NULL),(25,6266592,'1992-03-01 00:00:00',4,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124242241217133431326614344124230217077',17400,'868',39.93,1,3,NULL),(25,6266606,'1993-04-19 00:00:00',1,7,11,2010,'F','N','ALVORADA','VIDEIRA','SC','124243248215371731336632575124610121142',NULL,'969',21.38,1,3,NULL),(25,6266614,'1992-02-06 00:00:00',2,8,10,2010,'F','N','CENTRO','JOINVILLE','SC','124242248215471711539812115122610158072',NULL,'9997',0.00,1,3,NULL),(25,6266622,'1989-08-06 00:00:00',4,1,12,2006,'F','N','CASTELO BRANCO','CAMPINAS','SP','125251256115472421433411375112143267184',5380,'9998',56.91,4,2,1),(25,6266630,'1991-12-31 00:00:00',4,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241212372431458513385114610124147',14304,'1075',41.39,1,3,NULL),(25,6266649,'1991-08-13 00:00:00',2,1,12,2009,'F','N','IMPERIAL PARQUE','CAMPINAS','SP','125251253217471431436613271114610143097',19653,'9998',35.45,1,3,NULL),(25,6266657,'1982-05-28 00:00:00',4,1,12,1999,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241317412112168843435132321464194',12045,'52',48.06,1,3,NULL),(25,6266665,'1962-04-16 00:00:00',2,3,2,1980,'F','N','MEIA PRAIA','ITAPEMA','SC','224201204147131711352254175115610166187',NULL,'9998',20.84,1,2,1),(25,6266673,'1993-01-22 00:00:00',2,1,11,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242248215111431428713575122610137042',16093,'1048',36.82,1,3,NULL),(25,6266690,'1993-04-12 00:00:00',2,6,12,2010,'F','N','VÁRZEA DO RANCHINHO','CAMBORIÚ','SC','124241241215131731336624245124610134147',NULL,'53',23.51,1,3,NULL),(25,6266703,'1991-10-03 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215473431336622595114610124142',3918,'270',63.47,1,3,NULL),(25,6266720,'1993-05-26 00:00:00',4,5,11,2010,'M','N','JARDIM MARISTELA','CRICIÚMA','SC','124242241215112431449813395112610167072',12547,'211',42.31,1,3,NULL),(25,6266738,'1993-04-30 00:00:00',4,6,11,2010,'M','N','CENTRO','BRUSQUE','SC','124242241215111431456812425112610134012',NULL,'109',22.54,1,3,NULL),(25,6266746,'1990-12-17 00:00:00',2,8,12,2007,'F','N','CENTRO','S MATEUS SUL','PR','116162161216572411447831574314610164142',7681,'9998',52.28,1,3,NULL),(25,6266754,'1993-04-09 00:00:00',2,8,11,2010,'F','N','CRUZEIRO','RIO NEGRINHO','SC','124241241117271432323723572122610148142',17503,'669',39.74,1,3,NULL),(25,6266762,'1994-06-10 00:00:00',4,1,12,2011,'F','S','COLONIAL','S BENTO SUL','SC','124242241215111431559914574122610162012',NULL,'1073',35.14,1,3,NULL),(25,6266770,'1991-11-09 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215273441468923572124221434152',4728,'883',61.49,1,3,NULL),(25,6266789,'1992-08-15 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORES CUNHA','RS','120202201216471411348831215124610123142',2984,'9998',63.74,1,3,NULL),(25,6266797,'1995-01-13 00:00:00',4,1,12,2010,'M','N','ARIRIÚ','PALHOÇA','SC','124242241215111431358823575124610167042',11743,'1011',48.56,1,3,NULL),(25,6266800,'1993-11-02 00:00:00',4,15,11,2010,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215121422434437572212610127047',6273,'970',55.09,1,3,NULL),(25,6266819,'1992-06-27 00:00:00',4,15,12,2009,'M','N','POUSADA DA NEVE','NOVA PETRÓPOLIS','RS','120201201116151431536822585125143264197',7317,'9998',52.74,1,3,NULL),(25,6266827,'1991-03-25 00:00:00',4,8,11,2007,'M','N','GLÓRIA','JOINVILLE','SC','124244241116472431349612335124130224142',NULL,'475',27.75,1,3,NULL),(25,6266835,'1986-08-23 00:00:00',5,5,12,2004,'M','N','SAO SEBASTIAO','CRICIÚMA','SC','124241241116131411443322272112130415172',NULL,'228',0.00,1,2,1),(25,6266851,'1992-12-02 00:00:00',4,1,12,2009,'F','N','PARAÍSO','S PAULO','SP','125122251232471721458931571125142464057',NULL,'9998',0.00,1,3,NULL),(25,6266886,'1995-03-18 00:00:00',4,1,12,2011,'F','S','CANTO','FLORIANÓPOLIS','SC','124242241216121731456811575124610124187',NULL,'1022',43.52,1,3,NULL),(25,6266894,'1993-06-05 00:00:00',4,5,11,2010,'M','N','PIO CORREA','CRICIÚMA','SC','125242241215112431568812575122610144047',5144,'226',60.52,1,3,NULL),(25,6266908,'1992-06-16 00:00:00',4,1,6,2010,'M','N','BOQUEIRAO','SANTOS','SP','125251281415271431467833595121610127087',NULL,'9998',0.00,1,3,NULL),(25,6266924,'1988-03-27 00:00:00',4,1,12,2005,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241116355431334634582214610153187',6880,'293',54.15,1,2,1),(25,6266940,'1993-05-02 00:00:00',2,9,11,2010,'F','N','CENTRO','SALETE','SC','624243241216141431538632595124610164047',20164,'776',28.96,1,3,NULL),(25,6266959,'1990-12-10 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241435131431367923385112133218195',NULL,'9999',23.56,1,3,NULL),(25,6266967,'1993-03-02 00:00:00',4,1,11,1993,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241217111731438532395114610162091',20790,'1022',26.22,1,3,NULL),(25,6266975,'1992-04-12 00:00:00',4,1,12,2009,'M','N','CENTRO','S JOSÉ CAMPOS','SP','111112111237472431448811575115610162032',635,'9998',76.48,3,3,NULL),(25,6266983,'1993-07-15 00:00:00',2,2,11,2010,'M','N','NAÇÕES','TIMBÓ','SC','124241241215151431446632585112610122062',21661,'1157',25.93,1,3,NULL),(25,6266991,'1989-02-22 00:00:00',2,15,11,2006,'M','N','LAGOÃO','ARARANGUÁ','SC','124241248116131411323629295123610118082',NULL,'29',10.50,1,3,NULL),(25,6267009,'1984-12-19 00:00:00',4,1,12,2002,'M','N','VILA NOVA','MAFRA','SC','124241241116152431433329442334610144172',9981,'545',48.58,1,2,1),(25,6267025,'1993-11-22 00:00:00',4,2,12,2010,'F','N','ALTO SAO PEDRO','COXIM','MS','112121121316111411423833275321610115172',NULL,'404',19.68,2,3,NULL),(25,6267033,'1990-04-16 00:00:00',4,8,12,2007,'M','N','AMERICA','JOINVILLE','SC','124243246237371431344619395112610127091',NULL,'1105',17.25,1,3,NULL),(25,6267041,'1992-09-06 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241217472431548632572322610136097',731,'270',73.89,1,3,NULL),(25,6267050,'1993-03-30 00:00:00',4,1,12,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215122431379813475112610127062',2367,'270',66.50,1,3,NULL),(25,6267068,'1992-04-09 00:00:00',4,8,12,2009,'F','N','AVAÍ','GUARAMIRIM','SC','124242241215272731569914572112122064195',7102,'861',56.54,1,3,NULL),(25,6267076,'1992-07-07 00:00:00',2,1,11,2010,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241111141431425329272224610164147',NULL,'591',10.53,4,2,1),(25,6267084,'1992-11-19 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116371431426611575124610161017',14269,'307',41.60,1,2,1),(25,6267092,'1987-12-07 00:00:00',2,1,12,2005,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241241126153411333614245224233237017',13950,'307',45.25,4,2,1),(25,6267106,'1992-05-05 00:00:00',4,1,12,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241212474431458813572112610142142',7221,'270',53.75,1,3,NULL),(25,6267114,'1993-05-29 00:00:00',2,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241312111411536611582124610162052',13621,'1022',41.97,1,3,NULL),(25,6267122,'1992-10-01 00:00:00',2,1,12,2010,'M','N','MARESIAS','S SEBASTIÃO','SP','125252251217111731467933575124610167047',15259,'9998',39.27,1,3,NULL),(25,6267130,'1986-05-29 00:00:00',4,1,11,2003,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241214162432238644442124333223047',18954,'720',37.01,1,3,NULL),(25,6267149,'1993-09-29 00:00:00',2,16,12,2010,'F','N','NAÇÕES','FRAIBURGO','SC','124241241144111431423339572124610112057',NULL,'315',25.26,4,2,1),(25,6267157,'1991-06-01 00:00:00',4,1,7,2010,'M','N','JARDIM IPIRANGA','BIGUAÇU','SC','124241246115271441556613271124610137112',4924,'306',61.03,1,2,1),(25,6267165,'1992-07-15 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124242241217372431356619575124610124142',12373,'1078',44.22,1,3,NULL),(25,6267181,'1978-09-11 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201146151411269643332122340817052',NULL,'9998',0.00,1,2,1),(25,6267190,'1995-09-19 00:00:00',4,7,11,2012,'M','S','JARDIM ELDORADO','PALHOÇA','SC','124242241215111732449913272114610122052',NULL,'270',42.39,1,3,NULL),(25,6267203,'1993-09-01 00:00:00',4,1,12,2011,'M','S','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124242241217111231459933575112610114045',NULL,'270',49.88,1,3,NULL),(25,6267211,'1991-10-22 00:00:00',4,1,12,2009,'F','N','JD DAS INDUSTRIAS','S JOSÉ CAMPOS','SP','125253251216472431349812245122610162117',NULL,'9998',19.23,1,3,NULL),(25,6267220,'1990-05-07 00:00:00',2,1,12,2008,'M','N','FENSTERSEIFER','PANAMBI','RS','120201201316472731447834571324610167067',18604,'9998',32.53,4,3,NULL),(25,6267238,'1993-01-28 00:00:00',2,2,11,2010,'F','N','LIMEIRA','BRUSQUE','SC','124246241215111732333911375112610164017',12814,'1123',46.89,1,3,NULL),(25,6267246,'1991-10-18 00:00:00',2,10,12,2009,'F','N','FÁBIO SILVA','TUBARÃO','SC','124241241116471431325511295122610117147',16790,'804',39.46,1,2,1),(25,6267254,'1992-03-23 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215473431487814592112610167077',14100,'270',39.98,1,3,NULL),(25,6267262,'1993-04-09 00:00:00',4,10,11,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215111431224829592222610163072',15079,'807',43.56,1,3,NULL),(25,6267270,'1994-04-18 00:00:00',2,1,12,2011,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111411238813275122610126092',NULL,'273',24.92,1,3,NULL),(25,6267297,'1993-11-25 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215112431448319575114610145052',12069,'1022',46.09,1,3,NULL),(25,6267300,'1987-01-17 00:00:00',2,1,11,2004,'F','N','ABRAAO','FLORIANÓPOLIS','SC','624241241137271431333314446114610128147',17753,'77',39.31,4,3,NULL),(25,6267327,'1993-05-27 00:00:00',2,16,12,2009,'F','N','CENTRO','CURITIBA','PR','116242161216472431358933572114610137097',247,'9998',80.39,1,3,NULL),(25,6267343,'1993-08-07 00:00:00',4,1,10,2010,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116162163215421331458832575122610162182',10136,'9998',50.64,1,3,NULL),(25,6267378,'1994-05-16 00:00:00',4,2,12,2011,'F','S','CENTRO','POMERODE','SC','124242241215111331448831315122610124072',NULL,'624',41.31,1,3,NULL),(25,6267394,'1993-12-30 00:00:00',4,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','124241241116271431436612525122610112142',17106,'146',40.45,1,2,1),(25,6267408,'1976-04-16 00:00:00',2,1,7,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241247121271711211144441324610121082',NULL,'1088',26.94,4,1,1),(25,6267416,'1993-03-06 00:00:00',2,10,12,2010,'F','N','CENTRO','JAGUARUNA','SC','124241241115141431543914346124610137142',NULL,'1034',0.00,1,2,1),(25,6267432,'1993-01-11 00:00:00',4,15,11,2010,'M','N','CENTRO','ARARANGUÁ','SC','124242241217121412468931575122610144072',7716,'970',53.80,1,3,NULL),(25,6267467,'1993-10-12 00:00:00',4,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124242241215371432444834575112610168067',9929,'1011',51.47,1,3,NULL),(25,6267475,'1981-02-09 00:00:00',2,5,12,1999,'F','N','CENTRO','ORLEANS','SC','124241241126141711643529345115130866147',19824,'580',35.08,1,3,NULL),(25,6267483,'1994-08-12 00:00:00',4,4,12,2010,'F','N','CENTRO','S CARLOS','SC','124242241216161431448821415122610134192',NULL,'703',30.65,1,3,NULL),(25,6267491,'1992-10-30 00:00:00',4,3,12,2009,'M','N','ACLIMAÇÃO','S PAULO','SP','125252251217471211438834574141610161157',844,'9998',73.82,1,3,NULL),(25,6267505,'1993-01-17 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111411536634296124610146012',19959,'9997',34.70,1,3,NULL),(25,6267513,'1992-11-06 00:00:00',4,1,12,2010,'M','N','WERNER PLAAS','AMERICANA','SP','125252251215111431469812575122610132127',NULL,'9998',40.53,1,3,NULL),(25,6267521,'1993-07-07 00:00:00',2,2,12,2010,'F','N','CAPITAIS','TIMBÓ','SC','124241241147131451438613572121610167147',16905,'787',35.64,1,2,1),(25,6267530,'1974-05-16 00:00:00',2,8,12,1995,'M','N','PARQUE GUARANI','JOINVILLE','SC','224243246322162731613341212124610132047',NULL,'456',27.71,1,3,NULL),(25,6267548,'1993-03-12 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241216111431338833572122610152096',16194,'737',37.29,1,3,NULL),(25,6267556,'1993-07-30 00:00:00',2,1,11,2010,'M','N','FORQUILHAS','S JOSÉ','SC','124243241215111431557912145122610128067',NULL,'944',24.89,1,3,NULL),(25,6267564,'1989-07-08 00:00:00',4,1,12,2009,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241117111312644414342323130233061',NULL,'591',18.34,4,2,1),(25,6267572,'1993-05-30 00:00:00',2,6,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244248217111431333923472324610165117',12400,'1038',44.03,1,3,NULL),(25,6267580,'1993-07-19 00:00:00',2,1,12,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241215111411443314592122610123112',5118,'944',57.80,1,3,NULL),(25,6267610,'1993-06-29 00:00:00',4,1,12,2010,'F','N','BEUNO','GOIÂNIA','GO','109092091214111431556914474122610133187',NULL,'9998',0.00,4,3,NULL),(25,6267629,'1991-02-19 00:00:00',4,8,12,2007,'M','N','SAGUAÇU','JOINVILLE','SC','124241241111271431123344441324610112177',12668,'357',41.90,1,3,NULL),(25,6267637,'1993-04-26 00:00:00',4,15,12,2010,'F','N','VILA CONCEIÇÃO','S JOÃO SUL','SC','124241241135271431423316575122610136057',NULL,'717',20.09,1,2,1),(25,6267645,'1993-06-13 00:00:00',4,4,12,2010,'F','N','CENTRO','ITAPIRANGA','SC','124241241114151441633416472122610137057',8568,'412',49.29,1,2,1),(25,6267653,'1995-04-21 00:00:00',2,15,11,2010,'M','N','CENTRO','SOMBRIO','SC','124242241236111732327829175125610165142',12811,'770',42.85,1,3,NULL),(25,6267661,'1993-06-09 00:00:00',4,8,11,2010,'M','N','ITAUM','JOINVILLE','SC','124241241117371431637319272224610142052',NULL,'478',0.00,4,2,1),(25,6267670,'1989-05-04 00:00:00',4,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116162161215573751334532571125610162142',1657,'9998',70.42,1,3,NULL),(25,6267688,'1989-01-10 00:00:00',4,1,12,2006,'M','N','CENTRO','ORLÂNDIA','SP','125252258212572331486631591122140852182',13728,'9998',40.88,1,3,NULL),(25,6267696,'1991-11-20 00:00:00',4,8,11,2009,'M','N','CRISTO REI','CURITIBA','PR','116164161216471411428611575112610132042',9539,'9998',47.84,1,3,NULL),(25,6267700,'1993-10-05 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241215111431333312575112610137047',NULL,'1011',24.29,1,3,NULL),(25,6267718,'1992-05-04 00:00:00',4,1,12,2009,'M','N','JARDIM ESPLANADA II','S JOSÉ CAMPOS','SP','125252258215371431459914575122610132052',NULL,'9998',23.60,1,3,NULL),(25,6267726,'1993-08-14 00:00:00',4,3,12,2010,'M','N','MERCÊS','CURITIBA','PR','116162161217121431358927575115610147042',2048,'9998',69.10,1,3,NULL),(25,6267734,'1993-04-16 00:00:00',4,16,12,2010,'M','N','APARECIDA','CURITIBANOS','SC','124241241132141431223316152324610127042',20938,'705',31.35,1,2,1),(25,6267742,'1989-11-29 00:00:00',2,8,12,2006,'F','N','CENTRO','RIVERSUL','SP','125251251316573411448821572124610164142',937,'9998',73.86,1,3,NULL),(25,6267750,'1993-02-02 00:00:00',4,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241115151441353313575124610144147',14966,'267',37.97,1,2,1),(25,6267769,'1992-03-24 00:00:00',4,4,11,2008,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241212573431469812275122610164142',6790,'168',53.38,1,3,NULL),(25,6267785,'1993-05-23 00:00:00',2,1,11,2009,'M','N','AREIAS','S JOSÉ','SC','624242241215372431334419575124610137045',12947,'976',46.67,1,3,NULL),(25,6267793,'1991-05-12 00:00:00',2,1,12,2008,'M','N','JD PATURI','BRAGANÇA PAULISTA','SP','125251251117271231358611415122610164197',NULL,'9998',20.48,1,2,1),(25,6267807,'1995-01-05 00:00:00',2,5,11,2011,'F','S','PEDRO ZANIVAN','CRICIÚMA','SC','124242241215371731447914245124610114172',NULL,'226',44.72,1,3,NULL),(25,6267815,'1993-11-12 00:00:00',4,8,12,2010,'M','N','CENTRO','BARRA VELHA','SC','124243241136161431357913575112610122142',19570,'57',30.91,1,3,NULL),(25,6267823,'1994-08-29 00:00:00',4,1,12,2011,'M','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217111712569914475124610135142',NULL,'262',30.58,1,3,NULL),(25,6267831,'1992-07-28 00:00:00',2,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241214111411657513575115610115192',20815,'1038',27.17,1,3,NULL),(25,6267840,'1988-11-22 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117133432324331572124233237097',21584,'298',27.10,1,2,1),(25,6267858,'1990-11-20 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124212241217372711689931575122221432062',362,'270',78.83,1,3,NULL),(25,6267866,'1992-09-16 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431457624576114510166075',6503,'262',53.92,1,3,NULL),(25,6267874,'1991-07-23 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241215573431576712575114130267042',6182,'723',55.74,1,3,NULL),(25,6267882,'1994-09-09 00:00:00',4,1,12,2012,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215151431388934575124610124095',NULL,'883',34.42,1,3,NULL),(25,6267890,'1992-12-09 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241117111431469913572112610131193',4229,'270',62.73,1,3,NULL),(25,6267904,'1989-07-24 00:00:00',4,1,12,2006,'F','N','CENTRO','JARAGUÁ SUL','SC','124241241116161721547934242132533224147',19595,'425',35.58,2,1,1),(25,6267912,'1989-10-27 00:00:00',4,1,12,2007,'F','N','LIBERDADE','S PAULO','SP','125252251216571431378821572122610122142',5123,'9998',58.15,1,3,NULL),(25,6267947,'1990-12-13 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241217152711466833572112610165192',19755,'259',35.26,1,3,NULL),(25,6267955,'1992-08-19 00:00:00',4,1,12,2010,'F','N','MORRO DA BINA','BIGUAÇU','SC','124241248115151431535313285124610164197',9457,'306',46.39,1,2,1),(25,6267963,'1993-03-30 00:00:00',2,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242248215111311538933575114610162177',NULL,'270',23.30,1,3,NULL),(25,6267971,'1993-09-23 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431438933575114610121077',8121,'1022',52.59,1,3,NULL),(25,6267980,'1985-11-16 00:00:00',4,1,12,2002,'F','N','SANTANA','PTO ALEGRE','RS','120203201216471421358813575124342832142',848,'9998',74.06,1,3,NULL),(25,6268005,'1992-11-11 00:00:00',4,8,12,2010,'M','N','VILA NOVA','JOINVILLE','SC','124241246217141411466634575124610164012',3579,'1105',61.78,1,3,NULL),(25,6268013,'1993-12-17 00:00:00',4,1,11,2010,'F','N','BONSUCESSO','GUARAPUAVA','PR','116162161215321731345924575122610134047',14382,'9998',39.45,1,3,NULL),(25,6268021,'1991-11-06 00:00:00',2,4,12,2010,'F','N','ESTRELA','S MIGUEL OESTE','SC','124241241416111531426633335122610124052',20970,'752',31.24,2,1,2),(25,6268030,'1988-05-05 00:00:00',2,15,6,2009,'M','N','SANGAO','CRICIÚMA','SC','124241246417141421443311445124610117062',21758,'995',23.73,1,3,NULL),(25,6268048,'1994-09-22 00:00:00',2,1,12,2011,'M','S','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241116111731446613495124610114092',NULL,'739',34.03,1,3,NULL),(25,6268064,'1989-11-11 00:00:00',4,2,12,2006,'F','N','VILA FORMOSA','BLUMENAU','SC','124243241136131431235923345123130234192',NULL,'325',19.04,1,3,NULL),(25,6268072,'1990-01-01 00:00:00',2,1,12,2007,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241216213421238844345114610167141',20002,'1169',34.58,1,3,NULL),(25,6268129,'1990-04-11 00:00:00',2,9,12,2007,'F','N','CORAL','LAGES','SC','124242241116372431128649575111231464192',NULL,'498',0.00,4,1,2),(25,6268137,'1993-10-17 01:00:00',4,5,12,2010,'F','N','VERA CRUZ','CRICIÚMA','SC','124242241215271741468819495122610167092',3630,'226',61.77,1,3,NULL),(25,6268145,'1991-10-26 00:00:00',4,8,12,2009,'M','N','ALTO DA RUA XV','CURITIBA','PR','125252251214571411559813575114610167047',4560,'9998',58.40,1,3,NULL),(25,6268153,'1993-02-18 00:00:00',4,1,12,2010,'M','N','ARMAÇÃO DO PANT SUL','FLORIANÓPOLIS','SC','124241241117151731458614595124610147047',20640,'278',27.70,1,2,1),(25,6268161,'1993-12-31 00:00:00',4,4,12,2010,'F','N','CENTRO','CASCAVEL','PR','116162161216111431458813572112610162142',5167,'9998',58.02,1,3,NULL),(25,6268170,'1992-03-21 00:00:00',2,4,12,2009,'M','N','PERPÉTUO SOCORRO','S LOURENÇO OESTE','SC','124243241116272431433833371124241427122',14463,'744',39.89,1,3,NULL),(25,6268188,'1993-06-02 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431466624575115610142052',4016,'262',61.91,1,3,NULL),(25,6268196,'1993-08-08 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112431248932425122610166122',2017,'270',67.86,1,3,NULL),(25,6268200,'1993-09-09 00:00:00',4,1,11,2010,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217111431359714575124610163166',8032,'270',54.79,1,3,NULL),(25,6268218,'1991-02-19 00:00:00',4,9,11,2008,'F','N','CENTRO','FARROUPILHA','RS','120202201216571431463511272114610126192',2700,'9998',64.21,1,3,NULL),(25,6268226,'1993-12-28 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241216122431346834575124610167042',7329,'737',52.68,1,3,NULL),(25,6268234,'1988-11-22 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241112135431324331412124610137097',NULL,'298',29.91,1,2,1),(25,6268242,'1992-10-03 00:00:00',4,1,11,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241217121431458832275122610167041',11576,'270',45.22,1,3,NULL),(25,6268250,'1993-04-26 00:00:00',4,8,10,2010,'F','N','CRISTO REI','CURITIBA','PR','116164161436121431428611575122610133142',4932,'9998',58.42,1,3,NULL),(25,6268269,'1992-10-08 00:00:00',4,1,11,2010,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241217121711446812575124610121187',11417,'1048',46.38,1,3,NULL),(25,6268285,'1993-10-25 00:00:00',2,1,12,2011,'F','S','PQ AEROPORTO','TAUBATÉ','SP','125251251117131452426639192221610167077',NULL,'9998',22.25,1,3,NULL),(25,6268293,'1991-12-11 00:00:00',4,9,12,2008,'F','N','SALGADO FILHO','MARÍLIA','SP','125201201226571751438812245124610167142',NULL,'9998',0.00,1,3,NULL),(25,6268307,'1991-12-31 00:00:00',2,5,11,2008,'M','N','RAICHASKI','IÇARA','SC','124241241126132421326324185124231422197',19175,'1005',36.59,4,1,1),(25,6268315,'1993-05-07 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431226634572342610117117',15490,'272',38.39,1,3,NULL),(25,6268323,'1992-05-15 00:00:00',4,1,12,2009,'M','N','JD DAS PALMEIRAS','CAMPINAS','SP','125252251217571431589834571112610162122',1792,'9998',69.01,1,3,NULL),(25,6268331,'1993-10-04 00:00:00',2,8,11,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124242246217131431436614315121610127054',NULL,'931',22.28,1,3,NULL),(25,6268340,'1991-04-30 00:00:00',4,8,12,2008,'F','N','ELOY CHAVES','JUNDIAÍ','SP','125252251126471732428518382124610113057',NULL,'9998',0.00,1,3,NULL),(25,6268358,'1978-02-27 00:00:00',5,3,12,1998,'F','N','CENTRO','BAL CAMBORIÚ','SC','524161167126131432433341215122130767147',NULL,'9998',37.62,1,2,1),(25,6268366,'1992-05-30 00:00:00',2,1,11,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241117572711423529445124610135197',12505,'591',43.53,1,2,1),(25,6268374,'1988-10-04 00:00:00',2,1,12,2005,'F','N','FLORESTA','S JOSÉ','SC','124201241116271721223544345334142734071',18858,'9998',37.22,1,2,1),(25,6268382,'1993-01-06 00:00:00',4,1,12,2010,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241216111431345932575124610128142',17565,'1048',35.29,1,3,NULL),(25,6268390,'1991-07-12 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241115573431447769575114610137047',388,'317',78.56,1,3,NULL),(25,6268404,'1988-08-22 00:00:00',2,1,12,2005,'F','N','CAMOBI','STA MARIA','RS','120201201117572431667613575114141366187',1519,'9998',70.05,1,2,1),(25,6268420,'1994-09-21 00:00:00',2,15,11,2010,'F','N','CENTRO','TURVO','SC','124243241215111431439613472122610137142',NULL,'813',20.22,1,3,NULL),(25,6268439,'1993-12-02 00:00:00',2,15,11,2010,'M','N','CENTRO','ARARANGUÁ','SC','124242241215371431388712125122610168122',NULL,'970',0.00,1,3,NULL),(25,6268447,'1991-03-19 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431476624575115610144042',17379,'262',35.82,1,3,NULL),(25,6268463,'1993-05-11 00:00:00',2,2,12,2010,'F','N','GUARANI','BRUSQUE','SC','124242241215111411346634575122610123145',NULL,'107',0.00,1,3,NULL),(25,6268480,'1990-04-13 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241125151421223454442314610147043',NULL,'1108',7.42,1,2,1),(25,6268498,'1993-09-02 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241215131431326723585124610137042',14861,'1022',39.48,1,3,NULL),(25,6268501,'1993-05-02 00:00:00',2,1,12,2010,'F','N','BAIRRO ALTO','CURITIBA','PR','116162161217471431346622575124610127147',NULL,'9998',0.00,1,3,NULL),(25,6268510,'1993-03-18 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431467612575124610135142',NULL,'262',35.63,1,3,NULL),(25,6268536,'1994-04-12 00:00:00',4,1,11,2011,'M','S','ESQUINA','URUBICI','SC','124242241217151731468412272114610124042',NULL,'270',45.57,1,3,NULL),(25,6268544,'1983-07-12 00:00:00',4,8,12,2000,'M','N','ITINGA','JOINVILLE','SC','224241241145131722445344341123610137057',NULL,'492',36.86,1,2,1),(25,6268560,'1991-06-21 00:00:00',4,17,11,2009,'M','N','CENTRO','CURITIBA','PR','116161161436571441648824274115610164187',509,'9998',77.55,1,3,NULL),(25,6268579,'1992-06-24 00:00:00',4,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124242241215471431465933572124610137042',NULL,'1023',35.05,1,3,NULL),(25,6268587,'1990-01-23 00:00:00',4,16,12,2007,'F','N','DAS NAÇÕES','FRAIBURGO','SC','124243241416575431436714395122610132142',1837,'885',68.40,1,3,NULL),(25,6268609,'1991-02-17 00:00:00',4,17,11,2008,'F','N','CENTRO','MAFRA','SC','116162161215573731456939594324610163157',12566,'9998',41.71,1,3,NULL),(25,6268617,'1980-06-01 00:00:00',4,1,12,1998,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224132131316152711268842325132121466043',6566,'9998',57.55,1,3,NULL),(25,6268625,'1992-03-16 00:00:00',2,8,12,2009,'F','N','AVENTUREIRO','JOINVILLE','SC','124243241215573331348631575124610162177',627,'1016',76.17,1,3,NULL),(25,6268633,'1985-08-30 00:00:00',2,6,12,2002,'F','N','UMUARAMA','OSASCO','SP','225241241116472751356651575112131468127',19677,'401',30.36,1,2,1),(25,6268641,'1995-01-19 00:00:00',4,8,12,2011,'F','S','PROGRESSO','S BENTO SUL','SC','124242241217111431459933575122610134042',NULL,'1178',37.07,1,3,NULL),(25,6268650,'1993-09-09 00:00:00',2,1,12,2010,'M','N','PARQUE NOVO MUNDO','AMERICANA','SP','125241251211131431437611275122610134111',16110,'9998',36.77,1,3,NULL),(25,6268668,'1992-04-30 00:00:00',2,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116252251216331132347613575122142568146',19437,'9998',31.97,1,3,NULL),(25,6268676,'1993-05-24 00:00:00',4,1,10,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731656732375112610167075',12819,'270',44.94,1,3,NULL),(25,6268684,'1992-06-15 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124251241115141311449614241124610164057',NULL,'287',26.49,1,2,1),(25,6268692,'1991-08-13 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241112372731556313475124610123045',20589,'298',28.19,4,1,1),(25,6268714,'1994-06-29 00:00:00',4,1,12,2011,'M','S','UNIVERSITÁRIO','TIJUCAS','SC','124243241216131431433319575125610126042',NULL,'1119',45.98,1,3,NULL),(25,6268722,'1986-03-17 00:00:00',4,1,12,2003,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217373421468834215123121464065',12379,'270',47.57,1,3,NULL),(25,6268730,'1993-07-02 00:00:00',4,15,12,2010,'F','N','SÃO CRISTÓVÃO','TURVO','SC','124241241215122431443636575122610162092',5857,'970',56.55,1,3,NULL),(25,6268749,'1993-02-08 00:00:00',4,4,11,2010,'M','N','BELA VISTA','ITAPIRANGA','SC','124241241417111431538612425122610127042',NULL,'1060',27.83,1,3,NULL),(25,6268757,'1992-01-03 00:00:00',2,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215472532233923575114610127045',7672,'1022',52.13,1,3,NULL),(25,6268765,'1993-04-29 00:00:00',4,8,12,2010,'M','N','JARDIM WITIER','PIRACICABA','SP','125252251215111411446829581122610124022',2194,'9998',67.45,1,3,NULL),(25,6268773,'1991-08-12 00:00:00',2,8,12,2009,'M','N','BUCAREIN','JOINVILLE','SC','124242241247142231479314245124230867041',19795,'459',35.16,1,3,NULL),(25,6268803,'1985-02-02 00:00:00',4,3,6,2010,'F','N','TABULEIRO','CAMBORIÚ','SC','124241247441151431654433442114610166192',12830,'9999',42.55,1,3,NULL),(25,6268854,'1993-02-09 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215151731236639575124610148045',11393,'1022',44.49,1,3,NULL),(25,6268862,'1992-05-19 00:00:00',4,8,12,2009,'F','N','PORTÃO','CURITIBA','PR','116163161116471531549414575124610117187',19466,'9998',29.35,1,3,NULL),(25,6268870,'1993-01-23 00:00:00',4,8,12,2010,'F','N','VILA NOVA','RIO NEGRINHO','SC','124241241112111311216532492224610117012',NULL,'669',16.76,1,3,NULL),(25,6268889,'1993-06-10 00:00:00',4,1,10,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241435121431437533575122610134147',12345,'1169',42.74,1,3,NULL),(25,6268897,'1993-05-11 00:00:00',2,1,12,2009,'F','N','CENTRO','S FRANCISCO ASSIS','RS','120201201116371431436833572124143237147',14319,'9998',39.45,1,2,1),(25,6268900,'1991-09-27 00:00:00',4,1,6,2008,'M','N','PORTAL DA OLARIA','S SEBASTIÃO','SP','125252281414371411476921491111610167182',3238,'9998',63.41,1,3,NULL),(25,6268919,'1992-11-30 00:00:00',4,3,12,2010,'F','N','CENTRO','CASCAVEL','PR','116162161217271531568619475122610145127',NULL,'9998',37.15,1,3,NULL),(25,6268927,'1994-04-12 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431357412572112610116142',NULL,'270',28.32,1,3,NULL),(25,6268935,'1992-09-09 00:00:00',2,10,12,2009,'F','N','CENTRO','STA ROSA LIMA','SC','124241241116372431559913575112610122197',4578,'688',59.97,1,2,1),(25,6268943,'1991-01-15 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251217573421339912575114610147127',19126,'9998',36.70,1,3,NULL),(25,6268960,'1992-03-23 00:00:00',2,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241116472431536413575124221417042',18161,'278',38.55,1,2,1),(25,6268986,'1992-10-06 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124202241216472451437913175124610137092',7458,'1022',53.30,1,3,NULL),(25,6268994,'1993-11-23 00:00:00',4,6,11,2010,'F','N','FAZENDA','ITAJAÍ','SC','124242241215111431258711475122610168182',12511,'394',47.31,1,3,NULL),(25,6269001,'1991-04-22 00:00:00',4,8,12,2008,'F','N','CENTRO','LAPA','PR','116162161211572441556623585124610125042',2299,'9998',66.24,1,3,NULL),(25,6269010,'1993-10-27 00:00:00',2,9,11,2010,'M','N','CENTRO','VACARIA','RS','120204201216371531368813595122610162032',14917,'9998',39.21,1,3,NULL),(25,6269028,'1993-06-22 00:00:00',4,15,12,2010,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241115131431437834585112610157142',15760,'30',42.50,1,2,1),(25,6269036,'1992-10-12 00:00:00',4,1,12,2009,'F','N','BOM FIM','PTO ALEGRE','RS','120202201216471431368923472114610134147',NULL,'9998',0.00,1,3,NULL),(25,6269052,'1992-06-26 00:00:00',4,4,12,2009,'F','N','CENTRO','CEL MARTINS','SC','124241241116161531338933575124231516057',NULL,'1229',21.30,1,2,1),(25,6269079,'1992-05-14 00:00:00',4,1,12,2009,'M','N','CENTRO','RIO CLARO','SP','125252251216471531438832345121610144052',10844,'9998',46.24,1,3,NULL),(25,6269087,'1992-10-02 00:00:00',4,8,12,2009,'F','N','CENTRO','S JOÃO TRIUNFO','PR','116161161217471431466815571115610164052',19985,'9998',27.99,1,3,NULL),(25,6269095,'1990-08-13 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241117574431569933232114610164162',5377,'267',58.64,1,3,NULL),(25,6269117,'1993-09-14 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271521346872572124610124067',2538,'262',65.69,1,3,NULL),(25,6269125,'1993-03-27 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111412579822585122610167042',14584,'1168',39.43,1,3,NULL),(25,6269133,'1994-01-12 00:00:00',4,10,12,2010,'F','N','SÃO JOÃO','TUBARÃO','SC','124241243215131431336513472124610137147',12036,'1120',43.16,1,3,NULL),(25,6269150,'1993-10-02 00:00:00',2,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215131431448911292114610156092',4912,'262',59.08,1,3,NULL),(25,6269168,'1976-06-27 00:00:00',4,1,12,1995,'F','N','CENTRO','FLORIANÓPOLIS','SC','524242241216272431246612472122130224122',19783,'272',35.19,1,3,NULL),(25,6269176,'1994-01-26 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215112411469913134111610167187',588,'226',76.36,1,3,NULL),(25,6269184,'1992-11-05 00:00:00',4,8,12,2010,'M','N','ALTO DA GLÓRIA','CURITIBA','PR','116161161117471431357729575114610134047',14326,'9998',39.78,1,3,NULL),(25,6269192,'1993-07-30 00:00:00',4,1,12,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124243246112151431449933575124610167041',13165,'306',46.38,1,3,NULL),(25,6269206,'1992-04-23 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372411458633572112610117057',17096,'269',36.42,1,3,NULL),(25,6269214,'1993-01-01 00:00:00',2,10,11,2010,'F','N','PASSAGEM','TUBARÃO','SC','124242241215111211436639395122610122152',16042,'807',36.66,1,3,NULL),(25,6269222,'1990-03-15 00:00:00',2,1,12,2009,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124243241215142431657823435124233222042',14452,'1022',42.85,1,3,NULL),(25,6269230,'1993-08-09 00:00:00',4,1,11,2010,'M','N','VIGOLO','NOVA TRENTO','SC','124244241215141231445932242122610127183',14914,'1123',43.81,2,3,NULL),(25,6269249,'1993-04-14 00:00:00',4,1,12,2010,'F','N','JARDIM MARABÁ','ITAPETININGA','SP','125252251217111431569514572122610132092',3537,'9998',61.46,1,3,NULL),(25,6269257,'1993-09-21 00:00:00',4,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241217111431338711582121610117097',7426,'1038',51.97,1,3,NULL),(25,6269265,'1992-01-13 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241246117131431456869475124233261057',14101,'306',38.10,1,2,1),(25,6269273,'1993-09-05 00:00:00',4,1,11,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215112431376614575122610166122',12261,'270',42.93,1,3,NULL),(25,6269281,'1990-05-15 00:00:00',2,15,12,2007,'M','N','CENTRO','BAL ARROIO SILVA','SC','124244241416273431463519594125131267042',11577,'970',45.05,1,3,NULL),(25,6269290,'1990-05-04 00:00:00',2,1,12,2007,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124201204116272431335443435124610122187',12080,'9998',48.01,1,2,1),(25,6269303,'1985-05-09 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124133131217471431276632475122330264187',3343,'9998',62.24,1,3,NULL),(25,6269311,'1993-04-23 00:00:00',4,8,12,2010,'F','N','CENTRO','CONCHAL','SP','125253251217111431456914575124610142197',10955,'9998',45.06,1,3,NULL),(25,6269320,'1990-04-30 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241311573431555564275124610132187',8970,'300',53.12,1,3,NULL),(25,6269338,'1990-02-09 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215272731356813575122133226142',17639,'1022',39.50,1,3,NULL),(25,6269354,'1993-11-17 00:00:00',4,1,12,2010,'M','N','LAGOINHA','RIBEIRÃO PRETO','SP','125252251215111431446623575122610127047',NULL,'9998',0.00,1,3,NULL),(25,6269362,'1990-10-30 00:00:00',4,1,11,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215373431278923575122132423147',840,'270',74.98,1,3,NULL),(25,6269370,'1993-11-09 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124241241215111231326311272124610135142',19454,'737',31.31,1,3,NULL),(25,6269389,'1993-02-08 00:00:00',4,3,11,2010,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161217111431458821572112610163147',NULL,'9998',0.00,1,3,NULL),(25,6269397,'1992-10-30 00:00:00',2,1,12,2009,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','124242246215473431466823575122610161112',9964,'1075',48.40,1,3,NULL),(25,6269400,'1992-12-18 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112431249923575124610127082',2737,'270',66.14,1,3,NULL),(25,6269427,'1993-04-07 00:00:00',4,8,11,2010,'M','N','CENTRO','JOINVILLE','SC','124241241215121431336614575124610124172',12254,'1016',47.75,1,3,NULL),(25,6269435,'1993-12-31 00:00:00',4,5,11,2010,'M','N','PIO CORREA','CRICIÚMA','SC','124242241215111431468812575112610134112',727,'226',75.83,1,3,NULL),(25,6269443,'1992-04-19 00:00:00',2,1,11,2009,'F','N','RACHADEL','ANTÔNIO CARLOS','SC','124241241212113431554916582124231421097',5234,'270',58.55,1,3,NULL),(25,6269451,'1994-04-08 00:00:00',2,1,12,2011,'F','S','ALTO BIGUAÇU','BIGUAÇU','SC','124241248135131731333435152122610122072',NULL,'21',17.64,1,3,NULL),(25,6269460,'1993-09-09 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431447613372124610167042',7087,'1022',52.85,1,3,NULL),(25,6269478,'1987-07-03 00:00:00',2,1,12,2005,'F','N','AREIAS','S JOSÉ','SC','124241248127141421436519394334610166187',18930,'730',37.06,1,2,1),(25,6269486,'1992-07-09 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215372431226624575114610128147',6650,'738',54.40,1,3,NULL),(25,6269494,'1992-07-02 00:00:00',2,5,11,2009,'F','N','CLAUDETE','CASCAVEL','PR','116242241217372531238811575124610123012',12950,'226',42.37,1,3,NULL),(25,6269508,'1993-01-28 00:00:00',2,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241116141432423324385124610134012',12616,'289',43.62,1,2,1),(25,6269516,'1990-10-16 00:00:00',2,2,12,2008,'F','N','NAÇÕES','TIMBÓ','SC','124241241116473431356954595122610148147',NULL,'787',25.60,1,2,1),(25,6269524,'1994-01-24 00:00:00',3,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124244241215112431448814572122610136122',5688,'1191',55.71,1,3,NULL),(25,6269532,'1992-07-31 00:00:00',4,1,12,2009,'F','N','CAMAQUÃ','PTO ALEGRE','RS','120202201116571431248633571124141527097',529,'9998',76.56,1,3,NULL),(25,6269540,'1979-12-28 00:00:00',2,1,12,1996,'F','N','N S ROSARIO','S JOSÉ','SC','224241241147141431244743332124610164197',NULL,'732',20.75,4,1,1),(25,6269567,'1993-05-06 00:00:00',4,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111411479933574114610166192',1670,'270',69.18,1,3,NULL),(25,6269575,'1993-09-06 00:00:00',4,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241415372731378913575122610126145',3165,'270',62.59,1,3,NULL),(25,6269583,'1992-10-02 00:00:00',2,5,11,2010,'F','N','SÃO LUIZ','CRICIÚMA','SC','124241243115131431426823245124610126097',NULL,'228',30.33,1,2,1),(25,6269591,'1993-02-20 00:00:00',4,1,12,2010,'M','N','PLTO PAULISTA','S PAULO','SP','125252251217151431268831415112610155117',NULL,'9998',0.00,1,3,NULL),(25,6269605,'1992-09-04 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124243241215472431564632574124610114197',3001,'1022',64.84,1,3,NULL),(25,6269613,'1993-04-28 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111231369813572124610127062',4812,'272',58.25,1,3,NULL),(25,6269621,'1992-08-12 00:00:00',2,1,12,2009,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125282251416471431438834586125610121183',9022,'9998',49.16,1,3,NULL),(25,6269630,'1989-06-22 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116372431543411341131610126092',NULL,'288',31.79,1,3,NULL),(25,6269648,'1992-04-21 00:00:00',2,8,12,2009,'F','N','VILA RAU','JARAGUÁ SUL','SC','124241248126311231426419291121610162147',NULL,'432',29.98,1,2,1),(25,6269656,'1993-05-10 00:00:00',4,1,11,2010,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215171431549934295122610167112',18894,'270',37.14,1,3,NULL),(25,6269664,'1991-12-30 00:00:00',4,1,12,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124041241117141411229844445124610127077',21606,'296',26.81,5,4,NULL),(25,6269672,'1992-11-19 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216372431238779575124230263012',7726,'1022',53.07,1,3,NULL),(25,6269680,'1992-08-14 00:00:00',4,10,12,2010,'M','N','CENTRO','TUBARÃO','SC','124242241237131411238629595111610147042',9508,'797',48.78,1,3,NULL),(25,6269699,'1992-01-07 00:00:00',4,5,12,2009,'M','N','RAICHASKI','IÇARA','SC','124242243245111731544431242122210127042',NULL,'349',14.78,1,3,NULL),(25,6269702,'1992-05-02 00:00:00',2,9,12,2009,'F','N','SÃO CRISTOVÃO','LAGES','SC','124241248217172211337913575122610162172',20736,'1146',32.21,1,3,NULL),(25,6269710,'1993-02-26 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241215131431446933575124610122097',18245,'1048',38.40,1,3,NULL),(25,6269729,'1994-01-11 00:00:00',2,4,12,2010,'F','N','CENTRO','STO ANTÔNIO PLANALTO','RS','120204201217131311556615174122610133147',NULL,'9998',0.00,1,3,NULL),(25,6269737,'1993-06-12 00:00:00',2,9,11,2010,'F','N','BRUSQUE','LAGES','SC','124242241215111431446831572112610144097',17309,'499',35.88,1,3,NULL),(25,6269753,'1993-09-26 00:00:00',4,8,12,2010,'F','N','JARDIM IRAPUÃ','TABOÃO SERRA','SP','125252251217111411557831577124610132052',13809,'9998',44.04,1,3,NULL),(25,6269761,'1988-01-12 00:00:00',4,1,12,2005,'F','N','CANTO','FLORIANÓPOLIS','SC','124241241217132131339613445114131066193',20416,'1076',33.39,1,3,NULL),(25,6269770,'1991-02-10 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215573431359611572114610123077',8823,'270',50.95,1,3,NULL),(25,6269788,'1983-08-10 00:00:00',4,1,12,2000,'M','N','ROÇADO','S JOSÉ','SC','124201207216141731123344241323141227043',NULL,'9998',0.00,1,3,NULL),(25,6269796,'1992-12-29 00:00:00',4,2,11,2010,'M','N','GARCIA','BLUMENAU','SC','124242241212111431436711472114610147011',7749,'71',52.41,4,3,NULL),(25,6269818,'1992-05-25 00:00:00',2,1,12,2009,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241216473431428633575124610128057',8281,'1022',50.43,1,3,NULL),(25,6269826,'1992-06-30 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112431468812275114610161017',NULL,'1169',14.21,1,3,NULL),(25,6269834,'1993-10-09 00:00:00',2,1,11,2010,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215121431586832575124610121182',19048,'270',36.84,1,3,NULL),(25,6269842,'1994-04-05 00:00:00',4,4,12,2010,'F','N','PRINCESA','CARAZINHO','RS','120203201316271431566832575112610142147',NULL,'9998',0.00,4,3,NULL),(25,6269850,'1994-10-06 00:00:00',4,3,12,2011,'F','S','HIGIENÓPOLIS','STA CRUZ SUL','RS','120202201217271751549914572112610137017',NULL,'9998',49.75,1,3,NULL),(25,6269869,'1992-06-03 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111431336713175112610132017',17406,'737',37.24,1,3,NULL),(25,6269877,'1989-12-19 00:00:00',2,1,12,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124161241127131211111349195124610124057',21537,'245',27.56,4,2,1),(25,6269893,'1993-11-12 00:00:00',4,8,12,2010,'F','N','JD PORTO ALEGRE','TOLEDO','PR','116162161217121431478932575122610162142',NULL,'9998',0.00,1,3,NULL),(25,6269907,'1993-06-02 00:00:00',4,4,12,2010,'F','N','UNIVERSITÁRIO','CHAPECÓ','SC','124212241216151431248814575122610132092',NULL,'1021',33.96,1,3,NULL),(25,6269915,'1994-09-02 00:00:00',4,4,11,2010,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241235121431369911575112610124142',4393,'1191',60.99,1,3,NULL),(25,6269923,'1994-04-01 00:00:00',4,1,12,2010,'M','N','SANTA CRUZ','GRAVATAÍ','RS','120202201217371431448714572122610162052',NULL,'9998',0.00,1,3,NULL),(25,6269940,'1991-05-20 00:00:00',4,1,12,2008,'M','N','CIDADE JARDIM','ARARAQUARA','SP','125251251116571431449921575112610162042',6752,'9998',53.68,1,2,1),(25,6269958,'1993-08-01 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431569924472114610167012',11994,'270',47.37,1,3,NULL),(25,6269966,'1993-07-28 00:00:00',2,5,11,2010,'F','N','JARDIM SILVANA','IÇARA','SC','124242241215123431238923472122610136057',8383,'226',51.12,1,3,NULL),(25,6269974,'1993-10-11 00:00:00',4,1,11,2010,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124244241215121431557611575112610146092',6345,'270',54.56,1,3,NULL),(25,6269990,'1992-07-20 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272231478834395122121437122',817,'270',75.20,4,3,NULL),(25,6270000,'1991-12-21 00:00:00',2,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124241241335132411525524245124610124092',NULL,'1036',33.07,2,1,2),(25,6270018,'1993-04-12 00:00:00',4,1,12,2010,'M','N','CENTRO','S BENTO SUL','SC','124242241216111411359923595125610134045',10370,'1178',47.27,1,3,NULL),(25,6270026,'1992-02-26 00:00:00',4,1,12,2009,'F','N','CENTRO','CPO GRANDE','MS','112122121235471751446661595122610167142',NULL,'9998',0.00,4,3,NULL),(25,6270034,'1990-03-02 00:00:00',2,7,12,2007,'F','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124244241216172431326619392122231328092',21056,'138',30.87,1,3,NULL),(25,6270042,'1994-10-07 00:00:00',4,4,11,2010,'F','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124242241217371431368614272122610122142',2265,'185',66.86,1,3,NULL),(25,6270050,'1993-04-29 00:00:00',4,8,10,2010,'M','N','TARUMÃ','CURITIBA','PR','116162161216121431468632475124610167122',1380,'9998',71.57,1,3,NULL),(25,6270069,'1993-09-06 00:00:00',1,1,12,2010,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215112431569812575122610127145',5490,'883',59.78,1,3,NULL),(25,6270077,'1993-04-16 00:00:00',2,10,12,2009,'M','N','CENTRO','PASSO FUNDO','RS','120204201215471431458814491214610128012',17122,'9998',34.86,1,3,NULL),(25,6270093,'1994-06-08 00:00:00',4,1,12,2011,'M','S','VICTOR KONDER','TAIÓ','SC','124243241216161431438614574121610146147',NULL,'776',39.52,1,3,NULL),(25,6270107,'1993-05-25 00:00:00',4,9,11,2010,'F','N','CENTRO','AURORA','SC','124242241215111431547732375124610123072',18729,'991',31.31,1,3,NULL),(25,6270115,'1992-08-09 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111411239923432114610167117',18379,'1022',33.00,2,1,2),(25,6270123,'1989-09-15 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431469811472112121417061',1622,'270',70.79,1,3,NULL),(25,6270131,'1989-06-05 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241122161531434823372124610126147',NULL,'274',8.75,1,2,1),(25,6270140,'1992-10-28 00:00:00',2,6,12,2009,'M','N','CENTRO','ITAJAÍ','SC','116161244125471751436634575124610167047',20766,'395',25.36,4,2,1),(25,6270158,'1991-01-15 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573731466932575122610132062',3249,'270',63.45,1,3,NULL),(25,6270166,'1992-11-27 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431349933575125610123097',NULL,'457',27.06,1,3,NULL),(25,6270174,'1977-06-06 00:00:00',2,1,12,1995,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124201248342153431427617281224122954097',NULL,'281',13.26,1,3,NULL),(25,6270182,'1993-06-03 00:00:00',4,8,12,2010,'F','N','RIO NEGRO','S BENTO SUL','SC','124246241215121431436612222122610142147',10548,'1073',47.20,1,3,NULL),(25,6270190,'1992-01-18 00:00:00',2,1,11,2009,'F','N','N SENHORA DO ROSÁRIO','S JOSÉ','SC','124241241215132721327923582124610167047',19871,'723',28.30,1,3,NULL),(25,6270204,'1993-08-12 00:00:00',4,1,11,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241217111111156833595314610162051',NULL,'1022',40.12,1,3,NULL),(25,6270212,'1994-02-16 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241212111331588812575112610121185',15971,'738',38.57,1,3,NULL),(25,6270220,'1993-07-18 00:00:00',4,8,12,2010,'M','N','JARDIM DAS AMERICAS','CURITIBA','PR','116162161215471431569934575122610144042',2044,'9998',69.11,1,3,NULL),(25,6270239,'1993-10-09 00:00:00',2,2,12,2010,'M','N','GARCIA','BLUMENAU','SC','124242241215122431548811275112610167052',8947,'855',53.16,1,3,NULL),(25,6270247,'1990-08-13 00:00:00',2,1,1,2009,'M','N','ITACURUBI','FLORIANÓPOLIS','SC','124243247235373411568713575122223267132',13932,'9999',45.08,1,3,NULL),(25,6270263,'1992-11-07 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111531459813571122610123047',NULL,'262',28.58,1,3,NULL),(25,6270271,'1993-06-18 00:00:00',4,1,11,2010,'F','N','ALTO DA GLÓRIA','CURITIBA','PR','116243161215111431326414571124610161102',6647,'9998',54.93,1,3,NULL),(25,6270280,'1993-01-16 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471431446634595122610128042',13504,'270',44.06,1,3,NULL),(25,6270298,'1992-12-27 00:00:00',4,6,12,2010,'M','N','JARDIM CENTRAL','DOURADOS','MS','112122121215161431558815575121610147062',1767,'9998',68.64,1,3,NULL),(25,6270301,'1991-04-12 00:00:00',4,1,12,2008,'M','N','BARRANCO','TAUBATÉ','SP','125252251217571331589939575122610167047',6732,'9998',57.24,4,3,NULL),(25,6270328,'1993-09-03 00:00:00',4,1,12,2010,'M','N','JARDIM SAO MIGUEL','BIGUAÇU','SC','124242241215111431436834572124610167057',20881,'1076',26.39,1,3,NULL),(25,6270344,'1991-04-20 00:00:00',2,2,12,2009,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124241241235571231539812575124610117112',8481,'9997',51.18,1,3,NULL),(25,6270360,'1992-05-18 00:00:00',4,1,12,2009,'M','N','REAL PARQUE','S JOSÉ','SC','124242241217372731338514275114220747092',2069,'1078',66.69,1,3,NULL),(25,6270387,'1980-09-22 00:00:00',2,1,11,2001,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241126272411528854142124610163097',12933,'732',42.27,1,2,1),(25,6270395,'1993-08-16 00:00:00',4,8,10,2010,'F','N','CENTRO','PRIMAVERA LESTE','MT','111112111217151431538815574122610136017',NULL,'9998',0.00,1,3,NULL),(25,6270409,'1992-07-05 00:00:00',4,1,12,2010,'M','N','RONDA','PNT GROSSA','PR','116162166137371431547613575124610117062',NULL,'9998',0.00,1,3,NULL),(25,6270417,'1991-10-25 00:00:00',4,1,12,2009,'F','N','CENTRO','ARARAQUARA','SP','125254251215471431556812575122610132187',8421,'9998',49.92,1,3,NULL),(25,6270425,'1993-01-16 00:00:00',4,4,12,2010,'M','N','SÃO JORGE','S MIGUEL OESTE','SC','124243241117131431449813571222610124012',NULL,'757',38.44,1,3,NULL),(25,6270441,'1992-03-06 00:00:00',2,8,12,2010,'M','N','CENTRO','GARUVA','SC','124242241217371431579832345124610122142',NULL,'1006',0.00,1,3,NULL),(25,6270450,'1993-10-15 00:00:00',4,1,12,2010,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251215111431467934575122610127044',3088,'9998',62.27,1,3,NULL),(25,6270468,'1994-11-06 00:00:00',4,1,11,2011,'F','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111732357812572124610137055',NULL,'270',59.46,1,3,NULL),(25,6270476,'1990-12-18 00:00:00',2,8,12,2007,'F','N','ADHEMAR GARCIA','JOINVILLE','SC','116161163117571341546614285114610124097',NULL,'9998',0.00,1,2,1),(25,6270492,'1992-04-28 00:00:00',4,4,11,2009,'M','N','CENTRO','PASSO FUNDO','RS','124243241217471621164632172115610114122',9471,'1037',48.77,1,3,NULL),(25,6270514,'1972-08-28 00:00:00',2,1,12,1994,'F','N','INGLESES','FLORIANÓPOLIS','SC','324201208112131411221148482324610166147',19186,'9998',31.85,1,2,1),(25,6270522,'1993-10-16 00:00:00',2,1,12,2010,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241215131531334721372124610127067',15934,'944',42.25,1,3,NULL),(25,6270530,'1993-10-25 00:00:00',2,16,12,2010,'F','N','CENTRO','VARGEM','SC','124241241126131731437815472122610128147',NULL,'1082',0.00,1,2,1),(25,6270549,'1993-04-18 00:00:00',4,8,12,2010,'F','N','FÁTIMA','JOINVILLE','SC','124241241115371431326623242124610154097',17848,'478',34.42,1,2,1),(25,6270565,'1989-03-11 00:00:00',4,1,7,2007,'M','N','VILA JARDIM','PTO ALEGRE','RS','120203207236141231223319545122141267117',NULL,'9998',8.29,1,3,NULL),(25,6270573,'1994-01-15 00:00:00',4,6,11,2010,'F','N','CENTRO','ITAJAÍ','SC','124252241215111531559933575122610167077',19321,'389',36.22,1,3,NULL),(25,6270590,'1991-02-06 00:00:00',4,8,11,2008,'M','N','CRISTO REI','CURITIBA','PR','116162161216422731456812575114610125072',3227,'9998',62.81,1,3,NULL),(25,6270603,'1991-01-02 00:00:00',4,1,12,2007,'M','N','CENTRO','PNT GROSSA','PR','116162161236571411458861275112140242182',6236,'9998',56.04,1,3,NULL),(25,6270611,'1993-10-15 00:00:00',2,1,11,2010,'F','N','CENTRO','PALHOÇA','SC','124243241215131431228624375124610132142',NULL,'989',22.64,1,3,NULL),(25,6270638,'1993-09-24 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271421678712572112610114092',NULL,'262',0.00,1,3,NULL),(25,6270646,'1992-03-24 00:00:00',2,4,12,2010,'M','N','QUATRO IRMAOS','PTE SERRADA','SC','124243241115141431436823345122610134147',19982,'629',34.64,1,3,NULL),(25,6270654,'1992-06-19 00:00:00',4,8,11,2009,'F','N','CENTRO','CURITIBA','PR','116162161216471231558732575124610163142',7534,'9998',51.03,1,3,NULL),(25,6270662,'1993-04-22 00:00:00',2,2,12,2010,'F','N','TESTO REGA','POMERODE','SC','124241241215111431323379574224610167177',9150,'624',52.77,1,3,NULL),(25,6270670,'1992-12-18 00:00:00',2,3,12,2009,'F','N','CENTRO','LONDRINA','PR','116164161416471751566933595112610168047',9159,'9998',47.22,1,3,NULL),(25,6270689,'1993-07-25 00:00:00',2,1,12,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124242241217131432447651475124610168141',19404,'989',36.04,1,3,NULL),(25,6270697,'1992-11-09 00:00:00',4,5,11,2010,'M','N','CENTRO','URUSSANGA','SC','124243241215271431256923585124610164111',10324,'226',50.78,4,3,NULL),(25,6270700,'1992-10-20 00:00:00',2,1,12,2010,'M','N','AGRANÔMICA','FLORIANÓPOLIS','SC','124242241215151411356813175112610117062',11679,'272',44.26,1,3,NULL),(25,6270719,'1989-11-13 00:00:00',2,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241215574431446633575124610127077',541,'991',77.23,1,3,NULL),(25,6270727,'1992-04-07 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241115171431367919572124610127047',19017,'271',33.30,1,3,NULL),(25,6270735,'1991-01-19 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241217422431455834572124610132197',15714,'724',38.53,1,3,NULL),(25,6270743,'1993-03-16 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241215351732369914294124610142092',3871,'951',63.62,2,3,NULL),(25,6270751,'1992-03-06 00:00:00',4,1,11,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241211112711479813592122231043147',15378,'270',43.09,1,3,NULL),(25,6270760,'1993-01-04 00:00:00',2,1,12,2010,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241215112431447833573124610153017',8906,'1022',49.89,1,3,NULL),(25,6270778,'1985-08-28 00:00:00',2,1,12,2003,'M','N','POVOMENTO','ANITÁPOLIS','SC','124241241124132431533315155223133247057',NULL,'19',0.00,1,2,1),(25,6270786,'1993-02-12 00:00:00',2,9,12,2010,'F','N','CORAL','LAGES','SC','124242241217111731438712275122610127017',20439,'515',33.34,1,3,NULL),(25,6270794,'1993-09-19 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111731436829575122610164092',NULL,'738',27.15,1,3,NULL),(25,6270808,'1993-07-01 00:00:00',4,1,12,2010,'F','N','CENTRO','CURITIBA','PR','116112161217111431259839575124610131183',NULL,'9998',23.42,1,3,NULL),(25,6270816,'1990-11-20 00:00:00',4,1,12,2007,'F','N','CENTRO','GAROPABA','SC','124242241112161431328732425122232037117',NULL,'361',24.32,1,3,NULL),(25,6270824,'1992-12-17 00:00:00',4,8,12,2010,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124241241117131431346514275121610124012',19796,'465',35.16,1,2,1),(25,6270832,'1993-09-17 00:00:00',4,1,12,2010,'F','N','SAN CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC','124241241116131611436434295124610134047',20278,'772',33.82,1,2,1),(25,6270840,'1993-06-26 00:00:00',2,5,12,2010,'F','N','CENTRO','IÇARA','SC','124241241145141431423324242224610121197',NULL,'1005',0.00,1,2,1),(25,6270859,'1994-04-20 00:00:00',2,10,11,2012,'F','S','CENTRO','TUBARÃO','SC','124243241235111431524632225122610133052',NULL,'807',36.72,1,3,NULL),(25,6270875,'1993-02-16 00:00:00',4,1,11,2010,'M','N','CENTRO','ITUMBIARA','GO','109092091215111431154612571122610115052',NULL,'9998',0.00,1,3,NULL),(25,6270891,'1995-05-20 00:00:00',4,1,12,2011,'M','S','CAMPINAS','S JOSÉ','SC','124242241215111731339733575122610132192',NULL,'723',53.67,1,3,NULL),(25,6270905,'1992-12-03 00:00:00',4,1,12,2010,'M','N','COESTER','FERNANDÓPOLIS','SP','125252251215111431548833572122610122052',5585,'9998',56.28,1,3,NULL),(25,6270913,'1992-09-09 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124201241117111431423629285114610112021',NULL,'288',20.87,1,3,NULL),(25,6270921,'1988-02-25 00:00:00',2,1,12,2005,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124251251136132731136814385123233268017',17523,'9998',37.88,1,2,1),(25,6270930,'1993-04-16 00:00:00',4,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241216131412333413272121610164177',15251,'1010',38.54,1,3,NULL),(25,6270948,'1994-04-08 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241117371431648713575124610124057',14908,'307',39.04,1,3,NULL),(25,6270956,'1992-09-10 00:00:00',4,1,12,2010,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124242248115371431348933572124610136092',8102,'306',52.30,1,3,NULL),(25,6270972,'1994-04-13 00:00:00',4,1,11,2010,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242241215111431568732575122610167042',12601,'1118',42.62,1,3,NULL),(25,6270999,'1994-02-11 00:00:00',4,1,12,2010,'M','N','CENTRO','LONDRINA','PR','116111161215171431268831475124610167043',6576,'9998',53.98,3,3,NULL),(25,6271006,'1993-05-29 00:00:00',2,1,12,2010,'F','N','ALTO DE MAFRA','MAFRA','SC','124241241214111431469611571122610163072',NULL,'541',22.37,1,3,NULL),(25,6271014,'1994-01-11 00:00:00',2,4,12,2010,'F','N','CENTRO','STO ANTÔNIO PLANALTO','RS','120204201217151431546615575122610125047',NULL,'9998',0.00,1,3,NULL),(25,6271022,'1993-02-19 00:00:00',4,2,12,2010,'M','N','VILA NOVA','BLUMENAU','SC','124244241215151431346722395112610167182',NULL,'855',0.00,1,3,NULL),(25,6271049,'1979-05-29 00:00:00',4,1,11,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124161247117232431423339245113610127117',NULL,'9999',0.00,1,2,1),(25,6271057,'1990-09-16 00:00:00',2,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116161161116573431549933575125610124097',NULL,'9998',40.69,1,2,1),(25,6271065,'1993-02-26 00:00:00',4,1,12,2010,'F','N','JARDIM PAULISTANO','SOROCABA','SP','125252251217121431569931315122610131197',NULL,'9998',0.00,1,3,NULL),(25,6271073,'1993-06-23 00:00:00',4,10,12,2010,'M','N','HUMAITA DE CIMA','TUBARÃO','SC','124241241147131451549923295121610124057',NULL,'798',16.35,1,2,1),(25,6271103,'1994-11-27 00:00:00',4,1,11,2011,'F','S','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111431389614575122610124142',NULL,'270',38.34,1,3,NULL),(25,6271111,'1987-09-16 00:00:00',2,5,12,2005,'M','N','CENTRO','WESTFÁLIA','RS','120202201416471411223469272344243236142',2930,'9998',64.08,1,3,NULL),(25,6271120,'1993-01-02 00:00:00',4,1,12,2010,'M','N','JARDIM CIDADE FLORIA','S JOSÉ','SC','124242241315111451437614575114610167042',NULL,'307',18.29,1,3,NULL),(25,6271138,'1976-04-20 00:00:00',2,1,11,1997,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124203207127271421134644341113141017057',12763,'9998',46.97,1,3,NULL),(25,6271146,'1991-12-31 00:00:00',2,4,12,2008,'F','N','SÃO FRANCISCO','CEL FREITAS','SC','124241241115572431316424175124610136187',19950,'199',34.73,1,2,1),(25,6271162,'1993-02-16 00:00:00',2,1,12,2010,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124242241215131431534814375124610137047',NULL,'1048',32.87,1,3,NULL),(25,6271170,'1993-10-25 00:00:00',2,1,12,2010,'M','N','STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC','124242241215131431448811475124610127187',16975,'262',39.12,4,1,2),(25,6271189,'1993-10-21 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241126131531435314475124610127047',14911,'283',37.65,1,2,1),(25,6271197,'1993-04-23 00:00:00',4,8,12,2010,'F','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124242241215271441469834575124610133022',7846,'424',51.03,1,3,NULL),(25,6271200,'1993-07-26 00:00:00',4,1,11,2010,'M','N','NSSA SRA DE LOURDES','STA MARIA','RS','120202201217371431548814575112610167052',1072,'9998',72.05,1,3,NULL),(25,6271219,'1993-06-29 00:00:00',2,4,12,2010,'F','N','PRESIDENTE MEDICE','CHAPECÓ','SC','124241241112371431324614575114610135147',NULL,'175',16.61,1,2,1),(25,6271227,'1992-08-30 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241415111431149969575114610168147',6426,'270',55.53,1,3,NULL),(25,6271235,'1992-09-22 00:00:00',4,1,11,2009,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241212111431369713482112610167011',21255,'270',29.71,1,3,NULL),(25,6271243,'1992-05-22 00:00:00',2,1,12,2009,'F','N','CANTO','FLORIANÓPOLIS','SC','124242241215372431448853475114610125142',3939,'1118',63.45,1,3,NULL),(25,6271251,'1992-11-14 00:00:00',2,3,11,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241216131431436823575122610162187',16155,'407',36.82,1,3,NULL),(25,6271260,'1993-01-22 00:00:00',2,1,12,2010,'M','N','BELA VISTA','S JOSÉ','SC','124242241215121431334633572122610124093',14662,'738',44.20,1,3,NULL),(25,6271278,'1993-12-10 00:00:00',3,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124283241417111431459913475112610122092',7697,'883',52.33,1,3,NULL),(25,6271286,'1990-01-26 00:00:00',4,8,12,2007,'M','N','TOMÁZ COELHO','ARAUCÁRIA','PR','116162161215571751358823573112610162047',NULL,'9998',0.00,1,3,NULL),(25,6271294,'1993-10-13 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217111111369812575114610133034',6362,'270',55.89,1,3,NULL),(25,6271308,'1993-10-28 00:00:00',4,9,11,2010,'M','N','PETRÓPOLIS','LAGES','SC','124243241215111531438913575124610167037',3801,'497',61.63,1,3,NULL),(25,6271316,'1993-06-08 00:00:00',2,15,11,2010,'F','N','CENTRO','TURVO','SC','124244241215371431524636576121610137057',17899,'813',31.73,1,3,NULL),(25,6271332,'1993-12-27 00:00:00',4,1,11,2010,'F','N','VILA SÃO JOSÉ','TAUBATÉ','SP','125252251215111731236822475122610143077',4849,'9998',58.29,1,3,NULL),(25,6271340,'1990-02-12 00:00:00',4,1,12,2007,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215574431367711576124133267187',781,'270',75.36,1,3,NULL),(25,6271367,'1993-09-10 00:00:00',4,1,12,2010,'F','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125252251215111431337634495122610135182',NULL,'9998',0.00,1,3,NULL),(25,6271383,'1993-10-25 00:00:00',4,9,11,2010,'F','N','BRUSQUE','LAGES','SC','124241241215111431448614575112610168145',17751,'1207',33.48,1,3,NULL),(25,6271391,'1992-12-29 00:00:00',4,1,12,2010,'M','N','CENTRO','COLINA','SP','125252251116121431468936385114610157142',2422,'9998',65.46,1,3,NULL),(25,6271405,'1993-11-19 00:00:00',4,9,12,2010,'M','N','IMPERIAL','VACARIA','RS','120202201216131431336814375122610161177',11844,'9998',43.60,1,3,NULL),(25,6271413,'1983-01-13 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216152431166933575112120922182',NULL,'270',14.46,1,3,NULL),(25,6271421,'1993-08-30 00:00:00',2,1,12,2010,'M','N','BELA VISTA','S JOSÉ','SC','124242241215271431557513595124610144042',NULL,'262',34.68,1,3,NULL),(25,6271430,'1987-11-13 00:00:00',2,1,12,2005,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243247326471441335311245124610132112',NULL,'9999',0.00,1,3,NULL),(25,6271448,'1993-05-10 00:00:00',4,4,12,2009,'F','N','CENTRO','IRACEMINHA','SC','124241241117131431624436575124233267057',21473,'377',28.19,1,2,1),(25,6271464,'1995-01-15 00:00:00',4,1,12,2011,'F','S','JOAO PAULO','FLORIANÓPOLIS','SC','124243231117111731465923595122610124077',NULL,'271',33.40,1,3,NULL),(25,6271472,'1993-06-13 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111451469914572124610162011',7028,'272',53.16,1,3,NULL),(25,6271480,'1991-01-07 00:00:00',4,8,11,2008,'F','N','BOA VISTA','JOINVILLE','SC','124242241211575751579911592112143233192',5000,'457',60.84,1,3,NULL),(25,6271499,'1991-06-01 00:00:00',4,8,12,2008,'F','N','ALVORADA','OSVALDO CRUZ','SP','116252251216511431549931575124610124072',2979,'9998',63.01,1,3,NULL),(25,6271502,'1993-12-17 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431238723375122610137042',14906,'262',41.70,1,3,NULL),(25,6271510,'1993-10-26 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217271431456831572112610117122',5867,'272',56.52,1,3,NULL),(25,6271529,'1993-05-22 00:00:00',2,1,11,2010,'M','N','VENDAVAL','BIGUAÇU','SC','124241241415131431535614575122610142147',15139,'1040',39.93,1,3,NULL),(25,6271537,'1993-11-02 00:00:00',2,1,12,2010,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124244241315271431449613572124610132142',9995,'739',48.56,1,3,NULL),(25,6271545,'1991-09-26 00:00:00',4,3,12,2009,'M','N','NOVA OURINHOS','OURINHOS','SP','125252251215471431438811475122610164182',11703,'9998',44.12,1,3,NULL),(25,6271553,'1992-10-22 00:00:00',2,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124243244215311731358614575122610163077',17190,'459',35.07,1,3,NULL),(25,6271561,'1993-09-30 00:00:00',2,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215111731437611575115610124182',16001,'226',42.14,1,3,NULL),(25,6271570,'1990-02-08 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241247335151431544633346124610126117',NULL,'307',16.00,1,3,NULL),(25,6271588,'1993-03-06 00:00:00',2,10,11,2010,'F','N','CENTRO','BRAÇO NORTE','SC','124243241215111431329622595124610126182',NULL,'807',37.38,1,3,NULL),(25,6271596,'1994-05-28 00:00:00',4,3,12,2011,'F','S','CASTELO BRANCO','ITAPEMA','SC','124242241217151431474763375122610126052',NULL,'9997',40.84,1,3,NULL),(25,6271600,'1992-05-01 00:00:00',4,5,10,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241217111432458921492122610152042',10726,'226',50.11,1,3,NULL),(25,6271618,'1991-12-28 00:00:00',4,1,12,2009,'M','N','CENTRO','PASSO FUNDO','RS','120202201215471431348839475115610137042',2068,'9998',66.99,1,3,NULL),(25,6271626,'1993-07-14 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111232438733575124610117042',NULL,'1118',18.24,1,3,NULL),(25,6271634,'1992-07-02 00:00:00',2,5,12,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215171431437913372122610137042',12608,'226',42.85,4,3,NULL),(25,6271642,'1985-01-03 00:00:00',4,1,12,2001,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241336132741225344245124610164057',NULL,'186',22.20,1,3,NULL),(25,6271650,'1991-09-19 00:00:00',2,8,12,2008,'F','N','NOSSA SENHORA DO PER','TELÊMACO BORBA','PR','116163161216571411446823572114610124142',7095,'9998',54.10,1,3,NULL),(25,6271677,'1993-04-19 00:00:00',2,7,12,2009,'F','N','CENTRO','PRES CASTELO BRANCO','SC','124241241126131451227619495122231227147',19986,'642',34.62,1,2,1),(25,6271685,'1990-03-30 00:00:00',4,8,12,2007,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116163161115471711545929375114141213097',NULL,'9998',29.86,1,3,NULL),(25,6271693,'1993-12-21 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241217131432535834275124610128182',14524,'9997',40.51,1,3,NULL),(25,6271707,'1993-06-06 00:00:00',4,1,11,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215221431468813575112610127047',12582,'270',42.58,1,3,NULL),(25,6271731,'1989-02-07 00:00:00',4,1,12,2005,'M','N','DISTRITO INDUSTRIAL','RIO BRANCO','AC','112012121216472431478813415122342667012',2923,'9998',64.16,1,3,NULL),(25,6271740,'1994-03-24 00:00:00',4,1,12,2011,'M','S','BALNEÁRIO DO ESTREIT','FLORIANÓPOLIS','SC','124242241217111751339813575124610166185',NULL,'270',34.93,1,3,NULL),(25,6271758,'1994-03-11 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215111431566712575122610167042',3300,'270',63.39,1,3,NULL),(25,6271766,'1993-07-20 00:00:00',4,8,11,2010,'F','N','JARDIM DAS NAÇÕES','TAUBATÉ','SP','125251251215111731349739575122610127142',NULL,'9998',0.00,1,3,NULL),(25,6271774,'1992-03-01 00:00:00',1,8,12,2010,'M','N','FANNY','CURITIBA','PR','116164161217111331458836575114610164147',10572,'9998',45.76,3,3,NULL),(25,6271782,'1993-02-26 00:00:00',4,6,11,2010,'F','N','DOS MUNICÍPIOS','BAL CAMBORIÚ','SC','124242241217151411368614572124610121056',NULL,'394',0.00,1,3,NULL),(25,6271790,'1993-05-05 00:00:00',4,1,12,2011,'M','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241212111731348611595124610128042',NULL,'1169',17.29,1,3,NULL),(25,6271804,'1990-12-15 00:00:00',4,1,12,2008,'M','N','JARDIM ABC','DIADEMA','SP','125252251216571431458811575122610167057',3492,'9998',64.58,3,3,NULL),(25,6271812,'1991-10-15 00:00:00',4,1,11,2008,'F','N','VILA GUARANI','S PAULO','SP','125252251216571431267815575125610122197',6603,'9998',57.14,3,3,NULL),(25,6271820,'1993-08-06 00:00:00',4,7,12,2010,'M','N','BELA VISTA','ERECHIM','RS','120201201116111431336313375121610127012',14245,'9998',38.62,1,2,1),(25,6271847,'1989-11-09 00:00:00',3,1,7,2007,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124202201112472431447931472124142226092',3534,'9998',62.48,1,3,NULL),(25,6271880,'1993-05-01 00:00:00',4,1,11,2010,'F','N','JARDIM SÃO PAULO','S PAULO','SP','125252251217371431357832575122610144092',NULL,'9998',37.05,1,3,NULL),(25,6271898,'1991-05-24 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241216145431468921345124222066181',3958,'1022',60.04,1,3,NULL),(25,6271901,'1994-05-18 00:00:00',4,1,11,2010,'M','N','FLORESTA','S JOSÉ','SC','124242248215111431436631282124610127042',16850,'1022',40.86,1,3,NULL),(25,6271910,'1993-04-21 00:00:00',4,1,11,2010,'M','N','JARDIM ITALIA','CUIABÁ','MT','111112111217111411479833375122610162012',NULL,'9998',0.00,1,3,NULL),(25,6271928,'1990-10-28 00:00:00',2,8,12,2007,'F','N','SÃO BERNARDO','UNIÃO VITÓRIA','PR','116161241416472431538823575124610136192',NULL,'633',0.00,1,3,NULL),(25,6271936,'1992-04-18 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241215111431525512242122610167147',16912,'738',37.15,1,3,NULL),(25,6271944,'1993-08-25 00:00:00',2,4,11,2010,'F','N','CENTRO','PATO BRANCO','PR','115162161215111231446413375112610167047',NULL,'9998',0.00,1,3,NULL),(25,6271952,'1993-06-15 00:00:00',4,6,12,2010,'M','N','CENTRO','S MIGUEL OESTE','SC','124241246217151431546923575123610164147',11294,'1179',43.81,1,3,NULL),(25,6271960,'1992-12-24 00:00:00',2,1,11,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111431478831575122610164142',5637,'270',55.42,1,3,NULL),(25,6271979,'1993-08-18 00:00:00',2,15,12,2010,'M','N','HIGIENÓPOLIS','STA CRUZ SUL','RS','120202201216271432459832572122610127082',NULL,'9998',0.00,1,3,NULL),(25,6271987,'1993-02-17 00:00:00',2,10,12,2010,'F','N','VARGEM DO CEDRO','S MARTINHO','SC','124241241127161431534435245124610133077',NULL,'750',24.85,1,2,1),(25,6272002,'1987-05-20 00:00:00',2,1,12,2004,'F','N','CENTRO','CASCAVEL','PR','116161161316571431558813374124141033187',10090,'9998',47.07,1,3,NULL),(25,6272010,'1990-04-03 00:00:00',2,1,12,2007,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241217243421433923345114610134057',NULL,'1048',40.73,1,3,NULL),(25,6272037,'1992-07-08 00:00:00',4,3,12,2010,'F','N','JARDIM CASTELO','SANTOS','SP','125252251116471431468934575124610144192',12932,'9998',42.27,1,3,NULL),(25,6272045,'1994-12-06 00:00:00',4,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241217111452366823575124610164042',10913,'1022',49.80,1,3,NULL),(25,6272053,'1994-01-04 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241215112431456617492124610127141',16667,'1022',36.30,1,3,NULL),(25,6272061,'1989-11-13 00:00:00',4,7,11,2006,'F','N','CENTRO','JOAÇABA','SC','124242241216575431438933575125610164017',8507,'446',49.88,1,3,NULL),(25,6272070,'1991-12-18 00:00:00',2,1,12,2008,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241117151431438923485124610134042',19809,'733',35.12,1,2,1),(25,6272096,'1991-08-04 00:00:00',4,1,11,2009,'M','N','JARDIM LUSITÂNIA','S PAULO','SP','125252251216471431578811575122610167127',NULL,'9998',0.00,3,3,NULL),(25,6272118,'1992-02-17 00:00:00',2,1,12,2009,'F','N','CENTRO','MINEIROS','GO','109092091217471431483537574114610137077',NULL,'9998',0.00,4,3,NULL),(25,6272126,'1973-12-12 00:00:00',2,1,12,1991,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124251241317134421127644346114131062182',NULL,'261',19.39,1,3,NULL),(25,6272134,'1990-12-09 00:00:00',4,1,12,2008,'F','N','CENTRO','CAIBATÉ','RS','120204201116571431668834575124610167047',1956,'9998',67.97,1,3,NULL),(25,6272142,'1991-12-26 00:00:00',4,1,12,2008,'F','N','CENTRO','PALHOÇA','SC','124242241215575431569833574124233225097',322,'270',79.35,1,3,NULL),(25,6272150,'1992-03-01 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216372431425619475124610128142',10561,'1022',46.21,1,3,NULL),(25,6272169,'1993-02-26 00:00:00',2,5,12,2009,'F','N','RIO BRANCO','PTO ALEGRE','RS','120202201216471431489833572114610132142',6820,'9998',54.24,1,3,NULL),(25,6272177,'1994-09-17 00:00:00',2,10,12,2011,'F','S','STO ANTÔNIO DE PÁDUA','TUBARÃO','SC','124242241215151731488913295122610167072',NULL,'807',43.61,4,3,NULL),(25,6272185,'1993-09-30 00:00:00',4,1,12,2010,'M','N','CARANDÁ BOSQUE II','CPO GRANDE','MS','112124121116112431569913275125610137047',2562,'9998',65.05,4,3,NULL),(25,6272193,'1993-03-08 00:00:00',4,3,12,2010,'F','N','JARDIM EUROPA','OURINHOS','SP','125252251215131431227823585112610133092',4625,'9998',59.01,1,3,NULL),(25,6272207,'1993-11-07 00:00:00',4,1,12,2012,'M','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215151411469931595122610134022',NULL,'883',58.97,1,3,NULL),(25,6272215,'1992-07-07 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241116131431436611245134133237057',15942,'194',42.23,1,2,1),(25,6272223,'1993-11-21 00:00:00',2,8,11,2010,'F','N','VILA SOFIA','S PAULO','SP','125244251217571411668911572122610167147',5454,'9998',55.77,1,3,NULL),(25,6272231,'1993-12-03 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216111431459613575124610126032',10598,'1022',48.05,1,3,NULL),(25,6272240,'1994-05-06 00:00:00',4,1,11,2011,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111311433434575124610134197',NULL,'1022',22.69,1,3,NULL),(25,6272258,'1993-05-12 00:00:00',4,1,12,2010,'M','N','QUEBEC','LONDRINA','PR','116162161217111511459912345122610167047',NULL,'9998',0.00,1,3,NULL),(25,6272266,'1993-07-20 00:00:00',2,1,12,2010,'M','N','CENTRO','ASSIS CHATEAUBRIAND','PR','116162161215111221547614575112610117072',NULL,'9998',0.00,1,3,NULL),(25,6272274,'1991-11-04 00:00:00',4,1,12,2009,'F','N','JARDIM INDEPENDENCIA','RIBEIRÃO PRETO','SP','125254251417471541437613385123610125182',11284,'9998',45.30,1,3,NULL),(25,6272282,'1981-11-13 00:00:00',2,1,12,1999,'F','N','FLORIANÓPOLIS','FLORIANÓPOLIS','SC','624161161136135721223354385124223236187',NULL,'9998',39.28,1,2,1),(25,6272290,'1992-11-09 00:00:00',4,1,12,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215472431479913575124610126092',5704,'807',56.79,1,3,NULL),(25,6272304,'1987-11-11 00:00:00',4,1,12,2005,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124132131215112441348612211111221417097',10284,'9998',50.84,4,1,2),(25,6272312,'1993-11-04 00:00:00',4,1,12,2010,'M','N','PIO X','CAXIAS SUL','RS','120201201215111731434719275124610132182',11783,'9998',48.51,4,3,NULL),(25,6272320,'1992-03-31 00:00:00',4,1,12,2009,'F','N','CUMBICA','GUARULHOS','SP','125254251436471731565612221222610112187',NULL,'9998',0.00,1,3,NULL),(25,6272339,'1992-10-15 00:00:00',4,2,12,2009,'F','N','RESIDENCIAL IMPACEL','ARAPOTI','PR','116162161215472431359914385122610123182',1900,'9998',68.00,1,3,NULL),(25,6272347,'1993-11-25 00:00:00',4,1,11,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241117111431436623575122610166012',NULL,'296',39.93,1,3,NULL),(25,6272355,'1993-11-27 00:00:00',4,9,11,2010,'M','N','CENTRO','LAGES','SC','124242241217111411469713575122610124052',12106,'497',47.97,1,3,NULL),(25,6272363,'1993-09-02 00:00:00',4,4,12,2010,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241115271431536314295124610133197',18042,'182',38.76,1,2,1),(25,6272371,'1993-02-10 00:00:00',4,1,12,2010,'M','N','MIRIM','IMBITUBA','SC','624242241217111431238923475112610132042',14309,'807',44.70,1,3,NULL),(25,6272380,'1993-06-04 00:00:00',4,1,12,2010,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124243241217121431588611274114610144152',5658,'270',56.61,1,3,NULL),(25,6272398,'1993-07-24 00:00:00',2,1,12,2010,'F','N','SOLEMAR','S JOSÉ','SC','124241241135371731635515582345610144143',21726,'726',24.65,4,3,NULL),(25,6272410,'1991-10-03 00:00:00',4,1,12,2010,'F','N','LAGO SUL','LG SUL','DF','107072071216131431579613575122610142117',NULL,'9998',19.76,1,3,NULL),(25,6272428,'1993-08-30 00:00:00',2,10,12,2010,'F','N','RIO SÃO JOÃO','S MARTINHO','SC','124241241126161731546934342114610167142',17069,'750',35.47,1,2,1),(25,6272444,'1993-04-11 00:00:00',2,7,12,2010,'F','N','CENTRO','MARCELINO RAMOS','RS','120201201146131731636629296125610124147',NULL,'9998',0.00,1,2,1),(25,6272452,'1991-10-27 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241416471431445613372124610127082',18613,'300',37.74,1,3,NULL),(25,6272460,'1990-11-23 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241212154431456617472124610127041',11665,'1022',48.65,1,3,NULL),(25,6272495,'1991-02-23 00:00:00',2,1,12,2008,'F','N','ARIRIÚ','PALHOÇA','SC','124241241212273411433824575124610161042',8220,'1011',50.95,1,3,NULL),(25,6272509,'1993-12-30 00:00:00',4,6,12,2010,'M','N','CORDEIROS','ITAJAÍ','SC','124242246215111431468632345122610117012',NULL,'394',0.00,1,3,NULL),(25,6272517,'1990-03-02 00:00:00',2,2,12,2007,'M','N','FIGUEIRA','GASPAR','SC','124241241147161431423331383211133267142',NULL,'327',32.24,1,2,1),(25,6272525,'1992-11-09 00:00:00',4,8,12,2010,'M','N','AMERICA','JOINVILLE','SC','124243241332371431446614585124610114041',20892,'465',31.56,1,3,NULL),(25,6272533,'1992-10-05 00:00:00',4,1,11,2009,'M','N','MOISÉS MIGUEL HADDAD','S JOSÉ R PRETO','SP','125252251217471731458932575122610167042',957,'9998',73.05,1,3,NULL),(25,6272541,'1992-03-11 00:00:00',2,1,11,2009,'F','N','IPIRANGA','S JOSÉ','SC','124241241215471411336661577114610124147',18870,'1118',32.34,1,3,NULL),(25,6272550,'1995-05-08 00:00:00',4,1,12,2011,'F','S','CENTRO','TUBARÃO','SC','124242241216111431479913575124610126142',NULL,'807',16.48,1,3,NULL),(25,6272568,'1992-11-04 00:00:00',4,5,11,2010,'M','N','SANTA BARBARA','CRICIÚMA','SC','124241246216131441329613575124610162171',16261,'995',41.76,1,3,NULL),(25,6272584,'1991-11-28 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215372231489821575112131167042',1346,'270',71.45,4,3,NULL),(25,6272592,'1986-07-14 00:00:00',2,1,12,2004,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242247237374411446721475122123264163',15226,'270',43.36,1,3,NULL),(25,6272606,'1992-02-24 00:00:00',4,1,12,2009,'F','N','RIOS','BARRETOS','SP','125252251215471431336923574122610127097',NULL,'9998',29.02,1,3,NULL),(25,6272622,'1993-03-03 00:00:00',4,1,12,2010,'F','N','JARDIM EUROPA','BAURU','SP','125252251215111741458933575112610164052',2156,'9998',66.65,1,3,NULL),(25,6272630,'1992-12-10 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731457833575122610167122',20240,'270',33.94,1,3,NULL),(25,6272649,'1993-12-09 00:00:00',2,4,12,2010,'M','N','JARDIM DOS PRINCIPES','UMUARAMA','PR','116162161216471711435839372122610117047',14907,'9998',40.39,1,3,NULL),(25,6272657,'1993-12-16 00:00:00',4,6,11,2010,'M','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','124242241215111411565412575112610164097',16143,'1026',38.95,1,3,NULL),(25,6272665,'1994-01-27 00:00:00',4,3,12,2010,'M','N','JARDIM TUPANCERETAN','PARANAVAÍ','PR','116164161215161431445935155121610167047',10960,'9998',46.45,1,3,NULL),(25,6272690,'1978-07-05 00:00:00',2,1,7,2008,'F','N','LISBOA','S JOSÉ','SC','124241247122372751323349292124610125143',17452,'945',35.21,2,1,1),(25,6272703,'1993-11-10 00:00:00',2,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111431426614375122610121092',13330,'723',43.62,1,3,NULL),(25,6272711,'1986-11-13 00:00:00',2,1,12,2003,'F','N','SANTOS DUMMONT','S JOSÉ','SC','124242241216132441446714375124133224181',12825,'723',46.87,1,3,NULL),(25,6272720,'1993-09-25 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431438619595122610128112',13669,'738',41.05,1,3,NULL),(25,6272738,'1992-02-16 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243246136371732434721345124610124057',13371,'306',42.04,1,3,NULL),(25,6272746,'1993-04-04 00:00:00',2,1,12,2010,'F','N','GOV CELSO RAMOS','GOV CELSO RAMOS','SC','124241241115271431436513575124610136032',NULL,'64',22.88,1,2,1),(25,6272754,'1994-04-15 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216111711469613472122610124042',21332,'1050',29.24,1,3,NULL),(25,6272762,'1991-09-04 00:00:00',4,1,12,2009,'F','N','CTA','S JOSÉ CAMPOS','SP','125251251217371431468633575112142123092',NULL,'9998',0.00,4,3,NULL),(25,6272770,'1962-02-26 00:00:00',2,1,12,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243247641212421136641111122132858182',20434,'9999',33.35,1,3,NULL),(25,6272789,'1992-08-17 00:00:00',4,8,11,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241216271411479833572122610167041',15407,'9997',43.04,1,3,NULL),(25,6272797,'1993-08-16 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431387714572124610132142',17347,'270',37.03,1,3,NULL),(25,6272800,'1990-04-15 00:00:00',4,1,11,2008,'M','N','SAN CONRADO','CAMPINAS','SP','125252251217141411468813445114610164187',18361,'9998',34.77,1,3,NULL),(25,6272819,'1990-01-01 00:00:00',4,1,12,2006,'M','N','CRISTO REI','CURITIBA','PR','116162161217151411348812425114143262063',NULL,'9998',0.00,1,3,NULL),(25,6272827,'1993-08-15 00:00:00',4,2,12,2010,'M','N','BELA VISTA','GASPAR','SC','124241241136141531534412245114610117187',NULL,'325',0.00,1,3,NULL),(25,6272835,'1992-06-02 00:00:00',4,1,12,2010,'M','N','JARDINS','ARACAJU','SE','126262261215111741576833575122610162042',6991,'9998',54.19,2,3,NULL),(25,6272843,'1994-11-29 00:00:00',4,1,11,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216111431438734375124610122015',NULL,'1022',33.96,3,3,NULL),(25,6272851,'1990-02-22 00:00:00',2,1,6,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241116373431544623475124610133071',6401,'306',55.78,1,3,NULL),(25,6272860,'1988-07-25 00:00:00',2,1,12,2005,'M','N','BNH SEGUNDO PLANO','DOURADOS','MS','112122121215573431459911475122610162087',183,'9998',81.34,1,3,NULL),(25,6272878,'1978-02-24 00:00:00',4,1,12,1995,'M','N','KOBRASOL','S JOSÉ','SC','124241241125475451336443235123610121117',16805,'307',35.58,1,2,1),(25,6272894,'1993-06-10 00:00:00',2,8,12,2010,'F','N','VILA NOVA','JOINVILLE','SC','124241241215122412345512275124610167142',4022,'457',60.66,1,3,NULL),(25,6272908,'1993-11-13 00:00:00',4,5,11,2011,'M','S','CENTRO','CRICIÚMA','SC','124242241215111431466833575122610132122',NULL,'226',39.28,1,3,NULL),(25,6272916,'1993-05-30 00:00:00',2,1,12,2010,'F','N','MACACU','GAROPABA','SC','124241241141371411313629175124610123147',20119,'307',31.07,2,1,1),(25,6272924,'1987-01-08 00:00:00',2,15,12,2002,'M','N','COLONINHA','ARARANGUÁ','SC','124241241127273131337613245123610112042',14207,'29',40.61,1,3,NULL),(25,6272932,'1992-10-05 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241114372231539614295124610164185',6353,'814',55.13,1,2,1),(25,6272940,'1990-12-19 00:00:00',4,1,12,2008,'M','N','PARUE AGUA BRANCA','PIRACICABA','SP','125252251215571431448833571122610134077',NULL,'9998',0.00,2,3,NULL),(25,6272959,'1993-01-29 00:00:00',2,1,12,2010,'F','N','SANTANA','LEME','SP','125251251116131731323514175122610165097',NULL,'9998',38.86,1,2,1),(25,6272967,'1993-06-30 00:00:00',2,8,12,2010,'F','N','JARDIM SOCIAL','CANTAGALO','PR','116162161217111231548813575122610167054',6344,'9998',54.56,1,3,NULL),(25,6272975,'1992-03-09 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241112232731325623345134610168147',15632,'295',39.31,1,2,1),(25,6272983,'1993-03-13 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431566733372122610137062',NULL,'738',23.23,1,3,NULL),(25,6272991,'1992-05-08 00:00:00',4,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241121271431546634245124610127047',21017,'1097',31.03,1,2,1),(25,6273009,'1988-07-16 00:00:00',2,1,11,2009,'M','N','SERRARIA','S JOSÉ','SC','124263247126471451357827345122610167037',NULL,'9999',0.00,1,3,NULL),(25,6273025,'1993-10-29 00:00:00',4,4,12,2010,'M','N','CATARINA FONTANA','CONCÓRDIA','SC','124241246217131431438434575122610137042',7167,'1001',53.44,1,3,NULL),(25,6273033,'1993-04-21 00:00:00',2,1,12,2010,'M','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124241241115371431325624475124610137142',20087,'65',34.35,1,2,1),(25,6273041,'1987-08-25 00:00:00',4,4,12,2004,'M','N','CENTRO','CASCAVEL','PR','116162161215471431459831374125340814172',NULL,'9998',0.00,1,3,NULL),(25,6273068,'1987-10-04 00:00:00',2,1,12,2004,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241122273451425431242114610132187',15462,'288',42.95,1,2,1),(25,6273076,'1992-07-03 00:00:00',2,4,12,2009,'M','N','BORTOT','PATO BRANCO','PR','116162161212171421343439571124610123182',NULL,'9998',19.87,1,3,NULL),(25,6273084,'1992-06-24 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241415371531345531575114610167047',18453,'868',38.01,3,3,NULL),(25,6273092,'1993-12-03 00:00:00',2,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124242241215141431223624245124610127143',NULL,'1078',0.00,1,3,NULL),(25,6273106,'1992-12-10 00:00:00',4,5,12,2009,'M','N','NOVA ESPERANÇA','CRICIÚMA','SC','124241241117131431344619142114610166192',NULL,'921',0.00,1,3,NULL),(25,6273114,'1991-12-20 00:00:00',2,1,12,2009,'F','N','JARDINS','ARACAJU','SE','126262261216472431458821575122610132147',370,'9998',78.52,4,3,NULL),(25,6273122,'1991-02-09 00:00:00',2,1,12,2008,'F','N','SUMARÉ','PARANAVAÍ','PR','116161162136575431328864575124610136072',4279,'9998',59.92,1,2,1),(25,6273130,'1992-11-30 00:00:00',4,1,12,2010,'F','N','ASA SUL','BRASÍLIA','DF','107072071217371431379813575122610137072',13049,'9998',43.19,1,3,NULL),(25,6273149,'1992-10-07 00:00:00',2,1,11,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241215472431337511575124610167041',NULL,'269',42.42,1,3,NULL),(25,6273157,'1992-11-03 00:00:00',4,1,11,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215271431249411471124610164042',13254,'951',45.32,4,3,NULL),(25,6273165,'1991-05-02 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241135141431648923245115610127187',NULL,'307',19.65,1,3,NULL),(25,6273173,'1991-10-21 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241417573431233429344124610137042',6605,'269',55.57,1,3,NULL),(25,6273181,'1992-10-15 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431438832575124610137042',5537,'1197',56.59,1,3,NULL),(25,6273190,'1990-07-09 00:00:00',2,8,12,2007,'M','N','COLONIA MARIA LUIZA','PARANAGUÁ','PR','116162161116141431536615245122610167042',16402,'9998',36.89,1,3,NULL),(25,6273203,'1992-06-27 00:00:00',4,3,12,2009,'M','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112122121216472431368614575112610122052',5239,'9998',56.72,1,3,NULL),(25,6273211,'1990-03-10 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241237243431357779442122610167113',20027,'269',34.49,1,3,NULL),(25,6273220,'1992-12-31 00:00:00',4,1,12,2009,'F','N','ZEQUINHA AMENDOLA','BARRETOS','SP','125254251214471431428714372124610146197',16450,'9998',35.46,4,3,NULL),(25,6273238,'1992-01-12 00:00:00',4,1,11,2009,'F','N','CENTRO','CONGONHAS','MG','113132131215472431565612572124610124042',3716,'9998',62.93,1,3,NULL),(25,6273246,'1991-09-27 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241216372431425531315124132744143',15307,'269',43.23,1,3,NULL),(25,6273254,'1992-03-16 00:00:00',2,1,12,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241117372331438933245124610116187',19723,'739',29.11,1,3,NULL),(25,6273262,'1992-10-10 00:00:00',4,1,11,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216272431268923575112221467042',3025,'270',64.56,1,3,NULL),(25,6273270,'1993-05-06 00:00:00',4,3,12,2010,'M','N','PARQUE BELA VISTA','VOTORANTIM','SP','125256253226111431338514185123610137047',11276,'9998',43.29,1,3,NULL),(25,6273300,'1993-03-04 00:00:00',4,16,12,2010,'M','N','SCHRAMM','S BENTO SUL','SC','124241241315141411326611345122610147057',NULL,'697',0.00,1,3,NULL),(25,6273319,'1994-11-30 00:00:00',4,10,11,2011,'F','S','CENTRO','BRAÇO NORTE','SC','124242241215121731558732215122610136072',NULL,'807',52.24,1,3,NULL),(25,6273327,'1991-02-03 00:00:00',2,8,10,2008,'F','N','UVARANAS','PNT GROSSA','PR','116162161216372431467714575124242633057',NULL,'9998',0.00,1,3,NULL),(25,6273335,'1991-04-14 00:00:00',2,10,12,2007,'M','N','HUMAITA','TUBARÃO','SC','124241241136141411633364242113610116177',NULL,'689',35.41,1,3,NULL),(25,6273351,'1989-11-15 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242071117131331327729441124232768182',NULL,'9998',24.47,1,3,NULL),(25,6273360,'1991-06-06 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216372431338514445123610164072',9252,'1035',48.63,1,3,NULL),(25,6273378,'1993-07-12 00:00:00',4,4,12,2010,'M','N','VILA INDUSTRIAL','TOLEDO','PR','116162161215121231468412475111610162062',12027,'9998',45.10,1,3,NULL),(25,6273394,'1993-10-20 00:00:00',2,7,12,2010,'M','N','CENTRO','HERVAL D OESTE','SC','124241241135131431326623495122610128192',18030,'341',33.43,4,2,1),(25,6273408,'1977-07-21 00:00:00',2,1,12,1995,'F','N','VILA BANDEIRANTES','CPO GRANDE','MS','212161165116371431458654374122141966197',NULL,'9998',0.00,1,3,NULL),(25,6273416,'1992-05-07 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241114472431348621395132610117042',16399,'49',38.51,1,2,1),(25,6273432,'1993-10-09 00:00:00',2,1,12,2010,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241225111431436914575124610137057',14675,'262',41.39,1,3,NULL),(25,6273440,'1991-12-29 00:00:00',2,1,12,2009,'F','N','FLORESTA','S JOSÉ','SC','124242241215372751468913572122610133142',6608,'1169',57.46,1,3,NULL),(25,6273467,'1981-07-30 00:00:00',4,1,10,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124203201337131152134642225133610167014',NULL,'9998',0.00,1,3,NULL),(25,6273475,'1993-05-27 00:00:00',2,15,12,2010,'F','N','ENGENHO VELHO','TORRES','RS','120201205115131451315329195124610138147',NULL,'9998',19.62,1,2,1),(25,6273483,'1992-12-29 00:00:00',4,9,12,2009,'F','N','FREI ROGERIO','LAGES','SC','624242241216272411423736575112133248182',17440,'1207',34.40,1,3,NULL),(25,6273491,'1953-01-19 00:00:00',4,1,7,1985,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241336152421353351485114320568153',18097,'9999',38.65,1,3,NULL),(25,6273505,'1992-04-06 00:00:00',4,1,12,2009,'F','N','TAQUARAL','CAMPINAS','SP','125251251137471351438724275122610162077',NULL,'9998',36.35,1,3,NULL),(25,6273521,'1991-01-03 00:00:00',4,1,12,2010,'F','N','AREIAS DO MEIO','GOV CELSO RAMOS','SC','124241248114271731533314345124610153052',19391,'306',36.09,1,2,1),(25,6273548,'1993-10-13 00:00:00',4,5,12,2010,'F','N','CENTRO','IÇARA','SC','124242241215131431423611442122610134097',6766,'349',54.79,1,3,NULL),(25,6273556,'1990-04-21 00:00:00',4,3,12,2007,'M','N','VILA MARIA','MARÍLIA','SP','125251251441571441446631245124610147047',NULL,'9998',38.22,1,3,NULL),(25,6273564,'1988-01-29 00:00:00',2,1,11,2006,'F','N','IMIRIM','S PAULO','SP','125252251217571411366812571124610145097',NULL,'9998',25.56,1,3,NULL),(25,6273572,'1989-06-05 00:00:00',4,1,12,2005,'M','N','SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC','124241241345273731469632475122221867041',13054,'1048',46.53,1,3,NULL),(25,6273580,'1990-05-23 00:00:00',2,1,11,2008,'F','N','FLORESTA','S JOSÉ','SC','124241241115472331326413442124610137181',NULL,'734',19.63,1,2,1),(25,6273599,'1993-12-11 00:00:00',2,15,12,2010,'F','N','CENTRO','ARARANGUÁ','SC','124241241116151541369923575125610114052',13971,'970',40.47,1,3,NULL),(25,6273602,'1987-10-01 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241115473231553623385124610127052',12703,'9997',43.48,1,2,1),(25,6273610,'1992-08-06 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241145272431436619486114610154022',NULL,'288',29.06,1,2,1),(25,6273645,'1984-06-04 00:00:00',4,1,6,2003,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124281281116142731528644445114121067092',NULL,'9998',3.56,2,1,1),(25,6273653,'1979-07-25 00:00:00',2,1,7,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251257127273332113149241114610123195',NULL,'9998',32.51,4,2,1),(25,6273670,'1985-03-25 00:00:00',2,1,12,2002,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241112372421228674382124120837047',9234,'307',52.62,3,2,1),(25,6273688,'1989-08-19 00:00:00',4,1,12,2006,'M','N','LAPA','S PAULO','SP','125252251216132411338824415114143262042',4358,'9998',62.38,1,3,NULL),(25,6273696,'1991-08-03 00:00:00',4,1,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215473731328636572124231462052',4501,'1038',58.45,1,3,NULL),(25,6273700,'1992-08-26 00:00:00',2,5,12,2009,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120142201216471711459811471124610144097',414,'9998',77.18,2,3,NULL),(25,6273718,'1992-09-24 00:00:00',4,8,12,2010,'M','N','CITY RIBEIRÃO','RIBEIRÃO PRETO','SP','125252251216111431575536575114610167047',NULL,'9998',0.00,1,3,NULL),(25,6273726,'1993-01-04 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124202241215272441337634575124610127042',9221,'737',52.64,1,3,NULL),(25,6273734,'1984-10-16 00:00:00',2,1,10,2009,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124203247127271441623329284224132025187',NULL,'9999',14.88,1,3,NULL),(25,6273742,'1993-08-04 00:00:00',4,1,6,2010,'F','N','TIROL','NATAL','RN','119282281216161431468614442122610134122',6590,'9998',54.12,1,3,NULL),(25,6273750,'1992-01-23 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115131441435631112124610167017',17559,'307',39.65,1,2,1),(25,6273777,'1990-04-06 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124244241217122411249769215132522236075',5073,'1022',60.67,1,3,NULL),(25,6273785,'1983-12-23 00:00:00',2,1,12,2006,'M','N','AGRONOMIA','PTO ALEGRE','RS','120201201146441431115341411314610167187',NULL,'9998',33.39,1,2,1),(25,6273793,'1980-10-16 00:00:00',4,10,12,1998,'M','N','OFICINAS','TUBARÃO','SC','124242241236572421552471445122331344047',11806,'806',45.37,1,3,NULL),(25,6273815,'1991-06-03 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241117574432639813492124610127142',21080,'307',30.76,1,3,NULL),(25,6273823,'1987-03-24 00:00:00',4,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241216574431267722345122322516092',NULL,'262',41.29,4,3,NULL),(25,6273831,'1991-09-29 00:00:00',4,1,12,2008,'M','N','CENTRO','JARAGUÁ SUL','SC','124241241147151431568814245122233264072',14845,'430',43.92,1,3,NULL),(25,6273840,'1993-02-27 00:00:00',4,1,12,2010,'M','N','RIBEIRÃO LONTRINHAS','LONTRAS','SC','124241241117141421433923342221610136172',14696,'659',39.30,1,2,1),(25,6273858,'1993-01-16 00:00:00',2,1,12,2010,'M','N','LARANJEIRAS','RIO SUL','SC','124242241116171431358713335122610127142',19167,'659',30.36,1,3,NULL),(25,6273866,'1970-11-23 00:00:00',2,1,12,1994,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','224251255121132431541143135124332766182',NULL,'9998',0.00,1,3,NULL),(25,6273882,'1993-09-10 00:00:00',2,1,12,2010,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241114131231535314342224610124187',NULL,'591',27.59,1,3,NULL),(25,6273904,'1985-06-27 00:00:00',4,1,11,2005,'M','N','JD GUSTAVO PICCININI','LIMEIRA','SP','125251251115471411634334486223610127181',NULL,'9998',0.00,2,1,1),(25,6273912,'1982-06-29 00:00:00',2,1,12,1999,'F','N','BELA VISTA','ARROIO MEIO','RS','120201201137371411556411381124142946147',15910,'9998',42.29,1,2,1),(25,6273939,'1991-10-09 00:00:00',4,15,10,2010,'M','N','FLORESTAL','LAJEADO','RS','120204201417271432459831495122610167041',6896,'9998',53.78,1,3,NULL),(25,6273947,'1993-03-09 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215211431386913575122610137075',13317,'262',46.20,1,3,NULL),(25,6273955,'1989-03-07 00:00:00',4,1,12,2006,'M','N','N S DO AMPARO','LIMEIRA','SP','125251251117511711233329285125610132047',17586,'9998',35.52,1,2,1),(25,6273963,'1991-10-23 00:00:00',4,1,12,2009,'M','N','CENTRO','S JOSÉ R PRETO','SP','125252281415471431468831571122610118182',7888,'9998',51.92,1,3,NULL),(25,6273998,'1991-01-06 00:00:00',2,1,11,2007,'F','N','CAMPINAS','S JOSÉ','SC','124242241215574731433819291124122567117',1946,'723',69.43,1,3,NULL),(25,6274005,'1992-02-29 00:00:00',4,1,12,2010,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124243248117151711639619445224610134016',7187,'306',56.38,4,3,NULL),(25,6274013,'1992-01-12 00:00:00',4,1,11,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241115372732238823575114610165067',13260,'271',42.62,1,3,NULL),(25,6274030,'1994-04-19 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115371431323314595124610162185',12823,'592',42.10,1,2,1),(25,6274048,'1983-04-25 00:00:00',2,1,12,2000,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124203201116134421436833485124333236182',16206,'9998',41.84,1,3,NULL),(25,6274056,'1987-04-04 00:00:00',4,1,12,2003,'F','N','BARREIROS','S JOSÉ','SC','124243241211315721436613471114233215032',10459,'738',50.55,1,3,NULL),(25,6274072,'1989-09-03 00:00:00',4,1,11,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217153732446621572124222963074',13947,'1022',45.26,1,3,NULL),(25,6274080,'1990-11-22 00:00:00',2,1,12,2007,'F','N','LIMEIRA','BIGUAÇU','SC','124241241217373431434313372224610122057',12338,'1040',44.30,1,3,NULL),(25,6274110,'1990-06-06 00:00:00',2,1,12,2007,'F','N','PQ VICTOR DANDREA','LIMEIRA','SP','125251251117571741336714445114610164182',15821,'9998',38.69,1,2,1),(25,6274129,'1993-06-27 00:00:00',2,17,12,2010,'F','N','CRISCIUMINHA','BITURUNA','PR','116161161117161431524336572324610124092',NULL,'9998',0.00,1,2,1),(25,6274137,'1989-04-14 00:00:00',2,1,9,2008,'M','N','CAMPINAS','S JOSÉ','SC','124244248217131432326429342244610128047',19590,'737',35.59,1,3,NULL),(25,6274161,'1992-09-12 00:00:00',4,1,12,2009,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124012011217271431158812575114231422192',14473,'9998',44.49,1,3,NULL),(25,6274188,'1990-09-29 00:00:00',2,1,12,2008,'F','N','JD GUSTAVO PICCININI','LIMEIRA','SP','125251251145471411635234245214610163044',12386,'9998',42.89,2,1,1),(25,6274218,'1994-10-30 00:00:00',2,15,12,2010,'F','N','CENTRO','ARARANGUÁ','SC','124242241215111431228824595122610127147',19545,'970',31.06,1,3,NULL),(25,6274226,'1994-01-28 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216111421468832575112610167063',8632,'259',51.01,1,3,NULL),(25,6274250,'1992-02-05 00:00:00',4,1,12,2009,'F','N','PQ NOVO MUNDO','LIMEIRA','SP','125251251115571421426429445124610122097',NULL,'9998',0.00,1,2,1),(25,6274269,'1990-06-27 00:00:00',4,1,12,2007,'F','N','OURO FINO','SOROCABA','SP','125252251215571751638613571224610164152',NULL,'9998',0.00,1,3,NULL),(25,6274293,'1994-05-05 00:00:00',4,1,12,2011,'F','S','COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC','124242241212111751236631592114610162041',NULL,'1022',45.51,1,3,NULL),(25,6274307,'1991-10-04 00:00:00',4,8,12,2008,'M','N','ATIRADORES','JOINVILLE','SC','124241246217271431344723445124131424012',3669,'494',64.14,4,3,NULL),(25,6274315,'1993-05-04 00:00:00',4,1,12,2010,'M','N','IBIRAQUERA','IMBITUBA','SC','124243241112131431227729572344610166112',17013,'1136',34.89,1,3,NULL),(25,6274323,'1991-11-28 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431356629575122122322147',5696,'262',57.26,1,3,NULL),(25,6274331,'1992-10-04 00:00:00',2,1,11,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241146271411423361295124610165142',17491,'922',33.84,1,3,NULL),(25,6274340,'1993-11-01 00:00:00',2,16,12,2009,'M','N','SAO JOSE','CURITIBANOS','SC','124241248137472431425634315122610164085',NULL,'239',25.75,1,2,1),(25,6274358,'1993-01-06 00:00:00',2,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241135141722433359292124610133145',20634,'298',27.94,1,2,1),(25,6274374,'1987-04-02 00:00:00',4,1,12,2004,'M','N','COND MONTE BELO','SALTO','SP','125252251215471441578811571122340622191',620,'9998',75.76,1,3,NULL),(25,6274382,'1990-10-07 00:00:00',4,1,12,2008,'M','N','CECAP II','LIMEIRA','SP','125251251145271711553431445124610137047',17927,'9998',34.53,2,2,1),(25,6274390,'1993-10-08 00:00:00',4,7,12,2010,'M','N','ANTONIO PAGLIA','PTE SERRADA','SC','124243242115111431356623271122610117042',NULL,'8',18.20,1,3,NULL),(25,6274404,'1993-03-20 00:00:00',2,1,12,2010,'M','N','CAMPO DUNA','GAROPABA','SC','124242241215111431636811592114610147057',4253,'1022',60.52,1,3,NULL),(25,6274412,'1992-10-30 00:00:00',4,1,12,2009,'F','N','OURO FINO','SOROCABA','SP','125252251215471711638613571224610164072',NULL,'9998',0.00,1,3,NULL),(25,6274420,'1977-12-05 00:00:00',2,1,3,2007,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','224241244146142411423354232122610126092',NULL,'9999',0.00,1,2,1),(25,6274447,'1982-01-16 00:00:00',2,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241332132431327611391335132026187',13625,'307',42.85,4,3,NULL),(25,6274463,'1992-05-08 00:00:00',2,1,7,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242247215241431316634242114610168197',19883,'9999',34.90,1,3,NULL),(25,6274480,'1993-11-10 00:00:00',4,1,11,2010,'F','N','CENTRO','SAPEZAL','MT','111114111416311431468833575122610118037',NULL,'9998',0.00,1,3,NULL),(25,6274498,'1994-07-09 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215151431446832345122610128042',15926,'211',42.26,1,3,NULL),(25,6274501,'1986-04-18 00:00:00',2,1,6,2007,'M','N','ABILIO PEDRO','LIMEIRA','SP','125251251125471341523348185121610112047',17087,'9998',35.42,1,2,1),(25,6274510,'1990-08-21 00:00:00',2,10,12,2007,'M','N','VILA MOEMA','TUBARÃO','SC','124242241216574731558714475124231467042',12997,'807',46.60,1,3,NULL),(25,6274528,'1990-12-11 00:00:00',4,1,12,2008,'F','N','CENTRO','CRICIÚMA','SC','124242248215373231337534275122221568072',16868,'995',40.82,1,3,NULL),(25,6274536,'1993-02-25 00:00:00',4,1,12,2010,'F','N','ARIRIU DA FORMIGA','PALHOÇA','SC','124241241227131422534614575124610134177',17828,'262',39.18,1,3,NULL),(25,6274544,'1994-09-21 00:00:00',4,5,11,2010,'M','N','PIO CORREA','CRICIÚMA','SC','124242241215111151449611575112610147057',12603,'211',47.18,1,3,NULL),(25,6274552,'1977-06-01 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','624201247136575721325651115124121142177',3609,'9997',61.83,1,2,1),(25,6274560,'1992-12-15 00:00:00',2,1,12,2010,'M','N','JD DAS HORTENCIAS','JUNDIAÍ','SP','125252251215111431468812575122610124122',8315,'9998',50.10,1,3,NULL),(25,6274579,'1989-03-21 00:00:00',4,1,12,2006,'M','N','JARDIM VERA CRUZ','MTE ALTO','SP','125161161137131431436613382221610134047',NULL,'9998',19.35,4,2,1),(25,6274587,'1989-03-25 00:00:00',4,1,12,2006,'M','N','PIRITUBA','S PAULO','SP','125252251216571431558614271113610164142',NULL,'9998',0.00,4,3,NULL),(25,6274609,'1982-02-23 00:00:00',4,1,12,2001,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241327271431433231215234610137117',NULL,'9999',21.00,1,3,NULL),(25,6274625,'1960-07-14 00:00:00',1,1,12,1978,'F','N','ROÇADO','S JOSÉ','SC','624243243221151411354444245122340264092',15401,'9997',43.05,1,3,NULL),(25,6274641,'1962-01-02 00:00:00',2,9,12,1982,'M','N','RIO BRANCO','CAXIAS SUL','RS','120202208226152431123373232224242344183',NULL,'9998',0.00,1,3,NULL),(25,6274650,'1991-08-30 00:00:00',4,7,10,2010,'M','N','CENTRO','OURO','SC','124241241136161431223729585124610128187',NULL,'9999',0.00,1,3,NULL),(25,6274668,'1986-03-10 00:00:00',2,1,12,2003,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','124243241316375421453326325333610164191',3742,'739',62.40,1,3,NULL),(25,6274676,'1990-10-29 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241136473411425524445114610132093',NULL,'307',22.64,1,3,NULL),(25,6274706,'1987-03-06 00:00:00',2,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241347132431426644342114610124117',NULL,'300',19.39,1,3,NULL),(25,6274714,'1976-08-26 00:00:00',4,1,12,1994,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241216474431128744442334122836087',5196,'266',60.43,1,3,NULL),(25,6274722,'1992-10-11 00:00:00',2,4,12,2009,'F','N','INTERIOR','ARVOREDO','SC','124241241125372731426626243334610162187',20210,'36',30.18,1,2,1),(25,6274749,'1971-05-08 00:00:00',2,1,12,1989,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','524164161236132441227829215224142865092',NULL,'9998',25.20,1,3,NULL),(25,6274765,'1992-11-26 00:00:00',4,8,12,2009,'F','N','SANTA CATARINA','JOINVILLE','SC','124241241215131441536613582124610124051',NULL,'1105',27.53,1,3,NULL),(25,6274773,'1988-04-09 00:00:00',4,8,12,2005,'F','N','CENTRO','GARUVA','SC','124243248325271231426414281222610126147',NULL,'923',0.00,1,3,NULL),(25,6274781,'1991-07-24 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','123242241212273431446914245124223223097',6918,'737',54.51,1,3,NULL),(25,6274790,'1992-12-22 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111411339834575125610168127',12510,'737',42.10,1,3,NULL),(25,6274820,'1990-01-09 00:00:00',2,1,12,2007,'F','N','CASA','PALHOÇA','SC','124241241145353431423314342124610134042',21259,'591',29.69,1,3,NULL),(25,6274838,'1986-05-18 00:00:00',4,15,12,2003,'M','N','PRAIADE BELAS','PTO ALEGRE','RS','120201201111131431323521171324610137112',NULL,'9998',48.18,1,2,1),(25,6274846,'1976-09-29 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241247127153431113349395124222926012',10631,'9999',50.28,1,2,1),(25,6274854,'1991-08-16 00:00:00',2,1,12,2009,'F','N','BARREIOS','S JOSÉ','SC','124241245112211131316424441124610166187',NULL,'734',20.21,1,2,1),(25,6274889,'1993-04-20 00:00:00',2,1,12,2010,'F','N','NOVA SUÍÇA','LIMEIRA','SP','125251251117371411213821372324610166172',NULL,'9998',0.00,1,2,1),(25,6274897,'1991-05-04 00:00:00',2,1,12,2008,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241217373611469913575122233211187',9680,'262',51.90,1,3,NULL),(25,6274900,'1982-06-09 00:00:00',2,1,12,1999,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241112574421366414442134610137182',NULL,'307',30.58,1,3,NULL),(25,6274919,'1984-06-06 00:00:00',4,1,12,2002,'F','N','VILA BOA VISTA','CAMPINAS','SP','125251255117471441656823335124142027117',3151,'9998',63.97,4,1,1),(25,6274927,'1978-07-17 00:00:00',4,1,12,1999,'F','N','PONTE IMARUIM','PALHOÇA','SC','124204207442131421433344345122142856197',20005,'9998',34.56,1,3,NULL),(25,6274935,'1994-01-25 00:00:00',4,10,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241115371411346823575121610164057',10301,'1034',45.87,1,3,NULL),(25,6274943,'1982-04-02 00:00:00',4,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224242241216575221259653435122321523147',NULL,'270',21.25,1,3,NULL),(25,6274951,'1988-01-21 00:00:00',2,1,11,2006,'M','N','CENTRO','IPIAÚ','BA','105052051217171421334823382223240627112',17755,'9998',39.31,4,3,NULL),(25,6274986,'1989-09-20 00:00:00',4,1,12,2007,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217474321569933483121120314111',1733,'270',70.29,4,3,NULL),(25,6274994,'1992-09-26 00:00:00',2,8,8,2010,'M','N','IRIRIU','JOINVILLE','SC','124241247221371431556921311234610131082',NULL,'9999',28.30,1,3,NULL),(25,6275001,'1990-04-21 00:00:00',2,1,12,2007,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241116172411633411341224610117152',17433,'65',37.83,1,2,1),(25,6275010,'1988-09-01 00:00:00',2,1,12,2005,'F','N','COLONIA SANTANA','S JOSÉ','SC','124242241217474431358313575124610164097',7980,'1074',53.86,1,3,NULL),(25,6275044,'1991-03-31 00:00:00',2,7,12,2008,'F','N','CENTRO','MTE CARLO','SC','124241241111161211425549491324610114047',NULL,'936',0.00,1,3,NULL),(25,6275052,'1991-12-06 00:00:00',2,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216372731548619495114610137042',15102,'988',43.54,1,3,NULL),(25,6275060,'1991-06-22 00:00:00',4,8,11,2008,'F','N','JARDIM CENTRAL','FOZ IGUAÇU','PR','116162161215573411437714572224610142092',12096,'9998',48.00,3,3,NULL),(25,6275087,'1964-06-08 00:00:00',2,1,12,1982,'F','N','JD ATLANTICO','FLORIANÓPOLIS','SC','124213241216375411114464482244120566147',19772,'259',35.21,1,3,NULL),(25,6275109,'1992-03-18 00:00:00',4,1,12,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241136132731136613285114610168097',NULL,'116',33.20,1,3,NULL),(25,6275117,'1985-06-11 00:00:00',4,1,12,2002,'M','N','ITAQUERA','S PAULO','SP','125251251117573412343319445134343237096',12574,'9998',42.59,1,2,1),(25,6275125,'1989-11-04 00:00:00',2,6,12,2007,'F','N','COLÔNIA JAPONESA','GUAPIRAMA','PR','116162161215571441334636351124610126177',14042,'9998',41.19,3,3,NULL),(25,6275133,'1988-05-12 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216112421439922475122220224042',NULL,'497',0.00,1,3,NULL),(25,6275168,'1991-12-12 00:00:00',2,10,12,2008,'F','N','CENTRO','MATELÂNDIA','PR','116162161236571431446613192112610133057',11543,'9998',43.85,1,3,NULL),(25,6275184,'1981-09-25 00:00:00',2,1,12,1999,'M','N','CAMPINAS','S JOSÉ','SC','224211211416271751256643435122540664092',1868,'9998',67.27,1,3,NULL),(25,6275206,'1994-11-21 00:00:00',4,15,11,2010,'M','N','LAGOA DA SERRA','ARARANGUÁ','SC','124241241111151721444313575124610117047',20497,'29',33.15,1,2,1),(25,6275222,'1988-11-03 00:00:00',2,4,12,2005,'F','N','SUFIATI','XANXERÊ','SC','124241241116131431126315245324230824052',NULL,'245',0.00,1,2,1),(25,6275249,'1991-08-10 00:00:00',4,1,11,2008,'M','N','VILA BANDEIRANTE','CPO GRANDE','MS','112112121216571431456632595122610112097',5099,'9998',56.36,1,3,NULL),(25,6275257,'1993-04-24 00:00:00',4,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124123248337111131228674342224610117042',NULL,'733',0.00,4,3,NULL),(25,6275265,'1992-07-02 00:00:00',2,1,11,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124264241437371451546413575124610144122',7029,'817',56.69,1,3,NULL),(25,6275273,'1991-03-04 00:00:00',4,8,12,2008,'F','N','VI LA NOVA','JOINVILLE','SC','224243248425371721526614475122610127187',NULL,'1016',30.60,1,3,NULL),(25,6275281,'1993-07-18 00:00:00',2,10,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124242241125111631326631291122610122092',21205,'524',30.02,1,3,NULL),(25,6275290,'1990-01-17 00:00:00',2,8,12,2008,'M','N','CENTRO','EXTREMA','MG','113131131127471411533619285122610164047',20040,'9998',28.81,1,3,NULL),(25,6275303,'1985-10-16 00:00:00',2,1,12,2003,'M','N','PENHA','PAULO LOPES','SC','124241241117271431634644342224610167117',10189,'739',51.00,1,2,1),(25,6275320,'1990-01-22 00:00:00',4,1,12,2008,'F','N','BELA VISTA','S JOSÉ','SC','124242241217573431368912226114610134142',15344,'270',43.15,1,3,NULL),(25,6275338,'1991-12-12 00:00:00',4,1,11,2009,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124112111337272421224611245114610117072',10689,'9998',45.66,1,3,NULL),(25,6275346,'1992-07-23 00:00:00',2,1,12,2010,'M','N','ALTO DA BRONZE','ESTRELA','RS','120202201217371431567821415121610167127',18406,'9998',38.09,1,3,NULL),(25,6275362,'1988-05-24 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215575411229824345124232062047',9654,'226',51.94,1,3,NULL),(25,6275370,'1990-04-23 00:00:00',2,1,12,2008,'M','N','SOUZA CRUZ','BRUSQUE','SC','124051051135371421554622295115610164093',NULL,'9998',18.33,2,2,1),(25,6275389,'1993-07-23 00:00:00',2,16,12,2010,'F','N','INTERIOR','LEBON RÉGIS','SC','124241241116371412413316171324610163147',NULL,'1129',29.36,1,2,1),(25,6275397,'1984-08-14 00:00:00',5,1,12,2002,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241126133531126344245114133224057',20094,'35',34.33,2,1,1),(25,6275400,'1993-10-07 00:00:00',2,16,12,2010,'M','N','MAROMBAS','BRUNÓPOLIS','SC','124241241147271431124923572322610162147',13002,'911',41.91,1,3,NULL),(25,6275419,'1992-02-17 00:00:00',4,8,12,2010,'M','N','CENTRO','JOINVILLE','SC','124243241317111421348811495132610117117',NULL,'9999',0.00,1,3,NULL),(25,6275427,'1993-08-16 00:00:00',2,1,12,2010,'F','N','ROÇADO','S JOSÉ','SC','124241241115371431414319395124610146097',19514,'729',30.21,1,2,1),(25,6275435,'1988-11-25 00:00:00',4,1,12,2006,'F','N','JD CAIEIRAS','LIMEIRA','SP','125251256125571431546314282334610143042',NULL,'9998',28.59,1,2,1),(25,6275443,'1994-06-10 00:00:00',4,1,12,2011,'F','S','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215112751456833595122610164121',NULL,'262',50.55,1,3,NULL),(25,6275451,'1990-10-16 00:00:00',2,1,12,2009,'F','N','KAYSER','CAXIAS SUL','RS','120201201111131431635311285124610124147',NULL,'9998',0.00,4,2,1),(25,6275460,'1994-05-04 00:00:00',2,1,12,2010,'F','N','SANTA MARIA','ANTÔNIO CARLOS','SC','124241241115161331426316572322610163072',NULL,'21',31.09,1,2,1),(25,6275478,'1992-09-19 00:00:00',2,4,12,2009,'F','N','CENTRO','S MIGUEL OESTE','SC','124241241116271731336619395125610132012',11615,'757',43.51,1,3,NULL),(25,6275486,'1986-10-28 00:00:00',2,6,11,2004,'F','N','FAZENDINHA','CURITIBA','PR','116044041216571732378712172124610165176',NULL,'9998',0.00,1,3,NULL),(25,6275494,'1964-04-04 00:00:00',4,1,12,1981,'M','N','VILA NOVA','BLUMENAU','SC','224161166122131711343343335132130262063',18244,'9998',38.40,2,1,1),(25,6275508,'1987-02-07 00:00:00',2,4,12,2005,'M','N','CENTRO','CANABRAVA NORTE','MT','111111111136161411633532195121610167057',NULL,'9998',0.00,1,3,NULL),(25,6275516,'1988-08-13 00:00:00',2,1,12,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241115474731536917385124610127142',18083,'307',38.67,2,1,1),(25,6275524,'1991-03-21 00:00:00',2,10,12,2008,'F','N','CAPÃO','GAROPABA','SC','124243241215373731466919342122130463047',18048,'362',38.75,1,3,NULL),(25,6275532,'1991-04-29 00:00:00',2,2,12,2009,'F','N','AFONSO PENA','S JOSÉ PINHAIS','PR','116161161117471431227624272114610124147',11980,'9998',42.59,1,2,1),(25,6275540,'1992-10-25 01:00:00',2,1,12,2009,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241112372431534624282134610127057',18700,'591',32.12,1,2,1),(25,6275559,'1993-09-28 00:00:00',4,1,12,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124244241215131431228624382111610137092',NULL,'1075',33.26,1,3,NULL),(25,6275567,'1991-10-03 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244248215574441339911572145610136097',1488,'497',69.74,1,3,NULL),(25,6275575,'1989-07-25 00:00:00',4,1,8,2008,'F','N','SANTA TEREZINHA','JZ FORA','MG','113131131116271431246923335114610132192',10525,'9998',50.44,4,2,1),(25,6275591,'1990-10-09 00:00:00',2,1,12,2007,'M','N','CAMPESTRA','MTE ALTO','SP','125251251216171331448839475121142627052',19878,'9998',32.59,2,1,2),(25,6275605,'1990-12-19 00:00:00',4,1,4,2009,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124212217235271431238821215112610167127',18959,'9998',37.00,4,3,NULL),(25,6275613,'1990-06-09 00:00:00',2,1,12,2007,'F','N','REAL PARQUE','S JOSÉ','SC','124241248145211731223339392344610168143',NULL,'734',31.32,1,2,1),(25,6275621,'1990-07-08 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115373231559613482114610137117',7337,'267',56.12,1,2,1),(25,6275630,'1993-09-28 00:00:00',2,1,12,2010,'F','N','ALTO DA XV','GUARAPUAVA','PR','116162161217274431359923585112610161012',11372,'9998',45.68,4,3,NULL),(25,6275648,'1993-03-29 00:00:00',4,4,12,2010,'F','N','SÃO LUIZ','S MIGUEL OESTE','SC','124241241115131431326824575124610136147',20342,'754',26.63,1,3,NULL),(25,6275656,'1993-12-29 00:00:00',4,4,12,2010,'F','N','SÃO CRISTOVÃO','CHAPECÓ','SC','124241241115141411456414492124610132191',NULL,'170',23.66,1,2,1),(25,6275664,'1993-09-04 00:00:00',2,1,12,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124243241135141431326523342324610128142',NULL,'592',17.40,1,3,NULL),(25,6275672,'1988-05-30 00:00:00',2,2,12,2007,'F','N','FORTALEZA','BLUMENAU','SC','124241241116171421338644345125231124197',NULL,'79',0.00,1,2,1),(25,6275680,'1993-02-28 00:00:00',2,7,12,2010,'F','N','CENTRO','CAPINZAL','SC','124241241117271731324639575121610137031',15151,'156',38.18,1,2,1),(25,6275699,'1981-05-19 00:00:00',5,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241216272731266629432124321322142',3446,'456',64.67,1,3,NULL),(25,6275702,'1976-05-05 00:00:00',2,1,12,1995,'F','N','ALTO DA RUA XV','CURITIBA','PR','116251251127571431246474372124240738092',NULL,'9998',34.10,1,2,1),(25,6275710,'1993-03-21 00:00:00',4,1,12,2010,'M','N','ARIRIU','PALHOÇA','SC','124241241115151431434413575112610147043',NULL,'593',21.99,1,2,1),(25,6275729,'1991-06-06 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215414431368831575124610144027',1716,'270',69.45,4,3,NULL),(25,6275737,'1993-07-30 00:00:00',4,4,12,2010,'F','N','BRASÍLIA','PATO BRANCO','PR','116162161235221431248624571125610162097',NULL,'9998',0.00,4,3,NULL),(25,6275745,'1991-07-29 00:00:00',4,2,11,2008,'F','N','DOS ESTADOS','INDAIAL','SC','124242241215573431479934275122133232182',5566,'855',57.12,1,3,NULL),(25,6275761,'1993-03-17 00:00:00',4,8,12,2010,'M','N','BOM RETIRO','JOINVILLE','SC','124241241114141721338731345111610137097',16317,'476',36.40,1,3,NULL),(25,6275770,'1975-07-04 00:00:00',4,1,6,1993,'M','N','FORQUILHINHAS','S JOSÉ','SC','224241246116272421333343435122121162047',5363,'306',56.47,1,2,1),(25,6275788,'1993-05-05 00:00:00',4,8,11,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241216271431468914375122610117047',8764,'457',50.10,1,3,NULL),(25,6275796,'1992-01-03 00:00:00',4,8,12,2009,'F','N','XAXIM','CURITIBA','PR','116162161214472431356632592112610162147',2755,'9998',64.44,1,3,NULL),(25,6275800,'1991-03-02 00:00:00',4,3,12,2008,'F','N','BOM FIM','PTO ALEGRE','RS','120202201216572451448831571112610127147',NULL,'9998',0.00,1,3,NULL),(25,6275818,'1993-05-05 00:00:00',4,4,12,2010,'F','N','CENTRO','MARAVILHA','SC','124241241116371431355739575122610133147',19233,'552',30.82,1,2,1),(25,6275834,'1992-10-10 00:00:00',4,2,12,2010,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241117271431426512572121610164052',8863,'430',53.29,1,2,1),(25,6275850,'1992-09-02 00:00:00',4,9,11,2009,'M','N','IPIRANGA','LAGES','SC','124242241215112431558811475122610167122',10693,'1207',46.41,1,3,NULL),(25,6275869,'1991-09-29 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124241241137472511458731275114610164057',18293,'307',38.29,1,2,1),(25,6275877,'1993-05-22 00:00:00',4,5,12,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241217371531369924575122610132127',1274,'213',72.31,1,3,NULL),(25,6275885,'1993-01-25 00:00:00',4,9,12,2009,'F','N','POPULAR','LAGES','SC','124242241217473431336513575112610162197',5588,'1146',55.98,1,3,NULL),(25,6275893,'1993-06-14 00:00:00',2,4,12,2010,'F','N','INTERIOR','VARGEÃO','SC','124241241147141731446635291122610117142',NULL,'824',29.87,1,2,1),(25,6275907,'1992-08-06 00:00:00',4,1,12,2009,'F','N','SÃO LOURENÇO','CURITIBA','PR','116164161217371431559821212122610166142',NULL,'9998',0.00,1,3,NULL),(25,6275915,'1994-02-09 00:00:00',2,4,12,2010,'M','N','CENTRO','DIAMANTE D OESTE','PR','116161161445411731324724475114610134052',16593,'9998',37.72,1,3,NULL),(25,6275923,'1992-12-05 00:00:00',4,4,6,2010,'F','N','SANTA MARIA','CHAPECÓ','SC','124241241137131711548514285112610117197',NULL,'176',0.00,1,2,1),(25,6275931,'1993-08-24 00:00:00',2,8,12,2010,'M','N','CAJURU','CURITIBA','PR','116162161215111411338613591111610115112',19863,'9998',34.96,1,3,NULL),(25,6275958,'1993-04-16 00:00:00',4,10,11,2010,'M','N','BELA VISTA','S LUDGERO','SC','124241241147141431333414385121610166112',NULL,'748',22.79,1,2,1),(25,6275966,'1992-04-17 00:00:00',4,6,12,2009,'M','N','REBOUÇAS','CURITIBA','PR','116162161215372211435719575114610167047',8638,'9998',49.56,1,3,NULL),(25,6275982,'1990-10-24 00:00:00',2,8,12,2008,'F','N','CAPAO DA IMBUIA','CURITIBA','PR','116163161115571431346923575124610113182',15999,'9998',37.02,1,3,NULL),(25,6275990,'1995-01-05 00:00:00',2,17,12,2010,'F','N','CENTRO','MAJ VIEIRA','SC','124241241216111431346632595122610168072',19209,'154',36.51,1,3,NULL),(25,6276008,'1990-09-28 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117132441425411315124133257143',NULL,'288',36.33,1,2,1),(25,6276024,'1988-06-01 00:00:00',4,1,11,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215132441119917495124221764097',7901,'959',55.00,1,3,NULL),(25,6276032,'1987-11-30 00:00:00',2,8,12,2005,'F','N','SANTA CATARINA','JOINVILLE','SC','124241241116273431323424581114610126047',14104,'492',45.00,1,2,1),(25,6276040,'1990-11-16 00:00:00',2,1,12,2008,'F','N','JD BRASILIA','TANABI','SP','125251251115572431446839571125610118182',17079,'9998',34.04,1,2,1),(25,6276059,'1993-03-22 00:00:00',4,4,12,2010,'F','N','CENTRO','ANCHIETA','SC','124241241116131431426712572121610146142',18466,'16',32.25,1,2,1),(25,6276067,'1991-07-28 00:00:00',4,1,12,2009,'M','N','MALUCHE','BRUSQUE','SC','124242241211473211476912572212610168092',1566,'270',69.46,1,3,NULL),(25,6276075,'1990-08-15 00:00:00',4,1,12,2008,'F','N','DOS CASA','S BERNARDO CAMPO','SP','125251253117471411436629575124610163092',2488,'9998',65.97,1,2,1),(25,6276091,'1993-01-27 00:00:00',4,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242247215111411468773575124610166072',NULL,'270',12.20,1,3,NULL),(25,6276105,'1992-02-21 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117371431325429496124610163187',NULL,'307',9.97,4,2,1),(25,6276121,'1990-10-14 00:00:00',4,1,12,2008,'F','N','SANTO ANTONIO','STO ANDRÉ','SP','125252251215473411246821575122141434092',8420,'9998',50.53,1,3,NULL),(25,6276130,'1991-11-27 00:00:00',4,16,11,2008,'M','N','FLORESTA','PTO ALEGRE','RS','120241241216572431446931575122610127052',6542,'885',55.71,1,3,NULL),(25,6276148,'1993-11-16 00:00:00',2,1,12,2010,'M','N','CENTRO','TIJUCAS','SC','124241242215111411536614572121610126182',NULL,'1119',34.40,1,3,NULL),(25,6276156,'1993-05-05 00:00:00',4,8,11,2010,'M','N','ATIRADORES','JOINVILLE','SC','124242241215111431369614575112610164117',NULL,'1063',22.55,1,3,NULL),(25,6276164,'1993-02-25 00:00:00',2,4,12,2010,'F','N','CENTRO','CASCAVEL','PR','116162161215111431349613291122610165142',6348,'9998',54.89,1,3,NULL),(25,6276172,'1990-06-22 00:00:00',4,1,12,2007,'M','N','DORES','STA MARIA','RS','120202201215471741448619591125610167192',2958,'9998',63.60,1,3,NULL),(25,6276180,'1991-11-13 00:00:00',2,1,12,2009,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241117371431316729576344610127187',16319,'307',41.67,1,2,1),(25,6276202,'1993-01-27 00:00:00',2,9,11,2010,'F','N','MOSQUITO','AGRONÔMICA','SC','124241241215171411436923572124610124147',NULL,'991',0.00,1,3,NULL),(25,6276210,'1993-11-09 00:00:00',4,17,12,2010,'M','N','CENTRO','RIO NEGRO','PR','116161161215111431358714576122610167182',21043,'9998',30.90,1,3,NULL),(25,6276237,'1993-12-24 00:00:00',2,2,12,2010,'F','N','ARRAIAL','GASPAR','SC','124241241115371431414311171324610126197',NULL,'327',22.78,2,1,1),(25,6276245,'1994-10-17 00:00:00',4,10,12,2011,'F','S','NOVA BRASILIA','IMBITUBA','SC','124242241235111752445979575125610128191',NULL,'362',47.83,1,3,NULL),(25,6276253,'1993-12-04 00:00:00',2,4,12,2010,'M','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124161161116471431344623575125610166147',8849,'9998',49.46,1,2,1),(25,6276261,'1993-09-29 00:00:00',4,6,11,2010,'F','N','RESSACADA','ITAJAÍ','SC','124242241215131431459913581122610144072',20508,'389',33.12,1,3,NULL),(25,6276270,'1993-05-12 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241215111431456513572124610127065',7604,'272',51.83,1,3,NULL),(25,6276288,'1982-10-31 00:00:00',5,1,12,2000,'M','N','JARDIM SANTA AMÁLIA','CAMPINAS','SP','125251257147571751558619391124341928182',NULL,'9998',0.00,1,3,NULL),(25,6276296,'1992-09-05 00:00:00',4,8,12,2009,'F','N','CAPÃO RASO','CURITIBA','PR','116162161217471431338613575124610123187',NULL,'9998',0.00,1,3,NULL),(25,6276318,'1992-11-15 00:00:00',2,1,11,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241215111531435434575124610127062',18951,'272',32.71,1,3,NULL),(25,6276326,'1991-07-12 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161215573431448815572112610144187',5792,'9998',57.91,1,3,NULL),(25,6276334,'1992-12-26 00:00:00',2,16,11,2009,'F','N','OFICINAS','PNT GROSSA','PR','116161161236271431645636575114610164174',NULL,'9998',0.00,1,3,NULL),(25,6276350,'1994-05-13 00:00:00',4,3,12,2011,'M','S','AZAMBUJA','BRUSQUE','SC','124242241215111731475832125122610168182',NULL,'107',45.77,1,3,NULL),(25,6276369,'1991-12-14 00:00:00',2,8,12,2009,'M','N','CRISTO REI','CURITIBA','PR','116121251134372431223621575124610147042',NULL,'9998',0.00,4,2,1),(25,6276377,'1993-02-16 00:00:00',2,7,12,2010,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','124241241115271431228828575122610132092',NULL,'341',0.00,1,2,1),(25,6276393,'1988-04-01 00:00:00',4,2,12,2005,'M','N','MIRANDÓPOLIS','S PAULO','SP','125252251216572431668814585112610162047',NULL,'9998',0.00,1,3,NULL),(25,6276407,'1993-06-04 00:00:00',4,1,11,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124251241215151731333331295125610164197',15497,'63',36.96,1,3,NULL),(25,6276423,'1992-07-02 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241112472731466933572124610114047',6486,'13',56.13,1,2,1),(25,6276431,'1991-10-18 00:00:00',2,1,12,2009,'M','N','KABRASOL','S JOSÉ','SC','124242246215151531548832245122230214041',21767,'9997',23.34,1,3,NULL),(25,6276440,'1993-08-12 00:00:00',2,9,12,2010,'F','N','CENTRO','BOM RETIRO','SC','124241241126161431523631575124610127142',20784,'935',26.51,1,2,1),(25,6276466,'1990-09-13 00:00:00',4,1,12,2007,'M','N','SÃO PELEGRINO','CAXIAS SUL','RS','120202201117571431648821271124610127052',922,'9998',73.35,1,3,NULL),(25,6276482,'1993-02-11 00:00:00',2,1,11,2010,'F','N','SÃO JOSÉ','S JOSÉ','SC','124241248432141711654631215122610112017',NULL,'295',17.09,1,3,NULL),(25,6276490,'1991-07-18 00:00:00',2,5,11,2008,'F','N','LINHA BATISTA','CRICIÚMA','SC','124242241216371411438614345134133237077',NULL,'213',0.00,1,3,NULL),(25,6276504,'1993-09-19 00:00:00',4,1,12,2010,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241116151431424514275124610137047',16940,'278',36.54,1,2,1),(25,6276512,'1993-03-01 00:00:00',4,8,12,2010,'M','N','REBOUÇAS','CURITIBA','PR','116162161212121411458631272124610136072',2238,'9998',65.43,1,3,NULL),(25,6276520,'1991-05-28 00:00:00',4,6,11,2008,'F','N','MERCÊS','CURITIBA','PR','116162161215472431369834374122610137112',2407,'9998',66.14,1,3,NULL),(25,6276539,'1990-07-17 00:00:00',4,1,12,2007,'M','N','SERRARIA','S JOSÉ','SC','124241248116513411123344345123610127053',NULL,'13',0.00,1,3,NULL),(25,6276547,'1993-06-09 00:00:00',4,7,12,2010,'M','N','CENTRO','HERVAL D OESTE','SC','124244241215271431446632572122610134142',9664,'446',47.71,1,3,NULL),(25,6276555,'1992-10-28 00:00:00',4,8,12,2009,'F','N','GLÓRIA','JOINVILLE','SC','124242241215372431469814575124233238182',5443,'1063',56.58,1,3,NULL),(25,6276571,'1991-12-11 00:00:00',4,10,12,2009,'M','N','MAR GROSSO','LAGUNA','SC','124242248215472431458734575122610127042',13664,'525',45.69,1,3,NULL),(25,6276580,'1992-09-29 00:00:00',1,6,12,2010,'F','N','CENTRO','ITAJAÍ','SC','124242241215311431448812575122610164147',3460,'1026',63.37,1,3,NULL),(25,6276598,'1990-04-27 00:00:00',4,1,12,2007,'M','N','GUSTAVO PICININI','LIMEIRA','SP','125251251115571431426614485314610136047',9033,'9998',48.99,1,2,1),(25,6276601,'1983-06-14 00:00:00',4,1,12,2000,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201208116374431123348385124140222147',8348,'9998',54.22,1,2,1),(25,6276610,'1992-01-04 00:00:00',4,1,12,2009,'F','N','JARDIM AQUARIUS','PALHOÇA','SC','124242241215472731536951575124610164052',NULL,'1022',15.41,2,1,2),(25,6276628,'1982-10-02 00:00:00',4,8,11,1999,'M','N','BATEL','CURITIBA','PR','116162161215471741358871475125140667177',NULL,'9998',54.66,1,3,NULL),(25,6276636,'1992-06-14 00:00:00',4,10,10,2009,'M','N','OFICINAS','TUBARÃO','SC','124244241215472731469934575125610127091',4824,'806',58.48,1,3,NULL),(25,6276644,'1985-03-25 00:00:00',2,1,6,2005,'F','N','REAL PARQUE','S JOSÉ','SC','124241247616131231323351485114131067047',NULL,'9999',0.00,1,3,NULL),(25,6276660,'1993-02-18 00:00:00',2,2,11,2010,'F','N','CAPITAIS','TIMBÓ','SC','124241241415111431454714575112610143187',12368,'1157',42.68,1,3,NULL),(25,6276679,'1993-10-29 00:00:00',4,7,11,2010,'M','N','CENTRO','CONCÓRDIA','SC','124244161415121431446639594124610125057',17538,'9998',39.68,1,3,NULL),(25,6276687,'1992-12-11 00:00:00',4,1,12,2010,'M','N','CENTRO','SALTO','SP','125252251217111411437832371122610167047',NULL,'9998',0.00,1,3,NULL),(25,6276717,'1994-05-25 00:00:00',4,1,11,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241216111711468812595115610148017',NULL,'262',43.44,1,3,NULL),(25,6276733,'1987-12-15 00:00:00',4,8,12,2005,'F','N','JARDIM NAZARETH','MOGI MIRIM','SP','225252251215571431236554571122610134147',1015,'9998',73.08,1,3,NULL),(25,6276750,'1959-03-25 00:00:00',2,1,6,2002,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224243241126151521533254142122610116197',20163,'9999',34.17,1,3,NULL),(25,6276768,'1994-04-10 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215121431358414345114610117042',NULL,'1118',26.85,1,3,NULL),(25,6276776,'1991-08-17 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241136132531428812371324610122092',NULL,'283',28.72,1,2,1),(25,6276784,'1992-12-31 00:00:00',2,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111712676712575112610117045',18234,'262',32.66,1,3,NULL),(25,6276806,'1991-04-29 00:00:00',4,1,12,2008,'F','N','PANAZZOLO','CAXIAS SUL','RS','120202201216471431338839575122610128012',8423,'9998',51.24,1,3,NULL),(25,6276814,'1989-10-04 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','224243241116373121346943235134131028077',8598,'271',53.79,1,3,NULL),(25,6276822,'1990-08-14 00:00:00',4,1,12,2007,'F','N','BIGORRILHO','CURITIBA','PR','116162161217572751369919371122142663092',5729,'9998',59.29,1,3,NULL),(25,6276830,'1991-06-08 00:00:00',4,1,12,2008,'F','N','PRAIA DAS PALMEIRAS','CARAGUATATUBA','SP','125252251215471421458912575124610164167',3185,'9998',62.77,1,3,NULL),(25,6276849,'1986-06-23 00:00:00',2,1,12,2004,'M','N','CENTRO','GAROPABA','SC','124203241132152411438821481121331067063',16517,'322',41.37,4,3,NULL),(25,6276865,'1991-11-06 00:00:00',2,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241317372431353923471124610144072',16132,'9999',38.56,1,3,NULL),(25,6276873,'1994-03-01 00:00:00',4,1,12,2011,'F','S','RIO VERMELHO','FLORIANÓPOLIS','SC','124241248115151731446731575124610137097',NULL,'267',36.20,1,3,NULL),(25,6276881,'1988-07-18 00:00:00',5,7,12,2005,'F','N','CENTRO','ÁGUA DOCE','SC','224241241122131431423669585112231342077',NULL,'345',19.69,1,3,NULL),(25,6276890,'1992-02-25 00:00:00',2,1,12,2010,'F','N','COLONIA SANTANA','S JOSÉ','SC','124241241125131632511115196324610137047',NULL,'731',16.29,4,2,1),(25,6276911,'1992-07-13 00:00:00',4,1,11,2009,'M','N','SÍTIO SANTO ANTÔNIO','TAUBATÉ','SP','125134251215571431578714575122610167052',3189,'9998',61.93,1,3,NULL),(25,6276938,'1991-10-25 00:00:00',2,7,11,2009,'M','N','CINQUENTENARIO','CONCÓRDIA','SC','124243241411151731466613341122231417042',NULL,'1000',0.00,3,3,NULL),(25,6276946,'1994-02-21 00:00:00',2,1,12,2010,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241132131431329933315324610117073',19294,'361',31.82,1,2,1),(25,6276954,'1994-01-17 00:00:00',2,7,12,2010,'M','N','JACOB DORINI','CAPINZAL','SC','124241241137271431324611275122610167051',13824,'156',45.43,2,1,1),(25,6276962,'1991-01-29 00:00:00',2,8,12,2008,'M','N','JARDIM FLORENÇA','IVAÍ','PR','116163161336572411358431571112610164177',15660,'9998',37.36,4,3,NULL),(25,6276970,'1990-09-17 00:00:00',4,17,11,2007,'M','N','CENTRO','CANOINHAS','SC','116241241217471511558912575112141446192',2380,'154',65.24,3,3,NULL),(25,6276989,'1993-07-09 00:00:00',4,8,12,2010,'F','N','CENTRO','TAPEJARA','PR','116161161317121431556912295122610121077',19742,'9998',29.96,1,3,NULL),(25,6276997,'1993-08-30 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215112131434732575124610127111',NULL,'1048',26.07,1,3,NULL),(25,6277004,'1993-09-13 00:00:00',4,9,12,2010,'M','N','SÃO CRISTÓVÃO','LAGES','SC','124074241315161411627861381121610128142',14061,'935',45.07,1,3,NULL),(25,6277012,'1991-09-11 00:00:00',4,1,12,2010,'M','N','COLONIA SANTANA','S JOSÉ','SC','124243248117271321336633495114610127042',15735,'306',38.25,1,3,NULL),(25,6277039,'1991-04-16 00:00:00',2,1,12,2007,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124202208117572431349739595114610168192',13619,'9998',44.35,1,3,NULL),(25,6277055,'1986-05-16 00:00:00',2,1,11,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241125131311422131182111610167112',NULL,'285',0.00,4,2,1),(25,6277063,'1993-03-04 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241125141431623431292124610137047',16108,'274',37.14,1,2,1),(25,6277080,'1988-01-01 00:00:00',4,1,12,2005,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241217153421369913445134221117067',10150,'269',51.07,1,3,NULL),(25,6277098,'1991-05-27 00:00:00',2,1,6,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124281288117271431336611115124610127147',NULL,'9998',0.00,1,3,NULL),(25,6277110,'1993-02-26 00:00:00',4,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241212111751326633571112610118191',10380,'1022',46.31,1,3,NULL),(25,6277128,'1993-12-02 00:00:00',4,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124241241215272431548514255124610164077',8312,'855',51.04,1,3,NULL),(25,6277136,'1992-12-17 00:00:00',4,1,11,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111711438614275124610164181',NULL,'9997',0.00,1,3,NULL),(25,6277144,'1980-06-15 00:00:00',4,1,12,1997,'M','N','BATEL','CURITIBA','PR','116161161117154411123343235135121414012',NULL,'9998',58.79,1,2,1),(25,6277152,'1993-01-20 00:00:00',4,1,12,2010,'M','N','SANTA CÂNDIDA','CURITIBA','PR','116243161317141531326824345124610124047',18032,'9998',32.96,1,3,NULL),(25,6277160,'1990-07-12 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124243241316134711526444342334610167077',11254,'943',46.35,1,3,NULL),(25,6277179,'1993-02-09 00:00:00',2,6,12,2010,'M','N','SÃO DOMINGOS I','NAVEGANTES','SC','124241241135111731434434345124610113181',NULL,'570',22.33,1,2,1),(25,6277187,'1990-04-20 00:00:00',2,5,11,2007,'F','N','PRESIDENTE VARGAS','IÇARA','SC','124242241215574411356912422122610168092',5016,'210',57.15,1,3,NULL),(25,6277209,'1992-12-08 00:00:00',4,3,12,2009,'F','N','CENTRO','S JORGE D OESTE','PR','116161161116371431526519572112610132192',NULL,'9998',0.00,1,2,1),(25,6277217,'1993-01-09 00:00:00',4,3,11,2010,'F','N','CENTRO','CAMBARÁ','PR','116132251215111331578815452112610134144',20956,'9998',24.65,3,3,NULL),(25,6277225,'1993-11-15 00:00:00',4,3,11,2010,'F','N','JARDIM CLODOALDO','CACOAL','RO','122222221217421251438933575125610128092',NULL,'9998',0.00,1,3,NULL),(25,6277233,'1990-11-17 00:00:00',2,8,12,2007,'M','N','PARQUE VERDE','CASCAVEL','PR','116164161417471211546833575122610132052',NULL,'9998',0.00,1,3,NULL),(25,6277241,'1993-01-18 00:00:00',4,3,11,2010,'M','N','CENTRO','CURITIBA','PR','116162161217111431466614293224610124152',9483,'9998',49.03,4,3,NULL),(25,6277276,'1992-08-06 00:00:00',2,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241137131411545811281122610114042',NULL,'920',0.00,1,3,NULL),(25,6277284,'1993-09-29 00:00:00',4,1,12,2010,'F','N','CENTRO','STA TEREZINHA ITAIPU','PR','116161161215111431548931575124610136047',8901,'9998',53.23,1,3,NULL),(25,6277292,'1993-06-08 00:00:00',4,8,12,2010,'M','N','BUCAREIN','JOINVILLE','SC','124241241217131411558614575124610127047',14766,'1105',39.91,1,3,NULL),(25,6277306,'1993-08-21 00:00:00',4,16,12,2010,'M','N','CENTRO','BOM RETIRO','SC','124241242116131231223321271124610157042',NULL,'960',22.81,4,3,NULL),(25,6277314,'1983-04-30 00:00:00',4,1,12,2000,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201117371441225948385124142747052',NULL,'9998',30.08,1,3,NULL),(25,6277322,'1991-09-30 00:00:00',4,1,12,2008,'M','N','MIGUEL COUTO','CPO GRANDE','MS','112122121216471431486611172122143264046',3100,'9998',65.64,1,3,NULL),(25,6277330,'1994-06-27 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111432488833475112610123142',NULL,'262',26.29,1,3,NULL),(25,6277349,'1981-02-12 00:00:00',4,1,11,1998,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124252251217272441238841212114120952041',NULL,'9998',0.00,1,3,NULL),(25,6277357,'1993-02-03 00:00:00',4,7,12,2010,'F','N','SANTA TEREZA','JOAÇABA','SC','124241241115271411345614344124610134187',NULL,'449',26.03,1,2,1),(25,6277365,'1993-02-17 00:00:00',2,7,12,2009,'M','N','JARDIM EUROPA','CONCÓRDIA','SC','124241241116151431448914373124610137042',19978,'192',34.65,1,2,1),(25,6277373,'1993-11-28 00:00:00',2,15,12,2010,'M','N','CENTRO','MELEIRO','SC','124242241215372431458811485122610127052',6502,'813',54.85,1,3,NULL),(25,6277381,'1993-09-28 00:00:00',2,1,12,2010,'F','N','GANCHOS DE FORA','GOV CELSO RAMOS','SC','124241241114271431323311372124610156057',17895,'329',34.18,1,2,1),(25,6277390,'1992-10-14 00:00:00',2,4,12,2010,'F','N','SÃO CRISTOVÃO','CHAPECÓ','SC','124241241115371731316611115124610128047',18974,'174',36.97,1,3,NULL),(25,6277403,'1993-09-11 00:00:00',4,2,12,2010,'F','N','MALUCHE','BRUSQUE','SC','124241241135271411636419281122610134017',6631,'110',54.15,4,2,1),(25,6277411,'1992-06-08 00:00:00',4,1,7,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242281615472431468934442122610137091',6032,'9998',55.61,1,3,NULL),(25,6277438,'1994-12-03 00:00:00',4,2,12,2011,'M','S','CENTRO','MASSARANDUBA','SC','124244241215111731538831275124610164042',NULL,'909',51.74,1,3,NULL),(25,6277446,'1981-03-08 00:00:00',2,5,12,2001,'M','N','CEARÁ','CRICIÚMA','SC','124241241416135741536311285124331226177',NULL,'229',23.04,1,3,NULL),(25,6277454,'1988-07-06 00:00:00',4,8,12,2005,'M','N','BRACINHO','SCHROEDER','SC','124241241116371431444414442113610127042',19021,'762',31.91,1,2,1),(25,6277470,'1991-05-18 00:00:00',4,1,11,2009,'M','N','JARDIM BONGIOVANI','PRES PRUDENTE','SP','125253251437471731558911575122610167077',12130,'9998',47.94,1,3,NULL),(25,6277489,'1993-09-01 00:00:00',4,1,12,2010,'F','N','CENTRO','STA TEREZINHA ITAIPU','PR','116162161215111431346632575124610126142',18011,'9998',34.75,1,3,NULL),(25,6277497,'1993-07-01 00:00:00',2,1,12,2010,'M','N','CENTRO','PATO BRANCO','PR','116164161415371411364923575122610162173',NULL,'9998',0.00,1,3,NULL),(25,6277500,'1979-04-04 00:00:00',4,1,12,1997,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241243116133411226744345234610112181',NULL,'293',0.00,1,2,1),(25,6277519,'1981-07-16 00:00:00',2,1,12,1998,'F','N','CENTRO','ANTÔNIO CARLOS','SC','624241241326135421433454135134610164077',18408,'21',38.09,1,3,NULL),(25,6277527,'1985-12-04 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124161161126231431221174241114140818187',NULL,'9998',19.09,1,2,1),(25,6277535,'1993-10-18 00:00:00',4,3,12,2010,'F','N','SERTAOZINHO','BOMBINHAS','SC','124161241115131512423435172124610126042',NULL,'96',0.00,1,3,NULL),(25,6277543,'1993-04-29 00:00:00',4,2,11,2010,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241115131531426319576122610127182',NULL,'88',37.44,1,2,1),(25,6277551,'1992-04-27 00:00:00',4,1,12,2009,'F','N','GRANJA VIANA','COTIA','SP','125252251216471431478812575122610123142',18247,'9998',33.81,1,3,NULL),(25,6277560,'1991-11-03 00:00:00',4,3,12,2008,'M','N','CENTRO','CASCAVEL','PR','116162161216571431469911591112610137017',NULL,'9998',0.00,1,3,NULL),(25,6277578,'1982-12-17 00:00:00',2,1,12,1999,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124123121416242421353744245124140222112',NULL,'9998',0.00,1,3,NULL),(25,6277586,'1973-12-03 00:00:00',4,1,12,1998,'M','N','HIPICA','PTO ALEGRE','RS','220201207221131441226444241224143226187',NULL,'9998',31.74,2,1,2),(25,6277594,'1984-02-05 00:00:00',4,1,12,2000,'F','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124202201216131731124644345124230264097',19254,'9998',36.38,2,1,2),(25,6277616,'1992-03-27 00:00:00',2,1,12,2009,'F','N','PINGUIRITO','GAROPABA','SC','124241241121271331537613315122610111072',NULL,'322',0.00,1,2,1),(25,6277624,'1982-01-26 00:00:00',2,1,12,1999,'M','N','CENTRO','S JOSÉ','SC','124242248447175441316629315123610168197',19125,'9997',36.70,1,3,NULL),(25,6277632,'1993-01-13 00:00:00',2,4,12,2010,'M','N','CENTRO','CPO ERÊ','SC','124241241117131411456634245112610167052',NULL,'137',17.70,1,2,1),(25,6277640,'1988-05-10 00:00:00',2,1,12,2006,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241147271431553813212224610127097',20978,'595',31.18,1,2,1),(25,6277659,'1993-01-14 00:00:00',2,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241117131431636419292124610111172',NULL,'296',30.71,1,2,1),(25,6277675,'1993-02-19 00:00:00',4,6,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116242241217371731237923275124133224171',20207,'389',27.40,1,3,NULL),(25,6277691,'1993-01-15 00:00:00',2,1,12,2010,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','224241241114271431433354472324611553057',NULL,'329',31.03,1,2,1),(25,6277713,'1982-12-13 00:00:00',2,8,7,2008,'M','N','PARQUE GUARANI','JOINVILLE','SC','624241246137162741423311192224231466092',NULL,'485',0.00,1,3,NULL),(25,6277721,'1993-02-26 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116372731325411575112610145047',13961,'1034',40.35,1,2,1),(25,6277730,'1994-02-21 00:00:00',4,1,12,2010,'M','N','CENTRO','ASSIS CHATEAUBRIAND','PR','116161161116141531349913295222610117063',NULL,'9998',0.00,1,3,NULL),(25,6277756,'1994-03-28 00:00:00',4,2,11,2011,'F','S','CENTRO','BRUSQUE','SC','124242241215111711448832575122610122142',NULL,'107',0.00,1,3,NULL),(25,6277764,'1991-01-20 00:00:00',4,8,12,2007,'F','N','BIGORRILHO','CURITIBA','PR','116162161222171331254842323111321745157',2331,'995',66.49,1,3,NULL),(25,6277772,'1992-10-10 00:00:00',2,1,12,2010,'F','N','LOTEAMENTO SÃO PEDRO','BAGÉ','RS','120203201136141431329873395134610123044',NULL,'9998',0.00,2,1,2),(25,6277780,'1991-05-06 00:00:00',4,1,11,2008,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124252241216273431657911345124221411187',12740,'1048',43.72,1,3,NULL),(25,6277799,'1990-08-02 00:00:00',2,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124131241216371431646721245124610142047',17796,'9999',39.24,1,3,NULL),(25,6277802,'1970-02-01 00:00:00',2,1,12,1997,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124101241321573411321144141324610116192',20638,'270',32.61,2,1,2),(25,6277810,'1991-03-09 00:00:00',2,3,12,2008,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241235572451365833435122610137042',10530,'1111',46.52,1,3,NULL),(25,6277829,'1990-09-01 00:00:00',4,1,12,2007,'F','N','TRISTEZA','PTO ALEGRE','RS','120202201137131411337929485124142865117',NULL,'9998',0.00,1,3,NULL),(25,6277853,'1991-07-09 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','624244241217133431327923395224120227187',10782,'299',50.02,1,3,NULL),(25,6277861,'1990-05-18 00:00:00',2,1,12,2007,'M','N','PQ DAS NAÇÕES','S JOÃO B VISTA','SP','125252251216111722448713445122610117051',12158,'9998',44.71,1,3,NULL),(25,6277870,'1993-07-09 00:00:00',4,1,12,2010,'M','N','MEDIANEIRA','PTO ALEGRE','RS','120202201216111431458811315122610124046',NULL,'9998',0.00,1,3,NULL),(25,6277888,'1993-02-11 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111731349733495122610122182',13722,'262',41.66,1,3,NULL),(25,6277918,'1991-11-20 00:00:00',4,5,12,2009,'F','N','BOA VISTA','LIMEIRA','SP','125252251115471431439819572122610122072',7865,'9998',50.47,1,3,NULL),(25,6277926,'1984-12-30 00:00:00',4,1,12,2001,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201117131741124444345124610144187',NULL,'9998',24.05,1,3,NULL),(25,6277934,'1993-04-28 00:00:00',4,2,12,2010,'M','N','MARGEM ESQUERDA','GASPAR','SC','124241241117131431436611575122610164112',14281,'327',44.74,4,2,1),(25,6277942,'1990-04-05 00:00:00',2,1,10,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241116373531438613482114121414117',7829,'307',54.31,1,2,1),(25,6277950,'1982-11-10 00:00:00',4,1,12,2001,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241201147231121354329441324610118187',NULL,'9998',0.00,1,2,1),(25,6277969,'1993-07-18 00:00:00',4,8,12,2010,'F','N','CENTRO','REGISTRO','SP','125252251212111411466615572122610124192',16552,'9998',34.45,3,3,NULL),(25,6277977,'1992-08-12 00:00:00',4,8,11,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215372431468832272112610114062',4735,'1016',61.48,1,3,NULL),(25,6277985,'1991-08-04 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241325374411435311472124610138097',10409,'262',46.83,1,3,NULL),(25,6277993,'1985-09-12 00:00:00',2,1,11,2003,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127273721356319245134610134047',NULL,'286',32.39,1,2,1),(25,6278000,'1993-05-09 00:00:00',2,5,12,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431346924345122610147017',NULL,'210',0.00,1,3,NULL),(25,6278019,'1993-06-15 00:00:00',2,9,12,2010,'M','N','FÁTIMA','VACARIA','RS','120192201215111731469931575122610117147',20618,'9998',32.68,1,3,NULL),(25,6278035,'1986-10-30 00:00:00',2,1,12,2004,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241116134411346413345134122314147',10579,'307',47.89,2,1,2),(25,6278043,'1983-09-14 00:00:00',2,1,12,2001,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244247217152731339824315124131068187',NULL,'9999',23.55,1,3,NULL),(25,6278051,'1993-12-12 00:00:00',2,7,12,2010,'F','N','INTERIOR','IBIAM','SC','124241241116161431323515575122610126092',NULL,'343',20.00,1,2,1),(25,6278086,'1986-09-15 00:00:00',4,2,12,2004,'M','N','VILA NOVA','BLUMENAU','SC','124241241145132431433319395124131465115',NULL,'111',24.47,1,2,1),(25,6278094,'1994-04-07 00:00:00',4,5,12,2011,'M','S','CENTRO','SIDERÓPOLIS','SC','124242241211111431458614571124610126152',NULL,'226',34.41,1,3,NULL),(25,6278108,'1992-05-21 00:00:00',4,1,12,2009,'M','N','GLÓRIA','PTO ALEGRE','RS','120202201217371531646819571114610167052',17941,'9998',38.96,1,3,NULL),(25,6278116,'1993-08-21 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241215141431433554242124610164077',NULL,'868',21.81,1,3,NULL),(25,6278124,'1991-02-16 00:00:00',4,1,12,2008,'M','N','JARDINS','ARACAJU','SE','126262261216271231579933575124141442022',160,'9998',81.72,1,3,NULL),(25,6278140,'1992-02-26 00:00:00',2,1,12,2009,'F','N','ÁGUAS BRANCAS','URUBICI','SC','124242241212472431436924275122130427142',8788,'817',49.43,1,3,NULL),(25,6278159,'1991-02-20 00:00:00',4,1,12,2010,'M','N','BIGORRILHO','CURITIBA','PR','116162163117111411259724395124610167117',17783,'9998',39.26,1,3,NULL),(25,6278175,'1994-09-15 00:00:00',2,1,12,2011,'F','S','PONTE DO IMARUIM','PALHOÇA','SC','124242241211111431333419191124610136191',NULL,'1010',26.94,1,3,NULL),(25,6278183,'1993-09-02 00:00:00',4,4,11,2010,'M','N','CENTRO','CONCÓRDIA','SC','124244241215111431556612375122610134092',NULL,'1000',0.00,1,3,NULL),(25,6278191,'1993-04-28 00:00:00',4,1,12,2010,'M','N','VILA SÃO JOSÉ','S CARLOS','SP','125252251217111431336819575122610168192',4870,'9998',59.69,1,3,NULL),(25,6278205,'1986-09-02 00:00:00',2,8,12,2006,'M','N','ATIRADORES','JOINVILLE','SC','124161247336271431457714325122131468123',21597,'9999',26.95,1,3,NULL),(25,6278221,'1993-05-19 00:00:00',2,16,12,2010,'M','N','ADOLFO CORREA DA SIL','STA CECÍLIA','SC','124241241115371431223913332122610114197',NULL,'686',14.31,1,2,1),(25,6278230,'1991-10-10 00:00:00',2,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124241241111272111445713572124610112197',12848,'734',42.75,1,2,1),(25,6278248,'1975-12-12 00:00:00',2,15,12,1995,'M','N','CAVERAZINHO','ARARANGUÁ','SC','224241241147131432423344445334130226175',14591,'542',44.31,1,3,NULL),(25,6278256,'1994-02-15 00:00:00',4,2,12,2011,'F','S','CENTRO','BENEDITO NOVO','SC','124241248215111411328614275122610136092',NULL,'1157',46.23,1,3,NULL),(25,6278272,'1992-07-28 00:00:00',4,4,12,2009,'M','N','SETOR TRES','ARIQUEMES','RO','122222221237271731559933492124610162042',5601,'9998',56.85,1,3,NULL),(25,6278280,'1992-06-28 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215372711359614571112610164182',19722,'1038',33.74,1,3,NULL),(25,6278299,'1986-10-31 00:00:00',2,9,12,2004,'F','N','JARDIM AMÉRICA','ITUPORANGA','SC','124241244215271411433324345123610133177',16910,'416',40.76,1,3,NULL),(25,6278302,'1992-07-20 00:00:00',4,1,12,2009,'F','N','CENTRO SÃO JOSÉ','S JOSÉ','SC','124241241117472732336622575114610134047',15631,'733',39.44,1,2,1),(25,6278310,'1993-12-13 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241215371431625523591122610162122',19552,'1191',30.17,1,3,NULL),(25,6278329,'1992-12-23 00:00:00',2,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241115131731326623575124610136057',NULL,'729',13.71,1,2,1),(25,6278337,'1984-06-30 00:00:00',4,1,6,2002,'M','N','CARANAZAL','SANTARÉM','PA','214243246116233441138943335223130437043',17867,'306',37.73,2,1,2),(25,6278345,'1991-10-13 00:00:00',4,1,12,2008,'M','N','SANTA CRUZ','BOITUVA','SP','125252251214571411689912575124610164097',3087,'9998',63.97,1,3,NULL),(25,6278353,'1993-09-13 00:00:00',2,4,12,2010,'M','N','PASSO DOS FORTES','CHAPECÓ','SC','124241247115371431446634375124610127042',4213,'182',59.84,1,2,1),(25,6278361,'1991-12-07 00:00:00',2,1,12,2009,'F','N','JD SANTA MENA','GUARULHOS','SP','125254251216471431453634575122610122187',NULL,'9998',0.00,1,3,NULL),(25,6278370,'1994-01-17 00:00:00',4,1,12,2010,'F','N','BOA VISTA','S JOSÉ R PRETO','SP','125252251214111531468513575112610144112',NULL,'9998',0.00,1,3,NULL),(25,6278426,'1994-02-11 00:00:00',4,1,11,2011,'F','S','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241215111531588817575122610167082',NULL,'262',36.72,1,3,NULL),(25,6278442,'1993-06-06 00:00:00',2,1,12,2010,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124242241215111431434632575124610137053',18178,'1048',33.27,1,3,NULL),(25,6278450,'1969-06-17 00:00:00',2,1,12,1986,'F','N','ALTO RIBEIRAO','FLORIANÓPOLIS','SC','224102141216132431423458282224222237017',16221,'9998',41.82,1,3,NULL),(25,6278469,'1981-04-21 00:00:00',2,1,12,1998,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241214274431136644245124132042182',6285,'272',58.15,4,3,NULL),(25,6278477,'1989-10-03 00:00:00',2,1,12,2006,'F','N','VILA AURORA','DOURADOS','MS','112124121216573431646411575115610166047',918,'9998',73.38,1,3,NULL),(25,6278493,'1989-04-17 00:00:00',2,8,12,2007,'M','N','CENTRO','GUARAMIRIM','SC','124241241136131711525314345223132824057',19588,'335',35.60,1,2,1),(25,6278507,'1990-05-02 00:00:00',2,1,7,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241247324372451526313482124610123152',NULL,'9999',23.65,1,3,NULL),(25,6278523,'1992-02-09 00:00:00',4,1,12,2009,'M','N','SANTA CRUZ','CUIABÁ','MT','111112111236371451538839575122610162042',5285,'9998',57.78,1,3,NULL),(25,6278531,'1993-02-12 00:00:00',4,1,11,2010,'M','N','ALTO DA GLORIA','CURITIBA','PR','116162161217421411479931591124610127042',NULL,'9998',0.00,1,3,NULL),(25,6278540,'1994-02-01 00:00:00',4,1,12,2010,'F','N','ZONA NORTE','CAPÃO CANOA','RS','120204201216161431427719295124610123142',NULL,'9998',0.00,1,3,NULL),(25,6278558,'1991-09-10 00:00:00',4,1,12,2009,'M','N','LOTEAMENTO BOURBON','FOZ IGUAÇU','PR','116162161215471431468713575115610164057',12856,'9998',44.25,4,3,NULL),(25,6278566,'1991-10-28 00:00:00',2,8,12,2009,'F','N','JARDIM CORTE','CORDEIRÓPOLIS','SP','125253251115471431434314415122610132187',16997,'9998',40.62,1,3,NULL),(25,6278574,'1990-01-21 00:00:00',4,1,12,2007,'F','N','ZONA SETE','MARINGÁ','PR','116162161215571711348731575122142823187',2047,'9998',67.23,1,3,NULL),(25,6278582,'1993-01-22 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215371431348811575124610166147',10522,'1022',46.65,1,3,NULL),(25,6278590,'1992-11-13 00:00:00',2,8,12,2010,'M','N','FLORESTA','JOINVILLE','SC','124242241216151411433476575122610137046',5987,'459',55.98,1,3,NULL),(25,6278604,'1994-01-10 00:00:00',2,6,12,2010,'F','N','FAZENDA','ITAJAÍ','SC','124243241211111111238833175124610114191',21331,'388',29.24,1,3,NULL),(25,6278620,'1987-11-10 00:00:00',2,1,12,2006,'M','N','SAO CRISTOVAO','LAJEADO','RS','120203207316471511459931591124610167012',NULL,'9998',35.95,1,3,NULL),(25,6278639,'1993-03-25 00:00:00',4,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241137471441225666375224610127047',19420,'288',30.01,1,2,1),(25,6278647,'1983-04-15 00:00:00',2,1,12,2002,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241127142712121444245333610132043',NULL,'592',28.85,1,2,1),(25,6278655,'1990-08-14 00:00:00',4,6,12,2007,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124242241217471751368812575124131462017',8569,'836',53.83,1,3,NULL),(25,6278663,'1993-10-08 00:00:00',4,1,11,2010,'F','N','CENTRO','ITAPETININGA','SP','125252251217111731339934572112610133097',NULL,'9998',0.00,1,3,NULL),(25,6278680,'1994-02-07 00:00:00',2,1,11,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','116162161217271432456812475122610134052',20529,'9998',33.03,1,3,NULL),(25,6278698,'1993-09-14 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124243241117131431446614475122610114147',NULL,'1206',31.19,1,3,NULL),(25,6278701,'1990-10-26 00:00:00',4,9,12,2008,'F','N','COPACABANA','LAGES','SC','124242241215571421436612492122610164042',NULL,'1065',0.00,1,3,NULL),(25,6278710,'1987-01-05 00:00:00',2,1,12,2006,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124051055111371431523344441344610166047',18965,'9998',36.98,4,2,1),(25,6278728,'1993-01-12 00:00:00',4,9,12,2010,'F','N','SANTO ANTONIO','FRAIBURGO','SC','124244241415111431559833372122610138017',14963,'317',38.83,1,3,NULL),(25,6278736,'1993-02-25 00:00:00',2,15,12,2010,'M','N','SÃO JOSÉ','SOMBRIO','SC','124241241335131431213324182221610124057',8826,'770',49.54,1,3,NULL),(25,6278744,'1993-03-25 00:00:00',4,4,12,2010,'F','N','PADRE ANTONIO','MARAVILHA','SC','124241241116161731324624572324610127177',NULL,'551',0.00,1,2,1),(25,6278752,'1993-09-21 00:00:00',4,4,11,2010,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241217371431469911585125610144142',5034,'752',56.59,1,3,NULL),(25,6278760,'1992-11-23 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241216473751326514575124610125197',15290,'944',38.53,1,3,NULL),(25,6278779,'1988-10-27 00:00:00',4,1,12,2007,'M','N','PINHEIROS','S PAULO','SP','125242121216572751289611575112610147115',5328,'9998',58.33,1,3,NULL),(25,6278787,'1993-10-15 00:00:00',4,1,12,2010,'M','N','CENTRO','IMBITUBA','SC','124241243115141431436614575122610132042',17670,'359',35.67,1,2,1),(25,6278795,'1993-02-12 00:00:00',4,1,12,2010,'F','N','STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC','124242241215111752188923375215610168057',13447,'270',46.01,1,3,NULL),(25,6278809,'1989-08-24 00:00:00',4,1,11,2007,'M','N','SOUSAS','CAMPINAS','SP','125252251216471411359914375122240447092',NULL,'9998',0.00,1,3,NULL),(25,6278817,'1979-09-13 00:00:00',4,1,12,1997,'F','N','BARREIROS','S JOSÉ','SC','624242241216133721223854245124331431097',NULL,'210',0.00,1,3,NULL),(25,6278825,'1980-10-18 00:00:00',4,1,12,2000,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242248236271431467649442122333237182',NULL,'270',36.89,1,3,NULL),(25,6278841,'1964-08-10 00:00:00',2,8,12,1989,'M','N','PARQUE GUARANI','JOINVILLE','SC','224241243137132732413354242344610157047',21573,'472',27.22,1,3,NULL),(25,6278876,'1991-05-25 00:00:00',4,1,12,2008,'F','N','CENTRO','CPO GRANDE','MS','112112121216471431259911572122242034092',4681,'9998',58.41,1,3,NULL),(25,6278884,'1993-08-19 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124212241215111412369814475115610127042',9739,'1038',48.75,1,3,NULL),(25,6278892,'1993-08-17 00:00:00',2,1,12,2010,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124242241136471431628614274122610142147',NULL,'733',42.03,1,3,NULL),(25,6278906,'1992-12-18 00:00:00',2,8,11,2009,'F','N','CENTRO','CURITIBA','PR','116162161235572431338824275112610143182',4891,'9998',60.63,1,3,NULL),(25,6278914,'1993-05-14 00:00:00',2,16,12,2010,'M','N','ÁGUA SANTA','CURITIBANOS','SC','124242241217111731434612295122610136182',NULL,'237',0.00,1,3,NULL),(25,6278930,'1994-08-06 00:00:00',4,2,12,2011,'F','S','CENTRO','BRUSQUE','SC','124242241215111731228834272125610133017',NULL,'107',54.78,1,3,NULL),(25,6278965,'1994-01-10 00:00:00',4,2,10,2010,'M','N','VILA FORMOSA','BLUMENAU','SC','124052241216151441568834575121610168047',6368,'909',53.74,1,3,NULL),(25,6278973,'1993-09-17 00:00:00',4,4,12,2010,'F','N','CRISTO REI','CHAPECÓ','SC','124241241116271231426623291124610122047',20925,'916',25.25,4,2,1),(25,6278981,'1993-03-17 00:00:00',2,5,12,2010,'M','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241211111311447932596122610117092',NULL,'226',29.59,1,3,NULL),(25,6278990,'1993-04-21 00:00:00',4,1,12,2010,'F','N','VILLAGE VERT','SOROCABA','SP','125252251216111432468823595122610122183',12361,'9998',42.48,3,3,NULL),(25,6279015,'1984-01-07 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124201248127131152117344442324610124187',NULL,'9999',0.00,1,2,1),(25,6279023,'1988-12-25 00:00:00',4,15,6,2009,'M','N','COHAB LESTE','CPO BOM','RS','120203201126371431433511245123610137047',16965,'9998',40.68,1,3,NULL),(25,6279031,'1993-07-13 00:00:00',2,1,12,2010,'M','N','CENTRO','VARGINHA','MG','113241133216141311636631185324610117012',18192,'9998',34.26,4,3,NULL),(25,6279040,'1991-06-19 00:00:00',4,1,12,2008,'F','N','PADRE REUS','S LEOPOLDO','RS','120203201216371431537639575115610162042',8850,'9998',49.37,1,3,NULL),(25,6279058,'1993-08-23 00:00:00',4,1,12,2010,'F','N','CENRO','CPO GRANDE','MS','112122121215171411388812525122610166152',4558,'9998',59.14,1,3,NULL),(25,6279066,'1992-11-19 00:00:00',4,1,11,2010,'F','N','PAJUÇARA','MACEIÓ','AL','102022021117111431556512572122610132142',NULL,'9998',0.00,1,3,NULL),(25,6279074,'1989-06-18 00:00:00',2,15,12,2006,'F','N','INDEPENDENCIA','PTO ALEGRE','RS','120201201116573411444615372124610125072',7698,'9998',52.18,1,2,1),(25,6279082,'1994-09-28 00:00:00',4,1,11,2010,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242246217111431489813572112610142192',19379,'270',36.11,1,3,NULL),(25,6279090,'1990-11-30 00:00:00',2,5,11,2008,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124241241216132431426413431124231046177',NULL,'226',34.95,1,3,NULL),(25,6279104,'1992-07-28 00:00:00',4,1,12,2009,'F','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124241241315472431535611475124610112097',16145,'1134',36.72,1,3,NULL),(25,6279112,'1984-04-01 00:00:00',2,8,12,2002,'M','N','PARQUE GUARANI','JOINVILLE','SC','624161161127131731414144112345610117047',18133,'9998',38.59,1,3,NULL),(25,6279120,'1992-11-03 00:00:00',4,3,12,2010,'M','N','GOIABEIRAS','CUIABÁ','MT','111112111217111231479931571122610118042',17219,'9998',34.83,1,3,NULL),(25,6279139,'1991-11-29 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241115152431349813572112230224017',13458,'267',44.46,1,2,1),(25,6279147,'1993-03-18 00:00:00',4,1,12,2010,'M','N','FORQUILINHAS','S JOSÉ','SC','124243248212131432644613582114610117042',16060,'300',42.04,2,1,2),(25,6279155,'1994-08-05 00:00:00',4,10,11,2010,'F','N','OFICINAS','TUBARÃO','SC','124242241215111451337912395112610133072',9765,'806',51.76,1,3,NULL),(25,6279171,'1975-04-05 00:00:00',2,1,3,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241247146142731122349195222131968197',15598,'9999',38.96,1,2,1),(25,6279180,'1991-08-15 00:00:00',4,1,7,2009,'F','N','JARDIM PAULISTA','S PAULO','SP','125254257217271411534621441124143262076',21566,'9998',21.89,4,3,NULL),(25,6279198,'1994-11-17 00:00:00',4,1,2,2011,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241215171751346819571224610163126',11932,'270',43.61,3,3,NULL),(25,6279201,'1990-04-25 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431475933475114610144182',NULL,'1022',40.37,1,3,NULL),(25,6279210,'1993-12-03 00:00:00',2,7,12,2010,'F','N','CENTRO','BARRACÃO','RS','120201201146161731423615392325610123147',NULL,'9998',32.56,1,2,1),(25,6279236,'1992-10-08 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217111431568813575124610132182',10103,'270',47.19,1,3,NULL),(25,6279244,'1980-02-15 00:00:00',2,1,11,1997,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124124241436155431439521482123231016117',NULL,'1134',24.87,1,3,NULL),(25,6279252,'1994-01-12 00:00:00',4,8,12,2010,'M','N','VILA MARIA','PRES EPITÁCIO','SP','125254251415371431535812346334610147097',NULL,'9998',20.73,1,3,NULL),(25,6279260,'1994-05-23 00:00:00',2,1,11,2010,'F','N','COHAB MASSANGANO','PETROLINA','PE','117172171217371731453811575122610126092',NULL,'9998',0.00,4,3,NULL),(25,6279279,'1989-12-26 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241116131411425514245124232725047',NULL,'727',0.00,1,2,1),(25,6279287,'1986-10-25 01:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241417373531589913372124223236177',NULL,'9999',0.00,3,3,NULL),(25,6279309,'1993-09-26 00:00:00',4,8,10,2010,'F','N','PILARZINHO','CURITIBA','PR','116162161215121431478812572112610163181',10590,'9998',45.50,1,3,NULL),(25,6279317,'1993-04-07 00:00:00',2,1,12,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241135471731526511271124610124053',NULL,'287',24.89,2,1,1),(25,6279325,'1991-10-04 00:00:00',4,1,12,2008,'F','N','COND LAGO AZUL','ARAÇOIABA SERRA','SP','125252251217572431388831575122610143092',NULL,'9998',0.00,1,3,NULL),(25,6279333,'1993-07-03 00:00:00',4,1,12,2010,'F','N','CENTRO','CIANORTE','PR','116164161235111431438432595112610164183',7413,'9998',51.95,1,3,NULL),(25,6279341,'1992-06-12 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117472421333314345124610163112',NULL,'298',34.74,1,2,1),(25,6279350,'1986-02-01 00:00:00',4,1,11,2003,'M','N','BELA VISTA','PALHOÇA','SC','124242241211575431327639595124610127047',13095,'989',42.14,1,3,NULL),(25,6279368,'1994-10-18 00:00:00',4,7,12,2010,'M','N','FLOR DA SERRA','JOAÇABA','SC','124242241215111451678839571122610137097',21538,'446',27.56,1,3,NULL),(25,6279384,'1990-02-20 00:00:00',2,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124241246216131431337923345122231017017',NULL,'1006',0.00,1,3,NULL),(25,6279392,'1990-09-15 00:00:00',2,3,12,2007,'M','N','TABULEIRO','CAMBORIÚ','SC','124241241217233431548613272242610127052',8431,'44',50.54,1,3,NULL),(25,6279406,'1986-10-24 00:00:00',2,8,12,2005,'M','N','PARQUE GUARANI','JOINVILLE','SC','124241247447133731426334342344610114047',NULL,'483',0.00,1,3,NULL),(25,6279414,'1993-03-09 00:00:00',2,8,12,2010,'M','N','JARDIM DONA EMÍLIA','JAÚ','SP','125112251217111751558914575122610164184',NULL,'9998',0.00,3,3,NULL),(25,6279422,'1993-09-06 00:00:00',4,1,12,2010,'M','N','LOT IPIRANGA','BIGUAÇU','SC','124243241411233431426614311131610162147',9188,'63',50.07,4,3,NULL),(25,6279449,'1992-10-18 00:00:00',2,1,12,2009,'M','N','CENTRO','TUPI PAULISTA','SP','125254251216471431437617575112610164142',8886,'9998',48.60,3,3,NULL),(25,6279473,'1990-07-31 00:00:00',2,1,11,2007,'M','N','IPIRANGA','S JOSÉ','SC','124242241216373431448823575124231467047',10147,'1022',46.58,1,3,NULL),(25,6279481,'1993-09-08 00:00:00',4,8,12,2010,'M','N','VILA LALAU','JARAGUÁ SUL','SC','124241241117371431648924575122610164052',21525,'430',27.68,1,2,1),(25,6279490,'1993-07-26 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241215111411337922595114610167095',NULL,'1022',18.48,1,3,NULL),(25,6279511,'1984-09-17 00:00:00',4,1,12,2002,'F','N','JARDIM SUMARÉ','RIBEIRÃO PRETO','SP','125253251117371411346814441112610122093',9464,'9998',48.36,1,3,NULL),(25,6279520,'1992-03-25 00:00:00',4,9,11,2009,'F','N','CENTRO','S JOAQUIM','SC','124242241215372421534614575122610137147',12839,'1035',46.85,1,3,NULL),(25,6279538,'1970-11-28 00:00:00',2,1,12,1988,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','224241241116161131624354492132610132144',18106,'281',33.27,1,3,NULL),(25,6279546,'1985-01-10 00:00:00',4,1,12,2002,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241116152441136613235124333224187',NULL,'521',0.00,1,2,1),(25,6279554,'1993-05-27 00:00:00',2,17,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161216471731153832595122610168077',NULL,'9998',0.00,1,3,NULL),(25,6279562,'1966-06-17 00:00:00',4,1,12,1985,'M','N','JURERE','FLORIANÓPOLIS','SC','124203206136575431345413571124321967173',NULL,'9998',0.00,4,3,NULL),(25,6279570,'1988-10-07 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212374431557513475112122266192',9147,'300',52.77,1,3,NULL),(25,6279597,'1993-11-05 00:00:00',2,1,11,2010,'F','N','CENTRO','PALHOÇA','SC','124242241215371431337514575124610123182',15930,'1022',42.26,1,3,NULL),(25,6279600,'1994-06-01 00:00:00',2,15,12,2010,'M','N','CENTRO','ERMO','SC','124241241116371431424819282122610167051',7791,'250',51.70,1,2,1),(25,6279619,'1975-11-26 00:00:00',4,8,12,1993,'M','N','PARQUE GUARANI','JOINVILLE','SC','524213211417131721114841322345130232043',21357,'9998',29.10,4,3,NULL),(25,6279627,'1993-02-26 00:00:00',2,8,12,2009,'M','N','CENTRO','ALTÔNIA','PR','116161243223323431324336332121222632132',6352,'9998',56.71,1,3,NULL),(25,6279635,'1980-07-20 00:00:00',4,1,12,2001,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241245126132431543319495111610166147',NULL,'307',28.08,1,2,1),(25,6279643,'1992-06-27 00:00:00',2,1,12,2009,'F','N','AMBRÓSIO','GAROPABA','SC','124241241146251432415324312244610136042',18233,'322',38.42,1,3,NULL),(25,6279651,'1993-01-11 00:00:00',4,6,12,2010,'M','N','SÃO JOÃO','ITAJAÍ','SC','124242241215271431368833435122610124192',9917,'392',46.10,1,3,NULL),(25,6279660,'1990-07-06 00:00:00',4,2,12,2008,'M','N','FORTALEZA','BLUMENAU','SC','124243241316132421433631375124130232147',11938,'88',48.26,1,3,NULL),(25,6279678,'1971-07-28 00:00:00',3,1,12,2002,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','224241246146143731353379435332610165043',NULL,'306',0.00,1,3,NULL),(25,6279694,'1993-11-06 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241115131431424634375224610123042',NULL,'288',26.79,1,2,1),(25,6279716,'1992-04-06 00:00:00',2,7,6,2010,'M','N','CAETANO BRANCO','JOAÇABA','SC','124243247316151751536313341124610168087',NULL,'341',0.00,2,1,2),(25,6279724,'1993-09-28 00:00:00',4,4,12,2010,'F','N','CENTRO','GUARACIABA','SC','124241241136131431438616245122610164147',NULL,'334',0.00,1,3,NULL),(25,6279740,'1963-04-14 00:00:00',1,8,12,1980,'M','N','ATIRADORES','JOINVILLE','SC','524242241226151431386642224122131034192',3880,'457',63.60,1,3,NULL),(25,6279759,'1994-09-21 00:00:00',2,1,12,2010,'F','N','TRINTA RÉIS','NOVA TRENTO','SC','124241241215111431446612575124610161142',NULL,'981',27.64,1,3,NULL),(25,6279767,'1992-11-05 00:00:00',2,2,12,2009,'M','N','RIO MORTO','INDAIAL','SC','124241241117151432436414444121610136012',NULL,'887',34.31,1,2,1),(25,6279775,'1990-01-13 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241126474431436614242123610127047',14765,'285',40.59,1,2,1),(25,6279783,'1992-03-04 00:00:00',2,5,8,2010,'F','N','RIO MAINA','CRICIÚMA','SC','124243243217131431435529392124610123142',NULL,'995',14.84,2,1,2),(25,6279791,'1980-05-10 00:00:00',2,1,12,1997,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216153421349742325122330564181',NULL,'266',11.02,1,3,NULL),(25,6279805,'1983-02-21 00:00:00',2,1,12,2008,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241247127372721322113395124610167047',NULL,'9999',40.69,2,1,1),(25,6279813,'1992-10-29 00:00:00',2,10,12,2010,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241248115371721536619595124610137027',NULL,'1034',19.43,1,2,1),(25,6279821,'1991-03-04 00:00:00',2,3,11,2007,'M','N','CENTRO','LONDRINA','PR','116224161416572431268813575115610167062',3283,'9998',62.71,1,3,NULL),(25,6279830,'1993-06-13 00:00:00',4,10,12,2010,'M','N','RIACHINHO','JAGUARUNA','SC','124241241116471431425611472124610127047',10384,'421',46.96,1,2,1),(25,6279848,'1989-05-05 00:00:00',4,8,12,2006,'F','N','CRUZEIRO','S BENTO SUL','SC','124241241136231731428923275124230237147',18004,'697',32.04,1,2,1),(25,6279856,'1991-12-18 00:00:00',2,1,5,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242288211371411427831475114610127041',12427,'883',45.12,1,3,NULL),(25,6279864,'1993-06-18 00:00:00',4,8,12,2010,'M','N','CENTRO','MASSARANDUBA','SC','124241241215111431426832345122610132187',17612,'424',33.24,3,3,NULL),(25,6279872,'1991-12-27 00:00:00',2,9,12,2010,'M','N','SANTA RITA','LAGES','SC','124161247337131431213544145325610117057',NULL,'9999',34.05,1,3,NULL),(25,6279880,'1992-11-05 00:00:00',4,1,12,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215112431237831412114610132117',10783,'951',47.66,1,3,NULL),(25,6279899,'1992-10-05 00:00:00',4,1,11,2009,'M','N','CENTRO','CPO GRANDE','MS','112122121215372331234762575125143222047',11111,'9998',49.50,3,3,NULL),(25,6279902,'1994-02-26 00:00:00',4,1,11,2011,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111731318819575124610164195',NULL,'272',42.25,1,3,NULL),(25,6279910,'1991-07-09 00:00:00',4,4,12,2008,'F','N','CENTRO','STA HELENA','PR','116162161216571431349932575125610164072',3240,'9998',62.47,1,3,NULL),(25,6279937,'1993-11-05 00:00:00',2,15,11,2010,'F','N','CENTRO','TURVO','SC','124241241216121431336833472122610135052',9565,'813',48.06,1,3,NULL),(25,6279945,'1993-07-23 00:00:00',2,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242248215112731468612572124610114042',1415,'270',71.21,1,3,NULL),(25,6279953,'1991-12-16 00:00:00',2,1,12,2010,'M','N','SETOR JAÓ','GOIÂNIA','GO','109092091217111431466811512112610127052',21088,'9998',30.72,1,3,NULL),(25,6279961,'1994-03-23 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431411279572324610124191',13890,'1050',45.35,1,3,NULL),(25,6279970,'1993-05-12 00:00:00',2,8,12,2010,'F','N','JARAGUA ESQUERDO','JARAGUÁ SUL','SC','124243241216111431433412575124610164012',NULL,'442',0.00,1,3,NULL),(25,6279996,'1983-06-28 00:00:00',4,1,12,2000,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','624253251217151711243343435124341568183',2434,'9998',67.68,4,3,NULL),(25,6280005,'1991-12-24 00:00:00',2,1,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216112431349831315122610134152',NULL,'44',23.58,1,3,NULL),(25,6280021,'1992-07-08 00:00:00',4,1,7,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241435113431338833595122610167052',NULL,'737',30.89,1,3,NULL),(25,6280056,'1977-05-10 00:00:00',2,1,12,1996,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241326134431229613282124130227067',18558,'307',37.85,1,3,NULL),(25,6280064,'1993-11-29 00:00:00',4,7,11,2010,'M','N','CENTRO','FRAIBURGO','SC','124242241215111431338812295121610134017',16701,'317',34.94,1,3,NULL),(25,6280072,'1993-06-07 00:00:00',2,1,12,2010,'M','N','PICADAS DO NORTE','S JOSÉ','SC','124241241115471431636731215124610127072',14125,'733',40.37,1,2,1),(25,6280080,'1995-03-02 00:00:00',4,1,12,2011,'F','S','PAU ARCADO','CPO LIMPO PAULISTA','SP','125252251217111431688912572122610134013',NULL,'9998',46.22,1,3,NULL),(25,6280099,'1993-08-01 00:00:00',2,1,12,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124242241215151431446614572122610112145',19625,'989',29.31,1,3,NULL),(25,6280102,'1989-04-29 00:00:00',2,1,12,2006,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241125132441323324385124122334171',15641,'307',42.70,4,1,1),(25,6280110,'1991-11-15 00:00:00',5,8,12,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241415111441549934495122610138172',NULL,'1063',0.00,1,3,NULL),(25,6280137,'1977-01-19 00:00:00',5,9,12,1994,'F','N','JARDIM GRAMADO','CUIABÁ','MT','211243243146161421426659185124140335093',NULL,'513',0.00,1,3,NULL),(25,6280145,'1986-04-21 00:00:00',4,5,12,2003,'M','N','BRASILIA','COCAL SUL','SC','124241241117141441533344245121130767037',NULL,'189',0.00,1,2,1),(25,6280153,'1991-02-22 00:00:00',4,1,11,2008,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124243241117112421433923415123610132197',20178,'1036',34.13,1,3,NULL),(25,6280170,'1986-04-21 00:00:00',2,1,11,2003,'F','N','JD ELDORADO','PALHOÇA','SC','124131131316373431224644245123133032037',15313,'9998',37.34,1,3,NULL),(25,6280188,'1993-09-01 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127141331525329245124610122017',NULL,'283',19.23,1,2,1),(25,6280200,'1993-06-14 00:00:00',4,2,11,2010,'F','N','SANTA RITA','BRUSQUE','SC','124242241215122431459933575112610132177',2197,'1123',68.57,1,3,NULL),(25,6280218,'1992-01-04 00:00:00',4,9,12,2009,'F','N','FREI ROGÉRIO','LAGES','SC','124241241117372711623339292114610164192',17981,'512',38.88,1,3,NULL),(25,6280226,'1994-03-05 00:00:00',4,8,12,2011,'F','S','SAGUAÇU','JOINVILLE','SC','124243241215111632226634575121610136147',NULL,'931',31.77,1,3,NULL),(25,6280242,'1987-10-09 00:00:00',2,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117274431349611372124121561185',7399,'267',55.97,1,2,1),(25,6280250,'1993-02-21 00:00:00',4,8,12,2010,'F','N','NEREU RAMOS','JARAGUÁ SUL','SC','124241241215161431334833275124610125092',NULL,'442',0.00,1,3,NULL),(25,6280269,'1993-02-22 00:00:00',4,1,12,2010,'F','N','SÃO JUDAS','PIRACICABA','SP','125252251217111731468831571122610133094',10859,'9998',45.91,1,3,NULL),(25,6280285,'1992-06-18 00:00:00',2,5,11,2009,'M','N','MICHEL','CRICIÚMA','SC','124242241215471711466632571112610124072',19882,'210',29.10,1,3,NULL),(25,6280293,'1970-01-05 00:00:00',2,8,12,2009,'M','N','PARQUE GUARANI','JOINVILLE','SC','324243241117161732633339312242610168037',NULL,'9997',0.00,1,3,NULL),(25,6280307,'1992-08-05 00:00:00',2,2,11,2009,'F','N','GLÓRIA','BLUMENAU','SC','124142141235271431575512592124141436177',9156,'9998',49.51,4,3,NULL),(25,6280315,'1986-02-14 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124164241416152441457832345124243227112',19217,'270',36.48,1,3,NULL),(25,6280331,'1994-03-29 00:00:00',4,10,12,2010,'F','N','DEHON','TUBARÃO','SC','124242241215371431358924572122610123142',3243,'809',63.58,1,3,NULL),(25,6280340,'1974-03-29 00:00:00',2,1,12,1991,'M','N','JARDIM FLORIANOPOLIS','S JOSÉ','SC','224243241316455421336343435222222662047',5396,'272',59.99,1,3,NULL),(25,6280366,'1991-09-25 00:00:00',4,1,12,2008,'M','N','ZONA DOIS','MARINGÁ','PR','116161161117572151468732573345610162187',6595,'9998',54.74,1,3,NULL),(25,6280374,'1993-03-12 00:00:00',2,1,12,2010,'M','N','MORRO DO FABRICIO','STO AMARO IMPERATRIZ','SC','124241241117371231426611294122610137047',13905,'941',40.77,1,2,1),(25,6280390,'1993-01-09 00:00:00',2,4,12,2009,'M','N','CENTRO','UMUARAMA','PR','116161161435471431359933275122610127053',6342,'9998',54.83,1,3,NULL),(25,6280404,'1990-08-10 00:00:00',4,8,5,2007,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242281417472441489913471124243262122',6064,'9998',58.60,1,3,NULL),(25,6280412,'1992-05-21 00:00:00',2,1,12,2009,'F','N','JARDIM OSVALDO CRUZ','S JOSÉ CAMPOS','SP','125252251217471431549933575112610145147',16004,'9998',37.04,1,3,NULL),(25,6280420,'1989-05-02 00:00:00',2,1,12,2007,'F','N','CIGANA','LAGUNA','SC','124241248117163731513319272224610112097',NULL,'9997',25.72,1,2,1),(25,6280439,'1992-10-15 00:00:00',2,1,12,2009,'M','N','BOM VIVER','BIGUAÇU','SC','124241241132271431428721345124610167057',21286,'1116',29.50,1,3,NULL),(25,6280447,'1991-05-03 00:00:00',2,15,11,2009,'F','N','ENCRUZO','MARACAJÁ','SC','124241241216152431223516375122610161117',NULL,'32',0.00,1,3,NULL),(25,6280455,'1993-01-08 00:00:00',2,8,12,2010,'F','N','VILA NOVA','RIO NEGRINHO','SC','124242241215111431538923572222610121181',11763,'666',44.79,1,3,NULL),(25,6280463,'1991-12-15 00:00:00',4,1,12,2009,'F','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251216471751478814575122610164047',2305,'9998',67.13,1,3,NULL),(25,6280471,'1989-12-27 00:00:00',4,5,6,2008,'M','N','BRASILIA','CRICIÚMA','SC','124243246235374431436613382122610122052',4171,'995',61.44,1,3,NULL),(25,6280480,'1991-07-05 00:00:00',2,1,12,2008,'F','N','INTERIOR','SANANDUVA','RS','120201201116372411423316271224610147047',6443,'9998',53.51,1,2,1),(25,6280498,'1993-02-19 00:00:00',4,4,12,2010,'M','N','SANTA CATARINA','S LOURENÇO OESTE','SC','124241241116151431445532575122610131052',10102,'745',47.29,1,3,NULL),(25,6280501,'1992-11-09 00:00:00',4,10,11,2010,'M','N','DEHON','TUBARÃO','SC','124242241217121431457722575122610134082',14841,'807',43.93,1,3,NULL),(25,6280528,'1993-03-24 00:00:00',4,8,12,2010,'F','N','BOM RETIRO','JOINVILLE','SC','124162161216221411648919591122610164192',18223,'9998',33.09,1,3,NULL),(25,6280536,'1980-07-23 00:00:00',2,15,12,2001,'M','N','LAGOÃO','ARARANGUÁ','SC','224241241147131421223144342221610117067',NULL,'854',24.66,1,3,NULL),(25,6280544,'1993-06-17 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124242241215111411228633575124610168041',NULL,'1022',26.51,4,3,NULL),(25,6280552,'1991-04-13 00:00:00',4,1,12,2008,'M','N','CENTRO','PIRACICABA','SP','125253251117471431547834575125610167091',18099,'9998',33.01,1,3,NULL),(25,6280560,'1988-10-31 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241217574431449813575124230742142',NULL,'262',19.61,1,3,NULL),(25,6280579,'1991-05-15 00:00:00',4,1,11,2008,'F','N','ESTAÇÃO','URUSSANGA','SC','124242241215573431458713575114133224062',9336,'820',52.47,1,3,NULL),(25,6280587,'1992-10-05 00:00:00',2,1,12,2009,'F','N','CENTRO','BIGUAÇU','SC','124241241415132221426323335132232754147',21329,'63',29.26,1,3,NULL),(25,6280595,'1986-05-07 00:00:00',4,8,12,2004,'M','N','PARQUE GUARANI','JOINVILLE','SC','124241241137161732324441312145131062057',NULL,'614',0.00,1,2,1),(25,6280609,'1992-07-25 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215372431568714375114121124172',6529,'262',55.32,1,3,NULL),(25,6280617,'1991-01-17 00:00:00',2,1,12,2008,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241116112431432317442222132822047',17998,'307',38.85,1,2,1),(25,6280625,'1991-04-28 00:00:00',2,4,12,2008,'F','N','CENTRO','STA MARIA','RS','120201201314572411533614375124610145042',8593,'9998',50.27,1,3,NULL),(25,6280633,'1993-08-20 00:00:00',4,5,11,2010,'M','N','COMERCIARIO','CRICIÚMA','SC','124242231215111432588612575112610147062',5804,'226',59.16,1,3,NULL),(25,6280641,'1990-01-12 00:00:00',4,8,11,2007,'M','N','ITAUM','JOINVILLE','SC','124241241117272711335332175114141834147',6400,'492',54.83,1,2,1),(25,6280650,'1994-01-11 00:00:00',4,1,11,2011,'F','S','ABRAÃO','FLORIANÓPOLIS','SC','124243241115131432525924572224610123017',NULL,'271',15.44,1,3,NULL),(25,6280668,'1964-12-23 00:00:00',4,1,12,1982,'M','N','CENTRO','FLORIANÓPOLIS','SC','224242241211144711486453431132320867125',9219,'260',52.64,1,3,NULL),(25,6280676,'1990-02-08 00:00:00',4,9,12,2007,'M','N','SAGRADO CORACAO DE J','LAGES','SC','124244241215272431538632575112133237017',15224,'1207',43.37,1,3,NULL),(25,6280684,'1992-10-17 00:00:00',2,1,11,2010,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124042241217111411686632575122610167182',NULL,'270',14.70,1,3,NULL),(25,6280692,'1991-08-02 00:00:00',4,1,12,2009,'F','N','SANTA FÉ','CPO GRANDE','MS','112122121215472211488812575122610166152',NULL,'9998',0.00,1,3,NULL),(25,6280706,'1991-08-14 00:00:00',2,4,12,2008,'F','N','MONT SERRAT','PTO ALEGRE','RS','120241241136573431427931245124610123147',16423,'199',35.79,1,2,1),(25,6280757,'1991-03-04 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116161168114471431647939575124610138147',7945,'9998',51.16,1,2,1),(25,6280773,'1988-09-08 00:00:00',2,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242247316143421446831445112610147047',NULL,'9999',0.00,1,3,NULL),(25,6280803,'1995-02-22 00:00:00',4,5,11,2011,'F','S','CENTRO','MRO FUMAÇA','SC','124242241215111731457932474122610148187',NULL,'226',30.96,1,3,NULL),(25,6280811,'1993-05-10 00:00:00',4,7,11,2010,'F','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241215111431456511275112610167142',10105,'454',51.16,1,3,NULL),(25,6280820,'1993-12-21 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124241241115151531523436272222610112012',21558,'239',27.37,1,2,1),(25,6280846,'1993-08-26 00:00:00',4,4,11,2010,'F','N','CENTRO','NONOAI','RS','120202241215111431348639372122610166192',NULL,'168',0.00,1,3,NULL),(25,6280862,'1993-11-20 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124241241115371511337634575112610147057',NULL,'239',21.37,1,2,1),(25,6280889,'1993-04-09 00:00:00',4,1,12,2010,'M','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241125161441563374395124610135172',NULL,'731',33.48,1,2,1),(25,6280897,'1993-05-07 00:00:00',2,15,12,2010,'F','N','CENTRO','TURVO','SC','124242241215272431447832325122610127145',10763,'970',47.37,1,3,NULL),(25,6280900,'1993-09-01 00:00:00',4,1,12,2010,'M','N','ITAMARACÁ','VALINHOS','SP','125252253217151232448914575125610167047',NULL,'9998',0.00,1,3,NULL),(25,6280919,'1990-08-25 00:00:00',4,1,6,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241116134441323544345123121767057',9684,'739',47.18,1,3,NULL),(25,6280927,'1993-10-03 00:00:00',4,1,11,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241214112531288823595124610164111',19674,'270',35.42,4,3,NULL),(25,6280935,'1991-08-02 00:00:00',4,8,12,2008,'F','N','RECANTO DOS MAGNATAS','MARINGÁ','PR','116162161216571711489911575122610168072',12854,'9998',46.82,1,3,NULL),(25,6280943,'1990-03-12 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241236134732645324431222133222187',NULL,'988',33.29,1,3,NULL),(25,6280951,'1991-08-13 00:00:00',4,1,11,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216111411436714572124610124031',21351,'1118',23.36,1,3,NULL),(25,6280960,'1993-01-13 00:00:00',2,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124241241115141431215321342224610168187',14638,'1116',39.71,1,2,1),(25,6280978,'1992-02-07 00:00:00',4,9,12,2009,'F','N','CENTRO','VACARIA','RS','120203201117471331459931591315610124187',NULL,'9998',NULL,1,3,NULL),(25,6280986,'1994-09-16 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431478833331122610122142',NULL,'270',28.89,1,3,NULL),(25,6280994,'1992-07-06 00:00:00',4,1,12,2009,'M','N','BELA VISTA','S JOSÉ','SC','124243241136132722446814345112121237042',20717,'257',32.32,1,3,NULL),(25,6281001,'1993-04-04 00:00:00',4,2,11,2010,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124242241215111431479831375114610122122',11447,'87',45.04,1,3,NULL),(25,6281010,'1993-11-19 00:00:00',4,1,11,2010,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215112231488812572122610114122',4866,'270',58.94,1,3,NULL),(25,6281028,'1993-09-30 00:00:00',4,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215112431446613571114610134092',10458,'1022',46.54,1,3,NULL),(25,6281036,'1990-12-11 00:00:00',4,1,12,2008,'M','N','CENTRO','PRES PRUDENTE','SP','125252251215572431367824445112610124013',9886,'9998',46.86,1,3,NULL),(25,6281044,'1993-10-25 00:00:00',2,1,12,2010,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124242241415121431346632585124610134047',NULL,'1022',20.63,1,3,NULL),(25,6281052,'1993-01-21 00:00:00',2,3,11,2010,'M','N','CENTRO','CURITIBA','PR','116162161217111221258711572114610137096',11528,'9998',44.39,1,3,NULL),(25,6281060,'1993-03-01 00:00:00',2,4,11,2010,'M','N','ALVORADA','XAXIM','SC','124241241217151431436612372212610142172',11060,'836',49.58,1,3,NULL),(25,6281095,'1995-05-05 00:00:00',4,1,12,2009,'M','N','NOVOS ESTADOS','CPO GRANDE','MS','112122121216471331488812525122610137052',10167,'9998',51.04,1,3,NULL),(25,6281109,'1992-12-02 00:00:00',4,1,12,2009,'M','N','FLORESTA','S JOSÉ','SC','124243241215372411538623371122610144112',7434,'738',51.96,1,3,NULL),(25,6281117,'1993-06-19 00:00:00',2,17,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161216471731269837595122610164077',NULL,'9998',0.00,1,3,NULL),(25,6281133,'1992-11-03 00:00:00',4,1,11,2010,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241217121431678613576112610167042',17286,'270',40.13,1,3,NULL),(25,6281141,'1994-03-18 00:00:00',4,1,11,2011,'F','S','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217111732466834445114610115192',NULL,'262',32.92,1,3,NULL),(25,6281150,'1993-03-14 00:00:00',2,1,12,2010,'M','N','CENTRO','TIJUCAS','SC','124242241215111431434512211122610121052',NULL,'1119',25.85,1,3,NULL),(25,6281168,'1993-09-29 00:00:00',2,4,11,2010,'F','N','CENTRO','PATO BRANCO','PR','116162161216111431538819475122610135052',NULL,'9998',0.00,1,3,NULL),(25,6281176,'1993-01-07 00:00:00',2,9,12,2010,'M','N','SAGRADO C DE JESUS','LAGES','SC','124242241215111431559513172122610167057',8506,'1207',50.08,1,3,NULL),(25,6281184,'1988-08-09 00:00:00',5,3,12,2006,'M','N','CENTRO','BAL CAMBORIÚ','SC','124162241216151751269911576121231044182',NULL,'9997',0.00,1,3,NULL),(25,6281206,'1993-08-03 00:00:00',4,6,12,2010,'M','N','ZONA SETE','MARINGÁ','PR','116162161215371231569612572122610164042',11154,'9998',49.44,1,3,NULL),(25,6281214,'1993-09-21 00:00:00',2,5,12,2010,'F','N','TERCEIRA LINHA','IÇARA','SC','124242241115111431444935575122610124142',3494,'226',61.82,1,3,NULL),(25,6281230,'1991-02-27 00:00:00',4,1,12,2008,'M','N','VILA PROGRESSO','DOURADOS','MS','112122128216573431489812575122610132082',5308,'9998',55.82,1,3,NULL),(25,6281249,'1994-06-03 00:00:00',4,1,12,2011,'M','S','KOBRASOL','S JOSÉ','SC','124242241215111732369713475122610127016',NULL,'1077',63.19,1,3,NULL),(25,6281257,'1993-06-04 00:00:00',4,8,11,2010,'M','N','PIRABEIRABA','JOINVILLE','SC','124242241215371211478812575122610134042',5375,'1063',60.03,1,3,NULL),(25,6281265,'1992-11-23 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217111431468832575122610144112',3531,'262',63.13,1,3,NULL),(25,6281273,'1993-08-16 00:00:00',2,17,12,2010,'F','N','SANTA ROSA','PTO UNIÃO','SC','124242241215111431559914574122610132141',NULL,'633',22.31,1,3,NULL),(25,6281281,'1985-03-31 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241245347132531229717575114610133017',NULL,'281',30.59,1,3,NULL),(25,6281290,'1991-03-20 00:00:00',2,1,12,2008,'F','N','PILARZINHO','CURITIBA','PR','116164161215572441579923376125610164147',5923,'9998',56.16,1,3,NULL),(25,6281303,'1993-05-23 00:00:00',4,1,12,2010,'F','N','CAMPO DE DEMONSTRAÇÂ','S PEDRO ALCÂNTARA','SC','124241241116161431424337575124610122147',13289,'739',41.23,1,2,1),(25,6281311,'1990-11-04 00:00:00',4,5,12,2007,'F','N','TERESÓPOLIS','PTO ALEGRE','RS','120202201217571731368833575124610162147',NULL,'9998',0.00,1,3,NULL),(25,6281320,'1977-06-18 00:00:00',4,1,12,2001,'M','N','CENTRO','S JOSÉ','SC','124253257321131151223341215224610117117',NULL,'9998',0.00,4,3,NULL),(25,6281338,'1992-11-09 00:00:00',2,8,12,2010,'F','N','ITAUM','JOINVILLE','SC','124243241335171411426667382224610134141',10705,'1016',47.95,1,3,NULL),(25,6281346,'1993-10-13 00:00:00',4,1,12,2010,'M','N','CENTRO','APUCARANA','PR','116162161217121431433831575112610134192',16442,'9998',35.58,1,3,NULL),(25,6281354,'1993-04-19 00:00:00',4,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215121431488814575114610132145',11457,'270',45.81,1,3,NULL),(25,6281362,'1988-08-10 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','120202201216371431458814245124340267167',2250,'9998',65.22,1,3,NULL),(25,6281370,'1992-04-20 00:00:00',4,15,12,2010,'M','N','CENTRO','BAL ARROIO SILVA','SC','124242241215111431478812575122610128112',13835,'970',45.42,1,3,NULL),(25,6281389,'1975-01-29 00:00:00',4,1,7,1995,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','524162166136151421268342425122341432082',9658,'9998',51.94,1,3,NULL),(25,6281400,'1991-11-09 00:00:00',4,8,12,2009,'M','N','ADHEMAR GARCIA','JOINVILLE','SC','124241241413141431426614395114610134091',13806,'492',45.47,1,3,NULL),(25,6281419,'1993-10-18 00:00:00',4,3,12,2010,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124241248316371731335814395122610143095',NULL,'192',0.00,1,3,NULL),(25,6281427,'1991-06-20 00:00:00',4,1,12,2008,'F','N','CENTRO','CPO LARGO','PR','116162161216151411336311595124241023012',7609,'9998',51.39,1,3,NULL),(25,6281435,'1990-03-09 00:00:00',2,8,12,2008,'F','N','TIFA MARTINS','JARAGUÁ SUL','SC','124241241216573411459513572124242015092',NULL,'1174',0.00,4,1,2),(25,6281451,'1991-07-08 00:00:00',2,1,12,2008,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241116372431356373345124610133042',NULL,'281',0.00,1,2,1),(25,6281460,'1993-05-10 00:00:00',4,8,11,2010,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241215111311444412575122610127042',18955,'1063',37.01,1,3,NULL),(25,6281478,'1993-01-11 00:00:00',2,1,12,2009,'F','N','BONSUCESSI','GRAVATAÍ','RS','120204201136471731419629272125610165147',16947,'9998',35.62,1,3,NULL),(25,6281486,'1995-04-13 00:00:00',2,15,12,2011,'F','S','CENTRO','SOMBRIO','SC','124242241215111731426639575124610128197',NULL,'770',30.33,1,3,NULL),(25,6281494,'1992-04-17 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117271431346633572122610124192',16046,'267',42.06,1,2,1),(25,6281508,'1992-08-18 00:00:00',2,1,7,2010,'F','N','CAMPINAS','S JOSÉ','SC','124244248431371411436731575122610134192',20910,'9999',31.45,1,3,NULL),(25,6281524,'1967-11-09 00:00:00',2,1,12,1986,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','524242247246134431333353315112133231187',17385,'9999',39.95,1,3,NULL),(25,6281532,'1994-05-06 00:00:00',2,10,11,2011,'F','S','CENTRO','TUBARÃO','SC','124242241215151332468814472122610134182',NULL,'806',45.88,1,3,NULL),(25,6281540,'1992-02-28 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472731346623575124610146017',759,'461',75.16,1,3,NULL),(25,6281559,'1993-05-31 00:00:00',2,1,12,2010,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124243241215111431336634445124610133182',16323,'270',37.58,1,3,NULL),(25,6281567,'1993-03-02 00:00:00',4,5,11,2010,'M','N','MICHEL','CRICIÚMA','SC','124242241215111632545933575122610128182',4424,'226',59.15,1,3,NULL),(25,6281575,'1993-11-01 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215312411459914422122620116122',15006,'213',38.93,1,3,NULL),(25,6281583,'1993-06-21 00:00:00',2,8,12,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215141431456813595122610137052',15162,'931',38.72,1,3,NULL),(25,6281605,'1994-04-13 00:00:00',4,1,12,2010,'M','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124242241217151511369613575115610124172',NULL,'272',15.61,1,3,NULL),(25,6281613,'1993-09-05 00:00:00',4,8,11,2010,'F','N','BUCAREIN','JOINVILLE','SC','124242241215111741327839575124610167147',7675,'9997',52.91,1,3,NULL),(25,6281621,'1993-02-02 00:00:00',4,1,11,2010,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161215471431568814474112610164016',2097,'9998',66.96,1,3,NULL),(25,6281630,'1993-06-30 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215171431576632575122610164073',13094,'883',42.27,1,3,NULL),(25,6281648,'1991-08-15 00:00:00',2,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124241241132132411325314242124221431097',18947,'591',31.36,2,1,1),(25,6281664,'1993-03-26 00:00:00',2,5,12,2010,'M','N','SÃO SEBASTIÃO','CRICIÚMA','SC','124243241215111411443332575124610137042',6550,'9997',57.58,4,3,NULL),(25,6281672,'1993-12-09 00:00:00',4,9,12,2010,'F','N','CERRO BAIO','RIO RUFINO','SC','124241241127161311413315572224610147147',NULL,'673',4.95,1,2,1),(25,6281680,'1988-04-11 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201201116131411116441415124130248122',NULL,'9998',29.71,1,2,1),(25,6281699,'1992-05-12 00:00:00',4,1,12,2009,'M','N','JARDIM ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215372731357823235114123267047',10490,'270',46.85,1,3,NULL),(25,6281702,'1988-10-22 00:00:00',4,9,12,2005,'F','N','CORAL','LAGES','SC','124242241117131421436619282224333231197',9259,'505',49.69,1,3,NULL),(25,6281710,'1992-12-14 00:00:00',5,1,12,2010,'F','N','SETOR JAO','GOIÂNIA','GO','109093091217111421449923575122610162027',9210,'9998',49.66,1,3,NULL),(25,6281737,'1993-03-30 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215112431379933572122610167142',6167,'270',56.41,1,3,NULL),(25,6281753,'1993-09-22 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215171431359514445114610154122',20211,'213',26.14,1,3,NULL),(25,6281770,'1992-01-27 00:00:00',2,1,12,2010,'F','N','RIO BONITO','RANCHO QUEIMADO','SC','124241241121141732321429292124610164057',NULL,'649',0.00,1,2,1),(25,6281788,'1993-04-28 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215111731338524575124610137097',12845,'272',43.63,1,3,NULL),(25,6281796,'1991-05-24 00:00:00',2,1,12,2008,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241216273131336634585114610167043',NULL,'1023',35.61,1,3,NULL),(25,6281800,'1982-04-03 00:00:00',2,1,12,1999,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','624161165116131431223654291222610148142',NULL,'9998',34.28,1,2,1),(25,6281818,'1994-07-22 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215151411346514174124610156075',6303,'1022',58.12,1,3,NULL),(25,6281826,'1993-01-25 00:00:00',4,1,12,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241215111531447611572122610128072',NULL,'63',23.34,1,3,NULL),(25,6281834,'1992-02-24 00:00:00',4,10,12,2009,'F','N','VINHEDOS','CAXIAS SUL','RS','120201201417574431255922591122610166197',5560,'9998',56.31,1,3,NULL),(25,6281842,'1993-10-26 00:00:00',4,1,12,2010,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241217121531458832422124610114112',10228,'299',50.95,1,3,NULL),(25,6281850,'1993-02-11 00:00:00',4,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241115371232446314575124610162092',14643,'732',40.59,1,2,1),(25,6281869,'1992-05-30 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241126241732533923295122610134041',NULL,'579',0.00,1,2,1),(25,6281877,'1989-05-16 00:00:00',5,3,11,2006,'F','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120202201216572751128923595124142467187',NULL,'9998',0.00,1,3,NULL),(25,6281885,'1992-05-05 00:00:00',2,1,12,2010,'F','N','FUNDOS','BIGUAÇU','SC','224241241125141431243351345124610117147',NULL,'65',17.09,1,2,1),(25,6281893,'1986-07-06 00:00:00',2,15,12,2003,'M','N','VILA EUNICE NOVA','CACHOEIRINHA','RS','120201201116571711444623343124141367047',6615,'9998',54.48,4,2,1),(25,6281907,'1993-07-09 00:00:00',2,1,12,2010,'F','N','SERRANO','CAXIAS SUL','RS','120201201115271431446614272124610137147',NULL,'9998',17.57,1,2,1),(25,6281915,'1993-03-15 00:00:00',4,8,11,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241115111531468833572122610164042',3664,'1016',62.60,1,3,NULL),(25,6281923,'1993-04-07 00:00:00',4,6,11,2010,'F','N','CENTRO','ITAJAÍ','SC','124242241215131732426624345125610164197',17996,'388',32.35,1,3,NULL),(25,6281931,'1993-04-01 00:00:00',2,10,12,2010,'F','N','PAES LEME','IMBITUBA','SC','124241241115161431323623475112610134112',17100,'359',35.13,1,2,1),(25,6281940,'1993-05-01 00:00:00',2,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124251241116141431322321212334610132147',15266,'727',38.99,4,2,1),(25,6281958,'1992-03-11 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124244241215373231468414575112610164192',14582,'270',39.79,1,3,NULL),(25,6281966,'1992-12-08 00:00:00',4,1,12,2009,'M','N','JARDIM VIRGÍNIA','ITAPECERICA SERRA','SP','125252251217471731458814472124610162041',8974,'9998',49.90,4,3,NULL),(25,6281974,'1991-06-12 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224244241415373431347613292224222367052',15269,'1134',43.30,1,3,NULL),(25,6281982,'1990-10-31 00:00:00',4,5,12,2008,'M','N','LARANJAL','PELOTAS','RS','120202201216351431488811375112610143132',NULL,'9998',13.76,1,3,NULL),(25,6281990,'1992-05-19 00:00:00',4,8,12,2009,'M','N','FLORESTA','JOINVILLE','SC','124242246212473431569614572122131417052',3292,'494',65.11,1,3,NULL),(25,6282024,'1993-10-12 00:00:00',2,1,12,2010,'F','N','MATO FRANCES','RANCHO QUEIMADO','SC','124241241111161131423426262344610164057',NULL,'649',24.90,1,2,1),(25,6282040,'1991-04-02 00:00:00',2,1,12,2008,'M','N','CENTRO','LIMEIRA','SP','125252251217571331447814575112610167017',NULL,'9998',0.00,1,3,NULL),(25,6282067,'1993-01-25 00:00:00',4,1,11,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431279813575124610164067',13020,'270',46.57,1,3,NULL),(25,6282075,'1993-10-11 00:00:00',1,8,12,2010,'M','N','ENTRE RIOS','GUARAPUAVA','PR','116162161216171431359814575122610143124',19506,'9998',35.82,1,3,NULL),(25,6282105,'1993-02-21 00:00:00',4,8,11,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124243241211111431229814575124610126172',20177,'1016',34.14,1,3,NULL),(25,6282113,'1992-07-06 00:00:00',4,4,11,2009,'F','N','CENTRO','CASCAVEL','PR','116162161216472441359914594124610147092',280,'9998',79.99,1,3,NULL),(25,6282121,'1992-02-08 00:00:00',2,1,12,2010,'M','N','QUEIMADA GRANDE','RANCHO QUEIMADO','SC','124241248126171132423335382314610167017',20524,'649',33.04,2,1,1),(25,6282130,'1993-04-27 00:00:00',4,8,11,2010,'F','N','MOSSUNGUE','CURITIBA','PR','116162161215121712448819575124610132122',NULL,'9998',0.00,1,3,NULL),(25,6282148,'1993-03-09 00:00:00',2,1,11,2010,'F','N','TRAÇADO','URUBICI','SC','124242241211161431448832375122610124192',NULL,'817',23.61,1,3,NULL),(25,6282156,'1988-08-14 00:00:00',4,1,12,2006,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241237575451234969572124233224017',11603,'1134',48.75,4,3,NULL),(25,6282172,'1993-12-26 00:00:00',4,3,12,2010,'F','N','AAHÚ','CURITIBA','PR','116162161217111431468934582122610164127',15383,'9998',38.06,1,3,NULL),(25,6282180,'1993-02-12 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241215111431358613475124610122192',13691,'273',40.38,1,3,NULL),(25,6282199,'1990-06-20 00:00:00',2,1,7,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115133431658813282124610167047',5633,'306',58.85,1,2,1),(25,6282202,'1992-09-17 00:00:00',4,8,12,2010,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124242241215271431458932575122610137062',16821,'1174',35.06,1,3,NULL),(25,6282210,'1992-06-30 00:00:00',4,1,10,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241115472511148812475125610167122',15397,'807',43.06,1,3,NULL),(25,6282229,'1994-06-24 00:00:00',4,7,2,2011,'F','N','VILA ALEMANHA','LUZERNA','SC','124242241215111431448832575124610128142',9652,'962',47.69,1,3,NULL),(25,6282245,'1993-04-14 00:00:00',2,5,12,2010,'F','N','CENTRO','IÇARA','SC','124241241415111431558953212124610117017',11882,'226',46.69,1,3,NULL),(25,6282253,'1987-11-09 00:00:00',2,5,12,2004,'F','N','TABATINGA','SANTANA LIVRAMENTO','RS','120201201116572431445514175124610162097',3529,'9998',61.12,1,2,1),(25,6282261,'1990-10-09 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241315574431346634575124231842095',7589,'453',54.20,1,3,NULL),(25,6282288,'1993-04-09 00:00:00',2,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124244241411111431327959572125610137074',15637,'723',38.58,1,3,NULL),(25,6282296,'1993-03-21 00:00:00',4,2,12,2010,'M','N','AGUA VERDE','BLUMENAU','SC','124241241215111431368914575124610118182',NULL,'855',10.14,1,3,NULL),(25,6282300,'1989-01-11 00:00:00',2,2,12,2007,'M','N','CEBTRI','LUIZ ALVES','SC','124241241336142731445619235124231446177',12441,'855',47.45,1,3,NULL),(25,6282326,'1993-11-19 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215111431426627575114610161197',8384,'1022',52.72,1,3,NULL),(25,6282334,'1993-01-19 00:00:00',5,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124241241215111431343923275112610164047',5920,'226',58.92,1,3,NULL),(25,6282350,'1993-08-27 00:00:00',2,6,12,2010,'M','N','CRISTO REI','PATO BRANCO','PR','116164161216111431438419275112610168042',4363,'9998',60.17,1,3,NULL),(25,6282377,'1989-12-28 00:00:00',2,1,12,2006,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124243247416134431323444345114610162047',16077,'9999',37.46,1,3,NULL),(25,6282385,'1982-11-25 00:00:00',4,15,11,1999,'F','N','CENTRO','ARARANGUÁ','SC','124244241215472421569911345122331567077',7818,'970',55.18,1,3,NULL),(25,6282393,'1989-12-16 00:00:00',4,1,12,2007,'M','N','RUI BARBOSA','MONTENEGRO','RS','120202201216472431369814571122610137052',9358,'9998',48.38,1,3,NULL),(25,6282407,'1991-06-20 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241215373431464819295124133264012',507,'723',77.56,1,3,NULL),(25,6282415,'1993-02-25 00:00:00',2,1,12,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124241241115141411423329592324610122013',NULL,'257',12.69,1,2,1),(25,6282423,'1992-04-18 00:00:00',2,1,6,2010,'M','N','FLORESTA','S JOSÉ','SC','124244241414271431438314342134610167052',NULL,'307',17.93,1,3,NULL),(25,6282440,'1993-02-06 00:00:00',4,2,12,2010,'F','N','FORTALEZA','BLUMENAU','SC','124241248216111431458933575122610145112',18410,'87',38.09,1,3,NULL),(25,6282458,'1992-01-10 00:00:00',2,5,6,2010,'F','N','COLONIAL','CRICIÚMA','SC','124241241217371431424316572124610128142',NULL,'995',0.00,1,3,NULL),(25,6282466,'1993-02-21 00:00:00',2,3,12,2010,'M','N','PRAIA BRAVA','ITAJAÍ','SC','124244241215111431556852572112610162112',12314,'9997',47.67,1,3,NULL),(25,6282474,'1993-02-25 00:00:00',4,8,11,2010,'M','N','XAXIM','CURITIBA','PR','116162161215111751467513472124610167182',14691,'9998',42.23,1,3,NULL),(25,6282482,'1987-06-26 00:00:00',4,1,10,2005,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241235573732489814475122121467045',2862,'262',66.34,1,3,NULL),(25,6282504,'1993-08-03 00:00:00',4,1,11,2010,'F','N','BOSQUE DAS MANSOES','S JOSÉ','SC','124244241215112431469613575114610162187',8152,'270',54.60,1,3,NULL),(25,6282512,'1993-05-26 00:00:00',2,1,12,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241212473431448713472112610123197',11986,'723',43.48,1,3,NULL),(25,6282520,'1992-03-09 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241216132431423933495124610134072',NULL,'300',33.46,2,3,NULL),(25,6282539,'1993-01-29 00:00:00',4,10,12,2010,'F','N','HUMAITÁ','TUBARÃO','SC','124241241115131431553923292212610114077',NULL,'798',32.45,1,2,1),(25,6282547,'1993-04-02 00:00:00',2,1,12,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242248217111431669814375112610117047',12199,'262',44.43,1,3,NULL),(25,6282555,'1993-11-16 00:00:00',2,3,11,2010,'M','N','MORRETES','ITAPEMA','SC','124243241215111431533912575121610137111',NULL,'403',19.94,1,3,NULL),(25,6282563,'1987-09-20 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241127141431436544245124610147113',NULL,'290',19.89,1,2,1),(25,6282571,'1993-08-17 00:00:00',4,1,12,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215111431479933575124610114142',NULL,'270',33.72,1,3,NULL),(25,6282580,'1993-04-07 00:00:00',2,5,12,2010,'M','N','LOMBA','ORLEANS','SC','124241248215111431524433594114610112192',10286,'226',47.17,1,3,NULL),(25,6282598,'1993-09-22 00:00:00',2,4,12,2010,'M','N','CENTRO','ÁGUAS FRIAS','SC','124241241315131431429933575124610127057',NULL,'185',31.16,1,3,NULL),(25,6282610,'1991-04-06 00:00:00',4,3,11,2008,'F','N','CRISTO REI','CURITIBA','PR','116242241211572431458813585122610167122',4277,'44',62.61,1,3,NULL),(25,6282628,'1993-07-01 00:00:00',4,1,11,2010,'F','N','PRADO','BIGUAÇU','SC','124244241215371731343632272124610126192',12276,'20',46.62,1,3,NULL),(25,6282644,'1993-08-12 00:00:00',4,8,11,2010,'F','N','GLORIA','JOINVILLE','SC','124242241215121431558712595122610142147',12247,'931',42.94,1,3,NULL),(25,6282652,'1993-04-29 00:00:00',4,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124241241116411531443729575112610164112',NULL,'734',11.99,1,2,1),(25,6282660,'1992-03-27 00:00:00',4,1,10,2009,'F','N','CENTRO','ERECHIM','RS','120202201217472431448834575124610167077',5896,'9998',56.41,1,3,NULL),(25,6282679,'1990-08-10 00:00:00',2,8,12,2007,'F','N','CENTRO','JACAREZINHO','PR','116161161217471411548833575124141326012',NULL,'9998',43.40,1,3,NULL),(25,6282687,'1990-12-03 00:00:00',4,1,12,2009,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242247215111431487712571122233241187',NULL,'9999',29.71,1,3,NULL),(25,6282695,'1992-04-17 00:00:00',4,1,12,2009,'M','N','PQ DAS LARANJEIRAS','MARINGÁ','PR','116161161215371731239929575122610164012',1546,'9998',68.92,2,3,NULL),(25,6282709,'1991-08-03 00:00:00',4,1,11,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241117152431448713375124120867072',5138,'271',60.53,1,2,1),(25,6282717,'1990-07-14 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241215371431344613472112610124142',NULL,'1048',23.37,1,3,NULL),(25,6282725,'1993-02-26 00:00:00',4,1,11,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111531248823575112610164016',NULL,'272',23.86,1,3,NULL),(25,6282733,'1993-09-30 00:00:00',4,8,12,2010,'M','N','PAROLIN','CURITIBA','PR','116162161215111432465912575122610124047',NULL,'9998',0.00,1,3,NULL),(25,6282741,'1994-03-04 00:00:00',4,1,12,2011,'F','S','SEMINÁRIO','TAIÓ','SC','124244241415161441449914241122610133147',NULL,'776',29.24,1,3,NULL),(25,6282750,'1990-03-26 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124201201111131421126444442214610134047',NULL,'9998',17.48,1,2,1),(25,6282768,'1993-02-13 00:00:00',2,1,11,2010,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124242241215111411539813575122610162077',20908,'270',31.46,1,3,NULL),(25,6282776,'1993-10-01 00:00:00',2,1,11,2010,'F','N','SANTA RITA','PAULO LOPES','SC','124241241415121431626436575124610137052',17128,'300',35.83,1,3,NULL),(25,6282784,'1994-03-11 00:00:00',4,4,12,2010,'M','N','MARIA GORETTI','CHAPECÓ','SC','124242241216151431463934572122610122142',5294,'168',57.39,1,3,NULL),(25,6282792,'1966-03-12 00:00:00',2,1,12,1984,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201208316141111446671312124141233187',21711,'9998',25.02,1,3,NULL),(25,6282806,'1994-11-10 00:00:00',4,5,10,2011,'F','S','CENTRO','CRICIÚMA','SC','124242241215371711378834574122610114187',NULL,'9997',30.37,1,3,NULL),(25,6282814,'1991-11-28 00:00:00',2,1,11,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241117132431436763345124232833097',20216,'271',34.01,1,2,1),(25,6282822,'1991-09-25 00:00:00',2,1,12,2008,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241243145373431337611245224610133147',NULL,'285',27.66,1,2,1),(25,6282830,'1984-05-10 00:00:00',4,1,12,2002,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117132441228721216334610155117',NULL,'307',44.70,1,2,1),(25,6282849,'1993-03-24 00:00:00',4,6,11,2010,'F','N','CÂNDIDA','ARARAS','SP','125254251417111431564312571124610126182',12919,'9998',40.97,1,3,NULL),(25,6282857,'1992-11-12 00:00:00',4,5,12,2009,'M','N','SÃO DEFENE','CRICIÚMA','SC','124241246217132422433614345124610127047',NULL,'995',25.93,1,3,NULL),(25,6282865,'1992-11-21 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111211469613432124610145141',NULL,'1023',34.08,1,3,NULL),(25,6282873,'1993-01-22 00:00:00',2,1,11,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241215111731463623275124610167141',7917,'723',51.96,1,3,NULL),(25,6282881,'1994-09-19 00:00:00',4,9,12,2010,'F','N','CORAL','LAGES','SC','124242241415151441437912575122610124147',NULL,'935',14.24,1,3,NULL),(25,6282890,'1993-01-07 00:00:00',2,1,11,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111431546633572112610167047',NULL,'9997',0.00,1,3,NULL),(25,6282903,'1993-09-23 00:00:00',2,15,12,2010,'M','N','SANTA LUCIA','CAPIVARI BAIXO','SC','124241241115161132536314342122610128143',NULL,'158',19.43,1,3,NULL),(25,6282911,'1990-09-28 00:00:00',4,8,12,2008,'F','N','ITAUM','JOINVILLE','SC','124241241146371731437314382214610164012',20557,'465',32.92,1,2,1),(25,6282920,'1993-07-27 00:00:00',2,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124243248217111732647313232122610127042',14156,'1010',42.26,4,3,NULL),(25,6282946,'1982-11-23 00:00:00',4,9,12,2000,'F','N','CENTRO','NOVA PRATA','RS','120201241116371731358839432122331334187',12630,'9997',42.02,1,2,1),(25,6282954,'1992-04-19 00:00:00',4,8,12,2009,'M','N','SAGUAÇU','JOINVILLE','SC','124242241216372431449934475124231167016',5204,'457',59.03,1,3,NULL),(25,6282962,'1993-11-28 00:00:00',2,7,11,2010,'F','N','CENTRO','FRAIBURGO','SC','124242241216111431439612295122610128142',NULL,'885',39.85,1,3,NULL),(25,6282970,'1989-10-31 00:00:00',4,1,11,2007,'M','N','JD ESPLANADA','S JOSÉ CAMPOS','SP','125252251217471411468831411122610162182',5367,'9998',56.33,1,3,NULL),(25,6282989,'1992-11-07 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215121431478812575112610168142',7431,'270',53.25,1,3,NULL),(25,6283004,'1992-01-18 00:00:00',2,3,12,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241116471731426414282121610165097',16016,'712',39.15,1,2,1),(25,6283012,'1994-01-27 00:00:00',4,4,12,2010,'M','N','JARDIM AMÉRICA','CHAPECÓ','SC','124242241215111431334832495122610122052',NULL,'168',27.71,1,3,NULL),(25,6283020,'1993-02-23 00:00:00',4,8,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241214111411346923575125610116017',4371,'1063',60.16,1,3,NULL),(25,6283039,'1991-12-25 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241415372731466312395124610168185',15332,'1022',43.18,1,3,NULL),(25,6283055,'1994-05-20 00:00:00',4,9,11,2011,'M','S','CORAL','LAGES','SC','124242241217111531369931575125610124052',NULL,'497',47.36,1,3,NULL),(25,6283063,'1991-02-22 00:00:00',4,1,12,2009,'M','N','CENTRO','CPO MOURÃO','PR','116164166116271431277923245125610122152',6175,'9998',53.78,1,3,NULL),(25,6283071,'1994-09-28 00:00:00',4,15,12,2010,'M','N','CENTRO','ARARANGUÁ','SC','124242241215111722448811574112610167127',9566,'970',48.00,1,3,NULL),(25,6283080,'1994-04-16 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124202241215371731329931595124610168142',17659,'1048',33.47,1,3,NULL),(25,6283098,'1993-07-08 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116271731324413575124610128147',NULL,'307',35.70,1,2,1),(25,6283101,'1993-04-03 00:00:00',4,1,11,2010,'M','N','VILA ROSA','JACAREZINHO','PR','116161161215171521543836572322610133042',12449,'9998',43.25,1,3,NULL),(25,6283110,'1991-09-03 00:00:00',4,1,12,2010,'M','N','FLORESTA','S JOSÉ','SC','124242241215111731253813375124610167182',18773,'1022',37.40,1,3,NULL),(25,6283128,'1991-07-20 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124162161215271231458814385122141417042',8932,'9998',52.81,1,3,NULL),(25,6283136,'1990-02-08 00:00:00',2,4,12,2007,'F','N','ELISA','XAMBRÊ','PR','116161161415571431434432374124610136147',7004,'9998',52.79,1,3,NULL),(25,6283144,'1993-08-16 00:00:00',4,3,12,2010,'F','N','JARDIM ELDORADO','CAMBÉ','PR','116162161217111431448811575122610128056',12958,'9998',42.33,1,3,NULL),(25,6283152,'1993-11-19 00:00:00',4,10,12,2010,'M','N','CENTRO','TUBARÃO','SC','624242241215111652468833572111610167052',11141,'797',49.46,1,3,NULL),(25,6283160,'1993-11-13 00:00:00',4,5,12,2011,'M','S','VILA OPERÁRIA','RIO CLARO','SP','125252258217111421435612575122610127145',NULL,'9998',33.56,4,3,NULL),(25,6283179,'1993-01-29 00:00:00',4,4,11,2009,'M','N','BATEL','CURITIBA','PR','116241241415272231346612592124610117127',5194,'1047',57.97,1,3,NULL),(25,6283187,'1981-07-23 00:00:00',2,1,12,1998,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201204216371431233319342124341916197',5469,'9998',56.53,1,3,NULL),(25,6283195,'1991-12-25 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241117471731413644345334610117042',18925,'359',33.18,1,2,1),(25,6283209,'1992-11-30 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431367934275124610161092',2951,'1118',62.71,4,3,NULL),(25,6283217,'1991-10-31 00:00:00',4,1,11,2009,'M','N','SANTO ANTÔNIO','FLORIANÓPOLIS','SC','124242241215473431546828574122610137112',930,'270',74.36,1,3,NULL),(25,6283225,'1992-01-18 00:00:00',2,1,12,2009,'M','N','TIJUQUINHAS','BIGUAÇU','SC','124242241215412451356839575122610138147',11334,'1118',44.71,1,3,NULL),(25,6283233,'1994-04-19 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111732458929575122610123182',NULL,'262',36.36,1,3,NULL),(25,6283241,'1991-02-22 00:00:00',4,1,12,2008,'F','N','FORQUILHAS','S JOSÉ','SC','124044042115572431568833475122610162187',9415,'9998',49.04,1,3,NULL),(25,6283250,'1990-11-16 00:00:00',2,1,11,2007,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124202201215575431266823575114610167052',5788,'9998',56.26,1,3,NULL),(25,6283268,'1991-08-31 00:00:00',4,1,12,2009,'M','N','PRAÇA','TIJUCAS','SC','124242241436131421536421345132610162047',20446,'781',33.33,1,3,NULL),(25,6283276,'1993-01-07 00:00:00',2,1,11,2010,'F','N','COSTA DA LAGOA','FLORIANÓPOLIS','SC','124241241116471411533313245124610127142',14078,'307',42.24,1,2,1),(25,6283284,'1993-07-20 00:00:00',4,2,12,2010,'M','N','ASILO','BLUMENAU','SC','124242241215111431536812572122610117162',1547,'87',71.10,1,3,NULL),(25,6283292,'1989-10-16 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','120201201127271431426833385114610168192',13252,'9998',46.28,1,2,1),(25,6283306,'1992-04-09 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241215373221568814571124610167012',15241,'1022',43.34,1,3,NULL),(25,6283322,'1987-09-25 00:00:00',4,1,12,2004,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241215373731579833342122130432097',21034,'951',30.94,1,3,NULL),(25,6283330,'1993-03-23 00:00:00',2,1,12,2010,'M','N','CAPÃO','GAROPABA','SC','124243241215141731446932215123610154117',13748,'9997',45.56,1,3,NULL),(25,6283357,'1990-10-13 00:00:00',4,1,12,2008,'F','N','BELA VISTA','S PAULO','SP','125252251216571331458812571125610125092',NULL,'9998',0.00,1,3,NULL),(25,6283365,'1994-12-30 00:00:00',4,1,2,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124244241235111721459933571124610137112',8752,'270',53.52,1,3,NULL),(25,6283373,'1986-03-06 00:00:00',4,15,12,2003,'M','N','COLONINHA','ARARANGUÁ','SC','124243241417141411118843335132340764192',NULL,'9997',15.97,1,3,NULL),(25,6283381,'1992-01-22 00:00:00',4,1,11,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241215111431466823575122610118072',17461,'883',34.93,1,3,NULL),(25,6283390,'1992-12-08 00:00:00',2,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242231215471431558819571114610112047',13462,'751',41.36,1,3,NULL),(25,6283403,'1983-06-20 00:00:00',1,1,12,2000,'M','N','CENTRO','TROMBUDO CENTRAL','SC','124243161435472732428829595324122266197',13551,'9998',45.85,1,3,NULL),(25,6283411,'1991-08-17 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124212241225374431468813575112610137032',4028,'272',62.54,1,3,NULL),(25,6283420,'1989-11-10 00:00:00',2,1,12,2006,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124204208137141732426844442134131037077',NULL,'9998',24.56,1,3,NULL),(25,6283438,'1993-05-04 00:00:00',4,1,11,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217271431448924575124610136182',10352,'270',47.02,1,3,NULL),(25,6283446,'1993-09-13 00:00:00',2,10,12,2010,'M','N','RIACHO ALEGRE','BRAÇO NORTE','SC','124241242115111431423335572224610138172',16275,'690',37.48,1,2,1),(25,6283454,'1994-04-14 00:00:00',2,1,12,2011,'F','S','GUIOMAR DE FORA','ANTÔNIO CARLOS','SC','124241241112151732424436572122610127142',NULL,'21',15.13,1,3,NULL),(25,6283462,'1992-09-25 00:00:00',4,4,11,2009,'F','N','PARQUE DAS PALMEIRAS','CHAPECÓ','SC','124241241215373431328934292122610127142',13832,'1191',39.90,1,3,NULL),(25,6283470,'1993-03-19 00:00:00',4,6,11,2010,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241215112431438812574112610126092',3049,'1026',64.73,1,3,NULL),(25,6283489,'1993-05-30 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217131431327823575112610164017',20060,'259',28.73,1,3,NULL),(25,6283500,'1992-09-28 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241212473411458812572122610111142',7386,'270',54.34,1,3,NULL),(25,6283519,'1993-02-03 00:00:00',4,8,12,2009,'F','N','PORTÃO','CURITIBA','PR','116162161215472431448824585124610164097',NULL,'9998',53.58,1,3,NULL),(25,6283527,'1993-04-08 00:00:00',4,1,11,2010,'F','N','VILA PEREIRA','S JOSÉ R PARDO','SP','125252251216111431568732475112610165142',2220,'9998',66.91,1,3,NULL),(25,6283535,'1993-06-23 00:00:00',4,9,11,2010,'M','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124242241215121431238921595122610132192',10044,'497',46.82,1,3,NULL),(25,6283543,'1992-03-29 00:00:00',4,1,12,2009,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241216372531468814575124610121147',13545,'272',41.58,1,3,NULL),(25,6283551,'1993-06-11 00:00:00',2,16,12,2010,'M','N','PALMITOLANDIA','TUPÃSSI','PR','116161161116131431314416575124610154147',NULL,'9998',20.42,1,3,NULL),(25,6283560,'1969-10-17 00:00:00',2,1,7,1988,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','224241248141133431453353432114122322047',20629,'306',32.64,4,3,NULL),(25,6283578,'1976-09-09 00:00:00',4,8,12,1995,'M','N','CENTRO','SCHROEDER','SC','124244241137152731323319142321131237142',NULL,'425',36.36,1,3,NULL),(25,6283586,'1993-02-09 00:00:00',2,5,11,2010,'M','N','LIRI','IÇARA','SC','124241241215112411467411475124610167042',4951,'226',58.73,1,3,NULL),(25,6283594,'1992-02-10 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242243235111331538819325122613217062',NULL,'1169',0.00,1,3,NULL),(25,6283608,'1991-10-31 00:00:00',4,1,12,2009,'M','N','SITIO CERCADO','CURITIBA','PR','116166161117271431233324575124610127117',NULL,'9998',0.00,4,3,NULL),(25,6283616,'1993-06-14 00:00:00',5,6,12,2010,'F','N','SOUZA CRUZ','BRUSQUE','SC','124242241215111431363912572122610146062',3230,'109',62.71,1,3,NULL),(25,6283624,'1992-10-06 00:00:00',2,4,12,2009,'F','N','CENTRO','CAIBI','SC','124241241116371431423619575122610124047',8807,'127',49.92,1,3,NULL),(25,6283632,'1992-12-08 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469833575112610164012',10266,'1169',48.06,1,3,NULL),(25,6283640,'1993-10-01 00:00:00',2,1,12,2010,'F','N','BOA VISTA','RIO SUL','SC','124242242117131411324619595124610166182',16536,'1222',35.09,1,3,NULL),(25,6283659,'1991-11-16 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOAQUIM BARRA','SP','125252251215571431438931584125141036047',NULL,'9998',0.00,1,3,NULL),(25,6283667,'1994-01-29 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241215111431358823576114610121097',6735,'1022',54.14,1,3,NULL),(25,6283675,'1992-10-30 00:00:00',4,1,11,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215511411338823571345610125092',8836,'9998',50.40,1,3,NULL),(25,6283683,'1992-01-26 00:00:00',4,1,11,2008,'M','N','SERRARIA','S JOSÉ','SC','124242241217372731336822345114130264052',7517,'868',55.76,1,3,NULL),(25,6283691,'1981-07-10 00:00:00',2,15,12,2000,'M','N','ZONA NOVA SUL','BAL ARROIO SILVA','SC','524201247427131431324354185124610122047',NULL,'9998',0.00,1,3,NULL),(25,6283705,'1992-12-12 00:00:00',2,6,11,2009,'F','N','CORDEIROS','ITAJAÍ','SC','124061241115141331426624345124610116052',NULL,'396',23.71,1,3,NULL),(25,6283713,'1992-08-12 00:00:00',2,7,11,2009,'F','N','FLORESTA','CONCÓRDIA','SC','124242241215422411468912375122610136142',4616,'1047',61.74,1,3,NULL),(25,6283721,'1994-01-20 00:00:00',2,1,12,2010,'M','N','CENTRO','BIGUAÇU','SC','124242241215112431546731575124610136047',3744,'262',61.84,1,3,NULL),(25,6283730,'1993-11-19 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116371431334414295124610127047',NULL,'257',23.77,4,2,1),(25,6283748,'1985-03-25 00:00:00',2,1,12,2002,'F','N','BELA VISTA','S JOSÉ','SC','324241241146572431227644242122610122142',7276,'293',56.22,1,2,1),(25,6283764,'1992-12-11 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','125242241215151431479919492112610127112',7150,'270',53.03,1,3,NULL),(25,6283772,'1989-05-19 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241415573431556923375114130217062',1575,'273',70.21,1,3,NULL),(25,6283780,'1991-11-24 00:00:00',4,1,12,2009,'M','N','BANDEIRAS II','CAMPINAS','SP','125251251136371431328844345124610162047',NULL,'9998',20.04,1,3,NULL),(25,6283799,'1993-05-12 00:00:00',4,9,11,2010,'M','N','JARDIM PANORAMICO','LAGES','SC','124243241215131431457614575124610127042',19567,'1207',35.65,1,3,NULL),(25,6283802,'1994-12-14 00:00:00',2,15,12,2010,'F','N','CENTRO','TURVO','SC','124242241215111531638812275122610114092',NULL,'813',17.41,1,3,NULL),(25,6283810,'1993-10-09 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111432368627572122610167117',11338,'262',44.41,1,3,NULL),(25,6283829,'1993-08-27 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241112151431526621575114610164042',NULL,'307',8.90,1,3,NULL),(25,6283837,'1992-05-19 00:00:00',2,10,12,2009,'M','N','CENTRO','GRAVATAL','SC','124241245122141231433412342122610114057',NULL,'798',0.00,1,3,NULL),(25,6283845,'1993-04-05 00:00:00',2,2,11,2010,'F','N','CENTRO','PRES GETÚLIO','SC','124242241215111431459813475124610136142',6890,'991',56.93,1,3,NULL),(25,6283853,'1991-10-16 00:00:00',4,2,12,2008,'F','N','BROOKLIN PAULISTA','S PAULO','SP','125252251215571431468812575122610163092',NULL,'9998',0.00,1,3,NULL),(25,6283861,'1993-11-07 00:00:00',2,1,12,2010,'M','N','ANNES','PASSO FUNDO','RS','120202208117371431436634275112610127057',14631,'9998',38.24,1,3,NULL),(25,6283888,'1993-08-26 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241137141431436611345124610154092',18844,'257',32.52,4,2,1),(25,6283900,'1990-08-11 00:00:00',4,8,11,2007,'F','N','BOM RETIRO','JOINVILLE','SC','124162161217371532628919171125143166097',8255,'9998',54.39,1,3,NULL),(25,6283918,'1993-10-24 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124244241117272411568933575122610146052',2078,'739',68.39,1,3,NULL),(25,6283934,'1977-09-10 00:00:00',4,1,12,1995,'F','N','FUNDOS','BIGUAÇU','SC','624241241127132751322141242124610166047',NULL,'293',0.00,4,2,1),(25,6283942,'1975-04-05 00:00:00',2,1,12,1998,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241243136135421338851445124130566183',NULL,'306',0.00,1,3,NULL),(25,6283950,'1994-01-15 00:00:00',2,1,12,2011,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215111231347931575122610123072',NULL,'272',38.81,1,3,NULL),(25,6283969,'1992-05-25 00:00:00',2,1,7,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124121121115111732356519595124222837077',13508,'9998',45.91,1,2,1),(25,6283977,'1993-06-24 00:00:00',4,9,10,2010,'M','N','TAQUARAS','IBIRAMA','SC','124242241217121431469613575124610124012',3466,'991',63.75,1,3,NULL),(25,6283985,'1990-02-06 00:00:00',4,1,12,2007,'M','N','ARCADAS','AMPARO','SP','125252251217473431436832445113122927187',2829,'9998',63.70,1,3,NULL),(25,6284000,'1993-07-22 00:00:00',2,1,12,2010,'M','N','GAVEA','RIO JANEIRO','RJ','121212211216111441579922372124610167052',1061,'9998',72.26,1,3,NULL),(25,6284019,'1993-03-19 00:00:00',4,4,12,2009,'M','N','CENTRO','STA MARIA','RS','120242241217472431138811475125610168013',3111,'1179',63.17,1,3,NULL),(25,6284027,'1993-08-28 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241217131431337923345122610124142',17860,'1078',33.71,1,3,NULL),(25,6284035,'1993-06-15 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241212171431544412342122610126072',21263,'1048',23.51,1,3,NULL),(25,6284051,'1993-08-21 00:00:00',4,10,10,2010,'F','N','CENTRO','TUBARÃO','SC','124242241215111431468932572122610166192',7274,'807',56.22,1,3,NULL),(25,6284060,'1990-12-04 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124241241436133431423774245124233237017',10028,'1011',51.28,1,3,NULL),(25,6284078,'1991-12-12 00:00:00',2,1,12,2010,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242248216111731469613232124610147057',NULL,'1022',29.62,1,3,NULL),(25,6284086,'1994-11-27 00:00:00',4,8,11,2011,'F','S','AMÉRICA','JOINVILLE','SC','124242241215111432479913575112610121122',NULL,'461',47.66,4,3,NULL),(25,6284094,'1992-03-04 00:00:00',4,15,12,2009,'F','N','SAO CRISTOVAO','MARACAJÁ','SC','124241241142152431326619572112610165097',NULL,'550',30.14,1,2,1),(25,6284108,'1988-07-16 00:00:00',2,1,11,2005,'M','N','BARREIROS','S JOSÉ','SC','124244241417142451236644342222231267047',18283,'257',38.31,1,3,NULL),(25,6284116,'1993-01-05 00:00:00',4,1,11,2010,'M','N','JARDIM BOA VISTA','LONDRINA','PR','116162161215111431458834572122610167112',8921,'9998',49.63,1,3,NULL),(25,6284124,'1993-03-06 00:00:00',4,1,11,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111411228921295124610164011',15619,'266',42.74,1,3,NULL),(25,6284132,'1993-07-04 00:00:00',2,5,11,2010,'F','N','COMERCIARIO','CRICIÚMA','SC','124241241216111431433418275112610163067',17686,'210',33.17,1,3,NULL),(25,6284140,'1992-09-12 00:00:00',4,1,11,2010,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215111431249919375124610164012',5518,'270',59.73,1,3,NULL),(25,6284159,'1990-12-03 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241146432431446923345124122233147',9205,'740',49.78,1,2,1),(25,6284175,'1993-12-06 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115271421437834575124610134097',NULL,'271',39.30,1,2,1),(25,6284183,'1994-03-19 00:00:00',2,2,12,2010,'F','N','JARJIM LINDOIA','GOIOERÊ','PR','116162161215121441434312575122610144012',NULL,'9998',23.59,4,3,NULL),(25,6284191,'1994-05-17 00:00:00',4,1,12,2011,'F','S','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241216151732468814575124610113147',NULL,'272',51.20,1,3,NULL),(25,6284221,'1991-01-18 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124161161137271431435611175124610113147',NULL,'9998',27.27,2,1,1),(25,6284230,'1993-05-19 00:00:00',2,2,12,2010,'M','N','GUANANDI','CPO GRANDE','MS','112244121216121731538933575121610167097',10948,'9998',43.79,1,3,NULL),(25,6284248,'1990-12-04 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241217372432536853592124123232185',NULL,'262',28.40,3,3,NULL),(25,6284256,'1993-03-14 00:00:00',2,4,11,2009,'F','N','SÃO MIGUEL','CRUZ ALTA','RS','120203201217371431446632575112610134147',338,'9998',79.11,1,3,NULL),(25,6284264,'1993-05-11 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217311731477832572122610127112',13990,'262',41.08,1,3,NULL),(25,6284272,'1991-12-04 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241112272431324624341124610144142',20183,'288',34.12,1,2,1),(25,6284280,'1992-03-09 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216111431349714575124610164055',20395,'1022',27.74,1,3,NULL),(25,6284299,'1989-03-15 00:00:00',4,1,9,2007,'M','N','BARREIROS','S JOSÉ','SC','124244241117275431568933575124221467042',4093,'739',61.91,1,3,NULL),(25,6284310,'1983-05-07 00:00:00',2,1,12,2000,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241248137374431126544242334610114142',17006,'288',40.02,1,2,1),(25,6284337,'1979-08-01 00:00:00',4,1,12,1996,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124201201112134431433839392124221468182',9976,'9998',51.39,1,2,1),(25,6284345,'1992-09-13 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241217474431247821575114120764042',1925,'1022',68.07,1,3,NULL),(25,6284353,'1992-07-26 00:00:00',4,1,12,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241216472431458812575114610164012',6122,'457',58.47,1,3,NULL),(25,6284361,'1992-06-24 00:00:00',2,4,12,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124244241215572411438731195125610163072',6411,'751',55.13,1,3,NULL),(25,6284370,'1993-05-19 00:00:00',4,1,12,2010,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241115371431457613435124610123072',18021,'271',36.33,1,2,1),(25,6284388,'1994-10-19 00:00:00',4,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241216111431578833175112610138095',NULL,'262',58.04,1,3,NULL),(25,6284396,'1993-10-10 00:00:00',2,4,12,2010,'M','N','CENTRO','CANTAGALO','PR','116161161116131431227923575121610147017',NULL,'9998',0.00,1,2,1),(25,6284418,'1992-08-27 00:00:00',2,15,11,2009,'F','N','CENTRO','TURVO','SC','124241241415472431558632595122610135192',15015,'32',38.11,1,3,NULL),(25,6284426,'1993-04-03 00:00:00',2,1,12,2010,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124241241215111631466632575114610137075',NULL,'1023',15.67,1,3,NULL),(25,6284434,'1991-01-13 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSÉ','SC','124241241112142431325314345124230714012',12323,'734',43.08,4,2,1),(25,6284442,'1993-09-25 00:00:00',4,1,11,2010,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','124244241215151431457911575112610124115',17718,'9997',39.38,1,3,NULL),(25,6284450,'1994-02-01 00:00:00',4,8,12,2011,'F','S','BARRA DO RIO MOLHA','JARAGUÁ SUL','SC','124242241215111431466732575122610127042',NULL,'442',49.55,1,3,NULL),(25,6284469,'1994-02-05 00:00:00',4,4,12,2010,'M','N','BRASÍLIA','PATO BRANCO','PR','116162161215111231236824375122610167042',15777,'9998',37.11,1,3,NULL),(25,6284477,'1993-01-08 00:00:00',4,8,12,2010,'M','N','RIO BONITO','JOINVILLE','SC','124241241217111731358934575124610124141',9974,'1006',47.01,1,3,NULL),(25,6284485,'1992-08-11 00:00:00',2,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115471731443311575124610167062',12949,'298',43.75,1,2,1),(25,6284507,'1994-07-22 00:00:00',4,1,11,2009,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241217111331479813332122610167045',NULL,'270',9.40,1,3,NULL),(25,6284515,'1990-11-20 00:00:00',4,1,7,2008,'M','N','IPIRANGA','S JOSÉ','SC','124241241127131751323519141225610128182',21626,'9997',26.51,2,1,1),(25,6284523,'1990-03-01 00:00:00',2,1,11,2008,'M','N','JARDIM BOTANICO','CURITIBA','PR','116162161217571431267839375122610137117',NULL,'9998',0.00,1,3,NULL),(25,6284531,'1993-05-11 00:00:00',4,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124242241217111431536612325122610127142',NULL,'454',0.00,1,3,NULL),(25,6284540,'1986-05-16 00:00:00',2,9,12,2002,'F','N','INTERIOR','FARROUPILHA','RS','120201201116371451663315371124142835142',NULL,'9998',0.00,1,2,1),(25,6284558,'1994-10-14 00:00:00',4,8,12,2011,'F','S','AMÉRICA','JOINVILLE','SC','124242241217111531469814476122610125156',NULL,'457',52.65,1,3,NULL),(25,6284566,'1989-09-06 00:00:00',2,2,12,2007,'M','N','VICTOR KONDER','TAIÓ','SC','124241241136151321424469145113610117057',18571,'777',32.63,1,3,NULL),(25,6284574,'1992-05-05 00:00:00',4,1,12,2009,'F','N','PARQUE REBOUÇAS','S PAULO','SP','125251251217471431436614271124610134097',NULL,'9998',30.47,1,3,NULL),(25,6284582,'1993-03-03 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215222731359934575122610122122',18078,'226',38.68,1,3,NULL),(25,6284590,'1993-07-21 00:00:00',2,10,12,2010,'M','N','CENTRO','IMBITUBA','SC','124242241215111411448831475112610134122',7540,'362',53.03,1,3,NULL),(25,6284604,'1993-11-03 00:00:00',4,1,12,2010,'F','N','SANTA FELICIDADE','CURITIBA','PR','116252161215111751469614575112610136017',13535,'9998',41.08,1,3,NULL),(25,6284612,'1991-07-20 00:00:00',4,8,12,2008,'M','N','BOA VISTA','JOINVILLE','SC','124241241346171631546312245134131468096',NULL,'477',0.00,1,3,NULL),(25,6284620,'1989-08-06 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216474431238813575114122844177',436,'499',78.13,1,3,NULL),(25,6284639,'1994-07-15 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111231569713575122210168192',15509,'738',37.89,1,3,NULL),(25,6284647,'1979-03-22 00:00:00',2,1,11,1999,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241126132431333619381224610167117',NULL,'282',26.84,2,1,1),(25,6284655,'1994-09-30 00:00:00',4,7,12,2010,'M','N','CENTRO','JOAÇABA','SC','124242241215141431438532215121613247182',21308,'446',29.41,1,3,NULL),(25,6284663,'1992-12-02 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241217143431328623575124230421185',9873,'1022',47.02,1,3,NULL),(25,6284671,'1993-09-18 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241216212221338933575124610118142',NULL,'270',37.76,1,3,NULL),(25,6284698,'1992-03-03 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','116162168215574451448814571124610163047',851,'9998',74.32,1,3,NULL),(25,6284701,'1979-09-29 00:00:00',2,1,12,1999,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124161166345142431228844342124610127115',NULL,'9998',0.00,1,3,NULL),(25,6284710,'1991-09-05 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124201251117472231454432385124610127022',14114,'9998',39.97,1,2,1),(25,6284728,'1993-11-17 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241215271731539933572122610134147',11052,'988',45.20,4,3,NULL),(25,6284736,'1967-07-24 00:00:00',4,1,12,1983,'F','N','CENTRO','FLORIANÓPOLIS','SC','224243241217272411264654494122120457143',NULL,'262',33.31,1,3,NULL),(25,6284752,'1993-08-08 00:00:00',4,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124242241216111431456413575124610168192',7106,'1118',53.57,1,3,NULL),(25,6284760,'1994-07-07 00:00:00',4,1,12,2011,'F','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111732569934576122610123145',NULL,'272',44.35,1,3,NULL),(25,6284779,'1987-04-24 00:00:00',4,1,12,2004,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216575431458933571124222666047',1118,'269',73.32,1,3,NULL),(25,6284787,'1992-09-29 00:00:00',4,1,12,2010,'M','N','BELA VISTA','S JOSÉ','SC','124241241116152441216648481314610146012',NULL,'329',0.00,1,3,NULL),(25,6284795,'1987-12-09 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124251251117473411123548385124340826147',NULL,'9998',0.00,1,3,NULL),(25,6284809,'1994-03-10 00:00:00',2,10,12,2011,'M','S','CENTRO','BRAÇO NORTE','SC','124242241215111752558812275122510167042',NULL,'807',49.51,1,3,NULL),(25,6284817,'1993-01-30 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431347813572112610137095',6500,'270',55.22,1,3,NULL),(25,6284825,'1992-05-02 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241242112132431443915365124231014042',18169,'690',38.53,1,2,1),(25,6284833,'1993-04-24 00:00:00',2,1,11,2010,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215111431468823375114610137042',14490,'1022',44.47,1,3,NULL),(25,6284841,'1993-02-01 00:00:00',4,6,12,2010,'M','N','DOM BOSCO','ITAJAÍ','SC','124242241217131231568531375122610137187',11144,'388',49.45,1,3,NULL),(25,6284850,'1993-10-15 00:00:00',4,1,11,2010,'F','N','ZIMBROS','BOMBINHAS','SC','116164161217151431239831275122610112057',13363,'9998',42.69,1,3,NULL),(25,6284868,'1990-02-13 00:00:00',2,1,12,2007,'F','N','FUNDOS','BIGUAÇU','SC','124241241112134751323619345124610125147',NULL,'65',22.68,1,2,1),(25,6284876,'1993-10-28 00:00:00',4,1,11,2010,'M','N','SERRARIA','S JOSÉ','SC','124242241215111431346822245114610134062',NULL,'868',27.35,1,3,NULL),(25,6284884,'1993-08-06 00:00:00',2,1,12,2010,'F','N','TRÊS VENDAS','PELOTAS','RS','120204201217111731459813572122610114147',NULL,'9998',0.00,1,3,NULL),(25,6284906,'1993-06-28 00:00:00',4,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215272221259811576125610167182',17862,'1038',33.47,1,3,NULL),(25,6284914,'1993-08-22 00:00:00',2,5,12,2010,'M','N','RIO MAINA','CRICIÚMA','SC','124244243217141432566632395124610117182',19276,'995',36.33,1,3,NULL),(25,6284922,'1992-05-20 00:00:00',2,3,12,2008,'F','N','BOMBAS','BOMBINHAS','SC','124243243116474431548613575122233263147',NULL,'1089',0.00,1,3,NULL),(25,6284930,'1990-08-27 00:00:00',2,6,12,2007,'F','N','CENTRO','BOA ESPERANÇA','PR','116161161216572451546939572124610165077',8185,'9998',52.02,1,3,NULL),(25,6284949,'1969-11-05 00:00:00',2,1,11,1994,'M','N','CENTRO','S JOSÉ','SC','224243247327154721266443332132121123097',NULL,'9999',0.00,1,3,NULL),(25,6284957,'1991-07-28 00:00:00',4,1,12,2008,'M','N','VILA MARIANA','S PAULO','SP','125252251217571531346729192115610127056',11151,'9998',45.03,3,3,NULL),(25,6284965,'1986-08-19 00:00:00',2,6,12,2004,'M','N','STEFFEN','BRUSQUE','SC','124241241127141431443311235122230667092',NULL,'111',0.00,1,3,NULL),(25,6284973,'1992-04-20 00:00:00',4,3,12,2009,'F','N','SÃO BRAZ','CURITIBA','PR','116162161215471431458614572124610122122',1341,'9998',70.53,1,3,NULL),(25,6284981,'1988-08-26 00:00:00',4,1,12,2005,'M','N','JARDIM MATHILDE','SOROCABA','SP','125252251211571431458811471124610167127',8742,'9998',48.85,1,3,NULL),(25,6284990,'1987-06-28 00:00:00',4,1,12,2004,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124201191317142431269815392124233217056',NULL,'9998',40.47,1,3,NULL),(25,6285007,'1993-02-06 00:00:00',2,5,12,2010,'M','N','PIO CORREA','CRICIÚMA','SC','124242241212141332435812141124610137052',12384,'995',43.24,1,3,NULL),(25,6285015,'1993-03-07 00:00:00',2,1,11,2010,'F','N','LOURO','ANTÔNIO CARLOS','SC','124241241216151331634639572124610115143',NULL,'20',0.00,1,3,NULL),(25,6285040,'1993-02-03 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241217111231236823575124610127012',NULL,'1118',20.51,1,3,NULL),(25,6285058,'1993-03-21 00:00:00',4,1,12,2010,'M','N','JARDIM GUARAPUAVA','FOZ IGUAÇU','PR','116162161217111451358829275112610164046',10396,'9998',48.51,1,3,NULL),(25,6285066,'1993-06-11 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124211211116151431458413575122610122057',15214,'9998',37.66,1,2,1),(25,6285074,'1995-02-05 00:00:00',4,9,11,2011,'F','S','CENTRO','LAGES','SC','124242241215111431438614575125610125197',NULL,'1207',41.94,4,3,NULL),(25,6285082,'1991-03-11 00:00:00',4,1,11,2008,'M','N','PARQUE OHARA','CUIABÁ','MT','111112111216371431553912575122140411092',435,'9998',78.16,1,3,NULL),(25,6285090,'1993-08-13 00:00:00',2,15,12,2010,'M','N','SÃO FELIPE','TURVO','SC','124241241115141431436615572123610168147',NULL,'814',15.68,1,2,1),(25,6285104,'1990-03-31 00:00:00',4,1,12,2007,'F','N','JARDIM TRÊS MARIAS','S BERNARDO CAMPO','SP','125252251215571711278612575122610165142',4706,'9998',58.76,1,3,NULL),(25,6285112,'1993-03-22 00:00:00',2,1,12,2010,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241215111431325619375114610135052',NULL,'1023',28.37,1,3,NULL),(25,6285120,'1993-08-07 00:00:00',2,1,11,2010,'M','N','TUIUTI','PARANAGUÁ','PR','116162161236111532279933575111610167042',19487,'9998',35.86,1,3,NULL),(25,6285139,'1990-06-21 00:00:00',4,1,6,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242247215112431448633472121231267082',20281,'1133',33.82,1,3,NULL),(25,6285147,'1993-03-22 00:00:00',2,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124244241215111431436614445124610152112',18896,'939',37.13,1,3,NULL),(25,6285155,'1985-07-15 00:00:00',2,15,12,2001,'F','N','MATO ALTO','ARARANGUÁ','SC','124241241517131431518621312124142456117',NULL,'228',25.08,1,3,NULL),(25,6285163,'1993-08-04 00:00:00',4,3,12,2011,'M','S','MEIA PRAIA','ITAPEMA','SC','124242241216111431468814475122610124182',NULL,'270',31.32,1,3,NULL),(25,6285171,'1994-01-29 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241216171441469933595124610124012',13776,'299',45.52,1,3,NULL),(25,6285180,'1993-06-08 00:00:00',2,1,10,2010,'M','N','CENTRO','ERECHIM','RS','120202201215311731438831375112610137182',16224,'9998',37.15,1,3,NULL),(25,6285198,'1990-02-12 00:00:00',4,1,12,2007,'F','N','PQ DAS FLORES','CAMPINAS','SP','125252251215571411489922571112610127092',NULL,'9998',0.00,1,3,NULL),(25,6285201,'1994-04-01 00:00:00',4,3,11,2011,'M','S','CENTRO','BAL CAMBORIÚ','SC','124243241215111412368614575125610164182',NULL,'9997',29.41,3,3,NULL),(25,6285210,'1979-11-21 00:00:00',2,1,12,1999,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224241241146134411463153195124610163187',10407,'49',47.49,1,2,1),(25,6285228,'1970-04-09 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224241247122141731325354272114610168197',NULL,'9999',0.00,1,3,NULL),(25,6285244,'1993-08-17 00:00:00',4,1,12,2010,'F','N','JARDIM PITANGUEIRAS','JUNDIAÍ','SP','125252258215151431469811575122610131014',NULL,'9998',0.00,1,3,NULL),(25,6285252,'1993-03-12 00:00:00',4,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431359811572114610146122',9393,'270',51.78,1,3,NULL),(25,6285260,'1985-07-10 00:00:00',2,1,12,2003,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241127131451233351194114130213157',NULL,'22',0.00,1,2,1),(25,6285279,'1991-11-06 00:00:00',2,1,12,2008,'F','N','FUNDOS','BIGUAÇU','SC','124241241116473451232129345134610166047',14857,'65',39.14,4,2,1),(25,6285287,'1990-08-06 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201246316131431337714245134610137042',NULL,'9998',22.71,1,3,NULL),(25,6285295,'1990-11-30 00:00:00',2,1,12,2007,'F','N','CRISTO REDENTOR','PTO ALEGRE','RS','120201201216572751438913271124610127053',5092,'9998',58.47,1,3,NULL),(25,6285309,'1992-10-17 00:00:00',2,9,8,2010,'F','N','FÁTIMA','OTACÍLIO COSTA','SC','124241241116161431526914375122610134192',NULL,'583',0.00,1,2,1),(25,6285317,'1990-08-02 00:00:00',4,1,12,2008,'F','N','SETOR SUDOESTE','GOIÂNIA','GO','109092091215572751476823575112610162142',NULL,'9998',0.00,1,3,NULL),(25,6285325,'1992-04-01 00:00:00',4,1,12,2009,'F','N','IPANEMA','PTO ALEGRE','RS','120202201214471441469913575114610166187',NULL,'9998',37.90,1,3,NULL),(25,6285333,'1993-12-07 00:00:00',4,1,12,2010,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241217121431266912572112610127042',NULL,'270',16.56,1,3,NULL),(25,6285341,'1990-12-31 00:00:00',4,1,12,2009,'F','N','CAMPO GRANDE','SANTOS','SP','125252251215371711458839571122610137074',14422,'9998',40.09,1,3,NULL),(25,6285350,'1993-06-14 00:00:00',2,1,11,2010,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124244241215111432559913572122610137042',NULL,'210',20.35,4,3,NULL),(25,6285392,'1993-08-02 00:00:00',4,2,11,2010,'F','N','CENTRO','BRUSQUE','SC','124242241215112431349819294125610163142',10785,'109',46.07,1,3,NULL),(25,6285414,'1993-02-11 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212112531459713435124610152051',9714,'270',48.70,1,3,NULL),(25,6285422,'1986-07-28 00:00:00',2,15,12,2003,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241117131431336923295122233268187',NULL,'29',21.90,1,2,1),(25,6285430,'1990-06-20 00:00:00',2,1,12,2007,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124244241216374431529669285114610124097',20133,'259',33.18,1,3,NULL),(25,6285449,'1993-12-20 00:00:00',4,6,11,2010,'M','N','JARDIM MARIA AUGUSTA','TAUBATÉ','SP','125252251217111432358933475122610118042',4867,'9998',58.61,1,3,NULL),(25,6285457,'1992-10-17 00:00:00',2,5,12,2010,'M','N','SÃO LUIZ','CRICIÚMA','SC','124242243215141431333332221124613262052',17416,'213',33.85,1,3,NULL),(25,6285473,'1993-03-15 00:00:00',4,1,11,2010,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241115132431424311246122610122147',5417,'271',59.05,1,2,1),(25,6285481,'1986-11-14 00:00:00',4,1,12,2003,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124251251116371731223317385124610128042',8422,'9998',52.64,3,2,1),(25,6285490,'1991-03-24 00:00:00',4,1,12,2008,'M','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125252251217571431368811575122141864062',NULL,'9998',0.00,1,3,NULL),(25,6285503,'1992-02-03 00:00:00',4,8,11,2009,'F','N','BATEL','CURITIBA','PR','116252161216472431578814575112613247147',8263,'9998',50.30,1,3,NULL),(25,6285520,'1992-08-27 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431433313575124610137042',NULL,'1118',21.74,1,3,NULL),(25,6285538,'1994-05-27 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','121211211117471431458613592122610163142',10535,'9998',50.43,2,2,1),(25,6285562,'1993-11-01 00:00:00',2,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241248215111731533431575124610167092',NULL,'723',23.93,1,3,NULL),(25,6285570,'1994-03-28 00:00:00',2,4,12,2010,'M','N','CENTRO','PALMITOS','SC','124241241116161431338923475121610117057',15136,'601',38.60,1,2,1),(25,6285589,'1993-04-06 00:00:00',2,17,12,2010,'F','N','CENTRO','MAFRA','SC','124241241214111121448814575122610118143',NULL,'541',0.00,1,3,NULL),(25,6285597,'1992-03-06 00:00:00',2,1,8,2010,'F','N','XAXIM','CURITIBA','PR','116161163116372431348814375124610167042',2244,'9998',66.97,1,2,1),(25,6285600,'1993-02-07 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241217111231556614145124610122047',10671,'1022',46.72,1,3,NULL),(25,6285619,'1992-11-20 00:00:00',1,2,12,2010,'M','N','CENTRO','POMERODE','SC','124242241217111431569934575112610167056',13192,'624',42.07,1,3,NULL),(25,6285635,'1989-03-22 00:00:00',2,1,12,2006,'M','N','PETROPOLIS','PTO ALEGRE','RS','120203201316271111329779471114610163057',14331,'9998',41.62,4,3,NULL),(25,6285643,'1993-11-23 00:00:00',4,9,12,2010,'M','N','VILA NOVA','LAGES','SC','124241246217131431448613375125610137012',18796,'1106',31.80,1,3,NULL),(25,6285651,'1993-08-28 00:00:00',4,1,11,2010,'F','N','CENTRO','CURITIBANOS','SC','124242241215171431369933595112610138092',17011,'270',36.07,1,3,NULL),(25,6285660,'1984-07-15 00:00:00',4,15,12,2001,'M','N','PARAGUAI','JACINTO MACHADO','SC','124241241127132421321219295121610127057',NULL,'420',21.46,1,2,1),(25,6285686,'1994-08-11 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242244215121312436713432124612418147',20410,'723',33.41,1,3,NULL),(25,6285694,'1986-03-19 00:00:00',4,1,12,2003,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217574431459914415122321232192',208,'270',80.98,1,3,NULL),(25,6285708,'1992-05-15 00:00:00',2,1,12,2009,'M','N','SERTÃO','STO AMARO IMPERATRIZ','SC','124241241137211431534336385113610123012',NULL,'941',22.12,1,2,1),(25,6285724,'1992-10-22 00:00:00',2,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215472431459914372124610123182',12530,'462',47.29,1,3,NULL),(25,6285732,'1992-11-10 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111432369931575122610137011',380,'262',78.63,1,3,NULL),(25,6285740,'1993-05-09 00:00:00',2,3,11,2010,'F','N','CENTRO','BRUSQUE','SC','124242241215111431638811372112610163057',11499,'981',44.99,1,3,NULL),(25,6285767,'1992-10-11 00:00:00',4,1,12,2010,'M','N','PORTAL DAS FLORES','ARAPONGAS','PR','116162161217151431648834575112610167012',17663,'9998',39.46,3,3,NULL),(25,6285775,'1992-12-28 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431466933575122610167041',5795,'1050',57.03,1,3,NULL),(25,6285783,'1993-02-16 00:00:00',2,7,12,2010,'M','N','CENTRO','JOAÇABA','SC','124244241434111431422741215221610122082',NULL,'454',0.00,3,3,NULL),(25,6285805,'1993-10-01 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242248217112431533821595124610117057',NULL,'1022',21.07,3,3,NULL),(25,6285821,'1994-05-20 00:00:00',4,1,12,2010,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217151431668814291121610124182',7412,'951',53.04,1,3,NULL),(25,6285830,'1980-11-01 00:00:00',2,8,12,1998,'F','N','BOA VISTA','CURITIBA','PR','216161165116132431345553381124141327092',NULL,'9998',0.00,1,2,1),(25,6285848,'1991-09-25 00:00:00',4,8,10,2008,'M','N','CENTRO','TRÊS B PARANÁ','PR','116163161416311431555512275112141114012',3175,'9998',62.93,1,3,NULL),(25,6285856,'1994-02-08 00:00:00',4,4,12,2010,'M','N','CENTRO','PATO BRANCO','PR','116162161214121131439932272122610168184',20270,'9998',33.85,1,3,NULL),(25,6285864,'1992-10-07 00:00:00',2,1,12,2010,'F','N','AREIAS BARREIROS','S JOSÉ','SC','124241241215371431236923575124610132147',17497,'1022',39.75,1,3,NULL),(25,6285872,'1993-01-13 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241115371731623634585124610112012',18522,'726',33.67,2,1,1),(25,6285899,'1991-02-15 00:00:00',4,8,11,2008,'M','N','PONTA VERDE','MACEIÓ','AL','102022021216471431459913575112612462042',11905,'9998',48.32,1,3,NULL),(25,6285902,'1994-07-07 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111731478914575114610114042',15652,'1050',42.68,1,3,NULL),(25,6285910,'1992-11-13 00:00:00',2,1,12,2009,'M','N','PETRÓPOLIS','PASSO FUNDO','RS','120202201217371431456831591122610167042',2974,'9998',66.00,1,3,NULL),(25,6285929,'1991-07-21 00:00:00',4,8,11,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124241246237131532568819575121610168056',9960,'1006',47.78,1,3,NULL),(25,6285937,'1992-05-03 00:00:00',4,8,12,2009,'F','N','CENTRO CÍVICO','CURITIBA','PR','116162161217571731468933475125610164093',3844,'9998',62.02,1,3,NULL),(25,6285945,'1991-03-10 00:00:00',2,1,12,2009,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241116131731523311345124231324147',19142,'733',36.66,2,1,1),(25,6285953,'1991-07-12 00:00:00',4,1,12,2008,'F','N','VILA MARIA','BOTUCATU','SP','125252251216572431448814472122610122187',4101,'9998',63.03,1,3,NULL),(25,6285961,'1993-05-27 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471431369911575112610167062',6279,'270',56.95,1,3,NULL),(25,6285970,'1984-01-27 00:00:00',4,1,11,2001,'M','N','AGUA RASA','S PAULO','SP','125252254214471421359811315133341234067',NULL,'9998',26.33,1,3,NULL),(25,6285988,'1991-01-29 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162241217135441323369582324223064187',11220,'991',49.35,1,3,NULL),(25,6285996,'1993-05-13 00:00:00',4,6,12,2010,'M','N','JARDIM EUROPA','DOURADOS','MS','112122121235121751588931575122610127057',12408,'9998',47.51,3,3,NULL),(25,6286003,'1993-01-16 00:00:00',4,4,12,2009,'F','N','TROPICAL','CASCAVEL','PR','116164161215471431438632274122610134122',11032,'9998',46.46,1,3,NULL),(25,6286011,'1992-08-18 00:00:00',4,7,11,2010,'F','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124242241215112421448612575124231427142',17847,'962',39.14,1,3,NULL),(25,6286020,'1992-07-06 00:00:00',4,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215372431588812572112610167043',15122,'262',43.51,1,3,NULL),(25,6286038,'1992-11-02 00:00:00',4,8,12,2010,'M','N','CENTRO','MAFRA','SC','124162161235111431467933275112610118017',9438,'9997',48.18,1,3,NULL),(25,6286046,'1990-04-23 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241111134431524614281124610122142',20672,'307',32.49,2,1,1),(25,6286062,'1994-03-24 00:00:00',2,1,12,2010,'M','N','CENTRO','BIGUAÇU','SC','124242241215111431536652576124610124113',11012,'262',44.67,1,3,NULL),(25,6286070,'1991-03-16 00:00:00',2,5,12,2008,'F','N','SANTA CRUZ','FORQUILHINHA','SC','124241241126272431533334572114610126147',15427,'214',39.58,1,2,1),(25,6286089,'1990-07-13 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117373411548833445124610135127',12846,'267',43.15,4,2,1),(25,6286097,'1993-01-27 00:00:00',4,8,12,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215111431238669572112610124072',14278,'1063',39.08,1,3,NULL),(25,6286100,'1990-10-14 00:00:00',4,1,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242281217111731368711445122133268091',13868,'9998',45.38,1,3,NULL),(25,6286119,'1986-06-06 00:00:00',5,1,7,2005,'M','N','CAMPINAS','S JOSÉ','SC','124073241136151431138413435112231062045',NULL,'9998',18.14,1,3,NULL),(25,6286127,'1993-09-11 00:00:00',4,9,11,2010,'M','N','CORAL','LAGES','SC','124242241217152442469911375112610132042',4211,'497',60.69,1,3,NULL),(25,6286135,'1993-05-12 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241117271431456624345122610166142',NULL,'730',30.07,1,3,NULL),(25,6286143,'1980-09-05 00:00:00',4,1,12,2000,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124161161146143411123341315123610124187',20316,'9998',29.80,3,3,NULL),(25,6286160,'1993-02-14 00:00:00',2,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215131431323337576224610134077',NULL,'988',41.16,4,3,NULL),(25,6286178,'1993-08-06 00:00:00',4,1,12,2010,'M','N','JD AMERICA','S JOSÉ CAMPOS','SP','125251251237111411669813372121610167012',7225,'9998',51.88,1,3,NULL),(25,6286186,'1990-11-08 00:00:00',2,10,12,2008,'F','N','TRÊS DE MAIO','CAPIVARI BAIXO','SC','124241241147161331323624342124610154147',NULL,'158',16.79,2,1,1),(25,6286194,'1995-05-10 00:00:00',4,1,12,2011,'F','S','PONTE DO IMARUIM','PALHOÇA','SC','124244241116152442436834575122610125102',NULL,'739',49.22,1,3,NULL),(25,6286208,'1984-10-20 00:00:00',4,1,12,2001,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241213274411456634447111121467177',12224,'259',47.80,1,3,NULL),(25,6286224,'1993-06-09 00:00:00',4,4,12,2010,'M','N','SÃO JOSÉ','MARAVILHA','SC','124243241217111431439912426112610132057',7633,'1037',52.15,1,3,NULL),(25,6286232,'1993-09-08 00:00:00',4,1,12,2010,'M','N','JD GUARAPUAVA','FOZ IGUAÇU','PR','116162161215111431437612575122610167052',NULL,'9998',22.08,1,3,NULL),(25,6286240,'1993-02-02 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117471731525311275124610138187',11049,'288',46.11,1,2,1),(25,6286259,'1992-11-19 00:00:00',2,1,12,2009,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241111372331645532315112610147112',15294,'288',40.39,1,2,1),(25,6286267,'1993-11-17 00:00:00',4,9,12,2010,'F','N','CENTRO','CORREIA PINTO','SC','124241241115371431434314145122610157042',21359,'201',29.07,1,2,1),(25,6286275,'1993-07-29 00:00:00',4,2,11,2010,'F','N','DAS NAÇÕES','TIMBÓ','SC','124241241215112231326324572122610122057',3827,'1157',60.67,1,3,NULL),(25,6286283,'1993-09-22 00:00:00',2,2,12,2010,'M','N','ASILO','BLUMENAU','SC','124241241137141432543914245124610124012',NULL,'79',0.00,1,2,1),(25,6286291,'1993-12-27 00:00:00',4,1,12,2012,'M','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217111421468812496112610157065',NULL,'270',44.21,1,3,NULL),(25,6286305,'1992-04-14 00:00:00',4,1,12,2009,'M','N','ITAIPUAÇU','MARICÁ','RJ','121212211117572431438614342124240627047',10588,'9998',46.23,1,3,NULL),(25,6286313,'1993-02-17 00:00:00',4,1,11,2010,'M','N','SAO FRANCISCO','CURITIBA','PR','116252241216111431467712575112610137052',9533,'1169',49.69,3,3,NULL),(25,6286321,'1990-06-03 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124204051214112431126644445324221827065',17173,'9998',40.33,1,3,NULL),(25,6286330,'1985-11-20 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','224251257141311421223844245122610128182',17204,'9998',40.28,1,2,1),(25,6286348,'1993-03-01 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431588833572122610167042',186,'262',81.32,1,3,NULL),(25,6286356,'1990-04-22 00:00:00',4,10,12,2007,'M','N','BOM PASTOR','TUBARÃO','SC','124241241126271712423331132113610122187',18561,'798',37.84,1,3,NULL),(25,6286372,'1993-02-25 00:00:00',4,8,11,2010,'F','N','ANITA GARIBALD','JOINVILLE','SC','124241241115141231623635275122610122057',NULL,'479',0.00,1,2,1),(25,6286380,'1988-07-08 00:00:00',4,1,12,2005,'M','N','BARREIROS','S JOSÉ','SC','124244241216375441457619385124232738077',3598,'723',64.31,1,3,NULL),(25,6286399,'1992-03-02 00:00:00',4,1,11,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241215111731569613595112610126182',15348,'1118',38.88,1,3,NULL),(25,6286410,'1990-09-10 00:00:00',2,4,12,2007,'F','N','CENTRO','MANGUEIRINHA','PR','116161161116572411545916575115610132187',NULL,'9998',0.00,4,2,1),(25,6286429,'1992-08-27 00:00:00',4,4,12,2009,'M','N','COHAB','PASSOS MAIA','SC','124241241137151431423313582112610134057',12123,'606',43.58,4,2,1),(25,6286437,'1994-01-28 00:00:00',2,1,11,2010,'F','N','KOBRASSOL','S JOSÉ','SC','124241241215111431538612575112610136072',8455,'737',51.50,4,3,NULL),(25,6286445,'1985-06-06 00:00:00',2,15,12,2002,'F','N','SANGA DO MARCO','ARARANGUÁ','SC','124241241117131431423326492113132718197',NULL,'29',17.33,1,2,1),(25,6286453,'1989-03-20 00:00:00',4,8,12,2006,'M','N','FLORESTA','JOINVILLE','SC','124241241215573431244417345122231422112',9384,'486',52.38,4,3,NULL),(25,6286461,'1970-12-09 00:00:00',2,1,12,1996,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224213211321151431323351281124141326097',NULL,'9998',38.24,1,3,NULL),(25,6286470,'1992-07-16 00:00:00',4,1,12,2009,'M','N','NOVA VICENZA','FARROUPILHA','RS','120203201215471431436622275114610164187',10888,'9998',45.27,1,3,NULL),(25,6286488,'1994-08-29 00:00:00',4,1,12,2011,'F','S','PANTANAL','FLORIANÓPOLIS','SC','124242246235111431559832575122610118072',NULL,'270',21.46,1,3,NULL),(25,6286496,'1995-07-03 00:00:00',4,6,12,2012,'F','S','ALTO DAS PAINEIRAS','DOURADOS','MS','112122121237111451568833475122610128192',NULL,'9998',54.21,3,3,NULL),(25,6286500,'1985-09-05 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117272431224344345123610127047',13060,'669',46.51,1,2,1),(25,6286518,'1993-04-10 00:00:00',4,15,12,2010,'F','N','CENTRO','PASSO TORRES','SC','124241201117471451423619194225610124092',6131,'9998',55.09,1,2,1),(25,6286526,'1991-07-06 00:00:00',4,1,12,2008,'M','N','JARDIM ROLAND','ROLÂNDIA','PR','116162161215511411559931595122610164042',1671,'9998',68.26,1,3,NULL),(25,6286542,'1989-03-21 00:00:00',4,5,12,2006,'F','N','CENTRO','CRICIÚMA','SC','120242201217571731228614272125141562122',455,'9998',77.71,1,3,NULL),(25,6286550,'1994-11-24 00:00:00',4,9,12,2010,'M','N','CENTRO','PTE ALTA','SC','124241241116131441655933575122610167052',8905,'625',50.10,1,2,1),(25,6286569,'1990-06-15 00:00:00',2,4,12,2007,'M','N','CENTRO','FOZ IGUAÇU','PR','116163161416472751444416575112241462042',NULL,'9998',0.00,1,3,NULL),(25,6286577,'1992-03-02 00:00:00',4,4,12,2008,'M','N','CENTRO','NOVA AURORA','PR','116163161116151431554814575115241464031',6966,'9998',56.80,1,3,NULL),(25,6286593,'1991-05-20 00:00:00',4,1,11,2008,'M','N','REBOUÇAS','CURITIBA','PR','116162161216572411436834244335610126097',NULL,'9998',0.00,1,3,NULL),(25,6286607,'1994-03-27 00:00:00',2,16,12,2010,'F','N','CENTRO','LEBON RÉGIS','SC','124244241117131231546616145124610128017',NULL,'532',26.39,1,3,NULL),(25,6286615,'1993-02-05 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372712366823572112610124042',853,'1022',73.76,1,3,NULL),(25,6286623,'1989-05-26 00:00:00',2,4,12,2006,'M','N','CENTRO','ÁGUAS CHAPECÓ','SC','124241241147131731523339242113610147052',NULL,'10',0.00,1,2,1),(25,6286631,'1981-04-18 00:00:00',4,2,12,1998,'M','N','CENTRO','INDAIAL','SC','124243241217172731245848485122120727127',7933,'88',54.94,1,3,NULL),(25,6286658,'1993-05-04 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112741356411575122610162112',3295,'1050',63.09,1,3,NULL),(25,6286666,'1993-08-05 00:00:00',2,7,12,2010,'F','N','VILA REMOR','JOAÇABA','SC','124241248116271431333319275124610137052',NULL,'449',32.99,4,3,NULL),(25,6286674,'1987-04-18 00:00:00',5,1,7,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136151711134623285122233264025',NULL,'574',0.00,1,2,1),(25,6286682,'1993-03-09 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241115371431546333375124610127045',15963,'298',38.47,1,2,1),(25,6286690,'1993-10-08 00:00:00',4,5,12,2010,'M','N','CRISTO REI','IÇARA','SC','124241241215131431426611585122610144012',9186,'349',52.71,1,3,NULL),(25,6286704,'1992-11-01 00:00:00',2,1,12,2009,'F','N','JARDIM IGUAÇU','MARINGÁ','PR','116164161115371431646931575112610112057',NULL,'9998',0.00,1,3,NULL),(25,6286712,'1991-04-16 00:00:00',2,4,12,2009,'M','N','CENTRO','PATO BRANCO','PR','116161168316372731426632275115610134012',NULL,'9998',19.04,1,3,NULL),(25,6286720,'1993-02-15 00:00:00',2,5,12,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215121511358614575112610124047',10005,'226',51.33,1,3,NULL),(25,6286739,'1993-08-31 00:00:00',4,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124244241415271421246823575124610117042',10254,'272',46.68,1,3,NULL),(25,6286747,'1994-09-16 00:00:00',4,5,11,2011,'M','S','CENTRO','CRICIÚMA','SC','124242241215111431548614375122610127042',NULL,'226',52.84,1,3,NULL),(25,6286755,'1992-07-21 00:00:00',2,15,12,2009,'F','N','AREIAS BRANCAS','BAL ARROIO SILVA','SC','124244241116371732327911315124610134057',16006,'854',36.83,1,3,NULL),(25,6286763,'1989-01-08 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124122121233535411122223293115610114114',4400,'9998',60.37,4,3,NULL),(25,6286780,'1993-02-06 00:00:00',4,1,9,2010,'F','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124242241215272431246923575122610115042',7684,'1169',53.60,1,3,NULL),(25,6286798,'1986-09-16 00:00:00',2,1,12,2003,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241115375431549519475124122322157',3710,'307',63.96,1,3,NULL),(25,6286801,'1988-10-15 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241225273431426614245124610134147',12092,'262',42.68,1,3,NULL),(25,6286828,'1993-05-30 00:00:00',2,4,12,2010,'M','N','CENTRO','MANGUEIRINHA','PR','116161161116471431545916595115610137057',19059,'9998',32.41,4,2,1),(25,6286844,'1993-07-17 00:00:00',4,1,12,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241115131431326724572124610117112',NULL,'733',0.00,1,2,1),(25,6286852,'1990-10-11 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124212241215574431359614575124222963092',2204,'270',68.54,1,3,NULL),(25,6286860,'1993-07-14 00:00:00',4,5,3,1993,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111431435312571122610154117',18983,'226',36.96,1,3,NULL),(25,6286879,'1992-05-11 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124252241215121431489911575122610167115',14882,'270',43.87,1,3,NULL),(25,6286887,'1992-04-03 00:00:00',2,4,12,2010,'M','N','CENTRO','BARRACÃO','PR','124241241116311731445532325122610127063',NULL,'245',0.00,1,2,1),(25,6286895,'1991-09-28 00:00:00',2,1,12,2009,'F','N','RATONES','FLORIANÓPOLIS','SC','124251241127271431323414375124610127043',NULL,'307',20.35,3,2,1),(25,6286909,'1988-06-11 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201127271431246549375114143236187',NULL,'9998',0.00,1,3,NULL),(25,6286917,'1991-03-09 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241216153421436613575124220727042',14301,'269',44.72,1,3,NULL),(25,6286925,'1992-12-03 00:00:00',4,16,12,2009,'F','N','SÃO JOSÉ','CURITIBANOS','SC','124241241215372431239613242122610164181',10436,'881',46.74,1,3,NULL),(25,6286941,'1988-07-25 00:00:00',2,1,7,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247336121431256751225122610127147',NULL,'9999',0.00,1,3,NULL),(25,6286950,'1990-09-30 00:00:00',2,1,11,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241216574431526414575124233227182',16847,'738',40.87,1,3,NULL),(25,6286968,'1993-02-08 00:00:00',4,7,12,2010,'M','N','SÃO JOÃO','CAPINZAL','SC','124244241116141451336939295124610134012',17422,'156',39.89,1,3,NULL),(25,6286976,'1992-10-23 00:00:00',4,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124141141116111431648613372114610124142',12343,'9998',47.62,1,2,1),(25,6286984,'1980-02-24 00:00:00',4,1,12,1996,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224242241216575331369953435122521061177',3426,'260',64.73,1,3,NULL),(25,6286992,'1993-01-20 00:00:00',2,8,12,2010,'F','N','JARDIM LAGEADO','S PAULO','SP','125251251146131411425619295124610124142',16431,'9998',41.52,1,2,1),(25,6287018,'1993-03-02 00:00:00',2,1,11,2010,'F','N','BELA VISTA I','S JOSÉ','SC','124241241117371431457413475124610127147',NULL,'257',23.81,1,2,1),(25,6287026,'1992-06-05 00:00:00',2,8,11,2009,'M','N','JARDIM IRIRIU','JOINVILLE','SC','124241241416121432426414441121141644055',21236,'653',29.83,1,3,NULL),(25,6287034,'1993-04-03 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121732224321575124610138182',NULL,'1197',37.18,2,1,2),(25,6287042,'1986-11-28 00:00:00',2,15,11,2007,'M','N','MATO ALTO','ARARANGUÁ','SC','124241247126142431429513485122343234055',NULL,'9999',0.00,1,3,NULL),(25,6287050,'1984-01-30 00:00:00',2,1,12,2001,'M','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241126272431423314445134610127147',NULL,'772',21.04,1,2,1),(25,6287069,'1985-08-29 00:00:00',2,1,8,2003,'M','N','RIO DAS ANTAS','RANCHO QUEIMADO','SC','124241241146332732456831145112610138147',16930,'592',40.73,1,2,1),(25,6287077,'1990-06-08 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241247335471411236819345124130634172',18261,'9999',38.37,1,3,NULL),(25,6287085,'1991-04-24 00:00:00',4,1,11,2008,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215273431666829475114610137067',18167,'1022',38.53,1,3,NULL),(25,6287115,'1991-08-05 00:00:00',4,3,12,2008,'M','N','SAO FCO DE ASSIS','CAMBORIÚ','SC','124241241115372431433312445124610124177',13019,'130',40.72,1,2,1),(25,6287123,'1988-08-08 00:00:00',2,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124201201116574431455912275124222627147',11746,'9998',48.55,1,2,1),(25,6287131,'1989-03-26 00:00:00',3,2,12,2006,'F','N','PROGRESSO','BLUMENAU','SC','124241241111272431336723375122610126092',13916,'69',40.20,1,2,1),(25,6287140,'1980-03-05 00:00:00',4,9,12,1998,'M','N','CENTRO','PTO ALEGRE','RS','120212211217132421163843432122141467086',NULL,'9998',0.00,4,3,NULL),(25,6287158,'1993-01-30 00:00:00',2,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241116272411126621575125223264132',9344,'146',50.86,1,2,1),(25,6287166,'1983-01-30 00:00:00',2,1,12,2000,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241116152721365579495124321763045',14811,'498',43.98,1,2,1),(25,6287174,'1992-07-04 00:00:00',4,1,12,2009,'F','N','FLORESTA','S JOSÉ','SC','124242241216272431217624275124222264097',NULL,'1077',39.66,1,3,NULL),(25,6287182,'1994-03-04 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124241241117271431324923575124610167032',17519,'730',39.71,2,1,1),(25,6287190,'1993-09-26 00:00:00',4,1,11,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215112511458814575112610158197',991,'262',73.28,1,3,NULL),(25,6287204,'1990-01-12 00:00:00',4,1,12,2007,'F','N','VILA B','FOZ IGUAÇU','PR','116162201216571431489919581122610124042',902,'9998',73.51,1,3,NULL),(25,6287212,'1991-10-24 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116172711226839445124610163022',16696,'146',41.08,1,2,1),(25,6287220,'1993-07-31 00:00:00',2,9,12,2010,'F','N','RURAL','MIRIM DOCE','SC','124241241116131411424435555214610156057',NULL,'560',18.69,1,3,NULL),(25,6287247,'1991-06-17 00:00:00',4,17,12,2008,'M','N','CENTRO','MAFRA','SC','124241241216242431437612345121133242152',NULL,'541',35.44,1,3,NULL),(25,6287255,'1992-10-05 00:00:00',4,1,11,2010,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242248217272752436613574124610163121',18667,'9999',37.61,1,3,NULL),(25,6287263,'1989-03-13 00:00:00',4,8,12,2006,'M','N','JD PANCERA','TOLEDO','PR','116162161212571411248621575112141464096',56,'9998',85.26,1,3,NULL),(25,6287271,'1992-04-04 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212512431459613572222610132092',4275,'270',61.77,1,3,NULL),(25,6287280,'1992-08-16 00:00:00',2,1,12,2010,'M','N','REAL PARQUE','S JOSÉ','SC','124243248315472331445412114124610167112',20611,'9999',27.02,4,3,NULL),(25,6287298,'1980-12-13 00:00:00',4,1,12,2010,'M','N','CRUZEIRO','CAXIAS SUL','RS','120203207347131441113341115124610164047',NULL,'9998',0.00,1,3,NULL),(25,6287310,'1992-08-31 00:00:00',4,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124241241116371711523429395224610118197',21695,'734',25.30,1,3,NULL),(25,6287328,'1993-12-15 00:00:00',4,10,11,2010,'F','N','CENTRO','TUBARÃO','SC','124242241215111311326823595122610125192',7552,'806',51.79,1,3,NULL),(25,6287336,'1976-08-19 00:00:00',4,1,12,1993,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','224251251126151431223353132223342362197',5318,'9998',55.82,1,2,1),(25,6287344,'1991-12-21 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241111373431326923382114610127042',16590,'257',35.64,1,2,1),(25,6287360,'1995-01-04 00:00:00',4,1,12,2011,'F','S','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216111411367832575122630116187',NULL,'270',26.72,1,3,NULL),(25,6287379,'1989-07-09 00:00:00',2,1,12,2006,'F','N','DANIELA','FLORIANÓPOLIS','SC','124243244216373421443532442124610122057',NULL,'1048',0.00,4,3,NULL),(25,6287387,'1991-01-26 00:00:00',2,8,12,2008,'M','N','JD PORTAL DO LAGO','APUCARANA','PR','116163161414573331536634445124610168192',11031,'9998',47.12,1,3,NULL),(25,6287395,'1992-06-23 00:00:00',4,1,12,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241248115131431433429395124610138092',NULL,'306',16.98,1,2,1),(25,6287409,'1993-09-28 00:00:00',4,1,12,2010,'F','N','JD VISTA ALEGRE','LIMEIRA','SP','125251251117471431326429572324610123092',NULL,'9998',17.04,1,2,1),(25,6287417,'1987-04-10 00:00:00',4,1,12,2004,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241316132431333319345134330224147',18348,'737',38.20,1,3,NULL),(25,6287425,'1991-10-12 00:00:00',4,8,12,2008,'F','N','GLORIA','JOINVILLE','SC','124243241214372421536411345122610134012',20011,'1016',34.54,1,3,NULL),(25,6287433,'1993-07-07 00:00:00',2,2,12,2010,'M','N','JARDIM DAS HORTÊNCIA','RIO OESTE','SC','124241241125141731414724342122610132182',NULL,'652',0.00,1,2,1),(25,6287450,'1992-09-14 00:00:00',2,9,12,2009,'F','N','CENTRO','IMBUIA','SC','124241241131151431436315391122230634052',NULL,'364',0.00,1,2,1),(25,6287468,'1988-11-03 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241126133441359313345124610137041',NULL,'922',30.39,1,3,NULL),(25,6287476,'1986-12-21 00:00:00',4,3,12,2007,'M','N','EUGÊNIO FERREIRA','CANELA','RS','120162161231472411248812442134610164122',16762,'9998',34.54,1,3,NULL),(25,6287484,'1989-08-16 00:00:00',4,1,12,2006,'F','N','FREGUESIA DO Ó','S PAULO','SP','125251251137371711336614345124610122097',NULL,'9998',16.91,1,2,1),(25,6287492,'1991-10-05 00:00:00',2,1,12,2008,'F','N','CENTRO','RODEIO BONITO','RS','120201208416571431554439575124610126197',NULL,'9998',0.00,1,3,NULL),(25,6287506,'1992-04-17 00:00:00',2,1,12,2010,'F','N','RECANTO ALVORADA','LIMEIRA','SP','125251251115371431423328272224610152092',NULL,'9998',0.00,1,2,1),(25,6287514,'1974-10-26 00:00:00',4,15,12,1992,'M','N','CEMTRO','SOMBRIO','SC','124201207117131431113349395324140122017',20614,'9998',32.69,2,1,1),(25,6287530,'1990-03-23 00:00:00',2,1,12,2008,'M','N','CENTRO','PAULO LOPES','SC','124241241116141432335812335124610127047',NULL,'739',0.00,4,2,1),(25,6287549,'1993-07-27 00:00:00',4,1,12,2010,'F','N','CAMBUÍ','CAMPINAS','SP','125252251217111431369823571122610163142',NULL,'9998',0.00,1,3,NULL),(25,6287557,'1993-03-17 00:00:00',4,1,11,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111431469813432122610114172',2824,'270',66.45,1,3,NULL),(25,6287565,'1993-09-19 00:00:00',4,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241215111431438611571122610164042',8489,'723',50.55,1,3,NULL),(25,6287581,'1992-11-25 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215372451469813595124232423147',2689,'270',65.68,1,3,NULL),(25,6287590,'1970-10-18 00:00:00',2,1,12,2000,'M','N','CAMPO BELO','LIMEIRA','SP','225251257125571421431144341314610166047',NULL,'9998',0.00,4,2,1),(25,6287603,'1993-12-01 00:00:00',2,16,12,2010,'M','N','CENTRO','CAMPOS NOVOS','SC','124242241217111731434934575122610127052',16096,'138',42.00,1,3,NULL),(25,6287611,'1990-08-22 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124244247347141421546313335122610122047',17450,'9999',39.84,1,3,NULL),(25,6287620,'1993-05-17 00:00:00',4,1,12,2010,'F','N','JARDIM PANORAMA','UBIRATÃ','PR','116162161436271431425411275122610113147',NULL,'9998',32.48,1,3,NULL),(25,6287638,'1993-10-01 00:00:00',4,1,12,2010,'M','N','JD CIDADE FPOLIS','S JOSÉ','SC','124242241415111231444619575122610127052',6612,'307',55.30,1,3,NULL),(25,6287646,'1991-01-06 00:00:00',4,1,12,2008,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124241241116253431326618572224610112145',15210,'307',43.39,1,2,1),(25,6287662,'1992-07-03 00:00:00',4,1,12,2009,'F','N','CENTRO','S GABRIEL OESTE','MS','112122121217471431478812575122610166072',10410,'9998',46.40,1,3,NULL),(25,6287689,'1989-01-18 00:00:00',4,1,12,2006,'F','N','CIDADE FLORIANOPOLIS','S JOSÉ','SC','124242241215473731356614445133122242057',NULL,'738',41.30,1,3,NULL),(25,6287697,'1991-04-20 00:00:00',4,1,12,2009,'F','N','SANTA EULÁLIA','LIMEIRA','SP','125251256127271131426611386124610162042',15607,'9998',37.41,2,1,1),(25,6287700,'1977-02-27 00:00:00',2,1,12,2005,'F','N','JARDIM SANTIAGO','S JOSÉ','SC','424241245126131411432313135122610133141',NULL,'734',34.71,4,2,1),(25,6287727,'1989-11-19 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241417422431338923575122610122192',NULL,'272',10.26,1,3,NULL),(25,6287735,'1985-09-06 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243247121272711226644245135332046021',20770,'307',32.07,1,3,NULL),(25,6287743,'1993-03-23 00:00:00',2,1,12,2010,'F','N','TIJUQUINHAS','BIGUAÇU','SC','124241241115271131424634572224610163147',19555,'64',35.68,4,3,NULL),(25,6287751,'1991-09-03 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241115271431423639172124610127142',NULL,'295',36.34,2,2,1),(25,6287760,'1993-08-03 00:00:00',2,9,11,2010,'F','N','BELA VISTA','BOM RETIRO','SC','124243241126141431336819242122610137142',NULL,'935',0.00,1,3,NULL),(25,6287786,'1986-05-19 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241051117131421326344341333610147117',NULL,'9998',14.49,1,2,1),(25,6287794,'1994-07-30 00:00:00',4,4,12,2010,'F','N','AEROPORTO','ERECHIM','RS','120201205116271731443934575124610126147',NULL,'9998',40.90,1,3,NULL),(25,6287808,'1994-04-23 00:00:00',2,1,11,2010,'F','N','SIRIU','GAROPABA','SC','124241241147131751313321575124610116027',NULL,'322',19.32,1,2,1),(25,6287816,'1980-02-01 00:00:00',2,1,3,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','424242247246135521528829275122133262197',19194,'9999',36.56,1,3,NULL),(25,6287824,'1992-12-13 00:00:00',2,8,12,2009,'F','N','AVAÍ','GUARAMIRIM','SC','124241248126141731638614245124610128142',NULL,'336',31.44,1,2,1),(25,6287832,'1992-07-03 00:00:00',2,1,12,2010,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124243241315111431446624312112610117045',20989,'1223',31.13,1,3,NULL),(25,6287840,'1993-10-19 00:00:00',4,15,12,2010,'F','N','CENTRO','PR GRANDE','SC','124241241135111731623663291324610138092',NULL,'641',0.00,3,2,1),(25,6287859,'1992-10-25 01:00:00',2,7,12,2009,'M','N','INTERIOR','JABORÁ','SC','124241242215271211364632262222610114091',18195,'836',32.93,1,3,NULL),(25,6287875,'1990-07-22 00:00:00',2,1,12,2007,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241116373431345824345124610133182',17952,'307',35.30,4,3,NULL),(25,6287883,'1994-03-20 00:00:00',2,15,12,2010,'F','N','LINHA SIMÃO','ERMO','SC','124241241115271431413315152342610146051',19180,'250',31.88,4,2,1),(25,6287891,'1993-03-04 00:00:00',2,15,12,2010,'F','N','SANGA DA AREIA','STA ROSA SUL','SC','124241241111111431423615572223610124045',NULL,'689',28.44,1,2,1),(25,6287905,'1991-09-19 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241212111431458933575124610114093',NULL,'1048',17.67,1,3,NULL),(25,6287913,'1991-09-04 00:00:00',2,1,12,2008,'F','N','SANTA TERESA','PTO ALEGRE','RS','120202201216572431359914374122143234056',NULL,'9998',0.00,1,3,NULL),(25,6287921,'1992-05-16 00:00:00',2,15,12,2009,'M','N','COM COM','SOMBRIO','SC','124242241216372431445933575122610127147',8668,'770',53.65,1,3,NULL),(25,6287930,'1993-11-19 00:00:00',2,4,12,2010,'M','N','INTERIOR','PINHALZINHO','SC','124241241117111531524336162124610127047',NULL,'616',27.93,1,2,1),(25,6287948,'1961-12-20 00:00:00',4,1,1,2002,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224203247147131721454443432122610138137',10505,'9998',46.43,1,3,NULL),(25,6287956,'1991-09-14 00:00:00',4,1,12,2008,'F','N','FORQUILHINHAS','S JOSÉ','SC','124244241215373531536632347124610127057',9648,'1075',48.59,1,3,NULL),(25,6287964,'1987-02-04 00:00:00',4,8,11,2003,'F','N','GLÓRIA','JOINVILLE','SC','124164241215271731139833215122130451142',4921,'486',59.32,1,3,NULL),(25,6287980,'1986-09-28 00:00:00',2,1,12,2003,'M','N','SANTA MARIA','JATAÍ','GO','109092091217571751524729592125142467047',NULL,'9998',0.00,1,3,NULL),(25,6287999,'1992-01-28 00:00:00',4,1,12,2010,'M','N','VILA IZABEL','CURITIBA','PR','116164166115151431347624345114610167042',7533,'9998',51.32,1,3,NULL),(25,6288006,'1989-11-12 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216274231457813485112221267057',NULL,'884',17.17,1,3,NULL),(25,6288014,'1992-02-10 00:00:00',4,1,12,2009,'M','N','ACEP','PEREIRA BARRETO','SP','125254251415471431458839571125610118182',NULL,'9998',0.00,1,3,NULL),(25,6288022,'1993-06-25 00:00:00',2,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215271431336732575122610163012',6878,'723',56.12,1,3,NULL),(25,6288049,'1994-03-30 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241415111731438614276114610122013',20204,'307',34.05,1,3,NULL),(25,6288057,'1992-12-12 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241216152431448914384124232833147',12693,'738',47.08,1,3,NULL),(25,6288065,'1993-08-29 00:00:00',2,4,11,2010,'M','N','LINHO','ERECHIM','RS','120204201216271431456639575122610127047',15944,'9998',36.57,1,3,NULL),(25,6288073,'1991-07-25 00:00:00',4,6,12,2008,'M','N','JOSÉ AMANDIO','BOMBINHAS','SC','124241243117141431625614342121610148037',NULL,'1089',24.45,4,2,1),(25,6288081,'1992-08-11 00:00:00',2,4,12,2009,'M','N','ZONA RURAL','ARATIBA','RS','120201242115471431545933582124610147057',13081,'196',41.31,1,2,1),(25,6288103,'1992-12-09 00:00:00',4,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216131411358913575124610126097',NULL,'988',23.82,1,3,NULL),(25,6288111,'1992-03-18 00:00:00',4,1,12,2010,'M','N','FORQUILHAS','S JOSÉ','SC','124241241126131431535514295124610114047',NULL,'727',0.00,1,2,1),(25,6288120,'1987-01-06 00:00:00',4,1,12,2004,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215274431338831485124120326182',10568,'269',50.38,1,3,NULL),(25,6288138,'1971-07-03 00:00:00',4,1,12,1990,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126334431343343135124122962097',3385,'100',63.68,1,2,1),(25,6288154,'1992-05-04 00:00:00',4,5,12,2009,'M','N','MORRO ESTEVÃO','CRICIÚMA','SC','124242246215372231558413375124610167072',3810,'995',62.32,1,3,NULL),(25,6288162,'1984-09-23 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124112111216271421238833416124543244182',10578,'9998',50.36,4,3,NULL),(25,6288197,'1993-03-05 00:00:00',4,17,12,2010,'M','N','CENTRO','CANOINHAS','SC','124241241135141431349612295132610162017',NULL,'146',0.00,1,2,1),(25,6288200,'1989-12-09 00:00:00',2,5,12,2006,'F','N','INTERIOR','AUGUSTO PESTANA','RS','120201201117571431323636175112141017182',NULL,'9998',38.43,1,2,1),(25,6288219,'1993-06-01 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241116372431459933575122610122195',3518,'739',63.00,1,3,NULL),(25,6288227,'1993-05-05 00:00:00',4,5,12,2010,'M','N','PRÓSPERA','CRICIÚMA','SC','124242248135141431656933385124610167042',19052,'209',31.22,2,1,2),(25,6288235,'1993-04-20 00:00:00',4,7,10,2010,'M','N','NA SENHORA DE LOURDE','CAMPOS NOVOS','SC','116242161417111451538831571122610122057',NULL,'9998',20.15,1,3,NULL),(25,6288243,'1992-06-26 00:00:00',2,4,12,2009,'M','N','CENTRO','DESCANSO','SC','124243241214373411369933575122610127043',NULL,'1079',0.00,1,3,NULL),(25,6288251,'1993-09-19 00:00:00',4,6,12,2010,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241215121431336834375221610134147',7075,'389',51.91,1,3,NULL),(25,6288260,'1993-10-05 00:00:00',2,8,12,2010,'F','N','BUENOS AIRES','MAFRA','SC','124241161215151431546823572122610132057',11740,'9998',44.03,4,3,NULL),(25,6288278,'1991-08-17 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242247427151222256613485112610117042',15845,'9999',42.39,1,3,NULL),(25,6288286,'1984-09-21 00:00:00',2,1,12,2001,'M','N','ROÇADO','S JOSÉ','SC','124201201115472431223329283324122332147',13881,'9998',40.15,1,2,1),(25,6288294,'1964-03-22 00:00:00',4,1,11,1980,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','524162161217131421438979482124343226097',NULL,'9998',0.00,1,3,NULL),(25,6288308,'1994-07-20 00:00:00',2,4,12,2010,'M','N','INTERIOR','GUATAMBÚ','SC','124241241115371731411515592324610127042',NULL,'340',15.53,1,2,1),(25,6288316,'1992-12-19 00:00:00',4,1,11,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124241248115371441623334345324610628067',NULL,'734',15.92,1,2,1),(25,6288324,'1987-01-09 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124214211217271421548711415122343232046',11991,'9998',48.16,1,3,NULL),(25,6288332,'1993-06-20 00:00:00',4,1,12,2011,'M','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124241246117151731569933297124610164017',NULL,'306',38.73,1,3,NULL),(25,6288359,'1966-06-10 00:00:00',4,15,12,1986,'M','N','CIDADE ALTA','ARARANGUÁ','SC','224241243126141421363342125122131062187',NULL,'29',12.73,1,3,NULL),(25,6288367,'1994-10-01 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115131731325422575124610124097',NULL,'298',30.62,1,2,1),(25,6288375,'1978-12-09 00:00:00',4,1,12,1998,'F','N','CAMPINAS','S JOSÉ','SC','124241241342133441145344242122333237147',NULL,'653',26.25,1,3,NULL),(25,6288383,'1989-12-08 00:00:00',4,1,11,2007,'M','N','GARCIA','SALVADOR','BA','105052051216371411469613475122141464044',NULL,'9998',0.00,1,3,NULL),(25,6288391,'1994-03-20 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111731338714575124610111147',NULL,'1169',15.61,1,3,NULL),(25,6288405,'1981-06-14 00:00:00',3,1,12,1999,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224254253217151411228914495124342864041',9855,'9998',51.60,4,3,NULL),(25,6288413,'1988-10-04 00:00:00',2,1,12,2005,'M','N','CENTRO','MAFRA','SC','124241161211572751426611571315610164041',4137,'9998',61.53,1,3,NULL),(25,6288421,'1992-01-21 00:00:00',2,9,12,2008,'M','N','PETROPLIS','VACARIA','RS','120201201116132231646812245132610167047',13928,'9998',45.28,4,2,1),(25,6288430,'1992-01-20 00:00:00',2,5,12,2009,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215152421537811315112123224196',18451,'226',31.91,1,3,NULL),(25,6288448,'1991-12-14 00:00:00',4,10,11,2010,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241246145131431626624282324610126047',21406,'158',28.74,1,2,1),(25,6288456,'1991-12-28 00:00:00',4,1,12,2008,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124243241115372431426614345124610132092',NULL,'288',33.39,1,3,NULL),(25,6288472,'1988-01-01 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215373451346824485114610164052',12638,'1022',47.15,1,3,NULL),(25,6288480,'1988-09-23 00:00:00',2,10,11,2005,'F','N','SÃO JOSÉ','S JOAQUIM','SC','124241241217474731223311275125610162142',1468,'720',69.72,1,3,NULL),(25,6288502,'1990-01-12 00:00:00',2,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241247115272431136316485124610124052',12670,'9999',47.10,1,2,1),(25,6288510,'1993-12-21 00:00:00',2,15,12,2010,'F','N','LINHA SIMÃO','ERMO','SC','124241248115131751613515156344610144147',NULL,'250',0.00,1,2,1),(25,6288529,'1993-11-11 00:00:00',2,1,12,2010,'F','N','ARIRIU DA FORMIGA','PALHOÇA','SC','124241241147371431223421242124610124017',16753,'592',34.84,1,2,1),(25,6288545,'1993-09-25 00:00:00',2,9,12,2010,'F','N','BELA VISTA','BOM RETIRO','SC','124243241126161331433311375124610134142',16944,'935',35.19,1,3,NULL),(25,6288553,'1989-08-31 00:00:00',2,4,12,2006,'F','N','CENTRO','ARATIBA','RS','120203201216575721457614575124232568092',11096,'9998',45.64,1,3,NULL),(25,6288561,'1990-03-05 00:00:00',2,10,12,2007,'F','N','CENTRO','STA MARIA','RS','120201201117571721466833595122610123182',NULL,'9998',0.00,1,2,1),(25,6288570,'1988-02-10 00:00:00',4,1,12,2007,'F','N','AREIAS','PAULO LOPES','SC','224252247336131731228958282122131034117',NULL,'9999',17.93,1,3,NULL),(25,6288588,'1977-04-22 00:00:00',2,1,11,1999,'F','N','BARREIROS','S JOSÉ','SC','524161166127272431123641212124610124142',11545,'9998',48.84,1,2,1),(25,6288596,'1990-11-10 00:00:00',4,10,10,2008,'F','N','CENTRO','S LUDGERO','SC','124241241146131431433334245121231414042',NULL,'748',0.00,1,2,1),(25,6288600,'1987-11-26 00:00:00',2,1,12,2006,'F','N','AREIAS','S JOSÉ','SC','124241241126574731221371385114123042187',10428,'730',47.47,1,2,1),(25,6288626,'1990-11-12 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215513431224424445125610164041',7904,'797',54.99,2,3,NULL),(25,6288634,'1988-08-02 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251215372431348812496124122936181',1263,'9998',72.52,1,3,NULL),(25,6288642,'1993-08-26 00:00:00',4,1,12,2010,'M','N','CENTRO','BIGUAÇU','SC','124242241115271431436632292124610167042',17278,'63',34.17,1,3,NULL),(25,6288650,'1991-06-22 00:00:00',2,4,12,2008,'F','N','CENTRO SUL','DOIS VIZINHOS','PR','116161161317131311326823232233610125052',NULL,'9998',0.00,1,3,NULL),(25,6288669,'1990-02-05 00:00:00',4,1,12,2007,'F','N','CENTRO','CPO LARGO','PR','116165161516572431679619572124610147057',147,'9998',81.85,1,3,NULL),(25,6288677,'1993-06-14 00:00:00',2,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','124243241214121431356632322122610122183',NULL,'154',0.00,1,3,NULL),(25,6288685,'1993-05-18 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244247415151431367612571112610135132',NULL,'9999',0.00,1,3,NULL),(25,6288693,'1992-04-24 00:00:00',2,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124122121217151411114444346224610162032',NULL,'9998',29.72,4,3,NULL),(25,6288707,'1991-01-16 00:00:00',2,1,12,2008,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241117373431556913285124610113117',15560,'307',42.82,2,1,1),(25,6288715,'1993-06-18 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431225624572124610126152',14205,'738',42.06,1,3,NULL),(25,6288723,'1993-11-17 00:00:00',4,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117471431424324372224610123147',NULL,'307',32.45,1,2,1),(25,6288740,'1990-05-01 00:00:00',4,10,12,2007,'F','N','PRAIA REDONDA','TUBARÃO','SC','124241241137133431424623395122223224192',9512,'1034',47.72,1,2,1),(25,6288758,'1990-06-11 00:00:00',2,1,6,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241247417271411426654445123130221117',20889,'9999',31.57,1,3,NULL),(25,6288766,'1987-01-14 00:00:00',4,5,12,2004,'M','N','PINHEIRINHO','CRICIÚMA','SC','124241241141131411633679241222610142043',NULL,'228',31.58,1,2,1),(25,6288812,'1994-01-23 00:00:00',2,8,12,2010,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124161241117271711538824345124610133072',NULL,'478',29.91,1,2,1),(25,6288820,'1991-04-26 00:00:00',4,2,11,2007,'M','N','MARGEM ESQUERDA','GASPAR','SC','124241241215124431256923374122610164111',8033,'1137',54.79,1,3,NULL),(25,6288839,'1992-02-27 00:00:00',2,7,11,2009,'M','N','CENTRO','OURO','SC','124241241435142421335532241123230267057',NULL,'1093',24.17,1,3,NULL),(25,6288847,'1991-12-18 00:00:00',2,1,11,2009,'F','N','IPIRANGA','S JOSÉ','SC','124241241125371431533314382122610123147',NULL,'734',23.56,1,2,1),(25,6288855,'1982-09-22 00:00:00',4,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124091071147131221243573282222132033192',NULL,'9998',25.17,1,3,NULL),(25,6288871,'1988-02-21 00:00:00',4,1,6,2007,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124242247417253411338611492122231017127',20318,'9999',33.68,1,3,NULL),(25,6288880,'1987-04-11 00:00:00',4,1,12,2004,'M','N','BELA VISTA','S JOSÉ','SC','124203207336131411333644245121143261117',17930,'9998',38.98,1,3,NULL),(25,6288898,'1993-04-23 00:00:00',4,8,12,2010,'M','N','BIGORRILHO','CURITIBA','PR','116162251316111431348823575124610132092',NULL,'9998',0.00,1,3,NULL),(25,6288901,'1993-03-13 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241117371731526414395124610125033',19693,'730',35.38,1,2,1),(25,6288910,'1992-06-17 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241115472441436611275124610145097',NULL,'257',27.39,1,3,NULL),(25,6288928,'1991-08-29 00:00:00',4,1,12,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241136141331423331341124232012117',21486,'592',28.09,1,3,NULL),(25,6288944,'1980-05-25 00:00:00',4,1,12,1999,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124271273116152411123541495124331026172',NULL,'9998',0.00,4,2,1),(25,6288952,'1994-01-10 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431357824572122610163077',18632,'1022',37.69,1,3,NULL),(25,6288960,'1990-04-10 00:00:00',4,10,12,2007,'M','N','CENTRO','TUBARÃO','SC','124242241217473431369812375112130262092',5903,'807',58.96,1,3,NULL),(25,6288987,'1992-09-20 00:00:00',2,7,12,2010,'M','N','SANTA TEREZA','JOAÇABA','SC','124241241115131431326834374125610134057',NULL,'341',20.10,1,2,1),(25,6288995,'1987-12-23 00:00:00',2,1,12,2005,'M','N','JD IBIRAPUERA','LIMEIRA','SP','125251251117471441323614285123610167022',14957,'9998',37.94,1,2,1),(25,6289002,'1989-01-11 00:00:00',2,2,10,2010,'F','N','ÁGUAS CLARAS','BRUSQUE','SC','124241241146271731333533235122610162152',NULL,'9999',0.00,4,2,1),(25,6289010,'1991-05-28 00:00:00',2,4,12,2008,'F','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124243241416572751538719575122610128172',NULL,'245',0.00,1,3,NULL),(25,6289029,'1992-08-29 00:00:00',4,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241215152411226963475114231015092',NULL,'988',0.00,1,3,NULL),(25,6289037,'1990-07-08 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124252251216133431659813595124223227077',3987,'9998',62.45,1,3,NULL),(25,6289053,'1992-04-29 00:00:00',2,1,12,2009,'M','N','SUDOESTE','CRUZEIRO','DF','107072071216471451466622471122610161092',NULL,'9998',0.00,1,3,NULL),(25,6289061,'1991-11-04 00:00:00',4,1,6,2010,'F','N','ASA SUL','BRASÍLIA','DF','107072281116271431458819295112610117042',14934,'9998',43.78,1,3,NULL),(25,6289070,'1992-04-22 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241315472431333379275124610167157',NULL,'1022',35.65,1,3,NULL),(25,6289088,'1983-04-07 00:00:00',2,1,12,2010,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124201247116141131426773241124610127047',NULL,'9999',13.05,4,3,NULL),(25,6289096,'1960-03-27 00:00:00',2,1,12,1994,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241122372411444453332112123048197',17507,'281',39.73,1,2,1),(25,6289100,'1986-06-22 00:00:00',2,4,12,2004,'F','N','CENTRO','ENCRUZILHADA SUL','RS','120201201146471431336679285124141527187',NULL,'9998',0.00,1,2,1),(25,6289118,'1993-09-01 00:00:00',2,15,12,2010,'F','N','SÃO CRISTÓVÃO','TURVO','SC','124241241116131431556934445111610147142',20940,'814',31.34,1,2,1),(25,6289126,'1991-02-01 00:00:00',2,8,12,2008,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241215471431468933435122132432127',NULL,'1063',0.00,1,3,NULL),(25,6289134,'1993-07-27 00:00:00',4,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241216271431587732375122610162183',6069,'723',56.79,1,3,NULL),(25,6289142,'1993-06-05 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242244215111411226667275124610134142',19424,'9997',31.19,3,3,NULL),(25,6289150,'1993-05-19 00:00:00',4,1,12,2010,'M','N','JARDIM CIDADE','S JOSÉ','SC','124241241117141232423339195121610127052',21642,'734',26.29,2,1,1),(25,6289169,'1990-01-30 00:00:00',2,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124161165116133731553912422124230462042',14264,'9998',39.39,4,2,1),(25,6289177,'1988-05-21 00:00:00',4,1,7,2006,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247317373451346573445124133266057',9988,'9999',50.51,1,3,NULL),(25,6289185,'1992-11-11 00:00:00',2,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124243241115111431556613394122610167043',20821,'307',31.86,1,3,NULL),(25,6289193,'1992-09-15 00:00:00',4,1,12,2010,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241117141131426624345124610117041',NULL,'1088',20.05,1,3,NULL),(25,6289215,'1992-12-01 00:00:00',2,1,11,2010,'M','N','BAIRRO DE FATIMA','FLORIANÓPOLIS','SC','124241241415141731436614342124610137045',20383,'1040',33.47,1,3,NULL),(25,6289223,'1989-04-19 00:00:00',2,1,12,2006,'F','N','FLORESTA','S JOSÉ','SC','124243241216173421246444342132610127187',NULL,'1036',20.88,1,3,NULL),(25,6289231,'1993-05-31 00:00:00',4,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241212131431436613575114610124147',NULL,'1010',25.73,1,3,NULL),(25,6289240,'1994-07-19 00:00:00',4,3,11,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241215111232438811571111610118052',11529,'403',43.96,1,3,NULL),(25,6289258,'1986-08-22 00:00:00',2,1,12,2003,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241136272411123344345124130242057',12356,'412',47.60,1,2,1),(25,6289266,'1988-04-26 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241147131411226323282123610147117',19592,'285',28.67,1,2,1),(25,6289274,'1993-07-22 00:00:00',2,1,11,2010,'F','N','CENTRO','SORRISO','MT','111113111437111431533416282122610134142',20902,'9998',31.49,1,3,NULL),(25,6289290,'1993-09-18 00:00:00',4,9,12,2010,'M','N','CENTRO','PRES GETÚLIO','SC','124241241147131332447322195122610168192',NULL,'644',14.94,1,2,1),(25,6289304,'1993-10-14 00:00:00',4,4,12,2010,'F','N','ANTONIO RECK','DESCANSO','SC','124241241116371431221624575124610121192',10744,'242',44.96,1,3,NULL),(25,6289320,'1994-04-05 00:00:00',4,5,11,2010,'F','N','PRESIDENTE VARGAS','IÇARA','SC','124243241215111411424631475114610146197',2278,'226',66.01,1,3,NULL),(25,6289339,'1992-02-22 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161241112472431469913572124610123143',8650,'9997',51.26,1,2,1),(25,6289347,'1993-06-10 00:00:00',2,8,12,2010,'F','N','SÃO RAFAEL','RIO NEGRINHO','SC','124243241215111431546512575112610131011',NULL,'666',32.57,1,3,NULL),(25,6289355,'1989-03-19 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124201201116273731123344342334610163195',NULL,'9998',26.09,1,2,1),(25,6289363,'1987-03-11 00:00:00',2,15,12,2006,'F','N','NOVA DIVINÉIA','MELEIRO','SC','124242241236111411544836175121610114142',NULL,'980',27.89,1,3,NULL),(25,6289371,'1992-06-11 00:00:00',4,1,12,2009,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124253251117472411248811475122131147017',5964,'9998',57.23,1,3,NULL),(25,6289380,'1993-03-13 00:00:00',2,4,12,2010,'M','N','CENTRO','S CARLOS','SC','124241241146141531338612245125610124192',NULL,'704',0.00,1,2,1),(25,6289398,'1990-10-30 00:00:00',4,5,12,2007,'F','N','GONZAGA','SANTOS','SP','125252251216571431588811575114610136076',6468,'9998',57.79,1,3,NULL),(25,6289428,'1991-10-10 00:00:00',4,4,10,2008,'M','N','JARDIN NOVA YORK','CASCAVEL','PR','116162161215571751369931592112610167047',9737,'9998',48.99,1,3,NULL),(25,6289444,'1994-06-09 00:00:00',4,10,11,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215111411458912575122610135122',18443,'807',38.04,1,3,NULL),(25,6289460,'1993-12-06 00:00:00',4,6,10,2010,'M','N','AGUA VERDE','CURITIBA','PR','116222168215111751388819594112610167182',NULL,'9998',27.74,4,3,NULL),(25,6289479,'1991-02-01 00:00:00',2,1,12,2008,'F','N','DOM BOSCO','LONDRINA','PR','116162161216571751156632575122610166092',NULL,'9998',0.00,1,3,NULL),(25,6289487,'1990-12-17 00:00:00',4,3,12,2007,'F','N','CABRAL','CURITIBA','PR','116162161215571432387823575122143262142',NULL,'9998',0.00,1,3,NULL),(25,6289495,'1993-02-09 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215112431358733575124610146172',7694,'1022',55.32,1,3,NULL),(25,6289509,'1992-02-29 00:00:00',2,1,12,2008,'F','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124204201316371231556869445134140262052',20979,'9998',31.17,1,3,NULL),(25,6289517,'1984-03-25 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241248345131431423429381124610128187',NULL,'977',18.49,4,3,NULL),(25,6289525,'1994-06-16 00:00:00',4,1,12,2011,'F','S','SEMINÁRIO','TAIÓ','SC','124241241216151331458613572121610134142',NULL,'776',30.88,1,3,NULL),(25,6289533,'1991-01-30 00:00:00',4,1,12,2008,'M','N','GRANJA JULIETA','S PAULO','SP','125252251216511131468813475112610167044',5707,'9998',56.19,1,3,NULL),(25,6289541,'1994-04-25 00:00:00',2,1,12,2010,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241217111431448913575122610126195',20125,'270',34.25,1,3,NULL),(25,6289550,'1989-04-20 00:00:00',2,1,12,2006,'M','N','CAMOBI','STA MARIA','RS','120242201415572431459611492124610167177',788,'9998',74.37,1,3,NULL),(25,6289568,'1992-02-01 00:00:00',4,8,11,2009,'F','N','COLISEU','LONDRINA','PR','116162161216471431338821575312610164197',NULL,'9998',48.47,1,3,NULL),(25,6289584,'1993-11-11 00:00:00',4,1,12,2010,'M','N','CENTRO','PALOTINA','PR','116162161217371431468814285122610166052',7936,'9998',51.98,1,3,NULL),(25,6289606,'1992-11-25 00:00:00',4,1,11,2009,'M','N','HIGIENOPOLIS','RIBEIRÃO PRETO','SP','125252251217472431489833571122610124122',7600,'9998',51.74,1,3,NULL),(25,6289614,'1993-06-22 00:00:00',2,1,12,2010,'M','N','RIO GRANDE','PALHOÇA','SC','124241241112151431423629192124610126197',NULL,'592',14.13,1,2,1),(25,6289622,'1990-08-13 00:00:00',2,1,11,2007,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241127132731535514145134610136041',18518,'291',37.89,1,2,1),(25,6289630,'1987-10-05 00:00:00',2,1,12,2005,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124243241126132421436421345124610128047',18049,'307',38.74,3,3,NULL),(25,6289649,'1991-03-23 00:00:00',4,1,12,2008,'F','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161215372431638834575122610124187',NULL,'9998',0.00,1,3,NULL),(25,6289657,'1988-11-24 00:00:00',2,1,12,2005,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241241416272431457514345122331823092',10128,'1011',46.90,1,3,NULL),(25,6289665,'1987-12-09 00:00:00',2,1,12,2006,'F','N','CACHO DO BOM JESUS','FLORIANÓPOLIS','SC','124201205116472431436614245123610136147',11132,'9998',47.85,1,2,1),(25,6289673,'1993-07-16 00:00:00',2,1,12,2010,'F','N','PALHOÇINHA','GAROPABA','SC','124241241126141731421337342324610164072',NULL,'322',18.01,1,2,1),(25,6289681,'1993-09-30 00:00:00',4,1,12,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','624242241415111421457434575124613237042',NULL,'1168',21.23,1,3,NULL),(25,6289690,'1992-08-06 00:00:00',4,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241227372531538724445124610165142',4858,'262',61.18,1,3,NULL),(25,6289703,'1992-11-16 00:00:00',2,1,12,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241111372111626613575125610167147',8542,'267',52.71,1,2,1),(25,6289711,'1992-09-17 00:00:00',4,1,12,2010,'F','N','JARDIM FOGAÇA','ITAPETININGA','SP','125252251216111431238823575122610144146',3171,'9998',63.70,1,3,NULL),(25,6289738,'1992-12-21 00:00:00',2,5,12,2009,'M','N','SANTO ANTONIO','CRICIÚMA','SC','124241241137151431433634242134610134052',NULL,'209',28.53,1,2,1),(25,6289746,'1985-11-16 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241246117144731555734145124220644182',19403,'281',36.04,1,2,1),(25,6289754,'1994-08-06 00:00:00',4,7,12,2010,'M','N','CENTRO','CAMPOS NOVOS','SC','124244241217111411458832572122610124092',17938,'138',38.96,1,3,NULL),(25,6289770,'1993-04-14 00:00:00',2,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241217111431333611572122610138052',9191,'737',49.36,1,3,NULL),(25,6289789,'1993-04-12 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217111711337611575122610118172',15734,'1198',39.71,1,3,NULL),(25,6289797,'1993-11-09 00:00:00',4,9,12,2010,'F','N','VILA NOVA','LAGES','SC','124241241115271431426512572122610133142',18076,'935',34.32,1,2,1),(25,6289800,'1989-12-28 00:00:00',2,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124241241136271132223624245114610122167',16020,'763',42.10,1,2,1),(25,6289819,'1993-06-18 00:00:00',4,1,12,2010,'F','N','AGUAS MORNAS','ÁGUAS MORNAS','SC','124241241135271751623414142124610142057',16185,'978',41.87,1,2,1),(25,6289827,'1993-10-09 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215572411466932574125610127042',2897,'262',64.93,1,3,NULL),(25,6289835,'1991-09-29 00:00:00',4,1,11,2009,'M','N','JARDIM MARÍLIA','MARÍLIA','SP','125254258217371431338833475112141764042',5970,'9998',54.69,1,3,NULL),(25,6289843,'1993-08-17 00:00:00',4,9,12,2010,'F','N','GUARUJA','LAGES','SC','124241241115371731526611576214610156177',19087,'503',31.37,1,2,1),(25,6289851,'1989-07-19 00:00:00',4,1,12,2006,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241216144451446413345123121636112',17417,'63',39.90,1,3,NULL),(25,6289860,'1992-10-19 00:00:00',2,9,12,2009,'F','N','CORAL','LAGES','SC','124242241216133731427933335122610127047',NULL,'499',19.29,4,3,NULL),(25,6289878,'1990-07-24 00:00:00',4,17,12,2007,'M','N','FAXINAL','MAFRA','SC','124241161215572431486536575112610126172',NULL,'9998',27.95,1,3,NULL),(25,6289894,'1993-05-25 00:00:00',2,1,12,2010,'M','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124242241215111431428823595124610142181',6379,'9997',56.24,1,3,NULL),(25,6289924,'1993-09-13 00:00:00',4,1,11,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111731458811572122610147045',NULL,'1169',28.26,1,3,NULL),(25,6289932,'1988-06-09 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241126131321323344442314610124192',NULL,'650',24.06,1,2,1),(25,6289940,'1992-03-23 00:00:00',4,1,12,2010,'M','N','VARGEM GRANDE','ÁGUAS MORNAS','SC','124243247236141421334424385124610124182',8308,'9999',54.31,1,3,NULL),(25,6289967,'1992-10-16 00:00:00',2,1,11,2010,'F','N','BAIRRO DE FATIMA','FLORIANÓPOLIS','SC','124241247312141731326544342124610133187',NULL,'9999',30.58,1,3,NULL),(25,6289975,'1990-09-14 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241315373431436814345124122236127',16537,'300',41.33,1,3,NULL),(25,6289983,'1993-09-17 00:00:00',4,1,12,2010,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241135141732523432345124610127012',NULL,'733',25.56,1,3,NULL),(25,6289991,'1987-07-12 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241216112411338731415122232112097',NULL,'270',40.69,1,3,NULL),(25,6290000,'1993-05-19 00:00:00',4,1,12,2010,'M','N','VILA SAO JOSE','INDAIATUBA','SP','125252251215111411364411275122610128042',NULL,'9998',0.00,1,3,NULL),(25,6290019,'1987-12-01 00:00:00',4,1,12,2004,'M','N','LUCAS ARAUJO','PASSO FUNDO','RS','120203201117231451526614385114140838057',NULL,'9998',0.00,1,3,NULL),(25,6290027,'1994-04-29 00:00:00',4,4,12,2010,'F','N','NOVA DIVINÉIA','PINHALZINHO','SC','124242241215121431436612572122610136142',21293,'1191',29.47,1,3,NULL),(25,6290035,'1992-09-08 00:00:00',4,4,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124241241116141741544914295124231537072',13656,'192',45.70,1,2,1),(25,6290043,'1988-02-20 00:00:00',5,1,7,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117273431538724445124233263152',7473,'306',55.84,1,2,1),(25,6290051,'1983-05-19 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241126131231323144342314610124057',NULL,'650',20.44,1,2,1),(25,6290060,'1993-06-08 00:00:00',4,8,11,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241217131411359931575122610148142',15303,'1061',43.24,1,3,NULL),(25,6290086,'1989-12-11 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241136151411323344245125610134187',NULL,'295',28.86,1,2,1),(25,6290094,'1989-12-22 00:00:00',4,1,12,2007,'M','N','VILA INDEPENDENCIA','LIMEIRA','SP','125252251124472431535317575121610167047',8403,'9998',50.85,1,3,NULL),(25,6290108,'1993-11-05 00:00:00',4,8,12,2010,'F','N','JARDIM SANTA CLARA','TAUBATÉ','SP','125252251216271431378923571122610162192',NULL,'9998',0.00,1,3,NULL),(25,6290116,'1993-07-20 00:00:00',4,10,12,2010,'M','N','TRÊS DE MAIO','CAPIVARI BAIXO','SC','124241241116271421216524575124610122032',11362,'1034',45.57,1,2,1),(25,6290132,'1992-07-28 00:00:00',4,8,12,2009,'M','N','CENTRO','CURITIBA','PR','116222221216471441465832345112610122091',6628,'9998',53.27,1,3,NULL),(25,6290140,'1994-06-23 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124242248217111511528812585124610163142',NULL,'1094',0.00,1,3,NULL),(25,6290159,'1993-07-02 00:00:00',2,4,12,2010,'M','N','IMPERIAL','CONCÓRDIA','SC','124241242331141431434632572124610127047',21397,'190',28.84,1,3,NULL),(25,6290175,'1993-02-02 00:00:00',2,6,12,2009,'M','N','CENTRO','ITAJAÍ','SC','124242241215371431469833575114610137112',17171,'392',40.33,1,3,NULL),(25,6290183,'1993-05-22 00:00:00',2,15,12,2010,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241145131411433614145133610148187',NULL,'30',41.56,4,2,1),(25,6290205,'1993-12-27 00:00:00',4,1,12,2010,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241225111431436869575124610162172',6569,'262',53.77,1,3,NULL),(25,6290230,'1990-12-19 00:00:00',4,8,12,2008,'M','N','GUANABARA','JOINVILLE','SC','124241246215271431557612475123610134062',10732,'494',50.10,1,3,NULL),(25,6290248,'1993-05-15 00:00:00',2,15,12,2010,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241115111431435512375122610137075',NULL,'30',14.78,1,2,1),(25,6290256,'1990-09-03 00:00:00',2,10,12,2008,'F','N','CENTRO','JAGUARUNA','SC','124241241131471441426821442124610127145',NULL,'1034',0.00,1,2,1),(25,6290264,'1991-01-10 00:00:00',4,8,11,2008,'M','N','ZONA SETE','MARINGÁ','PR','116162161217271431139912595125241067062',4209,'9998',61.27,1,3,NULL),(25,6290272,'1991-09-16 00:00:00',4,1,12,2008,'F','N','SÃO L DO GUARICANGA','PRES ALVES','SP','125251251116471431426611275124610124147',NULL,'9998',0.00,1,2,1),(25,6290280,'1992-08-14 00:00:00',4,1,12,2010,'F','N','BEIRA MAR NORTE','FLORIANÓPOLIS','SC','124242241417471431537612221124610168187',8039,'9997',54.78,1,3,NULL),(25,6290299,'1992-09-06 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215472431375932341121610144082',7553,'1022',53.46,1,3,NULL),(25,6290310,'1981-03-19 00:00:00',4,8,12,1999,'F','N','COMASA','JOINVILLE','SC','124242241216155421227643335223421324182',NULL,'9997',0.00,1,3,NULL),(25,6290329,'1993-04-21 00:00:00',2,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124241241116111331325527345124610127042',21298,'733',29.46,1,2,1),(25,6290345,'1993-10-05 00:00:00',4,1,12,2011,'M','S','ANITA GARIBALDI','JOINVILLE','SC','124242241215151731468932372122610167053',NULL,'457',28.39,1,3,NULL),(25,6290353,'1990-03-09 00:00:00',2,1,12,2007,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124241241136372431334923575125221426052',13717,'604',45.60,1,2,1),(25,6290361,'1992-08-15 00:00:00',4,8,12,2010,'M','N','CENTRO','PNT GROSSA','PR','116162161115121431159935575124610134182',9200,'9998',48.39,1,3,NULL),(25,6290388,'1993-04-16 00:00:00',4,4,12,2010,'M','N','SETOR E','QUERÊNCIA','MT','111111111117271731346816585121610134147',18180,'9998',38.50,1,3,NULL),(25,6290396,'1984-02-12 00:00:00',2,1,11,2007,'M','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124241241427131411623344245222610124143',NULL,'728',32.93,2,1,2),(25,6290400,'1993-05-03 00:00:00',4,8,11,2010,'M','N','IRIRIU','JOINVILLE','SC','124242241235221731449814275124610167117',NULL,'1016',0.00,1,3,NULL),(25,6290418,'1991-05-18 00:00:00',2,1,11,2008,'F','N','SCHREIBER','SALETE','SC','124241241436473431438611375122610123147',NULL,'776',0.00,1,3,NULL),(25,6290426,'1992-01-24 00:00:00',4,1,11,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215472431369913572122610136182',6256,'270',56.12,1,3,NULL),(25,6290434,'1992-09-24 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241116271431425634382224610141197',17311,'733',34.91,1,2,1),(25,6290442,'1991-10-26 00:00:00',4,4,10,2008,'F','N','CENTRO','CHAPECÓ','SC','124242241215571431448911575112610127147',13150,'168',46.40,1,3,NULL),(25,6290450,'1994-03-14 00:00:00',2,8,12,2010,'M','N','JARDIM ALPHAVILE','UMUARAMA','PR','116162161215121431469613375122610127092',7079,'9998',56.59,4,3,NULL),(25,6290469,'1988-09-27 00:00:00',2,1,12,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124243247421271721136614341122130224092',NULL,'9999',23.50,4,3,NULL),(25,6290477,'1981-07-13 00:00:00',4,1,12,1998,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124162161216134421229844345134321262017',13142,'9998',46.41,1,3,NULL),(25,6290485,'1984-11-25 00:00:00',2,1,12,2004,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241217274431368613495124131017042',18949,'1022',37.02,1,3,NULL),(25,6290493,'1991-03-06 00:00:00',2,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124241248317272741333319395124233223042',NULL,'868',32.99,1,3,NULL),(25,6290507,'1987-02-08 00:00:00',2,1,12,2005,'F','N','CAMPINAS','S JOSÉ','SC','624241241127472421221144445134610138142',13372,'277',41.92,4,2,1),(25,6290515,'1993-03-02 00:00:00',4,4,12,2010,'F','N','JARDIM','MARAVILHA','SC','124241241215111331536612245122610126142',NULL,'1037',41.89,1,3,NULL),(25,6290540,'1983-01-27 00:00:00',4,1,12,2000,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124252251217271431138831445312341527117',5829,'9998',59.12,4,3,NULL),(25,6290558,'1993-10-21 00:00:00',4,1,12,2011,'M','S','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241225111711334624275124610115092',NULL,'262',35.40,4,3,NULL),(25,6290566,'1974-05-25 00:00:00',5,1,12,1992,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','224241241146152511344343135132610157121',NULL,'294',38.64,1,3,NULL),(25,6290574,'1992-07-04 00:00:00',2,4,11,2010,'F','N','SULGON','PALMEIRA MISSÕES','RS','120202201216111411445632571122610134092',NULL,'9998',33.31,1,3,NULL),(25,6290590,'1993-09-07 00:00:00',2,10,10,2010,'M','N','VILA NOVA','IMBITUBA','SC','124241241217121431558923575124610167052',3909,'807',61.90,1,3,NULL),(25,6290612,'1991-09-24 00:00:00',4,1,12,2010,'M','N','AREIAS BARREIROS SJ','S JOSÉ','SC','124243241115371431323324575124610161187',NULL,'733',27.51,2,1,2),(25,6290620,'1993-09-26 00:00:00',4,1,12,2010,'M','N','CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC','124241241215111751437633575124610167065',16968,'1048',35.82,1,3,NULL),(25,6290647,'1989-10-21 00:00:00',2,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215573431556613275114610167185',3835,'270',63.73,1,3,NULL),(25,6290655,'1970-09-17 00:00:00',4,3,12,1996,'M','N','CENTRO','BRUSQUE','SC','224241243127151751233343232123332367057',NULL,'73',27.37,1,3,NULL),(25,6290663,'1990-09-04 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215372731279913575122610167042',10432,'1133',50.60,1,3,NULL),(25,6290671,'1990-04-11 00:00:00',4,8,12,2007,'M','N','GLÓRIA','JOINVILLE','SC','124242241216273431478934442112231432122',1347,'486',70.84,1,3,NULL),(25,6290680,'1989-07-31 00:00:00',2,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241415153431638744445124610163092',20469,'269',33.27,1,3,NULL),(25,6290698,'1993-06-04 00:00:00',4,8,12,2010,'M','N','CENTRO','CURITIBA','PR','116162161216111411357823575114610157041',2001,'9998',67.17,1,3,NULL),(25,6290701,'1989-07-26 00:00:00',4,1,12,2007,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161217571411369813574125610164062',515,'9998',77.17,3,3,NULL),(25,6290710,'1989-03-11 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124201201117133441536764345114140225111',NULL,'9998',28.07,1,2,1),(25,6290728,'1988-08-22 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124133131215112751136823575125221464062',10653,'9998',50.24,1,3,NULL),(25,6290736,'1990-11-22 00:00:00',4,8,12,2007,'F','N','INDEPENDENCIA','CASCAVEL','PR','116162161217572731458632574125610144097',481,'9998',77.31,1,3,NULL),(25,6290744,'1990-01-23 00:00:00',4,1,11,2007,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116241241116131411158833495124140752127',9378,'123',52.40,1,2,1),(25,6290752,'1992-09-12 00:00:00',4,6,5,2009,'F','N','CENTRO','ITAJAÍ','SC','123242241214472531448713574122233237012',19412,'388',36.02,1,3,NULL),(25,6290760,'1988-05-27 00:00:00',4,1,12,2005,'M','N','ROÇADO','S JOSÉ','SC','124242241215143411468813445123222268042',15092,'882',43.55,1,3,NULL),(25,6290779,'1993-03-21 00:00:00',4,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431578919575125610132187',9642,'1038',48.79,1,3,NULL),(25,6290787,'1994-02-01 00:00:00',4,3,12,2010,'F','N','CENTRO','COXIM','MS','112212121217111431437911475122610162092',7866,'9998',55.06,1,3,NULL),(25,6290795,'1993-02-14 00:00:00',4,4,12,2009,'M','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161217471441439831175125610164172',7503,'9998',52.60,1,3,NULL),(25,6290809,'1994-01-07 00:00:00',4,4,12,2010,'M','N','PINHEIRINHO','FRANCISCO BELTRÃO','PR','116163161115271331546933295122610167072',16550,'9998',35.78,1,3,NULL),(25,6290817,'1991-02-05 00:00:00',2,1,12,2008,'F','N','CENTRO','GR PARÁ','SC','124243241227165431634635435124231437052',11019,'950',49.64,1,3,NULL),(25,6290850,'1990-11-01 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241125131421325461275224610138187',NULL,'277',18.88,1,2,1),(25,6290876,'1993-07-13 00:00:00',2,6,12,2010,'F','N','COLONIA VITORIA','GUARAPUAVA','PR','116161161217111431223329596125610163052',19262,'9998',36.36,4,3,NULL),(25,6290884,'1992-07-15 00:00:00',2,1,12,2009,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124161161416372741559839375114610145182',13016,'9998',42.60,1,3,NULL),(25,6290892,'1988-03-20 00:00:00',4,2,12,2005,'M','N','RIBEIRÃO FRESCO','BLUMENAU','SC','124241241116131431524379142334610112057',21349,'79',29.17,3,2,1),(25,6290906,'1993-02-26 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241115471232338613575124610127142',14645,'733',40.31,1,2,1),(25,6290914,'1983-04-26 00:00:00',4,1,12,2000,'F','N','ARAÇATUBA','IMBITUBA','SC','124241241127131411211648382341132813027',NULL,'358',29.39,2,1,1),(25,6290922,'1991-11-28 00:00:00',2,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241121471431425313471124610167091',NULL,'290',31.67,1,2,1),(25,6290930,'1993-02-06 00:00:00',2,4,10,2009,'M','N','CENTRO','STA LÚCIA','PR','116161168435312431436822572114610134057',NULL,'9998',39.51,1,3,NULL),(25,6290949,'1991-09-29 00:00:00',4,1,12,2009,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121216471431568719575124610162142',16120,'9998',36.28,1,3,NULL),(25,6290965,'1986-07-30 00:00:00',2,1,12,2003,'M','N','CAMPINAS','S JOSÉ','SC','124201241126332711126744145134610142192',8267,'277',51.24,1,2,1),(25,6290973,'1976-03-02 00:00:00',2,17,12,1994,'M','N','XAXIM','CURITIBA','PR','116241241316131451355941311122140732012',NULL,'633',0.00,1,3,NULL),(25,6290981,'1993-02-16 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431549913575122610127182',7229,'270',53.73,1,3,NULL),(25,6290990,'1993-03-08 00:00:00',2,1,12,2010,'F','N','ESQUINA','URUBICI','SC','124242241216161751544712575321610167142',16828,'817',37.10,1,3,NULL),(25,6291015,'1988-05-17 00:00:00',2,1,11,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117151431545823445112610137185',21715,'307',24.79,1,2,1),(25,6291023,'1993-04-25 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115371431426614445124610127047',18268,'307',34.21,1,2,1),(25,6291031,'1981-06-27 00:00:00',4,1,2,2002,'M','N','CAMPINAS','S JOSÉ','SC','124241241126131411124344145124132022157',20233,'9999',33.97,4,3,NULL),(25,6291040,'1992-05-20 00:00:00',2,8,12,2009,'F','N','PLANALTO','BELO HORIZONTE','MG','113242131216271431228823484124610164182',4832,'9998',58.77,1,3,NULL),(25,6291058,'1992-03-07 00:00:00',2,1,12,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241117272731446414572114610123197',NULL,'307',27.00,2,1,1),(25,6291066,'1993-12-08 00:00:00',2,10,12,2010,'M','N','BOA VISTA','IMBITUBA','SC','124241241115151431423619275124610145012',11367,'359',49.10,1,2,1),(25,6291074,'1989-07-19 00:00:00',4,1,12,2006,'M','N','PRAIA DO SONHO','ITANHAÉM','SP','125253251217471441436933484111141448127',7779,'9998',51.24,4,3,NULL),(25,6291082,'1992-12-10 00:00:00',2,5,12,2010,'F','N','CENTRO','MRO FUMAÇA','SC','124244241211372231336632315124610142052',11937,'213',43.00,1,3,NULL),(25,6291090,'1993-07-06 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241248135151751423524295124610128052',20516,'307',33.07,1,2,1),(25,6291112,'1991-11-24 00:00:00',4,4,12,2009,'F','N','CENTRO','IPORÃ','PR','116163161115471431435816575112610161197',NULL,'9998',33.34,1,3,NULL),(25,6291120,'1992-06-22 00:00:00',2,9,12,2009,'F','N','GUADALUPE','LAGES','SC','124241241215271431437833575124610164142',13436,'1207',42.45,1,3,NULL),(25,6291155,'1993-03-12 00:00:00',4,15,10,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124241241115151131333331345121610127147',20677,'29',27.70,1,2,1),(25,6291163,'1994-03-08 00:00:00',4,17,12,2010,'F','N','CENTRO','QUITANDINHA','PR','116161162125161731426614392124610114147',NULL,'9998',18.22,1,2,1),(25,6291171,'1993-09-20 00:00:00',2,1,12,2010,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241115131431426619572124610165197',13903,'288',41.90,4,2,1),(25,6291180,'1991-04-22 00:00:00',2,8,12,2008,'M','N','JARDIM OURO PRETO','S JOSÉ PINHAIS','PR','116161161117131411436614175124241728041',NULL,'9998',30.41,1,2,1),(25,6291201,'1991-05-29 00:00:00',4,9,12,2008,'M','N','FERROVIA','LAGES','SC','124241241417373431648911582112133264012',7665,'499',51.73,1,3,NULL),(25,6291210,'1995-03-02 00:00:00',4,2,12,2011,'M','S','FORTALEZA','BLUMENAU','SC','124244246115151411679913575122610168172',NULL,'129',55.90,1,3,NULL),(25,6291228,'1993-11-17 00:00:00',2,4,12,2010,'F','N','INTERIOR','MONDAÍ','SC','124241241136161751336315275124610167051',18202,'564',35.60,1,2,1),(25,6291236,'1993-03-30 00:00:00',2,1,12,2010,'F','N','ARREIAS','S JOSÉ','SC','124242241214131411534314142124610127072',NULL,'738',22.35,1,3,NULL),(25,6291244,'1993-12-22 00:00:00',2,4,12,2010,'M','N','PARQUE DE EXPOSIÇÕES','CONCÓRDIA','SC','124241246117131432346933575125610164047',14533,'196',42.57,1,2,1),(25,6291252,'1993-05-07 00:00:00',2,15,12,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124241241215111721537611312112610128195',16766,'970',35.48,1,3,NULL),(25,6291260,'1993-06-22 00:00:00',4,3,11,2010,'M','N','JARDIM AMÉRICA','MARÍLIA','SP','125254251216111431558813575112610167043',NULL,'9998',19.83,1,3,NULL),(25,6291279,'1993-12-12 00:00:00',4,3,11,2010,'M','N','VILA ROMANA','UMUARAMA','PR','116162161215111431389933575122610137052',NULL,'9998',0.00,1,3,NULL),(25,6291287,'1991-10-24 00:00:00',4,10,11,2008,'M','N','DEHON','TUBARÃO','SC','124244241211572751233414391122610168187',6497,'806',57.71,1,3,NULL),(25,6291295,'1993-12-01 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124162241617111431258714597322610127112',7918,'262',51.77,1,3,NULL),(25,6291309,'1990-12-27 00:00:00',4,1,12,2008,'M','N','JARDIM PAULISTA','ORINDIÚVA','SP','125251251436571131546616592312610167041',NULL,'9998',17.21,3,3,NULL),(25,6291317,'1993-08-22 00:00:00',4,2,11,2010,'F','N','JARDIM DO MAR','S BERNARDO CAMPO','SP','125252251215111431448817573122610111177',NULL,'9998',0.00,1,3,NULL),(25,6291325,'1989-04-25 00:00:00',4,8,12,2006,'M','N','RETA','S FRANCISCO SUL','SC','624241241137141421533539245222233227064',NULL,'710',0.00,1,2,1),(25,6291341,'1993-10-30 00:00:00',4,4,12,2010,'M','N','PRINCESA','CARAZINHO','RS','120201208117171451538833575122610168187',NULL,'9998',0.00,1,3,NULL),(25,6291350,'1987-03-09 00:00:00',2,3,12,2004,'F','N','MEIA PRAIA','ITAPEMA','SC','124243241136135431456532475122131014142',NULL,'406',17.77,1,3,NULL),(25,6291368,'1993-02-15 00:00:00',4,8,12,2010,'M','N','BOM RETIRO','JOINVILLE','SC','124241241115151431243679282121610122147',NULL,'476',23.29,1,3,NULL),(25,6291376,'1993-03-31 00:00:00',2,2,11,2010,'F','N','DONA CLARA','TIMBÓ','SC','124241241215111411458614295124610127052',NULL,'1157',38.07,1,3,NULL),(25,6291392,'1987-11-30 00:00:00',4,1,12,2005,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241248115473331324322342122610137067',17771,'591',39.29,1,2,1),(25,6291406,'1991-05-27 00:00:00',4,1,12,2008,'M','N','VISTA ALEGRE','VINHEDO','SP','125252251211571411569937571112612812171',6483,'9998',54.94,1,3,NULL),(25,6291422,'1991-10-19 00:00:00',4,8,12,2009,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215472411457769572122610117042',NULL,'1016',0.00,4,3,NULL),(25,6291449,'1987-03-05 00:00:00',2,1,12,2008,'M','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241247127142451321119352111610167182',21768,'9999',23.22,1,2,1),(25,6291457,'1994-03-22 00:00:00',2,15,12,2010,'F','N','PIO X','CAXIAS SUL','RS','120203201116151411437923475122610136142',NULL,'9998',30.28,4,3,NULL),(25,6291465,'1992-07-05 00:00:00',2,8,12,2009,'M','N','CENTRO','CURITIBA','PR','116244162115471431356611595214610136052',8586,'9998',49.96,1,3,NULL),(25,6291473,'1978-08-08 00:00:00',4,1,11,2006,'M','N','CORAÇÃO EUCARÍSTICO','BELO HORIZONTE','MG','113132137337131421558931145135610162047',12850,'9998',46.83,1,3,NULL),(25,6291481,'1992-12-11 00:00:00',2,7,12,2009,'M','N','FLORESTA','VIDEIRA','SC','124241241216132411344614595124231542147',17566,'1080',34.06,1,3,NULL),(25,6291503,'1993-09-10 00:00:00',2,1,12,2010,'F','N','FORQUILINHAS','S JOSÉ','SC','124243241215111731245522372122610135071',15515,'1076',38.74,1,3,NULL),(25,6291511,'1992-11-10 00:00:00',4,6,12,2009,'F','N','JARDIM PANORAMA','FOZ IGUAÇU','PR','116162161216272431548833395125241036182',9756,'9998',48.15,4,1,2),(25,6291520,'1993-07-25 00:00:00',2,1,11,2010,'F','N','CENTRO','PALHOÇA','SC','124241241117151431224324575122610168147',NULL,'591',26.51,4,2,1),(25,6291538,'1994-08-22 00:00:00',4,1,12,2011,'F','S','CACUPÉ','FLORIANÓPOLIS','SC','124242241215111431377812575122610121125',NULL,'270',48.21,1,3,NULL),(25,6291546,'1976-03-23 00:00:00',5,1,12,1995,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202201217111411238821315124333216041',20890,'9998',31.57,1,3,NULL),(25,6291554,'1984-07-30 00:00:00',2,1,12,2002,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201201137143711124334342234610166117',NULL,'9998',0.00,4,1,1),(25,6291562,'1990-01-18 00:00:00',4,8,12,2008,'M','N','CENTRO','RIO NEGRO','PR','116162241216271431439914385124610164052',19407,'1105',30.53,1,3,NULL),(25,6291570,'1989-05-28 00:00:00',4,1,12,2006,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124244241117155431456873312124230463075',7741,'270',55.34,1,3,NULL),(25,6291589,'1976-11-01 00:00:00',4,1,12,1995,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','224242241347132411236651445132330817187',19969,'9999',34.68,1,3,NULL),(25,6291597,'1984-07-18 00:00:00',2,1,12,2001,'M','N','PICADAS DO SUL','S JOSÉ','SC','124243241116134721654833432112610134047',NULL,'295',0.00,2,1,2),(25,6291600,'1978-10-12 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124131138127371411122349395124610117185',NULL,'9998',29.62,4,2,1),(25,6291619,'1992-08-14 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201416371431448811475125610168092',1258,'9998',72.55,1,3,NULL),(25,6291627,'1992-02-06 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247215131431528712375114610164125',21491,'9999',28.04,1,3,NULL),(25,6291635,'1990-01-06 00:00:00',4,15,12,2007,'F','N','CENTRO','PR GRANDE','SC','124241241126161731645319495132140418197',21416,'641',28.68,1,3,NULL),(25,6291643,'1992-09-19 00:00:00',4,3,12,2009,'F','N','JARDIM BANDEIRANTES','CORNÉLIO PROCÓPIO','PR','116162161215371431438811575124610141092',NULL,'9998',0.00,1,3,NULL),(25,6291651,'1992-08-31 00:00:00',2,1,12,2009,'F','N','SANTA TEREZINHA','S BERNARDO CAMPO','SP','125253251217412411438824571124610165152',4714,'9998',59.51,1,3,NULL),(25,6291678,'1993-05-26 00:00:00',2,8,12,2010,'F','N','ESPINHEIROS','JOINVILLE','SC','124201248415271731339634572124610168147',NULL,'1105',33.99,1,3,NULL),(25,6291686,'1994-03-12 00:00:00',2,15,12,2010,'F','N','BARRO VERMELHO','ARARANGUÁ','SC','124241241415161331538919575122610114142',15548,'29',42.83,1,3,NULL),(25,6291694,'1993-08-14 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121431488613434112610145187',2060,'270',67.66,1,3,NULL),(25,6291708,'1993-10-24 00:00:00',2,5,11,2010,'F','N','MICHEL','CRICIÚMA','SC','124242241215151431448814575122610161142',NULL,'210',0.00,1,3,NULL),(25,6291716,'1993-10-05 00:00:00',2,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241136141411636613242124610123077',NULL,'733',0.00,1,2,1),(25,6291732,'1993-06-27 00:00:00',2,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215131311336723572114610127047',14742,'272',41.24,1,3,NULL),(25,6291740,'1985-10-11 00:00:00',4,1,12,2003,'M','N','ROÇADO','S JOSÉ','SC','124241247337272721226629382124610147117',NULL,'1076',11.10,1,3,NULL),(25,6291767,'1991-08-18 00:00:00',4,1,12,2008,'M','N','ESTORIL','BAURU','SP','125252257216471142567812425112110254041',NULL,'9998',0.00,1,3,NULL),(25,6291775,'1991-10-29 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241215372731546613472124610122172',10002,'1022',51.35,1,3,NULL),(25,6291783,'1983-04-27 00:00:00',4,1,6,2002,'M','N','VARGEM PINHEIROS','STO AMARO IMPERATRIZ','SC','124241247227132431546429245333233237037',14604,'9999',44.29,1,3,NULL),(25,6291805,'1993-07-09 00:00:00',2,1,12,2010,'M','N','JARDIM ESMERALDA','FOZ IGUAÇU','PR','116164161217121551444832595122610134072',NULL,'9998',0.00,1,3,NULL),(25,6291813,'1991-06-07 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124244241311122431369813415132133162142',6004,'270',58.75,1,3,NULL),(25,6291821,'1993-05-11 00:00:00',4,3,11,2010,'F','N','CENTRO','CAMBORIÚ','SC','124242241347131431326666215121610167077',NULL,'130',17.09,1,3,NULL),(25,6291830,'1994-07-11 00:00:00',2,15,12,2010,'F','N','CIDADE ALTA','TURVO','SC','124241241115111632425314192221610124142',NULL,'814',0.00,1,2,1),(25,6291848,'1993-03-14 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241115371231423634275124610114077',NULL,'734',14.60,1,3,NULL),(25,6291856,'1992-04-24 00:00:00',2,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241217472411359923445124610127062',9979,'1022',51.38,1,3,NULL),(25,6291864,'1980-03-05 00:00:00',2,1,12,2000,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','624161161136271411254441215122340926052',13719,'9998',45.60,1,3,NULL),(25,6291872,'1993-07-06 00:00:00',4,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241217131431437711595124610164042',8927,'1022',50.42,1,3,NULL),(25,6291880,'1991-04-22 00:00:00',2,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124161161127143411436848245134230217057',20171,'9998',34.15,4,2,1),(25,6291899,'1993-03-31 00:00:00',4,6,11,2010,'M','N','ARMAÇÃO','PENHA','SC','124241241116271531224623575221610164057',NULL,'610',0.00,2,1,1),(25,6291910,'1992-10-07 00:00:00',2,10,12,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124243241216132431549912575124241427062',NULL,'809',0.00,1,3,NULL),(25,6291937,'1978-02-19 00:00:00',4,1,12,1995,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224242241216153411228841415124320664172',9696,'1169',51.87,1,3,NULL),(25,6291945,'1991-05-05 00:00:00',2,6,12,2009,'F','N','CENTRO','NOVA OLÍMPIA','PR','116161161436371711536614575122610166142',NULL,'9998',37.96,1,3,NULL),(25,6291953,'1989-05-05 00:00:00',2,1,4,2007,'M','N','IPIRANGA','S JOSÉ','SC','124242241316372421435719312122123235157',2581,'739',67.14,1,3,NULL),(25,6291961,'1994-06-15 00:00:00',2,1,12,2011,'F','S','NOSSA SENHORA DO ROS','S JOSÉ','SC','124243248216111751524634472122610118142',NULL,'1118',28.24,4,3,NULL),(25,6291970,'1993-11-02 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124222221215121431223814576314610123092',8408,'1022',53.07,4,3,NULL),(25,6291988,'1993-10-30 00:00:00',4,1,12,2010,'M','N','TAQUARAÇUTUBA','IMARUÍ','SC','124241241125161431624311572324610167057',20304,'356',28.12,4,2,1),(25,6291996,'1992-08-04 00:00:00',2,8,12,2010,'M','N','SUMARÉ','CARAGUATATUBA','SP','125251251215421431436632595123610117054',NULL,'9998',0.00,1,3,NULL),(25,6292003,'1990-05-29 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244247436141431423321245124610143093',21021,'9999',31.02,1,3,NULL),(25,6292011,'1992-10-13 00:00:00',2,9,12,2009,'M','N','CENTRO','S JOAQUIM','SC','124241248126131431323324145325231237057',NULL,'719',14.90,4,2,1),(25,6292020,'1992-07-04 00:00:00',2,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124162161214371431557532275112610114042',8625,'9998',53.73,1,3,NULL),(25,6292038,'1953-11-22 00:00:00',2,1,12,1972,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224241241127131531533653195322132263097',21251,'659',29.74,1,2,1),(25,6292046,'1993-06-27 00:00:00',2,15,11,2010,'M','N','ZANETTE','MELEIRO','SC','124242248415141411238622212124610137042',14590,'813',44.31,1,3,NULL),(25,6292054,'1992-06-25 00:00:00',2,9,12,2009,'M','N','CENTRO','RIO SUL','SC','124242241216472731446639575112610122042',4992,'663',58.74,1,3,NULL),(25,6292062,'1955-09-24 00:00:00',4,1,12,1974,'M','N','PEDRO LUDOVICO','GOIÂNIA','GO','509091091126571451563343131122340862043',9584,'9998',48.86,1,2,1),(25,6292070,'1992-06-25 00:00:00',2,9,12,2009,'M','N','CENTRO','RIO SUL','SC','124242241216472431456629575125610142042',2373,'663',66.71,1,3,NULL),(25,6292089,'1993-05-02 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111431358821575114610114197',5534,'270',57.14,1,3,NULL),(25,6292097,'1992-04-02 00:00:00',4,1,10,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372431488832575124222367042',997,'909',73.96,1,3,NULL),(25,6292100,'1993-07-16 00:00:00',4,3,12,2010,'M','N','TIMBEZINHO','S JOÃO BATISTA','SC','124241248215111712617719575122610114042',16485,'109',41.41,1,3,NULL),(25,6292119,'1993-09-16 00:00:00',4,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124242241215151531448934575122610167047',17976,'989',38.89,1,3,NULL),(25,6292127,'1989-02-01 00:00:00',4,1,3,2007,'M','N','HELVETIA','INDAIATUBA','SP','125252251211371711256611395122140222187',NULL,'9998',0.00,1,3,NULL),(25,6292143,'1991-06-28 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124142241215373431438619575124133263097',367,'988',78.79,4,3,NULL),(25,6292160,'1991-10-31 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241415472431289713575124610134142',5555,'270',57.97,1,3,NULL),(25,6292178,'1980-04-24 00:00:00',4,16,9,2005,'M','N','AGUA SANTA','CURITIBANOS','SC','124241247121151431423119385115610167047',NULL,'9999',0.00,4,3,NULL),(25,6292186,'1993-06-15 00:00:00',2,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124243241215111421643334245121610127187',NULL,'989',16.96,1,3,NULL),(25,6292224,'1993-02-15 00:00:00',4,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241215371431553839575125610121057',13758,'44',42.25,1,3,NULL),(25,6292232,'1993-11-27 00:00:00',4,1,12,2010,'F','N','MOSSUNGUÊ','CURITIBA','PR','116162161235471731557813272114610143057',6202,'9998',55.91,1,3,NULL),(25,6292240,'1992-07-05 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241415121431246823572114610122143',20174,'1022',29.09,4,3,NULL),(25,6292259,'1993-11-02 00:00:00',2,7,12,2010,'F','N','PARQUE JARDIM OURO','OURO','SC','124241241116271411458823272124610146147',NULL,'156',27.50,1,2,1),(25,6292267,'1993-09-01 00:00:00',4,4,11,2010,'M','N','MARIA GORETTI','CHAPECÓ','SC','124242241215371431568611472122610167142',20305,'185',33.74,1,3,NULL),(25,6292275,'1991-11-06 00:00:00',4,8,11,2008,'F','N','BACACHERI','CURITIBA','PR','116212161216572431469933575122610167017',12299,'9998',44.79,1,3,NULL),(25,6292283,'1963-12-31 00:00:00',2,1,12,1981,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224241243112132431346541212122132767067',NULL,'303',9.76,1,3,NULL),(25,6292291,'1991-08-24 00:00:00',4,1,12,2009,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241117272441532721375124610162047',NULL,'307',25.26,1,2,1),(25,6292313,'1990-08-19 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241111372431525613345134610124117',NULL,'257',37.24,1,2,1),(25,6292321,'1993-01-20 00:00:00',4,2,11,2010,'M','N','FIGUEIRA','GASPAR','SC','124241241137151431445632342121610127012',NULL,'325',23.82,1,2,1),(25,6292330,'1988-05-09 00:00:00',4,1,12,2005,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124244241216274421459613471124122832075',7203,'270',56.35,1,3,NULL),(25,6292348,'1990-08-07 00:00:00',2,8,12,2007,'F','N','COLONIAL','S BENTO SUL','SC','124241241136131731333823245223330733187',NULL,'697',34.19,1,2,1),(25,6292356,'1993-01-30 00:00:00',4,4,12,2010,'M','N','CENTRO SUL','DOIS VIZINHOS','PR','116163161116471431469923271122610164117',NULL,'9998',0.00,1,3,NULL),(25,6292364,'1993-07-07 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241115161431424733575124610124142',18849,'307',35.06,4,3,NULL),(25,6292372,'1993-01-15 00:00:00',4,1,12,2009,'F','N','CENTRO','S MIGUEL OESTE','SC','124244241215472431336934372114613233147',9066,'270',52.94,1,3,NULL),(25,6292380,'1993-01-20 00:00:00',2,5,11,2010,'M','N','PAULO DE FRONTIN','CRICIÚMA','SC','124242246215371431433512372124610167062',NULL,'995',24.20,1,3,NULL),(25,6292399,'1992-02-02 00:00:00',4,1,9,2010,'M','N','MEIRELES','FORTALEZA','CE','106062061217471431269913572112610122092',5014,'9998',57.86,1,3,NULL),(25,6292410,'1993-08-23 00:00:00',4,4,12,2010,'F','N','CENTRO','S DOMINGOS','SC','124241161216111432448624595322610134052',NULL,'9998',0.00,1,3,NULL),(25,6292429,'1992-09-10 00:00:00',4,1,12,2009,'F','N','JARDIM','S JOSÉ CEDRO','SC','124241241116271112433623145124610117051',NULL,'740',19.10,1,2,1),(25,6292437,'1992-03-25 00:00:00',2,1,11,2008,'F','N','BARREIROS SÃO JOSE','S JOSÉ','SC','120201201116571711217978587341610115012',11419,'9998',45.41,2,1,1),(25,6292445,'1981-05-27 00:00:00',2,1,12,1989,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124171231134134411116578481344122362146',12618,'276',43.22,4,2,1),(25,6292453,'1993-07-22 00:00:00',4,1,12,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241215112431546614445124610126142',10860,'1023',44.46,1,3,NULL),(25,6292461,'1993-06-30 00:00:00',2,7,12,2010,'F','N','CENTRO','TRÊS MAIO','RS','120202201216161431446632172122610128187',NULL,'9998',0.00,1,3,NULL),(25,6292470,'1994-03-17 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112731538814345122610127142',12414,'1169',47.50,1,3,NULL),(25,6292488,'1992-08-29 00:00:00',4,1,12,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117272411526519385124610146077',NULL,'288',35.21,1,2,1),(25,6292496,'1992-11-13 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473441479813575122610155145',684,'270',76.12,1,3,NULL),(25,6292500,'1993-10-08 00:00:00',2,9,11,2010,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241216121431486832595122610122142',NULL,'1207',23.19,1,3,NULL),(25,6292518,'1992-06-12 00:00:00',2,1,11,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241415111411438931172114610114081',NULL,'1022',12.57,1,3,NULL),(25,6292526,'1991-07-06 00:00:00',2,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241114472431333514345124610147047',21040,'298',24.79,2,1,2),(25,6292534,'1990-04-18 00:00:00',2,15,12,2007,'F','N','MENINO DEUS','PTO ALEGRE','RS','120201201215473431333623283124243264197',743,'9998',75.03,1,3,NULL),(25,6292542,'1992-06-11 00:00:00',4,17,12,2009,'M','N','VILA PARANA','RIO NEGRO','PR','116244161215272431348923575112130267012',13930,'9998',45.28,1,3,NULL),(25,6292550,'1989-08-25 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244248115373411357634445124130246063',11091,'271',44.20,1,3,NULL),(25,6292569,'1993-06-29 00:00:00',2,1,12,2010,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','224241241117131431223653572225610144017',NULL,'9997',7.77,1,2,1),(25,6292585,'1993-09-01 00:00:00',2,6,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215271431546612142111610136052',8488,'44',51.23,1,3,NULL),(25,6292593,'1992-03-22 00:00:00',2,4,12,2009,'F','N','CENTRO','RONDA ALTA','RS','120201201116371731425631572112610147147',15905,'9998',38.11,1,3,NULL),(25,6292607,'1993-07-04 00:00:00',4,2,12,2010,'F','N','CENTRO','BRUSQUE','SC','124242241215271411348632574122610128182',NULL,'107',0.00,1,3,NULL),(25,6292615,'1992-04-21 00:00:00',4,8,12,2010,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241217371731456912575122610137187',NULL,'1105',0.00,1,3,NULL),(25,6292631,'1993-10-13 00:00:00',2,4,10,2010,'F','N','NOVA UNIÃO','MAREMA','SC','124241241115131431436315575124610124057',15163,'847',38.55,1,2,1),(25,6292640,'1986-07-09 00:00:00',2,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241115141731323329291341610113147',NULL,'298',36.06,2,1,1),(25,6292658,'1993-07-25 00:00:00',4,2,12,2010,'M','N','CEDRINHO','BRUSQUE','SC','124241241115271421343632345124610164182',NULL,'1019',0.00,1,2,1),(25,6292666,'1992-08-13 00:00:00',4,1,12,2010,'M','N','JURERE INTER','FLORIANÓPOLIS','SC','124242241215313431357932575122610147122',15702,'270',37.88,1,3,NULL),(25,6292674,'1990-05-10 00:00:00',4,8,12,2007,'M','N','JARDIM STA FRANCISCA','GUARULHOS','SP','116162161417573751528933415114610167047',2080,'9998',68.23,1,3,NULL),(25,6292682,'1994-01-22 00:00:00',4,4,12,2010,'F','N','SANTA MARIA','CHAPECÓ','SC','124242241215112431559919575122610122142',4457,'1191',58.77,1,3,NULL),(25,6292704,'1993-02-07 00:00:00',4,1,12,2010,'M','N','ARCADAS','AMPARO','SP','125252251217111431436832575114610137047',15766,'9998',37.91,1,3,NULL),(25,6292712,'1993-09-25 00:00:00',4,2,12,2010,'F','N','VILA NOVA','BLUMENAU','SC','124242241215111431338832575122610126097',12339,'87',43.84,1,3,NULL),(25,6292739,'1989-05-09 00:00:00',4,1,12,2005,'M','N','MONT SERRAT','PTO ALEGRE','RS','120202201217471431488811571112140267123',NULL,'9998',0.00,1,3,NULL),(25,6292747,'1992-01-08 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117111711646633492124610167073',20501,'271',28.61,1,2,1),(25,6292755,'1976-10-27 00:00:00',2,1,9,2010,'F','N','FABRÍCIO','STO AMARO IMPERATRIZ','SC','224241247126371431521551375122610124147',NULL,'9999',18.92,1,2,1),(25,6292763,'1994-02-11 00:00:00',4,9,12,2010,'M','N','SAGRADO','LAGES','SC','124242241217111331468813475122610118042',8112,'497',51.02,1,3,NULL),(25,6292780,'1995-01-05 00:00:00',4,4,12,2011,'M','S','CENTRO','ÁGUAS CHAPECÓ','SC','124242241215111431339933572122610127042',NULL,'9997',60.35,1,3,NULL),(25,6292798,'1993-01-28 00:00:00',4,2,12,2010,'F','N','GARCIA','BLUMENAU','SC','124242241215121431469631575122610122152',4639,'909',58.92,1,3,NULL),(25,6292801,'1992-05-15 00:00:00',4,3,12,2009,'F','N','CENTRO','ITAPEMA','SC','124244241214152631437722382122233262113',21736,'403',24.31,1,3,NULL),(25,6292836,'1992-01-24 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111732425839575114610168187',NULL,'1118',23.01,1,3,NULL),(25,6292844,'1993-08-14 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124243241114131431237929575124610127052',NULL,'507',31.22,1,3,NULL),(25,6292852,'1991-07-02 00:00:00',2,1,11,2008,'M','N','NOVO MUNDO','CURITIBA','PR','116164161125371731446313243124610127047',10618,'9998',45.39,1,3,NULL),(25,6292860,'1993-05-31 00:00:00',4,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111431447814485122610147042',10216,'272',48.47,1,3,NULL),(25,6292879,'1992-05-20 00:00:00',2,1,12,2009,'M','N','PARQUE LOURIVAL','CÂNDIDO MOTA','SP','125251252116331311428813295122240367052',NULL,'9998',31.54,1,2,1),(25,6292887,'1979-06-15 00:00:00',2,1,12,1997,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116145421463423435124423036192',NULL,'9997',30.67,1,2,1),(25,6292895,'1989-11-23 00:00:00',4,1,12,2006,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241217372511334339445132131017063',20718,'262',32.32,1,3,NULL),(25,6292909,'1991-09-21 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241111471431237721412124610124145',NULL,'298',26.00,1,3,NULL),(25,6292917,'1992-11-18 00:00:00',4,6,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217371441438811425125610134012',14241,'44',41.39,1,3,NULL),(25,6292925,'1992-08-21 00:00:00',4,2,11,2010,'M','N','EUGENIO SCHNEIDER','RIO SUL','SC','124242241215111431368439575122610122057',NULL,'9997',0.00,1,3,NULL),(25,6292933,'1993-08-31 00:00:00',4,1,12,2010,'F','N','CIDADE ALTA','MEDIANEIRA','PR','116161161115131531226529572125610127077',NULL,'9998',22.33,1,2,1),(25,6292941,'1994-03-30 00:00:00',2,4,11,2010,'F','N','CENTRO','AMPÉRE','PR','116164161217131731423531212322610133147',NULL,'9998',0.00,1,3,NULL),(25,6292950,'1993-12-02 00:00:00',4,2,10,2010,'M','N','VILA NOVA','BLUMENAU','SC','124242241215111431436611572121610122092',NULL,'909',0.00,1,3,NULL),(25,6292968,'1993-01-05 00:00:00',2,15,11,2010,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124244241215152431436632575122610137112',16141,'26',41.95,1,3,NULL),(25,6292976,'1991-08-28 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241215122431328821412124610117182',19526,'1022',35.76,1,3,NULL),(25,6292984,'1983-03-18 00:00:00',4,8,12,2000,'M','N','ATIRADORES','JOINVILLE','SC','124242241236272421368832435132321522097',NULL,'1063',0.00,1,3,NULL),(25,6293000,'1993-01-18 00:00:00',2,9,11,2010,'F','N','NAÇÕES','FRAIBURGO','SC','124241241415131431446914145122610164142',NULL,'317',0.00,1,3,NULL),(25,6293026,'1993-02-25 00:00:00',2,17,12,2010,'M','N','CENTRO','CANOINHAS','SC','124241241115371431413619575112610142147',10956,'146',44.63,1,2,1),(25,6293034,'1973-06-17 00:00:00',2,1,12,1995,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201201226271751223348382224143228171',16768,'9998',40.98,4,3,NULL),(25,6293050,'1993-03-27 00:00:00',2,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241116471411533471375124610156057',2956,'739',64.62,4,2,1),(25,6293069,'1993-02-09 00:00:00',2,1,11,2009,'F','N','CENTRO','PALMAS','TO','127142141217471431258626574112610164192',NULL,'9998',0.00,1,3,NULL),(25,6293077,'1984-09-04 00:00:00',4,1,12,2002,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124131131117272531221125412324610114091',NULL,'9998',26.79,4,1,1),(25,6293085,'1993-11-29 00:00:00',2,1,12,2010,'F','N','SÃO JOSÉ','FRAIBURGO','SC','124241241315161411434432575122610114072',14294,'317',40.16,1,3,NULL),(25,6293093,'1983-11-08 00:00:00',5,1,12,2000,'F','N','ROÇADO','S JOSÉ','SC','124241241315135421129631212132331028147',14780,'262',44.04,1,3,NULL),(25,6293107,'1990-06-09 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124241241136231331426524245224610166142',NULL,'732',28.20,1,2,1),(25,6293115,'1992-09-24 00:00:00',4,1,12,2009,'M','N','JARDIM SANTO ANTONIO','PORECATU','PR','116162161216471441458713572122610167052',7582,'9998',51.92,1,3,NULL),(25,6293123,'1973-09-11 00:00:00',2,1,12,1992,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','524241247127232431423344245221133023092',NULL,'269',0.00,2,1,1),(25,6293131,'1987-04-26 00:00:00',2,1,12,2004,'M','N','CENTRO','CURITIBANOS','SC','124241241145575431558513272124610124187',3729,'239',63.99,1,2,1),(25,6293140,'1982-10-08 00:00:00',2,15,3,2001,'M','N','CENTRO','BAL ARROIO SILVA','SC','124202201217132731438419382324121837117',NULL,'9998',42.43,1,3,NULL),(25,6293158,'1992-11-20 00:00:00',4,8,11,2009,'M','N','AGUA VERDE','CURITIBA','PR','116252161215472431448819575124610164067',93,'9998',83.82,1,3,NULL),(25,6293166,'1993-08-05 00:00:00',2,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124243241217111431445632575122610163072',21741,'445',24.26,1,3,NULL),(25,6293182,'1992-02-15 00:00:00',4,1,12,2009,'F','N','FAZENDA IMPERIAL','SOROCABA','SP','125252251215471431465819571122610124047',NULL,'9998',0.00,1,3,NULL),(25,6293190,'1993-05-06 00:00:00',2,1,12,2010,'M','N','LARANJEIRAS','RIO SUL','SC','124241241116371431435532245132610118187',NULL,'657',0.00,4,2,1),(25,6293204,'1993-07-29 00:00:00',4,4,12,2010,'F','N','INTERIOR','FORMOSA SUL','SC','124241241116161431323336182124610134057',21058,'308',25.41,1,2,1),(25,6293212,'1992-07-25 00:00:00',4,1,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161215271431568832572122610162097',763,'9998',74.86,1,3,NULL),(25,6293220,'1987-06-22 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116275431443669341124610124057',15346,'293',39.00,1,2,1),(25,6293239,'1988-04-08 00:00:00',2,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124252251217472411568814445115221468192',8727,'9998',53.55,1,3,NULL),(25,6293247,'1993-06-01 00:00:00',4,4,12,2010,'M','N','CENTRO','XANXERÊ','SC','124242241217131431444619392222610168143',14030,'836',40.43,1,3,NULL),(25,6293263,'1992-12-12 00:00:00',4,5,11,2010,'M','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241215151431566714245122610137042',2821,'880',64.45,1,3,NULL),(25,6293298,'1989-02-24 00:00:00',4,1,6,2007,'F','N','BARREIROS','S JOSÉ','SC','124241241317151311336613445133130215152',19184,'9999',36.58,1,3,NULL),(25,6293310,'1993-02-24 00:00:00',4,8,12,2010,'M','N','FLORESTA','JOINVILLE','SC','124241241137141732325619342124610164067',10264,'492',46.56,1,2,1),(25,6293328,'1993-02-03 00:00:00',2,1,12,2010,'M','N','TEREZOPOLIS','ÁGUAS MORNAS','SC','124241241117331431323317572224610113142',17324,'772',35.76,1,2,1),(25,6293336,'1992-03-07 00:00:00',2,1,12,2009,'F','N','CORAL','LAGES','SC','124242241215473431569911572122610126042',729,'497',75.83,1,3,NULL),(25,6293344,'1994-08-17 00:00:00',2,10,12,2011,'F','S','MIRIM','IMBITUBA','SC','124241248417111432335933575122610122147',NULL,'362',24.43,1,3,NULL),(25,6293352,'1989-01-27 00:00:00',4,1,12,2005,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124242241216374431569931475124221767062',5247,'1000',60.31,1,3,NULL),(25,6293360,'1993-09-24 00:00:00',2,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124242241215121431468613575114610127047',18128,'1022',33.81,1,3,NULL),(25,6293379,'1993-08-30 00:00:00',2,1,10,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124121241125131431629313292124610137057',20252,'274',27.18,4,2,1),(25,6293387,'1992-04-29 00:00:00',4,3,12,2009,'M','N','VILA BERNARDES','ARAPONGAS','PR','116162161217471431356631575122610127043',7157,'9998',56.44,1,3,NULL),(25,6293395,'1992-11-23 00:00:00',2,1,12,2009,'M','N','CENTRO','S JOSÉ','SC','124241241117132731426624382224610121175',20045,'733',34.43,1,2,1),(25,6293409,'1983-04-16 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241127271731113341412324610126042',NULL,'93',28.27,1,2,1),(25,6293417,'1993-11-15 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241215111431526611245112610166042',11688,'1118',48.61,1,3,NULL),(25,6293425,'1991-02-12 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241137131521423628285124610167142',NULL,'295',29.69,1,2,1),(25,6293433,'1991-11-12 00:00:00',4,6,11,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124241241117371431536532595124230724185',12129,'614',47.94,1,2,1),(25,6293441,'1992-12-24 00:00:00',4,8,11,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241215121431537714575124610133192',10107,'1063',47.28,1,3,NULL),(25,6293450,'1993-04-13 00:00:00',4,2,12,2010,'M','N','CENTRO','POUSO REDONDO','SC','124241241117161431523919575122610114042',NULL,'639',33.83,1,2,1),(25,6293476,'1992-10-19 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241235472431446919575124610137042',9934,'273',48.22,2,1,2),(25,6293492,'1993-08-13 00:00:00',4,1,12,2010,'M','N','CENTRO','GAROPABA','SC','124241241124161431316634395121610137042',NULL,'322',0.00,1,2,1),(25,6293506,'1991-12-04 00:00:00',4,1,10,2010,'M','N','TREZE DE JULHO','ARACAJU','SE','126262261216211411469914445112610122172',8247,'9998',54.41,1,3,NULL),(25,6293514,'1992-05-19 00:00:00',4,1,11,2009,'F','N','JARDIM PAULISTA','S PAULO','SP','125252251237471431238713572125610164142',490,'9998',77.65,3,3,NULL),(25,6293522,'1993-01-05 00:00:00',4,8,12,2010,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124241241215131331326628172125610124192',9619,'441',48.19,1,3,NULL),(25,6293549,'1994-08-17 00:00:00',2,1,12,2010,'M','N','BARREIOS','S JOSÉ','SC','124243241436111311425421285124610264182',NULL,'868',8.51,1,3,NULL),(25,6293557,'1993-04-01 00:00:00',4,8,11,2010,'M','N','CENTENÁRIO','S BENTO SUL','SC','124242241216111431376614345124610137182',10101,'1038',47.70,1,3,NULL),(25,6293581,'1992-07-14 00:00:00',4,4,12,2009,'F','N','CENTRO','IRACEMINHA','SC','120241241117471351229823592115610147052',14759,'377',39.62,1,2,1),(25,6293590,'1992-11-03 00:00:00',4,1,12,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241215131441448834576114610167067',6110,'883',56.41,1,3,NULL),(25,6293603,'1993-03-18 00:00:00',2,1,12,2010,'F','N','POTECAS','S JOSÉ','SC','124241241115371731423614582124610124027',NULL,'733',18.19,1,2,1),(25,6293611,'1993-06-30 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117471751437613575124610142185',7939,'298',51.35,1,2,1),(25,6293620,'1992-01-23 00:00:00',2,1,12,2009,'M','N','REAL PARQUE','S JOSÉ','SC','124241241126371431436614245124610125097',NULL,'730',35.13,1,2,1),(25,6293638,'1994-02-17 00:00:00',4,3,11,2010,'M','N','CENTRO','PTO BELO','SC','124243241215112411545511474124610126182',5779,'948',55.24,1,3,NULL),(25,6293646,'1993-04-07 00:00:00',4,9,12,2010,'F','N','COPACABANA','LAGES','SC','124241241115111432436611575124610134197',17438,'935',35.29,1,2,1),(25,6293654,'1993-02-12 00:00:00',4,1,12,2010,'F','N','ZONA QUATRO','MARINGÁ','PR','116162161217471411459911571122610135142',767,'9998',74.66,1,3,NULL),(25,6293662,'1989-04-05 00:00:00',4,1,12,2006,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124161161116112731546674445334610122142',NULL,'9998',27.35,1,3,NULL),(25,6293670,'1991-08-21 00:00:00',4,1,12,2008,'F','N','CENTRO','STO ANDRÉ','SP','125252251217572441576632571122610167041',12843,'9998',42.41,1,3,NULL),(25,6293689,'1994-02-13 00:00:00',4,10,10,2011,'F','S','VILA MOEMA','TUBARÃO','SC','124242248216111431447712572122610132142',NULL,'807',20.95,1,3,NULL),(25,6293697,'1994-03-16 00:00:00',4,4,12,2010,'F','N','VILA CEZAMO','XANXERÊ','SC','124244241316131431423616575122610127147',NULL,'840',33.52,1,3,NULL),(25,6293700,'1993-05-16 00:00:00',4,1,12,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124241241116131431426914475224610166147',NULL,'66',28.21,1,2,1),(25,6293719,'1993-04-30 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124251241147131431625623295224610166147',14233,'736',39.62,1,2,1),(25,6293727,'1987-03-20 00:00:00',2,1,10,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241248331131711324654281114610123077',NULL,'300',15.34,1,3,NULL),(25,6293735,'1993-04-30 00:00:00',2,1,12,2010,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242242211271431358613575122610162097',19296,'1118',31.07,1,3,NULL),(25,6293743,'1993-05-06 00:00:00',2,4,12,2010,'M','N','BELA VISTA','CHAPECÓ','SC','124241241116141431326734575124610137067',NULL,'180',22.93,2,2,1),(25,6293751,'1985-01-08 00:00:00',2,1,12,2002,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241146153411134543332123133218191',15493,'65',42.91,1,3,NULL),(25,6293760,'1993-02-01 00:00:00',2,1,12,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124241241125141411325424241224610124143',NULL,'592',0.00,1,2,1),(25,6293778,'1980-12-11 00:00:00',4,1,12,1998,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624244241214575431258643432122321344087',2053,'270',68.37,1,3,NULL),(25,6293794,'1973-12-22 00:00:00',2,1,12,1991,'F','N','CENTRO','FLORIANÓPOLIS','SC','524241241117131431436444245134132744145',15601,'316',42.76,1,3,NULL),(25,6293808,'1992-12-28 00:00:00',4,10,11,2010,'M','N','REVOREDO','TUBARÃO','SC','624244241417151431468719175122610128092',18579,'809',31.98,1,3,NULL),(25,6293816,'1993-10-13 00:00:00',4,1,12,2010,'M','N','PARQUE','RIO GRANDE','RS','120202201215271431444932595122610167112',NULL,'9998',21.59,1,3,NULL),(25,6293824,'1990-03-15 00:00:00',4,1,12,2007,'M','N','BELA VISTA','S PAULO','SP','125142141216471331489931575122610134142',NULL,'9998',0.00,1,3,NULL),(25,6293832,'1993-07-05 00:00:00',4,10,11,2010,'F','N','PARQUE DAS ACÁCIAS','S LUDGERO','SC','124242241215121431379831575122610168042',11175,'807',48.85,1,3,NULL),(25,6293840,'1986-06-19 00:00:00',4,1,12,2003,'F','N','CENTRO','S JOSÉ','SC','124242241217152711344823585122320326185',3904,'723',63.52,1,3,NULL),(25,6293859,'1989-06-18 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217151431358611475122233262172',NULL,'807',53.33,1,3,NULL),(25,6293867,'1987-02-12 00:00:00',2,1,6,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247116135751228944245224133221141',NULL,'9999',20.58,1,2,1),(25,6293875,'1988-10-12 00:00:00',2,15,12,2005,'F','N','MATO ALTO','ARARANGUÁ','SC','124241241146141431324731245113610117042',NULL,'30',20.55,1,3,NULL),(25,6293883,'1972-11-29 00:00:00',2,1,12,2006,'F','N','INGLESES RIO VERMELH','FLORIANÓPOLIS','SC','224201207117131431556654445124143214182',NULL,'9999',0.00,1,3,NULL),(25,6293891,'1993-01-28 00:00:00',4,1,12,2010,'M','N','MARAMBAIA','VINHEDO','SP','125252251216111531488813575122610112042',8042,'9998',50.96,1,3,NULL),(25,6293905,'1991-12-10 00:00:00',4,9,12,2008,'F','N','CENTRO','STA MARIA','RS','120201201117572431468933575114610112142',2667,'9998',64.62,1,2,1),(25,6293913,'1994-07-28 00:00:00',4,1,11,2011,'M','S','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215111731458831575114610117042',NULL,'270',32.86,1,3,NULL),(25,6293921,'1993-10-12 00:00:00',4,1,12,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124241241116131432626614475122610164147',NULL,'66',24.13,1,2,1),(25,6293948,'1991-11-08 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215572431489933575122610166092',1665,'270',70.38,1,3,NULL),(25,6293956,'1993-09-29 00:00:00',2,10,11,2010,'M','N','VILA NOVA','IMBITUBA','SC','124243241211113421436554571121610117147',4636,'807',60.41,1,3,NULL),(25,6293964,'1993-07-28 00:00:00',4,2,11,2010,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241235111431458733575122610167052',4138,'70',62.95,1,3,NULL),(25,6293972,'1993-05-18 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116131431223721295124610124147',18723,'295',33.34,1,2,1),(25,6293999,'1993-05-13 00:00:00',4,1,12,2010,'M','N','CAMINHO NOVO','PALHOÇA','SC','124242241117271431226624475124610134072',17101,'733',34.60,1,3,NULL),(25,6294006,'1993-05-18 00:00:00',4,1,12,2010,'F','N','RIO THAIS','S BONIFÁCIO','SC','124241241122161431413325152214610138142',21759,'702',23.69,1,3,NULL),(25,6294014,'1993-02-07 00:00:00',2,4,11,2010,'M','N','CENTRO','ÁGUAS FRIAS','SC','124241251427131721526811342324610127047',21280,'185',29.54,1,3,NULL),(25,6294049,'1990-11-17 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431368821575112610132122',8589,'270',53.80,1,3,NULL),(25,6294057,'1992-03-06 00:00:00',4,1,11,2009,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251215471751358934572122610126076',7322,'9998',51.74,1,3,NULL),(25,6294065,'1992-07-13 00:00:00',2,10,11,2009,'M','N','CENTRO','IMBITUBA','SC','124242241215372431359912375122231417062',15546,'362',37.49,1,3,NULL),(25,6294073,'1991-11-01 00:00:00',4,5,11,2010,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241235422431448912575122610165142',8187,'226',49.63,1,3,NULL),(25,6294081,'1993-06-21 00:00:00',4,1,12,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115131411226614296324610122042',NULL,'733',0.00,4,3,NULL),(25,6294090,'1989-10-16 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241116275731348629445124610126125',15491,'267',38.15,1,3,NULL),(25,6294103,'1993-06-28 00:00:00',4,4,12,2010,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241215111531436812245122610138142',NULL,'1079',0.00,1,3,NULL),(25,6294120,'1991-10-28 00:00:00',2,8,12,2008,'F','N','AMIZADE','GUARAMIRIM','SC','124241241146473441334923345122233233017',NULL,'335',0.00,1,2,1),(25,6294138,'1979-04-14 00:00:00',2,1,12,1998,'F','N','BARREIROS','S JOSÉ','SC','224204201316371731237859395132342038097',NULL,'9998',0.00,1,3,NULL),(25,6294146,'1991-09-14 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431379612575122610137042',16076,'262',39.80,1,3,NULL),(25,6294154,'1988-05-18 00:00:00',2,5,12,2007,'M','N','CENTRO','ORLEANS','SC','124241241116431731224449395132610117187',NULL,'580',0.00,1,2,1),(25,6294162,'1995-09-01 00:00:00',4,1,12,2011,'F','S','KOBRASOL','S JOSÉ','SC','124243161132161711533662575124610112147',NULL,'9998',35.46,1,3,NULL),(25,6294170,'1989-09-07 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','624241241147131731124444345114610122047',NULL,'288',0.00,1,2,1),(25,6294189,'1991-01-17 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241211373431537712445124610127141',18517,'1022',32.10,1,3,NULL),(25,6294197,'1991-04-16 00:00:00',2,1,12,2008,'F','N','BUENO','GOIÂNIA','GO','109222221215571431449923572325610116112',6704,'9998',52.59,4,3,NULL),(25,6294200,'1989-02-15 00:00:00',2,15,12,2006,'F','N','MATO ALTO','ARARANGUÁ','SC','124241241127141431323331272344610117142',NULL,'209',17.08,1,3,NULL),(25,6294219,'1984-12-01 00:00:00',4,8,12,2002,'M','N','BUCAREIN','JOINVILLE','SC','124132241417131132249824345112231762181',NULL,'489',NULL,4,3,NULL),(25,6294227,'1991-07-06 00:00:00',4,4,12,2008,'F','N','FLORESTA','PTO ALEGRE','RS','120244241216573431546832575125610166142',3965,'185',60.32,1,3,NULL),(25,6294235,'1992-12-19 00:00:00',2,1,7,2010,'F','N','BELA VISTA','S JOSÉ','SC','124242247217372431339812572114610134182',6211,'9999',55.53,1,3,NULL),(25,6294243,'1993-06-26 00:00:00',4,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215121431353923435124610167047',16844,'723',36.32,1,3,NULL),(25,6294251,'1993-12-24 00:00:00',4,3,12,2010,'M','N','JARDIM SIMARA','PARANAVAÍ','PR','116161161216111231334921575122610144142',14475,'9998',44.49,1,3,NULL),(25,6294278,'1992-05-22 00:00:00',2,1,12,2009,'F','N','PANAZZOLO','CAXIAS SUL','RS','120202201217471421366619574122610144182',18003,'9998',32.39,1,3,NULL),(25,6294286,'1993-11-21 00:00:00',4,1,12,2010,'F','N','RIO MOLL','S BONIFÁCIO','SC','124241241122161431524855155124610138072',NULL,'702',24.23,1,3,NULL),(25,6294294,'1994-07-20 00:00:00',4,1,12,2010,'F','N','MORRETES','ITAPEMA','SC','124243241215111132443634576122610162174',NULL,'1119',25.32,1,3,NULL),(25,6294308,'1994-03-04 00:00:00',4,4,12,2010,'F','N','PERPÉTUO SOCORRO','S LOURENÇO OESTE','SC','124241241116141431523319495122610127052',NULL,'745',17.43,1,2,1),(25,6294316,'1993-12-05 00:00:00',4,3,12,2010,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161216111731458814575112610167062',6295,'9998',53.72,1,3,NULL),(25,6294340,'1993-02-17 00:00:00',4,1,12,2010,'M','N','CENTRO','AURORA','SC','124241241114151431543632585121610127052',16380,'40',37.14,1,2,1),(25,6294359,'1993-11-12 00:00:00',4,1,12,2011,'F','S','BARREIROS','S JOSÉ','SC','124242241215111732658313575124610128017',NULL,'738',29.31,1,3,NULL),(25,6294367,'1993-04-10 00:00:00',4,3,12,2010,'M','N','CENTRO','S VICENTE','SP','125252251116111451348813275125610168147',6537,'9998',54.14,1,3,NULL),(25,6294375,'1992-11-12 00:00:00',4,2,12,2010,'F','N','SUMARÉ','RIO SUL','SC','124242241215111431448814572122610122147',5157,'991',58.21,1,3,NULL),(25,6294383,'1993-11-01 00:00:00',2,1,12,2010,'F','N','REAL PAQUE','S JOSÉ','SC','124242241216151411234923575124610135192',17635,'976',35.36,1,3,NULL),(25,6294391,'1993-01-21 00:00:00',2,1,12,2010,'F','N','RIBERÃO GRANDE','PAULO LOPES','SC','124241241122131231513323472324610154057',NULL,'607',31.40,1,2,1),(25,6294405,'1993-02-02 00:00:00',2,1,12,2009,'F','N','PARQUE DOS ESTADOS','STA TEREZINHA ITAIPU','PR','116164161116271731425611575112610122142',NULL,'9998',0.00,1,3,NULL),(25,6294413,'1987-03-30 00:00:00',2,1,12,2004,'F','N','SETOR OESTE','GOIÂNIA','GO','109144091217271731429813475122342856092',NULL,'9998',0.00,3,3,NULL),(25,6294421,'1990-08-08 00:00:00',4,1,12,2008,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241127231211523334242114610117047',NULL,'294',27.13,1,2,1),(25,6294430,'1991-04-10 00:00:00',4,1,12,2008,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124243247417331431536624445114610137182',20808,'9999',31.92,1,3,NULL),(25,6294448,'1991-03-10 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215272431466833472122610127047',21455,'1118',28.37,1,3,NULL),(25,6294456,'1993-06-13 00:00:00',2,4,12,2010,'M','N','CENTRO','ÁGUAS FRIAS','SC','124241241217111431448831576122610137052',NULL,'185',0.00,1,3,NULL),(25,6294464,'1993-03-12 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431466613595122610167052',16879,'262',34.59,1,3,NULL),(25,6294472,'1992-06-22 00:00:00',4,8,12,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215472431488914591112610123182',NULL,'1063',0.00,1,3,NULL),(25,6294480,'1993-06-23 00:00:00',4,8,11,2010,'M','N','BIGORRILHO','CURITIBA','PR','116162161215111431378834571122610164042',1619,'9998',69.51,1,3,NULL),(25,6294499,'1991-02-02 00:00:00',4,1,12,2008,'M','N','BOQUEIRÃO','SANTOS','SP','125252251217471231468831575112610167042',4008,'9998',61.24,1,3,NULL),(25,6294502,'1993-08-22 00:00:00',2,1,12,2010,'M','N','CENTRO','CRICIÚMA','SC','122222221216114431347712372122610124052',NULL,'9998',0.00,1,3,NULL),(25,6294510,'1992-12-07 00:00:00',4,10,12,2010,'M','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124241241145151731224379345124610166177',15591,'798',42.78,1,3,NULL),(25,6294529,'1992-02-15 00:00:00',4,1,12,2009,'F','N','VILA BUARQUE','S PAULO','SP','125252251215471431578811591112610145052',2977,'9998',64.51,1,3,NULL),(25,6294537,'1991-07-14 00:00:00',4,8,12,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215572411578813572124610113015',3934,'931',63.46,1,3,NULL),(25,6294553,'1993-03-08 00:00:00',2,1,12,2010,'F','N','CAMINHO NOVO','PALHOÇA','SC','124244241215111431433314392212610162043',13841,'1010',45.41,1,3,NULL),(25,6294570,'1991-04-19 00:00:00',4,1,12,2009,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124241241216473431323329575114610123197',NULL,'1048',19.75,1,3,NULL),(25,6294588,'1992-04-09 00:00:00',4,2,12,2009,'F','N','CENTRO','ASCURRA','SC','124244241216472411547612374114610166172',9416,'37',47.93,1,3,NULL),(25,6294596,'1992-08-25 00:00:00',2,1,10,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111721634632372122610162117',5613,'723',57.39,1,3,NULL),(25,6294600,'1993-12-28 00:00:00',2,4,12,2010,'M','N','PERPÉTUO SOCORRO','S LOURENÇO OESTE','SC','124241241117151431323919572122610137057',NULL,'745',0.00,4,2,1),(25,6294626,'1993-07-29 00:00:00',4,1,12,2010,'F','N','VILA LORENZI','STA MARIA','RS','120201201117151431526631475124610122182',19515,'9998',29.91,1,3,NULL),(25,6294642,'1993-03-15 00:00:00',4,4,11,2009,'M','N','CENTRO','CONCÓRDIA','SC','124242241235211431548833575124131467063',NULL,'1047',35.32,1,3,NULL),(25,6294650,'1993-06-29 00:00:00',4,8,12,2010,'M','N','FLORESTA','JOINVILLE','SC','624242241235111731268314575115610164041',9007,'459',48.66,1,3,NULL),(25,6294669,'1993-06-24 00:00:00',4,10,12,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242241216271431438934592122610163182',18756,'797',30.88,1,3,NULL),(25,6294693,'1992-11-05 00:00:00',4,2,11,2010,'M','N','CENTRO','BRUSQUE','SC','124242241215372431436632275121610167012',1199,'109',72.57,1,3,NULL),(25,6294707,'1993-01-13 00:00:00',4,2,12,2010,'F','N','SÃO LUIZ','BRUSQUE','SC','124244241215111331437314275122610164142',NULL,'981',28.27,1,3,NULL),(25,6294715,'1992-02-07 00:00:00',4,8,12,2009,'F','N','CIDADE NOVA','S JOSÉ R PRETO','SP','125252251216371431448823575122610167077',10911,'9998',44.35,1,3,NULL),(25,6294723,'1993-04-23 00:00:00',2,1,12,2010,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241121161731526913242122610164147',20562,'649',28.04,1,2,1),(25,6294731,'1990-05-11 00:00:00',4,1,11,2010,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241247125131412527733445124610132147',19475,'9999',35.89,1,2,1),(25,6294740,'1990-12-25 00:00:00',4,5,12,2008,'M','N','CENTRO','IMBÉ','RS','120201201117131751326649342213610127057',21614,'9998',20.77,1,2,1),(25,6294758,'1993-03-23 00:00:00',4,2,12,2010,'M','N','VILA NOVA','BLUMENAU','SC','124242241215111431368932575122610122092',12245,'855',43.52,1,3,NULL),(25,6294766,'1993-07-01 00:00:00',4,1,11,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241136151411425531576125610127012',20852,'281',31.71,1,2,1),(25,6294774,'1993-05-22 00:00:00',4,10,11,2010,'M','N','OFICINAS','TUBARÃO','SC','124242241617111451553432222111610167112',13786,'1120',40.66,1,3,NULL),(25,6294782,'1993-10-14 00:00:00',4,2,12,2010,'M','N','DOS ESTADOS','INDAIAL','SC','124243241215111751558932195124610167122',3542,'1157',62.66,1,3,NULL),(25,6294790,'1993-11-04 00:00:00',4,10,11,2010,'M','N','RIO SÃO JOÃO','S MARTINHO','SC','124241241345121431424633575122610122147',9585,'807',48.21,1,3,NULL),(25,6294804,'1991-08-07 00:00:00',4,1,12,2008,'F','N','ALTO ARIRIÚ','PALHOÇA','SC','124242241216153411446613572124613223042',7538,'1014',55.71,1,3,NULL),(25,6294812,'1993-08-26 00:00:00',4,1,12,2010,'F','N','RIO BLOEMER','S BONIFÁCIO','SC','124241241125161531324335245325610153143',NULL,'702',24.91,1,3,NULL),(25,6294820,'1988-12-21 00:00:00',4,1,12,2005,'M','N','CENTRO','TIJUCAS','SC','124241241215133411656314345133610114052',19481,'781',35.87,1,3,NULL),(25,6294839,'1993-03-12 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215112431358811475124610134092',71,'1118',84.71,1,3,NULL),(25,6294847,'1991-07-10 00:00:00',2,15,11,2010,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241246215151431426933575124610127052',NULL,'995',13.64,1,3,NULL),(25,6294855,'1993-01-20 00:00:00',4,5,12,2010,'F','N','MICHEL','CRICIÚMA','SC','124244241215131431425634572124610137077',15154,'995',43.47,1,3,NULL),(25,6294863,'1989-03-07 00:00:00',4,4,12,2006,'M','N','EFAPI','CHAPECÓ','SC','124241241117131411336833385122230214057',NULL,'184',32.00,1,3,NULL),(25,6294880,'1993-08-08 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241235111431459811575124610111097',17127,'1118',40.41,1,3,NULL),(25,6294898,'1992-02-28 00:00:00',4,4,11,2009,'F','N','CENTRO','ERECHIM','RS','120202201216272431458632575112610167052',NULL,'9998',25.59,1,3,NULL),(25,6294901,'1990-12-06 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124201201111131411125344231113610164117',17156,'9998',36.97,3,3,NULL),(25,6294910,'1993-09-13 00:00:00',4,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241217111431446834575114610163191',8120,'1022',53.26,1,3,NULL),(25,6294928,'1993-02-12 00:00:00',4,2,12,2010,'M','N','SIEGEL','AGROLÂNDIA','SC','124241241134141531555614145123610137072',NULL,'6',0.00,4,2,1),(25,6294952,'1992-09-23 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117131551317679572215610135177',17781,'288',39.27,1,2,1),(25,6294960,'1991-04-07 00:00:00',4,1,12,2008,'F','N','SÃO CRISTÓVÃO','CASCAVEL','PR','116162161317471431538711571124610166097',10984,'9998',46.29,1,3,NULL),(25,6294987,'1994-02-05 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241115131431335979395112610122192',NULL,'732',23.18,1,3,NULL),(25,6294995,'1991-07-19 00:00:00',4,1,12,2008,'F','N','POÇO FUNDO','STO AMARO IMPERATRIZ','SC','124241241137142521429733395113610127187',NULL,'772',19.96,1,3,NULL),(25,6295002,'1986-09-19 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124091091117573751446829386324610168197',150,'9998',81.81,4,2,1),(25,6295037,'1992-11-29 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241117111431436531374114610164182',NULL,'272',24.05,1,3,NULL),(25,6295045,'1992-01-08 00:00:00',2,4,12,2009,'F','N','CENTRO','PATO BRANCO','PR','116162162116271431447734475122241464147',10208,'9998',44.76,1,3,NULL),(25,6295053,'1993-05-30 00:00:00',4,6,12,2010,'M','N','GUARANI','BRUSQUE','SC','124242241217111432368921577112610134197',10990,'109',45.44,1,3,NULL),(25,6295061,'1993-06-27 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241117151431327724572124610123091',10834,'307',47.55,1,3,NULL),(25,6295070,'1994-12-03 00:00:00',4,1,11,2010,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215111431687812575114610167072',14127,'262',44.97,1,3,NULL),(25,6295088,'1993-08-03 00:00:00',4,10,10,2010,'F','N','MONTE CASTELO','TUBARÃO','SC','124243241215111431336834592122610123092',5284,'806',58.92,1,3,NULL),(25,6295096,'1989-11-14 00:00:00',4,10,12,2006,'F','N','MAR GROSSO','LAGUNA','SC','124244241227131531437823372122231024182',NULL,'524',18.72,1,3,NULL),(25,6295100,'1993-05-13 00:00:00',2,7,12,2010,'F','N','SESI','VIDEIRA','SC','124244241215151431448634572122610131182',NULL,'829',23.67,1,3,NULL),(25,6295118,'1993-03-04 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151732479913595125610127145',NULL,'270',40.70,1,3,NULL),(25,6295126,'1993-01-22 00:00:00',4,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241136161231623529582324610113147',21137,'296',30.46,1,2,1),(25,6295134,'1993-01-31 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124203241215112411345924195124610117142',NULL,'1022',19.75,1,3,NULL),(25,6295142,'1993-11-18 00:00:00',4,1,12,2010,'F','N','PACHECOS','PALHOÇA','SC','124241241215131431644824272224610166047',14378,'1022',40.14,1,3,NULL),(25,6295150,'1994-08-29 00:00:00',3,1,12,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241217151431336623572124610127145',5110,'299',60.60,1,3,NULL),(25,6295177,'1993-07-09 00:00:00',4,1,12,2010,'M','N','VENDAVAL','BIGUAÇU','SC','124242241215151431543639246122610164182',15573,'63',42.80,1,3,NULL),(25,6295185,'1993-01-21 00:00:00',4,6,11,2010,'M','N','SÃO VICENTE','ITAJAÍ','SC','124243241215111431536613242121610132017',7594,'388',52.12,1,3,NULL),(25,6295193,'1992-05-04 00:00:00',4,8,12,2009,'F','N','ITINGA','JOINVILLE','SC','124241241224211431416414374124610158187',NULL,'459',0.00,1,3,NULL),(25,6295207,'1992-09-27 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215371431358813576122610143012',10304,'884',47.70,1,3,NULL),(25,6295215,'1992-11-05 00:00:00',2,5,11,2010,'M','N','MONTE VERDE','MRO FUMAÇA','SC','124244241215372221343332575112610122173',14734,'226',44.10,1,3,NULL),(25,6295231,'1993-09-02 00:00:00',4,1,12,2010,'M','N','PAES LEME','IMBITUBA','SC','124242241215112431448632575125610167112',8899,'362',49.14,1,3,NULL),(25,6295240,'1992-12-25 00:00:00',2,1,12,2010,'M','N','MORRINHOS','GAROPABA','SC','124243241617161431436811375122610167142',10777,'9997',45.90,1,3,NULL),(25,6295258,'1991-04-12 00:00:00',4,1,12,2008,'M','N','DISTRITO INDUSTRIAL','MANAUS','AM','104042041215111431537834442124242937047',NULL,'9998',0.00,1,3,NULL),(25,6295274,'1991-06-25 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215473431466814272124221467121',16,'270',88.01,1,3,NULL),(25,6295282,'1993-01-17 00:00:00',4,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124242241217111431458933575122610137032',7239,'71',52.31,1,3,NULL),(25,6295304,'1992-06-18 00:00:00',2,1,11,2010,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241116141531423512142224610114143',NULL,'592',26.91,2,1,1),(25,6295312,'1992-10-04 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111411568914572122610127062',17926,'1118',34.64,1,3,NULL),(25,6295320,'1989-02-07 00:00:00',4,3,12,2006,'F','N','REBOUÇAS','CURITIBA','PR','116162161216572431456833572122610166147',1060,'9998',72.77,1,3,NULL),(25,6295339,'1990-10-08 00:00:00',4,1,12,2008,'M','N','JARDIM RUBÍ','SANTANA PARNAÍBA','SP','125251251117522431467934375124241434052',12271,'9998',47.73,1,2,1),(25,6295347,'1993-02-28 00:00:00',2,10,12,2010,'F','N','CENTRO','ORLEANS','SC','124241241215151431535632575124610136092',4953,'581',57.30,1,3,NULL),(25,6295355,'1992-12-14 00:00:00',4,1,12,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124244241215131411438614475114610124117',6684,'1022',54.12,1,3,NULL),(25,6295363,'1991-02-05 00:00:00',2,1,12,2009,'M','N','JARDIM PANORAMICO','IVOTI','RS','120203201217471431556829491324610144057',12259,'9998',43.58,1,3,NULL),(25,6295371,'1993-10-20 00:00:00',2,1,12,2010,'F','N','MEDIANEIRA','BUTIÁ','RS','120253201216161711648819472122610122052',13333,'9998',41.37,1,3,NULL),(25,6295380,'1993-11-13 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241336142431335514245122610161097',NULL,'732',23.95,1,3,NULL),(25,6295398,'1994-09-13 00:00:00',2,5,12,2010,'M','N','LINHA BATISTA','CRICIÚMA','SC','124244241215151431324939575124610147042',7115,'995',56.52,1,3,NULL),(25,6295410,'1993-02-17 00:00:00',2,4,12,2010,'F','N','INTERIOR','HUMAITÁ','RS','120203201117131551223325585124610138097',NULL,'9998',0.00,1,3,NULL),(25,6295428,'1993-12-22 00:00:00',4,1,12,2011,'F','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241211111722368831592112610123042',NULL,'1022',49.88,1,3,NULL),(25,6295436,'1991-12-23 00:00:00',4,8,12,2008,'M','N','BOA VISTA','CURITIBA','PR','116162161215572431368734575122610167047',1382,'9998',70.12,1,3,NULL),(25,6295444,'1990-11-13 00:00:00',2,3,11,2008,'M','N','VILAS BOAS','CPO GRANDE','MS','112122121215571431467812575122610162072',1959,'9998',67.91,1,3,NULL),(25,6295452,'1982-03-14 00:00:00',2,1,12,2001,'M','N','CAMPINAS','S JOSÉ','SC','124241241132154411225343332122610127057',NULL,'614',0.00,1,2,1),(25,6295460,'1988-07-21 00:00:00',4,1,12,2008,'F','N','JARDIM AMERICA','RIO SUL','SC','124241247116131421526529245124610126142',NULL,'9999',27.93,2,1,1),(25,6295479,'1994-08-30 00:00:00',2,15,11,2011,'F','S','CENTRO','TURVO','SC','124243241217151431356834572122610124172',NULL,'813',61.73,1,3,NULL),(25,6295495,'1991-11-09 00:00:00',4,8,12,2009,'F','N','JD PRIMAVERA','BRAGANÇA PAULISTA','SP','125252241215471431348814475112610132142',4952,'9998',58.41,1,3,NULL),(25,6295509,'1993-09-20 00:00:00',4,4,12,2010,'M','N','CENTRO','PALMITOS','SC','124241241215151431434532575124610122017',NULL,'1193',0.00,1,3,NULL),(25,6295517,'1993-09-17 00:00:00',4,1,12,2010,'M','N','PARQUE NOVO MUNDO','AMERICANA','SP','125252251217111131448839571111610167044',11798,'9998',43.35,4,3,NULL),(25,6295533,'1994-03-08 00:00:00',4,1,12,2011,'M','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241115111431568712372124610137167',NULL,'270',40.22,1,3,NULL),(25,6295541,'1993-05-24 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241115271431328719475112610168197',NULL,'592',36.32,1,3,NULL),(25,6295550,'1991-08-02 00:00:00',4,8,12,2008,'M','N','GUAÍRA','CURITIBA','PR','116163161115572431364921594114141064097',159,'9998',81.73,1,3,NULL),(25,6295568,'1984-09-21 00:00:00',4,1,12,2002,'F','N','BELA VISTA','RIO CLARO','SP','125252251211573411468831571125141462197',906,'9998',72.85,1,3,NULL),(25,6295576,'1993-06-10 00:00:00',2,7,12,2010,'F','N','INTERIOR','ARROIO TRINTA','SC','124241241127131431423416271224610121057',19920,'853',29.03,1,2,1),(25,6295584,'1992-07-12 00:00:00',4,9,11,2010,'M','N','CENTRO','PRES GETÚLIO','SC','124241241315111431239923575222610162172',9526,'991',48.50,1,3,NULL),(25,6295592,'1991-09-12 00:00:00',4,15,12,2008,'M','N','CENTRO','SOMBRIO','SC','124241241117132431226822435121233267017',16810,'1033',36.30,1,2,1),(25,6295606,'1991-11-21 00:00:00',4,8,11,2008,'F','N','JARDIM SOCIAL','CURITIBA','PR','116162161115571431579911571122610163182',3108,'9998',65.61,1,3,NULL),(25,6295614,'1992-05-16 00:00:00',4,1,12,2009,'M','N','VILA BIRIGUI','RONDONÓPOLIS','MT','111112111217111411459932572115610142122',12917,'9998',42.22,1,3,NULL),(25,6295622,'1993-07-25 00:00:00',4,5,12,2010,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215121431358614572122610123142',2641,'213',65.55,1,3,NULL),(25,6295630,'1991-12-01 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117132431646634445124610164047',NULL,'288',30.67,1,2,1),(25,6295649,'1993-05-13 00:00:00',4,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431468612175122610126093',5082,'723',57.85,1,3,NULL),(25,6295657,'1987-11-11 00:00:00',2,1,12,2002,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241116271731423374345134610138147',NULL,'293',31.49,1,2,1),(25,6295665,'1991-05-09 00:00:00',2,1,12,2009,'M','N','GUTIERREZ','BELO HORIZONTE','MG','113132131217271431589814575122610147052',NULL,'9998',0.00,1,3,NULL),(25,6295673,'1992-01-10 00:00:00',2,8,12,2009,'M','N','JARDIM UNIÃO','TABATINGA','SP','125251251116471421424473345231610164182',NULL,'9998',0.00,1,2,1),(25,6295681,'1993-07-16 00:00:00',4,1,12,2010,'F','N','UBERABA','CURITIBA','PR','116162161217121431449914245122610121192',5879,'9998',55.64,3,3,NULL),(25,6295690,'1993-04-21 00:00:00',4,1,12,2010,'M','N','JARDIM TROPICAL','DOURADOS','MS','112122121215111451469812572122610144147',463,'9998',77.63,1,3,NULL),(25,6295711,'1994-01-01 00:00:00',4,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242246117151431546634575122610142072',17512,'1075',39.72,1,3,NULL),(25,6295720,'1993-02-16 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115151431426529382125610117047',18350,'298',35.15,1,2,1),(25,6295738,'1991-06-22 00:00:00',4,1,12,2009,'F','N','JD TRAQUILIDADE','GUARULHOS','SP','125252258117371431336824485124610162092',NULL,'9998',0.00,1,3,NULL),(25,6295746,'1993-06-01 00:00:00',4,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117141431557614285124610122142',NULL,'772',29.16,1,2,1),(25,6295754,'1990-12-04 00:00:00',4,1,12,2007,'F','N','N S BOM CONSELHO','S PAULO','SP','125252251211571422447612571122610162182',NULL,'9998',0.00,1,3,NULL),(25,6295762,'1991-10-16 00:00:00',4,1,1,2010,'M','N','ALTO DA COLINA','LONDRINA','PR','116162247217472411468812575121610164187',2684,'9998',65.35,1,3,NULL),(25,6295770,'1993-07-16 00:00:00',2,6,11,2010,'M','N','SÃO VICENTE','ITAJAÍ','SC','124241241215151331563733575124610164072',NULL,'392',0.00,1,3,NULL),(25,6295789,'1994-02-02 00:00:00',2,5,11,2011,'F','S','CENTRO','SIDERÓPOLIS','SC','124244241435111431436639572124610124192',NULL,'226',30.16,1,3,NULL),(25,6295797,'1993-07-02 00:00:00',4,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215112431568923575122610161187',12695,'226',47.08,1,3,NULL),(25,6295800,'1990-05-01 00:00:00',4,1,12,2007,'F','N','MIGUEL SUTIL','CUIABÁ','MT','111112111216463441249923575124120828047',7531,'9998',52.26,1,3,NULL),(25,6295819,'1992-11-15 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431246711115124610115092',17492,'9997',39.76,1,3,NULL),(25,6295827,'1991-11-01 00:00:00',3,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241215151411238714572114610135193',NULL,'1022',42.98,1,3,NULL),(25,6295835,'1993-04-07 00:00:00',2,8,12,2010,'F','N','VILA SAO FRANCISCO','DOURADOS','MS','112124121216121431536512575122610126092',20588,'9998',26.22,4,3,NULL),(25,6295843,'1993-08-31 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111451336631275122610125015',8509,'737',51.30,1,3,NULL),(25,6295851,'1994-04-11 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215112431468934575122610128072',NULL,'737',40.57,1,3,NULL),(25,6295860,'1992-09-14 00:00:00',2,3,12,2009,'M','N','CENTRO','CARAZINHO','RS','120202201217471431656932275114610122047',5996,'9998',56.10,1,3,NULL),(25,6295878,'1993-08-28 00:00:00',4,1,10,2010,'M','N','SAO PEDRO','STO ANTÔNIO PLATINA','PR','116161161215471752448632575114610166056',NULL,'9998',0.00,1,3,NULL),(25,6295894,'1992-12-06 00:00:00',4,9,12,2010,'F','N','FERROVIA','LAGES','SC','124243241215131431639914572112610164197',16605,'499',35.39,1,3,NULL),(25,6295908,'1985-06-06 00:00:00',4,1,12,2002,'F','N','VILA MARIANA','S PAULO','SP','125052251217573431376639475122610126042',NULL,'9998',35.26,4,1,2),(25,6295916,'1982-01-20 00:00:00',2,1,12,1999,'M','N','ROÇADO','S JOSÉ','SC','224201208117131251223644441334610164067',NULL,'9998',23.63,2,3,NULL),(25,6295924,'1994-08-24 00:00:00',4,1,11,2011,'F','S','ARIRIU','PALHOÇA','SC','124243241115111432447923571124610125177',NULL,'271',54.24,1,3,NULL),(25,6295932,'1991-01-26 00:00:00',2,1,12,2008,'F','N','BAIRRO ALTO','CURITIBA','PR','116164161215571731353612174124610123147',NULL,'9998',0.00,1,3,NULL),(25,6295959,'1993-01-16 00:00:00',4,1,11,2010,'F','N','CENTRO','SORRISO','MT','111113111216111431443316572122610125142',NULL,'9998',15.55,1,3,NULL),(25,6295975,'1992-12-01 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124244241216371431256923575112610122147',17844,'515',39.14,4,3,NULL),(25,6295983,'1990-11-29 00:00:00',4,1,12,2008,'M','N','OLIMPICO','S CAETANO SUL','SP','125251251116571431334623595114610137057',16010,'9998',38.16,1,2,1),(25,6295991,'1991-06-12 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241126372431423531245114610127147',NULL,'288',18.76,1,2,1),(25,6296009,'1989-11-06 00:00:00',4,1,12,2007,'M','N','JD GRANJA OLGA II','SOROCABA','SP','125252251215571431368811575124610137047',NULL,'9998',0.00,1,3,NULL),(25,6296017,'1992-12-04 00:00:00',2,9,12,2009,'M','N','BELA VISTA','LAGES','SC','124241241116111431443923495122610127042',NULL,'500',14.22,1,3,NULL),(25,6296025,'1992-10-06 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215374431458931582114133134012',1290,'226',72.38,1,3,NULL),(25,6296033,'1990-06-29 00:00:00',4,3,12,2007,'F','N','GLEBA PALHANO','LONDRINA','PR','116162161216471431458814481122142266142',7744,'9998',55.33,1,3,NULL),(25,6296041,'1980-04-14 00:00:00',4,2,12,1997,'M','N','CENTRO','RIO CAMPO','SC','124253251216111441157843435124340366182',3120,'9998',65.57,1,3,NULL),(25,6296050,'1991-02-07 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215573731458819575122131464142',3211,'1169',63.52,1,3,NULL),(25,6296068,'1993-11-25 00:00:00',4,3,12,2010,'M','N','CENTRO','BRUSQUE','SC','124202248117151512537811275122610164172',13802,'129',41.03,1,3,NULL),(25,6296076,'1993-10-04 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241116131211326414475124610124042',NULL,'288',25.25,1,2,1),(25,6296092,'1993-05-12 00:00:00',2,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242248215111252343319572114610117047',NULL,'1022',0.00,1,3,NULL),(25,6296106,'1993-09-22 00:00:00',4,8,12,2010,'F','N','CENTRO','JOINVILLE','SC','124244241415131431426634575114610133053',NULL,'459',0.00,2,1,2),(25,6296114,'1993-08-27 00:00:00',4,1,11,2010,'F','N','JURERÊ INTERNACIAL','FLORIANÓPOLIS','SC','124242241215371431488612575112610135122',7176,'270',53.32,1,3,NULL),(25,6296122,'1991-04-30 00:00:00',4,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124262261235472431426611571114610164111',6682,'9998',57.33,4,3,NULL),(25,6296130,'1964-08-18 00:00:00',2,1,12,1982,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224241243137143411666653475112120915182',17739,'257',39.34,1,2,1),(25,6296149,'1992-03-13 00:00:00',4,1,12,2009,'M','N','TRINTA RÉIS','NOVA TRENTO','SC','124241241436162731443614345112610167042',7984,'574',50.75,1,3,NULL),(25,6296157,'1993-11-23 00:00:00',4,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241215111431668819495124610142097',16929,'270',40.73,1,3,NULL),(25,6296165,'1992-11-26 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241241216272431535933375124132728012',NULL,'737',30.67,1,3,NULL),(25,6296173,'1992-12-25 00:00:00',4,4,12,2010,'F','N','JARDIM ITALIA','CHAPECÓ','SC','124242241217111431559733575122610166142',3823,'983',61.36,1,3,NULL),(25,6296190,'1986-04-16 00:00:00',4,1,2,2005,'M','N','CENTRO','BIGUAÇU','SC','124241247311131751646634246225231258187',NULL,'1003',18.04,2,1,2),(25,6296203,'1990-03-29 00:00:00',4,2,12,2007,'F','N','CENTRO','TIMBÓ','SC','124241241217375531358831272324231335072',NULL,'9997',0.00,1,3,NULL),(25,6296211,'1993-09-21 00:00:00',4,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241117111421437614575124610164192',6162,'475',54.74,1,3,NULL),(25,6296220,'1988-06-30 00:00:00',2,1,6,2005,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124201247336273311225744242114131043047',NULL,'9999',0.00,1,3,NULL),(25,6296238,'1992-10-28 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124243241212132731656534342224610122072',NULL,'868',0.00,1,3,NULL),(25,6296254,'1992-04-21 00:00:00',2,7,12,2009,'M','N','IMIGRANTES','ZORTÉA','SC','124241241127471451336633142125610124077',13419,'849',40.80,1,2,1),(25,6296262,'1992-08-09 00:00:00',2,5,7,2010,'M','N','COMERCIARIO','CRICIÚMA','SC','124241241216271431224519275122610126097',NULL,'995',39.41,1,3,NULL),(25,6296270,'1987-10-08 00:00:00',2,16,12,2004,'F','N','AGUA SANTA','CURITIBANOS','SC','124241241137271721325619391115133261187',NULL,'239',34.85,1,3,NULL),(25,6296289,'1994-03-09 00:00:00',2,15,12,2010,'F','N','CIDADE ALTA','TURVO','SC','124243241217111431338619294122610138017',17733,'813',39.35,1,3,NULL),(25,6296297,'1992-12-30 00:00:00',4,3,12,2010,'M','N','UNIVERSITARIO','TIJUCAS','SC','124242241215111231438611572121610117057',17531,'948',34.14,1,3,NULL),(25,6296300,'1987-11-18 00:00:00',4,1,12,2006,'M','N','BRAGANHOLO','CARAZINHO','RS','120201201127131431536621435124140217127',14842,'9998',43.93,1,3,NULL),(25,6296319,'1986-05-22 00:00:00',2,1,12,2004,'F','N','CARIOCA','S JOSÉ PINHAIS','PR','216161161127131412236352372334610143186',NULL,'9998',0.00,3,3,NULL),(25,6296327,'1993-03-15 00:00:00',2,1,12,2009,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241112372411533411341124610137145',NULL,'941',18.51,1,2,1),(25,6296335,'1993-09-27 00:00:00',2,2,12,2010,'M','N','CENTRO','CAPANEMA','PR','116161161116231732525619592121610117047',NULL,'9998',17.03,2,2,1),(25,6296343,'1990-11-12 00:00:00',4,1,12,2010,'M','N','A E CARVALHO','S PAULO','SP','125252251417371431356521375124610117047',NULL,'9998',0.00,3,3,NULL),(25,6296351,'1992-04-11 00:00:00',4,15,12,2009,'M','N','NORDESTE','IMBÉ','RS','120202201217471231343612125124610164176',5535,'9998',57.03,1,3,NULL),(25,6296360,'1994-08-08 00:00:00',2,4,12,2010,'M','N','CENTRO','DESCANSO','SC','124242241217131431448713482124610134052',17330,'752',40.05,1,3,NULL),(25,6296378,'1993-03-02 00:00:00',4,2,11,2010,'F','N','LAGEADO BAIXO','GUABIRUBA','SC','124244241215372431645834575222610127052',742,'109',75.15,1,3,NULL),(25,6296386,'1993-05-11 00:00:00',4,1,12,2010,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251217151431258831575122610132092',12467,'9998',42.62,1,3,NULL),(25,6296394,'1993-04-05 00:00:00',4,9,11,2010,'M','N','LARANJEIRAS','RIO SUL','SC','124242241215111431447813582112610144182',8330,'991',51.74,1,3,NULL),(25,6296408,'1994-09-14 00:00:00',4,1,12,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111431459812572124610134012',18427,'270',38.07,1,3,NULL),(25,6296416,'1992-08-13 00:00:00',2,4,12,2009,'M','N','CENTRO','TOLEDO','PR','116164161215472431354824575121610167061',5527,'9998',56.80,1,3,NULL),(25,6296424,'1994-02-15 00:00:00',4,3,12,2011,'F','S','MEIA PRAIA','ITAPEMA','SC','124242241215171332358914575122610126052',NULL,'43',9.60,1,3,NULL),(25,6296432,'1994-06-10 00:00:00',4,1,11,2011,'M','S','BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC','124242241217151531488633325112610132092',NULL,'9997',39.33,1,3,NULL),(25,6296459,'1994-03-30 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241216121431439832572112610132072',NULL,'262',21.69,1,3,NULL),(25,6296467,'1993-01-18 00:00:00',2,8,11,2010,'M','N','VILA NOVA','JOINVILLE','SC','124241241215131231549613312114610134047',16601,'489',41.24,2,1,2),(25,6296475,'1993-08-15 00:00:00',4,6,12,2010,'M','N','MATO PRETO','S BENTO SUL','SC','124242241215111431236923572122610137052',8379,'1178',50.66,1,3,NULL),(25,6296483,'1956-01-09 00:00:00',2,1,12,1990,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242244214132421334443332112611363197',NULL,'725',0.00,1,3,NULL),(25,6296491,'1991-12-10 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431469914472124610127117',5621,'262',59.15,1,3,NULL),(25,6296505,'1994-10-26 00:00:00',4,7,12,2011,'F','S','BOM JESUS','CAÇADOR','SC','124242241216161431349914275122610126072',NULL,'1124',56.22,1,3,NULL),(25,6296513,'1991-02-11 00:00:00',4,6,12,2008,'M','N','CENTRO','ITAJAÍ','SC','124242241215573431476821485122131467042',8277,'392',54.35,1,3,NULL),(25,6296548,'1989-01-26 00:00:00',2,8,12,2006,'F','N','JD IEDA','ITANHAÉM','SP','125252251215571431445811172125610163077',NULL,'9998',0.00,4,3,NULL),(25,6296556,'1991-08-05 00:00:00',4,1,12,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124244241417131431646812475112610117042',NULL,'270',21.81,1,3,NULL),(25,6296572,'1992-05-23 00:00:00',2,1,11,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124242241225151431475512175122610156182',19676,'723',30.56,1,3,NULL),(25,6296580,'1992-10-24 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241117272431426634475124610146147',NULL,'307',30.56,1,2,1),(25,6296602,'1993-05-18 00:00:00',2,10,12,2010,'F','N','PORTO DA VILA','IMBITUBA','SC','124241241115161411536813572124610136147',19478,'359',32.32,1,2,1),(25,6296610,'1993-01-04 00:00:00',4,1,12,2010,'F','N','CENTRO','TORRES','RS','120202201217271231238813582125610154077',10998,'9998',45.39,1,3,NULL),(25,6296629,'1993-04-15 00:00:00',4,1,12,2010,'F','N','PALMITAL','PARANAGUÁ','PR','116162161217121431489811475122610141092',8474,'9998',50.91,1,3,NULL),(25,6296661,'1993-06-09 00:00:00',4,1,12,2010,'M','N','FORQUILINHAS','S JOSÉ','SC','124242246212121431636614171114610114192',16400,'1075',37.82,1,3,NULL),(25,6296670,'1992-04-14 00:00:00',4,10,12,2009,'M','N','SAO FCO DE ASSIS','BRAÇO NORTE','SC','124241241135471431436434375123610117052',18880,'100',33.52,1,2,1),(25,6296688,'1993-01-07 00:00:00',4,1,12,2010,'M','N','SANTA ANA','STO AMARO IMPERATRIZ','SC','124241248116141721425314245122610131095',NULL,'772',14.74,1,2,1),(25,6296696,'1992-05-16 00:00:00',4,8,11,2009,'M','N','BOM RETIRO','JOINVILLE','SC','124242246217142431449614495124610164142',12590,'1006',47.20,1,3,NULL),(25,6296700,'1992-01-06 00:00:00',2,1,12,2009,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124242241215372431338931575114610127043',10499,'1022',50.47,1,3,NULL),(25,6296718,'1992-01-19 00:00:00',4,1,12,2010,'M','N','PARQUE DAS ÁRVORES','GUARATINGUETÁ','SP','125252251215111732346659572122610137182',NULL,'9998',0.00,1,3,NULL),(25,6296726,'1994-06-19 00:00:00',4,1,11,2010,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124162241215111431379912425122610134017',12026,'1169',48.10,1,3,NULL),(25,6296734,'1989-01-15 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124034241417151711489939485122610164142',NULL,'1049',0.00,1,3,NULL),(25,6296750,'1992-02-26 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124242241211473311679833583122610137177',4629,'185',59.22,1,3,NULL),(25,6296769,'1993-08-17 00:00:00',2,1,12,2010,'F','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124241241116131411423923572322610137147',19352,'245',32.60,4,2,1),(25,6296777,'1990-02-10 00:00:00',4,1,12,2007,'M','N','ROÇADO','S JOSÉ','SC','124241241117132732338923285114220768187',NULL,'307',35.57,1,2,1),(25,6296793,'1993-03-16 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215121451368611572114610134185',14869,'272',43.05,1,3,NULL),(25,6296815,'1993-02-11 00:00:00',4,3,11,2009,'M','N','IPIRANGA','SOLEDADE','RS','120204201415471731565512575125610167047',6394,'9998',54.92,1,3,NULL),(25,6296823,'1992-05-09 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241215574431443611574124133238091',2179,'270',67.05,1,3,NULL),(25,6296831,'1991-05-25 00:00:00',2,4,12,2009,'M','N','SANTA TEREZINHA','PATO BRANCO','PR','116163163116271131458314275122242968147',12296,'9998',42.25,1,3,NULL),(25,6296840,'1993-09-27 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431348833435122610167047',16344,'737',36.58,1,3,NULL),(25,6296858,'1986-07-21 00:00:00',2,1,12,2003,'F','N','CENTRO','BRUSQUE','SC','124201091145371421226553382222610162091',NULL,'9998',0.00,2,1,1),(25,6296866,'1994-12-14 00:00:00',2,1,12,2010,'F','N','CENTRO','BIGUAÇU','SC','124241241215131431436632572124610134147',15655,'1022',37.26,1,3,NULL),(25,6296874,'1993-05-24 00:00:00',2,4,12,2010,'M','N','INTERIOR','IPORÃ OESTE','SC','124241241115161431637536265124610127072',16846,'371',40.87,1,2,1),(25,6296882,'1993-03-25 00:00:00',2,1,12,2010,'M','N','BELA VISTA','S JOSÉ','SC','124241241215111431456452575124610144047',8349,'1022',52.48,1,3,NULL),(25,6296890,'1993-05-26 00:00:00',4,5,11,2010,'M','N','SANTA BARBARA','CRICIÚMA','SC','124242241215111431559934595122610134072',5042,'226',59.20,1,3,NULL),(25,6296904,'1992-12-09 00:00:00',4,4,12,2009,'M','N','PINHEIRINHO','CHAPECÓ','SC','124241241116131432424567346134610137057',NULL,'234',21.51,1,2,1),(25,6296912,'1985-03-08 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244247216143431667773395124233237117',19658,'9999',35.45,1,3,NULL),(25,6296920,'1986-11-15 00:00:00',2,1,12,2007,'M','N','ROÇADO','S JOSÉ','SC','124241241131131411113844442334610167042',NULL,'818',6.78,1,3,NULL),(25,6296939,'1991-02-06 00:00:00',2,8,11,2009,'F','N','OFICINAS','PNT GROSSA','PR','116162167237151451438514345122240214042',NULL,'9998',0.00,1,3,NULL),(25,6296947,'1973-03-12 00:00:00',2,8,12,2001,'M','N','VILA RAU','JARAGUÁ SUL','SC','224241247126141731435549195235610137062',20417,'440',29.44,4,2,1),(25,6296955,'1991-07-29 00:00:00',2,15,12,2008,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241215373431455822592122231432072',16530,'970',41.34,1,3,NULL),(25,6296963,'1989-08-29 00:00:00',4,1,12,2007,'F','N','BELA VISTA','S JOSÉ','SC','624252251217471411219648181324610166152',NULL,'9998',0.00,1,3,NULL),(25,6296971,'1988-08-12 00:00:00',4,4,11,2006,'F','N','LIDER','CHAPECÓ','SC','124244248415573431454934595122132664187',18734,'185',35.27,4,3,NULL),(25,6296980,'1993-08-05 00:00:00',4,1,11,2010,'M','N','CACUPE','FLORIANÓPOLIS','SC','124242241215121431489932575124610124112',13630,'270',45.73,1,3,NULL),(25,6296998,'1978-10-30 00:00:00',5,1,12,1997,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224241245126142751423359395124133266092',NULL,'281',20.50,1,2,1),(25,6297005,'1993-02-15 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241115131431423631572124610126142',17909,'739',39.02,1,2,1),(25,6297013,'1993-07-11 00:00:00',2,15,12,2010,'F','N','TERESÓPOLIS','PTO ALEGRE','RS','120201206117111732648832212124610147147',12863,'9998',42.52,1,2,1),(25,6297021,'1992-02-04 00:00:00',4,1,11,2010,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124242241215111731366633572124610162192',21250,'270',29.75,1,3,NULL),(25,6297030,'1991-04-13 00:00:00',4,8,12,2009,'M','N','JARIVATUBA','JOINVILLE','SC','124243241211372731436639415124131424051',18236,'494',38.41,1,3,NULL),(25,6297056,'1994-01-02 00:00:00',4,1,12,2011,'F','S','CENTRO','ANTÔNIO CARLOS','SC','124241241116151732434634575121610127147',NULL,'21',43.90,1,3,NULL),(25,6297064,'1993-03-26 00:00:00',4,6,12,2010,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161217121431448824573112610153027',NULL,'9998',0.00,1,3,NULL),(25,6297072,'1993-11-17 00:00:00',4,10,12,2010,'M','N','RIBEIRÃO PEQUENO','LAGUNA','SC','124241241136161431436631572122610124042',NULL,'1212',25.33,4,2,1),(25,6297080,'1993-10-01 00:00:00',4,3,12,2010,'M','N','VILA SÃO JOSÉ','OURINHOS','SP','125252251215471431456832575122610164112',17567,'9998',34.01,1,3,NULL),(25,6297099,'1993-08-18 00:00:00',2,1,12,2010,'F','N','JARDIM CARANDAI','BIGUAÇU','SC','124241248135151431513419295124610134147',NULL,'65',24.84,1,3,NULL),(25,6297102,'1994-02-03 00:00:00',2,8,12,2011,'F','S','VILA NOVA','JARAGUÁ SUL','SC','124242241215111431479914575112610124146',NULL,'1063',50.54,1,3,NULL),(25,6297110,'1993-10-31 00:00:00',4,1,11,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','624242248235111711559914575122610126012',NULL,'266',31.10,1,3,NULL),(25,6297129,'1993-07-02 00:00:00',4,8,10,2010,'M','N','CENTRO','JOINVILLE','SC','124242241217151411469813575125610137042',899,'9997',73.30,1,3,NULL),(25,6297137,'1991-02-20 00:00:00',4,8,12,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124204241215372431338614375125231457142',3216,'270',64.67,1,3,NULL),(25,6297145,'1992-08-29 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241215473431366923571114130232192',2142,'724',67.21,1,3,NULL),(25,6297153,'1993-02-25 00:00:00',4,1,11,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215111731448912575124610127111',3804,'951',62.55,1,3,NULL),(25,6297161,'1993-10-25 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215151431576923575122610114141',NULL,'262',45.95,1,3,NULL),(25,6297170,'1995-01-31 00:00:00',4,1,12,2011,'M','S','ASA SUL','BRASÍLIA','DF','107072071217131431579933435122610167052',NULL,'9998',0.00,1,3,NULL),(25,6297188,'1993-05-03 00:00:00',2,2,12,2010,'F','N','ESTADOS','INDAIAL','SC','124241241315111431526712371124610135142',10339,'1157',46.86,1,3,NULL),(25,6297196,'1993-08-28 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111231488833375122610127072',11588,'270',45.81,1,3,NULL),(25,6297200,'1980-09-11 00:00:00',4,1,12,1998,'F','N','RIO GRANDE','PALHOÇA','SC','124243241117135721236623235122321962037',13310,'307',46.21,4,3,NULL),(25,6297226,'1993-07-10 00:00:00',4,9,12,2010,'F','N','SAGRADO C DE JESUS','LAGES','SC','124241241115131431436624375124610124147',NULL,'935',20.29,1,2,1),(25,6297234,'1990-09-11 00:00:00',2,1,11,2007,'F','N','DECA','S JOAQUIM','SC','124241241116141432425911342132610135187',NULL,'719',36.14,2,1,1),(25,6297242,'1993-07-19 00:00:00',2,15,12,2010,'F','N','VILA CONCEIÇÃO','S JOÃO SUL','SC','124241241417161732533619395124610168147',NULL,'717',0.00,1,3,NULL),(25,6297250,'1990-12-06 00:00:00',2,1,12,2008,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215373431459619592124610138147',6431,'262',57.90,1,3,NULL),(25,6297285,'1992-07-20 00:00:00',2,1,12,2010,'F','N','CENTRO OESTE','GOIÂNIA','GO','109092091211131451521531572225610146182',15681,'9998',37.58,4,3,NULL),(25,6297307,'1992-02-25 00:00:00',4,9,12,2009,'M','N','CIDADE NOVA','CAXIAS SUL','RS','120202201215471431468833575122610167047',12114,'9998',47.96,1,3,NULL),(25,6297315,'1993-04-06 00:00:00',4,1,12,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115131442546614572114610124197',6289,'271',55.31,1,2,1),(25,6297323,'1993-06-21 00:00:00',4,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124242241215131732547612571124610148141',NULL,'459',0.00,1,3,NULL),(25,6297331,'1993-08-10 00:00:00',2,8,12,2010,'M','N','ROCIO PEQUENO','S FRANCISCO SUL','SC','124241241436111431467833575122610124161',NULL,'992',30.46,1,3,NULL),(25,6297340,'1989-11-22 00:00:00',2,10,12,2007,'F','N','CHÁCARA DAS PEDRAS','PTO ALEGRE','RS','120282281216571431559811471112142462183',NULL,'9998',26.79,1,3,NULL),(25,6297358,'1993-08-10 00:00:00',2,2,12,2010,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124244248415161431559614375122610122177',20982,'71',31.16,1,3,NULL),(25,6297366,'1993-05-24 00:00:00',2,5,12,2010,'F','N','CEARÁ','CRICIÚMA','SC','124244241212151431668613575122610167047',14927,'995',37.61,1,3,NULL),(25,6297374,'1993-12-16 00:00:00',4,1,12,2011,'F','S','LAGOA','FLORIANÓPOLIS','SC','124242248215171751438832572122610137131',NULL,'883',30.79,1,3,NULL),(25,6297382,'1981-06-24 00:00:00',4,8,12,1998,'F','N','CENTRO','LONDRINA','PR','116162161216573421575516415122340462092',1556,'9998',68.70,3,3,NULL),(25,6297404,'1957-05-24 00:00:00',2,1,9,1998,'F','N','INGLESES','FLORIANÓPOLIS','SC','224201207127131431426353182114142236187',20793,'9998',31.96,1,3,NULL),(25,6297412,'1993-03-03 00:00:00',2,1,12,2010,'M','N','CENTRO','PTO ALEGRE','RS','120202201217471451458824471121610164187',3691,'9998',64.08,1,3,NULL),(25,6297420,'1993-06-08 00:00:00',4,1,11,2010,'F','N','JARDIM AMÉRICA','RIO SUL','SC','124242241215112411548832521122610123142',13920,'991',42.07,1,3,NULL),(25,6297439,'1982-11-04 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','624201201136132421233444245124610167052',17240,'9998',40.22,1,2,1),(25,6297447,'1993-05-18 00:00:00',4,6,11,2010,'F','N','CABEÇUDAS','ITAJAÍ','SC','124242241215111431466671475112610144042',12974,'1026',45.88,1,3,NULL),(25,6297455,'1994-04-06 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241116131731436733575124610114047',NULL,'49',0.00,1,2,1),(25,6297480,'1993-04-08 00:00:00',4,1,11,2010,'F','N','GOIABEIRAS','CUIABÁ','MT','111122111217111731268823575122610123192',6238,'9998',54.90,1,3,NULL),(25,6297498,'1991-06-18 00:00:00',4,1,12,2008,'F','N','VILA CLEMENTINO','S PAULO','SP','125252251216571431348834575125610162147',2365,'9998',65.99,1,3,NULL),(25,6297501,'1993-01-25 00:00:00',2,15,12,2010,'F','N','MATO ALTO','ARARANGUÁ','SC','124241241115111431334614372124610124072',17139,'30',35.59,1,2,1),(25,6297510,'1986-04-16 00:00:00',2,1,12,2004,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124244241211372751426654211114610163067',12022,'884',48.10,1,3,NULL),(25,6297536,'1992-10-30 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431358813575122610166182',8188,'1169',54.55,1,3,NULL),(25,6297544,'1993-02-02 00:00:00',4,2,11,2010,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241115151411458812375115610147187',NULL,'88',35.67,1,3,NULL),(25,6297552,'1993-12-12 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241212131431529724276124610114172',NULL,'1045',33.37,1,3,NULL),(25,6297560,'1993-05-01 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215131441439821575122610123092',13110,'1198',46.45,1,3,NULL),(25,6297579,'1991-07-18 00:00:00',4,1,12,2008,'M','N','CENTRO','CAXAMBU','MG','113134131217131441355669575124610144182',NULL,'9998',0.00,1,3,NULL),(25,6297587,'1994-01-03 00:00:00',2,9,12,2010,'M','N','FUNDO CANOAS','RIO SUL','SC','124241241215111731335611575114610168082',9872,'991',48.95,1,3,NULL),(25,6297595,'1993-03-05 00:00:00',4,1,11,2010,'F','N','JURERE','FLORIANÓPOLIS','SC','124242241215111411478812571124610123127',2910,'270',64.84,1,3,NULL),(25,6297609,'1993-05-26 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431569939575125610114112',21589,'1096',27.07,1,3,NULL),(25,6297617,'1993-03-10 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431436634572122610127012',NULL,'737',24.83,1,3,NULL),(25,6297633,'1994-05-28 00:00:00',4,10,11,2011,'M','S','MAR GROSSO','LAGUNA','SC','124242241215111712468712575114610124117',NULL,'807',47.04,1,3,NULL),(25,6297641,'1995-03-05 00:00:00',2,5,12,2011,'F','S','JARDIM SILVANA','IÇARA','SC','124244241215111431458833472124610114147',NULL,'226',55.27,1,3,NULL),(25,6297650,'1993-11-03 00:00:00',4,9,11,2010,'M','N','PINHEIROS','OTACÍLIO COSTA','SC','124244241215111431336832595122610168047',16598,'497',34.54,1,3,NULL),(25,6297668,'1990-05-15 00:00:00',4,1,12,2008,'M','N','PORTAL DO SOL','MARÍLIA','SP','125252251217571431367711411122610168017',430,'9998',78.18,1,3,NULL),(25,6297676,'1992-06-10 00:00:00',4,8,6,2010,'F','N','XAXIM','CURITIBA','PR','116162161215271451248814295124610133012',11519,'9998',43.21,1,3,NULL),(25,6297692,'1976-03-30 00:00:00',4,15,8,2002,'M','N','VILA ELZA','VIAMÃO','RS','620201207436151712333347272145341668187',NULL,'9998',3.05,1,3,NULL),(25,6297706,'1994-03-07 00:00:00',2,16,12,2011,'F','S','SORGATTO','CAÇADOR','SC','124242241215111711456624575122610122017',NULL,'1124',36.19,1,3,NULL),(25,6297714,'1993-03-29 00:00:00',4,6,12,2010,'M','N','CENTRO','ITAJAÍ','SC','124242241215271731558813575112610127082',4755,'389',59.51,1,3,NULL),(25,6297722,'1990-11-16 00:00:00',4,4,12,2009,'M','N','JARDIM GUARUJA','CASCAVEL','PR','116163161115471731448613575122610124142',NULL,'9998',0.00,1,3,NULL),(25,6297730,'1992-07-29 00:00:00',4,8,11,2009,'M','N','OLARIA','PTO VELHO','RO','122074241415472411369813575112610167041',3420,'1063',62.94,1,3,NULL),(25,6297749,'1993-12-12 00:00:00',4,9,11,2010,'M','N','UNIVERSITÁRIO','LAGES','SC','124242241215151431476932272112610167052',3007,'1207',64.44,1,3,NULL),(25,6297757,'1970-02-27 00:00:00',4,1,12,1999,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','524241247446135431321344441124610117183',19227,'9999',32.20,1,3,NULL),(25,6297765,'1994-03-13 00:00:00',4,2,12,2011,'M','S','CENTRO','TIMBÓ','SC','124242241215111431558811575121610127052',NULL,'1157',38.59,1,3,NULL),(25,6297773,'1992-07-18 00:00:00',4,1,12,2009,'F','N','FREZARIN','AMERICANA','SP','125252251216471431489814572112610137127',NULL,'9998',0.00,3,3,NULL),(25,6297781,'1994-07-23 00:00:00',4,9,11,2011,'F','S','CENTRO','LAGES','SC','124242241217151731369931572112610138182',NULL,'497',38.60,1,3,NULL),(25,6297790,'1994-01-12 00:00:00',2,1,11,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241212131431346828241124610135052',NULL,'1022',39.88,1,3,NULL),(25,6297803,'1993-06-18 00:00:00',2,1,12,2010,'F','N','POÇO FUNDO','STO AMARO IMPERATRIZ','SC','124241241117371421423823475124610124142',18215,'772',35.03,1,2,1),(25,6297811,'1988-06-08 00:00:00',2,1,12,2006,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241112272431438533345112610167051',10639,'281',46.63,1,3,NULL),(25,6297820,'1992-08-07 00:00:00',4,8,12,2010,'M','N','CENTRO','CAMBUÍ','MG','113134131436111411527369385121611027187',NULL,'9998',22.38,1,3,NULL),(25,6297838,'1993-07-17 00:00:00',4,5,12,2010,'F','N','COMERCIARIO','CRICIÚMA','SC','124242248215112731369734575112610164141',7189,'226',55.03,1,3,NULL),(25,6297846,'1993-03-31 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431478812575122610147072',5790,'262',55.49,1,3,NULL),(25,6297854,'1988-01-25 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124201201116133731234644345114610128077',NULL,'9998',24.81,1,2,1),(25,6297862,'1991-06-22 00:00:00',4,2,12,2008,'F','N','TABOÃO','RIO SUL','SC','124242241217141441326512347122232864012',NULL,'653',0.00,1,3,NULL),(25,6297870,'1993-10-06 00:00:00',2,9,11,2010,'F','N','JARDIM BANDEIRA','S JOAQUIM','SC','124244241216111731326319495122613244147',NULL,'721',25.80,1,3,NULL),(25,6297889,'1993-07-28 00:00:00',2,1,12,2010,'F','N','CENTRO','BIGUAÇU','SC','124241241415112431446632345124610127142',5352,'1022',57.35,1,3,NULL),(25,6297897,'1993-06-18 00:00:00',4,2,12,2010,'M','N','CENTRO','BRUSQUE','SC','124241241117371231226624576121610167042',18966,'111',36.98,1,3,NULL),(25,6297919,'1993-03-09 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124244241215111411424821212125610164051',18292,'499',31.36,1,3,NULL),(25,6297927,'1993-06-16 00:00:00',2,15,12,2010,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241135141311425614245122610122015',NULL,'30',26.23,1,2,1),(25,6297943,'1993-09-19 00:00:00',4,2,12,2010,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124242241215112431458832375122610127142',2228,'855',66.19,1,3,NULL),(25,6297951,'1993-07-20 00:00:00',4,1,12,2010,'M','N','CENTRO','LONTRAS','SC','124242241215111411469931495122610114045',11040,'959',46.53,1,3,NULL),(25,6297960,'1994-05-15 00:00:00',4,8,11,2011,'M','S','COSTA E SILVA','JOINVILLE','SC','124242241217111431579819275122610144142',NULL,'1063',52.25,1,3,NULL),(25,6297978,'1986-07-27 00:00:00',2,1,12,2003,'M','N','FORQUILHINHAS','S JOSÉ','SC','124245241521142421136773435122130267182',11925,'524',48.28,4,3,NULL),(25,6297986,'1988-08-14 00:00:00',2,1,12,2005,'F','N','CINQUENTENARIO','CAXIAS SUL','RS','120204201116571431569711392124141037017',7470,'9998',52.65,1,3,NULL),(25,6297994,'1994-06-21 00:00:00',4,3,11,2010,'M','N','CASA BRANCA','ITAPEMA','SC','124244241415111421249923574122610126042',5900,'1038',55.44,1,3,NULL),(25,6298001,'1991-10-03 00:00:00',4,1,12,2008,'F','N','IPIRANGA','S PAULO','SP','125252251217571431688814574134610167032',NULL,'9998',0.00,1,3,NULL),(25,6298010,'1988-11-28 00:00:00',2,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124253251217272731127644445234140247047',17756,'9998',39.31,1,3,NULL),(25,6298028,'1980-03-13 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124161161126271431224415245124140226147',18602,'9998',37.76,1,3,NULL),(25,6298036,'1991-01-04 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241115273431327923275124122363157',6794,'306',57.12,1,3,NULL),(25,6298044,'1993-12-02 00:00:00',4,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215151422569932575112610137056',NULL,'9997',0.00,1,3,NULL),(25,6298052,'1993-07-23 00:00:00',2,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241217111431555537575114610168045',10518,'300',47.98,1,3,NULL),(25,6298060,'1991-07-30 00:00:00',2,9,12,2008,'F','N','ESTÂNCIA VELHA','CANOAS','RS','120201201117471431537311595124610134147',10573,'9998',45.74,1,2,1),(25,6298079,'1993-02-05 00:00:00',2,10,11,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124242241235121731558634575122610124052',19568,'806',35.65,1,3,NULL),(25,6298087,'1990-09-29 00:00:00',4,7,12,2007,'F','N','CENTRO','CAMPOS NOVOS','SC','124244241215574431548933575114610161147',3225,'138',63.71,1,3,NULL),(25,6298095,'1980-08-09 00:00:00',2,1,12,1997,'F','N','SARANDI','PTO ALEGRE','RS','220203201316131721423349495124610146187',15314,'9998',43.21,1,3,NULL),(25,6298109,'1985-04-19 00:00:00',4,1,12,2004,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124203201317242331126344442114610121157',NULL,'9998',0.00,1,3,NULL),(25,6298117,'1993-09-24 00:00:00',2,8,11,2010,'M','N','ITAUM','JOINVILLE','SC','124243241315131431533832445124610117042',NULL,'459',0.00,1,3,NULL),(25,6298125,'1991-01-17 00:00:00',4,1,12,2008,'M','N','VILA NOVA MANCHESTER','S PAULO','SP','125252251217572441348813172125610144052',7799,'9998',51.85,1,3,NULL),(25,6298133,'1992-09-29 00:00:00',4,1,12,2009,'M','N','PONTE RASA','S PAULO','SP','125252251216471431536833575125610144196',7781,'9998',51.41,4,3,NULL),(25,6298141,'1993-10-29 00:00:00',2,6,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431548834572121610127117',15494,'9997',42.91,1,3,NULL),(25,6298150,'1986-01-14 00:00:00',2,1,12,2003,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124243241116275451438533445114610167057',10015,'281',48.12,1,3,NULL),(25,6298168,'1990-04-13 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215572431427634575124610167011',10470,'499',48.01,1,3,NULL),(25,6298184,'1991-08-30 00:00:00',2,4,11,2008,'F','N','LÍDER','CHAPECÓ','SC','124242241216153431433614571124231466097',10825,'1021',46.10,1,3,NULL),(25,6298192,'1993-12-20 00:00:00',4,1,12,2010,'M','N','JARDIM ARAXÁ','LONDRINA','PR','116162161237111731565832575112610137056',19212,'9998',29.88,3,3,NULL),(25,6298206,'1992-06-26 00:00:00',4,8,12,2009,'M','N','SANTO ANTONIO','JOINVILLE','SC','124241241115272741256824576114221447011',NULL,'697',47.11,1,2,1),(25,6298214,'1993-06-08 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124241241114471732526624285124610144097',NULL,'239',30.16,1,2,1),(25,6298222,'1993-11-24 00:00:00',4,1,12,2010,'M','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124242241216111431456532575122610112142',14671,'63',39.77,4,3,NULL),(25,6298230,'1992-07-27 00:00:00',2,1,12,2009,'M','N','JARDIN SÃO BENTO','CPO GRANDE','MS','112122121217411231569933575124610167052',4118,'9998',61.11,3,3,NULL),(25,6298249,'1993-05-04 00:00:00',4,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124242241217111531636614571124610137077',NULL,'1063',18.66,1,3,NULL),(25,6298257,'1993-03-03 00:00:00',4,2,12,2010,'F','N','SÃO PEDRO','BRUSQUE','SC','124241241146131531436414341124610127047',21709,'112',25.09,1,3,NULL),(25,6298265,'1982-11-29 00:00:00',4,1,4,2000,'M','N','ALTO RIBEIRÃO','FLORIANÓPOLIS','SC','124242247316131431256823475122130237042',NULL,'9999',0.00,1,3,NULL),(25,6298273,'1985-03-26 00:00:00',2,1,12,2004,'F','N','POTECAS','S JOSÉ','SC','124241231113143431521364211214610122157',NULL,'276',36.50,1,2,1),(25,6298281,'1993-09-27 00:00:00',4,3,11,2010,'M','N','RECANTO DOS PASSÁROS','CUIABÁ','MT','111112111217111431468931575124610137052',NULL,'9998',0.00,1,3,NULL),(25,6298290,'1991-08-20 00:00:00',4,15,12,2008,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241134131731426639241123131317057',NULL,'30',6.67,1,2,1),(25,6298303,'1993-02-03 00:00:00',4,7,9,2010,'M','N','CENTRO','JOAÇABA','SC','116242161215121431489933575122610137122',5745,'9998',55.79,1,3,NULL),(25,6298311,'1990-10-06 00:00:00',2,4,12,2007,'F','N','CENTRO','XAXIM','SC','120241241217572751326331271124610161145',7245,'185',51.73,1,3,NULL),(25,6298346,'1987-09-28 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124251251127271431333449295124610122097',8508,'9998',51.57,1,2,1),(25,6298354,'1993-02-09 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201241415121411365933572112610126042',6151,'270',55.76,1,3,NULL),(25,6298370,'1994-04-28 00:00:00',4,17,12,2011,'F','S','CAMPO DA AGUA VERDE','CANOINHAS','SC','124244241215111431448712275122610122072',NULL,'154',43.41,1,3,NULL),(25,6298389,'1994-03-24 00:00:00',4,4,12,2010,'M','N','CENTRO','PLANALTO','RS','120201201117131431326611182124610127067',13350,'9998',41.74,1,2,1),(25,6298400,'1990-03-05 00:00:00',4,5,12,2007,'F','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120201201127571431358933571114610164147',2131,'9998',66.09,1,2,1),(25,6298419,'1987-12-31 00:00:00',4,1,12,2004,'F','N','JD BOM TEMPO','TABOÃO SERRA','SP','125252251216571441468814571114610167097',NULL,'9998',0.00,4,3,NULL),(25,6298427,'1990-06-30 00:00:00',2,1,11,2007,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241212375731468832375122231461062',9520,'737',52.18,1,3,NULL),(25,6298435,'1994-03-21 00:00:00',4,1,12,2011,'F','S','BARREIROS','S JOSÉ','SC','124242241215111431569614572122610131197',NULL,'738',39.03,1,3,NULL),(25,6298443,'1975-01-18 00:00:00',2,1,12,1995,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224171171127574421446553192112222212182',15238,'9998',43.34,4,2,1),(25,6298451,'1989-12-21 00:00:00',2,8,12,2007,'M','N','MATO DENTRO','ENG COELHO','SP','125251251117131431433316441224610164187',NULL,'9998',0.00,1,2,1),(25,6298460,'1993-04-02 00:00:00',4,8,12,2010,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241117471711335819282122610138147',NULL,'430',0.00,1,2,1),(25,6298478,'1988-07-04 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241336152411548634245134330262047',NULL,'257',36.87,1,3,NULL),(25,6298486,'1994-01-10 00:00:00',4,7,11,2010,'F','N','ESCOLAR','SALTO VELOSO','SC','124243241315131431436833595125613247142',NULL,'1113',15.52,1,3,NULL),(25,6298494,'1991-09-06 00:00:00',4,1,12,2008,'F','N','CENTRO','IBIPORÃ','PR','116164161216571431457933471122610144147',823,'9998',74.91,1,3,NULL),(25,6298508,'1993-04-28 00:00:00',2,9,11,2010,'F','N','BOA VISTA','POUSO REDONDO','SC','124241241217112711345923576124610142171',5802,'991',56.91,1,3,NULL),(25,6298516,'1992-10-06 00:00:00',4,1,12,2010,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215111431568833575124610127187',12110,'270',43.64,1,3,NULL),(25,6298524,'1993-08-05 00:00:00',4,2,12,2010,'M','N','IMIGRANTES','GUABIRUBA','SC','124241241115151432456634575121610148011',NULL,'333',28.28,1,2,1),(25,6298532,'1992-06-28 00:00:00',4,8,12,2010,'F','N','CENTRO','CURITIBA','PR','116253166116111431458833435125610164017',NULL,'9998',0.00,1,3,NULL),(25,6298540,'1995-02-11 00:00:00',4,1,12,2011,'M','S','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241215111431338639192114610167187',NULL,'270',39.28,1,3,NULL),(25,6298559,'1993-05-26 00:00:00',2,1,11,2010,'F','N','CENTRO','VERANÓPOLIS','RS','120202201217371431268914572122610145077',9514,'9998',49.36,1,3,NULL),(25,6298567,'1995-06-10 00:00:00',4,1,12,2010,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241217111431346829575124610137052',6954,'270',56.82,1,3,NULL),(25,6298583,'1993-04-22 00:00:00',4,4,11,2010,'M','N','MARIA GORETTI','CHAPECÓ','SC','124242241216371431489931575112610122042',12926,'185',42.07,1,3,NULL),(25,6298591,'1992-08-08 00:00:00',4,1,11,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241212214231358811173124130232115',289,'226',79.85,1,3,NULL),(25,6298605,'1992-01-31 00:00:00',4,1,12,2009,'M','N','BOA VISTA','LONDRINA','PR','116162161215471431478816572112610146186',NULL,'9998',0.00,1,3,NULL),(25,6298621,'1993-05-01 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121531459933595114610124042',8094,'270',52.24,1,3,NULL),(25,6298648,'1988-04-10 00:00:00',4,1,12,2005,'F','N','FLORESTA','PTO ALEGRE','RS','120202201217573731468717472115610164077',327,'9998',78.98,1,3,NULL),(25,6298656,'1993-06-28 00:00:00',2,1,12,2010,'M','N','IPIRANGA','S JOSÉ','SC','124244241215111332338831572112610117062',5905,'1011',56.88,1,3,NULL),(25,6298664,'1981-03-21 00:00:00',2,15,12,2009,'M','N','CENTRO','ARARANGUÁ','SC','224201247126132431123244345122610136067',NULL,'9999',16.61,4,2,1),(25,6298672,'1985-11-11 00:00:00',2,15,12,2003,'F','N','VILA SAO JOSE','ARARANGUÁ','SC','124241241112271431626569444131131316182',NULL,'29',0.00,4,2,1),(25,6298680,'1992-02-03 00:00:00',2,4,12,2009,'M','N','CENTRO OESTE','PINHALZINHO','SC','124241241115372431435312345122610122042',13684,'1032',41.36,4,3,NULL),(25,6298699,'1990-07-21 00:00:00',2,15,7,2008,'F','N','JARDIM ITÁLIA','MELEIRO','SC','124244244435373441549834471122131525077',NULL,'1096',25.15,1,3,NULL),(25,6298702,'1992-06-11 00:00:00',2,1,12,2010,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241125141331413371245124610112147',NULL,'731',0.00,4,2,1),(25,6298710,'1993-10-28 00:00:00',4,1,11,2010,'M','N','JARDIM EUROPA','DOURADOS','MS','112122121217111731448816571112610167147',474,'9998',76.43,1,3,NULL),(25,6298729,'1993-10-06 00:00:00',4,15,12,2010,'M','N','JARDIM ATLÂNTICO','BAL ARROIO SILVA','SC','124242241115111431446634575124610127042',11418,'30',45.62,1,3,NULL),(25,6298737,'1987-04-19 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124205201516135431226724245124143227097',13922,'9998',40.57,1,3,NULL),(25,6298745,'1993-09-02 00:00:00',2,9,11,2010,'F','N','MARTORANO','S JOAQUIM','SC','124242241215112431433911574122610138072',NULL,'721',30.43,4,3,NULL),(25,6298753,'1993-07-22 00:00:00',4,4,12,2010,'M','N','UNIVERSITÁRIO','CHAPECÓ','SC','124241241116131731555833285122610145147',18218,'169',33.25,1,2,1),(25,6298761,'1992-02-09 00:00:00',4,1,12,2009,'M','N','JARDIM BELA VISTA','GOIÂNIA','GO','109092091215471441568833595122610134142',1595,'9998',69.22,4,3,NULL),(25,6298770,'1993-09-02 00:00:00',2,1,12,2010,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124243241115471421623559175124610138142',NULL,'733',25.14,1,3,NULL),(25,6298788,'1994-03-21 00:00:00',4,4,11,2010,'M','N','JARDIM AMÉRICA','CHAPECÓ','SC','124241241217131431226724571124610136144',10297,'185',50.82,1,3,NULL),(25,6298796,'1993-12-04 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431388912575122610137062',483,'262',77.65,1,3,NULL),(25,6298800,'1992-02-09 00:00:00',4,17,12,2009,'M','N','VILA IVETE','MAFRA','SC','124241161215112421556833485122610138147',9456,'9998',48.31,1,3,NULL),(25,6298818,'1993-03-30 00:00:00',2,16,12,2009,'M','N','CENTRO','CURITIBANOS','SC','124241241116372431426635575123610117187',NULL,'239',21.39,1,3,NULL),(25,6298826,'1992-10-19 00:00:00',4,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111231458934572112610167012',5262,'1038',59.26,1,3,NULL),(25,6298842,'1982-04-19 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','224161161135274731343353242124132466097',4510,'9998',60.19,1,2,1),(25,6298850,'1994-03-08 00:00:00',4,16,12,2010,'M','N','UNIVERSITARIO','CURITIBANOS','SC','124241241115371331426634145112610127047',NULL,'239',14.91,1,3,NULL),(25,6298869,'1992-12-06 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472431578811375112610167047',10017,'270',47.55,1,3,NULL),(25,6298877,'1990-10-31 00:00:00',4,1,12,2010,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124241241117472431349613575124610121185',9264,'267',50.80,1,2,1),(25,6298885,'1993-08-20 00:00:00',4,8,12,2010,'F','N','OXFORD','S BENTO SUL','SC','124241241117271541346419571122610164116',7743,'693',55.33,1,2,1),(25,6298907,'1993-04-16 00:00:00',4,8,12,2010,'F','N','CENTRO','GUARAMIRIM','SC','124241241116271731447639575122610122041',12719,'335',41.87,4,2,1),(25,6298915,'1993-10-28 00:00:00',2,1,12,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124241241117471732533311575124610122142',NULL,'257',27.39,4,2,1),(25,6298923,'1992-12-02 00:00:00',4,8,12,2010,'F','N','CENTENÁRIO','S BENTO SUL','SC','124241241216161411449813345124610164052',NULL,'1154',36.05,1,3,NULL),(25,6298931,'1993-12-05 00:00:00',4,1,12,2010,'F','N','CENTRO','SERAFINA CORRÊA','RS','120201201136131711324434145124610136147',15358,'9998',37.59,1,2,1),(25,6298940,'1993-04-08 00:00:00',4,7,12,2010,'M','N','VILA ALEMANHÃ','LUZERNA','SC','124241241211271431467632575114610147072',20513,'962',25.26,1,3,NULL),(25,6298958,'1993-03-15 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124244241217152411469714275114131064042',19340,'1075',36.19,1,3,NULL),(25,6298990,'1994-06-26 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431568939286222610127057',NULL,'1022',49.62,1,3,NULL),(25,6299008,'1992-09-10 00:00:00',2,8,11,2009,'F','N','TINGUI','CURITIBA','PR','116162161216471431328779572124610144097',7619,'9998',50.87,1,3,NULL),(25,6299016,'1993-10-18 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241137131711549633382122610128147',21110,'922',30.60,1,3,NULL),(25,6299024,'1993-09-06 00:00:00',4,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117141431114644242322610163192',NULL,'772',0.00,1,2,1),(25,6299032,'1992-08-05 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431368833595122610127042',12954,'270',45.77,1,3,NULL),(25,6299040,'1992-09-16 00:00:00',4,1,12,2010,'M','N','BOA VISTA','ARAÇATUBA','SP','125256256245371431426619375121610117042',NULL,'9998',26.90,2,1,2),(25,6299059,'1993-10-21 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241115471431426639575124610121182',NULL,'733',16.88,1,3,NULL),(25,6299067,'1990-12-29 00:00:00',2,1,12,2009,'F','N','BUDAG','RIO SUL','SC','124243241215372431329723375112610143147',NULL,'663',24.57,1,3,NULL),(25,6299075,'1992-07-14 00:00:00',2,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241125472431443431242124610164147',NULL,'283',28.37,4,3,NULL),(25,6299083,'1992-03-25 00:00:00',4,16,12,2008,'F','N','CENTRO','CURITIBANOS','SC','124241241116371731327724345122610138142',NULL,'239',20.54,1,2,1),(25,6299091,'1991-12-30 00:00:00',4,9,12,2008,'F','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124242241216473411479933575122132664092',13543,'1146',42.38,1,3,NULL),(25,6299113,'1992-01-31 00:00:00',4,8,12,2009,'M','N','BRASÍLIA','GARIBALDI','RS','120201202111571431469613111124610132147',3679,'9998',62.19,1,2,1),(25,6299121,'1990-11-15 00:00:00',2,8,12,2008,'F','N','VILA NOVA','JOINVILLE','SC','124241241116132721333719175124131064183',NULL,'475',22.80,1,3,NULL),(25,6299148,'1993-05-12 00:00:00',1,1,12,2010,'M','N','BRASÍLIA','S BENTO SUL','SC','124241241111131411455533345122610158082',11738,'697',44.51,1,2,1),(25,6299164,'1982-09-14 00:00:00',4,6,12,1999,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241315132741325729295124220768183',11772,'44',48.52,1,3,NULL),(25,6299180,'1991-04-22 00:00:00',2,1,12,2008,'F','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124241241315374431446622272124223261192',7796,'424',52.63,1,3,NULL),(25,6299199,'1988-08-02 00:00:00',2,16,11,2006,'M','N','SENHOR BOM JESUS','CAMPOS NOVOS','SC','124241241111131211536613235123231227052',21206,'139',30.02,1,2,1),(25,6299202,'1992-11-11 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431358822571122610127017',NULL,'270',21.71,1,3,NULL),(25,6299210,'1993-08-15 00:00:00',2,10,11,2010,'F','N','OFICINAS','TUBARÃO','SC','124242241225111431453823575112610162073',NULL,'807',33.84,1,3,NULL),(25,6299229,'1993-01-11 00:00:00',4,2,11,2010,'M','N','VELHA','BLUMENAU','SC','124244246215111431456931575122610167092',11872,'1018',44.61,1,3,NULL),(25,6299237,'1992-01-17 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242246136371431556633571124610137142',10445,'306',47.17,1,3,NULL),(25,6299245,'1991-12-25 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215414431349613572124122325112',5163,'270',59.08,1,3,NULL),(25,6299253,'1989-04-03 00:00:00',4,1,12,2006,'M','N','SANTA TEREZINHA','PIRACICABA','SP','125251251135312431446634445122242917047',NULL,'9998',0.00,4,2,1),(25,6299261,'1990-02-18 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241226574731238834395124610126092',NULL,'524',0.00,1,3,NULL),(25,6299270,'1992-12-10 00:00:00',2,10,11,2009,'M','N','CENTRO','TUBARÃO','SC','124244241215473431547914395115610167062',6516,'807',56.63,1,3,NULL),(25,6299288,'1991-12-18 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473422578613572114610164073',9799,'270',48.20,1,3,NULL),(25,6299296,'1993-07-12 00:00:00',2,7,12,2010,'F','N','CENTRO','CAMPOS NOVOS','SC','124241241115131431338714572122610136193',NULL,'139',21.19,1,2,1),(25,6299300,'1990-07-24 00:00:00',4,1,12,2007,'M','N','JARDIM CID FPOLIS','S JOSÉ','SC','124242241216373431348614395114121467043',NULL,'724',0.00,1,3,NULL),(25,6299318,'1987-07-21 00:00:00',4,1,11,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247216131421358811485115131016197',NULL,'9999',0.00,1,3,NULL),(25,6299326,'1992-09-10 00:00:00',2,15,12,2009,'F','N','JANUÁRIA','SOMBRIO','SC','124241241147111431533414242113610122147',NULL,'1033',29.56,1,2,1),(25,6299342,'1989-04-16 00:00:00',4,3,12,2006,'F','N','ZONA SETE','MARINGÁ','PR','116164161216572431579313572122610162142',2782,'9998',65.26,1,3,NULL),(25,6299350,'1992-05-04 00:00:00',4,2,12,2009,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241214152751578911475121221464042',91,'909',83.89,1,3,NULL),(25,6299377,'1991-05-31 00:00:00',4,5,11,2008,'M','N','SÃO SIMÃO','CRICIÚMA','SC','124244241217172431526639395124231467182',14342,'995',44.66,1,3,NULL),(25,6299385,'1993-11-09 00:00:00',4,1,12,2010,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241145131431313319575124610148112',19688,'772',30.56,1,2,1),(25,6299393,'1994-12-12 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215271411269913575122610126192',NULL,'272',34.07,1,3,NULL),(25,6299407,'1986-05-08 00:00:00',2,1,12,2003,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124161241136134432444531235122610127067',9365,'595',48.66,1,2,1),(25,6299423,'1993-02-15 00:00:00',4,1,12,2010,'M','N','BUENO','GOIÂNIA','GO','109092091212111421468613591122610168052',NULL,'9998',0.00,1,3,NULL),(25,6299431,'1992-11-10 00:00:00',4,8,12,2009,'M','N','RIO BONITO','IRATI','PR','116164161216111711438831415112610168177',3593,'9997',62.87,1,3,NULL),(25,6299440,'1990-01-04 00:00:00',2,1,11,2006,'M','N','SANTA CATARINA','ERECHIM','RS','120202201216153431436634585124243224092',6636,'9998',53.42,1,3,NULL),(25,6299458,'1988-01-25 00:00:00',2,1,12,2005,'F','N','CENTRO','CONGONHAS','MG','124132131415573431556612475124143225117',10467,'9998',46.66,1,3,NULL),(25,6299466,'1994-04-20 00:00:00',4,1,11,2010,'F','N','HORTO FLORESTAL','TERESINA','PI','118182181216111431589934575112610164142',6721,'9998',57.26,1,3,NULL),(25,6299474,'1991-10-20 01:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241115371431426813375114610124057',NULL,'732',13.77,1,2,1),(25,6299482,'1991-11-06 00:00:00',2,1,12,2008,'M','N','ARIRIÚ','PALHOÇA','SC','124241241145473431336613435114610122052',13013,'593',46.58,1,2,1),(25,6299504,'1988-11-28 00:00:00',4,1,12,2006,'M','N','TRINTA E UM DE MARÇO','CAMPINAS','SP','125251251115471431323329445123343247014',9243,'9998',52.59,1,2,1),(25,6299512,'1993-08-03 00:00:00',2,1,12,2010,'M','N','FUNDOS','BIGUAÇU','SC','124241248115271231423523575112610127055',19124,'65',36.70,1,2,1),(25,6299520,'1987-02-20 00:00:00',2,1,12,2004,'M','N','CAMPINAS','S JOSÉ','SC','124201201117271541643374446124140228097',17397,'9998',39.93,1,2,1),(25,6299539,'1993-09-15 00:00:00',2,1,12,2009,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116241241116471431443915574124610147057',7895,'824',51.49,1,2,1),(25,6299555,'1991-10-11 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217372431379913175112610167042',3771,'270',61.39,1,3,NULL),(25,6299563,'1992-06-06 00:00:00',4,8,12,2009,'M','N','PROGRESSO','S BENTO SUL','SC','124241241216272231356933245122610122187',11139,'974',44.10,1,3,NULL),(25,6299571,'1988-04-02 00:00:00',4,1,12,2005,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241248416171411321544245123610114081',18594,'9999',37.77,1,3,NULL),(25,6299598,'1989-03-04 00:00:00',2,1,12,2006,'M','N','BELA VISTA','S JOSÉ','SC','124241241117141431323444245123610127142',NULL,'726',37.87,1,2,1),(25,6299601,'1989-09-29 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216333431434711385124610121092',17029,'1076',40.58,1,3,NULL),(25,6299636,'1992-09-02 00:00:00',2,6,11,2010,'F','N','VELHA','BLUMENAU','SC','124241241112231541536611312124610126147',NULL,'9999',0.00,1,3,NULL),(25,6299644,'1992-09-29 00:00:00',4,4,12,2009,'F','N','SÃO JOÃO','PTO ALEGRE','RS','120202201217571431338769575124610114017',4941,'9998',57.51,1,3,NULL),(25,6299652,'1993-01-29 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115471431466633575124610167072',15848,'307',38.53,1,2,1),(25,6299660,'1992-01-14 00:00:00',4,8,12,2009,'M','N','JARDIM DAS IMBUIAS','S PAULO','SP','125252251217571431365714571124610126097',NULL,'9998',0.00,4,3,NULL),(25,6299679,'1991-08-23 00:00:00',4,1,12,2009,'M','N','VILA MONTE ALEGRE','S PAULO','SP','125252251216471351458831211122610124052',19178,'9998',36.59,3,3,NULL),(25,6299687,'1978-12-19 00:00:00',2,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124161201124275421323315141121610137053',14863,'9998',38.81,4,2,1),(25,6299695,'1992-09-30 00:00:00',4,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241246117131431323631576124610137092',12369,'306',42.61,1,2,1),(25,6299709,'1982-01-31 00:00:00',2,7,12,1999,'M','N','CENTRO','CAPINZAL','SC','124242241216133431426613385113233237057',16949,'155',40.70,1,3,NULL),(25,6299717,'1991-07-26 00:00:00',4,3,12,2008,'M','N','CENTRO','CASCAVEL','PR','116162161215471431478814575112142967047',3714,'9998',61.71,1,3,NULL),(25,6299725,'1993-12-22 00:00:00',2,4,11,2010,'F','N','CENTRO','ERECHIM','RS','120202201216371431458931575122610122187',17402,'9998',33.37,1,3,NULL),(25,6299733,'1993-04-06 00:00:00',4,1,12,2010,'M','N','BOA VISTA','RIO SUL','SC','124244241315141431534614242132610127057',NULL,'659',24.76,1,3,NULL),(25,6299741,'1992-07-01 00:00:00',2,7,12,2009,'F','N','CENTRO','HERVAL D OESTE','SC','124242241216472431448512385114610144147',10077,'445',47.01,1,3,NULL),(25,6299776,'1992-02-14 00:00:00',2,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244248417273751466823592114610167032',7285,'1022',56.21,1,3,NULL),(25,6299784,'1991-03-06 00:00:00',4,1,12,2008,'F','N','QUISISANA','POÇOS CALDAS','MG','113132131216471751244824441135610168197',NULL,'9998',30.28,1,3,NULL),(25,6299806,'1993-08-22 00:00:00',2,15,12,2010,'M','N','PONTÃO','STA ROSA SUL','SC','124241241115131431423315572214610127042',NULL,'689',12.93,4,2,1),(25,6299822,'1989-04-14 00:00:00',4,1,12,2006,'F','N','JARDIM CARANDAI','BIGUAÇU','SC','124241241136372431423831345334610124042',11884,'178',43.81,1,2,1),(25,6299849,'1993-05-12 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241117271411426621572124610137147',7384,'289',51.52,1,2,1),(25,6299865,'1994-07-30 00:00:00',2,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124241241117131711523315592222610124047',19898,'169',28.07,1,2,1),(25,6299873,'1993-07-05 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241115331431414321312334610137147',14223,'289',41.60,4,2,1),(25,6299881,'1993-07-18 00:00:00',2,3,12,2010,'F','N','CENTRO','CAMBORIÚ','SC','124161241121131231214374341331610117147',NULL,'130',21.55,1,2,1),(25,6299903,'1991-09-29 00:00:00',2,2,12,2008,'F','N','BOA VISTA','CARAZINHO','RS','120201201116131431528613345124610134197',13783,'9998',40.96,1,2,1),(25,6299911,'1990-12-01 00:00:00',4,1,12,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215133431559914575124221434142',7998,'270',54.83,1,3,NULL),(25,6299920,'1994-02-09 00:00:00',2,9,12,2010,'F','N','RURAL','MIRIM DOCE','SC','124241241116131411424435555114610156067',16118,'560',36.84,1,3,NULL),(25,6299938,'1969-08-21 00:00:00',2,1,12,1988,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224241246122133411324441415113610162091',NULL,'303',22.27,1,3,NULL),(25,6299946,'1975-06-23 00:00:00',2,1,12,1994,'F','N','CACHO DO BOM JESUS','FLORIANÓPOLIS','SC','224201208127131712233444295234610164187',18615,'9998',37.74,1,2,1),(25,6299954,'1987-07-14 00:00:00',4,17,12,2005,'M','N','CAMPO DA AGUA VERDE','CANOINHAS','SC','124241241145272441434311145123610114177',NULL,'146',NULL,1,2,1),(25,6299962,'1993-02-11 00:00:00',2,9,12,2010,'F','N','RURAL','MIRIM DOCE','SC','124241241116131411524435555214610156067',NULL,'560',0.00,1,3,NULL),(25,6299970,'1983-05-10 00:00:00',2,1,12,2000,'F','N','INGLESES RIO VERMELH','FLORIANÓPOLIS','SC','124201208117471411125344445234610138147',NULL,'9998',29.11,1,2,1),(25,6299989,'1990-07-23 00:00:00',4,1,8,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241112132411535513485114610114051',17012,'307',35.30,1,3,NULL),(25,6299997,'1982-12-14 00:00:00',3,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124253251117475431568433315124322222142',2145,'9998',66.90,1,3,NULL),(25,6300006,'1991-09-12 00:00:00',2,1,12,2010,'F','N','RIO MIGUEL','ÁGUAS MORNAS','SC','124241241115371431633616154124610148052',17726,'978',33.21,1,2,1),(25,6300014,'1962-12-26 00:00:00',4,1,12,1981,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624161166146151411274549295122341066047',6369,'9998',58.01,1,3,NULL),(25,6300030,'1982-06-11 00:00:00',4,16,12,2000,'M','N','POR DO SOL','MTE CARLO','SC','124241241126371421423419215124131467057',NULL,'936',30.23,1,3,NULL),(25,6300049,'1981-09-12 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217272221337737375124221462016',9843,'262',51.62,1,3,NULL),(25,6300057,'1985-10-01 00:00:00',2,1,11,2003,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241127171131233344445114141262074',NULL,'9997',0.00,1,3,NULL),(25,6300073,'1987-06-12 00:00:00',4,1,7,2005,'M','N','BRASÍLIA','S BENTO SUL','SC','124241241117131431446613335122130234117',NULL,'697',31.46,1,3,NULL),(25,6300081,'1992-03-11 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124242241215131441328711385224231237062',15706,'71',42.59,1,3,NULL),(25,6300103,'1990-09-11 00:00:00',2,10,12,2007,'M','N','CENTRO','S LUDGERO','SC','124242241216573431373632595122610124141',3912,'950',60.73,1,3,NULL),(25,6300120,'1982-11-06 00:00:00',2,1,12,2000,'F','N','TERESOPOLIS','PTO ALEGRE','RS','520204201116151451528714395124242846187',NULL,'9998',19.81,1,3,NULL),(25,6300146,'1991-12-26 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241217273431447923495124233228172',14919,'272',38.58,1,3,NULL),(25,6300162,'1971-12-11 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241247226143451114441115125221762187',NULL,'9999',0.00,1,3,NULL),(25,6300170,'1991-08-05 00:00:00',4,8,11,2008,'F','N','CENTRO','ERECHIM','RS','120202201217472231448812571125610163123',10634,'9998',45.18,1,3,NULL),(25,6300189,'1984-06-04 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216454721454863475124430228182',8396,'270',54.14,1,3,NULL),(25,6300197,'1991-03-11 00:00:00',2,1,12,2008,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124241241115573431436823345134610122147',12730,'307',42.97,1,2,1),(25,6300200,'1950-11-24 00:00:00',2,1,7,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','324241247127161412462163472114610146197',20650,'9999',32.58,1,2,1),(25,6300219,'1989-02-25 00:00:00',2,1,12,2006,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124201201126152431225944445224610127147',NULL,'9998',7.69,1,2,1),(25,6300227,'1990-11-16 00:00:00',2,9,12,2008,'M','N','COPERCAMPOS','ANITA GARIBALDI','SC','124241242116171421523923242124610117053',NULL,'960',17.68,1,2,1),(25,6300235,'1995-01-11 00:00:00',4,1,11,2011,'F','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241215151331338623231124610113147',NULL,'882',27.13,1,3,NULL),(25,6300243,'1992-12-09 00:00:00',2,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241115131331216367585124610134147',NULL,'296',0.00,1,2,1),(25,6300251,'1993-08-20 00:00:00',2,4,10,2010,'F','N','CADORIN','PATO BRANCO','PR','116162161217121431458914575122610134052',13937,'9998',40.02,1,3,NULL),(25,6300286,'1991-04-23 00:00:00',4,1,12,2008,'M','N','CENTRO','IJUÍ','RS','120201201115471431325611575123610134187',15254,'9998',43.32,1,2,1),(25,6300294,'1993-09-21 00:00:00',2,1,12,2010,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124243241215111431426933572114610134195',16642,'988',36.47,1,3,NULL),(25,6300308,'1987-09-15 00:00:00',2,1,11,2007,'F','N','CAMINHO NOVO','PALHOÇA','SC','124243247337143731323654145134610148187',NULL,'9999',18.03,1,3,NULL),(25,6300316,'1993-05-09 00:00:00',4,16,12,2010,'M','N','BOM JESUS','CURITIBANOS','SC','124241241117151531213229472224610161055',13176,'239',40.81,1,2,1),(25,6300324,'1991-01-05 00:00:00',4,8,12,2007,'M','N','JARDIM FLAMBOYANT','TRÊS LAGOAS','MS','112123121147131411426519475121140264117',NULL,'9998',26.83,1,3,NULL),(25,6300340,'1990-10-22 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECÓ','SC','124241241214274111339923335124610112077',NULL,'1046',0.00,1,3,NULL),(25,6300359,'1993-01-30 00:00:00',4,1,12,2010,'F','N','FUNDOS','BIGUAÇU','SC','124241241225371411446314575125610168192',6828,'262',54.51,1,3,NULL),(25,6300375,'1993-10-08 00:00:00',2,1,12,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215131431324634592124610167057',16505,'988',37.37,2,1,2),(25,6300383,'1993-10-20 00:00:00',2,1,12,2010,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124242241215171232423711582124610122147',12461,'988',42.94,4,3,NULL),(25,6300391,'1993-12-14 00:00:00',4,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241225111431321324246114610126042',16113,'262',36.24,1,3,NULL),(25,6300405,'1993-11-23 00:00:00',4,16,12,2010,'F','N','COHAB I','CURITIBANOS','SC','124241241115271731323369392115610118177',NULL,'239',20.33,1,3,NULL),(25,6300413,'1989-10-01 00:00:00',2,10,12,2006,'F','N','PROGRESSO','LAGUNA','SC','124241241116372531423619585124131524147',NULL,'521',21.92,1,2,1),(25,6300421,'1988-09-16 00:00:00',2,1,12,2005,'F','N','ST LESTE VILA NOVA','GOIÂNIA','GO','109092091116571441336623571324610168197',NULL,'9998',20.13,1,3,NULL),(25,6300430,'1989-06-22 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116373431435417175112610167042',11424,'276',49.01,1,2,1),(25,6300448,'1980-12-10 00:00:00',4,1,12,1998,'M','N','FREGUESIA','S PAULO','SP','125252251216122751646679215122340267092',14528,'9998',39.51,1,3,NULL),(25,6300456,'1991-05-28 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242246117273731223823395124610127097',3806,'306',61.94,1,3,NULL),(25,6300464,'1991-05-20 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241246115132731437413392124610133142',5444,'306',59.87,1,2,1),(25,6300472,'1992-02-09 00:00:00',2,8,11,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215472431418811372124610137122',10831,'457',49.95,1,3,NULL),(25,6300502,'1990-12-31 00:00:00',2,1,12,2008,'M','N','CENTRO','CANELINHA','SC','124241241212142431236632291111233222052',12945,'1119',46.67,1,3,NULL),(25,6300510,'1992-07-06 00:00:00',4,1,2,2011,'F','N','ARMAÇÃO DO PANTANO D','FLORIANÓPOLIS','SC','124201248117151731337874292224610135142',NULL,'306',23.74,1,2,1),(25,6300529,'1986-04-23 00:00:00',2,1,12,2007,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241346143431248323335112610115191',15722,'307',42.57,1,3,NULL),(25,6300545,'1985-03-26 00:00:00',4,1,12,2002,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241216142231137643435124320624097',6071,'270',58.58,3,3,NULL),(25,6300553,'1992-08-18 00:00:00',2,17,12,2009,'M','N','TIMBU','CAMPINA G SUL','PR','116162161216371431434612225124610147057',15423,'9998',38.12,1,3,NULL),(25,6300561,'1992-01-11 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215472411379914575122610164122',NULL,'270',0.00,1,3,NULL),(25,6300570,'1993-12-18 00:00:00',2,1,12,2010,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241115471731435523232124610163027',NULL,'281',28.35,1,2,1),(25,6300596,'1992-06-15 00:00:00',4,1,12,2009,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124242241217374231669813295114122364081',3722,'1022',62.79,1,3,NULL),(25,6300618,'1994-01-14 00:00:00',2,4,12,2010,'F','N','INTERIOR','DESCANSO','SC','124241241117131431523436572322610164042',NULL,'242',37.72,1,2,1),(25,6300626,'1992-01-31 00:00:00',2,3,12,2010,'F','N','CENTRO','CONGONHINHAS','PR','116162166117111411327732572225610124142',16414,'9998',36.89,1,3,NULL),(25,6300634,'1993-08-10 00:00:00',2,1,12,2010,'F','N','PORTINHO','LAGUNA','SC','124241241116371751338311175124610141172',NULL,'521',29.62,1,2,1),(25,6300642,'1992-02-28 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241217372331467632325122610167042',10681,'1022',50.18,1,3,NULL),(25,6300669,'1992-01-29 00:00:00',4,8,12,2009,'M','N','CENTRO','STO ANTÔNIO PLATINA','PR','116161161212471711638831273344610164122',2569,'9998',67.27,1,3,NULL),(25,6300677,'1989-04-23 00:00:00',2,1,12,2006,'F','N','CENTRO','PALHOÇA','SC','124242241212575751663519572124220943181',611,'269',75.34,1,3,NULL),(25,6300685,'1990-02-09 00:00:00',4,1,11,2007,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251215571431477734571112610117112',8244,'9998',51.36,3,3,NULL),(25,6300707,'1993-02-07 00:00:00',4,1,12,2010,'M','N','PACHECOS','PALHOÇA','SC','124241241136151431228624375124610168187',NULL,'593',26.01,1,2,1),(25,6300715,'1993-08-31 00:00:00',2,9,12,2010,'F','N','RURAL','MIRIM DOCE','SC','124241241116131411324535555114610154057',18607,'560',34.97,1,3,NULL),(25,6300723,'1979-01-22 00:00:00',2,15,12,1997,'F','N','CENTRO','TURVO','SC','224241241126131422334455432132610137147',NULL,'814',21.17,1,3,NULL),(25,6300731,'1993-10-22 00:00:00',4,17,12,2010,'M','N','TRICOLIN','CANOINHAS','SC','124241242116271431556613272124610138052',12709,'143',43.24,1,2,1),(25,6300740,'1993-05-14 00:00:00',2,5,11,2010,'M','N','CARAVAGGIO','NOVA VENEZA','SC','124244241215111431445912575122610164047',12675,'226',44.50,1,3,NULL),(25,6300758,'1991-03-06 00:00:00',2,8,7,2010,'F','N','AGUA VERDE','CURITIBA','PR','116164166112471331438911395124610123052',2203,'9998',67.40,1,3,NULL),(25,6300766,'1991-08-12 00:00:00',4,1,12,2009,'M','N','BELA VISTA','S JOSÉ','SC','124244241215372431457714345124610137042',14868,'1075',43.89,1,3,NULL),(25,6300774,'1982-10-22 00:00:00',2,4,12,1999,'M','N','SUFIATI','XANXERÊ','SC','124241241126131431333639345124231427042',NULL,'841',23.49,1,2,1),(25,6300782,'1993-10-07 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241136111731323514295124610167072',18641,'1116',37.67,1,3,NULL),(25,6300790,'1993-03-09 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241435161412434414142121610126173',14985,'922',39.25,1,3,NULL),(25,6300804,'1988-05-06 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241127142721323314385124610163047',20147,'287',28.61,1,2,1),(25,6300820,'1993-09-27 00:00:00',2,1,12,2010,'F','N','JARDIM ANÁPOLIS','BIGUAÇU','SC','124241241117141411523324272124610126197',NULL,'65',0.00,1,2,1),(25,6300839,'1991-08-07 00:00:00',4,4,12,2010,'M','N','CENTRO','S MIGUEL OESTE','SC','124203248346131731233923395124610162185',NULL,'753',8.86,1,3,NULL),(25,6300855,'1990-07-16 00:00:00',2,1,11,2007,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244247211473431329527445134230227042',NULL,'9999',0.00,1,3,NULL),(25,6300863,'1988-03-02 00:00:00',4,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116163161317572431557714595112610168142',NULL,'9998',0.00,1,3,NULL),(25,6300880,'1989-02-25 00:00:00',4,9,12,2006,'F','N','CENTRO','LAGES','SC','124241241216574431434532475335133222112',16159,'497',41.92,1,3,NULL),(25,6300898,'1986-12-14 00:00:00',4,1,12,2003,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216152751369917495122321434175',NULL,'266',21.00,1,3,NULL),(25,6300901,'1993-05-26 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242248245111431488614575122610137072',NULL,'738',23.46,1,3,NULL),(25,6300910,'1985-12-30 00:00:00',4,1,12,2004,'F','N','JARDIM ANA LUCIA','GOIÂNIA','GO','109092091216571321347616575122610168027',3891,'9998',61.70,1,3,NULL),(25,6300928,'1990-06-02 00:00:00',4,5,12,2007,'M','N','PIO CORREA','CRICIÚMA','SC','124242241216143431459814575122231462122',9161,'226',52.75,1,3,NULL),(25,6300936,'1986-11-01 00:00:00',2,1,12,2007,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241247126271751536614245124610124147',20579,'9999',32.81,1,2,1),(25,6300944,'1991-07-30 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124054241217373431533319492124610164052',9242,'1022',48.78,1,3,NULL),(25,6300952,'1993-01-28 00:00:00',4,7,11,2010,'F','N','CENTRO','JOAÇABA','SC','124242161415371431356614572125610127142',15008,'9998',37.38,1,3,NULL),(25,6300960,'1993-12-01 00:00:00',2,15,12,2010,'F','N','VILA BEATRIZ','MARACAJÁ','SC','124241248145141731323314245111610134145',21515,'550',27.75,1,2,1),(25,6300979,'1994-03-03 00:00:00',2,1,12,2010,'F','N','CALDAS DA IMPERATRIZ','ANTÔNIO CARDOSO','BA','124241241115271431423614575124610138195',17521,'772',39.71,1,2,1),(25,6300987,'1983-05-21 00:00:00',2,1,12,2000,'F','N','JD NOVA ITÁLIA','LIMEIRA','SP','125251254115471421223444441334610135097',NULL,'9998',0.00,1,2,1),(25,6300995,'1989-01-13 00:00:00',4,1,9,2007,'M','N','BELA VISTA','PALHOÇA','SC','124241247122162411243614342114610117063',20900,'9999',31.50,1,2,1),(25,6301029,'1993-06-06 00:00:00',4,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','124241241115371231348823575122610124077',NULL,'146',16.18,4,3,NULL),(25,6301037,'1993-09-14 00:00:00',2,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241145471431333319575122610118012',3467,'592',63.60,1,3,NULL),(25,6301053,'1993-12-05 00:00:00',2,1,12,2010,'F','N','ROÇADO','S JOSÉ','SC','124242241215131411226724475124610133077',18866,'1022',31.62,1,3,NULL),(25,6301061,'1993-06-18 00:00:00',4,1,12,2010,'M','N','CARDOSO','S JOÃO BATISTA','SC','124241241136141331424611345131610167067',16669,'712',35.31,1,2,1),(25,6301088,'1983-05-16 00:00:00',4,1,12,2000,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241117232431223335315114610126142',21302,'416',29.44,1,2,1),(25,6301096,'1992-02-28 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431469911572125610167057',8008,'262',52.39,1,3,NULL),(25,6301100,'1973-08-14 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','624241241125141421333554192222610162097',NULL,'9997',20.97,1,2,1),(25,6301118,'1993-10-29 00:00:00',4,3,12,2010,'M','N','CENTRO','LONDRINA','PR','116162161216111421388812572122610164127',6441,'9998',54.49,3,3,NULL),(25,6301134,'1989-07-26 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216374231466713575114123227037',14180,'737',44.89,1,3,NULL),(25,6301142,'1985-02-21 00:00:00',1,1,12,2002,'F','N','PANTANAL','FLORIANÓPOLIS','SC','624241241122132411233354241124132836142',14477,'775',44.49,1,2,1),(25,6301150,'1954-02-19 00:00:00',2,1,12,1975,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','224241248324133431533149191344231015037',16904,'307',40.77,2,1,2),(25,6301177,'1991-11-02 00:00:00',2,1,12,2010,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124241241112141231525514312124610156147',NULL,'287',7.05,1,2,1),(25,6301185,'1967-12-06 00:00:00',2,1,12,1987,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124201207122133731212349282124222266197',14681,'9998',44.18,1,3,NULL),(25,6301207,'1994-02-19 00:00:00',4,1,9,2010,'M','N','CENTRO','CORUMBÁ','MS','125122251217111411686632575122610167092',NULL,'9998',0.00,4,3,NULL),(25,6301215,'1985-03-04 00:00:00',2,1,12,2002,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124253251117272441223354342324610126187',5886,'9998',58.99,4,3,NULL),(25,6301223,'1991-07-28 00:00:00',4,6,12,2008,'F','N','SANTA TEREZINHA','BRUSQUE','SC','124243241116272431426514375112610134142',4599,'116',59.58,1,3,NULL),(25,6301231,'1992-05-22 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431558831572124610167035',1869,'270',69.66,1,3,NULL),(25,6301240,'1992-01-04 00:00:00',2,1,12,2009,'F','N','APARECIDA','SANTOS','SP','125252251216471431446813572124143236122',NULL,'9998',0.00,4,3,NULL),(25,6301258,'1989-10-19 00:00:00',4,1,2,2008,'F','N','SÃO JOÃO','STA MARIA','RS','120201201116572431433839572124610124197',NULL,'9998',31.14,1,3,NULL),(25,6301266,'1994-09-01 00:00:00',4,1,12,2011,'M','S','JARDIM CIDADE','S JOSÉ','SC','124242241217131431536619595124610138042',NULL,'1118',45.85,1,3,NULL),(25,6301274,'1992-09-28 00:00:00',4,6,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124243241415131431523833475124232823172',NULL,'405',27.59,1,3,NULL),(25,6301282,'1991-06-10 00:00:00',4,1,12,2008,'M','N','FREGUESIA DO Ó','S PAULO','SP','125252251217571431546811341114610147057',10486,'9998',45.73,1,3,NULL),(25,6301290,'1986-03-08 00:00:00',5,1,12,2000,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124251251117131411335641215124142726094',16568,'9998',41.29,1,3,NULL),(25,6301304,'1991-03-11 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201241116472731426521381124610125053',13566,'288',41.16,1,2,1),(25,6301312,'1992-03-24 00:00:00',4,1,12,2009,'F','N','CENTRO','TANABI','SP','125252251215472431458831574125610118182',15644,'9998',37.76,1,3,NULL),(25,6301320,'1966-10-15 00:00:00',2,1,12,1985,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','524201203126171411383343136122341026182',NULL,'9998',0.00,1,3,NULL),(25,6301339,'1991-08-05 00:00:00',2,1,11,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241115372431326622375114131267051',6764,'723',57.18,1,3,NULL),(25,6301347,'1990-06-29 00:00:00',2,8,12,2009,'M','N','CENTRO','S BENTO SUL','SC','124242241316371422538812395124610134052',NULL,'697',20.20,1,3,NULL),(25,6301355,'1993-05-06 00:00:00',4,2,12,2010,'M','N','CENTRO','BLUMENAU','SC','124242241417271411356721576124610134177',9080,'88',49.60,1,3,NULL),(25,6301363,'1993-01-08 00:00:00',4,2,12,2010,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241212271412488833585111610116175',6155,'88',56.52,3,3,NULL),(25,6301371,'1992-07-08 00:00:00',4,1,11,2009,'F','N','BATEL','CURITIBA','PR','116162161211372411348813592125610127147',6243,'9998',55.23,1,3,NULL),(25,6301380,'1978-09-08 00:00:00',2,1,12,1996,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241136372431434569345334610137147',16808,'512',36.93,1,3,NULL),(25,6301398,'1989-06-06 00:00:00',4,8,12,2008,'M','N','REBOUÇAS','CURITIBA','PR','116161167136271711525529385111141862187',12516,'9998',42.43,1,2,1),(25,6301410,'1986-10-20 00:00:00',2,1,12,2003,'F','N','IPIRANGA','S JOSÉ','SC','124242241216543431126944345323233032097',19662,'943',35.44,2,3,NULL),(25,6301428,'1990-06-12 00:00:00',4,4,2,2010,'M','N','PALMITAL','CHAPECÓ','SC','124246248646271712433639295111610134187',NULL,'9999',17.83,2,3,NULL),(25,6301436,'1992-02-15 00:00:00',4,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241116272431326619345124610124117',15744,'941',42.53,1,3,NULL),(25,6301444,'1991-08-23 00:00:00',2,9,12,2008,'M','N','CORAL','LAGES','SC','124241241115472411446614375122231427052',3322,'505',62.78,1,2,1),(25,6301452,'1993-01-24 00:00:00',2,1,12,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241215111411243822242122610164072',NULL,'944',30.59,2,3,NULL),(25,6301460,'1990-11-22 00:00:00',4,1,12,2008,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124244241116132431333611345123231467047',20200,'592',34.07,1,3,NULL),(25,6301479,'1991-12-17 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201241112273431357613115122610134092',15129,'293',43.50,1,2,1),(25,6301487,'1990-07-24 00:00:00',2,1,12,2007,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241136471411223444245124610138117',NULL,'361',28.97,1,2,1),(25,6301495,'1992-09-11 00:00:00',2,3,12,2010,'F','N','RIO NEGRO','S BENTO SUL','SC','124241241115111431369614575112610124142',NULL,'1178',25.37,1,3,NULL),(25,6301517,'1987-01-04 00:00:00',2,8,12,2004,'M','N','BIGORRILHO','CURITIBA','PR','116164161216212311358911375124340267122',2588,'9998',67.21,1,3,NULL),(25,6301525,'1992-06-05 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241216112431569911575124233136177',NULL,'270',0.00,1,3,NULL),(25,6301533,'1993-03-29 00:00:00',2,1,12,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241117271211346612575114610167045',16061,'307',42.04,1,2,1),(25,6301541,'1988-09-29 00:00:00',2,1,6,2010,'M','N','BELA VISTA II','S JOSÉ','SC','124241247125271431326264312113610138112',18323,'1117',38.24,1,2,1),(25,6301568,'1988-09-11 00:00:00',2,1,12,2006,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241111473431524424345224610117142',NULL,'295',16.14,1,2,1),(25,6301576,'1985-10-27 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161161216374421448923245124333217067',12364,'9998',47.59,1,3,NULL),(25,6301584,'1993-07-28 00:00:00',4,1,12,2010,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241125131431324414475124610127042',15838,'262',36.77,1,3,NULL),(25,6301592,'1992-01-10 00:00:00',1,9,12,2009,'M','N','CENTRO','IBIRAMA','SC','124241241117211331326624345124610112012',NULL,'348',27.39,1,3,NULL),(25,6301606,'1992-11-30 00:00:00',2,3,12,2010,'M','N','BOA ESPERANÇA','MATA','RS','120201202117161431323336575124610157057',NULL,'9998',23.79,1,2,1),(25,6301614,'1983-02-02 00:00:00',2,1,12,2003,'F','N','RIO VERMELHO','PALHOÇA','SC','624201207316132131327654442124140214197',NULL,'9998',24.86,1,3,NULL),(25,6301622,'1992-08-11 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215472231489931595114610127042',1690,'270',70.02,1,3,NULL),(25,6301630,'1987-11-03 00:00:00',4,1,12,2004,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124161161116151441222511275124341862187',20523,'9998',33.04,1,2,1),(25,6301649,'1993-01-18 00:00:00',4,4,12,2010,'M','N','PINHEIRINHO','FRANCISCO BELTRÃO','PR','116163161137271131424524295124610144177',11821,'9998',44.47,1,3,NULL),(25,6301657,'1986-10-07 00:00:00',2,1,12,2004,'F','N','JARDIM ZANELLATO','S JOSÉ','SC','124241247415471421643311445124610121182',NULL,'9999',14.30,1,3,NULL),(25,6301665,'1993-06-01 00:00:00',2,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124242241216131431437833375123610167142',13618,'454',45.75,1,3,NULL),(25,6301673,'1987-10-24 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241217152531569814442134323232082',5368,'270',60.04,4,3,NULL),(25,6301681,'1992-09-25 00:00:00',2,15,12,2009,'F','N','CENTRO','TURVO','SC','124241241117371431533315395111132527057',NULL,'814',23.91,1,2,1),(25,6301690,'1992-10-19 00:00:00',4,1,12,2009,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124244241125472431569611575124610164187',6252,'322',56.67,1,3,NULL),(25,6301703,'1990-04-17 00:00:00',4,15,3,2010,'F','N','FLORESTA','LAJEADO','RS','120203207316471311448732175122610164046',18001,'9998',36.21,1,3,NULL),(25,6301711,'1991-12-12 00:00:00',4,1,12,2008,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125142251216571431567814575124141062042',NULL,'9998',0.00,1,3,NULL),(25,6301720,'1990-04-26 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116474431343923272124221417142',13574,'591',45.82,1,2,1),(25,6301738,'1991-03-12 00:00:00',4,5,12,2008,'M','N','SÃO DEFENDE','CRICIÚMA','SC','124242243216273431457914485124231412177',5675,'995',56.09,1,3,NULL),(25,6301746,'1992-11-26 00:00:00',4,2,12,2010,'M','N','NOVA BRASÍLIA','JARAGUÁ SUL','SC','124244241437161421325623315121610112051',NULL,'425',0.00,4,3,NULL),(25,6301754,'1992-08-08 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124243241117271431428569575124610127042',17849,'733',33.64,1,3,NULL),(25,6301770,'1993-01-15 00:00:00',2,1,12,2010,'M','N','VILA SÃO JORGE','GUARULHOS','SP','125254251316111231438613585122610161167',NULL,'9998',22.66,1,3,NULL),(25,6301789,'1993-06-03 00:00:00',4,8,12,2010,'M','N','VINTE CINCO DE JULHO','S BENTO SUL','SC','124241241116271331558924375112610147017',NULL,'697',0.00,1,2,1),(25,6301797,'1991-06-06 00:00:00',2,1,12,2009,'F','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124241241131142131425618342334610127147',NULL,'1088',15.41,3,2,1),(25,6301800,'1993-11-17 00:00:00',2,1,12,2010,'M','N','JARDIM JANAINA','BIGUAÇU','SC','124241241117271531436411572222610157117',20924,'65',31.39,1,2,1),(25,6301819,'1989-11-16 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241444152421434411335124610152167',14139,'262',44.95,4,3,NULL),(25,6301827,'1982-07-16 00:00:00',2,1,12,2002,'M','N','RIO VERMELHO','PALHOÇA','SC','624241241317131131323344441114610117047',21510,'1003',27.81,1,3,NULL),(25,6301835,'1988-08-25 00:00:00',2,1,12,2005,'F','N','LOEFFELSCHEIDT','ÁGUAS MORNAS','SC','124241241126132441433315395224222348142',13526,'12',45.89,1,2,1),(25,6301843,'1983-04-17 00:00:00',4,1,12,2001,'F','N','PONTA AGUDA','BLUMENAU','SC','224242241212372731259852412122322661145',5711,'270',59.34,1,3,NULL),(25,6301851,'1992-05-12 00:00:00',4,1,12,2009,'F','N','CENTRO','MARINGÁ','PR','116162161215471431468913235112610165127',NULL,'9998',0.00,1,3,NULL),(25,6301860,'1990-09-17 00:00:00',2,3,12,2008,'F','N','CENTRO','LONDRINA','PR','116161161116573431158832575124610162092',NULL,'9998',0.00,1,3,NULL),(25,6301878,'1993-08-31 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124244241135141412535511345124610127041',NULL,'734',20.21,1,3,NULL),(25,6301886,'1994-04-17 00:00:00',2,4,12,2010,'M','N','CENTRO','CHAPECÓ','SC','124242241217111331436712115122610117052',18789,'168',31.74,1,3,NULL),(25,6301894,'1984-05-31 00:00:00',4,1,12,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124203207316131711126644347333610165182',NULL,'9998',36.34,4,3,NULL),(25,6301908,'1988-06-14 00:00:00',4,8,12,2005,'F','N','ZONA CINCO','MARINGÁ','PR','116162161215572431457812174122141345122',NULL,'9998',0.00,1,3,NULL),(25,6301916,'1992-08-30 00:00:00',4,1,12,2009,'M','N','MENINO DEUS','PTO ALEGRE','RS','120202201216471431348823274124610136092',908,'9998',73.56,1,3,NULL),(25,6301940,'1981-05-25 00:00:00',2,1,12,1998,'F','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124201201116131751225944445124140961147',12370,'9998',47.58,5,2,1),(25,6301959,'1985-07-04 00:00:00',4,1,12,2002,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124252251235474421147933445122221467062',2883,'9998',66.28,1,3,NULL),(25,6301967,'1993-04-23 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241117151431458633575122610122015',21166,'267',30.25,1,3,NULL),(25,6301975,'1993-06-05 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124244241215111731336614575124610128093',20731,'1078',32.23,1,3,NULL),(25,6302009,'1993-05-27 00:00:00',2,10,12,2010,'M','N','MAGALHÃES','LAGUNA','SC','124242243225161431324414245221610127042',NULL,'524',20.60,1,3,NULL),(25,6302025,'1963-06-16 00:00:00',3,1,12,1984,'M','N','PROGRESSO','ALEGRETE','RS','120201204141511141124641211324140932042',NULL,'9998',21.81,1,3,NULL),(25,6302033,'1991-09-15 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115472411445613575122610137122',5344,'292',58.81,1,2,1),(25,6302041,'1993-04-16 00:00:00',2,5,12,2010,'F','N','MILANESE','CRICIÚMA','SC','124244248415111621628519575122613228057',16521,'212',36.90,1,3,NULL),(25,6302050,'1994-05-21 00:00:00',4,7,11,2010,'M','N','CENTRO','JABORÁ','SC','124242241215111231468811472122610132097',15626,'9999',42.72,1,3,NULL),(25,6302068,'1992-10-20 00:00:00',2,4,12,2010,'F','N','BOA VISTA','PRINCESA','SC','124241241115131441213119573324610124177',NULL,'646',40.64,4,2,1),(25,6302076,'1991-10-04 00:00:00',4,1,11,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215372731368813472124610137182',14088,'270',41.35,1,3,NULL),(25,6302084,'1992-10-02 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215142131469713345114231027042',19976,'270',34.65,1,3,NULL),(25,6302092,'1993-07-27 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431458834575122610127052',12921,'270',45.71,1,3,NULL),(25,6302106,'1993-04-12 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124241241217131731448623572122610123177',1695,'737',69.90,1,3,NULL),(25,6302114,'1994-11-10 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111531466931415122610124072',NULL,'270',29.33,1,3,NULL),(25,6302122,'1993-12-27 00:00:00',4,1,11,2010,'M','N','ARIRIU','PALHOÇA','SC','124244241415151431457711212124610167067',NULL,'989',0.00,1,3,NULL),(25,6302130,'1993-03-07 00:00:00',4,8,11,2009,'M','N','GLORIA','JOINVILLE','SC','124243241215272751344923572224231464052',5,'1016',90.18,1,3,NULL),(25,6302149,'1995-03-03 00:00:00',4,1,11,2011,'F','S','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242241115111431466813332124610114147',NULL,'271',32.54,1,3,NULL),(25,6302157,'1993-02-11 00:00:00',4,1,12,2010,'M','N','POTECAS','S JOSÉ','SC','124241241117371431536613572124610136142',NULL,'307',24.97,4,2,1),(25,6302165,'1991-03-10 00:00:00',2,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124242241315373421443612372124610113097',4525,'592',61.93,1,3,NULL),(25,6302173,'1993-03-11 00:00:00',2,1,11,2010,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124112241217152531389811475122610134142',NULL,'1048',0.00,1,3,NULL),(25,6302181,'1993-01-08 00:00:00',4,6,12,2010,'M','N','CENTRO','ITAJAÍ','SC','124242241215152431258813575122610164072',9208,'394',52.67,1,3,NULL),(25,6302190,'1960-11-30 00:00:00',2,1,10,2006,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224201247127231411423351442234610131187',21047,'9999',30.89,4,2,1),(25,6302203,'1992-12-09 00:00:00',4,17,12,2009,'M','N','CENTRO','CANOINHAS','SC','124242241215472221457911572112610164017',NULL,'154',0.00,1,3,NULL),(25,6302211,'1989-12-24 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124201201116131421125644245124230225183',NULL,'9998',0.00,4,2,1),(25,6302220,'1992-08-12 00:00:00',4,4,12,2009,'F','N','SANTA CATARINA','S LOURENÇO OESTE','SC','124241161335311431334611125123610165052',NULL,'9998',0.00,1,3,NULL),(25,6302238,'1992-04-17 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242247435162431348933572122610126117',NULL,'736',36.66,1,3,NULL),(25,6302246,'1993-01-18 00:00:00',2,3,12,2009,'F','N','CENTRO','CLEVELÂNDIA','PR','116163161217131331335923175122140636017',4620,'9998',56.88,1,3,NULL),(25,6302254,'1993-09-10 00:00:00',4,4,12,2010,'M','N','INTERIOR','GUARACIABA','SC','124241241416161431533636195124610137052',8048,'1179',51.83,1,3,NULL),(25,6302262,'1992-08-17 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241212412431469913575124610137042',14510,'1047',42.55,1,3,NULL),(25,6302270,'1992-09-04 00:00:00',4,3,12,2009,'F','N','SÃO FRANCISCO','CAMBORIÚ','SC','124242241116151431235734575113230268037',NULL,'1091',18.90,1,3,NULL),(25,6302297,'1994-08-22 00:00:00',4,9,12,2011,'F','S','CANTRO','LAGES','SC','124242241215111751468912492122610131142',NULL,'497',24.90,1,3,NULL),(25,6302300,'1993-04-06 00:00:00',1,2,12,2010,'F','N','RIBEIRÃO PROCHONW','BENEDITO NOVO','SC','124241241215121431558611272124610144092',5860,'1157',59.05,1,3,NULL),(25,6302319,'1992-10-26 00:00:00',4,8,12,2010,'M','N','VILA RENATO','BARBOSA','SP','125252251215111431436631575122610164052',3053,'9998',63.07,1,3,NULL),(25,6302335,'1980-03-10 00:00:00',2,1,12,1999,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241126134411328624345114610131092',20507,'736',33.13,1,2,1),(25,6302343,'1991-10-10 00:00:00',4,2,12,2009,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215142431548667415115610132042',1918,'71',67.92,4,3,NULL),(25,6302351,'1993-04-19 00:00:00',4,8,12,2010,'M','N','GLÓRIA','JOINVILLE','SC','124241246215371231329614475122610164042',NULL,'1105',0.00,1,3,NULL),(25,6302360,'1991-03-12 00:00:00',2,5,11,2008,'F','N','CRISTO REI','IÇARA','SC','124242241215472731448834375124133126011',1477,'226',69.06,1,3,NULL),(25,6302378,'1990-10-04 00:00:00',2,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116162161215571431569911572124610167057',329,'9998',78.90,1,3,NULL),(25,6302386,'1993-05-12 00:00:00',4,1,11,2010,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124241248235111211439529395122610128022',NULL,'951',13.17,1,3,NULL),(25,6302394,'1995-09-21 00:00:00',2,16,12,2012,'F','S','CENTRO','STA CECÍLIA','SC','124241241117151431226724572122610126187',NULL,'686',34.02,1,3,NULL),(25,6302408,'1995-01-05 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111711468933575122610112183',13983,'270',45.20,1,3,NULL),(25,6302416,'1993-10-07 00:00:00',2,1,11,2010,'F','N','MARIA LUISA','CASCAVEL','PR','116162161216411431455736575122610123072',NULL,'9998',0.00,4,3,NULL),(25,6302424,'1992-01-24 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115372731526434572124610133181',13826,'307',42.27,1,2,1),(25,6302432,'1993-12-10 00:00:00',2,4,12,2010,'M','N','CENTRO','ERECHIM','RS','120201201117271431225923345125610132047',11601,'9998',43.51,1,2,1),(25,6302459,'1992-05-20 00:00:00',2,15,12,2009,'F','N','CENTRO','ALEGRETE','RS','120202201216371411459811575124610144147',NULL,'9998',0.00,1,3,NULL),(25,6302467,'1991-09-29 00:00:00',2,2,12,2008,'M','N','BOA VISTA','CARAZINHO','RS','120201201116131432528613385114610137047',NULL,'9998',33.95,1,2,1),(25,6302475,'1991-02-12 00:00:00',2,3,12,2010,'F','N','AREIAS','CAMBORIÚ','SC','124241241141151431434633191124610132092',18186,'130',38.49,1,2,1),(25,6302483,'1993-10-26 00:00:00',4,2,12,2010,'F','N','CENTRO','MASSARANDUBA','SC','124241241137131411327635371222610126172',NULL,'555',0.00,1,2,1),(25,6302491,'1995-02-25 00:00:00',4,1,12,2011,'F','S','CENTRO','CPO GRANDE','MS','112122121217111732389923575122610133092',NULL,'9998',34.43,1,3,NULL),(25,6302505,'1993-09-30 00:00:00',4,9,11,2010,'M','N','CENTRO','LAGES','SC','124242241215121431579933572122610167056',5885,'1207',56.42,1,3,NULL),(25,6302521,'1991-11-08 00:00:00',4,1,12,2010,'M','N','FLORESTA','S JOSÉ','SC','124244241215111421436614315122610138051',NULL,'1076',23.48,1,3,NULL),(25,6302530,'1988-02-01 00:00:00',2,1,12,2007,'F','N','SÃO LUIZ','S JOSÉ','SC','624241241127272431223354245334610127057',17971,'729',36.87,1,2,1),(25,6302548,'1993-10-18 00:00:00',2,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241215111431226612272124610132052',3972,'738',60.64,1,3,NULL),(25,6302564,'1994-05-24 00:00:00',4,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241212111431358619575122610137052',NULL,'270',33.97,1,3,NULL),(25,6302580,'1990-02-03 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217275431468914475124610162192',8792,'270',50.34,1,3,NULL),(25,6302599,'1991-10-31 00:00:00',4,10,10,2009,'M','N','CAÇADOR','CAPIVARI BAIXO','SC','124242241215372741258823475112610167012',11641,'797',46.74,1,3,NULL),(25,6302610,'1985-09-19 00:00:00',4,1,12,2002,'F','N','CENTRO','CORUPÁ','SC','124241241117575431246821572122610162172',NULL,'203',0.00,1,2,1),(25,6302629,'1988-02-05 00:00:00',2,1,12,2005,'F','N','CENTRO','ANITÁPOLIS','SC','124241241147271431534312335132133027142',NULL,'19',37.47,1,2,1),(25,6302637,'1993-11-04 00:00:00',2,16,12,2010,'F','N','SÃO LUIS','CURITIBANOS','SC','124242241215111551449933575122610166147',18315,'237',32.80,1,3,NULL),(25,6302645,'1984-08-24 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124202201117272441137612345124141467117',10422,'9998',47.15,1,3,NULL),(25,6302653,'1993-06-25 00:00:00',4,15,11,2010,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124243241215111511525639295122610117041',21185,'26',30.14,1,3,NULL),(25,6302661,'1992-03-09 00:00:00',4,1,11,2009,'M','N','CAMPOLIM','SOROCABA','SP','125052251216372441577612575122610167092',871,'9998',74.00,4,3,NULL),(25,6302670,'1993-04-15 00:00:00',4,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431536779592224610128062',NULL,'1074',14.37,1,3,NULL),(25,6302688,'1993-06-17 00:00:00',4,17,12,2010,'F','N','PALMITAL','MAJ VIEIRA','SC','124241241115271431413315472324610134012',12537,'548',42.35,1,2,1),(25,6302700,'1993-08-02 00:00:00',4,1,12,2010,'M','N','UNIÃO','ETN VELHA','RS','120203208217151431437714476124610167042',14953,'9998',39.04,1,3,NULL),(25,6302718,'1990-05-15 00:00:00',4,10,11,2007,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215271432349911275122132852143',20073,'797',34.38,1,3,NULL),(25,6302726,'1992-04-03 00:00:00',4,1,12,2009,'F','N','SANTA FE','CPO GRANDE','MS','112252121215471431568811475112610122047',3613,'9998',61.58,1,3,NULL),(25,6302734,'1993-05-21 00:00:00',4,2,12,2010,'F','N','GARCIA','BLUMENAU','SC','124242241215111431338823572124610124142',10626,'71',47.02,1,3,NULL),(25,6302742,'1993-03-29 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431448813435122610166043',21315,'270',29.32,1,3,NULL),(25,6302750,'1991-03-10 00:00:00',2,1,12,2009,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124241241217372431424331595124610138187',9121,'988',52.06,1,3,NULL),(25,6302769,'1992-02-21 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','120201201127161721536636572114610164187',NULL,'9998',31.77,1,2,1),(25,6302777,'1994-03-12 00:00:00',4,3,11,2010,'F','N','MUNICIPIOS','BAL CAMBORIÚ','SC','124241241215111231226421172224610137147',12931,'44',42.85,1,3,NULL),(25,6302785,'1985-09-09 00:00:00',2,5,10,2003,'F','N','SAO LUIZ','CRICIÚMA','SC','124242241215473321546513435122132641097',4064,'226',60.92,1,3,NULL),(25,6302793,'1994-05-06 00:00:00',4,1,12,2011,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124232241215111431479714575124610165197',NULL,'270',66.89,1,3,NULL),(25,6302807,'1993-04-12 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124241241215111431448623572122610124172',2096,'736',68.95,4,3,NULL),(25,6302823,'1984-12-27 00:00:00',4,1,12,2002,'M','N','TAQUARAL','CAMPINAS','SP','125252251216272431248921325124341666187',3310,'9998',63.14,1,3,NULL),(25,6302831,'1992-11-18 00:00:00',4,4,12,2009,'M','N','CENTRO','CASCAVEL','PR','116162161235471231439811375122610167052',NULL,'9998',0.00,1,3,NULL),(25,6302840,'1993-07-12 00:00:00',4,17,12,2010,'F','N','CENTRO','MAJ VIEIRA','SC','124241241115271431413323472224610124072',19256,'548',31.78,1,2,1),(25,6302858,'1989-12-07 00:00:00',4,6,12,2006,'M','N','NOVA ESPERANÇA','BAL CAMBORIÚ','SC','124241241117132431521215145224610125167',NULL,'50',0.00,1,2,1),(25,6302866,'1993-10-21 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124203248147471431536619372214610134072',12260,'295',43.18,1,3,NULL),(25,6302882,'1993-04-03 00:00:00',4,4,12,2010,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116163161215471431369933575122610117047',1831,'9998',68.47,1,3,NULL),(25,6302890,'1991-07-08 00:00:00',4,1,12,2008,'M','N','VILA ANDRADE','S PAULO','SP','125252253217571431663311575122610162187',NULL,'9998',0.00,1,3,NULL),(25,6302904,'1993-02-06 00:00:00',2,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241211111211438913571114610127042',NULL,'989',15.90,1,3,NULL),(25,6302912,'1989-09-27 00:00:00',4,8,12,2008,'M','N','JARDIM TV','ARAÇATUBA','SP','125252251216472731438834595122610132121',18050,'9998',34.85,1,3,NULL),(25,6302920,'1992-07-01 00:00:00',4,1,12,2009,'M','N','CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC','124241241216572431548612575114610167042',7611,'1048',53.23,1,3,NULL),(25,6302939,'1992-06-06 00:00:00',4,1,12,2010,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241117111431526414571324610127047',19973,'286',34.66,1,2,1),(25,6302947,'1991-08-14 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124241241317132431458713382122232846147',NULL,'1207',0.00,1,3,NULL),(25,6302963,'1983-04-20 00:00:00',2,1,11,1999,'M','N','CABRAL','CURITIBA','PR','216202201215572441368723435124140737022',4768,'9998',59.48,4,3,NULL),(25,6302971,'1989-04-02 00:00:00',2,1,7,2010,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124051247247131431221144345334610165183',NULL,'9999',39.18,2,1,2),(25,6302980,'1994-09-01 00:00:00',4,7,11,2011,'M','S','CINQUENTENÁRIO','CONCÓRDIA','SC','124241241215111432448833595125610118052',NULL,'1000',28.67,1,3,NULL),(25,6302998,'1993-07-04 00:00:00',2,2,12,2010,'F','N','POMERANOS','TIMBÓ','SC','124241241215112431446412575122610123142',16287,'1157',35.57,1,3,NULL),(25,6303005,'1990-11-15 00:00:00',2,7,12,2007,'M','N','INTERIOR','CAPINZAL','SC','124241241115161431423316375224610126052',NULL,'156',10.81,1,3,NULL),(25,6303013,'1989-02-25 00:00:00',4,1,12,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124162161215272621347516475124122026195',1000,'9998',73.95,1,3,NULL),(25,6303021,'1993-07-13 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124212241215272431468813575122121523092',10086,'272',51.19,1,3,NULL),(25,6303030,'1992-02-10 00:00:00',2,1,12,2009,'M','N','PALMAS','GOV CELSO RAMOS','SC','124241241127472231323331275124610167057',15526,'1099',39.32,1,2,1),(25,6303048,'1994-01-31 00:00:00',4,1,12,2010,'F','N','SÃO FRANCISCO DE A','STO AMARO IMPERATRIZ','SC','124241241115271712426631575122610164192',18487,'772',37.94,1,2,1),(25,6303056,'1994-03-22 00:00:00',4,2,12,2011,'F','S','CENTRO','GASPAR','SC','124242241217111431378833575122610124182',NULL,'909',52.87,1,3,NULL),(25,6303064,'1993-01-08 00:00:00',4,2,12,2010,'M','N','ÁGUAS CLARAS','BRUSQUE','SC','124241241135371211436419385124610123142',NULL,'1019',0.00,1,2,1),(25,6303072,'1960-03-18 00:00:00',2,1,11,1977,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','224241241117132711524443342134610131147',NULL,'591',19.14,1,2,1),(25,6303099,'1993-06-15 00:00:00',2,8,12,2010,'F','N','SAGUACU','JOINVILLE','SC','124242243215271431335412272122610168192',18070,'494',38.70,1,3,NULL),(25,6303102,'1990-01-02 00:00:00',4,4,12,2006,'F','N','CENTRO','NONOAI','RS','120204201217112431358812575124231046182',NULL,'9998',27.05,1,3,NULL),(25,6303110,'1992-06-20 00:00:00',2,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241212142151453722295112231017087',19152,'1075',36.65,1,3,NULL),(25,6303129,'1990-10-07 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431239934495112131027047',10132,'1022',51.01,1,3,NULL),(25,6303153,'1992-09-08 00:00:00',2,1,12,2009,'F','N','GUAIÚBA','IMBITUBA','SC','124241241116272431423619391324610134147',NULL,'359',39.93,1,2,1),(25,6303161,'1993-06-06 00:00:00',4,7,12,2010,'F','N','MENINO DEUS','JOAÇABA','SC','124241241115371431326329382122610122052',NULL,'341',0.00,1,3,NULL),(25,6303170,'1994-01-07 00:00:00',4,1,12,2010,'M','N','CENTRO','AURORA','SC','124241241114151431533833585211610117147',18993,'40',32.37,1,2,1),(25,6303188,'1989-04-21 00:00:00',2,1,2,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201241136574431335529575124610133097',15759,'267',42.50,1,2,1),(25,6303196,'1992-11-25 00:00:00',4,8,12,2010,'F','N','RIO DA LUZ','JARAGUÁ SUL','SC','124111241135271731433639345224610167172',NULL,'425',0.00,4,2,1),(25,6303200,'1992-07-30 00:00:00',4,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241225131431328924346234610122097',NULL,'262',0.00,1,3,NULL),(25,6303226,'1990-08-14 00:00:00',2,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','124241248132131431424421282124610134052',NULL,'412',28.36,4,3,NULL),(25,6303234,'1991-06-21 00:00:00',4,8,12,2008,'M','N','VL IPIRANGA','LONDRINA','PR','116161161416571741548724275125610162177',4471,'9998',60.13,1,3,NULL),(25,6303242,'1989-04-05 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','224152151216272431246653485124610132047',16770,'9998',37.89,1,3,NULL),(25,6303250,'1993-07-22 00:00:00',4,1,12,2010,'F','N','PARQUE SÃO JORGE','FRANCA','SP','125252251217111711338811575112610145147',NULL,'9998',0.00,1,3,NULL),(25,6303269,'1982-11-17 00:00:00',2,7,12,1999,'M','N','INTERIOR','ABDON BATISTA','SC','124241241115151431423316375222610126042',18878,'1',31.08,1,2,1),(25,6303285,'1994-02-14 00:00:00',4,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431358811575111610112055',NULL,'272',0.00,1,3,NULL),(25,6303293,'1992-02-10 00:00:00',2,1,12,2010,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241147371441435314271224610128042',13160,'295',42.05,1,2,1),(25,6303307,'1993-01-12 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241216472531338739575124610136187',NULL,'9997',35.12,1,3,NULL),(25,6303323,'1995-01-31 00:00:00',4,9,12,2011,'F','S','SANTA HELENA','LAGES','SC','124242241235111411368929575122610134012',NULL,'499',19.86,1,3,NULL),(25,6303331,'1993-02-18 00:00:00',4,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124241243215271451422912272124610163112',NULL,'494',13.75,1,3,NULL),(25,6303340,'1993-03-02 00:00:00',2,6,11,2010,'M','N','CORDEIROS','ITAJAÍ','SC','124241241117271431636413575124610117047',19222,'396',31.39,1,2,1),(25,6303358,'1992-10-19 00:00:00',4,17,12,2010,'M','N','VILA CLEMENTINA','MAFRA','SC','124242161117271441469812575122610164012',NULL,'9998',0.00,1,3,NULL),(25,6303366,'1993-12-30 00:00:00',2,8,12,2010,'M','N','VILA RAU','JARAGUÁ SUL','SC','124241241145141231436612292221610167187',16634,'425',36.97,1,2,1),(25,6303374,'1994-01-30 00:00:00',2,7,12,2010,'M','N','SÃO VICENTE','HERVAL D OESTE','SC','124242241215111431326619492212610164042',15473,'962',37.88,1,3,NULL),(25,6303382,'1992-11-04 00:00:00',2,1,12,2010,'F','N','BAIRRO LUZ','S PAULO','SP','125252251216151431437933575122610123052',17968,'9998',35.37,1,3,NULL),(25,6303390,'1992-02-24 00:00:00',2,1,12,2009,'M','N','JOAIA','TIJUCAS','SC','124241241115161431433314492121610162142',11664,'783',48.65,1,2,1),(25,6303404,'1990-08-02 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241214273431569832422122231024142',NULL,'262',36.92,1,3,NULL),(25,6303412,'1994-02-23 00:00:00',4,4,11,2010,'M','N','ALTO ALEGRE','CASCAVEL','PR','116162161217111231436632575122610134042',6887,'9998',53.73,1,3,NULL),(25,6303420,'1990-03-05 00:00:00',2,3,11,2007,'F','N','ALTO DA SAUDADE','ARAÇATUBA','SP','125254251217471431589912445122610121181',NULL,'9998',0.00,1,3,NULL),(25,6303439,'1994-05-01 00:00:00',4,7,12,2010,'F','N','INTERIOR','HERVAL D OESTE','SC','124241241135141431423616195224610134057',NULL,'341',14.43,1,2,1),(25,6303447,'1993-06-18 00:00:00',2,15,12,2010,'F','N','TURVO BAIXO','TURVO','SC','124241241115371411433416372124610162047',6815,'814',53.42,1,2,1),(25,6303455,'1990-07-15 00:00:00',2,1,12,2008,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124251258117131221521324285124142534047',NULL,'257',0.00,2,1,1),(25,6303463,'1991-08-17 00:00:00',2,1,12,2010,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244241127141431428643142134610133032',21254,'257',29.72,1,3,NULL),(25,6303471,'1993-03-09 00:00:00',2,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124243244115371431325619375125610118097',17723,'239',34.48,1,3,NULL),(25,6303480,'1993-08-18 00:00:00',2,2,12,2010,'F','N','CENTRO','BENEDITO NOVO','SC','124241241415111531658334575124610134057',NULL,'1157',0.00,1,3,NULL),(25,6303501,'1990-04-27 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241135371331426313245124610137047',20714,'307',28.02,1,2,1),(25,6303510,'1992-06-08 00:00:00',2,1,12,2008,'F','N','BUTANTÃ','S PAULO','SP','125164161215571731546831475124610167013',NULL,'9998',0.00,1,3,NULL),(25,6303528,'1993-11-19 00:00:00',4,8,11,2010,'M','N','ELIANE','GUARATUBA','PR','116164241215161411466931575112610161055',6217,'459',55.67,1,3,NULL),(25,6303536,'1989-10-02 00:00:00',4,1,12,2006,'F','N','PONTE DE IMARUIM','PALHOÇA','SC','124243241111272431426673242234610137142',18420,'739',38.08,1,3,NULL),(25,6303544,'1992-07-03 00:00:00',2,10,12,2010,'M','N','CENTRO','BOM JD SERRA','SC','124241241117132451626823592124610127047',18677,'856',33.43,1,2,1),(25,6303560,'1994-02-11 00:00:00',4,4,12,2010,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124242241215131722546672246222610143092',NULL,'1021',30.25,2,1,2),(25,6303587,'1991-04-20 00:00:00',4,1,12,2008,'F','N','JARDIM SATELITE','S JOSÉ CAMPOS','SP','125252251216571731458814575112610168193',6018,'9998',54.91,1,3,NULL),(25,6303595,'1994-09-03 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215131432428614575121610164057',12273,'738',43.46,1,3,NULL),(25,6303609,'1988-12-14 00:00:00',4,2,12,2005,'M','N','ÁGUA VERDE','BLUMENAU','SC','124241241137131441333511385124131268061',11082,'73',49.55,1,2,1),(25,6303625,'1991-03-08 00:00:00',4,1,11,2008,'M','N','VILA IRACEMA','S JOSÉ CAMPOS','SP','125222251215572431478811471115610124052',1783,'9998',69.70,1,3,NULL),(25,6303641,'1993-01-15 00:00:00',4,1,12,2010,'M','N','ALTO DA LAPA','S PAULO','SP','125252251217321431579934275122610127052',7335,'9998',51.87,1,3,NULL),(25,6303650,'1993-09-17 00:00:00',4,2,10,2010,'M','N','VILA FORMOSA','BLUMENAU','SC','124242241215271231579614575122610167042',3730,'855',63.99,1,3,NULL),(25,6303668,'1991-06-07 00:00:00',2,4,12,2008,'M','N','CENTRO','NOVA AURORA','PR','116161161116471731323621585323610147052',14897,'9998',43.83,1,2,1),(25,6303676,'1993-04-16 00:00:00',4,8,12,2010,'F','N','CHÁCARA GALEGA','PINDAMONHANGABA','SP','125251251116471431346823575125610166197',15742,'9998',36.98,1,3,NULL),(25,6303684,'1992-12-01 00:00:00',4,1,12,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241232142751335719285121610121137',19682,'1075',35.41,1,3,NULL),(25,6303692,'1993-06-23 00:00:00',2,15,11,2010,'F','N','CENTRO','STA ROSA SUL','SC','124241241217132431239921572124610131097',4286,'26',59.99,1,3,NULL),(25,6303714,'1986-09-11 00:00:00',4,1,9,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202207436231411339612245114142812097',16689,'9998',41.09,1,3,NULL),(25,6303722,'1993-07-08 00:00:00',2,4,12,2010,'M','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124241161113271431236923372125610132172',NULL,'9998',24.80,1,3,NULL),(25,6303730,'1992-09-02 00:00:00',4,8,12,2009,'F','N','AMIZADE','JARAGUÁ SUL','SC','124241248215472431448814575122610143092',19999,'424',34.58,1,3,NULL),(25,6303757,'1986-06-27 00:00:00',4,1,12,2004,'F','N','BREHMER','RIO SUL','SC','124241248116131421443323445123231026142',NULL,'659',0.00,1,3,NULL),(25,6303765,'1992-12-31 00:00:00',4,1,12,2010,'M','N','PRADO','BIGUAÇU','SC','124241241116271431533334185121610167017',20819,'65',31.87,1,2,1),(25,6303773,'1992-07-25 00:00:00',4,1,12,2009,'M','N','PETRÓPOLIS','PASSO FUNDO','RS','120202201216471431346733275124610161122',2844,'9998',64.27,1,3,NULL),(25,6303781,'1993-09-28 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241117111432436624575124610113142',20926,'1022',31.38,4,3,NULL),(25,6303790,'1990-05-17 00:00:00',4,1,12,2008,'M','N','NS SENHORA APARECID','PAULÍNIA','SP','125254251217471431468832395122610164041',12515,'9998',43.00,4,3,NULL),(25,6303803,'1993-12-28 00:00:00',4,1,12,2010,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111431488811572112610124182',NULL,'270',0.00,1,3,NULL),(25,6303811,'1993-05-11 00:00:00',4,16,12,2010,'M','N','CENTRO','S CRISTÓVÃO SUL','SC','124241241121141511436612345131610157057',NULL,'239',0.00,1,2,1),(25,6303820,'1988-12-15 00:00:00',4,2,12,2006,'M','N','AZAMBUJA','BRUSQUE','SC','124241241137131431426564385123133231057',NULL,'115',0.00,1,2,1),(25,6303838,'1993-05-27 00:00:00',4,1,11,2010,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091215111431368814395122610162147',7454,'9998',51.83,1,3,NULL),(25,6303846,'1993-12-21 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116152751343933575124221466192',4816,'619',61.28,1,2,1),(25,6303862,'1991-11-27 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241136333721436544242134610122147',19757,'307',29.83,1,2,1),(25,6303870,'1993-08-20 00:00:00',2,4,12,2010,'M','N','INTERIOR','S MIGUEL B VISTA','SC','124241221124151331433336252124610117042',19663,'1015',32.13,1,2,1),(25,6303889,'1992-08-12 00:00:00',2,1,12,2010,'F','N','CHACARA FLORA','LINS','SP','125252258217121731559913395122610118193',NULL,'9998',0.00,1,3,NULL),(25,6303897,'1993-04-30 00:00:00',4,7,11,2010,'M','N','CENTRO','JOAÇABA','SC','124242241215371431466613575122610167052',6915,'446',53.44,1,3,NULL),(25,6303900,'1994-05-05 00:00:00',4,2,2,2011,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241217111432345432372122610164012',NULL,'909',12.19,1,3,NULL),(25,6303919,'1990-12-27 00:00:00',4,1,12,2008,'M','N','JARDIM GAPORE','MARINGÁ','PR','116162161216571431458831575122610167122',10452,'9998',45.56,3,3,NULL),(25,6303927,'1993-10-20 00:00:00',2,1,12,2010,'F','N','CENTRO','ROSÁRIO SUL','RS','116201161617131431326619595122610111187',20090,'9998',29.45,1,3,NULL),(25,6303935,'1992-10-08 00:00:00',4,1,12,2010,'F','N','ARIRIU','PALHOÇA','SC','124244241115131431516624575124610168117',NULL,'772',22.74,1,3,NULL),(25,6303943,'1991-02-24 00:00:00',2,9,11,2008,'M','N','CENTRO','LAGES','SC','124241248316572431343812275122610134012',16632,'498',41.19,1,3,NULL),(25,6303951,'1987-10-03 00:00:00',4,3,12,2004,'M','N','RURAL','IRACEMA OESTE','PR','116161161126271731521216182324143227067',NULL,'9998',19.23,4,1,1),(25,6303960,'1993-07-07 00:00:00',4,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124242241215131432446313472122610167143',20517,'1078',33.07,5,3,NULL),(25,6303978,'1993-02-28 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124241241115471131446934575112610131057',14498,'239',40.09,1,2,1),(25,6303986,'1993-06-06 00:00:00',4,1,12,2010,'M','N','NOVA SUÍÇA','GOIÂNIA','GO','109092091215111431679813575122610126172',5947,'9998',56.17,4,3,NULL),(25,6303994,'1994-04-14 00:00:00',4,4,11,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241217272431466834572122610167092',5290,'185',56.65,1,3,NULL),(25,6304001,'1993-01-25 00:00:00',2,16,12,2010,'M','N','NOSSA SENHORA AP','CURITIBANOS','SC','124241244115371431326623435122610118147',18767,'239',30.89,4,2,1),(25,6304010,'1993-08-28 00:00:00',4,8,12,2010,'M','N','CENTRO','CURITIBA','PR','116163161317471431438314575124610127042',18624,'9998',32.45,2,1,2),(25,6304028,'1992-02-13 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116272431344413342334610128142',NULL,'732',33.16,1,2,1),(25,6304036,'1992-04-08 00:00:00',3,1,12,2009,'M','N','SERRA','BELO HORIZONTE','MG','113132133211371431359921391114610134182',6805,'9998',53.27,4,3,NULL),(25,6304044,'1989-03-28 00:00:00',4,1,11,2008,'F','N','CENTRO','GAROPABA','SC','124171241146141412121312325131610136182',NULL,'322',33.59,4,3,NULL),(25,6304052,'1990-03-01 00:00:00',4,8,12,1997,'F','N','ATIRADORES','JOINVILLE','SC','124241241137331431334723575122140227147',NULL,'465',4.50,1,2,1),(25,6304060,'1992-09-10 00:00:00',4,5,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241216472431448714575122610168197',7296,'213',54.04,1,3,NULL),(25,6304087,'1992-03-27 00:00:00',2,1,12,2009,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241116272451513315155124610161057',20219,'65',34.01,1,2,1),(25,6304095,'1993-06-25 00:00:00',4,8,12,2010,'F','N','CHICO DE PAULA','JARAGUÁ SUL','SC','124241241137141311536823491124610127142',NULL,'425',21.64,1,2,1),(25,6304109,'1993-01-11 00:00:00',4,4,12,2010,'F','N','BAIRRO','CHAPECÓ','SC','124241241142271411459933575124610164097',NULL,'169',20.14,4,2,1),(25,6304117,'1993-05-05 00:00:00',4,2,12,2010,'M','N','STEFFEN','BRUSQUE','SC','124242241215272421336514575122610134177',7111,'107',53.92,1,3,NULL),(25,6304125,'1994-12-21 00:00:00',4,4,12,2010,'M','N','SANTA MARIA','CHAPECÓ','SC','124242241217151221269823432122610124097',NULL,'185',25.33,1,3,NULL),(25,6304133,'1991-02-24 00:00:00',2,8,12,2008,'M','N','JARDIM MONTE CARLOS','MARINGÁ','PR','116164161216471731333611335123610126052',14387,'9998',44.60,4,3,NULL),(25,6304150,'1993-03-21 00:00:00',2,7,12,2010,'F','N','SANTO ANTÔNIO','HERVAL D OESTE','SC','124241241216271411346512575122610123142',3472,'962',62.90,1,3,NULL),(25,6304206,'1991-10-12 00:00:00',4,1,12,2008,'F','N','RIO FARIAS','ANTÔNIO CARLOS','SC','124241241116133431423335572224233223072',NULL,'21',34.93,1,2,1),(25,6304222,'1992-04-18 00:00:00',2,1,12,2009,'M','N','SANTA CATARINA','CAXIAS SUL','RS','120202201217471711558832325122610127042',4095,'9998',60.20,1,3,NULL),(25,6304230,'1993-11-28 00:00:00',2,1,11,2010,'F','N','CENTRO','AMPÉRE','PR','116163161217371431446622575122610115142',19914,'9998',34.83,1,3,NULL),(25,6304249,'1995-01-11 00:00:00',4,4,12,2011,'F','S','CENTRO','CEL FREITAS','SC','124242241215121431489932575122210168096',NULL,'185',12.52,1,3,NULL),(25,6304265,'1994-07-14 00:00:00',4,8,12,2011,'F','S','IPEROBA','S FRANCISCO SUL','SC','124241241217161331426614375124610128147',NULL,'992',11.88,1,3,NULL),(25,6304273,'1993-04-01 00:00:00',4,2,12,2010,'M','N','CONTINENTAL','GUARARAPES','SP','125252251216111432456719575111610164017',21530,'9998',27.62,1,3,NULL),(25,6304281,'1988-01-21 00:00:00',2,1,12,2004,'M','N','CENTRO','STA MARIA','RS','120201201117572431558813475115142467047',NULL,'9998',0.00,1,2,1),(25,6304290,'1992-04-18 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217131431326813474124610123187',NULL,'951',37.00,1,3,NULL),(25,6304303,'1994-03-29 00:00:00',2,1,12,2011,'F','S','CENTRO','STO AMARO IMPERATRIZ','SC','124244241215111311533612575124610125032',NULL,'1011',0.00,1,3,NULL),(25,6304311,'1992-05-02 00:00:00',4,1,12,2010,'M','N','PIO X','CAXIAS SUL','RS','120202201217471531468831475124610167097',3011,'9998',63.40,1,3,NULL),(25,6304320,'1989-08-16 00:00:00',4,1,12,2007,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241115272431379921476121121662136',NULL,'267',0.00,4,2,1),(25,6304338,'1992-11-02 00:00:00',4,1,11,2010,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241217111431389923572124610133187',8211,'270',52.31,1,3,NULL),(25,6304346,'1988-03-27 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624161161416131441327944345235143264191',18936,'9998',37.05,1,3,NULL),(25,6304354,'1986-12-01 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','224243247437434431326559115122610166147',15315,'270',43.21,1,3,NULL),(25,6304362,'1993-12-25 00:00:00',2,7,12,2010,'F','N','CENTRO','ÁGUA DOCE','SC','124241241135271732356834245124610144057',16647,'539',35.62,1,2,1),(25,6304370,'1991-08-09 00:00:00',4,6,11,2008,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241215113431357632575122231067062',NULL,'392',22.96,1,3,NULL),(25,6304389,'1991-03-28 00:00:00',4,5,12,2008,'M','N','SANTA LUZIA','CRICIÚMA','SC','124244243216152741456332445134132866181',NULL,'995',0.00,1,3,NULL),(25,6304397,'1987-03-27 00:00:00',2,4,12,2008,'M','N','INTERIOR','CEL MARTINS','SC','124241248127171431431135352323233237067',NULL,'200',0.00,1,2,1),(25,6304400,'1990-05-15 00:00:00',4,8,12,2007,'M','N','JARDIM PARATI','MARÍLIA','SP','125252251217471521335821475122610138092',NULL,'9998',0.00,1,3,NULL),(25,6304419,'1992-10-14 00:00:00',4,15,12,2009,'F','N','CENTRO','SOMBRIO','SC','124241242116111431423733112124610124142',20283,'690',33.81,1,2,1),(25,6304427,'1993-03-13 00:00:00',2,5,12,2010,'F','N','COMERCIARIO','CRICIÚMA','SC','124241241135131731423324382124610123017',NULL,'209',0.00,1,2,1),(25,6304435,'1990-01-19 00:00:00',2,1,12,2007,'F','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','124241241117372411323311282224610126017',13731,'288',45.58,1,2,1),(25,6304443,'1994-02-09 00:00:00',2,8,11,2010,'F','N','LA SALLE','PATO BRANCO','PR','116162161216121431447932345122610162182',NULL,'9998',0.00,1,3,NULL),(25,6304451,'1993-01-08 00:00:00',4,1,12,2010,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241216111411369512271124610167095',19815,'270',35.11,1,3,NULL),(25,6304460,'1993-10-31 00:00:00',4,7,12,2010,'M','N','BOA VISTA','JOAÇABA','SC','124241241217111411349833574124610167012',16365,'446',36.38,1,3,NULL),(25,6304478,'1990-02-27 00:00:00',4,8,12,2008,'M','N','GLÓRIA','JOINVILLE','SC','124242241212512411559711575122130247092',6371,'9997',55.88,1,3,NULL),(25,6304486,'1993-12-04 00:00:00',4,7,10,2010,'F','N','FLOR DA SERRA','JOAÇABA','SC','124241241316111421323439275125610134147',15391,'454',43.07,4,1,2),(25,6304494,'1993-04-12 00:00:00',4,4,12,2010,'M','N','CENTRO','S MIGUEL OESTE','SC','124244246217111432445631385124610134042',15558,'1179',42.82,1,3,NULL),(25,6304508,'1994-12-01 00:00:00',4,1,12,2011,'M','S','CENTRO','CASCAVEL','PR','116164161217111411458833345122610162147',NULL,'9998',13.57,1,3,NULL),(25,6304516,'1981-06-08 00:00:00',4,1,11,1998,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212274711258839432124331062127',NULL,'806',34.78,1,3,NULL),(25,6304524,'1992-08-25 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215473431437513575122610127142',19139,'1022',36.67,1,3,NULL),(25,6304532,'1993-08-03 00:00:00',4,6,11,2010,'F','N','CENTRO','ITAJAÍ','SC','124163241217111431467511246125610128192',13108,'392',41.58,1,3,NULL),(25,6304540,'1993-04-20 00:00:00',4,7,12,2010,'M','N','INTERIOR','ABDON BATISTA','SC','124241242115111431423319195222610126042',14895,'8',38.57,1,2,1),(25,6304559,'1986-05-28 00:00:00',2,1,6,2005,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124221227126131111122449495314641237047',16226,'9998',41.81,5,2,1),(25,6304567,'1979-12-04 00:00:00',2,1,12,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241244146233751115679115334610126147',NULL,'306',23.94,2,1,1),(25,6304575,'1990-10-08 00:00:00',2,3,11,2008,'M','N','COHAB','OURINHOS','SP','125252251216572431548834575122610117052',12911,'9998',41.36,4,3,NULL),(25,6304583,'1970-08-20 00:00:00',4,1,12,1992,'F','N','TRINDADE','FLORIANÓPOLIS','SC','524241241127135731226649495122610126182',NULL,'298',35.86,1,3,NULL),(25,6304591,'1990-04-05 00:00:00',2,1,12,2008,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124244241217131132235623385124610157043',18846,'9997',37.25,1,3,NULL),(25,6304605,'1993-04-01 00:00:00',4,2,11,2010,'M','N','VILA NOVA','BLUMENAU','SC','124204241235121331365619595124613217072',6366,'855',54.40,1,3,NULL),(25,6304613,'1991-06-15 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124204201417573431128714376214610164017',4158,'9998',62.90,1,3,NULL),(25,6304621,'1976-06-07 00:00:00',2,1,7,1998,'M','N','PASSA VITNE','PALHOÇA','SC','124241248426132712324419285124610115147',NULL,'596',9.75,4,1,2),(25,6304630,'1993-03-11 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241117371531437611392334610122141',18980,'307',30.51,1,3,NULL),(25,6304648,'1993-02-21 00:00:00',4,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124242241215271431225624472125610123182',NULL,'962',0.00,1,3,NULL),(25,6304656,'1986-01-25 00:00:00',2,1,12,2003,'F','N','INGLESES','FLORIANÓPOLIS','SC','224244241217373731233354472124521521077',NULL,'988',0.00,1,3,NULL),(25,6304664,'1992-06-10 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473432258813576314610124042',835,'270',75.03,1,3,NULL),(25,6304672,'1981-08-18 00:00:00',4,1,11,1998,'F','N','SAO SEBASTIÃO','PALHOÇA','SC','224241241437471421226354411124333222027',12536,'809',42.52,1,3,NULL),(25,6304680,'1994-05-16 00:00:00',4,8,11,2010,'F','N','CENTRO','BARRA VELHA','SC','124241241116161431224321575124610134072',16901,'57',34.65,1,3,NULL),(25,6304699,'1993-09-03 00:00:00',2,8,11,2010,'M','N','CENTRO','SCHROEDER','SC','124242241217151711466832575115610134143',5446,'1061',57.34,1,3,NULL),(25,6304702,'1993-12-14 00:00:00',2,7,11,2010,'F','N','CENTRO','IOMERÊ','SC','124241241215211431444832575111610163147',NULL,'829',0.00,1,3,NULL),(25,6304737,'1990-06-02 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241243215573451439431384124610165017',10632,'1105',47.14,4,3,NULL),(25,6304745,'1992-01-13 00:00:00',4,6,12,2009,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241215574411438814575122610165187',3623,'392',62.56,1,3,NULL),(25,6304753,'1993-10-09 00:00:00',2,3,12,2010,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124241241115271731321318575123610135187',19019,'51',32.17,1,2,1),(25,6304788,'1992-09-29 00:00:00',4,16,12,2009,'M','N','CENTRO','STA CECÍLIA','SC','124241241115271431226424275125131067017',15767,'512',37.80,1,2,1),(25,6304796,'1991-07-08 00:00:00',2,1,12,2008,'F','N','JOSÉ BONIFÁCIO','ERECHIM','RS','120201201115271431228623572124610117147',NULL,'9998',34.88,1,3,NULL),(25,6304800,'1989-01-12 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241215573231235623575124121464182',2676,'270',66.91,1,3,NULL),(25,6304818,'1993-02-14 00:00:00',2,8,11,2010,'F','N','ÁGUA BRANCA','S FRANCISCO SUL','SC','124244241215121431456723575114610167077',14406,'1016',40.22,1,3,NULL),(25,6304826,'1993-06-18 00:00:00',2,1,12,2011,'F','S','EUGÊNIO SCHNEIDER','RIO SUL','SC','124242242117151731439613572122610122142',NULL,'1222',38.97,1,3,NULL),(25,6304834,'1989-02-05 00:00:00',4,1,7,2006,'F','N','CENTRO','CPO GRANDE','MS','112124121117571411468831595122141444037',NULL,'9998',0.00,4,3,NULL),(25,6304869,'1993-05-31 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241315131431436513242114610115097',20319,'1022',29.21,1,3,NULL),(25,6304877,'1991-08-20 00:00:00',2,1,11,2009,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243241217472331228721395124610162111',10141,'1022',51.09,1,3,NULL),(25,6304885,'1977-03-30 00:00:00',2,1,12,1996,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126372431123344245124610131047',15536,'9997',42.85,1,2,1),(25,6304893,'1989-01-22 00:00:00',4,1,12,2006,'M','N','BELA VISTA','S JOSÉ','SC','124242241217251431336624345114131017047',12046,'809',44.32,1,3,NULL),(25,6304907,'1982-02-03 00:00:00',4,1,12,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201207227132441323644445124610132187',NULL,'9998',30.46,1,3,NULL),(25,6304915,'1980-06-22 00:00:00',2,1,12,1997,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124254251116134431126344245124610147117',NULL,'9998',0.00,1,3,NULL),(25,6304923,'1989-07-21 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241111133421336621245124610127112',19062,'307',36.82,2,2,1),(25,6304931,'1992-08-27 00:00:00',4,1,12,2010,'F','N','RESBARÃODOCAFÉ','CAMPINAS','SP','125252251215112441478934275122610141142',4071,'9998',62.48,1,3,NULL),(25,6304940,'1993-08-09 00:00:00',2,1,12,2010,'F','N','MATO QUEIMADO','NOVA TRENTO','SC','124241241147131431339913572124610134147',13209,'574',42.43,1,2,1),(25,6304958,'1990-04-02 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241247337131531335624345125610144114',21303,'9999',29.44,4,3,NULL),(25,6304966,'1991-09-28 00:00:00',4,6,12,2010,'F','N','MORRETES','ITAPEMA','SC','124201241146131731523639575122610126182',NULL,'405',33.05,1,2,1),(25,6304974,'1991-03-29 00:00:00',4,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124243241217572431459834575124610134097',2196,'1063',65.40,1,3,NULL),(25,6304990,'1985-05-25 00:00:00',4,3,12,2002,'F','N','RONDINHA','CPO LARGO','PR','116161161216575741446621444114610122032',886,'9998',74.41,1,3,NULL),(25,6305008,'1991-06-26 00:00:00',2,1,12,2009,'M','N','ARIRIÚ','PALHOÇA','SC','124241241117131731426411241124610147122',21078,'116',30.77,1,3,NULL),(25,6305016,'1980-05-14 00:00:00',2,1,11,1999,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124202201217471451116641215321142238111',NULL,'9998',29.65,1,3,NULL),(25,6305024,'1992-05-20 00:00:00',2,1,12,2010,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','124242241215111411428834385114610118041',12240,'1048',47.78,1,3,NULL),(25,6305032,'1994-12-29 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111451338623572122610122092',13694,'723',45.64,1,3,NULL),(25,6305040,'1993-11-30 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','116161161137471711234329276224610117187',10553,'9998',46.72,4,1,1),(25,6305059,'1993-03-12 00:00:00',4,6,10,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242248215112311478832574122610121042',NULL,'1038',0.00,1,3,NULL),(25,6305067,'1993-03-26 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215421431388834445122610167072',18458,'270',32.70,1,3,NULL),(25,6305083,'1995-01-13 00:00:00',4,1,11,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111411655814142124610127052',NULL,'1023',11.29,1,3,NULL),(25,6305091,'1992-01-19 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241211133531436731572124222722192',NULL,'868',18.06,1,3,NULL),(25,6305105,'1988-10-18 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124212211217271441248512575124243267052',18580,'9998',34.52,1,3,NULL),(25,6305113,'1986-09-19 00:00:00',4,1,12,2003,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124113111316133431236723482114122935152',13156,'9998',46.39,4,3,NULL),(25,6305148,'1992-01-31 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241117471431458333575124610123142',11370,'307',46.33,4,2,1),(25,6305156,'1992-06-24 00:00:00',4,8,12,2009,'M','N','BOM RETIRO','JOINVILLE','SC','124241241245472431129923285114231464052',800,'1173',75.09,1,3,NULL),(25,6305164,'1993-01-06 00:00:00',2,4,12,2010,'M','N','JARDIM GISELA','TOLEDO','PR','116161161137111431453931575111610127062',NULL,'9998',0.00,1,2,1),(25,6305180,'1991-09-18 00:00:00',2,1,12,2008,'F','N','CAMPO D UNA','GAROPABA','SC','124241241135573721435639575122142547187',NULL,'1136',19.76,1,2,1),(25,6305199,'1994-07-17 00:00:00',2,9,12,2010,'F','N','COOPERCAMPOS','ANITA GARIBALDI','SC','124243241115131431436923572322610122052',NULL,'18',0.00,1,3,NULL),(25,6305202,'1993-06-22 00:00:00',2,16,12,2010,'F','N','CENTRO','MTE CARLO','SC','124241241117371431313423572224610164192',13415,'936',46.05,4,2,1),(25,6305210,'1993-11-14 00:00:00',2,1,10,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242248215111731646511575121610167082',NULL,'1169',16.92,1,3,NULL),(25,6305229,'1990-12-10 00:00:00',2,1,12,2009,'M','N','JD IMPERIAL','SINOP','MT','111114111427121431333614315123242864032',NULL,'9998',31.21,1,3,NULL),(25,6305237,'1994-03-04 00:00:00',4,5,12,2011,'M','S','PIO CORREA','CRICIÚMA','SC','124242241216111431589914275122610124122',NULL,'226',52.12,1,3,NULL),(25,6305253,'1988-07-03 00:00:00',2,1,12,2005,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091216571411445514445122610117046',NULL,'9998',0.00,1,3,NULL),(25,6305261,'1992-01-12 00:00:00',2,5,11,2009,'M','N','PINHEIRINHO','CRICIÚMA','SC','124242246216131431438613445124610167041',7250,'995',56.26,1,3,NULL),(25,6305288,'1994-03-18 00:00:00',4,8,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241216161431358824576122610144142',13700,'424',45.63,1,3,NULL),(25,6305300,'1993-03-12 00:00:00',4,1,12,2010,'M','N','CENTRO','IMARUÍ','SC','124241241147161411523319595124610114177',19463,'356',29.94,4,2,1),(25,6305318,'1992-08-18 00:00:00',4,1,11,2010,'M','N','BELA VISTA','GOIÂNIA','GO','109092091216111421358914571122610164052',5667,'9998',54.48,1,3,NULL),(25,6305342,'1992-03-03 00:00:00',4,8,12,2009,'M','N','LIBERDADE','S PAULO','SP','125252251216471411658834375124610162051',1858,'9998',67.33,4,3,NULL),(25,6305350,'1994-01-06 00:00:00',2,7,11,2010,'F','N','CINQUENTENÁRIO','CONCÓRDIA','SC','124244248216112731459714575124610161142',18772,'1001',31.62,1,3,NULL),(25,6305377,'1992-09-03 00:00:00',2,1,11,2010,'M','N','SÃO RAFAEL','RIO NEGRINHO','SC','124241241135141431234324395124610134017',15219,'669',39.56,1,2,1),(25,6305385,'1993-03-23 00:00:00',4,8,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124241241417121431566933575122610123112',NULL,'442',20.63,1,3,NULL),(25,6305393,'1991-12-16 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241137131111224724341224610122097',NULL,'182',22.65,1,3,NULL),(25,6305407,'1990-07-31 00:00:00',4,1,12,2009,'M','N','JD CIDADE FPOLIS','S JOSÉ','SC','124241247126141431434623345124230824062',19561,'9999',29.69,2,1,1),(25,6305415,'1993-02-12 00:00:00',4,5,11,2010,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215112431347721311122610164077',15267,'226',43.30,1,3,NULL),(25,6305423,'1989-07-27 00:00:00',2,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241247437132411626644345124610137042',15855,'9999',42.38,1,3,NULL),(25,6305431,'1993-04-03 00:00:00',1,4,12,2010,'M','N','CENTRO','ITAPIRANGA','SC','124241241125231431524334245125610153147',NULL,'412',0.00,1,3,NULL),(25,6305440,'1994-07-18 00:00:00',4,5,11,2010,'F','N','PIO CORRÊA','CRICIÚMA','SC','124242241217111431458812422112610124122',NULL,'211',41.80,1,3,NULL),(25,6305466,'1992-02-17 00:00:00',4,1,5,2010,'M','N','CENTRO','S ROQUE','SP','125252251217271431468811275112610167114',15299,'9998',38.45,1,3,NULL),(25,6305482,'1983-02-03 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','224241241137141421446644245112130267057',NULL,'69',0.00,1,2,1),(25,6305490,'1990-05-29 00:00:00',4,1,11,2010,'F','N','CENTRO','PALHOÇA','SC','124241241121141321635312241322610122112',21529,'591',27.63,1,3,NULL),(25,6305512,'1992-06-21 00:00:00',4,3,12,2009,'F','N','DOM PEDRO','LONDRINA','PR','116162161216411731456822572122610117127',NULL,'9998',0.00,1,3,NULL),(25,6305520,'1991-04-25 00:00:00',4,8,12,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161211572431549933591114610133192',1889,'9998',68.20,1,3,NULL),(25,6305539,'1993-09-28 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111411467812571115610144042',9926,'270',47.83,1,3,NULL),(25,6305547,'1984-08-11 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624203121316141721338849495124541524142',8992,'9998',53.06,1,3,NULL),(25,6305555,'1993-02-24 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431389912472112610116046',NULL,'262',33.06,1,3,NULL),(25,6305580,'1989-05-14 00:00:00',2,1,12,2006,'F','N','KOBRASOL','S JOSÉ','SC','124243241217475431558813475124610122072',14958,'737',43.75,1,3,NULL),(25,6305598,'1992-02-04 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL PIÇARRAS','SC','124242241216372431286942425122610142012',11918,'1026',48.30,1,3,NULL),(25,6305601,'1993-05-01 00:00:00',4,1,12,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124244241215221551437719572112610161042',15396,'299',43.06,1,3,NULL),(25,6305610,'1993-10-10 00:00:00',4,1,12,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241117371431538621572124610114047',20072,'307',34.38,1,3,NULL),(25,6305644,'1992-07-13 00:00:00',2,1,12,2008,'M','N','MARISCAL','BOMBINHAS','SC','124241241114131411428621371324133261177',NULL,'96',0.00,1,2,1),(25,6305660,'1992-07-21 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215372232356613275114610167052',19605,'868',35.56,1,3,NULL),(25,6305679,'1991-03-28 00:00:00',4,1,12,2008,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241415112711236623496214610122042',16100,'300',35.51,1,3,NULL),(25,6305687,'1993-06-19 00:00:00',4,4,12,2010,'F','N','CENTRO','CEL MARTINS','SC','124241241137161531423926592112610167057',NULL,'200',18.85,1,2,1),(25,6305695,'1992-01-20 00:00:00',4,16,12,2009,'M','N','CENTRO','CURITIBANOS','SC','124241241117273431568933575122610127052',13740,'239',45.57,1,2,1),(25,6305717,'1991-06-07 00:00:00',2,9,12,2008,'M','N','CENTRO','MIRIM DOCE','SC','124241241127131721353619235122133262142',NULL,'560',0.00,1,3,NULL),(25,6305725,'1993-12-13 00:00:00',4,1,12,2010,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241117151311443664245124610117042',NULL,'307',19.14,4,2,1),(25,6305733,'1994-02-18 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124072241215111731558714575122610124147',NULL,'262',37.36,4,3,NULL),(25,6305750,'1991-06-27 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124251241116132731436619482112141066052',12981,'288',41.06,1,2,1),(25,6305776,'1988-11-14 00:00:00',3,9,12,2005,'M','N','ALTO SUMIDOR','POUSO REDONDO','SC','124241241116163411432335355323332337062',NULL,'640',0.00,1,2,1),(25,6305784,'1992-08-01 00:00:00',2,1,9,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241216272331536434342114610168062',NULL,'300',28.87,1,3,NULL),(25,6305792,'1993-06-06 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124244241417112431456833575122610118142',11492,'738',43.95,1,3,NULL),(25,6305806,'1980-03-24 00:00:00',4,1,12,2002,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124061221416132411114144445334610146197',10737,'9998',50.09,1,3,NULL),(25,6305822,'1987-12-24 00:00:00',4,8,12,2005,'M','N','VILA MARIANA','AMERICANA','SP','125251251116151431456644445124610122042',NULL,'9998',0.00,1,2,1),(25,6305830,'1993-10-02 00:00:00',4,2,12,2010,'F','N','TESTO SALTO','BLUMENAU','SC','124241241315111431424514175124610126192',9044,'87',48.23,1,3,NULL),(25,6305849,'1993-07-16 00:00:00',2,1,12,2010,'M','N','BOMBAS','BOMBINHAS','SC','124282241214111411368611575124610122112',NULL,'9997',0.00,4,3,NULL),(25,6305857,'1984-04-17 00:00:00',2,1,12,2005,'F','N','BELA VISTA L','S JOSÉ','SC','124241241316152731533319491124223213182',13354,'9999',46.14,2,1,2),(25,6305865,'1991-07-10 00:00:00',4,3,11,2008,'M','N','CENTRO','NOVA ANDRADINA','MS','112122121216471431466934575122610137042',8596,'9998',49.02,1,3,NULL),(25,6305873,'1993-06-23 00:00:00',4,16,12,2010,'F','N','JARDIM CANADÁ','VIDEIRA','SC','124241241116371431436318382122610121172',10734,'239',46.42,4,2,1),(25,6305881,'1993-03-07 00:00:00',4,2,12,2009,'F','N','ITOPAVA SECA','BLUMENAU','SC','124241241236152431336522395124231566147',18638,'991',37.67,3,3,NULL),(25,6305890,'1989-10-19 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216474731368931575114221444045',5999,'262',58.76,1,3,NULL),(25,6305903,'1988-01-19 00:00:00',4,1,12,2005,'F','N','AAHÚ','CURITIBA','PR','116161161315574431469613271124143223093',6393,'9998',55.31,4,1,2),(25,6305920,'1994-03-01 00:00:00',2,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124244241617151751447339295112610167057',5438,'1040',57.07,1,3,NULL),(25,6305938,'1994-03-18 00:00:00',2,1,11,2011,'F','S','KOBRASOL','S JOSÉ','SC','624242241215111721228669572122610111147',NULL,'723',21.25,1,3,NULL),(25,6305946,'1991-08-01 00:00:00',4,1,12,2008,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215573431379924574144610127042',3606,'1174',60.66,1,3,NULL),(25,6305970,'1991-09-02 00:00:00',2,1,12,2008,'F','N','CENTRO','PORTÃO','RS','120201201216573751338631572124610125187',6995,'9998',52.87,1,3,NULL),(25,6305997,'1992-11-27 00:00:00',4,1,11,2010,'F','N','JARDIM PORTAL DO SOL','MARÍLIA','SP','125252251216151711459933476122610165022',NULL,'9998',0.00,1,3,NULL),(25,6306004,'1994-01-30 00:00:00',2,10,12,2011,'F','S','CENTRO','BRAÇO NORTE','SC','124243241211141431647329295122610147142',NULL,'102',39.51,4,3,NULL),(25,6306012,'1993-09-14 00:00:00',2,15,12,2010,'F','N','CENTRO','ARARANGUÁ','SC','124243241215111431446632575122610127052',18770,'970',37.41,1,3,NULL),(25,6306020,'1991-12-24 00:00:00',2,4,12,2009,'M','N','CENTRO','DIAMANTE D OESTE','PR','116161161116272431536321575214610124013',8889,'9998',50.37,4,1,1),(25,6306039,'1988-09-16 00:00:00',2,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241137553131469833295124233266141',18830,'288',37.29,1,3,NULL),(25,6306047,'1992-08-16 00:00:00',2,1,12,2009,'F','N','COSTA DA LAGOA','FLORIANÓPOLIS','SC','124241241117471211523111573344610128187',21037,'307',24.90,1,2,1),(25,6306055,'1992-07-05 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241317172431243923575124610166097',18897,'267',37.13,1,3,NULL),(25,6306063,'1988-10-31 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217275111378833395122231067051',NULL,'1022',23.16,1,3,NULL),(25,6306071,'1989-12-15 00:00:00',2,1,12,2006,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241216252741138813375121131964051',10620,'270',50.29,1,3,NULL),(25,6306080,'1994-01-10 00:00:00',2,7,11,2010,'M','N','SANTA TEREZA','JOAÇABA','SC','124242241215371411148712175125610166057',17468,'446',34.33,1,3,NULL),(25,6306098,'1990-03-14 00:00:00',4,1,12,2007,'F','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120202201216572431459931275112610122092',NULL,'9998',0.00,1,3,NULL),(25,6306110,'1987-11-10 00:00:00',4,1,5,2005,'M','N','FLORESTA','S JOSÉ','SC','124241241117132431236618395124130264183',NULL,'739',21.05,1,2,1),(25,6306128,'1991-06-26 00:00:00',2,1,11,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215373231348821572114610162197',8482,'270',50.35,1,3,NULL),(25,6306136,'1991-02-06 00:00:00',4,8,12,2008,'M','N','CENTRO','S FRANCISCO SUL','SC','124241241117161451226679575121610164041',21312,'710',29.35,1,2,1),(25,6306152,'1989-04-18 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241111134431634173432234231067042',NULL,'271',26.79,4,2,1),(25,6306160,'1990-08-18 00:00:00',2,1,12,2007,'F','N','COSTA DA LAGOA','FLORIANÓPOLIS','SC','124241241113573211523111493334610128187',NULL,'307',20.09,1,2,1),(25,6306187,'1994-01-08 00:00:00',4,2,12,2011,'F','S','CENTRO','TIMBÓ','SC','124242241215111411369913594222610166092',NULL,'1157',51.38,1,3,NULL),(25,6306209,'1990-03-01 00:00:00',4,4,12,2007,'M','N','CIDADE NOVA','RIO GRANDE','RS','120202201417571431346823475122610114052',NULL,'9998',0.00,1,3,NULL),(25,6306217,'1993-12-24 00:00:00',4,2,12,2011,'F','S','JARDIM BLUMENAU','BLUMENAU','SC','124242244215111431246922592122610116142',NULL,'909',59.58,1,3,NULL),(25,6306225,'1993-11-15 00:00:00',2,15,12,2010,'M','N','TIMBOPEBA','S JOÃO SUL','SC','124241242117171731434615575122610117042',NULL,'690',19.06,1,3,NULL),(25,6306250,'1991-11-24 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124241248116271431413469572122610136197',NULL,'732',2.37,4,2,1),(25,6306268,'1993-08-11 00:00:00',4,1,12,2010,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241117271431388823576114610166192',12596,'739',41.19,1,3,NULL),(25,6306276,'1993-08-12 00:00:00',4,7,10,2010,'F','N','BIGORRILHO','CURITIBA','PR','116242161215421431269932571124610124122',4351,'9998',58.65,1,3,NULL),(25,6306284,'1992-10-15 00:00:00',4,1,12,2009,'F','N','JD TEXTIL','S PAULO','SP','125252251216471411366823575122610131072',NULL,'9998',0.00,1,3,NULL),(25,6306292,'1956-12-22 00:00:00',3,1,12,1974,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241246126153431343431285122222917142',20291,'306',33.80,1,3,NULL),(25,6306322,'1993-07-24 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241115211431457813575122610112192',NULL,'734',21.10,1,2,1),(25,6306330,'1993-10-21 00:00:00',4,1,12,2010,'F','N','JUVEVÊ','CURITIBA','PR','116162161216471431378933575122610162113',NULL,'9998',0.00,1,3,NULL),(25,6306349,'1993-08-29 00:00:00',4,1,12,2010,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124202243112151331357932472124610142097',21096,'306',30.68,1,3,NULL),(25,6306357,'1989-03-06 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241211152751239823442112131033185',NULL,'1022',30.90,4,3,NULL),(25,6306365,'1992-06-04 00:00:00',4,3,12,2009,'F','N','JD NOVO HORIZONTE','MARINGÁ','PR','116162161216471751478933575112610143143',8597,'9998',53.79,1,3,NULL),(25,6306373,'1983-04-13 00:00:00',2,1,12,2000,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124131131116141251163343335122340867057',8071,'9998',54.73,1,2,1),(25,6306390,'1993-02-21 00:00:00',4,8,12,2009,'F','N','ROCIO PEQUENO','S FRANCISCO SUL','SC','124244241227161111334923471122132122191',NULL,'867',30.07,1,3,NULL),(25,6306403,'1994-06-13 00:00:00',4,1,11,2011,'F','S','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124243246416131132426821575124610127051',NULL,'1075',21.56,1,3,NULL),(25,6306411,'1990-05-28 00:00:00',2,17,12,2007,'M','N','SÃO BRAZ','UNIÃO VITÓRIA','PR','116161161216572432439923572344610137057',1132,'632',72.78,1,3,NULL),(25,6306420,'1991-06-07 00:00:00',4,1,12,2009,'M','N','VILA FORMOSA','BLUMENAU','SC','124244241217473241239923575115610165182',1329,'855',72.18,1,3,NULL),(25,6306438,'1987-03-14 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242131416135431328627285124121637147',14553,'9998',44.36,1,3,NULL),(25,6306454,'1993-03-22 00:00:00',4,16,12,2009,'F','N','BELA VISTA','FRAIBURGO','SC','124241241117472731548519395114610132042',13610,'314',40.78,1,2,1),(25,6306462,'1993-04-02 00:00:00',2,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215121431446612572122610138112',17235,'723',40.23,1,3,NULL),(25,6306470,'1991-05-24 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247215141431535439392134610132145',NULL,'9999',4.21,1,3,NULL),(25,6306497,'1993-03-10 00:00:00',2,4,12,2010,'M','N','SÃO LOURENÇO','IPORÃ OESTE','SC','124241242134131431424316262224610118042',20879,'371',31.62,1,2,1),(25,6306500,'1993-02-09 00:00:00',2,15,12,2010,'F','N','CENTRO','TURVO','SC','124241241235212231458632595122610144142',18804,'970',37.34,1,3,NULL),(25,6306519,'1993-06-06 00:00:00',4,1,9,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241115112431458832575115610164187',10812,'270',49.97,1,3,NULL),(25,6306527,'1989-07-07 00:00:00',2,1,12,2006,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241135471431323314345134610124142',NULL,'66',33.36,1,2,1),(25,6306535,'1992-03-03 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472431588614582112610133074',11282,'262',46.18,3,3,NULL),(25,6306543,'1992-05-04 00:00:00',4,16,12,2009,'M','N','INTERIOR','PTE ALTA','SC','124241241114242431434316435122613237052',NULL,'625',15.82,4,2,1),(25,6306551,'1993-09-16 00:00:00',4,10,12,2010,'M','N','CENTRO','IMBITUBA','SC','124243241111141221446932392122610114042',11713,'359',43.98,1,3,NULL),(25,6306560,'1993-01-18 00:00:00',4,1,12,2010,'F','N','ROÇADO','S JOSÉ','SC','124242241215111731458911592112610121012',15244,'270',38.63,1,3,NULL),(25,6306578,'1992-02-07 00:00:00',4,3,12,2009,'F','N','MOEMA','S PAULO','SP','125252251116371431448911285124143232192',12431,'9998',47.46,1,3,NULL),(25,6306586,'1993-02-22 00:00:00',2,9,12,2010,'F','N','CORAL','LAGES','SC','124242241215121131339914475122610163092',18704,'499',35.57,1,3,NULL),(25,6306594,'1993-11-25 00:00:00',4,1,12,2011,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241217111432489831575124610134191',NULL,'270',27.06,1,3,NULL),(25,6306608,'1993-01-18 00:00:00',3,8,12,2009,'M','N','JARDIM DAS AMERICAS','CURITIBA','PR','116161161115471431568923575114610124043',NULL,'9998',0.00,1,3,NULL),(25,6306616,'1994-01-10 00:00:00',2,1,11,2011,'F','S','BRAÇO DO NORTE','ANTÔNIO CARLOS','SC','124241241117151532533335575122610117047',NULL,'21',15.88,1,3,NULL),(25,6306624,'1992-04-17 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124242241217271451228634575124610123072',NULL,'1022',28.56,1,3,NULL),(25,6306632,'1993-03-19 00:00:00',4,1,12,2010,'M','N','PACHECOS','PALHOÇA','SC','124243241115131731524933395124610127097',NULL,'307',17.74,1,3,NULL),(25,6306667,'1994-01-11 00:00:00',4,1,12,2011,'M','S','BUTANTÃ','S PAULO','SP','125252251217121732348819575122610128052',NULL,'9998',49.06,3,3,NULL),(25,6306675,'1994-05-10 00:00:00',2,4,11,2011,'F','S','CENTRO','VARGEÃO','SC','124242241217111711425432572124610144142',NULL,'836',17.45,1,3,NULL),(25,6306683,'1991-10-09 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216143431536644345114610127061',NULL,'1198',28.69,1,3,NULL),(25,6306691,'1992-02-16 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217473231588713575112133267012',3396,'262',63.29,1,3,NULL),(25,6306705,'1993-01-07 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241241117151411338319575124610168177',NULL,'733',19.41,1,3,NULL),(25,6306713,'1993-07-05 00:00:00',4,4,12,2010,'F','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124241241115271441416524572224610126147',18287,'177',33.30,1,3,NULL),(25,6306721,'1993-02-16 00:00:00',4,1,12,2011,'M','S','JURERÊ','FLORIANÓPOLIS','SC','124241246117131531434923572124610136142',NULL,'306',45.45,1,3,NULL),(25,6306730,'1994-08-10 00:00:00',4,1,12,2011,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124241241115131632333414575124610136147',NULL,'287',11.86,1,3,NULL),(25,6306748,'1994-08-17 00:00:00',4,1,11,2011,'M','S','BARRA DO ARIRIÚ','PALHOÇA','SC','124243248115161431449913471111610168054',NULL,'271',53.17,1,3,NULL),(25,6306756,'1992-08-01 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151431566912575122610167187',8487,'1050',51.58,1,3,NULL),(25,6306764,'1992-10-16 00:00:00',5,8,12,2009,'F','N','ESPRAIADO','NOVA TRENTO','SC','124241241135272231443311342124610128092',17615,'574',39.55,1,2,1),(25,6306772,'1992-11-01 00:00:00',4,1,12,2010,'F','N','MARAMBAIA','VINHEDO','SP','125252251216121441468923375122610161072',11566,'9998',45.02,4,3,NULL),(25,6306780,'1993-01-19 00:00:00',4,2,12,2010,'F','N','CAPITAIS','TIMBÓ','SC','124241241215111411434413235122610114142',NULL,'1157',0.00,1,3,NULL),(25,6306802,'1994-01-27 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111712339933575122610147047',3005,'262',65.20,1,3,NULL),(25,6306810,'1990-05-08 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215574731228923482124610127175',11223,'962',46.49,1,3,NULL),(25,6306829,'1992-05-28 00:00:00',2,15,12,2009,'F','N','CENTRO','TURVO','SC','124244241215472431423319475114610138097',11446,'813',45.09,1,3,NULL),(25,6306837,'1989-11-10 00:00:00',2,15,12,2006,'F','N','POÇO DA LONTRA','TURVO','SC','124241241116131431533316482122610128142',21463,'814',28.29,1,3,NULL),(25,6306845,'1988-06-28 00:00:00',2,4,12,2004,'M','N','BELA VISTA','CHAPECÓ','SC','124241241126141711533319245324330224147',NULL,'178',20.66,1,3,NULL),(25,6306853,'1993-02-17 00:00:00',2,15,11,2010,'F','N','CENTRO','TURVO','SC','124243248415161431527611575124610138077',NULL,'814',25.79,1,3,NULL),(25,6306861,'1995-01-29 00:00:00',2,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241215111231368313575124610147042',NULL,'737',32.38,1,3,NULL),(25,6306870,'1992-04-12 00:00:00',4,1,12,2009,'M','N','BAIRRO IPIRANGA','S JOSÉ','SC','124242241215272711238763572114131062097',16567,'1118',41.29,1,3,NULL),(25,6306888,'1987-12-18 00:00:00',2,2,12,2004,'F','N','FERNANDES','S JOÃO BATISTA','SC','124241241116374451533639275122232526197',9407,'712',49.00,1,2,1),(25,6306896,'1993-04-03 00:00:00',4,10,10,2010,'M','N','CENTRO','TUBARÃO','SC','124242241217111442416612275122610137042',6388,'806',56.45,4,3,NULL),(25,6306900,'1981-09-22 00:00:00',2,1,12,1998,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','524241244217375431345613342224610131092',21161,'266',30.28,1,3,NULL),(25,6306926,'1979-12-28 00:00:00',2,1,8,2004,'F','N','CARIANOS','FLORIANÓPOLIS','SC','624246247216134431223344245134610135152',NULL,'9999',22.27,1,3,NULL),(25,6306942,'1993-10-21 00:00:00',4,1,12,2011,'M','S','JARDIM ESPLANADA','S JOSÉ CAMPOS','SP','125252251217111431448811575122610132047',NULL,'9998',8.01,1,3,NULL),(25,6306950,'1992-07-22 00:00:00',4,8,12,2009,'M','N','STELLA MARIS','PERUÍBE','SP','124252251217152551558833575121223264186',19874,'9998',34.92,1,3,NULL),(25,6306969,'1992-04-26 00:00:00',4,8,12,2009,'F','N','ZONA CINCO','MARINGÁ','PR','116162161237472431368911472112610163057',6319,'9998',56.47,1,3,NULL),(25,6306977,'1993-12-14 00:00:00',4,1,12,2010,'M','N','CENTRO','PTO BELO','SC','124244241215151431468832577114610164122',10272,'1119',45.67,1,3,NULL),(25,6306993,'1994-05-17 00:00:00',4,1,11,2011,'F','S','SERRARIA','S JOSÉ','SC','124242241215111231454723571122610126097',NULL,'1118',47.94,1,3,NULL),(25,6307000,'1993-08-23 00:00:00',4,1,12,2010,'F','N','CENTRO','LONDRINA','PR','116162161217111431468713575122610122142',NULL,'9998',33.03,1,3,NULL),(25,6307019,'1988-08-21 00:00:00',4,8,12,2005,'M','N','HUGO LANGE','CURITIBA','PR','116242241216171411468814475121240364052',NULL,'457',0.00,1,3,NULL),(25,6307027,'1993-04-13 00:00:00',4,2,12,2010,'M','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241217111231457934572122610167057',693,'909',75.50,1,3,NULL),(25,6307035,'1993-05-16 00:00:00',4,9,11,2010,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241215111431548712572122610163092',9253,'497',47.97,1,3,NULL),(25,6307043,'1993-09-05 00:00:00',4,1,11,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241215111431346513245124610138092',21656,'63',26.03,1,3,NULL),(25,6307078,'1993-10-04 00:00:00',4,17,12,2010,'M','N','JARDIM ESPERANÇA','CANOINHAS','SC','124241241116141431548613245122610167062',NULL,'153',20.71,1,2,1),(25,6307094,'1994-01-17 00:00:00',2,1,12,2010,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241122161431445614575122610122147',17201,'649',37.16,1,2,1),(25,6307116,'1991-01-31 00:00:00',2,1,12,2009,'F','N','SÃO JOÃO DO RIO VERM','FLORIANÓPOLIS','SC','124241241115271752225544292344610167057',NULL,'257',32.40,4,2,1),(25,6307124,'1994-12-14 00:00:00',4,1,12,2011,'F','S','VILLAGE','IMBITUBA','SC','124243241217151412328619475122610124142',NULL,'9997',56.05,1,3,NULL),(25,6307132,'1993-04-14 00:00:00',4,1,12,2010,'F','N','JARDIM APOLO','S JOSÉ CAMPOS','SP','125252251217121431488814592122610134012',13900,'9998',39.36,1,3,NULL),(25,6307159,'1991-10-16 00:00:00',2,1,12,2008,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241117142411523315246131610124147',NULL,'733',37.03,1,2,1),(25,6307175,'1987-12-11 00:00:00',4,1,12,2005,'M','N','CENTRO','MAFRA','SC','124243241216255431358819395124131227072',7025,'541',56.70,1,3,NULL),(25,6307183,'1992-11-21 00:00:00',2,9,12,2009,'F','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124241241117372731334624575125610162047',NULL,'505',33.52,1,2,1),(25,6307191,'1992-06-30 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241117372331449633575114610164041',18490,'271',34.01,1,3,NULL),(25,6307205,'1992-06-04 00:00:00',4,3,12,2009,'F','N','DOIS LAPACHOS','STA TEREZINHA ITAIPU','PR','116161161216422431425515575114610132097',776,'9998',75.53,1,3,NULL),(25,6307213,'1990-12-13 00:00:00',2,10,7,2010,'F','N','VILA NOVA','IMBITUBA','SC','124243247617271752446319375124610128197',NULL,'9999',34.75,1,3,NULL),(25,6307221,'1991-10-21 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216272431237668585124131932147',8338,'1022',50.82,1,3,NULL),(25,6307248,'1993-01-27 00:00:00',4,1,11,2009,'M','N','BOQUEIRÃO','CURITIBA','PR','116162161215471411579814373112610134092',NULL,'9998',0.00,1,3,NULL),(25,6307256,'1989-07-21 00:00:00',4,1,12,2007,'M','N','EMBARÉ','SANTOS','SP','125254251411131411338828594121241442047',7758,'9998',51.59,1,3,NULL),(25,6307264,'1992-08-08 00:00:00',4,1,11,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215473711438832571122610128193',18472,'226',37.97,1,3,NULL),(25,6307272,'1992-10-31 00:00:00',2,8,12,2010,'M','N','ATIRADORES','JOINVILLE','SC','124242241217111431448711575124610167042',13875,'1105',40.08,4,3,NULL),(25,6307299,'1991-09-09 00:00:00',2,1,12,2009,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215372431548811592124610127042',16424,'1022',41.53,1,3,NULL),(25,6307310,'1993-08-19 00:00:00',4,1,11,2010,'F','N','ARMAÇÃO PTO SUL','FLORIANÓPOLIS','SC','124242241217111431436611595122610168182',17637,'270',34.36,1,3,NULL),(25,6307329,'1993-07-29 00:00:00',2,1,12,2010,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124244241215111421524431375114610127087',10872,'1022',45.69,1,3,NULL),(25,6307337,'1983-10-09 00:00:00',4,15,12,2000,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','224241241117142721233344342222610163043',NULL,'29',15.45,1,2,1),(25,6307353,'1993-08-06 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111232446632575114610127041',10003,'737',47.80,1,3,NULL),(25,6307361,'1993-09-04 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241135151731558734572124610137043',NULL,'733',23.36,1,2,1),(25,6307370,'1994-08-01 00:00:00',4,1,11,2010,'F','N','JARDIM AMERICA','GOIÂNIA','GO','109092091215111431357933572122610133017',NULL,'9998',17.20,1,3,NULL),(25,6307388,'1992-11-02 00:00:00',4,5,11,2010,'M','N','MICHEL','CRICIÚMA','SC','124142241235151431487973575112610162042',2479,'210',66.21,4,3,NULL),(25,6307396,'1992-07-17 00:00:00',4,4,12,2010,'M','N','SANTO ANTÔNIO','PINHALZINHO','SC','124244241415122431468813285121233216042',NULL,'185',0.00,1,3,NULL),(25,6307400,'1992-06-11 00:00:00',2,7,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241211272531436832592124221324057',NULL,'1050',0.00,1,3,NULL),(25,6307418,'1992-01-01 00:00:00',4,1,12,2009,'M','N','CENTRO','NOVA ESPERANÇA','PR','116162161237431441438713576112610167087',319,'9998',78.73,3,3,NULL),(25,6307434,'1993-06-10 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124242241215141731338413335124610132063',14164,'1075',39.30,1,3,NULL),(25,6307442,'1993-06-29 00:00:00',2,16,12,2010,'F','N','CENTRO','MTE CARLO','SC','124241246111271431338919574124610126187',12711,'196',42.10,1,2,1),(25,6307469,'1993-06-30 00:00:00',2,1,12,2010,'M','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241114131431336823572124610164197',NULL,'591',0.00,1,2,1),(25,6307477,'1993-09-28 00:00:00',2,6,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215472431358714175112610124142',NULL,'44',0.00,1,3,NULL),(25,6307485,'1994-08-29 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431568832572125610127057',21514,'1050',27.75,1,3,NULL),(25,6307493,'1994-04-23 00:00:00',4,1,1,2011,'F','N','SANTA ISABEL','TERESINA','PI','118182181227111431678813572112610127072',11397,'9998',49.06,2,3,NULL),(25,6307507,'1989-06-21 00:00:00',4,17,12,2006,'M','N','CENTRO','CASCAVEL','PR','116161161211512411478833591115610162012',1802,'9998',69.79,4,3,NULL),(25,6307515,'1991-05-13 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215142731458867432114610167042',21114,'9997',30.58,1,3,NULL),(25,6307523,'1992-02-29 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124241241116373432458812575124610167057',5678,'169',56.41,1,2,1),(25,6307531,'1992-10-09 00:00:00',2,2,12,2010,'F','N','POMERANOS','TIMBÓ','SC','124241241216121431226739574122610136142',6949,'925',54.92,1,3,NULL),(25,6307540,'1982-09-08 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201127271411226641116125610133037',15756,'9998',42.51,1,2,1),(25,6307558,'1993-05-14 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431478832585122610134062',4169,'270',60.86,1,3,NULL),(25,6307566,'1992-03-01 00:00:00',4,5,12,2009,'F','N','VILA CONCEIÇAO','BOM JESUS','RS','120201201111471451468812575125610124147',5529,'9998',57.97,1,2,1),(25,6307574,'1991-12-30 00:00:00',4,1,12,2009,'F','N','VILA NOVA','BLUMENAU','SC','124242241215473431448934445124610126142',5948,'855',54.78,1,3,NULL),(25,6307582,'1991-12-27 00:00:00',4,8,8,2010,'F','N','VILA ELIZABETH','CPO LARGO','PR','116162168215471751548811575122610163077',NULL,'9998',0.00,1,3,NULL),(25,6307590,'1976-02-02 00:00:00',2,1,6,2009,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','224241247147471531423549242314610137187',NULL,'9999',37.83,1,2,1),(25,6307604,'1978-08-31 00:00:00',4,1,12,1995,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241136142451343343135122610122092',NULL,'616',26.54,1,3,NULL),(25,6307612,'1994-03-31 00:00:00',4,1,12,2010,'F','N','CENTRO','BIGUAÇU','SC','124244241215111431676632585114610113052',10070,'1022',51.22,1,3,NULL),(25,6307620,'1993-10-20 00:00:00',2,4,12,2010,'M','N','SANTA TEREZINHA','PATO BRANCO','PR','116164161216111431436614575113610167097',NULL,'9998',33.06,1,3,NULL),(25,6307639,'1991-02-04 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241111272711221114292324221947147',NULL,'592',0.00,2,1,1),(25,6307647,'1993-07-23 00:00:00',4,9,11,2010,'F','N','SANTA MARIA','LAGES','SC','124242241217151431449811216112610164192',4663,'497',58.14,1,3,NULL),(25,6307663,'1992-08-07 00:00:00',2,1,12,2009,'M','N','VILA JUNQUEIRA','S ROQUE','SP','125254251215471431458811395124610137042',8705,'9998',51.07,1,3,NULL),(25,6307671,'1993-07-13 00:00:00',2,1,12,2010,'F','N','SÃO JOÃO DO RIO VERM','FLORIANÓPOLIS','SC','124241241147161531546662292212610167147',NULL,'9997',14.88,1,2,1),(25,6307698,'1993-05-08 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','116163161217111331457612275124610154042',NULL,'9998',32.34,1,3,NULL),(25,6307710,'1993-09-03 00:00:00',2,1,12,2010,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241127161731425514575122610163057',NULL,'731',21.98,1,2,1),(25,6307736,'1992-05-23 00:00:00',2,10,12,2009,'M','N','GUARDA ME','TUBARÃO','SC','124241241121142431536417142124610124142',NULL,'803',15.34,1,2,1),(25,6307744,'1992-12-29 00:00:00',2,1,12,2009,'M','N','CENTO','WENCESLAU BRAZ','PR','116162161217111231348613595124610122142',15010,'9998',43.67,1,3,NULL),(25,6307752,'1991-02-25 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124244241215472111368831475114120766174',2158,'737',68.71,1,3,NULL),(25,6307760,'1990-11-15 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124242241215274431587532145124233266091',3153,'723',65.50,4,3,NULL),(25,6307787,'1991-02-06 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251217371411579931375115222266187',NULL,'9998',0.00,1,3,NULL),(25,6307795,'1993-04-23 00:00:00',4,6,12,2010,'F','N','JARDIM ALBINO BIACHI','APUCARANA','PR','116162161217111331435612575122610123077',NULL,'9998',0.00,1,3,NULL),(25,6307809,'1993-02-14 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241315111231539914572112610117042',20328,'1133',30.27,2,1,2),(25,6307817,'1992-11-11 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431579813594122610128142',NULL,'270',37.69,1,3,NULL),(25,6307825,'1992-04-18 00:00:00',4,1,12,2009,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215272411456933115124131144182',1092,'1022',73.48,1,3,NULL),(25,6307833,'1993-05-27 00:00:00',4,1,11,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111421448713335114610137042',18485,'270',31.58,2,1,2),(25,6307841,'1992-07-21 00:00:00',4,7,12,2009,'F','N','PORTÃO','CURITIBA','PR','116242161216372431535931375124122226197',NULL,'9998',0.00,1,3,NULL),(25,6307850,'1992-07-18 00:00:00',2,8,12,2009,'M','N','CENTRO','NOVA ESPERANÇA','PR','116161161315371231437632141322610137057',9266,'9998',49.52,4,3,NULL),(25,6307868,'1993-11-03 00:00:00',4,5,12,2010,'F','N','RIO MAINA','CRICIÚMA','SC','124242241215122431357712472122610116147',4310,'226',60.46,1,3,NULL),(25,6307876,'1990-07-15 00:00:00',2,1,12,2008,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241251117151231521124245124140234047',NULL,'257',0.00,2,1,1),(25,6307906,'1993-08-16 00:00:00',4,1,12,2010,'F','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125253256217151441569913575122610137055',13865,'9998',40.26,1,3,NULL),(25,6307914,'1991-02-14 00:00:00',4,8,12,2008,'M','N','REBOUÇAS','CURITIBA','PR','116164161215572751366732595122610162095',1314,'9998',71.49,1,3,NULL),(25,6307930,'1990-10-31 00:00:00',4,15,12,2007,'M','N','CENTRO','ERMO','SC','124241241117151431436431315122610124182',NULL,'250',13.67,1,3,NULL),(25,6307949,'1992-02-28 00:00:00',2,4,12,2009,'M','N','SANTO ANTÔNIO','PINHALZINHO','SC','116241161415471231336923575112610164057',5912,'9998',55.39,1,3,NULL),(25,6307957,'1993-10-09 00:00:00',4,1,12,2010,'M','N','CENTRO','APUCARANA','PR','116162161216151231426634575122610167142',4509,'9998',61.96,1,3,NULL),(25,6307973,'1993-01-12 00:00:00',4,1,12,2010,'M','N','EMBARÉ','SANTOS','SP','125252251217211431368834571111610124042',7348,'9998',51.94,1,3,NULL),(25,6307981,'1990-08-13 00:00:00',2,4,12,2007,'F','N','ESPLANADA','CHAPECÓ','SC','124241241112371431326624342224610164017',NULL,'175',28.89,1,2,1),(25,6307990,'1990-02-07 00:00:00',4,1,12,2007,'M','N','MERCES','CURITIBA','PR','116251251215572731668831472144610137082',162,'9998',81.68,4,3,NULL),(25,6308007,'1993-11-22 00:00:00',4,3,10,2010,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124242241215111431458711572122610127042',6358,'1038',55.37,1,3,NULL),(25,6308015,'1988-02-11 00:00:00',4,8,12,2006,'M','N','SAGUAÇU','JOINVILLE','SC','124164241436111411328831115133130768177',NULL,'541',0.00,4,3,NULL),(25,6308023,'1993-04-30 00:00:00',4,3,12,2010,'M','N','ALPHAVILLE LONDRINA','LONDRINA','PR','116162161217111431468836575112610137122',NULL,'9998',0.00,1,3,NULL),(25,6308031,'1992-11-20 00:00:00',2,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241136371731553611342124610114192',NULL,'733',24.87,1,2,1),(25,6308058,'1991-12-16 00:00:00',4,1,12,2010,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124241241315151411328723575324610164181',12270,'9997',47.73,1,3,NULL),(25,6308066,'1994-05-13 00:00:00',2,3,11,2011,'F','S','CENTRO','BAL CAMBORIÚ','SC','124242241215111431568632175122610123142',NULL,'9997',38.19,1,3,NULL),(25,6308074,'1993-07-13 00:00:00',4,4,12,2010,'M','N','NITERÓI','SEARA','SC','124241242117221411443611575124610117057',18766,'196',31.55,1,2,1),(25,6308082,'1993-02-22 00:00:00',4,1,11,2010,'F','N','AZENHA','PTO ALEGRE','RS','120202201117111441259823572122610163142',9983,'9998',46.28,1,3,NULL),(25,6308090,'1993-10-23 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217312431468812595124610128171',5047,'270',59.22,1,3,NULL),(25,6308104,'1993-10-04 00:00:00',2,15,12,2010,'M','N','LINHA CONTESSI','TURVO','SC','124244241415371231445616272124610126117',NULL,'970',28.59,1,3,NULL),(25,6308112,'1993-06-30 00:00:00',4,5,11,2010,'F','N','LOTE SEIS','CRICIÚMA','SC','124242241211272731359931574122610144017',5126,'211',58.73,1,3,NULL),(25,6308139,'1994-01-11 00:00:00',4,15,11,2011,'M','S','CENTRO','ARARANGUÁ','SC','624242241215111231359913575122610164172',NULL,'970',56.61,1,3,NULL),(25,6308155,'1991-10-14 00:00:00',4,10,12,2008,'F','N','CENTRO','CAPIVARI BAIXO','SC','124244241215473431335679345114610124042',11644,'797',43.94,1,3,NULL),(25,6308163,'1991-03-21 00:00:00',4,8,12,2008,'M','N','GLORIA','JOINVILLE','SC','124242241211474431448931575112610132042',5453,'459',58.01,1,3,NULL),(25,6308171,'1993-09-03 00:00:00',4,1,12,2010,'M','N','DANIELA','FLORIANÓPOLIS','SC','124242241215121431359833575112610127062',14236,'1169',42.27,1,3,NULL),(25,6308180,'1992-10-05 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241235472431444619272124610161072',9522,'738',52.09,1,3,NULL),(25,6308198,'1992-02-26 00:00:00',4,8,12,2009,'F','N','ZONA CINCO','MARINGÁ','PR','116162161216371731568719275112610134057',8359,'9998',50.71,1,3,NULL),(25,6308201,'1990-05-10 00:00:00',2,1,11,2009,'F','N','NOVA SUIÇA','GOIÂNIA','GO','109141091126411431223315185124610164092',6770,'9998',53.70,1,2,1),(25,6308210,'1993-08-25 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241235111431326631475124610124112',NULL,'723',26.59,1,3,NULL),(25,6308228,'1992-12-18 00:00:00',4,1,11,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216111431346733575124610137054',NULL,'1133',29.46,1,3,NULL),(25,6308244,'1992-02-17 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431379913575122610143187',7896,'262',51.20,1,3,NULL),(25,6308252,'1993-05-14 00:00:00',2,1,11,2010,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215112411448923576124610125072',3315,'299',63.32,1,3,NULL),(25,6308260,'1993-05-29 00:00:00',2,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215152431466912575112610137042',14008,'1022',41.52,1,3,NULL),(25,6308279,'1993-07-16 00:00:00',4,8,10,2010,'F','N','AGUA VERDE','CURITIBA','PR','116162161215121431338612572122610126097',5968,'9998',55.31,1,3,NULL),(25,6308287,'1990-03-30 00:00:00',2,1,12,2006,'M','N','CENTRO','QUILOMBO','SC','124242201217155441456814275124221742092',4115,'9998',60.49,1,3,NULL),(25,6308309,'1989-12-18 00:00:00',2,1,12,2007,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241248115471411446624482124610127182',11525,'733',45.38,1,2,1),(25,6308317,'1993-09-06 00:00:00',2,10,12,2010,'F','N','CENTRO','S MARTINHO','SC','124241241127271431436669171124610168177',11998,'750',43.06,1,2,1),(25,6308325,'1990-06-25 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','116252251216371751146979575124141465185',2231,'9998',67.02,1,3,NULL),(25,6308333,'1993-09-22 00:00:00',2,4,12,2010,'F','N','SÃO CRISTÓVÃO','CONCÓRDIA','SC','124241241216471232643814595124610165077',NULL,'1001',22.81,1,3,NULL),(25,6308368,'1993-08-28 00:00:00',2,10,11,2010,'F','N','CENTRO','GR PARÁ','SC','124241241111131731224529231124610133187',20197,'330',28.56,1,2,1),(25,6308376,'1993-07-24 00:00:00',2,5,12,2010,'M','N','NOVA YORK','FORQUILHINHA','SC','124241246144171731423314246224610167177',15729,'310',38.49,4,2,1),(25,6308406,'1992-06-30 00:00:00',4,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124163241215273731548611595124610122017',4124,'270',62.97,1,3,NULL),(25,6308414,'1993-06-20 00:00:00',2,1,10,2010,'M','N','CENTRO','CASCAVEL','PR','116163168335115131443432195124613217042',NULL,'9998',0.00,1,3,NULL),(25,6308422,'1986-10-18 00:00:00',2,1,2,2004,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124202241212131411138921211122331016182',NULL,'1036',44.39,1,3,NULL),(25,6308430,'1986-09-09 00:00:00',2,1,11,2004,'M','N','INGLESES','FLORIANÓPOLIS','SC','124161247416144421233512215112610137051',NULL,'1003',0.00,1,3,NULL),(25,6308457,'1993-03-02 00:00:00',4,1,12,2010,'F','N','RIO VERMELLHO','FLORIANÓPOLIS','SC','124241241115151431656929575124610166142',NULL,'307',21.99,1,2,1),(25,6308465,'1993-09-24 00:00:00',2,1,12,2010,'M','N','CENTRO','ARVOREZINHA','RS','120203201217151431464931342112610147047',NULL,'9998',0.00,1,3,NULL),(25,6308473,'1992-08-24 00:00:00',4,8,12,2009,'M','N','ATIRADORES','JOINVILLE','SC','124242241215422511467737575112131048112',5548,'1063',57.31,1,3,NULL),(25,6308481,'1994-09-21 00:00:00',4,1,11,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241215132431335712375114610162171',10876,'1022',46.70,1,3,NULL),(25,6308490,'1986-02-12 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','624202201137131451328849395122231066117',NULL,'9998',0.00,1,3,NULL),(25,6308503,'1993-04-23 00:00:00',4,1,12,2010,'M','N','SANTO ANTÔNIO','FLORIANÓPOLIS','SC','124242246117151431459914585124610132082',15705,'306',42.59,1,3,NULL),(25,6308511,'1994-09-18 00:00:00',4,1,12,2011,'F','S','BARREIROS','S JOSÉ','SC','124242241217111231366812575112610132047',NULL,'738',29.30,1,3,NULL),(25,6308538,'1994-05-04 00:00:00',4,1,12,2011,'F','S','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241215111431556612322122610123075',NULL,'1022',31.64,1,3,NULL),(25,6308546,'1994-09-03 00:00:00',4,4,12,2011,'M','S','CENTRO','CHAPECÓ','SC','124242201215111732368931575122610167042',NULL,'185',47.74,1,3,NULL),(25,6308554,'1993-04-01 00:00:00',2,8,12,2010,'F','N','VILA NOVA','RIO NEGRINHO','SC','124241241115271231423312595222610142142',NULL,'669',27.27,1,2,1),(25,6308562,'1993-05-27 00:00:00',2,1,12,2010,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124201241115131431427524342224610136147',NULL,'732',0.00,1,2,1),(25,6308597,'1993-09-24 00:00:00',4,1,12,2010,'F','N','VILLAGE','IMBITUBA','SC','124241241115131431326614575124610138142',13162,'359',41.53,1,2,1),(25,6308600,'1991-04-25 00:00:00',1,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116242241215572431589711594125610123072',5753,'1063',56.29,1,3,NULL),(25,6308627,'1993-04-01 00:00:00',2,1,12,2010,'F','N','JURERE','FLORIANÓPOLIS','SC','124241241115131431434634575124610116061',NULL,'295',22.67,1,2,1),(25,6308635,'1992-11-10 00:00:00',5,2,12,2010,'F','N','DE CARLI','VIDEIRA','SC','124241241127171532215534242245610137143',NULL,'830',27.83,1,2,1),(25,6308660,'1993-09-13 00:00:00',4,4,11,2010,'M','N','RECANTO TROPICAL','CASCAVEL','PR','116162161215111411447934575112610164172',4149,'9998',61.06,1,3,NULL),(25,6308678,'1992-05-27 00:00:00',4,1,12,2010,'F','N','ALTO DA XV','CURITIBA','PR','116162161215571411368921575112610162172',NULL,'9998',0.00,1,3,NULL),(25,6308686,'1994-04-06 00:00:00',2,3,12,2010,'F','N','AEROPORTO','PARANAVAÍ','PR','116162161216111331478833572122610117092',NULL,'9998',25.84,1,3,NULL),(25,6308694,'1988-02-28 00:00:00',2,1,12,2007,'M','N','ZONA SETE','MARINGÁ','PR','116161167126211751324319385124141414182',NULL,'9998',32.36,2,1,1),(25,6308708,'1993-09-17 00:00:00',4,16,12,2010,'M','N','CENTRO','VARGEM','SC','124241241127161531423415572324610117055',NULL,'1082',20.48,1,3,NULL),(25,6308716,'1994-02-25 00:00:00',2,1,12,2010,'M','N','CENTRO','APUCARANA','PR','116162161217111432336619375122610134012',14041,'9998',43.51,1,3,NULL),(25,6308724,'1989-08-02 00:00:00',4,1,12,2007,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241436272731433933372124610128047',15283,'296',39.56,1,3,NULL),(25,6308732,'1990-07-06 00:00:00',4,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116131411438531215124610112182',NULL,'591',9.33,1,2,1),(25,6308740,'1993-05-07 00:00:00',4,1,12,2010,'F','N','GUIOMAR','ANTÔNIO CARLOS','SC','124241241215371411536311572124610123042',16196,'20',36.68,1,3,NULL),(25,6308767,'1993-08-30 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431478812575122610132122',5767,'270',56.49,1,3,NULL),(25,6308775,'1992-04-07 00:00:00',4,8,12,2009,'M','N','JARDIM ALCÂNTARA','LONDRINA','PR','116162161217471731578811572122610167187',1682,'9998',68.36,3,3,NULL),(25,6308783,'1991-02-12 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241317372441569813395124122264115',8351,'267',50.91,1,3,NULL),(25,6308791,'1991-05-07 00:00:00',4,4,12,2008,'F','N','PASSO DOS FORTE','CHAPECÓ','SC','124241241116474431246373575124221425012',NULL,'182',0.00,1,2,1),(25,6308805,'1991-06-12 00:00:00',4,4,11,2008,'F','N','RECANTO TROPICAL','CASCAVEL','PR','116162161215573411447934572112610166112',2416,'9998',67.41,1,3,NULL),(25,6308821,'1991-05-29 00:00:00',4,1,12,2010,'F','N','SERTAO DO MARUIM','S JOSÉ','SC','624241241127411732223354572124610117057',NULL,'731',17.59,1,2,1),(25,6308830,'1989-09-15 00:00:00',4,9,12,2007,'M','N','BRASIL','UBERLÂNDIA','MG','113131131117471431438611575123610137097',9669,'9998',49.44,1,2,1),(25,6308848,'1994-01-19 00:00:00',4,5,11,2010,'F','N','CENTRO','SIDERÓPOLIS','SC','124242248216111411448832375122610142092',16274,'767',38.32,1,3,NULL),(25,6308864,'1989-04-14 00:00:00',2,1,12,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241135373421526723472244610137087',NULL,'289',0.00,1,2,1),(25,6308872,'1990-04-10 00:00:00',4,1,9,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241247146131431123344442124610164017',15615,'9999',38.10,1,2,1),(25,6308880,'1993-06-20 00:00:00',4,16,12,2010,'M','N','MUNICÍPIOS','CAÇADOR','SC','124244241217161331436614275112610117047',NULL,'119',0.00,1,3,NULL),(25,6308899,'1995-02-11 00:00:00',4,7,12,2010,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241216111211423724445122610114097',16638,'138',41.18,1,3,NULL),(25,6308902,'1992-05-14 00:00:00',4,8,12,2009,'F','N','CIDADE MONCÕES','MARINGÁ','PR','116162281217471441459911571112610134052',4341,'9998',60.02,1,3,NULL),(25,6308910,'1992-09-18 00:00:00',2,1,12,2010,'M','N','ALTO ARIRIÚ','PALHOÇA','SC','124244241127151531678933385122610137112',20749,'1149',24.86,1,3,NULL),(25,6308945,'1993-05-17 00:00:00',2,1,12,2010,'F','N','JARDIM SAVEIRO','BIGUAÇU','SC','124241241215371431336634242124613243147',19166,'63',31.12,1,3,NULL),(25,6308953,'1992-05-19 00:00:00',2,3,12,2009,'F','N','JARDIM UNIVERSITÁRIO','MARINGÁ','PR','116122161217472331454732575112610163077',4750,'9998',57.96,1,3,NULL),(25,6308961,'1993-06-30 00:00:00',4,15,12,2010,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215322431436914571122610164146',2071,'970',68.99,1,3,NULL),(25,6308970,'1989-05-05 00:00:00',2,1,12,2007,'M','N','LAPA DE BAIXO','S PAULO','SP','125253251215571511238824572115610141187',3308,'9998',63.23,1,3,NULL),(25,6308996,'1993-08-18 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241115111431423634575112610127072',18080,'1022',33.65,1,3,NULL),(25,6309003,'1993-03-18 00:00:00',4,1,12,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111451479933575112610127182',5939,'883',55.25,1,3,NULL),(25,6309011,'1989-08-24 00:00:00',2,1,12,2007,'F','N','SETOR CENTRAL','GOIÂNIA','GO','109092091235571431228621272124141432186',NULL,'9998',0.00,4,3,NULL),(25,6309020,'1993-09-09 00:00:00',4,4,11,2010,'M','N','SANTA CATARINA','S LOURENÇO OESTE','SC','124242161216271431448814275114610162171',1037,'9998',72.71,1,3,NULL),(25,6309038,'1994-10-12 00:00:00',4,5,11,2010,'F','N','SÃO SIMÃO','CRICIÚMA','SC','124242241215111411469933575112610134072',21064,'226',30.85,1,3,NULL),(25,6309046,'1974-01-07 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247127132431624623282124610123147',19799,'9999',33.01,5,2,1),(25,6309054,'1994-04-20 00:00:00',4,1,12,2012,'F','S','AREIAS','S JOSÉ','SC','124242246317151731558939295122610136072',NULL,'306',49.51,1,3,NULL),(25,6309062,'1974-04-25 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224243241122271731321143435124610131097',NULL,'281',37.09,1,3,NULL),(25,6309070,'1994-08-16 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217111732547812575114610134057',8789,'266',53.43,3,3,NULL),(25,6309089,'1992-04-23 00:00:00',4,3,11,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217372431489813575122610167042',3370,'1038',61.57,1,3,NULL),(25,6309100,'1993-12-24 00:00:00',2,1,12,2010,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241115471431331624575124610154072',13476,'592',41.19,4,2,1),(25,6309119,'1993-06-15 00:00:00',2,15,12,2010,'F','N','MATO ALTO','ARARANGUÁ','SC','124241241135131711433533335122610147147',NULL,'30',19.22,1,2,1),(25,6309127,'1993-07-19 00:00:00',2,1,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215271431338831276122610167065',14727,'9997',44.12,1,3,NULL),(25,6309135,'1988-10-21 00:00:00',2,1,7,2010,'M','N','BARREIROS','S JOSÉ','SC','124241247122141731464613342113610117182',NULL,'9999',6.27,1,2,1),(25,6309143,'1993-01-28 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115141431426824345124610144147',21749,'307',24.06,2,1,1),(25,6309151,'1992-11-29 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215112731358833572112610137145',15553,'1022',38.31,1,3,NULL),(25,6309160,'1993-03-15 00:00:00',4,6,12,2010,'F','N','FAZENDA','ITAJAÍ','SC','124242241215121431469613332122610141182',8559,'1026',49.38,1,3,NULL),(25,6309178,'1991-08-19 00:00:00',4,1,11,2009,'M','N','VILA IPOJUCA','S PAULO','SP','125252251217471751667733472112610167053',2865,'9998',63.80,1,3,NULL),(25,6309186,'1988-06-07 00:00:00',2,9,12,2005,'F','N','SANTA HELENA','LAGES','SC','124241241116131431233324345124230225142',NULL,'935',0.00,1,2,1),(25,6309194,'1991-10-27 00:00:00',4,1,11,2010,'M','N','CAMBUI','CAMPINAS','SP','125252251215111431468832572122610114013',NULL,'9998',0.00,1,3,NULL),(25,6309208,'1992-04-22 00:00:00',4,1,12,2009,'M','N','UBERABA','CURITIBA','PR','116161161115471331443812376114610121197',9433,'9998',50.36,1,2,1),(25,6309216,'1993-01-14 00:00:00',4,3,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124162241215573411429931475125610134123',3673,'9997',61.36,1,3,NULL),(25,6309224,'1993-10-14 00:00:00',2,1,12,2010,'M','N','FLORESTA','S JOSÉ','SC','124242241215272431458813572114610167042',17337,'1022',35.44,1,3,NULL),(25,6309232,'1993-07-01 00:00:00',2,15,12,2010,'F','N','NOVA DIVINEIA','ARARANGUÁ','SC','124241241117131711326811575122610127185',18603,'30',32.83,1,2,1),(25,6309240,'1989-08-11 00:00:00',2,1,12,2006,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241241124471431113348285124610144092',7121,'287',54.62,1,2,1),(25,6309259,'1984-09-20 00:00:00',2,4,12,2002,'F','N','BELA VISTA','CHAPECÓ','SC','216241241117471431223354245124130826147',NULL,'123',26.94,1,2,1),(25,6309267,'1993-05-20 00:00:00',4,8,12,2010,'M','N','PROGRESSO','S BENTO SUL','SC','124162241416151451549811572122610167142',NULL,'697',24.76,1,3,NULL),(25,6309275,'1992-08-18 00:00:00',2,4,12,2010,'F','N','CENTRO','STO ANTÔNIO PALMA','RS','120201201127131431425339571122610138057',NULL,'9998',16.60,1,2,1),(25,6309283,'1991-10-10 00:00:00',2,1,12,2009,'F','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124241241221372431434634592124610134187',3277,'262',62.26,1,3,NULL),(25,6309291,'1989-05-13 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216175112447777575114230266097',NULL,'269',12.19,1,3,NULL),(25,6309305,'1993-03-15 00:00:00',4,1,12,2010,'F','N','CENTRO','STA RITA SAPUCAÍ','MG','113133131216121431358814575122610163072',NULL,'9998',0.00,3,3,NULL),(25,6309313,'1992-11-25 00:00:00',2,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111411346833493114610167112',10008,'1022',48.39,1,3,NULL),(25,6309321,'1992-11-23 00:00:00',2,9,11,2010,'F','N','MARTURANO','S JOAQUIM','SC','124242241216112431533312475122610127097',NULL,'1207',14.07,1,3,NULL),(25,6309348,'1989-05-04 00:00:00',4,2,12,2006,'M','N','ASILO','BLUMENAU','SC','124241241116272521543634135134610128185',NULL,'69',0.00,1,3,NULL),(25,6309356,'1992-02-09 00:00:00',2,1,12,2009,'F','N','LARANJEIRAS','RIO SUL','SC','124241241216271451346933385112610145053',NULL,'654',0.00,1,3,NULL),(25,6309364,'1992-09-21 00:00:00',2,4,12,2009,'M','N','CENTRO','DOIS VIZINHOS','PR','116161161116131431224624245135610164052',6670,'9998',54.45,1,2,1),(25,6309372,'1983-05-29 00:00:00',2,1,12,2000,'M','N','BARREIROS','S JOSÉ','SC','224243241127142411348444145132532065042',14027,'295',45.13,1,3,NULL),(25,6309399,'1993-01-05 00:00:00',4,3,11,2010,'F','N','TABULEIRO','CAMBORIÚ','SC','124241241215111431434312222122610123192',NULL,'1038',0.00,4,3,NULL),(25,6309402,'1991-03-07 00:00:00',2,15,12,2008,'F','N','VILA BEATRIZ','MARACAJÁ','SC','124241241111131731434311315123610118145',NULL,'550',0.00,1,3,NULL),(25,6309410,'1963-07-22 00:00:00',4,1,12,1981,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624201201117472421456853435123342064127',3655,'9998',64.18,1,2,1),(25,6309429,'1980-07-13 00:00:00',2,1,8,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241201136131431415544245124633257042',21694,'9998',25.31,4,2,1),(25,6309461,'1988-08-02 00:00:00',4,1,12,2005,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124244241115373731348923392121610127113',12538,'307',42.08,4,3,NULL),(25,6309496,'1993-08-06 00:00:00',4,1,11,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111411247722572122610128195',14397,'270',44.59,1,3,NULL),(25,6309500,'1992-11-13 00:00:00',2,17,12,2009,'M','N','INDUSTRIAL I','CANOINHAS','SC','124241241116152431426411285124231468052',NULL,'153',0.00,1,3,NULL),(25,6309518,'1993-12-10 00:00:00',2,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124241241116131432458413585124610137052',NULL,'9997',32.98,1,2,1),(25,6309526,'1991-09-22 00:00:00',4,1,12,2009,'F','N','VILA MARIANA','S PAULO','SP','125252251212411351259834597345610168197',NULL,'9998',0.00,1,3,NULL),(25,6309534,'1993-04-01 00:00:00',2,10,12,2010,'F','N','GUAIUBA','IMBITUBA','SC','124242241215112431438324575112610147042',16456,'362',36.58,1,3,NULL),(25,6309542,'1986-02-03 00:00:00',2,3,12,2003,'F','N','VILA REAL','BAL CAMBORIÚ','SC','624204201136371451226674285123230762072',NULL,'9998',17.72,1,3,NULL),(25,6309550,'1993-03-19 00:00:00',4,4,12,2010,'F','N','CENTRO','AMETISTA SUL','RS','120201201116161431436631572122610127142',NULL,'9998',27.59,1,3,NULL),(25,6309569,'1988-05-12 00:00:00',4,1,11,2005,'M','N','VILA ESPERANÇA','S PAULO','SP','125252251215571411568814575125610167127',NULL,'9998',0.00,1,3,NULL),(25,6309577,'1993-05-05 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241442131731328524245122610145197',NULL,'736',17.93,1,3,NULL),(25,6309585,'1990-01-30 00:00:00',2,4,12,2006,'F','N','CENTRO','PELOTAS','RS','120202201217572451258823574124610137182',NULL,'9998',0.00,1,3,NULL),(25,6309593,'1991-02-25 00:00:00',2,1,12,2008,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125252251216571431448614575122610164112',NULL,'9998',29.42,4,3,NULL),(25,6309607,'1993-07-30 00:00:00',4,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215271411249833595124610124197',4304,'259',61.32,1,3,NULL),(25,6309615,'1993-07-07 00:00:00',2,3,12,2010,'F','N','PONTA DO CAJÚ','PARANAGUÁ','PR','116162161216111431548813572122610163017',7305,'9998',53.68,1,3,NULL),(25,6309623,'1988-07-12 00:00:00',2,1,12,2005,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241125473431428624282214610123057',13883,'291',41.71,1,2,1),(25,6309631,'1994-12-20 00:00:00',2,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241214111431574612272122610146192',NULL,'213',38.61,1,3,NULL),(25,6309640,'1993-01-04 00:00:00',4,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215112431379924575112610124012',4346,'1169',61.22,1,3,NULL),(25,6309658,'1993-02-19 00:00:00',2,8,12,2010,'F','N','CENTRO','SCHROEDER','SC','124241241117131431424614572124610157017',20499,'762',33.15,1,2,1),(25,6309666,'1965-03-14 00:00:00',5,7,12,2000,'M','N','CENTRO','LUZERNA','SC','524241247226151431533642125122610125092',21745,'9999',24.16,1,3,NULL),(25,6309674,'1993-03-26 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241115572431534619575124610127057',11230,'727',46.55,1,2,1),(25,6309682,'1992-05-25 00:00:00',2,1,12,2010,'M','N','BOTAFOGO','RIO JANEIRO','RJ','121214211216471421349833575114610167044',6512,'267',54.49,1,3,NULL),(25,6309704,'1993-11-03 00:00:00',2,1,12,2010,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241212111431369911572124610122042',16720,'262',41.04,4,3,NULL),(25,6309712,'1989-05-11 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241127141711331644245114610167185',21734,'255',24.37,1,2,1),(25,6309720,'1993-06-29 00:00:00',4,7,12,2010,'M','N','CENTRO','ABDON BATISTA','SC','124241241126111431434933475122610117052',NULL,'1',17.03,1,3,NULL),(25,6309739,'1992-09-28 00:00:00',2,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115151432646734345124610167012',NULL,'276',18.78,2,1,1),(25,6309755,'1989-07-27 00:00:00',4,8,12,2006,'M','N','GLÓRIA','JOINVILLE','SC','124244243237441431436834345122333227047',17784,'494',39.26,1,3,NULL),(25,6309763,'1992-08-17 00:00:00',4,1,12,2008,'M','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124241241216273421348814445124233227117',8334,'867',54.24,1,3,NULL),(25,6309780,'1992-11-10 00:00:00',4,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115271431426619575124610133142',NULL,'307',34.15,1,2,1),(25,6309798,'1993-06-22 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217271231456823575122610134187',7223,'1022',53.32,1,3,NULL),(25,6309801,'1992-04-27 00:00:00',2,1,12,2010,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124241241445141731536511445124610128182',NULL,'977',27.36,1,3,NULL),(25,6309810,'1979-04-02 00:00:00',2,1,12,1996,'F','N','SERRARIA','S JOSÉ','SC','224241243125471421333344141114610136097',NULL,'591',30.71,1,2,1),(25,6309836,'1994-03-31 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241115271731568713575124610145052',5908,'267',56.53,1,3,NULL),(25,6309844,'1990-02-22 00:00:00',4,1,12,2007,'M','N','JARDIM JANAINA','BIGUAÇU','SC','124241241117274431533611115122610164172',14195,'65',44.87,1,2,1),(25,6309852,'1992-11-09 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115271451446419575124610162115',6627,'267',54.73,1,2,1),(25,6309879,'1994-02-21 00:00:00',4,17,12,2010,'F','N','BELA VISTA','PTO UNIÃO','SC','124241241117372231447932575122610134097',17631,'635',34.61,1,2,1),(25,6309895,'1984-02-22 00:00:00',2,1,10,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201201117132431114644245124220927147',NULL,'9998',22.64,1,2,1),(25,6309909,'1991-03-12 00:00:00',2,10,11,2010,'F','N','CENTRO','TUBARÃO','SC','124244241215111431547914395125610164092',NULL,'807',16.46,1,3,NULL),(25,6309925,'1991-03-26 00:00:00',4,1,12,2008,'M','N','ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC','124242241216112751368924595111233218182',8766,'262',53.48,1,3,NULL),(25,6309933,'1993-04-03 00:00:00',2,4,12,2010,'M','N','PRESIDENTE MEDICI','CHAPECÓ','SC','124243241116371231448614575124610167052',13146,'182',41.87,1,3,NULL),(25,6309941,'1993-01-25 00:00:00',2,4,12,2010,'F','N','PIONEIROS','ITÁ','SC','124241241117131431626614596124610133147',9046,'384',52.97,1,2,1),(25,6309950,'1973-09-07 00:00:00',2,16,7,2003,'F','N','CENTRO','CURITIBANOS','SC','224241247311131531322348292145610137147',NULL,'9999',0.00,1,3,NULL),(25,6309968,'1992-11-23 00:00:00',2,4,12,2010,'F','N','CENTRO','IPORÃ OESTE','SC','124241241445161431426311351125610141177',15846,'371',39.31,1,3,NULL),(25,6309992,'1991-10-21 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241117572411468923395115131467182',2925,'307',65.30,4,3,NULL),(25,6310028,'1985-12-27 00:00:00',2,1,11,2003,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124251251117131731126649395124130437043',NULL,'9998',NULL,4,1,1),(25,6310036,'1993-05-10 00:00:00',4,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111732478833375122610127183',5058,'723',58.25,1,3,NULL),(25,6310044,'1993-07-08 00:00:00',2,15,12,2010,'F','N','BELA VISTA','JACINTO MACHADO','SC','124241241135131231323624275121610118147',NULL,'420',18.07,2,2,1),(25,6310052,'1993-05-12 00:00:00',4,3,12,2010,'M','N','CENTRO','XANXERÊ','SC','124242241215111451443619585111610166092',NULL,'836',0.00,1,3,NULL),(25,6310060,'1976-10-01 00:00:00',4,2,10,2002,'M','N','VALPARAISO','BLUMENAU','SC','624241244316131421426754382113610137057',16919,'896',40.75,1,3,NULL),(25,6310079,'1993-06-21 00:00:00',2,9,12,2010,'M','N','JARDIM IMPERADOR','PR GRANDE','SP','125254251217131431525621375124610124017',NULL,'9998',0.00,1,3,NULL),(25,6310087,'1993-12-03 00:00:00',4,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241215111431346834572122610123062',18366,'1022',33.68,1,3,NULL),(25,6310117,'1992-06-22 00:00:00',4,1,11,2009,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215152711488813475114231468144',3767,'262',61.24,1,3,NULL),(25,6310125,'1991-08-01 00:00:00',2,17,12,2008,'M','N','CENTRO','CIDADE GAÚCHA','PR','116161161116111431536423385123610134042',NULL,'9998',0.00,1,2,1),(25,6310141,'1989-01-20 00:00:00',4,1,12,2010,'M','N','BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC','124241247426131231426521315124610166017',9263,'9999',47.97,1,3,NULL),(25,6310150,'1992-05-09 00:00:00',4,6,11,2009,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241132132431436524285121610112077',10942,'873',44.55,1,2,1),(25,6310168,'1992-12-03 00:00:00',2,10,12,2009,'F','N','VILA THIESEN','IMARUÍ','SC','124241241146161751325539575125233247057',21777,'356',22.65,1,2,1),(25,6310184,'1993-05-10 00:00:00',2,5,11,2010,'F','N','CENTRO','MARACAJÁ','SC','124241241217161431536836575124610147057',17563,'995',35.40,1,3,NULL),(25,6310192,'1993-03-17 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115271431334334275114610137047',NULL,'293',27.49,1,2,1),(25,6310214,'1993-06-12 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431166734575122610127047',9113,'262',52.26,1,3,NULL),(25,6310222,'1988-06-27 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241116151411356623445124132017042',14111,'307',44.99,1,3,NULL),(25,6310230,'1991-01-15 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241217374431366823575124130434142',9313,'1133',49.66,1,3,NULL),(25,6310249,'1992-11-16 00:00:00',4,1,11,2009,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215472731358713131114610124045',12494,'270',46.69,4,3,NULL),(25,6310273,'1992-01-25 00:00:00',2,3,12,2007,'F','N','CENTRO','STA MARIA','RS','120204087217312111257923574124610161187',NULL,'9998',0.00,1,3,NULL),(25,6310281,'1993-01-28 00:00:00',2,1,12,2009,'F','N','CONJUNTO A','FOZ IGUAÇU','PR','116161161147371441458613575124610148013',NULL,'9998',0.00,1,2,1),(25,6310303,'1992-01-20 00:00:00',4,7,12,2009,'F','N','CENTRO','LUZERNA','SC','124241241215471431426611273114610167042',10965,'962',45.19,4,3,NULL),(25,6310311,'1992-12-28 00:00:00',4,1,12,2009,'F','N','REDENTORA','S JOSÉ R PRETO','SP','125252251211412431389811575122610114042',NULL,'9998',11.60,1,3,NULL),(25,6310320,'1993-03-28 00:00:00',4,1,11,2010,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215111431528821375124610145117',NULL,'1022',0.00,4,3,NULL),(25,6310338,'1993-07-27 00:00:00',2,3,12,2010,'M','N','JARDIM IPÊ','PARANAVAÍ','PR','116161161126241431537713245121610164067',19382,'9998',29.47,4,3,NULL),(25,6310346,'1972-05-24 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224201207146131421326649395123141067037',NULL,'9998',0.00,1,2,1),(25,6310354,'1993-06-04 00:00:00',4,2,12,2010,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241215111451446612572122610147143',9504,'781',52.21,1,3,NULL),(25,6310370,'1992-02-15 00:00:00',2,1,12,2010,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241135161421546613395122610113054',21399,'594',23.39,1,2,1),(25,6310389,'1993-07-22 00:00:00',2,10,12,2010,'F','N','RIO SÃO JOÃO','S MARTINHO','SC','124241241147161431426535575124610136147',7797,'750',52.26,1,2,1),(25,6310400,'1982-12-10 00:00:00',4,15,12,2000,'M','N','CENTRO','ARARANGUÁ','SC','124243241217143431346431445112133268197',11717,'970',48.58,1,3,NULL),(25,6310419,'1988-05-29 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116374411437643435122610166142',13193,'521',41.61,1,2,1),(25,6310427,'1993-02-19 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244248411121431539933595114610138047',16300,'1022',36.10,1,3,NULL),(25,6310443,'1984-03-07 00:00:00',2,1,12,2006,'M','N','SANTA TEREZA','PTO ALEGRE','RS','120201201144151711311348385321140917047',10402,'9998',50.65,4,2,1),(25,6310451,'1987-08-02 00:00:00',2,7,12,2004,'M','N','CENTRO','OURO','SC','124241241117132432333623432123231247047',14796,'585',39.50,1,3,NULL),(25,6310460,'1993-12-24 00:00:00',4,1,11,2011,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431238933135124610122181',NULL,'1022',24.72,1,3,NULL),(25,6310478,'1992-07-02 00:00:00',4,1,12,2010,'F','N','CENTRO','GAROPABA','SC','124241241117161431238923575122610132142',NULL,'1136',31.86,1,2,1),(25,6310486,'1993-03-09 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241117151411448823575124610161077',11047,'267',46.35,1,2,1),(25,6310508,'1993-05-19 00:00:00',4,10,12,2010,'M','N','PRAIA DO ROSA','IMBITUBA','SC','124243241411141731447732141124610165117',NULL,'9997',20.68,1,3,NULL),(25,6310516,'1992-01-04 00:00:00',4,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242247435151221429611495134610164183',NULL,'9999',13.04,1,3,NULL),(25,6310524,'1983-09-06 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216144721123344245134222962075',NULL,'499',0.00,1,3,NULL),(25,6310540,'1993-05-15 00:00:00',4,3,12,2010,'F','N','JARDIM DO SOL','PARANAVAÍ','PR','116161161216271731438632572125610143184',8600,'9998',50.07,1,3,NULL),(25,6310559,'1993-12-22 00:00:00',4,1,12,2010,'M','N','CENTRO','PATO BRANCO','PR','116161161415371431648619575122610124017',17809,'9998',34.71,1,3,NULL),(25,6310567,'1992-10-30 00:00:00',2,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241215472431469814395114610167092',5805,'1022',58.08,1,3,NULL),(25,6310575,'1988-10-06 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241258137143411356933435122230217047',19177,'297',36.59,1,3,NULL),(25,6310583,'1993-04-12 00:00:00',2,1,11,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241212132431523311142121610137047',18496,'1223',37.93,1,3,NULL),(25,6310591,'1994-02-20 00:00:00',4,15,12,2010,'F','N','SÃO LUÍS','SOMBRIO','SC','124241241115271431636334142222610117057',20722,'1033',26.48,1,2,1),(25,6310605,'1982-05-15 00:00:00',4,1,12,2001,'F','N','CAMPINAS','S JOSÉ','SC','124243241116154431224844242134610132147',19617,'307',35.53,1,3,NULL),(25,6310613,'1993-05-17 00:00:00',4,8,12,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124242241217111431368814572122610121012',5706,'457',56.32,1,3,NULL),(25,6310621,'1992-11-27 00:00:00',4,1,9,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241111131431446631171324610124197',NULL,'288',17.74,1,3,NULL),(25,6310630,'1993-10-23 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117371431535411575124610134142',15793,'307',37.55,1,2,1),(25,6310648,'1993-09-13 00:00:00',4,8,12,2010,'F','N','CENTRO','JOINVILLE','SC','124243241217141311437622242124610167072',NULL,'1006',0.00,1,3,NULL),(25,6310656,'1994-06-09 00:00:00',4,2,12,2010,'F','N','AZAMBUJA','BRUSQUE','SC','124242241215272431456833575122610134052',4893,'109',58.81,1,3,NULL),(25,6310664,'1992-12-21 00:00:00',4,1,11,2010,'M','N','PONTA FINA NORTE','NOVA TRENTO','SC','124242241215161231533514572114610167051',NULL,'948',0.00,4,3,NULL),(25,6310672,'1984-05-06 00:00:00',2,1,5,2006,'M','N','SERRARIA','S JOSÉ','SC','524241247122271522523319345123610114052',20428,'946',33.37,1,2,1),(25,6310680,'1992-06-08 00:00:00',2,2,12,2009,'F','N','ITOUPAVAZINHA','BLUMENAU','SC','124241241136371431336314245124610127152',NULL,'79',38.07,1,2,1),(25,6310702,'1985-02-17 00:00:00',2,1,12,2004,'F','N','COSTA DE DENTRO','FLORIANÓPOLIS','SC','124241241117231711223344341124231336093',NULL,'307',0.00,1,2,1),(25,6310729,'1955-01-04 00:00:00',3,1,12,1975,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','524241244221152741433341411122141617044',13775,'262',45.52,1,3,NULL),(25,6310737,'1994-10-16 01:00:00',4,4,12,2010,'F','N','CHAMPAGNAT','GETÚLIO VARGAS','RS','120201205117271731335933232124610138042',NULL,'9998',22.45,1,2,1),(25,6310745,'1993-10-01 00:00:00',4,4,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116161161315111431439929575112610136147',NULL,'9998',0.00,1,3,NULL),(25,6310753,'1985-04-05 00:00:00',4,1,7,2008,'M','N','IPIRANGA','S JOSÉ','SC','124241247127271431333923345124610168187',NULL,'306',0.00,1,2,1),(25,6310761,'1993-07-16 00:00:00',4,15,12,2010,'F','N','SÃO LUÍS','SOMBRIO','SC','124241241115271431524311572122610117057',19867,'1033',29.16,1,2,1),(25,6310770,'1993-01-06 00:00:00',4,17,12,2010,'M','N','PASSO','MAFRA','SC','124164161215111431338612572212610147012',5536,'9998',56.90,1,3,NULL),(25,6310788,'1993-10-29 00:00:00',2,1,12,2010,'F','N','PONTE IMARUIM','PALHOÇA','SC','124241241115131431435314575124610142142',NULL,'592',26.68,1,2,1),(25,6310800,'1982-07-17 00:00:00',4,1,11,1999,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','624242241216474421259851215122123251117',7841,'269',55.12,1,3,NULL),(25,6310818,'1992-11-28 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124243241111132431426411211114131467042',NULL,'734',36.30,1,3,NULL),(25,6310826,'1984-09-05 00:00:00',4,1,12,2003,'M','N','CAMPINAS','S JOSÉ','SC','124241241217572431379911595122130214052',9411,'737',52.33,1,3,NULL),(25,6310834,'1957-03-24 00:00:00',2,1,1,1987,'M','N','CENTRO','PALHOÇA','SC','224246247126155411353343135122332726192',NULL,'9999',0.00,1,3,NULL),(25,6310842,'1993-06-28 00:00:00',4,10,11,2010,'F','N','CENTRO','TUBARÃO','SC','124244241217121411459923476122610166127',7773,'807',55.26,1,3,NULL),(25,6310850,'1986-08-05 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241136543431424629145124232513147',NULL,'9997',19.59,2,1,1),(25,6310869,'1992-06-23 00:00:00',2,1,12,2009,'F','N','MONTE CASTELO','CPO GRANDE','MS','112122121216471311468812575122610166082',4258,'9998',60.07,1,3,NULL),(25,6310877,'1993-04-07 00:00:00',2,2,12,2010,'F','N','NOVA DESCOBERTA','CANELINHA','SC','124241241215111431535834371114610136147',17920,'781',34.53,1,3,NULL),(25,6310885,'1990-08-01 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216152431433632375122221543195',5620,'962',59.52,1,3,NULL),(25,6310893,'1958-02-10 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','PALHOÇA','SC','324206247127131421428874495114610111017',19805,'9999',35.13,1,3,NULL),(25,6310923,'1991-09-05 00:00:00',2,8,12,2008,'M','N','SAN REMO','LONDRINA','PR','116161161111571411436612293112610114042',10919,'9998',46.48,1,2,1),(25,6310931,'1993-07-10 00:00:00',4,8,11,2010,'F','N','BOM RETIRO','JOINVILLE','SC','124241241115371411456619595112610126142',NULL,'476',0.00,4,3,NULL),(25,6310940,'1993-04-17 00:00:00',4,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','124241241115271711425619194122610133077',NULL,'146',22.81,1,2,1),(25,6310958,'1992-04-28 00:00:00',4,8,12,2009,'F','N','VILA IZAB EL','CURITIBA','PR','116243241215412431368811575112610124077',NULL,'457',34.75,1,3,NULL),(25,6310974,'1992-02-28 00:00:00',4,1,12,2010,'F','N','PLANALTO','IBIRUBÁ','RS','120201201216131331236924295124610134147',19839,'9998',27.78,1,3,NULL),(25,6310982,'1992-06-25 00:00:00',4,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124252251216471431428621575124610138182',NULL,'9998',0.00,1,3,NULL),(25,6310990,'1990-06-22 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124202201417131431238313292124610128097',19377,'9998',36.12,4,3,NULL),(25,6311008,'1991-06-12 00:00:00',4,1,11,2011,'M','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242138117111431547911435124610167082',NULL,'9998',59.16,1,3,NULL),(25,6311032,'1973-03-14 00:00:00',2,16,9,2009,'F','N','CENTRO','CURITIBANOS','SC','124203247625371441123344442324610136142',19583,'9999',35.61,1,3,NULL),(25,6311040,'1944-02-06 00:00:00',5,3,12,1972,'F','N','MEIA PRAIA','ITAPEMA','SC','124201203341271411235543231341141026147',NULL,'9998',6.14,1,3,NULL),(25,6311059,'1989-09-16 00:00:00',4,15,11,2009,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241247146141411211119345132133264187',NULL,'9999',17.89,1,3,NULL),(25,6311075,'1991-05-30 00:00:00',4,1,12,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215373431379931495134131934112',6557,'262',55.94,1,3,NULL),(25,6311083,'1991-10-27 00:00:00',2,1,12,2009,'M','N','ESTRELA DO SUL','CPO GRANDE','MS','112122121216471421478812575122610167052',NULL,'9998',0.00,1,3,NULL),(25,6311091,'1992-06-18 00:00:00',2,1,12,2009,'F','N','SÃO JOSÉ','FRAIBURGO','SC','124243241315472431433432585124610122042',19230,'317',30.70,1,3,NULL),(25,6311113,'1992-09-19 00:00:00',4,1,12,2010,'M','N','JARDIM DONALISIO','SALTO','SP','125252251217111431478832575122610134082',6926,'9998',53.36,1,3,NULL),(25,6311121,'1991-06-07 00:00:00',4,1,11,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241116131431336664495124610168192',16744,'592',35.71,1,3,NULL),(25,6311130,'1994-06-10 00:00:00',2,9,12,2011,'F','S','SANTANA','RIO SUL','SC','124242241215111411458932574122610127072',NULL,'9997',20.79,4,3,NULL),(25,6311148,'1983-03-31 00:00:00',2,1,12,2000,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241216175421437614485124322164097',17376,'52',39.96,1,3,NULL),(25,6311156,'1990-04-03 00:00:00',4,3,12,2007,'M','N','CENTRO','LONDRINA','PR','116162161216571711459921595112610112047',1523,'9998',69.24,1,3,NULL),(25,6311172,'1992-08-29 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431558811575122610137052',2614,'270',67.13,1,3,NULL),(25,6311180,'1991-12-03 00:00:00',4,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217273431568839475122233247072',7476,'270',55.83,4,3,NULL),(25,6311199,'1993-12-01 00:00:00',2,10,12,2010,'F','N','CENTRO','ORLEANS','SC','124244241216111431323933575124610121142',5372,'581',57.87,1,3,NULL),(25,6311202,'1992-01-21 00:00:00',2,8,12,2009,'F','N','JARDIM PALMARES','COLOMBO','PR','116161161116371341436519445134610167147',NULL,'9998',22.81,1,2,1),(25,6311210,'1992-12-16 00:00:00',4,1,12,2009,'F','N','CHACARA CACHOIERA','CPO GRANDE','MS','120122121216472431478812575122610166142',5184,'9998',57.60,1,3,NULL),(25,6311229,'1984-04-21 00:00:00',4,1,11,2001,'M','N','JARDIM VIRGINIA','MARÍLIA','SP','125251251416572431545611385123610132017',NULL,'9998',0.00,3,3,NULL),(25,6311237,'1993-12-02 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111531368814572114610167062',2243,'272',67.18,1,3,NULL),(25,6311253,'1993-08-12 00:00:00',2,4,12,2010,'M','N','PALMITAL','CHAPECÓ','SC','124241241135211431449913345124610167012',20298,'174',33.77,1,2,1),(25,6311261,'1974-07-16 00:00:00',2,1,12,1999,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','224243241127132431423359272112610128097',18838,'307',37.28,1,3,NULL),(25,6311288,'1991-12-21 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217111742458831585114610134041',12319,'272',47.66,1,3,NULL),(25,6311296,'1992-12-05 00:00:00',4,1,12,2010,'F','N','COOPHARÁDIO','CPO GRANDE','MS','112122121216111531468812575122610166092',NULL,'9998',0.00,1,3,NULL),(25,6311300,'1991-09-09 00:00:00',4,1,11,2008,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241235574451489923575124232444147',4989,'262',60.86,1,3,NULL),(25,6311318,'1988-09-30 00:00:00',2,1,12,2005,'M','N','NEVA','CASCAVEL','PR','116161161116131411446621385115141926062',NULL,'9998',0.00,1,2,1),(25,6311326,'1991-12-29 00:00:00',4,16,12,2009,'M','N','CENTRO','CURITIBANOS','SC','124241241115472531428816255124610127052',NULL,'320',0.00,1,3,NULL),(25,6311334,'1991-09-01 00:00:00',4,8,12,2009,'M','N','CENTRO','JOINVILLE','SC','124244246417132731118844345124610134147',NULL,'476',28.30,1,3,NULL),(25,6311342,'1993-01-09 00:00:00',4,8,12,2010,'M','N','CENTRO','JOINVILLE','SC','124241241134131431524633572122610167057',NULL,'1206',14.47,4,2,1),(25,6311350,'1987-10-28 00:00:00',4,1,12,2006,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241126153432533114582114610134147',20907,'296',25.82,1,2,1),(25,6311369,'1993-08-04 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241115371431226654575124610162192',NULL,'307',27.33,1,2,1),(25,6311377,'1990-08-01 00:00:00',2,1,12,2008,'M','N','JURERE INTL','FLORIANÓPOLIS','SC','124042041217111731487732375122141427112',10814,'9998',49.97,1,3,NULL),(25,6311385,'1993-01-07 00:00:00',4,1,12,2010,'F','N','JD BELA VISTA','CPO GRANDE','MS','112122121216171431478812575122610166072',5539,'9998',56.32,1,3,NULL),(25,6311393,'1993-07-25 00:00:00',4,7,12,2010,'M','N','NAZARÉ','CONCÓRDIA','SC','124241246215111431333336175124610124052',10280,'1001',46.93,1,3,NULL),(25,6311407,'1990-08-11 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124251251211112431136634495124221448182',3921,'9998',63.48,3,3,NULL),(25,6311415,'1993-11-13 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241225111431368823375112610126012',7174,'272',53.56,1,3,NULL),(25,6311431,'1994-01-26 00:00:00',2,1,12,2011,'F','S','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215111431468613335114610128112',NULL,'270',22.81,1,3,NULL),(25,6311440,'1994-03-14 00:00:00',4,9,12,2010,'F','N','JARDIM DOS PAMPAS','VACARIA','RS','120202201216111431568813595122610168142',NULL,'9998',0.00,1,3,NULL),(25,6311458,'1990-01-04 00:00:00',4,1,6,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241311273411369933445124120924142',5901,'306',55.09,1,3,NULL),(25,6311466,'1992-12-07 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241215111731446824372122610163097',6965,'497',56.80,1,3,NULL),(25,6311474,'1991-02-07 00:00:00',4,1,12,2008,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241211374751468614575124223237092',8350,'259',51.13,1,3,NULL),(25,6311482,'1992-04-20 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216153431246833575124233267042',NULL,'270',39.13,1,3,NULL),(25,6311490,'1991-07-22 00:00:00',2,8,11,2009,'F','N','IRIRIÚ','JOINVILLE','SC','124241241215472451546619492124610168121',8669,'931',52.35,1,3,NULL),(25,6311504,'1991-12-02 00:00:00',4,8,12,2009,'M','N','JARDIM NAZARETH','S JOSÉ R PRETO','SP','125252251216471431459933575122610167186',NULL,'9998',0.00,1,3,NULL),(25,6311512,'1993-02-12 00:00:00',4,1,12,2010,'F','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124242241217131331326311275124610155197',19432,'63',35.96,1,3,NULL),(25,6311520,'1992-04-24 00:00:00',4,1,11,2008,'M','N','BARREIROS','S JOSÉ','SC','124243241211122431458819345124230767042',15343,'1118',43.16,1,3,NULL),(25,6311539,'1993-12-24 00:00:00',2,9,11,2010,'F','N','CENTRO','LAGES','SC','124243241215111431236634575122610124192',17055,'1207',38.00,1,3,NULL),(25,6311547,'1993-04-01 00:00:00',2,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241115131432423318575124610127057',20713,'289',32.33,4,2,1),(25,6311563,'1991-02-21 00:00:00',4,1,12,2008,'M','N','CENTRO','CORDEIRÓPOLIS','SP','125254251217572431478614571122610162012',7679,'9998',52.98,1,3,NULL),(25,6311571,'1993-10-31 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215112431558813472122610137077',3158,'737',63.88,1,3,NULL),(25,6311580,'1987-01-04 00:00:00',4,15,12,2006,'M','N','VILA BEATRIZ','MARACAJÁ','SC','124241241126153441433311185122130824047',NULL,'550',0.00,1,2,1),(25,6311598,'1993-12-20 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243242115111731325634575122610134047',14348,'129',39.61,1,3,NULL),(25,6311601,'1991-04-12 00:00:00',2,4,12,2009,'F','N','LA SALLE','PATO BRANCO','PR','116164166117471431537874571122610134097',2459,'9998',66.13,1,3,NULL),(25,6311628,'1992-12-14 00:00:00',2,3,12,2009,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124244241216372731239934282122610125112',15390,'967',43.07,1,3,NULL),(25,6311636,'1984-02-18 00:00:00',2,1,12,2001,'F','N','LAGOINHA','FLORIANÓPOLIS','SC','124201201337141412223349392224610164187',NULL,'9998',16.63,1,3,NULL),(25,6311644,'1986-02-14 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241213374451258821477114133262185',10092,'272',51.18,1,3,NULL),(25,6311652,'1993-09-30 00:00:00',4,4,12,2010,'M','N','CENTRO','ITAPIRANGA','SC','124241241115161231328821475125610162042',NULL,'412',30.38,1,2,1),(25,6311660,'1992-12-31 00:00:00',4,5,12,2009,'F','N','BOM FIM','PTO ALEGRE','RS','120201201217371431126619571115610132097',NULL,'9998',25.95,1,3,NULL),(25,6311679,'1993-02-16 00:00:00',4,1,11,2009,'M','N','PETRÓPOLIS','PASSO FUNDO','RS','120202201217241431549829215134610164147',NULL,'9998',31.51,1,3,NULL),(25,6311687,'1993-08-08 00:00:00',2,1,11,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215131731323624342124610117147',12055,'1010',44.86,4,3,NULL),(25,6311709,'1993-03-15 00:00:00',4,8,12,2010,'F','N','BOA VISTA','JOINVILLE','SC','124242246117131431649923271124610136191',17078,'1006',34.83,1,3,NULL),(25,6311717,'1992-03-09 00:00:00',4,1,12,2009,'F','N','BANGÚ','STO ANDRÉ','SP','125254251417472431238624574122610123187',NULL,'9998',0.00,1,3,NULL),(25,6311725,'1992-08-19 00:00:00',4,6,12,2009,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241215473431446914572122610162197',NULL,'1026',0.00,1,3,NULL),(25,6311733,'1993-12-09 00:00:00',2,1,12,2010,'F','N','CENTRO','CPO GRANDE','MS','112124121216111441468812575122610165092',19163,'9998',30.54,1,3,NULL),(25,6311741,'1992-06-20 00:00:00',2,5,12,2010,'M','N','RIO MAINA','CRICIÚMA','SC','124241243115131431538613572124610128097',21042,'228',30.90,4,3,NULL),(25,6311750,'1983-05-19 00:00:00',2,15,12,2001,'M','N','BARRANCA','ARARANGUÁ','SC','124241241137131431112341115122231348177',15674,'30',42.64,1,3,NULL),(25,6311768,'1984-02-09 00:00:00',4,1,12,2000,'M','N','MACHADINHO','AMERICANA','SP','125251258426272421338819235123343212091',NULL,'9998',0.00,4,3,NULL),(25,6311784,'1993-09-18 00:00:00',2,17,12,2010,'F','N','VILA NOVA','MAFRA','SC','124241241115111411423634175122610125142',NULL,'545',24.28,1,2,1),(25,6311792,'1991-08-24 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116131431326321312314610167182',NULL,'592',31.06,1,2,1),(25,6311806,'1993-07-18 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431356867595122610147043',18026,'951',35.88,1,3,NULL),(25,6311814,'1992-09-18 00:00:00',4,1,12,2009,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241216373421438823575124610122117',6416,'883',55.40,1,3,NULL),(25,6311822,'1993-09-30 00:00:00',2,2,11,2010,'F','N','VELHA','BLUMENAU','SC','124242241415111231448711375122610137012',17758,'88',33.70,1,3,NULL),(25,6311830,'1969-07-16 00:00:00',2,8,5,2005,'M','N','AVENTUREIRO','JOINVILLE','SC','624241247116152441322243335123130226097',18988,'9999',31.75,1,2,1),(25,6311849,'1992-03-19 00:00:00',4,1,12,2009,'M','N','BATEL','CURITIBA','PR','116164161215472231458714575122610167052',12455,'9998',41.75,1,3,NULL),(25,6311865,'1993-06-25 00:00:00',2,1,12,2010,'M','N','CENTRO','S JOSÉ','SC','124242241215111431336911572124610134092',NULL,'723',30.41,1,3,NULL),(25,6311873,'1993-06-05 00:00:00',4,2,10,2010,'M','N','ENCANO','INDAIAL','SC','124242241215271531466614275124610137042',17515,'909',34.64,1,3,NULL),(25,6311881,'1995-02-09 00:00:00',4,1,12,2012,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241217171732569613595122610114071',NULL,'988',20.18,1,3,NULL),(25,6311903,'1993-03-02 00:00:00',4,2,12,2010,'F','N','CENTRO','BRUSQUE','SC','124244241415321431439632275122610131142',NULL,'107',0.00,4,3,NULL),(25,6311920,'1993-07-23 00:00:00',2,1,12,2010,'F','N','CENTRO','FRAIBURGO','SC','124243241317371431548932575122610162052',9640,'885',47.96,1,3,NULL),(25,6311954,'1992-07-14 00:00:00',2,9,12,2009,'F','N','JARDIM CAIÇARA','S JOAQUIM','SC','124241241116371431423329285112610134142',19934,'719',34.77,1,2,1),(25,6311962,'1993-12-12 00:00:00',4,3,12,2010,'M','N','CENTRO','BOMBINHAS','SC','124241242117111431336639272124610167167',NULL,'24',26.44,1,3,NULL),(25,6311989,'1990-07-17 00:00:00',2,1,12,2008,'M','N','FLORESTA','CAXIAS SUL','RS','120202201217571431538714275124610167042',5264,'9998',57.84,1,3,NULL),(25,6311997,'1993-07-11 00:00:00',4,1,12,2010,'M','N','CENTRO','BIGUAÇU','SC','124242241215111431447811412124610122092',21297,'262',29.46,1,3,NULL),(25,6312004,'1992-11-17 00:00:00',4,1,11,2009,'M','N','TERESÓPOLIS','PTO ALEGRE','RS','120203201216471731459813581124241267117',NULL,'9998',12.90,1,3,NULL),(25,6312012,'1990-11-24 00:00:00',4,1,12,2007,'M','N','CENTRO','LONDRINA','PR','116162161215571211359634575122610166097',1830,'9998',67.70,1,3,NULL),(25,6312020,'1993-02-17 00:00:00',4,17,12,2010,'F','N','ALTO DE MAFRA','MAFRA','SC','124241161216131411446933574124610166057',3410,'9998',63.53,1,3,NULL),(25,6312039,'1993-10-28 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241217271431349913275122610137057',14011,'829',40.43,1,3,NULL),(25,6312047,'1991-07-16 00:00:00',2,1,11,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117143431536613391224610161017',NULL,'281',19.73,1,2,1),(25,6312055,'1992-03-15 00:00:00',4,1,12,2009,'M','N','BUENO','GOIÂNIA','GO','109092091215371441467812575122610164012',86,'9998',84.00,1,3,NULL),(25,6312063,'1991-09-24 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116242241216372431469611574114141426172',NULL,'1178',0.00,1,3,NULL),(25,6312071,'1992-01-22 00:00:00',2,1,12,2010,'M','N','CHÁCARA DOS JUNQUEIR','CARAPICUÍBA','SP','125252251217371411279922575122610168096',7358,'9998',52.72,1,3,NULL),(25,6312080,'1993-06-02 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115271431436619575124610127072',11416,'267',46.44,1,2,1),(25,6312098,'1992-11-30 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215372111246623575112610122172',13370,'1133',46.12,1,3,NULL),(25,6312101,'1993-11-28 00:00:00',2,1,11,2010,'F','N','CENTRO','AMPÉRE','PR','116161161217371431436622575122610115097',NULL,'9998',0.00,1,3,NULL),(25,6312110,'1990-01-06 00:00:00',2,1,12,2008,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241115131731323319395124232713142',NULL,'278',18.70,1,2,1),(25,6312128,'1992-10-13 00:00:00',2,2,12,2009,'F','N','CENTRO','LAURENTINO','SC','124241248146131431436814345134610166092',NULL,'528',0.00,1,2,1),(25,6312136,'1993-10-11 00:00:00',2,8,12,2010,'F','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124241241145371431524632575124610123142',NULL,'438',13.83,1,3,NULL),(25,6312144,'1992-09-18 00:00:00',2,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124244248131242431343511212124221267072',NULL,'733',29.36,1,3,NULL),(25,6312152,'1993-09-28 00:00:00',4,1,12,2010,'F','N','ITACURUBI','FLORIANÓPOLIS','SC','124241241136471431526634275124610114143',21211,'287',25.12,1,2,1),(25,6312160,'1992-07-31 00:00:00',4,1,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217231731337829472122610162097',NULL,'1086',21.33,1,3,NULL),(25,6312179,'1993-05-01 00:00:00',2,7,12,2010,'M','N','SÃO SEBASTIÃO','CAMPOS NOVOS','SC','124241241115131431324311195123610137047',NULL,'140',35.82,1,2,1),(25,6312187,'1993-08-04 00:00:00',4,2,11,2010,'F','N','TIMBÓ','TIMBÓ','SC','124241241215112431433311576111610142146',3603,'1157',61.33,1,3,NULL),(25,6312195,'1993-07-23 00:00:00',2,15,12,2010,'F','N','DIVINÉIA','ARARANGUÁ','SC','124241241115141451423419572122610128077',NULL,'30',28.68,1,2,1),(25,6312217,'1984-10-03 00:00:00',4,1,12,2004,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124131131147271421223379295124610133097',20719,'9998',32.32,1,3,NULL),(25,6312225,'1994-04-19 00:00:00',2,1,12,2010,'M','N','PICADAS DO SUL','S JOSÉ','SC','124244241415131731544614445124610167041',20643,'733',32.60,1,3,NULL),(25,6312233,'1992-06-29 00:00:00',4,1,12,2009,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241241115473431456633572124610167181',12495,'307',44.31,1,2,1),(25,6312241,'1992-07-03 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241117472611349933575114220634142',3160,'307',65.21,1,3,NULL),(25,6312250,'1992-01-05 00:00:00',2,1,12,2010,'M','N','CENTRO','CHARQUEADAS','RS','120203206117161441533621276122610137012',15114,'9998',43.52,1,3,NULL),(25,6312268,'1993-02-02 00:00:00',2,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241112271431239749591224610166142',NULL,'726',32.85,4,3,NULL),(25,6312276,'1993-09-17 00:00:00',2,17,12,2010,'M','N','CENTRO','CANOINHAS','SC','124241241115371431325569572325610124047',21595,'146',26.99,1,2,1),(25,6312284,'1993-06-19 00:00:00',4,1,12,2010,'M','N','PRADO','BIGUAÇU','SC','124241241115141432543314382121610137052',NULL,'65',33.56,4,2,1),(25,6312292,'1993-09-25 00:00:00',4,1,12,2010,'M','N','ARIRIU','PALHOÇA','SC','124241241117371431423711285124610112057',14009,'772',41.51,1,2,1),(25,6312306,'1992-03-24 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241116131511358823575124610157062',NULL,'271',17.20,1,3,NULL),(25,6312322,'1990-04-28 00:00:00',4,1,11,2007,'F','N','KOBRASOL','S JOSÉ','SC','124242247217271412353433475114610142032',13560,'9999',45.84,1,3,NULL),(25,6312330,'1987-11-03 00:00:00',2,1,12,2007,'F','N','TIJUQUINHAS','BIGUAÇU','SC','124241241115271731424469485114610168147',NULL,'64',0.00,1,2,1),(25,6312349,'1991-03-25 00:00:00',2,6,12,2008,'M','N','AZAMBUJA','CRUZ ALTA','RS','120201248216572431556832192125610117122',8646,'44',50.26,4,3,NULL),(25,6312357,'1992-11-25 00:00:00',4,1,12,2009,'M','N','PARQUE BOTURUSSU','S PAULO','SP','125252251215471431458823576124610164142',3058,'9998',64.15,1,3,NULL),(25,6312365,'1992-11-03 00:00:00',2,1,12,2010,'F','N','CENTRO','S JOSÉ','SC','124244241216121431578513575122610123142',20814,'723',28.37,1,3,NULL),(25,6312373,'1994-04-28 00:00:00',4,8,11,2011,'M','S','MORRO DO MEIO','JOINVILLE','SC','124242241217161231449919571122610125192',NULL,'9997',25.19,1,3,NULL),(25,6312381,'1992-10-16 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124244241215111131425619315112610113097',NULL,'1076',16.06,1,3,NULL),(25,6312403,'1993-11-25 00:00:00',4,6,12,2010,'M','N','CARMELO','S JOÃO BATISTA','SC','124241241125131431433164145121610167042',NULL,'712',0.00,1,3,NULL),(25,6312411,'1984-04-11 00:00:00',4,1,12,2002,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216153751228641515122610164015',13599,'1105',45.78,4,3,NULL),(25,6312420,'1993-09-06 00:00:00',2,1,12,2010,'M','N','PRADO','BIGUAÇU','SC','123241241116371431343834375112610117052',19251,'65',33.31,1,2,1),(25,6312438,'1994-02-21 00:00:00',2,1,12,2010,'M','N','TRÊS VENDAS','ERECHIM','RS','120201201117132421528833271124610137077',10657,'9998',45.93,1,2,1),(25,6312454,'1992-06-24 00:00:00',4,3,12,2010,'F','N','VÁRZEA','ITAPEMA','SC','124241241115131431325329575122610166147',NULL,'406',23.97,1,2,1),(25,6312462,'1955-05-08 00:00:00',4,1,11,1976,'M','N','CENTRO','FLORIANÓPOLIS','SC','224241241326152711364449393112330836195',19761,'210',35.24,1,3,NULL),(25,6312470,'1991-10-08 00:00:00',2,15,7,2009,'M','N','COLONINHA','ARARANGUÁ','SC','124244246217111421336912442132610147045',NULL,'995',36.45,1,3,NULL),(25,6312489,'1992-09-24 00:00:00',4,8,12,2010,'F','N','SAGUAÇÚ','JOINVILLE','SC','124244241215272731458833575122610164185',1675,'457',69.36,1,3,NULL),(25,6312497,'1993-08-27 00:00:00',2,7,12,2010,'F','N','SENHOR BOM JESUS','CAMPOS NOVOS','SC','124241241116271411433313392222610145147',NULL,'139',0.00,1,2,1),(25,6312500,'1994-05-04 00:00:00',4,1,12,2011,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124241241115111532328623372112610167045',NULL,'307',28.05,1,3,NULL),(25,6312543,'1984-12-22 00:00:00',2,1,12,2003,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241126174441327664485123222938182',12904,'307',46.73,1,3,NULL),(25,6312551,'1985-10-28 00:00:00',2,1,7,2004,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241247224135451444333395124233261177',10916,'63',49.80,1,3,NULL),(25,6312560,'1989-08-27 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241215372441348924435122233234182',NULL,'272',0.00,1,3,NULL),(25,6312578,'1993-06-04 00:00:00',4,15,12,2010,'F','N','LINHA SÃO PEDRO','JACINTO MACHADO','SC','124241241115131331423315452224610136147',NULL,'420',0.00,1,3,NULL),(25,6312586,'1994-05-06 00:00:00',4,1,11,2011,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241211111431568812371122610117062',NULL,'270',52.52,1,3,NULL),(25,6312594,'1993-04-16 00:00:00',2,10,11,2010,'M','N','OFICINAS','TUBARÃO','SC','124164241215131431437614575121610167057',11765,'809',43.48,1,3,NULL),(25,6312608,'1988-07-02 00:00:00',2,1,12,2005,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215154451338869492114121237117',NULL,'951',0.00,1,3,NULL),(25,6312616,'1993-01-16 00:00:00',2,7,12,2009,'F','N','CENTRO','FRAIBURGO','SC','124243241215471531538614575222610167072',8658,'317',49.63,1,3,NULL),(25,6312624,'1990-03-09 00:00:00',4,1,12,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241116273431268813471112610124112',16728,'267',41.03,1,2,1),(25,6312640,'1992-11-05 00:00:00',4,1,12,2010,'M','N','CENTRO','AGUAÍ','SP','125252251215111431556839172111610167052',21102,'9998',23.22,1,3,NULL),(25,6312659,'1994-10-09 00:00:00',4,1,10,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111411349811275112610124185',8924,'270',53.19,1,3,NULL),(25,6312667,'1993-10-11 00:00:00',2,15,11,2010,'F','N','SÃO PEREGRINO','TURVO','SC','124242241215112431444632576124610124012',8527,'970',50.07,1,3,NULL),(25,6312675,'1992-09-24 00:00:00',4,17,12,2009,'M','N','JARDIM EUROPA','PNT GROSSA','PR','116162161214371431458814572121610114182',NULL,'9998',29.75,1,3,NULL),(25,6312683,'1993-01-23 00:00:00',2,1,12,2010,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162161216111731569933575125610117076',NULL,'9998',35.81,2,3,NULL),(25,6312691,'1993-01-17 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242248217471411458833495124131361182',NULL,'499',0.00,1,3,NULL),(25,6312705,'1989-04-14 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124241241127131431321144242234610162142',NULL,'13',17.36,1,2,1),(25,6312713,'1993-02-25 00:00:00',4,9,10,2010,'F','N','SAGRADO','LAGES','SC','124242241217112511358714596122610132142',11967,'497',44.25,1,3,NULL),(25,6312721,'1990-08-25 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124141141127231311223735372314610127047',NULL,'9998',33.96,2,2,1),(25,6312730,'1982-10-17 00:00:00',4,1,12,2001,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124162241216154431568714485122221467092',7400,'391',55.97,1,3,NULL),(25,6312756,'1991-02-04 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217273431359713175124131064042',NULL,'1111',0.00,1,3,NULL),(25,6312772,'1992-11-18 00:00:00',4,1,12,2010,'M','N','VILA IZA','S PAULO','SP','125252251215111431237813575122610117117',NULL,'9998',0.00,2,3,NULL),(25,6312780,'1993-10-29 00:00:00',4,16,12,2010,'F','N','SÃO LUIZ','CURITIBANOS','SC','124241241115371531436614342122610123145',16625,'239',35.79,1,2,1),(25,6312799,'1992-12-04 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215472441369813295114610142113',9721,'270',49.54,1,3,NULL),(25,6312802,'1991-01-27 00:00:00',2,8,11,2008,'M','N','CENTRO','CURITIBA','PR','116161161316572411425534574124610147147',NULL,'9998',0.00,4,1,2),(25,6312810,'1992-03-05 00:00:00',2,1,11,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241215472411248716595122121427052',3957,'270',61.83,1,3,NULL),(25,6312829,'1990-12-03 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161241117134431323829592324222262147',18307,'425',38.27,1,2,1),(25,6312837,'1988-06-16 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248215273431469812385125133211141',3840,'270',63.72,1,3,NULL),(25,6312845,'1989-06-05 00:00:00',2,5,12,2006,'F','N','SÃO LUIZ','CRICIÚMA','SC','124241241216575431323332392124610145047',12963,'920',42.15,1,3,NULL),(25,6312853,'1994-04-07 00:00:00',2,8,12,2010,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124243241215111431466813576121610167062',NULL,'424',31.98,1,3,NULL),(25,6312896,'1992-12-19 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241415151731666612572112610166077',5557,'273',57.05,1,3,NULL),(25,6312918,'1993-09-12 00:00:00',2,7,12,2010,'F','N','TOBIAS','JOAÇABA','SC','124242241211371731335624572125610162072',15055,'962',39.32,1,3,NULL),(25,6312926,'1988-09-23 00:00:00',4,15,11,2005,'M','N','SANTA RITA','ARARANGUÁ','SC','124241241117161421433315445134610127043',19745,'29',35.27,1,2,1),(25,6312934,'1994-09-06 00:00:00',4,17,12,2011,'F','S','ALTO DA TIJUCA','CANOINHAS','SC','124242241215111752346831416222610123051',NULL,'9997',32.00,1,3,NULL),(25,6312950,'1991-08-28 00:00:00',2,8,12,2009,'M','N','ITAUM','JOINVILLE','SC','124241241217131431436611575124610157187',20151,'489',34.19,1,3,NULL),(25,6312969,'1993-06-09 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431369719575122610141035',NULL,'262',33.82,1,3,NULL),(25,6312977,'1993-09-13 00:00:00',4,10,12,2010,'M','N','RECIFE','TUBARÃO','SC','124242241215151241568813475111610114142',1230,'797',71.71,1,3,NULL),(25,6312993,'1991-07-09 00:00:00',2,1,7,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244247217132711246749295122130815181',NULL,'9999',18.63,1,3,NULL),(25,6313000,'1993-02-04 00:00:00',4,1,12,2010,'F','N','RIO VEADO','LEOBERTO LEAL','SC','124241241122141431323429142224610127143',NULL,'533',18.51,1,2,1),(25,6313019,'1990-07-01 00:00:00',4,15,12,2007,'M','N','COLONINHA','ARARANGUÁ','SC','122223221417232711426731575124240922047',NULL,'9998',26.69,1,3,NULL),(25,6313027,'1993-02-15 00:00:00',4,9,11,2010,'F','N','BRUSQUE','LAGES','SC','124244241215111431427811345122610167122',21390,'497',28.89,1,3,NULL),(25,6313035,'1993-11-30 00:00:00',4,2,11,2010,'F','N','GARCIA','BLUMENAU','SC','124242241215121431369969275122610131182',NULL,'855',17.06,1,3,NULL),(25,6313043,'1965-10-26 00:00:00',2,1,11,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224241245126131431531134112124610114185',NULL,'282',14.72,2,3,NULL),(25,6313051,'1991-11-06 00:00:00',4,1,10,2009,'F','N','SANTA QUITÉRIA','CURITIBA','PR','116162161216472431459712575124610132042',3667,'9998',61.72,1,3,NULL),(25,6313060,'1992-11-12 00:00:00',4,6,12,2009,'M','N','MARIA LUIZA','CASCAVEL','PR','116161161135571741346939571122610165197',2153,'9998',67.47,1,2,1),(25,6313078,'1993-12-07 00:00:00',4,1,12,2011,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431337834585122610134142',NULL,'1022',56.59,1,3,NULL),(25,6313094,'1988-07-28 00:00:00',2,10,12,2005,'F','N','BARRANCEIRA','LAGUNA','SC','124241241116131731423379382314133035027',NULL,'521',22.67,1,2,1),(25,6313116,'1989-08-28 00:00:00',4,8,12,2006,'F','N','CENTRO','JARAGUÁ SUL','SC','124241241215575431356923472122610162142',7027,'441',53.98,1,3,NULL),(25,6313124,'1993-05-22 00:00:00',2,1,12,2010,'F','N','MADRI','FLORIANÓPOLIS','SC','124241241115371751633514272114610136192',16173,'591',36.84,4,2,1),(25,6313132,'1992-12-10 00:00:00',4,6,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241212271411379914572122610136172',4122,'44',61.91,1,3,NULL),(25,6313140,'1992-08-02 00:00:00',4,1,12,2009,'M','N','IDEAL','NOVO HAMBURGO','RS','120202208215471411568939571144610168047',3746,'9998',61.35,1,3,NULL),(25,6313175,'1994-08-16 00:00:00',4,1,11,2010,'F','N','VORSTADT','BLUMENAU','SC','124242241215111431468832571112610121122',NULL,'909',19.04,1,3,NULL),(25,6313183,'1994-02-09 00:00:00',2,8,12,2010,'M','N','XAXIM','CURITIBA','PR','116161161116371431447613575114610127067',10011,'9998',47.44,4,3,NULL),(25,6313205,'1991-06-02 00:00:00',2,4,12,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124202201211471411268831475122610122122',11216,'9998',49.36,1,3,NULL),(25,6313213,'1993-09-14 00:00:00',2,15,12,2010,'F','N','CENTRO','TURVO','SC','124244241215141431457932575112610137072',NULL,'995',0.00,1,3,NULL),(25,6313230,'1991-10-02 00:00:00',4,1,12,2009,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124202201217371331129614375124610124145',NULL,'9998',38.40,1,3,NULL),(25,6313248,'1989-07-07 00:00:00',4,17,10,2010,'M','N','BOM JESUS','RIO NEGRO','PR','116241167127131431539519245124610134047',NULL,'9998',20.78,1,2,1),(25,6313264,'1993-09-03 00:00:00',4,1,12,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124244241412111731539913575125610124197',13409,'1074',40.59,1,3,NULL),(25,6313272,'1991-07-15 00:00:00',2,1,12,2010,'F','N','SANTA ANGELA','POÇOS CALDAS','MG','113133131116131431625321111324610125097',18360,'9998',36.37,1,3,NULL),(25,6313280,'1990-10-09 00:00:00',4,1,12,2009,'M','N','JARDIM FLAMBOYANT','CAMPINAS','SP','125252251237131751459831472142142767057',NULL,'9998',0.00,1,3,NULL),(25,6313302,'1992-01-26 00:00:00',2,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241217473431378613572114610135182',10365,'270',50.70,1,3,NULL),(25,6313310,'1980-08-18 00:00:00',4,1,12,1997,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124202201217151431438712485124142044117',19537,'9998',35.72,1,3,NULL),(25,6313329,'1992-10-21 00:00:00',4,6,10,2010,'F','N','CENTRO','PENHA','SC','124242248237111751419639295125610117012',NULL,'912',20.33,1,3,NULL),(25,6313337,'1992-12-31 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241115371431436614475124610124147',16372,'307',36.96,1,2,1),(25,6313345,'1992-09-07 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215424431488813575122610167012',6080,'270',58.55,1,3,NULL),(25,6313361,'1993-01-28 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115371431226821472324610164142',13021,'307',46.57,1,2,1),(25,6313370,'1982-11-12 00:00:00',2,8,12,1999,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116163161116571411553512415122342522092',NULL,'9998',0.00,1,3,NULL),(25,6313388,'1992-11-24 00:00:00',4,7,12,2010,'M','N','CENTRO','ERVAL VELHO','SC','124241241146471711214349395124610116042',NULL,'253',17.81,4,2,1),(25,6313426,'1993-04-17 00:00:00',4,3,12,2010,'M','N','SÃO BERNARDO','CAMPINAS','SP','125252251117131751327834382324610164047',9112,'9998',49.09,1,3,NULL),(25,6313434,'1991-10-10 00:00:00',4,1,11,2008,'M','N','SÃO NICOLAU','REGISTRO','SP','125252251216531431566715575222610167047',10962,'9998',45.52,1,3,NULL),(25,6313442,'1991-04-03 00:00:00',4,4,12,2008,'M','N','BELVEDERE','SAUDADES','SC','124241241136272441457814496114121662042',NULL,'761',0.00,3,2,1),(25,6313450,'1988-01-09 00:00:00',2,1,12,2005,'F','N','BELA VISTA','PALHOÇA','SC','224161161116572411246654245112610168187',10862,'9998',49.89,1,2,1),(25,6313477,'1993-06-30 00:00:00',2,15,11,2010,'F','N','JUNDIA','TURVO','SC','124242241215321431243336572122610167072',NULL,'970',31.94,1,3,NULL),(25,6313485,'1993-04-05 00:00:00',4,1,11,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124244241415121731325839582124610168182',NULL,'9997',16.16,4,3,NULL),(25,6313515,'1991-10-07 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116133431436111335124610136145',NULL,'281',19.41,1,2,1),(25,6313523,'1993-08-02 00:00:00',2,1,11,2010,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241215111432436414585124610164192',NULL,'1223',24.03,1,3,NULL),(25,6313531,'1992-05-02 00:00:00',4,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124243241215111531454623585114610122177',NULL,'1118',30.60,1,3,NULL),(25,6313540,'1992-02-08 00:00:00',4,8,12,2008,'F','N','CENTRO','IBAITI','PR','116162161216572431334923575125610167077',NULL,'9998',27.65,1,3,NULL),(25,6313558,'1993-09-13 00:00:00',4,4,12,2010,'M','N','CENTRO','LGA VERMELHA','RS','120202201216111411458839575122610167047',NULL,'9998',0.00,1,3,NULL),(25,6313566,'1985-06-30 00:00:00',2,1,12,2004,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124141141112211751333564442114610113193',21502,'9997',27.89,4,2,1),(25,6313574,'1992-04-29 00:00:00',4,1,12,2010,'M','N','CENTRO','NOVA TRENTO','SC','124243241215111431434363342221610127047',20769,'1090',32.08,1,3,NULL),(25,6313582,'1988-07-10 00:00:00',2,15,12,2005,'F','N','COLONINHA','ARARANGUÁ','SC','124241241147131431323324232115610138197',NULL,'29',32.16,1,3,NULL),(25,6313590,'1991-09-21 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241215372431434411475114610164185',17137,'269',34.83,4,3,NULL),(25,6313604,'1991-01-22 00:00:00',2,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241115371731346413445112610137047',NULL,'267',19.32,1,2,1),(25,6313620,'1993-04-15 00:00:00',4,8,12,2010,'F','N','CENTRO','S BENTO SUL','SC','124241241115271431341923575112610117147',NULL,'697',0.00,1,2,1),(25,6313639,'1993-11-22 00:00:00',2,4,12,2010,'M','N','CENTRO','PALMAS','PR','116162161216271751459939575122610148187',NULL,'9998',0.00,1,3,NULL),(25,6313647,'1992-07-30 00:00:00',4,3,10,2009,'M','N','CENTRO','CURITIBA','PR','116162161212472411489812571124610167042',1717,'9998',69.29,1,3,NULL),(25,6313655,'1993-02-28 00:00:00',4,2,10,2010,'F','N','MOSSUNGUE','CURITIBA','PR','116162161215111431436817572122610117147',3936,'9998',60.74,1,3,NULL),(25,6313663,'1990-04-11 00:00:00',2,4,12,2007,'F','N','PADRE ANTONIO','MARAVILHA','SC','124241241117573431336529192344610164197',7066,'552',53.86,1,2,1),(25,6313671,'1990-06-18 00:00:00',4,1,5,2008,'F','N','CENTRO','PELOTAS','RS','120201201116271431338813575124610127147',NULL,'9998',0.00,1,2,1),(25,6313680,'1992-08-25 00:00:00',2,1,12,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241216211411456811585122610116091',16125,'1050',37.52,1,3,NULL),(25,6313698,'1991-12-22 00:00:00',2,8,12,2008,'F','N','ÁGUAS BELAS','S JOSÉ PINHAIS','PR','116162161215572431448411591122610146182',NULL,'9998',0.00,1,3,NULL),(25,6313728,'1993-02-23 00:00:00',4,1,11,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216111431448812575112610167042',723,'262',75.36,1,3,NULL),(25,6313736,'1992-08-03 00:00:00',2,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241115272231523628245224610127062',20145,'288',30.12,1,2,1),(25,6313744,'1991-12-10 00:00:00',4,1,12,2010,'M','N','CENTRO','MARINGÁ','PR','116162161215111711588811411112610114047',NULL,'9998',0.00,4,3,NULL),(25,6313760,'1992-06-05 00:00:00',4,1,12,2009,'M','N','JARDIM MARABÁ','ITAPETININGA','SP','125252251215371411458932422122141427052',NULL,'9998',0.00,1,3,NULL),(25,6313779,'1989-10-04 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241136373411113641312234231064141',NULL,'307',26.43,1,2,1),(25,6313787,'1978-01-16 00:00:00',2,1,12,1997,'M','N','AREIAS','S JOSÉ','SC','124241247126155741546513492124321864172',7053,'9999',56.64,1,3,NULL),(25,6313809,'1992-06-10 00:00:00',4,1,12,2009,'F','N','SANTA GENEBRA','CAMPINAS','SP','125252251217271431268414471222610127051',15305,'9998',43.24,1,3,NULL),(25,6313841,'1985-08-10 00:00:00',2,1,7,2004,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241127271411223329196345133046187',NULL,'239',29.62,3,2,1),(25,6313850,'1993-07-14 00:00:00',4,10,12,2010,'F','N','OFICINAS','TUBARÃO','SC','124244241235131431425933571125610148077',9690,'1120',47.71,4,3,NULL),(25,6313868,'1986-09-22 00:00:00',2,6,12,2003,'F','N','CENTRO','PNT GROSSA','PR','116161161317575411127742315334241363197',8564,'9998',48.84,4,3,NULL),(25,6313876,'1993-02-22 00:00:00',4,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241225131411433331574124610161077',12629,'262',42.05,4,3,NULL),(25,6313884,'1992-08-08 00:00:00',4,5,11,2009,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242246215372431558612275112610128182',14444,'995',44.53,1,3,NULL),(25,6313906,'1993-10-24 00:00:00',4,2,12,2010,'M','N','CENTRO','BRUSQUE','SC','124242241215372231468912572115610134192',3849,'107',62.24,1,3,NULL),(25,6313914,'1971-02-01 00:00:00',4,1,12,1989,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','624161161436152721235453335122342266181',11789,'9998',48.50,1,3,NULL),(25,6313930,'1991-03-18 00:00:00',4,1,12,2008,'F','N','JARDIM LA SALLE','TOLEDO','PR','116162161216573731477923574112610136142',NULL,'9998',47.42,1,3,NULL),(25,6313949,'1988-04-16 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241248136132712438319492124233257147',NULL,'281',17.44,4,2,1),(25,6313957,'1994-06-08 00:00:00',4,3,12,2011,'M','S','CENTRO','BAL CAMBORIÚ','SC','124242241215121732336933572224610127147',NULL,'44',39.67,1,3,NULL),(25,6313965,'1992-10-17 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124242241215471231358811575122610167052',3398,'168',63.04,1,3,NULL),(25,6313973,'1990-01-09 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124161161137141432125449395124610144157',20307,'9998',33.73,2,1,1),(25,6313990,'1993-01-23 00:00:00',2,7,12,2010,'F','N','CENTRO','CAPINZAL','SC','124243241116151732336935575125610162147',NULL,'156',28.41,1,3,NULL),(25,6314007,'1988-05-05 00:00:00',4,1,11,2005,'F','N','VILA GUMERCINDO','S PAULO','SP','125252251116371441246823375124140426112',10062,'9998',47.27,1,3,NULL),(25,6314015,'1991-10-04 00:00:00',4,1,12,2009,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241217131431326624445111610114052',11510,'781',48.88,1,3,NULL),(25,6314023,'1993-01-25 00:00:00',1,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115272431457733572122610142142',13810,'267',41.73,1,2,1),(25,6314031,'1992-02-01 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216373431537629572112610167042',10836,'262',46.99,1,3,NULL),(25,6314040,'1992-08-17 00:00:00',4,1,12,2009,'M','N','EXPOSIÇÃO','CAXIAS SUL','RS','120202201216571441469631571122610127042',1737,'9998',68.44,1,3,NULL),(25,6314058,'1992-01-21 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241248126142431223324342124610112142',NULL,'702',37.56,1,2,1),(25,6314066,'1990-07-26 00:00:00',4,1,12,2008,'M','N','ALTO DA BOA VISTA','S PAULO','SP','125252251217471711219831575122240333072',4077,'9998',63.08,1,3,NULL),(25,6314074,'1992-01-15 00:00:00',2,8,12,2009,'F','N','BOA VISTA','PNT GROSSA','PR','116161161124371731636923372324610168142',15938,'9998',37.40,1,2,1),(25,6314082,'1989-05-08 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241316474441258822375114130717182',8081,'267',54.42,1,3,NULL),(25,6314090,'1993-05-28 00:00:00',4,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115131431323313172324610117017',NULL,'281',0.00,1,2,1),(25,6314104,'1993-10-02 00:00:00',2,8,12,2010,'M','N','SÃO FRANCISCO','APUCARANA','PR','116162161237311431324711175124610167182',8753,'9998',51.88,1,3,NULL),(25,6314139,'1992-04-20 00:00:00',2,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124241241112371431524523572221610128197',12862,'592',43.40,1,2,1),(25,6314147,'1992-11-13 00:00:00',4,1,12,2010,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124243241215111731436633595124610127062',NULL,'9997',27.18,1,3,NULL),(25,6314155,'1981-02-22 00:00:00',2,1,6,2002,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','624201207127131431323354495114610123077',NULL,'9998',31.28,4,3,NULL),(25,6314163,'1993-05-04 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241127161431424835342123610124042',NULL,'1215',15.47,1,2,1),(25,6314171,'1985-01-09 00:00:00',2,1,12,2002,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','224242241215374751366652475124131048042',21434,'270',28.52,1,3,NULL),(25,6314180,'1994-04-21 00:00:00',2,7,11,2010,'F','N','CENTRO','JOAÇABA','SC','624242241415371432548733395122610168032',NULL,'454',0.00,1,3,NULL),(25,6314198,'1993-08-09 00:00:00',4,1,12,2010,'M','N','VILA MIRIM','PR GRANDE','SP','125252251217371731235511572112610137057',20727,'9998',32.24,1,3,NULL),(25,6314201,'1992-11-05 00:00:00',2,4,12,2008,'F','N','ALVORADA','PATO BRANCO','PR','116243241316472451438839285112610162187',9883,'4',48.47,1,3,NULL),(25,6314210,'1987-09-19 00:00:00',2,1,12,2004,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241242116153431126634335124233224172',17463,'8',39.82,1,2,1),(25,6314228,'1993-06-04 00:00:00',4,4,12,2010,'M','N','SALETE','S MIGUEL OESTE','SC','124242241217371541248924575112610134052',7481,'1179',52.80,1,3,NULL),(25,6314236,'1992-06-20 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124201241137141431536713242115610164111',21697,'732',25.24,1,2,1),(25,6314260,'1993-03-06 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241215131431336613575124610114042',17921,'272',33.79,1,3,NULL),(25,6314279,'1993-09-08 00:00:00',4,1,12,2010,'M','N','BARONI','BARRETOS','SP','125252251217111411447832572124610137112',19602,'9998',30.51,1,3,NULL),(25,6314287,'1990-06-01 00:00:00',4,1,12,2008,'M','N','JARDIM CORDEIRO','S PAULO','SP','125252251217271711468811571111610131141',1334,'9998',69.88,1,3,NULL),(25,6314309,'1993-11-07 00:00:00',4,3,11,2010,'F','N','VISTA ALEGRE','CURITIBA','PR','116162161215121731568823585114610137077',NULL,'9998',0.00,1,3,NULL),(25,6314317,'1992-11-16 00:00:00',4,1,12,2009,'M','N','EMBARÉ','SANTOS','SP','125252251216471431477814575111610167012',5989,'9998',55.56,1,3,NULL),(25,6314325,'1989-03-04 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241131132431464423231124610161082',20360,'307',30.15,1,2,1),(25,6314333,'1993-01-13 00:00:00',4,8,12,2010,'M','N','JARDIM DOS PRINCIPES','UMUARAMA','PR','116163161435471431358833576112610124182',NULL,'9998',0.00,1,3,NULL),(25,6314341,'1991-07-04 00:00:00',4,8,12,2008,'F','N','CENTRO','UBIRATÃ','PR','124162161215571731469833574122510142057',9593,'9998',47.96,1,3,NULL),(25,6314368,'1991-12-05 00:00:00',2,1,12,2010,'F','N','JARDIM AQUARIUS','PALHOÇA','SC','124241241114111411323319575222610122153',NULL,'592',0.00,1,2,1),(25,6314392,'1989-11-24 00:00:00',4,1,11,2007,'M','N','N SENHORA DO ROSÁRIO','S JOSÉ','SC','124161161117131411123644343344610114187',21428,'9998',28.60,1,2,1),(25,6314406,'1994-04-01 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124241241217111711523624575124610112017',NULL,'1118',28.63,2,3,NULL),(25,6314414,'1993-01-02 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241116372431333332244324610167037',19879,'405',30.22,4,2,1),(25,6314422,'1991-10-08 00:00:00',1,8,12,2009,'M','N','CENTRO','JOINVILLE','SC','116242241212272731159629595114241717062',4467,'457',60.18,1,3,NULL),(25,6314430,'1990-07-20 00:00:00',4,16,12,2007,'F','N','RONDINHA','PTE ALTA NORTE','SC','124241241124371431324534382114132767145',20844,'626',25.06,4,3,NULL),(25,6314449,'1993-06-30 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244246116151731478813475114610164196',13170,'306',46.38,1,3,NULL),(25,6314457,'1991-05-29 00:00:00',4,1,7,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242246317371411369923472121610164185',1543,'306',71.11,1,3,NULL),(25,6314465,'1991-12-24 00:00:00',4,1,12,2009,'M','N','COLONIA SANTANA','S JOSÉ','SC','124241241217372441358923394124233266041',4517,'1074',60.04,1,3,NULL),(25,6314473,'1987-08-13 00:00:00',2,1,12,2004,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124253254345372721234644245124610128197',18785,'9998',37.38,1,3,NULL),(25,6314481,'1993-08-27 00:00:00',4,2,12,2010,'M','N','CENTRO','BRUSQUE','SC','124242241215372431459731595122610124097',1606,'109',68.95,4,3,NULL),(25,6314490,'1991-09-26 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241212152411546613442111610114132',16772,'299',35.90,1,3,NULL),(25,6314503,'1982-03-24 00:00:00',2,1,8,2002,'M','N','PASSO DAS PEDRAS','PTO ALEGRE','RS','120201204326131231426529245122141317091',NULL,'9998',34.52,2,1,2),(25,6314511,'1991-11-13 00:00:00',2,1,12,2008,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241217373431447923442124133215182',15915,'1022',42.28,1,3,NULL),(25,6314520,'1991-05-28 00:00:00',2,1,11,2010,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124244247215111721346627595114610157184',15073,'270',43.57,1,3,NULL),(25,6314538,'1993-05-17 00:00:00',4,2,11,2010,'F','N','VORSTADT','BLUMENAU','SC','124242241215271431479912575112610138092',NULL,'909',0.00,1,3,NULL),(25,6314546,'1989-09-30 00:00:00',2,1,12,2008,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124241241127131221333331211124610127042',NULL,'296',19.08,3,3,NULL),(25,6314554,'1993-06-11 00:00:00',4,1,11,2010,'M','N','MOOCA','S PAULO','SP','125252251214471431356632575115610137012',3440,'9998',64.68,1,3,NULL),(25,6314562,'1987-12-10 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217373421138942325222121427047',4318,'262',62.50,1,3,NULL),(25,6314570,'1993-04-09 00:00:00',4,8,12,2010,'M','N','SÃO PELEGRINO','CAXIAS SUL','RS','120202201217111431469914482124610132042',6620,'9998',53.51,1,3,NULL),(25,6314589,'1975-08-24 00:00:00',2,1,12,1992,'F','N','KOBRASOL','S JOSÉ','SC','124241241147141411123341115134331066027',17518,'29',39.71,1,3,NULL),(25,6314597,'1989-11-24 00:00:00',4,6,12,2006,'F','N','BATEL','CURITIBA','PR','116244241315471431278912375115242118127',1094,'948',72.47,1,3,NULL),(25,6314600,'1993-05-08 00:00:00',4,1,12,2010,'M','N','RIO GRANDE','PALHOÇA','SC','124242241215111431564923575112610118047',NULL,'1175',33.93,1,3,NULL),(25,6314619,'1987-11-21 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215575431328913575112222541137',7920,'270',54.96,1,3,NULL),(25,6314627,'1993-07-30 00:00:00',4,9,11,2010,'F','N','MINUANO','S JOAQUIM','SC','124242241215151431448634442112610123012',13904,'1035',41.84,1,3,NULL),(25,6314635,'1992-04-10 00:00:00',2,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241116131431333513172112610112112',NULL,'288',16.71,1,2,1),(25,6314651,'1991-04-08 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241115473711538834375124230427187',NULL,'262',31.23,1,3,NULL),(25,6314660,'1993-02-25 00:00:00',4,8,12,2010,'M','N','CENTRO','CPO ALEGRE','SC','124241241216113311459914575122610147177',549,'1063',76.39,1,3,NULL),(25,6314678,'1994-10-27 00:00:00',4,1,12,2011,'M','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242248217171751579919592122610164017',NULL,'883',43.54,1,3,NULL),(25,6314686,'1988-07-05 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124203208137131431223923341124133232142',NULL,'9998',33.01,1,3,NULL),(25,6314694,'1990-12-16 00:00:00',2,1,12,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115271431656714345114610146197',15808,'278',40.77,1,2,1),(25,6314708,'1991-09-07 00:00:00',2,4,12,2007,'F','N','EFAPI','CHAPECÓ','SC','124241248136271722415315452124610125147',NULL,'10',17.04,1,2,1),(25,6314716,'1992-02-25 00:00:00',4,1,12,2010,'M','N','HIDRÁULICA','LAJEADO','RS','120202201216371431333722215122610167047',3991,'9998',61.25,1,3,NULL),(25,6314724,'1978-12-04 00:00:00',2,1,10,2002,'F','N','BARREIROS','S JOSÉ','SC','124241247122471431646523445114610165147',NULL,'9999',49.57,2,3,NULL),(25,6314740,'1992-06-04 00:00:00',4,1,12,2010,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124201241215221431313661572124610166147',20836,'1022',25.18,4,3,NULL),(25,6314767,'1992-05-20 00:00:00',2,3,12,2010,'M','N','CENTRO','S VICENTE','SP','125252251216151731646469575125610164187',NULL,'9998',0.00,4,3,NULL),(25,6314775,'1990-09-14 00:00:00',4,10,12,2008,'M','N','MIRIM','IMBITUBA','SC','124241241115131731435934445125610124111',21150,'1034',30.36,1,3,NULL),(25,6314791,'1993-01-18 00:00:00',4,1,12,2010,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241222111431533624372124610162092',11376,'262',44.92,1,3,NULL),(25,6314805,'1994-04-28 00:00:00',4,10,11,2010,'M','N','PASSO DO GADO','TUBARÃO','SC','124241241215111431324414571225610128182',18378,'797',38.15,4,3,NULL),(25,6314813,'1985-01-02 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217153441145644345132230734172',13500,'185',45.93,1,3,NULL),(25,6314821,'1994-02-12 00:00:00',4,1,12,2011,'M','S','AREIAS','S JOSÉ','SC','124242241217171751466632292122610166047',NULL,'1118',33.27,1,3,NULL),(25,6314848,'1993-02-19 00:00:00',2,4,12,2010,'M','N','INTERIOR','S MIGUEL OESTE','SC','124241241116151751428613452324610127057',18329,'757',38.23,1,2,1),(25,6314856,'1992-03-26 00:00:00',4,10,12,2009,'F','N','HUMAITÁ','TUBARÃO','SC','124242241215372431457714572112130424142',NULL,'797',43.91,1,3,NULL),(25,6314872,'1993-05-14 00:00:00',4,2,10,2010,'M','N','VILA NOVA','BLUMENAU','SC','124242241215121431278912485112610134096',NULL,'909',NULL,1,3,NULL),(25,6314880,'1992-07-08 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241222112432323514571124220832097',18093,'262',34.47,2,1,2),(25,6314899,'1981-08-11 00:00:00',4,1,12,2009,'M','N','PRAIA DO FORTE','FLORIANÓPOLIS','SC','124241247321132211312241511341610118177',12513,'9999',43.31,1,3,NULL),(25,6314902,'1986-06-03 00:00:00',4,1,12,2003,'M','N','IPIRANGA','S JOSÉ','SC','124241241115232731433421246313610166177',14221,'734',44.84,4,3,NULL),(25,6314910,'1993-01-15 00:00:00',4,6,12,2010,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215121231443631175122610128052',3671,'109',62.34,1,3,NULL),(25,6314937,'1993-12-21 00:00:00',4,8,12,2010,'M','N','CENTRO','CPO TENENTE','PR','116162161215111331387716575122610165176',775,'9998',74.10,1,3,NULL),(25,6314945,'1994-03-25 00:00:00',2,7,12,2010,'F','N','LTM FERNANDA','CAPINZAL','SC','124241241115271431333912575122610145142',NULL,'156',24.89,1,2,1),(25,6314953,'1993-01-14 00:00:00',4,1,12,2010,'M','N','JARDIM HANTSCHEL','RIO NEGRINHO','SC','124241241137161412533551342324610117042',NULL,'669',0.00,1,3,NULL),(25,6314961,'1993-09-19 00:00:00',2,1,11,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241211111431226624575122610114042',NULL,'944',36.72,1,3,NULL),(25,6314970,'1994-04-24 00:00:00',2,1,11,2011,'M','S','CACHOEIRA','FLORIANÓPOLIS','SC','124242241217121612423411575114610137047',NULL,'988',23.26,1,3,NULL),(25,6314988,'1994-03-16 00:00:00',4,3,12,2011,'M','S','BOMBAS','BOMBINHAS','SC','124241242117111531565412575122610122095',NULL,'129',40.80,1,3,NULL),(25,6314996,'1990-08-04 00:00:00',2,1,12,2007,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241136232331521144341334610167093',NULL,'283',23.96,4,2,1),(25,6315003,'1992-05-29 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215123431246923572215231423182',3178,'1022',65.43,1,3,NULL),(25,6315011,'1980-12-02 00:00:00',2,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124246247616131431341179395122230867117',NULL,'9999',0.00,1,3,NULL),(25,6315020,'1993-04-07 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124092241215111412258714575114610134142',114,'270',83.04,1,3,NULL),(25,6315046,'1990-03-28 00:00:00',4,1,12,2007,'M','N','DANIELA','FLORIANÓPOLIS','SC','124161241126131741114379195124610138187',NULL,'279',18.00,1,2,1),(25,6315054,'1981-08-05 00:00:00',2,1,10,2002,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241217134431328717145124610112097',17547,'882',39.66,1,3,NULL),(25,6315070,'1993-08-23 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241115271431233324575124610156097',NULL,'51',23.77,1,2,1),(25,6315089,'1993-05-22 00:00:00',2,1,12,2010,'M','N','JARDIM CARANDAI','BIGUAÇU','SC','124242241215111431437734595112610167047',15769,'1022',37.24,1,3,NULL),(25,6315097,'1991-09-11 00:00:00',4,9,12,2008,'F','N','GUADALUPE','LAGES','SC','124241241117271431225629575114610118187',NULL,'935',29.65,1,2,1),(25,6315100,'1993-01-05 00:00:00',2,1,12,2010,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244241137141532538933292124610137057',NULL,'76',23.73,1,3,NULL),(25,6315119,'1991-12-30 00:00:00',2,1,12,2009,'M','N','PLANO PILOTO','BRASÍLIA','DF','107052051216271731146837575114610167182',NULL,'9998',0.00,4,3,NULL),(25,6315127,'1992-05-15 00:00:00',4,1,12,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241216472431549912575122610146042',2761,'262',64.55,1,3,NULL),(25,6315135,'1981-07-05 00:00:00',2,1,12,1999,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','224241241126473431346454445114610164182',13726,'592',45.59,4,2,1),(25,6315143,'1993-04-23 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431338729575114610137047',4776,'738',60.40,1,3,NULL),(25,6315151,'1993-12-08 00:00:00',2,1,12,2010,'F','N','BOM RETIRO','PAULO LOPES','SC','124241241226131421523339571224610111057',21407,'262',28.74,1,3,NULL),(25,6315160,'1991-10-03 00:00:00',2,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241136132731336624445124230244047',18622,'464',33.09,1,3,NULL),(25,6315178,'1993-02-11 00:00:00',4,10,12,2010,'M','N','OFICINAS','TUBARÃO','SC','124242246235111451456612375112610134152',18499,'1120',33.11,1,3,NULL),(25,6315186,'1993-03-05 00:00:00',2,1,11,2010,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241241411271411336663575124610117032',18495,'944',37.93,1,3,NULL),(25,6315194,'1992-03-31 00:00:00',4,3,12,2009,'F','N','CRISTO REI','CURITIBA','PR','116162161215472711449923575122610162017',7085,'9998',54.14,1,3,NULL),(25,6315208,'1995-01-24 00:00:00',4,10,12,2011,'F','S','HUMAITÁ','TUBARÃO','SC','124242241215111731457714572112610163142',NULL,'797',37.97,1,3,NULL),(25,6315216,'1993-11-03 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241315151431468614585122610165047',17624,'270',39.54,1,3,NULL),(25,6315224,'1993-05-01 00:00:00',2,4,12,2009,'F','N','CENTRO','NONOAI','RS','120202241216272441434639572112610164097',NULL,'983',50.17,1,3,NULL),(25,6315232,'1994-08-14 00:00:00',4,1,12,2011,'M','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241217111731338933576112610127042',NULL,'262',49.98,1,3,NULL),(25,6315240,'1993-07-12 00:00:00',4,1,12,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241227111431327624245124610164147',9782,'262',47.74,1,3,NULL),(25,6315259,'1992-02-11 00:00:00',4,1,12,2009,'F','N','KOBRASOL','ALFREDO WAGNER','SC','124241241121272431116644242334610167147',19698,'13',30.80,1,2,1),(25,6315267,'1990-05-04 00:00:00',2,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215372731579913472124231027117',11744,'270',46.58,1,3,NULL),(25,6315275,'1993-01-30 00:00:00',4,2,12,2010,'M','N','SETE DE SETEMBRO','GASPAR','SC','124242241215123231449931595124610126192',5248,'855',58.73,1,3,NULL),(25,6315283,'1994-07-14 00:00:00',4,1,12,2011,'M','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111411238821575114610144012',NULL,'883',40.05,1,3,NULL),(25,6315291,'1991-09-26 00:00:00',4,1,12,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242243215372411369913385124610114042',16591,'1075',34.96,1,3,NULL),(25,6315313,'1992-05-19 00:00:00',4,8,11,2009,'M','N','BUCAREIN','JOINVILLE','SC','124242241215471431327614572124610132087',3252,'461',63.23,1,3,NULL),(25,6315321,'1994-02-18 00:00:00',4,1,11,2010,'M','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','624244246215271231445512575114610132052',15416,'270',39.46,1,3,NULL),(25,6315330,'1984-08-17 00:00:00',4,1,12,2002,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241126272431433219295124322323047',7828,'294',55.16,1,2,1),(25,6315356,'1989-12-14 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216574411358831493122232425147',3059,'262',64.03,1,3,NULL),(25,6315364,'1994-02-25 00:00:00',4,1,11,2011,'F','S','PASSA VINTE','PALHOÇA','SC','124242241215111531346933575124610133187',NULL,'1022',33.38,1,3,NULL),(25,6315372,'1993-05-04 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215122431666612425112610123122',10613,'270',46.69,1,3,NULL),(25,6315380,'1992-12-02 00:00:00',4,1,12,2009,'M','N','VILA LALAU','JARAGUÁ SUL','SC','124241241137271112344417345121610167052',12555,'430',42.71,1,2,1),(25,6315399,'1993-05-11 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','624242241231271211459711271124610162057',11792,'1022',48.50,1,3,NULL),(25,6315402,'1989-05-07 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115152431359634495124321564092',11196,'666',49.39,1,3,NULL),(25,6315410,'1994-03-03 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241215151451483532572124610134012',10074,'1022',51.21,1,3,NULL),(25,6315429,'1994-05-24 00:00:00',2,8,11,2011,'F','S','ITAUM','JOINVILLE','SC','124244241217111431428734171124610123017',NULL,'459',34.02,2,3,NULL),(25,6315437,'1992-08-29 00:00:00',2,1,12,2010,'M','N','FUNDOS','BIGUAÇU','SC','124241241115271232426614575322610127147',21724,'65',24.67,1,2,1),(25,6315445,'1993-04-06 00:00:00',4,8,12,2009,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241217373451458932572122610142142',9247,'424',49.38,1,3,NULL),(25,6315461,'1986-03-18 00:00:00',2,1,7,2004,'M','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124241241126153431354914342114610164047',6914,'329',54.34,1,2,1),(25,6315470,'1991-11-03 00:00:00',2,15,12,2009,'F','N','LOMBA DO PINHEIRO','PTO ALEGRE','RS','120201201116471431425619271122610124077',NULL,'9998',25.20,1,2,1),(25,6315488,'1993-11-18 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216111531259833575115610127112',19995,'270',34.60,1,3,NULL),(25,6315496,'1991-01-19 00:00:00',4,1,12,2008,'F','N','FREGUESIA DO Ó','S PAULO','SP','125252251217572431448833575112610147147',120,'9998',82.91,1,3,NULL),(25,6315500,'1990-12-12 00:00:00',4,8,12,2007,'F','N','ACARAÍ','S FRANCISCO SUL','SC','124242241215574311669933575122610111092',11374,'457',45.20,3,3,NULL),(25,6315518,'1987-07-02 00:00:00',5,4,12,2004,'F','N','CENTRO','CONCÓRDIA','SC','124241241112131231423344345124131528057',NULL,'764',22.18,1,2,1),(25,6315526,'1993-12-03 00:00:00',4,1,11,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111251254822592124610137042',NULL,'270',18.75,1,3,NULL),(25,6315534,'1984-09-24 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243247427131411123344242234610127047',NULL,'1003',22.44,2,1,2),(25,6315542,'1993-09-19 00:00:00',4,1,12,2010,'F','N','CENTRO','CATANDUVAS','PR','116163161215111731436935575122610114142',7372,'9998',54.21,1,3,NULL),(25,6315550,'1992-06-02 00:00:00',4,8,12,2009,'M','N','ÁGUA VERDE','JARAGUÁ SUL','SC','124241241145272731533511296221620127057',13417,'425',42.76,1,2,1),(25,6315577,'1985-04-08 00:00:00',4,1,12,2002,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224161161116151731225443435124442367122',13959,'9998',45.24,1,3,NULL),(25,6315607,'1992-02-01 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241248117131431226429345124610134057',15350,'306',43.14,1,2,1),(25,6315631,'1991-03-24 00:00:00',2,8,11,2008,'F','N','ROÇA GRANDE','COLOMBO','PR','116162161236571431344933575124610133152',7556,'9998',52.64,1,3,NULL),(25,6315640,'1993-05-26 00:00:00',2,10,11,2010,'F','N','MORRO AZUL','JAGUARUNA','SC','124241241217131431324621412122610125047',15932,'806',37.69,1,3,NULL),(25,6315658,'1986-10-26 00:00:00',4,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243247346342431423424241124610124142',NULL,'9999',16.94,1,3,NULL),(25,6315666,'1992-04-22 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241217272431449613572124610164115',15363,'1022',38.35,1,3,NULL),(25,6315674,'1992-02-19 00:00:00',4,1,11,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241212112231546931572124233222142',19056,'1133',36.83,1,3,NULL),(25,6315682,'1992-07-25 00:00:00',2,9,12,2009,'M','N','COPACABANA','LAGES','SC','124241241117371431525513395224610125147',20799,'498',31.95,1,3,NULL),(25,6315690,'1988-06-08 00:00:00',4,1,12,2005,'F','N','VILA NOVA','IMBITUBA','SC','124241241116131731524524382224610164147',NULL,'359',0.00,1,2,1),(25,6315704,'1993-05-10 00:00:00',2,8,12,2010,'M','N','PROGRESSO','S BENTO SUL','SC','124241241115371431423619295122610138097',13052,'697',41.78,1,2,1),(25,6315712,'1986-12-19 00:00:00',2,1,12,2004,'F','N','NSA SRA DO ROSARIO','S JOSÉ','SC','124241241127471431421319492124610123147',18516,'13',37.90,1,2,1),(25,6315720,'1987-06-13 00:00:00',4,2,12,2009,'M','N','VILA NOVA','BLUMENAU','SC','124241247127272741123344345124610164047',12483,'9999',42.60,1,2,1),(25,6315739,'1991-06-18 00:00:00',4,1,12,2008,'M','N','GONZAGA','SANTOS','SP','125252251217572411458833571111610117057',1342,'9998',70.29,1,3,NULL),(25,6315755,'1992-06-16 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216272421368612375112231447042',6712,'1022',57.27,1,3,NULL),(25,6315771,'1990-02-05 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117143431435321445114610167065',NULL,'307',30.35,1,3,NULL),(25,6315780,'1992-01-15 00:00:00',4,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124252247215111511688612475122610167093',NULL,'270',0.00,1,3,NULL),(25,6315798,'1989-05-31 00:00:00',4,3,12,2006,'M','N','JARDIM ELIANE','APUCARANA','PR','116162161215572731449933431125610118057',666,'9998',75.89,1,3,NULL),(25,6315828,'1994-12-08 00:00:00',4,1,12,2011,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111731448823572124610137147',NULL,'883',32.93,1,3,NULL),(25,6315836,'1992-07-28 00:00:00',5,1,12,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216131711456632275122610127067',17067,'1050',40.52,1,3,NULL),(25,6315844,'1993-12-25 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117471431558623575124610127065',11997,'307',43.68,1,2,1),(25,6315852,'1993-02-15 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241117371432426923291124610127147',14695,'307',39.39,1,2,1),(25,6315860,'1992-08-04 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241115131712524331272314610112111',18595,'267',34.39,1,2,1),(25,6315879,'1987-01-15 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117141131615333245124610127062',NULL,'307',25.51,2,1,1),(25,6315887,'1993-05-08 00:00:00',2,1,12,2010,'F','N','FUNDOS','BIGUAÇU','SC','124241241115371731326634572124610123147',18596,'65',34.21,2,1,1),(25,6315895,'1994-11-25 00:00:00',4,1,12,2011,'M','S','COUNTRY','CASCAVEL','PR','116162161216111711278744344111610164073',NULL,'9998',45.25,1,3,NULL),(25,6315909,'1992-10-11 00:00:00',4,6,12,2010,'M','N','CENTRO','NAVEGANTES','SC','124242241417131431348933575121610124187',7890,'570',50.29,1,3,NULL),(25,6315917,'1994-01-11 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124243241117131431426679575124610137047',NULL,'732',28.50,1,3,NULL),(25,6315925,'1993-03-02 00:00:00',2,8,12,2009,'F','N','CENTRO','VIDAL RAMOS','SC','124241241147471731533812272124610124052',NULL,'828',13.48,1,2,1),(25,6315950,'1993-05-19 00:00:00',2,1,12,2010,'F','N','CENTRO','TIJUCAS','SC','124242241215111431438514272222610161142',16253,'781',35.12,1,3,NULL),(25,6315968,'1994-06-15 00:00:00',4,1,12,2010,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241217111531548612572124610133077',17456,'272',39.83,1,3,NULL),(25,6315976,'1993-03-02 00:00:00',2,1,11,2010,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241116371431511119241224610133142',20777,'732',27.50,1,2,1),(25,6315984,'1991-05-10 00:00:00',2,1,11,2008,'M','N','SÃO JOSÉ','TIMÓTEO','MG','113131136215471711344419594122610165147',3859,'9998',62.30,1,3,NULL),(25,6316000,'1975-04-02 00:00:00',2,1,12,1994,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','524252251237374751259641414122342663117',6005,'9998',58.75,1,3,NULL),(25,6316018,'1994-06-26 00:00:00',4,1,12,2011,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241212111531489934442124610133145',NULL,'270',48.69,1,3,NULL),(25,6316026,'1993-06-03 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242244235111722436511572124610128182',NULL,'737',29.64,1,3,NULL),(25,6316034,'1993-09-11 00:00:00',4,15,12,2010,'M','N','JARDIM CIBELE','ARARANGUÁ','SC','124241241115271431524414375122610124147',8770,'30',50.57,1,2,1),(25,6316042,'1993-07-21 00:00:00',4,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121431259923372122610133092',6499,'1038',56.30,1,3,NULL),(25,6316050,'1994-03-26 00:00:00',4,1,12,2011,'F','S','ATIRADORES','JOINVILLE','SC','124242241216111731436632575112610122077',NULL,'1063',24.96,4,3,NULL),(25,6316069,'1992-07-24 00:00:00',1,17,12,2010,'M','N','JARDIM CARAVELLE','LONDRINA','PR','116162161217111731469912575124610167147',4894,'9998',58.81,1,3,NULL),(25,6316077,'1992-01-13 00:00:00',1,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215271751469813592122610164187',4635,'262',60.43,3,3,NULL),(25,6316093,'1989-04-12 00:00:00',4,8,12,2006,'F','N','ZONA SETE','MARINGÁ','PR','116162161216571431467739572112610164057',1381,'9998',70.79,3,3,NULL),(25,6316107,'1993-08-14 00:00:00',2,10,12,2010,'F','N','NOVA BRASILIA','IMBITUBA','SC','124241241215111231456313572112610114052',14520,'362',40.33,1,3,NULL),(25,6316115,'1993-05-16 00:00:00',3,1,11,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242248215111511556654295122610127042',12572,'262',43.22,4,3,NULL),(25,6316123,'1992-04-23 00:00:00',4,3,12,2009,'F','N','JARDIM ELIANE','APUCARANA','PR','116162161215372751449933431125610116077',3033,'9998',62.89,1,3,NULL),(25,6316140,'1992-12-19 00:00:00',4,6,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216472431588714575124610142122',1587,'1038',69.98,1,3,NULL),(25,6316158,'1992-11-17 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241117151431347923575115610162045',18970,'298',36.98,1,3,NULL),(25,6316166,'1990-11-23 00:00:00',2,1,12,2008,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241117133122623614182114610117117',21257,'595',23.74,1,2,1),(25,6316182,'1993-06-29 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241227111432127314245124610124087',13831,'262',40.06,1,3,NULL),(25,6316190,'1993-08-09 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241216131331346651592115610127077',NULL,'724',31.20,1,3,NULL),(25,6316204,'1991-01-02 00:00:00',2,4,12,2007,'F','N','CENTRO','PLANALTO','RS','120201201116572431348823272124610121097',4919,'9998',59.77,1,2,1),(25,6316212,'1993-05-23 00:00:00',2,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215371431478812572112610127141',5002,'262',58.53,1,3,NULL),(25,6316220,'1992-08-18 00:00:00',4,1,12,2010,'M','N','CENTRO','ADAMANTINA','SP','125253251116371431433831475122610127043',NULL,'9998',0.00,1,3,NULL),(25,6316239,'1990-05-02 00:00:00',2,5,12,2007,'F','N','CENTRO','CRICIÚMA','SC','124242241217432421327933575125131346091',NULL,'226',43.93,1,3,NULL),(25,6316247,'1992-02-04 00:00:00',2,5,11,2009,'F','N','CENTRO','FORQUILHINHA','SC','124242241215372431446919441114610137142',20994,'213',31.11,1,3,NULL),(25,6316255,'1993-08-25 00:00:00',4,9,11,2010,'M','N','CENTRO','S JOAQUIM','SC','124242241215271731338934176115610144057',4109,'721',59.39,1,3,NULL),(25,6316263,'1993-11-18 00:00:00',2,1,12,2010,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241217111431457733575124610126187',NULL,'1075',34.54,1,3,NULL),(25,6316271,'1990-06-30 00:00:00',4,1,12,2007,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241217253431468613576122131464012',12037,'270',48.07,1,3,NULL),(25,6316280,'1991-01-09 00:00:00',2,1,11,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124162161216133721126644245133610167047',5473,'9998',55.62,1,3,NULL),(25,6316298,'1993-05-05 00:00:00',2,4,12,2010,'F','N','CENTRO','S JOÃO','PR','116161161117371731436923472122610134017',NULL,'9998',26.25,4,2,1),(25,6316310,'1988-02-19 00:00:00',2,2,12,2007,'M','N','FIDÉLIS','BLUMENAU','SC','124213217417111751128744246111130667181',9973,'9998',47.41,1,3,NULL),(25,6316328,'1992-06-14 00:00:00',2,1,12,2010,'M','N','CANTO','FLORIANÓPOLIS','SC','124244246117131731536613495124610134192',15165,'306',37.00,1,3,NULL),(25,6316336,'1992-10-11 00:00:00',2,1,12,2009,'M','N','CENTRO','IMBITUBA','SC','124241241215372411458511471114610167117',21480,'362',28.12,1,3,NULL),(25,6316344,'1991-01-04 00:00:00',4,1,11,2008,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091236573431276812475115610164031',190,'9998',81.28,1,3,NULL),(25,6316352,'1993-06-26 00:00:00',4,9,11,2010,'M','N','CORAL','LAGES','SC','124244241315111431426612572124611536127',9914,'1207',47.13,1,3,NULL),(25,6316360,'1994-06-06 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124244241215111431338823572114610137142',17857,'737',35.50,1,3,NULL),(25,6316379,'1992-03-11 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115372431525711595124610112141',19830,'307',28.77,1,2,1),(25,6316387,'1993-08-01 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215271431336833575124610136192',12256,'723',44.81,1,3,NULL),(25,6316409,'1985-02-12 00:00:00',2,1,12,2002,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224201241127131431324344342121610124197',NULL,'289',33.36,2,1,1),(25,6316417,'1991-12-18 00:00:00',2,2,12,2008,'F','N','SÃO PEDRO','GUABIRUBA','SC','124241248125132131426334241233610147117',19675,'924',35.42,1,2,1),(25,6316425,'1993-07-01 00:00:00',2,9,12,2010,'F','N','CENTRO','VIDEIRA','SC','124241246216141431453832345122610137017',NULL,'1080',0.00,1,3,NULL),(25,6316433,'1982-08-11 00:00:00',4,1,12,2000,'M','N','INGLESES','FLORIANÓPOLIS','SC','124251251116272431123143235124133234117',11513,'9998',47.62,1,2,1),(25,6316441,'1989-04-30 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241127575431653839592221231437112',6556,'290',57.56,1,3,NULL),(25,6316468,'1993-10-21 00:00:00',2,8,12,2010,'M','N','JARDIM DOS PÁSSAROS','UMUARAMA','PR','116161161217111431553511525122610164042',14849,'9998',43.92,1,3,NULL),(25,6316476,'1992-10-21 00:00:00',4,1,12,2010,'M','N','ASA NORTE','BRASÍLIA','DF','107072071217111731559813175122610138057',NULL,'9998',0.00,1,3,NULL),(25,6316484,'1993-01-07 00:00:00',4,1,12,2010,'M','N','PENHA','PAULO LOPES','SC','124241241225151451423319495124610137042',14660,'262',39.37,1,3,NULL),(25,6316492,'1993-09-09 00:00:00',2,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117141231436612345124610127142',NULL,'288',24.13,1,3,NULL),(25,6316506,'1994-09-05 00:00:00',4,1,12,2011,'F','S','CARIANOS','FLORIANÓPOLIS','SC','124242241216111731566614575124610164147',NULL,'1022',34.58,1,3,NULL),(25,6316514,'1992-04-27 00:00:00',2,1,12,2009,'F','N','SANTANA','PTO ALEGRE','RS','120201201117471431234823331124610132147',8127,'9998',50.79,1,2,1),(25,6316522,'1993-03-12 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241115271431323364572224610114197',NULL,'734',15.79,1,2,1),(25,6316530,'1983-06-11 00:00:00',2,1,12,2000,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','624201201116133741226644145124610144063',17811,'9998',33.95,1,2,1),(25,6316549,'1993-09-23 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124203241115111731437739575114610162012',17320,'307',34.47,1,3,NULL),(25,6316557,'1991-03-01 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241234372431228644345124132927071',15414,'809',39.97,1,3,NULL),(25,6316565,'1963-11-30 00:00:00',2,1,12,1981,'F','N','KOBRASOL','S JOSÉ','SC','124241243237355411233349491114321832197',20142,'293',34.21,1,3,NULL),(25,6316581,'1993-12-28 00:00:00',4,9,12,2010,'M','N','CENTRO','STA HELENA','PR','116162241217371431359911574125610122172',11065,'499',44.90,1,3,NULL),(25,6316590,'1993-04-26 00:00:00',4,1,12,2010,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215112231488914592114610162182',NULL,'270',41.36,4,3,NULL),(25,6316603,'1992-06-12 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624244241215472431646674276124610136182',1893,'1022',68.12,1,3,NULL),(25,6316611,'1991-05-18 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241201127371431333923476124610114142',NULL,'283',0.00,1,2,1),(25,6316620,'1993-07-06 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241248115151432323339396124610124147',NULL,'257',20.60,1,3,NULL),(25,6316638,'1993-04-17 00:00:00',2,7,11,2010,'M','N','CENTRO','OURO','SC','224243241215371431576614576125610124192',10565,'1093',47.46,1,3,NULL),(25,6316646,'1992-01-20 00:00:00',2,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124241241111472431636313445124610147052',NULL,'592',20.30,1,2,1),(25,6316654,'1992-11-24 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431468854315122610148113',15750,'262',39.48,1,3,NULL),(25,6316662,'1991-07-05 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124241241112111431435511245124610133142',NULL,'591',26.59,1,2,1),(25,6316689,'1993-10-02 00:00:00',4,1,11,2010,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215122411368813432124610114147',10381,'270',46.00,1,3,NULL),(25,6316697,'1993-07-12 00:00:00',4,1,11,2010,'M','N','BOQUEIRÃO','PR GRANDE','SP','125252251216111431458814474122610124127',4439,'9998',59.48,3,3,NULL),(25,6316727,'1991-07-04 00:00:00',2,1,12,2009,'F','N','RIO BRANCO','CAXIAS SUL','RS','120203201315471731435931595122610132187',NULL,'9998',38.46,1,3,NULL),(25,6316735,'1989-10-13 00:00:00',2,8,7,2007,'M','N','CAIOBA','MATINHOS','PR','116166167437271431327729285121141415192',15395,'9998',43.06,1,3,NULL),(25,6316743,'1985-12-22 00:00:00',2,1,12,2003,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124252251226131431247611115122141027117',NULL,'9998',0.00,1,3,NULL),(25,6316751,'1994-03-22 00:00:00',4,4,12,2010,'M','N','TROPICAL','CASCAVEL','PR','116162161212151711449832272111610144012',NULL,'9998',0.00,1,3,NULL),(25,6316760,'1993-10-11 00:00:00',4,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241212151431345634472124610166041',12512,'1075',44.49,1,3,NULL),(25,6316778,'1993-08-29 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241315151411336613435125610133097',NULL,'267',0.00,1,3,NULL),(25,6316794,'1993-03-13 00:00:00',2,1,12,2010,'M','N','RATONES','FLORIANÓPOLIS','SC','124241241115131732423424575114610137045',NULL,'288',31.80,1,2,1),(25,6316808,'1993-01-14 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241315121411436324575124610163092',NULL,'270',37.91,1,3,NULL),(25,6316832,'1992-03-01 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124243241216112152466923275112610163097',NULL,'1076',9.83,1,3,NULL),(25,6316840,'1994-01-27 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241217131431448931575124610137017',14456,'1048',44.51,1,3,NULL),(25,6316859,'1990-10-21 01:00:00',4,1,7,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242248237512421349931475124130262123',15481,'262',42.93,4,3,NULL),(25,6316867,'1991-09-20 00:00:00',4,1,8,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243246116131431456933395124610123182',15484,'306',38.57,1,3,NULL),(25,6316875,'1992-06-24 00:00:00',2,4,12,2009,'F','N','CENTRO','SALTINHO','SC','124241241126131411343313575124232646142',NULL,'682',17.97,1,2,1),(25,6316883,'1984-06-23 00:00:00',4,16,12,2008,'F','N','SÃO CRISTOVÃO','CAÇADOR','SC','124241245126461421223411185122242762092',NULL,'123',0.00,1,2,1),(25,6316891,'1993-12-04 00:00:00',2,1,11,2010,'M','N','FORQUILINHAS','S JOSÉ','SC','124244241217111411536614575122610127057',19482,'944',31.86,1,3,NULL),(25,6316905,'1993-02-16 00:00:00',2,2,12,2010,'F','N','SOUZA CRUZ','BRUSQUE','SC','124241241137141421435414245135610167012',NULL,'110',22.93,1,2,1),(25,6316921,'1992-08-17 00:00:00',2,1,12,2009,'F','N','LARANJAL','PELOTAS','RS','120202201216471431469933475114610124012',NULL,'9998',37.61,1,3,NULL),(25,6316956,'1993-01-25 00:00:00',4,1,12,2010,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124244241215141431535514242131610167042',19396,'63',31.07,1,3,NULL),(25,6316964,'1991-05-15 00:00:00',4,7,12,2008,'M','N','TABAJARA','CAÇADOR','SC','124241241112272331425623212125133247092',NULL,'122',8.20,1,2,1),(25,6316972,'1993-12-10 00:00:00',4,9,12,2010,'F','N','CENTRO','STA CECÍLIA','SC','124241241115131431526311575122610157142',NULL,'686',26.84,1,2,1),(25,6316980,'1990-09-25 00:00:00',4,1,12,2008,'M','N','CENTRO','JACAREZINHO','PR','116161168215572431548933575124610134172',NULL,'9998',0.00,1,3,NULL),(25,6317006,'1994-06-18 00:00:00',2,7,12,2010,'F','N','CENTRO','PINHEIRO PRETO','SC','124241246216152431556933574124610116182',7653,'1080',51.92,1,3,NULL),(25,6317014,'1990-02-15 00:00:00',2,8,12,2007,'M','N','CENTRO','S MIGUEL IGUAÇU','PR','116162161236572731648519592115610127057',1967,'9998',68.09,1,3,NULL),(25,6317030,'1993-10-06 00:00:00',2,1,12,2010,'F','N','PAES LEME','IMBITUBA','SC','124241243117271431438623332224610121142',NULL,'359',35.92,1,2,1),(25,6317049,'1992-03-26 00:00:00',2,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241217112431267629575112231467042',8513,'1022',53.94,1,3,NULL),(25,6317057,'1981-04-05 00:00:00',2,1,11,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','224282281217131431223341415124610112047',NULL,'9998',16.23,4,3,NULL),(25,6317065,'1992-04-03 00:00:00',4,8,12,2009,'M','N','CENTRO','S SEBASTIÃO AMOREIRA','PR','116162161216471411538833575125610164172',6218,'9998',55.45,3,3,NULL),(25,6317073,'1988-05-18 00:00:00',2,1,12,2005,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241127471411323344342124610132057',NULL,'775',0.00,1,3,NULL),(25,6317081,'1994-09-14 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431336631196122610145142',NULL,'270',42.41,1,3,NULL),(25,6317103,'1991-01-11 00:00:00',4,2,12,2010,'M','N','AZAMBUJA','BRUSQUE','SC','124241241147141431434434341224610124051',NULL,'111',17.62,1,2,1),(25,6317111,'1993-02-23 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212111732359811592114610127012',8317,'1022',54.28,1,3,NULL),(25,6317120,'1984-09-22 00:00:00',4,1,12,2003,'F','N','BARREIROS','S JOSÉ','SC','124201201124141432124344245123610127154',NULL,'9998',16.54,2,1,1),(25,6317138,'1993-01-17 00:00:00',4,9,11,2010,'M','N','CENTRO','S JOAQUIM','SC','124242241215113431548631575122610127017',10319,'497',50.79,1,3,NULL),(25,6317146,'1993-08-22 00:00:00',4,8,12,2010,'M','N','ROCIO GRANDE','S FRANCISCO SUL','SC','124242241211121431437933595124610117047',NULL,'1063',20.42,1,3,NULL),(25,6317154,'1993-03-26 00:00:00',4,1,12,2009,'F','N','ITARARÉ','STA MARIA','RS','120202201417471431326519576124610154182',10682,'9998',48.98,1,3,NULL),(25,6317170,'1993-07-10 00:00:00',4,1,11,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241246215111431427613575124610127053',14804,'1075',38.11,1,3,NULL),(25,6317197,'1993-03-05 00:00:00',4,4,12,2009,'M','N','CENTRO','BARRACÃO','PR','116161162115471431446613375122610127052',17671,'9998',34.89,1,3,NULL),(25,6317200,'1988-11-28 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124211241116151711426623445124610117015',NULL,'726',15.40,4,1,1),(25,6317219,'1993-05-07 00:00:00',4,1,12,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215111431258833571122610125182',NULL,'951',28.81,1,3,NULL),(25,6317227,'1993-01-17 00:00:00',4,9,11,2010,'M','N','CENTRO','S JOAQUIM','SC','124244241217112531548611372112610137017',13399,'497',46.07,1,3,NULL),(25,6317235,'1963-04-25 00:00:00',2,1,12,1981,'M','N','FLORESTA','PTO ALEGRE','RS','120201201126155411133349193244441667047',8003,'9998',51.70,4,2,1),(25,6317251,'1992-04-29 00:00:00',2,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241212111431323524572122610126092',17411,'499',35.90,1,3,NULL),(25,6317260,'1993-08-03 00:00:00',2,4,11,2010,'F','N','SEIS DE MAIO','PALMEIRA MISSÕES','RS','120201201217131431439933171122610167077',11001,'9998',45.38,1,3,NULL),(25,6317286,'1988-07-08 00:00:00',4,1,12,2007,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','113131131126171431333612375124241437012',NULL,'9998',27.31,1,2,1),(25,6317294,'1990-06-20 00:00:00',4,1,12,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241241111131331426369391224231057052',NULL,'733',10.90,1,3,NULL),(25,6317308,'1993-04-18 00:00:00',4,1,12,2010,'F','N','CEDRINHO','BRUSQUE','SC','124241241146131431535624245122610134072',NULL,'1019',0.00,1,2,1),(25,6317316,'1990-10-18 00:00:00',4,1,12,2008,'M','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124201201217571711535511575114610124012',4598,'9998',60.54,3,3,NULL),(25,6317324,'1992-10-21 00:00:00',4,8,12,2009,'M','N','AVENTUREIRO','JOINVILLE','SC','124241246216471431546811345124610166182',7583,'1006',51.81,1,3,NULL),(25,6317332,'1994-02-02 00:00:00',4,4,12,2010,'M','N','CENTRO','CASCAVEL','PR','116162161216471431459714275122610164012',3568,'9998',62.21,1,3,NULL),(25,6317340,'1990-04-04 00:00:00',2,3,11,2007,'F','N','ALTO DA XV','GUARAPUAVA','PR','116162161215574431438814592325610162181',2022,'9998',69.18,1,3,NULL),(25,6317359,'1992-02-02 00:00:00',2,4,11,2008,'M','N','INTERIOR','MODELO','SC','124241241116141441526535292122610127182',21555,'562',27.43,1,3,NULL),(25,6317375,'1993-04-21 00:00:00',2,1,12,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115221431436923595124610128097',18057,'307',34.66,1,2,1),(25,6317391,'1994-02-02 00:00:00',2,6,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124201241131371431436613195122610123147',17351,'51',34.72,1,2,1),(25,6317405,'1987-08-18 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124246247627142721438823245122131014115',NULL,'9999',11.59,1,3,NULL),(25,6317413,'1992-07-18 00:00:00',4,1,11,2009,'M','N','CIDADE UNIVERSITARIA','CAMPINAS','SP','125142141217472411488812574114610167142',8143,'9998',51.41,1,3,NULL),(25,6317421,'1990-03-13 00:00:00',4,1,11,2007,'F','N','CENTRO','CASCAVEL','PR','116202161217571431568714575112610134142',NULL,'9998',0.00,1,3,NULL),(25,6317430,'1990-05-06 00:00:00',4,1,12,2007,'F','N','FLORADAS DE SÃO JOSÉ','S JOSÉ CAMPOS','SP','125092251215571431358831575124610141097',440,'9998',76.86,1,3,NULL),(25,6317448,'1992-10-16 00:00:00',4,4,12,2010,'M','N','SÃO CRISTOVÃO','S JOSÉ CEDRO','SC','124241248217131722329633595121610117047',NULL,'1179',17.70,1,3,NULL),(25,6317456,'1983-04-26 00:00:00',2,1,12,2000,'F','N','BOM VIVER','BIGUAÇU','SC','124241241146273521433311345114610122147',17530,'66',34.75,4,2,1),(25,6317464,'1993-05-07 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241212111431563762595115610124077',NULL,'738',0.00,1,3,NULL),(25,6317472,'1992-06-26 00:00:00',4,1,12,2009,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241211372431348634375124610165093',NULL,'1023',22.26,1,3,NULL),(25,6317480,'1993-06-24 00:00:00',4,5,12,2010,'M','N','GUATÁ','LAURO MÜLLER','SC','124244241215111431466912175124610128052',11205,'226',45.07,1,3,NULL),(25,6317499,'1992-09-23 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117131432424411345214610144147',NULL,'257',0.00,1,2,1),(25,6317502,'1992-12-06 00:00:00',2,1,12,2009,'M','N','REAL PARQUE','S JOSÉ','SC','124241241117261421445314245124610127053',15475,'730',37.54,1,2,1),(25,6317510,'1992-03-05 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247215151431348712575112610168197',11682,'9999',48.63,1,3,NULL),(25,6317529,'1992-04-06 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215472731468613375124610134067',11842,'269',45.30,1,3,NULL),(25,6317553,'1982-01-12 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161161127131431323644242114610117097',NULL,'9998',14.51,1,2,1),(25,6317561,'1988-06-14 00:00:00',4,1,12,2006,'M','N','FUNCIONARIOS','BELO HORIZONTE','MG','113134131216571731233822482122142846186',4690,'9998',58.56,1,3,NULL),(25,6317588,'1993-08-20 00:00:00',4,6,12,2010,'M','N','CENTRO','BRUSQUE','SC','124241248117271751436739185122610124092',NULL,'111',19.86,1,2,1),(25,6317596,'1987-12-13 00:00:00',2,15,12,2006,'F','N','COLONINHA','ARARANGUÁ','SC','124241241116141721124444345114610121197',NULL,'689',30.50,1,2,1),(25,6317600,'1993-12-06 00:00:00',4,9,11,2010,'M','N','SANTANA','RIO SUL','SC','124242241215271431568832575112610132187',2524,'991',67.41,1,3,NULL),(25,6317618,'1983-10-04 00:00:00',4,1,11,2009,'M','N','IPIRANGA','S JOSÉ','SC','124243247127131421533621212123231422187',NULL,'9997',0.00,1,3,NULL),(25,6317642,'1991-07-15 00:00:00',4,1,12,2008,'F','N','CENTRO','LONDRINA','PR','116162161217572411457819592112610167097',3641,'9998',60.84,1,3,NULL),(25,6317650,'1993-12-16 00:00:00',2,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115141131423329185124610117047',NULL,'285',22.16,2,2,1),(25,6317669,'1993-08-12 00:00:00',4,16,12,2010,'F','N','SÃO JOSÉ','CURITIBANOS','SC','124241241115471731423611172122610138145',NULL,'239',0.00,1,3,NULL),(25,6317677,'1994-03-19 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217111712467736597122610127112',16170,'951',41.89,1,3,NULL),(25,6317685,'1993-03-18 00:00:00',4,1,12,2010,'M','N','JARDIM OITI','JALES','SP','125252251216111731467814572122610134147',4677,'9998',58.26,1,3,NULL),(25,6317693,'1994-08-24 00:00:00',4,1,11,2010,'M','N','STO ANT LISBOA','FLORIANÓPOLIS','SC','124242241216111431458832575112610117045',12836,'270',41.79,1,3,NULL),(25,6317707,'1993-06-02 00:00:00',4,8,12,2010,'M','N','ESCOLINHA','JOINVILLE','SC','124241241217111731648613575124610137057',17645,'1105',33.88,1,3,NULL),(25,6317715,'1991-07-05 00:00:00',2,9,12,2008,'F','N','PETRÓPOLIS','VACARIA','RS','120202201316572431437912581124610124147',11710,'9998',45.01,1,3,NULL),(25,6317723,'1993-05-18 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431338679595114610118121',11262,'270',45.60,1,3,NULL),(25,6317731,'1993-12-20 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117471331523318575124610134147',17712,'288',34.69,1,2,1),(25,6317740,'1993-02-02 00:00:00',4,1,11,2010,'F','N','JARDIM PAULISTA','S PAULO','SP','125252251217151732289613585112610134057',NULL,'9998',0.00,1,3,NULL),(25,6317758,'1992-12-18 00:00:00',4,2,12,2010,'M','N','CENTRO','PRES GETÚLIO','SC','124241241116141731456933342111610167022',NULL,'644',27.33,1,2,1),(25,6317774,'1992-04-12 00:00:00',4,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242247237151451337823575124610167047',NULL,'9999',18.56,1,3,NULL),(25,6317790,'1982-11-30 00:00:00',2,1,11,2010,'F','N','BARRA','PALHOÇA','SC','124141241135131421523379396124610118187',NULL,'591',26.65,4,2,1),(25,6317812,'1993-10-21 00:00:00',4,2,12,2010,'M','N','CENTRO','PRES GETÚLIO','SC','124241241127141732543313342111610167022',16734,'644',36.46,1,2,1),(25,6317820,'1993-08-20 00:00:00',4,1,12,2010,'M','N','CENTRO','GAROPABA','SC','124241241125161431526514345134610135142',NULL,'322',0.00,1,2,1),(25,6317839,'1993-11-04 00:00:00',4,1,12,2011,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241215151731469933575122610123182',NULL,'270',45.78,1,3,NULL),(25,6317847,'1991-11-24 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241248136241431336634492114610114041',NULL,'307',0.00,1,2,1),(25,6317871,'1993-11-18 00:00:00',4,1,12,2010,'M','N','CENTRO','PALOTINA','PR','116162161212151431334615572122610124042',14022,'9998',40.06,1,3,NULL),(25,6317880,'1992-08-01 00:00:00',2,5,11,2010,'F','N','MEIRELES','FORTALEZA','CE','106062061217171231346923475122610127042',NULL,'9998',0.00,1,3,NULL),(25,6317898,'1992-06-13 00:00:00',4,1,11,2009,'M','N','ABRANCHES','CURITIBA','PR','116164161335571441369933574114610127047',NULL,'9998',0.00,1,3,NULL),(25,6317928,'1983-03-16 00:00:00',2,1,8,2002,'F','N','KOBRASOL','S JOSÉ','SC','124241244322132411123344145134610125157',NULL,'172',0.00,3,3,NULL),(25,6317936,'1989-05-26 00:00:00',4,6,7,2007,'M','N','CENTRO','BAL CAMBORIÚ','SC','124162247217374751459834495122130664127',13615,'9999',45.75,1,3,NULL),(25,6317944,'1992-11-30 00:00:00',4,10,12,2010,'F','N','CENTRO','RIO FORTUNA','SC','124241241146161431536619575122610147042',17863,'665',33.42,1,2,1),(25,6317952,'1993-01-02 00:00:00',2,15,12,2009,'F','N','JARDIM ITU','PTO ALEGRE','RS','120202201217471712437732171114610167077',4869,'9998',60.86,1,3,NULL),(25,6317979,'1993-08-24 00:00:00',4,1,12,2011,'F','S','RIO TAVARES','FLORIANÓPOLIS','SC','124202241417111732246939472122610122097',NULL,'267',31.39,1,3,NULL),(25,6317987,'1967-11-04 00:00:00',4,1,12,1986,'M','N','CARIANOS','FLORIANÓPOLIS','SC','324241246126135711454343235122231017062',NULL,'306',9.95,1,2,1),(25,6318002,'1992-05-18 00:00:00',2,1,12,2009,'F','N','NS DO ROSÁRIO','S JOSÉ','SC','124241241116332431526679595124610137072',21719,'729',24.73,1,2,1),(25,6318010,'1990-11-26 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241126154411333633341221610164055',NULL,'285',34.15,2,1,1),(25,6318029,'1993-03-01 00:00:00',2,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115271731448813585114610147057',NULL,'307',33.96,1,2,1),(25,6318037,'1989-07-26 00:00:00',2,1,12,2006,'M','N','KOBRASOL','S JOSÉ','SC','124242241211374741469913445132121367111',11328,'723',45.17,2,1,2),(25,6318045,'1982-05-28 00:00:00',2,1,11,2000,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124161161126145751521111195124221417122',NULL,'9998',10.31,4,2,1),(25,6318053,'1993-03-09 00:00:00',4,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111432369811275122610114042',11551,'9997',48.83,1,3,NULL),(25,6318061,'1989-07-19 00:00:00',4,8,12,2006,'F','N','JARDIM SOCIAL','CURITIBA','PR','116162161236471441439613575122140664047',2784,'9998',62.61,1,3,NULL),(25,6318070,'1988-11-12 00:00:00',2,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241216134431634931495124221434092',6383,'885',54.55,1,3,NULL),(25,6318088,'1993-09-02 00:00:00',4,1,12,2010,'F','N','CENTRO','MERIDIANO','SP','125251251215171431346831574122610124142',8748,'9998',49.57,1,3,NULL),(25,6318096,'1985-07-26 00:00:00',2,1,12,2004,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124201201116171431212249292234140657187',NULL,'9998',21.53,1,3,NULL),(25,6318100,'1993-05-12 00:00:00',4,6,11,2010,'M','N','CENTRO','ITAJAÍ','SC','124244241215111732469613435111610167077',NULL,'389',21.61,1,3,NULL),(25,6318118,'1992-01-22 00:00:00',2,3,12,2009,'M','N','CORDEIROS','ITAJAÍ','SC','124241241136271431255569242224131437052',NULL,'169',0.00,1,2,1),(25,6318126,'1986-03-06 00:00:00',4,10,12,2002,'M','N','SANTA LUCIA','TUBARÃO','SC','124241241117131411545521342123121741037',NULL,'808',0.00,1,2,1),(25,6318134,'1993-07-26 00:00:00',2,1,12,2010,'F','N','CENTRO','JALES','SP','125251251116371431334631575122610124142',7659,'9998',52.57,1,2,1),(25,6318142,'1993-02-13 00:00:00',4,5,12,2010,'F','N','CENTRO','LAURO MÜLLER','SC','124243241415151431436414476122610138052',12091,'230',43.02,1,3,NULL),(25,6318150,'1989-06-12 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124241241112271711224944242113610122042',21361,'257',29.06,1,2,1),(25,6318169,'1992-06-22 00:00:00',4,1,12,2009,'M','N','BARÃO GERALDO','CAMPINAS','SP','125252256117471431479933575112610147042',434,'9998',76.94,1,3,NULL),(25,6318177,'1957-09-28 00:00:00',2,1,12,1999,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','524241167127151411233349491122610166187',10833,'9998',49.94,1,3,NULL),(25,6318185,'1987-09-19 00:00:00',4,1,7,2006,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124244247347154711326612595124121966032',NULL,'9999',0.00,1,3,NULL),(25,6318193,'1993-06-02 00:00:00',2,1,12,2010,'M','N','JD AMERICA','JALES','SP','125251251215111431436831571122610122052',9072,'9998',50.07,1,3,NULL),(25,6318207,'1992-01-02 00:00:00',4,8,12,2009,'M','N','CENTREVILLE','LIMEIRA','SP','125252251216271751368814571121242467097',9404,'9998',48.12,1,3,NULL),(25,6318215,'1992-02-04 00:00:00',4,6,11,2009,'F','N','SAO LOURENÇO','CURITIBA','PR','116162161217471751559714571111610164117',552,'9998',76.27,1,3,NULL),(25,6318223,'1993-08-04 00:00:00',4,2,12,2010,'F','N','CENTRO','BLUMENAU','SC','124202241217122431459813592122610166195',NULL,'855',44.70,1,3,NULL),(25,6318231,'1993-03-24 00:00:00',4,2,12,2010,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124244241117111431437834371124610167096',NULL,'88',17.00,1,3,NULL),(25,6318258,'1992-06-28 00:00:00',2,15,12,2009,'M','N','CENTRO','TURVO','SC','124241241115473431468416571122610118042',8819,'814',53.37,1,2,1),(25,6318266,'1983-07-14 00:00:00',2,3,12,2001,'M','N','ZIMBROS','BOMBINHAS','SC','124241241127164431623311215112131012077',NULL,'96',0.00,1,2,1),(25,6318274,'1993-07-16 00:00:00',4,1,11,2010,'F','N','JARDIM DOS CALEGARIS','PAULÍNIA','SP','125253251216111431358813572122610167121',2871,'9998',63.32,1,3,NULL),(25,6318282,'1990-06-17 00:00:00',2,1,12,2008,'M','N','BELA VISTA','PALHOÇA','SC','124241241137131731433374242114610168047',NULL,'1108',27.76,3,2,1),(25,6318312,'1993-05-15 00:00:00',4,8,12,2010,'M','N','SANTA HELENA','FERNANDÓPOLIS','SP','125252251215111431536631572122510124042',NULL,'9998',0.00,1,3,NULL),(25,6318320,'1986-03-18 00:00:00',2,9,12,2002,'M','N','CENTRO','CAXIAS SUL','RS','120201201116271411226649392135130826142',NULL,'9998',16.74,1,3,NULL),(25,6318339,'1993-03-12 00:00:00',4,7,12,2010,'F','N','LINHA CORAÇÃO','VARGEM BONITA','SC','124241241114111732523436575124610136062',NULL,'827',0.00,1,3,NULL),(25,6318347,'1989-03-02 00:00:00',2,8,11,2006,'M','N','BACACHERI','CURITIBA','PR','116092161215471431438831581124140767182',2038,'9998',67.90,1,3,NULL),(25,6318363,'1994-01-01 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431368923575122610124052',NULL,'1169',19.80,1,3,NULL),(25,6318371,'1990-11-23 00:00:00',2,1,12,2008,'F','N','SETOR JAO','GOIÂNIA','GO','109094091437411421438813136122610163197',10354,'9998',45.98,1,3,NULL),(25,6318380,'1993-08-02 00:00:00',4,1,12,2010,'M','N','RES TERRA VERDE','FERNANDÓPOLIS','SP','125252251215111431467412572122610122052',14622,'9998',40.13,1,3,NULL),(25,6318398,'1993-06-22 00:00:00',4,1,11,2010,'F','N','TREZE DE JULHO','ARACAJU','SE','126262261217111431589831575122610137122',106,'9998',83.21,1,3,NULL),(25,6318401,'1991-03-20 00:00:00',2,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124201241115472431326364182114610138062',12406,'732',42.06,1,2,1),(25,6318410,'1986-07-04 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124243247331152731439813391122231023187',NULL,'9999',17.33,1,3,NULL),(25,6318428,'1992-11-25 00:00:00',4,1,12,2010,'M','N','CENTRO','IMBITUBA','SC','124241241115131431526619272125610167047',6073,'359',55.27,1,2,1),(25,6318436,'1975-05-19 00:00:00',2,1,12,1992,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','624201201116134431223454445124140236167',15966,'9998',37.04,1,2,1),(25,6318444,'1992-07-25 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241415473331589711245124610138142',11278,'270',49.25,1,3,NULL),(25,6318460,'1993-05-10 00:00:00',4,1,12,2010,'M','N','MUNICIPAL','PEREIRA BARRETO','SP','125252251215111431468811575122610124053',NULL,'9998',0.00,1,3,NULL),(25,6318479,'1993-06-07 00:00:00',4,8,12,2010,'F','N','BUCAREIN','JOINVILLE','SC','124244241217131532568914575114610137187',16996,'459',34.79,1,3,NULL),(25,6318495,'1989-05-01 00:00:00',2,3,12,2006,'M','N','CENTRO','CURITIBA','PR','116161161116475431158613445114610164042',2202,'9998',67.56,1,2,1),(25,6318509,'1992-06-20 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124244248215112431459913572122231044197',19375,'1022',31.91,1,3,NULL),(25,6318517,'1992-07-15 00:00:00',2,8,12,2009,'F','N','SALINAS','BAL BARRA SUL','SC','124241241127472451437633245121610164147',NULL,'41',34.76,1,2,1),(25,6318525,'1992-08-05 00:00:00',4,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241116161711445739345124610162142',NULL,'405',16.65,1,3,NULL),(25,6318533,'1993-02-04 00:00:00',4,1,12,2010,'F','N','N SRA DO ROSARIO','S JOSÉ','SC','124241241225111721434621312234610112147',NULL,'262',28.82,1,3,NULL),(25,6318541,'1990-06-03 00:00:00',2,4,11,2006,'F','N','KOLLER','ERECHIM','RS','120201205116574431336614574122610131077',NULL,'9998',0.00,1,2,1),(25,6318550,'1989-07-06 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124251251217573431453315575124221342187',NULL,'9998',26.40,3,3,NULL),(25,6318568,'1994-01-13 00:00:00',4,1,12,2011,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241216151431488812572122610132192',NULL,'262',31.98,1,3,NULL),(25,6318576,'1992-03-24 00:00:00',4,8,12,2009,'F','N','GRANJA VIANA','COTIA','SP','125252251217471451358812572112610165117',8880,'9998',49.93,1,3,NULL),(25,6318584,'1994-02-26 00:00:00',2,1,11,2010,'M','N','ROÇADO','S JOSÉ','SC','124242241215111231369814372112610134142',15178,'723',43.44,1,3,NULL),(25,6318592,'1962-02-13 00:00:00',2,1,12,1988,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','524241247226235431226669482124610126117',NULL,'27',40.07,1,3,NULL),(25,6318622,'1993-07-22 00:00:00',4,1,12,2010,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241146141331333319245124610114063',NULL,'1155',0.00,1,2,1),(25,6318630,'1993-02-10 00:00:00',4,16,10,2010,'M','N','APARECIDA','CURITIBANOS','SC','124241241117371731214723345122610117055',NULL,'239',27.00,1,3,NULL),(25,6318657,'1993-03-17 00:00:00',4,1,11,2010,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217372431339912572122610163053',NULL,'270',0.00,1,3,NULL),(25,6318665,'1994-10-25 00:00:00',4,5,11,2010,'M','N','CENTRO','SIDERÓPOLIS','SC','124242241215111431448612576124610137112',11359,'226',49.11,1,3,NULL),(25,6318673,'1993-11-06 00:00:00',2,1,12,2010,'F','N','JD CIDADE FPOLIS','S JOSÉ','SC','124241241115371411334823395124610123052',NULL,'734',22.70,2,1,1),(25,6318681,'1992-10-16 00:00:00',2,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241416374221446812295124231117042',4586,'1022',59.90,1,3,NULL),(25,6318690,'1991-03-10 00:00:00',2,6,12,2008,'F','N','ALIANÇA','STA CRUZ SUL','RS','120201201117571431436613571124610164092',14823,'9998',39.03,1,2,1),(25,6318703,'1992-12-05 00:00:00',4,5,12,2010,'M','N','PINHEIRINHO','CRICIÚMA','SC','124241246217111331438724575124610137182',NULL,'995',41.10,1,3,NULL),(25,6318711,'1993-02-16 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112431577812395124610137143',NULL,'270',0.00,1,3,NULL),(25,6318720,'1994-01-27 00:00:00',4,1,11,2010,'F','N','PARQUE DOS ESTADOS','STA TEREZINHA ITAIPU','PR','116161161237111431446614575124610133142',NULL,'9998',0.00,1,3,NULL),(25,6318746,'1974-09-21 00:00:00',2,1,12,1994,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243241215332431436671112124121936187',17788,'9997',39.26,1,3,NULL),(25,6318754,'1992-06-05 00:00:00',2,8,12,2010,'M','N','CENTRO','JOINVILLE','SC','124251241125131431113744142334621855072',NULL,'477',21.91,1,2,1),(25,6318762,'1992-11-11 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124243247347141431225654145134610167063',NULL,'9999',10.47,1,3,NULL),(25,6318797,'1992-03-21 00:00:00',4,1,7,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124212281217371431579814575114610147042',9643,'9998',48.42,1,3,NULL),(25,6318819,'1993-04-08 00:00:00',2,1,12,2010,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241215151431436722585124610137185',14750,'1048',39.69,4,3,NULL),(25,6318827,'1991-03-07 00:00:00',4,1,12,2008,'F','N','SANTA MARTA','S CARLOS','SP','125252251211571431469939591122610164047',5439,'9998',55.46,4,3,NULL),(25,6318835,'1993-08-25 00:00:00',4,2,11,2010,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241216221431359933575122610112042',NULL,'855',29.84,1,3,NULL),(25,6318843,'1994-05-16 00:00:00',4,3,12,2010,'F','N','AGUAS CLARAS','BRUSQUE','SC','124242241215111711444432575122610138192',16911,'109',40.76,1,3,NULL),(25,6318851,'1992-06-11 00:00:00',4,8,12,2009,'M','N','SANTO ANTÔNIO','JAÚ','SP','204025122534535341581157176345342427176',NULL,'9998',0.00,1,3,NULL),(25,6318878,'1993-05-03 00:00:00',4,9,12,2010,'F','N','CENTRO','PIRACICABA','SP','125252251217371431469814375122610138197',4732,'9998',59.12,1,3,NULL),(25,6318894,'1993-01-10 00:00:00',4,1,12,2010,'F','N','LISBOA','S JOSÉ','SC','124241241112131531323314242124610165087',19918,'307',30.31,1,2,1),(25,6318908,'1993-06-04 00:00:00',4,2,12,2010,'F','N','DOS ESTADOS','INDAIAL','SC','124242241215121431467932575124610127182',14541,'855',40.57,1,3,NULL),(25,6318916,'1992-01-18 00:00:00',2,1,12,2008,'F','N','BOM CLIMA','GUARULHOS','SP','125252251215571741368923571122610167057',766,'9998',73.35,1,3,NULL),(25,6318924,'1993-07-03 00:00:00',2,1,12,2010,'F','N','SOROCABA DE FORA','BIGUAÇU','SC','124241241115271431536614345124610123067',NULL,'65',30.81,1,2,1),(25,6318932,'1994-07-24 00:00:00',4,8,11,2010,'M','N','JARDIM TAROBÁ','FOZ IGUAÇU','PR','116162161217111732669933572112610168154',NULL,'9998',0.00,1,3,NULL),(25,6318959,'1987-12-14 00:00:00',4,1,12,2005,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217144431458839445122233264135',13337,'270',46.17,1,3,NULL),(25,6318967,'1994-01-25 00:00:00',4,1,11,2011,'F','S','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241217111431369923572112610124055',NULL,'270',19.96,1,3,NULL),(25,6318975,'1992-01-10 00:00:00',2,2,12,2010,'F','N','STEFFEN','BRUSQUE','SC','124241241116271751433314375112610132147',17084,'112',34.28,1,2,1),(25,6318991,'1993-03-09 00:00:00',4,1,12,2010,'F','N','PARQUE DA MÓOCA','S PAULO','SP','125252251217111431347814575125610123116',NULL,'9998',0.00,1,3,NULL),(25,6319009,'1994-01-05 00:00:00',4,7,11,2010,'M','N','CENTRO','CONCÓRDIA','SC','124242241214151731368821472122610137012',14479,'1000',39.43,1,3,NULL),(25,6319017,'1993-03-09 00:00:00',2,16,12,2010,'M','N','CENTRO','LEBON RÉGIS','SC','124241241115131431634313285121610127017',15687,'532',37.39,4,2,1),(25,6319025,'1994-06-16 00:00:00',2,1,12,2011,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111731559914292114610123187',NULL,'270',26.90,1,3,NULL),(25,6319033,'1993-01-21 00:00:00',4,1,10,2010,'M','N','CENTRO','S JOSÉ CAMPOS','SP','125082251237421751667714445122610117093',6842,'9998',57.03,1,3,NULL),(25,6319041,'1992-10-08 00:00:00',2,1,11,2010,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241217151411436739572122610128012',NULL,'63',28.41,1,3,NULL),(25,6319050,'1991-09-10 00:00:00',4,1,12,2008,'M','N','JARDIM TARRAF II','S JOSÉ R PRETO','SP','125252251216571431366821575122610167182',7736,'9998',50.93,1,3,NULL),(25,6319068,'1994-10-23 00:00:00',4,1,12,2010,'M','N','BIGORRILHO','CURITIBA','PR','124242241217121431479811575122610137047',NULL,'1169',14.96,1,3,NULL),(25,6319076,'1993-06-05 00:00:00',2,1,12,2010,'F','N','NÚCLEO BANDEIRANTE','NUC BANDEIRANTE','DF','107254071216111411369813332122610132091',NULL,'9998',40.79,4,3,NULL),(25,6319084,'1989-09-08 00:00:00',4,1,12,2006,'M','N','JD DAS PAINEIRAS','BRAGANÇA PAULISTA','SP','125252251216573411556832472122142447091',686,'9998',75.62,1,3,NULL),(25,6319092,'1985-06-07 00:00:00',4,1,12,2002,'M','N','JARDIM ANHANGUERA','RIBEIRÃO PRETO','SP','125251251116151441555619235112241066141',NULL,'9998',0.00,1,3,NULL),(25,6319114,'1991-02-02 00:00:00',4,1,2,2011,'M','N','COLONIA SANTANA','S JOSÉ','SC','124242246326131431326614285123610124062',NULL,'731',30.88,1,3,NULL),(25,6319122,'1993-04-11 00:00:00',4,8,12,2010,'F','N','CAPÃO DA IMBUIA','CURITIBA','PR','116162161115371421359813575114610114097',13023,'474',43.14,1,3,NULL),(25,6319149,'1993-08-11 00:00:00',4,1,12,2009,'F','N','EMBARÉ','SANTOS','SP','125252251215472431478834575122610132043',688,'9998',75.30,1,3,NULL),(25,6319157,'1985-08-06 00:00:00',4,4,11,2002,'M','N','CENTRO','RENASCENÇA','PR','116161161117572711447613231125610134052',5758,'9998',56.03,1,2,1),(25,6319165,'1991-07-05 00:00:00',2,2,12,2008,'F','N','VELHA','BLUMENAU','SC','124243241111571431445513475124610137097',19342,'73',36.19,4,3,NULL),(25,6319173,'1991-10-29 00:00:00',2,1,12,2008,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201217571421447871412112610131183',9904,'9998',48.65,1,3,NULL),(25,6319181,'1992-12-03 00:00:00',2,1,12,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241116162411533933355124220936147',NULL,'542',0.00,4,2,1),(25,6319190,'1991-07-03 00:00:00',2,3,12,2008,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116162161217572431425531572124610133147',11431,'9998',44.60,1,3,NULL),(25,6319211,'1992-08-25 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241216111431337614575112610112192',NULL,'1118',0.00,1,3,NULL),(25,6319220,'1989-03-01 00:00:00',4,6,12,2006,'M','N','CRUZEIRO','PASSO FUNDO','RS','120202201211111121111111111111140111011',NULL,'9998',0.00,1,3,NULL),(25,6319238,'1993-08-08 00:00:00',4,15,12,2010,'F','N','CENTENÁRIO','MONTENEGRO','RS','120201206136151331535614271122610168147',NULL,'9998',20.04,1,2,1),(25,6319246,'1992-09-22 00:00:00',4,2,12,2009,'M','N','CENTRO','POMERODE','SC','124242241217272431468814575112221432122',8210,'855',54.51,1,3,NULL),(25,6319254,'1992-09-21 00:00:00',2,1,12,2010,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215112431468912575122610147121',15726,'270',42.56,1,3,NULL),(25,6319262,'1968-04-03 00:00:00',4,1,12,1991,'M','N','PASSA VINTE','PALHOÇA','SC','224241201127132431423343431122610137097',NULL,'9998',31.14,1,2,1),(25,6319270,'1993-10-11 00:00:00',2,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241415111411425819175122610117043',15231,'1134',38.25,1,3,NULL),(25,6319289,'1989-12-25 00:00:00',4,1,12,2006,'F','N','CENTRO','NOVA STA RITA','RS','120203201315371431437614571124142165047',17421,'9998',33.98,1,3,NULL),(25,6319297,'1989-12-14 00:00:00',2,1,12,2006,'M','N','DOS ESTADOS','GUARAPUAVA','PR','116112111216462431455632595122240664092',13907,'9998',40.27,1,3,NULL),(25,6319319,'1994-06-04 00:00:00',4,1,11,2011,'F','S','SANTINHO','FLORIANÓPOLIS','SC','124241241217111731336823475124610123181',NULL,'1022',39.15,4,3,NULL),(25,6319327,'1991-11-07 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117112531438713442124233263047',NULL,'307',15.97,1,2,1),(25,6319335,'1991-11-06 00:00:00',4,1,12,1991,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431358923385114610121012',NULL,'883',30.83,1,3,NULL),(25,6319351,'1989-05-24 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241142143511323314242124610163042',NULL,'287',26.67,4,2,1),(25,6319360,'1993-01-14 00:00:00',2,15,12,2010,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241115111431336634385121610122042',NULL,'30',25.16,1,3,NULL),(25,6319378,'1993-05-09 00:00:00',4,8,12,2010,'M','N','FATIMA','JOINVILLE','SC','124243241215121431448414575124510167042',13086,'489',46.48,1,3,NULL),(25,6319386,'1993-01-04 00:00:00',2,17,12,2009,'M','N','CENTRO','MAJ VIEIRA','SC','124241241116162431546812345124241467062',NULL,'548',14.51,1,2,1),(25,6319394,'1991-12-30 00:00:00',2,1,12,2009,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','224241241137271731235654245134610161142',NULL,'734',27.06,1,2,1),(25,6319408,'1981-04-05 00:00:00',2,2,12,1998,'M','N','VICTOR KONDER','BLUMENAU','SC','124201201146373431148444345121132066142',5781,'9998',56.54,1,2,1),(25,6319416,'1988-01-06 00:00:00',2,1,12,2005,'F','N','CACHOEIRAS','BIGUAÇU','SC','624241244112261432313341212345610122197',21015,'64',31.04,1,3,NULL),(25,6319424,'1969-05-16 00:00:00',2,1,12,2006,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224241247126145421434353132124610114097',NULL,'306',27.52,1,2,1),(25,6319432,'1992-12-18 00:00:00',4,15,12,2010,'M','N','CENTRO','MONTENEGRO','RS','120204201146151351438733191125610127187',NULL,'9998',33.11,1,3,NULL),(25,6319440,'1993-07-18 00:00:00',4,1,11,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242248217111431436623595114610167052',10659,'1074',50.23,1,3,NULL),(25,6319459,'1994-02-18 00:00:00',4,4,12,2010,'F','N','SÃO LUIS','S MIGUEL OESTE','SC','124241241116151531558813575112610132193',NULL,'757',30.62,1,3,NULL),(25,6319467,'1990-04-29 00:00:00',4,15,12,2007,'M','N','CENTRO','ARARANGUÁ','SC','124131131117131512126633245123610112065',NULL,'9998',34.82,1,3,NULL),(25,6319475,'1993-09-17 00:00:00',4,1,11,2011,'M','S','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241215111441566739595124610137047',NULL,'270',37.35,1,3,NULL),(25,6319483,'1992-04-26 00:00:00',2,9,12,2008,'F','N','JARDIM AMÉRICA','VACARIA','RS','120201201117131431436819575124233228147',20054,'9998',34.42,1,3,NULL),(25,6319491,'1993-07-01 00:00:00',4,9,11,2010,'F','N','CANTA GALO','RIO SUL','SC','124242241216122431469611575122610123097',13534,'991',41.32,4,3,NULL),(25,6319505,'1994-04-22 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124243241215271431469914282122610133052',5721,'983',56.77,1,3,NULL),(25,6319513,'1992-10-30 00:00:00',2,1,12,2010,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241125131631625339272344610167047',NULL,'294',26.58,1,2,1),(25,6319530,'1991-08-07 00:00:00',2,1,12,2008,'M','N','CENTRO','LONDRINA','PR','116164161216572412558812575124610124181',NULL,'9998',0.00,3,3,NULL),(25,6319548,'1989-07-31 00:00:00',4,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241116144431468823435112231037045',NULL,'271',30.04,1,2,1),(25,6319564,'1990-09-16 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216132431526353575124610127072',19494,'299',35.84,1,3,NULL),(25,6319580,'1968-11-25 00:00:00',2,1,12,1991,'F','N','JOSE MENDES','FLORIANÓPOLIS','SC','224181188136152231313379432124221852197',8784,'9998',50.82,1,2,1),(25,6319599,'1992-09-08 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216133431558814595122610154037',17242,'270',40.21,1,3,NULL),(25,6319602,'1991-01-21 00:00:00',2,9,12,2009,'M','N','SANTO ANTÔNIO','PTO ALEGRE','RS','120204201117111421466633571122610117042',NULL,'9998',22.36,1,3,NULL),(25,6319610,'1992-08-29 00:00:00',2,8,12,2009,'F','N','BATEL','CURITIBA','PR','116114161415472431448911281125610122077',1190,'9998',71.16,4,3,NULL),(25,6319629,'1991-08-16 00:00:00',2,1,12,2008,'M','N','CENTRO','IMBITUBA','SC','124241241116573731446819595124610127117',13555,'808',44.19,1,2,1),(25,6319637,'1994-08-18 00:00:00',4,1,12,2011,'F','S','CENTRO','STA RITA SAPUCAÍ','MG','113132131216121431658714575115610163192',NULL,'9998',56.12,1,3,NULL),(25,6319645,'1993-04-29 00:00:00',2,1,2,2011,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241212111431227527572224610137047',17299,'1022',40.10,1,3,NULL),(25,6319653,'1993-07-11 00:00:00',2,1,12,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241215111411634412142111610123142',NULL,'63',17.99,1,3,NULL),(25,6319661,'1992-02-16 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241112571431435516575124610147052',NULL,'856',27.73,1,2,1),(25,6319670,'1991-01-17 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472411268823572125610131092',6633,'270',55.82,4,3,NULL),(25,6319688,'1993-03-02 00:00:00',4,1,12,2010,'M','N','DONA WANDA','S JOSÉ','SC','124242241217131431537732142124610117117',NULL,'976',21.33,1,3,NULL),(25,6319700,'1993-12-10 00:00:00',4,10,12,2010,'M','N','CENTRO','CAPIVARI BAIXO','SC','124242241215111531356514475124610122052',12818,'797',46.88,1,3,NULL),(25,6319726,'1990-05-01 00:00:00',2,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124241241126241431123644245125610167182',NULL,'274',0.00,1,2,1),(25,6319734,'1995-07-26 00:00:00',4,1,12,2010,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241117161411465834575122610121191',19977,'21',34.65,1,2,1),(25,6319742,'1985-05-05 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224241241141132431623529242124220545147',NULL,'281',14.36,1,2,1),(25,6319750,'1987-02-04 00:00:00',4,1,12,2004,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116273431436617442114610134147',7447,'257',52.59,1,2,1),(25,6319777,'1994-07-11 00:00:00',4,8,12,2011,'M','S','GLÓRIA','JOINVILLE','SC','124242241216111711448812375112610167187',NULL,'1063',51.53,1,3,NULL),(25,6319793,'1993-03-16 00:00:00',4,1,12,2010,'F','N','CENTRO','DUARTINA','SP','125253251215111411448832572124610135147',1957,'9998',67.30,1,3,NULL),(25,6319815,'1993-01-25 00:00:00',4,1,11,2010,'M','N','CAPIVARI','CAMPOS JORDÃO','SP','125253251415411111668413585114610167043',NULL,'9998',0.00,1,3,NULL),(25,6319823,'1993-02-22 00:00:00',4,1,12,2010,'F','N','CEDRINHO','BRUSQUE','SC','124241241126131431433319296122610134172',NULL,'1019',0.00,1,2,1),(25,6319831,'1981-08-26 00:00:00',4,1,6,1999,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243246116143721224843335112121967047',10283,'306',50.84,1,3,NULL),(25,6319840,'1993-04-25 00:00:00',2,5,11,2010,'M','N','CENTRO','SIDERÓPOLIS','SC','124242241216111431638524575124610168192',8602,'226',49.63,1,3,NULL),(25,6319858,'1990-09-24 00:00:00',2,1,11,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241216575441426415395124131022187',1936,'995',67.88,1,3,NULL),(25,6319866,'1993-03-17 00:00:00',4,1,11,2009,'M','N','VILA SAMPAIO','ARAPONGAS','PR','116162161237471422559932575112610167042',4955,'9998',58.56,3,3,NULL),(25,6319874,'1984-10-22 00:00:00',4,1,12,2001,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215375411358813475114230267042',11630,'270',48.70,1,3,NULL),(25,6319882,'1991-08-25 00:00:00',4,1,11,2010,'M','N','CENTRO','FRAIBURGO','SC','124241246411111431345923471124610127077',13374,'1059',41.85,1,3,NULL),(25,6319890,'1993-04-07 00:00:00',4,3,12,2010,'F','N','PARQUE ANHANGUERA','GOIÂNIA','GO','109092091215111411366831572122610162187',1312,'9998',70.57,1,3,NULL),(25,6319904,'1992-10-28 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373432348824575114610164145',1180,'807',72.99,4,3,NULL),(25,6319912,'1990-10-04 00:00:00',4,1,12,2007,'M','N','CENTRO','ROMELÂNDIA','SC','124241241116132411536616395124241427057',NULL,'679',0.00,1,2,1),(25,6319920,'1990-09-15 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217575411546619576124133236187',1892,'213',68.17,3,3,NULL),(25,6319939,'1992-05-10 00:00:00',4,2,12,2009,'F','N','JARDIM SANTA RITA','JABOTICABAL','SP','125252251215471431448713571124610125142',5274,'9998',57.07,1,3,NULL),(25,6319947,'1988-02-22 00:00:00',2,5,6,2006,'M','N','CENTRO','COCAL SUL','SC','124241246416474431437613335125231427111',9882,'995',48.81,1,3,NULL),(25,6319955,'1991-09-07 00:00:00',4,1,12,2009,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242241217152431467923345124610162067',21516,'1022',27.75,2,1,2),(25,6319963,'1989-12-07 00:00:00',4,8,12,2007,'F','N','BOEHMERWALDT','JOINVILLE','SC','124241241147141411429414286124132162197',NULL,'465',0.00,1,3,NULL),(25,6319980,'1993-11-23 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117151211438823375122610128052',NULL,'307',21.02,1,3,NULL),(25,6319998,'1991-09-09 00:00:00',4,1,11,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124252251215572451189813575122610163037',345,'9998',79.05,1,3,NULL),(25,6320015,'1993-11-22 00:00:00',2,10,12,2011,'F','S','VILA NOVA','BRAÇO NORTE','SC','124243241217111732345311342124610126147',NULL,'950',0.00,1,3,NULL),(25,6320023,'1994-04-11 00:00:00',4,1,12,2011,'M','S','CENTRO','TIJUCAS','SC','124242241217161732568832572122610164042',NULL,'1119',39.73,1,3,NULL),(25,6320031,'1993-05-10 00:00:00',2,1,11,2010,'M','N','REAL PARQUE','S JOSÉ','SC','124241241115271432326624392121610127032',18332,'730',35.57,1,2,1),(25,6320058,'1987-10-26 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241316273731249579475112610162051',NULL,'1022',0.00,1,3,NULL),(25,6320066,'1993-03-03 00:00:00',4,16,12,2009,'M','N','CENTRO','FRAIBURGO','SC','124243241136111711436939242132230867047',NULL,'1135',21.15,1,3,NULL),(25,6320074,'1993-03-08 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243248114151431338619475122610124177',11443,'129',44.07,4,3,NULL),(25,6320082,'1993-10-22 00:00:00',2,5,11,2010,'F','N','CORRIDAS','ORLEANS','SC','124241241136131431433414245124610128092',NULL,'580',0.00,1,3,NULL),(25,6320090,'1987-07-09 00:00:00',2,6,12,2004,'F','N','CIDADE NOVA','ITAJAÍ','SC','224161161126471431236643135132610124147',NULL,'9998',0.00,1,2,1),(25,6320104,'1992-10-22 00:00:00',2,1,12,2009,'M','N','MADUREIRA','CAXIAS SUL','RS','120202203215471431479912572112610167092',4059,'9998',60.26,1,3,NULL),(25,6320112,'1993-11-02 00:00:00',2,8,12,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124241241115271421443319245124610162097',14464,'1206',39.43,1,2,1),(25,6320120,'1993-08-30 00:00:00',4,10,10,2010,'F','N','CENTRO','TUBARÃO','SC','124241241215271531258839575112610124172',5811,'806',56.91,1,3,NULL),(25,6320139,'1990-06-22 00:00:00',4,4,12,2008,'F','N','SANTA MARIA','CHAPECÓ','SC','124241241116472431636336574122610164055',21283,'648',29.53,1,2,1),(25,6320163,'1993-10-26 00:00:00',4,4,12,2010,'F','N','INTERIOR','MAREMA','SC','124241248127131431533315152322610124147',NULL,'554',18.24,1,2,1),(25,6320171,'1988-03-17 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241248147271431434311345124610137042',NULL,'922',30.24,1,2,1),(25,6320180,'1992-01-02 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241147472431324444345124610117057',NULL,'736',32.27,1,2,1),(25,6320198,'1993-08-24 00:00:00',4,2,12,2010,'M','N','ZANTÃO','BRUSQUE','SC','124241241115271751336419273224610147057',14883,'113',40.01,2,1,1),(25,6320201,'1993-05-21 00:00:00',2,4,12,2010,'M','N','JARDIM PEPERI','S MIGUEL OESTE','SC','124241241137141431536832345122610114057',20503,'757',27.06,1,3,NULL),(25,6320210,'1988-02-04 00:00:00',4,8,12,2005,'F','N','BUCAREIN','JOINVILLE','SC','124241241216575431436923275124233146097',NULL,'1105',0.00,1,3,NULL),(25,6320236,'1982-02-07 00:00:00',2,1,7,2001,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243246136155431467619445122221727122',11553,'306',48.82,1,3,NULL),(25,6320244,'1993-09-09 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241127131441526624345224610134042',NULL,'290',34.85,1,2,1),(25,6320252,'1992-06-17 00:00:00',4,8,11,2009,'F','N','CABRAL','CURITIBA','PR','116102161216271411438832572124610113142',NULL,'9998',0.00,1,3,NULL),(25,6320260,'1994-10-02 00:00:00',4,1,11,2011,'F','S','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215111711579633575124610138012',NULL,'270',20.85,1,3,NULL),(25,6320279,'1991-03-05 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124202206117151421454637375124241422045',3605,'9998',61.71,1,3,NULL),(25,6320287,'1991-02-15 00:00:00',4,1,12,2008,'M','N','JARDIM MANGALOT','S PAULO','SP','125252251217371451468833575114141467097',NULL,'9998',28.46,4,3,NULL),(25,6320295,'1983-02-14 00:00:00',4,1,12,2000,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242246217152411233641345124321168047',NULL,'494',17.94,1,3,NULL),(25,6320309,'1990-08-23 00:00:00',4,1,12,2008,'F','N','BOM FIM','PTO ALEGRE','RS','120202201317573731657812572124610164012',13604,'9998',40.58,1,3,NULL),(25,6320317,'1983-04-02 00:00:00',2,1,12,2000,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241216132411223653385112320955097',NULL,'109',0.00,1,3,NULL),(25,6320325,'1991-10-25 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241112371431433324141112610167047',NULL,'732',22.14,1,3,NULL),(25,6320333,'1993-05-07 00:00:00',4,5,12,2010,'F','N','SÃO LUÍS','CRICIÚMA','SC','124244246211111711553933371124610145057',8538,'995',49.91,1,3,NULL),(25,6320341,'1991-09-18 00:00:00',4,8,12,2008,'F','N','CENTRO','ROLÂNDIA','PR','116162161215571421457716574122610137145',1056,'9998',72.70,1,3,NULL),(25,6320350,'1989-02-27 00:00:00',4,1,12,2006,'M','N','VILA MASCOTE','S PAULO','SP','125252251216571431353824575124610125097',3354,'9998',61.18,1,3,NULL),(25,6320368,'1991-11-26 00:00:00',4,1,12,2009,'M','N','REGINA CELIA','CRUZEIRO','SP','125252251215372431457812575114140232062',NULL,'9998',37.35,1,3,NULL),(25,6320384,'1985-10-03 00:00:00',4,1,6,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224251257127131431623569241124233236117',17292,'9998',34.98,4,2,1),(25,6320392,'1992-02-22 00:00:00',4,4,12,2010,'M','N','CENTRO','REALEZA','PR','116163161135472431436619275122610147047',13309,'9998',41.08,1,3,NULL),(25,6320406,'1990-11-08 00:00:00',4,1,12,2008,'M','N','CENTRO','CPO BOM','RS','120202201216472731336831495122610112057',1535,'9998',69.72,1,3,NULL),(25,6320414,'1991-08-06 00:00:00',2,8,12,2008,'M','N','CENTRO','PARANAÍBA','MS','112122121215471431478833575122141447097',2803,'9998',65.38,3,3,NULL),(25,6320422,'1993-04-09 00:00:00',1,2,12,2010,'F','N','CENTRO','POMERODE','SC','124242241215111411433923332122610167072',5100,'624',60.62,1,3,NULL),(25,6320430,'1986-09-08 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124191191117271751523533241334610121097',16994,'9998',37.52,1,3,NULL),(25,6320449,'1990-03-28 00:00:00',4,9,12,2007,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241215575421269613172124242464097',4841,'270',58.07,1,3,NULL),(25,6320457,'1992-12-05 00:00:00',4,1,11,2010,'F','N','PEDRO LUDOVICO','GOIÂNIA','GO','109092091215111731478931571122610166037',NULL,'9998',0.00,1,3,NULL),(25,6320473,'1994-04-19 00:00:00',4,2,10,2011,'F','S','VORSTADT','BLUMENAU','SC','124242241215111431568934575122610122057',NULL,'909',58.59,1,3,NULL),(25,6320490,'1993-02-15 00:00:00',2,8,12,2009,'F','N','CARAJÁ','JESUÍTAS','PR','116161161116471431454615275122610141147',9383,'9998',48.29,1,2,1),(25,6320503,'1993-11-10 00:00:00',2,2,12,2010,'F','N','CIDADE ALTA','TROMBUDO CENTRAL','SC','124242241215111751456632572124610132072',NULL,'663',28.52,1,3,NULL),(25,6320511,'1993-06-25 00:00:00',2,1,12,2010,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241116161431423411572114610117052',NULL,'329',23.11,1,2,1),(25,6320520,'1994-06-17 00:00:00',2,17,12,2011,'F','S','CENTRO','MAJ VIEIRA','SC','124241241417161731556832572122610122147',NULL,'973',6.65,1,3,NULL),(25,6320538,'1991-10-14 00:00:00',2,1,12,2008,'M','N','CENTRO','PALMITOS','SC','119244241212373431448932575112241467057',NULL,'1193',0.00,1,3,NULL),(25,6320546,'1992-04-27 00:00:00',4,1,12,2009,'M','N','DAS ROSAS','ETN VELHA','RS','120202201217472431469931413124610127043',NULL,'9998',0.00,1,3,NULL),(25,6320554,'1952-10-27 00:00:00',2,1,12,1972,'M','N','CENTRO','FLORIANÓPOLIS','SC','524161207337251441156442425124142066043',NULL,'9998',0.00,1,3,NULL),(25,6320570,'1974-11-11 00:00:00',2,1,6,1997,'F','N','SERRARIA','S JOSÉ','SC','224203207146233421333853332133610168187',14254,'9998',39.66,1,3,NULL),(25,6320589,'1992-05-25 00:00:00',2,1,12,2010,'F','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124241241117271431313319475124610126197',16699,'65',35.18,1,2,1),(25,6320597,'1993-11-12 00:00:00',4,1,12,2010,'F','N','CENTRO','URUGUAIANA','RS','120202201217371731338811572122610112182',NULL,'9998',0.00,1,3,NULL),(25,6320619,'1985-08-31 00:00:00',4,1,12,2002,'M','N','JARDIM SÃO JOSÉ','MTE APRAZÍVEL','SP','125251251117572451453833341122610127186',17936,'9998',33.78,1,2,1),(25,6320627,'1982-05-28 00:00:00',4,1,12,2000,'F','N','CAJURU','CURITIBA','PR','116163161337151431347513285124342037116',NULL,'9998',0.00,1,3,NULL),(25,6320635,'1991-12-18 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241115372731437831572114610132167',14282,'267',43.23,1,3,NULL),(25,6320651,'1982-10-26 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248126143421521419382234222914147',NULL,'228',26.16,2,1,1),(25,6320660,'1993-06-04 00:00:00',2,1,11,2010,'M','N','PROGRESSO','BLUMENAU','SC','124242241217111731446412572124610164143',NULL,'71',0.00,1,3,NULL),(25,6320686,'1989-10-05 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215574711669913575114610124041',3042,'270',63.15,1,3,NULL),(25,6320694,'1991-12-27 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215472411369713575122221412012',3924,'951',61.89,1,3,NULL),(25,6320708,'1991-10-08 00:00:00',4,1,12,2008,'M','N','MONTE BELO','GRAVATAÍ','RS','120204201117271411435522245124142344142',NULL,'9998',0.00,1,3,NULL),(25,6320716,'1991-06-21 00:00:00',4,1,12,2008,'F','N','ARIRIÚ','PALHOÇA','SC','124241241116271431435511145134610124142',NULL,'772',33.65,1,2,1),(25,6320732,'1993-12-27 00:00:00',2,2,12,2010,'F','N','SÃO LOURENÇO','CPO VERDE','MT','111243111116131431523434245124610133057',18995,'9998',30.52,1,3,NULL),(25,6320740,'1993-08-06 00:00:00',2,4,12,2010,'F','N','MIRANTE','ITÁ','SC','124241241115131451325321571124610148142',NULL,'383',17.49,4,2,1),(25,6320759,'1990-04-26 00:00:00',4,1,12,2007,'F','N','ALTO','PIRACICABA','SP','125252251217271431369914475112143264092',NULL,'9998',0.00,1,3,NULL),(25,6320767,'1992-04-04 00:00:00',4,3,11,2009,'M','N','CATU DE ABRANTES','CAMAÇARI','BA','105052051216371431448834571124241434052',4532,'9998',60.56,1,3,NULL),(25,6320775,'1993-12-25 00:00:00',4,1,12,2010,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241145371431538534575124610137047',NULL,'941',32.56,2,1,2),(25,6320783,'1991-05-13 00:00:00',2,9,12,2008,'F','N','RONDINHA','PTE ALTA NORTE','SC','124241242116374411525614572124231437057',16818,'662',37.96,1,2,1),(25,6320791,'1991-12-11 00:00:00',2,6,12,2008,'M','N','CENTRO','ROSÁRIO SUL','RS','120201201116371431346833572124610137042',17724,'9998',33.84,1,2,1),(25,6320813,'1994-08-11 00:00:00',4,4,12,2011,'F','S','CENTRO','CHAPECÓ','SC','124242241215211731338912575122610164142',NULL,'185',31.01,1,3,NULL),(25,6320821,'1993-01-19 00:00:00',2,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241337141411437531374124610124012',NULL,'49',24.38,1,3,NULL),(25,6320830,'1992-12-04 00:00:00',4,4,11,2009,'M','N','CENTRO','CONCÓRDIA','SC','116242241216151432238612375114241464187',10787,'1000',50.01,4,3,NULL),(25,6320856,'1990-12-28 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124163241217575431469613571124230227187',11567,'270',44.87,1,3,NULL),(25,6320864,'1993-06-22 00:00:00',2,4,12,2010,'M','N','CENTRO','S MIGUEL OESTE','SC','124242248216161132428812595122610127062',19280,'1179',29.47,1,3,NULL),(25,6320872,'1991-04-18 00:00:00',4,1,12,2008,'F','N','JARDIM PENHA','S PAULO','SP','125252251216571431463432575112610117092',2021,'9998',67.37,1,3,NULL),(25,6320880,'1992-08-30 00:00:00',2,8,12,2009,'M','N','RIO VERMELHO ESTAÇÃO','S BENTO SUL','SC','124241241116271731424619375124610137057',NULL,'697',20.20,1,2,1),(25,6320899,'1993-10-07 00:00:00',4,10,12,2010,'M','N','VALPARAISO','BLUMENAU','SC','124241248417131441459714575124610167042',18009,'71',35.56,1,3,NULL),(25,6320902,'1991-01-02 00:00:00',2,1,12,2008,'F','N','FÁTIMA','CAXIAS SUL','RS','120201201116572431344732275124610131077',9589,'9998',47.44,1,2,1),(25,6320910,'1993-10-05 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241117151411328713275114610132185',NULL,'298',19.61,1,3,NULL),(25,6320937,'1990-06-10 00:00:00',4,1,12,2007,'M','N','BELA VISTA','GOIÂNIA','GO','109252251216571431348731575112610132042',2062,'9998',67.33,1,3,NULL),(25,6320953,'1992-01-11 00:00:00',4,15,12,2009,'F','N','CENTRO','ARROIO MEIO','RS','120202201217471431343612395122610164182',8452,'9998',50.19,1,3,NULL),(25,6320961,'1991-09-30 00:00:00',4,7,12,2008,'F','N','CENTRO','TREZE TÍLIAS','SC','124241241117373431356939375124232434147',4388,'795',59.95,1,2,1),(25,6320970,'1989-02-12 00:00:00',4,8,12,2006,'M','N','BATEL','GUARAPUAVA','PR','116163161317131751338831582221231417044',18027,'9998',35.86,1,3,NULL),(25,6320988,'1992-07-04 00:00:00',2,6,12,2009,'M','N','CENTRO','STA MARIA','RS','120201201116471432425633375114610117057',19888,'9998',28.09,1,2,1),(25,6320996,'1989-11-20 00:00:00',2,1,12,2006,'M','N','CENTRO','PALMAS','TO','127272271215511431458632575122610162047',NULL,'9998',0.00,1,3,NULL),(25,6321003,'1989-08-17 00:00:00',4,1,12,2006,'M','N','JARDIM ISMÊNIA','S JOSÉ CAMPOS','SP','125251251147571411436614274324610144197',NULL,'9998',0.00,1,2,1),(25,6321011,'1989-03-28 00:00:00',4,1,7,2009,'F','N','BARREIROS','S JOSÉ','SC','124241247326272732536324346124610164047',NULL,'9999',0.00,1,3,NULL),(25,6321020,'1993-05-20 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122451557923572125610143012',5494,'262',57.47,1,3,NULL),(25,6321038,'1989-12-10 00:00:00',2,15,12,2006,'F','N','SÃO CRISTOVÃO','MARACAJÁ','SC','124241241122161431212327142121610125187',NULL,'550',20.07,1,3,NULL),(25,6321046,'1993-02-25 00:00:00',4,1,12,2009,'F','N','CENTRO','LONDRINA','PR','116162161215471431468813572112610167147',4861,'9998',58.25,1,3,NULL),(25,6321054,'1993-11-14 00:00:00',2,8,11,2010,'M','N','HUGO LANGE','CURITIBA','PR','116162161217111431437821572112610137122',NULL,'9998',0.00,1,3,NULL),(25,6321062,'1993-07-29 00:00:00',4,1,12,2010,'F','N','VILA LORENZI','STA MARIA','RS','120201201117271432615611372124610164141',NULL,'9998',29.30,1,3,NULL),(25,6321070,'1987-10-12 00:00:00',4,2,6,2007,'F','N','CAMPO LIMPO','AMERICANA','SP','125281281116571731336331195122610165187',9542,'9998',48.96,4,3,NULL),(25,6321097,'1993-05-02 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215121411467914272112610122142',5505,'1022',57.13,1,3,NULL),(25,6321119,'1987-04-14 00:00:00',2,8,12,2004,'M','N','PAULAS','S FRANCISCO SUL','SC','124242241212275411548611592124231468187',NULL,'992',0.00,1,3,NULL),(25,6321127,'1993-06-04 00:00:00',2,4,6,1993,'M','N','CENTRO','STO ANTÔNIO SUDOESTE','PR','116161161117131411436419471124610117057',NULL,'9998',0.00,1,2,1),(25,6321135,'1994-03-11 00:00:00',4,8,11,2011,'F','S','CENTRO','JOINVILLE','SC','124242241217111531549933575112610138072',NULL,'461',26.72,1,3,NULL),(25,6321143,'1994-05-16 00:00:00',4,8,11,2011,'F','S','ATIRADORES','JOINVILLE','SC','124242241215111431329711595122610167142',NULL,'461',50.00,1,3,NULL),(25,6321151,'1987-01-27 00:00:00',4,1,12,2004,'F','N','SETOR OESTE','GOIÂNIA','GO','109092091217571751469613575112142068187',778,'9998',73.87,1,3,NULL),(25,6321160,'1992-01-30 00:00:00',4,15,12,2009,'F','N','CENTRO','JACINTO MACHADO','SC','124241241116272441523516146124231166192',16130,'420',41.96,1,2,1),(25,6321178,'1993-08-18 00:00:00',4,1,11,2010,'M','N','BUTANTÃ','S PAULO','SP','125251251217371431446613575122610134142',NULL,'9998',0.00,1,3,NULL),(25,6321186,'1990-08-17 00:00:00',4,3,12,2007,'M','N','CENTRO','MARINGÁ','PR','116162161236572731458832575112610167047',790,'9998',75.41,1,3,NULL),(25,6321208,'1992-02-29 00:00:00',4,1,10,2009,'M','N','CENTRO','TUBARÃO','SC','124242241215474731577932575112610162122',NULL,'807',60.15,1,3,NULL),(25,6321259,'1993-07-25 00:00:00',4,8,12,2010,'F','N','SÃO CRISTÓVÃO','BARRA VELHA','SC','124242248215111731354832395122610147122',NULL,'394',0.00,1,3,NULL),(25,6321267,'1993-03-06 00:00:00',2,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124242241215112431436931571125610147077',9691,'962',47.28,1,3,NULL),(25,6321275,'1990-02-12 00:00:00',4,1,12,2007,'F','N','LIBERDADE','S PAULO','SP','125164161216572431448812575122610144112',8142,'9998',50.45,1,3,NULL),(25,6321305,'1990-11-12 00:00:00',2,3,11,2008,'M','N','MIRAGEM','LAURO FREITAS','BA','105052051217571431448837595124610137052',8560,'9998',48.28,1,3,NULL),(25,6321313,'1993-11-17 00:00:00',4,1,12,2010,'F','N','AUXILIADORA','PTO ALEGRE','RS','120202201217371431369831572122610137142',6083,'9998',55.75,1,3,NULL),(25,6321321,'1992-09-23 00:00:00',4,8,11,2009,'M','N','CHACARA DA BARRA','CAMPINAS','SP','125252251215471431479914575122610164142',NULL,'9998',0.00,1,3,NULL),(25,6321330,'1993-06-29 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241217111431458816465114610124045',7489,'270',52.98,1,3,NULL),(25,6321348,'1978-12-17 00:00:00',2,1,8,1998,'F','N','FLORESTA','S JOSÉ','SC','124241246126153721133343435124321862187',17133,'306',40.40,1,2,1),(25,6321356,'1972-01-24 00:00:00',2,1,12,1993,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224241246136132421327343433224122227047',10152,'306',48.31,1,2,1),(25,6321372,'1991-10-28 00:00:00',4,1,12,2008,'M','N','OPERÁRIO','NOVO HAMBURGO','RS','120203201437273411447611116124610164112',8725,'9998',49.08,1,3,NULL),(25,6321380,'1992-02-10 00:00:00',2,3,12,2009,'M','N','ZONA SETE','MARINGÁ','PR','116162161215471411476714375112610167122',5387,'9998',57.69,4,3,NULL),(25,6321399,'1994-07-09 00:00:00',4,2,12,2011,'F','S','NOVA BRASÍLIA','BRUSQUE','SC','124242241215111421458732596122610124042',NULL,'107',35.83,4,3,NULL),(25,6321402,'1992-01-11 00:00:00',4,1,12,2009,'M','N','CENTRO','LONDRINA','PR','125162161215272431339871572121610137012',1943,'9998',68.12,1,3,NULL),(25,6321410,'1972-01-20 00:00:00',2,15,5,1994,'M','N','CENTRO','BAL ARROIO SILVA','SC','224243247317132421532143232224131322187',21760,'1003',23.68,1,3,NULL),(25,6321437,'1991-08-23 00:00:00',4,2,12,2008,'F','N','ESTADOS','TIMBÓ','SC','124244241214213431449413591124121526182',7463,'1157',55.85,1,3,NULL),(25,6321445,'1993-03-08 00:00:00',4,9,11,2010,'M','N','CENTRO','LAGES','SC','124242241215111431458832575122610134092',9487,'497',52.24,1,3,NULL),(25,6321453,'1992-03-08 00:00:00',4,8,11,2009,'M','N','GUANABARA','JOINVILLE','SC','124242241215472731449912575112610144017',5909,'456',56.02,1,3,NULL),(25,6321461,'1992-05-21 00:00:00',2,1,12,2010,'M','N','PARTENON','PTO ALEGRE','RS','120202201217111411666823472114610137042',19111,'9998',36.73,1,3,NULL),(25,6321470,'1991-10-01 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241135372411438723392125610161057',NULL,'307',19.54,1,3,NULL),(25,6321488,'1989-03-24 00:00:00',4,1,12,2006,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241127133421335444242124130234047',NULL,'307',32.12,3,3,NULL),(25,6321496,'1992-12-28 00:00:00',4,2,12,2010,'M','N','RIBEIRÃO FRESCO','BLUMENAU','SC','124242241215111431457836575122610137047',14199,'87',40.07,1,3,NULL),(25,6321500,'1991-02-10 00:00:00',4,1,12,2008,'F','N','VILA NOVA','IMBITUBA','SC','124242241215372431488823375122131063142',3358,'362',63.36,1,3,NULL),(25,6321518,'1992-12-21 00:00:00',4,9,12,2009,'F','N','SAGRADO C DE JESUS','LAGES','SC','124241241312131431327633592124231567057',NULL,'505',23.34,1,3,NULL),(25,6321526,'1991-01-05 00:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124201201111131731423344342324610127047',NULL,'9998',0.00,1,2,1),(25,6321534,'1992-04-15 00:00:00',4,1,12,2009,'F','N','JARDIM ESTER','S PAULO','SP','125253251227471411437732575124610123142',13319,'9998',42.67,4,3,NULL),(25,6321542,'1993-07-21 00:00:00',2,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241216141431444412345122610164091',16665,'1223',36.86,1,3,NULL),(25,6321550,'1993-09-18 00:00:00',4,1,11,2010,'F','N','SETOR SUL','GOIÂNIA','GO','109092091217111531246823575112610124077',NULL,'9998',0.00,1,3,NULL),(25,6321569,'1991-01-17 00:00:00',4,1,11,2008,'M','N','CENTRO','STA MARIA','RS','120202201217571431479931572122610144182',2454,'9998',65.94,1,3,NULL),(25,6321577,'1975-08-24 00:00:00',2,1,12,1995,'M','N','CENTRO','GAROPABA','SC','124281286317375431125841315132121736137',9675,'9998',51.92,1,3,NULL),(25,6321585,'1990-12-11 00:00:00',4,8,12,2007,'M','N','RIBEIROPOLIS','REGISTRO','SP','125252251215571431458833274125610167187',6602,'9998',53.15,1,3,NULL),(25,6321607,'1989-05-20 00:00:00',2,15,12,2006,'M','N','CENTRO','SOMBRIO','SC','124201201126141721223339345121610148197',NULL,'9998',31.59,1,2,1),(25,6321623,'1966-04-19 00:00:00',4,1,12,1984,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124203208217142431153341315122341267145',NULL,'9998',26.02,1,3,NULL),(25,6321631,'1993-09-05 00:00:00',4,8,12,2010,'M','N','MATO PRETO','S BENTO SUL','SC','124243241117151431459714575122610134092',10095,'697',47.09,1,3,NULL),(25,6321640,'1991-09-21 00:00:00',2,9,12,2008,'F','N','TRIBUTO','LAGES','SC','124241241417131441446631342134610132057',NULL,'1065',36.21,1,3,NULL),(25,6321658,'1991-10-08 00:00:00',4,1,6,2010,'M','N','PALMEIRAS DE SAO JOS','S JOSÉ CAMPOS','SP','125254256215311731546619292122610163052',NULL,'729',0.00,1,3,NULL),(25,6321666,'1992-09-15 00:00:00',4,16,12,2009,'M','N','RONDINHA','PTE ALTA NORTE','SC','124241241126571431223629472112610132157',NULL,'626',25.15,4,3,NULL),(25,6321674,'1994-07-11 00:00:00',4,10,12,2010,'M','N','CENTRO','TUBARÃO','SC','124242241215111431269813575112610164011',14894,'797',43.84,1,3,NULL),(25,6321682,'1992-03-25 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117272431636513382124243227072',16915,'307',35.94,1,2,1),(25,6321690,'1993-02-21 00:00:00',2,5,12,2010,'F','N','SANTO ANTONIO','CRICIÚMA','SC','124244241215111441428634572124610144147',NULL,'210',25.99,4,3,NULL),(25,6321704,'1992-06-15 00:00:00',4,5,11,2010,'F','N','CENTRO','ERECHIM','RS','120202201216472741479911471122610162072',680,'9998',76.15,1,3,NULL),(25,6321712,'1991-04-28 00:00:00',4,1,12,2008,'F','N','JD SÃO JOSÉ','BRAGANÇA PAULISTA','SP','125251253117471431448819171124610141147',NULL,'9998',0.00,1,3,NULL),(25,6321720,'1993-03-19 00:00:00',4,9,11,2010,'F','N','CONTA DINHEIRO','LAGES','SC','124112241215111431547912372122610168052',4269,'497',59.54,1,3,NULL),(25,6321739,'1990-05-07 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216473431458834442122220857117',NULL,'1022',36.15,1,3,NULL),(25,6321747,'1991-06-08 00:00:00',2,1,12,2009,'F','N','CHACRA PAULISTA','MARINGÁ','PR','116164161337471431325734575122610126152',NULL,'9998',0.00,4,3,NULL),(25,6321755,'1991-06-28 00:00:00',4,6,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241117132231336934442124132514147',20460,'401',33.30,1,3,NULL),(25,6321763,'1993-09-03 00:00:00',4,10,10,2010,'F','N','HUMAITÁ','TUBARÃO','SC','624242241215272742438812595122610127046',4267,'806',61.29,1,3,NULL),(25,6321771,'1986-12-12 00:00:00',2,4,12,2004,'F','N','ALTO DA GLÓRIA','LOANDA','PR','116162161216572431469933575124610163077',13939,'9998',45.27,1,3,NULL),(25,6321798,'1992-05-23 00:00:00',4,1,12,2009,'F','N','VILA OLIVEIRA','STA BÁRBARA D OESTE','SP','125252251417471721548834571122610167017',NULL,'9998',0.00,1,3,NULL),(25,6321801,'1992-02-29 00:00:00',4,1,11,2009,'M','N','PARAISO','S PAULO','SP','125252251215471731389811471122610167052',NULL,'9998',0.00,1,3,NULL),(25,6321810,'1988-09-06 00:00:00',4,1,12,2005,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215375431527639572124131436097',2189,'270',68.60,1,3,NULL),(25,6321828,'1993-01-11 00:00:00',4,17,10,2010,'F','N','SÃO BRAS','CURITIBA','PR','116162161215111431458714575122610113122',NULL,'9998',0.00,1,3,NULL),(25,6321836,'1978-08-03 00:00:00',2,1,12,2005,'F','N','FORQUILHINHAS','S JOSÉ','SC','224241241126133431425654445124130263147',NULL,'9997',19.77,1,2,1),(25,6321844,'1994-02-21 00:00:00',4,8,12,2011,'F','S','AMÉRICA','JOINVILLE','SC','124242241215151432468833472112610141072',NULL,'457',37.17,1,3,NULL),(25,6321852,'1989-12-01 00:00:00',2,1,12,2007,'F','N','CENTRO','S JOSÉ','SC','624201201117271431545644241133610147147',NULL,'9998',30.82,1,2,1),(25,6321860,'1993-03-29 00:00:00',4,1,12,2010,'M','N','MORADA DA COLINA','PASSO FUNDO','RS','120204201116151441225611282121610167012',15861,'9998',37.80,1,3,NULL),(25,6321879,'1993-01-20 00:00:00',4,2,12,2009,'M','N','SÃO JORGE','CRUZ ALTA','RS','120201201116131731421923575114610127047',19282,'9998',30.98,1,2,1),(25,6321887,'1985-04-04 00:00:00',4,9,12,2002,'F','N','SANTA CATARINA','OTACÍLIO COSTA','SC','124241241136141431534519282124332224097',NULL,'512',27.50,1,3,NULL),(25,6321909,'1993-06-02 00:00:00',2,10,11,2010,'F','N','OFICINAS','TUBARÃO','SC','124241241216111411436823472121610161142',15030,'807',39.57,1,3,NULL),(25,6321917,'1992-03-20 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124241247417131431536319145122610122182',NULL,'1096',0.00,4,3,NULL),(25,6321925,'1992-08-07 00:00:00',4,2,12,2009,'F','N','VILA NOVA','BLUMENAU','SC','124242241215372431459832422112610161047',9996,'909',48.08,1,3,NULL),(25,6321933,'1993-04-06 00:00:00',2,9,12,2010,'M','N','CENTRO','CORREIA PINTO','SC','124243241315131431323314285122610127147',NULL,'515',31.21,1,3,NULL),(25,6321941,'1991-03-12 00:00:00',4,4,12,2008,'F','N','CENTRO','XAXIM','SC','124241241114272431113444446324610127157',19297,'846',30.64,1,2,1),(25,6321950,'1991-11-26 00:00:00',4,8,12,2008,'F','N','CABRAL','CURITIBA','PR','116162161216371431266823472112142945183',NULL,'9998',0.00,1,3,NULL),(25,6321968,'1991-11-22 00:00:00',2,2,12,2010,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242248215111431468919412114610167143',20580,'855',30.24,1,3,NULL),(25,6321976,'1981-06-20 00:00:00',4,1,7,2001,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241248137133151123344245134132114117',NULL,'306',19.71,3,2,1),(25,6321984,'1991-01-08 00:00:00',4,1,12,2008,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162161217473431469911575125220732042',7429,'9998',54.16,1,3,NULL),(25,6321992,'1992-02-20 00:00:00',2,2,12,2009,'F','N','AGUAS CLARAS','BRUSQUE','SC','124241241125272721113344244334610134197',13042,'111',41.74,1,2,1),(25,6322000,'1993-07-16 00:00:00',2,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','116244161235171251437836595125610136147',13970,'9998',41.26,1,3,NULL),(25,6322018,'1993-06-03 00:00:00',4,4,12,2010,'F','N','CENTRO','UBIRATÃ','PR','116162161215111431468923575112610164097',7845,'9998',51.11,1,3,NULL),(25,6322026,'1992-05-12 00:00:00',2,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124241241137131431331634341122610168187',20249,'174',33.91,1,2,1),(25,6322034,'1993-09-06 00:00:00',4,15,12,2010,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241115371731523311572222610118012',18679,'29',32.09,1,2,1),(25,6322042,'1992-12-22 00:00:00',4,9,12,2010,'M','N','SÃO MARCOS','FARROUPILHA','RS','120202201216471411365912225122610127042',6663,'9998',53.18,1,3,NULL),(25,6322050,'1992-02-24 00:00:00',2,1,12,2009,'F','N','CENTRO','OURO FINO','MG','113134131215471431446832575122610165113',9543,'9998',48.89,1,3,NULL),(25,6322069,'1992-05-14 00:00:00',4,8,12,2010,'F','N','CIDADE MONÇÕES','MARINGÁ','PR','116162161217111431458931412122610136052',2911,'9998',64.39,1,3,NULL),(25,6322077,'1993-03-30 00:00:00',4,1,12,2010,'F','N','SANTA MONICA','FRA SANTANA','BA','105052051215111211459813575122610138187',NULL,'9998',0.00,4,3,NULL),(25,6322085,'1993-11-20 00:00:00',4,9,12,2010,'F','N','POPULAR','LAGES','SC','124241241135141711215923345124610134052',21016,'935',23.75,1,2,1),(25,6322107,'1993-08-19 00:00:00',2,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117111431443411195124610132171',NULL,'739',19.94,1,2,1),(25,6322115,'1988-04-26 00:00:00',4,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241116472431326611345124610127142',14562,'276',39.15,4,1,2),(25,6322123,'1993-07-31 00:00:00',2,7,12,2010,'F','N','CENTRO','HERVAL D OESTE','SC','124244241417371431535634245122610167147',20740,'445',32.19,1,3,NULL),(25,6322131,'1990-03-15 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212474431343637575114222017042',12809,'1169',46.90,1,3,NULL),(25,6322140,'1992-06-05 00:00:00',2,1,12,2009,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124241241115472431524311242124610126142',19037,'922',33.03,1,2,1),(25,6322158,'1992-05-06 00:00:00',4,1,12,2009,'F','N','LIBERDADE','S PAULO','SP','125162161217471731378931475112610164011',5820,'9998',55.63,1,3,NULL),(25,6322174,'1985-11-22 00:00:00',2,1,7,2008,'M','N','FORQUILHAS','S JOSÉ','SC','124241247136373431436534345124133228147',10537,'945',47.63,1,2,1),(25,6322182,'1994-05-26 00:00:00',4,1,12,2011,'M','S','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111732468612475112610137115',NULL,'270',27.97,1,3,NULL),(25,6322190,'1991-03-11 00:00:00',2,8,12,2007,'M','N','AMERICA','JOINVILLE','SC','124241241146131531326924345124610124051',20585,'846',32.80,1,2,1),(25,6322204,'1992-02-01 00:00:00',4,1,12,2009,'M','N','CABREUVA','CPO GRANDE','MS','112122121212272411648511575112243264017',3214,'9998',62.19,2,1,2),(25,6322212,'1992-03-31 00:00:00',4,8,12,2009,'F','N','NOVA JABOTICABAL','JABOTICABAL','SP','125252251216471431468834441124610124077',NULL,'9998',0.00,1,3,NULL),(25,6322220,'1991-01-25 00:00:00',2,1,12,2009,'M','N','JARIM ITALIA','CHAPECÓ','SC','124243241441131331438812275124233224147',21459,'9997',28.33,1,3,NULL),(25,6322239,'1993-12-05 00:00:00',4,2,12,2011,'M','S','CENTRO','BRUSQUE','SC','124242241215171532458612475121610114072',NULL,'107',46.20,1,3,NULL),(25,6322247,'1992-10-06 00:00:00',2,4,12,2009,'F','N','CIDADE ALTA','MEDIANEIRA','PR','116161161215471431348511575124610164142',18601,'9998',32.27,4,3,NULL),(25,6322255,'1991-06-21 00:00:00',4,8,12,2008,'M','N','JARDIM SOFIA','JOINVILLE','SC','124242241215124751366823575221221467117',11755,'270',48.54,1,3,NULL),(25,6322263,'1989-11-04 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574751569811571114121464012',5502,'9997',59.76,1,3,NULL),(25,6322271,'1993-05-04 00:00:00',2,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243241115141411326621345124610127062',NULL,'278',16.83,1,3,NULL),(25,6322280,'1989-12-07 00:00:00',4,1,12,2006,'M','N','PADRE EUSTAQUIO','BELO HORIZONTE','MG','124132131215472441527761571124221861097',NULL,'9998',0.00,1,3,NULL),(25,6322298,'1991-04-26 00:00:00',2,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124203241147131731124744342134130447057',NULL,'9999',14.74,1,3,NULL),(25,6322301,'1989-02-17 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216473741458614445124610124182',11029,'362',44.39,1,3,NULL),(25,6322310,'1990-01-25 00:00:00',2,1,12,2007,'F','N','SAUDADE','BIGUAÇU','SC','124241241116274421533413235124610161147',12226,'65',44.73,1,2,1),(25,6322328,'1993-06-16 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211111431446853575124610167017',15912,'1022',38.12,1,3,NULL),(25,6322352,'1991-09-30 00:00:00',2,1,6,2010,'F','N','AREIAS','S JOSÉ','SC','124241241117131431327614245122610131192',NULL,'739',34.05,1,2,1),(25,6322360,'1986-01-16 00:00:00',2,15,12,2004,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124201207226151432327824242122333267052',20825,'9998',31.86,1,3,NULL),(25,6322379,'1989-04-10 00:00:00',4,1,12,2006,'F','N','ESTREITO BALNEÁRIO','FLORIANÓPOLIS','SC','124242241216142321468514444124131066097',NULL,'270',0.00,1,3,NULL),(25,6322387,'1981-09-02 00:00:00',2,1,12,2002,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124202208127141721448411445124241364077',19378,'9998',36.12,1,3,NULL),(25,6322395,'1991-08-04 00:00:00',2,5,12,2008,'F','N','KOLLER','ERECHIM','RS','120201201116573431358633575122610127097',3336,'9998',62.15,1,2,1),(25,6322409,'1993-03-31 00:00:00',4,1,12,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124241241115371431323314175124610124197',14757,'592',39.74,1,2,1),(25,6322417,'1990-12-17 00:00:00',2,4,12,2007,'F','N','LINHA PEROBAL','S JORGE D OESTE','PR','116161161316572431633315495124610162147',1103,'9998',71.66,1,3,NULL),(25,6322425,'1981-03-04 00:00:00',4,1,10,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241248136471441525713445124610138171',19053,'9999',30.68,1,2,1),(25,6322433,'1982-11-07 00:00:00',2,1,11,2000,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116245421436529342122610117047',17702,'307',39.40,1,3,NULL),(25,6322441,'1995-02-20 00:00:00',4,1,11,2011,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431449532572122610137142',NULL,'1198',40.53,1,3,NULL),(25,6322450,'1992-02-18 00:00:00',4,1,7,2010,'F','N','DISTRITO INDUSTRIAL','S JOSÉ','SC','124161241117471431446414572114610167057',16663,'739',38.70,1,2,1),(25,6322468,'1992-04-11 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215372731458711592122233262097',16835,'270',40.89,1,3,NULL),(25,6322476,'1989-03-23 00:00:00',2,1,8,2009,'M','N','PRADO','BIGUAÇU','SC','124242247337151432333923445122610132067',NULL,'9999',19.13,1,3,NULL),(25,6322484,'1994-08-31 00:00:00',4,1,12,2011,'F','S','SERRARIA','S JOSÉ','SC','124242241115131711456623572124610163012',NULL,'271',24.47,1,3,NULL),(25,6322492,'1987-06-25 00:00:00',2,1,12,2004,'F','N','CAMPINAS','S JOSÉ','SC','224241241126372431233352375124610122112',NULL,'893',0.00,1,2,1),(25,6322506,'1993-06-21 00:00:00',4,1,12,2010,'M','N','ESTRADA GERAL','VIDAL RAMOS','SC','124241242116151431443923575124610127142',14297,'1222',39.17,1,2,1),(25,6322514,'1989-07-13 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124242241216575411568932295112123265187',5087,'738',60.64,1,3,NULL),(25,6322522,'1993-12-04 00:00:00',4,8,12,2010,'F','N','VILA BRAGA','S JOSÉ PINHAIS','PR','116162161215421421469912574122610163072',1456,'9998',71.05,1,3,NULL),(25,6322530,'1989-02-25 00:00:00',4,1,12,2006,'M','N','SETOR OESTE','GOIÂNIA','GO','109092091212471711479811575122141467042',NULL,'9998',0.00,1,3,NULL),(25,6322549,'1989-10-17 00:00:00',4,1,12,2007,'M','N','ALTO DA BOA VISTA','ITUMBIARA','GO','109092131115571431558811571125610162042',NULL,'9998',0.00,1,3,NULL),(25,6322557,'1994-09-12 00:00:00',4,1,12,2011,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241215111411569914575124610134097',NULL,'738',39.03,1,3,NULL),(25,6322565,'1993-12-27 00:00:00',4,7,12,2010,'M','N','CENTRO','JOAÇABA','SC','124242241115111431359834575122610167042',NULL,'446',12.68,1,3,NULL),(25,6322590,'1992-03-31 00:00:00',2,1,12,2010,'F','N','FUNDOS','BIGUAÇU','SC','124241241115141431423511175324610134142',NULL,'65',18.51,1,3,NULL),(25,6322603,'1993-03-06 00:00:00',2,4,12,2010,'M','N','ESPLANDA','CHAPECÓ','SC','124241241115271431629933572122610164042',NULL,'176',24.45,1,2,1),(25,6322611,'1991-04-30 00:00:00',2,1,12,2008,'F','N','DOM BOSCO','ITAJAÍ','SC','124244241215371421176532575112133228092',NULL,'392',0.00,1,3,NULL),(25,6322646,'1991-12-29 00:00:00',4,1,12,2009,'M','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241126151631543633572122610167147',NULL,'731',22.70,1,3,NULL),(25,6322662,'1993-04-03 00:00:00',2,15,11,2010,'F','N','CENTRO','STA ROSA SUL','SC','124241242115111431436633575124610121057',18825,'690',31.92,1,2,1),(25,6322670,'1986-12-10 00:00:00',2,1,12,2005,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124161248111151231533379445114610155067',NULL,'289',15.33,1,2,1),(25,6322689,'1989-04-18 00:00:00',4,1,12,2006,'F','N','TABOÃO','S ROQUE','SP','125254251217511411447932142122141437042',8497,'882',50.08,1,3,NULL),(25,6322697,'1989-02-12 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216575431338739575124241468092',10488,'951',50.49,1,3,NULL),(25,6322700,'1993-07-30 00:00:00',4,3,12,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241116161431459933475124610112197',NULL,'406',17.22,1,2,1),(25,6322719,'1969-06-12 00:00:00',2,1,11,2000,'F','N','CENTRO','RIO NEGRINHO','SC','224161167127271431423259235124242725142',NULL,'9998',32.60,1,2,1),(25,6322727,'1984-06-13 00:00:00',4,1,12,2001,'M','N','JARDIM AURELIA','CAMPINAS','SP','125251251117471431446612325122610167047',11133,'9998',46.77,1,2,1),(25,6322735,'1992-04-08 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241126141431421229341324610122182',NULL,'9997',12.71,4,3,NULL),(25,6322743,'1988-05-26 00:00:00',4,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124251251117131431216457475324143262182',NULL,'9998',37.10,1,2,1),(25,6322751,'1990-05-31 00:00:00',4,5,12,2007,'M','N','CENTRO','URUSSANGA','SC','124242241216271411636631275112132422197',16049,'820',42.06,1,3,NULL),(25,6322760,'1992-12-12 00:00:00',2,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215322131235532575112610124147',20132,'1118',34.23,1,3,NULL),(25,6322786,'1992-02-23 00:00:00',2,1,12,2009,'M','N','JD LOS ANGELES','NOVA ESPERANÇA','PR','116161161216372421458912585124610167052',8954,'9998',49.63,1,3,NULL),(25,6322794,'1993-01-27 00:00:00',4,1,12,2010,'F','N','GLEBA PALHANO','LONDRINA','PR','116162161217111711388952576122610144183',5936,'9998',58.88,1,3,NULL),(25,6322808,'1992-04-27 00:00:00',2,1,12,2009,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125253251135471411368612575122610126196',8833,'9998',48.70,1,3,NULL),(25,6322816,'1992-07-06 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217111731479834572122610162182',2210,'270',67.50,1,3,NULL),(25,6322824,'1990-03-23 00:00:00',4,1,12,2007,'F','N','JARDIM CIDÁLIA','S PAULO','SP','125252251217571431458834575124610134147',1098,'9998',72.29,3,3,NULL),(25,6322832,'1986-02-06 00:00:00',4,1,12,2004,'M','N','CANABARRO','TEUTÔNIA','RS','120201201127131431323544345124243262047',11824,'9998',43.96,1,2,1),(25,6322840,'1985-08-26 00:00:00',4,8,11,2002,'F','N','AMERICA','JOINVILLE','SC','124242241216573451449611415112332664197',4903,'1063',58.08,1,3,NULL),(25,6322859,'1991-01-07 00:00:00',2,2,12,2008,'M','N','CAJURU','CURITIBA','PR','125253251117311431336612315124610127052',15642,'9998',42.70,1,3,NULL),(25,6322867,'1992-10-20 00:00:00',4,2,12,2010,'M','N','VELHA','BLUMENAU','SC','124242241217271431348623475112610138192',7809,'855',51.55,1,3,NULL),(25,6322875,'1993-07-16 00:00:00',4,1,11,2010,'M','N','CABEÇUDAS','ITAJAÍ','SC','124242241215111431489934575122610137042',9170,'270',52.74,1,3,NULL),(25,6322883,'1988-10-24 00:00:00',2,16,12,2005,'M','N','BOM RETIRO','JOINVILLE','SC','124243241214575411468813425124231467121',11113,'881',49.50,1,3,NULL),(25,6322891,'1991-06-26 00:00:00',4,1,11,2008,'F','N','JARDIM ESTER','S PAULO','SP','125252251217571731469614575114143221142',11286,'9998',44.98,1,3,NULL),(25,6322921,'1992-05-19 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124162161217472441468933575114613262091',9473,'9998',48.00,1,3,NULL),(25,6322930,'1965-11-25 00:00:00',4,1,12,1985,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224134136117151431423948185122340267121',13598,'9998',45.78,1,3,NULL),(25,6322948,'1993-08-30 00:00:00',2,1,12,2010,'M','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241216113221443623115124610167182',19954,'1074',34.72,1,3,NULL),(25,6322956,'1989-07-07 00:00:00',4,1,11,2007,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124203201117141232546613445113610128187',NULL,'9998',33.91,1,3,NULL),(25,6322964,'1993-05-08 00:00:00',2,1,10,2010,'F','N','PORTÃO','CURITIBA','PR','116162161217111431469914572122610132112',NULL,'9998',0.00,1,3,NULL),(25,6322972,'1993-08-21 00:00:00',2,1,12,2010,'F','N','ARIRIU DA FORMIGA','PALHOÇA','SC','124241241127111531423314345124610113147',NULL,'591',9.79,4,2,1),(25,6322980,'1994-10-28 00:00:00',4,1,12,2011,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124241241117121751345419575122610143072',NULL,'307',27.10,1,3,NULL),(25,6322999,'1985-06-08 00:00:00',2,1,12,2004,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124201247326371131223344345124610138183',NULL,'9999',30.10,1,3,NULL),(25,6323006,'1981-03-01 00:00:00',2,1,9,2009,'F','N','CACHOEIRAS','BIGUAÇU','SC','224163247122272731328554486224610131177',NULL,'9999',0.00,1,3,NULL),(25,6323014,'1994-01-06 00:00:00',2,5,12,2010,'F','N','BARRO VERMELHO','ORLEANS','SC','124242241215111431333932235124610128147',16152,'226',41.93,1,3,NULL),(25,6323022,'1993-06-05 00:00:00',4,5,11,2010,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215112711468512572112610164072',12617,'226',43.41,1,3,NULL),(25,6323030,'1992-05-02 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241115151431466624395124610112197',NULL,'307',14.84,1,3,NULL),(25,6323049,'1994-05-24 00:00:00',4,1,12,2010,'M','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124242241215111411476612275122610114115',14779,'270',44.04,1,3,NULL),(25,6323057,'1993-06-19 00:00:00',2,1,12,2010,'F','N','SERRARIAS','S JOSÉ','SC','124241248215111611334432342124610125142',NULL,'868',21.39,4,3,NULL),(25,6323090,'1993-09-13 00:00:00',4,1,11,2010,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241217111411457811315112610167072',12132,'1169',47.34,1,3,NULL),(25,6323103,'1978-07-22 00:00:00',3,1,12,1995,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241216375431229744442124121463197',NULL,'269',0.00,1,3,NULL),(25,6323120,'1975-02-23 00:00:00',4,1,11,1994,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242247442135421333619442114130248141',NULL,'270',18.40,4,3,NULL),(25,6323138,'1993-12-13 00:00:00',4,1,10,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216112431357714595124610168052',5402,'806',57.65,1,3,NULL),(25,6323146,'1987-11-24 00:00:00',4,1,12,2005,'F','N','CANABARRO','TEUTÔNIA','RS','120201201147131431323324395223240862187',NULL,'9998',22.85,1,2,1),(25,6323154,'1994-09-22 00:00:00',4,1,12,2011,'M','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111732458912595122610124052',NULL,'270',43.47,1,3,NULL),(25,6323162,'1993-01-19 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124241241117142431436833246134610124092',NULL,'79',0.00,1,2,1),(25,6323170,'1994-02-12 00:00:00',4,2,11,2011,'M','S','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111741489913572122610167096',NULL,'909',81.44,1,3,NULL),(25,6323189,'1993-08-02 00:00:00',2,7,12,2010,'M','N','CASAN','PERITIBA','SC','124241241121131751423319392221610122047',21141,'612',30.45,1,3,NULL),(25,6323197,'1991-05-29 00:00:00',4,6,12,2008,'F','N','SANTA CATARINA','CAXIAS SUL','RS','120201201116271431653611245134610148072',15255,'9998',43.32,1,2,1),(25,6323200,'1992-09-08 00:00:00',2,1,11,2010,'F','N','CENTRO','GETÚLIO VARGAS','RS','120201207117131431328339575125610134097',NULL,'9998',10.19,1,3,NULL),(25,6323219,'1989-09-25 00:00:00',2,1,12,2010,'F','N','JOSE MENDES','FLORIANÓPOLIS','SC','124241247112271331433513345124610134145',NULL,'9999',21.34,2,3,NULL),(25,6323227,'1991-04-16 00:00:00',2,4,12,2007,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241216163731346913575124230422177',10495,'752',50.48,1,3,NULL),(25,6323235,'1991-11-09 00:00:00',4,1,11,2010,'M','N','AMARO LANARI','CEL FABRICIANO','MG','113132131215371431378714575122610122122',NULL,'9998',0.00,3,3,NULL),(25,6323243,'1990-02-27 00:00:00',2,9,12,2007,'M','N','FRANCISCO DONCATTO','S MARCOS','RS','120201201116371431223624245121610144047',NULL,'9998',41.56,1,2,1),(25,6323251,'1992-03-18 00:00:00',4,1,11,2010,'M','N','ALTO','CURITIBA','PR','125164161316472111358813575121143266112',2708,'9998',63.02,1,3,NULL),(25,6323278,'1992-02-12 00:00:00',2,1,12,2010,'F','N','BELA VISTA','PALHOÇA','SC','124241241111271431224624571324610136177',20099,'591',34.31,4,2,1),(25,6323286,'1993-09-13 00:00:00',2,6,12,2010,'F','N','SÃO JOÃO','ITAJAÍ','SC','124241241115271241423519375124610134077',NULL,'400',20.08,1,2,1),(25,6323294,'1993-05-10 00:00:00',2,1,12,2010,'M','N','EUGÊNIO SCHNEIDER','RIO SUL','SC','124241241115131411636634245122610137017',NULL,'657',0.00,1,2,1),(25,6323308,'1992-07-28 00:00:00',2,1,12,2010,'M','N','BELA VISTA','S JOSÉ','SC','124241241116141731626314345124610137042',NULL,'257',0.00,2,1,1),(25,6323316,'1992-11-06 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124201241147161431326624575224610122187',15116,'282',40.70,1,2,1),(25,6323324,'1990-07-31 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','113162161216574431469914575124610125142',169,'9998',81.63,1,3,NULL),(25,6323332,'1990-09-17 00:00:00',4,1,12,2007,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124252251214272751168811575122221437047',2258,'9998',67.34,1,3,NULL),(25,6323340,'1993-12-03 00:00:00',2,3,12,2010,'F','N','COLINA','LGA VERMELHA','RS','120203201216161431437712392241610123147',NULL,'9998',0.00,1,3,NULL),(25,6323359,'1984-10-22 00:00:00',2,1,11,2004,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124201201136141431623344445124610164147',NULL,'9998',36.38,1,2,1),(25,6323367,'1991-05-15 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241116272411323628345314610133145',NULL,'298',29.32,1,3,NULL),(25,6323375,'1993-08-04 00:00:00',4,9,11,2010,'F','N','CENTRO','CPO BELO SUL','SC','124243241215111431638713572125610145142',7528,'1207',52.82,1,3,NULL),(25,6323383,'1993-10-16 00:00:00',4,10,11,2010,'F','N','AEROPORTO','TUBARÃO','SC','124242246217131431338923575124610122047',17709,'1120',39.39,1,3,NULL),(25,6323391,'1994-01-30 00:00:00',4,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111421356833575122610122052',18841,'273',37.27,1,3,NULL),(25,6323405,'1993-09-27 00:00:00',2,1,12,2010,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241137131431324624342124610124142',19258,'1088',30.75,1,2,1),(25,6323413,'1992-08-03 00:00:00',4,1,12,2009,'F','N','CENTRO','LGA VERMELHA','RS','124243241235472411449914145125610146142',14972,'1038',38.78,1,3,NULL),(25,6323421,'1992-11-18 00:00:00',4,8,12,2010,'F','N','BUCAREIN','JOINVILLE','SC','124242241215372421469811575122610127072',NULL,'1063',32.90,1,3,NULL),(25,6323430,'1988-03-13 00:00:00',4,1,7,2005,'M','N','CAMPINAS','S JOSÉ','SC','124244247217273431348824375122221427055',8958,'9999',53.14,1,3,NULL),(25,6323456,'1992-09-03 00:00:00',2,3,11,2009,'F','N','CENTRO','CAMBORIÚ','SC','124243242315131731435411345124610168147',NULL,'129',32.64,1,3,NULL),(25,6323464,'1980-10-16 00:00:00',4,1,11,1998,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124101101316373421448651375122521324097',8390,'9998',54.15,4,3,NULL),(25,6323472,'1992-11-29 00:00:00',2,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215372431468813575122610124092',6833,'270',54.10,4,3,NULL),(25,6323480,'1985-12-16 00:00:00',2,1,12,2003,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','120201201134152431226579285324140664111',7508,'9998',55.78,1,2,1),(25,6323499,'1993-08-03 00:00:00',4,8,11,2010,'F','N','AMERICA','JOINVILLE','SC','124242241215471431458613575114610162092',6487,'1105',54.35,4,3,NULL),(25,6323502,'1992-07-10 00:00:00',2,15,12,2009,'M','N','ALTO FELIZ','ARARANGUÁ','SC','124241241116131431436634245112233217053',21366,'30',29.04,1,2,1),(25,6323510,'1993-10-13 00:00:00',2,6,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431483632572122610162192',NULL,'9997',0.00,1,3,NULL),(25,6323529,'1993-08-12 00:00:00',4,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','124243241215111411466611495121610114042',9480,'737',48.18,1,3,NULL),(25,6323537,'1992-10-18 00:00:00',4,1,12,2010,'M','N','BELA VISTA UM','S JOSÉ','SC','124241241117151432448634292114610117057',NULL,'798',31.30,1,3,NULL),(25,6323545,'1993-01-05 00:00:00',2,1,12,2010,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241115371431313329395124610134147',NULL,'733',28.19,1,2,1),(25,6323553,'1991-05-09 00:00:00',4,10,12,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124241241216133431527724145114231418042',4113,'1120',63.00,1,3,NULL),(25,6323561,'1979-10-01 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','624161247127131721224654185124610128182',18101,'9999',31.45,1,2,1),(25,6323570,'1992-08-14 00:00:00',4,8,12,2009,'F','N','COHAPAR','FOZ IGUAÇU','PR','116162161216471411237929595114610121097',NULL,'9998',0.00,1,3,NULL),(25,6323588,'1976-11-03 00:00:00',2,1,3,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241247526131112312244345324610116017',NULL,'945',16.96,2,3,NULL),(25,6323596,'1992-05-06 00:00:00',2,5,7,2010,'F','N','CENTRO','CRICIÚMA','SC','124243241211112431636612445122231068112',NULL,'995',13.92,1,3,NULL),(25,6323600,'1994-09-22 00:00:00',4,15,11,2011,'F','S','JARDIM SOCIAL','ARARANGUÁ','SC','124242241215121751568811372122610124092',NULL,'970',46.95,1,3,NULL),(25,6323626,'1993-08-15 00:00:00',4,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242248215111411528812572112610141152',19374,'226',36.13,1,3,NULL),(25,6323642,'1992-04-15 00:00:00',2,8,12,2008,'M','N','HAUER','CURITIBA','PR','116113111315571741458831574124610137143',336,'9998',79.13,1,3,NULL),(25,6323650,'1978-04-28 00:00:00',4,1,12,1998,'F','N','BELA VISTA III','S JOSÉ','SC','124241241116132431456419485112132721187',21194,'293',30.09,1,3,NULL),(25,6323669,'1993-06-24 00:00:00',4,17,12,2010,'M','N','CENTRO','S MATEUS SUL','PR','116162161217471451469914575124610134182',3572,'9998',61.90,1,3,NULL),(25,6323677,'1992-11-13 00:00:00',4,10,11,2009,'M','N','CENTRO','CAPIVARI BAIXO','SC','124244248411372531338812595124610167112',7178,'807',56.41,1,3,NULL),(25,6323685,'1993-10-04 00:00:00',4,8,12,2010,'M','N','VILA MARIANA','S PAULO','SP','125252251216111331438619477125610167182',NULL,'9998',0.00,4,3,NULL),(25,6323693,'1990-08-31 00:00:00',4,1,12,2007,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241217115431388863575124221566192',NULL,'262',0.00,1,3,NULL),(25,6323707,'1993-09-15 00:00:00',4,8,12,2010,'F','N','CENTRO','CURITIBA','PR','116242161217111411436611574124610123097',8055,'9998',53.29,1,3,NULL),(25,6323715,'1982-03-09 00:00:00',2,1,12,2000,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243248117133421246629375122610162012',NULL,'400',31.96,1,3,NULL),(25,6323723,'1993-03-23 00:00:00',4,1,12,2009,'M','N','BUENO','GOIÂNIA','GO','109092091216471431189811575112610134122',433,'9998',77.77,1,3,NULL),(25,6323731,'1992-08-31 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116472431336824572124610167147',15736,'307',37.83,1,2,1),(25,6323740,'1992-03-09 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241145132431123344245124610126122',NULL,'307',28.83,1,2,1),(25,6323758,'1992-12-02 00:00:00',2,1,11,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241216472752328614575122610168182',20062,'1022',34.40,1,3,NULL),(25,6323766,'1993-07-24 00:00:00',4,1,12,2010,'M','N','JARDINS','ARACAJU','SE','126262261237111431478813575112610141197',876,'9998',73.33,4,3,NULL),(25,6323774,'1993-06-12 00:00:00',2,10,11,2010,'F','N','VILA NOVA','IMBITUBA','SC','124241241117371431446633572224610138072',NULL,'359',37.27,1,2,1),(25,6323782,'1993-09-20 00:00:00',4,1,11,2010,'M','N','COBRASOL','S JOSÉ','SC','124252251217112431488814175122610167097',8406,'9998',54.13,1,3,NULL),(25,6323790,'1994-03-04 00:00:00',2,8,12,2011,'F','S','IRIRIU','JOINVILLE','SC','124242241215111731539911195122610147072',NULL,'931',30.90,1,3,NULL),(25,6323812,'1993-06-09 00:00:00',2,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215121431228812375112610127072',13516,'299',45.90,1,3,NULL),(25,6323820,'1978-11-16 00:00:00',4,8,12,1995,'F','N','CENTRO','JOINVILLE','SC','124244241216133431146944442122421548127',10974,'211',49.72,1,3,NULL),(25,6323839,'1980-12-01 00:00:00',4,1,12,1998,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241216134711223344445122341561182',NULL,'1063',39.15,1,3,NULL),(25,6323847,'1991-10-16 00:00:00',4,8,12,2009,'F','N','VILA OLIVEIRA','ITAPETININGA','SP','125252251216471731438821575125610136097',NULL,'9998',0.00,1,3,NULL),(25,6323855,'1987-08-07 00:00:00',4,1,10,2005,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124201201117131431317673481114610142182',NULL,'9998',7.96,1,3,NULL),(25,6323863,'1988-08-25 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124201241146142431225928445113131962147',NULL,'277',25.80,1,2,1),(25,6323871,'1994-01-14 00:00:00',4,2,2,2011,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111431479911575125610142182',8870,'909',53.28,1,3,NULL),(25,6323880,'1994-10-11 00:00:00',4,2,12,2010,'M','N','VELHA','NOVA TRENTO','SC','124244241417111531419823572112610134145',17239,'1123',40.22,1,3,NULL),(25,6323898,'1993-11-14 00:00:00',4,1,12,2011,'F','S','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217111731346723472124610123097',NULL,'1022',48.42,1,3,NULL),(25,6323901,'1993-09-05 00:00:00',2,1,12,2010,'F','N','BELAVISTA','PALHOÇA','SC','124241241216111431426634275122610167044',14398,'1011',42.53,1,3,NULL),(25,6323910,'1993-05-24 00:00:00',2,6,12,2010,'F','N','JARDIM ARAÇÁ','PARANAGUÁ','PR','116162161216111431458934575112610162017',NULL,'9998',0.00,1,3,NULL),(25,6323936,'1993-10-22 00:00:00',4,2,12,2010,'F','N','VILA ANDRADE','S PAULO','SP','125254251217321431338814575125610134122',13275,'9998',41.00,1,3,NULL),(25,6323944,'1993-04-14 00:00:00',4,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124262241215121431449914575125610114147',13953,'1038',41.27,1,3,NULL),(25,6323952,'1961-05-05 00:00:00',2,1,12,2000,'F','N','FORQUILHAS','S JOSÉ','SC','224242248127573411521311342144610118187',17009,'945',37.02,1,3,NULL),(25,6323960,'1952-05-17 00:00:00',2,1,12,1987,'M','N','ZONA QUATRO','MARINGÁ','PR','216161167127571411231169191122140616047',NULL,'9998',0.00,2,1,1),(25,6323995,'1990-12-19 00:00:00',2,1,12,2007,'F','N','PARQUE BRASÍLIA','CACHOEIRINHA','RS','120202201216572431538432575124610126047',1555,'9998',69.04,1,3,NULL),(25,6324002,'1993-07-28 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431468914325122610168187',13995,'226',45.18,1,3,NULL),(25,6324010,'1993-05-13 00:00:00',2,9,12,2010,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241115111411437833575122610113077',NULL,'138',0.00,1,3,NULL),(25,6324029,'1993-08-07 00:00:00',4,2,12,2010,'F','N','FORTALEZA','BLUMENAU','SC','124244241217112431486312575112610162092',11560,'909',48.81,1,3,NULL),(25,6324037,'1993-03-29 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115272431338931496124610168145',9008,'267',53.04,1,2,1),(25,6324053,'1993-11-30 00:00:00',4,8,11,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215111431358933575125610142142',13827,'424',41.66,1,3,NULL),(25,6324061,'1994-06-30 00:00:00',2,9,12,2010,'F','N','COLINA','LGA VERMELHA','RS','120064201416131411543831287121610125142',16337,'497',36.67,4,3,NULL),(25,6324070,'1993-10-04 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117371431436614475124610167045',20046,'307',34.43,1,2,1),(25,6324088,'1993-06-09 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247215111711427639572112610163147',NULL,'9999',12.09,1,3,NULL),(25,6324096,'1991-02-26 00:00:00',2,1,12,2008,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124244241215372221338614245124120318052',4156,'807',60.17,1,3,NULL),(25,6324100,'1991-12-17 00:00:00',2,4,12,2008,'M','N','BELA VISTA','CHAPECÓ','SC','124241241316373751559613595224610137057',17141,'185',34.64,1,3,NULL),(25,6324118,'1993-12-16 00:00:00',4,1,11,2011,'F','S','COPACABANA','GUARARAPES','SP','125252254215111732568913575122610126072',NULL,'9998',0.00,1,3,NULL),(25,6324126,'1993-10-25 00:00:00',4,3,11,2010,'F','N','CENTRO','LGA VERMELHA','RS','120204201416111531546634272122610138072',19836,'9998',29.20,1,3,NULL),(25,6324142,'1986-11-01 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201136143711426349395114610167057',NULL,'9998',26.69,1,2,1),(25,6324150,'1992-05-15 00:00:00',4,1,11,2010,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241247135131731426671571113610162047',NULL,'9999',23.52,1,3,NULL),(25,6324169,'1993-05-26 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124244241215131431238613575124610155197',12183,'1077',47.86,1,3,NULL),(25,6324177,'1988-09-14 00:00:00',4,1,12,2006,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241211372431448853475124133252182',3448,'270',62.01,1,3,NULL),(25,6324185,'1992-10-17 00:00:00',4,1,12,2009,'F','N','ITANHANGÁ PARK','CPO GRANDE','MS','112122121211471431368811571122610163012',10544,'9998',50.42,1,3,NULL),(25,6324193,'1993-03-21 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124241246145141711323324382125610118197',16359,'239',41.62,4,2,1),(25,6324207,'1992-07-16 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241217271432536661575124610123192',NULL,'724',38.97,1,3,NULL),(25,6324215,'1992-04-02 00:00:00',4,1,12,2009,'F','N','CENTRO','FRUTAL','MG','113134131216471431468513575124610122072',10826,'9998',45.74,4,3,NULL),(25,6324231,'1991-08-12 00:00:00',4,9,11,2009,'M','N','IPIRANGA','LAGES','SC','124242241215351431369833432122231017012',NULL,'497',0.00,1,3,NULL),(25,6324240,'1991-11-07 00:00:00',4,1,11,2009,'M','N','CENTRO','CURITIBA','PR','116222251217112411466732575125241464042',4875,'9998',61.15,1,3,NULL),(25,6324258,'1993-06-04 00:00:00',4,1,12,2010,'M','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124241241435141731645711345122610127097',NULL,'63',22.01,1,3,NULL),(25,6324266,'1994-09-20 00:00:00',2,4,12,2010,'F','N','INTERIOR','VARGEÃO','SC','124241241125161431523436212222610128147',NULL,'824',25.73,1,2,1),(25,6324274,'1991-09-07 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116372451548613445124610141095',20700,'281',32.39,4,1,1),(25,6324282,'1993-12-02 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124242244215161431325311575125610166182',NULL,'499',35.19,1,3,NULL),(25,6324290,'1992-11-28 00:00:00',2,9,12,2010,'M','N','SÃO MIGUEL','LAGES','SC','124241246215111431648713345121610114042',19371,'1106',29.64,1,3,NULL),(25,6324304,'1993-08-27 00:00:00',4,9,10,2010,'M','N','SAGRADO COR DE JESUS','LAGES','SC','124242241215112431526612474122610137052',19153,'497',36.64,1,3,NULL),(25,6324312,'1993-11-02 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111422259932592122610121087',NULL,'266',40.33,1,3,NULL),(25,6324320,'1993-01-07 00:00:00',4,5,12,2010,'M','N','VILA FRANCA','FORQUILHINHA','SC','124241241127151431423324572122610167112',17210,'310',40.27,1,2,1),(25,6324339,'1994-11-10 00:00:00',4,1,12,2010,'F','N','CENTRO','BIGUAÇU','SC','124242241216111431439613575124610123147',16459,'270',41.45,1,3,NULL),(25,6324347,'1991-10-23 00:00:00',2,15,12,2009,'F','N','BOA VISTA','NOVO HAMBURGO','RS','120202203217471711337923571112610167117',NULL,'9998',0.00,1,3,NULL),(25,6324355,'1993-10-05 00:00:00',4,9,11,2010,'M','N','CENTRO','PRES GETÚLIO','SC','124241241315471341233322345124610154037',NULL,'991',0.00,1,3,NULL),(25,6324363,'1993-06-04 00:00:00',2,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115371431336734573124610127082',17802,'307',37.06,1,2,1),(25,6324371,'1993-05-15 00:00:00',4,1,12,2010,'F','N','JARDIM UNIAO','FRANCO ROCHA','SP','125252258216131431436939295125610137087',NULL,'9998',0.00,4,3,NULL),(25,6324380,'1993-09-16 00:00:00',2,15,12,2010,'M','N','JARDIM CIBELE','ARARANGUÁ','SC','124241241142111231633311342341610127067',NULL,'30',24.33,1,2,1),(25,6324398,'1993-02-14 00:00:00',2,5,12,2009,'F','N','CENTRO','STA MARIA','RS','120202201217571731448634571224610115147',NULL,'9998',0.00,1,3,NULL),(25,6324401,'1994-02-10 00:00:00',2,10,11,2011,'F','S','STO ANTONIO DE PADUA','TUBARÃO','SC','124242241215111531436933575125610167072',NULL,'807',38.44,1,3,NULL),(25,6324428,'1993-10-14 00:00:00',4,1,12,2010,'F','N','PINHEIROS','S PAULO','SP','125252251215111431358833575115610163052',NULL,'9998',0.00,1,3,NULL),(25,6324436,'1992-04-20 00:00:00',4,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241211471431478813575122131067112',14344,'9997',44.66,1,3,NULL),(25,6324444,'1968-06-23 00:00:00',2,1,12,1986,'F','N','CENTRO','FLORIANÓPOLIS','SC','224243243346133431323351485122610128182',NULL,'581',15.13,1,3,NULL),(25,6324452,'1992-07-21 00:00:00',2,9,12,2009,'M','N','CENTRO','CORREIA PINTO','SC','124242241216272431446914575122133122142',5925,'202',55.78,1,3,NULL),(25,6324460,'1992-12-30 00:00:00',4,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215271531469823475122610137077',5593,'262',57.05,1,3,NULL),(25,6324479,'1993-06-15 00:00:00',4,9,11,2010,'F','N','CENTRO','S JOAQUIM','SC','124242241215111431458913572112610138147',8387,'721',50.65,1,3,NULL),(25,6324487,'1992-09-23 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431468812475112610137072',17023,'270',40.58,1,3,NULL),(25,6324509,'1992-03-13 00:00:00',4,10,11,2009,'F','N','CENTRO','ORLEANS','SC','124242241216273431346933575122232467077',NULL,'820',0.00,1,3,NULL),(25,6324517,'1994-01-09 00:00:00',4,10,11,2010,'M','N','CENTRO','BRAÇO NORTE','SC','124242241215111431568913595124610127142',6404,'806',53.81,3,3,NULL),(25,6324525,'1993-03-10 00:00:00',4,2,12,2010,'F','N','TRIBESS','BLUMENAU','SC','124241241117131431537923575124610146057',12423,'88',43.61,1,2,1),(25,6324533,'1993-09-23 00:00:00',5,8,12,2010,'F','N','ATIRADORES','JOINVILLE','SC','124242241215111431448831575122610132172',6743,'1063',52.72,1,3,NULL),(25,6324541,'1993-08-17 00:00:00',4,1,10,2010,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241217311411468814242124610135126',14889,'1022',43.86,1,3,NULL),(25,6324550,'1994-02-05 00:00:00',4,5,12,2012,'F','S','COMERCIÁRIO','CRICIÚMA','SC','124241241215111731368714475112610114142',NULL,'210',38.93,1,3,NULL),(25,6324576,'1984-11-16 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248146151411128649395123330244187',9846,'23',51.61,1,2,1),(25,6324584,'1993-01-07 00:00:00',4,3,12,2010,'F','N','CAJURU','CURITIBA','PR','116162163116371431358611274124610122022',13071,'9998',42.14,1,3,NULL),(25,6324592,'1983-12-31 00:00:00',2,1,12,2005,'F','N','JARDIM C DE FPOLIS','S JOSÉ','SC','124201208147131431621649192334610163182',NULL,'9998',0.00,1,3,NULL),(25,6324606,'1991-11-18 00:00:00',2,1,12,2009,'F','N','COLONIA SANTANA','S JOSÉ','SC','124241244126372431623329241124630117047',20972,'731',31.23,1,2,1),(25,6324614,'1990-11-15 00:00:00',2,8,12,2007,'F','N','BAEPENDI','JARAGUÁ SUL','SC','124244241214574431456619574124610162097',4131,'1174',60.64,1,3,NULL),(25,6324622,'1993-11-27 00:00:00',4,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124243241135141751221724342124610147062',18824,'733',32.08,1,3,NULL),(25,6324649,'1990-06-29 00:00:00',4,8,12,2007,'F','N','JARDIM VALERI','REGISTRO','SP','116252251216571431446932575215610161097',9444,'9998',48.15,3,3,NULL),(25,6324657,'1992-07-20 00:00:00',4,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431367823575114610137066',NULL,'270',0.00,1,3,NULL),(25,6324665,'1993-04-06 00:00:00',2,4,12,2010,'F','N','SANTA MARIA','CHAPECÓ','SC','124241241415111431438734372322610133142',11638,'1191',44.45,1,3,NULL),(25,6324673,'1992-05-18 00:00:00',4,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241217474231476713576124221422182',3919,'270',62.95,1,3,NULL),(25,6324681,'1992-05-06 00:00:00',4,9,12,2009,'M','N','VILA NOVA','LAGES','SC','124241241117372431426412571122610136172',NULL,'935',29.45,1,2,1),(25,6324703,'1992-04-24 00:00:00',4,3,12,2010,'F','N','CENTRO','TERRA RICA','PR','116162161217121411438812575124610146142',NULL,'9998',38.67,1,3,NULL),(25,6324711,'1991-08-07 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124244241217153231458814445113610162192',NULL,'1022',33.96,1,3,NULL),(25,6324720,'1991-08-10 00:00:00',2,1,12,2008,'M','N','BELENZINHO','S PAULO','SP','125251251117371431323621412114610137067',11759,'9998',45.19,1,2,1),(25,6324738,'1993-09-30 00:00:00',4,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241216111431356622575122610117112',NULL,'1050',30.02,1,3,NULL),(25,6324746,'1989-11-04 00:00:00',2,10,12,2006,'F','N','ILHOTINHA','CAPIVARI BAIXO','SC','124241241117473431534319471124232522077',9302,'158',52.51,1,2,1),(25,6324754,'1993-01-26 00:00:00',2,8,12,2010,'M','N','PAROLIN','CURITIBA','PR','116166161217471731428639571114610134093',6134,'9998',54.57,3,3,NULL),(25,6324762,'1993-06-22 00:00:00',2,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111412237814572124610113142',9682,'262',47.94,1,3,NULL),(25,6324770,'1992-06-12 00:00:00',4,1,11,2009,'F','N','JARDIM FLORESTA','S PAULO','SP','125252251217571431228819571122610165097',NULL,'9998',18.72,1,3,NULL),(25,6324789,'1993-02-17 00:00:00',4,3,12,2010,'M','N','ANDORINHA','ITAPEMA','SC','124241241136141421423579145121610144147',14152,'406',39.47,1,2,1),(25,6324797,'1988-09-06 00:00:00',4,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124162241217572431368711175124221562182',5847,'9998',59.08,1,3,NULL),(25,6324800,'1993-09-27 00:00:00',4,3,12,2010,'F','N','CASA BRANCA','ITAPEMA','SC','124241248116151711424334575124610128177',NULL,'406',24.60,1,3,NULL),(25,6324819,'1984-10-11 00:00:00',2,1,12,2002,'M','N','BARREIROS','S JOSÉ','SC','124241241122144231326643435122133212051',14058,'734',40.15,1,2,1),(25,6324827,'1976-12-06 00:00:00',4,1,12,1995,'F','N','PEDRA BRANCA','PALHOÇA','SC','224243241332274421254452312132330421187',NULL,'307',0.00,4,3,NULL),(25,6324835,'1992-06-14 00:00:00',4,1,12,2010,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251215111431559614575121610127047',18657,'9998',32.81,1,3,NULL),(25,6324851,'1993-05-16 00:00:00',2,6,11,2010,'F','N','CORDEIROS','ITAJAÍ','SC','124242241215131431526923275124610122097',NULL,'388',22.59,1,3,NULL),(25,6324860,'1990-07-07 00:00:00',4,1,12,2007,'M','N','ROÇADO','S JOSÉ','SC','124241241117372431446412232114610126187',9157,'729',49.13,1,2,1),(25,6324878,'1985-09-20 00:00:00',2,4,12,2002,'M','N','CENTRO','STA MARIA','RS','120161161316573751333339275124610127017',NULL,'9998',41.05,1,3,NULL),(25,6324886,'1992-07-29 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124242241117472221435613572124221723147',8547,'739',51.30,1,3,NULL),(25,6324894,'1993-01-19 00:00:00',4,1,11,2010,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215112431339632571122610162192',7469,'270',52.81,1,3,NULL),(25,6324908,'1992-10-15 00:00:00',2,1,12,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124243241417372131538914345114610114047',18279,'307',38.31,1,3,NULL),(25,6324916,'1993-02-25 00:00:00',4,1,11,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241215122431479812395112610124187',5786,'270',59.19,1,3,NULL),(25,6324924,'1993-11-15 00:00:00',2,15,12,2010,'F','N','CENTRO','TURVO','SC','124242241215272431556612425122610136145',9905,'970',48.63,1,3,NULL),(25,6324932,'1990-07-02 00:00:00',2,1,12,2007,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241116372131336673341224610125147',17369,'257',35.45,2,1,1),(25,6324940,'1992-03-04 00:00:00',2,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111721433529395124610124017',19121,'270',36.70,1,3,NULL),(25,6324959,'1992-04-12 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241112132731457613372124610163047',6517,'307',55.65,1,2,1),(25,6324975,'1978-04-05 00:00:00',4,1,11,1996,'M','N','AGUA VERDE','CURITIBA','PR','116242241116141411357644395122340212042',NULL,'307',0.00,1,3,NULL),(25,6324983,'1992-12-23 00:00:00',2,7,12,2009,'F','N','CENTRO','CAMPOS NOVOS','SC','116242241216372431237932175122131322142',10938,'962',49.78,1,3,NULL),(25,6324991,'1993-04-22 00:00:00',4,1,12,2010,'F','N','GONZAGA','SANTOS','SP','125252251117471421458834575124610127092',4779,'9998',58.80,1,3,NULL),(25,6325009,'1982-02-04 00:00:00',2,15,12,2001,'F','N','POÇO NEGRO','S JOÃO SUL','SC','224201201216161421433356495124341222072',NULL,'9998',19.05,1,3,NULL),(25,6325017,'1991-02-13 00:00:00',2,1,12,2008,'M','N','JARDIM CRISTINA','BOTUCATU','SP','125251251115471731343823345125610162141',14612,'9998',40.48,1,2,1),(25,6325025,'1981-06-20 00:00:00',4,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201144273721223823281123521538097',3695,'9998',64.07,1,2,1),(25,6325033,'1993-12-25 00:00:00',4,2,12,2011,'F','S','SALTO','BLUMENAU','SC','124242241215111731638839592122610128072',NULL,'71',44.29,1,3,NULL),(25,6325041,'1992-10-01 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241215111431344669572224610165017',3546,'738',64.45,1,3,NULL),(25,6325068,'1993-07-07 00:00:00',2,6,12,2010,'F','N','CENTRO','BAL PIÇARRAS','SC','124243241215161431535614275122610126192',10668,'1176',45.39,4,3,NULL),(25,6325076,'1993-04-14 00:00:00',4,6,12,2010,'M','N','JARDIM LOS ANGELES','BARRA VELHA','SC','124243241215161431216624375125610126192',10085,'1176',45.55,1,3,NULL),(25,6325084,'1992-08-22 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215113431488812592122610138072',15633,'270',38.02,1,3,NULL),(25,6325092,'1991-03-01 00:00:00',4,1,11,2008,'F','N','KOBRASOL','S JOSÉ','SC','124242241215274731486713577112121422095',3068,'270',65.72,1,3,NULL),(25,6325106,'1963-06-06 00:00:00',4,1,12,1981,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116134421243344342114320568187',NULL,'498',28.99,1,3,NULL),(25,6325114,'1993-12-28 00:00:00',2,10,12,2010,'M','N','ILHOTINHA','CAPIVARI BAIXO','SC','124241241115271431534313572124610124177',NULL,'158',25.52,1,2,1),(25,6325122,'1993-03-13 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111411555532295112610164092',13490,'738',42.08,1,3,NULL),(25,6325130,'1955-09-03 00:00:00',4,1,5,1977,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241245117151411238441315122331244183',18917,'395',37.09,1,3,NULL),(25,6325157,'1993-12-10 00:00:00',2,10,12,2010,'F','N','VILA NOVA','IMBITUBA','SC','124242241211112411438923592122610164145',NULL,'362',0.00,1,3,NULL),(25,6325165,'1993-04-02 00:00:00',4,8,12,2010,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124241241136141431459614345124610162117',NULL,'471',0.00,1,2,1),(25,6325173,'1992-11-03 00:00:00',2,15,11,2009,'F','N','DIVINÉIA','ARARANGUÁ','SC','124243241315372431323634375122610121042',NULL,'32',26.52,1,3,NULL),(25,6325203,'1988-04-23 00:00:00',2,5,6,2006,'F','N','METROPOL','CRICIÚMA','SC','124241246216131411553414345124230826187',NULL,'995',35.19,1,3,NULL),(25,6325211,'1993-04-10 00:00:00',2,1,12,2010,'M','N','JARDIM GIRASSOL','DOURADOS','MS','112124121237271431458914172111610117072',NULL,'9998',0.00,1,3,NULL),(25,6325220,'1992-11-21 00:00:00',4,8,12,2010,'M','N','GUANABARA','JOINVILLE','SC','124241246217371431446419575124610164171',11647,'1006',48.67,1,3,NULL),(25,6325238,'1993-02-07 00:00:00',2,1,12,2010,'F','N','CENTRO','TIJUCAS','SC','124242241335141731646314345325610123147',NULL,'783',20.81,1,3,NULL),(25,6325246,'1993-06-17 00:00:00',2,4,12,2010,'M','N','MORADA DO SOL','MONDAÍ','SC','124243241315131431433833575121610147142',20483,'564',29.10,1,3,NULL),(25,6325254,'1993-05-18 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241115371431333611275124610124197',NULL,'733',24.24,1,3,NULL),(25,6325262,'1992-11-25 00:00:00',2,10,12,2010,'F','N','HUIMAITÁ DE CIMA','TUBARÃO','SC','124243241315111431556612345122610117152',NULL,'798',31.70,1,3,NULL),(25,6325270,'1992-11-26 00:00:00',2,9,12,2009,'F','N','CENTRO','SALETE','SC','124241241116131431446614345115610167057',NULL,'680',15.79,1,2,1),(25,6325297,'1988-07-10 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124251241127272431436413432112610118047',17116,'283',40.43,1,2,1),(25,6325319,'1991-08-22 00:00:00',4,3,7,2010,'M','N','CAJURU','CURITIBA','PR','116162166116151741559814495124241464082',NULL,'9998',0.00,3,3,NULL),(25,6325327,'1993-06-26 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431489933575112610122092',19261,'723',31.24,1,3,NULL),(25,6325335,'1993-08-13 00:00:00',4,1,12,2010,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215111431466712275124610167042',15908,'270',42.29,1,3,NULL),(25,6325343,'1991-05-20 00:00:00',2,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120201201117571431144833472124610136147',11354,'9998',45.77,1,2,1),(25,6325351,'1993-09-22 00:00:00',4,8,11,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241216111431349721575121610117012',18953,'1061',31.17,1,3,NULL),(25,6325360,'1992-09-14 00:00:00',4,1,11,2010,'M','N','ALAMEDA DAS AZALEIAS','APARECIDA GOIÂNIA','GO','109092091211111431548832575112610124042',7392,'9998',51.06,1,3,NULL),(25,6325378,'1993-12-11 00:00:00',4,1,12,2010,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241116141421533624245122610128183',NULL,'772',25.49,1,2,1),(25,6325386,'1989-11-21 00:00:00',2,1,12,2007,'M','N','BOM VIVER','BIGUAÇU','SC','124242241217374431423611442114610167047',15574,'1118',42.80,1,3,NULL),(25,6325394,'1994-06-09 00:00:00',4,1,12,2011,'M','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111431369633575122610161182',NULL,'951',42.57,1,3,NULL),(25,6325416,'1988-09-21 00:00:00',4,1,12,2005,'M','N','SÃO DIMAS','PIRACICABA','SP','125251251136571411336311335114610122097',NULL,'9998',0.00,1,2,1),(25,6325424,'1987-08-19 00:00:00',4,1,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116161161146141431653311445122610138147',NULL,'9998',0.00,4,2,1),(25,6325432,'1986-05-19 00:00:00',2,1,12,2003,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','624201201116131431223679192124610123112',NULL,'9998',0.00,1,2,1),(25,6325440,'1992-08-24 00:00:00',4,15,12,2009,'F','N','ALTO PETROPOLIS','PTO ALEGRE','RS','120201201215471411327621565124610132097',11358,'9998',44.09,1,3,NULL),(25,6325475,'1992-04-30 00:00:00',2,15,12,2010,'F','N','UNIÃO','COCAL SUL','SC','124241241137151732436779295124610167147',NULL,'189',0.00,1,2,1),(25,6325483,'1994-07-14 00:00:00',4,1,12,2011,'F','S','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241115111732466633572112610137073',NULL,'739',27.22,1,3,NULL),(25,6325491,'1993-04-22 00:00:00',4,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','624243241215271431338834375114610162012',18271,'737',34.91,1,3,NULL),(25,6325505,'1991-03-24 00:00:00',4,1,12,2008,'M','N','VILA OPERÁRIA','LONDRINA','PR','116161161216571431458834375114610162057',975,'9998',72.53,3,3,NULL),(25,6325513,'1986-03-19 00:00:00',2,1,12,2003,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241126472421523544245134610118182',12977,'307',42.46,1,2,1),(25,6325521,'1993-04-15 00:00:00',2,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241315111731448733575124610127114',NULL,'1022',0.00,1,3,NULL),(25,6325530,'1993-01-15 00:00:00',2,15,12,2010,'F','N','GETÚLIO VARGAS','TORRES','RS','120202201436111431447633572112610121052',NULL,'9998',39.24,1,3,NULL),(25,6325548,'1990-12-15 00:00:00',4,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124252251217471431428621495114610134187',NULL,'9998',0.00,1,3,NULL),(25,6325556,'1987-10-21 00:00:00',2,8,12,2004,'M','N','CENTRO','NOVA ESPERANÇA','PR','116163161216571451449632575122610146042',423,'9998',77.92,1,3,NULL),(25,6325564,'1993-01-29 00:00:00',4,1,12,2010,'M','N','JARDIM MERCI','JUNDIAÍ','SP','125252251215121431468831345122610117052',12726,'9998',41.54,1,3,NULL),(25,6325572,'1993-08-28 00:00:00',2,1,11,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241115373431258914575124610124042',5787,'267',56.50,1,3,NULL),(25,6325580,'1990-08-13 00:00:00',2,16,12,2007,'F','N','APARECIDA','CAMPOS NOVOS','SC','124241248116141732635414335122243268047',NULL,'139',0.00,1,2,1),(25,6325599,'1992-11-16 00:00:00',4,5,12,2009,'M','N','VILA BANCÁRIA MUNHOZ','S PAULO','SP','125251251117371411428819575124610147047',19843,'9998',35.04,1,3,NULL),(25,6325602,'1993-08-16 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217111531433933575124610128117',19621,'1022',31.11,1,3,NULL),(25,6325610,'1991-09-21 00:00:00',4,1,11,2008,'M','N','CHÁCARA DAS PEDRAS','PTO ALEGRE','RS','120202201217571411249931415114610116042',NULL,'9998',0.00,1,3,NULL),(25,6325629,'1993-04-01 00:00:00',2,8,12,2010,'F','N','BELA ALIANÇA','S BENTO SUL','SC','124241241115271431428614585124610125142',16174,'697',36.59,1,2,1),(25,6325645,'1993-11-06 00:00:00',4,1,11,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111431438713475114610157042',9414,'1022',49.18,1,3,NULL),(25,6325653,'1993-07-20 00:00:00',4,1,12,2011,'M','S','PONTE DO IMARUIM','PALHOÇA','SC','124242248111151431346332571122213228042',NULL,'1011',29.74,4,3,NULL),(25,6325661,'1965-12-29 00:00:00',4,1,12,1983,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241142274621364353232124320231182',NULL,'307',0.00,1,2,1),(25,6325688,'1992-09-22 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241217473431233612572112133262042',7082,'1119',56.58,1,3,NULL),(25,6325696,'1982-02-17 00:00:00',2,1,12,2000,'M','N','JD NOVA ESPERANÇA','S MIGUEL ARCANJO','SP','125251258226421731426379442124620168187',16490,'9998',36.89,1,3,NULL),(25,6325700,'1970-08-10 00:00:00',2,1,12,1987,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241243126134441345142125122610126197',NULL,'764',19.27,1,3,NULL),(25,6325726,'1993-02-22 00:00:00',4,15,12,2010,'F','N','PARQUE ROSITA','STA ROSA SUL','SC','124241241124161751231329395124610121182',18340,'689',32.14,1,2,1),(25,6325734,'1993-07-29 00:00:00',4,1,11,2010,'F','N','CENTRO','S MIGUEL ARCANJO','SP','125251251217112431527636575122610142177',NULL,'9998',23.81,1,3,NULL),(25,6325742,'1994-03-14 00:00:00',4,5,11,2011,'M','S','COMERCIÁRIO','CRICIÚMA','SC','124242243216111312477612475112610124092',NULL,'226',32.86,1,3,NULL),(25,6325750,'1978-10-06 00:00:00',2,1,12,1995,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241117231421325544242334610121187',NULL,'542',37.09,1,2,1),(25,6325769,'1992-07-15 00:00:00',2,1,11,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241215132431337823332134130227112',14438,'272',44.54,1,3,NULL),(25,6325777,'1994-07-24 00:00:00',4,7,11,2011,'F','S','CENTRO','CONCÓRDIA','SC','124242241415131232446939572122610117147',NULL,'190',35.07,1,3,NULL),(25,6325785,'1993-04-08 00:00:00',2,4,12,2010,'M','N','CENTRO','GUARACIABA','SC','124241241127131532423333242121610118197',NULL,'334',12.30,1,2,1),(25,6325793,'1992-06-25 00:00:00',4,1,12,2010,'F','N','OURO PRETO','BELO HORIZONTE','MG','113132131217471431366837394122610166127',NULL,'9998',0.00,1,3,NULL),(25,6325807,'1993-09-19 00:00:00',4,1,10,2010,'F','N','VILA IZABEL','CURITIBA','PR','116162168215471731479819475112610115047',11078,'9998',45.86,1,3,NULL),(25,6325815,'1991-09-09 00:00:00',2,1,12,2010,'M','N','ARMAÇÃO DO PSUL','FLORIANÓPOLIS','SC','124243241115161431448613335124610147117',NULL,'9997',32.00,1,3,NULL),(25,6325823,'1992-06-01 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472731259919572124610114192',6210,'270',54.30,1,3,NULL),(25,6325831,'1992-10-13 00:00:00',2,1,12,2009,'M','N','CACHOIERAS','BIGUAÇU','SC','124241241112272432443314445114610114192',12147,'64',47.91,1,3,NULL),(25,6325840,'1993-05-11 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215151431569813575112610162072',NULL,'273',27.31,1,3,NULL),(25,6325858,'1994-10-30 00:00:00',4,7,12,2011,'M','S','VILA MILITAR','HERVAL D OESTE','SC','124242241215151731469813295122610167042',NULL,'446',51.41,1,3,NULL),(25,6325866,'1992-07-26 00:00:00',4,1,12,2009,'M','N','STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC','124241241215272431338923445114610137042',3484,'1048',64.49,1,3,NULL),(25,6325882,'1982-11-23 00:00:00',2,1,12,2000,'M','N','PACHECO','PALHOÇA','SC','224214241126334411426648385124610127041',20392,'295',33.46,4,1,2),(25,6325890,'1992-03-12 00:00:00',4,1,11,2009,'M','N','JARDIM UNIVERSITÁRIO','LONDRINA','PR','116162161217471431438711575122610168012',19725,'9998',35.31,1,3,NULL),(25,6325904,'1993-05-13 00:00:00',2,7,11,2010,'M','N','CENTRO','CAPINZAL','SC','124244241217271431455814375122610128052',7246,'446',50.87,1,3,NULL),(25,6325912,'1992-03-22 00:00:00',4,1,11,2010,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241215171731423319242124610137127',NULL,'9997',19.97,1,3,NULL),(25,6325920,'1993-03-05 00:00:00',4,1,12,2010,'F','N','JUVEVÊ','CURITIBA','PR','116162161317121711329911572124610126147',1746,'9998',68.54,1,3,NULL),(25,6325939,'1992-03-03 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241216573421468923575114610167042',12678,'1022',43.35,1,3,NULL),(25,6325947,'1992-03-02 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115151431426457381122610127047',20111,'298',29.99,1,2,1),(25,6325955,'1992-11-21 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431247772375124610125015',13913,'1050',42.16,1,3,NULL),(25,6325963,'1990-10-31 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215573431349933585122131434122',1486,'270',70.89,1,3,NULL),(25,6325971,'1992-09-28 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431468913575112610137072',3770,'262',61.71,1,3,NULL),(25,6325980,'1993-01-07 00:00:00',2,15,12,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124241241115141431344623395125610117047',NULL,'29',11.08,1,2,1),(25,6325998,'1992-04-08 00:00:00',2,1,11,2010,'M','N','VILA NOVO','IMBITUBA','SC','124241241416113431325933375124610168172',15949,'362',38.23,1,3,NULL),(25,6326005,'1994-02-18 00:00:00',4,4,12,2010,'M','N','LIDER','CHAPECÓ','SC','124244241215111411444933572122610167047',16223,'1191',37.20,4,3,NULL),(25,6326013,'1993-11-12 00:00:00',4,10,11,2010,'M','N','CENTRO','S MARTINHO','SC','124241241415121731449913475124610137052',10809,'807',45.90,1,3,NULL),(25,6326021,'1993-10-09 00:00:00',4,1,10,2010,'F','N','HUMAITA','TUBARÃO','SC','124242241216271431359913474122610134042',1935,'806',68.55,1,3,NULL),(25,6326030,'1990-11-16 00:00:00',4,15,12,2007,'F','N','BOM FIM','PTO ALEGRE','RS','120202201216573411238911575124610136196',1277,'9998',72.38,1,3,NULL),(25,6326048,'1994-03-29 00:00:00',4,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111731568733575122610117047',NULL,'270',44.56,1,3,NULL),(25,6326056,'1994-10-26 00:00:00',4,3,12,2010,'F','N','SÃO PEDRO','BRUSQUE','SC','124242241215111731435831294121610126092',21363,'1123',29.05,1,3,NULL),(25,6326064,'1989-04-08 00:00:00',2,8,11,2006,'F','N','CENTRO','ASSIS','SP','125252251216572431658811575112610164182',2864,'9998',64.28,1,3,NULL),(25,6326072,'1993-06-09 00:00:00',2,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124243241116271431425379575114610128047',NULL,'310',21.13,1,3,NULL),(25,6326080,'1973-04-20 00:00:00',2,1,12,2002,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224241245127333211321354115134610127182',18931,'307',33.69,1,2,1),(25,6326099,'1992-06-25 00:00:00',4,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241248113231431557613393114610164185',15556,'306',37.43,1,2,1),(25,6326102,'1993-07-05 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241335271431323359596124610162097',11498,'1023',45.88,1,3,NULL),(25,6326129,'1991-08-02 00:00:00',2,8,12,2008,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161214511411558833471122610146142',1370,'9998',70.58,1,3,NULL),(25,6326137,'1981-08-18 00:00:00',2,1,12,1999,'F','N','N SENHORA DO ROZARIO','S JOSÉ','SC','124241241115132411122244245334130832157',NULL,'359',0.00,1,3,NULL),(25,6326145,'1993-02-26 00:00:00',4,1,11,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241117371331348713575124610136011',12648,'271',47.13,1,3,NULL),(25,6326153,'1993-11-30 00:00:00',4,10,12,2010,'M','N','SANTO ANTÔNIO DE PÁD','TUBARÃO','SC','124242241217131431348813575112610118092',13126,'1120',41.41,1,3,NULL),(25,6326161,'1988-09-24 00:00:00',2,7,12,2005,'M','N','CENTRO','BAL CAMBORIÚ','SC','124201201126574211436316175114610167067',14900,'9998',39.59,1,2,1),(25,6326170,'1992-08-15 00:00:00',4,1,11,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161215471231437811575112610141097',8691,'9998',49.06,1,3,NULL),(25,6326188,'1993-01-27 00:00:00',2,7,12,2010,'F','N','CENTRO','IOMERÊ','SC','124241241215111431459514275122610134077',NULL,'829',22.79,1,3,NULL),(25,6326196,'1992-12-10 00:00:00',4,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111731476613585112610117044',12529,'723',47.29,1,3,NULL),(25,6326200,'1992-11-09 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215112741227631571124610162055',3642,'270',63.59,1,3,NULL),(25,6326218,'1987-05-10 00:00:00',2,1,7,2006,'M','N','SERRARIA','S JOSÉ','SC','124241247127131421323324245224230217057',18181,'9999',38.50,1,2,1),(25,6326226,'1992-12-16 00:00:00',4,1,12,2009,'M','N','BELA VISTA I','S JOSÉ','SC','124242241417132431228823345124610118042',15563,'726',42.82,1,3,NULL),(25,6326234,'1993-11-23 00:00:00',4,8,11,2010,'F','N','SÃO LUIS','JARAGUÁ SUL','SC','124242241216161731469614572122610134147',5330,'424',57.88,1,3,NULL),(25,6326242,'1993-04-12 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241116112431346624145124610126147',15521,'1118',37.27,1,3,NULL),(25,6326250,'1990-01-01 00:00:00',4,8,12,2009,'F','N','SOSSEGO','SCHROEDER','SC','124161245136271531325479335124132724072',NULL,'762',0.00,1,2,1),(25,6326269,'1993-09-27 00:00:00',4,2,11,2010,'M','N','CARIJOS','INDAIAL','SC','124244246416131431426611345124610117092',NULL,'1018',17.45,1,3,NULL),(25,6326277,'1988-09-15 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241112313731664533572124610123051',19557,'267',35.68,2,1,1),(25,6326285,'1978-02-20 00:00:00',2,1,12,1997,'M','N','INGLESES','FLORIANÓPOLIS','SC','524094097447151451126749115324140614127',21720,'9998',24.70,5,3,NULL),(25,6326307,'1993-07-30 00:00:00',2,4,11,2010,'F','N','PINDORAMA','IJUÍ','RS','120202201216161231548814475122610162053',NULL,'9998',17.83,1,3,NULL),(25,6326315,'1993-06-18 00:00:00',2,9,12,2010,'M','N','CASAN','SALETE','SC','124243241316131722626923225224610162072',NULL,'1222',0.00,1,3,NULL),(25,6326323,'1993-08-21 00:00:00',4,1,12,2010,'M','N','CENTRO','CURITIBA','PR','116162161217111431469833575124610127057',NULL,'9998',0.00,1,3,NULL),(25,6326331,'1990-09-08 00:00:00',2,1,12,2008,'F','N','PINHEIROS','S PAULO','SP','125252251216571431569814575124610161122',5245,'9998',57.13,1,3,NULL),(25,6326340,'1992-09-01 00:00:00',4,1,12,2009,'M','N','LOMBA GRANDE','NOVO HAMBURGO','RS','120202206117571431458634575125610137187',7737,'9998',50.92,1,3,NULL),(25,6326358,'1987-10-03 00:00:00',2,1,10,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241146371431123579282114133262147',13886,'182',40.22,1,2,1),(25,6326366,'1993-10-15 00:00:00',4,9,11,2010,'F','N','CENTRO','ITUPORANGA','SC','124241244215371431535515275122610137147',15317,'1173',40.00,1,3,NULL),(25,6326374,'1986-12-10 00:00:00',4,6,12,2004,'F','N','CENTRO','MACHADO','MG','113132131217271411388811574112133226197',NULL,'9998',0.00,1,3,NULL),(25,6326382,'1993-09-07 00:00:00',2,3,11,2010,'M','N','CENTRO','CURITIBA','PR','116163161215421411437931315125610114052',9841,'9998',48.10,4,3,NULL),(25,6326390,'1993-07-20 00:00:00',4,2,12,2010,'M','N','CENTRO','BLUMENAU','SC','124242241217111432559932575125610126172',9532,'87',52.08,1,3,NULL),(25,6326404,'1989-03-22 00:00:00',4,1,12,2006,'F','N','CACHOEIRAS','BIGUAÇU','SC','124241241116133421523314445124610134147',12287,'64',43.83,4,2,1),(25,6326412,'1992-06-04 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241215472411343915174124610165192',1443,'836',70.90,1,3,NULL),(25,6326420,'1993-08-26 00:00:00',2,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431457814575122610118147',NULL,'262',35.92,1,3,NULL),(25,6326439,'1992-12-31 00:00:00',4,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241211111711468712575122610111012',18059,'883',38.72,1,3,NULL),(25,6326447,'1993-10-07 00:00:00',4,1,12,2011,'M','S','PONTA DE BAIXO','S JOSÉ','SC','124242241215111531489933572122610148093',NULL,'270',58.06,1,3,NULL),(25,6326455,'1993-03-15 00:00:00',4,16,12,2010,'M','N','COHAB I','CURITIBANOS','SC','124241241135371711526823571221610164187',16935,'240',35.64,4,2,1),(25,6326463,'1993-07-24 00:00:00',2,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215121431468634575124610135177',3101,'270',65.04,1,3,NULL),(25,6326471,'1991-12-30 00:00:00',4,1,12,2009,'F','N','PERDIZES','S PAULO','SP','125252251217471431378832575122610167042',9685,'9998',46.63,1,3,NULL),(25,6326480,'1993-08-16 00:00:00',4,2,12,2010,'M','N','BELA VISTA','RIO NEGRINHO','SC','124243241317131431426934575121610117183',17028,'666',40.58,2,1,2),(25,6326498,'1992-12-02 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241317472451149711275125610166042',8046,'270',52.61,1,3,NULL),(25,6326501,'1991-09-05 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117373431438624575112610161177',13996,'287',41.42,1,2,1),(25,6326510,'1991-07-23 00:00:00',2,1,12,2008,'F','N','KOBRASIL','S JOSÉ','SC','124242241216373411558813495122232727042',NULL,'1077',0.00,1,3,NULL),(25,6326528,'1994-01-31 00:00:00',5,1,11,2010,'F','N','CAMOBI','STA MARIA','RS','120201201217371431353923495124610144076',3728,'9998',61.43,1,3,NULL),(25,6326536,'1992-11-23 00:00:00',4,4,12,2009,'M','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241116371431226529345124610167057',15696,'182',37.50,1,2,1),(25,6326544,'1994-01-12 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111222448819475124610114022',7049,'270',56.65,1,3,NULL),(25,6326552,'1993-05-26 00:00:00',4,8,12,2010,'F','N','CRUZEIRO','RIO NEGRINHO','SC','124241241116271431636611575112610124142',NULL,'669',13.52,1,2,1),(25,6326560,'1993-05-04 00:00:00',4,7,12,2010,'F','N','CATARINA FONTANA','CONCÓRDIA','SC','124241241116371431448614275122610125147',15527,'193',38.71,1,2,1),(25,6326579,'1994-03-25 00:00:00',4,1,12,2010,'F','N','MADUREIRA','CAXIAS SUL','RS','120202201217111521469931575122610142097',NULL,'9998',0.00,1,3,NULL),(25,6326587,'1992-03-07 00:00:00',2,4,12,2009,'M','N','CENTRO','LGA VERMELHA','RS','120202208235471331436832471125610167042',NULL,'9998',0.00,1,3,NULL),(25,6326595,'1990-02-20 00:00:00',4,8,12,2007,'M','N','SAGUAÇÚ','JOINVILLE','SC','124242241215474431489912275122221464191',12306,'1063',47.68,1,3,NULL),(25,6326609,'1994-04-22 00:00:00',4,4,12,2010,'F','N','CINQUENTENÁRIO','CONCÓRDIA','SC','124241241217271431439924375122610114197',9006,'1001',49.30,1,3,NULL),(25,6326617,'1992-09-21 00:00:00',4,3,12,2009,'M','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112122121216571411458813575112610137052',5160,'9998',56.65,4,3,NULL),(25,6326625,'1991-09-23 00:00:00',4,1,12,2008,'M','N','VILA ESPERANCA','S PAULO','SP','125252251216571431568813571122610167072',NULL,'9998',0.00,3,3,NULL),(25,6326633,'1993-06-07 00:00:00',4,1,12,2011,'M','S','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241216111731447831315122610127042',NULL,'884',0.00,1,3,NULL),(25,6326641,'1992-09-15 00:00:00',4,8,11,2009,'F','N','BATEL','CURITIBA','PR','116162161216471431356812275122610134097',6816,'9998',53.39,1,3,NULL),(25,6326650,'1992-01-31 00:00:00',2,1,12,2008,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124244241416374431338814575124610123097',17058,'1022',36.42,2,1,2),(25,6326668,'1993-04-25 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241125231431325524392224613238097',13238,'283',43.76,1,2,1),(25,6326676,'1994-07-08 00:00:00',4,16,12,2011,'F','S','BOSQUE','CURITIBANOS','SC','124242241217171431338716572122610126142',NULL,'237',51.45,1,3,NULL),(25,6326684,'1992-01-22 00:00:00',4,1,11,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215471531488614575112610167062',9449,'807',49.75,1,3,NULL),(25,6326706,'1993-08-22 00:00:00',4,2,11,2010,'M','N','AZAMBUJA','BRUSQUE','SC','124242241215271431469614575122610162193',2869,'107',65.13,1,3,NULL),(25,6326714,'1993-01-06 00:00:00',4,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241117271431645519372124610125152',14253,'733',40.09,1,2,1),(25,6326722,'1978-01-16 00:00:00',4,15,12,1994,'M','N','COLONINHA','ARARANGUÁ','SC','224243248316152711249941415122333227185',21144,'27',30.41,1,3,NULL),(25,6326730,'1993-08-17 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431445923392112610167077',12044,'738',48.06,1,3,NULL),(25,6326749,'1993-09-12 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241137131331326621575124610134187',9963,'739',48.64,1,2,1),(25,6326757,'1994-09-29 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215151432458922182125610133012',NULL,'262',44.16,1,3,NULL),(25,6326765,'1993-01-04 00:00:00',4,1,12,2010,'M','N','BOA VISTA','AMERICANA','SP','125252251217162431348812122112610137097',NULL,'9998',20.42,1,3,NULL),(25,6326773,'1991-05-29 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215372431459824342124610142092',13093,'270',45.41,1,3,NULL),(25,6326781,'1993-02-09 00:00:00',4,1,11,2010,'M','N','ABERNÉSSIA','CAMPOS JORDÃO','SP','125253251217111431468814375112610127047',NULL,'9998',0.00,1,3,NULL),(25,6326790,'1993-08-04 00:00:00',4,6,11,2010,'M','N','FAZENDA','ITAJAÍ','SC','124242246215141432432232442122610147042',18158,'1059',32.84,1,3,NULL),(25,6326803,'1992-09-08 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124241241115131431443913572124620127042',NULL,'734',14.07,1,3,NULL),(25,6326811,'1993-11-26 00:00:00',4,4,12,2010,'F','N','JARDIM','CONCÓRDIA','SC','124241241216271411536912575122610114142',13431,'1001',40.46,1,3,NULL),(25,6326820,'1992-08-07 00:00:00',4,15,11,2009,'M','N','BOM FIM','PTO ALEGRE','RS','120202201216472431228912575124610124042',6288,'9998',55.38,1,3,NULL),(25,6326838,'1994-01-04 00:00:00',4,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217111731548811415122610166142',16469,'1169',41.44,1,3,NULL),(25,6326846,'1989-12-28 00:00:00',4,1,12,2007,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215473431558911472124610114147',3504,'270',63.90,1,3,NULL),(25,6326854,'1992-03-03 00:00:00',1,2,12,2010,'M','N','CENTRO','TIMBÓ','SC','124243241146161431658833575122610128077',20034,'787',29.30,1,3,NULL),(25,6326862,'1993-06-17 00:00:00',4,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241225111431433719172244610168197',10771,'262',45.53,1,3,NULL),(25,6326870,'1994-02-23 00:00:00',2,1,12,2010,'F','N','FAZENDA RIO TAVARES','FLORIANÓPOLIS','SC','124241241115371411426631215124610127064',NULL,'278',0.50,1,2,1),(25,6326889,'1994-07-22 00:00:00',2,1,12,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124243241437131531226729572124610122147',NULL,'65',17.23,4,1,2),(25,6326897,'1988-10-31 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124251251117132421126344245114610168147',NULL,'9998',19.26,1,2,1),(25,6326927,'1979-09-04 00:00:00',2,1,12,1996,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202201216272751266643435122541345047',1800,'9998',70.03,1,3,NULL),(25,6326935,'1990-01-10 00:00:00',2,4,12,2007,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241116152441547833275124232266187',11784,'169',48.51,1,3,NULL),(25,6326943,'1992-03-28 00:00:00',4,3,12,2009,'M','N','SANTA FE','CPO GRANDE','MS','112124121215271441469814575112141464092',2561,'9998',65.69,1,3,NULL),(25,6326960,'1991-07-27 00:00:00',4,6,12,2008,'F','N','CENTRO','S FRANCISCO SUL','SC','124242241214574431468833574124610164092',8660,'486',50.96,1,3,NULL),(25,6326994,'1992-07-11 00:00:00',2,1,12,2010,'M','N','CANTO DOS ARAÇÁS','FLORIANÓPOLIS','SC','124241247215131432643332175124610134057',NULL,'9999',25.43,1,3,NULL),(25,6327001,'1993-01-20 00:00:00',4,1,12,2010,'F','N','CENTRO','SOROCABA','SP','125252251217111431548811471125610122142',NULL,'9998',33.77,1,3,NULL),(25,6327010,'1994-05-05 00:00:00',2,1,12,2011,'F','S','KOBRASOL','S JOSÉ','SC','124242241215161631225822575122610117147',NULL,'724',26.07,1,3,NULL),(25,6327028,'1993-05-25 00:00:00',4,1,11,2010,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241116371431323432172124610124147',NULL,'733',22.51,4,2,1),(25,6327036,'1992-11-27 00:00:00',4,1,11,2010,'M','N','CENTRO','STA ROSA','RS','120202201237111411359831595122610134197',13567,'9998',40.34,1,3,NULL),(25,6327044,'1993-03-05 00:00:00',4,1,12,2010,'F','N','BARRIROS','S JOSÉ','SC','124241241135131431636912375124610168181',14462,'739',40.60,1,2,1),(25,6327052,'1985-08-10 00:00:00',4,5,11,2003,'M','N','VILA NOVA','IÇARA','SC','124241247221131411326312315112610148127',NULL,'9997',0.00,1,3,NULL),(25,6327060,'1992-12-21 00:00:00',2,1,12,2009,'M','N','STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC','124241241116142431543313342111610127047',NULL,'978',20.42,1,2,1),(25,6327079,'1991-06-29 00:00:00',4,1,7,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241247215372431536732242124610167182',NULL,'9999',29.96,1,3,NULL),(25,6327087,'1990-03-24 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216145231139813575114221428042',6868,'87',56.99,1,3,NULL),(25,6327095,'1992-03-23 00:00:00',2,1,12,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241115372431646669342135610167047',8674,'257',50.77,1,2,1),(25,6327117,'1989-08-22 00:00:00',4,1,10,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115154221328924445114121266182',12639,'267',47.15,1,2,1),(25,6327125,'1990-12-13 00:00:00',2,1,12,2007,'M','N','GUIOMAR','ANTÔNIO CARLOS','SC','124241241111144431626631211124221427042',18000,'21',38.85,1,2,1),(25,6327141,'1992-09-05 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241425372431436611575124610167182',4042,'262',61.69,1,3,NULL),(25,6327150,'1993-06-06 00:00:00',2,10,11,2010,'M','N','HUMAITA DE CIMA','TUBARÃO','SC','124242241215151431545533372111610137042',9800,'806',47.33,1,3,NULL),(25,6327168,'1993-05-09 00:00:00',2,15,9,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124242241215272431459914292122610127072',NULL,'970',25.03,4,3,NULL),(25,6327176,'1994-05-03 00:00:00',2,1,12,2011,'F','S','CENTRO','AGROLÂNDIA','SC','124241248217111731426613572124610127147',NULL,'991',46.51,1,3,NULL),(25,6327184,'1994-01-12 00:00:00',4,8,12,2010,'M','N','CENTRO','BARRA VELHA','SC','124242241215111431346923575124610167042',9897,'1105',47.93,1,3,NULL),(25,6327192,'1993-09-15 00:00:00',2,7,12,2010,'F','N','INTERIOR','ERVAL VELHO','SC','124241241115271231323334572224610131057',15066,'253',39.81,4,2,1),(25,6327206,'1992-03-27 00:00:00',2,1,11,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241136273411222379475124130423147',NULL,'726',21.50,1,2,1),(25,6327222,'1989-01-06 00:00:00',2,10,12,2005,'M','N','OFICINAS','TUBARÃO','SC','124241241125131431435319472124133237057',18599,'808',32.30,1,2,1),(25,6327230,'1976-09-12 00:00:00',4,15,12,1999,'M','N','CENTRO','S JOÃO SUL','SC','224241241126131411223345352123610128067',20726,'717',32.26,1,2,1),(25,6327249,'1992-06-23 00:00:00',4,8,12,2010,'F','N','BOA VISTA','CURITIBA','PR','116162163116371431448813395124610144147',1844,'9998',68.39,1,3,NULL),(25,6327257,'1992-11-16 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201241115271431525314375124610123147',19881,'307',29.29,1,2,1),(25,6327265,'1991-04-09 00:00:00',4,4,12,2008,'F','N','NEVA','CASCAVEL','PR','116161161315572411346534575112610162182',8253,'9998',49.59,1,3,NULL),(25,6327273,'1993-03-22 00:00:00',4,9,12,2010,'M','N','JARDIM EUROPA','CUIABÁ','MT','111092111217111431456912572122610127042',NULL,'9998',0.00,1,3,NULL),(25,6327281,'1994-04-06 00:00:00',4,10,12,2011,'M','S','N SENHORA DE FÁTIMA','BRAÇO NORTE','SC','124241241147131511537611172124610167047',NULL,'100',47.20,1,3,NULL),(25,6327303,'1989-10-01 00:00:00',2,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241216314411448833375123230267111',6363,'270',55.23,1,3,NULL),(25,6327311,'1992-01-02 00:00:00',2,16,12,2008,'M','N','CENTRO','PAPANDUVA','SC','124241241116371441323923115124610134177',19642,'603',29.59,4,2,1),(25,6327346,'1993-06-10 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431569613495122610127042',339,'270',78.94,1,3,NULL),(25,6327354,'1993-12-19 00:00:00',4,8,12,2010,'F','N','AVENTUREIRO','JOINVILLE','SC','124242241217151431436614585112611443181',13296,'462',41.46,1,3,NULL),(25,6327362,'1993-07-06 00:00:00',4,8,11,2010,'M','N','GLÓRIA','JOINVILLE','SC','124242241235151431467924275112610167052',NULL,'461',0.00,1,3,NULL),(25,6327370,'1994-03-06 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241235111411437814341124610167051',13912,'1134',45.31,1,3,NULL),(25,6327389,'1993-08-16 00:00:00',2,5,11,2010,'F','N','MINA UNIÃO','CRICIÚMA','SC','124242241215121421478912222122610127051',8697,'226',53.60,1,3,NULL),(25,6327397,'1992-04-30 00:00:00',2,5,12,2009,'M','N','CAVALHADA','PTO ALEGRE','RS','120202201117571411468619571124610117097',1446,'9998',70.21,1,3,NULL),(25,6327400,'1993-05-26 00:00:00',2,1,12,2009,'F','N','DREWIS','CACHOEIRA SUL','RS','120201201116371411438613595124241542097',NULL,'9998',0.00,1,2,1),(25,6327419,'1993-11-23 00:00:00',4,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124161241215131431436832571124610144147',3188,'1038',64.06,1,3,NULL),(25,6327427,'1987-03-02 00:00:00',2,1,12,2008,'M','N','IPIRANGA','S JOSÉ','SC','124241247121132431431321415123610124037',13889,'9999',45.35,1,3,NULL),(25,6327435,'1992-06-16 00:00:00',4,8,10,2010,'F','N','ATIRADORES','JOINVILLE','SC','124242241215111411479714445122610124142',NULL,'1016',34.51,1,3,NULL),(25,6327443,'1991-11-05 00:00:00',2,3,12,2008,'M','N','BOQUEIRÃO','GUARAPUAVA','PR','116161161315471731458614575112240667057',10418,'9998',46.11,1,3,NULL),(25,6327451,'1993-08-03 00:00:00',2,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111731448921595122610128093',11375,'270',45.09,1,3,NULL),(25,6327460,'1993-04-03 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241117241531426719575122610118015',18592,'281',37.77,1,3,NULL),(25,6327478,'1992-06-18 00:00:00',2,1,12,2009,'F','N','NONOAI','PTO ALEGRE','RS','120052201217471431459931592122610136182',5317,'9998',57.21,1,3,NULL),(25,6327486,'1988-07-16 00:00:00',4,1,12,2005,'M','N','CERAMARTE','RIO NEGRINHO','SC','124241241126271722423319482224610137097',11095,'669',46.15,1,2,1),(25,6327494,'1992-12-11 00:00:00',4,8,12,2010,'F','N','CENTRO','S BENTO SUL','SC','124242241215111431469614575122610164041',NULL,'1178',19.82,1,3,NULL),(25,6327508,'1990-06-19 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116373431225529572124610163057',15263,'840',43.31,1,2,1),(25,6327516,'1988-07-25 00:00:00',2,16,12,2005,'F','N','GIOPPO','CAÇADOR','SC','124241241126132121426679142134130267097',NULL,'532',0.00,3,2,1),(25,6327524,'1991-01-23 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241126151731447732245122610167112',NULL,'592',32.63,1,3,NULL),(25,6327532,'1993-01-28 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241615111431528614591124610141042',12710,'272',43.21,1,3,NULL),(25,6327540,'1990-12-20 00:00:00',4,1,12,2008,'F','N','SANTA MARIA','UBERLÂNDIA','MG','113132131216371311436631475124610162197',11677,'9998',46.62,1,3,NULL),(25,6327567,'1986-09-05 00:00:00',2,1,12,2004,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241216374421456613432122610127042',5358,'944',60.06,1,3,NULL),(25,6327583,'1993-05-15 00:00:00',4,1,11,2010,'M','N','PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP','125252251217111411468414475112610162187',NULL,'9998',0.00,1,3,NULL),(25,6327591,'1982-01-17 00:00:00',2,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241142574731446733432124222261187',18640,'281',37.67,1,2,1),(25,6327605,'1992-11-10 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111231229933595124610117012',19060,'1022',31.42,1,3,NULL),(25,6327613,'1987-07-16 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216141741368836575124333267073',NULL,'317',24.11,1,3,NULL),(25,6327621,'1982-03-20 00:00:00',2,1,12,1990,'F','N','MADRI','PALHOÇA','SC','224241241146314431236354145122132732072',20028,'350',34.49,4,3,NULL),(25,6327630,'1992-03-28 00:00:00',4,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241216373732328812572124130232047',3118,'1022',65.43,1,3,NULL),(25,6327648,'1991-11-04 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241412312411468813442114610135095',NULL,'272',27.39,1,3,NULL),(25,6327656,'1993-03-07 00:00:00',4,1,12,2010,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241117141431223429297224610168187',NULL,'592',0.00,1,2,1),(25,6327672,'1991-07-17 00:00:00',4,1,11,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124252241416273421228874575124610128193',8666,'726',53.66,1,3,NULL),(25,6327680,'1993-04-10 00:00:00',2,15,12,2010,'F','N','CENTRO','TORRES','RS','120201201115151431116629572214610132113',NULL,'9998',0.00,1,2,1),(25,6327702,'1992-04-29 00:00:00',2,1,12,2009,'F','N','MATO QUEIMADO','NOVA TRENTO','SC','124241241125132731423314245121232824017',NULL,'574',15.67,1,2,1),(25,6327710,'1973-05-01 00:00:00',2,1,12,1990,'F','N','BOM VIVER','BIGUAÇU','SC','124241241117132431224749492124230222147',19846,'295',35.03,4,1,1),(25,6327729,'1992-09-24 00:00:00',2,1,11,2009,'M','N','CAMOBI','STA MARIA','RS','120202201237471431379923575114610164047',1906,'9998',68.17,1,3,NULL),(25,6327737,'1995-01-17 00:00:00',2,1,12,2012,'F','S','RIO TAVARES','FLORIANÓPOLIS','SC','124244241217111411439933272122610117095',NULL,'299',65.42,1,3,NULL),(25,6327745,'1993-12-05 00:00:00',4,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124242241215113751556612572124610134077',14157,'270',41.18,1,3,NULL),(25,6327753,'1992-02-01 00:00:00',4,1,12,2009,'F','N','CENTRO','BRUSQUE','SC','124242241215472431588811575112610164182',4359,'109',59.30,1,3,NULL),(25,6327761,'1992-03-14 00:00:00',4,1,11,2009,'F','N','CENTRO','CURITIBA','PR','116112161216472411549913575125610136172',3640,'9998',62.15,1,3,NULL),(25,6327788,'1989-10-02 00:00:00',2,1,12,2006,'M','N','BOM VIVER','BIGUAÇU','SC','124241241132253431534634285124610117047',9436,'66',49.13,4,2,1),(25,6327796,'1994-05-20 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111731458831115124610117052',17749,'1022',39.32,1,3,NULL),(25,6327818,'1994-01-16 00:00:00',4,15,12,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124241241115471431427939575122610121072',17370,'29',34.21,1,2,1),(25,6327834,'1993-08-15 00:00:00',2,10,11,2010,'M','N','NOSSA SENHORA DE FÁT','BRAÇO NORTE','SC','124244241216131431333714214125610128112',16342,'102',41.64,1,3,NULL),(25,6327850,'1992-02-03 00:00:00',4,1,12,2009,'M','N','ITAQUERA','S PAULO','SP','125252253216471411458624415124510142074',5342,'9998',56.98,1,3,NULL),(25,6327869,'1988-09-09 00:00:00',4,1,11,2005,'F','N','JARDIM MARAJOARA','S PAULO','SP','125252251217572431468611371125610147142',3380,'9998',63.07,1,3,NULL),(25,6327885,'1992-04-25 00:00:00',2,10,11,2009,'F','N','AGUA VERDE','CURITIBA','PR','116162161215471431336813575124610162077',NULL,'9998',0.00,4,3,NULL),(25,6327893,'1993-10-16 00:00:00',4,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215121231446913435124610134172',7951,'270',51.62,1,3,NULL),(25,6327907,'1992-02-03 00:00:00',4,1,11,2009,'M','N','VILA CARRÃO','S PAULO','SP','125252251215471431468823584124610167017',NULL,'9998',0.00,3,3,NULL),(25,6327915,'1992-06-17 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201201117111751438811572124610127077',3407,'9998',62.39,1,2,1),(25,6327923,'1993-09-26 00:00:00',2,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','125244241215121421548615571124610123057',7835,'1191',51.32,1,3,NULL),(25,6327931,'1990-11-02 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','120244241217573441369913472115610162197',7703,'9997',53.23,1,3,NULL),(25,6327940,'1993-04-19 00:00:00',4,15,12,2010,'F','N','SANGA DA TOCA','ARARANGUÁ','SC','124241241147131731523335252124610138147',18429,'250',32.59,1,2,1),(25,6327958,'1993-01-14 00:00:00',2,1,11,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241117371331425511575124610128112',14570,'288',39.78,2,1,2),(25,6327966,'1993-03-30 00:00:00',4,1,12,2010,'M','N','COLONIA SANTANA','S JOSÉ','SC','124243241127131431433623245124610134042',NULL,'869',14.60,1,3,NULL),(25,6327974,'1992-01-07 00:00:00',4,1,12,2008,'M','N','CENTRO','INDAIATUBA','SP','125252251215571431368831575125610138033',NULL,'9998',0.00,1,3,NULL),(25,6327982,'1993-08-05 00:00:00',4,1,12,2010,'M','N','CENTRO','TORRES','RS','120201242116151711539832395124610168117',19224,'690',36.46,1,3,NULL),(25,6327990,'1993-05-05 00:00:00',2,5,12,2010,'F','N','SANTA ISABEL','FORQUILHINHA','SC','124241246415111432446313335124610126077',8817,'995',48.63,1,3,NULL),(25,6328008,'1991-05-20 00:00:00',2,9,12,2008,'M','N','CRISTO REDENTOR','CAXIAS SUL','RS','120202201215571411428814571115610164047',2637,'9998',63.99,1,3,NULL),(25,6328016,'1989-11-05 00:00:00',4,1,12,2007,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124243244135143421538721392124610133087',NULL,'307',32.24,1,3,NULL),(25,6328024,'1993-02-28 00:00:00',4,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124241241215131431349811571122610146192',11929,'962',44.44,4,1,2),(25,6328032,'1992-04-03 00:00:00',2,3,12,2009,'F','N','CENTRO','LONDRINA','PR','116201201116471431526416575122610136147',15785,'9998',38.23,1,2,1),(25,6328040,'1992-12-07 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215272431639812342124610125117',NULL,'1022',30.05,1,3,NULL),(25,6328059,'1991-12-06 00:00:00',2,8,12,2010,'F','N','JARDIM PARAISO','JOINVILLE','SC','124243248233111712633632125124610165172',NULL,'9997',0.00,1,3,NULL),(25,6328067,'1990-07-31 00:00:00',4,15,12,2007,'M','N','CENTRO','ARARANGUÁ','SC','124244241416131431539711345123610167017',21464,'29',28.28,1,3,NULL),(25,6328075,'1992-08-28 00:00:00',2,8,12,2009,'F','N','ZONA SETE','MARINGÁ','PR','116161161415471711433833572122610162147',NULL,'9998',0.00,4,3,NULL),(25,6328083,'1986-06-23 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124253251215472411123771315124610122147',12996,'9998',46.60,4,3,NULL),(25,6328091,'1993-08-26 00:00:00',2,1,12,2010,'F','N','BUENO','GOIÂNIA','GO','109094091215111331346623572122610134146',NULL,'9998',16.92,1,3,NULL),(25,6328105,'1993-12-11 00:00:00',4,15,12,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124241241115271231426614575324610145077',9572,'29',48.60,1,2,1),(25,6328113,'1993-05-09 00:00:00',2,9,12,2010,'F','N','VILA NOVA','LAGES','SC','124241248115171751426611571122610128176',NULL,'935',14.69,1,2,1),(25,6328121,'1993-05-03 00:00:00',2,8,11,2010,'F','N','FLORESTA','JOINVILLE','SC','124241241137141711636623342124610133142',NULL,'472',0.00,1,2,1),(25,6328130,'1993-05-25 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115141431427413342124610124047',NULL,'298',19.29,1,2,1),(25,6328148,'1991-08-08 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373751537811495121232732081',NULL,'226',25.44,1,3,NULL),(25,6328156,'1985-09-19 00:00:00',4,1,12,2003,'M','N','VILA MARIANA','S PAULO','SP','125252251215151411246844445134240742042',9468,'9998',52.27,3,3,NULL),(25,6328164,'1993-04-17 00:00:00',4,9,11,2010,'M','N','JARDIM AMÉRICA','RIO SUL','SC','124242241235271411478831574122610147152',1498,'663',69.29,1,3,NULL),(25,6328172,'1993-03-31 00:00:00',2,1,12,2010,'F','N','ARIRIÚ DA FORMIGA','PALHOÇA','SC','124242241215112431557933572114610121142',6999,'1011',54.97,1,3,NULL),(25,6328180,'1992-10-18 00:00:00',2,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241231224211546653275121223012096',9965,'299',48.07,1,3,NULL),(25,6328199,'1990-08-24 00:00:00',4,2,12,2008,'M','N','ALTOS DE SÃO JOSÉ','ITU','SP','125244241127151421568862245133610164182',10462,'870',45.77,2,1,2),(25,6328202,'1985-03-18 00:00:00',4,2,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241217375431518813575125221468187',2474,'909',66.85,1,3,NULL),(25,6328210,'1993-10-11 00:00:00',2,4,12,2010,'M','N','AEROPORTO','ERECHIM','RS','120201201117131431428631375124610137057',NULL,'9998',24.30,1,2,1),(25,6328229,'1993-06-14 00:00:00',4,10,12,2010,'M','N','CENTRO','BRAÇO NORTE','SC','124242241215131431446819345114610167042',12418,'950',47.49,1,3,NULL),(25,6328237,'1976-02-04 00:00:00',4,1,12,1993,'F','N','FAZ SANTO ANTONIO','S JOSÉ','SC','524131131136151431326641415123141037147',19000,'9998',31.38,1,2,1),(25,6328245,'1993-05-02 00:00:00',4,6,11,2010,'M','N','SANTA CLARA','ITAJAÍ','SC','124242241215111231358813592122610137042',8735,'1038',53.54,1,3,NULL),(25,6328253,'1992-05-21 00:00:00',4,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241216272431446614345124610125183',NULL,'1023',24.93,1,3,NULL),(25,6328261,'1990-12-09 00:00:00',4,1,12,2008,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251217371431568812325122240264122',NULL,'9998',21.04,1,3,NULL),(25,6328270,'1993-11-25 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431258831575112610134012',531,'270',76.55,1,3,NULL),(25,6328288,'1992-08-15 00:00:00',2,1,12,2009,'M','N','NOSSA S DO ROSÁRIO','S JOSÉ','SC','124241241117131431427319345124610132042',NULL,'257',33.44,1,2,1),(25,6328296,'1992-10-04 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241217272431356813135112120968052',5854,'738',55.74,1,3,NULL),(25,6328300,'1992-09-03 00:00:00',4,8,12,2009,'M','N','ATIRADORES','JOINVILLE','SC','124242241215372431468831475112610122122',11030,'1063',49.62,1,3,NULL),(25,6328318,'1992-12-14 00:00:00',4,1,7,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242247216371441348711592114610124127',21243,'9999',26.41,1,3,NULL),(25,6328334,'1993-09-30 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124243241116271431435314575124610126192',15189,'734',38.11,1,3,NULL),(25,6328342,'1993-06-24 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241111372431424421271124610128142',19822,'288',29.25,1,2,1),(25,6328350,'1992-04-05 00:00:00',2,1,12,2010,'F','N','DE CARLI','VIDEIRA','SC','124241248125141731323624342123610113147',NULL,'830',0.00,1,2,1),(25,6328369,'1992-03-09 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215373531379823575124131012062',6981,'272',55.85,1,3,NULL),(25,6328377,'1992-12-21 00:00:00',4,6,11,2010,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241215111231348933575122610164192',NULL,'1172',20.85,1,3,NULL),(25,6328385,'1993-06-10 00:00:00',4,2,11,2010,'M','N','GARCIA','BLUMENAU','SC','124242241217131332458813475124610127042',13727,'87',42.28,1,3,NULL),(25,6328393,'1992-12-09 00:00:00',4,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241115141431433314342124610131197',NULL,'733',12.20,1,3,NULL),(25,6328415,'1992-03-20 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241116132731425619242312610167057',NULL,'295',30.30,4,2,1),(25,6328423,'1991-07-15 00:00:00',4,1,12,2008,'F','N','JARDIM SINUELO','ASTORGA','PR','116162161215571431468932574112610134142',2031,'9998',67.08,1,3,NULL),(25,6328431,'1991-05-09 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117132721626579245124230243187',14136,'307',41.03,1,2,1),(25,6328440,'1992-04-17 00:00:00',2,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124241241216152431469933345122230224187',19210,'723',36.51,1,3,NULL),(25,6328458,'1994-12-05 00:00:00',4,3,12,2011,'M','S','NAÇÕES','BAL CAMBORIÚ','SC','124242241215111731586824576122610168142',NULL,'44',34.79,1,3,NULL),(25,6328474,'1991-04-20 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124122121216132431438813575124241065187',12491,'9998',47.35,1,3,NULL),(25,6328482,'1992-04-24 00:00:00',2,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241346141432468911192114610137042',NULL,'51',34.37,1,3,NULL),(25,6328490,'1993-06-16 00:00:00',4,2,12,2010,'M','N','VILA NOVA','BLUMENAU','SC','124242241215111431478512375122610137182',NULL,'909',0.00,1,3,NULL),(25,6328504,'1991-07-22 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241147472422434531312124220644092',21568,'295',27.28,1,3,NULL),(25,6328512,'1992-12-19 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241215371431486922575122610117042',1949,'262',69.48,1,3,NULL),(25,6328520,'1994-02-11 00:00:00',4,4,12,2010,'F','N','LA SALLE','PATO BRANCO','PR','116161161115371431436534245122610167147',9545,'9998',47.65,1,2,1),(25,6328539,'1992-08-06 00:00:00',4,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124244241225111712527639575114610147047',17113,'262',36.87,2,3,NULL),(25,6328547,'1991-07-12 00:00:00',4,8,12,2008,'M','N','ZONA SETE','MARINGÁ','PR','116162161216572431348831575125610165182',1505,'9998',70.66,1,3,NULL),(25,6328555,'1970-11-17 00:00:00',2,1,12,2000,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224251241641171511544443133112610164093',NULL,'9999',5.14,1,3,NULL),(25,6328563,'1992-12-14 00:00:00',4,3,12,2010,'F','N','LOURDES','BELO HORIZONTE','MG','113131138115151431448834585124610162072',4153,'9998',62.92,1,2,1),(25,6328580,'1993-08-09 00:00:00',2,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241217111731348614575121610137044',9169,'723',52.74,1,3,NULL),(25,6328598,'1993-09-24 00:00:00',4,1,12,2010,'F','N','CENTRO','PALOTINA','PR','116162161216371431469934575112610122147',4460,'9998',59.49,1,3,NULL),(25,6328601,'1982-03-07 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241416152741488613435122531962067',3298,'262',60.82,1,3,NULL),(25,6328628,'1984-09-30 00:00:00',4,1,12,2002,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241122272431423311312114610124147',NULL,'727',34.89,1,2,1),(25,6328636,'1987-05-12 00:00:00',4,1,12,2004,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124241241217332431126943235224122967167',NULL,'991',18.74,1,3,NULL),(25,6328644,'1994-03-08 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217111731559834575112610123142',9629,'270',47.14,1,3,NULL),(25,6328652,'1984-09-20 00:00:00',2,1,12,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','224241241137131431235543435134610132097',NULL,'498',0.00,1,2,1),(25,6328660,'1993-10-05 00:00:00',2,4,12,2010,'F','N','REGIÃO DO LAGO','CASCAVEL','PR','116242161316111431435312575122610137182',NULL,'9998',0.00,1,3,NULL),(25,6328679,'1993-01-08 00:00:00',4,9,12,2009,'F','N','CENTRO','VACARIA','RS','120202201216371731427731595122610124092',21417,'9998',28.68,1,3,NULL),(25,6328687,'1992-04-22 00:00:00',2,8,12,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241214472421356814575122610112142',12906,'494',46.72,1,3,NULL),(25,6328695,'1991-03-12 00:00:00',2,1,11,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241115272451338534245124233261142',15683,'307',42.63,1,2,1),(25,6328709,'1988-06-22 00:00:00',4,5,12,2005,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201211471231439914495124143262187',1664,'9998',67.65,1,3,NULL),(25,6328717,'1994-12-25 00:00:00',4,1,12,2012,'F','S','RIO TAVARES','FLORIANÓPOLIS','SC','124241248131141741345631572114610121177',NULL,'271',37.02,1,3,NULL),(25,6328725,'1989-04-12 00:00:00',4,7,12,2006,'M','N','CENTRO','CATANDUVAS','SC','124241241116473431436913455111130737047',NULL,'161',26.08,1,2,1),(25,6328741,'1993-01-11 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241112141432426639295114610167087',NULL,'257',12.17,1,3,NULL),(25,6328750,'1989-02-07 00:00:00',4,1,12,2006,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241116142431335324495132133227042',15293,'293',43.26,1,2,1),(25,6328768,'1988-02-05 00:00:00',4,1,12,2005,'M','N','CENTRO','TORRES','RS','120201242116151431539832385113130867057',NULL,'690',0.00,1,3,NULL),(25,6328776,'1990-07-16 00:00:00',2,1,12,2007,'F','N','SÃO SEBASTIÃO','PTO ALEGRE','RS','120204201137371431225727372114610162187',NULL,'9998',0.00,1,3,NULL),(25,6328784,'1993-02-20 00:00:00',2,1,12,2010,'F','N','SÃO JOSÉ','S JOSÉ','SC','124242248415272721446412585122610165042',5833,'723',58.52,1,3,NULL),(25,6328792,'1991-03-19 00:00:00',4,1,12,2010,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241135151732423424445122610134143',NULL,'772',13.65,1,2,1),(25,6328806,'1993-08-29 00:00:00',4,3,11,2010,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124242241215111431239734575114610132182',3375,'1038',63.01,1,3,NULL),(25,6328822,'1993-05-18 00:00:00',4,1,11,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241217271511366412595122610144097',NULL,'1074',22.18,1,3,NULL),(25,6328830,'1991-01-17 00:00:00',2,1,12,2008,'M','N','LARANJEIRAS','CAIEIRAS','SP','125252251116141411457923435124241666047',NULL,'9998',0.00,1,3,NULL),(25,6328849,'1992-07-05 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241135141431335534245124610127142',20065,'307',32.60,4,2,1),(25,6328857,'1993-01-29 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124242241216152721448812575112231037147',NULL,'1207',0.00,1,3,NULL),(25,6328865,'1992-12-02 00:00:00',4,9,11,2010,'M','N','UNIVERSITÁRIO','LAGES','SC','124241241217121411447614295112610134172',8443,'1207',54.06,1,3,NULL),(25,6328873,'1993-12-19 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124122247216371431438813572121610167187',NULL,'9999',16.91,4,3,NULL),(25,6328881,'1992-10-08 00:00:00',2,4,11,2010,'F','N','CENTRO','RONCADOR','PR','116163161415421431536913575122610127147',15134,'9998',38.80,4,3,NULL),(25,6328890,'1990-01-03 00:00:00',2,1,12,2007,'F','N','CENTRO','COLORADO','PR','116161161215573431576611575125610165072',15049,'9998',38.42,1,3,NULL),(25,6328903,'1992-07-30 00:00:00',2,1,12,2009,'M','N','N SENHORA ROSARIO','S JOSÉ','SC','124242241216373431458834575124610127043',16838,'1077',36.63,1,3,NULL),(25,6328920,'1995-01-10 00:00:00',4,9,12,2011,'F','S','FLORIANI','OTACÍLIO COSTA','SC','124244241215151732536932572122610127142',NULL,'499',51.91,1,3,NULL),(25,6328938,'1992-05-02 00:00:00',2,4,12,2010,'F','N','SANTO ANTÔNIO','CHAPECÓ','SC','124241241136141432323524485124610131177',NULL,'169',14.66,4,2,1),(25,6328946,'1986-02-24 00:00:00',4,1,12,2003,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217142711458933495124322363042',17581,'266',39.62,1,3,NULL),(25,6328954,'1992-03-06 00:00:00',4,1,11,2009,'M','N','PASSA VINTE PAGANI','PALHOÇA','SC','124244241215372441466413345124610134187',5354,'976',56.71,1,3,NULL),(25,6328962,'1992-05-08 00:00:00',4,1,12,2009,'F','N','PALMAS','GOV CELSO RAMOS','SC','124243241116131131536829395124610164147',NULL,'329',21.00,1,3,NULL),(25,6328970,'1993-08-01 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241214121711489913297115610124042',7577,'270',54.89,1,3,NULL),(25,6328989,'1992-10-27 00:00:00',4,1,12,2010,'F','N','TRÊS RIACHOS','BIGUAÇU','SC','124241241117371731423339575124610138147',21384,'65',22.92,1,2,1),(25,6328997,'1994-01-04 00:00:00',2,15,12,2010,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241243115141431426614245121610127042',NULL,'29',0.00,1,2,1),(25,6329012,'1992-04-30 00:00:00',2,10,11,2009,'F','N','PRAIA DO SOL','LAGUNA','SC','124244241316272431233521575124610168172',19777,'521',35.19,1,3,NULL),(25,6329020,'1993-12-15 00:00:00',4,1,12,2011,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242242217171532428839575112610134142',NULL,'270',25.51,1,3,NULL),(25,6329039,'1992-11-04 00:00:00',4,1,12,2010,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124243241117371422424427595124610123012',NULL,'307',38.07,1,3,NULL),(25,6329047,'1992-05-14 00:00:00',2,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244248212121331369611412114610167053',19609,'270',33.80,1,3,NULL),(25,6329055,'1989-07-23 00:00:00',4,3,12,2007,'F','N','JARDIM PARAÍBA','APARECIDA','SP','125252251217473431438611574124610132012',1202,'9998',72.87,1,3,NULL),(25,6329063,'1992-10-02 00:00:00',4,6,12,2009,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124243241215372411469914375124610137087',7573,'388',53.55,4,3,NULL),(25,6329080,'1992-07-01 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124243244412373731426613585124233224097',NULL,'1075',33.83,1,3,NULL),(25,6329098,'1986-09-29 00:00:00',4,7,12,2003,'M','N','CENTRO','CALMON','SC','124241241126161431443817235122140622092',14403,'128',44.58,1,2,1),(25,6329101,'1992-06-09 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241216151411539933475124230748177',NULL,'44',0.00,1,3,NULL),(25,6329152,'1987-03-06 00:00:00',2,17,12,2004,'M','N','CENTRO','CANOINHAS','SC','124241241116372441128644445123610167147',14635,'669',44.25,1,2,1),(25,6329160,'1993-02-08 00:00:00',2,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124241241215111231566652575114610137052',9316,'1022',48.78,4,3,NULL),(25,6329179,'1993-10-08 00:00:00',4,1,12,2010,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241132371431533411295124610122147',NULL,'286',35.10,1,2,1),(25,6329187,'1993-07-19 00:00:00',4,7,12,2010,'M','N','SANTA MÔNICA','FRAIBURGO','SC','124242241216271431443912595122610124097',18124,'317',38.61,1,3,NULL),(25,6329195,'1993-12-30 00:00:00',2,1,11,2010,'M','N','ROÇADO','S JOSÉ','SC','124242241215271431346833576114610137042',6714,'1022',54.87,1,3,NULL),(25,6329209,'1991-03-19 00:00:00',4,1,12,2008,'F','N','DE LAZZER','CAXIAS SUL','RS','120202201216572431456631371114141442187',7782,'9998',50.63,1,3,NULL),(25,6329217,'1993-05-28 00:00:00',4,3,11,2010,'M','N','CENTRO','MARINGÁ','PR','116162161217271411469931472121610132072',2534,'9998',65.85,1,3,NULL),(25,6329225,'1993-03-17 00:00:00',2,1,12,2010,'F','N','PENHA','PAULO LOPES','SC','124241241225111431324319575125610138057',9997,'262',47.52,1,3,NULL),(25,6329233,'1972-09-12 00:00:00',4,1,12,1988,'M','N','ITACARUBI','FLORIANÓPOLIS','SC','224201201216153411363444443132521422043',NULL,'9998',0.00,1,3,NULL),(25,6329241,'1992-10-20 00:00:00',2,1,12,2009,'M','N','IMIGRANTES','CONCÓRDIA','SC','124241241136141451658669595122610147052',NULL,'192',17.81,1,3,NULL),(25,6329250,'1992-04-20 00:00:00',2,10,11,2010,'M','N','BANANAL','LAGUNA','SC','124241241147141431336313245124610161012',NULL,'521',15.61,1,2,1),(25,6329268,'1993-11-07 00:00:00',2,9,11,2010,'F','N','UNIVERSITÁRIO','LAGES','SC','124244241215111431434411575122610123142',14586,'1207',39.00,1,3,NULL),(25,6329276,'1991-09-27 00:00:00',2,4,12,2008,'F','N','PIONEIROS','ITÁ','SC','124241246116372441429613575112610137147',NULL,'196',17.85,1,2,1),(25,6329284,'1993-03-08 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117271431436434595122610138052',NULL,'307',16.81,4,1,1),(25,6329292,'1993-12-28 00:00:00',4,1,12,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241115131631434624575124610134142',NULL,'1088',29.52,1,2,1),(25,6329306,'1991-10-25 00:00:00',4,1,12,2008,'M','N','VILA SÃO JORGE','S VICENTE','SP','125254251217471431456713375124240427117',NULL,'9998',25.03,1,3,NULL),(25,6329314,'1993-07-16 00:00:00',2,1,12,2010,'M','N','BREJARU','PALHOÇA','SC','124241241115271431423411575124610127052',9836,'307',48.24,1,2,1),(25,6329322,'1992-03-06 00:00:00',4,1,11,2009,'M','N','PASSA VINTE PAGANI','PALHOÇA','SC','124244241215272411466413445122610114037',7065,'976',54.32,1,3,NULL),(25,6329330,'1978-10-06 00:00:00',4,1,12,1996,'M','N','VILA CAMPO GRANDE','S PAULO','SP','125252253237271731557929335134141134094',2057,'9998',67.77,1,3,NULL),(25,6329349,'1976-11-24 00:00:00',2,1,12,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124251251116132421123373435124610166097',15032,'9998',39.24,1,3,NULL),(25,6329357,'1993-01-05 00:00:00',2,1,12,2010,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124242248212111711424823332121610117012',NULL,'63',21.47,1,3,NULL),(25,6329365,'1990-05-22 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241435575411178835275125221444197',989,'270',74.02,1,3,NULL),(25,6329381,'1993-12-02 00:00:00',2,7,12,2010,'M','N','CENTRO','CAC DOBLE','RS','120201201116161431433923472311610117057',NULL,'9998',21.35,1,2,1),(25,6329403,'1990-12-07 00:00:00',2,6,7,2008,'F','N','SANTO ANTÔNIO','PTO ALEGRE','RS','120241241336374451244623575114142162172',NULL,'9999',30.86,4,3,NULL),(25,6329411,'1992-07-11 00:00:00',4,1,12,2009,'M','N','JD TV MORENA','CPO GRANDE','MS','112122121215311731468811575122610124071',7541,'9998',53.01,3,3,NULL),(25,6329420,'1993-06-16 00:00:00',4,1,12,2010,'M','N','PRAIA DO JARDIM II','ANGRA REIS','RJ','121242218215111411238724315124610124122',11127,'9998',45.13,1,3,NULL),(25,6329438,'1990-03-27 00:00:00',2,1,12,2006,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','524244201317151431346622215112333267067',NULL,'9998',24.76,1,3,NULL),(25,6329446,'1991-09-21 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241217272431467713495124232066187',NULL,'723',0.00,1,3,NULL),(25,6329454,'1990-10-30 00:00:00',4,1,7,2008,'M','N','CANTO','FLORIANÓPOLIS','SC','124243241116375431259713275124121462122',48,'306',85.68,1,3,NULL),(25,6329462,'1983-10-02 00:00:00',3,1,12,2002,'F','N','N SENHORA DAS GRAÇAS','MANAUS','AM','104041041117571431326664174124141726187',5338,'9998',57.32,5,2,1),(25,6329470,'1993-01-11 00:00:00',2,15,12,2010,'F','N','CENTENÁRIO','TORRES','RS','120201201117151431433521575124610138057',NULL,'9998',0.00,1,2,1),(25,6329489,'1991-09-28 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431468834575125131067072',3187,'962',64.65,1,3,NULL),(25,6329497,'1992-04-04 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242246116371411457833215122610132185',3115,'306',64.35,1,3,NULL),(25,6329500,'1993-02-14 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241215111431488814375124610136127',607,'1133',76.67,1,3,NULL),(25,6329519,'1967-02-11 00:00:00',2,1,12,1984,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224211213116151412438843335123342365091',NULL,'9998',0.00,1,3,NULL),(25,6329527,'1993-10-10 00:00:00',2,16,12,2010,'F','N','JARDIM AMÉRICA','FRAIBURGO','SC','124241241115131431623334182124610135037',NULL,'314',24.41,1,2,1),(25,6329535,'1980-12-30 00:00:00',2,1,12,1998,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','224101101117133431423454486124230245143',NULL,'9998',0.00,2,1,1),(25,6329560,'1993-09-30 00:00:00',4,1,12,2010,'M','N','CENTRO','S BONIFÁCIO','SC','124241241125161411423315575121610164177',NULL,'702',23.15,1,2,1),(25,6329586,'1989-10-31 00:00:00',2,1,10,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216214412138744145113121962077',12855,'44',46.82,1,3,NULL),(25,6329594,'1994-05-10 00:00:00',2,15,12,2010,'F','N','ESTRADA GERAL','TIMBÉ SUL','SC','124241248115371521436435575124610137052',NULL,'814',18.50,1,2,1),(25,6329616,'1965-10-18 00:00:00',2,1,11,1983,'M','N','CENTRO','FLORIANÓPOLIS','SC','424241241526373441334341115124221661041',7466,'388',55.85,1,3,NULL),(25,6329624,'1986-08-19 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215575431466417495124221467047',8483,'262',50.12,1,3,NULL),(25,6329632,'1989-03-13 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215112721446632335133610127062',NULL,'1048',0.00,1,3,NULL),(25,6329640,'1993-02-27 00:00:00',2,1,11,2010,'F','N','ITACOBURI','FLORIANÓPOLIS','SC','124242241215272431478831575124610122072',NULL,'270',22.91,1,3,NULL),(25,6329659,'1993-10-23 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242248215113431349614595122610118187',10926,'270',49.79,4,3,NULL),(25,6329667,'1991-07-30 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216112431448813495124231024042',NULL,'269',0.00,1,3,NULL),(25,6329675,'1992-11-10 00:00:00',4,1,11,2010,'F','N','JARDIM PITUAÇU','SALVADOR','BA','105052051217121431589933575122610123187',2409,'9998',65.38,1,3,NULL),(25,6329683,'1985-05-09 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241248332133751236379295124223067185',12893,'9999',46.75,1,3,NULL),(25,6329705,'1992-07-06 00:00:00',4,1,12,2010,'M','N','BACACHERI','CURITIBA','PR','116161166117471751459613375124610167187',2659,'9998',64.57,2,2,1),(25,6329721,'1990-07-13 00:00:00',2,5,9,2007,'M','N','PRÓSPERA','CRICIÚMA','SC','124241241136133651334319445124233211097',13538,'953',39.65,1,2,1),(25,6329730,'1989-12-26 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','125252251217572421568632575122610122011',2026,'9998',67.86,3,3,NULL),(25,6329756,'1991-08-02 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241332112421326639492124610123051',21276,'307',29.58,4,3,NULL),(25,6329764,'1989-06-10 00:00:00',5,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217375731538839345124223234037',6869,'269',54.00,1,3,NULL),(25,6329772,'1992-03-19 00:00:00',4,1,12,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241246115151431435324382124610127052',11307,'306',44.51,1,2,1),(25,6329780,'1976-06-20 00:00:00',2,1,12,1994,'M','N','FUNDOS','BIGUAÇU','SC','224241208122134431535448345122132916192',NULL,'9998',15.80,2,1,1),(25,6329799,'1979-12-18 00:00:00',2,1,11,2001,'F','N','BARREIROS','S JOSÉ','SC','124241241137151211326341312114610128142',NULL,'9999',5.50,2,1,1),(25,6329802,'1989-02-05 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241216155731667633575112120562173',9697,'1118',51.87,1,3,NULL),(25,6329810,'1977-04-02 00:00:00',4,1,12,1994,'M','N','BELA VISTA III','S JOSÉ','SC','124243241126154421448619335122120832012',9038,'307',52.98,1,3,NULL),(25,6329837,'1988-05-23 00:00:00',2,1,12,2005,'M','N','CAMPINAS','S JOSÉ','SC','124242241416333711226624382114131311104',13896,'1022',45.34,1,3,NULL),(25,6329845,'1982-12-31 00:00:00',4,1,12,2000,'M','N','PANTANAL','FLORIANÓPOLIS','SC','624251251126243411266644245124121732042',NULL,'9998',0.00,4,3,NULL),(25,6329853,'1990-03-01 00:00:00',2,15,12,2007,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124242241215153431367722275122610164091',8865,'970',53.29,1,3,NULL),(25,6329861,'1988-03-03 00:00:00',4,8,12,2005,'M','N','VILA TOTOLI','FRANCA','SP','125252253216151711389913475124243227062',3038,'9998',63.02,1,3,NULL),(25,6329870,'1990-10-08 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124244243216152231343637575112610162045',16455,'1078',36.64,1,3,NULL),(25,6329888,'1991-09-23 00:00:00',4,1,6,2008,'F','N','CENTRO','CURITIBA','PR','116284281415571431567834574122610127012',2668,'9998',64.57,1,3,NULL),(25,6329896,'1982-02-18 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247417153421146933315134333261191',NULL,'9999',0.00,1,3,NULL),(25,6329900,'1993-04-10 00:00:00',4,6,12,2010,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124242241215151411346619295112333262076',NULL,'9997',23.37,1,3,NULL),(25,6329918,'1965-02-12 00:00:00',4,1,12,1982,'F','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','224242241216133431268352422122521462187',12249,'109',47.76,1,3,NULL),(25,6329926,'1974-03-05 00:00:00',2,1,12,1991,'F','N','EMBARÉ','SANTOS','SP','225251251217471431258651415122341534182',NULL,'9998',0.00,1,3,NULL),(25,6329934,'1982-11-02 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224246248611131451612279191345610168194',NULL,'9997',0.00,1,3,NULL),(25,6329942,'1971-02-20 00:00:00',4,1,11,1987,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','224242241211135421468644145132420267182',4099,'262',59.77,1,3,NULL),(25,6329950,'1993-11-08 00:00:00',4,1,12,2011,'F','S','JOAO PAULO','FLORIANÓPOLIS','SC','124242241215151431468812575122610138072',NULL,'262',41.03,1,3,NULL),(25,6329969,'1992-03-25 00:00:00',2,1,12,2009,'F','N','COLINA SORRISO','CAXIAS SUL','RS','120201201115571431689831375124610164077',7555,'9998',52.74,1,2,1),(25,6329977,'1993-05-05 00:00:00',4,1,11,2010,'F','N','VILA BRASIL','S PAULO','SP','125252251217111331568911575112610123072',5514,'9998',57.89,1,3,NULL),(25,6329985,'1989-12-28 00:00:00',2,8,12,2007,'M','N','XAXIM','CURITIBA','PR','116162161217571531336314182124610164142',4673,'9998',59.43,1,3,NULL),(25,6329993,'1993-01-28 00:00:00',2,16,12,2010,'M','N','AGUA SANTA','CURITIBANOS','SC','124241241115141432638335342223610127042',NULL,'240',22.35,1,2,1),(25,6330002,'1991-01-05 00:00:00',4,1,11,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241115273431559933275124231027082',19199,'267',31.21,1,2,1),(25,6330010,'1993-07-13 00:00:00',4,2,12,2010,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124244246411141431449813391121610127012',12631,'1090',47.16,1,3,NULL),(25,6330029,'1990-07-03 00:00:00',2,1,12,2007,'F','N','CENTRO','ERECHIM','RS','120201201127271431526616243124610136057',NULL,'9998',28.05,1,2,1),(25,6330037,'1989-10-04 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216373431249933495124230337132',11521,'269',48.87,1,3,NULL),(25,6330053,'1981-07-10 00:00:00',3,1,11,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241146274731425453285124231027057',NULL,'298',21.97,1,2,1),(25,6330070,'1983-07-07 00:00:00',2,1,12,2002,'F','N','IPIRANGA','S JOSÉ','SC','124201207326132731223374241234610124187',NULL,'9998',0.00,1,3,NULL),(25,6330088,'1991-07-30 00:00:00',2,4,12,2008,'F','N','CENTRO','CONSTANTINA','RS','120201201316471451426612395122610143097',NULL,'9998',0.00,1,3,NULL),(25,6330096,'1986-04-22 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161161117271731224379485121143212057',NULL,'9998',36.08,1,2,1),(25,6330100,'1980-12-01 00:00:00',4,15,12,1997,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241127151431323319245123132316197',18720,'29',37.52,1,3,NULL),(25,6330118,'1986-02-19 00:00:00',2,1,12,2003,'F','N','LOT MADRI','PALHOÇA','SC','624241241126141411233344245134610134182',20355,'161',33.55,1,2,1),(25,6330126,'1990-11-08 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241137271231556634485124610137042',NULL,'492',19.42,1,2,1),(25,6330134,'1991-10-19 00:00:00',2,5,12,2009,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241236111431456814241122230264062',NULL,'995',16.54,1,3,NULL),(25,6330142,'1993-12-13 00:00:00',4,1,11,2010,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242241212111451448633572124610118142',NULL,'1022',31.26,1,3,NULL),(25,6330150,'1993-12-16 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124201241117161711527912585112610112185',18678,'285',32.20,1,2,1),(25,6330169,'1967-02-13 00:00:00',4,1,12,1986,'F','N','POÇO FUNDO','STO AMARO IMPERATRIZ','SC','224243243222433421325641342112122233012',NULL,'9997',19.04,1,3,NULL),(25,6330185,'1960-10-21 00:00:00',4,1,12,1978,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124164163126151441136949295122342366187',NULL,'9998',0.00,1,3,NULL),(25,6330193,'1980-07-15 00:00:00',4,1,12,1996,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241236353711268743435124121446173',229,'269',80.63,1,3,NULL),(25,6330207,'1988-04-06 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116272431356623345124610147147',13320,'307',42.02,1,2,1),(25,6330215,'1987-05-10 00:00:00',2,1,12,2004,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241126473431423344341124610122143',14356,'296',42.23,4,2,1),(25,6330223,'1984-02-20 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241245131171611621174342124232754042',NULL,'9997',0.00,2,1,1),(25,6330231,'1988-01-27 00:00:00',4,2,12,2005,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241147131431623343232124332728177',NULL,'82',0.00,1,3,NULL),(25,6330240,'1994-02-28 00:00:00',4,8,12,2011,'F','S','CHICO DE PAULA','JARAGUÁ SUL','SC','124242241217171411588933475122610114142',NULL,'1063',42.09,1,3,NULL),(25,6330258,'1989-09-01 00:00:00',2,9,12,2008,'F','N','CANTA GALO','RIO SUL','SC','124241241336372441553514375124610112117',NULL,'659',25.87,4,3,NULL),(25,6330266,'1988-09-07 00:00:00',2,1,10,2005,'F','N','CENTRO','STA FÉ','PR','116161161416575431446923595122610124152',4825,'9998',57.94,1,3,NULL),(25,6330274,'1985-08-11 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224242241217153521248943436122321762052',5542,'44',59.68,1,3,NULL),(25,6330282,'1959-01-08 00:00:00',2,1,12,1982,'F','N','BARREIROS','S JOSÉ','SC','124241248226135421433129135135133268093',NULL,'304',16.14,1,3,NULL),(25,6330290,'1992-11-17 00:00:00',2,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241115131751123349396224233228077',NULL,'359',18.09,1,2,1),(25,6330304,'1992-10-15 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241132342431226624345114610133143',21495,'307',28.00,1,2,1),(25,6330312,'1993-02-05 00:00:00',4,17,12,2010,'M','N','CAMPO D ÁGUA VERDE','CANOINHAS','SC','124241241115271431426634475121610132017',21707,'146',25.10,1,2,1),(25,6330320,'1993-12-08 00:00:00',2,1,12,2010,'F','N','SÃO MARCOS','BIGUAÇU','SC','124241241117151431523619572214610146147',13299,'65',41.71,1,2,1),(25,6330339,'1993-03-14 00:00:00',2,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117131431326214372124610124147',19269,'307',31.10,1,2,1),(25,6330347,'1991-02-25 00:00:00',4,8,12,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','124243241216372411467714445122230625141',10795,'424',48.43,1,3,NULL),(25,6330355,'1988-07-27 00:00:00',2,1,12,2006,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241412313431468633435124221117142',13322,'270',46.19,2,1,2),(25,6330363,'1993-11-19 00:00:00',2,15,11,2010,'F','N','CENTRO','BAL ARROIO SILVA','SC','124243241217131731538911115124610161142',11820,'26',45.91,1,3,NULL),(25,6330371,'1988-08-28 00:00:00',4,1,12,2005,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241417473421367613295114233262092',13705,'288',41.29,1,3,NULL),(25,6330380,'1979-07-04 00:00:00',2,15,12,2000,'F','N','SANGÃO MADALENA','MARACAJÁ','SC','224241247137141432424354445322610118187',NULL,'9999',19.33,1,2,1),(25,6330398,'1982-10-15 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161161126372731123449292224610137042',14974,'9998',43.73,1,2,1),(25,6330401,'1992-02-23 00:00:00',4,1,12,2009,'F','N','STA MARTA','ITAPIRA','SP','125252251415471431468834572114610164197',7802,'9998',51.23,1,3,NULL),(25,6330410,'1980-03-26 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216155711458932595125230232122',3378,'270',64.86,1,3,NULL),(25,6330428,'1984-03-03 00:00:00',2,1,12,2000,'M','N','INGLESES','FLORIANÓPOLIS','SC','124202201212111411437712222122142317112',18709,'299',37.54,1,3,NULL),(25,6330436,'1993-02-28 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241212271431458811575114610124012',NULL,'1075',30.74,1,3,NULL),(25,6330444,'1990-05-30 00:00:00',4,8,12,2008,'M','N','FLORESTA','JOINVILLE','SC','124242241211573431228821591124133267097',3782,'931',63.50,1,3,NULL),(25,6330452,'1968-04-28 00:00:00',2,1,12,1987,'F','N','SACOS DOS LIMOES','FLORIANÓPOLIS','SC','524161161122131431321144142124610126197',NULL,'9998',18.36,4,2,1),(25,6330460,'1992-06-25 00:00:00',2,1,12,2009,'F','N','VILA ELZA','GUAÍBA','RS','120201201116141431326319315124610127097',NULL,'9998',0.00,1,3,NULL),(25,6330479,'1993-09-18 00:00:00',4,2,12,2010,'M','N','VILA ITOUPAVA','BLUMENAU','SC','124241241116131441333414342124610138147',17601,'74',31.92,1,2,1),(25,6330487,'1989-03-22 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224161161116152411223341395124322216121',NULL,'9998',0.00,1,3,NULL),(25,6330495,'1993-03-28 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124244243417111431458934445124610127072',9091,'995',52.90,1,3,NULL),(25,6330509,'1990-04-25 00:00:00',2,15,12,2007,'M','N','SÃO JOÃO','TRÊS CACHOEIRAS','RS','120201201117141431443931415124141934042',21440,'9998',28.49,1,3,NULL),(25,6330517,'1959-05-26 00:00:00',4,1,12,1982,'M','N','CENTRO','FLORIANÓPOLIS','SC','224161168431151711238649295122331064187',NULL,'9998',0.00,1,3,NULL),(25,6330525,'1979-02-07 00:00:00',4,1,1,1998,'F','N','BARREIROS','S JOSÉ','SC','224243247246132411423854195124121746143',15857,'596',37.92,1,3,NULL),(25,6330533,'1988-04-23 00:00:00',4,1,12,2006,'F','N','BELA VISTA','S JOSÉ','SC','124244241216574431567513342124221422077',NULL,'1036',0.00,1,3,NULL),(25,6330541,'1992-11-18 00:00:00',4,7,12,2009,'M','N','MONTE BELO','JOAÇABA','SC','124241241117272411433524575112610162182',12215,'341',43.86,1,2,1),(25,6330550,'1990-09-13 00:00:00',4,1,7,2008,'M','N','BELA VISTA','S JOSÉ','SC','124244248337141411448613445123610167182',NULL,'307',0.00,3,3,NULL),(25,6330568,'1992-05-05 00:00:00',2,1,11,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241216372431458814575124233221142',NULL,'1050',30.65,1,3,NULL),(25,6330576,'1993-11-18 00:00:00',4,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124241241111131431436731371124610127012',NULL,'476',0.00,1,2,1),(25,6330584,'1992-04-17 00:00:00',4,4,12,2009,'M','N','SÃO CRISTÓVÃO','FAXINAL GUEDES','SC','124243241316161431366933495122610147052',NULL,'255',15.75,1,3,NULL),(25,6330592,'1982-07-14 00:00:00',2,15,12,2004,'M','N','SANGÃO MADALENA','MARACAJÁ','SC','124241247137161522524464256212610118047',NULL,'9999',0.00,1,2,1),(25,6330606,'1975-11-20 00:00:00',2,8,12,1993,'F','N','GLÓRIA','JOINVILLE','SC','524251161315571731113933475121142445187',9261,'9998',48.55,1,3,NULL),(25,6330614,'1969-02-02 00:00:00',2,1,10,1991,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','624241246136135431336443431334610134047',18295,'306',38.29,4,1,1),(25,6330622,'1991-12-05 00:00:00',4,5,12,2008,'F','N','PEDRO ZANIVAN','CRICIÚMA','SC','124243246217111411526831245124233268142',NULL,'995',0.00,1,3,NULL),(25,6330630,'1990-12-27 00:00:00',4,1,12,2008,'M','N','SANTA CATARINA','AMERICANA','SP','125252251217571431576613571124610137017',1360,'9998',71.09,1,3,NULL),(25,6330649,'1992-03-01 00:00:00',2,1,12,2008,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116164168215572441433624575124610162147',9447,'9998',52.29,1,3,NULL),(25,6330657,'1982-01-25 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243247236234411348723315124331017177',15504,'9999',42.89,1,3,NULL),(25,6330673,'1988-07-28 00:00:00',2,1,11,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242247326311431628621145124133264052',12148,'719',47.91,1,3,NULL),(25,6330681,'1993-03-16 00:00:00',4,6,12,2010,'F','N','DOM JOAQUIM','BRUSQUE','SC','124241241115271111426612142114610168187',NULL,'114',0.00,1,2,1),(25,6330703,'1994-04-12 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411458811572124610114052',19731,'1050',35.30,1,3,NULL),(25,6330711,'1990-07-31 00:00:00',2,1,12,2008,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241215313411386813575122130227112',11028,'270',45.70,1,3,NULL),(25,6330720,'1988-02-13 00:00:00',2,8,12,2005,'F','N','CENTRO','GUARAMIRIM','SC','116242241216572751367811594124610163092',4606,'441',58.54,1,3,NULL),(25,6330754,'1992-01-06 00:00:00',2,1,11,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124244241216373751656611445124130362072',6526,'723',57.65,4,3,NULL),(25,6330770,'1993-06-27 00:00:00',4,9,12,2010,'M','N','INTERIOR','RIO CAMPO','SC','124241241126161431438912345224610124052',17647,'651',33.62,1,2,1),(25,6330789,'1993-02-11 00:00:00',4,2,12,2010,'F','N','CENTRO','DR PEDRINHO','SC','124241241125161231437732575122610134017',NULL,'248',0.00,1,3,NULL),(25,6330797,'1987-07-13 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116153231576934475122231067047',6800,'267',57.10,1,2,1),(25,6330800,'1993-09-01 00:00:00',2,6,11,2010,'M','N','PRAIA BRAVA','ITAJAÍ','SC','124242241215111731669912575122610167062',NULL,'1038',30.44,1,3,NULL),(25,6330819,'1981-11-27 00:00:00',4,1,12,2002,'M','N','BARREIROS','S JOSÉ','SC','124201207326131421136544345134130768192',NULL,'9998',19.70,1,3,NULL),(25,6330835,'1991-09-30 00:00:00',4,9,12,2009,'M','N','POPULAR','LAGES','SC','124241241112371711327511312124610146042',17617,'512',39.55,1,2,1),(25,6330843,'1992-05-26 00:00:00',4,1,12,2009,'F','N','PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP','125252256235271431458833395124610132094',NULL,'9998',0.00,4,3,NULL),(25,6330851,'1991-06-11 00:00:00',2,1,12,2008,'M','N','CENTRO','CENT SUL','PR','116161161216571431546835572112610124057',8950,'9998',48.57,3,3,NULL),(25,6330860,'1992-12-06 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241416131411336634345124610122012',21778,'1048',22.52,1,3,NULL),(25,6330886,'1990-05-30 00:00:00',2,1,7,2009,'F','N','CENTRO','S JOSÉ','SC','124243242637372451425636572124231428182',18171,'9999',35.08,1,3,NULL),(25,6330908,'1992-05-26 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124243241315271422418415472224610167055',21583,'239',27.10,1,3,NULL),(25,6330916,'1982-03-28 00:00:00',4,15,12,2000,'M','N','CENTRO','ARARANGUÁ','SC','224241243147372421234379225133610118193',21322,'29',29.29,1,3,NULL),(25,6330924,'1990-10-25 00:00:00',2,1,12,2008,'F','N','CENTRO','URUBICI','SC','124242241215573431536723442124130424187',4773,'817',59.20,1,3,NULL),(25,6330932,'1994-02-14 00:00:00',2,1,12,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124244241215111431534614575124610134142',NULL,'1223',19.59,1,3,NULL),(25,6330940,'1991-01-03 00:00:00',2,15,12,2008,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241416273752448619435122123232195',NULL,'30',37.21,1,3,NULL),(25,6330959,'1994-02-25 00:00:00',4,2,11,2011,'M','S','VELHA','BLUMENAU','SC','124242241217151732479834175114610117042',NULL,'909',33.04,1,3,NULL),(25,6330967,'1993-12-29 00:00:00',4,16,11,2010,'F','N','CENTRO','STA CECÍLIA','SC','124243241415112731356732595124610136192',NULL,'1038',25.21,1,3,NULL),(25,6330975,'1994-08-18 00:00:00',4,1,12,2011,'F','S','SACO GRANDE','FLORIANÓPOLIS','SC','124242241115111441459913572124610118017',NULL,'271',46.68,1,3,NULL),(25,6330983,'1991-04-10 00:00:00',2,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124243241211131411448734572124610148192',21325,'995',29.27,1,3,NULL),(25,6331009,'1987-12-06 00:00:00',4,1,12,2006,'M','N','OURO FINO','BARRA GARÇAS','MT','111113111147151412528364575121610144191',NULL,'9998',12.65,1,3,NULL),(25,6331017,'1993-04-21 00:00:00',4,10,11,2010,'M','N','MONTE CASTELO','TUBARÃO','SC','124244248215112711348672275121610117182',5176,'807',58.72,1,3,NULL),(25,6331025,'1986-01-07 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124181181127131421221344442345610123047',NULL,'9998',0.00,4,2,1),(25,6331033,'1989-12-28 00:00:00',2,1,11,2008,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241115273431368713345124132767077',5571,'271',57.74,1,3,NULL),(25,6331041,'1992-09-04 00:00:00',4,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124242241215472731448923572112610133072',5978,'723',56.59,3,3,NULL),(25,6331050,'1993-02-09 00:00:00',4,8,12,2010,'M','N','CENTRO','GUARAMIRIM','SC','124133246217141211566611372124610137042',19149,'1061',36.65,1,3,NULL),(25,6331076,'1992-01-05 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215474231358923575114610114187',14392,'738',40.28,1,3,NULL),(25,6331084,'1993-07-04 00:00:00',2,1,12,2010,'M','N','JARDIM CARANDAI','BIGUAÇU','SC','124241241115371431434819375124610112192',NULL,'65',15.25,1,3,NULL),(25,6331092,'1989-11-25 00:00:00',2,9,11,2007,'F','N','CENTRO','S JOAQUIM','SC','124241241216572411526315375125610144195',NULL,'720',0.00,1,3,NULL),(25,6331106,'1993-01-13 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215373431379813575124230224143',9736,'270',51.44,1,3,NULL),(25,6331114,'1983-02-17 00:00:00',2,8,12,2000,'F','N','PETROPÓLIS','JOINVILLE','SC','124242241216134451635644342334131036077',NULL,'456',0.00,1,3,NULL),(25,6331122,'1979-12-12 00:00:00',4,1,9,2004,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242247346143421348821445122130738027',20954,'9999',31.29,1,3,NULL),(25,6331130,'1976-12-17 00:00:00',2,1,12,1996,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241316575431233629492124321932093',11666,'272',48.46,1,3,NULL),(25,6331149,'1983-01-28 00:00:00',2,1,11,2001,'F','N','FLORESTA','S JOSÉ','SC','624241241115111751226649415134333213097',21705,'680',25.12,1,2,1),(25,6331157,'1985-10-08 00:00:00',2,1,12,2002,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241241136134411114648384224130844147',NULL,'315',19.36,1,2,1),(25,6331173,'1992-02-22 00:00:00',4,2,12,2009,'F','N','VELHA','BLUMENAU','SC','124243241147271431336724345334610136187',15440,'77',42.99,1,3,NULL),(25,6331181,'1993-09-07 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111431436631575124610128182',18474,'1022',32.18,1,3,NULL),(25,6331190,'1985-12-13 00:00:00',2,16,12,2003,'M','N','RIO MORTO','INDAIAL','SC','124241241146131431533314242233610168042',20241,'123',33.94,4,3,NULL),(25,6331203,'1992-04-14 00:00:00',2,1,12,2010,'M','N','ARIRIÚ FORMIGA','PALHOÇA','SC','124242241215473431575713375114610137047',11944,'1011',45.55,1,3,NULL),(25,6331211,'1988-05-29 00:00:00',4,1,12,2005,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241216135431436414472124222923092',16907,'1098',40.76,1,3,NULL),(25,6331220,'1983-04-20 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124161247317151431251153472124610123187',NULL,'9999',28.78,1,3,NULL),(25,6331238,'1994-07-14 00:00:00',2,4,12,2010,'F','N','VERENA','STA CRUZ SUL','RS','120201201117471441223779595124610124107',9815,'9998',47.79,1,2,1),(25,6331270,'1979-05-12 00:00:00',4,1,12,1996,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124241241411154422125644442314330212092',17427,'272',39.88,1,3,NULL),(25,6331289,'1985-11-25 00:00:00',2,15,12,2003,'M','N','CENTRO','SOMBRIO','SC','124242241216372431558917385112333221042',12902,'362',41.25,1,3,NULL),(25,6331297,'1985-04-18 00:00:00',2,1,12,2002,'M','N','NOSSA SENHORA DE FÁT','S JOSÉ R PRETO','SP','125252251216571731337714575122610146172',2780,'9998',64.71,1,3,NULL),(25,6331300,'1993-09-03 00:00:00',4,4,11,2010,'M','N','REBOUCAS','CURITIBA','PR','116162161216411431258814175125610137052',13046,'9998',46.54,1,3,NULL),(25,6331343,'1991-10-26 00:00:00',4,10,11,2009,'F','N','HUMAITÁ','TUBARÃO','SC','124242241216472431336622475112610162197',NULL,'806',38.59,1,3,NULL),(25,6331351,'1993-02-18 00:00:00',2,1,11,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242247212111431248833435114610167045',21781,'9999',22.29,1,3,NULL),(25,6331360,'1991-08-15 00:00:00',2,1,11,2009,'F','N','SERTÃO','STO AMARO IMPERATRIZ','SC','124241241115372431429613575124610135092',16610,'772',37.64,2,1,1),(25,6331386,'1993-12-26 00:00:00',2,3,12,2010,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241136132231423932345122610112142',NULL,'712',0.00,1,2,1),(25,6331394,'1993-10-13 00:00:00',2,15,12,2010,'M','N','CAVERAZINHO','ARARANGUÁ','SC','118241241115211721443335372312621418062',NULL,'29',12.43,1,3,NULL),(25,6331408,'1990-01-09 00:00:00',4,15,12,2007,'M','N','HIDRÁULICA','LAJEADO','RS','120202201216471731467616471112343237017',385,'9998',78.37,1,3,NULL),(25,6331416,'1993-05-13 00:00:00',4,8,11,2010,'M','N','CENTRO','GUARAMIRIM','SC','124242241215151431445832375114610127042',19472,'441',30.30,1,3,NULL),(25,6331424,'1991-10-09 00:00:00',2,1,7,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241247336111731313329295234610127143',NULL,'977',12.35,1,3,NULL),(25,6331440,'1987-01-24 00:00:00',2,4,12,2004,'M','N','CENTRO','CPO ERÊ','SC','224241241126132411233343335332343267052',NULL,'136',0.00,1,2,1),(25,6331459,'1993-07-17 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431468832595122610128112',15082,'226',43.56,1,3,NULL),(25,6331483,'1992-06-12 00:00:00',4,5,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124244241411132431436724212122610123147',NULL,'226',37.53,1,3,NULL),(25,6331491,'1986-01-09 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124246248615161752617679297345610168197',19958,'9997',34.70,1,3,NULL),(25,6331505,'1992-07-21 00:00:00',4,1,12,2009,'M','N','CENTRO','BIGUAÇU','SC','124242248215472431366623571112610127062',9513,'63',49.88,1,3,NULL),(25,6331521,'1991-07-20 00:00:00',4,6,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241214574431447632595122610164187',6594,'1038',54.76,1,3,NULL),(25,6331530,'1993-08-19 00:00:00',2,10,12,2010,'F','N','CENTRO','GR PARÁ','SC','124241241145141431436636245122610124147',NULL,'330',21.01,1,2,1),(25,6331548,'1993-07-24 00:00:00',2,1,12,2009,'F','N','CENTRO','PAULO LOPES','SC','124241241127151431565913595122610118192',NULL,'607',0.00,1,2,1),(25,6331556,'1989-03-10 00:00:00',2,1,7,2007,'M','N','JARDIM ELIANA','ARARAQUARA','SP','125251257136241431424621445334610147012',NULL,'9998',0.00,1,2,1),(25,6331572,'1993-07-16 00:00:00',2,4,12,2010,'M','N','CENTRO','S JOSÉ CEDRO','SC','124241241116161431436632295325610124047',NULL,'740',26.10,1,2,1),(25,6331580,'1990-03-27 00:00:00',2,1,11,2007,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241216554431644832225124233237067',3036,'1022',64.19,1,3,NULL),(25,6331599,'1992-04-17 00:00:00',4,1,12,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124244241216131431426719175122610134097',NULL,'1075',31.28,2,1,2),(25,6331610,'1994-06-06 00:00:00',2,4,10,2010,'M','N','JARDIM RIVA','PRIMAVERA LESTE','MT','111112111217121431549811312121610167172',9831,'9998',48.92,1,3,NULL),(25,6331645,'1992-12-17 00:00:00',2,15,12,2010,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241248115371221425514591325610116172',14684,'29',39.36,4,2,1),(25,6331653,'1990-08-08 00:00:00',4,1,11,2008,'F','N','SANTO AMARO','S PAULO','SP','125252258216571431535831575112610162077',NULL,'9998',0.00,3,3,NULL),(25,6331670,'1990-10-25 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241136474431433639395122610168193',19401,'288',29.05,1,3,NULL),(25,6331696,'1993-09-11 00:00:00',2,1,12,2010,'F','N','PEDRA BRANCA','PALHOÇA','SC','124241241115271332643412472124610124185',NULL,'733',14.85,1,2,1),(25,6331700,'1991-07-10 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115143731326624495125230867075',NULL,'733',32.71,1,2,1),(25,6331718,'1992-01-20 00:00:00',4,8,7,2010,'M','N','COLINA DAS ESTRELAS','TATUÍ','SP','125252281416271431547831475122610164057',10760,'9998',46.30,1,3,NULL),(25,6331726,'1992-11-11 00:00:00',4,1,12,2010,'M','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112122121216111511478812575122610167082',2953,'9998',64.71,1,3,NULL),(25,6331742,'1978-03-12 00:00:00',4,1,12,1997,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124211241126131431123644145124143268024',15113,'9998',43.52,1,2,1),(25,6331750,'1991-05-16 00:00:00',4,1,12,2008,'F','N','JD ALVORADA','GUAIÇARA','SP','125252251215572431458839571125610118182',409,'9998',78.40,1,3,NULL),(25,6331769,'1991-02-12 00:00:00',2,15,12,2008,'M','N','COLONINHA','ARARANGUÁ','SC','124241241116271431323311245123610167047',NULL,'29',23.23,1,2,1),(25,6331777,'1987-03-21 00:00:00',2,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215154411434628385114130267047',10873,'273',49.86,1,3,NULL),(25,6331793,'1989-02-09 00:00:00',4,1,12,2006,'M','N','JARDIM TREMEMBÉ','S PAULO','SP','125253256416372411468632385114141462091',NULL,'9998',0.00,1,3,NULL),(25,6331815,'1992-11-21 00:00:00',2,1,7,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215151431348633476114231267117',10602,'1048',50.33,1,3,NULL),(25,6331823,'1979-10-13 00:00:00',4,1,7,2000,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243247132131421138824312124333266187',13612,'9999',45.76,2,1,2),(25,6331831,'1982-07-02 00:00:00',4,1,12,2000,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242246116575721257943435112132032047',5019,'306',60.80,1,3,NULL),(25,6331840,'1992-10-16 00:00:00',2,15,11,2009,'F','N','PARAGUAI','JACINTO MACHADO','SC','124242241215472431557512575121610131117',6957,'32',54.51,1,3,NULL),(25,6331858,'1992-07-23 00:00:00',2,8,12,2010,'M','N','CENTRO','TUPI PAULISTA','SP','125252251216111431456723575112610127037',NULL,'9998',0.00,1,3,NULL),(25,6331866,'1993-07-03 00:00:00',4,2,12,2010,'M','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124241241117141732433319345124610138052',11242,'79',46.51,1,2,1),(25,6331874,'1990-07-09 00:00:00',2,5,12,2007,'F','N','N S DE FATIMA','IÇARA','SC','124241241116272411431315344222610112147',12099,'1005',45.70,1,2,1),(25,6331882,'1991-12-20 00:00:00',2,1,12,2009,'M','N','CENTRO','STA MARIA','RS','120202201216371431549839214132610137042',15246,'9998',37.83,1,3,NULL),(25,6331890,'1993-02-09 00:00:00',2,1,12,2010,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124241241116371431435723575122610167057',NULL,'257',19.84,1,3,NULL),(25,6331904,'1985-03-03 00:00:00',2,1,6,2003,'F','N','BALNEARIO ESTREITO','FLORIANÓPOLIS','SC','124241247127153422123448385124610147187',NULL,'9999',0.00,1,2,1),(25,6331912,'1993-12-02 00:00:00',4,1,12,2010,'M','N','IPIRANGA','CPO GRANDE','MS','112122121216271411478812525122610137072',4230,'9998',60.11,1,3,NULL),(25,6331920,'1987-11-25 00:00:00',4,1,12,2004,'M','N','VILA GUARANI','S PAULO','SP','125252251211571431478914471115610167047',751,'9998',74.76,1,3,NULL),(25,6331947,'1990-12-02 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216275431438823475121133262117',7576,'270',55.65,1,3,NULL),(25,6331955,'1991-07-16 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241236153431366923395124222327052',5611,'1026',59.53,1,3,NULL),(25,6331963,'1988-10-01 00:00:00',2,7,12,2006,'M','N','CENTRO','TREZE TÍLIAS','SC','124244241116161731479913215122233227012',NULL,'539',19.97,4,1,2),(25,6331980,'1992-09-29 00:00:00',4,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124162161216112431243439572221222914047',NULL,'9998',0.00,1,3,NULL),(25,6331998,'1960-04-18 00:00:00',2,1,8,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','424241241126151411434441312114610164147',NULL,'9997',10.60,1,3,NULL),(25,6332005,'1993-05-15 00:00:00',2,8,12,2010,'M','N','JOÃO COSTA','JOINVILLE','SC','124241241134131431423319193124610127047',17684,'472',35.57,1,3,NULL),(25,6332013,'1991-12-06 00:00:00',4,1,12,2008,'M','N','VILA BELMIRO','SANTOS','SP','125252251237571231436833475122243237054',NULL,'9998',0.00,3,3,NULL),(25,6332021,'1989-05-10 00:00:00',4,8,11,2006,'M','N','BOA VISTA','JOINVILLE','SC','124241241116131431225544442224610128187',15791,'757',36.66,1,2,1),(25,6332030,'1992-02-11 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241215111531236512575122610122112',21426,'1022',22.41,1,3,NULL),(25,6332048,'1993-05-29 00:00:00',2,1,12,2010,'M','N','ESTREITO','ALFREDO WAGNER','SC','124241241127132431433612345122610137182',NULL,'13',28.68,1,2,1),(25,6332056,'1992-04-06 00:00:00',4,7,12,2010,'M','N','CENTRO','SALTO VELOSO','SC','124243241116132411336862315122231937052',18433,'1113',38.06,1,3,NULL),(25,6332064,'1993-05-30 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241248127151431436513575124610167047',21109,'283',30.60,1,3,NULL),(25,6332072,'1993-07-12 00:00:00',4,16,12,2010,'F','N','UNIVERSITÁRIO','CURITIBANOS','SC','124241241117371431213369571122610127147',19634,'240',28.54,1,3,NULL),(25,6332080,'1991-02-15 00:00:00',2,1,12,2008,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215371751227529576114130317147',NULL,'1022',24.66,1,3,NULL),(25,6332099,'1993-09-17 00:00:00',2,1,11,2010,'M','N','CENTRO','ERECHIM','RS','120202201216111431458833575122610127047',9557,'9998',47.55,1,3,NULL),(25,6332102,'1989-10-27 00:00:00',2,1,2,2010,'M','N','CENTRO','BIGUAÇU','SC','224243247334141431636314212134610162047',NULL,'9999',13.92,3,3,NULL),(25,6332110,'1992-10-06 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241217272431548611475122610165142',18395,'1022',38.11,1,3,NULL),(25,6332129,'1972-04-30 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124246248615141751615679296345640168197',NULL,'9997',0.00,3,3,NULL),(25,6332137,'1988-02-16 00:00:00',4,1,12,2005,'M','N','CRIMÉIA OESTE','GOIÂNIA','GO','109091091116131741226679292124241965147',NULL,'9998',30.95,1,2,1),(25,6332145,'1965-07-11 00:00:00',2,1,12,2000,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224161241127133431633351112114610161097',19624,'307',35.51,1,2,1),(25,6332153,'1994-09-21 00:00:00',4,1,2,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241115131431446833575124610167057',NULL,'267',20.26,1,3,NULL),(25,6332161,'1976-09-28 00:00:00',4,1,11,1993,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241216153721556623315124322034147',10987,'266',49.70,1,3,NULL),(25,6332170,'1983-12-27 00:00:00',4,1,5,2009,'M','N','FORQUILHAS','S JOSÉ','SC','124243247347371441323343136124610168063',NULL,'9999',37.30,1,3,NULL),(25,6332188,'1989-05-11 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124161241117131421123316245334610125077',NULL,'595',13.91,1,3,NULL),(25,6332196,'1992-07-06 00:00:00',2,1,12,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124241241115131731536334575114610127057',19716,'733',35.33,1,2,1),(25,6332218,'1988-06-25 00:00:00',4,6,11,2005,'M','N','FANNY','CURITIBA','PR','116162161215471411547732213122141444117',3668,'9998',61.37,1,3,NULL),(25,6332226,'1991-09-09 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136471431226822275124610126127',NULL,'307',38.56,1,2,1),(25,6332242,'1987-12-07 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124246248635131752616679296345610168193',NULL,'9997',26.53,1,3,NULL),(25,6332269,'1991-06-11 00:00:00',4,3,11,2008,'F','N','CENTRO','JOAÇABA','SC','124242241215571431546614575112610167142',19097,'446',36.76,1,3,NULL),(25,6332277,'1993-12-17 00:00:00',2,1,12,2010,'M','N','SAO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241135161731326631575121610117145',NULL,'941',19.66,1,2,1),(25,6332285,'1990-05-27 00:00:00',2,1,12,2007,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241116273431554411575122221417042',8388,'306',50.24,1,2,1),(25,6332293,'1975-09-25 00:00:00',4,1,12,1992,'M','N','TRINDADE','FLORIANÓPOLIS','SC','524242241117152431169913425132331224182',NULL,'307',0.00,1,3,NULL),(25,6332307,'1991-05-11 00:00:00',2,1,12,2009,'F','N','BAIRRO IPIRANGA','S JOSÉ','SC','124241241111473711123624345114610137197',21198,'307',30.07,2,1,1),(25,6332315,'1985-03-23 00:00:00',4,1,11,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124282241216212422547811345134130234095',6622,'486',57.44,1,3,NULL),(25,6332323,'1994-05-25 00:00:00',4,10,12,2010,'F','N','CENTRO','GR PARÁ','SC','124244241215151431434811345124610162172',4220,'950',62.75,1,3,NULL),(25,6332331,'1990-11-06 00:00:00',1,8,12,2008,'F','N','AMÉRICA','JOINVILLE','SC','124252258116141431458919492124610126083',4293,'9998',62.56,1,3,NULL),(25,6332340,'1994-04-07 00:00:00',4,4,12,2010,'M','N','CENTRO','FREDERICO WESTPHALEN','RS','120201201415111431456923372122610131147',15903,'9998',36.93,1,3,NULL),(25,6332358,'1965-01-16 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624246248635171451614649596345610168187',NULL,'9997',34.39,1,3,NULL),(25,6332366,'1992-09-11 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','116162166437271722366613272114610132091',20847,'9998',31.73,1,3,NULL),(25,6332374,'1992-06-20 00:00:00',4,6,12,2009,'F','N','FAZENDA','ITAJAÍ','SC','124284241215372431427763245114610123147',16454,'388',36.74,3,3,NULL),(25,6332382,'1972-08-19 00:00:00',2,1,11,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224241247225131411332249392114610137045',NULL,'270',29.36,1,3,NULL),(25,6332390,'1987-01-26 00:00:00',4,1,12,2004,'F','N','PASSA VINTE','PALHOÇA','SC','124241241136372431535311385122133222042',14390,'733',40.98,1,3,NULL),(25,6332404,'1974-05-15 00:00:00',4,1,12,1993,'M','N','CENTRO','GUARÁ','SP','125253251335142411478812415132341034092',NULL,'9998',0.00,1,3,NULL),(25,6332412,'1992-11-17 00:00:00',4,1,12,2009,'F','N','CENTRO','S BENTO SUL','SC','124241241116271431426612245112610121197',NULL,'697',24.41,1,2,1),(25,6332420,'1988-11-09 00:00:00',4,8,12,2005,'F','N','BANANAL DO SUL','GUARAMIRIM','SC','124241241136131441335314245222233224052',NULL,'609',0.00,1,2,1),(25,6332439,'1982-10-01 00:00:00',2,17,10,2010,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','224241248115131521314455112344610126017',NULL,'153',7.51,1,3,NULL),(25,6332447,'1990-06-14 00:00:00',2,3,12,2007,'F','N','JD DOURADOS','MARINGÁ','PR','116162161215571731443532571122610143186',1375,'9998',69.68,1,3,NULL),(25,6332463,'1992-09-22 00:00:00',2,10,12,2009,'M','N','CENTRO','S LUDGERO','SC','124242241215112431356812492122233227041',NULL,'950',0.00,1,3,NULL),(25,6332498,'1971-03-30 00:00:00',2,9,12,2007,'M','N','VILA GÓES','BOCAÍNA SUL','SC','624246248615171751615579296345640168197',NULL,'9997',14.19,1,3,NULL),(25,6332501,'1991-10-14 00:00:00',4,8,6,2010,'M','N','BUCAREIN','JOINVILLE','SC','124242281415371431469832345122610127041',16104,'9998',41.99,1,3,NULL),(25,6332510,'1988-09-01 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241111342431347613235124232141015',NULL,'307',0.00,1,2,1),(25,6332528,'1992-08-07 00:00:00',2,1,12,2009,'F','N','SANTA LUZIA','CAPÃO CANOA','RS','120201201216471431335823275124610124057',13901,'9998',45.32,1,3,NULL),(25,6332579,'1992-10-18 00:00:00',2,8,11,2009,'M','N','SANTA CANDIDA','CURITIBA','PR','616163161311471531558713595124610164017',NULL,'9998',0.00,1,3,NULL),(25,6332587,'1993-04-30 00:00:00',4,2,10,2010,'F','N','ÁGUA VERDE','CURITIBA','PR','116162168216171412458614241122610164147',3672,'9998',62.17,1,3,NULL),(25,6332595,'1990-05-31 00:00:00',4,1,12,2007,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241217153411378913335124231066043',NULL,'1134',25.95,1,3,NULL),(25,6332609,'1994-09-03 00:00:00',2,4,12,2010,'F','N','INTERIOR','VARGEÃO','SC','124241241136111431423415572224610126041',10799,'824',45.60,1,2,1),(25,6332617,'1993-01-29 00:00:00',4,8,11,2010,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111432558534226242610167047',20482,'442',33.21,1,3,NULL),(25,6332625,'1971-05-21 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124246248625171751616679296345610168197',NULL,'9997',26.39,1,3,NULL),(25,6332633,'1982-06-16 00:00:00',2,1,12,1999,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241117575421446623345124130227157',11296,'276',45.80,1,2,1),(25,6332650,'1956-05-22 00:00:00',2,1,12,1975,'M','N','ESTREITO','FLORIANÓPOLIS','SC','524242241216515421144443432122322617042',NULL,'262',0.00,1,3,NULL),(25,6332668,'1992-01-03 00:00:00',1,2,12,2009,'F','N','CENTRO','POMERODE','SC','124242241216132431438831475122222933092',4871,'624',59.25,1,3,NULL),(25,6332676,'1992-01-03 00:00:00',4,3,12,2009,'M','N','MONTE ALEGRE','CAMBORIÚ','SC','124241248116153431453319445124610162142',NULL,'129',0.00,1,2,1),(25,6332684,'1993-02-22 00:00:00',2,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215121422444519592114610127052',8147,'1022',52.61,1,3,NULL),(25,6332692,'1953-02-09 00:00:00',4,1,12,1974,'M','N','TRINDADE','FLORIANÓPOLIS','SC','524241243111151441371113331312132763095',20385,'9997',33.47,1,3,NULL),(25,6332714,'1991-03-29 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241216142431446514445124130237042',21442,'1049',22.33,3,3,NULL),(25,6332722,'1994-03-02 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124281241215131431546611575124610127182',7618,'1022',51.55,1,3,NULL),(25,6332730,'1989-02-04 00:00:00',4,1,12,2006,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241317272431545613432232611034147',NULL,'9997',33.57,1,3,NULL),(25,6332749,'1990-06-06 00:00:00',4,17,12,2007,'M','N','CENTRO','QTA SOL','PR','116161161116152431456915575122242464187',NULL,'9998',0.00,1,2,1),(25,6332757,'1990-05-29 00:00:00',2,4,12,2007,'F','N','MARIA GORETTI','CHAPECÓ','SC','124114161217131431548519172124610164017',10986,'9998',45.07,1,3,NULL),(25,6332765,'1992-11-28 00:00:00',2,1,12,2009,'M','N','FLORESTA','S JOSÉ','SC','124241241215472431326624192114610132091',4215,'262',62.76,1,3,NULL),(25,6332773,'1985-12-02 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124251251146133411536619285324221666173',15698,'9998',42.61,1,2,1),(25,6332781,'1992-12-22 00:00:00',4,6,12,2010,'M','N','CENTRO','BRUSQUE','SC','124242241217151431458732146122610164182',NULL,'1090',0.00,1,3,NULL),(25,6332790,'1987-06-11 00:00:00',2,16,12,2006,'F','N','CENTRO','CURITIBANOS','SC','124241247136473721126644345324610162057',11671,'9999',43.23,1,3,NULL),(25,6332803,'1993-08-10 00:00:00',2,6,12,2010,'F','N','CASA BRANCA','ITAPEMA','SC','124241241337161411325911385124610113142',NULL,'406',13.24,1,3,NULL),(25,6332811,'1988-09-03 00:00:00',2,1,12,2005,'F','N','VILA MOEMA','TUBARÃO','SC','124242241212575431588514572124132613182',12365,'807',46.56,1,3,NULL),(25,6332820,'1992-07-27 00:00:00',4,1,12,2010,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241115151211543319372214610153147',NULL,'307',32.87,1,2,1),(25,6332838,'1985-04-20 00:00:00',2,1,11,2002,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124251251116131411116614385314610118187',10399,'9998',50.65,1,2,1),(25,6332846,'1993-06-25 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241248127131431438419397234610118192',20874,'283',28.19,2,1,1),(25,6332854,'1986-10-02 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124162167211132452462923215121610167062',NULL,'9998',18.69,1,3,NULL),(25,6332862,'1991-06-20 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124242241215472431458921475111610167052',4007,'499',63.24,4,3,NULL),(25,6332870,'1987-03-24 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201247336271731223574385124610144047',NULL,'9999',15.92,1,3,NULL),(25,6332889,'1992-02-28 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','125252251217472431469934575122610164132',NULL,'9998',28.79,1,3,NULL),(25,6332897,'1992-03-13 00:00:00',2,1,12,2008,'F','N','CRUZEIRO','PELOTAS','RS','120202201117131731427823572344610164054',NULL,'9998',33.23,1,3,NULL),(25,6332900,'1990-11-25 00:00:00',4,1,11,2007,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124161161111131411216649441324610146142',19045,'9997',36.85,4,2,1),(25,6332919,'1993-05-21 00:00:00',2,1,11,2009,'F','N','LOURO','ANTÔNIO CARLOS','SC','124241241116272531533423572224610137077',11953,'21',44.06,1,2,1),(25,6332927,'1990-10-01 00:00:00',2,1,12,2008,'F','N','REAL PARK','S JOSÉ','SC','124241241112111411623314292344610123043',20167,'739',34.16,1,3,NULL),(25,6332935,'1991-06-05 00:00:00',4,1,12,2009,'F','N','SANTA EFIGÊNIA','BELO HORIZONTE','MG','113132131417571431666823571124610164056',5025,'9998',58.06,4,3,NULL),(25,6332943,'1968-12-19 00:00:00',4,1,11,1988,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224161167226132441634459383124232824097',17318,'9998',40.07,1,3,NULL),(25,6332951,'1993-04-29 00:00:00',4,10,12,2010,'M','N','CENTRO','TUBARÃO','SC','124243247217151552554632272112610127117',NULL,'9999',16.92,1,3,NULL),(25,6332960,'1990-11-19 00:00:00',4,8,11,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242241215473431369722575122121434062',18876,'486',37.18,3,3,NULL),(25,6332978,'1993-01-16 00:00:00',2,1,12,2009,'F','N','SÃO JOSÉ','S JOSÉ','SC','124244241215372431437614345124610137057',15362,'1075',39.31,1,3,NULL),(25,6332994,'1988-02-25 00:00:00',2,3,11,2006,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215575431446632475125610117047',15784,'1017',38.43,1,3,NULL),(25,6333001,'1990-07-17 00:00:00',4,1,11,2008,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215373441366612275113132432182',3478,'270',64.61,1,3,NULL),(25,6333028,'1991-03-03 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124243241137312411427611282224130822042',6623,'734',57.43,4,3,NULL),(25,6333044,'1979-11-18 00:00:00',4,1,12,1998,'F','N','VILA ODETE','S BERNARDO CAMPO','SP','125254256116271411336673495122341366097',NULL,'9998',38.87,3,3,NULL),(25,6333052,'1993-09-20 00:00:00',2,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241215131431348924576114610128157',13632,'1022',41.64,1,3,NULL),(25,6333060,'1993-04-02 00:00:00',4,1,12,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241115111731426614175124610117042',NULL,'728',0.00,1,2,1),(25,6333079,'1994-05-02 00:00:00',4,1,12,2011,'M','S','VILA AURORA','DOURADOS','MS','112122121215371431569913275112610127152',NULL,'9998',41.36,1,3,NULL),(25,6333087,'1993-03-12 00:00:00',2,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241115371431436711275114610114182',NULL,'307',21.48,1,2,1),(25,6333095,'1992-11-26 00:00:00',2,1,12,2009,'M','N','CANISIANAS','IRATI','PR','116162161216411231338629472122610117047',10517,'9998',50.45,1,3,NULL),(25,6333109,'1993-11-05 00:00:00',2,1,12,2011,'F','S','FORQUILHAS','S JOSÉ','SC','124242241117111431369713577124610167147',NULL,'739',41.22,1,3,NULL),(25,6333117,'1989-03-04 00:00:00',4,1,12,2007,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241115373431456933592124231824017',13037,'267',46.55,1,3,NULL);
INSERT INTO candidato VALUES (25,6333125,'1986-10-19 00:00:00',4,8,12,2003,'F','N','ZONA QUATRO','MARINGÁ','PR','116162161216575431227821574142610137097',5389,'9998',56.87,1,3,NULL),(25,6333133,'1992-04-23 00:00:00',2,9,12,2009,'M','N','UNIVERSITÁRIO','LAGES','SC','124241241216473421437634575122610168172',8409,'515',51.66,1,3,NULL),(25,6333141,'1991-02-10 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241211373331429613481124610116143',NULL,'269',35.09,1,3,NULL),(25,6333150,'1985-05-13 00:00:00',4,1,12,2004,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241416274431578413415112121116122',4033,'1036',63.18,1,3,NULL),(25,6333168,'1992-09-24 00:00:00',4,1,6,2010,'F','N','MORRO ALTO','ITUPEVA','SP','125252281416471411569914594112610114123',4431,'9998',58.77,1,3,NULL),(25,6333176,'1992-08-15 00:00:00',4,10,12,2009,'F','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124241241146131331336614275124231514147',19641,'332',29.83,1,2,1),(25,6333184,'1991-10-07 00:00:00',2,8,12,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124242248215471451458732575112610167142',NULL,'1016',0.00,1,3,NULL),(25,6333192,'1989-02-09 00:00:00',4,1,12,2006,'M','N','ROÇADO','S JOSÉ','SC','124241241126141431123444145123130247047',NULL,'601',9.79,1,2,1),(25,6333206,'1992-12-28 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241317372431556634575114221667015',4850,'1022',60.37,1,3,NULL),(25,6333214,'1994-08-29 00:00:00',4,1,12,2011,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241211111731269833572122610166042',NULL,'270',31.75,1,3,NULL),(25,6333230,'1990-12-10 00:00:00',4,1,12,2008,'M','N','GLORIA','JOINVILLE','SC','124242241213473351489933472112121764175',708,'9997',75.90,1,3,NULL),(25,6333249,'1973-07-21 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624246248645171752616679297345622968197',6311,'9997',58.11,1,3,NULL),(25,6333257,'1992-07-13 00:00:00',4,1,11,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217272431259924275114610127055',18416,'663',32.30,1,3,NULL),(25,6333265,'1993-06-30 00:00:00',2,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124241241135271431436734245124610126147',14986,'592',38.31,1,2,1),(25,6333273,'1982-11-26 00:00:00',2,1,11,2000,'M','N','KOBRASOL','S JOSÉ','SC','124244241216133331236413485114130617022',NULL,'1076',0.00,1,3,NULL),(25,6333290,'1993-10-27 00:00:00',2,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124242241215111431346611575114610167047',17914,'1011',39.01,1,3,NULL),(25,6333303,'1993-02-22 00:00:00',4,10,12,2010,'M','N','MAR GROSSO','LAGUNA','SC','124242241225111431536612375121610167147',19228,'524',30.93,1,3,NULL),(25,6333311,'1991-12-06 00:00:00',3,1,11,2009,'F','N','PIATÃ','SALVADOR','BA','105052051415471431369923495124242162117',NULL,'9998',0.00,1,3,NULL),(25,6333320,'1983-07-17 00:00:00',4,1,12,2001,'M','N','BARREIROS','S JOSÉ','SC','124241241317135421228344445122222262012',19960,'9997',34.70,1,3,NULL),(25,6333338,'1993-09-25 00:00:00',4,10,11,2010,'M','N','CENTRO','JAGUARUNA','SC','124241246217141431358923575114233217182',14489,'1120',44.47,1,3,NULL),(25,6333346,'1987-05-03 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124112111216134751426644245124131962097',12920,'9998',46.70,1,3,NULL),(25,6333354,'1983-08-14 00:00:00',4,1,12,2000,'F','N','BAIRRO ALTO','CURITIBA','PR','116162161116371431233344445124343222097',3040,'9998',62.69,1,3,NULL),(25,6333362,'1990-11-19 00:00:00',2,4,12,2007,'F','N','JARDIM LA SALLE','TOLEDO','PR','116162161216571731558811571122610163092',NULL,'9998',0.00,4,3,NULL),(25,6333370,'1990-12-15 00:00:00',2,1,12,2007,'M','N','POÇO FUNDO','STO AMARO IMPERATRIZ','SC','124241241216474431568913575122121526042',NULL,'774',0.00,1,3,NULL),(25,6333389,'1993-11-26 00:00:00',2,3,12,2010,'F','N','CENTRO','ITAPEMA','SC','124241241117131231548413275122610114077',NULL,'406',17.80,1,3,NULL),(25,6333397,'1992-04-08 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241248216111431328624595124610121097',NULL,'1022',31.23,1,3,NULL),(25,6333400,'1991-07-16 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241436372711329824385114610166077',11326,'307',45.62,1,3,NULL),(25,6333419,'1993-08-22 00:00:00',4,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215111431336614575124610128147',16351,'300',37.90,1,3,NULL),(25,6333427,'1992-01-25 00:00:00',2,1,11,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241245111441224624575124610166042',NULL,'262',38.10,1,3,NULL),(25,6333443,'1988-10-30 00:00:00',2,1,12,2005,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241117133431336613285124230826017',18801,'733',37.35,1,2,1),(25,6333451,'1993-01-06 00:00:00',4,6,12,2010,'F','N','CORDEIROS','ITAJAÍ','SC','124243241114271731314429594124610128147',14853,'396',42.78,1,3,NULL),(25,6333460,'1989-05-10 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241212574451358711575124233134091',NULL,'270',0.00,1,3,NULL),(25,6333478,'1985-11-26 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624246248635171752615679297345610168197',NULL,'9997',0.00,1,3,NULL),(25,6333486,'1992-01-27 00:00:00',2,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431329814442115610114142',19858,'724',34.97,1,3,NULL),(25,6333494,'1992-04-28 00:00:00',4,8,12,2009,'M','N','CENTRO','JOINVILLE','SC','124242244211473111588811572111122613162',17474,'457',39.79,1,3,NULL),(25,6333516,'1994-07-07 00:00:00',2,5,12,2011,'F','S','RIO MAIOR','URUSSANGA','SC','124241248215321231443514275122610134147',NULL,'226',36.47,1,3,NULL),(25,6333540,'1993-12-31 00:00:00',4,5,11,2010,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241212111411438819575121610117182',NULL,'226',0.00,1,3,NULL),(25,6333567,'1993-01-07 00:00:00',4,10,11,2010,'F','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124244241215112411464632275122610163182',2050,'807',67.26,1,3,NULL),(25,6333575,'1986-03-06 00:00:00',4,1,12,2004,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243246136132711124644245124221712117',17199,'228',40.29,1,3,NULL),(25,6333583,'1984-01-29 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216152711269742425122330261192',10394,'269',50.66,1,3,NULL),(25,6333605,'1993-04-29 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215112711448814475122610136097',NULL,'226',0.00,1,3,NULL),(25,6333613,'1983-01-16 00:00:00',2,1,12,2000,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241216155451345619245124230261077',14447,'590',44.53,1,3,NULL),(25,6333621,'1993-02-27 00:00:00',4,1,11,2010,'F','N','CENTRO','TANGARÁ','SC','124244241214271731447812575124610134092',14890,'829',39.21,1,3,NULL),(25,6333630,'1992-06-01 00:00:00',4,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215372411589912422122131427042',7595,'262',55.63,1,3,NULL),(25,6333648,'1991-09-05 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241235373411548632575122610137047',11699,'262',48.60,1,3,NULL),(25,6333664,'1993-08-10 00:00:00',2,1,12,2010,'F','N','BESENELLO','NOVA TRENTO','SC','124243241125111411426613295122610126142',12769,'574',43.26,4,3,NULL),(25,6333672,'1993-06-30 00:00:00',4,1,12,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','120203201217131431438923575125610168017',11455,'9998',44.69,1,3,NULL),(25,6333680,'1994-05-08 00:00:00',2,9,12,2010,'F','N','CENTRO','ANITA GARIBALDI','SC','124241248115371431656911575122610114052',NULL,'18',24.50,1,2,1),(25,6333699,'1993-02-10 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241335271731556619282124610112185',4644,'267',60.47,1,3,NULL),(25,6333702,'1993-02-20 00:00:00',4,10,12,2009,'F','N','BARBACENA','LAGUNA','SC','124241241135141431423331345124230847147',NULL,'521',0.00,4,2,1),(25,6333710,'1992-10-06 00:00:00',4,1,12,2009,'F','N','SANTA MARIA','S BONIFÁCIO','SC','124241241126161731318619572122610138187',NULL,'702',26.80,1,3,NULL),(25,6333729,'1993-06-27 00:00:00',2,10,12,2010,'F','N','VILA NOVA','IMBITUBA','SC','124241241345111431535934575122610134142',NULL,'524',33.78,1,3,NULL),(25,6333737,'1976-10-15 00:00:00',2,1,12,1995,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241126145431653373235132121167043',11845,'279',48.42,1,2,1),(25,6333745,'1992-06-07 00:00:00',2,1,12,2009,'M','N','PAPAGAIOS','CANELINHA','SC','124241241146273431435714245122610122092',NULL,'142',24.94,4,2,1),(25,6333770,'1993-01-26 00:00:00',2,4,12,2010,'M','N','CENTRO','CÂNDIDO GODÓI','RS','120201201116151731336639435122610127057',19440,'9998',29.41,1,2,1),(25,6333788,'1988-03-16 00:00:00',2,1,11,2005,'M','N','FABRICIO','STO AMARO IMPERATRIZ','SC','124241241123333421433614245123610124142',16051,'941',42.05,1,2,1),(25,6333796,'1986-02-04 00:00:00',4,1,12,2003,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124161161146374431123644342134610132177',13366,'9998',41.15,4,2,1),(25,6333800,'1993-08-09 00:00:00',4,4,12,2010,'F','N','SEMINÁRIO','CHAPECÓ','SC','124242241216471711488833586122610115142',944,'185',73.76,1,3,NULL),(25,6333818,'1994-03-07 00:00:00',4,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241146131431533724275114610134147',NULL,'730',26.24,4,3,NULL),(25,6333826,'1964-11-07 00:00:00',2,1,12,1980,'F','N','JARDIM CIDADE','S JOSÉ','SC','224241241316135711437351342124330266187',14707,'260',44.14,2,1,2),(25,6333834,'1991-10-29 00:00:00',4,2,12,2009,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215372731458832575114610164187',7019,'855',56.71,1,3,NULL),(25,6333842,'1990-09-08 00:00:00',4,4,12,2007,'M','N','SAIC','CHAPECÓ','SC','124241241116151431644632475122131434147',6200,'169',58.32,1,2,1),(25,6333850,'1991-10-18 00:00:00',1,3,12,2008,'F','N','CENTRO','MOREIRA SALES','PR','116161161215471411466631575122610132182',6560,'9998',55.19,1,3,NULL),(25,6333869,'1989-05-07 00:00:00',2,5,12,2007,'M','N','CIDADE MINEIRA VELHA','CRICIÚMA','SC','124241241145573441463532175122610116147',3035,'223',64.84,4,2,1),(25,6333885,'1992-11-07 00:00:00',4,2,12,2010,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215112431349911575122610164142',11581,'71',45.39,1,3,NULL),(25,6333893,'1994-03-21 00:00:00',4,4,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116162161217271731448631575122610144117',11168,'9998',44.79,1,3,NULL),(25,6333907,'1987-05-12 00:00:00',4,5,12,2004,'F','N','CENTRO','CRICIÚMA','SC','124241241127132411124448485124233212182',NULL,'641',0.00,1,3,NULL),(25,6333915,'1993-09-14 00:00:00',4,10,11,2010,'F','N','HUMAITA','TUBARÃO','SC','124243241215111431468513435122610125145',NULL,'806',0.00,1,3,NULL),(25,6333931,'1989-11-08 00:00:00',2,2,12,2006,'F','N','CENTRO','GASPAR','SC','124244241216135431435531592114222363097',8394,'86',50.70,1,3,NULL),(25,6333940,'1993-12-18 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215271531533619115124610125072',15048,'1118',38.85,1,3,NULL),(25,6333958,'1978-10-28 00:00:00',4,1,12,1994,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124252251216132231438719385124333222142',NULL,'9998',34.04,1,3,NULL),(25,6333974,'1992-05-02 00:00:00',2,1,11,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241415111431449613575124610127117',7069,'300',55.02,4,3,NULL),(25,6333990,'1993-11-06 00:00:00',4,5,11,2010,'F','N','MORRO DA GLÓRIA','URUSSANGA','SC','124243241215111731336914575124610124142',11037,'226',49.61,1,3,NULL),(25,6334008,'1992-05-07 00:00:00',4,8,12,2010,'M','N','SUMARÉ','RIO SUL','SC','124244241146141431435414242123610127017',NULL,'864',0.00,1,3,NULL),(25,6334016,'1993-07-09 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241315121431436815575124610137147',NULL,'44',0.00,1,3,NULL),(25,6334024,'1993-05-16 00:00:00',2,7,12,2010,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','124242241215111431548823575122610167072',NULL,'962',20.95,1,3,NULL),(25,6334032,'1993-08-18 00:00:00',2,15,12,2010,'F','N','IGRA NORTE','TORRES','RS','120203201215131431334916345122610127057',9106,'9998',48.73,1,3,NULL),(25,6334040,'1994-11-10 00:00:00',2,10,11,2010,'F','N','SANTO ANTÔNIO','TUBARÃO','SC','124242241215131411327814275124610166097',NULL,'806',21.71,1,3,NULL),(25,6334059,'1993-01-06 00:00:00',2,15,12,2010,'M','N','MORRO DO PORTUGUES','STA ROSA SUL','SC','124241241137141231435514342214610127052',21770,'689',20.31,1,2,1),(25,6334075,'1993-02-04 00:00:00',4,1,12,2010,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117151431426613475124610122057',16041,'772',37.01,1,2,1),(25,6334083,'1990-01-27 00:00:00',4,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241115373411248611415124130428191',NULL,'1022',NULL,1,3,NULL),(25,6334091,'1987-06-29 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216275431338521475124131032042',5663,'229',57.95,1,3,NULL),(25,6334105,'1991-05-16 00:00:00',4,1,12,2008,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125112111217571431189813496112610168047',NULL,'9998',0.00,1,3,NULL),(25,6334113,'1994-11-19 00:00:00',4,1,12,2011,'M','S','AREIAS','S JOSÉ','SC','124243241217151432366614575122610128142',NULL,'1078',45.50,1,3,NULL),(25,6334121,'1993-06-07 00:00:00',4,3,12,2010,'F','N','VÁRZEA','ITAPEMA','SC','124241241115271431325714385124610123147',13090,'406',41.35,4,2,1),(25,6334130,'1991-11-14 00:00:00',2,8,12,2008,'F','N','CENTRO','JACUPIRANGA','SP','125252161215571431336823574124610122187',495,'9998',77.43,4,3,NULL),(25,6334148,'1992-08-30 00:00:00',4,8,11,2010,'M','N','JARDIM GARUVA','GARUVA','SC','124241241141151741647633331121610142067',8419,'923',51.00,1,2,1),(25,6334156,'1994-01-13 00:00:00',2,9,12,2010,'F','N','SAGRADO C DE JESUS','LAGES','SC','124241241117371731438814572122610143187',12062,'935',44.34,1,2,1),(25,6334164,'1993-07-19 00:00:00',4,1,12,2011,'M','S','CACUPÉ','FLORIANÓPOLIS','SC','124241241137111731328814472124610134017',NULL,'267',45.53,1,3,NULL),(25,6334180,'1969-05-27 00:00:00',4,1,7,1990,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244247446134431333629295122121834057',17837,'270',39.16,1,3,NULL),(25,6334199,'1989-11-03 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241212375431466913572114610137122',11258,'723',44.97,1,3,NULL),(25,6334202,'1987-10-26 00:00:00',2,1,12,2004,'M','N','IPIRANGA','S JOSÉ','SC','224163241311112711229941311221121438177',11107,'270',49.51,1,3,NULL),(25,6334210,'1993-05-05 00:00:00',2,7,11,2010,'F','N','CENTRO','JOAÇABA','SC','124241241417131431427331574115610125147',NULL,'445',39.26,1,3,NULL),(25,6334229,'1973-02-26 00:00:00',2,1,12,1991,'F','N','TRINDADE','FLORIANÓPOLIS','SC','524241244137275421435339285124141433093',NULL,'306',29.96,1,2,1),(25,6334245,'1991-05-11 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215374431589869575112121167082',2952,'270',64.81,1,3,NULL),(25,6334253,'1992-07-27 00:00:00',4,1,12,2009,'M','N','REAL PARQUE','S JOSÉ','SC','124242241217372431566634575124610127055',1036,'976',73.60,1,3,NULL),(25,6334261,'1994-09-09 00:00:00',4,1,11,2010,'F','N','VISTA ALEGRE','CONCÓRDIA','SC','124242243215111431456913375122610133012',11628,'1000',43.61,1,3,NULL),(25,6334270,'1993-08-03 00:00:00',4,2,11,2010,'F','N','CENTRO','GUABIRUBA','SC','124243241215151431438879345122610167057',4271,'1123',60.53,1,3,NULL),(25,6334296,'1989-02-08 00:00:00',2,1,12,2006,'M','N','PARQUE SAO JORGE','PALMITAL','SP','125254251216371431325824485112140224057',6090,'9998',55.63,1,3,NULL),(25,6334300,'1992-08-03 00:00:00',2,1,12,2010,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241117372421426611372124230826147',10346,'64',50.75,1,2,1),(25,6334318,'1992-09-26 00:00:00',2,5,12,2009,'F','N','CENTRO','MELEIRO','SC','124242241215472431465912575112610122052',15205,'813',38.65,1,3,NULL),(25,6334326,'1994-02-12 00:00:00',2,1,12,2010,'F','N','LOTEAMENTO MADRI','PALHOÇA','SC','124243241215111731346824592122610168147',NULL,'723',23.94,1,3,NULL),(25,6334334,'1984-08-02 00:00:00',2,1,12,2002,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124163167347145721457839495122610167181',2211,'9998',67.11,1,3,NULL),(25,6334342,'1991-04-12 00:00:00',2,1,12,2007,'F','N','INGLESESRIOVERMELHO','FLORIANÓPOLIS','SC','124111118117271532324471345234610165192',19652,'9998',35.45,4,3,NULL),(25,6334350,'1991-10-03 00:00:00',4,1,12,2008,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241124131431324411245122610147057',20231,'95',33.97,1,2,1),(25,6334369,'1993-04-30 00:00:00',4,8,12,2010,'F','N','BOM RETIRO','JOINVILLE','SC','124244241215121731456612295124610128195',9140,'1016',49.35,1,3,NULL),(25,6334377,'1992-02-05 00:00:00',4,8,12,2009,'M','N','SÃO LUIS','JARAGUÁ SUL','SC','124162161236433431329811475122231064097',1512,'9998',71.22,1,3,NULL),(25,6334385,'1995-02-08 00:00:00',5,6,12,2011,'F','S','CENTRO','BAL CAMBORIÚ','SC','124244241215151431246721574122610136045',NULL,'9997',45.58,1,3,NULL),(25,6334393,'1993-04-12 00:00:00',4,15,12,2010,'F','N','LAGOÃO','ARARANGUÁ','SC','124243241115111411423339575122610122072',19963,'30',29.34,1,3,NULL),(25,6334407,'1994-03-14 00:00:00',2,2,12,2011,'F','S','FORTALEZA','BLUMENAU','SC','124201241117131731323624572124610162077',NULL,'82',35.52,1,3,NULL),(25,6334423,'1993-04-08 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215112431435613172124610138017',6616,'270',54.36,1,3,NULL),(25,6334431,'1991-02-12 00:00:00',4,10,10,2008,'F','N','CENTRO','BRAÇO NORTE','SC','124242241217373711456914575124610126077',2762,'270',63.52,1,3,NULL),(25,6334440,'1975-07-03 00:00:00',2,1,12,1995,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241126233421323444145124221726097',14670,'289',40.01,1,2,1),(25,6334458,'1993-06-12 00:00:00',2,6,12,2010,'F','N','JARDIM SANTA ROSA','PARANAGUÁ','PR','116162161216371431436624595114610138017',NULL,'9998',0.00,1,3,NULL),(25,6334466,'1993-05-03 00:00:00',4,3,12,2010,'F','N','CENTRO','UNIÃO VITÓRIA','PR','116242241216151731357712595122610137012',18184,'633',38.49,1,3,NULL),(25,6334474,'1984-02-12 00:00:00',4,1,12,2001,'F','N','AREIAS','S JOSÉ','SC','124241241116572411553319481114610164182',14693,'730',40.83,2,1,1),(25,6334482,'1994-08-28 00:00:00',4,6,12,2010,'F','N','AZAMBUJA','BRUSQUE','SC','124242241415111311346613572222610122013',19150,'1123',36.65,1,3,NULL),(25,6334490,'1991-07-02 00:00:00',4,8,12,2008,'F','N','AMÉRICA','JOINVILLE','SC','124243241216572411226969475124132944197',10287,'494',46.30,1,3,NULL),(25,6334504,'1992-02-07 00:00:00',4,5,11,2009,'M','N','SANTA CATARINA','CRICIÚMA','SC','124242241215472431459933495122610137047',6678,'213',54.22,1,3,NULL),(25,6334512,'1992-10-22 00:00:00',4,6,12,2009,'M','N','CENTRO','ITAJAÍ','SC','124242161215472411368833575112610166097',148,'9998',81.82,1,3,NULL),(25,6334520,'1989-02-25 00:00:00',2,1,8,2007,'F','N','KOBRASOL','S JOSÉ','SC','124241241116274431336623385114130236097',14073,'739',45.05,1,2,1),(25,6334547,'1994-01-01 00:00:00',2,2,12,2010,'F','N','INDIA','CANELINHA','SC','124241241235111131436923275122610111142',19503,'781',32.11,1,3,NULL),(25,6334555,'1990-12-21 00:00:00',4,8,12,2008,'M','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161215572431558831575112610167047',574,'9998',76.93,3,3,NULL),(25,6334563,'1992-07-15 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116472431333523385114610113147',10980,'307',45.52,1,2,1),(25,6334580,'1994-08-16 00:00:00',4,2,11,2011,'F','S','JARDIM MALUCHE','BRUSQUE','SC','124242241215111431339921575122610162177',NULL,'107',21.59,1,3,NULL),(25,6334598,'1992-05-12 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124241241217132431449812575125231437012',12553,'1193',43.38,1,3,NULL),(25,6334601,'1992-01-10 00:00:00',4,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124241241117472431425614345121610123147',NULL,'729',17.54,1,2,1),(25,6334610,'1992-03-31 00:00:00',4,1,11,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241117141311436724246324610124142',16927,'307',34.74,1,2,1),(25,6334628,'1993-04-21 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411469913575122610134153',8754,'270',49.71,1,3,NULL),(25,6334636,'1993-04-08 00:00:00',4,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215121432488813575122610117072',8769,'262',50.73,1,3,NULL),(25,6334644,'1992-02-16 00:00:00',4,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242241215472431449922575122610122182',6138,'1063',57.04,1,3,NULL),(25,6334652,'1991-11-25 00:00:00',4,1,12,2008,'F','N','JARDIM MONTE CARLO','MARINGÁ','PR','116162161217571731469913276122610132046',2673,'9998',64.66,1,3,NULL),(25,6334660,'1993-06-11 00:00:00',4,1,12,2010,'M','N','CIDADE NOVA','S JOSÉ R PRETO','SP','125252251217121431458514574122610167042',7827,'9998',51.27,1,3,NULL),(25,6334679,'1993-11-15 00:00:00',4,3,12,2010,'M','N','AYMORÉ','GUABIRUBA','SC','124243241315111431456532575124610157047',20697,'981',27.57,1,3,NULL),(25,6334687,'1993-11-01 00:00:00',4,4,11,2010,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241215371431638912575122610134122',4221,'185',61.60,1,3,NULL),(25,6334695,'1991-04-04 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S JOSÉ','SC','124201201317133431423915271324610137042',8209,'9998',50.96,1,3,NULL),(25,6334709,'1993-12-31 00:00:00',2,10,12,2010,'F','N','ARATINGAÚBA','IMARUÍ','SC','124241241126161431426434575112610127047',17705,'356',35.18,1,2,1),(25,6334717,'1989-09-30 00:00:00',4,4,12,2007,'M','N','CENTRO','CASCAVEL','PR','116164161411471711269911571111610114052',10374,'9998',50.69,3,3,NULL),(25,6334725,'1993-07-14 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242241215111431223322575122610128192',17987,'738',34.47,1,3,NULL),(25,6334733,'1970-07-09 00:00:00',2,1,12,1988,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624241241117135731344444445122121142015',NULL,'307',0.00,1,3,NULL),(25,6334741,'1993-02-26 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241126131431423331285124610124092',NULL,'282',23.54,1,2,1),(25,6334750,'1993-05-06 00:00:00',2,1,12,2010,'M','N','FAZENDA SANTO A','S JOSÉ','SC','124241241135371751533614175124610112011',NULL,'733',28.36,1,2,1),(25,6334768,'1983-09-08 00:00:00',2,1,12,2004,'M','N','SAO SEBASTIAO','PALHOÇA','SC','124244241126272431248423485114133252192',11697,'736',48.60,4,3,NULL),(25,6334784,'1993-06-01 00:00:00',4,15,12,2010,'M','N','CENTRO','TRÊS CACHOEIRAS','RS','120201201115131431424612342111610164057',NULL,'9998',29.47,4,2,1),(25,6334792,'1993-08-04 00:00:00',2,9,12,2010,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124242241215111431457864375122610146192',3339,'1207',64.24,1,3,NULL),(25,6334806,'1993-08-21 00:00:00',4,1,12,2010,'M','N','CANASVIERAS','FLORIANÓPOLIS','SC','124243241215571431537814575124610128012',13199,'1048',46.35,1,3,NULL),(25,6334814,'1994-02-13 00:00:00',4,1,12,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241115111431548923575121610128055',20987,'267',31.14,1,2,1),(25,6334822,'1993-05-19 00:00:00',4,5,11,2010,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242244215111531338821575122610154182',18302,'226',38.28,1,3,NULL),(25,6334830,'1994-01-06 00:00:00',4,1,2,2010,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124243248415111331547614575124610127042',NULL,'1075',27.94,1,3,NULL),(25,6334849,'1991-05-27 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241215153431448831475124230267047',NULL,'270',0.00,1,3,NULL),(25,6334857,'1956-12-12 00:00:00',4,1,12,1980,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241247327142421231143332132610126183',NULL,'260',0.00,1,3,NULL),(25,6334865,'1986-08-08 00:00:00',2,1,11,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216575431556622245134121467187',18409,'797',38.09,1,3,NULL),(25,6334873,'1993-02-23 00:00:00',4,4,12,2010,'M','N','PROGRESSO','TUNÁPOLIS','SC','124241242136111431416629575124610114177',NULL,'965',30.99,1,3,NULL),(25,6334881,'1993-06-09 00:00:00',4,1,12,2010,'M','N','BELA VISTA','SORRISO','MT','111114111226111431567632292321610167072',NULL,'9998',32.25,1,3,NULL),(25,6334890,'1993-03-30 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124242241211111431536632341122610162192',21737,'989',24.29,1,3,NULL),(25,6334903,'1987-04-20 00:00:00',4,1,12,2004,'F','N','JARDIM PALMARES','TANGARÁ SERRA','MT','111111111117131421333321275123340723192',NULL,'9998',41.06,1,2,1),(25,6334911,'1993-02-08 00:00:00',2,8,10,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','124243244215421731438714575122610141077',NULL,'1016',0.00,1,3,NULL),(25,6334920,'1993-12-14 00:00:00',2,4,12,2010,'F','N','CENTRO','STA HELENA','SC','124241241135131431458913571125610164057',NULL,'687',24.41,1,2,1),(25,6334938,'1994-02-06 00:00:00',4,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111451336824575124610167072',13435,'1118',45.15,1,3,NULL),(25,6334946,'1995-01-05 00:00:00',2,1,12,2011,'F','S','COSTEIRA','FLORIANÓPOLIS','SC','124242241215111431336823472124610128072',NULL,'1023',24.51,1,3,NULL),(25,6334954,'1986-07-13 00:00:00',4,1,12,2004,'F','N','VILA RÉ','S PAULO','SP','125254251216271431568829575124242421117',2571,'9998',65.13,4,3,NULL),(25,6334970,'1993-03-31 00:00:00',4,8,12,2010,'M','N','CENTRO','CURITIBA','PR','116162161216111411358832575114610167092',NULL,'9998',0.00,1,3,NULL),(25,6334989,'1993-04-15 00:00:00',2,3,12,2010,'F','N','CENTRO','S BENTO SUL','SC','124243241217161431566812575122610142142',21744,'1178',24.18,1,3,NULL),(25,6334997,'1992-04-18 00:00:00',4,1,12,2009,'M','N','PARQUE SAVOY CITY','S PAULO','SP','125252251216371431338823475114610167047',NULL,'9998',0.00,1,3,NULL),(25,6335004,'1989-11-24 00:00:00',4,1,12,2007,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124244241225272411445611245134122364187',16674,'262',35.49,1,3,NULL),(25,6335012,'1992-06-22 00:00:00',4,1,12,2009,'M','N','ARIRIU','PALHOÇA','SC','124244246216372431366613435124610138052',13899,'1075',41.03,1,3,NULL),(25,6335039,'1992-01-18 00:00:00',4,3,12,2009,'F','N','CENTRO','BRUSQUE','SC','124242241215473431648832575122610122142',2936,'270',64.10,1,3,NULL),(25,6335047,'1978-03-31 00:00:00',2,1,12,2004,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124243241326134541531223412314610164043',20536,'9999',32.99,1,3,NULL),(25,6335055,'1990-04-23 00:00:00',4,15,12,2007,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241111111411423611395122130722052',NULL,'30',13.73,1,3,NULL),(25,6335063,'1992-06-12 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217153411459913475122220247117',6695,'270',55.09,1,3,NULL),(25,6335071,'1994-07-26 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117111441348619575124610146077',NULL,'267',22.39,1,3,NULL),(25,6335080,'1991-07-02 00:00:00',2,1,11,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241232132721425611245134610161117',NULL,'259',29.00,1,3,NULL),(25,6335098,'1994-04-18 00:00:00',2,15,12,2010,'M','N','CIDADE ALTA','TURVO','SC','124241241115371431236923475122610117042',12804,'814',43.77,1,2,1),(25,6335101,'1992-09-22 00:00:00',4,1,12,2010,'M','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125252251215111431258721575122610117182',NULL,'9998',0.00,1,3,NULL),(25,6335110,'1993-06-25 00:00:00',4,1,12,2010,'F','N','JARDIM EUROPA','BIGUAÇU','SC','124242241215272431566619575124610163042',12626,'1022',42.54,1,3,NULL),(25,6335152,'1992-04-28 00:00:00',4,9,11,2009,'M','N','IMIGRANTES','CONCÓRDIA','SC','124243241215132231546413475122610167057',5225,'1000',58.41,1,3,NULL),(25,6335160,'1994-04-22 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217111431438833575124610124197',11458,'1022',45.32,1,3,NULL),(25,6335179,'1983-10-06 00:00:00',2,1,12,2000,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124201201116272421238943435113140728197',8219,'9998',51.28,1,3,NULL),(25,6335187,'1993-06-16 00:00:00',4,1,12,2010,'F','N','ZONA QUATRO','MARINGÁ','PR','116162161217111231539912425122610126197',10740,'9998',50.08,1,3,NULL),(25,6335195,'1994-06-30 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215111431447722572122610117041',6019,'299',58.72,1,3,NULL),(25,6335217,'1989-07-27 00:00:00',2,8,12,2005,'M','N','ITAUM','JOINVILLE','SC','124242241217131221426614345122610164057',NULL,'487',15.29,1,3,NULL),(25,6335225,'1989-03-13 00:00:00',2,15,12,2006,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241136131431525364245124131066197',NULL,'30',19.36,4,2,1),(25,6335233,'1990-08-20 00:00:00',4,1,12,2008,'M','N','NS DO ROSÁRIO','S JOSÉ','SC','124242241415473431368913375122610134047',16855,'739',38.76,1,3,NULL),(25,6335241,'1993-09-29 00:00:00',4,4,12,2009,'F','N','MORADA DO SOL','MARAVILHA','SC','124241241317471431459933572125610118196',7822,'552',55.17,1,3,NULL),(25,6335250,'1993-05-06 00:00:00',2,8,12,2010,'M','N','VILA NOVA','RIO NEGRINHO','SC','124241241115141732426614345121610167147',17896,'669',32.81,3,2,1),(25,6335268,'1993-06-19 00:00:00',2,10,11,2010,'F','N','SÃO FCO DE ASSIS','BRAÇO NORTE','SC','124241241116131411453923135122610131147',19370,'100',30.20,1,2,1),(25,6335276,'1993-08-13 00:00:00',2,1,12,2010,'F','N','PAGANI II','PALHOÇA','SC','124244243215131131436364575124610132197',NULL,'63',0.00,1,3,NULL),(25,6335292,'1993-07-05 00:00:00',4,8,12,2010,'F','N','JARDIM IMPERIAL II','MARINGÁ','PR','116161161116371451426711575124610167077',NULL,'9998',0.00,3,2,1),(25,6335306,'1987-10-15 00:00:00',2,1,11,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216145431525616445124333223017',NULL,'720',30.35,1,3,NULL),(25,6335314,'1993-04-21 00:00:00',4,1,11,2010,'F','N','VILLA DOS INGLEZES','SOROCABA','SP','125252251217111541569911571122610117042',NULL,'9998',27.79,1,3,NULL),(25,6335322,'1994-09-22 00:00:00',2,4,12,2010,'F','N','CENTRO','GALVÃO','SC','124241241117161431343833475122610148182',NULL,'321',26.29,1,2,1),(25,6335330,'1992-01-31 00:00:00',2,1,12,2009,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241115272431637619295114610127042',13277,'257',46.26,1,2,1),(25,6335349,'1993-06-05 00:00:00',4,4,11,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241215371431348833495122610127142',9110,'168',48.53,1,3,NULL),(25,6335357,'1993-06-07 00:00:00',4,4,12,2010,'M','N','NOSSA SENHORA APAREC','FRANCISCO BELTRÃO','PR','116163161115471731559939575112610127057',10754,'9998',45.98,1,3,NULL),(25,6335365,'1993-04-03 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243243117271431426613575124610148057',13444,'129',41.76,4,3,NULL),(25,6335381,'1993-04-22 00:00:00',2,1,12,2010,'F','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124241241126141411324614392124610137042',21126,'329',30.51,1,2,1),(25,6335390,'1985-09-07 00:00:00',2,1,12,2003,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244247236153431458612325122131017047',17623,'9999',39.54,1,3,NULL),(25,6335403,'1990-01-31 00:00:00',2,9,11,2007,'F','N','CENTRO','LAGES','SC','124241241146151432456313242124131023012',NULL,'322',0.00,1,3,NULL),(25,6335420,'1990-06-21 00:00:00',5,1,11,2007,'M','N','MICHEL','CRICIÚMA','SC','124242241216373431458733592325221468072',1549,'210',71.09,1,3,NULL),(25,6335438,'1993-09-25 00:00:00',2,1,12,2010,'F','N','FLORESTA','S JOSÉ','SC','124242248211111551346933572122610117052',NULL,'737',24.17,4,3,NULL),(25,6335454,'1994-01-18 00:00:00',2,7,12,2010,'F','N','VILA NOVA','ÁGUA DOCE','SC','124241241115251431429313572224610168147',NULL,'539',20.29,1,2,1),(25,6335462,'1993-11-26 00:00:00',4,10,12,2010,'F','N','ENCOSTA DO SOL','S LUDGERO','SC','124241241117371421423514272123610132147',20431,'748',27.66,4,2,1),(25,6335470,'1992-04-03 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215121432638862575122610122057',9331,'299',49.71,1,3,NULL),(25,6335489,'1993-05-13 00:00:00',4,8,12,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124281241315271431478814575124610162127',16309,'1063',41.69,1,3,NULL),(25,6335497,'1991-07-06 00:00:00',4,1,11,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241211133421437723371111221417147',NULL,'272',0.00,1,3,NULL),(25,6335500,'1993-09-20 00:00:00',4,5,11,2010,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215112432478934344122610135122',NULL,'226',43.99,1,3,NULL),(25,6335519,'1984-12-19 00:00:00',4,1,12,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217375431478739485113233244185',5774,'951',59.21,1,3,NULL),(25,6335527,'1994-01-11 00:00:00',2,1,10,2011,'F','S','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215171751359932595112610167132',NULL,'883',0.00,1,3,NULL),(25,6335535,'1993-11-02 00:00:00',4,6,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241117131731338411572122610136142',NULL,'49',27.06,1,2,1),(25,6335543,'1988-01-16 00:00:00',2,3,12,2005,'F','N','REBOUÇAS','CURITIBA','PR','116162161336575751438639272122610147047',2042,'9998',68.31,1,3,NULL),(25,6335551,'1981-11-25 00:00:00',4,1,12,2000,'F','N','FLORESTA','S JOSÉ','SC','224244243136133431328654282122610134147',15764,'306',42.49,1,3,NULL),(25,6335560,'1993-08-26 00:00:00',2,8,12,2010,'F','N','BOA VISTA','JOINVILLE','SC','124241241117151531526634572221610127142',21051,'477',25.34,1,2,1),(25,6335578,'1993-10-11 00:00:00',4,5,12,2010,'M','N','MICHEL','CRICIÚMA','SC','124244241215141431367611595124610138062',19086,'995',36.78,1,3,NULL),(25,6335586,'1979-07-17 00:00:00',3,1,12,1996,'M','N','CAMPINAS','S JOSÉ','SC','124242241216155431223344445114610132057',3457,'724',64.65,1,3,NULL),(25,6335594,'1991-07-27 00:00:00',4,1,9,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','121212217227271431128629575114610167042',NULL,'9998',30.52,1,3,NULL),(25,6335608,'1992-03-19 00:00:00',2,1,12,2009,'F','N','VENDAVAL','BIGUAÇU','SC','124243241216272431625633335124610121052',NULL,'1022',25.89,1,3,NULL),(25,6335616,'1992-07-01 00:00:00',4,15,12,2009,'M','N','CENTRO','JACINTO MACHADO','SC','124241241147161431456933495121231464067',15532,'420',42.86,1,2,1),(25,6335624,'1993-03-24 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241215112731456711475122610168071',17186,'1011',40.32,1,3,NULL),(25,6335632,'1994-06-09 00:00:00',4,10,11,2010,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241145131431534823582324610127187',NULL,'361',16.87,1,2,1),(25,6335640,'1994-01-10 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111432469911315122610134192',18351,'262',38.19,1,3,NULL),(25,6335659,'1993-04-05 00:00:00',2,7,12,2010,'F','N','CENTRO','CONCÓRDIA','SC','124241241115471231326334272112610134177',16352,'192',37.68,1,2,1),(25,6335667,'1993-02-07 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242248235271431568613575124610117112',NULL,'272',24.28,1,3,NULL),(25,6335683,'1992-08-14 00:00:00',2,7,12,2010,'M','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241215111431426923582125610117077',20958,'962',31.28,1,3,NULL),(25,6335691,'1992-05-19 00:00:00',2,7,12,2009,'F','N','UNIVERSITARIO','VIDEIRA','SC','124241241115472731324434572124610162052',14107,'831',41.55,4,2,1),(25,6335705,'1994-09-26 00:00:00',4,1,12,2011,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431238824315124610128072',NULL,'270',44.09,1,3,NULL),(25,6335713,'1988-05-04 00:00:00',4,1,6,2007,'M','N','VILA SÔNIA','S PAULO','SP','125254281417271411358622375114143245117',9999,'9998',46.98,1,3,NULL),(25,6335721,'1989-06-06 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116275751226324285124610127042',11034,'307',45.62,1,3,NULL),(25,6335730,'1993-09-19 00:00:00',4,1,11,2010,'M','N','VILA HEITOR','S JOSÉ PINHAIS','PR','116162161216411431389831475122610167042',NULL,'9998',0.00,1,3,NULL),(25,6335748,'1991-06-17 00:00:00',4,1,12,2008,'M','N','UBERABA','CURITIBA','PR','116162161215471731236812275312141767111',NULL,'9998',38.00,1,3,NULL),(25,6335756,'1990-01-31 00:00:00',2,4,12,2007,'M','N','CENTRO','SANTIAGO','RS','120201201126131732213335452344610138187',NULL,'9998',0.00,1,3,NULL),(25,6335764,'1991-07-12 00:00:00',2,7,12,2008,'M','N','SÃO SEBASTIÃO','CAMPOS NOVOS','SC','116244241436472421336634572244610164043',9021,'138',50.47,1,3,NULL),(25,6335772,'1993-08-21 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111412334334445115610111072',9751,'1022',48.75,2,3,NULL),(25,6335780,'1994-03-17 00:00:00',4,1,12,2010,'F','N','JARDIM DAS FLORES I','APUCARANA','PR','116161161415111731636824575224610124171',NULL,'9998',17.38,1,3,NULL),(25,6335799,'1985-01-22 00:00:00',2,1,12,2004,'M','N','FORQUILHAS','S JOSÉ','SC','124241241146372421446168342124610123141',NULL,'727',11.76,1,2,1),(25,6335802,'1993-12-18 00:00:00',2,1,12,2010,'F','N','CAMINHO NOVO','PALHOÇA','SC','124242241215111431629669172112610163187',NULL,'989',26.20,1,3,NULL),(25,6335810,'1982-05-05 00:00:00',4,8,12,1999,'M','N','VILA NOVA','JOINVILLE','SC','124241241126471432333321435113610128175',9095,'479',52.89,1,3,NULL),(25,6335829,'1993-05-04 00:00:00',4,1,11,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215112431479613575112610167042',2191,'1133',67.61,1,3,NULL),(25,6335837,'1992-08-04 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431269513385112130232014',4004,'1022',61.77,1,3,NULL),(25,6335845,'1993-01-05 00:00:00',2,1,10,2010,'F','N','MUNICÍPIOS','BAL CAMBORIÚ','SC','124241241211111711449733571122610167042',16978,'270',40.66,1,3,NULL),(25,6335853,'1991-12-24 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241248116241231324623372124610123183',NULL,'306',34.66,1,3,NULL),(25,6335861,'1993-04-03 00:00:00',2,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124243241215111431335511385122610137062',NULL,'944',29.97,1,3,NULL),(25,6335870,'1988-03-20 00:00:00',2,9,12,2005,'F','N','CORAL','LAGES','SC','124201241136271431623619244124331267147',NULL,'512',16.31,1,2,1),(25,6335888,'1988-04-10 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241127271721124644245134130227047',10252,'736',46.85,3,2,1),(25,6335896,'1988-02-26 00:00:00',2,15,12,2006,'F','N','ALTO FELIZ','ARARANGUÁ','SC','224241241111131752226354281122610138187',NULL,'29',38.28,1,3,NULL),(25,6335900,'1993-03-16 00:00:00',4,4,12,2010,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124242241217111431388812495112610167042',NULL,'983',36.05,1,3,NULL),(25,6335918,'1994-03-07 00:00:00',2,1,11,2010,'M','N','FORQUILHAS','S JOSÉ','SC','124243241415141431443622245122610127062',21433,'1075',28.52,4,3,NULL),(25,6335926,'1991-06-25 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248211513421222721593135610124097',9163,'270',49.37,1,3,NULL),(25,6335934,'1986-04-17 00:00:00',4,1,12,2003,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241217472411668319415124322222097',2929,'1011',64.93,1,3,NULL),(25,6335950,'1993-04-12 00:00:00',4,1,12,2010,'M','N','CENTRO','GAROPABA','SC','124241241126151431426613335224610118017',NULL,'322',31.66,1,3,NULL),(25,6335969,'1992-10-31 00:00:00',4,8,12,2010,'M','N','ALTO DA GLÓRIA','CURITIBA','PR','116161161215571431428831595144610164062',10274,'9998',50.86,1,3,NULL),(25,6335977,'1993-05-07 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','624242241217122741679921575115610164042',587,'299',76.83,1,3,NULL),(25,6335985,'1993-07-05 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124243241135371431546923235124610142142',16251,'169',35.46,1,3,NULL),(25,6335993,'1992-09-20 00:00:00',2,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124241241116131731526329145124610147187',17905,'591',33.93,1,2,1),(25,6336000,'1992-09-11 00:00:00',2,3,12,2010,'F','N','RIO VERDE','PNT GROSSA','PR','116161163146371431533611275224610112147',8590,'9998',53.80,1,2,1),(25,6336019,'1994-03-15 00:00:00',2,2,11,2011,'F','S','ITOUPAVA SECA','BLUMENAU','SC','124243241417131331536632322122610168077',NULL,'88',42.84,1,3,NULL),(25,6336027,'1993-04-21 00:00:00',4,10,12,2010,'F','N','CENTRO','GR PARÁ','SC','124241241116372331448621272124610124172',7388,'330',53.00,1,2,1),(25,6336035,'1992-12-28 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215472431248929575112610122142',1151,'226',71.12,1,3,NULL),(25,6336043,'1988-04-05 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124112111234152221559932335124221067122',15155,'9998',43.47,4,3,NULL),(25,6336051,'1991-08-07 00:00:00',2,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124213211216373441223611484124610121037',7787,'9998',51.23,1,3,NULL),(25,6336060,'1988-08-30 00:00:00',2,15,12,2005,'M','N','CENTRO','SOMBRIO','SC','124242243116374431469833315122121428093',5842,'690',59.09,1,3,NULL),(25,6336078,'1993-07-01 00:00:00',4,1,12,2010,'F','N','AZENHA','PTO ALEGRE','RS','120203201217111111238724342124610137015',NULL,'9998',0.00,1,3,NULL),(25,6336086,'1992-10-07 00:00:00',2,1,12,2009,'F','N','CENTRO','LOANDA','PR','116162161215471431428512572122610127147',14931,'9998',43.79,1,3,NULL),(25,6336108,'1989-02-27 00:00:00',4,1,12,2006,'M','N','AMERICA','JOINVILLE','SC','124242241216574451658614575122130232127',225,'1105',80.71,1,3,NULL),(25,6336116,'1993-01-17 00:00:00',4,2,11,2010,'F','N','CENTRO','GUABIRUBA','SC','124242241215111431567812222122610128062',8579,'109',49.29,1,3,NULL),(25,6336124,'1993-03-17 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431427611415112610114091',NULL,'1169',15.08,1,3,NULL),(25,6336132,'1993-07-30 00:00:00',2,1,12,2010,'F','N','CENTRO','S FRANCISCO PAULA','RS','120201201217161131526616572222610121187',15123,'9998',43.51,1,3,NULL),(25,6336140,'1991-07-16 00:00:00',2,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241232343211348744445114610114061',20687,'1022',32.43,1,3,NULL),(25,6336159,'1993-07-14 00:00:00',4,7,12,2010,'M','N','CENTRO','TREZE TÍLIAS','SC','124244241415151431468836572112610132043',5079,'962',58.04,1,3,NULL),(25,6336167,'1993-07-29 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431449613575122610132077',10596,'1118',50.34,1,3,NULL),(25,6336175,'1993-10-01 00:00:00',4,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124124241216131221638824582124610117047',9875,'1134',51.56,1,3,NULL),(25,6336183,'1990-06-02 00:00:00',4,1,12,2007,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244241216155731446621345132610168197',NULL,'1118',0.00,1,3,NULL),(25,6336191,'1992-06-17 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217272431447723345124220867077',8119,'1050',54.66,1,3,NULL),(25,6336205,'1990-07-04 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241336372421336611345124231467112',NULL,'1022',0.00,1,3,NULL),(25,6336213,'1993-01-14 00:00:00',4,4,12,2009,'M','N','CIRO NARDI','CASCAVEL','PR','116162161215471431469933435112610144042',10137,'9998',46.14,1,3,NULL),(25,6336221,'1993-12-13 00:00:00',4,9,11,2010,'M','N','CENTRO','CONCÓRDIA','SC','124244241215151431636413475122610167042',NULL,'1000',31.24,1,3,NULL),(25,6336248,'1994-01-28 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241248115111131514419572324610127047',NULL,'732',30.79,1,3,NULL),(25,6336256,'1989-06-19 00:00:00',4,1,11,2007,'M','N','CENTRO','S JOSÉ','SC','124241241126131431225444245124610134187',18546,'728',37.86,1,2,1),(25,6336264,'1993-08-12 00:00:00',4,9,11,2010,'M','N','CENTRO','RIO SUL','SC','124242241217272341458811575122610164092',9039,'654',52.32,1,3,NULL),(25,6336272,'1986-01-19 00:00:00',4,1,12,2002,'F','N','FLORESTA','VIDEIRA','SC','124241241137131731334939335134333267077',NULL,'831',22.56,3,2,1),(25,6336280,'1993-04-28 00:00:00',4,4,12,2010,'M','N','CENTRO','AMETISTA SUL','RS','120201201116271131435812221112610168042',NULL,'9998',29.07,1,2,1),(25,6336299,'1984-05-24 00:00:00',4,5,12,2000,'M','N','SÃO SEBASTIÃO','CRICIÚMA','SC','224241241146161421335674145112330262067',16583,'217',41.26,1,2,1),(25,6336302,'1993-08-16 00:00:00',2,16,12,2010,'F','N','BOM JESUS','CURITIBANOS','SC','124243244135471431426923575122610136197',NULL,'239',33.93,1,3,NULL),(25,6336310,'1990-09-28 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215152431438624245122232122092',18957,'1022',37.00,1,3,NULL),(25,6336329,'1992-01-28 00:00:00',2,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241136131431226719392324610127182',18036,'285',34.89,1,2,1),(25,6336337,'1989-06-02 00:00:00',4,8,11,2006,'M','N','PRQ RES AQUARIUS','S JOSÉ CAMPOS','SP','125252251416572751437763595142610164177',6419,'9998',54.06,3,3,NULL),(25,6336345,'1993-02-01 00:00:00',2,2,11,2010,'M','N','PADRE MARTINHO STEIN','TIMBÓ','SC','124243241215111431436912371212610134012',NULL,'1157',0.00,1,3,NULL),(25,6336353,'1991-03-26 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242246214111131222233323212230217115',NULL,'9999',20.19,1,3,NULL),(25,6336361,'1986-12-05 00:00:00',4,8,12,2004,'F','N','CLAUDETE','CASCAVEL','PR','216251251116571731224853275223140632197',6866,'9998',53.15,1,2,1),(25,6336370,'1992-03-27 00:00:00',2,1,12,2010,'M','N','AGUA VERDE','CURITIBA','PR','116162161217111611468813175121610164057',NULL,'9998',0.00,1,3,NULL),(25,6336388,'1979-12-16 00:00:00',2,1,12,1996,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241136273221557632441112321437067',2855,'307',66.36,1,2,1),(25,6336396,'1990-10-24 00:00:00',2,1,12,2007,'F','N','NORDESTE','IMBÉ','RS','124201201117271731436923335124142524147',20179,'9998',34.13,1,2,1),(25,6336400,'1992-01-12 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242246211472211458832592122610124097',14028,'270',45.13,1,3,NULL),(25,6336418,'1993-08-26 00:00:00',4,1,12,2010,'M','N','MOURA','CANELINHA','SC','124241241125131741425612572224610111127',20617,'913',32.68,1,3,NULL),(25,6336426,'1993-03-02 00:00:00',4,1,11,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111731369913575122610122172',NULL,'1133',14.68,1,3,NULL),(25,6336434,'1992-06-12 00:00:00',2,15,12,2010,'F','N','CENTRO','S MARCOS','RS','120201242115161431425331296324610137057',NULL,'690',18.41,1,2,1),(25,6336442,'1988-11-01 00:00:00',4,1,12,2006,'M','N','CENTRO','ATIBAIA','SP','125252251214571451448916571314142837187',1040,'9998',71.98,3,3,NULL),(25,6336450,'1993-04-08 00:00:00',2,15,12,2010,'F','N','CENTRO','ARARANGUÁ','SC','124241241216111431453411275122610147142',NULL,'26',23.12,1,3,NULL),(25,6336477,'1993-06-28 00:00:00',2,9,11,2010,'M','N','CENTRO','S JOAQUIM','SC','124242241215162431458831575122610127052',10768,'721',46.41,1,3,NULL),(25,6336485,'1994-07-20 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731438934242112610132147',NULL,'270',31.94,1,3,NULL),(25,6336493,'1987-10-16 00:00:00',2,8,12,2004,'F','N','PARQUE ALVORADA','JACAREZINHO','PR','116161161215512431667633575324610167187',2529,'9998',66.89,3,3,NULL),(25,6336507,'1992-10-13 00:00:00',4,8,12,2010,'F','N','CENTRO','S BENTO SUL','SC','124242241215131431336814572222610111142',7043,'1178',53.19,1,3,NULL),(25,6336515,'1980-01-13 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241235374411248842425334121022182',NULL,'262',23.44,1,3,NULL),(25,6336531,'1993-05-13 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242247215111231548812385122610117042',16098,'737',40.06,1,3,NULL),(25,6336540,'1993-04-24 00:00:00',2,4,12,2010,'F','N','SANTUÁRIO','PALMAS','PR','116162161216371731339914245112610134163',NULL,'9998',37.51,1,3,NULL),(25,6336558,'1993-01-24 00:00:00',4,3,12,2010,'M','N','CENTRO','ITAPEMA','SC','124241241117131431426611285122610114042',NULL,'406',0.00,1,2,1),(25,6336574,'1992-05-07 00:00:00',4,3,12,2009,'F','N','JARDIM AMÉRICA','PNT GROSSA','PR','116162161211472431368811594112610122092',4693,'9998',59.91,1,3,NULL),(25,6336582,'1993-01-26 00:00:00',4,1,12,2010,'F','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241146261431223329275124610137052',NULL,'772',31.00,4,2,1),(25,6336590,'1985-09-10 00:00:00',4,1,12,2004,'F','N','SANTA ANA','STO AMARO IMPERATRIZ','SC','124241244136132421427413495124630142192',NULL,'772',0.00,1,2,1),(25,6336612,'1994-12-02 00:00:00',1,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241216111431368619495122610122022',11563,'1133',48.80,1,3,NULL),(25,6336620,'1993-11-05 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241212111431376923575112610127045',10223,'738',47.94,1,3,NULL),(25,6336639,'1993-01-05 00:00:00',5,7,12,2010,'F','N','INTERIOR','ARROIO TRINTA','SC','124241241117272431333335575124610127147',NULL,'853',34.42,1,2,1),(25,6336647,'1992-04-18 00:00:00',4,1,12,2009,'F','N','SÃO JOSE','IJUÍ','RS','120201201114371731443839571344610125017',20751,'9998',27.00,1,3,NULL),(25,6336655,'1995-03-05 00:00:00',2,9,12,2011,'F','S','PROGRESSO','POUSO REDONDO','SC','124241241415111431446932575122610124142',NULL,'991',0.00,1,3,NULL),(25,6336663,'1993-11-22 00:00:00',2,9,11,2010,'F','N','STO ANTONIO','ITUPORANGA','SC','124244248236111721556612475122610162187',16659,'991',41.15,1,3,NULL),(25,6336671,'1992-08-30 00:00:00',4,1,12,2010,'M','N','CANTO DOS ARAÇAS','FLORIANÓPOLIS','SC','124242241215131412348413385124610141112',NULL,'9997',17.59,1,3,NULL),(25,6336698,'1992-02-21 00:00:00',4,8,11,2010,'F','N','CENTRO','JOINVILLE','SC','124244241215131331335614372142610147112',NULL,'461',0.00,1,3,NULL),(25,6336701,'1993-06-23 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241435111431554332572122610123187',8746,'1011',50.08,1,3,NULL),(25,6336710,'1994-05-12 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431669731415122610124142',NULL,'988',41.45,3,3,NULL),(25,6336728,'1992-07-17 00:00:00',2,15,12,2009,'M','N','CENTRO','PR GRANDE','SC','124241241127131411534639575122610117012',NULL,'641',24.72,1,2,1),(25,6336744,'1993-03-03 00:00:00',4,8,12,2010,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241147131732646823345124610124094',NULL,'1103',20.14,1,2,1),(25,6336760,'1993-03-30 00:00:00',4,2,10,2010,'M','N','PONTO CHIC','IBIRAMA','SC','124241241215121331356723574114610167051',NULL,'9999',0.00,1,3,NULL),(25,6336779,'1992-10-22 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215123431389933575112610132186',6297,'270',56.15,1,3,NULL),(25,6336787,'1981-11-06 00:00:00',4,1,10,2002,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','624203207146141721226849392123140247187',15929,'9998',42.26,1,3,NULL),(25,6336795,'1993-09-27 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243251215121431356823145124610164055',10810,'1022',44.49,1,3,NULL),(25,6336809,'1990-10-23 00:00:00',2,1,12,2008,'F','N','JARDIM ELDORADO','CAXIAS SUL','RS','120201201117471431436579281224142833197',12170,'9998',42.04,1,2,1),(25,6336817,'1993-05-22 00:00:00',4,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115131712433313312111610167043',NULL,'285',16.84,1,2,1),(25,6336825,'1992-05-02 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115151711248629395124610168123',19373,'267',36.13,1,2,1),(25,6336833,'1992-01-09 00:00:00',2,1,12,2009,'F','N','CENTRO','URUBICI','SC','124242241215472411344933195124610167142',9026,'817',49.84,1,3,NULL),(25,6336841,'1989-07-28 00:00:00',2,1,12,2006,'M','N','JARDIM ORIENTAL','OSASCO','SP','125251251216571731324419585124241114017',4906,'9998',57.95,4,3,NULL),(25,6336850,'1993-03-10 00:00:00',4,4,12,2010,'M','N','SANTA MARIA','CHAPECÓ','SC','124242241216471431458933575122610132182',5993,'185',55.68,3,3,NULL),(25,6336868,'1993-10-07 00:00:00',2,1,12,2010,'F','N','CENTRO','PAPANDUVA','SC','124241241147131431423823432222610126047',15430,'1151',39.55,1,2,1),(25,6336876,'1993-04-08 00:00:00',4,2,11,2010,'M','N','CENTRO','TIMBÓ','SC','124242241235111511378732275122610124052',14330,'1157',42.21,1,3,NULL),(25,6336884,'1992-07-27 00:00:00',4,8,11,2009,'M','N','SÃO FRANCISCO','IRATI','PR','116162161217572431469911472114610154122',4251,'9998',60.76,1,3,NULL),(25,6336892,'1990-02-05 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241247327471441433119386124610167181',12237,'9999',44.99,1,3,NULL),(25,6336906,'1968-03-27 00:00:00',2,1,7,2005,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','224241247127132431633451372114122211097',17719,'728',39.37,1,3,NULL),(25,6336914,'1992-02-19 00:00:00',2,4,12,2009,'F','N','IPIRANGA','FREDERICO WESTPHALEN','RS','120201201216131431235924574124610156147',7889,'9998',51.20,1,3,NULL),(25,6336922,'1976-07-20 00:00:00',2,1,11,1995,'M','N','CENTRO','FLORIANÓPOLIS','SC','224112111336131431336644345124142327041',15801,'9998',37.91,4,3,NULL),(25,6336930,'1993-01-08 00:00:00',4,1,12,2010,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241215111731325933575124610168187',13962,'1022',40.35,1,3,NULL),(25,6336949,'1993-04-14 00:00:00',2,1,12,2009,'F','N','PAGANI II','PALHOÇA','SC','124242241215272531588431245214133123075',8502,'1011',53.96,4,3,NULL),(25,6336957,'1988-12-08 00:00:00',4,4,12,2006,'F','N','MATINHO','XANXERÊ','SC','124242241211575431435611495122232832077',NULL,'836',0.00,1,3,NULL),(25,6336965,'1989-12-27 00:00:00',2,1,2,2008,'M','N','JARDIM BELVEDERE','PIRACICABA','SP','125023021115571712434614445132610134144',NULL,'9998',17.16,4,1,2),(25,6336973,'1993-06-08 00:00:00',4,1,11,2010,'M','N','JARDIM CANADÁ','RIBEIRÃO PRETO','SP','125252251217111431366831572122610137042',10282,'9998',45.26,1,3,NULL),(25,6336981,'1994-04-16 00:00:00',2,4,12,2010,'F','N','INTERRIOR','SEARA','SC','124241241112161731313435252324610128057',NULL,'1232',23.95,4,2,1),(25,6336990,'1993-06-05 00:00:00',4,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241217111431527512272122610128182',16296,'9997',37.27,1,3,NULL),(25,6337007,'1991-03-15 00:00:00',2,4,11,2007,'F','N','SÃO CRISTOVÃO','CASCAVEL','PR','116162161215571431458813575112610164042',4565,'9998',59.70,4,3,NULL),(25,6337015,'1992-10-22 00:00:00',4,6,12,2009,'M','N','RIO BONITO','ITAJAÍ','SC','124241241126271431536639195114132322057',NULL,'397',NULL,1,2,1),(25,6337023,'1992-07-27 00:00:00',2,4,12,2009,'F','N','EFAPI','CHAPECÓ','SC','124241241116272331338514275122131237057',NULL,'169',16.49,4,2,1),(25,6337031,'1992-02-21 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473731348612174114610142071',11955,'273',48.23,1,3,NULL),(25,6337040,'1993-07-02 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115141411527614345234610117062',NULL,'293',31.24,1,2,1),(25,6337058,'1991-08-30 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241248311373311326623131124610143147',NULL,'269',17.46,1,3,NULL),(25,6337066,'1994-04-02 00:00:00',2,10,11,2011,'F','S','CENTRO','IMBITUBA','SC','124243248215111541528433432122610125147',NULL,'362',27.69,1,3,NULL),(25,6337074,'1981-09-08 00:00:00',2,1,12,2000,'F','N','CAMPINAS','S JOSÉ','SC','224241241116132421225459245124610122147',NULL,'257',21.95,1,2,1),(25,6337082,'1986-09-21 00:00:00',4,3,12,2005,'M','N','TABULEIRO','ITAPEMA','SC','224241247337131431126644245122610122174',17514,'9999',39.72,1,3,NULL),(25,6337090,'1986-12-14 00:00:00',2,1,12,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','524241241117141431513336142334610123147',NULL,'288',18.35,4,2,1),(25,6337104,'1992-12-06 00:00:00',2,1,11,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117151411436614595124610167052',8166,'267',53.30,1,2,1),(25,6337112,'1992-06-22 00:00:00',2,8,12,2009,'F','N','ALTO DA GLORIA','CURITIBA','PR','116123121415471431538811115324610162172',18502,'9998',37.92,1,3,NULL),(25,6337120,'1992-07-02 00:00:00',2,1,12,2009,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124204241216272431526732345124610138047',14937,'1048',38.88,1,3,NULL),(25,6337139,'1987-04-17 00:00:00',2,1,12,2004,'M','N','SERRARIA','S JOSÉ','SC','124241241226142411326344342333122327062',13655,'262',45.70,1,3,NULL),(25,6337147,'1992-08-26 00:00:00',2,4,12,2009,'M','N','AGOSTINI','S MIGUEL OESTE','SC','124244241212131431433439592124241437142',21617,'752',26.62,1,3,NULL),(25,6337155,'1993-09-11 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215112431466612575112610162072',7257,'270',54.57,1,3,NULL),(25,6337171,'1980-04-04 00:00:00',4,1,12,1998,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242247444375431368333291124123046182',13278,'270',45.63,1,3,NULL),(25,6337180,'1993-11-20 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124251241117131431325311215124610136147',NULL,'51',35.26,4,2,1),(25,6337198,'1990-12-27 00:00:00',4,1,12,2009,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241215272431468612575124130232032',21204,'270',30.03,1,3,NULL),(25,6337201,'1994-03-11 00:00:00',4,2,12,2010,'M','N','CENTRO','BRUSQUE','SC','124242241217371431589911215122610168042',3229,'109',63.09,1,3,NULL),(25,6337228,'1993-02-23 00:00:00',2,4,12,2010,'F','N','CENTRO','CONCÓRDIA','SC','124241248135131751324335292124610128183',NULL,'194',0.00,1,2,1),(25,6337236,'1992-12-22 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115371431678812575124610123127',7323,'267',53.99,1,2,1),(25,6337244,'1991-07-16 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431348932445121610168182',17766,'951',37.22,1,3,NULL),(25,6337252,'1993-04-07 00:00:00',4,17,12,2010,'M','N','CENTRO','MTE CASTELO','SC','124241241125161331428832245122610164182',21270,'566',22.46,1,2,1),(25,6337260,'1950-05-28 00:00:00',2,1,10,2005,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224241247226141451233344245132610167043',NULL,'9999',0.00,1,3,NULL),(25,6337279,'1993-08-06 00:00:00',4,8,12,2010,'F','N','CENTRO','BARRA VELHA','SC','124241241116131431558532571122610135147',17445,'57',35.09,1,2,1),(25,6337295,'1992-04-15 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215473431436632575124121464042',921,'737',73.55,1,3,NULL),(25,6337309,'1993-06-04 00:00:00',4,6,12,2010,'M','N','JARDIM FLAMBOYANTS','ARARAQUARA','SP','125252251216111231458811575122610167042',5846,'9998',55.13,1,3,NULL),(25,6337317,'1993-04-07 00:00:00',4,4,11,2010,'F','N','CENTRO','NONOAI','RS','120242241216131741538931575124610123142',20243,'168',33.93,1,3,NULL),(25,6337325,'1991-07-19 00:00:00',2,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116212211235471431278823575115610127112',NULL,'9998',27.90,2,3,NULL),(25,6337341,'1992-03-18 00:00:00',4,6,12,2009,'F','N','CENTRO','STA CECÍLIA','SC','124241241235472431338815575112610162147',7355,'881',53.90,1,3,NULL),(25,6337350,'1992-03-27 00:00:00',4,8,10,2010,'M','N','CENTRO','CPO MAGRO','PR','116161161326471431326664281324610162047',11486,'9998',44.94,1,3,NULL),(25,6337376,'1993-05-02 00:00:00',2,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124241241117271431333623286144610157052',19800,'9997',31.17,1,2,1),(25,6337384,'1991-10-07 00:00:00',4,2,12,2009,'M','N','MALUCHE','BRUSQUE','SC','124242241215212351449932375122231926032',NULL,'107',0.00,1,3,NULL),(25,6337392,'1993-07-29 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241216131751326714171122610112147',697,'459',74.53,1,3,NULL),(25,6337406,'1993-02-03 00:00:00',4,8,12,2010,'M','N','BUCAREIN','JOINVILLE','SC','124242241215271211459832595124610137042',2143,'459',68.77,3,3,NULL),(25,6337414,'1992-10-19 00:00:00',4,8,12,2010,'F','N','NOVA BRASÍLIA','JOINVILLE','SC','124241241215111411338624575114610134077',NULL,'1016',40.25,1,3,NULL),(25,6337422,'1981-03-13 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217271411146643235124331012097',NULL,'807',0.00,1,3,NULL),(25,6337430,'1993-01-29 00:00:00',4,1,12,2010,'M','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125163251216111131269819575215610127044',2799,'9998',66.53,1,3,NULL),(25,6337449,'1986-11-30 00:00:00',4,1,11,2004,'F','N','KOBRASOL','S JOSÉ','SC','224241241211132221226853572314131327077',NULL,'723',22.19,1,3,NULL),(25,6337465,'1992-10-23 00:00:00',4,6,12,2009,'F','N','CENTRO','STA MARIA','RS','120242201211371312448813275115610147057',NULL,'9998',31.21,1,3,NULL),(25,6337473,'1988-12-04 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216154411468713495124332032092',4815,'262',61.28,1,3,NULL),(25,6337481,'1992-09-07 00:00:00',4,1,12,2009,'F','N','RATONES','FLORIANÓPOLIS','SC','124242241235473431268923595114610124046',NULL,'883',0.00,1,3,NULL),(25,6337490,'1992-11-26 00:00:00',4,6,12,2009,'M','N','JARDIM BELVEDERE','ARARAS','SP','125251251112572541556331192122610137047',3564,'9998',62.28,1,2,1),(25,6337503,'1989-03-02 00:00:00',4,8,12,2006,'F','N','SAGUAÇU','JOINVILLE','SC','124242241217573431489711494114131348097',4002,'486',60.07,1,3,NULL),(25,6337511,'1993-09-16 00:00:00',4,8,12,2010,'M','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124244241215111431467632575114610127042',5383,'1174',57.17,1,3,NULL),(25,6337520,'1987-10-19 00:00:00',4,1,7,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242281437572431157933472124610124125',5222,'9998',60.35,1,3,NULL),(25,6337538,'1993-01-16 00:00:00',2,10,12,2010,'F','N','MAGALHÃES','LAGUNA','SC','124242241226161431433313335122610164072',NULL,'9997',0.00,1,3,NULL),(25,6337546,'1991-03-04 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215573431368833575122610167047',3441,'87',64.05,1,3,NULL),(25,6337554,'1992-04-26 00:00:00',4,1,12,2009,'F','N','CENTRO','PELOTAS','RS','120202201216111531158911596112240336147',15762,'9998',42.49,1,3,NULL),(25,6337562,'1985-01-24 00:00:00',2,8,12,2007,'M','N','IRIRIU','JOINVILLE','SC','124241247326142431126644145124231437057',NULL,'9999',0.00,1,3,NULL),(25,6337570,'1988-01-31 00:00:00',2,1,11,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116143411428844445134133232147',10338,'307',47.19,1,2,1),(25,6337589,'1993-01-10 00:00:00',2,1,12,2010,'F','N','BOA PARADA','S PEDRO ALCÂNTARA','SC','124241241216131431536921575124610122152',NULL,'1074',40.34,1,3,NULL),(25,6337597,'1994-02-21 00:00:00',2,3,12,2010,'M','N','CANTO DA PRAIA','ITAPEMA','SC','124242241215371431338832375122610167042',13753,'403',41.25,1,3,NULL),(25,6337600,'1992-08-15 00:00:00',4,8,12,2010,'M','N','BUCAREIN','JOINVILLE','SC','124244241446111131436611345121610117067',NULL,'459',28.29,1,3,NULL),(25,6337619,'1993-04-05 00:00:00',4,1,11,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215151231338812572124610117052',2739,'738',64.98,1,3,NULL),(25,6337627,'1981-08-15 00:00:00',4,8,12,1999,'F','N','BACACHERI','CURITIBA','PR','616161161116471711245373281122342512187',1068,'9998',73.38,4,3,NULL),(25,6337635,'1994-01-24 00:00:00',4,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124242241437311421345511175122610162145',14118,'1175',44.98,1,3,NULL),(25,6337643,'1991-09-25 00:00:00',4,3,12,2008,'M','N','CENTRO','LONDRINA','PR','116162161216511411236824371114610167112',NULL,'9998',0.00,1,3,NULL),(25,6337651,'1993-11-09 00:00:00',4,8,12,2010,'M','N','CENTRO','PNT GROSSA','PR','116162161215151431348832375122610122042',NULL,'9998',19.54,1,3,NULL),(25,6337660,'1988-12-24 00:00:00',2,1,12,2005,'F','N','JARDIM AQUARIUS','PALHOÇA','SC','124243241445133411536614345123230764092',19471,'262',35.90,1,3,NULL),(25,6337678,'1993-11-28 00:00:00',4,5,11,2010,'F','N','LOMBA','ORLEANS','SC','124242241215121431335324575122610122142',14025,'226',45.13,1,3,NULL),(25,6337686,'1990-03-11 00:00:00',4,1,12,2007,'F','N','JARDIM VITÓRIA','MARÍLIA','SP','125251251415572411438813575124610164147',4772,'9998',58.13,1,3,NULL),(25,6337694,'1989-05-29 00:00:00',2,1,8,2007,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241247122271121423341112324610117147',NULL,'9999',29.57,1,2,1),(25,6337708,'1993-06-03 00:00:00',2,1,12,2010,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124243241315111131424431372122610117143',NULL,'1223',15.25,1,3,NULL),(25,6337716,'1983-02-27 00:00:00',4,8,12,2001,'M','N','VILA NOVA','JOINVILLE','SC','224241241111135421336644242113332347041',NULL,'570',0.00,1,2,1),(25,6337724,'1969-11-29 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224241248632153431365942325124610124185',12039,'9999',45.07,1,3,NULL),(25,6337732,'1993-10-17 01:00:00',2,4,12,2010,'M','N','CENTRO','IPORÃ OESTE','SC','124241241237111411336834295121610117057',NULL,'1060',27.32,1,3,NULL),(25,6337740,'1994-04-12 00:00:00',2,4,12,2010,'M','N','CENTRO','XANXERÊ','SC','124242241217111731435632572122610134052',18969,'836',36.98,1,3,NULL),(25,6337759,'1992-03-23 00:00:00',4,2,12,2009,'M','N','DOS ESTADOS','INDAIAL','SC','124241241114371441336732285114612446172',NULL,'887',15.47,1,2,1),(25,6337775,'1994-09-09 00:00:00',2,1,2,2011,'F','N','PRAINHA','FLORIANÓPOLIS','SC','124242241215111421346613275122610161142',NULL,'1022',15.05,1,3,NULL),(25,6337783,'1992-07-19 00:00:00',4,4,12,2010,'M','N','VILA SÃO JOSE','TAUBATÉ','SP','125254251435471431328824575121610147112',NULL,'9998',0.00,1,3,NULL),(25,6337791,'1993-01-29 00:00:00',4,1,12,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124243241216154331444633385114231417052',11304,'1074',44.87,1,3,NULL),(25,6337805,'1989-05-03 00:00:00',2,15,12,2006,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124242241216152432338823285222131424011',15814,'970',42.43,1,3,NULL),(25,6337813,'1971-02-26 00:00:00',4,1,11,1987,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241216472411226442322123443111197',8760,'190',53.50,1,3,NULL),(25,6337821,'1994-03-01 00:00:00',2,1,12,2010,'M','N','KM CINCO','FRANCISCO ALVES','PR','116161161111131751613518571345610156177',NULL,'9998',0.00,1,2,1),(25,6337830,'1990-06-08 00:00:00',2,15,12,2008,'M','N','CENTRO','STA ROSA SUL','SC','124241241147161311333432385122231517052',14178,'689',44.89,1,2,1),(25,6337848,'1993-09-07 00:00:00',2,1,12,2010,'F','N','COLONIA SANTANA','S JOSÉ','SC','124242241216121431366613475124610137042',NULL,'1074',19.44,1,3,NULL),(25,6337856,'1992-10-05 00:00:00',4,1,12,2010,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124214241211131431133834345114610164042',8286,'272',51.30,4,3,NULL),(25,6337872,'1993-06-02 00:00:00',2,9,12,2010,'F','N','BELA VISTA','ITUPORANGA','SC','124241241116471431326612585124610152147',15212,'930',38.90,1,2,1),(25,6337880,'1994-03-11 00:00:00',2,1,11,2010,'M','N','CENTRO','S LOURENÇO OESTE','SC','124244161216111321436632575122610164043',NULL,'9998',0.00,4,3,NULL),(25,6337899,'1988-02-17 00:00:00',2,1,6,2006,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124243247327133431633371282124610126173',NULL,'944',35.85,1,3,NULL),(25,6337902,'1992-08-31 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241116131431526534575124610166192',NULL,'257',21.18,1,2,1),(25,6337910,'1991-04-30 00:00:00',4,7,12,2008,'M','N','APARECIDA','TANGARÁ','SC','124241242111131431536414445222610124012',13480,'831',40.50,1,3,NULL),(25,6337929,'1986-10-09 00:00:00',2,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241436153441448744445121123262045',14555,'1022',44.36,4,3,NULL),(25,6337937,'1993-05-10 00:00:00',2,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241115371731316329295124610165057',12122,'727',43.76,1,2,1),(25,6337945,'1990-01-16 00:00:00',4,1,1,2009,'M','N','STA TERESA','PTO ALEGRE','RS','124202207217131741139643492224143231111',NULL,'9998',0.00,1,3,NULL),(25,6337961,'1992-04-16 00:00:00',2,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241116372751523324385124610127147',19270,'288',30.97,3,2,1),(25,6337970,'1993-06-22 00:00:00',2,4,12,2010,'M','N','CENTRO','MAL CÂNDIDO RONDON','PR','116164161236151431358821572122610117011',17176,'9998',35.70,1,3,NULL),(25,6337996,'1995-03-28 00:00:00',4,6,12,2012,'F','S','FAZENDA','ITAJAÍ','SC','124242241212111732359914442122610138122',NULL,'270',28.53,1,3,NULL),(25,6338003,'1992-07-24 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161215471431568812572124610122012',NULL,'9998',0.00,1,3,NULL),(25,6338020,'1994-02-26 00:00:00',2,7,12,2010,'F','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124241241116161431433315382122610132017',16397,'140',35.40,1,2,1),(25,6338038,'1987-06-05 00:00:00',4,8,12,2004,'F','N','CRISTO REI','CURITIBA','PR','116162161217572231468812575114610132172',NULL,'9998',36.27,1,3,NULL),(25,6338046,'1991-03-04 00:00:00',4,1,12,2008,'M','N','LIBERDADE','S PAULO','SP','125162161216471431489931575123143232022',14268,'9998',44.76,1,3,NULL),(25,6338062,'1992-09-26 00:00:00',2,2,12,2010,'F','N','SANTA RITA','BRUSQUE','SC','124241241115271431443414385124610133142',NULL,'876',19.87,1,2,1),(25,6338070,'1981-12-23 00:00:00',4,1,12,1998,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241216155231358519435124130444047',7302,'266',56.18,1,3,NULL),(25,6338097,'1993-03-08 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124241241227271431355612245124610137042',13502,'262',40.50,1,3,NULL),(25,6338100,'1985-02-12 00:00:00',2,1,12,2001,'M','N','CENTRO','GAROPABA','SC','124241241121312451626314445123610157123',17044,'322',40.56,1,3,NULL),(25,6338119,'1993-10-30 00:00:00',2,4,12,2009,'M','N','SAO FRANCISCO','CPO ERÊ','SC','124241241116151431346429275121610127042',20748,'136',32.15,1,3,NULL),(25,6338127,'1987-11-08 00:00:00',4,1,12,2004,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241241117274741346439475114122964057',5995,'307',56.15,1,3,NULL),(25,6338135,'1956-04-12 00:00:00',2,1,12,1977,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224161163126141411363354235122232756093',20290,'9998',33.80,1,3,NULL),(25,6338143,'1993-02-08 00:00:00',2,2,12,2010,'F','N','IMIGRANTES','GUABIRUBA','SC','124244241215111331458514575122610163092',17500,'109',34.28,1,3,NULL),(25,6338151,'1993-01-20 00:00:00',2,4,12,2010,'M','N','SÃO PEDRO','XANXERÊ','SC','124241241116131431323324575125610125197',NULL,'949',0.00,1,3,NULL),(25,6338160,'1990-09-17 00:00:00',4,3,11,2008,'F','N','CENTRO','JARAGUÁ SUL','SC','124242161217524731579811575124232463187',7916,'9998',54.97,1,3,NULL),(25,6338178,'1991-03-24 00:00:00',4,1,12,2008,'M','N','N SENHORA DO ROSÁRIO','S JOSÉ','SC','124241241122271431433614245124610122182',NULL,'95',17.35,2,2,1),(25,6338194,'1993-03-21 00:00:00',2,4,12,2010,'F','N','PATRONATO','STA MARIA','RS','120202201216211431358816375122610123147',NULL,'9998',0.00,1,3,NULL),(25,6338216,'1992-06-22 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215112431468833372122610127041',14400,'270',41.46,1,3,NULL),(25,6338224,'1992-06-26 00:00:00',2,1,12,2010,'F','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124241248115211532426612572224610123147',20628,'65',32.64,2,2,1),(25,6338232,'1990-10-04 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124112111216112431358833575122221434032',2758,'9998',66.63,1,3,NULL),(25,6338240,'1993-04-14 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124241246115111431424734591225610136147',15757,'935',42.51,1,2,1),(25,6338259,'1995-02-15 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241115471431237713575114610164142',13548,'307',45.85,1,3,NULL),(25,6338267,'1993-01-08 00:00:00',5,7,12,2010,'F','N','JARDIM VITÓRIA','ARARAQUARA','SP','125252251216111431343834572124610136052',NULL,'9998',0.00,1,3,NULL),(25,6338275,'1993-09-28 00:00:00',2,1,12,2010,'M','N','BELA VISTA','S JOSÉ','SC','124241241115151431335319575124610134047',16157,'257',36.51,1,2,1),(25,6338283,'1991-08-04 00:00:00',2,1,12,2009,'F','N','CENTRO','ARAÇOIABA SERRA','SP','125251251216471411338824581222610121122',5154,'9998',57.21,1,3,NULL),(25,6338291,'1991-07-17 00:00:00',2,5,8,2009,'F','N','CEARÁ','CRICIÚMA','SC','124243246215372451226624594124610128147',6030,'995',56.35,1,3,NULL),(25,6338305,'1985-11-25 00:00:00',4,8,11,2004,'M','N','SANTO ANTONIO','JOINVILLE','SC','124241241137151731344614444112131736045',NULL,'476',0.00,1,3,NULL),(25,6338313,'1992-08-10 00:00:00',2,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241212412431348731575124233222052',14607,'1022',40.33,1,3,NULL),(25,6338321,'1990-02-05 00:00:00',4,1,12,2007,'M','N','CENTRO','PELOTAS','RS','120201201117471431323319174124143245147',2224,'9998',65.79,1,2,1),(25,6338330,'1992-11-17 00:00:00',4,1,12,2009,'M','N','CENTRO','S MANUEL','SP','125252251212471411358833575125610166122',4379,'9998',58.37,1,3,NULL),(25,6338348,'1993-07-18 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241127141731435519295125610148027',NULL,'282',31.92,1,2,1),(25,6338372,'1992-07-12 00:00:00',4,16,12,2010,'M','N','CENTRO','VARGEM','SC','124241241126161431114448381324610114147',NULL,'1082',0.00,1,2,1),(25,6338380,'1991-07-12 00:00:00',2,1,12,2008,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124222241215113411335814277344221417161',6454,'1022',57.83,1,3,NULL),(25,6338399,'1992-07-14 00:00:00',2,1,12,2009,'F','N','CENTRO','PASSOS','MG','113132131216471331459812571122610125122',4652,'9998',60.37,1,3,NULL),(25,6338402,'1993-10-26 00:00:00',4,10,12,2010,'M','N','CENTRO','TUBARÃO','SC','124242244217111531356832592122612467092',NULL,'807',19.54,1,3,NULL),(25,6338410,'1986-08-03 00:00:00',2,1,12,2003,'M','N','CAVALHADA','PTO ALEGRE','RS','120203201137271711443819495124610164027',17163,'9998',33.45,4,3,NULL),(25,6338429,'1985-02-05 00:00:00',4,1,12,2003,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124052051217141411337631217222133254113',NULL,'9998',0.00,1,3,NULL),(25,6338445,'1990-08-28 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217112431448837315124121467072',6739,'1022',57.22,1,3,NULL),(25,6338453,'1993-06-09 00:00:00',4,7,11,2010,'M','N','FLOR DA SERRA','JOAÇABA','SC','124242241217371411658611571122610134052',1302,'446',72.30,1,3,NULL),(25,6338461,'1992-12-14 00:00:00',2,15,12,2010,'M','N','PONTE ALTA','TURVO','SC','124241248115371221423315515122610127054',NULL,'814',11.10,1,3,NULL),(25,6338488,'1993-10-07 00:00:00',4,1,12,2010,'M','N','IPIRANGA','S JOSÉ','SC','124242241217111432358613575112610167182',12665,'1118',42.99,1,3,NULL),(25,6338496,'1993-10-04 00:00:00',4,5,11,2010,'M','N','MARIA CÉU','CRICIÚMA','SC','124244241236151441547712245124610122172',NULL,'9997',0.00,1,3,NULL),(25,6338500,'1992-08-13 00:00:00',2,1,12,2010,'F','N','SANTA CATARINA','CAXIAS SUL','RS','120203201325371731623332225124610127147',NULL,'9998',23.08,1,3,NULL),(25,6338518,'1990-10-03 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217573731468614495114131827132',6377,'270',53.93,1,3,NULL),(25,6338526,'1993-06-06 00:00:00',4,8,12,2010,'M','N','AMÉRICA','JOINVILLE','SC','124242241217141431537912295124610127087',21733,'1018',24.37,1,3,NULL),(25,6338534,'1992-04-21 00:00:00',4,1,12,2009,'F','N','CANECÃO','GUAPORÉ','RS','120201201117471451434611381125610138187',13327,'9998',40.84,1,2,1),(25,6338542,'1984-11-01 00:00:00',2,1,7,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224161247147132421336654412124610161052',NULL,'1117',27.46,1,2,1),(25,6338550,'1992-02-24 00:00:00',2,1,12,2009,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241135571431526813275124610161187',8045,'592',52.83,1,2,1),(25,6338577,'1979-01-04 00:00:00',4,1,12,1997,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243241146273431328879485112610132187',13207,'307',46.34,1,3,NULL),(25,6338585,'1993-04-13 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431436623475124610167147',5578,'272',57.35,1,3,NULL),(25,6338607,'1990-12-12 00:00:00',2,1,12,2007,'F','N','AREIAS DA PALHOCINHA','GAROPABA','SC','124241241147371431336834375124610133117',NULL,'322',0.00,1,2,1),(25,6338615,'1993-09-12 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241215111711454934232122610118142',NULL,'44',0.00,1,3,NULL),(25,6338623,'1992-05-04 00:00:00',4,8,12,2009,'M','N','STELLA MARIS','PERUÍBE','SP','125251251216471332348632572111610137117',NULL,'9998',0.00,4,3,NULL),(25,6338631,'1991-11-23 00:00:00',4,3,12,2008,'F','N','VALE DO SOL','CASCAVEL','PR','116161161115471431426613575114610164147',NULL,'9998',0.00,1,2,1),(25,6338658,'1993-04-15 00:00:00',4,1,12,2010,'F','N','SANTANA','S PAULO','SP','125252251217121231466932575125610162143',NULL,'9998',0.00,1,3,NULL),(25,6338666,'1993-05-07 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242245215111442338614277114610124052',NULL,'738',32.26,1,3,NULL),(25,6338674,'1993-01-31 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241114273741333814245124610142142',15506,'288',42.89,1,3,NULL),(25,6338682,'1984-05-03 00:00:00',4,1,2,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241247122272421335521392134610112043',NULL,'9999',16.95,2,1,1),(25,6338690,'1992-03-12 00:00:00',4,9,12,2009,'M','N','BELA VISTA','BOM RETIRO','SC','124241241136372731424411575125610117047',20490,'95',33.17,1,2,1),(25,6338704,'1991-11-11 00:00:00',4,17,12,2010,'F','N','COAHB','MAJ VIEIRA','SC','124241248115271431523323572324610128052',NULL,'548',25.78,1,2,1),(25,6338720,'1992-11-10 00:00:00',2,4,12,2009,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120201201216471431338613575122610136052',8512,'9998',50.41,1,3,NULL),(25,6338739,'1986-04-16 00:00:00',4,2,12,2003,'M','N','TAPAJÓS','INDAIAL','SC','124243241111371431557612244122610127047',11728,'787',48.57,1,3,NULL),(25,6338747,'1992-10-01 00:00:00',4,1,11,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241243217112731456613395124610117062',NULL,'1074',0.00,1,3,NULL),(25,6338755,'1991-08-20 00:00:00',2,7,12,2008,'M','N','SAO JOSE OPERARIO','SANANDUVA','RS','120201201116471441433614285124610137052',14840,'9998',38.38,1,2,1),(25,6338763,'1989-09-01 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124204201216473421353619345132133267047',NULL,'9998',17.93,1,3,NULL),(25,6338780,'1990-11-26 00:00:00',2,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217132411228911315124221864052',NULL,'459',NULL,1,3,NULL),(25,6338798,'1993-06-29 00:00:00',4,1,6,2011,'M','S','BARREIROS','S JOSÉ','SC','124242241117151631455639575124610124052',NULL,'739',37.32,1,3,NULL),(25,6338801,'1991-12-16 00:00:00',2,8,12,2009,'F','N','DONA FRANCISCA','S BENTO SUL','SC','124241241116473431323315572122231413052',6984,'697',53.16,1,2,1),(25,6338810,'1993-04-19 00:00:00',4,1,11,2010,'M','N','SETOR BUENO','GOIÂNIA','GO','109222091217121431254432572112610167044',1629,'9998',70.76,1,3,NULL),(25,6338828,'1993-04-08 00:00:00',4,1,12,2010,'F','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124242241215111431546624275122610144112',17803,'738',34.89,1,3,NULL),(25,6338836,'1993-08-27 00:00:00',2,17,12,2010,'M','N','JOÃO PAULO II','TRÊS BARRAS','SC','124241241117111431436314575111610137187',18795,'789',32.66,1,2,1),(25,6338844,'1993-06-06 00:00:00',2,1,11,2010,'M','N','PORTAL','DOURADOS','MS','112124121216121431458811575122610132147',NULL,'9998',0.00,1,3,NULL),(25,6338852,'1992-09-06 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215211431325531575124610125192',NULL,'269',25.46,1,3,NULL),(25,6338860,'1993-02-06 00:00:00',4,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111411326624572124610127147',9399,'1134',52.35,4,3,NULL),(25,6338879,'1993-07-27 00:00:00',4,16,12,2010,'F','N','CENTRO','VARGEM','SC','124241241126131431324413495122610138147',NULL,'1082',0.00,1,2,1),(25,6338887,'1992-05-19 00:00:00',4,1,11,2009,'M','N','CENTRO','CNSO LAFAIETE','MG','113132131217471431366831571124610164127',1154,'9998',71.24,1,3,NULL),(25,6338895,'1992-08-31 00:00:00',4,1,7,2010,'M','N','SETOR BUENO','GOIÂNIA','GO','109093281417271441453816325124610162042',1339,'9998',72.00,1,3,NULL),(25,6338909,'1993-07-08 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124241241115371431546673575122610122177',NULL,'239',41.17,1,2,1),(25,6338917,'1981-10-23 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244247426172732328619475114132032142',NULL,'9999',5.74,1,3,NULL),(25,6338933,'1983-02-17 00:00:00',4,8,12,2000,'M','N','IRIRIU','JOINVILLE','SC','124244241217151411446923385124241466197',7369,'486',56.03,1,3,NULL),(25,6338941,'1970-07-29 00:00:00',2,5,12,1986,'F','N','VERA CRUZ','CRICIÚMA','SC','624246243626234441513343295122332335092',18913,'9997',37.09,4,3,NULL),(25,6338950,'1994-07-02 00:00:00',4,1,12,2011,'F','S','MEIA PRAIA','ITAPEMA','SC','124242241217111731377812122122610164122',NULL,'948',18.56,1,3,NULL),(25,6338968,'1992-03-23 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241216143421475612345122230227042',14775,'1022',40.45,1,3,NULL),(25,6338976,'1991-05-01 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241248116132431438611295134230844122',NULL,'257',22.31,1,2,1),(25,6338984,'1989-08-28 00:00:00',2,1,12,2005,'F','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124241241215234321124649392324610167067',16890,'1036',40.79,1,3,NULL),(25,6338992,'1985-11-09 00:00:00',4,1,12,2002,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241211271411459813371122433261145',NULL,'185',23.45,1,3,NULL),(25,6339000,'1993-02-18 00:00:00',4,16,12,2010,'M','N','CENTRO','MTE CARLO','SC','124241241116262431448913575122610125032',11503,'936',46.45,1,2,1),(25,6339018,'1993-02-09 00:00:00',2,1,12,2010,'F','N','JARDIM COPACABANA','PINHALZINHO','SP','125254251316151431325314575124610145092',NULL,'9998',0.00,1,3,NULL),(25,6339026,'1991-08-30 00:00:00',2,1,12,2008,'M','N','ZONA SETE','MARINGÁ','PR','116132161214571431368934581114610114192',4237,'9998',59.86,1,3,NULL),(25,6339034,'1993-07-18 00:00:00',4,2,12,2010,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215272431436822572122610138197',14561,'109',39.19,1,3,NULL),(25,6339042,'1993-12-02 00:00:00',4,10,12,2011,'F','S','CENTRO','TUBARÃO','SC','124242241217151731138828575122610142147',NULL,'807',43.76,1,3,NULL),(25,6339077,'1992-08-14 00:00:00',2,1,11,2010,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124244241412341431335632242122331527052',NULL,'63',15.91,1,3,NULL),(25,6339085,'1992-11-26 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241217473421469613595122610164092',17365,'1022',39.99,1,3,NULL),(25,6339093,'1961-10-24 00:00:00',2,1,12,1981,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224251257347132441536859281344132766197',NULL,'9998',0.00,1,3,NULL),(25,6339107,'1986-08-12 00:00:00',2,10,12,2004,'M','N','CENTRO','TUBARÃO','SC','124062248216371441559633595122232837187',NULL,'797',0.00,4,3,NULL),(25,6339115,'1990-09-16 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241136372731326319385124610134053',NULL,'733',22.70,1,3,NULL),(25,6339123,'1992-01-02 00:00:00',4,16,12,2010,'M','N','ZONA RURAL','VARGEM','SC','124241241125161411313315572324610134197',NULL,'1082',0.00,1,2,1),(25,6339131,'1991-04-07 00:00:00',4,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241145472431523623342214130721147',12221,'19',47.80,1,2,1),(25,6339140,'1971-10-23 00:00:00',4,1,5,2010,'M','N','CACH DO BOM JESUS','FLORIANÓPOLIS','SC','224131247226134721443349195122233217047',NULL,'9999',0.00,4,3,NULL),(25,6339158,'1993-09-08 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112431336614274114610133147',11914,'1022',44.17,1,3,NULL),(25,6339166,'1991-08-29 00:00:00',4,1,12,2008,'M','N','CENTRO','CPO GRANDE','MS','112111111415572431353316575122610167152',NULL,'9998',0.00,4,3,NULL),(25,6339174,'1983-08-15 00:00:00',4,4,12,2001,'M','N','COLATTO','XANXERÊ','SC','124242241216372421449931385122531532197',NULL,'872',0.00,1,3,NULL),(25,6339182,'1994-03-29 00:00:00',2,9,11,2010,'F','N','RECANTUS','S JOAQUIM','SC','124242241215151431568632575112610137077',NULL,'721',38.43,1,3,NULL),(25,6339190,'1987-01-17 00:00:00',2,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124252257336371411246921245221142137112',NULL,'9998',24.32,4,3,NULL),(25,6339204,'1994-04-07 00:00:00',2,17,12,2010,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241116221431648923575122610134042',20656,'146',28.72,4,2,1),(25,6339220,'1993-05-28 00:00:00',4,1,12,2010,'F','N','BATEAS','BRUSQUE','SC','124242243217312411556612575122610123142',NULL,'109',0.00,1,3,NULL),(25,6339239,'1993-02-21 00:00:00',4,1,12,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241115131431434679572212610116147',NULL,'1009',23.28,1,2,1),(25,6339255,'1992-12-05 00:00:00',2,3,12,2009,'F','N','GAMA','GAMA','DF','107074071136171731223721595124241518047',NULL,'9998',32.00,1,3,NULL),(25,6339263,'1992-09-11 00:00:00',4,1,12,2009,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241116112431443313415124230267045',NULL,'281',32.94,1,3,NULL),(25,6339271,'1992-02-08 00:00:00',2,1,8,2010,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241117371411548613575122610163142',NULL,'739',32.01,1,2,1),(25,6339280,'1986-10-08 00:00:00',2,1,12,2003,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215374432439923375114610124187',NULL,'1036',0.00,1,3,NULL),(25,6339298,'1991-01-08 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115132431338623385114610137047',21197,'307',30.07,1,2,1),(25,6339301,'1988-02-11 00:00:00',2,1,12,2005,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244241217133431466613495113221467117',NULL,'1022',38.23,1,3,NULL),(25,6339310,'1991-10-18 00:00:00',4,1,7,2009,'M','N','CENTRO','LAGES','SC','124242281415472411468831472115610167012',1565,'9998',71.04,1,3,NULL),(25,6339328,'1993-10-29 00:00:00',4,7,11,2010,'F','N','CENTRO','LACERDÓPOLIS','SC','124242241217271431556832572112610162146',9523,'446',49.47,1,3,NULL),(25,6339336,'1990-12-03 00:00:00',4,8,12,2008,'M','N','AMÉRICA','JOINVILLE','SC','124242241217472531689831572122132438117',1544,'1063',70.70,1,3,NULL),(25,6339344,'1991-08-13 00:00:00',4,1,12,2008,'M','N','ZONA SETE','MARINGÁ','PR','116162161217571751249873571115610164197',4640,'9998',58.61,1,3,NULL),(25,6339352,'1993-07-02 00:00:00',2,1,12,2010,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241116161431536413575124610167067',NULL,'278',21.27,1,3,NULL),(25,6339360,'1994-10-27 00:00:00',4,1,12,2011,'M','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241216111431348924575124610128117',NULL,'270',63.23,1,3,NULL),(25,6339379,'1993-11-17 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215371431326629592125610165072',20098,'724',29.71,1,3,NULL),(25,6339387,'1994-02-07 00:00:00',2,4,12,2010,'F','N','CENTRO','XANXERÊ','SC','124244241417271431336771576122610136187',10419,'1233',44.84,1,3,NULL),(25,6339395,'1989-03-06 00:00:00',4,1,12,2006,'F','N','SANTO AMARO','S PAULO','SP','125252251217571431479811575122141562122',NULL,'9998',0.00,1,3,NULL),(25,6339409,'1993-08-11 00:00:00',4,8,12,2010,'F','N','GLÓRIA','JOINVILLE','SC','124241241215421731459913575122610124033',7584,'1016',51.61,1,3,NULL),(25,6339417,'1994-01-07 00:00:00',4,8,11,2010,'M','N','BATEL','CURITIBA','PR','116162161215111731468712575122610116082',NULL,'9998',0.00,1,3,NULL),(25,6339425,'1993-12-27 00:00:00',2,1,12,2010,'F','N','PONTE DE IMARUIM','PALHOÇA','SC','124241241117111411423823572122610124052',NULL,'592',34.04,1,3,NULL),(25,6339433,'1992-10-26 00:00:00',2,9,12,2010,'M','N','CENTRO','LAGES','SC','124242241215472431468832322122610127012',21604,'499',26.88,1,3,NULL),(25,6339441,'1992-07-17 00:00:00',2,15,11,2009,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215471411439819595122610166142',NULL,'32',0.00,1,3,NULL),(25,6339450,'1990-08-16 00:00:00',4,1,11,2007,'F','N','CENTRO','CASCAVEL','PR','116162011216471431569923382124142124197',8783,'9998',50.92,1,3,NULL),(25,6339468,'1977-12-13 00:00:00',2,1,12,1996,'M','N','SÃO JORGE','RIO GRANDE','RS','120202207227131511116648485124140861032',17160,'9998',40.35,1,3,NULL),(25,6339476,'1991-10-22 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116373441449833495124232835017',8780,'192',53.45,1,2,1),(25,6339484,'1982-01-31 00:00:00',4,1,11,1999,'M','N','LESTE UNIVERSITARIO','GOIÂNIA','GO','109222221216573411576931425122243242047',818,'9998',71.98,4,3,NULL),(25,6339492,'1992-05-03 00:00:00',2,1,12,2009,'M','N','JARDIM UNIVERSITÁRIO','MARINGÁ','PR','116162161216472331668834575112610117172',14689,'9998',44.17,1,3,NULL),(25,6339514,'1990-05-15 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124202201217573231359833575124221442042',994,'9998',72.72,1,3,NULL),(25,6339522,'1988-10-01 00:00:00',4,16,12,2005,'M','N','ZONA RURAL','VARGEM','SC','124241241127161411428435352312610114192',NULL,'1082',0.00,1,2,1),(25,6339530,'1993-05-29 00:00:00',4,4,12,2010,'F','N','JARDIM ITALIA','CHAPECÓ','SC','124242241216112431388833571122610165142',772,'168',74.82,1,3,NULL),(25,6339549,'1993-07-13 00:00:00',2,1,12,2010,'M','N','PASSA VINTE PAGANI','PALHOÇA','SC','124072241215111431438811345124610118042',NULL,'9997',29.37,4,3,NULL),(25,6339557,'1992-10-07 00:00:00',2,8,11,2010,'F','N','CENTRO','BARRA VELHA','SC','124241241135471731543319272224610126147',NULL,'57',0.00,1,2,1),(25,6339565,'1993-06-13 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215172731368613471221610137162',NULL,'1022',20.28,1,3,NULL),(25,6339573,'1992-09-11 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215372441526614375122610124052',8993,'988',53.06,1,3,NULL),(25,6339581,'1990-03-09 00:00:00',4,4,11,2007,'M','N','CENTRO','CASCAVEL','PR','116162161215572431547632575112610127067',NULL,'9998',32.26,1,3,NULL),(25,6339590,'1992-06-23 00:00:00',2,1,12,2009,'F','N','SANTA CRUZ','ÁGUAS MORNAS','SC','124241241116472431623415181114610127143',NULL,'978',18.42,1,2,1),(25,6339611,'1993-06-16 00:00:00',4,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124241241217111751636619575114610142142',NULL,'1011',43.34,1,3,NULL),(25,6339620,'1993-11-27 00:00:00',4,16,12,2010,'M','N','SENHOR BOM JESUS','CAMPOS NOVOS','SC','124241242113161431423415592325610127047',NULL,'960',0.00,3,3,NULL),(25,6339646,'1983-07-02 00:00:00',2,8,11,2010,'F','N','ACARAÍ','S FRANCISCO SUL','SC','224241247127151741436654225122610124182',NULL,'9999',0.00,1,3,NULL),(25,6339654,'1993-10-21 00:00:00',4,1,11,2011,'M','S','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111732478832585112610114187',NULL,'270',0.00,3,3,NULL),(25,6339662,'1993-11-23 00:00:00',2,17,12,2010,'F','N','CENTRO','RIO NEGRINHO','SC','124241241142141431413319392224610137057',NULL,'669',19.97,1,2,1),(25,6339670,'1993-12-06 00:00:00',4,1,11,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215121731468912595114610128092',9084,'270',52.91,1,3,NULL),(25,6339689,'1992-04-27 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216112731449933445114610114047',18491,'1022',32.82,1,3,NULL),(25,6339697,'1993-05-04 00:00:00',2,5,11,2010,'F','N','SÃO LUÍS','CRICIÚMA','SC','124242241215111431368714572112610146122',NULL,'226',27.53,1,3,NULL),(25,6339700,'1992-12-18 00:00:00',2,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124242241211111431324619275122610127182',NULL,'976',12.88,1,3,NULL),(25,6339719,'1993-01-28 00:00:00',4,1,12,2010,'M','N','MADUREIRA','CAXIAS SUL','RS','120202201214111411389934275122610114115',10954,'9998',45.87,1,3,NULL),(25,6339735,'1983-11-17 00:00:00',2,1,7,2002,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241247446575751568613395124220928187',1756,'9999',68.03,1,3,NULL),(25,6339743,'1991-09-04 00:00:00',4,9,12,2008,'M','N','COPACABANA','LAGES','SC','124241241116272731436529575112610137067',17398,'935',39.93,1,2,1),(25,6339751,'1994-06-06 00:00:00',4,1,12,2011,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242248217111531478812575124610162145',NULL,'270',38.13,1,3,NULL),(25,6339760,'1993-01-15 00:00:00',4,8,11,2010,'M','N','ENCRUZILHADA','SANTOS','SP','125253251216111431456669575121610164182',14654,'9998',39.44,1,3,NULL),(25,6339778,'1993-09-01 00:00:00',4,2,11,2010,'F','N','IMIGRANTES','GUABIRUBA','SC','124242241215271431445823275114610134192',6101,'107',55.59,1,3,NULL),(25,6339786,'1993-02-08 00:00:00',4,1,12,2010,'F','N','UBERABA','CURITIBA','PR','116161161335421711326619575124610165192',1625,'9998',69.17,1,3,NULL),(25,6339794,'1992-09-20 00:00:00',2,17,11,2009,'F','N','CENTRO','UNIÃO VITÓRIA','PR','116242161215471431338823572122610138182',9906,'9998',48.01,1,3,NULL),(25,6339808,'1992-01-16 00:00:00',4,8,12,2009,'M','N','JARDIM PRIMAVERA','BIRIGÜI','SP','125252251215471431277823475124610164012',797,'9998',74.40,1,3,NULL),(25,6339816,'1978-08-07 00:00:00',2,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124246248646131441336949295124610162042',16798,'306',40.94,1,3,NULL),(25,6339824,'1993-07-03 00:00:00',4,2,12,2010,'M','N','TESTO ALTO','POMERODE','SC','124243241117111431437612572121610167092',11579,'621',44.52,1,3,NULL),(25,6339832,'1985-08-19 00:00:00',5,1,12,2003,'F','N','IPIRANGA','S JOSÉ','SC','124241241146473431433473145134132024157',NULL,'66',0.00,1,2,1),(25,6339859,'1993-06-14 00:00:00',4,2,12,2010,'F','N','CENTRO','GUABIRUBA','SC','124243241215141731458932245124610142197',14455,'109',39.95,1,3,NULL),(25,6339867,'1992-02-28 00:00:00',4,8,12,2009,'F','N','JARDIM CLAÚDIA','LONDRINA','PR','116162161216471411359913575122610166032',2792,'9998',64.55,1,3,NULL),(25,6339883,'1993-10-03 00:00:00',4,1,10,2010,'F','N','BOM RETIRO','CURITIBA','PR','116162161435471431448812335124610161112',15824,'9998',36.99,1,3,NULL),(25,6339891,'1992-09-21 00:00:00',2,1,12,2009,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','116202201215271431358933276124610137027',17716,'9998',39.38,1,3,NULL),(25,6339913,'1994-02-09 00:00:00',4,1,8,2010,'M','N','ITACURUBI','FLORIANÓPOLIS','SC','124242241215161431569812572122610127147',18851,'1169',37.24,1,3,NULL),(25,6339921,'1993-09-28 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124161241117371431423511175222610163147',NULL,'732',19.66,4,2,1),(25,6339930,'1992-09-29 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431459911575124610131192',15074,'262',39.90,1,3,NULL),(25,6339948,'1992-12-30 00:00:00',4,3,12,2010,'M','N','CENTRO','CURITIBA','PR','116162161217471431569911575122610164092',NULL,'9998',0.00,1,3,NULL),(25,6339956,'1988-10-26 00:00:00',2,5,12,2006,'M','N','CENTRO','CRICIÚMA','SC','124242201216133431458814585124141437047',7475,'9998',51.54,1,3,NULL),(25,6339964,'1981-01-05 00:00:00',4,15,12,2000,'M','N','CENTRO','MARACAJÁ','SC','124241241145132741224429145223610111052',16727,'550',41.03,1,3,NULL),(25,6339972,'1992-02-16 00:00:00',1,8,12,2010,'F','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161217121431469933472112610122053',14711,'9998',39.02,1,3,NULL),(25,6339980,'1993-04-01 00:00:00',2,8,12,2010,'F','N','CRUZEIRO','S BENTO SUL','SC','124241241136141411424419395124610134147',NULL,'693',0.00,1,2,1),(25,6339999,'1991-11-21 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241135472431453823572124610167161',18662,'295',37.62,1,2,1),(25,6340016,'1984-06-11 00:00:00',2,1,6,2002,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243247434131411128444245234610166172',15426,'9999',43.02,4,3,NULL),(25,6340024,'1991-05-29 00:00:00',4,1,12,2009,'M','N','BOM RETIRO','CURITIBA','PR','116162161415471431448812392121610167112',7574,'9998',53.10,1,3,NULL),(25,6340032,'1992-03-08 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116472431523811575124610123092',20059,'307',29.87,1,2,1),(25,6340059,'1992-12-13 00:00:00',2,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215111431489933375124610115142',8704,'270',53.59,1,3,NULL),(25,6340067,'1989-11-28 00:00:00',2,1,12,2006,'M','N','TERESÓPOLIS','PTO ALEGRE','RS','120202201217571751379813571122140237042',6562,'9998',53.60,1,3,NULL),(25,6340075,'1994-07-14 00:00:00',1,1,11,2011,'M','S','INGLESES','FLORIANÓPOLIS','SC','124241241117111232447834576124610138062',NULL,'267',47.71,1,3,NULL),(25,6340083,'1991-01-31 00:00:00',4,8,11,2008,'M','N','JARDIM SUMARÉ','ARAÇATUBA','SP','125252251216571451459811571122610137087',NULL,'9998',43.16,1,3,NULL),(25,6340091,'1993-03-26 00:00:00',4,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241225111431523529395124610124143',10729,'262',45.82,1,3,NULL),(25,6340105,'1993-01-19 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241215141732446632372122610132152',NULL,'1074',18.28,4,3,NULL),(25,6340113,'1993-06-27 00:00:00',2,3,12,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241135131431323311282121610117117',NULL,'405',19.82,1,3,NULL),(25,6340121,'1993-09-28 00:00:00',2,9,12,2010,'M','N','CENTRO','URUBICI','SC','124241241117131431446919575121610128057',10279,'818',46.96,4,2,1),(25,6340130,'1986-07-01 00:00:00',4,1,12,2003,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217275431479913495122220737182',NULL,'272',0.00,1,3,NULL),(25,6340148,'1994-01-08 00:00:00',4,1,12,2011,'F','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217171411388833576112610126195',NULL,'270',52.14,1,3,NULL),(25,6340172,'1993-05-01 00:00:00',2,1,12,2010,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241115141431436634241114610114042',19965,'739',34.69,1,2,1),(25,6340180,'1993-04-13 00:00:00',4,2,12,2010,'F','N','CENTRO','MAL CÂNDIDO RONDON','PR','116242161216121431369913395212610123092',12088,'9998',43.17,1,3,NULL),(25,6340199,'1993-05-18 00:00:00',4,1,12,2010,'M','N','JD VIVENDAS','S JOSÉ R PRETO','SP','125252251215111411458814571122610117197',NULL,'9998',0.00,1,3,NULL),(25,6340229,'1993-01-29 00:00:00',4,1,6,2010,'M','N','CACUPE','FLORIANÓPOLIS','SC','124242247215151531434854575112230267115',19702,'9999',35.36,1,3,NULL),(25,6340237,'1986-12-05 00:00:00',2,1,12,2004,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216474431466612475121221427121',NULL,'213',0.00,4,3,NULL),(25,6340245,'1991-12-11 00:00:00',4,1,12,2008,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241146161431446619495124610124142',NULL,'13',22.39,1,2,1),(25,6340253,'1993-09-05 00:00:00',2,9,12,2010,'F','N','SÃO CRISTOVÃO','LAGES','SC','124241241115271431327869275124610153097',19808,'935',29.88,1,3,NULL),(25,6340261,'1991-11-22 00:00:00',4,1,12,2009,'F','N','VILA CÉLIA','CPO GRANDE','MS','112122121215472431478812575122610164074',3136,'9998',63.92,1,3,NULL),(25,6340270,'1993-04-22 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111731434733375124610166012',5037,'1118',60.33,1,3,NULL),(25,6340288,'1993-07-22 00:00:00',2,10,11,2010,'F','N','CENTRO','BRAÇO NORTE','SC','124242241215111431346612195111610168097',20942,'226',31.34,1,3,NULL),(25,6340296,'1993-07-10 00:00:00',4,1,12,2010,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241116111431533313575124610147067',NULL,'278',28.69,1,3,NULL),(25,6340300,'1993-01-02 00:00:00',4,2,11,2010,'F','N','CENTRO','PRES GETÚLIO','SC','124242241215141231557632245124610162142',17762,'9997',39.30,1,3,NULL),(25,6340318,'1992-10-15 00:00:00',4,2,12,2010,'M','N','CENTRO','POMERODE','SC','124241241135141411327421115124610124142',NULL,'621',32.15,1,2,1),(25,6340326,'1987-06-20 00:00:00',2,1,12,2004,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124251251117132431325634346124610132097',16231,'9998',41.80,2,1,1),(25,6340334,'1991-10-31 00:00:00',4,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124112241215372411259814445122610117095',5431,'1111',56.80,1,3,NULL),(25,6340342,'1992-04-13 00:00:00',2,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124251251116472431557824372114610132041',1105,'9998',73.39,1,2,1),(25,6340350,'1993-11-27 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124244241215121731426823575122610132192',11868,'723',43.54,1,3,NULL),(25,6340369,'1993-06-03 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124244248115151731434664395122610128057',21482,'239',28.11,1,3,NULL),(25,6340377,'1992-09-18 00:00:00',2,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124244241217111751465567375124610165157',NULL,'1022',26.48,1,3,NULL),(25,6340385,'1993-01-27 00:00:00',2,1,12,2010,'F','N','SANTA CRUZ DA FIGUEI','ÁGUAS MORNAS','SC','124241241115131431435412575122610113142',14324,'978',40.47,1,2,1),(25,6340393,'1993-01-20 00:00:00',2,9,11,2010,'F','N','MINUANO','S JOAQUIM','SC','124243241215111431353521595122610167012',NULL,'1207',20.59,1,3,NULL),(25,6340407,'1993-04-11 00:00:00',2,1,12,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241115471431457823575124610135143',18455,'307',33.16,1,2,1),(25,6340415,'1993-11-10 00:00:00',2,1,10,2010,'F','N','VILA NOVA','BLUMENAU','SC','124241241215111431423634575124610134147',13342,'855',41.84,1,3,NULL),(25,6340423,'1991-12-15 00:00:00',2,8,12,2008,'F','N','BOM RETIRO','JOINVILLE','SC','124241241135373231539913472324122334192',6788,'401',57.13,1,3,NULL),(25,6340431,'1993-05-05 00:00:00',2,2,12,2010,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124242241217111431458834291124510123092',5451,'87',57.14,1,3,NULL),(25,6340440,'1990-01-18 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126371331424524185124610122072',18675,'290',37.59,1,3,NULL),(25,6340466,'1992-07-13 00:00:00',2,1,12,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124242241216472431436613575124610167117',14708,'1022',44.14,1,3,NULL),(25,6340474,'1991-04-30 00:00:00',4,1,7,2009,'M','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124242281217372431469913575124122232181',2497,'270',65.83,1,3,NULL),(25,6340482,'1989-04-24 00:00:00',4,15,12,2006,'M','N','LAGOA DO CAVERA','ARARANGUÁ','SC','124241241124161721326611342223610118147',20781,'30',32.00,1,3,NULL),(25,6340490,'1987-10-17 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124053051136133531113621442224220566097',15285,'9998',38.80,2,1,2),(25,6340512,'1994-03-11 00:00:00',4,1,11,2011,'F','S','ROÇADO','S JOSÉ','SC','124242241215111751475923472112610132047',NULL,'270',35.31,4,3,NULL),(25,6340539,'1993-06-22 00:00:00',4,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241115131431323311571224610166197',NULL,'307',0.00,1,3,NULL),(25,6340547,'1991-03-24 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116272431436624575122241526142',NULL,'288',0.00,1,3,NULL),(25,6340555,'1993-05-22 00:00:00',4,4,11,2010,'M','N','JARDIM DAS AMÉRICAS','PATO BRANCO','PR','116161161215111431458932175122610131051',6958,'9998',54.43,1,3,NULL),(25,6340563,'1993-05-17 00:00:00',4,1,11,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241213111221249933342114612967081',3307,'270',65.07,1,3,NULL),(25,6340571,'1993-05-26 00:00:00',4,4,12,2010,'M','N','LIDER','CHAPECÓ','SC','124241241117131411536624285224610147012',11380,'174',45.22,1,2,1),(25,6340580,'1986-09-12 00:00:00',1,1,12,2003,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124201201146131711114847275324610118051',21248,'9998',29.75,1,2,1),(25,6340601,'1987-11-10 00:00:00',4,1,12,2004,'M','N','CENTRO','PALHOÇA','SC','124243241136135722557614445125130767067',19826,'591',35.08,1,3,NULL),(25,6340610,'1994-06-10 00:00:00',4,1,12,2011,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111731469814575122610167017',NULL,'270',45.37,1,3,NULL),(25,6340636,'1992-08-26 00:00:00',2,7,12,2009,'F','N','CENTRO','MACHADINHO','RS','120201201147131431116944245115610146147',19327,'9998',36.21,1,2,1),(25,6340652,'1989-03-06 00:00:00',2,1,12,2006,'F','N','SANTA MARIA','ANTÔNIO CARLOS','SC','124243241117375411656613572124131463147',1510,'21',71.23,1,3,NULL),(25,6340660,'1992-11-09 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215411211577833432124610112142',3406,'270',62.82,1,3,NULL),(25,6340679,'1993-03-17 00:00:00',2,1,12,2010,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241215161331654413361121611467042',21373,'63',23.95,1,3,NULL),(25,6340687,'1990-01-15 00:00:00',2,1,12,2009,'M','N','CAMPO LIMPO','S PAULO','SP','125252251317131431346824372124610167047',NULL,'9998',0.00,1,3,NULL),(25,6340695,'1986-10-13 00:00:00',2,5,12,2004,'F','N','CENTRO','CRICIÚMA','SC','124242241216135431458814485124242542147',2102,'226',66.94,1,3,NULL),(25,6340733,'1963-07-01 00:00:00',2,1,12,1981,'F','N','SANTANA','RIO SUL','SC','524241243526162431253343232122310161142',15505,'680',42.89,1,3,NULL),(25,6340741,'1991-12-05 00:00:00',4,1,12,2008,'M','N','CONSOLAÇAO','S PAULO','SP','125163161215572431357619375125610124012',2495,'9998',66.58,1,3,NULL),(25,6340750,'1984-02-01 00:00:00',4,1,12,2001,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','116162161216271431466611275112343227041',4375,'9998',62.33,1,3,NULL),(25,6340784,'1993-10-09 00:00:00',2,6,12,2010,'M','N','SAO DOMINGOS II','NAVEGANTES','SC','124241241417152731428654242221610164177',16998,'570',36.14,1,3,NULL),(25,6340792,'1992-07-18 00:00:00',4,8,12,2009,'F','N','REBOUÇAS','CURITIBA','PR','116162161215471431548833575124610162146',8808,'9998',49.81,2,3,NULL),(25,6340814,'1993-03-17 00:00:00',4,2,12,2010,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124243241117471531459933575122610123142',19563,'438',31.73,4,3,NULL),(25,6340822,'1992-07-19 00:00:00',2,1,12,2010,'F','N','STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC','124242241215111731647411382124610167077',16561,'1022',40.15,1,3,NULL),(25,6340830,'1992-05-07 00:00:00',2,1,12,2010,'F','N','ARREIAS','S JOSÉ','SC','124242241315141431434829392122610137052',NULL,'734',29.09,1,3,NULL),(25,6340849,'1992-09-28 00:00:00',4,1,11,2009,'M','N','CENTRO','PALHOÇA','SC','124241241117372511436611572232610157067',NULL,'295',0.00,1,3,NULL),(25,6340857,'1990-12-01 00:00:00',2,6,12,2008,'F','N','SAO LUIZ','BRUSQUE','SC','124242244215573531444611215122610165142',6549,'109',53.72,1,3,NULL),(25,6340865,'1986-07-04 00:00:00',4,1,12,2003,'M','N','MENINO DEUS','PTO ALEGRE','RS','120202201216271441438812385123240664147',10564,'9998',50.39,1,3,NULL),(25,6340873,'1992-10-11 00:00:00',2,1,12,2009,'F','N','JARDIM EUROPA','BRAGANÇA PAULISTA','SP','125254141216472731559614574112610141017',9707,'9998',47.26,1,3,NULL),(25,6340881,'1993-07-18 00:00:00',4,1,12,2010,'M','N','CAMBOA','GOV CELSO RAMOS','SC','124241241215151431336923575124610122142',17516,'63',33.65,1,3,NULL),(25,6340890,'1993-09-22 00:00:00',4,17,12,2010,'F','N','CAMPO DA ÁGUA VERDE','CANOINHAS','SC','124241241115271431546823572122610327077',NULL,'146',30.35,1,2,1),(25,6340903,'1993-05-23 00:00:00',4,2,12,2010,'F','N','SETE DE SETEMBRO','GASPAR','SC','124241241216131431444514232122610124142',7311,'955',52.25,1,3,NULL),(25,6340911,'1988-05-16 00:00:00',2,1,12,2005,'M','N','DISTRITO DE ITAIO','ITAIÓPOLIS','SC','124241241112131431524415182344131438147',NULL,'387',16.18,1,2,1),(25,6340920,'1990-11-25 00:00:00',4,1,12,2008,'M','N','ORIÇÓ','GRAVATAÍ','RS','120202201217471431439814445122141037042',11050,'9998',45.87,1,3,NULL),(25,6340938,'1986-10-01 00:00:00',4,15,12,2003,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241116132431525344345123610167147',NULL,'30',22.80,4,2,1),(25,6340946,'1970-10-02 00:00:00',4,1,12,1989,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241417134431226844442134331536187',NULL,'71',0.00,1,3,NULL),(25,6340954,'1986-12-28 00:00:00',2,1,12,2005,'F','N','BOM VIVER','BIGUAÇU','SC','124241241127274431436312485114130567147',15525,'66',41.17,4,2,1),(25,6340962,'1992-03-24 00:00:00',2,8,12,2009,'F','N','ANA JACINTA','PRES PRUDENTE','SP','125251251117471431434814272124610168147',2551,'9998',65.13,4,2,1),(25,6340970,'1992-12-09 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215112532558712312122610142065',6877,'723',56.91,1,3,NULL),(25,6340989,'1990-04-10 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162241316574431546611285124231044042',6931,'9998',56.87,1,3,NULL),(25,6340997,'1992-01-26 00:00:00',2,1,8,2010,'M','N','CENTRO','PALHOÇA','SC','124241241132111431446613345114610167047',NULL,'592',0.00,1,3,NULL),(25,6341004,'1993-08-24 00:00:00',4,1,12,2010,'F','N','SANTO ANTONIO','FLORIANÓPOLIS','SC','124243241215111441345924245121610135111',16945,'1048',34.57,1,3,NULL),(25,6341012,'1992-10-01 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215311451488832275122610127152',NULL,'262',20.71,1,3,NULL),(25,6341020,'1992-04-11 00:00:00',2,15,12,2008,'F','N','SÃO PEREGRINO','TURVO','SC','124241241117151432633611172212610168145',20321,'814',33.66,1,3,NULL),(25,6341039,'1994-06-08 00:00:00',4,1,11,2011,'F','S','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111411469912375122610164193',NULL,'1169',34.50,4,3,NULL),(25,6341047,'1992-02-26 00:00:00',4,4,11,2010,'M','N','PARQUE DAS PALMEIRAS','CHAPECÓ','SC','124244241216131431325324285124610141127',15284,'185',39.16,1,3,NULL),(25,6341055,'1987-09-24 00:00:00',1,2,12,2004,'M','N','DAS CAPITAIS','TIMBÓ','SC','124241241147131441123317135124131945172',18864,'787',37.20,1,2,1),(25,6341063,'1992-10-22 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241315471411469933575122610164052',3839,'267',63.72,1,3,NULL),(25,6341071,'1994-06-18 00:00:00',2,10,12,2011,'F','S','SÃO BERNARDO','TUBARÃO','SC','124241241215111732425314375124610164087',NULL,'797',35.42,1,3,NULL),(25,6341080,'1989-04-25 00:00:00',4,7,4,2008,'M','N','FARROUPILHA','VIDEIRA','SC','124241241433272451338823316124231544117',10898,'9997',49.82,1,3,NULL),(25,6341098,'1993-03-01 00:00:00',2,4,12,2010,'F','N','COLATTO','XANXERÊ','SC','124242241216471331348632575122610138097',NULL,'1233',20.56,1,3,NULL),(25,6341101,'1993-09-20 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241117471531334333242124610127047',NULL,'289',19.17,4,2,1),(25,6341110,'1993-11-10 00:00:00',4,1,12,2010,'M','N','ZANA RURAL','CAPANEMA','PR','116161161116131432221165282324610127057',NULL,'9998',20.92,4,2,1),(25,6341128,'1984-11-06 00:00:00',4,1,12,2002,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124241241311133411637519495124222922177',16248,'471',41.78,1,3,NULL),(25,6341136,'1994-11-20 00:00:00',4,1,12,2011,'M','S','COQUEIROS','FLORIANÓPOLIS','SC','124242248217111752558812295124610118042',NULL,'270',31.03,1,3,NULL),(25,6341144,'1990-08-13 00:00:00',2,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241437273411359813495112610162112',NULL,'1022',27.16,1,3,NULL),(25,6341179,'1993-01-14 00:00:00',4,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241135271331415623575124610137047',NULL,'296',30.39,1,2,1),(25,6341187,'1993-05-24 00:00:00',4,3,12,2010,'M','N','PILARZINHO','CURITIBA','PR','116162161217111431489914572122610127042',NULL,'9998',0.00,1,3,NULL),(25,6341209,'1978-10-10 00:00:00',2,1,12,1996,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124202201216372721128619245123141427187',21136,'9998',30.46,1,3,NULL),(25,6341217,'1988-05-20 00:00:00',2,1,11,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241137473431436624245114610133127',NULL,'288',30.96,1,3,NULL),(25,6341225,'1993-05-14 00:00:00',4,4,12,2010,'M','N','JARDIM ITALIA','CHAPECÓ','SC','124244241315111411236923575112610164047',NULL,'1191',44.12,3,3,NULL),(25,6341233,'1993-05-29 00:00:00',2,1,11,2010,'M','N','ALTO DA XV','GUARAPUAVA','PR','116162168217271131378516375112610137064',21281,'9998',29.54,1,3,NULL),(25,6341241,'1993-09-23 00:00:00',4,1,12,2010,'M','N','CRISTO REDENTOR','CAXIAS SUL','RS','120202201217371211489911511124610134162',NULL,'9998',0.00,1,3,NULL),(25,6341268,'1994-01-17 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124092241215151431459932422122610128112',NULL,'1169',22.27,1,3,NULL),(25,6341276,'1991-08-30 00:00:00',2,8,11,2010,'M','N','AMÉRICA','JOINVILLE','SC','124242241215271431479934575122610137122',13845,'1063',45.41,1,3,NULL),(25,6341284,'1992-04-05 00:00:00',2,8,12,2009,'M','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124241241136471711526621342211610148097',15075,'425',38.22,4,1,1),(25,6341292,'1993-02-10 00:00:00',1,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215111531439824572124610127143',18567,'883',37.83,1,3,NULL),(25,6341306,'1992-12-29 00:00:00',4,8,12,2010,'F','N','ANITA GARIBALDE','JOINVILLE','SC','124242241235373431359813575114610133072',NULL,'861',0.00,1,3,NULL),(25,6341314,'1993-02-02 00:00:00',4,1,12,2009,'F','N','JARDIM PAULISTANO','RIBEIRÃO PRETO','SP','125252251215471431279914582112610122027',NULL,'9998',0.00,1,3,NULL),(25,6341322,'1985-06-10 00:00:00',2,1,12,2004,'M','N','SAGRADA FAMILIA','NOVA PRATA','RS','120201121131142141333339481122241464187',12285,'9998',47.71,1,2,1),(25,6341330,'1990-10-11 00:00:00',4,1,11,2010,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124242241316142431356424415123610165055',NULL,'592',23.47,1,3,NULL),(25,6341349,'1963-04-13 00:00:00',4,1,7,1982,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','524203246117231422564833423122330236067',NULL,'306',0.00,1,3,NULL),(25,6341357,'1991-01-10 00:00:00',2,1,12,2007,'F','N','CENTRO','LAGES','SC','124243241415573431548933272124131327147',21321,'1207',29.29,1,3,NULL),(25,6341365,'1993-02-18 00:00:00',4,1,11,2009,'M','N','SÃO VICENTE','HERVAL D OESTE','SC','124242241215472431344424575124610137182',3947,'446',60.82,1,3,NULL),(25,6341373,'1991-08-25 00:00:00',4,8,12,2008,'M','N','SILVEIRA DA MOTTA','S JOSÉ PINHAIS','PR','116162161216571411448812575324610167042',2715,'9998',65.35,1,3,NULL),(25,6341381,'1992-04-04 00:00:00',2,2,11,2010,'M','N','IMIGRANTES','TIMBÓ','SC','124241241215111231426612575114610168197',NULL,'855',0.00,1,3,NULL),(25,6341390,'1975-04-02 00:00:00',4,1,12,1994,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241127272421133341415124320863177',9474,'734',52.26,1,2,1),(25,6341403,'1991-04-07 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124072071217472431379614595124610167042',NULL,'9998',0.00,1,3,NULL),(25,6341411,'1993-03-04 00:00:00',4,9,11,2010,'F','N','SANTA CATARINA','LAGES','SC','124243241415111431426839575122613215147',NULL,'499',25.88,1,3,NULL),(25,6341420,'1993-12-08 00:00:00',2,2,12,2010,'F','N','GARCIA','BLUMENAU','SC','124241241217131531346624345114610125172',20939,'1018',25.00,1,3,NULL),(25,6341438,'1990-12-19 00:00:00',4,1,12,2008,'F','N','VILA MONUMENTO','S PAULO','SP','125252251216571431356824575124610163147',NULL,'9998',0.00,1,3,NULL),(25,6341446,'1990-11-15 00:00:00',2,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241248122131721423314292124610164147',NULL,'772',15.92,1,3,NULL),(25,6341454,'1990-11-29 00:00:00',4,1,12,2008,'F','N','BUENO','GOIÂNIA','GO','109092091216572431379811575112610162017',NULL,'9998',0.00,1,3,NULL),(25,6341462,'1992-05-25 00:00:00',2,8,11,2009,'M','N','CENTRO','MIRANDÓPOLIS','SP','125252251215471331537331572222610168046',12741,'9998',42.84,1,3,NULL),(25,6341470,'1993-09-09 00:00:00',2,15,11,2010,'M','N','CENTRO','TURVO','SC','124242241216121731337653575112610137052',NULL,'813',0.00,1,3,NULL),(25,6341489,'1993-04-09 00:00:00',4,1,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161235111431548832172122610131127',NULL,'9998',0.00,1,3,NULL),(25,6341497,'1992-12-03 00:00:00',4,1,6,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241245152411346659375124610134192',18285,'9999',38.31,1,3,NULL),(25,6341519,'1993-06-30 00:00:00',2,1,12,2011,'M','S','BARREIROS','S JOSÉ','SC','124241241126111412627512115125610127043',NULL,'734',7.75,1,3,NULL),(25,6341527,'1991-02-23 00:00:00',2,1,12,2008,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241415573751479713595124230235173',16691,'1022',41.09,3,3,NULL),(25,6341535,'1987-08-04 00:00:00',2,1,12,2004,'M','N','CENTO','FLORIANÓPOLIS','SC','124241247216313431448313342112610144182',NULL,'9999',15.98,1,3,NULL),(25,6341543,'1989-04-19 00:00:00',4,1,12,2006,'M','N','BOA VISTA','MINEIROS','GO','109122121211571211449931573122610156097',NULL,'9998',0.00,4,3,NULL),(25,6341551,'1993-12-15 00:00:00',4,8,12,2011,'M','S','AMÉRICA','JOINVILLE','SC','124242241215151731438812475122610164052',NULL,'457',49.11,1,3,NULL),(25,6341560,'1987-11-12 00:00:00',2,9,12,2005,'F','N','CENTRO','LAGES','SC','124242241216555431246619595122610124017',6367,'499',54.20,1,3,NULL),(25,6341578,'1990-01-07 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241217271711449823475122231064182',12526,'1159',42.70,1,3,NULL),(25,6341586,'1978-09-07 00:00:00',2,1,7,1997,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','224241246127133751324644243334610117043',NULL,'306',13.20,1,3,NULL),(25,6341594,'1986-12-14 00:00:00',4,1,12,2004,'M','N','PRADO','BIGUAÇU','SC','124241241115272431533331215124610132052',7254,'65',53.39,4,2,1),(25,6341608,'1993-04-08 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215122411279833585112610123147',5943,'270',56.85,1,3,NULL),(25,6341616,'1992-03-25 00:00:00',4,4,11,2008,'F','N','CENTRO','CASCAVEL','PR','116162161215572441438812574122610162183',3384,'9998',63.75,1,3,NULL),(25,6341632,'1993-01-15 00:00:00',4,8,12,2010,'M','N','FLORESTA','JOINVILLE','SC','124242241215271431656614585121610167092',2993,'459',64.76,1,3,NULL),(25,6341640,'1988-08-28 00:00:00',4,4,12,2005,'M','N','CENTRO','BARRACÃO','PR','116241241116574441678633575122610116172',8404,'245',50.41,1,2,1),(25,6341659,'1992-12-10 00:00:00',4,1,12,2010,'M','N','CENTRO','MTE APRAZÍVEL','SP','125272251215111411468814571122610117197',NULL,'9998',0.00,1,3,NULL),(25,6341675,'1991-05-17 00:00:00',4,1,11,2008,'F','N','IPIRANGA','S PAULO','SP','125252251216572431459914491125610133142',438,'9998',78.12,1,3,NULL),(25,6341683,'1993-07-11 00:00:00',2,8,12,2010,'M','N','CAMPO DA LANÇA','MAFRA','SC','124241161217111431676612572122610168122',NULL,'9998',0.00,3,3,NULL),(25,6341713,'1992-05-07 00:00:00',4,1,12,2009,'M','N','JARDIM SERRA DOURADA','MOGI GUAÇU','SP','125252251215471431468814575122610167122',12253,'9998',43.11,1,3,NULL),(25,6341721,'1987-12-24 00:00:00',2,1,12,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241147131431328644242333610167012',18017,'290',34.46,1,2,1),(25,6341730,'1994-05-06 00:00:00',4,3,12,2010,'F','N','SAO LUIZ','BRUSQUE','SC','124242241215111411566632575122610112016',NULL,'109',32.94,1,3,NULL),(25,6341748,'1979-08-29 00:00:00',2,1,12,1999,'M','N','SAO SEBASTIAO','PALHOÇA','SC','224241241126135421523344345132610167047',NULL,'277',18.40,4,2,1),(25,6341764,'1993-12-08 00:00:00',4,1,12,2010,'M','N','APARECIDA','SANTOS','SP','125252251217111331458613575121610114112',6901,'9998',56.92,4,3,NULL),(25,6341772,'1987-12-04 00:00:00',4,1,12,2005,'M','N','FRANCISCO GAROFALO','MOCOCA','SP','125251251137131711213629571321141462097',1325,'9998',70.83,1,2,1),(25,6341780,'1991-03-20 00:00:00',4,5,12,2008,'F','N','FLORESTA','PTO ALEGRE','RS','120062061215571431338713575115610165172',2036,'9998',66.13,1,3,NULL),(25,6341799,'1993-09-16 00:00:00',4,2,12,2010,'M','N','CENTRO','TIMBÓ','SC','124241241127161431448734375112610142017',16995,'870',37.39,1,3,NULL),(25,6341802,'1965-06-01 00:00:00',2,1,7,2007,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241247122572311423444142331610167047',NULL,'9999',24.90,4,1,1),(25,6341810,'1992-02-13 00:00:00',4,17,12,2009,'F','N','SÃO CRISTOVÃO','TRÊS BARRAS','SC','124241241116272431546933575122610134041',NULL,'146',14.82,1,2,1),(25,6341829,'1991-08-30 00:00:00',2,1,12,2008,'F','N','PARIGOT DE SOUZA','APUCARANA','PR','116161161416471431327316272223610144147',NULL,'9998',33.63,1,3,NULL),(25,6341837,'1992-03-16 00:00:00',2,3,12,2009,'M','N','MORRETES','ITAPEMA','SC','124243201216271731426924575324610117017',21337,'9998',29.22,1,3,NULL),(25,6341845,'1992-06-04 00:00:00',4,4,12,2009,'M','N','ALTO DA COLINA','DOIS VIZINHOS','PR','116162161216471411448831495122610167077',4676,'9998',59.11,4,3,NULL),(25,6341861,'1992-11-09 00:00:00',2,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242245215271721345334571122610121082',NULL,'263',37.85,1,3,NULL),(25,6341870,'1984-03-29 00:00:00',2,1,12,2000,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241135154421455511345234320866187',NULL,'257',26.69,1,2,1),(25,6341888,'1993-07-16 00:00:00',2,4,12,2010,'M','N','MARIA GORETTI','CHAPECÓ','SC','124242241216131231434612575112610147052',19032,'168',36.88,1,3,NULL),(25,6341896,'1993-01-30 00:00:00',4,6,12,2009,'F','N','SÃO DOMINGOS','NAVEGANTES','SC','124201201115271431426618385325610126092',19023,'9998',30.44,1,2,1),(25,6341900,'1987-01-29 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241246414135441323319481224220834093',18182,'995',38.50,1,3,NULL),(25,6341918,'1992-09-27 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241417111731269913595125610117065',13989,'1133',45.19,1,3,NULL),(25,6341934,'1993-11-25 00:00:00',4,3,10,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215111731477769576125610164052',NULL,'1038',0.00,1,3,NULL),(25,6341969,'1989-03-15 00:00:00',2,16,12,2005,'M','N','COHAB','CURITIBANOS','SC','124241241147271431328379482215610164145',NULL,'240',39.29,1,2,1),(25,6341977,'1985-09-12 00:00:00',4,8,12,2002,'F','N','CANAÃ','LONDRINA','PR','116162161216571731438713572124241022142',NULL,'9998',0.00,1,3,NULL),(25,6341985,'1993-04-02 00:00:00',2,6,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124201241116371731435734572124610167142',NULL,'49',28.07,1,2,1),(25,6341993,'1988-06-06 00:00:00',2,1,12,2007,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241316373521545413282123610117112',NULL,'9999',0.00,1,3,NULL),(25,6342000,'1993-07-21 00:00:00',2,6,12,2010,'F','N','SAO JUDAS','ITAJAÍ','SC','124241241115271421326319572121610136147',NULL,'395',19.25,1,2,1),(25,6342019,'1984-12-03 00:00:00',2,1,12,2003,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224241241146131431323351345134610143147',NULL,'294',0.00,1,2,1),(25,6342027,'1992-05-01 00:00:00',4,5,7,2010,'F','N','UNIVERSITÁRIO','CRICIÚMA','SC','124242247237131431423319385124610125177',NULL,'920',35.20,1,3,NULL),(25,6342035,'1992-09-25 00:00:00',4,6,11,2010,'F','N','CENTRO','IBIRAMA','SC','124244241415111431449711372114610134096',9068,'991',52.94,1,3,NULL),(25,6342043,'1985-09-29 00:00:00',2,16,12,2003,'F','N','CENTRO','CURITIBANOS','SC','124241241116271731424511135122333018102',NULL,'239',0.00,1,3,NULL),(25,6342051,'1994-05-07 00:00:00',2,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241216111431466812375122610153017',NULL,'1223',20.85,1,3,NULL),(25,6342060,'1993-03-24 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241248115151411323469192124610127042',19866,'307',29.36,1,2,1),(25,6342086,'1993-07-24 00:00:00',5,2,12,2010,'M','N','VILA ISABEL','ASCURRA','SC','124241241137111431326422145121610156017',NULL,'38',4.83,1,2,1),(25,6342094,'1992-08-07 00:00:00',4,1,12,2010,'F','N','JURERE','FLORIANÓPOLIS','SC','125251251237171452556619291112610133194',NULL,'9998',0.00,1,3,NULL),(25,6342108,'1993-06-02 00:00:00',2,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117131411628831575124610161097',16508,'268',41.38,1,2,1),(25,6342116,'1983-04-15 00:00:00',2,1,12,2001,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124203247226232111547934245121343266034',11368,'9999',49.10,1,3,NULL),(25,6342124,'1992-04-30 00:00:00',4,1,12,2010,'F','N','PARAISO','S PAULO','SP','125272091216472431138832575125610162182',1571,'9998',69.20,1,3,NULL),(25,6342132,'1994-06-01 00:00:00',2,10,12,2011,'F','S','N S DE FÁTIMA','BRAÇO NORTE','SC','124241248215161711326519295125610128142',NULL,'102',16.16,1,3,NULL),(25,6342140,'1993-03-31 00:00:00',4,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241241127131732433324495125610164017',21500,'736',25.36,1,2,1),(25,6342159,'1989-07-03 00:00:00',4,10,12,2006,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201117572431458613471124610137047',NULL,'9998',0.00,4,3,NULL),(25,6342167,'1992-09-21 00:00:00',4,10,12,2010,'M','N','MAGALHÃES','LAGUNA','SC','124246248625111431324979575124610128012',21743,'524',24.22,1,3,NULL),(25,6342175,'1992-09-28 00:00:00',4,1,6,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215373131526632585122610124012',11075,'9999',47.50,1,3,NULL),(25,6342183,'1989-04-28 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201201136131411115544245334610154097',12995,'9998',41.25,1,2,1),(25,6342191,'1992-03-30 00:00:00',2,1,11,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241137131411534323146224610134143',NULL,'276',14.64,4,2,1),(25,6342205,'1984-03-19 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','224242241217112531267642425132323211185',NULL,'262',0.00,1,3,NULL),(25,6342221,'1991-06-05 00:00:00',2,8,12,2008,'M','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161215571411438811575122610164197',2915,'9998',64.56,1,3,NULL),(25,6342230,'1993-09-20 00:00:00',4,4,12,2010,'M','N','SANTA MARIA','CHAPECÓ','SC','124241241112271431223477572321610168177',11885,'176',43.43,1,2,1),(25,6342264,'1992-07-24 00:00:00',2,1,12,2010,'F','N','CENTRO','RIO NEGRINHO','SC','124242241215111411339923575122610113187',18255,'666',36.11,1,3,NULL),(25,6342272,'1993-08-29 00:00:00',2,17,12,2010,'F','N','BOM JESUS','RIO NEGRO','PR','116241161217131431326834575124610146142',11081,'9998',44.39,4,3,NULL),(25,6342280,'1990-11-03 00:00:00',4,1,10,2008,'M','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215372431358812375122133224112',9678,'226',51.84,1,3,NULL),(25,6342299,'1993-01-22 00:00:00',2,1,12,2010,'F','N','TABOLEIRO','CAMBORIÚ','SC','124241242115111431423334592224610133057',NULL,'129',0.00,1,2,1),(25,6342302,'1985-11-01 00:00:00',4,2,12,2003,'F','N','ESTRADA DAS AREIAS','INDAIAL','SC','124241241126131731533514241123610134182',NULL,'365',0.00,1,2,1),(25,6342310,'1984-10-27 00:00:00',4,5,12,2002,'M','N','CIDADE MINEIRA NOVA','CRICIÚMA','SC','224241241127131431323344342332610132177',NULL,'220',0.00,1,2,1),(25,6342329,'1993-08-30 00:00:00',2,1,11,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111431448932375124610135077',NULL,'1048',24.92,1,3,NULL),(25,6342345,'1994-09-10 00:00:00',4,1,11,2011,'F','S','TABOÃO','RIO SUL','SC','124243241215111431326613575122610164132',NULL,'991',48.15,4,3,NULL),(25,6342353,'1994-04-08 00:00:00',4,1,12,2011,'F','S','SACO DOS LIMÔES','FLORIANÓPOLIS','SC','124242241235111751469613435122610118042',NULL,'270',41.29,1,3,NULL),(25,6342370,'1983-11-18 00:00:00',4,1,12,2000,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216423711369613445122330441115',NULL,'272',29.78,1,3,NULL),(25,6342388,'1993-03-09 00:00:00',2,4,12,2010,'M','N','SANTA CRUZ','CONCÓRDIA','SC','124241242116111231456611375124610137042',17125,'196',34.69,1,2,1),(25,6342396,'1983-08-29 00:00:00',4,1,12,2000,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','224243241315143731216812415222321032042',5851,'270',59.07,1,3,NULL),(25,6342400,'1991-04-20 00:00:00',4,1,11,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215374431458812374112610122127',12599,'270',44.80,1,3,NULL),(25,6342418,'1994-07-20 00:00:00',2,1,12,2011,'F','S','CENTRO','SALETE','SC','124243241211111531436632585124610154147',NULL,'776',20.07,1,3,NULL),(25,6342426,'1990-10-24 00:00:00',4,17,11,2008,'M','N','SÃO BRÁS','CURITIBA','PR','116162161217571731388873575122141238097',2006,'9998',67.38,1,3,NULL),(25,6342434,'1994-11-10 00:00:00',4,1,12,2011,'F','S','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242248217111751468932575114610164192',NULL,'270',0.00,1,3,NULL),(25,6342442,'1992-11-03 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217472441468613575111610162065',14798,'1133',44.01,1,3,NULL),(25,6342450,'1991-04-11 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124251241415472721225318342334610164147',18219,'1036',32.82,1,3,NULL),(25,6342469,'1993-06-15 00:00:00',4,4,11,2010,'F','N','SANTO ANTÔNIO','PINHALZINHO','SC','124244241215111411689912215122610138172',NULL,'185',27.40,1,3,NULL),(25,6342477,'1991-03-10 00:00:00',4,1,12,2008,'F','N','SANTA CATARINA','CAXIAS SUL','RS','120202203216471431455912595112143223077',5732,'9998',56.02,1,3,NULL),(25,6342485,'1993-04-21 00:00:00',2,2,12,2010,'F','N','ITOUPAVAZINHA','BLUMENAU','SC','124244241215111431546832572124610164142',19838,'855',35.06,1,3,NULL),(25,6342507,'1994-04-26 00:00:00',4,15,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241217111431368611415122610162142',11500,'226',44.28,1,3,NULL),(25,6342515,'1990-10-09 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216142441476632445122231023196',NULL,'262',0.00,1,3,NULL),(25,6342523,'1992-02-28 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472411456812575122610124147',9644,'32',47.99,1,3,NULL),(25,6342531,'1993-09-17 00:00:00',2,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124244248217161431356319295122610148091',9276,'1075',48.27,1,3,NULL),(25,6342540,'1974-07-30 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624246248635171751615679293345610168197',NULL,'9997',19.88,1,3,NULL),(25,6342558,'1992-02-27 00:00:00',4,1,12,2009,'M','N','PINGUIRITO','GAROPABA','SC','124243241127133731326621215121610132187',19312,'322',30.24,1,3,NULL),(25,6342566,'1993-08-06 00:00:00',4,3,11,2010,'F','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124242241215111231453412275122610167042',17230,'1038',40.24,1,3,NULL),(25,6342574,'1992-01-11 00:00:00',4,1,12,2009,'M','N','AREIAS BARREIROS','S JOSÉ','SC','124242241316132432337814242332230832067',20202,'1118',28.89,1,3,NULL),(25,6342582,'1988-12-19 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241211152711228813435123530267177',NULL,'1022',0.00,1,3,NULL),(25,6342590,'1994-02-26 00:00:00',4,1,11,2011,'M','S','ABRAÃO','FLORIANÓPOLIS','SC','124242241215111731369933575124610112017',NULL,'270',38.04,1,3,NULL),(25,6342604,'1990-05-21 00:00:00',4,8,12,2007,'M','N','AMÉRICA','JOINVILLE','SC','124242241216152731489923425112221066092',503,'457',77.58,1,3,NULL),(25,6342620,'1992-10-15 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117111431436413575122610162062',16381,'276',36.70,1,2,1),(25,6342639,'1992-05-14 00:00:00',2,3,12,2009,'F','N','MORRETES','ITAPEMA','SC','124241241116232441215721385324610134177',12788,'406',42.68,1,2,1),(25,6342647,'1989-03-27 00:00:00',2,17,12,2006,'M','N','BOM JESUS','RIO NEGRO','PR','116241242116271431633316345123610124117',6463,'143',53.99,1,2,1),(25,6342655,'1991-03-14 00:00:00',2,1,12,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243247216121421437613315114610147047',NULL,'9999',21.74,1,3,NULL),(25,6342663,'1991-03-16 00:00:00',2,9,12,2008,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241215573431436811572112610128182',8293,'1146',51.48,1,3,NULL),(25,6342671,'1982-08-07 00:00:00',2,1,12,2001,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241336473451218814495124130217014',10761,'269',50.05,1,3,NULL),(25,6342680,'1992-08-22 00:00:00',2,1,8,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241115312431345623315124610121142',18173,'941',32.85,1,3,NULL),(25,6342698,'1992-07-02 00:00:00',2,4,12,2009,'F','N','CENTRO','RODEIO BONITO','RS','120201201117371431336637574114143223197',NULL,'9998',0.00,1,2,1),(25,6342728,'1992-12-28 00:00:00',4,8,12,2010,'M','N','NOVA BRASILIA','JARAGUÁ SUL','SC','124241241116371431526634282122610135142',10514,'425',45.78,1,2,1),(25,6342736,'1991-11-02 00:00:00',4,1,12,2009,'F','N','BOA VISTA','MARÍLIA','SP','125252251216371431468774575112610132012',NULL,'9998',25.93,1,3,NULL),(25,6342752,'1990-11-26 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117373431523315571224221226187',3983,'307',63.33,1,2,1),(25,6342760,'1989-03-10 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201117232431355615572112610128197',19253,'9998',31.63,1,3,NULL),(25,6342779,'1991-08-09 00:00:00',4,1,12,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241241122163232523624572112610162197',17882,'728',39.07,1,2,1),(25,6342787,'1968-05-30 00:00:00',2,1,4,1987,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224281288117151742457851412112142924092',8311,'9998',54.30,1,3,NULL),(25,6342795,'1993-12-03 00:00:00',2,10,12,2010,'F','N','CENTRO','SANGÃO','SC','124241248135371731433324245224610164147',20198,'1034',34.08,1,2,1),(25,6342809,'1993-03-03 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241125131431537611341124230718187',NULL,'922',0.00,1,3,NULL),(25,6342817,'1992-03-28 00:00:00',4,1,8,2009,'M','N','JARDIM LUTFALLA','S CARLOS','SP','125254251116471441479933215131610132092',9975,'9998',46.62,1,3,NULL),(25,6342825,'1992-05-07 00:00:00',2,1,12,2009,'F','N','CIDADE NOVA II','CAXIAS SUL','RS','120201201125571751483412575122610164182',5913,'9998',56.23,1,2,1),(25,6342833,'1991-02-26 00:00:00',2,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124241242126131211336923375124231467172',12376,'903',43.09,1,2,1),(25,6342841,'1993-08-20 00:00:00',2,8,12,2010,'M','N','CENTRO','JAÚ','SP','125252251217111432448411215111610147054',13208,'9998',42.45,4,3,NULL),(25,6342850,'1991-05-07 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124244241215132731226711445124610117112',NULL,'723',23.42,1,3,NULL),(25,6342868,'1988-09-05 00:00:00',2,1,11,2007,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241142242431438344342334610146142',NULL,'293',0.00,2,1,1),(25,6342876,'1990-06-09 00:00:00',2,3,12,2007,'M','N','JD NOVO HORIZONTE','MARINGÁ','PR','116161161316572451568811572122610167057',13280,'9998',41.78,1,3,NULL),(25,6342884,'1992-10-05 00:00:00',4,8,11,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215371331359834575112610117016',NULL,'461',0.00,1,3,NULL),(25,6342892,'1994-07-06 00:00:00',4,2,12,2010,'M','N','DOS ESTADOS','INDAIAL','SC','124242241215272431459839575124610147142',69,'70',84.73,1,3,NULL),(25,6342906,'1991-03-23 00:00:00',2,1,11,2009,'F','N','LUCAS ARAUJO','PASSO FUNDO','RS','120204201437472531336913431124610128147',21797,'9998',18.89,1,3,NULL),(25,6342914,'1992-02-27 00:00:00',4,8,7,2010,'M','N','VILA ADYANNA','S JOSÉ CAMPOS','SP','125252281217271411668814572122610164017',NULL,'9998',0.00,1,3,NULL),(25,6342922,'1979-01-03 00:00:00',2,1,12,1998,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124201207621131421628644345124141026187',20315,'9998',33.71,4,3,NULL),(25,6342930,'1991-10-01 00:00:00',4,2,12,2008,'M','N','VELHA','BLUMENAU','SC','124242241216272431478714475112231032062',NULL,'855',0.00,1,3,NULL),(25,6342957,'1993-11-02 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215372431439851575124610164187',1279,'738',71.96,1,3,NULL),(25,6342973,'1993-02-10 00:00:00',4,3,12,2010,'M','N','TABULEIRO','ITAPEMA','SC','124241241115141431526429295221610128117',NULL,'406',22.31,4,2,1),(25,6342981,'1983-08-15 00:00:00',4,1,12,2000,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242201316145431239843435122320642143',4621,'9998',61.73,1,3,NULL),(25,6342990,'1994-09-12 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','116162161217161731468812295122610165077',NULL,'9998',25.59,1,3,NULL),(25,6343015,'1987-07-03 00:00:00',4,1,12,2004,'F','N','BAIRRO ALTO','CURITIBA','PR','116161161136371431126654572124241564195',NULL,'9998',0.00,1,3,NULL),(25,6343023,'1993-09-02 00:00:00',2,4,12,2010,'M','N','CENTRO','MARAVILHA','SC','124244243215151411536912112122610164181',NULL,'1037',0.00,1,3,NULL),(25,6343031,'1990-09-07 00:00:00',2,1,12,2007,'M','N','BELA VISTA','S JOSÉ','SC','624242241211452431465513375124222962042',7267,'723',56.23,1,3,NULL),(25,6343040,'1993-05-25 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124243241235121451248923291122610126042',9931,'881',47.67,1,3,NULL),(25,6343058,'1993-07-10 00:00:00',4,1,12,2010,'M','N','VILA MAMONA','CORUMBÁ','MS','112122121215111431478822575122610137052',NULL,'9998',28.07,1,3,NULL),(25,6343066,'1991-08-03 00:00:00',2,2,11,2008,'F','N','CENTRO','CURITIBA','PR','116162161215572431658812575324610162172',5460,'9998',56.30,1,3,NULL),(25,6343074,'1991-11-01 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241217152731436614575124122166172',3117,'737',65.58,1,3,NULL),(25,6343082,'1987-12-29 00:00:00',2,1,11,2006,'M','N','FLOR DE NAPOLES','S JOSÉ','SC','124241241122131532621314182314610122187',20968,'727',31.25,1,2,1),(25,6343090,'1992-08-23 00:00:00',4,1,6,2010,'F','N','POMPÉIA','SANTOS','SP','125252251216371431357632575124610125072',3927,'9998',63.47,1,3,NULL),(25,6343104,'1984-01-01 00:00:00',2,1,12,2002,'M','N','CENTRO','PTO ALEGRE','RS','120202201216571211148633575112610117042',NULL,'9998',0.00,1,3,NULL),(25,6343112,'1993-01-16 00:00:00',2,1,12,2010,'F','N','CENTRO','S LUIZ GONZAGA','RS','120201201116131421623811115125610168192',NULL,'9998',0.00,1,2,1),(25,6343120,'1994-01-05 00:00:00',2,2,12,2011,'F','S','CAPITAIS','TIMBÓ','SC','124243241215111531538832575112610123091',NULL,'1157',25.83,1,3,NULL),(25,6343139,'1994-04-02 00:00:00',2,1,12,2010,'M','N','AUXILIADORA','PTO ALEGRE','RS','120242201217111411456832345114610167052',4011,'9998',60.45,1,3,NULL),(25,6343155,'1994-05-17 00:00:00',2,4,12,2010,'M','N','CENTRO','MODELO','SC','124241241216111431329934475122610117042',17665,'1070',33.43,1,3,NULL),(25,6343163,'1992-05-27 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241117472411456823445124121765017',9379,'307',50.72,1,2,1),(25,6343180,'1992-12-28 00:00:00',4,5,11,2010,'M','N','PRÓSPERA','CRICIÚMA','SC','124241241215111411456734575122610144182',NULL,'226',0.00,1,3,NULL),(25,6343228,'1993-08-27 00:00:00',2,15,12,2010,'M','N','LIVRAMENTO','TURVO','SC','124241248116371231438935375124610134062',17551,'814',35.39,1,3,NULL),(25,6343236,'1991-09-20 00:00:00',2,1,12,2008,'M','N','PREDIAL','TORRES','RS','120202201217573431578933471114610164117',1769,'9998',68.37,1,3,NULL),(25,6343252,'1981-12-25 00:00:00',4,1,12,1999,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','224252251217141411218814425222341037117',8965,'9998',53.13,1,3,NULL),(25,6343260,'1993-06-16 00:00:00',2,1,12,2010,'F','N','XV DE NOVEMBRO','TIJUCAS','SC','124243241117131431436514345121610163047',NULL,'783',0.00,1,3,NULL),(25,6343279,'1992-03-13 00:00:00',2,8,12,2009,'F','N','ARAPONGAL','REGISTRO','SP','125251251117571431443411572222140636147',11252,'9998',43.61,1,2,1),(25,6343287,'1976-10-08 00:00:00',4,1,12,1993,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202201216134711139943435124520732197',7141,'9998',56.47,1,3,NULL),(25,6343309,'1991-06-27 00:00:00',2,2,12,2008,'F','N','VILA NOVA','BLUMENAU','SC','124162241215571431335616275124610124182',NULL,'70',18.84,1,3,NULL),(25,6343325,'1994-08-04 00:00:00',4,1,12,2011,'M','S','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215111731487912592122610127112',NULL,'270',27.06,1,3,NULL),(25,6343333,'1993-03-26 00:00:00',4,2,12,2010,'M','N','NOVA STETTIN','IBIRAMA','SC','124242241215151431336333572211610164142',NULL,'346',0.00,1,3,NULL),(25,6343341,'1993-08-14 00:00:00',2,1,11,2010,'M','N','PEDRA BRANCA','PALHOÇA','SC','124242241215111231356612175114611917042',18630,'270',37.70,1,3,NULL),(25,6343350,'1992-09-05 00:00:00',4,8,12,2009,'M','N','CENTRO','GUARATUBA','PR','116161161116172151428629375124610168177',15964,'9998',38.17,1,2,1),(25,6343368,'1993-07-11 00:00:00',2,1,12,2010,'M','N','CINQUENTENARIO','CAXIAS SUL','RS','120202201217271431587811576122610127182',NULL,'9998',30.07,1,3,NULL),(25,6343376,'1992-07-25 00:00:00',2,1,11,2009,'F','N','CIDADE NOVA','PTO UNIÃO','SC','124244241417161451625319376222610167142',NULL,'632',0.00,1,3,NULL),(25,6343392,'1990-04-11 00:00:00',4,3,12,2007,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116164161216573731478614574124610162097',3395,'9998',62.62,1,3,NULL),(25,6343406,'1993-10-08 00:00:00',2,1,12,2010,'M','N','CENTRO','BOM JD SERRA','SC','124241241116161211424632385221610117057',NULL,'856',19.50,1,2,1),(25,6343414,'1991-04-04 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217473431479913572121610147122',11147,'270',45.85,1,3,NULL),(25,6343422,'1991-10-03 00:00:00',4,1,12,2008,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215472411446722575124133212142',4708,'1022',60.13,1,3,NULL),(25,6343430,'1970-01-26 00:00:00',4,1,12,2001,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','224201207141131431525634241124140955147',NULL,'9998',34.87,1,2,1),(25,6343449,'1991-09-27 00:00:00',2,1,12,2008,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124243241116233421435621375124233268147',4999,'307',57.14,4,3,NULL),(25,6343457,'1983-04-11 00:00:00',4,1,12,2000,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','116162161217371431378931495122340941182',NULL,'9998',0.00,1,3,NULL),(25,6343473,'1993-01-23 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116131531438913575124610114141',20377,'307',27.95,1,2,1),(25,6343490,'1994-06-16 00:00:00',4,1,12,2010,'M','N','LAGOA','FLORIANÓPOLIS','SC','124242241215111431469933575122610162092',NULL,'262',12.23,1,3,NULL),(25,6343503,'1990-08-05 00:00:00',2,1,3,2008,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241248316131431334923345124232034187',21151,'9999',30.36,2,1,2),(25,6343511,'1993-04-27 00:00:00',4,1,12,2010,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241215172731446913575124610128143',19535,'1011',35.74,1,3,NULL),(25,6343520,'1990-06-22 00:00:00',4,8,12,2007,'F','N','VILA FANNY','CURITIBA','PR','116162161214573411579831571122610165153',869,'9998',73.49,1,3,NULL),(25,6343538,'1990-09-20 00:00:00',4,8,11,2007,'F','N','GLÓRIA','JOINVILLE','SC','124244241216474411228914475124241037142',NULL,'457',0.00,1,3,NULL),(25,6343554,'1992-12-26 00:00:00',2,1,12,2010,'F','N','DUQUE DE CAXIAS','S LUIZ GONZAGA','RS','120201201116131421623511115125610168192',NULL,'9998',0.00,1,2,1),(25,6343562,'1993-06-06 00:00:00',2,1,12,2010,'F','N','ENGENHO NOVO','RIO JANEIRO','RJ','121212211217111431348823576122610144017',NULL,'9998',0.00,1,3,NULL),(25,6343570,'1993-12-08 00:00:00',2,1,12,2010,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115141732333315572211610127057',17648,'21',39.49,1,2,1),(25,6343589,'1991-09-11 00:00:00',4,8,12,2009,'F','N','ITAUM','JOINVILLE','SC','124241241137271431316629581324610126187',NULL,'472',27.23,1,2,1),(25,6343597,'1993-02-18 00:00:00',2,2,12,2010,'F','N','ASILO','BLUMENAU','SC','124244241415111431447723375124610136042',NULL,'88',24.79,1,3,NULL),(25,6343600,'1990-03-18 00:00:00',2,1,12,2007,'F','N','CACHOEIRA DO BOM JE','FLORIANÓPOLIS','SC','124241241131274431521624345234610115142',NULL,'288',35.74,1,3,NULL),(25,6343619,'1958-11-03 00:00:00',2,1,12,1978,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','224211216216472751446654495112340823185',15893,'9998',42.32,1,3,NULL),(25,6343627,'1987-05-18 00:00:00',2,1,12,2005,'M','N','CAPELINHA','S BERNARDO CAMPO','SP','125251251116131512223623382214113217047',NULL,'9998',13.01,1,2,1),(25,6343635,'1994-01-11 00:00:00',4,1,12,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124244241215271321226627592324610125195',20800,'299',31.95,1,3,NULL),(25,6343643,'1993-07-23 00:00:00',4,1,10,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124244241235111431526611375112610167117',21163,'1118',26.79,1,3,NULL),(25,6343651,'1989-08-05 00:00:00',2,1,12,2007,'F','N','CALHEIROS','GOV CELSO RAMOS','SC','124241241131271431423315395124610134112',NULL,'329',26.22,1,2,1),(25,6343678,'1993-09-25 00:00:00',2,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431557413575122610145046',7543,'723',52.45,1,3,NULL),(25,6343686,'1993-08-15 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','624242248217111751328614592122610113177',18346,'1118',33.33,1,3,NULL),(25,6343694,'1992-11-17 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241241112142731449612345332610137182',21713,'732',24.85,1,2,1),(25,6343708,'1989-12-07 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241217153431643823372114133234177',NULL,'976',41.56,1,3,NULL),(25,6343716,'1991-03-15 00:00:00',2,1,12,2009,'F','N','MINAS CAIXA','BELO HORIZONTE','MG','113131131146571411635614275124610137037',NULL,'9998',0.00,2,1,1),(25,6343740,'1994-02-25 00:00:00',4,15,12,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124241241115151431426519275121610127042',NULL,'29',28.81,3,3,NULL),(25,6343759,'1993-02-12 00:00:00',2,1,11,2010,'F','N','CENTRO','PALHOÇA','SC','124242241217131731334617572122610127072',19244,'989',31.84,1,3,NULL),(25,6343767,'1992-02-19 00:00:00',4,5,12,2010,'F','N','NOA SERTAOZINHO','SERTÃOZINHO','SP','125254251217171431527632442122610134072',NULL,'704',0.00,2,3,NULL),(25,6343775,'1982-09-10 00:00:00',2,1,6,2006,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','624161167425121411223343242312141024192',18072,'9998',38.70,1,3,NULL),(25,6343783,'1991-11-19 00:00:00',4,1,12,2009,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121215471331478812575122610166172',NULL,'9998',0.00,1,3,NULL),(25,6343791,'1993-09-03 00:00:00',4,7,11,2010,'F','N','CENTRO','JOAÇABA','SC','124241241237371431434616165122610135143',17446,'446',34.04,1,3,NULL),(25,6343805,'1992-02-05 00:00:00',2,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124242241236111431423611575222610115157',NULL,'976',31.16,1,3,NULL),(25,6343813,'1993-09-29 00:00:00',4,1,12,2010,'M','N','CENTRO','IRATI','PR','116161166216111431436663335122610137044',NULL,'9997',0.00,1,3,NULL),(25,6343821,'1993-07-02 00:00:00',4,15,11,2010,'F','N','SAO CRISTOVAO','TURVO','SC','124242241217122431456823435124610131012',11440,'813',44.16,1,3,NULL),(25,6343830,'1992-10-09 00:00:00',4,8,11,2009,'F','N','AGUA VERDE','CURITIBA','PR','116161161216471431447832175122610124172',9064,'9998',48.61,1,3,NULL),(25,6343848,'1994-07-01 00:00:00',4,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124241241115131411423531285114610126057',NULL,'730',24.34,1,2,1),(25,6343856,'1993-03-13 00:00:00',4,4,12,2010,'F','N','MARATÁ','S DOMINGOS','SC','124241248126161751224629572124610117057',NULL,'707',18.24,1,3,NULL),(25,6343864,'1993-03-16 00:00:00',2,1,12,2010,'M','N','SINEBALDY','PIEDADE','SP','125252258137131431426619342222610137012',NULL,'9998',0.00,1,3,NULL),(25,6343880,'1993-08-02 00:00:00',4,9,12,2010,'M','N','LINHA BARRO PRETO','FRAIBURGO','SC','124241241114161431434336575124610157051',NULL,'314',0.00,1,2,1),(25,6343899,'1994-05-01 00:00:00',4,15,12,2010,'M','N','CENTRO','ARARANGUÁ','SC','124242241215111751456812592122610167067',14803,'970',38.22,1,3,NULL),(25,6343902,'1991-07-15 00:00:00',4,4,11,2008,'M','N','CENTRO','ERECHIM','RS','120202201216572431467912575122610138122',2916,'9998',63.67,1,3,NULL),(25,6343937,'1989-11-29 00:00:00',4,1,12,2007,'M','N','VILA MELHADO','ARARAQUARA','SP','125252251216571431668811571122610122042',NULL,'9998',0.00,1,3,NULL),(25,6343945,'1993-01-27 00:00:00',4,8,11,2010,'M','N','JARDIM IRIRIU','JOINVILLE','SC','124241241311111521435633191231610166012',NULL,'1016',23.41,1,3,NULL),(25,6343953,'1993-01-16 00:00:00',2,1,11,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215172431448933572122610134182',3566,'270',63.03,1,3,NULL),(25,6343961,'1990-04-09 00:00:00',4,1,10,2008,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243241117272431118941315122120736062',3006,'306',63.91,1,3,NULL),(25,6343970,'1990-02-10 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241215372431458823475124610127022',15589,'738',42.78,4,3,NULL),(25,6343988,'1993-09-02 00:00:00',2,10,10,2010,'F','N','CENTRO','JAGUARUNA','SC','124241248215111731543332572124610126097',NULL,'806',24.43,1,3,NULL),(25,6344003,'1992-08-25 00:00:00',2,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241211472531458611572114610117062',20791,'951',25.32,4,3,NULL),(25,6344011,'1992-07-22 00:00:00',4,3,11,2009,'F','N','VILA IZABEL','CURITIBA','PR','116162161216412411569933575114610136142',NULL,'9998',0.00,1,3,NULL),(25,6344020,'1991-07-18 00:00:00',4,5,10,2008,'F','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120242241211571431189632571122610165127',4802,'226',59.32,1,3,NULL),(25,6344046,'1992-08-16 00:00:00',2,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215472431343411575124610133147',15733,'1022',40.15,1,3,NULL),(25,6344054,'1993-08-10 00:00:00',2,1,12,2010,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115141431437722572222610123147',21182,'21',30.16,1,2,1),(25,6344062,'1993-10-19 00:00:00',2,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241435122431465923575125610124092',20792,'1133',31.96,1,3,NULL),(25,6344070,'1991-04-01 00:00:00',4,1,12,2008,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241136141211433324445124610148141',19203,'740',36.54,1,2,1),(25,6344089,'1989-11-03 00:00:00',4,1,12,2006,'M','N','SANTA FÉ','CPO GRANDE','MS','112122121217371431468831572112141064047',NULL,'9998',0.00,3,3,NULL),(25,6344097,'1993-09-17 00:00:00',4,1,12,2010,'M','N','JURERE','FLORIANÓPOLIS','SC','125252251213111431478911472122610167187',NULL,'9998',0.00,1,3,NULL),(25,6344119,'1993-10-19 00:00:00',4,5,12,2010,'F','N','RIO KUNTZ','SIDERÓPOLIS','SC','124244246215161431446614372122610123077',19983,'995',34.64,1,3,NULL),(25,6344127,'1993-07-11 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241115371731366913575114610164112',10776,'271',46.65,1,3,NULL),(25,6344135,'1989-09-28 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215575431557639575122610127147',11787,'807',44.41,1,3,NULL),(25,6344143,'1993-10-28 00:00:00',4,2,12,2010,'F','N','NOVA BRASILIA','JARAGUÁ SUL','SC','124241241116151731637334576125610121197',NULL,'425',20.65,1,2,1),(25,6344160,'1990-10-03 00:00:00',2,1,12,2008,'M','N','VILA NOVA','PTO ALEGRE','RS','120201201217471431225623572114610111127',2233,'9998',68.43,2,1,2),(25,6344178,'1993-10-19 00:00:00',4,6,11,2010,'F','N','CENTRO','NAVEGANTES','SC','124242241215111732536814595112610122047',NULL,'1029',0.00,1,3,NULL),(25,6344186,'1993-10-11 00:00:00',4,1,11,2010,'M','N','SANTA TEREZA','S PEDRO ALCÂNTARA','SC','124241248121131731413319582224610128187',NULL,'869',0.00,1,3,NULL),(25,6344194,'1985-12-03 00:00:00',4,8,12,2003,'F','N','VILA NOVA','JOINVILLE','SC','124241241116141321533311445122333228147',NULL,'475',0.00,1,2,1),(25,6344208,'1989-04-02 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241215473431644732121122130211047',NULL,'273',0.00,1,3,NULL),(25,6344216,'1993-10-31 00:00:00',4,1,11,2010,'M','N','AREIAS','S JOSÉ','SC','124242241215111211356812575122610117047',19101,'738',36.75,1,3,NULL),(25,6344224,'1990-10-18 00:00:00',4,1,12,2008,'M','N','VILA ROSSINI','TABATINGA','SP','125251251115311431436811575122142837047',NULL,'9998',0.00,1,2,1),(25,6344232,'1989-10-25 00:00:00',4,1,11,2006,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124243241216373431629718345234610162017',16712,'944',41.06,4,3,NULL),(25,6344259,'1991-09-02 00:00:00',2,3,11,2008,'M','N','PEREQUE','PTO BELO','SC','124244247447132421346634125133131424117',NULL,'1220',0.00,1,3,NULL),(25,6344267,'1988-05-12 00:00:00',4,3,12,2006,'M','N','CENTRO','CASCAVEL','PR','116111111125474411434423275124610142072',9412,'9998',50.30,1,2,1),(25,6344275,'1972-06-09 00:00:00',2,1,12,1988,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','224286281216151731537851345144340157017',20250,'9998',33.91,1,3,NULL),(25,6344283,'1993-07-01 00:00:00',4,2,12,2010,'F','N','SOUZA CRUZ','BRUSQUE','SC','124242241215271431448832575122610134142',7421,'109',53.76,3,3,NULL),(25,6344291,'1991-10-18 00:00:00',4,1,12,2009,'M','N','JABAQUARA','S PAULO','SP','125252258636471441577732345122143262162',6294,'9998',54.73,1,3,NULL),(25,6344305,'1953-06-29 00:00:00',2,1,12,1972,'F','N','CENTRO','FLORIANÓPOLIS','SC','624204201412375411323659492145142637183',20895,'9998',31.54,1,3,NULL),(25,6344313,'1993-11-09 00:00:00',4,7,12,2010,'M','N','INTERIOR','RIO ANTAS','SC','124241242116131431423436595222610127057',18272,'196',34.85,1,2,1),(25,6344321,'1966-12-27 00:00:00',4,1,11,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','624201201317131421323541212222141465057',15645,'9998',42.69,1,3,NULL),(25,6344330,'1990-07-22 00:00:00',4,8,11,2010,'M','N','ZONA SETE','MARINGÁ','PR','116162167437371431367712475112610167112',21569,'9998',27.28,1,3,NULL),(25,6344356,'1994-03-23 00:00:00',4,1,11,2010,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241215112431458812275124610134142',19933,'270',34.77,1,3,NULL),(25,6344364,'1992-11-03 00:00:00',4,5,11,2009,'F','N','CENTRO','FORQUILHINHA','SC','124242241215472411244422345122610166052',9255,'226',52.58,1,3,NULL),(25,6344372,'1993-08-27 00:00:00',2,16,12,2010,'M','N','ÁGUA SANTA','CURITIBANOS','SC','124243241216111411433933495122610137052',NULL,'881',32.66,1,3,NULL),(25,6344380,'1993-11-24 00:00:00',2,15,12,2010,'F','N','CENTRO','ARARANGUÁ','SC','124243241215151431326332592122610134045',NULL,'26',24.06,1,3,NULL),(25,6344399,'1993-07-04 00:00:00',4,3,10,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431469934375122610137072',13240,'1038',42.89,1,3,NULL),(25,6344402,'1992-03-07 00:00:00',2,4,12,2009,'F','N','CINQUENTENARIO','CONCÓRDIA','SC','124241241316251721538632344115610148017',NULL,'192',0.00,1,3,NULL),(25,6344410,'1993-11-08 00:00:00',2,3,11,2010,'F','N','SÃO JUDAS','BAL CAMBORIÚ','SC','124244241214111431233821575114610154157',8208,'1038',51.76,1,3,NULL),(25,6344429,'1993-07-08 00:00:00',4,2,11,2010,'F','N','GARCIA','BLUMENAU','SC','124242241212112431436512595124610124142',NULL,'71',27.56,1,3,NULL),(25,6344437,'1992-12-23 00:00:00',2,1,12,2009,'M','N','ALTO ARIRIU','PALHOÇA','SC','124241241112141431433314342121610117045',NULL,'591',27.24,1,2,1),(25,6344445,'1994-11-23 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431568912575124610133145',NULL,'262',19.35,1,3,NULL),(25,6344453,'1982-03-25 00:00:00',2,1,8,2004,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201207341141721223349391324610127187',NULL,'9998',18.16,1,3,NULL),(25,6344461,'1988-09-24 00:00:00',2,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241346573731333623385124610134065',NULL,'298',26.03,4,3,NULL),(25,6344470,'1958-03-16 00:00:00',4,7,11,1976,'M','N','CENTRO','VIDEIRA','SC','124244168327151731348543433232331436182',4250,'9998',62.68,1,3,NULL),(25,6344488,'1991-02-24 00:00:00',5,1,12,2008,'F','N','MINAS BRASIL','BELO HORIZONTE','MG','113284131216271712436519485114610166187',6677,'9998',54.26,2,3,NULL),(25,6344496,'1993-04-02 00:00:00',2,16,12,2010,'M','N','ESTRADA GERAL','ATALANTA','SC','124241242116151221533336575124610127067',NULL,'1222',21.51,1,2,1),(25,6344500,'1986-10-17 00:00:00',4,1,11,2004,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','624241241217113431336844145123133267052',NULL,'300',0.00,1,3,NULL),(25,6344526,'1988-09-22 00:00:00',4,1,12,2006,'M','N','UNIVERSITÁRIO','GOIÂNIA','GO','109092091215571411445521571122610167072',1984,'9998',68.33,1,3,NULL),(25,6344534,'1994-03-31 00:00:00',4,1,11,2011,'F','S','CACUPÉ','FLORIANÓPOLIS','SC','124242241215111431468819392122610137017',NULL,'262',45.76,1,3,NULL),(25,6344542,'1993-09-20 00:00:00',4,8,12,2010,'M','N','AMERICA','JOINVILLE','SC','124242241215111431578812475122610167066',2851,'9997',64.74,1,3,NULL),(25,6344550,'1983-05-24 00:00:00',2,1,12,2002,'F','N','CAEIRAS DOS SACOS DO','FLORIANÓPOLIS','SC','124251258127131431223644242324231327027',15906,'9997',37.38,4,2,1),(25,6344569,'1992-09-14 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215412431568512595112610127092',16654,'738',38.12,1,3,NULL),(25,6344577,'1990-06-04 00:00:00',2,1,12,2007,'M','N','PASSO DA AREIA','STA MARIA','RS','120203201216571451535633575114141343183',158,'9998',81.75,1,3,NULL),(25,6344585,'1989-08-23 00:00:00',2,1,11,2006,'M','N','CENTRO','BOSSOROCA','RS','120201201114571431458811575125610162057',5793,'9998',57.12,1,2,1),(25,6344593,'1993-05-20 00:00:00',2,1,11,2010,'M','N','ROÇADO','S JOSÉ','SC','124241241415111431445513275112610127043',NULL,'724',36.41,1,3,NULL),(25,6344607,'1992-06-27 00:00:00',4,1,12,2010,'M','N','VILA IPIRANGA','LONDRINA','PR','116163161217111731458931471112610127117',1333,'9998',70.64,1,3,NULL),(25,6344615,'1992-08-10 00:00:00',2,1,11,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241215111431535431382124610127055',19264,'880',36.35,1,3,NULL),(25,6344623,'1980-04-28 00:00:00',2,8,12,1998,'M','N','COHAPAR','GUARATUBA','PR','116161161126131751123343133121233268187',NULL,'9998',21.73,1,2,1),(25,6344631,'1978-10-28 00:00:00',4,1,12,1996,'M','N','N S DO ROSARIO','S JOSÉ','SC','124242241213132411336643435113130247187',20423,'272',33.38,1,3,NULL),(25,6344640,'1993-02-24 00:00:00',2,1,12,2010,'M','N','GANCHOS DE FORA','GOV CELSO RAMOS','SC','124241241117131732426619392224610127057',19343,'329',32.68,1,2,1),(25,6344658,'1994-04-12 00:00:00',4,10,12,2010,'F','N','ILHOTA','PEDRAS GRANDES','SC','124241241125131431436313571124610126037',NULL,'608',0.00,1,2,1),(25,6344666,'1993-05-13 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241137131431533612425122610134143',NULL,'712',13.09,1,2,1),(25,6344674,'1991-02-15 00:00:00',2,1,12,2007,'F','N','COSTEIRA DO PIRAJUAE','FLORIANÓPOLIS','SC','124242241217375431368613574122120335095',2297,'270',68.20,1,3,NULL),(25,6344682,'1991-09-19 00:00:00',4,1,12,2010,'F','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124243246216141711236733595122610134046',20176,'1120',27.62,1,3,NULL),(25,6344704,'1988-10-15 00:00:00',4,1,8,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124252241417333712249829495114120864017',15570,'9998',42.81,1,3,NULL),(25,6344712,'1992-11-10 00:00:00',4,4,12,2010,'M','N','CENTRO','ERECHIM','RS','120203201317131531433614572124610147042',NULL,'9998',30.55,1,3,NULL),(25,6344720,'1993-02-28 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124142241215112431459934575122610164142',10334,'213',46.52,2,1,2),(25,6344739,'1990-03-21 00:00:00',4,8,11,2008,'M','N','AMÉRICA','JOINVILLE','SC','124052241213574231458813432124231464012',NULL,'9998',29.70,1,3,NULL),(25,6344747,'1993-03-24 00:00:00',4,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115131431438823575124610147063',NULL,'307',33.04,1,2,1),(25,6344755,'1989-07-19 00:00:00',4,10,12,2007,'M','N','SÃO JOÃO M ESQUERDA','TUBARÃO','SC','124241241336131431443319345123610122047',NULL,'798',0.00,1,3,NULL),(25,6344763,'1993-12-02 00:00:00',2,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124282241215111431269912575122610142186',NULL,'1133',0.00,1,3,NULL),(25,6344771,'1993-12-28 00:00:00',4,7,12,2010,'F','N','SORGATTO','CAÇADOR','SC','124242241215161431438614572122610143147',8325,'1124',50.54,1,3,NULL),(25,6344780,'1987-10-20 00:00:00',2,8,12,2004,'M','N','CANISIANAS','IRATI','PR','116242161314373751446832574112141444187',971,'9998',73.17,1,3,NULL),(25,6344798,'1992-08-28 00:00:00',4,15,12,2009,'F','N','FLORIDA','GUAÍBA','RS','120202201216471431558813474125610134097',6962,'9998',52.66,1,3,NULL),(25,6344801,'1994-04-04 00:00:00',4,1,12,2011,'F','S','JURERÊ','FLORIANÓPOLIS','SC','124242241215111431435632575112610146076',NULL,'883',32.75,1,3,NULL),(25,6344810,'1993-01-06 00:00:00',4,15,12,2010,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241115161432534311595121610164175',13443,'30',42.54,1,2,1),(25,6344828,'1994-06-27 00:00:00',4,1,11,2011,'F','S','CENTRO','BIGUAÇU','SC','124242241215111731456833575122610134141',NULL,'270',46.55,1,3,NULL),(25,6344844,'1994-07-05 00:00:00',2,1,11,2010,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241216151731335633575124610123192',NULL,'939',19.70,1,3,NULL),(25,6344852,'1993-09-20 00:00:00',2,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115111531236624372114610124042',NULL,'293',23.17,1,2,1),(25,6344860,'1990-12-16 00:00:00',4,1,12,2008,'M','N','VILA MASCOTE','S PAULO','SP','125252251214571411558811571125610166197',NULL,'9998',0.00,1,3,NULL),(25,6344879,'1990-07-25 00:00:00',1,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241437272431218741315124610122181',NULL,'883',0.00,1,3,NULL),(25,6344887,'1992-02-13 00:00:00',2,4,11,2009,'F','N','SANTA MARIA','TOLEDO','PR','116161161316471411453336582122610112052',NULL,'9998',0.00,1,3,NULL),(25,6344917,'1990-05-09 00:00:00',4,5,12,2007,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243248216133411226663575124610161147',15668,'995',37.53,1,3,NULL),(25,6344933,'1991-01-29 00:00:00',4,1,11,2008,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124101241345273431226624392124220468147',12927,'307',41.63,2,1,2),(25,6344941,'1992-11-13 00:00:00',2,1,11,2009,'F','N','PACHECOS','PALHOÇA','SC','124241241112132431435613585112610142147',19891,'592',34.89,1,2,1),(25,6344950,'1981-08-15 00:00:00',2,6,12,2000,'M','N','IMARUÍ','ITAJAÍ','SC','124131131126131521123344345114610128197',NULL,'9998',0.00,2,1,1),(25,6344968,'1987-12-03 00:00:00',2,10,7,2007,'M','N','DEHON','TUBARÃO','SC','124241247437151432226634245113610167057',20903,'9999',31.49,1,3,NULL),(25,6344984,'1992-07-08 00:00:00',4,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216112432558814572114610157042',7991,'262',52.55,1,3,NULL),(25,6344992,'1988-05-08 00:00:00',2,1,12,2006,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241126271451234444242134610168182',NULL,'288',14.57,1,2,1),(25,6345000,'1992-06-11 00:00:00',2,8,12,2009,'M','N','VIEIRAS','JARAGUÁ SUL','SC','124241242116271751323644442121610124027',NULL,'758',19.28,1,2,1),(25,6345018,'1965-12-11 00:00:00',4,1,12,1986,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243244332123431227844345124120232197',NULL,'260',25.29,1,3,NULL),(25,6345026,'1993-08-16 00:00:00',4,1,12,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124244241237151431548811591124610134142',11768,'1074',45.99,1,3,NULL),(25,6345042,'1993-05-29 00:00:00',2,10,11,2010,'M','N','CENTRO','IMBITUBA','SC','124241241215111221478813572325610167082',6574,'807',55.02,1,3,NULL),(25,6345069,'1993-08-23 00:00:00',4,1,11,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215371431488932475122610168122',NULL,'270',0.00,1,3,NULL),(25,6345085,'1991-03-02 00:00:00',2,1,12,2008,'F','N','SAO LUIZ','S JOSÉ','SC','124241241127372421323321342214610126147',21213,'729',29.98,1,2,1),(25,6345093,'1994-09-07 00:00:00',2,5,11,2010,'M','N','SANTA ANA','FORQUILHINHA','SC','124242241215111431258611472124610167062',16302,'995',41.70,1,3,NULL),(25,6345107,'1978-03-23 00:00:00',2,15,11,1998,'M','N','SOCOPAS','BAL ARROIO SILVA','SC','124241241324151711223641122222132827117',20001,'32',34.58,3,3,NULL),(25,6345115,'1991-04-19 00:00:00',4,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241117272421643311171124610126127',11165,'307',45.68,1,2,1),(25,6345123,'1991-05-28 00:00:00',2,7,12,2008,'M','N','CENTRO','ÁGUA DOCE','SC','124241241126131431214344442224610124042',17339,'9',35.17,1,2,1),(25,6345131,'1993-08-20 00:00:00',2,10,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124243241226131431427613292124610127037',NULL,'524',31.97,4,3,NULL),(25,6345140,'1992-12-18 00:00:00',4,8,12,2010,'F','N','CENTRO','S BENTO SUL','SC','124241241217161431558912575122610167017',NULL,'974',23.31,1,3,NULL),(25,6345158,'1992-07-28 00:00:00',4,5,12,2009,'F','N','ANA MARIA','CRICIÚMA','SC','124244241217372411423634345124610125072',13718,'995',45.60,1,3,NULL),(25,6345174,'1993-01-09 00:00:00',4,1,9,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217121431269823392124610112012',179,'270',81.47,1,3,NULL),(25,6345182,'1992-05-30 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215373431439813575122130467127',8451,'270',52.10,1,3,NULL),(25,6345190,'1993-11-27 00:00:00',4,2,12,2010,'F','N','MARGEM ESQUERDA','GASPAR','SC','124243241317141731439732235122610163147',NULL,'325',18.18,4,3,NULL),(25,6345204,'1993-01-04 00:00:00',4,1,11,2010,'F','N','JD BOM TEMPO','TABOÃO SERRA','SP','125254251417131432335524575124610132073',12833,'9998',43.94,1,3,NULL),(25,6345212,'1992-08-18 00:00:00',2,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472431467312372112610114142',14776,'272',40.32,1,3,NULL),(25,6345220,'1988-04-21 00:00:00',4,1,2,2010,'M','N','KOBRASOL','S JOSÉ','SC','124243247326131431438613385124610157047',NULL,'9999',22.23,2,1,2),(25,6345239,'1993-07-01 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215131431436514591124610127047',NULL,'272',19.83,2,1,2),(25,6345247,'1993-10-13 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124242241215121531449933575112610112192',3480,'497',63.83,1,3,NULL),(25,6345255,'1989-06-06 00:00:00',4,1,11,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117131431123649495114230264057',NULL,'733',35.89,1,2,1),(25,6345271,'1994-05-06 00:00:00',2,1,11,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241215111751546311375122610168197',14600,'981',44.30,1,3,NULL),(25,6345280,'1992-03-08 00:00:00',2,1,7,2010,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124243247417141711438813342124232712075',NULL,'272',0.00,1,3,NULL),(25,6345298,'1993-06-09 00:00:00',2,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241215141422524411572124610114071',19181,'1074',31.46,1,3,NULL),(25,6345301,'1993-03-18 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241235111431668414575122610134042',18385,'262',32.44,1,3,NULL),(25,6345310,'1993-05-13 00:00:00',4,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241215372431643631495124610144192',2874,'1022',64.99,1,3,NULL),(25,6345328,'1988-05-10 00:00:00',4,1,12,2005,'M','N','STO ANTÔNIO','FLORIANÓPOLIS','SC','124242241213154441369719475114220866117',4313,'884',62.51,1,3,NULL),(25,6345336,'1992-04-11 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215272121348821445224610117041',NULL,'951',33.44,1,3,NULL),(25,6345344,'1990-08-07 00:00:00',2,6,12,2009,'F','N','JARDIM MANAUS','FOZ IGUAÇU','PR','116161161146132431523349295125242738182',NULL,'9998',16.22,1,2,1),(25,6345352,'1992-06-15 00:00:00',4,5,11,2009,'F','N','BOM FIM','PTO ALEGRE','RS','120242241217471431366432592114610134182',6261,'1000',55.12,1,3,NULL),(25,6345360,'1993-02-09 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215372752446631592112610124071',NULL,'868',27.49,1,3,NULL),(25,6345379,'1990-07-24 00:00:00',4,1,12,2007,'M','N','JARDIM ITU SABARA','PTO ALEGRE','RS','120202201216571751618847125311610168197',NULL,'9998',0.00,1,3,NULL),(25,6345387,'1993-06-25 00:00:00',4,1,12,2010,'F','N','ZONA CINCO','MARINGÁ','PR','116162161216111731479933575112610162012',NULL,'9998',42.34,1,3,NULL),(25,6345395,'1991-11-22 00:00:00',2,3,12,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116164161417142121523724445134141537057',13848,'9998',41.47,1,3,NULL),(25,6345409,'1985-04-04 00:00:00',2,1,8,2010,'M','N','BELA VISTA I','S JOSÉ','SC','124241241136141431423344241122610127113',NULL,'9997',8.57,1,2,1),(25,6345417,'1993-03-24 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124202248215121411349934572124610124042',NULL,'9999',16.48,1,3,NULL),(25,6345425,'1993-10-15 00:00:00',4,15,12,2010,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241115141431334344245121610132043',NULL,'30',25.23,1,2,1),(25,6345433,'1994-07-15 00:00:00',4,1,12,2011,'M','S','SERTÃO DO MARUIM','S JOSÉ','SC','124242241215151412248813175124610122072',NULL,'1074',41.65,1,3,NULL),(25,6345441,'1993-10-17 01:00:00',2,3,12,2010,'F','N','DOS MUNICÍPIOS','BAL CAMBORIÚ','SC','124243241215111431324314375124610127183',21106,'53',30.61,1,3,NULL),(25,6345476,'1993-05-21 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112751468613485125610127041',10762,'1169',47.76,1,3,NULL),(25,6345484,'1993-11-05 00:00:00',4,3,11,2010,'F','N','CENTRO','BRUSQUE','SC','124242241215111431469911572114610124142',344,'1038',79.05,1,3,NULL),(25,6345492,'1993-09-16 00:00:00',4,4,12,2010,'M','N','INTERIOR','CONCÓRDIA','SC','124241242117151431434825252122610127057',NULL,'196',0.00,1,2,1),(25,6345506,'1992-05-02 00:00:00',2,3,12,2010,'M','N','GASPAR GRANDE','GASPAR','SC','124241242115131431325634392224610167147',20986,'129',29.53,1,2,1),(25,6345514,'1992-02-28 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','624242241215272431326719495124231127057',10048,'1022',47.78,1,3,NULL),(25,6345522,'1993-08-03 00:00:00',2,7,12,2010,'M','N','CENTRO','PIRATUBA','SC','124241241415131731319634245121610138057',NULL,'369',0.00,1,3,NULL),(25,6345530,'1986-10-27 00:00:00',4,1,12,2003,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241216274431569713475112333224097',17223,'270',40.25,1,3,NULL),(25,6345549,'1991-10-22 00:00:00',2,8,1,2011,'F','N','CENTRO','QUEDAS IGUAÇU','PR','116161098117111331538923585124141017092',20723,'9998',25.72,1,2,1),(25,6345557,'1991-09-10 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124241241117141731425523595123610132072',21272,'359',29.63,1,2,1),(25,6345565,'1987-09-24 00:00:00',2,15,12,2004,'F','N','LOMBA GRANDE','NOVO HAMBURGO','RS','120201201116571431466612582122142846092',NULL,'9998',0.00,1,2,1),(25,6345573,'1990-11-30 00:00:00',2,1,12,2008,'F','N','BOM RETIRO','S PAULO','SP','125252251217571431238924575125141466196',7493,'9998',51.71,1,3,NULL),(25,6345581,'1991-07-06 00:00:00',4,1,12,2009,'M','N','FUNDOS','BIGUAÇU','SC','124241247227131731554237245124612035147',NULL,'9999',14.37,2,1,2),(25,6345603,'1973-03-05 00:00:00',4,1,12,1993,'F','N','BELA VISTA III','S JOSÉ','SC','524243243126132731226341215124132743187',14770,'257',44.05,1,3,NULL),(25,6345611,'1993-09-12 00:00:00',2,1,11,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241237112111358832572111610162127',NULL,'1133',0.00,1,3,NULL),(25,6345620,'1992-06-17 00:00:00',4,16,11,2009,'F','N','CENTRO','CURITIBA','PR','116242161216372431449931275112140236142',NULL,'9998',41.18,1,3,NULL),(25,6345638,'1974-03-13 00:00:00',2,1,12,1994,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624242247311154421226654342122610161097',NULL,'9999',19.83,1,3,NULL),(25,6345646,'1992-12-25 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431589713575112610147052',NULL,'1050',0.00,1,3,NULL),(25,6345654,'1992-05-16 00:00:00',2,3,12,2009,'F','N','DOS ESTADOS','GUARAPUAVA','PR','116163161216571431446933574112610142197',724,'9998',74.68,1,3,NULL),(25,6345662,'1993-08-13 00:00:00',4,8,12,2010,'F','N','CENTRO','CPO MOURÃO','PR','116162161216271431348619575122610164146',1874,'9998',68.33,1,3,NULL),(25,6345670,'1991-05-27 00:00:00',4,1,12,2010,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124241247337132141513231285124610163147',21622,'9999',26.59,2,3,NULL),(25,6345689,'1992-12-10 00:00:00',4,1,11,2010,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215172431446633575114610137063',3578,'1022',62.70,1,3,NULL),(25,6345697,'1989-05-01 00:00:00',2,1,12,2006,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241147371731534614245123610112187',19464,'66',29.74,1,2,1),(25,6345700,'1993-01-25 00:00:00',4,3,12,2010,'M','N','CENTRO','ITAPEMA','SC','124241248117131431224624575114610122197',13449,'129',46.01,1,2,1),(25,6345719,'1992-11-05 00:00:00',4,4,12,2009,'F','N','UNIVERSITÁRIO','CHAPECÓ','SC','124241241134471431449933392112610111147',17265,'174',36.14,1,2,1),(25,6345727,'1994-09-16 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215131431439813575122610162127',NULL,'270',25.33,3,3,NULL),(25,6345735,'1990-12-17 00:00:00',2,1,12,2008,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241215573431426814474124610127077',9239,'1050',52.54,1,3,NULL),(25,6345743,'1982-10-13 00:00:00',2,1,12,2009,'F','N','JD CARANDAÍ','BIGUAÇU','SC','624241247326272741326544442134610167187',15954,'9999',42.21,1,3,NULL),(25,6345751,'1992-04-25 00:00:00',2,8,11,2009,'M','N','CAMBUCI','S PAULO','SP','125252253215471411478823575124610127042',6734,'9998',54.42,1,3,NULL),(25,6345760,'1993-04-14 00:00:00',2,1,12,2010,'F','N','MORRO DO FABRICIO','STO AMARO IMPERATRIZ','SC','124241241215151431444912572124610134147',NULL,'1223',27.64,1,3,NULL),(25,6345786,'1991-04-13 00:00:00',4,4,12,2009,'M','N','CENTRO','CASCAVEL','PR','116162161215472731366316575122610138072',5212,'9998',57.70,1,3,NULL),(25,6345794,'1993-07-29 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241335411731458312572124613264092',NULL,'1022',23.47,1,3,NULL),(25,6345808,'1991-05-18 00:00:00',4,1,12,2008,'M','N','SÃO DIMAS','PIRACICABA','SP','125254251217571431468839592142610167046',NULL,'9997',0.00,1,3,NULL),(25,6345824,'1993-10-07 00:00:00',2,1,6,2011,'M','S','FORQUILHINHAS','S JOSÉ','SC','124242241117141431445714345124610117047',NULL,'739',31.79,1,3,NULL),(25,6345832,'1989-12-05 00:00:00',2,1,12,2008,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124242247217152431238612382314610114197',NULL,'9999',0.00,1,3,NULL),(25,6345840,'1992-07-20 00:00:00',4,1,12,2009,'M','N','PARQUE RESID JULIA','S PAULO','SP','125252251217471431458932575122610124173',4584,'9998',60.78,1,3,NULL),(25,6345859,'1985-02-19 00:00:00',3,1,9,2004,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124213247132133411549413485124133218197',19441,'9999',35.94,2,1,2),(25,6345867,'1991-02-25 00:00:00',2,4,12,2008,'F','N','SITIO','VERA C OESTE','PR','116161161217571431446316591122610164177',NULL,'9998',0.00,1,3,NULL),(25,6345875,'1974-11-26 00:00:00',2,1,12,1987,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','624241247322141711534444342112610122045',NULL,'9999',19.85,1,3,NULL),(25,6345883,'1993-08-23 00:00:00',2,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124241241115371431228429575122610135092',13867,'539',45.38,1,3,NULL),(25,6345891,'1993-02-03 00:00:00',4,3,12,2010,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124242241215121431369931242122610124112',5312,'1038',58.94,1,3,NULL),(25,6345905,'1993-10-23 00:00:00',4,1,11,2010,'F','N','CENTRO','PATO BRANCO','PR','116162161216271731443832125122610133017',13967,'9998',40.12,1,3,NULL),(25,6345913,'1991-01-13 00:00:00',2,1,12,2008,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215573731447621575124610167042',87,'270',83.98,1,3,NULL),(25,6345930,'1989-09-29 00:00:00',4,15,12,2006,'M','N','MORRO DOS CONVENTOS','ARARANGUÁ','SC','124241241137132431444413345122610164057',NULL,'29',26.95,1,2,1),(25,6345948,'1993-10-21 00:00:00',4,8,12,2010,'F','N','CENTRO','S BENTO SUL','SC','124242241215141411354822221122610142057',NULL,'974',0.00,1,3,NULL),(25,6345956,'1993-11-17 00:00:00',2,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215271231358614572124610162197',9717,'270',47.13,1,3,NULL),(25,6345964,'1993-06-03 00:00:00',4,1,11,2010,'M','N','CENTRO','TIJUCAS','SC','124243241215141531447732391122610127187',NULL,'1119',28.62,1,3,NULL),(25,6345972,'1992-04-01 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241212574431636733572124131427143',2748,'307',66.11,1,3,NULL),(25,6345999,'1993-07-13 00:00:00',2,9,12,2010,'M','N','CENTRO','LONTRAS','SC','124242241215111431336612575124610161072',NULL,'991',31.38,1,3,NULL),(25,6346014,'1992-01-01 00:00:00',4,1,12,2008,'F','N','PITUBA','SALVADOR','BA','105052051216111431459924272122241032182',2411,'9998',67.76,4,3,NULL),(25,6346022,'1991-03-11 00:00:00',4,5,11,2008,'M','N','CENTRO','IÇARA','SC','124242241215371151355814415112131064057',19200,'226',36.55,1,3,NULL),(25,6346030,'1991-09-13 00:00:00',4,2,12,2008,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215572431327961575124610167076',1244,'9998',71.11,1,3,NULL),(25,6346049,'1992-03-25 00:00:00',2,5,11,2009,'M','N','LOMBA','ORLEANS','SC','124241248215573331555832285124610134122',8702,'950',49.20,1,3,NULL),(25,6346065,'1983-03-05 00:00:00',4,1,7,2002,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241247346153431447313345114610112042',NULL,'300',35.81,1,3,NULL),(25,6346081,'1994-08-04 00:00:00',4,3,12,2010,'M','N','CENTRO','BRUSQUE','SC','124242241217111231386812575122610128092',6126,'1042',54.63,1,3,NULL),(25,6346090,'1990-08-29 00:00:00',2,1,1,2008,'M','N','BELA VISTA','S JOSÉ','SC','124241241315411431636714345124610137112',19458,'307',30.70,4,3,NULL),(25,6346103,'1994-09-30 00:00:00',2,2,12,2011,'F','S','FORTALEZA','BLUMENAU','SC','124241241117151431654663575122610138187',NULL,'88',40.64,1,3,NULL),(25,6346111,'1991-06-07 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124244241215472431477612475122610161042',9616,'1118',48.58,1,3,NULL),(25,6346120,'1992-10-15 00:00:00',4,1,11,2010,'M','N','SÃO DOMINGOS','MOCOCA','SP','125252251215111431366923575121610117051',NULL,'9998',0.00,1,3,NULL),(25,6346138,'1983-06-11 00:00:00',2,1,7,2004,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','524241241123472412435534343123610134063',20732,'400',26.65,1,2,1),(25,6346154,'1977-09-24 00:00:00',2,1,12,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241146174431338843435122121167143',NULL,'307',38.88,1,3,NULL),(25,6346162,'1992-11-25 00:00:00',4,1,11,2010,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124244241416221411227622345124610137117',NULL,'1022',0.00,1,3,NULL),(25,6346170,'1992-11-14 00:00:00',4,8,12,2010,'F','N','AVENTUREIRO','JOINVILLE','SC','124244241215131431438619475124610122057',15144,'1105',43.48,1,3,NULL),(25,6346189,'1994-05-15 00:00:00',4,3,12,2011,'M','S','TABULEIRO','CAMBORIÚ','SC','124242248115131431446632575124610132052',NULL,'129',30.97,1,3,NULL),(25,6346197,'1995-02-03 00:00:00',2,9,11,2011,'F','S','INDEPENDENCIA','POUSO REDONDO','SC','124241241215111731533714595124613224197',NULL,'991',36.99,1,3,NULL),(25,6346200,'1992-11-17 00:00:00',2,8,12,2009,'F','N','VILA CORALINA','BAURU','SP','125251251116471511339931575122610133097',NULL,'9998',0.00,1,2,1),(25,6346235,'1993-06-07 00:00:00',2,1,12,2010,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241115111731445513575114610147067',NULL,'278',19.27,1,2,1),(25,6346243,'1992-02-03 00:00:00',4,1,7,2010,'F','N','SERRARIA','S JOSÉ','SC','124243241112131531436613345124610132012',NULL,'306',16.90,1,3,NULL),(25,6346251,'1992-12-29 00:00:00',2,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241235473431536729574224610124147',9133,'836',50.45,1,3,NULL),(25,6346260,'1991-07-20 00:00:00',4,1,12,2008,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215113511588972475114231014082',11973,'738',48.20,1,3,NULL),(25,6346278,'1993-08-14 00:00:00',2,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241215131431446654575122610117053',15502,'944',38.00,1,3,NULL),(25,6346286,'1991-12-18 00:00:00',4,1,12,2008,'M','N','CENTRO','ROLÂNDIA','PR','116162161215571731466716575122610162197',2630,'9998',65.31,3,3,NULL),(25,6346294,'1992-01-17 00:00:00',4,8,12,2008,'F','N','SANTANA','GUARAPUAVA','PR','116164161216573431458832571124610143147',4259,'9997',59.95,1,3,NULL),(25,6346308,'1991-04-08 00:00:00',4,1,11,2008,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241216152411548834395124221467043',11070,'270',44.64,1,3,NULL),(25,6346316,'1993-04-20 00:00:00',4,2,11,2010,'M','N','SALTO DO NORTE','BLUMENAU','SC','124241241235121431468912275124610124142',12436,'87',42.57,1,3,NULL),(25,6346332,'1990-11-04 00:00:00',2,1,12,2008,'M','N','CENTRO','STA MARIA','RS','120201201116571431346639495122610117047',2508,'9998',67.03,1,2,1),(25,6346340,'1984-05-11 00:00:00',4,1,12,2001,'F','N','VILA CONGONHAS','S PAULO','SP','125252251216472421578911281122343233187',NULL,'9998',30.03,1,3,NULL),(25,6346359,'1990-11-16 00:00:00',4,8,11,2007,'F','N','BIGORRILHO','CURITIBA','PR','116163161216572751657634571124610116012',5945,'9998',55.03,1,3,NULL),(25,6346367,'1994-11-22 00:00:00',2,1,12,2011,'M','S','FLORESTA','S JOSÉ','SC','124244241217151732546931572124610167047',NULL,'262',41.37,1,3,NULL),(25,6346375,'1994-10-17 00:00:00',4,9,11,2011,'F','S','CENTRO','LAGES','SC','124244241415111431438712345122610124172',NULL,'1207',38.52,1,3,NULL),(25,6346391,'1993-01-28 00:00:00',2,15,12,2010,'M','N','LIVRAMENTO','TURVO','SC','124241248116131731423336371124610164057',NULL,'814',27.71,1,3,NULL),(25,6346405,'1991-02-10 00:00:00',4,1,12,2009,'M','N','MONTE CRSTO','FLORIANÓPOLIS','SC','124241241117131431525524342224610127012',NULL,'293',23.48,2,1,1),(25,6346413,'1993-08-13 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117251431436933585124610164042',NULL,'285',26.47,1,2,1),(25,6346421,'1987-01-14 00:00:00',2,1,8,2007,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241247122271431323341112344610168197',NULL,'9997',21.18,4,2,1),(25,6346430,'1993-05-16 00:00:00',4,1,11,2010,'F','N','BELA VISTA','GOIÂNIA','GO','111091111216111431246923575122610132092',6936,'9998',52.08,4,3,NULL),(25,6346448,'1993-09-11 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215112731359813475122610127142',14346,'723',40.61,1,3,NULL),(25,6346456,'1992-01-03 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243248315472411453414145122610165177',17362,'1022',35.58,1,3,NULL),(25,6346464,'1993-09-05 00:00:00',4,8,12,2010,'M','N','ACARAI','S FRANCISCO SUL','SC','124242241215121731336613575122610147061',20848,'992',31.73,1,3,NULL),(25,6346480,'1993-09-13 00:00:00',4,1,12,2010,'M','N','GUIOMAR DE FORA','ANTÔNIO CARLOS','SC','124241241112151431223321285121610112143',4844,'21',59.14,1,2,1),(25,6346499,'1993-04-22 00:00:00',2,1,12,2010,'M','N','VENDAVAL','BIGUAÇU','SC','124241241217111421323612575114610117072',12504,'20',44.26,1,3,NULL),(25,6346502,'1987-08-02 00:00:00',4,8,12,2005,'F','N','PACAEMBU','S PAULO','SP','125252251217371431568831243121141067157',NULL,'9998',0.00,1,3,NULL),(25,6346510,'1992-09-02 00:00:00',4,5,12,2009,'M','N','SANTO ANTÔNIO','PTO ALEGRE','RS','120202201215371231388831571112610164016',720,'9998',73.77,1,3,NULL),(25,6346529,'1993-03-22 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215111431358633492122610147117',21352,'988',29.13,1,3,NULL),(25,6346537,'1986-10-28 00:00:00',4,1,7,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116272431327744442134132062191',NULL,'89',39.29,1,2,1),(25,6346545,'1992-10-12 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431469931595122610137092',17119,'270',40.42,1,3,NULL),(25,6346553,'1993-05-20 00:00:00',2,5,11,2010,'F','N','LIRI','IÇARA','SC','124243241215111431332619575114610165142',20467,'226',33.27,1,3,NULL),(25,6346570,'1991-10-30 00:00:00',4,1,12,2008,'M','N','APARECIDA','ALFENAS','MG','113273271317471331549933594325610132047',19789,'9998',35.17,1,3,NULL),(25,6346588,'1992-07-06 00:00:00',2,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215273431436611575124131127041',11886,'723',48.35,1,3,NULL),(25,6346600,'1994-06-21 00:00:00',4,1,12,2011,'M','S','ALTO RIO FARIAS','ANTÔNIO CARLOS','SC','124241241114151731624415272224610138047',NULL,'21',48.30,1,3,NULL),(25,6346618,'1993-03-12 00:00:00',4,1,12,2010,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124242241215111731456833591124610132013',3122,'1022',63.82,1,3,NULL),(25,6346626,'1991-05-20 00:00:00',4,8,12,2008,'F','N','VILA NOVA','JARAGUÁ SUL','SC','124243241212473431369919575125230431187',13250,'1174',46.28,1,3,NULL),(25,6346634,'1990-09-23 00:00:00',2,1,11,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241247317372431456633572124610128077',16264,'9999',36.58,1,3,NULL),(25,6346642,'1990-01-18 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247317371421449644242223610147047',16009,'9999',42.13,4,3,NULL),(25,6346650,'1993-02-24 00:00:00',2,1,12,2010,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241111141612543422245122610117012',NULL,'728',21.84,1,2,1),(25,6346669,'1992-11-15 00:00:00',2,1,12,2010,'F','N','BAREIROS','S JOSÉ','SC','124241241216121422436814575124610114147',9833,'1118',48.80,1,3,NULL),(25,6346677,'1994-04-14 00:00:00',2,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215112751258939592125610167142',NULL,'262',32.23,4,3,NULL),(25,6346685,'1993-01-19 00:00:00',4,1,12,2010,'M','N','V MONTEIRO','ITAPETININGA','SP','125252251216111431248833571122610134092',2124,'9998',66.73,1,3,NULL),(25,6346693,'1994-07-13 00:00:00',4,4,12,2012,'M','S','PRESIDENTE MÉDICE','CHAPECÓ','SC','124243241117111431338933575122610118051',NULL,'182',0.00,1,3,NULL),(25,6346715,'1993-12-11 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241115471431525619472124610128077',16022,'307',38.69,1,3,NULL),(25,6346723,'1992-03-05 00:00:00',4,8,12,2010,'F','N','IPANEMA','ARAÇATUBA','SP','125252281415271431469832575122610124152',2903,'9998',63.96,1,3,NULL),(25,6346731,'1992-05-09 00:00:00',2,1,12,2009,'F','N','DANIELA','FLORIANÓPOLIS','SC','124244248215271712436611582112610144117',NULL,'1022',32.32,1,3,NULL),(25,6346740,'1993-09-18 00:00:00',2,1,12,2010,'F','N','VILA NOVA','MAFRA','SC','124243241215121731423722475124610131072',18018,'541',33.47,1,3,NULL),(25,6346758,'1993-03-16 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124243241216131431526729595124610164142',9850,'270',48.83,1,3,NULL),(25,6346766,'1992-01-08 00:00:00',4,17,12,2010,'M','N','COLONIA TAQUARAL','S MATEUS SUL','PR','116161166126141231436624245123610114052',NULL,'9998',20.54,1,2,1),(25,6346774,'1993-06-25 00:00:00',4,2,12,2010,'F','N','GUARANI','BRUSQUE','SC','124242241215371431338632575122610131097',14678,'109',39.23,1,3,NULL),(25,6346782,'1991-02-14 00:00:00',2,1,12,2009,'F','N','ATLÂNTIDA','XANGRI-LÁ','RS','120201201136371431323329272321610137117',NULL,'307',30.77,1,2,1),(25,6346790,'1984-10-16 00:00:00',4,17,12,2010,'M','N','VILA BUASKI','S MATEUS SUL','PR','116161166126141231433311245122610117052',21129,'9998',24.47,1,2,1),(25,6346804,'1988-03-21 00:00:00',2,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241346112411126544245114222965092',15121,'1178',43.51,1,3,NULL),(25,6346812,'1991-08-23 00:00:00',4,15,12,2009,'M','N','CENTRO','ARROIO SAL','RS','120201201116151431333833375112610134015',13314,'9998',41.24,1,3,NULL),(25,6346820,'1993-06-08 00:00:00',4,1,12,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124241241117131432323419382124610132147',NULL,'66',22.54,1,2,1),(25,6346839,'1984-07-17 00:00:00',4,1,12,2002,'M','N','INGLESES','FLORIANÓPOLIS','SC','116161167426471431227624275124610137092',10166,'9998',51.04,1,3,NULL),(25,6346855,'1992-07-03 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241215473431468833572112610146182',5213,'970',60.38,1,3,NULL),(25,6346863,'1988-08-19 00:00:00',2,1,12,2007,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124243241146131311436624281213610134087',NULL,'282',34.47,1,3,NULL),(25,6346871,'1993-11-28 00:00:00',4,2,12,2010,'F','N','NAÇÕES','INDAIAL','SC','124244241345111331443632375122610137092',16698,'925',37.17,1,3,NULL),(25,6346880,'1993-11-15 00:00:00',4,16,12,2010,'F','N','SÃO LUIZ','CURITIBANOS','SC','124241241115471711623634571122613224142',19829,'239',29.20,1,2,1),(25,6346898,'1991-03-19 00:00:00',4,4,12,2010,'M','N','PASSO DOS FORTES','CHAPECÓ','SC','124244241347131431343434315222610117042',18020,'182',38.81,1,3,NULL),(25,6346901,'1983-03-26 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241127373421325674344234610123017',8522,'277',51.15,1,3,NULL),(25,6346910,'1992-06-05 00:00:00',4,1,11,2010,'M','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124241241215421431467713432124610127122',15272,'270',38.41,1,3,NULL),(25,6346928,'1991-11-18 00:00:00',4,1,12,2010,'M','N','MADRI','PALHOÇA','SC','124241243146161411623833345124610127057',NULL,'591',17.57,2,2,1),(25,6346936,'1989-12-29 00:00:00',4,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243247317272152227721345234222237064',16515,'9999',41.37,1,3,NULL),(25,6346944,'1993-05-15 00:00:00',2,1,12,2010,'M','N','CENTRO','STA MARIA','RS','120202201216271411153612125124610136097',4580,'9998',58.98,1,3,NULL),(25,6346952,'1990-09-14 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124254251415571431338813575124610118117',15086,'9998',40.68,1,3,NULL),(25,6346960,'1993-09-07 00:00:00',4,10,12,2010,'M','N','CONDEU','ORLEANS','SC','124241241117161431444611475122610122092',NULL,'580',19.70,1,2,1),(25,6346979,'1981-12-12 00:00:00',2,1,12,1998,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241127231431122448381114610123147',NULL,'172',0.00,1,2,1),(25,6346987,'1992-05-26 00:00:00',4,1,12,2009,'F','N','CHACARA PRIMAVERA','CAMPINAS','SP','125252251215472431467823571124610141147',10908,'9998',45.57,1,3,NULL),(25,6346995,'1992-07-11 00:00:00',2,2,12,2010,'M','N','LARANJEIRAS','RIO SUL','SC','124241243136141431526632395122610144062',16089,'659',35.69,1,2,1),(25,6347002,'1993-06-15 00:00:00',4,5,11,2010,'M','N','COMERCIARIO','CRICIÚMA','SC','124242241215111432368432495122610167052',NULL,'226',41.77,1,3,NULL),(25,6347029,'1993-06-11 00:00:00',4,1,11,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215131431436631311124610128142',NULL,'1048',29.27,1,3,NULL),(25,6347037,'1994-01-14 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241215131431536834395124610123017',NULL,'1075',20.75,1,3,NULL),(25,6347045,'1994-01-20 00:00:00',4,1,11,2011,'M','S','REAL PARK','S JOSÉ','SC','124242241237111751568831576222610144142',NULL,'738',49.57,1,3,NULL),(25,6347053,'1993-03-28 00:00:00',4,2,12,2010,'F','N','VORSTADT','BLUMENAU','SC','124244241415131111226629575124610116091',NULL,'85',0.00,1,3,NULL),(25,6347061,'1992-08-12 00:00:00',2,1,11,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215371431457714491124610167127',15233,'299',43.35,1,3,NULL),(25,6347070,'1991-01-18 00:00:00',4,8,11,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241217153411459813575124233244192',NULL,'457',0.00,1,3,NULL),(25,6347088,'1992-10-03 00:00:00',4,8,12,2010,'F','N','SAGUAÇÚ','JOINVILLE','SC','124242241215111431339924375114610122195',NULL,'1016',40.56,1,3,NULL),(25,6347100,'1994-01-20 00:00:00',2,1,11,2010,'F','N','FLORESTA','S JOSÉ','SC','124244241415111411326621585124610126047',20610,'1118',28.36,1,3,NULL),(25,6347118,'1993-04-07 00:00:00',4,3,12,2010,'M','N','VIVENDAS DO BOSQUE','CPO GRANDE','MS','112122121217151431458931572122610147127',NULL,'9998',0.00,1,3,NULL),(25,6347126,'1954-02-09 00:00:00',2,1,6,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224201207127132751531154142114610151187',NULL,'9999',0.00,1,2,1),(25,6347142,'1992-04-25 00:00:00',4,1,12,2009,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241137371731436414245114610134197',21265,'430',29.66,1,2,1),(25,6347169,'1992-03-18 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215472431459813575122610132092',6399,'272',56.49,1,3,NULL),(25,6347177,'1994-04-29 00:00:00',4,1,11,2011,'F','S','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243241217111431426632575124610122017',NULL,'1022',38.85,1,3,NULL),(25,6347185,'1988-12-26 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124243241147471431423514381124611164043',16384,'733',36.07,1,3,NULL),(25,6347193,'1992-05-19 00:00:00',4,6,11,2009,'M','N','PRAIA ALEGRE','PENHA','SC','124241241127131131328613575124610114147',20563,'609',32.90,1,2,1),(25,6347207,'1993-11-27 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124243241215112431333319395122610127157',4591,'737',61.80,1,3,NULL),(25,6347215,'1993-12-24 00:00:00',4,3,12,2010,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161216151431358814575124610164012',18105,'9998',38.64,1,3,NULL),(25,6347231,'1991-01-04 00:00:00',2,1,12,2007,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124252251217141431628664246334130243147',21452,'9998',28.41,1,3,NULL),(25,6347240,'1994-10-02 00:00:00',4,10,11,2011,'F','S','CENTRO','GR PARÁ','SC','124244241215111712548912575124610134172',NULL,'806',53.49,1,3,NULL),(25,6347258,'1993-06-11 00:00:00',4,7,11,2010,'F','N','JDIM DAS HORTÊNSIAS','FRAIBURGO','SC','124244241216111431446619575112610117012',6106,'885',55.07,1,3,NULL),(25,6347266,'1994-04-25 00:00:00',4,1,11,2011,'F','S','BARREIROS','S JOSÉ','SC','124241241215111431443933592122610121052',NULL,'1076',36.44,1,3,NULL),(25,6347274,'1993-03-25 00:00:00',4,8,11,2010,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241216131431338821575124610122012',NULL,'1061',0.00,1,3,NULL),(25,6347282,'1993-09-27 00:00:00',4,3,12,2010,'M','N','OURO BRANCO','PARANAVAÍ','PR','116162161215111431458832295112610164047',6946,'9998',54.29,1,3,NULL),(25,6347290,'1991-02-18 00:00:00',4,9,12,2008,'F','N','N SRA DAS GRAÇAS','CAXIAS SUL','RS','120202201217571431459934495122610166187',1584,'9998',68.39,1,3,NULL),(25,6347304,'1994-03-29 00:00:00',2,1,12,2010,'F','N','ROÇADO','FLORIANÓPOLIS','SC','124244241415111431327824395125610127142',NULL,'1134',23.04,4,3,NULL),(25,6347312,'1992-02-07 00:00:00',4,1,12,2009,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125252251216471411148773575112610142192',NULL,'9998',0.00,1,3,NULL),(25,6347320,'1992-08-31 00:00:00',2,17,12,2010,'M','N','BOM JESUS','ITAIÓPOLIS','SC','124241162115131431536923575124610137057',19265,'9998',36.35,1,2,1),(25,6347339,'1994-08-25 00:00:00',4,1,11,2011,'F','S','GUIOMAR','ANTÔNIO CARLOS','SC','124241241117151532554635575122610117147',NULL,'21',25.64,1,3,NULL),(25,6347347,'1994-04-29 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431558914442122610127122',NULL,'262',27.62,1,3,NULL),(25,6347355,'1990-03-20 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216275151368821445224131467094',9655,'269',51.94,1,3,NULL),(25,6347363,'1994-06-07 00:00:00',5,7,12,2010,'F','N','INDUSTRIAL','SALTO VELOSO','SC','124243241115151431336923575125610124147',18012,'1113',33.31,1,3,NULL),(25,6347371,'1992-11-19 00:00:00',4,8,12,2009,'M','N','UBERABA','CURITIBA','PR','116162161216471431578811575124610167057',5360,'9998',56.84,1,3,NULL),(25,6347380,'1989-12-16 00:00:00',4,8,12,2008,'F','N','JARDIM PAULISTA','S PAULO','SP','125252251216571431468814375124610123072',NULL,'9998',0.00,1,3,NULL),(25,6347398,'1991-03-06 00:00:00',4,1,12,2008,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241215373751489719595114131068137',7397,'270',52.92,1,3,NULL),(25,6347401,'1987-10-23 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124161161137371431328821345124133246117',NULL,'9998',0.00,1,3,NULL),(25,6347410,'1986-09-09 00:00:00',2,1,12,2004,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241117374411336614345334231267042',13407,'307',41.20,2,1,2),(25,6347428,'1994-03-25 00:00:00',4,10,12,2010,'F','N','CENTRO','TUBARÃO','SC','124242241217111441449914475125610128142',17901,'797',39.03,1,3,NULL),(25,6347436,'1992-11-25 00:00:00',4,10,12,2009,'M','N','CENTRO','ARMAZÉM','SC','124241241127141332568839282122230327047',NULL,'34',17.39,1,3,NULL),(25,6347444,'1993-04-18 00:00:00',4,1,11,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217271731585862174114610127062',7525,'299',51.77,1,3,NULL),(25,6347452,'1993-10-19 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124243241212271431555823392124610164142',12801,'868',45.67,1,3,NULL),(25,6347460,'1993-07-20 00:00:00',4,1,11,2010,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241215111731448419575112610168182',13633,'948',41.57,1,3,NULL),(25,6347479,'1994-06-13 00:00:00',4,1,12,2010,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241117131431427733345324610164142',21702,'591',25.14,2,1,1),(25,6347487,'1992-03-25 00:00:00',4,1,11,2010,'F','N','ITAIGARA','SALVADOR','BA','105052051217121431469934475124610165097',7349,'9998',52.91,1,3,NULL),(25,6347495,'1992-09-12 00:00:00',2,5,12,2010,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215112431458811572122610161192',8611,'226',53.76,1,3,NULL),(25,6347509,'1990-11-26 00:00:00',4,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124242241215151721327431215112610162177',8083,'781',51.67,1,3,NULL),(25,6347517,'1991-12-02 00:00:00',2,1,12,2008,'F','N','CENTRO','PETROLÂNDIA','SC','124241241315474431467832375122230431052',NULL,'991',0.00,1,3,NULL),(25,6347525,'1992-10-14 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241215372431359913572124133262182',3682,'299',64.10,1,3,NULL),(25,6347533,'1993-09-10 00:00:00',2,15,12,2010,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241115371711633313575122610118145',20313,'29',28.75,1,2,1),(25,6347541,'1992-02-13 00:00:00',2,1,12,2009,'F','N','PASSO DA AREIA','PTO ALEGRE','RS','120201201117471431223521371124610164177',6103,'9998',58.51,1,2,1),(25,6347550,'1988-05-01 00:00:00',2,1,12,2007,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241126372751426524245124133264042',NULL,'941',26.95,1,2,1),(25,6347568,'1990-10-09 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217474431368829572122233232182',NULL,'270',33.00,1,3,NULL),(25,6347584,'1993-05-10 00:00:00',4,1,11,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217111531458833275124610127062',17689,'270',39.42,1,3,NULL),(25,6347592,'1993-01-25 00:00:00',4,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215122431438613375114610134142',9118,'1169',51.04,1,3,NULL),(25,6347614,'1994-01-25 00:00:00',4,1,11,2011,'M','S','CACUPÉ','FLORIANÓPOLIS','SC','124243241237111741446814375124610163143',NULL,'1022',51.87,1,3,NULL),(25,6347622,'1995-01-04 00:00:00',2,1,12,2011,'M','S','BARREIROS','S JOSÉ','SC','124242241215171732568512595124610147043',NULL,'738',25.70,1,3,NULL),(25,6347630,'1993-03-02 00:00:00',2,1,12,2010,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241215121431448813595124610124092',11899,'1022',44.30,1,3,NULL),(25,6347649,'1954-04-18 00:00:00',2,1,12,1973,'F','N','CENTRO','FLORIANÓPOLIS','SC','524241245216142412254543432122130234147',17742,'138',39.34,1,3,NULL),(25,6347657,'1969-02-03 00:00:00',2,1,11,1989,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224251251117142411438849491112130462142',NULL,'9998',21.43,1,3,NULL),(25,6347665,'1966-08-22 00:00:00',4,1,12,1984,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','224241241226132421523244342134610121097',19855,'266',28.06,1,3,NULL),(25,6347673,'1992-08-22 00:00:00',2,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241115471431636623245124610134142',15868,'307',38.14,1,2,1),(25,6347681,'1989-08-30 00:00:00',2,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124201201116141411123344345124610166142',13163,'9998',41.46,1,2,1),(25,6347690,'1994-02-02 00:00:00',2,8,10,2010,'M','N','CAPÃO RASO','CURITIBA','PR','116164161217371441368933472124610164042',NULL,'9998',0.00,1,3,NULL),(25,6347703,'1990-12-06 00:00:00',4,15,12,2007,'F','N','MATO ALTO','ARARANGUÁ','SC','124241244137132431345634445122610168077',NULL,'30',17.84,1,2,1),(25,6347711,'1994-11-01 00:00:00',4,1,11,2011,'M','S','TAPERA','FLORIANÓPOLIS','SC','124241241217111431359933295124610128172',NULL,'1022',40.25,1,3,NULL),(25,6347720,'1991-02-09 00:00:00',4,1,12,2008,'F','N','MOOCA','S PAULO','SP','125252251214571311468831571112610127047',NULL,'9998',12.67,1,3,NULL),(25,6347738,'1993-11-29 00:00:00',4,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217111731458614572111610137042',NULL,'883',33.12,1,3,NULL),(25,6347746,'1975-06-18 00:00:00',4,1,12,1995,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241211145521258644443132521667183',9580,'272',52.07,1,3,NULL),(25,6347754,'1983-05-24 00:00:00',4,1,12,2000,'M','N','SANTANA','S PAULO','SP','225251251126371421423529385124141465057',NULL,'9998',0.00,2,2,1),(25,6347762,'1989-11-27 00:00:00',2,15,12,2006,'M','N','FLORESTA','PTO ALEGRE','RS','120201202116572751533311571122610167057',777,'9998',75.51,1,2,1),(25,6347770,'1992-04-19 00:00:00',2,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117372431523314275124610124142',9329,'307',52.48,1,2,1),(25,6347797,'1988-05-16 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212155431636763395124230757062',19861,'266',34.96,2,1,2),(25,6347800,'1983-11-07 00:00:00',4,4,12,2000,'M','N','AGOSTINI','S MIGUEL OESTE','SC','124161161126151431133343435132130617063',14990,'9998',43.71,1,2,1),(25,6347819,'1980-06-12 00:00:00',4,1,12,1997,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124212211216172731238841315121343267062',10414,'9998',50.63,1,3,NULL),(25,6347827,'1993-02-09 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116141421425639295124610127043',19455,'307',30.93,1,2,1),(25,6347835,'1993-05-28 00:00:00',4,2,11,2010,'M','N','CANTA GALO','RIO SUL','SC','124242241215111431468632475122610137011',NULL,'653',35.34,1,3,NULL),(25,6347843,'1994-07-10 00:00:00',4,8,11,2011,'M','S','ATIRADORES','JOINVILLE','SC','124242241217111431459832572112610144052',NULL,'1063',55.17,1,3,NULL),(25,6347851,'1993-08-04 00:00:00',2,5,12,2010,'M','N','FIGUEIRA','URUSSANGA','SC','124242241215112431468811575125610142042',7928,'226',51.30,1,3,NULL),(25,6347894,'1993-01-12 00:00:00',2,1,12,2010,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241215111431435514575122610127042',20887,'1223',26.38,1,3,NULL),(25,6347908,'1991-09-18 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241117471431425521275113610165072',17154,'298',40.36,1,3,NULL),(25,6347916,'1992-09-07 00:00:00',2,17,12,2009,'F','N','CENTRO','PAPANDUVA','SC','124241241111132431636913371121610116097',NULL,'566',34.71,3,3,NULL),(25,6347924,'1989-12-04 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224241241111133431523454241234610165147',NULL,'288',40.75,1,2,1),(25,6347932,'1992-11-16 00:00:00',2,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241216121421356814142122610167072',18717,'723',35.27,1,3,NULL),(25,6347959,'1992-03-18 00:00:00',4,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124244248415151231446639575112610164011',NULL,'1075',26.84,1,3,NULL),(25,6347967,'1994-11-10 00:00:00',4,17,12,2010,'M','N','CENTRO','MTE CASTELO','SC','124241241112161731435519575122610118057',NULL,'566',0.00,1,2,1),(25,6347975,'1989-02-17 00:00:00',2,4,11,2006,'M','N','EFAPI','CHAPECÓ','SC','124241241117131431524615242332130424057',NULL,'184',0.00,1,2,1),(25,6347983,'1993-03-08 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241215111411336913132124610117052',NULL,'738',30.08,1,3,NULL),(25,6348009,'1992-10-15 00:00:00',4,4,12,2009,'M','N','CENTRO','IPUMIRIM','SC','124241241114131531112349341344610118057',NULL,'606',0.00,2,2,1),(25,6348017,'1993-04-08 00:00:00',4,10,11,2010,'F','N','HUMAITÁ','TUBARÃO','SC','124243241215112431434823572121610123142',917,'809',73.92,1,3,NULL),(25,6348025,'1993-08-23 00:00:00',4,1,12,2010,'M','N','PINHEIRINHO','CRICIÚMA','SC','124243246215111641338934575124610148142',15794,'188',37.43,1,3,NULL),(25,6348033,'1993-09-22 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124244241215112431534612572122610128182',7785,'226',52.16,1,3,NULL),(25,6348050,'1994-07-18 00:00:00',4,1,12,2011,'F','S','INGLESES','FLORIANÓPOLIS','SC','124242241215111711346669572114610166052',NULL,'9997',42.11,1,3,NULL),(25,6348084,'1993-09-28 00:00:00',4,2,12,2010,'F','N','VILA ITOUPAVA','BLUMENAU','SC','124242241115151431648823275124610128182',NULL,'88',26.53,1,3,NULL),(25,6348092,'1993-03-13 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215371431436913572124610124097',5898,'1075',56.25,4,3,NULL),(25,6348106,'1992-04-05 00:00:00',4,1,12,2009,'F','N','CENTRO','GOIOERÊ','PR','116161241115372731633324575112610162017',NULL,'307',22.40,1,2,1),(25,6348114,'1987-06-23 00:00:00',2,1,12,2005,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241116134431225724242114610142197',21766,'257',23.37,1,2,1),(25,6348122,'1993-03-16 00:00:00',4,1,12,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215112431479934471122610127112',9750,'270',49.00,1,3,NULL),(25,6348130,'1989-04-27 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241314133711446611245124610164017',NULL,'9997',12.61,1,3,NULL),(25,6348149,'1993-07-19 00:00:00',4,1,12,2010,'M','N','DAMHA','PRES PRUDENTE','SP','125252254215111431468811575122610127067',5736,'9998',59.28,1,3,NULL),(25,6348157,'1992-02-11 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241216113432239933445122231417082',6913,'211',56.90,1,3,NULL),(25,6348165,'1993-02-23 00:00:00',4,2,12,2010,'M','N','VELHA','BLUMENAU','SC','124241241115111431325624385124610138182',NULL,'88',25.26,1,2,1),(25,6348173,'1993-11-28 00:00:00',4,5,11,2010,'M','N','SÃO LUIZ','CRICIÚMA','SC','124242246216161441336614344121610134037',9786,'995',51.71,1,3,NULL),(25,6348181,'1989-02-27 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224241241111131431527644141234610165147',16389,'288',37.90,1,2,1),(25,6348190,'1994-02-17 00:00:00',4,8,12,2010,'F','N','ITAPEMA DO NORTE','ITAPOÁ','SC','124162161215111441436611575112610164175',10979,'9998',45.54,1,3,NULL),(25,6348203,'1993-12-02 00:00:00',2,1,12,2011,'M','S','BOM VIVER','BIGUAÇU','SC','124243241215111751256422392324610167112',NULL,'1118',34.30,1,3,NULL),(25,6348211,'1993-11-02 00:00:00',2,1,12,2010,'M','N','JARDIM COQUEIRO','PALHOÇA','SC','124241241215111732445733592114610117055',17997,'1011',38.85,1,3,NULL),(25,6348220,'1994-02-19 00:00:00',4,2,11,2010,'M','N','CENTRO','LAURENTINO','SC','124241241435111431243812245124610167052',NULL,'901',37.77,1,3,NULL),(25,6348238,'1992-08-18 00:00:00',4,1,12,2010,'M','N','SANTA MARIA GORETTI','PTO ALEGRE','RS','120204201417151231248615575114610167045',NULL,'9998',24.35,1,3,NULL),(25,6348246,'1992-08-02 00:00:00',2,1,12,2009,'F','N','LAPA','S PAULO','SP','125252251234471431358824572122610123147',16225,'9998',36.95,1,3,NULL),(25,6348254,'1993-01-29 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215111431454633572124610134047',15650,'270',37.66,1,3,NULL),(25,6348270,'1993-01-15 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431359613575115610137055',6968,'1050',55.27,1,3,NULL),(25,6348289,'1994-09-23 00:00:00',2,9,12,2010,'M','N','BRUSQUE','LAGES','SC','124242248234111431558713575121610134012',19414,'497',36.01,1,3,NULL),(25,6348297,'1991-08-11 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216474431489713572114221437042',1102,'738',72.88,1,3,NULL),(25,6348300,'1991-09-13 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116372431425614375124610132092',NULL,'298',31.47,1,2,1),(25,6348319,'1994-10-19 00:00:00',4,1,11,2011,'F','S','ESTREITO','FLORIANÓPOLIS','SC','624242244215111431356923575124610146192',NULL,'270',34.26,1,3,NULL),(25,6348327,'1991-08-13 00:00:00',4,8,12,2009,'F','N','CENTRO','IRACEMÁPOLIS','SP','125253258116471431437614575124610166097',13075,'9998',40.36,1,3,NULL),(25,6348335,'1992-02-03 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215152431346669395124231831187',12694,'262',47.08,2,1,2),(25,6348343,'1971-03-09 00:00:00',2,1,12,1988,'F','N','CENTRO','BIGUAÇU','SC','224241241112373431326754485124323026197',NULL,'257',19.66,1,2,1),(25,6348351,'1985-07-05 00:00:00',2,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241247126132711323129445134610157041',NULL,'9999',21.86,2,1,1),(25,6348360,'1994-03-11 00:00:00',2,1,12,2011,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124243241215111331459933395124610167144',NULL,'1198',28.38,1,3,NULL),(25,6348378,'1993-05-15 00:00:00',4,8,12,2010,'F','N','CENTRO','TUPÃSSI','PR','616161161216111431359933575122610135072',1834,'9998',69.45,1,3,NULL),(25,6348386,'1992-10-27 00:00:00',4,10,12,2010,'F','N','CENTRO','TUBARÃO','SC','124244247215121731528414572112610122077',NULL,'809',16.29,1,3,NULL),(25,6348394,'1995-01-28 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111211588912575122610117117',NULL,'262',18.12,1,3,NULL),(25,6348408,'1980-02-11 00:00:00',4,1,12,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161168416153111588812425122143232095',15103,'9998',43.54,1,3,NULL),(25,6348416,'1988-07-12 00:00:00',2,15,12,2005,'F','N','SANGA DO MARCO','ARARANGUÁ','SC','124241241137131421423325346213610163057',NULL,'29',19.64,1,2,1),(25,6348432,'1991-08-10 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241213312321428812433114133015165',9209,'262',49.80,1,3,NULL),(25,6348440,'1993-01-14 00:00:00',2,1,12,2010,'M','N','CIDADE INDUSTRIAL','CURITIBA','PR','116161161116471431336624572122610137042',NULL,'9998',0.00,1,3,NULL),(25,6348459,'1987-12-20 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124101271127271231523611275324610165197',21036,'9998',30.93,4,3,NULL),(25,6348467,'1990-03-22 00:00:00',4,15,12,2007,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241147131431323329242212610167047',NULL,'30',17.36,1,2,1),(25,6348475,'1992-11-06 00:00:00',2,17,12,2010,'M','N','CENTRO','ITAIÓPOLIS','SC','124241241215111441448812575124610134042',9510,'541',47.76,1,3,NULL),(25,6348483,'1991-10-16 00:00:00',2,5,11,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241215573431548831375122610127047',1146,'213',72.45,1,3,NULL),(25,6348491,'1990-07-11 00:00:00',2,5,12,2008,'F','N','CANTRO','PTO ALEGRE','RS','120201201116571731566613595115610161072',NULL,'9998',16.82,4,2,1),(25,6348505,'1994-11-30 00:00:00',2,1,12,2011,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215111752448813275122610144075',NULL,'272',37.05,1,3,NULL),(25,6348521,'1988-09-07 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136574431114344442124610127182',14206,'60',41.54,1,2,1),(25,6348530,'1993-05-20 00:00:00',4,1,11,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111731459813315124610166187',22,'270',87.48,1,3,NULL),(25,6348564,'1992-03-13 00:00:00',4,1,11,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215272411425622595124610167111',NULL,'262',33.59,1,3,NULL),(25,6348572,'1992-07-09 00:00:00',4,8,12,2009,'M','N','CENTRO','BIRIGÜI','SP','125252251216471441437824345122610164092',NULL,'9998',0.00,1,3,NULL),(25,6348580,'1989-10-06 00:00:00',4,1,12,2007,'M','N','VENDAVAL','BIGUAÇU','SC','124241241416172231454614145124610114052',NULL,'63',0.00,1,3,NULL),(25,6348599,'1993-03-23 00:00:00',2,1,11,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117271431423414475124610137042',16289,'288',38.14,1,2,1),(25,6348602,'1990-02-10 00:00:00',2,4,12,2007,'F','N','CENTRO','TUPARENDI','RS','120202201216571431448632575124610162047',NULL,'9998',0.00,1,3,NULL),(25,6348610,'1992-09-05 00:00:00',2,5,12,2009,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120203201416471431556839271114610162187',19900,'9998',34.87,1,3,NULL),(25,6348629,'1993-03-18 00:00:00',2,10,12,2010,'M','N','VILA ALVORADA','IMBITUBA','SC','124241241335111421525614575122610165147',20965,'362',31.25,1,3,NULL),(25,6348645,'1980-08-31 00:00:00',4,1,12,1998,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241246117131311163379432122341466115',6775,'9998',57.16,1,2,1),(25,6348653,'1992-05-27 00:00:00',2,3,12,2009,'F','N','JARDIM AMÉRICA','PARANAVAÍ','PR','116162161216471431478911575122610126187',9030,'9998',49.97,1,3,NULL),(25,6348661,'1991-06-26 00:00:00',4,10,12,2008,'F','N','OFICINAS','TUBARÃO','SC','124241241117272452515379391324610162037',14399,'804',41.48,1,2,1),(25,6348688,'1992-11-12 00:00:00',4,1,12,2009,'M','N','JORDÃO','GOV CELSO RAMOS','SC','124241241116442312336514245124610117041',19916,'64',34.82,1,2,1),(25,6348696,'1993-01-30 00:00:00',4,10,11,2010,'M','N','CENTRO','TUBARÃO','SC','124242241215111731459811474112610142012',8007,'807',54.82,1,3,NULL),(25,6348700,'1993-06-12 00:00:00',4,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241215471431449712575122610167187',3923,'1016',62.35,1,3,NULL),(25,6348718,'1994-08-08 00:00:00',4,1,11,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111432436731575122610134055',17654,'1011',39.48,1,3,NULL),(25,6348726,'1993-07-04 00:00:00',4,4,12,2010,'M','N','CENTRO','IPORÃ OESTE','SC','124241241125161531434419472121610147057',NULL,'371',22.45,1,2,1),(25,6348734,'1992-11-23 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112431447814575115610167047',13058,'1168',46.52,1,3,NULL),(25,6348742,'1993-03-20 00:00:00',1,8,12,2010,'F','N','CENTRO','S BENTO SUL','SC','124242241214111731468811574121610144012',2664,'1178',64.54,1,3,NULL),(25,6348750,'1983-09-12 00:00:00',4,8,12,2003,'M','N','CENTRO','JOINVILLE','SC','124242247326152731345439295122131427116',21678,'486',25.62,4,3,NULL),(25,6348769,'1973-05-21 00:00:00',4,1,12,1991,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224241241312152431368654212122131066195',NULL,'272',0.00,1,3,NULL),(25,6348777,'1994-02-10 00:00:00',2,15,12,2010,'F','N','CENTRO','MRO GRANDE','SC','124241241115141411338629312124610117052',20583,'30',32.80,1,2,1),(25,6348785,'1991-05-15 00:00:00',2,1,11,2008,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241137272431325923342124610161192',NULL,'257',37.08,1,2,1),(25,6348793,'1992-12-23 00:00:00',4,8,12,2010,'M','N','AMÉRICA','JOINVILLE','SC','124244246215111431458614571122610147017',16345,'1006',36.58,1,3,NULL),(25,6348807,'1991-12-31 00:00:00',4,6,12,2008,'F','N','FAZENDA','ITAJAÍ','SC','124242241216573411478831575122610166132',13378,'1026',46.11,1,3,NULL),(25,6348815,'1991-08-21 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112431579914575122231066045',NULL,'262',0.00,1,3,NULL),(25,6348823,'1982-04-08 00:00:00',4,1,12,1999,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241217132431439614345124240248197',20861,'138',31.68,1,3,NULL),(25,6348831,'1992-12-18 00:00:00',4,1,11,2010,'M','N','SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC','124242241215212331489813322122610168172',13304,'270',46.22,1,3,NULL),(25,6348840,'1989-06-23 00:00:00',4,1,12,2006,'F','N','JARDIM PERI','S PAULO','SP','125251251116571411438611575124143163147',NULL,'9998',0.00,4,2,1),(25,6348858,'1993-04-25 00:00:00',2,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241115371431426623575124610128012',10533,'267',45.61,1,2,1),(25,6348866,'1994-04-28 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124172241217111752359923572122610163117',NULL,'270',20.22,3,3,NULL),(25,6348874,'1993-12-20 00:00:00',2,7,12,2010,'M','N','CENTRO','MAXIMILIANO ALMEIDA','RS','120201201126151431426622145123610118057',NULL,'9998',20.81,1,2,1),(25,6348890,'1992-11-11 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124244241215372731478813575114610142147',20649,'1022',32.58,1,3,NULL),(25,6348904,'1992-04-12 00:00:00',2,8,12,2009,'F','N','BOA VISTA','CURITIBA','PR','116162161215471411448927275114610132017',2574,'9998',65.40,1,3,NULL),(25,6348912,'1994-07-19 00:00:00',2,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124242241215111431547664571124610126047',NULL,'1050',29.50,1,3,NULL),(25,6348920,'1994-12-19 00:00:00',4,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215121432478712597112610135052',NULL,'270',41.78,1,3,NULL),(25,6348939,'1990-11-23 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241431372412249923585114133234165',8040,'269',52.13,1,3,NULL),(25,6348947,'1990-09-20 00:00:00',4,1,12,2007,'F','N','VILA OPERARIA','MARINGÁ','PR','116163161216572451459933575114610167147',2187,'9998',66.66,4,3,NULL),(25,6348955,'1994-04-21 00:00:00',4,5,11,2011,'M','S','CENTRO','CRICIÚMA','SC','124242244217131531468931276112610127112',NULL,'211',40.48,1,3,NULL),(25,6348963,'1993-10-19 00:00:00',4,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124241241117151531335624475124610134047',NULL,'592',21.12,1,2,1),(25,6348971,'1993-03-25 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242247311131631326619345114610141187',NULL,'9999',16.76,1,3,NULL),(25,6348980,'1992-09-20 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111111269714575114610163197',12120,'270',47.95,1,3,NULL),(25,6348998,'1981-05-16 00:00:00',2,15,12,2001,'M','N','COLONINHA','ARARANGUÁ','SC','124241241126141431437644442221610167062',20514,'29',28.13,1,2,1),(25,6349005,'1989-10-01 00:00:00',2,1,12,2007,'M','N','CENTRO','PIRANHAS','GO','109092091215571431446923571122610114097',NULL,'9998',0.00,4,3,NULL),(25,6349013,'1993-06-02 00:00:00',4,8,12,2010,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124243241215161431456832395121610127047',16363,'441',37.24,4,3,NULL),(25,6349030,'1993-05-13 00:00:00',4,8,12,2010,'M','N','SANTO ANTONIO','JOINVILLE','SC','124244246217151712548514585114610165077',15483,'1105',39.14,1,3,NULL),(25,6349048,'1984-01-19 00:00:00',4,1,12,2001,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','524202241111132751188842325132320762173',8174,'169',54.57,1,3,NULL),(25,6349072,'1993-09-10 00:00:00',2,1,12,2010,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124242241215112431366612575112610113011',14954,'270',38.90,1,3,NULL),(25,6349080,'1993-10-03 00:00:00',2,2,11,2010,'M','N','CANOAS','RIO SUL','SC','124242241215151431348634375122610137042',10880,'959',44.57,1,3,NULL),(25,6349099,'1993-04-20 00:00:00',4,1,12,2010,'F','N','SANTA CECILIA','BAURU','SP','125251251215111311449931571124610132072',NULL,'9998',0.00,4,3,NULL),(25,6349102,'1993-11-22 00:00:00',4,1,11,2011,'F','S','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241217111732389931575124610164015',NULL,'270',53.11,1,3,NULL),(25,6349110,'1963-08-16 00:00:00',4,1,11,1981,'M','N','ESTRAIRO','FLORIANÓPOLIS','SC','224243246321135721437644145122610112147',20655,'257',32.56,1,3,NULL),(25,6349129,'1994-07-18 00:00:00',4,1,12,2011,'M','S','EXPOSIÇAO','CAXIAS SUL','RS','120202241217121641467923575124610118013',NULL,'9998',38.64,1,3,NULL),(25,6349137,'1994-07-17 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124241248115111751456639571124610167152',20181,'271',34.12,1,3,NULL),(25,6349145,'1993-03-25 00:00:00',2,7,12,2010,'M','N','BOA VISTA','JOAÇABA','SC','124242241217151431356619575112610167047',13391,'962',41.33,1,3,NULL),(25,6349153,'1992-04-15 00:00:00',4,1,12,2009,'F','N','NOVA VICENZA','FARROUPILHA','RS','120204201116471731324621445124243234147',17854,'9998',34.52,1,3,NULL),(25,6349161,'1979-09-01 00:00:00',4,1,6,2004,'M','N','RIO GRANDE','PALHOÇA','SC','124203208126131731323344145123610163041',NULL,'1051',19.54,1,3,NULL),(25,6349170,'1994-11-17 00:00:00',2,10,12,2011,'F','S','VILA NOVA ALVORADA','IMBITUBA','SC','124242241216111411355412575122610127142',NULL,'362',17.36,1,3,NULL),(25,6349188,'1992-10-18 00:00:00',2,1,12,2010,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124244241217111411458923572124610145097',9437,'270',49.05,1,3,NULL),(25,6349196,'1993-02-24 00:00:00',2,1,12,2010,'M','N','SANTA TEREZA','S PEDRO ALCÂNTARA','SC','124244241215131431438823575124610127043',14518,'1074',44.41,1,3,NULL),(25,6349200,'1993-08-07 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124212241215111731488812575122610164142',2658,'1169',65.41,1,3,NULL),(25,6349218,'1992-04-07 00:00:00',4,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241415371431546811342125610144092',NULL,'44',35.08,1,3,NULL),(25,6349226,'1981-08-23 00:00:00',4,1,1,2006,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224201248425171131321154245224220334141',NULL,'9997',14.54,3,3,NULL),(25,6349234,'1994-03-06 00:00:00',4,5,11,2011,'M','S','CENTRO','URUSSANGA','SC','124242241215111732528818572124610122187',NULL,'226',55.54,1,3,NULL),(25,6349250,'1992-08-19 00:00:00',4,1,12,2009,'F','N','ANDRADE','LONDRINA','PR','116162161216471431468932572122610131142',NULL,'9998',0.00,1,3,NULL),(25,6349269,'1992-09-19 00:00:00',4,1,12,2010,'M','N','STELLA MARES','JANDIRA','SP','125251251116371411425314185244610144092',8982,'9998',48.77,1,3,NULL),(25,6349277,'1994-05-08 00:00:00',2,15,11,2010,'F','N','SOMBRIO','SOMBRIO','SC','124242241215121431547833575122610164147',14285,'26',40.39,1,3,NULL),(25,6349293,'1987-08-20 00:00:00',4,1,12,2004,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241116373421333314342114610137097',NULL,'281',0.00,1,2,1),(25,6349307,'1985-07-23 00:00:00',4,1,12,2006,'F','N','PETRÓPOLIS','PASSO FUNDO','RS','620201207347371421226354242214610126187',NULL,'9998',22.35,1,3,NULL),(25,6349315,'1991-01-04 00:00:00',4,1,11,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217372431468834495112121417112',953,'270',73.85,1,3,NULL),(25,6349323,'1993-06-09 00:00:00',4,1,12,2010,'M','N','JARDIM COPACABANA','S BERNARDO CAMPO','SP','125252251216111731378834345122610112142',NULL,'9998',0.00,1,3,NULL),(25,6349331,'1990-05-20 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136572411535613395124231113182',6264,'140',55.72,4,2,1),(25,6349340,'1989-08-25 00:00:00',4,1,12,2007,'F','N','CENTRO','BOTUCATU','SP','125252258217571751338923573114610143077',744,'9998',74.32,1,3,NULL),(25,6349358,'1992-12-07 00:00:00',4,1,11,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215121431678811575122610125011',2615,'270',66.42,4,1,2),(25,6349366,'1992-03-15 00:00:00',4,2,12,2009,'F','N','CENTRO','BRUSQUE','SC','124244241215111431478631274125610133142',NULL,'106',0.00,4,3,NULL),(25,6349374,'1992-04-03 00:00:00',2,3,12,2009,'F','N','CENTRO','LONDRINA','PR','116201201136411431526416575122610167147',NULL,'9998',32.29,1,2,1),(25,6349382,'1993-05-23 00:00:00',4,7,11,2010,'F','N','GIOPPO','CAÇADOR','SC','124242241215111431547514595122610138182',NULL,'120',0.00,1,3,NULL),(25,6349390,'1968-05-10 00:00:00',4,1,12,1989,'M','N','KOBRASOL','S JOSÉ','SC','224241247326155721433313235122121137067',15843,'9999',42.39,1,3,NULL),(25,6349412,'1994-01-10 00:00:00',4,4,12,2010,'M','N','SÃO CRISTÓVÃO','CONCÓRDIA','SC','124243246235131731437613375124610168047',14232,'1001',39.74,1,3,NULL),(25,6349420,'1992-05-27 00:00:00',2,1,12,2009,'M','N','ARAÇATUBA','IMBITUBA','SC','124241241126131311333327282222610122112',NULL,'361',0.00,1,2,1),(25,6349439,'1993-05-25 00:00:00',4,1,10,2010,'M','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241215122431438821415124610163065',12704,'270',43.46,1,3,NULL),(25,6349455,'1992-08-28 00:00:00',4,1,11,2009,'F','N','CENTRO','CURITIBA','PR','116162161214472431568911575122610123167',2921,'9998',63.75,1,3,NULL),(25,6349463,'1995-02-22 00:00:00',4,1,12,2011,'F','S','KOBRASSOL','S JOSÉ','SC','124242241216121711466619595122610137142',NULL,'1077',29.09,1,3,NULL),(25,6349471,'1993-03-02 00:00:00',4,4,12,2010,'F','N','INTERIOR','ÁGUAS FRIAS','SC','124241241125161432423316345124610114142',20267,'11',28.44,1,2,1),(25,6349480,'1983-05-01 00:00:00',2,1,12,2000,'M','N','SERTÃO DO IMARUÍ','S JOSÉ','SC','124161161111113711223311192125323214022',NULL,'9998',0.00,1,2,1),(25,6349498,'1990-12-06 00:00:00',4,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','224241241116371431233651491214610127042',18113,'472',38.62,1,2,1),(25,6349501,'1992-03-20 00:00:00',2,8,11,2009,'F','N','JARDIM IRIRIU','JOINVILLE','SC','124241241117131431327529282224133237147',NULL,'470',0.00,1,2,1),(25,6349510,'1993-12-05 00:00:00',4,8,12,2010,'M','N','COHAPAR','GUARATUBA','PR','116162161215161141438832585125610168127',NULL,'9998',0.00,4,3,NULL),(25,6349528,'1994-03-30 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431648613572122610135052',16340,'1022',41.64,1,3,NULL),(25,6349536,'1990-12-26 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241217273431479933491124121417112',1987,'270',69.29,1,3,NULL),(25,6349544,'1993-03-04 00:00:00',2,15,12,2010,'M','N','SÃO CAMILO','SOMBRIO','SC','124242241216131421446833275122610167057',14488,'770',38.83,1,3,NULL),(25,6349579,'1994-04-01 00:00:00',4,1,12,2011,'F','S','CENTRO','STO AMARO IMPERATRIZ','SC','124241241114111431446812275122610128142',NULL,'739',48.02,1,3,NULL),(25,6349587,'1988-01-28 00:00:00',4,1,12,2005,'M','N','VILA FIAT LUX','S PAULO','SP','125252251215472431466811574125141437187',573,'9998',76.72,4,3,NULL),(25,6349595,'1984-03-06 00:00:00',4,1,12,2002,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124244247336133421328619345123133267187',NULL,'9999',0.00,1,3,NULL),(25,6349609,'1991-05-15 00:00:00',4,1,12,2009,'F','N','N SENHORA DAS GRAÇAS','CANOAS','RS','120204201116471431437639575124610133117',14016,'9998',40.07,1,3,NULL),(25,6349617,'1992-01-30 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124242241217373431426613571114610144057',10685,'1022',47.03,1,3,NULL),(25,6349625,'1982-03-07 00:00:00',4,1,12,1998,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241216273421278643435124121462092',1528,'269',70.45,1,3,NULL),(25,6349633,'1991-10-11 00:00:00',4,1,12,2010,'M','N','TRINADADE','FLORIANÓPOLIS','SC','124242241212111432369933572124610137085',21439,'1168',25.44,1,3,NULL),(25,6349641,'1993-01-07 00:00:00',4,2,12,2010,'F','N','TESTO ALTO','POMERODE','SC','124241241215112431324314395124610124072',11071,'624',44.00,1,3,NULL),(25,6349650,'1993-06-14 00:00:00',2,7,11,2010,'M','N','CENTRO','JOAÇABA','SC','124243241434372311564632241124610125052',6857,'446',53.64,1,3,NULL),(25,6349668,'1994-03-17 00:00:00',4,1,11,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217151731469833495122610117042',NULL,'262',27.46,1,3,NULL),(25,6349676,'1993-06-29 00:00:00',4,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124241241415121431546613572122610125047',7001,'1022',53.83,1,3,NULL),(25,6349684,'1992-10-07 00:00:00',2,1,12,2009,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124242241212373421446829591114610118017',5772,'1134',59.21,1,3,NULL),(25,6349692,'1994-10-15 00:00:00',4,2,12,2011,'M','S','VILA NOVA','BLUMENAU','SC','124242241215111731326934572124610127122',NULL,'855',46.45,1,3,NULL),(25,6349706,'1991-09-07 00:00:00',4,15,6,2009,'F','N','MOINHOS','LAJEADO','RS','120282281415472431368913571112610167047',5763,'9998',56.58,1,3,NULL),(25,6349714,'1990-07-20 00:00:00',4,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241215472431655613575122610138182',6337,'1022',54.28,4,3,NULL),(25,6349722,'1988-12-27 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124161168117342722523129192324610124147',17869,'9998',34.56,4,2,1),(25,6349749,'1963-03-03 00:00:00',2,1,12,1982,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','224241241126335421433343335124610137187',NULL,'307',0.00,1,2,1),(25,6349757,'1994-05-17 00:00:00',4,1,12,2011,'M','S','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241215111431458813375124610124042',NULL,'262',48.67,1,3,NULL),(25,6349765,'1993-03-27 00:00:00',2,1,12,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242248216132731346623595124610137042',12930,'737',46.69,1,3,NULL),(25,6349773,'1991-02-18 00:00:00',4,16,12,2008,'F','N','JARDIM SANTA MARIA','TOLEDO','PR','116161161116572731533316375112610164147',3748,'9998',61.16,1,2,1),(25,6349781,'1989-03-02 00:00:00',5,1,12,2008,'M','N','CENTRO','TATUÍ','SP','125254257337471431568533472124141037042',NULL,'9998',0.00,1,3,NULL),(25,6349790,'1994-04-09 00:00:00',4,1,12,2011,'F','S','CENTRO','S JOSÉ','SC','124241241115131531546639292124610164147',NULL,'728',12.68,1,3,NULL),(25,6349803,'1987-02-09 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241216274731636619445132610124097',17389,'1022',34.55,1,3,NULL),(25,6349811,'1993-04-20 00:00:00',4,1,11,2010,'M','N','PARQUE DAS FONTES','TREMEMBÉ','SP','125254251215111431469714275124610134182',12682,'9998',42.10,1,3,NULL),(25,6349820,'1992-02-15 00:00:00',4,6,10,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121711445832295122610167112',8066,'9997',54.74,1,3,NULL),(25,6349838,'1989-11-14 00:00:00',2,16,12,2006,'F','N','CENTRO','CURITIBANOS','SC','124241241113271751326614345125130224087',NULL,'239',18.73,1,3,NULL),(25,6349846,'1992-03-31 00:00:00',2,1,12,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241216472231458614575124610164042',7943,'1118',52.21,1,3,NULL),(25,6349862,'1984-12-30 00:00:00',2,1,12,2001,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124241241116575431326319311124223227097',11283,'281',45.57,4,1,1),(25,6349870,'1994-01-01 00:00:00',2,2,12,2010,'F','N','CENTRO','RANCHO A D OESTE','PR','116162161217111431447915575122610136192',15776,'9998',37.70,1,3,NULL),(25,6349889,'1991-06-01 00:00:00',4,1,12,2009,'M','N','VILA VICENTE MACEDO','PIRAQUARA','PR','116162161217271431343621345134610137042',14649,'9998',44.23,1,3,NULL),(25,6349897,'1993-07-29 00:00:00',4,8,11,2010,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124244241215111411456914185121610147182',12043,'424',48.06,4,3,NULL),(25,6349900,'1993-12-19 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111751446639575124610122192',21032,'272',30.96,1,3,NULL),(25,6349919,'1993-08-09 00:00:00',4,1,12,2010,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215152411459934375122610167052',NULL,'1198',44.37,1,3,NULL),(25,6349927,'1986-04-01 00:00:00',4,1,12,2003,'M','N','CANTRO','BOTUCATU','SP','125252251217571451446811575112143167047',NULL,'9998',0.00,1,3,NULL),(25,6349943,'1993-08-15 00:00:00',2,5,12,2010,'M','N','CENTRO','COCAL SUL','SC','124241241415111431456632595124610132182',15871,'995',42.35,1,3,NULL),(25,6349960,'1991-11-28 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124242241215154431549812375115221442045',5333,'737',60.12,1,3,NULL),(25,6349978,'1992-06-15 00:00:00',4,1,12,2009,'M','N','TERRAS DO PIRACICABA','PIRACICABA','SP','125252251415471431578912175112610127042',7640,'9998',52.45,1,3,NULL),(25,6349986,'1993-01-13 00:00:00',4,5,12,2010,'M','N','LOMBA','ORLEANS','SC','124242241217111431536623572122610122192',7061,'581',52.82,1,3,NULL),(25,6350003,'1992-09-13 00:00:00',4,8,12,2009,'M','N','IRIRIU','JOINVILLE','SC','124244241217151411458932575124131462191',NULL,'462',19.37,1,3,NULL),(25,6350011,'1991-08-15 00:00:00',2,2,12,2010,'F','N','MOOCA','S PAULO','SP','125252251217111531468814575122610164077',21225,'9998',29.90,1,3,NULL),(25,6350020,'1994-05-17 00:00:00',2,10,10,2010,'F','N','VILA NOVA','IMBITUBA','SC','124244241215111431367929575124610144142',6206,'807',55.64,1,3,NULL),(25,6350038,'1993-09-06 00:00:00',4,9,12,2010,'M','N','PRAIA VERDE','S JOAQUIM','SC','124241241117131431433334572122610144177',8672,'719',53.64,4,2,1),(25,6350054,'1994-01-01 00:00:00',2,1,11,2011,'M','S','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241112151442546916572124610134147',NULL,'21',39.67,1,3,NULL),(25,6350062,'1993-07-18 00:00:00',2,16,11,2010,'M','N','JARDIM PORTUGAL','S JOSÉ CAMPOS','SP','125254251425111331326613435124610124092',20100,'9997',34.31,1,3,NULL),(25,6350089,'1994-02-14 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111411549911591122610118042',NULL,'262',13.03,1,3,NULL),(25,6350097,'1992-07-18 00:00:00',2,1,10,2009,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215372431488812575122610132122',16742,'270',37.52,1,3,NULL),(25,6350100,'1993-03-01 00:00:00',4,2,12,2010,'F','N','APARECIDA','CURITIBANOS','SC','124244241215112431434635575125610126017',13186,'881',40.77,1,3,NULL),(25,6350119,'1993-10-14 00:00:00',2,17,12,2010,'F','N','CENTRO','RIO NEGRO','PR','116163161217111441258713332122610121142',NULL,'9998',0.00,1,3,NULL),(25,6350127,'1994-06-18 00:00:00',4,17,12,2010,'M','N','JARDIM AMÉRICA','MAFRA','SC','124241161215111431346634271122610128052',20913,'9998',31.43,1,3,NULL),(25,6350135,'1993-07-15 00:00:00',4,9,12,2010,'M','N','CENTRO','URUBICI','SC','124242242115161431436619595114610134183',NULL,'960',32.37,1,3,NULL),(25,6350143,'1993-06-12 00:00:00',2,1,12,2010,'M','N','BELLA VISTA II','S JOSÉ','SC','124243241215111731233612145122610127052',21542,'976',27.53,1,3,NULL),(25,6350151,'1992-11-29 00:00:00',4,1,12,2009,'M','N','SÃO MIGUEL PTA','S PAULO','SP','125252251215471441456833575124610164012',NULL,'9998',0.00,1,3,NULL),(25,6350160,'1993-10-20 00:00:00',4,3,12,2010,'F','N','JARDIM HERIANE','PARANAVAÍ','PR','116161161217151431227921575112610127147',3832,'9998',61.01,3,3,NULL),(25,6350178,'1994-02-10 00:00:00',4,1,12,2011,'M','S','CARIANOS','FLORIANÓPOLIS','SC','124242241217111431369813595122610164182',NULL,'270',25.15,1,3,NULL),(25,6350186,'1993-04-12 00:00:00',4,5,11,2010,'M','N','CENTRO','URUSSANGA','SC','124242241215112431448713575122610127042',19926,'226',30.97,1,3,NULL),(25,6350208,'1992-10-03 00:00:00',4,1,12,2009,'F','N','CENTRO','SOROCABA','SP','125252251215472431468814275122610133187',9311,'9998',47.35,1,3,NULL),(25,6350216,'1994-02-23 00:00:00',4,10,11,2011,'F','S','CENTRO','LAGUNA','SC','124244241416151431567612275122610123092',NULL,'525',43.73,1,3,NULL),(25,6350224,'1993-10-10 00:00:00',2,1,12,2010,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241112131431426421341234610128142',NULL,'591',13.74,1,3,NULL),(25,6350232,'1978-03-15 00:00:00',4,1,1,2004,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243247341131411523324341114610125187',NULL,'1003',0.67,1,3,NULL),(25,6350259,'1990-01-11 00:00:00',2,1,12,2007,'F','N','CALEMBA','STO AMARO IMPERATRIZ','SC','124244241216113431334933572124222328112',NULL,'1223',33.83,1,3,NULL),(25,6350267,'1993-10-17 01:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241137371411538923575124610132092',18994,'257',31.97,1,3,NULL),(25,6350275,'1993-12-28 00:00:00',2,15,12,2010,'M','N','ITAPUÃ','BAL GAIVOTA','SC','124241241116161231446923575122610134117',14679,'690',38.32,1,2,1),(25,6350291,'1994-03-21 00:00:00',2,15,12,2011,'F','S','CENTRO','ARARANGUÁ','SC','124242241217111432338634575112610124192',NULL,'32',45.05,1,3,NULL),(25,6350305,'1993-10-17 01:00:00',4,3,12,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124243241115131431426814575124610134147',NULL,'129',27.42,1,3,NULL),(25,6350313,'1993-10-16 00:00:00',4,8,11,2010,'M','N','PITUBA','SALVADOR','BA','105242051216111431366713475122610167147',NULL,'9998',0.00,1,3,NULL),(25,6350321,'1994-01-12 00:00:00',4,1,12,2010,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241115171431433334142124610132147',20613,'9997',32.69,1,2,1),(25,6350330,'1990-03-26 00:00:00',4,1,12,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243248317371731346833445124610117142',NULL,'9999',0.00,1,3,NULL),(25,6350348,'1984-03-24 00:00:00',2,1,12,2003,'M','N','SERRARIA','S JOSÉ','SC','124241241126274431334613385124223034182',17175,'277',37.46,4,1,1),(25,6350356,'1993-03-04 00:00:00',4,7,12,2010,'M','N','CENTRO','CAMPOS NOVOS','SC','124242241415121231366934575112610115142',17475,'962',39.79,1,3,NULL),(25,6350364,'1992-06-19 00:00:00',4,2,12,2009,'F','N','CENTRO','BENEDITO NOVO','SC','124244241214134411353634275124231464152',10112,'1157',51.15,1,3,NULL),(25,6350372,'1993-05-26 00:00:00',5,5,11,2010,'M','N','RIO MAINA','CRICIÚMA','SC','124244241215151431458939572122610132092',NULL,'995',0.00,1,3,NULL),(25,6350380,'1991-03-26 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215573431468614272124610167047',746,'486',74.78,4,3,NULL),(25,6350399,'1991-02-20 00:00:00',2,9,11,2008,'F','N','EUGENIO SCHNEIDER','RIO SUL','SC','124241241111132431228629575125610136177',13259,'75',42.80,1,2,1),(25,6350402,'1991-11-14 00:00:00',4,1,7,2010,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241116131411323624281124610164147',13588,'739',41.55,1,2,1),(25,6350410,'1993-05-09 00:00:00',4,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241115131431421419395124610144147',NULL,'772',22.21,1,2,1),(25,6350429,'1993-05-05 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243248312111731436612395124610116071',NULL,'9999',21.67,1,3,NULL),(25,6350437,'1992-08-25 00:00:00',4,8,11,2009,'M','N','CENTRO','JOINVILLE','SC','124242241215471432366614575125610162192',9155,'1016',52.35,1,3,NULL),(25,6350445,'1992-05-18 00:00:00',2,4,12,2009,'F','N','NOVO MILÊNIO','CASCAVEL','PR','116161161116471511449913375124610136092',NULL,'9998',0.00,1,3,NULL),(25,6350453,'1993-07-23 00:00:00',4,5,12,2010,'M','N','RIO BELO','ORLEANS','SC','124242241215121431457622572122610117112',14531,'226',44.39,1,3,NULL),(25,6350461,'1970-07-26 00:00:00',2,1,12,1988,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124243247326131731221443335134131026177',NULL,'497',0.00,4,1,2),(25,6350470,'1991-01-18 00:00:00',2,8,12,2008,'M','N','NOVA GUAXUPÉ','GUAXUPÉ','MG','113132131216511431459614475122610127052',NULL,'9998',0.00,1,3,NULL),(25,6350488,'1992-01-06 00:00:00',4,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241127131412444415341243610113041',20236,'574',33.96,1,2,1),(25,6350496,'1989-08-20 00:00:00',2,3,12,2007,'F','N','PORTÃO','CURITIBA','PR','116162161216571431458814575122610124186',3788,'9998',61.50,1,3,NULL),(25,6350500,'1991-06-12 00:00:00',4,5,11,2008,'M','N','CENTRO','IÇARA','SC','124242248217111431446634575122610127011',NULL,'349',19.46,1,3,NULL),(25,6350518,'1992-07-23 00:00:00',4,1,12,2009,'F','N','PARQUE ASSUNÇÃO','TABOÃO SERRA','SP','125251251227471431458812392114610161147',NULL,'9998',0.00,1,3,NULL),(25,6350526,'1990-11-29 00:00:00',2,1,12,2008,'M','N','CENTRO','URUBICI','SC','124242241217373431365639575124120412117',5090,'817',60.64,1,3,NULL),(25,6350534,'1993-01-27 00:00:00',4,1,12,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241116111752328829295114613264187',NULL,'306',32.06,1,3,NULL),(25,6350542,'1993-10-19 00:00:00',4,1,12,2010,'M','N','CENTRO','IBIRUBÁ','RS','120204201217131431226732572125610134057',17827,'9998',39.18,1,3,NULL),(25,6350550,'1991-04-10 00:00:00',4,3,12,2008,'M','N','BELA SUÍÇA','LONDRINA','PR','116162161211512331669911171132610168142',2063,'9998',67.03,3,3,NULL),(25,6350569,'1993-11-03 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241215131451338924575124610125017',13211,'988',41.74,1,3,NULL),(25,6350577,'1993-05-04 00:00:00',2,2,12,2010,'F','N','CENTRO','JOSÉ BOITEUX','SC','124241241127161331344332215122610127077',NULL,'495',0.00,1,2,1),(25,6350585,'1991-08-23 00:00:00',2,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217372431526811472124610117047',18260,'272',38.37,1,3,NULL),(25,6350593,'1968-03-03 00:00:00',2,1,11,2009,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','224242241216131531433353282124610138187',NULL,'9999',0.00,1,3,NULL),(25,6350607,'1994-03-14 00:00:00',4,1,12,2010,'M','N','PONTE DE IMARUIM','PALHOÇA','SC','124232241215111231356913195112610124142',17622,'737',39.54,1,3,NULL),(25,6350615,'1991-02-05 00:00:00',4,1,11,2009,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241216143721567832322122131867042',16259,'1133',41.76,1,3,NULL),(25,6350623,'1993-09-17 00:00:00',4,1,11,2010,'M','N','JARDIM PÉROLA','MARÍLIA','SP','125252251215111431366923471122610167043',NULL,'9998',41.67,1,3,NULL),(25,6350631,'1992-10-13 00:00:00',2,9,11,2010,'M','N','CENTRO','S JOAQUIM','SC','124242241215161431329934295112610167017',19326,'721',36.21,1,3,NULL),(25,6350640,'1993-10-19 00:00:00',2,2,12,2010,'F','N','CAPITAIS','TIMBÓ','SC','124246241215111431464913575122610147057',14320,'1157',38.67,1,3,NULL),(25,6350658,'1992-11-05 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124122241117141431536631245124230232182',NULL,'734',14.84,1,3,NULL),(25,6350666,'1992-11-04 00:00:00',4,4,12,2009,'F','N','CHÁCARA DAS FLORES','STA MARIA','RS','120202201116471431446614475112610166182',NULL,'9998',0.00,1,3,NULL),(25,6350682,'1993-07-04 00:00:00',4,1,12,2010,'M','N','VILA NOVA','MAFRA','SC','124244241117151431366823575121610137051',NULL,'542',0.00,1,3,NULL),(25,6350690,'1992-06-16 00:00:00',4,3,12,2008,'M','N','CENTRO','LEBON RÉGIS','SC','124244241215411731456931595121613224052',12600,'1124',43.03,1,3,NULL),(25,6350704,'1994-09-15 00:00:00',2,2,12,2011,'F','S','GARCIA','BLUMENAU','SC','124242241215111631346832572122610126142',NULL,'71',32.39,1,3,NULL),(25,6350712,'1990-03-22 00:00:00',2,1,12,2009,'F','N','CENTRO','TATUÍ','SP','125091071216471321678933495124610125186',NULL,'9998',0.00,1,3,NULL),(25,6350720,'1993-11-03 00:00:00',2,9,12,2010,'M','N','BAIRRO BORGES','ANITA GARIBALDI','SC','124241241115271431426412375122610147052',NULL,'18',0.00,1,2,1),(25,6350739,'1992-03-12 00:00:00',2,1,12,2009,'M','N','IGRA','TORRES','RS','120203201217471731646516395125610167047',NULL,'9998',20.11,1,3,NULL),(25,6350747,'1993-07-08 00:00:00',4,4,12,2010,'F','N','JABOTICABAL','LARANJEIRAS SUL','PR','116161161215111431448933574122610164012',11852,'9998',44.42,1,3,NULL),(25,6350755,'1993-11-10 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124241241117371431424614572124610167057',20918,'730',31.42,1,2,1),(25,6350763,'1981-01-08 00:00:00',4,1,12,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224253256116151731279843435122341466195',10,'9998',88.53,1,3,NULL),(25,6350780,'1993-01-11 00:00:00',2,15,12,2010,'F','N','CENTRO','ARARANGUÁ','SC','124242241215272731458912575122610168182',6838,'970',53.94,1,3,NULL),(25,6350798,'1995-03-22 00:00:00',4,4,12,2010,'M','N','CENTRO','CHAPECÓ','SC','124244241217151431459933575112610164042',17295,'168',40.11,1,3,NULL),(25,6350801,'1993-06-28 00:00:00',2,10,12,2010,'M','N','SÃO MARTINHO','TUBARÃO','SC','124241241116131451423914575121610154067',NULL,'802',18.86,4,3,NULL),(25,6350810,'1991-08-11 00:00:00',2,1,12,2008,'F','N','JARDIM FLORIANOPOLIS','S JOSÉ','SC','124241241117132431523311242314610164141',NULL,'278',20.11,4,2,1),(25,6350828,'1991-04-12 00:00:00',2,5,12,2008,'M','N','VILA DA RIOCELL','GUAÍBA','RS','120202201216572411359911571114610137042',2015,'9998',67.59,1,3,NULL),(25,6350836,'1992-02-16 00:00:00',4,1,11,2009,'F','N','VILA IZABEL','CURITIBA','PR','116162161215472431479619275112610122112',2005,'9998',67.48,4,3,NULL),(25,6350844,'1993-07-14 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241217121431447832575114610164192',15540,'738',37.19,1,3,NULL),(25,6350852,'1993-05-24 00:00:00',2,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124243241115131431426414392124610128197',NULL,'257',16.33,1,3,NULL),(25,6350860,'1988-08-23 00:00:00',2,1,12,2005,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241215375421569713471122130867117',2922,'269',65.17,1,3,NULL),(25,6350879,'1992-08-04 00:00:00',4,10,12,2009,'F','N','OFICINAS','TUBARÃO','SC','124242241215111411448414572122610132181',4638,'806',58.99,1,3,NULL),(25,6350887,'1993-08-13 00:00:00',2,15,12,2010,'M','N','VILA SÃO JOÃO','TORRES','RS','120201201117151431433833575124610167117',NULL,'9998',12.55,1,3,NULL),(25,6350909,'1992-03-06 00:00:00',2,1,12,2009,'M','N','UVARANAS','PNT GROSSA','PR','116164161216471732479833575112610167057',10869,'9998',44.56,1,3,NULL),(25,6350917,'1984-03-07 00:00:00',4,10,12,2000,'M','N','OFICINAS','TUBARÃO','SC','124242241216143731336619242124420268197',NULL,'807',0.00,1,3,NULL),(25,6350925,'1985-08-11 00:00:00',4,4,12,2003,'M','N','PINHEIRINHO','CHAPECÓ','SC','224243241126131721339644245121130767017',NULL,'169',0.00,1,3,NULL),(25,6350933,'1994-03-28 00:00:00',4,9,12,2011,'M','S','CENTRO','LAGES','SC','124242244215111431325416275124610144182',NULL,'499',34.28,1,3,NULL),(25,6350941,'1992-04-30 00:00:00',2,1,12,2009,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241216114421443623575124233261187',12588,'1022',47.20,1,3,NULL),(25,6350950,'1993-12-02 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215121532528851475122610137182',18208,'269',38.45,1,3,NULL),(25,6350968,'1992-12-10 00:00:00',4,5,12,2009,'M','N','COMERCIARIO','CRICIÚMA','SC','124242246216132731356913395125610137041',18905,'995',37.11,1,3,NULL),(25,6350976,'1989-07-22 00:00:00',2,3,12,2006,'F','N','LOURDES','CAXIAS SUL','RS','120202201212571431469933572112610113183',4076,'9998',61.02,1,3,NULL),(25,6350984,'1980-04-28 00:00:00',4,15,12,1999,'M','N','ERECHIM','BAL ARROIO SILVA','SC','124241248146131411425144242223610132147',NULL,'29',34.87,1,2,1),(25,6351018,'1962-08-27 00:00:00',2,1,12,1981,'M','N','ENSEADA DE BRITO','PALHOÇA','SC','624201208216151751243574485114140168187',NULL,'9998',0.00,1,3,NULL),(25,6351026,'1993-03-26 00:00:00',4,1,11,2010,'M','N','NONOAI','PTO ALEGRE','RS','120204201117111432579813235124610167077',NULL,'9998',0.00,1,3,NULL),(25,6351034,'1990-03-05 00:00:00',4,6,12,2007,'M','N','CENTRO CÍVICO','CURITIBA','PR','116162161216573731338814575125610164052',1661,'9998',69.76,3,3,NULL),(25,6351042,'1992-04-06 00:00:00',4,1,12,2009,'M','N','CENTRO','ASTORGA','PR','116164161216371431449824575124610142017',NULL,'9998',48.83,1,3,NULL),(25,6351050,'1965-11-03 00:00:00',4,1,12,1985,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','224251148117151631573354494112610161043',17678,'9998',39.44,1,3,NULL),(25,6351069,'1994-08-06 00:00:00',4,1,12,2011,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431368912472122610137142',NULL,'270',36.96,1,3,NULL),(25,6351077,'1993-11-01 00:00:00',2,1,12,2010,'F','N','PONTE IMARUIM','PALHOÇA','SC','124241241136151531426661586224610144147',NULL,'257',14.62,1,3,NULL),(25,6351085,'1993-12-23 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','624242241212111431339721572122610118182',6881,'1050',53.82,1,3,NULL),(25,6351093,'1992-06-06 00:00:00',4,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215312751448823595114610123142',11921,'270',48.29,1,3,NULL),(25,6351107,'1993-07-17 00:00:00',4,1,12,2010,'M','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251217271331589831595122610122042',6364,'9998',54.54,1,3,NULL),(25,6351115,'1993-11-13 00:00:00',4,1,11,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215121431469833575114610167142',2582,'270',66.46,1,3,NULL),(25,6351123,'1993-09-22 00:00:00',4,2,12,2011,'M','S','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111732489814575122610137142',NULL,'909',61.84,1,3,NULL),(25,6351140,'1993-10-12 00:00:00',4,2,12,2010,'M','N','VELHA','BLUMENAU','SC','124242241215112731468831576122610168182',317,'909',79.10,1,3,NULL),(25,6351158,'1985-12-24 00:00:00',2,1,12,2003,'M','N','CENTRO','IMBITUBA','SC','124241241137131421546613235124131067047',NULL,'359',22.15,1,3,NULL),(25,6351166,'1992-11-26 00:00:00',3,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431468811575122610163012',4139,'270',61.48,1,3,NULL),(25,6351174,'1992-02-06 00:00:00',4,1,11,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215372411589812595124130237082',NULL,'807',0.00,1,3,NULL),(25,6351182,'1992-10-05 00:00:00',2,1,12,2009,'F','N','SUISSO','S BERNARDO CAMPO','SP','125251251116131231228629575114143221097',NULL,'9998',0.00,1,2,1),(25,6351190,'1994-01-10 00:00:00',1,1,11,2011,'F','S','COLONINHA','FLORIANÓPOLIS','SC','124241241115111431548814475122610132012',NULL,'267',33.13,1,3,NULL),(25,6351204,'1982-06-27 00:00:00',2,1,12,1999,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124202201317131431439874445114141014017',NULL,'9998',34.53,1,3,NULL),(25,6351212,'1993-11-11 00:00:00',4,1,12,2010,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111431356712572124610134187',NULL,'270',22.88,1,3,NULL),(25,6351220,'1991-05-25 00:00:00',4,8,12,2008,'M','N','GUANABARA','JOINVILLE','SC','124243241211312451436619375121221447012',NULL,'489',37.12,1,3,NULL),(25,6351239,'1990-10-18 00:00:00',2,8,12,2007,'M','N','BAIRRO ALTO','CURITIBA','PR','116161163146271731427824295124610137182',NULL,'9998',16.19,1,3,NULL),(25,6351247,'1986-04-11 00:00:00',2,1,12,2003,'M','N','CENTRO','LONDRINA','PR','116164161412525231558813581121610113136',1220,'9998',72.24,1,3,NULL),(25,6351255,'1989-11-23 00:00:00',4,1,12,2007,'F','N','STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC','124241241217373431338923472124123234147',6438,'1048',55.05,1,3,NULL),(25,6351263,'1993-08-26 00:00:00',4,8,12,2010,'M','N','JARDIM GUARAITUBA','PARANAGUÁ','PR','116162161215151431436634595122610128041',NULL,'9998',0.00,1,3,NULL),(25,6351298,'1992-12-15 00:00:00',2,15,12,2009,'F','N','CENTRO','PR GRANDE','SC','124241241117141432323923382121610126147',NULL,'641',22.49,1,3,NULL),(25,6351301,'1993-06-06 00:00:00',2,1,12,2010,'F','N','BOM RETIRO','JOINVILLE','SC','124242241217121431468614272124610161077',7750,'1016',52.12,1,3,NULL),(25,6351310,'1991-02-03 00:00:00',4,1,12,2008,'F','N','JARDIM SANTA PAULA','S CARLOS','SP','125252251215571411479931574122610162012',NULL,'9998',0.00,1,3,NULL),(25,6351328,'1992-02-06 00:00:00',4,1,12,2009,'F','N','PROGRESSO','RIO SUL','SC','124242241215472451187832572112610162042',10813,'991',49.97,1,3,NULL),(25,6351336,'1993-05-29 00:00:00',2,3,10,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244248415271731525832345121610117042',NULL,'44',0.00,1,3,NULL),(25,6351352,'1992-07-07 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117132412446631345114610167057',14971,'257',43.74,1,2,1),(25,6351360,'1994-03-02 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115371411247719372114610124145',17233,'307',34.84,1,3,NULL),(25,6351379,'1991-09-13 00:00:00',4,4,11,2008,'M','N','CENTRO','S DOMINGOS','SC','124241241116372731535712395122133117042',NULL,'374',11.61,1,3,NULL),(25,6351395,'1992-04-08 00:00:00',2,1,12,2010,'M','N','JD CIDADE FPOLIS','S JOSÉ','SC','124241241115371731435623575114610114047',NULL,'734',13.87,2,1,1),(25,6351409,'1994-05-01 00:00:00',4,5,12,2010,'F','N','CENTRO','MRO FUMAÇA','SC','124242246436131431337724575124610134092',NULL,'995',15.53,1,3,NULL),(25,6351417,'1991-03-25 00:00:00',4,1,12,2008,'F','N','HIGIENÓPOLIS','S PAULO','SP','125252251216571431228824571124610147092',NULL,'9998',0.00,1,3,NULL),(25,6351425,'1993-11-02 00:00:00',4,3,12,2010,'M','N','JARDIM TV MORENA','CPO GRANDE','MS','112122121215471431478933575122610137042',9956,'9998',46.53,3,3,NULL),(25,6351433,'1990-11-26 00:00:00',4,1,11,2008,'M','N','ACLIMAÇÃO','S PAULO','SP','125252251215571712478812595125510164044',NULL,'9998',0.00,4,3,NULL),(25,6351441,'1993-10-09 00:00:00',4,2,12,2010,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215121431479914575112610162193',9496,'87',52.22,1,3,NULL),(25,6351450,'1993-10-19 00:00:00',2,2,12,2010,'F','N','CAPITAIS','TIMBÓ','SC','124246241215111431464913575122610147057',13025,'1157',42.32,1,3,NULL),(25,6351468,'1994-02-25 00:00:00',2,6,12,2010,'F','N','SANTA RITA','BRUSQUE','SC','124242241215111111426632125122610117092',15036,'109',43.62,1,3,NULL),(25,6351476,'1988-05-31 00:00:00',2,8,12,2005,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161216471411639844245121143268067',13484,'9998',45.95,1,3,NULL),(25,6351484,'1988-11-30 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116133411123344345134330222187',NULL,'59',31.67,1,2,1),(25,6351492,'1992-10-28 00:00:00',2,3,12,2009,'F','N','SÃO FRANCISCO','IRATI','PR','116161161116571431443923575124610131147',1292,'9998',70.65,1,2,1),(25,6351506,'1992-08-06 00:00:00',4,8,12,2009,'M','N','CHACARA SANTO ANTONI','S PAULO','SP','125252251216471411456831575114610162187',NULL,'9998',0.00,1,3,NULL),(25,6351514,'1992-07-18 00:00:00',4,1,12,2009,'F','N','SANTA TERESA','S LEOPOLDO','RS','120201201217471751459814575114610143146',4962,'9998',57.96,1,3,NULL),(25,6351522,'1991-07-30 00:00:00',2,1,12,2008,'F','N','PENHA','PAULO LOPES','SC','124241241226372431423311242124610137047',12899,'262',46.74,1,3,NULL),(25,6351530,'1994-10-29 00:00:00',4,1,12,2011,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124252241215111431458933575124610157092',NULL,'883',34.79,1,3,NULL),(25,6351557,'1985-05-04 00:00:00',2,1,11,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201247126132431325724215124610137042',NULL,'9999',19.01,4,2,1),(25,6351565,'1984-09-01 00:00:00',2,1,12,2001,'M','N','BARREIROS','S JOSÉ','SC','124241241137332431124344345124610126143',NULL,'726',28.99,1,2,1),(25,6351573,'1983-06-28 00:00:00',2,15,12,2000,'M','N','SANTO ANTÔNIO','PTO ALEGRE','RS','120204201211572441236833575124610167042',1389,'9998',70.08,1,3,NULL),(25,6351581,'1993-02-11 00:00:00',4,6,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121431468834575122610134052',3146,'9997',64.56,1,3,NULL),(25,6351590,'1981-03-15 00:00:00',4,1,12,1998,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242246111443711238929447124421467117',9020,'306',53.01,4,3,NULL),(25,6351603,'1994-09-12 00:00:00',4,1,11,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111411469934545122610164192',NULL,'270',NULL,1,3,NULL),(25,6351611,'1993-02-19 00:00:00',2,3,11,2009,'F','N','MERCÊS','CURITIBA','PR','116162161235572431664734575112610127072',14140,'9998',44.95,1,3,NULL),(25,6351620,'1993-10-11 00:00:00',2,1,12,2011,'M','S','KOBRASOL','S JOSÉ','SC','124242248217111732328513575124610137117',NULL,'1077',27.84,1,3,NULL),(25,6351638,'1992-10-05 00:00:00',2,16,12,2009,'M','N','JARDIM VALE DO SOL','S JOSÉ CAMPOS','SP','125254251317371431426424575124610164172',13388,'9998',41.79,4,3,NULL),(25,6351646,'1993-05-24 00:00:00',4,1,11,2011,'F','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241215111732248523491124613228182',NULL,'1022',32.88,1,3,NULL),(25,6351654,'1991-04-29 00:00:00',2,1,12,2009,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241146131731225344245124610166042',NULL,'734',14.40,1,3,NULL),(25,6351662,'1987-04-17 00:00:00',2,1,12,2004,'M','N','LOMBA DO PINHEIRO','PTO ALEGRE','RS','120201208147231411213848295314141447097',NULL,'9998',0.00,1,2,1),(25,6351700,'1993-02-03 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215111441348821585124610114147',11502,'1022',48.89,1,3,NULL),(25,6351727,'1993-04-18 00:00:00',2,1,11,2010,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241217151231468934445112610167047',11199,'1075',44.98,1,3,NULL),(25,6351735,'1993-06-30 00:00:00',4,16,12,2010,'M','N','NUCLEO TRITICOLA','FR ROGÉRIO','SC','124241241115111431426615272124610137057',20275,'320',27.46,3,2,1),(25,6351743,'1989-03-01 00:00:00',2,1,12,2006,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241248117133431425441316124610154147',NULL,'281',23.83,1,2,1),(25,6351751,'1993-02-27 00:00:00',2,1,12,2010,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241115371731623728575124610133142',17991,'591',37.15,1,2,1),(25,6351760,'1994-01-23 00:00:00',2,10,12,2010,'F','N','DEHON','TUBARÃO','SC','124243241215131431536611571122610162197',NULL,'797',40.80,1,3,NULL),(25,6351778,'1994-06-30 00:00:00',4,6,12,2010,'M','N','SÃO PEDRO','BRUSQUE','SC','124242241211111431448831575112610127182',21033,'109',30.94,1,3,NULL),(25,6351786,'1989-12-17 00:00:00',2,1,12,2007,'M','N','NOVA SUIÇA','GOIÂNIA','GO','109092091231111411619971197311141117172',NULL,'9998',20.06,1,3,NULL),(25,6351794,'1993-04-12 00:00:00',4,2,11,2010,'F','N','CENTRO','APIÚNA','SC','124222221216121431458833235122610166182',7954,'9998',51.32,1,3,NULL),(25,6351808,'1993-07-02 00:00:00',2,1,12,2010,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124243248217111431326734575122610125197',NULL,'781',23.19,1,3,NULL),(25,6351816,'1987-06-06 00:00:00',2,1,12,2004,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241136475431523529385114610123047',NULL,'298',16.20,1,2,1),(25,6351824,'1958-11-12 00:00:00',5,1,12,1976,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224244241416153741257671315122320261092',NULL,'211',0.00,1,3,NULL),(25,6351832,'1991-10-01 00:00:00',4,4,12,2008,'M','N','CENTRO','CASCAVEL','PR','116162161215571431358613572122610167042',4645,'9998',60.37,1,3,NULL),(25,6351840,'1992-08-01 00:00:00',2,3,11,2009,'M','N','CENTRO','STO CRISTO','RS','120202201215471721548812472114610167047',6798,'9998',53.76,1,3,NULL),(25,6351859,'1993-08-07 00:00:00',2,1,12,2010,'M','N','AUXILIADORA','PTO ALEGRE','RS','120202201217371431348934575122610147112',4473,'9998',59.64,1,3,NULL),(25,6351867,'1993-08-20 00:00:00',4,8,12,2010,'M','N','ROCIO PEQUENO','S FRANCISCO SUL','SC','124244241235111431458834591122610137042',21675,'9997',25.67,1,3,NULL),(25,6351875,'1991-12-14 00:00:00',4,1,12,2009,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124242248216372731446911495114131227027',NULL,'1075',37.55,1,3,NULL),(25,6351883,'1989-05-13 00:00:00',2,17,11,2007,'M','N','BIGORRILHO','CURITIBA','PR','116161161113571341456632275124142434177',8321,'9998',52.42,1,2,1),(25,6351891,'1994-03-20 00:00:00',4,1,12,2011,'F','S','BARREIROS','S JOSÉ','SC','124242241215151431357512595112610127182',NULL,'270',42.26,1,3,NULL),(25,6351905,'1989-04-02 00:00:00',2,1,11,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124162161216374451357711292124610127051',4892,'9998',59.45,1,3,NULL),(25,6351913,'1994-09-09 00:00:00',2,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215111411458812575124610115097',18159,'299',38.55,1,3,NULL),(25,6351921,'1991-09-19 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241415373421557632575122610118182',5957,'270',58.83,1,3,NULL),(25,6351930,'1992-08-11 00:00:00',4,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124242246216151411457632572121610127012',17578,'1006',33.66,1,3,NULL),(25,6351948,'1993-03-16 00:00:00',1,2,12,2010,'M','N','CENTRO','POMERODE','SC','124242241215111131468614245112610124052',NULL,'624',20.68,1,3,NULL),(25,6351956,'1994-06-21 00:00:00',4,6,12,2010,'F','N','CENTRO','MAFRA','SC','124242241215111711349619575122610144142',NULL,'541',39.25,1,3,NULL),(25,6351964,'1993-02-01 00:00:00',2,15,12,2010,'F','N','MORRO DOS CONVENTOS','ARARANGUÁ','SC','124241241115371431423611575124610127142',NULL,'29',0.00,4,2,1),(25,6351972,'1991-10-17 00:00:00',4,8,12,2008,'M','N','BIGORRILHO','CURITIBA','PR','116222221215572431569833575124610167052',9405,'9998',47.25,1,3,NULL),(25,6351980,'1994-02-02 00:00:00',4,5,12,2010,'M','N','SÃO CRISTOVÃO','CRICIÚMA','SC','124242241215271431368934572112610164182',6673,'226',57.34,1,3,NULL),(25,6351999,'1994-07-04 00:00:00',2,1,11,2011,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241212111511568819272124610115057',NULL,'1022',35.06,1,3,NULL),(25,6352006,'1992-09-02 00:00:00',2,17,12,2009,'F','N','CENTRO','CANOINHAS','SC','124241241116373421438634172124610121142',16778,'153',35.75,1,2,1),(25,6352014,'1993-07-23 00:00:00',4,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124244241217111531458723575124610168077',10438,'724',46.50,1,3,NULL),(25,6352022,'1993-08-10 00:00:00',2,1,11,2010,'F','N','ROÇADO','S JOSÉ','SC','124241241115161321423324575124610127072',21755,'729',23.85,1,3,NULL),(25,6352030,'1993-08-24 00:00:00',2,4,12,2010,'F','N','SALETE','CONCÓRDIA','SC','124241246117271412436633595114610132147',NULL,'196',18.73,4,2,1),(25,6352049,'1993-07-05 00:00:00',4,8,12,2010,'M','N','CENTRO','S BENTO SUL','SC','124241241317161731469614575122610117142',20327,'697',33.64,1,3,NULL),(25,6352057,'1993-06-07 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124242248116151431536614575124610126142',19031,'306',36.88,1,3,NULL),(25,6352065,'1978-04-15 00:00:00',4,1,12,1995,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241112144431253343432122333264047',7443,'271',55.89,2,1,1),(25,6352073,'1994-09-25 00:00:00',4,1,12,2011,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241117111431459913572122610126192',NULL,'271',43.55,1,3,NULL),(25,6352081,'1990-07-09 00:00:00',4,6,11,2007,'M','N','BOQUEIRÃO','CURITIBA','PR','116164161235571751466713595122610167042',4608,'9998',61.76,1,3,NULL),(25,6352103,'1992-03-15 00:00:00',4,1,12,2009,'F','N','VILA SÃO VICENTE','PARANAVAÍ','PR','116251161217471411568414372122610162142',12800,'9998',46.91,1,3,NULL),(25,6352111,'1993-05-14 00:00:00',2,2,11,2010,'F','N','BESENELLO','NOVA TRENTO','SC','124241241215111431566823472124610134147',NULL,'981',0.00,1,3,NULL),(25,6352120,'1993-04-07 00:00:00',2,3,12,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124241243115151431247821575122610134142',11640,'129',43.77,1,2,1),(25,6352138,'1994-05-25 00:00:00',4,9,11,2010,'M','N','GRUTA','ITUPORANGA','SC','124244241217131431435734295121610164072',NULL,'1173',0.00,1,3,NULL),(25,6352154,'1991-04-26 00:00:00',4,1,12,2008,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124242241116131731426612245122610162042',NULL,'9997',14.99,1,3,NULL),(25,6352162,'1990-09-16 00:00:00',2,15,12,2007,'F','N','CENTRO','ARARANGUÁ','SC','124241241212573711345939575122130622147',9427,'26',47.74,1,3,NULL),(25,6352170,'1990-10-04 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215472451356723575124610156147',5051,'983',60.72,1,3,NULL),(25,6352189,'1993-05-21 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241435272431426631595114610167042',NULL,'270',40.06,1,3,NULL),(25,6352197,'1977-08-20 00:00:00',2,8,12,1995,'F','N','CENTRO','ARAUCÁRIA','PR','116161165117151431437514415124341364147',12767,'9998',43.70,1,2,1),(25,6352200,'1992-03-13 00:00:00',4,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215472431489811475122610167125',6424,'270',55.81,1,3,NULL),(25,6352219,'1990-11-01 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124241248112133721556633242124610167057',20284,'307',33.81,2,1,1),(25,6352227,'1988-03-13 00:00:00',4,1,12,2005,'M','N','CENTRO','ANÁPOLIS','GO','109092091215571431456822592322610167092',NULL,'9998',0.00,4,3,NULL),(25,6352235,'1990-11-15 00:00:00',2,17,12,2007,'F','N','CENTRO','CANOINHAS','SC','124241241217472411538911574124610146122',2800,'88',66.21,1,3,NULL),(25,6352243,'1994-03-14 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241217121431338823575114610136012',4197,'270',60.32,1,3,NULL),(25,6352251,'1992-04-18 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243281217271451349834575114610168182',8291,'9998',54.33,1,3,NULL),(25,6352260,'1993-05-11 00:00:00',4,1,12,2010,'F','N','ALTO DA BOA VISTA','SOROCABA','SP','125252251216111431468832575112610122192',NULL,'9998',0.00,1,3,NULL),(25,6352278,'1986-08-19 00:00:00',4,1,11,2004,'M','N','MERCÊS','CURITIBA','PR','116162161216571431479911571122341027182',2685,'9998',64.19,1,3,NULL),(25,6352286,'1993-10-22 00:00:00',4,7,12,2010,'M','N','FLORESTA','VIDEIRA','SC','124241241215141431436611285125610124017',15071,'1080',43.58,1,3,NULL),(25,6352294,'1993-02-19 00:00:00',2,3,11,2009,'F','N','MERCÊS','CURITIBA','PR','116162161225472431674734575112610167072',14411,'9998',44.57,4,3,NULL),(25,6352308,'1993-09-23 00:00:00',2,1,12,2010,'M','N','RITA VIEIRA','CPO GRANDE','MS','112122121215471431648923574124610136052',NULL,'9998',0.00,1,3,NULL),(25,6352324,'1994-01-13 00:00:00',4,7,12,2010,'F','N','SANTA MÔNICA','FRAIBURGO','SC','124244241216161431455939475122610164097',NULL,'317',0.00,1,3,NULL),(25,6352332,'1993-11-09 00:00:00',4,4,11,2010,'M','N','CENTRO','PALMITOS','SC','124242241415271731343632425124610137042',NULL,'185',25.75,1,3,NULL),(25,6352340,'1991-12-20 00:00:00',2,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241216272431346834592112610147147',15469,'1169',38.71,1,3,NULL),(25,6352359,'1981-08-24 00:00:00',2,1,11,1998,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624243243411155711455551311122121662182',NULL,'303',0.00,1,3,NULL),(25,6352367,'1991-10-18 00:00:00',2,1,12,2009,'M','N','ITACOCUBI','FLORIANÓPOLIS','SC','124242241215472411549713572122230267092',3194,'262',63.47,1,3,NULL),(25,6352375,'1994-07-02 00:00:00',4,15,12,2010,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241115141432633631375122610117053',NULL,'30',16.37,1,3,NULL),(25,6352383,'1991-05-28 00:00:00',2,16,12,2008,'F','N','BELA VISTA','RIO NEGRINHO','SC','124241241116131411433329235124230964056',NULL,'669',0.00,1,2,1),(25,6352391,'1992-01-28 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241117252431456613585122233227042',10917,'271',49.80,1,3,NULL),(25,6352405,'1992-12-21 00:00:00',4,4,12,2009,'F','N','JARDIM LA SALLE','TOLEDO','PR','116162161215471431476939575112610163122',NULL,'9998',0.00,1,3,NULL),(25,6352413,'1993-05-20 00:00:00',2,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','124244248415111711238623572122610137042',NULL,'1077',18.09,1,3,NULL),(25,6352430,'1992-06-28 00:00:00',4,3,11,2009,'F','N','ZONA QUATRO','MARINGÁ','PR','116162163217471531468819575112610134152',9493,'9998',52.23,4,3,NULL),(25,6352448,'1993-07-16 00:00:00',4,10,11,2010,'F','N','CENTRO','LAGUNA','SC','124242241215111731558819575112610127147',1851,'807',69.86,1,3,NULL),(25,6352456,'1985-07-20 00:00:00',2,2,12,2010,'M','N','ÁGUA VERDE','BLUMENAU','SC','124243247645371431224624245224610162097',13652,'9999',40.47,1,3,NULL),(25,6352464,'1993-05-28 00:00:00',2,8,12,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','124244246217141432559634375122610135147',NULL,'1006',44.59,1,3,NULL),(25,6352472,'1991-12-01 00:00:00',2,1,12,2009,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215273431636661572124610117182',10199,'299',50.99,1,3,NULL),(25,6352502,'1991-08-18 00:00:00',5,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431468811575122133262122',12438,'270',47.45,1,3,NULL),(25,6352529,'1992-12-01 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241211121431558811311121610167162',5299,'1118',57.75,1,3,NULL),(25,6352545,'1991-02-20 00:00:00',4,8,12,2008,'F','N','LARSEN','LONDRINA','PR','116162161215571731468813574112610124147',5244,'9998',57.43,3,3,NULL),(25,6352553,'1991-09-23 00:00:00',4,1,12,2009,'F','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','124252251215472411438619395112610116197',6705,'9998',57.29,1,3,NULL),(25,6352561,'1985-01-31 00:00:00',4,1,12,2000,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201241142522431512343311111110111011',NULL,'595',21.10,1,2,1),(25,6352570,'1992-06-09 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241211372431566814492124131042147',9989,'1169',49.26,1,3,NULL),(25,6352588,'1992-06-08 00:00:00',2,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241215574431344933575124231167093',3711,'1022',62.26,1,3,NULL),(25,6352596,'1994-07-10 00:00:00',4,1,12,2011,'F','S','CENTRO','STA MARIA','RS','120202201217251711359924295112610122142',NULL,'9998',0.00,1,3,NULL),(25,6352600,'1994-08-11 00:00:00',4,1,11,2011,'M','S','ROÇADO','S JOSÉ','SC','124242241215111631468833595122610137042',NULL,'723',45.70,1,3,NULL),(25,6352618,'1993-04-20 00:00:00',4,9,12,2009,'F','N','ITINGA','JOINVILLE','SC','124241242115131431434163575124610126192',17592,'507',39.61,1,3,NULL),(25,6352634,'1991-07-27 00:00:00',2,16,12,2009,'M','N','BOM JESUS','CURITIBANOS','SC','124241244111572331446311571222610127047',18597,'239',33.90,1,2,1),(25,6352642,'1991-01-23 00:00:00',4,1,12,2008,'M','N','CENTRO','PIRES RIO','GO','109092091215571431447931572122610167047',NULL,'9998',0.00,1,3,NULL),(25,6352650,'1993-07-17 00:00:00',2,5,12,2010,'F','N','RIO MAINA','CRICIÚMA','SC','124243241215151431436814572124610121142',4105,'210',60.90,1,3,NULL),(25,6352669,'1991-12-31 00:00:00',4,8,12,2009,'M','N','CENTRO','CURITIBA','PR','116161161315371431469612375124140334012',4276,'9998',60.45,1,3,NULL),(25,6352685,'1990-03-08 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217474431448614285124610143072',10546,'1022',47.99,1,3,NULL),(25,6352707,'1992-08-21 00:00:00',2,1,12,2009,'F','N','RACHADEL','ANTÔNIO CARLOS','SC','124241241115372731424135572114610167042',NULL,'21',31.40,1,2,1),(25,6352715,'1989-02-22 00:00:00',2,1,2,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215475431279727382125130843182',13394,'270',42.00,1,3,NULL),(25,6352723,'1995-01-26 00:00:00',4,5,12,2010,'F','N','PIO CORREA','CRICIÚMA','SC','124242241215111112589812575122610166094',4930,'226',57.93,1,3,NULL),(25,6352731,'1993-12-02 00:00:00',4,15,12,2010,'M','N','SÃO LUIZ','SOMBRIO','SC','124241241135271431644334242222610167172',16278,'1033',35.29,1,2,1),(25,6352740,'1990-12-24 00:00:00',4,4,11,2008,'M','N','CENTRO','IJUÍ','RS','120202201216572731345624592124141467057',3491,'9998',61.66,1,3,NULL),(25,6352758,'1990-11-22 00:00:00',2,4,11,2008,'F','N','ENGENHO BRAUN','CHAPECÓ','SC','124241241346131431626633375124610168193',NULL,'177',26.20,4,3,NULL),(25,6352766,'1982-01-13 00:00:00',4,1,11,2002,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243247226133411336624242334131027047',NULL,'9999',0.00,1,3,NULL),(25,6352774,'1992-07-08 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241417373411268814575124221964146',4504,'270',61.98,1,3,NULL),(25,6352782,'1992-12-30 00:00:00',2,6,12,2009,'F','N','DORES','STA MARIA','RS','120201201116471731436836471112610134057',NULL,'9998',0.00,1,2,1),(25,6352804,'1992-01-30 00:00:00',4,4,12,2008,'M','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161216471431448836574123610126187',2480,'9998',65.79,1,3,NULL),(25,6352839,'1994-05-06 00:00:00',4,1,9,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431358839595122610117012',NULL,'1169',28.08,1,3,NULL),(25,6352847,'1994-09-22 00:00:00',4,2,12,2010,'M','N','ÁGUA VERDE','CURITIBA','PR','116161161116371431449923571124610124177',1494,'9998',71.29,3,2,1),(25,6352855,'1994-10-21 00:00:00',2,1,12,2011,'M','S','CENTRO','VIDAL RAMOS','SC','124242241417111711448811575122610164092',NULL,'9997',39.66,1,3,NULL),(25,6352863,'1994-06-22 00:00:00',4,1,11,2011,'M','S','BOM ABRIGO','FLORIANÓPOLIS','SC','124242248215111752688811575112610127042',NULL,'270',32.52,3,3,NULL),(25,6352871,'1991-02-19 00:00:00',4,1,12,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241115111431525411115124610117122',NULL,'267',16.47,1,2,1),(25,6352880,'1992-08-05 00:00:00',4,1,10,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124252251235112431139622125115221167042',NULL,'9998',0.00,1,3,NULL),(25,6352898,'1992-08-06 00:00:00',4,9,12,2009,'F','N','JARDIM ESTHER','S PAULO','SP','125253251217272431367614275124141424052',3952,'9998',59.45,1,3,NULL),(25,6352901,'1993-10-14 00:00:00',4,1,11,2010,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215111431654931275122610124047',NULL,'1118',35.91,1,3,NULL),(25,6352910,'1992-11-22 00:00:00',2,1,11,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116272431536614575114610168197',16646,'307',36.54,1,2,1),(25,6352928,'1991-03-18 00:00:00',2,1,12,2009,'F','N','CRISTAL','PTO ALEGRE','RS','120202205116271411326621172114610135147',16234,'9998',41.80,1,3,NULL),(25,6352936,'1983-09-01 00:00:00',2,1,12,2001,'F','N','CAEIRA SACO DOS LIMO','FLORIANÓPOLIS','SC','124163161321271751117844242114143252147',NULL,'9998',22.57,1,3,NULL),(25,6352944,'1992-03-11 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217152711588912425122221267072',NULL,'262',36.59,1,3,NULL),(25,6352952,'1994-03-28 00:00:00',4,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124241248117141752226611215124610115152',NULL,'729',25.99,1,2,1),(25,6352960,'1967-03-19 00:00:00',4,1,12,1984,'M','N','BOM RETIRO','JOINVILLE','SC','224201203116151712483343431132340827093',7715,'9998',55.40,1,3,NULL),(25,6352979,'1993-05-13 00:00:00',2,1,12,2010,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241115151731535319572124610124187',NULL,'592',35.89,1,2,1),(25,6352987,'1980-09-22 00:00:00',4,1,12,1997,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224201201116372421348553412114343237187',9232,'9998',52.62,4,2,1),(25,6352995,'1988-12-12 00:00:00',2,1,8,2008,'F','N','SERRARIA','S JOSÉ','SC','124243241116153421536614445124610166092',16237,'306',41.79,1,3,NULL),(25,6353002,'1991-11-25 00:00:00',4,1,12,2008,'M','N','CENTRO','GAROPABA','SC','124241241112362531436631322121610164013',NULL,'322',30.87,1,2,1),(25,6353010,'1993-04-15 00:00:00',2,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124241241115151431225524245114610167142',NULL,'726',13.81,1,2,1),(25,6353029,'1993-10-06 00:00:00',4,1,12,2011,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111711448813575112610144096',NULL,'1022',0.00,1,3,NULL),(25,6353037,'1992-08-18 00:00:00',2,1,12,2009,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124241241127371431313131572224610126142',NULL,'291',18.98,1,2,1),(25,6353045,'1993-02-22 00:00:00',4,6,12,2010,'M','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','124242241216271431478934575122610137042',NULL,'1172',1.47,1,3,NULL),(25,6353053,'1990-07-01 00:00:00',2,4,12,2007,'F','N','CENTRO','STA MARIA','RS','120201201116571751347533595125610166097',20495,'9998',27.37,1,2,1),(25,6353061,'1993-04-08 00:00:00',4,1,10,2010,'F','N','JARDIM ELISA DOIS','FOZ IGUAÇU','PR','116162161215121431466614572122610163092',1219,'9998',72.34,1,3,NULL),(25,6353070,'1987-04-22 00:00:00',2,4,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241446574431468613441121223228185',NULL,'1060',0.00,1,3,NULL),(25,6353088,'1994-01-04 00:00:00',2,4,12,2010,'F','N','CENTRO','PLANALTO','RS','120201201117151431646511111112610137072',14020,'9998',40.70,1,2,1),(25,6353100,'1993-02-18 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371411579614575124610146092',3608,'1050',62.64,1,3,NULL),(25,6353118,'1994-01-29 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215121332357723572122610167057',16852,'724',40.85,1,3,NULL),(25,6353126,'1994-01-27 00:00:00',4,4,12,2010,'M','N','SÃO LUIZ','S MIGUEL OESTE','SC','124241242117131431349614575124610147017',13177,'758',40.44,1,2,1),(25,6353134,'1990-08-31 00:00:00',4,8,11,2010,'M','N','BOM RETIRO','JOINVILLE','SC','124244247435271331369932375112610162072',NULL,'9999',0.00,1,3,NULL),(25,6353142,'1992-09-10 00:00:00',4,1,12,2009,'M','N','FLORES','MANAUS','AM','104042041217271431269923575122141067052',NULL,'9998',0.00,3,3,NULL),(25,6353150,'1989-02-20 00:00:00',4,4,12,2006,'F','N','CENTRO','CASCAVEL','PR','116162161215574451267916575112610167072',NULL,'9998',29.75,1,3,NULL),(25,6353177,'1992-10-02 00:00:00',4,1,12,2009,'M','N','VILA FORMOSA','S PAULO','SP','125252251217471232464821574124610167042',5933,'9998',56.29,3,3,NULL),(25,6353185,'1992-04-09 00:00:00',4,8,12,2010,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161215471731469814575124610144042',NULL,'9998',0.00,1,3,NULL),(25,6353193,'1993-05-24 00:00:00',2,15,12,2010,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241116271431336833335122610137142',NULL,'29',18.78,1,2,1),(25,6353207,'1993-07-13 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241317141431435633345124610127042',NULL,'257',19.11,1,3,NULL),(25,6353215,'1985-03-07 00:00:00',4,1,5,2004,'M','N','SAO LOURENCO','CURITIBA','PR','128281288116161711158833575112610148012',NULL,'9998',0.00,3,3,NULL),(25,6353223,'1991-04-16 00:00:00',4,1,12,2008,'M','N','JARDIM LAR SÃO PAULO','S PAULO','SP','125254251217571431548934575124143224147',7100,'9998',53.69,1,3,NULL),(25,6353240,'1990-06-29 00:00:00',4,1,12,2007,'M','N','CENTRO','LONDRINA','PR','116161161216571731228819575125610162057',4494,'9998',60.34,1,3,NULL),(25,6353258,'1971-12-07 00:00:00',4,1,12,1990,'M','N','VILA NOVA','MAFRA','SC','224241241217152421366649392122610168057',NULL,'272',0.00,1,3,NULL),(25,6353266,'1994-04-12 00:00:00',4,15,12,2011,'F','S','COLONINHA','ARARANGUÁ','SC','124242241215111431458832575122610144132',NULL,'9997',25.54,1,3,NULL),(25,6353274,'1988-06-17 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124163241316474431359721575122221966092',8616,'1038',49.53,4,1,2),(25,6353282,'1992-10-16 00:00:00',4,1,12,2009,'F','N','MIRANTE DA COLÔNIA','JUNDIAÍ','SP','125252251212471431438834272122610137077',NULL,'9998',0.00,1,3,NULL),(25,6353290,'1993-12-10 00:00:00',4,1,11,2010,'M','N','RATONES','FLORIANÓPOLIS','SC','124242241217221431478919575112610124042',2894,'270',64.85,1,3,NULL),(25,6353312,'1993-07-06 00:00:00',2,2,11,2010,'M','N','TESTO SALTO','BLUMENAU','SC','124241241115111422436624582114610167157',15837,'88',37.15,1,2,1),(25,6353320,'1992-08-07 00:00:00',4,1,12,2010,'M','N','JD PACAEMBÚ','CAMPINAS','SP','125256251316151411548823475124610137077',10277,'9998',47.14,1,3,NULL),(25,6353347,'1981-10-21 00:00:00',2,2,12,1999,'F','N','SÃO LUIZ','BRUSQUE','SC','224242241216372421243354415122333261092',19246,'107',36.40,1,3,NULL),(25,6353355,'1993-01-23 00:00:00',4,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431346923575125610143092',8310,'1038',49.56,1,3,NULL),(25,6353363,'1993-04-11 00:00:00',2,6,12,2010,'F','N','PEDREIRAS','NAVEGANTES','SC','124244241215131431558814575124610146197',3349,'937',63.59,1,3,NULL),(25,6353371,'1992-01-20 00:00:00',4,1,7,2011,'F','S','CARIANOS','FLORIANÓPOLIS','SC','124241248115171431626611296124610133097',NULL,'306',40.70,1,3,NULL),(25,6353380,'1992-10-08 00:00:00',4,8,12,2010,'F','N','PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP','125251256217131431426614585124610122187',NULL,'9998',0.00,1,3,NULL),(25,6353398,'1985-09-30 00:00:00',2,1,12,2004,'M','N','PATRONATO','STA MARIA','RS','120203207447131721636621345123140222057',NULL,'9998',0.00,1,3,NULL),(25,6353401,'1993-02-27 00:00:00',4,1,12,2010,'F','N','VILA VERA CRUZ','APUCARANA','PR','116162161217111431478814375122610141042',4954,'9998',57.01,1,3,NULL),(25,6353410,'1971-12-07 00:00:00',4,1,12,1989,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124052251211113441143642425122321464092',NULL,'9998',27.17,1,3,NULL),(25,6353428,'1992-05-17 00:00:00',4,1,7,2010,'M','N','FZNDA DO RIO TAVARES','FLORIANÓPOLIS','SC','124243247227171411436624575124610127043',NULL,'9999',24.27,1,3,NULL),(25,6353436,'1992-04-05 00:00:00',4,3,11,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241335271431326531282124610145147',NULL,'406',0.00,1,3,NULL),(25,6353444,'1994-07-30 00:00:00',4,3,11,2010,'F','N','NOVA BRASÍLIA','BRUSQUE','SC','124242241215111421566532575112610117142',NULL,'109',22.16,1,3,NULL),(25,6353452,'1993-08-08 00:00:00',4,3,12,2010,'M','N','VILA CARVALHO','SOROCABA','SP','125252251216111321548811175125610134182',7978,'9998',50.23,1,3,NULL),(25,6353460,'1993-01-09 00:00:00',4,10,12,2010,'F','N','CENTRO','TUBARÃO','SC','124243241215111431438613435122610128092',NULL,'1120',35.76,1,3,NULL),(25,6353479,'1993-06-12 00:00:00',4,1,12,2010,'F','N','PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP','125254258217111431445419585124610147142',NULL,'9998',15.65,1,3,NULL),(25,6353487,'1993-08-01 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124241241115271131321823372125610167055',21203,'239',29.50,1,2,1),(25,6353495,'1991-04-25 00:00:00',4,1,12,2008,'F','N','JARDIM PALMEIRAS','S JOSÉ R PRETO','SP','125252251216573741469931495122610122097',3128,'9998',64.67,1,3,NULL),(25,6353509,'1994-01-20 00:00:00',4,3,10,2010,'M','N','CENTRO','TOMAZINA','PR','116162161214111431559831474112610167092',1631,'9998',69.13,1,3,NULL),(25,6353517,'1993-02-28 00:00:00',4,2,12,2010,'M','N','DOM JOAQUIM','BRUSQUE','SC','124242241317151431653463245121610157182',18997,'114',36.94,1,3,NULL),(25,6353533,'1993-02-26 00:00:00',2,8,12,2010,'M','N','PINHEIRINHO','RIO NEGRINHO','SC','124241242115111411436823575223610117017',18861,'24',32.65,1,2,1),(25,6353541,'1993-12-20 00:00:00',2,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111531226623575114610114041',9702,'1118',48.00,1,3,NULL),(25,6353568,'1991-07-18 00:00:00',2,1,12,2008,'F','N','SANTA TEREZA','PTO ALEGRE','RS','120202201216571431469913474122610112143',5466,'9998',57.40,1,3,NULL),(25,6353576,'1990-10-19 00:00:00',4,1,12,2008,'F','N','VILA SUZANA','S PAULO','SP','125252251217571431458512575124610165127',4966,'9998',57.96,1,3,NULL),(25,6353584,'1993-09-07 00:00:00',4,3,10,2010,'F','N','TROPICAL','CASCAVEL','PR','116162161236111431535812575122610134147',12781,'9998',42.49,4,3,NULL),(25,6353592,'1993-03-16 00:00:00',4,6,12,2010,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241215131731457913572122610128197',NULL,'389',30.56,1,3,NULL),(25,6353606,'1989-04-12 00:00:00',4,1,12,2006,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125162161217575431578916571122610167097',2390,'9998',64.76,1,3,NULL),(25,6353614,'1991-04-18 00:00:00',2,9,12,2008,'F','N','CINQUENTENÁRIO','CAXIAS SUL','RS','120202201215571431335719585114610117072',2360,'9998',66.54,1,3,NULL),(25,6353622,'1976-02-25 00:00:00',4,1,12,1994,'M','N','JARDIM PAULISTANO','SOROCABA','SP','125251251326372751234619285122343222147',2765,'9998',64.66,1,3,NULL),(25,6353630,'1992-02-04 00:00:00',2,1,12,2008,'F','N','BELA VISTA','S JOSÉ','SC','124244241216372411424611215122233224077',16578,'988',41.27,1,3,NULL),(25,6353649,'1990-11-26 00:00:00',4,15,12,2007,'F','N','RUI BARBOSA','MONTENEGRO','RS','120202201216572431577931575115142626092',1803,'9998',68.17,1,3,NULL),(25,6353657,'1992-03-27 00:00:00',4,1,12,2009,'F','N','JARDIM DO MAR','S BERNARDO CAMPO','SP','125252251216471432358914575114610132186',2556,'9998',65.77,1,3,NULL),(25,6353665,'1992-01-15 00:00:00',2,9,12,2008,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124242241216573431434412572225232464187',5702,'515',59.35,1,3,NULL),(25,6353681,'1993-05-07 00:00:00',4,1,11,2010,'M','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112122121235111411549931475112610166042',NULL,'9998',0.00,1,3,NULL),(25,6353690,'1993-06-30 00:00:00',4,10,12,2010,'F','N','CENTRO','RIO FORTUNA','SC','124241241127131531424933575112610134142',10975,'665',46.55,1,2,1),(25,6353703,'1992-07-10 00:00:00',4,3,12,2009,'M','N','JD BOA VISTA','IBIPORÃ','PR','116162161217471431558716575124610167186',1145,'9998',71.69,3,3,NULL),(25,6353720,'1990-04-19 00:00:00',4,1,11,2007,'M','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241214524531438951475115610127057',2315,'270',68.12,1,3,NULL),(25,6353738,'1992-10-11 00:00:00',4,1,12,2009,'M','N','CENTRO','MARINGÁ','PR','116162161215371431256823335122610137062',6195,'9998',57.04,1,3,NULL),(25,6353746,'1993-11-13 00:00:00',4,1,12,2011,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431358933575124610123147',NULL,'270',52.49,1,3,NULL),(25,6353754,'1994-09-22 00:00:00',4,7,11,2010,'F','N','CENTRO','IBICARÉ','SC','124244241217161431558819572122610122097',18730,'454',37.49,1,3,NULL),(25,6353762,'1993-05-28 00:00:00',2,4,12,2010,'M','N','BELA VISTA','MONDAÍ','SC','124243241135141221358932245122610127042',14316,'564',38.60,1,3,NULL),(25,6353770,'1991-09-05 00:00:00',2,1,11,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241216123211349629395124610164057',NULL,'269',29.81,1,3,NULL),(25,6353789,'1992-12-17 00:00:00',4,1,12,2009,'M','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124241241116131431541629585124610117142',NULL,'733',0.00,1,2,1),(25,6353797,'1994-02-22 00:00:00',2,1,12,2011,'F','S','ARIRIÚ','PALHOÇA','SC','124243241215111411433824571124610116142',NULL,'1011',28.86,1,3,NULL),(25,6353800,'1993-04-27 00:00:00',4,1,12,2010,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215171431548924445114610147042',12331,'262',44.46,1,3,NULL),(25,6353819,'1993-01-03 00:00:00',2,8,12,2010,'F','N','ATIRADORES','JOINVILLE','SC','124242241215372431458632575122610166132',2710,'1063',64.61,4,3,NULL),(25,6353827,'1988-05-12 00:00:00',4,1,8,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124244247227151712569933575114610132197',NULL,'9999',12.53,1,3,NULL),(25,6353835,'1994-07-12 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241415271331558613575114610167127',10249,'1022',49.10,1,3,NULL),(25,6353843,'1993-03-06 00:00:00',2,1,12,2010,'F','N','SANTA TEREZINHA','ESTRELA D OESTE','SP','125253251216111431456634285124610114187',NULL,'9998',22.61,1,3,NULL),(25,6353851,'1987-12-10 00:00:00',2,1,12,2005,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124242241216575431448612272124230634147',6964,'1098',56.80,1,3,NULL),(25,6353860,'1993-10-21 00:00:00',4,2,11,2010,'F','N','NAÇÕES','TIMBÓ','SC','124241241417111431458823432122610154172',19104,'1157',36.74,1,3,NULL),(25,6353878,'1990-11-11 00:00:00',4,1,12,2007,'M','N','RESID AEROPORTO','MARINGÁ','PR','116161161216572431537621115112610125097',2284,'9998',68.23,1,3,NULL),(25,6353886,'1992-04-17 00:00:00',4,1,12,2009,'F','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125252251216471731469834572132610134187',NULL,'9998',0.00,1,3,NULL),(25,6353894,'1994-06-15 00:00:00',4,1,11,2011,'F','S','JURERÊ','FLORIANÓPOLIS','SC','124242241216111421438963295124610127052',NULL,'270',48.10,1,3,NULL),(25,6353916,'1991-05-29 00:00:00',2,3,12,2008,'F','N','VILA NOVA','ARAPONGAS','PR','116162161215571411548933575122610164092',7424,'9998',52.41,1,3,NULL),(25,6353924,'1993-03-17 00:00:00',2,1,12,2010,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124242241415141431548612345121610124063',20744,'1075',32.18,1,3,NULL),(25,6353932,'1993-12-14 00:00:00',4,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215111431558912575122610133072',7956,'262',54.89,4,3,NULL),(25,6353967,'1994-05-05 00:00:00',4,8,11,2011,'F','S','AMÉRICA','JOINVILLE','SC','124244241236171711339811445134610124112',NULL,'931',27.01,1,3,NULL),(25,6353975,'1991-12-04 00:00:00',2,1,12,2009,'F','N','CRISTO REDENTOR','PTO ALEGRE','RS','120204201216471431349611575124610144057',6425,'9998',55.80,1,3,NULL),(25,6353991,'1990-09-08 00:00:00',4,1,12,2008,'F','N','CH STO ANTONIO','S PAULO','SP','225252251217571751479814575122610167187',1924,'9998',68.70,1,3,NULL),(25,6354009,'1993-04-26 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241217221431348729495124610127067',7820,'299',52.41,1,3,NULL),(25,6354017,'1994-03-13 00:00:00',1,2,12,2011,'M','S','ÁGUA BRANCA','BLUMENAU','SC','124242241215131411648919375122610127177',NULL,'87',40.58,1,3,NULL),(25,6354025,'1993-08-11 00:00:00',2,1,11,2010,'F','N','JARDIM LANCASTER','FOZ IGUAÇU','PR','116242241215121531478831575112610147112',4199,'270',61.82,4,1,2),(25,6354033,'1993-10-23 00:00:00',4,1,12,2011,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124241241115111312346822585124610127095',NULL,'267',34.77,1,3,NULL),(25,6354041,'1970-09-21 00:00:00',2,10,12,1988,'F','N','IBIRAQUERA','IMBITUBA','SC','524201205216131421428873415121341841117',NULL,'9998',0.00,1,3,NULL),(25,6354050,'1985-11-30 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215474721338619375124320632147',40,'943',86.17,1,3,NULL),(25,6354068,'1991-07-23 00:00:00',4,1,12,2008,'M','N','LIBERDADE','S PAULO','SP','125252251216451711368813585122610165037',4881,'9998',58.07,1,3,NULL),(25,6354076,'1993-05-06 00:00:00',4,2,12,2010,'M','N','VILA NOVA','BLUMENAU','SC','124242241215271431558934575114610164142',14871,'855',39.03,1,3,NULL),(25,6354084,'1993-08-14 00:00:00',4,1,10,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241335111731336673575124610124057',NULL,'1077',27.76,1,3,NULL),(25,6354092,'1993-08-28 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471451479813575122610123015',8929,'270',49.67,1,3,NULL),(25,6354106,'1993-09-20 00:00:00',4,6,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431458812575122610114042',3390,'9997',63.72,1,3,NULL),(25,6354114,'1993-12-08 00:00:00',2,15,11,2010,'F','N','DIVINÉIA','ARARANGUÁ','SC','124242241215121431448912425122610144142',16794,'26',35.49,1,3,NULL),(25,6354122,'1989-12-09 00:00:00',4,8,12,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124282091316575751488716495122221464092',9933,'9998',49.27,1,3,NULL),(25,6354130,'1993-04-07 00:00:00',2,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431369813575122610114162',21175,'1133',30.21,1,3,NULL),(25,6354149,'1989-11-27 00:00:00',4,4,12,2006,'F','N','CENTRO','XAXIM','SC','124241241216574431438912575124610126182',3994,'185',61.08,1,3,NULL),(25,6354157,'1994-04-30 00:00:00',2,1,12,2010,'M','N','JARDIM JANAINA','BIGUAÇU','SC','124241241116271431425614245124610137142',9478,'257',49.08,1,2,1),(25,6354181,'1992-04-07 00:00:00',3,1,9,2010,'M','N','CENTRO','MATINHOS','PR','116162161417271442468713575111610134057',1209,'9998',71.34,1,3,NULL),(25,6354190,'1991-12-22 00:00:00',2,4,12,2008,'M','N','CENTRO','CAMPINA LAGOA','PR','116163161315471431536931575122610146052',14542,'9998',39.96,1,3,NULL),(25,6354203,'1986-05-14 00:00:00',2,1,8,2006,'M','N','CENTRO','BIGUAÇU','SC','124241247346171712126349395122610151187',NULL,'9999',13.54,1,3,NULL),(25,6354211,'1993-02-26 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241317111751459933574114610134187',3979,'270',63.34,1,3,NULL),(25,6354238,'1993-07-06 00:00:00',2,1,12,2010,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241115141431447714112114610122012',NULL,'733',21.47,1,2,1),(25,6354246,'1991-10-24 00:00:00',4,8,12,2009,'M','N','RIO COMPRIDO','JACAREÍ','SP','125252251215471531468811475122610147044',11771,'9998',44.45,1,3,NULL),(25,6354254,'1989-10-29 00:00:00',2,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241137372431113344346124610168187',16631,'257',41.19,1,2,1),(25,6354270,'1967-08-29 00:00:00',2,1,12,1993,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','224241247125574751362451192122421667032',12956,'9999',42.69,1,2,1),(25,6354289,'1994-03-03 00:00:00',4,4,12,2011,'F','S','CENTRO','CHAPECÓ','SC','124242241215111731489613375122610124142',NULL,'185',28.19,1,3,NULL),(25,6354297,'1991-03-08 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124201245145141411633529396124610124057',NULL,'307',0.00,1,2,1),(25,6354300,'1993-01-31 00:00:00',2,2,12,2010,'F','N','ASILO','BLUMENAU','SC','124241241116131431446933574124610121142',12903,'84',40.64,1,2,1),(25,6354319,'1965-09-19 00:00:00',2,1,12,1983,'F','N','BARREIROS','S JOSÉ','SC','224161164112112431343341312122122322197',18153,'9998',38.56,1,2,1),(25,6354327,'1993-07-04 00:00:00',4,10,12,2010,'F','N','ENCOSTA DO SOL','S LUDGERO','SC','124241241126141311534514131122610112143',NULL,'748',17.42,4,3,NULL),(25,6354335,'1987-01-23 00:00:00',2,5,12,2004,'F','N','CENTRO','PTO ALEGRE','RS','120161161216575431446813575124241327077',4368,'9998',58.74,1,3,NULL),(25,6354343,'1993-02-12 00:00:00',2,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431345923575112610162062',4660,'226',61.67,1,3,NULL),(25,6354351,'1993-12-22 00:00:00',2,16,12,2010,'M','N','APARECIDA','CURITIBANOS','SC','124241241115141332313119192215610132087',21648,'240',26.15,4,3,NULL),(25,6354360,'1994-06-24 00:00:00',4,1,12,2011,'M','S','BARREIROS','S JOSÉ','SC','124244241215111432466933576124610168182',NULL,'270',45.20,1,3,NULL),(25,6354378,'1992-10-19 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431348813475122610127047',19511,'262',35.80,1,3,NULL),(25,6354386,'1992-09-29 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241211412431344823385122610166047',14673,'270',44.19,1,3,NULL),(25,6354394,'1985-04-19 00:00:00',2,17,12,2003,'M','N','FAXINAL','MAFRA','SC','124241241116131421524319442113610126047',16200,'545',41.85,1,2,1),(25,6354408,'1993-02-09 00:00:00',2,1,12,2010,'F','N','VENDAVAL','BIGUAÇU','SC','124244241116111721356313575124610167052',NULL,'21',19.39,1,3,NULL),(25,6354416,'1992-12-16 00:00:00',2,1,12,2010,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215111711327767376124610114042',NULL,'1022',25.93,1,3,NULL),(25,6354424,'1993-08-09 00:00:00',4,2,12,2010,'F','N','BATEIA','GASPAR','SC','124241241217111721537823335122610124147',7995,'1137',51.04,1,3,NULL),(25,6354432,'1989-07-31 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136371431446632245134610167142',20493,'283',33.16,1,3,NULL),(25,6354440,'1992-08-07 00:00:00',4,1,12,2010,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241248116131421443923572224610167052',NULL,'129',40.71,4,2,1),(25,6354467,'1992-05-22 00:00:00',4,1,11,2010,'M','N','CENTRO','CASCAVEL','PR','116162161217121631357812474111610164182',18608,'9998',33.87,1,3,NULL),(25,6354475,'1990-08-06 00:00:00',4,1,12,2008,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125092091217572411469931575122610162012',10328,'9998',47.33,1,3,NULL),(25,6354483,'1985-03-17 00:00:00',2,1,12,2003,'M','N','SAVEIRO','BIGUAÇU','SC','224241241135131421224444145123610117042',NULL,'65',17.01,4,2,1),(25,6354491,'1992-10-05 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124201241215472431246813576124610113187',9381,'1022',49.40,1,3,NULL),(25,6354505,'1981-11-26 00:00:00',2,1,11,2001,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241111372431523314141124610127097',NULL,'293',29.65,1,3,NULL),(25,6354513,'1989-04-04 00:00:00',4,3,12,2006,'M','N','JARDIM JEQUITIBA','MARÍLIA','SP','125252251217473431658837375113610162052',7869,'9998',52.06,1,3,NULL),(25,6354521,'1992-04-25 00:00:00',4,1,11,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124241243411161411337612395112610167046',18986,'1061',32.75,1,3,NULL),(25,6354530,'1992-04-15 00:00:00',4,6,12,2009,'F','N','NAÇOES','BAL CAMBORIÚ','SC','124243241216473431438513475114610162037',14687,'389',39.05,1,3,NULL),(25,6354548,'1987-05-04 00:00:00',4,1,12,2004,'M','N','SÃO PEDRO','CARAZINHO','RS','120201201137151531336621245122340234047',7038,'9998',56.68,1,2,1),(25,6354556,'1993-11-16 00:00:00',4,8,12,2010,'M','N','PROGRESSO','S BENTO SUL','SC','124242241216111331468912222122610167042',2904,'1178',63.75,1,3,NULL),(25,6354564,'1993-08-09 00:00:00',4,8,11,2010,'F','N','SANTO INÁCIO','CURITIBA','PR','116162161216471432578933574122610132187',2503,'9998',66.05,1,3,NULL),(25,6354572,'1991-04-24 00:00:00',2,1,12,2008,'M','N','CENTRO','CONCÓRDIA','SC','124242248217142431338432392124231227122',NULL,'1047',0.00,1,3,NULL),(25,6354580,'1972-11-26 00:00:00',4,1,12,2001,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','624241247146273441326549293125223032047',NULL,'9999',0.00,2,1,1),(25,6354599,'1989-09-26 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241111213731427829295124610137142',20570,'1198',32.88,1,3,NULL),(25,6354602,'1993-04-12 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111441479813575122610127015',482,'168',77.58,1,3,NULL),(25,6354610,'1989-03-01 00:00:00',4,1,12,2006,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241215133431433524485124233267047',NULL,'1048',0.00,1,3,NULL),(25,6354629,'1992-05-11 00:00:00',2,1,12,2010,'M','N','FLORESTA','S JOSÉ','SC','124241246117131441536317346124610136177',12722,'306',47.04,1,2,1),(25,6354645,'1993-10-24 00:00:00',4,8,12,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241216111431366614275122610127042',10451,'424',46.56,1,3,NULL),(25,6354653,'1990-11-25 00:00:00',2,1,5,2008,'M','N','AREAL','PELOTAS','RS','120201201116571231433611595122610167147',NULL,'9998',44.99,1,2,1),(25,6354661,'1994-04-09 00:00:00',4,2,10,2010,'M','N','GARCIA','BLUMENAU','SC','124243241215112431568813272124610127142',4326,'855',60.99,1,3,NULL),(25,6354670,'1991-01-01 00:00:00',2,1,12,2008,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','120161201117571732538919492112610134045',NULL,'9998',0.00,1,2,1),(25,6354688,'1993-12-15 00:00:00',2,5,11,2010,'F','N','CENTRO','COCAL SUL','SC','124242241215371731559632575112610135196',19936,'213',29.56,1,3,NULL),(25,6354700,'1983-03-04 00:00:00',2,1,12,2000,'F','N','BARREIROS','S JOSÉ','SC','224241241116274711235654445134610164182',NULL,'65',31.94,1,2,1),(25,6354718,'1992-05-17 00:00:00',4,1,12,2009,'F','N','EMBARE','SANTOS','SP','125252251217471432459613575125140222042',417,'9998',78.00,1,3,NULL),(25,6354726,'1989-06-23 00:00:00',2,8,12,2006,'F','N','FLORESTA','JOINVILLE','SC','124241241116271431326724485124610126182',NULL,'791',35.99,1,3,NULL),(25,6354734,'1992-04-16 00:00:00',4,3,12,2009,'M','N','CENTRO','ASSIS','SP','125252251211471431437831595124610147053',8741,'9998',49.18,1,3,NULL),(25,6354742,'1981-08-24 00:00:00',5,1,11,1999,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','224242241211153421233641415124333261097',9703,'211',51.86,1,3,NULL),(25,6354750,'1991-06-04 00:00:00',4,8,12,2008,'M','N','AEROPORTO','MARINGÁ','PR','116162161215473431459912492122610167122',3858,'9998',62.60,1,3,NULL),(25,6354777,'1993-08-18 00:00:00',4,9,12,2010,'F','N','VILA NOVA','LAGES','SC','124241241115271431326824571324610122147',9340,'935',49.94,1,3,NULL),(25,6354785,'1991-09-03 00:00:00',4,1,12,2008,'M','N','AREIAS','S JOSÉ','SC','124242241217333411428833345122233217052',NULL,'976',32.24,1,3,NULL),(25,6354793,'1989-03-11 00:00:00',4,1,12,2006,'M','N','BOQUEIRÃO','CURITIBA','PR','116144161215571431238679575124141364187',3017,'9998',65.88,1,3,NULL),(25,6354807,'1991-09-08 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241115371232435611345124610117115',21476,'307',28.16,1,3,NULL),(25,6354815,'1991-10-23 00:00:00',2,8,12,2008,'M','N','TRÊS RIOS DO NORTE','JARAGUÁ SUL','SC','124241241146331431323314245124610127187',NULL,'425',17.62,1,2,1),(25,6354823,'1993-12-29 00:00:00',2,1,12,2010,'F','N','SOROCABA DE DENTRO','BIGUAÇU','SC','124241241117141411333315345124610114197',NULL,'65',0.00,1,2,1),(25,6354831,'1992-02-13 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216352721338933395125233263012',18505,'1022',37.92,1,3,NULL),(25,6354840,'1992-04-30 00:00:00',2,17,12,2009,'F','N','FAXINAL','MAFRA','SC','124241241115362431547933575124610137017',20105,'542',28.54,1,3,NULL),(25,6354858,'1993-10-29 00:00:00',1,1,12,2011,'M','S','SANTA MONICA','FLORIANÓPOLIS','SC','124241241117151751588813575121610114095',NULL,'267',35.97,1,3,NULL),(25,6354866,'1990-03-02 00:00:00',4,8,10,2007,'F','N','CENTRO CÍVICO','CURITIBA','PR','116162161215572431458714471124142644182',4038,'9998',61.07,1,3,NULL),(25,6354882,'1992-11-25 00:00:00',4,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215473731225923595124610124187',7303,'1011',56.18,1,3,NULL),(25,6354890,'1993-05-20 00:00:00',2,1,12,2010,'F','N','CENTRO','NOVA TRENTO','SC','124241241137141731436431315122610138142',NULL,'574',18.33,1,2,1),(25,6354904,'1988-05-29 00:00:00',4,1,12,2005,'M','N','CENTRO','LONDRINA','PR','116161161417571431458872575121142664047',1427,'9998',71.66,1,3,NULL),(25,6354912,'1994-10-10 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241212111431336823575124610112185',13771,'1134',45.53,1,3,NULL),(25,6354920,'1990-07-21 00:00:00',4,16,12,2009,'M','N','CENTRO','CURITIBANOS','SC','124241241125141231423311446331610167057',NULL,'239',17.79,2,2,1),(25,6354939,'1993-02-24 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241217111431558831576124610127157',2694,'883',65.60,1,3,NULL),(25,6354947,'1993-02-15 00:00:00',2,1,12,2010,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241111141431536611242134610137063',NULL,'288',0.00,1,2,1),(25,6354955,'1994-12-18 00:00:00',4,1,12,2010,'F','N','AREIAS DE MACACU','GAROPABA','SC','124241241126131431424312575122610126092',NULL,'322',10.17,1,2,1),(25,6354963,'1993-11-27 00:00:00',4,4,12,2010,'M','N','FÁTIMA','ERECHIM','RS','120202201213111552446732417112610164197',NULL,'9998',29.63,4,3,NULL),(25,6354971,'1992-10-06 00:00:00',2,4,12,2009,'M','N','INTERIOR','CAIÇARA','RS','120201201116111431119945255124610126057',8099,'9998',50.68,1,2,1),(25,6354980,'1992-06-14 00:00:00',2,1,12,2009,'M','N','PONDE DO IMARUIM','PALHOÇA','SC','124244241112152731433923572124133267092',17767,'772',36.37,1,3,NULL),(25,6354998,'1991-09-26 00:00:00',5,1,11,2008,'F','N','PERDIZES','S PAULO','SP','125252251214571411369931474122610168077',NULL,'9998',0.00,1,3,NULL),(25,6355005,'1994-03-28 00:00:00',4,1,12,2011,'M','S','KOBRASOL','S JOSÉ','SC','624242248215111431466619576124610138052',NULL,'270',49.25,1,3,NULL),(25,6355013,'1993-04-27 00:00:00',4,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241115131431323623292124610137142',NULL,'307',24.41,1,3,NULL),(25,6355021,'1993-05-04 00:00:00',4,6,12,2010,'M','N','BNH SEGUNDO PLANO','DOURADOS','MS','112122121235151231636729595122610167057',5506,'9998',57.05,1,3,NULL),(25,6355030,'1992-09-08 00:00:00',2,1,12,2009,'M','N','CENTRO','BIGUAÇU','SC','124242241215372431537933375124610164112',8939,'1118',50.90,1,3,NULL),(25,6355048,'1990-09-01 00:00:00',4,8,12,2008,'F','N','FÁTIMA','JOINVILLE','SC','124243241116271411438614445134131446147',17021,'478',35.00,1,3,NULL),(25,6355056,'1992-11-01 00:00:00',2,1,12,2009,'F','N','BELA VISTA I','S JOSÉ','SC','124241241115272431437613245124610164142',16445,'257',37.97,1,2,1),(25,6355064,'1992-12-06 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124112241215372431469831592124131024142',3555,'270',63.21,1,3,NULL),(25,6355072,'1992-05-16 00:00:00',1,1,12,2010,'F','N','HIDRÁULICA','LAJEADO','RS','120202201215371711479619496122610124056',4402,'9998',59.21,1,3,NULL),(25,6355080,'1993-03-23 00:00:00',2,10,11,2010,'F','N','NOSSA SRA DE FÁTIMA','BRAÇO NORTE','SC','124241241217142431354823344122610144092',3951,'102',60.76,1,3,NULL),(25,6355099,'1992-05-04 00:00:00',2,15,12,2010,'M','N','CENTRO','BAL ARROIO SILVA','SC','124243241335141431426654141134610153142',NULL,'29',0.00,1,3,NULL),(25,6355102,'1989-07-16 00:00:00',4,1,12,2008,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241147272431426923385124133214047',NULL,'296',18.14,1,2,1),(25,6355110,'1991-04-10 00:00:00',4,2,12,2010,'M','N','AGUAS CLARAS','BRUSQUE','SC','124241241137271121325614382311610167067',21299,'1019',29.45,1,2,1),(25,6355129,'1992-03-05 00:00:00',4,1,11,2009,'F','N','JARDIM PAULISTA','RIBEIRÃO PRETO','SP','125252251215271331438833572123610126142',NULL,'9998',0.00,1,3,NULL),(25,6355137,'1988-02-15 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215575711436834572124232466092',NULL,'270',46.57,1,3,NULL),(25,6355145,'1969-03-06 00:00:00',4,15,6,1989,'M','N','CENTRO','ARARANGUÁ','SC','224241242116133421433342425132330714093',NULL,'129',0.00,1,3,NULL),(25,6355153,'1993-06-21 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122231356823575122610127067',6144,'270',55.86,1,3,NULL),(25,6355161,'1992-04-05 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124244241212112431349721575122223262092',14084,'270',38.99,4,1,2),(25,6355170,'1993-08-07 00:00:00',2,1,12,2010,'F','N','BOA VISTA','CURITIBA','PR','116163161215121411236821272124610161187',2633,'9998',65.68,1,3,NULL),(25,6355188,'1993-04-06 00:00:00',2,7,12,2010,'F','N','CENTRO','IPIRA','SC','124241241111161431438613392122610138147',17774,'369',33.64,1,2,1),(25,6355196,'1993-06-05 00:00:00',4,7,12,2010,'M','N','CENTRO','VIDEIRA','SC','624242246227111431356611572122610166122',10824,'1080',49.96,1,3,NULL),(25,6355200,'1990-03-27 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216575431238813575124221428172',NULL,'270',0.00,1,3,NULL),(25,6355218,'1993-04-09 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215171731246613595114610134047',20362,'1022',26.85,4,3,NULL),(25,6355226,'1993-04-05 00:00:00',4,6,12,2010,'M','N','CIDADE NOVA','ITAJAÍ','SC','124241246115141411435614245131610132142',NULL,'395',0.00,1,2,1),(25,6355234,'1989-01-03 00:00:00',2,1,12,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241137133411433613345134610122187',19004,'307',36.93,1,2,1),(25,6355242,'1989-11-17 00:00:00',2,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124241241235374431466614442132610124067',13607,'262',45.77,1,3,NULL),(25,6355250,'1993-08-31 00:00:00',2,8,12,2010,'F','N','AGUA VERDE','JARAGUÁ SUL','SC','124241241116151431526834575124610118197',NULL,'425',15.22,1,2,1),(25,6355269,'1990-12-01 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241126231741113314245324610124047',NULL,'199',0.00,1,3,NULL),(25,6355277,'1993-04-10 00:00:00',4,4,12,2010,'F','N','CENTRO','S JOÃO OESTE','SC','124241241125161431336933385121610135177',17342,'715',33.03,1,2,1),(25,6355285,'1993-06-15 00:00:00',2,8,12,2010,'F','N','IRIRIU','JOINVILLE','SC','124244241215371432455934345124610164077',21650,'462',26.13,1,3,NULL),(25,6355293,'1992-05-06 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216143711289914345112221114041',9547,'262',52.15,1,3,NULL),(25,6355307,'1993-06-09 00:00:00',2,1,11,2010,'M','N','CENTRO','PALHOÇA','SC','124242241215111431436633576124610137057',16082,'1022',38.80,1,3,NULL),(25,6355315,'1991-10-21 00:00:00',2,1,12,2008,'F','N','AEROPORTO','MARINGÁ','PR','116161161215472431547632195112610162192',NULL,'9998',0.00,1,3,NULL),(25,6355323,'1993-05-28 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215121431537514575122610142142',6235,'723',56.42,1,3,NULL),(25,6355331,'1992-10-20 00:00:00',2,9,12,2009,'M','N','CENTRO','LAURENTINO','SC','124242241215371431436632275112610157052',12061,'959',48.04,1,3,NULL),(25,6355340,'1992-11-18 00:00:00',4,1,12,2009,'M','N','BELA VISTA','GASPAR','SC','124241241125131411543613285124231926047',20951,'954',31.29,1,2,1),(25,6355358,'1992-12-22 00:00:00',4,4,12,2009,'M','N','IPIRANGA','MARMELEIRO','PR','116162161315472431356611575122610134142',5983,'9998',56.88,3,3,NULL),(25,6355366,'1993-11-23 00:00:00',2,1,11,2010,'M','N','MORRO ALTO','GUARAPUAVA','PR','116164168216371331478834375122610167061',NULL,'9998',0.00,1,3,NULL),(25,6355374,'1990-09-15 00:00:00',4,9,12,2007,'M','N','POPULAR','LAGES','SC','124241241116352431226624475114610164147',11364,'935',45.07,1,2,1),(25,6355382,'1992-04-14 00:00:00',4,1,6,2010,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124222281415371711358816465114610168042',20426,'9998',33.37,4,3,NULL),(25,6355390,'1989-03-09 00:00:00',4,8,12,2006,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241115371332435311285122230742097',18371,'492',38.16,1,3,NULL),(25,6355404,'1991-05-08 00:00:00',2,7,12,2009,'F','N','CENTRO','HERVAL D OESTE','SC','124241243146371431337634342122610134197',15133,'341',38.83,1,2,1),(25,6355412,'1981-10-27 00:00:00',4,1,12,2000,'M','N','PRAIA JOAO ROSA','BIGUAÇU','SC','124243247136131431643319145122610127057',NULL,'9999',20.00,1,3,NULL),(25,6355420,'1992-01-09 00:00:00',2,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124202241215111411226611472114610137142',19299,'270',36.28,1,3,NULL),(25,6355439,'1990-10-17 00:00:00',2,1,12,2009,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241137131431521623282114610163147',NULL,'9999',0.00,1,2,1),(25,6355447,'1987-06-14 00:00:00',2,1,12,2005,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124251251117131141326741315121610135117',19070,'9998',36.80,2,1,1),(25,6355455,'1987-10-01 00:00:00',2,1,12,2006,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241112515731553623572114233216197',NULL,'257',25.55,1,2,1),(25,6355463,'1981-04-23 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216143431548612442132121427042',NULL,'269',44.32,1,3,NULL),(25,6355471,'1986-10-08 00:00:00',4,1,12,2004,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124241241127132711558814445124230233091',NULL,'307',33.93,1,2,1),(25,6355480,'1991-09-29 00:00:00',2,1,12,2008,'F','N','ALTO BIGUAÇU','BIGUAÇU','SC','124243244117141411438433575124232532197',NULL,'65',28.34,1,3,NULL),(25,6355498,'1985-03-23 00:00:00',2,9,12,2002,'F','N','CORAL','LAGES','SC','124241241116134731433429242124322231197',12362,'512',47.59,1,2,1),(25,6355501,'1992-09-16 00:00:00',2,4,12,2009,'M','N','SANTO ANTONIO','JOINVILLE','SC','124074241415112231346821585124231417042',NULL,'185',0.00,3,3,NULL),(25,6355510,'1992-04-10 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201201117371431346663595124610127017',NULL,'9998',27.90,1,2,1),(25,6355528,'1993-12-01 00:00:00',4,4,12,2010,'F','N','PROGRESSO','S LOURENÇO OESTE','SC','124241241116141531436634245122610164187',NULL,'169',18.47,1,2,1),(25,6355544,'1987-05-31 00:00:00',2,3,12,2004,'M','N','VILA RICA','FELIZ','RS','120201201117131421446313345124243222097',NULL,'9998',22.33,1,2,1),(25,6355552,'1993-01-11 00:00:00',2,15,12,2010,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241115371431346339295122610136052',NULL,'29',24.94,1,3,NULL),(25,6355560,'1993-06-23 00:00:00',4,1,12,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241248117151731443439572124610147045',NULL,'307',21.35,2,1,1),(25,6355579,'1992-12-03 00:00:00',2,2,11,2010,'F','N','CENTRO','BRUSQUE','SC','124242241215471411458932272122610128122',6219,'107',55.44,1,3,NULL),(25,6355587,'1993-05-30 00:00:00',4,1,12,2010,'M','N','ORIÇÓ','GRAVATAÍ','RS','120202201217271431439814385122610134017',17149,'9998',38.27,1,3,NULL),(25,6355609,'1993-08-15 00:00:00',4,1,12,2011,'F','S','IPIRANGA','S JOSÉ','SC','124244248435131732546633585124610118112',NULL,'868',27.87,1,3,NULL),(25,6355617,'1990-05-20 00:00:00',2,3,12,2007,'F','N','PORTÃO','CURITIBA','PR','116162161216473441449814575122610161072',18733,'9998',37.49,1,3,NULL),(25,6355625,'1990-11-04 00:00:00',2,3,12,2007,'F','N','SANTO ANTONIO','CURITIBANOS','SC','124242241215572431456612575125610114182',1376,'881',71.51,1,3,NULL),(25,6355633,'1994-05-09 00:00:00',4,4,12,2011,'F','S','CENTRO','XANXERÊ','SC','124242248217111731469919575122610143142',NULL,'836',31.08,1,3,NULL),(25,6355641,'1991-06-28 00:00:00',4,1,12,2008,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241216373431376633575122233221182',3828,'270',63.75,1,3,NULL),(25,6355650,'1994-04-16 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151531463632572122610118012',20653,'262',32.56,1,3,NULL),(25,6355668,'1993-03-01 00:00:00',2,1,12,2010,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241111271431533319582124610167147',14040,'307',44.93,1,2,1),(25,6355676,'1989-07-01 00:00:00',2,1,12,2006,'F','N','CENTRO','STA MARIA','RS','120201201116471431434711575125141532182',2523,'9998',65.23,1,2,1),(25,6355706,'1993-05-12 00:00:00',4,1,12,2010,'F','N','TRINTA RÉIS','NOVA TRENTO','SC','124241241147131731432324345122610136197',20708,'574',32.34,1,2,1),(25,6355714,'1988-06-04 00:00:00',2,1,7,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241316154421454652335114610117042',18327,'9999',38.23,1,3,NULL),(25,6355722,'1988-02-27 00:00:00',4,1,12,2005,'M','N','VILA FORMOSA','BOTUCATU','SP','125251251136571431447613211123610127057',NULL,'9998',33.83,4,2,1),(25,6355749,'1993-03-31 00:00:00',2,4,12,2010,'F','N','SANTA MARIA','CHAPECÓ','SC','124241241115371431413312572222610123147',NULL,'176',0.00,4,2,1),(25,6355757,'1994-04-11 00:00:00',2,1,11,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431449814575122610132143',5966,'270',56.47,1,3,NULL),(25,6355765,'1993-03-22 00:00:00',2,4,12,2010,'M','N','UNIVERSITÁRIO','CHAPECÓ','SC','124243241215371431368912575122610137052',16917,'185',34.43,1,3,NULL),(25,6355773,'1990-02-19 00:00:00',2,1,12,2007,'F','N','NOSSA SR DO ROSÁRIO','S JOSÉ','SC','124241241136274731453633245124231465097',18140,'307',38.58,1,2,1),(25,6355781,'1991-05-09 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241111573731323679475124610114047',20255,'257',30.01,1,2,1),(25,6355790,'1994-08-14 00:00:00',4,1,12,2011,'F','S','CAMPINAS','S JOSÉ','SC','124242241212111731659924575112613261146',NULL,'737',46.37,1,3,NULL),(25,6355811,'1993-05-14 00:00:00',4,4,12,2010,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124244241137271431558934575122610167052',NULL,'169',32.14,1,3,NULL),(25,6355820,'1993-11-12 00:00:00',2,1,12,2010,'M','N','JD CIDADE DE FPOLIS','S JOSÉ','SC','124242241215131751346524395112610168187',18822,'724',37.31,1,3,NULL),(25,6355838,'1993-02-15 00:00:00',2,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161214471711556612575125610165142',10704,'9998',48.10,1,3,NULL),(25,6355846,'1994-11-23 00:00:00',2,15,12,2010,'F','N','JARDIM NICOLAU','JACINTO MACHADO','SC','124243241215122411653611475124610137147',8223,'970',51.69,1,3,NULL),(25,6355854,'1993-12-31 00:00:00',4,1,11,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111432457632575112610124042',NULL,'270',42.59,1,3,NULL),(25,6355862,'1992-01-29 00:00:00',4,4,12,2008,'M','N','CENTRO','STA MARIA','RS','120201201114571231336634575115610164057',NULL,'9998',20.12,1,2,1),(25,6355870,'1992-06-03 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241244212132431425627472124232537022',19748,'1022',35.27,1,3,NULL),(25,6355889,'1993-05-29 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124244241417231711326628345124610114072',18286,'9997',34.33,1,3,NULL),(25,6355897,'1967-04-15 00:00:00',4,1,7,1991,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','624243241226131431443341115112610124067',19656,'272',35.45,1,3,NULL),(25,6355900,'1991-01-10 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241126143731438314445124610137052',NULL,'307',0.00,1,3,NULL),(25,6355927,'1987-10-27 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251131416575431116541211124122224097',6077,'9998',56.12,1,3,NULL),(25,6355935,'1992-04-22 00:00:00',2,1,12,2009,'F','N','NATIVIDADE','STO AMARO IMPERATRIZ','SC','124241241117272451334621575124610136077',17799,'772',34.30,1,2,1),(25,6355943,'1991-07-08 00:00:00',2,6,12,2008,'F','N','CENTRO','ITAJAÍ','SC','124242241215474431453832372125130662077',6258,'1026',56.46,4,3,NULL),(25,6355951,'1964-06-25 00:00:00',5,1,12,1983,'F','N','PANTANAL','FLORIANÓPOLIS','SC','524042044212132421524344445124140231127',NULL,'9998',32.00,4,3,NULL),(25,6355960,'1990-08-15 00:00:00',2,1,12,2008,'M','N','CENTRO','VIDAL RAMOS','SC','124241242115131411536373491124230367052',NULL,'662',19.96,1,2,1),(25,6355978,'1993-06-07 00:00:00',2,6,12,2010,'M','N','SÃO VICENTE','ITAJAÍ','SC','124241241114271431334619145124610122092',18417,'395',32.29,1,2,1),(25,6355986,'1992-11-11 00:00:00',4,8,12,2009,'F','N','CENTRO','SCHROEDER','SC','124241241126471431446424342124610137043',NULL,'762',22.62,1,3,NULL),(25,6355994,'1990-11-12 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215274422456823442114610127062',8923,'273',53.19,1,3,NULL),(25,6356001,'1994-02-25 00:00:00',4,3,11,2010,'F','N','CENTRO','SORRISO','MT','111112113215111631366632572122610143142',NULL,'9998',24.48,1,3,NULL),(25,6356010,'1986-11-12 00:00:00',2,10,12,2004,'F','N','CENTRO','TUBARÃO','SC','124241241116473731436634475124131364182',8981,'1034',50.26,1,2,1),(25,6356036,'1969-07-02 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','224243241426131431433331412132611162167',21496,'270',27.99,1,3,NULL),(25,6356044,'1988-05-24 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124171177125273431312249193334610137182',NULL,'9998',23.32,3,2,1),(25,6356052,'1992-03-21 00:00:00',2,1,11,2009,'F','N','VENDAVAL','BIGUAÇU','SC','124241241115272211436623242334610114147',NULL,'257',36.87,1,2,1),(25,6356060,'1990-01-06 00:00:00',2,1,12,2007,'F','N','SAO JOAO DO RIO VERM','FLORIANÓPOLIS','SC','124241241135273531228479472114220967057',NULL,'274',0.00,2,1,1),(25,6356079,'1992-05-19 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215473431346613372114130227182',9498,'738',49.44,1,3,NULL),(25,6356087,'1993-10-18 00:00:00',2,2,12,2010,'F','N','GLÓRIA','BLUMENAU','SC','124241241115371411525634575124610162192',NULL,'76',0.00,1,2,1),(25,6356095,'1994-03-29 00:00:00',4,1,11,2010,'F','N','CENTRO','GUARAPUAVA','PR','116162161217121431458513575122610123097',NULL,'9998',0.00,1,3,NULL),(25,6356109,'1993-04-24 00:00:00',4,1,12,2010,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161216121411438832575122610132187',NULL,'9998',0.00,1,3,NULL),(25,6356117,'1993-01-26 00:00:00',4,10,11,2010,'F','N','CENTRO','S MARTINHO','SC','124241241216131431557713475124610168192',NULL,'1120',21.44,1,3,NULL),(25,6356125,'1974-01-25 00:00:00',2,1,12,1990,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','224243201116153721548643335124121568187',12197,'9998',47.84,1,3,NULL),(25,6356133,'1991-10-22 00:00:00',2,4,12,2008,'F','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124243241214572431348823572122610127077',4972,'185',59.41,1,3,NULL),(25,6356150,'1993-01-26 00:00:00',2,1,12,2010,'M','N','CENTRO','PRES GETÚLIO','SC','124241241127141431444412345121610127042',NULL,'644',0.00,1,2,1),(25,6356168,'1991-04-30 00:00:00',4,1,12,1991,'F','N','KOBRASOL','S JOSÉ','SC','124243241217272221426619442124610162147',16386,'737',41.59,1,3,NULL),(25,6356176,'1988-03-30 00:00:00',2,1,12,2006,'F','N','RIO GRANDE','PALHOÇA','SC','124241241121133431436373345114610136017',NULL,'591',0.00,1,2,1),(25,6356184,'1990-02-08 00:00:00',4,1,12,2007,'M','N','JARDIM PARAISO','BOTUCATU','SP','125252251216573431468923571125610137052',363,'9998',78.81,1,3,NULL),(25,6356206,'1991-01-23 00:00:00',4,1,12,2009,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241215572431559813375122610162143',5683,'9997',59.38,1,3,NULL),(25,6356214,'1990-10-22 00:00:00',4,3,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216141431228824446121132835127',NULL,'9997',0.00,1,3,NULL),(25,6356222,'1991-05-27 00:00:00',4,3,11,2008,'F','N','CENTRO','CASCAVEL','PR','116163161216572431446923575122610167142',NULL,'9998',0.00,1,3,NULL),(25,6356230,'1993-07-07 00:00:00',4,5,11,2010,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241211274431369933591125610131116',11315,'213',43.23,1,3,NULL),(25,6356249,'1993-03-16 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241115371711425624295124610132097',16845,'734',34.93,1,2,1),(25,6356265,'1994-04-30 00:00:00',2,1,12,2011,'F','S','JURERÊ','FLORIANÓPOLIS','SC','124241241217111731368923575122610122187',NULL,'1048',42.00,1,3,NULL),(25,6356273,'1993-03-04 00:00:00',4,10,12,2010,'F','N','CENTRO','RIO FORTUNA','SC','124241241127131431536636112122610126057',NULL,'665',19.52,1,2,1),(25,6356281,'1990-08-14 00:00:00',2,1,12,2007,'M','N','CENTRO','PTO ALEGRE','RS','120162161116572731256614572114610137047',9576,'9998',49.56,1,3,NULL),(25,6356290,'1964-08-25 00:00:00',4,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','224241245126154431423354372124610166147',NULL,'307',18.63,1,3,NULL),(25,6356303,'1990-11-08 00:00:00',2,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241417152731437839485122610117112',19066,'1022',36.81,1,3,NULL),(25,6356311,'1990-09-04 00:00:00',2,1,7,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241247331141431433334235123610127097',NULL,'9999',31.92,3,3,NULL),(25,6356320,'1986-03-26 00:00:00',4,1,12,2004,'M','N','FABRICIO','STO AMARO IMPERATRIZ','SC','124241241126271421325674382124610134177',NULL,'772',0.00,4,2,1),(25,6356338,'1992-03-21 00:00:00',2,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115271231626711275124610127043',13761,'307',41.34,1,2,1),(25,6356346,'1993-04-13 00:00:00',2,5,11,2010,'F','N','CENTRO','NOVA VENEZA','SC','624243248215211532346939594124610163071',12402,'213',43.30,1,3,NULL),(25,6356354,'1993-04-28 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215372431356629335124610164092',17683,'1010',39.43,1,3,NULL),(25,6356362,'1992-10-08 00:00:00',2,1,12,2009,'F','N','CENTRO','MARINGÁ','PR','116162161216471441357934575124610133157',NULL,'9998',0.00,1,3,NULL),(25,6356370,'1991-06-27 00:00:00',4,4,12,2008,'F','N','ZONA VI','UMUARAMA','PR','116161161315571431548632572122610163147',15991,'9998',36.84,4,3,NULL),(25,6356389,'1990-11-07 00:00:00',2,1,7,2008,'F','N','PACHECOS','PALHOÇA','SC','124243241117373431456923345124133223147',10552,'306',47.28,1,3,NULL),(25,6356397,'1991-04-13 00:00:00',2,1,11,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241122274411316679285124610113157',16078,'288',36.75,1,2,1),(25,6356400,'1991-04-22 00:00:00',2,1,12,2009,'M','N','CENTRO','S JOSÉ','SC','124243241116472431636614445124610114187',NULL,'733',18.97,1,3,NULL),(25,6356419,'1994-05-30 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124232241215151731358614572122610127047',NULL,'1169',24.93,1,3,NULL),(25,6356427,'1993-03-22 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124243241215131431235624472124610114092',NULL,'724',22.45,1,3,NULL),(25,6356435,'1993-11-01 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215111431436313272124610133072',14200,'269',39.72,1,3,NULL),(25,6356443,'1992-09-22 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431488821575112610168052',18556,'270',37.85,1,3,NULL),(25,6356451,'1988-04-25 00:00:00',2,1,12,2005,'F','N','CENTRO','APUCARANA','PR','116162161216572731347739575112610168147',NULL,'9998',30.33,1,3,NULL),(25,6356460,'1992-09-21 00:00:00',4,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241215473431248923575122610114192',6871,'1026',53.20,1,3,NULL),(25,6356486,'1994-05-31 00:00:00',2,1,12,2010,'F','N','BARREIRROS','S JOSÉ','SC','124243241115111731445312575122610123142',18572,'738',37.82,1,3,NULL),(25,6356494,'1993-12-20 00:00:00',2,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241115151431544631575112610167047',20074,'307',29.29,1,2,1),(25,6356508,'1985-02-17 00:00:00',4,1,12,2002,'M','N','NOSSA SR DO ROSÁRIO','S JOSÉ','SC','124241241136375431453633235134330262033',16645,'729',41.17,1,2,1),(25,6356516,'1992-05-31 00:00:00',2,9,12,2010,'F','N','CORAL','LAGES','SC','124241241117131132433429572114610132077',NULL,'505',28.76,1,2,1),(25,6356524,'1974-04-12 00:00:00',4,8,12,1991,'M','N','ZONA SEIS','MARINGÁ','PR','116162161136573431369919392115321244092',1938,'9998',68.27,1,3,NULL),(25,6356532,'1990-09-24 00:00:00',2,4,12,2007,'F','N','CENTRO','S MIGUEL OESTE','SC','120241241216572431348911575125610166152',966,'751',72.72,1,3,NULL),(25,6356540,'1993-04-17 00:00:00',4,16,11,2010,'M','N','CENTRO','CURITIBANOS','SC','124241241236111731436612175122610168047',15353,'237',39.02,1,3,NULL),(25,6356559,'1993-08-22 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241241217112441269814535114610164172',2947,'270',66.07,1,3,NULL),(25,6356567,'1988-10-19 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124161241416114321119519572145221043163',582,'633',76.31,4,3,NULL),(25,6356583,'1993-10-27 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241237121411236824185121610125042',9401,'1118',50.03,1,3,NULL),(25,6356591,'1961-07-22 00:00:00',4,1,12,1978,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','624253258117471441526344245124141134092',5209,'9998',60.40,1,3,NULL),(25,6356605,'1990-08-24 00:00:00',4,1,12,2007,'F','N','CENTRO','MOGI CRUZES','SP','125252251217572751458811491114610164147',10506,'9998',45.58,1,3,NULL),(25,6356613,'1982-01-10 00:00:00',4,1,12,1999,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117155631335549495122322622097',7402,'293',55.96,1,2,1),(25,6356621,'1993-11-10 00:00:00',2,10,12,2010,'M','N','PROGRESSO','LAGUNA','SC','124241241415131431437933575121610132037',21657,'521',26.03,1,3,NULL),(25,6356630,'1984-10-01 00:00:00',2,4,12,2001,'M','N','JARDIM','S JOSÉ CEDRO','SC','124241241117275731336429342222122624047',2419,'740',65.14,1,2,1),(25,6356656,'1992-06-27 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241241115271431326624575124610162042',18309,'739',35.16,5,2,1),(25,6356672,'1990-11-07 00:00:00',2,10,11,2007,'M','N','VILA NOVA','IMBITUBA','SC','124241241116272131526614245134610162047',13341,'359',42.13,4,2,1),(25,6356680,'1993-12-14 00:00:00',2,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241217111731356953595124610137185',10245,'1118',50.23,1,3,NULL),(25,6356702,'1991-04-29 00:00:00',4,4,12,2008,'M','N','COUNTRY','CASCAVEL','PR','116162161215522431558819572112610167067',1788,'9998',68.96,1,3,NULL),(25,6356729,'1991-09-18 00:00:00',4,1,12,2009,'M','N','JD PAULISTA','S JOSÉ CAMPOS','SP','125251251217272432456614475121121232016',2647,'9998',63.02,1,3,NULL),(25,6356745,'1992-11-05 00:00:00',2,1,12,2009,'F','N','CENTRO','RIO PARDO','RS','120201201137471431346923576114610163192',NULL,'9998',32.09,1,3,NULL),(25,6356753,'1993-03-08 00:00:00',4,7,11,2010,'M','N','MORADA DO SOL','BARRA GARÇAS','MT','111122111217111451339813575112610117074',NULL,'9998',0.00,1,3,NULL),(25,6356761,'1993-12-12 00:00:00',4,9,11,2010,'M','N','UNIVERSITÁRIO','LAGES','SC','124242241115151431486932575112610167042',5797,'1207',56.63,1,3,NULL),(25,6356770,'1992-06-05 00:00:00',4,5,11,2009,'M','N','COMERCIARIO','CRICIÚMA','SC','124242241215471431388621315122610168182',NULL,'213',20.81,1,3,NULL),(25,6356788,'1990-01-11 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472431539611575114610162197',13965,'87',43.73,1,3,NULL),(25,6356796,'1993-03-16 00:00:00',4,7,12,2010,'M','N','N S DE LOURDES','CAMPOS NOVOS','SC','124241241116371411425524395125610164197',12303,'139',43.31,2,1,1),(25,6356800,'1990-11-27 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215372431223821275122610127012',14062,'1022',45.07,2,1,2),(25,6356818,'1993-03-13 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241115271431456819592124610157017',12350,'267',42.88,1,2,1),(25,6356826,'1987-08-24 00:00:00',2,15,12,2004,'M','N','CINCO COLÔNIAS','CANOAS','RS','120202201217572431446839571125241226042',644,'9998',76.24,1,3,NULL),(25,6356834,'1992-06-27 00:00:00',2,9,12,2009,'M','N','PLANALTO','CAXIAS SUL','RS','120241241116142431226371385114243237143',NULL,'686',0.00,1,2,1),(25,6356850,'1992-12-21 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241215112731368911245122610121182',13121,'1207',43.36,1,3,NULL),(25,6356869,'1971-06-14 00:00:00',2,1,12,1998,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124251258625131421123444145324610167043',NULL,'9998',21.91,1,3,NULL),(25,6356877,'1991-08-21 00:00:00',4,1,12,2010,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124241241115371431459713575124610124195',10730,'267',45.58,1,2,1),(25,6356885,'1992-08-15 00:00:00',4,2,11,2009,'F','N','SANTO ANTONIO','RIO CEDROS','SC','124061244215412431249922575122610122092',10879,'1157',45.15,4,3,NULL),(25,6356893,'1993-01-05 00:00:00',2,9,11,2010,'M','N','CENTRO','S JOAQUIM','SC','124242241216111211386636571123610117052',14076,'721',45.04,1,3,NULL),(25,6356907,'1992-03-29 00:00:00',2,5,11,2010,'F','N','RIO MAINA','CRICIÚMA','SC','124241241142272531356627242124610133187',11690,'223',45.04,1,2,1),(25,6356915,'1984-01-14 00:00:00',4,15,1,2002,'M','N','CENTRO','MELEIRO','SC','124241241436154531448611575124241427042',13929,'813',45.28,1,3,NULL),(25,6356923,'1992-12-09 00:00:00',4,1,12,2010,'M','N','PARQUE SAO JORGE','FLORIANÓPOLIS','SC','124241241117371732654669376114610137057',17008,'307',37.85,1,2,1),(25,6356931,'1993-07-18 00:00:00',2,5,12,2010,'F','N','PRÓSPERA','CRICIÚMA','SC','124241241115471431523614442124610134141',NULL,'953',15.62,1,3,NULL),(25,6356940,'1982-11-29 00:00:00',2,1,6,2002,'M','N','SERRARIA','S JOSÉ','SC','124241246136134431115349395123221418112',6129,'306',58.46,1,2,1),(25,6356958,'1988-07-07 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S JOSÉ','SC','124241247125431531223511232114610117043',21787,'976',21.75,1,3,NULL),(25,6356966,'1981-02-21 00:00:00',2,1,12,1995,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124251257127431431321548195131610137117',NULL,'9998',31.67,3,2,1),(25,6356974,'1993-07-24 00:00:00',4,3,12,2010,'M','N','FAZENDA DOIS LAPACHO','STA TEREZINHA ITAIPU','PR','116161161217121431425515575124610168197',6570,'9998',52.56,1,3,NULL),(25,6356982,'1993-01-29 00:00:00',4,4,11,2009,'F','N','CENTRO','TOLEDO','PR','116162161215572411247921595112610162172',13437,'9998',42.42,1,3,NULL),(25,6356990,'1990-09-04 00:00:00',2,1,11,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117142411335334242124610127057',NULL,'276',41.35,1,2,1),(25,6357008,'1993-06-23 00:00:00',4,4,12,2010,'M','N','CENTRO','PALMITOS','SC','124241241415161451446632275124610144062',NULL,'185',28.60,1,3,NULL),(25,6357016,'1991-07-14 00:00:00',2,1,12,2010,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241248131141731613633142324610167042',NULL,'288',24.83,4,3,NULL),(25,6357024,'1993-12-08 00:00:00',4,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111742489933572124610127115',NULL,'270',51.42,1,3,NULL),(25,6357040,'1976-08-21 00:00:00',2,1,11,1995,'M','N','SANTINHO','FLORIANÓPOLIS','SC','224241241126132431323334342122130227052',NULL,'280',21.12,4,1,1),(25,6357059,'1983-05-20 00:00:00',2,1,11,2000,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124161161111132431423444341124141928187',14426,'9998',44.55,1,2,1),(25,6357067,'1992-01-07 00:00:00',4,1,11,2009,'M','N','SUPER QUADRA SUL','BRASÍLIA','DF','107073071116371421468813395122240768127',11947,'9998',44.06,1,3,NULL),(25,6357075,'1989-09-13 00:00:00',4,15,12,2007,'M','N','CENTRO','TORRES','RS','120201241117372431344933395112141447057',3361,'690',64.91,1,2,1),(25,6357083,'1990-12-02 00:00:00',2,1,6,2008,'M','N','PACHECOS','PALHOÇA','SC','124241241117272411544933285114133266142',13559,'306',45.84,4,3,NULL),(25,6357091,'1992-11-20 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121431589912576112610143012',764,'270',75.60,1,3,NULL),(25,6357105,'1993-06-13 00:00:00',4,1,12,2010,'M','N','MOEMA','S PAULO','SP','125262251216111431589814575124610167042',197,'9998',80.88,1,3,NULL),(25,6357113,'1993-06-19 00:00:00',4,2,12,2010,'M','N','SETE DE SETEMBRO','GASPAR','SC','124242241215152431466932375122610124142',3614,'955',61.52,1,3,NULL),(25,6357121,'1982-06-15 00:00:00',4,1,12,1999,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624251251117141431346373445112141257047',20226,'9998',33.98,4,2,1),(25,6357148,'1990-11-26 00:00:00',4,9,12,2008,'M','N','PETROPOLIS','LAGES','SC','124241247335371231446412375122131462122',NULL,'9999',37.79,1,3,NULL),(25,6357172,'1991-12-18 00:00:00',4,1,12,2008,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251215571131469921575122610142077',2618,'9998',64.40,1,3,NULL),(25,6357180,'1992-08-14 00:00:00',4,3,12,2010,'M','N','FORTALEZA','RIO PARDO','RS','120202201136131531426931585122610127057',NULL,'9998',0.00,1,3,NULL),(25,6357199,'1990-06-26 00:00:00',2,1,12,2007,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241217473431223321495124610167075',12487,'1133',44.94,1,3,NULL),(25,6357202,'1992-06-03 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242246117371431447824375124610134162',1416,'306',70.97,1,3,NULL),(25,6357210,'1993-05-08 00:00:00',4,1,12,2010,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241216271431369933575124610124145',14809,'1022',38.84,1,3,NULL),(25,6357229,'1993-04-13 00:00:00',2,7,11,2010,'M','N','IMIGRANTES','ZORTÉA','SC','124241241215371231346923575122610167042',3548,'1093',62.12,1,3,NULL),(25,6357237,'1993-03-05 00:00:00',4,3,12,2010,'M','N','CENTRO','ITAPEMA','SC','124241241137131431358511245121610134017',13663,'406',40.47,1,2,1),(25,6357245,'1990-03-01 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241115161411446419212113610164117',NULL,'288',0.00,1,2,1),(25,6357253,'1992-07-23 00:00:00',4,1,7,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241247337151432435923575114610162042',12488,'977',43.36,1,3,NULL),(25,6357261,'1993-05-02 00:00:00',2,10,11,2010,'F','N','CENTRO','BRAÇO NORTE','SC','124243241216131431445332345122610127052',5647,'102',56.43,1,3,NULL),(25,6357270,'1993-04-25 00:00:00',4,9,11,2010,'M','N','SAG CORAÇAO DE JESUS','LAGES','SC','124243241216111431556911495122610127047',6598,'497',54.10,1,3,NULL),(25,6357288,'1990-10-10 00:00:00',4,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124201241115271431126644345224610124087',14457,'307',44.51,1,3,NULL),(25,6357296,'1994-03-18 00:00:00',4,1,11,2011,'F','S','KOBRASOL','S JOSÉ','SC','124243248215131431436631241124610138182',NULL,'1022',45.02,1,3,NULL),(25,6357300,'1991-04-06 00:00:00',4,1,12,2008,'M','N','BOA PARADA','S PEDRO ALCÂNTARA','SC','124243241215374431548813435132610137142',8523,'1050',51.10,1,3,NULL),(25,6357318,'1982-11-05 00:00:00',4,1,12,1999,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117133431333321212124131328197',NULL,'808',11.96,2,1,1),(25,6357326,'1994-01-11 00:00:00',4,1,12,2010,'F','N','CENTRO','CRUZ ALTA','RS','120202201216471411448824575112610132042',NULL,'9998',0.00,1,3,NULL),(25,6357342,'1985-03-18 00:00:00',2,1,12,2002,'M','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124253251227252441238644245124143224112',16122,'9998',41.97,1,3,NULL),(25,6357350,'1991-01-10 00:00:00',2,1,7,2010,'M','N','PONTE DE IMARUIM','PALHOÇA','SC','124241241146271232124414345124610124143',NULL,'592',23.13,2,1,1),(25,6357377,'1988-02-10 00:00:00',4,3,12,2005,'M','N','NOVO HORIZONTE','MARINGÁ','PR','116162161216575711479934595122141567042',1417,'9998',70.59,1,3,NULL),(25,6357385,'1973-01-13 00:00:00',4,1,12,1992,'F','N','STA MONICA','FLORIANÓPOLIS','SC','224201207212161751443354412122141213165',NULL,'9998',0.00,1,3,NULL),(25,6357393,'1991-10-06 00:00:00',4,1,12,2008,'M','N','BELA VISTA','URUGUAIANA','RS','120203201217571431545912572112610164182',NULL,'9998',0.00,1,3,NULL),(25,6357407,'1993-06-11 00:00:00',2,10,12,2010,'M','N','PORTINHO','LAGUNA','SC','124241241125111431425531215124610137052',NULL,'524',24.39,4,3,NULL),(25,6357415,'1977-05-24 00:00:00',2,10,7,2010,'M','N','VILA MOEMA','TUBARÃO','SC','224243247627131431636642225122610127041',NULL,'9999',0.00,1,3,NULL),(25,6357440,'1994-03-13 00:00:00',4,1,12,2011,'M','S','CAMPINAS','S JOSÉ','SC','124243241225111751338419575114610127042',NULL,'262',48.41,1,3,NULL),(25,6357458,'1991-10-16 00:00:00',2,1,12,2008,'F','N','PRAIA DO SONHO','PALHOÇA','SC','120204201217571411448813471124610145093',9803,'9998',48.61,1,3,NULL),(25,6357466,'1991-01-05 00:00:00',4,1,12,2009,'M','N','JD VALE VERDE','PALOTINA','PR','116161161126131751423321215121610126193',NULL,'9998',34.73,4,2,1),(25,6357474,'1993-04-21 00:00:00',4,1,10,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215211431626733572124610132172',15019,'723',39.94,1,3,NULL),(25,6357482,'1993-07-20 00:00:00',4,1,12,2010,'F','N','BELA VISTA','PALHOÇA','SC','124241241625111431429634575114610122142',12015,'262',43.11,4,3,NULL),(25,6357504,'1990-04-27 00:00:00',4,1,12,2007,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124241241136252421334611275124220767042',6296,'808',58.14,1,2,1),(25,6357512,'1990-03-06 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115472431465613572124610134097',10746,'267',50.07,1,2,1),(25,6357539,'1983-06-19 00:00:00',2,1,12,2002,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124161161112574431522244342124610137182',17825,'9998',34.41,1,2,1),(25,6357547,'1993-08-15 00:00:00',4,1,12,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124241241117271431428723571224610162017',7764,'801',51.24,1,3,NULL),(25,6357555,'1984-03-30 00:00:00',4,1,12,2004,'M','N','IPIRANGA','S JOSÉ','SC','124241241121131411344321345112610113047',21742,'730',24.24,2,1,1),(25,6357563,'1986-04-08 00:00:00',2,1,12,2004,'M','N','BELA VISTA','S JOSÉ','SC','124212217232131421348844242314141462113',NULL,'9998',22.48,1,3,NULL),(25,6357580,'1993-01-12 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243241216472431334863575124610164197',20102,'737',27.96,1,3,NULL),(25,6357598,'1992-01-31 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115371431424413575124610127142',NULL,'298',25.90,1,2,1),(25,6357601,'1993-03-23 00:00:00',2,1,12,2009,'M','N','CENTRO','LEOBERTO LEAL','SC','124241241125131431326423575124230237052',NULL,'533',0.00,1,2,1),(25,6357610,'1992-01-24 00:00:00',4,4,12,2009,'M','N','JARDIM','IJUÍ','RS','120203201116132431335669575124610164172',2768,'9998',66.60,1,3,NULL),(25,6357628,'1990-10-04 00:00:00',4,16,12,2008,'M','N','CENTRO','S CRISTÓVÃO SUL','SC','124241241127271431523424345124130717052',NULL,'705',15.17,4,2,1),(25,6357636,'1988-09-25 00:00:00',2,1,12,2007,'M','N','SAO SEBASTIAO','PALHOÇA','SC','124241241117211432326544445124333213092',19802,'592',35.14,1,3,NULL),(25,6357652,'1968-03-18 00:00:00',4,1,12,1985,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116145431253642412132320432092',NULL,'307',21.52,1,3,NULL),(25,6357660,'1989-12-20 00:00:00',4,1,12,2007,'M','N','CACHOEIRA DE EMAS','PIRASSUNUNGA','SP','125251251116471431426623435124610127042',12486,'9998',47.37,2,1,1),(25,6357687,'1991-06-10 00:00:00',4,6,11,2008,'F','N','SÃO JOÃO','ITAJAÍ','SC','124241241116271431223329385124132225177',13692,'400',40.06,1,2,1),(25,6357695,'1992-01-03 00:00:00',2,4,12,2009,'M','N','GUILHERME REICH','CONCÓRDIA','SC','124241241137131431334414245123610122047',16606,'192',34.73,1,3,NULL),(25,6357709,'1987-06-25 00:00:00',4,6,11,2005,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242248212412421423832285112331562042',NULL,'1079',33.38,1,3,NULL),(25,6357717,'1986-11-03 00:00:00',3,8,12,2005,'F','N','JARDIM OLIVEIRA','S JOSÉ R PRETO','SP','125251251117231712624619485324610124197',NULL,'9998',0.00,4,2,1),(25,6357733,'1988-10-17 00:00:00',2,1,11,2003,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241116143431446611345123231417042',NULL,'733',0.00,4,1,1),(25,6357741,'1984-04-13 00:00:00',4,5,12,2002,'F','N','RIO MAINA','CRICIÚMA','SC','124243246215572431453923372124331546182',NULL,'230',23.71,1,3,NULL),(25,6357750,'1994-04-06 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124243241217141431338312245124610134052',20737,'868',32.20,4,3,NULL),(25,6357768,'1993-08-10 00:00:00',2,3,12,2010,'M','N','TABULEIRO','ITAPEMA','SC','124161241135131511334539572112610128172',16648,'406',34.75,1,2,1),(25,6357776,'1980-09-02 00:00:00',4,1,12,1997,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124161161117151411165349295332331037045',4842,'9998',61.23,1,2,1),(25,6357784,'1992-11-09 00:00:00',4,1,12,2010,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124244241215271411579913572121610164055',1024,'951',73.82,1,3,NULL),(25,6357792,'1989-07-30 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241316273411459613575124231022092',11004,'1022',49.67,1,3,NULL),(25,6357806,'1993-11-30 00:00:00',4,17,12,2011,'F','S','SOSSEGO','CANOINHAS','SC','124241241235111741446936345122610128072',NULL,'154',29.89,1,3,NULL),(25,6357814,'1976-03-21 00:00:00',4,1,12,1994,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224202204116132411646652475122610162097',16887,'9998',40.80,1,3,NULL),(25,6357830,'1991-07-12 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','116242161215575431568815575124240468072',2567,'9998',64.58,4,3,NULL),(25,6357849,'1990-10-23 00:00:00',4,1,7,2009,'M','N','CAEIRA SACO DOS LIMÕ','FLORIANÓPOLIS','SC','124241241217141431423329392114610137057',NULL,'9999',11.65,1,3,NULL),(25,6357857,'1992-12-04 00:00:00',4,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124242241215272411326624475124610127037',8777,'1022',50.42,1,3,NULL),(25,6357865,'1994-02-19 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124246241415111411328823575114610165182',NULL,'288',10.75,1,3,NULL),(25,6357873,'1987-02-03 00:00:00',4,1,12,2005,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215475431536619345124133227183',19684,'943',35.41,4,3,NULL),(25,6357890,'1990-11-06 00:00:00',4,16,12,2008,'M','N','FLANDRIA','POMPÉIA','SP','125251251226571211546911275122610112082',NULL,'9998',0.00,1,3,NULL),(25,6357903,'1976-06-09 00:00:00',4,1,12,1996,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124133131347132421323341216124222264187',NULL,'9998',0.00,1,3,NULL),(25,6357911,'1994-03-25 00:00:00',2,4,12,2010,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241215111411359833575125610134011',19828,'185',31.00,1,3,NULL),(25,6357938,'1992-05-11 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124241241215271751249921587122610168182',3928,'213',63.47,1,3,NULL),(25,6357946,'1986-08-31 00:00:00',4,1,12,2003,'F','N','CENTO','FLORIANÓPOLIS','SC','124242241216273421538824385125231332185',19345,'262',36.18,1,3,NULL),(25,6357962,'1991-01-09 00:00:00',4,8,12,2008,'M','N','BOA VISTA','JOINVILLE','SC','124243241215132311328613572124610116097',3898,'1105',61.32,2,1,2),(25,6357989,'1993-02-21 00:00:00',4,1,12,2010,'M','N','VILA MARIANA','S PAULO','SP','125142251211111411468821591125610166097',NULL,'9998',0.00,3,3,NULL),(25,6357997,'1992-09-13 00:00:00',4,15,12,2009,'F','N','POLÍCIA RODOVIÁRIA','ARARANGUÁ','SC','124241241117131431325724242124610164195',NULL,'852',26.65,1,2,1),(25,6358004,'1984-03-01 00:00:00',2,1,12,2001,'F','N','TIRADENTES','CPO GRANDE','MS','112122121217572751457839394122341323095',706,'9998',74.54,1,3,NULL),(25,6358012,'1990-03-16 00:00:00',4,1,11,2010,'M','N','CENTRO','CASCAVEL','PR','116161161316131441323424235111610167177',16718,'9998',36.07,1,3,NULL),(25,6358020,'1987-05-05 00:00:00',2,3,7,2007,'M','N','CENTRO','BOMBINHAS','SC','124241241141272431223322245113610164041',NULL,'96',0.00,1,3,NULL),(25,6358039,'1992-05-11 00:00:00',4,1,12,2009,'M','N','CENTRO','APUCARANA','PR','116162161217371232559932275124610164117',NULL,'9998',0.00,1,3,NULL),(25,6358047,'1993-11-01 00:00:00',4,15,12,2010,'F','N','POLICIA RODOVIARIA','ARARANGUÁ','SC','124241241125161731523524292121610121017',NULL,'852',21.25,1,2,1),(25,6358055,'1993-10-07 00:00:00',2,10,12,2010,'M','N','GUAIUBA','IMBITUBA','SC','124241241117271431327923575124610135117',NULL,'359',16.79,1,2,1),(25,6358063,'1986-08-16 00:00:00',4,1,12,2004,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241217575431377612445122123234062',5334,'270',60.12,1,3,NULL),(25,6358071,'1992-09-05 00:00:00',4,10,9,2010,'M','N','PRAINHA','IMARUÍ','SC','124241241147131731523329395121610118197',20943,'356',31.33,4,1,1),(25,6358080,'1993-08-19 00:00:00',2,10,11,2010,'F','N','OFICINAS','TUBARÃO','SC','124241241135471431427427346124610121047',NULL,'1034',24.33,1,2,1),(25,6358098,'1994-06-20 00:00:00',2,1,12,2011,'M','S','CAMPO DE FORA','LAGUNA','SC','124241243224131311326419395125610165142',NULL,'524',28.54,1,3,NULL),(25,6358101,'1993-07-21 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242248215111731558633575112610137072',NULL,'738',22.49,1,3,NULL),(25,6358110,'1992-03-27 00:00:00',4,8,12,2009,'M','N','JARDIM GIRASSOL','DOURADOS','MS','112122121217371431588913492112610167076',11381,'9998',45.16,1,3,NULL),(25,6358128,'1991-05-26 00:00:00',2,1,6,2010,'M','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124242247235151411156669445114610167182',NULL,'9999',25.84,4,3,NULL),(25,6358136,'1993-09-11 00:00:00',2,1,12,2010,'M','N','JARDIM DOS PRÍNCIPES','UMUARAMA','PR','616162161215471431578831471112610164062',NULL,'9998',0.00,1,3,NULL),(25,6358144,'1991-01-07 00:00:00',4,1,11,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241217573411477712325124243265072',9641,'1124',51.96,1,3,NULL),(25,6358179,'1985-04-18 00:00:00',2,3,12,2001,'M','N','CENTRO','BAL CAMBORIÚ','SC','124201201122132421445519322124131427047',14874,'9998',43.88,2,1,1),(25,6358187,'1987-06-26 00:00:00',2,1,12,2006,'F','N','KOBRASOL','S JOSÉ','SC','124111248146372711635534342124130231197',NULL,'736',31.41,1,2,1),(25,6358209,'1981-07-12 00:00:00',4,1,12,1999,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241161121271721123344142133610137067',NULL,'136',26.68,1,3,NULL),(25,6358217,'1993-07-17 00:00:00',4,8,12,2010,'M','N','TIFA MARTINS','JARAGUÁ SUL','SC','124241241116371431326414375121610162097',11724,'435',44.38,1,2,1),(25,6358225,'1984-03-27 00:00:00',2,1,6,2006,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124243247326143431543414345124610112063',NULL,'9999',0.00,4,3,NULL),(25,6358241,'1991-04-16 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472711548519595124610168043',7885,'1133',55.04,1,3,NULL),(25,6358276,'1992-05-02 00:00:00',4,1,12,2009,'M','N','CENTRO','S GOTARDO','MG','113131131117471331224823185121610124047',NULL,'9998',0.00,4,2,1),(25,6358284,'1992-07-06 00:00:00',2,7,12,2009,'M','N','SETOR NOVE','JARU','RO','122221221116371431433634295122610167042',19546,'9998',30.93,1,2,1),(25,6358292,'1986-06-12 00:00:00',4,1,12,2003,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','624241241116574751228753285114610164197',15576,'787',42.79,1,2,1),(25,6358306,'1987-08-17 00:00:00',2,1,12,2004,'M','N','CENTRO','STA MARIA','RS','120202201316572451436613291122610122187',765,'9998',74.93,1,3,NULL),(25,6358314,'1992-03-21 00:00:00',4,8,12,2010,'M','N','PORTÃO','CURITIBA','PR','116162166115371431549614375124610167012',1475,'9998',70.64,1,3,NULL),(25,6358322,'1986-04-07 00:00:00',2,4,12,2003,'F','N','ZANUZO','VARGEÃO','SC','124241241116141421333332422112131427057',NULL,'840',18.78,1,2,1),(25,6358349,'1992-07-08 00:00:00',2,1,11,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124242241215273431668711576122121467052',1164,'262',73.05,1,3,NULL),(25,6358357,'1987-12-24 00:00:00',2,15,11,2005,'M','N','POLICIA RODOVIÁRIA','ARARANGUÁ','SC','124241241116131131523371345123610152036',NULL,'852',23.33,4,3,NULL),(25,6358373,'1992-03-12 00:00:00',4,1,12,2009,'M','N','BOQUEIRAO','CURITIBA','PR','116164161317271431326624375114610127042',NULL,'9998',0.00,1,3,NULL),(25,6358381,'1988-08-01 00:00:00',2,1,12,2006,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241122141731323344245134610164113',19182,'733',30.81,4,2,1),(25,6358403,'1992-06-08 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124162241215472431336532574114610144047',4543,'1118',60.21,1,3,NULL),(25,6358411,'1976-05-17 00:00:00',2,1,5,1999,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','624203204211131421433343431223610112143',20354,'9998',33.55,1,3,NULL),(25,6358420,'1990-02-16 00:00:00',4,1,12,2007,'F','N','SANTA LUZIA','CAPÃO CANOA','RS','120201201147271421645611215121142326117',17897,'9998',32.52,1,2,1),(25,6358438,'1993-06-06 00:00:00',4,8,11,2010,'F','N','ITINGA','JOINVILLE','SC','124241248115151411533823272124610141147',17158,'24',35.01,2,1,1),(25,6358446,'1958-07-26 00:00:00',2,1,12,1979,'F','N','CENTRO','FLORIANÓPOLIS','SC','224251255136375452243351215112541236183',11909,'9998',45.39,1,2,1),(25,6358454,'1986-12-31 00:00:00',4,4,12,2004,'M','N','CENTRO','S MIGUEL OESTE','SC','124244241216141412459912445132233267177',NULL,'751',26.27,1,3,NULL),(25,6358462,'1987-05-30 00:00:00',4,8,12,2004,'F','N','VILA AMÁLIA','S PAULO','SP','125252251216571431568814571124610122077',NULL,'9998',0.00,1,3,NULL),(25,6358470,'1992-09-10 00:00:00',4,8,11,2009,'F','N','GLÓRIA','JOINVILLE','SC','124241241435371431559713445112610161172',NULL,'486',43.06,1,3,NULL),(25,6358489,'1992-12-01 00:00:00',4,2,12,2010,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242248112112411566832475115610114052',20695,'855',32.40,1,3,NULL),(25,6358497,'1988-03-04 00:00:00',2,1,12,2005,'F','N','CENTRO','ANGELINA','SC','124241241112275711336933271124333236097',NULL,'17',32.03,1,2,1),(25,6358500,'1993-02-16 00:00:00',4,8,12,2010,'M','N','RIO BRANCO','GUARAMIRIM','SC','124241241115271411334314575124610167052',18741,'335',37.46,1,2,1),(25,6358519,'1992-07-27 00:00:00',2,1,11,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241216472431546923275224610127062',3886,'1075',63.59,1,3,NULL),(25,6358535,'1986-07-22 00:00:00',4,5,12,2003,'F','N','COMERCIARIO','CRICIÚMA','SC','124202201216143421437941335124143214187',14619,'9998',44.27,1,3,NULL),(25,6358543,'1991-03-21 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','224242241216153411228554485114610112141',NULL,'269',30.40,1,3,NULL),(25,6358551,'1993-12-14 00:00:00',2,1,12,2011,'M','S','ALTO ARIRIÚ','PALHOÇA','SC','124242241215111731534432572124610117047',NULL,'1223',29.07,1,3,NULL),(25,6358560,'1987-11-19 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241315252431668633415122220723122',10557,'1022',50.40,1,3,NULL),(25,6358594,'1990-08-13 00:00:00',4,1,12,2008,'M','N','CENTRO','CAXIAS SUL','RS','120204201216131131246979575114241424197',NULL,'9998',34.63,1,3,NULL),(25,6358608,'1989-09-19 00:00:00',4,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124242246215371431569614435124131434192',3149,'1006',63.55,1,3,NULL),(25,6358616,'1993-01-19 00:00:00',2,7,12,2010,'M','N','LIBERDADE','CONCÓRDIA','SC','124241242115111431326611595124610126042',NULL,'8',15.80,4,3,NULL),(25,6358632,'1984-03-26 00:00:00',4,5,12,2002,'M','N','SANTO ANTONIO','CRICIÚMA','SC','224243241117131431226944145123610167097',17448,'228',39.84,1,3,NULL),(25,6358640,'1994-05-27 00:00:00',4,1,12,2011,'M','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216111712489933575122610114035',NULL,'270',33.61,1,3,NULL),(25,6358659,'1986-07-03 00:00:00',4,1,12,2003,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241221135412424839381124631412162',NULL,'262',0.00,4,3,NULL),(25,6358667,'1991-12-04 00:00:00',4,8,12,2009,'M','N','MOOCA','S PAULO','SP','125252251116572441458912575124610138037',2291,'9998',66.84,3,3,NULL),(25,6358675,'1965-10-18 00:00:00',2,1,12,1983,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','624164168436132431453359492125341527187',6817,'9998',57.07,1,3,NULL),(25,6358691,'1992-02-29 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217372431469914272112131932052',1854,'1022',68.24,1,3,NULL),(25,6358705,'1985-08-14 00:00:00',2,1,12,2003,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124252251117473411434619442124120323112',5592,'9998',57.59,1,3,NULL),(25,6358721,'1982-07-02 00:00:00',4,8,12,1999,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241116143421124443435334123042142',NULL,'359',34.09,1,3,NULL),(25,6358730,'1990-02-25 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124131131136151721422217345344610167147',NULL,'9998',0.00,2,1,1),(25,6358748,'1990-10-14 00:00:00',2,1,12,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241316373731549613345124610127142',15230,'271',39.47,1,3,NULL),(25,6358756,'1988-01-26 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124241247131131732226427391224133244091',19027,'9997',30.27,1,2,1),(25,6358764,'1982-10-13 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','224244241231152111466653422122133232091',19028,'725',36.89,1,3,NULL),(25,6358772,'1992-04-20 00:00:00',2,10,12,2009,'M','N','AEROPORTO','TUBARÃO','SC','124242241217475411459813572122610167112',8551,'806',53.88,1,3,NULL),(25,6358780,'1993-06-21 00:00:00',2,10,11,2010,'F','N','CENTRO','JAGUARUNA','SC','124241241215131431538411575124610126142',7404,'806',53.37,1,3,NULL),(25,6358799,'1992-09-10 00:00:00',4,1,12,2009,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124243241115272541236611572224131468187',16683,'288',41.11,3,3,NULL),(25,6358802,'1993-10-26 00:00:00',2,7,12,2010,'M','N','INTERIOR','ÁGUA DOCE','SC','124241242115111431424616195225610126042',NULL,'8',25.60,1,2,1),(25,6358810,'1991-04-15 00:00:00',4,1,12,2008,'M','N','CENTRO','PALMEIRA','PR','116164161216471421337624275124141134062',NULL,'9998',NULL,1,3,NULL),(25,6358829,'1993-06-09 00:00:00',4,1,12,2010,'M','N','FAZENDA UM','ÁGUAS MORNAS','SC','124241241127151432656933332224610167047',17460,'12',34.98,1,2,1),(25,6358837,'1992-05-28 00:00:00',4,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241216273411579914275124233124072',5032,'723',57.22,4,3,NULL),(25,6358845,'1992-08-09 00:00:00',4,1,12,2009,'M','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241117132721326413142344610137047',18941,'592',32.15,1,2,1),(25,6358853,'1981-04-28 00:00:00',2,1,12,1998,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241126271441223329535334140828142',6906,'772',55.10,1,2,1),(25,6358861,'1992-03-23 00:00:00',2,8,12,2009,'M','N','JARDIM MACEDO','RIBEIRÃO PRETO','SP','125252251215471431458814475122610124072',NULL,'9998',0.00,1,3,NULL),(25,6358870,'1989-07-11 00:00:00',2,8,12,2006,'F','N','REBOUÇAS','CURITIBA','PR','116163161116572431635521271124610145147',2817,'9998',65.92,1,3,NULL),(25,6358888,'1991-03-16 00:00:00',4,1,12,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124241246135271431323624172224610125183',17593,'306',39.61,1,2,1),(25,6358896,'1987-07-04 00:00:00',2,1,12,2006,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124244241436162431426623195122610167182',21594,'773',21.74,1,3,NULL),(25,6358900,'1974-07-05 00:00:00',5,10,12,1991,'M','N','CENTRO','TREZE MAIO','SC','124241243127161751338841115132331037093',14226,'793',44.82,1,3,NULL),(25,6358918,'1987-11-06 00:00:00',4,1,12,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241146131231423329312124610157047',NULL,'296',0.00,3,2,1),(25,6358926,'1994-02-26 00:00:00',2,7,12,2010,'M','N','INTERIOR','PINHEIRO PRETO','SC','124241242115111411324416595224610126042',NULL,'8',0.00,1,2,1),(25,6358934,'1982-02-23 00:00:00',2,1,12,2000,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224241241116135721239344445122320522097',14860,'267',43.91,1,2,1),(25,6358942,'1960-05-23 00:00:00',2,1,7,2001,'F','N','JARDIM CIDADE','S JOSÉ','SC','224241247221152111374453471112610114091',NULL,'725',16.84,1,3,NULL),(25,6358950,'1991-01-29 00:00:00',4,1,12,2008,'F','N','REDENTORA','S JOSÉ R PRETO','SP','125252251215572431468819571122610118182',491,'9998',77.22,1,3,NULL),(25,6358969,'1993-04-06 00:00:00',4,6,11,2010,'F','N','SAO JOÃO','ITAJAÍ','SC','124242241417271731439924572121610167077',11062,'400',47.43,1,3,NULL),(25,6358977,'1993-07-08 00:00:00',4,7,11,2010,'M','N','CENTRO','JOAÇABA','SC','124242241231372431346614575125610117052',7258,'446',53.06,1,3,NULL),(25,6358993,'1982-12-16 00:00:00',2,1,12,2000,'F','N','CENTRO','PALHOÇA','SC','624241241142372421337444445124610162187',16746,'591',34.49,1,2,1),(25,6359000,'1984-12-21 00:00:00',4,8,12,2003,'M','N','AVENTUREIRO','JOINVILLE','SC','124241246233132441346444243132131448182',13582,'494',45.81,1,3,NULL),(25,6359019,'1986-12-12 00:00:00',4,1,12,2003,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124203201217243721358813292132322236072',9067,'9998',52.94,1,3,NULL),(25,6359027,'1978-02-10 00:00:00',5,1,12,1995,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241347131711137949295124332024145',11975,'209',48.19,1,3,NULL),(25,6359035,'1992-07-23 00:00:00',4,16,12,2009,'M','N','INTERIOR','FR ROGÉRIO','SC','124241241113311221526916562344610117052',NULL,'320',NULL,1,3,NULL),(25,6359043,'1992-01-12 00:00:00',4,1,12,2009,'M','N','GLÓRIA','JOINVILLE','SC','124242241237372431469934392121233267012',6629,'1063',53.05,4,3,NULL),(25,6359051,'1985-12-10 00:00:00',2,1,12,2004,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241248117143451346724496123222327095',16158,'286',41.92,4,2,1),(25,6359078,'1992-11-08 00:00:00',4,1,12,2010,'F','N','ADRIANÓPOLIS','MANAUS','AM','104042041217111431379913575122610134012',NULL,'9998',0.00,1,3,NULL),(25,6359086,'1993-12-09 00:00:00',2,1,12,2010,'F','N','SANTA MARIA','ANTÔNIO CARLOS','SC','124241241116161431323414595124610127057',18637,'21',31.64,1,2,1),(25,6359094,'1991-07-26 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','125251251117471431445614372124220625077',16974,'9998',40.67,1,2,1),(25,6359108,'1992-08-28 00:00:00',2,1,12,2009,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241116372441522261391124610162047',13609,'288',41.85,1,2,1),(25,6359116,'1993-05-24 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117151431337763575124610133147',16562,'307',36.96,2,1,1),(25,6359124,'1991-03-22 00:00:00',2,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241136132431326623472124222233147',NULL,'199',33.05,1,2,1),(25,6359132,'1984-05-30 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217575431388632395122231067043',8980,'262',53.09,1,3,NULL),(25,6359140,'1993-04-13 00:00:00',4,8,11,2010,'F','N','BOM RETIRO','JOINVILLE','SC','124241241211131441433923575124610131142',9368,'1105',52.41,1,3,NULL),(25,6359159,'1992-08-03 00:00:00',4,1,12,2009,'M','N','CENTRO','CANELINHA','SC','124242241215374431436914275124223237052',2401,'948',67.39,1,3,NULL),(25,6359167,'1992-01-06 00:00:00',2,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124242241215272431477611571124131237117',6940,'1022',56.86,4,3,NULL),(25,6359183,'1988-02-07 00:00:00',5,1,12,2004,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124201241116143431539613495124322228072',7465,'257',55.85,1,2,1),(25,6359191,'1992-10-20 00:00:00',2,15,12,2009,'M','N','CENTRO','PR GRANDE','SC','124241241146131511335532455211610137045',21239,'641',29.81,1,3,NULL),(25,6359205,'1993-12-24 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117151751449839575122610134117',11102,'88',45.31,1,2,1),(25,6359213,'1991-11-15 00:00:00',2,1,12,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117372411434621212124233227142',16256,'288',37.60,1,2,1),(25,6359221,'1993-08-04 00:00:00',2,17,12,2010,'F','N','INTERIOR','TIMBÓ GRANDE','SC','224241241134131531515615572324610111187',NULL,'788',0.00,1,2,1),(25,6359230,'1965-08-18 00:00:00',4,1,7,1986,'M','N','INGLESES','FLORIANÓPOLIS','SC','224244201216133431453344142124340737042',20594,'9998',32.77,1,3,NULL),(25,6359248,'1980-09-18 00:00:00',4,1,12,1997,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241315242431139943435122320237042',NULL,'269',0.00,1,3,NULL),(25,6359256,'1990-03-27 00:00:00',2,1,12,2008,'F','N','PINHEIROS','S PAULO','SP','125253251215471431343379574124142434037',17041,'9998',40.56,1,3,NULL),(25,6359264,'1993-08-02 00:00:00',2,1,12,2010,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241241127131721426639295124610128047',21488,'594',22.57,1,2,1),(25,6359272,'1987-11-08 00:00:00',4,1,12,2004,'M','N','ACLIMAÇÃO','S PAULO','SP','125252257216371421358812345125143217052',NULL,'9998',0.00,3,3,NULL),(25,6359280,'1992-11-14 00:00:00',4,1,7,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247227151412647514245124610132097',NULL,'9999',12.02,4,3,NULL),(25,6359299,'1992-02-28 00:00:00',4,1,12,2010,'M','N','TRUJILLO','SOROCABA','SP','125252251215471431578831575122610167057',NULL,'9998',0.00,1,3,NULL),(25,6359302,'1982-06-30 00:00:00',4,2,12,2001,'M','N','VELHA CENTRAL','BLUMENAU','SC','124241241126141331323349342122133228187',18922,'81',37.08,1,3,NULL),(25,6359310,'1981-10-15 00:00:00',2,1,11,2000,'M','N','BARREIROS','S JOSÉ','SC','124241241126152431126744245122131022022',NULL,'840',0.00,1,2,1),(25,6359329,'1963-07-16 00:00:00',2,1,12,1982,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241244346255421151343335124330827093',NULL,'190',24.94,1,3,NULL),(25,6359337,'1992-02-05 00:00:00',2,9,12,2009,'F','N','CORAL','LAGES','SC','124241241216371431445522575122610137182',NULL,'515',0.00,1,3,NULL),(25,6359345,'1991-08-06 00:00:00',4,1,12,2008,'M','N','CAJURU','CURITIBA','PR','116162161217271411438619385124241062067',NULL,'9998',0.00,1,3,NULL),(25,6359353,'1993-06-17 00:00:00',4,1,12,2010,'F','N','JD PEGOLO','JALES','SP','125252251215111731549813572112610164147',9757,'9998',46.86,1,3,NULL),(25,6359361,'1973-04-09 00:00:00',4,1,12,1992,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224241241134144711353454345134122366182',18095,'307',38.65,1,3,NULL),(25,6359370,'1983-01-16 00:00:00',2,1,12,2003,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117371421624329492124610144187',NULL,'276',13.65,2,1,1),(25,6359388,'1992-02-04 00:00:00',2,7,12,2009,'M','N','CENTRO','CATANDUVAS','SC','124241241412371451445623495124610167141',8793,'454',49.86,1,3,NULL),(25,6359400,'1990-07-11 00:00:00',4,6,12,2007,'M','N','ARÍRIBA','BAL CAMBORIÚ','SC','124242161217152431357612125122231064044',6759,'9998',57.19,1,3,NULL),(25,6359418,'1991-02-14 00:00:00',4,1,12,2009,'M','N','SANTANA','STO AMARO IMPERATRIZ','SC','124243241346472731456614245124610128067',17202,'772',35.26,1,3,NULL),(25,6359434,'1991-01-15 00:00:00',2,7,7,2010,'M','N','NAÇÕES','CONCÓRDIA','SC','124241246117132331226723445323610134187',15680,'9999',37.68,1,2,1),(25,6359442,'1961-07-18 00:00:00',4,1,12,1978,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','424243241112275431153443432122321443142',NULL,'307',0.00,1,3,NULL),(25,6359450,'1991-04-04 00:00:00',4,1,12,2008,'F','N','EMBARÉ','SANTOS','SP','125252251215472411568814572121610167092',572,'9998',76.57,1,3,NULL),(25,6359469,'1993-07-01 00:00:00',4,4,11,2010,'F','N','CERÂMICA','ERECHIM','RS','120202201216111431458832575122610123187',10735,'9998',45.30,1,3,NULL),(25,6359477,'1988-04-25 00:00:00',2,1,6,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247416152411443634115123131027112',NULL,'9999',0.00,1,3,NULL),(25,6359485,'1989-07-16 00:00:00',4,8,12,2006,'F','N','CENTRO','JOINVILLE','SC','116162161215371712359613575122241546147',NULL,'9998',0.00,1,3,NULL),(25,6359493,'1994-09-08 00:00:00',1,2,12,2011,'F','S','CENTRO','POMERODE','SC','124242241217111732435914275122610114072',NULL,'624',26.76,1,3,NULL),(25,6359507,'1987-02-14 00:00:00',2,17,12,2004,'F','N','CENTRO','PAPANDUVA','SC','124242241216274431459921434122331328017',NULL,'541',0.00,1,3,NULL),(25,6359515,'1989-12-18 00:00:00',4,1,7,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124204207437472431238729315134140624141',NULL,'9998',0.00,1,3,NULL),(25,6359523,'1992-10-13 00:00:00',2,1,11,2010,'M','N','TAJUBA II','S JOÃO BATISTA','SC','124241241115131432523311216212610168061',NULL,'712',33.93,1,2,1),(25,6359531,'1976-11-18 00:00:00',2,1,11,2001,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624161161126132421423341114135130268092',NULL,'9998',35.30,1,2,1),(25,6359558,'1989-01-01 00:00:00',2,1,12,2005,'F','N','CENTRO','PAIÇANDU','PR','116161161114371411336923245124143234077',NULL,'9998',0.00,1,2,1),(25,6359566,'1972-10-11 00:00:00',4,1,12,1991,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124252251212141411243763415124141246187',NULL,'9998',33.83,4,3,NULL),(25,6359574,'1992-09-10 00:00:00',4,1,12,2010,'M','N','JD CONTINENTAL','GUARARAPES','SP','125252251215111531558812575112610127047',NULL,'9998',0.00,4,3,NULL),(25,6359582,'1992-11-03 00:00:00',4,8,12,2009,'F','N','VILA ANA','OSVALDO CRUZ','SP','125252251216471431389813575122610134042',NULL,'9998',0.00,1,3,NULL),(25,6359590,'1991-08-28 00:00:00',4,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','224241241116141421224654445124610134192',19876,'65',34.91,1,2,1),(25,6359604,'1991-09-06 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241248111131431255514345124610124052',21358,'298',24.80,5,2,1),(25,6359612,'1987-09-21 00:00:00',2,3,12,2005,'F','N','CENTRO','JOAÇABA','SC','124242241216572431546614574112610134142',17282,'446',40.13,1,3,NULL),(25,6359639,'1989-01-11 00:00:00',2,1,12,2006,'F','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124241241116374131326811285114610166047',11948,'257',48.24,1,3,NULL),(25,6359647,'1986-03-14 00:00:00',4,8,12,2003,'M','N','CENTRO','BOM SUCESSO','PR','116161161216141421346931481124341527047',2159,'9998',68.71,1,3,NULL),(25,6359655,'1965-07-27 00:00:00',4,1,12,1986,'M','N','NOVO MUNDO','CURITIBA','PR','116161166126151751443379411124343262186',NULL,'9998',0.00,1,3,NULL),(25,6359663,'1979-05-24 00:00:00',2,1,12,1996,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124162161117271421235473442234143265147',11511,'9998',48.88,1,3,NULL),(25,6359671,'1990-09-07 00:00:00',2,1,11,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241117272741458663576124610134172',13403,'307',42.76,1,3,NULL),(25,6359680,'1991-03-18 00:00:00',2,1,12,2008,'M','N','RIBEIRAÕ DA ILHA','FLORIANÓPOLIS','SC','124241241216253431446773575114131327047',17102,'1022',34.13,1,3,NULL),(25,6359698,'1989-03-06 00:00:00',4,15,12,2006,'M','N','MOINHOS','LAJEADO','RS','120202201217142531456639395132141027062',13897,'9998',45.33,1,3,NULL),(25,6359701,'1990-08-17 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116163251216571441336612575114610142142',5603,'9998',55.29,1,3,NULL),(25,6359736,'1992-09-23 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241211272431446611195124230264042',10738,'1077',50.09,1,3,NULL),(25,6359744,'1991-03-06 00:00:00',2,7,12,2008,'M','N','REGINA','CATANDUVAS','SC','124241241116373432625639345124631414057',NULL,'161',28.69,1,2,1),(25,6359752,'1991-05-11 00:00:00',4,1,12,2008,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124243241115473731569953572124230437122',9780,'271',48.25,1,3,NULL),(25,6359760,'1993-01-18 00:00:00',2,4,12,2010,'M','N','CENTRO','PINHALZINHO','SC','124241241111111431439933585342610137057',15804,'616',36.38,4,2,1),(25,6359779,'1992-02-21 00:00:00',4,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241126141431233521245134610137047',18510,'733',32.99,2,2,1),(25,6359787,'1992-12-21 00:00:00',4,2,12,2009,'M','N','CENTRO','APIÚNA','SC','124241241131131731556612242122130832192',NULL,'22',0.00,1,2,1),(25,6359795,'1991-09-18 00:00:00',2,8,12,2008,'F','N','CENTRO','BARRA VELHA','SC','124251241136161431123344345124233232071',19738,'57',27.31,1,2,1),(25,6359809,'1994-01-04 00:00:00',4,7,12,2010,'F','N','ALVORADA','VIDEIRA','SC','124244241217151431436732576122610134147',NULL,'829',29.86,1,3,NULL),(25,6359817,'1987-01-15 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115575232456613485125610167187',NULL,'306',0.00,4,2,1),(25,6359825,'1991-12-19 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117151441533421575114610124197',19902,'298',34.87,1,2,1),(25,6359833,'1992-05-05 00:00:00',4,1,11,2009,'F','N','JARDIM IRAJÁ','RIBEIRÃO PRETO','SP','125252251237471431456614342122610124042',7126,'9998',52.31,1,3,NULL),(25,6359841,'1989-05-31 00:00:00',2,1,3,2010,'F','N','JURERE','FLORIANÓPOLIS','SC','124241247111131431324829371124610134182',NULL,'9999',0.00,1,2,1),(25,6359850,'1980-12-12 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241248145171751615519296345610168197',21069,'9997',30.81,1,2,1),(25,6359876,'1983-03-06 00:00:00',2,1,12,2002,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224201205211131731221344342123130262183',NULL,'9998',22.87,1,3,NULL),(25,6359884,'1989-08-11 00:00:00',4,8,12,2006,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161216572451548913472124610165147',855,'9998',73.68,1,3,NULL),(25,6359892,'1992-02-04 00:00:00',2,10,12,2009,'M','N','RECIFE','TUBARÃO','SC','124243248627241131425919245231610137057',NULL,'9997',0.00,1,3,NULL),(25,6359906,'1992-10-17 00:00:00',4,1,11,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242247217251131339834575124610137041',15450,'9999',42.97,1,3,NULL),(25,6359914,'1992-09-10 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241126231441523336592314610127052',10142,'579',48.25,1,2,1),(25,6359922,'1990-11-22 00:00:00',2,1,8,2010,'F','N','JARDIM CIDADE','S JOSÉ','SC','124242247336472431436524345124610141143',7863,'9999',52.08,4,3,NULL),(25,6359930,'1985-11-08 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241248135171751514479296345610168197',NULL,'9997',27.06,1,2,1),(25,6359949,'1993-04-07 00:00:00',4,17,12,2010,'M','N','CENTRO','CANOINHAS','SC','124241241115221431336514372324610127142',NULL,'146',14.45,1,2,1),(25,6359957,'1993-09-23 00:00:00',2,10,12,2010,'F','N','CENTRO','IMARUÍ','SC','124241241126171431326414476122610163097',NULL,'356',24.71,1,2,1),(25,6359965,'1993-06-23 00:00:00',2,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124243241115141431226619145114610127042',NULL,'592',25.64,4,3,NULL),(25,6359973,'1990-12-26 00:00:00',4,1,12,2009,'M','N','CENTRO','POÇOS CALDAS','MG','113132131215471751346514575125610138042',15492,'9998',42.91,1,3,NULL),(25,6359981,'1993-12-14 00:00:00',4,8,12,2010,'F','N','VILA NOVA','JOINVILLE','SC','124241241135131431323614442124610123037',NULL,'475',0.00,1,2,1),(25,6359990,'1992-12-15 00:00:00',2,4,12,2009,'F','N','CENTRO','SAUDADES','SC','124241241146142412549931245124230924077',14185,'761',39.21,1,2,1),(25,6360009,'1994-02-26 00:00:00',2,4,12,2010,'F','N','CENTRO','IPUAÇU','SC','124241241127141331425616395135610127042',NULL,'372',0.00,4,2,1),(25,6360017,'1992-12-07 00:00:00',4,4,12,2009,'M','N','CENTRO','S LOURENÇO OESTE','SC','124241241116232432443923385111610164017',NULL,'745',0.00,1,3,NULL),(25,6360025,'1993-01-03 00:00:00',4,1,11,2010,'F','N','KOBRASSOL','S JOSÉ','SC','124242241215112431338847572124610156077',7707,'737',52.00,1,3,NULL),(25,6360033,'1991-09-23 00:00:00',2,10,12,2009,'M','N','TERMAS','GRAVATAL','SC','124241241117141311523614345121610137052',NULL,'332',0.00,1,3,NULL),(25,6360041,'1988-03-18 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124243241337173431436634591124610137182',NULL,'9997',20.48,1,3,NULL),(25,6360050,'1989-12-13 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124164161117273411259923345121610165182',14589,'9998',44.31,4,3,NULL),(25,6360068,'1975-02-10 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241248145171751615579296345610168187',NULL,'9997',6.39,1,2,1),(25,6360076,'1992-06-25 00:00:00',4,1,12,2010,'F','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124241241115131531546334575122610136147',17410,'65',37.25,1,2,1),(25,6360084,'1991-12-08 00:00:00',4,1,12,2009,'F','N','JARD VICTOR MEIRELES','STA RITA P QUATRO','SP','125254251215471431648672572124610116141',4787,'9998',58.72,1,3,NULL),(25,6360092,'1993-12-02 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124243241215112431438819472122610166095',8848,'737',50.01,1,3,NULL),(25,6360106,'1989-02-06 00:00:00',4,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','224243241337331441536614385114610117115',NULL,'285',25.46,1,3,NULL),(25,6360114,'1988-12-17 00:00:00',4,6,12,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124202201217575751466932375124130627047',5674,'9998',56.39,1,3,NULL),(25,6360130,'1979-01-01 00:00:00',4,1,12,1997,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','224211211116131421436641212124140722022',NULL,'9998',35.40,4,2,1),(25,6360149,'1994-06-17 00:00:00',4,4,12,2010,'F','N','CENTRO','BELMONTE','SC','124241241127131731457833212122610144057',NULL,'60',0.00,1,2,1),(25,6360157,'1991-02-25 00:00:00',4,1,12,2008,'M','N','BAIRRO PETRÓPOLIS','PTO ALEGRE','RS','120242241215373411589923572122131037042',2363,'270',67.96,1,3,NULL),(25,6360165,'1988-12-23 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124162168236275431358514375114610127045',16814,'9998',40.91,1,3,NULL),(25,6360173,'1994-03-25 00:00:00',4,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241115471411427914575124610168181',14174,'307',41.21,1,2,1),(25,6360181,'1994-02-20 00:00:00',4,7,12,2010,'F','N','ALVORADA','VIDEIRA','SC','124244241216372711446612575122610143182',10426,'829',45.34,1,3,NULL),(25,6360203,'1990-04-25 00:00:00',4,8,11,2007,'M','N','LA SALLE','PATO BRANCO','PR','116161161212514211463831571121610123182',6245,'9998',57.35,1,3,NULL),(25,6360211,'1992-07-27 00:00:00',4,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215274721466613395114133262072',NULL,'270',0.00,1,3,NULL),(25,6360220,'1992-04-10 00:00:00',4,6,12,2009,'F','N','SÃO CAETANO','CONTAGEM','MG','113223221116471431336833574124610124142',17946,'9998',33.53,2,1,2),(25,6360238,'1981-03-25 00:00:00',2,1,12,1999,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124202201217151731518573485124343062192',NULL,'9998',19.58,1,3,NULL),(25,6360246,'1977-10-02 00:00:00',2,3,12,1995,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','624241241146151411333679395125231968182',11988,'234',48.17,1,3,NULL),(25,6360254,'1987-10-22 00:00:00',2,1,7,2007,'M','N','SANTINHO','FLORIANÓPOLIS','SC','224243244335471411638613145114131068192',NULL,'9999',17.77,1,3,NULL),(25,6360262,'1991-12-20 00:00:00',4,8,11,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124241253244161412347834245124143238197',14442,'9998',44.53,1,3,NULL),(25,6360270,'1990-03-17 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217133432468921415122610117055',NULL,'270',0.00,1,3,NULL),(25,6360289,'1990-08-01 00:00:00',4,1,12,2007,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241126372231623331475114131447052',9809,'1088',47.65,1,2,1),(25,6360297,'1988-03-23 00:00:00',2,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201248315131711625511186324610127117',NULL,'290',15.65,1,3,NULL),(25,6360300,'1990-02-26 00:00:00',4,5,12,2007,'M','N','COMERCIARIO','CRICIÚMA','SC','124244241216112431326744145122133267042',16101,'9997',41.99,1,3,NULL),(25,6360319,'1990-12-28 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241217472431439632574124610134092',8356,'497',54.13,1,3,NULL),(25,6360327,'1984-05-14 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241248145171751614379296345610168197',NULL,'9997',0.00,1,2,1),(25,6360335,'1993-08-06 00:00:00',2,4,12,2010,'F','N','CENTRO','STA HELENA','SC','124241241136171731214341315125610137057',NULL,'687',19.14,1,2,1),(25,6360343,'1989-03-12 00:00:00',4,1,12,2006,'M','N','CENTRO','ARACAJU','SE','126262261216152421347923115132241462052',5563,'9998',59.64,4,3,NULL),(25,6360351,'1994-02-20 00:00:00',4,3,12,2010,'F','N','FANNY','CURITIBA','PR','116163161235471731636614245124610116097',NULL,'9998',0.00,1,3,NULL),(25,6360360,'1965-10-30 00:00:00',2,1,12,1987,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','224243248326361721323143231124610152167',NULL,'9999',8.70,1,3,NULL),(25,6360378,'1991-02-23 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201201137371431343364445114610137053',21183,'9998',30.15,1,3,NULL),(25,6360394,'1993-04-11 00:00:00',4,1,12,2011,'F','S','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217111711446652495124610138192',NULL,'988',0.00,1,3,NULL),(25,6360408,'1983-01-10 00:00:00',2,1,12,2002,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241246146134431424611172114121465177',NULL,'739',0.00,1,2,1),(25,6360416,'1993-03-18 00:00:00',2,10,12,2010,'F','N','CENTRO','IMBITUBA','SC','124241241215131441223329575224610121177',2466,'362',65.89,1,3,NULL),(25,6360424,'1989-05-12 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124241241215374431233619345124220522017',NULL,'1036',0.00,1,3,NULL),(25,6360432,'1993-10-06 00:00:00',2,1,11,2010,'F','N','FAZENDA','BIGUAÇU','SC','124241241115371431424515575124610164172',21018,'65',31.03,1,2,1),(25,6360440,'1993-12-02 00:00:00',2,15,12,2010,'F','N','SANGA DO ENGENHO','FORQUILHINHA','SC','124241241116371711436933475124610126152',16013,'1170',42.12,1,2,1),(25,6360459,'1992-07-16 00:00:00',4,10,12,2009,'F','N','ENCANTADA','GAROPABA','SC','124241241121161431437714345122610122142',NULL,'322',22.87,1,3,NULL),(25,6360467,'1989-06-04 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241411211411433311341321610126042',NULL,'300',21.24,4,3,NULL),(25,6360475,'1994-12-05 00:00:00',4,1,12,2012,'M','S','SACO GRANDE','FLORIANÓPOLIS','SC','224241241116131731526313575124610127062',NULL,'271',32.68,1,3,NULL),(25,6360483,'1968-02-15 00:00:00',2,8,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624246248635171751614579296345610168187',NULL,'9997',0.00,1,3,NULL),(25,6360491,'1992-04-07 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241243115271431223621572224610122187',10233,'306',45.86,1,2,1),(25,6360505,'1993-02-18 00:00:00',2,7,12,2010,'M','N','INTERIOR','IBICARÉ','SC','124241242115111431424315595124610126042',16305,'8',37.19,1,3,NULL),(25,6360513,'1992-03-10 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215372431338811575124610124182',5182,'738',59.32,1,3,NULL),(25,6360521,'1994-07-20 00:00:00',4,8,11,2010,'F','N','JARDIM AMÉRICA','VILHENA','RO','122222221216271431568813472122610133047',NULL,'9998',0.00,3,3,NULL),(25,6360530,'1992-08-20 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216142231288836575124221514142',NULL,'270',0.00,1,3,NULL),(25,6360548,'1992-10-02 00:00:00',2,6,12,2009,'M','N','VERENA','STA CRUZ SUL','RS','120201201117471231344417585124610137072',NULL,'9998',34.04,1,2,1),(25,6360556,'1977-07-15 00:00:00',2,1,1,1995,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124251251127131421224344245233610127097',NULL,'9997',0.00,4,2,1),(25,6360572,'1975-07-26 00:00:00',2,1,12,1992,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202201137142111356659491132141962114',10558,'9998',50.40,1,3,NULL),(25,6360580,'1990-11-14 00:00:00',2,1,12,2007,'F','N','ITACORIBI','FLORIANÓPOLIS','SC','124242251212575431336831575112133243097',8630,'1118',51.91,1,3,NULL),(25,6360599,'1993-09-04 00:00:00',2,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241248117371431323313295124610127142',NULL,'592',26.36,1,2,1),(25,6360602,'1985-02-19 00:00:00',4,1,7,2003,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241247247233431536669342331610114187',NULL,'9999',24.32,2,1,2),(25,6360610,'1988-12-20 00:00:00',2,1,12,2005,'F','N','RATONES','FLORIANÓPOLIS','SC','224241241126134731326554275124610164192',NULL,'307',21.91,1,2,1),(25,6360629,'1993-03-28 00:00:00',2,4,12,2009,'F','N','ARVOREDO','CONCÓRDIA','SC','124241241115471431446933572124610137072',7720,'858',52.46,1,2,1),(25,6360637,'1991-01-09 00:00:00',4,3,12,2008,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161217471451369933575124240444182',12312,'9998',47.67,1,3,NULL),(25,6360645,'1992-02-21 00:00:00',4,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241215142431326674245124630124112',15499,'1022',42.90,1,3,NULL),(25,6360653,'1992-12-13 00:00:00',2,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201248122131711625511182324610125057',NULL,'290',31.81,1,3,NULL),(25,6360661,'1993-11-30 00:00:00',4,1,12,2010,'M','N','PROGRESSO','S PEDRO SERRA','RS','120201201117161431436633571125610127047',18422,'9998',31.83,1,2,1),(25,6360670,'1993-12-28 00:00:00',2,7,12,2010,'M','N','MENINO DEUS','JOAÇABA','SC','124241242115111431526611595124610126042',NULL,'8',15.60,1,2,1),(25,6360696,'1993-10-08 00:00:00',2,4,12,2010,'M','N','CENTRO','ERVAL GRANDE','RS','120201201145131431426634346225610138052',NULL,'9998',14.41,1,2,1),(25,6360700,'1990-09-16 00:00:00',4,1,12,2007,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241116132431426624345124610164187',NULL,'591',34.85,1,3,NULL),(25,6360718,'1991-09-21 00:00:00',2,1,12,2009,'F','N','PQ BELVEDERE','S JOSÉ R PRETO','SP','125252251215471431458839571122610118182',NULL,'9998',0.00,1,3,NULL),(25,6360726,'1993-05-20 00:00:00',2,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241114271531423411591124610164052',20303,'307',33.75,3,2,1),(25,6360769,'1987-04-29 00:00:00',4,2,12,2004,'F','N','CENTRO','S VICENTE','SP','125251251126131431216321215124340226134',NULL,'9998',0.00,1,2,1),(25,6360777,'1987-12-26 00:00:00',2,1,12,2003,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127271431223453282123610124157',NULL,'757',34.87,1,3,NULL),(25,6360785,'1979-01-20 00:00:00',4,1,12,2001,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124241241111231431113131491114610116177',21587,'512',27.09,1,2,1),(25,6360793,'1964-04-01 00:00:00',4,1,12,1982,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','524073078333141751138843433334140364093',8163,'9998',54.58,1,3,NULL),(25,6360807,'1991-06-20 00:00:00',4,1,12,2008,'F','N','VILA CERQUEIRA','AMÉRICO BRASILIENSE','SP','125252251216572731458833575124610144072',2465,'9998',65.98,1,3,NULL),(25,6360815,'1985-05-13 00:00:00',2,1,12,2003,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241117133321623531342124130214042',21752,'275',23.96,4,1,1),(25,6360823,'1977-03-07 00:00:00',4,1,7,2003,'M','N','PASSA VINTE','PALHOÇA','SC','124241247125572421444423485124123222062',18610,'1009',30.74,2,1,1),(25,6360840,'1993-01-05 00:00:00',2,16,12,2010,'F','N','AGUA SANTA','CURITIBANOS','SC','124241244135471731423134182324610114057',19266,'239',36.35,4,2,1),(25,6360858,'1992-09-28 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215121431458711575122610127117',13384,'262',46.10,1,3,NULL),(25,6360866,'1985-10-01 00:00:00',2,1,11,2009,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241127472431213349293324610137087',18621,'289',34.58,4,2,1),(25,6360874,'1991-08-23 00:00:00',2,7,12,2010,'M','N','CENTRO','VARGEM BONITA','SC','124241242115111431323624595124610126142',NULL,'8',29.89,2,1,1),(25,6360882,'1992-05-18 00:00:00',4,10,12,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124242246215271731366814512122133262042',15747,'1120',42.53,1,3,NULL),(25,6360890,'1991-05-31 00:00:00',2,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241217132431634923442124233223147',NULL,'1022',15.58,1,3,NULL),(25,6360912,'1990-02-18 00:00:00',4,1,12,2007,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241116132431314424382224122264017',19359,'591',36.15,1,3,NULL),(25,6360920,'1992-03-15 00:00:00',2,1,12,2010,'M','N','CENTRO','URUBICI','SC','124244247236271431335622395122610167042',NULL,'9999',0.00,1,3,NULL),(25,6360955,'1993-01-20 00:00:00',4,7,12,2010,'F','N','CENTRO','AT BELA VISTA','SC','124241241126131431335332585122610126052',NULL,'14',0.00,4,2,1),(25,6360963,'1990-01-09 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241136373431436314475124610131187',15533,'307',42.86,1,2,1),(25,6360971,'1986-01-11 00:00:00',2,1,11,2007,'M','N','FORQUILHINHAS','S JOSÉ','SC','124243241126142431221823341134610127042',21425,'733',28.62,1,3,NULL),(25,6360980,'1990-03-09 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241416372431337733575114122945042',NULL,'904',0.00,1,3,NULL),(25,6360998,'1993-10-23 00:00:00',2,8,12,2010,'F','N','PINEVILLE','PINHAIS','PR','116163161215471441456932575122610125147',1971,'9998',68.67,1,3,NULL),(25,6361005,'1991-02-11 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124112161216472431188812575112221422182',2623,'9998',67.09,1,3,NULL),(25,6361021,'1983-06-07 00:00:00',4,1,12,2000,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117132411226643235123222324047',6592,'298',57.50,2,1,1),(25,6361030,'1988-07-12 00:00:00',4,1,7,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124131246116132741336329395134610132057',14878,'306',43.88,4,2,1),(25,6361048,'1989-01-13 00:00:00',4,4,12,2006,'F','N','CENTRO','IRANI','SC','124241241311151431324622395125231518072',NULL,'379',22.91,1,3,NULL),(25,6361056,'1989-01-03 00:00:00',2,1,6,2006,'M','N','FUNDOS','BIGUAÇU','SC','124243241317131421536933245122230827042',NULL,'9999',19.91,1,3,NULL),(25,6361064,'1994-05-04 00:00:00',4,1,12,2010,'M','N','SEGUNDO PLANO','DOURADOS','MS','112122121215111751468611592112610137047',NULL,'9998',13.30,1,3,NULL),(25,6361072,'1993-06-28 00:00:00',4,10,12,2010,'M','N','BELA VISTA','BRAÇO NORTE','SC','124241241115151431328624575111610128147',9166,'100',48.91,1,2,1),(25,6361080,'1979-12-23 00:00:00',4,1,12,1997,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224251251317151441223811575124342861192',13251,'9998',46.28,4,3,NULL),(25,6361099,'1985-02-12 00:00:00',2,1,12,2002,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224241241211575431232651191134422727142',NULL,'270',0.00,1,3,NULL),(25,6361102,'1990-10-25 00:00:00',2,2,12,2007,'M','N','VICTOR KONDER','BLUMENAU','SC','124162161216572411468613575124232422142',4301,'9998',60.17,1,3,NULL),(25,6361110,'1990-11-11 00:00:00',4,1,12,2007,'F','N','JARDIM PATRICIA','MOGI MIRIM','SP','125254251215571731678811571122610125092',NULL,'9998',0.00,1,3,NULL),(25,6361137,'1991-09-13 00:00:00',4,1,12,2008,'M','N','FERRAZ','GAROPABA','SC','124241241137153431436613245133610124047',15193,'322',43.42,1,2,1),(25,6361145,'1991-10-08 00:00:00',2,1,12,2009,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241117232431628829575124610167147',NULL,'288',17.21,1,2,1),(25,6361153,'1990-05-31 00:00:00',4,1,11,2007,'F','N','VERA CRUZ','PASSO FUNDO','RS','120204201216571731339831571124610124017',6027,'9998',58.70,2,1,2),(25,6361161,'1974-02-16 00:00:00',4,1,12,1994,'M','N','INGLESES','FLORIANÓPOLIS','SC','124202201316151431128842325122143247111',10997,'9998',49.69,1,3,NULL),(25,6361170,'1993-07-23 00:00:00',4,1,12,2010,'F','N','SANTA TERESA','S PEDRO ALCÂNTARA','SC','124241241124131731443334395134610127057',NULL,'869',24.84,1,2,1),(25,6361188,'1993-09-18 00:00:00',4,1,12,2010,'M','N','CENTRO','CPO GRANDE','MS','112122121216111441488812575112610167012',3367,'9998',61.83,1,3,NULL),(25,6361196,'1990-01-02 00:00:00',2,1,11,2010,'M','N','CAPÃO RASO','CURITIBA','PR','116162167335371411429629281124610163147',NULL,'9998',0.00,1,3,NULL),(25,6361200,'1992-07-13 00:00:00',2,1,12,2009,'F','N','RIO FARIAS','ANTÔNIO CARLOS','SC','124241241117372711623315572224610147067',10806,'21',48.50,1,2,1),(25,6361218,'1981-12-02 00:00:00',2,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124246247317271431257743435132333267062',NULL,'9999',0.00,4,3,NULL),(25,6361234,'1993-06-11 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215111231344831375115610114197',12355,'226',47.60,1,3,NULL),(25,6361242,'1964-08-22 00:00:00',2,2,12,1982,'M','N','MARTINHO STEIN','TIMBÓ','SC','224241241216161431433642125132330243097',NULL,'653',0.00,1,3,NULL),(25,6361250,'1992-06-01 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215373431444311272124131224072',11681,'738',48.63,1,3,NULL),(25,6361285,'1990-04-24 00:00:00',4,1,12,2007,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241235373441479714475124230167041',NULL,'266',36.20,1,3,NULL),(25,6361293,'1993-07-23 00:00:00',4,16,12,2010,'M','N','INTERIOR','CURITIBANOS','SC','124241241115131631423416576344610167057',21360,'1129',29.07,1,2,1),(25,6361307,'1992-06-19 00:00:00',4,3,12,2010,'M','N','CAJURU','CURITIBA','PR','116162163117371232458414375124610134042',NULL,'9998',0.00,1,3,NULL),(25,6361315,'1992-09-09 00:00:00',2,1,11,2010,'F','N','SANTA CÂNDIDA','CURITIBA','PR','116162161217471431533674372114610132157',NULL,'9998',0.00,1,3,NULL),(25,6361323,'1989-07-01 00:00:00',4,1,12,2006,'M','N','PASSAGEM MASSIAMBU','PALHOÇA','SC','124242241211155432447731572144223227045',NULL,'266',0.00,1,3,NULL),(25,6361358,'1989-02-05 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241216155431667633575112120562172',6233,'1118',58.25,1,3,NULL),(25,6361366,'1984-04-23 00:00:00',4,1,12,1998,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241127153711348832225132130227041',19080,'9997',36.79,1,3,NULL),(25,6361374,'1979-10-11 00:00:00',2,1,12,2004,'M','N','TAPERA','FLORIANÓPOLIS','SC','124243241122133711333319242334230817042',NULL,'9997',0.00,2,1,2),(25,6361382,'1984-11-26 00:00:00',4,8,12,2001,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241126271431433319385112233234091',14625,'483',38.27,1,3,NULL),(25,6361390,'1992-01-20 00:00:00',2,1,12,2009,'F','N','BELA VISTA I','S JOSÉ','SC','124242241211372431448413375124610134092',16493,'738',41.40,1,3,NULL),(25,6361404,'1992-06-19 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215572431557924372122610162072',NULL,'1119',33.93,1,3,NULL),(25,6361412,'1993-05-20 00:00:00',2,4,12,2010,'F','N','ATLÂNTICO','ERECHIM','RS','120201201127131431223329241124610123047',NULL,'9998',0.00,1,2,1),(25,6361420,'1993-01-06 00:00:00',4,4,12,2010,'F','N','INTERIOR','MAREMA','SC','124241241126131431434336576322610137057',21099,'554',24.69,1,2,1),(25,6361439,'1992-01-15 00:00:00',2,1,6,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241347131231326611115124610133147',NULL,'9999',35.09,1,3,NULL),(25,6361447,'1993-10-15 00:00:00',2,1,12,2010,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241115151731533319576124610124027',NULL,'592',24.55,1,2,1),(25,6361480,'1979-02-23 00:00:00',2,15,12,2009,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','224201201117131421233344442122610117063',NULL,'9998',40.82,4,2,1),(25,6361498,'1991-05-18 00:00:00',4,8,12,2008,'F','N','BOQUEIRÃO','PR GRANDE','SP','125252251216571431346622575122610138197',NULL,'9998',0.00,3,3,NULL),(25,6361501,'1987-04-27 00:00:00',4,1,12,2004,'F','N','BOQUEIRAO','CURITIBA','PR','116161161116131451433629382124610135183',NULL,'9998',28.13,1,3,NULL),(25,6361510,'1993-11-19 00:00:00',4,7,12,2010,'M','N','CENTRO','IPIRA','SC','124241241117371431336923575125610127092',NULL,'369',0.00,1,2,1),(25,6361528,'1992-05-26 00:00:00',2,1,12,2009,'M','N','RIO GRANDE','PALHOÇA','SC','124241241122271431623321111314610116042',19754,'591',35.26,4,2,1),(25,6361536,'1991-03-28 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241416275131435933185124222727097',NULL,'307',0.00,1,3,NULL),(25,6361544,'1993-01-31 00:00:00',4,16,12,2010,'F','N','SAO JOSE','CURITIBANOS','SC','124241241124211731511425342222610167044',NULL,'239',0.00,1,3,NULL),(25,6361560,'1961-05-01 00:00:00',3,1,12,1978,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','524202201216152411448342325122141912182',NULL,'9998',0.00,1,3,NULL),(25,6361579,'1988-12-03 00:00:00',4,1,11,2006,'M','N','KOBRASOL','S JOSÉ','SC','124242241215575512368833577112233234077',9260,'737',48.93,1,3,NULL),(25,6361595,'1993-08-04 00:00:00',2,1,12,2010,'F','N','RIO CUBATÃO','ÁGUAS MORNAS','SC','124241241114141431324435572222610147054',NULL,'978',32.44,1,3,NULL),(25,6361609,'1990-04-27 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241247147272411427619492124610122117',14755,'9999',40.07,1,2,1),(25,6361617,'1991-10-10 00:00:00',4,1,12,2008,'M','N','ALTO DA BOA VISTA','SOROCABA','SP','125251251314571431444924445132610132047',15568,'9998',37.05,1,3,NULL),(25,6361625,'1992-09-29 00:00:00',4,2,11,2010,'M','N','SÃO LUIS','BRUSQUE','SC','124242241215371431459614445112610127112',NULL,'107',0.00,1,3,NULL),(25,6361633,'1989-12-23 00:00:00',4,1,12,2006,'M','N','GUARUJÁ','PTO ALEGRE','RS','120201201117151411458913575114141144056',NULL,'9998',0.00,1,2,1),(25,6361641,'1992-08-08 00:00:00',4,1,12,2009,'F','N','CENTRO','TIJUCAS','SC','124242241215471431326724271124610136092',NULL,'781',0.00,1,3,NULL),(25,6361650,'1993-05-05 00:00:00',4,3,12,2010,'F','N','ALDEIA PALMEIRA','JOSÉ BOITEUX','SC','124241241124161311523633575122610164052',21790,'886',20.96,5,4,NULL),(25,6361668,'1992-04-23 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241435411431536933215112610118063',NULL,'1022',22.21,1,3,NULL),(25,6361676,'1992-04-27 00:00:00',4,1,11,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215112751453912345122610162045',8160,'272',50.54,1,3,NULL),(25,6361692,'1990-08-22 00:00:00',2,1,11,2007,'F','N','CENTRO','CAÇADOR','SC','124242241216575431458932572115610117072',5574,'270',56.27,1,3,NULL),(25,6361706,'1988-05-27 00:00:00',4,1,12,2005,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241211145431558912274122231052127',961,'262',73.73,1,3,NULL),(25,6361714,'1970-11-04 00:00:00',4,1,7,1989,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','224241248116135731443353485124222361192',20729,'306',32.23,1,3,NULL),(25,6361722,'1982-10-07 00:00:00',2,1,12,2010,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124241247122131431536369292134610168172',17731,'9999',39.35,1,2,1),(25,6361730,'1986-02-05 00:00:00',4,1,12,2003,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124241241117133421423379242334610113195',NULL,'727',0.00,1,3,NULL),(25,6361749,'1992-01-21 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241132471731323444345124610167057',NULL,'733',30.07,4,2,1),(25,6361757,'1992-06-05 00:00:00',2,7,7,2009,'M','N','SANTA TEREZA','JOAÇABA','SC','124242241236471731446912375122131362072',14978,'9997',43.73,1,3,NULL),(25,6361765,'1991-02-15 00:00:00',2,16,12,2010,'M','N','SAO JOSE','CURITIBANOS','SC','124241241132571751423424595121610118055',21611,'239',26.72,1,2,1),(25,6361773,'1992-08-22 00:00:00',2,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124242241216272431336611575124223267042',8717,'1022',53.57,1,3,NULL),(25,6361781,'1994-05-28 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241216111431448714172124610113182',18135,'1022',38.59,1,3,NULL),(25,6361790,'1993-05-25 00:00:00',2,1,8,2011,'F','S','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241247434371431425623175124610122017',NULL,'9999',22.41,4,3,NULL),(25,6361803,'1981-12-08 00:00:00',2,1,11,1998,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124201201116131711228944445224610138187',15654,'9998',38.03,4,2,1),(25,6361820,'1993-05-17 00:00:00',4,1,12,2010,'M','N','CENTRO','GAROPABA','SC','124241241127161432325369382121610137067',NULL,'322',26.27,1,2,1),(25,6361838,'1993-10-17 01:00:00',4,10,11,2010,'M','N','BATEL','CURITIBA','PR','116242168215111711458812592115610117117',5236,'9998',57.64,1,3,NULL),(25,6361846,'1992-06-08 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241215472431458613435124610124072',7294,'1197',53.02,1,3,NULL),(25,6361854,'1988-04-26 00:00:00',5,1,9,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241248327271411523519145124610134057',NULL,'9997',0.00,2,3,NULL),(25,6361862,'1992-05-08 00:00:00',4,1,7,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431257823592112610112017',16602,'9999',37.81,4,3,NULL),(25,6361889,'1992-10-22 00:00:00',2,1,12,2009,'M','N','FORQUILHAS','S JOSÉ','SC','124243241217472431546414275124610147182',18697,'9997',37.56,1,3,NULL),(25,6361897,'1991-12-06 00:00:00',4,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215272431259921495124233234092',10507,'270',45.52,1,3,NULL),(25,6361900,'1990-11-25 00:00:00',2,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241146213311223344345124610117052',20657,'290',27.50,1,2,1),(25,6361927,'1993-03-19 00:00:00',4,16,12,2010,'F','N','INTERIOR','CURITIBANOS','SC','124241241115472431423315591222610117145',NULL,'239',31.48,1,2,1),(25,6361935,'1990-09-04 00:00:00',4,15,12,2007,'F','N','LINHA SÃO PEDRO','JACINTO MACHADO','SC','124241245137131431523415252123231213047',21097,'420',30.67,1,2,1),(25,6361943,'1991-02-25 00:00:00',4,1,11,2008,'M','N','CENTRO','CATUÍPE','RS','120201201217571331247934575115610164047',1420,'9998',69.06,1,3,NULL),(25,6361951,'1991-02-21 00:00:00',2,6,12,2008,'F','N','AFONSO PENA','S JOSÉ PINHAIS','PR','116164165216572441576832374122610127147',1907,'9998',68.18,1,3,NULL),(25,6361960,'1990-10-10 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216472421469833575124221434097',NULL,'185',0.00,1,3,NULL),(25,6361994,'1992-09-10 00:00:00',2,1,12,2009,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241131272431426514342114610167057',NULL,'772',21.87,1,2,1),(25,6362001,'1992-07-26 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243248315113532534234185122610117041',NULL,'1036',12.94,1,3,NULL),(25,6362010,'1989-03-11 00:00:00',4,1,7,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247215152631535929395124610167077',15707,'9999',42.59,1,3,NULL),(25,6362028,'1987-02-12 00:00:00',2,1,2,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241112233221433411172112610117042',19615,'267',35.54,1,3,NULL),(25,6362036,'1992-10-15 00:00:00',4,15,12,2010,'F','N','IGRA','TORRES','RS','120201201115131431428613385121610163177',18605,'9998',31.04,4,2,1),(25,6362044,'1993-03-21 00:00:00',4,10,12,2010,'F','N','VILA NOVA','BRAÇO NORTE','SC','124241241115271431436414282122610124182',18651,'100',31.87,1,2,1),(25,6362052,'1990-12-08 00:00:00',2,1,11,2008,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215274431338869472114610132071',6325,'270',58.09,2,1,2),(25,6362060,'1992-10-02 00:00:00',4,1,12,2009,'M','N','JARDIM DAS PALMEIRAS','PALHOÇA','SC','124241241146272431436314375112610164142',8150,'595',51.09,1,2,1),(25,6362079,'1985-02-27 00:00:00',4,1,12,2002,'F','N','BELA VISTA','S JOSÉ','SC','124241241217155721353611415124330263142',NULL,'738',0.00,1,3,NULL),(25,6362087,'1993-02-03 00:00:00',4,8,12,2009,'F','N','CENTRO','PNT GROSSA','PR','116202161216471431548811575114610168147',6387,'9998',56.81,1,3,NULL),(25,6362095,'1987-01-27 00:00:00',2,5,12,2004,'M','N','VILA RICA','CRICIÚMA','SC','124241248117131211326314485124610127062',NULL,'209',0.00,4,3,NULL),(25,6362109,'1990-07-09 00:00:00',4,8,11,2007,'M','N','JARDIM NENA','SUZANO','SP','125251251126571411336723475124141014112',NULL,'9998',0.00,4,2,1),(25,6362117,'1993-07-19 00:00:00',4,7,12,2010,'F','N','INTERIOR','IPIRA','SC','124241241117271731525316575124610133142',NULL,'369',10.51,1,2,1),(25,6362125,'1988-01-18 00:00:00',2,3,12,2005,'F','N','AREIAS','CAMBORIÚ','SC','124241241145374431623319282224610133187',7767,'130',53.17,2,1,1),(25,6362133,'1990-09-27 00:00:00',2,8,12,2007,'M','N','PALMITAL','PARANAGUÁ','PR','116161161217571111548821117225610147047',1033,'9998',72.65,3,3,NULL),(25,6362141,'1992-12-09 00:00:00',4,1,11,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124162161216113431448933475121221427052',NULL,'9998',0.00,1,3,NULL),(25,6362150,'1989-07-14 00:00:00',4,1,12,2006,'M','N','JARDIM ROSSINE','PEDERNEIRAS','SP','125254251215571411356611471122140647092',2028,'9998',67.17,4,3,NULL),(25,6362168,'1985-10-03 00:00:00',4,1,12,2003,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','125251251117575431436611482115610164041',3070,'9998',63.30,1,2,1),(25,6362176,'1992-04-19 00:00:00',2,1,12,2009,'F','N','JARDIM AQUARIUS','PALHOÇA','SC','124246241117152731346413572124230223142',10802,'733',46.88,1,3,NULL),(25,6362184,'1976-10-13 00:00:00',4,1,12,1993,'M','N','FORQUILHAS','S JOSÉ','SC','224242241432134411436644342334121114047',15712,'272',42.58,1,3,NULL),(25,6362192,'1985-05-13 00:00:00',4,1,12,2003,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241136145421338523345123610137067',NULL,'257',0.00,1,2,1),(25,6362214,'1991-01-10 00:00:00',4,1,12,2008,'F','N','PORTO XV','ENCANTADO','RS','120202201217511421479914575124610114182',NULL,'9998',0.00,1,3,NULL),(25,6362230,'1993-04-26 00:00:00',4,1,12,2010,'M','N','IBIRAQUERA','IMBITUBA','SC','124241241126131421423317182224610167077',NULL,'361',31.19,1,2,1),(25,6362249,'1990-12-19 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124204241116152431436621392123233227057',17407,'257',39.91,1,3,NULL),(25,6362257,'1986-10-31 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241317473431348833485114610164097',4602,'1022',61.78,4,3,NULL),(25,6362265,'1987-11-30 00:00:00',2,1,11,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241126373731223544441134133234173',13357,'292',42.05,4,2,1),(25,6362273,'1987-07-01 00:00:00',4,1,12,2004,'M','N','CENTRO','GUAPORÉ','RS','120203201116152411456632485121241464047',NULL,'9998',0.00,1,3,NULL),(25,6362281,'1994-02-19 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124243241337371431349724275114610117052',NULL,'733',26.64,1,3,NULL),(25,6362290,'1975-08-04 00:00:00',4,1,12,1992,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241216133431226849392124121136183',15588,'226',42.78,1,3,NULL),(25,6362303,'1992-04-11 00:00:00',4,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215374441368933475124610164192',2957,'1022',64.45,1,3,NULL),(25,6362311,'1991-10-31 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215272431477832575112221462012',2272,'883',68.27,1,3,NULL),(25,6362320,'1993-12-15 00:00:00',2,4,12,2010,'F','N','CENTRO','S MIGUEL B VISTA','SC','124241241126161731633623575122610136057',NULL,'1015',15.82,1,2,1),(25,6362338,'1988-12-10 00:00:00',4,1,12,2006,'M','N','JARDIM SANTIAGO','S JOSÉ','SC','124244241416472421336724445123610117182',9864,'734',49.42,1,3,NULL),(25,6362354,'1988-05-16 00:00:00',4,1,12,2006,'M','N','CHÁCARA INGLESA','S PAULO','SP','125252251217471431367831385125140664176',3090,'9998',63.97,1,3,NULL),(25,6362362,'1972-10-05 00:00:00',2,1,12,1988,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241212152431127641315122322036097',NULL,'266',0.00,1,3,NULL),(25,6362370,'1991-04-17 00:00:00',2,1,12,2008,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241136373411433424595122610115052',NULL,'607',0.00,1,2,1),(25,6362389,'1993-10-28 00:00:00',2,1,12,2010,'F','N','FUNDOS','BIGUAÇU','SC','124241241115141431433711292124610167037',13114,'65',46.44,1,2,1),(25,6362397,'1993-02-08 00:00:00',4,8,12,2006,'M','N','PROGRESSO','S BENTO SUL','SC','124243241115271711648834575125610138017',17432,'698',39.88,4,1,2),(25,6362400,'1973-04-24 00:00:00',2,1,12,1989,'M','N','ARIRIÚ','PALHOÇA','SC','224161162136273421364843235124140314183',NULL,'9998',19.98,1,3,NULL),(25,6362419,'1991-03-28 00:00:00',4,1,12,2008,'M','N','BELA VISTA','S JOSÉ','SC','124242241215475441544634375114610167181',2601,'1036',66.18,1,3,NULL),(25,6362427,'1991-12-26 00:00:00',4,8,11,2009,'F','N','BATEL','CURITIBA','PR','116242244216472431469912595122610122012',NULL,'1063',0.00,1,3,NULL),(25,6362435,'1992-06-15 00:00:00',4,8,12,2009,'M','N','ITAUM','JOINVILLE','SC','124243241346141731228444145121610127181',16782,'459',40.96,1,3,NULL),(25,6362451,'1990-11-18 00:00:00',4,5,6,2008,'M','N','PRESIDENTE VARGAS','IÇARA','SC','124243243215471441236923275124132824147',1508,'995',68.80,1,3,NULL),(25,6362460,'1992-05-18 00:00:00',2,15,12,2009,'M','N','RUI BARBOSA','MONTENEGRO','RS','120201201117132431336819273112610147047',NULL,'9998',NULL,1,2,1),(25,6362486,'1993-10-22 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431437831575112610167042',NULL,'1022',41.26,1,3,NULL),(25,6362494,'1988-11-11 00:00:00',4,1,6,2007,'M','N','PONTA GROSSA','PTO ALEGRE','RS','120203201436572411438833481114610114112',13376,'9998',46.11,3,3,NULL),(25,6362508,'1986-12-25 00:00:00',4,1,12,2004,'F','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124244241411273431358979475124122324183',17520,'269',39.71,1,3,NULL),(25,6362524,'1993-06-08 00:00:00',4,1,12,2010,'F','N','CENTRO','S GABRIEL OESTE','MS','112122121215111511478812575112610166153',6184,'9998',55.33,1,3,NULL),(25,6362540,'1987-12-08 00:00:00',4,1,12,2004,'F','N','CIDADE A E CARVALHO','S PAULO','SP','125251251114371331558913445124610118097',NULL,'9998',0.00,1,2,1),(25,6362559,'1989-03-13 00:00:00',2,5,12,2006,'M','N','SANTA BARBARA','CRICIÚMA','SC','124241241112372431224819392325610127047',NULL,'1096',24.31,2,1,1),(25,6362567,'1992-03-25 00:00:00',2,3,12,2010,'M','N','MUNICIPIOS','BAL CAMBORIÚ','SC','124241241145141431435923395212610117047',NULL,'51',20.25,2,1,1),(25,6362583,'1992-06-08 00:00:00',2,2,12,2009,'F','N','CARIJÓS','INDAIAL','SC','124241241136141531423314345131610133187',NULL,'365',0.00,1,2,1),(25,6362605,'1991-12-19 00:00:00',4,3,12,2009,'M','N','SÃO CRISTÓVÃO','CAPINZAL','SC','124241247425131431528832591121610167052',NULL,'1093',37.90,1,3,NULL),(25,6362613,'1989-06-29 00:00:00',2,1,12,2006,'F','N','PANAZZOLO','CAXIAS SUL','RS','120201201216573431237721392124610127097',907,'9998',73.06,1,3,NULL),(25,6362621,'1981-04-06 00:00:00',2,1,12,2000,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','624201207316133441446454245124141022157',19908,'9998',34.85,1,3,NULL),(25,6362648,'1993-09-17 00:00:00',4,4,12,2010,'M','N','CENTRO','ERECHIM','RS','120201201116211431433616595124610145047',2960,'9998',62.97,4,2,1),(25,6362656,'1991-11-07 00:00:00',4,8,12,2009,'F','N','JARDIM PEREIRA','OLÍMPIA','SP','125252251216371431567816572122610136187',NULL,'9998',0.00,1,3,NULL),(25,6362664,'1986-03-17 00:00:00',4,1,12,2005,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124271271121141431223649491211142724172',NULL,'9998',34.94,3,3,NULL),(25,6362672,'1969-07-19 00:00:00',4,1,12,1987,'M','N','CENTRO','UNIÃO VITÓRIA','PR','424242246216115421628843435124120762092',4117,'494',62.99,1,3,NULL),(25,6362680,'1988-05-03 00:00:00',2,1,3,2007,'M','N','AREIAS','S JOSÉ','SC','124241248122132131526313341124610111041',NULL,'730',15.54,1,3,NULL),(25,6362699,'1992-08-13 00:00:00',4,1,12,2009,'M','N','JD PINHEIROS','S JOSÉ R PRETO','SP','113254251215471431468819571125610118182',584,'9998',76.85,1,3,NULL),(25,6362702,'1992-12-06 00:00:00',2,1,12,2009,'M','N','STO ANTONIO LISBOA','FLORIANÓPOLIS','SC','124242241217272431488812575112130227042',18854,'1048',37.23,1,3,NULL),(25,6362710,'1992-01-10 00:00:00',2,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241115371731326529381214610117042',15866,'288',38.33,1,2,1),(25,6362737,'1992-11-06 00:00:00',4,17,12,2010,'M','N','SÃO PEDRO','PTO UNIÃO','SC','124242241215141431548812245122613264042',10724,'632',45.49,1,3,NULL),(25,6362745,'1992-01-29 00:00:00',4,1,12,2008,'M','N','JARDIM ALEGRE','TELÊMACO BORBA','PR','116161161416371431356914582124610127093',NULL,'9998',31.07,1,3,NULL),(25,6362761,'1983-04-08 00:00:00',4,4,12,2000,'M','N','CENTRO','CASCAVEL','PR','116162164235571411439613185122541565057',1363,'9998',70.71,1,3,NULL),(25,6362788,'1990-09-28 00:00:00',4,2,11,2008,'F','N','JARDIM DABRIL','OSASCO','SP','125254251217571441346669575124610142097',NULL,'9998',0.00,1,3,NULL),(25,6362796,'1993-12-29 00:00:00',2,1,12,2010,'F','N','VENDAVAL','BIGUAÇU','SC','124241241115111331633314575124610126047',NULL,'21',0.00,1,2,1),(25,6362800,'1976-12-17 00:00:00',2,15,12,1993,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241316154731423419215124620636092',21130,'30',30.50,1,3,NULL),(25,6362818,'1991-06-03 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124241241127272421633329345314610123192',NULL,'736',0.00,1,2,1),(25,6362826,'1989-12-14 00:00:00',4,1,12,2007,'M','N','SACO LIMÕES','FLORIANÓPOLIS','SC','124241248217574411479611495124131414125',8114,'991',54.67,1,3,NULL),(25,6362834,'1994-02-15 00:00:00',4,7,12,2001,'F','N','CENTRO','IPIRA','SC','124241241112271431436913574122610126177',9364,'369',48.02,1,2,1),(25,6362842,'1993-09-19 00:00:00',2,1,11,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215131231449813575122610117052',NULL,'1022',30.09,1,3,NULL),(25,6362850,'1993-01-02 00:00:00',4,3,12,2009,'M','N','CENTRO','NOVA ANDRADINA','MS','112124121216471431556814575122610117044',NULL,'9998',0.00,1,3,NULL),(25,6362877,'1993-03-12 00:00:00',4,8,12,2010,'M','N','CENTRO','ASSIS CHATEAUBRIAND','PR','116163161216121711344634575111610122142',NULL,'9998',0.00,1,3,NULL),(25,6362885,'1989-08-04 00:00:00',2,16,12,2006,'F','N','BOSQUE','CURITIBANOS','SC','124241241126371431433315475124610166097',10051,'911',46.71,1,2,1),(25,6362893,'1982-10-22 00:00:00',2,1,12,2000,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224241247126241411467651115123131367187',NULL,'9999',0.00,4,2,1),(25,6362907,'1994-04-06 00:00:00',2,1,11,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217171751447814575122610167041',NULL,'262',45.66,1,3,NULL),(25,6362915,'1986-07-12 00:00:00',2,1,12,2002,'M','N','ARMAÇÃO DO PANTANO D','FLORIANÓPOLIS','SC','124251258127131431538341315124610125172',19158,'9998',36.63,1,3,NULL),(25,6362923,'1980-04-21 00:00:00',4,8,8,1998,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124244246146253431336641415124231437071',NULL,'306',0.00,1,3,NULL),(25,6362931,'1989-06-21 00:00:00',2,7,11,2006,'F','N','MORADA DO SOL','VIDEIRA','SC','124244241216472431358832275125130847182',3854,'969',61.93,1,3,NULL),(25,6362940,'1990-12-04 00:00:00',2,15,12,2007,'M','N','ESPIGÃO DA PEDRA','ARARANGUÁ','SC','124241241116131431423335345124610127042',NULL,'209',17.32,1,3,NULL),(25,6362958,'1994-10-13 00:00:00',4,2,12,2011,'M','S','CENTRO','POMERODE','SC','124242241212161431369912175122610162092',NULL,'624',50.23,1,3,NULL),(25,6362974,'1993-12-19 00:00:00',4,1,12,2010,'F','N','CENTRO','IBIPORÃ','PR','116162161216111411438813575122610126182',NULL,'9998',0.00,1,3,NULL),(25,6362982,'1993-06-29 00:00:00',4,1,11,2010,'M','N','CENTRO','PASSO FUNDO','RS','120204201235371531459919572115610124047',13119,'9998',46.44,1,3,NULL),(25,6362990,'1986-11-07 00:00:00',2,1,12,2004,'M','N','PACHECO','PALHOÇA','SC','124241241126131431556613245123231017042',NULL,'593',29.37,1,2,1),(25,6363016,'1991-09-09 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242247417131731338823472324610128182',NULL,'9999',38.49,1,3,NULL),(25,6363024,'1993-01-22 00:00:00',2,1,12,2010,'F','N','CENTRO','BIGUAÇU','SC','124241241115272431324319576324610133147',20990,'65',31.12,1,2,1),(25,6363032,'1990-10-23 00:00:00',4,8,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241235152431328923382124221464177',5503,'1063',59.76,1,3,NULL),(25,6363040,'1973-06-13 00:00:00',4,1,12,2002,'M','N','MARAJOARA','STO ANDRÉ','SP','125253257126374711221141115121143047112',10333,'9998',47.17,1,3,NULL),(25,6363059,'1993-03-01 00:00:00',2,1,12,2010,'F','N','UNIVERSITÁRIO','CPO GRANDE','MS','112123121235121431428313135123541034147',4201,'9998',61.75,4,3,NULL),(25,6363075,'1989-02-10 00:00:00',4,1,7,2010,'M','N','BARRO PRETO','BELO HORIZONTE','MG','113133131116471411113863385124241966197',NULL,'9998',0.00,4,3,NULL),(25,6363083,'1991-04-24 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241216272711335629345125122967022',NULL,'738',21.84,1,3,NULL),(25,6363105,'1993-04-26 00:00:00',4,7,12,2010,'F','N','ANZOLIN','JOAÇABA','SC','124243241116471441459914575122610134197',3387,'341',62.39,1,3,NULL),(25,6363113,'1993-01-07 00:00:00',2,4,12,2010,'M','N','JARDIM AMÉRICA','CHAPECÓ','SC','124241241137271431446614242124610124052',17092,'174',40.46,1,2,1),(25,6363121,'1993-06-24 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124241241115471531428815295124610122142',NULL,'320',0.00,1,3,NULL),(25,6363130,'1992-03-23 00:00:00',2,3,11,2009,'M','N','CENTRO','RINÓPOLIS','SP','125251251215411431534613575122610127042',8078,'9998',50.71,1,3,NULL),(25,6363148,'1995-11-29 00:00:00',4,1,12,2012,'M','S','CENTRO','XANXERÊ','SC','124242241217151431469933575121610127142',NULL,'1081',33.19,1,3,NULL),(25,6363156,'1993-02-26 00:00:00',4,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242247216412711444432225124610122042',NULL,'977',34.05,1,3,NULL),(25,6363164,'1993-06-25 00:00:00',4,1,12,2009,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241216471431466912572124610114147',13801,'962',41.21,1,3,NULL),(25,6363172,'1988-04-11 00:00:00',2,4,12,2005,'F','N','CENTRO','S BERNARDINO','SC','124241241127132431545315355122241027057',NULL,'701',0.00,1,2,1),(25,6363180,'1993-01-15 00:00:00',2,1,12,2010,'M','N','PASSO DOS RAMOS','STO ANTÔNIO PATRULHA','RS','120201201117161731335419345121610127057',14083,'9998',40.15,1,2,1),(25,6363199,'1993-02-18 00:00:00',2,1,12,2009,'F','N','VILA OLIMPIA','S PAULO','SP','125252251211211431234921571124610128127',11600,'9998',43.81,1,3,NULL),(25,6363202,'1981-07-22 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241248145171751623379296345610168197',21701,'9997',25.17,1,2,1),(25,6363210,'1982-12-27 00:00:00',2,8,12,2001,'F','N','SANTA FÉ','PTO ALEGRE','RS','120203201117231431658614492124142018147',NULL,'9998',37.16,1,3,NULL),(25,6363229,'1993-10-08 00:00:00',4,5,12,2010,'M','N','SÃO SEBASTIÃO','CRICIÚMA','SC','124241241127141532535833241224610137051',NULL,'214',26.70,2,2,1),(25,6363237,'1992-04-21 00:00:00',2,1,12,2009,'F','N','ESTALEIRINHO','BAL CAMBORIÚ','SC','124241242115373431436621575124121436147',4527,'129',60.04,1,2,1),(25,6363245,'1991-07-23 00:00:00',4,1,12,2009,'M','N','VILA NOGUEIRA','CAMPINAS','SP','125254251217471411458714435114610162047',6929,'9998',56.87,1,3,NULL),(25,6363253,'1992-04-23 00:00:00',2,4,12,2009,'M','N','BOM FIM','STA MARIA','RS','120202201217371431556612372125610167147',NULL,'9998',0.00,1,3,NULL),(25,6363261,'1992-01-06 00:00:00',4,1,12,2009,'M','N','CENTRO','IJUÍ','RS','120203201116231431367913575124610167042',9291,'9998',48.76,4,1,2),(25,6363270,'1990-08-30 00:00:00',4,1,12,2008,'F','N','JD PRIMAVERA','POMPÉIA','SP','125251251126271431423311175124640126087',14579,'9998',38.92,4,2,1),(25,6363296,'1990-10-08 00:00:00',4,8,12,2010,'M','N','CENTRO','BOTUCATU','SP','125251251117471231433631275122610165042',NULL,'9998',0.00,1,2,1),(25,6363300,'1993-09-22 00:00:00',4,6,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124252241215121411238831571122610164142',4920,'1038',59.41,1,3,NULL),(25,6363318,'1993-07-09 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241236121731456611575114610167041',16816,'270',40.91,1,3,NULL),(25,6363334,'1991-05-29 00:00:00',2,1,12,2008,'M','N','SERRARIAS','S JOSÉ','SC','124241241125273431433954342124610167043',14217,'66',44.84,4,2,1),(25,6363350,'1983-03-10 00:00:00',2,1,12,2000,'F','N','INGLESES','FLORIANÓPOLIS','SC','624052055212271431223374382324610121027',19794,'9998',28.44,2,1,2),(25,6363369,'1984-01-17 00:00:00',4,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251216572431115848485122521122057',6943,'9998',56.85,1,3,NULL),(25,6363377,'1994-01-19 00:00:00',2,7,12,2010,'F','N','VILA PEDRINI','JOAÇABA','SC','124201241115271431227712385124610138057',NULL,'449',33.38,1,2,1),(25,6363393,'1990-07-17 00:00:00',4,1,12,2010,'M','N','SANTANA','STO AMARO IMPERATRIZ','SC','124241241125141431423319115113610117172',NULL,'772',0.00,1,2,1),(25,6363407,'1993-08-22 00:00:00',4,10,12,2010,'F','N','SANTIAGO','LAGUNA','SC','124241241116271431326511485124610116142',21177,'521',23.87,1,2,1),(25,6363423,'1993-08-26 00:00:00',4,9,11,2010,'M','N','SEMINÁRIO','ITUPORANGA','SC','124242241217271411468832275112610136052',10316,'1173',47.10,1,3,NULL),(25,6363431,'1993-07-17 00:00:00',4,1,12,2010,'M','N','CENTRO','GUAPORÉ','RS','120203201217151441438813572115610136097',7247,'9998',56.27,1,3,NULL),(25,6363440,'1979-09-20 00:00:00',2,1,12,2005,'F','N','IPIRANGA','S JOSÉ','SC','124241247222133431226644242234610122147',NULL,'9999',0.00,1,3,NULL),(25,6363458,'1981-01-15 00:00:00',5,1,12,1998,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224241241126154431236553185124320521192',NULL,'9997',0.00,1,3,NULL),(25,6363466,'1993-02-12 00:00:00',4,4,12,2010,'M','N','CENTRO','ANCHIETA','SC','124241241125111331433934245125610162147',16353,'16',36.33,1,3,NULL),(25,6363474,'1983-01-12 00:00:00',4,1,12,1999,'M','N','TIRNDADE','FLORIANÓPOLIS','SC','124244241212112431126644245124121434043',NULL,'270',0.00,1,3,NULL),(25,6363482,'1988-01-24 00:00:00',2,8,12,2005,'F','N','SETOR INDUST NORTE','SINOP','MT','116113161436372731546512375321141525032',NULL,'9998',0.00,1,3,NULL),(25,6363490,'1989-05-02 00:00:00',2,1,12,2006,'M','N','REAL PARQUE','S JOSÉ','SC','124241241116274432635613345133230227042',NULL,'734',39.02,1,2,1),(25,6363504,'1990-06-05 00:00:00',2,2,12,2007,'M','N','TAPAJÓS','INDAIAL','SC','124241241116131411558923345124231424157',15409,'365',43.04,1,2,1),(25,6363512,'1990-10-09 00:00:00',2,1,12,2008,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241216153431468931592124131267045',17917,'1050',39.00,1,3,NULL),(25,6363520,'1993-10-01 00:00:00',4,4,11,2010,'F','N','N SRA APARECIDA','FRANCISCO BELTRÃO','PR','116162161215111431463912245212610122052',11297,'9998',45.50,1,3,NULL),(25,6363539,'1993-07-02 00:00:00',2,8,11,2010,'F','N','CENTRO','PRIMAVERA LESTE','MT','111112111215111531449931575122610125142',NULL,'9998',0.00,1,3,NULL),(25,6363547,'1982-06-05 00:00:00',2,15,12,1999,'M','N','POLICIA RODOVIÁRIA','ARARANGUÁ','SC','224241241127151422236444345333610126077',19196,'9997',36.56,1,2,1),(25,6363555,'1993-02-05 00:00:00',2,4,12,2010,'M','N','CENTRO','CHAPECÓ','SC','124242241116141431557711345124610127062',15357,'185',39.29,1,3,NULL),(25,6363563,'1990-03-14 00:00:00',2,1,8,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241117271411124444342324610142032',NULL,'306',0.00,1,2,1),(25,6363580,'1993-01-09 00:00:00',2,4,12,2010,'M','N','BAIRRO ANTAS','MONDAÍ','SC','124241248136161431424639345125610127057',21304,'564',29.44,1,2,1),(25,6363598,'1983-11-16 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241248145171751614479296345610168197',NULL,'9997',0.00,2,2,1),(25,6363601,'1992-01-23 00:00:00',4,4,11,2008,'M','N','CENTRO SUL','DOIS VIZINHOS','PR','116161161116152711346934572115610167182',9549,'9998',49.54,1,2,1),(25,6363610,'1993-03-22 00:00:00',4,8,12,2010,'F','N','BARRO PRETO','RIO NEGRINHO','SC','124241241115131431323319175324610114142',NULL,'669',0.00,1,2,1),(25,6363628,'1993-12-02 00:00:00',2,1,12,2010,'M','N','CENTRO','TOLEDO','PR','116162161215121431327314575112610162012',17752,'9998',39.31,1,3,NULL),(25,6363636,'1993-09-24 00:00:00',4,17,12,2010,'F','N','APARECIDA','CANOINHAS','SC','124241241116151431454616575122610127073',19476,'146',35.89,1,3,NULL),(25,6363644,'1992-08-06 00:00:00',2,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241235272451429724575124610162067',NULL,'1169',26.03,1,3,NULL),(25,6363652,'1993-07-05 00:00:00',2,1,12,2010,'F','N','DONA WANDA','S JOSÉ','SC','124241241116151431426633372124610112142',NULL,'1116',20.04,1,2,1),(25,6363660,'1992-04-14 00:00:00',4,1,11,2009,'F','N','CENTO','STA MARIA','RS','120204204216371311569914471122610162187',8478,'9998',49.09,1,3,NULL),(25,6363679,'1991-07-05 00:00:00',2,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241247137131431324329345121610134057',NULL,'9999',35.10,1,2,1),(25,6363687,'1991-04-21 00:00:00',4,8,6,2010,'M','N','BOEHMERWALT','JOINVILLE','SC','124243246211371431449933243122610137091',NULL,'1006',0.00,4,3,NULL),(25,6363695,'1971-03-25 00:00:00',2,3,12,1991,'M','N','MEIA PRAIA','ITAPEMA','SC','224243243226131421337341415122131412057',NULL,'67',0.00,1,3,NULL),(25,6363709,'1989-01-27 00:00:00',4,5,12,2006,'M','N','CENTRO','CRICIÚMA','SC','124242241432271431558614575122131447042',NULL,'920',0.00,3,3,NULL),(25,6363717,'1993-02-11 00:00:00',2,15,11,2010,'M','N','CIDADE ALTA','TURVO','SC','124242241115371431438411412122610127052',NULL,'813',30.66,1,3,NULL),(25,6363725,'1991-03-09 00:00:00',4,4,12,2005,'M','N','CENTRO','TUNÁPOLIS','SC','124241241146131431339933295122610134052',20785,'812',31.99,1,2,1),(25,6363733,'1994-07-17 00:00:00',4,9,12,2010,'F','N','SANTA HELENA','LAGES','SC','124243241316121431337813435122610113072',13821,'499',40.51,1,3,NULL),(25,6363741,'1992-09-07 00:00:00',4,1,12,2010,'M','N','RATONES','FLORIANÓPOLIS','SC','124241241115271411224521185224610134042',19720,'295',35.32,4,2,1),(25,6363750,'1978-05-15 00:00:00',4,1,12,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243246316435421138713235123321611113',NULL,'306',32.50,1,3,NULL),(25,6363768,'1992-09-07 00:00:00',4,1,12,2010,'M','N','CENRO','CPO GRANDE','MS','112122121216111431478812575112610167072',7123,'9998',53.73,1,3,NULL),(25,6363784,'1975-12-15 00:00:00',3,1,12,1992,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241316152411549933411122321066182',10994,'267',49.69,1,3,NULL),(25,6363792,'1993-03-25 00:00:00',4,1,10,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241215372431426832575114610127077',17721,'1118',37.44,1,3,NULL),(25,6363806,'1990-10-14 00:00:00',2,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241237142431668813445134610164042',12829,'1098',42.66,1,3,NULL),(25,6363822,'1992-08-04 00:00:00',4,1,12,2009,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124242241215372431478821275114610132043',8207,'270',52.00,1,3,NULL),(25,6363849,'1990-11-14 00:00:00',2,15,12,2010,'M','N','VILA SÃO JOÃO','TORRES','RS','120201201125141221533931342122610167047',NULL,'9998',13.96,4,3,NULL),(25,6363857,'1993-07-08 00:00:00',2,4,12,2010,'F','N','CENTRO','MARAVILHA','SC','124241241116161431324632272122610112147',20804,'552',26.03,1,2,1),(25,6363873,'1993-06-23 00:00:00',2,5,12,2010,'F','N','PAULO DE FRONTIN','CRICIÚMA','SC','124242241215121431446511312122610133142',3756,'226',60.53,1,3,NULL),(25,6363881,'1993-11-12 00:00:00',4,3,12,2010,'M','N','VILA FELIZ','APUCARANA','PR','116162161217371731449319495125610134082',12691,'9998',42.80,1,3,NULL),(25,6363890,'1993-10-29 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241225111231436634572114610124195',12514,'262',43.21,1,3,NULL),(25,6363903,'1992-10-15 00:00:00',4,1,12,2009,'F','N','VILA INDEPENDENCIA','LIMEIRA','SP','125252251215411431336834575112610122047',NULL,'9998',0.00,1,3,NULL),(25,6363911,'1991-01-07 00:00:00',2,1,12,2009,'M','N','AMÉRICA','ASSIS CHATEAUBRIAND','PR','116161161137161732333624385121610164017',NULL,'9998',39.21,1,2,1),(25,6363938,'1992-11-13 00:00:00',2,1,10,2010,'M','N','BAIRRO IPIRANGA','S JOSÉ','SC','124242241216511331336631315114610137052',21364,'300',29.05,2,1,2),(25,6363946,'1992-03-15 00:00:00',2,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241212373121447633372124610166174',11398,'1022',49.06,1,3,NULL),(25,6363954,'1993-08-25 00:00:00',2,7,12,2010,'F','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124241241116161431547714145122610123182',15368,'140',38.34,1,2,1),(25,6363962,'1993-08-16 00:00:00',4,4,12,2010,'M','N','CENTRO','CPO ERÊ','SC','124241241117151431324619275122610124082',NULL,'136',17.67,1,2,1),(25,6363970,'1994-03-21 00:00:00',2,6,12,2010,'F','N','CENTRO','NAVEGANTES','SC','124243241215111431438812225122610122187',NULL,'937',0.00,1,3,NULL),(25,6363997,'1992-03-21 00:00:00',4,6,12,2009,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116162168115471431446632575112610166012',4248,'9998',60.20,1,3,NULL),(25,6364004,'1991-01-13 00:00:00',4,1,6,2009,'M','N','VILA NERY','S CARLOS','SP','125252281417471431366823575112610137047',12837,'9998',41.36,1,3,NULL),(25,6364012,'1981-08-13 00:00:00',2,15,12,1998,'M','N','CENTRO','STA MARIA','RS','120201201117571451323829572114141567057',NULL,'9998',0.00,1,2,1),(25,6364039,'1992-07-21 00:00:00',2,4,12,2009,'F','N','SÃO LUIS','S MIGUEL OESTE','SC','124242241216151431423632585112610122017',NULL,'751',0.00,1,3,NULL),(25,6364047,'1989-03-22 00:00:00',4,1,12,2006,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','125251251116131421426621385121143222112',NULL,'9998',20.65,1,2,1),(25,6364055,'1993-10-07 00:00:00',4,10,11,2010,'M','N','CENTRO','TUBARÃO','SC','124243241215111431356412375112610138012',6851,'807',57.01,1,3,NULL),(25,6364063,'1991-06-12 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124241241117473731436513576124610127147',NULL,'732',29.85,1,2,1),(25,6364071,'1992-12-10 00:00:00',2,10,12,2010,'M','N','SÃO MARTINHO','TUBARÃO','SC','124241241147141732424314245123610137057',NULL,'802',27.83,1,2,1),(25,6364080,'1993-06-25 00:00:00',4,1,12,2010,'M','N','COUNTRY','CASCAVEL','PR','116162161215111131468811575122610166016',3168,'9998',63.10,1,3,NULL),(25,6364098,'1990-10-13 00:00:00',4,8,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215371431467933575122233214097',NULL,'486',0.00,1,3,NULL),(25,6364101,'1989-12-27 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201201117273431523315381224121417042',6540,'9998',57.61,4,2,1),(25,6364110,'1986-04-07 00:00:00',4,1,3,2005,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241117355431458923475124221963197',6232,'739',58.25,1,3,NULL),(25,6364128,'1992-04-12 00:00:00',4,1,11,2009,'M','N','PACHECOS','PALHOÇA','SC','124241241116161431333431575114610117042',NULL,'307',13.72,1,3,NULL),(25,6364136,'1993-02-26 00:00:00',2,2,11,2010,'F','N','CENTRO','BRUSQUE','SC','124242241215221731468911584122610137182',2909,'107',66.20,1,3,NULL),(25,6364144,'1971-12-30 00:00:00',4,1,12,1990,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','624241241146375731325354445114610117023',NULL,'281',29.52,1,2,1),(25,6364152,'1992-12-18 00:00:00',2,9,12,2010,'M','N','CENTRO','LAGES','SC','124242241415111522689929377111610167012',NULL,'1207',22.61,1,3,NULL),(25,6364160,'1994-08-02 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241217111431568812575122610164117',14650,'226',44.23,1,3,NULL),(25,6364179,'1994-03-28 00:00:00',4,1,12,2011,'M','S','VILA PRATOS','NOVO MACHADO','RS','120203201117161531334933432124610163147',NULL,'9998',36.85,1,3,NULL),(25,6364187,'1991-04-14 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241117274721233719476224233267147',8414,'307',49.45,1,3,NULL),(25,6364195,'1966-09-21 00:00:00',2,1,12,2005,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241247121472421221349292344610167145',NULL,'9999',18.72,2,1,1),(25,6364209,'1993-04-13 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431444612575112610137077',12131,'738',47.94,1,3,NULL),(25,6364217,'1990-08-17 00:00:00',2,9,12,2007,'M','N','RIO BRANCO','CAXIAS SUL','RS','120202201216571451476933571114610167047',4128,'9998',61.16,1,3,NULL),(25,6364225,'1983-03-07 00:00:00',2,1,12,2000,'F','N','KOBRASOL','S JOSÉ','SC','124242241215132421228823292124330268077',NULL,'1169',20.87,1,3,NULL),(25,6364233,'1993-02-09 00:00:00',2,9,12,2010,'M','N','CENTRO','ANITA GARIBALDI','SC','124241241134271431456614272122610137042',17759,'18',33.41,1,2,1),(25,6364284,'1993-10-08 00:00:00',2,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242248215111431436932572122610124142',14627,'1011',44.26,1,3,NULL),(25,6364292,'1993-09-03 00:00:00',4,1,12,2010,'F','N','COOPHAVILLA II','CPO GRANDE','MS','112122121216111531478812575112610165082',10591,'9998',45.47,1,3,NULL),(25,6364306,'1993-02-10 00:00:00',2,9,12,2010,'F','N','CENTRO','RIO CAMPO','SC','124241241126131411324336395124610145057',6617,'651',54.11,1,2,1),(25,6364314,'1993-10-20 00:00:00',2,1,12,2010,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241127131431415336156125610116147',17350,'13',35.35,1,3,NULL),(25,6364322,'1993-06-28 00:00:00',4,1,10,2010,'F','N','SÃO BERNARDO','TUBARÃO','SC','124242241217271731446832391124610147141',3413,'806',63.84,1,3,NULL),(25,6364330,'1985-10-05 00:00:00',5,1,2,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124166161116152711239844445123321432193',9107,'9998',52.87,1,3,NULL),(25,6364349,'1990-01-09 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161161127131432523344445134610127147',NULL,'9998',20.51,1,2,1),(25,6364365,'1977-05-27 00:00:00',4,1,12,1997,'F','N','TAPERA','FLORIANÓPOLIS','SC','124203241146133421534631445134130224117',NULL,'286',30.74,1,3,NULL),(25,6364373,'1992-11-09 00:00:00',2,1,12,2009,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241426372431433411175114610144052',15720,'262',35.83,1,3,NULL),(25,6364381,'1994-01-27 00:00:00',2,15,11,2010,'M','N','FIGUEIRA','JACINTO MACHADO','SC','124241241135141431534933115121610123187',20173,'420',34.15,1,2,1),(25,6364390,'1993-08-22 00:00:00',2,2,12,2010,'F','N','VILA NOVA','BLUMENAU','SC','124241241415131431433311245124610125147',20335,'88',28.32,1,3,NULL),(25,6364403,'1993-02-08 00:00:00',4,16,11,2010,'M','N','LARANJEIRAS','RIO SUL','SC','124244241215571431436814575112610112142',20547,'653',32.95,1,3,NULL),(25,6364420,'1993-08-25 00:00:00',2,7,12,2010,'F','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124241241116161431547714145122610123182',NULL,'140',18.98,1,2,1),(25,6364438,'1989-04-22 00:00:00',4,1,12,2006,'M','N','JARDIM NOVO HORIZONT','MARINGÁ','PR','116162161215571711589711395122140234042',3604,'9998',62.16,1,3,NULL),(25,6364446,'1991-07-02 00:00:00',2,6,12,2008,'M','N','ARIRIBA','BAL CAMBORIÚ','SC','124244247415572431468832572122610112047',NULL,'9999',23.32,1,3,NULL),(25,6364454,'1994-10-17 00:00:00',2,7,2,2011,'F','N','INTERIOR','ÁGUA DOCE','SC','124241241116131631536415572124610146072',NULL,'9',0.00,1,3,NULL),(25,6364462,'1992-07-08 00:00:00',2,2,12,2009,'F','N','CENTRO','S JORGE','RS','120201201116471431638413275122610167147',NULL,'9998',0.00,1,2,1),(25,6364470,'1993-03-16 00:00:00',2,4,12,2009,'M','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124163161415472431437631275122610122052',9351,'9998',48.60,1,3,NULL),(25,6364497,'1967-04-21 00:00:00',2,8,12,1997,'M','N','PARQUE GUARANI','JOINVILLE','SC','524243246127161732323354342142130222057',21367,'230',29.04,1,3,NULL),(25,6364500,'1993-12-28 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124243241115251431427731595124610122037',NULL,'239',46.81,1,3,NULL),(25,6364527,'1994-01-28 00:00:00',2,1,12,2010,'F','N','SANTA CRUZ','GUARAPUAVA','PR','116162161217151431448512275122610124197',17791,'9998',34.75,1,3,NULL),(25,6364535,'1985-10-31 00:00:00',4,8,10,2001,'M','N','ITAUM','JOINVILLE','SC','124241248147151511425334445124610128042',NULL,'9997',0.00,1,2,1),(25,6364543,'1994-09-24 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111731229621372124610142041',19510,'1022',35.80,1,3,NULL),(25,6364551,'1994-11-20 00:00:00',2,1,12,2011,'F','S','JARDIM CARANDAÍ','BIGUAÇU','SC','124243241217131412633314175122610138017',NULL,'63',34.80,1,3,NULL),(25,6364560,'1993-06-07 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112431478831492124610118072',NULL,'270',33.35,1,3,NULL),(25,6364578,'1993-01-09 00:00:00',2,1,7,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241117372751437634575122610168197',10866,'739',46.04,1,2,1),(25,6364586,'1992-09-26 00:00:00',4,1,12,2009,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116242161217371451548831575124143232182',7900,'9998',50.55,1,3,NULL),(25,6364594,'1992-08-21 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241114271731428623575114610144187',14159,'298',44.92,1,3,NULL),(25,6364608,'1993-09-04 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124241241115371731436639575122610137057',20433,'239',26.99,1,3,NULL),(25,6364616,'1978-08-04 00:00:00',4,1,12,1995,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','624244241216153441248871315122122236191',NULL,'266',40.63,1,3,NULL),(25,6364624,'1994-04-15 00:00:00',4,7,11,2010,'F','N','DO SALTO','SALTO VELOSO','SC','124241241117131431458913575121610127147',16942,'1113',35.83,1,2,1),(25,6364632,'1991-03-09 00:00:00',4,1,12,2009,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241142471431533411292124610122147',16793,'286',37.25,1,2,1),(25,6364640,'1993-06-13 00:00:00',2,1,12,2010,'M','N','SÃO MIGUEL','BIGUAÇU','SC','124244241215471431326619576124610147042',14248,'63',41.29,1,3,NULL),(25,6364659,'1992-12-06 00:00:00',4,5,11,2010,'M','N','COMERCIARIO','CRICIÚMA','SC','124244241211111421464432291121610167187',17034,'226',40.57,1,3,NULL),(25,6364675,'1994-01-04 00:00:00',2,4,11,2010,'F','N','CENTRO','BOM JESUS','SC','124244241235121431425411572122610143147',NULL,'836',25.26,1,3,NULL),(25,6364683,'1990-02-11 00:00:00',2,1,12,2007,'M','N','MADUREIRA','CAXIAS SUL','RS','120202203215572451489932374122610168112',1063,'9998',72.55,1,3,NULL),(25,6364691,'1993-02-09 00:00:00',4,5,12,2010,'M','N','PASSO DA AREIA','PTO ALEGRE','RS','120202201215371431568714572124610127047',4967,'9998',57.63,1,3,NULL),(25,6364705,'1987-11-20 00:00:00',2,1,7,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224241247145371431323454275114610124142',21154,'9999',27.53,1,3,NULL),(25,6364713,'1991-04-29 00:00:00',2,1,12,2008,'F','N','JARDIM CIDADE','S JOSÉ','SC','124241248117161451623319176345610118047',NULL,'726',34.76,4,2,1),(25,6364721,'1990-09-18 00:00:00',4,1,12,2007,'F','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116132131212572431238811411124142462147',1693,'9998',68.13,1,3,NULL),(25,6364730,'1993-10-21 00:00:00',2,15,12,2010,'F','N','PARQUE LAGUNA II','FORMOSA','GO','109092091217111431338832575122610127152',NULL,'9998',0.00,1,3,NULL),(25,6364756,'1992-06-24 00:00:00',2,16,12,2009,'M','N','INTERIOR','FRAIBURGO','SC','124241242117112531426833262223610117177',NULL,'662',21.72,1,2,1),(25,6364764,'1991-09-22 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241216112431338933595124230742092',11959,'738',43.42,1,3,NULL),(25,6364772,'1993-12-09 00:00:00',2,1,12,2010,'M','N','BELA VISTA','PALHOÇA','SC','124243241225131432333332575124610122192',5664,'262',57.73,1,3,NULL),(25,6364780,'1994-01-26 00:00:00',4,1,12,2010,'F','N','CENTRO','MARINGÁ','PR','116222161215111751368813435115610137142',NULL,'9998',0.00,1,3,NULL),(25,6364802,'1981-02-09 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124251248125131452213649192321610156195',15881,'9997',38.34,1,2,1),(25,6364829,'1993-07-27 00:00:00',2,7,12,2010,'F','N','ARVOREDO','CONCÓRDIA','SC','124244241415161431348813575124610126197',NULL,'1001',23.93,1,3,NULL),(25,6364837,'1989-02-21 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124092241217372731377733485114240264187',20828,'1076',25.81,1,3,NULL),(25,6364845,'1979-12-29 00:00:00',4,1,12,1997,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241236134731338839395122320268112',5852,'262',59.07,1,3,NULL),(25,6364853,'1981-09-16 00:00:00',2,1,11,1999,'M','N','NOSSA SENHORA DO ROS','S JOSÉ','SC','124243247316135421438611345134122327057',17915,'1003',39.00,1,3,NULL),(25,6364870,'1983-11-19 00:00:00',2,1,6,2006,'M','N','SERRARIA','S JOSÉ','SC','124241247127374711323314247244610168191',21073,'946',30.80,1,2,1),(25,6364896,'1990-01-27 00:00:00',4,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241127131411326923375124610137042',20182,'727',34.12,2,1,1),(25,6364900,'1990-04-18 00:00:00',2,1,12,2008,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241215574431436531142124610168182',5429,'270',57.91,1,3,NULL),(25,6364918,'1983-05-08 00:00:00',4,1,11,2002,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124251257221141431438734441232610132043',NULL,'9998',0.00,1,3,NULL),(25,6364934,'1993-11-18 00:00:00',4,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124241241116371431334411575124610125047',NULL,'730',14.71,1,3,NULL),(25,6364950,'1991-12-09 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244247215111432453314345122610117042',NULL,'1049',20.96,1,3,NULL),(25,6364969,'1992-04-22 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117151421426633345114610167043',21316,'307',29.31,1,2,1),(25,6364977,'1992-10-09 00:00:00',4,1,12,2009,'M','N','CENTRO','TORRES','RS','120204201217471431328822185114610144167',NULL,'9998',0.00,1,3,NULL),(25,6364985,'1990-01-15 00:00:00',2,8,12,2007,'M','N','GUANABARA','JOINVILLE','SC','224241241137272411236644245123610156057',NULL,'467',0.00,1,2,1),(25,6364993,'1993-05-09 00:00:00',2,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241116371431424314275124610124142',9722,'727',49.40,1,2,1),(25,6365000,'1993-03-04 00:00:00',4,3,11,2010,'M','N','CENTRO','MARINGÁ','PR','116162168217271231366936575122610137122',8176,'9998',54.57,1,3,NULL),(25,6365019,'1993-05-12 00:00:00',4,8,12,2010,'F','N','PROGRESSO','POUSO REDONDO','SC','124241241316161431338931574122610127092',14491,'640',39.50,1,3,NULL),(25,6365027,'1994-04-23 00:00:00',2,1,12,2010,'F','N','VILA SANTO ANTÔNIO','IMBITUBA','SC','124241241117131331225529572124610127147',19411,'359',30.93,1,2,1),(25,6365035,'1993-04-28 00:00:00',4,5,11,2010,'M','N','CENTRO','IÇARA','SC','124241241115111441258829575124610137012',8634,'226',49.88,1,3,NULL),(25,6365043,'1989-08-18 00:00:00',4,1,7,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117131431425569292324610127047',21079,'9999',30.77,2,2,1),(25,6365051,'1959-09-21 00:00:00',2,1,12,1977,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224203201116131431213358485124342836097',NULL,'9998',23.71,1,3,NULL),(25,6365078,'1992-05-12 00:00:00',2,1,12,2009,'M','N','CENTRO','CASCAVEL','PR','116162161215411431548811475112610164062',7649,'9998',52.72,1,3,NULL),(25,6365086,'1993-03-17 00:00:00',4,17,12,2010,'M','N','CENTRO','CANOINHAS','SC','124241241115271631416414572121610127072',NULL,'146',36.05,1,2,1),(25,6365094,'1990-11-04 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215474731458923572124133261097',3820,'1022',63.77,1,3,NULL),(25,6365124,'1992-04-29 00:00:00',2,1,10,2009,'F','N','FLORESTA','S JOSÉ','SC','124241241216472131236624585124610123021',16092,'1022',37.42,1,3,NULL),(25,6365132,'1994-05-12 00:00:00',4,1,12,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111442469931575122610168183',11747,'270',48.55,1,3,NULL),(25,6365159,'1978-10-03 00:00:00',2,1,7,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241247125271441123341115123610126194',NULL,'9999',36.99,1,3,NULL),(25,6365167,'1990-03-10 00:00:00',4,1,6,2007,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','224283281337272411445874245124132122185',NULL,'9998',0.00,1,3,NULL),(25,6365175,'1992-09-03 00:00:00',2,8,11,2010,'F','N','CENTRO','JOINVILLE','SC','124242241216111431239629575124610126142',21174,'1016',30.21,1,3,NULL),(25,6365183,'1988-05-20 00:00:00',2,10,12,2005,'M','N','CENTRO','RIO FORTUNA','SC','124241241126131431358933445123131226067',NULL,'665',22.61,1,2,1),(25,6365191,'1994-12-10 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124244241216111431447731575125610124142',NULL,'270',50.66,1,3,NULL),(25,6365205,'1987-06-17 00:00:00',2,1,12,2005,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124244241415153711346939345124330267112',NULL,'1169',30.08,1,3,NULL),(25,6365213,'1992-08-04 00:00:00',2,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216272451458614575114610168182',20294,'272',33.78,1,3,NULL),(25,6365221,'1988-05-03 00:00:00',2,4,12,2007,'M','N','ESPLANADA','CHAPECÓ','SC','124241241116133411331823185124610117047',16325,'175',36.66,4,2,1),(25,6365230,'1990-01-01 00:00:00',2,9,12,2007,'M','N','CENTRO','S JOAQUIM','SC','124242241216371431366816372121130767057',18168,'720',38.53,1,3,NULL),(25,6365248,'1992-06-08 00:00:00',4,1,11,2009,'F','N','IPIRANGA','S PAULO','SP','125252251211471431469914571122610167142',2415,'9998',67.45,1,3,NULL),(25,6365256,'1993-09-29 00:00:00',4,8,10,2010,'F','N','CENTRO','S MATEUS SUL','PR','116162161215471431477832372122610163142',2917,'9998',64.31,1,3,NULL),(25,6365264,'1985-11-27 00:00:00',2,1,12,2003,'F','N','SANTA CORONA','CAXIAS SUL','RS','120201208137572431436419372124610163057',8707,'9998',50.35,1,2,1),(25,6365272,'1993-06-23 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241217111431315863342114610161147',NULL,'976',15.73,1,3,NULL),(25,6365280,'1990-11-14 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241435153431347739385112131437062',NULL,'1022',0.00,1,3,NULL),(25,6365299,'1991-07-29 00:00:00',4,8,12,2008,'F','N','ALTO DA GLÓRIA','CURITIBA','PR','116162161215573431568833575112610124172',2554,'9998',66.94,1,3,NULL),(25,6365302,'1989-02-08 00:00:00',2,1,12,2006,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124242241216373431338614495124233227112',16103,'1022',41.99,1,3,NULL),(25,6365310,'1993-06-02 00:00:00',2,4,12,2010,'M','N','CENTRO','SALTINHO','SC','124241241126151431338923585124610167057',NULL,'682',13.93,1,2,1),(25,6365329,'1988-09-06 00:00:00',2,1,11,2008,'M','N','JARDIM CIDADE DE FPO','S JOSÉ','SC','121211211137271221636321445324610126052',14976,'9998',43.73,4,1,1),(25,6365337,'1990-02-25 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241127271721418328214214610128197',NULL,'288',21.73,1,2,1),(25,6365345,'1992-03-18 00:00:00',2,1,12,2009,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124241241117472731436414282124610134147',NULL,'287',31.15,1,2,1),(25,6365353,'1993-05-06 00:00:00',4,3,12,2010,'F','N','CENTRO','PALOTINA','PR','116162161116111431335564575124610114172',6170,'9998',54.31,1,3,NULL),(25,6365370,'1992-02-02 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242247212311231536632475124610127071',NULL,'9999',22.05,1,3,NULL),(25,6365388,'1972-09-14 00:00:00',4,15,9,1994,'M','N','TURIMAR','BAL GAIVOTA','SC','124203207127141711229629445122141062187',NULL,'9998',23.31,1,3,NULL),(25,6365396,'1991-07-08 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241131372431436833341124610134182',NULL,'307',17.51,2,1,1),(25,6365400,'1992-12-09 00:00:00',2,17,12,2009,'F','N','CENTRO','PIRAQUARA','PR','116162161216471731557612475124610168146',NULL,'9998',19.63,1,3,NULL),(25,6365418,'1994-07-13 00:00:00',2,5,11,2011,'M','S','CENTRO','URUSSANGA','SC','124241241215111722634621392124610127057',NULL,'226',44.72,4,3,NULL),(25,6365434,'1991-12-28 00:00:00',4,1,12,2009,'M','N','VILA PROGRESSO','DOURADOS','MS','112122128216472431559911572112610167042',NULL,'9998',0.00,1,3,NULL),(25,6365442,'1992-02-27 00:00:00',2,3,12,2009,'F','N','LAGOINHA','MANDIRITUBA','PR','116162161114471431435933171125610127047',NULL,'9998',0.00,1,3,NULL),(25,6365450,'1993-07-07 00:00:00',4,3,12,2010,'M','N','JARDIM CLEOPATRA','MARINGÁ','PR','116162161211111411436832222122610117042',5130,'9998',57.56,1,3,NULL),(25,6365469,'1981-07-28 00:00:00',4,1,12,1998,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116153411346329435122321467042',6610,'9997',57.46,1,2,1),(25,6365485,'1993-08-20 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116141431427711115124610126142',NULL,'288',23.34,1,2,1),(25,6365493,'1992-04-27 00:00:00',4,8,12,2009,'M','N','BOM RETIRO','CURITIBA','PR','116164161117371211336821385114610127057',NULL,'9998',0.00,1,3,NULL),(25,6365507,'1994-01-11 00:00:00',4,6,12,2010,'F','N','SÃO VICENTE','ITAJAÍ','SC','124251241117371531526524576224610123027',NULL,'400',0.00,4,2,1),(25,6365515,'1993-09-20 00:00:00',2,1,12,2010,'F','N','VILA NOVA','PTO BELO','SC','124243241135141421324514245114610168145',NULL,'630',15.28,1,3,NULL),(25,6365523,'1991-03-08 00:00:00',4,1,12,2008,'M','N','BRASIL','UBERLÂNDIA','MG','113132131216161441477833572124140462057',NULL,'9998',0.00,1,3,NULL),(25,6365531,'1993-08-09 00:00:00',4,1,12,2010,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215271431469913575122610164141',5388,'262',57.33,1,3,NULL),(25,6365558,'1989-12-26 00:00:00',4,1,6,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247616111211557712325122233264072',NULL,'9999',11.99,1,3,NULL),(25,6365566,'1993-01-19 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241217111431489912385112610142197',9459,'226',52.28,1,3,NULL),(25,6365574,'1994-05-23 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111411466413575112610167042',11954,'738',48.23,1,3,NULL),(25,6365590,'1993-09-27 00:00:00',2,1,12,2010,'F','N','VILA JAURI','S LUIZ GONZAGA','RS','120141201117131231423714182125610124143',NULL,'9998',0.00,1,2,1),(25,6365604,'1993-05-17 00:00:00',4,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431558832575122610124072',10278,'1038',47.00,1,3,NULL),(25,6365612,'1994-07-01 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124243243215111341435652592112610134017',NULL,'737',19.86,1,3,NULL),(25,6365620,'1990-07-07 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217112531469933345124121462152',2123,'806',68.05,1,3,NULL),(25,6365639,'1993-12-05 00:00:00',4,1,12,2010,'F','N','JD BELA VISTA','CPO GRANDE','MS','112122121216111511478812575122610166072',NULL,'9998',36.79,1,3,NULL),(25,6365647,'1993-07-01 00:00:00',2,1,10,2010,'F','N','CENTRO','ERECHIM','RS','120202201215111431538831595112610122092',NULL,'9998',0.00,1,3,NULL),(25,6365655,'1994-09-30 00:00:00',4,3,11,2010,'F','N','CENTRO','APIÚNA','SC','122221221316123531436823275122610145147',NULL,'9998',7.42,4,3,NULL),(25,6365663,'1994-02-22 00:00:00',4,1,12,2011,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','116244161211111731468834372124610128182',NULL,'9998',46.59,1,3,NULL),(25,6365671,'1989-03-01 00:00:00',4,8,11,2006,'M','N','JARDIM VITORIA','MARÍLIA','SP','125252251216471132458823275122241462082',20742,'9998',32.19,3,3,NULL),(25,6365680,'1982-06-07 00:00:00',4,1,11,1999,'M','N','JURERE','FLORIANÓPOLIS','SC','124252251217571451229579381111331012187',7098,'9998',55.63,1,3,NULL),(25,6365698,'1993-08-16 00:00:00',4,2,12,2010,'M','N','RIO MORTO','INDAIAL','SC','124244241215121431686632575112610132192',8663,'909',53.66,1,3,NULL),(25,6365701,'1990-10-04 00:00:00',2,5,12,2007,'F','N','CENTRO','ERMO','SC','124241248315272221325823341124610128141',NULL,'250',33.92,1,3,NULL),(25,6365710,'1990-08-09 00:00:00',2,1,10,2010,'F','N','AREIAS','PAULO LOPES','SC','124241247547411731613319292124610114147',21637,'9999',26.35,1,3,NULL),(25,6365728,'1989-12-30 00:00:00',4,15,7,2010,'M','N','LAGOINHA','BAL GAIVOTA','SC','124241241122141431238829212122610127042',NULL,'54',0.00,1,2,1),(25,6365736,'1992-05-04 00:00:00',2,3,12,2010,'M','N','CENTRO','CASCAVEL','PR','116162161215421451468619575112610164067',NULL,'9998',0.00,1,3,NULL),(25,6365744,'1992-12-01 00:00:00',2,8,12,2010,'F','N','ESPINHEIROS','JOINVILLE','SC','124241241215131531446634125122610161077',NULL,'462',0.00,1,3,NULL),(25,6365752,'1979-06-06 00:00:00',2,8,12,1999,'M','N','PARQUE GUARANI','JOINVILLE','SC','224161163127161712413541152142610154047',NULL,'9998',0.00,1,2,1),(25,6365779,'1992-05-02 00:00:00',4,1,12,2010,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241115151731523763346324610157012',14021,'739',40.34,4,2,1),(25,6365787,'1992-12-07 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242248215111431446614575122610167042',NULL,'1168',21.02,1,3,NULL),(25,6365795,'1982-03-07 00:00:00',2,6,12,2000,'F','N','REBOUCAS','CURITIBA','PR','116163163212371741128519385121243164082',3586,'9998',60.92,3,3,NULL),(25,6365809,'1988-03-29 00:00:00',4,1,12,2005,'M','N','CANTO','FLORIANÓPOLIS','SC','124244241111135531428811441124610164041',NULL,'307',21.14,1,3,NULL),(25,6365817,'1989-09-26 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216433751356824475122221412012',12103,'270',47.99,1,3,NULL),(25,6365825,'1992-04-23 00:00:00',4,15,12,2010,'F','N','VILA MANENTI','TURVO','SC','124241241114151411226424575121610142092',NULL,'814',0.00,1,3,NULL),(25,6365833,'1980-08-01 00:00:00',2,1,7,1999,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','524241248146535731225844345232610165147',10731,'306',45.35,1,2,1),(25,6365841,'1992-12-29 00:00:00',4,1,12,2010,'F','N','CENTRO','BIGUAÇU','SC','124242241215211731544632571124610122183',NULL,'1118',17.45,1,3,NULL),(25,6365850,'1984-05-22 00:00:00',2,1,12,2001,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224241241346133711433543132124610167097',NULL,'689',0.00,1,3,NULL),(25,6365868,'1991-04-30 00:00:00',2,1,12,2008,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120203201216571421468813575124610167142',7448,'9998',52.35,1,3,NULL),(25,6365876,'1990-10-10 00:00:00',2,1,11,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241211573431578712575115610124092',10694,'270',46.35,1,3,NULL),(25,6365884,'1992-08-05 00:00:00',4,1,12,2009,'F','N','JARDIM CANADÁ','ASSIS','SP','125252251211471431338832575112610114196',NULL,'9998',0.00,1,3,NULL),(25,6365892,'1991-09-12 00:00:00',2,10,12,2009,'M','N','CENTRO','TUBARÃO','SC','124162161213471431448812245112610164177',20309,'9998',33.72,1,3,NULL),(25,6365906,'1993-08-07 00:00:00',4,8,12,2010,'M','N','JARDIM PAULISTA','ITAPETININGA','SP','125252251216111731338824575112610168142',13099,'9998',41.68,3,3,NULL),(25,6365914,'1993-07-19 00:00:00',4,1,12,2010,'M','N','VILA PROGRESSO','DOURADOS','MS','112122121237111421578811472122610117045',NULL,'9998',0.00,1,3,NULL),(25,6365922,'1992-07-15 00:00:00',4,1,10,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241215472431368712582112610162187',5741,'269',57.61,1,3,NULL),(25,6365930,'1991-11-13 00:00:00',2,9,12,2008,'M','N','CENTRO','STA TEREZA','RS','120201201121472431536939591122610137047',3718,'9998',62.15,1,2,1),(25,6365949,'1984-11-25 00:00:00',2,1,12,2003,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241117273731436642321112322264067',9120,'306',52.83,1,3,NULL),(25,6365957,'1992-01-13 00:00:00',4,1,12,2009,'M','N','IPANEMA','PTO ALEGRE','RS','120202201217271411579811375111140926062',6280,'9998',55.43,1,3,NULL),(25,6365965,'1992-10-28 00:00:00',2,1,12,2010,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241215111431423311572124610137067',NULL,'9997',19.60,1,3,NULL),(25,6365973,'1989-10-06 00:00:00',2,15,12,2007,'M','N','CENTRO','STA MARIA','RS','120241241146371411333923375112610167052',NULL,'740',0.00,1,2,1),(25,6365981,'1994-09-22 00:00:00',4,1,11,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111731347914576144610147042',NULL,'266',43.14,1,3,NULL),(25,6365990,'1989-12-10 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116131721437634345124131017093',19743,'307',29.89,4,3,NULL),(25,6366007,'1993-05-18 00:00:00',2,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242248215111711436613375112610117117',18482,'737',35.53,1,3,NULL),(25,6366023,'1993-09-28 00:00:00',2,4,12,2010,'F','N','CENTRO','CUNHATAÍ','SC','124241241126271731426912575122610138017',NULL,'235',0.00,1,2,1),(25,6366031,'1975-06-11 00:00:00',4,1,12,1993,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241121132421244454345134130824147',NULL,'295',27.70,1,2,1),(25,6366058,'1993-03-18 00:00:00',4,15,12,2010,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241116371431223624575122610131177',19921,'30',28.65,1,2,1),(25,6366066,'1988-12-07 00:00:00',2,1,12,2005,'M','N','CRUZEIRO','RIO NEGRINHO','SC','124161161147372331223644342234610124142',12142,'9998',47.92,1,2,1),(25,6366074,'1994-06-14 00:00:00',4,6,11,2008,'F','N','CENTRO','BRUSQUE','SC','124242248115111631348833595122610134042',21252,'109',29.73,1,3,NULL),(25,6366082,'1987-05-18 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241125273431125544445134121631197',9701,'295',49.01,1,2,1),(25,6366090,'1990-05-15 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217273431378739375124221462092',931,'807',74.19,1,3,NULL),(25,6366104,'1993-11-20 00:00:00',4,4,12,2010,'M','N','CENTRO','QUILOMBO','SC','124243241427131231438614575122610127187',15406,'648',36.48,1,3,NULL),(25,6366112,'1990-11-16 00:00:00',2,3,12,2008,'M','N','UVARANAS','PNT GROSSA','PR','116162161216572431326632574124131445097',5754,'9998',55.77,1,3,NULL),(25,6366120,'1991-02-18 00:00:00',2,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241211132421436612392115610137057',NULL,'1035',0.00,1,3,NULL),(25,6366139,'1993-06-10 00:00:00',4,10,12,2010,'F','N','CENTRO','TREZE MAIO','SC','124241241145131731423511375125230214057',NULL,'793',0.00,1,3,NULL),(25,6366147,'1994-01-05 00:00:00',4,1,11,2011,'F','S','CENTRO','BIGUAÇU','SC','124242241215111421489931575114610146157',NULL,'270',26.46,4,3,NULL),(25,6366155,'1990-01-04 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241126131431349933385124610127042',NULL,'257',0.00,1,2,1),(25,6366163,'1993-01-07 00:00:00',4,5,11,2010,'M','N','PRÓSPERA','CRICIÚMA','SC','124244241412111411559912571122610167112',3752,'226',62.51,1,3,NULL),(25,6366171,'1992-09-18 00:00:00',2,8,11,2010,'M','N','CENTRO','JOINVILLE','SC','124244241346131431336833575124610126142',NULL,'465',0.00,1,3,NULL),(25,6366180,'1992-10-21 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241127151431348613472121610127045',21172,'287',30.22,1,2,1),(25,6366198,'1993-01-19 00:00:00',4,1,12,2010,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241247412161211444429592314610162187',21107,'9999',30.61,1,3,NULL),(25,6366201,'1988-06-03 00:00:00',2,1,12,2005,'M','N','PAGARA','STO AMARO IMPERATRIZ','SC','124241241126272421323414215123610166047',18463,'773',37.99,1,2,1),(25,6366210,'1990-04-02 00:00:00',2,1,12,2007,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241316574421358651225123610117062',21469,'1098',28.24,1,3,NULL),(25,6366228,'1990-03-04 00:00:00',2,1,12,2006,'M','N','CENTRO','STA MARIA','RS','120201201117271421428811572124610134147',5665,'9998',56.98,1,2,1),(25,6366236,'1990-07-09 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124241241115272431321324242344610116193',10313,'732',50.80,4,2,1),(25,6366244,'1990-11-16 00:00:00',2,1,12,2007,'F','N','CENTRO','JARAGUÁ SUL','SC','124241241116371431333673145121610164097',7477,'359',52.91,1,2,1),(25,6366252,'1994-07-28 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111431238813575124610145152',9461,'1168',48.89,1,3,NULL),(25,6366260,'1993-11-24 00:00:00',2,1,10,2010,'F','N','ESPERANÇA','ERECHIM','RS','120202201211271721455921575125610114141',10556,'9998',45.87,1,3,NULL),(25,6366279,'1993-05-14 00:00:00',4,9,12,2010,'M','N','FREI ROGÉRIO','LAGES','SC','124242241215151431456829575112610167042',4699,'1028',57.80,1,3,NULL),(25,6366287,'1986-04-01 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124052051217154441179833445124233262177',3872,'9998',61.78,4,3,NULL),(25,6366295,'1994-10-21 00:00:00',4,10,10,2010,'M','N','MORROTES','TUBARÃO','SC','124242241215111431446712172122610147082',18281,'806',38.31,1,3,NULL),(25,6366309,'1992-05-11 00:00:00',4,1,12,2009,'M','N','STA TEREZINHA','SOROCABA','SP','125252251416171311338834411122243245012',NULL,'9998',0.00,1,3,NULL),(25,6366317,'1993-11-17 00:00:00',2,2,12,2010,'F','N','ASILO','BLUMENAU','SC','124243241115131431428933495124610138147',19857,'88',30.11,1,3,NULL),(25,6366325,'1987-10-05 00:00:00',2,1,12,2005,'M','N','NOSSA SRA DE LOURDES','STA MARIA','RS','120203207436471431438836485124143262077',NULL,'9998',0.00,1,3,NULL),(25,6366333,'1992-07-15 00:00:00',4,1,12,2009,'M','N','NOVA PIRACICABA','PIRACICABA','SP','125252258215471231457712492112610127044',20083,'9998',28.25,1,3,NULL),(25,6366341,'1992-09-18 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136112711648819395121610124057',NULL,'267',4.70,1,2,1),(25,6366350,'1994-09-12 00:00:00',4,6,12,2010,'F','N','SÃO DOMINGOS','NAVEGANTES','SC','124244241215271431338931282222610134147',NULL,'937',20.36,1,3,NULL),(25,6366368,'1991-12-24 00:00:00',2,9,12,2009,'F','N','FREI ROGERIO','LAGES','SC','124244241215371431448931472112610145197',19082,'1146',36.79,1,3,NULL),(25,6366376,'1981-05-07 00:00:00',2,1,12,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','524241248147131751224544342344610168187',NULL,'9999',0.00,1,2,1),(25,6366384,'1993-05-17 00:00:00',2,1,12,2010,'F','N','SANTA CRUZ','ÁGUAS MORNAS','SC','124241241111131431223325292124610125057',12090,'978',43.10,4,2,1),(25,6366392,'1993-01-25 00:00:00',4,1,12,2010,'M','N','ATALAIA','ARACAJU','SE','126262261217111431569914572124610127142',12774,'9998',46.96,4,3,NULL),(25,6366406,'1992-08-14 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215273431545833575124610135092',10457,'1010',50.56,1,3,NULL),(25,6366414,'1988-09-05 00:00:00',2,10,12,2005,'M','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124241241127133121336622385114130267087',17694,'332',39.41,1,2,1),(25,6366422,'1993-10-01 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241212111411466912222122610127052',NULL,'724',12.60,1,3,NULL),(25,6366430,'1993-06-17 00:00:00',4,15,12,2010,'M','N','PONTE ALTA','TURVO','SC','124241241114141431424416574222610134172',12913,'814',46.71,1,3,NULL),(25,6366449,'1994-03-16 00:00:00',4,5,11,2011,'F','S','CENTRO','ORLEANS','SC','124242241215111731368832595112610164111',NULL,'226',0.00,1,3,NULL),(25,6366465,'1993-02-05 00:00:00',4,8,12,2010,'F','N','CENTRO','S BENTO SUL','SC','124244241215111431473912574122610133142',11441,'1178',43.64,1,3,NULL),(25,6366473,'1993-03-16 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242248215111431488812375114610162196',10453,'262',45.28,1,3,NULL),(25,6366481,'1988-08-08 00:00:00',4,1,12,2005,'F','N','VILA NOVA','PARAGUAÇU PAULISTA','SP','125254251416471431375616295122141342092',NULL,'9998',0.00,1,3,NULL),(25,6366490,'1992-01-06 00:00:00',2,1,12,2010,'F','N','ARIRIU DA FORMIGA','PALHOÇA','SC','124241241115371431313324371324610132197',NULL,'592',36.36,1,2,1),(25,6366503,'1994-06-21 00:00:00',4,17,12,2011,'F','S','CENTRO','S MATEUS SUL','PR','116162161217121431436819595122610113107',NULL,'9998',35.87,1,3,NULL),(25,6366520,'1982-11-02 00:00:00',2,1,12,2001,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124244161136153711121544445123122937113',NULL,'9998',26.24,1,3,NULL),(25,6366538,'1993-01-11 00:00:00',2,1,12,2010,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241115271331436616585114610137042',15815,'772',37.48,1,2,1),(25,6366546,'1993-01-04 00:00:00',4,2,12,2010,'F','N','VILA MARIANA','PRUDENTÓPOLIS','PR','116164161217111431328313572325610147017',NULL,'9998',23.44,4,3,NULL),(25,6366554,'1979-11-07 00:00:00',4,1,11,1996,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124204203246133421233544445122140864197',14338,'9998',44.66,1,3,NULL),(25,6366570,'1991-04-12 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124212217217371711227621415134610115042',NULL,'9998',0.00,1,3,NULL),(25,6366589,'1983-12-08 00:00:00',2,1,12,2001,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116133721423439292124222667077',NULL,'1005',19.50,2,1,1),(25,6366597,'1991-09-09 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215472431253963572114610122017',5761,'723',57.34,1,3,NULL),(25,6366600,'1993-04-13 00:00:00',2,3,12,2010,'M','N','PARQUE SÃO PAULO','CASCAVEL','PR','116161161416131432346614274124610166182',20196,'9998',29.43,1,3,NULL),(25,6366619,'1990-10-03 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241241147131422326627281124610167074',18916,'733',37.09,1,3,NULL),(25,6366627,'1994-09-29 00:00:00',4,1,12,2010,'M','N','PONTE IMARUIM','PALHOÇA','SC','124241248212131711436613585124610112171',17166,'1010',40.34,1,3,NULL),(25,6366635,'1993-12-02 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244247217151441326829575114610117087',NULL,'9999',6.00,1,3,NULL),(25,6366643,'1991-07-29 00:00:00',4,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241116371731226354375114610167151',10236,'307',47.89,1,2,1),(25,6366651,'1992-07-03 00:00:00',4,1,12,2009,'F','N','SANTO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC','124243241216313411428731292134610165072',13284,'1022',43.30,1,3,NULL),(25,6366660,'1993-05-31 00:00:00',2,9,12,2010,'F','N','VÁRZEA','LAGES','SC','124241241216231431326824575122610168077',18900,'1106',30.50,1,3,NULL),(25,6366686,'1993-09-13 00:00:00',4,8,12,2010,'F','N','LALAU','JARAGUÁ SUL','SC','124241241147161431626629295124610122037',NULL,'425',17.93,1,3,NULL),(25,6366694,'1993-04-03 00:00:00',4,6,12,2010,'M','N','CORDEIROS','ITAJAÍ','SC','124242241215111431446812575122610127072',NULL,'394',46.71,1,3,NULL),(25,6366708,'1994-09-19 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242243217111431456622575124610123174',19763,'738',35.23,1,3,NULL),(25,6366716,'1989-11-03 00:00:00',4,8,12,2007,'M','N','IPANEMA','ARAÇATUBA','SP','125254251217571431438812375122141767057',8732,'9998',48.68,1,3,NULL),(25,6366724,'1991-11-30 00:00:00',2,1,12,2009,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241111132431525823582214610132147',14006,'592',45.16,1,2,1),(25,6366732,'1991-11-15 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241137371731226724375124610168077',NULL,'288',23.40,1,2,1),(25,6366740,'1993-01-14 00:00:00',2,3,11,2010,'F','N','ITIBERÊ','PARANAGUÁ','PR','116162168216121711447833571122610137097',NULL,'9998',35.31,1,3,NULL),(25,6366759,'1993-10-30 00:00:00',2,9,12,2010,'F','N','BORGES','ANITA GARIBALDI','SC','124241241116371431546923245122610127052',NULL,'18',0.00,1,2,1),(25,6366767,'1993-12-27 00:00:00',4,6,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217111231578614375112610162043',14939,'44',38.61,1,3,NULL),(25,6366775,'1992-04-21 00:00:00',2,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241215352431546712575124610164017',8570,'272',52.27,1,3,NULL),(25,6366783,'1958-02-28 00:00:00',4,3,11,1975,'M','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','624163161316151431368542325132332764017',1041,'9998',73.72,1,3,NULL),(25,6366791,'1993-10-18 00:00:00',4,1,10,2010,'M','N','CENTRO','CURITIBA','PR','116162161337471432244823575122610162172',7542,'9998',52.93,1,3,NULL),(25,6366805,'1981-03-11 00:00:00',1,8,7,2010,'M','N','PARQUE GUARANI','JOINVILLE','SC','124243241337161722534416162112610134057',NULL,'9997',0.00,1,3,NULL),(25,6366813,'1963-08-19 00:00:00',2,1,8,1988,'M','N','INGLESES','FLORIANÓPOLIS','SC','424203247626143431428341115124121626172',20745,'9999',32.18,1,3,NULL),(25,6366821,'1992-07-26 00:00:00',4,8,11,2010,'M','N','BUCAREIN','JOINVILLE','SC','124244246215371411455532395122610124172',NULL,'1006',0.00,1,3,NULL),(25,6366830,'1993-10-01 00:00:00',4,2,12,2010,'M','N','BOQUEIRÃO','SANTOS','SP','125253251115111431446612575124610145142',7391,'9998',52.05,1,3,NULL),(25,6366848,'1993-11-25 00:00:00',4,8,11,2010,'F','N','TARUMÃ','CURITIBA','PR','116164161116471731468613572124610137087',1327,'9998',70.51,1,3,NULL),(25,6366856,'1993-04-07 00:00:00',4,1,12,2010,'F','N','CENTRO','TIJUCAS','SC','124243241215111431445711575122610136172',7202,'1119',56.35,1,3,NULL),(25,6366864,'1991-04-24 00:00:00',4,1,12,2008,'F','N','VISTA ALEGRE','VINHEDO','SP','125252251217471431566814575112143225012',3290,'9998',61.97,1,3,NULL),(25,6366872,'1983-03-31 00:00:00',4,15,12,2002,'M','N','CIDADE ALTA','ARARANGUÁ','SC','224201206226131421457644245122231467125',NULL,'9998',0.00,1,3,NULL),(25,6366880,'1993-11-14 00:00:00',4,8,12,2010,'M','N','CORVETA','ARAQUARI','SC','124162241215111431256427575125610154077',NULL,'1161',0.00,1,3,NULL),(25,6366899,'1992-07-22 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111731458832375124610117047',21562,'1075',27.35,1,3,NULL),(25,6366910,'1990-04-24 00:00:00',2,1,12,2007,'M','N','ENSEADA DE BRITO','PALHOÇA','SC','124241241126132411426823295124610167052',NULL,'594',28.83,1,2,1),(25,6366929,'1990-02-20 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241216273431688933475114133224112',8020,'300',51.29,1,3,NULL),(25,6366945,'1992-11-28 00:00:00',4,1,12,2009,'M','N','PARQUE ALVORADA','DOURADOS','MS','112122121216371431468913575111610167062',2372,'9998',66.76,1,3,NULL),(25,6366953,'1991-02-21 00:00:00',2,7,12,2008,'F','N','CENTRO','PAIM FILHO','RS','120201201145471431433933372124610132057',3459,'9998',63.53,1,2,1),(25,6366961,'1992-05-15 00:00:00',4,1,12,2009,'M','N','GLEBA PALHANO','LONDRINA','PR','116162166217471431466831575112610112182',18661,'9998',33.09,5,3,NULL),(25,6366970,'1993-03-09 00:00:00',4,6,11,2010,'M','N','FAZENDA','ITAJAÍ','SC','124242248215111731536619495122610117012',18782,'392',37.38,1,3,NULL),(25,6366996,'1992-09-17 00:00:00',4,1,12,2009,'M','N','VL MARIANA','S PAULO','SP','125252251216411451588812575124610152182',1663,'9998',69.36,1,3,NULL),(25,6367003,'1989-02-13 00:00:00',4,1,12,2006,'M','N','LAPA','S PAULO','SP','125254251416111411448811385124141446147',13687,'9998',45.65,1,3,NULL),(25,6367011,'1992-09-01 00:00:00',2,15,12,2009,'F','N','CENTRO','STA ROSA SUL','SC','124241241126271731323623575122610117057',NULL,'689',13.97,1,3,NULL),(25,6367038,'1993-08-27 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241216111751536619395122610117142',NULL,'738',20.61,1,3,NULL),(25,6367054,'1992-11-09 00:00:00',2,15,12,2010,'F','N','SANTA LÍBERA','FORQUILHINHA','SC','124241241215111331425511575125610137041',NULL,'995',19.59,1,3,NULL),(25,6367062,'1993-11-23 00:00:00',4,1,12,2010,'M','N','PONTE IMARUIM','PALHOÇA','SC','124242241217111731543611345125610167117',18362,'1010',34.56,1,3,NULL),(25,6367070,'1992-10-11 00:00:00',4,1,12,2010,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124243241211111431326613495124610117067',20906,'882',26.34,1,3,NULL),(25,6367089,'1993-02-16 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252241215471431369814276122610135016',17115,'270',40.43,1,3,NULL),(25,6367097,'1992-04-09 00:00:00',4,1,12,2009,'M','N','INDEPENDENCIA','CACHOEIRO ITAPEMIRIM','ES','108082081215411431469832572122610124047',3463,'9998',62.22,1,3,NULL),(25,6367119,'1993-06-08 00:00:00',2,1,12,2010,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124243241117271731536639372124610167047',NULL,'739',24.65,1,3,NULL),(25,6367127,'1993-06-03 00:00:00',4,1,12,2010,'M','N','ZONA DOIS','MARINGÁ','PR','116162161217371731558832575111610164062',NULL,'9998',26.90,1,3,NULL),(25,6367135,'1992-12-02 00:00:00',2,17,12,2010,'F','N','CENTRO','BITURUNA','PR','116161161117161431223336572314610124192',NULL,'9998',0.00,1,2,1),(25,6367151,'1993-12-06 00:00:00',5,1,12,2010,'F','N','NOVA BELÉM','PAULO LOPES','SC','124241241126131431333629345122610124147',NULL,'607',48.74,1,3,NULL),(25,6367160,'1993-07-10 00:00:00',4,1,12,2010,'M','N','JARDIM C DE FPOLIS','S JOSÉ','SC','124241241135141721436623346124610164143',NULL,'733',20.81,1,3,NULL),(25,6367194,'1990-02-12 00:00:00',2,1,12,2007,'M','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125254251415371431548714545122141444077',NULL,'9998',0.00,1,3,NULL),(25,6367208,'1994-10-17 00:00:00',4,1,11,2010,'F','N','AREIAS','S JOSÉ','SC','124242241217111732436623576124610163092',NULL,'737',19.45,4,3,NULL),(25,6367216,'1994-09-01 00:00:00',4,1,11,2011,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431458813532124610134141',NULL,'270',44.58,1,3,NULL),(25,6367224,'1992-05-06 00:00:00',3,3,7,2010,'F','N','SÃO JOÃO','CURITIBA','PR','116162281415271411448812572122610166092',11106,'9998',49.51,1,3,NULL),(25,6367232,'1992-08-22 00:00:00',4,4,12,2009,'F','N','CENTRO','CASCAVEL','PR','116161161111161711236923135122610136197',13759,'9998',41.52,1,2,1),(25,6367240,'1992-10-23 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431579912425122610147056',20215,'262',34.02,2,3,NULL),(25,6367267,'1989-10-22 00:00:00',4,1,12,2007,'M','N','MONTE CASTELO','CPO GRANDE','MS','112122121237271431657826445125141567062',NULL,'9998',0.00,1,3,NULL),(25,6367275,'1977-11-03 00:00:00',2,1,7,1998,'M','N','BELA VISTA','ARROIO MEIO','RS','120203207227152411223341115132610167047',NULL,'9998',29.07,1,3,NULL),(25,6367283,'1991-10-17 00:00:00',4,1,12,2009,'M','N','JARDIM NOVA SUIÇA','PIRACICABA','SP','125252251215451121343711175122610167047',NULL,'9998',0.00,1,3,NULL),(25,6367291,'1992-08-03 00:00:00',4,15,12,2010,'M','N','CENTRO','STA ROSA SUL','SC','124241241145131431326613445132610132057',21131,'689',30.50,1,2,1),(25,6367305,'1993-07-29 00:00:00',2,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241216111451324424575125610157187',17542,'497',35.28,1,3,NULL),(25,6367313,'1992-09-25 00:00:00',2,15,12,2009,'M','N','CENTRO','PASSO TORRES','SC','124241241137141511636814241111610117052',NULL,'605',31.07,1,2,1),(25,6367330,'1994-08-23 00:00:00',4,4,12,2010,'F','N','SÃO CRISTÓVÃO','SANTIAGO SUL','SC','124241241116131432333633435124610137147',NULL,'866',23.13,1,2,1),(25,6367348,'1990-11-14 00:00:00',4,1,11,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241117372431469932575111610137042',4041,'935',63.16,1,3,NULL),(25,6367356,'1983-03-02 00:00:00',4,1,12,2000,'F','N','VILA OLÍMPICA','UBERABA','MG','113132131216572431478711481122610126097',9773,'9998',48.04,1,3,NULL),(25,6367372,'1967-01-15 00:00:00',5,1,12,1984,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201208116475431238841412134121034047',NULL,'9998',0.00,1,3,NULL),(25,6367380,'1991-01-21 00:00:00',2,1,12,2009,'M','N','PETROPOLIS','PTO ALEGRE','RS','120202201237371431437732442112143234041',NULL,'9998',13.83,1,3,NULL),(25,6367399,'1992-11-12 00:00:00',4,3,12,2010,'F','N','CENTRO','SANANDUVA','RS','120201201215151431354412575114610142117',16086,'9998',36.76,1,3,NULL),(25,6367402,'1987-07-16 00:00:00',2,9,12,2004,'F','N','EXPOSIÇÃO','CAXIAS SUL','RS','220201201136572751233354172122141062057',10032,'9998',44.79,1,2,1),(25,6367410,'1993-03-19 00:00:00',4,7,12,2010,'F','N','UNIVERSITÁRIO','VIDEIRA','SC','124242247215411731458612275122610166072',NULL,'829',18.17,1,3,NULL),(25,6367429,'1991-12-12 00:00:00',2,5,12,2009,'F','N','PARQUE REAL','LIMEIRA','SP','125252251215471431447879575112610164114',NULL,'9998',25.56,1,3,NULL),(25,6367445,'1992-03-26 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373431458813575124123237052',9154,'270',50.64,1,3,NULL),(25,6367453,'1990-12-03 00:00:00',4,8,12,2008,'M','N','JUVEVÊ','CURITIBA','PR','116162161216572451269811572114610142187',1509,'9998',70.12,1,3,NULL),(25,6367461,'1993-05-22 00:00:00',2,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241116471431436414575124610122147',NULL,'733',38.62,1,2,1),(25,6367470,'1992-12-17 00:00:00',2,1,12,2009,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241116472431423414285114610136052',NULL,'772',33.22,4,2,1),(25,6367488,'1992-08-03 00:00:00',2,2,12,2009,'F','N','TRINTA RÉIS','NOVA TRENTO','SC','124241241126141431526611245125610136017',17913,'574',32.41,1,3,NULL),(25,6367496,'1992-05-21 00:00:00',4,1,12,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215372751468931572122131042127',14504,'1063',44.45,1,3,NULL),(25,6367500,'1992-01-21 00:00:00',4,1,12,2009,'M','N','GONZAGA','SANTOS','SP','125252251217471431377619572122610168112',5113,'9998',56.68,1,3,NULL),(25,6367518,'1993-09-04 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241216111431236714585122610123192',12677,'737',43.42,1,3,NULL),(25,6367526,'1988-09-26 00:00:00',4,1,12,2008,'M','N','CENTRO','JOAÇABA','SC','124242247627151752217811395114130264177',14039,'9999',45.11,1,3,NULL),(25,6367534,'1991-11-26 00:00:00',4,16,12,2008,'M','N','SÃO LUIS','CURITIBANOS','SC','124241241116372731536679575122610124192',NULL,'239',22.18,1,2,1),(25,6367542,'1985-04-28 00:00:00',4,1,12,2002,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241216153731128614495124222362053',14830,'155',43.95,1,3,NULL),(25,6367550,'1993-06-11 00:00:00',4,2,12,2010,'M','N','GARCIA','BLUMENAU','SC','124242241417271411356613575124610134112',NULL,'88',28.52,1,3,NULL),(25,6367569,'1993-06-12 00:00:00',4,3,12,2010,'F','N','PARQUE AEROPORTO','TAUBATÉ','SP','125251251127151751227429585224610134142',14081,'9998',40.42,1,2,1),(25,6367577,'1989-04-02 00:00:00',4,8,12,2006,'M','N','ITAUM','JOINVILLE','SC','124241246216121431346614445121610122172',20498,'489',33.15,1,3,NULL),(25,6367585,'1988-06-10 00:00:00',2,15,4,2009,'F','N','VILA BATISTA','ARARANGUÁ','SC','124241248116131431326823282115610168197',NULL,'9997',17.89,4,3,NULL),(25,6367593,'1985-11-19 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241248141171751614479297345610168197',NULL,'9997',0.00,1,2,1),(25,6367607,'1989-12-31 00:00:00',4,1,12,2006,'F','N','ZONA SETE','MARINGÁ','PR','116161161116571431437932272112142522057',2882,'9998',63.28,1,2,1),(25,6367615,'1994-11-25 00:00:00',4,2,12,2010,'M','N','VILA FORMOZA','BLUMENAU','SC','124242241215111411458912575122610134013',11352,'70',49.12,1,3,NULL),(25,6367623,'1995-12-09 00:00:00',2,10,12,2012,'F','S','CENTRO','BRAÇO NORTE','SC','124242241215111411428832575124610136142',NULL,'807',0.00,1,3,NULL),(25,6367631,'1993-03-28 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241147141421325624115124610126052',NULL,'922',33.78,1,3,NULL),(25,6367640,'1992-01-04 00:00:00',4,6,11,2009,'M','N','CENTRO','NAVEGANTES','SC','124242248217131731628739485112610112047',NULL,'1029',0.00,1,1,2),(25,6367666,'1988-08-05 00:00:00',4,5,12,2006,'M','N','CENTRO','ORLEANS','SC','124241247127571431526323275124610124097',NULL,'9999',34.80,3,2,1),(25,6367682,'1981-10-01 00:00:00',2,8,12,2005,'M','N','PARQUE GUARANI','JOINVILLE','SC','124241163127161531523334412144610166057',NULL,'9998',36.75,1,2,1),(25,6367690,'1992-09-17 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215371431425931395122610164182',7755,'44',51.69,1,3,NULL),(25,6367704,'1949-08-04 00:00:00',4,1,12,1969,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','524211218117151751168643435122310137097',NULL,'9998',34.11,1,2,1),(25,6367712,'1993-08-23 00:00:00',4,1,12,2010,'M','N','BOQUEIRÃO','PASSO FUNDO','RS','120201201117151431558919592124610124012',18224,'9998',38.43,1,2,1),(25,6367739,'1993-04-10 00:00:00',4,1,11,2010,'M','N','ROÇADO','S JOSÉ','SC','124244241415121431364632575122610134092',20998,'1118',31.10,1,3,NULL),(25,6367747,'1994-12-14 00:00:00',2,10,11,2011,'F','S','CENTRO','TUBARÃO','SC','124242241215111631446614475122610163142',NULL,'807',37.09,4,3,NULL),(25,6367755,'1989-05-06 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','125283281224571411226334275124140637057',12877,'9998',43.92,3,3,NULL),(25,6367763,'1990-05-30 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124162161211572411238824591124132468091',667,'9998',76.24,1,3,NULL),(25,6367771,'1994-04-07 00:00:00',4,9,12,2010,'F','N','AGUAS BRANCAS','URUBICI','SC','124241241116131431426633575124610135147',NULL,'818',16.93,1,2,1),(25,6367780,'1994-05-21 00:00:00',4,2,10,2011,'M','S','VICTOR KONDER','BLUMENAU','SC','124242241215111231589811595122610168186',NULL,'909',52.85,1,3,NULL),(25,6367798,'1992-08-19 00:00:00',4,8,11,2009,'F','N','CENTRO','CURITIBA','PR','116252161216471431549934571124610142057',1309,'9998',71.27,4,3,NULL),(25,6367801,'1993-08-02 00:00:00',4,2,12,2010,'M','N','CENTRO','CIANORTE','PR','116162161216111431427632575315610167047',NULL,'9998',0.00,3,3,NULL),(25,6367810,'1969-06-12 00:00:00',2,1,12,1991,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241126135411333343135122610131187',19339,'307',36.19,1,2,1),(25,6367844,'1993-07-21 00:00:00',2,10,12,2010,'F','N','SAO LUIZ','S MARTINHO','SC','124241241137161711513315352122610165147',NULL,'750',20.48,1,2,1),(25,6367852,'1993-10-30 00:00:00',4,8,12,2010,'M','N','SANTA FELICIDADE','CURITIBA','PR','116163161217131431447619572124610126042',8059,'9998',54.75,1,3,NULL),(25,6367860,'1991-08-24 00:00:00',4,1,12,2008,'M','N','JD MACARENGO','S CARLOS','SP','125252251215572411278624575121610162095',1397,'9998',70.37,1,3,NULL),(25,6367879,'1992-06-07 00:00:00',4,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241215372431434323375114610124052',12925,'1022',42.58,1,3,NULL),(25,6367887,'1989-09-10 00:00:00',4,1,12,2008,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124054051417472431348562571124610165192',20212,'9998',34.02,4,3,NULL),(25,6367895,'1990-06-02 00:00:00',4,1,12,2007,'M','N','SETOR SUL','GOIÂNIA','GO','109092091212571311659911572112610162096',NULL,'9998',0.00,1,3,NULL),(25,6367909,'1987-04-07 00:00:00',4,1,12,2006,'F','N','CAMINHO NOVO','PALHOÇA','SC','124243247336131432634444345124131924143',NULL,'9999',32.66,4,3,NULL),(25,6367917,'1993-03-11 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124221246135141631537724345124610124012',NULL,'733',17.65,2,1,1),(25,6367925,'1990-05-26 00:00:00',4,4,12,2007,'F','N','CRISTO REI','CHAPECÓ','SC','124241241216133411533311572124131468197',3831,'1191',61.38,1,3,NULL),(25,6367933,'1987-08-19 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241116475441239913485124122333097',7495,'281',53.96,4,3,NULL),(25,6367950,'1993-08-03 00:00:00',4,6,12,2010,'F','N','CENTRO','ITAJAÍ','SC','124242241215121531469934575125610147147',NULL,'389',9.40,1,3,NULL),(25,6367968,'1993-03-07 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115371731558613592124610124017',14432,'267',39.98,1,2,1),(25,6367976,'1992-02-22 00:00:00',4,1,12,2009,'F','N','VILA JACON','LIMEIRA','SP','125252251216471431354631574122610137187',11923,'9998',43.82,1,3,NULL),(25,6367984,'1993-12-05 00:00:00',2,7,12,2010,'F','N','INTERIOR','HERVAL D OESTE','SC','124241241116371531426311315224610116142',NULL,'341',16.47,1,3,NULL),(25,6367992,'1990-02-13 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252241215371431236622315124143132117',12417,'1022',43.37,4,3,NULL),(25,6368000,'1980-10-16 00:00:00',4,1,12,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','624202241216155731276743432122330234182',NULL,'272',0.00,1,3,NULL),(25,6368018,'1967-12-03 00:00:00',2,1,9,1987,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201205216473421423351115121121626142',NULL,'9998',17.02,1,3,NULL),(25,6368026,'1992-09-06 00:00:00',4,1,11,2009,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161217421431348611595114610122112',21646,'9998',26.16,1,3,NULL),(25,6368034,'1992-06-26 00:00:00',4,17,12,2009,'F','N','BELA VISTA','RIO CLARO','SP','125251251116131431538514575121610131177',NULL,'9998',27.49,1,2,1),(25,6368042,'1987-07-03 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124072071216572431258829375122141464041',3652,'9998',61.04,4,3,NULL),(25,6368050,'1990-09-19 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241215135431558833575124220922197',7210,'1022',53.43,3,3,NULL),(25,6368069,'1991-08-13 00:00:00',2,15,12,2008,'F','N','PIQUE DO RIO CEDRO','MELEIRO','SC','124241241117141531535615442223333223182',14933,'559',43.78,1,2,1),(25,6368077,'1990-11-11 00:00:00',4,1,12,2008,'M','N','GUANABARA','GARÇA','SP','125251251216551431215629482245610168182',16008,'9998',42.13,1,3,NULL),(25,6368085,'1993-03-01 00:00:00',2,1,12,2010,'F','N','CLARAÍBA','NOVA TRENTO','SC','124241241127131431423315575124610168022',21578,'574',27.14,1,2,1),(25,6368093,'1993-07-29 00:00:00',2,9,11,2010,'M','N','CENTRO','LAGES','SC','124242248216111221335629592115610164042',NULL,'505',24.18,1,3,NULL),(25,6368107,'1993-11-24 00:00:00',2,4,12,2010,'M','N','CENTRO','IPUMIRIM','SC','124241241117131751438313572124610138017',12337,'374',42.23,1,3,NULL),(25,6368115,'1993-01-14 00:00:00',4,1,12,2010,'M','N','CENTRO','BIGUAÇU','SC','124242241116131732334314572124610137097',20928,'63',31.38,1,3,NULL),(25,6368123,'1991-12-12 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215272431268411375124121142032',11061,'991',48.15,1,3,NULL),(25,6368131,'1993-07-13 00:00:00',2,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121432467832195111610147052',14664,'1038',44.20,1,3,NULL),(25,6368140,'1991-10-27 00:00:00',2,1,12,2008,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241116373441318611345124610133077',15916,'733',37.66,1,2,1),(25,6368158,'1993-08-26 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241248115371431523311475124610125147',18389,'307',34.35,1,2,1),(25,6368166,'1992-03-31 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241316311751336619595124610115047',19416,'307',31.11,1,3,NULL),(25,6368174,'1993-12-15 00:00:00',4,4,12,2010,'F','N','VILA NOVA','FRANCISCO BELTRÃO','PR','116162161216371431459814292122610136142',3402,'9998',61.72,1,3,NULL),(25,6368182,'1992-06-13 00:00:00',4,15,12,2009,'F','N','VILA BEATRIZ','MARACAJÁ','SC','124241241122141431323314442324610137147',19842,'550',29.33,4,2,1),(25,6368190,'1990-09-06 00:00:00',4,1,12,2008,'M','N','PQRES IRMAOS FURQUIM','BEBEDOURO','SP','125252251211572431468819571125610118182',NULL,'9998',0.00,1,3,NULL),(25,6368204,'1993-06-30 00:00:00',2,2,12,2010,'F','N','ESCOLA AGRICOLA','BLUMENAU','SC','124241241115311731634632215224613217017',16393,'69',41.58,1,3,NULL),(25,6368212,'1987-08-26 00:00:00',4,1,12,2004,'M','N','CENTRO','SANTANA PTE PENSA','SP','125251251136271641324627485114340245187',14306,'9998',39.09,1,3,NULL),(25,6368247,'1984-12-04 00:00:00',2,1,12,2002,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201207146141431123315242334610167042',NULL,'9998',0.00,1,2,1),(25,6368255,'1993-05-17 00:00:00',4,2,11,2010,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215111741336624575125610134142',1224,'71',71.66,1,3,NULL),(25,6368271,'1985-05-15 00:00:00',4,1,12,2003,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241116133711336621115124610154077',13226,'307',46.30,1,2,1),(25,6368280,'1988-07-29 00:00:00',4,1,1,2006,'M','N','KOBRASOL','S JOSÉ','SC','124244241316333431433829345114121747084',17740,'288',39.34,1,3,NULL),(25,6368301,'1987-07-06 00:00:00',4,5,12,2004,'F','N','MORRO DO ESPELHO','S LEOPOLDO','RS','120202021215571431448812475122340763127',8779,'9998',47.94,1,3,NULL),(25,6368310,'1994-09-18 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241216131731479913575122610144147',NULL,'262',52.02,1,3,NULL),(25,6368328,'1993-05-24 00:00:00',2,15,12,2010,'F','N','SÃO CRISTÓVÃO','LAJEADO','RS','120201201115471731526619572125610133197',NULL,'9998',0.00,1,2,1),(25,6368336,'1993-02-01 00:00:00',2,1,12,2010,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115271431433314575124610127077',NULL,'21',21.61,1,2,1),(25,6368344,'1990-02-19 00:00:00',2,6,12,2008,'M','N','CENTRO','JAGUAPITÃ','PR','116072161215471431568619275122610123027',959,'9998',74.19,1,3,NULL),(25,6368360,'1990-12-04 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241416354431559913345124122227057',NULL,'269',34.90,1,3,NULL),(25,6368379,'1993-10-02 00:00:00',4,1,2,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124251248115541531435812292124610114187',NULL,'9997',0.00,1,3,NULL),(25,6368395,'1992-07-15 00:00:00',2,4,11,2009,'F','N','CENTRO','S MIGUEL B VISTA','SC','124241241416272431434716472124610124182',NULL,'185',20.20,4,3,NULL),(25,6368409,'1981-08-10 00:00:00',4,1,11,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473411448613472114133227117',NULL,'270',28.20,1,3,NULL),(25,6368417,'1993-09-28 00:00:00',4,6,12,2010,'F','N','CENTRO','NAVEGANTES','SC','124242241216131731428831115221510116057',NULL,'1008',0.00,1,3,NULL),(25,6368425,'1992-08-12 00:00:00',4,3,12,2009,'M','N','VL NOVA SIDÉRIA','STA CRUZ R PARDO','SP','125251251115471531443436571112610126182',2329,'9998',65.73,1,2,1),(25,6368433,'1990-01-02 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241317142722533514345134610112097',NULL,'300',19.24,1,3,NULL),(25,6368441,'1960-10-30 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241248142171751614379296345610168187',NULL,'9997',20.47,1,2,1),(25,6368450,'1993-07-20 00:00:00',4,1,10,2010,'F','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251211111731469714575122610162187',NULL,'9998',0.00,1,3,NULL),(25,6368476,'1971-04-23 00:00:00',4,1,11,1988,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242246112135431338619485124321624182',NULL,'306',0.00,1,3,NULL),(25,6368484,'1993-02-21 00:00:00',2,1,12,2010,'F','N','MORADA DO OURO','CUIABÁ','MT','111111118116211431464923595114610124092',9710,'9998',46.47,1,2,1),(25,6368492,'1989-01-17 00:00:00',4,8,12,2006,'M','N','REBOUÇAS','CURITIBA','PR','116162161416471411388811495114241147042',NULL,'9998',0.00,1,3,NULL),(25,6368506,'1991-01-29 00:00:00',2,4,11,2007,'F','N','BAIRRO DA LUZ','DOIS VIZINHOS','PR','116161161235572431548634571122610144147',1301,'9998',70.95,1,3,NULL),(25,6368514,'1993-06-04 00:00:00',2,1,12,2010,'F','N','CENTRO','CÂNDIDO MOTA','SP','125252251215131431438833575122610127012',11815,'9998',44.42,1,3,NULL),(25,6368522,'1994-10-24 00:00:00',4,5,11,2011,'F','S','SAMUEL SANDRINI','ORLEANS','SC','124242241215111431368812575112610164112',NULL,'226',0.00,1,3,NULL),(25,6368530,'1994-11-11 00:00:00',4,5,12,2011,'F','S','MILANO','ORLEANS','SC','124242244215171712518832572122610127145',NULL,'226',0.00,1,3,NULL),(25,6368549,'1994-06-04 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111731566821595112610115142',NULL,'270',50.38,1,3,NULL),(25,6368557,'1993-09-03 00:00:00',2,5,12,2010,'F','N','CENTRO','IÇARA','SC','124241246215131331436912575122610133057',NULL,'995',18.75,1,3,NULL),(25,6368573,'1988-04-28 00:00:00',2,4,12,2006,'M','N','EUVIRA REGAZZO','NOVA AURORA','PR','116161161136111431226524385121610168187',15542,'9998',42.84,1,2,1),(25,6368581,'1990-02-27 00:00:00',4,2,12,2007,'M','N','SÃO LUIZ','BRUSQUE','SC','124241241415373741438612595112231467042',3809,'981',62.52,1,3,NULL),(25,6368590,'1960-04-12 00:00:00',4,1,12,1978,'M','N','JOAQUINA','FLORIANÓPOLIS','SC','524131131117142431536643335334341467092',2212,'9998',68.52,1,3,NULL),(25,6368603,'1992-05-04 00:00:00',2,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241216342731426633481112610164187',21111,'270',30.59,1,3,NULL),(25,6368611,'1993-05-09 00:00:00',4,8,12,2010,'M','N','CENTRO','S BENTO SUL','SC','124241241215161711446612175122610121092',17893,'974',32.17,1,3,NULL),(25,6368638,'1987-09-02 00:00:00',4,8,12,2005,'M','N','VILA MERCEDEZ','CAÇAPAVA SUL','RS','120252251212111751689979591125542422031',NULL,'9998',0.00,1,3,NULL),(25,6368646,'1991-03-07 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124093091111471331227714573122610125071',11527,'9998',44.79,1,3,NULL),(25,6368654,'1992-08-26 00:00:00',2,4,7,2010,'M','N','CENTRO','CHAPECÓ','SC','124243247415371431458933572112610127042',NULL,'1126',13.90,1,3,NULL),(25,6368662,'1994-05-20 00:00:00',2,1,2,2012,'F','S','AREIAS','S JOSÉ','SC','124242241217151731343314585122610126072',NULL,'1197',43.65,1,3,NULL),(25,6368670,'1992-04-15 00:00:00',4,4,11,2009,'F','N','FLORESTA','PTO ALEGRE','RS','120202201217472431544732585125610127077',1514,'9998',69.00,1,3,NULL),(25,6368689,'1990-01-29 00:00:00',4,1,12,2007,'M','N','VILA MARIETA','S PAULO','SP','125252256236151431369812245122141467114',NULL,'9998',34.83,1,3,NULL),(25,6368697,'1994-03-14 00:00:00',4,1,12,2010,'F','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241126131431424413585124610127047',NULL,'322',0.00,1,2,1),(25,6368700,'1993-09-09 00:00:00',2,9,10,2010,'F','N','UNIVERSITARIO','LAGES','SC','124242241235111431264823372122610124092',8222,'497',52.05,1,3,NULL),(25,6368719,'1993-02-06 00:00:00',4,1,12,2009,'F','N','ZONA SETE','MARINGÁ','PR','116162161216471431545614595125610163047',17508,'9998',39.73,1,3,NULL),(25,6368727,'1990-09-23 00:00:00',4,1,12,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241137272411456613572124610127117',20430,'290',28.98,1,2,1),(25,6368735,'1987-04-27 00:00:00',4,8,12,2004,'M','N','JARDIM BOA VISTA','CPO LARGO','PR','116161161116371451423634482124610127087',8721,'9998',49.99,1,2,1),(25,6368743,'1972-12-19 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624244248427171751616479297345610168197',NULL,'9997',4.40,1,3,NULL),(25,6368751,'1984-07-15 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201201127271451123444242222610131047',NULL,'9998',30.07,1,2,1),(25,6368760,'1993-07-31 00:00:00',2,4,12,2009,'M','N','PIONEIRO','PINHALZINHO','SC','124241246417371711339913442122610137042',15813,'1094',42.43,1,3,NULL),(25,6368786,'1993-09-04 00:00:00',4,3,12,2010,'F','N','CENTRO','PARANAVAÍ','PR','116161161235111431357832595112610134012',15710,'9998',36.89,4,3,NULL),(25,6368794,'1992-03-16 00:00:00',2,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124244241115151431436613385124610127042',NULL,'271',34.27,1,3,NULL),(25,6368808,'1974-08-17 00:00:00',2,15,12,1993,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','224241248127273431433353375115610114197',17266,'29',35.73,1,2,1),(25,6368816,'1992-12-16 00:00:00',2,7,12,2009,'M','N','ITAIBA','CONCÓRDIA','SC','124241246216372431346953275122231467052',17390,'1001',39.94,1,3,NULL),(25,6368824,'1993-05-24 00:00:00',4,1,11,2010,'M','N','PRAINHA','FLORIANÓPOLIS','SC','124242241216112431489917575115610114147',202,'270',80.67,1,3,NULL),(25,6368832,'1963-04-05 00:00:00',2,1,12,1983,'M','N','SERRARIA','S JOSÉ','SC','224241248125373431433349192122320264097',8392,'307',51.97,1,2,1),(25,6368840,'1990-03-12 00:00:00',5,1,12,2007,'F','N','VILA ESPERANÇA','MARINGÁ','PR','116162161216372731348923512132142036097',6874,'9998',53.96,1,3,NULL),(25,6368859,'1992-03-19 00:00:00',2,1,12,2009,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241127372731525314385124610133197',21450,'1088',28.42,2,1,1),(25,6368867,'1993-09-21 00:00:00',4,3,11,2010,'M','N','CENTRO','ASTORGA','PR','116162168215121432448833575122610137042',4372,'9998',59.27,1,3,NULL),(25,6368875,'1991-04-29 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215373431217624371114610167147',6667,'738',54.48,1,3,NULL),(25,6368883,'1978-04-25 00:00:00',2,1,6,1997,'M','N','AREIAS','S JOSÉ','SC','624244247341153411346643331122120927042',NULL,'1003',0.00,1,3,NULL),(25,6368891,'1991-08-15 00:00:00',4,1,12,2009,'F','N','ARTUR ALVIM','S PAULO','SP','125251251117471341646823175124610167077',8839,'9998',50.27,1,2,1),(25,6368905,'1988-10-18 00:00:00',2,1,12,2005,'M','N','CAMPINAS','S JOSÉ','SC','124241241116475432445614395124610168092',8530,'307',50.98,1,2,1),(25,6368913,'1994-12-15 00:00:00',4,1,11,2010,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215111431685669575124610124142',20374,'262',33.49,1,3,NULL),(25,6368921,'1973-06-17 00:00:00',4,1,12,1990,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124252258232575631138643435123123227182',9466,'9998',47.82,1,3,NULL),(25,6368930,'1978-09-13 00:00:00',4,8,12,1998,'M','N','TABULEIRO','BARRA VELHA','SC','124253258336435721448617395124521166116',10536,'9998',50.43,1,3,NULL),(25,6368948,'1986-04-29 00:00:00',2,1,12,2005,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241117132421527438242134130244045',17932,'289',38.98,2,1,1),(25,6368956,'1992-04-27 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217152431535829295124122314192',10022,'515',51.29,1,3,NULL),(25,6368964,'1992-07-22 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241235271431489931572122610126082',962,'1169',74.18,1,3,NULL),(25,6368972,'1990-03-03 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241248141171751614279296345610168197',NULL,'9997',0.00,1,2,1),(25,6368980,'1991-05-28 00:00:00',2,1,11,2010,'M','N','IPIRANGA','S JOSÉ','SC','124244241416141731364337245114610134042',NULL,'734',0.00,1,3,NULL),(25,6368999,'1988-06-17 00:00:00',4,9,11,2005,'M','N','RIO BRANCO','PTO ALEGRE','RS','120242241217473731569939575122241434182',2417,'497',65.88,1,3,NULL),(25,6369006,'1993-03-20 00:00:00',4,2,12,2010,'F','N','SANTA RITA','BRUSQUE','SC','124242241215111431457734375122610133097',NULL,'107',0.00,1,3,NULL),(25,6369014,'1961-05-13 00:00:00',4,1,12,1980,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241217153431152243432222121167141',17963,'211',38.92,1,3,NULL),(25,6369022,'1993-02-22 00:00:00',4,1,11,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112422459813575122610114027',11387,'1133',46.39,1,3,NULL),(25,6369030,'1994-03-02 00:00:00',2,4,12,2010,'F','N','CENTRO','ARVOREDO','SC','124241248125141431553633432222610166012',16589,'36',36.24,1,2,1),(25,6369049,'1991-02-04 00:00:00',2,1,7,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124282281217171411239934241115610162047',18174,'9998',38.52,1,3,NULL),(25,6369057,'1987-10-02 00:00:00',4,4,12,2005,'M','N','CENTRO','PALMAS','PR','116162161215271711449933485112610127097',7024,'9998',53.24,1,3,NULL),(25,6369065,'1994-06-28 00:00:00',4,1,12,2011,'M','S','BESENELLO','NOVA TRENTO','SC','124242241216111511438812396122610134172',NULL,'948',35.97,1,3,NULL),(25,6369073,'1992-02-20 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216372451448931575124610164062',10368,'272',47.52,1,3,NULL),(25,6369081,'1993-09-16 00:00:00',4,1,12,2010,'M','N','JARDIM AMERICA','JALES','SP','125253251417121531448822575112610164192',NULL,'9998',0.00,1,3,NULL),(25,6369090,'1982-12-28 00:00:00',4,16,12,2001,'F','N','MONTE ALEGRE','S CRISTÓVÃO SUL','SC','124241241127141722534319495112610137052',NULL,'705',12.03,4,3,NULL),(25,6369103,'1992-11-01 00:00:00',4,7,12,2009,'F','N','VISTA ALEGRE','CONCÓRDIA','SC','124241248135131711424614294224610144017',17077,'192',35.36,1,2,1),(25,6369111,'1993-02-26 00:00:00',4,1,12,2010,'M','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112122121215111531478812575122610164152',14372,'9998',40.08,1,3,NULL),(25,6369138,'1993-08-06 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431489913575122610132142',3314,'1050',64.93,1,3,NULL),(25,6369146,'1988-01-20 00:00:00',4,1,12,2005,'F','N','CENTRO','IBIÚNA','SP','125252251215571441548911575114610167117',NULL,'9998',0.00,4,3,NULL),(25,6369154,'1975-12-07 00:00:00',2,1,12,1993,'M','N','ROÇADO','S JOSÉ','SC','224201201116141431423444345123610126092',17646,'9998',33.83,1,3,NULL),(25,6369162,'1993-05-28 00:00:00',4,8,12,2010,'M','N','JARDIM ITAMARATY','GARUVA','SC','124241241127131431436639235225610168192',NULL,'923',13.87,1,2,1),(25,6369170,'1985-02-21 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241217374421225831385124231041097',NULL,'266',0.00,1,3,NULL),(25,6369189,'1984-12-26 00:00:00',2,1,12,2001,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241147135431656634242134330225077',NULL,'257',34.02,1,2,1),(25,6369197,'1994-04-15 00:00:00',2,8,12,2010,'M','N','CENTRO','LEOBERTO LEAL','SC','124241248126131431338633571121610167057',NULL,'533',14.46,1,2,1),(25,6369200,'1993-08-11 00:00:00',2,1,12,2010,'M','N','CENTRO','CIRÍACO','RS','120201201137161431228923384122610138057',NULL,'9998',0.00,1,2,1),(25,6369219,'1993-05-04 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241216131431333611242124610133073',12851,'1048',43.92,1,3,NULL),(25,6369227,'1993-04-21 00:00:00',2,1,12,2010,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124243241215111431324933572124610122142',18642,'1022',35.49,1,3,NULL),(25,6369235,'1993-01-23 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241115361331226423375124610167047',NULL,'734',34.36,1,2,1),(25,6369243,'1989-05-31 00:00:00',2,1,12,2006,'F','N','AÇOS FINOS PIRATINI','CHARQUEADAS','RS','120203201415571431446821575114610162077',570,'9998',76.73,4,3,NULL),(25,6369251,'1989-07-28 00:00:00',4,4,11,2006,'F','N','CENTRO','CORBÉLIA','PR','116161161115571531537615272124610165017',NULL,'9998',34.71,1,2,1),(25,6369260,'1992-01-03 00:00:00',2,6,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124243241116131431426829575125610132097',NULL,'405',0.00,1,3,NULL),(25,6369278,'1987-08-02 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241216373151544451345124131063187',NULL,'269',0.00,1,3,NULL),(25,6369286,'1994-03-30 00:00:00',2,4,12,2010,'M','N','CENTRO','ENÉAS MARQUES','PR','116161161416274411437614372124610134147',9109,'9998',48.69,1,3,NULL),(25,6369316,'1993-05-23 00:00:00',2,15,12,2010,'F','N','CENTRO','MRO GRANDE','SC','124241241115131431426734572124610137057',NULL,'30',26.70,1,2,1),(25,6369324,'1988-04-28 00:00:00',2,1,11,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241334132331459933431114231067042',12706,'951',47.06,4,3,NULL),(25,6369340,'1992-03-13 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241115472731316721572214610163097',NULL,'307',21.74,1,3,NULL),(25,6369359,'1987-07-02 00:00:00',2,1,12,2006,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242161316131711445879345124132066077',NULL,'9998',44.49,1,3,NULL),(25,6369367,'1982-12-13 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241248117171751614379296345610168197',NULL,'9997',0.00,1,2,1),(25,6369375,'1994-04-04 00:00:00',2,10,11,2011,'F','S','CONGONHAS','TUBARÃO','SC','124242241215111732426616475122610133142',NULL,'807',35.04,4,3,NULL),(25,6369383,'1993-04-14 00:00:00',4,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241115141431326614272124610121147',21651,'772',26.11,1,2,1),(25,6369391,'1988-09-27 00:00:00',2,8,11,2006,'F','N','CABRAL','CURITIBA','PR','110102161216471111438832572114241463144',NULL,'9998',0.00,1,3,NULL),(25,6369405,'1993-05-20 00:00:00',4,1,12,2010,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241415111341354612472114610164186',5919,'883',58.92,1,3,NULL),(25,6369413,'1992-06-12 00:00:00',4,8,12,2009,'M','N','CABRAL','CURITIBA','PR','116162161217472432338814575114241467047',NULL,'9998',0.00,1,3,NULL),(25,6369421,'1991-08-22 00:00:00',2,8,12,2010,'M','N','PARQUE AUTO ESTRADA','PNT GROSSA','PR','116162161315121231467432245122610167062',9913,'9998',47.21,1,3,NULL),(25,6369430,'1964-09-06 00:00:00',4,1,11,1983,'F','N','CENTRO','FLORIANÓPOLIS','SC','424241243226131421333441215132130822197',NULL,'497',3.33,1,3,NULL),(25,6369448,'1991-03-24 00:00:00',2,1,12,2008,'F','N','JARDIM BOTÂNICO','CURITIBA','PR','116162161111371751248719291124341324145',1691,'9998',69.62,1,3,NULL),(25,6369456,'1995-05-10 00:00:00',4,1,12,2012,'F','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111711327631475122610124142',NULL,'262',50.32,1,3,NULL),(25,6369464,'1993-05-27 00:00:00',2,1,12,2010,'F','N','ARMAÇAO P DO SUL','FLORIANÓPOLIS','SC','124242241212111751326614572124610168187',17608,'1050',35.65,1,3,NULL),(25,6369472,'1993-02-06 00:00:00',4,3,12,2010,'F','N','RIO AREIA','LEOBERTO LEAL','SC','124244241121131431438413282245610157052',NULL,'533',0.00,1,3,NULL),(25,6369499,'1958-04-01 00:00:00',4,1,2,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224241247133131421423144145124610126043',NULL,'9999',24.49,1,3,NULL),(25,6369502,'1994-07-18 00:00:00',2,16,12,2010,'F','N','CENTRO','FR ROGÉRIO','SC','124241241135471732423535575122610138145',20033,'320',30.56,1,3,NULL),(25,6369510,'1992-06-17 00:00:00',2,16,12,2010,'M','N','PÔR DO SOL','MTE CARLO','SC','124241242115271411623321472324610145177',15575,'936',37.89,4,2,1),(25,6369529,'1992-02-28 00:00:00',2,1,12,2009,'M','N','TAJUBA I','S JOÃO BATISTA','SC','124241241117372231434679594113610168042',8366,'712',51.45,1,2,1),(25,6369537,'1988-05-17 00:00:00',4,1,5,2009,'M','N','PORTAL','SOCORRO','SP','125254257435471441448812282212610112122',NULL,'9998',24.46,2,1,2),(25,6369545,'1991-06-04 00:00:00',4,1,6,2010,'M','N','CHACARAS CAICARA','BIRIGÜI','SP','125253281417472752658732575115610114182',2309,'9998',67.29,1,3,NULL),(25,6369553,'1990-02-12 00:00:00',2,1,7,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247444331431526324142124132812017',17495,'9997',39.75,4,3,NULL),(25,6369561,'1993-09-20 00:00:00',2,17,12,2010,'F','N','PIEDADE','CANOINHAS','SC','124241241115231531423415575124610127057',16134,'146',37.67,1,2,1),(25,6369570,'1990-10-07 00:00:00',4,1,12,2007,'M','N','SÃO ROQUE','BENTO GONÇALVES','RS','120204201217142431554432245123243262177',20663,'9998',32.54,1,3,NULL),(25,6369588,'1991-09-02 00:00:00',4,1,12,2008,'M','N','SÃO DIMAS','PIRACICABA','SP','125252251211571411278812575122610167042',5693,'9998',56.60,1,3,NULL),(25,6369596,'1966-04-23 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241248117171751613379297345610168187',NULL,'9997',21.04,1,2,1),(25,6369600,'1993-08-07 00:00:00',4,1,12,2010,'F','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125252251215111431488933571122610131093',NULL,'9998',46.78,1,3,NULL),(25,6369618,'1994-10-07 00:00:00',4,8,10,2011,'F','S','IRIRIU','JOINVILLE','SC','124242241215111731358814575124610123157',NULL,'9997',45.30,1,3,NULL),(25,6369634,'1994-07-13 00:00:00',2,16,12,2011,'F','S','SÃO LUIS','CURITIBANOS','SC','124244241217111731546912275122610144157',NULL,'881',27.06,1,3,NULL),(25,6369642,'1988-12-14 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124244241216273431343624495124221827027',7644,'1040',55.55,1,3,NULL),(25,6369650,'1993-01-05 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242246215211431356627375124610124097',16858,'270',36.65,1,3,NULL),(25,6369669,'1992-03-20 00:00:00',2,1,11,2010,'M','N','VILA B','FOZ IGUAÇU','PR','116162161215471431478814572114610167052',NULL,'9998',33.74,1,3,NULL),(25,6369685,'1993-11-24 00:00:00',2,4,12,2010,'M','N','CENTRO','IPUMIRIM','SC','124241241112131731438313572124610138017',NULL,'374',23.01,1,3,NULL),(25,6369693,'1993-08-18 00:00:00',4,1,11,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241248126151731553619195124610132187',19176,'283',36.59,1,3,NULL),(25,6369707,'1991-10-02 00:00:00',4,1,12,2009,'M','N','ALTOS DE SANTANA II','JACAREÍ','SP','125252251216471431467834575112610167047',NULL,'9998',0.00,1,3,NULL),(25,6369715,'1994-03-03 00:00:00',4,7,11,2010,'F','N','MARAFON','VIDEIRA','SC','124241248216131431438714182122610166082',NULL,'829',29.94,1,3,NULL),(25,6369723,'1994-08-21 00:00:00',2,1,12,2010,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124242241217111431423311115121610128051',19776,'1011',35.20,1,3,NULL),(25,6369731,'1993-06-09 00:00:00',2,15,12,2010,'F','N','LINHA SÃO PEDRO','JACINTO MACHADO','SC','124241241115161431623515572124610133157',NULL,'420',15.92,1,3,NULL),(25,6369740,'1992-01-04 00:00:00',2,1,12,2009,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124244241216232231446613445124610148187',13335,'1011',46.17,1,3,NULL),(25,6369758,'1992-07-21 00:00:00',2,10,12,2008,'F','N','TRES DE MAIO','CAPIVARI BAIXO','SC','124241241146271711328329385124610164147',NULL,'158',15.58,2,2,1),(25,6369766,'1989-05-11 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241316372221437723285122610164077',9386,'306',52.37,1,3,NULL),(25,6369774,'1985-06-28 00:00:00',2,1,12,2003,'F','N','ROÇADO','S JOSÉ','SC','124243241347475421225844345324123024017',NULL,'757',0.00,1,3,NULL),(25,6369782,'1990-06-19 00:00:00',4,1,12,2008,'M','N','GIOVANE LUNARDELLI','LONDRINA','PR','116161167126571431433411375123610132187',5697,'9998',57.06,4,1,1),(25,6369790,'1992-04-16 00:00:00',4,1,12,2010,'M','N','JARDIM CHAPADÃO','CAMPINAS','SP','125252251216271431558614572114610167057',7701,'9998',55.43,1,3,NULL),(25,6369804,'1994-01-26 00:00:00',4,6,10,2010,'F','N','CENTRO','NAVEGANTES','SC','124162161217471731469931575122610122192',5944,'9998',55.63,1,3,NULL),(25,6369812,'1985-05-11 00:00:00',4,1,11,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124214218216152441569619495114241964195',12081,'9998',48.01,1,3,NULL),(25,6369820,'1990-07-27 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624244248617171751614379297345610168187',NULL,'9997',0.00,1,3,NULL),(25,6369839,'1992-01-06 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241247417271211646613225134610127047',15690,'9999',42.62,1,3,NULL),(25,6369847,'1988-05-31 00:00:00',4,1,12,2005,'F','N','PASSO DA AREIA','STA MARIA','RS','120202201211572431436733571124143216107',796,'9998',74.93,1,3,NULL),(25,6369855,'1989-09-19 00:00:00',2,1,12,2008,'M','N','POTECAS','S JOSÉ','SC','124241241117141431223644342124610122042',NULL,'732',18.38,1,2,1),(25,6369863,'1993-07-28 00:00:00',4,7,12,2010,'F','N','SANTA TEREZA','JOAÇABA','SC','124241241215111431443627375124610127147',8556,'454',53.87,1,3,NULL),(25,6369871,'1993-07-08 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241415112431568811472122610124122',13710,'262',43.44,1,3,NULL),(25,6369880,'1991-04-01 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215272431469971475124131164042',5170,'270',60.48,1,3,NULL),(25,6369910,'1985-02-25 00:00:00',4,1,9,2003,'F','N','IPIRANGA','S JOSÉ','SC','624201205116131431223344442334610122142',NULL,'9997',35.64,1,2,1),(25,6369928,'1993-11-05 00:00:00',2,1,11,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241136131431325624572124610137141',NULL,'288',19.43,1,3,NULL),(25,6369936,'1971-11-26 00:00:00',4,1,12,1988,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124212211216152421138813415122341427122',NULL,'9998',0.00,4,3,NULL),(25,6369944,'1983-05-12 00:00:00',2,8,12,2000,'M','N','CIDADE JARDIM','MARINGÁ','PR','116252253236572451326639485125241066187',4135,'9998',62.96,4,3,NULL),(25,6369952,'1992-10-15 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215152431438624495122610151142',5427,'210',57.12,1,3,NULL),(25,6369960,'1993-02-26 00:00:00',2,3,12,2009,'M','N','JARDIM MODELO','JAPURÁ','PR','116161161217471751348633575125610167057',NULL,'9998',26.46,4,3,NULL),(25,6369979,'1993-05-19 00:00:00',2,1,12,2010,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124243241215111431438613245114610161062',16781,'1168',40.96,1,3,NULL),(25,6369987,'1992-11-25 00:00:00',4,6,12,2009,'F','N','SÃO JUDAS','ITAJAÍ','SC','124242241216373431323714175125233222147',18914,'392',37.09,1,3,NULL),(25,6369995,'1991-01-09 00:00:00',2,9,12,2007,'F','N','VILA RICA','CARAZINHO','RS','120202201217532511433634375124610134147',7000,'9998',54.11,1,3,NULL),(25,6370004,'1994-01-13 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241216111431328811575121610127012',21240,'723',29.80,1,3,NULL),(25,6370012,'1993-08-02 00:00:00',2,9,12,2010,'F','N','COPACABANA','LAGES','SC','124241241117151731423331285124610126052',NULL,'509',24.04,1,2,1),(25,6370020,'1993-04-30 00:00:00',4,1,12,2009,'F','N','CAMOBI','STA MARIA','RS','120202208217471431588819491114610134196',19275,'9998',29.78,1,3,NULL),(25,6370039,'1993-07-30 00:00:00',4,9,12,2010,'M','N','BRUSQUE','LAGES','SC','124243241115151741327679211221610144077',13833,'513',39.79,4,3,NULL),(25,6370047,'1993-02-08 00:00:00',4,16,12,2010,'F','N','ÁGUA SANTA','CURITIBANOS','SC','124241241116371431624369175122610166142',20530,'240',26.62,1,2,1),(25,6370055,'1993-02-06 00:00:00',4,10,11,2010,'F','N','CENTRO','ORLEANS','SC','124241241316371431586812475122610164142',3294,'806',63.84,1,3,NULL),(25,6370063,'1994-12-21 00:00:00',2,9,2,2011,'M','N','MORRO DO POSTO','LAGES','SC','124241248212111321336619292211613217041',21435,'1207',28.52,1,3,NULL),(25,6370071,'1994-07-23 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111231246824475122610122042',13038,'737',46.55,1,3,NULL),(25,6370080,'1993-08-31 00:00:00',5,4,11,2010,'F','N','INTERIOR','CONCÓRDIA','SC','124241241215111431438933575122610126092',NULL,'1001',25.26,1,3,NULL),(25,6370098,'1986-10-25 01:00:00',2,1,7,2005,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','124251241126375441423311415134610164047',13283,'307',44.88,1,2,1),(25,6370101,'1978-05-26 00:00:00',2,1,12,1996,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124201207327131411128641115223540962097',NULL,'9997',0.00,1,3,NULL),(25,6370110,'1994-05-23 00:00:00',4,3,12,2010,'M','N','CENTRO','PARANAVAÍ','PR','116163161217111451346923575115610134047',4395,'9998',59.37,1,3,NULL),(25,6370128,'1978-02-21 00:00:00',4,1,12,2003,'M','N','LISBOA','S JOSÉ','SC','224201247336231431334454292213610142012',NULL,'9999',0.00,1,3,NULL),(25,6370136,'1993-03-16 00:00:00',4,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241213131452425639372324610167113',19938,'737',34.76,1,3,NULL),(25,6370144,'1993-11-10 00:00:00',4,1,12,2010,'F','N','CENTRO','GAROPABA','SC','124241241126131431423614585125610162197',20578,'322',32.81,1,2,1),(25,6370152,'1988-06-08 00:00:00',4,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242247317144511248772242332610167112',NULL,'592',34.44,1,3,NULL),(25,6370195,'1993-05-27 00:00:00',2,4,11,2010,'M','N','CENTRO','IPUMIRIM','SC','124241246415271432426612585124610164077',8360,'1001',50.68,1,3,NULL),(25,6370209,'1994-02-08 00:00:00',4,4,12,2010,'M','N','JARDEIM EUROPA','ASSIS CHATEAUBRIAND','PR','116164161235111431558833575111610132187',NULL,'9998',0.00,1,3,NULL),(25,6370217,'1989-04-29 00:00:00',4,1,12,2006,'F','N','PASSA VINTE','PALHOÇA','SC','124244241216475431345811472114610144042',13257,'1011',42.98,2,1,2),(25,6370225,'1993-08-05 00:00:00',4,1,12,2010,'M','N','VILA ROSA PIRES','CPO GRANDE','MS','112122121215111431459931575122610112057',NULL,'9998',0.00,3,3,NULL),(25,6370233,'1987-11-17 00:00:00',2,16,12,2005,'M','N','MAROMBAS','BRUNÓPOLIS','SC','124241241124441431324329142342610127055',21577,'911',27.15,1,3,NULL),(25,6370250,'1991-03-08 00:00:00',2,1,12,2009,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124242241217272711438931445114610167117',14179,'1022',44.89,1,3,NULL),(25,6370268,'1993-02-20 00:00:00',4,6,12,2010,'M','N','VILA HARMONIA','ARARAQUARA','SP','125252251216471231467833375122610144142',2760,'9998',64.98,1,3,NULL),(25,6370284,'1992-03-31 00:00:00',4,8,12,2009,'M','N','JARDIM SÃO FRANCISCO','LINS','SP','125252251216471421357834575122610167042',10064,'9998',46.74,1,3,NULL),(25,6370292,'1991-10-20 01:00:00',4,1,12,2008,'M','N','PARQUE MONTE ALEGRE','TABOÃO SERRA','SP','125252251213471411569714573114610115056',3726,'9998',62.18,1,3,NULL),(25,6370306,'1993-05-17 00:00:00',4,4,12,2010,'F','N','CENTRO','ÁGUAS CHAPECÓ','SC','124241241127131431523316273124610158145',NULL,'10',13.77,1,2,1),(25,6370314,'1993-03-06 00:00:00',4,10,12,2010,'M','N','NOSSA SENHORA DAS GR','BRAÇO NORTE','SC','124241241116131431523434175124610137057',NULL,'100',0.00,1,2,1),(25,6370322,'1987-08-28 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624281248141171151614379391345610168197',NULL,'9997',0.00,1,2,1),(25,6370330,'1992-07-15 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211472751368813585112613268191',9497,'262',52.22,1,3,NULL),(25,6370349,'1989-08-14 00:00:00',2,1,12,2007,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241116473411338419412114610127027',8010,'293',52.11,1,2,1),(25,6370357,'1989-03-03 00:00:00',2,15,12,2008,'M','N','SÃO PEREGRINO','TURVO','SC','624241247147151431633611112212610168045',20457,'9999',33.30,1,3,NULL),(25,6370365,'1993-07-03 00:00:00',2,8,11,2010,'F','N','EMBARÉ','SANTOS','SP','125252251216131731338813575122610122127',NULL,'9998',0.00,1,3,NULL),(25,6370373,'1970-11-16 00:00:00',2,1,8,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624241247237141751426743332124610156187',NULL,'281',31.53,1,3,NULL),(25,6370381,'1994-02-05 00:00:00',2,1,12,2010,'F','N','PRAIA DE FORA','PALHOÇA','SC','124242241215131431336734575114610162072',11683,'1011',48.63,1,3,NULL),(25,6370390,'1994-05-09 00:00:00',2,2,12,2010,'M','N','CEDRO ALTO','BRUSQUE','SC','124241241437111211343517292124610117052',14529,'1123',44.39,1,3,NULL),(25,6370403,'1993-09-15 00:00:00',2,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124203241117271251326721575115610162125',14558,'49',40.16,1,3,NULL),(25,6370411,'1968-04-08 00:00:00',2,15,12,1987,'M','N','DIVINÉIA','ARARANGUÁ','SC','224241246116131422456444445122131434063',21466,'306',28.27,4,3,NULL),(25,6370420,'1987-08-03 00:00:00',2,1,12,2009,'F','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124244241416473411424923442124610154187',21493,'9999',28.00,1,3,NULL),(25,6370438,'1992-10-21 00:00:00',4,4,12,2010,'F','N','CENTRO','PINHALZINHO','SC','124243241217131431463512574122610122072',2729,'1070',66.01,1,3,NULL),(25,6370446,'1987-01-23 00:00:00',4,1,12,2004,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124074241217244411558833435122121264032',6116,'259',58.48,1,3,NULL),(25,6370454,'1968-04-09 00:00:00',4,1,12,1985,'F','N','CENTRO','LAGES','SC','124242245214474441324733431124340624147',NULL,'499',0.00,1,3,NULL),(25,6370462,'1986-11-10 00:00:00',2,6,12,2005,'F','N','CENTRO','BAL CAMBORIÚ','SC','124131131116131411323623415345331544197',NULL,'9998',0.00,3,2,1),(25,6370470,'1991-10-07 00:00:00',2,8,12,2009,'M','N','JARDIM LUCIANA','MARÍLIA','SP','125252251215472431435834575122610134047',9309,'9998',48.45,1,3,NULL),(25,6370489,'1991-01-25 00:00:00',4,8,12,2008,'M','N','ATIRADORES','JOINVILLE','SC','125242241216571411489813575122610162126',28,'1063',86.83,1,3,NULL),(25,6370497,'1993-07-03 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241117111431325519175124610127042',NULL,'298',13.54,1,3,NULL),(25,6370500,'1993-02-10 00:00:00',2,1,12,2009,'M','N','CENTRO','CAMPOS NOVOS','SC','124242161212371111368826575125610166014',NULL,'9998',0.00,1,3,NULL),(25,6370519,'1992-10-25 01:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241127161431333911375121610127117',NULL,'922',28.07,1,3,NULL),(25,6370527,'1992-04-03 00:00:00',4,8,12,2009,'M','N','NOVA BRASILIA','JARAGUÁ SUL','SC','124242241216473441446932425121610127042',6614,'441',54.57,1,3,NULL),(25,6370535,'1989-03-21 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247126472431114444241124610123047',6459,'736',55.22,1,2,1),(25,6370543,'1992-11-28 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215111431234412325114610168122',NULL,'1022',25.50,5,3,NULL),(25,6370551,'1972-12-07 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241248147171751613379297345610168197',NULL,'9997',0.00,1,2,1),(25,6370560,'1992-06-05 00:00:00',2,5,12,2009,'F','N','ARIZONA','LAURO MÜLLER','SC','124243248411161511583932341121610134151',NULL,'950',0.00,2,3,NULL),(25,6370578,'1992-02-28 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241115151231346314345124610117182',18087,'307',33.71,1,2,1),(25,6370586,'1993-03-22 00:00:00',4,1,12,2010,'F','N','CENTRO','CPO GRANDE','MS','112122121215111531478812525122610165102',8532,'9998',50.54,1,3,NULL),(25,6370594,'1992-06-20 00:00:00',4,1,12,2009,'F','N','MORUMBI','CORNÉLIO PROCÓPIO','PR','116164161315471431538611575124610163017',7104,'9998',56.54,1,3,NULL),(25,6370608,'1992-05-06 00:00:00',4,1,12,2009,'F','N','CENTRO','STA CRUZ MTE CASTELO','PR','116162161216211431548911572124610162142',6350,'9998',54.37,3,3,NULL),(25,6370624,'1993-03-05 00:00:00',4,1,11,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111432679713572112610142092',2867,'270',66.33,1,3,NULL),(25,6370632,'1987-01-08 00:00:00',2,15,12,2004,'M','N','CENTRO','MELEIRO','SC','124241241136142731343316445134330827182',20369,'559',33.51,1,2,1),(25,6370640,'1993-09-23 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116131431323317592112610114192',NULL,'592',34.62,1,2,1),(25,6370659,'1993-06-17 00:00:00',4,4,12,2010,'F','N','JARDIM ZAIRA','GUARULHOS','SP','125242251216111331379914575112610166143',20984,'9998',31.15,1,3,NULL),(25,6370667,'1992-05-22 00:00:00',4,15,12,2009,'F','N','CENTRO','GRAVATAÍ','RS','120204201215571431437331571124610123127',7321,'9998',51.97,1,3,NULL),(25,6370675,'1994-08-09 00:00:00',4,2,12,2011,'F','S','CENTRO','BRUSQUE','SC','124242241215111611228824195122610146052',NULL,'107',38.98,1,3,NULL),(25,6370683,'1992-01-31 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241326471431546627546124610146182',18542,'9997',31.97,1,3,NULL),(25,6370691,'1993-02-15 00:00:00',2,2,10,2010,'M','N','VILA NOVA','BLUMENAU','SC','124242241215111431548967574111610167187',14416,'855',44.56,1,3,NULL),(25,6370705,'1993-01-21 00:00:00',4,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117131431544413572124610167057',19740,'307',35.28,1,2,1),(25,6370713,'1993-12-30 00:00:00',4,1,11,2011,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241217111432469813572112610127045',NULL,'270',51.11,1,3,NULL),(25,6370721,'1990-12-20 00:00:00',2,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241117131431523314344134610144142',15085,'65',41.15,1,2,1),(25,6370730,'1983-08-29 00:00:00',4,1,12,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126234431313315285124121724152',NULL,'689',0.00,1,2,1),(25,6370748,'1979-05-30 00:00:00',2,1,8,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224243247225271531433349291124610167047',19957,'977',34.71,1,3,NULL),(25,6370756,'1966-11-15 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241248147171751613379292345610168187',NULL,'9997',0.00,1,2,1),(25,6370772,'1986-08-20 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201241147235421323325142124232365147',19768,'641',28.86,1,2,1),(25,6370780,'1993-05-12 00:00:00',2,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124243241215111431623821475124610146172',16573,'211',36.11,1,3,NULL),(25,6370799,'1994-04-08 00:00:00',4,2,12,2011,'F','S','SÃO LUIS','BRUSQUE','SC','124241241415111711338823595122610144147',NULL,'107',28.93,1,3,NULL),(25,6370802,'1994-07-27 00:00:00',4,9,12,2011,'M','S','CENTRO','LAGES','SC','124242241217111411247921575122610114013',NULL,'499',28.30,1,3,NULL),(25,6370810,'1993-10-11 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111531346512575112610138197',8080,'272',54.72,1,3,NULL),(25,6370829,'1991-08-09 00:00:00',2,9,12,2008,'F','N','FERROVIA','LAGES','SC','124244241216373431246923375124610124142',10171,'515',47.87,1,3,NULL),(25,6370837,'1993-06-11 00:00:00',4,1,12,2010,'F','N','PALHOÇA','PALHOÇA','SC','124241241225111431433631592124610133147',NULL,'262',21.57,1,3,NULL),(25,6370845,'1990-02-17 00:00:00',2,1,12,2007,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241243316343431436419342134610122157',NULL,'1022',18.58,1,3,NULL),(25,6370853,'1988-05-11 00:00:00',2,1,12,2007,'M','N','SERTAO DO IMARUI','S JOSÉ','SC','124241241116373431336623345124231422181',10250,'306',47.36,1,2,1),(25,6370870,'1993-04-02 00:00:00',2,6,12,2010,'M','N','ARMAÇÃO','PENHA','SC','124241241115131451647611245125610118187',18023,'609',33.60,1,2,1),(25,6370888,'1991-01-16 00:00:00',2,1,12,2007,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241116272431323674341224610128047',NULL,'405',24.95,2,1,1),(25,6370896,'1988-11-12 00:00:00',2,8,12,2005,'F','N','EXPOSIÇÃO','PASSOS','MG','113132131216572431557812572122610122072',11903,'9998',43.60,1,3,NULL),(25,6370900,'1993-08-21 00:00:00',2,17,12,2010,'F','N','SÃO CRISTÓVÃO','UNIÃO VITÓRIA','PR','116163161117371431539833572122610162012',13732,'9998',41.75,3,3,NULL),(25,6370918,'1987-09-24 00:00:00',2,10,12,2005,'M','N','RECIFE','TUBARÃO','SC','124241241111271431536623332133610128051',15476,'257',36.57,1,2,1),(25,6370926,'1994-03-14 00:00:00',2,1,12,2010,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124243241116131431526834215114610167117',NULL,'257',30.50,1,3,NULL),(25,6370934,'1990-10-08 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115151411423414345114610116043',21789,'298',21.03,1,2,1),(25,6370942,'1989-10-29 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241248142171751613379297345610168197',NULL,'9997',0.00,1,2,1),(25,6370950,'1970-08-10 00:00:00',4,1,12,1989,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','624241243126235431363453495113122262097',15211,'592',43.39,1,2,1),(25,6370969,'1993-06-04 00:00:00',2,8,12,2010,'F','N','CORVETA','ARAQUARI','SC','124161241215131431415511574122610144012',NULL,'1161',0.00,1,3,NULL),(25,6370977,'1992-11-30 00:00:00',2,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115271431433511582224610127142',NULL,'307',27.95,1,2,1),(25,6370985,'1991-06-14 00:00:00',4,4,12,2008,'M','N','JARDIM ITALIA','CHAPECÓ','SC','124241241115372451438831375122610168057',20806,'169',31.93,1,2,1),(25,6370993,'1994-02-23 00:00:00',4,1,12,2011,'M','S','CAMPECHE','FLORIANÓPOLIS','SC','124241241111371231426619571124610127112',NULL,'307',33.00,1,3,NULL),(25,6371019,'1993-01-22 00:00:00',4,3,12,2010,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124162241217121431238811492122610167142',5142,'9997',57.78,1,3,NULL),(25,6371035,'1993-04-15 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111531354312572112610137072',NULL,'273',37.32,1,3,NULL),(25,6371043,'1993-03-06 00:00:00',4,8,12,2010,'M','N','CENTRO','TOLEDO','PR','116162161216111431456612575112610122152',11893,'9998',43.62,1,3,NULL),(25,6371051,'1967-02-18 00:00:00',2,3,12,1983,'F','N','CENTRO','BAL CAMBORIÚ','SC','524202203247161731324441215122140266197',20871,'9998',31.66,1,3,NULL),(25,6371060,'1991-08-23 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243247335141431538623382324610167097',NULL,'9999',16.18,1,3,NULL),(25,6371078,'1983-05-29 00:00:00',2,1,12,1999,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243141136575431669653575112610166027',NULL,'9998',53.13,1,3,NULL),(25,6371086,'1990-04-13 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124243241211131431546923395124610112142',19127,'259',32.58,1,3,NULL),(25,6371094,'1990-05-09 00:00:00',2,1,12,2007,'M','N','FORQUILHAS','S JOSÉ','SC','124241241136274431446714575114221466015',7046,'734',54.54,1,2,1),(25,6371108,'1991-06-29 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217374431457622372124130263077',16030,'1050',42.08,1,3,NULL),(25,6371116,'1991-12-19 00:00:00',4,2,11,2008,'F','N','VILA ANDRADE','S PAULO','SP','125252251211571431458839291122610142122',NULL,'9998',0.00,1,3,NULL),(25,6371124,'1994-04-18 00:00:00',4,1,12,2011,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215151752467832575122610164142',NULL,'883',53.78,1,3,NULL),(25,6371132,'1989-10-20 00:00:00',4,1,11,2007,'M','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125252251217472431437931475113142162042',11706,'9998',42.85,1,3,NULL),(25,6371140,'1993-05-25 00:00:00',4,4,12,2010,'M','N','INTERIOR','CUNHATAÍ','SC','124241241125131431433936572224610167047',18108,'235',38.63,1,2,1),(25,6371159,'1993-04-01 00:00:00',2,2,12,2010,'M','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124241241415271321446512274122610157142',10115,'107',46.75,1,3,NULL),(25,6371175,'1990-04-08 00:00:00',2,1,11,2007,'M','N','CENTRO','PNT GROSSA','PR','116254251217371431456831375114610162063',20260,'9998',27.25,4,3,NULL),(25,6371191,'1993-01-23 00:00:00',4,2,11,2010,'M','N','SOUZA CRUZ','BRUSQUE','SC','124241241216112431576514275112610127122',3152,'1123',63.16,1,3,NULL),(25,6371205,'1990-05-03 00:00:00',4,8,12,2007,'F','N','BOA VISTA','JOINVILLE','SC','124242246216574731466312445124610115141',NULL,'494',0.00,1,3,NULL),(25,6371213,'1992-08-17 00:00:00',4,9,11,2010,'M','N','CENTRO','LAGES','SC','124242246417111432436631372125610167042',NULL,'499',9.49,4,3,NULL),(25,6371221,'1990-04-24 00:00:00',2,1,11,2007,'F','N','SETOR UNIVERSITÁRIO','GOIÂNIA','GO','109141141136131451536619495135610162027',NULL,'9998',23.82,3,2,1),(25,6371248,'1992-08-22 00:00:00',2,1,12,2009,'M','N','ZONA SETE','MARINGÁ','PR','116162161217471441448711172122610164047',1177,'9998',72.28,1,3,NULL),(25,6371256,'1981-08-01 00:00:00',4,1,8,1998,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241317141441427721115123132152117',NULL,'86',0.00,1,3,NULL),(25,6371264,'1988-06-29 00:00:00',4,5,5,2006,'M','N','JARDIM SILVANA','IÇARA','SC','124161247226141431433311215122610138052',19235,'9999',36.42,1,3,NULL),(25,6371272,'1993-06-11 00:00:00',4,2,12,2010,'M','N','CENTRO','BENEDITO NOVO','SC','124244241215161431438812375122610127051',13057,'37',46.52,1,3,NULL),(25,6371280,'1990-12-04 00:00:00',4,1,12,2008,'M','N','JD DONALISIO','SALTO','SP','125252251217341411468912425122240244126',6406,'9998',57.93,1,3,NULL),(25,6371299,'1992-01-12 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124242241215372731458633576112610118184',18091,'1011',38.66,1,3,NULL),(25,6371302,'1993-04-07 00:00:00',4,1,12,2010,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111431446822595122610127017',6141,'270',58.42,1,3,NULL),(25,6371310,'1991-01-06 00:00:00',4,1,6,2010,'M','N','VILA REPRESA','S PAULO','SP','125252251217271531458914575124610161112',16959,'9998',40.69,1,3,NULL),(25,6371329,'1993-01-25 00:00:00',2,8,12,2010,'M','N','CRUZEIRO','S BENTO SUL','SC','124241241215111731636933275122610167051',16127,'1178',36.98,1,3,NULL),(25,6371337,'1992-02-21 00:00:00',4,1,12,2009,'M','N','JD CASA NOVA','ARAÇATUBA','SP','125252251215112231426619575122243264044',NULL,'9998',0.00,1,3,NULL),(25,6371345,'1991-11-24 00:00:00',4,15,12,2009,'M','N','PINHEIRINHO ALTO','JACINTO MACHADO','SC','124241241127131422523365252214610162047',NULL,'420',13.41,1,2,1),(25,6371353,'1991-06-10 00:00:00',4,2,12,2010,'M','N','SANTA LUZIA','BRUSQUE','SC','124241241117131731549613292131610167061',14819,'1019',40.37,1,2,1),(25,6371361,'1991-06-18 00:00:00',4,8,11,2009,'M','N','INDUSTRIAL','S JOSÉ R PRETO','SP','125254251217471451468914575122610147052',NULL,'9998',15.73,1,3,NULL),(25,6371370,'1991-08-19 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241216573431226624495134610132097',8584,'737',50.57,1,3,NULL),(25,6371388,'1970-10-26 00:00:00',4,6,12,1987,'M','N','JARDIM BOTÂNICO','CURITIBA','PR','216242246116152711388842295122441066137',NULL,'306',0.00,1,3,NULL),(25,6371396,'1992-03-04 00:00:00',4,6,12,2009,'F','N','TRES BARRAS','AGROLÂNDIA','SC','124241241127132431559713375124242646177',13196,'6',41.06,1,2,1),(25,6371400,'1985-08-09 00:00:00',2,2,12,2004,'F','N','FORTALEZA','BLUMENAU','SC','124241241146131431326314342334132831147',NULL,'79',30.02,1,2,1),(25,6371418,'1980-11-05 00:00:00',4,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116143751369833415122333127072',NULL,'267',0.00,1,3,NULL),(25,6371426,'1994-02-03 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215121431469911595122610142142',NULL,'270',32.99,1,3,NULL),(25,6371434,'1983-11-17 00:00:00',2,1,12,2001,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124241241114372721324614441331121267057',13631,'307',45.73,4,2,1),(25,6371442,'1976-06-28 00:00:00',2,7,11,1998,'M','N','CENTRO','VARGEM BONITA','SC','124201204346134431622239112225132434187',NULL,'9998',29.55,1,3,NULL),(25,6371450,'1994-04-08 00:00:00',4,10,11,2010,'F','N','RECIFE','TUBARÃO','SC','124243241116471431427614575122610136042',NULL,'1034',33.84,1,3,NULL),(25,6371469,'1986-01-18 00:00:00',2,2,12,2005,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124053051146571731126549345114611335017',12192,'9998',47.85,4,3,NULL),(25,6371477,'1989-11-02 00:00:00',2,1,12,2006,'M','N','KOBRASOL','S JOSÉ','SC','124202201211153321336934292124231458142',NULL,'9998',39.02,4,1,2),(25,6371485,'1993-12-14 00:00:00',2,1,12,2010,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124242241215111432354633472124610117057',NULL,'1118',23.32,1,3,NULL),(25,6371493,'1986-02-13 00:00:00',4,1,11,2003,'F','N','BATEL','CURITIBA','PR','116112111215574421548813572112343224077',3738,'9998',61.91,1,3,NULL),(25,6371507,'1992-09-02 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116271431436823472124610123077',NULL,'267',27.03,1,2,1),(25,6371515,'1994-03-03 00:00:00',4,1,12,2010,'M','N','REAL PARQUE','S JOSÉ','SC','124242241216111711336714475124610118182',18727,'1022',37.50,1,3,NULL),(25,6371523,'1990-08-27 00:00:00',4,1,12,2007,'F','N','ACLIMAÇÃO','S PAULO','SP','125252251217572411478614572122610134147',NULL,'9998',0.00,1,3,NULL),(25,6371531,'1993-07-14 00:00:00',4,1,11,2010,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215111431459813575112610127065',6789,'270',54.13,1,3,NULL),(25,6371540,'1994-01-04 00:00:00',2,1,11,2010,'M','N','ITAPEMA DO NORTE','ITAPOÁ','SC','124093241317161432426629275124610137117',17112,'413',40.44,4,3,NULL),(25,6371558,'1989-07-07 00:00:00',4,4,12,2006,'M','N','JD PORTO ALEGRE','TOLEDO','PR','116162161212371731458932275123241464067',1161,'9998',73.06,1,3,NULL),(25,6371566,'1991-01-25 00:00:00',4,1,6,2010,'M','N','BARREIROS','S JOSÉ','SC','124243247336161431228529285124610117052',NULL,'9999',27.11,1,3,NULL),(25,6371574,'1991-11-14 00:00:00',2,1,10,2010,'F','N','SAO CRISTOVAO','PASSO FUNDO','RS','120203207426271731656611395124612947097',NULL,'9998',0.00,1,3,NULL),(25,6371582,'1983-12-29 00:00:00',2,1,12,2004,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241125131421633319242232610117063',NULL,'1097',34.86,1,2,1),(25,6371590,'1993-11-12 00:00:00',4,1,12,2010,'F','N','CENTRO','AURORA','SC','124241241117161521446613175122610117142',21391,'40',28.89,1,3,NULL),(25,6371604,'1965-01-20 00:00:00',4,1,12,1982,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','224252251216252421368843332122520966142',NULL,'9998',0.00,1,3,NULL),(25,6371620,'1992-12-16 00:00:00',4,1,12,2009,'F','N','TERESÓPOLIS','PTO ALEGRE','RS','120202201217472431478823572114610134147',8694,'9998',50.52,1,3,NULL),(25,6371639,'1993-01-29 00:00:00',4,10,11,2010,'M','N','PARQUE DAS ACÁCIAS','S LUDGERO','SC','124244241215131731233824575112610134112',NULL,'950',0.00,4,3,NULL),(25,6371647,'1990-03-10 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116141411325614345114610116042',NULL,'307',17.06,1,2,1),(25,6371655,'1992-02-02 00:00:00',4,9,12,2009,'F','N','COPACABANA','LAGES','SC','124244241215371431439813572122610127142',21556,'1207',27.41,1,3,NULL),(25,6371663,'1991-07-29 00:00:00',2,1,12,2008,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241137472431423534445124610128187',12446,'292',44.78,1,2,1),(25,6371671,'1975-08-20 00:00:00',4,1,12,1993,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124202201217531421128841411122343263147',NULL,'9998',16.96,1,3,NULL),(25,6371680,'1983-10-03 00:00:00',2,1,12,2002,'M','N','KOBRASOL','S JOSÉ','SC','124242247446175721353713392124131034047',NULL,'1076',26.12,1,3,NULL),(25,6371701,'1993-04-19 00:00:00',2,1,12,2010,'M','N','CENTRO','CPO GRANDE','MS','112122121215111511478812575112610165082',16616,'9998',35.32,1,3,NULL),(25,6371728,'1993-01-15 00:00:00',4,9,11,2010,'M','N','SÃO CRISTOVÃO','LAGES','SC','124244241216111411458832275111610164182',20333,'1207',29.18,1,3,NULL),(25,6371736,'1993-05-03 00:00:00',2,1,12,2010,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241111371531423339575124610132147',NULL,'9997',28.01,4,2,1),(25,6371744,'1993-06-08 00:00:00',2,2,12,2010,'F','N','ENCANO','INDAIAL','SC','124242241215211451567712575122610168182',NULL,'855',13.04,1,3,NULL),(25,6371752,'1992-10-29 00:00:00',4,8,12,2009,'F','N','JARDIM APUCARANA','APUCARANA','PR','116162161216472431466914574125610136187',6196,'9998',55.52,1,3,NULL),(25,6371760,'1993-09-26 00:00:00',4,1,11,2010,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124246241215112431358611212124610134052',12372,'262',44.48,1,3,NULL),(25,6371779,'1985-03-29 00:00:00',2,6,12,2003,'F','N','CENTRO','CAMPINA LAGOA','PR','116163161316271431463615475122343232097',NULL,'9998',0.00,1,3,NULL),(25,6371787,'1993-02-27 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241125161431423634575124610122147',18827,'274',31.37,1,2,1),(25,6371795,'1979-04-07 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251257116232731124311441124232054145',NULL,'9999',19.58,3,3,NULL),(25,6371809,'1982-03-22 00:00:00',4,1,12,1999,'F','N','JAÇANA','S PAULO','SP','125254251316572331337827446124143264017',NULL,'9998',0.00,2,3,NULL),(25,6371817,'1993-10-15 00:00:00',2,1,12,2010,'F','N','CENTRO','BIGUAÇU','SC','124241241117271531425529572124610127147',17539,'65',35.09,1,2,1),(25,6371825,'1990-03-25 00:00:00',2,1,12,2010,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241115142331536313492124610122142',18150,'9999',34.16,1,2,1),(25,6371833,'1993-11-22 00:00:00',4,1,12,2010,'M','N','CENTRO','JESUÍTAS','PR','116162161416111431459933575114610164057',3807,'9998',61.54,1,3,NULL),(25,6371850,'1994-02-23 00:00:00',2,5,11,2011,'F','S','MICHEL','CRICIÚMA','SC','124242241215111411336621472122610138192',NULL,'210',32.12,1,3,NULL),(25,6371868,'1992-02-26 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124132241215473431556632571122610165095',12523,'1022',44.59,1,3,NULL),(25,6371876,'1994-02-02 00:00:00',4,1,12,2010,'M','N','ZONA SETE','MARINGÁ','PR','116122161217111431449831475122610165157',11578,'9998',44.58,1,3,NULL),(25,6371884,'1981-02-19 00:00:00',4,1,12,1998,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','224252251116132221233654445124222324092',16025,'9998',42.09,1,3,NULL),(25,6371892,'1994-02-20 00:00:00',4,10,11,2010,'F','N','CENTRO','TUBARÃO','SC','124242241217111431338734475122610144077',10146,'797',51.08,1,3,NULL),(25,6371906,'1991-12-16 00:00:00',2,3,12,2008,'F','N','MINICÍPIOS','BAL CAMBORIÚ','SC','124241241114371451636314395122610146177',14858,'51',43.91,1,2,1),(25,6371914,'1990-11-16 00:00:00',2,17,12,2007,'M','N','CENTRO','CANOINHAS','SC','124241242116132431449834575122610166092',13647,'143',43.73,1,2,1),(25,6371922,'1993-03-17 00:00:00',4,1,12,2011,'M','S','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124244241215111741235724345124610127072',NULL,'883',31.11,1,3,NULL),(25,6371949,'1992-07-25 00:00:00',4,3,12,2009,'F','N','CENTRO','XANXERÊ','SC','124254241234472431554832342345610116147',6485,'836',54.54,1,3,NULL),(25,6371957,'1994-02-19 00:00:00',4,4,12,2010,'M','N','JARDIM PARANÁ','ASSIS CHATEAUBRIAND','PR','116164161235111731556831575123610134097',NULL,'9998',0.00,1,3,NULL),(25,6371965,'1991-12-06 00:00:00',2,1,10,2009,'F','N','VILA PLANALTO','DOURADOS','MS','112122121216271231365911475122610167082',NULL,'9998',0.00,1,3,NULL),(25,6371973,'1987-02-16 00:00:00',2,1,12,2004,'F','N','CENTRO','CANDELÁRIA','RS','120204208417522451556613575124242422196',NULL,'9998',0.00,1,3,NULL),(25,6371981,'1992-06-26 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241235271311429818345134610144012',11436,'1050',49.00,5,3,NULL),(25,6371990,'1992-10-15 00:00:00',4,1,11,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215112431233277575124133262191',10308,'1169',45.62,1,3,NULL),(25,6372007,'1990-11-27 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215472431258623485124610147012',5224,'270',58.64,4,3,NULL),(25,6372015,'1992-04-10 00:00:00',2,3,12,2009,'M','N','JARDIM UNIVERSITÁRIO','MARINGÁ','PR','116162161215372431458933435112610127047',NULL,'9998',0.00,1,3,NULL),(25,6372023,'1992-03-31 00:00:00',2,1,12,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115111431446833385124610137047',13393,'267',42.51,1,2,1),(25,6372031,'1993-03-05 00:00:00',2,7,12,2010,'M','N','CENTRO','CAPINZAL','SC','124241241217151431438611592125610127042',NULL,'1093',0.00,1,3,NULL),(25,6372040,'1993-08-25 00:00:00',2,7,12,2010,'M','N','CENTRO','BARRACÃO','RS','124201242115111431423412595224610126042',16693,'8',36.32,1,2,1),(25,6372058,'1987-11-13 00:00:00',4,5,7,2010,'M','N','CENTRO','CRICIÚMA','SC','124243247346141431266313215112610132182',16671,'920',41.13,1,3,NULL),(25,6372066,'1992-04-20 00:00:00',2,1,11,2010,'F','N','CANASVIERAS','FLORIANÓPOLIS','SC','124241241137471731321169393224610124147',14556,'288',43.52,2,1,1),(25,6372074,'1987-05-20 00:00:00',4,1,12,2004,'M','N','FLÔR DE NÁPOLES','S JOSÉ','SC','124242241217153731456924245124233237067',16613,'737',41.22,1,3,NULL),(25,6372082,'1992-07-28 00:00:00',4,1,12,2010,'F','N','PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP','125251258227141411333624375224610126147',NULL,'9998',42.86,1,3,NULL),(25,6372090,'1994-07-29 00:00:00',2,1,11,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241117131431628829572124610167147',NULL,'9997',30.59,1,2,1),(25,6372104,'1993-03-12 00:00:00',4,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217111431459813595112610122057',2895,'272',64.51,1,3,NULL),(25,6372112,'1993-03-28 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124243241215111731536369572324610117047',19281,'270',36.32,1,3,NULL),(25,6372120,'1987-03-25 00:00:00',4,1,10,2004,'M','N','JARDIM CIDADE','S JOSÉ','SC','124241243117372431336634215124610162192',3302,'306',65.09,1,2,1),(25,6372139,'1990-07-09 00:00:00',2,8,12,2008,'M','N','BUCAREIN','JOINVILLE','SC','124242241217371721189912597345643268197',19893,'1063',34.89,1,3,NULL),(25,6372147,'1993-05-21 00:00:00',4,1,10,2010,'F','N','SANTA CRUZ','GUARAPUAVA','PR','116162161215111221469931575122610163072',19483,'9998',30.48,1,3,NULL),(25,6372155,'1988-01-30 00:00:00',2,1,12,2005,'M','N','BARREIROS','S JOSÉ','SC','124241241127471431233644245123131265047',NULL,'691',34.08,1,2,1),(25,6372163,'1993-01-02 00:00:00',2,1,12,2010,'M','N','PALHOÇA','PALHOÇA','SC','124242241216111231324429585114610127043',20472,'989',28.57,1,3,NULL),(25,6372171,'1964-08-16 00:00:00',4,1,5,1985,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224203208316132421638441411122141417047',19399,'9998',36.06,1,3,NULL),(25,6372180,'1993-04-06 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241215111431228821575121610132057',12313,'499',47.67,1,3,NULL),(25,6372198,'1993-03-16 00:00:00',2,1,12,2010,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124243241111141731434524342114610167042',18609,'286',32.76,1,3,NULL),(25,6372201,'1991-12-13 00:00:00',4,8,12,2010,'F','N','PINHEIRINHO','CURITIBA','PR','116163163115471431534811274124610164147',4705,'9998',59.61,1,3,NULL),(25,6372210,'1992-12-11 00:00:00',4,2,12,2010,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215272531489911572122610133182',NULL,'909',0.00,1,3,NULL),(25,6372228,'1975-08-25 00:00:00',4,8,12,1997,'M','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124243241436132731121144245122331612055',NULL,'423',0.00,4,3,NULL),(25,6372236,'1994-07-26 00:00:00',4,2,11,2011,'M','S','ITOUPAVA SECA','BLUMENAU','SC','124242241217111331559734575124610126041',NULL,'87',48.75,1,3,NULL),(25,6372244,'1990-06-17 00:00:00',2,1,8,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243247346472431333314245124610134012',NULL,'307',25.30,1,3,NULL),(25,6372260,'1990-10-26 00:00:00',4,1,11,2008,'M','N','CENTRO','PIRACICABA','SP','125252251214571411346819571122610162187',5117,'9998',57.90,1,3,NULL),(25,6372287,'1994-03-06 00:00:00',3,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215122411446731571112610112112',11800,'270',45.11,1,3,NULL),(25,6372295,'1992-06-07 00:00:00',2,1,11,2009,'F','N','JD DOM JOSÉ','EMBU','SP','125252251216471731324834585114143263044',NULL,'9998',30.10,1,3,NULL),(25,6372309,'1988-02-11 00:00:00',4,5,12,2005,'M','N','JUSSARA','MRO FUMAÇA','SC','124241241116471411223923115223130766177',NULL,'228',44.49,1,3,NULL),(25,6372325,'1989-06-09 00:00:00',4,1,11,2007,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242248216143331473432325122232814122',NULL,'1022',37.35,1,3,NULL),(25,6372333,'1991-08-02 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242248217133531446612341124220264042',NULL,'1050',0.00,1,3,NULL),(25,6372368,'1992-01-15 00:00:00',4,1,12,2009,'F','N','CAIÇARAS','LONDRINA','PR','116162161216371432476632341122610147182',7783,'9998',55.24,1,3,NULL),(25,6372376,'1985-02-08 00:00:00',2,1,7,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241126272431328721215124610112187',14594,'922',39.57,1,2,1),(25,6372384,'1992-07-15 00:00:00',2,6,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124201201216471731243526475112610124147',18612,'9998',37.74,1,3,NULL),(25,6372392,'1962-02-13 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224246248647171751614679291345610168187',11532,'9997',48.86,1,3,NULL),(25,6372406,'1988-03-21 00:00:00',2,1,12,2005,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124121121121131331233314342334610157057',NULL,'9998',31.48,4,2,1),(25,6372414,'1991-03-26 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116252251215571431249914571125610162067',6209,'9998',55.03,1,3,NULL),(25,6372422,'1993-11-15 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115371411423628372124610147057',13764,'592',45.54,1,2,1),(25,6372430,'1974-01-31 00:00:00',4,1,11,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','224211247147271431346353385124610142072',17195,'9999',36.85,1,2,1),(25,6372449,'1988-09-17 00:00:00',4,10,5,2007,'M','N','DEHON','TUBARÃO','SC','224241247327141511226649342312610114042',NULL,'9999',22.17,1,3,NULL),(25,6372457,'1993-08-21 00:00:00',2,10,12,2010,'M','N','ORATORIO','ORLEANS','SC','124241241117131741238923476224610167037',17554,'580',34.01,4,2,1),(25,6372465,'1993-07-11 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431547512575112610133141',16743,'737',36.92,1,3,NULL),(25,6372473,'1992-04-13 00:00:00',4,9,12,2009,'F','N','CONTA DINHEIRO','LAGES','SC','124241241117472431226669572224610127072',11850,'512',44.85,1,2,1),(25,6372481,'1994-08-17 00:00:00',2,1,11,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216111231469912595112610127013',NULL,'1022',30.48,1,3,NULL),(25,6372490,'1991-02-16 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215574431438835575125610136077',5256,'270',57.25,1,3,NULL),(25,6372503,'1991-12-26 00:00:00',2,1,12,2009,'M','N','VILA BUARQUE','S PAULO','SP','125252251216471711568839475124610164192',NULL,'9998',0.00,5,3,NULL),(25,6372520,'1993-11-19 00:00:00',2,7,12,2010,'M','N','PARQUE JARDIM OURO','OURO','SC','124241241116271431435332575124610128142',17653,'156',34.82,1,2,1),(25,6372538,'1993-04-25 00:00:00',4,6,12,2010,'M','N','SÃO VICENTE','ITAJAÍ','SC','124241241115151431433414342224610116141',21494,'401',28.00,1,3,NULL),(25,6372546,'1991-06-23 00:00:00',4,1,12,2008,'M','N','JARDIM FERREIRA DIAS','JAÚ','SP','125254251216571431468914575122610127037',3995,'9998',60.69,1,3,NULL),(25,6372554,'1993-08-19 00:00:00',4,5,11,2010,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241217112431568812575122610134122',6246,'226',55.42,1,3,NULL),(25,6372562,'1983-05-12 00:00:00',4,1,12,1999,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241217574411287933235122522667092',4897,'269',61.12,1,3,NULL),(25,6372570,'1992-10-16 00:00:00',2,1,12,2010,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241115471411423334272324610137057',16243,'293',37.65,2,1,1),(25,6372589,'1991-07-11 00:00:00',4,1,12,2008,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215573431468833572112610167112',11573,'270',48.79,1,3,NULL),(25,6372597,'1992-08-26 00:00:00',2,1,12,2010,'F','N','CENTRO','BIGUAÇU','SC','124244247441131751524774572112610134196',20542,'9999',32.97,4,3,NULL),(25,6372600,'1992-10-17 00:00:00',4,1,10,2010,'M','N','GONZAGA','SANTOS','SP','125254251215271231337621575124610137052',15204,'9998',42.06,1,3,NULL),(25,6372619,'1992-09-12 00:00:00',4,2,12,2010,'M','N','CENTRO','BRUSQUE','SC','124244248215111751567769285122610122177',20762,'107',27.44,1,3,NULL),(25,6372627,'1993-01-22 00:00:00',2,4,12,2010,'M','N','QUEDAS DO PALMITAL','CHAPECÓ','SC','124241241127141431436314295124613236147',NULL,'172',0.00,4,2,1),(25,6372643,'1994-11-03 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431547712475122610127052',19075,'262',36.80,1,3,NULL),(25,6372651,'1992-12-12 00:00:00',4,2,12,2010,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241215111431487732572122610133142',NULL,'909',0.00,1,3,NULL),(25,6372660,'1991-06-18 00:00:00',4,1,12,2008,'F','N','ÁGUAS CLARAS','BRUSQUE','SC','124243241215575451345632575124232422047',3519,'109',62.14,1,3,NULL),(25,6372678,'1993-09-26 00:00:00',2,1,12,2010,'M','N','CAMINHO NOVO','PALHOÇA','SC','124243241315111431527534245121610127052',NULL,'1075',29.95,1,3,NULL),(25,6372686,'1986-05-05 00:00:00',2,1,12,2004,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241147273421223423385124220267067',16214,'283',41.83,2,1,1),(25,6372694,'1990-06-27 00:00:00',2,1,11,2007,'M','N','BELA VISTA IV','S JOSÉ','SC','124243241112331421436614232134610114043',NULL,'734',38.16,1,3,NULL),(25,6372708,'1993-11-23 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124242241217161431338833332112610144032',18129,'499',33.01,1,3,NULL),(25,6372716,'1994-01-20 00:00:00',4,4,12,2010,'M','N','CENTRO','CAIBI','SC','124241202112271431449819571122610167047',15347,'9998',39.00,1,3,NULL),(25,6372724,'1991-05-20 00:00:00',2,3,12,2008,'M','N','CENTRO','CPO GRANDE','MS','112164121215571431446832374124610164042',8140,'9998',50.98,1,3,NULL),(25,6372732,'1992-02-21 00:00:00',2,1,12,2009,'F','N','CENTRO','S JOSÉ','SC','124244241111373431487932272124231126102',3588,'739',63.82,1,3,NULL),(25,6372740,'1992-10-11 00:00:00',4,8,12,2009,'F','N','PETRÓPOLIS','JOINVILLE','SC','124244241215411411328311471114610166187',1891,'1016',68.25,3,3,NULL),(25,6372759,'1993-02-02 00:00:00',4,10,12,2010,'F','N','CENTRO','GR PARÁ','SC','124241241115371431228923472124610127147',2728,'330',63.91,1,2,1),(25,6372783,'1995-09-13 00:00:00',4,10,11,2012,'M','S','PASSAGEM','TUBARÃO','SC','124242241235171531459912575112610125092',NULL,'806',57.35,1,3,NULL),(25,6372791,'1993-03-15 00:00:00',2,1,12,2009,'F','N','COSTA DE CIMA','FLORIANÓPOLIS','SC','124241241125471431316624575124610134015',15118,'291',38.86,1,2,1),(25,6372813,'1989-10-11 00:00:00',4,1,12,2007,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241211374431346933575122230421092',7433,'270',52.35,1,3,NULL),(25,6372821,'1993-07-21 00:00:00',2,1,12,2010,'M','N','CANAVIEIRAS','FLORIANÓPOLIS','SC','124243241117271431433334575114610128092',10646,'288',46.80,1,3,NULL),(25,6372830,'1991-02-08 00:00:00',2,1,12,2010,'F','N','CABRAL','CURITIBA','PR','116164161116231431248729572124610127093',NULL,'9998',0.00,1,3,NULL),(25,6372848,'1990-05-17 00:00:00',2,9,12,2007,'F','N','CENTRO','PASSO FUNDO','RS','120244241235573711349923571115133163147',1234,'1065',71.65,1,3,NULL),(25,6372864,'1992-09-19 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124202201217471721238824575114610127047',17734,'9998',34.73,1,3,NULL),(25,6372872,'1993-02-17 00:00:00',2,3,12,2010,'M','N','CENTRO','PARANAVAÍ','PR','116162161216111432658712415125610134054',20991,'9998',31.12,1,3,NULL),(25,6372880,'1992-08-22 00:00:00',4,1,11,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','123242241215111511158923212114610147047',7280,'272',53.56,4,3,NULL),(25,6372899,'1993-11-23 00:00:00',2,1,12,2010,'F','N','FUNDOS','BIGUAÇU','SC','124241241115371431534319572322610126187',NULL,'65',25.51,1,2,1),(25,6372902,'1984-10-13 00:00:00',4,1,3,2010,'F','N','PINHEIRA','PALHOÇA','SC','124241247127131731515521482324610113187',NULL,'9999',26.35,1,2,1),(25,6372910,'1993-02-22 00:00:00',2,1,12,2011,'F','S','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215111732437729495122610111071',NULL,'299',26.43,1,3,NULL),(25,6372929,'1954-05-31 00:00:00',2,8,11,2009,'F','N','CIDADE JARDIM','MARINGÁ','PR','216121167136131751321179111125610164187',NULL,'9998',14.99,4,2,1),(25,6372937,'1987-10-22 00:00:00',2,1,11,2005,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241327371711128633495125130244182',NULL,'9997',0.00,3,3,NULL),(25,6372945,'1993-11-13 00:00:00',4,8,12,2010,'F','N','VILA ZÉLIA','LORENA','SP','125252251215111431459924595122610141057',NULL,'9998',0.00,1,3,NULL),(25,6372953,'1992-08-25 00:00:00',2,8,12,2010,'M','N','MARTIN DE SÁ','CARAGUATATUBA','SP','125251251215271131338814385122610117047',NULL,'9998',0.00,1,3,NULL),(25,6372961,'1993-12-13 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124241241116371731536839292224610128017',NULL,'733',37.29,1,3,NULL),(25,6372970,'1992-04-30 00:00:00',2,3,12,2009,'F','N','CENTRO','CPO GRANDE','MS','112123121415471431448823474124610167072',5538,'9998',56.35,1,3,NULL),(25,6372996,'1992-05-18 00:00:00',4,9,12,2009,'M','N','CAJURU','CURITIBA','PR','116162161215471711486637575112610157185',NULL,'9998',0.00,1,3,NULL),(25,6373003,'1986-04-24 00:00:00',2,1,11,2003,'F','N','MORADA DO OURO DOIS','CUIABÁ','MT','111112111217161711445513571124243246177',NULL,'9998',26.18,5,3,NULL),(25,6373011,'1979-10-16 00:00:00',2,1,12,1999,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224101101146131731236353182224130224047',NULL,'9998',38.82,4,2,1),(25,6373020,'1992-09-16 00:00:00',2,1,12,2010,'F','N','NONOAI','STA MARIA','RS','120201207316471431447823385114610127147',19980,'9998',34.64,1,3,NULL),(25,6373038,'1986-09-09 00:00:00',2,15,12,2003,'F','N','COLONINHA','ARARANGUÁ','SC','124241241136141431434744342131131467062',18117,'29',33.56,1,2,1),(25,6373046,'1992-12-06 00:00:00',4,7,11,2009,'M','N','SÃO VICENTE','HERVAL D OESTE','SC','124242241216142431458611572123231037052',NULL,'446',17.81,1,3,NULL),(25,6373062,'1992-02-28 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241112571232526614442114130828112',20891,'592',31.56,1,2,1),(25,6373097,'1992-05-30 00:00:00',2,1,12,2009,'M','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241212132731436939575122230816047',15029,'63',43.63,1,3,NULL),(25,6373100,'1989-07-03 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215153411443332575124222962182',19629,'1049',35.49,1,3,NULL),(25,6373119,'1991-09-24 00:00:00',4,1,12,2009,'M','N','CENTRO','FELIZ','RS','120202206117151431437823375124610142177',18488,'9998',37.94,3,3,NULL),(25,6373127,'1994-08-05 00:00:00',4,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241235111411344633335122610114062',17284,'272',40.13,1,3,NULL),(25,6373135,'1994-01-06 00:00:00',2,4,12,2010,'F','N','SANTA TEREZINHA','PATO BRANCO','PR','116162161216111431637516572122610121012',NULL,'9998',0.00,1,3,NULL),(25,6373151,'1993-07-31 00:00:00',2,8,12,2010,'M','N','AMERICA','JOINVILLE','SC','124242241216161431469913295125610137051',14053,'441',38.82,1,3,NULL),(25,6373178,'1993-04-27 00:00:00',4,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217112412368819585112610126122',15886,'270',42.33,1,3,NULL),(25,6373186,'1993-01-15 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215121711428634575122610122115',20773,'270',32.04,1,3,NULL),(25,6373194,'1988-11-29 00:00:00',4,8,12,2009,'M','N','SERRARIA DO ROCHA','PARANAGUÁ','PR','116161167126151411643319282113610117032',NULL,'9998',0.00,2,1,1),(25,6373216,'1993-01-13 00:00:00',2,2,11,2010,'F','N','JARDIM AMÉRICA','RIO SUL','SC','124242241216111431323824575125610121077',NULL,'663',22.56,1,3,NULL),(25,6373224,'1985-07-15 00:00:00',2,1,12,2003,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124051241134475431324644342114610116027',NULL,'279',30.51,4,1,1),(25,6373232,'1987-04-23 00:00:00',4,1,6,2005,'M','N','SOMMER','CARAZINHO','RS','120204191136111421544623395224211038052',16293,'9998',41.71,1,3,NULL),(25,6373240,'1994-02-07 00:00:00',2,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124244241215111431445733375114610127042',18147,'1011',38.57,1,3,NULL),(25,6373259,'1990-08-12 00:00:00',4,1,12,2007,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241212143322589833493233430242134',NULL,'1022',25.77,1,3,NULL),(25,6373267,'1992-03-21 00:00:00',2,5,10,2009,'F','N','PINHEIRINHO','CRICIÚMA','SC','124242241211471431558712275124610117076',6947,'226',53.83,1,3,NULL),(25,6373283,'1992-06-20 00:00:00',4,1,12,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124241248115141431446714475124610125097',19079,'592',36.79,1,2,1),(25,6373291,'1993-10-20 00:00:00',4,1,12,2010,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241215151231437713345124610123062',21780,'63',22.35,1,3,NULL),(25,6373305,'1993-08-31 00:00:00',2,1,12,2010,'F','N','SANTA LUZIA','PTO BELO','SC','124241241137131432426334372222610134142',NULL,'783',32.00,4,2,1),(25,6373313,'1992-03-06 00:00:00',2,1,12,2010,'M','N','PATRONATO','STA MARIA','RS','120243201117471431559913345124610127097',7687,'9998',53.61,4,3,NULL),(25,6373321,'1993-01-04 00:00:00',4,1,12,2010,'M','N','PANTALEAO','STO ANTÔNIO POSSE','SP','125252251216111411458831575112610134112',9587,'9998',48.02,1,3,NULL),(25,6373330,'1989-07-20 00:00:00',2,10,10,2007,'M','N','SÃO JOÃO','TUBARÃO','SC','124241247337141511226844242313610114142',NULL,'9999',34.91,1,3,NULL),(25,6373348,'1992-05-28 00:00:00',4,8,12,2010,'F','N','ADHEMAR GARCIA','JOINVILLE','SC','124241241315471431323774392234610147147',NULL,'478',16.14,1,3,NULL),(25,6373356,'1992-10-03 00:00:00',2,9,12,2009,'M','N','BOA VISTA','POUSO REDONDO','SC','124241241137371431434411242331610133147',19190,'639',36.57,1,2,1),(25,6373364,'1979-09-05 00:00:00',4,1,12,1996,'M','N','LAGOA CONCEIÇÃO','FLORIANÓPOLIS','SC','124202201217131421128844445124140234017',NULL,'9998',12.42,1,3,NULL),(25,6373372,'1992-11-16 00:00:00',2,8,12,2009,'F','N','SANTA QUITERIA','CURITIBA','PR','116164161216472411443769395122610167147',19161,'9998',33.13,4,3,NULL),(25,6373399,'1991-12-18 00:00:00',4,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124242241216374431556612272124130241093',8693,'270',50.58,1,3,NULL),(25,6373402,'1993-02-16 00:00:00',2,7,11,2010,'F','N','CENTRO','VIDEIRA','SC','124241241217271731358511595122610163097',NULL,'829',0.00,1,3,NULL),(25,6373429,'1994-01-23 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','107072071217111431457813595122610112093',NULL,'9998',36.94,1,3,NULL),(25,6373437,'1992-12-11 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241215111431427851573341610137187',15003,'883',38.96,1,3,NULL),(25,6373445,'1993-10-24 00:00:00',2,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215132431436812375112610128197',19018,'213',32.31,1,3,NULL),(25,6373453,'1986-08-03 00:00:00',2,8,12,2003,'F','N','ALTO DA GLORIA','CURITIBA','PR','116163161216515431335936574114610164147',946,'9998',73.37,1,3,NULL),(25,6373470,'1993-09-23 00:00:00',4,1,11,2010,'M','N','CENTRO','RIO SUL','SC','124242241215271731436819595122610137015',13076,'653',46.49,1,3,NULL),(25,6373488,'1992-12-16 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247417122531246833575124610117112',21483,'9999',28.11,1,3,NULL),(25,6373496,'1987-05-17 00:00:00',4,4,12,2005,'M','N','CENTRO','ERECHIM','RS','120202201231572431449716491124610144187',NULL,'9998',0.00,1,3,NULL),(25,6373518,'1994-08-12 00:00:00',4,3,11,2010,'F','N','SANTA TEREZINHA','BRUSQUE','SC','124242241215111431439934275122610124092',8893,'981',48.90,1,3,NULL),(25,6373526,'1993-07-14 00:00:00',2,17,12,2010,'M','N','JARDIM MOINHO','MAFRA','SC','124241166215111431445712245122610134191',NULL,'9998',16.08,1,3,NULL),(25,6373534,'1993-05-12 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215112431468914571124610112037',NULL,'270',30.59,1,3,NULL),(25,6373542,'1990-11-27 00:00:00',2,6,11,2008,'M','N','SANTANA','RIO SUL','SC','124241246216131441438811382123131237147',19014,'1059',36.92,1,3,NULL),(25,6373550,'1987-06-02 00:00:00',2,15,12,2004,'M','N','BOM FIM','PTO ALEGRE','RS','120203201216572731268833275114610137187',2778,'9998',65.54,2,1,2),(25,6373569,'1994-03-02 00:00:00',4,3,10,2010,'M','N','MERCÊS','CURITIBA','PR','116162161215471411578619575112610162042',NULL,'9998',0.00,1,3,NULL),(25,6373577,'1992-01-02 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241111131432328624281121610122157',19460,'51',35.91,1,2,1),(25,6373593,'1993-03-14 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111731448611312222610147072',13122,'737',43.03,1,3,NULL),(25,6373607,'1989-02-06 00:00:00',4,1,12,2006,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241115273422556313345112610164057',17824,'293',39.19,1,2,1),(25,6373615,'1993-01-15 00:00:00',2,3,11,2010,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241117141431534823372125610127057',NULL,'873',0.00,1,2,1),(25,6373623,'1991-12-18 00:00:00',2,9,12,2008,'F','N','LOURDES','CAXIAS SUL','RS','120202201216571431236724472124610163197',4508,'9998',61.96,1,3,NULL),(25,6373631,'1994-11-07 00:00:00',2,6,11,2011,'F','S','CABEÇUDAS','ITAJAÍ','SC','124242241217111411348834575124610124142',NULL,'1026',38.29,1,3,NULL),(25,6373640,'1994-07-29 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111432556913475124610137182',12493,'1197',47.35,1,3,NULL),(25,6373658,'1987-10-28 00:00:00',2,1,12,2006,'M','N','PINHEIRA','PALHOÇA','SC','124241241145133441425531215133133214091',NULL,'595',22.33,1,2,1),(25,6373666,'1983-03-02 00:00:00',2,16,12,2003,'F','N','CENTRO','CURITIBANOS','SC','124241241137331732223869485125131234145',NULL,'9999',30.59,1,3,NULL),(25,6373674,'1987-11-26 00:00:00',2,1,12,2006,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241127372411426631245124610147117',17388,'285',35.29,1,2,1),(25,6373682,'1993-02-10 00:00:00',2,4,12,2010,'M','N','PIONEIROS','ITÁ','SC','124241242116131431214423575124610127017',NULL,'196',18.47,1,2,1),(25,6373704,'1991-04-21 00:00:00',2,1,11,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216373431468611575124231022182',2319,'270',66.49,1,3,NULL),(25,6373712,'1993-08-09 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124242241217372431236534575114610167041',5722,'868',59.30,1,3,NULL),(25,6373720,'1986-06-26 00:00:00',4,1,12,2003,'M','N','COPACABANA','UBERLÂNDIA','MG','113132131215231411348716381122141167117',NULL,'9998',0.00,1,3,NULL),(25,6373739,'1992-12-26 00:00:00',4,1,11,2009,'F','N','CENTRO','CASCAVEL','PR','116162161216471431328932574112610124182',NULL,'9998',0.00,1,3,NULL),(25,6373747,'1993-04-24 00:00:00',4,1,12,2010,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124201201117131431558919472122610134097',NULL,'9998',0.00,1,2,1),(25,6373763,'1994-07-25 00:00:00',2,1,12,2010,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241115371431424611575124610123182',17980,'1136',33.11,1,2,1),(25,6373771,'1993-12-03 00:00:00',2,1,12,2010,'F','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161216111431338614575112610118097',8703,'9998',53.59,1,3,NULL),(25,6373780,'1989-07-31 00:00:00',4,1,12,2006,'F','N','PINHEIRA','PALHOÇA','SC','124241241122271431515521112324610133057',NULL,'595',27.24,1,2,1),(25,6373798,'1988-02-25 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124244248216173411237722395122232517095',NULL,'9999',35.32,1,3,NULL),(25,6373801,'1987-12-22 00:00:00',4,2,12,2005,'F','N','CENTRO','POMERODE','SC','124242241216112421338822415124232017115',NULL,'855',0.00,1,3,NULL),(25,6373810,'1993-07-05 00:00:00',2,10,11,2010,'F','N','CENTRO','BRAÇO NORTE','SC','124241241215112411636531316124610166142',10369,'950',47.42,1,3,NULL),(25,6373828,'1985-02-28 00:00:00',4,1,12,2003,'M','N','JARDIM CIDADE','S JOSÉ','SC','124242243116452731438817485124222214053',NULL,'306',0.00,4,3,NULL),(25,6373836,'1993-06-30 00:00:00',2,1,12,2010,'F','N','CHACARA VENDAS','CPO GRANDE','MS','112122121215111531478812575122610165082',6421,'9998',53.05,1,3,NULL),(25,6373844,'1991-12-28 00:00:00',2,1,11,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241116131431346414345114610167042',NULL,'922',0.00,1,2,1),(25,6373879,'1961-12-09 00:00:00',4,1,12,1979,'M','N','JARDIM PAULISTA','S PAULO','SP','125251251117131131336613391124610162183',2300,'9998',68.19,1,2,1),(25,6373887,'1991-03-25 00:00:00',4,1,12,2008,'M','N','VILA MARIANA','S PAULO','SP','125252251216571431368829475112610137057',NULL,'9998',0.00,1,3,NULL),(25,6373895,'1992-08-02 00:00:00',2,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124244241411111531637577575122610128087',21565,'989',27.33,1,3,NULL),(25,6373909,'1992-12-10 00:00:00',4,1,11,2010,'F','N','ALTO DA BOA VISTA','PRES PRUDENTE','SP','125252251217111531556612575122610113142',NULL,'9998',0.00,1,3,NULL),(25,6373925,'1990-06-23 00:00:00',4,1,12,2007,'M','N','TESTO REGA','POMERODE','SC','124242241215131151438613495114133238185',NULL,'624',20.98,1,3,NULL),(25,6373933,'1984-07-15 00:00:00',5,1,5,2002,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241436151511228643472124132843152',NULL,'808',0.00,1,3,NULL),(25,6373941,'1992-01-12 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241122141451428633285124610157052',NULL,'277',0.00,2,1,1),(25,6373950,'1993-11-05 00:00:00',4,15,11,2010,'M','N','JARDIM ITÁLIA','MELEIRO','SC','124242241215271431349822275122610137042',5670,'813',57.35,1,3,NULL),(25,6373968,'1984-07-10 00:00:00',2,15,12,2001,'M','N','CENTRO','ARARANGUÁ','SC','124242241216372431543632431112333234117',8959,'970',53.14,1,3,NULL),(25,6373976,'1973-11-12 00:00:00',2,1,12,1993,'M','N','SANTA BARBARA','ANTÔNIO CARLOS','SC','124241248115272411653243432334122362042',17924,'306',38.99,1,2,1),(25,6373984,'1992-03-08 00:00:00',4,1,12,2010,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241215151231437713575124610124062',NULL,'63',12.09,1,3,NULL),(25,6373992,'1990-12-25 00:00:00',2,1,12,2007,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241116472431526521215124232766097',13292,'257',46.24,1,2,1),(25,6374000,'1993-04-22 00:00:00',4,6,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431546611372112613227052',19320,'44',36.23,1,3,NULL),(25,6374018,'1992-07-07 00:00:00',2,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124161241115162231423619592224610137187',21541,'257',25.29,1,2,1),(25,6374026,'1991-05-16 00:00:00',2,5,12,2008,'F','N','SÃO LUIZ','CRICIÚMA','SC','124243241217151742434314395124610167057',NULL,'920',19.20,1,3,NULL),(25,6374034,'1993-04-15 00:00:00',4,1,12,2010,'M','N','JARDIM AMÉRICA','CAXIAS SUL','RS','120202208217271411469923572122610167062',8963,'9998',49.64,1,3,NULL),(25,6374050,'1993-08-02 00:00:00',4,4,12,2010,'F','N','FLOR','XAXIM','SC','124241241214131711426923372122610137147',NULL,'994',36.47,1,3,NULL),(25,6374069,'1960-02-01 00:00:00',2,1,12,1984,'F','N','CAMPINAS','S JOSÉ','SC','224201201112231421244654482112140628182',NULL,'9998',2.01,1,2,1),(25,6374077,'1993-06-25 00:00:00',2,1,12,2010,'M','N','CENTRO','TIJUCAS','SC','124243241346141431337614385122610117017',21392,'783',28.88,1,3,NULL),(25,6374085,'1988-11-16 00:00:00',4,1,12,2005,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215472421449931495122333222092',2543,'270',66.07,1,3,NULL),(25,6374107,'1992-08-27 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111452326539192224610167187',19274,'738',30.90,1,3,NULL),(25,6374115,'1992-01-27 00:00:00',2,4,12,2009,'M','N','INTERIOR','CAMPOS NOVOS','SC','124241242116132431426635575224241436043',NULL,'662',0.00,1,2,1),(25,6374123,'1991-04-18 00:00:00',4,1,12,2008,'M','N','REBELO','GARÇA','SP','125252251215571411238834575112141464187',3574,'9998',62.79,1,3,NULL),(25,6374131,'1993-08-28 00:00:00',2,1,11,2010,'F','N','BELA VISTA','S JOSÉ','SC','124242241215121731325554342124610128187',NULL,'300',38.35,1,3,NULL),(25,6374140,'1993-05-03 00:00:00',2,15,12,2010,'F','N','FAXINAL','TORRES','RS','120201201115131131513336172324610167047',NULL,'9998',0.00,1,2,1),(25,6374166,'1993-07-19 00:00:00',2,7,12,2010,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241414111432538711575122610147017',NULL,'962',8.64,1,3,NULL),(25,6374182,'1992-08-07 00:00:00',4,1,12,2010,'M','N','SÃO FRANCISCO','IRATI','PR','116161161117151711568934575115610164052',NULL,'9998',16.33,1,2,1),(25,6374204,'1992-10-05 00:00:00',2,1,12,2009,'F','N','CAPÃO RASO','CURITIBA','PR','116163161216471731436724575124610124157',NULL,'9998',0.00,1,3,NULL),(25,6374212,'1993-01-15 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241215111411348614575122610112097',NULL,'499',35.87,1,3,NULL),(25,6374220,'1985-09-17 00:00:00',2,1,12,2002,'F','N','MADRI','PALHOÇA','SC','124241241126274431233624245223322728193',19645,'307',35.47,1,2,1),(25,6374239,'1991-08-25 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201201112133411114611295214233267072',NULL,'9998',32.15,2,1,1),(25,6374247,'1993-07-27 00:00:00',2,9,12,2010,'F','N','CENTRO','LAGES','SC','124243241317111411436612575122610122142',NULL,'499',0.00,1,3,NULL),(25,6374255,'1992-06-02 00:00:00',2,16,12,2009,'M','N','RIO DA PRATA','PAPANDUVA','SC','124241242117141212624435355224231024043',NULL,'143',0.00,1,2,1),(25,6374271,'1993-09-12 00:00:00',4,15,12,2010,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241131131711413328571125610164042',NULL,'30',15.60,1,3,NULL),(25,6374280,'1993-01-01 00:00:00',4,4,12,2010,'M','N','CENTRO','XANXERÊ','SC','124241241147141531335312245121610147142',NULL,'840',11.94,4,3,NULL),(25,6374298,'1992-12-20 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241248125371431215549395324610127057',NULL,'1109',13.97,1,3,NULL),(25,6374301,'1991-06-17 00:00:00',4,1,12,2008,'M','N','IMIRIM','S PAULO','SP','125252251217471431468812576124610167147',1087,'9998',73.32,3,3,NULL),(25,6374310,'1981-11-24 00:00:00',4,6,11,1998,'F','N','SÃO JOÃO','ITAJAÍ','SC','124251258127331731223359482221610117147',NULL,'9998',0.00,4,2,1),(25,6374336,'1994-12-15 00:00:00',2,1,12,2011,'F','S','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111431545824242122610113141',NULL,'1010',21.41,1,3,NULL),(25,6374344,'1991-12-20 00:00:00',4,1,12,2009,'F','N','TREMEMBÉ','S PAULO','SP','125252251215471431458831372125610166012',NULL,'9998',0.00,1,3,NULL),(25,6374352,'1992-08-01 00:00:00',2,15,12,2009,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124242241217472731448712575114610164015',9778,'770',47.79,1,3,NULL),(25,6374360,'1991-03-03 00:00:00',4,8,11,2010,'M','N','ACARAÍ','S FRANCISCO SUL','SC','124241248137131431525573382225610118187',20491,'710',26.98,4,2,1),(25,6374379,'1993-08-13 00:00:00',4,1,12,2010,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124242241217151431326721572124610137185',19654,'1048',35.45,1,3,NULL),(25,6374387,'1994-04-25 00:00:00',4,7,12,2011,'M','S','CENTRO','LACERDÓPOLIS','SC','124243241216251431346916475121610118182',NULL,'962',32.84,1,3,NULL),(25,6374395,'1994-01-03 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241215371721346663275122610135052',20624,'299',32.66,1,3,NULL),(25,6374409,'1992-09-12 00:00:00',2,1,10,2010,'F','N','SÃO JOSÉ','S JOSÉ','SC','124242241215111731369913575124610168073',8726,'270',53.55,1,3,NULL),(25,6374417,'1993-08-09 00:00:00',4,5,12,2010,'M','N','MÃE LUZIA','CRICIÚMA','SC','124243248426271431433321195124610147047',NULL,'214',31.88,1,3,NULL),(25,6374425,'1991-05-13 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124252253217273411438831412134133238057',NULL,'9998',32.14,1,3,NULL),(25,6374433,'1991-01-22 00:00:00',2,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124244241435272431227744442233610167052',NULL,'290',32.88,1,3,NULL),(25,6374441,'1993-11-21 00:00:00',2,3,12,2010,'M','N','BARRA','BAL CAMBORIÚ','SC','124241241415111431546612345124610144042',NULL,'44',0.00,1,3,NULL),(25,6374468,'1994-02-28 00:00:00',4,1,12,2010,'F','N','SÃO SEBASTIAO','PALHOÇA','SC','124243241116131411326622595124610166191',NULL,'591',17.84,1,3,NULL),(25,6374476,'1994-02-06 00:00:00',2,10,11,2011,'F','S','SÃO MARTINHO','TUBARÃO','SC','124243248215111631426714475124610127142',NULL,'807',33.08,1,3,NULL),(25,6374484,'1984-04-23 00:00:00',4,1,12,2001,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215471431489913575122331522042',12585,'262',44.51,1,3,NULL),(25,6374492,'1984-11-01 00:00:00',4,1,12,2002,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124203201116131411234444345125610167187',NULL,'9998',27.28,1,3,NULL),(25,6374506,'1993-09-10 00:00:00',2,10,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124242241215111411358622575122610118142',15271,'525',38.66,1,3,NULL),(25,6374514,'1991-12-25 00:00:00',4,1,12,2008,'M','N','ZONA SETE','MARINGÁ','PR','116164161416371431548813592121610167077',8009,'9998',52.33,1,3,NULL),(25,6374522,'1991-03-22 00:00:00',2,9,12,2009,'F','N','HERCILIO VIEIRA','S JOAQUIM','SC','124241241126131431426614141324610136152',10049,'903',47.33,1,3,NULL),(25,6374530,'1994-04-03 00:00:00',4,6,11,2011,'M','S','CENTRO','NAVEGANTES','SC','124242241216111731347933575121610164142',NULL,'937',41.18,1,3,NULL),(25,6374549,'1989-01-31 00:00:00',2,8,11,2006,'M','N','CENTRO','CURITIBA','PR','116253251216471411438813485114610167057',12405,'9998',43.62,1,3,NULL),(25,6374557,'1994-12-24 00:00:00',4,1,12,2011,'F','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111731378834575114610133042',NULL,'262',13.05,1,3,NULL),(25,6374573,'1992-01-24 00:00:00',2,1,11,2008,'M','N','JARDIM AMÉRICA','RIO SUL','SC','124242241217272732438924392111131235147',17064,'653',40.53,1,3,NULL),(25,6374581,'1961-11-08 00:00:00',4,1,11,1979,'M','N','CENTRO','FLORIANÓPOLIS','SC','224172174216111712468843432122231168167',4856,'9998',58.40,1,3,NULL),(25,6374603,'1986-03-31 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212144411358812245114132464187',12853,'262',41.37,1,3,NULL),(25,6374611,'1973-04-22 00:00:00',2,1,1,1993,'F','N','BOM JESUS','PTO ALEGRE','RS','120201201126272711124341212214610126181',16708,'9998',41.06,1,2,1),(25,6374620,'1990-11-10 00:00:00',2,1,12,2008,'M','N','CENTRO','PAROBÉ','RS','120202201217572441446612571124610147052',3134,'9998',64.27,1,3,NULL),(25,6374638,'1992-06-05 00:00:00',2,5,12,2010,'M','N','SAO LUIZ','CRICIÚMA','SC','124242241215111411346414572122610128042',21139,'226',30.45,1,3,NULL),(25,6374654,'1953-09-13 00:00:00',4,1,12,1972,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','324252255216131441338779495124343232091',NULL,'9998',0.00,1,3,NULL),(25,6374662,'1992-06-30 00:00:00',2,1,12,2009,'F','N','CENTRO','STA MARIA','RS','120201201114131451423619392124610167057',NULL,'9998',23.61,1,2,1),(25,6374670,'1990-05-07 00:00:00',2,8,12,2007,'M','N','CENTRO','ALTÔNIA','PR','116162161216572411568811471114610136172',6227,'9998',58.14,3,3,NULL),(25,6374689,'1992-04-03 00:00:00',2,1,12,2008,'F','N','JARDIM','CONCÓRDIA','SC','124242241216473431346912495125231424092',6664,'270',55.95,1,3,NULL),(25,6374697,'1990-03-13 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124243241336133752426614485114610166117',8116,'732',51.91,1,3,NULL),(25,6374700,'1991-10-21 00:00:00',4,15,12,2008,'F','N','LAGOÃO','ARARANGUÁ','SC','124241241116273431226314245133610137047',21691,'30',25.37,1,2,1),(25,6374719,'1991-11-18 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111431436714575124610122015',NULL,'1048',8.03,1,3,NULL),(25,6374727,'1992-02-20 00:00:00',2,1,12,2009,'F','N','TRAÇADO','URUBICI','SC','124243241215473411333312575124610125142',14658,'817',40.58,1,3,NULL),(25,6374735,'1986-11-10 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','624243247347131431325644142324610124172',NULL,'9997',26.47,1,3,NULL),(25,6374743,'1981-07-23 00:00:00',2,1,12,1998,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244243127373421439343232123610127067',6186,'284',54.66,1,3,NULL),(25,6374751,'1993-10-01 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241217131711436733572125610124027',NULL,'724',31.85,1,3,NULL),(25,6374760,'1991-06-24 00:00:00',2,1,12,2008,'M','N','CENTRO','CRUZ ALTA','RS','120201201116571431458939574122610167042',NULL,'9998',31.75,1,2,1),(25,6374778,'1983-04-08 00:00:00',2,1,7,2001,'M','N','IPIRANGA','S JOSÉ','SC','124245247226421741416411295124610127172',NULL,'725',14.12,4,3,NULL),(25,6374786,'1992-01-15 00:00:00',4,3,12,2008,'F','N','CENTRO','ÂNGULO','PR','116163161216571741556836574124610146177',1460,'9998',70.17,4,3,NULL),(25,6374794,'1991-10-15 00:00:00',4,9,12,2009,'M','N','POPULAR','LAGES','SC','124241241116231711323721245234133264182',NULL,'512',24.63,1,2,1),(25,6374808,'1980-03-01 00:00:00',4,1,12,1997,'F','N','AREIAS','S JOSÉ','SC','224201241122174721225554441224332322141',NULL,'307',0.00,4,3,NULL),(25,6374816,'1991-12-10 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241211373431589833195112130963176',4013,'270',61.70,1,3,NULL),(25,6374824,'1993-07-01 00:00:00',2,1,12,2010,'F','N','XV DE NOVEMBRO','TIJUCAS','SC','124242241215111431443812345122610112192',NULL,'1119',24.65,1,3,NULL),(25,6374832,'1992-10-21 00:00:00',2,4,11,2009,'M','N','CENTRO','CPO ERÊ','SC','124164161216373421446916345124610127052',8916,'9998',53.20,1,3,NULL),(25,6374840,'1993-04-22 00:00:00',4,7,12,2010,'F','N','NOSSA SRA DE FÁTIMA','HERVAL D OESTE','SC','124241241116271431218429575122610126187',NULL,'341',0.00,1,2,1),(25,6374859,'1988-07-12 00:00:00',4,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241315132431226848485134222046175',NULL,'262',0.00,1,3,NULL),(25,6374867,'1994-06-11 00:00:00',4,1,12,2010,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241215111431688832575122610144042',12727,'1011',47.03,1,3,NULL),(25,6374875,'1986-05-09 00:00:00',2,9,12,2004,'M','N','CENTRO','ANITA GARIBALDI','SC','124241241136135431449933185122331367077',NULL,'18',0.00,4,2,1),(25,6374883,'1990-04-06 00:00:00',2,1,12,2007,'M','N','NOVO JUNDIAI','ANÁPOLIS','GO','109091091126131441634514382124610134147',NULL,'9998',0.00,1,3,NULL),(25,6374891,'1993-07-23 00:00:00',2,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115111431325324572114610137062',20801,'298',25.80,1,2,1),(25,6374905,'1988-03-29 00:00:00',2,1,12,2005,'M','N','SERRARIA','S JOSÉ','SC','124241241146275431433534246234130814142',15488,'295',39.06,1,2,1),(25,6374913,'1988-08-08 00:00:00',2,1,12,2005,'F','N','SANTA CRUZ','GUARAPUAVA','PR','116164161216574431448532575124243234187',14899,'9998',40.69,1,3,NULL),(25,6374921,'1990-04-12 00:00:00',4,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124243241315372431348723345114610137112',17580,'1022',39.62,1,3,NULL),(25,6374930,'1990-05-16 00:00:00',2,1,12,2007,'M','N','SEM BAIRRO','RENASCENÇA','PR','116161161116131431324466262225610167052',19051,'9998',31.71,2,1,1),(25,6374948,'1992-02-15 00:00:00',2,7,12,2009,'F','N','INTERIOR','LUZERNA','SC','124241241116141431633616385122610111073',NULL,'539',25.59,1,2,1),(25,6374972,'1957-04-02 00:00:00',2,1,12,2005,'F','N','KOBRASOL','S JOSÉ','SC','524241247127132411223343332112610121097',NULL,'736',29.16,1,2,1),(25,6374980,'1985-01-27 00:00:00',4,1,5,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247431142431358832345124233234092',11635,'9999',48.69,1,3,NULL),(25,6374999,'1993-12-08 00:00:00',2,9,12,2010,'F','N','CENTRO','RIO SUL','SC','124243241215271411436711291122610134017',21046,'663',30.89,1,3,NULL),(25,6375006,'1991-02-28 00:00:00',4,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241136373441627614485124610167047',19120,'464',36.70,1,2,1),(25,6375014,'1963-02-18 00:00:00',2,3,12,1997,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241207446134711322249192235241062181',21430,'9998',22.70,4,3,NULL),(25,6375022,'1993-10-09 00:00:00',2,15,12,2010,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124242241215111431557933575122610167052',16315,'770',41.68,1,3,NULL),(25,6375030,'1981-08-30 00:00:00',4,7,12,1998,'M','N','MATRIZ','VIDEIRA','SC','124241241216375431489814335121330766012',2059,'833',67.94,1,3,NULL),(25,6375049,'1993-05-14 00:00:00',2,17,12,2010,'F','N','CENTRO','MAFRA','SC','124243161215111431338722375322610161197',NULL,'9998',0.00,1,3,NULL),(25,6375057,'1966-07-25 00:00:00',2,1,12,1984,'M','N','IPIRANGA','S JOSÉ','SC','224241243136135411443343332134333262187',10794,'449',50.00,1,3,NULL),(25,6375065,'1993-10-08 00:00:00',2,1,12,2010,'M','N','PRAINHA','FLORIANÓPOLIS','SC','124242241215111711266829592124610144147',NULL,'1048',0.00,1,3,NULL),(25,6375073,'1992-06-11 00:00:00',2,1,12,2009,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124243241211372411246812495122231026112',NULL,'1118',19.39,1,3,NULL),(25,6375081,'1984-08-30 00:00:00',4,3,12,2003,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241234374421368813472122333225097',12749,'262',46.99,1,3,NULL),(25,6375090,'1993-04-14 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241215171231536911592314610128147',12034,'1022',43.89,1,3,NULL),(25,6375103,'1991-06-17 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247337161731526622572124610135097',NULL,'9999',17.86,1,3,NULL),(25,6375111,'1993-07-10 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241211111522346633582114610123191',20527,'1022',26.88,4,1,2),(25,6375120,'1993-04-30 00:00:00',2,15,12,2010,'M','N','INTER PRAIAS','BAL GAIVOTA','SC','124241241112271441326811212324610134047',NULL,'1162',19.04,1,3,NULL),(25,6375138,'1992-07-16 00:00:00',2,8,12,2009,'F','N','PARQUE MARIANE','S BENTO SUL','SC','124241241116131711348931395122610134172',NULL,'697',0.00,1,2,1),(25,6375146,'1993-07-15 00:00:00',2,8,12,2010,'M','N','RIO VERMELHO ESTAÇÃO','S BENTO SUL','SC','124241241115271431423314142324610127051',NULL,'697',22.35,1,2,1),(25,6375154,'1991-06-13 00:00:00',2,1,12,2009,'F','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125251251215471441438619291124610146187',NULL,'737',0.00,1,3,NULL),(25,6375162,'1992-12-08 00:00:00',4,1,12,2010,'F','N','CENTRO','CANELINHA','SC','124241241147171731331414145121610166057',17124,'142',34.78,1,2,1),(25,6375170,'1993-11-30 00:00:00',2,4,12,2010,'M','N','BOM PASTOR','CONCÓRDIA','SC','124241248113151231423634572124610137047',19328,'196',31.20,4,2,1),(25,6375189,'1990-03-23 00:00:00',2,3,12,2007,'F','N','CENTRO','ÂNGULO','PR','116163161216472741546836574124610145187',532,'9998',76.26,4,3,NULL),(25,6375197,'1993-03-08 00:00:00',2,1,12,2010,'F','N','JARDIM COQUEIROS','PALHOÇA','SC','124241241115161431223621252224610127143',20820,'591',31.87,1,2,1),(25,6375200,'1992-12-07 00:00:00',4,8,12,2009,'F','N','NOVA BRASÍLIA','JARAGUÁ SUL','SC','124242241215111431558811315124610136142',NULL,'1061',19.17,1,3,NULL),(25,6375219,'1976-08-12 00:00:00',2,1,12,1993,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124201206226474421238641315123222364117',18146,'9998',38.57,1,3,NULL),(25,6375227,'1991-02-08 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241145272411546821245124610163027',11250,'307',45.56,4,3,NULL),(25,6375235,'1992-02-11 00:00:00',4,1,12,2010,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124242241215151431256822295112610117113',NULL,'884',0.00,1,3,NULL),(25,6375251,'1991-02-20 00:00:00',4,1,12,2008,'M','N','ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC','124102241217473421389711575122231227051',NULL,'262',0.00,1,3,NULL),(25,6375260,'1991-03-06 00:00:00',2,8,12,2008,'F','N','UBERABA','CURITIBA','PR','116161161217572411434833571124610123147',NULL,'9998',0.00,4,3,NULL),(25,6375278,'1991-03-22 00:00:00',4,3,12,2008,'F','N','CENTRO','CURITIBA','PR','116242241215571411468821572122610164072',9431,'9997',52.31,1,3,NULL),(25,6375286,'1991-02-01 00:00:00',2,8,12,2008,'F','N','JARDIM ESTORIL','BAURU','SP','125252251216571431446613572122610144184',1152,'9998',72.27,1,3,NULL),(25,6375294,'1987-12-26 00:00:00',4,1,12,2005,'F','N','JD DA GLORIA','COTIA','SP','125251251117573751658614273124610135197',5849,'9998',55.64,1,2,1),(25,6375308,'1993-02-14 00:00:00',2,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115471711414621385224610117042',NULL,'257',17.60,4,2,1),(25,6375316,'1994-02-28 00:00:00',4,1,12,2010,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241312141431335634245124610164057',21222,'772',29.93,1,3,NULL),(25,6375324,'1986-04-12 00:00:00',2,1,12,2007,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241247322131411636313442124610163192',NULL,'9999',22.03,1,3,NULL),(25,6375332,'1992-12-16 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431446613335112610165077',11537,'272',44.19,1,3,NULL),(25,6375340,'1991-02-20 00:00:00',2,5,12,2007,'F','N','RES SANTA MARINA','RONDONÓPOLIS','MT','111113111216571431569811445112140462043',NULL,'9998',0.00,1,3,NULL),(25,6375367,'1988-11-25 00:00:00',4,1,7,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241337272731436611382224610134147',NULL,'734',0.00,1,3,NULL),(25,6375383,'1994-09-27 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216111431438618572114610127071',11609,'1022',42.42,1,3,NULL),(25,6375391,'1992-11-06 00:00:00',4,8,12,2010,'M','N','BOA VISTA','JOINVILLE','SC','124243241317141431468614575122610167042',NULL,'477',18.33,1,3,NULL),(25,6375405,'1980-01-05 00:00:00',2,1,12,1996,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224243241116134421646613435133133214147',14126,'307',39.01,2,1,2),(25,6375413,'1989-02-13 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251216352411228811372111143227077',20865,'9998',31.68,1,3,NULL),(25,6375421,'1986-04-10 00:00:00',2,1,12,2003,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241126373731223611445114133263097',NULL,'594',39.72,5,2,1),(25,6375430,'1995-04-15 00:00:00',2,5,11,2011,'F','S','LIRI','IÇARA','SC','124242241215111431438619471114610127017',NULL,'226',54.32,1,3,NULL),(25,6375448,'1990-03-14 00:00:00',2,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','121213211117131731116648385124610121017',NULL,'9998',35.64,1,3,NULL),(25,6375456,'1990-11-29 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215574431468833575112221464195',8866,'738',51.57,1,3,NULL),(25,6375464,'1993-08-30 00:00:00',2,1,12,2010,'F','N','CENTRO','MARMELEIRO','PR','116161161116131431423334292225610164142',NULL,'9998',19.63,1,3,NULL),(25,6375529,'1990-11-03 00:00:00',2,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215132431658829572112610167042',NULL,'1118',21.78,1,3,NULL),(25,6375537,'1990-06-13 00:00:00',2,1,11,2008,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124091098127151531326834242321141042057',NULL,'9998',10.45,1,3,NULL),(25,6375545,'1989-04-14 00:00:00',2,2,12,2006,'M','N','VELHA','BLUMENAU','SC','124241241211472411546514242221610127092',1171,'855',72.19,1,3,NULL),(25,6375553,'1982-02-21 00:00:00',2,8,12,1999,'M','N','RIO NEGRO','S BENTO SUL','SC','124241241126142741434412245123311312052',NULL,'697',0.00,1,2,1),(25,6375561,'1993-09-27 00:00:00',4,2,11,2010,'M','N','VELHA','BLUMENAU','SC','124242241217111731328512244122230737052',NULL,'87',0.00,1,3,NULL),(25,6375570,'1992-05-22 00:00:00',2,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241217131731538923572112610142147',NULL,'213',34.94,1,3,NULL),(25,6375588,'1992-02-06 00:00:00',4,4,12,2009,'F','N','FONTES','SOLEDADE','RS','120203201216471431546912425124610136142',NULL,'9998',0.00,1,3,NULL),(25,6375596,'1992-12-07 00:00:00',2,9,12,2009,'F','N','CENTRO','LEOBERTO LEAL','SC','124241241125471431325323245124610134052',14731,'533',39.88,1,2,1),(25,6375600,'1988-05-19 00:00:00',4,1,12,2005,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124041241137272421448713275124610163072',NULL,'281',17.91,1,2,1),(25,6375618,'1982-09-10 00:00:00',2,1,12,2000,'M','N','CAMPINAS','S JOSÉ','SC','124241246116335421449613382122320344193',12298,'306',47.69,2,1,1),(25,6375626,'1988-02-01 00:00:00',2,3,12,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124201205116234711323729392235341026157',15340,'9998',36.88,1,3,NULL),(25,6375634,'1993-12-07 00:00:00',4,1,12,2010,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217111711567812595112610117042',NULL,'883',38.65,1,3,NULL),(25,6375642,'1985-04-16 00:00:00',4,1,12,2003,'M','N','BOM FIM','PTO ALEGRE','RS','120203201216271711314837482224610127097',19329,'9998',31.18,1,3,NULL),(25,6375669,'1991-06-17 00:00:00',5,17,12,2009,'M','N','CENTRO','IRINEÓPOLIS','SC','124241242611151431534354291324610127187',NULL,'143',21.00,1,3,NULL),(25,6375677,'1992-04-28 00:00:00',4,1,12,2009,'M','N','VILA INDUSTRIAL','BAURU','SP','125252256117471431538713575122610127047',NULL,'9998',0.00,1,3,NULL),(25,6375685,'1993-08-26 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241215131431338919575114610168042',NULL,'1022',20.85,1,3,NULL),(25,6375693,'1993-05-19 00:00:00',4,2,12,2009,'F','N','SÃO FRANCISCO','ASCURRA','SC','124244241216472731356512125122610128172',NULL,'37',0.00,1,3,NULL),(25,6375707,'1994-01-28 00:00:00',4,1,11,2011,'F','S','CANTO','FLORIANÓPOLIS','SC','124242241217111731458823595124610123182',NULL,'738',27.39,1,3,NULL),(25,6375715,'1993-07-20 00:00:00',2,1,12,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116111431535633275124610127057',NULL,'307',30.38,1,2,1),(25,6375723,'1994-04-27 00:00:00',2,8,12,2010,'F','N','ATIRADORES','JOINVILLE','SC','124242241217111431458932585122610122122',15304,'457',43.24,1,3,NULL),(25,6375731,'1985-01-24 00:00:00',2,1,12,2003,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124241241337131451229951485124332838197',NULL,'757',33.71,1,3,NULL),(25,6375758,'1994-03-30 00:00:00',4,4,12,2010,'F','N','BRASÍLIA','PATO BRANCO','PR','116161161117371431558834275122610164142',13754,'9998',41.02,1,2,1),(25,6375766,'1988-04-17 00:00:00',2,5,12,2005,'F','N','BOM FIM','PTO ALEGRE','RS','120201201111572431463411575125610167187',2608,'9998',64.23,1,2,1),(25,6375774,'1993-10-01 00:00:00',4,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124241241316111431439914585124610132147',20720,'1102',32.30,1,3,NULL),(25,6375782,'1994-06-06 00:00:00',4,5,12,2010,'M','N','PONTA PORÃ','CACHOEIRINHA','RS','120204201216131431469714575122610167067',12742,'9998',41.73,1,3,NULL),(25,6375790,'1982-10-12 00:00:00',4,1,12,1999,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124202201217132421126644345324230267047',NULL,'9998',0.00,1,3,NULL),(25,6375804,'1993-09-15 00:00:00',2,5,12,2010,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124241241117111431636623575124610127072',19530,'209',30.45,2,1,1),(25,6375812,'1993-03-19 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241235112711669914577124610147047',8505,'270',50.66,1,3,NULL),(25,6375820,'1980-09-29 00:00:00',2,8,12,2001,'M','N','PARQUE GUARANI','JOINVILLE','SC','624161167127161732523361242314610162047',NULL,'9998',0.00,1,2,1),(25,6375839,'1994-10-21 00:00:00',4,1,12,2011,'M','S','PARQUE SAO JORGE','FLORIANÓPOLIS','SC','124242241112151752459813575124610147045',NULL,'271',21.78,1,3,NULL),(25,6375847,'1979-01-18 00:00:00',2,1,12,1998,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','224251251127471111431154195122610132147',15538,'9998',39.36,1,2,1),(25,6375855,'1993-12-14 00:00:00',4,15,12,2010,'M','N','ALTO FELIZ','ARARANGUÁ','SC','124241241115131441426414572111610164097',20831,'30',31.81,1,2,1),(25,6375863,'1994-08-12 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241215111411443632572312610116142',13688,'983',45.65,1,3,NULL),(25,6375871,'1992-10-13 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241217142411459912315124233234047',NULL,'951',0.00,1,3,NULL),(25,6375880,'1992-08-15 00:00:00',4,1,12,2010,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162163117371451456813271112610161042',NULL,'9998',0.00,1,3,NULL),(25,6375898,'1993-09-11 00:00:00',4,8,12,2011,'F','S','AMÉRICA','JOINVILLE','SC','124242241216111531366932574112610137092',NULL,'1063',10.15,1,3,NULL),(25,6375901,'1993-06-27 00:00:00',2,1,11,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242241215111431448613575122610137142',NULL,'1118',17.71,1,3,NULL),(25,6375936,'1993-04-07 00:00:00',2,1,12,2010,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124244241215112511258813475122610154017',9279,'270',49.47,1,3,NULL),(25,6375944,'1990-04-16 00:00:00',2,1,12,2007,'F','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124241241111132411324311442124610121187',18665,'281',37.62,1,2,1),(25,6375952,'1992-02-10 00:00:00',4,8,12,2009,'M','N','EMBARÉ','SANTOS','SP','125252251216211431578632345122610167043',10611,'9998',47.10,1,3,NULL),(25,6375960,'1993-06-23 00:00:00',2,15,12,2010,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241115131732423634282113610124187',NULL,'29',18.53,1,2,1),(25,6375979,'1990-12-20 00:00:00',2,3,7,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124203247446132411326729195245231027097',NULL,'9999',0.00,1,3,NULL),(25,6375987,'1991-03-06 00:00:00',2,1,11,2009,'M','N','BREJARU','PALHOÇA','SC','124243241341142421435314241113610167112',NULL,'9999',0.00,4,3,NULL),(25,6375995,'1991-07-05 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252241216131411229814482114640111087',NULL,'9998',21.94,4,3,NULL),(25,6376002,'1977-05-24 00:00:00',4,1,12,1995,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124062066131135421128744345124423264191',6067,'9998',58.59,1,3,NULL),(25,6376010,'1991-03-15 00:00:00',2,1,12,2008,'F','N','SÃO JOÃO','ITAJAÍ','SC','124213211116171431517523575124610122087',NULL,'9998',0.00,4,3,NULL),(25,6376029,'1993-01-13 00:00:00',2,1,9,2010,'M','N','TRINTA REIS','NOVA TRENTO','SC','124242241236111732468713575122610117187',11879,'981',44.35,1,3,NULL),(25,6376045,'1992-02-25 00:00:00',4,1,12,2009,'M','N','VILLAGE SAINT CLAIRE','SOROCABA','SP','125252251216371411359923276112610127051',NULL,'9998',0.00,1,3,NULL),(25,6376053,'1993-07-20 00:00:00',4,16,12,2010,'F','N','BELLO','CAÇADOR','SC','124241241136161411626614572322610154052',20404,'123',33.42,1,3,NULL),(25,6376070,'1985-06-04 00:00:00',4,1,12,2002,'M','N','CANTO','FLORIANÓPOLIS','SC','124243241217274311237744346122131067047',19267,'724',36.35,4,3,NULL),(25,6376088,'1986-11-24 00:00:00',4,1,12,2004,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215371431226944445123131037187',10712,'836',50.13,1,3,NULL),(25,6376096,'1993-05-04 00:00:00',2,7,12,2010,'F','N','BOA VISTA','JOAÇABA','SC','124242241212111331376832572112610127072',NULL,'962',0.00,1,3,NULL),(25,6376100,'1992-11-09 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111431469833575124610122145',7222,'270',53.53,1,3,NULL),(25,6376118,'1991-10-17 00:00:00',2,15,11,2008,'F','N','CENTRO','MELEIRO','SC','124241241216143751348912245112610166097',NULL,'32',0.00,1,3,NULL),(25,6376126,'1990-11-26 00:00:00',4,1,12,2008,'F','N','JARDIM MAUÁ','NOVO HAMBURGO','RS','120203208117141431359824442122610163187',12790,'9998',46.94,1,3,NULL),(25,6376134,'1989-12-06 00:00:00',2,1,12,2007,'F','N','SANTOS DUMONT','S JOSÉ','SC','124241241116151411333524345124231027142',NULL,'257',34.17,1,2,1),(25,6376142,'1994-06-01 00:00:00',4,15,12,2010,'M','N','SANGA DO MARCO','ARARANGUÁ','SC','124241241117131431423326255124610127047',NULL,'29',21.86,1,2,1),(25,6376150,'1982-06-24 00:00:00',2,8,4,2007,'M','N','IRIRIÚ','JOINVILLE','SC','124161247326171731226344342334610117117',NULL,'9999',0.00,1,3,NULL),(25,6376177,'1991-01-10 00:00:00',4,1,12,2008,'F','N','FORTE','PR GRANDE','SP','125251251116471751353823575124610124072',NULL,'9998',0.00,1,2,1),(25,6376185,'1987-07-23 00:00:00',4,1,12,2007,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241248126133421656514345124610114042',21518,'307',27.74,1,3,NULL),(25,6376193,'1993-10-20 00:00:00',2,5,11,2010,'F','N','MICHEL','CRICIÚMA','SC','124242241212171131465912572122610114182',1271,'226',71.14,1,3,NULL),(25,6376207,'1994-11-29 00:00:00',4,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241215111731437632572114610123182',NULL,'1011',24.09,1,3,NULL),(25,6376215,'1992-11-22 00:00:00',2,1,12,2009,'F','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161214471432348611375122610124017',NULL,'9998',0.00,1,3,NULL),(25,6376223,'1994-05-31 00:00:00',4,1,12,2011,'F','S','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241215111431469934575122610134092',NULL,'1198',34.12,1,3,NULL),(25,6376231,'1992-09-02 00:00:00',4,2,12,2010,'F','N','CARIJOS','INDAIAL','SC','124243241235111111457632442122613213147',NULL,'986',13.50,1,3,NULL),(25,6376240,'1992-12-15 00:00:00',2,1,12,2010,'M','N','POTECAS','S JOSÉ','SC','124241241117141431535614345122610122013',20365,'727',33.52,2,1,1),(25,6376258,'1992-12-18 00:00:00',2,9,12,2009,'F','N','CENTRO','CPO BELO SUL','SC','124244241215471431436612575122610134186',NULL,'1207',26.35,1,3,NULL),(25,6376266,'1991-02-25 00:00:00',4,9,6,2009,'M','N','PEREIRA ALVES','CORREIA PINTO','SC','124244247317131441426614275122610138013',NULL,'9999',29.91,1,3,NULL),(25,6376274,'1993-11-01 00:00:00',2,1,12,2010,'M','N','ESTREITO','ALFREDO WAGNER','SC','124241241125161432426611572121610127062',21408,'13',28.74,1,2,1),(25,6376282,'1982-11-26 00:00:00',4,1,12,2000,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241216142431266844345122522428185',NULL,'270',0.00,1,3,NULL),(25,6376290,'1991-08-20 00:00:00',2,1,12,2010,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124244241215131431327833575121610122052',NULL,'273',14.24,1,3,NULL),(25,6376304,'1993-03-05 00:00:00',2,6,12,2010,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242248215111421478811575122610135052',13428,'109',41.46,1,3,NULL),(25,6376312,'1990-10-24 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241437141531556823445124610137187',NULL,'9999',17.16,1,3,NULL),(25,6376320,'1990-11-04 00:00:00',4,1,12,2008,'M','N','CHACARA INGLESA','S PAULO','SP','125252251117471411468813471114141032052',6632,'9998',57.41,1,3,NULL),(25,6376339,'1992-10-25 01:00:00',2,1,12,2009,'M','N','CENTRO','BIGUAÇU','SC','124242241215372431347834375114610124142',17150,'63',35.41,1,3,NULL),(25,6376347,'1991-09-10 00:00:00',4,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124242241115151431438811485112610132047',15923,'592',37.18,1,3,NULL),(25,6376371,'1990-02-28 00:00:00',4,1,12,2007,'F','N','VILA ANDRADE','S PAULO','SP','124252251216574431478611575122610168122',9122,'9998',49.94,1,3,NULL),(25,6376380,'1993-11-11 00:00:00',4,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111411347914572124610112042',6908,'1011',54.55,1,3,NULL),(25,6376398,'1986-08-06 00:00:00',2,7,12,2002,'F','N','SÃO FRANCISCO','LUZERNA','SC','124241241116172711623311311335610114051',NULL,'646',0.00,1,2,1),(25,6376401,'1991-07-16 00:00:00',2,1,12,2008,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124243241211271731534714241244613227187',17965,'1040',36.01,2,1,2),(25,6376410,'1989-05-08 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241112572431531538445114610117047',20976,'732',31.19,1,2,1),(25,6376428,'1990-10-08 00:00:00',4,1,11,2008,'M','N','CANTO DO FORTE','PR GRANDE','SP','125254251415571431546832575111610137117',11814,'9997',44.51,1,3,NULL),(25,6376444,'1985-06-21 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624243248525171751613379294345610168197',NULL,'9997',0.00,1,3,NULL),(25,6376452,'1986-07-01 00:00:00',4,1,12,2004,'M','N','JARDIM CIDADE F','S JOSÉ','SC','124241241136132731436313375114220714143',16233,'734',41.80,1,2,1),(25,6376460,'1993-08-20 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241215231431223823575124612824077',9895,'1198',48.34,1,3,NULL),(25,6376479,'1987-04-04 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217153411368923411122343265142',8798,'262',53.41,1,3,NULL),(25,6376495,'1986-05-14 00:00:00',4,1,10,2003,'M','N','JARDIM PAULISTA','S PAULO','SP','125254251216573731569911471125143227117',487,'9998',77.51,1,3,NULL),(25,6376509,'1993-07-31 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124244241216111531358933295122610162065',NULL,'237',17.02,1,3,NULL),(25,6376517,'1991-10-22 00:00:00',2,1,12,2008,'M','N','PEDANCINO','CAXIAS SUL','RS','120201201117572431447314275124610147053',1284,'9998',70.97,1,2,1),(25,6376525,'1992-04-09 00:00:00',4,1,12,2010,'M','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','124122247337131441426624285324610117091',21214,'9999',29.98,1,3,NULL),(25,6376533,'1992-03-06 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241215273451569924575122220734062',4324,'273',62.49,1,3,NULL),(25,6376541,'1993-08-27 00:00:00',2,1,12,2010,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124242241215111431536632325124610122042',17480,'1223',33.99,1,3,NULL),(25,6376550,'1993-10-11 00:00:00',4,1,12,2010,'M','N','BOQUEIRÃO','SANTOS','SP','125252251216111431257861575122610144047',NULL,'9998',0.00,1,3,NULL),(25,6376568,'1994-05-25 00:00:00',4,5,12,2010,'M','N','CENTRO','ORLEANS','SC','125243248216371451457632475122610168062',10194,'226',46.78,1,3,NULL),(25,6376576,'1991-12-29 00:00:00',4,1,12,2009,'M','N','PORTAL','VINHEDO','SP','125252251217471431488823575122610122043',1172,'9998',71.67,1,3,NULL),(25,6376584,'1992-02-28 00:00:00',4,8,12,2009,'M','N','GLÓRIA','JOINVILLE','SC','124242241215372431468924575112610167112',12606,'1063',43.23,1,3,NULL),(25,6376592,'1981-06-18 00:00:00',2,15,12,1999,'M','N','CIDADE ALTA','ARARANGUÁ','SC','624241241416131721236653442122610127067',NULL,'29',33.75,1,3,NULL),(25,6376606,'1991-05-24 00:00:00',2,1,12,2010,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124173241315131431458613485124610124177',NULL,'257',38.59,4,3,NULL),(25,6376614,'1990-07-03 00:00:00',4,10,12,2007,'M','N','MONTE CASTELO','TUBARÃO','SC','124242246217472431326613342124131467012',NULL,'1120',0.00,1,3,NULL),(25,6376622,'1984-06-08 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241125131431223344246324610124147',NULL,'289',13.40,1,2,1),(25,6376630,'1993-12-26 00:00:00',2,1,11,2010,'F','N','CENTRO','PETROLÂNDIA','SC','124241241215221411434933125324610125027',9881,'991',49.38,1,3,NULL),(25,6376649,'1992-06-10 00:00:00',4,8,12,2009,'M','N','CAPÃO RASO','CURITIBA','PR','116162161217122431369914395124241428192',NULL,'9998',0.00,1,3,NULL),(25,6376657,'1992-10-10 00:00:00',2,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215112431346824575124610117052',4738,'737',60.08,1,3,NULL),(25,6376665,'1993-01-02 00:00:00',2,5,12,2010,'F','N','LOMBA','ORLEANS','SC','124241241121171532223324142224610138197',17140,'580',35.46,4,2,1),(25,6376673,'1992-01-24 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241246117151441543511395114610164187',11097,'306',44.92,1,2,1),(25,6376681,'1993-09-23 00:00:00',4,1,12,2010,'M','N','ASA NORTE','BRASÍLIA','DF','107072071216111231379913585124610127077',13468,'9998',41.31,1,3,NULL),(25,6376690,'1984-07-24 00:00:00',4,1,12,2001,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241117132431338821275124121217067',NULL,'270',0.00,1,3,NULL),(25,6376703,'1990-10-14 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','624241248133171751613379293345610168197',18666,'9997',37.61,1,2,1),(25,6376711,'1993-10-04 00:00:00',2,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124244241417111532446612296114610117052',21292,'1048',29.48,1,3,NULL),(25,6376738,'1995-05-05 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111431469833575124610127035',11479,'270',48.93,1,3,NULL),(25,6376746,'1994-07-12 00:00:00',4,9,11,2011,'F','S','CENTRO','PRES GETÚLIO','SC','124241247215111211444622574124610124092',NULL,'991',0.00,1,3,NULL),(25,6376754,'1978-05-08 00:00:00',2,1,12,1995,'F','N','CENTRO','FLORIANÓPOLIS','SC','224242241216152411245943437122321063097',NULL,'9997',0.00,4,3,NULL),(25,6376762,'1993-08-07 00:00:00',2,15,11,2010,'F','N','CENTRO','S MIGUEL IGUAÇU','PR','116161161316111331313315575124610127077',12579,'9998',43.68,4,3,NULL),(25,6376789,'1993-11-20 00:00:00',4,1,12,2010,'M','N','VILA PROGRESSO','GUARULHOS','SP','125252251217171521368831572112610112196',3022,'9998',63.79,1,3,NULL),(25,6376797,'1991-08-02 00:00:00',2,8,11,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124242241216132111316761575112610134197',NULL,'486',22.65,1,3,NULL),(25,6376800,'1991-09-03 00:00:00',2,8,11,2008,'F','N','SANTANA','RIO SUL','SC','124242241217112511439619575112133262072',14441,'991',44.53,1,3,NULL),(25,6376819,'1993-08-25 00:00:00',2,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124241248216131141449613475124610134077',15691,'995',42.62,1,3,NULL),(25,6376827,'1993-05-14 00:00:00',4,10,11,2010,'M','N','DEHON','TUBARÃO','SC','124241241217111331453834595122610144142',13648,'1120',42.40,1,3,NULL),(25,6376835,'1990-01-08 00:00:00',2,4,11,2006,'F','N','CENTRO','CURITIBA','PR','116242241216574411459931575124242624147',16709,'185',41.06,1,3,NULL),(25,6376843,'1976-01-19 00:00:00',2,1,12,1993,'F','N','BARREIROS','S JOSÉ','SC','124242241136155441368829415122521034167',13115,'307',46.44,1,3,NULL),(25,6376860,'1995-01-27 00:00:00',4,1,12,2011,'M','S','PAGANI','PALHOÇA','SC','124242241216111711359813595122610154043',NULL,'1011',0.00,1,3,NULL),(25,6376886,'1992-11-27 00:00:00',4,8,12,2010,'M','N','JD DAS INDUSTRIAS','S JOSÉ CAMPOS','SP','125251251212111431437614575122610147012',NULL,'9998',0.00,1,3,NULL),(25,6376894,'1989-08-01 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241213133431424319385124230237042',19231,'1098',36.44,2,1,2),(25,6376908,'1986-08-02 00:00:00',2,1,12,2003,'M','N','JURERE TRADICIONAL','FLORIANÓPOLIS','SC','124201201117141411123344345134131018187',NULL,'9998',34.56,1,3,NULL),(25,6376916,'1991-09-07 00:00:00',4,1,11,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241215153421346632315112610164015',16184,'737',41.87,1,3,NULL),(25,6376924,'1993-08-03 00:00:00',4,1,11,2010,'F','N','PAGANI','PALHOÇA','SC','124241248116131411426419392122610116147',NULL,'591',28.61,1,2,1),(25,6376932,'1992-11-21 00:00:00',2,15,11,2010,'F','N','CENTRO','ARARANGUÁ','SC','124242241216371431348622575122610161072',14364,'970',39.91,1,3,NULL),(25,6376959,'1992-11-03 00:00:00',4,1,12,2010,'F','N','VILAS DE ICARAÍ','SALTO','SP','125256254117111431467724575124610113052',12341,'9998',42.28,1,3,NULL),(25,6376967,'1993-04-18 00:00:00',2,1,12,2010,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241117131411337823375124610132147',NULL,'9997',0.00,1,2,1),(25,6376975,'1988-09-19 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241316575431659613575124230237061',6029,'307',56.82,1,3,NULL),(25,6376983,'1990-07-13 00:00:00',4,1,2,2008,'F','N','CENTRO','S JOSÉ','SC','124241241116373431556413375112232111037',12758,'739',43.35,1,2,1),(25,6376991,'1991-01-11 00:00:00',4,4,11,2008,'F','N','CENTRO','ERECHIM','RS','120202201216573731468812571122610163142',793,'9998',74.82,1,3,NULL),(25,6377009,'1986-11-13 00:00:00',2,1,7,2005,'F','N','CENIRO MARTINS','S JOSÉ','SC','224241241117371421236654241242610113197',18539,'945',36.84,1,3,NULL),(25,6377017,'1990-08-02 00:00:00',4,1,11,2007,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241216272431379933471124233222182',9540,'515',52.16,1,3,NULL),(25,6377025,'1984-11-23 00:00:00',2,1,11,2003,'M','N','TAPERA','FLORIANÓPOLIS','SC','124244247417154431663433482114610164042',NULL,'1003',18.73,2,1,2),(25,6377033,'1991-05-28 00:00:00',2,1,12,2008,'F','N','CENTRO','GUAÍRA','SP','125252251217411531526411575124610162197',NULL,'9998',13.45,1,3,NULL),(25,6377041,'1992-07-01 00:00:00',2,7,12,2010,'M','N','CENTRO','JOAÇABA','SC','124242241116171511437833375113610167142',NULL,'454',21.41,1,3,NULL),(25,6377050,'1989-05-12 00:00:00',2,1,11,1989,'M','N','CENTRO','S JOSÉ','SC','124242248217473411338914242114610163042',NULL,'1075',25.96,1,3,NULL),(25,6377068,'1992-01-19 00:00:00',4,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216111431468822345122610134053',NULL,'9997',0.00,1,3,NULL),(25,6377084,'1993-08-27 00:00:00',4,4,12,2010,'M','N','CENTRO','GALVÃO','SC','124241241136161412223313395121610124052',NULL,'321',15.43,1,2,1),(25,6377092,'1993-02-01 00:00:00',2,5,11,2009,'M','N','PINHEIRINHO','CRICIÚMA','SC','124244248217271731536963342224610127112',NULL,'995',38.25,1,3,NULL),(25,6377106,'1993-04-28 00:00:00',2,2,12,2010,'F','N','CENTRO','BENEDITO NOVO','SC','124241241116161311333314575224610135072',NULL,'62',23.47,1,2,1),(25,6377114,'1993-09-07 00:00:00',2,10,12,2010,'F','N','RIO BONITO','BRAÇO NORTE','SC','124241241117271731525612175124610142047',NULL,'100',0.00,1,2,1),(25,6377122,'1993-02-24 00:00:00',2,1,11,2010,'M','N','CENTRO','MARAU','RS','120202201217471431434612585124610123142',NULL,'9998',39.19,1,3,NULL),(25,6377130,'1988-06-11 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201131171451214716281344131027117',19043,'9998',36.86,1,2,1),(25,6377149,'1993-06-11 00:00:00',4,8,12,2010,'M','N','NOVA ESPERANÇA','GUARAMIRIM','SC','124242241216111731447833575124610167147',NULL,'441',0.00,1,3,NULL),(25,6377165,'1992-03-01 00:00:00',4,1,12,2009,'M','N','CANTO','FLORIANÓPOLIS','SC','124244241115473431466631375124231435172',8216,'271',54.49,1,3,NULL),(25,6377173,'1992-01-16 00:00:00',2,10,11,2009,'F','N','HUMAITÁ','TUBARÃO','SC','124242241215472231487822594122613224102',10359,'807',50.72,1,3,NULL),(25,6377181,'1987-06-10 00:00:00',4,5,12,2004,'F','N','CENTRO','PASSO FUNDO','RS','120201201116575431228849492123610147147',7504,'9998',51.93,1,2,1),(25,6377190,'1978-01-19 00:00:00',2,1,12,1995,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224201206116374431346644242133233247047',7020,'9998',56.71,1,2,1),(25,6377203,'1992-06-09 00:00:00',4,3,12,2009,'F','N','CENTRO','CAMBORIÚ','SC','124241241116372431316629275324610126187',19309,'130',32.02,1,2,1),(25,6377211,'1993-12-28 00:00:00',4,2,12,2010,'F','N','ARAES','CUIABÁ','MT','111112111117111431278732575122610124142',19945,'9998',34.74,1,3,NULL),(25,6377220,'1990-04-15 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241312152411438713392124221468182',3465,'1098',64.64,1,3,NULL),(25,6377238,'1993-07-07 00:00:00',4,2,12,2010,'M','N','CENTRO','BRUSQUE','SC','124242241215111431457832345122610132091',NULL,'109',0.00,1,3,NULL),(25,6377254,'1978-05-05 00:00:00',2,1,10,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','224241247327131331423351245122232224017',NULL,'9999',26.79,1,3,NULL),(25,6377270,'1990-11-07 00:00:00',2,1,12,2008,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241141131421323428142243610168187',NULL,'941',14.90,1,2,1),(25,6377289,'1994-02-02 00:00:00',2,4,12,2010,'F','N','CENTRO','NOVA AURORA','PR','116161168117141431226624245122610151092',NULL,'9998',20.92,4,2,1),(25,6377297,'1993-01-25 00:00:00',4,1,11,2010,'F','N','SANTA RITA','BRUSQUE','SC','124242241215112431468812576122610113187',4865,'270',59.19,1,3,NULL),(25,6377300,'1993-04-06 00:00:00',4,6,12,2010,'M','N','CENTRO','BRUSQUE','SC','124242241215111421679931272112610167042',19003,'109',36.93,1,3,NULL),(25,6377319,'1989-08-12 00:00:00',4,1,10,2007,'M','N','AREIAS','S JOSÉ','SC','124242247331313411456613142122610117092',12098,'9999',46.29,1,3,NULL),(25,6377327,'1992-04-13 00:00:00',4,1,12,2009,'M','N','JARDIM AMERICA','BAURU','SP','125252251216471431438814571122610122047',NULL,'9998',0.00,1,3,NULL),(25,6377335,'1990-10-11 00:00:00',2,7,12,2010,'M','N','PORTINARRI','CONCÓRDIA','SC','124241246117371731336824391124610167087',NULL,'196',0.00,1,3,NULL),(25,6377343,'1990-06-23 00:00:00',4,1,11,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241217144431579934445122231437112',18123,'723',38.61,1,3,NULL),(25,6377351,'1993-06-07 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215151431436632575122610126011',3475,'272',62.55,1,3,NULL),(25,6377360,'1992-07-20 00:00:00',2,8,12,2009,'M','N','BOM RETIRO','JOINVILLE','SC','124242243215271431439619495124133227047',19319,'1016',36.23,1,3,NULL),(25,6377378,'1991-10-22 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241212132421546662342122610162047',21228,'269',29.89,1,3,NULL),(25,6377386,'1992-05-05 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241115472431536311574124610136092',13860,'288',43.95,1,3,NULL),(25,6377394,'1993-05-04 00:00:00',4,8,10,2010,'M','N','OURO BRANCO','PARANAVAÍ','PR','116161161215161222348711595133610134174',NULL,'9998',0.00,1,3,NULL),(25,6377408,'1990-05-14 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124163161236132431248714372122221652127',NULL,'9998',39.75,1,3,NULL),(25,6377424,'1994-09-19 00:00:00',4,4,12,2010,'M','N','CENTRO','CHAPECÓ','SC','124242241215111221258823572112610162192',15859,'1191',42.37,1,3,NULL),(25,6377432,'1991-08-10 00:00:00',4,4,12,2008,'M','N','CIRO NARDI','CASCAVEL','PR','116161161216572431438812575125610166182',NULL,'9998',0.00,1,3,NULL),(25,6377440,'1981-08-24 00:00:00',4,1,12,1999,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116153411463343431122333216092',14018,'271',45.14,1,2,1),(25,6377459,'1993-04-07 00:00:00',2,5,12,2010,'F','N','MORRO ESTEVÃO','CRICIÚMA','SC','124244248215131131323319195124610131017',21365,'995',29.05,1,3,NULL),(25,6377467,'1990-06-21 00:00:00',2,8,12,2008,'M','N','AYMORE','GUABIRUBA','SC','124241241116314421454317245121221418182',7170,'333',56.42,1,2,1),(25,6377475,'1979-09-03 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241145133751428421142324223067057',16660,'295',36.24,1,2,1),(25,6377483,'1992-12-09 00:00:00',4,6,11,2010,'F','N','CABEÇUDAS','ITAJAÍ','SC','124242241215121431579934445112610146142',NULL,'391',26.77,1,3,NULL),(25,6377505,'1994-04-24 00:00:00',2,1,12,2011,'F','S','CENTRO','PTO BELO','SC','124242246215151332358913475114610137052',NULL,'1119',42.73,1,3,NULL),(25,6377513,'1994-08-25 00:00:00',4,1,11,2011,'F','S','CENTRO','TIJUCAS','SC','124242241215161331366914575122610132142',NULL,'1119',25.06,1,3,NULL),(25,6377521,'1987-07-25 00:00:00',2,1,12,2004,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116373411255823495124221134122',7692,'307',55.44,1,2,1),(25,6377530,'1993-05-25 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124244241411471731424919581124610115047',NULL,'868',26.17,1,3,NULL),(25,6377548,'1993-02-02 00:00:00',2,2,11,2010,'F','N','JARDIM AMÉRICA','RIO SUL','SC','124242241215111431463614575112610123147',12002,'991',45.01,1,3,NULL),(25,6377556,'1993-04-03 00:00:00',4,5,11,2010,'F','N','MÃE LUZIA','CRICIÚMA','SC','124244248217111431336814575122610131047',18910,'995',37.10,1,3,NULL),(25,6377564,'1994-03-07 00:00:00',2,1,12,2011,'F','S','RATONES','FLORIANÓPOLIS','SC','124242241115111311567811572112610133012',NULL,'884',21.34,1,3,NULL),(25,6377572,'1993-10-11 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124101241115161431536664591324610154192',19257,'288',30.96,2,1,1),(25,6377580,'1989-04-11 00:00:00',2,1,10,2010,'M','N','CENTRO','S JOSÉ','SC','124242247226131431235923385213610117047',21557,'9999',27.39,1,3,NULL),(25,6377599,'1991-10-22 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124102247217371131223374342314610166147',NULL,'9999',0.00,1,3,NULL),(25,6377602,'1994-09-06 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215151431388834375112610165193',8282,'1169',54.34,1,3,NULL),(25,6377610,'1991-12-14 00:00:00',4,3,12,2008,'F','N','JARDIM IPIRANGA','MARINGÁ','PR','116162161217571431448834572122610163097',1658,'9998',70.38,3,3,NULL),(25,6377629,'1969-12-31 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624243248342171751612479293345610168197',NULL,'9997',0.00,1,3,NULL),(25,6377645,'1991-06-07 00:00:00',4,1,12,2008,'M','N','JARDIM BANDEIRANTES','S CARLOS','SP','125252251211471711359633591121610127167',14102,'9999',45.00,1,3,NULL),(25,6377661,'1992-09-19 00:00:00',2,9,12,2009,'M','N','VILA BANCÁRIA','CPO LARGO','PR','116092091215151731634814575124241462062',5498,'9998',56.70,1,3,NULL),(25,6377670,'1993-03-25 00:00:00',4,8,12,2010,'M','N','CENTRO','CURITIBA','PR','116162168212411721478612575124610114183',15374,'9998',38.56,1,3,NULL),(25,6377688,'1993-10-19 00:00:00',4,16,12,2010,'F','N','CENTRO','VARGEM','SC','124241241122161431422914576122610124147',NULL,'1082',35.92,1,2,1),(25,6377696,'1990-09-12 00:00:00',2,6,12,2007,'F','N','VILA ESTRELA','PNT GROSSA','PR','116162161216512411537912495122610112172',NULL,'9998',0.00,1,3,NULL),(25,6377700,'1990-03-23 00:00:00',2,1,12,2007,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241211133421425324312224610147017',NULL,'299',38.93,1,3,NULL),(25,6377718,'1993-04-07 00:00:00',2,6,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241211111731426879395312610167117',20312,'9997',29.46,1,3,NULL),(25,6377726,'1990-06-04 00:00:00',4,1,11,2007,'M','N','CENTRO','CURITIBA','PR','116162161216571731453332595114610164042',4074,'9998',61.43,1,3,NULL),(25,6377734,'1993-05-12 00:00:00',4,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215271732434834345122610137112',20144,'44',30.28,1,3,NULL),(25,6377742,'1991-05-24 00:00:00',4,1,12,2010,'M','N','RIO GRANDE','PALHOÇA','SC','124243241117141411426829445124610134147',20407,'591',33.41,1,3,NULL),(25,6377750,'1992-05-04 00:00:00',4,4,12,2009,'M','N','NOVA DIVINEIA','PINHALZINHO','SC','124243241315472421544831272122610157042',5235,'185',58.03,1,3,NULL),(25,6377769,'1993-05-29 00:00:00',4,4,12,2010,'M','N','CENTRO','CHAPECÓ','SC','124241241116151431446811575112610137091',NULL,'169',19.33,1,2,1),(25,6377777,'1985-04-03 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216154721147813415123321026092',11435,'270',49.00,1,3,NULL),(25,6377785,'1994-02-25 00:00:00',4,1,12,2011,'F','S','SANTA TEREZA','S PEDRO ALCÂNTARA','SC','124242241115111431345913575124610137042',NULL,'739',40.04,1,3,NULL),(25,6377793,'1982-02-24 00:00:00',4,1,12,1999,'M','N','SANTO INACIO','ESTEIO','RS','120201201127271731335342245125143213147',NULL,'9998',15.58,1,3,NULL),(25,6377807,'1992-06-11 00:00:00',1,8,12,2009,'M','N','UBERABA','CURITIBA','PR','116162161215173411458911117124242246142',NULL,'9998',0.00,1,3,NULL),(25,6377815,'1989-01-17 00:00:00',4,1,12,2006,'M','N','STA TEREZINHA','S PAULO','SP','125252254211571711548823596123610118147',1966,'9998',67.38,4,3,NULL),(25,6377823,'1991-09-27 00:00:00',2,6,12,2008,'F','N','NOVO ANTARES','LONDRINA','PR','116161161116571431336823575122610122047',NULL,'9998',28.95,1,2,1),(25,6377831,'1992-06-07 00:00:00',2,6,12,2010,'F','N','CENTRO','BRUSQUE','SC','624242241215111431423332295122610133022',15200,'109',43.41,1,3,NULL),(25,6377840,'1991-11-19 00:00:00',4,1,11,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217513431459934575112130227075',6785,'270',54.93,1,3,NULL),(25,6377858,'1993-08-27 00:00:00',2,5,12,2010,'F','N','RACHASKI','IÇARA','SC','124241241216111431443923575122610136142',15354,'349',43.13,1,3,NULL),(25,6377866,'1993-08-24 00:00:00',4,1,12,2010,'F','N','AREIAS DE CIMA','GOV CELSO RAMOS','SC','124241241115151711423313275124610146197',NULL,'64',34.54,1,3,NULL),(25,6377874,'1993-03-04 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121431389814475112610141191',3573,'270',61.50,1,3,NULL),(25,6377882,'1992-01-03 00:00:00',2,1,11,2009,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241215373431258614272124231216054',7656,'1011',55.53,1,3,NULL),(25,6377890,'1991-03-15 00:00:00',4,1,12,2008,'M','N','VILA NOVA','BARRA BONITA','SP','125253251215511411523315141122140312052',NULL,'9998',0.00,1,3,NULL),(25,6377904,'1990-05-20 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241137131731229344342314132752057',NULL,'580',29.49,1,3,NULL),(25,6377920,'1991-12-30 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241317272231449838586324121267057',5134,'88',60.54,1,3,NULL),(25,6377939,'1994-07-06 00:00:00',4,8,12,2011,'F','S','BUCAREIN','JOINVILLE','SC','124242241215111411368932575122610133072',NULL,'1063',44.16,1,3,NULL),(25,6377947,'1990-07-23 00:00:00',4,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241116131531458831315124132627147',NULL,'87',25.37,1,3,NULL),(25,6377955,'1994-01-22 00:00:00',4,1,12,2010,'F','N','FAZ STO ANTÔNIO','S JOSÉ','SC','124241241115131531336634572124610157017',NULL,'733',18.72,1,3,NULL),(25,6377963,'1993-06-02 00:00:00',2,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124242241215151751554719192112610147072',21142,'868',30.44,1,3,NULL),(25,6377971,'1991-11-25 00:00:00',2,1,12,2010,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215171311436831371141610167132',20048,'1022',34.43,1,3,NULL),(25,6377980,'1954-07-25 00:00:00',2,1,12,1986,'F','N','BARREIROS SAO JOSE','S JOSÉ','SC','120201201216144211333353335114141617012',NULL,'9999',17.44,1,3,NULL),(25,6378005,'1992-12-11 00:00:00',4,8,12,2009,'F','N','ADHEMAR GARCIA','JOINVILLE','SC','124244248316131731526514585124610114192',NULL,'492',31.61,3,3,NULL),(25,6378013,'1988-03-26 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124203201112143431126344245123610147045',19148,'9998',30.64,1,3,NULL),(25,6378021,'1989-09-28 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241316135411534614375324232523147',NULL,'1022',35.78,1,3,NULL),(25,6378030,'1987-10-08 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','624241241117132431623673345124222246072',NULL,'400',34.10,4,2,1),(25,6378048,'1992-04-16 00:00:00',2,1,12,2009,'F','N','AREIAS DE MACACU','GAROPABA','SC','124241241127131711636323342114610134177',NULL,'322',17.00,1,2,1),(25,6378064,'1992-07-29 00:00:00',2,8,12,2009,'M','N','RANCHO GRANDE','MTE CASTELO','SC','124241241116312311434923593211133217041',21289,'566',29.50,1,3,NULL),(25,6378072,'1993-04-28 00:00:00',4,1,12,2010,'F','N','SAO DIMAS','PIRACICABA','SP','125252251217111431246821241122610124117',17297,'9998',40.10,2,3,NULL),(25,6378080,'1992-11-22 00:00:00',4,15,12,2010,'M','N','SAO LUIZ','SOMBRIO','SC','124241241145221431413319282221610164042',18132,'1033',32.70,1,2,1),(25,6378099,'1991-07-22 00:00:00',4,8,11,2008,'M','N','ÁGUA VERDE','CURITIBA','PR','116242241216573431676823571112610162142',16272,'457',35.45,1,3,NULL),(25,6378102,'1992-04-07 00:00:00',4,9,12,2009,'M','N','CENTRO','LAURENTINO','SC','124243241415152431435933575124231427053',6998,'991',56.75,1,3,NULL),(25,6378110,'1993-12-15 00:00:00',4,1,11,2011,'M','S','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241217111712458613335124610137117',NULL,'270',31.81,1,3,NULL),(25,6378145,'1988-03-15 00:00:00',4,4,12,2005,'F','N','MORUMBI','CASCAVEL','PR','116161161337471711563332372224140628142',18221,'9998',38.44,1,3,NULL),(25,6378153,'1993-07-19 00:00:00',4,8,12,2010,'F','N','JARDIM AQUÁRIUS','S JOSÉ CAMPOS','SP','125252251217111331459614575122610164127',NULL,'9998',0.00,1,3,NULL),(25,6378161,'1991-02-19 00:00:00',2,6,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161435471431378923375112610117042',NULL,'9998',0.00,1,3,NULL),(25,6378170,'1992-06-21 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241215112431446611592122610143147',12564,'270',42.77,4,3,NULL),(25,6378200,'1992-11-09 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111751449913575122610118072',15704,'270',42.59,1,3,NULL),(25,6378218,'1993-12-21 00:00:00',4,8,12,2010,'F','N','AMIZADE','JARAGUÁ SUL','SC','124243241416111431446832574122610121017',NULL,'1174',0.00,1,3,NULL),(25,6378226,'1968-10-03 00:00:00',4,1,10,1987,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','524201204116161431538419441132141342097',NULL,'9998',0.00,1,2,1),(25,6378234,'1989-04-13 00:00:00',2,9,12,2006,'F','N','POR DO SOL','CAXIAS SUL','RS','120201201117572731533539575124143215147',NULL,'9998',31.82,4,1,1),(25,6378242,'1993-12-27 00:00:00',4,1,11,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431356829475121610137067',19520,'951',35.77,1,3,NULL),(25,6378250,'1994-03-19 00:00:00',4,7,12,2010,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241215111631458934571122610117142',16192,'962',41.86,1,3,NULL),(25,6378269,'1992-10-23 00:00:00',4,1,10,2010,'M','N','CENTRO','CURITIBA','PR','116162161215471611478913572122610112063',NULL,'9998',0.00,3,3,NULL),(25,6378277,'1993-11-17 00:00:00',2,8,12,2010,'M','N','RIO DA LUZ','JARAGUÁ SUL','SC','124241242115111231433631575324613237141',NULL,'24',23.87,4,2,1),(25,6378285,'1991-11-28 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111451368613575114610137043',14521,'1050',39.91,2,1,2),(25,6378293,'1990-04-23 00:00:00',2,2,12,2010,'M','N','CENTRO','JOSÉ BOITEUX','SC','124241241127161432533439342121610167057',NULL,'495',0.00,1,2,1),(25,6378315,'1993-06-11 00:00:00',2,8,12,2010,'M','N','VILA NOVA','RIO NEGRINHO','SC','124245241516161431245923595122610117077',NULL,'666',0.00,1,3,NULL),(25,6378323,'1961-04-21 00:00:00',2,1,12,1989,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','224241247332131131421344343112610163197',NULL,'9999',0.00,4,3,NULL),(25,6378331,'1988-12-13 00:00:00',2,1,12,2007,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241136272431113344445114132762193',NULL,'733',34.71,1,2,1),(25,6378340,'1949-08-26 00:00:00',2,1,12,1970,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243243127153441118848382224341062177',12490,'9997',47.36,1,3,NULL),(25,6378358,'1991-03-30 00:00:00',2,1,12,2008,'M','N','ROSARIO','CAXIAS SUL','RS','120203201115571431557411275124610133047',2986,'9998',63.46,1,3,NULL),(25,6378366,'1988-09-03 00:00:00',2,1,11,2005,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241146134431333714485114610134047',NULL,'288',41.41,1,2,1),(25,6378374,'1993-08-12 00:00:00',4,2,11,2010,'M','N','CENTRO','ILHOTA','SC','124242248215311331336632575124610167042',NULL,'955',15.58,4,3,NULL),(25,6378390,'1993-09-02 00:00:00',2,3,12,2010,'F','N','CENTRO','STO ÂNGELO','RS','120203201217111731253631594114610166142',10097,'9998',51.17,1,3,NULL),(25,6378404,'1993-01-17 00:00:00',4,15,12,2010,'M','N','CENTRO','ARARANGUÁ','SC','124244248215371431579719395112610164012',16228,'970',37.43,1,3,NULL),(25,6378412,'1982-02-26 00:00:00',2,8,12,1999,'F','N','PARQUE DAS PALMEIRAS','MARINGÁ','PR','116161161216151441536819235122341265013',14376,'9998',44.61,1,3,NULL),(25,6378439,'1994-09-06 00:00:00',4,2,11,2011,'M','S','NAÇÕES','TIMBÓ','SC','124241241215111712488632575111610164052',NULL,'1157',36.14,1,3,NULL),(25,6378447,'1993-05-13 00:00:00',4,1,12,2010,'M','N','FLORESTA','CONCÓRDIA','SC','124242241215111431479813575122610154042',15918,'1000',36.00,1,3,NULL),(25,6378455,'1993-01-29 00:00:00',4,6,12,2010,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124242241215122441349914275124610146092',13219,'109',40.99,1,3,NULL),(25,6378463,'1976-12-03 00:00:00',2,1,12,1993,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124161163111141431128644245124610117045',NULL,'9998',30.55,1,2,1),(25,6378471,'1988-06-30 00:00:00',2,1,12,2006,'F','N','FORQUILHAS','S JOSÉ','SC','124241241136374431325729282124610132147',16295,'733',37.87,1,2,1),(25,6378480,'1985-05-17 00:00:00',2,1,12,2002,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224244241436474121558923282123232722097',8061,'9997',54.75,4,3,NULL),(25,6378498,'1992-06-28 00:00:00',2,5,12,2009,'F','N','BOQUEIRAO','PASSO FUNDO','RS','120202201416471521588831574122610116057',NULL,'9998',0.00,1,3,NULL),(25,6378501,'1993-12-27 00:00:00',4,16,12,2010,'F','N','CENTRO','VARGEM','SC','124241241126131431316664272125610135147',NULL,'1082',0.00,1,2,1),(25,6378510,'1994-05-06 00:00:00',2,17,12,2010,'F','N','SÃO CRISTÓVÃO','PAPANDUVA','SC','124241241115131431525614572124610135057',20810,'603',31.91,4,3,NULL),(25,6378536,'1993-12-24 00:00:00',2,2,11,2010,'F','N','CAPITAIS','TIMBÓ','SC','124241241212112431558611572122610161142',10439,'1157',46.20,1,3,NULL),(25,6378544,'1992-10-20 00:00:00',4,1,10,2010,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125222251217111431388833575112610112143',7231,'9998',52.63,4,3,NULL),(25,6378552,'1994-08-04 00:00:00',4,1,12,2011,'M','S','SAMBAQUI','FLORIANÓPOLIS','SC','124242241217111442458814575122610168122',NULL,'262',53.95,1,3,NULL),(25,6378560,'1993-09-10 00:00:00',2,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124244241215111411438933345124610167057',17225,'989',36.81,1,3,NULL),(25,6378579,'1992-06-10 00:00:00',2,1,11,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241216211411388813575114610126092',5850,'9997',59.07,1,3,NULL),(25,6378595,'1980-09-19 00:00:00',4,1,12,1998,'F','N','PRADO','BIGUAÇU','SC','224241245117131421243353432124332725147',NULL,'65',33.38,1,3,NULL),(25,6378609,'1985-08-20 00:00:00',2,4,12,2005,'M','N','TONIAL','XANXERÊ','SC','624204207227131221236743235212141317052',NULL,'9998',10.80,2,1,2),(25,6378617,'1991-06-05 00:00:00',4,2,12,2008,'F','N','SANTA MARIA','S CAETANO SUL','SP','125252251215571431568711571122141062117',NULL,'9998',0.00,4,3,NULL),(25,6378625,'1993-08-16 00:00:00',2,1,12,2010,'F','N','GUATÁ','LAURO MÜLLER','SC','124243241215111411344611372112610112142',11341,'226',49.14,1,3,NULL),(25,6378633,'1992-12-08 00:00:00',4,8,11,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124242241216111431459614575114610121092',6506,'457',53.89,1,3,NULL),(25,6378650,'1968-12-07 00:00:00',2,1,11,1987,'F','N','JARDIM ITAGUAÇU','FLORIANÓPOLIS','SC','224251241437145431444452222112610126051',NULL,'266',0.00,1,3,NULL),(25,6378668,'1989-06-17 00:00:00',2,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116164161415513431554934575124610122192',3474,'9998',63.30,1,3,NULL),(25,6378676,'1993-09-07 00:00:00',2,1,12,2010,'M','N','CENTRO','BIGUAÇU','SC','124244241215131432438614572122610122047',NULL,'63',32.43,1,3,NULL),(25,6378684,'1991-11-13 00:00:00',4,1,12,2009,'F','N','VILA TOGNI','POÇOS CALDAS','MG','113132131216411431457632575122610162042',NULL,'9998',0.00,1,3,NULL),(25,6378706,'1993-03-24 00:00:00',2,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217151431469912575124610114197',15176,'1022',39.10,1,3,NULL),(25,6378714,'1993-05-06 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411489811575112610162092',15445,'1169',37.49,1,3,NULL),(25,6378730,'1993-03-30 00:00:00',4,1,11,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111431449813592124610127182',13659,'1022',41.53,1,3,NULL),(25,6378749,'1989-11-28 00:00:00',4,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','120242241216573711578811575124242437045',NULL,'457',0.00,1,3,NULL),(25,6378757,'1993-04-29 00:00:00',2,3,12,2010,'F','N','CENTRO','PALMEIRA','PR','116162161216111431443923335122610123097',8085,'9998',50.69,1,3,NULL),(25,6378765,'1992-07-09 00:00:00',2,1,11,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215472431455721375112610136127',NULL,'270',0.00,1,3,NULL),(25,6378773,'1993-10-21 00:00:00',2,4,12,2010,'M','N','JARDIM SOCIAL','CANTAGALO','PR','116161161315111431458933272122610117012',13154,'9998',42.14,1,3,NULL),(25,6378781,'1993-05-25 00:00:00',4,2,12,2010,'F','N','BOM RETIRO','BLUMENAU','SC','124242241212111431428814582122610123017',11540,'71',46.00,1,3,NULL),(25,6378790,'1993-11-24 00:00:00',2,1,12,2010,'F','N','ITUCURUBI','FLORIANÓPOLIS','SC','124241241127161431323336572224610122147',16487,'579',38.41,1,2,1),(25,6378803,'1990-02-25 00:00:00',2,1,12,2007,'F','N','CENTRO','ITUPORANGA','SC','124241241226133431537923575124130434142',14381,'414',39.73,1,3,NULL),(25,6378820,'1975-08-14 00:00:00',4,1,12,1993,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','224252051217111411348841315122330237112',14544,'9998',44.37,1,3,NULL),(25,6378838,'1991-09-26 00:00:00',4,7,11,2008,'M','N','CENTRO','PATO BRANCO','PR','116162161217572431556639271125610124047',1228,'9998',72.20,1,3,NULL),(25,6378854,'1992-04-30 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241243115372431458933575124610124187',13112,'1089',42.92,1,2,1),(25,6378862,'1992-02-20 00:00:00',2,1,7,2010,'M','N','ARIRIU DA FORMIGA','PALHOÇA','SC','124242247216151431556933575114230217042',NULL,'270',38.55,1,3,NULL),(25,6378870,'1993-02-14 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115131531323312572121610114142',NULL,'592',21.83,1,2,1),(25,6378889,'1993-10-13 00:00:00',2,2,11,2010,'M','N','VILA NOVA','BLUMENAU','SC','124241241115161731436414245124610112112',NULL,'79',17.85,1,3,NULL),(25,6378897,'1985-09-02 00:00:00',2,1,12,2003,'F','N','INGLESES','FLORIANÓPOLIS','SC','224241241217575721226644341234610133147',19774,'884',28.30,1,3,NULL),(25,6378900,'1993-06-09 00:00:00',4,10,11,2010,'F','N','NOSSA SRA DE FATIMA','BRAÇO NORTE','SC','124241241115261431546612345125610134147',NULL,'100',28.50,1,2,1),(25,6378919,'1984-05-21 00:00:00',4,1,12,2002,'M','N','SETOR SUL','ITUIUTABA','MG','113132131416151531228923285122341827057',18231,'9998',38.42,1,3,NULL),(25,6378927,'1992-11-10 00:00:00',4,8,11,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241216112411479814575122610134142',NULL,'457',25.48,1,3,NULL),(25,6378935,'1993-08-31 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111732246923575112610168197',9226,'1169',48.44,1,3,NULL),(25,6378943,'1992-10-23 00:00:00',4,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215112431468813432124610121142',15802,'270',37.48,1,3,NULL),(25,6378951,'1993-05-20 00:00:00',2,8,12,2010,'M','N','RIO DA LUZ','JARAGUÁ SUL','SC','124241242115111231536431475124610137051',15276,'24',38.07,1,2,1),(25,6378960,'1994-05-01 00:00:00',4,1,12,2010,'F','N','ROÇADO','S JOSÉ','SC','124241248116161711333321115124610117097',NULL,'729',22.06,1,2,1),(25,6378978,'1993-06-11 00:00:00',4,10,8,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124244241217111431567813576112610144196',9375,'806',48.47,1,3,NULL),(25,6378986,'1993-12-09 00:00:00',4,9,11,2010,'F','N','CORAL','LAGES','SC','124242248215111751556812375122610168187',14075,'1207',45.04,1,3,NULL),(25,6379001,'1990-02-09 00:00:00',4,1,11,2007,'F','N','JD NOVO HORIZONTE','MARINGÁ','PR','116162161215573751379813591124610164097',2426,'9998',65.37,1,3,NULL),(25,6379010,'1991-09-20 00:00:00',4,1,6,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242281215371441457732375111610164072',7511,'9998',53.66,1,3,NULL),(25,6379028,'1961-06-11 00:00:00',2,5,12,1977,'M','N','MORRO ESTEVÃO','CRICIÚMA','SC','224241241217152431363243335122521767063',3819,'424',63.77,1,3,NULL),(25,6379036,'1993-07-13 00:00:00',2,1,12,2010,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241115241431523314345124610122142',NULL,'592',0.00,1,2,1),(25,6379044,'1987-03-05 00:00:00',2,15,12,2006,'M','N','ZONA NOVA SUL','BAL ARROIO SILVA','SC','124241241126332721623459342323243254067',NULL,'854',0.00,2,1,1),(25,6379052,'1993-08-01 00:00:00',2,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244241215131411327411292124610124072',19500,'868',35.83,1,3,NULL),(25,6379060,'1992-07-29 00:00:00',2,6,11,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124202201215371431439911572315610134147',8696,'9998',50.03,1,3,NULL),(25,6379079,'1994-10-10 00:00:00',4,2,11,2011,'F','S','VELHA','BLUMENAU','SC','124243241111111431339833575122610136187',NULL,'88',52.84,1,3,NULL),(25,6379095,'1993-03-29 00:00:00',2,1,12,2010,'F','N','CACHOEIRA B JESUS','FLORIANÓPOLIS','SC','124241241117371721423511575124610118147',17874,'307',37.48,1,2,1),(25,6379109,'1993-08-13 00:00:00',4,1,12,2010,'M','N','VILA NOVA','IMBITUBA','SC','124242241215111431488723575125610127092',1027,'1022',73.32,1,3,NULL),(25,6379117,'1993-08-16 00:00:00',2,1,12,2010,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241215111751426621372214610167057',NULL,'269',0.00,1,3,NULL),(25,6379125,'1994-05-29 00:00:00',4,5,12,2011,'F','S','CENTRO','CRICIÚMA','SC','124242241215111431629619592122610164142',NULL,'210',36.28,1,3,NULL),(25,6379133,'1991-06-13 00:00:00',4,1,12,2009,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124243241416371431335531595112610167182',20465,'270',33.28,1,3,NULL),(25,6379141,'1992-09-12 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241137132731338923575124233222095',NULL,'307',0.00,1,2,1),(25,6379150,'1978-10-29 00:00:00',4,1,11,1996,'M','N','BALNEÁRIO DANIELA','FLORIANÓPOLIS','SC','124242248111143411248841411132331066052',NULL,'9997',0.00,1,3,NULL),(25,6379168,'1993-11-03 00:00:00',2,5,11,2010,'M','N','MICHEL','CRICIÚMA','SC','124242241215121431646612375112610137042',20180,'226',34.13,1,3,NULL),(25,6379176,'1994-03-24 00:00:00',4,1,11,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124242241217111431459813575124610138082',NULL,'951',19.35,4,3,NULL),(25,6379184,'1994-10-02 00:00:00',2,1,10,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','123242241217111131425719195114610112192',21378,'262',28.96,1,3,NULL),(25,6379206,'1992-03-13 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241212472431323332292124610164142',16316,'1078',36.58,1,3,NULL),(25,6379214,'1992-11-02 00:00:00',4,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124243246217131431438824572121610164042',13523,'1006',40.93,1,3,NULL),(25,6379222,'1993-10-06 00:00:00',2,3,12,2010,'M','N','MORUMBI','IA SOLTEIRA','SP','125253251116111221546611175122610117046',NULL,'9998',0.00,4,3,NULL),(25,6379230,'1992-02-11 00:00:00',4,1,12,2009,'F','N','CENTRO','CPO BOM','RS','120202201217471431336839576112610123147',4246,'9998',60.81,1,3,NULL),(25,6379249,'1992-01-15 00:00:00',4,10,12,2009,'M','N','STO ANTONIO DE PÁDUA','TUBARÃO','SC','124241241117371131446633375125610114011',12520,'1034',47.30,1,2,1),(25,6379257,'1991-02-08 00:00:00',4,3,12,2008,'M','N','SAO SILVESTRE','MARINGÁ','PR','116222221217571431359821572114610164047',2383,'9998',67.27,1,3,NULL),(25,6379265,'1994-05-14 00:00:00',2,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431447914375122610136112',19811,'226',35.12,1,3,NULL),(25,6379273,'1992-08-18 00:00:00',2,15,12,2009,'F','N','NOSSA SRA DAS GRAÇAS','CANOAS','RS','120202201211572431446839571125610126192',143,'9998',81.85,1,3,NULL),(25,6379281,'1990-03-09 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211152752226735394124233214075',NULL,'1035',0.00,3,3,NULL),(25,6379290,'1990-03-24 00:00:00',2,1,12,2007,'F','N','CENTRO','STA MARIA','RS','120201201147571431233329395125610134187',NULL,'9998',0.00,1,3,NULL),(25,6379303,'1989-05-21 00:00:00',2,1,12,2006,'F','N','ENCRUZILHADA','BIGUAÇU','SC','124241241134473421433411345124610133147',NULL,'65',21.70,1,2,1),(25,6379311,'1994-05-13 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431359814572112610142192',NULL,'737',20.67,1,3,NULL),(25,6379320,'1993-04-16 00:00:00',4,3,11,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241215121431466912275122610134182',12896,'1038',41.19,1,3,NULL),(25,6379338,'1991-06-08 00:00:00',5,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124161241117274431636611315114610166185',NULL,'288',42.11,1,2,1),(25,6379346,'1991-08-06 00:00:00',2,3,12,2008,'F','N','CENTRO','PARAGUAÇU PAULISTA','SP','125252251216471431646632575114610162047',NULL,'9998',0.00,1,3,NULL),(25,6379354,'1992-12-06 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244247235272431546767575122610121072',10480,'9999',50.50,4,3,NULL),(25,6379370,'1993-06-22 00:00:00',2,1,12,2010,'M','N','MARECHAL RONDON','CANOAS','RS','120202201217371411378934575112610127042',11605,'9998',45.08,1,3,NULL),(25,6379389,'1994-09-23 00:00:00',4,2,11,2011,'F','S','DAS NAÇÕES','TIMBÓ','SC','124241241215111531447832275112610123186',NULL,'1157',20.14,1,3,NULL),(25,6379397,'1992-11-30 00:00:00',4,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124241241215121431445511575124610146142',NULL,'87',0.00,1,3,NULL),(25,6379400,'1992-04-10 00:00:00',4,1,12,2008,'M','N','CENTRO','GLÓRIA DOURADOS','MS','112123121216572441479933575124610132097',1350,'9998',71.55,1,3,NULL),(25,6379427,'1989-09-20 00:00:00',4,1,12,2006,'M','N','IPIRANGA','S JOSÉ','SC','124244241116413421348723345124120764062',7291,'734',54.57,2,1,2),(25,6379435,'1993-05-28 00:00:00',4,8,12,2010,'M','N','CENTRO','FOZ IGUAÇU','PR','116162161235111431436611475122610167062',1911,'9998',68.82,3,3,NULL),(25,6379443,'1984-10-02 00:00:00',4,1,1,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244247116152431469413472122130222042',16848,'9999',40.87,1,3,NULL),(25,6379460,'1993-05-29 00:00:00',4,17,12,2010,'M','N','CENTRO','IRINEÓPOLIS','SC','124241241215111731548812394114610124187',10288,'633',46.19,1,3,NULL),(25,6379478,'1992-03-01 00:00:00',2,1,12,2009,'F','N','ARIRIÚ','PALHOÇA','SC','124241241112332331223329441124610146077',NULL,'772',26.50,1,2,1),(25,6379486,'1991-05-09 00:00:00',2,10,12,2008,'F','N','PASSO DO GADO','TUBARÃO','SC','124241241112273421536513575124610168057',12033,'1034',44.94,1,2,1),(25,6379494,'1958-06-01 00:00:00',4,8,12,1975,'F','N','CENTRO','S JOSÉ PINHAIS','PR','116161164116131421335629485124341562187',NULL,'9998',0.00,1,2,1),(25,6379508,'1992-05-27 00:00:00',2,4,12,2009,'F','N','NOVELO','MARIÓPOLIS','PR','116161161116132431323833575124610122142',9362,'9998',49.54,1,2,1),(25,6379516,'1993-08-16 00:00:00',2,8,11,2010,'M','N','SEMENÁRIO','CORUPÁ','SC','124241246216171751336633575124610131187',14511,'1061',39.89,1,3,NULL),(25,6379524,'1990-04-04 00:00:00',4,8,12,2007,'M','N','MERCES','CURITIBA','PR','116242161216572431358811572115610166142',2340,'9997',65.59,1,3,NULL),(25,6379532,'1994-02-22 00:00:00',2,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124241241115371531425531575224610112192',19198,'734',31.70,1,2,1),(25,6379540,'1986-02-14 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241212575231288811593124610137115',11935,'270',48.27,4,3,NULL),(25,6379559,'1991-03-07 00:00:00',4,1,12,2008,'F','N','PALMAS','GOV CELSO RAMOS','SC','124241241316223711423614381124610131117',14252,'1118',40.38,1,3,NULL),(25,6379567,'1992-09-16 00:00:00',4,1,12,2009,'M','N','ALTO TARUMÃ','PINHAIS','PR','116163161117471231368613575114610137047',5357,'9998',56.97,1,3,NULL),(25,6379575,'1991-11-05 00:00:00',4,8,12,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242248235472431578814571122610112012',4328,'1063',60.69,1,3,NULL),(25,6379583,'1993-06-17 00:00:00',2,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215111121279814575124610167041',NULL,'1022',22.17,1,3,NULL),(25,6379591,'1990-03-10 00:00:00',2,4,12,2007,'F','N','CENTRO','XANXERÊ','SC','124242241216575421456632572122610123142',NULL,'836',47.00,1,3,NULL),(25,6379605,'1992-09-23 00:00:00',4,1,11,2009,'F','N','JARDIM ALEXANDER','RIO SUL','SC','124242241215573431469911385124610164072',8902,'991',53.23,4,3,NULL),(25,6379613,'1994-03-15 00:00:00',2,7,11,2010,'M','N','SANTA MONICA','FRAIBURGO','SC','124244241211111231438812575124610167177',12231,'885',43.89,1,3,NULL),(25,6379621,'1994-02-23 00:00:00',4,7,11,2011,'F','S','FLOR DA SERRA','JOAÇABA','SC','124244241415111431355612575112610124182',NULL,'446',52.91,1,3,NULL),(25,6379630,'1990-03-15 00:00:00',2,1,6,2009,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124242241416131731226624345124610124047',NULL,'9999',14.00,1,3,NULL),(25,6379648,'1993-08-21 00:00:00',4,9,12,2010,'M','N','BEATRIZ','LAGES','SC','124244241215111432668713575122610137187',NULL,'1065',31.95,1,3,NULL),(25,6379656,'1987-02-12 00:00:00',4,3,12,2004,'M','N','CENTRO','ASSAÍ','PR','116161161217571751648816582224143268197',294,'9998',79.77,3,3,NULL),(25,6379672,'1993-01-21 00:00:00',4,1,12,2010,'M','N','ALTO ARIRIU','PALHOÇA','SC','124241248217111531335919576124610137043',NULL,'1014',26.64,1,3,NULL),(25,6379680,'1993-02-24 00:00:00',2,4,11,2010,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124243241215131431537914385122610127147',NULL,'1021',19.82,4,3,NULL),(25,6379699,'1990-02-09 00:00:00',4,1,12,2007,'F','N','CENTRO','PALHOÇA','SC','124242241216153431468914275124610126142',10483,'1075',46.49,1,3,NULL),(25,6379702,'1994-02-28 00:00:00',4,1,10,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111531478834575112610164075',NULL,'1169',22.52,1,3,NULL),(25,6379710,'1991-06-22 00:00:00',2,1,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','216241241116571711263354192112610161146',18911,'65',37.10,1,2,1),(25,6379729,'1991-04-09 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242248216152431467823435122130824117',NULL,'1022',21.80,1,3,NULL),(25,6379737,'1992-08-30 00:00:00',2,6,12,2010,'F','N','SÃO VICENTE','ITAJAÍ','SC','124241241215111431536619571124610132147',NULL,'388',15.37,4,3,NULL),(25,6379745,'1990-06-19 00:00:00',4,1,12,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215132131343824595124233227044',NULL,'1118',26.67,1,3,NULL),(25,6379753,'1993-07-01 00:00:00',2,17,12,2010,'F','N','CENTRO','MAFRA','SC','124242241215111211546824475122610163142',18585,'541',32.85,1,3,NULL),(25,6379761,'1991-12-23 00:00:00',4,1,12,2009,'F','N','SOUSAS','CAMPINAS','SP','125252251215471431349923575112610143057',NULL,'9998',0.00,1,3,NULL),(25,6379770,'1990-10-16 00:00:00',4,9,11,2008,'M','N','SÃO CRISTÓVÃO','LAGES','SC','124241241136151411423319295121610162052',NULL,'9997',32.71,1,2,1),(25,6379788,'1992-04-28 00:00:00',2,8,12,2010,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215111431538514475222610132052',NULL,'456',41.79,4,3,NULL),(25,6379796,'1993-04-26 00:00:00',4,1,11,2010,'F','N','CRUZEIRO','STA ROSA','RS','120202201217111431459814476122610133142',NULL,'9998',41.94,1,3,NULL),(25,6379800,'1990-01-09 00:00:00',4,1,12,2008,'M','N','UBERABA','CURITIBA','PR','116161161135572431423511575122610166182',7060,'9998',53.22,1,2,1),(25,6379818,'1991-02-13 00:00:00',4,1,11,2008,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124162161215472431458834375112140634091',5394,'9998',56.42,1,3,NULL),(25,6379826,'1993-12-13 00:00:00',4,1,11,2010,'M','N','ALTO DA BOA VISTA','CAMPOS JORDÃO','SP','113252131216371531469811415122610167044',NULL,'9998',0.00,1,3,NULL),(25,6379834,'1995-02-01 00:00:00',2,1,12,2010,'F','N','JARDIM EUCALIPTUS','PALHOÇA','SC','124241241215111431536332574122610133182',9218,'1011',49.42,1,3,NULL),(25,6379842,'1993-09-22 00:00:00',2,1,12,2010,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124242241217111131323723292112610113072',NULL,'1175',15.53,1,3,NULL),(25,6379850,'1981-12-01 00:00:00',4,1,12,1999,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124244241211275411227841412141120922037',NULL,'260',0.00,4,3,NULL),(25,6379869,'1993-05-13 00:00:00',2,16,12,2010,'M','N','NUCLEO TRITICOLA','FR ROGÉRIO','SC','124241241133371431323314372224610127142',NULL,'320',16.24,1,2,1),(25,6379877,'1995-04-12 00:00:00',2,1,12,2012,'M','S','PRAIA COMPRIDA','S JOSÉ','SC','124242241217151731363639175112610127072',NULL,'1077',40.95,1,3,NULL),(25,6379885,'1993-06-23 00:00:00',4,7,11,2010,'M','N','CENTRO','JOAÇABA','SC','124242241215271431448632592112610147042',15278,'446',43.28,1,3,NULL),(25,6379893,'1992-05-18 00:00:00',4,8,12,2009,'F','N','BOA VISTA','CURITIBA','PR','116162161215571711559819575124610138183',8237,'9998',51.12,1,3,NULL),(25,6379907,'1993-07-19 00:00:00',4,8,12,2010,'F','N','CENTRO','CURITIBA','PR','116163161417121451227621275114610167047',13972,'9998',40.40,1,3,NULL),(25,6379915,'1993-10-24 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241216131741433319395125610138182',17526,'1076',33.94,1,3,NULL),(25,6379923,'1992-06-04 00:00:00',2,2,12,2009,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124052051216371431226724591114610114147',6395,'9998',57.96,4,3,NULL),(25,6379931,'1993-03-22 00:00:00',2,1,11,2010,'F','N','SETOR CASTELO BRANCO','GOIÂNIA','GO','109092091235111232433512575122610133076',NULL,'9998',0.00,4,3,NULL),(25,6379940,'1993-06-28 00:00:00',2,1,10,2010,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242244412111331621213592224610116173',NULL,'723',16.46,1,3,NULL),(25,6379958,'1992-03-22 00:00:00',2,1,11,2009,'F','N','JARDIM SANTA RITA','INDAIATUBA','SP','125252258216471721328614575122610161097',20632,'9998',32.63,1,3,NULL),(25,6379966,'1993-10-09 00:00:00',2,1,12,2010,'F','N','CENTRO','S LUDGERO','SC','124242241215122431458832575112610165141',NULL,'226',0.00,1,3,NULL),(25,6379990,'1994-02-17 00:00:00',4,8,11,2011,'F','S','AMÉRICA','JOINVILLE','SC','124243241215111411336334575112610137185',NULL,'9997',35.03,1,3,NULL),(25,6380018,'1994-06-25 00:00:00',2,1,11,2010,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124242241217111431349931572122610124092',9766,'9997',51.76,1,3,NULL),(25,6380026,'1991-05-27 00:00:00',4,1,11,2008,'F','N','PERDIZES','S PAULO','SP','125252251217571431489911572112610143197',NULL,'9998',0.00,1,3,NULL),(25,6380034,'1994-04-29 00:00:00',5,6,12,2009,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215161221447664575122610117122',16990,'109',40.64,1,3,NULL),(25,6380042,'1991-04-02 00:00:00',2,7,12,2008,'M','N','PARQUE JARDIM OURO','OURO','SC','124241241116151431426511342124131225142',NULL,'156',15.15,1,3,NULL),(25,6380050,'1993-10-22 00:00:00',4,5,11,2010,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215121531559839575124610127122',NULL,'995',36.15,1,3,NULL),(25,6380069,'1988-01-19 00:00:00',4,1,10,2005,'M','N','VÁRZEA','LAGES','SC','124242241111152231469932311314130264012',NULL,'498',0.00,1,3,NULL),(25,6380077,'1994-10-26 00:00:00',4,1,12,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241217111732569713492112610127045',15740,'270',42.54,1,3,NULL),(25,6380085,'1994-08-20 00:00:00',2,10,12,2010,'M','N','VILA NOVA','IMBITUBA','SC','124202241215111431438821272324610127042',NULL,'362',28.89,1,3,NULL),(25,6380093,'1956-10-14 00:00:00',3,1,12,1978,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241122135721226643335134122267067',NULL,'307',8.77,1,3,NULL),(25,6380107,'1985-09-18 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242247411134431128813385124222344042',11612,'9999',48.74,2,1,2),(25,6380115,'1989-11-12 00:00:00',2,1,12,2007,'M','N','JD NOVO C ELISEOS','CAMPINAS','SP','125251251117131431324319495344610142042',20097,'9998',34.32,1,2,1),(25,6380123,'1991-11-30 00:00:00',4,1,12,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241117471431526714375124610118172',16615,'281',38.34,1,2,1),(25,6380131,'1990-10-22 00:00:00',4,5,11,2007,'F','N','CENTRO','COCAL SUL','SC','124242241216554431459712472122610143147',13497,'213',41.17,1,3,NULL),(25,6380140,'1989-11-18 00:00:00',2,1,12,2007,'M','N','ROÇADO','S JOSÉ','SC','124242241111273411346313435112131317042',14915,'724',43.81,1,3,NULL),(25,6380158,'1988-05-26 00:00:00',2,1,12,2005,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215575431338729571122610163097',10178,'262',46.29,4,3,NULL),(25,6380166,'1972-11-26 00:00:00',2,1,9,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624243247116161421331154192124610126147',20920,'9999',31.41,1,3,NULL),(25,6380174,'1993-05-13 00:00:00',4,3,12,2010,'F','N','PAULICEIA','PIRACICABA','SP','125252251215121731347412571112610143187',NULL,'9998',0.00,1,3,NULL),(25,6380182,'1990-02-10 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201126141731114444445114130227047',NULL,'9998',0.00,1,2,1),(25,6380190,'1976-07-26 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224241248637132431423351282324610126145',NULL,'9999',10.68,4,3,NULL),(25,6380204,'1992-08-30 00:00:00',2,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124241242117372731558829375124610138097',15876,'129',37.41,1,2,1),(25,6380212,'1994-03-03 00:00:00',2,1,11,2011,'M','S','CAMPINAS','S JOSÉ','SC','124242241215111731448633575124610137057',NULL,'737',24.64,1,3,NULL),(25,6380220,'1984-02-22 00:00:00',2,1,11,2002,'M','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124243241211112431126841311313121968187',14203,'959',44.86,1,3,NULL),(25,6380239,'1992-08-31 00:00:00',2,1,7,2010,'M','N','VILA MARIANA','S PAULO','SP','125242241216112431369914575124610117041',14923,'262',40.02,1,3,NULL),(25,6380247,'1993-05-25 00:00:00',1,4,12,2010,'M','N','INTERIOR','MONDAÍ','SC','124241241146131432523315152324610118187',12218,'564',43.53,1,2,1),(25,6380255,'1989-01-03 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124251241146573451536432325122233238062',11580,'712',48.78,4,2,1),(25,6380271,'1990-01-08 00:00:00',2,1,12,2008,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124221241112271211118643335334610122012',NULL,'307',0.00,1,3,NULL),(25,6380280,'1993-04-19 00:00:00',4,8,12,2010,'M','N','CENTRO','TAPEJARA','PR','116164161217111431458632575112610167047',6334,'9998',54.87,1,3,NULL),(25,6380298,'1992-04-05 00:00:00',2,1,12,2008,'F','N','NOVA CIDADE','CASCAVEL','PR','116161161215571431357719385122142416141',NULL,'9998',0.00,1,3,NULL),(25,6380301,'1988-12-27 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241235132731434629115133123228057',NULL,'266',19.71,1,3,NULL),(25,6380310,'1994-08-11 00:00:00',4,5,11,2011,'F','S','QUARTA LINHA','CRICIÚMA','SC','124242241215371731458932375124610135172',NULL,'226',54.91,1,3,NULL),(25,6380336,'1989-06-19 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241225372431623334245124131325157',NULL,'262',33.15,1,3,NULL),(25,6380344,'1992-04-09 00:00:00',4,8,12,2009,'F','N','BOA VISTA','CURITIBA','PR','116162161215571412559714575114610124017',862,'9998',73.79,1,3,NULL),(25,6380360,'1992-08-28 00:00:00',4,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161216472431589911575122610126146',2230,'9998',67.42,1,3,NULL),(25,6380379,'1982-05-30 00:00:00',2,4,12,2000,'M','N','CENTRO','S MIGUEL OESTE','SC','124241241415575441128843435231333222022',NULL,'32',0.00,4,3,NULL),(25,6380409,'1992-03-10 00:00:00',2,1,12,2008,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241116272731354613385114610137092',18689,'288',37.57,1,2,1),(25,6380417,'1993-11-19 00:00:00',2,4,12,2010,'F','N','CENTRO','STA MARIA','RS','120241201317111721526931595125610157047',13637,'9998',41.01,1,3,NULL),(25,6380433,'1993-08-25 00:00:00',4,1,12,2010,'M','N','VILA ISABEL','CURITIBA','PR','116164161215151431348824575111610164112',11026,'9998',46.19,1,3,NULL),(25,6380441,'1991-09-24 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241115342711336621245124610112142',9181,'288',52.72,1,2,1),(25,6380450,'1993-04-17 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124161241145131431521244246324610114147',NULL,'289',0.00,1,2,1),(25,6380468,'1989-07-26 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241126131431523314345113610127065',NULL,'287',17.44,1,2,1),(25,6380476,'1991-12-10 00:00:00',4,2,11,2009,'F','N','VISTA ALEGRE','CURITIBA','PR','116162161215471431439811575112610134076',3180,'9998',63.47,1,3,NULL),(25,6380492,'1990-03-31 00:00:00',4,8,12,2007,'F','N','RIO CERRO II','JARAGUÁ SUL','SC','124242241216113431669714575124232462147',3712,'1016',61.89,1,3,NULL),(25,6380506,'1991-01-19 00:00:00',4,1,12,2008,'M','N','MAUÁ','NOVO HAMBURGO','RS','120202201211371121467722572122240214043',NULL,'9998',33.74,1,3,NULL),(25,6380522,'1994-07-08 00:00:00',2,8,10,2011,'M','S','SAGUAÇU','JOINVILLE','SC','124242241215111631458833472122610117042',NULL,'457',0.00,1,3,NULL),(25,6380549,'1985-07-02 00:00:00',4,4,12,2001,'F','N','MORADA DO SOL','MARAVILHA','SC','124241241137372451523811495125333218157',17835,'552',39.17,1,3,NULL),(25,6380557,'1992-09-03 00:00:00',4,3,12,2009,'F','N','CENTRO','CAMBÉ','PR','116162161217241431239929572124241334147',6378,'9998',53.22,1,3,NULL),(25,6380565,'1991-09-08 00:00:00',4,15,12,2008,'M','N','GAVEA','JACINTO MACHADO','SC','124242241214273711469914442124231464171',8734,'970',53.54,1,3,NULL),(25,6380573,'1993-03-31 00:00:00',4,16,12,2010,'F','N','CENTRO','CAÇADOR','SC','124242241215161431358614475122610123182',NULL,'1124',0.00,1,3,NULL),(25,6380581,'1989-10-22 00:00:00',4,1,11,2007,'M','N','REPUBLICA','S PAULO','SP','125252251217572431468833575115610167047',NULL,'9998',0.00,4,3,NULL),(25,6380590,'1993-09-29 00:00:00',2,4,11,2010,'F','N','CENTRO','GUAÍRA','PR','116161161217161741356422575122610164147',NULL,'9998',25.66,1,3,NULL),(25,6380611,'1991-08-26 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216153431459813492114231427082',18338,'1133',38.22,4,3,NULL),(25,6380620,'1993-04-06 00:00:00',2,2,11,2010,'M','N','RIBEIRÃO DAS PEDRAS','INDAIAL','SC','124242241215111431347632572124610146172',NULL,'855',0.00,1,3,NULL),(25,6380638,'1988-06-13 00:00:00',2,1,12,2005,'F','N','JARDIM SANTA BARBARA','STO ANTÔNIO PLATINA','PR','116161161116111441422623375225610127052',16012,'9998',36.06,1,2,1),(25,6380646,'1993-04-14 00:00:00',4,1,12,2010,'M','N','BELA VISTA','PTO ALEGRE','RS','120202201417371431439831371121610141112',10356,'9998',47.30,1,3,NULL),(25,6380662,'1992-02-14 00:00:00',4,1,12,2010,'F','N','ARIRIU','PALHOÇA','SC','124241241225111751523434474234610117142',21504,'262',27.88,1,3,NULL),(25,6380670,'1988-05-14 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241117133431338729342124121437167',13249,'306',46.28,1,3,NULL),(25,6380689,'1993-10-25 00:00:00',4,2,12,2010,'F','N','CENTRO','BLUMENAU','SC','124244241417111431434612575122610124177',NULL,'88',32.06,1,3,NULL),(25,6380697,'1993-01-11 00:00:00',4,1,12,2010,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124241241215111231433329295122610114042',NULL,'1119',34.45,1,3,NULL),(25,6380700,'1992-02-01 00:00:00',4,8,12,2010,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116162161211111431488812471122610167092',6191,'9998',58.34,1,3,NULL),(25,6380727,'1992-11-16 00:00:00',4,1,12,2010,'M','N','VALE DAS ARAUCÁRIAS','LONDRINA','PR','116162161217111232488932575122610167062',12209,'9998',43.16,1,3,NULL),(25,6380743,'1991-09-24 00:00:00',4,1,12,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243247337151751335614241124610165186',NULL,'9999',0.00,1,3,NULL),(25,6380751,'1989-01-28 00:00:00',4,15,12,2006,'M','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120202201217571431589811475112143227112',10155,'9998',47.48,1,3,NULL),(25,6380760,'1992-04-29 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217472431459923575114610161015',12725,'262',42.15,1,3,NULL),(25,6380778,'1988-09-28 00:00:00',4,1,12,2005,'M','N','CENTRO','CURITIBA','PR','116162161215571711447712375125141164067',NULL,'9998',0.00,3,3,NULL),(25,6380786,'1993-10-13 00:00:00',2,1,12,2010,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241116371431426334575124610123142',NULL,'288',23.26,1,2,1),(25,6380794,'1993-06-10 00:00:00',2,10,12,2010,'F','N','SANTA APOLONIA','SANGÃO','SC','124241241145141431433311342124610121147',NULL,'685',19.31,1,2,1),(25,6380808,'1993-05-14 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241337111431428821596112610117147',NULL,'1022',23.64,1,3,NULL),(25,6380816,'1993-05-26 00:00:00',4,1,12,2010,'F','N','CENTRO','TAPEJARA','RS','120204201216371431238622575124610144072',11972,'9998',48.20,1,3,NULL),(25,6380824,'1986-11-16 00:00:00',4,1,12,2002,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241432472421333623445124610124147',21354,'1036',29.13,1,3,NULL),(25,6380832,'1987-07-18 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216142431268827185122332035047',19096,'266',36.76,1,3,NULL),(25,6380859,'1992-11-06 00:00:00',4,1,12,2009,'F','N','INTERLAGOS','S PAULO','SP','125252251217471431468734475112610125073',11430,'9998',44.62,1,3,NULL),(25,6380867,'1990-07-05 00:00:00',4,10,12,2007,'M','N','HUMAITÁ','TUBARÃO','SC','124244241215372431468813575112120764172',1490,'806',71.07,1,3,NULL),(25,6380875,'1994-02-26 00:00:00',4,1,2,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431468833475125610134042',8054,'270',54.76,1,3,NULL),(25,6380883,'1988-05-14 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217143711628811472114140636075',NULL,'988',28.39,1,3,NULL),(25,6380891,'1991-10-03 00:00:00',4,1,12,2008,'M','N','PARTENON','PTO ALEGRE','RS','120204201417471751548871575114610122047',9231,'9998',46.81,1,3,NULL),(25,6380905,'1984-11-27 00:00:00',2,1,6,2002,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124203203246152421436631345122130217047',12654,'9998',44.10,1,3,NULL),(25,6380921,'1992-12-20 00:00:00',4,4,12,2010,'M','N','CENTRO','CONCÓRDIA','SC','124241246215131431544312595124610124187',14984,'1001',41.04,1,3,NULL),(25,6380930,'1990-12-06 00:00:00',4,1,12,2008,'M','N','GIRARDELLI','MTE ALEGRE SUL','SP','125252251217571751468819595312610124043',NULL,'9998',0.00,1,3,NULL),(25,6380948,'1993-04-08 00:00:00',2,1,12,2010,'F','N','PONTAL','PALHOÇA','SC','124241241127131431424621343314610166187',20535,'594',27.20,1,2,1),(25,6380956,'1993-03-19 00:00:00',4,8,12,2010,'M','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241211111231458813595112610112042',NULL,'441',19.97,1,3,NULL),(25,6380964,'1993-02-09 00:00:00',4,1,12,2010,'M','N','CAMPO GRANDE','SANTOS','SP','125252251217111331446822575121610134042',17573,'9998',33.82,1,3,NULL),(25,6380972,'1991-09-22 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241125131412623314246324610116147',NULL,'289',0.00,1,2,1),(25,6380999,'1992-10-12 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216142431237824245124231037027',15468,'270',42.94,1,3,NULL),(25,6381006,'1991-12-30 00:00:00',4,5,12,2008,'F','N','RIO BRANCO','PTO ALEGRE','RS','120202201217571531389911571125610134197',NULL,'9998',0.00,1,3,NULL),(25,6381014,'1989-09-11 00:00:00',2,1,12,2006,'F','N','CENTRO','TIJUCAS','SC','124161161116374731124844245125610162147',NULL,'9998',38.25,1,2,1),(25,6381022,'1993-07-01 00:00:00',4,1,11,2010,'M','N','SÃO BRAZ','CURITIBA','PR','116162161217121231558834572112610137057',7109,'9998',52.52,1,3,NULL),(25,6381030,'1993-09-14 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215121431459614585112610113182',NULL,'738',27.79,1,3,NULL),(25,6381049,'1983-08-05 00:00:00',2,1,12,2001,'M','N','COLONINHA','FLORIANÓPOLIS','SC','224241241116133431244543335112130247092',NULL,'727',0.00,4,1,1),(25,6381057,'1984-10-03 00:00:00',2,3,12,2004,'M','N','CENTRO','CAMBORIÚ','SC','124241241146161431323335355121610147182',21788,'255',21.52,1,3,NULL),(25,6381065,'1992-12-15 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241115111431318821342124610137052',NULL,'1134',0.00,4,1,2),(25,6381073,'1988-03-18 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241316115411668933595125430217091',NULL,'9997',0.00,1,3,NULL),(25,6381081,'1993-10-22 00:00:00',2,1,11,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244248215141331435624245224610125072',NULL,'1010',35.93,1,3,NULL),(25,6381103,'1992-06-30 00:00:00',4,3,12,2009,'F','N','CENTRO','CAMBÉ','PR','116162161217471431336923574122610164077',5316,'9998',57.22,1,3,NULL),(25,6381111,'1993-10-29 00:00:00',2,4,11,2010,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242248216111751435829572114610168012',NULL,'270',38.45,1,3,NULL),(25,6381120,'1989-04-27 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','624241247144131421226579495324610126077',19769,'9999',35.21,1,2,1),(25,6381146,'1993-05-15 00:00:00',2,3,12,2010,'M','N','CENTRO','CAMBORIÚ','SC','124242241215121431236932572114610124147',16267,'392',35.86,1,3,NULL),(25,6381154,'1989-03-03 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124202201217152441423629495124221764187',5759,'9998',59.23,1,3,NULL),(25,6381162,'1992-03-24 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215472431539839592122610128092',NULL,'226',0.00,1,3,NULL),(25,6381170,'1988-06-18 00:00:00',4,1,9,2006,'M','N','PINHEIROS','S PAULO','SP','125251251116131411458713295134242132047',NULL,'9998',28.86,1,2,1),(25,6381189,'1991-04-12 00:00:00',4,8,11,2008,'F','N','CENTRO','PALOTINA','PR','116162161217371431446836572124242664147',16211,'9998',41.83,1,3,NULL),(25,6381197,'1989-04-21 00:00:00',4,3,12,2006,'M','N','CANTO DA PRAIA','ITAPEMA','SC','124241241115132431345519245121131422187',7244,'405',52.54,1,2,1),(25,6381200,'1993-05-26 00:00:00',4,9,11,2010,'F','N','CENTRO','CPO BELO SUL','SC','124244241215111411469911412114610122197',17960,'497',38.92,1,3,NULL),(25,6381219,'1991-12-23 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215152441349913571124221437062',NULL,'266',0.00,1,3,NULL),(25,6381227,'1987-05-04 00:00:00',2,3,12,2004,'M','N','TUCURUVI','S PAULO','SP','125252251216573751427769495135610165142',NULL,'9998',39.20,1,3,NULL),(25,6381243,'1993-05-11 00:00:00',2,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112311466633575124610167042',NULL,'1022',39.67,1,3,NULL),(25,6381251,'1983-11-20 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201201216372431379813425122221417012',NULL,'9998',0.00,1,3,NULL),(25,6381260,'1993-07-06 00:00:00',4,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241215132431436313282124610127032',14425,'1075',39.18,4,3,NULL),(25,6381278,'1994-03-19 00:00:00',4,3,11,2010,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124242241215111431169711275115610136192',NULL,'9997',0.00,1,3,NULL),(25,6381286,'1990-09-13 00:00:00',5,1,12,2007,'F','N','PONTE ALTA','APARECIDA','SP','125252251216571131338821575322610166171',NULL,'9998',0.00,1,3,NULL),(25,6381308,'1993-11-05 00:00:00',4,4,12,2010,'F','N','JARDIM UNIVERSITARIO','MARINGÁ','PR','116222161216121431456812575122610123142',8546,'9998',49.30,1,3,NULL),(25,6381316,'1993-05-14 00:00:00',4,8,11,2010,'M','N','JARDIM SOCIAL','CURITIBA','PR','116162161215121431458934573112610167043',NULL,'9998',0.00,1,3,NULL),(25,6381324,'1991-12-17 00:00:00',2,1,12,2010,'M','N','NOVA ESPERANÇA','BAL CAMBORIÚ','SC','124161241116111431535571215122610117182',NULL,'1087',0.00,1,2,1),(25,6381332,'1991-10-05 00:00:00',4,1,12,2009,'M','N','BOQUEIRÃO','SANTOS','SP','125252251217471421588831345121610127047',15779,'9997',42.47,1,3,NULL),(25,6381340,'1993-12-16 00:00:00',4,4,11,2010,'M','N','CENTRO','BARRACÃO','PR','116163161216111431548611495125610127067',1903,'9998',68.47,1,3,NULL),(25,6381359,'1985-06-15 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126143711123411435124320626092',6370,'524',58.01,1,3,NULL),(25,6381367,'1991-05-23 00:00:00',4,1,7,2009,'M','N','JARDIM PALMEIRAS','CAMPINAS','SP','125252251616371431458829482122610162043',NULL,'9998',0.00,1,3,NULL),(25,6381375,'1993-10-26 00:00:00',4,3,12,2010,'M','N','CENTRO','ROLÂNDIA','PR','116162161215111431568813575121610167057',6440,'9998',54.73,1,3,NULL),(25,6381383,'1990-12-02 00:00:00',2,1,12,2008,'F','N','PIRAPÓ','APUCARANA','PR','116162161215472751436832572124241022092',9770,'9998',46.55,1,3,NULL),(25,6381405,'1992-12-28 00:00:00',2,3,12,2009,'M','N','ÁGUA VERDE','CURITIBA','PR','116161161115471731358839372124610162147',1685,'9998',70.01,1,2,1),(25,6381413,'1992-05-06 00:00:00',2,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215272711238869375124221763012',5917,'1022',56.25,1,3,NULL),(25,6381421,'1991-05-06 00:00:00',2,5,12,2007,'F','N','CENTRO','GRAMADO','RS','120204201216572411346639595125610134092',4265,'9998',59.24,1,3,NULL),(25,6381430,'1992-07-22 00:00:00',2,2,12,2010,'M','N','BELA VISTA','IBIRAMA','SC','124243241147141432523129245121610125197',NULL,'348',31.88,1,3,NULL),(25,6381448,'1994-09-02 00:00:00',4,1,12,2011,'M','S','CAMPINAS','S JOSÉ','SC','124242241215111431468912245114610134142',NULL,'737',49.68,1,3,NULL),(25,6381456,'1993-10-28 00:00:00',4,8,11,2010,'F','N','CAJURU','CURITIBA','PR','116161161215471431558611575122610132187',18780,'9998',31.49,1,3,NULL),(25,6381464,'1993-12-01 00:00:00',4,3,12,2010,'M','N','VILA LIANE','PNT GROSSA','PR','116162161217121431368833575112610137092',12387,'9998',42.72,1,3,NULL),(25,6381480,'1992-04-08 00:00:00',2,4,11,2009,'F','N','CENTRO','PLANALTO ALEGRE','SC','124241241215272411436634575124610145122',8976,'1191',48.31,1,3,NULL),(25,6381499,'1993-06-28 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111431356769575122610168192',8270,'272',50.44,1,3,NULL),(25,6381502,'1990-03-20 00:00:00',4,4,12,2007,'F','N','SANTA CRUZ','GUARAPUAVA','PR','116162161216572431559833592112610122127',1572,'9998',68.92,1,3,NULL),(25,6381529,'1991-09-29 00:00:00',2,17,12,2009,'F','N','JARDIM ESPERANÇA','CANOINHAS','SC','124241241125311431526614345123610144142',20856,'153',31.70,1,2,1),(25,6381545,'1986-07-14 00:00:00',2,8,11,2003,'F','N','ORLEANS','CURITIBA','PR','116161161115572751425631482124610126047',2324,'9998',66.21,1,2,1),(25,6381553,'1989-09-27 00:00:00',4,7,12,2006,'F','N','CENTRO','FRAIBURGO','SC','124242241217141411539679335124231018097',17800,'317',39.23,1,3,NULL),(25,6381561,'1994-03-04 00:00:00',4,5,12,2010,'F','N','MONTE VERDE','MRO FUMAÇA','SC','124242246417271431549912325122610137122',14559,'995',39.68,1,3,NULL),(25,6381570,'1987-12-08 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215375431339819492124120364012',6076,'270',58.56,1,3,NULL),(25,6381588,'1984-03-11 00:00:00',2,1,8,2002,'M','N','JURERÊ','FLORIANÓPOLIS','SC','224241246132134421226941215123322367047',NULL,'306',0.00,1,2,1),(25,6381600,'1990-05-21 00:00:00',2,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124161167135271441533923215121610166177',10479,'9998',50.51,1,2,1),(25,6381618,'1991-01-16 00:00:00',4,5,12,2007,'M','N','AREAL','PELOTAS','RS','120202201217571431469913575112141424137',11627,'9998',44.34,1,3,NULL),(25,6381626,'1994-02-24 00:00:00',4,2,11,2011,'F','S','VORSTADT','BLUMENAU','SC','124242241215111331568831575122610132182',NULL,'909',41.96,1,3,NULL),(25,6381634,'1993-01-22 00:00:00',2,10,11,2010,'M','N','OFICINAS','TUBARÃO','SC','124243241215121211447412375125610137042',NULL,'807',42.75,1,3,NULL),(25,6381642,'1992-12-29 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215121431259833135112610122152',16044,'1022',42.06,1,3,NULL),(25,6381669,'1993-09-08 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241317151431224624575114610143067',NULL,'288',0.00,1,3,NULL),(25,6381677,'1988-04-12 00:00:00',2,1,12,2005,'F','N','SERTAO DO IMARUIM','S JOSÉ','SC','124241241126134421225343235334610114077',16002,'307',42.14,1,2,1),(25,6381685,'1993-08-24 00:00:00',4,1,11,2010,'M','N','CENTRO','LINHARES','ES','108082081216121411359733575125610164092',NULL,'9998',0.00,1,3,NULL),(25,6381693,'1992-03-13 00:00:00',4,8,12,2009,'F','N','JARDIM BENITENDE','FRANCO ROCHA','SP','125253251116271441446634375125610121077',3244,'9998',63.47,1,3,NULL),(25,6381707,'1993-05-25 00:00:00',2,7,12,2010,'M','N','INTERIOR','RIO ANTAS','SC','124241242117131411328933575224610167057',19623,'831',35.51,1,3,NULL),(25,6381715,'1992-07-16 00:00:00',2,1,12,2009,'F','N','CENTRO','STA CRUZ MTE CASTELO','PR','116161161115471431326633572125610164097',15105,'9998',38.45,1,2,1),(25,6381723,'1991-01-25 00:00:00',2,1,6,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243247311272431426619575124610125012',20124,'9999',34.25,1,3,NULL),(25,6381731,'1992-09-23 00:00:00',4,8,11,2009,'M','N','SANTA QUITÉRIA','CURITIBA','PR','116162161217472412569833574112610163182',NULL,'9998',0.00,3,3,NULL),(25,6381740,'1994-10-05 00:00:00',4,1,12,2010,'F','N','ROÇADO','S JOSÉ','SC','124244244215111432428834572124610154181',NULL,'270',19.12,1,3,NULL),(25,6381758,'1992-02-17 00:00:00',4,7,12,2009,'M','N','BEM MORAR','IBICARÉ','SC','124241241146141432336613345123610127052',NULL,'539',34.28,1,2,1),(25,6381774,'1977-08-09 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124092098436131231435572445124141021182',NULL,'9998',21.15,1,3,NULL),(25,6381790,'1988-08-27 00:00:00',4,4,11,2005,'F','N','CENTRO','CASCAVEL','PR','116162161215572751469714574112610162182',NULL,'9998',0.00,1,3,NULL),(25,6381804,'1987-04-17 00:00:00',2,3,12,2009,'M','N','VILA REAL','BAL CAMBORIÚ','SC','124241241137473441121144245231610122147',12577,'51',47.23,1,2,1),(25,6381812,'1993-10-30 00:00:00',4,8,12,2010,'M','N','BOA VISTA','PIÊN','PR','116161161137131231425614335124610138017',12006,'9998',43.23,1,2,1),(25,6381820,'1989-12-25 00:00:00',4,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124051241621132421225544242124233024112',NULL,'262',17.22,1,3,NULL),(25,6381839,'1990-10-25 00:00:00',2,9,12,2007,'F','N','SÃO LUIZ','FARROUPILHA','RS','120201201436572751546834571124610161142',18207,'9998',32.92,1,3,NULL),(25,6381863,'1993-04-12 00:00:00',2,7,12,2010,'M','N','SANTA TEREZA','JOAÇABA','SC','124241241215131431323614345122610168187',NULL,'445',0.00,1,3,NULL),(25,6381871,'1993-06-23 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241217121431668613575124610124187',14862,'1022',43.90,1,3,NULL),(25,6381898,'1993-03-12 00:00:00',2,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215121431647931415122610124077',2600,'226',66.58,1,3,NULL),(25,6381901,'1993-06-29 00:00:00',4,1,11,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111431468611575124610162042',4709,'270',59.90,1,3,NULL),(25,6381910,'1989-02-07 00:00:00',4,1,12,2006,'F','N','VILA PINHEIRO','JACAREÍ','SP','125251251116571751226324485124610123097',13174,'9998',41.30,4,2,1),(25,6381928,'1993-09-12 00:00:00',2,5,11,2010,'M','N','MICHEL','CRICIÚMA','SC','124242241235111431425611575122610137042',NULL,'226',29.10,1,3,NULL),(25,6381936,'1993-06-29 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115151431523814572114610134147',NULL,'307',24.35,1,2,1),(25,6381944,'1994-06-21 00:00:00',4,1,12,2011,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111752554812572122610121147',NULL,'270',31.20,1,3,NULL),(25,6381952,'1994-01-15 00:00:00',4,1,12,2010,'M','N','JARDIM CAROLINA','ASSIS CHATEAUBRIAND','PR','116162161215111431569912572122610137072',14702,'9998',38.22,1,3,NULL),(25,6381960,'1992-01-08 00:00:00',2,9,12,2008,'F','N','POCO RICO','OTACÍLIO COSTA','SC','120244241215572431567912575122610124092',NULL,'497',39.36,1,3,NULL),(25,6381979,'1986-06-28 00:00:00',2,1,11,2003,'F','N','BARREIROS','S JOSÉ','SC','124241241116374431646313441124233265187',NULL,'732',38.12,1,2,1),(25,6381987,'1984-05-17 00:00:00',2,1,10,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241247127131421411144152111610167187',NULL,'9999',30.51,2,3,NULL),(25,6381995,'1992-03-19 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124161161117371411428313585124610164142',NULL,'9998',26.41,1,2,1),(25,6382002,'1980-05-08 00:00:00',4,1,12,1997,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241246136274741566633345122220764047',NULL,'306',0.00,1,2,1),(25,6382010,'1992-07-24 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241315151431468931574124610144092',NULL,'267',0.00,1,3,NULL),(25,6382029,'1992-01-11 00:00:00',4,1,12,2009,'F','N','JD OSWALDO CRUZ','S JOSÉ CAMPOS','SP','125253251237471711448814576122610132073',NULL,'9998',0.00,1,3,NULL),(25,6382037,'1989-12-21 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241435311311446633482124131017042',NULL,'283',0.00,1,3,NULL),(25,6382045,'1989-05-31 00:00:00',2,1,12,2006,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241117272411623311345124610123147',15844,'941',42.39,1,2,1),(25,6382053,'1993-05-03 00:00:00',2,4,12,2010,'F','N','CENTRO','QUILOMBO','SC','124241241121151431469313575122610138147',NULL,'648',0.00,1,2,1),(25,6382061,'1993-12-11 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215151431448933375124610136142',NULL,'270',60.50,1,3,NULL),(25,6382070,'1993-09-17 00:00:00',2,1,12,2010,'F','N','PACHECOS','PALHOÇA','SC','124242241214111232244413495224610123052',NULL,'1175',34.83,1,3,NULL),(25,6382088,'1993-02-25 00:00:00',4,1,12,2009,'F','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112122121216471431469933575122610132127',NULL,'9998',44.02,1,3,NULL),(25,6382096,'1991-03-29 00:00:00',2,1,11,2010,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241115141531636139345124610128047',NULL,'9997',22.98,1,3,NULL),(25,6382118,'1992-03-20 00:00:00',2,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241137372431223444341125232937057',17883,'733',39.07,1,2,1),(25,6382126,'1993-11-04 00:00:00',2,5,11,2010,'F','N','MICHEL','CRICIÚMA','SC','124242241215122431446812575112610132192',7685,'226',51.91,1,3,NULL),(25,6382134,'1993-06-28 00:00:00',2,10,11,2010,'M','N','DEHON','TUBARÃO','SC','124243241215111331346824575122610127056',NULL,'806',0.00,1,3,NULL),(25,6382142,'1994-12-26 00:00:00',4,1,12,2011,'F','S','BERGER','CAÇADOR','SC','124242241217111431449934242122610125092',NULL,'120',0.00,1,3,NULL),(25,6382150,'1993-09-05 00:00:00',4,7,12,2010,'F','N','SANTA LUZIA','LUZIÂNIA','GO','109091091216371431477934575122610166122',6865,'9998',53.49,1,3,NULL),(25,6382169,'1991-03-08 00:00:00',4,8,7,2010,'F','N','CAJURU','CURITIBA','PR','116163163117471431438514372124610145047',3157,'9998',63.17,1,3,NULL),(25,6382177,'1991-09-13 00:00:00',4,1,12,2008,'F','N','SANTA TEREZINHA','S BERNARDO CAMPO','SP','125252251215571431358622575122610114147',6031,'9998',56.19,1,3,NULL),(25,6382185,'1987-03-14 00:00:00',4,1,12,2004,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217274221579953445122322037047',11811,'270',48.47,1,3,NULL),(25,6382193,'1994-01-29 00:00:00',4,1,2,2011,'M','N','ROÇADO','S JOSÉ','SC','124243241215111431245829595124610142047',17634,'1022',39.52,4,3,NULL),(25,6382207,'1988-03-27 00:00:00',2,1,11,2005,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241247147131431425432491134130832042',NULL,'9999',0.00,1,2,1),(25,6382215,'1994-02-17 00:00:00',2,1,11,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431418519295124610137031',NULL,'1050',50.05,1,3,NULL),(25,6382223,'1992-04-01 00:00:00',2,1,7,2011,'M','S','AREIAS DE PALHOCINHA','GAROPABA','SC','124241246115151431637832215124610127012',NULL,'306',0.00,1,3,NULL),(25,6382231,'1993-08-07 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215112431348923375122610124142',351,'737',78.99,1,3,NULL),(25,6382258,'1988-03-27 00:00:00',2,4,12,2005,'F','N','CERÂMICA','ERECHIM','RS','120201201227572411234719271124141022147',7192,'9998',56.37,1,3,NULL),(25,6382266,'1993-04-16 00:00:00',2,6,12,2010,'F','N','PRAIA BRAVA','ITAJAÍ','SC','124241241135141711533714245124610132142',NULL,'401',0.00,1,3,NULL),(25,6382274,'1993-01-28 00:00:00',4,4,11,2010,'F','N','CENTRO','IJUÍ','RS','120204201416271431448713332122610143197',NULL,'9998',0.00,4,3,NULL),(25,6382312,'1993-08-27 00:00:00',2,1,11,2010,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241216111431538919595124610126092',9798,'270',48.20,1,3,NULL),(25,6382339,'1994-02-01 00:00:00',4,17,11,2010,'F','N','SOSSEGO','CANOINHAS','SC','124244241215111411459634474122610137092',7226,'154',51.53,1,3,NULL),(25,6382347,'1993-06-01 00:00:00',4,1,12,2010,'M','N','JARDIM MENY','S ROQUE','SP','125251251437111431335631271111610165042',NULL,'9998',21.32,1,3,NULL),(25,6382355,'1993-08-20 00:00:00',4,3,11,2010,'F','N','PRAIA DO AMORES','BAL CAMBORIÚ','SC','124242241215121411459932395122610134112',20797,'1038',31.95,4,3,NULL),(25,6382363,'1993-12-02 00:00:00',2,3,12,2010,'F','N','CENTRO','CEL VIVIDA','PR','116162161412231511559614275122610135145',NULL,'9998',22.92,1,3,NULL),(25,6382371,'1993-02-16 00:00:00',4,10,10,2010,'F','N','DEHON','TUBARÃO','SC','124242241215132751546612375122610121197',7909,'806',54.98,1,3,NULL),(25,6382380,'1991-10-18 00:00:00',2,1,12,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116251251116371431143612475124610148177',6119,'9998',54.98,1,2,1),(25,6382398,'1984-07-29 00:00:00',2,1,11,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116154411436669192114122247185',12157,'307',47.90,1,2,1),(25,6382401,'1993-09-03 00:00:00',2,1,11,2010,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','120204201217111331436532575112610162047',NULL,'9998',0.00,1,3,NULL),(25,6382410,'1992-04-20 00:00:00',2,16,12,2009,'M','N','CENTRO','CURITIBANOS','SC','116161161116471431253933575122610127017',NULL,'9998',11.98,1,2,1),(25,6382428,'1994-08-03 00:00:00',4,15,12,2010,'M','N','NOVA DIVINÉIA','ARARANGUÁ','SC','124241241115131431524465251324610126057',NULL,'30',0.00,1,2,1),(25,6382436,'1993-03-06 00:00:00',2,8,11,2010,'F','N','SÃO LOURENÇO','CURITIBA','PR','116162161216111311538812421124610163182',NULL,'9998',0.00,1,3,NULL),(25,6382444,'1991-12-28 00:00:00',4,1,12,2009,'M','N','SANTA ANA','STO AMARO IMPERATRIZ','SC','124241241116142431434619345133610137187',NULL,'772',17.55,1,3,NULL),(25,6382452,'1992-10-21 00:00:00',2,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241217472531248613472114610144062',4110,'836',61.68,1,3,NULL),(25,6382460,'1987-02-03 00:00:00',2,8,12,2005,'M','N','VILA UNIVERSITARIA','BAURU','SP','125252251217571751648611575125610166182',3377,'9998',62.04,4,3,NULL),(25,6382479,'1993-11-08 00:00:00',2,1,12,2010,'F','N','ALTO DE MAFRA','MAFRA','SC','124241248235111431226624575122610125142',NULL,'541',12.60,1,3,NULL),(25,6382487,'1991-07-19 00:00:00',4,1,12,2010,'M','N','JARDIM PAQUETA','BELO HORIZONTE','MG','113242137217321721378649575112610132095',NULL,'9998',0.00,1,3,NULL),(25,6382495,'1994-07-28 00:00:00',4,1,11,2011,'F','S','CENTRO','BIGUAÇU','SC','124242248216111731323812175122610112182',NULL,'63',29.24,1,3,NULL),(25,6382509,'1992-10-03 00:00:00',4,2,11,2010,'M','N','CAPITAIS','TIMBÓ','SC','124241241215112431466839575111610137182',14737,'1157',39.08,1,3,NULL),(25,6382517,'1992-11-09 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217471711369923591112610146072',9645,'262',47.76,1,3,NULL),(25,6382525,'1992-08-04 00:00:00',4,1,6,2010,'M','N','VILA ALBERTINA','S PAULO','SP','125252281417371431447831395124610121117',10415,'9998',50.63,1,3,NULL),(25,6382533,'1989-12-18 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241247217141431464614345122610168055',NULL,'9999',29.33,1,3,NULL),(25,6382541,'1992-12-04 00:00:00',4,1,12,2010,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241117141431623314575114610137147',NULL,'307',14.37,4,2,1),(25,6382568,'1967-06-11 00:00:00',4,1,12,1983,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','224131134426132431344459342122142267181',NULL,'9998',24.09,1,3,NULL),(25,6382576,'1990-04-17 00:00:00',2,15,12,2007,'M','N','ALTO FELIZ','ARARANGUÁ','SC','124243248337112431438834445122610117042',NULL,'29',0.00,1,3,NULL),(25,6382584,'1990-10-22 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215574421447732572124610134192',3093,'1022',62.69,1,3,NULL),(25,6382592,'1993-04-07 00:00:00',2,3,11,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116243161216572431248921575114610164092',9017,'9998',49.09,1,3,NULL),(25,6382614,'1993-10-11 00:00:00',4,1,12,2010,'F','N','JARDIM PAULISTA','OURINHOS','SP','125252251217121411478813572122610133043',5159,'9998',57.58,1,3,NULL),(25,6382622,'1994-03-07 00:00:00',4,6,12,2011,'F','S','BARRA DO RIO','ITAJAÍ','SC','124242248211111731659813572122610113182',NULL,'392',39.48,1,3,NULL),(25,6382630,'1992-09-21 00:00:00',4,8,12,2009,'F','N','PORTÃO','CURITIBA','PR','116162161215472431464431575122610133142',10977,'9998',45.68,1,3,NULL),(25,6382649,'1994-12-26 00:00:00',4,17,12,2010,'M','N','CENTRO','CURITIBA','PR','116242161216111251387532595122610127042',11506,'9998',45.31,1,3,NULL),(25,6382657,'1993-10-27 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241115131431528623571124610133147',20381,'257',27.58,1,2,1),(25,6382665,'1990-03-06 00:00:00',4,8,11,2007,'M','N','AMÉRICA','JOINVILLE','SC','124242241216373441458833575122221413182',9238,'1016',52.61,1,3,NULL),(25,6382673,'1991-03-29 00:00:00',4,5,12,2008,'F','N','ESPIRITO SANTO','PTO ALEGRE','RS','120202201216571431478832575112610162097',NULL,'9998',0.00,1,3,NULL),(25,6382681,'1993-02-10 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241217111431379923572122610137111',NULL,'226',28.70,1,3,NULL),(25,6382690,'1989-02-03 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','224241241126131431223344245111610127047',NULL,'922',35.81,1,2,1),(25,6382720,'1992-03-30 00:00:00',4,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215473431388712575122230237126',2061,'270',68.47,1,3,NULL),(25,6382738,'1990-11-20 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216132431589833245132230722047',19057,'270',36.83,1,3,NULL),(25,6382746,'1993-07-04 00:00:00',4,1,10,2010,'F','N','SETOR COIMBRA','GOIÂNIA','GO','109222091217111411468811175122610143073',NULL,'9998',0.00,4,3,NULL),(25,6382762,'1992-06-05 00:00:00',4,1,12,2010,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241145141411335414341114610117042',NULL,'294',0.00,1,2,1),(25,6382770,'1993-07-06 00:00:00',2,1,11,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215121731467933375122610168182',15203,'270',43.19,1,3,NULL),(25,6382789,'1994-10-09 00:00:00',2,17,12,2011,'F','S','CENTRO','CANOINHAS','SC','124241241215121532426734575122610123072',NULL,'154',36.47,1,3,NULL),(25,6382797,'1995-01-18 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215151711556634596124610142185',21380,'1169',28.96,1,3,NULL),(25,6382800,'1993-09-06 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111731468932571122610127042',3379,'270',64.74,1,3,NULL),(25,6382819,'1990-06-04 00:00:00',2,4,11,2007,'M','N','RIO BRANCO','PTO ALEGRE','RS','120203201217571431348833372124610127047',NULL,'9998',0.00,1,3,NULL),(25,6382827,'1994-05-18 00:00:00',4,10,12,2011,'M','S','PAES LEME','IMBITUBA','SC','124241248315111731528939275125610124172',NULL,'362',39.11,1,3,NULL),(25,6382835,'1991-12-06 00:00:00',2,1,12,2009,'M','N','JARDIM EUROPA','PIRACICABA','SP','125252251216471731469811475122610137047',NULL,'9998',0.00,4,3,NULL),(25,6382843,'1992-11-07 00:00:00',4,1,12,2009,'F','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125252251215471431479813575122610124096',NULL,'9998',0.00,1,3,NULL),(25,6382851,'1992-11-14 00:00:00',4,4,12,2010,'F','N','CENTRO','CEL MARTINS','SC','124241241126161431523339575122610163151',NULL,'200',24.73,1,2,1),(25,6382878,'1989-06-12 00:00:00',2,7,12,2010,'M','N','CRUZEIRO DO SUL','JOAÇABA','SC','124241247627131111124449342325610114182',NULL,'9999',0.00,1,3,NULL),(25,6382886,'1992-11-29 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241135131421221344246324610124047',19438,'289',30.26,4,2,1),(25,6382894,'1989-08-16 00:00:00',4,8,11,2007,'M','N','NOVO OSASCO','OSASCO','SP','125251251211511711326639591114610162197',NULL,'9998',28.28,1,3,NULL),(25,6382908,'1992-07-30 00:00:00',2,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241117372431337822592124610132092',8517,'267',51.87,1,3,NULL),(25,6382916,'1987-03-20 00:00:00',4,4,10,2004,'M','N','CENTRO','CURITIBA','PR','116162161214572751368611571324610168182',11568,'9998',44.51,1,3,NULL),(25,6382924,'1990-12-07 00:00:00',4,5,12,2008,'M','N','RIO BRANCO','PTO ALEGRE','RS','120242241215572431169919575124610127042',NULL,'1207',0.00,1,3,NULL),(25,6382932,'1993-01-02 00:00:00',4,8,12,2010,'M','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241215121431465924575125610132183',NULL,'424',31.87,1,3,NULL),(25,6382940,'1988-12-28 00:00:00',4,1,12,2006,'M','N','CENTRO','PALHOÇA','SC','124242241215471531448513282124133234012',21478,'989',28.14,1,3,NULL),(25,6382959,'1991-11-29 00:00:00',4,1,5,2009,'F','N','JARDIM MONTE CARLO','GUAPIAÇU','SP','125252251215571451279933575122610122183',4340,'9998',62.43,1,3,NULL),(25,6382967,'1989-11-03 00:00:00',2,1,11,2006,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124243241111475431459613141124610166147',NULL,'288',22.13,1,3,NULL),(25,6382975,'1987-09-28 00:00:00',4,1,12,2004,'M','N','OURO PRETO','BELO HORIZONTE','MG','113091091216142751128943435124143264191',NULL,'9998',0.00,4,3,NULL),(25,6382983,'1992-12-17 00:00:00',4,4,12,2010,'M','N','PASSARELA','MARMELEIRO','PR','116161161127311221343312225122610161141',NULL,'9998',15.89,1,3,NULL),(25,6382991,'1988-04-18 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANÓPOLIS','SC','224241241336231731224674346124610161057',NULL,'1022',32.97,2,1,2),(25,6383009,'1994-05-20 00:00:00',4,1,12,2011,'M','S','SANTINHO','FLORIANÓPOLIS','SC','124242241215111731687712272122610127042',NULL,'884',20.02,1,3,NULL),(25,6383017,'1993-05-21 00:00:00',4,1,12,2010,'M','N','VILA GUMERCINDO','S PAULO','SP','125252251216111431489927575112610162186',NULL,'9998',0.00,1,3,NULL),(25,6383025,'1993-05-25 00:00:00',2,7,12,2010,'M','N','INTERIOR','RIO ANTAS','SC','124241242117131431418836581224610167057',18025,'831',38.80,1,3,NULL),(25,6383033,'1988-07-26 00:00:00',4,1,12,2005,'F','N','JARDIM ISMÊNIA','S JOSÉ CAMPOS','SP','125251251216575431436933571122610163192',8084,'9998',50.92,2,3,NULL),(25,6383041,'1992-11-27 00:00:00',2,17,12,2009,'F','N','TRICOLIM','CANOINHAS','SC','124241241215471431449639575125610142197',NULL,'154',24.94,1,3,NULL),(25,6383050,'1993-05-13 00:00:00',4,1,11,2010,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124162241215111431328534572124610164097',10226,'1022',45.66,1,3,NULL),(25,6383068,'1993-05-24 00:00:00',4,7,12,2010,'F','N','SIMONE','JOAÇABA','SC','124241241215271731426513575124610114142',18475,'962',37.96,1,3,NULL),(25,6383084,'1992-11-26 00:00:00',4,3,11,2009,'M','N','SAN REMO','LONDRINA','PR','116161161215471731559932575122610167052',NULL,'9998',0.00,1,3,NULL),(25,6383092,'1993-07-21 00:00:00',4,8,12,2010,'M','N','AHUU','CURITIBA','PR','116162161215121431478932572112610147122',316,'9998',79.43,1,3,NULL),(25,6383106,'1994-07-29 00:00:00',4,10,11,2010,'F','N','MORROTES','TUBARÃO','SC','124241241435161751536812475122610126142',NULL,'806',27.87,1,3,NULL),(25,6383114,'1993-07-22 00:00:00',2,17,12,2010,'M','N','RIO DA VARZEA','QUITANDINHA','PR','116161162115131431353923585222610128184',NULL,'9998',0.00,1,2,1),(25,6383122,'1986-12-20 00:00:00',4,1,12,2003,'M','N','SANTOS DUMONT','S JOSÉ','SC','124242241437154411355623476124231337092',13139,'736',46.42,1,3,NULL),(25,6383130,'1986-03-09 00:00:00',4,9,12,2003,'M','N','PETROPOLIS','CAXIAS SUL','RS','120202201116572441347933475122341266187',1686,'9998',69.83,1,3,NULL),(25,6383149,'1993-07-02 00:00:00',4,9,12,2010,'F','N','NOSSA SRA DE LOURDES','STA MARIA','RS','120202201217271431459913492124610144142',5315,'9998',57.56,1,3,NULL),(25,6383157,'1994-03-02 00:00:00',4,1,10,2011,'F','S','VICTOR KONDER','BLUMENAU','SC','124242241215111431468813575125610134157',NULL,'855',45.99,1,3,NULL),(25,6383173,'1992-05-30 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124244241217141751468432245122610137142',NULL,'737',34.76,1,3,NULL),(25,6383181,'1992-12-21 00:00:00',4,1,12,2011,'M','S','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111731468823576114610118112',NULL,'270',32.91,3,3,NULL),(25,6383190,'1992-07-21 00:00:00',4,9,12,2009,'F','N','CIDADE ALTA','BENTO GONÇALVES','RS','120202201215471431448831575122610133092',NULL,'9998',0.00,1,3,NULL),(25,6383203,'1993-05-17 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111431469622575124610134112',18054,'270',38.73,1,3,NULL),(25,6383211,'1990-07-30 00:00:00',4,1,11,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241234273431469833475114121864043',5590,'270',59.58,1,3,NULL),(25,6383220,'1992-04-10 00:00:00',4,1,12,2009,'F','N','VILA MARIANA','S PAULO','SP','125252251217571431368813375122610113077',NULL,'9998',0.00,1,3,NULL),(25,6383246,'1994-09-24 00:00:00',4,9,12,2011,'M','S','CENTRO','ITUPORANGA','SC','124244241215111431436632575124610124062',NULL,'991',25.69,1,3,NULL),(25,6383254,'1994-12-08 00:00:00',4,1,12,2010,'M','N','JARDIM DOS PRINCIPES','UMUARAMA','PR','616162161117111231536634375125610122012',NULL,'9998',27.10,1,3,NULL),(25,6383262,'1988-08-07 00:00:00',2,8,12,2006,'F','N','JARDIM MARAVILHA','PETROLINA','PE','117172171216371431426613575114610161012',16119,'9998',36.60,4,3,NULL),(25,6383270,'1992-06-17 00:00:00',2,1,9,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472711636579295124610163182',20138,'300',34.21,1,3,NULL),(25,6383289,'1990-10-03 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241415372731444419445124610117053',NULL,'300',17.58,1,3,NULL),(25,6383297,'1991-05-07 00:00:00',2,5,12,2008,'F','N','BARRO VERMELHO','ORLEANS','SC','124241241116472431338839575122230465142',NULL,'580',20.02,1,2,1),(25,6383300,'1985-05-27 00:00:00',2,1,7,2004,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','224241241137131711426654385112132936197',NULL,'257',0.00,1,3,NULL),(25,6383319,'1993-05-17 00:00:00',4,9,11,2010,'M','N','FREI ROGÉRIO','LAGES','SC','124241241415111431436614572112610122012',11439,'1207',44.69,1,3,NULL),(25,6383335,'1992-02-12 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411368931574112610134143',18886,'270',32.36,1,3,NULL),(25,6383343,'1993-06-09 00:00:00',2,1,11,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115111531354422325124610124113',NULL,'9997',0.00,1,3,NULL),(25,6383360,'1994-03-07 00:00:00',4,4,12,2010,'F','N','CENTRO','PINHALZINHO','SC','124241241415131431336923475122610161147',NULL,'1070',0.00,1,3,NULL),(25,6383378,'1993-06-21 00:00:00',4,2,11,2010,'M','N','PONTA AGUDA','BLUMENAU','SC','124242246217151431467829572125610131182',10213,'1018',46.50,1,3,NULL),(25,6383386,'1993-08-27 00:00:00',2,1,11,2010,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241216111431538919595124610126092',5814,'270',56.34,1,3,NULL),(25,6383408,'1974-10-16 00:00:00',4,1,12,1993,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','224241241116152411243443431111141767042',10989,'271',48.17,1,2,1),(25,6383416,'1993-02-02 00:00:00',2,1,12,2009,'F','N','BORGES DE MEDEIROS','MARAU','RS','120201201117132431323321575124242662097',15823,'9998',37.39,4,2,1),(25,6383424,'1993-01-02 00:00:00',4,1,12,2009,'M','N','CENTORY PARK','CIANORTE','PR','116162161211372431439934591122610164042',6897,'9998',53.45,1,3,NULL),(25,6383432,'1980-03-15 00:00:00',4,1,12,1997,'M','N','PRADO','BIGUAÇU','SC','224241241137131131243343432112333224157',NULL,'65',19.31,1,3,NULL),(25,6383440,'1992-06-25 00:00:00',4,9,11,2009,'F','N','BARRACÃO','BENTO GONÇALVES','RS','120203201217471431449931185122610144187',NULL,'9998',0.00,1,3,NULL),(25,6383459,'1965-04-23 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','224241247142131731633459495124610118047',18064,'922',38.71,1,3,NULL),(25,6383467,'1988-07-27 00:00:00',2,1,12,2005,'M','N','CENTRO','APUCARANA','PR','116161161136573431467619575122610157057',1345,'9998',71.98,1,2,1),(25,6383475,'1994-01-19 00:00:00',4,1,12,2010,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215111431458822575114610167042',10164,'270',51.04,1,3,NULL),(25,6383483,'1991-06-10 00:00:00',4,3,12,2008,'M','N','CENTRO','MARINGÁ','PR','116162161211111222315344344211610114043',391,'9998',77.85,1,3,NULL),(25,6383505,'1993-02-08 00:00:00',4,17,12,2010,'F','N','CAMPO D AGUA VERDE','CANOINHAS','SC','124241241117271431438633575122610134077',17032,'146',34.85,1,2,1),(25,6383530,'1992-09-22 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241217111111229911576124610164022',14243,'883',40.95,4,3,NULL),(25,6383548,'1978-10-18 00:00:00',2,1,12,1996,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224254251116131721345654245122142633167',NULL,'9998',25.47,1,3,NULL),(25,6383556,'1993-10-14 00:00:00',4,1,12,2010,'F','N','BELA VISTA','VOTORANTIM','SP','125252251217111431458611575122610163187',13658,'9998',41.58,1,3,NULL),(25,6383564,'1993-09-28 00:00:00',4,1,12,2010,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242241215121431437624575124610164013',NULL,'1022',0.00,1,3,NULL),(25,6383572,'1993-06-25 00:00:00',2,15,12,2010,'F','N','SANTANA','ERMO','SC','124241241115131431423335392124610128147',20452,'250',27.05,1,2,1),(25,6383580,'1992-11-17 00:00:00',4,1,12,2010,'F','N','CENTRO','PTO BELO','SC','124243241435161431226514295124610134017',11860,'1111',43.60,1,3,NULL),(25,6383599,'1994-01-16 00:00:00',4,1,12,2011,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241217111431266724575122610124112',NULL,'270',55.95,1,3,NULL),(25,6383602,'1992-01-02 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472431369913334114610147091',4838,'270',59.36,1,3,NULL),(25,6383610,'1984-06-21 00:00:00',4,1,6,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624254256416131421228644445134143225057',17706,'9998',34.91,1,3,NULL),(25,6383629,'1992-01-27 00:00:00',4,1,12,2009,'F','N','IPIRANGA','S PAULO','SP','125252251217471431458812572112610145077',NULL,'9998',0.00,1,3,NULL),(25,6383637,'1993-04-21 00:00:00',4,6,12,2010,'F','N','SÃO VICENTE','ITAJAÍ','SC','124244241112131231523311345124610143142',NULL,'388',24.15,1,3,NULL),(25,6383645,'1993-06-05 00:00:00',4,2,10,2010,'M','N','VORSTADT','BLUMENAU','SC','124243241225121431368813572112610127042',20893,'855',31.56,1,3,NULL),(25,6383653,'1974-03-29 00:00:00',2,1,7,1995,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241247127133431223344242244610127091',21783,'263',22.04,1,2,1),(25,6383661,'1992-03-11 00:00:00',4,3,12,2009,'M','N','JARDIM PROGRESSO','PARANAVAÍ','PR','116282281216271431348831275125610133052',11721,'9998',48.58,1,3,NULL),(25,6383670,'1994-10-13 00:00:00',4,1,11,2011,'M','S','BARREIROS','S JOSÉ','SC','124242241215111731466834472124610124112',NULL,'270',24.41,1,3,NULL),(25,6383688,'1991-10-07 00:00:00',2,1,7,2010,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124243241117271121547419275124610162094',NULL,'739',29.58,1,3,NULL),(25,6383696,'1963-01-16 00:00:00',2,1,9,2010,'F','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','224201247127131521333351442124610168187',19315,'9999',36.24,1,2,1),(25,6383700,'1990-02-27 00:00:00',2,15,12,2008,'M','N','RENASCENÇA','STA CRUZ SUL','RS','120202201212571431337734341124610117017',11733,'9998',45.55,1,3,NULL),(25,6383726,'1965-10-30 00:00:00',2,1,12,1984,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124203203326271411134444245122140232042',NULL,'9998',7.25,1,3,NULL),(25,6383734,'1993-03-04 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215112431368823575114610121182',6725,'270',57.25,1,3,NULL),(25,6383769,'1993-04-27 00:00:00',2,1,11,2010,'M','N','AGUA VERDE','CURITIBA','PR','116162161216111431579811412122610127042',NULL,'9998',0.00,1,3,NULL),(25,6383777,'1993-04-03 00:00:00',4,3,12,2010,'F','N','BOA VISTA','CURITIBA','PR','116162161215121431458753576122610122097',NULL,'9998',0.00,1,3,NULL),(25,6383785,'1990-08-07 00:00:00',4,1,12,2007,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241211132711366312495122232827062',NULL,'1074',0.00,1,3,NULL),(25,6383793,'1988-12-04 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124241247127241211226644345124113211182',NULL,'9999',17.55,1,3,NULL),(25,6383807,'1969-02-11 00:00:00',2,1,12,1987,'F','N','CAMPINAS','S JOSÉ','SC','224241243127131431423354281113232751187',20044,'257',34.43,1,2,1),(25,6383815,'1992-02-17 00:00:00',4,2,12,2009,'M','N','SALTO','BLUMENAU','SC','124241241111271711238319345124610128012',NULL,'84',14.36,1,3,NULL),(25,6383823,'1992-05-15 00:00:00',4,1,12,2009,'M','N','CAVALHADA','PTO ALEGRE','RS','120202201217471711346733575124610127187',15306,'9998',40.36,1,3,NULL),(25,6383831,'1993-11-19 00:00:00',4,6,12,2010,'M','N','SÃO JUDAS','ITAJAÍ','SC','124242246215161311425639597221610124192',NULL,'1059',25.07,1,3,NULL),(25,6383840,'1994-02-10 00:00:00',4,1,11,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431458812575122610127072',16661,'262',41.14,1,3,NULL),(25,6383858,'1992-06-30 00:00:00',4,1,11,2009,'M','N','JARDIM DAS FLORES','OSASCO','SP','125202258211471731388512595115610124122',NULL,'9998',0.00,1,3,NULL),(25,6383890,'1994-11-09 00:00:00',4,1,11,2010,'F','N','CIDADE ALTA','TROMBUDO CENTRAL','SC','124242241217111431236924242124610147072',16836,'654',40.89,1,3,NULL),(25,6383912,'1992-06-11 00:00:00',4,4,12,2009,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241215472751337629572114610128012',16656,'168',36.04,1,3,NULL),(25,6383920,'1987-10-05 00:00:00',2,1,12,2004,'F','N','CAMPINAS','S JOSÉ','SC','224241248126131431323354385114231812147',NULL,'524',0.00,1,3,NULL),(25,6383939,'1993-05-20 00:00:00',5,1,11,2010,'F','N','CANTO','FLORIANÓPOLIS','SC','124243241215131431348923575124610123047',8294,'273',51.13,1,3,NULL),(25,6383947,'1992-11-06 00:00:00',2,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241215372431443633572124610137042',20273,'1023',33.84,1,3,NULL),(25,6383963,'1994-09-14 00:00:00',4,1,12,2012,'M','S','CENTRO','BIGUAÇU','SC','124242248137151731467914175124610138147',NULL,'306',44.07,1,3,NULL),(25,6383971,'1989-09-20 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','624242241212134751226644342334123228187',13725,'266',45.59,1,3,NULL),(25,6383980,'1994-02-27 00:00:00',2,9,11,2010,'F','N','CONTA DINHEIRO','LAGES','SC','124241241315111411536534575122610124057',16124,'1207',37.81,1,3,NULL),(25,6383998,'1991-12-09 00:00:00',4,1,12,2009,'F','N','COPACABANA','UBERLÂNDIA','MG','113132131216371511534811575112140262091',NULL,'9998',0.00,1,3,NULL),(25,6384005,'1994-03-16 00:00:00',4,5,11,2011,'F','S','CENTRO','CRICIÚMA','SC','124242241215111751366834171112610146142',NULL,'226',43.02,1,3,NULL),(25,6384013,'1993-04-09 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241236111431368419475122610128157',3499,'270',63.22,1,3,NULL),(25,6384048,'1989-12-22 00:00:00',2,1,12,2007,'F','N','CENTRO','PALHOÇA','SC','224242241215473431226354475124610136182',3841,'1011',63.05,1,3,NULL),(25,6384056,'1994-12-19 00:00:00',4,3,12,2011,'M','S','MEIA PRAIA','ITAPEMA','SC','124242248117151741469933575124610136036',NULL,'129',51.79,1,3,NULL),(25,6384064,'1991-10-18 00:00:00',4,8,11,2008,'M','N','TERRAS DE PIRACICABA','PIRACICABA','SP','125252251217571411479811572122610134057',12789,'9998',41.75,1,3,NULL),(25,6384072,'1993-05-02 00:00:00',4,5,11,2010,'M','N','MINA BRASIL','CRICIÚMA','SC','124242241215112431559812572112610147012',5434,'226',59.89,1,3,NULL),(25,6384099,'1993-07-21 00:00:00',4,15,12,2010,'M','N','CENTRO','URUGUAIANA','RS','120201201116471731227522595112610162137',15545,'9998',37.49,1,2,1),(25,6384110,'1993-02-21 00:00:00',2,8,11,2010,'F','N','ZONA RURAL','GUARANIAÇU','PR','116164161417111431459933575122610133143',10129,'9998',46.79,1,3,NULL),(25,6384137,'1990-03-05 00:00:00',4,8,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116242241216573751664921575112610116147',14752,'1063',44.07,1,3,NULL),(25,6384145,'1994-05-22 00:00:00',2,1,12,2010,'F','N','CENTRO','CANOAS','RS','120202201216471431358824571122610153092',7130,'9998',52.64,1,3,NULL),(25,6384153,'1993-04-12 00:00:00',4,1,11,2010,'M','N','BQ DOS EUCALIPTOS','S JOSÉ CAMPOS','SP','125252251217421441458614345122610124144',9063,'9998',49.45,1,3,NULL),(25,6384161,'1993-04-27 00:00:00',4,1,12,2010,'M','N','JD LIBERDADE','JACAREÍ','SP','125252251235111731379814575122610167052',NULL,'9998',0.00,1,3,NULL),(25,6384170,'1993-11-23 00:00:00',2,8,12,2010,'F','N','TRIANON','GUARAPUAVA','PR','116162161217321531469813375112610164017',2790,'9998',64.89,1,3,NULL),(25,6384188,'1992-05-11 00:00:00',2,4,12,2009,'F','N','NENE GRAEFF','PASSO FUNDO','RS','120201201116271431545634371124610157057',15463,'9998',42.95,1,2,1),(25,6384200,'1993-02-16 00:00:00',4,7,12,2010,'F','N','CAMPINA BELLA','VIDEIRA','SC','124241241215272411426614585125610138147',16276,'829',36.86,1,3,NULL),(25,6384218,'1993-12-03 00:00:00',4,6,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215151431257912275122610164012',4628,'1038',60.45,1,3,NULL),(25,6384226,'1993-12-31 00:00:00',4,10,12,2010,'F','N','CENTRO','TUBARÃO','SC','124242241215121431354613572122610161072',NULL,'797',35.44,1,3,NULL),(25,6384234,'1993-07-31 00:00:00',2,1,12,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124242241117151731336623475124610164062',NULL,'772',14.82,1,3,NULL),(25,6384242,'1994-12-23 00:00:00',4,16,12,2011,'F','S','CENTRO','CURITIBANOS','SC','124242241215111731336832575122610122147',NULL,'237',33.12,1,3,NULL),(25,6384250,'1992-11-18 00:00:00',4,1,12,1992,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215151511466669575112610167054',NULL,'259',18.45,1,3,NULL),(25,6384269,'1991-03-20 00:00:00',4,1,12,2008,'M','N','RINCÃO','NOVO HAMBURGO','RS','120203208117131731456823395124610165047',5780,'9998',59.20,1,3,NULL),(25,6384277,'1989-12-26 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202241216173411528814445112610167037',20834,'270',31.80,1,3,NULL),(25,6384285,'1988-02-17 00:00:00',2,15,11,2005,'M','N','CENTRO','ARARANGUÁ','SC','124242241215373711466513592122131067112',NULL,'32',27.81,1,3,NULL),(25,6384293,'1989-11-10 00:00:00',2,1,11,2008,'F','N','FREITAS','PAULO LOPES','SC','124241241417472431534923575124120916197',10153,'1022',47.48,1,3,NULL),(25,6384307,'1994-03-30 00:00:00',4,1,12,2010,'F','N','CENTRO','TIJUCAS','SC','124242248215112431453332575122610166092',17928,'1038',34.42,1,3,NULL),(25,6384323,'1989-01-11 00:00:00',4,9,12,2005,'M','N','CIDADE ALTA','BENTO GONÇALVES','RS','120202201215571431248812575124141442017',NULL,'9998',0.00,1,3,NULL),(25,6384331,'1993-10-10 00:00:00',4,2,12,2010,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241215151731379811575112610137042',NULL,'909',24.24,1,3,NULL),(25,6384340,'1992-02-19 00:00:00',4,2,12,2009,'M','N','ÁGUAS CLARAS','BRUSQUE','SC','124241241115571441369813575124610162017',5841,'113',59.09,1,2,1),(25,6384358,'1989-03-28 00:00:00',4,1,11,2006,'F','N','ALBUQUERQUE','CPO GRANDE','MS','112222121235571441547512392124610137097',9244,'9998',52.59,1,3,NULL),(25,6384366,'1991-03-07 00:00:00',2,3,12,2008,'M','N','JARDIM ITALIA','CAMBÉ','PR','116161161116572431426823575124610127057',8755,'9998',49.10,1,3,NULL),(25,6384374,'1985-12-19 00:00:00',4,8,12,2004,'M','N','COSTA SILVA','JOINVILLE','SC','124232246217472731338329195121131462197',19292,'494',36.29,1,3,NULL),(25,6384382,'1989-08-03 00:00:00',4,1,7,2010,'M','N','MORRO DA BINA','BIGUAÇU','SC','124242247226372731356514425124233217022',NULL,'9999',20.81,4,3,NULL),(25,6384390,'1991-03-23 00:00:00',2,1,1,2007,'M','N','JARDIM AQUARIOS','ARARUNA','PR','116161161415572431366933573122610127057',2101,'9998',67.60,1,3,NULL),(25,6384404,'1990-08-07 00:00:00',4,8,12,2008,'M','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125252251215571431458837575114610167044',NULL,'9998',0.00,1,3,NULL),(25,6384412,'1988-09-30 00:00:00',2,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124161161116142451123644245124221768091',20143,'9998',34.21,1,3,NULL),(25,6384420,'1985-10-31 00:00:00',2,1,12,2004,'M','N','FORQUIHLINHAS','S JOSÉ','SC','124241241142132221425733382314610127187',14576,'727',41.07,1,2,1),(25,6384439,'1992-10-20 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215472431467811472112610147122',9788,'226',46.72,1,3,NULL),(25,6384447,'1993-02-13 00:00:00',4,10,11,2010,'M','N','OFICINAS','TUBARÃO','SC','124242241215112411468912375121610162052',1958,'807',68.20,1,3,NULL),(25,6384455,'1993-10-16 00:00:00',4,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124241241217131131463432275125610114045',16050,'989',35.90,1,3,NULL),(25,6384463,'1992-05-18 00:00:00',2,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215472411349821575124610167142',4165,'262',60.32,1,3,NULL),(25,6384471,'1993-09-10 00:00:00',4,8,12,2010,'M','N','JARDIM PARAISO','JOINVILLE','SC','124241241115141711456832115122610147045',NULL,'476',0.00,1,2,1),(25,6384480,'1992-09-06 00:00:00',2,1,12,2009,'M','N','PALHOÇA','PALHOÇA','SC','124241241117142411656933345121610132055',20909,'591',25.79,1,2,1),(25,6384498,'1987-11-02 00:00:00',4,1,12,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124203201216133421427721382124330263097',20384,'9998',33.47,1,3,NULL),(25,6384501,'1994-01-03 00:00:00',4,8,12,2010,'M','N','CRISTO REI','CURITIBA','PR','116162161236471431459913575124610167147',NULL,'9998',0.00,1,3,NULL),(25,6384510,'1990-07-02 00:00:00',4,6,12,2007,'M','N','BARRA DO RIO','ITAJAÍ','SC','124242241217574431348923595114610148182',2151,'391',68.19,1,3,NULL),(25,6384536,'1994-02-25 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111712458819592112610122142',NULL,'270',25.75,1,3,NULL),(25,6384544,'1989-11-17 00:00:00',2,1,12,2008,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116373731336113445124610154145',21582,'298',22.36,2,1,1),(25,6384552,'1993-08-27 00:00:00',2,3,12,2010,'M','N','CENTRO','LGA VERMELHA','RS','120201201215131531433829572122610134147',NULL,'9998',22.90,1,3,NULL),(25,6384579,'1989-05-28 00:00:00',2,1,12,2006,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241116472421323318345234610164147',13224,'289',46.31,1,2,1),(25,6384587,'1980-09-19 00:00:00',2,15,11,1999,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241137131732333314341132610128117',18537,'30',37.87,1,3,NULL),(25,6384595,'1990-09-19 00:00:00',2,9,12,2007,'F','N','PROGRESSO','POUSO REDONDO','SC','124241241136174411323311145122222321147',NULL,'639',0.00,1,2,1),(25,6384609,'1993-01-02 00:00:00',2,7,12,2010,'F','N','SESI','VIDEIRA','SC','124241241117131721437532125122610167087',NULL,'831',0.00,1,3,NULL),(25,6384625,'1993-10-18 00:00:00',4,1,12,2011,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124232241215151312458833575124610144044',NULL,'270',30.32,1,3,NULL),(25,6384633,'1969-11-04 00:00:00',2,1,12,1995,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','624251258326162611433353195124142251187',NULL,'9998',25.46,4,3,NULL),(25,6384641,'1992-07-06 00:00:00',4,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215373431379914172122233224042',13362,'1169',46.13,1,3,NULL),(25,6384650,'1992-12-23 00:00:00',4,1,12,2009,'F','N','NOSSA S DE LURDES','CAMPOS NOVOS','SC','124242241215471431468912575112610113077',10173,'962',51.03,1,3,NULL),(25,6384676,'1993-10-03 00:00:00',4,1,10,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242248215111731246629575122610127067',21630,'1022',20.01,1,3,NULL),(25,6384692,'1984-05-04 00:00:00',4,1,12,2001,'M','N','FAZ SANTO ANTONIO','S JOSÉ','SC','124241241116131711456619342114131462047',NULL,'17',32.63,1,2,1),(25,6384706,'1993-02-09 00:00:00',2,4,11,2010,'M','N','NAÇÕES','CONCÓRDIA','SC','124241241215111731448933575122610127012',16138,'1000',36.83,1,3,NULL),(25,6384714,'1991-06-12 00:00:00',4,1,12,2008,'F','N','REDENTORA','S JOSÉ R PRETO','SP','125252251215572751438639575122142464187',NULL,'9998',0.00,1,3,NULL),(25,6384722,'1994-08-05 00:00:00',4,10,12,2011,'M','S','MAR GROSSO','LAGUNA','SC','124242241215111511437734575122610128051',NULL,'525',40.99,1,3,NULL),(25,6384749,'1989-03-19 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241147141731535524342133610134097',21101,'287',25.66,4,2,1),(25,6384757,'1989-01-12 00:00:00',4,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','624241247122131121632355252113610122147',21295,'290',29.47,1,2,1),(25,6384765,'1993-12-21 00:00:00',2,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215111731567924575122610122197',15973,'880',37.51,1,3,NULL),(25,6384773,'1984-11-10 00:00:00',4,7,12,2001,'F','N','CENTRO','CAP LEÔNIDAS MARQUES','PR','216161161116471431335636185122340624142',8440,'9998',50.56,1,2,1),(25,6384781,'1993-09-03 00:00:00',4,2,10,2010,'M','N','NAÇÕES','INDAIAL','SC','124242241217131431457732335124610162017',17383,'37',39.95,1,3,NULL),(25,6384790,'1993-03-07 00:00:00',2,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115131431326569372224610137147',20358,'257',29.47,1,2,1),(25,6384803,'1993-07-14 00:00:00',4,1,11,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217471511269931575114610164183',17856,'270',39.11,1,3,NULL),(25,6384811,'1988-07-18 00:00:00',4,8,12,2005,'M','N','CENTRO','CURITIBA','PR','125253251315574431546632572124132467062',6316,'9998',54.25,4,3,NULL),(25,6384854,'1994-09-27 00:00:00',2,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241416111431338923375122610112057',NULL,'772',16.27,1,3,NULL),(25,6384862,'1992-04-01 00:00:00',2,1,12,2009,'M','N','VILA ROSA','NOVO HAMBURGO','RS','120204201216371751334311272112610167047',17833,'9998',33.18,1,3,NULL),(25,6384870,'1993-09-05 00:00:00',4,17,12,2010,'M','N','CAMPO DA LANÇA','MAFRA','SC','124241166215161431358923575124610164092',10797,'9998',46.12,1,3,NULL),(25,6384889,'1993-02-15 00:00:00',2,8,12,2010,'M','N','BACACHERI','CURITIBA','PR','116162161217151211569939572122610167042',NULL,'9998',0.00,1,3,NULL),(25,6384897,'1993-02-16 00:00:00',2,15,12,2010,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124243241115151131536833575112610124042',NULL,'30',18.49,1,3,NULL),(25,6384900,'1984-07-23 00:00:00',2,1,12,2001,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241127471451531544342114610144117',18927,'282',37.07,1,2,1),(25,6384919,'1993-03-04 00:00:00',2,4,12,2010,'M','N','CENTRO','ERECHIM','RS','120201201147131411426529291325610165092',16540,'9998',34.18,1,2,1),(25,6384935,'1993-05-06 00:00:00',4,8,12,2010,'M','N','HARMONIA','TELÊMACO BORBA','PR','116164161216111431389914575112610127182',13429,'9998',41.31,1,3,NULL),(25,6384943,'1988-09-12 00:00:00',4,8,12,2005,'F','N','JD AMOREIRAS','CAMPINAS','SP','125252254436571741648924575122141318182',NULL,'9998',0.00,3,3,NULL),(25,6384951,'1992-04-25 00:00:00',4,8,12,2009,'M','N','CENTRO','S JOSÉ CAMPOS','SP','125102251215471211488813571112610166047',1198,'9998',72.90,2,3,NULL),(25,6384960,'1992-05-07 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241215372731338914575122610167052',NULL,'1048',17.59,1,3,NULL),(25,6384978,'1993-11-08 00:00:00',4,3,10,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215221431468912275122610114147',13175,'1038',41.07,1,3,NULL),(25,6384986,'1994-02-23 00:00:00',4,1,12,2009,'M','N','BATISTA CAMPOS','BELÉM','PA','114143141217151421458732575124241444043',NULL,'9998',0.00,4,3,NULL),(25,6384994,'1992-11-07 00:00:00',4,1,12,2009,'F','N','INDEPENDENCIA','CASCAVEL','PR','116164161217471332638719575122610134152',13533,'9998',41.39,1,3,NULL),(25,6385001,'1994-06-03 00:00:00',4,7,12,2011,'F','S','CENTRO','ÁGUA DOCE','SC','124243241215111411338836475122610133127',NULL,'446',42.83,1,3,NULL),(25,6385028,'1994-06-11 00:00:00',4,1,11,2011,'M','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216111231446833395124610127047',NULL,'1118',30.48,2,3,NULL),(25,6385036,'1992-10-29 00:00:00',2,9,12,2009,'M','N','LOURDES','CAXIAS SUL','RS','120202201216471431557812115122143247182',9093,'9998',49.44,1,3,NULL),(25,6385044,'1991-06-10 00:00:00',2,1,11,2008,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124244241212133431323619382324231013072',21275,'1022',29.58,1,3,NULL),(25,6385052,'1990-10-20 00:00:00',4,9,12,2008,'F','N','VILA NOVA','LAGES','SC','124242241217572431458614575112610123142',NULL,'497',0.00,1,3,NULL),(25,6385060,'1984-09-22 00:00:00',4,1,12,2002,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','624241241246151711248844345123333234112',NULL,'86',0.00,1,3,NULL),(25,6385079,'1992-08-16 00:00:00',4,1,11,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216372711468913435124610118197',6761,'270',57.19,1,3,NULL),(25,6385087,'1964-04-10 00:00:00',2,1,12,1998,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','224241241111131411336344441144610117042',16741,'294',41.02,1,2,1),(25,6385095,'1993-01-06 00:00:00',2,3,11,2010,'F','N','SOUZA CRUZ','BRUSQUE','SC','124241241235471411643614575122610113097',NULL,'981',19.99,1,3,NULL),(25,6385109,'1991-03-23 00:00:00',4,1,11,2008,'M','N','SAO JOAO','MARÍLIA','SP','125254251415572731579913571125610147072',1225,'9998',72.74,1,3,NULL),(25,6385117,'1993-05-03 00:00:00',2,17,12,2010,'M','N','JARDIM AMÉRICA','MAFRA','SC','124241241116131411646611572124610126052',NULL,'543',24.98,1,2,1),(25,6385125,'1992-12-10 00:00:00',4,4,12,2010,'F','N','SÃO LUIS','S MIGUEL OESTE','SC','124241241215151431349933575122610133092',8941,'752',49.64,1,3,NULL),(25,6385133,'1992-07-19 00:00:00',4,1,12,2010,'M','N','JURERE','FLORIANÓPOLIS','SC','120242201215272441358812225122610164122',13553,'9998',45.85,1,3,NULL),(25,6385150,'1992-10-10 00:00:00',2,1,12,2009,'F','N','GUIOMAR','ANTÔNIO CARLOS','SC','124241241117372431536615572124610122142',7340,'21',54.51,1,2,1),(25,6385168,'1991-07-02 00:00:00',4,3,12,2008,'M','N','SANTA CRUZ','GUARAPUAVA','PR','116162161212573411568831275122610124042',NULL,'9998',31.53,1,3,NULL),(25,6385176,'1994-09-10 00:00:00',4,1,12,2011,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124162241211111431478919575114610127147',NULL,'1022',30.38,1,3,NULL),(25,6385184,'1991-02-19 00:00:00',4,3,12,2008,'F','N','SÃO SILVESTRE','MARINGÁ','PR','116163161217571411468813571124610164057',13541,'9998',42.89,1,3,NULL),(25,6385192,'1991-02-15 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217272221458934215124131422177',4811,'1022',60.18,1,3,NULL),(25,6385206,'1958-11-09 00:00:00',4,1,12,1979,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224241241216133421348743435114610161173',15534,'210',40.01,1,3,NULL),(25,6385214,'1984-02-07 00:00:00',4,1,12,2001,'M','N','JARDIM AEROPORTO','LAURO FREITAS','BA','105052051217471431456612471124340667042',2181,'9998',66.71,1,3,NULL),(25,6385222,'1993-06-03 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215111431339939575122610163112',NULL,'300',21.65,1,3,NULL),(25,6385230,'1993-06-09 00:00:00',2,15,12,2010,'F','N','CENTRO','BAL ARROIO SILVA','SC','124241244115111131423319495124610123147',NULL,'854',10.89,1,2,1),(25,6385249,'1994-01-20 00:00:00',4,6,12,2011,'F','S','PARQUE VERDE','CASCAVEL','PR','116162161217111411548812592122610146142',NULL,'9998',0.00,1,3,NULL),(25,6385257,'1974-05-11 00:00:00',2,1,12,1982,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224251258116241421133344345334343024047',19505,'9998',35.82,1,3,NULL),(25,6385273,'1991-10-17 00:00:00',2,1,12,2010,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124244247437141431234721315222610117115',NULL,'977',0.00,1,3,NULL),(25,6385303,'1993-07-01 00:00:00',4,1,12,2010,'M','N','FONTES','ARUJÁ','SP','125252251217111231467732575122610167057',9921,'9998',51.49,3,3,NULL),(25,6385311,'1994-09-21 00:00:00',2,16,12,2011,'F','S','CENTRO','CURITIBANOS','SC','124242241215111732428839272122610118022',NULL,'237',26.61,1,3,NULL),(25,6385320,'1989-12-31 00:00:00',4,17,12,2007,'M','N','ALTO DO MUSSI','TRÊS BARRAS','SC','124241241117131721434614491124610167142',NULL,'146',0.00,1,3,NULL),(25,6385338,'1989-11-15 00:00:00',2,1,12,2006,'F','N','CACHOEIRAS','BIGUAÇU','SC','624241244116271421524414342134610121077',19573,'64',35.64,1,3,NULL),(25,6385346,'1983-07-29 00:00:00',4,8,12,2001,'M','N','BOA VISTA','JOINVILLE','SC','124241241126471411626314275124131444097',5889,'477',56.03,1,2,1),(25,6385362,'1991-07-16 00:00:00',2,1,12,2010,'M','N','VILA MARIA','BOTUCATU','SP','125251251115471331136614385112610117072',NULL,'9998',28.64,4,1,1),(25,6385370,'1993-07-21 00:00:00',2,1,12,2010,'M','N','CENTRO','BIGUAÇU','SC','124241241117151531337634575112610137027',18530,'21',32.03,1,2,1),(25,6385389,'1991-09-06 00:00:00',4,1,12,2008,'F','N','BUENO','GOIÂNIA','GO','109092091215572411138714572325610134052',10193,'9998',46.95,2,3,NULL),(25,6385397,'1993-12-20 00:00:00',2,4,12,2010,'F','N','INTERIOR','DESCANSO','SC','124241241114131731423315572124610138052',NULL,'242',0.00,1,3,NULL),(25,6385400,'1993-07-06 00:00:00',4,3,12,2010,'F','N','BAIRRO DOS ESTADOS','BAL CAMBORIÚ','SC','124241241115131421636414246124610136147',NULL,'49',35.92,1,2,1),(25,6385419,'1993-09-30 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431358812575124610166191',6862,'883',56.11,1,3,NULL),(25,6385427,'1992-04-24 00:00:00',4,7,12,2009,'M','N','CENTRO','ANDIRÁ','PR','116164161215471731469819575114610122092',NULL,'9998',0.00,1,3,NULL),(25,6385435,'1993-02-07 00:00:00',2,8,12,2010,'M','N','CERRAMARTE','RIO NEGRINHO','SC','124241248137151431524419375122610127052',NULL,'669',23.59,1,2,1),(25,6385443,'1992-07-08 00:00:00',4,2,12,2010,'M','N','CENTRO','BLUMENAU','SC','124241241117131431235539575124610127057',NULL,'88',18.89,1,2,1),(25,6385451,'1989-10-12 00:00:00',4,3,12,2006,'M','N','ZONA QUATRO','MARINGÁ','PR','116162161216572411466833575112610127047',1338,'9998',69.94,3,3,NULL),(25,6385460,'1985-10-09 00:00:00',2,1,12,2002,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124161168215575431159613434132610147047',6657,'9998',57.37,1,3,NULL),(25,6385478,'1993-07-24 00:00:00',2,3,12,2010,'F','N','CARIOCA','S JOSÉ PINHAIS','PR','116242161217111432449732475122610167141',NULL,'9998',29.66,1,3,NULL),(25,6385486,'1993-10-06 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216112431343322175114610122185',21386,'1050',28.91,1,3,NULL),(25,6385494,'1946-12-06 00:00:00',4,1,12,1965,'M','N','CENTRO','FLORIANÓPOLIS','SC','224202201211472531466349491122321437182',NULL,'9998',49.08,1,3,NULL),(25,6385516,'1993-04-19 00:00:00',4,3,12,2010,'M','N','ARISTOCRATA','S JOSÉ PINHAIS','PR','116164161216111411358713375122610134122',4655,'9998',58.96,1,3,NULL),(25,6385524,'1994-05-12 00:00:00',4,8,12,2011,'F','S','BELA VISTA','RIO NEGRINHO','SC','124241241211131411546939595125610158042',NULL,'666',50.16,1,3,NULL),(25,6385532,'1993-09-30 00:00:00',4,1,11,2010,'F','N','CENTRO','IMBITUBA','SC','124241241415111411436629575122610165092',NULL,'362',0.00,1,3,NULL),(25,6385540,'1989-09-30 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116142431566334245124221912057',4680,'306',58.98,1,2,1),(25,6385559,'1986-02-20 00:00:00',4,1,6,2004,'F','N','BARREIROS','S JOSÉ','SC','124242241116473231468814572124233222162',9486,'306',52.24,1,3,NULL),(25,6385567,'1990-09-23 00:00:00',2,1,12,2008,'F','N','SAUDADE','BIGUAÇU','SC','124241241131271411523329181124130233097',17741,'65',39.34,1,2,1),(25,6385575,'1992-12-24 00:00:00',4,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111431456612575124610122182',19770,'724',35.21,1,3,NULL),(25,6385591,'1985-04-23 00:00:00',2,1,12,2002,'F','N','SÃO FRAMCISCO','STO AMARO IMPERATRIZ','SC','224241241142273421221344343224610124157',16144,'772',37.93,1,2,1),(25,6385613,'1993-08-12 00:00:00',4,1,11,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215131431327628575125610167057',16563,'259',36.00,1,3,NULL),(25,6385621,'1975-09-05 00:00:00',4,1,12,1992,'F','N','SERRARIAS','S JOSÉ','SC','224244243126145711335574142125610146197',NULL,'257',0.00,1,3,NULL),(25,6385630,'1991-03-21 00:00:00',2,3,12,2009,'F','N','SANTA AURELIANA','STA CRUZ R PARDO','SP','125251251115271731433319495122610165177',NULL,'9998',0.00,1,2,1),(25,6385648,'1995-04-09 00:00:00',4,4,12,2013,'M','S','VILA IZABEL','PATO BRANCO','PR','116166168617111752565632295122610137042',NULL,'9998',33.77,1,3,NULL),(25,6385656,'1991-08-20 00:00:00',4,1,11,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242247216171411447824295124610141192',NULL,'9999',0.00,1,3,NULL),(25,6385664,'1990-12-13 00:00:00',2,1,11,2010,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241125211721415634342114610117042',NULL,'591',0.00,1,3,NULL),(25,6385672,'1984-06-15 00:00:00',2,1,12,2002,'F','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124204201216131421235644345124140227187',NULL,'9998',14.56,1,3,NULL),(25,6385680,'1974-07-10 00:00:00',4,1,12,1993,'M','N','JOSE MENDES','FLORIANÓPOLIS','SC','224241241217454731349643435122421127097',NULL,'262',13.22,1,3,NULL),(25,6385699,'1993-12-09 00:00:00',4,1,12,2010,'M','N','TRIANON','GUARAPUAVA','PR','116162161215271731449733375112610167047',NULL,'9998',0.00,1,3,NULL),(25,6385702,'1991-01-19 00:00:00',4,1,12,2008,'F','N','PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP','125251253217572711556814575124610135187',NULL,'9998',0.00,1,3,NULL),(25,6385710,'1993-07-13 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215131421448811572112610137042',2298,'273',66.78,1,3,NULL),(25,6385729,'1994-11-13 00:00:00',4,1,12,2010,'M','N','NOVO MUNDO','CURITIBA','PR','116241248117151431357634576222610164012',6662,'129',54.13,1,2,1),(25,6385737,'1990-10-21 01:00:00',4,1,12,2007,'F','N','LOURDES','CAXIAS SUL','RS','120202201217571431547812345124143228072',NULL,'9998',0.00,1,3,NULL),(25,6385745,'1993-09-09 00:00:00',2,4,12,2010,'F','N','NAÇÕES','CONCÓRDIA','SC','124241246116371431336923595124610124147',17131,'196',35.15,1,2,1),(25,6385753,'1992-01-07 00:00:00',2,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124161168415471421329713345134610117043',NULL,'9998',18.15,1,3,NULL),(25,6385761,'1985-12-01 00:00:00',2,1,12,2002,'M','N','CENTRO','ITAPEVI','SP','125251251146133711326628285124142863172',4080,'9998',61.08,1,2,1),(25,6385770,'1994-04-15 00:00:00',4,1,12,2010,'F','N','AREIÃO','CANELINHA','SC','124242241215111421436912275122610161147',9627,'1119',47.87,1,3,NULL),(25,6385788,'1989-07-12 00:00:00',4,1,12,2006,'F','N','RUDGE RAMOS','S BERNARDO CAMPO','SP','125252251216471411466832275122141544142',NULL,'9998',0.00,1,3,NULL),(25,6385796,'1992-11-22 00:00:00',2,6,11,2010,'M','N','CENTRO','CAMBORIÚ','SC','124242241217151431459611375124610137062',NULL,'1091',0.00,1,3,NULL),(25,6385818,'1962-09-05 00:00:00',2,1,11,1979,'M','N','INGLESES','FLORIANÓPOLIS','SC','224241243121132511433342221122331167067',19981,'9997',34.64,1,3,NULL),(25,6385826,'1990-10-22 00:00:00',2,5,12,2007,'M','N','RIO BRANCO','PTO ALEGRE','RS','120202201211471431428934321211241862087',1928,'9998',68.62,1,3,NULL),(25,6385834,'1993-04-08 00:00:00',2,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241317371731236824572124610164047',9373,'257',49.97,1,3,NULL),(25,6385842,'1971-07-03 00:00:00',2,1,12,1989,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224241246136133531321144145124610137047',NULL,'306',31.80,4,2,1),(25,6385850,'1993-08-10 00:00:00',2,1,12,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241217121431338829592122610147117',16809,'1134',36.69,1,3,NULL),(25,6385869,'1993-12-26 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111732435634445124610112147',18935,'1050',37.05,1,3,NULL),(25,6385877,'1984-06-13 00:00:00',2,1,6,2003,'M','N','JD MORADA DO SOL','INDAIATUBA','SP','125051257126571411323344145114610137147',NULL,'9998',0.00,4,1,1),(25,6385885,'1993-06-26 00:00:00',2,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215121731456819472114610137057',7253,'1022',54.26,1,3,NULL),(25,6385893,'1977-09-12 00:00:00',2,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124124258147131431128341312134610168177',NULL,'9998',0.00,1,3,NULL),(25,6385907,'1989-10-24 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124243241212142111434419445114610111112',NULL,'1011',0.00,1,3,NULL),(25,6385915,'1989-04-25 00:00:00',2,1,12,2006,'F','N','LA SALLE','PATO BRANCO','PR','116162161216572421327714445334610124067',3363,'9998',61.78,1,3,NULL),(25,6385923,'1993-11-26 00:00:00',4,1,12,2010,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241215112431456513575122610132127',7502,'1134',53.74,1,3,NULL),(25,6385931,'1990-08-26 00:00:00',2,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241127131431423335396343610167187',18461,'913',37.99,1,2,1),(25,6385966,'1992-11-14 00:00:00',4,8,12,2010,'F','N','CENTRO','JOINVILLE','SC','124242241215271431348831575112610162191',4974,'457',58.56,1,3,NULL),(25,6385974,'1992-02-09 00:00:00',4,1,12,2009,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215472431357934572122610127042',3857,'270',62.83,1,3,NULL),(25,6385982,'1993-03-23 00:00:00',2,2,12,2010,'F','N','PONTO CHIC','IBIRAMA','SC','124241241117271431425632575122610132177',21041,'348',23.04,1,2,1),(25,6385990,'1995-07-18 00:00:00',2,1,12,2011,'F','S','CARIANOS','FLORIANÓPOLIS','SC','124243241117131231466813577114610127187',NULL,'739',37.50,4,3,NULL),(25,6386008,'1990-08-13 00:00:00',2,3,12,2007,'F','N','SANTA RITA','BRUSQUE','SC','124241241127273411537711335111610121111',NULL,'98',0.00,1,2,1),(25,6386016,'1992-11-11 00:00:00',2,8,11,2010,'M','N','PIRABEIRABA','JOINVILLE','SC','124243243215111431436614175124610118147',NULL,'1006',0.00,4,1,2),(25,6386024,'1983-05-29 00:00:00',4,1,12,1999,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241216275411468834435124421462042',3978,'497',63.34,1,3,NULL),(25,6386032,'1993-02-02 00:00:00',4,2,12,2010,'F','N','FIDÉLIS','BLUMENAU','SC','124241241125141531436634392124610167047',16390,'874',37.16,1,2,1),(25,6386040,'1989-12-04 00:00:00',2,1,12,2007,'M','N','CHACARA SAO JOÃO','CARAPICUÍBA','SP','125254251216471751439819475124141415052',11257,'9998',45.46,1,3,NULL),(25,6386059,'1993-04-23 00:00:00',2,2,12,2010,'M','N','SÃO LUIS','BRUSQUE','SC','124242241117271731544911275121610167017',20600,'116',32.74,1,3,NULL),(25,6386067,'1992-05-01 00:00:00',2,1,12,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244247417111411446933571112610117041',20150,'9999',33.60,1,3,NULL),(25,6386075,'1971-11-23 00:00:00',4,1,6,1990,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124202207247132411436244245124610115142',NULL,'9998',11.92,1,3,NULL),(25,6386083,'1990-09-14 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124162161346142731117613495124221467042',NULL,'9998',29.45,1,3,NULL),(25,6386091,'1994-09-12 00:00:00',4,1,12,2011,'F','S','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217111751348923575124610164187',NULL,'270',45.72,1,3,NULL),(25,6386105,'1991-05-06 00:00:00',2,1,12,2008,'F','N','CENTRO','VIDAL RAMOS','SC','124242241311272421438833575124130744127',9668,'1050',50.53,1,3,NULL),(25,6386121,'1992-06-24 00:00:00',4,8,12,2010,'M','N','CAMPINA','BELÉM','PA','114142141216111431266824575122610162042',NULL,'9998',31.76,4,3,NULL),(25,6386148,'1992-10-12 00:00:00',4,1,12,2010,'M','N','CENTRO','PEJUÇARA','RS','120201201116161431346829375122610127047',NULL,'9998',0.00,1,2,1),(25,6386156,'1990-07-11 00:00:00',4,1,7,2009,'M','N','JARDIM CIDADE','S JOSÉ','SC','124241247142141231333332345124130817112',NULL,'9999',0.00,1,2,1),(25,6386164,'1992-12-04 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122731358923575122610147117',10566,'1050',46.89,1,3,NULL),(25,6386172,'1993-10-25 00:00:00',4,6,11,2010,'F','N','CENTRO','ITUPORANGA','SC','124242241215152431338823295112610164197',NULL,'1173',0.00,1,3,NULL),(25,6386180,'1993-04-14 00:00:00',4,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215112511459911575122610122121',3435,'226',61.78,1,3,NULL),(25,6386199,'1985-05-13 00:00:00',4,1,12,2002,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117151721124344242334130813147',21539,'77',27.56,1,2,1),(25,6386229,'1984-01-03 00:00:00',5,1,12,2001,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241411133411465932322132330217186',NULL,'270',0.00,1,3,NULL),(25,6386237,'1993-03-30 00:00:00',2,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241215271431347923385125610124077',10751,'44',46.38,1,3,NULL),(25,6386253,'1977-08-15 00:00:00',4,1,11,1999,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124161166127132421226341315124222232187',2819,'9998',66.47,1,2,1),(25,6386261,'1992-01-17 00:00:00',2,8,12,2009,'M','N','CENTRO','MIRANDÓPOLIS','SP','125253251215471231446632575112610122057',NULL,'9998',23.79,1,3,NULL),(25,6386270,'1992-09-01 00:00:00',4,6,12,2009,'F','N','BOA VISTA','LONDRINA','PR','116164161216371141548823575122610162147',7853,'9998',51.37,3,3,NULL),(25,6386288,'1994-08-12 00:00:00',4,5,11,2010,'F','N','PINHEIRINHO','CRICIÚMA','SC','124242241215151221438933575124610128147',NULL,'880',27.60,1,3,NULL),(25,6386296,'1989-04-02 00:00:00',4,1,12,2006,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124241241116141411533319412114610122142',NULL,'307',31.84,2,1,1),(25,6386300,'1992-09-19 00:00:00',4,1,12,2009,'M','N','VISTA ALEGRE CAFÉ','VINHEDO','SP','125252251217411431568831572112610137047',12624,'9998',42.75,3,3,NULL),(25,6386318,'1993-12-09 00:00:00',4,3,12,2010,'F','N','CENTRO','APUCARANA','PR','116162161215371331578832375122610164012',NULL,'9998',0.00,1,3,NULL),(25,6386326,'1993-08-04 00:00:00',4,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241336171431348711575122610163122',NULL,'322',17.02,1,3,NULL),(25,6386334,'1995-01-22 00:00:00',2,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111731469933575122610164095',17279,'931',40.13,1,3,NULL),(25,6386342,'1990-01-13 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116372431625534285124610134011',16129,'293',41.96,1,2,1),(25,6386350,'1989-11-25 00:00:00',4,1,12,2010,'F','N','AUTO SÃO FRANCISCO','CPO GRANDE','MS','112064121116111731538613575122610134072',NULL,'9998',0.00,2,1,2),(25,6386369,'1992-08-05 00:00:00',4,1,12,2009,'F','N','CENTRO','ARAÇOIABA SERRA','SP','125251251217471311237931575124610134051',7670,'9998',51.08,1,3,NULL),(25,6386377,'1993-03-23 00:00:00',2,7,12,2010,'M','N','BERGER','CAÇADOR','SC','124242241215162431455514595112610167067',14196,'1124',44.87,1,3,NULL),(25,6386385,'1988-01-27 00:00:00',4,1,12,2005,'M','N','CIDADE DOS FUNCIONÁR','FORTALEZA','CE','106063061437471451658813215112610167047',1576,'9998',69.19,4,3,NULL),(25,6386393,'1979-08-20 00:00:00',2,1,12,1997,'F','N','ARIRIU','PALHOÇA','SC','224241245121133431423854341222222342142',13550,'158',45.85,1,2,1),(25,6386407,'1993-02-26 00:00:00',2,4,12,2010,'M','N','LAGO AZUL','ITÁ','SC','124241241117131431323351111135610164047',8467,'383',49.41,1,2,1),(25,6386415,'1992-09-08 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431476632575122610133157',NULL,'724',23.17,4,3,NULL),(25,6386423,'1992-01-04 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215372411327613331124610168142',16684,'269',41.11,1,3,NULL),(25,6386431,'1992-09-02 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117272431445821575124610143041',20597,'307',32.76,1,2,1),(25,6386440,'1993-07-22 00:00:00',4,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124244241215111411337639272114610167062',12302,'1048',43.67,1,3,NULL),(25,6386458,'1991-03-17 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241211273751324631381124610121053',NULL,'1022',25.91,1,3,NULL),(25,6386466,'1993-10-05 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431238824245114610126192',13709,'270',45.61,1,3,NULL),(25,6386474,'1977-03-09 00:00:00',5,1,12,1994,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241126231441233543335114131031182',16500,'571',36.25,1,2,1),(25,6386482,'1992-09-26 00:00:00',4,7,11,2010,'M','N','SANTA CATARINA','TREZE TÍLIAS','SC','124244241215151431337823275112610164012',3637,'446',60.86,1,3,NULL),(25,6386490,'1991-02-04 00:00:00',4,4,12,2008,'F','N','PRESIDENTE MEDICI','CHAPECÓ','SC','124241241146131711424314285124232866147',NULL,'127',13.15,1,2,1),(25,6386504,'1993-03-19 00:00:00',2,2,12,2009,'F','N','BREMER','RIO SUL','SC','124172241416142431543611242124240822062',NULL,'659',0.00,4,3,NULL),(25,6386512,'1993-03-27 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242248215111431458814582122610132092',16310,'1063',41.69,1,3,NULL),(25,6386520,'1983-08-02 00:00:00',2,1,12,2002,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','224241241142273431225549391232610127017',NULL,'941',17.55,1,2,1),(25,6386539,'1993-07-09 00:00:00',4,1,12,2010,'F','N','JARDIM PALMARES','RIBEIRÃO PRETO','SP','125252251215121431487834575122610133142',NULL,'9998',0.00,4,3,NULL),(25,6386547,'1993-06-21 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124244241217161221249613595122610164042',NULL,'881',24.00,1,3,NULL),(25,6386555,'1995-12-19 00:00:00',4,1,11,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241212111232438812591124610123147',NULL,'1022',16.59,1,3,NULL),(25,6386563,'1993-09-11 00:00:00',2,5,12,2010,'M','N','CENTRO','NOVA VENEZA','SC','124244241215272411356824575122610147042',9462,'213',48.85,1,3,NULL),(25,6386571,'1993-07-24 00:00:00',2,3,12,2010,'F','N','CARIOCA','S JOSÉ PINHAIS','PR','116242161217111432449732475122610127152',15090,'9998',37.95,1,3,NULL),(25,6386580,'1992-09-30 00:00:00',4,1,11,2009,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241216472431468819591122610112125',328,'270',79.23,1,3,NULL),(25,6386598,'1956-09-28 00:00:00',2,1,12,1998,'F','N','ESTREITO','FLORIANÓPOLIS','SC','624163167634133741128649491124321664192',18274,'9998',38.33,1,3,NULL),(25,6386601,'1993-04-12 00:00:00',4,2,12,2010,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241215271622288932572112610162186',NULL,'909',0.00,1,3,NULL),(25,6386610,'1988-11-26 00:00:00',2,6,12,2005,'M','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','124242241215555751578812595125232467042',NULL,'1026',0.00,1,3,NULL),(25,6386628,'1992-05-14 00:00:00',2,1,12,2009,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241117153431448313585114610147042',NULL,'307',13.57,1,2,1),(25,6386652,'1993-04-06 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241126141431243329395124610137042',NULL,'257',28.09,1,2,1),(25,6386660,'1992-09-30 00:00:00',4,4,12,2009,'F','N','CENTRO','CRUZ ALTA','RS','120201201116132331228721575114610167187',15617,'9998',37.24,1,2,1),(25,6386687,'1989-07-10 00:00:00',4,3,11,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','116242241215574451669911575114610162191',2323,'270',67.48,1,3,NULL),(25,6386695,'1994-02-05 00:00:00',2,3,11,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241215131432426614245124610127147',16776,'9997',40.97,1,3,NULL),(25,6386709,'1994-09-07 00:00:00',4,16,12,2011,'F','S','CENTRO','CAÇADOR','SC','124242241217111431337911572122610164192',NULL,'120',29.52,1,3,NULL),(25,6386717,'1992-04-24 00:00:00',4,1,12,2009,'F','N','HIGIENOPOLIS','S PAULO','SP','125252251215471441348811585122610147142',4419,'9998',59.09,1,3,NULL),(25,6386733,'1994-06-21 00:00:00',2,1,12,2011,'M','S','VILA BECKER','STO AMARO IMPERATRIZ','SC','124241241212111112316611312111610167141',NULL,'1223',42.70,1,3,NULL),(25,6386741,'1994-02-24 00:00:00',4,1,12,2011,'M','S','CENTRO','S JOSÉ','SC','124242241217131722428632575124610164047',NULL,'1074',0.00,1,3,NULL),(25,6386750,'1992-10-05 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241216111431569813575122610127147',15459,'738',38.04,1,3,NULL),(25,6386768,'1993-10-22 00:00:00',4,8,12,2010,'M','N','AMÉRICA','JOINVILLE','SC','124244241217371431449814175124610141042',268,'1105',80.08,1,3,NULL),(25,6386776,'1995-04-23 00:00:00',4,2,11,2011,'F','S','SOUZA CRUZ','BRUSQUE','SC','124244241415131611424424215121610127097',NULL,'981',0.00,1,3,NULL),(25,6386792,'1993-01-06 00:00:00',4,5,11,2010,'F','N','JARDIM ANGELICA','CRICIÚMA','SC','124242241237372751548911472124610127017',6882,'213',53.50,1,3,NULL),(25,6386806,'1993-08-02 00:00:00',4,4,12,2010,'F','N','TACCA','XANXERÊ','SC','124242241235271431569514492122610127077',17544,'836',34.42,1,3,NULL),(25,6386822,'1992-08-25 00:00:00',4,16,12,2010,'F','N','VILA AMÉLIA','RIBEIRÃO PRETO','SP','125252251216111731349614575122610164056',NULL,'9998',0.00,1,3,NULL),(25,6386830,'1989-12-05 00:00:00',2,16,12,2007,'F','N','CENTRO','CURITIBANOS','SC','124241241122471431523311372322610124142',12506,'239',43.17,1,2,1),(25,6386849,'1994-11-19 00:00:00',4,8,12,2010,'F','N','CENTRO','JOINVILLE','SC','124242241216111431459932575122610138052',15009,'931',43.67,1,3,NULL),(25,6386857,'1991-12-17 00:00:00',2,10,12,2009,'F','N','MAGALHÃES','LAGUNA','SC','124243241117131731538812391122231016092',NULL,'521',0.00,1,3,NULL),(25,6386873,'1991-11-15 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241141415111531646711345122231015047',NULL,'9998',0.00,1,3,NULL),(25,6386881,'1990-03-21 00:00:00',2,4,12,2007,'F','N','CENTRO','FORMOSA OESTE','PR','116164161315511431434732572122610162077',10251,'9998',47.15,3,3,NULL),(25,6386890,'1993-07-06 00:00:00',2,4,12,2010,'M','N','CENTRO','ITAPIRANGA','SC','124241241315161431656639292122610127042',14785,'1060',38.72,1,3,NULL),(25,6386903,'1991-03-01 00:00:00',4,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','124242241216571431448611582122610125182',5819,'1046',56.04,1,3,NULL),(25,6386920,'1993-04-29 00:00:00',4,1,12,2010,'F','N','SABIÁ','ARAUCÁRIA','PR','116161161215471431237923575115610135057',5103,'9998',58.66,1,3,NULL),(25,6386938,'1992-01-12 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241126372721426214345134610134147',NULL,'1116',37.32,1,2,1),(25,6386946,'1989-12-11 00:00:00',2,1,11,2007,'F','N','SÃO GERALDO','IJUÍ','RS','120202208216573751437839575115131328147',17413,'9998',35.02,1,3,NULL),(25,6386954,'1994-06-16 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111751446939572122610117047',NULL,'272',0.00,1,3,NULL),(25,6386962,'1994-05-08 00:00:00',4,4,12,2011,'M','S','PRECIDENTE MEDICI','CHAPECÓ','SC','124242241217151732535632375122510138055',NULL,'185',22.98,1,3,NULL),(25,6386970,'1990-07-22 00:00:00',2,7,12,2007,'F','N','VILA PEDRINI','JOAÇABA','SC','124242241216373731454611172122130424142',6299,'962',57.24,1,3,NULL),(25,6386989,'1990-07-20 00:00:00',2,1,12,2007,'M','N','DOM FELICIANO','GRAVATAÍ','RS','120204201327371511316444242235610167057',13440,'9998',46.02,1,3,NULL),(25,6386997,'1989-12-26 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124242241216153411469611445124610138057',17316,'737',40.07,1,3,NULL),(25,6387004,'1994-07-26 00:00:00',2,10,12,2011,'F','S','VILA NOVA ALVORADA','IMBITUBA','SC','124242241217111732436834575112610137147',NULL,'362',30.11,1,3,NULL),(25,6387012,'1989-07-31 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115152421523511315124333264192',9337,'306',52.47,1,2,1),(25,6387020,'1993-11-10 00:00:00',2,1,12,2010,'F','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124243241116141531448613295124610122092',NULL,'728',32.24,1,3,NULL),(25,6387039,'1989-06-24 00:00:00',2,1,12,2007,'F','N','CENTRO','STA CRUZ SUL','RS','120201201116471711423423345125610167187',16039,'9998',42.07,1,3,NULL),(25,6387047,'1993-04-18 00:00:00',2,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124243241116471431323314575122610168147',18992,'727',33.01,1,3,NULL),(25,6387063,'1994-11-06 00:00:00',4,5,11,2010,'F','N','MINA BRASIL','CRICIÚMA','SC','124242241215151512368834575122610142182',14351,'211',44.65,1,3,NULL),(25,6387071,'1993-01-16 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111431356612575124610167052',3955,'270',61.73,1,3,NULL),(25,6387080,'1993-07-07 00:00:00',2,1,12,2010,'F','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124241241122131411423314572344610127052',NULL,'329',25.32,1,2,1),(25,6387098,'1988-12-14 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241137271411328444342124130223182',NULL,'257',32.70,2,1,1),(25,6387101,'1992-01-25 00:00:00',4,1,12,2010,'F','N','GAMBOA','GAROPABA','SC','124244247416161431246821345124610123072',20574,'9999',32.83,1,3,NULL),(25,6387110,'1992-11-17 00:00:00',2,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124244241216111731446923375122610127067',18145,'213',38.57,1,3,NULL),(25,6387128,'1981-10-10 00:00:00',2,15,11,1999,'M','N','LAGOÃO','ARARANGUÁ','SC','224241243126162431235344342122610117067',21619,'29',26.61,1,2,1),(25,6387136,'1992-02-04 00:00:00',4,2,12,2009,'F','N','TARUMÃ','CURITIBA','PR','116162161215372431539824375114610167187',4065,'9998',60.66,1,3,NULL),(25,6387152,'1992-12-23 00:00:00',4,2,12,2010,'F','N','CENTRO','BRUSQUE','SC','124243241117271411446611575122610142142',14056,'112',40.51,1,3,NULL),(25,6387160,'1987-03-25 00:00:00',4,7,12,2006,'M','N','SANTA TEREZA','JOAÇABA','SC','124251241126131431227644342223610117057',18519,'449',37.89,2,1,1),(25,6387179,'1991-05-12 00:00:00',2,1,12,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241116131411521419282114610133142',NULL,'293',17.21,1,2,1),(25,6387187,'1993-03-07 00:00:00',2,17,12,2010,'M','N','CAMPO D ÁGUA VERDE','CANOINHAS','SC','124241241215111431348621595122610117182',NULL,'154',29.25,1,3,NULL),(25,6387195,'1986-08-27 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241316143431426619445124330226182',NULL,'257',38.94,1,3,NULL),(25,6387209,'1991-08-28 00:00:00',4,1,12,2008,'M','N','COUNTRY','CASCAVEL','PR','116162161217164431459933575124242437067',542,'9998',75.75,1,3,NULL),(25,6387217,'1992-10-05 00:00:00',2,10,12,2009,'M','N','CENTRO','ARMAZÉM','SC','124241241126142431556414345114231467042',18747,'34',37.45,1,2,1),(25,6387241,'1993-11-04 00:00:00',4,10,11,2010,'M','N','DEHON','TUBARÃO','SC','124242241217121431439814575122610127042',12707,'806',47.06,1,3,NULL),(25,6387250,'1993-04-20 00:00:00',4,2,12,2010,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215271431448732595122610134142',17441,'855',34.30,1,3,NULL),(25,6387268,'1992-02-02 00:00:00',4,1,12,2009,'M','N','STHALBERG','LIMEIRA','SP','125251256127271411436614285113610162047',NULL,'9998',0.00,1,2,1),(25,6387276,'1991-11-26 00:00:00',4,1,12,2010,'M','N','BUTANTÃ','S PAULO','SP','125252251217151431546933572122610134162',5738,'9998',55.51,1,3,NULL),(25,6387284,'1993-04-28 00:00:00',4,1,11,2010,'M','N','PRESIDENTE KENNEDY','FRANCISCO BELTRÃO','PR','116162161217171431159613592112610147052',NULL,'9998',0.00,1,3,NULL),(25,6387292,'1992-02-25 00:00:00',4,1,12,2009,'M','N','CENTRO','FAXINAL','PR','116162161235471221337933575124610164146',4601,'9998',57.94,1,3,NULL),(25,6387314,'1994-01-20 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241317131411438619342124610127147',10184,'307',47.50,1,3,NULL),(25,6387322,'1989-12-21 00:00:00',4,8,12,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124241241215273431449633492114610163097',NULL,'1105',31.02,1,3,NULL),(25,6387330,'1987-10-07 00:00:00',2,1,8,2005,'F','N','PACHECOS','PALHOÇA','SC','124241241115274721443431345123530827042',NULL,'739',0.00,1,2,1),(25,6387357,'1989-11-23 00:00:00',2,1,12,2006,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241117271751424423472222610118157',20952,'941',31.29,1,2,1),(25,6387381,'1988-10-11 00:00:00',4,1,11,2006,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241411373431469919575124130237182',7354,'270',56.07,1,3,NULL),(25,6387390,'1992-08-29 00:00:00',4,8,12,2009,'F','N','SANTA QUITÉRIA','CURITIBA','PR','116162161216472431448832575112610167142',1589,'9998',70.51,1,3,NULL),(25,6387403,'1987-12-15 00:00:00',2,1,12,2005,'M','N','CENTRO','CASCAVEL','PR','116162161215571441458611585125232416042',9653,'9998',47.36,1,3,NULL),(25,6387411,'1994-04-03 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241215371231344632572122610124012',20274,'497',29.08,1,3,NULL),(25,6387420,'1986-07-17 00:00:00',2,1,10,2009,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','624141247121371231523353181112610162042',NULL,'9999',0.00,4,2,1),(25,6387446,'1989-07-22 00:00:00',4,1,12,2006,'M','N','ACLIMAÇÃO','S PAULO','SP','125252251217141531346614445124141037052',9420,'9998',52.32,2,1,2),(25,6387454,'1993-05-17 00:00:00',2,4,12,2010,'M','N','CENTRO','SEARA','SC','124241242116141411446613245124610167052',NULL,'196',0.00,4,2,1),(25,6387462,'1987-06-02 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242247215373422346623471114610117045',16031,'1003',42.08,1,3,NULL),(25,6387470,'1993-01-05 00:00:00',4,8,11,2010,'M','N','AMÉRICA','JOINVILLE','SC','124241241217151732358933575124610117185',14828,'1006',38.31,1,3,NULL),(25,6387489,'1993-08-09 00:00:00',4,1,12,2010,'M','N','CENTRO','PASSO FUNDO','RS','120203201215271431468913475122610124042',14238,'9998',38.14,1,3,NULL),(25,6387497,'1992-07-19 00:00:00',4,1,12,2009,'F','N','VILA NAIR','S JOSÉ CAMPOS','SP','125252251216472231478833575122610135012',2651,'9998',65.51,1,3,NULL),(25,6387500,'1988-04-20 00:00:00',2,4,12,2005,'F','N','CENTRO','UNIÃO OESTE','SC','124241241215573431326633384114610127047',12429,'1046',43.94,1,3,NULL),(25,6387519,'1992-10-20 00:00:00',2,1,12,2010,'M','N','BOEHMERWALD','S BENTO SUL','SC','124241241137141112636334345124610137042',16067,'697',36.55,1,2,1),(25,6387527,'1988-01-19 00:00:00',4,1,12,2005,'F','N','JARDIM PORTINARI','DIADEMA','SP','125251251115471441443434441124610164112',NULL,'9998',23.83,1,3,NULL),(25,6387535,'1980-11-17 00:00:00',2,1,12,1997,'F','N','REAL PARK','S JOSÉ','SC','124242243127434431438627245132233023047',14924,'257',39.96,1,3,NULL),(25,6387543,'1989-08-28 00:00:00',2,1,12,2006,'F','N','BELA VISTA','FRAIBURGO','SC','116242161216575431459632374124242966042',2002,'9998',67.10,1,3,NULL),(25,6387551,'1987-04-09 00:00:00',2,9,12,2004,'M','N','KAYSER','CAXIAS SUL','RS','120204201443471431443341211224143262092',NULL,'9998',0.00,1,3,NULL),(25,6387560,'1991-10-02 00:00:00',4,1,11,2008,'F','N','FAZENDA','ITAJAÍ','SC','124242241217471431449813472112610118042',NULL,'9997',0.00,1,3,NULL),(25,6387578,'1990-05-03 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373231448931495112130767062',9304,'272',50.31,1,3,NULL),(25,6387586,'1993-09-18 00:00:00',4,2,12,2010,'M','N','VELHA','BLUMENAU','SC','124242241215111431456934575124610124142',1656,'71',68.57,1,3,NULL),(25,6387594,'1995-02-21 00:00:00',4,1,12,2011,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124241241215111731654632572124610131075',NULL,'270',31.08,1,3,NULL),(25,6387608,'1989-09-04 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124012011215571441479933474124610167092',8843,'9998',48.95,1,3,NULL),(25,6387616,'1992-03-16 00:00:00',4,1,11,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215573441484934575124610127042',1797,'262',69.46,1,3,NULL),(25,6387632,'1994-07-31 00:00:00',4,8,12,2011,'F','S','AMIZADE','JARAGUÁ SUL','SC','124242241215111541469814475125610134147',NULL,'1063',44.28,1,3,NULL),(25,6387640,'1991-02-09 00:00:00',2,1,12,2008,'M','N','CENTRO','S JOSÉ CAMPOS','SP','125104251217571531568813572125610127042',NULL,'9998',0.00,2,3,NULL),(25,6387659,'1993-06-18 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216112431438831575122610134097',15185,'270',39.26,1,3,NULL),(25,6387667,'1994-10-04 00:00:00',4,1,12,2011,'M','S','VILA TOLENTINO','CASCAVEL','PR','116162161215111751475832395122610135127',NULL,'9998',44.31,1,3,NULL),(25,6387675,'1994-02-18 00:00:00',2,1,12,2011,'F','S','BARREIROS','S JOSÉ','SC','124242241215111731437933575112613254047',NULL,'738',21.81,1,3,NULL),(25,6387691,'1993-05-08 00:00:00',4,17,11,2010,'M','N','CENTRO','CANOINHAS','SC','124244241235151731668716475115610167127',NULL,'154',33.61,1,3,NULL),(25,6387705,'1991-03-16 00:00:00',4,5,11,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241215512521379831475112610162042',NULL,'226',0.00,1,3,NULL),(25,6387713,'1992-03-19 00:00:00',2,5,12,2009,'F','N','CENTRO','MRO FUMAÇA','SC','124241241115271451433711116124133225147',13672,'567',40.80,1,2,1),(25,6387721,'1990-07-09 00:00:00',2,1,12,2007,'F','N','VILA DOM PEDRO I','S PAULO','SP','125252251216571431479911491112610167142',8460,'9998',50.45,1,3,NULL),(25,6387730,'1983-07-27 00:00:00',2,1,12,2001,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124241241216155421446412345122330263187',6111,'270',55.89,1,3,NULL),(25,6387748,'1993-03-05 00:00:00',4,1,11,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241117271331323624246124610124147',21201,'1088',23.89,1,2,1),(25,6387756,'1992-05-04 00:00:00',2,1,6,2010,'F','N','JARDIM SÃO NICOLAU','BIGUAÇU','SC','124242248335372411525614441114610166042',NULL,'9999',35.00,1,3,NULL),(25,6387764,'1991-03-13 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215514431349923572124123223142',313,'991',79.46,1,3,NULL),(25,6387780,'1991-08-07 00:00:00',2,1,12,2008,'F','N','FLORESTA','S JOSÉ','SC','124241241116132731526624375124231013187',NULL,'307',27.35,4,1,1),(25,6387799,'1993-03-30 00:00:00',2,1,12,2010,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241117371431535651575124610122092',18436,'592',33.67,1,2,1),(25,6387802,'1992-07-27 00:00:00',2,1,12,2009,'M','N','PALMAS','GOV CELSO RAMOS','SC','124241241121371431533333295124610167117',20154,'1099',29.72,1,2,1),(25,6387810,'1993-04-11 00:00:00',4,3,11,2010,'F','N','ITAMARATTY','MAL CÂNDIDO RONDON','PR','116162161215211431469913435122610118142',16032,'9998',42.08,1,3,NULL),(25,6387829,'1978-10-07 00:00:00',2,1,12,1998,'M','N','LAGOINHA','FLORIANÓPOLIS','SC','520201201127141131224444345224610164047',NULL,'9998',12.50,1,3,NULL),(25,6387837,'1989-10-27 00:00:00',4,1,11,2008,'M','N','CHACARA DA BARRA','CAMPINAS','SP','125252251417371441458933112123140232187',NULL,'9998',0.00,1,3,NULL),(25,6387845,'1991-07-25 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241415372431466923575122610113182',13768,'9999',41.68,1,3,NULL),(25,6387853,'1992-01-20 00:00:00',2,1,12,2009,'M','N','CALHEIROS','GOV CELSO RAMOS','SC','124241241137242232424314241114610134047',10318,'329',46.89,1,2,1),(25,6387861,'1994-06-14 00:00:00',2,1,12,2011,'M','S','ROÇADO','S JOSÉ','SC','124242241215111731468912392124610127042',NULL,'1022',21.38,1,3,NULL),(25,6387870,'1984-07-04 00:00:00',2,1,7,2004,'F','N','CENTRO HISTÓRICO','PTO ALEGRE','RS','120201201336131431236844341124141021047',NULL,'9998',0.00,1,3,NULL),(25,6387888,'1983-11-23 00:00:00',2,8,5,2002,'F','N','CIDADE CANÇÃO','MARINGÁ','PR','116161161117131411526614172344610166197',4422,'9998',58.99,1,2,1),(25,6387900,'1991-01-22 00:00:00',4,1,12,2008,'M','N','COSTEIRA DOPIRAJUBAE','FLORIANÓPOLIS','SC','124242241216153411436624495124221112047',12053,'738',48.05,1,3,NULL),(25,6387918,'1980-02-11 00:00:00',2,1,5,2001,'F','N','FORQUILHAS','S JOSÉ','SC','224241244132131421323454442334133222187',NULL,'307',18.51,4,2,1),(25,6387926,'1991-01-11 00:00:00',4,9,12,2007,'M','N','SANTA HELENA','LAGES','SC','124242241216574441466938575122610136092',5325,'515',57.39,1,3,NULL),(25,6387942,'1994-07-29 00:00:00',4,15,12,2010,'F','N','SAPIRANGA','MELEIRO','SC','124241241115151431323523572111610135057',20299,'30',33.77,1,2,1),(25,6387950,'1993-03-09 00:00:00',4,3,12,2010,'M','N','CENTRO','ROSANA','SP','125252251217111431458813575121610162122',NULL,'9998',0.00,1,3,NULL),(25,6387969,'1979-07-03 00:00:00',2,1,12,1996,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201136131421323344345134140225147',NULL,'9998',27.39,1,2,1),(25,6387977,'1985-06-09 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243247226473431138813215124421764182',10450,'489',50.58,1,3,NULL),(25,6387985,'1992-11-21 00:00:00',3,1,12,2009,'M','N','CABRAL','CURITIBA','PR','116162161217571411478833575112610164046',583,'9998',75.25,1,3,NULL),(25,6387993,'1981-06-21 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201208146151451168549335124343222042',12652,'9998',47.12,1,3,NULL),(25,6388000,'1988-07-18 00:00:00',2,1,12,2005,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241136272411433611145112610157042',10877,'772',45.96,1,2,1),(25,6388019,'1991-07-12 00:00:00',4,1,12,2008,'F','N','PINHEIRINHO','CURITIBA','PR','116163161517571411437622275124242264097',2405,'9998',64.90,1,3,NULL),(25,6388027,'1994-01-14 00:00:00',2,1,12,2010,'M','N','VILA NOVA','IMBITUBA','SC','124241243117371231435933574121610134117',15174,'359',37.37,1,2,1),(25,6388035,'1985-03-27 00:00:00',2,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241147472731444313475113610167045',NULL,'281',14.83,1,2,1),(25,6388043,'1992-03-23 00:00:00',2,8,12,2008,'F','N','ZONA INDUSTRIAL NORT','JOINVILLE','SC','124161161116471431327823375124610165197',14774,'9998',40.82,1,3,NULL),(25,6388051,'1994-10-08 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111411347923475125610122186',16059,'737',42.04,1,3,NULL),(25,6388060,'1992-09-22 00:00:00',4,1,12,2010,'F','N','PALHOÇA','PALHOÇA','SC','124241241117161531525519292124613064142',NULL,'772',21.78,1,3,NULL),(25,6388078,'1990-11-28 00:00:00',4,8,12,2007,'M','N','AURORA','LONDRINA','PR','116162161217572431469614572122610147057',2004,'9998',67.52,1,3,NULL),(25,6388086,'1990-05-27 00:00:00',2,8,12,2007,'M','N','CENTRO','RIO NEGRO','PR','116161161137131411546611325122610167047',19990,'9998',34.61,1,2,1),(25,6388094,'1992-12-20 00:00:00',4,1,12,2010,'M','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125252251217111431489933575112610137042',5595,'9998',56.64,1,3,NULL),(25,6388108,'1994-01-31 00:00:00',2,1,12,2010,'F','N','PLANALTO','GUAPORÉ','RS','120201201147131731435831572122610168197',NULL,'9998',12.80,1,3,NULL),(25,6388116,'1993-12-12 00:00:00',2,5,11,2010,'M','N','QUARTA LINHA','CRICIÚMA','SC','124241241415271431537614575124610112062',10317,'995',46.95,1,3,NULL),(25,6388124,'1993-09-13 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111231338834575124610137047',20004,'1022',34.57,1,3,NULL),(25,6388132,'1993-11-15 00:00:00',2,1,12,2010,'F','N','SÃO CRISTOVÃO','ERECHIM','RS','120201201117271431326324575125610138197',NULL,'9998',33.81,1,2,1),(25,6388140,'1990-08-14 00:00:00',2,1,12,2008,'M','N','VILA NOVA','PTO ALEGRE','RS','120202201117372231437823485124610167047',11900,'9998',44.07,1,3,NULL),(25,6388159,'1991-11-06 00:00:00',2,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241115273231536613575124610164011',14728,'267',44.12,1,2,1),(25,6388167,'1991-07-12 00:00:00',2,17,12,2008,'M','N','CAMPO AGUA VERDE','CANOINHAS','SC','124242241417212411239614575122131417041',NULL,'154',0.00,1,3,NULL),(25,6388175,'1988-06-04 00:00:00',4,1,12,2005,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241116131411124444342124610114052',21227,'757',29.90,1,3,NULL),(25,6388183,'1993-03-11 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241215111431436623575124610165187',NULL,'272',27.69,4,3,NULL),(25,6388191,'1988-07-12 00:00:00',2,4,12,2005,'F','N','BAIXADA','PATO BRANCO','PR','216164161216573431235823575124610134142',NULL,'9998',0.00,1,3,NULL),(25,6388205,'1982-10-21 00:00:00',5,1,12,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241122275421321349495134322221171',8751,'379',53.52,1,2,1),(25,6388213,'1985-02-07 00:00:00',2,1,12,2002,'F','N','JARDIM CARANDAI','BIGUAÇU','SC','124201241115275421648713482124220723142',16506,'65',36.79,4,1,1),(25,6388221,'1988-07-03 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241134232451426314345124610124077',19123,'281',36.70,1,2,1),(25,6388230,'1985-04-04 00:00:00',4,8,12,2002,'M','N','BUCAREIN','JOINVILLE','SC','124241241215372411159743435122321066192',5426,'956',59.91,1,3,NULL),(25,6388248,'1986-11-06 00:00:00',2,8,12,2004,'M','N','VILA LARSEN','LONDRINA','PR','116162161216574751468923575122610134092',4261,'9998',59.15,1,3,NULL),(25,6388256,'1993-08-18 00:00:00',4,1,11,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111431488814575114610144042',5770,'270',55.49,1,3,NULL),(25,6388264,'1992-05-01 00:00:00',2,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124244241215372551325533476124610117057',20995,'1075',31.11,1,3,NULL),(25,6388272,'1993-02-06 00:00:00',4,2,12,2010,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124244241215111431368612575124610124017',NULL,'88',35.96,1,3,NULL),(25,6388299,'1992-03-19 00:00:00',2,10,12,2009,'F','N','CENTRO','IMARUÍ','SC','124204241316472431448833575122610164195',18584,'356',33.43,1,3,NULL),(25,6388302,'1993-10-11 00:00:00',4,1,12,2010,'M','N','CAMPO DUNA','GAROPABA','SC','124241241116371531333615275124610122142',19434,'1136',30.11,1,2,1),(25,6388310,'1992-03-15 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117372431526714485111610127052',12502,'307',47.34,1,2,1),(25,6388337,'1993-06-13 00:00:00',4,1,12,2010,'F','N','JD BARONEZA','ARAPONGAS','PR','116161161116271431338923575122610124147',NULL,'9998',31.85,1,2,1),(25,6388345,'1992-04-22 00:00:00',2,1,12,2010,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124241241116141331526641215214610167047',NULL,'288',17.36,1,3,NULL),(25,6388353,'1990-11-17 00:00:00',4,4,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124241241312131431534412395124232622147',19972,'757',34.67,1,3,NULL),(25,6388370,'1982-10-17 00:00:00',2,1,12,2003,'M','N','VITORIO CEZARINO','RIO PEDRAS','SP','225251257127571431321354181121141428032',NULL,'9998',0.00,2,1,1),(25,6388388,'1993-04-24 00:00:00',4,4,12,2010,'M','N','JARDIN UNIÃO','NAVIRAÍ','MS','112122121216111131443939595111610167187',NULL,'9998',0.00,1,3,NULL),(25,6388396,'1993-03-07 00:00:00',4,1,12,2010,'M','N','JARDIM CANADÁ','RIBEIRÃO PRETO','SP','125252251215121431588832575112610161146',5251,'9998',60.30,1,3,NULL),(25,6388400,'1994-11-19 00:00:00',4,1,12,2011,'M','S','CENTRO','TIJUCAS','SC','124242241211111331449612285122610168092',NULL,'9999',35.48,1,3,NULL),(25,6388418,'1993-07-26 00:00:00',2,1,11,2010,'M','N','USINA','ANTÔNIO CARLOS','SC','124241241115151431533311575124610167042',5109,'21',58.47,1,2,1),(25,6388426,'1992-09-30 00:00:00',4,1,12,2009,'M','N','JARDIM UNIVERSITARIO','MARINGÁ','PR','116254251215471541328813575122610165062',1679,'9998',69.58,1,3,NULL),(25,6388434,'1991-10-22 00:00:00',4,1,12,2008,'F','N','SANTANA','PTO ALEGRE','RS','120202201217471431478838585114610163073',6153,'9998',53.97,1,3,NULL),(25,6388442,'1961-02-04 00:00:00',4,1,12,1982,'M','N','CENTRO','FLORIANÓPOLIS','SC','624241241126135411255543435122320926187',NULL,'307',35.29,1,3,NULL),(25,6388450,'1992-12-25 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124242241215271231546632572222610127042',NULL,'1207',28.86,1,3,NULL),(25,6388469,'1987-10-07 00:00:00',4,1,12,2005,'M','N','PARQUE VITÓRIA','S PAULO','SP','125254251217571431548831195122141462147',NULL,'9998',0.00,1,3,NULL),(25,6388477,'1993-01-13 00:00:00',4,1,12,2010,'M','N','TAQUARAÇUTUBA','IMARUÍ','SC','124241241145161732333311375121610114067',NULL,'356',30.17,1,2,1),(25,6388485,'1991-11-01 00:00:00',2,1,12,2008,'M','N','VILA CARRÃO','S PAULO','SP','125252251317571231447721472124610147182',6104,'9998',56.51,1,3,NULL),(25,6388493,'1985-12-20 00:00:00',4,1,12,2003,'M','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120202191116151111447819491114140232057',NULL,'9998',0.00,1,3,NULL),(25,6388507,'1992-03-16 00:00:00',2,8,12,2009,'F','N','IRIRIU','JOINVILLE','SC','124241241216131731526634346134610123147',12078,'1105',43.06,1,3,NULL),(25,6388515,'1993-05-01 00:00:00',4,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215111731447914575124610138182',10875,'1022',49.17,1,3,NULL),(25,6388523,'1989-09-06 00:00:00',2,2,11,2006,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241135575431334434175125610146192',1835,'69',68.44,1,2,1),(25,6388531,'1989-07-15 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124074241417272432489814374122221434035',2693,'1133',65.73,1,3,NULL),(25,6388558,'1994-02-11 00:00:00',4,8,12,2010,'F','N','CENTRO','PIÊN','PR','116161161116271731237723195122610114017',12548,'9998',42.04,1,2,1),(25,6388566,'1993-01-20 00:00:00',2,7,12,2010,'M','N','FLORESTA','VIDEIRA','SC','124241241215131731334331392124610127057',NULL,'1080',21.24,1,3,NULL),(25,6388574,'1988-10-04 00:00:00',2,1,12,2005,'F','N','CAMINHO NOVO','S JOSÉ','SC','124241241116272411233444345134333267057',NULL,'591',31.28,1,2,1),(25,6388582,'1987-05-20 00:00:00',2,1,12,2004,'M','N','POTECAS','S JOSÉ','SC','624161161126133431235443135133230827182',12858,'9998',41.79,1,2,1),(25,6388590,'1993-04-28 00:00:00',4,6,11,2010,'F','N','BOM RETIRO','CURITIBA','PR','116162161215471431459933571112610164183',NULL,'9998',0.00,1,3,NULL),(25,6388604,'1993-08-26 00:00:00',4,15,12,2010,'M','N','POLÍCIA RODOVIÁRIA','ARARANGUÁ','SC','124241241115161432426411445122610137057',NULL,'852',16.38,1,2,1),(25,6388612,'1993-12-15 00:00:00',2,1,12,2010,'M','N','CENTRO','GUABIJU','RS','120201201127131431424619195121610134057',NULL,'9998',17.45,1,2,1),(25,6388620,'1991-12-29 00:00:00',4,2,2,2009,'M','N','QUINTINO','TIMBÓ','SC','124241288147142411444319395122610124092',NULL,'9998',0.00,1,3,NULL),(25,6388639,'1989-04-07 00:00:00',4,1,12,2006,'M','N','VILA MARIANA','S PAULO','SP','125252251216571731469813575115610115061',NULL,'9998',0.00,1,3,NULL),(25,6388647,'1994-06-30 00:00:00',4,1,12,2010,'M','N','IPIRANGA','S JOSÉ','SC','124242241111121431449814572122610127042',19585,'1134',35.61,1,3,NULL),(25,6388655,'1992-12-19 00:00:00',4,3,11,2010,'M','N','BIGORRILHO','CURITIBA','PR','116162161215121411578813574111610135122',5956,'9998',55.76,1,3,NULL),(25,6388663,'1983-06-03 00:00:00',2,1,11,2000,'F','N','JARDIM MARISTELA','CRICIÚMA','SC','124244248411111431438511315124333246017',NULL,'209',28.20,1,3,NULL),(25,6388671,'1991-03-05 00:00:00',4,1,12,2008,'M','N','CECAP','REGISTRO','SP','125256251627571431449933575114610164177',8594,'9998',50.06,1,3,NULL),(25,6388680,'1994-01-15 00:00:00',2,7,12,2010,'F','N','SESI','VIDEIRA','SC','124244231215272431456934375122610122077',10832,'969',45.05,1,3,NULL),(25,6388698,'1992-09-03 00:00:00',2,1,12,2009,'F','N','JARDIM PORTO ALEGRE','TOLEDO','PR','116164161215471431346732575122610165012',NULL,'9998',0.00,1,3,NULL),(25,6388701,'1994-04-13 00:00:00',2,1,11,2011,'M','S','CENTRO','IMBITUBA','SC','124243241217131432467833575114610117117',NULL,'270',46.41,1,3,NULL),(25,6388710,'1988-02-23 00:00:00',2,1,11,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241116272431246621215123610127097',16861,'271',40.83,1,3,NULL),(25,6388728,'1986-04-14 00:00:00',2,1,10,2005,'M','N','PALHOCINHA','GAROPABA','SC','124201241147131731113636395122131422143',NULL,'383',18.11,1,3,NULL),(25,6388736,'1983-10-22 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241245127271731228374345134133212143',NULL,'607',25.95,2,1,1),(25,6388744,'1991-10-04 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127151232336513332124610127057',NULL,'283',33.16,4,2,1),(25,6388752,'1980-12-24 00:00:00',2,1,12,1998,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','224242241214472431233353435124322731197',NULL,'725',0.00,1,3,NULL),(25,6388779,'1985-04-07 00:00:00',2,1,12,2003,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244247337131431548573382112610133197',20669,'9999',32.51,1,3,NULL),(25,6388787,'1976-09-09 00:00:00',2,1,7,1994,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224242243226132711443353335132330842143',14640,'9997',44.24,1,3,NULL),(25,6388795,'1994-03-08 00:00:00',2,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111511378612575114610161142',NULL,'270',20.88,1,3,NULL),(25,6388817,'1987-02-16 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124251251146472431523317345124343264097',NULL,'9998',13.09,1,3,NULL),(25,6388825,'1993-11-24 00:00:00',2,9,11,2010,'M','N','DORNELLES','STO ÂNGELO','RS','120203201216111431336613291114610167042',12232,'9998',42.81,1,3,NULL),(25,6388833,'1992-03-27 00:00:00',4,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124112111217272731243732495122231064182',11696,'9998',43.30,1,3,NULL),(25,6388841,'1994-06-07 00:00:00',2,5,12,2010,'F','N','SAMUEL SANDRINI','ORLEANS','SC','124243241116271431428639275122610134097',12161,'580',42.94,4,3,NULL),(25,6388850,'1992-08-27 00:00:00',2,1,12,2009,'M','N','BELA VISTA','S JOSÉ','SC','124244241211472741435534272114610132142',8774,'738',51.18,1,3,NULL),(25,6388868,'1986-12-03 00:00:00',4,8,12,2004,'F','N','VILA NOVA','RIO NEGRINHO','SC','124241241116131411226324345124130244147',20345,'669',33.57,1,2,1),(25,6388876,'1992-04-15 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111411456612395122232022142',17907,'9997',39.02,1,3,NULL),(25,6388892,'1993-06-09 00:00:00',2,1,11,2010,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244241215111431527613572122610161112',NULL,'1118',18.94,1,3,NULL),(25,6388906,'1992-04-22 00:00:00',2,1,11,2009,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241127372131436474442124610117057',21375,'291',28.99,1,2,1),(25,6388914,'1994-04-01 00:00:00',4,1,12,2010,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124244241415271431447813375122610117057',11386,'299',49.08,1,3,NULL),(25,6388922,'1990-03-29 00:00:00',2,10,12,2007,'M','N','CENTRO','CAPIVARI BAIXO','SC','124242241214142431438914441124610137061',NULL,'797',26.64,2,1,2),(25,6388930,'1991-05-30 00:00:00',4,8,12,2008,'F','N','VILA MARIANA','S PAULO','SP','125243251215573451467614571114610163171',3749,'9998',61.15,1,3,NULL),(25,6388949,'1987-10-25 01:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','203025042243333222444434523223321824176',9657,'277',51.94,1,3,NULL),(25,6388957,'1993-01-15 00:00:00',2,10,11,2010,'M','N','RECIFE','TUBARÃO','SC','124242241215121431428933572121610137187',15723,'807',42.57,1,3,NULL),(25,6388965,'1983-01-17 00:00:00',2,8,12,1999,'F','N','CENTRO','CURITIBA','PR','116172171216572441259923575122610136122',NULL,'9998',0.00,4,3,NULL),(25,6388973,'1981-05-12 00:00:00',2,1,12,2009,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124221247125471731111148385134610137187',NULL,'9999',26.34,4,2,1),(25,6389007,'1983-07-19 00:00:00',4,1,10,2000,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124252071116271441138942325122140764042',15897,'9998',42.31,1,3,NULL),(25,6389015,'1979-02-03 00:00:00',4,3,12,1996,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241126271722343343135112610123187',16396,'756',36.24,1,2,1),(25,6389023,'1994-02-16 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241137371411536633375224610128142',9967,'307',47.41,1,2,1),(25,6389031,'1981-08-16 00:00:00',4,1,12,1998,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224163161116374441317648485124221728182',11729,'9998',48.57,1,3,NULL),(25,6389040,'1991-09-23 00:00:00',4,9,12,2008,'M','N','FUNDO CANOAS','RIO SUL','SC','124242241215371731336521445112610137057',NULL,'653',22.03,1,3,NULL),(25,6389058,'1989-04-12 00:00:00',4,8,12,2006,'M','N','VILA LARSEN','LONDRINA','PR','116162161216573441448823575145610164097',4993,'9998',58.20,1,3,NULL),(25,6389066,'1993-07-15 00:00:00',2,16,12,2010,'F','N','AGUA SANTA','CURITIBANOS','SC','124241241115271712538674575122610118145',17352,'239',34.32,1,2,1),(25,6389074,'1988-01-23 00:00:00',4,1,11,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241217373431239933275124233247047',NULL,'9999',0.00,1,3,NULL),(25,6389082,'1993-01-22 00:00:00',4,1,11,2010,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215113711579914572112610114142',12644,'270',42.34,1,3,NULL),(25,6389090,'1992-02-04 00:00:00',4,16,12,2009,'F','N','RONDINHA','PTE ALTA NORTE','SC','124241241127471731324623585112610147142',NULL,'626',0.00,1,2,1),(25,6389104,'1991-03-21 00:00:00',2,5,12,2007,'F','N','CENTRO','STA ROSA SUL','SC','124241241117271421423435342121610127057',NULL,'689',24.66,1,3,NULL),(25,6389112,'1992-04-07 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241317472712226644345124133261187',14038,'26',45.11,1,3,NULL),(25,6389139,'1984-12-18 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124161161122132311223374142124230826142',NULL,'9998',0.00,1,2,1),(25,6389147,'1992-06-27 00:00:00',4,15,12,2009,'M','N','COLONINHA','ARARANGUÁ','SC','124243242115161432649813575122231724141',NULL,'690',20.53,1,3,NULL),(25,6389155,'1994-05-16 00:00:00',2,15,12,2010,'M','N','PARQUE ALVORADA','ARARANGUÁ','SC','124241241115471411426613375123610115147',8643,'29',49.88,1,2,1),(25,6389163,'1992-09-14 00:00:00',5,15,12,2009,'F','N','DIVINÉIA','ARARANGUÁ','SC','124243241116272731436814395122223242092',NULL,'30',37.68,1,3,NULL),(25,6389171,'1992-05-13 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215151521568921575112610117112',NULL,'1086',31.83,1,3,NULL),(25,6389180,'1992-03-15 00:00:00',2,1,12,2010,'M','N','RATONES','FLORIANÓPOLIS','SC','124243241316471351535611375124610117042',16700,'287',35.13,1,3,NULL),(25,6389198,'1985-04-29 00:00:00',4,2,12,2002,'F','N','NOVA ITAPIRA','ITAPIRA','SP','125252251215111431358611575112341042182',12398,'9998',47.53,1,3,NULL),(25,6389201,'1991-12-06 00:00:00',4,1,12,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115371431438814575124610167062',7184,'267',53.10,1,2,1),(25,6389210,'1993-10-15 00:00:00',4,8,12,2010,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124241241215111531446919175121610164117',16377,'1061',41.60,1,3,NULL),(25,6389236,'1993-08-26 00:00:00',2,4,12,2010,'M','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241126131421513531592124610117052',10909,'182',45.24,1,2,1),(25,6389244,'1992-05-24 00:00:00',4,4,11,2010,'M','N','BOM FIM','PTO ALEGRE','RS','120242201217571431169931575125610137042',1820,'9998',69.38,1,3,NULL),(25,6389252,'1982-05-31 00:00:00',2,1,3,2003,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244247437133551428319485125130237045',NULL,'1003',0.00,1,3,NULL),(25,6389260,'1994-06-14 00:00:00',4,15,12,2010,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124242241215121411344932575122610144146',10770,'226',45.70,1,3,NULL),(25,6389279,'1990-05-10 00:00:00',4,8,12,2007,'M','N','IRIRIÚ','JOINVILLE','SC','124241246215371151236923485124130262147',17517,'1006',39.71,1,3,NULL),(25,6389287,'1985-10-18 00:00:00',2,15,12,2003,'M','N','AUXILIADORA','PTO ALEGRE','RS','120203201416272431489819475124141467042',1442,'9998',70.21,1,3,NULL),(25,6389295,'1985-12-18 00:00:00',4,1,12,2004,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241217242451546612325122220818092',NULL,'270',0.00,1,3,NULL),(25,6389309,'1992-01-15 00:00:00',4,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','120201201117471431438814475112610122197',NULL,'9998',26.38,1,2,1),(25,6389317,'1986-01-01 00:00:00',4,1,11,2005,'F','N','AREIAS','S JOSÉ','SC','124242248347131711328554442332130266097',NULL,'9997',0.00,1,3,NULL),(25,6389325,'1993-06-21 00:00:00',4,1,11,2010,'M','N','SUMARÉ','RIO SUL','SC','124242241212111431458933575122610127042',17978,'991',36.49,1,3,NULL),(25,6389333,'1990-03-18 00:00:00',2,8,12,2007,'M','N','JARDIM DUARTE','FOZ IGUAÇU','PR','116162161215571431356711592122610112142',NULL,'9998',0.00,1,3,NULL),(25,6389341,'1987-07-17 00:00:00',4,1,6,2007,'M','N','CENTRO','CAXIAS SUL','RS','120204201216271131236969485114610122187',17466,'9998',39.82,1,3,NULL),(25,6389350,'1990-01-03 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241134133431327621244224610164077',12049,'307',43.13,1,2,1),(25,6389368,'1993-09-16 00:00:00',4,3,12,2010,'M','N','JARDIM DO SOL','PARANAVAÍ','PR','116162161217111431249923285112610167047',17557,'9998',33.36,1,3,NULL),(25,6389376,'1992-07-25 00:00:00',4,8,12,2009,'M','N','JARDIM NOVA YORK','ARAÇATUBA','SP','125252251215271431458814572124610147042',NULL,'9998',0.00,3,3,NULL),(25,6389384,'1988-03-08 00:00:00',2,1,12,2005,'M','N','CRISTO REI','CURITIBA','PR','116162161215573431338919571124610137057',14873,'9998',38.51,1,3,NULL),(25,6389392,'1988-01-06 00:00:00',4,1,7,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241247122133431424424342334610132157',NULL,'736',0.00,4,1,1),(25,6389406,'1993-06-12 00:00:00',2,4,12,2010,'M','N','INTERIOR','PLANALTO','RS','120201201117131431323315292224610124047',NULL,'9998',29.65,1,2,1),(25,6389414,'1993-06-16 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','124244241411371431248924571125610148147',9942,'497',49.29,1,3,NULL),(25,6389422,'1993-05-08 00:00:00',2,1,12,2010,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215161432628614375122610162017',15888,'1134',38.00,1,3,NULL),(25,6389430,'1992-05-09 00:00:00',4,1,12,2009,'F','N','BELA VISTA','OSASCO','SP','125252251217471431558814575122610142167',6464,'9998',53.88,1,3,NULL),(25,6389449,'1979-03-07 00:00:00',2,1,10,1998,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243243136155421253544345124320827162',15004,'306',43.68,1,3,NULL),(25,6389465,'1990-03-20 00:00:00',2,1,12,2007,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241135373211346634245124610137052',15179,'295',43.44,1,2,1),(25,6389473,'1990-12-19 00:00:00',2,1,6,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124213217226131421127344345124133267047',21330,'9998',29.25,4,1,2),(25,6389481,'1987-11-02 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','224241247145231421334419343224610113187',NULL,'9999',35.61,1,3,NULL),(25,6389490,'1990-10-04 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241126272421536621345114610122183',NULL,'274',42.81,2,1,1),(25,6389503,'1992-12-14 00:00:00',4,8,11,2010,'M','N','BUCAREIN','JOINVILLE','SC','124242241215271411469712575122610138187',NULL,'461',0.00,1,3,NULL),(25,6389520,'1991-01-21 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124163241316272431337624245124610122197',12748,'9997',46.99,1,3,NULL),(25,6389538,'1987-02-22 00:00:00',4,16,12,2005,'F','N','PARTENON','PTO ALEGRE','RS','120201208126131241423375442134610116187',NULL,'9998',0.00,1,2,1),(25,6389546,'1992-09-13 00:00:00',4,4,12,2010,'M','N','ESTRELA','S MIGUEL OESTE','SC','124242241215151431456932575122610127062',19331,'752',36.20,1,3,NULL),(25,6389554,'1993-07-19 00:00:00',4,1,11,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431479933575112610142132',5712,'270',56.80,1,3,NULL),(25,6389562,'1987-04-15 00:00:00',4,8,12,2004,'M','N','VIEIRAS','JARAGUÁ SUL','SC','124241241146372431333644245123131464187',11087,'339',46.52,1,2,1),(25,6389570,'1984-11-18 00:00:00',2,1,12,2003,'M','N','PACHECO','PALHOÇA','SC','124241244127572721546637482122610117042',19619,'593',30.66,1,2,1),(25,6389589,'1993-11-27 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116371431327711575124610124147',NULL,'257',24.76,1,3,NULL),(25,6389597,'1992-07-23 00:00:00',4,9,12,2010,'F','N','VILA MARIA','LAGES','SC','124243247615471451445319576124610146182',NULL,'9999',0.00,4,3,NULL),(25,6389600,'1993-05-06 00:00:00',2,4,12,2010,'M','N','FLOR','XAXIM','SC','124241241116131411423439245125610127057',NULL,'847',27.20,1,3,NULL),(25,6389619,'1994-05-23 00:00:00',4,16,12,2011,'M','S','CENTRO','CURITIBANOS','SC','124242241211111232547512582122610117067',NULL,'237',27.25,1,3,NULL),(25,6389627,'1982-10-13 00:00:00',2,10,12,1999,'F','N','MAGALHÃES','LAGUNA','SC','124246241626132431323319285124133237077',17455,'524',39.83,1,3,NULL),(25,6389635,'1992-09-21 00:00:00',4,1,12,2009,'M','N','CENTRO','FOZ IGUAÇU','PR','116162161216471331469931472122610267042',2598,'9998',66.04,1,3,NULL),(25,6389643,'1990-10-12 00:00:00',4,1,12,2008,'F','N','BIGORRILHO','CURITIBA','PR','116252251211571731168823575114141462122',NULL,'9998',0.00,1,3,NULL),(25,6389651,'1993-02-18 00:00:00',2,1,11,2010,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124243241117151731343332345111610137062',17939,'65',38.96,1,3,NULL),(25,6389660,'1989-10-17 00:00:00',4,4,12,2007,'M','N','CENTRO','CASCAVEL','PR','116162161215571431234869575112610161117',536,'9998',75.72,1,3,NULL),(25,6389686,'1993-05-18 00:00:00',2,4,12,2010,'F','N','CENTRO','ERVAL GRANDE','RS','120201201136131431448833376122610167147',NULL,'9998',33.52,1,2,1),(25,6389694,'1985-02-06 00:00:00',2,15,7,2003,'M','N','GARAPUVU','ERMO','SC','224241241127271431223354385113610162177',12866,'250',42.17,1,2,1),(25,6389708,'1991-04-22 00:00:00',4,10,12,2008,'M','N','SANGÃOZINHO','SANGÃO','SC','124241241126151731533311352122610162147',NULL,'685',35.31,1,2,1),(25,6389716,'1992-07-08 00:00:00',4,1,11,2009,'F','N','ACLIMAÇÃO','S PAULO','SP','125252251217571431547812575125610162097',NULL,'9998',0.00,1,3,NULL),(25,6389724,'1983-01-28 00:00:00',2,1,12,2000,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216133711636616242124122924077',20248,'720',33.92,1,3,NULL),(25,6389732,'1992-05-30 00:00:00',2,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201241125141731323624345124610134057',NULL,'290',0.00,1,3,NULL),(25,6389740,'1988-11-21 00:00:00',2,1,1,2008,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124201207136371431323744345124141722023',14431,'9998',40.04,1,2,1),(25,6389759,'1988-06-06 00:00:00',2,17,12,2005,'F','N','CENTRO','MAJ VIEIRA','SC','124241241127271431436314235124610164147',19005,'548',33.59,1,2,1),(25,6389767,'1990-10-07 00:00:00',2,1,11,2008,'F','N','PILARZINHO','CURITIBA','PR','116161161316452441433564242234610137057',19462,'9998',30.78,1,3,NULL),(25,6389775,'1992-04-05 00:00:00',4,6,12,2009,'F','N','BOM RETIRO','CURITIBA','PR','116162161215472431459833571112610123152',NULL,'9998',0.00,1,3,NULL),(25,6389791,'1993-12-06 00:00:00',4,8,11,2010,'F','N','CENTRO','JOINVILLE','SC','124242241235371431458812472122610164147',3490,'461',61.96,1,3,NULL),(25,6389805,'1992-02-13 00:00:00',4,16,12,2009,'F','N','RONDINHA','PTE ALTA NORTE','SC','124241241126471421224667485112610134197',NULL,'626',0.00,4,2,1),(25,6389813,'1993-03-05 00:00:00',4,1,11,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115111431468613472124610134145',13066,'267',46.50,1,2,1),(25,6389821,'1989-03-03 00:00:00',4,1,12,2006,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215374431467812495122133225142',NULL,'272',0.00,1,3,NULL),(25,6389830,'1983-09-10 00:00:00',4,1,12,2001,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','624241241126133421233144345332610132087',NULL,'869',0.00,1,2,1),(25,6389848,'1983-07-23 00:00:00',4,1,12,2001,'M','N','CENTRO','PALHOÇA','SC','224241241136272431333344245125220266197',NULL,'505',0.00,2,1,1),(25,6389856,'1990-09-14 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216273751369813575122230424187',9994,'270',51.36,1,3,NULL),(25,6389864,'1991-06-10 00:00:00',4,8,7,2009,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124112281216472431468832575121231434122',NULL,'9998',22.66,1,3,NULL),(25,6389872,'1994-01-26 00:00:00',4,7,12,2010,'M','N','LOTEAMENTO FERNANDA','CAPINZAL','SC','124241241115271331424314215124610164077',NULL,'156',22.99,4,2,1),(25,6389880,'1993-03-23 00:00:00',2,1,11,2010,'M','N','SERRARIA','BIGUAÇU','SC','124242241215121431458814575112610137052',17473,'1050',39.79,1,3,NULL),(25,6389899,'1990-07-25 00:00:00',4,1,12,2007,'M','N','PROTÁSIO ALVES','PTO ALEGRE','RS','120204208116131431469714343124610162187',NULL,'9998',0.00,1,3,NULL),(25,6389902,'1990-05-21 00:00:00',4,8,12,2007,'M','N','AGUA VERDE','CURITIBA','PR','116162161211572221358712573125142812041',NULL,'9998',0.00,1,3,NULL),(25,6389910,'1990-02-16 00:00:00',2,7,12,2008,'M','N','CENTRO','OURO','SC','124244241427132211233922325121231264011',NULL,'1093',28.32,1,3,NULL),(25,6389937,'1991-05-15 00:00:00',2,6,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241215371431533315292124610147181',NULL,'969',35.06,1,3,NULL),(25,6389945,'1991-08-31 00:00:00',4,2,12,2009,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241216221411439814315122133224112',NULL,'855',0.00,1,3,NULL),(25,6389953,'1983-10-11 00:00:00',4,1,12,2001,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241216274421686824325123323211057',2471,'88',67.55,1,3,NULL),(25,6389961,'1994-01-22 00:00:00',2,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124244241216111432425712575122610127092',NULL,'1021',18.27,1,3,NULL),(25,6389996,'1984-09-22 00:00:00',4,1,6,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241117132421557813435122121462057',8316,'306',54.29,1,3,NULL),(25,6390005,'1986-09-19 00:00:00',4,1,12,2004,'M','N','CAMPINAS','S JOSÉ','SC','124241241215575431487532432112122334117',10547,'737',47.60,4,3,NULL),(25,6390013,'1993-04-06 00:00:00',4,15,12,2010,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241215371731428634395125610114187',NULL,'29',13.97,1,3,NULL),(25,6390021,'1992-08-25 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241115271731676363595122231963197',16870,'292',40.82,1,3,NULL),(25,6390030,'1994-01-17 00:00:00',2,15,12,2010,'F','N','FERROVIÁRIO','MONTENEGRO','RS','120203201116471431446812222122610122117',18553,'9998',32.96,1,3,NULL),(25,6390048,'1989-01-03 00:00:00',2,1,12,2006,'F','N','TV MORENA','CPO GRANDE','MS','112121121216141741663916575122242062072',NULL,'9998',0.00,4,3,NULL),(25,6390056,'1962-01-29 00:00:00',4,1,7,1981,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','524243166111151711134442421122233236176',18806,'9998',37.34,1,3,NULL),(25,6390064,'1993-04-09 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124241248116141531446633335122610142017',17892,'169',33.40,1,2,1),(25,6390072,'1992-04-07 00:00:00',4,1,12,2009,'M','N','CENTRO','GAROPABA','SC','124241241146372431424471375124610134042',8332,'322',51.23,1,2,1),(25,6390080,'1990-02-04 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215473431439613481124231427112',21324,'1022',23.64,1,3,NULL),(25,6390099,'1991-03-10 00:00:00',4,8,12,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124241246217371432437614345114610127057',19806,'1006',35.13,1,3,NULL),(25,6390102,'1992-12-13 00:00:00',4,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242246116371411567732244124610147052',2170,'306',68.61,1,3,NULL),(25,6390110,'1993-10-21 00:00:00',4,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124243241225111731423611274124610128022',20988,'262',25.26,1,3,NULL),(25,6390137,'1993-04-12 00:00:00',2,4,12,2010,'M','N','CENTRO','ITAPIRANGA','SC','124241241416161331326539395121610127057',NULL,'1060',39.37,1,3,NULL),(25,6390145,'1991-04-11 00:00:00',4,3,12,2008,'M','N','MARIA IZABEL','MARÍLIA','SP','125252251215372431368811575112610162052',8144,'9998',51.01,1,3,NULL),(25,6390153,'1993-04-30 00:00:00',4,4,11,2010,'M','N','BELA VISTA','ITAPIRANGA','SC','124241241235131411623634275121610124017',NULL,'1060',32.55,1,3,NULL),(25,6390161,'1991-01-28 00:00:00',4,1,12,2007,'M','N','MADUREIRA','CAXIAS SUL','RS','120202201216572451489911575112610164043',14478,'9998',39.68,1,3,NULL),(25,6390170,'1993-06-13 00:00:00',2,1,12,2010,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241116431751413319575124610133077',20475,'288',29.75,1,2,1),(25,6390196,'1954-11-16 00:00:00',2,1,9,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','224241247117131411662243432132610142145',21244,'9999',29.78,1,3,NULL),(25,6390200,'1991-10-07 00:00:00',4,1,12,2009,'M','N','SÃO LUIZ','S JOSÉ','SC','124243241417271751446811232114610117042',21453,'1075',28.41,1,3,NULL),(25,6390218,'1993-05-26 00:00:00',4,3,12,2010,'M','N','JARDIM TABAETE','MARINGÁ','PR','116162161216151431449611372112610164072',5116,'9998',58.44,1,3,NULL),(25,6390226,'1994-03-26 00:00:00',4,15,11,2010,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124242241217151431339718215121610137042',8573,'26',53.82,2,1,2),(25,6390234,'1989-05-03 00:00:00',4,1,11,2007,'M','N','VILA FRANCISCO MATAR','STO ANDRÉ','SP','125252247426271111478719495114610162043',NULL,'9998',0.00,1,3,NULL),(25,6390242,'1986-04-09 00:00:00',4,7,12,2003,'M','N','CENTRO','HERVAL D OESTE','SC','124241241146151731435431245123610164141',21242,'341',29.80,1,3,NULL),(25,6390250,'1991-12-23 00:00:00',4,1,12,2008,'M','N','MATO QUEIMADO','NOVA TRENTO','SC','124242241215472431559812375122221437182',NULL,'948',32.70,1,3,NULL),(25,6390269,'1992-10-18 00:00:00',4,1,11,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242251215272431448933585124233241056',14495,'1047',44.46,1,3,NULL),(25,6390277,'1993-09-15 00:00:00',2,15,12,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124241241111371431549923591122610127042',14500,'29',39.86,1,2,1),(25,6390285,'1987-02-05 00:00:00',2,8,12,2004,'M','N','CENTRO','CURITIBA','PR','116162161211413411468833472121143264012',NULL,'9998',0.00,4,1,2),(25,6390307,'1982-08-30 00:00:00',4,1,12,1999,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124203201117131151226621445134140244045',NULL,'9998',0.00,1,3,NULL),(25,6390331,'1992-11-24 00:00:00',2,6,12,2009,'F','N','SANTANA','RIO SUL','SC','124241241116131531438811382122610137147',NULL,'1056',24.05,1,3,NULL),(25,6390340,'1993-11-23 00:00:00',2,7,12,2010,'F','N','MENINO DEUS','JOAÇABA','SC','124241241115371431323314582224610117057',NULL,'449',19.88,1,2,1),(25,6390358,'1993-06-25 00:00:00',2,1,12,2010,'F','N','PAGARÁ','STO AMARO IMPERATRIZ','SC','124241241111371411433315571122610164142',18847,'772',37.25,1,2,1),(25,6390366,'1993-07-16 00:00:00',4,1,11,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','105052051217111431648732575122610123092',NULL,'9998',0.00,1,3,NULL),(25,6390374,'1982-05-26 00:00:00',4,1,12,1999,'F','N','CENTRO','PALHOÇA','SC','124242241116375421434434345124610148093',20271,'307',33.84,1,3,NULL),(25,6390382,'1993-09-01 00:00:00',4,4,12,2010,'F','N','CENTRO','MARIPÁ','PR','116163161215113431439731571112610112172',NULL,'9998',0.00,4,3,NULL),(25,6390390,'1989-08-12 00:00:00',4,15,12,2009,'M','N','CRISTO RENDENTOR','MORRINHOS','GO','109091091126241411535733342121610123013',NULL,'9998',0.00,4,2,1),(25,6390420,'1993-01-05 00:00:00',2,3,12,2010,'F','N','TATUAPÉ','S PAULO','SP','125252251217111731533712155122610134197',10468,'9998',46.53,1,3,NULL),(25,6390439,'1993-04-13 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124241241115271731426623395122610124147',NULL,'239',14.20,1,2,1),(25,6390447,'1993-04-25 00:00:00',4,1,12,2010,'F','N','ENCANTADA','GAROPABA','SC','124241241125161431324311372124610133147',NULL,'322',22.86,1,2,1),(25,6390455,'1991-09-21 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241116142751533639495115610167047',20208,'307',34.04,1,2,1),(25,6390463,'1990-08-08 00:00:00',4,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215142431428721395124221464112',6583,'269',57.52,1,3,NULL),(25,6390471,'1993-08-19 00:00:00',4,1,12,2010,'F','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125252251235151431338811575122610134192',NULL,'9998',0.00,1,3,NULL),(25,6390498,'1991-12-18 00:00:00',2,5,12,2009,'F','N','VILA BUARQUE','S PAULO','SP','125251251116141731533319495115610117097',NULL,'9998',0.00,1,2,1),(25,6390501,'1992-10-06 00:00:00',4,6,12,2010,'F','N','CENTRO','ITAJAÍ','SC','124281241215271231236624575124610144017',15247,'1017',43.33,1,3,NULL),(25,6390528,'1992-10-31 00:00:00',4,1,12,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216112432539813592122610162047',4413,'1133',62.23,1,3,NULL),(25,6390536,'1991-09-24 00:00:00',4,8,12,2009,'M','N','MORRO DO MEIO','JOINVILLE','SC','124241241116171531334331342122610135111',NULL,'479',0.00,1,2,1),(25,6390544,'1990-10-21 01:00:00',4,1,12,2007,'M','N','ROÇADO','S JOSÉ','SC','124241241117272431326648285112610137187',17312,'726',40.08,1,2,1),(25,6390552,'1993-07-26 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241115271431157731572122610128182',8756,'262',50.62,1,3,NULL),(25,6390560,'1992-05-15 00:00:00',2,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241132141711123344345224610146012',NULL,'734',23.62,1,2,1),(25,6390579,'1994-03-04 00:00:00',4,2,12,2010,'M','N','CENTRO','STO ÂNGELO','RS','112202201217161311448832575122610132042',21540,'9998',27.55,1,3,NULL),(25,6390587,'1980-07-04 00:00:00',4,1,7,2004,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124201207124131711112144241321610154143',NULL,'9998',21.54,1,3,NULL),(25,6390595,'1993-01-17 00:00:00',4,1,12,2009,'M','N','PARQUE DO SOM','PATO BRANCO','PR','116161161116371331466734245124141464192',12578,'9998',47.23,1,2,1),(25,6390609,'1991-01-01 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124243241117133321436934315124232913072',NULL,'306',0.00,1,3,NULL),(25,6390617,'1992-12-28 00:00:00',4,1,11,2010,'M','N','PORTO GRANDE','S SEBASTIÃO','SP','125252251215111631458932575122610112044',NULL,'9998',27.44,1,3,NULL),(25,6390625,'1990-11-15 00:00:00',2,6,12,2007,'M','N','BELA VISTA','BAL PIÇARRAS','SC','124241244137141411638632292122133224097',NULL,'542',14.93,1,2,1),(25,6390633,'1989-12-05 00:00:00',4,1,12,2007,'M','N','ORFÃS','PNT GROSSA','PR','116164161217271431538614435112140742042',4730,'9998',59.61,1,3,NULL),(25,6390641,'1990-03-18 00:00:00',4,10,12,2007,'M','N','MAR GROSSO','LAGUNA','SC','124122121211171741439811375124141032182',NULL,'9998',0.00,1,3,NULL),(25,6390668,'1987-09-24 00:00:00',4,1,12,2005,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124202241346154441228871216122220965182',NULL,'307',0.00,1,3,NULL),(25,6390676,'1994-01-31 00:00:00',4,1,12,2010,'F','N','BELA VISTA','PALHOÇA','SC','124241241625111431331923575114610124142',10094,'262',47.72,4,3,NULL),(25,6390684,'1991-10-08 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215152411348823472122610134082',10818,'1022',46.84,1,3,NULL),(25,6390706,'1991-05-30 00:00:00',4,1,11,2008,'M','N','FORQUILINHA','S JOSÉ','SC','124241241116131411116341312124231047142',NULL,'29',0.00,1,3,NULL),(25,6390722,'1992-12-11 00:00:00',2,1,12,2010,'F','N','ESPLANADA','CAXIAS SUL','RS','120204201217271731363834575122610127147',NULL,'9998',0.00,1,3,NULL),(25,6390730,'1993-06-06 00:00:00',4,1,11,2010,'M','N','BAIRRO BAÚ','CUIABÁ','MT','111112111215111411379813572112610166182',NULL,'9998',0.00,1,3,NULL),(25,6390749,'1993-06-18 00:00:00',2,9,12,2009,'M','N','CENTRO','ANITA GARIBALDI','SC','124244241117161411457911245112131417042',NULL,'18',0.00,4,3,NULL),(25,6390781,'1993-11-09 00:00:00',4,1,11,2010,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241115371411439613575124610144017',13946,'307',39.88,1,2,1),(25,6390790,'1992-05-02 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241117151411366317475124610134095',12796,'739',40.90,1,2,1),(25,6390803,'1972-06-06 00:00:00',2,1,10,1999,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224251257136131721544474245122242756032',NULL,'9998',18.75,1,3,NULL),(25,6390820,'1984-10-10 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216575431248939495124231062042',NULL,'262',0.00,1,3,NULL),(25,6390838,'1992-04-14 00:00:00',2,10,11,2009,'M','N','OFICINAS','TUBARÃO','SC','124242241215472431369924575121610117112',12612,'806',42.36,2,1,2),(25,6390846,'1988-12-28 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124244241237152421466819445133610168187',NULL,'9997',30.63,1,3,NULL),(25,6390854,'1985-12-22 00:00:00',4,1,12,2002,'M','N','CENTRO','STA MARIA','RS','120203201116143431336529395124241447042',6514,'9998',53.07,1,3,NULL),(25,6390889,'1991-10-15 00:00:00',4,8,12,2008,'M','N','FLORESTA','JOINVILLE','SC','124242241217372711358929571124140422117',270,'1016',79.68,1,3,NULL),(25,6390897,'1992-09-07 00:00:00',4,3,12,2009,'F','N','OLIVEIRA','TIJUCAS','SC','124241241117131431523336355114610124147',NULL,'783',26.59,1,2,1),(25,6390900,'1993-09-15 00:00:00',4,8,12,2010,'F','N','CORTICEIRA','GUARAMIRIM','SC','124241241125141331523314111124610134057',20823,'337',31.86,1,2,1),(25,6390919,'1991-07-20 00:00:00',2,1,12,2009,'M','N','CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC','124242241215372731653432575114610127042',19648,'1048',35.46,1,3,NULL),(25,6390927,'1988-09-22 00:00:00',2,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241247146573421126314445124222224187',NULL,'9999',34.66,1,2,1),(25,6390943,'1992-02-26 00:00:00',4,8,12,2009,'F','N','NOVA CAIEIRAS','CAIEIRAS','SP','125252251116471451438813575124610168042',2707,'9998',64.02,4,3,NULL),(25,6390960,'1985-07-17 00:00:00',4,1,12,2002,'M','N','KOBRASOL','S JOSÉ','SC','124242241217112711257623475122120737043',6884,'723',56.94,1,3,NULL),(25,6390978,'1988-07-08 00:00:00',2,1,8,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241111372431224944241123610162097',16258,'306',41.76,1,2,1),(25,6390986,'1990-04-16 00:00:00',2,8,12,2007,'F','N','CENTRO','MEDIANEIRA','PR','116161161117471431236923285124241522042',14215,'9998',44.84,1,3,NULL),(25,6390994,'1977-08-21 00:00:00',2,1,1,1995,'M','N','MEDIANEIRA','STA MARIA','RS','120201201117571731226669472112140866187',8544,'9998',50.21,1,2,1),(25,6391001,'1985-06-05 00:00:00',4,1,12,2003,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124252251217111411668712115122141264113',NULL,'9998',0.00,1,3,NULL),(25,6391010,'1991-08-05 00:00:00',4,5,12,2009,'M','N','PRESIDENTE VARGAS','IÇARA','SC','124241241147141631523411296123610117097',21644,'1202',26.25,1,2,1),(25,6391028,'1989-05-09 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241126142431426634115134610116182',NULL,'295',16.60,2,1,1),(25,6391036,'1990-10-17 00:00:00',2,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124241241115271411525611345124610127087',NULL,'307',20.13,4,2,1),(25,6391044,'1992-10-05 00:00:00',4,1,12,2009,'M','N','MONTE CASTELO','CPO GRANDE','MS','112122121237271431657826345124610167042',11587,'9998',45.94,1,3,NULL),(25,6391052,'1959-06-06 00:00:00',2,1,6,1987,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','224243246126155411456643234123121724093',9698,'9997',51.87,1,3,NULL),(25,6391060,'1984-08-21 00:00:00',4,1,12,2002,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241114275731439413495124221227052',9143,'757',52.78,1,2,1),(25,6391079,'1985-03-31 00:00:00',2,8,11,2002,'M','N','BELA VISTA','BAL PIÇARRAS','SC','124241241147131431648611112113132922092',21336,'545',29.23,1,2,1),(25,6391087,'1990-11-03 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124024021216131731446814595124233267112',20922,'9998',31.40,1,3,NULL),(25,6391095,'1992-01-21 00:00:00',4,15,12,2009,'M','N','SAPIRANGA','MELEIRO','SC','124241248116151431527439575122610127054',NULL,'30',24.82,1,3,NULL),(25,6391109,'1991-09-01 00:00:00',2,1,10,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215272431466814345134610128152',NULL,'723',0.00,1,3,NULL),(25,6391125,'1992-08-11 00:00:00',4,1,11,2009,'F','N','MOEMA','S PAULO','SP','125252251215572411268612315124610133053',NULL,'9998',24.54,1,3,NULL),(25,6391133,'1989-05-05 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241212474421348613445124610163057',14651,'269',44.23,1,3,NULL),(25,6391141,'1994-02-09 00:00:00',2,2,12,2010,'M','N','LIMOEIRO','BRUSQUE','SC','124243241115271311458819575124610147052',15512,'876',42.88,1,3,NULL),(25,6391150,'1991-05-15 00:00:00',2,1,12,2008,'M','N','CENTRO','PALHOÇA','SC','116242241216573511437711475122241427042',NULL,'989',20.00,1,3,NULL),(25,6391184,'1992-03-30 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216372231678617575112131014142',20013,'272',34.53,1,3,NULL),(25,6391192,'1989-04-23 00:00:00',4,1,12,2006,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241117372711537719345134610124057',18587,'9997',37.78,1,2,1),(25,6391206,'1991-12-06 00:00:00',2,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241211131731438831572114610142067',17465,'269',39.82,1,3,NULL),(25,6391214,'1988-08-08 00:00:00',2,1,12,2006,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241116133431436613245123610127062',14303,'307',44.71,1,3,NULL),(25,6391230,'1986-01-20 00:00:00',4,1,12,2003,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','224241241126133431436354345124610134147',18112,'594',38.62,1,2,1),(25,6391249,'1987-11-23 00:00:00',2,10,11,2005,'M','N','CENTRO','TUBARÃO','SC','124243246111214611325612111121112811112',NULL,'9999',25.53,1,3,NULL),(25,6391257,'1988-09-28 00:00:00',4,1,12,2005,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217153442459933385122333242127',15351,'270',43.14,1,3,NULL),(25,6391265,'1988-10-07 00:00:00',4,1,11,2005,'F','N','JARDIM SANTA CRUZ','S PAULO','SP','125252253316231231428811372114140435127',NULL,'9998',0.00,1,3,NULL),(25,6391281,'1977-12-09 00:00:00',2,1,12,1998,'M','N','BOM VIVER','BIGUAÇU','SC','624241245146142431423343235122610125142',NULL,'66',0.00,1,2,1),(25,6391290,'1992-10-24 00:00:00',4,1,12,2010,'M','N','CARANDÁ BOSQUE I','CPO GRANDE','MS','112122121215471431479931572122610164092',224,'9998',79.66,1,3,NULL),(25,6391303,'1984-07-26 00:00:00',4,1,12,2003,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124281281136141751138113492124221414042',NULL,'9998',0.00,2,3,NULL),(25,6391311,'1991-07-03 00:00:00',4,1,12,2008,'M','N','VILA SOFIA','S PAULO','SP','125252251215371431367821345124610147054',2841,'9998',65.24,1,3,NULL),(25,6391320,'1993-02-25 00:00:00',4,1,12,2010,'M','N','VILA MENUZZO','SUMARÉ','SP','125254251217111431339611575122610122082',NULL,'9998',0.00,4,3,NULL),(25,6391338,'1993-04-05 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241215111721337414575112610164142',NULL,'738',30.93,1,3,NULL),(25,6391354,'1983-06-16 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252251217472741126619575122121746187',8091,'9998',54.70,1,3,NULL),(25,6391362,'1989-09-26 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242243117133431448811495125220768012',11197,'129',49.39,1,3,NULL),(25,6391370,'1992-01-23 00:00:00',2,1,12,2009,'F','N','CANASVIRIRAS','FLORIANÓPOLIS','SC','124161241116272421535531282114610134143',18269,'288',33.35,1,2,1),(25,6391389,'1988-11-08 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124241241116232731627611385124133223187',NULL,'734',29.76,1,3,NULL),(25,6391397,'1988-06-18 00:00:00',4,1,12,2006,'M','N','PONTE PRETA','CAMPINAS','SP','125251256317131311427611196341610127162',14349,'9998',39.06,1,3,NULL),(25,6391400,'1983-08-16 00:00:00',3,1,11,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216153711657717435125321465023',6493,'266',57.73,1,3,NULL),(25,6391419,'1986-12-30 00:00:00',4,8,12,2005,'M','N','SANTA CÂNDIDA','CURITIBA','PR','216161161127471711555819295122141464197',NULL,'9998',16.22,1,2,1),(25,6391427,'1990-08-16 00:00:00',2,8,12,2007,'M','N','SAGUAÇU','JOINVILLE','SC','124241241116371431446933235124231427062',NULL,'153',0.00,4,2,1),(25,6391435,'1986-07-02 00:00:00',4,1,12,2003,'M','N','JARDIM SÃO PEDRO','PTO ALEGRE','RS','120202201217121721357823495122241434047',11305,'9998',49.20,1,3,NULL),(25,6391451,'1971-03-29 00:00:00',4,1,12,1988,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216124721568811432122121464197',NULL,'1169',0.00,1,3,NULL),(25,6391478,'1981-08-10 00:00:00',4,1,12,2000,'M','N','JARDIM AMÉRICA','CAMPINAS','SP','125252256137471451426839215122241443187',NULL,'9998',0.00,1,3,NULL),(25,6391486,'1991-06-27 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241417112731336732585112610137117',NULL,'1022',31.92,1,3,NULL),(25,6391494,'1991-01-19 00:00:00',2,8,12,2008,'F','N','ADHEMAR GARCIA','JOINVILLE','SC','624241241115371411226521445124610127042',NULL,'467',22.22,1,3,NULL),(25,6391508,'1991-03-27 00:00:00',2,1,12,2008,'M','N','CENTRO','PARANAVAÍ','PR','116161241216152231268831415125241434052',5293,'1022',60.20,1,3,NULL),(25,6391516,'1985-12-10 00:00:00',2,1,4,2004,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241117155741349729415122232763192',14663,'739',44.20,1,3,NULL),(25,6391524,'1992-05-12 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241217272431469814375112610131092',10656,'270',46.14,1,3,NULL),(25,6391532,'1989-01-30 00:00:00',4,1,12,2006,'M','N','SERRARIA','S JOSÉ','SC','124241241117132431127644345123121724182',7177,'257',52.69,4,2,1),(25,6391540,'1993-09-08 00:00:00',4,4,12,2010,'F','N','BORTOLON','XANXERÊ','SC','124244241215141431468813575122610168121',NULL,'836',29.31,1,3,NULL),(25,6391559,'1990-08-16 00:00:00',2,6,11,2008,'F','N','EUCALIPTOS','FAZ RIO GRANDE','PR','116251251116571431333719274222610162181',NULL,'9998',0.00,1,2,1),(25,6391567,'1976-06-12 00:00:00',2,1,7,1995,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124212217241141411138841341124142066092',NULL,'9998',0.00,1,3,NULL),(25,6391575,'1989-02-01 00:00:00',2,1,12,2005,'M','N','DISTRITO INDÚSTRIAL','RIO BRANCO','AC','101012011236575431456612572124143227047',1539,'9998',70.36,4,1,2),(25,6391583,'1992-08-20 00:00:00',2,10,12,2009,'F','N','CENTRO','CAPIVARI BAIXO','SC','116161161117131731324529271114610122072',11662,'9998',44.01,1,2,1),(25,6391591,'1990-07-11 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244246215471431235923415124610121077',19849,'1013',35.03,1,3,NULL),(25,6391605,'1994-02-19 00:00:00',4,8,11,2011,'M','S','BUCAREIN','JOINVILLE','SC','124241241212111712445611175112610117052',NULL,'461',42.58,1,3,NULL),(25,6391613,'1990-07-31 00:00:00',4,8,12,2008,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216313431589914475112120217092',NULL,'1063',0.00,1,3,NULL),(25,6391621,'1980-09-17 00:00:00',2,1,12,1997,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161216115411249841215124221466162',NULL,'9998',0.00,1,3,NULL),(25,6391630,'1994-07-11 00:00:00',2,7,12,2011,'F','S','D E R','CAÇADOR','SC','124242241216111731548719572122610128152',NULL,'1124',34.43,1,3,NULL),(25,6391648,'1992-08-17 00:00:00',2,1,11,2009,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124244248415472411449732575124610115045',17259,'270',40.17,1,3,NULL),(25,6391672,'1993-09-30 00:00:00',4,1,11,2010,'M','N','DANIELA','FLORIANÓPOLIS','SC','124242241215121431478813575112610134172',11003,'270',49.67,1,3,NULL),(25,6391680,'1991-09-07 00:00:00',4,1,12,2009,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241211372431488834575122131434072',19119,'270',36.71,1,3,NULL),(25,6391699,'1994-01-10 00:00:00',2,4,11,2010,'M','N','CENTRO','CONCÓRDIA','SC','124246241237371231538912576122610117042',NULL,'1001',25.81,2,1,2),(25,6391702,'1989-10-11 00:00:00',2,1,12,2006,'F','N','JD IMPERIAL','MARINGÁ','PR','116122161214571431346319574112610125017',3560,'9998',61.84,1,3,NULL),(25,6391710,'1982-01-25 00:00:00',2,1,12,2000,'M','N','AREIAS','S JOSÉ','SC','124241241127132431224641315133610142177',17789,'730',39.26,1,2,1),(25,6391729,'1992-12-22 00:00:00',2,1,11,2009,'F','N','AREIAS','S JOSÉ','SC','124244241217132431437631571124233268197',NULL,'270',0.00,1,3,NULL),(25,6391737,'1991-07-03 00:00:00',4,1,12,2008,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124242241212111332569713475124231043197',14460,'273',44.51,1,3,NULL),(25,6391745,'1991-10-09 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','123241241137571732443411145114610127067',15148,'733',41.55,2,2,1),(25,6391753,'1992-06-07 00:00:00',2,1,12,2009,'F','N','JOÃO LEME DO PRADO','MACATUBA','SP','125251258445471731446833295124610126142',NULL,'9998',38.74,1,3,NULL),(25,6391761,'1988-04-12 00:00:00',2,1,12,2005,'M','N','GUIOMAR','ANTÔNIO CARLOS','SC','124241241116272531536615572124610147042',9250,'21',49.07,1,2,1),(25,6391770,'1993-05-14 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241416111432427422575215610114187',NULL,'1022',29.59,1,3,NULL),(25,6391788,'1992-08-05 00:00:00',2,7,12,2009,'F','N','SANTA TEREZINHA','CAPINZAL','SC','124241241116371431425923575122610125077',17540,'156',33.95,1,2,1),(25,6391796,'1983-10-07 00:00:00',2,8,12,2002,'F','N','CIDADE INDUSTRIAL','CURITIBA','PR','116163161135571431229344445123610132187',8680,'9998',50.24,4,3,NULL),(25,6391800,'1993-09-12 00:00:00',4,15,12,2010,'F','N','SANTA TEREZINHA','JACINTO MACHADO','SC','124241241136131731313321215121610168147',NULL,'420',18.58,1,3,NULL),(25,6391826,'1989-12-28 00:00:00',2,8,11,2007,'F','N','VILA NOVA','ARAUCÁRIA','PR','116162161215571421436614441124610162052',NULL,'9998',0.00,4,3,NULL),(25,6391834,'1990-09-14 00:00:00',4,8,12,2007,'F','N','BOM RETIRO','JOINVILLE','SC','124254251215573431336821575124610123147',2669,'9998',64.45,1,3,NULL),(25,6391850,'1989-04-22 00:00:00',2,1,12,2006,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241141241731323321245124610127041',17488,'281',39.77,1,2,1),(25,6391869,'1979-06-03 00:00:00',4,1,12,1996,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241126151731426669495124332948097',16764,'476',40.99,1,2,1),(25,6391885,'1990-10-08 00:00:00',4,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241217272411446613381124132765052',NULL,'738',0.00,1,3,NULL),(25,6391907,'1991-08-14 00:00:00',2,1,12,2010,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124242247217131431247823575114610132187',21062,'9999',30.85,1,3,NULL),(25,6391915,'1994-03-09 00:00:00',3,1,11,2010,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215121441638824575124610132027',17984,'1133',38.87,1,3,NULL),(25,6391923,'1981-11-18 00:00:00',4,1,12,1998,'M','N','CRISTO REI','CURITIBA','PR','116161166117151411157843335122341467045',7411,'9998',55.94,1,3,NULL),(25,6391931,'1991-07-17 00:00:00',2,8,11,2008,'F','N','SÃO FRANCISCO','CURITIBA','PR','116163161215571451223828572124610166177',4456,'9998',59.02,1,3,NULL),(25,6391940,'1987-08-04 00:00:00',2,1,12,2004,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241116135431566813445122130234142',9909,'307',49.15,4,3,NULL),(25,6391958,'1970-10-28 00:00:00',2,1,12,1988,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224161163121134431443641111132131056127',15157,'9998',43.47,1,2,1),(25,6391966,'1978-01-02 00:00:00',2,1,12,2007,'M','N','ENSEADA DO BRITO','PALHOÇA','SC','624243248632171751614379296345610168197',NULL,'9997',21.57,1,3,NULL),(25,6391974,'1991-09-09 00:00:00',4,6,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124201241416572751368923575124610164047',4783,'1038',59.83,1,3,NULL),(25,6391982,'1977-12-25 00:00:00',2,15,4,2010,'M','N','CIDADE ALTA','TURVO','SC','224241246126131421323354245122610167045',NULL,'9999',0.00,1,2,1),(25,6392008,'1993-11-08 00:00:00',2,1,12,2010,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215111431336669345121610137112',NULL,'1223',26.97,1,3,NULL),(25,6392016,'1992-04-24 00:00:00',4,10,11,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215471451268812581122613263037',5950,'807',58.85,1,3,NULL),(25,6392032,'1981-08-01 00:00:00',2,1,12,2010,'M','N','CAMINHO NOVO','PALHOÇA','SC','624246247626131421224344142242210168117',NULL,'9999',29.55,1,3,NULL),(25,6392040,'1985-03-03 00:00:00',4,1,11,2001,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124241245226131221123344245332231042067',NULL,'319',26.38,4,3,NULL),(25,6392067,'1982-06-30 00:00:00',2,1,12,2010,'F','N','CENTRO','RIO OESTE','SC','124241247127132731534442225122610123147',16470,'9999',36.50,1,3,NULL),(25,6392075,'1992-05-16 00:00:00',4,1,12,2009,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125252251215371431459834575112610117141',11756,'9998',48.54,1,3,NULL),(25,6392083,'1990-03-11 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117132431221329142114610162043',NULL,'295',18.86,1,2,1),(25,6392091,'1989-11-11 00:00:00',2,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241216145432369814345122230267061',10289,'1022',50.83,1,3,NULL),(25,6392113,'1988-07-20 00:00:00',2,1,12,2005,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241116275431636631282123610127117',7026,'307',56.70,4,3,NULL),(25,6392121,'1992-04-28 00:00:00',4,1,12,2009,'F','N','PROGRESSO','MARAU','RS','120203201117471431428414572324610134147',13585,'9998',41.37,1,3,NULL),(25,6392130,'1993-11-13 00:00:00',2,1,12,2010,'F','N','RECANTO DOS PÁSSAROS','CPO GRANDE','MS','112122121217121431238923595122610128187',16832,'9998',36.07,1,3,NULL),(25,6392148,'1991-09-27 00:00:00',2,1,10,2009,'F','N','FLORESTA','S JOSÉ','SC','124242241212375431457914572122230244092',6471,'1169',57.79,1,3,NULL),(25,6392156,'1969-10-15 00:00:00',2,1,8,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','224253247217141741225349295124610166042',NULL,'9999',0.00,1,3,NULL),(25,6392164,'1992-04-12 00:00:00',2,1,12,2009,'F','N','BOMFIM','PTO ALEGRE','RS','120201201216131731238514575124610116097',13556,'9998',42.08,1,3,NULL),(25,6392172,'1981-09-05 00:00:00',2,1,12,1999,'F','N','VILA CARAMELO','STA MARIA','RS','120201201116131441323621442114343264092',17961,'9998',38.92,1,3,NULL),(25,6392199,'1993-12-17 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124112241215121431336632575122610128072',17988,'9997',33.42,1,3,NULL),(25,6392202,'1988-02-22 00:00:00',5,1,6,2006,'M','N','MORRO AGUDO','PAULO LOPES','SC','124161288117162731526644342313143267047',NULL,'9998',36.09,1,3,NULL),(25,6392210,'1986-09-17 00:00:00',2,1,6,2005,'M','N','BELA VISTA','S JOSÉ','SC','124244247247141421227643431122231027052',NULL,'9999',0.00,4,1,2),(25,6392229,'1990-10-15 00:00:00',2,1,12,2009,'M','N','PALHOCINHA','GAROPABA','SC','124241241127142421633414145121233234187',NULL,'322',31.60,1,2,1),(25,6392245,'1979-11-28 00:00:00',4,1,12,1996,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224252251217132521423359285114140662044',NULL,'9998',0.00,1,3,NULL),(25,6392253,'1991-12-11 00:00:00',2,1,12,2009,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241215373441369817575112610137047',6418,'270',54.53,1,3,NULL),(25,6392261,'1992-04-26 00:00:00',4,17,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161216472711446614215122610124077',2088,'9998',68.97,1,3,NULL),(25,6392270,'1990-11-07 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217113431379611495122232837072',10723,'262',45.54,1,3,NULL),(25,6392288,'1994-04-20 00:00:00',4,10,11,2011,'M','S','VILA ESPERANÇA','TUBARÃO','SC','124243241215111541556912575121610117042',NULL,'806',51.05,1,3,NULL),(25,6392318,'1980-10-28 00:00:00',2,1,11,1999,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124253251116244421244227445134133227117',NULL,'9998',0.00,2,1,2),(25,6392326,'1980-08-31 00:00:00',3,1,12,1997,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216133721328879495134133233016',12274,'272',47.72,1,3,NULL),(25,6392342,'1988-10-06 00:00:00',4,5,12,2006,'M','N','CRISTO REDENTOR','CRICIÚMA','SC','124241241122131431624311215222610122052',NULL,'218',23.14,1,2,1),(25,6392350,'1994-02-11 00:00:00',4,1,12,2011,'M','S','CAMPINAS','S JOSÉ','SC','124242241215111731335821215114610114077',NULL,'737',48.10,1,3,NULL),(25,6392377,'1991-09-09 00:00:00',2,8,10,2009,'M','N','ATIRADORES','JOINVILLE','SC','124244246236471431467922385112610127187',13777,'1006',42.12,1,3,NULL),(25,6392385,'1959-07-01 00:00:00',4,1,12,1979,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','524242248211153712656649491112633213092',NULL,'9997',25.81,1,3,NULL),(25,6392393,'1989-12-23 00:00:00',4,1,12,2006,'F','N','CENTRO','TOLEDO','PR','116161161316371431643312325122542333196',16513,'9998',41.37,1,3,NULL),(25,6392407,'1992-08-05 00:00:00',4,1,12,2009,'F','N','CENTRO','CAXIAS SUL','RS','120202203217371411567732594114610136122',2146,'9998',67.57,1,3,NULL),(25,6392415,'1968-11-05 00:00:00',4,1,12,1987,'M','N','KOBRASOL','S JOSÉ','SC','224201204132111411143343131115140236182',NULL,'9998',32.41,4,3,NULL),(25,6392423,'1968-03-23 00:00:00',4,1,8,1986,'M','N','FLORESTA','S JOSÉ','SC','124241246116575421364543135124121442012',NULL,'306',0.00,1,3,NULL),(25,6392431,'1991-04-17 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241112131431335637335134610127047',NULL,'288',18.31,4,2,1),(25,6392440,'1993-02-13 00:00:00',4,3,12,2009,'M','N','MORRETES','ITAPEMA','SC','124241241117151431325612275112610134052',NULL,'406',0.00,1,2,1),(25,6392458,'1991-06-03 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216272731326812345134610126071',15457,'988',42.96,1,3,NULL),(25,6392466,'1959-08-28 00:00:00',2,1,11,1984,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124161244226132411223349191124610116097',NULL,'9997',6.75,1,3,NULL),(25,6392482,'1989-02-05 00:00:00',2,1,12,2006,'M','N','CENTRO','SANANDUVA','RS','120203201215571751379811595112610167113',NULL,'9998',0.00,1,3,NULL),(25,6392504,'1980-08-07 00:00:00',2,1,12,1999,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124132131226151721164843135132341427183',20184,'9998',34.11,1,3,NULL),(25,6392520,'1983-12-24 00:00:00',2,1,12,2003,'F','N','BELA VISTA','S JOSÉ','SC','124243241146374421434344245124122263047',14256,'726',44.77,1,3,NULL),(25,6392539,'1993-11-05 00:00:00',4,1,11,2010,'M','N','SERRARIA','S JOSÉ','SC','124243241317131441438731215122610137097',21431,'1088',23.12,1,3,NULL),(25,6392555,'1989-07-25 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241417134731537529391123231024147',21472,'1023',28.20,1,3,NULL),(25,6392563,'1988-03-22 00:00:00',2,1,12,2005,'M','N','FUNDOS','BIGUAÇU','SC','124241241115131221523434245122230227057',16507,'65',36.67,1,2,1),(25,6392571,'1992-08-06 00:00:00',4,7,11,2009,'M','N','UNIVERSITÁRIO','VIDEIRA','SC','124242241236472431489713595112610164116',9353,'969',48.27,1,3,NULL),(25,6392580,'1977-06-17 00:00:00',2,6,11,1994,'F','N','CENTRO','BOMBINHAS','SC','224161161214411421246951482122341537142',5882,'9998',56.67,1,3,NULL),(25,6392598,'1988-02-09 00:00:00',2,4,9,2010,'F','N','SÃO JORGE','S MIGUEL OESTE','SC','124241247343371711436612345132610122017',19987,'9999',29.89,1,3,NULL),(25,6392601,'1964-01-09 00:00:00',2,1,12,1982,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224284251411131431448641415122142162172',11025,'9998',49.63,1,3,NULL),(25,6392610,'1991-03-05 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215271431366963575114610164042',15605,'1118',42.76,1,3,NULL),(25,6392628,'1961-04-22 00:00:00',2,1,12,1983,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','524243247422132451533243235134610117047',NULL,'9999',0.00,1,3,NULL),(25,6392636,'1991-03-29 00:00:00',2,1,12,2009,'F','N','MORRO AGUDO','PAULO LOPES','SC','124241247627161731523335342233610168187',NULL,'9999',11.16,1,3,NULL),(25,6392644,'1988-01-01 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241248144171751613379294345610168197',NULL,'9997',0.00,1,2,1),(25,6392652,'1989-03-29 00:00:00',2,8,12,2007,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241217161441436619392132131914057',21475,'441',28.16,4,3,NULL),(25,6392660,'1973-05-28 00:00:00',2,4,12,2002,'M','N','PRESIDENTE MEDICI','CHAPECÓ','SC','124241247141132421223329182325131464037',NULL,'9999',0.00,4,3,NULL),(25,6392679,'1986-11-28 00:00:00',4,1,12,2004,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116132451436514245124121934047',NULL,'307',49.89,1,2,1),(25,6392687,'1992-02-28 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115142531448823325124610122032',NULL,'257',0.00,1,3,NULL),(25,6392709,'1990-04-13 00:00:00',2,10,11,2008,'F','N','BARREIROS','LAGUNA','SC','124243241215471731339613475124610166122',NULL,'806',21.05,1,3,NULL),(25,6392717,'1986-10-13 00:00:00',4,1,12,2004,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241217142431357412492112133222062',NULL,'1040',32.89,1,3,NULL),(25,6392725,'1987-01-09 00:00:00',4,4,3,2006,'M','N','PARQUE DAS PALMEIRAS','CHAPECÓ','SC','124201207146132421321148185124223232177',NULL,'9998',0.00,1,2,1),(25,6392733,'1992-11-06 00:00:00',2,17,12,2010,'M','N','CENTRO','ITAIÓPOLIS','SC','124241241215121431448832575124610132171',20537,'541',29.69,1,3,NULL),(25,6392741,'1992-08-10 00:00:00',4,3,12,2009,'F','N','ZONA SETE','MARINGÁ','PR','116162161215471731459911592124610134147',2178,'9998',67.23,1,3,NULL),(25,6392750,'1991-04-06 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116133411163536435124230262192',NULL,'330',0.00,1,3,NULL),(25,6392768,'1988-04-09 00:00:00',2,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116473421223344345124130227067',11590,'257',45.28,1,2,1),(25,6392776,'1970-07-26 00:00:00',2,1,12,1990,'M','N','BELA VISTA I','S JOSÉ','SC','624241248121333421226444342334610167047',18549,'257',37.86,2,1,1),(25,6392784,'1993-12-27 00:00:00',4,8,12,2011,'M','S','COSTA E SILVA','JOINVILLE','SC','124242241215151751358914575115610142193',NULL,'457',42.95,1,3,NULL),(25,6392806,'1993-10-25 00:00:00',2,3,12,2010,'M','N','JARDIM NAKAMURA','PARANAVAÍ','PR','116162161217111211438813572122610117042',11115,'9998',46.41,4,3,NULL),(25,6392814,'1991-03-02 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','113132131216572731526833571124610166197',NULL,'9998',27.30,4,3,NULL),(25,6392822,'1981-08-26 00:00:00',4,1,9,2002,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124243248136143721345313495123233224053',NULL,'306',16.11,1,3,NULL),(25,6392830,'1988-09-15 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241127132411123641215124610136117',19069,'594',36.80,5,3,NULL),(25,6392849,'1992-08-18 00:00:00',4,3,12,2009,'M','N','VILA FERROVIÁRIA','MAFRA','SC','124243161116131431635723345133610117057',NULL,'9998',20.04,1,3,NULL),(25,6392857,'1982-12-07 00:00:00',2,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624246248634171751615479295345610168197',NULL,'9997',0.00,1,3,NULL),(25,6392873,'1993-10-01 00:00:00',2,1,12,2010,'F','N','CENTRO','ITANHAÉM','SP','125252251215111431358831596122610167012',NULL,'9998',12.81,1,3,NULL),(25,6392881,'1984-10-16 00:00:00',2,1,12,2003,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201208116271751234633475114142766187',19594,'9998',35.58,1,3,NULL),(25,6392903,'1985-10-10 00:00:00',4,1,12,2002,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241317555721248823445123133264013',3220,'943',65.30,1,3,NULL),(25,6392911,'1992-12-20 00:00:00',2,8,12,2010,'F','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116161166116151431226624575322610163147',12116,'9998',43.65,1,2,1),(25,6392920,'1992-05-12 00:00:00',2,4,12,2010,'F','N','PINHEIRINHO','CHAPECÓ','SC','124243241117341421426613242224610122147',NULL,'182',25.38,1,3,NULL),(25,6392946,'1986-06-25 00:00:00',2,1,12,2004,'M','N','JARDIM OURO VERDE','OURINHOS','SP','125251251136131411423335345321241815027',NULL,'9998',36.09,1,2,1),(25,6392954,'1993-06-09 00:00:00',2,15,12,2010,'M','N','RIO DO SALTO','TIMBÉ SUL','SC','124241241116141431333332195124610117043',20263,'785',33.87,1,2,1),(25,6392962,'1992-02-28 00:00:00',4,1,12,2008,'M','N','CENTRO','PALHOÇA','SC','124242241216372751238733445112120664197',2961,'1011',66.01,1,3,NULL),(25,6392970,'1989-12-07 00:00:00',4,3,12,2006,'F','N','CENTRO','ITAPEMA','SC','124243241412145431426431244124610124092',18199,'1038',38.47,1,3,NULL),(25,6392989,'1974-05-16 00:00:00',4,1,12,1996,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124161161325143731543341115122221467142',10874,'9998',49.86,2,1,2),(25,6392997,'1993-01-02 00:00:00',2,1,12,2010,'M','N','RIO DO CEDRO','ÁGUAS MORNAS','SC','124241241117141421423336145223610127047',21735,'978',24.34,1,2,1),(25,6393012,'1992-04-30 00:00:00',4,1,12,2009,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251217472731488811575122610127122',5391,'9998',57.50,1,3,NULL),(25,6393020,'1989-12-11 00:00:00',2,1,12,2006,'M','N','MORADA DO SOL','IJUÍ','RS','120201206111163411423316571224221414042',2430,'9998',65.39,1,2,1),(25,6393039,'1993-05-17 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124243241315131411435334375114610167143',21410,'257',28.73,1,3,NULL),(25,6393047,'1993-09-11 00:00:00',4,10,12,2010,'F','N','PASSAGEM','TUBARÃO','SC','124241241115111431623623345122610126147',NULL,'1034',0.00,1,3,NULL),(25,6393055,'1972-07-25 00:00:00',4,1,12,1989,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224241248116155411433359492124333221181',NULL,'307',19.71,1,3,NULL),(25,6393063,'1992-04-13 00:00:00',4,5,6,2010,'F','N','CENTRO','COCAL SUL','SC','124241247432271431447814475122610132182',17754,'9999',39.31,1,3,NULL),(25,6393071,'1991-06-21 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124243241416141431437614242114131437052',21477,'1193',28.14,4,3,NULL),(25,6393080,'1981-11-09 00:00:00',2,1,2,2001,'M','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','224241244342131411536544442113610144067',NULL,'9999',0.00,1,3,NULL),(25,6393101,'1992-12-08 00:00:00',4,1,6,2011,'M','S','CENTRO','S JOSÉ','SC','124242241117151512435612125124610167067',NULL,'739',31.07,1,3,NULL),(25,6393110,'1984-12-07 00:00:00',4,1,12,2002,'M','N','BARREIROS SAO JOSE','S JOSÉ','SC','124072071212131721348844445122341467041',NULL,'9998',0.00,3,3,NULL),(25,6393128,'1980-01-23 00:00:00',4,1,12,2000,'F','N','CENTRO','ITAPEMA','SC','124162168216474731228441413134310243156',NULL,'9998',0.00,2,1,2),(25,6393136,'1975-12-28 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241248125171751612579294345610168197',NULL,'9997',0.00,1,2,1),(25,6393144,'1990-04-22 00:00:00',2,1,10,2008,'F','N','JARDIM PANORAMA','UBIRATÃ','PR','128282281216151431434615295125243217052',NULL,'9998',0.00,1,3,NULL),(25,6393152,'1988-10-10 00:00:00',2,1,10,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247127231411213641215234610127057',NULL,'9999',18.32,1,2,1),(25,6393160,'1989-05-26 00:00:00',4,1,12,2006,'M','N','FAZENDA SANTO ANTÔNI','S JOSÉ','SC','124243241117141431436633245122610137052',NULL,'733',16.66,1,3,NULL),(25,6393179,'1992-08-15 00:00:00',4,8,12,2009,'M','N','COMASA','JOINVILLE','SC','124241246412131731433611211121131424141',19334,'1105',36.20,1,3,NULL),(25,6393195,'1982-02-19 00:00:00',2,1,11,2009,'M','N','JARDIM ATLANTINCO','FLORIANÓPOLIS','SC','124241241137131751621129392333610164057',NULL,'9999',0.00,5,2,1),(25,6393217,'1988-04-26 00:00:00',4,8,12,2006,'M','N','SANTO AMARO','S PAULO','SP','125252251217573451248921491122610144017',8385,'9998',51.44,1,3,NULL),(25,6393225,'1992-12-08 00:00:00',2,17,11,2010,'M','N','CENTRO','CANOINHAS','SC','124242161216411431487512575122610137042',19669,'9998',29.56,1,3,NULL),(25,6393233,'1983-07-08 00:00:00',2,1,12,2001,'F','N','ARMAÇÃO PANT SUL','FLORIANÓPOLIS','SC','124201201127131731223479382224142214147',14129,'9998',42.20,1,2,1),(25,6393241,'1993-01-24 00:00:00',4,7,12,2010,'F','N','CENTRO','IOMERÊ','SC','124244241217271731436612575124610168141',18430,'829',31.60,1,3,NULL),(25,6393276,'1993-10-03 00:00:00',4,9,12,2010,'F','N','PARADA DO ALTO','SOROCABA','SP','125252251215111431456612575122610167182',NULL,'9998',0.00,1,3,NULL),(25,6393284,'1980-05-15 00:00:00',2,1,12,1998,'M','N','INGLESES','FLORIANÓPOLIS','SC','624201201116271751221339495114143262047',12641,'9998',47.14,1,3,NULL),(25,6393292,'1990-10-30 00:00:00',4,9,12,2010,'M','N','INTERIOR','BOM RETIRO','SC','124241241142171411538613165122610144043',NULL,'91',15.73,1,3,NULL),(25,6393306,'1993-01-08 00:00:00',2,1,12,2010,'F','N','TRÊS RIACHOS','BIGUAÇU','SC','124241241117271711321327375124610146187',5960,'65',55.46,1,2,1),(25,6393314,'1988-06-15 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241216374721435531315112610147182',20336,'1010',33.61,1,3,NULL),(25,6393322,'1993-03-01 00:00:00',2,5,12,2010,'F','N','VILA NOVA','IÇARA','SC','124241241215111421436832575112610136192',NULL,'226',0.00,1,3,NULL),(25,6393330,'1982-11-05 00:00:00',5,1,12,2000,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124201201127132431626334395124222237052',18341,'9998',38.21,1,2,1),(25,6393349,'1993-02-27 00:00:00',2,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124241241117341131533651396121610124063',20502,'730',27.24,1,2,1),(25,6393357,'1992-01-05 00:00:00',4,8,12,2009,'M','N','VILA DO ENCONTRO','S PAULO','SP','125251251146371721225648345125610127041',NULL,'9998',0.00,1,2,1),(25,6393365,'1987-03-29 00:00:00',2,15,12,2003,'F','N','CENTRO','GUAÍBA','RS','120202201217572431446931311124140927187',NULL,'9998',0.00,1,3,NULL),(25,6393373,'1994-01-13 00:00:00',4,1,12,2010,'M','N','VISTA ALEGRE','MAFRA','SC','124244161217131431567713175111610138192',16751,'9998',36.44,1,3,NULL),(25,6393381,'1988-04-15 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','624241248124171751614379294345610168197',NULL,'9997',0.00,1,2,1),(25,6393390,'1993-01-29 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124251241115573411333334575114610166192',19453,'275',32.49,1,2,1),(25,6393403,'1959-04-02 00:00:00',4,1,12,1977,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224244245226151421263443235122530231015',14117,'751',44.98,1,3,NULL),(25,6393411,'1992-04-18 00:00:00',4,1,12,2009,'M','N','ARIRIU','PALHOÇA','SC','124241241115271731455933375124610124047',11248,'592',46.57,1,2,1),(25,6393420,'1991-04-16 00:00:00',2,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','120201201147131131216629475114610144197',NULL,'9998',0.00,1,2,1),(25,6393438,'1988-03-14 00:00:00',2,1,12,2005,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124242241216375431356813345114120814047',NULL,'272',0.00,1,3,NULL),(25,6393454,'1985-12-03 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216154721479819445122321467047',NULL,'262',0.00,1,3,NULL),(25,6393462,'1984-03-14 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124131137137372411436623483121610164057',NULL,'9998',38.06,1,2,1),(25,6393470,'1990-11-30 00:00:00',4,1,12,2008,'M','N','CENTRO','LOANDA','PR','116162161217371421545619345112143257057',NULL,'9998',0.00,1,3,NULL),(25,6393489,'1983-12-09 00:00:00',4,15,12,2001,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124253251136151731445514245125131962142',NULL,'9998',38.76,1,3,NULL),(25,6393497,'1992-02-17 00:00:00',4,4,11,2009,'M','N','CENTRO','CHAPECÓ','SC','124242241212272741259839571124231467171',NULL,'185',29.66,1,3,NULL),(25,6393519,'1994-08-22 00:00:00',4,5,11,2011,'F','S','CENTRO','ORLEANS','SC','124242241215111431434834375122610124092',NULL,'226',44.85,1,3,NULL),(25,6393527,'1976-03-30 00:00:00',2,1,12,1998,'F','N','FIGUEROA','CAÇADOR','SC','224241243127131431354454235122333211177',NULL,'121',34.03,1,2,1),(25,6393535,'1993-05-27 00:00:00',2,15,12,2010,'M','N','CENTRO','PR GRANDE','SC','124241241135271431323336255121610137052',12347,'641',47.61,1,2,1),(25,6393543,'1984-03-09 00:00:00',4,15,12,2002,'M','N','JARDIM DA AVENIDAS','ARARANGUÁ','SC','124241242611131411124644345233610115055',NULL,'690',0.00,1,3,NULL),(25,6393551,'1991-06-07 00:00:00',4,1,12,2008,'M','N','INDUSTRIAS','ESTRELA','RS','120202208215111431453632315123242527047',NULL,'9998',24.95,1,3,NULL),(25,6393560,'1981-01-14 00:00:00',4,15,12,2001,'M','N','CENTRO','ARARANGUÁ','SC','624201247126152451236342325122133268183',NULL,'9999',31.12,1,3,NULL),(25,6393586,'1993-01-22 00:00:00',4,1,11,2010,'M','N','JAGUARIBE','SALVADOR','BA','105052051217111441489933575122610164032',2514,'9998',67.43,4,3,NULL),(25,6393594,'1992-02-04 00:00:00',4,8,12,2009,'M','N','CENTRO','RIO NEGRINHO','SC','124241241136271431323614385113610127042',NULL,'669',33.54,1,2,1),(25,6393608,'1993-01-03 00:00:00',4,1,12,2010,'F','N','ALTOS DE SANTANA','S JOSÉ CAMPOS','SP','125253251216111431469513575124610114147',NULL,'9998',22.86,1,3,NULL),(25,6393616,'1993-09-27 00:00:00',4,8,10,2010,'F','N','CENTRO','MASSARANDUBA','SC','124244241216211531438616575122610123142',8454,'855',52.39,1,3,NULL),(25,6393624,'1991-10-27 00:00:00',2,1,12,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215472451585532572122121427052',3653,'270',64.19,1,3,NULL),(25,6393632,'1990-02-06 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241217475431666614585124223264197',NULL,'1022',0.00,4,1,2),(25,6393640,'1993-03-30 00:00:00',4,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126231431324514395124610122052',11079,'290',45.54,1,2,1),(25,6393667,'1988-11-24 00:00:00',4,8,12,2006,'M','N','AMÉRICA','JOINVILLE','SC','124244241216141411128844442111132824182',10227,'855',50.95,1,3,NULL),(25,6393675,'1984-12-01 00:00:00',2,1,12,2004,'M','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124241241127133431435512385124120228067',9941,'733',51.45,1,2,1),(25,6393683,'1986-09-25 00:00:00',2,8,6,2005,'M','N','CENTRO','IMARUÍ','SC','124241241146273721324439485124131724197',NULL,'356',26.61,1,2,1),(25,6393691,'1987-10-03 00:00:00',4,1,12,2004,'F','N','CAMPO BELO','S PAULO','SP','125252251217142411548832315124343212097',15292,'9998',43.26,3,3,NULL),(25,6393705,'1993-01-04 00:00:00',4,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431469813572112610135076',11620,'1169',48.72,1,3,NULL),(25,6393721,'1990-08-29 00:00:00',4,1,12,2008,'M','N','NOVA HIGIENOPOLIS','JANDIRA','SP','125252251217572731589931572111620124057',NULL,'9998',0.00,1,3,NULL),(25,6393730,'1981-01-12 00:00:00',2,1,12,1998,'M','N','INGLESES','FLORIANÓPOLIS','SC','124161161126142431641444345122231026042',NULL,'9998',0.00,1,3,NULL),(25,6393748,'1992-04-22 00:00:00',2,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241216112431347814445124230817047',NULL,'226',0.00,1,3,NULL),(25,6393756,'1993-12-09 00:00:00',4,1,12,2010,'F','N','CENTRO','S BENTO SUL','SC','124244241216121431456931575122610137097',17404,'1010',39.92,1,3,NULL),(25,6393772,'1992-10-29 00:00:00',2,1,11,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241337132431624811245134610112142',NULL,'307',0.00,1,3,NULL),(25,6393799,'1990-03-05 00:00:00',4,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161215572731467914572325610164142',3974,'9998',61.57,1,3,NULL),(25,6393802,'1989-03-13 00:00:00',4,8,7,2009,'M','N','SANTA CATARINA','JOINVILLE','SC','124241247137131131643331245123610147041',NULL,'9999',25.89,4,2,1),(25,6393810,'1991-03-02 00:00:00',4,8,12,2008,'M','N','BOM RETIRO','JOINVILLE','SC','124241241211134741626878583244610166177',2490,'633',67.37,2,1,2),(25,6393829,'1989-10-24 00:00:00',2,1,11,2006,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241326132421333611241134610117147',NULL,'262',31.27,1,3,NULL),(25,6393837,'1989-08-02 00:00:00',2,1,12,2007,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241247422573731326321292124610163091',NULL,'9999',0.00,1,3,NULL),(25,6393845,'1981-08-29 00:00:00',2,1,12,1999,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124203051436145431243724245124120534095',12382,'9998',47.55,1,3,NULL),(25,6393853,'1985-11-20 00:00:00',4,8,12,2002,'M','N','VILA PARAISO','CAÇADOR','SC','124242161216122431458614485125320727085',8165,'9998',54.58,1,3,NULL),(25,6393861,'1956-11-15 00:00:00',4,1,12,1974,'F','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','224202201217151411225654572114141164197',NULL,'9998',0.00,1,3,NULL),(25,6393870,'1987-10-01 00:00:00',2,1,12,2004,'F','N','BARRIEROS','S JOSÉ','SC','124201201116132411128944344124342165112',19649,'9998',35.46,1,2,1),(25,6393896,'1994-04-18 00:00:00',2,1,12,2010,'F','N','IAPC','ANÁPOLIS','GO','109096091617111311312219191324610138143',NULL,'9998',0.00,4,3,NULL),(25,6393900,'1990-10-01 00:00:00',4,6,12,2007,'F','N','JARDIM GUANABARA','S PAULO','SP','125251251116371411323331212224610126012',17757,'9998',35.95,4,2,1),(25,6393918,'1971-02-08 00:00:00',5,1,12,1988,'F','N','INGLESES','FLORIANÓPOLIS','SC','524203201112131741433344342224340916013',13398,'9998',46.07,1,3,NULL),(25,6393926,'1991-04-25 00:00:00',4,4,12,2008,'F','N','JABUTICABAL','ERECHIM','RS','120201201127271431434334382124610135197',NULL,'9998',30.97,4,2,1),(25,6393934,'1981-07-27 00:00:00',4,1,11,2004,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241248637132431655514345124610122147',12378,'306',47.57,1,3,NULL),(25,6393942,'1985-12-02 00:00:00',2,1,9,2009,'F','N','JURERE','FLORIANÓPOLIS','SC','124241247141131521221345292324610166047',NULL,'9999',0.50,1,2,1),(25,6393950,'1987-04-18 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116133441246313495124433267022',9742,'192',51.81,1,2,1),(25,6393969,'1979-10-12 00:00:00',4,1,12,1996,'M','N','SACO OS LIMÕES','FLORIANÓPOLIS','SC','124242241316152421367632445132121434067',11828,'269',48.45,1,3,NULL),(25,6393977,'1983-09-22 00:00:00',4,1,12,2000,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124201201116152211257521235124321118062',NULL,'9998',0.00,1,2,1),(25,6393985,'1992-07-09 00:00:00',2,8,11,2009,'F','N','CASA BRANCA','STO ANDRÉ','SP','125254251216471431525531275122610137037',NULL,'9998',0.00,1,3,NULL),(25,6393993,'1968-03-02 00:00:00',2,1,12,1987,'M','N','JARDIM CIDADE FLORIA','S JOSÉ','SC','224241248131162431534343131124610154142',18919,'295',37.08,1,2,1),(25,6394000,'1982-05-24 00:00:00',2,15,3,2001,'F','N','LOURDES','CAXIAS SUL','RS','120203206117271411324623295124240438142',NULL,'9998',16.68,4,3,NULL),(25,6394019,'1993-10-04 00:00:00',4,6,12,2010,'F','N','VILA SUCONASA','ARARAQUARA','SP','125252251217211731368933575122610162147',NULL,'9998',0.00,1,3,NULL),(25,6394035,'1957-04-19 00:00:00',4,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241247146133722338344242134610164187',14026,'9999',45.13,1,2,1),(25,6394043,'1993-04-14 00:00:00',4,6,12,2010,'F','N','SÃO VICENTE','ITAJAÍ','SC','124241241117271441322631475124610164147',19354,'400',30.49,1,2,1),(25,6394051,'1992-03-26 00:00:00',2,1,11,2010,'M','N','CENTRO','CAMBORIÚ','SC','124243241317131431435521575122610137047',19461,'130',33.07,1,3,NULL),(25,6394060,'1958-02-01 00:00:00',4,1,3,1976,'F','N','CENTRO','FLORIANÓPOLIS','SC','524201208136151411346643235122340644092',16574,'9998',41.28,1,3,NULL),(25,6394078,'1992-03-23 00:00:00',4,2,12,2009,'M','N','PONTA AGUDA','BLUMENAU','SC','124241241212142711447633345121610164102',20067,'855',34.39,1,3,NULL),(25,6394086,'1990-07-31 00:00:00',2,7,7,2008,'M','N','ARCO IRIS','CAPINZAL','SC','124243241332112711429934245122610124052',16603,'1093',37.65,1,3,NULL),(25,6394094,'1993-12-05 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241215111431323331572244610146167',11958,'272',43.61,1,3,NULL),(25,6394108,'1987-09-05 00:00:00',4,1,12,2006,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241248126132411446334485124610124055',NULL,'307',18.37,1,2,1),(25,6394116,'1989-03-18 00:00:00',2,3,12,2006,'M','N','DO COLEGIO','APUCARANA','PR','116162161215574431456819275112610167067',1090,'9998',71.67,1,3,NULL),(25,6394124,'1992-08-13 00:00:00',4,5,12,2009,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242243217132431538514375114610167142',10429,'995',47.34,1,3,NULL),(25,6394132,'1991-03-24 00:00:00',4,15,8,2010,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124201241122151431433512122222610164191',NULL,'29',8.53,1,3,NULL),(25,6394140,'1993-01-28 00:00:00',4,4,12,2010,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124243241115371431446614492124610127057',16547,'169',36.19,1,3,NULL),(25,6394159,'1991-02-20 00:00:00',2,1,7,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216112421328727446124610117042',NULL,'9999',14.94,1,3,NULL),(25,6394167,'1986-12-27 00:00:00',2,9,12,2003,'F','N','CENTRO','PTO ALEGRE','RS','120201201136572411123311375124610137052',NULL,'9998',0.00,1,2,1),(25,6394175,'1983-08-07 00:00:00',4,1,12,2001,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','224161161315371441349752221122343262062',NULL,'9998',0.00,1,3,NULL),(25,6394183,'1992-06-29 00:00:00',2,1,2,2011,'F','N','COSTA DA LAGOA','FLORIANÓPOLIS','SC','124241243117271431533319195125610167082',NULL,'306',29.93,1,2,1),(25,6394205,'1976-07-03 00:00:00',4,1,7,2007,'M','N','PEDRA BRANCA','PALHOÇA','SC','124241247326131411335544145122610128067',NULL,'9997',27.91,1,3,NULL),(25,6394213,'1986-01-04 00:00:00',4,1,12,2005,'F','N','SERRARIA','S JOSÉ','SC','124203208146133431226644345124143014082',NULL,'9998',21.79,1,3,NULL),(25,6394221,'1993-10-19 00:00:00',2,15,12,2010,'M','N','SETOR CRISTO REDENTO','MORRINHOS','GO','109091091116271711438739575123610162054',18669,'9998',31.11,2,2,1),(25,6394230,'1991-04-05 00:00:00',4,5,12,2008,'F','N','CENTRO','NOVA VENEZA','SC','124242241216473431489813472122130847092',7620,'211',55.59,1,3,NULL),(25,6394256,'1985-06-06 00:00:00',4,1,12,2004,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124243247347131121222349292113610117147',NULL,'9999',25.46,4,3,NULL),(25,6394264,'1989-07-05 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215273421238843335122610127187',14218,'723',44.84,1,3,NULL),(25,6394272,'1992-03-30 00:00:00',2,1,12,2009,'M','N','FORQUILHAS','S JOSÉ','SC','124241241122111531443524345324610127042',NULL,'9997',20.84,1,2,1),(25,6394299,'1993-02-28 00:00:00',2,6,12,2010,'M','N','TIFA MARTINS','JARAGUÁ SUL','SC','124241241126131431426614295234610134077',14423,'891',39.64,1,2,1),(25,6394302,'1993-04-09 00:00:00',2,1,12,2010,'M','N','TIJUQUINHAS','BIGUAÇU','SC','124241241212131431524821285324610114171',12031,'63',44.96,1,3,NULL),(25,6394310,'1989-03-05 00:00:00',2,1,3,2007,'F','N','FRAGATA','PELOTAS','RS','120202206116572421567611582124610132057',18111,'9998',32.31,1,3,NULL),(25,6394329,'1989-03-04 00:00:00',4,1,12,2005,'M','N','BOQUEIRÃO','PASSO FUNDO','RS','220201201217212431237843435124143262141',NULL,'9998',0.00,1,3,NULL),(25,6394337,'1977-12-21 00:00:00',2,1,12,1996,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224201241122375751531644245124121768117',NULL,'275',35.55,4,2,1),(25,6394345,'1994-09-05 00:00:00',4,1,12,2010,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241137131332426623291321610113117',NULL,'712',38.68,1,2,1),(25,6394353,'1986-07-10 00:00:00',4,1,12,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217134121114423216324120923097',13617,'269',45.75,4,3,NULL),(25,6394361,'1982-05-16 00:00:00',4,1,11,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241216575441118847375124222338187',NULL,'901',36.58,1,3,NULL),(25,6394370,'1991-03-09 00:00:00',2,1,12,2010,'M','N','FUNDOS','BIGUAÇU','SC','124241241115271231211327572344610167047',NULL,'65',0.00,1,3,NULL),(25,6394388,'1991-10-31 00:00:00',4,2,12,2009,'F','N','CENTRO','BLUMENAU','SC','124243201111131411333722141121133235117',21544,'9998',27.52,1,3,NULL),(25,6394400,'1990-09-04 00:00:00',4,6,12,2008,'M','N','CENTRO','CPO MOURÃO','PR','124162161215571251468832572122610167017',NULL,'9998',30.95,1,3,NULL),(25,6394418,'1986-01-28 00:00:00',2,1,12,2003,'M','N','JD ARAXA','LONDRINA','PR','116164161216571531576631585121610167067',NULL,'9998',0.00,4,3,NULL),(25,6394426,'1991-12-22 00:00:00',2,8,12,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124244241211122431458933395124230438193',NULL,'486',0.00,1,3,NULL),(25,6394434,'1991-08-18 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202201216472431477869595124220662197',9709,'9998',46.96,1,3,NULL),(25,6394442,'1991-11-04 00:00:00',2,1,7,2008,'M','N','SERRARIA','S JOSÉ','SC','124241247121131411536413282124610127087',NULL,'9999',15.70,4,2,1),(25,6394450,'1993-01-06 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241215141731523332395114610147012',17698,'1048',35.57,1,3,NULL),(25,6394469,'1993-09-30 00:00:00',4,4,12,2010,'M','N','CENTRO','QUILOMBO','SC','124243241326161431356823575122610132141',NULL,'648',0.00,1,3,NULL),(25,6394477,'1982-07-19 00:00:00',2,1,12,1998,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241127153421436413145122320867055',NULL,'592',0.00,1,3,NULL),(25,6394485,'1983-03-28 00:00:00',4,1,12,2000,'F','N','ROÇADO','S JOSÉ','SC','124244241436272431436514445132121132192',11976,'307',48.19,1,3,NULL),(25,6394493,'1993-06-03 00:00:00',4,6,11,2010,'M','N','MALUCHE','BRUSQUE','SC','124241241415371411646612575122610166172',NULL,'1123',35.42,1,3,NULL),(25,6394507,'1992-05-02 00:00:00',4,2,12,2009,'F','N','ASILO','BLUMENAU','SC','124241241216272431448614572124610132142',1186,'86',71.99,1,3,NULL),(25,6394515,'1992-12-09 00:00:00',5,15,12,2010,'F','N','MATO ALTO','ARARANGUÁ','SC','124241248115111731523331592124613228142',NULL,'30',12.88,4,2,1),(25,6394523,'1989-04-03 00:00:00',4,1,7,2007,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241116375751467613475124222268182',9924,'306',47.68,1,3,NULL),(25,6394540,'1990-09-24 00:00:00',5,1,7,2009,'M','N','MEDIANEIRA','CAXIAS SUL','RS','120281281116371431318764475124241417187',7275,'9998',56.22,1,3,NULL),(25,6394558,'1955-11-11 00:00:00',2,1,12,1974,'M','N','CENTRO','FLORIANÓPOLIS','SC','224201201126152411353343191122341026171',16967,'9998',40.68,1,3,NULL),(25,6394574,'1991-05-23 00:00:00',2,3,12,2008,'M','N','CENTRO','LONDRINA','PR','116162161217571431448712575112610127047',9335,'9998',52.47,1,3,NULL),(25,6394582,'1993-04-14 00:00:00',4,8,12,2010,'F','N','CENTRO','RIO NEGRO','PR','116241166216111431236913575122610127017',NULL,'9998',27.58,4,3,NULL),(25,6394604,'1992-05-05 00:00:00',2,15,12,2010,'M','N','ABERTA DOS MORROS','PTO ALEGRE','RS','120201201136131421113641116214610124043',13628,'9998',40.59,2,1,1),(25,6394612,'1993-11-26 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111431227623575124610137012',15097,'1022',40.59,1,3,NULL),(25,6394620,'1994-03-15 00:00:00',2,1,12,2010,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241137131332634433191121610115147',NULL,'712',0.00,1,2,1),(25,6394639,'1974-04-24 00:00:00',2,1,11,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','624201248245131522223349495124610121182',NULL,'977',22.78,1,3,NULL),(25,6394655,'1990-12-13 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241211475311449833584121233217112',14191,'1038',44.88,1,3,NULL),(25,6394663,'1993-12-13 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124241243115471732536621575125610113187',NULL,'239',0.00,1,2,1),(25,6394671,'1962-05-03 00:00:00',4,1,12,1980,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241244146151431573359431135330232092',15051,'804',43.60,1,3,NULL),(25,6394698,'1983-02-09 00:00:00',4,1,12,1984,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241137131421223249492112610117047',NULL,'287',23.82,1,2,1),(25,6394701,'1981-05-05 00:00:00',4,1,12,2001,'M','N','IPIRANGA','S JOSÉ','SC','124244241236273431439823392124220442187',NULL,'262',35.12,4,3,NULL),(25,6394736,'1985-04-07 00:00:00',2,1,12,2003,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241127152112533329342133610114191',NULL,'922',26.61,1,3,NULL),(25,6394752,'1993-01-30 00:00:00',4,7,12,2009,'M','N','IMIGRANTES','CONCÓRDIA','SC','124241246235472431432923585125610137042',8526,'1001',50.19,1,3,NULL),(25,6394779,'1990-03-18 00:00:00',2,1,12,2007,'F','N','COSTA DA LAGOA','FLORIANÓPOLIS','SC','124241241127373431413319572224610144077',NULL,'282',24.25,1,2,1),(25,6394795,'1985-01-27 00:00:00',2,1,12,2002,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241136274721238829385124221134142',NULL,'779',0.00,1,2,1),(25,6394809,'1988-08-13 00:00:00',2,1,4,2010,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124201247117131431113348283314610114057',NULL,'9999',14.86,1,2,1),(25,6394817,'1989-04-23 00:00:00',2,1,12,2006,'F','N','ROÇADO','S JOSÉ','SC','124242241212424451579811415132233138193',4633,'270',61.71,1,3,NULL),(25,6394825,'1985-06-07 00:00:00',4,1,12,2003,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242247236134731318849492134130212097',NULL,'9999',38.09,1,3,NULL),(25,6394833,'1993-03-13 00:00:00',4,2,11,2010,'M','N','JARDIM HANTSCHEL','RIO NEGRINHO','SC','124241241146161231523311335122610114057',17951,'669',36.16,1,2,1),(25,6394850,'1992-12-27 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215151431258923595122610144147',18191,'884',34.98,1,3,NULL),(25,6394868,'1993-08-31 00:00:00',2,7,11,2010,'M','N','CENTRO','TANGARÁ','SC','124241241115131431326314572122610167147',NULL,'779',44.80,1,3,NULL),(25,6394876,'1985-11-29 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241216375431559633315121223223021',16410,'9997',41.55,1,3,NULL),(25,6394884,'1993-11-03 00:00:00',4,8,12,2010,'M','N','BOM RETIRO','CURITIBA','PR','116162161217111411478813595122610127112',13434,'9998',46.03,1,3,NULL),(25,6394892,'1952-11-18 00:00:00',2,1,12,1972,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124246247346134721148842221132121461093',NULL,'307',0.00,1,3,NULL),(25,6394906,'1981-10-14 00:00:00',4,5,12,2000,'M','N','LARANJINHA','CRICIÚMA','SC','124241241121231431223349192224610116047',NULL,'223',28.58,2,1,1),(25,6394914,'1967-05-15 00:00:00',2,1,10,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','624241247146133421424443231132610118047',21220,'9999',29.95,4,2,1),(25,6394922,'1978-10-17 00:00:00',5,15,12,1996,'M','N','CIDADE ALTA','ARARANGUÁ','SC','524241241216135411531749245341131416185',NULL,'33',0.00,1,3,NULL),(25,6394930,'1991-05-30 00:00:00',2,5,11,2008,'F','N','MORRO DA GLÓRIA','URUSSANGA','SC','124242241215473431469913572122221437142',6181,'226',58.02,1,3,NULL),(25,6394957,'1991-02-22 00:00:00',4,1,12,2007,'F','N','JARDIM AMÉRICA','GOIÂNIA','GO','109092091212571211642611572122141013171',3561,'9998',61.15,4,3,NULL),(25,6394965,'1987-03-11 00:00:00',4,1,12,2005,'M','N','CHACARA SANTA MARIA','EMBU','SP','125252251217131431647833372123241444177',14724,'9998',44.12,4,3,NULL),(25,6394981,'1984-12-19 00:00:00',2,1,12,2002,'M','N','SAUDADE','BIGUAÇU','SC','224241241116153421243343435124121067062',4397,'65',62.29,1,2,1),(25,6394990,'1992-12-12 00:00:00',2,1,12,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241115141751634414195122610114145',NULL,'1009',24.51,1,2,1),(25,6395015,'1992-01-20 00:00:00',4,7,12,2009,'F','N','CENTRO','LUZERNA','SC','124241241116472431536611275124231424147',NULL,'539',0.00,1,2,1),(25,6395023,'1990-05-15 00:00:00',2,1,12,2007,'M','N','PALHOCINHA','ANGELINA','SC','124241241116161411323411445123332316142',NULL,'17',0.00,1,2,1),(25,6395031,'1994-05-07 00:00:00',4,1,12,2011,'F','S','RACHADEL','ANTÔNIO CARLOS','SC','124241241115161431443636595124610118142',NULL,'21',31.39,1,3,NULL),(25,6395040,'1992-07-01 00:00:00',4,10,12,2009,'M','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124241241115272231426411285114610122052',14817,'798',43.97,1,2,1),(25,6395066,'1990-06-12 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241216131431469913575124133244193',7204,'459',56.35,1,3,NULL),(25,6395074,'1993-09-30 00:00:00',4,4,12,2010,'F','N','ZONA RURAL','MAREMA','SC','124241241127131231553335572222610167052',20341,'554',27.37,1,3,NULL),(25,6395082,'1993-06-04 00:00:00',2,4,12,2010,'M','N','ZONA RURAL','SALTINHO','SC','124241241126161431533336152224610147057',13828,'682',41.27,1,2,1),(25,6395090,'1992-07-08 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241216133431427823375124231026143',16906,'944',34.96,1,3,NULL),(25,6395104,'1985-02-16 00:00:00',4,8,12,2002,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124241241215373411458632422122331514047',5501,'486',59.76,1,3,NULL),(25,6395120,'1990-07-12 00:00:00',4,1,12,2007,'M','N','PANAZZOLO','CAXIAS SUL','RS','120203201117271111169813211112143212097',13465,'9998',45.98,1,3,NULL),(25,6395139,'1992-03-31 00:00:00',4,2,11,2009,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215273431558831575122133264047',3836,'87',62.66,1,3,NULL),(25,6395147,'1993-10-11 00:00:00',4,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241217112421448619495112610114042',18924,'737',34.93,1,3,NULL),(25,6395155,'1992-02-29 00:00:00',4,8,11,2009,'F','N','CENTRO','CURITIBA','PR','116162161215472431546833575124610167072',4427,'9998',59.51,1,3,NULL),(25,6395163,'1989-08-30 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241216154431258931575124221727047',4723,'1022',59.75,1,3,NULL),(25,6395180,'1992-03-16 00:00:00',2,5,12,2009,'F','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120202201215471431268732571122610166042',1870,'9998',67.64,1,3,NULL),(25,6395198,'1991-01-07 00:00:00',2,15,12,2008,'F','N','TEÓPOLIS','ESTEIO','RS','120201208116571431469914441124610128077',NULL,'9998',39.39,1,2,1),(25,6395201,'1992-06-16 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241216132431467819575124231063117',13667,'299',45.69,4,3,NULL),(25,6395210,'1989-09-24 00:00:00',2,1,12,2006,'F','N','COLONIA VINTE','TAQUARI','RS','120203201117473731115841412121610168197',9041,'9998',49.88,1,3,NULL),(25,6395228,'1980-03-19 00:00:00',2,1,12,2001,'F','N','IPIRANGA','S JOSÉ','SC','624242247236135441243753232124122236097',9762,'943',51.77,1,3,NULL),(25,6395236,'1990-04-14 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241236234431534616275115610167147',21011,'1098',31.05,1,3,NULL),(25,6395244,'1969-11-05 00:00:00',4,1,12,1991,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','524172057117241721238843435124142831092',14033,'9998',44.04,1,3,NULL),(25,6395252,'1985-09-16 00:00:00',4,5,12,2002,'M','N','PILARZINHO','CURITIBA','PR','116161161116272751523379291234610167042',18010,'9998',35.25,1,2,1),(25,6395260,'1988-05-14 00:00:00',2,8,12,2005,'M','N','PARQUE CHAPADÃO','PIRACICABA','SP','125251251117431431612318482344610135171',NULL,'9998',0.00,4,2,1),(25,6395287,'1991-02-04 00:00:00',2,15,12,2008,'M','N','CENTRO','ARARANGUÁ','SC','124241241315132731225621591124231037067',16719,'970',41.04,4,3,NULL),(25,6395295,'1990-10-09 00:00:00',4,4,8,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161115472431449914372324610167157',2564,'9998',65.67,1,3,NULL),(25,6395309,'1993-07-27 00:00:00',2,7,12,2010,'F','N','CENTRO','IOMERÊ','SC','124241241127161732426312325122610137147',NULL,'368',25.55,1,2,1),(25,6395317,'1993-03-25 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241115231431326623576124610143057',NULL,'257',28.50,1,2,1),(25,6395325,'1962-12-26 00:00:00',2,1,12,1981,'M','N','JOSE MENDES','FLORIANÓPOLIS','SC','224251258117131431313329482124343264047',NULL,'9998',0.00,4,2,1),(25,6395333,'1993-05-02 00:00:00',2,17,12,2010,'M','N','CENTRO','PAPANDUVA','SC','124244241215111431348823275124610164142',NULL,'541',29.45,1,3,NULL),(25,6395350,'1984-04-15 00:00:00',4,16,12,2004,'F','N','SÃO FRANCISCO','CURITIBA','PR','116161167426131431341379135121341867117',20947,'9998',31.32,4,3,NULL),(25,6395368,'1990-03-02 00:00:00',2,1,12,2007,'F','N','CAMPO DUNA','GAROPABA','SC','124241241136134431423611482121610121143',NULL,'322',26.89,1,2,1),(25,6395376,'1991-07-01 00:00:00',4,1,12,2009,'M','N','PINGUIRITO','GAROPABA','SC','124203241431162431348413371112610121112',NULL,'322',25.70,1,3,NULL),(25,6395392,'1985-12-16 00:00:00',2,1,12,2002,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124202201216473721548819445132333233142',NULL,'9998',33.16,1,3,NULL),(25,6395414,'1993-07-19 00:00:00',2,3,10,2010,'F','N','ESTADOS','BAL CAMBORIÚ','SC','124241241125111411316431372222610133142',NULL,'49',0.00,1,3,NULL),(25,6395430,'1993-07-13 00:00:00',2,1,12,2010,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241217371431547633335114610154117',16730,'1022',39.38,1,3,NULL),(25,6395449,'1982-02-14 00:00:00',4,15,12,2000,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124242244416132411429342425331331316185',NULL,'33',0.00,1,3,NULL),(25,6395457,'1986-02-08 00:00:00',2,8,12,2003,'F','N','JARDIM CARUMBÉ','S PAULO','SP','125251251117573431323429475124243247097',14315,'9998',39.32,2,1,1),(25,6395473,'1977-12-22 00:00:00',4,1,12,1998,'M','N','FAZ STO ANTONIO','S JOSÉ','SC','124242241216173411367632415122131066182',NULL,'269',0.00,1,3,NULL),(25,6395481,'1986-06-14 00:00:00',4,1,12,2003,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216112311238923415124321227042',5359,'883',60.06,1,3,NULL),(25,6395490,'1990-02-22 00:00:00',4,1,12,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124244247436151411436813475122610117051',NULL,'9999',16.80,1,3,NULL),(25,6395503,'1993-10-01 00:00:00',4,8,12,2010,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124241241215151431436611572124610137157',NULL,'1105',0.00,1,3,NULL),(25,6395511,'1986-09-15 00:00:00',4,1,12,2003,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124244241217152411433314215123120767185',NULL,'1076',0.00,1,3,NULL),(25,6395546,'1989-07-17 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117132711427513345124121724081',13623,'307',45.74,1,2,1),(25,6395554,'1986-11-06 00:00:00',2,1,12,2004,'M','N','ABADIA','UBERABA','MG','113132131215571731438831572122143232052',NULL,'9998',0.00,1,3,NULL),(25,6395562,'1987-03-07 00:00:00',4,2,12,2005,'M','N','GARCIA','BLUMENAU','SC','124162161216471441123541315124610164092',16774,'9998',40.97,4,3,NULL),(25,6395570,'1993-02-28 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215371411339813592122610124072',NULL,'884',0.00,1,3,NULL),(25,6395589,'1993-05-22 00:00:00',4,3,11,2010,'M','N','CENTRO','BRUSQUE','SC','124243241215271431543612325322610167052',NULL,'1123',12.90,1,3,NULL),(25,6395597,'1972-08-26 00:00:00',4,1,12,1991,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224243241212253711234544445132331022093',10638,'541',50.26,1,3,NULL),(25,6395600,'1993-03-18 00:00:00',2,2,12,2010,'M','N','GLORIA','BLUMENAU','SC','124241248115371631423611585122610117057',NULL,'76',17.22,1,2,1),(25,6395619,'1988-09-05 00:00:00',2,1,12,2006,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','124241241127131731325324472114610127142',NULL,'594',12.33,4,3,NULL),(25,6395627,'1990-05-07 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201201616373421226644245224610114187',NULL,'9998',20.39,1,3,NULL),(25,6395635,'1982-08-28 00:00:00',2,1,12,2000,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241116135431225744245123610162147',10690,'307',45.45,1,3,NULL),(25,6395643,'1992-08-22 00:00:00',4,1,12,2009,'F','N','CENTRO','TIMBÉ SUL','SC','124241241116131431523919571124610118147',20827,'785',27.14,1,2,1),(25,6395651,'1971-10-23 00:00:00',2,1,12,1992,'M','N','INGLESES','FLORIANÓPOLIS','SC','624241241126131741331174445144610117043',NULL,'280',0.00,2,1,1),(25,6395660,'1992-01-28 00:00:00',2,1,12,2009,'F','N','JARDIM JUSSARA','ASSIS CHATEAUBRIAND','PR','116161161116272431536823575121610137147',18724,'9998',32.23,4,1,1),(25,6395678,'1993-06-04 00:00:00',2,8,12,2010,'M','N','RIO BONITO','BRAÇO NORTE','SC','124241241137141421635313145122610147057',NULL,'998',0.00,1,2,1),(25,6395686,'1992-05-22 00:00:00',2,10,12,2010,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124244241135371431337714315122610131117',20113,'359',34.27,1,3,NULL),(25,6395694,'1988-08-20 00:00:00',4,15,12,2005,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241117131122328631245131610142015',NULL,'29',28.20,1,3,NULL),(25,6395708,'1989-08-14 00:00:00',2,1,6,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242247315272431439444345124610124187',21418,'9999',28.67,1,3,NULL),(25,6395716,'1986-08-16 00:00:00',2,1,12,2003,'F','N','PACHECOS','PALHOÇA','SC','124241241112132421423419342334610128187',NULL,'591',0.00,1,2,1),(25,6395724,'1961-07-05 00:00:00',4,1,12,1979,'M','N','BOM VIVER','BIGUAÇU','SC','524241241145471421133344142222610167057',19074,'359',36.80,4,2,1),(25,6395732,'1992-02-07 00:00:00',2,1,12,2009,'F','N','CENTRO','GUARARAPES','SP','125252251216251431458833575121610163147',NULL,'9998',0.00,1,3,NULL),(25,6395740,'1992-10-20 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241316472431336624345124610133142',NULL,'1022',15.94,1,3,NULL),(25,6395759,'1992-05-29 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215472431449721572114610137147',20302,'1050',33.75,1,3,NULL),(25,6395767,'1988-01-25 00:00:00',2,1,12,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241248116262431348513295124231047043',18282,'290',38.31,1,2,1),(25,6395783,'1992-02-29 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124244241437131431433923345124610128143',NULL,'734',14.19,1,3,NULL),(25,6395791,'1983-08-18 00:00:00',4,1,12,2000,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217153751129941415124223264072',9681,'855',51.90,1,3,NULL),(25,6395805,'1987-12-15 00:00:00',4,1,6,2006,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241247147131411424344345134610111114',NULL,'9999',0.00,1,2,1),(25,6395813,'1992-05-15 00:00:00',4,6,12,2009,'F','N','FAZENDA','ITAJAÍ','SC','124242241215372431236922575124233262073',19671,'1057',35.42,1,3,NULL),(25,6395821,'1989-02-26 00:00:00',2,15,12,2007,'F','N','COLONINHA','ARARANGUÁ','SC','124241241131171731325424245124610126147',NULL,'785',0.00,3,3,NULL),(25,6395830,'1992-04-29 00:00:00',2,1,11,2009,'M','N','BELA VISTA','S JOSÉ','SC','124244241117152421434414545114610117047',18856,'257',37.23,1,3,NULL),(25,6395848,'1993-10-16 00:00:00',2,1,11,2010,'M','N','CACHOEIRA DE BIGUAÇU','BIGUAÇU','SC','124241241115131421623331572344610166061',NULL,'64',24.32,4,2,1),(25,6395856,'1991-12-16 00:00:00',4,5,12,2009,'F','N','NAVEGANTES','PTO ALEGRE','RS','120202201216471431448811575122610161172',5049,'9998',57.77,1,3,NULL),(25,6395864,'1992-11-25 00:00:00',2,1,12,2010,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241125141721226129246124610134197',NULL,'277',16.36,4,2,1),(25,6395880,'1973-06-02 00:00:00',2,1,11,1992,'M','N','INGLESES','FLORIANÓPOLIS','SC','124203203122131421235644345132142148187',NULL,'9998',0.00,1,3,NULL),(25,6395899,'1992-01-20 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241116471421325324375114610164077',14230,'307',40.77,1,2,1),(25,6395902,'1979-12-30 00:00:00',4,1,12,1998,'M','N','DANIELA','FLORIANÓPOLIS','SC','224251257127131431326341115134131448032',NULL,'9998',27.13,1,3,NULL),(25,6395910,'1987-08-14 00:00:00',4,1,12,2004,'F','N','SALGADO FILHO','STA MARIA','RS','120201201116131431427823292124243242186',NULL,'9998',0.00,1,2,1),(25,6395929,'1984-06-19 00:00:00',2,1,6,2004,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','224241247326154731253354215122610118052',NULL,'9999',45.65,3,3,NULL),(25,6395937,'1984-03-16 00:00:00',2,1,7,2003,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241247124473431314411282224121443157',16282,'736',41.73,1,2,1),(25,6395945,'1990-12-13 00:00:00',2,1,6,2010,'F','N','BELA VISTA','S JOSÉ','SC','124241241335151531323844345134610114197',NULL,'734',0.00,1,3,NULL),(25,6395953,'1993-06-04 00:00:00',2,4,12,2010,'M','N','ZONA RURAL','SALTINHO','SC','124241241126161431533336152224610147057',20394,'682',26.77,1,2,1),(25,6395961,'1993-02-05 00:00:00',4,1,11,2010,'M','N','MANGABEIRA','FRA SANTANA','BA','105052051215111431489912575122610127046',881,'9998',74.66,4,3,NULL),(25,6395970,'1994-02-02 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216111431557614575122610131192',NULL,'951',30.35,1,3,NULL),(25,6395996,'1993-01-18 00:00:00',2,9,12,2009,'M','N','IGARAS','OTACÍLIO COSTA','SC','124241242115271432446614382222610127047',21511,'1222',27.77,4,3,NULL),(25,6396003,'1987-05-18 00:00:00',2,1,12,2005,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241126231731326429282324610127047',NULL,'298',0.00,2,1,1),(25,6396011,'1983-08-19 00:00:00',4,1,12,2000,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241211152721227842421112130216197',NULL,'270',0.00,1,3,NULL),(25,6396020,'1994-05-01 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215121431628711575114610147073',11167,'1022',45.04,1,3,NULL),(25,6396038,'1991-10-19 00:00:00',2,17,12,2009,'F','N','ESTAÇÃO NOVA','RIO NEGRO','PR','116161161117131131426514282125130235187',NULL,'9998',21.92,1,2,1),(25,6396046,'1993-07-25 00:00:00',2,1,12,2010,'M','N','NOVA BELEM','PAULO LOPES','SC','124241241226112432439313575124610117047',7859,'262',50.77,1,3,NULL),(25,6396054,'1993-08-02 00:00:00',2,3,12,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124241242115131431427639275124610167117',19848,'129',35.03,1,2,1),(25,6396062,'1986-03-12 00:00:00',4,15,12,2003,'M','N','SAO CRISTOVAO','MARACAJÁ','SC','224241242111131421233344285122610168043',NULL,'960',0.00,1,3,NULL),(25,6396089,'1992-10-27 00:00:00',2,4,12,2009,'M','N','CENTRO','BARRACÃO','PR','116114161216131431225612575124231462042',11622,'9998',44.53,1,3,NULL),(25,6396097,'1982-09-02 00:00:00',2,1,12,2000,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241201112271431644411415124341626062',NULL,'9998',19.23,1,2,1),(25,6396100,'1980-05-06 00:00:00',4,1,12,1997,'M','N','VILA BELA','MORRINHOS','GO','109091091216473431126841115122240237042',17750,'9998',39.32,1,3,NULL),(25,6396119,'1993-09-06 00:00:00',4,15,12,2010,'M','N','VILA BITENCOURT','STA ROSA SUL','SC','124241241147131621423319392224610137042',NULL,'689',13.33,1,2,1),(25,6396127,'1993-06-16 00:00:00',2,8,12,2010,'F','N','SERRA ALTA','S BENTO SUL','SC','124241241112311311526611293125610114172',NULL,'697',0.00,1,2,1),(25,6396135,'1992-06-28 00:00:00',2,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124241241137271432323314385123610127052',20730,'730',32.23,2,1,1),(25,6396143,'1956-12-31 00:00:00',4,1,12,1999,'F','N','PRAINHA','FLORIANÓPOLIS','SC','124241242121114711425349291124131314092',21284,'307',29.53,2,1,1),(25,6396160,'1983-06-08 00:00:00',3,1,6,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241136145411343353245124610121095',NULL,'307',0.00,1,2,1),(25,6396178,'1962-11-16 00:00:00',2,1,12,1979,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224161161111143451334344341122422866191',6096,'9998',58.52,1,3,NULL),(25,6396186,'1991-08-19 00:00:00',2,4,12,2009,'M','N','AGUA AZUL','MARIÓPOLIS','PR','116163161217472431343735575112610147046',19337,'9998',30.16,1,3,NULL),(25,6396194,'1991-03-07 00:00:00',4,1,12,2008,'F','N','BOA VISTA','S JOSÉ R PRETO','SP','125252251215572431468839571125610118182',8496,'9998',50.17,1,3,NULL),(25,6396208,'1989-09-29 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161241311111211369971131121610126142',4864,'1063',60.48,1,3,NULL),(25,6396216,'1982-05-11 00:00:00',4,8,12,1999,'M','N','COSTA E SILVA','JOINVILLE','SC','124243241317132451544419231331132832057',NULL,'475',0.00,4,3,NULL),(25,6396224,'1989-07-27 00:00:00',2,1,12,2010,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124162241416151431326614385124610117032',NULL,'288',19.64,4,3,NULL),(25,6396232,'1988-07-02 00:00:00',2,1,9,2011,'F','S','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124241247431151111263352271124612457091',NULL,'9999',2.88,1,3,NULL),(25,6396240,'1967-02-21 00:00:00',4,1,12,1989,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241248146213131223149492144121127042',20222,'306',33.99,1,3,NULL),(25,6396267,'1991-04-06 00:00:00',4,5,12,2008,'M','N','BONFIM','PTO ALEGRE','RS','120202201216471311138849595112142063187',21,'9998',87.50,1,3,NULL),(25,6396275,'1977-07-17 00:00:00',4,1,7,1995,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224242241216372721368844442122322826191',NULL,'262',0.00,4,3,NULL),(25,6396283,'1993-10-06 00:00:00',4,8,12,2010,'M','N','UBATUBA','S FRANCISCO SUL','SC','124242248215111332347817575124610127122',NULL,'992',0.00,1,3,NULL),(25,6396291,'1979-11-02 00:00:00',2,1,12,1999,'M','N','BARREIROS','S JOSÉ','SC','124241241111134711534519282124221454051',NULL,'267',0.00,2,1,1),(25,6396305,'1989-10-16 00:00:00',4,1,11,2007,'M','N','ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC','124242241216373421467823495124610166184',11793,'269',48.50,1,3,NULL),(25,6396313,'1987-12-21 00:00:00',4,1,12,2006,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124244241215271631236624241124130224057',20080,'9999',34.36,1,3,NULL),(25,6396321,'1989-09-14 00:00:00',4,1,11,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217473731476611443112610134187',NULL,'270',42.92,1,3,NULL),(25,6396330,'1985-03-07 00:00:00',2,1,1,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224244247432144431438679111122613215042',NULL,'9999',0.00,1,3,NULL),(25,6396348,'1988-12-16 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241316373451666869395124223267147',6498,'1098',57.71,1,3,NULL),(25,6396356,'1993-05-06 00:00:00',2,4,12,2010,'F','N','INTERIOR','ERVAL GRANDE','RS','120201201136271731214367575124610134057',19517,'9998',29.52,1,2,1),(25,6396364,'1991-10-30 00:00:00',4,8,12,2008,'F','N','BUTIATUVINHA','CURITIBA','PR','116162161216371431558834575124141434112',13629,'9998',40.26,1,3,NULL),(25,6396372,'1977-10-28 00:00:00',2,15,12,1997,'M','N','CENTRO','CRICIÚMA','SC','224241241124132421423344245222131424181',21585,'488',27.09,1,2,1),(25,6396380,'1991-05-12 00:00:00',4,15,12,2008,'F','N','ITAICI II','CALDAS NOVAS','GO','109091091116371711536814345123610124142',NULL,'9998',0.00,4,2,1),(25,6396399,'1992-12-30 00:00:00',4,1,12,2010,'M','N','CIDADE JARDIM','GOIÂNIA','GO','109092091217111411345624572122610167022',NULL,'955',0.00,3,3,NULL),(25,6396402,'1994-11-30 00:00:00',2,8,12,2011,'M','S','SANTA LUZIA','JARAGUÁ SUL','SC','124241241237111221436534495124610127052',NULL,'424',36.11,1,3,NULL),(25,6396410,'1993-09-13 00:00:00',4,1,12,2010,'F','N','CENTRO','CANELINHA','SC','124241241215171412427933225122610164182',13140,'1119',42.68,1,3,NULL),(25,6396429,'1982-03-08 00:00:00',4,1,12,2000,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241117134431548833442114120647057',19837,'267',35.06,1,3,NULL),(25,6396437,'1991-03-08 00:00:00',5,6,12,2008,'M','N','PILARZINHO','CURITIBA','PR','116162161115371431578913415124610166147',NULL,'9998',0.00,1,3,NULL),(25,6396453,'1980-09-13 00:00:00',2,1,12,1998,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241241136144431234644345122430237057',11217,'192',49.36,1,2,1),(25,6396461,'1987-11-09 00:00:00',4,3,12,2004,'M','N','JARDIM PETRÓPOLIS','PRES PRUDENTE','SP','125252251436261431568711415132342124112',NULL,'9998',0.00,1,3,NULL),(25,6396470,'1982-12-16 00:00:00',4,15,12,2000,'M','N','COLONINHA','ARARANGUÁ','SC','124241242137131421553714245122330867062',NULL,'690',13.65,1,2,1),(25,6396488,'1985-05-02 00:00:00',2,1,12,2004,'M','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124251241146374231436629345114610127047',17097,'257',35.94,1,2,1),(25,6396496,'1969-01-16 00:00:00',2,1,12,1985,'M','N','CENTRO','FLORIANÓPOLIS','SC','224203201211141731379643431122541067067',NULL,'9998',0.00,1,3,NULL),(25,6396500,'1993-02-27 00:00:00',4,2,12,2009,'F','N','BOA VISTA','PNT GROSSA','PR','116162161215572411568832591124610122097',6057,'9998',54.23,1,3,NULL),(25,6396518,'1990-02-02 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124202201216372431228744345224610112187',NULL,'9998',21.81,1,3,NULL),(25,6396542,'1984-12-06 00:00:00',2,1,12,2003,'F','N','SERRARIA','S JOSÉ','SC','124243248347331421623339242334131362182',21791,'9999',20.96,2,3,NULL),(25,6396550,'1981-07-13 00:00:00',4,2,12,2001,'F','N','SÃO LUIS','BRUSQUE','SC','124241241126371431545524342124131463192',NULL,'111',30.63,1,2,1),(25,6396569,'1988-12-08 00:00:00',2,1,7,2007,'M','N','PETRÓPOLIS','CAXIAS SUL','RS','120204207417211411458831481125143234187',NULL,'9998',0.00,1,3,NULL),(25,6396577,'1991-07-21 00:00:00',4,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215272111133619372114610167057',12399,'1010',47.53,1,3,NULL),(25,6396585,'1989-01-14 00:00:00',2,1,8,2007,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241117143411548613395124231237147',21262,'739',29.67,1,2,1),(25,6396593,'1993-06-19 00:00:00',4,10,12,2010,'F','N','VILA NOVA','IMBITUBA','SC','124241241116151321426514342124610137147',19856,'359',29.54,1,2,1),(25,6396607,'1992-01-10 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124204221317371431338579442124610162142',12797,'9998',46.92,1,3,NULL),(25,6396615,'1992-06-23 00:00:00',2,1,12,2010,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241116371531336923385124610137072',NULL,'1116',22.72,1,2,1),(25,6396623,'1954-05-16 00:00:00',4,1,12,1972,'M','N','INGLESES','FLORIANÓPOLIS','SC','424202201216151411464349492124142367042',NULL,'9998',0.00,4,3,NULL),(25,6396631,'1987-11-23 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241161214174421447431375124121537047',7395,'9998',55.98,1,3,NULL),(25,6396658,'1991-03-23 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S JOSÉ','SC','124241241216132141126911575124240667047',NULL,'737',0.00,1,3,NULL),(25,6396666,'1991-11-13 00:00:00',4,4,12,2008,'M','N','CENTRO','JARDINÓPOLIS','SC','124241251116131431538613485123610114057',NULL,'9998',0.00,1,3,NULL),(25,6396682,'1993-03-18 00:00:00',2,2,12,2010,'M','N','GLORIA','BLUMENAU','SC','124241241115371631423611575122610127057',21527,'76',27.64,1,2,1),(25,6396690,'1988-07-02 00:00:00',2,15,12,2006,'M','N','VIAMOPOLIS','VIAMÃO','RS','120201201213131431214444143324610127045',NULL,'9998',26.84,1,3,NULL),(25,6396704,'1993-01-15 00:00:00',4,10,12,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124243241117141451229619582124610138172',8424,'798',50.44,1,3,NULL),(25,6396712,'1992-04-23 00:00:00',4,9,11,2009,'M','N','JARDIM MINUANO','S JOAQUIM','SC','124242241216152431448336575124233267147',16447,'1035',41.48,1,3,NULL),(25,6396720,'1990-03-15 00:00:00',2,1,11,2007,'M','N','MARTORANO','S JOAQUIM','SC','124242241215473231458613595122130364052',16033,'1035',40.35,1,3,NULL),(25,6396747,'1988-08-01 00:00:00',2,1,10,2005,'M','N','BARREIROS','S JOSÉ','SC','124242241217152431336632245123330227082',20153,'738',34.19,1,3,NULL),(25,6396763,'1978-12-14 00:00:00',4,1,12,1995,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124252256137151421159841415122343237045',7022,'9998',56.71,1,3,NULL),(25,6396780,'1993-04-06 00:00:00',4,4,12,2009,'F','N','SANTA MARIA','CHAPECÓ','SC','124242241217372431369933575122231036182',NULL,'983',0.00,1,3,NULL),(25,6396798,'1992-01-12 00:00:00',4,8,12,2009,'F','N','IRIRIÚ','JOINVILLE','SC','124241241137131411416631242234610166147',21652,'469',26.10,1,2,1),(25,6396801,'1968-10-17 00:00:00',2,1,11,1989,'M','N','CENTRO','FLORIANÓPOLIS','SC','224251251131152511234643135132123267113',17294,'9998',40.11,1,3,NULL),(25,6396810,'1975-09-17 00:00:00',4,1,12,2002,'F','N','TAPERA','FLORIANÓPOLIS','SC','124161161322131431323344242324610257097',NULL,'315',31.29,1,3,NULL),(25,6396828,'1991-09-19 00:00:00',4,1,10,2010,'F','N','CLÉLIA BERNARDES','VIÇOSA','MG','113134137437371431278929595115610132023',NULL,'9998',29.18,4,3,NULL),(25,6396836,'1990-01-26 00:00:00',3,8,11,2008,'M','N','VILA MARIANA','S PAULO','SP','125252251216471711348824575122610167177',NULL,'9998',0.00,1,3,NULL),(25,6396844,'1993-08-02 00:00:00',4,3,12,2010,'M','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112122121217111431348711575122610167047',NULL,'9998',0.00,1,3,NULL),(25,6396852,'1994-07-09 00:00:00',4,8,12,2011,'M','S','JARDIM IRIRIÚ','JOINVILLE','SC','124242241216111431458634475121610112141',NULL,'462',0.00,1,3,NULL),(25,6396860,'1989-04-13 00:00:00',2,1,12,2006,'M','N','BOSQUE','CURITIBANOS','SC','124242241415573731149823375124231467042',13312,'239',46.21,4,3,NULL),(25,6396879,'1993-02-27 00:00:00',4,1,11,2010,'F','N','CIDADE JARDIM','S JOSÉ R PRETO','SP','125253251217111431666412575112610164053',8086,'9998',50.49,1,3,NULL),(25,6396887,'1985-01-22 00:00:00',4,1,12,2002,'M','N','ARRAIAL DA JUDA','PTO SEGURO','BA','124052051217575411548832475224221614112',20839,'9998',31.77,1,3,NULL),(25,6396895,'1994-02-24 00:00:00',4,6,12,2010,'F','N','VILA PROGRESSO','DOURADOS','MS','112121121215121431559936575122610137187',11526,'9998',44.89,1,3,NULL),(25,6396909,'1989-07-22 00:00:00',2,8,12,2007,'M','N','PARQUE GUARANI','JOINVILLE','SC','124253247442161732423311312344610164047',NULL,'9997',0.00,4,3,NULL),(25,6396925,'1992-05-16 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124242241216271431367722245122610143142',18764,'1028',32.43,1,3,NULL),(25,6396941,'1979-10-16 00:00:00',2,1,12,1997,'F','N','PINHEIRA','PALHOÇA','SC','124244241127133411226641211314133261187',NULL,'307',26.50,1,3,NULL),(25,6396950,'1990-06-25 00:00:00',2,1,12,2007,'F','N','CENTRO','TUNAS','RS','120201208116271731433322575124143228142',NULL,'9998',15.23,1,2,1),(25,6396968,'1989-12-17 00:00:00',2,1,12,2007,'M','N','VARJEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241137472441333321245324610137117',21747,'288',24.14,1,3,NULL),(25,6396976,'1982-12-11 00:00:00',4,1,12,2000,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','624242241216153411333441315122222062112',2486,'270',67.49,2,1,2),(25,6396984,'1989-05-16 00:00:00',2,1,12,2007,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241137141721533324212314610147047',NULL,'288',31.90,1,3,NULL),(25,6396992,'1993-07-23 00:00:00',4,1,12,2010,'M','N','CACHOIERA DO BOM J','FLORIANÓPOLIS','SC','124241241225111731433321292214610117092',13564,'262',41.69,1,3,NULL),(25,6397000,'1991-04-30 00:00:00',2,1,12,2009,'F','N','BOSQUE DAS MANSÕES','S JOSÉ','SC','124242247216471731458823572114610132017',16176,'9999',41.88,1,3,NULL),(25,6397018,'1993-11-24 00:00:00',2,1,11,2010,'F','N','PINHEIRA','PALHOÇA','SC','124241241116131431526613575124610117147',20946,'595',25.92,1,2,1),(25,6397026,'1982-04-19 00:00:00',2,3,11,2001,'M','N','CENTRO','BAL CAMBORIÚ','SC','524211216117141421133644245122132962042',NULL,'9998',0.00,1,3,NULL),(25,6397042,'1990-01-11 00:00:00',4,1,12,2006,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241216272431349929375124133244142',15201,'723',43.41,1,3,NULL),(25,6397069,'1991-09-03 00:00:00',2,1,11,2008,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241112131431323379211324610134042',NULL,'697',16.44,1,3,NULL),(25,6397077,'1989-09-29 00:00:00',4,3,12,2006,'M','N','OLIVEIRA','TIJUCAS','SC','124241241126142421443511225123131412062',NULL,'783',27.92,1,2,1),(25,6397085,'1993-02-13 00:00:00',4,1,12,2010,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241215111431343633575114610118141',NULL,'977',8.36,1,3,NULL),(25,6397093,'1991-11-13 00:00:00',4,1,11,2009,'F','N','CENTRO','URUSSANGA','SC','124242241215473431486612575122610127152',4613,'820',61.75,1,3,NULL),(25,6397107,'1991-05-26 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124241241111112211547933581112610127097',20897,'935',31.53,1,3,NULL),(25,6397115,'1992-09-14 00:00:00',4,8,11,2009,'F','N','MOSSUNGUÊ','CURITIBA','PR','116242161215471431488811571122610167142',NULL,'9998',0.00,1,3,NULL),(25,6397123,'1993-03-12 00:00:00',4,6,11,2010,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124241248136271421336414285124610154057',NULL,'873',21.03,1,3,NULL),(25,6397131,'1991-04-22 00:00:00',4,1,11,2008,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241217143431565923485122233268082',20684,'1022',32.46,4,3,NULL),(25,6397140,'1988-08-31 00:00:00',4,10,12,2005,'F','N','CENTRO','TUBARÃO','SC','124242241215574431436939585124131063097',5278,'807',56.84,1,3,NULL),(25,6397158,'1994-04-25 00:00:00',4,3,12,2011,'F','S','PEREQUÊ','PTO BELO','SC','124163241117161731528839275112610132142',NULL,'630',0.00,1,3,NULL),(25,6397166,'1990-05-25 00:00:00',4,1,12,2007,'M','N','SITIO','CORBÉLIA','PR','116161161116141751433316445124243262017',13770,'9998',39.62,1,2,1),(25,6397174,'1993-04-15 00:00:00',2,17,12,2010,'F','N','VILA LOPACINSKI','MALLET','PR','116161161116271431438819275122610125077',NULL,'9998',24.45,1,2,1),(25,6397190,'1990-01-14 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241416172431259724345124221437142',874,'300',74.70,1,3,NULL),(25,6397204,'1993-08-02 00:00:00',4,15,12,2010,'F','N','CENTRO','SOMBRIO','SC','124242241115231731236623575122610135095',NULL,'1033',17.30,1,3,NULL),(25,6397212,'1992-06-30 00:00:00',4,5,12,2009,'M','N','CENTRO','ORLEANS','SC','124241241216273731457632575122232467062',1410,'226',69.45,1,3,NULL),(25,6397220,'1991-11-01 00:00:00',4,2,12,2009,'F','N','CENTRO','RIO CEDROS','SC','124244241216372431347824575124610122142',NULL,'1157',0.00,1,3,NULL),(25,6397239,'1991-03-23 00:00:00',4,5,7,2010,'F','N','DE VILLA','URUSSANGA','SC','124241243217111431236914575124610116142',NULL,'995',15.06,1,3,NULL),(25,6397247,'1992-03-18 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216142711237723492124610127143',NULL,'1022',0.00,1,3,NULL),(25,6397255,'1993-03-27 00:00:00',4,1,12,2010,'M','N','CENTRO','S JOÃO BATISTA','SC','124241241146141331336314245112610137045',21653,'712',20.83,1,2,1),(25,6397263,'1992-08-02 00:00:00',4,1,11,2009,'F','N','MORADA DO SOL','PALHOÇA','SC','124241241115371421223944341234610127147',NULL,'818',15.82,1,2,1),(25,6397280,'1992-07-05 00:00:00',4,17,12,2009,'M','N','CENTRO','ITAIÓPOLIS','SC','124241241221372411447832345122610144147',4851,'1024',58.89,1,3,NULL),(25,6397298,'1991-12-04 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIÚMA','SC','124244241417132431637711375124221731187',10035,'210',51.27,1,3,NULL),(25,6397301,'1989-11-17 00:00:00',4,15,12,2006,'M','N','VILA SAO JOSE','ARARANGUÁ','SC','124241241145131421322644345221330824067',NULL,'29',28.24,1,3,NULL),(25,6397310,'1980-03-04 00:00:00',2,5,12,2005,'M','N','JARDIN MARISTELA','CRICIÚMA','SC','224241246127132421225544345122131444197',NULL,'804',17.04,1,3,NULL),(25,6397328,'1987-10-29 00:00:00',2,1,7,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241247336471711223341212124610116117',NULL,'9999',22.52,1,3,NULL),(25,6397336,'1993-07-14 00:00:00',4,4,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116163162116151751459933275124610136057',NULL,'9998',0.00,4,3,NULL),(25,6397344,'1983-10-20 00:00:00',4,15,12,2003,'M','N','MATO ALTO','ARARANGUÁ','SC','224241246117131211243344342132610147063',19814,'228',35.11,1,3,NULL),(25,6397360,'1979-04-30 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','624241247131131411413151312112610163172',NULL,'9999',0.00,4,1,1),(25,6397379,'1992-02-19 00:00:00',4,8,12,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124161161214573411537611474224143234027',7778,'9998',51.92,3,3,NULL),(25,6397387,'1993-03-15 00:00:00',4,1,11,2010,'M','N','CATARINA FONTANA','CONCÓRDIA','SC','124241241215111431349913475122610167012',8079,'1000',50.49,1,3,NULL),(25,6397395,'1980-06-27 00:00:00',2,9,12,1997,'F','N','CENTRO','CAXIAS SUL','RS','120201205116151431134344145224340661147',8678,'9998',53.63,1,2,1),(25,6397409,'1993-03-18 00:00:00',4,1,11,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124163161215112411456311575124221462052',NULL,'9998',0.00,1,3,NULL),(25,6397417,'1992-04-14 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241217373431266924572124221444175',9442,'738',49.13,1,3,NULL),(25,6397425,'1989-02-26 00:00:00',2,1,12,2006,'F','N','IPIRANGA','S JOSÉ','SC','224241241121374431421244142124610143013',18206,'257',33.98,1,3,NULL),(25,6397433,'1981-03-06 00:00:00',4,1,6,1999,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','224241248116133321536643231122321167047',13167,'306',46.38,1,2,1),(25,6397441,'1990-10-30 00:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241248116273731426821575124610117042',13756,'307',43.64,1,3,NULL),(25,6397450,'1990-10-22 00:00:00',4,1,11,2009,'F','N','SANTANA','S PAULO','SP','125252251216471431458614472124610128072',10868,'9998',45.31,1,3,NULL),(25,6397468,'1986-07-28 00:00:00',2,1,12,2003,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224241241116174421333344445234323013012',NULL,'192',0.00,1,2,1),(25,6397476,'1991-06-19 00:00:00',2,1,11,2009,'F','N','CAMPACHE','FLORIANÓPOLIS','SC','124242241215262441458613415124220931192',NULL,'1022',39.71,1,3,NULL),(25,6397484,'1993-04-23 00:00:00',4,1,12,2010,'F','N','CIDADE JARDIM','LIMEIRA','SP','125253253117371411439712175122610136072',9816,'9998',46.63,1,3,NULL),(25,6397492,'1986-04-04 00:00:00',4,10,12,2009,'M','N','OFICINAS','TUBARÃO','SC','124241247137151411337629495121610122042',NULL,'9999',15.07,1,2,1),(25,6397506,'1987-10-04 00:00:00',2,15,12,2004,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120201201416572441565911271124241567143',1259,'9998',72.02,1,3,NULL),(25,6397514,'1993-03-31 00:00:00',2,1,12,2010,'F','N','CENTRO','AGROLÂNDIA','SC','124241241117151431123329292122610124067',NULL,'6',16.63,1,2,1),(25,6397522,'1987-09-10 00:00:00',2,1,11,2010,'M','N','JARDIM DOS AÇORES','BIGUAÇU','SC','124241241115161431414411382124610124093',18816,'110',37.32,1,2,1),(25,6397530,'1985-11-20 00:00:00',4,6,11,2004,'M','N','SÃO JUDAS','ITAJAÍ','SC','124244241112131731355311245123133226187',NULL,'396',0.00,1,3,NULL),(25,6397549,'1977-06-18 00:00:00',4,6,11,1996,'M','N','SAO JOAO','ITAJAÍ','SC','124244247444163411326579385224333214041',15968,'391',42.19,1,3,NULL),(25,6397557,'1991-10-22 00:00:00',2,1,12,2008,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241116133431547631575124133218062',NULL,'739',0.00,1,2,1),(25,6397565,'1987-11-07 00:00:00',2,1,12,2004,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124241241211374221358821577122531234091',NULL,'884',0.00,1,3,NULL),(25,6397573,'1991-08-06 00:00:00',2,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','116251251125571731357833574112610165047',3327,'9998',62.53,1,2,1),(25,6397590,'1990-03-29 00:00:00',2,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124243241315131311533334382124610121187',NULL,'724',39.32,1,3,NULL),(25,6397603,'1993-07-20 00:00:00',4,7,12,2010,'F','N','VILA RICA','HERVAL D OESTE','SC','124241241116371431333629345122610133147',NULL,'341',34.24,1,2,1),(25,6397620,'1990-01-28 00:00:00',4,2,12,2007,'F','N','VILA NOVA','BLUMENAU','SC','124243241215151751435923382115610123187',9203,'855',52.69,1,3,NULL),(25,6397638,'1992-02-25 00:00:00',4,8,12,2009,'M','N','JARDIM HASTCHEL','RIO NEGRINHO','SC','124241241137371511413319571121610147187',NULL,'669',0.00,1,2,1),(25,6397646,'1993-08-03 00:00:00',2,4,12,2010,'M','N','CENTRO','NOVA E SUDOESTE','PR','116161161146271731546614145122610167057',13185,'9998',41.29,1,2,1),(25,6397654,'1989-03-28 00:00:00',2,4,11,2006,'F','N','CENTRO','S LOURENÇO OESTE','SC','124162161215573431446632575122610164153',10816,'9998',49.97,1,3,NULL),(25,6397662,'1992-11-04 00:00:00',4,1,11,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241216151411438639595112610134142',NULL,'9999',35.99,1,3,NULL),(25,6397670,'1976-02-06 00:00:00',4,1,12,2002,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','424241247146151511321179292114132237187',NULL,'9999',18.83,3,3,NULL),(25,6397689,'1991-07-06 00:00:00',4,4,12,2008,'F','N','CENTRO','GUARACIABA','SC','124241241131131431338613395122231367147',NULL,'334',41.19,1,2,1),(25,6397697,'1991-01-18 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116473431448933475114610131147',NULL,'307',36.75,1,2,1),(25,6397700,'1993-12-14 00:00:00',4,1,12,2011,'M','S','SACO GRANDE','FLORIANÓPOLIS','SC','124242241217111731558912592122610124072',NULL,'262',40.48,2,3,NULL),(25,6397727,'1994-09-16 00:00:00',4,1,12,2011,'F','S','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215111431468823575114610127185',NULL,'270',48.57,1,3,NULL),(25,6397735,'1992-11-24 00:00:00',4,4,12,2009,'M','N','CENTRO','GUARACIABA','SC','124241241216372211649933435122131016191',9269,'1179',47.88,1,3,NULL),(25,6397743,'1987-08-27 00:00:00',4,4,12,2005,'F','N','LIDER','CHAPECÓ','SC','124244248217271721448811281244133227142',NULL,'9997',26.11,1,3,NULL),(25,6397751,'1991-12-11 00:00:00',4,1,12,2010,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125254251347271211248732244122610117047',NULL,'9998',0.00,1,3,NULL),(25,6397760,'1992-07-03 00:00:00',4,7,12,2010,'F','N','MENINO DEUS','JOAÇABA','SC','124242241217163431458933572125231464142',12326,'962',47.65,1,3,NULL),(25,6397778,'1992-10-22 00:00:00',4,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124242241115471431433364275324610127077',NULL,'733',34.17,2,3,NULL),(25,6397786,'1993-08-03 00:00:00',4,15,11,2010,'F','N','SANGA DA TOCA II','ARARANGUÁ','SC','124241246235161531436839471124232938177',20293,'9997',33.78,1,3,NULL),(25,6397794,'1992-10-28 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241115371451326624272224610113145',NULL,'592',13.06,1,2,1),(25,6397816,'1993-06-25 00:00:00',4,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124242248216271731459819575122610111147',12783,'962',41.52,1,3,NULL),(25,6397832,'1986-04-15 00:00:00',4,8,12,2003,'F','N','SUMAREZINHO','S PAULO','SP','125252251217471431386813585124343225187',1648,'9998',69.10,1,3,NULL),(25,6397840,'1988-07-14 00:00:00',2,1,12,2005,'M','N','ARIRIU','PALHOÇA','SC','124243241347131431543311245122230227062',NULL,'772',7.43,4,3,NULL),(25,6397859,'1958-07-24 00:00:00',2,1,7,1978,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201208122133731124849372111140224187',21176,'9998',30.20,1,3,NULL),(25,6397875,'1989-06-09 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241127141431433334242112610137057',20140,'922',34.21,1,2,1),(25,6397891,'1993-06-28 00:00:00',4,4,12,2010,'F','N','CENTRO','MONDAÍ','SC','124243241116161431333632575122610137147',NULL,'564',37.91,1,3,NULL),(25,6397905,'1989-03-17 00:00:00',2,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116161161116571431189919575124610164042',1147,'9998',72.24,1,2,1),(25,6397921,'1991-06-19 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124241241146151732636611335122610114147',NULL,'591',26.43,1,2,1),(25,6397930,'1993-09-18 00:00:00',4,7,12,2010,'M','N','CENTRO','HERVAL D OESTE','SC','124242241215111451538833495115610167082',NULL,'454',22.94,1,3,NULL),(25,6397948,'1979-12-19 00:00:00',2,1,12,1997,'F','N','CENTRO','FLORIANÓPOLIS','SC','124281283116332441126441315124610166182',10739,'9998',50.09,1,2,1),(25,6397956,'1992-02-09 00:00:00',4,2,12,2009,'M','N','CENTRO','RIO SUL','SC','124244241216152221348614243122231414042',NULL,'663',0.00,1,3,NULL),(25,6397964,'1991-11-10 00:00:00',4,1,11,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241217272431468613575114223227042',1883,'723',69.75,1,3,NULL),(25,6397972,'1993-11-02 00:00:00',4,7,12,2010,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','124241241115131431436629575122610127147',NULL,'341',0.00,1,2,1),(25,6397980,'1993-12-03 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241216111751639813595124610127012',NULL,'1075',33.00,1,3,NULL),(25,6397999,'1993-11-25 00:00:00',4,9,11,2010,'M','N','CORAL','LAGES','SC','124241246217111711436611494112610166012',NULL,'1106',17.01,1,3,NULL),(25,6398006,'1989-03-25 00:00:00',2,6,12,2007,'F','N','CENTRO','ILHOTA','SC','124241244137331721523675252122132968052',NULL,'354',8.33,1,3,NULL),(25,6398014,'1993-12-21 00:00:00',4,1,12,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124242241217111131358814594121610167122',21117,'807',30.56,1,3,NULL),(25,6398030,'1987-01-24 00:00:00',4,7,12,2003,'F','N','CENTRO','TANGARÁ','SC','124241241116132421136643435122331334147',NULL,'314',0.00,1,3,NULL),(25,6398049,'1976-12-21 00:00:00',4,1,12,2000,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','624202201226133751235653315122610122187',NULL,'9998',29.22,1,3,NULL),(25,6398057,'1992-08-28 00:00:00',4,5,9,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215472421347933571112610124072',NULL,'226',40.61,1,3,NULL),(25,6398065,'1981-09-26 00:00:00',4,1,12,1999,'F','N','IMPERIAL','S JOSÉ R PRETO','SP','125251251115572431448839471122342518182',NULL,'9998',0.00,1,2,1),(25,6398073,'1992-12-05 00:00:00',2,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111232459934575124610137047',16333,'269',41.65,1,3,NULL),(25,6398081,'1994-12-13 00:00:00',2,1,12,2011,'F','S','PICANÇO','GUARULHOS','SP','125252251217131731348834575122610164141',NULL,'9998',37.51,1,3,NULL),(25,6398090,'1989-01-10 00:00:00',2,3,12,2007,'M','N','CENTRO','CURITIBA','PR','116161251127111431346833495125610167042',NULL,'9998',12.06,2,1,1),(25,6398103,'1992-07-29 00:00:00',4,1,12,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241217273431538571575124231064147',5487,'1011',56.48,1,3,NULL),(25,6398120,'1984-02-13 00:00:00',4,1,11,2001,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124162161212131411318729382124141227182',NULL,'9998',40.39,1,3,NULL),(25,6398138,'1993-07-02 00:00:00',4,7,12,2010,'F','N','CENTRO','IPIRA','SC','124241241115371331466812372122610137052',11530,'369',43.29,1,2,1),(25,6398146,'1992-03-09 00:00:00',3,1,12,2009,'F','N','LUCAS ARAÚJO','PASSO FUNDO','RS','120201201116471751348833574124610114147',15547,'9998',37.41,1,2,1),(25,6398154,'1993-02-09 00:00:00',4,1,12,2010,'F','N','CENTRO','TIJUCAS','SC','124242243215131731433811572122610138147',15449,'1119',38.19,1,3,NULL),(25,6398170,'1992-03-18 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124143241312471411228815372124610132142',NULL,'307',28.21,1,3,NULL),(25,6398189,'1987-10-22 00:00:00',4,1,12,2005,'F','N','VILA GERMER','TIMBÓ','SC','124241241117372431326724185124133226117',NULL,'787',0.00,1,2,1),(25,6398197,'1994-02-06 00:00:00',4,2,12,2010,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124201241115371431426674395124610134097',10920,'430',45.69,1,2,1),(25,6398219,'1992-03-07 00:00:00',2,1,11,2009,'F','N','PRAIA DO FORTE','FLORIANÓPOLIS','SC','124241241116272331423623345234610123143',18448,'295',38.02,3,3,NULL),(25,6398227,'1993-05-15 00:00:00',4,4,12,2010,'M','N','CENTRO','NOVA E SUDOESTE','PR','116161161147161731437636282122610127177',16529,'9998',36.14,1,2,1),(25,6398235,'1989-12-21 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217133442239929485114133217015',NULL,'1022',26.20,1,3,NULL),(25,6398243,'1993-07-18 00:00:00',2,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215131531444639271114610137147',11459,'273',44.86,1,3,NULL),(25,6398251,'1993-09-11 00:00:00',2,4,12,2010,'M','N','CENTRO','SALTINHO','SC','124241241127141411549933342122610127147',12430,'682',43.77,4,2,1),(25,6398260,'1975-06-04 00:00:00',2,1,10,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247344273421114448383321610128187',NULL,'9999',28.74,4,3,NULL),(25,6398278,'1992-04-24 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215113431459812275122131012197',13373,'1063',41.90,1,3,NULL),(25,6398286,'1993-04-30 00:00:00',2,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241215132431558614575125610164147',NULL,'1191',0.00,1,3,NULL),(25,6398294,'1987-06-26 00:00:00',2,1,11,2007,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241135141132426771241114610168192',NULL,'306',0.00,1,2,1),(25,6398316,'1993-11-02 00:00:00',4,4,12,2010,'M','N','CERÂMICA','ERECHIM','RS','120201201116471731336619291123610164177',7834,'9998',52.02,1,2,1),(25,6398332,'1993-05-20 00:00:00',2,1,12,2010,'M','N','CANTO','FLORIANÓPOLIS','SC','124241241315141431523611342124610136052',18890,'1022',37.15,4,3,NULL),(25,6398340,'1978-12-27 00:00:00',2,1,12,1997,'F','N','FUNDOS','BIGUAÇU','SC','124161161122131411323316392124142264047',NULL,'9998',15.81,1,3,NULL),(25,6398359,'1992-10-28 00:00:00',4,2,12,2009,'F','N','VILA NOVA','BLUMENAU','SC','124243241215371751435923572115610122147',NULL,'855',19.60,1,3,NULL),(25,6398367,'1986-10-12 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241125141422223344445124230262142',NULL,'356',0.00,1,2,1),(25,6398375,'1988-11-28 00:00:00',2,1,12,2005,'F','N','CENTRO','CASCAVEL','PR','116161161315573431534411572322610146187',5692,'9998',56.72,4,1,2),(25,6398383,'1993-04-29 00:00:00',4,2,12,2010,'M','N','CENTRO','POMERODE','SC','124241241117151431534634574121610127042',NULL,'621',23.53,1,3,NULL),(25,6398391,'1987-07-11 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248231373431229924281224610128187',7132,'1169',56.49,1,3,NULL),(25,6398405,'1994-04-25 00:00:00',4,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241217151431346632375112610164062',7638,'723',55.56,1,3,NULL),(25,6398413,'1994-01-27 00:00:00',2,1,12,2011,'M','S','BUDAG','RIO SUL','SC','124242241215571731568933575122610127142',NULL,'653',34.90,1,3,NULL),(25,6398421,'1994-03-17 00:00:00',4,5,11,2010,'F','N','MICHEL','CRICIÚMA','SC','124242241115111711466832224122610127147',17074,'210',40.50,1,3,NULL),(25,6398430,'1993-06-26 00:00:00',4,2,12,2010,'M','N','CENTRO','LAURENTINO','SC','124241241115111521534632345122610114061',21234,'7',29.85,1,2,1),(25,6398448,'1994-02-25 00:00:00',4,7,5,2010,'F','N','CENTRO','ARROIO TRINTA','SC','124241241115161431437614585122610155142',NULL,'853',33.32,1,2,1),(25,6398456,'1989-04-30 00:00:00',2,1,12,2006,'F','N','TIJUQUINHAS','BIGUAÇU','SC','124241241116272421534634345124131333052',18769,'64',37.41,1,2,1),(25,6398464,'1988-09-23 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217153751469934415113142462183',1915,'270',66.74,1,3,NULL),(25,6398472,'1994-12-16 00:00:00',4,1,12,2010,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241216111311226623575124610162072',NULL,'1022',29.03,1,3,NULL),(25,6398480,'1994-08-15 00:00:00',4,8,12,2011,'F','S','ATIRADORES','JOINVILLE','SC','124242241217111731364824475125610143197',NULL,'461',53.24,1,3,NULL),(25,6398502,'1994-07-04 00:00:00',4,4,12,2010,'M','N','CENTRO','MARAVILHA','SC','124242241215371731383912475112610167056',NULL,'1037',34.51,1,3,NULL),(25,6398510,'1993-04-10 00:00:00',2,16,12,2010,'F','N','JARDIM NOVA ITALIA','LIMEIRA','SP','125253251117341731343617372124610147142',NULL,'9998',0.00,1,3,NULL),(25,6398529,'1992-04-21 00:00:00',2,15,12,2008,'F','N','CENTRO','FARROUPILHA','RS','120202201212571411433411172114610167147',3559,'9998',61.91,1,3,NULL),(25,6398537,'1987-06-02 00:00:00',2,5,12,2005,'M','N','CARAVAGGIO','NOVA VENEZA','SC','124243241316171431348613385122230227042',NULL,'577',0.00,1,3,NULL),(25,6398545,'1993-07-31 00:00:00',4,15,12,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124241241145271732424311582125610112197',NULL,'29',24.69,1,2,1),(25,6398553,'1981-05-22 00:00:00',4,1,12,2001,'F','N','LESTE UNIVERSITARIO','GOIÂNIA','GO','109091097326134431425529485114141036187',NULL,'9998',0.00,2,1,2),(25,6398588,'1993-01-10 00:00:00',2,8,12,2010,'F','N','COLONIAL','S BENTO SUL','SC','124241241115271431439834385112610138197',NULL,'697',0.00,1,3,NULL),(25,6398596,'1992-03-20 00:00:00',2,6,12,2010,'M','N','TABOÃO','RIO SUL','SC','124241248127111731436612326122610128042',NULL,'659',18.69,1,3,NULL),(25,6398600,'1994-07-11 00:00:00',2,4,12,2011,'M','S','SANTA LÚCIA','PALMITOS','SC','124201202216171751424916575122610167057',NULL,'9998',15.25,1,3,NULL),(25,6398618,'1992-03-24 00:00:00',4,1,12,2010,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241247216131311234812225124610148117',NULL,'9999',11.33,1,3,NULL),(25,6398626,'1989-11-07 00:00:00',2,4,3,2007,'M','N','DAS TORRES','DOIS VIZINHOS','PR','116161161116131431423614282115610124097',NULL,'9998',0.00,1,2,1),(25,6398634,'1990-07-15 00:00:00',2,4,12,2007,'M','N','SANTA LUZIA','ABELARDO LUZ','SC','120241168214571731358939392124610164051',NULL,'9998',48.92,1,3,NULL),(25,6398642,'1989-07-19 00:00:00',2,1,12,2006,'F','N','FABRICIO','STO AMARO IMPERATRIZ','SC','124243241316132421643311342124610124073',NULL,'9997',0.00,1,3,NULL),(25,6398650,'1983-07-15 00:00:00',4,1,12,2000,'M','N','CAMPINAS','S JOSÉ','SC','124242241216142441246741415122610164112',9369,'1036',52.41,1,3,NULL),(25,6398669,'1995-04-15 00:00:00',4,1,12,2011,'F','S','FUNDOS','BIGUAÇU','SC','124241241225111431536939575124613237042',NULL,'262',17.24,1,3,NULL),(25,6398677,'1994-05-15 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241317131731326853575124610133117',NULL,'257',37.45,1,3,NULL),(25,6398685,'1993-08-28 00:00:00',2,6,11,2010,'M','N','CENTRO','NAVEGANTES','SC','124242241216331411545412215121610134047',NULL,'1029',0.00,4,3,NULL),(25,6398693,'1993-03-11 00:00:00',4,1,10,2010,'F','N','IATE CLUBE','BAL CAMBORIÚ','SC','124241248214421331314639395122610125077',NULL,'9997',24.87,1,3,NULL),(25,6398707,'1990-04-22 00:00:00',4,10,12,2007,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241241111132731438931291124221464112',21140,'1034',30.45,2,1,1),(25,6398715,'1993-10-07 00:00:00',2,1,12,2010,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241215161431464923575122510168192',13062,'1223',42.33,1,3,NULL),(25,6398723,'1992-02-21 00:00:00',4,1,12,2009,'F','N','SANTA MÔNICA','UBERLÂNDIA','MG','113132071216471331433632572124610144147',NULL,'9998',0.00,1,3,NULL),(25,6398731,'1987-02-26 00:00:00',4,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224251257127131731313344242314610118046',NULL,'9998',0.00,1,2,1),(25,6398740,'1993-04-01 00:00:00',2,17,12,2010,'F','N','CENTRO','MAFRA','SC','124242241214271411459314574122610157097',16528,'541',37.06,1,3,NULL),(25,6398758,'1994-06-03 00:00:00',4,6,12,2010,'F','N','CENTRO','NAVEGANTES','SC','124202241215111431437923575125610168192',8907,'1026',49.88,1,3,NULL),(25,6398766,'1989-12-17 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241312371711437923495122610127115',NULL,'9999',13.38,1,3,NULL),(25,6398774,'1988-12-16 00:00:00',4,15,12,2009,'M','N','POLICIA RODOVIARIA','ARARANGUÁ','SC','124241241147161532633351345122610137057',NULL,'852',20.54,4,2,1),(25,6398782,'1993-04-20 00:00:00',2,4,12,2010,'F','N','COLINA','VARGEÃO','SC','124241241116371431226916575122610132142',NULL,'824',0.00,1,3,NULL),(25,6398790,'1993-03-01 00:00:00',2,15,12,2009,'M','N','PRAÇA','TIJUCAS','SC','124241241116131721336679575122610127052',19660,'783',29.01,1,3,NULL),(25,6398804,'1991-01-05 00:00:00',4,1,8,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124244247327131331536419485121610147047',11963,'9999',48.22,1,3,NULL),(25,6398812,'1984-12-10 00:00:00',4,1,12,2001,'F','N','CENTRO OU JD BETÂNIA','VARGEM G PAULISTA','SP','125253251211271411337819411124341066052',NULL,'9998',0.00,1,3,NULL),(25,6398839,'1994-05-12 00:00:00',4,2,10,2011,'F','S','NAÇÕES','TIMBÓ','SC','124241241215111231344714372121610131077',NULL,'1157',32.23,1,3,NULL),(25,6398855,'1994-06-16 00:00:00',4,1,12,2010,'F','N','N S DAS GRAÇAS','CANOAS','RS','120204201417131431226627575124610138187',NULL,'9998',38.30,1,3,NULL),(25,6398898,'1990-08-12 00:00:00',4,1,7,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243281416133431549934475124233234187',8699,'9998',53.60,1,3,NULL),(25,6398901,'1993-09-06 00:00:00',4,3,11,2010,'M','N','JARDIM BANDEIRANTES','TELÊMACO BORBA','PR','116162161217271431368814575122610167046',18583,'9998',32.36,1,3,NULL),(25,6398910,'1991-01-15 00:00:00',2,4,12,2009,'F','N','SÃO VICENTE DE PAULA','ERECHIM','RS','120201201217271231423623375324610166052',NULL,'9998',24.20,4,3,NULL),(25,6398928,'1991-09-14 00:00:00',4,8,12,2009,'M','N','BOA VISTA','JOINVILLE','SC','124241241215471711326652315114610167145',18616,'494',33.87,1,3,NULL),(25,6398936,'1983-04-04 00:00:00',4,8,12,2000,'M','N','GLORIA','JOINVILLE','SC','124044041337372451134879212323130237047',NULL,'9998',16.00,1,3,NULL),(25,6398944,'1992-09-17 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241235112532336923575115610164182',19300,'226',36.28,1,3,NULL),(25,6398952,'1993-04-01 00:00:00',2,4,11,2010,'F','N','CENTRO','S JOÃO OESTE','SC','124241241235111411546612475124610152182',19480,'1060',30.03,1,3,NULL),(25,6398979,'1990-06-22 00:00:00',2,1,12,2007,'F','N','AREIAS','S JOSÉ','SC','224242241217131711233951345335610124192',10534,'868',50.43,1,3,NULL),(25,6398987,'1989-10-25 00:00:00',4,7,12,2006,'M','N','CENTRO','CONCÓRDIA','SC','124241246415153431438933295124231464092',NULL,'192',0.00,1,3,NULL),(25,6398995,'1994-07-14 00:00:00',4,1,11,2011,'F','S','CENTRO','ITUPORANGA','SC','124243241215111411438833572122610121192',NULL,'991',0.00,1,3,NULL),(25,6399002,'1991-10-12 00:00:00',4,1,11,2009,'M','N','JARDIM ACAPULCO','S CARLOS','SP','125252251215471431468923581122610127042',15943,'9998',37.41,1,3,NULL),(25,6399010,'1994-01-04 00:00:00',2,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241216131411228767575124610126177',9834,'1191',47.90,1,3,NULL),(25,6399029,'1971-06-07 00:00:00',4,1,12,1990,'M','N','STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC','624162163116155721428833435122131034187',11564,'9998',48.80,1,3,NULL),(25,6399037,'1995-01-31 00:00:00',4,2,12,2011,'M','S','ITOUPAVA NORTE','BLUMENAU','SC','124241246237131532527731595125610134147',NULL,'1018',37.42,1,3,NULL),(25,6399045,'1991-12-05 00:00:00',4,4,12,2008,'M','N','CENTRO','ARARANGUÁ','SC','124241243111111111111111111111110111011',NULL,'182',18.46,1,3,NULL),(25,6399053,'1993-02-17 00:00:00',2,4,11,2010,'F','N','CASTELO BRANCO','ERECHIM','RS','120203201217131751548613432124610134197',NULL,'9998',0.00,1,3,NULL),(25,6399061,'1992-07-22 00:00:00',4,1,12,2009,'F','N','PERDIZES','S PAULO','SP','125252256217271431328831485124610163197',NULL,'9998',0.00,1,3,NULL),(25,6399070,'1992-07-07 00:00:00',4,8,12,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241216273431469913595124231457072',5740,'457',59.27,1,3,NULL),(25,6399088,'1994-04-10 00:00:00',4,6,11,2010,'F','N','SÃO JUDAS','ITAJAÍ','SC','124242251217151752437612375122610134077',NULL,'392',0.00,1,3,NULL),(25,6399096,'1991-07-13 00:00:00',4,4,12,2008,'M','N','CENTRO','UMUARAMA','PR','116162161215571731558816572112610134187',10817,'9998',46.98,3,3,NULL),(25,6399100,'1993-09-13 00:00:00',2,1,12,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124241241415131431334411575124610137147',NULL,'1040',30.83,1,3,NULL),(25,6399118,'1989-07-12 00:00:00',2,1,12,2006,'F','N','PRIMEIRO DE MAIO','FARROUPILHA','RS','120201201117271751545334495122610167047',12286,'9998',44.81,1,2,1),(25,6399126,'1993-07-03 00:00:00',4,2,12,2011,'F','S','VILA FORMOSA','BLUMENAU','SC','124241241117151441368614475124610168092',NULL,'69',53.39,1,3,NULL),(25,6399134,'1989-05-09 00:00:00',4,3,12,2006,'M','N','SÃO LUCAS','PRES PRUDENTE','SP','125252251316141731568823215112243224197',NULL,'9998',0.00,3,3,NULL),(25,6399142,'1991-04-06 00:00:00',4,1,12,2008,'M','N','ESTREITO','ALFREDO WAGNER','SC','124241242116131431523523416121610127057',19562,'662',35.66,1,3,NULL),(25,6399150,'1995-03-26 00:00:00',4,1,11,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215121531459913575122610168182',NULL,'270',38.04,1,3,NULL),(25,6399169,'1989-06-24 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241117572421126541315124132764027',20789,'592',31.97,4,1,2),(25,6399177,'1992-08-18 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243248115271431435524245124610168042',11171,'306',44.62,4,3,NULL),(25,6399185,'1993-03-12 00:00:00',4,17,12,2010,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241115371411446814375122610146192',18568,'146',37.83,1,2,1),(25,6399193,'1992-09-13 00:00:00',2,1,12,2009,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124244241115472731536614345124220867043',9476,'307',49.51,1,3,NULL),(25,6399215,'1992-08-22 00:00:00',4,1,12,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241217152431446669596124221768182',14112,'944',44.51,5,3,NULL),(25,6399223,'1989-03-26 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124244241116371421434311242124610124187',NULL,'257',12.19,1,3,NULL),(25,6399231,'1990-07-16 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243248211134451347619345124230817052',NULL,'270',0.00,1,3,NULL),(25,6399240,'1994-04-08 00:00:00',4,5,12,2011,'M','S','CENTRO','CRICIÚMA','SC','124242241216111441459911595122610134122',NULL,'226',46.83,1,3,NULL),(25,6399258,'1987-04-18 00:00:00',4,9,12,2004,'M','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124244241437455431238923485124220764057',NULL,'935',0.00,1,3,NULL),(25,6399266,'1992-10-24 00:00:00',4,3,11,2009,'M','N','SÃO BRAZ','CURITIBA','PR','116162161215571731468814574114610164122',1921,'9998',67.25,1,3,NULL),(25,6399274,'1991-11-01 00:00:00',2,1,12,2008,'F','N','RIO TAVERES','FLORIANÓPOLIS','SC','124241241212373431424633413124230832047',NULL,'9997',12.32,1,3,NULL),(25,6399282,'1993-02-03 00:00:00',2,15,12,2010,'F','N','CENTRO','BAL ARROIO SILVA','SC','124241241115131131423511275124610127057',NULL,'854',19.78,1,2,1),(25,6399290,'1989-12-30 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241117152411469913472124220941055',8637,'267',53.71,1,3,NULL),(25,6399304,'1993-11-12 00:00:00',4,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241216121411438811395124610133142',19905,'300',34.86,1,3,NULL),(25,6399312,'1992-09-18 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431326821312124610143057',18985,'1169',34.13,1,3,NULL),(25,6399320,'1986-09-13 00:00:00',4,2,12,2004,'F','N','SÃO LUIZ','BRUSQUE','SC','124241241136242411536624385114132637147',NULL,'112',19.93,1,2,1),(25,6399339,'1994-09-23 00:00:00',4,15,12,2011,'F','S','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','624242248215111431446912595122610162147',NULL,'970',43.76,1,3,NULL),(25,6399347,'1993-06-18 00:00:00',4,10,12,2010,'F','N','RIO SALTO','TREZE MAIO','SC','124241241125141532414316142221610137142',NULL,'793',19.14,1,2,1),(25,6399355,'1992-10-24 00:00:00',4,1,12,2010,'M','N','IBIRAQUERA','IMBITUBA','SC','124241241115271231526627312122610167182',NULL,'1136',0.00,3,2,1),(25,6399363,'1969-09-06 00:00:00',2,1,12,1986,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','224242246346132421628844242122333227057',NULL,'257',7.04,1,3,NULL),(25,6399371,'1993-07-29 00:00:00',2,7,12,2010,'M','N','SANTA TEREZA','VIDEIRA','SC','124241248232121431244923572112610127042',18898,'1080',37.13,1,3,NULL),(25,6399380,'1993-03-21 00:00:00',4,1,12,2010,'M','N','VIGOLO','NOVA TRENTO','SC','124241241145141411623414245124610154177',NULL,'574',25.57,1,2,1),(25,6399398,'1983-09-14 00:00:00',4,1,12,2001,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124251251216131421228824382124140411087',20980,'9998',31.17,1,3,NULL),(25,6399401,'1991-09-07 00:00:00',2,1,12,2008,'F','N','CAPÃO RASO','CURITIBA','PR','116161161216371431538832375114143262147',NULL,'9998',0.00,1,3,NULL),(25,6399410,'1993-05-12 00:00:00',2,8,12,2010,'M','N','COLONIAL','S BENTO SUL','SC','124243241116271431568713575124610124042',NULL,'697',0.00,1,3,NULL),(25,6399436,'1960-09-04 00:00:00',2,1,12,1979,'F','N','CENTRO','S JOSÉ','SC','224204205216133421646453331112132721142',17208,'9998',40.27,1,3,NULL),(25,6399444,'1992-04-29 00:00:00',2,3,12,2010,'M','N','CENTRO','ABATIÁ','PR','116161161137161431446533575122610164097',NULL,'9998',0.00,1,2,1),(25,6399452,'1993-04-20 00:00:00',4,5,11,2010,'F','N','PRIMEIRA LINHA','CRICIÚMA','SC','124242241215112431478912475112610143116',2884,'226',65.35,1,3,NULL),(25,6399479,'1993-11-19 00:00:00',4,1,12,2011,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124244241417111431456629495122610138091',NULL,'1022',27.80,1,3,NULL),(25,6399487,'1991-02-07 00:00:00',4,3,12,2007,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124242241215371441466631275122142064182',16148,'44',41.94,1,3,NULL),(25,6399495,'1992-02-16 00:00:00',2,3,12,2009,'F','N','SAO JOAO','PTO ALEGRE','RS','120202201215471231428923571124610122147',8461,'9998',50.43,1,3,NULL),(25,6399509,'1992-06-27 00:00:00',4,15,12,2010,'F','N','ZONA NOVA SUL','BAL ARROIO SILVA','SC','124241241116132431426314345124231066072',21202,'30',30.04,1,2,1),(25,6399517,'1992-11-13 00:00:00',2,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216111431489813435124610164053',8688,'270',51.11,1,3,NULL),(25,6399525,'1989-11-10 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247417272431369814575112610124043',NULL,'9999',25.83,1,3,NULL),(25,6399541,'1980-01-16 00:00:00',4,1,12,2002,'F','N','INGLESES','FLORIANÓPOLIS','SC','124161167115143721327954412334140668182',19851,'9998',35.02,1,3,NULL),(25,6399550,'1989-01-13 00:00:00',4,1,11,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247136473441226624385124610128192',5716,'9999',56.38,1,3,NULL),(25,6399568,'1992-08-05 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116372431521569411124610163113',15616,'307',37.31,1,2,1),(25,6399576,'1993-01-25 00:00:00',4,8,12,2010,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124241241136371421427514175124610127092',NULL,'478',23.21,1,3,NULL),(25,6399584,'1987-05-25 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241116272431258923495123221267052',10914,'306',49.80,1,3,NULL),(25,6399592,'1993-11-05 00:00:00',4,1,11,2010,'M','N','CENTRO','ERECHIM','RS','120202201216151431489833375122610127123',NULL,'9998',42.29,1,3,NULL),(25,6399606,'1991-03-01 00:00:00',2,15,11,2007,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241215575431259719571112610134117',3988,'32',61.45,1,3,NULL),(25,6399614,'1990-03-27 00:00:00',2,15,12,2007,'M','N','CENTRO','PALMITINHO','RS','120201201111131431356932441111610167047',NULL,'9998',0.00,4,2,1),(25,6399622,'1993-08-23 00:00:00',2,17,12,2010,'F','N','SANTANA','GUARAPUAVA','PR','116162161215371431436812572122610133142',5404,'9998',57.06,1,3,NULL),(25,6399649,'1989-05-09 00:00:00',4,4,12,2007,'M','N','JARDIM ITALIA','CHAPECÓ','SC','124241241132133411333619335123231924172',19450,'172',35.92,1,2,1),(25,6399665,'1993-07-19 00:00:00',4,10,11,2010,'F','N','CENTRO','TUBARÃO','SC','124242248215151511448821271122610144122',NULL,'1120',0.00,1,3,NULL),(25,6399673,'1992-06-26 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247215151731559612325122610117041',NULL,'9999',9.58,1,3,NULL),(25,6399681,'1990-04-28 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241417151411446614342122130642117',NULL,'1005',12.94,1,3,NULL),(25,6399690,'1993-07-26 00:00:00',2,15,12,2010,'M','N','GARAPUVU','ERMO','SC','124241241436112231523315575123610164057',15262,'250',37.85,1,3,NULL),(25,6399703,'1992-06-20 00:00:00',4,2,12,2009,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215131431446631315114610134147',NULL,'909',0.00,1,3,NULL),(25,6399711,'1992-12-18 00:00:00',2,4,11,2009,'F','N','FLORESTA','PTO ALEGRE','RS','120202201217372751338639572122610167077',2337,'9998',66.40,1,3,NULL),(25,6399720,'1994-07-29 00:00:00',4,6,12,2011,'M','S','MEIA PRAIA','ITAPEMA','SC','124241246417111741456813577114610164147',NULL,'1119',38.62,1,3,NULL),(25,6399738,'1994-04-07 00:00:00',4,4,12,2010,'F','N','LÍDER','CHAPECÓ','SC','124241241114371431436924572114610137147',9251,'182',48.74,1,2,1),(25,6399746,'1992-01-17 00:00:00',2,8,11,2010,'M','N','SÃO LOURENÇO','CURITIBA','PR','116162161215411431328834575124610142182',15822,'9998',37.49,1,3,NULL),(25,6399754,'1992-04-10 00:00:00',2,7,12,2009,'F','N','FLORESTA','CONCÓRDIA','SC','124241241116472431236623595122510161152',19569,'192',35.65,1,3,NULL),(25,6399762,'1989-04-24 00:00:00',2,1,12,2005,'M','N','CENTRO','S LUIZ GONZAGA','RS','120201201117371411337932445123243168157',NULL,'9998',0.00,4,3,NULL),(25,6399770,'1993-04-20 00:00:00',2,8,12,2010,'F','N','JARDIM VIRGINIA','IRATI','PR','116164168316161731436819375121610164057',NULL,'9998',0.00,1,3,NULL),(25,6399789,'1989-10-23 00:00:00',4,1,11,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241136372711233969395134610114192',20348,'505',33.57,1,3,NULL),(25,6399797,'1993-07-02 00:00:00',4,10,12,2010,'F','N','TIRADENTES','GRAVATAL','SC','124243241117371431426923475122610134147',NULL,'332',22.77,1,3,NULL),(25,6399800,'1993-06-07 00:00:00',2,15,12,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124243241417131731524929471125610138012',NULL,'29',25.08,1,3,NULL),(25,6399827,'1994-06-06 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431548632475122610136112',16238,'738',41.79,1,3,NULL),(25,6399835,'1993-04-28 00:00:00',2,1,12,2010,'F','N','CENTRO','IRATI','PR','116163161416271431549912215122610125142',NULL,'9997',16.51,1,3,NULL),(25,6399843,'1994-02-07 00:00:00',4,8,12,2011,'F','S','COSTA E SILVA','JOINVILLE','SC','124242241215111531338833575124610134092',NULL,'461',43.94,1,3,NULL),(25,6399851,'1974-05-16 00:00:00',4,1,12,1993,'F','N','JD ATLÂNTICO','FLORIANÓPOLIS','SC','124251241126154441326823495123331264141',18960,'307',37.00,1,2,1),(25,6399860,'1993-06-30 00:00:00',4,1,11,2010,'F','N','ROÇADO','S JOSÉ','SC','124241241117131431326624342124610114097',NULL,'733',40.86,1,2,1),(25,6399878,'1985-07-19 00:00:00',2,2,12,2003,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241126141111536643335122610117064',NULL,'945',0.00,1,2,1),(25,6399894,'1993-01-15 00:00:00',2,3,11,2010,'F','N','JARDIM PARAISO','PARANAVAÍ','PR','116162161216111411426619575122610164097',NULL,'9998',0.00,1,3,NULL),(25,6399908,'1991-11-30 00:00:00',2,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241215274441345827242124610127047',6065,'1022',55.38,1,3,NULL),(25,6399916,'1981-03-10 00:00:00',4,1,12,1999,'M','N','KOBRASOL','S JOSÉ','SC','124244241216555441338822285122241567041',NULL,'120',0.00,4,3,NULL),(25,6399924,'1977-03-18 00:00:00',4,1,12,1994,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124072071216152711588833195122221467187',NULL,'9998',0.00,1,3,NULL),(25,6399940,'1993-04-19 00:00:00',2,4,12,2010,'M','N','SÃO JOSE','PALMAS','PR','116161161117271421336314345123610124147',NULL,'9998',0.00,1,2,1),(25,6399959,'1993-02-17 00:00:00',5,8,12,2010,'F','N','INDUSTRIAL','S MARCOS','RS','120201201127131432524621342124610114057',NULL,'9998',0.00,1,2,1),(25,6399967,'1988-11-04 00:00:00',2,1,12,2007,'M','N','SAO SEBASTIAO','PALHOÇA','SC','116164161212133731535614242224610162047',21001,'9997',25.16,1,3,NULL),(25,6399975,'1994-03-01 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431456923435112610134042',NULL,'270',34.24,1,3,NULL),(25,6399991,'1993-05-06 00:00:00',4,5,12,2010,'M','N','BOSQUE DO REPOUSO','CRICIÚMA','SC','124244246416131431436724292224610167047',NULL,'995',0.00,1,3,NULL),(25,6400000,'1989-04-28 00:00:00',4,1,12,2006,'M','N','COLINA VERDE','FARTURA','SP','125253251416151431658832575112143262142',NULL,'9998',25.76,1,3,NULL),(25,6400019,'1991-01-11 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161215572431637339591124610123092',NULL,'9998',26.36,1,3,NULL),(25,6400035,'1992-02-14 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241117471412446413475124610132182',NULL,'289',25.70,1,2,1),(25,6400043,'1993-10-04 00:00:00',2,1,12,2010,'M','N','CENTRO','S BONIFÁCIO','SC','124241241125161431434923572221610123147',NULL,'702',18.38,1,2,1),(25,6400051,'1993-03-06 00:00:00',2,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124282241215371731229613492115610167122',NULL,'44',27.99,1,3,NULL),(25,6400060,'1989-02-01 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241126272411113749291324610142182',17138,'322',40.39,1,2,1),(25,6400086,'1993-07-20 00:00:00',4,10,12,2010,'M','N','HUMAÍTA DE CIMA','TUBARÃO','SC','124241241117371432336319575124610152147',16736,'798',35.22,1,2,1),(25,6400094,'1976-09-22 00:00:00',4,1,12,1993,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','224073241216153431378844245122521447032',2654,'970',66.99,1,3,NULL),(25,6400108,'1983-07-09 00:00:00',2,1,12,2002,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241121152431423318341121610116142',NULL,'307',18.54,1,2,1),(25,6400124,'1994-04-10 00:00:00',2,15,12,2010,'F','N','GARUVA NOVA','SOMBRIO','SC','124241241116471431426635575124610162047',NULL,'1033',0.00,1,3,NULL),(25,6400132,'1991-02-04 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431346614345122233227012',NULL,'967',0.00,1,3,NULL),(25,6400159,'1983-11-13 00:00:00',2,1,11,2000,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117135421447933445124333236187',18648,'267',30.91,1,2,1),(25,6400175,'1985-12-18 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217152421563611432124221442097',8468,'270',54.02,1,3,NULL),(25,6400183,'1993-11-06 00:00:00',4,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111432367723475115610124077',NULL,'262',48.75,1,3,NULL),(25,6400213,'1992-03-18 00:00:00',4,1,12,2009,'F','N','JD NOVA BRAGANÇA','BRAGANÇA PAULISTA','SP','125252251235471431447831376122610166072',14317,'9998',44.69,1,3,NULL),(25,6400221,'1994-06-13 00:00:00',4,1,12,2010,'M','N','PAGANI','PALHOÇA','SC','124242241215111631469933575122610162142',18961,'1011',36.99,1,3,NULL),(25,6400230,'1993-05-03 00:00:00',2,4,12,2010,'M','N','ZONA RURAL','MARAVILHA','SC','124241241315111431426629575122610137042',11403,'1037',44.29,1,3,NULL),(25,6400256,'1992-12-22 00:00:00',4,8,10,2010,'M','N','JARDIM DO SOL','TAUBATÉ','SP','125252251217371421469911211112610167053',NULL,'9998',0.00,1,3,NULL),(25,6400264,'1986-09-19 00:00:00',4,1,12,2004,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124252251215152751478834345125221467012',16254,'9998',41.77,1,3,NULL),(25,6400272,'1991-09-19 00:00:00',4,1,12,2009,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215273431578713575124233233142',11610,'1169',48.74,1,3,NULL),(25,6400280,'1992-04-30 00:00:00',4,8,12,2010,'F','N','UBERABA','CURITIBA','PR','116164163115371441546612575124610122182',5382,'9998',60.02,1,3,NULL),(25,6400299,'1993-02-03 00:00:00',4,9,11,2010,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124243241215111431426911575122610132187',NULL,'9997',0.00,1,3,NULL),(25,6400302,'1992-10-06 00:00:00',4,2,12,2010,'F','N','SANTA RITA','BRUSQUE','SC','124241241116231732646823295122610127147',20652,'876',27.09,1,2,1),(25,6400310,'1992-07-25 00:00:00',4,3,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241231212431459912325124231464047',8612,'403',53.76,1,3,NULL),(25,6400329,'1994-08-11 00:00:00',2,10,11,2011,'F','S','CENTRO','BRAÇO NORTE','SC','124242243215111331556612575122610147053',NULL,'807',35.20,1,3,NULL),(25,6400337,'1993-09-22 00:00:00',4,8,12,2011,'M','S','ATIRADORES','JOINVILLE','SC','124242241211111431478932575121610127052',NULL,'1063',55.78,1,3,NULL),(25,6400345,'1992-01-23 00:00:00',4,1,11,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242248222111431448819512124610168073',NULL,'9999',29.85,1,3,NULL),(25,6400353,'1991-05-21 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431487933575122231437142',11456,'262',47.93,1,3,NULL),(25,6400361,'1994-09-12 00:00:00',2,15,12,2011,'M','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111131387811575112610147042',NULL,'270',22.10,1,3,NULL),(25,6400370,'1992-01-08 00:00:00',2,1,12,2010,'M','N','BELA VISTA','S JOSÉ','SC','124242241215111232436869572124610164112',NULL,'738',17.60,1,3,NULL),(25,6400388,'1978-06-01 00:00:00',2,1,12,2000,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241122161431123344242344610122047',NULL,'9997',22.67,1,2,1),(25,6400400,'1991-05-30 00:00:00',2,1,11,2010,'F','N','ARIRIU','PALHOÇA','SC','124242241215111431665612575122610133187',NULL,'989',0.00,2,3,NULL),(25,6400418,'1989-08-19 00:00:00',4,1,12,2007,'M','N','BOQUEIRAO','SANTOS','SP','125252251217574411559831575112141462047',NULL,'9998',0.00,1,3,NULL),(25,6400434,'1992-06-02 00:00:00',4,15,12,2010,'M','N','ERECHIN','BAL ARROIO SILVA','SC','124241241117111231335667575121610112172',NULL,'854',17.79,1,3,NULL),(25,6400442,'1993-03-04 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241248115131411515324145124610118087',NULL,'257',0.00,1,2,1),(25,6400450,'1993-03-06 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241115111431557933395124610167112',19117,'307',36.71,1,3,NULL),(25,6400477,'1993-01-11 00:00:00',2,10,12,2009,'M','N','SERTÃO DOS CORRÊAS','TUBARÃO','SC','124241241117131411227923342121610144042',21290,'798',29.48,1,2,1),(25,6400485,'1992-05-25 00:00:00',4,9,12,2009,'M','N','CENTRO','TOLEDO','PR','105031044123332321222222233111112015112',6159,'9998',55.07,1,3,NULL),(25,6400507,'1993-08-07 00:00:00',2,17,12,2010,'F','N','COAHB DOIS','CANOINHAS','SC','124241248115371331446412342124610114077',NULL,'146',10.27,1,2,1),(25,6400531,'1992-10-06 00:00:00',4,1,11,2011,'M','S','TABOÃO','RIO SUL','SC','124242241215171431556612575122610118092',NULL,'9997',20.74,1,3,NULL),(25,6400540,'1993-04-16 00:00:00',4,1,12,2010,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124243241635111151228929192114610115117',NULL,'1022',17.19,1,3,NULL),(25,6400558,'1988-08-26 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242247216134711358923275122231064064',16518,'9999',41.37,1,3,NULL),(25,6400566,'1994-10-16 01:00:00',4,1,11,2011,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241215111732436732575122610124072',NULL,'270',43.44,1,3,NULL),(25,6400574,'1993-03-18 00:00:00',2,4,12,2009,'F','N','ANNES','PASSO FUNDO','RS','120201201117132731426474572324610138197',8339,'9998',49.53,1,2,1),(25,6400582,'1990-11-13 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241247227221531235314245324610128047',NULL,'270',19.39,1,3,NULL),(25,6400590,'1989-04-30 00:00:00',4,2,12,2006,'F','N','AGUA VERDE','BLUMENAU','SC','124241241117131411423329392124610124157',NULL,'69',19.47,1,2,1),(25,6400604,'1994-09-08 00:00:00',4,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215151411468833575122610132141',11775,'270',48.52,1,3,NULL),(25,6400612,'1990-08-07 00:00:00',2,1,11,2008,'F','N','SITIO CERCADO','CURITIBA','PR','116062161216411411343519572124610138182',NULL,'9998',28.68,1,3,NULL),(25,6400620,'1993-04-07 00:00:00',4,8,12,2010,'M','N','IRIRIÚ','JOINVILLE','SC','124242241215271231468812245122610163082',16037,'494',42.07,1,3,NULL),(25,6400639,'1990-07-21 00:00:00',4,8,11,2007,'F','N','CENTRO','CAMPINAS','SP','125252251216571411469813571145610145142',NULL,'9998',0.00,1,3,NULL),(25,6400647,'1990-09-27 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124164241215574431449614575125220762062',9128,'270',52.81,1,3,NULL),(25,6400655,'1994-02-18 00:00:00',2,1,12,2010,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241215111431444612575124610127182',NULL,'1022',32.54,1,3,NULL),(25,6400663,'1993-06-07 00:00:00',4,1,12,2010,'M','N','CENTRO','MORMAÇO','RS','120201201115151431336816575125610168012',NULL,'9998',32.98,1,2,1),(25,6400671,'1992-03-02 00:00:00',4,7,12,2010,'F','N','CENTRO','HERVAL D OESTE','SC','124241245146161431349313575122610127127',NULL,'342',32.00,1,2,1),(25,6400680,'1991-08-02 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241147131431337521144124131427077',NULL,'379',0.00,1,2,1),(25,6400698,'1974-06-16 00:00:00',2,1,12,1994,'F','N','CENTRO','IMBITUBA','SC','124201207342131421218849392221341027117',NULL,'9998',0.00,1,3,NULL),(25,6400701,'1991-05-06 00:00:00',2,8,12,2008,'F','N','CENTRO','BARRA VELHA','SC','124241241216111521235923575123610127142',NULL,'389',14.73,1,3,NULL),(25,6400710,'1993-08-07 00:00:00',4,8,11,2010,'F','N','CABRAL','CURITIBA','PR','116162161215421431569834572112610132042',NULL,'9998',0.00,1,3,NULL),(25,6400728,'1978-10-10 00:00:00',2,15,12,1997,'F','N','POLICIA RODOVIARIA','ARARANGUÁ','SC','624241245127131432323354482322332368197',10509,'29',50.46,1,3,NULL),(25,6400744,'1965-08-20 00:00:00',4,1,6,1989,'M','N','CENTRO','FLORIANÓPOLIS','SC','224246247636152711336653395122140267047',12941,'9999',41.77,1,3,NULL),(25,6400752,'1993-06-16 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','116244161215131431447812474122610124147',NULL,'1169',0.00,1,3,NULL),(25,6400760,'1993-05-07 00:00:00',2,9,12,2010,'F','N','CENTRO','VACARIA','RS','120202208216151431246923592122610136147',NULL,'9998',0.00,1,3,NULL),(25,6400779,'1993-10-17 01:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217131431448834575124610127072',13895,'1134',45.34,1,3,NULL),(25,6400787,'1991-08-10 00:00:00',4,1,12,2009,'M','N','PITUBA','SALVADOR','BA','105052051215471431488814575112610167046',6692,'9998',53.18,1,3,NULL),(25,6400795,'1994-05-07 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111711468863575122610124192',NULL,'262',38.19,1,3,NULL),(25,6400809,'1991-09-14 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241217142411663314345132610127047',NULL,'1022',24.54,1,3,NULL),(25,6400817,'1986-08-19 00:00:00',4,1,12,2004,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124072071216152251489834575122221467041',9590,'9998',52.06,1,3,NULL),(25,6400825,'1991-03-03 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115212421446674442234123065047',NULL,'257',30.18,1,2,1),(25,6400833,'1993-08-06 00:00:00',4,8,11,2010,'F','N','CENTRO','GUARAMIRIM','SC','124244241215131431456522572122610163147',NULL,'441',32.27,1,3,NULL),(25,6400841,'1988-03-29 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124243241216132421223623415124230262187',18148,'738',38.57,1,3,NULL),(25,6400868,'1990-02-01 00:00:00',4,10,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241141131731125644241234131463017',NULL,'798',15.05,1,2,1),(25,6400876,'1993-01-25 00:00:00',2,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124162201216471431459919575122610114012',2990,'9998',64.57,1,3,NULL),(25,6400884,'1991-03-31 00:00:00',4,5,12,2008,'F','N','ARVOREDO','BOA V BURICÁ','RS','120203201116471731565739194122141366092',NULL,'9998',0.00,1,3,NULL),(25,6400892,'1994-01-17 00:00:00',2,4,12,2010,'M','N','ITAIPU','SALTINHO','SC','124241241127131131523733275121610127047',17588,'682',34.96,1,2,1),(25,6400906,'1986-06-04 00:00:00',4,5,8,2004,'M','N','CENTRO','LAURO MÜLLER','SC','124241246112131431444919485124131428042',NULL,'995',0.00,1,2,1),(25,6400914,'1993-09-20 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117371431223329575224610134042',15648,'295',39.59,1,2,1),(25,6400922,'1991-10-26 00:00:00',4,1,12,2008,'M','N','CENTRO','STA ROSA','RS','120201201147371431126669392214610132047',17090,'9998',36.04,1,3,NULL),(25,6400949,'1987-06-18 00:00:00',2,1,12,2004,'F','N','LINHA UNIÃO','BELA V CAROBA','PR','116161161117163431526419492324610126097',NULL,'9998',40.88,1,2,1),(25,6400957,'1972-04-14 00:00:00',2,1,12,1994,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241247626144411623319115122133233145',NULL,'9999',32.38,1,3,NULL),(25,6400965,'1993-04-12 00:00:00',2,15,12,2010,'F','N','CENTRO','JACINTO MACHADO','SC','124241241116131531226823575123610128197',20258,'420',28.77,1,3,NULL),(25,6401015,'1993-04-27 00:00:00',2,1,12,2010,'M','N','VILA SUZANA','CANELA','RS','120202201216161451378812571122610167051',10701,'9998',45.35,1,3,NULL),(25,6401023,'1991-08-20 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','123244241212474411358811412124231425157',4685,'262',59.73,1,3,NULL),(25,6401031,'1990-06-01 00:00:00',4,9,12,2007,'F','N','MARIA ALICE GOMES','SANTIAGO','RS','120082201211571531258611491245610117047',NULL,'9998',0.00,1,3,NULL),(25,6401040,'1990-09-25 00:00:00',4,1,10,2007,'M','N','CAPÃO RASO','CURITIBA','PR','116164161317471451539513185124610164017',NULL,'9998',0.00,4,3,NULL),(25,6401058,'1993-12-14 00:00:00',4,6,12,2011,'F','S','DOM BOSCO','ITAJAÍ','SC','124242241215111431459933575122610127117',NULL,'392',37.58,1,3,NULL),(25,6401066,'1994-10-21 00:00:00',4,1,12,2011,'F','S','CENTRO','ORLEANS','SC','124242241215111732489612575112610167142',NULL,'226',49.40,1,3,NULL),(25,6401074,'1993-06-22 00:00:00',4,2,12,2010,'M','N','BADENFURT','BLUMENAU','SC','124241241215111411463332275124610138177',7117,'87',56.52,1,3,NULL),(25,6401082,'1991-12-02 00:00:00',4,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241147272741435614235112610167047',NULL,'274',24.40,1,3,NULL),(25,6401090,'1989-01-25 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244242436161431233379495124230234197',NULL,'9997',0.00,1,3,NULL),(25,6401104,'1993-08-24 00:00:00',4,1,11,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241215111731569613575122610125172',NULL,'1118',40.79,1,3,NULL),(25,6401112,'1993-02-04 00:00:00',2,17,11,2010,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116243241117162731338832585115610162182',17357,'635',40.02,1,3,NULL),(25,6401120,'1993-09-03 00:00:00',2,10,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124242241215111721337933575112610134042',18467,'807',37.98,1,3,NULL),(25,6401139,'1993-07-23 00:00:00',2,8,12,2010,'F','N','CENTRO','S BENTO SUL','SC','124241241115271431448833575122610127142',NULL,'697',16.26,1,3,NULL),(25,6401147,'1990-01-27 00:00:00',4,1,11,2008,'M','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124204241216274231678763575114231462035',NULL,'270',0.00,1,3,NULL),(25,6401163,'1993-05-31 00:00:00',2,17,12,2010,'M','N','INTERIOR','CANOINHAS','SC','124241241115161431623415572224610127042',21438,'146',28.51,1,3,NULL),(25,6401171,'1977-10-18 00:00:00',2,15,12,1998,'M','N','MATO ALTO','ARARANGUÁ','SC','624241243146132421324444145132130247067',NULL,'29',0.00,1,3,NULL),(25,6401180,'1984-02-13 00:00:00',2,1,6,2002,'F','N','SERRARIA','S JOSÉ','SC','124242247227135511534619385124132012157',NULL,'270',16.03,1,3,NULL),(25,6401198,'1994-01-01 00:00:00',4,2,11,2010,'F','N','GARCIA','BLUMENAU','SC','124241241215271431636612375112610132112',12614,'855',47.17,1,3,NULL),(25,6401201,'1986-06-11 00:00:00',4,1,6,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243247236144431238453285124221322197',11698,'9999',48.60,1,3,NULL),(25,6401210,'1990-03-02 00:00:00',4,1,6,2008,'M','N','PETROPOLIS','CAXIAS SUL','RS','120202207217371411464634592124140262042',NULL,'9998',26.96,1,3,NULL),(25,6401228,'1993-11-08 00:00:00',2,1,11,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241317111132333423572224610117187',21484,'1048',28.10,1,3,NULL),(25,6401244,'1993-05-05 00:00:00',2,16,11,2010,'M','N','SÃO SEBASTIÃO','FRAIBURGO','SC','124244241217131431348414575124610127052',15021,'885',43.65,1,3,NULL),(25,6401252,'1975-02-10 00:00:00',2,1,12,1992,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224242241112151411466359472122330736192',NULL,'122',0.00,1,3,NULL),(25,6401260,'1994-10-06 00:00:00',2,1,11,2010,'F','N','PACHECOS','PALHOÇA','SC','124242241215111731335712575124610124093',15689,'1011',42.62,1,3,NULL),(25,6401279,'1988-09-10 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241216575451353369575114610165147',249,'1058',80.35,1,3,NULL),(25,6401287,'1987-10-15 00:00:00',2,1,7,2006,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241247137134421346519246331121817092',7518,'9999',55.75,1,2,1),(25,6401295,'1987-05-11 00:00:00',4,1,12,2004,'M','N','CENTRO','CASCAVEL','PR','116163161215121231348937416111140664182',NULL,'9998',0.00,1,3,NULL),(25,6401309,'1994-02-13 00:00:00',4,2,11,2011,'M','S','RIBEIRÃO CLARA','POMERODE','SC','124242241217111431489914572124610164172',NULL,'855',53.42,1,3,NULL),(25,6401317,'1994-06-04 00:00:00',4,5,12,2011,'F','S','SÃO LUIZ','CRICIÚMA','SC','124242241215111731325834272122610124037',NULL,'210',36.93,1,3,NULL),(25,6401325,'1975-04-12 00:00:00',4,1,12,1992,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243247346133751326643295334142028027',NULL,'9999',30.19,1,3,NULL),(25,6401333,'1989-06-12 00:00:00',2,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241217372431518631375114133215132',7648,'1010',52.80,1,3,NULL),(25,6401350,'1981-12-28 00:00:00',2,8,12,1988,'M','N','PARQUE GUARANI','JOINVILLE','SC','124241241127161732324341312344610164047',NULL,'469',0.00,1,2,1),(25,6401368,'1994-08-25 00:00:00',2,1,12,2010,'F','N','ARIRIÚ DA FORMIGA','PALHOÇA','SC','124242241215121751439813572124610128187',13634,'1011',41.56,1,3,NULL),(25,6401384,'1988-12-16 00:00:00',2,1,12,2006,'F','N','CENTRO','NÃO-ME-TOQUE','RS','120203208116371731545933575122610137057',NULL,'9998',0.00,1,3,NULL),(25,6401392,'1972-12-26 00:00:00',2,15,11,2005,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124202206332132421434444345122141462143',NULL,'9998',18.08,1,3,NULL),(25,6401430,'1993-04-10 00:00:00',2,2,12,2010,'F','N','SALTO DO NORTE','BLUMENAU','SC','124243241212111531488612572122610164042',NULL,'909',0.00,1,3,NULL),(25,6401449,'1981-12-23 00:00:00',5,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241212141411335943235132333244097',NULL,'581',35.40,1,3,NULL),(25,6401457,'1992-05-29 00:00:00',4,8,6,2010,'M','N','CENTRO','CURITIBA','PR','116162281415271431489832571112610164122',NULL,'9998',0.00,1,3,NULL),(25,6401465,'1994-07-13 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111751466812595112610138182',18386,'262',38.13,1,3,NULL),(25,6401481,'1987-03-28 00:00:00',2,1,8,2007,'M','N','CARVOEIRA','CRUZ ALTA','RS','124203201347234411238733275124121764143',12073,'9998',43.32,1,3,NULL),(25,6401490,'1971-12-14 00:00:00',4,1,9,1991,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224241246142134421436444445132121438112',NULL,'306',0.00,1,2,1),(25,6401511,'1974-09-20 00:00:00',2,6,12,1995,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','224162166147131431356654285122343268183',NULL,'9998',0.00,4,3,NULL),(25,6401520,'1994-06-24 00:00:00',2,15,12,2010,'M','N','CENTRO','TURVO','SC','124241241115371731444331575121610167042',NULL,'814',24.02,1,2,1),(25,6401538,'1990-04-06 00:00:00',4,1,12,2007,'M','N','GRANDE COLORADO','SOBRADINHO','DF','107072071217571751589933572122610164092',NULL,'9998',0.00,1,3,NULL),(25,6401546,'1992-11-14 00:00:00',4,15,12,2010,'F','N','VILA BEATRIZ','MARACAJÁ','SC','124241241115151731116341112324610163144',NULL,'550',0.00,1,3,NULL),(25,6401570,'1989-09-04 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248117161722613413185124610122147',NULL,'19',18.45,4,2,1),(25,6401589,'1994-06-14 00:00:00',4,1,11,2011,'M','S','CENTRO','CAÇADOR','SC','124242161217121431389931475112610137042',NULL,'1124',23.52,1,3,NULL),(25,6401597,'1994-09-14 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431338924472122610127072',NULL,'272',39.66,1,3,NULL),(25,6401600,'1992-01-14 00:00:00',2,1,11,2010,'F','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125244251217111231435612345124610122045',NULL,'9998',27.29,1,3,NULL),(25,6401635,'1993-05-19 00:00:00',2,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124241241116141431526331575122610132022',NULL,'733',18.68,2,1,1),(25,6401643,'1991-03-23 00:00:00',4,1,12,2008,'M','N','LAPA','S PAULO','SP','125252251217571431489811575125610144042',7112,'9998',53.70,1,3,NULL),(25,6401651,'1986-01-21 00:00:00',2,1,12,2004,'M','N','CENTRO','S JOSÉ','SC','124241241126372711636319341333610127057',NULL,'728',35.39,1,2,1),(25,6401660,'1993-07-28 00:00:00',4,7,12,2010,'F','N','N SENHORA DA SAÚDE','OURO','SC','124241241117151411433612245122610132152',NULL,'585',0.00,1,2,1),(25,6401678,'1995-06-30 00:00:00',4,4,12,2011,'M','S','PRESIDENTE MEDICE','CHAPECÓ','SC','124242241216121431438934575124610121112',NULL,'1021',21.05,1,3,NULL),(25,6401686,'1991-12-30 00:00:00',2,1,12,2009,'F','N','JARDIM AMÉRICA','CAXIAS SUL','RS','120202201216471431446614342122610138142',20135,'9998',28.36,1,3,NULL),(25,6401708,'1988-03-21 00:00:00',2,8,12,2005,'F','N','CENTRO','CIANORTE','PR','116162161216373441349811575125142664097',NULL,'9998',0.00,1,3,NULL),(25,6401724,'1993-04-20 00:00:00',2,1,12,2010,'F','N','CEBTRO','ANTÔNIO CARLOS','SC','124241241115271431423335585121610162147',NULL,'21',0.00,1,2,1),(25,6401732,'1987-10-06 00:00:00',2,1,11,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241137273221437624345124130823057',14967,'228',43.74,4,3,NULL),(25,6401740,'1994-09-19 00:00:00',4,4,12,2010,'M','N','CENTRO','CHAPECÓ','SC','124242241215111131487712575122610167122',NULL,'1191',18.12,1,3,NULL),(25,6401759,'1993-03-19 00:00:00',4,8,12,2010,'M','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241216111431447813595112610168133',19357,'441',31.16,1,3,NULL),(25,6401767,'1993-02-19 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241115141731533534342224610124147',NULL,'734',15.27,1,2,1),(25,6401775,'1971-04-05 00:00:00',2,1,12,1989,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','524091097227133411444541241122121467182',4810,'9998',61.30,1,3,NULL),(25,6401783,'1992-03-15 00:00:00',2,1,12,2009,'F','N','BOM FIM','PTO ALEGRE','RS','120112111217471431358832425122610137122',NULL,'9998',28.66,1,3,NULL),(25,6401791,'1983-03-26 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243247316474731258914395124221262073',19717,'9999',35.33,4,3,NULL),(25,6401805,'1991-11-07 00:00:00',4,1,12,2010,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241115151531423334472324610162047',NULL,'257',31.07,1,3,NULL),(25,6401813,'1994-03-26 00:00:00',4,1,11,2011,'M','S','SANTA MONICA','FLORIANÓPOLIS','SC','124242241216111732589734575122610137045',NULL,'262',35.40,1,3,NULL),(25,6401821,'1985-12-02 00:00:00',4,1,12,2003,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241215575451469611495111221437042',NULL,'226',0.00,1,3,NULL),(25,6401830,'1964-12-20 00:00:00',2,1,12,1984,'M','N','CENTRO','FLORIANÓPOLIS','SC','524203201312371421234843432122141722095',18544,'9998',37.86,1,3,NULL),(25,6401848,'1993-02-03 00:00:00',4,2,12,2010,'M','N','LARANJEIRAS','RIO SUL','SC','124243241316131411638823595125610127012',NULL,'1161',19.99,1,3,NULL),(25,6401864,'1988-02-23 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124132138235471121323521215122610134057',NULL,'9998',30.53,4,3,NULL),(25,6401872,'1992-03-02 00:00:00',4,3,12,2008,'F','N','SÃO VICENTE','PARANAGUÁ','PR','116161161116371411666634591124610162197',NULL,'9998',0.00,1,2,1),(25,6401880,'1989-04-27 00:00:00',2,15,12,2008,'M','N','CENTRO','TRAMANDAÍ','RS','120201201136472411556622441121610167111',16375,'9998',33.78,1,2,1),(25,6401899,'1989-11-18 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241126134221326944345124233267052',NULL,'618',0.00,1,2,1),(25,6401902,'1993-06-08 00:00:00',4,2,12,2010,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241215371431345632274122610123182',5408,'109',56.99,1,3,NULL),(25,6401910,'1976-04-23 00:00:00',2,1,12,2005,'M','N','CARIANOS','FLORIANÓPOLIS','SC','228091093126151731343343135122342324183',NULL,'9998',0.00,2,3,NULL),(25,6401929,'1988-06-02 00:00:00',4,5,12,2005,'M','N','ANA MARIA','CRICIÚMA','SC','116064161215571431348729385124140222062',3084,'9998',63.14,4,3,NULL),(25,6401937,'1974-07-04 00:00:00',4,1,12,1992,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','224202203437131431623341311224141226017',NULL,'9998',0.00,1,3,NULL),(25,6401945,'1993-04-22 00:00:00',2,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124241241136141131423514345124610114051',NULL,'1116',0.00,1,3,NULL),(25,6401953,'1994-07-06 00:00:00',4,3,11,2011,'M','S','SAO LUIZ','BRUSQUE','SC','124242241215111712544432371112610117011',NULL,'9997',26.11,1,3,NULL),(25,6401961,'1984-04-15 00:00:00',4,1,7,2003,'M','N','JARDIM SÃO MIGUEL','BIGUAÇU','SC','124241248111151431333319375124131231182',NULL,'65',19.07,1,3,NULL),(25,6401970,'1969-03-31 00:00:00',5,15,12,1986,'M','N','CENTRO','STA ROSA SUL','SC','224241242131141422434343431132330267061',17081,'143',40.49,1,2,1),(25,6402003,'1962-08-16 00:00:00',2,15,11,1984,'M','N','COLONINHA','ARARANGUÁ','SC','224201203223131431325754182122610137055',NULL,'9998',0.00,1,3,NULL),(25,6402020,'1992-12-13 00:00:00',2,4,12,2010,'F','N','BARRIL','FREDERICO WESTPHALEN','RS','120201202117171431624415571124610116142',NULL,'9998',0.00,1,3,NULL),(25,6402038,'1991-08-20 00:00:00',4,3,12,2008,'F','N','SÃO CRISTOVÃO','BARRA VELHA','SC','124243241211113421338614481125610136057',12403,'1018',42.74,4,3,NULL),(25,6402046,'1993-02-06 00:00:00',2,2,12,2010,'F','N','JARDIM PARANÁ','ASSIS CHATEAUBRIAND','PR','116161161137151331425315331125610124182',NULL,'9998',24.60,1,2,1),(25,6402054,'1993-05-15 00:00:00',4,8,11,2010,'F','N','ÁGUA VERDE','JARAGUÁ SUL','SC','124243241211111411468913595122610161142',11182,'1063',45.25,4,3,NULL),(25,6402062,'1993-03-02 00:00:00',4,8,12,2009,'M','N','CENTRO','LONDRINA','PR','116162161216371431258821575122610167043',196,'9998',81.09,1,3,NULL),(25,6402070,'1991-05-30 00:00:00',4,1,7,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244247446131222449612382122610112117',NULL,'9999',9.00,1,3,NULL),(25,6402089,'1991-03-06 00:00:00',4,1,8,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244248445111711238819572312610164082',NULL,'9999',0.00,1,3,NULL),(25,6402097,'1994-05-27 00:00:00',2,10,12,2010,'M','N','MAGALHAES','LAGUNA','SC','124242241217111431325933272121610138072',20963,'525',31.26,4,3,NULL),(25,6402100,'1994-01-15 00:00:00',4,4,12,2010,'F','N','CENTRO','PALMAS','PR','116162161215271431433612192122610127017',NULL,'9998',15.26,1,3,NULL),(25,6402119,'1994-04-08 00:00:00',4,1,12,2012,'M','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242248216111731359923375122610162092',NULL,'1169',37.96,1,3,NULL),(25,6402127,'1994-04-22 00:00:00',2,6,12,2010,'F','N','CENTRO','NAVEGANTES','SC','124243241212111411456914575122610141187',6939,'392',56.86,1,3,NULL),(25,6402135,'1956-10-09 00:00:00',4,1,12,1977,'M','N','CENTRO','FLORIANÓPOLIS','SC','224241245236574451586443435125520636192',NULL,'307',0.00,1,3,NULL),(25,6402143,'1989-10-22 00:00:00',4,1,11,2007,'M','N','JARDIM CRUZEIRO','MOGI GUAÇU','SP','125252251215571451458814575122610167047',3043,'9998',62.70,1,3,NULL),(25,6402151,'1992-12-25 00:00:00',4,1,11,2009,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124244241215472431336827572124610117047',15098,'1022',39.21,1,3,NULL),(25,6402160,'1993-04-03 00:00:00',2,1,12,2010,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241225131721424464575124610124141',19964,'262',28.18,1,3,NULL),(25,6402178,'1986-04-27 00:00:00',2,1,10,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241111375411556823495124223213042',NULL,'306',26.18,1,3,NULL),(25,6402186,'1993-02-23 00:00:00',4,3,12,2010,'M','N','PRIMAVERA','NOVO HAMBURGO','RS','120202201216371431468712575122610132042',10921,'9998',45.57,1,3,NULL),(25,6402194,'1990-05-13 00:00:00',2,7,12,2008,'M','N','INTERIOR','IBICARÉ','SC','124241241126131331524435155124610167052',NULL,'345',14.95,1,3,NULL),(25,6402208,'1983-11-22 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248216153431389979495125133222092',15852,'9997',42.38,1,3,NULL),(25,6402224,'1993-01-20 00:00:00',4,8,12,2010,'M','N','GLÓRIA','JOINVILLE','SC','124242241216411431649911575115610136047',3719,'457',61.93,1,3,NULL),(25,6402232,'1993-12-10 00:00:00',4,1,11,2011,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241217111752326827572122610133187',NULL,'270',46.16,1,3,NULL),(25,6402259,'1983-09-20 00:00:00',4,5,8,2004,'M','N','SÃO SIMÃO','CRICIÚMA','SC','224243241326131211235744245122133222177',16853,'228',40.85,1,3,NULL),(25,6402267,'1992-07-31 00:00:00',2,1,12,2009,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241248112131411526119392324230228142',NULL,'9997',0.00,1,2,1),(25,6402275,'1992-01-31 00:00:00',2,4,12,2009,'F','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120201208117471431433432571125610168187',14389,'9998',42.01,1,2,1),(25,6402291,'1991-01-12 00:00:00',2,1,12,2008,'F','N','VILA FÁTIMA','REGISTRO','SP','125251251214471421524612222211610164047',8122,'9998',52.18,1,3,NULL),(25,6402313,'1993-01-14 00:00:00',2,9,12,2010,'M','N','CENTRO','LAGES','SC','124241241215111431436616575122610127062',17999,'1207',38.85,1,3,NULL),(25,6402321,'1994-08-02 00:00:00',2,4,12,2010,'F','N','NITEROI','SEARA','SC','124243241112111431333932575124610133024',19785,'384',29.29,1,3,NULL),(25,6402330,'1993-11-09 00:00:00',4,1,12,2010,'M','N','CENTRO DE PALHOÇA','PALHOÇA','SC','124241241625111431436633495114610167042',18929,'262',37.07,1,3,NULL),(25,6402348,'1988-03-29 00:00:00',4,1,12,2008,'M','N','VILA SÔNIA','S PAULO','SP','125251251136431431426619345121242837047',NULL,'9998',0.00,1,2,1),(25,6402356,'1994-05-20 00:00:00',4,1,12,2010,'F','N','LAGOA','FLORIANÓPOLIS','SC','124242241215151431349812472114610134191',NULL,'299',16.05,1,3,NULL),(25,6402364,'1993-04-14 00:00:00',4,1,12,2010,'F','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241244127161731423311572124610157042',NULL,'322',0.00,1,2,1),(25,6402372,'1988-08-16 00:00:00',2,8,10,2006,'M','N','AMERICA','JOINVILLE','SC','124242241216574251347931485122221118092',4174,'486',62.84,1,3,NULL),(25,6402380,'1993-11-03 00:00:00',4,10,12,2010,'M','N','CENTRO','ARMAZÉM','SC','124241241125141431324935145121610122112',NULL,'34',5.43,1,2,1),(25,6402399,'1988-04-28 00:00:00',4,4,12,2005,'M','N','CENTRO','ERVAL GRANDE','RS','120201201117272441446636285114241444047',10154,'9998',46.21,1,2,1),(25,6402402,'1993-12-03 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241215111451239823475122610164197',16549,'1207',35.99,1,3,NULL),(25,6402410,'1992-11-20 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241215111431535513432224610164192',NULL,'1076',31.16,1,3,NULL),(25,6402429,'1993-08-16 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241217111431346613575124610164187',18547,'1075',37.86,4,3,NULL),(25,6402437,'1990-05-14 00:00:00',4,4,12,2007,'M','N','CENTRO','ITUIUTABA','MG','113133131216111431568813575124241417042',NULL,'9998',0.00,1,3,NULL),(25,6402445,'1988-09-20 00:00:00',4,1,12,2005,'M','N','CENTRO','TIJUCAS','SC','124244241216132421257741312332133234057',NULL,'781',0.00,1,3,NULL),(25,6402470,'1991-07-07 00:00:00',2,1,12,2009,'F','N','RESIDENCIA UNIÃO','S JOSÉ CAMPOS','SP','125252251215471431433514575122610164187',NULL,'9998',0.00,1,3,NULL),(25,6402488,'1994-12-14 00:00:00',2,1,12,2011,'F','S','CENTRO','PALHOÇA','SC','124244241215111731447432595122610132172',NULL,'1011',33.03,1,3,NULL),(25,6402496,'1992-11-30 00:00:00',4,1,12,2010,'M','N','ITINGA','TIJUCAS','SC','124241246215111431345632245124610127043',9367,'1119',52.41,1,3,NULL),(25,6402500,'1991-10-03 00:00:00',4,1,12,2009,'M','N','PARAÍSO','S PAULO','SP','125252251215471431648811575115610162182',18790,'9998',31.16,1,3,NULL),(25,6402518,'1990-12-13 00:00:00',4,1,11,2008,'M','N','SANTA ROSALIA','SOROCABA','SP','125252251211512431348714575122610167042',NULL,'9998',0.00,1,3,NULL),(25,6402526,'1992-10-23 00:00:00',4,1,12,2010,'M','N','JARDIM ALVORADA','S JOSÉ CAMPOS','SP','125253251217111131346823375124610137117',7811,'9998',51.11,1,3,NULL),(25,6402534,'1966-03-06 00:00:00',2,1,7,1986,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224241243121244121343452222122610134187',NULL,'306',0.00,1,2,1),(25,6402542,'1991-01-13 00:00:00',4,1,7,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241247627131331128654342334610117042',NULL,'9999',0.00,2,1,2),(25,6402550,'1992-02-12 00:00:00',4,1,12,2009,'M','N','PONTE ALTA','APARECIDA','SP','125251251416471431448831575122610167042',NULL,'9998',30.06,1,3,NULL),(25,6402569,'1993-02-08 00:00:00',4,1,12,2010,'M','N','VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC','124242241415111231337623385124233267046',NULL,'1223',0.00,1,3,NULL),(25,6402577,'1993-05-09 00:00:00',2,1,12,2010,'F','N','CENTRO','GAROPABA','SC','124241241125141731535319342211610137072',NULL,'322',7.86,1,2,1),(25,6402585,'1993-01-17 00:00:00',2,1,12,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124204248116371431436614285112610147042',21207,'733',30.02,1,3,NULL),(25,6402593,'1991-06-11 00:00:00',4,5,12,2008,'F','N','BARRO VERMELHO','ORLEANS','SC','124241241116141431429613445113610124147',10842,'580',46.84,1,2,1),(25,6402607,'1993-01-30 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242246215141412536614575124610137017',11818,'1075',48.46,1,3,NULL),(25,6402615,'1993-12-27 00:00:00',2,8,12,2010,'F','N','CENTRO','CIANORTE','PR','116162161216111441569812595122610126182',NULL,'9998',0.00,1,3,NULL),(25,6402623,'1991-02-22 00:00:00',2,1,12,2007,'F','N','POÇO FUNDO','STO AMARO IMPERATRIZ','SC','124242241216374731559413572124610164071',20854,'1223',31.70,3,3,NULL),(25,6402631,'1993-04-27 00:00:00',4,10,11,2010,'M','N','CENTRO','TUBARÃO','SC','124242246217151431456913475122610134142',NULL,'1120',35.12,1,3,NULL),(25,6402640,'1994-04-11 00:00:00',4,4,11,2010,'F','N','CENTRO','XANXERÊ','SC','124242241217111431546812572122610127142',3846,'836',61.65,1,3,NULL),(25,6402658,'1987-05-15 00:00:00',2,15,11,2005,'M','N','URUSANGUINHA','ARARANGUÁ','SC','124241241117162722336814345132130718191',18907,'29',33.65,1,3,NULL),(25,6402666,'1986-10-19 00:00:00',2,1,9,2004,'M','N','MIRIM','IMBITUBA','SC','124241241115143431356933245122333267147',19305,'306',36.27,1,2,1),(25,6402682,'1990-01-06 00:00:00',4,1,11,2006,'M','N','CENTRO','PNT GROSSA','PR','116162161217151431369913475112141064017',13111,'9998',46.45,1,3,NULL),(25,6402690,'1994-07-25 00:00:00',4,1,12,2011,'M','S','ESTANCIA CAIÇARA','BIRIGÜI','SP','125254251217111431478832575121610124042',NULL,'9998',37.73,1,3,NULL),(25,6402704,'1986-03-06 00:00:00',4,4,12,2005,'M','N','MARIA GORETTI','CHAPECÓ','SC','124241247232152751228843435124132061172',NULL,'9999',0.00,1,3,NULL),(25,6402712,'1993-06-23 00:00:00',2,10,12,2010,'F','N','VILA VITÓRIA','LAGUNA','SC','124241241225111431325324395224610133147',18217,'524',33.86,1,3,NULL),(25,6402720,'1987-11-08 00:00:00',4,1,12,2005,'M','N','LESTE VILA NOVA','GOIÂNIA','GO','109092091216371431458614475123143264182',NULL,'9998',0.00,4,3,NULL),(25,6402739,'1980-10-11 00:00:00',5,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224241245136152721323453435122330132197',NULL,'156',24.83,1,3,NULL),(25,6402755,'1991-05-09 00:00:00',4,9,12,2008,'F','N','CENTRO','S JOSÉ CERRITO','SC','124241241135472431568614284122610161142',8962,'742',49.80,1,2,1),(25,6402763,'1993-09-21 00:00:00',4,1,11,2010,'F','N','CENTRO','MARIÓPOLIS','PR','116161161215111331448813575124610141147',9746,'9998',46.69,1,3,NULL),(25,6402771,'1987-11-11 00:00:00',4,1,12,2004,'M','N','BOM VIVER','BIGUAÇU','SC','124241241116153411333311415124122266043',7915,'739',54.97,1,2,1),(25,6402780,'1992-09-01 00:00:00',4,1,12,2009,'M','N','EMBU MIRIM','ITAPECERICA SERRA','SP','125252251216471431346823575114610164072',NULL,'9998',0.00,1,3,NULL),(25,6402798,'1988-11-04 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217574311159847575122221167092',NULL,'270',42.47,1,3,NULL),(25,6402801,'1994-03-19 00:00:00',4,5,11,2011,'F','S','KM UM','LAURO MÜLLER','SC','124244241215111411448814375112610123142',NULL,'226',38.89,1,3,NULL),(25,6402810,'1992-01-03 00:00:00',4,8,12,2009,'M','N','PQ DA IMPRENSA','MOGI MIRIM','SP','125252251217471731338839295112610167047',NULL,'9998',0.00,1,3,NULL),(25,6402828,'1991-12-19 00:00:00',2,1,11,2010,'F','N','BOA VISTA','CURITIBA','PR','116164161316471431546823375124610146142',NULL,'9998',0.00,1,3,NULL),(25,6402836,'1990-12-05 00:00:00',4,5,7,2009,'M','N','CENTRO','SIDERÓPOLIS','SC','124242241217151521466614372122231417042',NULL,'995',0.00,1,3,NULL),(25,6402844,'1993-09-15 00:00:00',2,3,10,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241215111431446612375122610138192',NULL,'1038',23.61,1,3,NULL),(25,6402852,'1992-06-04 00:00:00',2,1,12,2009,'M','N','BOM FIM','PTO ALEGRE','RS','111114111217471431358839495122610137042',NULL,'9998',NULL,1,3,NULL),(25,6402879,'1984-12-06 00:00:00',4,1,12,2002,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241241127131421634444245134610122097',16628,'594',41.20,4,2,1),(25,6402895,'1993-01-03 00:00:00',2,10,11,2010,'F','N','CENTRO','TUBARÃO','SC','124242241217111531446831312122610124072',NULL,'806',23.58,1,3,NULL),(25,6402909,'1990-10-19 00:00:00',4,1,12,2007,'M','N','CENTRO','MUÇUM','RS','120204201316471431446431372124141437047',NULL,'9998',0.00,1,3,NULL),(25,6402917,'1976-06-14 00:00:00',2,1,6,1995,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','224241248124133331333553375112343238097',NULL,'306',0.00,4,2,1),(25,6402925,'1992-05-14 00:00:00',2,1,12,2009,'F','N','SÃO SILVESTRE','OURINHOS','SP','125251251315471431458532285122610162182',NULL,'9998',0.00,1,3,NULL),(25,6402941,'1993-05-09 00:00:00',4,3,12,2010,'M','N','IBIRAPUERA','PARANAVAÍ','PR','116162168217111731568716575112610127042',NULL,'9998',0.00,1,3,NULL),(25,6402950,'1992-12-05 00:00:00',2,1,7,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241337131331326644345334610114192',NULL,'922',12.67,1,3,NULL),(25,6402968,'1965-10-20 00:00:00',2,1,12,1984,'M','N','CENTRO','CACHOEIRA SUL','RS','220241071316151711458849495112240242177',NULL,'9998',0.00,1,3,NULL),(25,6402976,'1993-08-28 00:00:00',4,1,11,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242248217111431477512475112610124092',NULL,'1168',21.61,1,3,NULL),(25,6402984,'1992-11-14 00:00:00',4,1,11,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241246416111412331863375114610161187',NULL,'1075',19.54,1,3,NULL),(25,6402992,'1991-07-22 00:00:00',4,5,12,2008,'M','N','LOTE SEIS','CRICIÚMA','SC','124242241216473431558912575122231417052',4661,'213',61.67,1,3,NULL),(25,6403000,'1988-10-03 00:00:00',4,1,11,2005,'M','N','DANIELA','FLORIANÓPOLIS','SC','124242241212164531459933485124131027042',NULL,'266',26.90,1,3,NULL),(25,6403026,'1983-12-31 00:00:00',4,2,12,2000,'M','N','VILA RENO','PNT PORÃ','MS','212122121216151431348843432112341044012',NULL,'9998',0.00,1,3,NULL),(25,6403034,'1993-02-25 00:00:00',4,2,10,2010,'F','N','BIGORRILHO','CURITIBA','PR','116162161215111731689616575125610164142',12583,'9998',42.33,1,3,NULL),(25,6403042,'1993-11-08 00:00:00',2,1,11,2010,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241248115161531523339572224610127042',NULL,'288',8.21,1,2,1),(25,6403050,'1992-12-18 00:00:00',2,1,12,2009,'F','N','CAMOBI','STA MARIA','RS','120201201117141531124435575122243227142',NULL,'9998',0.00,1,3,NULL),(25,6403069,'1992-07-09 00:00:00',2,7,12,2009,'M','N','INTERIOR','IBICARÉ','SC','124241241126131321524435155124610167052',NULL,'345',18.96,1,3,NULL),(25,6403077,'1994-10-21 00:00:00',2,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215151751428721575122610118042',NULL,'1169',NULL,1,3,NULL),(25,6403085,'1992-07-04 00:00:00',4,1,7,2010,'M','N','INGELESES','FLORIANÓPOLIS','SC','124244247417131131534429585112610142177',NULL,'9999',25.31,1,3,NULL),(25,6403093,'1994-02-13 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116271431334723575124610126142',10829,'288',45.63,1,2,1),(25,6403107,'1985-10-10 00:00:00',2,1,12,2004,'F','N','BIGORRILHO','CURITIBA','PR','116161161145474411526744344124610124142',NULL,'9998',0.00,1,2,1),(25,6403115,'1993-04-25 00:00:00',2,1,12,2010,'M','N','CENTRO','BIGUAÇU','SC','124241241115141221336623235112610167047',NULL,'65',10.85,1,2,1),(25,6403123,'1993-04-24 00:00:00',4,3,12,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124241248117111731335411575121610117057',NULL,'405',0.00,1,3,NULL),(25,6403131,'1993-12-01 00:00:00',2,1,12,2010,'F','N','CENTRO','PEDRA PRETA','MT','111111111316271351436823575123610167147',20484,'9998',26.07,1,3,NULL),(25,6403140,'1994-10-07 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215131232436633575124610124042',NULL,'262',24.32,1,3,NULL),(25,6403158,'1993-05-14 00:00:00',2,1,12,2010,'M','N','RATONES','FLORIANÓPOLIS','SC','124241241147141431534514345334610117063',17238,'295',34.43,1,2,1),(25,6403166,'1994-01-07 00:00:00',2,4,12,2010,'F','N','CENTRO','MARAVILHA','SC','124243241216111431516613245122613247147',NULL,'1037',17.92,1,3,NULL),(25,6403174,'1994-02-20 00:00:00',4,5,11,2010,'M','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241217111541458831575125610117047',21725,'213',24.66,1,3,NULL),(25,6403182,'1992-07-17 00:00:00',4,3,12,2009,'F','N','CENTRO','ARAPONGAS','PR','116162161216472431566732575122610162142',NULL,'9998',0.00,1,3,NULL),(25,6403190,'1990-02-17 00:00:00',4,2,12,2007,'F','N','DOS ESTADOS','INDAIAL','SC','124244241217153431335929395132231462142',11834,'270',48.44,1,3,NULL),(25,6403212,'1987-11-30 00:00:00',4,1,12,2006,'M','N','ORIENTAL','CARAZINHO','RS','120202201346371232216719485124610122057',18762,'9998',37.42,1,3,NULL),(25,6403220,'1992-12-27 00:00:00',4,4,12,2010,'M','N','MORUMBI','PATO BRANCO','PR','116161161137131731425519575112610168141',NULL,'9998',0.00,1,2,1),(25,6403239,'1993-11-25 00:00:00',4,4,12,2010,'F','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124243241116371431436612574122610126147',NULL,'182',23.66,1,3,NULL),(25,6403247,'1992-01-27 00:00:00',2,4,11,2008,'F','N','CENTRO','CASCAVEL','PR','116123151315571411446714574124610122142',15175,'9998',43.45,1,3,NULL),(25,6403255,'1995-02-16 00:00:00',2,5,10,2011,'M','S','PRIMEIRO DE MAIO','IÇARA','SC','124242241215111722338911375112610144011',NULL,'226',59.63,1,3,NULL),(25,6403263,'1990-09-04 00:00:00',4,1,11,2008,'M','N','ALTO TAQUARAL','CAMPINAS','SP','125252251217571331478831571112610167117',2379,'9998',65.84,1,3,NULL),(25,6403271,'1989-01-18 00:00:00',4,8,12,2006,'M','N','JARDIM CHAPADAO','CAMPINAS','SP','125252251217575711358813591125610166187',2394,'9998',66.62,3,3,NULL),(25,6403280,'1992-01-07 00:00:00',2,3,12,2009,'M','N','CAPAO RASO','CURITIBA','PR','116161161137372431536611281214610167187',NULL,'9998',29.08,1,2,1),(25,6403298,'1987-01-05 00:00:00',2,15,12,2006,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124051241117131431633361285213610114127',NULL,'29',21.82,4,2,1),(25,6403310,'1993-09-27 00:00:00',4,1,11,2010,'M','N','LUNARDELLI','CATANDUVA','SP','125252251216111431566832575122610132012',7673,'9998',51.33,1,3,NULL),(25,6403328,'1976-06-15 00:00:00',4,1,12,1995,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124211211116151451354414441124342062123',NULL,'9998',0.00,4,3,NULL),(25,6403336,'1993-03-12 00:00:00',4,1,12,2009,'F','N','CENTRO','CPO LARGO','PR','116161161217472431548633375124610117117',9320,'9998',47.54,1,3,NULL),(25,6403344,'1987-09-25 00:00:00',4,1,12,2004,'F','N','SAO CRISTOVAO','PASSO FUNDO','RS','120201201116572331333714575124610166197',NULL,'9998',0.00,1,2,1),(25,6403352,'1993-10-15 00:00:00',4,4,12,2010,'F','N','MENINO DEUS','PATO BRANCO','PR','116162161217111411438611592122610116187',NULL,'9998',0.00,4,3,NULL),(25,6403360,'1993-03-04 00:00:00',2,1,12,2009,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241137373731448713575124610137052',12966,'322',43.50,1,2,1),(25,6403379,'1993-10-04 00:00:00',4,1,12,2010,'M','N','KOBRASSOL','S JOSÉ','SC','124242241125141731256814295122610117042',NULL,'736',0.00,1,3,NULL),(25,6403387,'1991-03-16 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241112443431223344342324610127187',8782,'293',53.44,1,2,1),(25,6403395,'1985-10-25 00:00:00',2,16,12,2003,'F','N','BOM JESUS','CURITIBANOS','SC','224241241116131731313355382344610165177',NULL,'239',28.27,4,2,1),(25,6403409,'1993-02-16 00:00:00',4,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241215121431456623575122610132142',11869,'44',43.26,1,3,NULL),(25,6403417,'1984-11-12 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201201116132421336444342134122367047',NULL,'9998',22.97,1,2,1),(25,6403433,'1993-06-23 00:00:00',2,1,12,2010,'M','N','CENTRO','BIGUAÇU','SC','124242241212111431436933575122610167057',NULL,'63',30.50,1,3,NULL),(25,6403441,'1980-06-09 00:00:00',2,16,11,2004,'M','N','BOM JESUS','CURITIBANOS','SC','224241241121271721311354182122610118057',NULL,'9997',11.64,4,2,1),(25,6403450,'1985-05-27 00:00:00',2,1,12,2010,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241247345161121314318185124610117057',NULL,'9999',0.00,1,3,NULL),(25,6403468,'1992-10-24 00:00:00',4,8,11,2009,'F','N','PORTÃO','CURITIBA','PR','116162161216472441458833575124610163092',NULL,'9998',0.00,1,3,NULL),(25,6403476,'1993-12-27 00:00:00',2,1,12,2010,'M','N','CENTRO','PALOTINA','PR','116161161236151231456732582111610166182',NULL,'9998',0.00,1,3,NULL),(25,6403484,'1977-05-21 00:00:00',2,1,12,1997,'M','N','FORQUILHINHAS','S JOSÉ','SC','224241247227241451326844145223231916062',NULL,'9999',24.79,1,3,NULL),(25,6403492,'1990-02-14 00:00:00',2,1,12,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124201201116131731125444345214140924057',NULL,'9998',0.00,1,2,1),(25,6403506,'1994-11-09 00:00:00',4,1,12,2011,'F','S','FUNDOS','BIGUAÇU','SC','124241241227111232524619572124610114057',NULL,'262',36.25,1,3,NULL),(25,6403514,'1992-07-09 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','116164161116471411337923475124610127042',9035,'9998',48.58,1,3,NULL),(25,6403522,'1993-03-02 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124242241216111121434414575122610133182',20551,'989',27.33,1,3,NULL),(25,6403530,'1991-04-28 00:00:00',2,1,11,2008,'M','N','JARDIM SAO DIMAS','S JOSÉ CAMPOS','SP','125164161216572741158832571124610167012',1590,'9998',70.39,1,3,NULL),(25,6403549,'1983-02-05 00:00:00',2,5,11,2001,'M','N','SANTA BARBARA','CRICIÚMA','SC','124242241216152711536311445132330867062',20205,'226',34.05,1,3,NULL),(25,6403557,'1993-06-23 00:00:00',2,1,12,2010,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241115241431636573575124610111047',17281,'286',40.13,1,2,1),(25,6403565,'1994-11-22 00:00:00',2,1,12,2011,'F','S','USINA','ANTÔNIO CARLOS','SC','124241241115111732534612585124610135077',NULL,'21',20.60,1,3,NULL),(25,6403573,'1984-10-04 00:00:00',2,15,12,2002,'M','N','JARDIM CIBELE','ARARANGUÁ','SC','124243241337131551325779285123331926177',18811,'30',37.33,1,3,NULL),(25,6403581,'1995-01-19 00:00:00',4,1,11,2011,'M','S','CAREANOS','FLORIANÓPOLIS','SC','124242241217111731578833572124610128142',NULL,'270',54.92,1,3,NULL),(25,6403590,'1993-01-17 00:00:00',4,1,12,2010,'F','N','FOJOCA','S PEDRO ALCÂNTARA','SC','124241241124131731323624292344610137013',NULL,'869',19.48,1,2,1),(25,6403611,'1992-09-07 00:00:00',2,1,12,2010,'M','N','JARDIM CIDADE','S JOSÉ','SC','124243241117271431546632385114610137041',NULL,'734',15.60,1,3,NULL),(25,6403620,'1990-04-05 00:00:00',4,8,11,2007,'F','N','VILA LALAU','JARAGUÁ SUL','SC','124241161215571431485532275112142626192',NULL,'9998',0.00,1,3,NULL),(25,6403638,'1987-05-12 00:00:00',4,1,12,2004,'M','N','BIGORRILHO','CURITIBA','PR','116162161216471431358923395122342164147',4669,'9998',58.38,1,3,NULL),(25,6403646,'1991-07-31 00:00:00',4,5,11,2008,'M','N','CENTRO','FORQUILHINHA','SC','124242241215142431448831375124231437112',NULL,'226',0.00,1,3,NULL),(25,6403654,'1993-07-14 00:00:00',4,8,12,2010,'M','N','NOVA BRASILIA','JOINVILLE','SC','124242241212111431348732572112610137017',11377,'459',46.42,4,3,NULL),(25,6403662,'1993-11-23 00:00:00',2,1,11,2010,'F','N','CACHOEIRAS','BIGUAÇU','SC','124241241115271211423411295224610114097',NULL,'65',19.58,1,2,1),(25,6403670,'1994-02-27 00:00:00',4,3,12,2010,'M','N','ARIRIBÁ','BAL CAMBORIÚ','SC','124244161317111432536631475114610138187',NULL,'9998',0.00,1,3,NULL),(25,6403697,'1992-04-27 00:00:00',1,15,12,2010,'M','N','ALTO DO PARQUE','LAJEADO','RS','120202201216371431438931571122610167012',2744,'9998',64.60,1,3,NULL),(25,6403700,'1991-11-13 00:00:00',2,1,12,2008,'M','N','CENTRO','S BONIFÁCIO','SC','124241241124272731436613285124610164057',NULL,'702',27.21,1,2,1),(25,6403719,'1984-01-03 00:00:00',4,15,11,2001,'M','N','CIDADE ALTA','ARARANGUÁ','SC','224241243121141421426642225122610124063',NULL,'30',29.07,1,3,NULL),(25,6403727,'1987-12-16 00:00:00',4,1,12,2006,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124243241327332211426723415112620114081',20577,'282',32.82,1,3,NULL),(25,6403743,'1968-08-16 00:00:00',4,1,6,1991,'M','N','CAMINHO NOVO','PALHOÇA','SC','224241243147144721244443131132321167047',NULL,'306',0.00,1,2,1),(25,6403751,'1990-01-19 00:00:00',2,4,12,1996,'M','N','INTERIOR','CHAPECÓ','SC','124241241122135421326665582124610117041',NULL,'914',0.00,1,2,1),(25,6403778,'1993-10-22 00:00:00',4,4,12,2010,'M','N','CENTRO','S JOSÉ CEDRO','SC','124241241117161232323422246125610168177',13229,'740',41.95,1,2,1),(25,6403786,'1995-02-20 00:00:00',4,2,10,2010,'F','N','CENTRO','BLUMENAU','SC','124242241215111731558832572122610165017',14554,'909',44.36,1,3,NULL),(25,6403794,'1985-10-28 00:00:00',5,5,12,2003,'M','N','PRÓSPERA','CRICIÚMA','SC','124244241217271451469934415122330422052',14189,'880',44.88,1,3,NULL),(25,6403808,'1991-07-17 00:00:00',4,1,12,2008,'F','N','PLANALTO','VACARIA','RS','120203201216573431479911595112610166187',NULL,'9998',0.00,1,3,NULL),(25,6403816,'1993-05-07 00:00:00',2,4,12,2010,'F','N','CENTRO','S JOÃO','PR','116161161116111431223311345113610127057',20724,'9998',32.28,1,3,NULL),(25,6403824,'1993-02-17 00:00:00',4,2,12,2010,'M','N','CENTRO','RIO CEDROS','SC','124244241414111331438832572124610114027',17109,'1157',38.78,1,3,NULL),(25,6403832,'1992-04-28 00:00:00',4,3,12,2009,'F','N','VILA OPERÁRIA','MARINGÁ','PR','116162161215471431364839585112610131147',NULL,'9998',0.00,1,3,NULL),(25,6403840,'1993-01-16 00:00:00',2,3,12,2009,'F','N','CENTRO','TELÊMACO BORBA','PR','116162161115472731434432572124610124187',NULL,'9998',0.00,1,3,NULL),(25,6403867,'1985-10-31 00:00:00',2,1,7,2004,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124202207347332431223743335134142027087',11433,'9998',49.00,4,3,NULL),(25,6403875,'1990-07-30 00:00:00',4,1,12,2007,'F','N','JARDIM IPANEMA','REGISTRO','SP','125251251216372731438833575122610136077',NULL,'9998',17.76,1,3,NULL),(25,6403883,'1994-04-13 00:00:00',2,9,12,2010,'F','N','BORGES','ANITA GARIBALDI','SC','124241241116141431516623575122232917142',NULL,'18',0.00,1,2,1),(25,6403891,'1992-09-08 00:00:00',4,1,12,2010,'F','N','VILA PARAÍSO','AGUAÍ','SP','125253251217121431446767582122610163094',8519,'9998',49.98,1,3,NULL),(25,6403905,'1991-04-25 00:00:00',2,3,12,2008,'F','N','PARQUE ANCHIETA','S BERNARDO CAMPO','SP','125252251216571311679811595112610166187',NULL,'9998',0.00,1,3,NULL),(25,6403913,'1990-05-30 00:00:00',4,2,12,2007,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161216471731354923471124240632017',825,'9998',74.53,3,3,NULL),(25,6403948,'1993-02-05 00:00:00',4,3,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217111431469814575111610137182',19637,'44',35.48,1,3,NULL),(25,6403956,'1993-01-07 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241317131732527724572124610133187',NULL,'307',16.58,1,3,NULL),(25,6403964,'1993-04-07 00:00:00',2,4,12,2010,'M','N','CENTRO','PATO BRANCO','PR','116162161216371431325923575122610162187',NULL,'9998',0.00,1,3,NULL),(25,6403972,'1992-12-27 00:00:00',4,7,11,2010,'F','N','COLINA VERDE','VIDEIRA','SC','124242241215131431579712575122610114097',NULL,'969',7.76,4,3,NULL),(25,6404014,'1986-01-24 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124284161215272451179813447214121462057',NULL,'9998',20.53,4,3,NULL),(25,6404022,'1993-06-21 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124244241217171731426634572122610132072',17664,'738',34.54,1,3,NULL),(25,6404030,'1992-10-13 00:00:00',4,1,11,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241116141431528711245124610127122',NULL,'288',19.33,1,3,NULL),(25,6404049,'1990-10-20 00:00:00',4,17,12,2009,'M','N','CENTRO','RIO CLARO','SP','125254251217471421327779245122610122013',14122,'9998',41.03,1,3,NULL),(25,6404057,'1992-04-07 00:00:00',2,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124242241215472531336619575114610134147',18419,'1011',38.08,1,3,NULL),(25,6404065,'1987-03-06 00:00:00',2,1,12,2004,'M','N','CENTRAL','GOIÂNIA','GO','109094091215571431439923572324610132097',NULL,'9998',0.00,1,3,NULL),(25,6404081,'1994-03-21 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731559931575125610114052',14153,'1169',44.93,1,3,NULL),(25,6404103,'1990-06-29 00:00:00',4,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124122241215574431479813375122231936142',8304,'269',51.25,1,3,NULL),(25,6404120,'1992-07-23 00:00:00',4,1,12,2009,'M','N','JD MARIA LUIZA DOIS','JAÚ','SP','125252251217471441587714181122610164184',NULL,'9998',0.00,1,3,NULL),(25,6404138,'1994-02-24 00:00:00',4,1,12,2011,'M','S','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124242241215111432466631592114610127122',NULL,'270',18.60,1,3,NULL),(25,6404146,'1994-08-19 00:00:00',2,10,12,2011,'F','S','NOSSA SRA DE FATIMA','BRAÇO NORTE','SC','124241241217131712424432575122610128147',NULL,'950',24.48,1,3,NULL),(25,6404154,'1993-07-29 00:00:00',4,15,12,2010,'F','N','SÃO CRISTOVÃO','MARACAJÁ','SC','124241241115161431424313435122610134072',NULL,'550',0.00,1,3,NULL),(25,6404170,'1993-04-15 00:00:00',2,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215111431556732595124610127182',17730,'1048',39.36,4,3,NULL),(25,6404189,'1970-03-08 00:00:00',2,15,8,1999,'F','N','META','BAL ARROIO SILVA','SC','224201201227131431223341211114610164145',NULL,'9998',37.75,1,3,NULL),(25,6404197,'1992-05-05 00:00:00',4,1,12,2009,'F','N','RIO BRANCO','NOVO HAMBURGO','RS','120202201217111511447814312124241441042',NULL,'9998',0.00,1,3,NULL),(25,6404200,'1993-03-08 00:00:00',2,10,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124244241217471431459913575124610168057',9339,'1181',50.91,1,3,NULL),(25,6404219,'1994-06-09 00:00:00',2,4,12,2011,'F','S','CINQUENTENARIO','CONCÓRDIA','SC','124242241211111421359933271125610116142',NULL,'1000',30.41,1,3,NULL),(25,6404227,'1990-10-10 00:00:00',4,1,12,2007,'M','N','CENTRO','BRAÇO NORTE','SC','124241241216275431224631475124223262097',4707,'807',61.56,1,3,NULL),(25,6404235,'1983-02-04 00:00:00',2,1,12,2000,'F','N','VILA MADALENA','S PAULO','SP','125252251215573311448534572124140643187',NULL,'9998',0.00,2,1,2),(25,6404243,'1991-10-08 00:00:00',4,17,12,2009,'M','N','JOÃO PAULO II','TRÊS BARRAS','SC','124241241116172311524611575224610116097',11883,'96',44.49,1,2,1),(25,6404251,'1991-04-13 00:00:00',4,7,12,2010,'M','N','CENTRO','CAMPOS NOVOS','SC','124241247116152431323329475115610127042',16187,'9999',38.09,4,3,NULL),(25,6404260,'1993-02-18 00:00:00',2,8,12,2010,'F','N','CENTRO','FÁTIMA SUL','MS','112124121217211431543636295124610137052',NULL,'9997',17.63,1,3,NULL),(25,6404278,'1991-05-31 00:00:00',2,17,12,2008,'F','N','CENTRO','ARARUNA','PR','116162168216572751556311112122610124187',10895,'9998',44.28,1,3,NULL),(25,6404286,'1991-07-12 00:00:00',2,1,11,2010,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242247412151511466612342112610117112',NULL,'9999',16.15,1,3,NULL),(25,6404294,'1993-12-11 00:00:00',2,1,12,2011,'F','S','CAMPECHE','S JOSÉ','SC','124244245215111331238624575124612713077',NULL,'738',22.62,1,3,NULL),(25,6404308,'1993-02-15 00:00:00',4,6,11,2010,'F','N','CENTRO','ITAJAÍ','SC','124242241217221431486832325122610161042',19436,'270',35.95,1,3,NULL),(25,6404316,'1992-03-09 00:00:00',2,9,12,2008,'M','N','CENTRO','LAGES','SC','124241241414572431328936375122610124092',12934,'1207',42.13,1,3,NULL),(25,6404324,'1979-04-12 00:00:00',2,1,12,1998,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224286288637131421426641415324610144171',14634,'9998',44.25,1,3,NULL),(25,6404332,'1976-11-16 00:00:00',4,1,12,1996,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241411135441328644141333120914144',NULL,'514',29.08,2,1,2),(25,6404359,'1993-08-05 00:00:00',4,1,12,2010,'F','N','JARDIM CENTRAL','DOURADOS','MS','112122121217121451468514575122610142093',NULL,'9998',0.00,1,3,NULL),(25,6404367,'1993-11-13 00:00:00',4,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','124241241115271751536619595112610132017',20075,'146',28.07,1,2,1),(25,6404375,'1982-08-19 00:00:00',4,15,11,2000,'M','N','LAGOAO','ARARANGUÁ','SC','224251241126172721323334242135123218181',21603,'29',26.89,1,3,NULL),(25,6404383,'1992-01-27 00:00:00',4,8,12,2009,'F','N','TINGUI','CURITIBA','PR','116162161231272311156513591112610162173',NULL,'9998',0.00,1,3,NULL),(25,6404405,'1985-10-11 00:00:00',4,1,12,2003,'M','N','CENTRO','UBATUBA','SP','125251257446571431238819285221141332097',NULL,'9998',0.00,1,3,NULL),(25,6404413,'1991-12-09 00:00:00',4,5,11,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241214121431469722215122610145177',6469,'226',57.79,1,3,NULL),(25,6404421,'1993-07-29 00:00:00',2,9,11,2010,'M','N','CENTRO','CORREIA PINTO','SC','124244241115151431336933572342610157062',14311,'498',41.00,1,3,NULL),(25,6404448,'1989-06-22 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247247131421318619395114132867117',NULL,'120',0.00,1,3,NULL),(25,6404456,'1993-09-27 00:00:00',4,1,12,2011,'M','S','BARREIROS','S JOSÉ','SC','124242241217111542469813576122610164052',NULL,'1134',49.89,4,3,NULL),(25,6404464,'1992-04-17 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201241215132431118833275124231467042',NULL,'272',23.09,1,3,NULL),(25,6404480,'1991-10-01 00:00:00',4,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241112271751223521342344213264185',NULL,'307',14.67,2,2,1),(25,6404499,'1991-08-05 00:00:00',2,16,12,2008,'M','N','CENTRO','CURITIBANOS','SC','124241242115372711423339152224610127043',NULL,'960',16.37,1,3,NULL),(25,6404502,'1993-05-02 00:00:00',4,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124242241215131441326624345125610146097',NULL,'976',40.94,1,3,NULL),(25,6404510,'1984-08-19 00:00:00',4,1,12,2011,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431467812575122610162017',NULL,'262',17.68,1,3,NULL),(25,6404537,'1993-10-02 00:00:00',4,1,12,2010,'M','N','JARDIM IPANEMA','REGISTRO','SP','125251251146161731438833575122610138047',NULL,'9998',29.92,1,3,NULL),(25,6404545,'1993-12-04 00:00:00',4,1,12,2010,'F','N','CENTRO','SERAFINA CORRÊA','RS','120203201117131431338671575122610132147',NULL,'9998',0.00,1,3,NULL),(25,6404553,'1978-04-19 00:00:00',2,15,11,2003,'M','N','LAGOÃO','ARARANGUÁ','SC','224241246147131132325541211131610117055',NULL,'9999',11.41,1,3,NULL),(25,6404561,'1991-06-28 00:00:00',4,5,12,2008,'F','N','CENTRO','CRICIÚMA','SC','124242241215573431356821574112610117112',NULL,'211',0.00,1,3,NULL),(25,6404570,'1987-09-18 00:00:00',2,1,12,2005,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124241241115372721333371245134610134047',NULL,'298',22.65,1,3,NULL),(25,6404588,'1993-12-12 00:00:00',4,1,12,2010,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241215121431448614575124610124192',10651,'1011',50.24,1,3,NULL),(25,6404596,'1993-06-07 00:00:00',2,4,12,2010,'F','N','N SENHORA DE FÁTIMA','XANXERÊ','SC','124241241315311731435632575122610121197',NULL,'1233',0.00,1,3,NULL),(25,6404600,'1990-04-24 00:00:00',2,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124241241136131411326331495124231324147',NULL,'174',0.00,1,2,1),(25,6404618,'1993-10-07 00:00:00',2,1,11,2010,'M','N','PEDRA BRANCA','PALHOÇA','SC','124241241212111411438812292112610167142',NULL,'989',21.45,1,3,NULL),(25,6404626,'1993-04-12 00:00:00',4,1,12,2010,'F','N','CENTRO','CPO GRANDE','MS','112122121216471731379921572122610162096',NULL,'9998',0.00,1,3,NULL),(25,6404634,'1992-03-25 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','123243247346151731536631575124610168172',NULL,'9999',16.33,1,3,NULL),(25,6404642,'1987-04-14 00:00:00',2,1,12,2004,'M','N','COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC','124241241147372732333331245112131017047',17650,'123',39.49,1,2,1),(25,6404650,'1957-02-28 00:00:00',3,1,12,1982,'F','N','CANASVIEIRA','FLORIANÓPOLIS','SC','124202201216113441426651415114333221187',NULL,'9998',0.00,1,3,NULL),(25,6404669,'1993-10-19 00:00:00',2,17,12,2010,'M','N','CENTRO','CANOINHAS','SC','124241241115371431443831575122610124047',18204,'146',34.10,1,2,1),(25,6404685,'1993-04-02 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241212111431338832572122610124142',NULL,'457',0.00,1,3,NULL),(25,6404693,'1991-03-02 00:00:00',4,1,12,2009,'F','N','PICANÇO','GUARULHOS','SP','125254258211111611125624572324143212042',6118,'9998',56.19,1,3,NULL),(25,6404715,'1992-05-12 00:00:00',2,1,11,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241435131432443612372124610117055',NULL,'9999',0.00,1,3,NULL),(25,6404723,'1991-11-20 00:00:00',2,1,12,2010,'F','N','SAMBAQUI','IMBITUBA','SC','124241241115271431326623385124610126142',18739,'359',30.46,2,2,1),(25,6404731,'1992-01-05 00:00:00',4,1,12,2008,'M','N','JARDIM PANORAMA II','CORNÉLIO PROCÓPIO','PR','125252251216572451359913595112610127062',3618,'9998',62.81,1,3,NULL),(25,6404740,'1993-06-16 00:00:00',4,1,11,2010,'M','N','ESPLANADA DO SOL','S JOSÉ CAMPOS','SP','125252251215121531358812575112610122042',NULL,'9998',31.56,1,3,NULL),(25,6404758,'1972-07-29 00:00:00',2,1,12,1998,'F','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124241248122144751336329292124333212182',NULL,'9997',0.00,2,3,NULL),(25,6404774,'1986-03-12 00:00:00',4,1,12,2003,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124244247336152731387863585124333232097',18514,'9999',37.90,1,3,NULL),(25,6404782,'1991-01-24 00:00:00',2,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241132271431258621382124610117047',13676,'307',45.68,3,3,NULL),(25,6404790,'1993-10-10 00:00:00',4,1,12,2010,'M','N','ZONA SUL','IA SOLTEIRA','SP','125252251217111431448831595121610127052',4026,'9998',59.93,1,3,NULL),(25,6404804,'1987-03-07 00:00:00',5,10,12,2003,'M','N','CENTRO','SANGÃO','SC','124241241346212421333342425232531566197',NULL,'807',0.00,1,3,NULL),(25,6404812,'1993-12-18 00:00:00',4,4,12,2010,'F','N','CENTRO','ITAPIRANGA','SC','124241241116111431539933211122610156152',18541,'412',33.25,1,2,1),(25,6404820,'1994-02-23 00:00:00',2,5,12,2011,'M','S','CENTRO','CRICIÚMA','SC','124242241216111731369814574125610124082',NULL,'226',0.00,1,3,NULL),(25,6404839,'1994-06-27 00:00:00',4,1,11,2010,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241212151431359822575112610164112',9303,'1022',52.51,1,3,NULL),(25,6404847,'1993-10-11 00:00:00',2,1,12,2010,'F','N','JARDIM CENTRAL','DOURADOS','MS','112122121217111712456813592112610167017',11010,'9998',45.85,4,3,NULL),(25,6404855,'1994-08-11 00:00:00',4,4,12,2010,'M','N','CENTRO','CHAPECÓ','SC','124242241215121731369914572325610147146',NULL,'1191',0.00,1,3,NULL),(25,6404863,'1993-12-16 00:00:00',2,4,11,2010,'M','N','CENTRO','CPO ERÊ','SC','124164161216121431436916345124610127057',NULL,'9998',17.50,1,3,NULL),(25,6404871,'1989-01-02 00:00:00',2,1,11,2005,'F','N','ABADIA','UBERABA','MG','113134131217574531458613575124143262147',73,'9998',84.33,1,3,NULL),(25,6404880,'1991-03-26 00:00:00',2,5,12,2008,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201217571731378814575112610167187',NULL,'9998',0.00,1,3,NULL),(25,6404898,'1986-01-07 00:00:00',2,1,12,2003,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217145431348833331122321024152',13495,'270',45.94,1,3,NULL),(25,6404901,'1992-01-20 00:00:00',4,1,12,2009,'F','N','BOM FIM','PTO ALEGRE','RS','120204201217371431348612594122610131142',20699,'9998',25.61,1,3,NULL),(25,6404910,'1990-06-28 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215572431348612475122122614012',3154,'270',65.49,1,3,NULL),(25,6404928,'1991-07-23 00:00:00',4,1,12,2009,'F','N','GRUTA DE LOURDES','MACEIÓ','AL','102022021216471431469911575122610127042',621,'9998',75.42,1,3,NULL),(25,6404936,'1992-07-15 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241211151711338929431234610113141',NULL,'262',0.00,1,3,NULL),(25,6404944,'1991-02-24 00:00:00',2,1,12,2008,'F','N','CENTRO','UBIRATÃ','PR','116163161415571431447672571115610135182',10247,'9998',46.50,1,3,NULL),(25,6404952,'1987-12-24 00:00:00',2,10,6,2005,'M','N','VILA NOVA','IMBITUBA','SC','124241241117371431533611316123610121187',NULL,'359',0.00,1,2,1),(25,6404960,'1992-10-07 00:00:00',2,5,12,2009,'F','N','FIGUEIRAS','IGREJINHA','RS','120202201217471431366632371122610162187',NULL,'9998',33.97,1,3,NULL),(25,6404979,'1992-12-04 00:00:00',4,1,11,2010,'F','N','OESTE','GOIÂNIA','GO','109092091215111431468812575122610153092',NULL,'9998',0.00,1,3,NULL),(25,6404987,'1993-01-22 00:00:00',2,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241248135471731328529595124610113092',20826,'733',31.85,1,2,1),(25,6404995,'1990-05-26 00:00:00',2,9,12,2008,'F','N','SAGRADO C DE JESUS','LAGES','SC','124244248235372741649311171324131341157',NULL,'1065',0.00,1,3,NULL),(25,6405002,'1993-04-02 00:00:00',4,1,12,2010,'F','N','BELLO','CAÇADOR','SC','124241241124131732324479272324610162147',NULL,'123',13.16,1,3,NULL),(25,6405010,'1990-12-10 00:00:00',4,1,12,2007,'F','N','CENTRO','CASCAVEL','PR','116162161217511431346612592115610114143',5254,'9998',57.97,1,3,NULL),(25,6405029,'1990-12-20 00:00:00',2,9,12,2008,'M','N','CORAL','LAGES','SC','124241241215573731235922595322610147147',NULL,'497',29.32,1,3,NULL),(25,6405045,'1987-10-23 00:00:00',2,1,11,2006,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241121131111321144341334610118047',18498,'298',35.10,1,2,1),(25,6405053,'1993-11-05 00:00:00',4,2,11,2010,'M','N','CENTRO','RANCHO A D OESTE','PR','116164161235121411335312575122610147092',NULL,'9998',0.00,1,3,NULL),(25,6405061,'1988-11-16 00:00:00',2,1,12,2006,'F','N','JARDIM AGARUSSI','ITU','SP','125253241315574431656514575122240646092',13575,'384',42.93,1,3,NULL),(25,6405070,'1992-06-22 00:00:00',2,1,12,2009,'M','N','VIGOLO','NOVA TRENTO','SC','124241241417152431544612325125230467182',21181,'1123',30.17,1,3,NULL),(25,6405088,'1991-09-18 00:00:00',4,1,12,2008,'M','N','JD RECREIO DOS BANDE','SERTÃOZINHO','SP','125252258215571732476632595124610128042',NULL,'9998',0.00,1,3,NULL),(25,6405118,'1991-08-04 00:00:00',3,1,6,2010,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124244281417371432268824575124610132197',4289,'9998',62.57,4,3,NULL),(25,6405126,'1994-10-06 00:00:00',2,15,12,2011,'F','S','CENTRO','SOMBRIO','SC','124242241217111351556832572122610142152',NULL,'770',19.40,1,3,NULL),(25,6405134,'1991-08-12 00:00:00',2,6,12,2008,'M','N','CENTRO','ROSÁRIO SUL','RS','120201201116571451556512272124610166057',19949,'9998',27.64,1,2,1),(25,6405142,'1993-02-07 00:00:00',2,17,12,2009,'F','N','CENTRO','ARARUNA','PR','116162161216472751556311112122610124047',7097,'9998',53.16,1,3,NULL),(25,6405169,'1992-01-22 00:00:00',2,8,12,2009,'F','N','METROPOLE','DRACENA','SP','125251251216271431336334572112610144147',NULL,'9998',0.00,1,3,NULL),(25,6405177,'1993-02-08 00:00:00',2,8,12,2010,'M','N','OXFORD','S BENTO SUL','SC','124241241115271431536614572114610135072',NULL,'693',0.00,1,2,1),(25,6405185,'1956-05-31 00:00:00',4,1,12,1974,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224261251121131421343549492122330834067',NULL,'9998',0.00,1,3,NULL),(25,6405207,'1992-12-05 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243241311162451233622295122610124187',NULL,'729',17.70,1,3,NULL),(25,6405215,'1994-12-08 00:00:00',2,5,11,2011,'F','S','CENTRO','NOVA VENEZA','SC','124242241216111751126429292325610113052',NULL,'767',39.71,1,3,NULL),(25,6405223,'1993-06-19 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241111131431628614572125610154145',NULL,'307',27.70,2,1,2),(25,6405266,'1989-05-06 00:00:00',4,3,12,2006,'M','N','TABULEIRO','CAMBORIÚ','SC','124242241216325451448721315125122344096',8712,'44',53.58,1,3,NULL),(25,6405274,'1973-04-21 00:00:00',2,1,12,2007,'M','N','BOM VIVER','BIGUAÇU','SC','124203247345132441235344345132220934143',20016,'944',34.53,1,3,NULL),(25,6405282,'1994-06-04 00:00:00',2,1,11,2011,'F','S','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241212111632466933575124610127062',NULL,'300',34.45,1,3,NULL),(25,6405290,'1986-01-05 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241247121132631223344145124610164052',NULL,'9997',27.11,1,2,1),(25,6405304,'1990-08-08 00:00:00',2,1,12,2007,'M','N','ZONA CINCO','MARINGÁ','PR','116164161216571431568816375122143227182',20771,'9998',32.06,1,3,NULL),(25,6405312,'1981-10-14 00:00:00',4,1,12,2003,'M','N','AGRONOMIA','PTO ALEGRE','RS','120201201127131431434623245124610122047',14901,'9998',39.19,2,1,1),(25,6405320,'1987-01-31 00:00:00',4,1,7,2006,'M','N','MENINO DEUS','PTO ALEGRE','RS','120204207417151431257923395124243232182',NULL,'9998',0.00,1,3,NULL),(25,6405347,'1992-07-29 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241111152521446634385114610137047',21327,'307',29.27,1,2,1),(25,6405355,'1992-10-02 00:00:00',2,8,12,2009,'M','N','CENTRO','DRACENA','SP','125252251216371431548812585112610167072',NULL,'9998',0.00,1,3,NULL),(25,6405363,'1986-09-28 00:00:00',4,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243247417162711328313295122233217044',NULL,'9999',0.00,3,3,NULL),(25,6405380,'1989-09-02 00:00:00',4,1,12,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124244241237274431417718495121231467125',9712,'499',51.85,1,3,NULL),(25,6405398,'1994-08-27 00:00:00',2,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431368932575112610122052',NULL,'270',0.00,1,3,NULL),(25,6405410,'1991-09-23 00:00:00',4,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124242246117131431136824395114610117042',17355,'306',40.02,1,3,NULL),(25,6405428,'1993-10-05 00:00:00',2,2,12,2010,'M','N','GARCIA','BLUMENAU','SC','124241241215111431324311285124610127042',5509,'87',56.73,4,3,NULL),(25,6405436,'1989-09-16 00:00:00',4,1,11,2007,'F','N','RESIDENCIAL JARDINS','S JOSÉ R PRETO','SP','125252251212571431478811572122610142097',NULL,'9998',0.00,4,3,NULL),(25,6405452,'1993-11-13 00:00:00',4,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','124241241115271731536619592112610128197',NULL,'146',18.45,1,2,1),(25,6405479,'1992-06-14 00:00:00',2,1,12,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241417372731556632223221530213195',12149,'257',47.02,1,3,NULL),(25,6405487,'1990-03-01 00:00:00',4,1,10,2008,'F','N','SÃO PAULO','TAPEJARA','RS','220201257337271411523319575124140744187',NULL,'9998',28.63,1,3,NULL),(25,6405495,'1973-11-23 00:00:00',2,1,12,1997,'F','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124243241342135721336529282114610113182',NULL,'298',29.06,2,3,NULL),(25,6405509,'1994-01-29 00:00:00',2,15,12,2010,'F','N','JARDIM NICOLAU','JACINTO MACHADO','SC','124111241145131231423624342321610124147',21437,'420',28.51,1,2,1),(25,6405517,'1993-05-20 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241213151421568812572114610117045',3687,'272',62.08,1,3,NULL),(25,6405525,'1994-03-15 00:00:00',4,6,11,2011,'M','S','VILA OPERÁRIA','ITAJAÍ','SC','124242243137111231448813375122610128097',NULL,'129',47.67,1,3,NULL),(25,6405533,'1993-08-28 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241216111411268923575124610137092',12139,'1133',44.38,1,3,NULL),(25,6405550,'1993-10-17 01:00:00',4,17,12,2010,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241115271431435413572122610121187',NULL,'146',0.00,1,2,1),(25,6405568,'1992-12-07 00:00:00',2,1,12,2010,'M','N','CENTRO','IBIRUBÁ','RS','120201201146131431113544244234610145147',NULL,'9998',21.12,4,2,1),(25,6405584,'1990-05-10 00:00:00',4,8,12,2007,'F','N','ALTO DA XV','CURITIBA','PR','116161161325471441425614295124141447091',NULL,'9998',23.74,1,3,NULL),(25,6405592,'1990-12-18 00:00:00',2,1,12,2008,'F','N','LIBERDADE','S PAULO','SP','125252251216571431538832595121610112153',NULL,'9998',0.00,1,3,NULL),(25,6405606,'1991-03-30 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241435313721467611445122230217042',17114,'1022',40.43,1,3,NULL),(25,6405614,'1992-10-24 00:00:00',2,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241115111411479713572114610167047',18297,'267',38.29,1,2,1),(25,6405622,'1994-03-04 00:00:00',4,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215111431446512275124610137042',12059,'1050',48.04,1,3,NULL),(25,6405630,'1992-03-29 00:00:00',4,1,12,2009,'M','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251215371431488814574122610127017',NULL,'9998',0.00,1,3,NULL),(25,6405649,'1984-06-17 00:00:00',2,1,12,2002,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124246241616133741118641215321220968027',17656,'71',39.48,2,1,2),(25,6405657,'1966-03-31 00:00:00',2,1,12,1994,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241115117132421223343435124122226167',NULL,'9998',33.34,1,3,NULL),(25,6405665,'1992-07-16 00:00:00',4,1,12,2010,'M','N','BATEL','CURITIBA','PR','116162161215121431488712475114610132146',NULL,'9998',0.00,1,3,NULL),(25,6405673,'1993-03-27 00:00:00',4,1,12,2010,'M','N','CENTRO','NOVA TRENTO','SC','124241241137141431223811175111610137052',NULL,'574',16.92,1,2,1),(25,6405681,'1978-11-03 00:00:00',2,1,1,2006,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','524072077416171421437743295122610134097',NULL,'9998',0.00,1,3,NULL),(25,6405690,'1989-08-05 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124093241137373431334114442124610166147',13960,'734',41.65,2,3,NULL),(25,6405703,'1993-03-18 00:00:00',2,3,12,2010,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124244241215131231526619575122610126187',19859,'9997',34.97,1,3,NULL),(25,6405711,'1990-10-13 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241215152431469613592114231264092',16312,'1077',41.68,1,3,NULL),(25,6405720,'1991-06-20 00:00:00',2,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124241241116151432433112572113610158047',NULL,'783',22.87,1,2,1),(25,6405746,'1994-06-24 00:00:00',2,15,12,2010,'M','N','CENTRO','TURVO','SC','124241248115371752444321572121610167052',NULL,'814',19.15,1,2,1),(25,6405754,'1993-06-15 00:00:00',4,3,12,2010,'F','N','COLINA SORRISO','CAXIAS SUL','RS','120202201217111431447711175124640164097',NULL,'9998',0.00,1,3,NULL),(25,6405762,'1985-06-16 00:00:00',2,16,11,2003,'M','N','APARECIDA','CURITIBANOS','SC','124241241116151441313311471224610167147',17462,'239',39.82,1,3,NULL),(25,6405770,'1993-05-26 00:00:00',4,3,12,2010,'F','N','JARDIM VILA RICA','CAMBÉ','PR','116162161215161641526531275111610154017',NULL,'9998',0.00,3,3,NULL),(25,6405789,'1990-09-07 00:00:00',4,1,12,2008,'F','N','PERDIZES','S PAULO','SP','125252251217572711576921471112142266053',NULL,'9998',0.00,1,3,NULL),(25,6405800,'1986-03-20 00:00:00',2,1,7,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241247127275411426548282124130243197',15528,'736',38.13,1,2,1),(25,6405827,'1993-05-03 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241415111431246629375124610117115',15841,'1022',42.39,1,3,NULL),(25,6405835,'1994-06-30 00:00:00',4,4,12,2011,'M','S','JARDIM ITÁLIA','CHAPECÓ','SC','124241241112111731447813435122610127056',NULL,'169',45.24,1,3,NULL),(25,6405843,'1993-03-25 00:00:00',4,5,12,2010,'F','N','CENTRO','ORLEANS','SC','124243248317111531427834495124610168092',NULL,'581',0.00,1,3,NULL),(25,6405851,'1991-08-21 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124284241415111411435714185112610162047',8239,'270',54.43,1,3,NULL),(25,6405860,'1991-09-30 00:00:00',2,1,12,2008,'F','N','CENTRO','CASCAVEL','PR','116162161216111431449931575122142115052',NULL,'9998',0.00,1,3,NULL),(25,6405878,'1991-05-05 00:00:00',4,1,7,2009,'F','N','CENTRO','CURITIBA','PR','116222281215471411578711572124610112073',3786,'9998',62.01,1,3,NULL),(25,6405886,'1983-09-02 00:00:00',2,1,12,2002,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241121143411538949291222122234187',10804,'307',49.98,1,2,1),(25,6405916,'1987-12-19 00:00:00',4,1,12,2005,'M','N','SÍTIO DE BAIXO','FLORIANÓPOLIS','SC','624254251245152431228614372124222231142',NULL,'9998',38.21,3,3,NULL),(25,6405924,'1990-08-05 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','105052051117471431468812415124610136115',NULL,'9998',15.36,2,1,2),(25,6405932,'1993-12-02 00:00:00',4,2,12,2011,'M','S','VILA NOVA','BLUMENAU','SC','124244241217151431377714275124610124051',NULL,'87',57.24,1,3,NULL),(25,6405940,'1993-07-27 00:00:00',2,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124243241213151531579612345122610117182',NULL,'1006',28.31,1,3,NULL),(25,6405959,'1990-08-19 00:00:00',2,15,12,2007,'F','N','MANOEL ALVES','MELEIRO','SC','124241241116132431554331315122230826043',NULL,'559',0.00,1,3,NULL),(25,6405975,'1991-07-13 00:00:00',2,1,12,2007,'F','N','CENTRO','PELOTAS','RS','120201201117471411228621585125143267077',4396,'9998',58.97,4,2,1),(25,6405983,'1993-02-01 00:00:00',4,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241225171411328419576124610122143',13513,'262',41.28,1,3,NULL),(25,6405991,'1993-02-04 00:00:00',2,7,12,2009,'M','N','INTERIOR','ÁGUA DOCE','SC','124241241125162431524636572222610167057',NULL,'9',0.00,1,3,NULL),(25,6406009,'1992-03-04 00:00:00',2,17,12,2008,'M','N','VILA PRADO','QUITANDINHA','PR','116163162131271431369933372124141416112',NULL,'9998',29.24,1,3,NULL),(25,6406033,'1993-04-25 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241243115141431236764241124610121043',21306,'307',29.42,1,3,NULL),(25,6406041,'1992-07-24 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241241121251421433612241124610112041',NULL,'732',35.04,1,2,1),(25,6406050,'1988-12-13 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124201201217231411422471115333141215057',NULL,'9998',37.04,1,3,NULL),(25,6406068,'1989-08-05 00:00:00',4,7,12,2005,'M','N','BALNEÁRIO','PIRATUBA','SC','124243241217111411458612575122231467042',6339,'962',58.06,1,3,NULL),(25,6406076,'1990-02-10 00:00:00',2,1,12,2007,'M','N','FAZENDAS','BIGUAÇU','SC','124201201112131431338733332124610114042',NULL,'9998',20.98,1,2,1),(25,6406084,'1994-03-21 00:00:00',4,1,12,2011,'F','S','CARIANOS','FLORIANÓPOLIS','SC','124242241217151431345311575124610115117',NULL,'1022',0.00,1,3,NULL),(25,6406106,'1990-03-04 00:00:00',4,3,12,2007,'F','N','VILA SANTA TEREZA','GOIÂNIA','GO','109092091215571431466832573122610133097',4720,'9998',57.46,4,3,NULL),(25,6406114,'1994-01-08 00:00:00',4,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124244241215111431437722575122610134127',9000,'9997',48.92,1,3,NULL),(25,6406122,'1991-01-27 00:00:00',4,15,12,2010,'M','N','SAO LUIS','TIMBÉ SUL','SC','124241241125141731522636365122610127075',NULL,'785',0.00,1,2,1),(25,6406130,'1990-09-22 00:00:00',2,8,12,2009,'M','N','JARDIN HANTSCHEL','RIO NEGRINHO','SC','124241241147271431418318482123610127042',NULL,'669',14.72,1,2,1),(25,6406149,'1994-01-13 00:00:00',2,1,11,2010,'F','N','TROPICAL','CASCAVEL','PR','116162161217111231478824572122610162052',NULL,'270',0.00,1,3,NULL),(25,6406157,'1990-07-09 00:00:00',4,9,6,2010,'M','N','CENTRO','IBIRAMA','SC','124241217326371421228644245325610132012',20960,'9998',31.28,1,3,NULL),(25,6406165,'1993-08-08 00:00:00',4,1,2,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','125251258117551531335679272124213214187',NULL,'9997',0.00,1,3,NULL),(25,6406173,'1991-05-06 00:00:00',2,16,12,2008,'M','N','CENTRO','CURITIBANOS','SC','124241241117372531423723245115610127057',21421,'239',28.64,1,2,1),(25,6406181,'1952-04-24 00:00:00',4,1,12,1970,'M','N','CENTRO','FLORIANÓPOLIS','SC','524242241212155411428543431342121112172',10373,'262',50.69,1,3,NULL),(25,6406203,'1984-09-04 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124246248617133751128644341235133268197',NULL,'272',37.13,1,3,NULL),(25,6406211,'1993-08-14 00:00:00',4,4,12,2010,'M','N','CRISTO REI','PATO BRANCO','PR','116164161215471431468915575124610127182',5411,'9998',57.47,1,3,NULL),(25,6406246,'1986-03-23 00:00:00',2,1,8,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243247312131411325518292334610116142',NULL,'9999',27.49,4,3,NULL),(25,6406254,'1993-12-01 00:00:00',2,4,12,2010,'M','N','CENTRO','RIQUEZA','SC','124244241215111431379931575122610147042',17727,'185',33.19,1,3,NULL),(25,6406262,'1995-03-09 00:00:00',4,9,12,2010,'M','N','CENTRO','S JOAQUIM','SC','124242241211111411349833575122610126012',19607,'721',35.56,1,3,NULL),(25,6406289,'1993-02-10 00:00:00',4,4,12,2010,'M','N','SÃO LUIZ','S JOSÉ CEDRO','SC','124241241115151431444933572112610118052',NULL,'740',0.00,1,2,1),(25,6406297,'1992-06-23 00:00:00',2,7,12,2009,'M','N','CENTRO','ÁGUA DOCE','SC','124241241137142411449933345124231467052',NULL,'9',19.25,1,3,NULL),(25,6406300,'1988-06-26 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124131131416151711536731195122340362057',11999,'9998',48.15,4,3,NULL),(25,6406319,'1992-12-30 00:00:00',4,1,12,2009,'F','N','FÁTIMA','ANTÔNIO PRADO','RS','120201201117471431326327245124610168147',13230,'9998',41.84,1,2,1),(25,6406327,'1994-05-28 00:00:00',4,1,11,2011,'M','S','COSTEIRA','FLORIANÓPOLIS','SC','124244241217111731335833432124610135012',NULL,'270',29.01,1,3,NULL),(25,6406335,'1987-08-22 00:00:00',4,6,12,2004,'M','N','SANTA CRUZ','GUARAPUAVA','PR','116162161216371431267829485122340818197',13485,'9998',45.95,1,3,NULL),(25,6406343,'1987-11-28 00:00:00',4,1,12,2005,'F','N','JARDIM SALESSI','ITATIBA','SP','125252251214471421446832475122341227147',NULL,'9998',0.00,1,3,NULL),(25,6406351,'1991-09-19 00:00:00',4,16,7,2010,'M','N','CENTRO','CURITIBANOS','SC','124241241226141732225624445122610117045',21212,'237',29.99,1,3,NULL),(25,6406378,'1983-10-01 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241124135431443331381121321634042',6268,'192',54.22,1,2,1),(25,6406386,'1993-06-09 00:00:00',4,4,12,2009,'M','N','CENTRO','S LOURENÇO OESTE','SC','124204201336371431437934146124610164147',NULL,'9998',0.00,1,3,NULL),(25,6406394,'1993-02-17 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215131431418613275124610125087',NULL,'976',16.35,1,3,NULL),(25,6406408,'1950-08-16 00:00:00',2,5,3,1972,'F','N','SÃO CRISTÓVÃO','CRICIÚMA','SC','224241247112134751263139392122431067097',20625,'209',32.66,1,2,1),(25,6406432,'1994-04-04 00:00:00',4,6,12,2010,'F','N','PRAIA BRAVA','ITAJAÍ','SC','124242241217151431459614346124610127147',5638,'392',59.48,1,3,NULL),(25,6406440,'1994-01-10 00:00:00',4,15,12,2010,'M','N','SÃO CRISTOVÃO','TURVO','SC','124241241117141431423714142211610117047',NULL,'814',19.82,1,3,NULL),(25,6406459,'1991-07-21 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241247337372411324624345124610117147',NULL,'300',40.68,1,3,NULL),(25,6406467,'1993-08-14 00:00:00',4,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124243241115131421526314345124610117042',14308,'727',44.70,1,3,NULL),(25,6406483,'1989-11-23 00:00:00',4,15,11,2007,'M','N','SÃO LUIS','SOMBRIO','SC','124243241435143231333319245122610137117',20949,'1033',31.31,1,3,NULL),(25,6406505,'1959-09-05 00:00:00',2,15,12,1985,'F','N','CENTRO','ARARANGUÁ','SC','124051055116131431621244445124132756097',NULL,'9998',0.00,4,3,NULL),(25,6406513,'1992-02-04 00:00:00',4,5,12,2009,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215142431457832445124231464071',4503,'226',61.98,1,3,NULL),(25,6406521,'1993-02-03 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242248217372431329632282124610114114',18987,'9997',32.20,1,3,NULL),(25,6406530,'1990-03-05 00:00:00',4,1,12,2007,'F','N','SETOR SUL','GOIÂNIA','GO','109092091216571711668831572122612432183',6979,'9998',53.27,4,3,NULL),(25,6406548,'1976-02-22 00:00:00',2,1,7,1995,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224241247627151411227419491114610153093',NULL,'9999',21.30,1,3,NULL),(25,6406556,'1989-12-31 00:00:00',4,1,11,2008,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124242241216114211378912475112220767131',NULL,'270',0.00,1,3,NULL),(25,6406564,'1990-06-22 00:00:00',2,1,7,2008,'F','N','FAZ SANTO ANTONIO','S JOSÉ','SC','124244241116133431438613341234610132152',NULL,'739',22.62,1,3,NULL),(25,6406572,'1992-03-02 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241415272731346632575124610118047',14526,'1118',40.24,1,3,NULL),(25,6406580,'1991-01-16 00:00:00',4,1,12,2008,'M','N','VIRA ROSA','DOURADOS','MS','120202201216572411438831575112610167012',820,'9998',73.36,2,1,2),(25,6406599,'1970-03-03 00:00:00',4,1,12,1987,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624074241216153731154449495122322066193',11406,'266',49.04,4,3,NULL),(25,6406602,'1982-02-25 00:00:00',2,1,12,2001,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241147132121125544245234610164097',16769,'592',40.98,1,2,1),(25,6406610,'1993-05-18 00:00:00',2,17,12,2010,'F','N','NOVO','MTE CASTELO','SC','124241241117271431246923572122610123037',NULL,'566',37.20,1,2,1),(25,6406629,'1990-11-30 00:00:00',2,7,12,2006,'F','N','INTERIOR','ÁGUA DOCE','SC','124241241127162432524636382222610167057',17658,'9',33.57,1,3,NULL),(25,6406637,'1987-09-28 00:00:00',4,1,11,2009,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241317131431423334282111130728147',NULL,'591',23.85,4,3,NULL),(25,6406645,'1977-02-13 00:00:00',2,1,4,1995,'F','N','PICADAS DO NORTE','S JOSÉ','SC','124242248126153441244429135122322266097',9937,'739',51.45,1,3,NULL),(25,6406661,'1984-03-09 00:00:00',2,1,12,2002,'M','N','PRADO VELHO','CURITIBA','PR','116161167446372431268623465122241067117',NULL,'9998',0.00,1,3,NULL),(25,6406670,'1992-12-14 00:00:00',2,1,12,2009,'F','N','CENTRO','BOSSOROCA','RS','120201201117131431647935572124610117052',14805,'9998',37.95,1,2,1),(25,6406688,'1989-01-12 00:00:00',2,1,12,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241214153431348914275124221268017',NULL,'88',0.00,1,3,NULL),(25,6406696,'1993-07-12 00:00:00',4,4,11,2010,'M','N','PASSO DOS FORTES','CHAPECÓ','SC','124242241214371331236312385122610137042',7331,'168',53.33,1,3,NULL),(25,6406700,'1991-08-27 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124244241112134732448834575124223222147',8877,'267',53.27,1,3,NULL),(25,6406726,'1992-09-01 00:00:00',2,16,12,2010,'F','N','INTERIOR','FR ROGÉRIO','SC','124241241115371551213316292344610163147',NULL,'320',13.54,1,2,1),(25,6406734,'1993-08-15 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241216111411356622325122610123093',17543,'1022',35.03,1,3,NULL),(25,6406742,'1985-01-17 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241247127441422236613242114610127053',NULL,'9999',29.70,1,2,1),(25,6406750,'1992-01-12 00:00:00',2,1,12,2009,'F','N','PRIMAVERA','NOVO HAMBURGO','RS','120204201216132411426632341332610167147',NULL,'9998',0.00,1,3,NULL),(25,6406769,'1991-12-20 00:00:00',2,1,12,2009,'F','N','JD AMERICANO','SOROCABA','SP','125251251215371431646812341112610121147',9281,'9998',48.84,3,3,NULL),(25,6406785,'1994-02-24 00:00:00',2,1,12,2010,'F','N','PALMAS','GOV CELSO RAMOS','SC','124242241215132431427632125124610123072',7935,'1134',52.04,1,3,NULL),(25,6406793,'1991-12-13 00:00:00',2,1,12,2009,'M','N','VILA BRANDINA','CAMPINAS','SP','125252251116411431386731482112610167042',11512,'9998',48.88,1,3,NULL),(25,6406807,'1992-03-31 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431468933575124610167045',17356,'943',40.02,1,3,NULL),(25,6406815,'1987-10-29 00:00:00',2,1,12,2005,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124243241133132212128741257115130264131',NULL,'298',0.00,4,3,NULL),(25,6406823,'1992-08-17 00:00:00',4,1,11,2009,'M','N','VILA WILLIANS','GARÇA','SP','125252251215471431447731575124610167047',10261,'9998',50.88,1,3,NULL),(25,6406840,'1992-11-04 00:00:00',2,16,12,2010,'F','N','BOM JESUS','CURITIBANOS','SC','124241241117171731625514345122610124071',NULL,'239',0.00,4,2,1),(25,6406858,'1986-03-04 00:00:00',2,1,12,2002,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241117231532333339245334610112065',NULL,'846',0.00,1,2,1),(25,6406866,'1980-05-27 00:00:00',2,1,11,1998,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','224251248116141431626932425122133268167',NULL,'306',23.74,1,3,NULL),(25,6406874,'1991-07-21 00:00:00',2,1,7,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124242241112132431328823581114230234087',NULL,'739',11.00,1,3,NULL),(25,6406882,'1993-11-12 00:00:00',2,4,12,2010,'F','N','CENTRO','SALTINHO','SC','124241241126161431324623485124610121052',17861,'682',33.48,1,2,1),(25,6406890,'1993-04-14 00:00:00',4,4,12,2010,'F','N','SAIC','CHAPECÓ','SC','124241241136131431423314572115610122057',16511,'169',36.97,1,2,1),(25,6406904,'1992-02-03 00:00:00',4,2,12,2009,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241215152431467833442124231467182',NULL,'87',0.00,1,3,NULL),(25,6406912,'1992-09-22 00:00:00',2,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241215111431339812571124610125182',16395,'1022',36.39,1,3,NULL),(25,6406920,'1992-07-21 00:00:00',4,1,12,2009,'F','N','INTERMARES','CABEDELO','PB','115154151217131431217821572124610121147',NULL,'9998',0.00,1,3,NULL),(25,6406947,'1994-07-28 00:00:00',4,8,11,2011,'F','S','CENTRO','JOINVILLE','SC','124242241215111431489914472121610133182',NULL,'1063',21.83,1,3,NULL),(25,6406963,'1991-09-20 00:00:00',4,8,12,2008,'M','N','ALTO DA RUA XV','CURITIBA','PR','116162161216111431459834345122241423012',NULL,'9998',0.00,1,3,NULL),(25,6406998,'1992-01-25 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124246241217111311231924215124610127117',NULL,'1022',0.00,2,1,2),(25,6407005,'1956-09-07 00:00:00',4,1,12,1975,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','224251131116153751463349495112122862057',NULL,'9998',0.00,1,3,NULL),(25,6407013,'1992-04-29 00:00:00',2,4,12,2009,'F','N','CENTRO','TAPIRA','PR','116161161117151431436823572112610164047',13638,'9998',42.74,1,2,1),(25,6407021,'1988-04-25 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124201201117141231413341342314610117047',NULL,'9998',30.28,1,2,1),(25,6407030,'1992-10-26 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124244241217111421559614371122610132052',8591,'723',50.45,1,3,NULL),(25,6407048,'1993-12-24 00:00:00',2,1,12,2010,'F','N','SÃO PEDRO','BRUSQUE','SC','124241241115151521353411282222610117072',20459,'111',33.30,1,3,NULL),(25,6407056,'1991-07-01 00:00:00',4,1,12,2009,'M','N','BOMBAS','BOMBINHAS','SC','124203201137131441523514285124610164012',20051,'96',30.22,1,3,NULL),(25,6407064,'1994-01-19 00:00:00',4,10,11,2011,'F','S','SÃO BASÍLIO','BRAÇO NORTE','SC','124242241215111711578632575114610136142',NULL,'806',44.86,1,3,NULL),(25,6407072,'1993-10-03 00:00:00',2,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241237111731536614445122610127042',NULL,'1074',21.16,1,3,NULL),(25,6407099,'1989-07-11 00:00:00',4,1,12,2009,'M','N','VILA GRANADA','S PAULO','SP','125252256217472431358813571115610118191',8971,'9998',49.87,3,3,NULL),(25,6407129,'1991-06-13 00:00:00',4,1,12,2008,'F','N','PARQUE BRASIL','JACAREÍ','SP','125253251215572431238629572124610122072',NULL,'9998',0.00,1,3,NULL),(25,6407137,'1992-07-04 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215153731466912575122221046192',2954,'807',66.04,1,3,NULL),(25,6407145,'1971-05-17 00:00:00',4,1,12,1987,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224202203137131511215548182122140234187',11624,'9998',48.71,1,3,NULL),(25,6407161,'1991-10-13 00:00:00',4,1,12,2009,'F','N','CENTRO','FORMOSA','GO','109252091215371231458816572122610123157',NULL,'9998',0.00,1,3,NULL),(25,6407188,'1990-05-27 00:00:00',4,4,12,2008,'M','N','CAMOBI','STA MARIA','RS','120201201146271441347673575124140867181',NULL,'9998',0.00,1,2,1),(25,6407200,'1989-04-28 00:00:00',4,8,12,2006,'F','N','CENTRO','LONDRINA','PR','116162161215571731478813595122610122147',NULL,'9998',0.00,1,3,NULL),(25,6407218,'1988-10-13 00:00:00',2,1,12,2005,'F','N','SANTA CATARINA','FARROUPILHA','RS','120201201217571411553831372124143243187',3830,'9998',61.43,1,3,NULL),(25,6407226,'1977-11-16 00:00:00',2,1,12,2006,'F','N','SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC','224241247346371711333351245114610122145',17569,'9999',39.64,1,3,NULL),(25,6407234,'1992-04-02 00:00:00',4,3,12,2009,'M','N','ARIRIBÁ','BAL CAMBORIÚ','SC','124243201215471431546414595125610127017',21246,'9998',29.77,3,3,NULL),(25,6407242,'1993-08-13 00:00:00',2,1,12,2010,'M','N','CENTRO','NOVA TRENTO','SC','124244241215111731445812572112610162052',15330,'1123',40.67,1,3,NULL),(25,6407250,'1982-09-24 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124203201311231431323344245121141962172',20555,'9998',32.93,1,3,NULL),(25,6407269,'1992-12-31 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241115271431436614472124610114142',19016,'307',34.12,1,2,1),(25,6407277,'1993-02-09 00:00:00',2,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124243241117131431423627275124610164197',NULL,'733',28.69,1,3,NULL),(25,6407285,'1991-03-24 00:00:00',2,1,12,2008,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241115133731434514182124222041147',10759,'64',46.93,1,2,1),(25,6407293,'1994-03-13 00:00:00',2,15,12,2010,'F','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124241241116131431524314345125610134147',21353,'1033',29.13,1,3,NULL),(25,6407307,'1993-08-30 00:00:00',4,1,12,2010,'F','N','JARDIM CANADÁ','PARAUAPEBAS','PA','114143141316371751578414572124610227182',NULL,'9998',0.00,4,3,NULL),(25,6407331,'1990-10-15 00:00:00',4,1,12,2007,'M','N','CENTRO','S MIGUEL IGUAÇU','PR','116162161313573711357939575112610117132',358,'9998',78.22,1,3,NULL),(25,6407340,'1988-06-23 00:00:00',4,1,12,2005,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242248212373711327624382324610164187',8463,'260',54.03,1,3,NULL),(25,6407358,'1988-03-08 00:00:00',4,1,12,2006,'F','N','SANTO AMARO','S PAULO','SP','125252251216571711456821471114610162097',1402,'9998',70.43,1,3,NULL),(25,6407366,'1989-08-02 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242247211472431358912425122131067052',NULL,'9997',13.96,1,3,NULL),(25,6407374,'1987-11-06 00:00:00',2,4,12,2005,'F','N','ITARARÉ','STA MARIA','RS','120204201112471231323623573344143212182',NULL,'9998',0.00,1,3,NULL),(25,6407382,'1982-11-28 00:00:00',4,5,11,2001,'M','N','CENTRO','CRICIÚMA','SC','124242248436131741226621385125131432187',11340,'228',49.14,1,3,NULL),(25,6407390,'1989-04-14 00:00:00',4,8,12,2006,'F','N','VILA LAUCI','OSASCO','SP','125252253212542421456614372114610166072',NULL,'9998',0.00,1,3,NULL),(25,6407404,'1993-10-13 00:00:00',4,3,12,2010,'M','N','ZONA NORTE','IA SOLTEIRA','SP','125252251217121431448834575121610122192',18243,'9998',31.85,1,3,NULL),(25,6407420,'1991-04-12 00:00:00',2,1,12,2008,'F','N','JURERE','FLORIANÓPOLIS','SC','124242241215372111448811485114133241097',NULL,'1048',33.20,1,3,NULL),(25,6407439,'1993-04-10 00:00:00',2,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124243241126141531336411582124610117052',20449,'592',33.32,1,3,NULL),(25,6407447,'1992-10-20 00:00:00',2,1,11,2010,'M','N','ARIRIU','PALHOÇA','SC','124242246217111431323532342124610124147',NULL,'989',25.01,1,3,NULL),(25,6407455,'1986-08-14 00:00:00',4,15,12,2005,'F','N','MATO ALTO','ARARANGUÁ','SC','124161161136131431223329391335610125047',NULL,'9998',27.92,4,2,1),(25,6407463,'1989-08-06 00:00:00',2,1,12,2007,'M','N','CAMILOPOLIS','STO ANDRÉ','SP','125252251115573431456744445112141425182',NULL,'9998',19.39,1,3,NULL),(25,6407471,'1977-08-10 00:00:00',4,1,11,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','224243247336155421333844345132122364182',NULL,'9999',0.00,1,3,NULL),(25,6407480,'1988-04-30 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201241217152711486711195122230242043',NULL,'1022',0.00,1,3,NULL),(25,6407498,'1990-07-07 00:00:00',4,8,12,2007,'F','N','AMÉRICA','JOINVILLE','SC','124242241217373432369813572122231424142',NULL,'1063',0.00,1,3,NULL),(25,6407501,'1993-01-08 00:00:00',4,6,12,2010,'F','N','CENTRO','ITAJAÍ','SC','124242241214371431448834575122610164197',8604,'389',53.77,1,3,NULL),(25,6407510,'1992-07-20 00:00:00',4,1,12,2009,'F','N','BANGU','STO ANDRÉ','SP','125252251217151431527832575125243234035',12910,'9998',42.20,1,3,NULL),(25,6407528,'1992-12-05 00:00:00',2,7,12,2010,'M','N','CIDADE ALTA','SALTO VELOSO','SC','124241242116111431524414595124610126042',19093,'8',31.01,2,1,1),(25,6407536,'1977-05-13 00:00:00',4,1,12,1995,'M','N','INGLESES','FLORIANÓPOLIS','SC','124163161327273431428879215124333264177',12972,'9998',46.63,1,3,NULL),(25,6407544,'1992-05-06 00:00:00',4,1,11,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431557811575112610164147',16373,'951',36.60,1,3,NULL),(25,6407552,'1984-05-25 00:00:00',2,1,2,1984,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124161161135131431522329383344610123047',20148,'9997',34.20,1,2,1),(25,6407560,'1986-06-16 00:00:00',2,1,12,2004,'M','N','VICTOR KONDER','TAIÓ','SC','124241241346131731444923385124242414177',21184,'777',30.14,1,3,NULL),(25,6407579,'1994-02-03 00:00:00',2,1,12,2011,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241215111411436614572122610113057',NULL,'273',32.26,1,3,NULL),(25,6407587,'1993-10-09 00:00:00',4,4,12,2010,'M','N','MOINHOS DE VENTO','PTO ALEGRE','RS','120242201215271431357932575124610124122',3940,'9998',63.45,1,3,NULL),(25,6407595,'1993-07-26 00:00:00',4,4,12,2010,'M','N','JARDIN BELA VISTA','ITAPIRANGA','SC','124241248116161531526634575122610167047',NULL,'412',0.00,1,3,NULL),(25,6407609,'1991-12-24 00:00:00',4,1,12,2010,'F','N','JURERE','FLORIANÓPOLIS','SC','124242241215111712387822595112610131142',10815,'9999',49.97,1,3,NULL),(25,6407617,'1993-04-20 00:00:00',2,4,12,2010,'F','N','SEMINARIO','CHAPECÓ','SC','124242241332131431328754575324610133142',NULL,'169',20.42,1,3,NULL),(25,6407625,'1992-11-05 00:00:00',4,1,12,2009,'F','N','CENTRO','PIRAJU','SP','125252251212411431448813575122610116072',NULL,'587',0.00,1,3,NULL),(25,6407641,'1993-10-16 00:00:00',4,2,12,2010,'F','N','ALDEIA PALMEIRA','JOSÉ BOITEUX','SC','124241241124161751627613592212610157052',NULL,'1064',21.78,5,2,1),(25,6407668,'1993-05-06 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','120201201117131431337833395125610127047',17838,'9998',39.16,1,2,1),(25,6407676,'1981-10-20 00:00:00',2,1,12,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','224242247426131421223354345332610136142',NULL,'9999',26.31,1,3,NULL),(25,6407684,'1993-02-15 00:00:00',2,1,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124241241437111731437613572122610127037',NULL,'237',0.00,1,3,NULL),(25,6407706,'1991-03-11 00:00:00',4,6,7,2009,'M','N','CENTRO','PENHA','SC','124241247116271731535311575114610164197',18073,'9999',38.70,1,2,1),(25,6407714,'1985-07-28 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241248122373431214479395134610114122',15749,'416',42.52,1,2,1),(25,6407722,'1985-08-29 00:00:00',2,1,8,2003,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241243421273411354819341123121764117',10612,'232',47.02,1,3,NULL),(25,6407730,'1986-01-08 00:00:00',4,1,12,2003,'M','N','CENTRO','BAURU','SP','125162161216573711337711395122141417186',2109,'9998',68.33,1,3,NULL),(25,6407749,'1977-06-10 00:00:00',4,1,12,1994,'F','N','CENTRO','FLORIANÓPOLIS','SC','224242241217153751338879415124520868092',NULL,'262',0.00,1,3,NULL),(25,6407757,'1991-12-08 00:00:00',2,1,12,2008,'M','N','LINDO HORIZONTE','ABADIÂNIA','GO','122224221216371431466619195115610147062',NULL,'9998',0.00,4,3,NULL),(25,6407765,'1994-06-20 00:00:00',4,1,12,2011,'F','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242247217111431277812272124610127052',NULL,'270',32.39,3,3,NULL),(25,6407773,'1990-08-28 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','121241241145241431631221292214610166172',NULL,'295',14.61,4,2,1),(25,6407781,'1994-08-11 00:00:00',4,1,12,2011,'M','S','ABRAÃO','FLORIANÓPOLIS','SC','124242241212111731538613592122610168142',NULL,'737',44.73,1,3,NULL),(25,6407811,'1992-05-12 00:00:00',4,1,12,2010,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091217171431578911575122610122047',NULL,'9998',0.00,1,3,NULL),(25,6407846,'1965-12-13 00:00:00',4,1,12,1982,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224202203216133441257441215122521232125',10125,'9998',47.50,1,3,NULL),(25,6407854,'1992-01-16 00:00:00',2,1,12,2008,'F','N','SANTA CRUZ','ÁGUAS MORNAS','SC','124241241146371731433923382114610124012',21311,'12',29.39,1,2,1),(25,6407870,'1994-08-09 00:00:00',4,1,11,2011,'F','S','EUGÊNIO SCHNEIDER','RIO SUL','SC','124242241215111431349813475122610123142',NULL,'9997',27.47,1,3,NULL),(25,6407889,'1994-06-21 00:00:00',4,17,12,2011,'F','S','CENTRO','S MATEUS SUL','PR','116162161217111731568713577122610133145',NULL,'9998',0.00,4,3,NULL),(25,6407897,'1982-01-16 00:00:00',2,1,12,1999,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','224241241133135711338849393134610167147',NULL,'307',28.84,1,2,1),(25,6407919,'1989-03-07 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241121472431487911285124613267157',6782,'288',54.12,1,2,1),(25,6407927,'1993-03-30 00:00:00',4,7,12,2010,'M','N','VILA ALEMANHA','LUZERNA','SC','124241241117131531423312175124610137097',19659,'539',31.23,1,2,1),(25,6407935,'1993-09-20 00:00:00',4,15,12,2010,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241135131731325624271121610134117',NULL,'29',15.89,1,2,1),(25,6407951,'1993-03-29 00:00:00',2,1,12,2010,'F','N','SANTA LUZIA','VOTUPORANGA','SP','125252251217111231438817272113610141017',13925,'9998',39.98,1,3,NULL),(25,6407978,'1992-11-30 00:00:00',2,1,12,2010,'F','N','BELA VISTA','PALHOÇA','SC','124241241145131411216324172224610164057',NULL,'277',23.39,1,2,1),(25,6407986,'1993-10-28 00:00:00',4,10,10,2010,'F','N','HUMAITÁ','TUBARÃO','SC','124242241211372431535812571122610112042',8875,'806',49.31,1,3,NULL),(25,6408001,'1994-11-12 00:00:00',2,5,12,2011,'M','S','CENTRO','CRICIÚMA','SC','124244241215371711445619575125610117042',NULL,'226',40.58,4,3,NULL),(25,6408028,'1993-01-15 00:00:00',2,4,12,2010,'F','N','CENTRO','AMETISTA SUL','RS','120201201116131231526923335122610162077',NULL,'9998',39.09,1,2,1),(25,6408044,'1993-11-20 00:00:00',4,8,12,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124244241215111411459314572122610122151',5467,'931',57.39,1,3,NULL),(25,6408052,'1990-02-16 00:00:00',4,1,12,2006,'M','N','VILA MENCK','OSASCO','SP','125252251217572431466612571124610162147',10342,'9998',46.22,1,3,NULL),(25,6408060,'1987-07-14 00:00:00',2,1,12,2004,'M','N','NOSA SRA DO ROSARIO','S JOSÉ','SC','124251251217132411526615495124322216172',11413,'9998',49.02,1,3,NULL),(25,6408079,'1993-05-18 00:00:00',4,3,12,2010,'M','N','CENTRO','CATANDUVA','SP','125252251216111431348932145122610127054',NULL,'9998',0.00,1,3,NULL),(25,6408087,'1990-09-24 00:00:00',2,15,12,2007,'F','N','BOA VISTA','PTO ALEGRE','RS','120202201217571711349864575114610162147',307,'9998',79.58,1,3,NULL),(25,6408095,'1980-06-23 00:00:00',4,1,12,2000,'F','N','FÁTIMA','CANOAS','RS','120204201226132421636611275125241524142',5949,'9998',54.65,1,3,NULL),(25,6408117,'1993-07-08 00:00:00',2,1,12,2010,'F','N','SÃO JOSÉ','S JOSÉ','SC','124241241116272431346413395124610138197',NULL,'772',27.09,1,3,NULL),(25,6408125,'1990-02-24 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241216273441119813495224121432097',4695,'1010',59.05,1,3,NULL),(25,6408150,'1988-10-02 00:00:00',4,1,7,2006,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241247437151411636834295124610147057',NULL,'9999',31.25,4,3,NULL),(25,6408168,'1988-08-28 00:00:00',4,3,12,2005,'M','N','BOMBAS','BOMBINHAS','SC','124241241115372421536531345114610132057',11920,'96',48.29,1,3,NULL),(25,6408176,'1992-09-02 00:00:00',2,8,12,2010,'M','N','CRISTO REI','GUARAPUAVA','PR','116161161217211731336719575122610121147',NULL,'9998',0.00,4,3,NULL),(25,6408184,'1993-03-31 00:00:00',2,17,12,2010,'M','N','INDUSTRIAL NORTE','RIO NEGRINHO','SC','124244241115271431326711575114610127057',17374,'669',39.96,1,3,NULL),(25,6408222,'1993-09-03 00:00:00',2,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124162241245111431436619295124610163052',NULL,'262',0.00,1,3,NULL),(25,6408230,'1977-06-14 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247226131421523313472124610124142',21782,'9999',22.12,1,3,NULL),(25,6408257,'1952-01-17 00:00:00',4,1,12,2004,'M','N','MARMELEIRO','ATIBAIA','SP','225251257127151411251149195112610168047',14879,'9998',40.47,1,3,NULL),(25,6408265,'1990-09-23 00:00:00',2,1,12,2007,'F','N','DORIVAL ELOY BRUSCH','IBIPORÃ','PR','116161161115575731538614575124610163057',NULL,'9998',0.00,1,2,1),(25,6408273,'1994-07-15 00:00:00',4,10,12,2010,'M','N','CENTRO','TUBARÃO','SC','124242241217111431568812592122610127122',17823,'807',39.19,1,3,NULL),(25,6408303,'1956-04-28 00:00:00',4,1,12,1980,'F','N','PIRATININGA','OSASCO','SP','125251257116271421116549291324143247122',NULL,'9998',0.00,1,2,1),(25,6408311,'1988-06-04 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241327413711526579142334610117187',13954,'307',40.68,1,3,NULL),(25,6408320,'1993-10-30 00:00:00',2,10,12,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215111731539834375112610121192',10372,'807',50.69,1,3,NULL),(25,6408338,'1989-01-07 00:00:00',4,4,12,2009,'M','N','CENTRO','PALMAS','PR','116163161127171221123443235123142762187',18314,'9998',33.09,1,3,NULL),(25,6408346,'1991-12-10 00:00:00',2,1,12,2008,'F','N','RIO BLOEMER','S BONIFÁCIO','SC','124241241146231432323311245124610124077',NULL,'772',0.00,1,2,1),(25,6408354,'1989-11-16 00:00:00',2,1,7,2008,'M','N','BARREIROS','S JOSÉ','SC','124242247217153451449619485112610167042',NULL,'9999',29.07,1,3,NULL),(25,6408370,'1989-10-30 00:00:00',2,1,7,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241125371431533244442213610117067',NULL,'945',4.77,1,2,1),(25,6408397,'1983-02-10 00:00:00',2,1,7,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124201247312371721423311315124610127043',NULL,'9999',27.54,2,1,2),(25,6408400,'1974-07-03 00:00:00',4,1,12,1992,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241317132431358819182122331024197',NULL,'261',27.64,1,3,NULL),(25,6408419,'1986-10-26 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116272221226621215124233227052',15851,'169',42.38,1,2,1),(25,6408427,'1993-11-30 00:00:00',2,10,11,2010,'F','N','SÃO JOÃO ME','TUBARÃO','SC','124241241415111231448413575124610137052',NULL,'807',24.99,1,3,NULL),(25,6408435,'1978-05-30 00:00:00',2,1,12,2003,'F','N','PINHEIRA','PALHOÇA','SC','124241241126132431223141215124610117092',NULL,'595',0.00,4,2,1),(25,6408443,'1990-04-24 00:00:00',4,1,6,2010,'M','N','JURERE','FLORIANÓPOLIS','SC','124242247611111411367822575112610137012',NULL,'9999',31.10,1,3,NULL),(25,6408451,'1993-12-02 00:00:00',4,1,12,2010,'F','N','VILA NOVA','IMBITUBA','SC','124241241115141431446812345122610134142',NULL,'1034',0.00,1,2,1),(25,6408460,'1994-06-12 00:00:00',4,3,11,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241215111431547716575122610142042',NULL,'9997',9.31,1,3,NULL),(25,6408478,'1992-05-16 00:00:00',4,1,12,2009,'F','N','ALCIDES MODENEZ','IRACEMÁPOLIS','SP','125251251116471431436619575124610127047',NULL,'9998',0.00,1,2,1),(25,6408486,'1991-05-24 00:00:00',5,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241216373431566613175112121467042',NULL,'499',17.80,1,3,NULL),(25,6408494,'1991-02-17 00:00:00',4,8,12,2008,'F','N','BOQUEIRAO','CURITIBA','PR','116161161116471431226824572224610162197',4111,'9998',61.02,2,1,1),(25,6408508,'1983-09-13 00:00:00',4,1,12,2003,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124251031147132421222144442214610162147',NULL,'9998',23.18,1,2,1),(25,6408532,'1988-05-02 00:00:00',2,15,12,2005,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241136142411433532215122333228017',21341,'29',29.20,1,3,NULL),(25,6408540,'1993-06-24 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215411432337923575125610132087',8184,'1022',53.85,1,3,NULL),(25,6408559,'1991-09-11 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124284247435371431238422382114610134112',17391,'9999',39.94,1,3,NULL),(25,6408575,'1992-01-12 00:00:00',4,8,11,2009,'M','N','VILA ENDO','ADAMANTINA','SP','125252251211471431448833275122610137042',NULL,'9998',42.42,1,3,NULL),(25,6408591,'1993-07-31 00:00:00',2,2,10,2010,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111432588913575125610164015',6672,'855',57.34,1,3,NULL),(25,6408605,'1993-05-23 00:00:00',2,3,12,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241215131431438532245122610165077',NULL,'1111',0.00,4,3,NULL),(25,6408648,'1993-03-12 00:00:00',4,15,12,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124131241135371731656569295125610124197',15978,'29',37.72,4,2,1),(25,6408656,'1993-08-25 00:00:00',4,1,10,2009,'F','N','COSTA AZUL','SALVADOR','BA','105052051217471431466723575112610164092',4478,'9998',57.91,2,3,NULL),(25,6408664,'1978-03-17 00:00:00',2,1,12,1998,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241245112132431524644245124610117147',NULL,'307',17.51,1,2,1),(25,6408672,'1994-08-22 00:00:00',2,6,12,2011,'F','S','CENTRO','BAL CAMBORIÚ','SC','124242241215111731459912572112610147072',NULL,'9997',32.20,1,3,NULL),(25,6408680,'1991-02-23 00:00:00',4,1,12,2007,'M','N','JACARECICA','MACEIÓ','AL','102152151217571431487632575122242462122',NULL,'9998',0.00,1,3,NULL),(25,6408710,'1957-07-04 00:00:00',2,1,12,1998,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224242243222152411462259492112332743192',NULL,'303',23.48,1,3,NULL),(25,6408737,'1992-08-20 00:00:00',4,1,12,2009,'F','N','SAN RAFAEL','FOZ IGUAÇU','PR','116162161215571521358522242222610114097',NULL,'9998',0.00,1,3,NULL),(25,6408745,'1984-05-29 00:00:00',2,15,12,2002,'F','N','CENTRO','MARACAJÁ','SC','224241245127131431423751385111610164197',NULL,'29',19.58,1,2,1),(25,6408753,'1992-08-17 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124242241216372431568619246124231213017',12827,'738',45.21,1,3,NULL),(25,6408761,'1992-06-25 00:00:00',2,9,12,2010,'M','N','CENTRO','URUPEMA','SC','124241241436111431323623475124610137052',20962,'515',31.26,1,3,NULL),(25,6408770,'1988-08-24 00:00:00',4,4,12,2005,'F','N','CENTRO','S MIGUEL OESTE','SC','120242241216572411658811572125610163181',4918,'752',61.04,3,3,NULL),(25,6408788,'1994-12-14 00:00:00',4,1,11,2010,'F','N','CENTRO','PALHOÇA','SC','124242241217161431479811575124610166082',9646,'1022',51.95,1,3,NULL),(25,6408796,'1993-03-03 00:00:00',2,1,12,2010,'F','N','SÃO CRISTÓVÃO','LAJEADO','RS','120203201417151531549914345112610132097',NULL,'9998',0.00,1,3,NULL),(25,6408800,'1974-09-09 00:00:00',2,1,6,1994,'M','N','PRADO','BIGUAÇU','SC','124241247323154751335574342334121646183',6885,'63',56.94,1,3,NULL),(25,6408818,'1993-05-25 00:00:00',2,8,11,2010,'F','N','BOERMEWALT','JOINVILLE','SC','124241241215271331333522595124613227052',NULL,'489',0.00,1,3,NULL),(25,6408826,'1991-07-12 00:00:00',4,1,12,2008,'F','N','CENTRO','S JOSÉ','SC','124242241211571431445612395122610128071',NULL,'737',0.00,1,3,NULL),(25,6408834,'1993-12-14 00:00:00',2,3,12,2010,'F','N','JARDIM SÃO JORGE','PARANAVAÍ','PR','116164161217121511338839575122610161017',NULL,'9998',0.00,1,3,NULL),(25,6408850,'1993-09-08 00:00:00',2,1,12,2010,'F','N','FUNDOS','BIGUAÇU','SC','124241241116271731334923495121610125142',18735,'65',34.19,1,2,1),(25,6408869,'1994-04-19 00:00:00',4,1,12,2010,'F','N','CENTRO','BIGUAÇU','SC','124244241215111431438924575124610127182',18865,'1118',34.15,1,3,NULL),(25,6408877,'1990-02-02 00:00:00',4,1,11,2007,'F','N','BOSQUE','CAMPINAS','SP','125252251215571431469933575122610127097',NULL,'9998',0.00,1,3,NULL),(25,6408885,'1992-04-14 00:00:00',4,4,12,2009,'F','N','INTERIOR','S JOÃO OESTE','SC','124241241116161431353336572122610147067',6547,'715',53.30,1,2,1),(25,6408893,'1962-04-25 00:00:00',2,1,11,2001,'M','N','FORQUILHINHAS','S JOSÉ','SC','224241241422132721433641112122330117052',NULL,'1076',19.41,1,3,NULL),(25,6408907,'1994-01-14 00:00:00',2,3,12,2010,'F','N','CENTRO','URUGUAIANA','RS','120202201216471431446632595122610126143',15035,'9998',37.24,1,3,NULL),(25,6408915,'1981-06-24 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216475421568813485122330266072',13091,'266',46.47,1,3,NULL),(25,6408923,'1989-02-24 00:00:00',2,8,12,2006,'F','N','CENTRO','S BENTO SUL','SC','124241241417154421535622491135131532112',11158,'974',45.59,1,3,NULL),(25,6408931,'1992-04-27 00:00:00',4,1,12,2009,'M','N','JARDIM IPATINGA','SOROCABA','SP','125252251215261431457911582122610122072',NULL,'9998',19.43,1,3,NULL),(25,6408958,'1970-04-09 00:00:00',2,1,6,1992,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224241247332134421423441315122121137095',NULL,'9999',0.00,1,3,NULL),(25,6408974,'1992-08-01 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241137141411558812245122610117055',NULL,'292',28.40,1,3,NULL),(25,6408982,'1993-11-23 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241225111731533331571324610163045',NULL,'262',37.32,1,3,NULL),(25,6408990,'1991-06-22 00:00:00',4,1,12,2008,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125254251215571441589913577144610164192',2249,'9998',65.46,4,3,NULL),(25,6409008,'1993-09-07 00:00:00',4,7,12,2010,'M','N','CIDADE JARDIM','CATANDUVAS','SC','124241242115111431326915595124610126052',NULL,'8',20.20,1,3,NULL),(25,6409016,'1954-05-17 00:00:00',4,1,6,1977,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','224253257226472431451149391212130862122',NULL,'9998',0.00,1,3,NULL),(25,6409024,'1992-04-19 00:00:00',2,3,12,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124252251216151411338614295122610161122',NULL,'9998',36.79,1,3,NULL),(25,6409032,'1988-03-14 00:00:00',2,1,12,2005,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241125473331323419491224610164182',20378,'291',33.48,1,2,1),(25,6409040,'1989-09-11 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217153412268863575112221164195',8031,'270',54.79,1,3,NULL),(25,6409067,'1992-03-05 00:00:00',4,1,6,2010,'M','N','BOM VIVER','BIGUAÇU','SC','124243247326121431446812325122611227042',NULL,'9999',24.48,1,3,NULL),(25,6409075,'1973-06-01 00:00:00',4,1,8,2010,'M','N','ARMAÇAO PANTANO DO S','FLORIANÓPOLIS','SC','524241241125271431321143333324610117043',NULL,'291',13.28,4,2,1),(25,6409083,'1981-06-05 00:00:00',2,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201112131731432254182125142721183',NULL,'9997',0.00,1,3,NULL),(25,6409105,'1993-12-30 00:00:00',2,10,11,2010,'F','N','SANTA APOLÔNIA','SANGÃO','SC','124241241215111411458632575122610134142',5519,'806',57.16,1,3,NULL),(25,6409113,'1968-06-19 00:00:00',4,1,12,1985,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224242241217132431548741311134120266182',NULL,'9997',0.00,1,3,NULL),(25,6409130,'1985-01-30 00:00:00',4,1,12,1999,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241117154751546433437124223268187',9603,'307',52.03,1,2,1),(25,6409148,'1992-10-24 00:00:00',4,17,11,2010,'F','N','CENTRO','CANOINHAS','SC','124242241214111431247622575122610137052',14273,'154',40.24,1,3,NULL),(25,6409156,'1992-04-30 00:00:00',4,1,11,2010,'M','N','ALTO ALEGRE','CASCAVEL','PR','116162161227121531438719395132610127062',NULL,'9998',0.00,1,3,NULL),(25,6409164,'1992-11-26 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241415151411458313575124610164096',8515,'268',52.45,2,3,NULL),(25,6409172,'1994-12-17 00:00:00',2,17,12,2011,'M','S','TRICOLIN','CANOINHAS','SC','124242241215111532456812275122610118052',NULL,'154',0.00,1,3,NULL),(25,6409180,'1982-08-24 00:00:00',2,2,11,2000,'M','N','VILA NOVA','BLUMENAU','SC','124251256116141421124644445234231467047',21746,'9998',24.15,1,2,1),(25,6409199,'1985-03-27 00:00:00',4,1,12,2005,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124243241117132421546619346113610164047',NULL,'307',20.36,2,1,2),(25,6409202,'1987-11-18 00:00:00',4,1,6,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124281281116161441524624595224143263092',NULL,'9998',0.00,1,3,NULL),(25,6409210,'1989-02-19 00:00:00',4,1,6,2007,'M','N','BARREIROS','S JOSÉ','SC','124242281211372431569914475124231414177',6781,'9998',57.15,1,3,NULL),(25,6409229,'1984-11-17 00:00:00',4,1,12,2002,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241116373431347623385123330244147',7794,'306',55.22,1,3,NULL),(25,6409237,'1984-06-14 00:00:00',2,1,11,2005,'M','N','NSA SRA DO ROSARIO','S JOSÉ','SC','124241247127141431433463295114610127017',20422,'1117',33.38,2,1,1),(25,6409253,'1994-06-26 00:00:00',4,1,12,2011,'M','S','PROGRESSO','LAGUNA','SC','124242248227151431348719572122610164052',NULL,'524',38.09,1,3,NULL),(25,6409261,'1984-01-29 00:00:00',2,1,12,2001,'M','N','CARIANOS','FLORIANÓPOLIS','SC','624241241112544731446643432112121417047',8469,'307',50.41,4,2,1),(25,6409270,'1979-10-20 00:00:00',2,1,12,1999,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124254257411471431266621412122231247017',NULL,'9998',12.42,1,3,NULL),(25,6409288,'1990-06-29 00:00:00',4,1,11,2009,'F','N','JARDIM PRUDENCIA','S PAULO','SP','125252251211461431368811573124610124144',NULL,'9998',20.40,1,3,NULL),(25,6409296,'1991-02-08 00:00:00',4,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241211151451349512245124230232122',16681,'185',41.11,1,3,NULL),(25,6409300,'1987-10-03 00:00:00',4,1,12,2006,'F','N','VILA GRANADA','S PAULO','SP','125251251216573731443614575114140614157',4512,'9998',58.99,4,3,NULL),(25,6409318,'1993-06-17 00:00:00',4,3,11,2010,'M','N','AREIAS','CAMBORIÚ','SC','124242248217141431568613175125610132077',NULL,'1091',22.16,1,3,NULL),(25,6409334,'1963-06-09 00:00:00',2,1,12,1982,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224241245222132711443353371121322216092',NULL,'809',0.00,1,3,NULL),(25,6409342,'1992-09-26 00:00:00',4,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242247417143411358832345124610146191',14242,'9999',41.12,1,3,NULL),(25,6409350,'1992-07-08 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431469921575114121447042',379,'270',78.64,1,3,NULL),(25,6409369,'1994-02-01 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241115151411469933435124610134182',12095,'267',48.00,1,3,NULL),(25,6409377,'1991-05-12 00:00:00',4,1,11,2009,'M','N','MERCÊS','CURITIBA','PR','116163161116131431338731575125610162042',NULL,'9998',0.00,1,3,NULL),(25,6409385,'1994-02-12 00:00:00',4,5,11,2011,'F','S','CENTRO','CRICIÚMA','SC','124242241215171431458834595125610132142',NULL,'226',38.15,1,3,NULL),(25,6409393,'1977-07-14 00:00:00',2,15,11,2002,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','224241247116141421333344242321610165187',NULL,'9997',0.00,1,3,NULL),(25,6409407,'1988-04-02 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124243241342573111236312396112610114147',9889,'734',49.01,1,3,NULL),(25,6409415,'1994-01-01 00:00:00',2,1,10,2010,'F','N','CENTRO','PALMAS','PR','116162161215471531658811575122610131146',NULL,'9998',0.00,1,3,NULL),(25,6409423,'1993-08-05 00:00:00',2,5,12,2010,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111431448613595112610147072',16462,'210',37.01,1,3,NULL),(25,6409431,'1992-05-30 00:00:00',2,1,12,2009,'F','N','SANTA BARBARA','APIAÍ','SP','125251258117131731326335241335610138057',NULL,'9998',0.00,4,2,1),(25,6409440,'1994-11-05 00:00:00',4,1,11,2011,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124243241215111221587612395112620144067',NULL,'270',42.29,1,3,NULL),(25,6409458,'1987-08-17 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124124121216131411149933335122340265051',NULL,'9998',0.00,2,1,2),(25,6409466,'1989-03-18 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','125252251217133451668732495124141264042',NULL,'9998',22.86,1,3,NULL),(25,6409474,'1993-04-17 00:00:00',4,17,12,2010,'F','N','SÃO CRITOVÃO','TRÊS BARRAS','SC','124241241115271531323339576124610157187',NULL,'153',20.00,1,2,1),(25,6409482,'1992-01-02 00:00:00',2,1,12,2009,'M','N','JRD CD DE FPOLIS','S JOSÉ','SC','124242241217143431466813345132232067047',16446,'1022',41.48,1,3,NULL),(25,6409504,'1992-05-24 00:00:00',4,1,12,2009,'M','N','GUARANI','NOVO HAMBURGO','RS','120204201237151522535671576112143241187',18480,'9998',37.95,1,3,NULL),(25,6409512,'1974-01-10 00:00:00',1,1,12,1991,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124201201116172721132243335122422226097',17105,'9998',40.45,1,2,1),(25,6409520,'1994-11-20 00:00:00',4,4,12,2011,'M','S','CENTRO','S MIGUEL OESTE','SC','124241211216151411633619495122610127142',NULL,'9998',42.26,1,3,NULL),(25,6409539,'1993-10-15 00:00:00',4,6,12,2010,'M','N','JARDIM CARAMURU','DOURADOS','MS','112124121217211431647936575122610166047',5292,'9998',56.50,1,3,NULL),(25,6409547,'1990-03-17 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124242241215112431338613295122233267112',4515,'1022',61.95,1,3,NULL),(25,6409555,'1983-12-31 00:00:00',2,1,12,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201241311131711656613185124231024047',NULL,'9999',0.00,4,3,NULL),(25,6409563,'1993-07-17 00:00:00',4,1,12,2010,'F','N','CENTRO','PASSO FUNDO','RS','120201201215371431338832572122610137147',4314,'9998',59.91,1,3,NULL),(25,6409571,'1994-03-28 00:00:00',4,4,11,2011,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111731159933375122610127092',NULL,'270',46.30,4,3,NULL),(25,6409580,'1993-09-13 00:00:00',2,1,12,2010,'M','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124244241115151431436616255124610167062',17644,'307',34.31,1,3,NULL),(25,6409598,'1989-03-23 00:00:00',4,1,12,2006,'M','N','KOBRASOL','S JOSÉ','SC','124242248215133431327839445114610164047',NULL,'1022',37.97,1,3,NULL),(25,6409601,'1993-10-03 00:00:00',2,1,11,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241115161431536634342224610126142',15508,'65',38.72,1,2,1),(25,6409628,'1990-08-31 00:00:00',4,3,12,2008,'M','N','RIO BRANCO','PTO ALEGRE','RS','120202201215571431348811111124610137027',11508,'9998',44.36,4,3,NULL),(25,6409636,'1984-09-09 00:00:00',2,1,12,2002,'F','N','ARMACAO DO PANTANO D','FLORIANÓPOLIS','SC','124241241127132431427544245334610113187',NULL,'307',32.88,2,1,1),(25,6409644,'1990-03-28 00:00:00',4,8,11,2006,'M','N','ÁGUA VERDE','CURITIBA','PR','116112161216573441478831595124610134042',1455,'9998',68.64,4,3,NULL),(25,6409652,'1992-05-19 00:00:00',4,1,11,2010,'M','N','BATEL','CURITIBA','PR','116112161217111511467716595314610137182',NULL,'9998',18.37,1,3,NULL),(25,6409679,'1993-11-24 00:00:00',4,3,11,2010,'M','N','JARDIM CIRANDA','BEBEDOURO','SP','125252251215111431338834575122610162172',7788,'9998',51.14,1,3,NULL),(25,6409687,'1992-04-28 00:00:00',4,1,12,2009,'F','N','JARDIM ITAIPÚ','PRES PRUDENTE','SP','125252251316371731246821472112610134197',NULL,'9998',30.66,1,3,NULL),(25,6409695,'1993-11-06 00:00:00',4,4,12,2010,'M','N','CENTRO','S LOURENÇO OESTE','SC','124241241117471431537679295125610144017',15510,'745',37.70,1,2,1),(25,6409709,'1992-05-28 00:00:00',4,1,6,2010,'M','N','ITARARE','STA MARIA','RS','120201207317371431326711572114610166042',18644,'9998',33.92,1,3,NULL),(25,6409717,'1989-11-13 00:00:00',2,5,7,2008,'F','N','MINEIRA NOVA','CRICIÚMA','SC','124244248216571131336933475124610164144',14060,'995',39.79,1,3,NULL),(25,6409725,'1993-04-02 00:00:00',4,8,12,2010,'M','N','BUENOS AIRES','MAFRA','SC','124241161215111712668833575125610128022',8436,'9998',50.27,1,3,NULL),(25,6409733,'1993-10-18 00:00:00',4,1,12,2011,'M','S','CAMPINAS','S JOSÉ','SC','124242241217111331458933575122610167052',NULL,'737',50.20,1,3,NULL),(25,6409768,'1969-06-21 00:00:00',4,1,12,1988,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','324241248126133711224349391124130266147',NULL,'520',26.68,1,2,1),(25,6409776,'1987-12-29 00:00:00',2,1,11,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624201247611151411625851381122610126197',NULL,'9999',0.00,4,3,NULL),(25,6409792,'1989-03-01 00:00:00',4,1,12,2006,'M','N','ASA NORTE','BRASÍLIA','DF','107073071216572431468923571112610134047',7740,'9998',51.79,1,3,NULL),(25,6409806,'1993-07-30 00:00:00',2,1,12,2010,'M','N','ESTREITO','ALFREDO WAGNER','SC','124241241125131431429912585121610127052',21187,'13',30.13,1,2,1),(25,6409814,'1992-11-24 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431238831582122610162192',NULL,'262',19.27,1,3,NULL),(25,6409822,'1993-07-08 00:00:00',4,1,12,2010,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241125141731636631575122610114142',21039,'12',30.91,1,2,1),(25,6409830,'1992-11-27 00:00:00',4,1,12,2010,'M','N','VILA MARIANA','MOCOCA','SP','125251251116111451326623572311610137056',NULL,'9998',0.00,1,2,1),(25,6409857,'1993-07-28 00:00:00',2,1,11,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124242248215111431446632344112610111187',NULL,'989',0.00,1,3,NULL),(25,6409865,'1987-07-10 00:00:00',1,4,12,2005,'M','N','INTERIOR','S CARLOS','SC','124241241126131431325816252223343217067',NULL,'704',0.00,1,2,1),(25,6409873,'1978-02-15 00:00:00',4,1,12,1995,'F','N','JURERE TRADICIONAL','FLORIANÓPOLIS','SC','124204201116131721123841415232313137147',NULL,'9998',25.23,1,3,NULL),(25,6409881,'1993-07-20 00:00:00',4,3,12,2010,'F','N','SÃO LUIZ','BRUSQUE','SC','124242243215151711448832576122610161116',NULL,'1090',0.00,1,3,NULL),(25,6409890,'1993-08-30 00:00:00',4,4,12,2010,'M','N','CENTRO','ITAPIRANGA','SC','124241241117161431359923575121610146172',8566,'412',50.69,1,2,1),(25,6409903,'1990-10-16 00:00:00',4,1,12,2008,'M','N','ALCIDES MODENEZ','IRACEMÁPOLIS','SP','125251251117141712436619395124610124047',NULL,'9998',0.00,1,2,1),(25,6409911,'1990-12-29 00:00:00',2,1,11,2008,'F','N','SERRARIA','S JOSÉ','SC','124243248326151231533319295134610138182',NULL,'976',0.00,2,3,NULL),(25,6409920,'1993-01-30 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241235271431469832585114610137145',4557,'272',59.23,1,3,NULL),(25,6409946,'1986-04-23 00:00:00',2,1,12,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241242136141411524335435122231427041',17483,'8',39.78,1,2,1),(25,6409954,'1995-08-09 00:00:00',4,1,12,2012,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241217151711489912572124610164145',NULL,'262',37.17,1,3,NULL),(25,6409962,'1992-09-25 00:00:00',4,8,12,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215271431318612571122610164072',NULL,'457',38.04,1,3,NULL),(25,6410014,'1986-04-18 00:00:00',2,8,12,2000,'F','N','CENTRO','IGUAPE','SP','125251251116131411657813485122343234072',NULL,'9998',0.00,1,2,1),(25,6410022,'1994-08-16 00:00:00',3,1,12,2011,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431489931576124610167132',NULL,'270',35.34,1,3,NULL),(25,6410030,'1993-05-30 00:00:00',4,5,11,2010,'F','N','PRESIDENTE VARGAS','IÇARA','SC','124241248145131431214328342124610128017',NULL,'1202',0.00,1,2,1),(25,6410049,'1988-09-26 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248212113731448831445123230862147',NULL,'262',0.00,1,3,NULL),(25,6410057,'1994-04-15 00:00:00',2,4,12,2011,'F','S','SÃO CRISTÓVÃO','CHAPECÓ','SC','124242241215111731468933575122610123182',NULL,'185',29.57,1,3,NULL),(25,6410065,'1987-10-16 00:00:00',4,1,12,2004,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216122411348823392122230234117',NULL,'1022',13.58,1,3,NULL),(25,6410073,'1992-05-14 00:00:00',2,8,12,2009,'M','N','IRIRIÚ','JOINVILLE','SC','124241243212371731436414342134610167146',11260,'1105',49.29,1,3,NULL),(25,6410081,'1992-06-14 00:00:00',2,15,12,2009,'M','N','CENTRO','PR GRANDE','SC','124241241126132431339767572121231237052',NULL,'641',29.15,1,2,1),(25,6410090,'1993-02-13 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241217113711677511572124221417115',13188,'1022',46.36,1,3,NULL),(25,6410120,'1991-08-10 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241127472431526444245114610117047',NULL,'290',36.82,1,2,1),(25,6410138,'1981-11-06 00:00:00',4,1,12,2001,'M','N','KOBRASOL','S JOSÉ','SC','124241241117232731231823143112610114112',NULL,'293',32.22,2,1,1),(25,6410146,'1993-04-06 00:00:00',4,10,12,2010,'F','N','JARDIM BRASÍLIA','S PAULO','SP','125252251217151731349833575124610124177',NULL,'9998',0.00,1,3,NULL),(25,6410154,'1993-08-09 00:00:00',4,17,12,2010,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116242241116151411665712175121610127062',NULL,'633',0.00,1,3,NULL),(25,6410162,'1986-06-13 00:00:00',4,1,7,2005,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124243247331131731526629491324230227047',NULL,'9999',19.17,2,1,2),(25,6410170,'1992-05-06 00:00:00',2,8,12,2009,'F','N','SÃO MARCOS','JOINVILLE','SC','124241241216473431458711372122233217072',NULL,'1016',28.72,1,3,NULL),(25,6410189,'1991-06-25 00:00:00',4,1,11,2008,'M','N','CENTRO','PIRACICABA','SP','125252251217511731357821572121610166172',NULL,'9998',0.00,1,3,NULL),(25,6410197,'1993-01-18 00:00:00',4,1,12,2010,'F','N','CENTRO','S PEDRO ALCÂNTARA','SC','124241241117151731428614572124610143017',16923,'739',36.19,1,2,1),(25,6410200,'1994-08-10 00:00:00',4,2,11,2011,'F','S','CENTRO','BLUMENAU','SC','124242241215111731269923572122610132092',NULL,'855',0.00,1,3,NULL),(25,6410219,'1993-07-20 00:00:00',2,15,12,2010,'M','N','RUA NOVA','BAL GAIVOTA','SC','124241241117131432423336572324610137067',NULL,'1162',17.16,1,3,NULL),(25,6410227,'1991-08-21 00:00:00',2,1,12,2008,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241136132421646513345234610164057',18631,'281',37.70,1,2,1),(25,6410235,'1977-09-20 00:00:00',2,1,12,2010,'M','N','RATONES','FLORIANÓPOLIS','SC','224241247127141431433344141242610127047',NULL,'9997',19.87,2,1,1),(25,6410260,'1989-08-18 00:00:00',2,8,11,2006,'F','N','BOQUEIRÃO','CURITIBA','PR','116161161116372411453511175124242616057',2498,'9998',65.44,1,2,1),(25,6410278,'1994-02-17 00:00:00',4,1,12,2010,'M','N','VILA SANTANA','STO AMARO IMPERATRIZ','SC','124241241145131431326429252124610117047',NULL,'773',15.24,1,2,1),(25,6410286,'1983-04-25 00:00:00',4,1,12,2000,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124251251216153131128923115122121464061',3018,'9998',65.88,1,3,NULL),(25,6410294,'1993-11-11 00:00:00',2,1,12,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124242241215111331524832575114610168192',20549,'723',32.95,1,3,NULL),(25,6410316,'1993-06-19 00:00:00',4,1,11,2010,'M','N','DIONÍSIO TORRES','FORTALEZA','CE','106063061116111441458813575122610127122',NULL,'9998',0.00,1,3,NULL),(25,6410324,'1968-11-13 00:00:00',2,1,12,1988,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224061061116131431333154485112610116197',NULL,'9998',0.00,1,2,1),(25,6410332,'1980-10-22 00:00:00',4,1,12,2000,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124203201336141721123849496234340622042',NULL,'9998',0.00,1,3,NULL),(25,6410340,'1994-03-26 00:00:00',4,6,12,2010,'F','N','CENTRO','IRATI','PR','116162161215111531488811572122610162062',NULL,'9998',0.00,1,3,NULL),(25,6410359,'1990-03-15 00:00:00',4,1,12,2007,'M','N','JARDIM MORUMBI','ITUVERAVA','SP','125252251215571431268611571122610134042',NULL,'9998',0.00,1,3,NULL),(25,6410367,'1992-04-15 00:00:00',2,1,12,2009,'F','N','VILA TARUMÃ','PINHAIS','PR','116163161315472431337724575114610162091',NULL,'9998',0.00,1,3,NULL),(25,6410375,'1991-06-23 00:00:00',2,1,12,2008,'F','N','CENTRO','STA MARIA','RS','120202201217471531658811571112143222142',3702,'9998',61.65,1,3,NULL),(25,6410383,'1990-10-07 00:00:00',2,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241125141712436519195123610137042',NULL,'282',0.00,1,2,1),(25,6410391,'1994-04-09 00:00:00',4,4,12,2010,'F','N','SÃO CRISTOVÃO','CHAPECÓ','SC','124242241215111731437712425122610164152',19679,'1191',30.26,1,3,NULL),(25,6410405,'1994-03-06 00:00:00',4,8,12,2010,'M','N','COLINA VERDE','RONDONÓPOLIS','MT','111112111216111432339814575124610137047',NULL,'9998',0.00,1,3,NULL),(25,6410421,'1965-01-15 00:00:00',2,1,11,1993,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','624201208336131731577322291114610161183',NULL,'9998',0.00,1,3,NULL),(25,6410430,'1990-03-17 00:00:00',2,1,12,2007,'M','N','CENTRO','PELOTAS','RS','120201201111371141436823571125143113092',NULL,'9998',0.00,1,2,1),(25,6410456,'1991-10-29 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241111133421634634382114610132147',19349,'288',36.17,1,2,1),(25,6410464,'1987-08-24 00:00:00',2,15,12,2004,'F','N','CIDADE ALTA','ARARANGUÁ','SC','224244244411272421333954332342610144077',21309,'30',29.41,1,3,NULL),(25,6410472,'1993-03-20 00:00:00',2,1,12,2010,'F','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124241241146141431421833242234610117067',NULL,'329',32.74,1,2,1),(25,6410480,'1993-03-12 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242248216111431318622325124610127051',21479,'1076',28.14,1,3,NULL),(25,6410499,'1993-01-01 00:00:00',4,15,12,2009,'F','N','LAGOA DA SERRA','ARARANGUÁ','SC','124201201116141731326661395324610126192',NULL,'9998',25.39,1,3,NULL),(25,6410502,'1994-03-12 00:00:00',4,1,12,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241112271431438669372324610137052',19242,'295',29.99,1,2,1),(25,6410510,'1986-03-26 00:00:00',2,1,7,2006,'M','N','PRAIA MOLE','FLORIANÓPOLIS','SC','124201201126131421113814345324141467042',NULL,'9998',28.65,1,2,1),(25,6410529,'1992-10-14 00:00:00',2,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241214473431228832272122610142162',14835,'1038',37.85,1,3,NULL),(25,6410537,'1993-09-20 00:00:00',2,10,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124241241146161411526613485124610167052',NULL,'522',21.47,1,2,1),(25,6410545,'1994-04-09 00:00:00',4,1,12,2010,'F','N','CENTRO','AURORA','SC','124241241117161331546933572122610137142',NULL,'40',0.00,1,2,1),(25,6410553,'1993-08-06 00:00:00',4,15,12,2010,'F','N','SÃO LUIZ','SOMBRIO','SC','124241241115271431643663392124610137017',NULL,'1033',23.44,1,2,1),(25,6410570,'1990-10-13 00:00:00',2,15,11,2006,'M','N','SÃO CRISTÓVÃO','STA ROSA SUL','SC','124161241117132431445512385122231024112',NULL,'689',0.00,1,2,1),(25,6410588,'1991-01-30 00:00:00',2,9,12,2008,'M','N','CENTRO','URUBICI','SC','124244241216372711446833575122231436092',14866,'817',43.89,4,3,NULL),(25,6410596,'1993-02-19 00:00:00',2,1,12,2010,'F','N','RIO SALTO','ÁGUAS MORNAS','SC','124241241117161711523823591225610117057',NULL,'978',23.05,1,2,1),(25,6410600,'1991-08-17 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217113431378921475114221067112',NULL,'270',0.00,4,3,NULL),(25,6410618,'1992-10-04 00:00:00',2,5,11,2010,'M','N','PINHEIRINHO','CRICIÚMA','SC','124244241211151251436619592114610164162',NULL,'213',0.00,1,3,NULL),(25,6410642,'1993-01-07 00:00:00',4,8,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215111431456512575122610126192',NULL,'441',0.00,1,3,NULL),(25,6410650,'1992-06-30 00:00:00',2,1,12,2010,'M','N','MORRO AGUDO','PAULO LOPES','SC','124241248627161731523335372223610167047',16498,'262',37.73,1,3,NULL),(25,6410669,'1992-11-04 00:00:00',4,8,11,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124241241432141722458614345112610167012',NULL,'464',0.00,1,3,NULL),(25,6410677,'1991-11-02 00:00:00',4,1,12,2009,'F','N','LIBERDADE','S PAULO','SP','125252251216471431338824375124610141037',NULL,'9998',0.00,3,3,NULL),(25,6410693,'1992-11-06 00:00:00',2,5,11,2009,'F','N','PINHEIRINHO','CRICIÚMA','SC','124242241215471431566612575124610164122',NULL,'226',0.00,1,3,NULL),(25,6410707,'1991-12-17 00:00:00',4,16,12,2008,'M','N','ÁGUA SANTA','CURITIBANOS','SC','124241241115151722531219345225610137047',17770,'240',39.29,1,3,NULL),(25,6410715,'1993-04-15 00:00:00',2,4,12,2010,'F','N','CENTRO','CONCÓRDIA','SC','124241241217151431448611575124610132197',13441,'1001',42.79,1,3,NULL),(25,6410731,'1991-01-07 00:00:00',4,1,12,2008,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124242241215153722417823445124610117187',10805,'270',49.40,3,3,NULL),(25,6410766,'1993-06-01 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241115371711434631585124610133147',NULL,'307',19.32,1,2,1),(25,6410774,'1993-12-29 00:00:00',4,6,12,2010,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124283241217111431215629585121610133187',13742,'44',42.33,1,3,NULL),(25,6410782,'1992-12-16 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241111131421634634242124610137047',19600,'288',35.57,1,2,1),(25,6410790,'1995-03-14 00:00:00',4,1,12,2012,'M','S','CENTRO','XANXERÊ','SC','124242241217151431469932575122610117142',NULL,'1081',0.00,1,3,NULL),(25,6410804,'1991-03-01 00:00:00',2,9,12,2008,'F','N','JARDIM ESPLANADA II','S JOSÉ CAMPOS','SP','125252251217423431538814595122231462091',13894,'9998',40.02,1,3,NULL),(25,6410812,'1993-05-28 00:00:00',4,2,10,2010,'M','N','PONTA AGURA','BLUMENAU','SC','124242241215111431478813595125610164182',18738,'855',32.46,1,3,NULL),(25,6410820,'1993-02-15 00:00:00',4,2,11,2010,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241116151431563319575114610162052',NULL,'88',17.11,1,2,1),(25,6410839,'1989-12-29 00:00:00',2,1,12,2008,'F','N','CENTRO','ENCANTADO','RS','120203201117272441448811141224141013142',8052,'9998',50.17,1,3,NULL),(25,6410847,'1992-12-10 00:00:00',2,1,12,2010,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124241241113141431423314345124610126147',NULL,'298',21.11,1,2,1),(25,6410855,'1991-11-10 00:00:00',4,1,11,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116142431226674145124610123142',21666,'307',25.80,1,2,1),(25,6410863,'1992-03-10 00:00:00',4,1,12,2009,'M','N','CENTRO HISTÓRICO','S JOSÉ','SC','124242241217152431547612441124123214067',11313,'723',44.49,4,3,NULL),(25,6410880,'1986-06-26 00:00:00',2,1,12,2003,'F','N','SAO SEBASTIAO','PALHOÇA','SC','124241241127231431223374282313610125042',14234,'736',44.81,1,2,1),(25,6410898,'1992-08-15 00:00:00',2,1,12,2010,'M','N','JARDIM CALIFORNIA','FORMOSA','GO','109092091217571532559939575122610164055',NULL,'9998',0.00,1,3,NULL),(25,6410910,'1990-08-05 00:00:00',4,1,11,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242248211271111416622341111623212113',NULL,'9999',18.86,1,3,NULL),(25,6410928,'1992-02-11 00:00:00',2,1,12,2009,'M','N','BOM RETIRO','CURITIBA','PR','116162161126471732579814393121610167182',3943,'9998',61.96,1,3,NULL),(25,6410936,'1993-11-05 00:00:00',4,15,12,2010,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241116171321535531242112610164054',NULL,'30',16.84,3,2,1),(25,6410944,'1957-08-23 00:00:00',4,1,12,1977,'M','N','JD LIBERDADE II','MARINGÁ','PR','116161161124133121124441312124141712177',NULL,'9998',0.00,1,3,NULL),(25,6410952,'1992-07-26 00:00:00',4,1,12,2010,'M','N','VILA TESOURO','S JOSÉ CAMPOS','SP','125251251237111432358814571124610167047',NULL,'9998',33.17,1,3,NULL),(25,6410960,'1993-05-06 00:00:00',2,1,12,2010,'M','N','CENTRO','IMBITUBA','SC','124244241216111731448819575111610134167',13871,'362',41.27,1,3,NULL),(25,6410979,'1987-04-24 00:00:00',4,1,12,2004,'M','N','GUARAPIRANGA','S PAULO','SP','125251251116471411536619443124610124042',NULL,'9998',23.05,4,2,1),(25,6411002,'1990-03-22 00:00:00',4,1,12,2007,'M','N','CENTRO','FOZ IGUAÇU','PR','116162161215572731349711595122141027042',NULL,'9998',0.00,1,3,NULL),(25,6411010,'1993-04-13 00:00:00',4,4,12,2010,'F','N','CENTRO','CONCÓRDIA','SC','124243241211111431328823591122610126012',12884,'1000',41.50,1,3,NULL),(25,6411029,'1961-03-31 00:00:00',5,1,11,1978,'F','N','ESTREITO','FLORIANÓPOLIS','SC','524244241137152531476642326122432842097',NULL,'307',0.00,1,3,NULL),(25,6411037,'1990-08-29 00:00:00',2,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241437153431465923575125220932072',11253,'322',49.30,1,3,NULL),(25,6411045,'1991-09-14 00:00:00',4,1,12,2008,'F','N','SANTO ANTÃO','BENTO GONÇALVES','RS','120201201147572431423329395124141743147',7623,'9998',52.71,1,2,1),(25,6411053,'1989-03-12 00:00:00',4,4,12,2008,'F','N','LIBERDADE','CONCÓRDIA','SC','124241248131132731323519375115610137147',NULL,'192',13.87,4,3,NULL),(25,6411061,'1993-05-07 00:00:00',2,17,12,2010,'M','N','JARDIM AMÉRICA','MAFRA','SC','124241241116131411435511242124610137052',17217,'543',36.19,1,2,1),(25,6411070,'1979-11-15 00:00:00',4,1,12,1998,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241146372411223644145134130238117',NULL,'856',0.00,1,3,NULL),(25,6411088,'1990-01-28 00:00:00',2,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241131152231424324372244233267057',16931,'307',40.73,2,1,1),(25,6411096,'1993-01-06 00:00:00',2,1,12,2010,'M','N','ALTO DA GLORIA','IRATI','PR','116162161215211531356612441133610127052',NULL,'9999',17.86,1,3,NULL),(25,6411118,'1989-02-14 00:00:00',5,4,12,2006,'F','N','INTERIOR','PALMITOS','SC','124241241116161531533332375122133214057',NULL,'601',11.63,1,3,NULL),(25,6411126,'1982-03-16 00:00:00',2,1,12,1980,'F','N','FORQUILHINHAS','S JOSÉ','SC','524241241111113111633633242123122718197',NULL,'293',29.19,1,3,NULL),(25,6411134,'1993-05-26 00:00:00',4,1,11,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111231458413435122610123022',5766,'262',59.22,1,3,NULL),(25,6411142,'1992-10-22 00:00:00',2,2,12,2009,'F','N','CENTRO','ITUPORANGA','SC','124242241216131431358913575125230455197',NULL,'1173',0.00,1,3,NULL),(25,6411150,'1993-08-07 00:00:00',2,9,12,2010,'F','N','GILBERTO GROCHOVISKI','STA CECÍLIA','SC','124241241135331731313623232124610125077',NULL,'686',26.48,3,3,NULL),(25,6411169,'1986-01-14 00:00:00',4,1,6,2005,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243247417151111569613485122233268041',18698,'9999',37.56,1,3,NULL),(25,6411193,'1994-01-24 00:00:00',4,4,12,2010,'M','N','MARIA TEREZINHA','PINHALZINHO','SC','124241241117131211438614345124610132147',15892,'616',36.25,1,2,1),(25,6411207,'1994-09-03 00:00:00',2,5,11,2010,'M','N','PIO CORREIA','CRICIÚMA','SC','124242241215111431478912272122610127122',NULL,'211',30.38,1,3,NULL),(25,6411215,'1992-10-31 00:00:00',4,1,7,2010,'M','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241117271711446614345123610134146',14085,'739',45.03,1,2,1),(25,6411223,'1994-01-20 00:00:00',4,4,12,2010,'F','N','SÃO LUIZ','S MIGUEL OESTE','SC','124244241215151431456612575122610162142',11863,'752',48.39,1,3,NULL),(25,6411240,'1993-11-19 00:00:00',4,1,12,2010,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215111432444412275122610135012',NULL,'1134',21.24,1,3,NULL),(25,6411258,'1992-08-20 00:00:00',4,1,12,2010,'F','N','CENTRO','BIGUAÇU','SC','124241247331131411246644246134610124147',NULL,'9999',28.46,1,3,NULL),(25,6411266,'1990-09-03 00:00:00',2,8,12,2007,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116162161215471431488612573112133127182',NULL,'9998',0.00,1,3,NULL),(25,6411282,'1989-03-21 00:00:00',4,1,12,2007,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241137233411453923345114610127152',15984,'288',42.17,1,2,1),(25,6411290,'1987-10-23 00:00:00',4,1,12,2009,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124243247212141351249832445124610134042',NULL,'9999',18.92,1,3,NULL);
INSERT INTO candidato VALUES (25,6411304,'1990-11-08 00:00:00',4,1,12,2007,'F','N','IPANEMA','PTO ALEGRE','RS','120204201314371642621166117221610158136',NULL,'9998',0.00,1,3,NULL),(25,6411312,'1982-03-18 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','217241241416153451267353245122321942147',10473,'300',50.52,1,3,NULL),(25,6411320,'1986-03-21 00:00:00',2,1,12,2004,'M','N','SAO SEBASTIAO','PALHOÇA','SC','624241241127231431226674242313610144047',NULL,'591',20.46,1,2,1),(25,6411339,'1991-02-13 00:00:00',2,7,12,2008,'M','N','CENTRO','JOAÇABA','SC','124141141111571751527616591324610128047',NULL,'9998',0.00,1,2,1),(25,6411355,'1994-03-16 00:00:00',4,8,12,2010,'M','N','BAEPENDI','JARAGUÁ SUL','SC','124242241215161431379931575112610117047',8252,'424',49.61,1,3,NULL),(25,6411363,'1993-01-26 00:00:00',4,8,12,2010,'M','N','GLÓRIA','JOINVILLE','SC','124242241216111431489814575122610167042',9294,'1063',52.52,1,3,NULL),(25,6411371,'1985-01-26 00:00:00',2,1,12,1998,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201207611433411438624475122610127047',NULL,'9999',39.89,1,3,NULL),(25,6411380,'1978-07-23 00:00:00',2,8,12,2001,'M','N','BOM RETIRO','JOINVILLE','SC','224241247426171421346344345122231424041',NULL,'9999',0.00,1,3,NULL),(25,6411398,'1993-07-06 00:00:00',4,1,12,2010,'F','N','AGUA VERDE','CURITIBA','PR','116242161237121451588914575124610161182',9137,'9998',49.78,1,3,NULL),(25,6411401,'1993-05-24 00:00:00',2,1,12,2010,'M','N','JARDIM CLODOALDO','CACOAL','RO','122132251217111431456931275115610132092',20454,'9998',33.31,1,3,NULL),(25,6411428,'1986-03-08 00:00:00',4,3,12,2003,'F','N','CENTRO','LONDRINA','PR','116162161215471421558832414122343222182',12001,'9998',48.14,3,3,NULL),(25,6411444,'1993-07-07 00:00:00',2,1,12,2010,'M','N','VIGOLO','NOVA TRENTO','SC','124241241135131731436412275111610167052',NULL,'574',18.61,1,2,1),(25,6411452,'1968-11-15 00:00:00',2,1,7,2010,'F','N','FORQUILHAS','S JOSÉ','SC','524241247234141431423344241224610161142',20674,'9999',32.49,1,3,NULL),(25,6411460,'1986-01-11 00:00:00',4,1,12,2003,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241216145431269933345124221167167',9932,'270',51.46,1,3,NULL),(25,6411479,'1976-08-12 00:00:00',2,1,12,1997,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241247122271411217349193224612821182',NULL,'9997',21.38,2,1,1),(25,6411487,'1968-03-30 00:00:00',4,1,12,1984,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','224243241136152711458854472112321466187',12961,'307',46.65,1,3,NULL),(25,6411495,'1991-07-19 00:00:00',2,1,12,2009,'M','N','NOVA HIPICA','PTO ALEGRE','RS','124202201217111431338811372124143231117',NULL,'9998',0.00,1,3,NULL),(25,6411509,'1991-02-22 00:00:00',4,1,12,2008,'M','N','JARDIM CRISTO REI','MARÍLIA','SP','125252251217471711467833474115141466172',20,'9998',87.69,1,3,NULL),(25,6411517,'1993-05-29 00:00:00',4,3,12,2010,'M','N','CENTRO','ASTORGA','PR','116162168215111431448835595122610117043',NULL,'9998',38.90,1,3,NULL),(25,6411525,'1993-07-22 00:00:00',4,1,12,2010,'F','N','ITARARÉ','S VICENTE','SP','125252251216111731428614571122610144046',6832,'9998',54.12,1,3,NULL),(25,6411533,'1978-03-14 00:00:00',4,1,12,1997,'M','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','224241247346153421243543235122133268195',12764,'9999',46.97,1,3,NULL),(25,6411550,'1972-11-14 00:00:00',2,1,6,2005,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','624201247136133721432243231122233267047',20896,'9999',31.53,1,2,1),(25,6411568,'1985-06-15 00:00:00',4,1,11,2005,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124201205416152431313316292124132824197',NULL,'9998',21.02,1,3,NULL),(25,6411576,'1991-07-30 00:00:00',2,10,12,2008,'F','N','MAR GROSSO','LAGUNA','SC','124241241215152431433512592125233211112',NULL,'525',0.00,1,3,NULL),(25,6411584,'1988-07-23 00:00:00',2,1,10,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117132731316664482124222227147',19599,'257',35.57,1,3,NULL),(25,6411592,'1983-09-04 00:00:00',4,5,12,2001,'M','N','NOVA ESPERANÇA','CRICIÚMA','SC','124241241126132331326621342214122364047',20420,'222',33.38,4,2,1),(25,6411614,'1992-07-30 00:00:00',4,1,12,2010,'M','N','CENTRO','GUARAPUAVA','PR','116162161217571431459934575125610167187',NULL,'9998',28.44,1,3,NULL),(25,6411622,'1988-05-05 00:00:00',2,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241416372431126644445324122347147',13991,'102',40.71,1,3,NULL),(25,6411630,'1993-08-03 00:00:00',3,8,12,2010,'M','N','BOA VISTA','JOINVILLE','SC','124242241215151441348634275112610162192',NULL,'456',0.00,1,3,NULL),(25,6411649,'1979-07-03 00:00:00',2,1,12,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124201208135471411523148182124610157043',NULL,'9998',0.00,1,2,1),(25,6411657,'1990-05-05 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215154411489933495125231067047',3887,'262',63.59,1,3,NULL),(25,6411665,'1994-02-23 00:00:00',4,4,11,2010,'M','N','MORRO DA CEGONHA','ERECHIM','RS','120202201216111441556832574122610146122',244,'9998',78.94,1,3,NULL),(25,6411681,'1991-01-25 00:00:00',2,1,6,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247416373431335631275124610163141',11176,'9999',46.39,1,3,NULL),(25,6411690,'1988-06-28 00:00:00',2,3,12,2005,'F','N','RUBEM BERTA','PTO ALEGRE','RS','120202201216231731336969435124140267111',NULL,'9998',0.00,1,3,NULL),(25,6411703,'1991-01-29 00:00:00',4,6,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124201201117472431348814595124232466197',4194,'9998',59.00,1,2,1),(25,6411711,'1977-11-18 00:00:00',4,1,12,1995,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242281212152711448833435133320247113',NULL,'9998',23.44,1,3,NULL),(25,6411720,'1990-06-25 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124241241116372431344623314114120827057',NULL,'257',33.27,2,1,1),(25,6411738,'1991-11-22 00:00:00',2,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241216372111436822425224230467142',7742,'807',55.34,1,3,NULL),(25,6411746,'1994-04-15 00:00:00',4,1,11,2011,'M','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111431469814172124610165185',NULL,'270',40.26,1,3,NULL),(25,6411754,'1994-05-20 00:00:00',4,7,12,2010,'M','N','CENTRO','CAMPOS NOVOS','SC','109244241215111732448933275122610134097',16291,'138',41.71,1,3,NULL),(25,6411762,'1981-10-27 00:00:00',4,1,12,1999,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216142441458833435134321232047',5107,'270',56.92,1,3,NULL),(25,6411770,'1993-07-28 00:00:00',2,1,11,2010,'M','N','GRAGERU','ARACAJU','SE','126262261217131431323723572124610162102',17298,'9998',40.10,2,3,NULL),(25,6411789,'1993-04-04 00:00:00',2,4,11,2010,'F','N','CENTRO','S LOURENÇO OESTE','SC','124242241216111721328426572124610168182',NULL,'9998',0.00,1,3,NULL),(25,6411800,'1991-01-01 00:00:00',4,10,12,2010,'M','N','JARDIM SAO PEDRO','S PAULO','SP','125252251217141431436811282125140234057',NULL,'9998',34.97,3,3,NULL),(25,6411819,'1987-09-05 00:00:00',2,15,12,2005,'F','N','COLONINHA','ARARANGUÁ','SC','124241248116131721326514245123610164187',NULL,'29',22.56,1,3,NULL),(25,6411827,'1992-10-14 00:00:00',4,1,11,2010,'M','N','ASTURIAS','GUARUJÁ','SP','125252251217111431458919575111610167052',3755,'9998',60.82,1,3,NULL),(25,6411835,'1989-11-27 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124203241415232431126844242134131637047',NULL,'110',27.39,1,3,NULL),(25,6411843,'1990-03-06 00:00:00',4,1,6,2010,'M','N','JARDIM ESPLANADA','S JOSÉ CAMPOS','SP','125212257345371431679711415122610166057',NULL,'9999',0.00,1,3,NULL),(25,6411851,'1990-03-16 00:00:00',1,1,12,2009,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241127362321523611385123610127113',NULL,'941',22.47,4,2,1),(25,6411860,'1992-04-01 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241216472421358614575124610127052',18187,'1011',38.49,1,3,NULL),(25,6411878,'1993-01-18 00:00:00',2,1,12,2010,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241136371431421319572124610128052',18867,'772',37.19,1,2,1),(25,6411894,'1993-12-23 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111451536823575114610148142',NULL,'270',33.00,1,3,NULL),(25,6411908,'1993-11-23 00:00:00',2,5,11,2010,'M','N','CONQUISTA','TUCURUÍ','PA','114241141317421331423515252324610124147',NULL,'9998',0.00,4,3,NULL),(25,6411916,'1989-04-12 00:00:00',4,1,12,2006,'M','N','IPIRANGA','S JOSÉ','SC','124253241217152421346661345124233267051',11112,'9997',49.50,1,3,NULL),(25,6411924,'1994-03-31 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431425514242132610137077',11489,'723',48.91,1,3,NULL),(25,6411932,'1993-08-09 00:00:00',2,15,12,2010,'M','N','ALTO FELIZ','ARARANGUÁ','SC','124241241112111321228713275122610127061',NULL,'29',36.79,4,3,NULL),(25,6411940,'1993-05-25 00:00:00',4,8,12,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215111721328824572121610167057',NULL,'441',15.69,1,3,NULL),(25,6411959,'1993-04-28 00:00:00',2,1,12,2010,'M','N','FUNDOS','BIGUAÇU','SC','124242241215112431437912175112610167042',12288,'738',43.47,1,3,NULL),(25,6411967,'1983-09-20 00:00:00',2,1,11,2007,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','224243247321132731524844145124122264047',NULL,'9999',0.00,2,1,2),(25,6411975,'1965-06-12 00:00:00',4,1,12,1984,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211153411578811335132522062195',NULL,'260',0.00,1,3,NULL),(25,6411983,'1984-11-10 00:00:00',2,1,12,2002,'F','N','BELA VISTA','S JOSÉ','SC','124241241117132411226544415123610167092',NULL,'9997',28.93,1,2,1),(25,6411991,'1993-02-08 00:00:00',2,10,12,2010,'F','N','CABEÇUDA','LAGUNA','SC','124241241137141331436633295124610126142',NULL,'523',21.70,1,2,1),(25,6412017,'1990-04-09 00:00:00',2,1,11,2007,'F','N','BELA VISTA I','S JOSÉ','SC','124243241211152411436814342122610166092',NULL,'738',0.00,1,3,NULL),(25,6412025,'1992-06-05 00:00:00',4,2,11,2009,'M','N','PONTA AGUDA','BLUMENAU','SC','124244241215131431227321315114610162187',19304,'855',36.27,1,3,NULL),(25,6412033,'1980-09-13 00:00:00',4,1,12,1998,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211133751359813485122321464092',NULL,'269',0.00,1,3,NULL),(25,6412041,'1989-07-25 00:00:00',4,8,12,2007,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215472431469814595122610147047',NULL,'442',0.00,1,3,NULL),(25,6412050,'1986-07-05 00:00:00',2,1,12,2004,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241241147131431225311442213610127057',NULL,'595',24.66,1,2,1),(25,6412068,'1989-08-18 00:00:00',4,1,12,2008,'M','N','IPANEMA','RIO JANEIRO','RJ','121212211236371431368933491124242467092',8300,'9998',50.25,1,3,NULL),(25,6412076,'1994-02-24 00:00:00',2,15,12,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124243244135371431431332575322610123057',NULL,'29',16.72,1,3,NULL),(25,6412084,'1993-04-23 00:00:00',4,1,12,2010,'F','N','CENTRO','S JOSÉ','SC','124241241115151731326634575122610134197',20438,'728',28.39,1,2,1),(25,6412092,'1994-01-03 00:00:00',4,15,12,2010,'F','N','MARROCOS','GRAVATAÍ','RS','120204201215471431669913575124610135073',14922,'9998',41.24,1,3,NULL),(25,6412106,'1990-09-29 00:00:00',4,1,11,2007,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241216274411467632445122220266192',1557,'270',71.07,1,3,NULL),(25,6412114,'1988-02-08 00:00:00',2,1,12,2006,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124201201316474431558813475124233222093',19103,'9998',30.57,1,3,NULL),(25,6412122,'1995-08-15 00:00:00',2,2,12,2012,'F','S','CENTRO','RIO SUL','SC','124242248217111431478711475122610141056',NULL,'991',0.00,1,3,NULL),(25,6412130,'1985-05-13 00:00:00',2,1,12,2003,'M','N','BALNEÁREO','FLORIANÓPOLIS','SC','124242241412214731459614442122122314097',18538,'257',37.87,1,3,NULL),(25,6412149,'1990-04-29 00:00:00',4,1,11,2008,'F','N','RATONES','FLORIANÓPOLIS','SC','124244241416575711227715415124233213144',NULL,'300',0.00,1,3,NULL),(25,6412157,'1984-05-16 00:00:00',2,1,12,2001,'F','N','BARRA ARIRIU','PALHOÇA','SC','224161161111131421241153141123610124017',NULL,'9998',26.73,1,2,1),(25,6412165,'1992-10-22 00:00:00',4,10,11,2009,'M','N','CENTRO','IMBITUBA','SC','124241241215272431448752295122610147062',15529,'362',38.11,1,3,NULL),(25,6412173,'1994-02-04 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217121622478833572112610124196',NULL,'951',42.17,1,3,NULL),(25,6412181,'1992-04-27 00:00:00',2,1,12,2009,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124164161417372751456612445124610167047',12445,'9998',45.54,4,3,NULL),(25,6412203,'1992-01-30 00:00:00',4,2,11,2009,'M','N','PIRITUBA','S PAULO','SP','125252251217471431437621575124610157047',8617,'9998',48.69,1,3,NULL),(25,6412211,'1974-10-02 00:00:00',2,1,11,1996,'M','N','CENTRO','BONITO','MS','112173257326371141113348385321610137112',18131,'9998',32.92,1,3,NULL),(25,6412238,'1983-12-01 00:00:00',4,1,12,2003,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124111111126131411121344342334610167043',NULL,'9998',24.65,2,1,1),(25,6412254,'1989-01-09 00:00:00',4,1,12,2006,'M','N','JARDIM ADALGISA','OSASCO','SP','125252251217142431466632425122141427052',NULL,'9998',0.00,1,3,NULL),(25,6412262,'1992-07-07 00:00:00',2,1,12,2010,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124243241111131431666733575122610137043',NULL,'306',18.34,1,3,NULL),(25,6412270,'1993-05-27 00:00:00',4,1,12,2010,'M','N','CAMPOS ELÍSEOS','TAUBATÉ','SP','125252256216111411349814375122610135122',NULL,'9998',0.00,1,3,NULL),(25,6412297,'1993-09-17 00:00:00',2,1,12,2010,'F','N','CENTRO','ANITÁPOLIS','SC','124241241145131431433823286125610141147',NULL,'19',0.00,1,2,1),(25,6412300,'1993-12-02 00:00:00',2,4,12,2010,'M','N','CENTRO','CHAPECÓ','SC','124241241136131731334324582125610154142',13446,'169',41.52,1,2,1),(25,6412319,'1986-09-16 00:00:00',2,1,12,2003,'M','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241116133431545614246214610124013',NULL,'307',0.00,1,2,1),(25,6412327,'1992-12-29 00:00:00',4,6,11,2009,'M','N','JARDIN SANTA MARIA','GUARUJÁ','SP','125252251215471231447831575121610167042',NULL,'9998',0.00,1,3,NULL),(25,6412335,'1990-06-06 00:00:00',2,1,12,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124201201117142411233341316122610137097',NULL,'9998',0.00,1,2,1),(25,6412343,'1992-03-05 00:00:00',4,1,12,2009,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241216152431337923496124610137052',19927,'1022',30.26,1,3,NULL),(25,6412360,'1975-02-24 00:00:00',2,1,12,1994,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241244122131112223441212224131333157',NULL,'263',23.67,2,1,1),(25,6412386,'1992-07-06 00:00:00',4,1,12,2009,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161236471231346622575212610132197',NULL,'9998',0.00,4,3,NULL),(25,6412394,'1988-02-10 00:00:00',2,1,1,2007,'M','N','NONOAI','PTO ALEGRE','RS','120202201416571731228811575122140267117',NULL,'9998',0.00,1,3,NULL),(25,6412408,'1981-11-14 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241127151431448329396112610112011',NULL,'307',0.00,1,3,NULL),(25,6412416,'1993-09-29 00:00:00',2,4,12,2010,'F','N','CENTRO','S MIGUEL OESTE','SC','124243241215151431368923572122610134192',NULL,'752',36.87,1,3,NULL),(25,6412424,'1979-01-24 00:00:00',2,8,3,1998,'M','N','AMÉRICA','JOINVILLE','SC','124244247416153431129744245131121364092',NULL,'9999',0.00,1,3,NULL),(25,6412432,'1990-01-27 00:00:00',4,4,12,2007,'M','N','CENTRO','CHAPECÓ','SC','124241248136151721535516311132231016172',NULL,'175',11.57,1,2,1),(25,6412440,'1990-12-25 00:00:00',4,1,12,2007,'F','N','VILA EUNICE','CACHOEIRINHA','RS','120202201216571711456811573124143232142',NULL,'9998',0.00,1,3,NULL),(25,6412459,'1993-04-15 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431458814375124610167117',NULL,'1022',0.00,1,3,NULL),(25,6412467,'1989-01-13 00:00:00',4,1,12,2006,'F','N','CENTRO','ITUPORANGA','SC','124241241116131431524373285114132833142',NULL,'777',22.96,1,3,NULL),(25,6412475,'1994-01-18 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431466833575122610154072',NULL,'738',34.61,1,3,NULL),(25,6412483,'1990-07-23 00:00:00',4,1,11,2008,'M','N','ESTREITO COLONINHA','FLORIANÓPOLIS','SC','124242248235111431434934472122130234047',NULL,'270',0.00,1,3,NULL),(25,6412491,'1992-03-12 00:00:00',4,2,12,2009,'M','N','ASILO','BLUMENAU','SC','124241248126131431567613315114131462052',NULL,'84',0.00,1,2,1),(25,6412505,'1988-08-26 00:00:00',2,1,8,2008,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241247216132431526631472124610127042',NULL,'9999',21.95,1,3,NULL),(25,6412513,'1993-10-10 00:00:00',2,15,12,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124244241215131431235923142111610147127',19144,'26',36.66,1,3,NULL),(25,6412521,'1993-12-24 00:00:00',4,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241115171311357833571122610142115',NULL,'267',38.84,3,2,1),(25,6412530,'1993-10-04 00:00:00',2,4,12,2010,'F','N','PERPETUO SOCORRO','S LOURENÇO OESTE','SC','124241241116361431323624575122610127142',NULL,'744',16.45,1,2,1),(25,6412556,'1993-02-27 00:00:00',4,9,12,2010,'F','N','CENTRO','ANITA GARIBALDI','SC','124241241145141431538812245132610116147',NULL,'18',0.00,1,3,NULL),(25,6412564,'1992-07-30 00:00:00',2,1,10,2009,'M','N','CENTRO','IGARAÇU TIETÊ','SP','125251251117371211556813575122610157052',NULL,'9998',0.00,1,2,1),(25,6412572,'1993-03-04 00:00:00',2,4,10,2010,'M','N','CERÂMICA','ERECHIM','RS','120202201215111431337634245212610167042',12970,'9998',46.63,1,3,NULL),(25,6412599,'1992-06-22 00:00:00',4,6,12,2010,'M','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124243241215271731426711311122610162177',NULL,'44',0.00,1,3,NULL),(25,6412602,'1988-12-10 00:00:00',2,4,12,2006,'M','N','PINHEIRINHO','PATO BRANCO','PR','114141161137131521439813116122143263187',NULL,'9998',16.11,1,2,1),(25,6412610,'1991-02-16 00:00:00',4,1,12,2008,'M','N','SÍTIO CERCADO','CURITIBA','PR','116162161225111421438614245122141417046',14459,'9998',44.51,1,3,NULL),(25,6412629,'1993-06-03 00:00:00',4,4,12,2010,'M','N','CENTRO','PATO BRANCO','PR','116162161217321431428619575122610124047',NULL,'9998',0.00,1,3,NULL),(25,6412637,'1991-02-09 00:00:00',2,1,11,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241247342172731236629342344610167052',21008,'922',31.05,1,3,NULL),(25,6412645,'1987-04-21 00:00:00',2,1,12,2004,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241126472711455612445122220966047',NULL,'307',0.00,1,2,1),(25,6412653,'1987-04-10 00:00:00',4,1,12,2004,'M','N','JARDIM ALVORADA','MOCOCA','SP','125251256116131431116614445122243212097',21226,'9998',29.90,4,2,1),(25,6412661,'1992-03-02 00:00:00',2,1,12,2009,'M','N','IGREJINHA','APUCARANA','PR','116162161216172311448934595124241467182',6983,'9998',53.79,4,3,NULL),(25,6412670,'1993-04-16 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241115131732445513572114610137047',NULL,'307',13.04,1,2,1),(25,6412688,'1993-12-10 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241415111712535729495114610144145',NULL,'9997',16.48,1,3,NULL),(25,6412696,'1985-11-21 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201201125152411123941315123221124027',12632,'9998',47.16,1,2,1),(25,6412700,'1992-05-30 00:00:00',4,1,12,2009,'F','N','CENTRO','PEDREIRA','SP','125253251215471411434819595124610124042',NULL,'9998',0.00,1,3,NULL),(25,6412734,'1984-01-30 00:00:00',4,1,11,2001,'M','N','NOVA PORTO VELHO','PTO VELHO','RO','122221223414233231224436332213211625144',NULL,'307',0.00,1,3,NULL),(25,6412742,'1970-10-20 00:00:00',2,1,8,2005,'F','N','BELA VISTA','S JOSÉ','SC','224161167132151231556352372122610158187',NULL,'9998',0.00,1,2,1),(25,6412750,'1994-04-09 00:00:00',4,4,12,2011,'M','S','MARIA GORETTI','CHAPECÓ','SC','124241241117141751425619572124610138092',NULL,'169',27.27,1,3,NULL),(25,6412769,'1986-05-09 00:00:00',4,1,12,2004,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124201201132151411133341215134340226145',19961,'9998',34.70,1,3,NULL),(25,6412777,'1991-08-16 00:00:00',4,1,6,2010,'F','N','CAPÃO RASO','CURITIBA','PR','116162163116371731228613272124610123047',NULL,'9998',0.00,4,3,NULL),(25,6412793,'1993-02-01 00:00:00',2,1,12,2010,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124243241215112431568914245122610164043',NULL,'1223',32.94,1,3,NULL),(25,6412815,'1992-05-01 00:00:00',4,15,12,2009,'M','N','TERESÓPOLIS','PTO ALEGRE','RS','120202201117471431338833575124610134097',4573,'9998',60.26,1,3,NULL),(25,6412831,'1992-05-29 00:00:00',4,5,12,2010,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124241248117111422646329345124610137061',NULL,'228',33.63,1,3,NULL),(25,6412840,'1993-05-21 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212271411448813347112610124075',NULL,'988',26.10,1,3,NULL),(25,6412866,'1988-10-13 00:00:00',4,16,8,2006,'M','N','APARECIDA','CURITIBANOS','SC','524241241116271731423314342132610122147',NULL,'239',0.00,1,3,NULL),(25,6412882,'1991-12-16 00:00:00',4,1,12,2009,'M','N','CENTRO','ITUPORANGA','SC','124241241116132431527923275114131434012',12352,'416',41.97,1,3,NULL),(25,6412904,'1993-01-07 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241237131431426613292124610117182',NULL,'724',23.16,1,3,NULL),(25,6412912,'1993-06-08 00:00:00',2,4,12,2010,'M','N','SÃO PEDRO','XANXERÊ','SC','124241241136131431346612575125610127052',NULL,'949',29.21,1,2,1),(25,6412939,'1992-07-20 00:00:00',4,1,12,2009,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241217112411469814575124221124042',21125,'88',30.52,1,3,NULL),(25,6412947,'1990-11-10 00:00:00',4,9,12,2008,'M','N','VÁRZEA','LAGES','SC','124241241117371431323529345124610136097',18008,'935',38.84,1,2,1),(25,6412971,'1986-06-22 00:00:00',4,4,12,2003,'M','N','PROGRESSO','S LOURENÇO OESTE','SC','124241241136163731436634282122331462072',16411,'744',41.55,1,2,1),(25,6412980,'1993-01-18 00:00:00',2,1,11,2009,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241121131221423519215124610112057',NULL,'290',29.42,1,2,1),(25,6412998,'1994-05-09 00:00:00',4,9,12,2010,'M','N','CENTRO','CAÇADOR','SC','124242241216111431478931571122610167062',12068,'120',48.03,1,3,NULL),(25,6413005,'1984-01-28 00:00:00',4,1,12,2001,'M','N','CAMINHO NOVO','PALHOÇA','SC','124201201112271441223543432123233258012',NULL,'9998',0.00,1,2,1),(25,6413013,'1993-01-28 00:00:00',4,10,12,2010,'M','N','OFICINAS','TUBARÃO','SC','124242246215111431547431585122610112142',16068,'1120',36.54,1,3,NULL),(25,6413056,'1993-07-14 00:00:00',4,9,12,2010,'F','N','SANTA HELENA','LAGES','SC','124241241115131531337513342124610155172',NULL,'935',15.34,1,2,1),(25,6413072,'1993-08-26 00:00:00',2,1,12,2011,'F','S','BARREIROS','S JOSÉ','SC','124244248416171731236624595124610138147',NULL,'262',31.03,1,3,NULL),(25,6413080,'1992-11-08 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241112251431436624245114610167112',NULL,'257',23.04,1,2,1),(25,6413099,'1993-03-22 00:00:00',4,1,12,2010,'M','N','ESTREITO','ALFREDO WAGNER','SC','124241241137131411428519245121610127057',16851,'13',36.07,1,2,1),(25,6413102,'1993-07-30 00:00:00',4,1,11,2010,'F','N','NOVA PORTO VELHO','PTO VELHO','RO','103032033312323331235338535212231523145',NULL,'9998',6.99,1,3,NULL),(25,6413110,'1990-01-01 00:00:00',4,1,12,2007,'M','N','CIDADE JARDIM','PIRACICABA','SP','125254251437471441426669475115141464162',15250,'9998',39.99,1,3,NULL),(25,6413129,'1994-06-26 00:00:00',4,5,11,2011,'M','S','COMERCIÁRIO','CRICIÚMA','SC','124242241115111432538931575122610164182',NULL,'226',0.00,1,3,NULL),(25,6413137,'1992-01-16 00:00:00',4,9,12,2009,'M','N','PANAZZOLO','CAXIAS SUL','RS','120202201211371411459814571122141417062',8562,'9998',51.21,1,3,NULL),(25,6413145,'1986-09-04 00:00:00',4,1,12,2003,'F','N','PORTÃO','CURITIBA','PR','116192161216151431248823495112343226193',NULL,'9998',0.00,1,3,NULL),(25,6413153,'1986-04-26 00:00:00',5,1,12,2003,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201116431451223344445224341922017',9719,'9998',46.60,1,3,NULL),(25,6413161,'1988-01-07 00:00:00',4,1,12,2007,'M','N','ALTO','TERESÓPOLIS','RJ','125252251217413441338811375122242436052',9595,'9998',52.05,1,3,NULL),(25,6413170,'1981-02-16 00:00:00',2,1,12,2000,'F','N','RESSACADA','GAROPABA','SC','124201201136132421123341215134141066097',14762,'9998',44.06,1,2,1),(25,6413188,'1992-07-30 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217132712558832575124231064042',10210,'738',50.98,1,3,NULL),(25,6413196,'1989-12-16 00:00:00',4,1,12,2007,'M','N','VILA MORUMBI','S PAULO','SP','125252251217471731379917571122142467017',NULL,'9998',0.00,1,3,NULL),(25,6413200,'1993-03-18 00:00:00',4,7,12,2010,'F','N','SÃO FRANCISCO','LUZERNA','SC','124241241115271712335813595124610164097',4163,'539',61.55,1,2,1),(25,6413218,'1991-10-21 00:00:00',4,6,11,2010,'F','N','CENTRO PORTO BELO','PTO BELO','SC','124243247415141631435532391122610154093',NULL,'9999',0.00,1,3,NULL),(25,6413226,'1992-08-21 00:00:00',2,4,12,2009,'F','N','MORUMBI','PATO BRANCO','PR','116161161314271741436924295124141465177',NULL,'9998',32.46,1,3,NULL),(25,6413234,'1985-04-19 00:00:00',2,8,12,2002,'F','N','IRIRIU','JOINVILLE','SC','124161161116331431238813135124341333092',NULL,'9998',0.00,1,2,1),(25,6413242,'1992-10-21 00:00:00',4,1,12,2009,'F','N','JARDIM AMERICA','GOIÂNIA','GO','109092091215471431469811571122610126191',7345,'9998',52.24,1,3,NULL),(25,6413250,'1969-10-19 00:00:00',2,1,12,1986,'M','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','224203202147131722348843232132142727067',NULL,'9998',0.00,1,3,NULL),(25,6413277,'1974-02-15 00:00:00',2,1,12,1991,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241248116135731123543435334220834147',15237,'820',37.73,1,2,1),(25,6413293,'1968-10-08 00:00:00',2,1,12,1992,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241247626152411243343432132131942187',NULL,'9999',36.31,1,3,NULL),(25,6413307,'1994-02-08 00:00:00',2,1,12,2010,'F','N','CENTRO','ATALANTA','SC','124241241117141431426933285121610154057',NULL,'39',37.66,1,2,1),(25,6413315,'1988-12-22 00:00:00',2,8,12,2006,'F','N','PETRÓPOLIS','JOINVILLE','SC','124241241116472731324424345234610122185',NULL,'472',33.93,1,2,1),(25,6413323,'1983-08-03 00:00:00',2,1,12,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124203207335351712126612345224341861147',13334,'9998',39.64,4,3,NULL),(25,6413331,'1993-11-30 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','123241241117131411523631216224610131172',NULL,'285',20.57,1,2,1),(25,6413340,'1971-12-03 00:00:00',2,1,12,1989,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224241241146472421434351372122122262182',15239,'804',43.34,1,3,NULL),(25,6413358,'1992-06-01 00:00:00',4,8,12,2009,'M','N','ATIRADORES','JOINVILLE','SC','124242241211112211258724372125133215182',17229,'1063',40.24,1,3,NULL),(25,6413366,'1993-09-24 00:00:00',4,4,10,2010,'M','N','CENTRO','ERECHIM','RS','120202201216151421368812585122610167122',3916,'9998',60.89,1,3,NULL),(25,6413382,'1992-11-26 00:00:00',4,10,12,2010,'M','N','TRÊS DE MAIO','CAPIVARI BAIXO','SC','124241246115131431323311572121610127057',NULL,'158',0.00,4,2,1),(25,6413404,'1983-06-24 00:00:00',5,15,12,1999,'M','N','VILA SAO JOSE','ARARANGUÁ','SC','224253251411131321337654245122333267042',NULL,'9998',0.00,1,3,NULL),(25,6413412,'1988-06-11 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241236144731458829495122520465182',7775,'262',55.26,1,3,NULL),(25,6413439,'1991-06-20 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124254251217371441454322525122610132185',15697,'9998',37.03,1,3,NULL),(25,6413463,'1993-10-04 00:00:00',2,8,12,2010,'M','N','SAO RAFAEL','RIO NEGRINHO','SC','124241241136141231323311295122610135147',NULL,'669',0.00,1,2,1),(25,6413471,'1991-09-12 00:00:00',4,1,12,2008,'M','N','CENTRO','MARAU','RS','120201201217472441569813491114141437127',496,'9998',77.35,1,3,NULL),(25,6413480,'1991-03-17 00:00:00',2,1,12,2009,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241125371231525624285124610124142',18392,'592',38.11,1,2,1),(25,6413498,'1993-08-08 00:00:00',4,8,12,2010,'M','N','GUANABARA','JOINVILLE','SC','124241241137111221436634342121610127053',NULL,'472',15.50,1,2,1),(25,6413501,'1993-02-22 00:00:00',4,3,12,2010,'F','N','MORRETES','ITAPEMA','SC','124241241217111431459613575112610138015',7484,'1111',51.92,1,3,NULL),(25,6413510,'1993-03-27 00:00:00',4,1,12,2010,'F','N','JARDIM CIDADE','S JOSÉ','SC','124241241115471731632311595124610118017',18834,'307',32.03,1,2,1),(25,6413536,'1993-09-17 00:00:00',2,4,12,2010,'M','N','PIONEIROS','ITÁ','SC','124243242246171431446634575124610132057',14190,'836',44.88,1,3,NULL),(25,6413544,'1993-04-26 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224241172322232121113333272223211827175',18736,'1022',37.47,1,3,NULL),(25,6413552,'1990-07-13 00:00:00',2,1,12,2008,'F','N','CAMAQUA','PTO ALEGRE','RS','120201207411571431666923571114610116042',NULL,'9998',0.00,1,3,NULL),(25,6413560,'1996-03-03 00:00:00',2,10,12,2012,'F','S','VILA NOVA','IMBITUBA','SC','124244241216111731449813575222610133092',NULL,'9997',24.31,1,3,NULL),(25,6413579,'1991-02-18 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241435131432226744442124610122027',16007,'515',42.13,1,3,NULL),(25,6413587,'1977-08-06 00:00:00',2,1,12,1977,'F','N','BARREIROS','S JOSÉ','SC','124241241122131431233572125124610128181',NULL,'719',0.00,1,2,1),(25,6413595,'1935-10-23 00:00:00',2,1,12,1959,'M','N','SÃO JOÃO DO RIO VERM','FLORIANÓPOLIS','SC','224241241121155411473349195122421468041',NULL,'307',0.00,1,3,NULL),(25,6413609,'1992-04-23 00:00:00',2,1,12,2009,'F','N','VILA ITAPURA','CAMPINAS','SP','125252251216471431256632575122610144017',NULL,'9998',0.00,5,3,NULL),(25,6413617,'1994-07-13 00:00:00',4,16,12,2011,'M','S','CENTRO','CAÇADOR','SC','124242241217121421489931595122610144185',NULL,'120',40.61,1,3,NULL),(25,6413625,'1993-03-04 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124241246212131431336614342225610127147',NULL,'1106',19.23,1,3,NULL),(25,6413633,'1991-02-13 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242248216272411448813575112132814192',NULL,'259',0.00,1,3,NULL),(25,6413641,'1994-04-07 00:00:00',2,1,11,2011,'M','S','BELA VISTA','S JOSÉ','SC','124242241215111431436639575124610127187',NULL,'269',41.10,1,3,NULL),(25,6413650,'1993-06-24 00:00:00',4,8,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215111231344821312122610127182',NULL,'442',0.00,1,3,NULL),(25,6413668,'1993-08-06 00:00:00',4,10,12,2010,'M','N','STO ANTÔNIO DE PÁDUA','TUBARÃO','SC','124242241217111231436614475121610127062',20512,'1120',33.10,1,3,NULL),(25,6413684,'1992-11-12 00:00:00',2,1,12,2009,'M','N','FAZENDA RIO TAVARES','FLORIANÓPOLIS','SC','124241241112252721436339392121130817047',NULL,'295',16.87,4,2,1),(25,6413706,'1993-07-15 00:00:00',2,15,12,2010,'F','N','LINHA SÃO PEDRO','JACINTO MACHADO','SC','124241241135131331423315352124610134147',NULL,'420',0.00,1,3,NULL),(25,6413714,'1983-07-01 00:00:00',3,1,12,2000,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241327131432343644145224133236097',NULL,'89',0.00,4,3,NULL),(25,6413722,'1972-09-29 00:00:00',2,1,12,1990,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124251251116131231328943335124140437112',NULL,'9998',0.00,1,2,1),(25,6413730,'1990-06-11 00:00:00',2,3,12,2007,'F','N','JARDIM ELDORADO','PARANAGUÁ','PR','116162161216474751547834575124243222127',15663,'9998',36.37,1,3,NULL),(25,6413749,'1992-06-21 00:00:00',4,8,12,2009,'M','N','PQ SÃO VICENTE','MAUÁ','SP','125252251217471231468614582124610167077',4995,'9998',57.97,1,3,NULL),(25,6413757,'1980-02-19 00:00:00',2,1,12,1997,'F','N','ARIRIU DA FORMIGA','PALHOÇA','SC','624241248127372712323371115124610114092',NULL,'591',29.20,1,2,1),(25,6413765,'1993-06-25 00:00:00',4,5,12,2010,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124244248215131231526614572124610133147',18560,'995',37.84,1,3,NULL),(25,6413773,'1984-05-04 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126155431664619235124221862147',NULL,'40',0.00,1,2,1),(25,6413781,'1992-03-27 00:00:00',1,1,6,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215312431648933585124610127042',13383,'9998',46.10,1,3,NULL),(25,6413790,'1992-03-20 00:00:00',4,1,12,2009,'M','N','JARDIM DOLALÍSIO','SALTO','SP','125252251235471731438832571122610127052',NULL,'9998',0.00,1,3,NULL),(25,6413803,'1992-06-24 00:00:00',4,1,10,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241216372531369512212111610117032',10721,'270',47.34,1,3,NULL),(25,6413811,'1993-07-11 00:00:00',2,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241112231331416621575122610134097',NULL,'772',19.14,1,3,NULL),(25,6413838,'1994-05-31 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124243241216111431378832575122610114043',NULL,'1223',31.00,1,3,NULL),(25,6413846,'1992-04-29 00:00:00',2,1,12,2009,'M','N','CENTRO','CANELINHA','SC','124244241216112411338821575124221712011',16986,'948',36.97,2,1,2),(25,6413862,'1992-06-23 00:00:00',2,7,12,2009,'F','N','VILA RICA','HERVAL D OESTE','SC','124241241215271431524613342123610127147',17486,'454',39.77,4,3,NULL),(25,6413870,'1986-08-09 00:00:00',2,1,12,2003,'F','N','JARDIM ISMÊNIA','S JOSÉ CAMPOS','SP','125251251115471731124348382224610168147',15164,'9998',37.01,1,2,1),(25,6413889,'1992-02-06 00:00:00',2,5,11,2009,'F','N','JARDIM ELIZABETH','IÇARA','SC','124243241215372211668812572124230464052',NULL,'226',0.00,1,3,NULL),(25,6413897,'1988-06-09 00:00:00',2,1,1,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243247217152431456733395111610157182',NULL,'9999',12.77,1,3,NULL),(25,6413919,'1991-07-06 00:00:00',2,17,12,2008,'F','N','CENTRO','CPO TENENTE','PR','116162161211471431356639572124143262112',14912,'9998',43.81,1,3,NULL),(25,6413927,'1993-05-02 00:00:00',4,5,11,2010,'M','N','MICHEL','CRICIÚMA','SC','124242248215111531459834575122610164057',NULL,'210',0.00,1,3,NULL),(25,6413935,'1994-04-22 00:00:00',4,6,12,2010,'F','N','RIO DE BRAÇO','S JOÃO BATISTA','SC','124243241417111731369934575122610133192',9421,'109',52.32,1,3,NULL),(25,6413943,'1993-04-27 00:00:00',4,1,12,2010,'M','N','CENTRO','SEBERI','RS','120201201117131731426739132125610124017',15199,'9998',38.41,1,2,1),(25,6413951,'1992-05-10 00:00:00',4,1,11,2009,'M','N','CENTRO','PIRACICABA','SP','125252251215471431459923574122610161122',13117,'9998',46.44,1,3,NULL),(25,6413960,'1991-10-18 00:00:00',4,5,11,2010,'M','N','MINEIRA NOVA','CRICIÚMA','SC','124243247327161411425111341214610124192',NULL,'920',0.00,3,3,NULL),(25,6413978,'1992-04-10 00:00:00',4,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242241217152431448633575114233268195',8920,'1022',49.64,1,3,NULL),(25,6413994,'1990-07-19 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201226472731123619375124222624147',NULL,'9998',0.00,1,3,NULL),(25,6414001,'1988-01-28 00:00:00',2,1,6,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241244132132431323314341234610124142',NULL,'9999',17.10,2,1,1),(25,6414028,'1983-02-25 00:00:00',2,1,12,2003,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124201201126471721126644245124141666197',NULL,'9998',30.40,1,3,NULL),(25,6414044,'1991-12-15 00:00:00',4,1,12,2010,'F','N','CANDELARIA','BELO HORIZONTE','MG','113134131437231431458613492122610135176',NULL,'9998',0.00,4,3,NULL),(25,6414060,'1991-09-11 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241241117151232324629375114610137017',NULL,'733',17.95,4,1,1),(25,6414079,'1994-10-30 00:00:00',4,1,12,2011,'M','S','CAMPINAS','S JOSÉ','SC','124242248215111712466812592122610127052',NULL,'737',40.13,1,3,NULL),(25,6414109,'1993-06-20 00:00:00',2,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242243215111431528412575124610124194',NULL,'738',39.79,1,3,NULL),(25,6414117,'1994-07-12 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241217111431546614575114610117042',NULL,'737',20.10,1,3,NULL),(25,6414125,'1991-03-23 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241212473431289932592112221164127',17264,'270',40.16,1,3,NULL),(25,6414133,'1990-07-19 00:00:00',2,1,12,2007,'M','N','FLORESTA','S JOSÉ','SC','124241241215131431448911445124131027047',NULL,'1036',24.69,1,3,NULL),(25,6414141,'1986-11-03 00:00:00',2,1,11,2010,'M','N','DIVINA PROVIDENCIA','STA MARIA','RS','120201208637141711623611295224610118057',NULL,'9998',22.37,1,3,NULL),(25,6414150,'1994-05-02 00:00:00',4,4,11,2010,'M','N','JARDIM AMERICA','CHAPECÓ','SC','124241241116151711568833575125610167097',15228,'88',43.36,1,3,NULL),(25,6414168,'1992-04-06 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241217153441238723572114230764177',19444,'737',35.94,1,3,NULL),(25,6414176,'1993-11-12 00:00:00',2,1,11,2011,'M','S','IPIRANGA','S JOSÉ','SC','124242241217131431346623575122610127042',NULL,'737',39.37,1,3,NULL),(25,6414184,'1990-03-30 00:00:00',4,1,7,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124144241415131731189619412221610163192',NULL,'977',0.00,1,3,NULL),(25,6414192,'1983-11-30 00:00:00',4,1,8,2008,'M','N','GUANABARA','UBERABA','MG','113282287216131531448412595124241434096',16881,'9998',40.81,1,3,NULL),(25,6414206,'1988-05-19 00:00:00',4,8,12,2005,'M','N','BOA VISTA','JOINVILLE','SC','124242241211272411358821571122132864051',NULL,'486',29.92,1,3,NULL),(25,6414222,'1993-08-07 00:00:00',4,4,12,2010,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241116131431446313342122610125017',NULL,'182',17.65,4,2,1),(25,6414230,'1992-03-15 00:00:00',2,15,12,2009,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241116142231446913345122610127042',NULL,'30',37.90,4,3,NULL),(25,6414249,'1988-06-09 00:00:00',4,3,12,2005,'F','N','CENTRO','ARAPONGAS','PR','116162161216572431566615575112610162197',5414,'9998',56.20,3,3,NULL),(25,6414257,'1991-09-11 00:00:00',2,8,12,2008,'F','N','PORTAO','CURITIBA','PR','116161167215572431489933574112142668072',NULL,'9998',20.41,4,3,NULL),(25,6414265,'1993-01-21 00:00:00',2,1,12,2011,'F','S','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241215111411555434572124610126042',NULL,'262',36.00,1,3,NULL),(25,6414273,'1988-10-31 00:00:00',2,1,11,2005,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124244241217573431434632341112610147185',13741,'1048',44.25,1,3,NULL),(25,6414281,'1991-10-07 00:00:00',4,1,12,2009,'F','N','COND COLINA DO SABIA','RIBEIRÃO PRETO','SP','125252251215471711538834575122610162072',NULL,'9998',0.00,3,3,NULL),(25,6414290,'1994-11-04 00:00:00',4,8,12,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215151411568813375122610122092',NULL,'457',0.00,1,3,NULL),(25,6414303,'1986-10-28 00:00:00',2,1,12,2005,'F','N','SERRARIA','S JOSÉ','SC','124243241126143751426411245234231022197',19033,'736',36.88,4,3,NULL),(25,6414320,'1989-05-27 00:00:00',2,15,12,2006,'F','N','BOM FIM','PTO ALEGRE','RS','120204201435471431239811475124141522077',NULL,'9998',0.00,1,3,NULL),(25,6414346,'1977-10-16 00:00:00',2,1,6,1999,'M','N','PONTE DE IMARUIM','PALHOÇA','SC','124241247421135421644444141223610167042',20680,'1003',32.47,2,1,2),(25,6414362,'1988-03-27 00:00:00',2,1,12,2005,'M','N','SERRARIA','S JOSÉ','SC','124241241335143411326632245122230217043',NULL,'65',18.95,1,3,NULL),(25,6414389,'1990-10-18 00:00:00',4,16,12,2008,'M','N','CENTRO','CURITIBANOS','SC','124241248426162431328833385112130858052',NULL,'237',0.00,1,3,NULL),(25,6414400,'1991-11-24 00:00:00',2,4,12,2010,'M','N','HIPICA','PALMAS','PR','116161161116371731333715345112610135147',NULL,'9998',0.00,1,3,NULL),(25,6414419,'1991-04-21 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216133731327823575122233268141',18591,'1022',37.77,1,3,NULL),(25,6414427,'1991-12-30 00:00:00',4,1,12,2010,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241115131411525823495124610134045',NULL,'295',15.45,1,2,1),(25,6414435,'1992-04-22 00:00:00',2,8,12,2009,'M','N','CENTRO','UMUARAMA','PR','116162161216472431558832575125610167053',2301,'9998',68.19,1,3,NULL),(25,6414451,'1990-10-08 00:00:00',4,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124241241435111431337313445114610163047',NULL,'976',0.00,1,3,NULL),(25,6414460,'1992-09-29 00:00:00',2,15,12,2010,'F','N','CENTRO','ARARANGUÁ','SC','124241241115141321234324445324610122092',NULL,'29',27.66,4,2,1),(25,6414478,'1979-09-07 00:00:00',4,1,12,1996,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124252241212142731256543435134322842182',NULL,'70',0.00,1,3,NULL),(25,6414486,'1993-06-25 00:00:00',2,2,12,2010,'M','N','DOS ESTADOS','INDAIAL','SC','124242241215111431343427335124610127052',19781,'37',35.19,1,3,NULL),(25,6414508,'1992-08-23 00:00:00',4,1,11,2009,'M','N','JORDÃO','GOV CELSO RAMOS','SC','124244241215113431436619385124130867062',5263,'1118',58.46,1,3,NULL),(25,6414516,'1995-08-12 00:00:00',4,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431459913575122610132041',NULL,'270',28.51,1,3,NULL),(25,6414532,'1989-09-06 00:00:00',4,9,12,2006,'M','N','ITARARÉ','S JOSÉ CERRITO','SC','124241241116161431323326291324610124051',NULL,'903',32.29,3,3,NULL),(25,6414540,'1992-12-07 00:00:00',2,6,12,2009,'M','N','SERTÃO DO TROMBUDO','ITAPEMA','SC','124241241112131731634613582222610127157',15436,'406',40.02,1,3,NULL),(25,6414559,'1991-04-11 00:00:00',2,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217112431367719492122231017117',12840,'270',46.85,1,3,NULL),(25,6414575,'1992-12-07 00:00:00',2,15,12,2010,'F','N','SANGA DA TOCA','ARARANGUÁ','SC','124241241135111351533319245124610114052',21133,'30',27.39,1,2,1),(25,6414591,'1993-04-21 00:00:00',4,1,12,2010,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091216111431439819575122610134032',6541,'9998',57.61,1,3,NULL),(25,6414613,'1992-10-23 00:00:00',5,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111422183312192122610125052',16436,'270',41.51,4,3,NULL),(25,6414648,'1988-08-18 00:00:00',4,15,12,2005,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241117131411438923345131133234092',16038,'30',42.07,1,3,NULL),(25,6414656,'1993-09-14 00:00:00',2,4,11,2010,'F','N','SÃO GABRIEL','CAP LEÔNIDAS MARQUES','PR','116163161415121431346613575112610134112',NULL,'9998',0.00,1,3,NULL),(25,6414664,'1994-04-02 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124241241117131731426314485225610136147',NULL,'415',23.42,1,3,NULL),(25,6414672,'1992-12-07 00:00:00',4,1,12,2010,'F','N','VILA SANTA LUZIA','S BERNARDO CAMPO','SP','125252251217371231468514575125610124077',7260,'9998',52.07,1,3,NULL),(25,6414702,'1963-02-17 00:00:00',2,1,12,1979,'F','N','JURERÊ','FLORIANÓPOLIS','SC','524251254216131451443343435122342461182',3577,'9998',64.38,1,3,NULL),(25,6414710,'1989-05-08 00:00:00',2,1,12,2007,'M','N','CENTRO','NOVA BASSANO','RS','120203201136161431335824345122241117042',NULL,'9998',0.00,1,3,NULL),(25,6414729,'1992-09-15 00:00:00',2,1,12,2010,'M','N','CENTRO','CANELINHA','SC','124243241215111232325624575122210117052',NULL,'1119',36.90,1,3,NULL),(25,6414753,'1993-07-28 00:00:00',2,1,12,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241125131431426329292211610167127',20101,'290',34.31,1,2,1),(25,6414761,'1993-08-19 00:00:00',2,1,11,2010,'M','N','UNIVERSITARIO','TIJUCAS','SC','124242241215132431446933575122610127057',13499,'1038',40.04,1,3,NULL),(25,6414770,'1994-12-22 00:00:00',2,1,11,2011,'F','S','BARREIROS','S JOSÉ','SC','124244241435131731639614295124610126092',NULL,'734',36.55,1,3,NULL),(25,6414788,'1994-12-20 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241217121431568833575112610122195',NULL,'270',14.30,1,3,NULL),(25,6414796,'1994-03-08 00:00:00',2,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215161411446612575122610127072',NULL,'737',22.47,1,3,NULL),(25,6414800,'1992-12-06 00:00:00',4,7,12,2010,'F','N','VITORIA','VIDEIRA','SC','124241241115141431224314344124610122147',NULL,'831',0.00,1,2,1),(25,6414818,'1993-03-11 00:00:00',2,1,12,2010,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241215151431326429592124610128196',NULL,'1048',27.13,1,3,NULL),(25,6414834,'1992-05-27 00:00:00',4,1,11,2010,'M','N','JARDIM PAULISTA','S PAULO','SP','125254251217271531338814595124610164057',NULL,'9998',0.00,1,3,NULL),(25,6414842,'1993-03-17 00:00:00',4,1,12,2010,'F','N','SOUZA CRUZ','BRUSQUE','SC','124241241116141431434311245122610144042',NULL,'110',15.72,1,2,1),(25,6414885,'1994-04-02 00:00:00',4,1,11,2010,'F','N','FUNDOS','BIGUAÇU','SC','124242241215151412425532575124610165142',NULL,'20',17.56,1,3,NULL),(25,6414907,'1993-03-03 00:00:00',4,6,12,2010,'F','N','SÃO JOÃO','ITAJAÍ','SC','124241241117141411449719245122610167082',NULL,'400',14.53,1,2,1),(25,6414915,'1985-03-02 00:00:00',2,1,11,2003,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243141316153121123348285122220712172',7032,'9998',53.53,1,3,NULL),(25,6414940,'1992-01-22 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241336371431249732575124610164092',12735,'974',47.02,1,3,NULL),(25,6414958,'1994-01-09 00:00:00',4,1,12,2011,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124244241217111431379931585125610134045',NULL,'9997',44.03,1,3,NULL),(25,6414966,'1980-09-28 00:00:00',4,1,12,1998,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241431143711489613341112121164111',19225,'9999',36.46,1,3,NULL),(25,6414974,'1987-05-12 00:00:00',2,8,12,2004,'M','N','CENTRO','VÁRZEA GRANDE','MT','111111111121151411666629392124141868096',NULL,'9998',0.00,4,3,NULL),(25,6414982,'1990-10-20 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217153431477833485124230227047',19502,'269',35.83,1,3,NULL),(25,6415008,'1993-05-03 00:00:00',2,4,12,2010,'F','N','CENTRO','NOVA ERECHIM','SC','124241241111161731333413475122610164127',NULL,'572',28.88,1,2,1),(25,6415040,'1993-03-22 00:00:00',2,3,12,2010,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124243241215141431436631375124610128182',NULL,'1038',0.00,1,3,NULL),(25,6415075,'1991-06-06 00:00:00',2,9,11,2008,'F','N','CENTRO','LAGES','SC','124242241217374431446712492112610164092',9165,'497',48.92,1,3,NULL),(25,6415083,'1994-05-06 00:00:00',4,3,12,2010,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124243241215131751346924185122610164142',13024,'9997',42.39,1,3,NULL),(25,6415091,'1993-10-15 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124241241112372732337611395221610167125',NULL,'239',16.72,1,3,NULL),(25,6415105,'1989-12-06 00:00:00',4,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124121241116132731536829572124233266177',NULL,'289',27.62,1,3,NULL),(25,6415113,'1989-03-31 00:00:00',2,1,12,2006,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241248136172721525319295124230215187',NULL,'288',20.74,1,2,1),(25,6415121,'1994-03-13 00:00:00',4,1,12,2011,'M','S','CAMPINAS','S JOSÉ','SC','124241248217111752456629295124610168192',NULL,'737',29.64,1,3,NULL),(25,6415130,'1987-03-29 00:00:00',4,1,12,2006,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241216473731366743235122231026172',9893,'1022',51.52,1,3,NULL),(25,6415148,'1993-12-13 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241212111732547337575122610134112',19077,'976',32.87,1,3,NULL),(25,6415164,'1992-07-19 00:00:00',4,1,12,2010,'F','N','ICARAÍ','NITERÓI','RJ','121212211216111431559719575125610113172',NULL,'9998',0.00,1,3,NULL),(25,6415172,'1991-06-20 00:00:00',4,1,12,2008,'M','N','JD ACLIMAÇÃO','MARINGÁ','PR','116161161126131441433923496121241448017',8241,'9998',54.43,4,1,1),(25,6415202,'1992-11-26 00:00:00',2,1,12,2010,'M','N','CENTRO','NOVA BASSANO','RS','120201201116161431335824575124610117042',NULL,'9998',0.00,1,2,1),(25,6415210,'1988-03-17 00:00:00',2,1,12,2005,'M','N','CENTRO','PALHOÇA','SC','124241241126132421533343335123131034197',15461,'649',37.09,1,2,1),(25,6415237,'1991-06-03 00:00:00',4,8,12,2008,'F','N','PILARZINHO','CURITIBA','PR','116161161117571431658663572124610136147',2332,'9998',66.02,1,2,1),(25,6415245,'1991-11-24 00:00:00',2,1,12,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241243117141631523511342322610127142',NULL,'1089',0.00,5,3,NULL),(25,6415253,'1992-11-28 00:00:00',4,1,10,2010,'M','N','BATEL','CURITIBA','PR','116224161215471411389731572114610167042',18670,'9998',30.90,1,3,NULL),(25,6415288,'1958-11-27 00:00:00',1,1,12,1979,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','424243245322152431142243332134332214147',NULL,'650',0.00,1,3,NULL),(25,6415296,'1992-07-14 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215473431488813575114610142192',4161,'270',62.88,1,3,NULL),(25,6415300,'1991-01-17 00:00:00',4,1,12,2008,'F','N','CENTRO','CASCAVEL','PR','116162161217571731448811572112610164147',NULL,'9998',0.00,1,3,NULL),(25,6415326,'1992-08-25 00:00:00',4,1,11,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124052241212472231238822595114610132047',NULL,'270',0.00,1,3,NULL),(25,6415334,'1966-04-19 00:00:00',4,1,12,1984,'F','N','CENTRO','S JOSÉ','SC','524242248217273721276641315122321034097',16199,'262',41.85,1,3,NULL),(25,6415342,'1984-08-29 00:00:00',4,1,12,2001,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241121132431326344245114120837047',NULL,'292',0.00,2,1,1),(25,6415350,'1994-05-08 00:00:00',4,16,12,2011,'F','S','MUNICÍPOS','CAÇADOR','SC','124241241217161731545812372122610114072',NULL,'1124',49.89,1,3,NULL),(25,6415385,'1993-07-03 00:00:00',4,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124203201217111431337823575124610166042',NULL,'9998',0.00,1,3,NULL),(25,6415407,'1993-09-29 00:00:00',4,1,12,2010,'F','N','GUAIRA','CURITIBA','PR','116162161216111431668812575122610132097',NULL,'9998',0.00,1,3,NULL),(25,6415415,'1992-05-10 00:00:00',4,1,12,2009,'F','N','ESTAÇÃO NOVA','RIO NEGRO','PR','116162161216372431546812575124610127142',NULL,'9998',0.00,1,3,NULL),(25,6415431,'1980-03-05 00:00:00',4,1,12,1998,'F','N','KOBRASOL','S JOSÉ','SC','124214211316141431379819495122332716181',NULL,'9998',0.00,1,3,NULL),(25,6415440,'1992-08-06 00:00:00',4,1,12,2009,'F','N','VILA MARIANA','S PAULO','SP','125252251212471611112219592343611464064',4160,'9998',60.50,1,3,NULL),(25,6415474,'1984-03-09 00:00:00',2,1,11,2001,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','524241241116134131513344145334610162147',20093,'295',34.33,1,2,1),(25,6415482,'1993-02-27 00:00:00',4,1,12,2010,'M','N','SUDOESTE','GOIÂNIA','GO','109092091216111231463331575112610167042',7771,'9998',50.70,1,3,NULL),(25,6415490,'1972-06-16 00:00:00',2,1,11,1994,'F','N','BARREIROS','S JOSÉ','SC','224241245116144321426554432124121121077',NULL,'293',0.00,2,1,1),(25,6415504,'1987-01-15 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241247127131411423334245114610133022',NULL,'306',24.96,2,1,1),(25,6415512,'1994-02-16 00:00:00',2,1,12,2010,'F','N','PRINCESA DO MAR','ITAPOÁ','SC','124163241115371431326613335224610164072',18497,'413',37.93,4,3,NULL),(25,6415520,'1987-02-04 00:00:00',2,1,12,2006,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241207122132111228644345134140242097',NULL,'9998',21.87,1,3,NULL),(25,6415539,'1966-03-22 00:00:00',2,1,12,1984,'M','N','COSTA DE DENTRO','FLORIANÓPOLIS','SC','224286283613151411537641413211141664112',14602,'9998',44.29,1,3,NULL),(25,6415547,'1986-11-06 00:00:00',4,1,12,2005,'M','N','CAMPINAS','S JOSÉ','SC','124213241146271431126644245224610168073',13098,'922',41.82,1,3,NULL),(25,6415555,'1967-03-01 00:00:00',4,1,12,1992,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','424241244227133411334343432123231333097',NULL,'266',21.71,1,3,NULL),(25,6415571,'1973-11-01 00:00:00',2,8,12,1992,'F','N','BACACHERI','CURITIBA','PR','216161167425471751443359275122610128187',NULL,'9998',26.19,1,3,NULL),(25,6415598,'1990-09-13 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241112371431346413345124610164167',18068,'257',38.70,1,2,1),(25,6415601,'1992-10-21 00:00:00',4,6,11,2009,'M','N','FAZENDA','ITAJAÍ','SC','124242241215471411467932575122610124192',2512,'1026',67.44,1,3,NULL),(25,6415610,'1958-06-28 00:00:00',2,1,2,2001,'F','N','INGLESES','FLORIANÓPOLIS','SC','224203207447151511241443335112141626182',21082,'9998',30.76,1,3,NULL),(25,6415628,'1994-11-28 00:00:00',4,1,12,2011,'M','S','KOBRASOL','S JOSÉ','SC','124243245217111421457812575122610163091',NULL,'737',36.92,1,3,NULL),(25,6415636,'1990-01-16 00:00:00',2,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116221221115571751444833574225610134077',NULL,'9998',25.91,1,2,1),(25,6415644,'1994-06-14 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242248215271731448813575124610164172',NULL,'270',22.98,4,3,NULL),(25,6415652,'1977-08-14 00:00:00',2,1,7,2010,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241247125131431313641211224610123172',NULL,'9997',30.75,1,2,1),(25,6415660,'1990-03-31 00:00:00',2,1,12,2008,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241247124271732411329282311610127177',NULL,'9999',18.15,2,1,1),(25,6415679,'1993-07-23 00:00:00',2,4,12,2010,'M','N','LUCAS ARAÚJO','PASSO FUNDO','RS','120201201116271431347923232125610117142',NULL,'9998',0.00,1,2,1),(25,6415687,'1990-06-23 00:00:00',4,1,11,2007,'F','N','CENTRO','BIGUAÇU','SC','124283241215473431248624375124233223017',NULL,'1098',25.83,1,3,NULL),(25,6415695,'1988-09-07 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241247322132431523721282114610136092',NULL,'9999',36.90,1,3,NULL),(25,6415717,'1985-06-06 00:00:00',2,1,12,2008,'F','N','CENTRO','S JOSÉ','SC','124241247112211411231359492124132823042',NULL,'9999',22.15,1,2,1),(25,6415750,'1993-05-05 00:00:00',2,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124243241216111411338722245122610164192',20545,'724',32.96,1,3,NULL),(25,6415768,'1993-12-13 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241212111732547331575122610142052',NULL,'976',18.60,1,3,NULL),(25,6415776,'1993-03-05 00:00:00',4,1,12,2010,'M','N','JARDIM BARA','DOURADOS','MS','112123121217111431488866575112610117072',15716,'9998',38.40,4,3,NULL),(25,6415784,'1991-09-11 00:00:00',4,1,12,2008,'F','N','JARDIM EUCALIPTO','PALHOÇA','SC','124241241112131431527664342334610124142',NULL,'521',24.62,1,2,1),(25,6415792,'1993-06-04 00:00:00',4,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241115151431526521572222610167042',21294,'257',29.47,1,2,1),(25,6415806,'1992-08-26 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241131141431436633381124610167042',NULL,'257',14.16,1,3,NULL),(25,6415814,'1993-05-25 00:00:00',4,1,11,2010,'F','N','MORUMBI','S PAULO','SP','125252251211161431369912571122610142142',NULL,'9998',34.28,1,3,NULL),(25,6415822,'1984-05-15 00:00:00',4,1,12,2000,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241116152431266643332122520737057',2137,'271',68.80,1,3,NULL),(25,6415830,'1993-12-30 00:00:00',2,4,12,2010,'M','N','CENTRO','PALMITOS','SC','124241241111131331426634325112610167052',NULL,'601',0.00,1,2,1),(25,6415849,'1990-08-06 00:00:00',2,1,11,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241115131411533629195121610164042',20371,'288',29.55,1,2,1),(25,6415857,'1990-08-08 00:00:00',2,1,12,2007,'F','N','BOM VIVER','BIGUAÇU','SC','124241241135471431523514241234610123187',16588,'730',37.35,1,2,1),(25,6415873,'1994-11-01 00:00:00',4,10,11,2011,'F','S','TERMAS','GRAVATAL','SC','124241241215161731438939575124610138142',NULL,'806',41.15,1,3,NULL),(25,6415881,'1984-04-03 00:00:00',4,1,12,2002,'M','N','CENTRO','CHARQUEADAS','RS','120202201216271731463833285122143247187',7545,'9998',51.95,1,3,NULL),(25,6415890,'1993-10-22 00:00:00',4,1,12,2011,'F','S','CAMPINAS','S JOSÉ','SC','124242241212121732449933575112610113147',NULL,'737',42.75,1,3,NULL),(25,6415903,'1994-08-13 00:00:00',4,1,11,2010,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242248215111431324439575112610168193',10687,'1223',46.39,1,3,NULL),(25,6415911,'1992-12-27 00:00:00',2,10,12,2010,'M','N','PASSAGEM','TUBARÃO','SC','124244241315271431445923375114610138077',NULL,'1034',18.90,1,3,NULL),(25,6415920,'1984-08-25 00:00:00',2,1,12,2002,'F','N','SION','BELO HORIZONTE','MG','113134131437574441257822571114221462117',NULL,'9998',0.00,4,3,NULL),(25,6415938,'1993-03-19 00:00:00',4,2,12,2010,'F','N','CENTRO','LAURENTINO','SC','124241241435111431449833575122610124092',18512,'959',29.62,1,3,NULL),(25,6415946,'1993-03-01 00:00:00',2,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241135141731623324347324610122197',NULL,'296',0.00,1,2,1),(25,6415954,'1990-12-28 00:00:00',2,3,12,2008,'M','N','CENTRO','ANGELINA','SC','124241242115131411548833222124610134057',18812,'17',37.33,1,3,NULL),(25,6415962,'1991-04-07 00:00:00',4,8,12,2008,'F','N','GUANABARA','JOINVILLE','SC','124243241225133751337823295122610124147',NULL,'457',29.21,1,3,NULL),(25,6415970,'1988-06-21 00:00:00',4,1,12,2005,'F','N','PORTÃO','CURITIBA','PR','116161161116371431456612575122340662187',NULL,'9998',0.00,1,3,NULL),(25,6415989,'1963-08-24 00:00:00',2,1,12,2002,'F','N','FORQUIHLINHAS','S JOSÉ','SC','224241241126161711436673435134233266182',NULL,'727',12.85,1,2,1),(25,6415997,'1993-04-21 00:00:00',4,8,11,2010,'F','N','GUAIRA','CURITIBA','PR','116162161215111231449914575122610164147',15388,'9998',36.98,1,3,NULL),(25,6416004,'1991-07-12 00:00:00',4,1,11,2010,'M','N','BELA VISTA','SORRISO','MT','111112117616131511536624175214610164187',NULL,'9998',0.00,1,3,NULL),(25,6416012,'1981-06-08 00:00:00',2,1,12,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','624241241121153221246849495122321134067',NULL,'332',0.00,1,2,1),(25,6416020,'1991-02-05 00:00:00',2,1,12,2008,'M','N','CENTRO','CURITIBA','PR','116252161215572411258513575112610167042',1362,'9998',71.62,1,3,NULL),(25,6416039,'1990-07-06 00:00:00',2,1,12,2009,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124201241147132712448633446124610164147',NULL,'1088',28.04,1,3,NULL),(25,6416047,'1992-01-09 00:00:00',2,4,12,2008,'F','N','VILA NOVA JERUSALEM','PEROBAL','PR','116161161114131431433923281114610163142',NULL,'9998',32.63,4,2,1),(25,6416055,'1977-06-02 00:00:00',4,15,12,1995,'F','N','ALTO FELIZ','ARARANGUÁ','SC','124241241117131411623641212115133061187',NULL,'30',0.00,1,3,NULL),(25,6416071,'1993-01-17 00:00:00',4,8,12,2009,'F','N','CENTRO','ASSAÍ','PR','116162161214471431488831575112610164142',NULL,'9998',0.00,1,3,NULL),(25,6416080,'1985-04-29 00:00:00',4,9,12,2010,'F','N','CENTRO','ANITA GARIBALDI','SC','124241241115371411339933595122610137142',NULL,'18',0.00,1,3,NULL),(25,6416098,'1994-11-26 00:00:00',4,10,12,2011,'M','S','CENTRO','TUBARÃO','SC','124242241215121731458811592322610167142',NULL,'807',34.93,1,3,NULL),(25,6416101,'1991-09-08 00:00:00',4,1,12,2008,'M','N','CENTRO','PRES GETÚLIO','SC','124242241216152431468619195122220734193',14850,'991',43.92,1,3,NULL),(25,6416110,'1993-11-19 00:00:00',4,4,11,2010,'F','N','ALTO DA RUA XV','CURITIBA','PR','116164161216421431369914575122610128142',2787,'9998',66.55,1,3,NULL),(25,6416128,'1994-06-09 00:00:00',4,4,12,2011,'F','S','CENTRO','CEL FREITAS','SC','124241241114131251425619375124610126147',NULL,'169',30.31,1,3,NULL),(25,6416136,'1992-08-01 00:00:00',2,10,12,2009,'M','N','CENTRO','IMBITUBA','SC','124241241216161431323923245124610132062',NULL,'9999',0.00,1,3,NULL),(25,6416144,'1994-03-09 00:00:00',4,1,12,2011,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111731358833595122610138072',NULL,'270',31.08,1,3,NULL),(25,6416152,'1994-01-24 00:00:00',4,1,12,2009,'F','N','ARIRIU','PALHOÇA','SC','624242246215111452433632295124610163187',NULL,'1022',31.83,1,3,NULL),(25,6416179,'1991-12-05 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124252251216371431438834375124233258051',6133,'9998',55.29,1,3,NULL),(25,6416195,'1985-12-10 00:00:00',2,1,12,2003,'F','N','PRAÇA','TIJUCAS','SC','224242241246133431236554285124130246197',NULL,'781',0.00,1,3,NULL),(25,6416209,'1993-04-27 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241117131431423311171224610124067',16565,'9997',35.50,1,2,1),(25,6416217,'1991-01-24 00:00:00',4,8,8,2010,'F','N','VILA NOVA','CPO LARGO','PR','116161163117471411434639372124610165185',936,'9998',72.49,1,2,1),(25,6416225,'1991-03-18 00:00:00',2,3,12,2010,'F','N','CENTRO','FRAIBURGO','SC','124243241315131431435612172122610121182',16255,'317',37.79,1,3,NULL),(25,6416233,'1990-04-05 00:00:00',2,1,12,2007,'M','N','REAL PARQUE','S JOSÉ','SC','124243241337132431237524345114610164047',NULL,'307',24.37,1,3,NULL),(25,6416241,'1990-08-09 00:00:00',4,1,10,2007,'M','N','BIGORRILHO','CURITIBA','PR','116162161211472411489811571122610167182',3231,'9998',65.27,1,3,NULL),(25,6416268,'1993-12-08 00:00:00',2,5,11,2010,'F','N','JARDIM MARISTELA','CRICIÚMA','SC','124242243215111231445812575114610126057',13222,'226',46.31,1,3,NULL),(25,6416276,'1990-02-08 00:00:00',4,1,12,2008,'M','N','STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC','124244241437151431336631375124610167051',20398,'269',33.44,3,3,NULL),(25,6416284,'1993-10-27 00:00:00',4,3,12,2010,'M','N','GRACIOSA','PARANAVAÍ','PR','116161161217111231466933435121610164052',NULL,'52',0.00,1,3,NULL),(25,6416292,'1993-04-08 00:00:00',4,1,12,2010,'F','N','CENTRO','GETÚLIO VARGAS','RS','120201201116151751658613495122610128092',13203,'9998',41.29,1,2,1),(25,6416306,'1968-04-25 00:00:00',4,1,12,1985,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224241246446145751445543335132532738092',NULL,'511',51.86,1,3,NULL),(25,6416322,'1993-12-21 00:00:00',2,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241335131331527779571324610113117',NULL,'53',0.00,1,3,NULL),(25,6416330,'1992-05-16 00:00:00',2,4,11,2010,'M','N','PRESIDENTE MEDICI','CHAPECÓ','SC','124242241215111231258823575124610164197',19810,'185',35.12,1,3,NULL),(25,6416349,'1987-04-16 00:00:00',2,2,12,2010,'F','N','CZERNIEWICS','JARAGUÁ SUL','SC','124241247122371731335314142121610114187',NULL,'9999',33.93,1,2,1),(25,6416357,'1993-01-17 00:00:00',2,1,11,2011,'M','S','IPIRANGA','S JOSÉ','SC','124244241215111732246611392124610137112',NULL,'1118',21.85,1,3,NULL),(25,6416365,'1991-01-20 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241258127131431536824385144610164077',20572,'9998',32.85,1,2,1),(25,6416373,'1993-01-03 00:00:00',4,1,11,2010,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241114131231423339572124610137043',NULL,'591',16.93,1,3,NULL),(25,6416381,'1994-05-30 00:00:00',4,6,12,2011,'M','S','PRAIA DE BOMBAS','BOMBINHAS','SC','124242241215111732456812595122610124047',NULL,'407',48.90,1,3,NULL),(25,6416390,'1982-11-21 00:00:00',4,1,12,2002,'M','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124161241117132431123923145123610138187',17250,'257',40.19,1,3,NULL),(25,6416411,'1982-10-13 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124054051116131421236644441124341718192',9160,'9998',52.75,2,1,2),(25,6416420,'1990-01-26 00:00:00',2,1,12,2008,'F','N','CENTRO','TROMBUDO CENTRAL','SC','624241241116272411643311145122122232142',NULL,'796',0.00,1,2,1),(25,6416438,'1993-08-01 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124244241215131741435612575112610134072',NULL,'226',0.00,1,3,NULL),(25,6416446,'1989-12-12 00:00:00',2,1,12,2006,'F','N','TRES VESNDAS','PELOTAS','RS','120204208216471411234819475124240434045',NULL,'9998',28.01,1,3,NULL),(25,6416454,'1992-03-10 00:00:00',4,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241146151431446923245124610137047',NULL,'283',30.62,1,2,1),(25,6416470,'1994-03-19 00:00:00',4,1,12,2012,'F','S','CENTRO','POMERODE','SC','124242241117121431277911392124610135182',NULL,'855',19.86,1,3,NULL),(25,6416489,'1990-12-20 00:00:00',4,1,12,2008,'F','N','JARDIM GUAPORÉ','MARINGÁ','PR','116162161216573431468814575122610134142',NULL,'9998',0.00,3,3,NULL),(25,6416519,'1993-09-19 00:00:00',4,8,12,2010,'F','N','CENTRO','RIO B IGUAÇU','PR','116161161116111411416623575344610113072',NULL,'9998',0.00,2,1,1),(25,6416527,'1993-05-09 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121431449931195122610136112',6247,'1038',55.02,1,3,NULL),(25,6416535,'1988-08-20 00:00:00',4,8,12,2005,'M','N','XAXIM','CURITIBA','PR','116161161116571411636611575124610137042',17641,'9998',36.24,1,2,1),(25,6416543,'1990-04-11 00:00:00',2,4,12,2007,'F','N','CENTRO','XAMBRÊ','PR','116163161336571431334631285115610116072',13197,'9998',40.68,4,3,NULL),(25,6416551,'1991-10-18 00:00:00',4,1,12,2008,'F','N','CHACARÁ BELA VISTA','JAÚ','SP','125253251215571431566611112112610137077',NULL,'9998',0.00,1,3,NULL),(25,6416560,'1982-03-04 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161217274521228833482122121428017',6398,'9998',57.95,1,3,NULL),(25,6416608,'1991-12-06 00:00:00',4,15,12,2009,'F','N','JARDIM MAUÁ','NOVO HAMBURGO','RS','120202201215471431459834475122610161147',9525,'9998',48.79,1,3,NULL),(25,6416632,'1990-11-06 00:00:00',2,8,11,2007,'F','N','CENTRO','CURITIBA','PR','116164161215571751536632273125610134187',3251,'9998',63.31,1,3,NULL),(25,6416640,'1989-05-09 00:00:00',4,8,12,2006,'M','N','BOEHMERWALDT','JOINVILLE','SC','124241246346131212436614245133610138147',NULL,'478',0.00,1,3,NULL),(25,6416667,'1991-05-06 00:00:00',2,10,11,2009,'F','N','TRES FIGUEIRAS','PTO ALEGRE','RS','120282281217471711568814445122610127182',NULL,'9998',0.00,1,3,NULL),(25,6416683,'1993-03-21 00:00:00',4,1,12,2010,'F','N','ALTO DA BOA VISTA','SOROCABA','SP','125242251115111431368812575122610167142',NULL,'9998',0.00,1,3,NULL),(25,6416691,'1983-04-22 00:00:00',2,1,12,2000,'F','N','SANTA TERESA','S PEDRO ALCÂNTARA','SC','124241241216455441336813485124421542092',10881,'270',49.85,1,3,NULL),(25,6416713,'1991-05-18 00:00:00',4,1,12,2008,'F','N','VERENA','STA CRUZ SUL','RS','120202201216572451378834575114610162117',NULL,'9998',0.00,1,3,NULL),(25,6416748,'1992-08-09 00:00:00',4,8,12,2009,'F','N','CIRO NARDI','CASCAVEL','PR','116164161215371431568934572112610134187',257,'9998',80.11,1,3,NULL),(25,6416756,'1992-10-27 00:00:00',2,1,12,2009,'F','N','PONTAL','PALHOÇA','SC','124241241115131231118747575324610126142',NULL,'592',28.03,1,2,1),(25,6416764,'1992-10-20 00:00:00',2,1,12,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124241241115371432321139582124610134142',21552,'592',22.20,1,3,NULL),(25,6416772,'1994-11-29 00:00:00',4,1,12,2012,'M','S','PROGRESSO','S BENTO SUL','SC','124241241217111732349672572122610122146',NULL,'1178',52.65,1,3,NULL),(25,6416780,'1991-12-26 00:00:00',4,1,5,2010,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242281415371431369933572124610166121',1208,'9998',71.96,4,3,NULL),(25,6416799,'1964-07-17 00:00:00',2,1,7,1990,'M','N','PONTE DE IMARUIM','PALHOÇA','SC','524241247221152411253343435122323067062',20795,'270',31.96,2,1,2),(25,6416802,'1995-03-17 00:00:00',4,1,12,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124244241215111331548632575124610132142',18082,'1022',38.67,1,3,NULL),(25,6416810,'1993-09-22 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241117131731426913575124610134177',NULL,'288',0.00,1,2,1),(25,6416829,'1978-07-03 00:00:00',4,1,12,1994,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','224243248216144411387654415132322461182',NULL,'32',38.54,1,3,NULL),(25,6416837,'1993-01-15 00:00:00',4,8,12,2010,'M','N','VILA RIBEIROPULIS','REGISTRO','SP','125253251216141431449833395121610134053',13819,'9998',42.73,1,3,NULL),(25,6416845,'1956-12-17 00:00:00',5,1,11,1982,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224241246126154711344449392122321437042',NULL,'306',0.00,1,2,1),(25,6416888,'1987-06-15 00:00:00',2,4,12,2004,'M','N','CENTRO','GUARACIABA','SC','124241241136131231436321375124131217047',NULL,'334',31.14,1,2,1),(25,6416896,'1993-11-17 00:00:00',2,4,12,2010,'F','N','CENTRO','S MIGUEL OESTE','SC','116243161215111431649631592325610147012',NULL,'9998',0.00,1,3,NULL),(25,6416900,'1992-12-05 00:00:00',5,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111431258822575122610147183',NULL,'951',0.00,1,3,NULL),(25,6416918,'1992-06-29 00:00:00',4,4,12,2009,'F','N','ITAPAGÉ','FREDERICO WESTPHALEN','RS','120204201216111431576933275124233262147',19967,'9998',34.68,1,3,NULL),(25,6416926,'1993-09-27 00:00:00',4,8,11,2011,'F','S','CENTRO','JOINVILLE','SC','124242241215111731479834572112610123182',NULL,'457',15.73,1,3,NULL),(25,6416934,'1992-03-19 00:00:00',2,1,12,2009,'M','N','TERESÓPOLIS','PTO ALEGRE','RS','120202201216471232449813572112610167112',8549,'9998',50.92,1,3,NULL),(25,6416950,'1993-10-23 00:00:00',4,2,12,2010,'F','N','CENTRO','BRUSQUE','SC','124253241215271431337711175122610124147',20396,'107',33.44,1,3,NULL),(25,6416985,'1992-06-12 00:00:00',2,1,12,2009,'F','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124242241217372431345913575122232744045',15005,'272',40.32,1,3,NULL),(25,6416993,'1986-08-13 00:00:00',2,1,12,2004,'M','N','BARREIROS','S JOSÉ','SC','124242241217142711673312145112610127117',NULL,'269',0.00,1,3,NULL),(25,6417000,'1993-01-04 00:00:00',2,1,12,2010,'M','N','PRAIA DE BOTAFOGO','RIO JANEIRO','RJ','121212211217111431168414345124610167117',NULL,'9998',0.00,4,3,NULL),(25,6417019,'1966-06-15 00:00:00',2,1,12,1997,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','524241241127141411522144341124330217012',NULL,'922',31.38,1,3,NULL),(25,6417027,'1992-11-03 00:00:00',4,4,12,2009,'F','N','CENTRO','FREDERICO WESTPHALEN','RS','120204201216151431486914375122230414012',19467,'9998',35.90,1,3,NULL),(25,6417043,'1984-09-11 00:00:00',4,8,12,2002,'M','N','CENTRO','CURITIBA','PR','116243241111135441126114445221613216112',NULL,'140',0.00,4,3,NULL),(25,6417051,'1994-08-11 00:00:00',2,15,12,2010,'M','N','CENTRO','TURVO','SC','124242241215111431438914575121610137072',18209,'813',38.45,1,3,NULL),(25,6417060,'1994-09-22 00:00:00',4,1,11,2011,'M','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217151631456613575124610127042',NULL,'270',15.91,1,3,NULL),(25,6417078,'1980-09-27 00:00:00',4,1,12,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252251216164221126641415113121417187',NULL,'9998',28.41,1,3,NULL),(25,6417086,'1994-06-21 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','624242241115111531478612575111610117095',18664,'737',37.62,1,3,NULL),(25,6417094,'1991-12-17 00:00:00',2,1,12,2009,'M','N','ASA SUL','BRASÍLIA','DF','107071071215371431668823376124241464072',NULL,'9998',0.00,3,3,NULL),(25,6417108,'1993-08-21 00:00:00',4,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124241241215111431346812575122610114142',NULL,'962',15.14,1,3,NULL),(25,6417116,'1994-01-04 00:00:00',2,1,12,2010,'F','N','INDIA','CANELINHA','SC','124242248115111411535512575124610166172',NULL,'1119',0.00,1,3,NULL),(25,6417124,'1994-03-20 00:00:00',4,1,11,2010,'M','N','ROÇADO','S JOSÉ','SC','124242241215111431358812575112610134142',17399,'1076',39.93,1,3,NULL),(25,6417132,'1993-04-18 00:00:00',2,10,12,2010,'F','N','VILA ALVORADA','IMBITUBA','SC','124241241317161432238429575321610162172',NULL,'358',0.00,3,3,NULL),(25,6417140,'1986-04-02 00:00:00',2,1,12,2003,'F','N','CENTRO','CONDOR','RS','120201201137131431438421342324140636142',NULL,'9998',0.00,4,2,1),(25,6417183,'1983-08-22 00:00:00',2,1,12,1999,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124202201117161431448712185124132127047',12439,'9998',47.45,1,3,NULL),(25,6417191,'1991-05-14 00:00:00',4,1,11,2008,'M','N','CENTRO','DIADEMA','SP','125252251216571211538814485115610123012',4978,'9998',58.20,4,3,NULL),(25,6417205,'1986-11-10 00:00:00',2,1,12,2003,'M','N','PRAÇA','TIJUCAS','SC','124241241216141751653419295125331634053',NULL,'972',0.00,2,3,NULL),(25,6417221,'1990-09-27 00:00:00',2,6,11,2008,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124242241216371431236419175112610164067',NULL,'1086',10.63,1,3,NULL),(25,6417230,'1992-10-01 00:00:00',4,1,12,2009,'M','N','CENTRO','NÃO-ME-TOQUE','RS','120202201217141531577715175114231454142',NULL,'9998',0.00,1,3,NULL),(25,6417248,'1977-08-10 00:00:00',4,15,11,1998,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','224241241136131721323344445331610152047',NULL,'29',13.20,4,2,1),(25,6417280,'1993-03-10 00:00:00',4,1,12,2010,'M','N','SETE DE SETEMBRO','IVOTI','RS','120202201217151411283823575124610112097',17776,'9998',31.75,1,3,NULL),(25,6417299,'1981-06-05 00:00:00',4,1,12,1999,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124211213237271731127544445113143266182',NULL,'9998',0.00,1,3,NULL),(25,6417337,'1993-11-03 00:00:00',2,1,11,2010,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124244248345111431447933375124613262042',NULL,'944',29.77,1,3,NULL),(25,6417345,'1986-09-08 00:00:00',2,1,11,2005,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241121133411333611241115133217147',NULL,'591',36.25,4,1,1),(25,6417353,'1992-11-16 00:00:00',2,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241115141431356623335124610117044',NULL,'307',28.92,2,1,2),(25,6417361,'1993-04-02 00:00:00',4,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115111511368624446122610114122',NULL,'267',0.00,1,2,1),(25,6417388,'1992-05-18 00:00:00',4,1,10,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241417132411434823375112610164183',NULL,'1075',0.00,1,3,NULL),(25,6417396,'1984-01-14 00:00:00',4,1,11,2003,'M','N','SÃO JOÃO','ITAJAÍ','SC','124241241116132431558923435123131317037',10973,'257',49.72,1,2,1),(25,6417400,'1985-09-14 00:00:00',2,7,12,2003,'F','N','SORGATTO','CAÇADOR','SC','224241241126161411233154235122610116092',NULL,'650',37.12,4,2,1),(25,6417426,'1990-09-13 00:00:00',2,15,11,2007,'M','N','CENTRO','SOMBRIO','SC','124242241212515421469933592125610137042',NULL,'32',30.57,4,3,NULL),(25,6417442,'1989-02-05 00:00:00',2,1,12,2006,'M','N','VILA JOÃO PESSOA','PTO ALEGRE','RS','120201201116152751123535295114241762047',16357,'9998',41.62,1,2,1),(25,6417450,'1992-05-27 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','116162161217471431247923575114610117043',9945,'9998',47.81,1,3,NULL),(25,6417469,'1990-07-02 00:00:00',4,1,12,2007,'M','N','VILA CLEMENTINO','S PAULO','SP','125252251216571431469913475125141162093',5028,'9998',57.25,1,3,NULL),(25,6417477,'1982-09-02 00:00:00',4,1,7,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241247146132411221344245134610126183',NULL,'9999',30.76,1,2,1),(25,6417485,'1989-11-21 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124244241217132411636733315114610142042',NULL,'259',0.00,1,3,NULL),(25,6417493,'1987-05-03 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161161146151441121947395124341966177',15408,'9998',43.04,1,3,NULL),(25,6417515,'1992-11-04 00:00:00',4,8,12,2010,'F','N','FAZENDINHA','CURITIBA','PR','116162163115371411347631375122610166142',NULL,'9998',0.00,1,3,NULL),(25,6417531,'1992-01-16 00:00:00',2,7,12,2009,'F','N','CENTRO','TREZE TÍLIAS','SC','124241241115371431623619445124610168147',NULL,'539',0.00,1,2,1),(25,6417540,'1989-06-11 00:00:00',4,1,12,2006,'F','N','PRAIA MOLE','FLORIANÓPOLIS','SC','124202201216111431323332285342230227112',NULL,'9998',9.18,1,3,NULL),(25,6417566,'1991-06-11 00:00:00',2,4,12,2009,'F','N','CENTRO','ERVAL GRANDE','RS','120201201116131431423419575124610138197',16056,'9998',36.67,1,2,1),(25,6417574,'1994-07-27 00:00:00',4,1,11,2010,'F','N','CENTRO','NOVA TRENTO','SC','124241241216111431424431594122610117142',17669,'105',36.96,1,3,NULL),(25,6417590,'1982-07-20 00:00:00',2,15,12,2009,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','624241247126131721422354212311610127187',NULL,'9999',32.64,2,1,1),(25,6417612,'1992-10-10 00:00:00',4,3,12,2009,'F','N','SAN RAFAEL','MARACAJU','MS','112122121236471431469911575122610163142',NULL,'9998',0.00,1,3,NULL),(25,6417620,'1975-07-19 00:00:00',4,1,12,1994,'M','N','BARREIROS','S JOSÉ','SC','224201208421142711245541215122130218117',NULL,'9998',33.87,1,3,NULL),(25,6417655,'1991-11-10 00:00:00',4,15,12,2009,'M','N','ALTO DO PARQUE','LAJEADO','RS','120202201216471711333832525112142137013',11068,'9998',45.55,1,3,NULL),(25,6417671,'1989-07-12 00:00:00',4,1,12,2007,'M','N','ZONA SETE','MARINGÁ','PR','116252251217571431238634245125610161112',11320,'9998',49.18,1,3,NULL),(25,6417698,'1992-02-03 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241217273712367714277112610162196',6572,'738',55.31,1,3,NULL),(25,6417710,'1993-05-13 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111411458611472114610167182',15191,'1022',37.76,1,3,NULL),(25,6417728,'1993-01-08 00:00:00',4,10,12,2010,'F','N','MONTE ALEGRE','TREZE MAIO','SC','124241241126141431413411242122610137147',NULL,'793',0.00,1,2,1),(25,6417736,'1989-01-26 00:00:00',4,1,11,2006,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241216152732257652485122132642117',NULL,'32',0.00,1,3,NULL),(25,6417752,'1977-06-23 00:00:00',4,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241248127171732313148292214610114197',NULL,'9999',0.00,4,2,1),(25,6417760,'1990-12-01 00:00:00',2,1,12,2008,'F','N','ABERTA DOS MORROS','PTO ALEGRE','RS','120203201117571431548833571124610167097',3434,'9998',62.87,4,3,NULL),(25,6417787,'1974-12-04 00:00:00',4,1,12,1994,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252241216472421227744345124120233095',NULL,'272',0.00,1,3,NULL),(25,6417795,'1993-02-20 00:00:00',2,6,12,2010,'M','N','CENTRO','BOMBINHAS','SC','124241248116131431634814372124610128142',NULL,'1089',0.00,1,2,1),(25,6417809,'1989-09-23 00:00:00',4,17,12,2007,'F','N','PRAIA DOS COQUEIROS','PIMENTA','MG','113131131116151431536623415122142062047',NULL,'9998',0.00,1,2,1),(25,6417817,'1993-04-15 00:00:00',2,1,12,2010,'F','N','CENTRO','S BONIFÁCIO','SC','124241241125161431528613345324610157147',NULL,'702',15.70,1,2,1),(25,6417825,'1991-06-13 00:00:00',2,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242248216111511326634475124610127043',19496,'1050',31.39,1,3,NULL),(25,6417833,'1992-11-14 00:00:00',4,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241415111751523319342224610167087',NULL,'977',0.00,1,3,NULL),(25,6417868,'1991-08-07 00:00:00',2,15,12,2007,'F','N','MARECHAL RONDON','CANOAS','RS','120202201216571431489921571124610137142',3388,'9998',64.84,1,3,NULL),(25,6417876,'1981-12-03 00:00:00',4,1,12,1998,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224242248212142421256551315134131461142',13834,'237',45.42,1,3,NULL),(25,6417884,'1994-03-15 00:00:00',4,15,11,2011,'F','S','COLONINHA','ARARANGUÁ','SC','124242241215111431448832575122610128141',NULL,'970',35.77,1,3,NULL),(25,6417914,'1993-07-22 00:00:00',4,1,12,2010,'F','N','BARAO GERALDO','CAMPINAS','SP','125252251211111431589933575122610142171',NULL,'9998',29.80,1,3,NULL),(25,6417922,'1991-12-01 00:00:00',4,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241235372231235931272114130224182',3913,'1011',63.50,1,3,NULL),(25,6417949,'1990-09-10 00:00:00',4,1,12,2007,'M','N','JARDIM SAO PAULO','AMERICANA','SP','125252251217412431459833476124222927042',11333,'9998',49.16,1,3,NULL),(25,6417957,'1993-05-24 00:00:00',4,4,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241236271231124913235124610167032',17956,'752',38.93,1,3,NULL),(25,6417965,'1954-04-15 00:00:00',2,1,12,1982,'M','N','CENTRO','FLORIANÓPOLIS','SC','224242247222132411363349195122130826042',NULL,'9999',0.00,1,3,NULL),(25,6417973,'1987-06-18 00:00:00',2,3,12,2004,'M','N','DOM GUANELLA','CANELA','RS','120204201411231431547531475124141044047',1711,'9998',69.75,1,3,NULL),(25,6417990,'1993-10-18 00:00:00',2,1,11,2010,'F','N','CENTRO','TANGARÁ SERRA','MT','111111111116131421228823485121610131097',NULL,'262',0.00,1,3,NULL),(25,6418007,'1988-08-12 00:00:00',4,1,12,2005,'M','N','JURERE','FLORIANÓPOLIS','SC','124202241216132431438421242224121228182',9392,'1169',52.36,1,3,NULL),(25,6418015,'1992-04-03 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124201241114133441124444245124221736173',11961,'733',48.22,1,2,1),(25,6418023,'1992-05-20 00:00:00',4,1,12,2009,'F','N','CURUÇA','STO ANDRÉ','SP','125252251217471431567812575122610164142',8930,'9998',47.65,1,3,NULL),(25,6418031,'1991-05-12 00:00:00',4,9,12,2008,'F','N','OLARIA','RIO JANEIRO','RJ','121212216116271711326621575114230334117',NULL,'9998',0.00,1,3,NULL),(25,6418040,'1992-10-22 00:00:00',4,1,11,2009,'F','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125242251217471431369813575112610144057',6409,'9998',55.40,1,3,NULL),(25,6418058,'1980-11-22 00:00:00',4,1,12,1998,'M','N','CENTRO','IMBITUBA','SC','124244241211554411166443434132121036043',NULL,'269',40.25,1,3,NULL),(25,6418066,'1994-06-05 00:00:00',4,8,12,2011,'F','S','CZERNIEWICZ','JARAGUÁ SUL','SC','124243241217111731339923342225610125142',NULL,'442',34.65,1,3,NULL),(25,6418082,'1993-01-13 00:00:00',4,8,12,2010,'F','N','AMIZADE','GUARAMIRIM','SC','124243241216141431448923345124610127147',NULL,'441',0.00,1,3,NULL),(25,6418090,'1992-05-21 00:00:00',4,1,12,2009,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241217112751428611495124231018147',17167,'270',40.34,1,3,NULL),(25,6418120,'1991-12-01 00:00:00',2,5,12,2008,'F','N','PRÓSPERA','CRICIÚMA','SC','124241241217132151436811385124610131187',NULL,'920',0.00,1,3,NULL),(25,6418139,'1993-12-02 00:00:00',2,1,12,2010,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241117131231346824272124610137047',21499,'592',27.95,1,2,1),(25,6418147,'1993-07-12 00:00:00',4,2,12,2010,'F','N','DOS ESTADOS','TIMBÓ','SC','124242241215121431369614272122610127036',NULL,'1157',0.00,1,3,NULL),(25,6418155,'1994-04-05 00:00:00',2,8,12,2010,'M','N','VILA DIVINÉIA','PARANAGUÁ','PR','116162161217271731336824572122610122147',18365,'9998',33.79,4,3,NULL),(25,6418163,'1994-05-11 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONECEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431356612576124610132182',15234,'299',43.35,1,3,NULL),(25,6418201,'1992-12-08 00:00:00',2,6,12,2009,'F','N','PORTÃO','CURITIBA','PR','116162161216471751339812585114610164115',12782,'9998',41.81,1,3,NULL),(25,6418210,'1991-12-10 00:00:00',5,1,11,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241212132411428624572124222221092',NULL,'269',33.96,1,3,NULL),(25,6418236,'1988-06-30 00:00:00',4,1,12,2005,'M','N','BATEL','CURITIBA','PR','116242241215372411249929585124141068127',NULL,'1063',0.00,1,3,NULL),(25,6418252,'1993-11-13 00:00:00',2,5,12,2010,'F','N','SANTA ISABEL','FORQUILHINHA','SC','124241248216131731426615375124610124077',14573,'995',44.33,1,3,NULL),(25,6418260,'1993-08-06 00:00:00',2,1,12,2010,'F','N','TRÊS VENDAS','ERECHIM','RS','120202201215111231335612595112610127042',14596,'9998',37.85,1,3,NULL),(25,6418287,'1990-04-08 00:00:00',4,1,12,2007,'F','N','PIRITUBA','S PAULO','SP','125252251215571411588813595124610114072',NULL,'9998',0.00,1,3,NULL),(25,6418325,'1991-08-16 00:00:00',4,1,12,2009,'M','N','JD GUADALUPE','OSASCO','SP','125252251217472331488831572112610167087',NULL,'9998',0.00,1,3,NULL),(25,6418333,'1991-06-23 00:00:00',2,3,12,2008,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120191201117571731366416575114610144017',11225,'9998',45.72,1,2,1),(25,6418350,'1980-09-15 00:00:00',3,1,12,1998,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624242241212123721226771212122322213197',NULL,'270',0.00,1,3,NULL),(25,6418368,'1994-03-24 00:00:00',4,5,12,2010,'F','N','CENTRO','ARARANGUÁ','SC','124243241215111731436531575115610137097',12619,'9997',43.09,1,3,NULL),(25,6418376,'1992-12-25 00:00:00',4,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116164161217471411448719575122610166043',NULL,'9998',0.00,1,3,NULL),(25,6418392,'1983-03-11 00:00:00',4,9,12,2000,'M','N','JARDIM BANDEIRA','S JOAQUIM','SC','124241241121132441435511241234130724097',NULL,'719',28.47,1,3,NULL),(25,6418406,'1990-07-05 00:00:00',2,8,11,2007,'F','N','VISTA ALEGRE','CURITIBA','PR','116162161217571431588812425122610127092',NULL,'9998',0.00,1,3,NULL),(25,6418414,'1992-09-03 00:00:00',4,8,11,2009,'F','N','JARDIM BONGIOVANNI','PRES PRUDENTE','SP','125252251216411211469813475122610167147',NULL,'9998',36.27,1,3,NULL),(25,6418422,'1993-10-01 00:00:00',4,6,12,2010,'F','N','ARMAÇÃO','PENHA','SC','124241241217141432436612122114610164192',NULL,'388',0.00,1,3,NULL),(25,6418430,'1990-05-22 00:00:00',2,5,12,2008,'M','N','JARDIM MARISTELA','CRICIÚMA','SC','124242241216111431346839431123233268097',NULL,'211',14.60,3,3,NULL),(25,6418457,'1980-09-19 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116153711164443235122121146097',NULL,'840',0.00,1,2,1),(25,6418473,'1986-04-12 00:00:00',2,1,12,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217574431358813385124220838042',11790,'9997',48.50,1,3,NULL),(25,6418490,'1993-08-27 00:00:00',2,4,11,2010,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124242241217111431338812572112610134092',NULL,'168',0.00,1,3,NULL),(25,6418520,'1993-10-08 00:00:00',2,1,12,2010,'M','N','STO ANTONIO','S BONIFÁCIO','SC','124241241125161531524415312324610125057',NULL,'702',0.00,1,3,NULL),(25,6418538,'1986-09-02 00:00:00',4,1,11,2003,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244246212154231656612472122221447162',6423,'974',57.91,1,3,NULL),(25,6418546,'1992-07-09 00:00:00',2,17,12,2009,'F','N','JARDIM DO MOINHO','MAFRA','SC','124241241116152121233311445115610163187',NULL,'542',19.96,1,2,1),(25,6418570,'1978-08-28 00:00:00',2,1,6,2001,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','224241243127141731629613332124610137066',NULL,'9999',18.65,2,1,1),(25,6418589,'1991-08-29 00:00:00',4,1,7,2010,'M','N','HIGENOPOLIS','PTO ALEGRE','RS','120204207217151111558813585122610116182',NULL,'9998',0.00,1,3,NULL),(25,6418597,'1989-04-12 00:00:00',4,15,12,2007,'M','N','CENTRO','PALMARES SUL','RS','120203201412111741368832582122143248184',10229,'9998',46.94,1,3,NULL),(25,6418600,'1984-05-23 00:00:00',4,1,8,2003,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124201201131141231121244242124140218182',21409,'9998',28.73,3,3,NULL),(25,6418619,'1963-05-11 00:00:00',2,1,12,1981,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241246116114411123441415124521832093',NULL,'306',0.00,1,2,1),(25,6418627,'1991-12-21 00:00:00',4,7,12,2010,'M','N','INDUSTRIAL','SALTO VELOSO','SC','124241247126161431431623245121610118077',NULL,'9999',0.00,1,2,1),(25,6418635,'1983-12-02 00:00:00',2,1,12,2001,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','624161161126141431233444142122610122187',NULL,'9998',30.42,2,1,1),(25,6418643,'1984-03-22 00:00:00',2,1,12,2000,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241336575331434517342222231014052',NULL,'300',23.59,1,3,NULL),(25,6418651,'1994-04-06 00:00:00',4,10,12,2011,'M','S','TERMAS','GRAVATAL','SC','124241241126161431446312575122610144052',NULL,'332',42.90,1,3,NULL),(25,6418660,'1994-03-19 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217151431356829395124610124181',8806,'1022',50.24,1,3,NULL),(25,6418678,'1990-09-30 00:00:00',2,10,12,2007,'F','N','FÁBIO SILVA','TUBARÃO','SC','124241241112171431446511595122131421042',21370,'804',29.01,1,3,NULL),(25,6418686,'1985-09-01 00:00:00',2,1,7,2002,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124203201337161431448712185124610127047',15590,'9998',42.78,1,3,NULL),(25,6418708,'1993-05-17 00:00:00',4,1,12,2011,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124242241212111711436612572222610167062',NULL,'273',31.55,1,3,NULL),(25,6418724,'1983-01-10 00:00:00',2,1,12,2001,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241146133441146441315124330226097',NULL,'327',29.82,1,2,1),(25,6418732,'1992-10-15 00:00:00',2,15,12,2009,'F','N','SANTANA','PTO ALEGRE','RS','120202201215571731358831571124610164097',NULL,'9998',38.71,1,3,NULL),(25,6418740,'1971-12-02 00:00:00',4,1,8,2002,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','224241247146161411444353372112132723197',NULL,'9999',19.96,1,3,NULL),(25,6418759,'1992-12-11 00:00:00',4,1,12,2009,'F','N','CENTRO','STA MARIA','RS','120244201217471431338631572115610162147',4624,'9998',59.43,1,3,NULL),(25,6418767,'1988-08-17 00:00:00',4,1,12,2006,'M','N','SAMAMBAIA NORTE','SAMAMBAIA','DF','107072071216572741257823575122141465146',NULL,'9998',0.00,5,3,NULL),(25,6418775,'1988-10-15 00:00:00',2,1,12,2005,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116134411423614281114610164192',15552,'592',38.51,1,3,NULL),(25,6418783,'1994-07-16 00:00:00',2,15,12,2010,'F','N','MARECHAL RONDON','CANOAS','RS','120202201216471731489921575122610166172',19692,'9998',35.39,1,3,NULL),(25,6418821,'1993-09-08 00:00:00',4,1,12,2010,'M','N','CENTRO','CANELINHA','SC','624241248235111432464812475122610134047',18024,'1119',38.80,1,3,NULL),(25,6418830,'1992-09-26 00:00:00',4,1,12,2010,'F','N','JARDIM CIDADE','S JOSÉ','SC','124241248126111752113349295223610123147',21338,'736',29.22,1,2,1),(25,6418848,'1991-11-12 00:00:00',2,4,12,2008,'M','N','JARDIM SOFIA','JOINVILLE','SC','124241241116413411367923575124231467042',9639,'182',49.13,1,2,1),(25,6418864,'1992-12-16 00:00:00',4,1,12,2011,'F','S','PONTE DE IMARUIM','PALHOÇA','SC','124242241216111731438613475124610111147',NULL,'989',18.37,1,3,NULL),(25,6418872,'1990-02-12 00:00:00',4,1,11,2007,'M','N','MOEMA','S PAULO','SP','125252251211571421578831572122610137072',6546,'9998',53.32,1,3,NULL),(25,6418899,'1987-08-19 00:00:00',2,1,12,2004,'F','N','PALHOÇA','PALHOÇA','SC','224241241137143431223354445113610135057',17443,'96',39.85,1,2,1),(25,6418902,'1990-09-17 00:00:00',2,3,12,2007,'M','N','ZONA SETE','MARINGÁ','PR','116164161216571411336833272124240366142',NULL,'9998',23.15,1,3,NULL),(25,6418910,'1984-02-03 00:00:00',2,1,11,2004,'M','N','CANTO','FLORIANÓPOLIS','SC','124241241113272411227744343214120964042',NULL,'9999',33.32,1,2,1),(25,6418937,'1989-06-14 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116142231336623395114130218187',NULL,'307',0.00,1,2,1),(25,6418945,'1987-03-29 00:00:00',2,1,12,2004,'M','N','JARDIM AQUARIUS','PALHOÇA','SC','124241241126333431446621245134122224057',12460,'591',43.36,1,2,1),(25,6418953,'1993-01-13 00:00:00',2,3,2,2010,'F','N','BARRA','BAL CAMBORIÚ','SC','124241248215131231433611275124610154197',NULL,'53',0.00,1,3,NULL),(25,6418961,'1988-07-18 00:00:00',2,7,12,2005,'F','N','TOBIAS','JOAÇABA','SC','124241248136131711423729241135132828187',NULL,'9',36.62,1,3,NULL),(25,6418970,'1982-10-27 00:00:00',4,1,5,2003,'M','N','JOSE MENDES','FLORIANÓPOLIS','SC','124241246116575411236644445122222324043',NULL,'303',0.00,4,2,1),(25,6418988,'1991-12-03 00:00:00',4,1,12,2008,'F','N','CAMPO DUNA','GAROPABA','SC','124241241116371431326619275122133223092',NULL,'1136',0.00,1,2,1),(25,6419003,'1993-03-22 00:00:00',2,10,11,2010,'M','N','SANTO ANDRÉ','CAPIVARI BAIXO','SC','124242241235111431234827575122610117047',14123,'806',40.69,1,3,NULL),(25,6419011,'1992-06-29 00:00:00',2,3,12,2010,'M','N','BOMBAS','BOMBINHAS','SC','124241243116151231546519275112610115152',NULL,'1089',0.00,1,2,1),(25,6419020,'1993-01-20 00:00:00',4,1,10,2010,'M','N','ESPLANADA DO SOL','S JOSÉ CAMPOS','SP','125252251217111411488814445122610167112',NULL,'9998',0.00,1,3,NULL),(25,6419038,'1994-01-20 00:00:00',4,1,12,2011,'M','S','CAMPINAS','S JOSÉ','SC','124242241215111752458812575122610134042',NULL,'737',0.00,1,3,NULL),(25,6419062,'1993-02-21 00:00:00',2,2,12,2010,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241417141431325821292124610144197',NULL,'79',30.34,1,3,NULL),(25,6419089,'1994-12-26 00:00:00',4,1,12,2011,'M','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217111752368823575114610118045',NULL,'1022',51.65,1,3,NULL),(25,6419097,'1986-01-29 00:00:00',4,1,12,2003,'M','N','PARTENON','PTO ALEGRE','RS','120203201217571731678813475145610167187',1660,'9998',70.63,1,3,NULL),(25,6419100,'1986-05-24 00:00:00',4,8,12,2005,'M','N','MORRO DO MEIO','JOINVILLE','SC','124201246216372431448723285123132342081',NULL,'1105',22.87,5,3,NULL),(25,6419127,'1991-06-26 00:00:00',4,4,12,2007,'F','N','JARDIM LA SALLE','TOLEDO','PR','116201201116373431426315595121243267142',NULL,'9998',0.00,1,2,1),(25,6419135,'1976-03-09 00:00:00',2,1,11,1998,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124244248337132741423344245122610128167',NULL,'9999',32.32,1,3,NULL),(25,6419151,'1992-11-10 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215132411449934194125610167112',NULL,'226',0.00,1,3,NULL),(25,6419160,'1987-02-02 00:00:00',4,1,12,2004,'M','N','MOSTEIRO DE ITAICI','INDAIATUBA','SP','125252251417111432468611415112610127044',8869,'9998',47.30,1,3,NULL),(25,6419178,'1993-07-03 00:00:00',4,3,11,2010,'F','N','CENTRO','SORRISO','MT','111112111217161431459836585122610125182',12377,'9998',42.42,3,3,NULL),(25,6419194,'1987-08-24 00:00:00',4,15,12,2004,'F','N','BOM FIM','PTO ALEGRE','RS','120201201111572421367833571114142523093',1109,'9998',72.73,1,2,1),(25,6419208,'1992-01-30 00:00:00',2,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241125171431426329293234610167127',NULL,'290',0.00,1,2,1),(25,6419216,'1988-01-23 00:00:00',2,1,12,2005,'M','N','AREIAS','S JOSÉ','SC','124242241216132731445934445114610127042',16916,'976',35.66,1,3,NULL),(25,6419232,'1993-04-04 00:00:00',4,9,12,2010,'F','N','CEDRO','URUPEMA','SC','124241241126161732513326572224610118057',NULL,'819',16.07,1,2,1),(25,6419240,'1986-06-25 00:00:00',4,1,12,2004,'F','N','JD FLAMBOYANT','BOTUCATU','SP','125252251216571721339913575122143241017',NULL,'9998',47.25,1,3,NULL),(25,6419259,'1994-09-27 00:00:00',4,1,12,2011,'M','S','CAMPINAS','S JOSÉ','SC','124242241215111731337832575112610117042',NULL,'737',38.40,1,3,NULL),(25,6419275,'1993-10-04 00:00:00',2,15,11,2010,'F','N','POLÍCIA RODOVIARIA','ARARANGUÁ','SC','124241241115131431423315386221610164017',21543,'852',27.52,1,2,1),(25,6419283,'1979-11-29 00:00:00',2,1,7,2006,'F','N','FORQUILINHAS','S JOSÉ','SC','124241247122341711111144245124610158192',21180,'9997',30.17,1,2,1),(25,6419291,'1987-09-11 00:00:00',4,1,12,2005,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241215113431358624444122331412124',NULL,'270',0.00,1,3,NULL),(25,6419356,'1991-07-04 00:00:00',2,8,12,2008,'M','N','CENTRO','GARUVA','SC','124241241127151431546634235125610117182',NULL,'923',13.46,1,2,1),(25,6419364,'1992-09-25 00:00:00',4,1,12,2010,'M','N','REDENTORA','S JOSÉ R PRETO','SP','125252251217151231355821575122610127047',11891,'9998',43.89,1,3,NULL),(25,6419372,'1988-11-09 00:00:00',2,3,12,2005,'F','N','CENTRO','LONDRINA','PR','116162161216575431448837475112610142147',6351,'9998',53.57,1,3,NULL),(25,6419380,'1985-11-24 00:00:00',4,1,12,2003,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124252251216515451249713591122232467097',857,'9998',74.85,1,3,NULL),(25,6419399,'1993-05-26 00:00:00',2,4,12,2010,'F','N','AREA INDUSTRIAL','RENASCENÇA','PR','116161161116151431326311575122610127072',14260,'9998',40.35,1,2,1),(25,6419402,'1993-04-19 00:00:00',4,1,12,2010,'F','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251217271431568814575112610146192',NULL,'9998',0.00,1,3,NULL),(25,6419410,'1992-06-01 00:00:00',4,9,11,2009,'M','N','CENTRO','LAGES','SC','124242241216471411469811575125610167082',4697,'497',59.33,1,3,NULL),(25,6419429,'1991-06-17 00:00:00',4,1,12,2008,'M','N','CENTRO','INDAIATUBA','SP','125252251216572441554823576112610117047',NULL,'9998',0.00,3,3,NULL),(25,6419437,'1991-05-19 00:00:00',4,1,12,2007,'F','N','CENTRO','STA MARIA','RS','120202201214571431647719371112610112017',719,'9998',75.07,1,3,NULL),(25,6419445,'1993-09-16 00:00:00',4,3,11,2010,'M','N','JARDIM PROGRESSO','PARANAVAÍ','PR','116162161216451321158815595115611467064',16213,'9998',41.83,1,3,NULL),(25,6419453,'1995-04-11 00:00:00',4,4,12,2011,'F','S','OURO VERDE','CEL FREITAS','SC','124241241115111531436631575122610138197',NULL,'169',19.05,1,3,NULL),(25,6419461,'1986-10-06 00:00:00',2,1,11,2005,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124243241117374711337833245124610221117',NULL,'306',42.46,1,3,NULL),(25,6419496,'1993-07-28 00:00:00',4,4,12,2010,'F','N','SAO GENARO','CHOPINZINHO','PR','116161161117271751425639595124613218187',10276,'9998',46.55,1,2,1),(25,6419500,'1991-12-30 00:00:00',2,1,12,2009,'F','N','CENTRO','GUARAPUAVA','PR','116164161216471431447732575112610124127',NULL,'9998',0.00,1,3,NULL),(25,6419518,'1985-06-09 00:00:00',2,15,12,2002,'F','N','CIDADE ALTA','ARARANGUÁ','SC','224241241112132421223954325122331225147',NULL,'30',21.72,1,3,NULL),(25,6419526,'1992-11-30 00:00:00',4,1,12,2010,'M','N','JARDIM GLÓRIA','AMERICANA','SP','125252251217111431466832375112611437094',13231,'9998',41.10,1,3,NULL),(25,6419534,'1993-07-12 00:00:00',4,15,12,2010,'F','N','CENTRO','LAGES','SC','124202241216131431438932275112610124077',20351,'515',33.56,1,3,NULL),(25,6419542,'1985-08-01 00:00:00',2,5,11,2002,'M','N','VERA CRUZ','CRICIÚMA','SC','124241241235132721347879135122133264042',NULL,'920',0.00,1,3,NULL),(25,6419569,'1993-11-26 00:00:00',4,1,12,2010,'M','N','CENTRO','S BONIFÁCIO','SC','124241241125161531623315242221610127147',NULL,'702',13.25,1,3,NULL),(25,6419577,'1991-07-27 00:00:00',2,4,12,2008,'M','N','CENTRO','ITAPIRANGA','SC','124241241226134741644431575124231467012',17884,'1060',39.07,1,3,NULL),(25,6419585,'1992-05-21 00:00:00',4,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124253247436141431547731245122610118017',NULL,'9999',18.94,1,3,NULL),(25,6419593,'1995-03-20 00:00:00',4,1,12,2012,'M','S','SÃO PEDRO','XANXERÊ','SC','124242241217151431449833575222610117177',NULL,'836',41.43,1,3,NULL),(25,6419607,'1971-03-24 00:00:00',4,1,12,1987,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241416145751118843235122322848187',NULL,'267',0.00,4,3,NULL),(25,6419615,'1992-09-25 00:00:00',2,4,12,2009,'F','N','CENTRO','SERRA ALTA','SC','124241248113161731423336573344610164052',NULL,'765',35.33,1,3,NULL),(25,6419640,'1993-08-19 00:00:00',2,4,11,2010,'M','N','NATUREZA','ITÁ','SC','124241241217131431436614575124610137147',NULL,'1001',26.36,1,3,NULL),(25,6419658,'1993-07-26 00:00:00',4,8,12,2010,'F','N','ESPINHEIROS','JOINVILLE','SC','124241241147111411525624141124610122072',NULL,'477',0.00,1,2,1),(25,6419674,'1992-12-03 00:00:00',4,3,12,2009,'F','N','ALTO DA COLINA','LONDRINA','PR','116162161215471431568816571122610137182',NULL,'9998',0.00,3,3,NULL),(25,6419682,'1994-03-06 00:00:00',2,1,11,2010,'F','N','JOQUEI','TERESINA','PI','118182181247111432565823575112610122097',NULL,'9998',0.00,4,3,NULL),(25,6419712,'1993-07-04 00:00:00',2,10,11,2010,'M','N','CENTRO','ARMAZÉM','SC','124243248215122431233822392122610137117',17036,'807',38.03,1,3,NULL),(25,6419739,'1991-04-27 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241132131431538814242123610128033',NULL,'293',14.33,1,2,1),(25,6419747,'1994-03-08 00:00:00',4,4,12,2011,'M','S','PRESIDENTE MÉDICI','CHAPECÓ','SC','124241241117151731538913375112610117042',NULL,'169',31.91,1,3,NULL),(25,6419755,'1992-06-20 00:00:00',2,8,12,2009,'F','N','CENTRO','JABOTI','PR','116162161212471411343933575114610124182',6933,'9998',53.30,1,3,NULL),(25,6419763,'1991-08-26 00:00:00',4,1,12,2009,'M','N','NOVA VARZEA GRANDE','VÁRZEA GRANDE','MT','111112111217472431239811575224610154112',6124,'9998',54.98,1,3,NULL),(25,6419780,'1992-05-17 00:00:00',2,1,12,2009,'F','N','CANUDOS','ANTÔNIO CARLOS','SC','124241241116131431323515375121610128077',NULL,'21',0.00,1,2,1),(25,6419798,'1993-03-16 00:00:00',2,1,12,2010,'F','N','CAPÃO RASO','CURITIBA','PR','116161161137271521226613575124610124052',20544,'9998',27.85,1,3,NULL),(25,6419828,'1987-04-16 00:00:00',4,9,12,2004,'M','N','SÃO JOÃO','CORREIA PINTO','SC','124241241146141211324743235135333266177',10038,'201',51.26,1,2,1),(25,6419836,'1988-10-28 00:00:00',4,1,12,2005,'M','N','VILA VERDE','ANÁPOLIS','GO','109091091415132451338933572124220668041',NULL,'9998',0.00,4,3,NULL),(25,6419844,'1952-10-19 00:00:00',2,1,12,1978,'F','N','CARIANOS','FLORIANÓPOLIS','SC','524241243147151431224241112324132964187',NULL,'805',28.79,1,3,NULL),(25,6419852,'1991-12-26 00:00:00',2,1,11,2009,'M','N','JARDIM HORTÊNCIA','LIMEIRA','SP','125252251215471431359712345112610148054',11672,'9998',48.64,1,3,NULL),(25,6419860,'1993-11-30 00:00:00',4,7,12,2010,'M','N','CENTRO','LACERDÓPOLIS','SC','124241241126131432423335355112610167047',18415,'496',32.57,1,3,NULL),(25,6419895,'1986-09-01 00:00:00',5,1,12,2004,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241117142431317778485124133222141',NULL,'281',32.59,1,3,NULL),(25,6419917,'1994-07-02 00:00:00',4,1,11,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111411459934575124610146165',NULL,'262',30.21,1,3,NULL),(25,6419933,'1990-02-06 00:00:00',4,1,12,2006,'M','N','CENTRO','CPO GRANDE','MS','112124121217571411459619374115141462167',1633,'9998',67.98,1,3,NULL),(25,6419941,'1993-04-16 00:00:00',2,1,12,2010,'M','N','SÃO PELEGRINO','CAXIAS SUL','RS','120202201217271712346851575122610167187',9718,'9998',46.75,1,3,NULL),(25,6419950,'1990-08-10 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124202241117571431227944445124140234095',NULL,'403',15.43,1,3,NULL),(25,6419968,'1992-07-06 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217133431457717575124222132066',10036,'1169',51.27,1,3,NULL),(25,6419984,'1989-08-07 00:00:00',5,15,12,2006,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241248311131721523318395125231333097',NULL,'29',0.00,4,3,NULL),(25,6419992,'1993-01-11 00:00:00',2,1,12,2010,'M','N','FOJOCA','S PEDRO ALCÂNTARA','SC','124243241211161111468713245124610114052',20018,'1074',34.52,1,3,NULL),(25,6420001,'1974-03-31 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241125141431533144445114610154047',NULL,'922',26.50,2,3,NULL),(25,6420028,'1987-11-21 00:00:00',2,3,12,2004,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241211574431345923371122231412017',6694,'44',57.31,1,3,NULL),(25,6420036,'1990-04-21 00:00:00',4,1,12,2007,'F','N','CENTRO','ENG BELTRÃO','PR','116161161116471451436412595124610165142',NULL,'9998',0.00,1,2,1),(25,6420044,'1994-03-28 00:00:00',4,1,11,2010,'M','N','PALHOCINHA','GAROPABA','SC','124241241415131432227711571124610122147',13613,'270',45.76,1,3,NULL),(25,6420052,'1975-06-17 00:00:00',4,1,12,1994,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241126132421112249191324220367042',NULL,'36',0.00,1,2,1),(25,6420060,'1988-09-30 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124161161111132711115644345113141137112',NULL,'9998',0.00,1,2,1),(25,6420087,'1992-06-12 00:00:00',4,9,12,2010,'M','N','SANTA HELENA','LAGES','SC','124243241116131431225527571124610121012',NULL,'935',22.43,1,3,NULL),(25,6420117,'1993-03-31 00:00:00',4,3,11,2010,'M','N','ALTO DA XV','CURITIBA','PR','116162167217111441479911595124610167042',12267,'9998',43.09,1,3,NULL),(25,6420125,'1988-12-06 00:00:00',4,8,11,2006,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241116111221337724345124610117051',NULL,'470',0.00,1,2,1),(25,6420133,'1992-11-09 00:00:00',4,1,12,2009,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241117161432327621575114610114157',NULL,'295',30.49,1,2,1),(25,6420141,'1967-10-10 00:00:00',4,1,12,1985,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116135431123343435124332732092',20070,'307',34.38,1,2,1),(25,6420168,'1955-07-29 00:00:00',4,1,12,1978,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241245426143731143343432124422266187',NULL,'409',0.00,1,3,NULL),(25,6420176,'1992-08-01 00:00:00',4,1,11,2010,'M','N','DAMHA I','S JOSÉ R PRETO','SP','125252251215111411469931575122610135122',16566,'9998',35.32,1,3,NULL),(25,6420184,'1991-11-20 00:00:00',2,1,11,2009,'F','N','BOM VIVER','BIGUAÇU','SC','124242241215274711436933575125231437042',5418,'270',56.00,1,3,NULL),(25,6420192,'1993-11-24 00:00:00',4,1,12,2010,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124241241112141431346614245122610113147',17535,'298',36.12,1,2,1),(25,6420206,'1989-05-05 00:00:00',2,15,12,2006,'F','N','FLORESTA','PTO ALEGRE','RS','120202201211571431488631472124140814193',NULL,'9998',0.00,1,3,NULL),(25,6420214,'1991-11-21 00:00:00',4,1,12,2009,'F','N','JD PACAEMBU','CAMPINAS','SP','125254251227471431236734275124610144157',NULL,'9998',0.00,3,3,NULL),(25,6420222,'1991-11-11 00:00:00',4,8,9,2009,'F','N','JARDIM ITATIAIA','LONDRINA','PR','116162161417471431458833575122610125042',4546,'9998',58.37,1,3,NULL),(25,6420249,'1992-02-10 00:00:00',2,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242248216131431235623585112610116192',NULL,'1075',0.00,1,3,NULL),(25,6420257,'1992-01-19 00:00:00',2,17,12,2009,'F','N','PINEVILLE','PINHAIS','PR','116164161215571431437834572124610125177',6475,'9998',55.41,1,3,NULL),(25,6420273,'1990-12-01 00:00:00',2,15,12,2008,'M','N','BAIRRO FIGUEIRA','JACINTO MACHADO','SC','124241245135131721413329142221610124187',21460,'420',28.33,4,2,1),(25,6420281,'1993-01-17 00:00:00',2,1,12,2010,'F','N','ISABEL','CARACOL','MS','124241241115131711623316295324610118057',NULL,'203',0.00,3,2,1),(25,6420290,'1992-08-31 00:00:00',4,10,12,2009,'M','N','TERMAS','GRAVATAL','SC','124241241136131411423611245124610144067',NULL,'332',0.00,1,3,NULL),(25,6420311,'1993-12-21 00:00:00',4,10,11,2010,'M','N','CENTRO','JAGUARUNA','SC','124241246217131231523324172124610114182',7227,'1120',56.30,1,3,NULL),(25,6420320,'1985-01-15 00:00:00',4,1,12,2001,'M','N','INGLESES','FLORIANÓPOLIS','SC','124203201211111421126749291122440234117',21501,'9998',27.89,3,3,NULL),(25,6420338,'1983-05-11 00:00:00',2,1,12,2000,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','224241241117144431323653342122333268192',NULL,'275',22.48,1,2,1),(25,6420346,'1991-03-25 00:00:00',4,1,12,2009,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116054051415471411437664244324610166187',5149,'9998',60.51,4,1,2),(25,6420354,'1995-02-28 00:00:00',4,2,12,2011,'F','S','VILA NOVA','BLUMENAU','SC','124242248235111731374923575122610112142',NULL,'909',0.00,1,3,NULL),(25,6420370,'1993-06-28 00:00:00',2,1,12,2010,'M','N','SANTOS DUMONT','S JOSÉ','SC','124241241217111431446933572121610132057',18534,'1076',37.87,1,3,NULL),(25,6420397,'1992-08-18 00:00:00',2,1,12,2010,'F','N','SÃO FRANCISCO','S JOSÉ R PRETO','SP','225251251217151431566814575122610126147',9273,'9998',49.48,1,3,NULL),(25,6420400,'1994-04-02 00:00:00',4,9,12,2010,'M','N','FÁTIMA','VACARIA','RS','120204201216151431346639575122610127052',NULL,'9998',0.00,1,3,NULL),(25,6420419,'1980-10-13 00:00:00',4,1,12,1997,'M','N','ROÇADO','S JOSÉ','SC','124201208132131431439441112224142267042',NULL,'9998',0.00,1,3,NULL),(25,6420435,'1991-01-12 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115272331358313492124610164152',20225,'592',33.99,2,1,1),(25,6420451,'1993-10-09 00:00:00',4,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217151411446632275114610124183',NULL,'9997',27.00,1,3,NULL),(25,6420478,'1994-01-19 00:00:00',4,1,11,2010,'M','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161235471431458714572122610127017',2866,'9998',63.48,3,3,NULL),(25,6420508,'1994-12-20 00:00:00',4,1,12,2011,'F','S','ENSEADA DE BRITO','PALHOÇA','SC','124242241215111431476632292122610114142',NULL,'1011',30.87,1,3,NULL),(25,6420516,'1993-04-16 00:00:00',2,5,7,2010,'M','N','SANTA LUZIA','CRICIÚMA','SC','124244248217141731456814345124610127112',19528,'230',35.75,1,3,NULL),(25,6420524,'1988-09-01 00:00:00',2,1,12,2006,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241126375431423629285122610124053',NULL,'257',17.89,2,1,1),(25,6420532,'1988-06-09 00:00:00',4,1,12,2005,'F','N','VILA PAULISTA','GUARULHOS','SP','125252251217572411448311571124242466182',NULL,'9998',0.00,1,3,NULL),(25,6420540,'1988-06-01 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241117232421437613445124610116195',NULL,'267',12.28,1,3,NULL),(25,6420559,'1994-03-31 00:00:00',4,5,11,2010,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124242247215121431358812475112610164042',13948,'226',45.25,1,3,NULL),(25,6420575,'1993-07-25 00:00:00',4,4,12,2010,'F','N','INTERIOR','CUNHATAÍ','SC','124241241125131731443515183324610167047',18104,'235',38.64,1,2,1),(25,6420583,'1992-10-26 00:00:00',2,1,11,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217374731578814572122233247142',11876,'1169',48.37,1,3,NULL),(25,6420605,'1991-12-17 00:00:00',2,4,12,2008,'M','N','CENTRO','ITAPIRANGA','SC','120241241226473431543611272124241424042',NULL,'1060',0.00,1,3,NULL),(25,6420613,'1992-08-07 00:00:00',4,17,11,2009,'F','N','PINHEIRINHO','S MATEUS SUL','PR','116162161216472411446632575124610152187',4857,'9998',58.36,1,3,NULL),(25,6420621,'1975-11-09 00:00:00',2,1,12,1994,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124201207326131741228743232124141012112',NULL,'9998',14.05,1,3,NULL),(25,6420630,'1993-06-22 00:00:00',4,1,12,2010,'M','N','CENTRO','UMUARAMA','PR','116162161215121431466812575112610127012',14613,'9998',40.24,1,3,NULL),(25,6420656,'1978-07-15 00:00:00',2,1,12,1995,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','624241241127134411333352245232323234187',NULL,'280',0.00,1,2,1),(25,6420664,'1993-10-20 00:00:00',2,1,12,2010,'F','N','CENTRO','FORTALEZA VALOS','RS','120201201217151731436936595122610133144',NULL,'9998',21.91,1,3,NULL),(25,6420672,'1990-09-13 00:00:00',4,4,12,2008,'M','N','VILA HARMONIA','ARARAQUARA','SP','125252251215471431379613575112610134097',5471,'9998',56.30,1,3,NULL),(25,6420680,'1993-02-09 00:00:00',2,4,12,2010,'F','N','INTERIOR','QUILOMBO','SC','124241241117161411333336572232610118182',NULL,'648',16.76,1,2,1),(25,6420702,'1994-03-04 00:00:00',4,1,10,2011,'M','S','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241217111731568811375112610142042',NULL,'262',43.38,1,3,NULL),(25,6420710,'1993-05-21 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241115121131356632572124610134045',19283,'272',30.91,1,3,NULL),(25,6420729,'1991-10-13 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241147131411123344242324133267147',NULL,'630',17.82,1,3,NULL),(25,6420745,'1989-02-10 00:00:00',2,1,11,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241316112111516829185114133214042',NULL,'307',0.00,1,3,NULL),(25,6420753,'1993-01-13 00:00:00',2,1,12,2009,'M','N','COLONIA SANTANA','S JOSÉ','SC','124242241216372411579613445124610126143',NULL,'1022',0.00,1,3,NULL),(25,6420761,'1992-05-28 00:00:00',4,1,12,2009,'F','N','TRES MARIAS','PERUÍBE','SP','125252251216471431358713575122610122187',NULL,'9998',0.00,1,3,NULL),(25,6420788,'1991-06-28 00:00:00',4,1,12,2010,'M','N','SOUSAS','CAMPINAS','SP','125252251217271431464921575112610162142',9441,'9998',50.03,1,3,NULL),(25,6420796,'1986-12-29 00:00:00',4,8,11,2004,'M','N','BOA VISTA','ASSIS','SP','125251251116571411348919571122340667082',8473,'9998',51.31,1,2,1),(25,6420834,'1985-12-10 00:00:00',4,1,12,2003,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124201201142141721224529272114333227112',NULL,'9998',0.00,4,3,NULL),(25,6420842,'1992-04-09 00:00:00',2,4,12,2009,'F','N','LINHA MANFROI','S DOMINGOS','SC','124241241122271311323315292324610116052',NULL,'707',0.00,1,2,1),(25,6420850,'1990-09-07 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241116152431433639515124233267042',18265,'307',32.44,1,3,NULL),(25,6420877,'1990-12-13 00:00:00',4,3,12,2007,'F','N','VILA PALMIRA','CPO GRANDE','MS','112122121217471431469714275122140234142',NULL,'9998',0.00,1,3,NULL),(25,6420885,'1993-08-28 00:00:00',2,5,11,2010,'F','N','FLORESTA I','CRICIÚMA','SC','124243241215272431447834275124610126177',1793,'226',67.95,1,3,NULL),(25,6420893,'1993-08-02 00:00:00',2,9,12,2010,'M','N','CENTRO','ANITA GARIBALDI','SC','124241241135151431426634342122610117052',NULL,'18',0.00,1,2,1),(25,6420915,'1992-07-21 00:00:00',2,1,11,2009,'F','N','JARDINS','ARACAJU','SE','126262268217111751448879575122610122122',NULL,'9997',0.00,1,3,NULL),(25,6420923,'1994-11-21 00:00:00',4,3,12,2011,'M','S','BATEAS','BRUSQUE','SC','124242241215151711338912225112610114096',NULL,'9997',0.00,1,3,NULL),(25,6420931,'1992-05-12 00:00:00',4,1,12,2009,'M','N','NITERÓI','CANOAS','RS','120202201116371431558934575124610117043',14369,'9998',44.62,1,3,NULL),(25,6420940,'1993-10-28 00:00:00',2,1,12,2010,'M','N','ZONA CINCO','MARINGÁ','PR','116162161216111731538932575122610132012',19847,'9998',35.03,1,3,NULL),(25,6420958,'1992-10-27 00:00:00',4,1,12,2010,'M','N','SETOR TRES','ARIQUEMES','RO','122112221216161431453632575122610117142',NULL,'9998',0.00,1,3,NULL),(25,6420966,'1987-06-06 00:00:00',4,1,12,2004,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124253251117131731121648285114133222142',15994,'9998',42.16,2,1,2),(25,6420974,'1986-06-18 00:00:00',4,1,12,2003,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241311375741424739341124610164187',NULL,'1022',0.00,4,3,NULL),(25,6420982,'1989-08-10 00:00:00',2,15,12,2009,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241117131431211344142335610162147',NULL,'9999',26.99,1,2,1),(25,6421008,'1989-04-29 00:00:00',2,1,12,2007,'M','N','PAULICÉIA','PIRACICABA','SP','125251251416371431447731435334140664093',12424,'9998',43.45,1,3,NULL),(25,6421032,'1975-10-28 00:00:00',2,1,6,2010,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241247122131722321149191124610114181',NULL,'9999',27.97,1,2,1),(25,6421040,'1991-07-26 00:00:00',4,1,11,2008,'F','N','AGUA VERDE','CURITIBA','PR','116244241215572431536811372224610126072',13562,'446',43.14,1,3,NULL),(25,6421083,'1989-06-02 00:00:00',4,1,12,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241116132431124944345334133224147',11902,'521',44.00,2,1,2),(25,6421091,'1978-09-28 00:00:00',2,1,12,1997,'F','N','NOSSA SR DO ROSARIO','S JOSÉ','SC','124201205227141411136844345122340236093',NULL,'9998',15.03,1,3,NULL),(25,6421105,'1992-10-15 00:00:00',4,1,12,2010,'M','N','CENTRO','ERECHIM','RS','120203201437141431429628345135610144187',NULL,'9998',0.00,1,3,NULL),(25,6421113,'1961-09-25 00:00:00',4,1,12,1979,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124253251136571441263341415135341414042',NULL,'9998',0.00,1,3,NULL),(25,6421121,'1994-10-31 00:00:00',4,9,12,2010,'M','N','UNIVERSITÁRIO','LAGES','SC','124241241215111431367813575112610134052',12437,'497',47.45,1,3,NULL),(25,6421130,'1988-04-06 00:00:00',2,10,12,2005,'M','N','BELA VISTA','S LUDGERO','SC','124241241122131631323313182214231417047',NULL,'748',0.00,1,3,NULL),(25,6421156,'1982-12-13 00:00:00',2,1,12,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217132721448837475112220314067',NULL,'266',0.00,1,3,NULL),(25,6421164,'1994-11-17 00:00:00',4,1,12,2011,'F','S','GUIOMAR','ANTÔNIO CARLOS','SC','124241241117131432522416575121610134077',NULL,'21',15.03,1,3,NULL),(25,6421172,'1988-04-17 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241112132431633311432124132766057',NULL,'276',35.08,1,2,1),(25,6421210,'1993-04-15 00:00:00',4,7,12,2010,'M','N','INTERIOR','LACERDÓPOLIS','SC','124241241124141431314416152324610167047',NULL,'496',30.38,1,2,1),(25,6421245,'1991-12-07 00:00:00',4,1,12,2008,'M','N','SERRARIA','S JOSÉ','SC','124111248117252231433613275124610114042',20209,'1116',30.61,1,2,1),(25,6421261,'1993-07-05 00:00:00',2,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244241127141411656532575122610127052',NULL,'732',36.29,4,3,NULL),(25,6421270,'1993-02-26 00:00:00',4,1,12,2010,'M','N','APARECIDA','SANTOS','SP','125252251216111431489832575112610127042',NULL,'9998',0.00,1,3,NULL),(25,6421288,'1988-07-12 00:00:00',2,15,11,2005,'M','N','CRISTO REDENTOR','PTO ALEGRE','RS','120203201116571451259429575124610167157',NULL,'9998',0.00,1,3,NULL),(25,6421296,'1993-06-01 00:00:00',4,8,11,2010,'F','N','JARDIM AMPLIAÇÃO','S PAULO','SP','125252251216371431458811575122610125042',NULL,'9998',0.00,1,3,NULL),(25,6421318,'1993-04-30 00:00:00',4,8,12,2010,'F','N','BEVERLY FALLS PARK','FOZ IGUAÇU','PR','116162161215311231343969572124610137097',NULL,'9998',16.04,4,3,NULL),(25,6421326,'1992-09-27 00:00:00',4,5,11,2009,'F','N','PIO CORRÊA','CRICIÚMA','SC','124242241217472411568811576112610138112',18423,'226',38.07,1,3,NULL),(25,6421334,'1987-10-19 00:00:00',4,1,6,2006,'F','N','TATUAPE','S PAULO','SP','125252257236572721668811593112610164127',9029,'9998',52.99,1,3,NULL),(25,6421342,'1943-12-10 00:00:00',4,1,12,1963,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','624202201213151711273441213122342456045',NULL,'9998',0.00,1,3,NULL),(25,6421350,'1984-09-26 00:00:00',4,8,12,2002,'M','N','FLORESTA','JOINVILLE','SC','124242241216331731326623485222130264077',NULL,'459',22.79,1,3,NULL),(25,6421369,'1979-06-08 00:00:00',2,1,12,1996,'M','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241217142431545632235123320867042',14204,'269',44.86,1,3,NULL),(25,6421377,'1994-03-25 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124244241117151711359933571124610136196',NULL,'307',46.67,1,3,NULL),(25,6421385,'1989-11-22 00:00:00',2,8,12,2006,'F','N','CENTRO','VERÊ','PR','116164161216112411338633192121610132147',2093,'9998',67.33,1,3,NULL),(25,6421393,'1987-08-24 00:00:00',4,2,12,2004,'M','N','FIGUEIRA','GASPAR','SC','124241241127131431433319345124132122157',NULL,'327',0.00,1,2,1),(25,6421407,'1991-10-17 00:00:00',2,8,12,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116161161415572431367413571114610165197',NULL,'9998',0.00,1,3,NULL),(25,6421415,'1989-06-25 00:00:00',2,8,12,2006,'F','N','JARDIM BANDEIRANTES','CORNÉLIO PROCÓPIO','PR','116162161217571431534615575124610167147',1136,'9998',72.21,3,3,NULL),(25,6421423,'1990-03-19 00:00:00',2,10,12,2007,'M','N','HUMAITA DE CIMA','TUBARÃO','SC','124241241217272431456612445122130737051',17289,'1120',40.12,1,3,NULL),(25,6421458,'1991-02-18 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241217153711457813577124610161187',12868,'299',46.80,1,3,NULL),(25,6421466,'1992-09-08 00:00:00',4,9,12,2009,'M','N','CENTRO','S JOSÉ CERRITO','SC','124241241116131431337914585124241423057',20030,'742',34.48,1,2,1),(25,6421474,'1990-03-09 00:00:00',4,1,12,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241115141411457513415124610128142',19946,'307',34.74,1,2,1),(25,6421482,'1993-03-21 00:00:00',4,7,12,2010,'F','N','JARDIM BONFIGLIOLI','S PAULO','SP','125253251117171431548831575124610144076',9184,'9998',48.81,1,3,NULL),(25,6421490,'1994-08-12 00:00:00',4,1,12,2011,'M','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431468912572122610142112',NULL,'270',17.83,1,3,NULL),(25,6421504,'1993-05-02 00:00:00',4,1,12,2010,'F','N','CENTRO','FORTALEZA VALOS','RS','120201201217111431345633595112610134187',14797,'9998',37.56,1,3,NULL),(25,6421512,'1993-07-23 00:00:00',4,17,12,2010,'M','N','CENTRO','IRATI','PR','116162161235111431435511115122610117012',20347,'9999',33.57,1,3,NULL),(25,6421520,'1959-10-16 00:00:00',4,1,12,1977,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','624251253217151721658641415122140914097',NULL,'9998',0.00,1,3,NULL),(25,6421539,'1985-12-05 00:00:00',4,1,12,2003,'M','N','JARDIM GOIÁS','GOIÂNIA','GO','109092091234571431348813575113142532187',NULL,'9998',0.00,1,3,NULL),(25,6421547,'1993-04-02 00:00:00',2,8,11,2010,'M','N','BOEWMERWALD','JOINVILLE','SC','124241241147141432423314245124610167147',NULL,'482',0.00,1,3,NULL),(25,6421555,'1992-03-12 00:00:00',4,8,11,2009,'M','N','CENTRO','LONDRINA','PR','116162161215411631546714275112610137047',NULL,'9998',0.00,1,3,NULL),(25,6421563,'1994-03-09 00:00:00',2,8,12,2010,'M','N','CENTRO','GUAÍRA','PR','116162161211271511336922575112610167052',20066,'417',34.39,1,3,NULL),(25,6421571,'1993-02-24 00:00:00',4,1,12,2010,'M','N','PACHECO','PALHOÇA','SC','124241241127141431434414245124610124187',NULL,'1109',31.27,1,2,1),(25,6421598,'1993-05-26 00:00:00',2,5,11,2010,'M','N','SÃO BENTO BAIXO','NOVA VENEZA','SC','124243241216121731468814175125610164062',21232,'226',29.86,1,3,NULL),(25,6421610,'1992-02-23 00:00:00',4,1,12,2009,'M','N','FLORESTA','PTO ALEGRE','RS','120203201216271531478411415124610167014',NULL,'9998',37.05,1,3,NULL),(25,6421652,'1992-01-15 00:00:00',2,6,12,2009,'F','N','EMBARÉ','SANTOS','SP','125252251217471731558834575112610131091',9079,'9998',49.91,1,3,NULL),(25,6421679,'1993-06-14 00:00:00',2,9,12,2010,'M','N','CENTRO','VACARIA','RS','120202201215471331337629175122610137057',12501,'9998',47.34,1,3,NULL),(25,6421687,'1983-12-23 00:00:00',3,1,12,2001,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124242241216275211329714485115221424012',7709,'208',55.42,1,3,NULL),(25,6421709,'1991-04-09 00:00:00',4,17,11,2008,'M','N','AGUA VERDE','CURITIBA','PR','116162161217571231449811471122610164047',NULL,'9998',0.00,1,3,NULL),(25,6421717,'1966-07-06 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','224253248126233421433351185124610137097',NULL,'306',22.07,4,1,2),(25,6421725,'1990-11-18 00:00:00',2,1,9,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244247416151431459811375122131068092',NULL,'9999',15.65,1,3,NULL),(25,6421733,'1994-01-26 00:00:00',4,2,11,2011,'M','S','ITOUPAVA NORTE','BLUMENAU','SC','124243241215151312568839274124610167072',NULL,'87',48.14,1,3,NULL),(25,6421741,'1992-12-25 00:00:00',4,2,11,2010,'M','N','CENTRO','BRUSQUE','SC','124242241215151411569919575112610167122',15507,'107',42.89,1,3,NULL),(25,6421750,'1986-12-31 00:00:00',2,1,12,2006,'F','N','ROÇADO','S JOSÉ','SC','124091091122131431423371342234610163142',NULL,'9998',0.00,4,2,1),(25,6421768,'1988-05-31 00:00:00',2,1,12,2005,'M','N','FORQUILINHAS','S JOSÉ','SC','124244241117131131324321295113610122141',NULL,'727',37.43,1,3,NULL),(25,6421806,'1995-03-16 00:00:00',4,6,11,2011,'F','S','CENTRO','ITAJAÍ','SC','124242241412161431468933575122610124132',NULL,'392',41.41,1,3,NULL),(25,6421814,'1993-04-30 00:00:00',2,1,12,2009,'F','N','SETOR MORAIS','GOIÂNIA','GO','109092091216271431338611571124143222147',14620,'9998',44.27,1,3,NULL),(25,6421822,'1991-09-06 00:00:00',4,1,12,2008,'F','N','VILA CURUÇA','STO ANDRÉ','SP','125254251215571431359811572122610136172',8101,'9998',50.33,1,3,NULL),(25,6421830,'1991-02-26 00:00:00',2,8,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241216473321477933575112221417041',7833,'300',55.15,1,3,NULL),(25,6421857,'1976-08-03 00:00:00',4,1,8,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','124203207334411711468839441121343218117',NULL,'9998',18.55,1,3,NULL),(25,6421873,'1992-01-15 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115473711538413475124230266094',17062,'288',40.53,1,2,1),(25,6421881,'1992-05-21 00:00:00',2,1,11,2009,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241326131431554314342124610144172',NULL,'591',33.91,1,3,NULL),(25,6421911,'1992-08-27 00:00:00',4,4,11,2009,'F','N','CENTRO','CHAPECÓ','SC','124242241215471431459612375112610143142',13353,'983',46.14,1,3,NULL),(25,6421920,'1993-03-22 00:00:00',4,3,12,2010,'F','N','PQ PRIMEIRO DE MAIO','PIRACICABA','SP','125252252116111431354714255122610166122',NULL,'9998',0.00,1,3,NULL),(25,6421938,'1993-09-13 00:00:00',4,8,12,2010,'M','N','CENTRO','GUARAMIRIM','SC','124241241115141431423354345121610127052',NULL,'335',0.00,1,2,1),(25,6421946,'1985-01-04 00:00:00',2,1,12,2003,'M','N','CENTRO','PALHOÇA','SC','124241241126131731123344245124610118182',19508,'649',30.42,1,2,1),(25,6421954,'1991-10-05 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217473751247713575112610166015',16182,'270',41.87,1,3,NULL),(25,6421962,'1989-04-13 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215334231447619495114610167062',NULL,'273',31.43,1,3,NULL),(25,6421970,'1991-04-30 00:00:00',2,3,12,2009,'M','N','TARUMÃ','CURITIBA','PR','116164161417371711558514445124610126047',12311,'9998',47.67,1,3,NULL),(25,6421989,'1991-04-22 00:00:00',2,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','116166168317371731333563372124613265187',NULL,'488',0.00,1,3,NULL),(25,6422004,'1992-07-27 00:00:00',2,1,12,2009,'F','N','SANTANA','RIO SUL','SC','124241242117131411426723445112610137077',NULL,'1222',14.51,1,3,NULL),(25,6422020,'1986-07-17 00:00:00',2,1,12,2004,'F','N','FLORESTA','PTO ALEGRE','RS','120202201216571451158639572124242614185',NULL,'9998',0.00,1,3,NULL),(25,6422039,'1993-12-20 00:00:00',4,6,12,2010,'M','N','CORDEIROS','ITAJAÍ','SC','124244241217141531457611345121610164112',NULL,'388',22.26,4,1,2),(25,6422047,'1993-12-17 00:00:00',4,6,12,2010,'M','N','CENTRO','NAVEGANTES','SC','124242241217161631228822575122610134062',NULL,'1008',0.00,1,3,NULL),(25,6422063,'1993-03-18 00:00:00',2,1,10,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431368824575122610162043',NULL,'300',0.00,1,3,NULL),(25,6422098,'1992-12-17 00:00:00',4,1,12,2009,'M','N','CENTRO','BURITAMA','SP','125252251217471421436621281124610162047',826,'9998',74.05,1,3,NULL),(25,6422110,'1995-02-26 00:00:00',2,1,12,2010,'F','N','MAGALHÃES','LAGUNA','SC','124244241217111431579834576114610167077',11303,'807',49.21,1,3,NULL),(25,6422136,'1992-12-08 00:00:00',4,1,12,2009,'F','N','CENTRO','BURITAMA','SP','125254251216471311336624575324610112142',963,'9998',72.92,1,3,NULL),(25,6422152,'1987-02-11 00:00:00',2,1,12,2004,'M','N','CENTRO','CURITIBA','PR','116252258217572731458613475122610164057',5120,'9998',58.07,1,3,NULL),(25,6422160,'1992-08-29 00:00:00',4,1,12,2009,'M','N','CENTRO','STA HELENA','PR','116162161211112711349923575124242417054',988,'9998',72.15,1,3,NULL),(25,6422179,'1985-03-05 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251251316163411423311495125421564147',13605,'9998',39.95,1,3,NULL),(25,6422187,'1991-12-17 00:00:00',4,1,12,2009,'M','N','PIRATINI','STA CRUZ SUL','RS','120202201217571431459934445132610127182',1667,'9998',69.29,1,3,NULL),(25,6422209,'1991-03-16 00:00:00',4,1,11,2008,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251216571751569913575122610134142',11187,'9998',46.29,1,3,NULL),(25,6422217,'1990-04-14 00:00:00',2,1,12,2007,'M','N','CENTRO CÍVICO','CURITIBA','PR','116162168216471411568614575124141447042',NULL,'9998',0.00,1,3,NULL),(25,6422225,'1993-01-18 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','120202201217471431488832571112143246143',NULL,'9998',0.00,1,3,NULL),(25,6422233,'1992-03-17 00:00:00',2,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116131431123724395124231033147',NULL,'757',0.00,1,2,1),(25,6422268,'1980-07-10 00:00:00',4,1,12,1997,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241212142411118849491334421416092',2369,'269',67.94,1,3,NULL),(25,6422276,'1967-08-04 00:00:00',4,1,12,1986,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224071078122131721451144345112140224197',NULL,'9998',16.72,4,2,1),(25,6422284,'1986-04-22 00:00:00',2,1,12,2006,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124241247132141431423624112122133268182',18460,'9999',37.99,1,2,1),(25,6422306,'1991-12-07 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241436472431654663575124610116147',NULL,'1022',0.00,1,3,NULL),(25,6422314,'1992-02-14 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241115141431446514445114610127047',NULL,'307',16.40,1,3,NULL),(25,6422322,'1991-05-07 00:00:00',4,1,12,2008,'M','N','ALPHAVILLE GOIÁS','GOIÂNIA','GO','109092091211212411478933411122141964093',NULL,'9998',0.00,1,3,NULL),(25,6422349,'1992-01-21 00:00:00',2,1,12,2009,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244241412132431347929395124610137057',16815,'738',40.91,1,3,NULL),(25,6422365,'1993-07-22 00:00:00',4,8,12,2010,'F','N','CENTRO','ARAQUARI','SC','124241241136131431423328375124230236187',NULL,'25',0.00,1,2,1),(25,6422373,'1989-11-20 00:00:00',2,4,12,2006,'F','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124241241141371731353619342114130428087',NULL,'169',22.27,1,3,NULL),(25,6422390,'1992-02-25 00:00:00',2,8,12,2008,'F','N','ALTO DA XV','CURITIBA','PR','116162161211513321428939597115610148197',8250,'9998',50.56,1,3,NULL),(25,6422403,'1977-02-08 00:00:00',2,1,6,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241248127134431523321142314610122097',NULL,'263',12.72,1,2,1),(25,6422411,'1991-12-01 00:00:00',2,4,11,2008,'M','N','CENTRO','CHAPADA','RS','120201201215572431328829571125610167057',1731,'9998',67.30,1,3,NULL),(25,6422420,'1992-07-17 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431458834575115610132047',NULL,'1118',19.20,1,3,NULL),(25,6422438,'1993-10-18 00:00:00',2,4,12,2010,'M','N','LINHA MACUCOZINHO','IPORÃ OESTE','SC','124241241116161631523616165124610167057',17135,'371',35.17,1,3,NULL),(25,6422446,'1993-12-24 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216151431459811375122610164182',NULL,'1022',15.38,1,3,NULL),(25,6422462,'1979-09-28 00:00:00',2,1,11,2003,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124041227126533451323344242124610126187',14047,'9998',42.12,5,2,1),(25,6422497,'1992-02-28 00:00:00',2,1,12,2009,'M','N','JD DAS ACÁCIAS','IGARAÇU TIETÊ','SP','125252251217471431459614572113610147077',NULL,'9998',0.00,1,3,NULL),(25,6422519,'1991-09-25 00:00:00',4,8,12,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241211211431459811492122231016062',NULL,'1174',29.85,1,3,NULL),(25,6422527,'1990-11-21 00:00:00',2,1,4,2009,'F','N','CENTRO','ALEGRIA','RS','120201208316371731423836171324610128187',18457,'9998',33.40,1,3,NULL),(25,6422535,'1984-12-21 00:00:00',2,1,12,2002,'M','N','TRNDADE','FLORIANÓPOLIS','SC','124242247216132431467823485122130827045',NULL,'9997',0.00,1,3,NULL),(25,6422543,'1993-07-13 00:00:00',2,17,12,2010,'F','N','SOSSEGO','CANOINHAS','SC','124244241414411411468912475122610132182',20485,'154',33.20,1,3,NULL),(25,6422551,'1991-01-10 00:00:00',4,1,11,2008,'F','N','CENTRO','IBATÉ','SP','125252251216571431458814575122610164047',11745,'9998',43.34,1,3,NULL),(25,6422586,'1993-04-08 00:00:00',4,1,7,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241216112411446631575124230227142',3869,'1074',61.43,1,3,NULL),(25,6422608,'1983-04-15 00:00:00',4,1,10,2001,'M','N','TRINDADDE','FLORIANÓPOLIS','SC','124241241146132711128648382123320768187',6107,'715',58.50,1,3,NULL),(25,6422616,'1993-01-08 00:00:00',4,1,12,2010,'M','N','AEROPORTO','ARAÇATUBA','SP','125252251215111431255922572122610164042',NULL,'9998',0.00,1,3,NULL),(25,6422624,'1991-11-06 00:00:00',2,3,12,2009,'M','N','CENTRO','CAMBÉ','PR','116162161217411731446821586114610117081',7015,'9998',52.66,1,3,NULL),(25,6422632,'1992-01-16 00:00:00',2,1,12,2008,'M','N','CENTRO','ASTORGA','PR','116162161217471231446812275112610114067',15962,'9998',42.20,1,3,NULL),(25,6422640,'1986-10-28 00:00:00',2,1,11,2003,'F','N','BELA VISTA','S JOSÉ','SC','224241241114135431336644242224130234147',21132,'726',30.48,4,2,1),(25,6422659,'1994-12-20 00:00:00',4,4,12,2011,'M','S','ALVORADA','XAXIM','SC','124244241217111712458712285122610164047',NULL,'994',36.88,1,3,NULL),(25,6422675,'1989-01-29 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216132411435612381124230224053',15389,'737',43.07,1,3,NULL),(25,6422683,'1991-03-26 00:00:00',2,1,11,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241215373431549613572124222321012',17038,'1023',35.97,1,3,NULL),(25,6422705,'1979-09-13 00:00:00',2,1,12,1997,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','224062061216151421253954472112343213112',13492,'9998',40.15,1,3,NULL),(25,6422721,'1992-03-29 00:00:00',4,1,12,2010,'F','N','ALTO ARIRIÚ','PALHOÇA','SC','624241241115121431425554375122610137143',NULL,'772',26.32,1,2,1),(25,6422730,'1989-02-14 00:00:00',2,1,12,2007,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124241248246133732548613445122610124177',18339,'1096',32.81,1,3,NULL),(25,6422748,'1993-10-03 00:00:00',2,1,12,2010,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241241125141432233624141324610117047',NULL,'592',0.00,1,2,1),(25,6422756,'1992-03-08 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241211152431446723442124610121092',19862,'723',34.96,1,3,NULL),(25,6422764,'1981-06-29 00:00:00',2,1,6,2005,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','224241247217575721233344242122610168187',NULL,'9999',23.17,1,3,NULL),(25,6422772,'1994-07-07 00:00:00',4,1,12,2011,'F','S','CENTRO','PIRACICABA','SP','125252251216111411367812575112610122142',NULL,'9998',31.31,1,3,NULL),(25,6422780,'1986-08-19 00:00:00',2,15,12,2003,'M','N','VIAMÓPOLIS','VIAMÃO','RS','120204201116571741547713571124610167057',2286,'9998',66.97,1,3,NULL),(25,6422829,'1981-07-03 00:00:00',4,1,12,1999,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224202203217152531357643434122322716197',NULL,'9998',0.00,1,3,NULL),(25,6422837,'1991-03-22 00:00:00',4,1,12,2007,'F','N','ZONA SETE','MARINGÁ','PR','116164161415512451547714571124610155177',7606,'9998',52.54,1,3,NULL),(25,6422853,'1993-11-17 00:00:00',2,7,12,2010,'M','N','ZONA RURAL','PINHEIRO PRETO','SC','124241242117131441413735572124610124011',NULL,'831',19.57,1,2,1),(25,6422861,'1988-11-27 00:00:00',2,1,11,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241136474431456811485124133266191',15675,'57',42.64,1,3,NULL),(25,6422870,'1994-04-28 00:00:00',2,2,12,2011,'F','S','BELCHIOR BAIXO','GASPAR','SC','124241241215131511345539295124610133097',NULL,'71',22.00,4,3,NULL),(25,6422888,'1951-05-27 00:00:00',3,1,12,1975,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224206207621141421534453325122140257043',15355,'9998',43.13,1,3,NULL),(25,6422896,'1993-07-14 00:00:00',2,1,12,2010,'M','N','ALTO ARIRIU','PALHOÇA','SC','116161161117271431654632275122610164112',NULL,'9998',0.00,1,2,1),(25,6422900,'1965-10-07 00:00:00',4,1,11,1984,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','224241245117373411476653442122610164147',16958,'307',40.69,1,3,NULL),(25,6422918,'1993-05-03 00:00:00',2,6,12,2010,'M','N','CENTRO','ARAPONGAS','PR','116164161437111431328639572121610117181',NULL,'9998',0.00,1,3,NULL),(25,6422942,'1992-08-19 00:00:00',2,10,12,2010,'M','N','OFICINAS','TUBARÃO','SC','124241241315151431326721315113610117012',NULL,'1034',18.05,1,3,NULL),(25,6422950,'1987-09-12 00:00:00',5,16,12,2003,'M','N','N SRA DE LOURDES','CAMPOS NOVOS','SC','124242241146151431536739195122333265062',NULL,'138',0.00,1,3,NULL),(25,6422969,'1994-01-17 00:00:00',2,15,12,2010,'F','N','LINHA ROVARIS','JACINTO MACHADO','SC','124241241145131431546933575122610147047',NULL,'420',23.13,1,2,1),(25,6422977,'1993-08-02 00:00:00',4,1,12,2010,'M','N','PONTE IMARUIM','PALHOÇA','SC','124242241125111431433814385124610122062',NULL,'592',21.26,1,3,NULL),(25,6422985,'1987-04-26 00:00:00',2,8,7,2006,'M','N','VILA NOVA','ARAUCÁRIA','PR','116161161235572451443612295122141527042',11290,'9998',49.23,1,3,NULL),(25,6422993,'1992-10-26 00:00:00',4,1,12,2010,'M','N','PAULISTA','PIRACICABA','SP','125252251217151412346512472124610147042',NULL,'9998',0.00,1,3,NULL),(25,6423000,'1982-10-02 00:00:00',4,1,7,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242246117155721368923485124120734182',NULL,'306',28.24,1,3,NULL),(25,6423027,'1985-02-05 00:00:00',2,1,12,2002,'F','N','GRAMADOS','RIO ANTAS','SC','124241241136133731323339445124530644197',13096,'650',41.94,4,2,1),(25,6423035,'1992-05-19 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216152431446619575122231038057',19034,'1022',36.88,1,3,NULL),(25,6423043,'1993-06-19 00:00:00',4,4,12,2010,'F','N','INTERIOR','CUNHATAÍ','SC','124241241125251731446336265124610138187',NULL,'235',0.00,1,2,1),(25,6423051,'1993-05-15 00:00:00',4,2,12,2010,'M','N','TAPAJÓS','INDAIAL','SC','124241241117161431536614385124610124177',8501,'365',49.41,1,2,1),(25,6423060,'1970-11-07 00:00:00',2,1,12,2003,'F','N','TIJUQUINHAS','BIGUAÇU','SC','124243247226133731226541212122610121097',19049,'63',31.90,1,3,NULL),(25,6423078,'1992-10-21 00:00:00',4,4,12,2009,'F','N','CENTRO','QUEDAS IGUAÇU','PR','116161161117161431436514185112610148147',NULL,'9998',0.00,1,2,1),(25,6423094,'1993-12-02 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241112171421535619592124610128182',NULL,'295',26.53,4,2,1),(25,6423116,'1990-07-22 00:00:00',2,8,12,2008,'M','N','CENTRO','NOVA ESPERANÇA','PR','116161161316471731544422325122610125042',NULL,'9998',19.58,4,3,NULL),(25,6423124,'1992-11-04 00:00:00',4,1,12,2010,'M','N','BAIRRO DE FATIMA','FLORIANÓPOLIS','SC','124242248215131131646413386112610127052',21576,'1075',27.16,2,1,2),(25,6423132,'1990-07-31 00:00:00',4,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241213131411436619492122133234017',NULL,'1075',16.58,1,3,NULL),(25,6423140,'1992-12-18 00:00:00',2,15,12,2010,'M','N','MATO ALTO','ARARANGUÁ','SC','124244241217151431349813572121610132047',20802,'970',31.94,1,3,NULL),(25,6423159,'1992-11-16 00:00:00',4,17,11,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161216471451458811471112610161142',NULL,'9998',0.00,1,3,NULL),(25,6423167,'1992-07-05 00:00:00',4,6,12,2010,'M','N','CENTRO','NAVEGANTES','SC','124241241415111541358814575124610112012',NULL,'1008',0.00,1,3,NULL),(25,6423183,'1992-12-27 00:00:00',4,8,12,2008,'M','N','BAIRRO AHÚ','CURITIBA','PR','116162163217451332458834575114141437042',NULL,'9998',0.00,4,3,NULL),(25,6423205,'1984-12-11 00:00:00',2,1,12,2002,'F','N','FORQUILHAS SAO JOSÉ','S JOSÉ','SC','124211211136141441235344442124141826147',NULL,'9998',0.00,5,2,1),(25,6423213,'1989-09-30 00:00:00',2,8,12,2007,'M','N','CENTRO','CPO ALEGRE','SC','124242241436151711636314485122233218187',20768,'132',32.09,1,3,NULL),(25,6423221,'1993-08-25 00:00:00',2,3,11,2010,'M','N','CENTRO','TIJUCAS','SC','124242241215112211437812572122610162117',NULL,'52',21.38,1,3,NULL),(25,6423230,'1993-03-22 00:00:00',4,1,11,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215123411476614575124610138126',2140,'270',68.75,1,3,NULL),(25,6423264,'1983-06-30 00:00:00',4,1,12,2001,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241131131521436619492134610134182',20436,'257',33.35,1,2,1),(25,6423272,'1981-03-22 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217174721538839291113121817112',16164,'266',41.91,1,3,NULL),(25,6423299,'1993-10-07 00:00:00',2,4,12,2010,'M','N','LÍDER','PLANALTO','RS','120201201116131431316517485125610114012',15482,'9998',39.70,1,2,1),(25,6423302,'1993-11-04 00:00:00',2,1,12,2010,'M','N','VILA SUZANA','CANELA','RS','120202201217131751248921472122610167047',NULL,'9998',19.26,1,3,NULL),(25,6423310,'1991-05-08 00:00:00',4,1,5,2009,'F','N','VILA MARIANA','S PAULO','SP','125252281417571431468832476112610132047',8628,'9998',49.96,1,3,NULL),(25,6423329,'1980-03-18 00:00:00',4,1,7,2002,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241316152731335379372122233267112',NULL,'9999',0.00,4,3,NULL),(25,6423353,'1990-11-25 00:00:00',2,4,12,2007,'M','N','REGIAO DO LAGO','CASCAVEL','PR','116161161116131431537711275122610147047',NULL,'9998',0.00,4,2,1),(25,6423361,'1979-01-17 00:00:00',2,1,8,1998,'F','N','CENTRO','FLORIANÓPOLIS','SC','224244247427133431536554382112610128097',NULL,'9999',27.39,1,3,NULL),(25,6423370,'1990-01-23 00:00:00',4,1,12,2007,'M','N','JARDIM GUARANI','CAMPINAS','SP','125252251217131431333824575112141414077',18477,'9998',37.96,1,3,NULL),(25,6423388,'1979-12-01 00:00:00',4,15,12,2004,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124201241146131431226444345125131026147',NULL,'29',0.00,1,3,NULL),(25,6423396,'1987-02-01 00:00:00',2,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241317474421447839345122610117057',NULL,'1003',20.45,1,3,NULL),(25,6423400,'1988-12-25 00:00:00',2,1,7,2010,'M','N','QUEIMADOS','ALFREDO WAGNER','SC','124241241127131311514436156122610167057',NULL,'13',5.69,1,3,NULL),(25,6423418,'1992-08-22 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241241115161431326676575223610137047',NULL,'9997',19.02,1,3,NULL),(25,6423426,'1993-03-25 00:00:00',4,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124243241315131531434411412124610128197',NULL,'734',32.20,1,3,NULL),(25,6423434,'1992-09-15 00:00:00',4,1,10,2009,'M','N','SANTA TEREZINHA','PATO BRANCO','PR','116162161216122431236722275122122334147',1506,'9998',70.60,1,3,NULL),(25,6423442,'1993-04-29 00:00:00',4,4,12,2010,'M','N','JARDIM AMÉRICA','CHAPECÓ','SC','124241241117151712457933595125610164187',19574,'177',35.64,1,3,NULL),(25,6423450,'1983-08-11 00:00:00',2,4,12,2001,'M','N','CENTRO','GUARACIABA','SC','124241241127132221323311185122231017042',20996,'334',31.11,1,2,1),(25,6423493,'1988-04-20 00:00:00',4,1,12,2005,'M','N','CENTRO','CPO GRANDE','MS','112122121216141411689831575122243242145',3436,'9998',64.69,3,3,NULL),(25,6423507,'1987-11-16 00:00:00',2,3,12,2004,'F','N','BUENO','GOIÂNIA','GO','109112161216573431568634575125141322142',2576,'9998',64.26,1,3,NULL),(25,6423515,'1989-09-02 00:00:00',2,1,12,2007,'F','N','VILA ADYANA','S JOSÉ CAMPOS','SP','125254251216571431436511575122610122077',NULL,'9998',0.00,1,3,NULL),(25,6423523,'1991-01-15 00:00:00',2,3,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241216374431435312575122231441092',14154,'1085',44.93,1,3,NULL),(25,6423558,'1992-10-26 00:00:00',2,1,12,2010,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241241215111431559933575124610122092',NULL,'1075',19.77,1,3,NULL),(25,6423566,'1991-05-06 00:00:00',4,1,11,2011,'M','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217111412466612275114610138092',NULL,'1048',7.91,1,3,NULL),(25,6423612,'1992-07-16 00:00:00',4,2,11,2009,'F','N','ARAPONGUINHAS','TIMBÓ','SC','124242241216132211464712395124232046171',NULL,'1157',0.00,1,3,NULL),(25,6423620,'1991-01-07 00:00:00',4,1,12,2008,'F','N','CENTRO','ITAPETININGA','SP','125252251215571431668812572124610147047',NULL,'9998',0.00,1,3,NULL),(25,6423639,'1990-09-02 00:00:00',4,1,12,2008,'M','N','JORDANÓPOLIS','S BERNARDO CAMPO','SP','125252251116471431448823575124610131012',NULL,'9998',0.00,1,3,NULL),(25,6423647,'1992-07-13 00:00:00',2,7,12,2009,'F','N','CENTRO','LUZERNA','SC','124241241116152731339624345124610168157',NULL,'539',0.00,1,2,1),(25,6423655,'1984-09-13 00:00:00',2,2,12,2002,'F','N','ENCANO BAIXO','INDAIAL','SC','124241241127131131423314342334131015157',NULL,'365',0.00,1,2,1),(25,6423663,'1987-12-28 00:00:00',4,7,12,2005,'F','N','CENTRO','PALMITOS','SC','124244241216574431439614475122142533097',7383,'138',53.57,1,3,NULL),(25,6423671,'1989-04-14 00:00:00',4,1,11,2006,'M','N','KOBRASOL','S JOSÉ','SC','124242241235572431358833395124132814145',15480,'1022',42.93,1,3,NULL),(25,6423680,'1993-03-29 00:00:00',4,3,11,2010,'F','N','NUNES','LGA VERMELHA','RS','120201201215111331338811575122610124147',NULL,'9998',0.00,1,3,NULL),(25,6423698,'1993-09-24 00:00:00',4,1,12,2010,'F','N','SANTA FELICIDADE','CURITIBA','PR','116163161135371431556632575122610162052',NULL,'9998',0.00,1,3,NULL),(25,6423710,'1977-04-22 00:00:00',2,1,12,1998,'M','N','RIO GRANDE','PALHOÇA','SC','224241167136232421523354142324610156177',NULL,'9998',11.80,1,2,1),(25,6423736,'1992-09-07 00:00:00',2,4,12,2010,'F','N','CENTRO','S LOURENÇO OESTE','SC','124241245146131531623631396324610126147',NULL,'745',0.00,4,3,NULL),(25,6423744,'1987-03-20 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124251258127131431514343245124240257117',NULL,'9998',31.24,2,1,1),(25,6423760,'1989-11-04 00:00:00',2,1,12,2008,'F','N','SANTA ROSA','CUIABÁ','MT','111114111216511731668812585222610138152',NULL,'9998',34.55,1,3,NULL),(25,6423779,'1992-10-02 00:00:00',2,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115371411435433572124610133142',NULL,'307',27.89,2,1,1),(25,6423787,'1991-01-10 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244241217154411428633595124222667065',5890,'752',55.73,1,3,NULL),(25,6423825,'1963-08-21 00:00:00',2,1,8,1988,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124201207646131431336641315124610161197',19088,'9998',30.63,1,3,NULL),(25,6423833,'1993-11-19 00:00:00',2,1,12,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241215111711346613496234610125057',NULL,'944',17.00,1,3,NULL),(25,6423850,'1964-06-10 00:00:00',4,1,12,1981,'F','N','SANTO ANTÔNIO','VIÇOSA','MG','213204201116151431148653595125441531095',NULL,'9998',0.00,1,3,NULL),(25,6423868,'1993-07-15 00:00:00',2,7,12,2010,'M','N','CENTRO','LUZERNA','SC','124241241115141431453923245121610164047',12916,'539',42.80,1,2,1),(25,6423876,'1992-09-01 00:00:00',2,8,5,2010,'F','N','ITINGA','JOINVILLE','SC','124241247125271431453614275124610121097',NULL,'9999',22.22,1,3,NULL),(25,6423884,'1992-06-08 00:00:00',4,10,12,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215373411459911594122131412057',NULL,'806',0.00,1,3,NULL),(25,6423892,'1987-08-09 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSÉ','SC','124241241116132431627312185124610141037',17251,'257',40.18,1,2,1),(25,6423906,'1993-06-20 00:00:00',2,1,12,2010,'M','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124241241126151431346419395112610118052',21764,'329',23.55,1,3,NULL),(25,6423914,'1992-05-27 00:00:00',4,2,10,2010,'F','N','BELA VISTA','GASPAR','SC','124241248135311731544429395124610126147',NULL,'954',0.00,1,2,1),(25,6423922,'1994-02-25 00:00:00',2,4,11,2010,'F','N','CENTRO','SALTO LONTRA','PR','116163161217121431433812174122610162142',NULL,'9998',0.00,1,3,NULL),(25,6423930,'1950-07-13 00:00:00',4,1,12,1968,'M','N','CENTRO','FLORIANÓPOLIS','SC','224241243221151411264644141132331041042',NULL,'809',0.00,1,3,NULL),(25,6423949,'1994-03-04 00:00:00',4,1,12,2010,'F','N','MENINO DEUS','PTO ALEGRE','RS','120202201217471331489933575122610162116',15386,'9998',40.80,1,3,NULL),(25,6423957,'1991-03-12 00:00:00',2,15,11,2008,'M','N','JARDIM BELA VISTA','ARARANGUÁ','SC','124241241215373431556932345122610167042',19135,'32',36.68,1,3,NULL),(25,6423990,'1993-11-18 00:00:00',4,3,12,2010,'M','N','CENTRO','PARANAVAÍ','PR','116162166216111431568832575122610124082',15770,'9998',42.48,1,3,NULL),(25,6424031,'1993-03-22 00:00:00',4,8,12,2010,'M','N','BOM RETIRO','JOINVILLE','SC','124242241217151411439514575124610125142',NULL,'1105',0.00,4,3,NULL),(25,6424058,'1991-04-21 00:00:00',2,16,12,2008,'M','N','N SENHORA DE LOURDES','CAMPOS NOVOS','SC','124241241117161431323523385115610162147',NULL,'140',20.25,1,3,NULL),(25,6424066,'1993-12-12 00:00:00',2,17,12,2010,'F','N','CAMPO DO GADO','RIO NEGRO','PR','116241161217111731449614576124610123057',9896,'9998',47.99,1,3,NULL),(25,6424082,'1986-11-15 00:00:00',4,1,12,2005,'M','N','BELA VISTA I','S JOSÉ','SC','124241241126132411336523345114610164017',NULL,'726',0.00,2,1,1),(25,6424104,'1993-02-09 00:00:00',4,1,11,2010,'M','N','CENTRO','BIGUAÇU','SC','124241241115151232434313575122610127065',NULL,'65',15.75,1,3,NULL),(25,6424112,'1993-09-14 00:00:00',2,1,11,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241136131431424424245124610124072',21579,'591',27.14,4,3,NULL),(25,6424120,'1990-12-22 00:00:00',4,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241231374731468939395135131028112',18528,'1022',37.88,1,3,NULL),(25,6424139,'1993-04-26 00:00:00',2,4,11,2010,'M','N','CENTRO','FAXINAL GUEDES','SC','124242248235141731438634195125610144141',NULL,'836',18.79,1,3,NULL),(25,6424147,'1986-05-13 00:00:00',2,1,12,2004,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124241241344375231559613245124221162183',11908,'229',48.31,1,3,NULL),(25,6424155,'1994-01-07 00:00:00',4,1,12,2010,'M','N','CENTRO','UMUARAMA','PR','116162168215471731468931575125610127182',NULL,'9998',28.68,1,3,NULL),(25,6424163,'1992-06-24 00:00:00',4,8,12,2010,'M','N','BOA VISTA','JOINVILLE','SC','124242241215471431378611472122610122042',10034,'1063',51.27,1,3,NULL),(25,6424171,'1993-08-26 00:00:00',2,4,12,2010,'F','N','CENTRO','PINHAL','RS','120201201116131431423315245122610133057',13524,'9998',40.57,1,2,1),(25,6424198,'1993-06-23 00:00:00',2,17,12,2010,'F','N','CENTRO','S BENTO SUL','SC','124241241115271731223322375122610122075',18039,'697',34.66,1,2,1),(25,6424201,'1993-01-29 00:00:00',4,3,12,2010,'F','N','JARDIM PORTO ALEGRE','TOLEDO','PR','116164161216471431459633575122610144182',5565,'9998',57.19,1,3,NULL),(25,6424210,'1990-04-06 00:00:00',4,1,11,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216144431458811492122221544182',9111,'403',52.86,1,3,NULL),(25,6424228,'1975-06-11 00:00:00',2,1,12,1995,'F','N','JURERE','FLORIANÓPOLIS','SC','224161165136131421533351375122610124012',NULL,'9998',0.00,1,3,NULL),(25,6424236,'1965-05-03 00:00:00',2,2,12,1984,'M','N','PETROPOLIS','BLUMENAU','SC','224131133126151431623348185122132867067',NULL,'9998',0.00,1,3,NULL),(25,6424252,'1990-05-13 00:00:00',2,2,12,2008,'M','N','NOVA ESPERANÇA','BLUMENAU','SC','124241241137162321335514114124610132052',12750,'83',46.99,1,2,1),(25,6424260,'1994-02-10 00:00:00',4,1,12,2011,'F','S','CAMPINAS','S JOSÉ','SC','124242241215111711336512125124610136052',NULL,'737',34.37,1,3,NULL),(25,6424279,'1990-03-05 00:00:00',2,1,1,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247417131731446434345124610167047',NULL,'9997',14.29,2,3,NULL),(25,6424295,'1983-05-03 00:00:00',4,1,12,2000,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241116141431326649295122610122182',NULL,'281',0.00,1,2,1),(25,6424317,'1992-11-08 00:00:00',2,1,11,2010,'M','N','FAZENDA SANTO ANTÔNI','S JOSÉ','SC','124241241215131411414624245124613217042',NULL,'1075',19.61,1,3,NULL),(25,6424325,'1992-01-29 00:00:00',4,1,12,2009,'M','N','ATALAIA','ARACAJU','SE','126262261217151712359911572122610164187',5219,'9998',58.43,4,3,NULL),(25,6424333,'1990-02-03 00:00:00',2,1,12,2006,'F','N','SÃO FRANCISCO','BENTO GONÇALVES','RS','120202201116572411426619284122140622147',NULL,'9998',0.00,1,3,NULL),(25,6424341,'1989-06-10 00:00:00',2,1,12,2008,'M','N','TAPERA','FLORIANÓPOLIS','SC','124243247227132412346613212334610161097',NULL,'9999',29.64,1,3,NULL),(25,6424350,'1981-02-28 00:00:00',2,1,7,2002,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241132335431227544242334131037047',NULL,'307',35.58,2,1,1),(25,6424376,'1989-06-23 00:00:00',2,6,12,2006,'F','N','PARTENON','PTO ALEGRE','RS','120242241216573511538732571124240651092',9332,'1008',48.95,1,3,NULL),(25,6424384,'1990-06-23 00:00:00',4,1,11,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216131431336844245123130257057',20246,'273',33.92,1,3,NULL),(25,6424392,'1987-08-24 00:00:00',2,1,12,2007,'M','N','CENTRO','IMBITUBA','SC','124243241347131521431111145124610143143',NULL,'9999',23.36,1,3,NULL),(25,6424406,'1944-03-23 00:00:00',5,1,12,1965,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224201208221171751264649491115310268045',NULL,'262',0.00,1,3,NULL),(25,6424414,'1982-02-25 00:00:00',2,1,12,2003,'F','N','PACHECO','PALHOÇA','SC','624201207126233451233373432112610148187',14609,'9998',44.28,1,2,1),(25,6424430,'1993-04-29 00:00:00',4,1,11,2010,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215151751369613395124610164027',NULL,'270',18.03,1,3,NULL),(25,6424449,'1991-12-12 00:00:00',4,1,12,2008,'F','N','CENTRO','BIGUAÇU','SC','124242241216573331346713445124231023047',NULL,'1022',35.50,1,3,NULL),(25,6424465,'1994-03-19 00:00:00',4,1,10,2010,'F','N','CENTRO','PRIMAVERA LESTE','MT','111112111217111331444415574122610122072',NULL,'9998',32.28,1,3,NULL),(25,6424490,'1994-01-03 00:00:00',4,2,12,2010,'F','N','ÁGUA VERDE','BLUMENAU','SC','124241241215121231448832275124610162142',10851,'71',49.91,1,3,NULL),(25,6424503,'1991-03-06 00:00:00',4,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241121272451221419245124610121187',NULL,'595',37.02,1,3,NULL),(25,6424511,'1992-05-06 00:00:00',2,1,12,2009,'M','N','GUARDA DO CUBATAO','PALHOÇA','SC','124241241136131731523623342124610124172',15260,'592',39.22,1,2,1),(25,6424520,'1993-11-23 00:00:00',4,1,11,2010,'F','N','PALMITAL','PARANAGUÁ','PR','116162161216271431668833575122610162057',NULL,'9998',36.16,1,3,NULL),(25,6424538,'1987-12-28 00:00:00',4,8,7,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124241247427212231436331372123131734111',19940,'9999',31.41,1,3,NULL),(25,6424562,'1994-06-29 00:00:00',4,8,11,2011,'F','S','FLORESTA','CONCÓRDIA','SC','124242241215111431368834576122610124142',NULL,'1000',46.40,1,3,NULL),(25,6424600,'1992-11-17 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111231467923475112610127042',NULL,'262',0.00,1,3,NULL),(25,6424627,'1995-01-30 00:00:00',2,2,12,2012,'M','S','GARCIA','BLUMENAU','SC','124242241215111712359934572122610127047',NULL,'87',33.61,4,3,NULL),(25,6424635,'1986-01-02 00:00:00',4,3,12,2002,'F','N','PEDRA BRANCA','PALHOÇA','SC','224241241116132441226651385122131932097',12432,'406',47.46,1,2,1),(25,6424651,'1991-11-06 00:00:00',4,15,12,2008,'M','N','PASSÁRGADA','PASSO TORRES','SC','124241241126472731525639245121610127057',NULL,'605',21.38,1,2,1),(25,6424660,'1992-12-29 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241416473431353726345124231024092',NULL,'1010',0.00,1,3,NULL),(25,6424686,'1990-05-28 00:00:00',2,1,12,2009,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241122131411525511242224231046147',NULL,'591',0.00,1,2,1),(25,6424724,'1993-04-12 00:00:00',4,10,12,2010,'M','N','CENTRO','TUBARÃO','SC','124241248117271531426639395121610132045',NULL,'798',20.15,1,2,1),(25,6424732,'1993-04-26 00:00:00',4,4,12,2010,'F','N','VERGUEIRO','PASSO FUNDO','RS','120202201215371431568811572112610142127',NULL,'9998',0.00,1,3,NULL),(25,6424740,'1989-05-15 00:00:00',2,8,12,2006,'F','N','VILA NOVA','RIO NEGRINHO','SC','124241241117131411424434342214610146147',NULL,'669',15.68,1,2,1),(25,6424775,'1992-12-27 00:00:00',4,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241216272411567619575114131062186',NULL,'1038',0.00,1,3,NULL),(25,6424783,'1992-04-08 00:00:00',2,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241126141431525319295121610144142',NULL,'592',26.82,1,2,1),(25,6424791,'1988-01-09 00:00:00',4,8,12,2005,'M','N','JOÃO COSTA','JOINVILLE','SC','124241241231141731556411385124233267041',NULL,'489',0.00,1,3,NULL),(25,6424805,'1993-07-30 00:00:00',4,3,11,2010,'F','N','ESPERANÇA','ERECHIM','RS','120202201215111431368723571122610125095',NULL,'9998',0.00,1,3,NULL),(25,6424813,'1985-08-13 00:00:00',2,1,12,2003,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241236133751233341215122221632097',16928,'86',40.73,1,3,NULL),(25,6424821,'1992-09-03 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242248215272751257724575114610134117',12497,'723',43.69,3,3,NULL),(25,6424830,'1992-08-04 00:00:00',2,1,12,2010,'F','N','NOVA ESPERANÇA','URUGUAIANA','RS','120201201127271711646619391122610131047',NULL,'9998',14.51,1,3,NULL),(25,6424848,'1991-05-05 00:00:00',2,1,12,2009,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241248127171732445629395114610137042',NULL,'591',0.00,1,2,1),(25,6424856,'1992-12-21 00:00:00',2,3,12,2009,'F','N','MORRETES','ITAPEMA','SC','124241241217132311545923245122610125147',NULL,'403',32.72,1,3,NULL),(25,6424910,'1991-01-04 00:00:00',5,8,12,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215173431479713575122231815195',NULL,'1063',44.39,1,3,NULL),(25,6424929,'1988-12-29 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124242241216575431458622295122221522017',6142,'270',58.42,1,3,NULL),(25,6424945,'1992-08-30 00:00:00',2,4,12,2010,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241146271231434423285124610122057',NULL,'169',19.37,1,3,NULL),(25,6424953,'1993-09-18 00:00:00',2,9,12,2010,'F','N','GLÓRIA','VACARIA','RS','120203201117131431423413431122610134147',NULL,'9998',20.06,1,3,NULL),(25,6424961,'1990-10-02 00:00:00',4,1,12,2008,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124201201136132431113344245124233262177',12808,'9998',46.90,1,2,1),(25,6424970,'1986-10-02 00:00:00',2,1,12,2005,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241111143321633611245124122227047',NULL,'307',30.16,1,2,1),(25,6424988,'1992-05-20 00:00:00',4,1,12,2009,'M','N','CENTRO','STA MARIA','RS','120204201217471431588831575114610167056',1411,'9998',71.71,1,3,NULL),(25,6424996,'1984-11-28 00:00:00',2,1,12,2001,'F','N','PERDIZES','S PAULO','SP','125252251215471431358732471125343254142',NULL,'9998',0.00,1,3,NULL),(25,6425020,'1993-04-06 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124243248347161431228824345124610127077',21698,'734',25.23,1,3,NULL),(25,6425038,'1990-01-14 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116132442538613495224610127117',NULL,'733',34.99,1,2,1),(25,6425046,'1990-05-09 00:00:00',2,2,12,2007,'M','N','NOVA ESPERANÇA','BLUMENAU','SC','124241241126161622443314245123610167057',21335,'82',29.23,1,2,1),(25,6425054,'1992-05-17 00:00:00',2,4,12,2009,'M','N','CENTRO SUL','DOIS VIZINHOS','PR','116161161417152431246814575112610137052',NULL,'9998',23.85,1,3,NULL),(25,6425062,'1993-03-17 00:00:00',4,8,11,2010,'F','N','BUCAREIN','JOINVILLE','SC','124241241137271531537912575122610154192',14568,'471',41.15,1,2,1),(25,6425070,'1983-01-27 00:00:00',2,1,12,2003,'M','N','PACHECO','PALHOÇA','SC','624201207126132421233773332132131448193',6889,'9998',52.47,4,2,1),(25,6425089,'1991-10-24 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241216153411567811575114121768173',12029,'1077',48.09,1,3,NULL),(25,6425097,'1988-11-25 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124242241216143431333623492124232731097',15610,'738',42.75,1,3,NULL),(25,6425119,'1988-10-25 00:00:00',2,15,12,2005,'F','N','SANTO ANTÔNIO','PTO ALEGRE','RS','120202201212572411588714371122610165142',NULL,'9998',0.00,1,3,NULL),(25,6425127,'1993-11-17 00:00:00',4,8,12,2010,'F','N','JOÃO GUALBERTO','PARANAGUÁ','PR','116162161216371741228814475122610164146',2628,'9998',65.29,1,3,NULL),(25,6425135,'1987-11-25 00:00:00',2,1,11,2009,'M','N','REAL PARQUE','S JOSÉ','SC','224243247327171441226867185124233225042',NULL,'9999',29.72,1,3,NULL),(25,6425151,'1988-12-09 00:00:00',2,9,12,2005,'F','N','POPULAR','LAGES','SC','124241241116132441533311442124610123051',NULL,'935',0.00,4,2,1),(25,6425160,'1992-12-24 00:00:00',4,1,12,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241117271632216327472324610162183',NULL,'1088',0.00,1,3,NULL),(25,6425178,'1993-08-01 00:00:00',4,2,12,2010,'F','N','PETROPOLIS','BLUMENAU','SC','124241241116371551627318595122610164197',NULL,'79',0.00,1,3,NULL),(25,6425208,'1993-07-22 00:00:00',2,4,12,2010,'M','N','CENTRO','TAPERA','RS','120201201117271431336612475122610124052',19988,'9998',29.64,1,2,1),(25,6425216,'1988-01-06 00:00:00',2,1,12,2007,'M','N','BOM VIVER','BIGUAÇU','SC','224201208112211111559713435112132016051',NULL,'1088',0.00,1,3,NULL),(25,6425224,'1992-04-19 00:00:00',2,1,12,2009,'F','N','MARIA CÉU','CRICIÚMA','SC','124241241114372431336329392124610132147',NULL,'223',17.88,1,2,1),(25,6425240,'1990-03-26 00:00:00',2,4,12,2007,'F','N','CENTRO','PELOTAS','RS','120243241216472431573632375124241324147',14440,'836',38.96,1,3,NULL),(25,6425259,'1992-06-24 00:00:00',4,1,11,2009,'M','N','PALMITAL','PARANAGUÁ','PR','116162161216471431668833575124610167047',5591,'9998',58.60,1,3,NULL),(25,6425275,'1989-05-19 00:00:00',4,3,12,2006,'M','N','JD AZTECA','ROLÂNDIA','PR','116164161417571431335923275124242464042',NULL,'9998',0.00,1,3,NULL),(25,6425283,'1993-05-24 00:00:00',2,10,12,2010,'F','N','PAES LEME','IMBITUBA','SC','124251241215111431438614375122610132092',13055,'362',43.13,1,3,NULL),(25,6425291,'1993-05-10 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241217111731366633595122610163091',20639,'737',28.22,1,3,NULL),(25,6425305,'1993-07-09 00:00:00',4,1,12,2011,'F','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111712448812295124610117052',NULL,'883',51.26,1,3,NULL),(25,6425313,'1992-05-15 00:00:00',4,3,12,2009,'M','N','ALTO BOA VISTA','MOGI CRUZES','SP','125251251117471431537833572112610162187',NULL,'9998',0.00,1,2,1),(25,6425321,'1987-04-01 00:00:00',2,1,12,2004,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241211132431434853392114231017047',13606,'1098',45.77,1,3,NULL),(25,6425330,'1991-01-13 00:00:00',4,1,7,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124074248117141731447612442122610122197',NULL,'9999',8.59,4,1,2),(25,6425348,'1993-03-21 00:00:00',2,17,12,2010,'M','N','CAMPO DA AGUA VERDE','CANOINHAS','SC','124241241115271731436931595122610124147',NULL,'146',20.57,1,3,NULL),(25,6425356,'1982-03-17 00:00:00',4,1,12,1999,'M','N','LAGO NORTE','LG NORTE','DF','124071071116372441228823415124222324041',NULL,'9998',0.00,1,2,1),(25,6425372,'1992-06-01 00:00:00',2,2,12,2010,'M','N','VELHA','BLUMENAU','SC','124241241127141431559934345124610127112',NULL,'79',0.00,1,2,1),(25,6425380,'1991-01-06 00:00:00',2,1,12,2010,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241248137142421324324445124610124147',NULL,'306',0.00,1,2,1),(25,6425399,'1970-02-22 00:00:00',2,1,12,1998,'F','N','CENTRO','FLORIANÓPOLIS','SC','124091097147132441528412436125141626177',NULL,'9998',5.63,2,2,1),(25,6425402,'1987-12-08 00:00:00',2,8,12,2004,'F','N','JARAGUÁ NOVENTA NOVE','JARAGUÁ SUL','SC','124161161137371331523654346124610137071',15643,'9998',38.97,1,2,1),(25,6425437,'1987-04-24 00:00:00',2,1,12,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241216274731556313495122222344147',19787,'1022',35.18,1,3,NULL),(25,6425445,'1992-12-03 00:00:00',2,8,12,2010,'M','N','JADIM SOFIA','JOINVILLE','SC','124241247317141711446614343114610124185',19941,'9999',30.45,1,3,NULL),(25,6425453,'1988-02-27 00:00:00',4,1,9,2008,'M','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','224201207142131431224744245124140832042',20224,'9998',33.99,2,1,1),(25,6425461,'1991-09-04 00:00:00',2,5,6,2009,'M','N','CARAVAGGIO','NOVA VENEZA','SC','124241246217132431444711495122610142112',9490,'995',48.43,1,3,NULL),(25,6425470,'1982-05-02 00:00:00',4,8,12,2004,'M','N','CENTRO','JOINVILLE','SC','524121247141271421437622385124131428041',17964,'9997',36.18,4,2,1),(25,6425488,'1992-01-06 00:00:00',4,2,12,2009,'F','N','DOM JOAQUIM','BRUSQUE','SC','124244241216112431653463571122232032047',15001,'107',40.24,1,3,NULL),(25,6425496,'1989-10-25 00:00:00',4,1,12,2007,'M','N','CENTRO','MUZAMBINHO','MG','113134131216511431469934575114610114012',NULL,'9998',0.00,1,3,NULL),(25,6425500,'1989-08-09 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124242241215172711527812571124222313081',18493,'1118',37.93,1,3,NULL),(25,6425518,'1992-02-22 00:00:00',2,4,11,2010,'M','N','CRISTO REI','CHAPECÓ','SC','124241241125271431635614245124610127062',NULL,'169',32.86,1,2,1),(25,6425526,'1993-08-14 00:00:00',2,1,11,2010,'F','N','GETAT','AÇAILÂNDIA','MA','110102101216111431359814445122610161012',NULL,'9998',15.16,1,3,NULL),(25,6425534,'1991-11-11 00:00:00',4,1,12,2008,'M','N','COIMBRA','GOIÂNIA','GO','109092091217471411247823475112141462042',NULL,'9998',0.00,4,3,NULL),(25,6425542,'1990-06-25 00:00:00',4,8,12,2007,'F','N','AMERICA','JOINVILLE','SC','124242241216571431459913575122610117012',3778,'459',63.88,1,3,NULL),(25,6425550,'1992-11-27 00:00:00',4,4,11,2009,'M','N','JOSÉ BONIFÁCIO','ERECHIM','RS','120202201215152711459832595124241462092',NULL,'9998',43.87,1,3,NULL),(25,6425569,'1985-11-24 00:00:00',2,1,12,2005,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124101101112142421638811444114140262041',NULL,'9998',19.27,2,1,1),(25,6425585,'1988-12-17 00:00:00',2,1,12,2005,'F','N','CENTRO','PELOTAS','RS','120201201117571731536813372112143223047',NULL,'9998',0.00,1,2,1),(25,6425593,'1993-07-24 00:00:00',2,15,12,2010,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241115151531328923395112610117042',16492,'30',35.17,1,2,1),(25,6425607,'1990-04-28 00:00:00',2,1,12,2009,'F','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','124241241117131731424418295234610121187',21732,'288',24.39,2,2,1),(25,6425615,'1993-03-03 00:00:00',2,1,10,2010,'M','N','ZONA V','UMUARAMA','PR','116162161215121441338833572122610134022',NULL,'9998',10.31,1,3,NULL),(25,6425623,'1986-06-22 00:00:00',2,15,11,2004,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241136151411226642215123610124055',20195,'30',34.09,1,3,NULL),(25,6425631,'1983-05-19 00:00:00',4,15,12,2005,'M','N','CENTRO','MELEIRO','SC','224241241132131711326915452112610117047',NULL,'559',0.00,1,2,1),(25,6425640,'1989-10-06 00:00:00',4,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124133131216131411334431445124610114042',18551,'9998',37.86,1,3,NULL),(25,6425674,'1993-01-11 00:00:00',4,17,12,2010,'F','N','CENTRO','MÁGDA','SP','125253251124111431456923591124610132097',18658,'9998',32.78,1,3,NULL),(25,6425704,'1988-07-30 00:00:00',2,1,12,2005,'F','N','STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC','124241241123142711453329345124330234187',NULL,'279',0.00,1,2,1),(25,6425712,'1992-06-02 00:00:00',4,8,11,2009,'F','N','VILA DO CASTELO','S PAULO','SP','125252251216371311538614575124610122097',11715,'9998',43.72,1,3,NULL),(25,6425720,'1990-02-18 00:00:00',2,1,12,2007,'M','N','OFICINAS','TUBARÃO','SC','124242241216144431358923395122231037042',NULL,'807',0.00,1,3,NULL),(25,6425739,'1993-03-27 00:00:00',4,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124254241416131431535721395124610121042',18081,'9997',32.88,1,3,NULL),(25,6425763,'1988-10-02 00:00:00',2,8,12,2006,'M','N','JARDIM PALMARES','COLOMBO','PR','116161167345311711436534235121610127047',18390,'9998',33.41,1,3,NULL),(25,6425771,'1972-03-26 00:00:00',2,1,12,1998,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','624161167126151451243842225132141467157',NULL,'9998',0.00,1,3,NULL),(25,6425801,'1990-03-21 00:00:00',4,6,12,2007,'M','N','PICO DO AMOR','CUIABÁ','MT','111114111216471451459834574324610162047',NULL,'9998',0.00,1,3,NULL),(25,6425810,'1970-12-05 00:00:00',2,1,9,1988,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241243217131441123644241123610118185',11414,'67',49.02,1,3,NULL),(25,6425860,'1990-10-29 00:00:00',4,5,8,2008,'M','N','NAVEGANTES','PTO ALEGRE','RS','120201246215271431338717245124241424032',11238,'995',45.70,1,3,NULL),(25,6425879,'1989-07-21 00:00:00',2,10,12,2010,'F','N','SÃO FRANCISCO','BRAÇO NORTE','SC','124241241126131431623341112334233226147',NULL,'100',0.00,1,2,1),(25,6425895,'1992-01-31 00:00:00',5,7,12,2010,'F','N','CENTRO','TREZE TÍLIAS','SC','124241241136161121634644445224610163053',NULL,'795',11.82,1,3,NULL),(25,6425917,'1994-04-10 00:00:00',4,8,11,2010,'M','N','PALMITAL','PARANAGUÁ','PR','116162161217271331358923575112610162042',NULL,'9998',0.00,1,3,NULL),(25,6425925,'1970-06-28 00:00:00',4,1,6,1992,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124204201332154421126941415122330232097',NULL,'9998',0.00,1,3,NULL),(25,6425933,'1982-05-12 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124251251117132431156644442122610125037',NULL,'9998',0.00,1,2,1),(25,6425941,'1977-08-19 00:00:00',2,1,12,1994,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241122151431223654282124331342142',NULL,'704',0.00,1,3,NULL),(25,6425950,'1993-05-15 00:00:00',4,4,12,2010,'M','N','PRESIDENTE MEDICE','CHAPECÓ','SC','124241241117131231334923575114610124047',NULL,'182',0.00,1,2,1),(25,6425976,'1993-06-12 00:00:00',4,6,11,2010,'F','N','SANTO ANTONIO','BAL PIÇARRAS','SC','124241241111131431535519575124610116187',NULL,'614',0.00,1,2,1),(25,6425984,'1990-11-18 00:00:00',2,1,12,2008,'M','N','VILA INDUSTRIAL','S JOSÉ CAMPOS','SP','125251251116132432416717285121221464057',8072,'9998',52.72,4,1,1),(25,6425992,'1991-07-14 00:00:00',2,3,12,2010,'F','N','CENTRO','ITAPEMA','SC','124241247126141711523524345124610134093',NULL,'129',0.00,1,3,NULL),(25,6426018,'1988-01-07 00:00:00',4,1,12,2005,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241212373421469813231124230234067',11155,'9999',49.44,1,3,NULL),(25,6426026,'1988-05-02 00:00:00',2,2,12,2006,'M','N','NOVA ESPERANÇA','BLUMENAU','SC','124241241146161421634311145114132845147',NULL,'69',4.75,2,1,1),(25,6426034,'1976-05-22 00:00:00',3,1,12,1993,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116274731537813435122122967182',NULL,'267',0.00,1,2,1),(25,6426042,'1993-04-07 00:00:00',4,9,12,2010,'M','N','UNIVERSITARIO','LAGES','SC','124242241216111451338924575112610114142',NULL,'497',29.84,1,3,NULL),(25,6426050,'1981-08-10 00:00:00',2,1,12,2000,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241112274431327954342124122354143',NULL,'416',42.29,1,3,NULL),(25,6426069,'1992-12-08 00:00:00',4,1,12,2010,'M','N','VILA BOEIRA','CANELA','RS','120202201217151431478933575122610127052',NULL,'9998',0.00,1,3,NULL),(25,6426077,'1985-05-14 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241226155221138943235122431264077',13911,'414',45.31,1,3,NULL),(25,6426107,'1987-03-13 00:00:00',4,1,12,2005,'M','N','FORQUETA','CAXIAS SUL','RS','120201201126171421336812115124240622193',NULL,'9998',12.27,1,2,1),(25,6426131,'1962-11-26 00:00:00',4,1,12,1980,'M','N','CENTRO','TUBARÃO','SC','124242241216154711658813415122321414097',NULL,'797',0.00,1,3,NULL),(25,6426166,'1992-10-09 00:00:00',4,1,11,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124204201217231722648913341124610167147',6715,'9998',54.37,4,3,NULL),(25,6426174,'1980-12-08 00:00:00',4,1,12,1997,'M','N','PRAIA DE BELAS','PTO ALEGRE','RS','120203201417411411188943235125340734052',NULL,'9998',0.00,1,3,NULL),(25,6426182,'1973-01-09 00:00:00',4,1,11,1989,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241161217575411146629415122121464171',NULL,'9998',0.00,1,3,NULL),(25,6426204,'1983-11-25 00:00:00',4,1,12,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217135721563611445124333242187',10719,'9997',50.12,1,3,NULL),(25,6426212,'1987-01-04 00:00:00',2,1,12,2005,'F','N','AREIAS','S JOSÉ','SC','124073071121375731126644341124233264057',18176,'9998',34.15,4,3,NULL),(25,6426239,'1993-06-22 00:00:00',2,4,12,2010,'F','N','CENTRO','S LOURENÇO OESTE','SC','124161241116161451439934575122610154147',18484,'744',32.45,1,2,1),(25,6426247,'1985-05-20 00:00:00',2,1,12,2006,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124243241215475411658833442124330514041',NULL,'723',20.02,1,3,NULL),(25,6426255,'1990-07-23 00:00:00',4,1,11,2007,'F','N','ZONA UM','MARINGÁ','PR','116162161214571431344421212112610162187',8287,'9998',51.27,3,3,NULL),(25,6426271,'1986-10-12 00:00:00',5,1,12,2004,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','624241241127471732113444345134610125187',NULL,'821',34.95,1,2,1),(25,6426280,'1993-07-07 00:00:00',2,10,12,2010,'M','N','IMPERIAL','CONCÓRDIA','SC','124243241317131412447913435122610117176',NULL,'196',0.00,2,3,NULL),(25,6426301,'1990-10-09 00:00:00',2,3,12,2008,'M','N','RIO DO MEIO','STA ROSA LIMA','SC','124241241125142111523336592124640118065',20031,'688',34.48,1,2,1),(25,6426310,'1990-08-30 00:00:00',4,1,12,2007,'M','N','SEMINÁRIO','ITUPORANGA','SC','124244241226153431558933435124231024057',15256,'414',43.32,1,3,NULL),(25,6426328,'1993-10-20 00:00:00',4,8,12,2010,'F','N','AMERICA','JOINVILLE','SC','124242248212111451468733531112620166017',2539,'457',64.90,1,3,NULL),(25,6426336,'1990-02-13 00:00:00',4,10,7,2007,'F','N','PORTO DA VILA','IMBITUBA','SC','124202247442131431213841215123131231077',15743,'9999',42.53,1,3,NULL),(25,6426360,'1991-10-15 00:00:00',4,1,12,2009,'M','N','ASA NORTE','BRASÍLIA','DF','107072071216371431568831475122640767042',NULL,'262',0.00,1,3,NULL),(25,6426379,'1994-01-25 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241215111431229614545122610134097',13210,'1207',42.11,1,3,NULL),(25,6426387,'1991-03-16 00:00:00',4,7,12,2007,'M','N','JARDIM DAS FLORES','TREZE TÍLIAS','SC','124241248337162411226771185115130214197',NULL,'122',0.00,1,3,NULL),(25,6426395,'1982-12-21 00:00:00',4,4,12,2000,'M','N','CENTRO','CHAPECÓ','SC','124201241116111411156722115124133257042',NULL,'9998',0.00,1,3,NULL),(25,6426409,'1986-11-19 00:00:00',4,1,12,2003,'F','N','RIO GRANDE','PALHOÇA','SC','124241241226151711365511115222232767147',NULL,'591',11.63,1,3,NULL),(25,6426417,'1968-06-09 00:00:00',2,1,12,1986,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224241241142143431438643332134121417047',18237,'298',38.41,1,2,1),(25,6426433,'1988-04-02 00:00:00',2,1,12,2005,'M','N','AREIAS','S JOSÉ','SC','124241241116131411424313445123610164092',NULL,'734',24.73,1,2,1),(25,6426441,'1989-09-14 00:00:00',4,1,12,2008,'M','N','PONTA GROSSA','PTO ALEGRE','RS','120204207416472411648711391124141942112',NULL,'9998',11.92,1,3,NULL),(25,6426450,'1974-08-27 00:00:00',2,8,12,1992,'M','N','BAEPENDI','JARAGUÁ SUL','SC','224242241236274431354443435122521427091',NULL,'1174',15.29,1,3,NULL),(25,6426468,'1994-03-15 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241215111531449951575112610137042',17039,'1118',35.97,1,3,NULL),(25,6426484,'1966-12-21 00:00:00',2,1,12,1985,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224241241116152412434354472112333068142',NULL,'334',19.84,1,3,NULL),(25,6426492,'1987-01-26 00:00:00',4,1,12,2004,'F','N','ACLIMAÇÃO','S PAULO','SP','124252251237115712558831572125232427072',5569,'9998',57.98,3,3,NULL),(25,6426514,'1990-03-24 00:00:00',2,1,12,2007,'F','N','VILA JOÃO VAZ','GOIÂNIA','GO','109092091215471431448833571122141522147',4691,'9998',58.49,4,3,NULL),(28,7000014,'1988-08-11 00:00:00',4,1,12,2006,'M','N','CAMPINAS','S JOSÉ','SC','124202247245153331458713395124233217117',NULL,'944',27.24,1,3,NULL),(28,7000022,'1992-10-05 00:00:00',2,1,12,2009,'F','N','SUIÇO','S BERNARDO CAMPO','SP','125251251116472711238627385124143267142',6855,'9998',52.69,1,2,1),(28,7000030,'1978-09-12 00:00:00',4,1,6,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','524242241237274412369844345132330762195',7227,'9999',58.43,1,3,NULL),(28,7000049,'1992-09-26 00:00:00',2,1,12,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241116232331433311245124130821187',NULL,'592',26.77,1,2,1),(28,7000057,'1991-07-05 00:00:00',4,1,8,2010,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241246116151441336324345124610122142',13230,'306',39.69,1,2,1),(28,7000065,'1991-08-24 00:00:00',4,4,12,2008,'M','N','PINHEIRINHO','PATO BRANCO','PR','116162161216574451369939575125610122062',1099,'9998',66.58,1,3,NULL),(28,7000073,'1991-04-10 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124262261217273311266823575124221418135',5021,'9998',62.37,4,3,NULL),(28,7000081,'1994-01-05 00:00:00',4,4,12,2011,'F','N','CENTRO','XANXERÊ','SC','120242201217112431346831312124610163187',2034,'9998',63.26,1,3,NULL),(28,7000090,'1993-05-31 00:00:00',2,4,12,2010,'M','N','CENTRO','XANXERÊ','SC','120242241216472431346612325125610167012',12465,'1233',41.15,1,3,NULL),(28,7000103,'1990-10-11 00:00:00',2,7,12,2007,'M','N','CENTRO','TANGARÁ','SC','124241242117131442423614145124230653047',NULL,'8',0.00,1,3,NULL),(28,7000111,'1990-12-22 00:00:00',4,1,12,2007,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241316275421436814445134610161142',14164,'267',47.16,1,3,NULL),(28,7000120,'1987-12-07 00:00:00',4,1,12,2004,'M','N','DESVIO RIZZO','CAXIAS SUL','RS','120202201217472411448813275122143264182',6283,'9998',50.01,1,3,NULL),(28,7000146,'1991-07-03 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124254251215573431248811575114142328195',5092,'9998',56.62,1,3,NULL),(28,7000162,'1990-05-29 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241147144431426514245124221418152',13906,'712',47.55,1,2,1),(28,7000170,'1993-04-05 00:00:00',2,1,12,2010,'F','N','FLORESTA','S JOSÉ','SC','124241241112271431336923245124610121052',17370,'733',40.61,1,2,1),(28,7000189,'1992-06-23 00:00:00',4,23,12,2008,'M','N','SCHROEDER I','SCHROEDER','SC','124243246216152541538831325122131462012',9477,'1061',45.59,1,3,NULL),(28,7000197,'1991-09-05 00:00:00',4,1,10,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124071241315371431226931385114610133127',9217,'9998',47.25,1,3,NULL),(28,7000200,'1993-02-13 00:00:00',2,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124242241131472731324312341114610164047',9418,'257',50.61,1,3,NULL),(28,7000219,'1978-11-30 00:00:00',4,1,12,1995,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224241248126274721266449395114122338182',5250,'712',56.13,1,3,NULL),(28,7000243,'1994-03-09 00:00:00',4,1,12,2011,'F','N','SANTA PAULA','S CAETANO SUL','SP','125252251216472431248821571124610122142',2909,'9998',60.69,1,3,NULL),(28,7000260,'1991-04-08 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124162161216155431349829575122141036172',NULL,'9998',0.00,1,3,NULL),(28,7000278,'1967-12-23 00:00:00',4,1,12,1985,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241243226131411332243232114610126041',19469,'316',32.91,1,3,NULL),(28,7000286,'1983-08-10 00:00:00',2,1,12,2002,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224134211217271711257653435122610137077',18961,'9998',35.45,1,3,NULL),(28,7000294,'1994-02-07 00:00:00',4,1,12,2011,'M','N','PARQUE CALIFÓRNIA','JACAREÍ','SP','125252251235471441448811571124610166012',8,'9998',87.73,1,3,NULL),(28,7000308,'1993-09-06 00:00:00',4,8,12,2010,'M','N','SANTA CATARINA','JOINVILLE','SC','124242061216471741436632575124610137052',NULL,'9998',0.00,1,3,NULL),(28,7000316,'1992-09-23 00:00:00',4,1,11,2009,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161216472331389932575122610167042',2325,'9998',63.61,1,3,NULL),(28,7000324,'1993-06-18 00:00:00',2,1,12,2011,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241115371731326217572224610148147',17037,'281',35.87,2,1,1),(28,7000332,'1992-11-04 00:00:00',4,8,11,2011,'F','N','CENTRO','S BENTO SUL','SC','124242161217121531449914575114610127157',NULL,'9998',0.00,1,3,NULL),(28,7000359,'1989-12-30 00:00:00',4,1,12,2008,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241136153731666639335124610136092',11022,'307',52.10,1,2,1),(28,7000375,'1993-04-30 00:00:00',4,2,12,2010,'F','N','VILA FLORESTA','STO ANDRÉ','SP','125243241215472431356811595124610128147',5438,'87',54.94,1,3,NULL),(28,7000383,'1994-06-07 00:00:00',4,15,12,2011,'F','N','SÃO LUIZ','CANOAS','RS','120202201216471431468932572122610114193',5440,'9998',57.73,1,3,NULL),(28,7000391,'1991-03-07 00:00:00',2,5,12,2007,'F','N','LIRI','IÇARA','SC','124241241116331431324414585124610124077',19531,'209',32.46,1,2,1),(28,7000405,'1993-02-17 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124241241317372431326834242334610161092',13861,'499',37.75,1,3,NULL),(28,7000413,'1994-06-19 00:00:00',4,2,6,2011,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241417372411266812575124610118192',2115,'1018',65.08,1,3,NULL),(28,7000421,'1993-05-24 00:00:00',4,1,12,2010,'F','N','JD OLIVEIRAS','CAMPINAS','SP','125252251217471431479914575122610164042',12443,'9998',49.89,1,3,NULL),(28,7000430,'1993-04-12 00:00:00',2,1,12,2010,'F','N','SÃO VIOR','OSASCO','SP','125252251215471731547611571124610164047',NULL,'9998',0.00,1,3,NULL),(28,7000448,'1993-02-13 00:00:00',2,1,11,2010,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124242241215372431429833591124610117072',12839,'270',49.24,1,3,NULL),(28,7000456,'1993-07-16 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215372411456614575124233264142',560,'1023',72.25,1,3,NULL),(28,7000464,'1994-08-10 00:00:00',4,1,12,2011,'F','N','PARQUE DAS NAÇÕES','BAURU','SP','125252251215111431469933575122610124092',1880,'9998',64.15,1,3,NULL),(28,7000472,'1993-01-31 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241137472431326829385124610162011',11942,'291',43.29,2,1,1),(28,7000499,'1991-10-10 00:00:00',4,1,10,2011,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242246117131431536673285124610167012',4111,'306',58.18,1,3,NULL),(28,7000502,'1992-08-22 00:00:00',2,15,12,2009,'M','N','DIVINÉIA','ARARANGUÁ','SC','124241241116133111323944345132610137077',NULL,'30',21.98,1,2,1),(28,7000510,'1986-03-31 00:00:00',4,1,12,2004,'M','N','COLÔNIA','JUNDIAÍ','SP','525161161317251441128841315124142822044',2581,'9998',60.65,1,3,NULL),(28,7000529,'1975-08-22 00:00:00',4,1,12,1992,'M','N','VELHA','BLUMENAU','SC','124242241417575431168627481124131467181',NULL,'79',0.00,1,3,NULL),(28,7000537,'1993-09-30 00:00:00',2,17,12,2010,'M','N','TRICOLIM','CANOINHAS','SC','116242241216472431344432575112610162096',NULL,'973',0.00,1,3,NULL),(28,7000545,'1993-07-01 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241116372431346613345124610167077',15244,'271',36.63,1,3,NULL),(28,7000553,'1992-06-22 00:00:00',4,1,12,2009,'M','N','VILA FORMOSA','S PAULO','SP','125252251117471731238624575124141464182',11862,'9998',40.69,1,3,NULL),(28,7000561,'1983-12-10 00:00:00',2,1,12,2002,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216372431368811412112331066081',NULL,'270',0.00,1,3,NULL),(28,7000570,'1993-01-08 00:00:00',2,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116372431433312345124610124142',17653,'307',31.99,1,2,1),(28,7000588,'1958-05-14 00:00:00',4,1,12,1975,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251258116211751156649435125320667092',12599,'9998',49.63,1,3,NULL),(28,7000618,'1990-08-22 00:00:00',2,8,12,2008,'F','N','VILA NOVA','JOINVILLE','SC','124241247446271721446614345132610136182',NULL,'9999',30.88,1,3,NULL),(28,7000634,'1982-05-31 00:00:00',2,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','624243247116151431424651382124233213147',NULL,'9999',21.77,1,3,NULL),(28,7000642,'1995-03-03 00:00:00',2,1,12,2011,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','124242241215372751444411575124610167042',6111,'1022',53.65,1,3,NULL),(28,7000650,'1994-09-24 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431536924575124610117052',19387,'259',33.42,1,3,NULL),(28,7000677,'1994-03-21 00:00:00',4,1,12,2011,'F','N','FLAMENGO','RIO JANEIRO','RJ','121212211216111431378813572124510124197',2368,'9998',62.63,4,3,NULL),(28,7000685,'1994-04-06 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202201217111431369931311122610136192',3203,'9998',60.20,1,3,NULL),(28,7000693,'1993-01-19 00:00:00',4,23,12,2010,'F','N','CENTRO','GUARAMIRIM','SC','124242241225142431438631245121610142017',NULL,'441',0.00,1,3,NULL),(28,7000707,'1991-04-18 00:00:00',2,8,12,2010,'F','N','PINEVILLE','PINHAIS','PR','116164161236472431225524245124610163043',NULL,'9998',0.00,1,3,NULL),(28,7000715,'1989-03-18 00:00:00',2,15,12,2007,'M','N','CENTRO','STA ROSA SUL','SC','124241241126111321423811215122131217052',19914,'689',29.19,1,2,1),(28,7000731,'1991-02-25 00:00:00',2,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241111132411638919491124610143142',20091,'292',26.53,1,3,NULL),(28,7000740,'1985-04-04 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124212216111471441248649395124231422045',2509,'9998',62.64,1,3,NULL),(28,7000758,'1992-06-29 00:00:00',2,1,6,2011,'F','N','COSTA DA LAGOA','FLORIANÓPOLIS','SC','124241241116132311523319391215610167087',NULL,'306',0.00,1,2,1),(28,7000766,'1991-09-10 00:00:00',4,10,12,2008,'F','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124241241136131431444814385114130431157',13065,'798',38.98,1,2,1),(28,7000774,'1994-04-06 00:00:00',2,8,12,2011,'F','N','VILA NOVA','JOINVILLE','SC','124243241335471431646634245122610138147',NULL,'1016',31.63,1,3,NULL),(28,7000782,'1994-01-05 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124161161116151431334611285124610134147',19980,'9998',28.42,4,3,NULL),(28,7000804,'1993-04-28 00:00:00',4,1,12,2010,'F','N','CENTRO','S JOSÉ CAMPOS','SP','125252251215471431457932595122610123097',11505,'9998',41.10,1,3,NULL),(28,7000812,'1993-02-16 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241416272431334729575114610122057',13453,'1022',41.36,1,3,NULL),(28,7000820,'1988-10-22 00:00:00',2,1,12,2006,'F','N','VILA GUARANI','S JOSÉ CAMPOS','SP','125253251216472431433319575122142926142',6051,'9998',54.83,1,3,NULL),(28,7000839,'1984-02-26 00:00:00',4,8,12,2001,'F','N','PARQUE GUARANI','JOINVILLE','SC','124241241146132441636413194123333233092',5154,'478',56.94,1,2,1),(28,7000847,'1985-04-05 00:00:00',4,1,12,2002,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124241247327171431523544245124330268147',NULL,'9999',23.47,1,3,NULL),(28,7000855,'1993-11-05 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111432468923575122510127075',NULL,'1050',26.87,1,3,NULL),(28,7000871,'1993-05-21 00:00:00',4,4,12,2010,'F','N','GLÓRIA','JOINVILLE','SC','124241241116472731446823572124610122147',3973,'478',58.45,2,1,1),(28,7000880,'1985-12-24 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124254251217372411239812485124343263147',4019,'9998',58.25,1,3,NULL),(28,7000898,'1986-02-18 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116373751436319575124232762097',14899,'257',45.81,1,2,1),(28,7000944,'1991-07-13 00:00:00',4,1,12,2009,'F','N','JARDIM PAULISTA','ATIBAIA','SP','125251251217571441458911315122610164097',10604,'9998',45.10,1,3,NULL),(28,7000952,'1990-08-11 00:00:00',2,6,12,2007,'F','N','CRUZEIRO DO SUL','JZ FORA','MG','113132131217571431456614575124610164047',2764,'9998',59.82,2,3,NULL),(28,7000960,'1993-02-27 00:00:00',4,1,12,2010,'F','N','JARDIM ACAPULCO','S CARLOS','SP','125253251217472431656411175112610134177',3853,'9998',57.13,1,3,NULL),(28,7000979,'1994-01-19 00:00:00',2,17,12,2010,'F','N','VILA IVETE','MAFRA','SC','124161161117571431436531575122141432197',NULL,'9998',0.00,4,2,1),(28,7000987,'1994-03-22 00:00:00',4,23,12,2011,'M','N','BAEPENDI','JARAGUÁ SUL','SC','224242241236111311436614575121610167142',19882,'442',29.52,1,3,NULL),(28,7000995,'1986-12-29 00:00:00',4,1,12,2005,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241116141441336923215124331066197',10471,'739',52.96,1,2,1),(28,7001002,'1991-11-23 00:00:00',2,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241247315372421266623335124610167062',NULL,'9999',22.67,1,3,NULL),(28,7001010,'1993-05-31 00:00:00',4,8,12,2010,'M','N','AMÉRICA','JOINVILLE','SC','124242241216372731487923475112131064192',3670,'1063',58.54,1,3,NULL),(28,7001029,'1993-10-13 00:00:00',4,1,12,2010,'F','N','CATETE','RIO JANEIRO','RJ','121212211236471711467734575124610133187',1999,'9998',62.41,1,3,NULL),(28,7001037,'1990-01-14 00:00:00',2,1,6,2011,'F','N','ITAGUACU','FLORIANÓPOLIS','SC','124243241422311531536774245114610113092',NULL,'270',22.63,1,3,NULL),(28,7001045,'1992-10-21 00:00:00',2,4,12,2009,'M','N','CENTRO','CPO ERÊ','SC','124162161216474431456816575125610126122',12189,'9998',50.26,1,3,NULL),(28,7001053,'1994-05-06 00:00:00',2,10,11,2011,'F','N','SÃO BASÍLIO','BRAÇO NORTE','SC','124243241315161431436923585122610163147',NULL,'102',27.13,1,3,NULL),(28,7001061,'1994-01-10 00:00:00',4,2,12,2011,'F','N','ASILO','BLUMENAU','SC','124241241137151411356519395124610138142',10311,'84',53.21,1,2,1),(28,7001070,'1992-02-09 00:00:00',2,1,11,2008,'F','N','LOURDES','CAXIAS SUL','RS','120241241416574431456639575125610137142',5518,'270',54.77,1,3,NULL),(28,7001088,'1992-11-02 00:00:00',1,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431369934375112610141052',1391,'270',69.10,4,3,NULL),(28,7001096,'1993-04-05 00:00:00',4,1,12,2010,'M','N','GRÃ DUQUESA','GOV VALADARES','MG','113132131216151431358823475124610128097',4456,'9998',55.27,1,3,NULL),(28,7001100,'1990-08-30 00:00:00',4,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241215373431328513475124132866172',20025,'944',27.70,1,3,NULL),(28,7001118,'1988-02-09 00:00:00',2,1,12,2005,'F','N','VINHEDOS','CAXIAS SUL','RS','120203201216572431236624375123141447052',4819,'9998',55.68,1,3,NULL),(28,7001126,'1993-08-22 00:00:00',4,1,12,2010,'F','N','CANASVIEIRA','FLORIANÓPOLIS','SC','116162161215474731425631571324610136142',1540,'9997',66.41,2,3,NULL),(28,7001142,'1992-11-27 00:00:00',2,3,12,2010,'F','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124241248115472431345833575124610127142',3365,'129',58.40,1,2,1),(28,7001169,'1993-02-02 00:00:00',2,1,11,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124122248217371731566632474112610162192',NULL,'403',19.31,1,3,NULL),(28,7001177,'1993-11-04 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124241241117472411335812295125610143182',2644,'169',62.97,1,2,1),(28,7001185,'1988-03-28 00:00:00',2,1,12,2005,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241116132711133344145134130764042',NULL,'278',0.00,1,2,1),(28,7001193,'1994-04-16 00:00:00',4,1,11,2011,'M','N','ALPHAVILLE','CAMPINAS','SP','125252251215121731489811575122610127042',7312,'9998',50.78,1,3,NULL),(28,7001207,'1994-10-28 00:00:00',2,4,12,2011,'M','N','ESPLANADA','CHAPECÓ','SC','124241241415111711559833592122610157042',8642,'1192',49.18,1,3,NULL),(28,7001215,'1990-08-16 00:00:00',2,3,12,2007,'F','N','CENTRO','MIRASSOL','SP','125244241216573431349714475122133225182',2876,'424',61.35,1,3,NULL),(28,7001223,'1992-03-16 00:00:00',2,23,12,2009,'M','N','JARAGUÁ NOVENTA E NO','JARAGUÁ SUL','SC','124241241126141431426431245124233234077',14551,'435',36.86,1,2,1),(28,7001231,'1983-04-26 00:00:00',4,1,10,2011,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','224241247116131431323351275124610123117',NULL,'9999',0.00,1,2,1),(28,7001258,'1992-08-06 00:00:00',4,1,12,2010,'F','N','JD APOLLO II','S JOSÉ CAMPOS','SP','125252251215413431468814375122610162182',1899,'9998',62.81,1,3,NULL),(28,7001266,'1993-10-29 00:00:00',4,1,12,2010,'F','N','JARDIM CIDADE ALTA','JOAÇABA','SC','124242241215473411356833575122610117147',1882,'962',67.57,1,3,NULL),(28,7001274,'1993-04-14 00:00:00',4,1,12,2010,'F','N','ARAÇATUBA','IMBITUBA','SC','124241241116133411426511285124610167072',18401,'361',28.65,1,2,1),(28,7001282,'1994-07-25 00:00:00',4,1,12,2011,'F','N','MEDICILÂNDIA','MEDICILÂNDIA','PA','114241141416261431369614375122610146142',19041,'9998',35.14,1,3,NULL),(28,7001290,'1993-02-23 00:00:00',4,1,7,2011,'F','N','CENTRO','ALFENAS','MG','113134137117471431226628375125613237017',NULL,'9998',27.51,1,3,NULL),(28,7001304,'1993-03-13 00:00:00',2,15,12,2009,'F','N','SANTA ROSA DE LIMA','ARARANGUÁ','SC','124241241117131751221129341344610116147',NULL,'29',20.80,1,2,1),(28,7001312,'1990-07-15 00:00:00',2,1,12,2008,'M','N','JOSE MENDES','FLORIANÓPOLIS','SC','124241241116171531524633245124610166072',NULL,'295',19.25,1,2,1),(28,7001320,'1993-07-15 00:00:00',4,1,12,2010,'M','N','TIJUCO DAS TELHAS','CAMPINAS','SP','125252251215471441466711575122610147047',712,'9998',68.03,1,3,NULL),(28,7001339,'1989-02-23 00:00:00',2,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241116155411326632415121220267051',12948,'306',49.08,1,2,1),(28,7001347,'1991-02-24 00:00:00',2,1,12,2008,'F','N','JARDIM VILA FORMOSA','S PAULO','SP','125254251216571431228511485124610138047',3899,'9998',58.11,4,3,NULL),(28,7001355,'1984-06-29 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124204201416474431239912315132332024052',6247,'9998',60.15,1,3,NULL),(28,7001371,'1993-08-24 00:00:00',4,5,12,2010,'M','N','ARGENTINA','CRICIÚMA','SC','124243241215372451334319371124610137097',11121,'920',44.24,1,3,NULL),(28,7001380,'1994-10-10 00:00:00',2,1,12,2011,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241215111431368812575122610126142',2683,'1169',62.51,1,3,NULL),(28,7001398,'1983-12-02 00:00:00',4,1,12,2001,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124243241416374441446611245122123066017',18357,'943',37.75,1,3,NULL),(28,7001401,'1990-12-19 00:00:00',4,1,12,2008,'M','N','PARQUE AGUA BRANCA','PIRACICABA','SP','125252251215571431458833571122610164047',139,'9998',78.94,2,3,NULL),(28,7001410,'1992-11-30 00:00:00',2,1,12,2010,'M','N','VILA AGUIAR','S ROQUE','SP','125252251316371411338631585112610112192',12996,'9998',38.32,4,3,NULL),(28,7001428,'1982-12-31 00:00:00',4,1,12,1999,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124251251126273431266644245122121712045',NULL,'9998',0.00,1,3,NULL),(28,7001436,'1987-03-02 00:00:00',4,15,12,2004,'M','N','CENTRO','ARARANGUÁ','SC','124242241217132441426512395122133224052',NULL,'970',22.75,1,3,NULL),(28,7001444,'1987-01-08 00:00:00',4,1,12,2004,'M','N','BELA VISTA','S PAULO','SP','125251251116371332456411345134141734017',3887,'9998',58.51,1,2,1),(28,7001452,'1989-12-12 00:00:00',4,15,12,2006,'F','N','CENTRO','VACARIA','RS','120201241136131421528944145224131522177',19966,'953',28.63,1,2,1),(28,7001460,'1994-08-29 00:00:00',4,1,12,2011,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241116131431524614392121610122097',NULL,'21',12.94,1,2,1),(28,7001509,'1992-05-27 00:00:00',4,1,12,2009,'F','N','SANTANA','S PAULO','SP','125252251216572321537631345134610122022',7678,'9998',49.31,1,3,NULL),(28,7001517,'1992-09-26 00:00:00',4,8,12,2010,'M','N','JARDIM PARAISO','JOINVILLE','SC','124241241126372411333314345324131417182',NULL,'1027',19.14,1,2,1),(28,7001533,'1990-08-06 00:00:00',2,1,11,2007,'F','N','BOM FIM','PTO ALEGRE','RS','120202201215471731369933472124142062187',54,'9998',79.77,1,3,NULL),(28,7001568,'1993-04-10 00:00:00',4,1,12,2010,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121216472451479611594122610166122',1824,'9998',70.42,1,3,NULL),(28,7001584,'1988-09-28 00:00:00',4,7,12,2005,'M','N','SÃO VICENTE','HERVAL D OESTE','SC','124241241216552431367923575122610137182',9131,'446',45.71,1,3,NULL),(28,7001592,'1995-08-16 00:00:00',4,2,12,2012,'F','S','CENTRO','INDAIAL','SC','124242241216161421438821575122610128192',NULL,'37',42.07,1,3,NULL),(28,7001606,'1992-08-31 00:00:00',4,1,5,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124093281416272441123916225124221462052',NULL,'9998',NULL,1,3,NULL),(28,7001622,'1975-12-08 00:00:00',2,1,9,2003,'M','N','CAPAEIRAS','FLORIANÓPOLIS','SC','124244241213134441116842395334610112094',NULL,'9999',28.06,1,3,NULL),(28,7001630,'1993-07-04 00:00:00',2,2,12,2010,'F','N','PASSO MANSO','BLUMENAU','SC','124241241215372231436634375121610167187',2463,'71',63.82,1,3,NULL),(28,7001649,'1989-01-19 00:00:00',4,8,12,2007,'M','N','SOLO RICO','MARINGÁ','PR','116161161137471221559813345122610124012',16829,'9998',31.48,1,2,1),(28,7001657,'1993-07-04 00:00:00',4,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124241241117132431447611285124610146172',13260,'591',48.61,1,2,1),(28,7001665,'1994-06-27 00:00:00',4,1,12,2011,'F','N','GRÃ DUQUESA','GOV VALADARES','MG','113132131216111431358823475124610123147',5205,'9998',52.12,1,3,NULL),(28,7001673,'1991-05-24 00:00:00',4,1,12,2011,'M','N','RIO GRANDE','PALHOÇA','SC','124243247312132411426829445124610166147',17383,'9999',40.59,1,3,NULL),(28,7001681,'1992-09-11 00:00:00',4,2,12,2010,'M','N','GARCIA','BLUMENAU','SC','124242241216152431348632595124221467062',6365,'855',52.17,1,3,NULL),(28,7001703,'1991-04-16 00:00:00',6,1,12,2008,'M','N','FLÁVIO MARQUES LISBO','BELO HORIZONTE','MG','113131131117131431223344345124610152142',NULL,'9998',24.49,1,2,1),(28,7001720,'1993-10-01 00:00:00',4,1,12,2011,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','105052051217111431669813575112610144193',2943,'9998',60.42,1,3,NULL),(28,7001738,'1993-12-08 00:00:00',2,1,12,2010,'F','N','BOM RETIRO','PAULO LOPES','SC','124241241226472451523339575224610137052',13432,'262',41.33,1,3,NULL),(28,7001754,'1989-10-30 00:00:00',4,1,12,2006,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241136343731623339245124610122197',19982,'292',28.36,4,2,1),(28,7001770,'1994-05-13 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115371411334714575122610146035',2442,'592',63.38,1,2,1),(28,7001789,'1993-07-10 00:00:00',2,1,12,2010,'M','N','FORQUILINHAS','S JOSÉ','SC','124241241136132751236623395124610124032',16366,'733',34.33,1,2,1),(28,7001797,'1991-02-10 00:00:00',2,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215574431359611572114230242187',4304,'270',60.70,1,3,NULL),(28,7001800,'1992-12-25 00:00:00',4,1,11,2009,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124244241217373421346829575114610137052',12390,'1022',49.96,1,3,NULL),(28,7001819,'1993-10-31 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241115132211324623592125231921197',NULL,'592',31.10,1,3,NULL),(28,7001827,'1991-07-13 00:00:00',2,15,12,2010,'M','N','DIVINÉIA','ARARANGUÁ','SC','124241241135141311223329295121610144012',NULL,'30',19.26,1,3,NULL),(28,7001835,'1995-03-13 00:00:00',2,15,12,2011,'F','N','NOVA ROMA','MRO GRANDE','SC','124241244116151431444612375112610128072',NULL,'568',28.56,1,3,NULL),(28,7001843,'1993-07-06 00:00:00',4,26,12,2010,'F','N','GUILHERME REICH','CONCÓRDIA','SC','124241241115471441444619575125610166172',11651,'192',40.42,1,3,NULL),(28,7001878,'1992-06-07 00:00:00',2,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241225373411334511285114121422045',10946,'262',48.06,1,3,NULL),(28,7001886,'1993-06-25 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215272411348812372124120627055',5729,'1022',54.73,1,3,NULL),(28,7001908,'1991-09-20 00:00:00',4,1,12,2008,'M','N','CRISTAL','PTO ALEGRE','RS','120203201136262441246817275124241465192',NULL,'9998',0.00,1,3,NULL),(28,7001916,'1993-11-24 00:00:00',4,9,12,2010,'M','N','CENTRO','S JOAQUIM','SC','124242241215472431348821575122610124042',4084,'213',60.26,1,3,NULL),(28,7001924,'1993-01-16 00:00:00',2,8,12,2009,'M','N','CENTRO','PNT GROSSA','PR','116161161116572431231115575124241418142',3356,'9998',60.62,4,2,1),(28,7001932,'1993-03-04 00:00:00',2,3,12,2010,'F','N','CENTRO','NOVO HORIZONTE','SP','125251251216471431656712571112610113012',8512,'9998',46.92,1,3,NULL),(28,7001940,'1993-05-25 00:00:00',2,1,12,2010,'F','N','ARIRIU DA FORMIGA','PALHOÇA','SC','124241241113371711423734313124610167182',NULL,'592',0.00,1,2,1),(28,7001967,'1994-01-18 00:00:00',4,1,11,2011,'M','N','GRAGERU','ARACAJU','SE','126262261217111431458613575122610127122',7087,'9998',50.03,4,3,NULL),(28,7001975,'1994-01-28 00:00:00',4,1,12,2010,'F','N','FUNDO CANOAS','RIO SUL','SC','124242241215472411428954275124610145072',12010,'959',41.52,1,3,NULL),(28,7001983,'1994-09-05 00:00:00',4,1,12,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111431537611575114610137052',9243,'1169',47.42,1,3,NULL),(28,7001991,'1992-11-13 00:00:00',2,1,12,2010,'F','N','MORRO DA CRUZ','FLORIANÓPOLIS','SC','124242241411372411588933571124610126142',1530,'262',66.40,1,3,NULL),(28,7002009,'1983-04-27 00:00:00',4,1,12,2000,'M','N','CANTO','FLORIANÓPOLIS','SC','124241241142154452233343435114120262142',4745,'209',62.91,1,2,1),(28,7002017,'1986-12-02 00:00:00',4,5,11,2003,'F','N','VILA FLORESTA','CRICIÚMA','SC','224241241216372231235554172122332328182',NULL,'226',23.33,1,3,NULL),(28,7002025,'1991-06-10 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241213575311589614493111141712165',9577,'1063',54.41,1,3,NULL),(28,7002033,'1990-11-14 00:00:00',4,8,12,2007,'M','N','VL OLIVEIRA','MOGI CRUZES','SP','125251251116171411636621591324610166142',NULL,'9998',0.00,3,2,1),(28,7002050,'1988-09-22 00:00:00',4,9,12,2006,'M','N','CENTRO','LAGES','SC','124241241416132441223329485114132766191',NULL,'515',0.00,1,3,NULL),(28,7002068,'1992-01-24 00:00:00',4,8,12,2010,'M','N','JARDIM CIDADE VERDE','ROLÂNDIA','PR','116163161236471431446612595122610118182',NULL,'9998',0.00,3,3,NULL),(28,7002076,'1981-04-09 00:00:00',2,1,12,1998,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224242241227374411258643435234331037047',3354,'738',65.96,4,3,NULL),(28,7002084,'1994-02-28 00:00:00',2,1,12,2010,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241116373431524923275124121134042',18563,'358',27.35,2,1,1),(28,7002122,'1993-12-06 00:00:00',4,1,12,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124252251317474511158823282124610134012',2973,'9998',59.46,1,3,NULL),(28,7002157,'1995-01-05 00:00:00',4,2,10,2011,'F','N','SALTO','BLUMENAU','SC','124242161216121431479931575122610134142',NULL,'9998',0.00,1,3,NULL),(28,7002165,'1991-11-28 00:00:00',3,1,12,2008,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242247611313711268822341112130234091',16704,'9999',42.20,1,3,NULL),(28,7002173,'1990-02-13 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116131431533314342124610164047',NULL,'281',23.88,1,3,NULL),(28,7002190,'1993-06-23 00:00:00',4,9,11,2010,'M','N','SAGRADO','LAGES','SC','124244241215373211458932275124610167041',7418,'1207',51.74,1,3,NULL),(28,7002203,'1993-04-20 00:00:00',4,1,11,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','224241248125131732223359392212610133157',NULL,'1097',28.41,1,2,1),(28,7002211,'1994-08-05 00:00:00',4,1,12,2011,'F','N','ARIRIU','PALHOÇA','SC','124241241116161431446531575124610117042',NULL,'593',21.25,1,2,1),(28,7002220,'1994-07-30 00:00:00',2,5,12,2011,'F','N','CRISTO REI','COCAL SUL','SC','124241242117161431226824345124610127142',11589,'9997',43.19,1,2,1),(28,7002238,'1992-11-30 00:00:00',4,1,12,2010,'M','N','VILA AGUIAR','S ROQUE','SP','125252251217471441338631575124610122092',10603,'9998',45.69,4,3,NULL),(28,7002246,'1993-08-07 00:00:00',4,6,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116164161116372431236977575125610112057',9649,'9998',47.49,1,3,NULL),(28,7002262,'1994-01-07 00:00:00',4,8,12,2011,'M','N','AMÉRICA','JOINVILLE','SC','124241241116141431436614345125610124071',15177,'475',35.35,4,2,1),(28,7002270,'1987-03-22 00:00:00',3,1,12,2004,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215113431568813431112331014047',NULL,'262',25.94,1,3,NULL),(28,7002289,'1993-08-03 00:00:00',4,15,6,2011,'F','N','SANGA DA TOCA II','ARARANGUÁ','SC','124241246212112731447739382124610163171',15218,'995',36.17,1,3,NULL),(28,7002297,'1987-11-27 00:00:00',4,15,12,2005,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124201241136141431443319295132332234147',18935,'641',35.54,1,3,NULL),(28,7002300,'1991-03-18 00:00:00',2,22,12,2008,'M','N','CENTRO','BRUSQUE','SC','124244241215373731557933575122123267047',892,'981',68.92,1,3,NULL),(28,7002319,'1992-03-30 00:00:00',2,1,7,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241243117471421336624575124610164047',9067,'306',49.12,1,2,1),(28,7002335,'1994-11-04 00:00:00',2,4,12,2011,'F','N','CENTRO','BARRA GUARITA','RS','120201201146161332438833585112610112182',NULL,'9998',17.37,1,2,1),(28,7002343,'1993-09-16 00:00:00',4,1,12,2011,'M','N','RECREIO D','RIO JANEIRO','RJ','121212211216111431559911315124610122017',4922,'9998',55.38,1,3,NULL),(28,7002351,'1992-12-07 00:00:00',2,15,12,2010,'F','N','SANGA DA TOCA','ARARANGUÁ','SC','124241241116372311533319285124610114192',20034,'30',27.56,1,2,1),(28,7002378,'1979-02-18 00:00:00',2,1,12,1999,'M','N','JARDIM ELDORADO','PRES PRUDENTE','SP','125251255116131411423419185124610136142',NULL,'9998',28.91,1,2,1),(28,7002394,'1993-07-02 00:00:00',4,15,12,2010,'M','N','VILA ROSA','NOVO HAMBURGO','RS','120201211316271431455812171122240737013',10474,'9998',45.49,1,3,NULL),(28,7002408,'1993-09-13 00:00:00',2,8,12,2011,'F','N','FLORESTA','JOINVILLE','SC','124241243115131531436814575124610127141',15627,'24',34.47,1,2,1),(28,7002416,'1992-04-27 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241335371721126844345234610162097',15869,'307',33.50,1,3,NULL),(28,7002424,'1994-08-25 00:00:00',2,27,12,2011,'F','N','LINHA BIGUÁ','IRACEMINHA','SC','124241241116131431323716575124610166147',NULL,'377',0.00,1,2,1),(28,7002440,'1983-12-15 00:00:00',4,1,12,2001,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241316273731466639485112330222197',15659,'257',44.37,1,3,NULL),(28,7002459,'1994-12-02 00:00:00',2,1,12,2011,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241115211331337912572224610124057',16521,'739',32.30,1,3,NULL),(28,7002467,'1986-06-23 00:00:00',4,8,12,2003,'F','N','SAGUAÇU','JOINVILLE','SC','124243241216473431248954445122131223071',5629,'861',61.29,4,3,NULL),(28,7002475,'1991-07-06 00:00:00',4,15,12,2008,'F','N','CIDADE ALTA','TURVO','SC','124241248136131421543534245131130824192',19027,'814',35.22,1,3,NULL),(28,7002483,'1993-05-05 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111631348811495114610167091',NULL,'1169',26.26,1,3,NULL),(28,7002491,'1993-09-09 00:00:00',4,1,12,2010,'F','N','PRADO','BIGUAÇU','SC','124241241136471232323479375124610166197',8362,'65',51.30,1,2,1),(28,7002505,'1994-03-18 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215121431438732575124610124142',8197,'262',51.19,1,3,NULL),(28,7002530,'1991-07-09 00:00:00',4,1,11,2009,'M','N','BELA VISTA','S JOSÉ','SC','124241241146131411326614245124610164172',NULL,'734',0.00,1,2,1),(28,7002548,'1993-10-14 00:00:00',4,3,12,2010,'M','N','ITAIPU','MEDIANEIRA','PR','116162161315371331138733372341610164182',NULL,'9998',0.00,1,3,NULL),(28,7002556,'1992-06-18 00:00:00',4,1,12,2009,'F','N','RIO PEQUENO','S PAULO','SP','125252251217473411435724482124241362193',1646,'9998',63.86,1,3,NULL),(28,7002564,'1992-11-10 00:00:00',4,1,12,2010,'F','N','JURERE','FLORIANÓPOLIS','SC','124256251216122431376964575112123232145',2800,'9998',58.86,1,3,NULL),(28,7002580,'1994-02-15 00:00:00',4,1,12,2011,'F','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251217471431376812575122610124092',14855,'9998',45.88,1,3,NULL),(28,7002599,'1993-05-19 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241216312411224421345124610168142',19486,'988',32.79,1,3,NULL),(28,7002629,'1994-09-19 00:00:00',2,24,12,2011,'M','N','CENTRO','ITUPORANGA','SC','124243251215131431424923575121610161197',15792,'1173',33.92,1,3,NULL),(28,7002637,'1985-05-19 00:00:00',4,1,12,2002,'M','N','BROTAS','SALVADOR','BA','105102101216251421256332445124341544142',6236,'9998',53.35,2,3,NULL),(28,7002645,'1992-02-12 00:00:00',4,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124124241417373431457979485114610166047',6119,'307',54.10,1,3,NULL),(28,7002653,'1991-06-14 00:00:00',4,1,12,2008,'F','N','CRISTO REDENTOR','PTO ALEGRE','RS','120202201217271431448813312114241541182',NULL,'9998',0.00,1,3,NULL),(28,7002661,'1987-04-21 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124163161117151221124711475125142417045',NULL,'9998',22.41,1,3,NULL),(28,7002670,'1991-11-12 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241116142431636319345114610134145',NULL,'278',0.00,1,2,1),(28,7002696,'1987-01-28 00:00:00',4,1,11,2003,'M','N','SANTA CECILIA','S PAULO','SP','125251251116271431224729485121343218094',10294,'9998',53.23,1,2,1),(28,7002700,'1994-09-28 00:00:00',4,15,12,2011,'F','N','CENTRO','TIMBÉ SUL','SC','124241241126141431324652275121610137142',NULL,'785',14.56,1,2,1),(28,7002718,'1995-03-06 00:00:00',2,1,7,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241243116131751433614145124610165147',NULL,'306',25.26,1,2,1),(28,7002734,'1993-03-05 00:00:00',2,9,11,2010,'M','N','CENTRO','CAPINZAL','SC','124241241211131431448611575124131464067',NULL,'1093',0.00,1,3,NULL),(28,7002750,'1992-07-11 00:00:00',4,1,6,2010,'M','N','CAMPO GRANDE','SANTOS','SP','125252281217472411478832575121610137092',2867,'9998',61.86,1,3,NULL),(28,7002777,'1993-07-10 00:00:00',4,16,12,2010,'F','N','SEMINARIO','CURITIBA','PR','116161161116111431423311245124610122142',NULL,'9997',0.00,1,2,1),(28,7002785,'1993-09-25 00:00:00',2,1,12,2010,'F','N','CABRAL','CURITIBA','PR','116162161235471431528822285114610164142',NULL,'9998',35.62,1,3,NULL),(28,7002807,'1994-09-07 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122451269934572122610166032',13150,'300',48.77,1,3,NULL),(28,7002815,'1992-05-30 00:00:00',4,1,6,2010,'M','N','ENSEADA DO BRITO','PALHOÇA','SC','124241241116132431446431315124610112142',11517,'739',44.04,1,2,1),(28,7002823,'1993-06-29 00:00:00',4,1,6,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241115372431446621175124610164041',5552,'739',55.88,1,3,NULL),(28,7002840,'1992-02-05 00:00:00',4,8,12,2010,'F','N','SUMARÉ','S PAULO','SP','125252251216471411219728575115610164126',3585,'9998',57.55,1,3,NULL),(28,7002866,'1985-09-26 00:00:00',4,8,12,2002,'M','N','PETRÓPOLIS','JOINVILLE','SC','124241241215573451339613485124130722187',1651,'459',66.76,1,3,NULL),(28,7002874,'1974-11-05 00:00:00',2,1,9,2008,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124246247626373451523344445124223037097',17352,'9999',32.89,4,3,NULL),(28,7002882,'1993-06-14 00:00:00',4,1,12,2010,'M','N','RESIDENCIAL JARDINS','S JOSÉ R PRETO','SP','125252251215371231369931575122610127142',NULL,'9998',0.00,1,3,NULL),(28,7002890,'1975-03-15 00:00:00',4,1,12,1991,'M','N','PETROPOLIS','PTO ALEGRE','RS','201191191641111211181141111111111918187',5227,'9998',61.99,1,3,NULL),(28,7002912,'1992-12-19 00:00:00',4,15,12,2010,'F','N','CAIU DO CÉU','OSÓRIO','RS','120201201117371431338931575122610144092',NULL,'9998',25.56,1,2,1),(28,7002920,'1994-05-28 00:00:00',4,1,12,2011,'M','N','ESPLANADA DO SOL','S JOSÉ CAMPOS','SP','125252251217121431569831571122610167122',582,'9998',72.61,1,3,NULL),(28,7002939,'1995-01-11 00:00:00',2,1,12,2011,'F','N','COSTA DO MACACU','GAROPABA','SC','124241241121131431423314475124610136177',13086,'322',38.45,1,3,NULL),(28,7002955,'1977-09-04 00:00:00',4,1,11,1996,'M','N','BELA VISTA','PALHOÇA','SC','124161161146132711123644245123343262017',NULL,'9998',19.16,1,3,NULL),(28,7002963,'1991-01-15 00:00:00',2,1,12,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241316132751525419385112610143147',20108,'9997',26.11,1,3,NULL),(28,7002971,'1991-07-22 00:00:00',2,1,12,2009,'F','N','ZONA SETE','MARINGÁ','PR','116161161436572421438914575122610132042',10053,'9998',45.83,1,3,NULL),(28,7002980,'1993-05-07 00:00:00',2,1,12,2010,'F','N','VILA TALARICO','S PAULO','SP','125254251216471711238624575125610122072',8607,'9998',46.20,1,3,NULL),(28,7002998,'1992-07-14 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241116372431436923595124133233077',11619,'271',44.62,1,3,NULL),(28,7003005,'1993-07-01 00:00:00',4,1,11,2010,'M','N','SANTANA','S JOSÉ CAMPOS','SP','125252251211471431353712275122610167142',11521,'9998',41.07,4,3,NULL),(28,7003013,'1993-07-17 00:00:00',2,1,12,2010,'M','N','CENTRO','STO ANTÔNIO SUDOESTE','PR','116161161115371431445612572124610135147',NULL,'9998',0.00,4,2,1),(28,7003021,'1993-12-10 00:00:00',4,1,12,2011,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124131131116271411238813575124610132072',4489,'9998',56.71,1,2,1),(28,7003048,'1993-07-03 00:00:00',2,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241215372431326627342114610133187',14107,'1118',41.96,1,3,NULL),(28,7003056,'1993-03-08 00:00:00',4,1,12,2009,'F','N','ITAGUACU','FLORIANÓPOLIS','SC','124242241215473311129931575124610163071',63,'270',82.10,1,3,NULL),(28,7003064,'1993-02-28 00:00:00',2,27,12,2010,'F','N','CENTRO','CUNHA PORÃ','SC','124241241143371431336413375122610121187',NULL,'234',22.43,1,3,NULL),(28,7003099,'1990-04-16 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241215372431325614445124130623115',15342,'44',44.95,1,3,NULL),(28,7003110,'1993-01-04 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241437472331328834395114610138182',15522,'1016',36.04,1,3,NULL),(28,7003153,'1992-02-20 00:00:00',4,1,11,2009,'F','N','VIANELO','JUNDIAÍ','SP','125252251217471441477714585121610122112',6130,'9998',51.87,1,3,NULL),(28,7003161,'1992-08-14 00:00:00',4,1,12,2009,'M','N','JD LEONOR M BARROS','S PAULO','SP','125252251117271411448831446124141462181',3835,'9998',57.61,1,3,NULL),(28,7003170,'1992-09-20 00:00:00',2,1,12,2009,'F','N','BELA VISTA I','S JOSÉ','SC','124241248117132331625639395124610117143',NULL,'726',21.04,1,2,1),(28,7003188,'1993-10-29 00:00:00',4,10,11,2011,'M','N','HUMAITÁ','TUBARÃO','SC','124241241415112431366614245112610126122',1509,'807',68.46,1,3,NULL),(28,7003196,'1992-03-16 00:00:00',4,1,12,2009,'M','N','LIBERDADE','S PAULO','SP','125252251215572431379853572124610162197',36,'9998',81.71,1,3,NULL),(28,7003200,'1994-10-17 00:00:00',4,1,12,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115471431323369575114610127142',6892,'281',50.88,1,2,1),(28,7003218,'1991-10-16 00:00:00',2,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124231241215374451535313142123610148197',8255,'299',56.70,1,3,NULL),(28,7003226,'1993-11-23 00:00:00',4,5,11,2010,'M','N','COMERCIARIO','CRICIÚMA','SC','124242241215371411357852125112131047062',13565,'226',48.12,1,3,NULL),(28,7003234,'1991-02-21 00:00:00',4,1,12,2005,'M','N','JD SAO PAULO','JACAREÍ','SP','125252251215571431479614575122610128187',26,'9998',83.51,1,3,NULL),(28,7003269,'1980-03-23 00:00:00',4,1,12,1997,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241137133741348723242123122328162',7652,'257',50.82,1,3,NULL),(28,7003277,'1978-07-04 00:00:00',4,1,12,1995,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124162161216271311236441315124331416012',371,'9998',78.42,3,3,NULL),(28,7003285,'1994-02-02 00:00:00',1,23,11,2011,'M','N','JARDIM AMÉRICA','ITUPORANGA','SC','124242241215271431468919475124610147052',14952,'654',36.04,1,3,NULL),(28,7003293,'1993-08-20 00:00:00',4,15,12,2011,'M','N','CENTRO','JACINTO MACHADO','SC','124241248127131411435923345122610122181',NULL,'420',0.00,3,3,NULL),(28,7003315,'1993-06-13 00:00:00',2,1,12,2010,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','124242241215142431338932345124233224042',18317,'723',37.90,1,3,NULL),(28,7003323,'1992-05-28 00:00:00',5,1,11,2009,'M','N','VILAS BOAS','CPO GRANDE','MS','112122121217111211335931485122241022043',13874,'9998',47.61,1,3,NULL),(28,7003331,'1994-07-22 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241116131731538914275122610125142',12241,'732',43.52,1,2,1),(28,7003340,'1968-03-23 00:00:00',4,1,7,1986,'M','N','FLORESTA','S JOSÉ','SC','124241246116445431343543235124120217012',13595,'306',48.07,1,3,NULL),(28,7003358,'1991-11-12 00:00:00',2,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124241241135372431123344342324130225147',NULL,'1033',15.42,1,2,1),(28,7003366,'1993-08-05 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124131241137471711325844245124610164183',13662,'307',42.81,2,1,1),(28,7003374,'1992-12-19 00:00:00',4,1,12,2010,'F','N','ALTO BOQUEIRÃO','CURITIBA','PR','116161163137371731224324285124610163144',18560,'9998',37.03,1,2,1),(28,7003382,'1992-11-23 00:00:00',2,4,12,2010,'F','N','CENTRO','IPORÃ OESTE','SC','124241241446372431426314395124610162187',14679,'371',33.44,1,3,NULL),(28,7003390,'1993-08-11 00:00:00',4,26,12,2010,'M','N','CENTRO','LINDÓIA SUL','SC','124241241117131521423434182124610124122',19280,'534',33.95,1,2,1),(28,7003412,'1994-09-05 00:00:00',4,5,10,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215272431449832595125610131042',6302,'213',55.26,1,3,NULL),(28,7003455,'1993-08-11 00:00:00',2,5,12,2011,'F','N','VILA JARDIM','PTO ALEGRE','RS','120203201216131451446823375124610145147',17747,'9998',39.63,4,3,NULL),(28,7003463,'1994-07-21 00:00:00',4,10,12,2011,'F','N','PROGRESSO','LAGUNA','SC','124241241116131731428313485121610124042',NULL,'521',25.02,1,2,1),(28,7003471,'1992-10-30 00:00:00',2,23,12,2010,'M','N','TIFA MARTINS','JARAGUÁ SUL','SC','124241241136131731443312395122231448187',NULL,'435',26.54,1,2,1),(28,7003480,'1992-04-19 00:00:00',2,4,12,2010,'M','N','CENTRO','S DOMINGOS','SC','124241241137371731466671285115610135152',17763,'707',39.58,1,2,1),(28,7003501,'1991-11-11 00:00:00',4,1,12,2009,'M','N','CENTRO','PARAISÓPOLIS','MG','113134131216471431238723575124141422177',1177,'9998',68.15,1,3,NULL),(28,7003544,'1990-01-09 00:00:00',6,1,12,2009,'M','N','LINHARES','JZ FORA','MG','113131131126171741316313445114610132191',18141,'9998',36.96,1,3,NULL),(28,7003552,'1991-12-24 00:00:00',4,1,6,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242247417371731336722495124610164182',17146,'9999',41.16,1,3,NULL),(28,7003579,'1992-10-31 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215372131247314375124133262147',12442,'273',40.01,1,3,NULL),(28,7003587,'1991-05-24 00:00:00',2,1,12,2008,'F','N','STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC','124241241127132131414311142214610128197',13837,'12',38.32,1,2,1),(28,7003609,'1992-05-15 00:00:00',2,1,12,2009,'F','N','N SRA DO ROSARIO','S JOSÉ','SC','124241241112171431448613445114610127072',NULL,'726',19.04,1,2,1),(28,7003617,'1992-06-28 00:00:00',2,15,12,2009,'M','N','CENTRO','TURVO','SC','124241241115574431468415571122610126042',7193,'814',58.49,1,2,1),(28,7003625,'1993-08-03 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472431589911572122610163017',996,'1207',72.73,1,3,NULL),(28,7003650,'1994-06-28 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124241241117371231323412575122610118142',18083,'733',38.66,4,2,1),(28,7003668,'1994-11-21 00:00:00',2,1,12,2011,'F','N','RIO GRANDE','PALHOÇA','SC','124241241116371431323531175124610126047',9255,'739',49.16,1,2,1),(28,7003676,'1990-11-13 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215254411457923575111221442145',607,'1022',73.16,1,3,NULL),(28,7003684,'1992-06-15 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116132431423321575124221624197',NULL,'285',17.97,1,2,1),(28,7003692,'1991-11-14 00:00:00',4,1,12,2009,'M','N','RIBEIRÂNIA','RIBEIRÃO PRETO','SP','125252251215571421378911471113141437072',3443,'9998',58.46,1,3,NULL),(28,7003706,'1993-01-04 00:00:00',2,1,12,2011,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241126141711224324345124610127062',15956,'288',35.32,1,3,NULL),(28,7003714,'1994-05-09 00:00:00',4,6,11,2011,'M','N','CENTRO','ITAJAÍ','SC','124242241215271411374522571112610138192',16578,'391',42.47,1,3,NULL),(28,7003722,'1992-07-02 00:00:00',2,1,12,2009,'F','N','CENTRO','BIGUAÇU','SC','124241241437131731123344145224231527147',16698,'314',42.21,4,3,NULL),(28,7003730,'1993-07-23 00:00:00',2,1,12,2010,'F','N','PONTO NOVO','ARACAJU','SE','126262261217311431589913475124141063182',4818,'9998',56.71,4,1,2),(28,7003749,'1994-01-29 00:00:00',2,3,12,2011,'M','N','ARIRIBÁ','BAL CAMBORIÚ','SC','124242241215371431447512272122610164112',15675,'53',44.34,1,3,NULL),(28,7003765,'1990-07-26 00:00:00',4,1,12,2007,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241226371431336419275124231043177',4889,'262',54.23,1,3,NULL),(28,7003773,'1993-06-12 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241125241431523319242324610137042',18039,'288',29.55,1,2,1),(28,7003781,'1990-09-20 00:00:00',4,26,12,2008,'F','N','CENTRO','PASSO FUNDO','RS','120131201116131331647619495124143267053',NULL,'9998',12.93,4,1,1),(28,7003790,'1992-12-04 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215573431456613592114610113111',532,'1022',72.87,4,3,NULL),(28,7003803,'1993-09-01 00:00:00',4,1,12,2011,'M','N','YOLANDA OPICE','ARARAQUARA','SP','125252251216371441358932595122610128072',7180,'9998',50.76,1,3,NULL),(28,7003811,'1979-06-13 00:00:00',2,1,12,1999,'M','N','PRAIA MOLE','FLORIANÓPOLIS','SC','124255256516151421153343435124140464041',13597,'9998',38.44,4,1,2),(28,7003820,'1993-06-11 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124241241116472431569713475114610122172',6986,'239',51.83,1,2,1),(28,7003838,'1991-09-13 00:00:00',4,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241336131221424614345124610118185',NULL,'307',27.35,4,1,2),(28,7003846,'1992-08-04 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161164116272431533311285124122666017',1298,'9998',67.70,1,2,1),(28,7003862,'1993-07-02 00:00:00',4,7,12,2010,'F','N','BALNEÁRIO','PIRATUBA','SC','124241241115472731466514575112610127092',10092,'619',46.54,1,2,1),(28,7003897,'1992-05-28 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241217474431569923575114133142147',1661,'723',66.42,1,3,NULL),(28,7003900,'1994-01-24 00:00:00',4,1,12,2010,'F','N','CENTRO','CPO GRANDE','MS','112122121237472431458832575112610137147',8407,'9998',47.68,1,3,NULL),(28,7003919,'1994-03-13 00:00:00',4,1,11,2010,'F','N','ABRÃAO','FLORIANÓPOLIS','SC','124242241215471431387713572122610164097',4659,'497',56.48,1,3,NULL),(28,7003927,'1994-05-05 00:00:00',4,17,12,2011,'M','N','CENTRO','CANOINHAS','SC','124241241316121431336933272122610117142',9061,'973',46.20,1,3,NULL),(28,7003935,'1981-10-01 00:00:00',3,1,12,1999,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124043048116273421336344442224122224171',NULL,'9998',38.84,4,3,NULL),(28,7003943,'1990-08-19 00:00:00',2,1,11,2007,'M','N','CENTRO','S JOAQUIM','SC','124242241216375431256653572113121567077',12,'1035',87.35,1,3,NULL),(28,7003978,'1993-09-18 00:00:00',4,8,12,2010,'F','N','CENTRO','PINHAIS','PR','116162163116471431466933575124610146141',2049,'9998',64.17,4,3,NULL),(28,7003986,'1993-02-11 00:00:00',4,1,12,2010,'F','N','VL DORA','STO ANDRÉ','SP','125252251217471231369734272112610164147',7200,'9998',50.51,1,3,NULL),(28,7003994,'1995-01-05 00:00:00',4,4,12,2011,'M','N','UNIVERSITARIO','CHAPECÓ','SC','124243241117371431436612575124610147182',6220,'169',55.02,1,3,NULL),(28,7004001,'1992-09-10 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','121242241215372421127611575124610113122',16390,'270',35.67,2,1,2),(28,7004010,'1993-01-15 00:00:00',2,15,12,2010,'M','N','CENTRO','TRAMANDAÍ','RS','120201201116371431438824385124610167047',8357,'9998',47.99,1,2,1),(28,7004028,'1994-08-28 00:00:00',4,22,12,2011,'F','N','AZAMBUJA','BRUSQUE','SC','124242241215112411356613592222610122012',6790,'1244',52.62,1,3,NULL),(28,7004036,'1993-03-01 00:00:00',2,1,12,2011,'M','N','JARDIM JANAINA','BIGUAÇU','SC','124241241115131411313329592324610116191',NULL,'66',0.00,1,2,1),(28,7004060,'1994-05-18 00:00:00',4,23,12,2011,'F','N','ALIANÇA','STA ROSA','RS','120201201116131441324319375125610138192',NULL,'9998',0.00,1,2,1),(28,7004079,'1993-06-27 00:00:00',4,1,10,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215474411389813575124131112191',3558,'807',58.57,1,3,NULL),(28,7004095,'1980-03-19 00:00:00',2,1,12,2000,'F','N','CARIANOS','FLORIANÓPOLIS','SC','624242247236155451253773285124122234097',9408,'943',54.70,1,3,NULL),(28,7004109,'1992-10-23 00:00:00',4,6,11,2009,'M','N','PORTÃO','CURITIBA','PR','116162161117371431469614375114143217042',NULL,'9998',0.00,1,3,NULL),(28,7004117,'1993-06-09 00:00:00',4,1,12,2010,'M','N','FORQUILINHAS','S JOSÉ','SC','124242246215372431546614145114130712012',15742,'1075',36.13,1,3,NULL),(28,7004133,'1994-11-09 00:00:00',2,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124241241215372431326324575112610136172',NULL,'226',39.33,1,3,NULL),(28,7004141,'1973-05-06 00:00:00',2,1,12,1994,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','224241241126132711434444245122130741142',16955,'182',34.16,1,2,1),(28,7004168,'1994-11-10 00:00:00',2,4,12,2011,'F','N','CENTRO','CEL FREITAS','SC','124241241136161431325614575122610127072',18568,'199',25.05,1,3,NULL),(28,7004176,'1992-11-05 00:00:00',4,5,5,2010,'M','N','MONTE VERDE','MRO FUMAÇA','SC','124244241215274311553332445112230212176',11534,'226',43.86,1,3,NULL),(28,7004184,'1992-07-10 00:00:00',4,2,12,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215573431469931575122232444047',1612,'855',65.21,1,3,NULL),(28,7004214,'1994-11-05 00:00:00',4,6,12,2011,'F','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','124242241231121731368614572122610144072',12529,'1026',43.75,1,3,NULL),(28,7004222,'1994-08-07 00:00:00',4,8,12,2011,'M','N','GUANABARA','JOINVILLE','SC','124242246215151432456914572122610167052',5944,'1006',51.01,1,3,NULL),(28,7004230,'1993-07-06 00:00:00',4,4,11,2011,'F','N','CENTRO','PATO BRANCO','PR','116161161216371431443532575122610132145',17810,'9998',39.44,1,3,NULL),(28,7004249,'1994-09-29 00:00:00',4,4,12,2011,'F','N','CENTRO','CAXAMBU SUL','SC','124241241146141431336632345124610147052',NULL,'169',21.42,1,2,1),(28,7004257,'1992-06-26 00:00:00',4,3,12,2009,'F','N','SANTA LÚCIA','CAXIAS SUL','RS','120202201216571431369712575122141534197',NULL,'9998',0.00,1,3,NULL),(28,7004265,'1993-11-24 00:00:00',4,1,12,2010,'M','N','MERCÊS','CURITIBA','PR','116162161216471431468914574122610166042',NULL,'9998',0.00,1,3,NULL),(28,7004273,'1994-03-23 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241115371731323511575122610124147',4315,'298',59.69,1,3,NULL),(28,7004290,'1992-11-04 00:00:00',2,1,12,2011,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241112171311224523395124610144147',16226,'257',36.30,2,1,1),(28,7004311,'1992-12-28 00:00:00',4,3,12,2010,'M','N','JD UNIVERSO','S JOSÉ R PRETO','SP','125251251116471451525721575124610163147',NULL,'9998',34.59,4,2,1),(28,7004320,'1991-06-26 00:00:00',2,16,12,2008,'M','N','CENTRO','CURITIBANOS','SC','124241241116471141436513185122131568142',5159,'239',56.23,1,2,1),(28,7004338,'1993-08-29 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215272411458933572125610167052',3878,'120',59.07,1,3,NULL),(28,7004354,'1992-05-19 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124243241345272431626613575124610134162',12328,'1022',40.17,1,3,NULL),(28,7004362,'1992-10-19 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372411348669575115610168192',8057,'1022',50.32,1,3,NULL),(28,7004370,'1994-01-31 00:00:00',2,25,12,2011,'F','N','CENTRO','CAÇADOR','SC','124241241146161431235634275124610134057',13118,'124',39.03,1,2,1),(28,7004419,'1994-03-02 00:00:00',2,3,12,2011,'F','N','MONTE ALEGRE','CAMBORIÚ','SC','124241241135141431336614245123610134157',NULL,'131',24.22,1,2,1),(28,7004427,'1990-10-12 00:00:00',4,1,12,2007,'F','N','JARDIM ATHENAS','S JOSÉ R PRETO','SP','125251251116471431446611575114610162097',NULL,'9998',33.58,1,2,1),(28,7004435,'1994-01-28 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124201201116271751328814575122610138047',11405,'9998',43.91,1,2,1),(28,7004443,'1992-11-16 00:00:00',4,8,12,2010,'F','N','ESPINHEIROS','JOINVILLE','SC','124242241215472431346619191224610146072',1049,'459',67.74,2,1,2),(28,7004451,'1992-03-24 00:00:00',4,1,12,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241216133421556633582114610167141',9684,'944',49.01,1,3,NULL),(28,7004460,'1987-04-07 00:00:00',4,1,12,2004,'M','N','SÃO LUIZ','BELO HORIZONTE','MG','113132131216571731679913315122341267027',2914,'9998',67.13,1,3,NULL),(28,7004478,'1991-06-11 00:00:00',5,7,12,2008,'F','N','CENTRO','ARROIO TRINTA','SC','124241241141371431346915341122610124143',6097,'853',53.04,1,2,1),(28,7004494,'1991-03-06 00:00:00',2,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241122121531326324475124230227046',NULL,'295',23.45,1,2,1),(28,7004508,'1991-01-25 00:00:00',4,1,8,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241244341332421327733342224610121197',NULL,'9999',18.30,2,1,2),(28,7004524,'1993-12-25 00:00:00',2,4,12,2010,'M','N','MENINO DEUS','PATO BRANCO','PR','116162161215472412455833572112610168042',8421,'9998',49.14,1,3,NULL),(28,7004532,'1995-05-01 00:00:00',2,1,12,2011,'F','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124244241112131431426611572124610162042',9728,'739',47.55,1,3,NULL),(28,7004559,'1994-11-17 00:00:00',4,1,12,2011,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241115151431478913575124610117182',9129,'739',47.85,1,3,NULL),(28,7004567,'1992-09-07 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124242241216133431426353375124223268077',NULL,'1078',39.86,1,3,NULL),(28,7004575,'1994-03-01 00:00:00',4,6,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241217372431426811572124610141192',4419,'392',56.28,1,3,NULL),(28,7004583,'1993-10-15 00:00:00',4,1,12,2010,'M','N','CENTRO','VIDAL RAMOS','SC','124241241415473431343552592114130217052',692,'909',72.19,1,3,NULL),(28,7004591,'1988-06-17 00:00:00',4,1,12,2005,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124142141216271431138812495124141164182',7041,'9998',58.76,1,3,NULL),(28,7004605,'1994-08-15 00:00:00',4,1,12,2012,'M','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216111631468833575124610167052',NULL,'1133',54.08,1,3,NULL),(28,7004613,'1994-06-05 00:00:00',2,7,12,2011,'M','N','CENTRO','ÁGUA DOCE','SC','124241241115141131326634285124610134142',NULL,'9',27.01,1,2,1),(28,7004621,'1977-07-08 00:00:00',6,1,12,1999,'M','N','VILA GUARANI','S PAULO','SP','125253253217451331228627186115342738091',NULL,'9998',0.00,1,3,NULL),(28,7004630,'1990-11-19 00:00:00',2,1,12,2008,'F','N','SÃO JOAQUIM','FRANCA','SP','125251251136141431538833315122140134052',NULL,'9998',29.48,1,2,1),(28,7004648,'1993-09-21 00:00:00',4,4,12,2011,'M','N','SANTO ANTONIO','CHAPECÓ','SC','124241241412271411335634375122610122192',8450,'169',47.55,1,3,NULL),(28,7004656,'1994-02-03 00:00:00',4,24,11,2011,'M','N','SANTANA','RIO SUL','SC','124242241212273431356932575122610167062',3233,'653',60.77,1,3,NULL),(28,7004672,'1982-10-09 00:00:00',4,3,12,1999,'F','N','CENTRO','TIJUCAS','SC','224242241212132731326954345125333238187',12892,'272',49.17,1,3,NULL),(28,7004680,'1982-06-30 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241247146133431423449292224220936147',13999,'9999',38.20,1,2,1),(28,7004702,'1994-09-07 00:00:00',4,4,12,2011,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241115471431317629575124610163187',17242,'169',31.84,1,2,1),(28,7004710,'1995-04-10 00:00:00',2,15,12,2011,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124244241114131231425219395125610126192',19936,'29',28.93,1,3,NULL),(28,7004737,'1994-06-13 00:00:00',4,4,12,2011,'M','N','CRISTO REI','FRANCISCO BELTRÃO','PR','116161161216111431458923475112610122192',3099,'9998',62.10,1,3,NULL),(28,7004753,'1991-10-10 00:00:00',4,1,12,2008,'F','N','CENTRO','VIDAL RAMOS','SC','124244241147475431436639295112221932142',10338,'828',44.72,1,3,NULL),(28,7004761,'1996-01-11 00:00:00',2,4,12,2012,'M','S','CENTRO','CHAPECÓ','SC','124201241146131732113344245124610138177',NULL,'174',12.26,1,3,NULL),(28,7004788,'1992-07-01 00:00:00',2,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241315372431338524345124610167167',6794,'1022',59.20,1,3,NULL),(28,7004796,'1994-01-12 00:00:00',4,4,12,2011,'M','N','VENEZA','XANXERÊ','SC','124241241116271741436919345115610168192',14951,'949',36.32,1,2,1),(28,7004800,'1994-06-28 00:00:00',4,1,12,2011,'F','N','JARDIM COOPAGRO','TOLEDO','PR','116161161137131331436624235124610134142',NULL,'9998',0.00,1,2,1),(28,7004818,'1992-03-29 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241147151431226674395124610124197',NULL,'276',22.30,1,2,1),(28,7004826,'1992-06-24 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215373311558714575124610147062',5987,'272',55.61,1,3,NULL),(28,7004834,'1993-11-25 00:00:00',4,8,11,2011,'F','N','GALO DE OURO','CERQUILHO','SP','125254251215111451445811315124610164017',NULL,'9998',0.00,1,3,NULL),(28,7004842,'1992-06-16 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241216475721321324345124123123092',14940,'738',45.73,4,3,NULL),(28,7004850,'1994-02-21 00:00:00',2,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241216111431228939572124610164142',NULL,'213',0.00,1,3,NULL),(28,7004869,'1992-09-23 00:00:00',4,3,12,2011,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241616372431436324375124610122182',NULL,'9999',0.00,1,3,NULL),(28,7004885,'1993-04-28 00:00:00',4,1,12,2011,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241215112231356979575124610163052',16097,'1022',36.62,1,3,NULL),(28,7004893,'1994-03-26 00:00:00',2,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241137141431423634345124610158037',NULL,'1097',36.82,1,2,1),(28,7004907,'1992-11-12 00:00:00',4,1,12,2010,'F','N','CENTRO','JABOTICABAL','SP','125252251217471431467826575122610137122',5334,'9998',54.11,1,3,NULL),(28,7004923,'1990-10-22 00:00:00',4,1,11,2007,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241116153231566613575122221467042',10088,'271',53.57,1,3,NULL),(28,7004931,'1993-06-11 00:00:00',4,5,10,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215473431326812575111610128192',1745,'226',69.07,1,3,NULL),(28,7004940,'1994-07-22 00:00:00',4,1,12,2011,'M','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124243241625131431338923575124610144147',9679,'262',47.69,1,3,NULL),(28,7004958,'1991-07-30 00:00:00',2,5,12,2008,'F','N','CENTRO','CRICIÚMA','SC','124242243215472411458634595122131425142',9385,'995',46.47,1,3,NULL),(28,7004966,'1988-05-04 00:00:00',2,1,6,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241247217131431421431185125233168187',NULL,'9999',0.00,1,3,NULL),(28,7004982,'1994-07-31 00:00:00',4,1,12,2011,'M','N','CENTRO','PIRACICABA','SP','125252251217121431656771575122610137047',NULL,'9998',15.25,1,3,NULL),(28,7004990,'1965-10-24 00:00:00',2,1,12,1983,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241136154431366643235122321424047',16312,'307',43.08,1,2,1),(28,7005008,'1992-11-16 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241212273431228644145114610126057',16240,'272',43.25,1,3,NULL),(28,7005016,'1994-06-26 00:00:00',4,5,11,2011,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111411548931595125610144117',NULL,'226',27.04,1,3,NULL),(28,7005024,'1994-04-18 00:00:00',2,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431258833595122610126192',2113,'1038',67.73,1,3,NULL),(28,7005032,'1991-06-12 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242161437575731289911575112610142097',274,'9998',76.84,1,3,NULL),(28,7005059,'1994-09-28 00:00:00',4,3,12,2011,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241116471431437614471122610166147',7316,'873',52.29,1,2,1),(28,7005075,'1995-01-15 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241115271731536933335122610164142',12539,'729',43.97,1,2,1),(28,7005083,'1994-11-22 00:00:00',2,1,12,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241116131431436412222124610137147',17901,'257',33.06,1,2,1),(28,7005091,'1988-06-18 00:00:00',4,1,12,2006,'F','N','SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC','124241241142131721233319385122130222172',NULL,'614',2.94,1,2,1),(28,7005113,'1993-03-31 00:00:00',4,1,12,2010,'M','N','CORVOEIRA','FLORIANÓPOLIS','SC','124241241117132331347729397121221457182',8484,'1034',49.52,1,2,1),(28,7005121,'1994-11-09 00:00:00',4,23,1,2012,'M','N','SÃO LUIZ','JARAGUÁ SUL','SC','124241241137272751446633245121610126142',3744,'435',60.86,1,2,1),(28,7005130,'1991-12-07 00:00:00',2,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241115152411466613495134221964027',11349,'267',51.56,1,3,NULL),(28,7005148,'1994-02-27 00:00:00',4,1,12,2011,'F','N','JARDIM PARAISO','S CARLOS','SP','125252251217111431479933575122610161052',NULL,'1278',0.00,1,3,NULL),(28,7005156,'1994-01-21 00:00:00',4,3,12,2011,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241215111451443612575122610166052',4593,'1119',54.99,1,3,NULL),(28,7005164,'1990-02-17 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','120201201116151431433416345122610127042',NULL,'9998',0.00,1,3,NULL),(28,7005172,'1994-07-22 00:00:00',4,17,12,2011,'F','N','CENTRO','UNIÃO VITÓRIA','PR','116164161217111431545819575122610164192',4156,'9998',55.88,1,3,NULL),(28,7005180,'1992-10-01 00:00:00',4,6,12,2010,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241217472431367519575112610164127',8700,'389',49.39,1,3,NULL),(28,7005199,'1993-04-29 00:00:00',2,9,12,2010,'F','N','BEATRIZ','LAGES','SC','124241241131132431333923575124233134147',6167,'500',53.56,2,1,1),(28,7005210,'1993-08-19 00:00:00',4,1,11,2011,'F','N','PIO CORRÊA','CRICIÚMA','SC','124242241216112431448811575122610135092',711,'226',69.30,1,3,NULL),(28,7005237,'1991-07-20 00:00:00',2,25,12,2008,'F','N','BERGER','CAÇADOR','SC','124241241147472421326923341135131026092',NULL,'124',0.00,1,2,1),(28,7005245,'1990-10-30 00:00:00',4,7,12,2009,'M','N','INTERIOR','VIDEIRA','SC','124241241116471431421676575112613267041',NULL,'831',0.00,1,2,1),(28,7005261,'1981-07-28 00:00:00',4,8,12,2000,'M','N','ITAUM','JOINVILLE','SC','224241247337271711443544445132610158187',NULL,'489',19.43,1,3,NULL),(28,7005270,'1991-01-11 00:00:00',2,1,12,2006,'M','N','CENTRO','SOMBRIO','SC','124241241236575431456639385222231427065',8328,'970',56.57,1,3,NULL),(28,7005288,'1992-07-13 00:00:00',2,1,12,2009,'M','N','JARDIM BOTANICO','RIO JANEIRO','RJ','121212211217571431448834575122610167117',656,'9998',69.82,1,3,NULL),(28,7005300,'1994-07-25 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124282241215221421556634315122610132147',18348,'226',37.79,3,3,NULL),(28,7005326,'1995-08-22 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124112241216111441368933575124610133182',4040,'1022',57.05,4,3,NULL),(28,7005334,'1994-08-18 00:00:00',2,6,12,2011,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241217141131456674295122610127071',10585,'389',44.50,1,3,NULL),(28,7005342,'1988-08-22 00:00:00',4,1,12,2005,'F','N','IDEAL','NOVO HAMBURGO','RS','120203201216371421546322275122143267072',NULL,'9998',0.00,1,3,NULL),(28,7005350,'1994-06-20 00:00:00',4,4,12,2011,'F','N','SÃO CRISTOVÃO','CHAPECÓ','SC','124241241115572431459513574124610124012',2073,'169',64.84,1,2,1),(28,7005369,'1995-05-13 00:00:00',2,2,12,2012,'F','S','GARCIA','BLUMENAU','SC','124242241215111731438923575122610132142',NULL,'855',39.35,1,3,NULL),(28,7005393,'1993-09-22 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431458813575112610167111',14573,'525',37.91,1,3,NULL),(28,7005407,'1993-05-30 00:00:00',2,23,12,2011,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215141431429633375124610128187',NULL,'424',24.99,1,3,NULL),(28,7005415,'1994-09-18 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241217111431386812575112610122042',4918,'738',56.80,1,3,NULL),(28,7005423,'1988-04-25 00:00:00',4,1,6,2010,'M','N','JARDIM SOLEMAR','S JOSÉ','SC','124241241123131151316651382244610167187',20174,'9997',20.17,1,2,1),(28,7005431,'1993-10-27 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241115372431436423235124610123147',14813,'257',38.05,1,3,NULL),(28,7005458,'1992-11-21 00:00:00',4,1,12,2010,'F','N','BIGORRILHO','CURITIBA','PR','116164161115371751241922575112141012077',NULL,'9998',0.00,1,3,NULL),(28,7005474,'1992-05-27 00:00:00',2,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241115141431424633395124610124147',NULL,'1097',17.40,1,2,1),(28,7005482,'1994-10-29 00:00:00',4,1,11,2011,'F','N','CENTRO','CASCAVEL','PR','116162161215111431658712575122610127142',NULL,'9998',0.00,1,3,NULL),(28,7005490,'1992-10-13 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111731636312575122610168182',NULL,'259',0.00,1,3,NULL),(28,7005504,'1995-02-09 00:00:00',2,1,12,2012,'M','S','CENTRO','INDAIAL','SC','124243241215161411368823575121610148072',NULL,'986',0.00,1,3,NULL),(28,7005512,'1994-09-01 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115271432526613375125610114192',18457,'295',37.44,1,2,1),(28,7005547,'1994-09-26 00:00:00',4,1,11,2011,'F','N','BOM FIM','PTO ALEGRE','RS','120202201215121411469611411114610142042',12527,'9998',41.10,1,3,NULL),(28,7005555,'1994-11-22 00:00:00',4,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124243241315131431327824341124610161147',NULL,'733',15.62,1,3,NULL),(28,7005563,'1994-01-16 00:00:00',4,10,12,2011,'M','N','CENTRO HISTÓRICO','LAGUNA','SC','124241241317151752556619575115610164172',3393,'521',62.33,1,3,NULL),(28,7005601,'1993-01-26 00:00:00',2,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124241241126371431334312145134610126182',13415,'465',43.85,1,2,1),(28,7005610,'1993-09-09 00:00:00',4,1,8,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244281413271411488712142124610112047',14252,'9998',47.02,1,3,NULL),(28,7005628,'1991-10-14 00:00:00',4,2,12,2008,'F','N','CAMOBI','STA MARIA','RS','120113111116471431436419295124241562185',5704,'9998',54.75,1,3,NULL),(28,7005644,'1994-04-03 00:00:00',2,1,12,2011,'F','N','JD PRIMAVERA','BRAGANÇA PAULISTA','SP','125252251217111431358831585122610164042',NULL,'9998',22.65,1,3,NULL),(28,7005660,'1993-03-02 00:00:00',2,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241215272431448813575114610168092',9421,'1022',47.46,1,3,NULL),(28,7005687,'1993-10-24 00:00:00',4,1,12,2011,'F','N','VILA INDUSTRIAL','CAMPINAS','SP','125252251217271431456822195124610144092',7084,'9998',51.01,1,3,NULL),(28,7005695,'1993-09-27 00:00:00',4,1,12,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124203241217473331569813275122610116082',190,'270',80.68,1,3,NULL),(28,7005709,'1993-12-01 00:00:00',4,1,12,2011,'M','N','HIGIENÓPOLIS','PIRACICABA','SP','125253251216151431568812475122610167042',4326,'9998',56.31,1,3,NULL),(28,7005717,'1994-05-20 00:00:00',4,6,11,2011,'M','N','SÃO JOÃO','ITAJAÍ','SC','124243241216111431553614575122610137142',11661,'389',43.20,1,3,NULL),(28,7005733,'1994-09-27 00:00:00',4,1,11,2011,'M','N','PRINCESA ISABEL','FRUTAL','MG','113132131231111431458931575111610115142',3324,'9998',66.01,1,3,NULL),(28,7005741,'1994-05-17 00:00:00',2,4,12,2011,'M','N','CENTRO','SERTÃO','RS','120201201415161331343739192124610138042',15198,'9998',36.57,4,3,NULL),(28,7005750,'1993-04-17 00:00:00',2,17,12,2010,'M','N','SÃO PEDRO','PTO UNIÃO','SC','124162161412371431435714342132610147042',16750,'9998',33.22,1,3,NULL),(28,7005768,'1992-11-27 00:00:00',2,1,12,2010,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241247317271531326614485124610167045',19407,'9999',33.29,1,3,NULL),(28,7005776,'1987-11-26 00:00:00',4,3,12,2004,'M','N','JARDIM ALVORADA','CAMBÉ','PR','116161161117141451526339481224143236182',NULL,'9998',0.00,1,2,1),(28,7005792,'1994-03-03 00:00:00',4,4,12,2011,'M','N','JARDIM AMÉRICA','CHAPECÓ','SC','124241241135131431414728292224610127077',NULL,'170',27.91,1,2,1),(28,7005806,'1994-06-11 00:00:00',2,1,11,2011,'M','N','CENTRO','SORRISO','MT','611114118217121431548834575111610164141',14011,'9998',37.13,1,3,NULL),(28,7005814,'1994-06-06 00:00:00',4,4,12,2011,'F','N','ESPLANADA','CHAPECÓ','SC','124241241146132431231929571124510144197',NULL,'175',18.83,1,2,1),(28,7005822,'1994-06-25 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252241215111431358814575124610112182',12436,'9997',49.90,1,3,NULL),(28,7005830,'1987-07-15 00:00:00',2,24,12,2004,'F','N','CENTRO','TAIÓ','SC','124241241136371731226316445123330236176',NULL,'560',0.00,1,3,NULL),(28,7005857,'1994-07-19 00:00:00',4,4,12,2011,'F','N','CENTRO','IPORÃ OESTE','SC','124241241115271431435811575122610132147',5671,'371',53.67,1,2,1),(28,7005873,'1989-06-28 00:00:00',2,1,12,2006,'F','N','CENTRO HISTORICO','S JOSÉ','SC','124252241341141721336823395124610168092',16937,'728',41.67,1,3,NULL),(28,7005881,'1993-06-11 00:00:00',2,4,12,2010,'F','N','INDUSTRIÁRIOS','CONCÓRDIA','SC','124241241216372431359614475122610167147',5416,'1001',54.72,1,3,NULL),(28,7005890,'1991-05-16 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124252241337151411338522375124133262082',NULL,'292',0.00,1,3,NULL),(28,7005903,'1994-08-27 00:00:00',2,1,12,2011,'M','N','CHACARA CACHOEIRA','CPO GRANDE','MS','112122121217371431469912375122610167052',2604,'9998',62.67,1,3,NULL),(28,7005911,'1991-08-05 00:00:00',2,1,12,2008,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241116372211336424575124120422092',1010,'307',71.09,1,2,1),(28,7005920,'1994-02-13 00:00:00',4,5,10,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215271431346619595124610134077',2640,'213',62.80,1,3,NULL),(28,7005938,'1991-12-07 00:00:00',2,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117371411411124276124613267142',17795,'281',33.58,2,1,1),(28,7005946,'1993-11-17 00:00:00',4,3,12,2010,'M','N','CENTRO','CAMBORIÚ','SC','124243241111272431325612345114133224052',NULL,'130',36.31,1,3,NULL),(28,7005954,'1995-03-24 00:00:00',4,4,11,2011,'F','N','CENTRO','JOAÇABA','SC','124241241215271431334834575122610127092',11567,'962',43.27,1,3,NULL),(28,7005989,'1973-12-14 00:00:00',4,1,12,1992,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124212211232472431459931482124343111032',6956,'9998',50.73,1,3,NULL),(28,7005997,'1994-03-22 00:00:00',4,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124241241134371431521521575124610166147',NULL,'1116',20.25,1,2,1),(28,7006004,'1994-10-24 00:00:00',4,1,11,2011,'M','N','BELA VISTA','ERECHIM','RS','120202201215271431349931575122610167122',3538,'9998',56.83,1,3,NULL),(28,7006012,'1993-02-25 00:00:00',4,25,12,2011,'M','N','CENTRO','CAÇADOR','SC','124242241215171431358612245122610134052',NULL,'119',17.23,1,3,NULL),(28,7006020,'1985-11-19 00:00:00',2,5,12,2003,'M','N','CENTRO','CRICIÚMA','SC','124161161137471411344811471122141222172',13047,'9998',41.75,1,2,1),(28,7006039,'1958-11-17 00:00:00',4,1,12,1976,'M','N','CENTRO','FLORIANÓPOLIS','SC','224251258126133411436612125134341462147',19168,'9998',34.52,1,3,NULL),(28,7006047,'1994-05-08 00:00:00',4,1,12,2011,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124243241216112431335329575114610127047',NULL,'989',25.76,1,3,NULL),(28,7006055,'1993-11-18 00:00:00',2,4,12,2010,'F','N','CENTRO','PASSO FUNDO','RS','120201201216472431453416572114610167182',8353,'9998',51.46,1,3,NULL),(28,7006071,'1994-12-26 00:00:00',4,9,12,2011,'M','N','CENTRO','LAGES','SC','124242241212371411356833575122610162182',4559,'499',56.43,1,3,NULL),(28,7006080,'1994-09-15 00:00:00',4,4,12,2010,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241415472431435923275125610127077',2757,'168',59.21,1,3,NULL),(28,7006098,'1993-02-09 00:00:00',4,8,12,2010,'M','N','JOÃO COSTA','JOINVILLE','SC','124241241127131432536614595124610167041',19105,'472',34.86,1,2,1),(28,7006101,'1984-11-29 00:00:00',6,1,11,2002,'M','N','RIBANCEIRA SUL','S JOÃO BATISTA','SC','624241241127161731124944212313610118182',NULL,'574',26.72,1,3,NULL),(28,7006110,'1993-01-22 00:00:00',2,8,12,2010,'F','N','CENTRO','JOINVILLE','SC','124243248436472431225824375121610162077',10371,'1063',46.33,1,3,NULL),(28,7006128,'1995-11-19 00:00:00',4,7,11,2011,'F','N','CENTRO','HERVAL D OESTE','SC','124242241216111431448813575122610166142',NULL,'962',30.42,1,3,NULL),(28,7006136,'1985-03-07 00:00:00',2,1,2,2002,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124243247331333431448649391132610147042',NULL,'9999',0.00,1,3,NULL),(28,7006144,'1989-10-03 00:00:00',4,4,12,2006,'M','N','JARDIM ALVORADA','S CARLOS','SC','124241241115471431445923375123131037042',10980,'704',43.07,1,2,1),(28,7006152,'1994-02-13 00:00:00',4,2,12,2011,'M','N','VELHA','BLUMENAU','SC','124241241117131431335514575124610117142',18030,'73',32.19,1,2,1),(28,7006160,'1994-06-24 00:00:00',4,8,12,2011,'M','N','AMERICA','JOINVILLE','SC','124242241215111431469811595122610167057',NULL,'1063',0.00,1,3,NULL),(28,7006179,'1987-09-24 00:00:00',4,1,12,2004,'F','N','CENTRO','ITUPORANGA','SC','124241241226475431456633275124322246187',2769,'414',67.49,1,3,NULL),(28,7006187,'1992-09-17 00:00:00',4,1,11,2010,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241212272431548823325114130944126',9132,'270',48.93,1,3,NULL),(28,7006209,'1993-05-04 00:00:00',4,3,12,2011,'F','N','VILA INDUSTRIAL','TOLEDO','PR','116162161216121231558634274122610166146',484,'9998',71.36,1,3,NULL),(28,7006217,'1994-02-17 00:00:00',4,1,12,2011,'F','N','JD CARVALHO','PNT GROSSA','PR','116162161217111311436837575122610134042',5555,'9998',55.55,1,3,NULL),(28,7006241,'1996-02-15 00:00:00',4,5,11,2012,'F','S','SÃO DEFENDE','CRICIÚMA','SC','124241248216111231459832575122610124142',NULL,'213',46.31,1,3,NULL),(28,7006250,'1994-07-13 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121431478714574122610132197',752,'270',72.09,1,3,NULL),(28,7006268,'1990-01-21 00:00:00',4,8,12,2008,'F','N','RIO NEGRO','S BENTO SUL','SC','124241241336251431639432385122610133047',NULL,'1073',17.27,1,3,NULL),(28,7006276,'1994-10-10 00:00:00',4,23,12,2011,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241217271731638934342125610134197',15857,'1061',34.66,1,3,NULL),(28,7006284,'1993-01-21 00:00:00',2,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','125252251216472431446639575122610167052',4952,'9998',57.04,1,3,NULL),(28,7006292,'1976-02-04 00:00:00',4,5,6,2008,'M','N','SANTA BARBARA','CRICIÚMA','SC','124241247121131731123379315122130224187',NULL,'9999',0.00,1,3,NULL),(28,7006306,'1990-11-14 00:00:00',4,1,12,2007,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241116472421549923385124333227042',17170,'278',41.10,1,2,1),(28,7006314,'1994-12-01 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','120203201116131431437613275124610125197',NULL,'9998',0.00,1,3,NULL),(28,7006322,'1990-10-30 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241136132421567711245124133214013',NULL,'733',0.00,4,1,2),(28,7006330,'1993-05-16 00:00:00',4,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241115372431357612572114610113182',7081,'739',52.95,1,3,NULL),(28,7006365,'1987-05-29 00:00:00',4,5,6,2006,'M','N','CENTRO','CRICIÚMA','SC','124244247446154431226679345125133137037',16235,'9999',43.26,1,3,NULL),(28,7006373,'1993-06-30 00:00:00',4,1,12,2011,'M','N','PINHEIRA','PALHOÇA','SC','124241241116141131339923395124610164187',NULL,'595',26.99,4,2,1),(28,7006381,'1993-08-26 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241215472731346513575122610137045',4629,'272',58.04,1,3,NULL),(28,7006390,'1988-11-17 00:00:00',4,8,12,2006,'F','N','VILA UNIVERSITÁRIA','BAURU','SP','125252251216571431469813235125610117147',305,'9998',74.87,1,3,NULL),(28,7006411,'1990-05-10 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216375431368867575114221734145',1340,'266',68.52,1,3,NULL),(28,7006420,'1992-10-16 00:00:00',3,1,12,2009,'F','N','JARDIM NAZARETH','S JOSÉ R PRETO','SP','125252281416471431458831472122610162097',11040,'9998',42.74,1,3,NULL),(28,7006438,'1994-02-25 00:00:00',4,9,12,2011,'M','N','CENTRO','LAGES','SC','124242241215151431469913575122610162052',1398,'497',69.42,1,3,NULL),(28,7006446,'1992-10-11 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211372431438722471115610164183',14215,'269',36.08,1,3,NULL),(28,7006454,'1993-01-20 00:00:00',2,15,12,2011,'F','N','CENTRO','SOMBRIO','SC','124241241135141431436811482125610113187',NULL,'30',23.72,1,3,NULL),(28,7006462,'1987-07-28 00:00:00',4,9,12,2004,'F','N','FREI ROGERIO','LAGES','SC','124241241316472411454516235124323035087',7478,'776',52.71,1,3,NULL),(28,7006470,'1994-06-05 00:00:00',4,8,12,2011,'F','N','JARDIM PLANALTO','STA CRUZ R PARDO','SP','125251251216111431334923575122610123097',7259,'9998',52.53,1,3,NULL),(28,7006489,'1986-10-30 00:00:00',2,1,12,2003,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124111111126332431124544145234610124187',14007,'9998',39.22,1,2,1),(28,7006497,'1993-03-19 00:00:00',4,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124241241332131751644723392124610164147',NULL,'9999',20.06,1,3,NULL),(28,7006519,'1993-11-09 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S PAULO','SP','125252251217371431349911575122610166142',1323,'9998',64.49,1,3,NULL),(28,7006535,'1992-06-09 00:00:00',2,1,12,2009,'F','N','BARÃO GERALDO','CAMPINAS','SP','125252251216571731457914575124610167077',14046,'9998',47.33,1,3,NULL),(28,7006543,'1994-10-14 00:00:00',2,8,12,2011,'F','N','ITAUM','JOINVILLE','SC','124241241215151431538811572122610147147',13968,'459',47.47,1,3,NULL),(28,7006560,'1987-06-27 00:00:00',2,9,12,2005,'F','N','CENTRO','LAGES','SC','124241241122134411123344242334122366197',NULL,'298',18.73,1,3,NULL),(28,7006578,'1992-10-29 00:00:00',2,15,12,2011,'M','N','CENTRO','PR GRANDE','SC','124241241135111431423615582121610136182',NULL,'641',26.07,1,3,NULL),(28,7006586,'1992-02-14 00:00:00',4,1,12,2009,'M','N','JD DAS HORTÊNCIAS','JUNDIAÍ','SP','125252251216571431458614475124610167041',4431,'9998',57.84,1,3,NULL),(28,7006594,'1993-05-11 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472431536932575114610143092',9242,'259',49.91,1,3,NULL),(28,7006608,'1994-05-30 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124152241215111431288822575122610145182',19005,'1022',35.31,1,3,NULL),(28,7006616,'1994-05-24 00:00:00',4,1,12,2011,'M','N','PARQUE NOVO MUNDO','AMERICANA','SP','125252251217111231348614295112610167122',9763,'9998',47.59,1,3,NULL),(28,7006624,'1994-08-17 00:00:00',4,1,12,2011,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241216122431469822395124610117017',14721,'1022',37.13,1,3,NULL),(28,7006632,'1994-03-08 00:00:00',4,5,11,2011,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241217371431436639595122610134142',14995,'226',37.17,1,3,NULL),(28,7006640,'1993-05-02 00:00:00',4,10,12,2010,'F','N','CENTRO','LAGUNA','SC','124242241211372451457814575122610126052',8318,'525',47.73,1,3,NULL),(28,7006667,'1993-04-03 00:00:00',4,6,12,2010,'M','N','CORDEIROS','ITAJAÍ','SC','124242241215112431468812575114141417072',1735,'1057',65.29,1,3,NULL),(28,7006675,'1994-10-09 00:00:00',4,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124244241215151431358822245122610144147',17321,'185',40.72,1,3,NULL),(28,7006683,'1991-07-15 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241116233431326624382124611963187',NULL,'307',24.25,4,3,NULL),(28,7006691,'1993-01-17 00:00:00',4,2,12,2010,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124243241115473431658832575124610126092',2886,'88',67.19,4,3,NULL),(28,7006705,'1994-06-04 00:00:00',4,2,10,2011,'M','N','VILA NOVA','BLUMENAU','SC','124242241217112731579913575112610164182',2493,'909',61.60,1,3,NULL),(28,7006713,'1993-07-08 00:00:00',2,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111331368813572122610126042',14136,'1022',41.24,1,3,NULL),(28,7006730,'1994-09-29 00:00:00',4,23,12,2011,'M','N','VILA BAEPENDI','JARAGUÁ SUL','SC','124242241217151431459612575115610148062',491,'424',71.35,1,3,NULL),(28,7006748,'1995-05-07 00:00:00',4,2,11,2012,'F','S','VELHA','BLUMENAU','SC','124242241216111331458834575122610124192',NULL,'855',42.52,1,3,NULL),(28,7006756,'1994-09-21 00:00:00',4,9,11,2011,'F','N','CENTRO','LAGES','SC','124242241211121421458914571122610126012',6632,'497',51.52,1,3,NULL),(28,7006764,'1992-10-23 00:00:00',4,1,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215574431248834572112610162145',1059,'807',73.73,1,3,NULL),(28,7006772,'1994-12-07 00:00:00',2,4,12,2011,'F','N','RODOVIA','XANXERÊ','SC','124242241216131741537732295135610127057',19209,'836',34.31,1,3,NULL),(28,7006780,'1986-06-17 00:00:00',2,1,7,2004,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243247326374431233454245124610124147',12083,'9999',44.25,1,3,NULL),(28,7006799,'1993-03-19 00:00:00',2,1,12,2010,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241116472731426514345124233214041',6112,'592',53.36,1,2,1),(28,7006810,'1990-12-11 00:00:00',2,1,12,2008,'F','N','CENTRO','CRICIÚMA','SC','124242248215154421337532245124221518072',11928,'995',50.64,1,3,NULL),(28,7006837,'1994-02-08 00:00:00',4,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241248116151331415521282124610124042',NULL,'287',15.15,1,2,1),(28,7006845,'1994-09-05 00:00:00',4,5,10,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241216372431439832575122610131052',9510,'213',46.65,1,3,NULL),(28,7006853,'1990-10-05 00:00:00',3,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217575431648869375124221428147',7753,'1022',57.56,1,3,NULL),(28,7006861,'1993-03-28 00:00:00',4,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124241241116472431327634575124610134092',15598,'521',39.36,1,3,NULL),(28,7006870,'1992-12-18 00:00:00',2,17,12,2010,'M','N','VISTA ALEGRE','MAFRA','SC','124241166216272431447514345122610118067',NULL,'9998',26.76,1,3,NULL),(28,7006896,'1994-05-26 00:00:00',2,17,12,2011,'M','N','CENTRO','ITAIÓPOLIS','SC','124241166215131431434632595124610137052',12705,'9998',39.86,1,3,NULL),(28,7006900,'1994-06-16 00:00:00',4,1,12,2011,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124244241111272731456577595124610114141',18667,'307',36.60,1,3,NULL),(28,7006918,'1985-07-17 00:00:00',2,4,11,2002,'F','N','KOBRASOL','S JOSÉ','SC','124242241216272431356929475124321024047',NULL,'723',0.00,1,3,NULL),(28,7006926,'1993-08-17 00:00:00',2,1,12,2010,'M','N','PRADO','BIGUAÇU','SC','124242241215132431436414585121610122057',14320,'63',36.90,1,3,NULL),(28,7006934,'1995-03-19 00:00:00',4,2,12,2011,'F','N','VILA FORMOSA','BLUMENAU','SC','124242241215112431279939575122610122072',7022,'87',50.57,1,3,NULL),(28,7006942,'1993-11-23 00:00:00',4,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124251241136141431123544345124610124192',NULL,'730',23.62,1,3,NULL),(28,7006950,'1994-09-09 00:00:00',2,1,12,2011,'F','N','JARDIM LEONOR','CAMPINAS','SP','125252251216371531369614575122610123197',NULL,'9998',28.31,1,3,NULL),(28,7006969,'1986-06-05 00:00:00',2,1,12,2005,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124244241146165131354633445124610136045',NULL,'274',32.09,1,3,NULL),(28,7006977,'1987-09-20 00:00:00',4,1,6,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124254251322323211227912432114221412103',NULL,'9998',0.00,1,3,NULL),(28,7006985,'1989-03-06 00:00:00',2,1,12,2007,'F','N','CENTRO','EREBANGO','RS','120201208126171431625413235124140267057',NULL,'9998',0.00,1,2,1),(28,7006993,'1988-09-19 00:00:00',2,1,3,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241316153431467714575114121467062',8951,'267',55.51,1,3,NULL),(28,7007000,'1993-08-29 00:00:00',4,22,12,2010,'F','N','AZAMBUJA','BRUSQUE','SC','124241241115572741336339385122610124052',4394,'111',58.19,1,2,1),(28,7007027,'1994-10-16 01:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241248117131411446639575124610164197',12784,'298',38.74,1,2,1),(28,7007035,'1994-12-18 00:00:00',4,1,12,2011,'F','N','BAETA NEVES','S BERNARDO CAMPO','SP','125254251216151431458834585122610163142',8474,'9998',47.46,1,3,NULL),(28,7007051,'1992-04-04 00:00:00',4,1,12,2009,'F','N','VILA ADYANNA','S JOSÉ CAMPOS','SP','125252251216571431247712575112610162052',4822,'9998',62.77,1,3,NULL),(28,7007060,'1994-05-14 00:00:00',2,4,12,2011,'F','N','CENTRO','MARMELEIRO','PR','116162161117111731458532475114610143142',13513,'9998',39.89,1,3,NULL),(28,7007078,'1993-07-19 00:00:00',4,1,7,2011,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241241117111431436932575124610154182',16994,'739',41.56,1,2,1),(28,7007086,'1992-03-11 00:00:00',2,1,12,2009,'M','N','TIJUQUINHAS','BIGUAÇU','SC','124241241112142431436513442124610127047',18551,'64',37.05,1,2,1),(28,7007116,'1994-10-31 00:00:00',4,1,12,2014,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124244246115111731336924375124610164072',NULL,'306',38.61,1,3,NULL),(28,7007124,'1989-07-23 00:00:00',4,3,12,2006,'F','N','ROCIO','CANANÉIA','SP','125251251117161431426611245111143264187',18643,'9998',36.73,1,3,NULL),(28,7007140,'1994-12-19 00:00:00',2,10,11,2011,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241241315111431463712575122610162192',13485,'807',38.98,1,3,NULL),(28,7007159,'1994-01-05 00:00:00',2,5,11,2011,'M','N','CENTRO','URUSSANGA','SC','124242241215111531568911575124610127177',7924,'226',50.81,1,3,NULL),(28,7007175,'1994-10-13 00:00:00',2,1,11,2011,'F','N','IPIRANGA','S JOSÉ','SC','124242241212122431626612572124610126097',13820,'1118',38.60,1,3,NULL),(28,7007183,'1992-07-04 00:00:00',4,1,12,2009,'F','N','POMPEIA','SANTOS','SP','125252251216471431477934575112610163197',7892,'9998',50.77,1,3,NULL),(28,7007205,'1994-07-20 00:00:00',4,1,11,2011,'M','N','PEDRO LUDOVICO','GOIÂNIA','GO','109092091236111731368924572112610162182',2755,'9998',61.56,1,3,NULL),(28,7007213,'1994-05-06 00:00:00',2,2,11,2011,'M','N','IMIGRANTES','TIMBÓ','SC','124241241124111421445634242122610122182',NULL,'870',17.16,1,3,NULL),(28,7007221,'1993-03-03 00:00:00',4,8,11,2010,'M','N','ÁGUA VERDE','CURITIBA','PR','116252161215472731449914595122610127045',NULL,'9998',0.00,1,3,NULL),(28,7007230,'1966-11-26 00:00:00',4,1,12,1983,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224202203216141431448842325122142068131',10515,'9998',52.90,1,3,NULL),(28,7007256,'1992-01-09 00:00:00',4,4,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217573431459633575124610136181',2130,'262',64.68,2,1,2),(28,7007264,'1992-10-21 00:00:00',2,1,11,2010,'F','N','SILVEIRA','BELO HORIZONTE','MG','113131131116131731425524575124610132182',18816,'9998',36.03,4,2,1),(28,7007272,'1994-06-03 00:00:00',2,7,11,2011,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','124244241217131431336924374122610127142',11518,'454',42.33,1,3,NULL),(28,7007280,'1992-11-03 00:00:00',4,1,12,2011,'F','N','ICARAÍ','SALTO','SP','125252254115472431567724575124610113057',5343,'9998',52.56,1,3,NULL),(28,7007299,'1990-10-26 00:00:00',4,9,12,2008,'F','N','COPACABANA','LAGES','SC','124242241212571431436632575122610117052',NULL,'1065',0.00,1,3,NULL),(28,7007302,'1995-05-21 00:00:00',2,6,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241214111721329418275124610127092',17189,'1086',41.06,1,3,NULL),(28,7007310,'1993-09-14 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124244241315471431248813575125610157011',11664,'513',41.50,1,3,NULL),(28,7007329,'1995-06-02 00:00:00',2,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124203241117471431436613572124610122142',11430,'307',45.64,1,3,NULL),(28,7007337,'1989-07-18 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124242241216144741226624445124230546187',10123,'723',53.53,1,3,NULL),(28,7007345,'1995-10-11 00:00:00',4,5,10,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215112431569911575112610133197',6521,'226',53.26,1,3,NULL),(28,7007353,'1994-07-22 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124244241217111431645521475124610134182',9017,'1022',48.15,1,3,NULL),(28,7007361,'1993-12-21 00:00:00',4,5,11,2011,'M','N','PIO CORREIA','CRICIÚMA','SC','124242241215112431458924575124610127091',7109,'226',53.31,1,3,NULL),(28,7007370,'1991-10-05 00:00:00',4,1,12,2009,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124244241212372431326611375114133248192',15861,'300',35.90,1,3,NULL),(28,7007388,'1993-03-17 00:00:00',2,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241247226131721321379295124610123197',NULL,'944',15.84,1,3,NULL),(28,7007396,'1993-10-12 00:00:00',4,1,11,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215112431448513575124610123052',8225,'270',50.18,4,3,NULL),(28,7007400,'1993-04-10 00:00:00',4,1,6,2011,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241317371431489933575124610131122',2184,'267',65.13,1,3,NULL),(28,7007418,'1995-06-03 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111731437614595122610134182',16577,'270',42.47,1,3,NULL),(28,7007426,'1994-02-09 00:00:00',2,1,12,2011,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124244241215121421433831595122610128142',9939,'1011',45.81,1,3,NULL),(28,7007434,'1985-01-24 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247216373431368479595112131066182',16943,'9999',41.66,1,3,NULL),(28,7007442,'1995-08-18 00:00:00',4,1,12,2012,'M','S','GUIOMAR','ANTÔNIO CARLOS','SC','124241241115151732536335572124610127047',NULL,'21',52.03,1,3,NULL),(28,7007450,'1993-12-13 00:00:00',4,8,11,2011,'F','N','FLORESTA','JOINVILLE','SC','124242241215171731359911575112610136147',1458,'1063',66.11,1,3,NULL),(28,7007469,'1994-06-06 00:00:00',2,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124241241142371431623311285122610136052',5824,'592',53.70,1,2,1),(28,7007477,'1994-04-25 00:00:00',4,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241116131431346823572122610162147',12022,'9998',42.46,1,3,NULL),(28,7007493,'1994-03-09 00:00:00',4,10,12,2010,'F','N','SÃO JOÃO ME','TUBARÃO','SC','124241241136471731314723215123610128077',11143,'798',42.21,1,2,1),(28,7007507,'1994-10-08 00:00:00',4,2,11,2011,'F','N','CENTRO','TIMBÓ','SC','124242241217111631579812595122610125172',11604,'1157',43.03,1,3,NULL),(28,7007515,'1991-05-06 00:00:00',4,1,12,2009,'F','N','CANTO DOS ARAÇÁS','FLORIANÓPOLIS','SC','124243241215473731269913585124610164182',9770,'883',47.79,1,3,NULL),(28,7007540,'1994-08-18 00:00:00',4,1,12,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241246116471431526634575124610124175',14887,'289',36.43,1,2,1),(28,7007566,'1995-04-13 00:00:00',2,15,12,2011,'F','N','CENTRO','BAL GAIVOTA','SC','124242241235272431426732571324613264197',NULL,'770',25.56,1,3,NULL),(28,7007574,'1994-03-28 00:00:00',4,10,12,2011,'M','N','CENTRO','LAGUNA','SC','124244241215111431544961572112610137157',6752,'525',54.39,1,3,NULL),(28,7007582,'1995-12-11 00:00:00',4,2,12,2012,'F','S','VILA NOVA','BLUMENAU','SC','124242241217111431589912585122610135052',NULL,'909',0.00,1,3,NULL),(28,7007590,'1993-12-25 00:00:00',2,1,12,2010,'M','N','NOVA CAMPO GRANDE','CPO GRANDE','MS','112121121215141441324821375122610164042',NULL,'9998',12.66,1,3,NULL),(28,7007620,'1993-11-23 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111731466513575124610123183',12901,'737',42.89,1,3,NULL),(28,7007639,'1989-07-06 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124251258216473431168834571125610127182',NULL,'9998',27.15,1,3,NULL),(28,7007647,'1991-11-04 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241426435411458313215124222846092',1644,'524',65.15,1,3,NULL),(28,7007655,'1994-06-27 00:00:00',4,1,12,2011,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124241241111111131536613391124610114041',19649,'307',31.61,1,2,1),(28,7007663,'1995-02-02 00:00:00',4,2,12,2012,'F','S','CENTRO','POMERODE','SC','124242241215151731478814575124610132052',NULL,'855',47.94,1,3,NULL),(28,7007698,'1994-03-02 00:00:00',2,1,12,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241117131431641329286114610117015',8315,'281',49.69,2,1,2),(28,7007701,'1994-10-11 00:00:00',4,1,10,2011,'F','N','CENTRO','CAMPINAS SUL','RS','120203201215111431456816572122610134047',5382,'9998',52.20,1,3,NULL),(28,7007710,'1994-01-12 00:00:00',4,8,12,2011,'F','N','PROGRESSO','S BENTO SUL','SC','124241241216161431338812275122610137091',19782,'974',30.43,1,3,NULL),(28,7007728,'1993-08-24 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215472751469913572124610163142',734,'270',74.15,1,3,NULL),(28,7007736,'1993-02-20 00:00:00',2,22,12,2010,'M','N','STEFFEN','BRUSQUE','SC','124241241146151431548624275121610117047',NULL,'112',25.96,4,2,1),(28,7007744,'1993-11-17 00:00:00',4,1,12,2011,'F','N','JARDIM SÃO ROQUE','S JOSÉ R PARDO','SP','125252251216111431554712575122610127012',8436,'9998',50.04,1,3,NULL),(28,7007752,'1993-06-15 00:00:00',2,1,12,2011,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241243117371431326623575124610163192',NULL,'359',29.76,2,1,1),(28,7007760,'1993-04-17 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241212572431186614272114610164012',3938,'1093',60.24,1,3,NULL),(28,7007779,'1994-05-20 00:00:00',4,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124164241415112431456724575114610124172',2375,'1022',63.91,1,3,NULL),(28,7007787,'1990-05-23 00:00:00',4,8,12,2007,'M','N','VILA VICENTINA','GUARULHOS','SP','125252251216571431458814571122610167047',445,'9998',74.51,4,3,NULL),(28,7007809,'1994-09-23 00:00:00',2,8,11,2011,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124243248335471731656572345224610125081',17227,'1016',40.93,1,3,NULL),(28,7007817,'1994-06-28 00:00:00',4,8,12,2011,'F','N','FLORESTA','JOINVILLE','SC','124241241215131431446314575124610143122',NULL,'489',29.73,1,3,NULL),(28,7007825,'1994-03-11 00:00:00',4,8,11,2011,'F','N','CENTRO','JOINVILLE','SC','124242241217371431588833575122610138072',13683,'461',47.91,1,3,NULL),(28,7007833,'1994-12-18 00:00:00',2,5,11,2011,'M','N','CENTRO','IÇARA','SC','124242241215121431258829571124610168182',12838,'226',49.25,1,3,NULL),(28,7007850,'1991-09-11 00:00:00',2,1,12,2010,'M','N','COLONIA SANTANA','S JOSÉ','SC','124243248115272431356633475124131427042',9503,'306',49.47,1,3,NULL),(28,7007892,'1994-04-23 00:00:00',4,1,11,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111432366634575112610168182',4118,'1011',57.75,1,3,NULL),(28,7007906,'1993-04-16 00:00:00',4,3,12,2010,'F','N','PARQUE VERDE','CASCAVEL','PR','116161161116152231224723475124241466112',5025,'9998',56.85,1,2,1),(28,7007914,'1991-08-14 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216574431468814574125121122122',338,'270',77.54,3,3,NULL),(28,7007922,'1992-04-05 00:00:00',4,1,12,2009,'M','N','COLINAS DO PIRACICAB','PIRACICABA','SP','125252251116571441448611575122610167122',2652,'9998',62.27,1,3,NULL),(28,7007930,'1994-03-16 00:00:00',4,1,3,2011,'F','N','MONTE CASTELO','CPO GRANDE','MS','112121128416111431169911395122240332077',NULL,'9998',0.00,1,3,NULL),(28,7007949,'1993-10-16 00:00:00',4,23,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124241241137371431638822215122610146192',17192,'425',32.31,1,2,1),(28,7007957,'1993-08-12 00:00:00',4,5,12,2010,'F','N','AGUA VERDE','CURITIBA','PR','116241241216472441228821575114610124187',4438,'226',56.57,1,3,NULL),(28,7007965,'1994-08-13 00:00:00',4,1,12,2011,'F','N','CENTRO','CURITIBA','PR','116162161216421431358932574124610126072',237,'9998',76.65,1,3,NULL),(28,7007973,'1993-08-28 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431468612575122610124112',17109,'270',41.24,1,3,NULL),(28,7007981,'1987-08-31 00:00:00',4,3,12,2004,'F','N','CENTRO','BAL CAMBORIÚ','SC','624202201217372431248354245122132562187',12032,'9998',50.48,3,3,NULL),(28,7007990,'1994-11-15 00:00:00',2,1,12,2011,'F','N','CANTO DO MORRO','IGUAPE','SP','125252251217151431346734575122610134077',NULL,'9998',0.00,2,3,NULL),(28,7008007,'1989-04-27 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241331143131426611215124610164017',NULL,'300',20.86,1,3,NULL),(28,7008015,'1994-06-10 00:00:00',4,8,12,2011,'M','N','CENTRO','PITANGA','PR','116162161211111431438831575122610117042',223,'9998',77.86,1,3,NULL),(28,7008023,'1995-10-09 00:00:00',4,8,12,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241217111431489833492122610132012',17123,'1063',41.20,1,3,NULL),(28,7008031,'1994-09-22 00:00:00',2,1,12,2011,'F','N','JARDIM CIDADE DE FPO','S JOSÉ','SC','124241241117131531536523395124610147057',16045,'733',33.21,1,2,1),(28,7008040,'1990-05-17 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124242241111134411524613491114132764012',19596,'257',32.03,4,3,NULL),(28,7008058,'1989-01-15 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','125251251216572411346679315122243245092',11476,'9998',51.36,1,3,NULL),(28,7008066,'1994-11-03 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124243241117111431528614475124610124147',10219,'739',47.20,1,3,NULL),(28,7008074,'1994-09-11 00:00:00',4,22,11,2012,'M','S','CENTRO','BRUSQUE','SC','124242241215151711226924575115610167042',NULL,'107',46.19,4,3,NULL),(28,7008090,'1994-08-27 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124243241116271431358913275124610137183',5005,'739',58.77,1,3,NULL),(28,7008104,'1968-04-08 00:00:00',4,1,12,1996,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224241241216272411463654311112531424095',15720,'67',44.26,1,3,NULL),(28,7008112,'1995-02-11 00:00:00',4,7,12,2011,'M','N','CENTRO','CAPINZAL','SC','124241241215131431228829485124610138043',NULL,'1093',0.00,1,3,NULL),(28,7008120,'1994-10-11 00:00:00',4,8,12,2011,'M','N','FLORESTA','JOINVILLE','SC','124242241215121431479914575112610137042',372,'1063',73.46,1,3,NULL),(28,7008147,'1994-07-28 00:00:00',4,9,12,2011,'M','N','CORAL','LAGES','SC','124242241615111431446834575121610137052',NULL,'1106',24.63,1,3,NULL),(28,7008155,'1993-01-13 00:00:00',2,1,12,2010,'F','N','CENTRO','PTO ALEGRE','RS','120201201146471411533335575112610144052',15766,'9998',36.13,1,2,1),(28,7008163,'1994-03-30 00:00:00',4,1,12,2011,'F','N','VILA PALMIRA','CPO GRANDE','MS','112121121116251431225621575124610124142',10533,'9998',52.87,4,2,1),(28,7008171,'1995-06-19 00:00:00',4,1,12,2011,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241217111731589732575124610124112',18228,'270',38.21,1,3,NULL),(28,7008198,'1990-09-28 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216152431237861385114133236095',11433,'1022',43.08,1,3,NULL),(28,7008201,'1993-11-23 00:00:00',4,17,12,2011,'F','N','CENTRO','ITAIÓPOLIS','SC','125241251217111431446911475122610137142',NULL,'9998',0.00,1,3,NULL),(28,7008210,'1994-10-06 00:00:00',2,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215122431459633575124610127187',14365,'1022',46.82,1,3,NULL),(28,7008228,'1993-01-14 00:00:00',4,9,12,2010,'F','N','IPIRANGA','LAGES','SC','124243241215472421236722575112610132147',7483,'1207',58.00,1,3,NULL),(28,7008236,'1994-07-28 00:00:00',4,1,12,2011,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251235111531378931572122610132092',8880,'9998',55.62,1,3,NULL),(28,7008260,'1994-12-14 00:00:00',2,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124244241215112431457432575124610124177',6905,'1011',53.34,1,3,NULL),(28,7008279,'1988-10-09 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSÉ','SC','124242241214152741456611495124322726197',15241,'976',45.16,1,3,NULL),(28,7008287,'1994-10-17 00:00:00',4,4,12,2011,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','616162161215271442336961575115610124017',203,'9998',76.02,4,3,NULL),(28,7008295,'1994-11-26 00:00:00',4,8,11,2011,'F','N','CENTRO','S FRANCISCO SUL','SC','124243241436131431458619575122610114092',NULL,'9997',22.98,1,3,NULL),(28,7008309,'1992-12-14 00:00:00',4,1,5,2011,'M','N','ZONA SUL','IA SOLTEIRA','SP','125252281217271431569833375115610167187',NULL,'9998',33.93,1,3,NULL),(28,7008317,'1993-06-21 00:00:00',2,24,11,2010,'F','N','CENTRO','LAURENTINO','SC','124241241145371431436412595124610142152',NULL,'528',31.85,3,2,1),(28,7008325,'1994-10-13 00:00:00',4,1,11,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111631489914575122610128092',NULL,'262',45.46,1,3,NULL),(28,7008333,'1994-06-14 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111431229624575124610127182',4175,'1077',60.90,1,3,NULL),(28,7008341,'1995-01-07 00:00:00',4,2,12,2011,'F','N','JD FREGADOLLI','MARINGÁ','PR','116162161237211431437832572324610134012',9592,'9998',46.27,4,3,NULL),(28,7008350,'1993-10-26 00:00:00',2,1,12,2010,'F','N','COLONIA SANTANA','S JOSÉ','SC','124241241127161421524434246124610131052',NULL,'731',0.00,3,2,1),(28,7008368,'1994-03-08 00:00:00',4,1,12,2011,'F','N','VILA MELHADO','ARARAQUARA','SP','125252251216111431468611575124610124047',17633,'9998',28.83,1,3,NULL),(28,7008376,'1987-12-08 00:00:00',4,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241237135431447511442224610167077',12737,'1022',40.95,1,3,NULL),(28,7008384,'1994-12-15 00:00:00',4,5,11,2011,'F','N','CENTRO','URUSSANGA','SC','124242241215112431438923575124610132187',6903,'226',53.99,1,3,NULL),(28,7008422,'1993-08-06 00:00:00',2,10,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241135132751117513292124221765017',15759,'798',36.02,1,2,1),(28,7008430,'1992-07-24 00:00:00',4,1,12,2009,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241216373441479933495124133224095',11057,'883',52.04,1,3,NULL),(28,7008473,'1991-11-29 00:00:00',4,1,12,2008,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241147373431324814585124121624122',NULL,'607',31.41,1,2,1),(28,7008481,'1988-10-07 00:00:00',4,1,2,2012,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241247247132431424674185114610127182',13834,'9999',40.27,1,3,NULL),(28,7008503,'1995-01-05 00:00:00',4,1,12,2011,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241215112431356817195124610138072',13945,'1023',36.32,1,3,NULL),(28,7008511,'1993-04-13 00:00:00',4,8,11,2010,'M','N','SÃO MARCOS','JOINVILLE','SC','124242241215372431469812575122610137042',7176,'1063',58.52,1,3,NULL),(28,7008520,'1991-02-23 00:00:00',2,2,12,2008,'M','N','VILA GERMER','TIMBÓ','SC','124241241146132731543314345121610167112',NULL,'870',22.22,1,2,1),(28,7008538,'1995-08-09 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215121421369923575124610152092',16606,'270',42.41,1,3,NULL),(28,7008554,'1982-05-19 00:00:00',4,1,12,1999,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241114375711353629435122421217117',8824,'271',55.73,1,2,1),(28,7008562,'1994-11-07 00:00:00',4,1,12,2011,'M','N','BELA VISTA','GOIÂNIA','GO','109092091215111431566614595122610115197',4897,'9998',54.36,4,3,NULL),(28,7008589,'1992-07-04 00:00:00',4,6,12,2009,'F','N','CENTRO','REALEZA','PR','116162161415473431446823175122610146097',NULL,'9998',0.00,1,3,NULL),(28,7008597,'1994-11-24 00:00:00',4,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215371731657563575124610143035',11083,'977',45.33,1,3,NULL),(28,7008600,'1992-03-30 00:00:00',4,1,12,2009,'M','N','ALTO ARIRIU','PALHOÇA','SC','124241241215573451546632146124610148031',936,'1075',72.19,1,3,NULL),(28,7008619,'1995-01-28 00:00:00',4,4,12,2011,'F','N','SANTA MARIA','CHAPECÓ','SC','124243241317371411448913575122612422142',18781,'169',36.17,1,3,NULL),(28,7008627,'1993-10-27 00:00:00',2,4,12,2010,'F','N','JARDIM BELA VISTA','ITAPIRANGA','SC','124241241236472431436613295124610137122',12323,'1060',40.18,1,3,NULL),(28,7008635,'1993-07-24 00:00:00',4,1,12,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','624246241625372431347879571124610162012',677,'524',73.11,1,3,NULL),(28,7008643,'1982-07-28 00:00:00',3,1,12,2004,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241247426474711123344145124232064041',NULL,'119',30.46,1,3,NULL),(28,7008651,'1991-08-06 00:00:00',4,1,12,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242248215574431468911575124122632142',188,'1063',78.46,1,3,NULL),(28,7008660,'1994-11-27 00:00:00',2,1,1,2012,'M','N','CENTRO','ALFREDO WAGNER','SC','124241241126161432535632572122610128147',15131,'13',36.51,1,2,1),(28,7008678,'1995-01-30 00:00:00',2,5,10,2012,'F','S','COMERCIÁRIO','CRICIÚMA','SC','124244248215111451426314571125610118072',NULL,'226',36.77,1,3,NULL),(28,7008686,'1990-03-04 00:00:00',4,1,12,2007,'F','N','CENTRO','STO ANDRÉ','SP','125252281417572751448833571125610148156',222,'9998',76.09,1,3,NULL),(28,7008694,'1989-07-12 00:00:00',4,1,12,2006,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241417374431564932335134330265062',834,'1022',74.95,1,3,NULL),(28,7008716,'1995-09-28 00:00:00',4,1,11,2012,'F','S','CENTRO','BELA V TOLDO','SC','124241241137161431427632215112610132197',NULL,'59',29.51,1,3,NULL),(28,7008724,'1987-06-09 00:00:00',2,1,12,2004,'F','N','COLÔNIA','JUNDIAÍ','SP','125251251217571431328824485114142846187',2270,'9998',63.64,1,3,NULL),(28,7008732,'1993-12-13 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215472232461423175114610137042',1077,'738',71.14,1,3,NULL),(28,7008740,'1993-07-09 00:00:00',4,1,12,2010,'F','N','PARADA INGLESA','S PAULO','SP','125251251116471431236629245134610125077',NULL,'9998',33.49,1,2,1),(28,7008759,'1995-01-10 00:00:00',2,3,12,2011,'F','N','CENTRO','CAMBORIÚ','SC','124241241116471431635832575124610116147',12713,'130',42.93,1,2,1),(28,7008767,'1992-11-02 00:00:00',4,1,12,2011,'F','N','REAL PARQUE','S JOSÉ','SC','124243248115141431444813395124610134182',NULL,'306',36.75,1,3,NULL),(28,7008775,'1994-04-27 00:00:00',2,8,10,2011,'M','N','POLITEAMA','SALVADOR','BA','105052051216111441259923575124610127012',NULL,'9998',35.12,1,3,NULL),(28,7008783,'1993-08-10 00:00:00',2,10,12,2010,'F','N','PORTINHO','LAGUNA','SC','124241241116572711339313575114610161172',9889,'521',45.90,1,2,1),(28,7008791,'1994-10-25 00:00:00',4,1,12,2011,'F','N','JD N S DE FÁTIMA','NOVA ODESSA','SP','125252251217121652469614575112610126092',15474,'9998',44.74,1,3,NULL),(28,7008813,'1990-10-09 00:00:00',4,8,12,2007,'F','N','QUITAÚNA','OSASCO','SP','125252251216571431448613575124610124097',4122,'9998',59.01,1,3,NULL),(28,7008821,'1994-03-21 00:00:00',2,8,12,2011,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124243241236131431536628391124610135147',19581,'459',32.16,4,3,NULL),(28,7008830,'1994-02-21 00:00:00',2,1,12,2010,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241116112411329923575124223263182',NULL,'361',27.51,1,2,1),(28,7008848,'1993-09-04 00:00:00',2,26,12,2010,'F','N','SANTA CRUZ','CONCÓRDIA','SC','124241248116371431336529145122610127057',NULL,'192',22.49,1,2,1),(28,7008856,'1994-11-17 00:00:00',4,23,12,2011,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215161731379921472122610134142',5123,'1174',55.48,1,3,NULL),(28,7008864,'1989-12-28 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215151431559934575124140367187',10849,'970',52.34,4,3,NULL),(28,7008872,'1993-08-10 00:00:00',4,1,12,2010,'F','N','VILA NOEMY','BAURU','SP','125052251217472432489814575112610124092',2952,'9998',59.70,1,3,NULL),(28,7008880,'1995-01-24 00:00:00',4,2,12,2011,'F','N','BOM RETIRO','BLUMENAU','SC','124242241315161431359921272124610122017',10135,'88',46.58,1,3,NULL),(28,7008899,'1992-11-14 00:00:00',4,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241235573431126631135124610167017',363,'836',74.22,1,3,NULL),(28,7008902,'1988-09-13 00:00:00',2,17,12,2005,'F','N','RONDINHA','PAPANDUVA','SC','124241241146131421435315345123333256147',NULL,'603',27.14,1,2,1),(28,7008937,'1995-04-25 00:00:00',4,1,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217111731469933575114610137062',14125,'262',47.23,1,3,NULL),(28,7008945,'1993-04-15 00:00:00',2,1,12,2010,'F','N','ESPRAIADO','NOVA TRENTO','SC','124243241135372431426439375114610136092',7997,'574',50.49,1,3,NULL),(28,7008970,'1994-03-15 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241415112431459933572124610127141',4537,'1022',54.16,1,3,NULL),(28,7008988,'1994-10-01 00:00:00',4,4,11,2011,'F','N','CENTRO','CONCÓRDIA','SC','124241241215151451338834572122610146143',8828,'1000',47.04,1,3,NULL),(28,7008996,'1989-09-02 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624122121217572411259853395124141064182',3504,'9998',62.72,4,3,NULL),(28,7009003,'1993-08-16 00:00:00',4,1,11,2010,'F','N','COUNTRY','CASCAVEL','PR','116162161215471531438814595112610164142',NULL,'9998',0.00,1,3,NULL),(28,7009011,'1992-10-31 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241335473431326669275224610167077',6308,'262',55.56,1,3,NULL),(28,7009038,'1991-03-25 00:00:00',2,15,12,2008,'F','N','CENTRO','TIMBÉ SUL','SC','124241241116131731346634345124610122072',17652,'814',39.88,1,2,1),(28,7009046,'1994-06-22 00:00:00',2,1,11,2011,'F','N','JARDIM DAS NAÇÕES','TAUBATÉ','SP','125252251217111731437832575122610132122',9342,'9998',44.63,1,3,NULL),(28,7009054,'1993-01-16 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215373431338629575124610134012',7133,'262',52.03,1,3,NULL),(28,7009070,'1994-01-17 00:00:00',4,1,12,2011,'F','N','JARDINS FLORENÇA','GOIÂNIA','GO','109092091215111431568913575122610167142',240,'9998',75.60,1,3,NULL),(28,7009089,'1992-02-19 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','624242241216272431448621445134610127072',11796,'723',43.50,1,3,NULL),(28,7009100,'1994-09-30 00:00:00',1,22,11,2011,'F','N','CENTRO','GUABIRUBA','SC','124242241215371431546633581122610134016',14170,'107',47.15,1,3,NULL),(28,7009119,'1994-07-21 00:00:00',2,1,12,2011,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124243241335121121428477275124610122047',NULL,'1022',25.82,1,3,NULL),(28,7009127,'1994-09-18 00:00:00',4,4,12,2011,'F','N','CENTRO','S CARLOS','SC','124244241215371731428832595122613266112',NULL,'1278',19.69,1,3,NULL),(28,7009135,'1996-02-27 00:00:00',2,24,12,2012,'F','S','VILA NOVA','TROMBUDO CENTRAL','SC','124242241215111431459631575114610114192',NULL,'991',28.71,1,3,NULL),(28,7009151,'1994-05-06 00:00:00',2,3,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241136141411223311375325610121182',18871,'51',35.79,1,2,1),(28,7009178,'1994-09-05 00:00:00',4,1,11,2011,'F','N','BOSQUE DOS EUCALITOS','S JOSÉ CAMPOS','SP','125254251216121431454664575112610126182',7647,'9998',51.32,1,3,NULL),(28,7009186,'1994-01-07 00:00:00',2,1,12,2011,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241115131411334313375124610123072',NULL,'64',24.16,1,2,1),(28,7009194,'1993-02-24 00:00:00',4,1,12,2010,'F','N','CENTRO','TATUÍ','SP','125252251216471431337834575122610122127',5213,'9998',56.53,1,3,NULL),(28,7009208,'1993-06-23 00:00:00',4,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117472431656413375114610166012',358,'307',73.77,1,2,1),(28,7009216,'1975-08-31 00:00:00',2,1,12,1995,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241247346133711123311315113610147187',17948,'9999',32.90,1,3,NULL),(28,7009224,'1979-08-07 00:00:00',4,1,12,1998,'F','N','CRUZEIRO','BELO HORIZONTE','MG','513132131216571751456979395125342863187',NULL,'9998',0.00,4,3,NULL),(28,7009232,'1993-05-04 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473431363923575122610126012',2792,'951',64.67,1,3,NULL),(28,7009240,'1995-01-23 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','112122121215111431468811312122610142122',11836,'9998',42.88,1,3,NULL),(28,7009267,'1995-02-10 00:00:00',4,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241217111431438813576124610134111',11011,'1022',45.46,1,3,NULL),(28,7009275,'1993-02-05 00:00:00',4,1,12,2010,'M','N','VILA PROGREDIOR','S PAULO','SP','125254251116131431434724345124610117087',NULL,'9998',0.00,1,3,NULL),(28,7009283,'1994-05-12 00:00:00',4,16,12,2011,'F','N','NAÇÕES','FRAIBURGO','SC','124241241136131431526823585122610126147',NULL,'315',27.20,4,2,1),(28,7009291,'1994-02-23 00:00:00',4,8,12,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215371431469814575122610146192',1042,'861',69.29,1,3,NULL),(28,7009305,'1991-12-27 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116231431424624485114610123197',NULL,'295',22.22,1,3,NULL),(28,7009321,'1994-02-13 00:00:00',4,7,11,2011,'M','N','SÃO SEBASTIÃO','CAMPOS NOVOS','SC','124242241216111431456639375122610115142',12158,'138',38.54,1,3,NULL),(28,7009330,'1994-08-19 00:00:00',4,1,12,2011,'F','N','CENTRO','S BENTO SUL','SC','124242247216111731449919274122610134197',18535,'1178',37.17,1,3,NULL),(28,7009348,'1993-11-05 00:00:00',4,6,11,2011,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241216131411228828575124610115052',11424,'392',42.83,1,3,NULL),(28,7009356,'1990-10-12 00:00:00',2,27,12,2007,'M','N','JD ALVORADA','MAL CÂNDIDO RONDON','PR','116162161216371231556412595122241266042',16777,'9998',42.04,1,3,NULL),(28,7009364,'1994-01-03 00:00:00',4,1,12,2011,'M','N','CENTRAL','GOIÂNIA','GO','109092091215111431568612575112610164042',3961,'9998',64.53,4,3,NULL),(28,7009372,'1993-04-08 00:00:00',3,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242281215371451457832575112610126071',7882,'9998',57.31,1,3,NULL),(28,7009380,'1992-09-27 00:00:00',2,1,12,2009,'F','N','VASGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124242241212371411436419392324133223142',19139,'459',34.69,1,3,NULL),(28,7009399,'1994-10-14 00:00:00',2,8,12,2011,'F','N','ROSELY','PARIQUERA-AÇU','SP','125252251216131431424533585125610132197',NULL,'9998',20.61,1,3,NULL),(28,7009402,'1992-07-08 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241126142431526714445124610138013',18441,'281',25.48,4,1,1),(28,7009410,'1995-01-29 00:00:00',2,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124242241217371431226624575124610164142',NULL,'1078',33.71,1,3,NULL),(28,7009429,'1994-09-16 00:00:00',4,8,12,2011,'F','N','CENTRO','S BENTO SUL','SC','124241241215111431326633575122610122142',NULL,'1178',22.29,1,3,NULL),(28,7009437,'1990-06-04 00:00:00',2,1,12,2011,'M','N','FORQUILHAS','S JOSÉ','SC','124241241345121431433314245124610132091',NULL,'737',39.38,1,3,NULL),(28,7009445,'1994-04-15 00:00:00',4,4,12,2010,'M','N','CENTRO','CAMAQUÃ','RS','120201201116471451536616571114610167182',212,'9998',74.74,1,2,1),(28,7009453,'1992-06-07 00:00:00',4,5,10,2009,'M','N','PIO CORREA','CRICIÚMA','SC','124242241216373751468733375112131417042',998,'226',68.80,1,3,NULL),(28,7009470,'1993-07-21 00:00:00',4,1,12,2011,'M','N','PARQUE JATIBAIA','CAMPINAS','SP','125254251237111431427734575114610164172',5697,'9998',53.01,1,3,NULL),(28,7009496,'1989-11-28 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241135231431526344342124610123047',NULL,'257',9.69,2,1,1),(28,7009500,'1994-08-11 00:00:00',4,8,11,2011,'F','N','GUANABARA','JOINVILLE','SC','124241241216121431323324375124610124142',10265,'1016',46.85,1,3,NULL),(28,7009526,'1994-01-11 00:00:00',4,1,12,2011,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241215321131446322242112610124112',NULL,'63',21.04,1,3,NULL),(28,7009534,'1991-12-24 00:00:00',2,1,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216113431339821382122610127152',NULL,'44',29.67,1,3,NULL),(28,7009542,'1992-05-14 00:00:00',4,1,12,2009,'F','N','JS PAULISTA','AMERICANA','SP','125252251217471431537816275122143242053',4649,'9998',57.50,4,3,NULL),(28,7009569,'1993-07-01 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241122372431124341212124610112115',15457,'124',36.10,1,2,1),(28,7009585,'1994-02-10 00:00:00',4,1,12,2011,'M','N','PORTAL DO SOL','GOIÂNIA','GO','109092091217171431467912474112610167092',369,'9998',76.08,4,3,NULL),(28,7009607,'1993-10-18 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215373411376679575114610121192',7094,'270',54.08,4,3,NULL),(28,7009615,'1993-11-20 00:00:00',4,4,12,2011,'M','N','CENTRO','S DOMINGOS','SC','124241241111161431118842321121610127042',NULL,'707',30.13,1,3,NULL),(28,7009623,'1993-02-11 00:00:00',2,1,12,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247221111311521334331234610126143',NULL,'9999',4.44,2,3,NULL),(28,7009631,'1992-02-21 00:00:00',4,6,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215474431231729575114333268051',9303,'497',54.88,1,3,NULL),(28,7009640,'1993-06-13 00:00:00',4,1,12,2011,'M','N','CENTRO','CURITIBA','PR','116162161216111431468914374114610124012',3178,'9998',60.89,1,3,NULL),(28,7009658,'1994-07-05 00:00:00',4,10,11,2011,'F','N','MAR GROSSO','LAGUNA','SC','124242241215121751336639292122610168147',6599,'807',51.60,1,3,NULL),(28,7009674,'1994-09-07 00:00:00',2,1,12,2011,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241415131431334923575124610133092',NULL,'1048',35.80,1,3,NULL),(28,7009682,'1993-01-18 00:00:00',4,1,5,2011,'M','N','JARDIM VIVENDAS','S JOSÉ R PRETO','SP','125252281217271731374631174122610167094',4068,'9998',58.68,1,3,NULL),(28,7009704,'1994-03-20 00:00:00',2,15,12,2011,'F','N','CENTRO','BOM JESUS','RS','120201201116161231426923345122610126197',NULL,'9998',0.00,1,2,1),(28,7009712,'1993-07-23 00:00:00',2,1,11,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215473331228914595114610117052',947,'226',71.79,1,3,NULL),(28,7009739,'1995-02-04 00:00:00',4,23,12,2012,'F','S','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124242241215111431579811575122610161012',NULL,'1174',34.34,1,3,NULL),(28,7009755,'1993-08-20 00:00:00',2,4,12,2010,'F','N','ALVORADA','FRANCISCO BELTRÃO','PR','116161161415471431546632574122610122147',NULL,'9998',0.00,1,3,NULL),(28,7009763,'1993-11-27 00:00:00',4,1,12,2011,'F','N','PARQUE DAS NAÇÕES','PINDAMONHANGABA','SP','125252251215121731468912575122610142123',NULL,'9998',0.00,1,3,NULL),(28,7009771,'1992-09-29 00:00:00',2,1,12,2009,'F','N','CENTRO','ESTEIO','RS','120203201417472731366823575114610142187',NULL,'9998',0.00,1,3,NULL),(28,7009780,'1986-11-07 00:00:00',4,1,12,2006,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','224241247446131121326544345133130837043',NULL,'9999',0.00,4,3,NULL),(28,7009798,'1992-07-15 00:00:00',4,1,12,2009,'M','N','CHÁCARA DO VISCONDES','TAUBATÉ','SP','125252251216571431236827575122610167042',3613,'9998',59.12,1,3,NULL),(28,7009801,'1996-02-07 00:00:00',4,9,10,2012,'M','S','CORAL','LAGES','SC','124242241215111431278726495122610134142',NULL,'497',46.11,1,3,NULL),(28,7009810,'1995-01-12 00:00:00',4,4,12,2011,'F','N','SUBSTAÇÃO','FAXINAL GUEDES','SC','124243241113161431455916572322610146173',9228,'255',46.37,1,3,NULL),(28,7009828,'1993-02-19 00:00:00',2,1,12,2010,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241117372431524334372114610137147',NULL,'295',27.01,2,1,1),(28,7009844,'1994-04-26 00:00:00',4,4,12,2011,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241115371431349832271122610144097',8497,'169',47.52,1,2,1),(28,7009852,'1994-09-16 00:00:00',2,2,12,2011,'F','N','VILA GERMER','TIMBÓ','SC','124241241145131731344312245122610135151',17835,'870',39.38,1,2,1),(28,7009860,'1994-01-16 00:00:00',2,1,11,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241435121731259829572122610122195',12975,'270',45.09,1,3,NULL),(28,7009879,'1992-03-11 00:00:00',4,6,12,2009,'M','N','SAO JUDAS','ITAJAÍ','SC','124242241216371411488814575122610124072',NULL,'1038',0.00,1,3,NULL),(28,7009887,'1993-07-08 00:00:00',2,4,11,2010,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124243241212472231478712572112610161092',18158,'185',38.40,1,3,NULL),(28,7009895,'1994-01-06 00:00:00',4,22,12,2011,'F','N','ÁGUAS CLARAS','BRUSQUE','SC','125241241216121331456614295122610163077',16830,'1090',30.97,1,3,NULL),(28,7009909,'1994-10-18 00:00:00',4,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241216121431346712575124610128177',3170,'1022',60.50,1,3,NULL),(28,7009933,'1992-03-16 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116271731523639595122333228142',14138,'359',37.14,1,2,1),(28,7009968,'1993-03-30 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124241241215572411543939574122610146182',243,'515',77.97,1,3,NULL),(28,7009976,'1992-10-22 00:00:00',4,1,12,2011,'M','N','CENTRO','CÉU AZUL','PR','116163161217271631345332445124610116097',NULL,'9998',0.00,1,3,NULL),(28,7009984,'1994-02-02 00:00:00',2,16,12,2011,'F','N','CENTRO','FRAIBURGO','SC','124241241125131411433361375325610153147',20000,'314',28.07,1,2,1),(28,7009992,'1994-01-03 00:00:00',4,15,12,2011,'M','N','JARDIM ITALIA','MELEIRO','SC','124243241316141431559834245124610134117',20165,'559',22.44,1,3,NULL),(28,7010001,'1991-11-09 00:00:00',2,15,12,2008,'M','N','GARAPUVU','ERMO','SC','124241241122152731523315552113610167047',NULL,'250',24.75,1,2,1),(28,7010010,'1995-05-30 00:00:00',4,5,11,2012,'F','S','COMERCIARIO','CRICIÚMA','SC','124242241215111431558812575122610125192',NULL,'226',53.76,1,3,NULL),(28,7010028,'1994-03-15 00:00:00',4,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241116271411624314575124610132042',19421,'739',33.23,1,2,1),(28,7010044,'1994-04-04 00:00:00',4,1,12,2010,'F','N','CAMPO GRANDE','SANTOS','SP','125252251216471441236629575124610134187',7932,'9998',49.49,1,3,NULL),(28,7010052,'1993-02-16 00:00:00',4,8,12,2010,'M','N','VILA NOVA CINTRA','MOGI CRUZES','SP','125252251215371431459834385122610127183',8473,'9998',47.49,1,3,NULL),(28,7010060,'1994-04-19 00:00:00',4,2,12,2011,'F','N','CENTRO','INDAIAL','SC','124244241215111431538712325122610142143',NULL,'925',36.80,1,3,NULL),(28,7010079,'1983-10-11 00:00:00',2,1,12,2001,'F','N','BREJARU','PALHOÇA','SC','224243241116133411235954245124233234077',15972,'658',43.74,1,3,NULL),(28,7010095,'1993-08-16 00:00:00',4,1,12,2011,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241215122741436311575124610138032',1970,'1022',65.28,1,3,NULL),(28,7010117,'1994-08-16 00:00:00',2,4,12,2011,'F','N','INDUSTRIAL','SEARA','SC','124241241146111331526636395125610134052',NULL,'1156',21.74,1,3,NULL),(28,7010125,'1992-11-18 00:00:00',2,4,11,2009,'M','N','ITAPAGÉ','FREDERICO WESTPHALEN','RS','120202201216571411468932591122610168012',12172,'9998',50.29,1,3,NULL),(28,7010133,'1992-03-07 00:00:00',4,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124241248116272211234444375124610165147',7791,'306',50.20,2,1,1),(28,7010141,'1993-03-04 00:00:00',4,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124244241216471431268823372112610162047',NULL,'459',0.00,4,3,NULL),(28,7010150,'1994-09-06 00:00:00',4,1,12,2011,'F','N','PONTE SECA','CARAGUATATUBA','SP','125252251216111431669839575122610138192',7920,'9998',48.16,1,3,NULL),(28,7010168,'1991-02-25 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117131431434634315122610147187',18704,'552',36.44,1,2,1),(28,7010176,'1993-06-18 00:00:00',2,8,12,2010,'F','N','CENTRO','CURITIBA','PR','116241241416472731346613595122610162177',NULL,'541',0.00,1,3,NULL),(28,7010184,'1995-03-22 00:00:00',4,4,12,2011,'F','N','CORAL','LAGES','SC','124242241215111431334619575124610148197',NULL,'499',28.28,1,3,NULL),(28,7010206,'1994-11-08 00:00:00',2,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124241241215111431123329571125610168142',NULL,'737',33.08,1,3,NULL),(28,7010214,'1993-01-13 00:00:00',2,2,12,2009,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124091091137131431323823272344610122147',NULL,'9998',27.51,4,2,1),(28,7010222,'1995-01-28 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124244241215151411458712575122610132042',10942,'737',43.97,1,3,NULL),(28,7010230,'1994-11-10 00:00:00',2,1,11,2011,'F','N','CENTRO','AMPÉRE','PR','116162161215471431368612575122610138072',8669,'9998',46.36,1,3,NULL),(28,7010249,'1994-08-04 00:00:00',4,1,11,2011,'M','N','VILA OLIVEIRA','MOGI CRUZES','SP','125252251216111731468613575122610168112',NULL,'9998',0.00,1,3,NULL),(28,7010257,'1994-08-24 00:00:00',4,1,12,2011,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241115371431433611575124610125097',13297,'592',40.43,1,2,1),(28,7010265,'1994-01-22 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124241241215111711458522572114610117055',14001,'737',38.78,1,3,NULL),(28,7010281,'1994-01-08 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124244241215132431437739575124231026182',6856,'226',51.23,1,3,NULL),(28,7010303,'1992-01-11 00:00:00',2,1,12,2009,'M','N','CALHEIROS','GOV CELSO RAMOS','SC','124241241126132431436613385124133237042',9346,'329',48.11,1,2,1),(28,7010311,'1993-12-21 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241212372431565612375124610162142',3440,'738',61.23,1,3,NULL),(28,7010320,'1994-05-07 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212122431356619585112610147047',7432,'270',52.84,1,3,NULL),(28,7010338,'1993-01-04 00:00:00',2,1,12,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241217372431457833475114131223011',3416,'1022',62.31,4,3,NULL),(28,7010346,'1990-09-17 00:00:00',2,3,12,2008,'F','N','CENTRO','LONDRINA','PR','116162161212573411448812575124610164142',16858,'9998',41.85,1,3,NULL),(28,7010354,'1993-03-27 00:00:00',2,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241117272431348834575122610137112',18534,'288',37.17,1,3,NULL),(28,7010362,'1994-07-17 00:00:00',2,22,12,2011,'F','N','SANTA RITA','BRUSQUE','SC','124242241215372431476924571122610133187',387,'107',74.34,1,3,NULL),(28,7010389,'1993-12-21 00:00:00',4,8,12,2011,'F','N','JARDIM ZAÍRA','MAUÁ','SP','125252251215131431336624575125610146142',3573,'9998',60.75,4,3,NULL),(28,7010400,'1994-07-19 00:00:00',4,1,12,2011,'F','N','CENTRO','S JOSÉ','SC','124242241115271431328629585124610127052',17708,'739',27.56,1,3,NULL),(28,7010419,'1992-05-16 00:00:00',4,1,12,2010,'F','N','HIDRÁULICA','LAJEADO','RS','120202201216472731479611594115610166047',1758,'9998',63.47,1,3,NULL),(28,7010427,'1993-09-23 00:00:00',4,2,12,2010,'M','N','VILA FORMOSA','BLUMENAU','SC','124241241114472731566863572125610137012',2012,'192',64.25,1,2,1),(28,7010443,'1994-08-11 00:00:00',4,1,11,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124112241215112431378835575124610137072',NULL,'270',0.00,1,3,NULL),(28,7010451,'1993-06-29 00:00:00',4,8,12,2010,'F','N','CENTRO','BILAC','SP','125253251216472431358831574124610166147',4170,'9998',57.87,1,3,NULL),(28,7010460,'1995-02-21 00:00:00',2,1,12,2011,'F','N','ALVORADA','MARMELEIRO','PR','116161161116371731436332572125610137072',NULL,'9998',0.00,1,2,1),(28,7010478,'1994-04-08 00:00:00',4,1,12,2011,'F','N','FORTALEZA','BLUMENAU','SC','124241241137131411533414245124610126142',NULL,'82',13.37,1,2,1),(28,7010486,'1976-03-23 00:00:00',4,1,12,1995,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202208215152411228821415124333226041',19309,'9998',33.82,1,3,NULL),(28,7010494,'1988-05-06 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124131241417373751527316575124322525095',6852,'300',49.89,1,3,NULL),(28,7010508,'1994-01-18 00:00:00',4,1,12,2011,'F','N','BREMER','RIO SUL','SC','124241241117151331456314582122610133157',16204,'659',37.41,1,2,1),(28,7010516,'1994-05-13 00:00:00',4,26,11,2011,'M','N','CINQÜENTAENÁRIO','CONCÓRDIA','SC','124242241211471741469913575122610138142',6723,'1001',52.67,1,3,NULL),(28,7010524,'1991-05-26 00:00:00',2,1,12,2009,'M','N','VERA CRUZ','PASSO FUNDO','RS','120201201127141411436639242134610117042',NULL,'9998',13.25,4,2,1),(28,7010532,'1994-09-19 00:00:00',4,1,12,2011,'F','N','ARIRIÚ','PALHOÇA','SC','124241241145141421425524242221610163192',17343,'593',40.67,1,2,1),(28,7010540,'1988-06-28 00:00:00',4,3,12,2005,'F','N','CENTRO','BAL CAMBORIÚ','SC','124201201214471241236379471122341242117',8337,'9998',46.97,1,3,NULL),(28,7010559,'1995-01-12 00:00:00',4,8,12,2011,'F','N','BOM RETIRO','JOINVILLE','SC','124244241116131431427814575121610146142',9656,'476',43.81,1,3,NULL),(28,7010567,'1987-04-20 00:00:00',4,1,12,2004,'M','N','JD JANAINA','BIGUAÇU','SC','124241241216374451589913375125231462145',NULL,'20',0.00,1,3,NULL),(28,7010575,'1992-06-29 00:00:00',4,1,12,2011,'F','N','MARY DOTA','BAURU','SP','125253251417121441533829375124610112142',6595,'9998',50.20,1,3,NULL),(28,7010591,'1994-05-06 00:00:00',4,2,12,2011,'F','N','VILA NOVA','BLUMENAU','SC','124244241316111231459913575122610161177',7390,'88',52.05,1,3,NULL),(28,7010605,'1994-10-09 00:00:00',2,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124244241215111431257313275112610124072',6701,'226',53.68,1,3,NULL),(28,7010613,'1992-01-12 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241116133431356633495122233211092',13752,'270',39.82,1,3,NULL),(28,7010630,'1993-12-13 00:00:00',4,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241137271431269613575112610124057',14142,'635',41.95,1,2,1),(28,7010648,'1993-04-15 00:00:00',2,24,12,2010,'M','N','BOA VISTA','RIO SUL','SC','124241241116471431443624275124610127052',8118,'657',51.51,1,2,1),(28,7010664,'1994-08-30 00:00:00',2,5,12,2011,'F','N','SÃO LUIZ','CRICIÚMA','SC','124244241215271431443715575122610128192',9170,'226',46.79,1,3,NULL),(28,7010672,'1993-10-12 00:00:00',4,4,12,2010,'M','N','FREI ROGERIO','LAGES','SC','124241241116371431434614375125610166092',12121,'512',50.37,1,2,1),(28,7010680,'1994-02-25 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124241241117131431236824285114610167042',3179,'739',63.36,1,2,1),(28,7010702,'1989-04-24 00:00:00',2,4,12,2006,'F','N','CENTRO','XANXERÊ','SC','124244241236574731434431575122230632187',16724,'836',31.91,1,3,NULL),(28,7010710,'1993-04-29 00:00:00',4,1,12,2010,'F','N','JARDIM DO TREVO','CAMPINAS','SP','125252251217372431446632125112143231182',5119,'9998',55.37,1,3,NULL),(28,7010729,'1970-03-08 00:00:00',2,1,12,2000,'M','N','CENTRO','BIGUAÇU','SC','224241241126133411446354281124610134057',NULL,'9999',21.51,1,3,NULL),(28,7010737,'1993-04-20 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241117151711525521575114610134147',11537,'739',41.21,4,2,1),(28,7010745,'1991-09-09 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215373431668613445124610164181',9564,'272',54.43,1,3,NULL),(28,7010753,'1990-01-25 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215154431469933445122522667142',4673,'270',63.05,1,3,NULL),(28,7010770,'1990-10-18 00:00:00',4,24,12,2008,'M','N','ITOUPAVA','RIO SUL','SC','124242246416372431346939485122131048182',NULL,'659',32.00,1,3,NULL),(28,7010788,'1991-05-05 00:00:00',2,8,10,2008,'F','N','SAO RAFAEL','RIO NEGRINHO','SC','124241161216575411454912575122610122032',1150,'9998',67.78,1,3,NULL),(28,7010796,'1994-07-14 00:00:00',4,1,12,2011,'M','N','ANÁPOLIS CITY','ANÁPOLIS','GO','109134091217111431458714475122610122052',2106,'9998',65.56,1,3,NULL),(28,7010800,'1991-08-24 00:00:00',4,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241327111711225529275124610114145',NULL,'285',13.16,1,3,NULL),(28,7010818,'1994-10-26 00:00:00',2,8,12,2011,'M','N','FLORESTA','JOINVILLE','SC','624242241215421411456833574124610168052',NULL,'1016',25.27,1,3,NULL),(28,7010826,'1992-07-23 00:00:00',2,4,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215373431526733345125131326147',3787,'1207',59.72,2,3,NULL),(28,7010834,'1987-02-16 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241317474431256823445121131427051',15770,'307',44.16,1,3,NULL),(28,7010869,'1993-02-24 00:00:00',4,1,12,2010,'M','N','NOVA PETRÓPOLIS','S BERNARDO CAMPO','SP','125252251246271412469931575112141427046',10081,'9998',44.95,1,3,NULL),(28,7010877,'1993-10-04 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124242241216372432448814475122610122012',NULL,'515',0.00,1,3,NULL),(28,7010885,'1993-03-08 00:00:00',2,1,12,2011,'M','N','ROÇADO','S JOSÉ','SC','124242241217111511427614371122610164051',NULL,'1075',NULL,1,3,NULL),(28,7010893,'1992-11-09 00:00:00',2,1,11,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124252251217471431478814575112610167132',9740,'9998',43.96,1,3,NULL),(28,7010907,'1993-07-16 00:00:00',4,1,12,2010,'F','N','CENTRAL PARK','BATATAIS','SP','125251251215371731435812592112610123092',NULL,'9998',0.00,1,3,NULL),(28,7010915,'1992-10-10 00:00:00',4,1,12,2010,'F','N','BARCELONA','S CAETANO SUL','SP','125253251116471431446314345134610111147',12778,'9998',49.32,1,3,NULL),(28,7010923,'1992-02-19 00:00:00',4,1,12,2009,'M','N','GUAIANASES','S PAULO','SP','125254251116141441456833445125243237042',13809,'9998',47.70,1,3,NULL),(28,7010958,'1994-01-10 00:00:00',2,3,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241617131431638731272121610164172',2585,'407',63.05,1,3,NULL),(28,7010966,'1994-04-28 00:00:00',4,8,12,2011,'M','N','MORRO DO MEIO','JOINVILLE','SC','124242241217132411359934372122610112092',7540,'459',50.39,1,3,NULL),(28,7010982,'1993-04-26 00:00:00',2,1,12,2010,'F','N','CENTRO','MARINGÁ','PR','116162161215411431574434575122610167183',NULL,'9997',0.00,1,3,NULL),(28,7010990,'1994-07-10 00:00:00',4,8,12,2011,'F','N','JD COLINAS','S JOSÉ CAMPOS','SP','125253251216111431356812575122610127041',3467,'9998',59.78,1,3,NULL),(28,7011008,'1979-09-28 00:00:00',4,3,12,1997,'M','N','JD GUAPORE','MARINGÁ','PR','216162161216471431253341412122440227182',NULL,'9998',0.00,3,3,NULL),(28,7011016,'1992-09-25 00:00:00',4,1,12,2010,'F','N','SÃO JOSÉ','BOM DESPACHO','MG','113131131116472441336824575124610123072',7786,'9998',50.57,4,3,NULL),(28,7011024,'1994-10-02 00:00:00',4,10,1,2012,'M','N','PASSAGEM','TUBARÃO','SC','124241241115151411424624571121610136172',11145,'801',43.76,1,2,1),(28,7011040,'1978-05-26 00:00:00',2,1,8,2011,'F','N','FLORESTA','S JOSÉ','SC','124241247627371741643373242124610117187',NULL,'9999',29.71,1,3,NULL),(28,7011059,'1993-09-26 00:00:00',2,1,12,2011,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091215111431366823595124610144052',13680,'9998',39.11,4,3,NULL),(28,7011075,'1994-08-02 00:00:00',2,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241116151431638614395124610167072',12700,'739',49.43,1,3,NULL),(28,7011083,'1991-05-17 00:00:00',2,1,12,2007,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241137371431525514345124610122147',14122,'257',38.13,1,2,1),(28,7011091,'1994-04-08 00:00:00',4,1,12,2011,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124242241217111431168913475124610147092',12173,'1010',50.29,1,3,NULL),(28,7011105,'1995-09-21 00:00:00',4,1,12,2012,'M','S','CARVOEIRA','FLORIANÓPOLIS','SC','124244241217131531335923575121610117052',NULL,'9997',25.24,4,3,NULL),(28,7011113,'1994-05-30 00:00:00',4,6,11,2011,'M','N','RESSACADA','ITAJAÍ','SC','124242241215271431357732572122610127097',3327,'392',60.27,1,3,NULL),(28,7011130,'1993-02-18 00:00:00',2,5,7,2010,'M','N','MONTE CASTELO','CRICIÚMA','SC','124241241212141431628924341124610138041',13648,'995',47.96,1,3,NULL),(28,7011156,'1994-08-31 00:00:00',4,2,12,2011,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241215271431449912175122610132012',7558,'909',51.00,1,3,NULL),(28,7011164,'1993-01-27 00:00:00',4,1,12,2010,'F','N','SANTANA','S PAULO','SP','125252251216472431228824445124610143092',8103,'9998',51.13,1,3,NULL),(28,7011172,'1994-07-18 00:00:00',4,8,12,2011,'M','N','BOA VISTA','JOINVILLE','SC','124241241215471432456832594122610127052',2507,'494',65.00,1,3,NULL),(28,7011180,'1994-12-15 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431685663575124610126192',7405,'262',51.16,1,3,NULL),(28,7011199,'1995-04-10 00:00:00',4,8,12,2011,'F','N','GUANABARA','JOINVILLE','SC','124242241216131431347732275114610123112',12417,'459',39.74,1,3,NULL),(28,7011202,'1991-06-26 00:00:00',4,1,12,2008,'F','N','CENTRO','CARAGUATATUBA','SP','125252251217272431279823575122131934182',9550,'9998',46.13,1,3,NULL),(28,7011210,'1994-03-10 00:00:00',4,1,12,2011,'F','N','GONZAGA','SANTOS','SP','125252251217111731469821595114610163112',NULL,'9998',0.00,1,3,NULL),(28,7011229,'1990-06-04 00:00:00',4,4,12,2006,'F','N','CENTRO','PLANALTO','RS','120201201116571411348619475124143142097',17422,'9998',40.48,1,2,1),(28,7011237,'1994-06-10 00:00:00',4,2,11,2012,'F','S','VICTOR KONDER','BLUMENAU','SC','124242241215111731459712425122610121182',NULL,'855',0.00,1,3,NULL),(28,7011245,'1994-05-31 00:00:00',2,1,11,2011,'F','N','CENTRO','INHUMAS','GO','109092091217111431468831572122610134142',16747,'9998',42.10,1,3,NULL),(28,7011253,'1993-10-18 00:00:00',4,8,12,2010,'F','N','IRIRIÚ','JOINVILLE','SC','124242241216471731327723575124610138077',3169,'9997',60.53,4,3,NULL),(28,7011261,'1994-08-15 00:00:00',4,1,12,2011,'F','N','PASSA VINTE','PALHOÇA','SC','124244241117371431423331475122610124182',15002,'739',38.09,1,3,NULL),(28,7011270,'1994-03-02 00:00:00',4,1,11,2011,'F','N','GOIABEIRAS','CUIABÁ','MT','111112111216111751479934195122610165192',2481,'9998',61.03,1,3,NULL),(28,7011288,'1993-05-26 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242247215274431468614575124221444142',NULL,'9999',0.00,1,3,NULL),(28,7011296,'1994-07-15 00:00:00',4,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241217131431438823472125610144122',18873,'1049',35.78,4,3,NULL),(28,7011300,'1993-12-17 00:00:00',4,1,12,2010,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125252251215471431476834575112610167042',2394,'9998',63.63,1,3,NULL),(28,7011318,'1994-01-18 00:00:00',2,3,12,2011,'M','N','JARDIM SAO BENTO','CPO GRANDE','MS','112122121215111431588712575112610167052',NULL,'9998',24.26,1,3,NULL),(28,7011326,'1993-02-16 00:00:00',2,1,12,2010,'F','N','ZONA NOVA','CAPÃO CANOA','RS','120202201217271411468613572124610114197',NULL,'9998',33.18,1,3,NULL),(28,7011334,'1994-10-27 00:00:00',4,5,11,2011,'F','N','PRÓSPERA','CRICIÚMA','SC','124244241217272431438834574114610124187',3098,'211',62.19,1,3,NULL),(28,7011342,'1992-06-18 00:00:00',4,1,12,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124242241117372731423514575114610127054',15312,'734',35.89,1,3,NULL),(28,7011350,'1989-02-14 00:00:00',2,1,12,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116372431426314445123610127055',NULL,'287',27.71,3,2,1),(28,7011377,'1994-08-20 00:00:00',4,6,12,2011,'M','N','CENTRO','CURITIBA','PR','116161161315121231156633272325610117052',9011,'9998',46.82,1,3,NULL),(28,7011385,'1992-11-10 00:00:00',4,8,12,2010,'F','N','ITAUM','JOINVILLE','SC','124241241216312421446414571124610166077',16185,'489',43.36,1,3,NULL),(28,7011393,'1994-03-01 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372431547834575125230231092',1627,'262',65.60,1,3,NULL),(28,7011407,'1995-01-30 00:00:00',2,8,12,2011,'F','N','CENTRO','PARIQUERA-AÇU','SP','125254251217131431438823275122610114177',NULL,'9998',32.50,1,3,NULL),(28,7011423,'1986-07-03 00:00:00',2,8,12,2004,'F','N','SAGUAÇÚ','JOINVILLE','SC','124163161216272451363472381112330632012',16903,'9998',41.75,1,3,NULL),(28,7011431,'1994-01-10 00:00:00',4,1,11,2011,'F','N','SETOR BELA VISTA','GOIÂNIA','GO','109092091217111431338732574112610167072',1406,'9998',67.20,3,3,NULL),(28,7011440,'1993-09-21 00:00:00',4,24,12,2011,'F','N','CENTRO','IBIRAMA','SC','124244241215111431443832575122610122182',NULL,'346',21.23,1,3,NULL),(28,7011458,'1992-09-26 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116161161136571751445632195125610133142',3138,'9998',59.26,1,2,1),(28,7011466,'1991-05-02 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241211573121347971375122610116147',6676,'1038',51.13,1,3,NULL),(28,7011474,'1994-06-28 00:00:00',4,1,12,2011,'F','N','CENTRO','GRAMADO','RS','120202201217161432439812375121610132077',7694,'9998',49.45,1,3,NULL),(28,7011482,'1994-10-06 00:00:00',4,24,12,2010,'F','N','CENTRO','PRES GETÚLIO','SC','124241241116572721437731575124610165122',2200,'644',63.84,1,2,1),(28,7011490,'1990-12-22 00:00:00',2,1,12,2007,'M','N','CENTRO','PALMA SOLA','SC','124241241132131421428653142235610137041',NULL,'598',29.17,2,1,1),(28,7011504,'1993-09-24 00:00:00',2,10,12,2011,'F','N','CENTRO','IMBITUBA','SC','124241241115271431434464575124610167147',NULL,'1034',26.90,1,2,1),(28,7011512,'1994-04-17 00:00:00',2,1,12,2011,'F','N','JUNDIAÍ','ANÁPOLIS','GO','109092091217111431338631472122610163057',983,'9998',68.77,1,3,NULL),(28,7011520,'1987-01-26 00:00:00',4,1,12,2004,'M','N','VILA NOVA BOTUCATU','BOTUCATU','SP','125252251212574441479811172125610165097',2885,'9998',58.86,1,3,NULL),(28,7011539,'1993-03-08 00:00:00',4,4,12,2010,'F','N','PACAEMBU','CASCAVEL','PR','116243241215471731446619395122610134192',8019,'920',57.12,1,3,NULL),(28,7011547,'1977-02-01 00:00:00',2,1,12,1995,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','624241241126131421221351295132610161187',NULL,'783',34.19,1,2,1),(28,7011563,'1994-06-29 00:00:00',2,22,12,2011,'M','N','TOMÁS COELHO','BRUSQUE','SC','124241241315111431334314185124610165127',NULL,'1090',20.00,1,3,NULL),(28,7011571,'1993-09-16 00:00:00',4,1,11,2011,'F','N','CENTRO','BRUSQUE','SC','124242241215113431337732575122610132112',2075,'270',64.47,1,3,NULL),(28,7011580,'1992-11-09 00:00:00',4,1,12,2010,'F','N','JD IMPERADOR','S PAULO','SP','125251251116471431426513575124610135117',7358,'9998',50.14,1,2,1),(28,7011598,'1990-03-19 00:00:00',2,1,12,2007,'M','N','PRIA COMPRIDA','S JOSÉ','SC','124241241145133731313343235124230844192',17761,'356',39.59,1,2,1),(28,7011601,'1994-01-28 00:00:00',4,7,12,2010,'M','N','SÃO LUIZ','CAPINZAL','SC','124241241216372431445623575124610134047',19874,'1238',29.67,1,3,NULL),(28,7011610,'1993-05-01 00:00:00',4,1,12,2010,'M','N','ROSÁRIO','S JOÃO B VISTA','SP','125252251216371431457712575122142044192',4117,'9998',57.76,1,3,NULL),(28,7011628,'1992-11-19 00:00:00',4,1,12,2010,'M','N','CANTO DO FORTE','PR GRANDE','SP','125252251215471431458833333124610117097',2461,'9999',61.83,1,3,NULL),(28,7011636,'1992-08-10 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241115131411356829575124610137187',6497,'267',52.52,1,3,NULL),(28,7011660,'1994-03-12 00:00:00',4,8,10,2011,'F','N','GLÓRIA','JOINVILLE','SC','124082241215111431588834574122610127152',1208,'1063',66.43,1,3,NULL),(28,7011679,'1994-08-02 00:00:00',4,8,11,2011,'F','N','JUVEVE','CURITIBA','PR','116112161217111331378811575124610124017',NULL,'9998',0.00,1,3,NULL),(28,7011687,'1994-09-06 00:00:00',4,1,12,2011,'F','N','SÃO PEDRO','CELSO RAMOS','SC','124241241117161531512723575124610147057',15826,'163',34.47,1,2,1),(28,7011695,'1993-05-20 00:00:00',4,1,12,2010,'F','N','AGUA VERDE','CURITIBA','PR','116242161217372411358814375124240664182',4179,'9998',53.77,1,3,NULL),(28,7011709,'1994-01-02 00:00:00',4,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115132711436413572124221431122',4930,'271',56.40,1,2,1),(28,7011725,'1994-08-24 00:00:00',2,23,11,2011,'F','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124243241217111431538732575122610126042',NULL,'1061',28.91,4,3,NULL),(28,7011733,'1992-02-12 00:00:00',4,1,6,2010,'M','N','JARDIM MONTE LIBANO','MOGI CRUZES','SP','125252257227471431236829275125610164112',16500,'9998',42.66,1,3,NULL),(28,7011741,'1993-11-13 00:00:00',4,4,12,2011,'F','N','CENTRO','MARAVILHA','SC','124241241116131431225824575122610126147',16081,'552',35.63,1,2,1),(28,7011750,'1994-07-29 00:00:00',2,2,11,2011,'F','N','PROCHNOW','BENEDITO NOVO','SC','124241241215111411628614572224610162052',3656,'1157',61.49,1,3,NULL),(28,7011768,'1992-10-13 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241215574431438834582124233235141',7128,'272',52.72,1,3,NULL),(28,7011784,'1993-11-10 00:00:00',4,23,12,2010,'F','N','ANO BOM','CORUPÁ','SC','124242241216412431436632575124610122017',9150,'442',46.97,1,3,NULL),(28,7011792,'1994-10-04 00:00:00',2,9,12,2011,'M','N','CONTA DINHEIRO','LAGES','SC','124242241216111411447914275122610138042',3782,'1207',57.39,1,3,NULL),(28,7011806,'1995-03-18 00:00:00',4,1,11,2012,'F','S','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116151431435712595114610145017',NULL,'271',45.03,1,3,NULL),(28,7011814,'1993-02-19 00:00:00',2,9,12,2010,'F','N','CENTRO','FAXINAL GUEDES','SC','124244241215472431548816594114610123142',8488,'836',52.08,1,3,NULL),(28,7011822,'1993-05-10 00:00:00',4,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431468613575124610124042',11497,'1118',44.21,1,3,NULL),(28,7011830,'1992-08-31 00:00:00',4,1,12,2010,'F','N','RECREIO CAFEZAIS','VALINHOS','SP','125252251216471431559912575122610142182',1100,'9998',69.99,1,3,NULL),(28,7011849,'1993-12-08 00:00:00',2,1,12,2010,'F','N','CRISTO REDENTOR','PTO ALEGRE','RS','120202201216471731347833594124610162097',NULL,'9998',0.00,1,3,NULL),(28,7011865,'1993-10-14 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241215472431436612575122610113142',8141,'185',50.23,1,3,NULL),(28,7011881,'1995-09-29 00:00:00',4,1,12,2012,'F','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215121731437611571124610132147',NULL,'1133',37.60,1,3,NULL),(28,7011903,'1993-04-12 00:00:00',4,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241435121431628621575124610116047',14603,'884',37.37,1,3,NULL),(28,7011911,'1993-07-26 00:00:00',4,8,12,2010,'F','N','SANTO ANTÔNIO','ITATIBA','SP','125252251217471411457912571122610126182',3572,'9998',56.63,1,3,NULL),(28,7011920,'1993-09-07 00:00:00',4,2,12,2010,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124244241215373741457834374114610134012',375,'87',76.56,1,3,NULL),(28,7011946,'1995-02-03 00:00:00',4,9,11,2012,'M','S','CENTRO','LAGES','SC','124242241216111331469813435122610137067',NULL,'1207',30.58,1,3,NULL),(28,7011954,'1993-11-05 00:00:00',2,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124242241216372431333369575124232723112',12549,'1078',42.52,1,3,NULL),(28,7011962,'1994-07-13 00:00:00',4,1,11,2011,'F','N','CAMPUS DO CTA','S JOSÉ CAMPOS','SP','125252251215111431379831575112610146173',6091,'9998',54.42,1,3,NULL),(28,7011970,'1986-05-05 00:00:00',4,1,12,2003,'F','N','CENTRO','S CARLOS','SP','125254251217571431458824595124243234127',4270,'9998',56.90,1,3,NULL),(28,7011989,'1990-07-14 00:00:00',2,1,12,2009,'M','N','NOVA PIRACICABA','PIRACICABA','SP','125254251417111431565519395122143227042',NULL,'9998',23.44,1,3,NULL),(28,7011997,'1995-07-24 00:00:00',2,9,12,2011,'F','N','CORAL','LAGES','SC','124242241215111112438811575122610114012',NULL,'1207',9.61,1,3,NULL),(28,7012012,'1992-08-30 00:00:00',4,2,12,2010,'F','N','SANTA OLÍVIA','MARÍLIA','SP','125252251215472431239923275122610127017',5070,'9998',54.18,1,3,NULL),(28,7012039,'1983-09-24 00:00:00',2,1,12,2000,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241437273411567772325132121967112',9973,'226',53.77,1,3,NULL),(28,7012047,'1994-08-14 00:00:00',4,22,12,2011,'M','N','DOM JOAQUIM','BRUSQUE','SC','124243241215272431566512575124610168012',1286,'107',67.80,1,3,NULL),(28,7012055,'1995-05-17 00:00:00',4,6,11,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241216131431538814375124610132197',NULL,'9997',15.56,1,3,NULL),(28,7012063,'1991-10-07 00:00:00',3,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241416141431236923435124232266181',16212,'456',43.31,1,3,NULL),(28,7012080,'1993-11-05 00:00:00',2,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241215471431328863345122610133182',15173,'497',45.27,1,3,NULL),(28,7012098,'1994-03-05 00:00:00',4,1,11,2011,'M','N','CENTRO','SOROCABA','SP','125252251215121431478919495125610137043',NULL,'9998',0.00,1,3,NULL),(28,7012101,'1993-06-23 00:00:00',4,17,11,2010,'M','N','ALTO DA TIJJUCA','CANOINHAS','SC','124242241215372411469913375124610127042',499,'154',74.32,1,3,NULL),(28,7012110,'1994-12-03 00:00:00',4,2,11,2011,'M','N','CENTRO','MASSARANDUBA','SC','124244241215112431538834375114610162042',1356,'909',65.22,1,3,NULL),(28,7012128,'1993-05-24 00:00:00',4,1,11,2011,'M','N','BELA VISTA','CPO GRANDE','MS','112122121217111211488816575112610167112',12438,'9998',41.75,1,3,NULL),(28,7012136,'1994-01-11 00:00:00',4,10,12,2011,'M','N','FRANCISCO EING','S MARTINHO','SC','124241241125151411536737215122610164057',19173,'750',25.69,1,2,1),(28,7012144,'1993-04-21 00:00:00',4,1,12,2011,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241241115371231426639475124610126142',NULL,'307',26.71,1,2,1),(28,7012152,'1993-05-03 00:00:00',2,5,12,2010,'M','N','BOA VISTA','IÇARA','SC','124241241121232451323416275124610146047',18149,'351',29.65,1,2,1),(28,7012160,'1995-02-16 00:00:00',2,5,11,2011,'M','N','PRIMEIRO DE MAIO','IÇARA','SC','124241241215122451358931575124610141012',634,'226',71.10,1,3,NULL),(28,7012179,'1986-12-20 00:00:00',2,6,12,2005,'F','N','DOM BOSCO','ITAJAÍ','SC','124241241136343451229929475225233264097',15741,'307',44.22,1,3,NULL),(28,7012187,'1991-09-06 00:00:00',2,16,12,2009,'F','N','BOA VISTA','RIO SUL','SC','124244241415112431523823575124221417147',17899,'991',39.21,1,3,NULL),(28,7012195,'1989-03-06 00:00:00',4,1,12,2007,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243247337371331523864445124610118182',19083,'596',34.95,1,3,NULL),(28,7012209,'1984-10-18 00:00:00',2,9,12,2001,'F','N','CONTA DINHEIRO','LAGES','SC','124241241116141431466923491122332817052',NULL,'878',31.04,1,2,1),(28,7012217,'1993-12-13 00:00:00',4,1,12,2011,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242241216112431449623575124610118182',12361,'1022',43.08,1,3,NULL),(28,7012225,'1991-07-22 00:00:00',4,1,12,2008,'F','N','PINUS PARK','COTIA','SP','125252251216512731468611595112610112097',NULL,'9998',0.00,1,3,NULL),(28,7012233,'1993-01-20 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116472431349833375114130264142',12160,'764',42.03,1,2,1),(28,7012241,'1987-01-23 00:00:00',4,2,12,2004,'M','N','VILA NOVA','BLUMENAU','SC','124241241146151441469833315123132364182',9491,'69',54.56,1,2,1),(28,7012250,'1992-07-02 00:00:00',2,4,12,2009,'F','N','PLANALTO','VACARIA','RS','120201201116572711433619295125610128142',5369,'9998',52.72,1,2,1),(28,7012284,'1995-05-02 00:00:00',4,9,11,2011,'F','N','UNIVERSITÁRIO','LAGES','SC','124242241217111732458833372124610127142',19157,'1022',34.62,1,3,NULL),(28,7012292,'1987-08-15 00:00:00',2,1,12,2004,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124251251136371751323544245334610126187',9537,'9998',46.46,1,2,1),(28,7012330,'1992-01-28 00:00:00',4,1,11,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241211152411249929275124610167042',17525,'270',40.24,1,3,NULL),(28,7012349,'1994-06-12 00:00:00',4,8,11,2011,'F','N','CAJURÚ','CURITIBA','PR','116162161216111331355914575122610163077',NULL,'9998',0.00,1,3,NULL),(28,7012357,'1994-01-09 00:00:00',4,1,12,2011,'M','N','JD STA GERTRUDES','JUNDIAÍ','SP','125251251116471431353823375124610162092',6030,'9998',53.18,1,2,1),(28,7012365,'1992-04-13 00:00:00',4,1,11,2009,'M','N','JARDIM SÃO JOSÉ','ITATIBA','SP','125252251217121711359922585122243268126',NULL,'9998',0.00,1,3,NULL),(28,7012373,'1993-07-31 00:00:00',4,4,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215572431349814385125610145187',19,'213',85.16,1,3,NULL),(28,7012390,'1994-01-18 00:00:00',4,1,11,2011,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215151441489911575114610164065',1536,'262',66.04,1,3,NULL),(28,7012403,'1992-11-20 00:00:00',1,8,12,2010,'M','N','BOM RETIRO','JOINVILLE','SC','124242241217372451559934574114221467057',NULL,'624',0.00,1,3,NULL),(28,7012411,'1992-06-30 00:00:00',4,1,10,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431458812472122230267122',NULL,'807',0.00,1,3,NULL),(28,7012420,'1990-11-18 00:00:00',2,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241248132142751633431292114610164145',19792,'285',30.37,1,2,1),(28,7012438,'1995-01-30 00:00:00',4,1,12,2011,'F','N','PALHOÇA','PALHOÇA','SC','124242241212111431459913375112610142142',5611,'1011',55.17,1,3,NULL),(28,7012446,'1994-10-17 00:00:00',4,7,12,2011,'M','N','SANTA TEREZA','JOAÇABA','SC','124242241215111431466932575122610167042',1870,'962',64.94,1,3,NULL),(28,7012454,'1993-07-19 00:00:00',2,5,12,2011,'F','N','SAO PEDRO','URUSSANGA','SC','124241241215111411426614575122610111197',NULL,'226',27.76,1,3,NULL),(28,7012470,'1980-02-04 00:00:00',4,16,7,2006,'F','N','BOSQUE','CURITIBANOS','SC','224241241113131431421349285122610115197',14236,'9999',47.05,1,2,1),(28,7012489,'1994-04-06 00:00:00',4,7,12,2011,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','124242161215111431456714594124610112092',3870,'9998',61.44,1,3,NULL),(28,7012497,'1993-06-05 00:00:00',4,1,12,2010,'F','N','CENTRO','IVAIPORÃ','PR','116162161215471431469914575112610164142',NULL,'9998',0.00,1,3,NULL),(28,7012500,'1993-05-22 00:00:00',4,1,12,2010,'F','N','MARIA STELLA FAGÁ','S CARLOS','SP','125253251217471431336622175124610125147',9165,'9998',46.49,1,3,NULL),(28,7012519,'1992-12-04 00:00:00',4,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243241115272431446923445114610166073',NULL,'307',31.27,1,3,NULL),(28,7012527,'1985-04-25 00:00:00',2,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241247141234431423519281324121562192',16712,'9999',42.17,1,2,1),(28,7012535,'1994-02-15 00:00:00',5,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431578833595122610142092',317,'270',76.29,1,3,NULL),(28,7012543,'1994-03-10 00:00:00',2,15,12,2011,'F','N','CENTRO','MARACAJÁ','SC','124241241116161431336579595122610134072',17257,'550',31.33,1,2,1),(28,7012551,'1988-04-26 00:00:00',2,4,12,2005,'M','N','APARECIDA','CAMPOS NOVOS','SC','124243241116272431246923345122330243182',NULL,'936',0.00,1,3,NULL),(28,7012560,'1991-03-03 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241315374411327729495124333224141',7004,'1022',53.36,1,3,NULL),(28,7012578,'1993-05-21 00:00:00',2,1,11,2010,'M','N','BELA VISTA','ERECHIM','RS','120202201216372431456829575122610167042',3133,'9998',61.11,1,3,NULL),(28,7012594,'1993-12-08 00:00:00',4,8,12,2010,'F','N','JARDIM JATAY','CAÇAPAVA','SP','125252254215472431469814575122610143072',4861,'9998',55.42,4,3,NULL),(28,7012608,'1993-09-24 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241216472431688813435124610125073',10941,'1048',44.00,4,3,NULL),(28,7012624,'1994-11-08 00:00:00',4,1,12,2011,'F','N','VILA INDUSTRIAL','BAURU','SP','125252251237111431548753575122610124092',11169,'9998',44.84,1,3,NULL),(28,7012640,'1994-09-13 00:00:00',4,1,12,2011,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215111431336624575124610133192',11525,'1118',43.03,1,3,NULL),(28,7012659,'1988-12-04 00:00:00',2,1,1,2008,'F','N','BARREIROS','S JOSÉ','SC','624241247127373411215454385124610126167',NULL,'9999',20.38,1,3,NULL),(28,7012667,'1992-12-28 00:00:00',2,8,12,2010,'M','N','SAGUAÇÚ','JOINVILLE','SC','124243246313371721436514383341610168137',8694,'1105',55.92,4,3,NULL),(28,7012675,'1993-07-08 00:00:00',2,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241115311232425431315112610117062',NULL,'592',13.48,1,3,NULL),(28,7012683,'1992-12-29 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116272431536512445132610162147',15573,'1248',36.75,1,2,1),(28,7012691,'1992-04-14 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216373731368933575124241422072',1512,'270',67.07,1,3,NULL),(28,7012705,'1994-07-04 00:00:00',4,1,11,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215411431357834575122610167122',14198,'270',40.65,1,3,NULL),(28,7012713,'1995-09-25 00:00:00',4,24,11,2012,'F','S','FUNDO CANOAS','RIO SUL','SC','124242241215571431449933575122610137012',NULL,'653',42.85,1,3,NULL),(28,7012721,'1989-12-26 00:00:00',4,1,11,2007,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216173411458713575125223212193',1460,'1098',66.03,1,3,NULL),(28,7012730,'1987-12-23 00:00:00',4,1,12,2005,'M','N','JD CRUZEIRO','FRANCO ROCHA','SP','125251251126151411236641312124610112052',15631,'9998',44.43,1,2,1),(28,7012748,'1991-09-02 00:00:00',2,1,12,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','224241241126141431333344245324610124043',17289,'293',40.81,4,2,1),(28,7012772,'1992-12-21 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215574211379613274112610162017',NULL,'1191',27.46,1,3,NULL),(28,7012780,'1993-09-03 00:00:00',2,1,11,2011,'M','N','CENTRO','PALMAS','TO','127272271216121431479613572122610117072',18765,'9998',36.23,1,3,NULL),(28,7012799,'1994-02-25 00:00:00',2,8,12,2011,'M','N','UBATUBA','S FRANCISCO SUL','SC','124241241316161431413321575124610168177',NULL,'867',0.00,4,3,NULL),(28,7012802,'1994-10-11 00:00:00',4,5,11,2011,'M','N','PIO CORREA','CRICIÚMA','SC','124242241216111431568931575122610114111',7672,'226',51.92,1,3,NULL),(28,7012829,'1994-08-01 00:00:00',4,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241146131732627311372114610124147',NULL,'274',0.00,1,2,1),(28,7012837,'1983-08-03 00:00:00',2,1,7,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','224201247225372441323332121122610133045',NULL,'9999',27.42,1,3,NULL),(28,7012845,'1994-07-04 00:00:00',4,2,11,2011,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241217111431568812375122610137052',3628,'909',59.49,1,3,NULL),(28,7012861,'1992-12-23 00:00:00',4,8,12,2010,'F','N','BOA VISTA','JOINVILLE','SC','124242241215573431468822575124133263072',6417,'457',52.00,1,3,NULL),(28,7012870,'1992-03-07 00:00:00',4,5,11,2009,'F','N','PRÓSPERA','CRICIÚMA','SC','124242241216572431338921575124610132082',6370,'211',52.95,1,3,NULL),(28,7012896,'1986-12-21 00:00:00',4,8,12,2004,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241216141431459414445124232834092',12145,'494',50.34,1,3,NULL),(28,7012900,'1994-03-01 00:00:00',4,8,12,2011,'M','N','BOM RETIRO','JOINVILLE','SC','124242246217141231469611175122610162181',7919,'1006',49.20,1,3,NULL),(28,7012918,'1993-06-28 00:00:00',4,1,12,2010,'M','N','VENDAVAL','BIGUAÇU','SC','124241241215572441456624141234131411171',4797,'63',57.48,1,3,NULL),(28,7012926,'1992-09-20 00:00:00',4,4,12,2009,'M','N','TONIAL','XANXERÊ','SC','124242241217372411358723285122610144042',11957,'1233',42.61,1,3,NULL),(28,7012934,'1993-08-25 00:00:00',4,8,12,2010,'F','N','ADHEMAR GARCIA','JOINVILLE','SC','124241241116271431647612275124610132117',14730,'478',46.11,1,2,1),(28,7012942,'1986-06-11 00:00:00',4,1,12,2003,'F','N','FLORIANÓPOLIS','FLORIANÓPOLIS','SC','224242241215374431327954475124233212117',NULL,'1022',0.00,1,3,NULL),(28,7012950,'1994-08-20 00:00:00',2,1,11,2011,'M','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251217111431248821575112610127043',4604,'9998',58.15,1,3,NULL),(28,7012969,'1994-05-06 00:00:00',2,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111731458913572122610134071',NULL,'270',25.82,1,3,NULL),(28,7012993,'1990-12-27 00:00:00',4,1,12,2008,'M','N','SANTA CATARINA','AMERICANA','SP','125252251217572431566632571124610147012',370,'9998',75.21,1,3,NULL),(28,7013000,'1994-07-29 00:00:00',2,15,12,2011,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124242241215121441439923332122610125072',10443,'26',47.67,1,3,NULL),(28,7013019,'1995-03-02 00:00:00',4,1,12,2011,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241215111431359934575122610124092',10532,'1119',44.39,1,3,NULL),(28,7013035,'1993-10-31 00:00:00',4,22,12,2011,'F','N','SOUZA CRUZ','BRUSQUE','SC','124241241136131732526614175224610168147',17011,'110',32.42,2,1,1),(28,7013043,'1994-11-29 00:00:00',4,1,12,2011,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241215112431437622575114610134142',11160,'1011',44.12,1,3,NULL),(28,7013051,'1991-10-06 00:00:00',4,1,12,2008,'F','N','CHICO DE PAULA','JARAGUÁ SUL','SC','124242241215573431578933475122121533141',502,'1063',72.68,1,3,NULL),(28,7013060,'1992-01-04 00:00:00',4,1,11,2009,'F','N','JARDIM RAPOSO TAVARE','S PAULO','SP','125252251217571331376814572112610166117',3775,'9998',58.68,1,3,NULL),(28,7013078,'1992-08-01 00:00:00',4,1,12,2010,'F','N','MOEMA','S PAULO','SP','125252251211471431578811572112610127097',7142,'9998',51.42,1,3,NULL),(28,7013086,'1988-08-03 00:00:00',2,1,12,2006,'M','N','SERRARIA','S JOSÉ','SC','124243247446141211236648385124610165097',16731,'300',42.13,4,1,2),(28,7013116,'1991-02-08 00:00:00',4,1,12,2008,'M','N','PORTAL DA VILA RICA','ITU','SP','125252251216574451459914591122610164077',1032,'9998',68.49,1,3,NULL),(28,7013132,'1992-12-08 00:00:00',2,9,6,2011,'F','N','BRUSQUE','LAGES','SC','124251241215371751425814415122610131141',16439,'1146',36.98,1,3,NULL),(28,7013140,'1994-12-01 00:00:00',4,7,12,2011,'M','N','ARCO ÍRIS','CAPINZAL','SC','124241241316141431433632395124610112187',18051,'156',38.74,1,3,NULL),(28,7013159,'1984-10-18 00:00:00',2,1,10,2002,'F','N','IMBAÚBAS','IPATINGA','MG','124132131217273431456619475122120966112',NULL,'9998',0.00,4,3,NULL),(28,7013167,'1995-01-05 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471751459913575112610128171',5852,'270',58.65,1,3,NULL),(28,7013205,'1991-11-26 00:00:00',2,1,12,2008,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241116131611346814575124610134187',14277,'288',46.99,1,3,NULL),(28,7013213,'1993-05-25 00:00:00',2,5,11,2011,'M','N','JARDIM SILVANA','IÇARA','SC','124242241237111431363612472212610168192',NULL,'1096',0.00,1,3,NULL),(28,7013221,'1991-12-26 00:00:00',2,1,12,2009,'M','N','VILA BUARQUE','S PAULO','SP','125252251216571711558823391124610134042',8850,'9998',48.42,4,3,NULL),(28,7013230,'1994-06-26 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241217111431459612575124610124087',19070,'1023',35.02,1,3,NULL),(28,7013256,'1993-06-11 00:00:00',4,1,12,2010,'F','N','IPIRANGA','RIBEIRÃO PRETO','SP','125253251216472731325629575224610133092',6470,'9998',50.79,1,3,NULL),(28,7013272,'1994-09-01 00:00:00',2,22,12,2011,'M','N','SÃO PEDRO','BRUSQUE','SC','124241246215151741346414275125610146171',2726,'1090',62.41,1,3,NULL),(28,7013280,'1994-02-01 00:00:00',4,8,12,2011,'F','N','CENTRO','S BENTO SUL','SC','124241241215161431449614495125610131147',8424,'1073',48.03,1,3,NULL),(28,7013299,'1992-07-09 00:00:00',4,4,12,2009,'F','N','SANTA MARIA','CHAPECÓ','SC','124241241236571431433734282224610127011',17864,'1126',29.52,1,3,NULL),(28,7013302,'1994-03-14 00:00:00',4,7,12,2011,'M','N','CIDADE JARDIM','CATANDUVAS','SC','124241241115271411434522475322610126052',5726,'161',51.33,1,2,1),(28,7013329,'1994-09-22 00:00:00',2,1,10,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215121431368923571122610131117',NULL,'269',24.07,1,3,NULL),(28,7013337,'1993-12-08 00:00:00',2,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124163161216372731326413385124610134197',NULL,'9998',31.56,1,3,NULL),(28,7013345,'1991-12-04 00:00:00',6,1,7,2011,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241247437131431523413375114610112197',NULL,'9999',10.09,2,1,2),(28,7013353,'1989-09-12 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117371411524623381124610127097',18323,'307',37.88,4,3,NULL),(28,7013361,'1979-03-31 00:00:00',2,1,12,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','224071071136141431254643235124240237047',13704,'9998',38.76,4,1,1),(28,7013370,'1994-04-06 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215111431631511595124610144072',13806,'270',37.81,1,3,NULL),(28,7013388,'1995-08-26 00:00:00',4,5,12,2012,'F','S','CENTRO','CRICIÚMA','SC','124242241215111431468813572122610164092',NULL,'226',52.09,1,3,NULL),(28,7013396,'1992-02-09 00:00:00',2,1,11,2009,'M','N','SÃO JOAQUIM','S JOAQUIM','SC','124242241211573431449612575114610117042',NULL,'1035',0.00,1,3,NULL),(28,7013400,'1994-03-22 00:00:00',4,1,12,2011,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125132251215121411658831572125610124122',6771,'9998',52.22,1,3,NULL),(28,7013418,'1992-03-01 00:00:00',2,15,12,2009,'M','N','SÃO JOSÉ','SOMBRIO','SC','124241241143161431223544345231130222187',NULL,'1033',0.00,1,3,NULL),(28,7013442,'1993-10-23 00:00:00',4,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124241241135371431346623446134610146057',14113,'592',40.13,2,1,1),(28,7013450,'1994-09-25 00:00:00',4,8,12,2011,'F','N','MORRO DO MEIO','JOINVILLE','SC','124243248215111431434311275124610132142',12768,'459',43.06,1,3,NULL),(28,7013469,'1992-05-14 00:00:00',4,1,12,2009,'M','N','VILA SUZANA','S PAULO','SP','125252251217571431469811575112610164047',541,'9998',71.09,1,3,NULL),(28,7013477,'1993-10-10 00:00:00',4,22,12,2010,'F','N','CENTRO','BRUSQUE','SC','124243241135472431247624375122610132092',9998,'111',47.93,1,3,NULL),(28,7013485,'1994-09-29 00:00:00',4,2,12,2011,'F','N','VILA NOVA','BLUMENAU','SC','124241241415111431336932275124610161077',15963,'88',35.08,1,3,NULL),(28,7013493,'1994-04-06 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215121731459819574122610124147',4255,'262',56.61,1,3,NULL),(28,7013515,'1994-08-03 00:00:00',2,4,12,2011,'F','N','CRISTO REI','CHAPECÓ','SC','124242241215111431544632575125610126092',9787,'1161',47.06,1,3,NULL),(28,7013523,'1994-04-01 00:00:00',2,1,12,2011,'F','N','NOVA SUIÇA','GOIÂNIA','GO','109092091216111441387633575125610162076',8378,'9998',48.90,4,3,NULL),(28,7013531,'1994-06-30 00:00:00',4,27,12,2011,'M','N','CENTRO','GUARACIABA','SC','124241241117151431333832375121610127052',12668,'334',40.35,1,2,1),(28,7013558,'1993-02-09 00:00:00',4,1,12,2011,'F','N','VILA ROSA','DOURADOS','MS','112121121126111431436331195123610154112',NULL,'9998',0.00,1,3,NULL),(28,7013566,'1994-06-02 00:00:00',4,7,12,2011,'F','N','CENTRO','PIRATUBA','SC','124201241117271331336914575122610127152',NULL,'369',30.49,1,2,1),(28,7013574,'1994-04-08 00:00:00',4,22,12,2011,'F','N','SANTA RITA','BRUSQUE','SC','124241241415112431347823575122610144147',8174,'107',48.70,1,3,NULL),(28,7013582,'1987-11-23 00:00:00',4,1,8,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124281281412372411266923315122333227012',13058,'9998',48.90,1,3,NULL),(28,7013590,'1987-04-07 00:00:00',4,1,12,2006,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241326132431333374345124131924141',18347,'9999',37.79,4,3,NULL),(28,7013604,'1993-03-11 00:00:00',2,1,12,2010,'M','N','PARQUE DEZ','MANAUS','AM','104052051217371411259714574112610126092',6222,'9998',52.13,1,3,NULL),(28,7013612,'1984-01-17 00:00:00',2,1,12,2001,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201201216131751436674445114141227047',13627,'9998',48.01,1,3,NULL),(28,7013620,'1994-02-28 00:00:00',4,1,12,2011,'F','N','CHICO DE PAULA','JARAGUÁ SUL','SC','124242241215112431578933475122610133147',2794,'270',62.04,1,3,NULL),(28,7013639,'1993-07-21 00:00:00',4,10,12,2010,'F','N','CRISTO REI','JAGUARUNA','SC','124241241136272431526613275124610134047',NULL,'421',23.55,1,3,NULL),(28,7013647,'1994-06-26 00:00:00',4,5,11,2011,'F','N','SÃO LUIZ','CRICIÚMA','SC','124241241217271131348853595122610167082',12343,'210',50.02,1,3,NULL),(28,7013655,'1993-07-17 00:00:00',4,8,12,2010,'M','N','ITAUM','JOINVILLE','SC','124241241216372431633664575124610125052',4439,'489',55.51,1,3,NULL),(28,7013663,'1993-09-28 00:00:00',4,1,12,2011,'F','N','SÃO GERALDO','PTO ALEGRE','RS','120204201117211731326629375124610138111',NULL,'9998',15.98,1,3,NULL),(28,7013671,'1994-04-04 00:00:00',4,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215121432467632375112610135141',11622,'270',51.14,1,3,NULL),(28,7013710,'1994-04-26 00:00:00',2,1,12,2011,'F','N','AMBRÓSIO','GAROPABA','SC','124241241127131731433311285124610134047',NULL,'322',21.48,1,2,1),(28,7013728,'1993-11-12 00:00:00',4,1,11,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216112431368814475114610122182',4878,'270',58.42,1,3,NULL),(28,7013736,'1994-04-26 00:00:00',4,1,12,2011,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124204241215371231348611372114610127047',5293,'1022',56.96,1,3,NULL),(28,7013744,'1993-02-01 00:00:00',2,7,12,2010,'F','N','CAPÃO DA IMBUIA','CURITIBA','PR','116162161415471431339611372124610127017',3368,'9998',59.56,4,3,NULL),(28,7013752,'1990-06-06 00:00:00',2,1,11,2007,'M','N','VILA SANTO ANTONIO','IMBITUBA','SC','224241241112371431214444242334610128057',NULL,'359',13.02,1,2,1),(28,7013779,'1993-12-06 00:00:00',2,8,12,2011,'F','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125282251217111431488814272112610144187',NULL,'9998',0.00,1,3,NULL),(28,7013787,'1994-08-09 00:00:00',4,22,12,2011,'F','N','CENTRO','BRUSQUE','SC','124242241215272411238924275122610156182',3660,'107',58.80,1,3,NULL),(28,7013795,'1994-01-09 00:00:00',4,22,12,2011,'M','N','DOM JOAQUIM','BRUSQUE','SC','124241241215372751468912575122610164052',4088,'107',57.93,1,3,NULL),(28,7013817,'1993-09-08 00:00:00',2,22,12,2011,'F','N','SOUZA CRUZ','BRUSQUE','SC','124242241215271431453732575122610122182',10613,'107',44.22,1,3,NULL),(28,7013825,'1978-11-05 00:00:00',4,1,12,1997,'M','N','DIONISIO TORRES','FORTALEZA','CE','106062061216271441569611415122311026147',NULL,'9998',0.00,1,3,NULL),(28,7013833,'1991-04-25 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','122222161216371431355722595122333242044',NULL,'9998',24.17,1,3,NULL),(28,7013841,'1993-06-11 00:00:00',4,6,12,2010,'F','N','BOQUEIRÃO','SANTOS','SP','125252251216471731576732572122610122182',4522,'9998',55.48,1,3,NULL),(28,7013850,'1993-06-06 00:00:00',4,15,10,2011,'M','N','MICHEL','CRICIÚMA','SC','124242241215111431558839575122610126042',13028,'226',48.94,1,3,NULL),(28,7013868,'1994-04-28 00:00:00',4,8,11,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241217271431266822575115610144122',NULL,'1063',0.00,1,3,NULL),(28,7013876,'1955-09-24 00:00:00',4,1,12,1974,'M','N','S PEDRO LUDOVICO','GOIÂNIA','GO','509091091126472411463343131122340832187',5357,'9998',55.52,1,2,1),(28,7013884,'1994-02-08 00:00:00',4,6,12,2011,'M','N','BOQUEIRAO','PASSO FUNDO','RS','120202201216471431588712574112610146122',2334,'9998',62.52,1,3,NULL),(28,7013892,'1994-03-17 00:00:00',2,1,12,2011,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241115131431422236582124610128152',NULL,'592',21.22,1,2,1),(28,7013930,'1993-09-25 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241115372411336623276114610122092',5163,'295',57.40,1,2,1),(28,7013949,'1992-02-19 00:00:00',2,1,12,2010,'M','N','BOM VIVER','BIGUAÇU','SC','124221221146471431423311575124610117017',NULL,'9998',26.80,4,2,1),(28,7013957,'1994-06-09 00:00:00',2,8,12,2010,'F','N','CENTRO','URUAÇU','GO','209091091116271431237954175124141426042',9473,'9998',45.16,1,2,1),(28,7013965,'1994-05-10 00:00:00',4,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215311432446633375112610128142',13114,'44',41.12,1,3,NULL),(28,7013981,'1994-01-06 00:00:00',4,1,12,2011,'F','N','SANTANA','PINDAMONHANGABA','SP','125252251216121411549719571125610135132',2265,'9998',63.58,1,3,NULL),(28,7013990,'1994-10-10 00:00:00',2,8,12,2011,'F','N','VILA ROSELY','PARIQUERA-AÇU','SP','125252251216131431438813585121610136082',9445,'9998',46.02,4,3,NULL),(28,7014007,'1992-02-11 00:00:00',2,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124243242116132431416728595124223258185',NULL,'129',31.15,1,3,NULL),(28,7014015,'1994-09-12 00:00:00',4,2,12,2011,'F','N','SALTO DO NORTE','BLUMENAU','SC','124241241146131431527524382124610124147',NULL,'79',15.68,1,2,1),(28,7014023,'1992-05-20 00:00:00',2,1,10,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124203247417371411326749395124610127053',11384,'9999',41.07,1,3,NULL),(28,7014040,'1990-08-24 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241247236372431369613385114333245145',10783,'9999',43.06,1,3,NULL),(28,7014066,'1993-01-17 00:00:00',4,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124242241217472441448923572122610147032',3742,'71',58.56,1,3,NULL),(28,7014074,'1994-09-27 00:00:00',2,6,12,2011,'F','N','SENHORA DAS GRAÇAS','NAVEGANTES','SC','124241241111472431426411571321610126097',12679,'569',43.02,1,2,1),(28,7014082,'1994-03-27 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431488932595122610127012',10214,'1161',44.58,4,3,NULL),(28,7014120,'1994-07-03 00:00:00',4,2,11,2011,'M','N','DOS ESTADOS','TIMBÓ','SC','124241241215111431423314575121610127052',2127,'1157',62.78,1,3,NULL),(28,7014139,'1990-10-15 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216152441588811575122232866181',NULL,'270',0.00,1,3,NULL),(28,7014147,'1995-03-08 00:00:00',2,16,12,2011,'F','N','CENTRO','CURITIBANOS','SC','124243241113271411338812575112610145077',NULL,'239',18.54,1,3,NULL),(28,7014155,'1991-09-17 00:00:00',4,1,12,2008,'F','N','SANTA CLARA','VIÇOSA','MG','113132131217271431658923575122240634047',860,'9998',68.58,1,3,NULL),(28,7014163,'1993-03-25 00:00:00',2,1,12,2011,'F','N','CENTRO','IMBITUBA','SC','124241241115371431449834575122610136097',NULL,'359',0.00,1,2,1),(28,7014171,'1994-05-25 00:00:00',2,1,12,2011,'F','N','BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC','124241241125141431423314395124610117052',NULL,'279',15.39,1,2,1),(28,7014180,'1994-04-12 00:00:00',4,1,12,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127141431226621335124610138065',NULL,'283',0.00,1,2,1),(28,7014198,'1992-09-26 00:00:00',2,27,12,2011,'F','N','AGOSTINI','S MIGUEL OESTE','SC','124242241127241531446769395122610132122',NULL,'757',0.00,1,3,NULL),(28,7014201,'1994-10-20 00:00:00',2,16,12,2011,'F','N','CENTRO','STA CECÍLIA','SC','124241241115471711436823575124610147057',17500,'686',31.93,1,2,1),(28,7014210,'1986-08-22 00:00:00',2,1,1,2008,'M','N','BARREIROS','S JOSÉ','SC','624241247126131421216644145123610147047',NULL,'9999',13.92,1,3,NULL),(28,7014228,'1989-11-20 00:00:00',4,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241121131431613319181344610163141',NULL,'1097',15.68,2,2,1),(28,7014236,'1994-06-22 00:00:00',2,1,12,2011,'F','N','CAPÃO','GAROPABA','SC','124241241126371431323311175124610126041',12753,'322',41.09,1,2,1),(28,7014252,'1994-02-08 00:00:00',2,1,12,2011,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242247215111411439713335124610137053',NULL,'9999',19.06,1,3,NULL),(28,7014260,'1992-02-12 00:00:00',4,1,12,2011,'M','N','VILA NOVA CONCEIÇAO','S PAULO','SP','125252251211271431288822475112610147042',14701,'9998',46.17,1,3,NULL),(28,7014279,'1991-06-28 00:00:00',4,8,12,2008,'M','N','CENTRO','MATELÂNDIA','PR','116163161216572751339912575314610168047',NULL,'9998',0.00,1,3,NULL),(28,7014295,'1993-10-20 00:00:00',4,1,12,2010,'M','N','RURAL','BATAGUASSU','MS','112121121136131431115649195324610162142',12481,'9998',40.52,1,2,1),(28,7014309,'1994-12-18 00:00:00',4,25,12,2011,'F','N','DOIS PINHEIROS','VIDEIRA','SC','124243242117131431458614575124610164042',7091,'196',50.96,1,3,NULL),(28,7014341,'1993-08-26 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124244241216472431326614595124610125142',16036,'262',33.77,1,3,NULL),(28,7014368,'1994-07-06 00:00:00',2,27,12,2011,'M','N','CENTRO','S MIGUEL OESTE','SC','124241241126141431333711575125610162142',18198,'757',38.31,1,2,1),(28,7014376,'1994-09-06 00:00:00',4,7,11,2011,'F','N','INTEIROR','IOMERÊ','SC','124241241215131431424923335124610146097',3071,'969',58.97,1,3,NULL),(28,7014406,'1992-03-08 00:00:00',4,8,11,2009,'M','N','GUANABARA','JOINVILLE','SC','124242241216573731449912575122610126015',2773,'456',59.97,1,3,NULL),(28,7014414,'1993-12-13 00:00:00',2,4,12,2010,'F','N','CENTRO','LONDRINA','PR','116244241216371431468614575122610144092',13753,'185',39.49,1,3,NULL),(28,7014430,'1994-07-12 00:00:00',4,8,12,2011,'F','N','ZONA I','UMUARAMA','PR','116162161215111431445616374122610164182',NULL,'9998',19.81,1,3,NULL),(28,7014449,'1993-09-26 00:00:00',4,1,12,2010,'M','N','CENTRO','DOURADOS','MS','112122121216472431366814575124610124122',681,'9998',70.06,4,3,NULL),(28,7014465,'1993-09-14 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241415473431436811575124610122017',10864,'168',41.90,1,3,NULL),(28,7014473,'1992-11-04 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431478833575112610124141',2108,'270',64.59,1,3,NULL),(28,7014481,'1991-02-23 00:00:00',2,16,11,2011,'M','N','CENTRO','CURITIBANOS','SC','124241247436141231336623395125610128055',16834,'237',32.98,1,3,NULL),(28,7014490,'1991-03-20 00:00:00',4,8,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','616164161417271431238311575122141064112',NULL,'9998',0.00,1,3,NULL),(28,7014511,'1994-01-13 00:00:00',2,2,12,2011,'F','N','BELCHIOR BAIXO','GASPAR','SC','124242241215371431336639385114610148051',5139,'855',55.98,1,3,NULL),(28,7014520,'1994-02-09 00:00:00',2,26,12,2010,'F','N','VILA NOVA','BLUMENAU','SC','124242241317472531686819174134610125092',7893,'88',48.87,3,3,NULL),(28,7014538,'1987-12-24 00:00:00',2,8,12,2004,'F','N','CENTRO','BARRA VELHA','SC','124241241116271411125341212334333233152',12856,'551',40.76,1,2,1),(28,7014554,'1993-03-23 00:00:00',4,1,11,2010,'M','N','CENTRO','VOTUPORANGA','SP','125252281414271411428839475121611347042',5194,'9998',54.00,4,3,NULL),(28,7014562,'1992-10-19 00:00:00',4,1,12,2009,'F','N','CIDADE PARQUELÂNDIA','MOGI CRUZES','SP','125252251216572431458834575122610165097',707,'9998',73.05,1,3,NULL),(28,7014570,'1992-09-11 00:00:00',4,1,12,2011,'M','N','RAIZ','MANAUS','AM','104044041216151431348823471222610165172',5120,'9998',54.52,4,3,NULL),(28,7014589,'1993-08-28 00:00:00',4,1,12,2010,'F','N','VILA GUARANI','S PAULO','SP','125252251217471731558611571112610144046',3101,'9998',60.34,4,3,NULL),(28,7014597,'1994-01-24 00:00:00',2,1,12,2011,'F','N','SÃO MIGUEL','BIGUAÇU','SC','124244241117371431366613575124610163142',4668,'271',59.64,1,3,NULL),(28,7014619,'1993-09-07 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124243241126371431436624342124610136041',13206,'736',43.77,1,3,NULL),(28,7014627,'1995-03-14 00:00:00',4,15,12,2011,'F','N','JANUÁRIA','SOMBRIO','SC','124241241117271431323424245112610136171',14499,'1033',35.45,1,2,1),(28,7014635,'1994-02-05 00:00:00',4,27,12,2010,'F','N','VILARINHO','AMAMBAÍ','MS','112124121215471731435811175322610125192',NULL,'9998',0.00,1,3,NULL),(28,7014643,'1993-09-16 00:00:00',2,1,12,2011,'M','N','PASSA VINTE','PALHOÇA','SC','119191191116131431311134585323610137043',NULL,'9998',22.99,1,3,NULL),(28,7014660,'1992-03-26 00:00:00',2,1,8,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241243117131411546913245124610115091',10574,'306',47.60,1,2,1),(28,7014686,'1994-07-31 00:00:00',2,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241117141431423324345234610137057',14392,'289',39.54,1,2,1),(28,7014694,'1994-11-16 00:00:00',4,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241216131711328613575124610147077',NULL,'1049',21.87,1,3,NULL),(28,7014708,'1992-10-03 00:00:00',4,1,11,2010,'M','N','CAMBUI','CAMPINAS','SP','125252253215471431268912475111610162112',3330,'9998',59.38,1,3,NULL),(28,7014724,'1996-01-06 00:00:00',4,24,12,2011,'F','N','WIETNÃ','VÍTOR MEIRELES','SC','124241241126161431359933575122610127177',13607,'834',37.83,1,2,1),(28,7014732,'1993-09-20 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215472431458814575115610168177',4566,'213',54.51,1,3,NULL),(28,7014759,'1990-04-09 00:00:00',2,8,12,2007,'F','N','GUANABARA','JOINVILLE','SC','124242241216132441336624345124230664147',12554,'486',49.71,1,3,NULL),(28,7014767,'1992-05-26 00:00:00',2,1,12,2009,'M','N','GUARÁ I','GUARÁ','DF','107072071217571431479913575112610167092',800,'9998',69.94,4,3,NULL),(28,7014775,'1992-02-20 00:00:00',4,1,12,2009,'F','N','CENTRO','LONDRINA','PR','116242241217573431259814572124610122145',2547,'515',62.16,1,3,NULL),(28,7014783,'1994-03-29 00:00:00',4,2,11,2011,'M','N','VELHA','BLUMENAU','SC','124243241217111431549614595112610167142',NULL,'87',28.72,1,3,NULL),(28,7014791,'1986-08-11 00:00:00',2,22,11,2004,'F','N','JARDIM SÃO PAULO','S JOÃO BATISTA','SC','124241241126271421633411245123130221147',7513,'712',48.59,1,2,1),(28,7014805,'1992-09-10 00:00:00',2,16,12,2009,'M','N','INTERIOR','ÁGUA DOCE','SC','124241241125162431524336593215223237147',15025,'9',35.86,1,2,1),(28,7014813,'1993-08-17 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','110102101217111411266823345122610128091',NULL,'9998',25.42,4,3,NULL),(28,7014821,'1994-07-18 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112731328679572114610166192',2235,'270',64.26,1,3,NULL),(28,7014830,'1987-05-22 00:00:00',2,1,6,2008,'F','N','BARREIROS','S JOSÉ','SC','124241247326131731553312342334610126147',NULL,'9999',20.45,3,3,NULL),(28,7014848,'1994-01-27 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241115151431246721495124610135177',7616,'739',48.55,1,3,NULL),(28,7014856,'1995-05-09 00:00:00',4,1,2,2012,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115111431338924575112610123092',6334,'270',50.64,1,3,NULL),(28,7014872,'1994-12-31 00:00:00',2,1,12,2011,'F','N','CENTRO','IOMERÊ','SC','124241241126141431436679245124610123142',17697,'368',30.03,1,2,1),(28,7014880,'1992-03-10 00:00:00',4,1,12,2011,'F','N','LOURDES','BELO HORIZONTE','MG','113242131217151431359933574122610122145',1706,'9998',65.00,1,3,NULL),(28,7014899,'1990-02-28 00:00:00',4,1,8,2011,'M','N','AREIAS','S JOSÉ','SC','124242247227371431555513345134610137147',16004,'270',35.68,1,3,NULL),(28,7014902,'1994-04-09 00:00:00',4,1,12,2011,'F','N','CENTRO','BOA E SUL','SP','125253251217111441426612574122610162032',12258,'9998',50.15,1,3,NULL),(28,7014910,'1993-11-22 00:00:00',4,1,12,2011,'F','N','PARQUE SANTO ANTONIO','GUARULHOS','SP','125251251216121711368534275112610122141',10316,'9998',44.72,1,3,NULL),(28,7014929,'1993-07-16 00:00:00',4,1,12,2010,'M','N','CENTRO','DOURADOS','MS','112122121216472741438613575112610167082',1448,'9998',68.89,1,3,NULL),(28,7014937,'1992-01-24 00:00:00',2,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115373431446414571114610163142',11955,'307',44.65,1,2,1),(28,7014961,'1993-03-02 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124042041216371431238823575124610128017',3118,'9998',61.13,4,3,NULL),(28,7014970,'1993-07-18 00:00:00',2,3,12,2011,'M','N','JARDIM CARVALHO','PNT GROSSA','PR','116162162117271231457614575122610127052',5816,'9998',52.28,1,3,NULL),(28,7014988,'1994-05-30 00:00:00',4,16,12,2011,'F','N','PORTÃO','CURITIBA','PR','116162161217471431369914372112610144071',NULL,'9998',0.00,1,3,NULL),(28,7014996,'1994-07-28 00:00:00',2,8,12,2011,'F','N','JARDIM IRIRIU','JOINVILLE','SC','124243241216371431356833575122610136072',9814,'462',47.33,1,3,NULL),(28,7015003,'1991-02-08 00:00:00',2,15,12,2009,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124201241117141431325634345121610128183',NULL,'1033',16.92,1,3,NULL),(28,7015011,'1993-09-08 00:00:00',4,1,11,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216111732466812575124610144066',3978,'883',58.36,1,3,NULL),(28,7015038,'1994-03-16 00:00:00',2,1,12,2011,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241127141751434614345124610162181',15744,'1155',34.23,1,2,1),(28,7015046,'1987-04-19 00:00:00',2,27,12,2004,'F','N','VISTA ALEGRE','SERRA ALTA','SC','124241241146131431114444242134130224147',11665,'765',44.50,1,2,1),(28,7015054,'1994-01-30 00:00:00',2,2,12,2010,'F','N','CENTRO','BLUMENAU','SC','124241241125371441534616595125610122187',11694,'1139',42.43,1,2,1),(28,7015070,'1994-08-22 00:00:00',4,15,11,2011,'F','N','CENTRO','TIMBÉ SUL','SC','124243241215132751523734285124610144077',11644,'813',45.07,1,3,NULL),(28,7015097,'1989-12-07 00:00:00',4,15,11,2006,'M','N','ERECHIM','BAL ARROIO SILVA','SC','124201245116131431326413245123130223073',NULL,'854',0.00,1,3,NULL),(28,7015100,'1994-03-07 00:00:00',4,22,12,2011,'F','N','VOLTA GRANDE','BRUSQUE','SC','124243211217151411538811575125610144042',2635,'9998',61.56,1,3,NULL),(28,7015119,'1994-06-26 00:00:00',2,23,11,2011,'F','N','RIO HERN','SCHROEDER','SC','124242241217141431566712245122610122012',NULL,'1061',31.50,1,3,NULL),(28,7015127,'1991-07-15 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431267923572122121424042',1560,'270',68.02,1,3,NULL),(28,7015143,'1993-10-29 00:00:00',4,1,12,2011,'M','N','JARDIM IPIRANGA','AMERICANA','SP','125252251217111431469812342124610137112',NULL,'9998',0.00,1,3,NULL),(28,7015160,'1994-08-06 00:00:00',4,8,12,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124242241216111411459914475122610163072',7443,'1161',49.18,1,3,NULL),(28,7015178,'1994-02-22 00:00:00',4,1,11,2011,'M','N','GRUTA DE LURDES','MACEIÓ','AL','102022021216271431468812572112610144192',NULL,'9998',0.00,1,3,NULL),(28,7015186,'1994-08-23 00:00:00',2,25,12,2011,'M','N','SÃO CRISTÓVÃO','VIDEIRA','SC','124243241127371431458813386122610164142',5808,'831',52.23,1,3,NULL),(28,7015194,'1994-11-08 00:00:00',2,5,12,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241217112431439933575112610164072',5127,'226',55.70,1,3,NULL),(28,7015208,'1992-09-26 00:00:00',4,1,12,2009,'F','N','PQ SANTANA','MOGI CRUZES','SP','125252251215572431458813572112610163097',2313,'9998',61.00,1,3,NULL),(28,7015216,'1980-06-23 00:00:00',4,1,6,2001,'M','N','INCONFIDENTES','CONTAGEM','MG','113134131416574741436639575123241432097',2676,'9998',60.02,1,3,NULL),(28,7015224,'1993-04-18 00:00:00',2,8,12,2010,'F','N','SANTO ANTONIO','JOINVILLE','SC','124254241416372751329814575122610165185',17085,'456',41.34,1,3,NULL),(28,7015232,'1993-04-07 00:00:00',4,1,11,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215472431338667575124610167141',4684,'262',63.03,1,3,NULL),(28,7015240,'1992-01-10 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241132142431323329445124610132142',NULL,'287',20.74,1,3,NULL),(28,7015267,'1994-05-20 00:00:00',2,10,11,2011,'F','N','CENTRO','RIO FORTUNA','SC','124244241216373431458832342124610161042',4614,'950',58.21,1,3,NULL),(28,7015283,'1988-11-16 00:00:00',2,1,7,2006,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241116133431447611431114610167187',2092,'306',69.51,4,2,1),(28,7015291,'1994-04-08 00:00:00',4,1,12,2011,'F','N','SUIÇA','RIBEIRÃO PIRES','SP','125284251217111431228829575124610144197',5782,'9998',51.28,3,3,NULL),(28,7015305,'1994-07-08 00:00:00',4,2,11,2011,'M','N','VELHA','BLUMENAU','SC','124241241435131431423334175124610124147',3807,'71',59.43,1,3,NULL),(28,7015313,'1993-02-02 00:00:00',4,2,12,2010,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241113472412248812575121610164187',2477,'88',63.06,1,3,NULL),(28,7015348,'1993-06-06 00:00:00',4,1,12,2011,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111411278923575122610126032',1997,'262',64.55,1,3,NULL),(28,7015356,'1991-10-16 00:00:00',4,1,12,2009,'M','N','CENTRO','S CARLOS','SP','125252251216472411538819495113610164182',11876,'9998',42.13,1,3,NULL),(28,7015364,'1992-06-24 00:00:00',4,3,11,2009,'F','N','CENTRO','ERECHIM','RS','120202201215571431446839575122610126042',NULL,'9998',0.00,1,3,NULL),(28,7015402,'1987-12-05 00:00:00',4,1,12,2005,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241211575411469633575114610146182',15,'269',84.10,3,3,NULL),(28,7015410,'1993-10-20 00:00:00',4,1,12,2010,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241215372431446914275112131421142',NULL,'948',36.59,4,3,NULL),(28,7015429,'1992-12-26 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241416112732631612595114610162141',12177,'270',40.95,1,3,NULL),(28,7015437,'1994-05-26 00:00:00',2,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124241241215122331426634575124610126047',10087,'1118',45.38,1,3,NULL),(28,7015445,'1993-04-30 00:00:00',2,5,12,2010,'F','N','RIO FIORITA','SIDERÓPOLIS','SC','124244241116472411526911575124610164072',18337,'768',37.83,1,3,NULL),(28,7015453,'1993-09-03 00:00:00',4,1,12,2010,'F','N','VILA OCEANIA','POÁ','SP','125252251216471431446833575115610163042',6290,'9998',52.45,1,3,NULL),(28,7015461,'1993-03-25 00:00:00',4,1,12,2010,'M','N','JD EUROPA','DOURADOS','MS','116122121217371431258931574112610132042',11380,'9998',44.04,1,3,NULL),(28,7015488,'1994-09-15 00:00:00',4,1,11,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111431456431575124610124092',1587,'270',67.44,1,3,NULL),(28,7015496,'1994-08-21 00:00:00',4,22,12,2011,'M','N','CENTRO','BRUSQUE','SC','124242241216121731568839595122610167097',19734,'1244',30.80,1,3,NULL),(28,7015500,'1993-07-08 00:00:00',4,6,12,2011,'F','N','VILA PIONEIRO','TOLEDO','PR','116241163117131431426764575124610136092',NULL,'9998',0.00,1,2,1),(28,7015518,'1987-02-03 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124246241416575451126943235124330256187',1482,'53',66.14,4,3,NULL),(28,7015526,'1994-05-16 00:00:00',2,1,12,2011,'F','N','FERRAZ','GAROPABA','SC','124244241217161431438312572122610154092',13717,'1253',40.53,1,3,NULL),(28,7015534,'1992-10-07 00:00:00',3,3,11,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241415372731356319576122610124197',3534,'1038',59.49,1,3,NULL),(28,7015542,'1993-05-02 00:00:00',3,1,12,2010,'M','N','VILA MARIANA','S PAULO','SP','125252251237471221238823575125610168097',2437,'9998',61.44,1,3,NULL),(28,7015550,'1994-12-30 00:00:00',2,15,12,2011,'F','N','BOM FIM','PTO ALEGRE','RS','120203201216111331439916595122610127147',NULL,'9998',0.00,1,3,NULL),(28,7015569,'1993-12-20 00:00:00',2,1,12,2011,'F','N','FORQUILHINHA','S JOSÉ','SC','124242241115151431446829372124610122033',NULL,'727',21.07,2,1,2),(28,7015585,'1986-02-08 00:00:00',4,1,12,2003,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241236131731688762445122130262145',17110,'486',41.24,1,3,NULL),(28,7015607,'1993-08-20 00:00:00',4,4,12,2010,'M','N','CENTRO','ÁGUAS FRIAS','SC','124241241337472631334634575122610132187',3016,'185',59.97,1,3,NULL),(28,7015615,'1992-04-08 00:00:00',2,1,12,2011,'M','N','CENTRO','GAROPABA','SC','124241241127131531335623395123610138182',NULL,'322',0.00,1,2,1),(28,7015623,'1994-05-14 00:00:00',4,1,12,2011,'M','N','SAN CONRADO','CAMPINAS','SP','125252251217151431488811572122610132152',3794,'9998',58.72,1,3,NULL),(28,7015631,'1990-12-16 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431148814575114610124047',455,'226',74.09,1,3,NULL),(28,7015640,'1994-06-28 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272431468812575112610132012',5680,'262',55.13,1,3,NULL),(28,7015658,'1993-05-03 00:00:00',2,9,12,2009,'M','N','CENTRO','CORREIA PINTO','SC','124242242116131431421314385114610134197',12148,'960',42.05,1,3,NULL),(28,7015666,'1994-05-06 00:00:00',4,1,11,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215112431434614585114610123077',6802,'1022',54.00,1,3,NULL),(28,7015674,'1994-02-14 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248217112431268924575112610113072',5398,'270',56.93,1,3,NULL),(28,7015682,'1994-04-04 00:00:00',4,7,12,2011,'M','N','CENTRO','CASCAVEL','PR','116242161217111431349914592122610167072',5265,'9998',53.47,1,3,NULL),(28,7015704,'1991-12-08 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241112152431323335435124220627053',NULL,'255',20.23,1,3,NULL),(28,7015720,'1989-08-21 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241117132431336823385124130226197',18340,'295',37.82,2,1,2),(28,7015739,'1992-10-29 00:00:00',4,8,12,2009,'F','N','JARDIM APUCARANA','APUCARANA','PR','116162161215573431466811574122610134127',7809,'9998',46.04,1,3,NULL),(28,7015747,'1993-05-06 00:00:00',2,1,12,2011,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124243241127141731458633342124610143192',NULL,'257',30.54,1,3,NULL),(28,7015755,'1994-10-14 00:00:00',4,8,12,2011,'F','N','SÃO BRAZ','CURITIBA','PR','116162161215111731358714471112610164092',NULL,'9998',0.00,1,3,NULL),(28,7015763,'1988-01-15 00:00:00',4,10,12,2005,'M','N','VILA NOVA','IMBITUBA','SC','124241241146133131538623445124130264011',NULL,'361',23.89,1,2,1),(28,7015780,'1992-04-30 00:00:00',4,1,12,2008,'F','N','ESTREITO','S JOSÉ','SC','124242241415272431368813395124231067142',7306,'738',58.30,1,3,NULL),(28,7015798,'1990-05-08 00:00:00',4,1,12,2008,'M','N','PASSA VINTE','PALHOÇA','SC','124242241116132431436314445124610124192',9805,'739',51.36,1,3,NULL),(28,7015801,'1991-06-03 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215373431378923475114121931183',8001,'1169',57.15,4,3,NULL),(28,7015810,'1993-12-05 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215472431546411242112610127077',12432,'1010',42.50,1,3,NULL),(28,7015828,'1994-03-25 00:00:00',4,1,11,2011,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091215111431469811571122610162182',570,'9998',71.16,1,3,NULL),(28,7015836,'1994-09-30 00:00:00',2,1,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241217111431536611175122610117042',18492,'44',37.30,1,3,NULL),(28,7015852,'1992-07-13 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241117131711625311345124232864147',NULL,'592',31.98,1,3,NULL),(28,7015860,'1991-07-08 00:00:00',4,1,1,2011,'F','N','ENGENHO NOVO','RIO JANEIRO','RJ','121211217216472431249813375114610166142',9459,'9998',44.94,4,3,NULL),(28,7015879,'1994-07-15 00:00:00',4,1,12,2011,'M','N','JARDIM PAULISTA','S PAULO','SP','125252251211151441469811571125610136043',6186,'9998',54.36,1,3,NULL),(28,7015887,'1995-03-21 00:00:00',4,1,11,2012,'F','S','AREIAS','S JOSÉ','SC','124244241215111721446513571122610168012',NULL,'976',45.07,1,3,NULL),(28,7015895,'1990-01-02 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241316373731643514285134610164097',10410,'300',47.18,1,3,NULL),(28,7015933,'1995-03-21 00:00:00',4,25,12,2011,'F','N','MARCILIANO FERNANDEZ','STA CECÍLIA','SC','124241241115131411413311175122610146147',NULL,'686',0.00,1,2,1),(28,7015941,'1983-02-21 00:00:00',4,8,12,2000,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241216134731443319475125613218187',NULL,'461',0.00,1,3,NULL),(28,7015950,'1993-10-30 00:00:00',2,1,12,2010,'F','N','PORTAL DO MORUMBI','PNT PORÃ','MS','112122121216272431348831575122610163091',2628,'9998',61.30,1,3,NULL),(28,7015968,'1993-08-16 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241246217372431647513475124610164172',14859,'1075',45.87,4,3,NULL),(28,7015976,'1985-04-28 00:00:00',2,1,12,2004,'M','N','BARREIROS','S JOSÉ','SC','124241241126133431325321385124220666047',NULL,'732',21.17,2,1,1),(28,7015992,'1992-08-21 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241248137373421326644245134610164182',11829,'257',42.79,1,3,NULL),(28,7016034,'1991-11-25 00:00:00',2,8,12,2008,'F','N','BRASIL','STA HELENA GOIÁS','GO','109091091116571751437719572124610162197',NULL,'9998',0.00,4,2,1),(28,7016042,'1994-06-29 00:00:00',2,1,11,2011,'M','N','IPIRANGA','S JOSÉ','SC','124242241215121431458612242114610167145',8815,'1118',46.19,1,3,NULL),(28,7016050,'1994-08-24 00:00:00',4,2,12,2011,'F','N','VELHA','BLUMENAU','SC','124242241217111431479914276122610137042',10869,'71',44.11,1,3,NULL),(28,7016077,'1992-09-17 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241126141431633431245132610126197',19461,'257',32.98,1,2,1),(28,7016085,'1994-04-28 00:00:00',4,5,12,2011,'F','N','BARRO VERMELHO','ORLEANS','SC','124242241215111431569714575122610137047',5881,'581',52.70,1,3,NULL),(28,7016093,'1994-09-22 00:00:00',4,4,12,2011,'F','N','CENTRO','NOVA ERECHIM','SC','124241242117471411436923575124610166057',9377,'196',46.38,1,2,1),(28,7016107,'1994-06-26 00:00:00',4,6,12,2011,'M','N','CENTRO','ITAJAÍ','SC','124241241117271731436629294115610122017',7864,'401',51.83,1,2,1),(28,7016115,'1994-07-16 00:00:00',4,1,12,2011,'F','N','ARIRIU','PALHOÇA','SC','124242241217111411356923575114610132092',7875,'1011',48.99,1,3,NULL),(28,7016123,'1982-07-12 00:00:00',2,1,12,2001,'M','N','ESTREITO','FLORIANÓPOLIS','SC','624241247327374451336344242114130227052',NULL,'270',21.95,1,3,NULL),(28,7016131,'1992-11-18 00:00:00',2,1,12,2010,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124171241116411731116644245334610124142',NULL,'293',15.27,2,1,1),(28,7016140,'1995-02-06 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431386823572112610146145',5990,'270',54.68,1,3,NULL),(28,7016158,'1990-07-26 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241315471451536314442134610167112',10246,'1022',46.65,1,3,NULL),(28,7016174,'1993-05-25 00:00:00',4,1,11,2011,'F','N','JARDIM ESTER','S PAULO','SP','125252251217471731568732575122610123182',NULL,'9998',18.98,1,3,NULL),(28,7016182,'1988-07-30 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216474431237839395122333228187',4357,'262',55.11,1,3,NULL),(28,7016190,'1987-05-23 00:00:00',2,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124251247646471721128344345223610166053',14334,'9999',39.67,1,3,NULL),(28,7016204,'1993-07-15 00:00:00',2,1,12,2010,'M','N','VILA IPIRANGA','PTO ALEGRE','RS','120202201217572531369933575122610127117',899,'9998',68.27,1,3,NULL),(28,7016212,'1994-02-11 00:00:00',2,22,12,2011,'M','N','CENTRO','BRUSQUE','SC','124242241215111411366833575122610127042',18865,'107',35.83,1,3,NULL),(28,7016220,'1990-05-21 00:00:00',2,1,10,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241316373411333144245334610124142',12487,'300',40.97,1,3,NULL),(28,7016239,'1993-02-19 00:00:00',4,1,11,2010,'M','N','RES VILA VERDE','CAMPINAS','SP','125252256116472711468812571114141462114',2967,'9998',58.48,1,3,NULL),(28,7016247,'1994-10-13 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241135141532228513495234610127052',NULL,'732',18.14,4,3,NULL),(28,7016263,'1994-08-22 00:00:00',4,1,12,2011,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215111431378812575122610161127',3976,'270',59.46,1,3,NULL),(28,7016271,'1993-05-05 00:00:00',4,1,12,2010,'F','N','SUMAREZINHO','RIBEIRÃO PRETO','SP','125072071215371431448832575122610162142',3288,'9998',59.91,1,3,NULL),(28,7016280,'1993-06-24 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215572431458834571122610164187',13759,'797',36.51,1,3,NULL),(28,7016298,'1991-03-17 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241312273431436613485114610124042',14905,'307',45.80,1,3,NULL),(28,7016310,'1994-10-21 00:00:00',4,1,11,2011,'M','N','JARDIM DAS NAÇÕES','TAUBATÉ','SP','125252251217121442368811575122610127097',782,'9998',72.07,1,3,NULL),(28,7016328,'1994-12-09 00:00:00',4,23,12,2011,'F','N','CENTRO','CORUPÁ','SC','124241241215111231448812575114610122142',NULL,'442',0.00,1,3,NULL),(28,7016336,'1993-01-19 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241116373431123641115124222326147',NULL,'630',29.48,1,2,1),(28,7016344,'1992-08-14 00:00:00',4,8,12,2010,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241215472431468912585122132962182',5166,'457',56.62,1,3,NULL),(28,7016360,'1993-03-01 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124241241126171731323379345124133217062',NULL,'736',19.12,4,2,1),(28,7016379,'1992-08-02 00:00:00',4,7,12,2009,'F','N','CIDADE JARDIM','CATANDUVAS','SC','124242241111271441236639575124142566192',2865,'454',63.23,1,3,NULL),(28,7016387,'1993-07-30 00:00:00',4,1,8,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431468811571122610131042',9162,'9997',50.38,1,3,NULL),(28,7016409,'1992-02-23 00:00:00',2,16,12,2009,'F','N','SÃO JOSÉ','CURITIBANOS','SC','124241241115372431336613475124223267145',NULL,'239',27.76,1,3,NULL),(28,7016425,'1993-10-23 00:00:00',2,1,11,2011,'F','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124242241215111431466632575122610136071',12945,'738',41.04,1,3,NULL),(28,7016441,'1993-10-28 00:00:00',4,1,12,2011,'M','N','VILA CLEMENTINO','S PAULO','SP','125252251216111231476813575124610127057',NULL,'9998',0.00,1,3,NULL),(28,7016450,'1993-01-06 00:00:00',4,1,12,2010,'F','N','RESIDENCIAL ANDRADE','PINDAMONHANGABA','SP','125253251215471431369832575112610167112',12523,'9998',39.97,1,3,NULL),(28,7016468,'1990-05-22 00:00:00',2,1,12,2008,'M','N','COSTA DA LAGOA','FLORIANÓPOLIS','SC','124241247213131431313563412224610127097',NULL,'9999',23.64,1,3,NULL),(28,7016476,'1994-09-19 00:00:00',4,1,11,2011,'M','N','TRISTEZA','PTO ALEGRE','RS','120202201217311431488833575122610127112',4662,'9998',55.50,1,3,NULL),(28,7016484,'1994-09-18 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111211366632575114610134182',4493,'1022',57.30,1,3,NULL),(28,7016492,'1990-07-29 00:00:00',4,8,12,2008,'M','N','UBATUBA','S FRANCISCO SUL','SC','124243241311141431217728285224133222187',NULL,'992',19.65,1,3,NULL),(28,7016506,'1991-10-18 00:00:00',4,5,12,2008,'F','N','CENTRO','MOREIRA SALES','PR','116161161215572411456631576125610122182',3127,'9998',58.69,1,3,NULL),(28,7016514,'1994-10-17 00:00:00',4,15,12,2011,'F','N','CENTRO','SOMBRIO','SC','124242241215151431468933575112610136072',3067,'770',60.36,1,3,NULL),(28,7016522,'1989-11-02 00:00:00',2,1,12,2006,'M','N','KOBRASOL','S JOSÉ','SC','124202201216165431346923275124231437182',9226,'9998',55.03,4,1,2),(28,7016530,'1991-12-29 00:00:00',2,1,12,2009,'F','N','FLORESTA','S JOSÉ','SC','124242241215574451468913575122610133147',3805,'1169',61.01,1,3,NULL),(28,7016549,'1994-08-25 00:00:00',2,4,12,2011,'M','N','JARDIM AMÉRICA','CHAPECÓ','SC','124241241137141411536839295123610115141',17814,'170',31.39,1,2,1),(28,7016557,'1990-02-05 00:00:00',4,4,12,2007,'M','N','CIDADE NOVA','RIO GRANDE','RS','120201201116572431333339595124143241147',183,'9998',75.41,1,2,1),(28,7016573,'1993-12-06 00:00:00',4,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431249913372124610126092',7693,'270',50.13,1,3,NULL),(28,7016590,'1993-09-01 00:00:00',3,7,12,2010,'F','N','CIDADE ALTA','VIDEIRA','SC','124241241116472431426613571112610143182',9556,'831',46.03,1,2,1),(28,7016603,'1993-01-19 00:00:00',2,8,11,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124244248415111211656832575122610147052',16202,'931',31.90,1,3,NULL),(28,7016611,'1995-09-15 00:00:00',2,1,12,2012,'F','S','CENTRO','ANGELINA','SC','124241241116161431444612575124610148147',NULL,'17',39.46,1,3,NULL),(28,7016620,'1993-06-09 00:00:00',2,15,11,2010,'M','N','CENTRO','ARARANGUÁ','SC','124242241215372431448732571124610134052',167,'970',78.05,1,3,NULL),(28,7016638,'1993-09-30 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241116111331429933595112140435097',NULL,'146',0.00,1,2,1),(28,7016646,'1993-12-08 00:00:00',4,1,11,2011,'F','N','MIRAGEM','LAURO FREITAS','BA','105052051217111431578812575122610163152',2700,'9998',61.23,1,3,NULL),(28,7016654,'1994-02-04 00:00:00',4,1,12,2011,'M','N','JD THOMAZ','S PAULO','SP','125251251126371431436631575122610127042',10630,'9998',44.99,1,2,1),(28,7016662,'1994-02-15 00:00:00',4,5,11,2011,'M','N','CENTRO','IÇARA','SC','124242241215111441456733575124610167182',4094,'226',60.31,1,3,NULL),(28,7016670,'1994-04-26 00:00:00',2,24,12,2011,'M','N','LIBERDADE','TROMBUDO CENTRAL','SC','124241241116241431426431272122610147047',16482,'796',42.69,1,3,NULL),(28,7016689,'1994-05-22 00:00:00',4,1,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111411358613575122610164062',NULL,'1022',33.04,1,3,NULL),(28,7016700,'1983-10-17 00:00:00',4,1,11,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124252251216472231258713345122123267117',NULL,'9998',0.00,1,3,NULL),(28,7016719,'1991-09-13 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431346632345132131026191',10112,'807',53.54,1,3,NULL),(28,7016727,'1995-03-03 00:00:00',2,1,12,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242241115152411466813592124610153142',7492,'271',51.87,1,3,NULL),(28,7016735,'1992-09-22 00:00:00',4,1,12,2010,'F','N','JD ESPLANADA','S JOSÉ CAMPOS','SP','125252251217472231267924342112610113182',7556,'9998',51.60,1,3,NULL),(28,7016743,'1995-08-25 00:00:00',4,8,12,2012,'F','S','COSTA E SILVA','JOINVILLE','SC','124243241217151431379939575122610168191',NULL,'861',49.24,1,3,NULL),(28,7016760,'1993-04-08 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212412421436811342122610124052',11993,'270',43.19,1,3,NULL),(28,7016786,'1994-08-21 00:00:00',2,1,12,2011,'M','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241217111431469613575124610137112',NULL,'270',42.15,1,3,NULL),(28,7016794,'1992-08-20 00:00:00',4,8,12,2009,'F','N','CENTRO','JOINVILLE','SC','124244161211574411358823574122610166122',2138,'457',63.07,1,3,NULL),(28,7016808,'1994-08-21 00:00:00',2,1,12,2011,'M','N','CENTRO','NOVA PORTEIRINHA','MG','113134131237111422446632575122610127013',20134,'9998',25.05,1,3,NULL),(28,7016816,'1995-01-17 00:00:00',4,1,11,2011,'M','N','CENTRO','CHAPADINHA','MA','125102251217111231389922475122610127122',9208,'9998',47.74,1,3,NULL),(28,7016824,'1993-12-26 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241217472411558912575124610126042',2116,'1119',64.86,1,3,NULL),(28,7016832,'1993-08-25 00:00:00',4,2,11,2010,'F','N','GARCIA','BLUMENAU','SC','124242241215472411459919575122610161142',2816,'855',61.35,1,3,NULL),(28,7016840,'1991-02-23 00:00:00',4,1,12,2008,'F','N','VILA JARDINI','SOROCABA','SP','125252251215572451348613576125610164187',807,'9998',69.04,1,3,NULL),(28,7016867,'1989-12-13 00:00:00',4,1,12,2006,'F','N','PERDIZES','S PAULO','SP','125252251217311431137824382114140211112',NULL,'9998',0.00,1,3,NULL),(28,7016875,'1994-08-22 00:00:00',2,6,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215272431489912475122610135043',10332,'9997',46.60,1,3,NULL),(28,7016883,'1994-04-27 00:00:00',4,6,12,2011,'F','N','CENTRO','ITAJAÍ','SC','116242161215122431566832275122610142052',5937,'394',55.58,1,3,NULL),(28,7016891,'1994-07-06 00:00:00',4,3,12,2011,'F','N','JARDIM AMERICA','PNT GROSSA','PR','116162161216371431479832575122610123012',NULL,'9998',0.00,3,3,NULL),(28,7016905,'1992-08-28 00:00:00',4,3,12,2009,'M','N','JARDIM ANDRADE','LONDRINA','PR','116161161116571751459819575112610144057',8444,'9998',46.95,1,2,1),(28,7016913,'1994-07-29 00:00:00',4,23,12,2011,'M','N','CENTRO','JARAGUÁ SUL','SC','124244241214111431337934375111610137047',11873,'441',44.20,1,3,NULL),(28,7016921,'1992-06-18 00:00:00',2,1,12,2010,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241247236272431435712485134610144045',NULL,'9999',21.62,1,3,NULL),(28,7016930,'1994-12-13 00:00:00',4,10,11,2011,'M','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124242241215112411333332571124610128177',5868,'809',55.65,1,3,NULL),(28,7016948,'1993-11-12 00:00:00',4,1,11,2011,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241217111331479933574124610167052',1438,'883',66.86,1,3,NULL),(28,7016956,'1984-09-02 00:00:00',6,1,12,2009,'F','N','COHAFUMA','S LUÍS','MA','110101108127271431116444445124140828151',NULL,'9998',16.40,4,3,NULL),(28,7016964,'1990-12-10 00:00:00',4,1,12,2008,'F','N','JARDIM AMERICA','SOROCABA','SP','125254251211511331468814571122610162073',442,'9998',72.50,1,3,NULL),(28,7016972,'1994-01-12 00:00:00',4,1,12,2011,'M','N','PRADO','BELO HORIZONTE','MG','113132131216121431468614575112610136127',35,'9998',80.77,1,3,NULL),(28,7016980,'1994-10-22 00:00:00',2,4,12,2011,'F','N','CENTRO','S JOSÉ CEDRO','SC','124241241116161431528632575122610137147',17927,'740',31.07,4,2,1),(28,7016999,'1993-01-22 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217472431658512275124610162092',1467,'107',64.53,1,3,NULL),(28,7017014,'1994-08-24 00:00:00',2,1,12,2011,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241244115431711314624572324610153147',18097,'293',38.61,4,2,1),(28,7017022,'1993-08-02 00:00:00',2,1,12,2010,'F','N','VILA AZENHA','NOVA ODESSA','SP','125252254116471451439831575124610144097',NULL,'9998',0.00,1,3,NULL),(28,7017030,'1990-08-07 00:00:00',4,1,12,2007,'F','N','FUNDOS','BIGUAÇU','SC','124241241116132431223124445124610133187',19475,'65',23.56,1,3,NULL),(28,7017049,'1993-11-01 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241136371431345314245122610124142',NULL,'592',23.89,4,3,NULL),(28,7017057,'1993-12-18 00:00:00',4,1,12,2010,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','121242241215273431446824575124121444147',962,'270',70.35,1,3,NULL),(28,7017073,'1993-05-02 00:00:00',4,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124242241215172431326624245124231916091',16435,'976',42.81,1,3,NULL),(28,7017081,'1993-02-16 00:00:00',4,1,12,2010,'F','N','VILA CLEMENTINO','S PAULO','SP','125252251216472411248923575122610127092',2950,'9998',60.72,1,3,NULL),(28,7017090,'1992-11-12 00:00:00',4,1,11,2010,'M','N','JARDIM BOM TEMPO','TABOÃO SERRA','SP','125252251216371411358811471122610117187',13434,'9998',39.00,1,3,NULL),(28,7017111,'1994-01-28 00:00:00',2,1,12,2011,'F','N','JARDIM ATLÂNTICO','S JOSÉ','SC','124241241135471451349613391124610167142',16949,'257',33.51,1,2,1),(28,7017120,'1984-06-16 00:00:00',2,17,12,2001,'F','N','CENTRO','MAFRA','SC','124244241217475431368719395124321524147',793,'270',69.47,4,3,NULL),(28,7017138,'1993-09-20 00:00:00',4,1,12,2010,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241215473221448712575124610167042',5319,'884',54.75,1,3,NULL),(28,7017146,'1992-07-25 00:00:00',2,1,12,2009,'F','N','DESVIO RIZZO','CAXIAS SUL','RS','120201201216572431446939575114610144092',7272,'9998',49.24,1,3,NULL),(28,7017154,'1994-03-31 00:00:00',4,8,12,2011,'M','N','ATIRADORES','JOINVILLE','SC','124242241215371431369912575112610124186',3637,'1063',57.94,1,3,NULL),(28,7017162,'1991-09-26 00:00:00',4,2,12,2010,'M','N','PASSO MANSO','BLUMENAU','SC','124241241137141541216541215134610152012',NULL,'84',17.10,1,3,NULL),(28,7017170,'1993-10-08 00:00:00',2,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215151431229923575124610134192',NULL,'861',30.99,1,3,NULL),(28,7017189,'1994-12-02 00:00:00',4,1,12,2011,'M','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124242241215151431443319575124610124181',13482,'1049',40.79,1,3,NULL),(28,7017197,'1992-10-10 00:00:00',4,1,12,2009,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125252251217572431269932575122610122182',3056,'9998',58.78,1,3,NULL),(28,7017200,'1988-06-20 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624072071216373442337623496114142844093',17261,'9998',40.87,4,1,2),(28,7017227,'1983-03-26 00:00:00',4,2,12,2000,'F','N','GARCIA','BLUMENAU','SC','124242241212571431347923375122331512012',6798,'855',59.19,1,3,NULL),(28,7017235,'1994-03-05 00:00:00',2,15,12,2010,'M','N','RIO MORTO','MELEIRO','SC','124241241116131431526636572222610128057',NULL,'559',24.57,4,2,1),(28,7017251,'1994-04-15 00:00:00',4,1,11,2011,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241235111431469814575114610142035',1891,'270',67.22,1,3,NULL),(28,7017260,'1993-10-15 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241241127151731236431245124230737062',19392,'736',33.38,1,2,1),(28,7017278,'1994-06-09 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241117131431424662245124610164017',NULL,'257',26.88,1,3,NULL),(28,7017286,'1994-01-17 00:00:00',4,27,12,2011,'F','N','ANDREATA','S MIGUEL OESTE','SC','124244241215131451654312575122610128172',8899,'1179',48.33,1,3,NULL),(28,7017308,'1993-05-04 00:00:00',4,1,12,2010,'F','N','NOVA JABOTICABAL','JABOTICABAL','SP','125252251215472441449813575124610167092',12928,'9998',39.37,1,3,NULL),(28,7017316,'1988-04-04 00:00:00',4,8,12,2005,'F','N','VILA SANTA ISABEL','MARINGÁ','PR','116162161216574431468833575122610168192',985,'9998',67.86,1,3,NULL),(28,7017332,'1993-03-10 00:00:00',4,1,12,2011,'M','N','JARDIM PANORAMA','RIBEIRÃO PIRES','SP','125252251237111431479929371122610167045',15405,'9998',36.50,1,3,NULL),(28,7017340,'1993-03-20 00:00:00',2,1,11,2010,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241216132431326414585112610127042',NULL,'1198',26.34,1,3,NULL),(28,7017359,'1994-10-24 00:00:00',4,5,11,2011,'F','N','PRÓSPERA','CRICIÚMA','SC','124242241215111431548812275112610134157',4896,'226',54.47,1,3,NULL),(28,7017367,'1994-07-27 00:00:00',2,1,12,2011,'F','N','VILA FELIZ','ALM TAMANDARÉ','PR','116161166116111751638611591224610147092',NULL,'9998',29.48,1,3,NULL),(28,7017383,'1993-05-08 00:00:00',4,4,12,2010,'F','N','CENTRO','STA MARIA','RS','120241201116572431344634574122610162147',5039,'9998',54.88,1,2,1),(28,7017391,'1994-03-05 00:00:00',2,1,12,2011,'F','N','SÃO BRAZ','CURITIBA','PR','116162161217121431148812372244610166097',NULL,'9998',0.00,1,3,NULL),(28,7017405,'1987-10-07 00:00:00',4,1,12,2005,'M','N','PARQUE VITÓRIA','S PAULO','SP','125254251217575451668831175125142414147',73,'9998',78.54,1,3,NULL),(28,7017421,'1990-03-03 00:00:00',4,8,12,2006,'F','N','COSTA E SILVA','JOINVILLE','SC','124241246215575451457614575122610124147',311,'494',73.87,1,3,NULL),(28,7017430,'1993-09-23 00:00:00',2,6,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124283241215131231226315576124610167072',14634,'44',36.82,1,3,NULL),(28,7017448,'1994-09-20 00:00:00',4,2,11,2011,'F','N','BADENFURT','BLUMENAU','SC','124242241215111441368952574122610148142',6077,'71',53.36,1,3,NULL),(28,7017472,'1987-11-06 00:00:00',4,1,12,2004,'M','N','JARDIM ELDORADO','PALHOÇA','SC','224161241136132721238643435124133238097',7016,'298',50.86,1,2,1),(28,7017480,'1992-11-14 00:00:00',4,1,12,2011,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124244241315371421326638575124610162042',6498,'270',51.77,1,3,NULL),(28,7017499,'1994-11-17 00:00:00',4,1,11,2011,'F','N','SANTO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC','124242241215111431558931575114610124182',2251,'270',67.13,1,3,NULL),(28,7017502,'1992-04-13 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124244241216373411536923445124610112142',18907,'259',35.65,1,3,NULL),(28,7017510,'1994-05-07 00:00:00',4,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431278712575112610124142',NULL,'457',0.00,1,3,NULL),(28,7017529,'1994-01-24 00:00:00',4,2,12,2010,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215472431436912575114610161142',4274,'1018',59.77,1,3,NULL),(28,7017545,'1995-11-14 00:00:00',2,15,12,2012,'M','S','CENTRO','TURVO','SC','124244241215111731538624395121610138177',NULL,'813',30.42,1,3,NULL),(28,7017570,'1991-09-10 00:00:00',4,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124242241117372431338811475112610127047',10119,'592',46.51,1,3,NULL),(28,7017588,'1993-11-23 00:00:00',4,1,12,2010,'F','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120202201216472431159833575124610164056',187,'9998',76.99,1,3,NULL),(28,7017618,'1991-03-03 00:00:00',2,4,12,2008,'F','N','INTERIOR','FAXINALZINHO','RS','120201201126161411413335583324132036187',NULL,'9998',0.00,1,2,1),(28,7017634,'1958-07-29 00:00:00',4,1,12,1977,'M','N','LOEFFELSCHEIDT','ÁGUAS MORNAS','SC','524243243426373421113541216222520233097',14545,'303',46.47,1,3,NULL),(28,7017642,'1994-01-11 00:00:00',2,8,12,2011,'F','N','VILA MARIA','BOTUCATU','SP','125251251116231441426624295122610127142',NULL,'9998',0.00,1,2,1),(28,7017650,'1992-04-25 00:00:00',4,1,6,2011,'F','N','SAO LOURENCO','CURITIBA','PR','116162166112372211226722272111121413013',7075,'9998',51.41,1,3,NULL),(28,7017669,'1994-01-31 00:00:00',2,1,12,2011,'M','N','CAIEIRA DA BARRA DO','FLORIANÓPOLIS','SC','124241241117131431434314395224610167047',12852,'278',49.22,1,3,NULL),(28,7017677,'1994-04-01 00:00:00',4,8,12,2011,'F','N','BOM RETIRO','JOINVILLE','SC','124243241215112431225822572124610164142',3720,'1016',59.94,1,3,NULL),(28,7017685,'1992-04-09 00:00:00',4,1,12,2009,'F','N','PRAIA DO CANTO','VITÓRIA','ES','108082083216571431188813574122610122047',7666,'9998',49.89,4,3,NULL),(28,7017693,'1988-10-13 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216152441467613185124331064185',17172,'1134',41.10,1,3,NULL),(28,7017707,'1994-05-19 00:00:00',4,5,11,2011,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215122431479711574112610167132',3499,'226',61.41,1,3,NULL),(28,7017715,'1993-07-19 00:00:00',2,4,12,2010,'F','N','SAO CRISTOVAO','MEDIANEIRA','PR','116161161126471731434337175114610116191',15569,'9998',34.03,1,2,1),(28,7017723,'1995-01-03 00:00:00',4,8,11,2011,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241215111421569811575122610162182',NULL,'457',0.00,1,3,NULL),(28,7017740,'1994-04-17 00:00:00',4,8,12,2011,'M','N','FLORESTA','JOINVILLE','SC','124242241216371631258714376121610167057',5088,'459',59.40,1,3,NULL),(28,7017758,'1988-01-25 00:00:00',2,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124214217312332441423824445121121133023',13424,'9998',48.35,2,1,2),(28,7017766,'1993-12-20 00:00:00',4,24,12,2011,'F','N','BREMER','RIO SUL','SC','124242241216111431358712242122610165095',NULL,'959',0.00,1,3,NULL),(28,7017782,'1995-02-03 00:00:00',4,4,12,2011,'F','N','PQ PRIMEIRO DE MAIO','PIRACICABA','SP','125251251117131431438612475122610161147',7575,'9998',50.25,1,2,1),(28,7017790,'1993-09-08 00:00:00',4,1,12,2011,'F','N','PARQUE DA IMPRENSA','MOGI MIRIM','SP','125252251217111711447714595122610117122',13179,'9998',40.02,1,3,NULL),(28,7017804,'1994-08-01 00:00:00',4,1,10,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217112411449817572112610131145',4844,'1133',56.25,1,3,NULL),(28,7017812,'1993-04-05 00:00:00',2,1,12,2010,'M','N','ZONA RURAL','JUSSARA','PR','116163161216272411436836565112610147042',9818,'9998',46.03,1,3,NULL),(28,7017847,'1993-11-22 00:00:00',4,1,12,2011,'F','N','AREAL','PELOTAS','RS','120204201417131431458613575124610124192',NULL,'9998',0.00,1,3,NULL),(28,7017855,'1991-05-04 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241112474512533514345122221267122',16814,'287',41.95,1,3,NULL),(28,7017863,'1994-04-14 00:00:00',4,22,12,2011,'F','N','CINTRA GORDINHO','ARAÇARIGUAMA','SP','125251251116471411426823475124610146191',3521,'9998',60.67,1,2,1),(28,7017880,'1994-02-18 00:00:00',5,1,12,2010,'M','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','124244241215472431446614575124610167042',10203,'270',51.87,1,3,NULL),(28,7017898,'1993-09-02 00:00:00',2,1,12,2010,'F','N','FARROUPILHA','PTO ALEGRE','RS','120204201217471431436732595112610167112',10748,'9998',48.03,1,3,NULL),(28,7017910,'1993-11-17 00:00:00',4,6,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241216111431343612575221610112042',NULL,'1038',0.00,1,3,NULL),(28,7017928,'1990-02-01 00:00:00',4,4,12,2007,'F','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124134131417371431448913485124140411147',NULL,'9998',0.00,1,3,NULL),(28,7017936,'1995-12-11 00:00:00',4,27,12,2012,'F','S','CENTRO','S MIGUEL OESTE','SC','124242241216111731466939272122610147012',NULL,'1179',22.57,1,3,NULL),(28,7017944,'1993-10-02 00:00:00',4,15,12,2011,'F','N','CENTRO','TIMBÉ SUL','SC','124241241115131751313315285124610148057',NULL,'785',11.24,1,2,1),(28,7017952,'1993-12-20 00:00:00',4,1,12,2011,'M','N','MIRANDÓPOLIS','S PAULO','SP','125252251215111441378833575124610137012',2963,'9998',58.66,1,3,NULL),(28,7017979,'1994-06-13 00:00:00',4,17,12,2011,'M','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241435111431445413575112610127072',6436,'973',52.79,1,3,NULL),(28,7017995,'1994-06-28 00:00:00',2,3,12,2011,'M','N','CASTELO BRANCO','ITAPEMA','SC','124244248112231431328723271124610126142',2711,'129',60.11,1,3,NULL),(28,7018002,'1993-06-30 00:00:00',2,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217473431459813575124610161187',735,'1050',72.87,4,3,NULL),(28,7018010,'1993-06-25 00:00:00',2,5,12,2011,'F','N','LIRI','IÇARA','SC','124241243117151311359932572122610124013',NULL,'228',0.00,1,3,NULL),(28,7018029,'1994-03-29 00:00:00',2,1,11,2011,'F','N','PINHEIRA','PALHOÇA','SC','124241241415111431224621295124610133157',NULL,'270',30.85,1,3,NULL),(28,7018037,'1993-06-28 00:00:00',4,1,12,2010,'F','N','BOSQUE','CURITIBANOS','SC','124242241216161441438923575122610158092',3648,'881',60.14,1,3,NULL),(28,7018045,'1995-06-12 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115471431223429575114610166092',12332,'298',43.71,1,2,1),(28,7018053,'1993-10-13 00:00:00',4,1,12,2011,'F','N','PARQUE TAMANDARÉ','CAMPOS GOYTACAZES','RJ','121244211217111411346914475122610144052',4576,'9998',58.32,4,3,NULL),(28,7018061,'1994-12-26 00:00:00',4,8,11,2011,'F','N','JARDIM MARINGÁ','SINOP','MT','111112118216111431426932575122610122182',14116,'9998',39.04,1,3,NULL),(28,7018088,'1995-01-13 00:00:00',2,15,12,2011,'F','N','VILA BEATRIZ','MARACAJÁ','SC','124241241115131431524319575124610125057',NULL,'30',32.17,1,2,1),(28,7018096,'1993-07-14 00:00:00',2,15,12,2010,'M','N','DIVINÉIA','ARARANGUÁ','SC','124241241137131431324629575115610164052',19379,'30',33.48,1,2,1),(28,7018100,'1991-08-13 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216372431646714572124610124031',NULL,'1118',26.35,1,3,NULL),(28,7018118,'1992-07-31 00:00:00',4,4,11,2010,'M','N','MIRANDOPOLIS','S PAULO','SP','125122127415471431448931575115141437077',1281,'9998',65.42,1,3,NULL),(28,7018126,'1993-02-02 00:00:00',2,1,12,2009,'F','N','PINHEIRA','PALHOÇA','SC','120203201116571731327933573124610164047',13141,'9998',39.63,1,3,NULL),(28,7018142,'1992-08-11 00:00:00',2,7,12,2009,'M','N','CENTRO','PTE SERRADA','SC','124241241131131421323629342111610167057',18108,'629',27.69,1,2,1),(28,7018150,'1992-03-13 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241241116141411337329295124130737017',NULL,'314',30.50,1,3,NULL),(28,7018169,'1993-10-02 00:00:00',4,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124132241217112431468812572112610117042',13115,'1133',41.02,1,3,NULL),(28,7018177,'1991-12-02 00:00:00',4,1,12,2009,'F','N','JARDIM DAS ROSAS','ESPÍRITO STO PINHAL','SP','125252251215572731648831475122610134057',3398,'9998',60.44,1,3,NULL),(28,7018185,'1992-04-05 00:00:00',4,1,12,2009,'M','N','VILA BELMIRO','SANTOS','SP','125252251217471431348823575124610162032',NULL,'9998',0.00,1,3,NULL),(28,7018193,'1993-06-24 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216473411226823385124230234092',16706,'300',42.19,4,3,NULL),(28,7018207,'1993-08-27 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216474431458832575124610113147',9828,'270',46.86,1,3,NULL),(28,7018215,'1994-11-25 00:00:00',4,2,12,2011,'M','N','VILA FORMOSA','BLUMENAU','SC','124242241215111431459911575122610134087',3075,'909',61.10,1,3,NULL),(28,7018223,'1993-04-24 00:00:00',2,1,12,2010,'F','N','CENTRO','MASSARANDUBA','SC','124241241135472431448913576114610127141',4425,'555',58.71,1,2,1),(28,7018231,'1993-06-24 00:00:00',4,1,12,2010,'M','N','CENTRO','TANABI','SP','125252251217372431358731575122610164042',10462,'9998',45.09,1,3,NULL),(28,7018240,'1992-08-31 00:00:00',2,8,12,2009,'F','N','VILA CLARO','STO ANTÔNIO PLATINA','PR','116161161216571431456762574122610125142',NULL,'9998',0.00,1,3,NULL),(28,7018258,'1994-01-24 00:00:00',4,5,12,2011,'M','N','LINHA FRASSON','MRO FUMAÇA','SC','124252246217111431469914575124610128017',NULL,'995',0.00,1,3,NULL),(28,7018266,'1995-03-12 00:00:00',2,4,12,2011,'M','N','PIONEIROS CATARINENS','CASCAVEL','PR','116161161135151431226312175124610117022',11586,'9998',45.25,1,2,1),(28,7018274,'1991-10-24 00:00:00',5,1,12,2009,'F','N','SANTA FELÍCIA','S CARLOS','SP','125252251217573411358911575122610162182',3951,'9998',58.97,1,3,NULL),(28,7018282,'1993-01-18 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124222221216472431367713585124610121192',3332,'9998',61.26,1,3,NULL),(28,7018290,'1995-02-11 00:00:00',2,15,11,2011,'F','N','VISTA ALEGRE','ERMO','SC','124241241315111431433616275124610135052',5670,'26',53.95,1,3,NULL),(28,7018304,'1995-03-14 00:00:00',4,10,12,2011,'F','N','OFICINAS','TUBARÃO','SC','124242241217111431359613572122610124172',6287,'809',53.40,2,1,2),(28,7018312,'1996-06-08 00:00:00',4,4,11,2012,'F','S','CENTRO','CHAPECÓ','SC','124242241215111411356732575122610164012',NULL,'1191',58.09,1,3,NULL),(28,7018339,'1993-10-07 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215121431436335252214610124093',13394,'1022',39.10,1,3,NULL),(28,7018347,'1981-11-22 00:00:00',4,1,12,2006,'F','N','VILA IDEPENDENCIA','LIMEIRA','SP','125251251126471731324429285114610124147',NULL,'9998',0.00,1,2,1),(28,7018355,'1994-07-11 00:00:00',2,9,11,2011,'F','N','BELA BISTA','S JOAQUIM','SC','124243241317161731328624572125610134147',19022,'719',35.26,1,3,NULL),(28,7018363,'1992-12-08 00:00:00',2,1,12,2010,'M','N','VILA REZENDE','PIRACICABA','SP','125253251117571441236823335124610126077',3013,'9998',60.27,1,3,NULL),(28,7018371,'1993-11-14 00:00:00',2,24,12,2010,'M','N','JARDIM AMÉRICA','RIO SUL','SC','124242241215472411259911575122610112182',3286,'959',66.11,1,3,NULL),(28,7018401,'1994-07-21 00:00:00',4,6,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111751366622595112610138182',6849,'1038',51.68,1,3,NULL),(28,7018410,'1994-02-23 00:00:00',2,23,12,2011,'F','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124242246217161541528614575124610137147',NULL,'1061',28.30,1,3,NULL),(28,7018428,'1993-05-31 00:00:00',4,10,11,2010,'F','N','PAES LEME','IMBITUBA','SC','124242241215472731256814572124610124147',3148,'807',60.21,1,3,NULL),(28,7018436,'1994-02-26 00:00:00',4,1,12,2011,'M','N','JA ALAMO','GUARULHOS','SP','125252251217471431548811275122610146117',5826,'9998',54.83,1,3,NULL),(28,7018444,'1994-10-05 00:00:00',4,9,12,2011,'F','N','FREI ROGÉRIO','LAGES','SC','124122241216371431489911574122610166142',2544,'497',63.42,1,3,NULL),(28,7018452,'1993-06-23 00:00:00',2,4,12,2011,'F','N','CENTRO','GALVÃO','SC','124241241115371431313631315124610136177',15160,'321',35.61,1,2,1),(28,7018460,'1995-06-08 00:00:00',4,24,12,2011,'M','N','JARDIM AMERICA','ITUPORANGA','SC','124243241215111431446632275122610134072',17114,'991',41.23,1,3,NULL),(28,7018479,'1993-03-27 00:00:00',4,5,11,2011,'M','N','PIO CORREA','CRICIÚMA','SC','124242241215121411585932575112610134092',NULL,'226',0.00,1,3,NULL),(28,7018487,'1993-02-08 00:00:00',4,2,12,2010,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124241241215472431469834574125610123142',7898,'71',57.29,1,3,NULL),(28,7018495,'1994-06-09 00:00:00',2,4,11,2011,'F','N','CINQUENTENARIO','CONCÓRDIA','SC','124242241211112212469933271125610168177',16423,'1191',33.06,1,3,NULL),(28,7018509,'1992-01-13 00:00:00',1,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216272431469813491122610161095',5472,'9997',55.13,1,3,NULL),(28,7018517,'1993-01-21 00:00:00',2,1,12,2011,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241115271431448722595114610164192',15914,'1248',43.86,1,3,NULL),(28,7018525,'1993-12-21 00:00:00',4,8,12,2011,'F','N','GLÓRIA','JOINVILLE','SC','124244241215371431479814575112610124142',NULL,'1063',22.91,1,3,NULL),(28,7018533,'1990-07-23 00:00:00',4,1,9,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241116153431535533485114610114045',13878,'307',39.20,1,3,NULL),(28,7018550,'1993-10-29 00:00:00',4,3,12,2010,'M','N','CENTRO','LONDRINA','PR','116162161216472431349932575122610162122',2636,'9998',59.00,3,3,NULL),(28,7018568,'1993-03-09 00:00:00',2,1,7,2010,'F','N','BIGORRILHO','CURITIBA','PR','116111161135571431113923285124610167037',NULL,'9998',0.00,1,2,1),(28,7018576,'1992-05-18 00:00:00',2,1,12,2009,'F','N','PROGRESSO','LAGUNA','SC','124243241116573431656933495124610137052',18226,'521',38.21,1,3,NULL),(28,7018584,'1992-04-01 00:00:00',4,1,12,2010,'F','N','CAMBUÍ','CAMPINAS','SP','125252251215371411349821575124610161117',3041,'9998',61.48,1,3,NULL),(28,7018592,'1994-08-22 00:00:00',2,1,12,2011,'F','N','CENTRO','GAROPABA','SC','124241241126271431326923275112610167057',8910,'322',49.79,1,2,1),(28,7018606,'1993-07-11 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241217472431547512575114610164142',15406,'737',36.26,1,3,NULL),(28,7018614,'1989-08-08 00:00:00',2,1,12,2006,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115373411446633445134610138055',8365,'307',56.50,1,2,1),(28,7018622,'1994-06-25 00:00:00',4,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112431458613392122610163142',2969,'270',63.37,1,3,NULL),(28,7018630,'1992-04-05 00:00:00',4,1,12,2009,'M','N','JARDIM TROPICAL','OURINHOS','SP','125252251215572441578639145122141438182',8746,'9998',49.07,4,3,NULL),(28,7018649,'1994-05-17 00:00:00',2,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241212473411447612572124610168195',5089,'737',57.26,1,3,NULL),(28,7018657,'1992-12-25 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431348719572122610134147',16594,'262',32.57,1,3,NULL),(28,7018665,'1994-05-08 00:00:00',4,4,12,2011,'M','N','CENTRO','ARVOREDO','SC','124241241126131232424633345121610146147',NULL,'36',9.80,1,3,NULL),(28,7018673,'1993-08-18 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241217472431458933575124610164082',1433,'836',68.59,1,3,NULL),(28,7018681,'1995-08-10 00:00:00',4,24,12,2012,'F','S','CENTRO','RIO SUL','SC','124242241215121431348623575122610144187',NULL,'653',49.82,1,3,NULL),(28,7018690,'1994-04-12 00:00:00',4,2,11,2011,'M','N','VALPARAISO','BLUMENAU','SC','124244241215161331438614275122610125097',6291,'71',51.94,1,3,NULL),(28,7018703,'1993-06-21 00:00:00',4,1,11,2010,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241212473431358619592124610137187',5485,'9997',56.45,1,3,NULL),(28,7018711,'1992-11-06 00:00:00',4,1,12,2009,'F','N','INTERCAP','TABOÃO SERRA','SP','125253251216572421547813435124610162017',9773,'9998',44.50,1,3,NULL),(28,7018720,'1992-08-07 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241248116371751424314575124610137057',NULL,'307',28.16,1,2,1),(28,7018738,'1993-05-05 00:00:00',4,1,12,2010,'F','N','GONZAGA','SANTOS','SP','125252251216371431468822295122610127077',3200,'9998',62.75,1,3,NULL),(28,7018746,'1994-11-03 00:00:00',2,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124242241215112431559712425122610147147',8496,'1191',48.34,1,3,NULL),(28,7018754,'1993-10-16 00:00:00',4,8,11,2011,'F','N','CENTRO','ANDRADINA','SP','125252251212111411239924342125610162092',NULL,'9998',0.00,1,3,NULL),(28,7018770,'1994-02-04 00:00:00',4,1,11,2010,'F','N','PALMITAL','CHAPECÓ','SC','124242241216272431436931375124131022142',4694,'185',58.42,1,3,NULL),(28,7018789,'1992-08-08 00:00:00',5,5,12,2009,'F','N','SANTO ANTONIO','CRICIÚMA','SC','124241241115131331223329385124131524147',19830,'209',30.03,2,1,1),(28,7018797,'1984-12-18 00:00:00',2,1,7,2003,'M','N','KOBRASOL','S JOSÉ','SC','124243247246444751368833435122220822192',14992,'1036',45.63,1,3,NULL),(28,7018800,'1992-12-30 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472431478811574112610117052',2781,'262',63.46,1,3,NULL),(28,7018819,'1993-05-17 00:00:00',4,3,11,2010,'F','N','BARRA SUL','BAL CAMBORIÚ','SC','124242241215472411483712575122610164122',NULL,'1038',0.00,1,3,NULL),(28,7018827,'1991-11-11 00:00:00',4,1,12,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215573431438531575114131136141',3112,'270',62.79,1,3,NULL),(28,7018835,'1992-12-10 00:00:00',2,1,6,2011,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124243247115312711626339175114610114111',14058,'9999',47.31,4,3,NULL),(28,7018843,'1994-03-12 00:00:00',4,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215111452434312572114610133142',NULL,'1022',28.78,1,3,NULL),(28,7018851,'1992-05-19 00:00:00',4,1,11,2009,'F','N','PARQUE BITARU','S VICENTE','SP','125252251217471431248823575124610163142',NULL,'9998',0.00,1,3,NULL),(28,7018860,'1994-09-19 00:00:00',4,4,12,2011,'M','N','CENTRO','CHAPECÓ','SC','124242241215111121467712575122610117122',18809,'1191',36.06,1,3,NULL),(28,7018878,'1993-11-14 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215421431559814475122610167042',3006,'270',61.33,1,3,NULL),(28,7018894,'1993-01-09 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215313431546611395125610142042',7112,'272',51.95,1,3,NULL),(28,7018908,'1993-03-13 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372431239731575121610121182',3370,'1038',62.23,1,3,NULL),(28,7018916,'1994-12-20 00:00:00',4,1,12,2012,'F','S','LAGOA DA CCONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111231266924575124610115072',NULL,'270',15.70,1,3,NULL),(28,7018924,'1991-05-30 00:00:00',4,1,7,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124244241221212211459612345112130814191',NULL,'9999',0.00,1,3,NULL),(28,7018932,'1993-04-12 00:00:00',4,1,12,2010,'F','N','JARDIM ESPLENDOR','INDAIATUBA','SP','125252251217471431567814172122610167127',24,'9998',84.90,1,3,NULL),(28,7018959,'1994-03-03 00:00:00',4,24,11,2011,'M','N','SANTANA','RIO SUL','SC','124242241215111231478612275122610117042',2739,'991',61.56,1,3,NULL),(28,7018967,'1991-09-07 00:00:00',2,8,12,2008,'M','N','CENTRO','CASTRO','PR','116161168116111531345639385122613237017',NULL,'9998',15.07,1,2,1),(28,7018991,'1993-02-01 00:00:00',4,1,12,2009,'F','N','JARDIM TENDÁ','PTO FELIZ','SP','125252251216571731325921575124610162092',10794,'9998',44.61,1,3,NULL),(28,7019017,'1993-07-04 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371441359712575124610164182',9202,'262',46.08,1,3,NULL),(28,7019025,'1991-02-02 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124241241116152431224413475124230234033',13651,'84',42.56,4,1,1),(28,7019041,'1989-12-13 00:00:00',4,8,11,2007,'F','N','CUMBICA','GUARULHOS','SP','125192251217572431358613572124610167097',1571,'9998',66.39,1,3,NULL),(28,7019076,'1994-05-30 00:00:00',2,6,11,2011,'F','N','JARDIM ICARAÍ','BARRA VELHA','SC','124241248126271751326663375125610144047',NULL,'57',27.02,1,2,1),(28,7019084,'1993-06-05 00:00:00',4,5,11,2010,'M','N','PIO CORREA','CRICIÚMA','SC','124242241216472431568819195124610147047',747,'226',70.54,1,3,NULL),(28,7019092,'1994-09-09 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431388811585114610164062',3551,'883',61.39,1,3,NULL),(28,7019106,'1988-05-09 00:00:00',4,1,12,2005,'F','N','BELA VISTA III','S JOSÉ','SC','124244241116375431327714472124223234142',2975,'739',61.64,1,3,NULL),(28,7019114,'1992-07-08 00:00:00',2,17,12,2009,'F','N','SOSSEGO','CANOINHAS','SC','124241241116273431335919585124610164197',NULL,'146',0.00,1,2,1),(28,7019122,'1995-07-25 00:00:00',4,8,11,2012,'F','S','ANITA GARIBALDI','JOINVILLE','SC','124242241216151731367412575122610132142',NULL,'461',50.56,4,3,NULL),(28,7019149,'1989-10-17 00:00:00',2,8,12,2008,'F','N','SÃO MARCOS','JOINVILLE','SC','124241241325573411323933272124610166127',10679,'486',45.92,2,1,2),(28,7019157,'1992-01-17 00:00:00',2,1,12,2009,'F','N','VILA MARIANA','S PAULO','SP','125252251217571751369814575122610137077',NULL,'9998',26.29,1,3,NULL),(28,7019165,'1995-07-25 00:00:00',4,2,11,2012,'F','S','TAPAJÓS','INDAIAL','SC','124243241215151311436923575122610124142',NULL,'986',30.18,1,3,NULL),(28,7019173,'1993-12-14 00:00:00',4,8,12,2011,'M','N','JARDIM SOCIAL','CURITIBA','PR','116162161212121731458932592112610137042',NULL,'9998',0.00,1,3,NULL),(28,7019181,'1993-01-02 00:00:00',2,1,12,2010,'F','N','CAMPO DE FORA','LAGUNA','SC','124242241215473731469833572112610162077',2054,'807',65.13,1,3,NULL),(28,7019190,'1993-05-26 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472431458924575124610123185',2373,'270',65.23,1,3,NULL),(28,7019203,'1995-03-14 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151231456634575112610167072',18416,'1022',37.58,1,3,NULL),(28,7019211,'1994-01-17 00:00:00',4,8,11,2011,'F','N','GLÓRIA','JOINVILLE','SC','124242241216471431449933575124610136147',4465,'1063',56.85,1,3,NULL),(28,7019220,'1993-12-30 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241212111431359613575124610121187',15517,'1022',44.67,1,3,NULL),(28,7019254,'1994-06-06 00:00:00',4,1,11,2011,'F','N','JARDIM OURO VERDE','OURINHOS','SP','125252251235121431449913475122610162197',1698,'9998',64.91,1,3,NULL),(28,7019262,'1993-11-17 00:00:00',4,1,12,2011,'F','N','VILA CLEMENTINO','S PAULO','SP','125252251216111431458712575125610163147',4828,'9998',55.59,3,3,NULL),(28,7019270,'1994-09-17 00:00:00',2,10,11,2011,'M','N','GUARDA','TUBARÃO','SC','124241241215111431536923575124610147042',14200,'809',39.58,1,3,NULL),(28,7019289,'1989-11-03 00:00:00',4,1,12,2008,'F','N','CERQUEIRA CÉSAR','S PAULO','SP','125252251217571431569813571115610132077',2406,'9998',67.24,1,3,NULL),(28,7019297,'1993-09-21 00:00:00',4,3,11,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241216132411416712572122610161192',3535,'403',59.10,1,3,NULL),(28,7019319,'1993-08-13 00:00:00',2,1,12,2011,'M','N','CENTRO','URUBICI','SC','124242241417161731466733245122610164052',17826,'818',39.41,1,3,NULL),(28,7019327,'1990-11-08 00:00:00',4,1,12,2008,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241216573431388814575112610127092',5304,'1169',57.93,1,3,NULL),(28,7019335,'1992-01-22 00:00:00',4,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124241241215573511448717575122610114071',586,'1016',72.22,1,3,NULL),(28,7019343,'1992-11-19 00:00:00',4,1,12,2010,'F','N','TIJUCO DAS TELHAS','CAMPINAS','SP','125252251217471411458831575122610162122',9437,'9998',44.22,1,3,NULL),(28,7019351,'1991-04-29 00:00:00',4,1,6,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124123121111573541268813474122121464175',227,'9998',75.89,1,3,NULL),(28,7019378,'1995-02-14 00:00:00',4,2,12,2011,'M','N','SALTO','BLUMENAU','SC','124242241215111731448913575124610137012',17437,'855',40.45,1,3,NULL),(28,7019386,'1993-12-02 00:00:00',2,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241111132411523629571124610118172',18774,'295',27.33,4,3,NULL),(28,7019394,'1995-04-17 00:00:00',4,4,12,2012,'F','S','COLATTO','XANXERÊ','SC','124242241216111431368831575122610146072',NULL,'836',44.04,1,3,NULL),(28,7019408,'1992-03-18 00:00:00',2,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124022021215471431488833575112131037042',5128,'9998',55.68,1,3,NULL),(28,7019416,'1995-03-20 00:00:00',4,1,12,2011,'F','N','DISTRITO INDUSTRIAL','CARAZINHO','RS','120202201217151431555832572122610126142',8648,'9998',49.39,1,3,NULL),(28,7019424,'1994-05-07 00:00:00',2,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124242241115111431234627275122610126042',8547,'185',50.42,1,3,NULL),(28,7019432,'1993-06-12 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242251215471421437823575124610127057',NULL,'9998',23.84,1,3,NULL),(28,7019440,'1994-02-04 00:00:00',4,6,12,2011,'F','N','FAZENDA','ITAJAÍ','SC','124242241215372731458614195125610121057',7332,'392',51.18,1,3,NULL),(28,7019475,'1993-03-23 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124241241115371431436912275124610128052',NULL,'552',0.00,1,2,1),(28,7019491,'1994-09-09 00:00:00',4,8,12,2011,'F','N','BOA VISTA','JOINVILLE','SC','124241241115371331524319175124610124011',12628,'477',39.59,3,2,1),(28,7019505,'1991-03-12 00:00:00',2,4,12,2008,'F','N','JARDIM PRIMVAVERA','PATO BRANCO','PR','116172161216472431535552385112610161017',NULL,'9998',32.02,1,3,NULL),(28,7019513,'1994-08-06 00:00:00',4,7,12,2011,'M','N','CENTRO','CAMPOS NOVOS','SC','124244241216372711488812575122610167092',6879,'138',51.63,1,3,NULL),(28,7019521,'1995-01-22 00:00:00',4,8,12,2011,'F','N','BOA VISTA','JOINVILLE','SC','124241241115271311546312271122610134141',6919,'477',53.38,1,2,1),(28,7019530,'1994-10-17 00:00:00',4,1,12,2011,'M','N','VILA JONES','AMERICANA','SP','125252251217111431359618575112610168062',11368,'9998',42.64,1,3,NULL),(28,7019548,'1993-07-13 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241216112431368632345122230266141',5701,'262',54.77,1,3,NULL),(28,7019556,'1995-02-14 00:00:00',2,9,12,2011,'F','N','FREI ROGERIO','LAGES','SC','124241241112131431433639381124610126071',15470,'512',37.76,1,2,1),(28,7019564,'1994-10-11 00:00:00',4,1,12,2011,'F','N','GUANABARA','LONDRINA','PR','116161161316111431446611575112610134142',6503,'9998',52.53,1,3,NULL),(28,7019572,'1995-04-18 00:00:00',4,26,11,2012,'M','S','CENTRO','CONCÓRDIA','SC','124241241215111731567512345125610112012',NULL,'1000',23.40,1,3,NULL),(28,7019599,'1995-03-04 00:00:00',4,1,12,2012,'F','S','BOSQUE DAS MANSÕES','S JOSÉ','SC','124242241216171431458814575122610135145',NULL,'270',54.27,1,3,NULL),(28,7019602,'1982-12-04 00:00:00',4,10,12,1999,'M','N','TERMAS DO GRAVATAL','GRAVATAL','SC','224242247237171441239941415122332832032',10039,'9997',53.64,1,3,NULL),(28,7019629,'1994-01-25 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202201217271431467619575122133234182',14503,'9998',35.95,1,3,NULL),(28,7019637,'1994-11-04 00:00:00',4,23,12,2011,'F','N','SÃO JOÃO','CORREIA PINTO','SC','124241241125131431413822311122610156057',18331,'201',30.88,1,2,1),(28,7019645,'1995-03-18 00:00:00',4,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215112431426811582124610118097',6187,'1022',53.87,1,3,NULL),(28,7019653,'1993-12-21 00:00:00',6,1,12,2011,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124244241116111411234954575124610112142',NULL,'295',23.72,1,3,NULL),(28,7019661,'1993-11-11 00:00:00',4,23,12,2011,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124242241111371411428923571121610126097',12309,'430',42.71,1,3,NULL),(28,7019688,'1993-07-21 00:00:00',2,6,12,2010,'F','N','SÃO JUDAS','ITAJAÍ','SC','124241241117372711328419345131610164142',19393,'395',33.38,1,2,1),(28,7019696,'1994-04-02 00:00:00',2,1,12,2011,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241415131331346524145124610128187',10762,'1011',44.21,1,3,NULL),(28,7019700,'1992-11-24 00:00:00',4,4,12,2009,'F','N','CENTRO','PALMITOS','SC','124244241216371431334929595125610162147',10633,'1193',43.73,1,3,NULL),(28,7019718,'1994-08-25 00:00:00',4,1,12,2011,'F','N','CENTRO','TIJUCAS','SC','124242241215161431346934475122610132141',9512,'1119',44.93,1,3,NULL),(28,7019726,'1994-03-30 00:00:00',4,1,12,2011,'F','N','CENTRO','MIRASSOL','SP','125252251216111431448823575122610136092',13477,'9998',39.51,1,3,NULL),(28,7019734,'1990-12-08 00:00:00',2,1,12,2008,'F','N','CHACARA FABIANA','BIGUAÇU','SC','124242241236373431338712235124132762017',8936,'738',48.28,1,3,NULL),(28,7019742,'1992-09-11 00:00:00',4,4,9,2009,'F','N','LINHA PROGRESSO','CUNHA PORÃ','SC','124241241116573431553335572124610162092',9250,'234',48.98,1,2,1),(28,7019750,'1991-03-16 00:00:00',2,25,12,2008,'F','N','NAÇÕES','FRAIBURGO','SC','124241241146373431346374395122610168177',NULL,'315',0.00,1,2,1),(28,7019769,'1993-07-27 00:00:00',2,24,11,2010,'F','N','CENTRO','RIO SUL','SC','124242241215471431525767571221610147057',13359,'959',48.47,1,3,NULL),(28,7019777,'1994-04-08 00:00:00',4,8,11,2011,'M','N','XAXIM','CURITIBA','PR','116162161217111431478832241122610127042',NULL,'9998',0.00,1,3,NULL),(28,7019785,'1992-12-22 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124252251217472431457729272124230467052',3193,'9998',60.71,1,3,NULL),(28,7019793,'1988-05-22 00:00:00',4,1,3,2006,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241117132421226621445124120764182',8812,'739',55.75,1,3,NULL),(28,7019807,'1994-07-24 00:00:00',4,8,12,2011,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124244241217111431568634572112610127142',648,'1063',71.03,1,3,NULL),(28,7019815,'1993-04-20 00:00:00',4,8,11,2011,'M','N','PROGRESSO','S BENTO SUL','SC','124242241215111721324632575112610147051',13395,'1178',38.34,3,3,NULL),(28,7019823,'1993-06-02 00:00:00',4,1,11,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241217122441376932575124610124142',10140,'270',48.89,1,3,NULL),(28,7019831,'1992-12-01 00:00:00',4,1,12,2009,'M','N','PERDIZES','S PAULO','SP','125122251217471411489914371114610137057',107,'9998',78.82,1,3,NULL),(28,7019840,'1993-06-08 00:00:00',4,8,12,2011,'M','N','BUAREIN','JOINVILLE','SC','124241241412172531548614345121610127045',NULL,'492',21.86,1,3,NULL),(28,7019858,'1993-08-03 00:00:00',2,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241215132431433613385124133237077',7117,'1022',51.54,1,3,NULL),(28,7019866,'1989-01-03 00:00:00',4,1,7,2006,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243241317144431238732475123123267067',NULL,'306',34.82,1,3,NULL),(28,7019912,'1993-11-10 00:00:00',4,1,12,2011,'F','N','JARDIM LUCIANA','S JOSÉ R PARDO','SP','125252251217111431546811122122610163072',1441,'9998',66.12,1,3,NULL),(28,7019920,'1994-02-04 00:00:00',4,6,11,2011,'F','N','JARDIM DOS EUCALIPTO','MUCURI','BA','105052051237471421558614475123610122092',14797,'9998',35.91,1,3,NULL),(28,7019947,'1993-07-01 00:00:00',4,10,11,2011,'F','N','MAR GROSSO','LAGUNA','SC','124281241215111431359631475122610118191',12017,'807',41.55,1,3,NULL),(28,7019955,'1994-10-28 00:00:00',4,8,12,2011,'F','N','FLORESTA','JOINVILLE','SC','124242241216311451538613435122610164077',5436,'1016',56.65,1,3,NULL),(28,7019963,'1993-10-11 00:00:00',4,8,11,2011,'F','N','FLORESTA','JOINVILLE','SC','124244241215121431536633575122610122187',4325,'1063',56.85,1,3,NULL),(28,7019971,'1987-03-06 00:00:00',2,1,12,2004,'F','N','CENTRO','S JOÃO BATISTA','SC','124243241216132421454713415122331443147',13803,'912',47.71,1,3,NULL),(28,7019980,'1993-02-12 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241211472431428711575124131966092',5689,'724',55.27,1,3,NULL),(28,7020015,'1992-02-26 00:00:00',4,1,12,2010,'F','N','JARDIM BELA VISTA','MARINGÁ','PR','116162161216411431588916575112610162182',19928,'9998',29.00,1,3,NULL),(28,7020023,'1994-08-06 00:00:00',4,1,11,2010,'F','N','PEDRINHAS','PTO VELHO','RO','122222251215572431589813571112610164192',1142,'9998',67.81,4,3,NULL),(28,7020031,'1991-08-16 00:00:00',4,1,12,2008,'F','N','PARAÍSO','S PAULO','SP','125252251215571411458811411124610121097',580,'9998',70.66,1,3,NULL),(28,7020040,'1993-07-20 00:00:00',4,1,11,2010,'M','N','SENHORA APARECIDA','S JOSÉ R PRETO','SP','125252251215472431438821575112610167057',6456,'9998',53.12,1,3,NULL),(28,7020058,'1993-02-24 00:00:00',4,24,12,2011,'M','N','CENTRO','ITUPORANGA','SC','124212241211111441466613575124610126081',7040,'9997',50.84,4,3,NULL),(28,7020074,'1993-12-15 00:00:00',2,1,12,2010,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241116372411325311575122610136042',18061,'591',38.70,4,2,1),(28,7020082,'1992-03-28 00:00:00',4,1,12,2009,'F','N','SANTOS DUMMONT','S JOSÉ','SC','124244241117473441535514445114610132021',8721,'257',49.51,1,3,NULL),(28,7020090,'1993-06-08 00:00:00',4,5,12,2010,'M','N','LOTE SEIS','CRICIÚMA','SC','124242246215472441469832375112610167052',804,'995',70.90,1,3,NULL),(28,7020112,'1991-07-09 00:00:00',4,1,7,2010,'M','N','SACO DO LIMÕES','FLORIANÓPOLIS','SC','124242246137572211556663575124610164095',2991,'306',62.76,1,3,NULL),(28,7020139,'1994-01-26 00:00:00',4,1,11,2011,'M','N','BOSQUE DAS MANSÕES','S JOSÉ','SC','124242241215112431556611575112610138091',1339,'270',66.66,1,3,NULL),(28,7020147,'1992-12-11 00:00:00',3,1,12,2010,'F','N','JARDIM SEVILHA','BRAGANÇA PAULISTA','SP','125281251317471731469914495113610124197',4404,'9998',57.82,1,3,NULL),(28,7020155,'1994-02-17 00:00:00',4,9,11,2011,'M','N','COHAB I','S JOAQUIM','SC','124242241215131431356933575122610127012',NULL,'721',0.00,1,3,NULL),(28,7020163,'1994-06-11 00:00:00',2,3,12,2011,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124241248115151431423431375124610162097',NULL,'129',19.33,1,2,1),(28,7020171,'1994-12-12 00:00:00',2,23,11,2011,'M','N','CENTRO','JARAGUÁ SUL','SC','124244241214152431459923575125610124122',3889,'424',60.75,1,3,NULL),(28,7020180,'1992-02-12 00:00:00',2,1,11,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241212573431326621572124223267047',NULL,'269',44.14,1,3,NULL),(28,7020198,'1994-03-11 00:00:00',4,8,11,2011,'F','N','GLÓRIA','JOINVILLE','SC','124242241215112431559811575122610163142',1220,'1063',69.84,1,3,NULL),(28,7020210,'1984-11-19 00:00:00',2,1,12,2001,'M','N','CENTRO','CAXIAS SUL','RS','120201201136372421125844145114610163042',15509,'9998',36.22,2,1,1),(28,7020228,'1993-02-11 00:00:00',4,6,12,2010,'F','N','CHACARA INGLESA','S PAULO','SP','125252251217471751458811572122610121117',1604,'9998',66.04,1,3,NULL),(28,7020236,'1993-11-04 00:00:00',4,1,12,2011,'M','N','SETE DE SETEMBRO','IVOTI','RS','120201201416151431315769475124610131014',NULL,'9998',39.10,1,3,NULL),(28,7020244,'1994-08-27 00:00:00',2,3,12,2011,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241116271431428611285224610126142',18868,'873',35.80,1,2,1),(28,7020252,'1995-01-23 00:00:00',2,1,12,2012,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241215111231443632575122610123182',NULL,'1198',25.54,1,3,NULL),(28,7020279,'1992-11-20 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215372431436619572124610167027',5873,'1022',53.65,1,3,NULL),(28,7020287,'1993-08-27 00:00:00',4,1,12,2010,'F','N','VILA AMÁLIA','S PAULO','SP','125252251217471431569823575114610137052',4558,'9998',56.85,1,3,NULL),(28,7020295,'1994-07-31 00:00:00',4,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215121431369413575115610164172',NULL,'1118',37.50,1,3,NULL),(28,7020309,'1994-07-06 00:00:00',4,1,12,2011,'F','N','CENTRO','GAROPABA','SC','124241241347131231338823435121610122072',NULL,'1253',24.93,1,3,NULL),(28,7020317,'1994-02-12 00:00:00',4,1,11,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241415121431336934296111610167175',13673,'270',38.29,1,3,NULL),(28,7020325,'1993-11-28 00:00:00',2,6,12,2011,'M','N','CENTRO','ITAJAÍ','SC','124242241215111431348933575125610167152',16828,'392',41.93,1,3,NULL),(28,7020333,'1991-01-12 00:00:00',4,1,12,2011,'M','N','SOL NASCENTE','S PAULO','SP','125251257126131751521129185124610166174',NULL,'9998',0.00,1,2,1),(28,7020341,'1993-01-17 00:00:00',4,1,12,2010,'M','N','JARDIM NOVA ITÁLIA','LIMEIRA','SP','125252251116272431338614485112610162042',16375,'9998',42.95,1,3,NULL),(28,7020350,'1994-06-26 00:00:00',4,1,12,2011,'F','N','AGUDOS','BRAGANÇA PAULISTA','SP','125252251215111431469931495122610165072',1074,'9998',68.34,1,3,NULL),(28,7020368,'1994-01-09 00:00:00',4,1,11,2010,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241145141331633311285124610136047',NULL,'257',14.11,1,2,1),(28,7020376,'1993-08-13 00:00:00',5,8,12,2011,'F','N','CENTRO','JOINVILLE','SC','124243241115131331468913575125610125042',NULL,'465',22.99,1,3,NULL),(28,7020384,'1993-07-17 00:00:00',2,1,12,2010,'F','N','VILA NOVA','NOVO HAMBURGO','RS','120201201117371431446712341224610127052',14352,'9998',37.16,1,2,1),(28,7020392,'1993-04-12 00:00:00',2,3,12,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241215472451326833575122610144117',2254,'781',62.68,1,3,NULL),(28,7020406,'1993-11-12 00:00:00',4,27,12,2011,'F','N','IPIRANGA','S JOSÉ CEDRO','SC','124241241137131431236623272122610136097',19599,'740',32.01,1,2,1),(28,7020414,'1993-07-09 00:00:00',4,1,12,2011,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111431439912395124610127055',5514,'883',56.73,1,3,NULL),(28,7020422,'1992-05-09 00:00:00',4,1,12,2009,'M','N','CENTRO','BRASNORTE','MT','111114111117561421358832575124610118027',NULL,'9998',20.03,1,3,NULL),(28,7020430,'1992-09-17 00:00:00',2,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124201201216573431433823475122610137057',13303,'9998',40.25,1,3,NULL),(28,7020449,'1983-06-10 00:00:00',2,1,12,2000,'F','N','CAMPINAS','S JOSÉ','SC','224211214416143411263353435122123268183',9755,'9998',44.29,1,3,NULL),(28,7020457,'1994-06-02 00:00:00',4,8,12,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241217111431368713572122610124052',8580,'1063',49.02,1,3,NULL),(28,7020465,'1995-09-06 00:00:00',2,1,12,2012,'F','S','ALTO ARIRIU','PALHOÇA','SC','124244241215111731466413112122610112092',NULL,'270',48.84,1,3,NULL),(28,7020481,'1990-09-22 00:00:00',4,10,12,2007,'F','N','PASSAGEM','TUBARÃO','SC','124243241117141711326724392114130634192',NULL,'801',29.79,1,3,NULL),(28,7020490,'1993-10-28 00:00:00',2,22,12,2011,'F','N','SOUZA CRUZ','BRUSQUE','SC','124242241215112431438611575122610132192',7347,'109',52.29,1,3,NULL),(28,7020503,'1987-04-17 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124131131146153411621427375124122966192',NULL,'9998',0.00,4,2,1),(28,7020511,'1993-05-28 00:00:00',2,9,12,2011,'F','N','SANTA CANDIDA','LAGES','SC','124243241415111531466634575122610123187',15779,'499',35.88,1,3,NULL),(28,7020538,'1992-05-16 00:00:00',4,1,11,2009,'F','N','PEDRINHAS','PTO VELHO','RO','122222251217572431589813575112610162193',NULL,'9998',0.00,4,3,NULL),(28,7020546,'1994-08-09 00:00:00',4,1,11,2011,'M','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251217321431468612595122610124052',NULL,'9998',0.00,1,3,NULL),(28,7020554,'1992-10-18 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241117473431228822345124610167082',14336,'307',46.89,1,2,1),(28,7020562,'1993-09-26 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216272431353611575122610162182',12285,'273',39.77,1,3,NULL),(28,7020589,'1992-01-02 00:00:00',2,1,7,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243247225371531586612115124610167045',NULL,'977',18.92,1,3,NULL),(28,7020597,'1994-04-10 00:00:00',4,10,12,2011,'M','N','SANTO ANDRÉ','CAPIVARI BAIXO','SC','124241241115472431446613575122610132077',12708,'798',42.10,1,3,NULL),(28,7020600,'1994-04-08 00:00:00',4,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124242241215272431468923575112610134072',3392,'1191',59.28,3,3,NULL),(28,7020627,'1994-07-22 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215122431336614574124610166142',930,'1022',69.67,1,3,NULL),(28,7020635,'1995-02-16 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241115161431244629585114610144092',8231,'306',50.27,1,3,NULL),(28,7020643,'1991-04-09 00:00:00',2,1,12,2008,'M','N','JARDIM JANAINA','BIGUAÇU','SC','224241248117132431225544345124610158017',NULL,'65',22.86,4,3,NULL),(28,7020651,'1993-09-16 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431368913575122610124142',10253,'262',45.10,1,3,NULL),(28,7020660,'1994-01-01 00:00:00',2,6,11,2011,'F','N','ARIRIBA','BAL CAMBORIÚ','SC','124242241215212411449611275122610126182',NULL,'1038',20.62,3,3,NULL),(28,7020678,'1993-05-08 00:00:00',2,8,12,2011,'M','N','PIRABEIRABA','JOINVILLE','SC','124241241127111412645834345121610164051',NULL,'474',19.40,4,2,1),(28,7020686,'1994-11-23 00:00:00',2,4,12,2011,'M','N','CENTRO','VARGEÃO','SC','124241241116371431426614275122610136182',16379,'824',42.94,1,2,1),(28,7020694,'1983-07-18 00:00:00',2,1,10,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247127371741123629485124130625187',13974,'9999',47.46,4,2,1),(28,7020716,'1993-06-12 00:00:00',2,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124244241216472531446731575114610127147',3917,'71',56.72,1,3,NULL),(28,7020724,'1993-11-13 00:00:00',2,8,11,2010,'M','N','ITAUM','JOINVILLE','SC','124242241215471331559733575122610118191',NULL,'1016',25.80,1,3,NULL),(28,7020732,'1993-11-22 00:00:00',2,10,11,2011,'F','N','VILA NOVA','BRAÇO NORTE','SC','124243241215111751344411372124610124142',19337,'807',33.68,1,3,NULL),(28,7020759,'1992-02-12 00:00:00',2,1,11,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241212573431326621572114610163047',9738,'269',47.90,1,3,NULL),(28,7020767,'1994-11-14 00:00:00',4,1,12,2011,'F','N','SÃO MIGUEL','BIGUAÇU','SC','124241241215132431424314572124610118072',11429,'63',49.18,1,3,NULL),(28,7020775,'1994-02-19 00:00:00',4,4,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162161215471431236824375125610124047',6383,'9998',52.27,1,3,NULL),(28,7020783,'1994-03-16 00:00:00',4,1,10,2011,'M','N','CENTRO','STA CRUZ SUL','RS','120201208417471411438923392124610114097',6006,'9998',54.25,4,1,2),(28,7020791,'1993-09-27 00:00:00',4,1,11,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215272411449933585124610126012',3609,'1169',60.60,1,3,NULL),(28,7020805,'1985-11-27 00:00:00',6,1,12,2008,'M','N','APEADOURO','S LUÍS','MA','110101106217231621416621416234610136141',NULL,'9998',19.12,1,3,NULL),(28,7020813,'1991-04-15 00:00:00',4,1,11,2008,'F','N','BOSQUE','PRES PRUDENTE','SP','125251241315471411349924275112610123117',5620,'478',53.36,1,3,NULL),(28,7020821,'1994-09-05 00:00:00',4,1,11,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124242241411131741439923571144610132077',4291,'270',58.08,4,3,NULL),(28,7020848,'1993-04-17 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241214112411479913341122222046045',3401,'883',58.37,4,3,NULL),(28,7020856,'1995-05-13 00:00:00',4,1,11,2012,'F','S','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241216111431339812471124610122092',NULL,'270',50.14,1,3,NULL),(28,7020864,'1984-05-24 00:00:00',4,1,12,2001,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','624201201112171521237851475124141367147',NULL,'9998',0.00,1,2,1),(28,7020872,'1994-05-31 00:00:00',4,8,11,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241215121231359933575112610163157',2091,'1063',63.01,1,3,NULL),(28,7020880,'1994-03-30 00:00:00',2,1,12,2011,'M','N','SANTA ISABEL','PNT PORÃ','MS','112122121217151431336616572112610132072',9817,'9998',46.04,1,3,NULL),(28,7020899,'1995-03-11 00:00:00',2,1,12,2013,'F','S','PRAIA COMPRIDA','S JOSÉ','SC','124242241215111732333614445122610132142',NULL,'1077',45.06,1,3,NULL),(28,7020902,'1993-05-06 00:00:00',2,1,12,2010,'M','N','JD MARCOS ANTONIO','BIGUAÇU','SC','124241241117371431326669245124610127037',11187,'257',46.58,4,2,1),(28,7020910,'1994-07-10 00:00:00',4,23,12,2011,'F','N','VIEIRA','JARAGUÁ SUL','SC','124241241215111431353632575112610123142',16015,'441',32.24,4,3,NULL),(28,7020929,'1994-06-05 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241217122431248829375122610167061',1677,'737',66.10,1,3,NULL),(28,7020937,'1995-01-16 00:00:00',2,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124243241215111431356313275122610134075',NULL,'1118',29.74,1,3,NULL),(28,7020945,'1993-07-20 00:00:00',4,1,11,2010,'F','N','CENTRO','PALHOÇA','SC','124242241215372431469913475124123266097',2993,'270',63.16,1,3,NULL),(28,7020953,'1995-03-22 00:00:00',2,5,10,2011,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124243241215271431477932375122610127012',216,'213',75.49,1,3,NULL),(28,7020970,'1992-04-24 00:00:00',4,1,11,2010,'F','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125252251217471431368831575112610134042',9169,'9998',46.92,1,3,NULL),(28,7020996,'1994-09-08 00:00:00',4,8,11,2011,'F','N','ALDEOTA','FORTALEZA','CE','106241061127111431537613476324610145077',NULL,'9998',0.00,4,3,NULL),(28,7021003,'1993-06-09 00:00:00',4,8,12,2011,'M','N','AMERICA','JOINVILLE','SC','124242241217111411388952575112610167112',15602,'1063',44.52,1,3,NULL),(28,7021011,'1993-03-01 00:00:00',4,1,12,2010,'F','N','SANTA REGINA','ARAUCÁRIA','PR','116162161417371751257819575122141014042',NULL,'9998',0.00,4,3,NULL),(28,7021020,'1988-08-27 00:00:00',4,1,12,2005,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241216475431138613385122220544195',10475,'389',44.47,1,3,NULL),(28,7021038,'1993-01-29 00:00:00',4,1,12,2009,'M','N','BOM FIM','PTO ALEGRE','RS','120242251215271431479931575112133267047',15363,'424',44.92,1,3,NULL),(28,7021054,'1991-05-28 00:00:00',4,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241217151431568839475122232868082',NULL,'807',19.46,1,3,NULL),(28,7021062,'1995-11-24 00:00:00',4,1,12,2011,'M','N','FLOR DE NAPOLES','S JOSÉ','SC','124242241217151731523414442124610114177',18766,'1074',36.23,1,3,NULL),(28,7021070,'1993-02-16 00:00:00',4,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124242241216372751468823575114121218111',14534,'989',46.52,1,3,NULL),(28,7021089,'1990-08-27 00:00:00',2,5,12,2007,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120201201116573431334315275124610137147',664,'9998',72.29,1,2,1),(28,7021097,'1994-06-14 00:00:00',4,1,11,2011,'M','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251217111441468833571122610114042',4708,'9998',56.37,1,3,NULL),(28,7021100,'1994-11-07 00:00:00',2,2,12,2011,'F','N','CENTRO','RIO NEGRO','PR','116242241215111431458861575122610124092',NULL,'541',0.00,1,3,NULL),(28,7021119,'1984-10-06 00:00:00',2,1,12,2004,'M','N','INGLESES','FLORIANÓPOLIS','SC','224051051146131431633344245124140625197',NULL,'9998',22.71,4,3,NULL),(28,7021127,'1991-09-12 00:00:00',4,3,12,2008,'F','N','VILA FLAMBOYANT','APUCARANA','PR','116162161215575431659511572122610124142',2524,'9998',61.67,3,3,NULL),(28,7021135,'1995-03-07 00:00:00',4,1,11,2011,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215121431376614375122610128092',14232,'737',38.61,1,3,NULL),(28,7021143,'1994-07-27 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241116152441538813385124610137041',4983,'267',58.20,1,3,NULL),(28,7021151,'1988-02-29 00:00:00',4,2,12,2005,'F','N','MARGEM ESQUERDA','GASPAR','SC','124241241115421441226311474122130262142',16572,'9997',42.49,1,2,1),(28,7021160,'1994-03-20 00:00:00',4,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215121431368612572122610124192',5378,'270',58.14,1,3,NULL),(28,7021178,'1993-11-22 00:00:00',4,1,12,2011,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124242241215471431478812575112610134147',14106,'270',47.26,1,3,NULL),(28,7021194,'1994-02-09 00:00:00',2,8,12,2011,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241215111431468912575122610162182',17925,'457',39.15,4,3,NULL),(28,7021208,'1993-12-06 00:00:00',4,1,11,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215372731558912395124610134092',8551,'270',56.17,1,3,NULL),(28,7021216,'1991-09-01 00:00:00',2,1,11,2008,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124244246417373431118848285124232925147',16114,'476',43.48,1,3,NULL),(28,7021224,'1993-07-11 00:00:00',4,8,12,2010,'F','N','GLORIA','JOINVILLE','SC','124082081216472731488934475122610122145',7722,'9998',49.19,1,3,NULL),(28,7021232,'1993-04-29 00:00:00',4,3,11,2010,'F','N','CENTRO','ITAPEMA','SC','124242241215472431438623575124610164012',5814,'403',53.82,1,3,NULL),(28,7021240,'1993-06-06 00:00:00',2,1,11,2010,'M','N','SUDOESTE','GOIÂNIA','GO','109092091217472441469811475122610144047',533,'9998',74.22,1,3,NULL),(28,7021259,'1994-03-15 00:00:00',4,1,12,2011,'F','N','CENTRO','GOIÂNIA','GO','109092091217111431468814574122610141142',3559,'9998',58.22,1,3,NULL),(28,7021267,'1991-06-22 00:00:00',2,10,12,2008,'M','N','CENTRO','TUBARÃO','SC','124241241416212411344631575122131518187',9946,'32',45.46,1,3,NULL),(28,7021275,'1993-07-16 00:00:00',4,1,12,2010,'M','N','SETOR BELA VISTA','GOIÂNIA','GO','109092091215472431578932572125610122182',4738,'9998',62.92,1,3,NULL),(28,7021283,'1986-08-07 00:00:00',2,1,12,2004,'M','N','FLORESTA','PTO ALEGRE','RS','120202201216271441438823575124240364182',NULL,'9998',0.00,1,3,NULL),(28,7021305,'1994-11-15 00:00:00',2,1,11,2011,'F','N','AREIAS','S JOSÉ','SC','124242241215111731424611575114610127072',NULL,'1118',28.93,1,3,NULL),(28,7021330,'1991-12-19 00:00:00',4,1,12,2008,'M','N','VILA LEONOR','S PAULO','SP','125252251217572431468611471122610167117',2456,'9998',62.54,1,3,NULL),(28,7021364,'1994-08-22 00:00:00',4,9,11,2011,'F','N','POÇO RICO','OTACÍLIO COSTA','SC','124241241415112431468914575122610134092',12991,'1207',40.51,1,3,NULL),(28,7021372,'1978-11-05 00:00:00',2,1,9,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','624241247126133731233344342123610167042',15769,'306',44.16,1,2,1),(28,7021380,'1994-04-14 00:00:00',4,7,11,2011,'M','N','PARQUE JARDIM OURO','OURO','SC','124242241215151431535612575124610126052',7018,'446',53.36,1,3,NULL),(28,7021399,'1994-06-24 00:00:00',2,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215152431377924572112610133047',8049,'1022',51.62,4,1,2),(28,7021402,'1993-06-07 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215121232237624575122610124167',6977,'226',51.86,1,3,NULL),(28,7021410,'1994-02-24 00:00:00',4,9,12,2011,'F','N','BRUSQUE','LAGES','SC','124242241215111531445312425125610168092',10337,'515',44.91,1,3,NULL),(28,7021429,'1991-05-07 00:00:00',2,1,12,2008,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241211373431428714572114610143147',9239,'269',46.45,1,3,NULL),(28,7021437,'1994-12-28 00:00:00',4,1,12,2012,'M','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111731578814475122610134095',NULL,'262',46.53,4,3,NULL),(28,7021445,'1994-12-08 00:00:00',4,1,12,2011,'M','N','JARDIM BELA VISTA','AMPARO','SP','125252251215471431588912471122610134044',3544,'9998',59.44,1,3,NULL),(28,7021453,'1994-03-29 00:00:00',4,16,12,2011,'F','N','CENTRO','CURITIBANOS','SC','124242241215172531438923575122610126097',1791,'881',66.75,1,3,NULL),(28,7021461,'1994-08-22 00:00:00',4,8,11,2011,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241215121431459834442112610124047',9174,'1063',46.80,1,3,NULL),(28,7021496,'1994-10-07 00:00:00',2,15,12,2011,'F','N','SAPIRANGA','MELEIRO','SC','124241241116131431424416575124610126197',15686,'559',35.94,1,2,1),(28,7021500,'1992-07-25 00:00:00',4,1,12,2009,'M','N','JARDIM APIPEMA','SALVADOR','BA','105052051216471731466813475114141467042',NULL,'9998',0.00,4,3,NULL),(28,7021518,'1994-11-01 00:00:00',2,16,12,2011,'F','N','SESI','VIDEIRA','SC','124241241116131431338714345125610134032',NULL,'831',25.70,1,2,1),(28,7021550,'1993-07-30 00:00:00',2,6,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124202201215471431338676571125610122152',11724,'9998',50.97,1,3,NULL),(28,7021569,'1993-05-19 00:00:00',2,1,12,2010,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241115472431533313572124610134182',12426,'288',41.08,1,2,1),(28,7021577,'1993-01-27 00:00:00',4,1,12,2009,'F','N','VILA FRUGOLI','S PAULO','SP','125252251216571411368934575125610167046',451,'9998',72.07,1,3,NULL),(28,7021585,'1993-05-25 00:00:00',4,1,12,2010,'F','N','MORUMBI','S PAULO','SP','125252251211412431369912572122610122142',8358,'9998',47.82,1,3,NULL),(28,7021593,'1994-10-16 01:00:00',4,8,12,2011,'M','N','PIRABEIRABA','JOINVILLE','SC','124241241315111231536311575124610167051',7495,'1016',50.77,1,3,NULL),(28,7021607,'1994-11-03 00:00:00',2,10,11,2011,'F','N','PORTINHO','LAGUNA','SC','124242241215161431428632445122610164197',16891,'525',41.78,1,3,NULL),(28,7021615,'1993-10-20 00:00:00',4,1,11,2011,'F','N','JARDINS','ARACAJU','SE','126262261217571431579831595122610126197',219,'9998',78.13,1,3,NULL),(28,7021631,'1994-07-26 00:00:00',4,23,11,2011,'F','N','PORTÃO','CURITIBA','PR','116164161236121731458811575122610162047',2852,'9998',60.79,1,3,NULL),(28,7021640,'1995-03-02 00:00:00',4,2,12,2011,'M','N','FORTALEZA','BLUMENAU','SC','124244243115152431669913395122610164056',3096,'129',59.12,1,3,NULL),(28,7021658,'1994-06-17 00:00:00',2,8,12,2011,'M','N','CENTRO','MAFRA','SC','124162161415171511445632575112610168195',NULL,'9998',0.00,1,3,NULL),(28,7021666,'1993-12-15 00:00:00',2,1,12,2011,'F','N','COOPERLOTES','PAULÍNIA','SP','125251256117111211446614575122610127082',12234,'9998',42.90,3,2,1),(28,7021674,'1991-11-04 00:00:00',4,1,12,2008,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124242241215573431226923485124132066192',6842,'970',59.11,1,3,NULL),(28,7021682,'1989-09-12 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216575431579811472122233234042',NULL,'269',0.00,1,3,NULL),(28,7021690,'1992-06-13 00:00:00',4,8,12,2009,'F','N','HAUER','CURITIBA','PR','116162161216571751468913572124610133187',NULL,'9998',0.00,1,3,NULL),(28,7021704,'1994-05-07 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242246215151431348619475124610164112',5679,'1075',55.26,1,3,NULL),(28,7021712,'1993-12-03 00:00:00',2,1,12,2011,'F','N','EUCLIDES MIRANDA','SUMARÉ','SP','125252251217132731553374574124610164072',NULL,'9998',0.00,2,1,2),(28,7021720,'1990-01-24 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216575431489913495122131067012',3632,'270',65.30,1,3,NULL),(28,7021739,'1993-07-18 00:00:00',2,1,12,2010,'F','N','SETOR BUENO','GOIÂNIA','GO','109144161216371431457812575124610167092',4310,'9998',57.59,1,3,NULL),(28,7021747,'1994-06-25 00:00:00',4,5,11,2011,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241117171431339814595112610146057',13194,'226',42.32,1,3,NULL),(28,7021755,'1994-07-20 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431368812575122610126142',323,'270',75.18,1,3,NULL),(28,7021763,'1989-01-12 00:00:00',4,1,12,2008,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120241241211414211245623572114130267197',218,'270',78.23,1,3,NULL),(28,7021771,'1994-03-11 00:00:00',4,1,12,2011,'F','N','JARDIM JANAÍNA','BIGUAÇU','SC','124241241115161431646413575124610161052',14372,'307',37.04,1,2,1),(28,7021780,'1991-12-20 00:00:00',4,1,12,2009,'M','N','BOSQUE DA SAUDE','CUIABÁ','MT','111112251217573411468813575122221467043',4007,'9998',56.51,1,3,NULL),(28,7021798,'1991-12-10 00:00:00',4,1,12,2009,'M','N','BIAXADA','S JOAQUIM BARRA','SP','125252251216211731437732575122610147122',NULL,'9998',31.76,1,3,NULL),(28,7021801,'1993-08-29 00:00:00',4,1,12,2010,'M','N','JARDIM SÃO CAETANO','S CAETANO SUL','SP','125252251217471431348934571125610166122',679,'9998',71.50,4,3,NULL),(28,7021810,'1994-03-16 00:00:00',2,1,12,2011,'F','N','NOVO HORIZONTE','JANDIRA','SP','125254251217471711346614272125610135016',NULL,'9998',0.00,4,3,NULL),(28,7021828,'1994-12-16 00:00:00',4,24,12,2011,'M','N','LARANJEIRAS','RIO SUL','SC','124241241137141431436424245122610144052',NULL,'657',22.26,1,2,1),(28,7021844,'1994-03-18 00:00:00',2,24,11,2011,'F','N','TABOÃO','RIO SUL','SC','124242241215112451446513574122610124182',1153,'991',67.23,1,3,NULL),(28,7021852,'1992-05-24 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215473751547934572114610167017',13613,'1022',48.03,1,3,NULL),(28,7021879,'1994-02-25 00:00:00',4,1,11,2011,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215122431359933575122610122192',4938,'270',57.22,1,3,NULL),(28,7021887,'1994-03-18 00:00:00',2,25,12,2011,'F','N','ALTO BONITO','CAÇADOR','SC','124242241215131431426811371124610122092',11561,'120',43.77,1,3,NULL),(28,7021895,'1994-04-12 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431379412575112610136141',3790,'270',60.46,1,3,NULL),(28,7021909,'1993-02-17 00:00:00',2,15,11,2010,'F','N','CENTRO','TURVO','SC','124244246415372431547631575122610137072',12372,'814',49.98,1,3,NULL),(28,7021917,'1995-02-06 00:00:00',4,5,10,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215112431468811575122610144187',4205,'226',56.20,1,3,NULL),(28,7021925,'1994-02-01 00:00:00',4,1,11,2011,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215112731356633272114610126172',3062,'270',61.51,1,3,NULL),(28,7021950,'1993-05-19 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217323431448914311132610114072',4150,'270',59.75,1,3,NULL),(28,7021968,'1992-11-11 00:00:00',4,1,12,2011,'F','N','VILA SANTANA II','CAMPINAS','SP','125252254117471431435611145122610164147',1272,'9998',66.71,1,3,NULL),(28,7021984,'1994-08-01 00:00:00',4,4,12,2011,'M','N','CENTRO','S JOSÉ CEDRO','SC','124241241116151431449913275125610137082',6729,'740',50.43,1,2,1),(28,7021992,'1994-05-08 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472431547833535115610118187',11566,'26',43.54,1,3,NULL),(28,7022000,'1993-02-09 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473431355823575124610138072',7961,'270',50.04,1,3,NULL),(28,7022018,'1993-10-19 00:00:00',4,1,12,2010,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242281217151431459611375122233247147',12647,'9998',49.55,1,3,NULL),(28,7022034,'1994-12-12 00:00:00',4,1,12,2011,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215111431568823575114610134112',9235,'270',49.03,1,3,NULL),(28,7022042,'1992-11-18 00:00:00',4,1,11,2009,'F','N','ALPHAVILLE FLAMBOYAN','GOIÂNIA','GO','109092091216571751476619574122610162182',2421,'9998',61.34,4,3,NULL),(28,7022069,'1994-06-17 00:00:00',4,22,12,2011,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241236111731455612116122610144182',NULL,'1090',18.75,1,3,NULL),(28,7022077,'1994-12-28 00:00:00',4,22,10,2011,'F','N','CENTRO','NOVA TRENTO','SC','124243241215112431448612575122610167142',3125,'1123',61.63,3,3,NULL),(28,7022085,'1994-01-07 00:00:00',2,17,12,2011,'M','N','INTERIOR','ITAIÓPOLIS','SC','116241162117131431626415192324610164062',NULL,'9998',38.24,4,2,1),(28,7022115,'1978-08-18 00:00:00',4,1,7,1996,'M','N','PARK WAY','NUC BANDEIRANTE','DF','607286281617141441129849495121240968182',4491,'9998',63.40,4,3,NULL),(28,7022123,'1991-12-10 00:00:00',4,1,12,2009,'F','N','JARAGUÁ','S PAULO','SP','125251251215471721426731271324610165041',NULL,'9998',25.33,1,3,NULL),(28,7022131,'1993-07-28 00:00:00',4,1,12,2011,'M','N','CENTRO','S JOÃO BATISTA','SC','124241246117131431446923575124610164042',NULL,'306',34.46,1,2,1),(28,7022140,'1994-01-11 00:00:00',2,22,10,2011,'F','N','BEZENELLO','NOVA TRENTO','SC','124241241215111431328823575324610134117',7323,'1123',54.99,1,3,NULL),(28,7022158,'1990-06-27 00:00:00',2,1,12,2008,'M','N','JARDIM DAS BANDEIRAS','S PAULO','SP','125252251216572411259831375121610126112',NULL,'9998',0.00,1,3,NULL),(28,7022166,'1993-07-19 00:00:00',4,1,12,2010,'F','N','SUMAREZINHO','S PAULO','SP','125252251227471431457814571124610163093',16380,'9998',42.94,1,3,NULL),(28,7022174,'1993-02-17 00:00:00',4,1,12,2010,'M','N','JARDIM SÃO LUIS','SANTANA PARNAÍBA','SP','125252251216471431338411575112610127042',4171,'9998',56.67,1,3,NULL),(28,7022190,'1994-05-23 00:00:00',4,1,11,2011,'F','N','JARDIM BONGIOVANI','PRES PRUDENTE','SP','125252251215211451669913571122610166072',NULL,'9998',0.00,1,3,NULL),(28,7022212,'1992-04-24 00:00:00',2,10,11,2009,'F','N','SANTANNA','PTO ALEGRE','RS','120242241217573431339923575124610162147',513,'797',71.73,1,3,NULL),(28,7022220,'1991-09-25 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241145573431327628315124610123112',11708,'277',42.14,1,2,1),(28,7022239,'1996-07-02 00:00:00',4,1,12,2011,'F','N','COLONIA SANTANA','S JOSÉ','SC','124242241215111431489914575122610124042',NULL,'1074',29.61,1,3,NULL),(28,7022247,'1992-11-02 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241217313751416649391125610118192',12274,'1022',43.75,3,3,NULL),(28,7022255,'1995-04-23 00:00:00',2,1,12,2011,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241216131431436923285124610164187',15599,'1075',35.88,1,3,NULL),(28,7022263,'1993-03-13 00:00:00',4,1,12,2010,'M','N','VILA UBERABINHA','S PAULO','SP','125252251217471431367721475121610127075',9183,'9998',46.80,1,3,NULL),(28,7022280,'1994-08-18 00:00:00',4,1,11,2011,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111431469933577112610132187',4320,'270',54.94,1,3,NULL),(28,7022298,'1993-12-17 00:00:00',4,1,12,2010,'M','N','JARDIM ALVORADA','S JOSÉ CAMPOS','SP','125252256215471431468614375122610167042',NULL,'9998',0.00,1,3,NULL),(28,7022301,'1993-10-06 00:00:00',4,1,12,2011,'M','N','PINHEIRA','PALHOÇA','SC','124241241117131431438933275124610124082',NULL,'595',0.00,1,2,1),(28,7022310,'1995-01-23 00:00:00',4,4,12,2011,'F','N','TONIAL','XANXERÊ','SC','124242241217231411236614575112613232042',4488,'836',63.41,1,3,NULL),(28,7022328,'1995-07-18 00:00:00',4,9,12,2011,'F','N','SETOR CAMPESTRE','RIO VERDE','GO','109092091217111431458732575112610168182',4375,'9998',58.97,1,3,NULL),(28,7022336,'1994-09-02 00:00:00',4,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215123431359931574122610124155',33,'1038',83.52,1,3,NULL),(28,7022344,'1992-10-15 00:00:00',4,1,12,2010,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125254251211321331436412591125610122112',9883,'9998',53.92,1,3,NULL),(28,7022352,'1988-01-03 00:00:00',2,1,12,2006,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241212152431388833572112120952197',NULL,'270',0.00,1,3,NULL),(28,7022360,'1993-05-26 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115131431447712295124610147041',8582,'267',48.68,1,2,1),(28,7022379,'1995-04-15 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','624242241217112231367633595124610223042',NULL,'269',19.56,2,3,NULL),(28,7022387,'1993-04-11 00:00:00',4,2,11,2009,'F','N','VELHA','BLUMENAU','SC','124242241215573431228914474113610134037',2940,'1157',61.28,4,3,NULL),(28,7022409,'1993-05-18 00:00:00',2,1,12,2010,'F','N','CENTRO','ITAPEJARA D OESTE','PR','116161161117271431425811445125610123097',18959,'9998',35.45,1,3,NULL),(28,7022417,'1994-03-08 00:00:00',4,1,12,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124112241215111431469912495124610162197',11304,'272',42.51,1,3,NULL),(28,7022425,'1993-09-12 00:00:00',4,5,11,2010,'F','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241215472431336611575112610156141',619,'226',70.80,1,3,NULL),(28,7022441,'1989-02-19 00:00:00',4,1,7,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242247225374431456617275124120767045',7370,'300',58.19,1,3,NULL),(28,7022450,'1994-10-05 00:00:00',4,1,11,2011,'F','N','ROÇADO','S JOSÉ','SC','124242247212112431439924482124610114172',19894,'723',29.42,1,3,NULL),(28,7022484,'1994-02-21 00:00:00',2,4,12,2011,'F','N','CENTRO','ESPUMOSO','RS','120201201117161431459833472122610164192',11535,'9998',43.03,1,2,1),(28,7022492,'1994-05-10 00:00:00',4,1,11,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111732346823575124610133192',6786,'270',51.64,1,3,NULL),(28,7022506,'1992-10-10 00:00:00',4,22,12,2010,'F','N','VILA YARA','OSASCO','SP','125252251215471731657814575122610167147',2927,'9998',61.06,4,3,NULL),(28,7022514,'1994-06-28 00:00:00',4,2,11,2011,'F','N','TRIBESS','BLUMENAU','SC','124241241215111431456914195124610132037',3941,'87',58.39,1,3,NULL),(28,7022522,'1993-02-12 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216372732624413575114610122192',NULL,'1048',29.36,1,3,NULL),(28,7022530,'1993-07-02 00:00:00',4,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241216331431538812575122610154097',14635,'1048',46.28,1,3,NULL),(28,7022549,'1994-06-18 00:00:00',4,3,12,2011,'M','N','JARDIM AMÉRICA','S LEOPOLDO','RS','120202201216471631249623475124610134042',9036,'9998',46.69,1,3,NULL),(28,7022557,'1994-07-02 00:00:00',2,15,12,2010,'F','N','SÃO LUIZ','TURVO','SC','124241241117141421322334342111610127045',NULL,'814',0.00,1,3,NULL),(28,7022573,'1994-05-01 00:00:00',4,5,10,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215112431576931394122610165112',883,'226',69.65,1,3,NULL),(28,7022581,'1995-06-07 00:00:00',4,1,12,2012,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217111531464912575124610122052',NULL,'270',49.51,1,3,NULL),(28,7022603,'1993-09-14 00:00:00',4,8,11,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241216273731358414575124221444052',9365,'154',46.14,1,3,NULL),(28,7022611,'1992-08-31 00:00:00',4,1,12,2009,'F','N','VILA GUSTAVO','S PAULO','SP','125252251216371731468823571122143264142',16176,'9998',43.38,3,3,NULL),(28,7022638,'1993-02-27 00:00:00',4,1,11,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241211111411368822581124610126142',10686,'1022',52.63,1,3,NULL),(28,7022646,'1992-07-15 00:00:00',4,1,12,2009,'F','N','BANCÁRIOS','BATATAIS','SP','125252251215571431488813575122610127122',NULL,'9998',0.00,1,3,NULL),(28,7022654,'1994-11-06 00:00:00',4,1,12,2011,'M','N','PEDRO LUDOVICO','GOIÂNIA','GO','109272091216111431258813572324610165167',553,'9998',71.15,4,3,NULL),(28,7022670,'1993-08-29 00:00:00',4,1,12,2011,'M','N','SETOR JAÓ','GOIÂNIA','GO','109092091217111431568813575112610164012',2006,'9998',62.67,3,3,NULL),(28,7022689,'1994-08-22 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124122241215112431468919575122610126062',8392,'262',48.31,1,3,NULL),(28,7022700,'1994-09-30 00:00:00',2,2,12,2011,'F','N','FORTALEZA','BLUMENAU','SC','124241241117112431654663575124610126187',4174,'88',61.10,1,2,1),(28,7022719,'1990-09-13 00:00:00',4,3,12,2008,'M','N','JARDIM DR LESSA','PINDAMONHANGABA','SP','125252251216152411379613575112610166096',4138,'9998',56.16,1,3,NULL),(28,7022727,'1993-11-12 00:00:00',4,9,12,2010,'F','N','FARROUPILHA','VIDEIRA','SC','124241241215472431448854575122610146095',10992,'1080',40.87,1,3,NULL),(28,7022735,'1994-07-16 00:00:00',2,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242248215111751446614595124610168192',17315,'262',32.10,1,3,NULL),(28,7022743,'1993-09-29 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431448933571122610113192',176,'270',80.34,1,3,NULL),(28,7022751,'1994-04-12 00:00:00',4,1,12,2011,'M','N','BOSQUE','PRES PRUDENTE','SP','125252251216111431359924571122610167172',10812,'9998',45.10,1,3,NULL),(28,7022760,'1993-01-15 00:00:00',4,6,12,2010,'F','N','SÃO JUDAS','ITAJAÍ','SC','124091091147371431326823385121610127147',16338,'9998',33.60,4,2,1),(28,7022778,'1994-03-19 00:00:00',4,10,12,2011,'M','N','VILLAGE','IMBITUBA','SC','124241241116111431446613575124610156042',NULL,'359',26.62,1,2,1),(28,7022786,'1993-06-07 00:00:00',4,1,12,2011,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241216111711467819575112610127041',NULL,'884',24.30,1,3,NULL),(28,7022794,'1993-08-10 00:00:00',4,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124212241215111431569914572122610134192',110,'270',79.12,1,3,NULL),(28,7022816,'1994-10-19 00:00:00',2,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111131578613435125610147044',19271,'723',34.01,1,3,NULL),(28,7022832,'1994-06-07 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241132271431328728575114610168072',NULL,'271',24.87,1,3,NULL),(28,7022840,'1994-05-10 00:00:00',2,17,12,2011,'M','N','CENTRO','CANOINHAS','SC','124242241235111431468929395122610135042',NULL,'154',27.98,1,3,NULL),(28,7022859,'1993-10-31 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241215472441258813495125610164012',7195,'446',53.96,1,3,NULL),(28,7022875,'1994-07-01 00:00:00',4,1,11,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241216122431369833475122610146062',1331,'723',67.93,1,3,NULL),(28,7022883,'1993-09-09 00:00:00',2,23,12,2010,'F','N','TRÊS RIOS DO NORTE','JARAGUÁ SUL','SC','124241241136131411433674345124613251147',19841,'433',29.91,1,2,1),(28,7022891,'1995-01-19 00:00:00',4,1,12,2011,'F','N','PROGRESSO','S BENTO SUL','SC','124242241215121431349933575124610137042',108,'270',79.54,1,3,NULL),(28,7022905,'1994-07-14 00:00:00',4,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124243241131161131426539582124610124042',NULL,'9997',17.81,1,3,NULL),(28,7022913,'1995-01-14 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215212431239624175124610112085',3876,'723',60.18,1,3,NULL),(28,7022921,'1994-08-11 00:00:00',2,1,12,2011,'F','N','BARRA DO RIO MOLHA','JARAGUÁ SUL','SC','124241241217151411358619575122610136172',5134,'1061',54.28,1,3,NULL),(28,7022956,'1993-07-14 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116372431223721385124610123035',18498,'278',37.29,1,2,1),(28,7022964,'1993-03-13 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241115372231238933572114610168192',9315,'271',47.41,1,3,NULL),(28,7022972,'1994-04-09 00:00:00',4,1,12,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215123411469912572124610135191',1890,'262',64.72,1,3,NULL),(28,7022980,'1995-04-24 00:00:00',4,2,11,2001,'M','N','VILA NOVA','ILHOTA','SC','124241241215122431423659575114610114062',1541,'909',65.15,1,3,NULL),(28,7022999,'1991-09-07 00:00:00',4,1,12,2009,'F','N','JARDIM DOS ESTADOS','SOROCABA','SP','125132251215571431479914575122610166186',NULL,'9998',0.00,1,3,NULL),(28,7023014,'1994-01-04 00:00:00',4,1,10,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431358821575124610164052',4984,'1169',57.35,1,3,NULL),(28,7023022,'1993-10-21 00:00:00',4,8,12,2011,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216371711478913575122610138092',9060,'1063',46.67,3,3,NULL),(28,7023030,'1994-07-13 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111441547912581115610124162',1284,'270',68.77,1,3,NULL),(28,7023057,'1995-02-19 00:00:00',4,9,11,2011,'F','N','POPULAR','LAGES','SC','124241241315271431237719575122610161197',13400,'9997',38.04,1,3,NULL),(28,7023065,'1987-03-15 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124164247216272441236621495334230514147',16591,'9999',42.44,1,3,NULL),(28,7023090,'1990-10-16 00:00:00',2,1,12,2010,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241127141431523339242322610117042',NULL,'288',17.16,1,2,1),(28,7023111,'1993-01-27 00:00:00',4,1,12,2011,'M','N','ALDEIA DA SERRA','SANTANA PARNAÍBA','SP','125252251216161231488712575122610167012',NULL,'9998',39.49,1,3,NULL),(28,7023120,'1994-03-25 00:00:00',4,1,12,2011,'F','N','PROGRESSO','FRUTAL','MG','113132131217111431336833575122610132197',14119,'9998',37.67,1,3,NULL),(28,7023138,'1993-04-03 00:00:00',4,1,12,2010,'F','N','MORRO DO ESPELHO','S LEOPOLDO','RS','120203201216471431346711575125610133147',10674,'9998',42.38,1,3,NULL),(28,7023146,'1994-10-15 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124272241215111431477931575122610132195',3250,'270',60.59,1,3,NULL),(28,7023154,'1994-08-03 00:00:00',4,10,12,2011,'F','N','MAGALHÃES','LAGUNA','SC','124242241217112451458813575122610137142',19274,'525',34.00,1,3,NULL),(28,7023162,'1994-10-17 00:00:00',2,24,11,2011,'F','N','EUGÊNIO SCHNEIDER','RIO SUL','SC','124243241235111431556614575122610124142',19352,'991',33.59,1,3,NULL),(28,7023170,'1990-10-31 00:00:00',2,16,10,2009,'M','N','CENTRO','BRUNÓPOLIS','SC','124241241126211411323935155112610117185',NULL,'911',2.17,1,2,1),(28,7023189,'1994-06-08 00:00:00',4,8,12,2011,'F','N','VILA NOVA','JOINVILLE','SC','124241241215151431353352575122610123071',NULL,'1006',24.24,1,3,NULL),(28,7023197,'1990-08-13 00:00:00',4,8,12,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124082241215472431488614575122131063142',6692,'1063',59.38,1,3,NULL),(28,7023200,'1989-01-24 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201322231421228641215133610162047',19838,'9998',29.95,1,3,NULL),(28,7023219,'1994-05-27 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124134241414121731243923575124610134145',389,'1051',74.24,1,3,NULL),(28,7023227,'1994-12-14 00:00:00',4,1,12,2011,'F','N','CENTRO','JAGUAPITÃ','PR','116162161217131431348914275115610126182',6013,'9998',51.45,1,3,NULL),(28,7023243,'1994-01-15 00:00:00',4,25,12,2011,'F','N','BELA VISTA','FRAIBURGO','SC','124241241212151751437531175122610145072',NULL,'317',26.85,1,3,NULL),(28,7023251,'1995-07-28 00:00:00',4,4,12,2011,'F','N','BIGORRILHO','CURITIBA','PR','116242161217471541389933575124610122092',2979,'9998',59.03,1,3,NULL),(28,7023260,'1990-04-18 00:00:00',4,1,12,2006,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124202201216371231349613585124340664047',708,'9998',75.68,1,3,NULL),(28,7023278,'1994-11-06 00:00:00',4,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124241241217111431448613575122610122045',NULL,'1076',27.08,4,3,NULL),(28,7023286,'1992-04-20 00:00:00',4,1,9,2009,'M','N','CENTRO','TUBARÃO','SC','123242241211573421556614275124610127152',11339,'807',51.58,1,3,NULL),(28,7023294,'1995-03-23 00:00:00',2,15,12,2011,'F','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124241241115271431423614295125510138142',18291,'1033',30.76,1,2,1),(28,7023316,'1994-10-30 00:00:00',4,3,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241242117131431329924175124610126147',8634,'129',45.83,1,3,NULL),(28,7023332,'1992-08-24 00:00:00',2,15,1,2012,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124244244115151331323319575122610122072',NULL,'30',15.89,1,3,NULL),(28,7023340,'1992-02-18 00:00:00',2,1,12,2010,'F','N','JD SANTA TEREZA','JUNDIAÍ','SP','125252251235472531477822572122610134112',9069,'9998',44.99,1,3,NULL),(28,7023359,'1995-05-10 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217171731429814495122610167072',18469,'270',37.39,1,3,NULL),(28,7023367,'1993-12-08 00:00:00',4,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215472431488811575112610168147',6916,'262',53.05,1,3,NULL),(28,7023375,'1994-07-28 00:00:00',2,4,12,2011,'F','N','APARECIDA','ABELARDO LUZ','SC','124241241436111431439913571124610135032',16665,'836',42.27,1,3,NULL),(28,7023391,'1993-10-14 00:00:00',4,8,12,2011,'M','N','CENTRO','S BENTO SUL','SC','124242241215111431559814575122610122112',NULL,'1178',0.00,1,3,NULL),(28,7023405,'1990-05-29 00:00:00',4,1,12,2009,'M','N','PEDRA BRANCA','PALHOÇA','SC','124241241147272751223324275225121168187',2499,'712',63.10,1,2,1),(28,7023421,'1975-11-19 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224241241125131431423341411124610167047',NULL,'285',18.32,1,2,1),(28,7023430,'1993-01-11 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241215121731324419275124610123142',10412,'300',46.14,1,3,NULL),(28,7023456,'1994-09-01 00:00:00',4,6,12,2011,'F','N','ATUBA','CURITIBA','PR','116162161216121751459613574124610165097',NULL,'9998',0.00,1,3,NULL),(28,7023464,'1994-06-29 00:00:00',4,1,12,2011,'F','N','VILAGE','IMBITUBA','SC','124241241115231431536669585124610132097',NULL,'359',27.43,1,3,NULL),(28,7023472,'1994-10-28 00:00:00',2,1,12,2011,'F','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124243241116131431223629582124610123197',NULL,'727',26.77,4,1,2),(28,7023480,'1993-10-09 00:00:00',4,1,12,2011,'M','N','PARQUE NOVO MUNDO','AMERICANA','SP','125252251217111531544833572122610117044',NULL,'9998',0.00,4,3,NULL),(28,7023499,'1994-06-14 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162241215111431479919475122610124122',97,'262',78.89,1,3,NULL),(28,7023502,'1989-04-24 00:00:00',4,1,12,2008,'M','N','ROÇADO','S JOSÉ','SC','124141141127131441123344145321610166191',NULL,'9998',29.33,4,2,1),(28,7023510,'1992-12-09 00:00:00',2,4,12,2010,'M','N','CENTRO','IBIRUBÁ','RS','120204201415471221326614475123610114047',13160,'9998',48.76,1,3,NULL),(28,7023529,'1995-08-20 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241335111431365563575122610113142',18120,'1168',38.52,4,3,NULL),(28,7023537,'1992-02-05 00:00:00',4,1,11,2009,'F','N','TIJUCAL','CUIABÁ','MT','111112111215511431238814575114610163147',3025,'9998',61.92,4,3,NULL),(28,7023545,'1994-06-06 00:00:00',4,10,12,2011,'F','N','ITAPIRUBÁ','IMBITUBA','SC','124241241117471411425619595124610137117',17473,'359',40.36,1,2,1),(28,7023553,'1993-08-16 00:00:00',2,1,11,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241111411421454614375124610124145',NULL,'307',15.29,1,2,1),(28,7023561,'1989-02-27 00:00:00',4,1,10,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241247126151421123624315122130224187',19232,'9999',34.19,1,2,1),(28,7023570,'1992-06-10 00:00:00',4,15,12,2009,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124202241215573411349613274114610114097',7715,'26',52.28,1,3,NULL),(28,7023588,'1992-04-16 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124202241115473411368414575124610133077',3991,'267',57.36,4,3,NULL),(28,7023596,'1991-06-26 00:00:00',4,1,11,2008,'M','N','VILA INAH','S PAULO','SP','125252251216571431578811572124610137097',22,'9998',83.28,1,3,NULL),(28,7023600,'1994-03-11 00:00:00',4,1,12,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215112411458814575112610164042',1948,'1022',66.70,1,3,NULL),(28,7023634,'1993-05-03 00:00:00',2,1,12,2009,'M','N','JARDIM AQUARIUS','PALHOÇA','SC','124242241216142431348613245124120737052',17945,'1075',39.09,2,1,2),(28,7023650,'1993-08-24 00:00:00',2,4,11,2009,'F','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124242241316573411436612575124610116197',10328,'169',45.05,1,3,NULL),(28,7023669,'1992-08-22 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241217573241369313572114610166092',3833,'1022',64.85,1,3,NULL),(28,7023677,'1994-01-14 00:00:00',4,10,12,2011,'F','N','SÃO F DE ASSIS','BRAÇO NORTE','SC','124241241117161431434634585125610144147',NULL,'100',16.79,1,2,1),(28,7023685,'1994-07-21 00:00:00',4,4,12,2011,'F','N','MENINO DEUS','PATO BRANCO','PR','116162161216121751446512245122610168072',NULL,'9998',15.54,1,3,NULL),(28,7023707,'1993-08-09 00:00:00',4,1,12,2011,'M','N','ALTO DA BOA VISTA','RIBEIRÃO PRETO','SP','125252251211111531489813475112610167042',3546,'9998',58.61,1,3,NULL),(28,7023723,'1986-07-19 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216153431488813375122220722092',4538,'270',63.30,1,3,NULL),(28,7023731,'1991-09-27 00:00:00',4,1,12,2009,'M','N','URBANOVA IV','S JOSÉ CAMPOS','SP','125252251215571431459711575122610167042',1667,'9998',66.19,1,3,NULL),(28,7023740,'1994-07-25 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215112451448814572124610137142',8523,'262',49.30,3,3,NULL),(28,7023758,'1994-07-06 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431488832275114610127142',2220,'262',64.88,1,3,NULL),(28,7023766,'1992-09-30 00:00:00',2,1,12,2010,'F','N','JOSÉ MENINO','SANTOS','SP','125252251217471431448829575124610167142',3594,'9998',59.40,1,3,NULL),(28,7023774,'1994-05-30 00:00:00',4,1,11,2011,'M','N','PLANO DIRETOR SUL','PALMAS','TO','109272091215111531569813575122610167047',4105,'9998',57.37,4,3,NULL),(28,7023782,'1994-06-25 00:00:00',4,4,11,2011,'M','N','CENTRO','CHAPECÓ','SC','124242241217111431458812472122610167062',NULL,'185',0.00,1,3,NULL),(28,7023790,'1994-04-11 00:00:00',2,9,11,2011,'M','N','SÃO CRISTOVÃO','LAGES','SC','124244241215111411559614595112610122057',NULL,'1207',32.43,2,3,NULL),(28,7023804,'1994-06-25 00:00:00',4,1,12,2011,'M','N','JARDIM SÃO PAULO','SOROCABA','SP','125252251215121431476871574112610167042',3282,'9998',59.98,1,3,NULL),(28,7023812,'1994-05-28 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215371431383622574122610122112',2436,'226',62.66,1,3,NULL),(28,7023820,'1992-05-04 00:00:00',4,1,11,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217573431438729575124232925147',7878,'272',50.00,4,3,NULL),(28,7023839,'1986-08-26 00:00:00',4,8,12,2003,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241112372731244623442124333247057',13144,'169',48.78,1,2,1),(28,7023847,'1994-06-02 00:00:00',3,1,12,2011,'F','N','JURERE','FLORIANÓPOLIS','SC','124243241215111431535532295124610118187',14131,'261',39.20,1,3,NULL),(28,7023855,'1994-08-08 00:00:00',2,1,11,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215112731536451575122610124055',8540,'1011',48.59,1,3,NULL),(28,7023863,'1995-04-26 00:00:00',2,15,12,2011,'F','N','JARDIM AMÉRICA','MELEIRO','SC','124241241116131431223514575122610124057',18767,'559',36.23,1,2,1),(28,7023871,'1994-07-05 00:00:00',4,1,12,2011,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241215111431457313375112610124012',5143,'1022',54.81,1,3,NULL),(28,7023898,'1992-03-06 00:00:00',4,1,6,2010,'M','N','NOVA AMÉRICA','PIRACICABA','SP','125254251216271711438816215122610142032',NULL,'9998',0.00,1,3,NULL),(28,7023901,'1993-06-25 00:00:00',4,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241247315131711536631575124610123187',NULL,'9999',21.88,1,3,NULL),(28,7023910,'1994-08-22 00:00:00',4,1,11,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215471431456732275122610131122',13215,'270',48.67,1,3,NULL),(28,7023936,'1993-07-21 00:00:00',4,1,12,2010,'M','N','CENTRO','NOVO HAMBURGO','RS','120202201217471231478734575112610167042',4831,'9998',59.79,1,3,NULL),(28,7023944,'1992-05-21 00:00:00',4,1,12,2010,'M','N','CHACARAS AREAL','INDAIATUBA','SP','125252251215471431558831575122610164042',4072,'9998',58.28,1,3,NULL),(28,7023952,'1990-11-20 00:00:00',4,1,1,2009,'M','N','PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP','125252256217573231238823475112610164187',3977,'9998',58.43,1,3,NULL),(28,7023960,'1993-05-24 00:00:00',4,1,12,2010,'F','N','SANTO AMARO','S PAULO','SP','125252251217471451348713575114610164057',4027,'9998',57.27,1,3,NULL),(28,7023979,'1992-09-15 00:00:00',4,1,11,2010,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125254251417471731489834575122610143142',6173,'9998',54.49,1,3,NULL),(28,7023987,'1993-11-09 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241217272411236812575122232012192',NULL,'724',33.12,1,3,NULL),(28,7024002,'1993-09-14 00:00:00',4,8,12,2010,'M','N','CENTRO','CURITIBA','PR','116162161216471431479915575124610164142',NULL,'9998',0.00,1,3,NULL),(28,7024029,'1993-02-28 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215473431127911575124610126182',2293,'26',66.35,1,3,NULL),(28,7024045,'1993-08-19 00:00:00',4,4,12,2010,'M','N','ESPLANADA','CHAPECÓ','SC','124241241136372411356929575121140237012',1715,'174',65.79,1,2,1),(28,7024053,'1993-07-12 00:00:00',2,1,12,2010,'F','N','ARIRIU','PALHOÇA','SC','124241241116112431336314345124610125147',NULL,'593',20.57,1,2,1),(28,7024061,'1994-02-19 00:00:00',4,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241216111431327619275124610131072',NULL,'1048',0.00,1,3,NULL),(28,7024070,'1981-12-13 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624092091216153411268843435122521064175',1516,'9998',71.56,4,3,NULL),(28,7024088,'1991-12-15 00:00:00',4,1,12,2009,'F','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251216572431468812575124610164052',663,'9998',70.71,1,3,NULL),(28,7024096,'1994-09-09 00:00:00',4,2,12,2011,'M','N','VELHA','BLUMENAU','SC','124242246216112411338933595124610167052',11572,'1018',43.89,1,3,NULL),(28,7024100,'1993-07-29 00:00:00',2,1,11,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215472411369833575122610137072',1383,'270',70.00,1,3,NULL),(28,7024118,'1993-07-05 00:00:00',4,16,12,2011,'F','N','CENTRO','CURITIBANOS','SC','124243241315121531536433175122610168191',17428,'881',32.73,1,3,NULL),(28,7024126,'1994-04-26 00:00:00',4,6,10,2011,'F','N','BOQUEIRÃO','CURITIBA','PR','116242161215421431438711575124610164192',NULL,'9998',0.00,1,3,NULL),(28,7024134,'1993-09-07 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241215472431548612572114131247172',4597,'1119',55.65,1,3,NULL),(28,7024142,'1988-08-08 00:00:00',4,8,12,2005,'F','N','LIBERDADE','S PAULO','SP','125162161215572731478711575125610122147',340,'9998',74.70,3,3,NULL),(28,7024150,'1993-06-06 00:00:00',2,1,12,2011,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241115271731238823472122610168147',9927,'267',43.79,1,2,1),(28,7024169,'1995-02-23 00:00:00',4,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215112431238921572124610123067',13073,'270',40.80,1,3,NULL),(28,7024177,'1993-10-04 00:00:00',2,1,12,2011,'M','N','VILLE DE CHAMONIX','ITATIBA','SP','125252251217111432469934591122610167042',9766,'9998',46.44,1,3,NULL),(28,7024185,'1994-10-15 00:00:00',2,24,12,2011,'F','N','CENTRO','WITMARSUM','SC','124241241117131431539313572341610146147',NULL,'835',27.31,1,2,1),(28,7024193,'1995-05-18 00:00:00',4,7,12,2012,'F','S','CENTRO','CAPINZAL','SC','124242241222111731329834245124610124142',NULL,'446',35.40,1,3,NULL),(28,7024207,'1993-01-28 00:00:00',4,1,12,2010,'M','N','CONDOMINIO MARAMBAIA','VINHEDO','SP','125252251217472431478813575112610162043',1000,'9998',70.79,1,3,NULL),(28,7024215,'1994-01-11 00:00:00',4,2,12,2011,'F','N','CENTRO','POMERODE','SC','124243241415111431689714575122610125076',13062,'624',48.90,1,3,NULL),(28,7024231,'1993-11-14 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242248215121411335633595114610167042',12381,'262',49.97,1,3,NULL),(28,7024240,'1992-09-28 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241417373431358939575124130442092',3019,'1118',61.37,1,3,NULL),(28,7024258,'1991-07-06 00:00:00',4,15,12,2008,'M','N','CENTRO','SOMBRIO','SC','124241241137371732123543335125132224151',10996,'1033',43.05,3,3,NULL),(28,7024266,'1994-03-19 00:00:00',2,1,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241217111432336631575114610112181',16473,'1119',34.15,1,3,NULL),(28,7024274,'1993-11-07 00:00:00',4,8,12,2011,'F','N','GLÓRIA','JOINVILLE','SC','124241241216111731436414576112610123157',3649,'1063',59.55,1,3,NULL),(28,7024290,'1995-09-27 00:00:00',2,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215111731366962575112610118142',17742,'226',39.64,1,3,NULL),(28,7024312,'1992-05-22 00:00:00',4,8,12,2009,'F','N','CAMBUÍ','CAMPINAS','SP','125254251215471431369814445122610144093',NULL,'9998',24.84,1,3,NULL),(28,7024320,'1992-05-15 00:00:00',4,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215472431588712575122121467145',4333,'270',56.49,1,3,NULL),(28,7024339,'1993-09-30 00:00:00',2,1,12,2011,'F','N','CENTRO','BRASILÉIA','AC','121011211215111531449313472322610128142',6440,'9998',50.89,1,3,NULL),(28,7024347,'1994-08-02 00:00:00',3,1,11,2011,'F','N','PORTÃO','LAURO FREITAS','BA','105052051217111332579911485124610132092',2384,'9998',64.14,1,3,NULL),(28,7024355,'1994-05-05 00:00:00',4,3,11,2011,'M','N','CENTRO','CASCAVEL','PR','116162161216111411468612575122610127042',NULL,'9998',0.00,1,3,NULL),(28,7024363,'1994-11-06 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241116271431435614175114610162012',NULL,'733',37.25,1,2,1),(28,7024371,'1995-03-19 00:00:00',4,1,12,2012,'F','S','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215111431438534475114610156097',NULL,'270',54.16,1,3,NULL),(28,7024380,'1994-05-12 00:00:00',4,8,12,2011,'M','N','GLÓRIA','JOINVILLE','SC','116242161215111531488811575122610127122',120,'9998',80.20,1,3,NULL),(28,7024398,'1992-03-21 00:00:00',5,5,6,2010,'M','N','PRÓSPERA','CRICIÚMA','SC','124241246216371431424414475124610162182',10342,'995',47.45,1,3,NULL),(28,7024410,'1993-11-28 00:00:00',4,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111431347637575114610164072',11666,'272',43.28,1,3,NULL),(28,7024428,'1994-12-14 00:00:00',2,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241235221431445622375125610127072',10216,'723',43.70,1,3,NULL),(28,7024436,'1994-08-15 00:00:00',2,5,12,2011,'F','N','SAMUEL SANDRINI','ORLEANS','SC','124242241215111231433823475122610168097',NULL,'581',30.17,1,3,NULL),(28,7024444,'1995-08-17 00:00:00',4,9,11,2012,'F','S','CONTA DINHEIRO','LAGES','SC','124242241216111431468914575122610126072',NULL,'497',48.08,1,3,NULL),(28,7024479,'1993-09-24 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241212372431338667592124610127052',2878,'1198',62.59,1,3,NULL),(28,7024487,'1993-07-09 00:00:00',2,1,12,2011,'F','N','MORRO DA BINA','BIGUAÇU','SC','124241241116131431425314285124610138077',16871,'257',34.12,4,2,1),(28,7024495,'1994-05-20 00:00:00',4,1,12,2011,'F','N','CENTRO','VALPARAÍSO','SP','125252251216111431438833585122610126072',14605,'9998',35.76,1,3,NULL),(28,7024509,'1993-12-07 00:00:00',4,1,12,1993,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252241211151411569934571124610144067',4293,'262',55.85,1,3,NULL),(28,7024517,'1994-04-14 00:00:00',4,1,10,2011,'M','N','VILA CELIA','CPO GRANDE','MS','112122121217111411358832575122610137182',3581,'9998',57.66,1,3,NULL),(28,7024525,'1993-11-15 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241216473431358913575122610167057',1974,'1119',65.73,1,3,NULL),(28,7024533,'1994-09-29 00:00:00',2,5,12,2011,'F','N','MONTE CARLOS','COCAL SUL','SC','124241248215111431459614592122610128142',NULL,'188',0.00,1,3,NULL),(28,7024541,'1993-08-13 00:00:00',4,1,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215273431449834445122221432077',2778,'226',61.64,1,3,NULL),(28,7024550,'1994-10-08 00:00:00',4,4,12,2011,'M','N','CENTRO','CLEVELÂNDIA','PR','116161161316131431468933472112610127052',19454,'9998',33.00,1,3,NULL),(28,7024568,'1993-03-17 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112731417611575122610132197',NULL,'1022',25.59,1,3,NULL),(28,7024576,'1991-12-23 00:00:00',2,1,12,2008,'F','N','CENTRO','VIDAL RAMOS','SC','124241241146574431546314275124610122017',5386,'828',56.25,1,2,1),(28,7024584,'1992-06-19 00:00:00',4,5,11,2009,'F','N','CENTRO','URUSSANGA','SC','124242241215122431327824575114122246197',13437,'269',48.33,1,3,NULL),(28,7024592,'1982-11-01 00:00:00',2,1,12,2000,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241126472421226644345124610123187',11960,'292',43.86,1,2,1),(28,7024606,'1994-09-01 00:00:00',4,8,11,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215151431469711375122610132142',15682,'461',44.33,1,3,NULL),(28,7024614,'1994-03-10 00:00:00',2,1,12,2010,'F','N','CENTRO','GAROPABA','SC','124241241146371331424414285114610157042',13848,'322',41.29,1,2,1),(28,7024622,'1993-08-29 00:00:00',4,1,12,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124242241216152431458733575124233232172',8630,'1022',48.70,1,3,NULL),(28,7024630,'1995-02-01 00:00:00',4,24,11,2011,'M','N','LARANJEIRAS','RIO SUL','SC','124243241215131431336612245122610128142',NULL,'653',19.67,1,3,NULL),(28,7024649,'1993-11-17 00:00:00',4,1,12,2011,'F','N','JARDIM ELITE','PIRACICABA','SP','125252251217151431568719575122610133142',NULL,'9998',23.83,1,3,NULL),(28,7024657,'1992-03-11 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215374431568912425122121231072',11082,'262',52.00,1,3,NULL),(28,7024665,'1993-12-20 00:00:00',2,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241315121431433631575114610126095',NULL,'9997',19.88,1,3,NULL),(28,7024681,'1994-02-27 00:00:00',4,1,11,2011,'M','N','CENTRO','S JOÃO BATISTA','SC','124244241215111431459832595114610162142',6883,'1244',52.87,1,3,NULL),(28,7024690,'1994-04-04 00:00:00',4,1,11,2011,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215111451456732575114610116122',3672,'270',57.12,1,3,NULL),(28,7024703,'1994-12-01 00:00:00',4,4,12,2011,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124242241411571431345713285122610148192',13036,'169',39.35,1,3,NULL),(28,7024746,'1993-12-03 00:00:00',4,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241216112431346834595122223213061',NULL,'1022',22.06,1,3,NULL),(28,7024754,'1994-04-22 00:00:00',2,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215121411456932245122610162195',14912,'737',38.47,1,3,NULL),(28,7024762,'1994-11-09 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431358933572125610122172',646,'262',71.87,1,3,NULL),(28,7024789,'1994-05-05 00:00:00',4,1,11,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217112431578617575122610124125',1014,'270',68.94,4,3,NULL),(28,7024800,'1994-09-08 00:00:00',4,9,11,2011,'M','N','CORAL','LAGES','SC','124244241415111431236923345121610137171',6573,'1207',53.34,1,3,NULL),(28,7024819,'1990-08-14 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215574431368614595122610143193',7565,'270',50.85,1,3,NULL),(28,7024827,'1994-09-17 00:00:00',4,1,11,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244248417112411658819595114610163175',6577,'1118',54.68,1,3,NULL),(28,7024843,'1992-10-28 00:00:00',4,3,12,2010,'F','N','ALPHAVILLE','BARUERI','SP','125253251117571431577821576122610167027',1350,'9998',66.32,1,3,NULL),(28,7024851,'1986-11-26 00:00:00',2,1,12,2004,'F','N','JARDIM ZAIRA','MAUÁ','SP','425251251146131431643839135124340668187',16147,'9998',43.43,4,2,1),(28,7024860,'1992-10-10 00:00:00',4,1,12,2009,'M','N','PARQUE BRASIL','JACAREÍ','SP','125252256215471431249814582122610127047',9625,'9998',45.97,1,3,NULL),(28,7024878,'1994-01-10 00:00:00',4,24,12,2011,'M','N','JARDINÓPOLIS','JARDINÓPOLIS','SC','124241241211111531336634575124610127052',NULL,'9997',0.00,1,3,NULL),(28,7024886,'1995-06-12 00:00:00',4,17,11,2012,'M','S','ÁGUA VERDE','CANOINHAS','SC','124242241216111731453512575122610127052',NULL,'154',55.55,1,3,NULL),(28,7024894,'1994-11-24 00:00:00',4,9,11,2011,'F','N','CENTRO','LAGES','SC','124242241215111411458932575112610121022',2899,'1207',62.19,1,3,NULL),(28,7024908,'1978-08-25 00:00:00',4,1,12,1995,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241516135411111379495325610164162',1699,'269',66.02,1,3,NULL),(28,7024916,'1994-06-22 00:00:00',2,1,11,2011,'F','N','VENDAVAL','BIGUAÇU','SC','124243241215131331435514372121610133147',NULL,'1040',24.30,1,3,NULL),(28,7024924,'1990-08-08 00:00:00',2,15,12,2007,'M','N','CENTRO','ARARANGUÁ','SC','124242241216153451366837475122121237043',10129,'32',53.52,1,3,NULL),(28,7024932,'1995-05-14 00:00:00',4,1,12,2012,'F','S','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124212241215111731328669595114610133077',NULL,'1022',35.38,4,3,NULL),(28,7024940,'1994-06-26 00:00:00',4,1,11,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','624242241215112411458832575124610117043',8685,'1050',50.30,1,3,NULL),(28,7024959,'1994-02-09 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469923335122610162141',417,'270',75.50,1,3,NULL),(28,7024967,'1994-03-31 00:00:00',4,8,12,2011,'F','N','GUANABARA','JOINVILLE','SC','124242241216131431448314582124610128147',19011,'494',35.29,1,3,NULL),(28,7024975,'1994-08-26 00:00:00',4,24,11,2011,'F','N','BOA VISTA','RIO SUL','SC','124242241216471411348619492122610146142',12953,'653',40.84,1,3,NULL),(28,7024983,'1993-09-22 00:00:00',4,2,12,2010,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124242241216472431557612375114610162142',2082,'71',66.75,1,3,NULL),(28,7024991,'1992-06-13 00:00:00',2,6,12,2009,'M','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124241241216141431528712345123610164172',19557,'1086',32.31,1,3,NULL),(28,7025009,'1994-09-04 00:00:00',4,6,12,2011,'M','N','SAO JUDAS','ITAJAÍ','SC','124242241216121431488814575122610127072',6388,'1026',53.65,1,3,NULL),(28,7025017,'1992-01-28 00:00:00',4,1,12,2009,'F','N','JARDIM AMÉRICA','GOIÂNIA','GO','109072091217131431539813575122240642092',NULL,'9998',0.00,1,3,NULL),(28,7025025,'1994-04-08 00:00:00',4,1,12,2011,'M','N','BUTANTÃ','S PAULO','SP','125252251217111431479913475114610117047',1716,'9998',65.02,1,3,NULL),(28,7025033,'1990-07-06 00:00:00',2,5,11,2008,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241245117531432321124235121232756187',NULL,'29',26.55,1,2,1),(28,7025041,'1991-12-04 00:00:00',4,1,12,2010,'F','N','CENTRO','CASCAVEL','PR','116162161417571231278511475115610164127',10727,'9998',52.55,1,3,NULL),(28,7025050,'1994-05-15 00:00:00',4,10,12,2011,'F','N','HUMAITA DE CIMA','TUBARÃO','SC','124242241215171731449911575112610116142',15600,'809',33.77,1,3,NULL),(28,7025068,'1993-03-29 00:00:00',4,1,12,2010,'F','N','VILA URUPÊS','SUZANO','SP','125254251216271411349834575125140966032',4064,'9998',56.71,1,3,NULL),(28,7025076,'1993-05-11 00:00:00',2,1,12,2010,'F','N','HUMAITA','RIO JANEIRO','RJ','121212211216472731489912575112142624042',13984,'9998',36.24,1,3,NULL),(28,7025084,'1994-09-28 00:00:00',2,22,11,2011,'M','N','SÃO LUIZ','BRUSQUE','SC','124241241215111742438923242122610128057',17578,'1090',40.11,1,3,NULL),(28,7025092,'1994-11-28 00:00:00',2,24,12,2011,'M','N','SEMINÁRIO','ITUPORANGA','SC','124241241216111431458933385122610126072',9782,'1173',44.64,1,3,NULL),(28,7025106,'1994-04-18 00:00:00',2,1,12,2011,'F','N','ESTRELA','PNT GROSSA','PR','116162161237111431446639575124610127187',10940,'9998',44.71,1,3,NULL),(28,7025114,'1995-07-15 00:00:00',4,2,12,2012,'F','S','CENTRO','APIÚNA','SC','124244241217111431458811575122610136142',NULL,'346',48.03,1,3,NULL),(28,7025122,'1994-01-29 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215372431558823575124233227071',3548,'738',61.40,1,3,NULL),(28,7025130,'1994-05-09 00:00:00',4,1,11,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241115122431459924595124610164053',2701,'737',61.17,1,3,NULL),(28,7025149,'1994-02-18 00:00:00',4,1,12,2011,'F','N','JARDIM DEL REY','POÇOS CALDAS','MG','113132131216121731489833575112610127097',13507,'9998',38.62,1,3,NULL),(28,7025157,'1995-09-08 00:00:00',2,10,11,2012,'F','S','CENTRO','BRAÇO NORTE','SC','124244241226111431456612222122610118072',NULL,'102',19.97,1,3,NULL),(28,7025165,'1993-02-19 00:00:00',4,1,11,2010,'F','N','CENTRO','CAPIVARI BAIXO','SC','124243241215472431479914575122610126072',5169,'807',54.86,1,3,NULL),(28,7025173,'1993-04-05 00:00:00',4,1,11,2010,'M','N','PARAÍSO','S PAULO','SP','125252251117472431356823335125610167112',2083,'9998',63.00,1,3,NULL),(28,7025181,'1993-12-25 00:00:00',4,8,11,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241216111732328814375115610168017',14719,'1063',46.13,1,3,NULL),(28,7025190,'1993-11-29 00:00:00',2,4,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124242241215472431433414575124610123075',10365,'738',46.48,1,3,NULL),(28,7025203,'1995-03-14 00:00:00',2,1,11,2011,'F','N','CENTRO','S PEDRO ALCÂNTARA','SC','124243241215471431456822585122610127112',13582,'270',39.81,1,3,NULL),(28,7025211,'1993-02-19 00:00:00',3,8,12,1993,'F','N','ZONA QUATRO','MARINGÁ','PR','116162161216271751579811475112610135182',NULL,'9998',0.00,1,3,NULL),(28,7025220,'1994-12-23 00:00:00',2,1,12,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241215112431236624575114610121127',7596,'1022',50.26,1,3,NULL),(28,7025238,'1994-11-09 00:00:00',4,9,11,2011,'M','N','SÃO CRISTOVÃO','LAGES','SC','124244241416111731438934575122610114077',14025,'1207',40.63,1,3,NULL),(28,7025246,'1993-04-02 00:00:00',4,1,12,2011,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115371431358662585122610164127',9470,'267',49.68,1,2,1),(28,7025254,'1993-05-21 00:00:00',2,1,12,2011,'M','N','BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC','124244247212151431425411345124610128195',19388,'9999',33.41,1,3,NULL),(28,7025270,'1995-03-14 00:00:00',4,15,12,2011,'M','N','CENTRO','BAL ARROIO SILVA','SC','124201241116141411348832572214610116172',16645,'30',42.33,1,2,1),(28,7025289,'1994-04-20 00:00:00',4,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124242246116141431558923375122610146072',9784,'306',54.09,1,3,NULL),(28,7025297,'1994-09-13 00:00:00',2,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241315371431239829575124610134062',9360,'287',47.74,1,3,NULL),(28,7025319,'1988-10-25 00:00:00',4,8,12,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216472431389834572122131057042',NULL,'1063',0.00,1,3,NULL),(28,7025327,'1993-10-14 00:00:00',4,15,12,2010,'F','N','SÃO JOSÉ','TRAMANDAÍ','RS','120201201117371431236923571112610134197',6830,'9998',53.92,1,2,1),(28,7025335,'1989-09-16 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217372441249634445124222963017',10570,'1022',52.80,1,3,NULL),(28,7025360,'1994-08-19 00:00:00',4,1,12,2011,'F','N','JARDIM DAS INDUSTRIA','S JOSÉ CAMPOS','SP','125252251217111731334419395122610164142',8945,'9998',47.50,1,3,NULL),(28,7025378,'1994-06-02 00:00:00',4,1,12,2011,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241215151431536623592114610127017',6374,'1023',54.70,1,3,NULL),(28,7025394,'1990-05-08 00:00:00',2,25,12,2007,'M','N','CENTRO','ASSIS CHATEAUBRIAND','PR','116162161415575431456632591225610117057',3322,'9998',60.22,1,3,NULL),(28,7025408,'1994-10-17 00:00:00',4,2,12,2011,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241216111431459814575122610132187',5204,'87',52.53,1,3,NULL),(28,7025416,'1992-10-06 00:00:00',2,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241112413331538613574114610142072',1548,'271',70.61,1,3,NULL),(28,7025424,'1994-04-03 00:00:00',2,23,11,2011,'M','N','NOVA BRASÍLIA','JARAGUÁ SUL','SC','124242246217161431459812575122610127041',12654,'1061',39.30,1,3,NULL),(28,7025432,'1994-01-29 00:00:00',4,1,12,2011,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','124242241216111431556614175122610134117',6631,'1011',51.73,1,3,NULL),(28,7025440,'1994-03-11 00:00:00',4,10,12,2011,'M','N','CENTRO','CAPIVARI BAIXO','SC','124242241417111431336314475121610162182',18830,'158',35.97,1,3,NULL),(28,7025459,'1994-04-11 00:00:00',4,1,12,2011,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125251251215111441433311575124610137082',1741,'9998',63.75,1,3,NULL),(28,7025467,'1994-09-02 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111432336812375122610122041',NULL,'1197',21.46,1,3,NULL),(28,7025483,'1995-01-09 00:00:00',4,1,12,2011,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215471731568811575122610124195',1451,'262',66.19,1,3,NULL),(28,7025505,'1991-05-23 00:00:00',4,4,11,2008,'F','N','CENTRO','CURITIBA','PR','116241161316372731469614575122142633122',NULL,'9998',0.00,1,3,NULL),(28,7025513,'1994-06-10 00:00:00',2,24,11,2011,'F','N','CENTRO','RIO SUL','SC','124242241215111411458932345122610166182',2705,'991',61.97,4,3,NULL),(28,7025521,'1992-05-04 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217373431468714585122121463012',2365,'270',64.71,1,3,NULL),(28,7025530,'1994-02-18 00:00:00',4,23,12,2011,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215111431548614375122610127052',NULL,'1174',0.00,1,3,NULL),(28,7025548,'1993-07-06 00:00:00',2,15,12,2011,'F','N','ALTO FELIZ','ARARANGUÁ','SC','124243241137141431227829392121610138177',NULL,'30',24.32,1,3,NULL),(28,7025556,'1994-06-02 00:00:00',4,4,11,2011,'F','N','PINHEIRINHO','CRICIÚMA','SC','124041241415271431558913582124610134097',9472,'920',47.37,1,3,NULL),(28,7025564,'1993-08-05 00:00:00',4,5,12,2010,'M','N','MENINO DEUS','PTO ALEGRE','RS','120202201216571431389933575122610168041',1319,'9998',65.41,1,3,NULL),(28,7025572,'1994-07-14 00:00:00',6,1,12,2011,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241241115141431336633295124610147067',NULL,'307',15.66,2,1,1),(28,7025580,'1994-05-12 00:00:00',4,2,12,2011,'F','N','VELHA','BLUMENAU','SC','124242241217112431468724575124610132182',2423,'87',62.84,1,3,NULL),(28,7025602,'1994-06-17 00:00:00',4,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216111431479813575114610127053',8918,'270',47.86,1,3,NULL),(28,7025610,'1994-01-18 00:00:00',4,8,12,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215111411348613575112610137072',15050,'1063',45.51,1,3,NULL),(28,7025629,'1992-11-10 00:00:00',4,8,12,2010,'F','N','IRIRIÚ','JOINVILLE','SC','124241246215471411338612475114610122122',6558,'494',59.59,1,3,NULL),(28,7025637,'1994-10-22 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215111531368831575122610127042',9548,'738',47.56,1,3,NULL),(28,7025670,'1994-09-06 00:00:00',4,1,10,2011,'F','N','SAO JOAO BATISTA','BELO HORIZONTE','MG','113132131236111731347714575122610132123',2828,'9998',62.37,1,3,NULL),(28,7025688,'1994-11-27 00:00:00',4,8,12,2011,'M','N','SAGUAÇU','JOINVILLE','SC','124241246215111241326834575124610167181',19357,'1105',33.58,1,3,NULL),(28,7025696,'1994-03-29 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431568733575122610137042',6184,'270',60.27,1,3,NULL),(28,7025700,'1989-06-09 00:00:00',4,1,12,2005,'F','N','PEDRO LUDOVICO','GOIÂNIA','GO','109092091217572431448919595122341042142',378,'9998',73.60,1,3,NULL),(28,7025718,'1992-02-27 00:00:00',2,1,12,2008,'M','N','CANTO','FLORIANÓPOLIS','SC','124243241116132731423643435114610122047',11146,'257',42.49,4,3,NULL),(28,7025726,'1994-05-26 00:00:00',4,22,10,2011,'F','N','BEZENELLO','NOVA TRENTO','SC','124241241215122431349913472122610116142',2716,'1123',62.80,1,3,NULL),(28,7025734,'1994-01-29 00:00:00',4,8,12,2011,'F','N','GLÓRIA','JOINVILLE','SC','124242241215111431479932572122610143142',8843,'1063',48.31,1,3,NULL),(28,7025742,'1992-11-23 00:00:00',4,1,11,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217272431369831575122121432197',2571,'270',61.08,1,3,NULL),(28,7025750,'1992-10-17 00:00:00',4,1,11,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241217473741356839195114610166012',1132,'1038',68.02,4,3,NULL),(28,7025769,'1994-08-26 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431424811575122610124182',1221,'1050',68.26,1,3,NULL),(28,7025777,'1994-07-22 00:00:00',2,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431436612575122610124192',5459,'723',54.99,1,3,NULL),(28,7025785,'1994-05-10 00:00:00',1,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241217111431468813595122610122017',13894,'1048',47.57,1,3,NULL),(28,7025793,'1993-12-29 00:00:00',2,4,12,2010,'M','N','CENTRO','S BERNARDINO','SC','124241242112171412424633585215610157064',NULL,'135',22.57,1,3,NULL),(28,7025807,'1989-07-12 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','120201201111572731445314185124610167047',8883,'9998',48.60,1,2,1),(28,7025815,'1989-08-13 00:00:00',2,3,12,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215575431369913275114610122042',NULL,'1038',0.00,1,3,NULL),(28,7025823,'1990-10-28 00:00:00',2,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241217475411444419395114121434197',259,'1022',76.71,1,3,NULL),(28,7025831,'1992-10-21 00:00:00',4,8,12,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215372211438314475114130247042',16656,'931',42.30,1,3,NULL),(28,7025840,'1994-01-08 00:00:00',4,1,12,2011,'M','N','ALPHAVILLE DOM PEDRO','CAMPINAS','SP','125252251217271731588812572122610167047',6591,'9998',51.89,1,3,NULL),(28,7025858,'1994-12-23 00:00:00',4,16,12,2011,'F','N','N SRA APARECIDA','CURITIBANOS','SC','124242241215112731336822575122610168142',10206,'881',44.55,1,3,NULL),(28,7025866,'1992-09-12 00:00:00',2,1,12,2010,'M','N','VILA CHAD','S ROQUE','SP','125252251217472431559614585122610124142',3942,'9998',58.23,1,3,NULL),(28,7025874,'1990-10-07 00:00:00',2,1,12,2008,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241136373731536614385124610127147',NULL,'772',40.34,1,2,1),(28,7025882,'1993-06-17 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124242241215372431228623575124610168191',12479,'1022',41.13,4,3,NULL),(28,7025890,'1993-09-28 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242248215273441528762275114120664052',6285,'909',60.08,1,3,NULL),(28,7025904,'1993-07-12 00:00:00',2,1,11,2011,'F','N','CENTRO','CAXIAS SUL','RS','120203201316131131424629272124610132147',NULL,'9998',0.00,1,3,NULL),(28,7025912,'1993-02-08 00:00:00',4,1,12,2010,'M','N','SANTA CECILIA','S PAULO','SP','125252251216471711368923371112610145047',316,'9998',74.13,1,3,NULL),(28,7025920,'1994-04-19 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124241241415121431436634595124610123017',8409,'1022',50.86,1,3,NULL),(28,7025939,'1984-06-06 00:00:00',4,1,12,2001,'M','N','PARQUE BRASIL','JACAREÍ','SP','125253251417571411346633345125340767032',3556,'9998',56.56,5,3,NULL),(28,7025963,'1992-08-21 00:00:00',4,1,12,2009,'M','N','CRUZEIRO','RIO CEDROS','SC','124241241127151431448633345112610122187',14309,'664',46.93,1,2,1),(28,7025971,'1994-09-28 00:00:00',4,1,11,2011,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215212221489813595114610113112',8405,'270',48.50,1,3,NULL),(28,7025980,'1992-11-01 00:00:00',4,1,12,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241216314431428614342134610127144',17026,'259',36.28,1,3,NULL),(28,7025998,'1994-07-10 00:00:00',4,1,12,2011,'M','N','REAL CENTER','COSMÓPOLIS','SP','125251251116471431436614575121610162197',NULL,'9998',0.00,1,2,1),(28,7026005,'1982-09-11 00:00:00',4,1,12,2001,'F','N','PARQUE DOS PRÍNCIPES','S PAULO','SP','125252251216271432448811485122141866097',14464,'9998',46.64,3,3,NULL),(28,7026013,'1993-01-28 00:00:00',4,1,12,2010,'F','N','JARDIM AEROPORTO','S PAULO','SP','125254251216471331448721585115610117047',8011,'9998',48.17,1,3,NULL),(28,7026021,'1994-09-29 00:00:00',4,4,12,2011,'M','N','CENTRO','CHAPECÓ','SC','124244241235112421468813575125610114012',5038,'1192',54.93,4,3,NULL),(28,7026030,'1995-04-02 00:00:00',2,1,12,2011,'F','N','AREAL','PELOTAS','RS','120202201216111431348923475122610144147',NULL,'9998',0.00,1,3,NULL),(28,7026048,'1992-12-17 00:00:00',4,1,12,2009,'M','N','JABOTIANA','ARACAJU','SE','126262261216111751549923575124610167032',554,'9998',72.22,4,3,NULL),(28,7026056,'1989-10-26 00:00:00',4,1,12,2006,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241116135431223611145124122262047',14505,'591',35.25,4,2,1),(28,7026064,'1991-09-21 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241215273431443331445114610128182',13043,'269',48.92,4,3,NULL),(28,7026072,'1982-10-29 00:00:00',2,4,12,2001,'M','N','CENTRO','PINHALZINHO','SC','124241241111374431446832215122610167067',13204,'616',48.69,1,2,1),(28,7026080,'1994-05-14 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431288732575112610125092',10063,'270',47.03,1,3,NULL),(28,7026099,'1993-01-06 00:00:00',4,1,12,2010,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241216472411335912575124610148142',12574,'1048',43.15,1,3,NULL),(28,7026102,'1994-12-18 00:00:00',4,2,12,2011,'M','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241215111431478814475122610164011',450,'909',73.29,1,3,NULL),(28,7026110,'1993-08-05 00:00:00',4,6,12,2010,'F','N','ARIRIBÁ','BAL CAMBORIÚ','SC','124202241215372431347931375114610142122',8340,'44',56.55,1,3,NULL),(28,7026129,'1993-11-30 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215372411538754385114610168011',8970,'1022',47.97,1,3,NULL),(28,7026137,'1991-08-26 00:00:00',4,1,12,2009,'F','N','SANTO ANTONIO','TUBARÃO','SC','124242241216575731359913575124610166177',7066,'807',51.26,1,3,NULL),(28,7026145,'1993-08-19 00:00:00',2,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241215111331643332575114610163075',NULL,'1022',23.02,1,3,NULL),(28,7026153,'1993-12-30 00:00:00',2,1,12,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115271431434624345124610126142',16958,'285',32.31,1,2,1),(28,7026170,'1993-06-29 00:00:00',4,1,12,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215372251468611575122610132042',4079,'270',57.81,1,3,NULL),(28,7026188,'1992-11-03 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S PAULO','SP','125252251217471431468811575122610122127',245,'9998',77.73,1,3,NULL),(28,7026196,'1994-04-23 00:00:00',4,1,11,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242241215131431648613572124610122187',1385,'270',68.68,1,3,NULL),(28,7026218,'1992-08-12 00:00:00',4,4,12,2009,'M','N','PRES MÉDICI','CHAPECÓ','SC','124242241215272431658712275112133244122',667,'168',70.60,1,3,NULL),(28,7026226,'1979-12-31 00:00:00',2,1,11,1997,'F','N','BELA VISTA','PALHOÇA','SC','224241241122133421232154232124121733057',NULL,'801',36.61,2,1,1),(28,7026234,'1994-04-08 00:00:00',4,4,11,2011,'F','N','CENTRO','CONCÓRDIA','SC','124241241217151431469913572124610111182',18418,'1001',29.19,1,3,NULL),(28,7026242,'1992-10-06 00:00:00',2,1,11,2010,'F','N','BARÃO GERALDO','CAMPINAS','SP','125252251216471431446719175122610133112',6508,'9998',53.77,1,3,NULL),(28,7026277,'1993-08-31 00:00:00',4,1,12,2010,'F','N','CERQUEIRA CESAR','S PAULO','SP','125252251215471231368834575122610114147',NULL,'9998',0.00,1,3,NULL),(28,7026285,'1994-05-25 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431479913575122610146145',6479,'262',54.04,1,3,NULL),(28,7026293,'1994-02-07 00:00:00',2,2,11,2011,'F','N','VELHA','BLUMENAU','SC','124242241215111431469814575124610133072',16362,'441',42.97,1,3,NULL),(28,7026307,'1993-11-11 00:00:00',2,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124241241117271751323524575124610166183',12775,'733',42.34,1,2,1),(28,7026315,'1994-01-31 00:00:00',4,1,1,2012,'F','N','JABOTIANA','ARACAJU','SE','126262263216111431237814575123610127022',14857,'9998',38.41,1,3,NULL),(28,7026323,'1992-03-23 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241121131231116443231324132324177',NULL,'949',24.75,1,2,1),(28,7026331,'1991-12-23 00:00:00',2,1,12,2009,'M','N','JARDIM PRUDENCIA','BAURU','SP','113132131216572431656832595124610122147',5775,'9998',53.92,4,3,NULL),(28,7026340,'1994-10-04 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431458732275124610162027',2799,'270',61.54,1,3,NULL),(28,7026366,'1991-12-31 00:00:00',4,17,12,2008,'F','N','CENTRO','S JOÃO TRIUNFO','PR','116162161216572431448832595124610126142',7080,'9998',54.41,1,3,NULL),(28,7026374,'1994-01-12 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112711469834575124610117167',514,'270',76.42,1,3,NULL),(28,7026382,'1993-06-16 00:00:00',4,1,12,2010,'F','N','BOA VISTA','S JOSÉ R PRETO','SP','125112251215471431459611592124610111147',7745,'9998',50.27,1,3,NULL),(28,7026390,'1994-08-19 00:00:00',2,8,12,2011,'F','N','PALMITAL','GARUVA','SC','124241241317471431348532575122610134052',9594,'1016',45.41,1,3,NULL),(28,7026404,'1994-05-18 00:00:00',2,1,12,2011,'M','N','LUCAS ARAÚJO','PASSO FUNDO','RS','120201201116471431537813572124610124127',9198,'9998',55.07,1,2,1),(28,7026412,'1992-06-22 00:00:00',2,8,12,2009,'F','N','BARRO PRETO','RIO NEGRINHO','SC','124241241116241751633316342234610127181',11568,'669',42.65,1,2,1),(28,7026420,'1994-08-15 00:00:00',4,8,11,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241215271431364824575122610143192',3298,'461',60.32,1,3,NULL),(28,7026447,'1991-01-23 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217472741179931575124120734172',2586,'486',61.95,1,3,NULL),(28,7026463,'1994-09-03 00:00:00',2,8,12,2011,'F','N','NOVA BRASILIA','JOINVILLE','SC','124243241216131511423454575124610164077',18522,'1105',37.22,1,3,NULL),(28,7026471,'1993-03-24 00:00:00',2,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215373231369913575122121427112',7497,'226',57.98,1,3,NULL),(28,7026498,'1993-12-15 00:00:00',2,1,12,2010,'M','N','JARDIM SANTO AMARO','CAMBÉ','PR','116162161217472431333823575224610162042',5100,'9998',56.32,4,3,NULL),(28,7026501,'1993-09-27 00:00:00',4,1,11,2011,'F','N','JARDIM ELITE','PIRACICABA','SP','125252251217111431457831575122610164112',8336,'9998',49.11,1,3,NULL),(28,7026510,'1995-04-07 00:00:00',4,10,11,2012,'F','S','MONTE CASTELO','TUBARÃO','SC','124242241215111731437832572122610124192',NULL,'806',38.06,1,3,NULL),(28,7026528,'1994-04-21 00:00:00',4,1,11,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241417131441436763585124610137042',15927,'1022',35.10,1,3,NULL),(28,7026536,'1995-05-17 00:00:00',4,1,12,2011,'M','N','SETOR SOL NASCENTE','GOIÂNIA','GO','109092091217111431456632574122610127057',66,'9998',81.30,1,3,NULL),(28,7026544,'1989-11-15 00:00:00',4,1,11,2007,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241216375431336631485124610142092',10147,'1023',46.16,1,3,NULL),(28,7026552,'1992-11-10 00:00:00',4,1,10,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212272531229923575114110117012',NULL,'1022',26.80,1,3,NULL),(28,7026560,'1994-03-04 00:00:00',4,6,11,2011,'M','N','DOM BOSCO','ITAJAÍ','SC','124242241216151431466914574124610127112',3086,'392',60.64,1,3,NULL),(28,7026579,'1993-07-19 00:00:00',2,1,12,2010,'F','N','JD DO LAGO','LIMEIRA','SP','125253251216371331464412575122610132091',12857,'9998',39.12,1,3,NULL),(28,7026587,'1994-09-05 00:00:00',2,1,11,2011,'F','N','CENTRO','URUSSANGA','SC','124242248215111441438811575114610165022',NULL,'226',42.61,1,3,NULL),(28,7026595,'1993-11-22 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431257619395122610121112',7956,'1050',57.21,1,3,NULL),(28,7026609,'1989-09-07 00:00:00',4,1,12,2006,'M','N','JARDIM FOGAÇA','ITAPETININGA','SP','125251251117571431446614375122610167042',3279,'9998',59.37,1,2,1),(28,7026617,'1994-01-25 00:00:00',2,1,12,2011,'F','N','JARDIM CIDADE FLORIA','S JOSÉ','SC','124241241216111431643412575124610134097',18130,'1118',38.48,1,3,NULL),(28,7026625,'1994-01-26 00:00:00',4,2,11,2011,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124243241215112441558831576112610167071',2655,'87',60.42,1,3,NULL),(28,7026633,'1993-06-11 00:00:00',4,1,12,2010,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251215471721378814475112610163147',10546,'9998',44.19,1,3,NULL),(28,7026641,'1994-09-16 00:00:00',4,23,12,2011,'F','N','NOVA BRASÍLIA','JARAGUÁ SUL','SC','124244241215121431327721215115610124142',10918,'442',52.25,1,3,NULL),(28,7026650,'1994-03-11 00:00:00',2,7,11,2011,'F','N','CENTRO','CAPINZAL','SC','124241241215131431323334572125610126197',11631,'1093',42.39,1,3,NULL),(28,7026668,'1994-02-26 00:00:00',2,1,11,2011,'M','N','ROÇADO','S JOSÉ','SC','124242241215112231369714575114610127142',4702,'270',57.93,1,3,NULL),(28,7026676,'1994-10-05 00:00:00',2,22,11,2011,'F','N','SANTA TEREZINHA','BRUSQUE','SC','124243241215111431448923572124610133192',5174,'1244',57.55,1,3,NULL),(28,7026684,'1993-02-26 00:00:00',2,1,11,2010,'F','N','FLOR DO VALE','TREMEMBÉ','SP','125252251215471341336814575124610165097',7849,'9998',49.90,4,3,NULL),(28,7026692,'1994-01-12 00:00:00',4,1,12,2011,'F','N','JARDIM SANTA MARIA','JACAREÍ','SP','125252251215111431338621571222610125077',10657,'9998',42.95,1,3,NULL),(28,7026706,'1994-08-26 00:00:00',4,1,12,2011,'M','N','CAMBUI','CAMPINAS','SP','125252251215111711588811572122610162047',NULL,'9998',0.00,1,3,NULL),(28,7026714,'1995-01-31 00:00:00',4,9,12,2011,'F','N','CENTRO','LAGES','SC','124242241215131421369924575125610137012',15070,'499',36.98,1,3,NULL),(28,7026730,'1995-05-07 00:00:00',2,15,12,2011,'F','N','LINHA CONTESSI','TURVO','SC','124241241116131431423415452124610124045',16187,'814',35.41,1,2,1),(28,7026749,'1992-08-25 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215472431467831575122610168091',8262,'9997',52.59,1,3,NULL),(28,7026757,'1992-11-16 00:00:00',4,1,12,2010,'M','N','RIVIERA','S PAULO','SP','125252251215471732357631571122610134172',1687,'9998',66.11,1,3,NULL),(28,7026765,'1993-10-04 00:00:00',4,1,12,2011,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215111431367914575122610122192',12383,'262',43.81,1,3,NULL),(28,7026790,'1991-08-05 00:00:00',4,8,12,2009,'M','N','CENTRO','JOINVILLE','SC','124242241216112431558712585124221468192',16242,'931',43.25,1,3,NULL),(28,7026803,'1994-05-10 00:00:00',2,1,11,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111432533634574112610123073',11556,'1011',43.41,1,3,NULL),(28,7026811,'1979-10-02 00:00:00',2,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241146175751173343135122333222047',NULL,'591',0.00,1,2,1),(28,7026820,'1994-10-31 00:00:00',4,1,11,2011,'F','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124244241216131731658834374124610116187',16774,'63',42.04,1,3,NULL),(28,7026838,'1994-11-01 00:00:00',4,4,12,2011,'F','N','CENTRO','S LOURENÇO OESTE','SC','124244161215271411666934575122610164197',5540,'9998',54.66,1,3,NULL),(28,7026846,'1994-08-10 00:00:00',2,1,12,2011,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241215372431553612375124610166012',10617,'1048',45.77,1,3,NULL),(28,7026854,'1992-02-24 00:00:00',4,1,12,2009,'M','N','NOVO MUNDO','CURITIBA','PR','116162161217472431458812575114123264062',252,'9998',77.44,1,3,NULL),(28,7026862,'1994-07-01 00:00:00',4,1,11,2011,'M','N','IPIRANGA','S JOSÉ','SC','124242241216151431337513575122610132197',3592,'976',60.21,1,3,NULL),(28,7026870,'1985-11-09 00:00:00',2,1,12,2003,'F','N','KOBRASOL','S JOSÉ','SC','124242241337375431333624345134130266052',17840,'1036',39.36,1,3,NULL),(28,7026889,'1994-08-26 00:00:00',4,1,12,2011,'M','N','PITUBA','SALVADOR','BA','105052051237171731487832575122610167042',7168,'9998',50.39,1,3,NULL),(28,7026919,'1993-09-27 00:00:00',4,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215121431479814575112610133182',14777,'1063',39.27,1,3,NULL),(28,7026927,'1989-09-26 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201247347133431335349495124231037147',14736,'9999',37.57,1,3,NULL),(28,7026935,'1994-04-17 00:00:00',4,1,12,2011,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241315111431336773575124610126042',10558,'1022',46.16,1,3,NULL),(28,7026943,'1992-04-08 00:00:00',4,1,12,2009,'M','N','SETOR BUENO','GOIÂNIA','GO','109272271217571432469931575115610117012',5217,'9998',62.01,1,3,NULL),(28,7026951,'1993-02-12 00:00:00',2,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241211112751349613572122610133052',17949,'988',31.94,1,3,NULL),(28,7026986,'1994-08-06 00:00:00',1,22,12,2012,'F','S','SÃO PEDRO','GUABIRUBA','SC','124242241216121731536439395122610118122',NULL,'107',45.98,1,3,NULL),(28,7027036,'1995-06-06 00:00:00',4,1,12,2011,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124242241217471431546831575122610137057',11716,'270',43.27,1,3,NULL),(28,7027044,'1994-02-27 00:00:00',2,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241216132411548939575124233248172',12348,'1022',42.64,1,3,NULL),(28,7027052,'1992-05-23 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241211474411458814592324610118012',1488,'499',67.83,1,3,NULL),(28,7027060,'1994-09-20 00:00:00',4,3,12,2011,'F','N','CENTRO','BAL PIÇARRAS','SC','124241242115131431435614575121610124037',18826,'129',35.98,1,2,1),(28,7027079,'1988-02-04 00:00:00',2,1,12,2011,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124202247147371431647614185124610168111',12208,'9999',50.23,1,3,NULL),(28,7027087,'1993-06-21 00:00:00',4,1,11,2010,'F','N','NOVA PIRACICABA','PIRACICABA','SP','125252251217472711369612575122610142072',7703,'9998',49.85,1,3,NULL),(28,7027109,'1994-09-13 00:00:00',4,10,12,2011,'F','N','CENTRO','CAPIVARI BAIXO','SC','124242241215131431446614495124610167142',4331,'809',57.31,1,3,NULL),(28,7027117,'1995-02-02 00:00:00',2,3,12,2011,'F','N','SERTÃO DO TROMBUDO','ITAPEMA','SC','124241241115161431334413275124610137012',8125,'406',47.72,1,2,1),(28,7027141,'1994-12-17 00:00:00',2,17,11,2011,'M','N','TRICOLIN','CANOINHAS','SC','124244241215111431466812575122610124182',NULL,'154',0.00,1,3,NULL),(28,7027150,'1994-05-05 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371231236721575112610164077',15952,'1022',43.79,1,3,NULL),(28,7027168,'1994-08-30 00:00:00',4,2,12,2011,'F','N','VILA NOVA','BLUMENAU','SC','124242241215271431368434575122610163142',7538,'909',50.89,1,3,NULL),(28,7027176,'1992-04-20 00:00:00',4,4,12,2009,'M','N','PRESIDENTE MEDICI','CHAPECÓ','SC','116242241216471431556814485124241427042',18306,'185',37.94,1,3,NULL),(28,7027192,'1994-06-23 00:00:00',1,2,12,2011,'M','N','CENTRO','POMERODE','SC','124242241215112432468912575112610157032',5585,'624',53.78,1,3,NULL),(28,7027206,'1990-04-19 00:00:00',4,1,11,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215272431328629575122131067042',11998,'737',50.55,1,3,NULL),(28,7027214,'1993-11-16 00:00:00',2,23,12,2011,'M','N','AMIZADE','JARAGUÁ SUL','SC','124244246216111431547733575122610138141',9134,'1061',48.70,1,3,NULL),(28,7027222,'1994-04-18 00:00:00',2,2,12,2011,'F','N','WARNOW','INDAIAL','SC','124241241215111431336771395122610122142',NULL,'986',25.79,1,3,NULL),(28,7027230,'1995-04-19 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241235172731356933575112610117052',NULL,'270',33.98,1,3,NULL),(28,7027249,'1992-07-05 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241216472431258923445124610122043',NULL,'1022',27.20,4,3,NULL),(28,7027257,'1994-03-29 00:00:00',4,1,12,2011,'M','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125252251415121431468712571112610167042',5247,'9998',53.90,1,3,NULL),(28,7027265,'1996-04-16 00:00:00',4,1,11,2011,'F','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124243241216131211658834375124610113106',18182,'63',38.35,1,3,NULL),(28,7027273,'1993-03-01 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431458833575122610161141',875,'1198',72.15,1,3,NULL),(28,7027290,'1990-06-29 00:00:00',2,15,11,2007,'M','N','CENTRO','ARARANGUÁ','SC','124244241216132431126944345122131412185',19002,'26',35.33,1,3,NULL),(28,7027303,'1994-05-24 00:00:00',4,8,12,2011,'F','N','CENTRO','S JOSÉ PINHAIS','PR','116162161215111431348824375112610133142',NULL,'9998',0.00,1,3,NULL),(28,7027311,'1992-04-30 00:00:00',2,10,12,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215373431463911575122122266192',4755,'807',62.88,1,3,NULL),(28,7027320,'1994-03-12 00:00:00',4,1,11,2011,'M','N','SANTA TEREZINHA','S PAULO','SP','125252251215111731358832582125610127042',NULL,'9998',0.00,1,3,NULL),(28,7027338,'1993-06-14 00:00:00',4,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215373431479934272124133264142',1088,'270',70.81,1,3,NULL),(28,7027346,'1994-01-13 00:00:00',4,1,12,2011,'F','N','JARDIM SATELITE','S JOSÉ CAMPOS','SP','125253251215111411227712571122610126172',9955,'9998',43.51,1,3,NULL),(28,7027354,'1993-04-26 00:00:00',4,8,12,2010,'F','N','BOA VISTA','S CAETANO SUL','SP','125242241216472411369614575122610144042',6844,'1105',53.28,1,3,NULL),(28,7027362,'1994-02-20 00:00:00',4,17,12,2010,'M','N','BOA VISTA','CURITIBA','PR','116164161217571431349924575124610162187',NULL,'9998',0.00,1,3,NULL),(28,7027370,'1994-10-28 00:00:00',4,1,11,2011,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124243241215151431337839575114610164195',10239,'1048',43.11,1,3,NULL),(28,7027389,'1994-04-18 00:00:00',4,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111411558831472112610118112',NULL,'1063',0.00,1,3,NULL),(28,7027397,'1993-01-15 00:00:00',4,5,6,2011,'M','N','JAQUELINE','IÇARA','SC','124244243417151711636839345124130762182',15994,'995',43.71,1,3,NULL),(28,7027400,'1994-07-11 00:00:00',4,1,1,2012,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115141751424464342324610164182',NULL,'592',12.49,2,1,1),(28,7027419,'1992-08-17 00:00:00',4,1,11,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241212473742456513572124133127046',6662,'1022',59.42,1,3,NULL),(28,7027427,'1994-03-22 00:00:00',4,1,12,2011,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125132251217111741568811572122610167042',12085,'9998',43.30,1,3,NULL),(28,7027435,'1993-12-06 00:00:00',2,1,12,2011,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242241215112211435819595124610127071',NULL,'1023',34.47,1,3,NULL),(28,7027443,'1992-05-13 00:00:00',4,1,12,2010,'M','N','ESPLANADA DO SOL','S JOSÉ CAMPOS','SP','125254251435411431356519175112610167042',9682,'9998',54.24,1,3,NULL),(28,7027460,'1994-12-18 00:00:00',4,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124241241345111331546319242324610133183',17596,'1022',40.05,1,3,NULL),(28,7027478,'1989-05-01 00:00:00',4,1,8,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244247426244641133443335124231062197',NULL,'9999',0.00,1,3,NULL),(28,7027486,'1992-11-29 00:00:00',4,1,12,2011,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242248117131431323611582124610127187',11470,'306',43.74,1,3,NULL),(28,7027494,'1993-12-13 00:00:00',4,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215372431458612575114610122072',14039,'1022',38.40,1,3,NULL),(28,7027508,'1994-10-25 00:00:00',4,1,12,2011,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241417111331433431575124610137097',15594,'300',35.87,1,3,NULL),(28,7027516,'1990-12-08 00:00:00',2,1,12,2008,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241212574431328869492124610164077',1831,'270',66.17,1,3,NULL),(28,7027524,'1988-08-04 00:00:00',2,1,12,2007,'M','N','VILA SANTANA','SOROCABA','SP','125251251146141341123344445124610137017',NULL,'9998',0.00,2,1,1),(28,7027532,'1994-07-05 00:00:00',4,2,12,2011,'F','N','BOM RETIRO','BLUMENAU','SC','124242241214122431357731271122610126092',1977,'909',63.85,1,3,NULL),(28,7027540,'1994-02-23 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431369814372122610144092',6414,'226',52.44,1,3,NULL),(28,7027559,'1994-07-03 00:00:00',1,1,12,2011,'F','N','VILA MADALENA','S PAULO','SP','125052251217111411388812572122610167122',8584,'9998',47.63,1,3,NULL),(28,7027567,'1993-04-25 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115372431226753245124610134047',10938,'307',45.59,1,2,1),(28,7027583,'1994-05-05 00:00:00',2,15,12,2011,'M','N','RIO CANOAS','PR GRANDE','SC','124241242115131441333316475122610126072',1956,'690',64.10,1,2,1),(28,7027591,'1994-07-11 00:00:00',4,1,11,2011,'F','N','FORTALEZA DA BARRA','FLORIANÓPOLIS','SC','124243241316141431549813575122610161182',6804,'271',52.41,1,3,NULL),(28,7027605,'1991-03-30 00:00:00',2,8,12,2009,'F','N','GLORIA','JOINVILLE','SC','124252241435572431628649585112130635092',11881,'457',50.73,1,3,NULL),(28,7027613,'1994-10-07 00:00:00',4,26,12,2011,'M','N','CENTRO','CONCÓRDIA','SC','124242241215251731459911572125610164182',10404,'1047',45.73,4,3,NULL),(28,7027621,'1990-12-06 00:00:00',4,1,12,2009,'F','N','CHACARA SANTO ANTONI','S PAULO','SP','125252251216571731458811575112610137012',6897,'9998',53.15,1,3,NULL),(28,7027630,'1994-03-11 00:00:00',4,2,12,2011,'F','N','CENTRO','ITAPORANGA','SP','125254251216111431333839572122610162142',7559,'9998',48.91,1,3,NULL),(28,7027648,'1994-09-10 00:00:00',4,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241216132431449934475122610115142',7374,'461',51.87,1,3,NULL),(28,7027656,'1991-12-16 00:00:00',4,5,11,2009,'F','N','PIO CORREIA','CRICIÚMA','SC','124243241216273431344419572124120228143',4669,'211',59.12,1,3,NULL),(28,7027680,'1993-05-15 00:00:00',4,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124241241315272431323614375114610118052',16862,'300',30.82,1,3,NULL),(28,7027699,'1994-05-13 00:00:00',2,6,12,2011,'F','N','JARDIM ELDORADO','PARANAGUÁ','PR','116162162136471631449933234124610153182',11038,'9998',43.60,1,3,NULL),(28,7027702,'1994-07-06 00:00:00',4,1,12,2011,'F','N','PARQUE CAMPOLIM','SOROCABA','SP','125252251216121431469712571112610163197',NULL,'9998',0.00,1,3,NULL),(28,7027710,'1994-03-08 00:00:00',4,1,11,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215122231559833472122610123142',3990,'270',58.30,4,3,NULL),(28,7027729,'1989-10-09 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124122248212153431437711572124221564181',14104,'270',47.26,4,3,NULL),(28,7027745,'1992-11-04 00:00:00',2,1,12,2010,'F','N','BAIRRO LUZ','S PAULO','SP','125252251217172431447813575114610123052',NULL,'9998',27.80,1,3,NULL),(28,7027753,'1994-04-11 00:00:00',4,8,11,2011,'F','N','IRIRIÚ','JOINVILLE','SC','124242241216371531236629575114610162142',9463,'457',54.61,1,3,NULL),(28,7027761,'1994-10-03 00:00:00',4,22,12,2011,'M','N','PARQUE JABAQUARA','S PAULO','SP','125252251217151431478874575122610134127',10468,'9998',44.62,1,3,NULL),(28,7027770,'1988-09-24 00:00:00',2,1,12,2005,'M','N','PAGARA','STO AMARO IMPERATRIZ','SC','124241241116141441531144145123230744172',NULL,'772',0.00,1,2,1),(28,7027788,'1994-07-26 00:00:00',2,15,12,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124243241215121431446619575122610127147',8219,'970',50.46,1,3,NULL),(28,7027796,'1993-07-12 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116472431423422575124610163142',6121,'592',56.32,1,2,1),(28,7027800,'1994-11-22 00:00:00',4,1,12,2011,'F','N','JARDIM SABARÁ','S PAULO','SP','125252251215471431336827274124610164143',7169,'9998',49.38,1,3,NULL),(28,7027818,'1993-12-11 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431468923575122610134191',2379,'270',63.91,1,3,NULL),(28,7027834,'1994-08-19 00:00:00',4,8,12,2011,'F','N','PIRABEIRABA','JOINVILLE','SC','124242241217371231349832574122610136142',2173,'459',63.98,1,3,NULL),(28,7027842,'1994-06-03 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215122451379713575122610127042',658,'1077',71.20,1,3,NULL),(28,7027869,'1994-11-25 00:00:00',4,4,11,2011,'M','N','COUNTRY','CASCAVEL','PR','116162161217111431479933575112610162072',5978,'9998',54.56,1,3,NULL),(28,7027877,'1991-02-11 00:00:00',2,1,6,2010,'M','N','CANTO','FLORIANÓPOLIS','SC','124241247147131331467833392123610168092',16710,'736',32.74,1,2,1),(28,7027885,'1993-09-27 00:00:00',4,1,12,2011,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241215121431548671145114610113181',20070,'1022',26.87,1,3,NULL),(28,7027893,'1993-06-26 00:00:00',4,1,12,2010,'F','N','TAMBORÉ','BARUERI','SP','116252251216371411187627595125610125182',10309,'9998',53.21,1,3,NULL),(28,7027907,'1995-07-16 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431448834574124610141072',8467,'738',48.15,1,3,NULL),(28,7027923,'1989-09-28 00:00:00',2,8,12,2008,'F','N','CENTRO','RIO NEGRINHO','SC','124242241216473731469933475124143242092',11318,'666',41.35,1,3,NULL),(28,7027931,'1994-06-27 00:00:00',2,10,12,2011,'M','N','VILA MOEMA','TUBARÃO','SC','124241248111131711438614571125610117043',NULL,'1034',23.18,1,3,NULL),(28,7027958,'1992-12-28 00:00:00',4,1,11,2009,'M','N','SETOR OESTE','GOIÂNIA','GO','109112091214571451569813574122610162147',NULL,'9998',0.00,1,3,NULL),(28,7027966,'1992-07-20 00:00:00',4,1,12,2009,'F','N','CENTRO','S JOSÉ','SC','124241241115473731336729575124610122041',10224,'733',47.68,1,2,1),(28,7027974,'1994-08-14 00:00:00',4,1,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215152431368933475112610167047',1719,'262',67.18,1,3,NULL),(28,7027982,'1994-02-26 00:00:00',4,2,11,2011,'M','N','CENTRO','RODEIO','SC','124242241215111441359632575124610124042',3418,'1157',59.71,1,3,NULL),(28,7028008,'1994-07-28 00:00:00',4,1,12,2011,'M','N','PASSA VINTE','PALHOÇA','SC','124241241116371431443314275124610167122',8209,'591',50.64,1,2,1),(28,7028016,'1993-07-02 00:00:00',4,1,11,2010,'M','N','NOVA RUSSIA','PNT GROSSA','PR','116112141216371441569831575121610161172',NULL,'9998',42.87,1,3,NULL),(28,7028024,'1992-04-01 00:00:00',4,1,12,2009,'F','N','VILA BRASILIA','S CARLOS','SP','125253251117371411445833575121610162182',9179,'9997',49.53,1,3,NULL),(28,7028040,'1995-02-09 00:00:00',4,2,12,2011,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241115111431326923575124610122142',16536,'88',32.94,1,3,NULL),(28,7028067,'1990-10-15 00:00:00',4,1,12,2008,'M','N','JARDIM JOÃO XXIII','S PAULO','SP','125252251226571431545833382124610167083',NULL,'9998',0.00,3,3,NULL),(28,7028083,'1993-07-06 00:00:00',2,8,12,2011,'F','N','SÃO BRAZ','CURITIBA','PR','116162161217411431468613175122610137043',NULL,'9998',0.00,1,3,NULL),(28,7028091,'1994-05-17 00:00:00',2,1,12,2011,'F','N','CENTRO','S JOSÉ','SC','124241241115152331523633571122610137047',NULL,'728',17.32,1,2,1),(28,7028105,'1993-11-05 00:00:00',4,1,12,2011,'M','N','CANAAN','SETE LAGOAS','MG','113132131217111431469914475112610124047',9990,'9998',43.94,1,3,NULL),(28,7028113,'1994-05-10 00:00:00',2,1,11,2011,'M','N','SÃO JOSÉ','S JOSÉ','SC','124242241216111431343514575112610117042',6721,'738',53.34,1,3,NULL),(28,7028121,'1994-01-13 00:00:00',1,8,12,2011,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215111221388711575112610118122',10416,'1063',44.08,1,3,NULL),(28,7028148,'1995-09-01 00:00:00',2,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111432463334575124610167042',13960,'1050',47.48,1,3,NULL),(28,7028156,'1994-11-11 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241116371231458814575112610134054',NULL,'271',0.00,1,3,NULL),(28,7028164,'1991-12-09 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124243241146131531346221145331610163093',19215,'736',34.27,1,3,NULL),(28,7028172,'1993-03-29 00:00:00',4,1,12,2010,'F','N','JARDIM EUROPA','DOURADOS','MS','112122121216471431548832575122610126187',NULL,'9998',0.00,1,3,NULL),(28,7028180,'1994-10-24 00:00:00',4,4,11,2011,'F','N','CENTRO','CHAPECÓ','SC','124242241216111231567934575112610167077',14231,'168',38.79,1,3,NULL),(28,7028199,'1994-10-16 01:00:00',4,2,11,2011,'M','N','BELA VISTA','GASPAR','SC','124242241215111421489732575124610167067',6150,'855',52.09,1,3,NULL),(28,7028202,'1994-12-06 00:00:00',4,1,12,2011,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241215111431478972575112610127051',2205,'262',65.82,1,3,NULL),(28,7028210,'1990-10-11 00:00:00',4,1,11,2007,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216575431246939575124221421092',3864,'270',59.39,1,3,NULL),(28,7028229,'1994-01-25 00:00:00',4,1,11,2011,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215121431379933572112610121053',761,'270',71.74,1,3,NULL),(28,7028237,'1995-03-11 00:00:00',4,1,12,2012,'M','S','BARREIROS','S JOSÉ','SC','124241241117151731545534345124610138147',NULL,'733',22.61,1,3,NULL),(28,7028253,'1993-12-13 00:00:00',2,15,12,2010,'F','N','DIVINEIA','ARARANGUÁ','SC','124241241146131431436823245121610117057',NULL,'30',18.77,1,2,1),(28,7028270,'1993-06-30 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124122241215472431369613575125610143092',3309,'270',62.51,1,3,NULL),(28,7028288,'1994-07-16 00:00:00',2,10,12,2011,'F','N','MAR GROSSO','LAGUNA','SC','124242241215111431448923595124610131052',18420,'525',37.56,1,3,NULL),(28,7028296,'1995-05-01 00:00:00',2,7,12,2011,'F','N','CENTRO','IPIRA','SC','124241241215131431346821575124610133092',18398,'446',37.64,1,3,NULL),(28,7028300,'1977-05-10 00:00:00',2,1,12,1996,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241426155721249613282124130227067',17642,'307',39.90,1,3,NULL),(28,7028334,'1994-09-26 00:00:00',4,15,10,2012,'F','S','CENTRO','S LUDGERO','SC','124242241215111232436632375112610128077',NULL,'807',29.84,1,3,NULL),(28,7028342,'1994-06-14 00:00:00',4,1,12,2011,'M','N','BUENO','GOIÂNIA','GO','109092091215111411457632575114610167142',1115,'9998',68.77,1,3,NULL),(28,7028350,'1993-06-11 00:00:00',4,1,12,2010,'F','N','PARQUE IMPERIAL','S PAULO','SP','125252251216472731238824572122610141147',4275,'9998',58.46,1,3,NULL),(28,7028377,'1994-10-10 00:00:00',2,4,12,2011,'M','N','CENTRO','XAXIM','SC','124241241117151431546914575125610134142',NULL,'848',22.67,4,2,1),(28,7028385,'1992-12-21 00:00:00',2,3,12,2010,'F','N','SAN FERNANDO','LONDRINA','PR','116161161215472431544824575122610122122',14382,'9998',35.32,1,3,NULL),(28,7028393,'1993-10-21 00:00:00',4,1,12,2011,'M','N','JARDIM ESPLANADA','S JOSÉ CAMPOS','SP','125252251217111431469911575122610162117',8965,'9998',45.98,1,3,NULL),(28,7028407,'1994-12-15 00:00:00',2,24,12,2011,'M','N','CENTRO','RIO SUL','SC','124242241215111421436933115111610164017',NULL,'663',16.91,1,3,NULL),(28,7028415,'1994-08-17 00:00:00',2,1,12,2011,'F','N','CAMINHO NOVO','PALHOÇA','SC','124242241115371431556923275124610125092',12326,'592',43.26,1,3,NULL),(28,7028423,'1994-11-11 00:00:00',4,1,12,2012,'F','S','CARIANOS','FLORIANÓPOLIS','SC','124242244216111411428624585124610123012',NULL,'270',48.01,1,3,NULL),(28,7028431,'1984-02-27 00:00:00',2,1,12,2001,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','624251251127131312223359282313610134187',NULL,'9998',0.00,4,2,1),(28,7028440,'1993-12-22 00:00:00',2,1,12,2010,'F','N','CANASVIEIRA','FLORIANÓPOLIS','SC','124242241216372441468713295124610118072',NULL,'1022',19.29,1,3,NULL),(28,7028458,'1994-06-15 00:00:00',2,15,12,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124243241212321431536714572122610113145',9104,'970',49.86,1,3,NULL),(28,7028482,'1993-11-01 00:00:00',4,1,12,2010,'M','N','ZONA IA','UMUARAMA','PR','116162161216372441468814171124610142197',20,'9998',82.94,1,3,NULL),(28,7028490,'1993-12-11 00:00:00',4,1,11,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217372431549832572124133221097',1314,'270',69.20,1,3,NULL),(28,7028504,'1992-04-23 00:00:00',4,1,12,2009,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215374431658513475114133244017',11506,'270',51.30,1,3,NULL),(28,7028512,'1994-12-26 00:00:00',4,16,12,2011,'F','N','SÃO MIGUEL','FRAIBURGO','SC','124241241115161732424311292122610143147',NULL,'314',7.97,1,3,NULL),(28,7028520,'1993-03-27 00:00:00',2,1,12,2011,'M','N','FERRUGEM','GAROPABA','SC','124241243131131431343329181224610127097',NULL,'306',13.09,1,2,1),(28,7028539,'1994-07-23 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431388812575122610163126',9995,'226',53.73,1,3,NULL),(28,7028547,'1994-09-08 00:00:00',4,1,12,2011,'F','N','JOAIA','TIJUCAS','SC','124242241215111431434652575122610134147',11969,'1119',43.09,1,3,NULL),(28,7028555,'1993-12-16 00:00:00',4,1,1,2012,'F','N','SANTA MARIA','S CAETANO SUL','SP','125251251117271731438719575124610126197',6596,'9998',50.15,1,2,1),(28,7028563,'1994-05-07 00:00:00',2,3,10,2011,'M','N','VILA CLEMENTINA','PARIQUERA-AÇU','SP','125252161215111431468813575124610117047',NULL,'9998',0.00,1,3,NULL),(28,7028571,'1991-09-07 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124162161416232431116911342324141811092',16520,'9998',34.66,1,3,NULL),(28,7028580,'1993-11-15 00:00:00',4,1,12,2011,'F','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124242241116371431537632575122610164047',7143,'739',51.10,1,3,NULL),(28,7028598,'1992-12-13 00:00:00',4,1,7,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247426141411426311245114610136197',19404,'9999',33.31,4,3,NULL),(28,7028601,'1991-01-28 00:00:00',2,1,11,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124161241126134431336414185125221422017',6458,'484',51.56,1,2,1),(28,7028610,'1994-06-03 00:00:00',2,10,11,2011,'F','N','SÃO BASÍLIO','BRAÇO NORTE','SC','124242241215121731438634575122610123097',12829,'806',40.27,1,3,NULL),(28,7028628,'1993-02-28 00:00:00',4,6,11,2010,'M','N','TANGUA','ALM TAMANDARÉ','PR','116162161215471431558814575112610164147',NULL,'9998',0.00,3,3,NULL),(28,7028636,'1992-05-15 00:00:00',2,1,7,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241247335141411223724445124610125142',NULL,'9999',26.77,1,3,NULL),(28,7028644,'1994-07-13 00:00:00',4,2,12,2011,'F','N','JARDIM PINDORAMA','RONDONÓPOLIS','MT','111112111217151431368711575122610142142',14298,'9998',46.95,1,3,NULL),(28,7028652,'1994-07-07 00:00:00',5,15,12,2011,'F','N','SÃO CRISTÓVÃO','TURVO','SC','124242246216141431446816485124610144141',12094,'995',50.40,1,3,NULL),(28,7028660,'1994-11-04 00:00:00',2,5,11,2011,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124244241215131731335834345122610137142',15843,'213',43.99,1,3,NULL),(28,7028679,'1994-06-25 00:00:00',4,4,11,2011,'M','N','CANGO','FRANCISCO BELTRÃO','PR','116161161217111411333616465112610164012',60,'9998',81.31,1,3,NULL),(28,7028687,'1994-09-14 00:00:00',4,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241211272732426774575124610167117',NULL,'1078',25.58,1,3,NULL),(28,7028695,'1994-04-14 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431388913572122610145192',7948,'262',52.75,1,3,NULL),(28,7028709,'1995-02-04 00:00:00',4,1,11,2011,'M','N','SANTA TEREZINHA','PATO BRANCO','PR','116162161215121431359931573115610144042',98,'9998',80.57,1,3,NULL),(28,7028717,'1994-12-19 00:00:00',4,10,12,2011,'F','N','KM SESSENTA','TUBARÃO','SC','124241248215111431434711575124610161147',12457,'806',41.22,1,3,NULL),(28,7028725,'1994-09-02 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431368811495112610122191',2737,'270',62.74,1,3,NULL),(28,7028733,'1993-08-31 00:00:00',2,1,12,2010,'F','N','SÃO JOÃO','PTO ALEGRE','RS','120204201216371751438811595124610142187',9752,'9998',48.43,1,3,NULL),(28,7028741,'1992-10-14 00:00:00',4,1,12,2009,'F','N','ZONA SETE','MARINGÁ','PR','116161161117371431436911215125610133097',9949,'9998',53.80,1,2,1),(28,7028768,'1994-08-03 00:00:00',2,24,11,2011,'M','N','SUMARÉ','RIO SUL','SC','124242241217111431359713572122610167182',NULL,'654',30.60,1,3,NULL),(28,7028776,'1989-02-02 00:00:00',4,16,12,2006,'M','N','CENTRO CÍVICO','CURITIBA','PR','116243241216573441427932575125141532057',470,'881',74.15,1,3,NULL),(28,7028792,'1993-06-22 00:00:00',4,2,11,2011,'F','N','SALTO WEISSBACH','BLUMENAU','SC','124242241216111431238824575122610124142',15549,'855',33.75,1,3,NULL),(28,7028806,'1994-01-22 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471431389921575115610147072',14465,'262',46.64,1,3,NULL),(28,7028814,'1992-07-04 00:00:00',2,1,11,2009,'F','N','CANGO','FRANCISCO BELTRÃO','PR','116161168216252751549933595115610164122',1645,'9998',67.55,1,3,NULL),(28,7028822,'1994-05-30 00:00:00',4,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215222411369933575122610161092',8189,'1051',48.59,1,3,NULL),(28,7028830,'1993-11-01 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215472411449914575124610126122',6254,'213',55.08,1,3,NULL),(28,7028849,'1994-06-21 00:00:00',4,5,11,2011,'F','N','MICHEL','CRICIÚMA','SC','124242241215151431457813585122610138192',17431,'210',40.46,1,3,NULL),(28,7028857,'1994-08-14 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215112431346422275124610138187',8263,'1022',49.88,1,3,NULL),(28,7028865,'1993-09-23 00:00:00',4,27,12,2011,'M','N','SANTA MÔNICA','UBERLÂNDIA','MG','113132138216111231469613575124610127062',10619,'9998',44.89,1,3,NULL),(28,7028881,'1993-01-17 00:00:00',2,8,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116161161216573431369913594124610162182',1973,'9998',64.04,1,3,NULL),(28,7028890,'1995-03-11 00:00:00',4,1,12,2012,'M','S','BARREIROS','S JOSÉ','SC','124241241117151731545534575124610127057',NULL,'733',17.25,1,3,NULL),(28,7028903,'1994-11-20 00:00:00',4,3,12,2011,'M','N','JUVEVÊ','CURITIBA','PR','116242161211111411559911575124610132072',837,'9998',71.18,4,3,NULL),(28,7028911,'1994-06-28 00:00:00',4,1,12,2011,'F','N','TRANSURB','ITAPEVI','SP','125254251217111741646624575122610167147',10672,'9998',44.96,1,3,NULL),(28,7028920,'1994-04-10 00:00:00',2,1,11,2011,'F','N','JARDIM BELA VISTA','S JOSÉ CAMPOS','SP','125251251215111431443332575122610115092',10652,'9998',46.17,1,3,NULL),(28,7028938,'1993-08-04 00:00:00',4,1,12,2011,'F','N','CENTRO','STO ANDRÉ','SP','125252251216371431358834575112610122073',8092,'9998',48.90,1,3,NULL),(28,7028946,'1994-11-09 00:00:00',4,6,12,2011,'M','N','CENTRO','ITAJAÍ','SC','124241241215151431535514575125610167042',7546,'388',49.70,1,3,NULL),(28,7028954,'1993-05-19 00:00:00',4,4,12,2011,'F','N','BELVEDERE','CHAPECÓ','SC','124243241135151431426622341124610124017',16336,'197',35.27,1,3,NULL),(28,7028962,'1993-11-24 00:00:00',2,1,12,2011,'M','N','SETOR SUL','GOIANÉSIA','GO','109093091215111431466923576124610167174',4102,'9998',59.20,1,3,NULL),(28,7028970,'1994-12-18 00:00:00',2,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124241241115131731434614285122610134077',20039,'733',27.46,1,2,1),(28,7028989,'1992-03-01 00:00:00',5,1,7,2011,'F','N','AREIAS','S JOSÉ','SC','124244243117371431436623375124610134142',11364,'306',45.41,2,1,2),(28,7028997,'1990-04-30 00:00:00',4,1,11,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124212241215575431356823575124610164041',1621,'270',65.30,1,3,NULL),(28,7029004,'1994-05-30 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117371731436923575124610124195',16023,'257',37.59,1,2,1),(28,7029039,'1993-05-13 00:00:00',2,4,12,2010,'F','N','PRIMAVERA','XAXIM','SC','124241241116271431436919295122610124187',14424,'847',38.48,1,2,1),(28,7029047,'1993-03-27 00:00:00',4,8,12,2009,'M','N','CLAUDETE','CASCAVEL','PR','116161161116471431446631175112141424142',6400,'9998',59.87,1,2,1),(28,7029055,'1992-07-24 00:00:00',2,22,11,2009,'M','N','SOUZA CRUZ','BRUSQUE','SC','124242241216133411436611285112610167017',15760,'1244',35.36,1,3,NULL),(28,7029071,'1993-05-18 00:00:00',2,27,12,2010,'M','N','AGOSTINI','S MIGUEL OESTE','SC','124241241117141421445936445122610117042',NULL,'55',0.00,1,3,NULL),(28,7029080,'1992-12-16 00:00:00',4,6,12,2010,'F','N','CENTRO','ESPÍRITO STO PINHAL','SP','125254251216471431569619575122610137057',881,'9998',71.13,1,3,NULL),(28,7029098,'1994-10-06 00:00:00',2,22,10,2011,'F','N','CENTRO','NOVA TRENTO','SC','124241248216113731523822575124613264142',13489,'981',41.03,1,3,NULL),(28,7029101,'1994-06-11 00:00:00',4,2,11,2011,'F','N','VILA NOVA','BLUMENAU','SC','124243248437111431538639391124610144183',16721,'1018',31.44,1,3,NULL),(28,7029110,'1994-12-26 00:00:00',4,25,12,2011,'F','N','BERGER','CAÇADOR','SC','124243241215111431369933571112610136172',8939,'120',55.52,1,3,NULL),(28,7029136,'1994-12-02 00:00:00',4,8,12,2011,'F','N','CENTRO','MAFRA','SC','124243241235271431434512575112610123142',NULL,'9997',0.00,1,3,NULL),(28,7029144,'1992-09-11 00:00:00',4,8,12,2010,'M','N','JARDIM HOLIDAY','S PEDRO','SP','125252251217471431637811312125610167182',13677,'9998',47.92,1,3,NULL),(28,7029152,'1994-04-30 00:00:00',4,8,12,2011,'F','N','CENTRO','GUARATUBA','PR','124162241215111431346732295124610144097',NULL,'1105',0.00,1,3,NULL),(28,7029160,'1991-11-05 00:00:00',2,1,12,2008,'F','N','REAL PARQUE','S JOSÉ','SC','124244241315272431333811345122231325182',19191,'734',34.40,1,3,NULL),(28,7029179,'1994-09-26 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORES CUNHA','RS','119202201315471431338732275124610122142',NULL,'9998',0.00,1,3,NULL),(28,7029195,'1994-07-14 00:00:00',2,5,11,2011,'M','N','CEARÁ','CRICIÚMA','SC','124243241215111432559612275114610137112',19800,'226',30.31,1,3,NULL),(28,7029209,'1995-12-10 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111411446933575122610128187',16211,'1118',43.31,1,3,NULL),(28,7029217,'1988-11-02 00:00:00',4,23,12,2006,'M','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241347151511326524285124232324182',13529,'442',48.20,1,3,NULL),(28,7029233,'1994-03-30 00:00:00',4,1,11,2011,'F','N','JARDINS FLORENCA','GOIÂNIA','GO','109092091216111431558832574112610163122',3145,'9998',58.97,1,3,NULL),(28,7029241,'1944-10-04 00:00:00',4,8,12,2011,'M','N','ITAUM','JOINVILLE','SC','124242241215111431468612275122610132071',NULL,'489',0.00,1,3,NULL),(28,7029268,'1994-04-21 00:00:00',4,1,11,2011,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215112431469811275114610167015',1901,'270',64.73,1,3,NULL),(28,7029276,'1991-02-06 00:00:00',2,8,12,2008,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124051051116371431166415345124231437052',14389,'9998',37.36,2,1,1),(28,7029284,'1994-12-05 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124163241217112431459913475124610134142',NULL,'270',37.88,1,3,NULL),(28,7029292,'1995-05-23 00:00:00',4,1,12,2011,'F','N','BIGORRILHO','CURITIBA','PR','116252161215121431339614195122610126012',2613,'9998',62.94,1,3,NULL),(28,7029306,'1994-06-29 00:00:00',2,1,11,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215271751268731572114610164147',NULL,'1169',14.57,1,3,NULL),(28,7029314,'1993-09-15 00:00:00',4,1,12,2011,'M','N','PARQUE INTERLAGOS','S JOSÉ CAMPOS','SP','125254251216121211333631575114610117074',NULL,'9998',0.00,4,3,NULL),(28,7029322,'1994-09-19 00:00:00',1,2,12,2011,'M','N','TESTO REGA','POMERODE','SC','124242241216111431446933575122610117057',5690,'624',55.08,1,3,NULL),(28,7029330,'1993-06-28 00:00:00',4,1,12,2011,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241116141431226379285124610136052',19450,'307',23.69,1,2,1),(28,7029349,'1989-09-21 00:00:00',6,1,11,2010,'M','N','CAÇADOR','CAPIVARI BAIXO','SC','124241241127131411427729445114610147142',20145,'521',24.69,1,3,NULL),(28,7029357,'1994-05-22 00:00:00',2,1,12,2011,'F','N','FLORESTA','BELO HORIZONTE','MG','113132131217271441459934375122610167092',3945,'9998',58.70,1,3,NULL),(28,7029365,'1993-06-17 00:00:00',2,1,12,2010,'F','N','RATONES','FLORIANÓPOLIS','SC','124162241215472431457634572122610164111',5381,'270',54.12,1,3,NULL),(28,7029373,'1993-05-02 00:00:00',2,1,12,2011,'F','N','JD CIDADE DE FPOLIS','S JOSÉ','SC','124242241215111431226624495124610123017',NULL,'738',20.25,4,1,2),(28,7029381,'1994-09-03 00:00:00',4,22,12,2011,'M','N','AZAMBUJA','BRUSQUE','SC','124242241217271431469819245122610137182',9725,'106',42.66,1,3,NULL),(28,7029403,'1994-02-05 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215273711356823575124233268014',NULL,'988',35.49,1,3,NULL),(28,7029411,'1994-03-03 00:00:00',4,1,12,2011,'M','N','CHACARA DO PAIVA','SETE LAGOAS','MG','113132131217131431559923575121610147014',2351,'9998',60.64,2,3,NULL),(28,7029420,'1992-11-07 00:00:00',4,1,11,2010,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091236272451489833571122142461182',1311,'9998',67.71,4,3,NULL),(28,7029438,'1992-06-12 00:00:00',2,1,6,2011,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241248112272431323331372124610124147',8649,'306',48.64,1,2,1),(28,7029446,'1993-04-01 00:00:00',2,2,12,2010,'F','N','PARQUE NOVA JANDIRA','JANDIRA','SP','125251251115151431448634575112610146147',NULL,'9998',0.00,1,2,1),(28,7029454,'1994-05-09 00:00:00',4,1,11,2011,'M','N','JARDIM SANTA MARIA','JACAREÍ','SP','125252251215111231486631575112610117047',3045,'9998',59.71,1,3,NULL),(28,7029462,'1995-02-10 00:00:00',2,15,12,2011,'F','N','SÃO LUIZ','SOMBRIO','SC','124241241117131431226664295124610126197',9938,'1033',46.21,1,2,1),(28,7029470,'1993-06-28 00:00:00',4,10,12,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215473431479911572112610115192',3100,'806',61.17,1,3,NULL),(28,7029489,'1994-01-09 00:00:00',4,1,12,2011,'M','N','VILA NOVA','PRES PRUDENTE','SP','125252251217111431568812475122610137092',NULL,'9998',0.00,1,3,NULL),(28,7029497,'1993-03-22 00:00:00',4,8,12,2009,'F','N','BUCAREIN','JOINVILLE','SC','124242241215573451236923572112610166076',4919,'1063',56.66,1,3,NULL),(28,7029500,'1994-06-05 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241216372431426669575124132926042',8110,'738',50.66,4,3,NULL),(28,7029519,'1994-07-06 00:00:00',4,1,12,2011,'M','N','BELA VISTA','S JOSÉ','SC','124241241117151531643723575114610112057',NULL,'257',24.61,4,2,1),(28,7029527,'1993-08-25 00:00:00',2,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124244241215111731337832595125610167092',16005,'1134',35.13,1,3,NULL),(28,7029535,'1994-02-03 00:00:00',2,10,11,2011,'F','N','SANTO ANDRÉ','CAPIVARI BAIXO','SC','124242241215112431457934475122610163192',7394,'806',50.38,1,3,NULL),(28,7029543,'1995-01-13 00:00:00',4,1,11,2012,'F','S','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217121431449913575122610142072',NULL,'270',47.67,1,3,NULL),(28,7029551,'1993-04-02 00:00:00',2,8,12,2010,'F','N','CENTRO','ITAIÓPOLIS','SC','124242241226271141436823235112610114054',NULL,'1024',22.97,1,3,NULL),(28,7029560,'1992-08-14 00:00:00',2,1,12,2010,'M','N','ARUÃ ECO PARK','MOGI CRUZES','SP','125252258616151751544419593125610167122',5770,'9998',53.17,1,3,NULL),(28,7029578,'1992-07-08 00:00:00',2,1,6,2010,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241117371431428413342124610123042',NULL,'307',27.08,1,2,1),(28,7029586,'1992-07-17 00:00:00',2,1,12,2010,'F','N','SERTAO DO MARUIM','S JOSÉ','SC','124241241147151631223454342134610135057',14214,'1155',37.88,1,2,1),(28,7029594,'1994-04-20 00:00:00',4,1,11,2011,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242241215111431536833575124610128082',11547,'1022',51.25,1,3,NULL),(28,7029608,'1993-12-18 00:00:00',4,8,10,2011,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216121431469613575122610117182',665,'1063',73.46,1,3,NULL),(28,7029616,'1993-01-27 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216573431436814475124610133142',10291,'1022',44.69,1,3,NULL),(28,7029632,'1994-04-13 00:00:00',4,1,12,2011,'F','N','SÃO LUIZ','AMERICANA','SP','125252251216112731443832325122610134142',8603,'9998',49.50,1,3,NULL),(28,7029640,'1995-10-22 00:00:00',4,1,10,2012,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111431439832595112610137042',NULL,'262',43.85,1,3,NULL),(28,7029659,'1990-02-23 00:00:00',6,1,12,2011,'M','N','SETOR CENTRAL','S LUÍS M BELOS','GO','109091098117172721216621415114610152141',NULL,'9998',20.82,4,2,1),(28,7029675,'1993-12-27 00:00:00',4,1,11,2011,'M','N','ITACURUBI','FLORIANÓPOLIS','SC','124244241215111431348614315114610112117',8006,'270',50.98,4,3,NULL),(28,7029683,'1993-02-09 00:00:00',4,1,11,2010,'M','N','JARDIM ALVORADA','S JOSÉ CAMPOS','SP','125254251215371411589832575122610117092',3625,'9998',56.41,1,3,NULL),(28,7029691,'1994-02-24 00:00:00',4,6,12,2011,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241215111431558911575124610154057',1310,'392',68.55,1,3,NULL),(28,7029705,'1989-10-01 00:00:00',4,1,11,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124222221216273411228923372124121443147',3106,'9998',59.44,4,3,NULL),(28,7029713,'1992-10-12 00:00:00',4,8,11,2010,'M','N','CENTRO','JOINVILLE','SC','124242241216472431465812575122610164042',6063,'457',60.49,1,3,NULL),(28,7029721,'1995-05-10 00:00:00',4,25,11,2012,'F','S','CENTRO','FRAIBURGO','SC','124242241217111331368812425122610125142',NULL,'885',28.00,1,3,NULL),(28,7029748,'1992-09-29 00:00:00',2,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124012011216371431679714575113142846097',6267,'9998',54.52,1,3,NULL),(28,7029756,'1994-06-01 00:00:00',4,1,12,2011,'M','N','VILA PARAIBA','GUARATINGUETÁ','SP','125252251214111431428811575312610164042',NULL,'9998',0.00,1,3,NULL),(28,7029764,'1992-07-18 00:00:00',4,1,12,2009,'F','N','FREZARIN','AMERICANA','SP','125252251216571411479834572122141434042',4021,'9998',57.13,1,3,NULL),(28,7029780,'1994-03-31 00:00:00',4,1,12,2011,'F','N','PARQUE CIDADE JARDIM','UMUARAMA','PR','116162161226121411385532575122610132192',NULL,'9998',0.00,1,3,NULL),(28,7029802,'1992-11-17 00:00:00',4,5,12,2009,'M','N','SANTA AUGUSTA','CRICIÚMA','SC','124162161216573451436929574124610168182',2875,'9998',61.47,3,3,NULL),(28,7029810,'1993-07-09 00:00:00',4,8,11,2011,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241115271441547669392124610157147',11173,'478',41.89,4,2,1),(28,7029829,'1994-10-27 00:00:00',4,1,11,2011,'M','N','ALPHAVILLE','BARUERI','SP','125252251217111331668712585114610122187',10486,'9998',52.94,1,3,NULL),(28,7029853,'1991-12-12 00:00:00',4,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124161168116473711435924342124610133147',17039,'9998',32.77,1,2,1),(28,7029861,'1995-05-18 00:00:00',2,15,12,2011,'M','N','CENTRO','LGA VERMELHA','RS','120202201116151431323629575112610167012',19494,'9998',32.74,1,3,NULL),(28,7029888,'1994-08-27 00:00:00',4,1,11,2011,'F','N','PONTE IMARUIM','PALHOÇA','SC','124241241115141231226633345124610125147',16833,'592',33.91,1,2,1),(28,7029896,'1994-03-04 00:00:00',4,15,12,2011,'F','N','CENTRO','ARARANGUÁ','SC','124243241215321431547934475125610127147',14109,'970',38.11,1,3,NULL),(28,7029918,'1993-03-02 00:00:00',4,1,12,2009,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215372431256924472122610122122',13275,'270',48.59,1,3,NULL),(28,7029926,'1993-08-01 00:00:00',2,1,12,2011,'F','N','CENTRO','ARAÇATUBA','SP','125252251216111431378814575112610167142',NULL,'9998',19.38,1,3,NULL),(28,7029934,'1994-06-22 00:00:00',2,4,12,2011,'F','N','CRISTO REI','CHAPECÓ','SC','124241241115131111646614245124610132077',NULL,'916',21.10,1,2,1),(28,7029950,'1994-11-01 00:00:00',4,10,12,2011,'F','N','TERMAS','GRAVATAL','SC','124243241215112441348933575124610127142',6330,'806',52.39,1,3,NULL),(28,7029969,'1989-11-15 00:00:00',4,1,12,2006,'F','N','VILA CLÁUDIA','S PAULO','SP','125252251217571751247814585114510138147',2501,'9998',61.40,1,3,NULL),(28,7029977,'1994-10-12 00:00:00',4,23,12,2011,'F','N','ÁGUA VERDE','JARAGUÁ SUL','SC','124241241216111431439412575122610134147',14546,'1174',41.37,1,3,NULL),(28,7029985,'1993-05-13 00:00:00',4,6,7,2010,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124242281415572431489914575124610167142',616,'9998',72.19,1,3,NULL),(28,7029993,'1995-07-04 00:00:00',4,1,11,2011,'F','N','JARDIM AMERICA','GOIÂNIA','GO','109092091215111431345833575122610127057',11808,'9998',50.84,1,3,NULL),(28,7030010,'1993-09-08 00:00:00',2,1,11,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124242241212473431437657575124610123154',5925,'270',53.65,1,3,NULL),(28,7030029,'1994-12-05 00:00:00',4,2,11,2011,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215271431338823575112610134182',7704,'909',49.53,1,3,NULL),(28,7030037,'1993-09-24 00:00:00',2,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116142431466313395124132735043',NULL,'307',27.17,1,3,NULL),(28,7030045,'1993-12-19 00:00:00',2,1,11,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215223731356633595124610122193',12447,'270',41.96,1,3,NULL),(28,7030061,'1994-05-08 00:00:00',4,1,12,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124244241215111431457613575124610162011',9894,'270',48.48,1,3,NULL),(28,7030070,'1994-11-09 00:00:00',4,2,12,2011,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124241246217141411623811345132610168042',1960,'1018',64.17,1,3,NULL),(28,7030096,'1993-09-07 00:00:00',2,1,11,2010,'F','N','FLORESTA','S JOSÉ','SC','124242241216372751337923372122132537016',12620,'270',42.76,1,3,NULL),(28,7030100,'1992-07-06 00:00:00',4,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241235121422439833585124610113185',18100,'1022',38.61,1,3,NULL),(28,7030118,'1994-03-02 00:00:00',4,1,12,2011,'F','N','SERRARIAS','S JOSÉ','SC','124241241115111731523411345122610164182',NULL,'730',29.37,1,2,1),(28,7030126,'1994-01-26 00:00:00',4,3,11,2011,'M','N','ECOVILLE','CURITIBA','PR','116162161215121431368814395112610164042',9133,'9998',48.91,1,3,NULL),(28,7030142,'1994-11-05 00:00:00',4,9,10,2011,'M','N','CENTRO','CURITIBA','PR','116114161215471331368714574122610134062',NULL,'9998',0.00,1,3,NULL),(28,7030150,'1995-01-10 00:00:00',5,1,12,2011,'F','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','124242241216271731238922575124610146145',2296,'1063',68.87,1,3,NULL),(28,7030177,'1993-01-18 00:00:00',4,1,12,2010,'M','N','JARDIM SÃO PAULO','AMERICANA','SP','125254251216471431456612245122610144192',5843,'9998',55.81,1,3,NULL),(28,7030185,'1993-04-02 00:00:00',4,23,11,2011,'M','N','GUABIROTUBA','CURITIBA','PR','116162161215411511458711575114610124042',12080,'9998',40.54,1,3,NULL),(28,7030193,'1992-08-12 00:00:00',2,8,10,2010,'M','N','CENTRO','CURITIBA','PR','116161161315572411444319575115610165042',NULL,'9998',0.00,1,3,NULL),(28,7030207,'1993-11-05 00:00:00',4,1,11,2011,'M','N','SANTA TERESINHA','S PAULO','SP','125252251217111431468814575124610124097',NULL,'9998',0.00,1,3,NULL),(28,7030215,'1991-12-13 00:00:00',4,1,12,2008,'F','N','BELA VISTA','S PAULO','SP','125252251215571731584632571122143232012',633,'9998',72.85,3,3,NULL),(28,7030223,'1994-04-01 00:00:00',4,8,12,2011,'F','N','GLÓRIA','JOINVILLE','SC','124244241215111431629714595122610127147',10713,'457',52.57,1,3,NULL),(28,7030240,'1993-02-26 00:00:00',3,1,7,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242281215371431569933575112610167145',2944,'9998',64.52,1,3,NULL),(28,7030258,'1993-12-28 00:00:00',4,1,12,2011,'F','N','VILA SUZANA','S PAULO','SP','125252251217271431488834575124610124147',3786,'9998',60.30,1,3,NULL),(28,7030266,'1992-09-19 00:00:00',4,1,12,2010,'F','N','MARIA DO CARMO','S BORJA','RS','120251251117142441325321571324242032092',11435,'9998',40.03,4,2,1),(28,7030282,'1993-07-17 00:00:00',4,1,11,2010,'F','N','CAIÇARAS','LONDRINA','PR','116162161215472431469913575122610162182',NULL,'9998',0.00,1,3,NULL),(28,7030290,'1981-06-22 00:00:00',2,1,7,2007,'F','N','CENTRO CÍVICO','CURITIBA','PR','116243247426171431226479195124242226083',NULL,'9999',0.00,1,3,NULL),(28,7030304,'1992-01-06 00:00:00',4,1,12,2009,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124252241216372431476672275122121418112',13888,'270',47.58,1,3,NULL),(28,7030320,'1994-03-16 00:00:00',4,8,12,2011,'F','N','JARDIM PAULISTA','OURINHOS','SP','125252251235111731558811572122610124052',10221,'9998',44.55,1,3,NULL),(28,7030339,'1994-09-14 00:00:00',2,1,12,2011,'F','N','FUNDOS','BIGUAÇU','SC','124242241315131331349723585124610127092',14614,'9997',36.94,2,1,2),(28,7030347,'1993-06-25 00:00:00',4,1,12,2010,'F','N','PAIQUERÊ','VALINHOS','SP','125252251215471431578814572122610115142',2407,'9998',63.63,1,3,NULL),(28,7030355,'1988-05-10 00:00:00',2,1,12,2005,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201201116131431223344345234143227087',NULL,'9998',33.67,1,3,NULL),(28,7030363,'1992-03-19 00:00:00',4,8,12,2009,'M','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251216571731468813285112610167047',15200,'9998',35.14,1,3,NULL),(28,7030371,'1992-06-03 00:00:00',4,3,12,2009,'F','N','ÁGUA FRIA','S PAULO','SP','125252251216371411559911375124610163122',NULL,'9998',0.00,1,3,NULL),(28,7030380,'1990-12-12 00:00:00',4,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124072071216574741369932575114121462095',4,'9998',87.25,1,3,NULL),(28,7030398,'1993-11-19 00:00:00',2,5,12,2011,'M','N','NS DA SALETE','CRICIÚMA','SC','124244246415131421536914575114610117062',9310,'995',46.05,1,3,NULL),(28,7030401,'1993-12-19 00:00:00',2,4,12,2011,'F','N','EFAPI','CHAPECÓ','SC','124241241415111431323324575124610126177',3338,'1192',58.56,1,3,NULL),(28,7030410,'1994-05-03 00:00:00',4,1,12,2011,'M','N','PLANALTO VERDE','RIBEIRÃO PRETO','SP','125252251215471431456833575122610137042',8175,'9998',45.50,1,3,NULL),(28,7030436,'1994-12-28 00:00:00',2,17,12,2011,'M','N','CENTRO','PTO UNIÃO','SC','124243241215111431469813572122610132062',898,'633',69.32,1,3,NULL),(28,7030444,'1990-08-11 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431467838572112121467041',9062,'270',55.31,1,3,NULL),(28,7030452,'1993-01-13 00:00:00',2,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111431459814275122610127042',17395,'272',30.30,1,3,NULL),(28,7030479,'1991-02-16 00:00:00',4,1,12,2008,'M','N','JARDIM CONTINENTAL','MARÍLIA','SP','125254251216573431558813575122610167042',1682,'9998',64.59,1,3,NULL),(28,7030487,'1994-09-03 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241235152431449613295121610164057',4251,'738',57.18,1,3,NULL),(28,7030509,'1994-06-26 00:00:00',4,22,10,2011,'M','N','SANTA RITA','BRUSQUE','SC','124242241215111451439613575125610167142',2609,'1244',67.97,1,3,NULL),(28,7030517,'1988-11-14 00:00:00',2,1,6,2011,'M','N','JARDIM JANAINA','BIGUAÇU','SC','124244247435151731535532125122610126142',15228,'9999',45.18,1,3,NULL),(28,7030525,'1995-05-23 00:00:00',2,1,12,2011,'F','N','SETOR SUDOESTE','CRUZEIRO','DF','107072071216111631468833575122610167042',NULL,'9998',20.77,4,3,NULL),(28,7030533,'1988-07-28 00:00:00',2,1,12,2005,'M','N','VILA AURORA','S PAULO','SP','125252251416151441469713495124441666192',8323,'9998',49.59,1,3,NULL),(28,7030541,'1994-05-18 00:00:00',4,1,11,2011,'F','N','ALPHAVILLE','BARUERI','SP','125252251216271431368814575122610166072',5270,'9998',53.89,3,3,NULL),(28,7030550,'1994-10-26 00:00:00',4,23,11,2011,'F','N','JOÃO TOZINI','CORUPÁ','SC','124241246215151531336824575114610141142',19414,'1061',33.25,1,3,NULL),(28,7030568,'1991-12-16 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217154431449713575124233264012',9935,'723',45.98,1,3,NULL),(28,7030592,'1989-06-09 00:00:00',4,1,12,2006,'F','N','JARDIM ANÁLIA FRANCO','S PAULO','SP','125252251216471431468612575125343262197',613,'9998',72.61,1,3,NULL),(28,7030606,'1994-10-30 00:00:00',4,2,12,2011,'F','N','MARGEM ESQUERDA','GASPAR','SC','124241241115271431446632395122610156012',NULL,'327',0.00,1,2,1),(28,7030614,'1993-09-28 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124243241215372431425624575114610163147',13907,'1022',47.55,1,3,NULL),(28,7030622,'1994-02-11 00:00:00',4,1,12,2011,'F','N','CENTRO','BRAGANÇA PAULISTA','SP','125252251215111411528812595122610132112',NULL,'9998',0.00,1,3,NULL),(28,7030630,'1994-10-07 00:00:00',4,1,10,2011,'M','N','SERRARIA','S JOSÉ','SC','124242241235112431378923575122610127052',3360,'1050',62.74,1,3,NULL),(28,7030649,'1994-04-18 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431588613575112610164042',9835,'262',53.98,1,3,NULL),(28,7030657,'1994-07-27 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431359923575122610164142',426,'723',75.04,1,3,NULL),(28,7030665,'1995-05-29 00:00:00',2,15,12,2011,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215111431358819572112610123142',6900,'970',51.28,1,3,NULL),(28,7030673,'1995-10-05 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469933575122610127052',15475,'270',44.74,1,3,NULL),(28,7030681,'1995-02-23 00:00:00',4,2,11,2011,'F','N','VILA NOVA','BLUMENAU','SC','124242241215111431339834575122210132141',5430,'909',53.98,1,3,NULL),(28,7030690,'1992-11-12 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216473431468833585122231064147',12919,'270',49.11,1,3,NULL),(28,7030703,'1994-07-08 00:00:00',2,8,12,2011,'F','N','PIRABEIRABA','JOINVILLE','SC','124241241116131431434654575124610132142',NULL,'474',14.94,1,2,1),(28,7030720,'1990-07-25 00:00:00',2,4,12,2007,'F','N','CENTRO','CURITIBA','PR','116254251216573431337823575114610162147',5278,'9998',56.82,1,3,NULL),(28,7030738,'1995-06-05 00:00:00',2,5,11,2011,'M','N','CENTRO','FORQUILHINHA','SC','124242246215111431466632575124610142042',NULL,'995',30.69,1,3,NULL),(28,7030746,'1993-12-08 00:00:00',2,1,12,2010,'M','N','SANTA TEREZA','PTO ALEGRE','RS','120202201216271451558933575124610127042',649,'9998',70.89,1,3,NULL),(28,7030754,'1994-10-02 00:00:00',2,4,12,2011,'F','N','CENTRO','ITAPIRANGA','SC','124241241116161431439913572122610144142',10662,'412',45.33,1,2,1),(28,7030762,'1994-09-01 00:00:00',2,1,12,2011,'F','N','SÃO LUIZ','AMERICANA','SP','125252251217111451569614445122610124052',18867,'9998',28.43,1,3,NULL),(28,7030789,'1991-11-01 00:00:00',2,1,12,2009,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241117572731588764375122133266052',NULL,'951',0.00,1,3,NULL),(28,7030797,'1992-09-17 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241117272431528813575124610167142',10425,'307',53.04,1,3,NULL),(28,7030800,'1994-07-18 00:00:00',2,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116132431446911375124610132197',4037,'267',60.46,1,2,1),(28,7030819,'1993-07-15 00:00:00',2,8,12,2010,'F','N','IRIRIÚ','JOINVILLE','SC','124241246216471431426654575124610132092',12631,'1105',49.58,1,3,NULL),(28,7030835,'1993-02-11 00:00:00',2,1,11,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241116372411257923575114610163192',10372,'271',45.94,1,2,1),(28,7030851,'1993-09-24 00:00:00',4,1,12,2010,'F','N','MOOCA','S PAULO','SP','125252251216571731468811575124610152097',353,'9998',73.51,1,3,NULL),(28,7030878,'1993-08-04 00:00:00',4,23,12,2011,'F','N','VILA NOVA','JARAGUÁ SUL','SC','124243241215111431369414285112610132192',3021,'441',60.71,1,3,NULL),(28,7030894,'1992-09-12 00:00:00',4,1,11,2009,'M','N','SÃO JUDAS','S PAULO','SP','125252251216572431368821575112610167017',1035,'9998',66.56,1,3,NULL),(28,7030908,'1993-07-29 00:00:00',4,1,11,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124112111117472431369911575124610122182',3766,'9998',60.38,1,3,NULL),(28,7030916,'1994-08-11 00:00:00',4,1,12,2011,'F','N','HIGIENÓPOLIS','CATANDUVA','SP','125252251217111411358814475112610146182',NULL,'9998',0.00,1,3,NULL),(28,7030924,'1991-03-19 00:00:00',4,8,12,2008,'M','N','JARDIM PAULISTA','OURINHOS','SP','116252251216572451589834575122610167047',4141,'9998',56.16,1,3,NULL),(28,7030932,'1994-05-30 00:00:00',4,1,12,2011,'F','N','NOVO CENTRO','MARINGÁ','PR','116162161217371411469933595112610167075',12424,'9998',41.91,1,3,NULL),(28,7030940,'1985-11-13 00:00:00',2,1,1,2012,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241247326141431533314145124610131091',17355,'9999',40.64,1,3,NULL),(28,7030959,'1992-08-20 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116152231423319572124610132147',12474,'307',39.68,1,2,1),(28,7030967,'1991-12-21 00:00:00',2,1,12,2009,'F','N','ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC','124244241216272421488812575124133218195',5951,'270',54.98,1,3,NULL),(28,7030983,'1993-10-22 00:00:00',4,9,12,2010,'F','N','SETOR CAMPESTRE','RIO VERDE','GO','109092091215472431558723572125610122142',805,'9998',70.07,1,3,NULL),(28,7030991,'1993-09-29 00:00:00',4,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124241241117472751228623375124610126152',10222,'730',44.53,1,2,1),(28,7031009,'1993-11-24 00:00:00',4,1,11,2011,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215111431368739572122610131112',2231,'270',63.48,1,3,NULL),(28,7031017,'1993-03-22 00:00:00',4,16,12,2009,'F','N','BELA VISTA','FRAIBURGO','SC','124241241116573731658514595112610142042',9578,'314',47.76,1,2,1),(28,7031025,'1994-09-05 00:00:00',2,5,11,2011,'F','N','SÃO DEFENDE','CRICIÚMA','SC','124242241215111431238923575124610134072',NULL,'880',21.20,1,3,NULL),(28,7031033,'1995-01-14 00:00:00',2,4,12,2011,'M','N','CENTRO','CHAPECÓ','SC','124242241217151431469913475122610137012',3124,'1192',62.47,1,3,NULL),(28,7031041,'1992-02-05 00:00:00',2,1,12,2009,'M','N','PIRITUBA','S PAULO','SP','125253251216471731236811575124143262185',5306,'9998',54.66,1,3,NULL),(28,7031050,'1990-08-14 00:00:00',2,4,12,2007,'F','N','EFAPI','CHAPECÓ','SC','124241241111574431468613375114610166142',11327,'572',44.75,1,2,1),(28,7031068,'1994-01-19 00:00:00',4,1,11,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215112431338613575124610141177',5481,'270',55.16,1,3,NULL),(28,7031076,'1994-10-06 00:00:00',4,23,12,2011,'F','N','VILA NOVA','JARAGUÁ SUL','SC','124244241215111431458923575122610125197',3631,'1061',58.11,1,3,NULL),(28,7031084,'1993-08-20 00:00:00',4,8,12,2010,'F','N','SCHRAMM','S BENTO SUL','SC','124244241215371411358714575124610162197',NULL,'1073',0.00,1,3,NULL),(28,7031092,'1994-07-15 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241115271431456932575122610127182',4479,'213',59.81,1,3,NULL),(28,7031106,'1990-12-16 00:00:00',4,1,12,2008,'M','N','VILA PROGRÉDIOR','S PAULO','SP','125252251237572441478713575114610164042',1015,'9998',67.09,4,3,NULL),(28,7031114,'1995-08-29 00:00:00',4,1,12,2011,'F','N','JARDIM ATLÂNTICO','S JOSÉ','SC','124242241215111731448623572122610166092',19911,'723',29.20,4,3,NULL),(28,7031122,'1994-02-22 00:00:00',2,6,11,2011,'F','N','CENTRO','ITAJAÍ','SC','124242241215111431547824392125610132142',14990,'392',34.96,1,3,NULL),(28,7031130,'1994-02-28 00:00:00',4,1,12,2011,'M','N','JARDINS','ARACAJU','SE','126052261215111431369911575122610124052',NULL,'9998',0.00,1,3,NULL),(28,7031149,'1994-11-27 00:00:00',4,1,11,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217111731367813375114610154011',8238,'1022',50.00,1,3,NULL),(28,7031157,'1991-06-22 00:00:00',4,1,11,2009,'M','N','JARDIM PAULISTA','S PAULO','SP','125252251236572431389911575114141167077',2391,'9998',61.28,1,3,NULL),(28,7031173,'1994-06-28 00:00:00',4,15,12,2011,'F','N','CENTRO','SOMBRIO','SC','124241242137111141534833575112610164144',14866,'690',33.54,1,2,1),(28,7031181,'1991-05-23 00:00:00',2,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124241241112151211337613375124610124147',NULL,'734',0.00,1,3,NULL),(28,7031211,'1995-01-27 00:00:00',4,4,12,2010,'F','N','CENTRO','MARAVILHA','SC','124242241215472431349911575115610166092',497,'1037',71.00,1,3,NULL),(28,7031220,'1995-03-16 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431457834575122610117077',NULL,'270',22.62,1,3,NULL),(28,7031238,'1993-06-11 00:00:00',2,25,12,2010,'F','N','CENTRO','LONDRINA','PR','116242241216471411538833575122610164092',9739,'1124',46.37,1,3,NULL),(28,7031246,'1994-02-22 00:00:00',4,8,12,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215112411456824575122610128192',14826,'1063',38.63,1,3,NULL),(28,7031254,'1994-01-07 00:00:00',2,10,11,2011,'M','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124241241215111431353612575124610124143',18358,'806',37.75,1,3,NULL),(28,7031262,'1993-06-27 00:00:00',4,1,7,2011,'M','N','VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC','124241241117272741556831575112610165172',7870,'739',57.35,1,3,NULL),(28,7031270,'1993-11-24 00:00:00',2,1,11,2011,'F','N','TREZE DE JULHO','ARACAJU','SE','126262261217111451459932572114610134142',18363,'9998',37.74,1,3,NULL),(28,7031289,'1994-12-01 00:00:00',4,1,12,2011,'M','N','PARTENON','PTO ALEGRE','RS','120202201216111431267924575124610167044',4028,'9998',57.20,1,3,NULL),(28,7031297,'1990-09-12 00:00:00',4,8,12,2007,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216473431479934575122241437052',31,'457',82.86,1,3,NULL),(28,7031300,'1994-09-21 00:00:00',4,1,12,2011,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241315111431323534575114610124042',NULL,'300',23.34,1,3,NULL),(28,7031327,'1993-01-27 00:00:00',4,1,11,2011,'M','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124243241215131431437614575124610137067',16209,'724',34.74,1,3,NULL),(28,7031335,'1993-11-02 00:00:00',4,1,12,2010,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241215472431489913574114610132072',2179,'855',61.87,1,3,NULL),(28,7031343,'1994-11-03 00:00:00',2,15,12,2011,'F','N','VILLAGE DUNAS','BAL GAIVOTA','SC','124243241315131431336633295124610127147',10740,'770',45.52,1,3,NULL),(28,7031351,'1993-09-01 00:00:00',2,1,12,2011,'M','N','CENTRO','S JOSÉ','SC','124242241216111331439613575122610137042',10724,'723',44.89,1,3,NULL),(28,7031360,'1994-02-28 00:00:00',2,3,12,2011,'M','N','AREIAS','CAMBORIÚ','SC','124244243116151431436824585122610116077',4725,'129',56.51,1,3,NULL),(28,7031386,'1994-05-23 00:00:00',4,8,12,2011,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215111431389833475112610167042',362,'1063',75.69,1,3,NULL),(28,7031394,'1994-03-14 00:00:00',4,4,11,2011,'M','N','LIBERDADE','CONCÓRDIA','SC','124242241215111431469914442112610127042',8089,'1000',50.36,1,3,NULL),(28,7031408,'1993-05-13 00:00:00',4,1,11,2010,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124243241215372441348612275124610114012',1476,'970',69.13,1,3,NULL),(28,7031416,'1992-07-17 00:00:00',4,1,12,2010,'F','N','VILA INDUSTRIAL','CAMPINAS','SP','125252251215472431456822195124610165147',781,'9998',69.00,1,3,NULL),(28,7031424,'1993-07-30 00:00:00',2,1,12,2011,'M','N','JARDIM ALVORADA','BOA ESPERANÇA','MG','113131131127141431429321242331610167042',NULL,'9998',22.82,3,2,1),(28,7031432,'1989-03-01 00:00:00',4,1,12,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241146131431123414245122132711187',18570,'114',36.99,1,2,1),(28,7031440,'1992-03-09 00:00:00',4,1,12,2009,'F','N','CENTRO','FERNANDÓPOLIS','SP','125252251215571411438712572122610132142',8974,'9998',46.36,1,3,NULL),(28,7031459,'1992-02-13 00:00:00',4,1,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161217572731568914445114610122187',2271,'9998',63.06,1,3,NULL),(28,7031467,'1993-10-20 00:00:00',4,5,11,2011,'M','N','MINA BRASIL','CRICIÚMA','SC','124244241215271731443615572122610147057',13626,'213',37.74,1,3,NULL),(28,7031475,'1989-03-17 00:00:00',4,1,12,2006,'M','N','VILA AMÉLIA','RIBEIRÃO PRETO','SP','125256251142571431554839212122141227047',430,'9998',72.32,1,3,NULL),(28,7031483,'1985-03-29 00:00:00',4,1,12,2002,'M','N','BELA VISTA','S PAULO','SP','125253251246151411476314345125341062047',NULL,'9998',0.00,4,3,NULL),(28,7031491,'1993-12-25 00:00:00',2,10,12,2010,'F','N','VILA NOVA','IMBITUBA','SC','124241248117131731326314585124610136077',17919,'359',31.46,1,2,1),(28,7031521,'1993-11-22 00:00:00',4,1,12,2010,'F','N','MATA DA PRAIA','VITÓRIA','ES','108082081217111431379912475124610134042',2176,'9998',63.26,4,3,NULL),(28,7031548,'1990-05-21 00:00:00',2,5,12,2007,'M','N','CENTRO','CRICIÚMA','SC','124252251216131411527613491124131448092',NULL,'9998',25.73,3,3,NULL),(28,7031556,'1992-02-25 00:00:00',4,2,11,2009,'M','N','ASILO','BLUMENAU','SC','124241246216371421468911415124133227162',14210,'1018',47.08,1,3,NULL),(28,7031564,'1994-08-17 00:00:00',4,8,11,2011,'M','N','AVENTUREIRO','JOINVILLE','SC','124242241235151531555632345122610127062',6709,'461',51.43,1,3,NULL),(28,7031572,'1994-01-26 00:00:00',4,2,12,2011,'F','N','TRIBESS','BLUMENAU','SC','124241241215131431654639585124610157057',5906,'87',54.49,1,3,NULL),(28,7031580,'1994-01-01 00:00:00',4,1,10,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215272431369824575114610167045',1570,'1022',66.91,1,3,NULL),(28,7031599,'1991-02-26 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216475431387933575122121467042',6749,'300',50.60,1,3,NULL),(28,7031602,'1994-08-10 00:00:00',4,3,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243243117131431325867572122610133117',18728,'129',36.36,1,3,NULL),(28,7031610,'1994-03-24 00:00:00',4,1,12,2011,'F','N','JARDIM SATÉLITE','S JOSÉ CAMPOS','SP','125252251217111431659833582122610132071',4418,'9998',57.32,1,3,NULL),(28,7031629,'1994-02-15 00:00:00',4,2,11,2011,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215122431368813472122610162142',1503,'909',67.90,1,3,NULL),(28,7031637,'1993-10-31 00:00:00',2,1,11,2011,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124244241215121532457714575114610127012',17400,'1022',30.80,2,1,2),(28,7031645,'1993-04-22 00:00:00',2,1,12,2010,'F','N','SANTO ANTONIO','ITU','SP','125252251216372721579814575124610163097',7154,'9998',50.34,1,3,NULL),(28,7031653,'1994-06-09 00:00:00',2,15,12,2011,'F','N','CENTRO','PR GRANDE','SC','124241242116131431323817595124610145142',11842,'690',43.80,1,2,1),(28,7031661,'1994-06-15 00:00:00',4,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215372431269813575124610132051',4376,'262',58.55,1,3,NULL),(28,7031670,'1993-12-28 00:00:00',2,15,12,2011,'F','N','RIO DE DENTRO','JACINTO MACHADO','SC','124241242116161411413316175224610128191',4000,'690',60.01,1,3,NULL),(28,7031688,'1994-09-02 00:00:00',4,8,12,2011,'M','N','CASTROLANDA','CASTRO','PR','116162162217111431479814575124610164052',NULL,'9998',43.79,1,3,NULL),(28,7031696,'1994-11-28 00:00:00',4,1,12,2012,'M','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241211111421336933572122610167012',NULL,'1051',29.66,1,3,NULL),(28,7031718,'1994-11-26 00:00:00',2,10,11,2011,'F','N','CENTRO','BRAÇO NORTE','SC','124241241137371431453331275121610122142',15703,'100',34.04,1,2,1),(28,7031726,'1994-06-03 00:00:00',4,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431466713575122610127187',12175,'270',41.54,1,3,NULL),(28,7031734,'1993-07-19 00:00:00',4,1,12,2010,'F','N','CENTRO','JOINVILLE','SC','124242241215472211349613576112610137141',379,'1063',75.37,1,3,NULL),(28,7031742,'1993-06-07 00:00:00',4,1,12,2011,'M','N','CAMPO BELO','S PAULO','SP','125252251215111431478932575122610117072',204,'9998',78.42,1,3,NULL),(28,7031750,'1994-10-08 00:00:00',4,26,12,2011,'M','N','INTERIOR','CONCÓRDIA','SC','124241241114371431323335571124610137042',19654,'192',31.56,1,2,1),(28,7031769,'1993-01-01 00:00:00',2,1,12,2010,'F','N','FLORESTA','S JOSÉ','SC','124242241215372432254429572114610136071',15075,'738',39.03,1,3,NULL),(28,7031785,'1993-07-27 00:00:00',4,3,12,2011,'M','N','EMBARÉ','SANTOS','SP','125252251217151431448913575121610167042',14918,'9998',37.88,1,3,NULL),(28,7031793,'1993-09-24 00:00:00',4,4,11,2011,'F','N','PINHEIRINHO','CRICIÚMA','SC','124241241332121751556613582124610145142',NULL,'920',19.08,1,3,NULL),(28,7031807,'1993-12-09 00:00:00',2,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241115371431439931575124610124182',20110,'307',25.99,1,2,1),(28,7031815,'1994-11-01 00:00:00',4,1,12,2011,'M','N','TAPERA','FLORIANÓPOLIS','SC','124243241215112431369933575124610164172',4409,'1022',57.33,1,3,NULL),(28,7031831,'1994-04-29 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215131411426612575124610127012',8449,'1022',47.67,1,3,NULL),(28,7031840,'1992-10-15 00:00:00',4,1,12,2010,'M','N','ADALGISA','OSASCO','SP','125252251217471641468914575112610164112',564,'9998',73.26,1,3,NULL),(28,7031858,'1993-09-18 00:00:00',4,1,12,2010,'M','N','VILA YARA','OSASCO','SP','125254251126471231659714275125610137047',NULL,'9998',0.00,1,3,NULL),(28,7031866,'1992-08-22 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215373431326611472124123227052',7342,'1022',52.21,1,3,NULL),(28,7031874,'1983-03-18 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124161161116371431454436275124610113147',12237,'9998',40.83,1,3,NULL),(28,7031882,'1994-06-21 00:00:00',4,6,12,2011,'M','N','SÃO JOÃO','CURITIBA','PR','116162161216121411369814575122610132092',2626,'9998',63.15,1,3,NULL),(28,7031890,'1994-06-20 00:00:00',4,8,11,2011,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241215121431489812472122610134142',6588,'457',52.48,1,3,NULL),(28,7031904,'1992-05-06 00:00:00',4,2,12,2011,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124252241215121731468714475122610163182',NULL,'909',43.08,1,3,NULL),(28,7031939,'1993-12-30 00:00:00',4,8,12,2011,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215111431444914592122610147077',18332,'461',37.84,1,3,NULL),(28,7031947,'1992-04-14 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217573451368939575124610132147',1013,'262',69.03,1,3,NULL),(28,7031955,'1992-03-22 00:00:00',4,1,12,2009,'F','N','CENTRO','MOGI CRUZES','SP','125252251216571331347712375122610167012',NULL,'9998',26.99,3,3,NULL),(28,7031963,'1993-10-22 00:00:00',2,5,11,2011,'F','N','SÃO LUIZ','CRICIÚMA','SC','124242241215111431328911575112610126187',5541,'226',54.58,1,3,NULL),(28,7031971,'1993-08-28 00:00:00',4,1,12,2011,'F','N','PORTAL DO PARAÍSO II','JUNDIAÍ','SP','125252251217111431478812572122610122122',1491,'9998',65.51,1,3,NULL),(28,7031980,'1994-07-13 00:00:00',4,3,12,2011,'F','N','CENTRO','COMODORO','MT','111112111216121431436832575122610132142',13105,'9998',48.82,1,3,NULL),(28,7031998,'1994-04-14 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241215141431236773245124610138142',18733,'977',36.34,1,3,NULL),(28,7032005,'1994-01-07 00:00:00',4,1,10,2011,'F','N','VILA MARIANA','S PAULO','SP','125252258235111231588636572122610162072',11879,'9998',41.58,4,3,NULL),(28,7032030,'1992-11-23 00:00:00',4,1,12,2010,'F','N','CENTRO','RONDONÓPOLIS','MT','111112091216472431456936575125610122077',3426,'9998',59.70,1,3,NULL),(28,7032048,'1994-04-22 00:00:00',4,8,12,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241116131711433339575122610162197',NULL,'464',29.36,1,2,1),(28,7032056,'1993-01-25 00:00:00',4,1,12,2010,'F','N','QUIRIRIM','TAUBATÉ','SP','125254251217471711548832146124610127027',5257,'9998',55.75,1,3,NULL),(28,7032064,'1993-11-16 00:00:00',4,1,12,2011,'M','N','JARDIM ITALIA','JUNDIAÍ','SP','125252251216111731469614375112610122022',11731,'9998',38.70,1,3,NULL),(28,7032072,'1993-04-28 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431359913575122610162192',3755,'270',59.66,1,3,NULL),(28,7032080,'1994-07-20 00:00:00',2,8,11,2011,'F','N','GLÓRIA','JOINVILLE','SC','124244241216411431459734472124610125147',6462,'1016',54.11,1,3,NULL),(28,7032099,'1993-01-11 00:00:00',4,15,12,2010,'M','N','CENTRO','ARARANGUÁ','SC','124242241216372431448814575114131444072',6998,'970',54.29,1,3,NULL),(28,7032102,'1994-06-01 00:00:00',4,1,12,2011,'F','N','ROÇADO','S JOSÉ','SC','124242241117371431458913275122610124147',1836,'739',68.17,1,3,NULL),(28,7032110,'1993-04-07 00:00:00',4,2,12,2010,'F','N','ESTRADA DAS AREIAS','INDAIAL','SC','124241241133131431446434383114610124077',NULL,'887',35.46,1,2,1),(28,7032129,'1981-08-28 00:00:00',4,5,12,1999,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124252241215575431363732415122333247042',3844,'226',59.58,1,3,NULL),(28,7032137,'1989-02-28 00:00:00',4,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216474431228929575124221562092',9876,'962',53.93,1,3,NULL),(28,7032145,'1994-07-18 00:00:00',4,1,12,2011,'M','N','CENTRO HISTORICO','PTO ALEGRE','RS','120202201217272731467923295124610164012',5375,'9998',55.89,1,3,NULL),(28,7032161,'1994-01-18 00:00:00',4,1,12,2011,'F','N','PICADAS DO NORTE','S JOSÉ','SC','124241241127131431535614345124610166047',NULL,'727',35.47,2,1,1),(28,7032170,'1995-12-13 00:00:00',2,2,10,2012,'M','S','VORSTARDT','BLUMENAU','SC','124244241215111431688931212122610122052',NULL,'855',43.80,1,3,NULL),(28,7032188,'1993-11-29 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217471431469933375122610117047',6778,'270',53.75,1,3,NULL),(28,7032196,'1994-07-10 00:00:00',4,1,12,2011,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121216211731578835575142610166052',NULL,'9998',0.00,1,3,NULL),(28,7032218,'1994-10-01 00:00:00',4,1,11,2011,'F','N','BOSQUE DA SAÚDE','CUIABÁ','MT','111112111217111731368923474122610133147',8958,'9998',47.97,4,3,NULL),(28,7032226,'1992-05-19 00:00:00',4,1,11,2009,'F','N','JARDIM PAULISTA','S PAULO','SP','125252251215472431338713471124610164147',462,'9998',70.93,3,3,NULL),(28,7032234,'1993-03-15 00:00:00',4,1,11,2010,'F','N','CASCATA','MARÍLIA','SP','125252251215471431448714572122610162147',NULL,'9998',0.00,1,3,NULL),(28,7032242,'1994-02-05 00:00:00',4,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241215151431433634275114610135092',18831,'1048',25.40,1,3,NULL),(28,7032250,'1992-08-14 00:00:00',4,4,12,2009,'F','N','CENTRO','ARATIBA','RS','120201201415572431449831571125610168182',NULL,'9998',0.00,1,3,NULL),(28,7032269,'1994-07-23 00:00:00',4,1,10,2011,'F','N','SANTA FELICIDADE','CURITIBA','PR','116204161215121431579833275112610144185',1631,'9998',66.65,1,3,NULL),(28,7032277,'1991-10-17 00:00:00',2,1,12,2008,'F','N','ARIRIU','PALHOÇA','SC','624241241116471431235654345122130827092',12600,'192',49.63,1,2,1),(28,7032285,'1994-09-19 00:00:00',2,6,12,2011,'F','N','AREIAS','TIJUCAS','SC','124244241215111431436834295122610134053',9222,'948',49.06,1,3,NULL),(28,7032293,'1993-09-09 00:00:00',4,5,12,2010,'F','N','BOA VISTA','CRICIÚMA','SC','124242241215272231439914371124610143052',3201,'995',60.85,1,3,NULL),(28,7032307,'1994-02-05 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112451456619592112610122187',7055,'270',53.31,1,3,NULL),(28,7032315,'1994-09-19 00:00:00',2,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241215112731448911572124610127143',701,'270',71.78,1,3,NULL),(28,7032323,'1994-02-13 00:00:00',4,8,12,2011,'M','N','SÃO MARCOS','JOINVILLE','SC','124241241215111431457627595124610166147',14188,'1105',37.15,1,3,NULL),(28,7032358,'1994-02-18 00:00:00',4,1,12,2011,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111431468824375112610135182',3240,'270',60.47,1,3,NULL),(28,7032366,'1994-09-30 00:00:00',4,6,11,2011,'F','N','VILA ANDRADE','S PAULO','SP','125252251236371431249914475121610164147',10664,'9998',44.43,1,3,NULL),(28,7032374,'1994-07-14 00:00:00',2,2,12,2011,'F','N','SANTA TEREZINHA','GASPAR','SC','124241241336141331638714335135611434057',NULL,'1137',6.01,1,3,NULL),(28,7032382,'1993-10-09 00:00:00',4,1,12,2010,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242241216372431366923595124610124182',9158,'1198',47.71,1,3,NULL),(28,7032390,'1993-03-09 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215372131466823475124230227045',4739,'738',62.92,1,3,NULL),(28,7032404,'1993-09-24 00:00:00',2,1,11,2011,'M','N','CENTRO','IRECÊ','BA','105052051216111432426579372325610117052',4410,'9998',57.14,4,3,NULL),(28,7032412,'1993-09-29 00:00:00',4,4,12,2009,'F','N','MORADA DO SOL','MARAVILHA','SC','124241241317572431459933576115610128182',1212,'552',67.18,1,3,NULL),(28,7032420,'1991-05-17 00:00:00',4,1,12,2008,'F','N','IPIRANGA','S PAULO','SP','125252251215573431459814571124610123142',76,'9998',80.08,1,3,NULL),(28,7032447,'1993-10-08 00:00:00',4,1,12,2010,'F','N','CENTRO','ITAPETININGA','SP','125253251217471431449871572122610137187',14466,'9998',39.28,1,3,NULL),(28,7032463,'1994-03-07 00:00:00',2,1,11,2011,'F','N','CHACARA DO VISCONDE','TAUBATÉ','SP','125252251217111431468834575122610137147',11354,'9998',44.91,1,3,NULL),(28,7032480,'1992-11-03 00:00:00',4,1,12,2010,'F','N','PQ DAS UNIVERSIDADES','CAMPINAS','SP','125253251117471441438634572124610162142',4776,'9998',55.20,1,3,NULL),(28,7032501,'1982-08-24 00:00:00',2,1,12,1999,'F','N','INGLESES','FLORIANÓPOLIS','SC','524201203136271431233844245134610167187',12627,'9998',41.63,1,3,NULL),(28,7032510,'1975-04-08 00:00:00',2,1,8,1996,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','624243247227471411433451295112610111197',17461,'9999',34.59,1,3,NULL),(28,7032528,'1983-09-21 00:00:00',2,1,12,2000,'F','N','VILA MIRIAM','GUARULHOS','SP','125252251217574221468823435124542822142',349,'9998',75.06,1,3,NULL),(28,7032536,'1993-11-13 00:00:00',4,5,12,2011,'M','N','SANTANA','RIO CLARO','SP','125252251217112431438812575122610137142',15970,'9998',36.81,4,3,NULL),(28,7032544,'1978-03-14 00:00:00',4,1,12,1995,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241212474431537819492121322863182',671,'262',72.72,5,3,NULL),(28,7032552,'1992-10-23 00:00:00',5,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372731287812574112610147052',14079,'270',47.29,4,3,NULL),(28,7032560,'1994-10-12 00:00:00',4,17,11,2011,'F','N','CENTRO','CANOINHAS','SC','124242241235112431348732372122610123072',3822,'154',58.46,1,3,NULL),(28,7032587,'1993-03-23 00:00:00',2,8,11,2010,'M','N','JARDIM ESPLANADA','INDAIATUBA','SP','125252251217411431479912475122610127043',6785,'9998',52.20,1,3,NULL),(28,7032595,'1994-05-15 00:00:00',3,2,12,2011,'F','N','GARCIA','BLUMENAU','SC','124241246215141731236823575124610127051',NULL,'1018',19.95,1,3,NULL),(28,7032617,'1993-09-04 00:00:00',4,1,12,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241235473431336339572124610137092',1279,'1074',66.51,1,3,NULL),(28,7032625,'1994-11-23 00:00:00',2,1,10,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241216111432438812592122610137112',NULL,'9997',24.40,1,3,NULL),(28,7032633,'1994-09-26 00:00:00',4,1,12,2011,'M','N','PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP','125251251216111741558619575124610167117',5491,'9998',53.81,3,3,NULL),(28,7032641,'1994-05-20 00:00:00',4,6,11,2011,'F','N','CENTRO','ITAJAÍ','SC','124242241215121451579931575124610146192',3927,'1038',57.68,1,3,NULL),(28,7032676,'1994-03-01 00:00:00',2,1,12,2011,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241248116141232536314272124610117082',NULL,'307',18.91,2,1,1),(28,7032684,'1994-05-20 00:00:00',4,1,11,2011,'F','N','GONZAGA','SANTOS','SP','125254251215471341436631575122610166187',NULL,'9998',0.00,1,3,NULL),(28,7032692,'1992-02-22 00:00:00',4,1,12,2009,'M','N','CITY RIBEIRÃO','RIBEIRÃO PRETO','SP','125252251215572231466631575112610167017',9057,'9998',55.32,1,3,NULL),(28,7032706,'1995-05-24 00:00:00',4,15,12,2011,'F','N','CENTRO','ARARANGUÁ','SC','124242241217122431558911574125610131052',1004,'970',69.84,1,3,NULL),(28,7032722,'1994-05-25 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124241241127141311336614275124610124092',NULL,'736',39.43,1,2,1),(28,7032730,'1994-05-02 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431388812575122610162043',3981,'270',59.19,1,3,NULL),(28,7032749,'1994-08-12 00:00:00',2,5,10,2011,'F','N','MILANESE','CRICIÚMA','SC','124242241215112432438923376124610141142',8070,'880',49.80,1,3,NULL),(28,7032765,'1993-04-07 00:00:00',2,1,12,2010,'M','N','PERDIZES','S PAULO','SP','125252251215472412269923571112610113112',15860,'9998',43.97,1,3,NULL),(28,7032773,'1994-05-01 00:00:00',2,1,12,2011,'F','N','RIO GRANDE','PALHOÇA','SC','124241241135131431423514275224610125117',20043,'591',27.39,4,2,1),(28,7032781,'1994-09-18 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217472432488913575122610126125',868,'270',70.09,1,3,NULL),(28,7032790,'1986-04-14 00:00:00',4,1,12,2003,'F','N','CAMOBI','STA MARIA','RS','120201201316573431343823575114610166192',1819,'9998',65.53,1,3,NULL),(28,7032803,'1994-03-25 00:00:00',2,1,12,2011,'F','N','CENTRO','S LEOPOLDO','RS','120203201217161431358932572112610127092',10822,'9998',44.08,1,3,NULL),(28,7032811,'1994-07-29 00:00:00',4,1,12,2011,'F','N','ITAIM PAULISTA','S PAULO','SP','125252251216121431677811571124610162142',NULL,'9998',0.00,1,3,NULL),(28,7032820,'1993-04-08 00:00:00',4,1,11,2010,'M','N','VILA ADYANA','S JOSÉ CAMPOS','SP','125222251215472231478833575125610162142',1797,'9998',66.73,2,3,NULL),(28,7032838,'1994-03-24 00:00:00',2,1,12,2011,'F','N','CAMPO DOS ALEMÃES','S JOSÉ CAMPOS','SP','125251251217111731423737575124610161017',3898,'9998',58.06,2,1,2),(28,7032846,'1994-05-21 00:00:00',4,8,12,2011,'F','N','IRIRIÚ','JOINVILLE','SC','124242241216371411548614575112610164147',6263,'462',60.12,1,3,NULL),(28,7032854,'1994-03-24 00:00:00',4,15,12,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124243241135131431434611392125610162157',16503,'30',31.86,1,3,NULL),(28,7032862,'1991-10-20 01:00:00',6,1,12,2011,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124201247126175752133317575114610148056',NULL,'9999',0.00,1,2,1),(28,7032870,'1995-12-06 00:00:00',4,1,11,2012,'M','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111231488832575112610164122',NULL,'270',49.64,1,3,NULL),(28,7032889,'1993-01-13 00:00:00',4,1,12,2010,'F','N','VILA MADALENA','S PAULO','SP','125252251216471431361823575112610135192',NULL,'9998',0.00,1,3,NULL),(28,7032897,'1991-10-08 00:00:00',5,1,12,2009,'M','N','SAO DIMAS','S JOSÉ CAMPOS','SP','125252251215571731568816475122610117137',5506,'9998',55.25,1,3,NULL),(28,7032919,'1994-04-08 00:00:00',4,22,12,2011,'M','N','GUARANI','BRUSQUE','SC','124241241216111431436612375122610162142',6475,'1090',52.85,1,3,NULL),(28,7032935,'1994-09-30 00:00:00',2,1,10,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431456923575114610122192',9111,'1197',49.26,1,3,NULL),(28,7032943,'1994-07-31 00:00:00',4,1,12,2011,'M','N','PQ ANHANGUERA','GOIÂNIA','GO','109092091215171451448831575122610164057',919,'9998',71.23,4,3,NULL),(28,7032951,'1994-05-30 00:00:00',4,2,12,2011,'M','N','TESTO CENTRAL','POMERODE','SC','124242241215111431356919495122610114092',3783,'624',58.65,1,3,NULL),(28,7032978,'1991-04-03 00:00:00',4,1,12,2009,'M','N','PERDIZES','S PAULO','SP','125252251217471441349712575112140317053',NULL,'988',24.92,1,3,NULL),(28,7032986,'1992-10-01 00:00:00',4,15,12,2011,'F','N','PARQUE ALVORADA','ARARANGUÁ','SC','124241241315112711548711335122610127143',19000,'30',23.82,1,3,NULL),(28,7032994,'1977-10-31 00:00:00',4,1,12,1999,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244247336143431358413431122131361193',NULL,'9999',0.00,1,3,NULL),(28,7033001,'1993-12-10 00:00:00',2,1,12,2011,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215112431246623575124610128182',5175,'270',56.92,1,3,NULL),(28,7033028,'1994-02-01 00:00:00',4,1,12,2011,'F','N','OESTE','GOIÂNIA','GO','109092091215111411338831571122610116082',7823,'9998',50.08,1,3,NULL),(28,7033044,'1992-11-20 00:00:00',4,1,11,2009,'F','N','CAMBUÍ','CAMPINAS','SP','125252251215571431468814581112610134122',549,'9998',72.31,1,3,NULL),(28,7033052,'1992-11-14 00:00:00',4,1,11,2010,'F','N','MEIRELES','FORTALEZA','CE','106062061216471731369933575122610132092',3319,'9998',63.10,4,3,NULL),(28,7033060,'1994-08-12 00:00:00',4,1,12,2011,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215271431479931572124610112092',2410,'270',63.46,1,3,NULL),(28,7033079,'1993-12-10 00:00:00',4,6,12,2011,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124242241215111431476712325122610164197',15129,'1038',45.35,1,3,NULL),(28,7033087,'1992-10-23 00:00:00',4,1,12,2009,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124244241217573431489933576122233234052',5210,'262',58.03,1,3,NULL),(28,7033095,'1991-08-26 00:00:00',4,1,12,2009,'F','N','JARDIM IRAJÁ','RIBEIRÃO PRETO','SP','125254251217271411448734381124141441181',4885,'9998',56.59,1,3,NULL),(28,7033109,'1993-01-10 00:00:00',4,1,12,2010,'F','N','ITAIM BIBI','S PAULO','SP','125252251237372431368811571115140467183',NULL,'9998',0.00,1,3,NULL),(28,7033117,'1994-07-22 00:00:00',4,9,11,2011,'F','N','CENTRO','S JOAQUIM','SC','124242241215111431566815472122610128142',17890,'721',39.23,3,3,NULL),(28,7033125,'1993-11-14 00:00:00',4,3,12,2011,'M','N','SAUDADE','ARAÇATUBA','SP','125252251216111431568716575122610127123',2209,'9998',65.12,3,3,NULL),(28,7033141,'1994-12-11 00:00:00',4,8,12,2011,'F','N','CENTRO','PARAÍSO NORTE','PR','116162161216111431448832494122610167077',NULL,'9998',0.00,1,3,NULL),(28,7033150,'1993-04-08 00:00:00',2,15,12,2010,'F','N','CENTRO','ARARANGUÁ','SC','124241241215472431453311575124610127142',12862,'26',41.65,1,3,NULL),(28,7033168,'1994-03-21 00:00:00',2,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111131424412175124610137142',16758,'1048',31.36,4,3,NULL),(28,7033176,'1991-06-20 00:00:00',4,1,12,2008,'M','N','VILA RESENDE','PIRACICABA','SP','125252251216572431468821575122610166192',171,'9998',75.37,1,3,NULL),(28,7033184,'1992-08-17 00:00:00',4,8,12,2009,'F','N','JARDIM VILA RICA','MARINGÁ','PR','116161161116471431426613575124610162147',14891,'9998',34.74,1,3,NULL),(28,7033192,'1993-08-12 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272731558714445112610137077',5465,'262',58.19,1,3,NULL),(28,7033222,'1991-07-07 00:00:00',4,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241216373431349714445124222226147',8782,'1048',46.79,1,3,NULL),(28,7033230,'1993-02-16 00:00:00',4,1,10,2010,'F','N','VILA MADALENA','S PAULO','SP','125252251217471431478933471122610136013',3788,'9998',57.79,1,3,NULL),(28,7033257,'1993-06-02 00:00:00',4,1,12,2010,'M','N','JARDIM MARAJOARA','S PAULO','SP','125252251236471431368932575122610164047',904,'9998',67.11,4,3,NULL),(28,7033265,'1991-12-26 00:00:00',5,1,12,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241241115375431546524575124610137042',14881,'292',45.84,1,2,1),(28,7033290,'1990-07-18 00:00:00',2,1,12,2007,'M','N','ENSEADA DE BRITO','PALHOÇA','SC','124241241122141711113348395124610148117',NULL,'594',30.76,4,2,1),(28,7033303,'1994-09-26 00:00:00',4,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124202241215131751238829495124610126147',10154,'1048',45.23,1,3,NULL),(28,7033311,'1995-09-13 00:00:00',4,6,11,2012,'M','S','CABEÇUDAS','ITAJAÍ','SC','124242241215111431489933572121610167092',NULL,'1026',39.15,5,3,NULL),(28,7033320,'1994-03-11 00:00:00',1,3,11,2011,'F','N','BARRA','BAL CAMBORIÚ','SC','124243241215111431448831572122610134017',6122,'1038',55.65,1,3,NULL),(28,7033338,'1992-10-16 00:00:00',4,1,12,2009,'F','N','CAMBUCI','S PAULO','SP','125252251217571431556612375122610162077',5845,'9998',54.18,1,3,NULL),(28,7033346,'1993-05-24 00:00:00',2,8,12,2010,'F','N','ATIRADORES','JOINVILLE','SC','124241241215472731357834375122610133077',5724,'931',53.59,1,3,NULL),(28,7033354,'1992-11-23 00:00:00',3,1,12,2011,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241117151711347924596125610162063',6559,'267',55.34,1,2,1),(28,7033362,'1994-09-09 00:00:00',4,1,12,2011,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241122131431523654572124610114047',NULL,'1099',17.64,2,1,1),(28,7033370,'1995-01-18 00:00:00',2,1,12,2011,'M','N','CENTRO','PARANHOS','MS','112121121116161431343612275121610164142',14150,'9998',37.81,1,2,1),(28,7033389,'1992-07-20 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215572451268924575112610164192',NULL,'168',11.70,4,3,NULL),(28,7033397,'1994-01-29 00:00:00',4,1,12,2011,'M','N','JARDIM DA SAUDE','S PAULO','SP','125252251211111431466624145123610163152',5022,'9998',62.37,1,3,NULL),(28,7033400,'1994-09-02 00:00:00',4,6,10,2011,'M','N','FAZENDA','ITAJAÍ','SC','124242241215111431446612575112610122172',1200,'1026',68.80,1,3,NULL),(28,7033427,'1994-06-25 00:00:00',4,1,11,2011,'M','N','BUENO','GOIÂNIA','GO','109092091215111431578832575122610137042',1943,'9998',64.15,1,3,NULL),(28,7033443,'1995-01-09 00:00:00',4,8,12,2012,'F','S','BUCAREIN','JOINVILLE','SC','124242241215121411346933575122610126047',NULL,'1016',39.29,1,3,NULL),(28,7033451,'1994-12-16 00:00:00',4,3,12,2011,'M','N','VILA TONANI','DOURADOS','MS','112122121236151441548832574122610167172',161,'9998',76.69,3,3,NULL),(28,7033460,'1992-11-18 00:00:00',4,1,12,2010,'M','N','HIGIENOPOLIS','S PAULO','SP','125252251217411431689612375122610117047',5828,'9998',56.05,1,3,NULL),(28,7033478,'1983-11-18 00:00:00',6,1,12,2001,'F','N','JD CAMPESTRE','ITÁPOLIS','SP','125251251416151431433311435122341063092',12720,'9998',49.40,1,3,NULL),(28,7033486,'1994-09-09 00:00:00',4,3,11,2011,'M','N','CENTRO','MAFRA','SC','124242241216111232478814475112610167042',NULL,'9997',0.00,1,3,NULL),(28,7033494,'1990-05-15 00:00:00',4,25,12,2007,'M','N','CENTRO','CAÇADOR','SC','116244241316575411378734275124131317185',7308,'119',53.77,1,3,NULL),(28,7033508,'1992-01-01 00:00:00',4,1,12,2010,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241117473431324469475124610144072',NULL,'307',21.05,1,2,1),(28,7033516,'1993-11-28 00:00:00',4,1,12,2010,'F','N','VILA SÃO PEDRO','S BERNARDO CAMPO','SP','125251251115371611224425575124610147072',18665,'9998',27.40,1,2,1),(28,7033532,'1991-03-01 00:00:00',4,1,12,2008,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241216375711346913482124130267092',7757,'259',49.83,2,1,2),(28,7033540,'1992-05-20 00:00:00',2,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216372731435331585114610112147',6853,'272',53.50,3,3,NULL),(28,7033559,'1992-04-15 00:00:00',2,1,12,2009,'M','N','CENTRO','LONDRINA','PR','116162161215571431369911595122610114122',12730,'9998',40.46,1,3,NULL),(28,7033567,'1988-12-09 00:00:00',4,1,6,2009,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241247417131431536619185124610137092',18278,'9999',38.05,1,3,NULL),(28,7033575,'1993-03-03 00:00:00',2,23,12,2010,'F','N','JARAGUA ESQUERDO','JARAGUÁ SUL','SC','124133161116151411326724295124130426197',11319,'9998',40.30,4,3,NULL),(28,7033583,'1991-05-07 00:00:00',4,1,12,2008,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241126131442646434345114610164042',NULL,'296',32.77,1,3,NULL),(28,7033591,'1992-07-26 00:00:00',2,6,6,2010,'F','N','VILA MARIANA','S PAULO','SP','125252161216472431448831574122610127072',NULL,'9998',0.00,1,3,NULL),(28,7033605,'1993-10-21 00:00:00',4,8,12,2010,'F','N','CENTRO','CANOINHAS','SC','124241241416372441214828575125610166041',3571,'1016',57.62,1,3,NULL),(28,7033613,'1993-04-12 00:00:00',4,1,11,2010,'F','N','NOVA PETROPOLIS','S BERNARDO CAMPO','SP','125251251115471431389921575122610162097',726,'9998',70.74,1,3,NULL),(28,7033621,'1994-07-22 00:00:00',4,10,11,2011,'M','N','SÃO MARTINHO','TUBARÃO','SC','124243241215111431466932575122610134091',12984,'806',40.35,1,3,NULL),(28,7033630,'1988-06-03 00:00:00',4,1,7,2006,'F','N','TRÊS BARRAS','CONTAGEM','MG','113134137236271431435811281124610162172',12359,'9998',50.00,4,3,NULL),(28,7033648,'1981-10-21 00:00:00',2,2,12,1998,'F','N','PONTA AGUDA','BLUMENAU','SC','124243241216472751365929315122530226097',10635,'855',52.69,1,3,NULL),(28,7033656,'1991-06-13 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124244241217142431448731345133121417042',18783,'1134',36.17,2,1,2),(28,7033664,'1986-02-03 00:00:00',2,1,12,2003,'F','N','BUENO','GOIÂNIA','GO','109092091216574431239921575124340632097',984,'9998',70.66,1,3,NULL),(28,7033672,'1993-02-18 00:00:00',4,1,11,2010,'F','N','UNIVERSITÁRIO','VIDEIRA','SC','124242241217473431569814475124610134142',5570,'969',54.14,1,3,NULL),(28,7033680,'1990-08-15 00:00:00',4,1,12,2007,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124252251211574441428811575122610124012',41,'9998',82.73,1,3,NULL),(28,7033702,'1990-08-19 00:00:00',4,7,11,2007,'M','N','SAYONARA','CATANDUVAS','SC','124241241216131731635711345124232064147',18344,'454',37.80,1,3,NULL),(28,7033710,'1992-12-07 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215372431658819575114130228161',592,'270',72.97,2,1,2),(28,7033729,'1994-08-23 00:00:00',2,10,12,2011,'F','N','TERMAS','GRAVATAL','SC','124241241215111431326723575124610127147',13371,'806',39.81,1,3,NULL),(28,7033737,'1988-05-03 00:00:00',4,2,12,2005,'F','N','VILA PRADO','S CARLOS','SP','125252251217471431239824385122343224077',5208,'9998',54.04,1,3,NULL),(28,7033745,'1993-11-20 00:00:00',4,1,12,2010,'M','N','CENTRO','RIO PEDRAS','SP','125252251217471431459913574122610137047',17062,'9998',41.40,1,3,NULL),(28,7033753,'1991-05-25 00:00:00',4,1,12,2008,'F','N','CHACARA MALOTA','JUNDIAÍ','SP','125252251216573431375924571112610126122',871,'9998',68.52,1,3,NULL),(28,7033761,'1986-08-16 00:00:00',1,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116154231543343435133122364067',16241,'564',43.25,1,2,1),(28,7033770,'1993-12-25 00:00:00',4,2,11,2011,'F','N','SALTO','BLUMENAU','SC','124242241216272431648819575122610147077',1922,'71',65.27,1,3,NULL),(28,7033788,'1993-09-23 00:00:00',4,1,12,2011,'M','N','PERDIZES','S PAULO','SP','125251251137471411455924385124610161027',NULL,'9998',27.10,1,2,1),(28,7033796,'1987-12-17 00:00:00',4,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124252241217573431429969576124333231081',4571,'262',58.65,1,3,NULL),(28,7033800,'1994-07-12 00:00:00',4,1,12,2011,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215271441468914575124610163092',4707,'1022',57.70,1,3,NULL),(28,7033834,'1992-05-24 00:00:00',4,1,12,2009,'F','N','NOSSA SENHORA DO ROS','S JOSÉ','SC','124201201112373431427634395124610144072',13983,'9998',37.64,1,3,NULL),(28,7033842,'1990-08-17 00:00:00',4,1,12,2008,'M','N','PARQUE DAS NAÇOES','AMERICANA','SP','125254251416571431468834571125610167042',878,'9998',66.10,1,3,NULL),(28,7033850,'1988-12-22 00:00:00',2,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215232431339823515122131027117',NULL,'737',0.00,1,3,NULL),(28,7033869,'1994-03-09 00:00:00',4,1,12,2011,'M','N','JARDIM GOIÁS','GOIÂNIA','GO','109092091216111431488813435122610134046',492,'9998',72.31,1,3,NULL),(28,7033877,'1994-04-29 00:00:00',4,6,12,2011,'M','N','JARDIM SÃO PAULO','S CARLOS','SP','125254251216111311556632575121610142172',6934,'9998',51.34,1,3,NULL),(28,7033885,'1994-08-27 00:00:00',2,1,12,2011,'M','N','JARDIM CAMPININHA','S PAULO','SP','125252251216371431357614375122610167042',NULL,'9998',0.00,1,3,NULL),(28,7033893,'1992-02-02 00:00:00',4,1,12,2009,'F','N','VILA ZILDA','GUARUJÁ','SP','125251251136471431336517485114610162117',NULL,'9998',19.66,4,2,1),(28,7033915,'1991-11-01 00:00:00',2,3,12,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161216573431568812275124610157142',2392,'9998',65.31,1,3,NULL),(28,7033923,'1995-06-14 00:00:00',4,15,12,2011,'F','N','CENTRO','TIMBÉ SUL','SC','124243241216121431468812375122610124052',17910,'813',39.18,1,3,NULL),(28,7033931,'1994-09-14 00:00:00',4,5,11,2011,'F','N','PIO CORREA','CRICIÚMA','SC','124242241211272411568923592124610162097',851,'211',74.46,1,3,NULL),(28,7033940,'1994-04-01 00:00:00',4,17,10,2010,'F','N','CENTRO','CANOINHAS','SC','124242161215572431468923572112610167187',2889,'9998',61.03,1,3,NULL),(28,7033982,'1994-03-22 00:00:00',4,1,11,2011,'F','N','SERRA','BELO HORIZONTE','MG','113132131216111731468819575122610134122',4935,'9998',54.27,1,3,NULL),(28,7034008,'1993-08-27 00:00:00',4,1,12,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215112431468832572122610127072',266,'270',76.75,1,3,NULL),(28,7034016,'1992-11-15 00:00:00',2,1,12,2010,'F','N','SERRARIAS','S JOSÉ','SC','124241241116371421424354342124610123142',NULL,'298',24.05,1,2,1),(28,7034024,'1995-01-13 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124244241217111431338914275122610134142',14598,'227',35.95,1,3,NULL),(28,7034032,'1994-06-09 00:00:00',4,3,12,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241116131432446614175112610136142',NULL,'406',24.55,1,2,1),(28,7034059,'1993-10-20 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241211372431256821572114121463177',1542,'270',69.59,4,3,NULL),(28,7034075,'1993-11-14 00:00:00',4,1,11,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215471531269923575112610114082',11890,'270',50.70,1,3,NULL),(28,7034083,'1994-03-01 00:00:00',2,8,12,2011,'F','N','JARDIM ALZIRA','PEDREIRA','SP','125254251216111431446823392121610143147',11527,'9998',42.47,1,3,NULL),(28,7034091,'1994-08-04 00:00:00',2,9,11,2011,'F','N','CORAL','LAGES','SC','124241241217111731328614445112610164092',18107,'1207',38.56,1,3,NULL),(28,7034105,'1994-05-01 00:00:00',4,1,12,2011,'F','N','JARDIM CENTENÁRIO','S CARLOS','SP','125254251217471431449834575122610113191',1599,'1278',65.87,1,3,NULL),(28,7034113,'1994-06-08 00:00:00',4,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124244241417471431557632285122610162097',5251,'185',56.00,1,3,NULL),(28,7034121,'1990-11-25 00:00:00',2,1,12,2008,'F','N','VILA SANTA ISABEL','CAÇAPAVA','SP','125252251215511431449712575122610162182',13646,'9998',41.35,1,3,NULL),(28,7034130,'1992-03-14 00:00:00',1,8,12,2009,'F','N','CENTRO','CONTENDA','PR','116163161116131411546823345134610133097',12322,'9998',41.08,1,3,NULL),(28,7034156,'1994-04-06 00:00:00',4,8,12,2011,'F','N','JARDIM PAULISTA','JUNDIAÍ','SP','125252251216471431468934575122610126192',NULL,'9998',0.00,1,3,NULL),(28,7034199,'1993-07-08 00:00:00',4,1,12,2010,'M','N','ITANHANGÁ PARK','CPO GRANDE','MS','112122121215371411578832575112610125092',2537,'9998',62.64,1,3,NULL),(28,7034202,'1993-04-03 00:00:00',4,1,12,2010,'M','N','BUENO','GOIÂNIA','GO','109092091216371411458914575125610166052',NULL,'9998',0.00,1,3,NULL),(28,7034210,'1994-12-22 00:00:00',4,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241317111441478853575114610136047',9674,'299',54.25,1,3,NULL),(28,7034229,'1992-01-07 00:00:00',2,5,12,2009,'M','N','RAICHASKI','IÇARA','SC','124242241216112431569933445122610127042',NULL,'349',18.18,1,3,NULL),(28,7034237,'1993-03-31 00:00:00',4,1,12,2009,'F','N','CENTRO','JATAIZINHO','PR','116162161215571411445833175124610126051',NULL,'9998',0.00,3,3,NULL),(28,7034245,'1994-03-24 00:00:00',2,1,11,2011,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241216111432538413572124610144047',13315,'300',48.53,1,3,NULL),(28,7034253,'1994-12-18 00:00:00',2,27,12,2011,'F','N','CENTRO','GUARUJÁ SUL','SC','124161162116141721225531575123610146037',NULL,'9998',0.00,1,2,1),(28,7034261,'1994-03-14 00:00:00',2,4,12,2011,'M','N','CENTRO','XANXERÊ','SC','124241241236131731426924195125610124017',11814,'836',42.82,1,3,NULL),(28,7034270,'1993-12-31 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431457632495112610124041',12683,'270',49.45,1,3,NULL),(28,7034288,'1994-07-12 00:00:00',4,1,1,2012,'F','N','BARREIROS','S JOSÉ','SC','124243241116141131437612342124610143183',NULL,'257',18.08,2,1,2),(28,7034296,'1994-06-11 00:00:00',4,1,12,2011,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241215111431676832575122610137142',7470,'1011',50.55,1,3,NULL),(28,7034300,'1995-08-23 00:00:00',2,1,12,2012,'F','S','PONTE DO IMARUIM','PALHOÇA','SC','124242241217121731429618595124610128052',NULL,'1011',0.00,1,3,NULL),(28,7034318,'1993-02-19 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241131132431443621215124122223142',NULL,'289',18.16,5,2,1),(28,7034326,'1994-10-27 00:00:00',4,10,11,2011,'F','N','OFICINAS','TUBARÃO','SC','124242246235131431227814584122610167187',NULL,'1120',23.41,1,3,NULL),(28,7034334,'1994-05-30 00:00:00',2,23,12,2011,'M','N','CENTRO','ALECRIM','RS','120201201117131222423723342121610127067',17166,'9998',31.47,1,2,1),(28,7034342,'1992-07-04 00:00:00',4,1,5,2010,'M','N','BUENO','GOIÂNIA','GO','109092281416571531478831575122610162042',6269,'9998',52.56,1,3,NULL),(28,7034350,'1992-09-04 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162161216472411449912575124610123013',636,'9998',71.27,1,3,NULL),(28,7034369,'1995-04-02 00:00:00',4,1,12,2011,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241235111332368913275124610134042',3281,'1022',61.58,1,3,NULL),(28,7034377,'1994-06-06 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215121431679933575114610164012',4302,'262',54.82,1,3,NULL),(28,7034385,'1987-10-25 01:00:00',2,1,12,2006,'M','N','BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC','124241241123245411426679343124610114145',NULL,'279',0.00,4,3,NULL),(28,7034393,'1994-10-17 00:00:00',2,9,12,2011,'M','N','CENTRO','ANITA GARIBALDI','SC','124241241116161731441923585225610114172',18414,'18',29.18,1,2,1),(28,7034407,'1983-02-01 00:00:00',4,1,12,2001,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','524251251126132441324624245124123224042',16478,'9998',33.64,2,1,1),(28,7034415,'1993-02-08 00:00:00',2,8,11,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124241246215371531356612571122610127052',NULL,'1006',0.00,1,3,NULL),(28,7034423,'1994-07-19 00:00:00',4,23,3,2011,'F','N','CENTRO','MARINGÁ','PR','116162161217111431468813575112610133097',7925,'9998',50.42,1,3,NULL),(28,7034431,'1994-11-05 00:00:00',4,8,11,2011,'M','N','MOSSUNGUE','CURITIBA','PR','116162161215471621469613575122610127042',4249,'9998',57.77,1,3,NULL),(28,7034440,'1993-07-29 00:00:00',4,3,12,2010,'F','N','CENTRO','GUARUJÁ','SP','125252251215471431448823576124610167092',NULL,'9998',0.00,3,3,NULL),(28,7034458,'1994-06-08 00:00:00',4,1,12,2011,'F','N','BUENO','GOIÂNIA','GO','109092091215111431448612574112610162197',NULL,'9998',0.00,1,3,NULL),(28,7034466,'1993-11-17 00:00:00',4,2,12,2010,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215472431269813572124610124172',2673,'855',63.00,1,3,NULL),(28,7034474,'1993-03-15 00:00:00',4,1,12,2010,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124243241215472431478833475112610165097',2928,'270',61.03,1,3,NULL),(28,7034482,'1994-05-21 00:00:00',4,1,12,2011,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217271431458913472122610122142',3410,'883',62.60,1,3,NULL),(28,7034490,'1995-10-14 00:00:00',2,15,12,2011,'M','N','NOVA BRASILIA','SOMBRIO','SC','124241241117271432433332215121610134042',10831,'54',41.00,1,2,1),(28,7034504,'1979-05-31 00:00:00',2,1,1,1998,'M','N','CACHOEIRA B JESUS','FLORIANÓPOLIS','SC','224201201136151411236453485114142967047',7448,'9998',58.06,1,3,NULL),(28,7034512,'1989-02-13 00:00:00',2,1,12,2006,'M','N','TRÊS RIACHOS','BIGUAÇU','SC','124241241116162431523314575114233214142',NULL,'65',0.00,1,2,1),(28,7034520,'1994-06-06 00:00:00',4,1,12,2011,'M','N','JARDIN ACLIMAÇÃO','MARINGÁ','PR','116162161216111331368912575112610168042',10970,'9998',44.28,3,3,NULL),(28,7034539,'1994-02-17 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431429831375124610126172',4867,'270',56.70,1,3,NULL),(28,7034547,'1994-03-05 00:00:00',4,1,12,2011,'F','N','VILA MARIANA','S PAULO','SP','125252251217221431438821385124612444077',18387,'9998',37.69,3,3,NULL),(28,7034555,'1993-08-27 00:00:00',4,1,12,2010,'F','N','JARDIM CAMPO GRANDE','CAÇAPAVA','SP','125252256216471431469414575124610143092',14926,'9998',45.77,1,3,NULL),(28,7034563,'1993-01-04 00:00:00',4,1,12,2010,'M','N','CENTRO','ITAJAÍ','SC','124242241216472431486632574122610166191',2033,'270',67.21,1,3,NULL),(28,7034571,'1994-10-09 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217151411379831272112610136145',467,'270',72.54,1,3,NULL),(28,7034580,'1994-08-09 00:00:00',2,8,11,2011,'M','N','SEMINÁRIO','CURITIBA','PR','116162161215411431456912575121610147042',7123,'9998',51.62,1,3,NULL),(28,7034598,'1994-10-11 00:00:00',4,1,11,2011,'F','N','BAIRRO DE FATIMA','FLORIANÓPOLIS','SC','124244241215131231335514575124610123052',NULL,'1022',21.66,1,3,NULL),(28,7034610,'1992-11-13 00:00:00',2,3,12,2009,'M','N','TABULEIRO','ITAPEMA','SC','124241241116372431546923245122610167092',15700,'406',44.30,1,2,1),(28,7034628,'1994-03-02 00:00:00',2,1,12,2011,'M','N','VILA PARAÍBA','GUARATINGUETÁ','SP','125252256117141231269932575121610147042',8326,'9998',46.74,1,3,NULL),(28,7034636,'1993-03-11 00:00:00',4,1,11,2010,'F','N','PERDIZES','S PAULO','SP','125252251217471431349831575114610127055',3372,'9998',60.57,1,3,NULL),(28,7034644,'1994-10-30 00:00:00',4,9,12,2011,'M','N','SÃO SEBASTIÃO','LAGES','SC','124241241114111431527711575124610114142',NULL,'503',25.33,1,2,1),(28,7034652,'1995-04-11 00:00:00',4,1,11,2011,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241215112732246824595122610127067',1361,'723',69.34,1,3,NULL),(28,7034660,'1993-07-21 00:00:00',4,2,12,2010,'M','N','VILA NOVA','BLUMENAU','SC','124242246215471441468412374124610167182',114,'855',80.36,1,3,NULL),(28,7034679,'1993-03-22 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215473431157831575122610144192',4245,'270',58.93,1,3,NULL),(28,7034687,'1994-04-05 00:00:00',4,4,12,2011,'F','N','TACCA','XANXERÊ','SC','624242241235152431466613272112610164176',13217,'836',48.67,1,3,NULL),(28,7034695,'1991-09-10 00:00:00',4,1,12,2008,'M','N','POÇÃO','CUIABÁ','MT','111111111416471431585632475122141427122',6814,'9998',52.65,1,3,NULL),(28,7034725,'1994-05-27 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117151431336823575114610134172',15348,'307',36.18,1,2,1),(28,7034768,'1994-08-29 00:00:00',4,22,12,2011,'F','N','STEFFEN','BRUSQUE','SC','124241241117471731436639575122610134017',16614,'112',31.63,1,2,1),(28,7034776,'1993-11-27 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124244241216372231426823345114610124182',10857,'723',42.59,1,3,NULL),(28,7034784,'1993-04-06 00:00:00',4,1,11,2010,'F','N','FLODOALDO P PINTO','PTO VELHO','RO','122222221215471431368932581122610134012',NULL,'9998',0.00,1,3,NULL),(28,7034792,'1991-02-08 00:00:00',2,4,12,2008,'M','N','LA SALLE','XANXERÊ','SC','124241241117141431328634145121610137187',NULL,'840',24.11,2,3,NULL),(28,7034806,'1994-09-08 00:00:00',4,1,1,2013,'F','S','CARIANOS','FLORIANÓPOLIS','SC','124244246117271431468833375124610162192',NULL,'306',48.53,1,3,NULL),(28,7034814,'1994-05-07 00:00:00',4,1,11,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431586832575122610161112',8329,'270',50.92,1,3,NULL),(28,7034830,'1994-10-08 00:00:00',4,5,12,2011,'M','N','SÃO DEFENDE','CRICIÚMA','SC','124242241215151411447912575114610127077',NULL,'995',25.24,1,3,NULL),(28,7034849,'1993-12-20 00:00:00',2,1,12,2011,'F','N','BELA VISTA','PALHOÇA','SC','124242241215111311527614575124610138077',17767,'1022',31.98,1,3,NULL),(28,7034857,'1994-09-13 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','114142141217121431355623275124610125092',10553,'9998',43.94,1,3,NULL),(28,7034865,'1992-09-05 00:00:00',2,17,12,2010,'F','N','ZONA RURAL','BELA V TOLDO','SC','124241241136152441426636275222243232182',10997,'59',42.21,1,2,1),(28,7034873,'1991-12-10 00:00:00',2,1,12,2009,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215573731669613575114610132185',13078,'1169',41.81,1,3,NULL),(28,7034881,'1993-10-31 00:00:00',2,1,12,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241145141431423664245114610137055',17297,'281',40.79,2,1,1),(28,7034890,'1994-02-19 00:00:00',4,8,11,2011,'M','N','BUCAREIN','JOINVILLE','SC','124241241215272431445632145112610127057',6925,'461',52.43,1,3,NULL),(28,7034903,'1992-09-07 00:00:00',4,1,12,2010,'M','N','SÃO JOSE','S CAETANO SUL','SP','125252251117471431338924575125610114012',11562,'9998',43.34,1,3,NULL),(28,7034920,'1993-03-22 00:00:00',4,1,12,2010,'M','N','VILA NOVA','FRANCISCO BELTRÃO','PR','116163161217371431447823575112610137041',NULL,'9998',0.00,1,3,NULL),(28,7034938,'1993-11-28 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241126472431523914385124610137077',15330,'322',37.29,1,2,1),(28,7034946,'1994-02-11 00:00:00',4,9,11,2011,'M','N','SAGRADO','LAGES','SC','124242241216372431468813594122610146042',1572,'497',66.34,1,3,NULL),(28,7034954,'1991-12-03 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215474731479813585124610127052',1852,'951',64.82,1,3,NULL),(28,7034962,'1987-10-10 00:00:00',4,24,12,2005,'M','N','CENTRO','PRES GETÚLIO','SC','124241241127131411326469392124232764017',NULL,'644',29.07,4,1,1),(28,7034989,'1992-05-19 00:00:00',4,8,12,2009,'M','N','JARDIM SAO LUIZ','RIBEIRÃO PRETO','SP','125254251411512411338834591124610117012',5463,'9998',54.17,1,3,NULL),(28,7034997,'1992-12-06 00:00:00',4,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216372431356921375124610121035',8166,'883',49.71,1,3,NULL),(28,7035004,'1993-11-19 00:00:00',2,3,12,2011,'F','N','TRINTA REIS','NOVA TRENTO','SC','124241241147131411426939233123610113142',18645,'574',26.48,4,2,1),(28,7035012,'1992-11-16 00:00:00',4,1,12,2009,'M','N','FAZ SANTO ANTONIO','S JOSÉ','SC','124246241216142411438413295134230216192',NULL,'1075',34.54,1,3,NULL),(28,7035020,'1993-10-14 00:00:00',4,6,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241135121411467812125122610134112',4877,'1038',61.92,1,3,NULL),(28,7035039,'1994-09-15 00:00:00',2,8,3,2011,'F','N','BUCAREIN','JOINVILLE','SC','124254241215371731469813595122610114142',7036,'459',53.52,4,3,NULL),(28,7035047,'1987-02-17 00:00:00',6,1,12,2006,'F','N','PINHEIRINHO','CURITIBA','PR','216161161117131411336344145124342723091',NULL,'9998',0.00,1,3,NULL),(28,7035063,'1991-04-23 00:00:00',2,9,12,2009,'M','N','CONTA DINHEIRO','LAGES','SC','124241241125571431436455575124610113054',19250,'831',34.13,1,3,NULL),(28,7035071,'1994-08-22 00:00:00',2,8,11,2011,'F','N','CENTRO','JOINVILLE','SC','124242241215111431339622575112610164142',NULL,'461',0.00,1,3,NULL),(28,7035101,'1992-03-25 00:00:00',2,6,12,2009,'M','N','JARDIM ELDORADO','PARANAGUÁ','PR','116164161337131431659913315134140261012',11128,'9998',44.73,1,3,NULL),(28,7035110,'1993-06-03 00:00:00',4,2,12,2010,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124242246215472431468924582124610144012',2848,'1105',65.77,1,3,NULL),(28,7035128,'1994-04-03 00:00:00',4,1,11,2011,'F','N','PIEDADE','SALVADOR','BA','105052051217111431658823575124610134142',3186,'9998',61.22,2,3,NULL),(28,7035136,'1994-08-05 00:00:00',2,5,12,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241216111431339914342124610114095',11258,'213',46.46,1,3,NULL),(28,7035144,'1990-08-02 00:00:00',4,1,12,2008,'M','N','BELA VISTA','S PAULO','SP','125252251137131431228648391124242967097',4617,'9998',56.73,1,3,NULL),(28,7035152,'1994-03-25 00:00:00',2,1,1,2012,'F','N','BELA VISTA','S JOSÉ','SC','124241241115471221226631375124610134141',12311,'257',41.98,4,2,1),(28,7035179,'1994-08-29 00:00:00',2,15,12,2011,'F','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124244241314111431436631295122610134042',11495,'770',43.21,1,3,NULL),(28,7035187,'1994-08-23 00:00:00',4,1,12,2011,'M','N','JD PERNAMBUCO II','GUARUJÁ','SP','125252251215111431356812575124610124072',7544,'9998',50.23,4,3,NULL),(28,7035195,'1994-08-02 00:00:00',4,10,12,2011,'M','N','TRÊS DE MAIO','CAPIVARI BAIXO','SC','124242246235111431436614575122610137052',NULL,'1120',28.99,1,3,NULL),(28,7035217,'1994-12-07 00:00:00',4,1,11,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111411649613575122610167111',5539,'272',54.77,1,3,NULL),(28,7035225,'1992-01-29 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124161161116572751348623575124122834187',4795,'9998',60.50,2,1,1),(28,7035233,'1990-05-23 00:00:00',2,1,12,2009,'M','N','URIAS MAGALHAES','GOIÂNIA','GO','109091091116371431345934295122143228017',13603,'9998',38.46,4,2,1),(28,7035250,'1990-10-01 00:00:00',4,1,12,2008,'F','N','PARADA INGLESA','S PAULO','SP','125253251116572431356619395125610164097',249,'9998',75.93,1,3,NULL),(28,7035276,'1994-04-28 00:00:00',4,1,10,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215112431455814572124610127012',17263,'1023',40.86,1,3,NULL),(28,7035284,'1995-06-24 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241415121431588813591112610162122',4305,'270',60.40,1,3,NULL),(28,7035292,'1994-01-07 00:00:00',4,1,10,2011,'M','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125272251235471431458934575124610147092',3555,'9998',59.44,4,3,NULL),(28,7035314,'1994-03-15 00:00:00',2,1,12,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241416112431445532575122610114182',11762,'272',43.19,1,3,NULL),(28,7035330,'1993-03-29 00:00:00',4,2,11,2010,'F','N','ITOUPAVAZINHA','BLUMENAU','SC','124242168215223451447832575124610147172',4705,'855',55.39,1,3,NULL),(28,7035349,'1994-07-16 00:00:00',2,1,12,2011,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124031241117271411226637575124610122142',6660,'733',52.10,4,2,1),(28,7035357,'1989-10-23 00:00:00',4,1,12,2006,'M','N','VILA FORMOSA','S PAULO','SP','125251251114571751445531575124341366127',9285,'9998',46.99,1,2,1),(28,7035365,'1985-09-05 00:00:00',4,1,10,2005,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224161167146473741223349195135221764187',12222,'9998',50.20,1,2,1),(28,7035373,'1994-06-24 00:00:00',4,1,12,2011,'F','N','MEDITERRÂNEO','LONDRINA','PR','116162161216111431579911574112610124146',2358,'9998',61.93,1,3,NULL),(28,7035381,'1994-05-12 00:00:00',2,1,12,2011,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241115471431648933571124610122142',NULL,'307',23.98,1,2,1),(28,7035390,'1995-05-26 00:00:00',5,2,12,2012,'F','S','VICTOR KONDER','BLUMENAU','SC','124242241116111431449632322121610147015',NULL,'88',44.17,1,3,NULL),(28,7035403,'1994-11-25 00:00:00',2,5,12,2011,'F','N','CENTRO','IÇARA','SC','124241241116141721326924575124610127147',15615,'1005',33.91,2,1,1),(28,7035411,'1994-01-21 00:00:00',2,6,12,2011,'M','N','NOSSA SENHORA DA PAZ','BAL PIÇARRAS','SC','124241241137131132214348185121610132172',NULL,'614',25.71,1,2,1),(28,7035438,'1991-05-24 00:00:00',4,1,11,2008,'F','N','ARAXA DOIS','LONDRINA','PR','116162161215573451588811595125610122122',968,'9998',69.74,3,3,NULL),(28,7035454,'1992-07-07 00:00:00',3,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241212373451459913595124610138181',6226,'883',54.93,1,3,NULL),(28,7035497,'1992-05-08 00:00:00',4,6,12,2009,'M','N','CENTRO','ITAJAÍ','SC','124241241117573221334621575111610127047',428,'401',76.39,1,2,1),(28,7035519,'1991-12-16 00:00:00',4,1,12,2009,'F','N','TUCURUVI','S PAULO','SP','125252251216573431336924575112610162017',3882,'9998',59.07,4,3,NULL),(28,7035527,'1993-08-23 00:00:00',4,1,12,2010,'M','N','JARDIM ESPLANADA','CERQUILHO','SP','125253251217471431548834475122610167142',3053,'9998',61.90,1,3,NULL),(28,7035535,'1994-09-12 00:00:00',2,1,12,2011,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241215371451387812575122610117042',2105,'270',66.47,4,3,NULL),(28,7035543,'1994-09-15 00:00:00',2,1,12,2011,'F','N','SOBRADINHO DF','SOBRADINHO','DF','107072071216131731566969575122610123182',NULL,'9998',0.00,1,3,NULL),(28,7035551,'1994-12-27 00:00:00',4,8,11,2011,'M','N','BIGORRILHO','CURITIBA','PR','116242161236111431459924575112610124072',1166,'9998',70.00,1,3,NULL),(28,7035560,'1993-09-22 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124202201217471431469919591114610162047',1308,'9998',69.08,1,3,NULL),(28,7035578,'1993-10-20 00:00:00',4,1,12,2010,'F','N','PERDIZES','S PAULO','SP','125252251217371711478832595114142835042',7709,'9998',50.79,1,3,NULL),(28,7035586,'1994-10-18 00:00:00',4,1,11,2011,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124243241215111431456923575124610137017',14312,'1023',46.93,1,3,NULL),(28,7035594,'1993-01-22 00:00:00',2,15,12,2010,'F','N','ZANETTE','MELEIRO','SC','124241248135141431326619395122610138187',NULL,'559',3.44,1,2,1),(28,7035608,'1994-06-11 00:00:00',2,25,12,2011,'F','N','SANTA TEREZA','VIDEIRA','SC','124241241136131431433832345122610144072',NULL,'831',0.00,1,2,1),(28,7035616,'1992-10-02 00:00:00',2,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124243241216372431326621575124131837041',13199,'723',48.70,1,3,NULL),(28,7035640,'1993-03-06 00:00:00',4,1,11,2010,'F','N','VL PENTEADO','S PAULO','SP','125251251214371231228924372114610137122',10798,'9998',44.87,4,3,NULL),(28,7035659,'1992-05-23 00:00:00',4,1,12,2009,'F','N','CAMINHO NOVO','PALHOÇA','SC','124243241336133431423311281114610126147',NULL,'592',11.76,1,3,NULL),(28,7035667,'1993-02-25 00:00:00',2,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241216132431546711145114610127062',NULL,'272',28.42,1,3,NULL),(28,7035675,'1993-11-13 00:00:00',4,1,12,2010,'M','N','PINHEIROS','S PAULO','SP','125214211217471431269914345112610166097',NULL,'9998',0.00,1,3,NULL),(28,7035691,'1989-08-02 00:00:00',4,1,3,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','624241243117133221223644445124610117142',16824,'739',41.93,4,2,1),(28,7035705,'1994-10-14 00:00:00',2,3,12,2011,'M','N','VIGOLO','NOVA TRENTO','SC','124241241122131421633339192123610124142',NULL,'574',22.30,1,2,1),(28,7035721,'1991-09-20 00:00:00',2,1,12,2008,'M','N','BOM VIVER','BIGUAÇU','SC','124241241116473411521334571124121325092',4653,'1116',60.29,1,2,1),(28,7035730,'1993-04-19 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241126272431623315574324610146061',3949,'834',60.24,1,2,1),(28,7035748,'1993-10-03 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241215473431357931495122610134192',3117,'497',62.52,1,3,NULL),(28,7035756,'1995-07-20 00:00:00',4,9,11,2011,'F','N','CENTRO','S JOAQUIM','SC','124242241215161431446933574121610137077',9616,'721',46.27,1,3,NULL),(28,7035780,'1994-08-08 00:00:00',2,15,12,2011,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215371421455821575122610127075',17770,'970',39.56,1,3,NULL),(28,7035799,'1994-11-03 00:00:00',4,1,12,2011,'M','N','SANTANA','S PAULO','SP','125252251217371431245821575125610147012',7702,'9998',50.46,1,3,NULL),(28,7035802,'1994-08-26 00:00:00',4,1,11,2011,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215121431469934275122610127052',4023,'270',60.46,1,3,NULL),(28,7035829,'1994-12-05 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242248217311411438613575124610117092',9650,'1075',47.44,4,3,NULL),(28,7035837,'1993-09-03 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215473431459812575122610115142',4396,'497',56.75,1,3,NULL),(28,7035845,'1990-10-01 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472431228824375114131242077',3655,'120',57.75,1,3,NULL),(28,7035853,'1993-03-17 00:00:00',4,1,12,2011,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124244241215111431235724345124610137182',8198,'883',50.52,1,3,NULL),(28,7035870,'1995-03-06 00:00:00',2,23,12,2011,'M','N','JARDIM DAS FLORES I','APUCARANA','PR','116161161417111431433927575122610167091',14038,'9998',38.93,1,3,NULL),(28,7035896,'1994-10-05 00:00:00',4,1,12,2011,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241345111431226829572124610138177',10378,'988',53.12,1,3,NULL),(28,7035900,'1995-06-14 00:00:00',2,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241225111411446814575124610134192',14257,'1022',37.20,1,3,NULL),(28,7035934,'1994-03-16 00:00:00',4,3,10,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241215111431478614175122610147062',17335,'403',33.98,4,1,2),(28,7035950,'1993-08-28 00:00:00',4,5,12,2011,'F','N','CEARÁ','CRICIÚMA','SC','124243241215111431539612174124610144092',NULL,'995',22.07,1,3,NULL),(28,7035969,'1990-09-27 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201201115575421176613375122121762092',2078,'9998',65.26,1,2,1),(28,7035977,'1979-03-16 00:00:00',4,1,12,1996,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','224203206116151221486653292122323261182',2292,'9998',68.88,1,3,NULL),(28,7035993,'1992-01-28 00:00:00',4,1,12,2009,'F','N','VILA NASCENTE','CPO GRANDE','MS','112122121216471731449613372124141064092',6813,'9998',53.01,1,3,NULL),(28,7036019,'1994-01-14 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124221241215131411435923572124610134052',NULL,'1022',15.63,1,3,NULL),(28,7036027,'1993-05-10 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431368933385122610166017',3522,'1169',59.89,1,3,NULL),(28,7036035,'1992-10-02 00:00:00',4,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124242241215132751336823285124221466182',9081,'738',55.28,1,3,NULL),(28,7036043,'1994-05-15 00:00:00',4,1,12,2012,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242246117112431578833272114610124012',NULL,'306',46.28,1,3,NULL),(28,7036051,'1994-06-10 00:00:00',2,1,12,2011,'M','N','BOA VISTA','PTO ALEGRE','RS','120204201216471411446673575115610166042',8805,'9998',48.28,1,3,NULL),(28,7036060,'1987-02-07 00:00:00',4,1,12,2004,'M','N','SERTAO DO MARUIM','S JOSÉ','SC','124241241116242341234629245124232865173',NULL,'727',0.00,1,2,1),(28,7036078,'1994-08-24 00:00:00',4,22,12,2011,'F','N','DOM JOAQUIM','BRUSQUE','SC','124241241116371421438823575224610117057',NULL,'114',35.93,4,2,1),(28,7036086,'1993-12-15 00:00:00',4,1,12,2011,'F','N','CORONEL ANTONINO','CPO GRANDE','MS','112124121436221731358824575122610144122',16117,'9998',43.47,4,3,NULL),(28,7036094,'1994-09-11 00:00:00',4,1,12,2012,'M','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216151732338837575115610164062',NULL,'884',60.85,3,3,NULL),(28,7036108,'1991-07-09 00:00:00',4,1,12,2008,'M','N','CENTRO','CURITIBANOS','SC','124242241215574431338611115124610162042',74,'270',81.69,1,3,NULL),(28,7036116,'1993-05-18 00:00:00',2,25,12,2010,'F','N','BELA VISTA','LEBON RÉGIS','SC','124241241126111431324426382122133233075',NULL,'532',22.67,1,3,NULL),(28,7036124,'1989-03-30 00:00:00',4,6,12,2006,'F','N','CIDADE NOVA','ITAJAÍ','SC','624241241132471431523521311124610152142',15480,'416',44.73,1,2,1),(28,7036132,'1993-05-14 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242241217332711433731242124122724147',11994,'1075',43.08,1,3,NULL),(28,7036140,'1993-07-30 00:00:00',4,1,12,2010,'M','N','CENTRO','CORUMBATAÍ SUL','PR','125164251417471731449813274125610126052',10725,'9998',44.82,1,3,NULL),(28,7036159,'1992-07-17 00:00:00',2,5,7,2011,'M','N','SANTA AUGUSTA','CRICIÚMA','SC','124242241215131411456814445124610162073',NULL,'995',11.18,1,3,NULL),(28,7036167,'1993-10-09 00:00:00',2,1,1,2012,'F','N','RIO GRANDE','PALHOÇA','SC','124241241115471431323319575124610126142',16119,'592',38.07,1,2,1),(28,7036175,'1993-06-26 00:00:00',2,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115371431326611575124610166193',14831,'285',41.18,1,2,1),(28,7036183,'1994-01-07 00:00:00',4,1,12,2011,'F','N','JOÃO CORRADINE','ITATIBA','SP','625251258217271431347613571122610121092',9800,'9998',46.39,1,3,NULL),(28,7036191,'1994-05-31 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111451368832575112610134122',6610,'262',54.33,1,3,NULL),(28,7036205,'1992-05-15 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243247332132111526654575114610128177',19268,'9999',34.02,1,3,NULL),(28,7036213,'1995-09-02 00:00:00',4,3,12,2011,'M','N','CENTRO','CRISTALINA','GO','109094091217231431438611185122610138197',NULL,'9998',34.91,1,3,NULL),(28,7036221,'1993-02-15 00:00:00',2,22,11,2010,'F','N','CENTRO','NOVA TRENTO','SC','124241241416272431227823575122610127147',4366,'1244',60.42,1,3,NULL),(28,7036230,'1994-03-14 00:00:00',4,5,12,2011,'F','N','BARRA FUNDA','S PAULO','SP','125252251117371431359914576124610137071',1597,'9998',66.38,1,3,NULL),(28,7036248,'1993-11-12 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115131431328624572124610127097',16084,'1248',34.48,1,2,1),(28,7036256,'1992-08-04 00:00:00',4,1,6,2010,'M','N','VILA ALBERTINA','S PAULO','SP','125254281417572411467814375123610128187',4765,'9998',54.45,1,3,NULL),(28,7036272,'1993-08-12 00:00:00',4,1,7,2011,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241117111441538833585114610164052',11396,'739',42.91,1,3,NULL),(28,7036280,'1994-07-23 00:00:00',4,9,11,2011,'F','N','CENTRO','LAGES','SC','124242241215111431359931575122610128182',4361,'497',57.79,1,3,NULL),(28,7036299,'1994-09-29 00:00:00',2,1,12,2011,'F','N','SETOR DOS AFONSOS','GOIÂNIA','GO','109094091216111711248833575122610112172',14895,'9998',38.11,1,3,NULL),(28,7036302,'1986-05-30 00:00:00',2,4,12,2003,'F','N','CENTRO','STA MARIA','RS','120201201116374431226827591124121316172',1120,'9998',66.20,1,2,1),(28,7036310,'1994-07-30 00:00:00',4,1,12,2011,'F','N','TATUAPÉ','S PAULO','SP','125252251216371231566812575122610127142',8949,'9998',45.82,1,3,NULL),(28,7036329,'1995-03-31 00:00:00',4,3,12,2011,'F','N','DOS ESTADOS','BAL CAMBORIÚ','SC','124241248115371431426314575224610166147',16878,'9997',32.39,1,2,1),(28,7036337,'1991-08-28 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241217272751487712246124121468012',3503,'737',65.58,1,3,NULL),(28,7036345,'1993-06-28 00:00:00',4,8,12,2010,'M','N','GLORIA','JOINVILLE','SC','124242241215372431455812575122610127051',7539,'1105',50.66,1,3,NULL),(28,7036353,'1994-06-14 00:00:00',4,1,11,2011,'F','N','INOCOP','PRES PRUDENTE','SP','125252251217151731638824375124610164177',NULL,'9998',0.00,1,3,NULL),(28,7036361,'1992-08-30 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431129967575114131065146',3278,'270',61.36,1,3,NULL),(28,7036388,'1994-09-17 00:00:00',2,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124241248135371431326723575114610137147',NULL,'592',23.25,1,2,1),(28,7036400,'1994-07-15 00:00:00',4,8,12,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124242241216111431359924375124610142092',16877,'1006',41.82,1,3,NULL),(28,7036418,'1993-10-22 00:00:00',4,27,12,2009,'F','N','VILA OPERÁRIA','RONDONÓPOLIS','MT','211112111115471431423933572124610134197',NULL,'9998',0.00,1,3,NULL),(28,7036434,'1991-10-07 00:00:00',2,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124241241112271421317629345121610127051',NULL,'729',20.84,4,2,1),(28,7036442,'1992-07-17 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124163241215272431328612575114132122195',16030,'1022',43.64,1,3,NULL),(28,7036450,'1994-07-12 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241217131431336624575124610133142',1770,'738',66.98,1,3,NULL),(28,7036469,'1995-10-27 00:00:00',2,16,12,2011,'F','N','VILA WEBER','BRUNÓPOLIS','SC','124241241215111731546315585122610134035',NULL,'138',20.53,1,3,NULL),(28,7036477,'1992-04-24 00:00:00',4,8,6,2010,'M','N','SANTANA','S JOSÉ CAMPOS','SP','125252256216471431436812375124610164187',4854,'9998',55.84,1,3,NULL),(28,7036485,'1994-05-06 00:00:00',2,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241215112431536832375124610122017',18388,'270',27.79,1,3,NULL),(28,7036493,'1995-02-02 00:00:00',4,1,12,2011,'F','N','SETOR G','ALTA FLORESTA','MT','111112111217111431448616575122610145092',6781,'9998',49.07,4,3,NULL),(28,7036507,'1994-04-28 00:00:00',4,4,12,2011,'F','N','CENTRO','MARIÓPOLIS','PR','116161161116151731447923572125610166147',17211,'9998',40.99,1,2,1),(28,7036515,'1993-04-03 00:00:00',2,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215373431489821572112121936122',10848,'1169',52.34,1,3,NULL),(28,7036523,'1993-11-29 00:00:00',4,23,12,2011,'F','N','CENTRO','GUARAMIRIM','SC','124242241215111431477713315124610116092',NULL,'1061',14.84,1,3,NULL),(28,7036531,'1993-04-12 00:00:00',2,1,11,2011,'F','N','VILA ROSA','GOIÂNIA','GO','109092098237111431449671575122610128092',9727,'9998',49.91,1,3,NULL),(28,7036558,'1994-07-14 00:00:00',2,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124243241135371411426634575114610116142',NULL,'592',30.96,1,3,NULL),(28,7036566,'1992-10-21 00:00:00',4,4,12,2009,'M','N','VILA MARIZA','LAGES','SC','124241241117573431346914575122610127057',1879,'935',65.86,1,2,1),(28,7036574,'1993-09-06 00:00:00',4,1,11,2011,'M','N','SETOR JAO','GOIÂNIA','GO','109092091216111431489931575122610144147',2600,'9998',60.87,1,3,NULL),(28,7036582,'1994-09-23 00:00:00',2,9,12,2011,'M','N','BRUSQUE','LAGES','SC','124242241235372431368713575122610124052',4899,'497',57.74,1,3,NULL),(28,7036590,'1992-10-09 00:00:00',2,24,12,2010,'F','N','CENTRO','RIO SUL','SC','124241241216472431456723343125610132142',2223,'925',64.99,1,3,NULL),(28,7036604,'1989-10-18 00:00:00',2,1,12,2007,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241215134441446317275124221764181',NULL,'270',34.68,1,3,NULL),(28,7036612,'1993-10-08 00:00:00',4,8,12,2011,'M','N','CENTRO','JOINVILLE','SC','124242241217112431479913232112610132052',4025,'1063',59.72,1,3,NULL),(28,7036620,'1993-09-13 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215272441439734345132610164012',11912,'226',44.11,1,3,NULL),(28,7036639,'1993-09-06 00:00:00',4,1,12,2010,'M','N','ZONA CINCO','MARINGÁ','PR','116162161215272431466832572122141068042',2698,'9998',62.62,1,3,NULL),(28,7036655,'1991-10-08 00:00:00',2,1,12,2009,'F','N','ARIRÍU','PALHOÇA','SC','124241248116131431525514245124132868147',19992,'591',28.17,1,2,1),(28,7036680,'1994-12-16 00:00:00',4,26,12,2011,'F','N','ARVOREDO','CONCÓRDIA','SC','124241246115371431426611575124610164057',NULL,'196',25.91,1,2,1),(28,7036698,'1991-08-01 00:00:00',4,8,12,2008,'F','N','CRUZEIRO NOVO','CRUZEIRO','DF','107074071217571711346923315122143234167',935,'9998',69.39,4,3,NULL),(28,7036701,'1990-07-08 00:00:00',4,1,12,2007,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241215272421238621345123610164042',400,'1022',75.68,4,3,NULL),(28,7036710,'1994-06-08 00:00:00',2,1,12,2011,'M','N','NOVA PETROPOLIS','S BERNARDO CAMPO','SP','125252251216111711558834585112610167111',18048,'9998',38.75,1,3,NULL),(28,7036728,'1994-01-07 00:00:00',4,1,11,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124202241215111431223812575112610137045',10322,'270',44.67,1,3,NULL),(28,7036744,'1987-08-19 00:00:00',4,5,1,2009,'M','N','PINHEIRINHO','CRICIÚMA','SC','124244248317131731434411295122610134172',NULL,'227',0.00,1,3,NULL),(28,7036752,'1992-11-26 00:00:00',2,4,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','119244241436573411347613335112610128182',7403,'1000',50.12,1,3,NULL),(28,7036760,'1992-12-17 00:00:00',4,1,11,2010,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124243241115372731459613375124610163071',7563,'271',51.09,1,3,NULL),(28,7036779,'1993-01-19 00:00:00',2,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241347372751437519394125610168182',18822,'49',35.99,1,3,NULL),(28,7036787,'1994-03-24 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124241241115371431536812575122610134182',5879,'739',54.07,1,3,NULL),(28,7036795,'1993-08-05 00:00:00',2,1,12,2011,'M','N','PENHA','PAULO LOPES','SC','124241241137111431436313575124610127183',19510,'361',24.16,1,3,NULL),(28,7036817,'1993-08-26 00:00:00',4,8,12,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241217211431358811345124610142071',11211,'1105',51.76,1,3,NULL),(28,7036825,'1992-04-27 00:00:00',4,2,11,2009,'F','N','VICTOR KONDER','BLUMENAU','SC','124203201236573431257932571124610148182',2180,'9998',61.51,1,3,NULL),(28,7036833,'1987-01-22 00:00:00',2,1,12,2004,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241136252751423329215114610112197',19607,'591',31.94,1,3,NULL),(28,7036841,'1994-01-21 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112441489614595122610134042',3081,'270',63.70,1,3,NULL),(28,7036868,'1994-11-25 00:00:00',4,3,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242246117271441249823575122610137052',2448,'129',64.18,1,3,NULL),(28,7036876,'1995-01-03 00:00:00',2,26,12,2011,'F','N','VISTA ALEGRE','CONCÓRDIA','SC','124241241115271531436923242324610131147',12478,'194',41.82,1,2,1),(28,7036884,'1993-09-06 00:00:00',2,8,12,2011,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124241248425421751323539245124610147112',NULL,'1016',24.66,1,3,NULL),(28,7036906,'1994-12-11 00:00:00',2,24,12,2011,'F','N','SCHREIBER','SALETE','SC','124241241116131431459913195122610134172',12970,'680',39.70,1,3,NULL),(28,7036914,'1994-04-01 00:00:00',4,1,12,2011,'M','N','JARDIM AMERICA','GOIÂNIA','GO','109091091215111431278832475122610164047',1092,'9998',69.00,1,3,NULL),(28,7036922,'1994-08-23 00:00:00',4,1,12,2011,'M','N','CENTRO','CPO GRANDE','MS','112122121215111411448839575122610167042',15640,'9998',44.41,1,3,NULL),(28,7036930,'1992-01-24 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372431359619475124233267181',12589,'269',49.65,1,3,NULL),(28,7036949,'1993-12-14 00:00:00',4,6,12,2011,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241215372431469933575122610124112',3944,'392',59.75,1,3,NULL),(28,7036957,'1990-09-09 00:00:00',1,26,12,2007,'F','N','DISTRITO','ARABUTÃ','SC','124241241116371421115344445223610163147',19612,'1121',31.91,1,3,NULL),(28,7036965,'1993-07-12 00:00:00',4,1,12,2010,'F','N','VILA MADALENA','S PAULO','SP','125242241215472431489911594125610164096',116,'270',76.64,1,3,NULL),(28,7036973,'1993-09-04 00:00:00',2,1,12,2010,'F','N','AE CARVALHO','S PAULO','SP','125252251217471452548634545125610122072',4013,'9998',56.99,1,3,NULL),(28,7036981,'1994-04-22 00:00:00',4,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215132431438814575124610124071',5121,'1022',57.65,1,3,NULL),(28,7036990,'1994-06-22 00:00:00',4,10,10,2011,'M','N','CENTRO','TUBARÃO','SC','124244241215112431369933572122610164042',2275,'807',61.71,1,3,NULL),(28,7037007,'1988-12-15 00:00:00',4,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','125252251217571441338911115124242724077',15451,'9998',44.78,1,3,NULL),(28,7037023,'1992-11-10 00:00:00',2,16,7,2010,'F','N','ÁGUA SANTA','CURITIBANOS','SC','124243247326151231426823375112610137187',NULL,'237',31.30,1,3,NULL),(28,7037031,'1984-08-15 00:00:00',4,1,8,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241417473441234444145124610124042',NULL,'9997',29.69,1,3,NULL),(28,7037040,'1994-08-01 00:00:00',4,8,12,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124242242216111431639629595114610137041',NULL,'1105',0.00,1,3,NULL),(28,7037066,'1987-07-05 00:00:00',4,1,12,2004,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124252251215271231236644445114143214197',NULL,'9998',0.00,1,3,NULL),(28,7037082,'1985-11-11 00:00:00',4,1,2,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247336231721323379485121610134142',15652,'300',44.39,1,3,NULL),(28,7037104,'1994-07-20 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431359914572112610122097',6361,'270',52.48,1,3,NULL),(28,7037112,'1993-11-11 00:00:00',2,1,12,2011,'F','N','SÃO CRISTÓVÃO','CAPANEMA','PR','116161161416111231479813375122610122072',NULL,'9998',0.00,1,3,NULL),(28,7037147,'1994-05-22 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121411468931575122610122182',3999,'270',60.19,1,3,NULL),(28,7037155,'1994-09-08 00:00:00',4,26,12,2011,'M','N','NITERÓI','SEARA','SC','124243241137141431359933345121610124052',1912,'763',64.63,1,3,NULL),(28,7037163,'1990-08-08 00:00:00',2,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124243241317374431137732235121231437092',2263,'981',68.99,1,3,NULL),(28,7037171,'1994-06-03 00:00:00',4,1,12,2011,'F','N','CENTRO','CACHOEIRA SUL','RS','120202201216271411248913435112610128192',8616,'9998',47.25,1,3,NULL),(28,7037180,'1993-07-05 00:00:00',4,8,12,2010,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241217272431549814572112610137147',3208,'1105',66.35,1,3,NULL),(28,7037198,'1993-12-10 00:00:00',4,6,12,2011,'M','N','BARRA DO RIO','ITAJAÍ','SC','124242241215571431286722575122610167042',7203,'394',58.47,1,3,NULL),(28,7037201,'1993-11-30 00:00:00',4,1,11,2011,'F','N','MATADOURO','ESPÍRITO STO PINHAL','SP','125253251216111711438613571122610122057',6861,'9998',52.05,4,3,NULL),(28,7037210,'1993-09-07 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241417472411343312575124610134062',8098,'257',54.17,1,3,NULL),(28,7037228,'1993-02-03 00:00:00',4,22,12,2010,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215472721459912575122610167147',2010,'107',66.20,1,3,NULL),(28,7037236,'1994-03-05 00:00:00',4,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124241241135131431426511385124610145092',NULL,'734',24.75,1,2,1),(28,7037244,'1994-05-29 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241135131731437714346124610116142',NULL,'1248',21.55,1,2,1),(28,7037252,'1987-12-22 00:00:00',4,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241327132431426414385114610136143',NULL,'307',30.24,1,3,NULL),(28,7037260,'1994-08-25 00:00:00',2,1,12,2011,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124161241126131431323321245124610112143',NULL,'1248',27.57,4,3,NULL),(28,7037279,'1992-12-18 00:00:00',2,8,7,2011,'F','N','MARIA ANTONIETA','PINHAIS','PR','116161161115471431569813472124610167187',NULL,'9998',0.00,1,2,1),(28,7037287,'1994-03-14 00:00:00',2,23,12,2011,'M','N','JGUÁ NOVENTA E NOVE','JARAGUÁ SUL','SC','124241242116131431339413575124610137077',NULL,'1222',22.75,1,2,1),(28,7037295,'1992-06-14 00:00:00',4,1,12,2010,'M','N','CANTO','FLORIANÓPOLIS','SC','124244246116372431556713445124610124182',6262,'306',52.93,1,3,NULL),(28,7037309,'1991-08-03 00:00:00',4,1,12,2008,'M','N','CENTRO','JACAREÍ','SP','125252251211573431359914271122610137112',329,'9998',75.35,1,3,NULL),(28,7037317,'1994-03-11 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124243241115471431428711575124610122142',16817,'307',34.61,1,3,NULL),(28,7037325,'1994-05-17 00:00:00',4,8,12,2011,'F','N','ZONA SETE','MARINGÁ','PR','116162161216271431436833575122610124142',9483,'9998',46.08,1,3,NULL),(28,7037333,'1993-10-28 00:00:00',4,1,12,2011,'F','N','VILA TEIXEIRA','SALTO','SP','125252251225131451455834245122610147142',NULL,'9998',22.55,1,3,NULL),(28,7037341,'1993-03-18 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241116271331523311245124610116057',NULL,'1116',17.81,4,2,1),(28,7037350,'1994-07-18 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124243241215111431448619572121610162095',17637,'1118',32.59,1,3,NULL),(28,7037368,'1990-10-06 00:00:00',4,1,5,2011,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124242247246371431121743445124610128097',NULL,'1126',8.46,2,1,2),(28,7037376,'1994-03-04 00:00:00',4,1,12,2010,'F','N','JARDIM AQUÁRIUS','S JOSÉ CAMPOS','SP','125252251217471431369613585112610123142',722,'9998',72.79,3,3,NULL),(28,7037384,'1994-07-22 00:00:00',2,1,11,2011,'M','N','BOSQUE DA SAÚDE','CUIABÁ','MT','111224111216111431438823575124610167044',2145,'9998',63.32,1,3,NULL),(28,7037392,'1993-06-18 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124204201217272431528612395124610167047',10145,'9998',50.09,1,3,NULL),(28,7037414,'1993-02-08 00:00:00',4,6,11,2010,'M','N','CENTRO','ITAJAÍ','SC','124242241215572431488812575122610166142',3722,'392',59.45,1,3,NULL),(28,7037422,'1990-10-23 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','624201203115371431326823445124130233047',13313,'9998',38.77,2,2,1),(28,7037430,'1992-11-25 00:00:00',2,1,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241217573332438812342112610144112',14033,'1022',41.96,1,3,NULL),(28,7037449,'1994-08-05 00:00:00',4,1,12,2011,'M','N','MIGUEL SUTIL','CUIABÁ','MT','111112111237111131368811215122610167044',4202,'9998',57.75,1,3,NULL),(28,7037457,'1994-01-20 00:00:00',2,24,12,2011,'M','N','ITOUPAVA','RIO SUL','SC','124241241147131431443632312122610167042',15384,'659',34.89,1,2,1),(28,7037465,'1990-01-15 00:00:00',2,4,12,2007,'M','N','LIDER','CHAPECÓ','SC','124241248111413641333311292124131464012',14226,'169',38.14,1,2,1),(28,7037473,'1994-02-19 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116471431224824573124610127162',6854,'295',52.95,1,2,1),(28,7037481,'1993-02-11 00:00:00',2,9,12,2010,'M','N','JARDIM ELDORADO','CAXIAS SUL','RS','120203201126151441424624245124610168172',17159,'9998',41.12,1,3,NULL),(28,7037490,'1993-09-06 00:00:00',4,1,10,2011,'M','N','CENTRO','CANOINHAS','SC','124242241215112431479813575125610168012',6277,'1133',51.99,1,3,NULL),(28,7037503,'1993-06-10 00:00:00',4,1,12,2010,'M','N','MORADA DO VALE I','GRAVATAÍ','RS','120201201116472431424614275114610142042',3921,'9998',58.08,1,2,1),(28,7037511,'1990-12-21 00:00:00',4,9,12,2008,'M','N','CIDADE ALTA','VIDEIRA','SC','124243241146271431329623245123610124017',NULL,'831',0.00,1,3,NULL),(28,7037520,'1994-02-25 00:00:00',4,1,12,2011,'F','N','GREEN VILLE','PRES PRUDENTE','SP','125251251117271731436813235124610162097',5066,'9998',55.13,4,1,1),(28,7037538,'1984-09-10 00:00:00',4,1,12,2001,'F','N','JURERÊ','FLORIANÓPOLIS','SC','224242241217152431448954345132140227151',18285,'270',38.03,1,3,NULL),(28,7037546,'1989-07-26 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241141573431436624235124610167083',15332,'286',36.39,4,2,1),(28,7037554,'1993-08-12 00:00:00',4,1,11,2010,'M','N','CENTRO','URUSSANGA','SC','124242241215111431225823285124233244022',16703,'807',42.20,1,3,NULL),(28,7037562,'1994-06-20 00:00:00',4,10,12,2011,'F','N','CENTRO','IMARUÍ','SC','124241241117161431349913372122610126057',12347,'356',42.65,1,2,1),(28,7037570,'1990-06-05 00:00:00',2,2,12,2007,'M','N','TAPAJÓS','INDAIAL','SC','124241241116132411648923345124231444147',16827,'365',41.93,1,2,1),(28,7037589,'1994-05-11 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431443869592112610168041',6912,'262',51.57,1,3,NULL),(28,7037597,'1987-01-21 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124121127224131421118641215234140262187',19791,'9998',30.37,1,3,NULL),(28,7037600,'1991-05-15 00:00:00',4,15,12,2008,'F','N','COLONINHA','ARARANGUÁ','SC','124242241215572431636612174123231068197',NULL,'32',0.00,1,3,NULL),(28,7037619,'1993-07-03 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215372231368933575124233227041',2548,'262',63.31,1,3,NULL),(28,7037627,'1992-07-08 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241135371231676413345124610164067',NULL,'293',36.42,1,2,1),(28,7037635,'1976-11-24 00:00:00',2,1,12,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124251251116135431123379395124223218091',13557,'9998',39.10,1,3,NULL),(28,7037643,'1994-05-21 00:00:00',2,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215371431463912575122610144092',NULL,'44',19.26,1,3,NULL),(28,7037660,'1990-05-07 00:00:00',4,1,12,2011,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124201248115471731427614575124610122171',2183,'306',65.18,1,2,1),(28,7037678,'1992-11-13 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241137372431238729576144610168197',7355,'287',51.84,1,2,1),(28,7037686,'1992-08-18 00:00:00',2,4,12,2010,'M','N','PENHA','CORBÉLIA','PR','116161161117471311643511575124610166197',4982,'9998',58.79,2,1,1),(28,7037694,'1993-01-19 00:00:00',2,24,11,2009,'F','N','GABIROBA','RIO OESTE','SC','124241241215572431489611575112610146112',NULL,'653',0.00,1,3,NULL),(28,7037708,'1982-02-02 00:00:00',2,1,12,1999,'M','N','CALHEIROS','GOV CELSO RAMOS','SC','124241241146161441134443435122610137112',16616,'329',42.39,1,3,NULL),(28,7037716,'1995-01-16 00:00:00',2,8,12,2011,'F','N','BOA VISTA','JOINVILLE','SC','124243241117131431413419572224610124187',NULL,'361',24.11,1,3,NULL),(28,7037724,'1990-12-14 00:00:00',2,1,12,2009,'F','N','VENDAVAL','BIGUAÇU','SC','124246241635371421426739342114610143032',19100,'63',34.87,4,3,NULL),(28,7037732,'1994-09-24 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124241241127131741326324575125610127042',NULL,'736',22.05,1,2,1),(28,7037740,'1994-04-16 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431538831374124610121187',15680,'1022',44.33,1,3,NULL),(28,7037783,'1993-12-24 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372731349812575125610168182',16296,'1022',43.11,1,3,NULL),(28,7037791,'1994-12-20 00:00:00',4,1,12,2011,'M','N','JARDIM EUROPA','LONDRINA','PR','116164161236111431324829575122610167057',NULL,'9998',0.00,3,3,NULL),(28,7037805,'1985-06-06 00:00:00',1,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241345372431133341415124322236047',7713,'370',57.62,1,3,NULL),(28,7037813,'1990-03-09 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241145472431247821275124133223147',12174,'278',41.92,1,2,1),(28,7037821,'1993-11-29 00:00:00',4,1,12,2010,'F','N','JARDIM EUCALIPTO','PALHOÇA','SC','124241241115132331546314275122610168182',14530,'592',39.99,1,2,1),(28,7037830,'1987-01-11 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241137474431338621595124221426172',6234,'492',60.18,1,3,NULL),(28,7037856,'1993-09-16 00:00:00',2,1,12,2010,'F','N','INDEPENDÊNCIA','TAUBATÉ','SP','125252251217371431689734575112610114144',15201,'9998',45.22,1,3,NULL),(28,7037864,'1992-07-20 00:00:00',4,1,1,2012,'M','N','CENTRO','IGUAPE','SP','125254251436371731248449475124610164012',19698,'9998',31.21,1,3,NULL),(28,7037899,'1993-08-23 00:00:00',4,1,11,2010,'F','N','BELA VISTA I','S JOSÉ','SC','124243241115572411236624345124610134142',5639,'307',55.11,1,3,NULL),(28,7037902,'1992-06-13 00:00:00',2,1,12,2009,'F','N','JARDIM DA PENHA','VITÓRIA','ES','108082081217311511475832475112142822072',NULL,'9998',27.20,5,3,NULL),(28,7037910,'1992-11-26 00:00:00',2,8,12,2010,'F','N','BOA VISTA','JOINVILLE','SC','124241241126151411328534245124233238197',NULL,'477',19.13,2,3,NULL),(28,7037929,'1994-06-28 00:00:00',2,8,12,2011,'F','N','BOA VISTA','JOINVILLE','SC','124241241215371131526734575122610136197',7410,'1105',50.95,1,3,NULL),(28,7037937,'1993-07-03 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215272411589933315124231914032',3840,'1022',59.02,1,3,NULL),(28,7037945,'1992-04-24 00:00:00',4,8,11,2010,'M','N','ATIRADORES','JOINVILLE','SC','124202241436472411466924475122141034041',1581,'459',67.70,1,3,NULL),(28,7037953,'1982-09-27 00:00:00',4,1,11,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201167347132741127844442324141936042',NULL,'9998',32.91,1,3,NULL),(28,7037961,'1985-10-12 00:00:00',2,1,7,2004,'F','N','CENTRO','BIGUAÇU','SC','124241247236132431123344245124230238052',16761,'784',42.07,1,3,NULL),(28,7037970,'1994-10-18 00:00:00',4,1,12,2011,'M','N','CENTRO','LORENA','SP','125252256317111411468931571122610164013',NULL,'9998',0.00,1,3,NULL),(28,7037988,'1994-08-26 00:00:00',4,5,12,2011,'M','N','QUARTA LINHA','CRICIÚMA','SC','124242241215371431568932574114610122057',4153,'211',59.05,1,3,NULL),(28,7037996,'1994-05-17 00:00:00',4,8,12,2011,'F','N','CENTRO','GUARATUBA','PR','116161161115131431436329571121610162192',NULL,'9998',0.00,1,2,1),(28,7038011,'1991-01-29 00:00:00',4,1,11,2008,'F','N','SITIO CERCADO','CURITIBA','PR','116161161117141431526524345124610166147',NULL,'9998',36.85,1,2,1),(28,7038020,'1992-12-22 00:00:00',4,1,12,2011,'M','N','VILA IMPERADOR','FRANCA','SP','125254251227121431358831575122610137042',NULL,'9998',30.91,1,3,NULL),(28,7038038,'1994-03-17 00:00:00',4,8,12,2011,'M','N','BOM RETIRO','JOINVILLE','SC','124241241115151411438614575122610141172',6488,'476',54.34,1,2,1),(28,7038046,'1992-04-27 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241117131431523629445124610133147',NULL,'257',10.08,2,1,1),(28,7038054,'1991-08-21 00:00:00',4,1,12,2009,'F','N','JARDIM ATLÂNTICO','S JOSÉ','SC','124242241215272431358733572112122863142',8374,'738',56.49,1,3,NULL),(28,7038062,'1982-02-10 00:00:00',4,1,12,2000,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242247217154431358833415124222224123',NULL,'9999',0.00,1,3,NULL),(28,7038070,'1992-09-10 00:00:00',4,1,12,2009,'F','N','CENTRO','GAROPABA','SC','124241241145133431443313345124610136142',NULL,'322',22.77,4,1,1),(28,7038089,'1993-10-17 01:00:00',2,3,12,2011,'F','N','GIOPPO','CAÇADOR','SC','124245245346131711635923375124610145071',NULL,'124',28.21,1,3,NULL),(28,7038127,'1992-10-07 00:00:00',2,1,11,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241235573431327411575124610167041',6589,'269',52.44,1,3,NULL),(28,7038135,'1993-04-24 00:00:00',4,1,12,2010,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241112372311314363382124610144017',NULL,'281',23.71,1,2,1),(28,7038143,'1992-06-07 00:00:00',4,1,12,2009,'M','N','CERQUEIRA CÉSAR','S PAULO','SP','125252251217471411579913495124240967047',NULL,'9998',38.51,1,3,NULL),(28,7038151,'1988-04-25 00:00:00',4,1,12,2005,'F','N','KOBRASOL','S JOSÉ','SC','124241241116131421333379345124610134027',NULL,'307',19.91,2,1,1),(28,7038160,'1993-09-17 00:00:00',4,1,12,2010,'F','N','CENTRO','MARINGÁ','PR','116162161217471431447763575112610168197',4564,'9998',57.11,1,3,NULL),(28,7038178,'1994-05-03 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124241241126131351334422575125610134142',17169,'736',41.10,1,2,1),(28,7038194,'1988-02-19 00:00:00',4,8,12,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124213211415372131428774215121130637187',5420,'9998',52.92,1,3,NULL),(28,7038208,'1995-03-04 00:00:00',2,1,11,2011,'F','N','BAIRRO ALTO','CURITIBA','PR','116162161117371411339922575124610121195',NULL,'9998',0.00,1,3,NULL),(28,7038216,'1994-01-20 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431538813375124610121067',NULL,'1022',24.30,2,3,NULL),(28,7038224,'1991-06-02 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241116135431634374341124231027061',NULL,'307',21.34,4,2,1),(28,7038232,'1982-10-27 00:00:00',6,1,12,2003,'F','N','JARDIM MONTE ALEGRE','TABOÃO SERRA','SP','225252251127141621224444445124340223182',NULL,'9998',0.00,1,3,NULL),(28,7038267,'1994-03-06 00:00:00',4,1,12,2011,'F','N','BELA VISTA','PALHOÇA','SC','124241241115131431525521275124610122143',19227,'592',34.21,1,2,1),(28,7038275,'1993-02-03 00:00:00',2,1,12,2010,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241215272431334531575122610134017',4260,'1022',57.30,1,3,NULL),(28,7038283,'1988-08-21 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124221221415372411622329395124221447042',10564,'9998',52.82,4,1,2),(28,7038291,'1991-02-14 00:00:00',2,2,12,2011,'M','N','JARDIM INGA','S PAULO','SP','125251257127141431226454385124610137047',NULL,'9998',27.66,1,3,NULL),(28,7038305,'1995-03-28 00:00:00',4,27,12,2011,'M','N','CAJUS','JUSCIMEIRA','MT','111113111316121731238823175124610162172',9407,'9998',46.29,4,3,NULL),(28,7038313,'1988-04-24 00:00:00',4,1,11,2011,'F','N','VL CHRISTINO','MARINGÁ','PR','116162167416371431349924415122140227082',18846,'9999',35.90,1,3,NULL),(28,7038321,'1990-01-08 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244247236111231468934345122610164122',19915,'9999',29.18,1,3,NULL),(28,7038330,'1990-01-02 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215374751338814575124122261197',4715,'1022',57.43,1,3,NULL),(28,7038348,'1990-12-02 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211475411438923375122133263115',2543,'270',63.47,1,3,NULL),(28,7038356,'1990-12-13 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217273221168829495112221427133',13243,'270',48.64,1,3,NULL),(28,7038364,'1991-04-23 00:00:00',4,1,12,2008,'M','N','BOSQUE DOS IPÊS','S JOSÉ CAMPOS','SP','125251251217471711438814495124610167047',NULL,'9998',0.00,1,3,NULL),(28,7038372,'1993-12-28 00:00:00',4,1,12,2011,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','624241241127241431423619375124610127042',NULL,'291',29.94,1,2,1),(28,7038380,'1987-03-10 00:00:00',6,1,7,2006,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247336131411226649392124610143142',NULL,'506',0.00,3,3,NULL),(28,7038402,'1991-11-13 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124231091116272441146813345114141466142',2070,'9998',64.30,1,3,NULL),(28,7038429,'1994-03-18 00:00:00',4,8,12,2011,'M','N','SANTA CATARINA','JOINVILLE','SC','124243241235111431446514282121610147037',10164,'459',44.90,1,3,NULL),(28,7038445,'1991-11-04 00:00:00',4,1,12,2008,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124242241217472431228819385114133228092',7266,'87',52.98,1,3,NULL),(28,7038461,'1993-03-09 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124201241136372441333421185124610164172',13042,'290',48.92,1,2,1),(28,7038470,'1982-08-31 00:00:00',4,1,12,2001,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242241216474431626519445114610114197',NULL,'1134',30.75,1,3,NULL),(28,7038496,'1983-09-20 00:00:00',2,1,6,2003,'M','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124252257327131332335543395112133222137',14678,'9998',39.03,1,3,NULL),(28,7038518,'1991-02-16 00:00:00',4,1,11,2008,'M','N','VILA RÉ','S PAULO','SP','125253251416571431537823575115610142147',5182,'9998',55.24,1,3,NULL),(28,7038526,'1993-05-26 00:00:00',4,1,12,2011,'F','N','SANTA CÂNDIDA','CURITIBA','PR','116161163116471411236933575124610167142',18153,'9997',38.41,1,2,1),(28,7038542,'1992-04-12 00:00:00',4,8,12,2009,'F','N','VILA PEDRO MOREIRA','GUARULHOS','SP','125241241215573431346614574114610135012',3647,'459',65.28,1,3,NULL),(28,7038550,'1994-07-11 00:00:00',4,8,12,2011,'M','N','JARDIM IRIRIU','JOINVILLE','SC','124241241117131232416514385111610118172',NULL,'469',28.66,1,3,NULL),(28,7038569,'1993-05-14 00:00:00',4,9,11,2010,'M','N','CENTRO','LAGES','SC','124242241211272411349834441132610117082',3860,'497',64.80,1,3,NULL),(28,7038577,'1993-05-04 00:00:00',4,1,12,2010,'M','N','BAETA NEVES','S BERNARDO CAMPO','SP','125252251245471431588614571124610117047',2694,'9998',62.84,1,3,NULL),(28,7038615,'1985-05-13 00:00:00',4,1,11,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243246146153751346644345124223264172',6942,'306',50.97,1,3,NULL),(28,7038623,'1993-11-01 00:00:00',4,8,12,2010,'F','N','JD CAROLINA','ASSIS CHATEAUBRIAND','PR','116162161215211431546913572124610122197',6671,'9998',52.40,1,3,NULL),(28,7038631,'1995-11-14 00:00:00',4,1,12,2013,'F','S','JURERÊ','FLORIANÓPOLIS','SC','124242241217151431479914245124610114127',NULL,'266',32.33,1,3,NULL),(28,7038640,'1991-12-04 00:00:00',2,4,12,2008,'F','N','OURO VERDE','CEL FREITAS','SC','124241241116473431444432575124610114172',620,'199',73.62,1,2,1),(28,7038658,'1992-06-07 00:00:00',4,8,3,2006,'F','N','JOÃO COSTA','JOINVILLE','SC','124241241137371421436334345234333236192',NULL,'472',34.99,1,3,NULL),(28,7038674,'1993-10-14 00:00:00',4,1,12,2011,'M','N','IPANEMA','ARAÇATUBA','SP','125252251216111411569911574122610152182',NULL,'9998',0.00,1,3,NULL),(28,7038704,'1992-12-24 00:00:00',4,4,12,2010,'M','N','CENTRO','XAXIM','SC','124161241416161411659614575124610166197',13294,'83',48.56,1,3,NULL),(28,7038712,'1994-09-16 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241335131431536821271124610138142',NULL,'259',8.87,1,3,NULL),(28,7038747,'1992-05-23 00:00:00',2,1,12,2009,'F','N','CENTRO','S JOSÉ CEDRO','SC','124241241315572431354823172115142467077',4613,'740',59.45,1,3,NULL),(28,7038755,'1985-08-22 00:00:00',4,1,12,2002,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241216372431345879445124130224182',11126,'1134',51.92,1,3,NULL),(28,7038763,'1986-11-14 00:00:00',2,1,12,2003,'F','N','JARDIM JANAINA','BIGUAÇU','SC','624161161126371731225574245332610113191',NULL,'9998',22.32,1,2,1),(28,7038771,'1979-10-22 00:00:00',2,1,12,2004,'M','N','JURERE','FLORIANÓPOLIS','SC','224251257326133421543943415122331325182',10287,'9999',47.61,1,3,NULL),(28,7038798,'1994-02-09 00:00:00',4,1,11,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215132231579812375124610167187',14974,'1169',45.66,1,3,NULL),(28,7038801,'1993-10-19 00:00:00',4,1,11,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124202201211372431144612345124610124052',11988,'9998',50.56,1,3,NULL),(28,7038810,'1994-06-08 00:00:00',4,1,11,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216112431379912375114610164187',17124,'1169',41.20,1,3,NULL),(28,7038836,'1993-05-23 00:00:00',2,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215372431236823575122610126082',6606,'226',52.35,1,3,NULL),(28,7038844,'1986-08-22 00:00:00',4,1,12,2004,'M','N','IPIRANGA','S JOSÉ','SC','124241241122132711523311342231333238182',NULL,'733',0.00,1,2,1),(28,7038852,'1994-12-20 00:00:00',4,15,12,2011,'F','N','SAO LUIZ','SOMBRIO','SC','124241241117151722523574386324610168077',NULL,'1033',8.92,1,2,1),(28,7038860,'1988-08-06 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124134131415573431346621575122610122112',2989,'9998',63.63,1,3,NULL),(28,7038887,'1994-02-07 00:00:00',2,2,11,2010,'F','N','CRISTO REI','CURITIBA','PR','116162161216572431466812575124610133142',17112,'9998',41.23,1,3,NULL),(28,7038895,'1994-02-19 00:00:00',4,1,12,2011,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','120201201116131751346814572122610168092',19807,'9998',30.29,1,3,NULL),(28,7038917,'1990-09-09 00:00:00',4,3,12,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241125131431336319345112610164182',16670,'405',31.16,4,2,1),(28,7038933,'1987-09-11 00:00:00',4,1,12,2005,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241217143431378622425122331422192',10985,'270',52.15,1,3,NULL),(28,7038941,'1994-08-26 00:00:00',2,1,10,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431356613575121610117052',14624,'1169',43.97,1,3,NULL),(28,7038950,'1993-12-21 00:00:00',4,3,12,2011,'M','N','CENTRO','RIO NEGRINHO','SC','124242161215471431458911575122610132142',1249,'9998',66.01,4,3,NULL),(28,7038968,'1989-12-28 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241312272731479613432134321563187',16118,'271',43.47,1,3,NULL),(28,7038976,'1991-07-26 00:00:00',4,1,12,2008,'F','N','JARDIM MURILO','MOGI GUAÇU','SP','125251251116573441356614575122120664097',10764,'9998',43.34,1,2,1),(28,7038984,'1987-01-10 00:00:00',4,1,12,2004,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241317271431127644345134131022092',11885,'855',50.71,1,3,NULL),(28,7038992,'1992-12-06 00:00:00',4,2,11,2010,'M','N','ESTADOS','TIMBÓ','SC','124242241215132431366912322122610168092',9046,'1157',47.22,1,3,NULL),(28,7039000,'1992-06-27 00:00:00',2,16,12,2010,'F','N','INTERIOR','BRUNÓPOLIS','SC','124241241123152431524413572224610148057',NULL,'911',21.11,1,3,NULL),(28,7039018,'1991-01-19 00:00:00',4,1,12,2008,'F','N','CENTRO','GOIÂNIA','GO','109092091215572441338822571122610133122',105,'9998',79.96,1,3,NULL),(28,7039026,'1993-05-11 00:00:00',4,3,12,2011,'M','N','MONTE CASTELO','TERESINA','PI','118182181217371731536513575222610122092',17151,'9998',41.14,4,3,NULL),(28,7039042,'1993-10-28 00:00:00',4,8,12,2010,'F','N','JARDIM IRIRIU','JOINVILLE','SC','124241241112272411338634345124610115177',NULL,'1144',34.09,1,3,NULL),(28,7039069,'1990-12-08 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241121471751436634191211610168157',13542,'142',43.34,1,2,1),(28,7039077,'1993-10-11 00:00:00',4,22,12,2010,'F','N','SANTA TEREZINHA','BRUSQUE','SC','124243241215113431437632325122132615147',4585,'109',58.61,1,3,NULL),(28,7039093,'1993-12-23 00:00:00',2,4,12,2010,'M','N','BATEL','GUARAPUAVA','PR','116163161216271411563832172122610164052',12427,'9998',40.48,1,3,NULL),(28,7039107,'1992-10-06 00:00:00',4,10,11,2010,'F','N','CENTRO','TUBARÃO','SC','124244241215472411463634575112610162191',4080,'797',57.45,1,3,NULL),(28,7039115,'1993-01-01 00:00:00',4,1,12,2010,'M','N','VILA MAZZEI','S PAULO','SP','125251251137151431446631415125610162152',17829,'9998',39.40,1,2,1),(28,7039123,'1993-01-08 00:00:00',4,1,12,2010,'F','N','PRAIA DOS NAMORADOS','AMERICANA','SP','125252251216272421437614575122141448097',NULL,'9998',0.00,1,3,NULL),(28,7039131,'1992-09-12 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271221469933575122610111142',15789,'270',44.12,1,3,NULL),(28,7039140,'1989-02-07 00:00:00',2,1,12,2006,'M','N','CAMPINAS','S JOSÉ','SC','124242241217272431345923335123130237052',17547,'737',40.19,1,3,NULL),(28,7039158,'1992-05-14 00:00:00',4,8,6,2011,'F','N','JARDIM IRIRIU','JOINVILLE','SC','124243247346141711328623245124610117141',NULL,'9999',9.79,1,3,NULL),(28,7039166,'1990-05-28 00:00:00',4,10,12,2008,'M','N','CENTRO','IMBITUBA','SC','124241241117132441226529442124231427062',NULL,'359',0.00,1,2,1),(28,7039174,'1991-10-10 00:00:00',2,16,12,2009,'M','N','CENTRO','BRUNÓPOLIS','SC','124241241126151431224416575122610118182',NULL,'911',15.20,1,3,NULL),(28,7039182,'1992-02-11 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124244241215372431459911575122121267072',10859,'213',52.33,1,3,NULL),(28,7039190,'1991-03-22 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124252256216371731447618445124610168142',6305,'9998',52.34,1,3,NULL),(28,7039204,'1991-12-17 00:00:00',2,5,11,2009,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124243241215112431328619345125130222057',NULL,'226',36.28,1,3,NULL),(28,7039212,'1989-09-06 00:00:00',4,1,10,2008,'F','N','REAL PARQUE','S JOSÉ','SC','224241247126573431323653375122610127152',5259,'9999',57.52,1,2,1),(28,7039220,'1991-03-25 00:00:00',4,3,11,2007,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124241241216575751335923285121610164187',4168,'44',56.48,1,3,NULL),(28,7039239,'1994-03-05 00:00:00',4,17,12,2011,'F','N','CENTRO','CURITIBA','PR','116241161215421531326823575122610124083',15020,'9998',45.58,1,3,NULL),(28,7039247,'1988-09-30 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241116345731333319245124610121077',17377,'257',29.92,1,3,NULL),(28,7039255,'1993-09-17 00:00:00',4,1,12,2010,'F','N','CENTRO','LAGES','SC','124242241215473431457613572224610163017',2697,'1207',63.13,1,3,NULL),(28,7039298,'1968-07-31 00:00:00',4,1,12,1985,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124251131217232431568852415122120436112',4876,'9998',62.66,1,3,NULL),(28,7039310,'1994-10-23 00:00:00',4,1,12,2011,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215112431579817575122610125012',17613,'1169',29.77,1,3,NULL),(28,7039328,'1994-01-29 00:00:00',4,1,12,2011,'F','N','JD D ABRIL','OSASCO','SP','125252251217131721338811571125610131182',6000,'9998',55.60,4,3,NULL),(28,7039344,'1991-08-11 00:00:00',4,23,12,2008,'M','N','CENTRO','JARAGUÁ SUL','SC','124241241117371431628831245121610162047',16355,'425',42.98,1,2,1),(28,7039352,'1992-10-07 00:00:00',2,8,12,2010,'F','N','CENTRO','BARRA VELHA','SC','124241241136571711434412372125133268097',NULL,'57',22.49,1,2,1),(28,7039360,'1993-08-07 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215371431448612375124610144142',13037,'738',48.93,1,3,NULL),(28,7039379,'1988-04-27 00:00:00',4,8,12,2005,'M','N','ITAUM','JOINVILLE','SC','124242241415171421438614345121131837147',7618,'461',57.77,1,3,NULL),(28,7039387,'1980-11-19 00:00:00',4,1,12,1998,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124252251437375421358744345133320822042',5186,'9998',62.07,1,3,NULL),(28,7039409,'1994-04-19 00:00:00',4,6,12,2011,'M','N','CABEÇUDAS','ITAJAÍ','SC','124242241215111731349833575122610127071',NULL,'1026',23.70,1,3,NULL),(28,7039417,'1994-04-30 00:00:00',4,6,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241435111411534622245121610157047',19707,'1091',31.12,1,3,NULL),(28,7039425,'1982-06-26 00:00:00',2,1,12,1999,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241216373421339929382124333232147',18242,'270',38.16,1,3,NULL),(28,7039506,'1994-04-30 00:00:00',2,8,12,2011,'F','N','FATIMA','JOINVILLE','SC','124241248115111431413539295124610116077',10401,'24',47.98,1,2,1),(28,7039514,'1993-08-22 00:00:00',4,4,11,2010,'M','N','LA SALLE','XANXERÊ','SC','124242241216372431466913275124241437147',2896,'1081',59.69,1,3,NULL),(28,7039530,'1993-03-23 00:00:00',2,1,12,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124241241111372431221123574324610144092',15777,'593',37.12,1,2,1),(28,7039565,'1992-04-25 00:00:00',4,25,12,2009,'F','N','REUNIDAS','CAÇADOR','SC','124241241126161431546614395132610163197',NULL,'826',22.15,1,2,1),(28,7039573,'1995-09-10 00:00:00',4,6,12,2011,'F','N','ARMAÇÃO','PENHA','SC','124241248116131431336923575125610166147',9747,'24',46.54,1,2,1),(28,7039590,'1994-05-12 00:00:00',2,22,12,2011,'F','N','MACUCO','GASPAR','SC','124241248136141731322619296124610132147',NULL,'325',0.00,1,2,1),(28,7039603,'1993-07-07 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372441556833575114610164017',5335,'262',61.78,1,3,NULL),(28,7039611,'1992-03-05 00:00:00',2,1,12,2009,'M','N','JARDIM COQUEIROS','PALHOÇA','SC','124241241216133711445723345111610167047',14644,'1011',36.40,4,3,NULL),(28,7039620,'1977-12-31 00:00:00',2,8,12,1998,'M','N','GUANABARA','JOINVILLE','SC','224241246146515441533313172124331536042',4753,'485',55.75,1,2,1),(28,7039638,'1994-04-07 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241216372431578612145122610167042',7812,'1118',56.40,1,3,NULL),(28,7039646,'1994-06-01 00:00:00',4,1,12,2011,'F','N','ROÇADO','S JOSÉ','SC','124242241115371431458913275122610124177',3950,'739',59.17,1,3,NULL),(28,7039654,'1993-11-10 00:00:00',2,7,12,2010,'F','N','FLOR DA SERRA','JOAÇABA','SC','124241241115471431445536575122610166172',19666,'374',31.49,1,2,1),(28,7039662,'1991-08-13 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241211574231466633372124131468072',7841,'738',57.39,4,3,NULL),(28,7039670,'1994-06-22 00:00:00',4,1,12,2011,'M','N','NAZARÉ','BELÉM','PA','114142141216411431578834575122610127042',154,'9998',81.31,1,3,NULL),(28,7039689,'1994-03-12 00:00:00',4,4,12,2010,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241216472431446612574112610163122',5289,'1191',55.08,1,3,NULL),(28,7039735,'1993-07-27 00:00:00',4,5,12,2010,'M','N','RIO MAINA','CRICIÚMA','SC','124241241415131441636412375124231437052',13177,'995',40.85,1,3,NULL),(28,7039743,'1988-06-28 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124241241116272431533329272124131027041',15479,'257',44.73,2,1,1),(28,7039751,'1993-04-03 00:00:00',4,7,12,2009,'F','N','CENTRO','PERITIBA','SC','124241241146573431545614574114610142197',NULL,'612',16.52,1,2,1),(28,7039760,'1994-11-18 00:00:00',4,8,12,2011,'F','N','JARIVATUBA','JOINVILLE','SC','124241248116131431438923575122610164177',11070,'24',42.83,1,2,1),(28,7039778,'1994-03-28 00:00:00',4,8,12,2011,'M','N','CENTRO','GARUVA','SC','124241241215271431436814575122610117051',18187,'1105',38.34,1,3,NULL),(28,7039786,'1986-02-25 00:00:00',2,5,11,2003,'F','N','BALNEÁRIO RINCÃO','IÇARA','SC','124241241213232441133629281124132622147',NULL,'920',0.00,4,1,2),(28,7039794,'1988-06-01 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124111111146143751126612215224140722197',NULL,'9998',38.64,4,2,1),(28,7039832,'1987-09-18 00:00:00',4,1,12,2005,'F','N','LOMBA GRANDE','NOVO HAMBURGO','RS','120201201116271741325311381324610126072',NULL,'9998',0.00,1,2,1),(28,7039840,'1977-09-23 00:00:00',4,1,12,1997,'F','N','RIO VERMELHO ESTAÇÃO','S BENTO SUL','SC','424241246316343741123344345135333244137',12103,'700',50.39,1,3,NULL),(28,7039875,'1994-03-31 00:00:00',4,8,12,2011,'F','N','AMÉRICA','JOINVILLE','SC','124241248115271231226321572324610136187',NULL,'24',19.24,1,2,1),(28,7039883,'1993-09-05 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215111431334533372124610122072',NULL,'1023',23.62,1,3,NULL),(28,7039891,'1993-07-14 00:00:00',4,4,12,2010,'M','N','FRINAPE','ERECHIM','RS','120201201116471441448832295122610164172',NULL,'9998',30.06,1,3,NULL),(28,7039905,'1992-12-07 00:00:00',2,4,12,2009,'M','N','CERÂMICA','ERECHIM','RS','120202201217572441438831575125610157187',17,'9998',83.99,1,3,NULL),(28,7039921,'1989-07-26 00:00:00',4,5,12,2007,'M','N','CENTRO','URUSSANGA','SC','124243241215272441533439295225121664072',15740,'820',44.22,1,3,NULL),(28,7039930,'1994-06-23 00:00:00',4,17,12,2011,'F','N','SÃO CRISTOVÃO','TRÊS BARRAS','SC','124241241136141431114668346324610121067',NULL,'153',20.03,1,2,1),(28,7039964,'1993-08-10 00:00:00',2,1,12,2011,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124243241215111431426611515324610161072',9261,'1023',47.38,1,3,NULL),(28,7039980,'1989-08-21 00:00:00',4,1,12,2008,'M','N','LISBOA','S JOSÉ','SC','124241241126132411436614395124231367092',13444,'731',39.46,1,2,1),(28,7039999,'1991-08-12 00:00:00',2,5,12,2008,'M','N','PEDREIRAS','IÇARA','SC','124241241116151431433312395112610135092',19141,'1005',34.68,1,2,1),(28,7040016,'1994-09-17 00:00:00',4,8,12,2011,'F','N','PRAIA DO ERVINO','S FRANCISCO SUL','SC','124241248115161431616321572324610161097',12415,'24',40.88,1,2,1),(28,7040024,'1993-07-01 00:00:00',2,15,12,2010,'F','N','COQUEIRO ALTO','D PEDRO ALCÂNTARA','RS','120201242117471731324335271124610126147',4533,'690',56.02,1,2,1),(28,7040032,'1993-05-19 00:00:00',2,4,12,2010,'M','N','CENTRO','NONOAI','RS','120201201115571731423923595114610117052',9440,'9998',48.22,1,2,1),(28,7040040,'1992-12-09 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124163241311112511436769342124232716152',18218,'884',38.24,4,3,NULL),(28,7040059,'1995-05-11 00:00:00',4,1,11,2011,'F','N','CENTRO','BARRA VELHA','SC','124243241215161431558711395122610125177',5408,'1026',56.02,1,3,NULL),(28,7040083,'1992-09-08 00:00:00',4,2,12,2009,'F','N','ESTADOS','INDAIAL','SC','124242241211573431448632371122610126182',8915,'925',55.57,1,3,NULL),(28,7040091,'1990-10-05 00:00:00',2,1,11,2007,'M','N','CAMPINAS','S JOSÉ','SC','124244241416374441336611375124133163187',2457,'723',67.25,1,3,NULL),(28,7040105,'1993-01-16 00:00:00',2,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241115472431434421245124141432197',NULL,'405',0.00,4,2,1),(28,7040113,'1995-01-13 00:00:00',2,1,12,2012,'F','S','RIO CAVEIRAS','BIGUAÇU','SC','124241241117151631433334146124610133097',NULL,'1088',28.43,1,3,NULL),(28,7040121,'1994-01-09 00:00:00',2,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124242241215111731465923592122610137071',15782,'1023',35.05,1,3,NULL),(28,7040130,'1993-06-13 00:00:00',2,1,12,2011,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241212111712425811595124610114111',NULL,'1023',0.00,1,3,NULL),(28,7040148,'1992-05-23 00:00:00',4,1,12,2009,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125072071215571431546611576125610167092',6265,'9998',53.24,1,3,NULL),(28,7040156,'1991-11-21 00:00:00',4,1,11,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215273431339833481124231962037',1989,'883',65.43,1,3,NULL),(28,7040172,'1988-01-21 00:00:00',2,1,12,2006,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241112271421633329485124130244032',NULL,'592',0.00,4,1,1),(28,7040180,'1994-06-12 00:00:00',4,1,12,2011,'M','N','N SRA DO ROSÁRIO','S JOSÉ','SC','124241241117471731535412175124610166172',5708,'257',56.14,1,2,1),(28,7040199,'1993-07-10 00:00:00',4,2,10,2010,'F','N','VELHA','BLUMENAU','SC','124241241217472431336334574124610122097',NULL,'855',0.00,1,3,NULL),(28,7040202,'1994-10-21 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112411459921495122610117052',15577,'1169',35.46,1,3,NULL),(28,7040210,'1993-06-23 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216372431463911225124610112112',8290,'1022',49.76,1,3,NULL),(28,7040229,'1991-09-27 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431478712575112131064092',5150,'807',55.66,1,3,NULL),(28,7040237,'1991-06-22 00:00:00',2,1,12,2008,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124203201442141731523639395124143033143',18554,'9998',37.04,1,3,NULL),(28,7040245,'1984-01-06 00:00:00',2,8,12,2001,'M','N','NOVA BRASILIA','JOINVILLE','SC','224241241126131421343344245114133217052',NULL,'481',23.61,4,2,1),(28,7040253,'1989-09-01 00:00:00',2,16,12,2010,'M','N','SAO FRANCISCO','CURITIBANOS','SC','124241241146141232222244342225610168042',19039,'239',35.14,4,2,1),(28,7040261,'1994-06-23 00:00:00',4,17,12,2011,'M','N','JARDIM CHACARA AULER','JAÚ','SP','125252251216111431458811575112610127097',1204,'9998',69.10,1,3,NULL),(28,7040270,'1987-05-04 00:00:00',4,24,12,2004,'F','N','PROGRESSO','RIO SUL','SC','124243241215271431128641412122332564097',16935,'663',41.67,1,3,NULL),(28,7040288,'1991-02-21 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124201201112131431113674342324610126012',15316,'9998',37.07,1,2,1),(28,7040300,'1992-12-15 00:00:00',4,1,12,2010,'M','N','ARIRIÚ','PALHOÇA','SC','124241241111372731426629475124610166177',NULL,'592',30.42,1,2,1),(28,7040318,'1982-03-15 00:00:00',2,6,12,1999,'F','N','CENTRO','ITAJAÍ','SC','124201241126371731123339342234610134087',17983,'398',38.99,1,2,1),(28,7040326,'1992-04-17 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431338611575112610142042',6921,'270',51.06,1,3,NULL),(28,7040334,'1991-07-28 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573551467811571224610147047',403,'962',76.44,4,3,NULL),(28,7040342,'1993-05-05 00:00:00',4,8,12,2010,'F','N','CENTENARIO','S BENTO SUL','SC','124241241116472431334614575124610135147',13679,'697',39.24,1,2,1),(28,7040377,'1989-03-25 00:00:00',2,6,12,2007,'F','N','CENTRO','ILHOTA','SC','124241248131112751623635292122132937052',NULL,'354',14.23,1,3,NULL),(28,7040385,'1991-12-11 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124243241435574311237714225124610165097',2787,'736',64.52,1,3,NULL),(28,7040415,'1993-04-19 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','124242241216311431468813445112610147052',NULL,'237',34.76,1,3,NULL),(28,7040423,'1992-11-27 00:00:00',2,17,12,2009,'F','N','TRICOLIM','CANOINHAS','SC','124241241216572431439634595112610112197',15028,'154',39.14,1,3,NULL),(28,7040440,'1985-09-09 00:00:00',2,5,11,2003,'F','N','SAO LUIZ','CRICIÚMA','SC','124242241216575431556413432112132611097',2916,'9997',62.88,1,3,NULL),(28,7040458,'1991-02-07 00:00:00',4,1,12,2008,'M','N','JD SÃO DIMAS','S JOSÉ CAMPOS','SP','125252251215571431368712575122610164057',1278,'9998',67.02,1,3,NULL),(28,7040466,'1993-06-04 00:00:00',4,1,12,2010,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124241241116472431233344245235610124142',11161,'295',43.97,2,1,1),(28,7040474,'1994-10-28 00:00:00',4,6,10,2011,'F','N','BARREIRINHA','CURITIBA','PR','116242161217371531269913392112610165012',13149,'9998',48.77,1,3,NULL),(28,7040482,'1993-05-05 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124244241215372731337724344124610167071',1803,'1022',67.07,1,3,NULL),(28,7040490,'1992-09-04 00:00:00',4,1,12,2009,'F','N','CAMPESTRE','MTE ALTO','SP','125252251217471431338933572121610126142',17706,'9998',39.72,2,1,2),(28,7040504,'1988-10-30 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124203241127373421538719345123610124187',9012,'288',46.56,1,3,NULL),(28,7040512,'1980-08-22 00:00:00',2,1,12,2005,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','224201247146132452333353472114610161187',NULL,'9999',30.68,1,2,1),(28,7040520,'1991-01-06 00:00:00',4,1,12,2010,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241248132132431334334341124610123147',NULL,'306',24.92,1,2,1),(28,7040547,'1993-08-05 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241142272431547631225124610124177',NULL,'295',26.87,1,3,NULL),(28,7040555,'1993-08-11 00:00:00',4,1,12,2010,'F','N','CAMBUÍ','CAMPINAS','SP','125252251217372431478812472122610124072',2734,'9998',60.99,1,3,NULL),(28,7040563,'1994-03-04 00:00:00',2,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215131531446824572124610122047',16415,'1118',36.53,1,3,NULL),(28,7040571,'1965-11-07 00:00:00',2,10,12,1985,'M','N','OFICINAS','TUBARÃO','SC','124242244136135431323319492324131131042',7726,'804',50.06,1,3,NULL),(28,7040580,'1993-02-05 00:00:00',2,1,12,2010,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124201201114371441423361445334610162182',12658,'9998',40.85,1,2,1),(28,7040598,'1989-06-29 00:00:00',4,10,12,2006,'F','N','CENTRO','TUBARÃO','SC','124241241116131431433314345135131266147',18004,'1034',38.91,1,2,1),(28,7040601,'1990-12-28 00:00:00',4,9,12,2008,'M','N','CENTRO','LAGES','SC','124242241212473731439654572114610148051',6035,'497',55.09,1,3,NULL),(28,7040610,'1992-12-06 00:00:00',4,1,12,2010,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241248115131431436624375124133222052',6838,'306',50.84,2,1,1),(28,7040628,'1991-06-08 00:00:00',4,1,9,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242247436131431346614195334610124112',18055,'9999',38.71,1,3,NULL),(28,7040636,'1992-07-22 00:00:00',4,5,11,2009,'F','N','PIO CORREA','CRICIÚMA','SC','124242241216574431488813235122610162122',2551,'9997',62.13,1,3,NULL),(28,7040644,'1993-07-19 00:00:00',4,1,12,2010,'F','N','VILA LARSEN','LONDRINA','PR','116162161217372431447831575124610112197',NULL,'9998',0.00,3,3,NULL),(28,7040660,'1993-03-12 00:00:00',2,1,12,2010,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241116472431346623275124610123095',9355,'307',49.61,1,2,1),(28,7040679,'1993-03-31 00:00:00',2,22,12,2010,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241146371731314348285123610124142',14305,'712',37.91,1,2,1),(28,7040687,'1993-11-01 00:00:00',2,1,12,2010,'F','N','CENTRO','LARANJAL PAULISTA','SP','125254251216151431336616575122610167052',1778,'9998',63.98,1,3,NULL),(28,7040717,'1982-10-16 00:00:00',4,1,12,1999,'M','N','BARREIROS','S JOSÉ','SC','124242241212154731148741215132323234042',9526,'738',54.49,1,3,NULL),(28,7040725,'1994-04-21 00:00:00',4,1,12,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111531256527375124610114182',NULL,'1169',0.00,1,3,NULL),(28,7040741,'1992-07-28 00:00:00',2,1,12,2009,'F','N','BOM FIM','PTO ALEGRE','RS','120203201217151741448823295121240963022',11675,'9998',51.05,2,3,NULL),(28,7040750,'1993-05-08 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111431333419575124610131052',NULL,'1048',0.00,1,3,NULL),(28,7040768,'1990-08-01 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124244241415152421443317342123221227043',9092,'1119',55.27,1,3,NULL),(28,7040776,'1993-02-09 00:00:00',4,1,12,2010,'F','N','BOSQUE DOS IPÊS','S JOSÉ CAMPOS','SP','125253256216471731326639495124610162053',12280,'9998',44.17,3,3,NULL),(28,7040784,'1988-05-07 00:00:00',4,1,12,2005,'F','N','JD CID FLORIANÓPOLIS','S JOSÉ','SC','124256251116374431436324245124610124077',13460,'9998',37.42,2,1,2),(28,7040792,'1989-11-13 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124244241317143411448624345124610142057',7853,'732',49.65,1,3,NULL),(28,7040814,'1992-06-18 00:00:00',4,1,12,2009,'F','N','GRUTA DE LOURDES','MACEIÓ','AL','125022021217572431468813471122610124143',2253,'9998',63.37,1,3,NULL),(28,7040830,'1993-01-18 00:00:00',4,1,12,2010,'F','N','CONDOMÍNIO ITAPARK','VARGEM G PAULISTA','SP','125252251216471731538634575115610146171',11588,'9998',43.29,1,3,NULL),(28,7040849,'1991-05-15 00:00:00',2,5,11,2008,'F','N','ESTAÇÃO','URUSSANGA','SC','124242241215574431439713575114133224042',2990,'820',63.47,1,3,NULL),(28,7040873,'1994-09-01 00:00:00',4,23,12,2011,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241127141331436621215224610114147',NULL,'436',21.54,1,2,1),(28,7040903,'1990-11-30 00:00:00',4,1,12,2008,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125281211416471731558614575122143227142',NULL,'9998',0.00,1,3,NULL),(28,7040911,'1992-08-16 00:00:00',2,1,12,2010,'F','N','BOM JESUS','PTO ALEGRE','RS','120201208147371131525614295134610168186',NULL,'9998',0.00,2,1,1),(28,7040920,'1976-07-05 00:00:00',2,1,12,1996,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241146134421443319445123330222142',18174,'296',38.36,1,2,1),(28,7040946,'1986-05-20 00:00:00',2,1,12,2003,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120203201217572411337923474124141562197',420,'9998',72.20,1,3,NULL),(28,7040954,'1993-01-14 00:00:00',2,1,12,2010,'M','N','COND IBITI DO PAÇO','SOROCABA','SP','125252251217471331569814271122610134052',7417,'9998',53.35,4,3,NULL),(28,7040970,'1993-02-22 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372731349613392125131223081',5818,'1022',55.04,1,3,NULL),(28,7040989,'1993-09-13 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242243216112231368812425122610117043',15146,'1169',35.00,1,3,NULL),(28,7041004,'1980-10-11 00:00:00',4,1,12,1998,'F','N','PARAÍSO','CAÇADOR','SC','224244241416574421327354285124321541097',10746,'269',52.52,1,3,NULL),(28,7041012,'1992-02-07 00:00:00',2,8,12,2009,'M','N','BOA VISTA','JOINVILLE','SC','124242241216371411329613445124610124042',12827,'494',49.27,1,3,NULL),(28,7041047,'1992-11-19 00:00:00',4,1,12,2009,'F','N','FLORESTA','S JOSÉ','SC','124242241217373741426812312124610166147',5803,'738',55.05,1,3,NULL),(28,7041055,'1993-02-19 00:00:00',4,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215473431538923582114610167147',3449,'737',61.60,1,3,NULL),(28,7041071,'1991-10-20 01:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124212241215372431444631575122221424092',3732,'1038',61.04,1,3,NULL),(28,7041080,'1994-08-03 00:00:00',2,1,12,2011,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241117471451336623241114610135147',NULL,'307',21.63,1,3,NULL),(28,7041098,'1992-03-25 00:00:00',2,1,12,2010,'M','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125252251216232431446611575114141447077',NULL,'9998',0.00,1,3,NULL),(28,7041101,'1994-04-25 00:00:00',2,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241117141431423424345234610132147',NULL,'1248',19.74,1,2,1),(28,7041110,'1994-02-24 00:00:00',4,8,12,2011,'F','N','CENTRO','JOINVILLE','SC','124241241146131431437512295124610123047',NULL,'492',19.79,1,2,1),(28,7041136,'1989-01-06 00:00:00',2,22,12,2006,'F','N','SOUZA CRUZ','BRUSQUE','SC','124241241111271431335331344124133247182',3686,'110',59.52,1,2,1),(28,7041152,'1992-05-04 00:00:00',2,22,12,2009,'F','N','SAO LUIS','BRUSQUE','SC','124242241215473431548819371112121444147',2129,'109',65.26,1,3,NULL),(28,7041160,'1994-04-14 00:00:00',4,1,11,2011,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251236121711568814375122610125122',3283,'9998',59.41,1,3,NULL),(28,7041179,'1991-08-13 00:00:00',2,5,8,2009,'M','N','RAICHASKI','IÇARA','SC','124244248216141421435933335122231434067',19858,'995',29.77,1,3,NULL),(28,7041187,'1995-01-18 00:00:00',4,1,11,2011,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241215112431548832595125610167042',NULL,'1169',36.97,1,3,NULL),(28,7041195,'1993-10-30 00:00:00',2,8,12,2010,'M','N','BUCAREIN','JOINVILLE','SC','124242241215472411489931575122610124012',10128,'1063',53.52,1,3,NULL),(28,7041209,'1993-02-01 00:00:00',4,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211473431588811412114610164012',6882,'721',53.92,1,3,NULL),(28,7041225,'1994-10-25 00:00:00',4,1,12,2011,'F','N','PRAIA DOS NAMORADOS','AMERICANA','SP','125252251216111441458832575122610166192',1463,'9998',64.97,1,3,NULL),(28,7041233,'1992-09-18 00:00:00',4,1,12,2009,'F','N','JD MARINGÁ','LONDRINA','PR','116162161216571451458811574112610126043',NULL,'9998',0.00,1,3,NULL),(28,7041276,'1991-01-07 00:00:00',2,16,12,2008,'F','N','APARECIDA','CURITIBANOS','SC','224241241113471131324459382224610167147',NULL,'239',19.59,1,2,1),(28,7041330,'1992-02-17 00:00:00',2,15,12,2009,'M','N','CENTRO','OSÓRIO','RS','120203201117471431456911325122140237042',6018,'9998',53.44,1,3,NULL),(28,7041349,'1987-05-31 00:00:00',4,1,12,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116131411436527315124610135043',NULL,'257',0.00,4,2,1),(28,7041357,'1988-12-24 00:00:00',4,8,12,2005,'F','N','PINHEIRINHO','CURITIBA','PR','116161161116271411446614345122340243092',12995,'9998',38.94,1,3,NULL),(28,7041365,'1993-02-09 00:00:00',2,6,12,2010,'M','N','SÃO DOMINGOS','NAVEGANTES','SC','124241241136272721444439245122610123182',NULL,'570',28.76,1,2,1),(28,7041373,'1993-04-13 00:00:00',4,23,12,2010,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124242161212472431459811572124610122037',4459,'9998',63.47,1,3,NULL),(28,7041403,'1993-03-18 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216152431655414575124230827047',13455,'262',39.91,1,3,NULL),(28,7041411,'1985-03-29 00:00:00',4,1,12,2003,'M','N','BARREIROS','S JOSÉ','SC','124244248216134751236449295335131268027',13344,'9997',48.49,1,3,NULL),(28,7041438,'1975-08-26 00:00:00',4,1,12,1994,'M','N','AREIAS','S JOSÉ','SC','224241241116135731431344142124140227041',NULL,'293',26.38,2,1,1),(28,7041454,'1989-09-14 00:00:00',2,9,12,2006,'F','N','COPACABANA','LAGES','SC','124243241211273431328829241124133267057',9612,'515',54.35,4,3,NULL),(28,7041470,'1993-06-29 00:00:00',2,8,12,2010,'F','N','XAXIM','CURITIBA','PR','116252121316471431534819575124610146177',1307,'9998',68.72,1,3,NULL),(28,7041497,'1990-01-15 00:00:00',2,1,12,2006,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201201315573451537719576124233247017',5885,'9998',54.02,1,3,NULL),(28,7041519,'1989-11-10 00:00:00',4,1,11,2006,'F','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251216575751578972591114610163152',3061,'9998',61.99,1,3,NULL),(28,7041527,'1985-07-26 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124201201116272751212248285124140624187',19577,'9998',32.19,1,3,NULL),(28,7041535,'1994-03-01 00:00:00',4,1,12,2011,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241127161721223622372124610164052',NULL,'294',18.79,1,2,1),(28,7041543,'1993-12-03 00:00:00',2,16,12,2010,'M','N','CENTRO','FR ROGÉRIO','SC','124241241115471431336613342112610167057',NULL,'320',22.80,3,3,NULL),(28,7041551,'1988-11-19 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241416274431368832475124122017067',3706,'1022',65.14,1,3,NULL),(28,7041560,'1992-06-05 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241415472421249823575112610132092',6505,'270',52.08,1,3,NULL),(28,7041578,'1993-06-14 00:00:00',4,1,12,2010,'F','N','JARDIM DAS FLORES','S PAULO','SP','125252251217471441328311445134610124057',12522,'9998',41.62,1,3,NULL),(28,7041594,'1992-01-10 00:00:00',4,4,11,2010,'F','N','CENTRO','ERECHIM','RS','120202201417471431346815571122610126017',11513,'9998',41.53,1,3,NULL),(28,7041608,'1993-07-20 00:00:00',4,10,11,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124242241217473751489932575112610167126',6215,'806',54.31,1,3,NULL),(28,7041616,'1990-06-15 00:00:00',4,1,11,2006,'F','N','SÃO PEREGRINO','VERANÓPOLIS','RS','120202201217471431233624345115610133042',NULL,'9998',22.58,1,3,NULL),(28,7041632,'1993-12-28 00:00:00',2,7,12,2011,'F','N','SANTA TEREZINHA','CAPINZAL','SC','124241241215141431548911245132610123072',12552,'1093',39.79,1,3,NULL),(28,7041640,'1993-01-27 00:00:00',2,1,12,2010,'M','N','CENTRO','ANITÁPOLIS','SC','124241241146472431424424345124231448172',2868,'19',60.96,1,2,1),(28,7041659,'1988-05-15 00:00:00',2,1,12,2005,'M','N','CENTRO','PALHOÇA','SC','124242241216155431436417485124233226062',6337,'989',52.16,1,3,NULL),(28,7041683,'1991-04-06 00:00:00',2,1,11,2009,'M','N','BELVEDERE','BELO HORIZONTE','MG','124132131216572441178712572122610167112',NULL,'9998',23.07,1,3,NULL),(28,7041691,'1993-06-28 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124243241117472431437933595122610124047',5413,'500',57.31,2,1,2),(28,7041713,'1991-04-16 00:00:00',2,24,11,2008,'F','N','CENTRO','PRES GETÚLIO','SC','124241241111574421226621591112610136197',4230,'644',57.91,1,2,1),(28,7041730,'1990-07-07 00:00:00',2,1,12,2007,'F','N','NUNES','LGA VERMELHA','RS','120203201216135431436627275124221424071',4005,'9998',58.82,1,3,NULL),(28,7041748,'1995-07-26 00:00:00',4,1,12,2012,'F','S','ESTREITO','ALFREDO WAGNER','SC','124241241124161732526814575122610121097',NULL,'13',25.10,1,3,NULL),(28,7041756,'1987-05-12 00:00:00',4,1,12,2005,'M','N','CAMPINAS','S JOSÉ','SC','124244247416121411436827275112131027043',NULL,'9999',28.08,2,1,2),(28,7041772,'1993-07-11 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241146172421443312245334610127182',5173,'1248',57.77,1,2,1),(28,7041799,'1994-01-12 00:00:00',4,8,11,2011,'M','N','AMÉRICA','JOINVILLE','SC','124242241245111431468922245124610117042',11055,'1016',43.92,1,3,NULL),(28,7041802,'1989-01-06 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473711668612575112120732192',1477,'497',66.81,1,3,NULL),(28,7041829,'1992-10-24 00:00:00',4,5,11,2009,'F','N','NASPOLINI','CRICIÚMA','SC','124242241215372431536612595122121468182',NULL,'9997',0.00,1,3,NULL),(28,7041845,'1993-08-28 00:00:00',4,1,12,2010,'M','N','ALTO DA BOA VISTA','ITUMBIARA','GO','109092091216411431468811572125610112052',2157,'9998',63.18,1,3,NULL),(28,7041853,'1994-10-11 00:00:00',4,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124244241117141211238833245114610117182',12131,'739',41.77,1,3,NULL),(28,7041861,'1991-05-08 00:00:00',2,8,12,2008,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116163161417571451468714445134141532017',7237,'9998',53.63,1,3,NULL),(28,7041888,'1992-03-02 00:00:00',2,1,11,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241247617131431346513285124610147182',13032,'9999',43.20,1,3,NULL),(28,7041896,'1994-09-06 00:00:00',2,1,12,2011,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241135371431426634275125610124052',12760,'772',42.72,1,2,1),(28,7041900,'1988-10-22 00:00:00',2,1,11,2007,'M','N','SERRARIA','S JOSÉ','SC','124153157346131711423579445134141716182',NULL,'9998',32.40,3,3,NULL),(28,7041918,'1993-12-07 00:00:00',4,4,12,2010,'F','N','BOQUEIRÃO','CURITIBA','PR','116241241117472431333532175124610126147',NULL,'177',0.00,1,2,1),(28,7041926,'1989-12-23 00:00:00',2,1,12,2010,'M','N','CENTRO','CATUÍPE','RS','120201201116271131424326262122610127044',NULL,'9998',24.82,1,3,NULL),(28,7041934,'1992-06-19 00:00:00',2,24,12,2009,'F','N','CANOAS','RIO SUL','SC','124241241116372431124648285121132924177',11035,'658',46.04,1,2,1),(28,7041950,'1986-12-29 00:00:00',2,1,12,2005,'F','N','ALTO DO GINASIO','SERTÃOZINHO','SP','125253251217241131434634345122141435017',NULL,'9998',32.66,1,3,NULL),(28,7041969,'1988-02-12 00:00:00',4,1,12,2005,'F','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251116571431358614572114143244147',562,'9998',70.47,1,3,NULL),(28,7041977,'1991-05-02 00:00:00',4,1,6,2009,'M','N','SAO FRANCISCO','CPO GRANDE','MS','125122251431114212112342354223440243025',4700,'9998',59.08,4,3,NULL),(28,7042000,'1985-11-27 00:00:00',2,6,12,2005,'M','N','CENTRO','ANTÔNIO PRADO','RS','120201201126271411426614215124141032057',17171,'9998',41.10,1,2,1),(28,7042019,'1993-05-09 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241215472431346712575124131222077',15463,'299',35.18,1,3,NULL),(28,7042027,'1994-06-26 00:00:00',4,10,12,2011,'F','N','CENTRO','CAPIVARI BAIXO','SC','124241241136131431325611595124610121141',NULL,'798',19.19,1,2,1),(28,7042035,'1993-10-19 00:00:00',2,1,11,2010,'M','N','TAGUATINGA','TAGUATINGA','DF','107072071216571431636621116224610134147',3661,'9998',59.34,4,3,NULL),(28,7042043,'1990-07-28 00:00:00',2,1,12,2007,'F','N','TINGUI','CURITIBA','PR','116161161317574431345832575122242462092',2412,'9998',59.79,1,3,NULL),(28,7042051,'1994-06-14 00:00:00',4,8,12,2011,'M','N','COMASA','JOINVILLE','SC','124241241135131431426618475124610124187',18953,'477',35.48,1,2,1),(28,7042060,'1994-12-18 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217271231589932575112610158182',NULL,'262',49.08,4,3,NULL),(28,7042078,'1992-10-12 00:00:00',4,1,12,2009,'F','N','FORTE','PR GRANDE','SP','125252251216573411558833571125610162142',205,'9998',76.63,1,3,NULL),(28,7042094,'1990-09-15 00:00:00',4,1,12,2008,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215574431438829571124230234182',7688,'988',49.40,1,3,NULL),(28,7042108,'1990-12-01 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124152151236131411425679445134610165192',NULL,'9998',24.10,3,3,NULL),(28,7042124,'1994-11-05 00:00:00',4,17,12,2011,'M','N','CENTRO','S MATEUS SUL','PR','116162161216111431446813575122610167072',13035,'9998',40.06,1,3,NULL),(28,7042132,'1992-04-17 00:00:00',2,4,12,2011,'F','N','SAIC','CHAPECÓ','SC','124281241115471431478833575122610125122',16427,'169',37.10,1,2,1),(28,7042140,'1995-07-08 00:00:00',4,9,12,2011,'M','N','SANTA CATARINA','OTACÍLIO COSTA','SC','124241241116141431446614395121610154052',NULL,'583',24.02,4,2,1),(28,7042175,'1993-08-12 00:00:00',4,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215372431327634575124610167057',17389,'259',30.40,1,3,NULL),(28,7042183,'1991-08-24 00:00:00',2,17,11,2009,'F','N','JARDIM SANTA ELIZA','PRES PRUDENTE','SP','125251251116471311435611575114140635097',9724,'9998',44.97,1,2,1),(28,7042191,'1992-02-01 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241216153231333319592124610144097',11294,'1048',42.96,1,3,NULL),(28,7042213,'1994-03-29 00:00:00',4,1,12,2011,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241225111431433431275124610128145',12060,'262',40.22,1,3,NULL),(28,7042221,'1992-07-17 00:00:00',4,2,12,2009,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241136371421233644245123610167143',17236,'79',40.92,4,2,1),(28,7042230,'1991-02-14 00:00:00',4,1,11,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241116144451536313396124222268142',13264,'257',41.32,1,3,NULL),(28,7042248,'1993-02-02 00:00:00',4,1,12,2010,'F','N','JARDIM GUADALAJARA','SOROCABA','SP','125253251216471431549732575125610146017',NULL,'9998',0.00,1,3,NULL),(28,7042256,'1990-08-06 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124203241316372431326724285124610137112',14867,'977',45.85,4,3,NULL),(28,7042264,'1994-07-29 00:00:00',4,17,11,2011,'F','N','COLONIA CACHOEIRA','S MATEUS SUL','PR','116164281216271431564935575122610138072',4920,'9998',56.23,1,3,NULL),(28,7042272,'1994-11-04 00:00:00',4,25,12,2011,'M','N','SORGATTO','CAÇADOR','SC','124241241137131751426619292124610124092',15219,'124',35.27,1,2,1),(28,7042280,'1988-02-26 00:00:00',2,1,12,2006,'M','N','SÃO JOSÉ','FRAIBURGO','SC','124242241211372731336934445124130317057',14818,'885',45.96,1,3,NULL),(28,7042299,'1979-10-18 00:00:00',2,1,11,2001,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241247126371451623613345124130226142',NULL,'1251',27.92,2,1,1),(28,7042302,'1993-11-15 00:00:00',4,15,12,2011,'F','N','PIO X','CAXIAS SUL','RS','120202211237151411368934571122610144012',946,'9998',68.89,1,3,NULL),(28,7042310,'1993-04-10 00:00:00',4,8,11,2010,'F','N','BATEL','CURITIBA','PR','116162161215471751558833591124610158062',2933,'9997',67.06,1,3,NULL),(28,7042329,'1993-09-14 00:00:00',4,1,12,2010,'M','N','CACHOERAS','BIGUAÇU','SC','124241241116271412423334385124610138027',15511,'295',34.94,1,2,1),(28,7042337,'1988-06-04 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241141274421123819445114610111182',8039,'322',52.23,1,2,1),(28,7042370,'1995-02-13 00:00:00',4,26,12,2011,'F','N','CENTRO','CONCÓRDIA','SC','124241241115131431325614574125610126187',11684,'192',42.45,1,2,1),(28,7042388,'1993-08-25 00:00:00',4,9,11,2010,'F','N','DAMHA I','PRES PRUDENTE','SP','125252251216471431486616575122610137042',4405,'9998',56.11,1,3,NULL),(28,7042396,'1994-09-21 00:00:00',4,10,12,2011,'F','N','HUMAITA DE CIMA','TUBARÃO','SC','124241241117141321334314245124610134187',NULL,'798',16.16,1,2,1),(28,7042418,'1955-05-06 00:00:00',4,1,12,1973,'M','N','BALNEÁRIO DO ESTREIT','FLORIANÓPOLIS','SC','224211211216151441369647375112140726043',NULL,'9998',0.00,1,3,NULL),(28,7042426,'1993-04-22 00:00:00',4,1,12,2009,'M','N','IPANEMA','LONDRINA','PR','116164161216272431339913445124610162111',11783,'9998',40.95,1,3,NULL),(28,7042434,'1990-11-19 00:00:00',4,1,5,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124282281217371431468833575122141467012',1872,'9998',68.01,1,3,NULL),(28,7042450,'1990-06-02 00:00:00',2,17,12,2007,'F','N','ÁGUA VERDE','CANOINHAS','SC','124241241112131431326923395124233227142',19886,'146',29.47,1,2,1),(28,7042469,'1995-06-08 00:00:00',4,1,12,2011,'F','N','SANTO ANTONIO','FRAIBURGO','SC','124242241216161431336616575122610128092',17958,'317',39.06,1,3,NULL),(28,7042477,'1994-10-19 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241137371431524423271124610138147',17707,'733',31.57,1,2,1),(28,7042493,'1991-09-02 00:00:00',2,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241112472411523324274124610166052',961,'307',74.23,1,2,1),(28,7042507,'1993-08-09 00:00:00',4,3,6,2011,'M','N','CENTRO','PTO BELO','SC','124282161217371411456724575124610166092',3297,'9998',61.90,1,3,NULL),(28,7042515,'1993-07-12 00:00:00',2,3,12,2011,'M','N','SANTA REGINA','CAMBORIÚ','SC','124241242116151431433433345122610162143',19867,'129',29.71,1,3,NULL),(28,7042531,'1994-03-07 00:00:00',2,1,12,2010,'F','N','CENTRO','PTO ALEGRE','RS','120201201116371431436833471125610127057',2326,'9998',63.00,1,2,1),(28,7042540,'1992-08-14 00:00:00',4,1,12,2009,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124243241115373441468923495124121762185',14512,'307',46.56,1,3,NULL),(28,7042582,'1993-12-10 00:00:00',4,1,12,2011,'F','N','CENTRO','DIVINÓPOLIS','MG','113132131417151431469611572222610162047',12588,'9998',49.65,1,3,NULL),(28,7042590,'1987-03-19 00:00:00',4,9,12,2004,'F','N','CENTRO','LAGES','SC','124242241213131431229946575115132662147',NULL,'499',0.00,1,3,NULL),(28,7042604,'1989-08-17 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241345372731446673245123130267067',17385,'1022',40.58,1,3,NULL),(28,7042612,'1994-02-10 00:00:00',2,10,11,2011,'F','N','SANTO ANTONIO DE PAD','TUBARÃO','SC','124242241215112431336913385121610157077',11068,'807',44.55,1,3,NULL),(28,7042620,'1993-12-02 00:00:00',2,24,12,2011,'M','N','SCHREIBER','SALETE','SC','124241241116151431448631375122610167052',NULL,'680',0.00,1,2,1),(28,7042639,'1994-09-26 00:00:00',4,10,12,2011,'M','N','OFICINAS','TUBARÃO','SC','124242241215111431426611345121610124052',19487,'809',32.79,1,3,NULL),(28,7042647,'1994-08-21 00:00:00',2,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215111431366312575122610124012',10779,'9997',52.47,1,3,NULL),(28,7042655,'1993-08-20 00:00:00',4,8,12,2010,'M','N','NOVA ESPERANÇA','GUARAMIRIM','SC','124242241215371442453432345124610136192',15379,'1061',44.90,1,3,NULL),(28,7042663,'1993-06-04 00:00:00',4,1,12,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124251241217372731333331345114610164192',6848,'63',52.77,1,3,NULL),(28,7042680,'1993-03-12 00:00:00',2,1,12,2010,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241217372431358813572124223232093',16010,'737',43.68,1,3,NULL),(28,7042698,'1996-02-10 00:00:00',4,1,12,2012,'F','S','ITAUM','JOINVILLE','SC','124241241116151711546631585124610146142',NULL,'9998',33.36,1,3,NULL),(28,7042710,'1994-11-01 00:00:00',2,1,12,2011,'F','N','JARDIM CARADAÍ','BIGUAÇU','SC','124242241216272751563739575124610167043',15436,'63',36.91,1,3,NULL),(28,7042728,'1994-06-15 00:00:00',2,1,12,2011,'F','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124241241415131331323519345121610113067',NULL,'63',19.72,1,3,NULL),(28,7042752,'1993-06-06 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124092091217472431588815575124610164122',382,'9998',73.09,1,3,NULL),(28,7042760,'1995-03-21 00:00:00',4,1,12,2010,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124244241217111521478813575124610168071',18321,'270',37.89,1,3,NULL),(28,7042787,'1993-02-26 00:00:00',2,1,12,2010,'M','N','PACHECOS','PALHOÇA','SC','124241241136141431434413445124131017042',NULL,'592',18.96,1,2,1),(28,7042795,'1993-11-16 00:00:00',4,1,12,2011,'M','N','CENTRO','CERQUILHO','SP','125251251216131731538611175122610164187',10442,'9998',44.27,1,3,NULL),(28,7042809,'1993-04-28 00:00:00',4,16,12,2010,'F','N','BOSQUE','CURITIBANOS','SC','124241241131141431433829342112130228145',19949,'239',28.80,1,2,1),(28,7042817,'1992-09-28 00:00:00',2,4,12,2009,'F','N','CENTRO','XANXERÊ','SC','124241241217571431637814571112610126142',9921,'1081',53.85,1,3,NULL),(28,7042825,'1989-05-25 00:00:00',4,6,12,2008,'F','N','CENTRO','ITAJAÍ','SC','124281241416473411545722345121133234012',16776,'1026',42.04,3,3,NULL),(28,7042833,'1994-02-25 00:00:00',2,5,12,2011,'M','N','SÃO LUIZ','CRICIÚMA','SC','124242241216133431545714575125610135072',7488,'210',48.59,1,3,NULL),(28,7042841,'1992-04-06 00:00:00',2,10,12,2009,'F','N','OFICINAS','TUBARÃO','SC','124241241116573451437813275222610137142',7590,'1034',50.88,1,2,1),(28,7042850,'1993-04-24 00:00:00',4,15,12,2011,'F','N','CRUZEIRO','PARANAGUÁ','PR','116163161216371232333923572122610116182',NULL,'9998',0.00,1,3,NULL),(28,7042868,'1993-03-31 00:00:00',2,1,12,2010,'F','N','ARIRIÚ DA FORMIGA','PALHOÇA','SC','124242241315152231557933572124230431142',7419,'1011',51.42,1,3,NULL),(28,7042876,'1991-05-03 00:00:00',4,10,11,2008,'F','N','CENTRO','TUBARÃO','SC','124241241215372431635679474122132517147',862,'806',70.08,1,3,NULL),(28,7042892,'1994-12-18 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217371531588812575122610112012',NULL,'262',39.17,1,3,NULL),(28,7042906,'1993-01-19 00:00:00',2,26,12,2011,'M','N','CENTRO','S JOÃO URTIGA','RS','120201242117151431523313275324610137057',NULL,'196',19.05,1,2,1),(28,7042922,'1994-07-29 00:00:00',4,1,12,2012,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124243241117151731338663395124610167015',NULL,'257',23.58,1,3,NULL),(28,7042965,'1993-04-02 00:00:00',2,2,12,2010,'F','N','ESCOLA AGRICOLA','BLUMENAU','SC','624243241115132431327854394324610127017',8439,'88',49.71,1,3,NULL),(28,7042973,'1993-03-30 00:00:00',4,1,12,2010,'M','N','PETROPOLIS','PTO ALEGRE','RS','124242241215472421478611575122610117042',1411,'270',69.11,1,3,NULL),(28,7042981,'1990-06-16 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241216575231358813575125231464197',15267,'737',34.89,1,3,NULL),(28,7042990,'1992-09-06 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124202201215551431658979575124610134141',NULL,'9998',0.00,1,3,NULL),(28,7043007,'1994-01-14 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124202201217371431217628572124610166192',7765,'9998',52.34,1,3,NULL),(28,7043015,'1992-02-24 00:00:00',4,1,12,2009,'M','N','CENTRO','CARLOS BARBOSA','RS','120201201117572751223722321125141067142',15548,'9998',35.22,1,2,1),(28,7043058,'1992-08-29 00:00:00',4,1,11,2010,'F','N','LAPA','S PAULO','SP','125252251217472731558632575124610124077',4346,'9998',58.86,1,3,NULL),(28,7043066,'1993-05-10 00:00:00',2,1,12,2010,'M','N','CAMPINHAS','S JOSÉ','SC','124241241212475432436614582114610127067',15208,'737',45.21,1,3,NULL),(28,7043074,'1991-06-27 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241437373431336732575122610127041',13466,'1022',48.30,1,3,NULL),(28,7043082,'1985-09-01 00:00:00',4,15,12,2002,'M','N','MENINO DEUS','PTO ALEGRE','RS','220202201216271431158932415122441267057',1674,'9998',67.74,1,3,NULL),(28,7043104,'1995-07-14 00:00:00',4,26,12,2011,'M','N','SÃO CRISTÓVÃO','CONCÓRDIA','SC','124244241215371431457714575124610147087',10192,'1001',45.19,1,3,NULL),(28,7043112,'1990-08-27 00:00:00',4,1,12,2007,'F','N','CENTRO','CAXIAS SUL','RS','120202201216572431457734475122241042142',6399,'9998',50.68,1,3,NULL),(28,7043139,'1993-09-06 00:00:00',4,4,12,2010,'F','N','SÃO CRISTÓVAO','CHAPECÓ','SC','124241241116574431444811341122610166147',1524,'169',65.75,4,2,1),(28,7043147,'1994-04-07 00:00:00',4,2,12,2011,'M','N','CENTRO','POMERODE','SC','124242241215111531468914575122610165034',6227,'624',53.93,1,3,NULL),(28,7043155,'1994-04-28 00:00:00',2,15,12,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124242247415211431468412372122610122127',12321,'970',42.56,1,3,NULL),(28,7043163,'1992-10-30 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242243111372421548612441124610163017',5837,'306',54.59,1,3,NULL),(28,7043171,'1994-05-25 00:00:00',4,26,12,2011,'M','N','SÃO MIGUEL','CONCÓRDIA','SC','124241241115371431333619315125610124097',6027,'192',56.34,1,2,1),(28,7043180,'1994-08-24 00:00:00',4,1,12,2011,'F','N','ARIRIU','PALHOÇA','SC','124243241115132411437923576124610122187',3004,'271',61.90,1,3,NULL),(28,7043198,'1990-12-25 00:00:00',2,4,12,2010,'M','N','JARDIM ITALIA','CHAPECÓ','SC','124241246146131421441344245114610117182',NULL,'9997',22.02,3,2,1),(28,7043201,'1992-04-11 00:00:00',4,1,11,2009,'F','N','ACLIMAÇÃO','S PAULO','SP','125252251217371531488832575112143247072',NULL,'9998',0.00,3,3,NULL),(28,7043210,'1964-11-07 00:00:00',2,1,12,1980,'F','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','224241241316135721437451242124330228182',18694,'260',36.49,2,3,NULL),(28,7043236,'1993-12-02 00:00:00',4,1,12,2010,'M','N','COSTEIRA DO RIBEIRÃO','FLORIANÓPOLIS','SC','124241241136472431323339575114610137047',16971,'278',31.41,1,2,1),(28,7043244,'1993-10-07 00:00:00',2,1,7,2011,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241116372431445824345134610137062',7648,'739',49.76,1,3,NULL),(28,7043252,'1993-05-22 00:00:00',4,8,12,2010,'F','N','RIO BONITO','IRATI','PR','116161161116271411323634175224241362197',7359,'9998',48.52,1,2,1),(28,7043260,'1994-05-22 00:00:00',4,4,12,2011,'F','N','CENTRO','XANXERÊ','SC','124242241216111431446824575122610142192',2895,'836',61.39,1,3,NULL),(28,7043279,'1993-05-11 00:00:00',4,1,11,2010,'M','N','PARAÍSO','RESENDE','RJ','121211211116141711446933342124610132017',18527,'9998',37.21,4,3,NULL),(28,7043287,'1993-11-20 00:00:00',2,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116132431426923395124610137057',11801,'307',47.25,1,2,1),(28,7043295,'1991-03-09 00:00:00',4,10,11,2008,'M','N','CENTRO','TUBARÃO','SC','124244241215371441538831475122132266182',3382,'806',61.33,1,3,NULL),(28,7043325,'1995-07-25 00:00:00',4,4,11,2012,'F','S','SEMINÁRIO','CHAPECÓ','SC','124242241115111731479811475122610143142',NULL,'168',32.97,1,3,NULL),(28,7043333,'1994-07-30 00:00:00',2,16,12,2011,'F','N','BORTOLANDIA','CATANDUVAS','SC','124241241146471731314629585125610117082',NULL,'161',19.41,1,2,1),(28,7043341,'1992-06-25 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215212411689813275122131012047',8825,'270',53.64,4,3,NULL),(28,7043376,'1994-06-17 00:00:00',4,1,12,2011,'F','N','DIONÍSIO TORRES','FORTALEZA','CE','106062061217121331468933375112610133092',5599,'9998',54.52,4,3,NULL),(28,7043384,'1985-09-09 00:00:00',2,1,12,2003,'F','N','BARREIROS','S JOSÉ','SC','624161161126132411233374141124232864092',NULL,'9998',0.00,4,2,1),(28,7043406,'1994-11-08 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115141431326627285124610128057',17368,'592',30.95,1,2,1),(28,7043414,'1994-10-28 00:00:00',4,23,12,2011,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242241216161431545814575122610128187',10654,'1061',43.95,1,3,NULL),(28,7043422,'1994-04-25 00:00:00',2,10,12,2011,'F','N','OFICINAS','TUBARÃO','SC','124241241115271431527919572122610137072',10177,'1034',45.92,1,2,1),(28,7043430,'1990-12-25 00:00:00',2,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243248311572431336314375124610167017',6053,'601',54.47,4,3,NULL),(28,7043449,'1990-05-29 00:00:00',4,8,11,2008,'M','N','PROFIPO','JOINVILLE','SC','124241241127131421426514245124111418181',NULL,'480',30.39,3,2,1),(28,7043457,'1994-06-15 00:00:00',2,9,11,2011,'M','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124242241215112731434311575112610132093',3879,'1207',58.29,4,3,NULL),(28,7043473,'1994-09-27 00:00:00',4,8,10,2011,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241215121431578612575114610164111',16203,'1016',43.33,1,3,NULL),(28,7043490,'1993-12-21 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216472431488923575122610164072',3024,'270',63.01,1,3,NULL),(28,7043503,'1992-05-21 00:00:00',2,5,12,2009,'F','N','RAICHASKI','IÇARA','SC','124243241115151431236823392124610137142',NULL,'1005',28.26,1,3,NULL),(28,7043511,'1987-08-08 00:00:00',4,1,12,2005,'M','N','JARDIM SÃO LUIZ','RIBEIRÃO PRETO','SP','125254251215471431364823375122140722057',1113,'9998',69.20,1,3,NULL),(28,7043520,'1994-08-08 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215151731337724572114610167092',5288,'1022',55.28,1,3,NULL),(28,7043546,'1994-01-21 00:00:00',4,1,12,2011,'M','N','PONTE GRANDE','GUARULHOS','SP','125254251217471431247762585124610164117',1955,'9998',64.16,1,3,NULL),(28,7043570,'1993-01-03 00:00:00',4,1,12,2010,'F','N','SÃO PEDRO','BRUSQUE','SC','124241241515271431433612345132610127077',5458,'106',61.56,1,3,NULL),(28,7043589,'1994-02-20 00:00:00',2,1,12,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241223131431525621312114610147143',11847,'262',41.37,1,3,NULL),(28,7043597,'1990-03-17 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124242241215373421328613395124333267112',1418,'1022',67.77,1,3,NULL),(28,7043600,'1994-11-22 00:00:00',2,27,12,2011,'F','N','CENTRO','MARAVILHA','SC','124241241115271731513311595115610127057',NULL,'552',23.77,1,2,1),(28,7043619,'1992-06-08 00:00:00',2,1,12,2009,'M','N','VILA NOVA','FRANCISCO BELTRÃO','PR','116111111116271431113619375324610167183',NULL,'9998',16.33,1,2,1),(28,7043627,'1994-07-05 00:00:00',4,25,12,2010,'F','N','MATRIZ','VIDEIRA','SC','124241241211471431435616275124610144042',10057,'829',44.92,1,3,NULL),(28,7043635,'1994-11-09 00:00:00',2,10,12,2011,'F','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124244241215271431557612575122610138152',7908,'806',51.26,1,3,NULL),(28,7043643,'1994-10-28 00:00:00',4,8,12,2011,'F','N','CENTRO','GARUVA','SC','124241241116471431327719295124610153142',10408,'923',47.23,1,2,1),(28,7043651,'1991-12-12 00:00:00',2,1,12,2009,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241125142231536314385114120734042',14197,'592',47.11,2,1,1),(28,7043678,'1994-08-27 00:00:00',4,7,12,2011,'F','N','CENTRO OESTE','CATANDUVAS','SC','124241241117371431356923375122610126077',6791,'161',51.84,1,2,1),(28,7043686,'1993-09-16 00:00:00',4,4,12,2010,'M','N','CENTRO','LGA VERMELHA','RS','120203201216371231469811375112610167047',7680,'9998',47.63,1,3,NULL),(28,7043694,'1992-03-04 00:00:00',4,1,12,2009,'M','N','VILA MARIANA','S PAULO','SP','125254251217571431458632575124610167047',705,'9998',75.70,1,3,NULL),(28,7043708,'1995-02-03 00:00:00',4,1,12,2011,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241115151431534664472124610131142',8292,'307',48.88,2,1,1),(28,7043716,'1994-06-21 00:00:00',2,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241215131431246369282124610128077',18600,'1118',36.90,1,3,NULL),(28,7043724,'1994-04-17 00:00:00',4,3,11,2011,'F','N','GUABIROTUBA','CURITIBA','PR','116162161216171451489937575112610112046',NULL,'9998',0.00,1,3,NULL),(28,7043732,'1994-01-26 00:00:00',2,25,12,2010,'F','N','NAÇÕES','FRAIBURGO','SC','124241241216472431558914575112610147172',9251,'317',47.13,4,3,NULL),(28,7043759,'1992-06-02 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241111372432339424472224132733092',14806,'733',45.98,1,2,1),(28,7043767,'1994-07-02 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431469913575114610146117',1911,'262',64.68,1,3,NULL),(28,7043783,'1993-07-26 00:00:00',2,8,10,2010,'F','N','BUCAREIN','JOINVILLE','SC','124242241215372431449933575124610132197',7232,'1016',54.77,1,3,NULL),(28,7043791,'1994-08-16 00:00:00',4,8,12,2011,'F','N','FLORESTA','JOINVILLE','SC','124241241115371451433314175124610144147',12754,'472',40.74,1,2,1),(28,7043805,'1994-01-04 00:00:00',4,23,12,2011,'M','N','CENTRO','JARAGUÁ SUL','SC','124242246215161431379914475122610128182',NULL,'1061',28.02,1,3,NULL),(28,7043830,'1994-07-23 00:00:00',4,9,12,2011,'F','N','PASSO DAREIA','PTO ALEGRE','RS','120242201217471431379921475122610132012',3429,'9998',56.70,1,3,NULL),(28,7043856,'1993-06-11 00:00:00',4,27,12,2011,'M','N','NAZARÉ','MEDIANEIRA','PR','116163161116271421349914572124610124012',NULL,'9998',0.00,1,3,NULL),(28,7043864,'1995-04-25 00:00:00',4,26,12,2011,'M','N','CENTRO','CONCÓRDIA','SC','124242241215151411335622275112610127072',1930,'1047',64.91,1,3,NULL),(28,7043899,'1994-10-15 00:00:00',2,10,12,2011,'F','N','MAR GROSSO','LAGUNA','SC','124242248215132431438934575122610127077',18007,'525',38.90,1,3,NULL),(28,7043902,'1994-01-29 00:00:00',4,1,12,2011,'F','N','CENTRO','S BENTO SUL','SC','124242241215122431439813395122610167142',5674,'1178',54.46,1,3,NULL),(28,7043910,'1990-11-19 00:00:00',2,1,12,2007,'F','N','ENSEADA DO BRITO','PALHOÇA','SC','124241241146131432526314345124610133147',NULL,'594',0.00,1,2,1),(28,7043929,'1995-05-29 00:00:00',4,1,10,2011,'F','N','SALTO','BLUMENAU','SC','124244241211111531478811575122610116182',16782,'909',42.02,1,3,NULL),(28,7043945,'1994-05-06 00:00:00',2,1,12,2011,'F','N','BELA VISTA','CPO GRANDE','MS','112122121215311412568813571122610113182',NULL,'9998',0.00,1,3,NULL),(28,7043953,'1995-08-02 00:00:00',4,9,11,2012,'M','S','CENTRO','LAGES','SC','124242241217111531457832576111610137182',NULL,'497',46.44,1,3,NULL),(28,7043961,'1985-11-16 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241116275431335744145124120633042',16201,'281',43.34,1,3,NULL),(28,7043970,'1993-12-26 00:00:00',2,1,12,2010,'M','N','FLORESTA','S JOSÉ','SC','124241241215473431326631572121610127182',4516,'737',62.75,4,3,NULL),(28,7043988,'1993-10-25 00:00:00',4,1,12,2011,'M','N','JARDIM COLINA','ITANHANDU','MG','113132131216111731547832572121610127055',9264,'9998',45.64,1,3,NULL),(28,7043996,'1993-12-21 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241217272531535834281124610165112',4904,'300',58.36,1,3,NULL),(28,7044003,'1988-02-06 00:00:00',2,1,12,2005,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','224241241117572431235553472124610137057',10808,'1034',43.20,1,2,1),(28,7044020,'1993-08-17 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241216572431156419495114610162047',4554,'1093',59.75,1,3,NULL),(28,7044038,'1994-08-04 00:00:00',4,4,11,2011,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124242241216371731545514595122610117067',NULL,'1191',0.00,1,3,NULL),(28,7044046,'1993-11-24 00:00:00',2,9,12,2010,'M','N','CENTRO','LAGES','SC','124241241315471431623316575125610147047',15917,'1207',43.85,1,3,NULL),(28,7044054,'1994-10-15 00:00:00',4,9,12,2011,'F','N','CENTRO','LAGES','SC','124242241217211431458913472112610112182',5791,'497',54.51,1,3,NULL),(28,7044062,'1992-08-12 00:00:00',4,1,12,2010,'M','N','CAMPO BELO','S PAULO','SP','125252251236271431389812345122141437172',1172,'9998',67.85,4,3,NULL),(28,7044089,'1995-09-06 00:00:00',2,15,12,2011,'F','N','CIDADE ALTA','TURVO','SC','124243241215111731333835575122610162193',NULL,'813',23.57,1,3,NULL),(28,7044097,'1992-01-31 00:00:00',4,1,12,2009,'F','N','CENTRO','CAXIAS SUL','RS','120204201415471431459714572122613241112',12466,'9998',39.72,1,3,NULL),(28,7044100,'1989-11-13 00:00:00',4,1,12,2007,'M','N','ACLIMAÇÃO','S PAULO','SP','125252251215571431248819575125610137187',1188,'9998',65.77,1,3,NULL),(28,7044119,'1993-01-30 00:00:00',4,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241217573431137933574125610135117',1747,'1080',67.03,1,3,NULL),(28,7044135,'1992-12-11 00:00:00',4,1,12,2011,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241316131131348723575124610127042',16531,'307',33.41,1,3,NULL),(28,7044143,'1989-12-15 00:00:00',2,1,12,2007,'F','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124242241215575731436911471124222224187',3547,'988',63.53,1,3,NULL),(28,7044151,'1975-05-16 00:00:00',4,1,12,1992,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242246116334711639823435124321467097',NULL,'739',20.32,1,3,NULL),(28,7044160,'1993-12-01 00:00:00',4,4,12,2010,'F','N','UNIVERSITÁRIO','CHAPECÓ','SC','124242241215474431348914575122610134092',4504,'1191',56.43,1,3,NULL),(28,7044186,'1993-08-19 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431347921475122133222017',4450,'262',60.05,1,3,NULL),(28,7044208,'1981-09-27 00:00:00',2,8,12,2003,'M','N','IRIRIU','JOINVILLE','SC','624201201126111111323344445124610114044',NULL,'9998',0.00,2,1,1),(28,7044224,'1994-04-16 00:00:00',4,24,12,2011,'M','N','SUMARÉ','RIO SUL','SC','124242241216371431444823575122610137012',8361,'654',52.72,1,3,NULL),(28,7044232,'1991-12-27 00:00:00',4,6,12,2009,'M','N','SÃO JUDAS','ITAJAÍ','SC','124244241117332431335524485125133242092',NULL,'697',0.00,1,3,NULL),(28,7044259,'1989-10-24 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124241241216374431443317485112610122182',13870,'1011',40.48,1,3,NULL),(28,7044267,'1994-01-06 00:00:00',2,8,12,2010,'F','N','GRANVILLE','LONDRINA','PR','116162161215371731579933595122610166197',2647,'9998',64.01,1,3,NULL),(28,7044275,'1994-08-08 00:00:00',2,4,12,2011,'F','N','CENTRO','CANELA','RS','120203201216471441225723575124610166047',3785,'9998',60.53,1,3,NULL),(28,7044283,'1995-01-12 00:00:00',4,4,12,2011,'F','N','LUCAS ARAUJO','PASSO FUNDO','RS','120202201116471731355732575122610136142',5442,'9998',52.82,1,3,NULL),(28,7044291,'1993-07-28 00:00:00',4,9,12,2011,'M','N','SAGRADO CORAÇÃO JESU','LAGES','SC','124254241215151431448813372122610165091',6075,'515',55.11,4,3,NULL),(28,7044305,'1990-05-08 00:00:00',4,1,12,2007,'F','N','CERQUEIRA CÉSAR','S PAULO','SP','125252251216512421457732275124610146187',638,'9998',69.76,1,3,NULL),(28,7044321,'1992-07-24 00:00:00',4,1,12,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241117371431323321376124610114143',13873,'592',47.61,1,2,1),(28,7044330,'1994-12-01 00:00:00',2,8,12,2011,'F','N','JARDIM PATRICIA','QUATRO BARRAS','PR','116164161216151411446834575122610136197',12459,'9998',44.55,1,3,NULL),(28,7044348,'1994-06-07 00:00:00',2,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124204241214112231338611271125610143157',14258,'1038',37.00,1,3,NULL),(28,7044356,'1994-10-24 00:00:00',4,4,11,2011,'M','N','CENTRO','CHAPECÓ','SC','124242241217271231345612575122610137042',NULL,'168',0.00,1,3,NULL),(28,7044364,'1994-07-23 00:00:00',2,1,12,2011,'M','N','INDEPENDÊNCIA','PIRACICABA','SP','125254251436371432428339571121610167047',7839,'9998',48.58,4,3,NULL),(28,7044372,'1993-06-15 00:00:00',4,23,12,2010,'F','N','VILA MARIANA','S PAULO','SP','125242241216372731559734294122610137012',5171,'441',62.09,1,3,NULL),(28,7044399,'1994-06-28 00:00:00',4,15,12,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124242247215272231436815575112610114144',13270,'970',41.87,1,3,NULL),(28,7044402,'1993-06-01 00:00:00',4,1,12,2010,'M','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161215112431433832575121221437125',NULL,'9998',0.00,1,3,NULL),(28,7044410,'1994-11-22 00:00:00',4,1,12,2011,'F','N','FORQUILHINHA','S JOSÉ','SC','124241241115131431428315275124610126142',NULL,'727',21.31,1,2,1),(28,7044429,'1993-04-08 00:00:00',4,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124244241411114431366723395124121767182',14596,'989',36.93,1,3,NULL),(28,7044437,'1992-05-12 00:00:00',4,1,11,2009,'M','N','CENTRO','LIMEIRA','SP','125252251211571431468711471122610134047',847,'9998',68.64,1,3,NULL),(28,7044445,'1994-07-18 00:00:00',2,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215151431356932585122610127042',NULL,'951',22.29,1,3,NULL),(28,7044453,'1994-03-05 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112731379911475112610164172',1576,'270',66.92,1,3,NULL),(28,7044461,'1994-10-24 00:00:00',4,6,12,2011,'F','N','DOM BOSCO','ITAJAÍ','SC','124244241215271431346923245122610124147',17034,'388',30.75,1,3,NULL),(28,7044470,'1992-02-16 00:00:00',4,1,12,2008,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241217273431246912575114132733197',8854,'1077',48.81,1,3,NULL),(28,7044488,'1994-08-14 00:00:00',2,15,11,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124242248217321431457719495122610114185',NULL,'27',21.98,1,3,NULL),(28,7044496,'1994-09-28 00:00:00',4,15,11,2011,'M','N','CENTRO','ARARANGUÁ','SC','124242241215113431458831574112610134147',5060,'970',55.32,1,3,NULL),(28,7044526,'1993-11-29 00:00:00',2,25,12,2010,'F','N','SÃO JOSÉ','FRAIBURGO','SC','124241241416372431433332341135131436073',10728,'317',43.74,1,3,NULL),(28,7044534,'1994-10-06 00:00:00',4,22,12,2011,'M','N','VÍGOLO','NOVA TRENTO','SC','124241241115371431349933471122610164042',4767,'574',57.78,1,2,1),(28,7044542,'1987-05-15 00:00:00',2,4,12,2004,'F','N','CENTRO','PALMA SOLA','SC','124164161216573331548714575122141522147',1620,'9998',65.61,1,3,NULL),(28,7044577,'1992-05-14 00:00:00',4,8,12,2009,'M','N','CENTRO','S BENTO SUL','SC','124242161215512731479911575124610137057',NULL,'9998',0.00,1,3,NULL),(28,7044585,'1989-10-12 00:00:00',4,17,12,2007,'M','N','JARDIM PANORAMA','BAURU','SP','125251251416471431348731575124241442042',385,'9998',74.09,1,3,NULL),(28,7044607,'1986-08-29 00:00:00',2,4,12,2004,'F','N','CENTRO','JOAÇABA','SC','124241241117131431124443331334610166187',NULL,'9997',0.00,1,3,NULL),(28,7044623,'1994-09-23 00:00:00',4,1,11,2011,'F','N','CHAC CACHOEIRA','CPO GRANDE','MS','112124121215111431458816574122610137182',1039,'9998',67.81,1,3,NULL),(28,7044631,'1992-10-29 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124244241216272431424923392124610137147',NULL,'1076',35.30,1,3,NULL),(28,7044658,'1994-02-09 00:00:00',2,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215271431469934471122610131192',NULL,'213',34.80,1,3,NULL),(28,7044666,'1993-06-03 00:00:00',4,1,12,2010,'M','N','CENTRO','CAXIAS SUL','RS','120203201111471421449734575122610164062',8866,'9998',47.28,1,3,NULL),(28,7044674,'1991-12-18 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241126472431634313295334130226077',NULL,'281',23.08,1,2,1),(28,7044682,'1994-03-27 00:00:00',4,1,11,2010,'M','N','BANCÁRIA MUNHOZ','S PAULO','SP','125162161215472431349714385124610137122',10301,'9998',53.22,4,3,NULL),(28,7044690,'1988-03-31 00:00:00',2,9,12,2005,'F','N','FREI ROGERIO','LAGES','SC','124241241111371731433611432122610133182',NULL,'498',37.20,1,2,1),(28,7044712,'1994-10-23 00:00:00',4,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241216151431457711595124610165117',13140,'273',40.14,3,3,NULL),(28,7044720,'1990-10-06 00:00:00',2,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216573431546632475124120862052',14708,'273',46.15,1,3,NULL),(28,7044739,'1993-04-06 00:00:00',4,1,12,2010,'F','N','CENTRO','ARARAQUARA','SP','125252251217412431549834471122610122042',9283,'9998',49.34,1,3,NULL),(28,7044747,'1994-10-26 00:00:00',4,5,12,2011,'F','N','JARDIM PANTANAL','DOURADOS','MS','112121121117371431423334575121610138187',14858,'9998',37.46,4,2,1),(28,7044755,'1992-11-02 00:00:00',4,27,12,2009,'F','N','CENTRO','CAP LEÔNIDAS MARQUES','PR','116161168116121731212614485125241463097',NULL,'9998',24.67,1,2,1),(28,7044763,'1993-11-09 00:00:00',2,1,12,2011,'F','N','ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC','124244241115131431335613382124610164085',14552,'271',36.50,1,3,NULL),(28,7044771,'1988-08-23 00:00:00',4,4,11,2005,'F','N','CENTRO','LAURO MÜLLER','SC','124244241217373431436514485124331232187',15007,'581',45.61,1,3,NULL),(28,7044780,'1993-04-22 00:00:00',4,7,12,2010,'F','N','NOSSA SRA DE FÁTIMA','HERVAL D OESTE','SC','124241241116371411228421575112132626187',NULL,'341',30.16,1,2,1),(28,7044798,'1991-05-27 00:00:00',4,8,12,2008,'M','N','BOA VISTA','JOINVILLE','SC','124114111216132231324614575124231423042',19794,'9998',30.36,1,3,NULL),(28,7044810,'1993-11-24 00:00:00',4,16,12,2010,'M','N','FLORESTA','VIDEIRA','SC','124241242417111411423314345232610167053',17162,'8',41.11,1,3,NULL),(28,7044828,'1994-08-22 00:00:00',4,4,12,2011,'F','N','CENTRO','SARANDI','RS','120201201116131411226615592124610125152',9704,'307',46.73,1,2,1),(28,7044836,'1993-09-25 00:00:00',2,1,12,2010,'M','N','RIO BRANCO','PTO ALEGRE','RS','120202201216471231478813575124610168057',2393,'9998',65.69,1,3,NULL),(28,7044844,'1991-12-08 00:00:00',2,1,12,2011,'M','N','CENTRO','ITAUÇU','GO','109092091215111432556823575124610167042',14354,'9998',41.86,4,3,NULL),(28,7044852,'1987-01-24 00:00:00',4,26,12,2004,'F','N','CENTRO','CURITIBA','PR','116162161216472721238832485122343262077',NULL,'9998',0.00,1,3,NULL),(28,7044860,'1994-04-07 00:00:00',4,8,12,2011,'F','N','CAJURU','CURITIBA','PR','116161161235471731466923575124610134112',NULL,'9998',0.00,3,3,NULL),(28,7044879,'1982-12-24 00:00:00',4,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115575441134419492224331346147',2723,'583',63.04,1,2,1),(28,7044887,'1993-09-19 00:00:00',2,1,1,2012,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124213241416271432425614242224610114197',15669,'257',37.61,1,3,NULL),(28,7044895,'1994-01-02 00:00:00',2,1,12,2011,'F','N','PALHOÇA','PALHOÇA','SC','124242241215111231433512122122610151047',15372,'1011',37.93,1,3,NULL),(28,7044909,'1991-05-12 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124251251137431441336369385324610168032',8999,'9998',45.86,1,3,NULL),(28,7044917,'1993-02-08 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216473431447967575115130222072',934,'26',69.86,1,3,NULL),(28,7044925,'1995-01-18 00:00:00',2,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431566923575124610122072',11959,'270',50.60,1,3,NULL),(28,7044933,'1994-02-16 00:00:00',4,15,11,2011,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124243241215121431329923275124610126147',5046,'226',54.98,1,3,NULL),(28,7044941,'1994-05-05 00:00:00',4,1,12,2011,'F','N','VILA PROGRESSO','DOURADOS','MS','112122121215111431488832572122610133092',2766,'9998',60.70,1,3,NULL),(28,7044950,'1994-05-31 00:00:00',4,9,12,2011,'M','N','CENTRO','LAGES','SC','124242241217121431439911475122610162041',3119,'497',59.92,1,3,NULL),(28,7044968,'1993-03-06 00:00:00',2,8,12,2010,'F','N','ITAGUAÇU','S FRANCISCO SUL','SC','124241241146272711439613245134133247177',NULL,'710',0.00,1,2,1),(28,7044976,'1994-08-30 00:00:00',4,3,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241216271431567731575112610128012',14633,'44',37.44,1,3,NULL),(28,7044984,'1994-01-17 00:00:00',2,1,12,2011,'F','N','SÃO FRANCISCO','IRATI','PR','116163161117151431538934475112610123091',13956,'9998',38.49,1,3,NULL),(28,7044992,'1994-10-10 00:00:00',4,24,12,2011,'F','N','VICTOR KONDER','TAIÓ','SC','124241241116161431436434345122610122177',NULL,'777',0.00,1,2,1),(28,7045000,'1994-10-23 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124241241215111411436633235114610154053',13083,'1022',43.14,1,3,NULL),(28,7045018,'1994-09-13 00:00:00',2,9,12,2011,'F','N','VARZEA','LAGES','SC','124163241416271431339813575125610133042',15679,'935',34.44,1,3,NULL),(28,7045026,'1983-01-08 00:00:00',2,1,12,2000,'M','N','BARREIROS','S JOSÉ','SC','124241241126155731356522345122322337047',12090,'736',50.40,1,2,1),(28,7045034,'1994-09-30 00:00:00',2,4,12,2011,'M','N','CENTRO','IPUMIRIM','SC','124241241216151221446933575122610127062',10923,'1001',43.91,1,3,NULL),(28,7045042,'1994-08-15 00:00:00',4,9,10,2011,'F','N','CENTRO','LAGES','SC','124242241215112431459931571122610122122',3020,'497',61.24,1,3,NULL),(28,7045050,'1995-02-10 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124241241117161411626623245114610147147',NULL,'257',24.89,1,2,1),(28,7045069,'1993-12-30 00:00:00',4,1,12,2010,'M','N','CENTRO','BIGUAÇU','SC','124242241215573431436912345124610137042',5763,'738',55.96,1,3,NULL),(28,7045085,'1991-01-01 00:00:00',2,1,11,2009,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241215153431356723385124231432072',19511,'1023',32.61,1,3,NULL),(28,7045093,'1993-07-26 00:00:00',2,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241215472411454839575122610124142',15102,'499',45.40,1,3,NULL),(28,7045107,'1994-11-27 00:00:00',4,1,12,2011,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124244241145131411426624572224610114147',NULL,'731',20.68,1,3,NULL),(28,7045131,'1992-03-06 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162161215572431458931572124612433182',5559,'270',54.60,1,3,NULL),(28,7045140,'1994-04-20 00:00:00',4,1,12,2011,'F','N','RIO ALFA','ANITÁPOLIS','SC','124241241121141731449933345234610124144',17342,'19',30.09,1,3,NULL),(28,7045166,'1992-01-31 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241116472431338333432124610121142',8868,'307',50.64,4,2,1),(28,7045182,'1992-02-20 00:00:00',4,1,12,2009,'M','N','CENTRO','UBIRAJARA','SP','125251251415473431436916575112610162042',7181,'9998',50.44,1,3,NULL),(28,7045190,'1991-12-20 00:00:00',2,1,12,2011,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124244247135371231465623345124610147187',13817,'9999',47.69,2,1,2),(28,7045204,'1994-03-08 00:00:00',4,5,12,2011,'F','N','CENTRO','MELEIRO','SC','124242241217372431359912275124610148147',5753,'813',56.54,1,3,NULL),(28,7045212,'1993-03-19 00:00:00',2,8,12,2011,'F','N','FLORESTA','JOINVILLE','SC','124241241136271431636714575124610126191',19556,'466',32.31,1,2,1),(28,7045239,'1994-04-15 00:00:00',4,23,12,2011,'F','N','ÁGUA VERDE','JARAGUÁ SUL','SC','124241241217111431466923575124610134142',12399,'1061',40.19,1,3,NULL),(28,7045247,'1994-01-30 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124244241215473431456853575124610164042',7240,'1118',52.18,1,3,NULL),(28,7045263,'1993-12-21 00:00:00',4,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242248216113231558711575122610134013',17489,'457',40.32,1,3,NULL),(28,7045280,'1989-06-08 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241111312751538614441114610112087',18033,'278',38.79,1,2,1),(28,7045298,'1994-07-31 00:00:00',2,1,12,2011,'M','N','JARDIM ESPLANADA','ITAPETININGA','SP','125254251215111441438633595122610117042',NULL,'9998',25.98,1,3,NULL),(28,7045310,'1995-09-24 00:00:00',4,4,12,2011,'M','N','SANTA MARIA','CHAPECÓ','SC','124241241216151431349933245121610138042',505,'185',72.30,1,3,NULL),(28,7045328,'1992-09-04 00:00:00',4,1,11,2010,'M','N','ARMAÇÃO','SALVADOR','BA','105052051217471421265922575122610167057',3741,'9998',59.22,2,3,NULL),(28,7045336,'1994-11-24 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431438913575124610122142',5713,'1050',52.66,1,3,NULL),(28,7045344,'1992-11-25 00:00:00',4,1,11,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241216474431236923492124610124187',8531,'1011',47.92,1,3,NULL),(28,7045352,'1994-09-06 00:00:00',2,1,12,2011,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241146141431436634242124610166097',19962,'591',28.71,1,3,NULL),(28,7045360,'1993-12-23 00:00:00',2,4,12,2010,'F','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124242241117141431439621345124231462162',12656,'182',42.08,1,3,NULL),(28,7045409,'1993-08-07 00:00:00',2,1,11,2011,'F','N','TREZE DE JULHO','ARACAJU','SE','126262261215111711438923575122610163092',3850,'9998',58.50,1,3,NULL),(28,7045417,'1992-01-11 00:00:00',4,1,12,2009,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241215472451278823595112120916182',1243,'1022',67.62,1,3,NULL),(28,7045425,'1993-10-31 00:00:00',4,8,12,2011,'F','N','SAGUAÇU','JOINVILLE','SC','624242241215131451337811595125610122093',18878,'1063',35.77,1,3,NULL),(28,7045450,'1994-01-25 00:00:00',2,8,11,2011,'F','N','PETRÓPOLIS','JOINVILLE','SC','124243241245121211326311395124610138077',NULL,'1016',17.34,1,3,NULL),(28,7045468,'1992-04-10 00:00:00',4,9,11,2009,'F','N','BRUSQUE','LAGES','SC','124243241216573131456312445122610143047',6694,'497',55.63,1,3,NULL),(28,7045476,'1993-09-16 00:00:00',4,1,12,2011,'F','N','VILA SALETE','FRAIBURGO','SC','124243241314131331323314375124610126127',NULL,'317',22.99,1,3,NULL),(28,7045484,'1994-12-28 00:00:00',2,15,11,2011,'F','N','CENTRO','SOMBRIO','SC','124242241215121751449933591122610128072',11878,'970',41.90,1,3,NULL),(28,7045492,'1993-10-05 00:00:00',4,1,11,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217122431248924575124610136192',2765,'270',67.50,1,3,NULL),(28,7045506,'1970-10-11 00:00:00',4,8,12,2000,'M','N','ULISSES GUIMARAES','JOINVILLE','SC','124241161227131731633313292313610127047',NULL,'9998',14.75,1,3,NULL),(28,7045514,'1996-01-08 00:00:00',4,8,12,2011,'M','N','BOA VISTA','JOINVILLE','SC','124242241216111731489939595112610127052',6751,'457',59.27,1,3,NULL),(28,7045522,'1992-05-14 00:00:00',4,9,12,2008,'M','N','CORAL','LAGES','SC','124242241216153431249931575122231418092',293,'497',75.04,1,3,NULL),(28,7045530,'1993-09-16 00:00:00',4,8,12,2011,'F','N','JARDIM AMERICANO','LINS','SP','125252251217371451568814245122610163197',10199,'9998',44.29,1,3,NULL),(28,7045549,'1994-10-10 00:00:00',4,2,11,2011,'F','N','CENTRO','RIO CEDROS','SC','124243241215111431428661575114610121017',16438,'1157',42.80,1,3,NULL),(28,7045557,'1990-11-03 00:00:00',4,9,12,2007,'F','N','CORAL','LAGES','SC','124241241112473441426611592122610134037',17132,'505',33.74,1,2,1),(28,7045565,'1993-12-30 00:00:00',4,1,10,2011,'M','N','VILA FLAMBOYANT','APUCARANA','PR','116162161215121431466912572122610127092',195,'9998',77.82,1,3,NULL),(28,7045581,'1993-03-17 00:00:00',2,15,12,2011,'M','N','CENTRO','ARARANGUÁ','SC','124242241417171731368633396122610148112',NULL,'29',29.19,1,3,NULL),(28,7045590,'1993-02-18 00:00:00',4,6,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241226471431333414575124610122092',11066,'1024',44.93,1,3,NULL),(28,7045603,'1993-11-26 00:00:00',2,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124252241215112431628811575122610144097',9072,'270',48.75,1,3,NULL),(28,7045620,'1993-12-08 00:00:00',2,1,12,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215151431468632295124610164042',13948,'1048',40.74,1,3,NULL),(28,7045638,'1993-04-03 00:00:00',2,1,12,2010,'F','N','COSTA DE DENTRO','FLORIANÓPOLIS','SC','124241241215372751446432275114610117075',NULL,'1023',15.87,1,3,NULL),(28,7045662,'1993-12-05 00:00:00',4,22,12,2011,'M','N','CENTRO','BRUSQUE','SC','124242241215372411458611575122610117071',5086,'107',56.01,1,3,NULL),(28,7045670,'1993-01-11 00:00:00',2,1,12,2010,'M','N','REDENTORA','S JOSÉ R PRETO','SP','125252251217473211446614575122610127122',13196,'9998',39.68,1,3,NULL),(28,7045689,'1993-02-26 00:00:00',2,15,11,2011,'F','N','SÃO CRISTÓVÃO','TURVO','SC','124244241217122731349914473122610124142',11010,'970',45.64,1,3,NULL),(28,7045700,'1991-09-18 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252061214152431228614475112223238095',NULL,'9998',0.00,4,3,NULL),(28,7045719,'1991-11-06 00:00:00',4,15,12,2008,'M','N','PASSARGADA','PASSO TORRES','SC','124241241146472431526611282121610127057',NULL,'605',19.66,1,3,NULL),(28,7045727,'1994-10-03 00:00:00',2,4,12,2011,'M','N','CENTRO','IPUMIRIM','SC','124241246117271431334612575122610164072',11953,'196',43.87,1,2,1),(28,7045735,'1995-10-27 00:00:00',4,2,11,2012,'F','S','GARCIA','BLUMENAU','SC','124242241216121731356832575122610112192',NULL,'909',0.00,1,3,NULL),(28,7045760,'1980-05-21 00:00:00',4,1,12,2005,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224251257126142431424444245124610167092',18990,'9998',35.36,1,2,1),(28,7045778,'1994-03-18 00:00:00',4,1,11,2011,'M','N','ESPLANADA DO SOL','S JOSÉ CAMPOS','SP','125252251217121411568833575122610126047',5290,'9998',54.24,1,3,NULL),(28,7045786,'1985-05-18 00:00:00',4,23,12,2002,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215471411478811595114343264122',4956,'1174',56.97,1,3,NULL),(28,7045794,'1995-08-02 00:00:00',4,2,12,2012,'F','S','JARDIM BLUMENAU','BLUMENAU','SC','124242241217151732568612585122610138192',NULL,'87',56.77,1,3,NULL),(28,7045808,'1994-06-28 00:00:00',2,25,12,2011,'M','N','CENTRO','CLEVELÂNDIA','PR','116161161116271231536632345124610137057',16560,'9998',31.71,1,2,1),(28,7045816,'1994-04-14 00:00:00',4,8,12,2011,'M','N','BOM RETIRO','JOINVILLE','SC','124242241217271431434612475124610132072',8997,'1105',48.83,1,3,NULL),(28,7045832,'1993-11-19 00:00:00',4,1,12,2011,'F','N','SANTO ONOFRE','CASCAVEL','PR','116163161116471411328639345224610125142',NULL,'9998',23.78,1,3,NULL),(28,7045840,'1983-08-12 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124072071216151411146543435124342222091',NULL,'9998',0.00,4,3,NULL),(28,7045859,'1993-08-29 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241117471431569913575122610137087',5068,'271',56.96,1,3,NULL),(28,7045867,'1992-10-21 00:00:00',4,1,12,2009,'M','N','CENTRO','S BERNARDO CAMPO','SP','125254251217571721359933475115610124177',NULL,'9998',0.00,3,3,NULL),(28,7045875,'1994-04-08 00:00:00',4,1,12,2011,'M','N','JARDIM DOUTOR PINHEI','ITAPEVA','SP','125251251417371411348832285112610164084',19397,'9998',33.35,1,3,NULL),(28,7045883,'1994-04-18 00:00:00',4,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244247415151431458739495114610137113',13875,'270',47.61,1,3,NULL),(28,7045891,'1990-04-17 00:00:00',2,1,12,2008,'M','N','CENTRO','PRUDENTÓPOLIS','PR','116241161227131311323331142224241124053',17334,'1024',40.69,4,3,NULL),(28,7045905,'1994-06-18 00:00:00',2,4,10,2011,'F','N','CHACARA DAS ROSAS','JACUPIRANGA','SP','125253161217111751546931175122610137012',NULL,'9998',0.00,1,3,NULL),(28,7045913,'1995-05-22 00:00:00',1,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115111431439923575124610162092',NULL,'267',24.64,1,2,1),(28,7045930,'1994-03-11 00:00:00',2,1,11,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124243241115132431336329585124610167147',6646,'271',49.70,1,3,NULL),(28,7045948,'1994-05-04 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115371232328623572124610167045',16294,'307',36.10,1,2,1),(28,7045956,'1992-09-20 00:00:00',4,8,11,2010,'F','N','BOM RETIRO','JOINVILLE','SC','124242241235472411473912575122610126107',307,'457',76.34,1,3,NULL),(28,7045972,'1994-08-19 00:00:00',2,1,12,2011,'M','N','JK NOVA CAPITAL','ANÁPOLIS','GO','109094091236111731333967575124610122142',NULL,'9998',26.67,2,3,NULL),(28,7045980,'1992-11-08 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215512731468614595124610168117',6737,'454',53.57,1,3,NULL),(28,7045999,'1995-01-04 00:00:00',4,4,12,2011,'M','N','CENTRO','POÇO ANTAS','RS','120201201117271431348612111125610167052',13142,'9998',37.28,1,2,1),(28,7046014,'1994-03-26 00:00:00',4,8,12,2011,'F','N','ATIRADORES','JOINVILLE','SC','124142241215111431436632575112610137122',9484,'1063',45.87,4,3,NULL),(28,7046022,'1994-07-17 00:00:00',2,23,11,2011,'F','N','NEREU RAMOS','JARAGUÁ SUL','SC','124241248215161731448632272124610137157',11256,'1061',43.20,1,3,NULL),(28,7046030,'1988-12-28 00:00:00',2,1,12,2006,'F','N','NOSSA SENHORA DO ROS','S JOSÉ','SC','124244241217133751418629385124610121187',9474,'724',48.27,1,3,NULL),(28,7046057,'1994-09-07 00:00:00',2,1,12,2011,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241115131731634614575124610123077',NULL,'271',30.64,1,2,1),(28,7046065,'1990-12-27 00:00:00',4,1,12,2008,'M','N','JARDIM GUAPORÉ','MARINGÁ','PR','116162161216572411448911575124610127127',9363,'9998',46.34,3,3,NULL),(28,7046081,'1992-01-16 00:00:00',4,1,12,2009,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124242241216473551478833445134610168073',6038,'270',54.29,1,3,NULL),(28,7046090,'1992-10-21 00:00:00',4,1,12,2010,'F','N','CENTRO','CASCAVEL','PR','116162161216473421468634575112610124072',NULL,'9998',0.00,4,3,NULL),(28,7046103,'1979-12-31 00:00:00',4,1,12,1998,'M','N','IRIRIU','JOINVILLE','SC','124251257626132412548674185122121636174',NULL,'9998',0.00,1,3,NULL),(28,7046111,'1994-07-04 00:00:00',2,1,12,2011,'F','N','REGIAO DO LAGO','CASCAVEL','PR','116164161217111431477833575122610161012',NULL,'9998',29.31,1,3,NULL),(28,7046138,'1992-07-14 00:00:00',2,1,12,2009,'F','N','CENTRO','PASSOS','MG','113132131216472431449814575122240265122',6181,'9998',54.18,1,3,NULL),(28,7046146,'1989-03-28 00:00:00',2,24,12,2006,'F','N','BARRAGEM','RIO SUL','SC','124241241142574421436923245232131056147',NULL,'864',19.49,1,3,NULL),(28,7046154,'1994-07-03 00:00:00',2,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124241241217151431327739392122610124142',14833,'1175',37.69,1,3,NULL),(28,7046162,'1993-03-09 00:00:00',4,1,6,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242281417371431189913485114610165145',14313,'9998',46.92,1,3,NULL),(28,7046189,'1995-04-02 00:00:00',4,1,11,2011,'M','N','BUENO','GOIÂNIA','GO','302022031211543211211712311121210122162',NULL,'9998',0.00,4,3,NULL),(28,7046197,'1991-05-24 00:00:00',4,1,12,2008,'F','N','ERMELINO MATARAZZO','S PAULO','SP','125252251216571431469924571125610168147',125,'9998',78.73,1,3,NULL),(28,7046200,'1994-03-25 00:00:00',2,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124161241146131731526579372224610137057',NULL,'274',25.56,1,2,1),(28,7046219,'1994-03-11 00:00:00',4,7,6,2011,'F','N','CENTRO','CAMPOS NOVOS','SC','124244247437272431558912575122231034142',18782,'9999',36.17,1,3,NULL),(28,7046227,'1994-09-13 00:00:00',4,8,12,2011,'M','N','CENTRO','S BENTO SUL','SC','124242251216111411478712574122610117012',NULL,'9998',0.00,1,3,NULL),(28,7046235,'1993-04-26 00:00:00',4,1,12,2010,'M','N','PRINCESA ISABEL','FRUTAL','MG','113131131116371431425867115111610161187',9688,'9998',44.37,1,2,1),(28,7046243,'1993-06-03 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201217473411336923572124610136187',1675,'9998',67.41,1,3,NULL),(28,7046260,'1993-11-14 00:00:00',2,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241115371531325434345124610126197',19877,'295',29.57,1,3,NULL),(28,7046286,'1994-04-02 00:00:00',2,10,11,2011,'F','N','CENTRO','IMBITUBA','SC','124244241215372321538451575122610125142',12110,'362',42.84,1,3,NULL),(28,7046294,'1994-07-21 00:00:00',4,1,12,2011,'F','N','CENTRO','ITAPETININGA','SP','125252251216111411348833575122610114181',NULL,'9998',0.00,1,3,NULL),(28,7046308,'1993-04-20 00:00:00',2,1,12,2010,'M','N','ANHANGUERA','GOIÂNIA','GO','109092091217271411339911573124610124052',NULL,'882',22.15,4,3,NULL),(28,7046324,'1994-03-06 00:00:00',4,23,12,2011,'F','N','SÃO LUIS','JARAGUÁ SUL','SC','124241241127141731537534285122610138057',NULL,'891',22.18,1,2,1),(28,7046340,'1991-08-23 00:00:00',2,1,12,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124244241216374431333337595114610165182',8785,'1197',50.25,1,3,NULL),(28,7046359,'1983-07-16 00:00:00',4,15,12,2001,'M','N','SÃO LUIZ','SOMBRIO','SC','624201241147131752236342125333610167187',16547,'54',42.54,1,3,NULL),(28,7046367,'1991-09-05 00:00:00',4,1,12,2008,'F','N','JARDIM TERRAS DO SUL','S JOSÉ CAMPOS','SP','125253253215571431466514375112610164057',12885,'9998',49.18,1,3,NULL),(28,7046375,'1994-03-14 00:00:00',4,5,11,2011,'F','N','SÃO CRISTÓVÃO','CRICIÚMA','SC','124242241215222431456632284122610164012',1025,'213',70.90,1,3,NULL),(28,7046383,'1993-02-02 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241125472721423311345124610127147',NULL,'702',21.81,1,2,1),(28,7046391,'1993-11-15 00:00:00',2,4,11,2010,'M','N','CENTRO','XAXIM','SC','124241241216472431438712571122610166012',295,'836',75.97,1,3,NULL),(28,7046405,'1994-10-12 00:00:00',2,1,12,2011,'F','N','CENTRO','PEDRO AFONSO','TO','127124251346151431439814245122610134052',NULL,'9998',0.00,1,3,NULL),(28,7046413,'1994-02-25 00:00:00',4,1,10,2011,'M','N','VILA TATETUBA','S JOSÉ CAMPOS','SP','125282251237111431358834575125610167142',1400,'9998',66.52,1,3,NULL),(28,7046430,'1994-03-02 00:00:00',4,22,12,2011,'M','N','CENTRO','GUABIRUBA','SC','124241241121141531454934345122610167042',17091,'333',30.37,1,2,1),(28,7046448,'1994-02-16 00:00:00',2,5,11,2011,'F','N','SÃO LUIZ','CRICIÚMA','SC','124242241215111431536312375112610124142',11183,'210',43.38,1,3,NULL),(28,7046464,'1991-02-21 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252241217574431366823575124610122177',359,'270',76.64,1,3,NULL),(28,7046480,'1992-01-14 00:00:00',2,1,12,2009,'M','N','LAGOINHA','RIBEIRÃO PRETO','SP','125254251415571431468813575112610164092',NULL,'9998',0.00,1,3,NULL),(28,7046499,'1993-06-18 00:00:00',4,1,12,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241135472431446614585124610138017',7210,'281',53.46,1,2,1),(28,7046502,'1994-05-13 00:00:00',4,8,12,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124241241215151431337834575121610136092',5619,'931',53.45,1,3,NULL),(28,7046529,'1991-04-01 00:00:00',2,1,7,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124202247121141741336564342134610114042',NULL,'9999',18.95,1,3,NULL),(28,7046537,'1994-06-08 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241417471431438614575114610132147',8806,'729',48.16,1,3,NULL),(28,7046545,'1983-07-02 00:00:00',4,1,7,2005,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124202207126132731123879295114610117187',NULL,'289',0.00,1,3,NULL),(28,7046553,'1989-12-02 00:00:00',4,1,12,2007,'M','N','PEREQUE','PTO BELO','SC','124244241415145431348613495122231417053',5985,'403',60.61,1,3,NULL),(28,7046570,'1993-10-13 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115472431437614395114610167047',6666,'267',52.33,1,2,1),(28,7046588,'1993-07-08 00:00:00',2,1,12,2010,'F','N','SÃO JOSÉ','S JOSÉ','SC','124243241116272432326413575124610147057',NULL,'772',21.12,1,3,NULL),(28,7046596,'1991-10-31 00:00:00',4,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241211575111426632341122120217067',11210,'270',51.77,1,3,NULL),(28,7046600,'1993-03-24 00:00:00',2,24,12,2010,'F','N','CAMPINAS','MIRIM DOCE','SC','124241242135372431524516575122610168147',NULL,'1222',18.01,1,2,1),(28,7046618,'1993-06-05 00:00:00',4,8,12,2010,'F','N','CENTRO','RIO NEGRINHO','SC','124244244216371431458816575122610166012',7868,'666',49.81,1,3,NULL),(28,7046626,'1994-03-30 00:00:00',2,4,12,2011,'F','N','PALMITAL','CHAPECÓ','SC','124242241416371451559711575112610165192',NULL,'169',29.09,1,3,NULL),(28,7046634,'1992-12-31 00:00:00',2,1,12,2010,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124161161116271431223421315124610124147',NULL,'9998',27.50,4,2,1),(28,7046642,'1994-01-18 00:00:00',2,3,12,2011,'F','N','MORRETES','ITAPEMA','SC','124241241115371431535614182222610124142',7111,'406',51.98,1,2,1),(28,7046669,'1990-12-25 00:00:00',4,1,6,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243281316373431228434475122130227147',16637,'9998',42.35,1,3,NULL),(28,7046685,'1994-09-26 00:00:00',2,9,12,2011,'F','N','CENTRO','S JOAQUIM','SC','124242241216131431448833595122610123182',NULL,'721',0.00,1,3,NULL),(28,7046693,'1994-08-06 00:00:00',2,22,11,2011,'F','N','CENTRO','BRUSQUE','SC','124242241215272431228924574125610123017',1518,'107',67.78,1,3,NULL),(28,7046707,'1994-05-25 00:00:00',4,9,12,2011,'M','N','CORAL','LAGES','SC','124243241316371731426511575122610117052',19953,'9999',20.85,1,3,NULL),(28,7046715,'1992-08-30 00:00:00',4,1,12,2010,'M','N','CANTO DOS ARAÇAS','FLORIANÓPOLIS','SC','124242241216272541228413285114610167112',13640,'300',43.36,1,3,NULL),(28,7046723,'1992-05-19 00:00:00',4,1,11,2009,'F','N','GOIABEIRAS','CUIABÁ','MT','111112111216471431389933475122610124122',NULL,'9998',0.00,1,3,NULL),(28,7046740,'1994-04-11 00:00:00',4,1,12,2011,'F','N','SANTO ANTONIO','BAL PIÇARRAS','SC','124243241214131431445612575122610122117',NULL,'1031',0.00,1,3,NULL),(28,7046758,'1994-06-06 00:00:00',4,1,12,2011,'M','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124242241117151421358612575124610137127',NULL,'1048',24.18,1,3,NULL),(28,7046766,'1993-05-14 00:00:00',4,1,12,2010,'F','N','BOA VISTA','CURITIBA','PR','116162161212421531449924435122240214117',NULL,'9997',0.00,1,3,NULL),(28,7046782,'1992-09-22 00:00:00',4,1,4,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242281416171441559813475114610164037',1334,'9998',67.42,1,3,NULL),(28,7046812,'1979-07-19 00:00:00',2,1,12,1997,'F','N','JARDIM ROSELÂNDIA','FRANCA','SP','125251251116571421345343135124341335197',10494,'9998',52.93,2,1,1),(28,7046820,'1992-09-12 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215374431448913385115610127047',13347,'270',48.48,1,3,NULL),(28,7046847,'1994-02-26 00:00:00',4,3,12,2011,'F','N','NOVA ESPERANÇA','BAL CAMBORIÚ','SC','124241241115141331335414385124610137147',NULL,'51',22.12,4,2,1),(28,7046855,'1991-02-18 00:00:00',4,8,12,2008,'F','N','REAL PARQUE','S PAULO','SP','125252251211511431258814572122142563112',5800,'9998',53.49,1,3,NULL),(28,7046871,'1989-05-22 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217114431256923595124332864047',14179,'1086',47.13,1,3,NULL),(28,7046880,'1994-12-20 00:00:00',4,9,11,2011,'F','N','CENTRO','LAGES','SC','124242241215371231448813572122610117017',6408,'497',54.34,1,3,NULL),(28,7046910,'1991-09-13 00:00:00',4,1,12,2008,'F','N','SANTA TEREZINHA','S BERNARDO CAMPO','SP','125252251215572431238824571224610122147',3986,'9998',59.25,1,3,NULL),(28,7046928,'1991-02-01 00:00:00',2,1,12,2008,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116572631413631475114131015097',3868,'30',57.44,4,2,1),(28,7046936,'1994-05-06 00:00:00',4,1,12,2011,'M','N','SANTANA','S PAULO','SP','125252251215131431468821571124610167057',1326,'9998',67.94,1,3,NULL),(28,7046952,'1993-02-10 00:00:00',4,1,12,2011,'F','N','ASA NORTE','BRASÍLIA','DF','109092091216111731459613575114610144122',4873,'9998',56.99,4,3,NULL),(28,7046979,'1991-06-06 00:00:00',2,1,12,2009,'F','N','NITERÓI','CANOAS','RS','120202191417472731453313372122610127077',13902,'9998',38.63,1,3,NULL),(28,7046995,'1992-07-12 00:00:00',4,1,11,2009,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241216272411347412345124610162191',11657,'273',51.08,1,3,NULL),(28,7047002,'1993-01-13 00:00:00',4,2,12,2010,'F','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241215272411348812575124131047052',1037,'71',69.64,1,3,NULL),(28,7047010,'1992-02-18 00:00:00',2,1,12,2009,'M','N','CENTRO','VIDAL RAMOS','SC','124241242115572451336813191124610147047',6326,'662',55.13,1,2,1),(28,7047029,'1993-08-09 00:00:00',4,1,12,2010,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125132251215371222479911585112610132012',213,'9998',77.34,1,3,NULL),(28,7047037,'1993-03-06 00:00:00',2,1,12,2010,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125241191216472711467924575115610131172',13815,'9998',38.13,1,3,NULL),(28,7047045,'1992-12-24 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217472431366651574114610167012',320,'262',75.45,1,3,NULL),(28,7047070,'1990-08-20 00:00:00',2,1,12,2007,'M','N','VILA TIBERIO','RIBEIRÃO PRETO','SP','125251251115371631233321271124610167047',NULL,'9998',38.47,1,2,1),(28,7047088,'1991-07-19 00:00:00',4,1,11,2008,'M','N','JARDIM CALIFORNIA','CUIABÁ','MT','111112111116571431489931475122610127122',NULL,'9998',0.00,1,3,NULL),(28,7047096,'1993-10-30 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215372431459913575124121767147',18921,'738',35.60,1,3,NULL),(28,7047118,'1991-03-25 00:00:00',2,1,12,2008,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124241241116473731446513335124610132047',11615,'287',44.49,1,3,NULL),(28,7047126,'1981-07-29 00:00:00',2,1,6,1999,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241246116374431436623335124320426042',4449,'306',63.48,1,2,1),(28,7047134,'1993-03-13 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215372431556713375124610137042',4345,'738',59.26,1,3,NULL),(28,7047142,'1977-08-29 00:00:00',4,1,12,1994,'M','N','SANTOS DUMOND','S JOSÉ','SC','124071241132153711478613482113121734012',12382,'307',49.97,1,3,NULL),(28,7047150,'1993-04-28 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215474431448814375122610126097',854,'970',70.25,1,3,NULL),(28,7047169,'1990-12-16 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241415272732356821475124133242062',15953,'1022',43.79,1,3,NULL),(28,7047177,'1994-10-25 00:00:00',1,1,8,2011,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242281417275431479919595124610167112',2744,'270',63.24,1,3,NULL),(28,7047193,'1993-02-24 00:00:00',5,1,8,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242248117371431326631394124610133112',6516,'306',52.28,1,3,NULL),(28,7047207,'1992-02-15 00:00:00',2,1,12,2009,'M','N','BELA VISTA I','S JOSÉ','SC','124241241116271411455414345134610121052',18274,'257',38.06,1,2,1),(28,7047215,'1987-08-25 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215575411354431375124130226197',53,'1022',80.44,1,3,NULL),(28,7047231,'1994-06-20 00:00:00',4,1,11,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215112411247812341122610161052',10364,'270',49.62,1,3,NULL),(28,7047258,'1984-09-29 00:00:00',2,6,12,2001,'M','N','PEREQUÊ','PTO BELO','SC','224241244126512421335643135133132827187',10109,'364',47.23,1,2,1),(28,7047266,'1993-06-21 00:00:00',4,4,12,2010,'M','N','CENTRO','CHAPECÓ','SC','124242241212572231378914585122610118182',4946,'1021',57.75,1,3,NULL),(28,7047274,'1994-07-04 00:00:00',2,1,12,2011,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124241241126151732334429315124610164142',19304,'291',33.84,1,2,1),(28,7047282,'1992-08-10 00:00:00',4,1,12,2010,'F','N','LOURDES','BELO HORIZONTE','MG','113132131212471431379913572112610121122',17168,'9998',41.10,1,3,NULL),(28,7047304,'1994-03-11 00:00:00',2,4,12,2011,'F','N','IPANEMA','MONDAÍ','SC','124241241115141431448932585122610118097',19733,'564',30.81,1,3,NULL),(28,7047312,'1993-10-01 00:00:00',2,7,12,2010,'M','N','JARDIM BELA VISTA','CAMPOS NOVOS','SC','124241241115371431467711385122610137042',NULL,'140',0.00,1,3,NULL),(28,7047355,'1992-06-19 00:00:00',2,8,12,2009,'M','N','CENTRO','GARUVA','SC','124241241125572331434911595114610167062',2611,'923',64.89,1,2,1),(28,7047371,'1994-03-18 00:00:00',4,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124241241116141331463311346124610117057',19852,'734',29.82,1,2,1),(28,7047380,'1994-04-15 00:00:00',2,1,12,2011,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115372431326628575124610167177',19311,'278',33.81,4,2,1),(28,7047398,'1994-11-04 00:00:00',4,4,12,1994,'M','N','JARDIM PRIMAVERA','PATO BRANCO','PR','116162161217251431458412275112610142142',12287,'9998',50.11,1,3,NULL),(28,7047401,'1994-12-03 00:00:00',5,1,11,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215122431366832425122610128097',7286,'270',51.98,1,3,NULL),(28,7047410,'1994-12-07 00:00:00',2,4,12,2011,'F','N','SANTA CRUZ','CONCÓRDIA','SC','124241241216151431438812574124610146057',3489,'1001',61.77,1,3,NULL),(28,7047428,'1994-03-19 00:00:00',4,10,12,2011,'M','N','PRAIA DO SOL','LAGUNA','SC','124241241117161411434613572124610168111',16106,'521',35.06,1,2,1),(28,7047452,'1993-08-03 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124244241215152731558414395125610127182',NULL,'1118',30.90,1,3,NULL),(28,7047460,'1993-04-24 00:00:00',2,4,12,2010,'M','N','JABAQUARA','S PAULO','SP','125252251216472431478813491125610127012',3496,'9998',58.87,1,3,NULL),(28,7047479,'1993-03-29 00:00:00',4,1,5,2011,'M','N','MAUA','S CAETANO SUL','SP','125252281217271232449714575114610167052',9797,'9998',54.06,2,3,NULL),(28,7047487,'1994-08-13 00:00:00',4,8,11,2011,'M','N','CENTRO','LONDRINA','PR','116162161215111431247811575122610127042',NULL,'9998',0.00,1,3,NULL),(28,7047495,'1993-10-22 00:00:00',4,1,11,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215121431478712572114610137185',3817,'270',61.13,1,3,NULL),(28,7047509,'1992-09-01 00:00:00',2,1,12,2010,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124244241215472431249633575124610117042',16403,'1023',42.89,1,3,NULL),(28,7047517,'1995-04-06 00:00:00',2,1,12,2012,'M','S','ZONA DOIS','CIANORTE','PR','116162161217111731343819575122610147072',NULL,'9998',28.50,1,3,NULL),(28,7047525,'1989-07-14 00:00:00',2,1,12,2006,'M','N','CAMINHO NOVO','PALHOÇA','SC','124251241147151431534334182114610127047',NULL,'295',0.00,2,1,1),(28,7047533,'1993-02-22 00:00:00',2,1,12,2010,'F','N','VILA JAGUARI','S PAULO','SP','125253251217571411436714275124610164097',NULL,'9998',0.00,1,3,NULL),(28,7047541,'1990-10-05 00:00:00',4,1,12,2007,'M','N','BOSQUE DA SAUDE','CUIABÁ','MT','111112111215472431589933575112141417042',1262,'9998',69.21,1,3,NULL),(28,7047550,'1994-10-17 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111411469932575112610127047',NULL,'883',0.00,1,3,NULL),(28,7047568,'1994-08-14 00:00:00',4,4,12,2011,'M','N','SAIC','CHAPECÓ','SC','124241241115471431528674345124610137187',8151,'169',49.83,1,2,1),(28,7047576,'1992-09-24 00:00:00',4,1,12,2009,'F','N','VILA MADALENA','S PAULO','SP','125252251417571411468811571125610115092',NULL,'9998',0.00,1,3,NULL),(28,7047584,'1994-05-05 00:00:00',4,3,12,2011,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241216141421444312242112610132117',11375,'1017',43.52,1,3,NULL),(28,7047592,'1993-12-05 00:00:00',4,1,11,2011,'F','N','GRAGERU','ARACAJU','SE','126262261216121431478813575125610142142',908,'9998',69.46,4,3,NULL),(28,7047606,'1992-01-30 00:00:00',4,1,12,2009,'F','N','PAPILON PARK','APARECIDA GOIÂNIA','GO','109092091215371711373312245112610161197',4082,'9998',57.25,4,3,NULL),(28,7047630,'1994-02-25 00:00:00',4,1,11,2011,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091215111431435611572224610147047',12401,'9998',37.78,4,3,NULL),(28,7047649,'1993-08-16 00:00:00',4,1,12,2010,'F','N','VILA CONDE DO PINHAL','S PAULO','SP','125251251217472431457814472122610137097',4356,'9998',56.36,1,3,NULL),(28,7047665,'1994-08-15 00:00:00',2,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241217111731236419575124610124142',11503,'948',45.05,1,3,NULL),(28,7047673,'1995-03-02 00:00:00',4,26,12,2011,'F','N','NAZARÉ','CONCÓRDIA','SC','124241241115471431534314594122610144147',13585,'194',39.66,1,2,1),(28,7047681,'1994-02-18 00:00:00',4,1,12,2011,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111431478712575112610147042',3036,'270',62.83,1,3,NULL),(28,7047690,'1993-08-07 00:00:00',4,1,12,2010,'M','N','SAN IZIDRO','LONDRINA','PR','116161161217371531447731575114610167042',NULL,'9998',25.41,1,3,NULL),(28,7047711,'1993-06-25 00:00:00',2,1,12,2010,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','124244241215273441336636375124610152176',1849,'1011',64.24,1,3,NULL),(28,7047720,'1994-10-12 00:00:00',2,1,12,2011,'M','N','JARDIM CIDADE','S JOSÉ','SC','124241241115371422453872145124610137063',15085,'295',45.44,1,3,NULL),(28,7047738,'1994-04-04 00:00:00',4,24,11,2011,'M','N','JARDIM AMÉRICA','RIO SUL','SC','124242241217371431338839595132610128182',7641,'663',49.08,1,3,NULL),(28,7047754,'1994-11-08 00:00:00',4,15,12,2011,'F','N','GLORINHA','STA ROSA SUL','SC','124241241117131431424619195124610118147',16029,'689',33.40,1,2,1),(28,7047770,'1986-03-23 00:00:00',2,8,12,2003,'M','N','COMASA','JOINVILLE','SC','124241246116374441224644445124610142097',5362,'359',55.50,1,2,1),(28,7047789,'1979-12-04 00:00:00',2,1,6,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241243136174731115644145334610164147',18931,'303',35.56,2,1,1),(28,7047797,'1985-05-16 00:00:00',4,1,12,2002,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124241241137135421558744345124222235142',8924,'49',55.54,1,2,1),(28,7047819,'1994-03-27 00:00:00',2,25,12,2010,'F','N','CENTRO','LEBON RÉGIS','SC','124243241116162321546615145124610164017',13747,'532',39.78,1,3,NULL),(28,7047827,'1994-08-11 00:00:00',4,1,12,2011,'F','N','CENTRO','FAXINAL','PR','116162161217111431588812575122610168142',7376,'9998',51.45,1,3,NULL),(28,7047835,'1994-03-29 00:00:00',4,1,12,2011,'F','N','SETOR MARISTA','GOIÂNIA','GO','109092091215111431466631571122610126147',8987,'9998',45.68,1,3,NULL),(28,7047851,'1993-06-15 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124244241111272431458614345122610128182',5455,'512',54.31,1,3,NULL),(28,7047860,'1993-05-14 00:00:00',2,1,12,2011,'F','N','CENTRO SÃO JOSÉ','S JOSÉ','SC','124242241311152431626613375122610117182',NULL,'733',25.84,2,1,2),(28,7047878,'1994-10-25 00:00:00',4,1,12,2011,'F','N','VILA FORMOSA','APUCARANA','PR','116162161217111431348719575122610134092',NULL,'9998',0.00,1,3,NULL),(28,7047886,'1993-04-30 00:00:00',2,17,12,2010,'F','N','VILA RUTHES','MAFRA','SC','124241241115471421653516575124610144147',12334,'544',42.90,1,2,1),(28,7047908,'1993-06-23 00:00:00',2,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431489813572111610134185',6828,'951',54.05,1,3,NULL),(28,7047916,'1991-08-28 00:00:00',2,1,11,2010,'F','N','INLGESES','FLORIANÓPOLIS','SC','124244241215473431328821442124610127184',13652,'1022',40.65,1,3,NULL),(28,7047924,'1993-09-07 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116471431224321395114610143197',NULL,'295',23.43,1,2,1),(28,7047932,'1993-08-02 00:00:00',4,1,12,2010,'M','N','ALTO DA GLORIA','GOIÂNIA','GO','109092091216472431258611572124610122182',3576,'9998',59.04,1,3,NULL),(28,7047959,'1993-05-20 00:00:00',2,4,11,2009,'F','N','CENTRO','CHAPECÓ','SC','124243241215151731466416495124230667142',NULL,'1191',39.02,1,3,NULL),(28,7047967,'1986-09-21 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224241241146135431243353281124121666147',4817,'545',57.23,1,2,1),(28,7047983,'1993-07-29 00:00:00',4,8,12,2010,'M','N','SANTA TEREZINHA','S BERNARDO CAMPO','SP','125252251215572431448814571224610122147',5429,'9998',54.11,1,3,NULL),(28,7048017,'1993-10-25 00:00:00',4,3,12,2010,'F','N','CENTRO','LGA VERMELHA','RS','120203208216373751536619572122610168147',15188,'9998',37.50,1,3,NULL),(28,7048025,'1994-03-29 00:00:00',4,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124254241317131742338569575114610124037',8066,'1049',57.03,1,3,NULL),(28,7048033,'1994-05-06 00:00:00',4,23,11,2011,'F','N','CENTRO','GUARAMIRIM','SC','124242241215121431548832574114610164122',NULL,'1063',0.00,1,3,NULL),(28,7048041,'1993-02-17 00:00:00',4,1,12,2010,'F','N','BOQUEIRÂO','SANTOS','SP','125252251216471411467812575112610117072',10687,'9998',44.13,1,3,NULL),(28,7048050,'1987-02-13 00:00:00',4,6,12,2004,'M','N','JARDIM SÃO JOSÉ','ITATIBA','SP','125253251216575411337721285122141942113',7738,'9998',49.55,1,3,NULL),(28,7048068,'1992-03-17 00:00:00',2,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241236133431426633345124610167182',13650,'1118',42.74,1,3,NULL),(28,7048076,'1993-06-01 00:00:00',4,4,12,2010,'M','N','CENTRO','XANXERÊ','SC','124242241216472411444631314122610162117',9382,'836',47.90,1,3,NULL),(28,7048084,'1993-10-04 00:00:00',4,5,11,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124242241215111431356612575112610164192',2724,'226',60.90,1,3,NULL),(28,7048092,'1991-05-03 00:00:00',4,1,12,2009,'M','N','CAIÇARA','BELO HORIZONTE','MG','313133044332232232332223215222310115131',NULL,'9998',0.00,4,3,NULL),(28,7048106,'1993-06-08 00:00:00',4,1,12,2010,'M','N','BARÃO GERALDO','CAMPINAS','SP','125252251217471431468812572112610127044',1761,'9998',64.62,1,3,NULL),(28,7048114,'1994-01-24 00:00:00',4,23,11,2010,'M','N','POÇO DANTA','CORUPÁ','SC','124241246416112431443612575124231436142',6266,'1061',55.25,1,3,NULL),(28,7048122,'1993-10-17 01:00:00',2,1,12,2011,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241337111751335521385114610162097',15516,'270',33.31,1,3,NULL),(28,7048149,'1988-09-10 00:00:00',4,1,9,2011,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241247145131731223329315124610124017',NULL,'9999',0.00,1,3,NULL),(28,7048157,'1984-11-17 00:00:00',4,16,12,2007,'F','N','BOM JESUS','CURITIBANOS','SC','124243241322161731222341312222610141027',NULL,'239',4.14,2,3,NULL),(28,7048165,'1994-11-24 00:00:00',4,1,11,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431268831572122610163142',9851,'262',53.96,1,3,NULL),(28,7048173,'1992-09-07 00:00:00',4,8,12,2009,'M','N','CENTRO','GARUVA','SC','124242241211271111436632593124131524197',2219,'459',65.14,1,3,NULL),(28,7048181,'1993-11-01 00:00:00',4,4,12,2010,'M','N','BONFIM','PTO ALEGRE','RS','120202201111471431268831571124610114042',NULL,'9998',0.00,1,3,NULL),(28,7048203,'1994-03-26 00:00:00',2,1,11,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215112431536432584124610146182',929,'270',70.23,1,3,NULL),(28,7048220,'1988-11-19 00:00:00',2,26,12,2005,'M','N','JARDIM','CONCÓRDIA','SC','124241241116575751438812492124123225011',639,'192',74.32,4,2,1),(28,7048238,'1947-08-19 00:00:00',2,1,12,1970,'F','N','INGLESES','FLORIANÓPOLIS','SC','124164165136135711122249492324341868192',13669,'9998',47.93,1,3,NULL),(28,7048246,'1993-05-14 00:00:00',4,1,12,2010,'F','N','VILA ELDIZIA','STO ANDRÉ','SP','125252251217311411476611275122143232142',7197,'9998',51.94,1,3,NULL),(28,7048289,'1994-12-28 00:00:00',2,15,12,2011,'F','N','CENTRO','TIMBÉ SUL','SC','124241241115371431321113575124610128077',11975,'785',44.08,1,2,1),(28,7048297,'1992-10-20 00:00:00',4,1,12,2010,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251215372431388923575112610152142',2680,'9998',62.90,1,3,NULL),(28,7048300,'1987-09-11 00:00:00',4,1,7,2008,'M','N','JOSE MENDES','FLORIANÓPOLIS','SC','124241247327271411521321285124133234092',18461,'9999',37.42,2,3,NULL),(28,7048319,'1993-05-28 00:00:00',2,2,12,2010,'M','N','DO SOL','INDAIAL','SC','124241241416472431333619275124610168147',15130,'317',45.35,1,3,NULL),(28,7048335,'1992-06-01 00:00:00',2,1,11,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241116272451557614575114121738197',3434,'298',61.14,1,2,1),(28,7048343,'1994-12-08 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431449923492124610127142',7534,'883',51.90,1,3,NULL),(28,7048351,'1991-11-18 00:00:00',3,1,6,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242281216572431488913575124221767122',3073,'9998',62.03,1,3,NULL),(28,7048360,'1995-03-03 00:00:00',2,1,12,2012,'M','S','NOSSA SENHORA LOURDE','PLANALTO','PR','116161161116161411545965295122610117062',NULL,'9998',17.49,1,3,NULL),(28,7048378,'1992-08-08 00:00:00',4,1,12,2009,'F','N','PARAISO','S PAULO','SP','101011011111111211111111111111110111011',1434,'9998',65.71,1,3,NULL),(28,7048386,'1994-09-01 00:00:00',4,1,11,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217112431389832275124610134197',7918,'270',49.85,1,3,NULL),(28,7048394,'1989-05-25 00:00:00',4,1,12,2006,'M','N','BARRA FUNDA','S PAULO','SP','125256251616571451546823595125610166197',348,'9998',72.94,1,3,NULL),(28,7048416,'1991-11-04 00:00:00',4,1,12,2009,'F','N','LIBERDADE','S PAULO','SP','125132251216571451474812571125610168192',NULL,'9998',10.85,1,3,NULL),(28,7048424,'1994-03-31 00:00:00',4,2,12,2011,'M','N','VELHA','BLUMENAU','SC','124241241115111411459913275124610125042',3644,'88',59.69,1,2,1),(28,7048432,'1992-01-23 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117132431325621182324610117013',15156,'307',45.30,1,3,NULL),(28,7048467,'1995-07-31 00:00:00',4,2,12,2012,'F','S','RIO MORTO','INDAIAL','SC','124241241217151511438834575122610145042',NULL,'986',32.96,1,3,NULL),(28,7048483,'1991-08-18 00:00:00',4,1,12,2009,'M','N','JARDIM NOVA SÃO JOÃO','S JOÃO B VISTA','SP','125252251217571431346634571122610117112',4486,'9998',56.76,1,3,NULL),(28,7048491,'1994-06-10 00:00:00',4,1,11,2011,'M','N','SETOR CENTRAL','GOIÂNIA','GO','109092091215111431468812174122610168172',971,'9998',69.28,1,3,NULL),(28,7048505,'1992-06-29 00:00:00',4,1,12,2009,'M','N','JD KAROLYNE','VOTORANTIM','SP','125252251225571751369921595122610126172',2506,'9998',68.23,1,3,NULL),(28,7048513,'1980-02-18 00:00:00',2,1,12,1998,'F','N','IPANEMA','PTO ALEGRE','RS','120203201117151731446829375114241414042',NULL,'9998',0.00,1,3,NULL),(28,7048521,'1993-02-21 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124244248416471431426862275122610164112',NULL,'9999',19.73,1,3,NULL),(28,7048530,'1993-07-15 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624242241217372431248924575122610137147',2938,'262',64.95,1,3,NULL),(28,7048548,'1991-03-23 00:00:00',2,1,12,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241435273451556519395124221467077',NULL,'1022',0.00,1,3,NULL),(28,7048556,'1991-08-06 00:00:00',2,1,12,2010,'F','N','SAO JOSE','S JOSÉ','SC','124242241215212731229627575122610134041',16445,'1076',38.41,1,3,NULL),(28,7048564,'1993-12-29 00:00:00',4,1,12,2011,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124242241215111432336934275124610127047',8672,'1175',49.55,1,3,NULL),(28,7048572,'1983-10-06 00:00:00',2,1,12,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241137141431227444345334610137067',13788,'281',47.73,4,3,NULL),(28,7048599,'1994-10-21 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111421478811595122610137182',4598,'262',55.55,1,3,NULL),(28,7048602,'1994-01-10 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411449831415122610134192',3675,'262',65.22,1,3,NULL),(28,7048610,'1993-11-01 00:00:00',2,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241112372531435524342124610122045',18927,'287',26.02,2,1,1),(28,7048629,'1994-04-01 00:00:00',4,9,12,2011,'M','N','SAO CRISTOVAO','LAGES','SC','124242241215111441389931572122610114052',3719,'497',60.48,1,3,NULL),(28,7048661,'1994-02-27 00:00:00',2,1,11,2011,'M','N','AREIAS','S JOSÉ','SC','124242241215111411425657575122610127047',10411,'1118',47.10,1,3,NULL),(28,7048670,'1994-12-02 00:00:00',2,1,10,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241116122431368612575112610144025',6894,'1051',49.34,1,3,NULL),(28,7048688,'1994-01-02 00:00:00',2,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241146141331343314245124610117042',NULL,'592',24.61,4,2,1),(28,7048696,'1990-02-05 00:00:00',4,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124252191216373451229974475114142262182',4624,'9998',59.04,1,3,NULL),(28,7048700,'1993-09-29 00:00:00',4,1,12,2010,'F','N','VILA ASWSUNÇÃO','STO ANDRÉ','SP','125252251216371631478831575122640132047',3269,'9998',61.36,1,3,NULL),(28,7048718,'1994-03-10 00:00:00',4,1,10,2011,'M','N','BELA VISTA UM','S JOSÉ','SC','124242241215112432126627575114610167042',13213,'1022',48.68,1,3,NULL),(28,7048726,'1994-08-17 00:00:00',4,1,12,2011,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241137371331227529285124610137097',15685,'281',36.39,1,2,1),(28,7048734,'1986-11-06 00:00:00',2,1,12,2004,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124161168117141411623344242224140214177',NULL,'9998',37.54,1,2,1),(28,7048742,'1994-07-21 00:00:00',4,8,12,2011,'M','N','IRIRIU','JOINVILLE','SC','124242246216271431488914575124610127142',3308,'1006',62.87,4,3,NULL),(28,7048750,'1994-10-16 01:00:00',4,4,12,2011,'F','N','CENTRO','QUILOMBO','SC','124241241116151431238923575122610146142',7026,'648',49.27,1,2,1),(28,7048769,'1993-09-21 00:00:00',4,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117371731533334375124610128142',15642,'307',37.30,4,2,1),(28,7048785,'1993-06-16 00:00:00',2,1,12,2010,'F','N','PARAÍSO','S PAULO','SP','125254251215471711449614371124610115117',10194,'9998',44.05,1,3,NULL),(28,7048793,'1993-12-30 00:00:00',4,1,12,2011,'M','N','BUENO','GOIÂNIA','GO','109092091215111431546811575122610147112',11330,'9998',42.14,1,3,NULL),(28,7048807,'1994-01-22 00:00:00',2,1,12,2011,'F','N','BELA ALIANÇA','S PAULO','SP','125252251216111431456831575122610134073',NULL,'9998',0.00,1,3,NULL),(28,7048815,'1990-09-06 00:00:00',4,1,12,2007,'M','N','MONT SERRAT','PTO ALEGRE','RS','120202201216471711579813471112140667111',9769,'9998',54.11,1,3,NULL),(28,7048823,'1991-01-17 00:00:00',4,1,12,2008,'M','N','CENTRO','NERÓPOLIS','GO','109092091211271431468814585122140317042',8586,'9998',56.13,2,3,NULL),(28,7048831,'1993-12-31 00:00:00',2,8,11,2011,'M','N','CENTRO','REGISTRO','SP','125252251215411431458812575124610162057',NULL,'9997',29.60,1,3,NULL),(28,7048858,'1983-10-10 00:00:00',2,1,12,2003,'F','N','CAPEIRAS','FLORIANÓPOLIS','SC','124201205116241431126614245334610123197',NULL,'9998',22.05,1,2,1),(28,7048866,'1993-10-14 00:00:00',2,1,12,2011,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124161241141141732326624342124610128057',NULL,'290',NULL,1,2,1),(28,7048874,'1994-01-09 00:00:00',2,4,12,2011,'M','N','CENTRO','XAVANTINA','SC','124244241215141231559613575122610167052',16928,'836',41.69,1,3,NULL),(28,7048882,'1993-07-08 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162241215372731568819475112610113142',3303,'270',62.79,1,3,NULL),(28,7048890,'1995-07-12 00:00:00',2,4,12,2011,'F','N','CENTRO','S BERNARDINO','SC','124241241147471431416711591323610116057',NULL,'701',0.00,1,2,1),(28,7048904,'1994-04-17 00:00:00',4,1,11,2011,'F','N','CASA VERDE','S PAULO','SP','125252251216111431656632575124610125143',14287,'9998',46.98,1,3,NULL),(28,7048912,'1985-07-18 00:00:00',4,1,12,2002,'M','N','BIGORRILHO','CURITIBA','PR','116162161216142431488813345121241064172',NULL,'9998',0.00,1,3,NULL),(28,7048939,'1993-12-28 00:00:00',2,4,11,2011,'F','N','COLATTO','XANXERÊ','SC','124241241215111732523711572225610163077',14514,'1081',46.56,4,3,NULL),(28,7048947,'1992-12-19 00:00:00',4,1,11,2010,'F','N','DOIS CORREGOS','VALINHOS','SP','125252251217472431489834571112610147092',2756,'9998',60.47,1,3,NULL),(28,7048955,'1994-10-13 00:00:00',4,3,12,2011,'F','N','PEREQUÊ','PTO BELO','SC','124244241117131431326622282324610146177',8397,'630',49.05,1,3,NULL),(28,7048963,'1988-11-12 00:00:00',2,1,12,2005,'F','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124242241217273741348633343334610164183',13549,'944',40.99,1,3,NULL),(28,7048971,'1992-12-23 00:00:00',4,1,12,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215472431558811575122610122185',1781,'270',65.81,1,3,NULL),(28,7048998,'1989-05-03 00:00:00',4,4,12,2005,'M','N','BOTAFOGO','BENTO GONÇALVES','RS','120202201216471441647832215124140264087',319,'9998',76.11,1,3,NULL),(28,7049005,'1994-06-27 00:00:00',4,1,12,2011,'F','N','VILA SANTANA','VARGEM G SUL','SP','125252251215271731349714475121610164182',7436,'9998',50.02,1,3,NULL),(28,7049013,'1994-06-14 00:00:00',4,4,12,2011,'M','N','TREVO','CHAPECÓ','SC','124241241136131431566313345124610132177',NULL,'197',NULL,1,2,1),(28,7049048,'1992-08-29 00:00:00',4,1,12,2011,'F','N','MARUIPE','VITÓRIA','ES','108082081215121441337933575121610127112',10485,'9998',52.94,1,3,NULL),(28,7049056,'1989-03-06 00:00:00',4,1,12,2007,'F','N','CONSOLAÇÃO','S PAULO','SP','125242241317574431348839575115610164187',4441,'267',58.63,1,3,NULL),(28,7049064,'1993-12-30 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124244241215111431451477395125610127052',12869,'738',42.35,1,3,NULL),(28,7049072,'1991-08-31 00:00:00',4,27,12,2009,'M','N','MARIA LUIZA','CASCAVEL','PR','116161163145571431654436151122610132147',2984,'9998',61.09,1,2,1),(28,7049080,'1993-10-29 00:00:00',4,1,11,2011,'F','N','TUCURUVI','S PAULO','SP','125252251216111411469631575122610147187',NULL,'9998',0.00,1,3,NULL),(28,7049099,'1993-08-20 00:00:00',4,1,12,2010,'M','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241216472431458612575122610114092',482,'424',74.06,1,3,NULL),(28,7049102,'1992-11-17 00:00:00',4,1,12,2009,'M','N','JARDIM ALZIRA','S PAULO','SP','125252251211512431356822571122610147147',309,'9998',76.08,4,3,NULL),(28,7049110,'1994-10-27 00:00:00',2,1,2,2012,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431459714371122610127092',16995,'1118',41.56,1,3,NULL),(28,7049129,'1995-05-20 00:00:00',2,7,12,2011,'F','N','SANTA TEREZA','JOAÇABA','SC','124244241216151331456913572122610167097',8391,'445',48.81,1,3,NULL),(28,7049137,'1994-03-03 00:00:00',4,8,12,2011,'M','N','JARDIM BOA VISTA','S PAULO','SP','125252251216271431456619275122610137052',NULL,'9998',0.00,3,3,NULL),(28,7049145,'1993-06-30 00:00:00',4,1,12,2010,'F','N','VILA VERDE','LEME','SP','125252251215471411588831575112610122072',6072,'9998',60.47,1,3,NULL),(28,7049153,'1990-11-30 00:00:00',4,1,12,2009,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124273271416131421212922485224141417092',14570,'9998',35.04,4,3,NULL),(28,7049161,'1993-09-23 00:00:00',4,1,12,2011,'M','N','BAEPENDI','JARAGUÁ SUL','SC','124242241215162531449914375121610164117',3969,'1174',59.48,1,3,NULL),(28,7049170,'1994-06-28 00:00:00',4,4,12,2011,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124243241212271431356612585122610122052',10702,'185',45.20,1,3,NULL),(28,7049188,'1994-07-08 00:00:00',4,8,12,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124241241117131431226624572314610146141',15404,'476',36.64,1,2,1),(28,7049200,'1994-05-22 00:00:00',2,8,12,2011,'M','N','MACHADOS','NAVEGANTES','SC','124241242116151431433314575122610113112',14945,'24',37.15,1,2,1),(28,7049218,'1990-09-14 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215151431568514572112610144041',20152,'1077',24.20,1,3,NULL),(28,7049234,'1992-07-16 00:00:00',2,8,12,2009,'F','N','COMASA','JOINVILLE','SC','124241241216131431435614345124132026047',15093,'1105',32.85,1,3,NULL),(28,7049242,'1994-08-29 00:00:00',4,1,12,2011,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241217222441336623576114610127145',2617,'299',63.06,1,3,NULL),(28,7049250,'1991-06-10 00:00:00',4,8,12,2009,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241215372431238913572114133132182',3215,'1174',59.70,1,3,NULL),(28,7049269,'1993-08-10 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431456823575124610163117',1075,'807',67.85,1,3,NULL),(28,7049277,'1995-04-28 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111731468812572122610123182',NULL,'1169',56.30,1,3,NULL),(28,7049285,'1992-02-01 00:00:00',2,1,12,2009,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124241241146151412333429275114610117112',NULL,'291',19.01,1,2,1),(28,7049293,'1986-05-04 00:00:00',4,2,12,2003,'F','N','VELHA','BLUMENAU','SC','124242241247111731456612395122131032112',NULL,'86',29.10,1,3,NULL),(28,7049307,'1994-01-26 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241243215131431424814275224610137147',16493,'1075',34.47,1,3,NULL),(28,7049315,'1993-09-10 00:00:00',4,6,12,2010,'M','N','CARIOCA','S JOSÉ PINHAIS','PR','116162161216111431447831345132610127181',2555,'9998',62.41,1,3,NULL),(28,7049323,'1993-06-12 00:00:00',4,8,12,2010,'F','N','GLÓRIA','JOINVILLE','SC','124241241416471431438411595124610131142',12715,'1006',41.74,1,3,NULL),(28,7049331,'1993-02-17 00:00:00',4,5,11,2010,'F','N','PIO CORRÊA','CRICIÚMA','SC','120242241216473431449831575124610163127',NULL,'9997',19.33,1,3,NULL),(28,7049340,'1994-11-19 00:00:00',2,1,12,2011,'F','N','CENTRO','S JOSÉ','SC','116161241116471431223624595124610124147',12762,'728',40.36,1,2,1),(28,7049366,'1991-05-12 00:00:00',2,4,12,2010,'F','N','CENTRO','S DOMINGOS','SC','124241241137131231431624442124610121147',17495,'707',40.31,4,2,1),(28,7049382,'1991-05-17 00:00:00',4,1,12,2008,'F','N','SETOR JAÓ','GOIÂNIA','GO','109091091216571411659813575122610135097',93,'9998',78.76,4,3,NULL),(28,7049404,'1993-01-30 00:00:00',4,1,12,2010,'F','N','FUNDOS','BIGUAÇU','SC','124241241226372431446314495124230226192',4583,'262',56.25,1,3,NULL),(28,7049412,'1993-10-24 00:00:00',4,1,12,2011,'F','N','COHAB TARUMÃ','TANGARÁ SERRA','MT','111112111216121441439813474112610126192',9568,'9998',45.66,2,3,NULL),(28,7049420,'1994-11-08 00:00:00',4,1,12,2011,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241115131431326634575124610127142',17931,'591',39.14,1,2,1),(28,7049447,'1994-11-03 00:00:00',4,17,12,2011,'F','N','CRUZEIRO','S BENTO SUL','SC','124241241215161431436612575122610124097',NULL,'974',0.00,1,3,NULL),(28,7049455,'1994-04-30 00:00:00',2,1,12,2011,'F','N','CENTRO','BIGUAÇU','SC','124241241415111131433314575124610163142',15001,'1022',39.80,1,3,NULL),(28,7049471,'1989-04-30 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224241241116132431225354382114130242195',NULL,'281',0.00,1,2,1),(28,7049480,'1994-03-11 00:00:00',4,6,12,2011,'F','N','JARDIM LAS PALMAS','GUARUJÁ','SP','125254251217111131648771595122610123187',12751,'9998',49.36,1,3,NULL),(28,7049501,'1966-02-06 00:00:00',2,1,12,1986,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224251258147131751433353282124231026187',19586,'9998',32.14,1,3,NULL),(28,7049510,'1994-12-05 00:00:00',2,1,12,2011,'F','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124242241215111431236923595122610127042',8223,'738',51.27,1,3,NULL),(28,7049528,'1995-04-06 00:00:00',4,27,12,2011,'F','N','JARDIM','MARAVILHA','SC','124243241115111431359633575122610128187',NULL,'552',23.09,1,3,NULL),(28,7049544,'1994-09-29 00:00:00',2,27,1,2011,'F','N','ALTO PETRÓPOLIS','PTO ALEGRE','RS','120202208215121431327823572122610121117',NULL,'9998',0.00,1,3,NULL),(28,7049552,'1991-01-16 00:00:00',4,1,11,2011,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241247115251411336634445124610126192',11776,'9999',50.89,1,2,1),(28,7049560,'1994-05-02 00:00:00',4,8,12,2011,'M','N','CENTRO','S BENTO SUL','SC','124242241215112231356712575122610127051',3525,'1178',58.64,1,3,NULL),(28,7049579,'1995-01-10 00:00:00',4,1,11,2011,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241215121411568634585112610168172',6513,'1118',55.40,1,3,NULL),(28,7049587,'1994-04-28 00:00:00',4,6,12,2011,'F','N','PARQUE TAQUARAL','CAMPINAS','SP','125252251215111431568831575122610167042',NULL,'9998',0.00,1,3,NULL),(28,7049595,'1983-04-02 00:00:00',4,1,12,2003,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124201201127132231123644145334141122147',14230,'9998',38.80,3,2,1),(28,7049617,'1992-01-22 00:00:00',2,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241215372431466823375114610167075',NULL,'883',38.03,1,3,NULL),(28,7049625,'1993-06-07 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215131431439831571124610137097',NULL,'1022',22.94,1,3,NULL),(28,7049633,'1993-10-29 00:00:00',2,1,11,2011,'F','N','CENTRO','TANGARÁ SERRA','MT','111114111216121441569811472122610136092',13773,'9998',40.25,1,3,NULL),(28,7049668,'1971-08-13 00:00:00',4,1,12,1989,'M','N','FLORIANÓPOLIS CENTRO','FLORIANÓPOLIS','SC','224251253217372731566311432124140737053',12572,'9998',49.68,2,1,2),(28,7049684,'1992-10-23 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215374731559913345124122863052',8487,'991',56.04,1,3,NULL),(28,7049692,'1992-11-11 00:00:00',4,1,12,2009,'M','N','CENTRO','ROLÂNDIA','PR','116162161216273431279931575122141424111',1483,'9998',66.64,1,3,NULL),(28,7049706,'1993-02-19 00:00:00',4,6,12,2010,'M','N','JD LEA LEAL','MARINGÁ','PR','116162161217372231358822572112610167182',3563,'9998',59.27,1,3,NULL),(28,7049714,'1993-11-12 00:00:00',4,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124242241346151411657612275112610136141',14827,'466',37.00,1,3,NULL),(28,7049722,'1993-06-18 00:00:00',2,10,12,2010,'F','N','RIO SALTO','TREZE MAIO','SC','124241241126162331434415242323610124147',NULL,'793',29.98,1,2,1),(28,7049730,'1993-06-04 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244248212372411329713582114610133147',9878,'272',46.24,1,3,NULL),(28,7049749,'1992-05-11 00:00:00',4,1,12,2009,'M','N','JD PAULICEIA','CAMPINAS','SP','125252251216572431388823591112610146182',NULL,'9998',0.00,1,3,NULL),(28,7049757,'1995-01-17 00:00:00',4,1,11,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241212141431523611285124610144052',16914,'1075',41.72,1,3,NULL),(28,7049765,'1993-10-13 00:00:00',4,8,11,2011,'M','N','ATIRADORES','JOINVILLE','SC','124242241215111431459934575121610164017',10714,'457',52.57,2,1,2),(28,7049773,'1992-02-14 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241415371431359913442134610137012',18954,'49',35.48,1,3,NULL),(28,7049781,'1993-08-29 00:00:00',4,1,12,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241115372431458833315124130226042',4667,'739',60.36,1,3,NULL),(28,7049803,'1995-02-25 00:00:00',4,1,12,2012,'M','S','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215151432589912395122610127042',NULL,'884',42.22,1,3,NULL),(28,7049811,'1994-12-03 00:00:00',2,1,12,2011,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241215171531456312145112610137044',NULL,'944',26.20,1,3,NULL),(28,7049838,'1993-01-29 00:00:00',4,8,12,2010,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242241215272411578531125222610117047',10954,'442',52.19,1,3,NULL),(28,7049846,'1992-07-08 00:00:00',4,1,7,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241231153421328839575124233217052',NULL,'9999',0.00,1,3,NULL),(28,7049854,'1991-11-01 00:00:00',4,1,5,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242281436572432468821485112130244072',4939,'9998',56.78,1,3,NULL),(28,7049862,'1992-05-29 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241316153411543632575124131464092',6911,'1038',53.98,1,3,NULL),(28,7049870,'1991-07-06 00:00:00',2,1,12,2009,'F','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124243241117134731333514345124610128047',19680,'298',31.39,2,1,2),(28,7049889,'1992-01-13 00:00:00',4,1,12,2009,'M','N','PENHA','S PAULO','SP','125252251217571411448811475112610164092',3800,'9998',59.16,1,3,NULL),(28,7049897,'1992-09-09 00:00:00',2,1,11,2009,'F','N','JARDIM CARANDAI','BIGUAÇU','SC','124241241215274431643332445124610166057',8895,'1197',55.59,1,3,NULL),(28,7049919,'1992-03-05 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124251241136372431333869595124610167042',5453,'574',58.53,1,2,1),(28,7049927,'1993-08-20 00:00:00',2,4,11,2010,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116161161315472431446933594324610164147',10178,'9998',45.67,1,3,NULL),(28,7049935,'1995-02-02 00:00:00',4,1,12,2012,'F','S','TARUMÃ','CURITIBA','PR','116162161217171731338833594122613234142',NULL,'9998',36.07,1,3,NULL),(28,7049951,'1993-09-16 00:00:00',4,1,10,2011,'M','N','JARDIM EUROPA','PIRACICABA','SP','125252251217111432478813397112610124082',1662,'9998',64.73,1,3,NULL),(28,7049960,'1993-07-08 00:00:00',2,1,12,2011,'F','N','PONTE DO IMAUIM','PALHOÇA','SC','124244247315371331534452575124610114175',19683,'9999',31.37,1,3,NULL),(28,7049978,'1987-05-28 00:00:00',4,1,12,2004,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124252251217141431469813445124343262042',16566,'9998',42.50,1,3,NULL),(28,7049986,'1991-02-14 00:00:00',4,6,12,2008,'M','N','FAZENDA','ITAJAÍ','SC','124212241136474411446619375125610167092',11,'395',84.53,4,3,NULL),(28,7050011,'1994-06-24 00:00:00',4,9,12,2011,'M','N','CENTRO','NOVA PRATA','RS','120201201117471431354833572122610132142',10703,'9998',45.07,1,2,1),(28,7050046,'1994-07-05 00:00:00',2,1,12,2011,'F','N','CENTRO','ÁGUAS MORNAS','SC','124243241126121431423521575124610113097',NULL,'12',11.67,1,3,NULL),(28,7050054,'1991-04-13 00:00:00',4,1,12,2010,'M','N','JARDIM EUCALIPTUS','PALHOÇA','SC','124241241135371531535314245124610127187',NULL,'591',20.34,1,2,1),(28,7050062,'1994-11-24 00:00:00',2,4,11,2011,'F','N','KOLLER','ERECHIM','RS','120202201215111211426619595115610134147',NULL,'9998',0.00,1,3,NULL),(28,7050100,'1995-05-17 00:00:00',2,6,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241415131431524923575121610133127',NULL,'1017',23.80,1,3,NULL),(28,7050119,'1992-04-28 00:00:00',4,8,10,2010,'F','N','BUCAREIN','JOINVILLE','SC','124242241245372451349923495122610121197',19730,'1016',30.87,1,3,NULL),(28,7050127,'1994-10-04 00:00:00',2,6,12,2011,'F','N','SÃO VICENTE','ITAJAÍ','SC','124241241117371432448314372124610124147',12112,'401',41.48,1,2,1),(28,7050143,'1992-03-09 00:00:00',2,1,12,2010,'F','N','SAÚDE','S PAULO','SP','125253251116371411446621275125610124051',15422,'9998',39.87,1,3,NULL),(28,7050151,'1994-03-09 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431327529575115610116072',17657,'269',39.87,1,3,NULL),(28,7050160,'1982-12-17 00:00:00',4,8,12,2000,'M','N','AGUA VERDE','CURITIBA','PR','116251251116571431248643435124341324097',1304,'9998',67.17,4,2,1),(28,7050178,'1991-03-27 00:00:00',2,8,12,2008,'F','N','VILA NOVA','JOINVILLE','SC','124074244416271431346419345124610127147',16175,'489',43.38,1,3,NULL),(28,7050194,'1995-07-03 00:00:00',2,5,11,2011,'F','N','SANGA DO COQUEIRO','FORQUILHINHA','SC','124242241215111431348833575122610134142',17380,'880',40.59,1,3,NULL),(28,7050208,'1994-11-21 00:00:00',2,1,12,2011,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242241216131731426613435124610112187',17402,'1075',31.51,4,3,NULL),(28,7050216,'1986-02-22 00:00:00',4,16,12,2003,'F','N','COPACABANA','RIO JANEIRO','RJ','121242161216372451148439491121433264117',NULL,'9998',0.00,1,3,NULL),(28,7050232,'1991-02-19 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431479814482122120827045',2196,'270',69.20,1,3,NULL),(28,7050267,'1991-12-23 00:00:00',2,4,12,2008,'M','N','CAMBUÍ','CAMPINAS','SP','125251251216571431437832574124610162067',2487,'9998',63.67,1,3,NULL),(28,7050275,'1994-04-12 00:00:00',2,4,11,2011,'M','N','CENTRO','XANXERÊ','SC','124242241216111231446632572122613267052',6625,'836',49.04,1,3,NULL),(28,7050283,'1992-10-10 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124142141217471411469632575124610167042',7976,'9998',51.80,4,3,NULL),(28,7050291,'1995-09-10 00:00:00',4,2,12,2012,'F','S','GARCIA','BLUMENAU','SC','124242241215371331358632572122610138092',NULL,'87',23.37,4,3,NULL),(28,7050305,'1994-04-07 00:00:00',2,10,12,2011,'F','N','VILA MOEMA','TUBARÃO','SC','124242241214271431238711276112610164192',10925,'797',50.43,1,3,NULL),(28,7050313,'1992-07-09 00:00:00',2,1,11,2009,'F','N','CASA BRANCA','STO ANDRÉ','SP','125253251216371431523434575112610167037',NULL,'9998',0.00,1,3,NULL),(28,7050321,'1993-12-18 00:00:00',4,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','116242241215372431549914575114143244142',9750,'154',54.14,1,3,NULL),(28,7050356,'1993-09-14 00:00:00',4,2,11,2010,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241215271431459613375124133223192',NULL,'855',31.55,1,3,NULL),(28,7050372,'1992-08-23 00:00:00',4,1,11,2009,'F','N','CANTO','FLORIANÓPOLIS','SC','124242241215472411323812571114610162177',10952,'723',52.19,2,3,NULL),(28,7050380,'1994-10-17 00:00:00',4,4,11,2011,'F','N','CENTRO','CHAPECÓ','SC','124242241215151421338832575122610164142',18862,'185',35.83,1,3,NULL),(28,7050399,'1994-07-06 00:00:00',2,5,12,2011,'M','N','CENTRO','MRO FUMAÇA','SC','124244241217111412448831375132610168092',16778,'210',42.03,1,3,NULL),(28,7050410,'1995-06-05 00:00:00',4,1,12,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216111731459813575124610163117',13152,'1050',48.77,4,3,NULL),(28,7050429,'1992-07-24 00:00:00',4,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241416132431356614585124231444012',15588,'1011',38.03,1,3,NULL),(28,7050437,'1994-09-25 00:00:00',4,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215411431469713575124610122077',11331,'270',45.73,1,3,NULL),(28,7050445,'1994-03-01 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124241241217111431451823242124610122057',2648,'1022',62.90,1,3,NULL),(28,7050453,'1993-05-29 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472751359613592122610124182',3256,'797',61.68,1,3,NULL),(28,7050461,'1994-10-25 00:00:00',2,15,12,2011,'F','N','CENTRO','JACINTO MACHADO','SC','124241241115161731326834595122610124092',NULL,'420',21.42,1,3,NULL),(28,7050470,'1990-06-13 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127111431326624345124610122152',NULL,'277',10.17,1,2,1),(28,7050488,'1994-10-13 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211131411348811141334610166173',7619,'270',57.77,1,3,NULL),(28,7050496,'1994-08-29 00:00:00',4,6,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124091241117271451428614572124610125052',11937,'49',40.93,1,2,1),(28,7050500,'1992-10-22 00:00:00',4,4,12,2010,'F','N','CIDADE VARGAS','S PAULO','SP','125252251216472431378824575112610126182',12411,'9998',49.93,1,3,NULL),(28,7050518,'1994-06-21 00:00:00',4,1,12,2011,'F','N','LEÔNIDAS MOREIRA','S PAULO','SP','125251251147271751533719575124610137042',17118,'9998',30.92,1,2,1),(28,7050526,'1994-11-27 00:00:00',4,1,1,2012,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241248125131411525314242124610128052',17586,'283',31.10,1,2,1),(28,7050534,'1993-04-14 00:00:00',4,24,12,2011,'M','N','CENTRO','SALETE','SC','124241241135162431438721245122610117171',NULL,'680',19.03,1,2,1),(28,7050542,'1994-08-29 00:00:00',4,2,12,2011,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241215111431389912475122610162192',9562,'909',45.22,1,3,NULL),(28,7050569,'1993-05-11 00:00:00',4,1,12,2010,'M','N','AGUAS CLARAS','TAGUATINGA','DF','107072071215471511589933575122610167012',8144,'9998',56.89,3,3,NULL),(28,7050577,'1994-04-11 00:00:00',2,4,12,2011,'F','N','INTERIOR','S JOÃO OESTE','SC','124241241116161331554432572122610167057',14615,'1115',35.96,1,3,NULL),(28,7050593,'1963-09-02 00:00:00',2,15,12,1981,'M','N','PRAIA DA META','BAL ARROIO SILVA','SC','624243246236142731234343435134322322172',15202,'230',45.22,1,3,NULL),(28,7050607,'1994-05-20 00:00:00',4,1,12,2011,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124242241215121431687712595122610127065',17423,'884',40.48,1,3,NULL),(28,7050615,'1994-12-19 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241415111131458713575124610127052',11182,'724',45.36,4,3,NULL),(28,7050623,'1994-08-11 00:00:00',4,1,12,2011,'M','N','AREIAS','S JOSÉ','SC','124242241212271431546519575125610127042',17632,'1078',30.61,1,3,NULL),(28,7050631,'1994-08-04 00:00:00',4,1,12,2011,'M','N','FLORESTA','S JOSÉ','SC','124242241217111431326678575112610137052',14764,'1078',36.88,1,3,NULL),(28,7050658,'1992-03-07 00:00:00',4,1,10,2010,'M','N','COLINAS','S JOSÉ CAMPOS','SP','125113251216411731483532571122610167043',NULL,'9998',21.11,1,3,NULL),(28,7050666,'1994-03-10 00:00:00',6,1,12,2011,'F','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241115312732466513295124610115142',NULL,'772',25.08,1,2,1),(28,7050674,'1994-05-29 00:00:00',4,1,11,2011,'M','N','MOEMA','S PAULO','SP','125262251137111431369913575112610167042',644,'9998',70.74,1,3,NULL),(28,7050682,'1994-01-13 00:00:00',2,1,11,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241217122431568852572124610123142',6472,'270',54.68,1,3,NULL),(28,7050690,'1994-07-19 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241115371231438611572124610128072',14469,'739',38.00,1,3,NULL),(28,7050704,'1993-09-01 00:00:00',4,3,11,2010,'M','N','SÃO DIMAS','PIRACICABA','SP','125252251217471531488811575112610144052',4548,'9998',56.11,1,3,NULL),(28,7050712,'1988-12-06 00:00:00',3,1,12,2006,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241211122431448923275124610164143',NULL,'1022',0.00,1,3,NULL),(28,7050720,'1994-02-11 00:00:00',4,1,11,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241415121431578719495112610117082',3270,'270',61.13,1,3,NULL),(28,7050739,'1994-04-13 00:00:00',4,8,12,2011,'M','N','ATIRADORES','JOINVILLE','SC','124242241215111412478914575112610141192',NULL,'457',0.00,1,3,NULL),(28,7050747,'1992-07-15 00:00:00',4,8,12,2009,'F','N','AYMORÉ','ARAPONGAS','PR','116162161216571431546816572122610143097',NULL,'9998',0.00,1,3,NULL),(28,7050780,'1995-01-11 00:00:00',4,1,11,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215371431445612575114610134197',9481,'1022',48.42,1,3,NULL),(28,7050801,'1995-07-25 00:00:00',4,1,12,2012,'M','S','FORQUILHAS','S JOSÉ','SC','124241241436111731536631571114610167045',NULL,'1022',44.83,1,3,NULL),(28,7050810,'1994-10-24 00:00:00',4,4,12,2011,'F','N','SANTA MARIA','CHAPECÓ','SC','124241241132141411334421245124610136177',17709,'176',39.71,1,2,1),(28,7050828,'1994-11-23 00:00:00',4,1,11,2011,'F','N','ALTO BIGUAÇU','BIGUAÇU','SC','124242241212111431536912575124610165077',2777,'270',63.12,1,3,NULL),(28,7050836,'1994-11-11 00:00:00',2,10,12,2011,'F','N','MAR GROSSO','LAGUNA','SC','124242241215111431447923575112610132192',11722,'525',41.10,1,3,NULL),(28,7050844,'1991-09-25 00:00:00',4,4,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201241116575431443831572224610137057',1537,'295',65.76,1,2,1),(28,7050852,'1994-03-15 00:00:00',4,1,11,2011,'M','N','GRANJA VIANA','COTIA','SP','125252251216111431368821575122610117182',16402,'9998',31.57,1,3,NULL),(28,7050860,'1994-05-23 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215112431446413575122610117057',3772,'738',59.39,1,3,NULL),(28,7050879,'1994-11-01 00:00:00',4,1,12,2011,'M','N','RECREIO DOS CAFEZAIS','VALINHOS','SP','125252251216111431389914585122610146127',695,'9998',70.99,1,3,NULL),(28,7050887,'1991-04-03 00:00:00',4,1,12,2009,'M','N','JARDIM CIDADE DE FLO','S JOSÉ','SC','124242241215373431479823475122133261182',5422,'270',51.94,1,3,NULL),(28,7050895,'1992-11-15 00:00:00',4,2,12,2010,'M','N','COLONINHA','GASPAR','SC','124242241215371411468833575114130666196',5249,'909',61.94,1,3,NULL),(28,7050909,'1994-10-03 00:00:00',4,1,12,2011,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241217112432448834572122610136092',4747,'63',56.10,1,3,NULL),(28,7050917,'1995-02-22 00:00:00',2,8,12,2011,'F','N','UBATUBA','S FRANCISCO SUL','SC','124242241215271411359914596125610141185',2428,'459',64.20,1,3,NULL),(28,7050925,'1993-07-14 00:00:00',4,4,12,2009,'F','N','ZONA RURAL','IRACEMINHA','SC','120241241116573411323635575114610124147',4318,'377',56.30,1,2,1),(28,7050933,'1994-12-29 00:00:00',4,8,12,2011,'F','N','CENTRO','ARAPONGAS','PR','116162161216111431338831575122610142187',9450,'9998',46.95,1,3,NULL),(28,7050941,'1990-12-07 00:00:00',2,1,12,2008,'F','N','SANTA MENA','GUARULHOS','SP','125252251216572431338914571124610167097',1884,'9998',65.81,4,3,NULL),(28,7050950,'1993-08-25 00:00:00',2,17,12,2010,'M','N','ZONA RURAL','MAJ VIEIRA','SC','124241242116111431323315451122610127142',NULL,'143',25.21,1,3,NULL),(28,7050968,'1987-04-18 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201117141421433629295114610136147',NULL,'9998',24.07,1,2,1),(28,7050984,'1993-08-25 00:00:00',4,1,12,2011,'F','N','CENTRO','CARMO CACHOEIRA','MG','113133131216111431533831475122610138057',NULL,'9998',0.00,1,3,NULL),(28,7050992,'1995-03-15 00:00:00',4,1,12,2011,'F','N','FAZENDO DO MAX','S JOSÉ','SC','124243241416111431346674575124610163093',17432,'1022',29.61,1,3,NULL),(28,7051000,'1994-09-23 00:00:00',2,1,12,2011,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241117371431436634572124610128147',12434,'307',49.90,1,2,1),(28,7051018,'1990-05-06 00:00:00',2,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124241241215272431436734285124230222117',5036,'737',56.09,1,3,NULL),(28,7051026,'1993-04-05 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241217472451258632574122610134092',9570,'270',54.42,1,3,NULL),(28,7051034,'1994-09-09 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241415111531578812572122610164073',NULL,'270',0.00,1,3,NULL),(28,7051050,'1990-05-28 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','624203208312131431319854572224610131087',NULL,'9998',0.00,2,1,2),(28,7051069,'1994-03-01 00:00:00',4,15,1,2012,'M','N','LAGOÃO','ARARANGUÁ','SC','124241241115151421324419395125610124052',15238,'30',35.77,1,2,1),(28,7051077,'1994-12-11 00:00:00',2,2,11,2012,'F','S','CENTRO','BLUMENAU','SC','124243241215111432586632272124610122092',NULL,'88',0.00,1,3,NULL),(28,7051093,'1994-02-15 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431479914572122610117117',941,'262',70.89,1,3,NULL),(28,7051107,'1995-03-20 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431388931575122610147042',NULL,'262',39.05,1,3,NULL),(28,7051115,'1994-01-21 00:00:00',4,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111411427624275124610156142',7130,'723',51.49,1,3,NULL),(28,7051123,'1993-01-18 00:00:00',4,1,12,2010,'F','N','ZONA SUL','IA SOLTEIRA','SP','125252251217471431379933575114610123112',7480,'9998',51.37,4,3,NULL),(28,7051131,'1992-04-29 00:00:00',4,1,12,2009,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124242241215573431546612572124610132192',7318,'273',51.03,1,3,NULL),(28,7051140,'1992-01-06 00:00:00',2,24,12,2009,'M','N','JARDIM AMÉRICA','ITUPORANGA','SC','124241241116131431334315445123132322172',10732,'416',45.96,1,2,1),(28,7051158,'1995-08-17 00:00:00',2,15,12,2012,'F','S','CENTRO','ERMO','SC','124243248215111731458911575122610162142',NULL,'813',39.33,1,3,NULL),(28,7051174,'1993-04-07 00:00:00',2,4,12,2010,'F','N','MERCÊS','CURITIBA','PR','116243161215472431555335575115610168057',7802,'9998',48.67,1,3,NULL),(28,7051182,'1994-01-15 00:00:00',4,1,11,2011,'F','N','CENTRO','CAÇADOR','SC','124242241211161411569613572122610167142',9376,'1124',46.98,1,3,NULL),(28,7051190,'1994-07-30 00:00:00',4,23,12,2011,'M','N','SÃO LUIS','JARAGUÁ SUL','SC','124241241215111331468814575112610134147',NULL,'1061',23.24,1,3,NULL),(28,7051204,'1994-03-25 00:00:00',4,1,11,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215121431489931575114610136111',1866,'270',63.16,1,3,NULL),(28,7051212,'1992-02-25 00:00:00',2,1,12,2009,'F','N','CORRÉGO GRANDE','FLORIANÓPOLIS','SC','124241241142131331223641412123610134052',NULL,'687',10.04,1,3,NULL),(28,7051220,'1993-03-15 00:00:00',4,1,11,2010,'F','N','CENTRO','ERECHIM','RS','120204201235471431549412425122610163183',NULL,'9998',28.77,1,3,NULL),(28,7051239,'1994-06-02 00:00:00',4,1,11,2011,'M','N','CENTRO','ASSIS','SP','125253251217131221448934175115610164054',7141,'9998',51.85,1,3,NULL),(28,7051247,'1993-03-09 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241211117131731422631585124610164047',NULL,'9998',25.16,1,2,1),(28,7051255,'1994-07-26 00:00:00',4,6,12,2011,'M','N','CENTRO','ITAJAÍ','SC','124242241217131431387811345121610137062',NULL,'392',19.54,1,3,NULL),(28,7051263,'1993-04-07 00:00:00',4,1,12,2010,'F','N','CENTRO','PIRACICABA','SP','125252251217471441448832575122610131142',172,'9998',78.25,1,3,NULL),(28,7051271,'1990-08-18 00:00:00',2,16,12,2010,'F','N','JARDIM BELA VISTA','CAMPOS NOVOS','SC','124241241125131732323649295335610116147',NULL,'140',8.71,4,3,NULL),(28,7051301,'1991-11-01 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216274411489932325125221424012',1508,'154',65.74,1,3,NULL),(28,7051310,'1993-10-22 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','624224241216472431566812575124610134192',3361,'1022',62.21,4,3,NULL),(28,7051328,'1994-12-22 00:00:00',4,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241335132421539614245124610136092',12755,'1118',39.96,3,3,NULL),(28,7051336,'1992-12-08 00:00:00',4,1,12,2010,'M','N','CAMBUI','CAMPINAS','SP','125252251217271431268923572112610167053',325,'9998',73.07,1,3,NULL),(28,7051344,'1994-03-31 00:00:00',4,8,12,2011,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241216271431455812575122610122122',10885,'457',45.32,1,3,NULL),(28,7051352,'1994-03-07 00:00:00',4,1,10,2011,'F','N','JD ALTOS DO ESPLANAD','S JOSÉ CAMPOS','SP','125252251215111431478824576112610114072',4568,'9998',57.26,1,3,NULL),(28,7051360,'1992-04-06 00:00:00',4,1,12,2009,'M','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124242241215133231356629475124221417045',3253,'1022',59.05,1,3,NULL),(28,7051379,'1995-02-05 00:00:00',4,1,11,2011,'M','N','CENTRO','TANGARÁ SERRA','MT','111111111215111411446811475124610138177',8491,'9998',47.63,1,3,NULL),(28,7051395,'1994-09-19 00:00:00',2,15,12,2011,'M','N','JARDIM ITÁLIA','MELEIRO','SC','124244241215371431458912575124610127057',11322,'970',47.16,1,3,NULL),(28,7051417,'1994-04-15 00:00:00',2,4,12,2011,'M','N','LINHA SÃO LUIS','IPIRA','SC','124241242116221411323315575222610157142',NULL,'196',26.15,1,2,1),(28,7051425,'1994-03-27 00:00:00',4,4,12,2011,'F','N','INTERIOR','PINHALZINHO','SC','124241241116151431533316345122610144052',NULL,'572',20.59,1,2,1),(28,7051441,'1994-06-14 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115232231543514245114610122142',NULL,'592',0.00,1,2,1),(28,7051468,'1990-07-26 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116154431326679345114120564143',18013,'288',38.87,1,2,1),(28,7051476,'1993-10-31 00:00:00',4,5,12,2010,'F','N','LOMBA','ORLEANS','SC','124242241216372431549832275122610114193',12921,'950',44.64,1,3,NULL),(28,7051506,'1993-08-17 00:00:00',2,1,12,2011,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241248115131731528329396124610114142',19888,'592',29.45,1,2,1),(28,7051522,'1981-07-30 00:00:00',2,4,12,2000,'M','N','JOÃO WINCKLER','XANXERÊ','SC','124161161146132411133643135331610124097',NULL,'9998',32.54,1,2,1),(28,7051530,'1992-06-19 00:00:00',4,1,12,2009,'M','N','AGRONOMIA','PTO ALEGRE','RS','120201201116251111338912475124241916172',16784,'9998',42.02,1,2,1),(28,7051549,'1991-02-16 00:00:00',4,1,11,2008,'M','N','KOBRASOL','S JOSÉ','SC','124243241235574431368611575122221434142',4018,'723',58.80,1,3,NULL),(28,7051557,'1993-11-20 00:00:00',4,1,11,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241215111431427611575114610114047',11188,'1022',44.41,1,3,NULL),(28,7051573,'1987-04-27 00:00:00',6,1,6,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116114512316621435124630117091',NULL,'306',26.36,2,1,1),(28,7051581,'1993-08-12 00:00:00',4,8,12,2011,'M','N','VILA NOVA','JOINVILLE','SC','124241241215111411438614295122610124052',409,'1063',73.56,1,3,NULL),(28,7051590,'1979-09-12 00:00:00',2,1,12,2004,'F','N','TAPERA','FLORIANÓPOLIS','SC','124243241127475411223344345124222264143',14843,'281',37.48,1,3,NULL),(28,7051603,'1995-02-15 00:00:00',4,26,11,2011,'F','N','ITAIBA','CONCÓRDIA','SC','124243241215111431336554571122610164142',9886,'1000',53.91,1,3,NULL),(28,7051611,'1992-08-18 00:00:00',2,1,8,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242247436372431426634575124610164042',18057,'9999',38.71,1,3,NULL),(28,7051620,'1993-05-02 00:00:00',2,1,12,2011,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091214111731446712172345610168047',11557,'9998',42.92,4,3,NULL),(28,7051638,'1993-04-06 00:00:00',4,1,11,2010,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215472411356813175114131066182',1446,'273',66.18,1,3,NULL),(28,7051662,'1965-10-21 00:00:00',4,1,12,1984,'F','N','AMBROSIO','GAROPABA','SC','524201208326131221633443232224233218047',NULL,'9998',25.70,4,3,NULL),(28,7051670,'1994-09-15 00:00:00',2,5,11,2011,'F','N','CEARA','CRICIÚMA','SC','124241241345221431426734275222610124032',15120,'210',35.15,1,3,NULL),(28,7051689,'1994-02-21 00:00:00',4,1,11,2011,'F','N','VILA ADYANNA','S JOSÉ CAMPOS','SP','125252251215111431468811475122610166173',10668,'9998',52.65,1,3,NULL),(28,7051697,'1994-05-11 00:00:00',2,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215121431647934575124610124043',5601,'1197',53.46,1,3,NULL),(28,7051727,'1994-05-30 00:00:00',2,1,10,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111431226924572124610133182',2452,'1197',61.75,1,3,NULL),(28,7051735,'1993-12-19 00:00:00',4,1,11,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217411431579911575122610124122',3403,'270',60.93,1,3,NULL),(28,7051751,'1994-08-15 00:00:00',4,1,12,2011,'M','N','CENTRO','JUNQUEIRÓPOLIS','SP','125252251215111131338734585312610137042',NULL,'9998',23.48,1,3,NULL),(28,7051778,'1994-04-30 00:00:00',4,1,12,2011,'M','N','PARQUE DOS PÁSSAROS','S BERNARDO CAMPO','SP','125252251417161431468912571112610167117',8760,'9998',55.84,1,3,NULL),(28,7051786,'1995-04-10 00:00:00',4,1,12,2011,'F','N','FLORESTA','S JOSÉ','SC','124244241217131432346824476125610134097',19131,'724',34.73,1,3,NULL),(28,7051808,'1994-01-17 00:00:00',4,1,12,2010,'M','N','VL TODOS OS SANTOS','INDAIATUBA','SP','125252251217471431377822575122610167057',NULL,'9998',29.18,1,3,NULL),(28,7051816,'1992-05-29 00:00:00',4,1,12,2010,'M','N','ANCHIETA','RIO JANEIRO','RJ','121214211317131411346811315224241744182',6217,'9998',56.03,1,3,NULL),(28,7051824,'1987-03-25 00:00:00',4,8,12,2004,'M','N','FLORESTA','JOINVILLE','SC','224242241232471431228754485122333262187',6768,'494',52.95,1,3,NULL),(28,7051832,'1994-02-05 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431338914585122610141072',12456,'1022',41.33,1,3,NULL),(28,7051859,'1993-08-21 00:00:00',4,8,11,2011,'M','N','GLORIA','JOINVILLE','SC','124242241215371431469912595122610137052',16431,'1063',42.82,1,3,NULL),(28,7051867,'1994-07-07 00:00:00',4,8,11,2011,'F','N','SAGUAÇÚ','JOINVILLE','SC','124242241215111431547924575124610167142',13378,'461',37.63,1,3,NULL),(28,7051875,'1994-01-15 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115271411436614575124610147147',NULL,'257',16.60,4,2,1),(28,7051883,'1994-03-25 00:00:00',4,8,12,2011,'F','N','BROTAS','PIRAÍ SUL','PR','116162161215421431468815475125610148092',1533,'9998',67.24,1,3,NULL),(28,7051891,'1994-04-28 00:00:00',4,6,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216131731326531375124610166072',10320,'44',46.45,4,3,NULL),(28,7051905,'1994-05-28 00:00:00',4,3,11,2011,'F','N','CASTELO BRANCO','ITAPEMA','SC','124242241215112431363763595122610146052',9847,'1038',45.10,1,3,NULL),(28,7051913,'1993-04-18 00:00:00',2,5,6,2011,'F','N','RAICHASKI','IÇARA','SC','124243246316131431327923185114610168117',NULL,'995',22.62,1,3,NULL),(28,7051921,'1993-06-21 00:00:00',4,3,12,2010,'F','N','BIGORRILHO','CURITIBA','PR','116162161215471431489831571112610123142',NULL,'9998',0.00,1,3,NULL),(28,7051930,'1995-02-19 00:00:00',4,1,11,2011,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241215111431446914574122610121042',8570,'1011',48.10,1,3,NULL),(28,7051948,'1992-03-24 00:00:00',1,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124241247346131431326619372122610167087',NULL,'1126',12.75,1,3,NULL),(28,7051956,'1994-07-02 00:00:00',4,9,12,2011,'F','N','CENTRO','VACARIA','RS','120201201117271431245923485122610128097',NULL,'9998',0.00,1,2,1),(28,7051964,'1994-11-27 00:00:00',2,1,11,2011,'M','N','INGLESES SANTINHO','FLORIANÓPOLIS','SC','124242241215131431538934575124610162042',NULL,'1169',20.51,1,3,NULL),(28,7051972,'1993-11-01 00:00:00',4,1,11,2011,'M','N','CHAMONIX I','ITATIBA','SP','125252251216121431368832574122610132142',4696,'9998',57.22,1,3,NULL),(28,7051999,'1991-11-18 00:00:00',2,1,12,2008,'F','N','MONT SERRAT','PTO ALEGRE','RS','120204201416272431446411375124242062047',NULL,'9998',0.00,1,3,NULL),(28,7052006,'1990-04-07 00:00:00',4,15,12,2006,'M','N','CENTRO','BAL ARROIO SILVA','SC','124241241236142421123642225132330252185',10955,'32',52.19,1,3,NULL),(28,7052014,'1988-09-28 00:00:00',2,16,12,2009,'M','N','GRUTA','LEBON RÉGIS','SC','124241248126171231522236275344233167182',NULL,'532',32.60,2,2,1),(28,7052049,'1995-02-26 00:00:00',4,1,12,2011,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124072241215111151449713495124610117147',NULL,'270',0.00,1,3,NULL),(28,7052065,'1994-07-13 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431448812475124610122092',8192,'270',50.06,1,3,NULL),(28,7052073,'1994-06-02 00:00:00',2,1,12,2011,'M','N','FLORESTA','S JOSÉ','SC','124241241116141631423631241124610135052',18335,'729',29.41,1,3,NULL),(28,7052081,'1993-12-13 00:00:00',2,1,12,2010,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241112151441625511182124610166083',NULL,'361',33.77,1,3,NULL),(28,7052090,'1994-01-06 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111411469923572112610124195',NULL,'262',0.00,1,3,NULL),(28,7052103,'1994-03-08 00:00:00',2,1,12,2011,'M','N','IPIRANGA','S JOSÉ','SC','124242241215111421456911395124610167042',8876,'738',55.63,1,3,NULL),(28,7052111,'1988-08-27 00:00:00',4,1,11,2006,'F','N','STO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC','124243241316113221568934572122221561092',NULL,'270',0.00,1,3,NULL),(28,7052120,'1992-09-06 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241215372431233823575124233217181',12196,'1022',43.06,1,3,NULL),(28,7052138,'1993-06-14 00:00:00',2,15,12,2011,'M','N','JARDIM ITÁLIA','MELEIRO','SC','124244241437161531458912575122610127112',NULL,'559',27.80,1,3,NULL),(28,7052154,'1994-06-23 00:00:00',4,5,12,2011,'M','N','RIO FERREIRA','TREVISO','SC','124244246215111431458833595124610162182',9690,'995',54.23,1,3,NULL),(28,7052162,'1995-01-14 00:00:00',4,1,10,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431434812585124610145097',10880,'1197',40.98,1,3,NULL),(28,7052170,'1994-04-10 00:00:00',4,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124241241111131431326724245134610134152',NULL,'734',33.92,1,2,1),(28,7052189,'1990-12-07 00:00:00',4,8,12,2007,'F','N','JARDIM PAULISTA','S PAULO','SP','125242241211571441489812471122610123181',178,'494',79.52,1,3,NULL),(28,7052197,'1991-07-16 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117474431526613371124610131092',NULL,'281',33.95,1,2,1),(28,7052219,'1993-05-03 00:00:00',2,1,12,2010,'F','N','ROÇADO','S JOSÉ','SC','124242241215372431338514575114610124192',11835,'723',45.19,1,3,NULL),(28,7052227,'1993-05-30 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124251241126131411233373285124610165172',NULL,'1088',17.63,1,3,NULL),(28,7052243,'1993-07-22 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','120202201217371441359911595124610166172',NULL,'9998',0.00,1,3,NULL),(28,7052251,'1995-01-09 00:00:00',2,1,12,2011,'F','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124241241215111231325411575122610123147',NULL,'1040',28.85,1,3,NULL),(28,7052260,'1996-05-26 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431378622575114610166112',9588,'270',46.52,1,3,NULL),(28,7052278,'1990-12-08 00:00:00',4,1,8,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243281117473451237774475125122233183',2269,'9998',63.27,1,3,NULL),(28,7052286,'1995-06-03 00:00:00',4,6,11,2012,'M','S','SÃO JOÃO','ITAJAÍ','SC','124242241217111231446912575121610167072',NULL,'402',36.86,1,3,NULL),(28,7052294,'1991-09-23 00:00:00',2,1,12,2008,'F','N','HIGIENÓPOLIS','S PAULO','SP','126072071216571431469933575122610135022',3931,'9998',56.15,1,3,NULL),(28,7052308,'1993-03-20 00:00:00',2,1,12,2011,'M','N','CENTRO','S JOSÉ R PRETO','SP','125251251117471331435612372121610167051',19701,'9998',31.16,1,2,1),(28,7052316,'1992-03-13 00:00:00',4,1,11,2009,'M','N','VILA REZENDE','GOIÂNIA','GO','109092091316571411533511575121610132177',NULL,'9998',0.00,1,3,NULL),(28,7052324,'1992-04-26 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241216373431488933575112121463192',264,'213',74.26,1,3,NULL),(28,7052332,'1994-06-26 00:00:00',4,15,12,2011,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241215122431468833575122610122141',1628,'970',65.34,1,3,NULL),(28,7052340,'1995-06-13 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111731278833496124610165122',10649,'1050',52.67,1,3,NULL),(28,7052367,'1993-05-24 00:00:00',2,8,11,2010,'F','N','GUANABARA','JOINVILLE','SC','124241241215471431436534575114610147072',15756,'1016',36.19,1,3,NULL),(28,7052391,'1992-03-14 00:00:00',4,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116112161214574431549913571124610131052',474,'9998',75.46,1,3,NULL),(28,7052405,'1993-04-13 00:00:00',4,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215472731488912572112610166142',5188,'262',57.54,1,3,NULL),(28,7052421,'1994-05-05 00:00:00',2,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215131531243821575122610117087',NULL,'724',20.14,1,3,NULL),(28,7052430,'1993-08-23 00:00:00',4,8,11,2011,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215111211347821575122610163197',9846,'457',46.40,1,3,NULL),(28,7052448,'1990-01-11 00:00:00',4,1,12,2006,'M','N','CENTRO','PALHOÇA','SC','124242241216272441454832475124120734095',822,'1011',74.22,1,3,NULL),(28,7052456,'1994-01-18 00:00:00',4,1,12,2011,'M','N','PINHEIROS','S PAULO','SP','125252251217151431489914575124610124042',NULL,'9998',40.27,1,3,NULL),(28,7052464,'1994-06-26 00:00:00',4,2,11,2011,'F','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124244241217131731445919575122610117012',6540,'71',51.95,1,3,NULL),(28,7052480,'1992-08-13 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126133431123331295124221824057',8790,'332',51.51,1,2,1),(28,7052499,'1994-02-28 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215271731356933372124610167182',14217,'1022',47.07,1,3,NULL),(28,7052510,'1993-10-13 00:00:00',4,1,12,2010,'M','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125252251216471431466914345124610112042',9515,'9998',48.63,1,3,NULL),(28,7052529,'1994-02-03 00:00:00',2,23,10,2011,'F','N','VILA NOVA','JARAGUÁ SUL','SC','124242241215112431469914595122610134142',3971,'1063',58.87,1,3,NULL),(28,7052545,'1994-06-06 00:00:00',4,1,11,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217112431468812574122610127142',7846,'270',50.83,1,3,NULL),(28,7052553,'1993-03-12 00:00:00',4,15,12,2010,'M','N','ZONA NOVA','CAPÃO CANOA','RS','120201201116151431445633275121610137077',13714,'9998',47.86,1,2,1),(28,7052561,'1994-03-07 00:00:00',4,1,11,2011,'M','N','JARDIM MESQUIETA','JACAREÍ','SP','125252251215111431358612241112610167052',5886,'9998',53.87,1,3,NULL),(28,7052570,'1995-04-11 00:00:00',1,2,12,2012,'F','S','TESTO CENTRAL','POMERODE','SC','124241241214111521633614271124610124072',NULL,'624',30.04,1,3,NULL),(28,7052596,'1993-06-18 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215472431487712575124610124042',8216,'737',56.76,1,3,NULL),(28,7052600,'1993-03-11 00:00:00',4,4,12,2009,'F','N','CENTRO','GALVÃO','SC','124241241116574421336915595124610133147',4727,'321',54.20,1,2,1),(28,7052618,'1994-04-16 00:00:00',2,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124244241115111431569913445124610127141',9880,'271',45.88,1,3,NULL),(28,7052626,'1995-08-09 00:00:00',2,1,12,2012,'F','S','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241215151731523539275124610166147',NULL,'1048',21.07,1,3,NULL),(28,7052634,'1991-10-10 00:00:00',4,1,11,2008,'F','N','VILA MARIANA','S PAULO','SP','125252251216573431458933575122610164047',3979,'9998',56.97,1,3,NULL),(28,7052642,'1994-02-22 00:00:00',4,1,10,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','116244161217471431428512372224610138047',4046,'9998',64.39,1,3,NULL),(28,7052650,'1993-08-06 00:00:00',2,1,12,2011,'M','N','CARMO','SETE LAGOAS','MG','113132131217151432336624472124610137044',12217,'9998',41.67,2,3,NULL),(28,7052685,'1994-09-18 00:00:00',2,17,12,2011,'M','N','CENTRO','MAJ VIEIRA','SC','124241248216111731336652575122610128052',15882,'973',35.72,1,3,NULL),(28,7052693,'1992-05-23 00:00:00',2,1,12,2008,'F','N','CENTRO','BIGUAÇU','SC','124242241217372411446613442124610121072',5272,'63',56.26,1,3,NULL),(28,7052707,'1994-01-18 00:00:00',4,1,12,2011,'M','N','BOSQUE DA SAÚDE','CUIABÁ','MT','111112111235111431446612375112610167052',2112,'9998',63.21,1,3,NULL),(28,7052723,'1994-06-02 00:00:00',4,1,10,2011,'F','N','PARQUE VERDE','BELÉM','PA','114142141216471731387812575124610134122',NULL,'9998',0.00,1,3,NULL),(28,7052731,'1993-11-11 00:00:00',4,8,12,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215111431458933476122610164142',5981,'1016',51.83,1,3,NULL),(28,7052740,'1993-02-25 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124243241215472431469911475122610124182',6512,'1191',56.32,1,3,NULL),(28,7052766,'1993-08-05 00:00:00',4,1,12,2010,'F','N','CENTRO','PINDAMONHANGABA','SP','125252251215471331333923575112610162042',12569,'9998',49.68,1,3,NULL),(28,7052774,'1994-10-31 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241216111431335639592124613268045',8536,'1118',50.46,4,3,NULL),(28,7052790,'1994-09-16 00:00:00',4,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431338811575124610124012',4192,'270',63.49,1,3,NULL),(28,7052804,'1994-12-18 00:00:00',2,27,12,2011,'M','N','CENTRO','GUARUJÁ SUL','SC','116161162116131431623334276225610166097',NULL,'9998',0.00,1,2,1),(28,7052812,'1975-02-15 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','624241247122143431226444241124610146092',18926,'9999',35.57,4,1,1),(28,7052820,'1990-09-26 00:00:00',4,8,12,2007,'F','N','SAGUAÇÚ','JOINVILLE','SC','124242241216573711468614475122130732012',3466,'1063',64.10,1,3,NULL),(28,7052847,'1991-12-28 00:00:00',4,1,12,2010,'M','N','JARDIM DAS FLORES','OSASCO','SP','125252251211571611444824575125610142197',NULL,'9998',0.00,1,3,NULL),(28,7052855,'1993-10-22 00:00:00',2,6,11,2010,'F','N','CAMPO GRANDE','SANTOS','SP','125251251116471431323633575124610126147',NULL,'9998',24.69,4,2,1),(28,7052863,'1993-09-01 00:00:00',4,1,12,2010,'M','N','BAIRRO ITAMARACA','VALINHOS','SP','125252251215471231458914475122610122022',4792,'9998',55.23,1,3,NULL),(28,7052871,'1990-08-08 00:00:00',6,1,11,2009,'M','N','SEMINARIO','CURITIBA','PR','116162161216111431237921575124241237042',NULL,'9998',0.00,1,3,NULL),(28,7052880,'1994-09-20 00:00:00',2,1,12,2012,'M','S','IPIRANGA','S JOSÉ','SC','124242241216171132478414495122610167046',NULL,'738',22.05,1,3,NULL),(28,7052898,'1991-06-13 00:00:00',4,1,12,2009,'F','N','MORADA VERDE','CERES','GO','109092091217571751458831595122610167182',1268,'9998',66.21,1,3,NULL),(28,7052901,'1992-07-02 00:00:00',4,2,12,2009,'F','N','SANTO ANTONIO','S CAETANO SUL','SP','125252251617572431349812375122610162097',1389,'9998',67.31,1,3,NULL),(28,7052928,'1994-11-04 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117271731538614575124610113147',10929,'733',43.26,1,2,1),(28,7052936,'1990-07-25 00:00:00',4,1,11,2008,'F','N','SUMARÉ','S PAULO','SP','125252251414471731468831311114143266157',5584,'9998',55.45,1,3,NULL),(28,7052944,'1993-03-16 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472431479933575122610146182',3680,'883',63.36,1,3,NULL),(28,7052952,'1987-06-26 00:00:00',4,1,11,2005,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241231374732489814575122121467045',1016,'262',70.41,1,3,NULL),(28,7052960,'1994-05-04 00:00:00',4,1,12,2011,'M','N','SÃO JERÔNIMO','ORLEANS','SC','124241241136141431425519345224610127142',14683,'580',38.25,1,2,1),(28,7052979,'1979-04-21 00:00:00',4,1,12,1999,'F','N','ESTREITO','FLORIANÓPOLIS','SC','223243247247132421356959145124131368197',NULL,'1003',26.13,1,3,NULL),(28,7052987,'1992-10-30 00:00:00',4,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124253254117472431558911275122610162142',10910,'9998',43.53,1,3,NULL),(28,7052995,'1992-09-10 00:00:00',4,1,12,2010,'F','N','VILA ARENS','JUNDIAÍ','SP','125252251215411431238811575122610124143',5637,'9998',52.31,1,3,NULL),(28,7053010,'1993-04-27 00:00:00',4,2,12,2010,'F','N','RIO BRANCO','PTO ALEGRE','RS','120202201215471411459933575112610116077',284,'9998',74.00,1,3,NULL),(28,7053029,'1992-04-22 00:00:00',4,3,12,2009,'M','N','NOVA MARILIA','MARÍLIA','SP','125241251116231411524664345121610168017',16043,'9998',36.66,1,3,NULL),(28,7053045,'1992-12-01 00:00:00',2,1,12,2011,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124243246111131411326538185124610127053',8903,'306',47.68,1,3,NULL),(28,7053053,'1983-07-24 00:00:00',2,17,12,2000,'F','N','CRISTO REI','CURITIBA','PR','116241241116575431254453175124610124197',2241,'152',63.82,1,2,1),(28,7053061,'1992-05-07 00:00:00',4,1,12,2009,'F','N','ENGORDADOURO','JUNDIAÍ','SP','125252251216471431489914242112140848142',1665,'9998',66.81,1,3,NULL),(28,7053088,'1994-06-08 00:00:00',2,1,12,2011,'M','N','AREIAS','S JOSÉ','SC','124242241212141411528734572124610128052',14400,'1075',38.68,1,3,NULL),(28,7053096,'1994-10-10 00:00:00',4,23,12,2011,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241215111731448612292122610167142',19990,'441',28.23,1,3,NULL),(28,7053100,'1994-01-06 00:00:00',4,1,11,2011,'F','N','JD SÃO DIMAS','S JOSÉ CAMPOS','SP','125252251217111431438833575112610163182',10367,'9998',43.58,1,3,NULL),(28,7053118,'1994-11-21 00:00:00',4,9,12,2011,'M','N','UNIVERSITÁRIO','LAGES','SC','124241241136141431334614272124610134067',NULL,'498',25.96,1,3,NULL),(28,7053126,'1995-01-18 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111751486712575112610134147',15783,'262',44.13,1,3,NULL),(28,7053134,'1991-10-06 00:00:00',4,3,12,2009,'F','N','JARDIM REGINALICE','BARUERI','SP','125172251216131441556824585124140636142',16772,'9998',42.05,1,3,NULL),(28,7053142,'1993-05-20 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124251251116131231348714485125610167017',NULL,'9998',36.78,1,2,1),(28,7053150,'1994-04-06 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431459911575122610144092',6486,'226',51.55,1,3,NULL),(28,7053169,'1994-05-27 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116131431526923575124610128077',18967,'257',27.13,1,2,1),(28,7053177,'1994-11-04 00:00:00',4,1,11,2011,'M','N','CENTRO','CAXIAS SUL','RS','120243201217471431458639175125610168092',10815,'9998',42.16,1,3,NULL),(28,7053185,'1994-05-24 00:00:00',4,10,10,2011,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215111431666614575112610167042',5789,'807',55.80,1,3,NULL),(28,7053193,'1994-03-16 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212111431458924575122610152092',8623,'1168',50.35,1,3,NULL),(28,7053207,'1995-06-07 00:00:00',4,2,12,2012,'F','S','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111731359911472122610144142',NULL,'909',51.61,1,3,NULL),(28,7053223,'1995-11-25 00:00:00',3,1,11,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431458833575122610126197',15840,'262',44.00,1,3,NULL),(28,7053231,'1994-06-23 00:00:00',2,8,10,2011,'M','N','ÁGUA VERDE','CURITIBA','PR','616162161217121231478614575122610167111',19716,'9998',30.97,1,3,NULL),(28,7053240,'1994-06-14 00:00:00',4,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124242241215121431435634571124610127157',18861,'1078',27.84,1,3,NULL),(28,7053258,'1994-09-15 00:00:00',2,1,11,2011,'F','N','JARDIM AQUÁRIUS','PALHOÇA','SC','124241241112371431423311572124610127097',NULL,'591',22.35,1,2,1),(28,7053274,'1993-05-18 00:00:00',4,8,12,2010,'M','N','CENTRO','ARAPONGAS','PR','116164161116472411345923575114610117052',3476,'9998',61.24,1,3,NULL),(28,7053282,'1993-02-21 00:00:00',2,1,12,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241111132431436627172124610136171',14224,'1009',39.20,1,2,1),(28,7053290,'1984-05-11 00:00:00',2,1,7,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241247126135411426621285324610167183',12722,'9999',43.18,1,2,1),(28,7053312,'1995-05-30 00:00:00',4,2,12,2012,'F','S','DO SOL','INDAIAL','SC','123242241217111431568814576122610138182',NULL,'87',39.17,1,3,NULL),(28,7053320,'1994-12-03 00:00:00',4,1,12,2011,'M','N','VERGUEIRO','PASSO FUNDO','RS','120202201211151231558613572122610122042',13808,'9998',47.70,1,3,NULL),(28,7053339,'1991-12-20 00:00:00',4,1,12,2009,'F','N','CAPÃO RASO','CURITIBA','PR','116162161117572231455612591122610124187',17865,'9998',29.46,1,3,NULL),(28,7053347,'1991-09-25 00:00:00',2,23,12,2008,'F','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124241241216131431323631345124610128097',10105,'1061',53.55,1,3,NULL),(28,7053355,'1994-10-05 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124243241215113431353933572112610125127',8667,'738',49.98,1,3,NULL),(28,7053363,'1994-12-10 00:00:00',2,1,11,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217122431479933595112610167187',5256,'807',56.34,1,3,NULL),(28,7053371,'1968-10-18 00:00:00',3,1,7,1987,'M','N','KOBRASOL','S JOSÉ','SC','124241246116155721337873434124320266147',6384,'306',51.31,1,2,1),(28,7053380,'1994-06-10 00:00:00',4,4,12,2010,'F','N','ARI LUNARDI','XAXIM','SC','124243241211272431558913575122610124142',6506,'994',51.30,4,3,NULL),(28,7053401,'1993-06-26 00:00:00',4,5,12,2010,'F','N','SÃO SIMÃO','CRICIÚMA','SC','124243246217151431346619395122610132142',8356,'188',45.85,1,3,NULL),(28,7053410,'1994-01-29 00:00:00',2,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241117131431235579245124610124147',16660,'295',33.76,1,2,1),(28,7053436,'1994-06-23 00:00:00',4,3,12,2011,'F','N','CENTRO','CAMBORIÚ','SC','124244248214111431368813435122610133072',19351,'1045',33.59,1,3,NULL),(28,7053444,'1994-04-14 00:00:00',4,8,12,2011,'M','N','FLORESTA','JOINVILLE','SC','124242241215271731348924275124610124011',10544,'459',52.85,1,3,NULL),(28,7053452,'1993-07-09 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372431334873575112132814182',4267,'262',58.76,1,3,NULL),(28,7053460,'1993-07-16 00:00:00',2,1,12,2010,'M','N','MARIA GORETTI','CHAPECÓ','SC','116242241216472311354612575114610147052',NULL,'168',0.00,1,3,NULL),(28,7053487,'1995-10-18 00:00:00',2,10,11,2011,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215271731439934595122610123077',8588,'807',49.97,1,3,NULL),(28,7053495,'1994-07-11 00:00:00',4,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431569713472114610124181',6240,'270',54.72,1,3,NULL),(28,7053509,'1994-09-30 00:00:00',4,8,12,2011,'F','N','BOM RETIRO','JOINVILLE','SC','124243241212271411437634572124610124052',19007,'1006',35.30,1,3,NULL),(28,7053517,'1995-07-10 00:00:00',4,1,11,2011,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241216111711336612592124610114097',NULL,'1074',24.87,1,3,NULL),(28,7053525,'1994-06-17 00:00:00',4,1,12,2011,'F','N','JARDIM CALIFÓRNIA','RIBEIRÃO PRETO','SP','125252251216111431458819575112610166192',NULL,'9998',0.00,1,3,NULL),(28,7053533,'1994-03-24 00:00:00',4,2,11,2011,'F','N','RIO TIGRE','BENEDITO NOVO','SC','124243241215111431645832575124610127147',4542,'1157',55.91,1,3,NULL),(28,7053541,'1994-08-27 00:00:00',2,1,12,2011,'F','N','ESTREITO','S JOSÉ','SC','124242241215111431328614575122610141097',5669,'738',53.97,1,3,NULL),(28,7053550,'1969-08-15 00:00:00',4,1,1,1988,'M','N','PANTANAL','FLORIANÓPOLIS','SC','624202208141133431216454381124340214112',14937,'9998',45.74,1,3,NULL),(28,7053568,'1994-08-19 00:00:00',4,4,11,2011,'F','N','CENTRO','SINOP','MT','111111111216111531458611575122610126143',NULL,'9998',0.00,1,3,NULL),(28,7053576,'1993-02-24 00:00:00',4,22,12,2010,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241217372731447824245122610124187',NULL,'1090',0.00,1,3,NULL),(28,7053584,'1994-01-19 00:00:00',2,1,12,2011,'M','N','LISBOA','S JOSÉ','SC','124243241112131431224429575124610167047',NULL,'733',12.86,2,1,2),(28,7053592,'1995-09-01 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431687712575122610127142',14411,'1169',46.73,1,3,NULL),(28,7053606,'1995-05-07 00:00:00',4,1,12,2012,'F','S','ABRAÃO','FLORIANÓPOLIS','SC','124244241215111431446714572122610136072',NULL,'262',48.61,1,3,NULL),(28,7053614,'1993-03-12 00:00:00',4,24,11,2011,'F','N','SUMARÉ','RIO SUL','SC','124242248215111711348611575122610123017',NULL,'991',31.91,4,3,NULL),(28,7053622,'1994-07-02 00:00:00',2,1,11,2011,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215221431436611573224610168182',NULL,'1022',38.60,3,3,NULL),(28,7053630,'1994-04-28 00:00:00',4,1,11,2011,'F','N','JARDINS MILÃO','GOIÂNIA','GO','109092091215111431488814572112610164187',NULL,'9998',0.00,4,3,NULL),(28,7053649,'1994-01-26 00:00:00',4,1,11,2011,'M','N','CENTRO','PIRACICABA','SP','125252251215111431359921475125610136102',17080,'9998',41.36,1,3,NULL),(28,7053657,'1993-06-04 00:00:00',2,22,11,2010,'F','N','BATEL','CURITIBA','PR','116162161217471432588814572122610125147',10504,'9998',44.98,1,3,NULL),(28,7053665,'1994-09-20 00:00:00',4,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241115471431326612372122610126181',7770,'307',50.65,1,2,1),(28,7053673,'1993-12-20 00:00:00',4,1,12,2011,'F','N','JARDIM PAULISTA','PRES PRUDENTE','SP','125252251217111431437734375122610166072',3040,'9998',61.63,1,3,NULL),(28,7053681,'1989-06-14 00:00:00',2,8,12,2008,'M','N','IRIRIU','JOINVILLE','SC','124241241116272122633319145223610118171',NULL,'469',0.00,1,2,1),(28,7053690,'1991-09-26 00:00:00',2,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242246211213311556713472114610113174',NULL,'299',37.07,1,3,NULL),(28,7053703,'1990-10-01 00:00:00',4,5,11,2007,'F','N','SAO CRISTOVAO','CRICIÚMA','SC','124242241215573431469814575114610162012',809,'226',69.81,1,3,NULL),(28,7053711,'1992-11-10 00:00:00',2,6,10,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111411446712575122610122097',NULL,'9997',27.47,1,3,NULL),(28,7053720,'1995-08-15 00:00:00',2,4,12,2011,'F','N','CENTRO','GUATAMBÚ','SC','124241241415111431326634575124610136057',13913,'1192',37.47,1,3,NULL),(28,7053738,'1992-04-19 00:00:00',4,1,12,2009,'M','N','MIRANDÓPOLIS','S PAULO','SP','125254251217571431657824574125610167057',637,'9998',70.36,1,3,NULL),(28,7053762,'1994-08-30 00:00:00',4,1,12,2011,'M','N','COMINHO NOVO','PALHOÇA','SC','124242241215111231348714575124610164145',10865,'1022',46.01,1,3,NULL),(28,7053789,'1995-12-13 00:00:00',4,1,12,2012,'M','S','KOBRASOL','S JOSÉ','SC','124242241215151731389711375124610164115',NULL,'738',38.29,1,3,NULL),(28,7053797,'1987-03-22 00:00:00',4,1,7,2005,'M','N','JARDIM AQUARIUS','PALHOÇA','SC','124241241146151431423314445121610124192',9698,'591',54.22,1,2,1),(28,7053800,'1994-06-14 00:00:00',4,1,11,2011,'F','N','BOSQUE DAS MANSÕES','S JOSÉ','SC','124242241215122431386712575112610124192',3346,'270',58.53,1,3,NULL),(28,7053819,'1993-10-15 00:00:00',4,1,11,2010,'M','N','CENTRO','BAL ARROIO SILVA','SC','124242241215374431378933575112131464072',1817,'970',68.06,1,3,NULL),(28,7053827,'1994-12-28 00:00:00',2,1,12,2012,'F','S','CAMPINAS','S JOSÉ','SC','124242241216131431466633585122610168182',NULL,'737',48.03,1,3,NULL),(28,7053843,'1986-08-16 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','624201201146131711225644345124140767157',NULL,'9998',30.47,1,3,NULL),(28,7053860,'1994-03-14 00:00:00',4,1,10,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244241215121431445521575124610113012',NULL,'1022',35.57,1,3,NULL),(28,7053878,'1994-04-11 00:00:00',4,10,12,2011,'F','N','SÃO JOÃO MARGEM DIRE','TUBARÃO','SC','124241241117141431547611345122610126077',18452,'798',28.38,1,2,1),(28,7053886,'1994-02-21 00:00:00',4,1,12,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111431269923575112610127182',4615,'270',57.12,1,3,NULL),(28,7053894,'1993-03-27 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116452431336669575114121422093',2357,'307',62.09,2,2,1),(28,7053916,'1995-06-05 00:00:00',4,1,11,2011,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124244241435121431468823432112610162181',NULL,'272',18.29,1,3,NULL),(28,7053932,'1965-09-25 00:00:00',2,1,12,1985,'F','N','SERRARIA','S JOSÉ','SC','124241248127131731221141292334610117181',NULL,'77',10.89,4,2,1),(28,7053940,'1993-05-13 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431579933475112610125045',2576,'272',63.74,1,3,NULL),(28,7053959,'1994-06-23 00:00:00',4,1,12,2011,'F','N','BROOKLIN','S PAULO','SP','125252251217111431278834575112610138142',NULL,'9998',0.00,1,3,NULL),(28,7053967,'1994-05-09 00:00:00',4,4,12,2011,'F','N','CENTRO','XANXERÊ','SC','124244241235112431459919575122610133142',11934,'836',42.49,1,3,NULL),(28,7053975,'1994-10-27 00:00:00',4,1,11,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111431358924575124610164172',282,'270',74.89,1,3,NULL),(28,7053983,'1986-04-18 00:00:00',2,1,12,2004,'M','N','PADRE MIGUEL','RIO JANEIRO','RJ','121212211216271411466613571124140636147',7003,'9998',58.83,1,3,NULL),(28,7053991,'1994-04-30 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431469934575112610126195',2674,'270',62.29,1,3,NULL),(28,7054009,'1993-07-09 00:00:00',2,1,12,2010,'F','N','SOSSEGO','CANOINHAS','SC','124242241215472431459813572124610135072',2041,'154',66.61,1,3,NULL),(28,7054017,'1994-07-23 00:00:00',2,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215112231246824575122610162042',6196,'737',54.23,1,3,NULL),(28,7054025,'1994-12-01 00:00:00',4,1,12,2012,'F','S','INGLESES','FLORIANÓPOLIS','SC','124242241215111431446514375114610134072',NULL,'1048',25.46,1,3,NULL),(28,7054033,'1993-08-11 00:00:00',4,25,12,2010,'M','N','MUNICÍPIOS','CAÇADOR','SC','124242241216161721427714215122610144142',13337,'119',38.75,4,3,NULL),(28,7054041,'1994-06-30 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241217111431549612275122610126142',8853,'737',50.52,1,3,NULL),(28,7054068,'1994-10-04 00:00:00',2,6,12,2011,'F','N','CORDEIROS','ITAJAÍ','SC','124242241217131531426814172225610122147',18530,'388',37.18,1,3,NULL),(28,7054076,'1993-07-30 00:00:00',4,4,12,2010,'F','N','MATINHO','XANXERÊ','SC','124244241215472431456617574125610163182',1011,'836',69.61,1,3,NULL),(28,7054084,'1993-06-04 00:00:00',4,22,11,2010,'F','N','BATEL','CURITIBA','PR','116162161217172432588814572112610124147',14242,'9998',38.07,1,3,NULL),(28,7054092,'1993-03-16 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241211373421266924471114230232072',6859,'723',52.34,1,3,NULL),(28,7054106,'1992-07-20 00:00:00',4,1,10,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217273121435621345121610126174',18580,'1197',36.98,1,3,NULL),(28,7054114,'1993-02-10 00:00:00',4,8,11,2010,'M','N','JARDIM SANTA CRUZ','S PAULO','SP','125252251115471431458714471125610137122',3866,'9998',58.32,1,3,NULL),(28,7054122,'1993-10-25 00:00:00',2,1,10,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241315271431346614576111610137032',NULL,'1197',20.59,1,3,NULL),(28,7054130,'1994-11-24 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124244241215121431236924246122610134077',9672,'1118',44.04,1,3,NULL),(28,7054149,'1993-12-06 00:00:00',4,1,12,2011,'F','N','ALPHAVILLE FLAMBOYAN','GOIÂNIA','GO','109092091236121731468832575122610164182',794,'9998',68.29,4,3,NULL),(28,7054157,'1993-02-12 00:00:00',2,10,12,2010,'F','N','CENTRO','CAPIVARI BAIXO','SC','124241241115271431436613482114610124142',NULL,'1034',21.53,2,1,1),(28,7054165,'1992-10-23 00:00:00',4,1,12,2011,'M','N','IPIRANGA','S JOSÉ','SC','124241248117131431458813346124610136172',10607,'306',41.65,1,2,1),(28,7054173,'1991-06-08 00:00:00',4,1,12,2008,'M','N','CIDADE DAS FLORES','OSASCO','SP','125252251215572331368833375122610164057',NULL,'9998',0.00,1,3,NULL),(28,7054181,'1991-10-20 01:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124163161215473431236931275124121441197',115,'9998',79.52,4,3,NULL),(28,7054190,'1993-12-09 00:00:00',4,1,12,2011,'M','N','CABREUVA','CPO GRANDE','MS','112121121117132431325321382344610124047',8762,'9998',49.07,2,1,1),(28,7054211,'1994-09-16 00:00:00',2,4,12,2011,'F','N','CENTRO','CAIÇARA','RS','120202201416151431459911575124610121142',12005,'9998',41.65,1,3,NULL),(28,7054220,'1987-04-10 00:00:00',2,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241216272231348813495124221267147',13531,'909',48.19,1,3,NULL),(28,7054238,'1993-07-09 00:00:00',4,1,11,2011,'F','N','CARIRU','IPATINGA','MG','113132131216111431458814445121610132122',367,'9998',73.15,1,3,NULL),(28,7054246,'1995-02-23 00:00:00',4,1,12,2011,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241217311231457934575124610124147',NULL,'262',29.30,1,3,NULL),(28,7054262,'1992-02-16 00:00:00',4,1,12,2009,'F','N','VILA OLIVEIRA','MOGI CRUZES','SP','125252251217271411438729585122143248047',19013,'9998',35.28,1,3,NULL),(28,7054270,'1994-03-23 00:00:00',4,25,12,2011,'F','N','CENTRO','CURITIBA','PR','116242161226121431347612475125610134143',4721,'9998',55.24,1,3,NULL),(28,7054289,'1993-04-04 00:00:00',4,2,12,2010,'F','N','VORSTADT','BLUMENAU','SC','124242241216472431458932575124610122142',2988,'909',59.18,1,3,NULL),(28,7054297,'1988-08-14 00:00:00',4,1,12,2005,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241116374431533323345114132032147',19178,'307',34.46,1,2,1),(28,7054300,'1993-12-21 00:00:00',4,8,12,2010,'F','N','PARQUE GUARANI','JOINVILLE','SC','124242241216472431334823375124610161097',12845,'456',40.47,1,3,NULL),(28,7054319,'1992-05-11 00:00:00',4,1,12,2009,'F','N','CENTRO','S BERNARDO CAMPO','SP','125252251216572431448834571134610122147',NULL,'9998',0.00,1,3,NULL),(28,7054327,'1991-08-17 00:00:00',4,1,11,2009,'F','N','VILA STER','S PAULO','SP','125251251216471431548811575124610133147',NULL,'9998',0.00,3,3,NULL),(28,7054335,'1989-06-03 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241126242411126944245124133244072',NULL,'998',35.13,1,2,1),(28,7054343,'1993-06-18 00:00:00',4,1,12,2010,'F','N','CENTRO','MARIALVA','PR','116162161215472431369913574122610137062',7000,'9998',52.66,1,3,NULL),(28,7054351,'1995-03-03 00:00:00',4,10,12,2011,'F','N','CABEÇUDA','LAGUNA','SC','124244241215111431346611572124610164127',5493,'807',53.28,1,3,NULL),(28,7054378,'1989-12-22 00:00:00',4,1,12,2007,'F','N','CENTRO','PALHOÇA','SC','224242241216574431236354475124610166182',2239,'1011',64.12,1,3,NULL),(28,7054386,'1994-10-14 00:00:00',4,1,12,2012,'F','S','CARIANOS','FLORIANÓPOLIS','SC','124241241215111431536132245114610136091',NULL,'1022',9.29,1,3,NULL),(28,7054408,'1994-10-29 00:00:00',4,1,12,2011,'M','N','CAMINHO DAS ARVORES','SALVADOR','BA','105052051217111431389814575122610137052',835,'9998',72.11,4,3,NULL),(28,7054416,'1979-01-19 00:00:00',2,1,10,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','224131247327371411223354385124610127187',16749,'9999',35.81,1,3,NULL),(28,7054424,'1993-10-22 00:00:00',4,5,11,2010,'F','N','JARDIM ANGELICA','CRICIÚMA','SC','124242241216271431456934375124130422172',6872,'880',53.25,1,3,NULL),(28,7054432,'1992-05-30 00:00:00',2,1,12,2010,'F','N','CAVALHADA','PTO ALEGRE','RS','120201201137372431425714395124610168147',15719,'9998',35.23,1,2,1),(28,7054440,'1992-09-21 00:00:00',4,6,12,2010,'F','N','VILA BARTH','ITAPETININGA','SP','125254251217471751338624575125610166017',16337,'9998',34.24,1,3,NULL),(28,7054459,'1994-06-09 00:00:00',2,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124241248315131432326313375124610113142',18365,'271',28.81,1,3,NULL),(28,7054467,'1994-03-24 00:00:00',2,1,12,2011,'F','N','JARDIM AMÉRICA','MARINGÁ','PR','116162161217111731436811572122610134027',NULL,'9998',21.66,1,3,NULL),(28,7054475,'1993-10-14 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431273411575112133263047',1724,'270',66.35,1,3,NULL),(28,7054483,'1993-07-09 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241112472431437679572124610161142',6309,'307',53.66,1,2,1),(28,7054491,'1994-09-30 00:00:00',4,8,12,2012,'F','S','AMÉRICA','JOINVILLE','SC','124242241215111731478834575122610167032',NULL,'1063',44.69,1,3,NULL),(28,7054505,'1991-12-01 00:00:00',4,8,12,2008,'F','N','HIGIENÓPOLIS','S PAULO','SP','125252251215572431449933575124610132182',1012,'9998',69.07,1,3,NULL),(28,7054530,'1994-08-26 00:00:00',4,1,12,2011,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241137271431326933575124610167062',12802,'278',42.31,1,3,NULL),(28,7054548,'1993-07-29 00:00:00',4,8,11,2010,'M','N','ALPHAVILLE','BARUERI','SP','125252251217472431486612215121610147187',1801,'9998',64.56,1,3,NULL),(28,7054556,'1995-07-27 00:00:00',4,1,2,2012,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124243241417111732328731572124610167117',19973,'1048',28.57,4,3,NULL),(28,7054564,'1993-11-29 00:00:00',4,1,12,2010,'M','N','JARDIM SANTA RITA','INDAIATUBA','SP','125252251237471431448834571122610144147',3262,'9998',60.33,1,3,NULL),(28,7054572,'1994-11-18 00:00:00',4,4,12,2011,'F','N','MARIA GORETTI','CHAPECÓ','SC','124241241116471751638611475122610168187',5538,'169',55.29,1,2,1),(28,7054580,'1994-06-12 00:00:00',2,1,10,2011,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124241241217111731425412575124610128197',19334,'1197',26.28,1,3,NULL),(28,7054599,'1995-01-31 00:00:00',2,23,12,2011,'F','N','SEMINÁRIO','CORUPÁ','SC','124241241215111731436631575112610125192',11253,'442',44.97,1,3,NULL),(28,7054602,'1994-11-21 00:00:00',2,1,11,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215111331436614572114610167052',10659,'1048',48.36,1,3,NULL),(28,7054610,'1994-03-11 00:00:00',2,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241215132431449913275124610167147',11452,'273',43.84,1,3,NULL),(28,7054629,'1994-09-06 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215152441378811275122610165192',2167,'1169',62.67,1,3,NULL),(28,7054637,'1993-10-09 00:00:00',4,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215373411436813382124610146147',5454,'270',54.91,1,3,NULL),(28,7054653,'1994-12-16 00:00:00',4,8,10,2011,'M','N','BIGORRILHO','CURITIBA','PR','116162161217111731568813571124610162047',917,'9998',73.52,1,3,NULL),(28,7054661,'1991-07-20 00:00:00',4,8,12,2007,'F','N','FLORESTA','JOINVILLE','SC','124243241245572411555512275122132834052',2178,'459',63.23,1,3,NULL),(28,7054670,'1993-09-22 00:00:00',4,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241216132732434311576125232834197',14903,'1168',36.28,3,3,NULL),(28,7054688,'1993-12-12 00:00:00',4,3,11,2010,'F','N','BIGORRILHO','CURITIBA','PR','116162161235471411476833571112610133147',NULL,'9998',0.00,1,3,NULL),(28,7054696,'1993-05-01 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124221241117471431226621345124610116172',12440,'734',40.80,1,2,1),(28,7054700,'1992-03-14 00:00:00',4,1,12,2009,'F','N','ALDEIA DO VALE','GOIÂNIA','GO','109092091216151451556924575122240632152',NULL,'9998',0.00,1,3,NULL),(28,7054726,'1993-05-06 00:00:00',4,8,11,2011,'F','N','JOÃO GUALBERTO','PARANAGUÁ','PR','116162161215472431488932575125610167182',1980,'9998',63.70,1,3,NULL),(28,7054734,'1994-06-30 00:00:00',4,3,10,2011,'F','N','JARDIM POTIGUAR','PIRACICABA','SP','125252251216111411348931571122610137122',NULL,'9998',0.00,1,3,NULL),(28,7054742,'1992-07-23 00:00:00',4,8,11,2009,'F','N','CABRAL','CURITIBA','PR','116162161215572431458814575112610162117',2835,'9998',62.73,1,3,NULL),(28,7054750,'1994-08-10 00:00:00',4,2,11,2011,'F','N','CENTRO','BLUMENAU','SC','124242241215121431279933572122610136092',3448,'855',59.35,1,3,NULL),(28,7054769,'1992-12-24 00:00:00',2,1,12,2011,'F','N','JARDIM COLOMBO','S PAULO','SP','125254251137271731568813575122610164117',NULL,'9998',0.00,1,3,NULL),(28,7054777,'1994-01-20 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215131431448913571122610147072',NULL,'1197',20.52,1,3,NULL),(28,7054793,'1993-04-06 00:00:00',4,1,7,2011,'F','N','SERRARIA','S JOSÉ','SC','124242241117371431558813485114610161017',5402,'739',55.42,1,3,NULL),(28,7054815,'1994-06-21 00:00:00',2,4,12,2011,'F','N','OZELAME','FAXINAL GUEDES','SC','124241241117151431636431272124610124147',15875,'255',34.61,4,3,NULL),(28,7054823,'1994-08-18 00:00:00',4,1,10,2011,'F','N','INDUSTRIAL','PTO VELHO','RO','122222251216111431479913375112610113012',NULL,'9998',0.00,1,3,NULL),(28,7054858,'1981-08-30 00:00:00',4,1,12,1999,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','624252251217573431239941492112321867111',821,'9998',73.36,1,3,NULL),(28,7054866,'1994-03-22 00:00:00',4,4,11,2011,'M','N','MAR GROSSO','LAGUNA','SC','124242241215111751247829595122610124052',4608,'807',58.68,1,3,NULL),(28,7054874,'1994-06-27 00:00:00',4,1,10,2011,'M','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124242241215111731368811472122610167052',8052,'1169',49.19,1,3,NULL),(28,7054882,'1994-09-09 00:00:00',2,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','624242241215111431436913575124610122112',15890,'1198',43.91,1,3,NULL),(28,7054890,'1993-09-14 00:00:00',2,1,11,2010,'F','N','JARDIM FLORESTA','PTO ALEGRE','RS','120202201216471431437824371122610124147',13691,'9998',39.61,1,3,NULL),(28,7054904,'1993-05-14 00:00:00',2,1,12,2011,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241247435111431436633575124610164093',20037,'270',27.48,1,3,NULL),(28,7054912,'1993-10-06 00:00:00',4,1,12,2011,'F','N','CÓRREGO GRANCE','FLORIANÓPOLIS','SC','124242246117372431248823275124610164197',1854,'306',64.88,1,3,NULL),(28,7054920,'1987-04-02 00:00:00',4,2,12,2004,'M','N','RIO MORTO','INDAIAL','SC','124241241136131431454414345124130244097',20135,'887',25.01,1,3,NULL),(28,7054939,'1993-05-11 00:00:00',4,3,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242242115131431327724575122610136117',16102,'129',43.50,1,3,NULL),(28,7054947,'1994-01-14 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215151131436719495122610164194',NULL,'1075',18.06,1,3,NULL),(28,7054955,'1993-09-22 00:00:00',4,1,12,2010,'M','N','CERAMARTE','RIO NEGRINHO','SC','124242241215472531547612375114610164072',813,'974',71.34,1,3,NULL),(28,7054963,'1994-08-28 00:00:00',4,1,11,2011,'F','N','JARDIM PAULISTA','S JOSÉ CAMPOS','SP','125251251215121731468924475122610125147',4660,'9998',55.85,1,3,NULL),(28,7054971,'1994-03-24 00:00:00',4,10,10,2011,'F','N','CENTRO','BRAÇO NORTE','SC','124244241215122431356611475124610164092',944,'807',71.36,1,3,NULL),(28,7054980,'1994-04-05 00:00:00',4,1,12,2011,'M','N','JARDIM MORADA DO SOL','INDAIATUBA','SP','125252251217111431456622342111610167047',4880,'9998',55.37,1,3,NULL),(28,7054998,'1993-11-14 00:00:00',4,1,10,2011,'M','N','JARDIM ESPLANADA LL','S JOSÉ CAMPOS','SP','125252251216111431569913575112610138041',9619,'9998',45.90,1,3,NULL),(28,7055005,'1993-09-09 00:00:00',4,1,12,2011,'M','N','PARQUE DAS NAÇÕES','INDAIATUBA','SP','125251251217131732546413575124610137057',6656,'9998',49.72,1,3,NULL),(28,7055013,'1993-07-03 00:00:00',4,1,12,2010,'F','N','ESPLANADA','INDAIATUBA','SP','125252251215411421458814572122610115097',NULL,'9998',0.00,1,3,NULL),(28,7055021,'1994-10-07 00:00:00',4,4,12,2011,'M','N','CENTRO','S LOURENÇO OESTE','SC','124241168117151431336932575122610166172',6010,'9998',52.82,1,3,NULL),(28,7055030,'1994-06-09 00:00:00',4,27,12,2011,'F','N','CENTRO','S MIGUEL OESTE','SC','124241241415111231236724275115610124142',NULL,'752',0.00,1,3,NULL),(28,7055048,'1993-03-14 00:00:00',2,1,12,2011,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241243116141431454414392124610163042',15162,'306',45.29,1,2,1),(28,7055056,'1993-08-04 00:00:00',4,3,12,2011,'M','N','DAS BANDEIRAS','ARAÇATUBA','SP','125252251217111431369913575122610127092',2815,'9998',62.12,1,3,NULL),(28,7055064,'1993-03-10 00:00:00',2,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243241217371411456623575114610121112',8088,'1197',55.71,1,3,NULL),(28,7055072,'1993-05-22 00:00:00',4,2,11,2011,'F','N','VILA NOVA','BLUMENAU','SC','124243241215112731354312574114610127142',19258,'855',34.07,1,3,NULL),(28,7055080,'1995-06-11 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111431339834575124610164185',7424,'1022',51.70,1,3,NULL),(28,7055099,'1976-03-27 00:00:00',2,1,5,2005,'M','N','AREIAS','S JOSÉ','SC','224241247126475441324343135123231314047',2804,'9999',61.97,1,2,1),(28,7055102,'1993-07-16 00:00:00',2,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','124244161216472431436711575112610163147',NULL,'9998',0.00,1,3,NULL),(28,7055110,'1994-04-18 00:00:00',4,8,12,2011,'F','N','CENTRO','JOINVILLE','SC','124242241215111431489613575112610126192',NULL,'1063',27.46,1,3,NULL),(28,7055137,'1993-11-02 00:00:00',4,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124112241215111731358831575114610164196',11908,'270',42.68,1,3,NULL),(28,7055145,'1966-11-20 00:00:00',2,1,1,2007,'M','N','BARREIROS','S JOSÉ','SC','124241247112143751436542121132231067047',NULL,'9999',29.33,2,1,1),(28,7055153,'1994-01-12 00:00:00',2,2,11,2011,'F','N','GARCIA','BLUMENAU','SC','124242241215111431466632575112610167012',11931,'87',44.16,1,3,NULL),(28,7055170,'1993-07-27 00:00:00',4,8,12,2010,'F','N','JARDIM PAULISTA','JUNDIAÍ','SP','125252251216412441336812572122610117127',7326,'9998',49.65,1,3,NULL),(28,7055188,'1991-12-02 00:00:00',2,1,11,2009,'F','N','COOPHEMA','CUIABÁ','MT','111112111215571431533832572112610163142',4400,'9998',56.15,1,3,NULL),(28,7055196,'1994-09-13 00:00:00',5,1,11,2011,'M','N','PONTA NEGRA','NATAL','RN','119192191216111431456712572124610161112',1802,'9998',70.52,1,3,NULL),(28,7055200,'1989-07-10 00:00:00',4,3,11,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216575441579911572114610163192',1318,'270',67.98,1,3,NULL),(28,7055218,'1994-04-24 00:00:00',2,24,11,2011,'F','N','CENTRO','RIO SUL','SC','124242241215112431348933575112610124192',4246,'991',56.64,1,3,NULL),(28,7055226,'1994-04-07 00:00:00',2,1,12,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215372431228814572112610133175',9966,'1022',48.20,1,3,NULL),(28,7055234,'1994-02-12 00:00:00',4,1,12,2011,'F','N','VILA PROGREDIROR','S PAULO','SP','125252251237111731458713575122610128182',4312,'9998',55.83,3,3,NULL),(28,7055242,'1994-08-29 00:00:00',4,2,12,2011,'F','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124241241117131351327524575124610166147',NULL,'79',17.21,1,2,1),(28,7055250,'1994-09-19 00:00:00',4,2,11,2011,'F','N','VELHA','BLUMENAU','SC','124242241115131431459814575124610153142',NULL,'88',36.83,1,3,NULL),(28,7055269,'1994-07-12 00:00:00',2,7,11,2011,'F','N','CENTRO','CAPINZAL','SC','124242241215111431256652375122610114082',NULL,'1093',0.00,1,3,NULL),(28,7055277,'1991-05-09 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117174731223621295124231066147',NULL,'257',17.47,1,2,1),(28,7055285,'1994-11-08 00:00:00',2,3,12,2011,'F','N','CENTRO','NAVEGANTES','SC','124243242111141441558911574124610126051',9597,'129',47.24,4,3,NULL),(28,7055293,'1994-09-09 00:00:00',4,4,12,2011,'F','N','AMADORI','PATO BRANCO','PR','116162161216371431439632595122610125152',9730,'9998',47.00,1,3,NULL),(28,7055307,'1994-01-18 00:00:00',4,2,12,2011,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241216271431346839575112610164012',15618,'855',35.15,1,3,NULL),(28,7055315,'1993-05-26 00:00:00',4,1,10,2010,'M','N','INTERLAGOS','S PAULO','SP','125254251217471411666732581124610162112',2413,'9998',64.67,1,3,NULL),(28,7055331,'1994-02-08 00:00:00',2,2,11,2011,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124242241215151431556434574112610127011',11413,'87',43.17,1,3,NULL),(28,7055340,'1992-02-05 00:00:00',4,3,12,2008,'F','N','CENTRO','PEROBAL','PR','116161161117573431547923375124610132142',6303,'9998',54.06,1,2,1),(28,7055358,'1994-05-25 00:00:00',4,6,11,2011,'M','N','SÃO JOÃO','ITAJAÍ','SC','124242241215111432467514375111610167112',20053,'9997',27.28,1,3,NULL),(28,7055366,'1995-02-22 00:00:00',4,5,11,2011,'F','N','CENTRO','MRO FUMAÇA','SC','124242241215112431457932574124610134182',5572,'226',53.37,1,3,NULL),(28,7055374,'1993-09-07 00:00:00',4,1,12,2011,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241215372411338811495124610124112',17526,'855',40.23,2,1,2),(28,7055382,'1994-12-20 00:00:00',4,27,12,2012,'M','S','CENTRO','MARAVILHA','SC','124242241216151421549631575122610131097',NULL,'1037',39.34,1,3,NULL),(28,7055390,'1994-07-11 00:00:00',2,1,11,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431448814575122610115192',NULL,'270',31.37,1,3,NULL),(28,7055404,'1993-08-26 00:00:00',4,1,12,2010,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124242241215132431428774575224610142087',8786,'262',47.41,1,3,NULL),(28,7055412,'1994-06-27 00:00:00',2,17,12,2011,'M','N','CAMPO DA ÁGUA VERDE','CANOINHAS','SC','124241241117151431433631395125610137077',NULL,'146',0.00,1,3,NULL),(28,7055420,'1993-07-18 00:00:00',2,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111231378817575124610164072',5327,'883',57.34,1,3,NULL),(28,7055447,'1993-06-08 00:00:00',2,4,12,2010,'M','N','SÃO PEDRO','XANXERÊ','SC','124241241137132431336612475122610124052',NULL,'949',16.02,1,2,1),(28,7055455,'1992-12-22 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241216152531359832495114610118127',8384,'737',48.27,1,3,NULL),(28,7055471,'1992-10-18 00:00:00',4,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116141431411321445124610124063',NULL,'285',23.35,1,3,NULL),(28,7055498,'1991-03-31 00:00:00',4,1,12,2008,'F','N','JARDIM EMÍLIA','SOROCABA','SP','125253251216471731645332575122610134122',7469,'9998',51.30,3,3,NULL),(28,7055501,'1994-06-19 00:00:00',2,1,12,2011,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124202241215121431278612325122610121182',NULL,'883',21.78,1,3,NULL),(28,7055510,'1993-12-29 00:00:00',2,5,11,2011,'F','N','SANTO ANTÔNIO','CRICIÚMA','SC','124241241216132431337624175124610136177',7934,'226',47.86,1,3,NULL),(28,7055528,'1980-02-07 00:00:00',4,1,1,2009,'M','N','BREJARU','PALHOÇA','SC','124241247122171421122248181223230737047',17152,'9999',32.15,4,1,1),(28,7055536,'1991-05-18 00:00:00',2,16,12,2009,'M','N','CENTRO','PIRATUBA','SC','116241242117151431329923575121243127055',18611,'8',29.47,1,2,1),(28,7055544,'1993-10-24 00:00:00',4,8,11,2011,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215111431459934575124610164092',322,'461',76.84,1,3,NULL),(28,7055552,'1991-12-26 00:00:00',2,23,12,2009,'F','N','AVAREÍ','JACAREÍ','SP','125253251217513711333319595124610167077',8768,'9998',50.51,1,3,NULL),(28,7055587,'1994-03-28 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215121431445923585114610137042',4866,'1118',58.40,1,3,NULL),(28,7055595,'1994-04-25 00:00:00',4,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215112431326632172112610164063',1250,'723',67.75,1,3,NULL),(28,7055609,'1994-09-27 00:00:00',4,1,11,2011,'F','N','ALDEIA DA SERRA','SANTANA PARNAÍBA','SP','125252251216211231539931275122610113052',9826,'9998',44.13,1,3,NULL),(28,7055617,'1993-02-10 00:00:00',4,1,11,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124252241215111431488411575114610163197',8896,'270',52.32,1,3,NULL),(28,7055625,'1994-06-01 00:00:00',1,8,11,2011,'M','N','GLORIA','JOINVILLE','SC','124242241216111732359911575112610166092',NULL,'457',0.00,1,3,NULL),(28,7055633,'1991-06-09 00:00:00',2,10,12,2008,'F','N','HUMAITÁ','TUBARÃO','SC','124242241215133451226624575112610163157',12672,'807',47.93,1,3,NULL),(28,7055650,'1982-04-19 00:00:00',4,1,12,1999,'M','N','TAPERA','FLORIANÓPOLIS','SC','224252241216272441437843435134122244037',4835,'9998',62.75,1,3,NULL),(28,7055676,'1994-01-15 00:00:00',4,1,12,2011,'F','N','NOVA MACAÉ','MACAÉ','RJ','121212211216371731366739575122610162127',5508,'9998',52.85,2,3,NULL),(28,7055692,'1994-04-30 00:00:00',2,4,12,2011,'F','N','CENTRO','OURO VERDE','SC','124241241215121431336923275124610142054',16936,'1081',41.67,1,3,NULL),(28,7055706,'1991-10-08 00:00:00',4,8,12,2008,'M','N','GUANABARA','JOINVILLE','SC','124241246216272411437734475124121468042',3047,'1105',61.65,1,3,NULL),(28,7055714,'1993-08-31 00:00:00',4,1,12,2010,'M','N','JARDIM BELA VISTA','STO ANDRÉ','SP','125252251211471731448811475122241067117',2656,'9998',67.83,1,3,NULL),(28,7055722,'1993-11-11 00:00:00',4,23,12,2011,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124204241215151431336924575122610163047',2149,'424',63.77,1,3,NULL),(28,7055730,'1990-06-22 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241121132731433634341124610143142',17752,'285',39.62,1,3,NULL),(28,7055749,'1994-08-27 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241317161431468813235132610134112',NULL,'278',24.50,1,3,NULL),(28,7055765,'1994-07-17 00:00:00',4,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241211121431336824571114610124187',11618,'269',45.04,1,3,NULL),(28,7055773,'1992-09-17 00:00:00',4,1,12,2010,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120242241215272431578811572124241038072',10721,'262',48.63,1,3,NULL),(28,7055781,'1993-12-11 00:00:00',4,1,12,2010,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124242241216372431423329575124610126143',7585,'1022',50.67,1,3,NULL),(28,7055790,'1994-06-30 00:00:00',4,1,12,2011,'M','N','LIBRA','FOZ IGUAÇU','PR','116162161217151431459932195122610137042',13899,'9998',39.58,1,3,NULL),(28,7055811,'1994-07-30 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215112431547511595124610123142',6738,'1022',53.30,1,3,NULL),(28,7055846,'1994-03-17 00:00:00',2,1,11,2011,'F','N','COOPHEMA','CUIABÁ','MT','111112111215111431533832572112610164072',12941,'9998',39.37,4,3,NULL),(28,7055854,'1991-07-11 00:00:00',2,1,10,2010,'M','N','MORRO DA BINA','BIGUAÇU','SC','124241246116372421544313345124610167061',9004,'306',46.17,1,2,1),(28,7055862,'1995-02-12 00:00:00',4,9,11,2011,'F','N','CENTRO','LAGES','SC','124242241215111431569933575122610168142',12880,'1207',40.74,1,3,NULL),(28,7055870,'1989-02-07 00:00:00',6,1,12,2009,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124201205116131321226954242124142263187',NULL,'9998',0.00,1,3,NULL),(28,7055889,'1991-10-23 00:00:00',2,4,12,2009,'M','N','ALVORADA','XAXIM','SC','124244241216472411336629245124610122062',NULL,'994',0.00,1,3,NULL),(28,7055897,'1994-08-15 00:00:00',2,15,12,2011,'M','N','LINHA SÃO JOSÉ','MELEIRO','SC','124241241116131431436911595124610137053',13612,'559',39.61,1,2,1),(28,7055900,'1992-03-14 00:00:00',2,1,12,2009,'F','N','CENTRO','CAMPINAS','SP','125252251217571431454634275112610144097',4253,'9998',54.70,1,3,NULL),(28,7055919,'1994-07-26 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115112411348619375124610142073',8575,'267',46.71,1,2,1),(28,7055927,'1988-11-21 00:00:00',4,1,7,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241247116141731333914445134133024142',NULL,'9999',25.97,1,3,NULL),(28,7055943,'1990-05-18 00:00:00',4,1,11,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241417131411438314345134610134053',18832,'307',35.96,1,3,NULL),(28,7055960,'1991-01-28 00:00:00',2,1,12,2008,'M','N','CONJUNTO LIBRA','FOZ IGUAÇU','PR','116162161216573431459932575122221547052',6953,'9998',58.92,1,3,NULL),(28,7055978,'1990-12-30 00:00:00',2,8,12,2007,'F','N','CENTRO','CURITIBA','PR','116161161116571731336521374124610164097',8448,'9998',49.24,4,2,1),(28,7056001,'1993-01-31 00:00:00',2,1,12,2010,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241137371431428523385114610124067',NULL,'278',28.75,1,2,1),(28,7056010,'1993-02-01 00:00:00',2,1,12,2010,'F','N','GRAMA','GAROPABA','SC','124241241116473431436339395124610128027',9147,'1136',48.41,1,2,1),(28,7056036,'1994-04-20 00:00:00',2,1,12,2011,'F','N','BEIRA MAR','FLORIANÓPOLIS','SC','124242241215111732548813595112610164197',7045,'262',52.40,1,3,NULL),(28,7056044,'1992-07-08 00:00:00',4,3,12,2010,'F','N','JARDIM CASTELO','SANTOS','SP','125252251116572431478834575124610132092',5918,'9998',54.49,1,3,NULL),(28,7056060,'1994-01-10 00:00:00',2,24,11,2011,'F','N','CENTRO','AGROLÂNDIA','SC','124243241215111731349823375124610128187',18227,'991',38.21,1,3,NULL),(28,7056079,'1995-03-26 00:00:00',4,1,11,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215112531469911595112610168182',NULL,'270',47.12,1,3,NULL),(28,7056087,'1994-05-08 00:00:00',2,3,12,2011,'M','N','BUCAREIN','JOINVILLE','SC','124243242115131431427611575121610134027',15135,'129',45.34,1,3,NULL),(28,7056095,'1995-05-04 00:00:00',4,1,12,2012,'F','S','STO ANT DE LISBOA','FLORIANÓPOLIS','SC','124242241217111732468811595122610122197',NULL,'1048',24.32,1,3,NULL),(28,7056109,'1992-12-01 00:00:00',4,1,12,2010,'M','N','JARDIM AMERICA','GOIÂNIA','GO','109092091232411441558924572121610117072',1636,'9998',67.32,4,3,NULL),(28,7056117,'1993-01-25 00:00:00',2,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241112351731424414375124610168047',16284,'285',35.44,1,3,NULL),(28,7056125,'1994-09-13 00:00:00',4,1,11,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215472431469913575122610147142',2941,'262',61.84,1,3,NULL),(28,7056133,'1994-06-12 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431236824571125610125197',1346,'270',67.35,1,3,NULL),(28,7056141,'1993-08-01 00:00:00',4,1,12,2011,'F','N','JARDIM AMERICA','DOURADOS','MS','112122121217111431478832572121610126145',15389,'9998',44.88,4,3,NULL),(28,7056150,'1994-07-26 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431339833595124610134072',6743,'738',54.43,1,3,NULL),(28,7056176,'1992-07-12 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431268823475112142442112',444,'270',77.56,1,3,NULL),(28,7056184,'1992-07-02 00:00:00',4,1,12,2010,'F','N','CENTRO','GAROPABA','SC','124241241135272431256723572124610112122',4422,'1136',56.74,1,2,1),(28,7056192,'1994-04-18 00:00:00',2,3,9,2011,'F','N','CENTRO','CPO GRANDE','MS','612122121215111642488713475122610133017',8973,'9998',46.39,4,3,NULL),(28,7056206,'1994-02-24 00:00:00',4,8,12,2011,'F','N','ITAUM','JOINVILLE','SC','124244241115411431428734275124610166187',11053,'1016',44.31,1,3,NULL),(28,7056214,'1994-07-29 00:00:00',2,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431656933471122610127182',1574,'1197',66.54,1,3,NULL),(28,7056222,'1993-09-25 00:00:00',4,1,11,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215372331548812575124610134182',2170,'270',65.67,1,3,NULL),(28,7056230,'1994-07-15 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111431446813232122610117147',18984,'1175',25.55,1,3,NULL),(28,7056249,'1993-02-20 00:00:00',4,3,12,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124244241215473731457739575115610148017',850,'1038',70.59,1,3,NULL),(28,7056273,'1991-10-17 00:00:00',4,8,12,2008,'F','N','CENTRO','TOLEDO','PR','116162161215522731449612371112610165142',3261,'9998',62.26,1,3,NULL),(28,7056281,'1994-04-09 00:00:00',4,1,11,2011,'F','N','TREZE DE JULHO','ARACAJU','SE','126262261217211331479932575122610128122',5008,'9998',55.35,1,3,NULL),(28,7056290,'1988-12-29 00:00:00',3,1,12,2006,'F','N','JARDIM ESPERANÇA','CANOINHAS','SC','124243241211273411449933475124610166091',3767,'154',59.37,1,3,NULL),(28,7056303,'1992-05-28 00:00:00',4,1,12,2009,'F','N','PARQUE ÁGUA BRANCA','PIRACICABA','SP','125252251217471451468831575122140343077',6592,'9998',51.22,2,3,NULL),(28,7056320,'1993-05-03 00:00:00',4,1,12,2010,'M','N','SANTA MARIA','S CAETANO SUL','SP','125252251215471311527734575125610167172',306,'9998',76.13,3,3,NULL),(28,7056338,'1992-06-12 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215575411168912572124121427012',1283,'497',67.00,1,3,NULL),(28,7056346,'1994-07-07 00:00:00',4,1,11,2011,'M','N','DIONISIO TORRES','FORTALEZA','CE','106062071217111431488812595122610144092',NULL,'9998',0.00,1,3,NULL),(28,7056354,'1994-02-26 00:00:00',2,16,12,2011,'M','N','CENTRO','CAMPOS NOVOS','SC','124241241116161431448714592125610134181',NULL,'139',0.00,1,2,1),(28,7056362,'1993-08-16 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124162161215472431489911572122610124125',NULL,'9998',0.00,1,3,NULL),(28,7056389,'1995-06-26 00:00:00',4,1,12,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217111731368914342122610167182',13736,'272',47.83,1,3,NULL),(28,7056397,'1995-08-24 00:00:00',4,25,12,2012,'F','S','BELA VISTA','FRAIBURGO','SC','124242241215111231468831575112610124142',NULL,'885',37.35,1,3,NULL),(28,7056400,'1993-01-21 00:00:00',2,1,12,2011,'F','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124241241215472731546534592124610124047',6549,'262',51.48,1,3,NULL),(28,7056419,'1990-05-29 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124246248616232431323311495124610148187',NULL,'9999',28.04,1,3,NULL),(28,7056435,'1994-07-25 00:00:00',4,1,12,2011,'F','N','SANTA HELENA','CHARQUEADA','SP','125252251216111431353313585122610127077',NULL,'9998',0.00,1,3,NULL),(28,7056443,'1994-05-20 00:00:00',2,10,10,2011,'F','N','CENTRO','BRAÇO NORTE','SC','124242241215111431445632575124610128052',18157,'807',38.40,1,3,NULL),(28,7056451,'1994-09-29 00:00:00',4,8,11,2011,'M','N','CENTRO','JOINVILLE','SC','124243241215131411444611375121610137055',1455,'459',66.37,1,3,NULL),(28,7056460,'1994-03-06 00:00:00',2,1,12,2011,'F','N','JD ITALIA','JUNDIAÍ','SP','125252251215111431556939575122610123182',3653,'9998',60.54,1,3,NULL),(28,7056478,'1994-05-31 00:00:00',4,1,12,2011,'F','N','CENTRO','S JOSÉ CAMPOS','SP','125112251246471441489934585125610157072',5299,'9998',54.60,1,3,NULL),(28,7056486,'1994-10-07 00:00:00',4,1,10,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215121431356634572122610164142',702,'723',71.33,1,3,NULL),(28,7056494,'1994-03-09 00:00:00',4,8,11,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215272431579812575122610167092',1634,'457',66.26,1,3,NULL),(28,7056508,'1993-09-23 00:00:00',4,1,12,2011,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125272251215421311346812595122610167077',16285,'9998',43.13,1,3,NULL),(28,7056524,'1995-03-31 00:00:00',4,1,12,2012,'F','S','CENTRO','S JOSÉ','SC','124242241216111732556512595122610113092',NULL,'944',26.53,1,3,NULL),(28,7056532,'1993-10-18 00:00:00',4,1,12,2011,'M','N','CENTRO','CAMBUÍ','MG','113132251215111411238823575125610166187',3651,'9998',58.17,1,3,NULL),(28,7056540,'1993-03-25 00:00:00',4,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241117472431423721442115610144057',NULL,'592',24.73,1,2,1),(28,7056559,'1993-05-26 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215372431448614575124231227052',10482,'738',44.70,1,3,NULL),(28,7056567,'1993-09-16 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124072248135141731438813395114610127064',NULL,'257',22.56,1,3,NULL),(28,7056575,'1994-09-21 00:00:00',4,1,11,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111731479933571122610126095',NULL,'270',57.79,1,3,NULL),(28,7056583,'1991-01-05 00:00:00',4,6,12,2008,'M','N','VILA YOLANDA','OSASCO','SP','125252251226471431645434345125610122057',NULL,'9998',0.00,1,3,NULL),(28,7056591,'1994-01-25 00:00:00',4,2,12,2011,'F','N','ESCOLA AGRICOLA','BLUMENAU','SC','124242241215121231448917275122610144127',17303,'855',40.77,1,3,NULL),(28,7056605,'1993-10-21 00:00:00',4,8,12,2011,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215121731469934571122610164141',7827,'1016',51.82,1,3,NULL),(28,7056613,'1986-11-09 00:00:00',2,1,9,2011,'F','N','JARDIM ELDORADO II','PALHOÇA','SC','124201207217131431435319485114610116057',NULL,'9998',24.75,4,3,NULL),(28,7056621,'1994-04-07 00:00:00',4,4,12,2010,'F','N','CENTRO','FREDERICO WESTPHALEN','RS','120204241316371431448821591124610136082',3000,'1191',58.63,3,3,NULL),(28,7056630,'1994-11-07 00:00:00',4,3,12,2011,'M','N','CENTRO','CPO MOURÃO','PR','116162161411111211469911591125610162117',669,'9998',71.76,1,3,NULL),(28,7056648,'1994-09-07 00:00:00',4,1,11,2011,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215371451479931575112610114042',16323,'270',43.06,1,3,NULL),(28,7056664,'1993-10-12 00:00:00',2,1,12,2011,'F','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124242241215221421344634475122610167077',15089,'299',37.68,1,3,NULL),(28,7056672,'1994-07-14 00:00:00',4,8,11,2011,'F','N','IPEROBA','S FRANCISCO SUL','SC','124241241215132431436614375124610128187',12637,'1016',40.97,1,3,NULL),(28,7056680,'1991-03-29 00:00:00',4,8,11,2008,'F','N','NOVO MUNDO','CURITIBA','PR','116162161215575431453639571112610132187',1968,'9998',63.42,1,3,NULL),(28,7056699,'1994-12-05 00:00:00',2,1,12,2011,'F','N','PETRÓPOLIS','CAXIAS SUL','RS','120201201117371732557814275124610138117',8242,'9998',48.77,1,2,1),(28,7056737,'1994-04-17 00:00:00',4,2,12,2011,'F','N','VILA NOVA','BLUMENAU','SC','124242241117121431468914575112610126192',8985,'855',47.50,1,3,NULL),(28,7056753,'1993-05-21 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472431246912275112610162172',3575,'751',59.44,1,3,NULL),(28,7056761,'1994-05-15 00:00:00',4,8,12,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215112431589714575112610112142',1327,'1063',67.75,1,3,NULL),(28,7056770,'1994-05-01 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212111431358823575122610148092',7001,'273',52.58,1,3,NULL),(28,7056788,'1995-08-28 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241115271721123621215114610168147',17408,'1248',40.51,1,3,NULL),(28,7056796,'1994-05-07 00:00:00',2,4,12,2011,'M','N','CENTRO','SERRA NEGRA','SP','125252251216111431569631575122610147042',17836,'9998',39.37,1,3,NULL),(28,7056800,'1991-08-02 00:00:00',4,1,11,2008,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241217575731567712592122610124015',34,'270',84.17,1,3,NULL),(28,7056818,'1993-06-01 00:00:00',4,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124242241216372431479914575112610134122',3428,'1063',59.12,1,3,NULL),(28,7056826,'1994-05-25 00:00:00',4,8,12,2011,'M','N','MANGABEIRA','CARAMBEÍ','PR','116162162217121431358616575124610162197',NULL,'9998',34.36,1,3,NULL),(28,7056834,'1983-03-22 00:00:00',4,1,12,2000,'M','N','FLORESTA','BELO HORIZONTE','MG','113092131216572421347617315122341267187',352,'9998',73.61,2,3,NULL),(28,7056842,'1994-08-26 00:00:00',4,8,12,2011,'M','N','FLORESTA','JOINVILLE','SC','124242241216112431469911572122610137052',27,'1063',81.61,1,3,NULL),(28,7056850,'1993-04-07 00:00:00',2,1,12,2010,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124242248215472431338923392122133243145',3819,'1050',64.89,1,3,NULL),(28,7056869,'1994-05-11 00:00:00',4,8,12,2011,'F','N','PARQUE TRINDADE I','APARECIDA GOIÂNIA','GO','109091091235111331538924275122610162147',4644,'9998',57.30,1,3,NULL),(28,7056877,'1993-09-26 00:00:00',4,1,12,2010,'M','N','FAZENDINHA','CARAPICUÍBA','SP','125252251217471431448834391124610144012',3452,'9998',58.93,1,3,NULL),(28,7056885,'1992-12-14 00:00:00',2,1,12,2011,'M','N','BELA VISÃO','ILHÉUS','BA','105054051217111431348712472112610157045',NULL,'9998',0.00,1,3,NULL),(28,7056893,'1994-05-14 00:00:00',4,1,12,2011,'F','N','CENTRAL','GOIÂNIA','GO','109092091214111731557833575124610167077',NULL,'9998',32.64,1,3,NULL),(28,7056907,'1992-01-30 00:00:00',4,1,12,2009,'M','N','PAULICEIA','S BERNARDO CAMPO','SP','125252251216472431448834345124610164117',2147,'9998',61.89,3,3,NULL),(28,7056915,'1993-06-01 00:00:00',4,1,12,2010,'F','N','PINGUIRITO','GAROPABA','SC','124241241147472411433312145114610132147',3738,'322',60.61,1,2,1),(28,7056923,'1994-06-10 00:00:00',4,25,12,2011,'F','N','CENTRO','LEBON RÉGIS','SC','124164241216111431529912575122610123182',16398,'885',33.13,1,3,NULL),(28,7056931,'1994-07-23 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121421479913572112610122192',1575,'1022',66.42,1,3,NULL),(28,7056958,'1994-06-13 00:00:00',4,23,11,2011,'M','N','JARDIM LONDRILAR','LONDRINA','PR','116162161217151411469814571122610167081',5019,'9998',55.53,1,3,NULL),(28,7056966,'1994-10-14 00:00:00',2,4,12,2011,'M','N','LÍDER','CHAPECÓ','SC','124242241215111431346632575124610114057',9530,'1192',45.02,4,3,NULL),(28,7056974,'1993-06-02 00:00:00',4,1,12,2010,'M','N','JARDIM VILA PARADISO','INDAIATUBA','SP','125252251217471431488814575122610117042',2510,'9998',61.16,1,3,NULL),(28,7056982,'1994-05-24 00:00:00',2,6,12,2011,'M','N','CENTRO','CLEVELÂNDIA','PR','116163161316131431326917185112610144012',20002,'9998',28.05,1,3,NULL),(28,7056990,'1993-06-18 00:00:00',4,1,12,2010,'F','N','MARISTA','GOIÂNIA','GO','109092091215472411668833575122610164072',10083,'9998',53.58,1,3,NULL),(28,7057008,'1993-09-09 00:00:00',4,1,12,2011,'F','N','REAL PARQUE','S JOSÉ','SC','124241241117131431433313245124610124147',16692,'734',31.98,1,2,1),(28,7057016,'1993-01-31 00:00:00',2,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124241241116133731336613575124130226097',12642,'257',42.93,1,2,1),(28,7057024,'1994-03-15 00:00:00',4,5,12,2011,'M','N','NOSSA SENHORA DE FÁT','IÇARA','SC','124243241215121411343531575124610145181',9039,'995',46.07,1,3,NULL),(28,7057032,'1993-01-06 00:00:00',4,1,12,2011,'F','N','GUARDA DO CUBATAO','PALHOÇA','SC','124242241116131741556514575112610122022',15576,'1175',36.38,1,3,NULL),(28,7057040,'1994-10-16 01:00:00',4,5,11,2011,'F','N','JARDIM ANGÉLICA','CRICIÚMA','SC','124242241215121431435714575122610125077',5446,'226',55.87,1,3,NULL),(28,7057059,'1994-09-15 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241216111411346634575124610126091',424,'737',73.45,1,3,NULL),(28,7057067,'1994-12-15 00:00:00',2,1,12,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241215112231427631572124610162092',5977,'1022',54.83,1,3,NULL),(28,7057075,'1994-05-26 00:00:00',4,1,11,2011,'M','N','CENTRO','MARINGÁ','PR','116162161215271431478932475122610137152',11668,'9998',51.06,1,3,NULL),(28,7057083,'1994-02-19 00:00:00',2,1,12,2011,'F','N','POTECAS','S JOSÉ','SC','124241241115131431543814345124610167052',16532,'727',42.57,1,2,1),(28,7057091,'1993-11-28 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241126472431523914375124610124077',13098,'322',41.54,1,2,1),(28,7057105,'1994-12-18 00:00:00',4,10,11,2011,'M','N','POUSO ALTO','GRAVATAL','SC','124241241215131431435933575124610117147',NULL,'809',30.11,1,3,NULL),(28,7057113,'1993-11-11 00:00:00',4,1,10,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241216111131437724315122610167185',7897,'269',57.29,1,3,NULL),(28,7057121,'1994-11-27 00:00:00',4,1,11,2011,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241217122431388514575124610127142',1694,'270',67.73,1,3,NULL),(28,7057130,'1994-09-18 00:00:00',4,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241212112431446612575122610127042',8638,'723',47.92,1,3,NULL),(28,7057156,'1993-03-25 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124042261232271431339613375122242837011',2153,'9998',64.70,1,3,NULL),(28,7057164,'1993-10-05 00:00:00',4,8,10,2011,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241217111431478932571112610137042',2004,'457',67.18,1,3,NULL),(28,7057172,'1994-06-16 00:00:00',2,26,11,2011,'M','N','CENTRO','IPUMIRIM','SC','124241241215111731426611575124610167142',NULL,'1001',26.50,1,3,NULL),(28,7057180,'1994-02-01 00:00:00',1,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241115162431469933575124610164195',4073,'267',57.66,1,2,1),(28,7057199,'1994-08-10 00:00:00',4,1,12,2011,'F','N','ABADIA','UBERABA','MG','113132131216121431326934575122610133145',9318,'9998',54.85,4,3,NULL),(28,7057210,'1993-10-12 00:00:00',4,1,12,2010,'F','N','CENTRO','PEDREIRA','SP','125254251215371431447732375122610133097',12974,'9998',49.03,1,3,NULL),(28,7057229,'1993-11-03 00:00:00',4,1,12,2010,'F','N','MEDIANEIRA','PTO ALEGRE','RS','120163161216471511349811575114610166113',4053,'9998',57.98,1,3,NULL),(28,7057237,'1991-03-14 00:00:00',2,1,12,2008,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241215112411476833415124221437063',6750,'1050',59.27,1,3,NULL),(28,7057245,'1992-07-06 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243241115372431466711575124121564052',3873,'271',58.76,1,3,NULL),(28,7057253,'1991-05-22 00:00:00',2,16,12,2010,'M','N','BOA VISTA','CAMPOS NOVOS','SC','124241241117141531425429485122610167012',NULL,'139',16.89,1,3,NULL),(28,7057261,'1991-07-30 00:00:00',4,1,12,2008,'F','N','JD BELA VISTA','FOZ IGUAÇU','PR','116163161216273731327973585124610162047',439,'9998',72.67,4,3,NULL),(28,7057270,'1993-12-20 00:00:00',4,6,11,2011,'M','N','GARCIA','SALVADOR','BA','105052051217111431237821575122610137092',5030,'9998',54.91,1,3,NULL),(28,7057288,'1995-06-30 00:00:00',4,6,11,2012,'M','S','CENTRO','ITAJAÍ','SC','124242241217111431477612572122610122192',NULL,'392',13.92,1,3,NULL),(28,7057296,'1994-01-20 00:00:00',4,1,11,2011,'M','N','REAL PARK','S JOSÉ','SC','124242241237112431558831575122610143142',2486,'738',63.79,1,3,NULL),(28,7057300,'1994-06-07 00:00:00',4,1,11,2011,'M','N','CENTRO','CURITIBA','PR','116112161215471331568811575122610137095',NULL,'9998',0.00,3,3,NULL),(28,7057318,'1991-10-26 00:00:00',4,1,12,2009,'F','N','JARDIM ITÁLIA','ITAPETININGA','SP','125252251217471731548833575112610164127',6246,'9998',52.61,1,3,NULL),(28,7057326,'1992-03-31 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241217575431268612594124610124197',217,'270',74.79,1,3,NULL),(28,7057334,'1994-06-16 00:00:00',2,5,11,2011,'F','N','CENTRO','URUSSANGA','SC','124242241215111431526612195114610124192',NULL,'226',26.66,1,3,NULL),(28,7057342,'1978-10-15 00:00:00',2,1,12,1996,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','124241241117131411324319382124131343187',NULL,'9997',32.12,1,2,1),(28,7057350,'1994-09-19 00:00:00',4,5,10,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215151431336934575122610137016',2217,'213',63.30,1,3,NULL),(28,7057369,'1993-08-09 00:00:00',4,1,12,2011,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251215121431589814571112610124112',1553,'9998',68.21,1,3,NULL),(28,7057385,'1990-07-23 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117372431433339146124610127047',13518,'286',48.22,1,2,1),(28,7057393,'1994-02-16 00:00:00',4,8,12,2011,'F','N','SERRA ALTA','S BENTO SUL','SC','124241241315111431535612572124610164197',5452,'1178',61.57,1,3,NULL),(28,7057415,'1990-03-26 00:00:00',2,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241215374431535621275124122333147',2774,'1010',63.02,1,3,NULL),(28,7057423,'1996-02-19 00:00:00',2,1,12,2012,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111531526517375124610134142',NULL,'272',43.88,1,3,NULL),(28,7057431,'1994-12-14 00:00:00',4,1,11,2011,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241215112431459811575114610166191',4184,'270',59.26,1,3,NULL),(28,7057440,'1993-08-17 00:00:00',4,1,12,2010,'M','N','PQ ESMERALDA','AGUDOS','SP','125252251216371431479832275112610127012',1905,'9998',64.85,1,3,NULL),(28,7057458,'1992-01-23 00:00:00',4,1,12,2008,'M','N','CENTRO SUL','DOIS VIZINHOS','PR','116161161116153711346924474112610167052',3225,'9998',61.35,1,2,1),(28,7057466,'1995-01-06 00:00:00',4,9,12,2011,'M','N','PLANALTO','VACARIA','RS','120203201216271431436616595122610127187',15300,'9998',36.20,1,3,NULL),(28,7057474,'1993-05-02 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124241241115171431323519582114610147187',7887,'234',51.23,1,2,1),(28,7057482,'1994-04-09 00:00:00',4,2,11,2010,'M','N','GARCIA','BLUMENAU','SC','124243241215473441558813572122610165142',1020,'855',72.79,1,3,NULL),(28,7057490,'1994-06-22 00:00:00',4,5,12,2011,'F','N','SAO SIMAO','CRICIÚMA','SC','124241241215131431546639575124610114147',16913,'995',41.73,1,3,NULL),(28,7057504,'1994-05-04 00:00:00',4,1,11,2011,'M','N','SETOR AEROPORTO','GOIÂNIA','GO','109092091215111431688821575123610122182',5832,'9998',52.65,1,3,NULL),(28,7057512,'1994-01-09 00:00:00',2,4,12,2011,'F','N','BAIRRO PIONEIRO','PINHALZINHO','SC','124241241115131731426611342125610166052',9874,'616',44.60,1,2,1),(28,7057520,'1983-04-24 00:00:00',4,1,12,2000,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124201208111372211127944141124142332043',NULL,'9998',0.00,1,2,1),(28,7057539,'1994-02-18 00:00:00',4,1,12,2010,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215371431486811575122610128124',12165,'262',42.69,1,3,NULL),(28,7057547,'1992-05-20 00:00:00',4,1,12,2009,'F','N','CENTRO HISTÓRICO','PTO ALEGRE','RS','120202201216573751457923572124241026197',347,'9998',76.13,1,3,NULL),(28,7057555,'1995-11-21 00:00:00',4,1,12,2012,'M','S','CENTRO','TIJUCAS','SC','124242241217111532456923472122610147147',NULL,'262',45.97,1,3,NULL),(28,7057563,'1994-10-19 00:00:00',4,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217121431355923335114610136181',4109,'270',58.87,1,3,NULL),(28,7057571,'1993-02-17 00:00:00',2,8,11,2010,'F','N','JARDIM EUROPA','ITAPEVA','SP','125162161216471731448615575125610164142',3352,'9998',59.35,3,3,NULL),(28,7057580,'1995-08-08 00:00:00',4,1,12,2012,'F','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242246216111431558733575122610123142',NULL,'270',37.47,1,3,NULL),(28,7057601,'1995-01-05 00:00:00',4,4,12,2011,'F','N','CENTRO','SEARA','SC','124243241116161411343814395122610126017',18542,'763',37.10,1,3,NULL),(28,7057610,'1978-06-22 00:00:00',2,1,12,1995,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224244241217373721243352334122121622182',12634,'138',49.57,1,3,NULL),(28,7057636,'1991-09-09 00:00:00',4,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241116473421224823285124610166127',NULL,'307',30.47,1,3,NULL),(28,7057652,'1992-08-09 00:00:00',4,1,12,2009,'F','N','CENTRO','S JOSÉ CAMPOS','SP','125112251217573711438832575124610164182',NULL,'9998',28.26,1,3,NULL),(28,7057679,'1993-10-05 00:00:00',4,25,12,2010,'F','N','MUNICIPIOS','CAÇADOR','SC','116241241116471611426614294124610126147',8780,'122',47.88,1,2,1),(28,7057695,'1994-06-25 00:00:00',4,1,12,2011,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241117471431445923375124610133142',NULL,'307',40.14,1,2,1),(28,7057709,'1972-03-26 00:00:00',4,1,12,1988,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224242241215372421468653472122321267072',9831,'262',53.99,1,3,NULL),(28,7057717,'1995-02-23 00:00:00',2,25,12,2011,'M','N','CENTRO','LEBON RÉGIS','SC','124243241217121731548936572112610117052',8752,'120',49.93,1,3,NULL),(28,7057725,'1995-12-19 00:00:00',4,1,12,2011,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215151411468813375122610164192',3331,'737',66.00,1,3,NULL),(28,7057733,'1994-07-06 00:00:00',4,8,10,2011,'F','N','BUCAREIN','JOINVILLE','SC','124242241215122411368932575112610133072',2858,'1063',61.32,1,3,NULL),(28,7057741,'1994-09-16 00:00:00',4,1,12,2011,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215112441468823575114610132112',5048,'270',55.89,1,3,NULL),(28,7057750,'1995-02-01 00:00:00',4,22,11,2012,'F','S','SANTA RITA','BRUSQUE','SC','124242241215111431468932292122610134182',NULL,'107',56.66,1,3,NULL),(28,7057768,'1993-06-08 00:00:00',2,5,12,2010,'M','N','CENTRO','CRICIÚMA','SC','124241241215372441248923585125610132047',2415,'213',62.65,1,3,NULL),(28,7057776,'1994-08-27 00:00:00',4,4,11,2011,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124243241215112431236729274122610123187',5542,'185',54.22,1,3,NULL),(28,7057784,'1991-11-06 00:00:00',2,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241116274431546613475114230263011',6824,'267',55.21,1,2,1),(28,7057792,'1994-01-04 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215112411448813572122610142142',8578,'1169',49.33,1,3,NULL),(28,7057806,'1992-03-24 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216373431468831575124130262182',1225,'273',67.35,1,3,NULL),(28,7057814,'1993-03-13 00:00:00',4,3,12,2010,'M','N','BOMBAS','BOMBINHAS','SC','124242243215372431426729572114610132092',3570,'1119',59.51,1,3,NULL),(28,7057830,'1993-04-13 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431488612575122130234142',1624,'270',64.90,1,3,NULL),(28,7057857,'1993-06-12 00:00:00',2,27,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124241241126161231327713485124232266142',NULL,'715',27.01,1,2,1),(28,7057873,'1994-01-16 00:00:00',4,1,11,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215112431489813471122610134032',1800,'270',64.90,1,3,NULL),(28,7057881,'1994-08-09 00:00:00',2,1,11,2011,'F','N','LESTE UNIVERSITARIO','GOIÂNIA','GO','109092091214111431169629575124610126172',NULL,'9998',0.00,1,3,NULL),(28,7057903,'1992-10-19 00:00:00',4,8,12,2010,'F','N','NOVA BRASÍLIA','JOINVILLE','SC','124241241215272411548624435114610134077',5655,'1016',55.47,1,3,NULL),(28,7057911,'1994-08-31 00:00:00',4,26,12,2011,'F','N','CENTRO','PINHALZINHO','SC','124241242116131231349913435122610127141',13099,'196',40.48,1,2,1),(28,7057946,'1994-11-05 00:00:00',4,1,12,2011,'M','N','SACO DOS LIMÔES','FLORIANÓPOLIS','SC','124242241217111731469734275124610165092',NULL,'262',33.90,1,3,NULL),(28,7057970,'1993-12-05 00:00:00',4,15,12,2011,'F','N','CENTRO','LAURO FREITAS','BA','105054051116131231128679395124610122142',14425,'9998',39.36,2,1,2),(28,7057989,'1990-02-08 00:00:00',4,1,12,2007,'M','N','NONOAI','PTO ALEGRE','RS','120202201212471411437812375112143262031',2579,'9998',61.82,1,3,NULL),(28,7057997,'1994-04-07 00:00:00',2,10,11,2011,'M','N','SÃO BASÍLIO','BRAÇO NORTE','SC','124244241215111431436634272121610127042',12169,'102',40.96,1,3,NULL),(28,7058004,'1990-11-19 00:00:00',2,2,12,2007,'F','N','VOLTA GRANDE','RIO NEGRINHO','SC','124241241315514411654912575122131557142',1654,'666',66.70,1,3,NULL),(28,7058020,'1995-03-28 00:00:00',2,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241211111431326611282122610168097',12933,'1118',41.61,1,3,NULL),(28,7058039,'1993-08-24 00:00:00',4,1,12,2011,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124202241112371431256939572122610162097',10677,'267',48.40,1,3,NULL),(28,7058047,'1995-08-21 00:00:00',4,1,11,2012,'F','S','MOSSUNGUÊ','CURITIBA','PR','116162161217111431479932575122610133012',NULL,'9998',49.92,1,3,NULL),(28,7058055,'1993-08-30 00:00:00',2,8,12,2010,'M','N','N SR DE LOURDES','CAMPOS NOVOS','SC','124242241216372431449614475124610137067',2977,'138',60.94,1,3,NULL),(28,7058063,'1991-02-28 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241242116574521343923575114610162095',2925,'129',62.21,1,2,1),(28,7058071,'1993-06-30 00:00:00',4,1,12,2010,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241215372431568712572114610127042',5147,'270',56.34,1,3,NULL),(28,7058080,'1993-07-24 00:00:00',4,1,12,2010,'M','N','JARDINS','ARACAJU','SE','126262261216112431488813375122610131197',184,'9998',75.06,4,3,NULL),(28,7058098,'1994-06-08 00:00:00',4,24,11,2011,'M','N','CENTRO','RIO SUL','SC','124242241215121431569712345112610134062',4224,'663',57.60,1,3,NULL),(28,7058101,'1994-02-25 00:00:00',2,1,12,2011,'F','N','PASSA VINTE','PALHOÇA','SC','124241241215272431336923575124610123017',4207,'1022',60.61,1,3,NULL),(28,7058128,'1986-12-20 00:00:00',2,1,12,2005,'F','N','PENHA','CARIÚS','CE','106061061116131731322229135115141218197',NULL,'9998',0.00,4,2,1),(28,7058136,'1994-01-09 00:00:00',4,5,11,2011,'M','N','VILA RICA','SIDERÓPOLIS','SC','124244241216131431448919574124610137112',4519,'213',57.25,1,3,NULL),(28,7058144,'1989-05-26 00:00:00',4,6,12,2007,'M','N','CENTRO','BAL CAMBORIÚ','SC','124162241217275751459834575123130664122',12092,'1038',50.40,1,3,NULL),(28,7058160,'1994-04-05 00:00:00',4,3,11,2011,'F','N','JARDIM JAMAICA','LONDRINA','PR','116162161215111331579923584112610134147',NULL,'9998',0.00,1,3,NULL),(28,7058179,'1994-01-26 00:00:00',4,8,12,2011,'M','N','CENTRO','S BENTO SUL','SC','124242241215111441327823275122610147051',NULL,'1178',0.00,1,3,NULL),(28,7058187,'1994-03-11 00:00:00',4,8,12,2011,'M','N','PARQUE DOS JEQUITIBA','S JOÃO B VISTA','SP','125252251215121431439933575122610147142',8168,'9998',52.05,1,3,NULL),(28,7058195,'1992-12-22 00:00:00',2,9,12,2010,'F','N','HERCILIO V DO AMARAL','S JOAQUIM','SC','124241242147131731423611286122230224142',NULL,'903',21.52,1,3,NULL),(28,7058209,'1992-03-14 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217573431479912471112610164035',118,'262',81.31,1,3,NULL),(28,7058225,'1990-03-04 00:00:00',4,8,12,2007,'M','N','GUANABARA','JOINVILLE','SC','124241246215472711447714475122133244012',278,'1105',73.90,1,3,NULL),(28,7058233,'1993-09-28 00:00:00',2,1,12,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124244241216132411228624345121231067097',NULL,'1075',0.00,1,3,NULL),(28,7058241,'1993-02-16 00:00:00',4,1,12,2010,'M','N','CENTRO','ITUMBIARA','GO','109092091215471431154612571121610165052',778,'9998',69.20,1,3,NULL),(28,7058250,'1993-06-07 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215373431459814275124121437042',360,'970',73.80,1,3,NULL),(28,7058276,'1990-03-26 00:00:00',4,1,12,2007,'F','N','MOOCA','S PAULO','SP','125252251216571441463629475125610123017',1717,'9998',64.40,1,3,NULL),(28,7058284,'1991-01-18 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124064061112372711338913585124231064077',8873,'9998',46.43,1,3,NULL),(28,7058292,'1994-08-26 00:00:00',4,10,11,2011,'F','N','CENTRO','TUBARÃO','SC','124242241215112431458911575122610162147',1291,'807',67.26,1,3,NULL),(28,7058306,'1989-02-21 00:00:00',4,2,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242247236271441433339285122331327055',NULL,'9999',0.00,1,3,NULL),(28,7058314,'1994-10-18 00:00:00',2,5,12,2011,'M','N','CENTRO','COCAL SUL','SC','124242246217141431449712575122610137112',13483,'188',39.85,1,3,NULL),(28,7058322,'1994-07-24 00:00:00',4,1,12,2011,'M','N','VILA NASSER','CPO GRANDE','MS','112122121216121431489933575122610144017',57,'9998',80.81,4,3,NULL),(28,7058330,'1979-06-20 00:00:00',2,1,12,1999,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201205116143721223344445134123263147',13467,'9998',48.30,1,3,NULL),(28,7058349,'1993-11-30 00:00:00',4,7,12,2011,'M','N','VILA ROBERTO','MOGI GUAÇU','SP','125252251216121431356732575112610142186',1885,'9998',63.26,1,3,NULL),(28,7058357,'1993-08-06 00:00:00',4,6,12,2010,'F','N','FAZENDA IMPERIAL','SOROCABA','SP','125252251214471411448814575122610164147',7884,'9998',57.31,1,3,NULL),(28,7058365,'1994-04-22 00:00:00',4,1,11,2011,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091216111431354921595122610163182',1664,'9998',66.62,4,3,NULL),(28,7058373,'1993-11-16 00:00:00',2,1,11,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241215473431476913574124610123142',4664,'807',57.63,1,3,NULL),(28,7058381,'1994-06-13 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162241215121431448934575114610117142',NULL,'270',29.22,1,3,NULL),(28,7058390,'1993-01-08 00:00:00',2,1,12,2011,'F','N','GANCHOS DE FORA','GOV CELSO RAMOS','SC','124241243116141731334614395124610132152',NULL,'306',30.52,1,2,1),(28,7058403,'1992-03-15 00:00:00',4,1,12,2009,'M','N','VILA MARIANA','S PAULO','SP','125252251217571431579813575124610127047',258,'9998',75.82,4,3,NULL),(28,7058420,'1995-08-27 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217151431458914572122610132142',13328,'272',48.51,1,3,NULL),(28,7058438,'1994-03-05 00:00:00',4,10,10,2011,'M','N','PASSAGEM','TUBARÃO','SC','124241241215151431538824374111610162091',3886,'797',60.13,1,3,NULL),(28,7058446,'1994-11-21 00:00:00',4,8,11,2011,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241217121431459414575122610133142',10457,'931',44.09,1,3,NULL),(28,7058454,'1992-02-11 00:00:00',4,8,12,2010,'M','N','SÃO LOURENÇO','CURITIBA','PR','116162163116571431576933574122141067081',1734,'9998',65.96,1,3,NULL),(28,7058462,'1991-07-08 00:00:00',2,1,11,2009,'F','N','BOM VIVER','BIGUAÇU','SC','124243241131152751566313487114610168197',18604,'257',27.74,1,3,NULL),(28,7058470,'1992-03-15 00:00:00',4,15,12,2009,'M','N','CENTRO','SOMBRIO','SC','124241241137131431224432385111133232012',17213,'1033',40.98,1,2,1),(28,7058489,'1991-07-22 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241122373431424631272124610167092',19072,'295',28.47,1,2,1),(28,7058500,'1994-07-22 00:00:00',4,8,11,2011,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215121431448614442112610164051',1343,'1063',69.74,1,3,NULL),(28,7058527,'1993-08-23 00:00:00',4,1,12,2010,'F','N','CENTRO','CPO GRANDE','MS','112122121215272431379813234125610127097',4151,'9998',57.66,2,1,2),(28,7058535,'1994-03-21 00:00:00',4,10,11,2010,'M','N','CENTRO','TUBARÃO','SC','124242241217143431258622395122232834022',NULL,'807',15.94,1,3,NULL),(28,7058543,'1985-03-20 00:00:00',4,8,12,2007,'F','N','INAJÁ','MATINHOS','PR','116161161146132511421444345224243236027',NULL,'9998',30.99,4,2,1),(28,7058551,'1994-10-11 00:00:00',2,1,2,2012,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241245216131751526614392124610118197',NULL,'300',31.95,4,3,NULL),(28,7058560,'1992-12-24 00:00:00',2,1,12,2011,'F','N','JARDIM COLOMBO','S PAULO','SP','125254251117271731568613572122610164127',NULL,'9998',0.00,1,3,NULL),(28,7058578,'1994-08-19 00:00:00',4,1,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111411386923275125610144017',3703,'1038',59.42,1,3,NULL),(28,7058586,'1995-07-09 00:00:00',4,4,11,2011,'M','N','CENTRO','FAXINAL GUEDES','SC','124242241235111732359612345122610127041',NULL,'836',0.00,1,3,NULL),(28,7058594,'1994-05-14 00:00:00',4,1,11,2011,'M','N','CENTRO','JUNQUEIRÓPOLIS','SP','125254251217111431356833575122610132187',12532,'9998',41.03,3,3,NULL),(28,7058608,'1994-09-20 00:00:00',4,8,12,2011,'F','N','PARQUE MARISTA','S BENTO SUL','SC','124242241217121411489819575122610144072',3854,'1178',57.11,1,3,NULL),(28,7058616,'1992-11-11 00:00:00',4,1,12,2009,'F','N','JARDIM FLÓRIDA','JACAREÍ','SP','125252251217571431469611575122610167072',5428,'9998',54.63,1,3,NULL),(28,7058632,'1993-02-18 00:00:00',4,1,12,2010,'F','N','VILA PETROPOLIS','ATIBAIA','SP','125252251216471431589912575122610164141',NULL,'9998',0.00,1,3,NULL),(28,7058640,'1992-10-16 00:00:00',4,1,12,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241317472441558613375124221466032',4606,'300',63.18,3,3,NULL),(28,7058659,'1994-02-23 00:00:00',2,15,12,2011,'M','N','CENTRO','STA ROSA SUL','SC','124243242116131712436632575121610117147',NULL,'690',0.00,1,3,NULL),(28,7058667,'1993-11-26 00:00:00',4,26,12,2011,'M','N','ÁGUAS','IPATINGA','MG','113132131217121431467712575112610134042',3147,'9998',61.52,1,3,NULL),(28,7058675,'1993-11-19 00:00:00',2,1,12,2011,'F','N','JURERE','FLORIANÓPOLIS','SC','124242241215111431346512275114610163042',19738,'1048',30.74,1,3,NULL),(28,7058683,'1992-04-16 00:00:00',4,8,12,2009,'F','N','CRISTO REI','CURITIBA','PR','116163161216271431528612575124241542127',NULL,'9998',0.00,1,3,NULL),(28,7058705,'1993-12-17 00:00:00',4,8,12,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124244241215472231358613575124610144092',7012,'1016',53.37,1,3,NULL),(28,7058713,'1992-03-24 00:00:00',1,8,12,2009,'F','N','CAMPO BELO','S PAULO','SP','125252251217411431269911575122610166096',NULL,'9998',0.00,1,3,NULL),(28,7058748,'1991-02-02 00:00:00',4,1,12,2008,'M','N','MORUMBI','S PAULO','SP','125252251217511431679812475124610144092',1147,'9998',70.17,3,3,NULL),(28,7058756,'1992-08-26 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216524331154412575122613223142',977,'807',70.81,1,3,NULL),(28,7058764,'1994-02-18 00:00:00',4,8,12,2011,'F','N','MATA DA PRAIA','VITÓRIA','ES','108082081217121731579931575122610125147',NULL,'9998',0.00,3,3,NULL),(28,7058772,'1994-10-03 00:00:00',2,15,12,2011,'F','N','SÃO CRISTOVÃO','TURVO','SC','124241241115111131426633335121610124147',NULL,'814',0.00,1,2,1),(28,7058780,'1989-10-19 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217374411368911575124221448095',1090,'262',69.80,1,3,NULL),(28,7058799,'1990-12-03 00:00:00',4,1,12,2008,'F','N','COSTEIRA DOPIRAJUBAE','FLORIANÓPOLIS','SC','124251251117473431546714375114610126072',6244,'9998',54.01,1,2,1),(28,7058802,'1994-05-18 00:00:00',4,1,11,2011,'M','N','FLORESTA','S JOSÉ','SC','124242241215111431436631572124610117045',5757,'1022',52.61,1,3,NULL),(28,7058829,'1993-03-19 00:00:00',2,15,12,2011,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241116272431539733445122610167052',14335,'29',38.49,4,3,NULL),(28,7058837,'1991-02-04 00:00:00',4,1,12,2008,'F','N','PIRITUBA','S PAULO','SP','125252251217571431668814183114610164073',149,'9998',77.89,4,3,NULL),(28,7058845,'1993-03-01 00:00:00',2,1,12,2010,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241136342421553311245134610122143',11442,'307',46.32,1,2,1),(28,7058870,'1987-07-25 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241117472431358929375112231264127',1810,'306',66.08,1,3,NULL),(28,7058888,'1994-04-20 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372421478821572122610112147',2031,'270',65.51,1,3,NULL),(28,7058896,'1994-08-08 00:00:00',4,8,12,2011,'M','N','JARDIM CIDADE MONÇÕE','MARINGÁ','PR','116162161215111431468631575122610162196',2953,'9998',62.04,1,3,NULL),(28,7058900,'1994-07-18 00:00:00',4,9,11,2011,'M','N','SAGRADO','LAGES','SC','124242241215111431369713575122610164187',9992,'1207',45.46,1,3,NULL),(28,7058934,'1993-11-05 00:00:00',4,1,12,2010,'F','N','AGRONOMIA','PTO ALEGRE','RS','120202201216471731479933496124610123142',6229,'9998',53.34,1,3,NULL),(28,7058969,'1992-03-25 00:00:00',2,1,12,2008,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120201201116572751547933381124141366077',5082,'9998',58.07,2,1,1),(28,7058977,'1992-10-21 00:00:00',2,1,12,2010,'F','N','LANGUIRU','TEUTÔNIA','RS','120203201216471731447839391124610127187',13572,'9998',40.69,1,3,NULL),(28,7058985,'1965-10-09 00:00:00',2,1,7,1998,'F','N','TRINDADE','FLORIANÓPOLIS','SC','524161167116134711323349245124131814147',16220,'9998',43.29,1,3,NULL),(28,7058993,'1991-09-12 00:00:00',4,1,11,2010,'F','N','PARQUE JOÃO RAMALHO','STO ANDRÉ','SP','125252251216421751468814575112610168047',14454,'9998',36.73,1,3,NULL),(28,7059027,'1992-08-15 00:00:00',2,9,12,2009,'M','N','COPACABANA','LAGES','SC','124243241116373411439614575124231446092',12752,'507',43.23,1,3,NULL),(28,7059035,'1994-02-10 00:00:00',4,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241211112431326514171125610123057',8869,'737',49.00,1,3,NULL),(28,7059043,'1991-10-12 00:00:00',4,1,12,2009,'M','N','CAMPO GRANDE','SANTOS','SP','125252251215571431366923571122610127047',NULL,'9998',0.00,1,3,NULL),(28,7059051,'1993-02-23 00:00:00',4,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115131711324613592124610134187',17623,'307',29.32,1,2,1),(28,7059060,'1994-07-04 00:00:00',4,22,12,2011,'F','N','CENTRO','BRUSQUE','SC','124241241116271431333724145122610124147',8063,'110',50.20,4,2,1),(28,7059086,'1994-08-30 00:00:00',4,24,12,2011,'F','N','BELA VISTA','IBIRAMA','SC','124242241216161431349613575122610126052',2568,'346',61.14,1,3,NULL),(28,7059094,'1993-03-01 00:00:00',2,1,12,2010,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241117372711543411241124610167142',18741,'307',36.32,1,2,1),(28,7059108,'1992-03-02 00:00:00',4,8,12,2009,'M','N','FLORESTA','JOINVILLE','SC','124242241216573431479611375122610137042',833,'1063',71.47,1,3,NULL),(28,7059116,'1994-04-03 00:00:00',4,1,11,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241415111431268922385124610167042',19565,'270',32.27,1,3,NULL),(28,7059124,'1994-09-10 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124244241215271431566933375122610137182',NULL,'1078',21.25,1,3,NULL),(28,7059132,'1992-07-14 00:00:00',4,4,12,2009,'F','N','INDEPENDENCIA','PTO ALEGRE','RS','120202201316471731648614575124241464047',7173,'9998',51.62,1,3,NULL),(28,7059140,'1991-10-20 01:00:00',4,1,12,2008,'M','N','LAPA','S PAULO','SP','125252251217111411456831375121243264117',NULL,'9998',0.00,1,3,NULL),(28,7059167,'1990-03-07 00:00:00',2,1,12,2007,'F','N','JARDIM INDEPENDENCIA','RIBEIRÃO PRETO','SP','125252251211522421557614575122610118046',5153,'9998',62.12,1,3,NULL),(28,7059175,'1994-11-17 00:00:00',4,1,12,2011,'M','N','JURERE','FLORIANÓPOLIS','SC','120202201216371531469931575124610134042',5193,'9998',54.30,1,3,NULL),(28,7059183,'1990-11-28 00:00:00',4,1,12,2008,'M','N','CENTRO','CORDEIRÓPOLIS','SP','125254251215571431458912575122610167052',1740,'9998',64.14,1,3,NULL),(28,7059191,'1994-08-30 00:00:00',4,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124241241115271411425614572114610116197',NULL,'739',35.53,1,2,1),(28,7059205,'1993-01-14 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241225472431543613475114610124077',7843,'524',56.37,1,3,NULL),(28,7059221,'1994-06-07 00:00:00',4,1,12,2011,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241217272451357817575124610148192',82,'262',80.62,4,3,NULL),(28,7059230,'1993-09-06 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124164161216131432626671345114610124047',14834,'9998',37.30,1,3,NULL),(28,7059248,'1993-08-18 00:00:00',2,5,12,2011,'M','N','PRESIDENTE VARGAS','IÇARA','SC','124242241215111431538514575124610153032',8944,'210',47.86,1,3,NULL),(28,7059256,'1989-04-20 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241126131711636621215123133024142',NULL,'9997',35.29,1,3,NULL),(28,7059264,'1994-03-17 00:00:00',2,7,12,2010,'M','N','CIDADE ALTA','VIDEIRA','SC','124241241137131731433334145124233224192',11655,'831',43.31,3,2,1),(28,7059272,'1995-11-07 00:00:00',4,17,12,2012,'M','S','ALTO DE MAFRA','MAFRA','SC','124242241216111432489831575112610122092',NULL,'9997',49.34,1,3,NULL),(28,7059280,'1994-09-14 00:00:00',4,1,12,2011,'M','N','NEVA','CASCAVEL','PR','116162161217121442469933575112610122032',77,'9998',81.42,1,3,NULL),(28,7059299,'1992-08-30 00:00:00',2,5,12,2009,'F','N','RECANTO VERDE','CRICIÚMA','SC','124244241217371411443419342114610165013',15221,'9997',45.19,1,3,NULL),(28,7059302,'1994-05-30 00:00:00',4,4,12,2011,'M','N','CENTRO','CHAPECÓ','SC','124164241115371431333821241124610126172',15902,'182',35.38,4,3,NULL),(28,7059329,'1990-06-27 00:00:00',4,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','224242241215271431236651472114610168197',12699,'797',49.43,1,3,NULL),(28,7059345,'1991-09-18 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124202201615573431336611575124610136032',5024,'9998',57.46,1,3,NULL),(28,7059353,'1994-08-02 00:00:00',4,17,12,2011,'F','N','CENTRO','CANOINHAS','SC','124241241115371431535611575122610124187',8206,'146',48.02,1,2,1),(28,7059361,'1993-03-17 00:00:00',4,15,12,2009,'F','N','CENTRO','VACARIA','RS','120201205117141431333923345122610122092',NULL,'9998',32.63,1,2,1),(28,7059388,'1995-10-09 00:00:00',4,1,11,2012,'F','S','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241217111731363622195124610124152',NULL,'1022',39.43,1,3,NULL),(28,7059400,'1993-12-10 00:00:00',2,23,12,2011,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215161411358924372112610128142',NULL,'424',31.72,1,3,NULL),(28,7059418,'1993-04-13 00:00:00',4,3,12,2010,'M','N','CENTRO','CAMBORIÚ','SC','124242242116372431423519585123130637072',11438,'129',43.87,1,3,NULL),(28,7059426,'1992-08-27 00:00:00',2,3,12,2009,'F','N','EMILIANO PERNETA','PINHAIS','PR','116164161116572441238729571124610142077',3129,'9998',62.48,4,3,NULL),(28,7059434,'1992-07-10 00:00:00',4,1,12,2010,'F','N','JARDINS FLORENCA','GOIÂNIA','GO','109092091215371431478811571122610112116',NULL,'9998',0.00,1,3,NULL),(28,7059442,'1994-05-10 00:00:00',4,22,11,2011,'F','N','ÁGUAS CLARAS','BRUSQUE','SC','124242241215111431378833575122610143092',8399,'107',47.30,1,3,NULL),(28,7059469,'1994-12-26 00:00:00',4,8,12,2011,'M','N','VILA NOVA','JOINVILLE','SC','124241241136471431338933285124610126017',11012,'473',44.46,1,2,1),(28,7059477,'1994-11-27 00:00:00',2,2,11,2011,'F','N','ESCOLA AGRICOLA','BLUMENAU','SC','124242241215211431489914595112610127185',15386,'855',37.15,1,3,NULL),(28,7059485,'1988-08-23 00:00:00',2,1,12,2002,'F','N','FORQUILHINHAS','S JOSÉ','SC','124243241322151431324364345114610163037',NULL,'308',13.02,1,3,NULL),(28,7059507,'1992-10-15 00:00:00',4,1,12,2009,'F','N','BAIRRO PETRÓPOLIS','PTO ALEGRE','RS','124242241212374431233623374124133263091',1417,'273',67.92,1,3,NULL),(28,7059515,'1994-06-23 00:00:00',4,24,11,2011,'F','N','BUGAD','RIO SUL','SC','124242241215371431469613572122610133142',12130,'654',41.95,1,3,NULL),(28,7059523,'1994-06-06 00:00:00',4,23,12,2011,'M','N','AVAÍ','GUARAMIRIM','SC','124241241137141431448934275122610164045',13358,'335',37.18,1,2,1),(28,7059531,'1995-09-10 00:00:00',4,24,12,2013,'M','S','SUMARÉ','RIO SUL','SC','124242241217151431366811275122610168192',NULL,'654',60.95,1,3,NULL),(28,7059566,'1994-08-11 00:00:00',4,1,12,2011,'M','N','CAMPO DE FORA','LAGUNA','SC','124242241215151711238923572121610164092',7404,'525',49.81,1,3,NULL),(28,7059582,'1994-05-06 00:00:00',2,1,12,2011,'F','N','SETOR NOVA QUERÊNCIA','QUERÊNCIA','MT','111113111136271731526736575121610134097',15608,'9998',44.50,1,3,NULL),(28,7059590,'1994-01-04 00:00:00',4,3,12,2011,'F','N','CASCATINHA','CURITIBA','PR','116162161216111411578833475122610156075',3315,'9998',63.25,1,3,NULL),(28,7059604,'1993-11-23 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115272431455614345114610137145',NULL,'307',18.70,1,2,1),(28,7059612,'1994-09-21 00:00:00',4,2,12,2011,'M','N','CARIJÓS','INDAIAL','SC','124241241132141431433611215134610118177',NULL,'887',23.28,1,2,1),(28,7059647,'1994-05-14 00:00:00',4,1,12,2011,'M','N','JARDIM MANSUR','CPO GRANDE','MS','112122121215111431367613575122610164197',NULL,'9998',0.00,4,3,NULL),(28,7059655,'1994-03-08 00:00:00',4,1,12,2011,'M','N','BATEL','CURITIBA','PR','116162161215121431378834575112610168125',NULL,'9998',0.00,1,3,NULL),(28,7059663,'1994-10-24 00:00:00',2,5,12,2011,'F','N','ANA MARIA','CRICIÚMA','SC','124242241215131431336624475124610122047',NULL,'213',0.00,1,3,NULL),(28,7059680,'1994-08-14 00:00:00',2,10,11,2011,'F','N','REVOREDO','TUBARÃO','SC','124243241215111431333622575122610121052',13966,'807',47.47,1,3,NULL),(28,7059698,'1994-03-18 00:00:00',4,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241131471431325314575124610127182',10810,'281',47.48,1,2,1),(28,7059701,'1990-03-19 00:00:00',2,1,6,2010,'M','N','FORQUILINHAS','S JOSÉ','SC','124203207646151631522314442334131027147',NULL,'9998',23.01,1,3,NULL),(28,7059728,'1994-10-27 00:00:00',2,1,1,2012,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241145111431316414342124613252014',NULL,'592',26.28,2,1,1),(28,7059736,'1994-08-04 00:00:00',2,1,12,2011,'F','N','CENTRO','S JOSÉ','SC','124241241116371431623335595124610124052',14185,'728',37.96,1,2,1),(28,7059744,'1991-12-10 00:00:00',4,1,10,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216133411428624575124222221092',15864,'269',43.96,1,3,NULL),(28,7059752,'1996-02-24 00:00:00',4,22,11,2013,'F','S','SANTA RITA','BRUSQUE','SC','124241241215111231443312174122610146092',NULL,'1244',51.28,1,3,NULL),(28,7059760,'1990-01-05 00:00:00',4,1,12,2008,'M','N','VILA PLANALTO','BRASÍLIA','DF','107073071217571431478934571122610147167',NULL,'9998',38.81,1,3,NULL),(28,7059787,'1994-07-24 00:00:00',2,1,12,2011,'F','N','RIO GRANDE','PALHOÇA','SC','124241241116471431446614275124610124142',12243,'739',42.10,4,2,1),(28,7059809,'1988-07-11 00:00:00',2,1,7,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243247416341411334623345124132122112',NULL,'977',0.00,1,3,NULL),(28,7059825,'1994-11-23 00:00:00',4,1,11,2011,'M','N','CHACARA CAICHOEIRA','CPO GRANDE','MS','112122121215371731388814475124613262192',5218,'9998',56.80,4,3,NULL),(28,7059833,'1994-06-18 00:00:00',4,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431469913575122610136143',5122,'738',55.51,1,3,NULL),(28,7059841,'1994-05-03 00:00:00',4,26,12,2011,'M','N','ALTO DA BOA VISTA','S PAULO','SP','125243251116471431456923575124610126197',80,'9998',78.28,1,3,NULL),(28,7059850,'1992-10-19 00:00:00',4,1,12,2010,'F','N','ALTO DA BOA VISTA','SOROCABA','SP','125252251217472431468822575122610167182',1224,'9998',69.07,1,3,NULL),(28,7059868,'1993-11-18 00:00:00',2,1,12,2010,'F','N','GUARUJÁ','PTO ALEGRE','RS','120202201217472411239913595124610165147',16950,'9998',33.47,1,3,NULL),(28,7059876,'1994-03-11 00:00:00',4,8,11,2011,'M','N','GUANABARA','JOINVILLE','SC','124241241215111431433631575114610142141',12853,'1016',49.22,1,3,NULL),(28,7059892,'1993-12-08 00:00:00',4,4,12,2010,'F','N','INTERIOR','MARAVILHA','SC','124241241116471431553535575124610126172',5443,'552',57.08,1,2,1),(28,7059906,'1994-10-18 00:00:00',4,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124242241212131531458833375115610166092',4949,'989',55.60,1,3,NULL),(28,7059914,'1994-01-03 00:00:00',4,1,12,2011,'F','N','SANTA TEREZA','S PEDRO ALCÂNTARA','SC','124241241121161431546632572124610123052',16100,'869',33.60,1,2,1),(28,7059922,'1993-02-28 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242244215422431443734572112610117091',15304,'1022',39.32,1,3,NULL),(28,7059949,'1993-05-07 00:00:00',2,4,12,2010,'F','N','LINHA SÃO JOSÉ','QUILOMBO','SC','124241241116372311423335572315610128187',12559,'648',40.75,1,2,1),(28,7059957,'1994-07-14 00:00:00',4,1,12,2011,'F','N','CENTRO','PIRAÍ SUL','PR','116163161416111431359829575125610131147',18986,'9998',26.51,4,3,NULL),(28,7059965,'1971-04-25 00:00:00',2,1,12,1989,'F','N','ROÇADO','S JOSÉ','SC','224241245126133431451353335122322226187',14892,'12',45.82,1,2,1),(28,7059981,'1993-09-11 00:00:00',2,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124241241115271231626654345114610127042',NULL,'257',25.95,1,2,1),(28,7059990,'1995-04-24 00:00:00',2,1,12,2011,'F','N','ROSA MARIA','GRAVATAÍ','RS','120202201117471211438313575124610114147',NULL,'9998',0.00,1,3,NULL),(28,7060009,'1994-08-05 00:00:00',4,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124241241116471431446733572124610137097',NULL,'591',18.53,1,2,1),(28,7060017,'1982-03-26 00:00:00',2,2,11,2004,'F','N','FORTALEZA','BLUMENAU','SC','124241248346242421433429335113610112177',NULL,'9997',26.66,1,3,NULL),(28,7060025,'1992-11-27 00:00:00',2,1,12,2010,'F','N','TRISTEZA','PTO ALEGRE','RS','120202208217471711425634472114610133117',17615,'9998',33.33,1,3,NULL),(28,7060041,'1972-01-07 00:00:00',4,1,12,1989,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124202241216151411258843435132343262043',NULL,'9998',0.00,1,3,NULL),(28,7060050,'1994-07-24 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241217371431538931575124610164125',4574,'989',55.23,4,1,2),(28,7060068,'1985-03-13 00:00:00',4,1,12,2003,'M','N','CAMPINAS','S JOSÉ','SC','124241241126152411134349395123121164182',NULL,'610',35.25,1,3,NULL),(28,7060076,'1993-08-23 00:00:00',2,1,12,2010,'F','N','JARDIM DAS INDUSTRIA','S JOSÉ CAMPOS','SP','125251256217471431336414275124610134112',9540,'9998',43.62,4,3,NULL),(28,7060084,'1994-02-16 00:00:00',2,1,12,2011,'F','N','SÃO JOÉ','S JOSÉ','SC','124241246215111411323334245121610112142',NULL,'1075',17.71,1,3,NULL),(28,7060092,'1994-03-22 00:00:00',4,1,12,2011,'F','N','REBOUÇAS','CURITIBA','PR','116163161217121431448814471113610164092',9117,'9998',45.61,1,3,NULL),(28,7060106,'1990-04-21 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241147141731623333242114610164197',NULL,'257',16.93,1,2,1),(28,7060122,'1990-09-15 00:00:00',4,1,12,2007,'M','N','CHÁCARA BELENZINHO','S PAULO','SP','125254251216271431547818415123241237032',NULL,'9998',0.00,1,3,NULL),(28,7060130,'1993-05-10 00:00:00',4,1,12,2010,'F','N','ALPHAVILLE','GOIÂNIA','GO','109092091217471431469937571122610163072',836,'9998',68.60,1,3,NULL),(28,7060149,'1994-02-07 00:00:00',4,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115371431434414575121610127062',12707,'592',38.87,1,2,1),(28,7060157,'1995-05-04 00:00:00',4,1,12,2011,'F','N','CENTRO','GAROPABA','SC','124241241127151431326623575124610114147',19785,'322',30.41,1,2,1),(28,7060173,'1994-01-01 00:00:00',2,1,12,2010,'M','N','INÁCIO BARBOSA','ARACAJU','SE','126262261217111431568931574112610127022',2077,'9998',65.97,1,3,NULL),(28,7060181,'1991-05-16 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241215473431466619575122221422072',7642,'270',57.73,1,3,NULL),(28,7060190,'1993-03-24 00:00:00',2,1,12,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124122121236142431416621315114220968192',8961,'9998',48.29,1,3,NULL),(28,7060203,'1993-06-22 00:00:00',4,1,12,2010,'M','N','CENTRO','CURITIBA','PR','116222221116471341338831592125610167042',NULL,'9998',0.00,1,3,NULL),(28,7060211,'1994-10-27 00:00:00',4,1,12,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111431568813575114610121017',8804,'883',50.07,1,3,NULL),(28,7060220,'1995-07-26 00:00:00',4,1,11,2010,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241216111431568712275124610134157',12766,'270',49.34,1,3,NULL),(28,7060246,'1993-12-10 00:00:00',4,1,12,2011,'F','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125222251215121431488932575122610123192',6371,'9998',51.42,1,3,NULL),(28,7060254,'1993-12-12 00:00:00',4,8,12,2011,'F','N','ITINGA','ARAQUARI','SC','124241241137271311223329395221610114197',NULL,'470',0.00,1,2,1),(28,7060262,'1993-10-16 00:00:00',4,1,12,2011,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242246117141421437614345124610167011',9411,'306',46.94,1,3,NULL),(28,7060270,'1993-06-22 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241217472431336339575114610124182',5861,'797',52.51,1,3,NULL),(28,7060289,'1994-07-04 00:00:00',4,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117271711426629395124610125142',NULL,'307',32.76,1,2,1),(28,7060300,'1988-08-18 00:00:00',2,1,12,2006,'F','N','FORQUILHINHAS','S JOSÉ','SC','124204201116573431446313275124143265047',10296,'9998',45.71,4,3,NULL),(28,7060351,'1992-09-28 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217373231689812475112610167185',5575,'270',56.23,4,3,NULL),(28,7060360,'1994-06-13 00:00:00',4,8,12,2011,'M','N','COMASA','JOINVILLE','SC','124241246215371431446823575124610133142',6886,'1105',50.67,1,3,NULL),(28,7060378,'1992-01-03 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241142574411365933575124610164047',973,'278',71.28,1,3,NULL),(28,7060386,'1993-11-09 00:00:00',2,5,12,2011,'M','N','JARDIM ANGÉLICA','CRICIÚMA','SC','124242241215111411448311575122610135052',11275,'995',51.66,1,3,NULL),(28,7060394,'1993-10-16 00:00:00',4,24,12,2011,'F','N','JARDIM AMÉRICA','ITUPORANGA','SC','124243241215371731558333244122610134147',6369,'1173',50.15,1,3,NULL),(28,7060408,'1993-11-12 00:00:00',2,1,12,2011,'M','N','UNIVERSITARIO','CAXIAS SUL','RS','120201203217371751325824345124610168147',13798,'9998',38.96,1,3,NULL),(28,7060424,'1991-09-23 00:00:00',2,5,11,2008,'F','N','MICHEL','CRICIÚMA','SC','124242241215571751634429575125610128017',7580,'226',52.73,1,3,NULL),(28,7060459,'1990-05-23 00:00:00',2,1,12,2007,'F','N','CENTRO','S JOSÉ','SC','124161161116131431126641412124610167077',NULL,'9998',17.38,4,2,1),(28,7060467,'1994-09-15 00:00:00',4,4,12,2011,'M','N','CENTRO','PASSOS MAIA','SC','124241241135131431544923595124610167042',NULL,'606',0.00,1,2,1),(28,7060475,'1993-08-30 00:00:00',4,8,11,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124242241213121231436612175122610126047',NULL,'931',23.21,1,3,NULL),(28,7060491,'1995-06-04 00:00:00',4,1,12,2011,'M','N','JARDIM SANTANA','DOURADOS','MS','112122121215111431279831575122610134122',2743,'9998',58.87,1,3,NULL),(28,7060505,'1994-08-04 00:00:00',4,3,11,2011,'F','N','BOA VISTA','S VICENTE','SP','125252251216371431338921575115610137092',NULL,'9998',18.45,1,3,NULL),(28,7060513,'1993-06-03 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116372411226324345124610142047',9094,'307',49.03,4,2,1),(28,7060521,'1978-03-10 00:00:00',4,1,12,1995,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116275431249841415124121814092',5307,'267',61.82,1,2,1),(28,7060530,'1992-07-21 00:00:00',4,10,12,2009,'M','N','DEHON','TUBARÃO','SC','124241241315372421449532245122131564042',3762,'807',60.46,1,3,NULL),(28,7060548,'1995-01-13 00:00:00',2,8,11,2012,'M','S','FLORESTA','JOINVILLE','SC','124241241216111731449633345124610117092',NULL,'1016',47.93,1,3,NULL),(28,7060556,'1993-07-27 00:00:00',2,3,10,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124202201215371411253623575125610163195',12467,'9998',39.59,1,3,NULL),(28,7060564,'1993-06-18 00:00:00',2,22,12,2010,'M','N','CARDOSO','S JOÃO BATISTA','SC','124241241135142431424611345121610167047',8687,'712',49.23,1,2,1),(28,7060572,'1992-03-15 00:00:00',6,1,5,2011,'M','N','SANTO AMARO','STO AMARO IMPERATRIZ','SC','124241248117162752426612396114610167041',NULL,'739',19.30,1,2,1),(28,7060580,'1990-09-25 00:00:00',4,5,12,2007,'F','N','CENTRO','S MIGUEL IGUAÇU','PR','116163161112273431313619572125610147187',3076,'9998',60.96,1,3,NULL),(28,7060599,'1994-08-16 00:00:00',4,10,10,2011,'M','N','MAGALHÃES','LAGUNA','SC','124244241216121431457832575124610167082',1160,'807',66.17,1,3,NULL),(28,7060602,'1990-04-09 00:00:00',4,1,12,2007,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124201201111131411125844341224610166187',18712,'9998',36.41,1,3,NULL),(28,7060610,'1993-10-22 00:00:00',2,1,12,2011,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124244241215371431543312345124610134192',10908,'944',46.30,1,3,NULL),(28,7060637,'1994-05-09 00:00:00',2,15,12,2011,'M','N','JANUARIA','SOMBRIO','SC','124241241116141131531611345121610124185',NULL,'1033',0.00,4,2,1),(28,7060645,'1993-01-12 00:00:00',4,1,12,2010,'M','N','JARDIM SATÉLITE','S JOSÉ CAMPOS','SP','125252253237471431349939575124610147052',13216,'9998',48.67,1,3,NULL),(28,7060653,'1994-05-07 00:00:00',4,2,12,2011,'F','N','CENTRO','APIÚNA','SC','124241241145141411237923145121610124017',NULL,'22',18.15,1,3,NULL),(28,7060661,'1994-11-16 00:00:00',4,4,12,2011,'F','N','CENTRO','CONCÓRDIA','SC','124241241116471411436611345122610125142',14426,'193',38.63,1,2,1),(28,7060670,'1994-08-14 00:00:00',2,1,12,2011,'M','N','BELA VISTA I','S JOSÉ','SC','124241241116271431344619245124610127042',19715,'726',31.00,1,3,NULL),(28,7060696,'1994-10-14 00:00:00',4,1,12,2011,'F','N','DOM AQUINO','CUIABÁ','MT','111112111236121431478914575124610122012',NULL,'9998',0.00,1,3,NULL),(28,7060700,'1982-03-02 00:00:00',4,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','224241247125131731223454342123610151197',NULL,'9999',21.31,1,2,1),(28,7060726,'1985-07-24 00:00:00',4,1,12,2002,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124251251117473431267812475124341321182',624,'9998',73.09,4,2,1),(28,7060734,'1994-02-13 00:00:00',2,1,12,2011,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241115371431646313275114610137067',NULL,'278',19.21,1,2,1),(28,7060742,'1993-06-20 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242241215572431438613572124610164142',4607,'976',58.72,1,3,NULL),(28,7060750,'1993-06-29 00:00:00',2,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124241241116372431326629342124610126052',NULL,'513',19.40,1,2,1),(28,7060769,'1987-11-18 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124051051117142451333374442114610126087',NULL,'9998',36.51,2,1,1),(28,7060815,'1994-03-30 00:00:00',2,1,12,2011,'F','N','ARIRIU','PALHOÇA','SC','124243241115371721428523595122610164092',20157,'592',23.55,1,3,NULL),(28,7060840,'1991-02-22 00:00:00',4,6,12,2008,'F','N','SANTA ROSA','NITERÓI','RJ','121242241217272431269913575124243247072',10626,'389',52.70,1,3,NULL),(28,7060858,'1992-03-13 00:00:00',4,1,12,2009,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242247236271411477733495124610134073',NULL,'9999',11.04,1,3,NULL),(28,7060866,'1989-03-28 00:00:00',2,1,1,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124243247416371431437453375122610132112',NULL,'9999',23.75,1,3,NULL),(28,7060882,'1990-07-24 00:00:00',2,5,12,2007,'F','N','CENTRO','BAL PINHAL','RS','120201201117471431223528375114142366197',19119,'9998',34.79,1,3,NULL),(28,7060890,'1985-12-08 00:00:00',2,1,12,2003,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','224241244116471721224544345124610124187',9514,'307',49.57,4,2,1),(28,7060904,'1989-03-25 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124191207127131231126744445124143124187',NULL,'9998',27.86,1,2,1),(28,7060912,'1990-08-08 00:00:00',2,1,12,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215152731537739445121133268187',16216,'883',43.30,1,3,NULL),(28,7060920,'1993-03-14 00:00:00',2,9,12,2010,'F','N','VARZEA','LAGES','SC','124241246116372431226623375124610121177',8403,'513',49.53,1,2,1),(28,7060947,'1993-12-14 00:00:00',4,1,12,2011,'M','N','BOM JESUS','CAÇADOR','SC','124241241147131531425314272124612667097',19687,'122',31.34,4,2,1),(28,7060980,'1994-09-06 00:00:00',2,1,12,2011,'M','N','JARDIM CALIFORNIA','CUIABÁ','MT','111114111415151451548923574125241045026',NULL,'9998',0.00,1,3,NULL),(28,7060998,'1990-10-08 00:00:00',2,5,12,2008,'F','N','PROGRESSO','CRICIÚMA','SC','124241241117472411524614385124610164057',17324,'209',33.51,1,2,1),(28,7061005,'1990-09-12 00:00:00',2,4,12,2009,'M','N','CENTRO','JABOTICABA','RS','120203202117151421333339445123610127057',NULL,'9998',0.00,1,3,NULL),(28,7061013,'1992-12-07 00:00:00',4,1,12,2009,'M','N','JABAQUARA','S PAULO','SP','125222251217573411479931575115610167053',69,'9998',81.34,3,3,NULL),(28,7061021,'1992-04-02 00:00:00',4,1,12,2010,'M','N','ALTO DO IPIRANGA','MOGI CRUZES','SP','125252251215471431468914571114141432047',NULL,'9998',0.00,1,3,NULL),(28,7061030,'1988-07-12 00:00:00',2,1,12,2009,'M','N','SERRARIA','BIGUAÇU','SC','124243247226132431655331395123233227042',9908,'9999',45.13,1,3,NULL),(28,7061048,'1992-03-04 00:00:00',4,1,12,2009,'M','N','JARDIM ESMERALDA','S PAULO','SP','125252251217571711289832575114610164186',NULL,'9998',0.00,1,3,NULL),(28,7061056,'1994-02-27 00:00:00',4,1,12,2010,'M','N','SERRARIAS','S JOSÉ','SC','124244241415271331434619575124610168182',8837,'734',51.79,1,3,NULL),(28,7061080,'1988-09-20 00:00:00',4,1,6,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241137141431146619245121333261182',NULL,'9999',0.00,1,3,NULL),(28,7061129,'1994-02-01 00:00:00',4,8,11,2011,'M','N','BOA VISTA','S VICENTE','SP','125252251217271331489811312121610164112',4894,'9998',57.52,1,3,NULL),(28,7061137,'1982-05-07 00:00:00',4,1,12,1999,'M','N','CENTRAL','MACAPÁ','AP','103172031216352431479943435132142262097',NULL,'9998',0.00,4,3,NULL),(28,7061153,'1983-07-05 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124203241116141441126644245124131326117',NULL,'521',16.25,1,3,NULL),(28,7061170,'1978-10-15 00:00:00',2,1,12,1999,'M','N','TAPANÃ','BELÉM','PA','114142141216151431328349295134610112183',NULL,'9998',0.00,1,3,NULL),(28,7061188,'1991-10-15 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241115472431246824575114610134042',5790,'271',59.02,1,3,NULL),(28,7061200,'1990-10-08 00:00:00',4,1,11,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124114071217372411368819275122610166092',9153,'9998',55.15,1,3,NULL),(28,7061218,'1988-02-03 00:00:00',2,1,12,2005,'F','N','PITIMBU','NATAL','RN','119212261216573431568834574114142664127',688,'9998',70.08,1,3,NULL),(28,7061226,'1991-06-25 00:00:00',2,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215373431338923472122131227187',10975,'270',47.81,1,3,NULL),(28,7061242,'1993-07-16 00:00:00',4,6,11,2010,'M','N','CABEÇUDAS','ITAJAÍ','SC','124242241215472431489914572122610127042',5057,'270',62.31,1,3,NULL),(28,7061269,'1992-05-02 00:00:00',4,8,12,2009,'M','N','BOM RETIRO','JOINVILLE','SC','124223241116272431116614385124230724147',8891,'734',46.00,1,3,NULL),(28,7061277,'1994-04-24 00:00:00',4,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124244241215271431547723395124610166061',4953,'989',56.25,1,3,NULL),(28,7061285,'1993-10-03 00:00:00',4,8,12,2011,'M','N','BUCAREIN','JOINVILLE','SC','124242241211171521349614591122610127082',NULL,'1016',30.05,1,3,NULL),(28,7061293,'1990-04-08 00:00:00',4,9,12,2008,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241116132431335723485114130232077',NULL,'13',0.00,4,2,1),(28,7061307,'1992-05-14 00:00:00',4,16,12,2011,'M','N','SÃO LUIZ','CURITIBANOS','SC','124246247645141731524319142124610118057',19956,'9999',28.75,1,3,NULL),(28,7061315,'1992-09-23 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124254251216373431358931575124233237092',3859,'9998',57.27,1,3,NULL),(28,7061323,'1992-11-29 00:00:00',2,1,12,2010,'F','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124241241147372431223344245324610124042',13729,'289',39.25,4,2,1),(28,7061331,'1988-07-19 00:00:00',2,1,12,2005,'F','N','ARMAÇÃO DA PIEDADE','GOV CELSO RAMOS','SC','124241241127371721223844145124610163147',NULL,'329',32.64,1,2,1),(28,7061374,'1991-03-06 00:00:00',5,1,12,2008,'F','N','IDEAL','NOVO HAMBURGO','RS','120201201116471411156673272112610122177',10741,'9998',44.31,1,2,1),(28,7061382,'1994-03-28 00:00:00',2,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241117131131524314392324610138152',NULL,'1097',16.35,1,2,1),(28,7061412,'1982-03-23 00:00:00',2,1,12,1999,'F','N','BARREIROS','S JOSÉ','SC','124242241216372431446819435132333266187',1195,'269',68.02,1,3,NULL),(28,7061420,'1992-11-23 00:00:00',4,1,12,2009,'F','N','JD VIVENDAS','S JOSÉ R PRETO','SP','125252251215572431448839571122610112182',4147,'9998',56.38,1,3,NULL),(28,7061439,'1992-10-04 00:00:00',4,1,11,2009,'F','N','SERTÃO DO MARUÍM','S JOSÉ','SC','124243241116131731523611345234133246057',NULL,'733',20.55,1,3,NULL),(28,7061455,'1994-02-12 00:00:00',4,1,11,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241417111431438933345124610134057',NULL,'300',37.01,1,3,NULL),(28,7061463,'1991-11-29 00:00:00',4,1,11,2009,'M','N','JARDIM APOLO','S JOSÉ CAMPOS','SP','125252251215571431569933576122610134057',58,'9998',81.76,1,3,NULL),(28,7061471,'1993-12-15 00:00:00',2,1,12,2010,'M','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241117472431633324242214610127042',5520,'1248',55.95,1,2,1),(28,7061480,'1991-09-17 00:00:00',2,1,11,2009,'M','N','SERRARIA','S JOSÉ','SC','124243241115372441425314485114223262047',18969,'734',35.42,1,3,NULL),(28,7061498,'1994-06-19 00:00:00',4,1,11,2011,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124162241215112431358912575122610164012',5484,'1169',56.84,1,3,NULL),(28,7061510,'1993-03-17 00:00:00',4,23,12,2010,'F','N','JARAGUA ESQUERDO','JARAGUÁ SUL','SC','124243241116272431469933575124223026142',NULL,'438',22.73,1,3,NULL),(28,7061552,'1990-02-15 00:00:00',4,3,11,2008,'F','N','VILA REBELO','GARÇA','SP','125254257316471431338531575112241237182',18653,'9998',27.87,1,3,NULL),(28,7061560,'1995-01-10 00:00:00',2,17,12,2011,'F','N','VILA IVETE','MAFRA','SC','124241241115371731524611212124610138092',NULL,'542',0.00,1,2,1),(28,7061579,'1995-01-23 00:00:00',2,26,12,2011,'F','N','PLANALTO','CONCÓRDIA','SC','124241241115131432533336574224610124052',9083,'192',49.48,1,2,1),(28,7061595,'1991-08-30 00:00:00',2,7,12,2008,'M','N','CENTRO','ÁGUA DOCE','SC','124241241126131331523533242234130857147',20047,'9',27.34,1,3,NULL),(28,7061617,'1989-04-03 00:00:00',4,1,12,2006,'F','N','ZONA DOIS','MARINGÁ','PR','116164161216573431558934574122143222077',1029,'9998',69.56,1,3,NULL),(28,7061641,'1985-10-13 00:00:00',2,23,12,2002,'M','N','BAEPENDI','JARAGUÁ SUL','SC','124161161137161431523933145335342518043',16331,'9998',32.15,1,2,1),(28,7061650,'1994-07-28 00:00:00',4,3,12,2011,'M','N','MOSSUNGUE','CURITIBA','PR','116162168215111431458811575122610167187',NULL,'9998',0.00,1,3,NULL),(28,7061668,'1992-10-01 00:00:00',4,1,12,2009,'M','N','JARDIM BELA VISTA','LUÍS ANTÔNIO','SP','125253251216471231468832585124610167142',7790,'9998',57.50,1,3,NULL),(28,7061676,'1991-07-02 00:00:00',2,1,11,2008,'F','N','CENTRO','SANANDUVA','RS','120204201415574431528611575124610162092',8510,'9998',51.41,1,3,NULL),(28,7061684,'1992-07-10 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124162161217571431568813571124610127092',5462,'9998',54.67,1,3,NULL),(28,7061692,'1992-06-05 00:00:00',4,1,6,2011,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242247235371711469922585112231034182',NULL,'9999',27.07,1,3,NULL),(28,7061714,'1986-03-13 00:00:00',2,1,12,2003,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241315373711533311442134610168182',10464,'272',44.67,1,3,NULL),(28,7061722,'1990-01-30 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216573431235824572124610163097',3791,'213',59.90,1,3,NULL),(28,7061730,'1994-01-14 00:00:00',4,8,12,2011,'F','N','MOSSUNGUÊ','CURITIBA','PR','116162161215111431589713571124610163182',NULL,'9998',0.00,1,3,NULL),(28,7061757,'1995-02-09 00:00:00',2,26,12,2011,'F','N','DISTRITO DE PLANALTO','CONCÓRDIA','SC','124241241115131431333316572224610126192',8950,'192',55.51,1,2,1),(28,7061773,'1983-06-26 00:00:00',2,1,12,2005,'F','N','BOM VIVER','BIGUAÇU','SC','124241241121131421421318441224613212187',NULL,'66',11.23,2,1,1),(28,7061811,'1993-11-26 00:00:00',4,1,12,2010,'M','N','CENTRO','STO ANDRÉ','SP','125252251216371421468931575112610127012',175,'9998',77.40,1,3,NULL),(28,7061820,'1992-04-07 00:00:00',2,4,12,2010,'F','N','SAGRADA FAMILIA','NOVA PRATA','RS','120201201116131431436839294122241046187',NULL,'9998',23.77,4,2,1),(28,7061838,'1993-07-22 00:00:00',2,15,12,2011,'F','N','GARAPUVU','ERMO','SC','124241241115371531423335571212610134195',18614,'250',36.85,1,2,1),(28,7061846,'1993-05-11 00:00:00',4,1,12,2010,'M','N','JD CID FLORIANOPOLIS','S JOSÉ','SC','120201201111152451323611572222610168197',2951,'9998',60.39,1,2,1),(28,7061862,'1992-04-21 00:00:00',4,25,12,2009,'F','N','INTERIOR','VIDEIRA','SC','124241241115131531213316172224610163147',18714,'831',36.40,1,2,1),(28,7061870,'1993-04-25 00:00:00',2,8,12,2010,'M','N','CENTRO','ARAPOTI','PR','116162161215471231453833571114610127186',596,'9998',70.81,1,3,NULL),(28,7061889,'1986-09-23 00:00:00',2,23,12,2003,'F','N','SAO LUIS','JARAGUÁ SUL','SC','124241241336131431125644245334610123181',NULL,'433',37.89,1,3,NULL),(28,7061897,'1993-10-18 00:00:00',2,1,12,2010,'F','N','PINHEIRINHO','CURITIBA','PR','116161161116131431426624345224610122057',NULL,'9998',30.27,4,2,1),(28,7061900,'1993-02-08 00:00:00',4,3,12,2010,'M','N','CEDRO','CAMBORIÚ','SC','124241241116131331356611445122610168042',NULL,'1043',24.19,1,2,1),(28,7061935,'1982-10-18 00:00:00',2,1,12,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124071213436145431446513445122221662173',NULL,'9998',0.00,1,3,NULL),(28,7061943,'1992-02-27 00:00:00',4,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124172171216142411426631315224133244057',12018,'9998',40.48,1,3,NULL),(28,7061951,'1992-11-13 00:00:00',4,8,12,2009,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116161161116471451326424575114143234117',NULL,'9998',0.00,1,2,1),(28,7061960,'1994-06-13 00:00:00',4,24,12,2011,'F','N','CASAN','SALETE','SC','124241241116371431323339575122610126172',NULL,'680',27.04,1,2,1),(28,7061978,'1982-01-19 00:00:00',4,1,12,1999,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124201257327151511338769475125343222125',NULL,'9998',0.00,1,3,NULL),(28,7061994,'1988-04-23 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124131131116371431336343335122610167053',4188,'9998',56.45,4,2,1),(28,7062001,'1992-10-24 00:00:00',2,1,12,2010,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242243117372451433319315124610138147',6651,'306',55.47,1,3,NULL),(28,7062010,'1992-05-28 00:00:00',4,2,12,2010,'M','N','SÃO BRAZ','CURITIBA','PR','116163161117471431229524571123241467012',NULL,'9998',0.00,1,3,NULL),(28,7062028,'1991-01-31 00:00:00',4,1,11,2008,'M','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125212211237571431569922475112610134047',494,'9998',72.69,1,3,NULL),(28,7062036,'1995-01-17 00:00:00',2,4,12,2011,'F','N','CENTRO','VARGEÃO','SC','124241241115171431524414245122610133077',NULL,'824',11.55,1,2,1),(28,7062044,'1994-11-02 00:00:00',4,24,12,2011,'F','N','BREMER','RIO SUL','SC','124241241114271431329624575124610133092',NULL,'659',18.48,1,2,1),(28,7062052,'1994-07-10 00:00:00',4,1,12,2011,'F','N','REAL PARQUE','S JOSÉ','SC','124241241122141731527427242124610135017',NULL,'257',27.57,2,1,1),(28,7062060,'1990-06-02 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241415275751446621345132610168193',NULL,'1118',24.91,1,3,NULL),(28,7062079,'1993-04-24 00:00:00',4,1,12,2010,'F','N','MACEDO TELES I','S JOSÉ R PRETO','SP','125251251117471722526511475123610133017',12847,'9998',39.88,1,2,1),(28,7062087,'1992-09-22 00:00:00',4,25,12,2009,'F','N','INTERIOR','VIDEIRA','SC','224241241116161531423316175224610164147',18191,'831',38.33,1,2,1),(28,7062095,'1991-09-27 00:00:00',4,1,12,2009,'F','N','SÃO DIMAS','S JOSÉ CAMPOS','SP','125251251215571431426824445124610122087',2291,'9998',62.82,1,3,NULL),(28,7062117,'1993-05-17 00:00:00',4,2,11,2010,'M','N','PONTA AGUDA','BLUMENAU','SC','124241241215272411235923285121131464182',504,'855',73.91,1,3,NULL),(28,7062141,'1994-12-20 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241147151411333916572225610136172',7996,'307',50.66,1,2,1),(28,7062150,'1993-10-22 00:00:00',4,27,12,2010,'M','N','CENTRO','S JOSÉ CEDRO','SC','124241241116272431323422156125610146177',2657,'740',64.11,1,2,1),(28,7062168,'1994-05-23 00:00:00',4,25,12,2011,'F','N','RIO DAS PEDRAS','VIDEIRA','SC','124241241126141321333623145234610118182',NULL,'831',11.93,1,2,1),(28,7062176,'1991-12-13 00:00:00',4,4,12,2008,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124242241215574431359911572122610161042',NULL,'1046',0.00,1,3,NULL),(28,7062206,'1992-07-24 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241316372411426621315124610114071',19417,'307',33.25,1,3,NULL),(28,7062249,'1991-05-13 00:00:00',2,1,12,2008,'F','N','MANSUR DAUD','S JOSÉ R PRETO','SP','125254251216573441436734581122610166092',7264,'9998',50.51,1,3,NULL),(28,7062257,'1995-01-06 00:00:00',4,6,12,2011,'M','N','SÃO DOMINGOS','NAVEGANTES','SC','124241241117371431433539582211610162042',15856,'1068',37.16,1,2,1),(28,7062281,'1992-06-21 00:00:00',4,1,12,2009,'M','N','NOVA MOGILAR','MOGI CRUZES','SP','125252251411571431558712325112610127114',NULL,'9998',37.29,3,3,NULL),(28,7062290,'1990-04-15 00:00:00',4,1,12,2007,'M','N','AGUDO ROMAO','CATANDUVA','SP','125252251215571432568611572112610137092',1116,'9998',72.33,1,3,NULL),(28,7062311,'1991-04-03 00:00:00',4,2,12,2008,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241217272431568532425122131442196',14023,'855',47.37,1,3,NULL),(28,7062320,'1994-01-21 00:00:00',2,8,12,2011,'F','N','JARDIM GUARAITUBA','PARANAGUÁ','PR','116162161215422431479913572122610136192',NULL,'9998',0.00,1,3,NULL),(28,7062338,'1993-12-02 00:00:00',4,8,12,2010,'M','N','ZONA SETE','MARINGÁ','PR','216162161216372411466815575114231434047',5359,'9998',55.84,1,3,NULL),(28,7062346,'1987-02-24 00:00:00',4,1,12,2004,'F','N','VILA MARIANA','S PAULO','SP','125252251217271431568814495125242562097',521,'9998',72.80,1,3,NULL),(28,7062354,'1992-11-24 00:00:00',4,4,12,2009,'M','N','IGARA','CANOAS','RS','120202206117371412466939275122610124057',2795,'9998',61.50,1,3,NULL),(28,7062362,'1979-05-16 00:00:00',2,1,12,1996,'M','N','JARDIM NOVA IGUAÇU','PIRACICABA','SP','525251251146151411551521135134141112012',8993,'9998',47.92,1,2,1),(28,7062370,'1993-05-27 00:00:00',4,5,12,2010,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241215372421368833275122131424072',3210,'226',61.07,1,3,NULL),(28,7062389,'1993-08-02 00:00:00',4,1,12,2010,'M','N','RES TERRA VERDE','FERNANDÓPOLIS','SP','125252251215412431438314575122610137047',10426,'9998',46.76,1,3,NULL),(28,7062397,'1993-12-22 00:00:00',4,1,12,2011,'M','N','SAN REMO','LONDRINA','PR','116162161216111431464612575122610135072',NULL,'9998',0.00,1,3,NULL),(28,7062400,'1993-07-07 00:00:00',4,9,12,2010,'F','N','CAÇA E TIRO','LAGES','SC','124242241216572411426312595112610126012',9783,'1028',54.09,1,3,NULL),(28,7062419,'1993-01-19 00:00:00',2,9,12,2010,'F','N','VILA NOVA','LAGES','SC','124241241116372411346649572112610126197',8989,'935',48.98,1,2,1),(28,7062427,'1993-05-17 00:00:00',2,1,12,2010,'F','N','CAMBOINHAS','NITERÓI','RJ','121212211217511231358832575122610127072',8894,'9998',47.64,1,3,NULL),(28,7062435,'1990-04-02 00:00:00',4,2,12,2007,'M','N','PROGRESSO','BLUMENAU','SC','124241241136572431433623475124131334057',11159,'80',44.94,1,2,1),(28,7062443,'1993-08-08 00:00:00',4,6,12,2010,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124241241436132411536734295131141426177',NULL,'392',27.67,1,3,NULL),(28,7062451,'1991-09-05 00:00:00',2,8,12,2011,'F','N','CIDADE INDUSTRIAL','CURITIBA','PR','116161161146371731622329385324610167047',16605,'9998',32.28,4,1,1),(28,7062486,'1992-05-12 00:00:00',2,6,11,2009,'F','N','SÃO VICENTE','ITAJAÍ','SC','124241241135132431434611385122610126177',4248,'174',60.05,1,2,1),(28,7062494,'1993-09-22 00:00:00',4,1,12,2010,'M','N','FZNDA SANTO ANTONIO','S JOSÉ','SC','124243241116432411647811285124133233143',12806,'733',41.34,1,3,NULL),(28,7062508,'1990-05-26 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244248417572421648412181124131342127',19457,'1065',33.00,1,3,NULL),(28,7062516,'1986-11-25 00:00:00',4,1,12,2005,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241212374411268821475122221762082',15612,'262',44.49,1,3,NULL),(28,7062532,'1994-08-16 00:00:00',4,22,12,2011,'F','N','JARDIM MALUCE','BRUSQUE','SC','124242241217112431369931571122610162192',NULL,'107',0.00,1,3,NULL),(28,7062540,'1987-02-19 00:00:00',4,1,9,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247121131431423336241234610157147',19447,'9999',33.05,4,2,1),(28,7062567,'1992-09-01 00:00:00',2,1,12,2009,'M','N','CANTO DA VÁRZEA','PICOS','PI','118182181216571431534611575123610156072',8134,'9998',56.91,4,3,NULL),(28,7062575,'1994-08-12 00:00:00',4,1,12,2011,'F','N','JARDIM AQUARIUS','PALHOÇA','SC','124241241117131431425614245124610111177',9748,'739',45.56,1,2,1),(28,7062591,'1992-06-30 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241117275431459613571114610127042',12445,'271',44.29,1,3,NULL),(28,7062605,'1990-12-12 00:00:00',2,1,12,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241122271431323629385124610121093',18005,'278',38.91,1,2,1),(28,7062613,'1993-01-11 00:00:00',4,4,12,2010,'F','N','EFAPI','CHAPECÓ','SC','124241241146472431459933575124133234092',15354,'169',35.51,4,2,1),(28,7062630,'1993-02-27 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241135272431348614245124610164042',15166,'592',35.73,1,2,1),(28,7062648,'1989-10-16 00:00:00',2,1,12,2006,'F','N','SERRARIA','S JOSÉ','SC','124241241226333231534614245234610164012',14419,'262',46.71,4,3,NULL),(28,7062656,'1994-07-05 00:00:00',4,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431349914572114610117047',7834,'1169',52.32,1,3,NULL),(28,7062664,'1991-02-04 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241217573411456614572122610165047',5314,'1022',58.57,1,3,NULL),(28,7062672,'1975-03-30 00:00:00',2,1,12,1992,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224201208226141421638674445124341064097',NULL,'9998',0.00,1,3,NULL),(28,7062680,'1994-12-02 00:00:00',4,1,11,2011,'M','N','REPUBLICA','RIBEIRÃO PRETO','SP','125254251217151711246721575112610165053',11641,'9998',51.10,1,3,NULL),(28,7062729,'1993-10-21 00:00:00',2,27,12,2011,'F','N','SÃO JOSÉ DO LARANJAL','IRACEMINHA','SC','124241241115131431523315372214610164147',16785,'377',34.59,1,2,1),(28,7062737,'1987-05-31 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241126471441226541315123132212177',14478,'253',43.01,1,2,1),(28,7062745,'1991-07-10 00:00:00',2,4,12,2009,'F','N','SÃO CRISTOVÃO','FAXINAL GUEDES','SC','124241241416161411549933425132610147142',NULL,'1081',0.00,1,3,NULL),(28,7062753,'1991-04-15 00:00:00',2,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124201241127131131323314245124610123182',NULL,'285',25.09,1,2,1),(28,7062761,'1993-06-30 00:00:00',4,1,5,2011,'F','N','PASSA VINTE','PALHOÇA','SC','124241241247141431455522435124231022142',NULL,'1076',21.78,1,3,NULL),(28,7062770,'1970-07-14 00:00:00',4,1,12,1987,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124252251212574721138639382212122268115',12495,'9998',49.80,1,3,NULL),(28,7062796,'1996-01-20 00:00:00',4,1,12,2011,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243241225111731524834572224610117042',3480,'262',60.32,1,3,NULL),(28,7062826,'1966-03-24 00:00:00',4,1,12,1983,'M','N','ROÇADO','S JOSÉ','SC','224072241212111411449641415122221767012',5577,'9998',54.76,1,3,NULL),(28,7062834,'1981-08-18 00:00:00',2,1,6,2002,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','624201206346155311255643235123341766042',NULL,'9998',0.00,1,3,NULL),(28,7062842,'1993-02-04 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241116373431226624575124231944042',2425,'271',62.87,4,3,NULL),(28,7062850,'1991-01-22 00:00:00',2,26,12,2008,'M','N','ESTADOS','CONCÓRDIA','SC','124241246116131531323375492224231437052',NULL,'196',0.00,1,2,1),(28,7062877,'1993-07-20 00:00:00',4,24,12,2010,'M','N','SANTANA','RIO SUL','SC','124241241116151411224529575122610124182',NULL,'659',10.74,3,2,1),(28,7062885,'1991-03-01 00:00:00',2,1,12,2008,'F','N','CARNIEL','GRAMADO','RS','120201201136573431343329375122610123092',9538,'9998',45.95,1,2,1),(28,7062893,'1986-03-18 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241216575451559419485124333242091',380,'269',73.51,1,3,NULL),(28,7062907,'1992-07-26 00:00:00',4,17,12,2010,'M','N','CENTRO','PTO UNIÃO','SC','124164241336161451337832375122610168127',17636,'635',39.92,1,3,NULL),(28,7062923,'1993-03-30 00:00:00',4,7,12,2010,'M','N','VILA ALEMANHA','LUZERNA','SC','124241241117472731443312575122610122172',NULL,'539',34.79,1,2,1),(28,7062931,'1993-09-25 00:00:00',4,1,12,2010,'F','N','CAMPO DUNA','GAROPABA','SC','124241241116241431323611385122610161042',NULL,'1136',0.00,1,2,1),(28,7062940,'1993-01-23 00:00:00',4,8,12,2010,'F','N','CENTRO','LARANJEIRAS SUL','PR','116162161416472431549833575124610144142',NULL,'9998',0.00,1,3,NULL),(28,7062958,'1994-09-27 00:00:00',2,9,12,2011,'F','N','CENTRO','CORREIA PINTO','SC','124241241115111451324311462222613222052',19377,'899',33.51,1,3,NULL),(28,7062974,'1992-05-20 00:00:00',2,1,12,2009,'F','N','BOA VISTA','PTO ALEGRE','RS','120202201217571751447923371114241567187',982,'9998',69.74,1,3,NULL),(28,7062982,'1991-07-24 00:00:00',4,6,12,2008,'F','N','CENTRO','ITAJAÍ','SC','124202201216553441369914495122231067147',610,'9998',74.71,1,3,NULL),(28,7063008,'1993-07-11 00:00:00',2,1,12,2010,'F','N','VILA BELVEDERE','AMERICANA','SP','125252251213231711443812295114313264197',19672,'9998',31.47,1,3,NULL),(28,7063016,'1993-11-13 00:00:00',2,1,12,2011,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241215111431323924372324610126042',8590,'300',48.43,1,3,NULL),(28,7063032,'1995-02-24 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241215111751236824595124610168197',8271,'1022',48.47,1,3,NULL),(28,7063067,'1990-04-24 00:00:00',2,1,11,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241243141161131533313245324610118087',NULL,'9997',25.32,2,1,1),(28,7063075,'1994-02-22 00:00:00',4,8,12,2011,'F','N','JARDIM OURO VERDE','OURINHOS','SP','125252251236111431467712275122610112147',9053,'9998',55.33,1,3,NULL),(28,7063091,'1991-12-31 00:00:00',4,1,12,2009,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251215571451578813175112610167012',NULL,'9998',37.24,1,3,NULL),(28,7063105,'1994-01-03 00:00:00',2,1,12,2011,'F','N','FANNY','CURITIBA','PR','116161161117371431326624595224610135187',15490,'9998',35.01,4,3,NULL),(28,7063113,'1990-03-08 00:00:00',4,8,12,2007,'M','N','BOEHMERWALD','JOINVILLE','SC','124244246217573741353831194122610162182',651,'1105',72.09,1,3,NULL),(28,7063121,'1989-08-06 00:00:00',4,1,12,2006,'F','N','CASTELO BRANCO','CAMPINAS','SP','125251258116473431455613575124641128092',1139,'9998',68.80,1,2,1),(28,7063130,'1995-04-02 00:00:00',4,1,12,2011,'M','N','TRINTA E UM DE MARÇO','BOA VISTA','RR','125234251216471751358831575122610117097',1082,'9998',69.43,1,3,NULL),(28,7063172,'1992-12-25 00:00:00',4,1,11,2010,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125252251215471431348724575122610121092',NULL,'9998',34.88,1,3,NULL),(28,7063180,'1985-01-21 00:00:00',4,1,12,2002,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124201201127131431223644145123610167187',18270,'9998',38.07,1,2,1),(28,7063199,'1991-05-25 00:00:00',4,1,12,2008,'M','N','JARDIM CARANDAI','BIGUAÇU','SC','124074241435272421428724212114610162183',12728,'65',49.39,1,3,NULL),(28,7063202,'1993-10-09 00:00:00',2,1,11,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215372431647632575124131117042',953,'270',73.02,1,3,NULL),(28,7063229,'1992-11-30 00:00:00',2,2,12,2009,'F','N','CANOAS','RIO SUL','SC','124243241117131321422923242335131066182',NULL,'659',0.00,1,3,NULL),(28,7063253,'1993-04-19 00:00:00',6,1,11,2010,'F','N','CAPUCHINHOS','FRA SANTANA','BA','105052051216311711327831575122243211141',18211,'9998',31.43,1,3,NULL),(28,7063270,'1990-04-15 00:00:00',2,8,12,2008,'M','N','FLORESTA','JOINVILLE','SC','124241241216373231226321345122133244011',10753,'459',47.65,1,3,NULL),(28,7063296,'1994-01-12 00:00:00',4,1,12,2011,'F','N','HUMAITÁ','PTO ALEGRE','RS','120202203217131431325624392124610121047',NULL,'9998',9.90,1,3,NULL),(28,7063326,'1981-03-29 00:00:00',4,1,11,1998,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124202251216152441268923435134121962047',11296,'9998',51.63,1,3,NULL),(28,7063334,'1991-11-19 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124254254117512431468721375125610117116',4011,'9998',58.51,1,3,NULL),(28,7063342,'1990-12-07 00:00:00',4,1,12,2008,'M','N','SANTO AMARO','RECIFE','PE','117231231117571431436823575124610162092',2962,'9998',60.33,4,2,1),(28,7063350,'1989-07-25 00:00:00',4,23,12,2007,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241216471431479814575125610128042',869,'442',70.59,1,3,NULL),(28,7063369,'1993-10-03 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215472431246924585124610144012',7974,'1022',55.30,1,3,NULL),(28,7063377,'1990-04-09 00:00:00',2,24,12,2007,'F','N','BUDAG','RIO SUL','SC','124241241116472431353923375112142437057',3377,'864',61.12,4,2,1),(28,7063393,'1993-10-25 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241215111411437912285112231563072',15959,'497',43.77,1,3,NULL),(28,7063407,'1997-10-31 00:00:00',4,1,12,2014,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111531369712572122610122012',NULL,'1169',46.62,1,3,NULL),(28,7063415,'1995-10-19 00:00:00',2,7,11,2011,'M','N','CENTRO','LACERDÓPOLIS','SC','124241248126111411448839575121610164052',NULL,'496',27.09,1,2,1),(28,7063423,'1986-11-01 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201137273711436364215124140767057',20003,'9998',28.04,1,2,1),(28,7063431,'1984-09-20 00:00:00',4,6,12,2001,'F','N','JARDIM AMÉRICA','BRAGANÇA PAULISTA','SP','125203181117472751348923475122333263182',NULL,'9998',0.00,4,3,NULL),(28,7063440,'1994-03-29 00:00:00',4,17,11,2011,'M','N','CENTRO','CANOINHAS','SC','124242241215111431577612145122610144062',NULL,'154',14.73,1,3,NULL),(28,7063458,'1994-07-25 00:00:00',4,27,12,2011,'F','N','CENTRO','S MIGUEL OESTE','SC','124241241215141411345623292122610164142',10850,'1179',52.34,1,3,NULL),(28,7063466,'1993-01-21 00:00:00',4,1,12,2010,'M','N','PRAIA DA COSTA','VL VELHA','ES','108212251235472431687714475122610134097',2669,'9998',60.94,1,3,NULL),(28,7063482,'1992-06-06 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217473431646624395125131466012',5632,'454',51.90,1,3,NULL),(28,7063490,'1977-07-17 00:00:00',4,1,12,2003,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624241241332272431214351382114610166187',19145,'664',34.67,4,3,NULL),(28,7063512,'1989-02-18 00:00:00',4,1,12,2009,'M','N','SANTOS DUMONT','S JOSÉ','SC','124244247436471431438813285124610167147',11554,'9999',43.59,1,3,NULL),(28,7063520,'1990-11-14 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241346132431336613375114610134052',NULL,'281',19.63,1,3,NULL),(28,7063539,'1990-04-25 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124243241226475411337621245124122363092',3737,'262',59.57,1,3,NULL),(28,7063555,'1993-09-19 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124241241315272431548414145124610138187',15532,'307',44.65,1,3,NULL),(28,7063563,'1994-07-29 00:00:00',4,1,12,2010,'F','N','CENTRO','PTO ALEGRE','RS','120204201216471731368832575124610126092',572,'9998',71.86,1,3,NULL),(28,7063580,'1993-07-21 00:00:00',4,1,11,2010,'M','N','JARDIM PAULISTA','S PAULO','SP','125252251216471431469612572125610127182',11236,'9998',51.73,1,3,NULL),(28,7063598,'1992-03-21 00:00:00',2,1,12,2009,'F','N','PAGANI','PALHOÇA','SC','124244241415371411323521274114610166182',13876,'591',43.21,1,3,NULL),(28,7063601,'1994-03-19 00:00:00',4,4,12,2011,'F','N','CENTRO','CURITIBA','PR','116162161215111431458919575122610124147',8351,'9998',48.70,1,3,NULL),(28,7063610,'1990-04-30 00:00:00',2,4,1,2008,'M','N','ANTARES','LONDRINA','PR','116241241116131441323315175324143245172',11658,'199',51.08,1,2,1),(28,7063628,'1993-02-09 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116132431444631292124610117185',NULL,'307',23.40,1,2,1),(28,7063652,'1993-07-08 00:00:00',4,1,12,2010,'M','N','JARDIM SANTA MENA','GUARULHOS','SP','125252251116471731459814275124610124087',6257,'9998',52.13,1,3,NULL),(28,7063679,'1991-11-09 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241216374431368933585124123232105',4642,'1250',59.04,1,3,NULL),(28,7063687,'1992-09-25 00:00:00',2,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124202201215371431358829572222610127042',10917,'9998',43.11,1,3,NULL),(28,7063717,'1993-11-14 00:00:00',4,1,12,2011,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241215111432638313572124610127042',17604,'1169',40.02,1,3,NULL),(28,7063725,'1994-09-21 00:00:00',2,5,11,2011,'F','N','CENTRO','TURVO','SC','124244241215372431439613475122610124142',8996,'813',49.35,1,3,NULL),(28,7063733,'1989-12-26 00:00:00',2,1,12,2007,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','624241241127371711228654282313610148191',NULL,'773',0.00,1,2,1),(28,7063741,'1992-03-19 00:00:00',4,1,12,2009,'F','N','CENTRO','TUBARÃO','SC','124242241212572431458612572124610133147',7152,'807',51.08,1,3,NULL),(28,7063750,'1993-04-12 00:00:00',2,26,11,2011,'M','N','CENTRO','CONCÓRDIA','SC','124242241215111431388832315112610167062',17847,'1000',39.35,1,3,NULL),(28,7063768,'1993-01-04 00:00:00',2,2,12,2010,'F','N','CENTRO','BLUMENAU','SC','124244241215472431548719395122610143192',7095,'855',53.09,1,3,NULL),(28,7063776,'1992-10-04 00:00:00',4,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241215372732346623595112610168187',10059,'1011',53.61,1,3,NULL),(28,7063784,'1989-07-24 00:00:00',4,1,12,2007,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124241247347371731534639291114610138077',10276,'9999',46.19,1,3,NULL),(28,7063806,'1992-09-02 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124242241215272431458614575122610136142',18693,'881',36.50,1,3,NULL),(28,7063814,'1995-01-24 00:00:00',4,4,12,2012,'M','S','VILA INDUSTRIAL','TOLEDO','PR','116162161217111431488912575121610124072',NULL,'9998',48.98,1,3,NULL),(28,7063822,'1993-06-16 00:00:00',4,1,11,2010,'F','N','CENTRO','LAGES','SC','124244241211472431229912591224610124142',6001,'497',54.79,1,3,NULL),(28,7063830,'1994-03-24 00:00:00',4,1,12,2011,'F','N','VENDAVAL','BIGUAÇU','SC','124241244215251431454834572114610113077',16882,'63',31.10,1,3,NULL),(28,7063849,'1990-10-10 00:00:00',2,1,12,2008,'F','N','MADRI','PALHOÇA','SC','124241241116373431426619595114231438197',NULL,'591',29.79,1,2,1),(28,7063857,'1988-10-07 00:00:00',2,15,12,2006,'F','N','JARDIM APARECIDA','ALVORADA','RS','120201201126141731543514245124242722147',15510,'9998',35.49,1,2,1),(28,7063865,'1992-06-14 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431568823575122610167015',2213,'270',67.49,1,3,NULL),(28,7063873,'1994-07-28 00:00:00',4,24,12,2011,'F','N','CERRO NEGRO','ITUPORANGA','SC','124241241135141431346631245124610132052',NULL,'416',28.93,1,2,1),(28,7063881,'1990-01-11 00:00:00',4,1,12,2007,'F','N','JARDIM TIJUCA I','CPO GRANDE','MS','112122121214571431546632574122610123087',3057,'9998',60.53,4,3,NULL),(28,7063903,'1993-03-12 00:00:00',4,1,12,2010,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120242241211575431359839571125610136147',1341,'270',67.79,1,3,NULL),(28,7063911,'1994-09-10 00:00:00',4,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127141411546913242124610116092',16417,'283',35.29,1,2,1),(28,7063938,'1994-07-22 00:00:00',2,1,12,2011,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241125141731226624146121610137051',NULL,'322',21.71,1,3,NULL),(28,7063946,'1989-01-18 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124243247312372431466633492124610167047',13623,'9999',42.57,1,3,NULL),(28,7063954,'1992-03-14 00:00:00',2,1,12,2009,'F','N','PORTO DO ITINGA','TIJUCAS','SC','124241241116161431633314212112610153197',NULL,'783',35.40,1,2,1),(28,7063989,'1994-02-24 00:00:00',2,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124204241215111231336613595122610166013',12088,'1118',41.79,4,3,NULL),(28,7063997,'1992-04-07 00:00:00',4,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124242246115271421234427242124610122097',9861,'306',53.95,1,3,NULL),(28,7064004,'1989-08-09 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','224242241215375431229954375124233217142',8870,'270',48.69,4,3,NULL),(28,7064020,'1994-02-27 00:00:00',4,1,12,2011,'F','N','CENTRO','ITAÚNA','MG','113132131217121331358913572122610167042',NULL,'9998',0.00,1,3,NULL),(28,7064047,'1993-04-27 00:00:00',4,1,7,2011,'M','N','FLORESTA','S JOSÉ','SC','124242241115372411225629175123610117042',2022,'739',66.82,1,3,NULL),(28,7064055,'1994-09-29 00:00:00',4,24,12,2011,'F','N','BOA VISTA','ITUPORANGA','SC','124241241136141431329923245125610123142',17907,'416',29.05,1,2,1),(28,7064063,'1995-03-25 00:00:00',4,4,12,2011,'M','N','CENTRO','LACERDÓPOLIS','SC','124241241125141411423319234125610148177',9073,'496',46.87,1,2,1),(28,7064071,'1993-06-16 00:00:00',4,1,12,2010,'M','N','NOVO HORIZONTE','PATO BRANCO','PR','116161161137271432226324375114141467127',NULL,'9998',13.76,1,2,1),(28,7064080,'1994-06-06 00:00:00',4,5,12,2011,'M','N','CENTRO','ORLEANS','SC','124241241215111431557634375122610137182',NULL,'581',0.00,1,3,NULL),(28,7064098,'1993-04-13 00:00:00',4,23,12,2010,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242241217472431458823575114610114137',5388,'1063',55.87,1,3,NULL),(28,7064144,'1992-09-03 00:00:00',4,6,12,2009,'M','N','CENTRO','CPO LARGO','PR','116162161215571731328812325112610117112',NULL,'9998',0.00,1,3,NULL),(28,7064152,'1994-04-16 00:00:00',2,10,12,2011,'M','N','CENTRO','ARMAZÉM','SC','124241241122131531416633282125610117047',NULL,'34',17.95,1,3,NULL),(28,7064160,'1992-03-16 00:00:00',4,1,7,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243243116371421446633345124610132091',8090,'306',49.56,1,3,NULL),(28,7064179,'1995-05-04 00:00:00',4,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215112431466933575122610116092',12256,'9997',41.29,1,3,NULL),(28,7064187,'1991-01-23 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241125373431458832345122610137111',17748,'592',39.63,1,3,NULL),(28,7064195,'1993-12-13 00:00:00',2,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124241241111341431324344341124610166042',15765,'17',37.23,1,2,1),(28,7064209,'1991-11-04 00:00:00',4,1,6,2010,'F','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124072281117132431469819275122230922042',15442,'9998',44.79,1,3,NULL),(28,7064225,'1987-11-13 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216473431449813345124231227072',15817,'9998',44.06,1,3,NULL),(28,7064233,'1994-11-11 00:00:00',2,5,11,2011,'M','N','NOSSA SENHORA DE FAT','BRAÇO NORTE','SC','124243241217132131239913582124610127062',11230,'950',44.02,1,3,NULL),(28,7064250,'1995-04-05 00:00:00',4,6,11,2011,'M','N','VILA OPERARIA','ITAJAÍ','SC','124244241215111411468919575112610162191',NULL,'1172',33.57,1,3,NULL),(28,7064306,'1990-06-19 00:00:00',4,8,11,2008,'F','N','BIGORRILHO','CURITIBA','PR','116164161217571512456912575112143224183',NULL,'9998',0.00,1,3,NULL),(28,7064314,'1994-05-27 00:00:00',4,4,12,2011,'F','N','INTERIOR','MARAVILHA','SC','124241241116141431466923295122610168182',NULL,'552',23.00,1,2,1),(28,7064322,'1986-04-22 00:00:00',2,17,12,2003,'M','N','DOM BOSCO','ITAJAÍ','SC','124242241216242421456814585122333267077',14660,'391',46.25,1,3,NULL),(28,7064330,'1986-10-02 00:00:00',2,24,11,2003,'M','N','CENTRO','BRAÇO TROMBUDO','SC','124241241126132441456913435122231966192',NULL,'639',0.00,1,2,1),(28,7064357,'1990-01-22 00:00:00',4,1,12,2007,'F','N','JARDIM EUROPA','SOROCABA','SP','125252251217571431348817573124140635077',6376,'9998',53.53,1,3,NULL),(28,7064365,'1995-01-31 00:00:00',4,8,12,2012,'M','S','BUCAREN','JOINVILLE','SC','124242241215111531458614275112610127112',NULL,'459',43.68,1,3,NULL),(28,7064373,'1993-10-07 00:00:00',4,2,12,2010,'M','N','TESTO REGA','POMERODE','SC','124241071136131221438921385134610122057',NULL,'621',21.75,1,3,NULL),(28,7064381,'1989-01-20 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215575431437831185124321536187',52,'1022',81.10,1,3,NULL),(28,7064390,'1988-06-08 00:00:00',2,1,12,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124252251211512111232124391111111315162',NULL,'9998',13.08,1,3,NULL),(28,7064411,'1994-04-03 00:00:00',4,1,12,2011,'F','N','BELA VISTA','LONDRINA','PR','116162161216131411449932585122610168187',5185,'9998',53.98,1,3,NULL),(28,7064420,'1994-03-15 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241116372431326524345114610145147',19154,'726',34.62,1,2,1),(28,7064438,'1994-11-04 00:00:00',4,1,12,2011,'M','N','CENTRO','CAMANDUCAIA','MG','113133251216131431436422572124610137092',10348,'9998',46.34,1,3,NULL),(28,7064454,'1994-01-16 00:00:00',4,8,10,2011,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111431468821575112610137042',1927,'1063',66.14,1,3,NULL),(28,7064462,'1991-03-07 00:00:00',4,8,12,2008,'F','N','JARDIM TRES MARIAS','GUARUJÁ','SP','125254251215572751426311571124610142132',8447,'9998',49.74,4,3,NULL),(28,7064470,'1992-12-07 00:00:00',2,6,12,2009,'M','N','SERTÃO DE TROMBUDO','ITAPEMA','SC','124241241112172431643613442214130637147',NULL,'406',21.18,1,2,1),(28,7064489,'1994-07-27 00:00:00',2,1,12,2011,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241217111431454631574122610133142',1703,'270',66.02,1,3,NULL),(28,7064527,'1993-03-30 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241115373431435511345124610136042',9022,'1248',49.68,1,2,1),(28,7064551,'1994-05-12 00:00:00',4,22,10,2011,'M','N','AGUAS CLARAS','BRUSQUE','SC','124244241215111731258624575112610114072',8010,'1244',48.64,4,3,NULL),(28,7064578,'1990-06-16 00:00:00',2,8,12,2008,'M','N','JARDIM SOFIA','JOINVILLE','SC','124242247416473411146619595124221467057',5528,'9999',60.05,1,3,NULL),(28,7064586,'1993-01-05 00:00:00',4,9,11,2009,'F','N','SANTA MARIA','LAGES','SC','124242241215271411248813576122132242032',9248,'1207',54.98,1,3,NULL),(28,7064594,'1994-01-11 00:00:00',4,10,12,2011,'M','N','VILA NOVA','IMBITUBA','SC','124243241312111731438811575124610137112',8000,'359',48.97,1,3,NULL),(28,7064616,'1992-04-06 00:00:00',2,1,3,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241248116152431324429375114232862192',6727,'306',51.46,1,2,1),(28,7064624,'1995-01-01 00:00:00',2,8,12,2011,'F','N','GEORGEA PAULA','GARUVA','SC','124241241147131711433312285121610125092',13353,'923',39.25,1,2,1),(28,7064632,'1987-01-09 00:00:00',4,8,12,2004,'F','N','CIDADE JARDIM','LIMEIRA','SP','126252251216572431156614571122341722182',38,'9998',79.97,1,3,NULL),(28,7064640,'1993-09-15 00:00:00',2,8,10,2011,'M','N','ITINGA','JOINVILLE','SC','124243248321131431322221111241610167167',13610,'1016',40.51,2,1,2),(28,7064667,'1993-12-03 00:00:00',2,1,12,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242241216173431366613395124231428072',NULL,'1050',22.37,2,1,2),(28,7064675,'1993-08-07 00:00:00',2,4,12,2010,'F','N','PÁTRIA NOVA','NOVO HAMBURGO','RS','120202201217471431456923574114610164097',7591,'9998',48.85,1,3,NULL),(28,7064683,'1988-11-23 00:00:00',4,8,12,2005,'F','N','BOM RETIRO','JOINVILLE','SC','124243241216135531228944242124610166041',NULL,'1036',27.05,4,3,NULL),(28,7064691,'1994-06-16 00:00:00',4,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215121431436624575124610124141',NULL,'1022',43.94,1,3,NULL),(28,7064705,'1993-10-20 00:00:00',4,8,12,2011,'M','N','BELA VISTA','RIO NEGRINHO','SC','124242241217151431548931575122610138011',NULL,'666',0.00,1,3,NULL),(28,7064713,'1982-01-06 00:00:00',4,1,12,1999,'F','N','FORQUILHAS','S JOSÉ','SC','124203206131231421126419441233610164182',11050,'9998',52.05,1,3,NULL),(28,7064721,'1995-05-02 00:00:00',4,24,12,2012,'F','S','LARANJEIRAS','RIO SUL','SC','124242241215121431586711295122610127142',NULL,'991',39.88,4,3,NULL),(28,7064730,'1993-09-01 00:00:00',4,1,12,2010,'F','N','JARDIM ESPLANADA','S JOSÉ CAMPOS','SP','125252251216472411468811575122610145142',475,'9998',72.93,1,3,NULL),(28,7064748,'1994-03-02 00:00:00',2,1,12,2011,'M','N','SOUZA','BELÉM','PA','114141141137311431655614372124610138147',7246,'9998',50.20,3,2,1),(28,7064756,'1994-03-04 00:00:00',2,1,12,2011,'F','N','SANTOS SARAIVA','S JOSÉ','SC','124241241115271431435614275124610114142',9280,'733',48.68,1,2,1),(28,7064764,'1995-05-24 00:00:00',4,1,11,2011,'M','N','BAIRRO IPIRANGA','S JOSÉ','SC','124242241216111431426614285121610144041',12986,'1078',39.10,1,3,NULL),(28,7064772,'1994-12-19 00:00:00',4,1,11,2011,'M','N','PEDRA BRANCA','PALHOÇA','SC','124242241217111431438414295122610164182',NULL,'1011',0.00,1,3,NULL),(28,7064799,'1994-04-25 00:00:00',4,9,12,2011,'F','N','CENTRO','LAGES','SC','124242241215371431379924575122610162032',4730,'1065',55.32,1,3,NULL),(28,7064802,'1988-03-21 00:00:00',2,1,12,2005,'M','N','VILA SANTA TEREZINHA','STA BÁRBARA D OESTE','SP','125252251236571731436633235122610162097',6115,'9998',51.62,2,1,2),(28,7064810,'1995-01-03 00:00:00',2,3,12,2012,'F','S','CENTRO','ITAIÓPOLIS','SC','124243241216111431546712225122610117052',NULL,'541',0.00,1,3,NULL),(28,7064829,'1994-04-20 00:00:00',4,2,12,2011,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241215121421439923175122610124012',14609,'855',36.26,1,3,NULL),(28,7064837,'1995-01-16 00:00:00',2,1,12,2012,'F','S','CENTRO','ALFREDO WAGNER','SC','124241241127371532422411232222610136052',NULL,'13',22.16,1,3,NULL),(28,7064845,'1990-11-15 00:00:00',4,8,11,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215371431368813575115131046172',16525,'1016',42.59,1,3,NULL),(28,7064853,'1991-03-25 00:00:00',4,8,11,2007,'M','N','GLORIA','JOINVILLE','SC','124244241116373431339614335124130224147',16399,'475',42.90,1,3,NULL),(28,7064870,'1992-12-03 00:00:00',2,8,12,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124241241134473431568811572122231527182',19456,'383',33.00,4,2,1),(28,7064888,'1993-07-12 00:00:00',4,9,12,2010,'F','N','CENTENARIO','TORRES','RS','120202241216472431338921575122610121077',11114,'515',45.23,1,3,NULL),(28,7064900,'1993-11-15 00:00:00',4,1,11,2010,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241231272441338622272124130232041',1775,'951',68.18,1,3,NULL),(28,7064926,'1992-03-25 00:00:00',2,1,12,2010,'F','N','N S DAS GRAÇAS','CANOAS','RS','120203201116371431538614571122610167021',15258,'9998',36.59,4,3,NULL),(28,7064934,'1991-10-22 00:00:00',2,16,12,2008,'F','N','CENTRO','BRUNÓPOLIS','SC','124241241123161431437913436225232832147',NULL,'911',18.40,1,3,NULL),(28,7064942,'1994-07-20 00:00:00',2,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215112431358823575122610137042',2582,'723',65.46,1,3,NULL),(28,7064950,'1993-05-24 00:00:00',4,1,12,2010,'M','N','CARIOBINHA','AMERICANA','SP','125252251217471431358714575112610127017',7586,'9998',50.16,1,3,NULL),(28,7064969,'1991-09-05 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124244241116133411428674345124230267042',13459,'732',38.85,1,3,NULL),(28,7064977,'1994-06-16 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241115371431423612575122610121097',9854,'592',47.46,1,3,NULL),(28,7064985,'1994-10-04 00:00:00',4,1,11,2011,'F','N','BURAQUINHO','LAURO FREITAS','BA','105052051216111431268832595224610134092',783,'9998',71.20,4,3,NULL),(28,7064993,'1993-08-22 00:00:00',2,4,12,2009,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241215573431366814374122610163192',9490,'1191',44.30,1,3,NULL),(28,7065000,'1975-08-22 00:00:00',2,1,12,1995,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224243247325415431433344345233131427117',18085,'9999',38.65,1,3,NULL),(28,7065035,'1994-05-24 00:00:00',4,8,11,2011,'M','N','FLORESTA','JOINVILLE','SC','124242241215121431569813572124610136112',2853,'1016',60.36,1,3,NULL),(28,7065043,'1988-10-11 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124202201213371411356611375124142152042',8194,'9998',56.79,1,3,NULL),(28,7065051,'1989-05-14 00:00:00',2,16,12,2007,'F','N','APARECIDA','CURITIBANOS','SC','224241241113131131224454382222610127147',NULL,'240',25.50,1,2,1),(28,7065060,'1994-08-30 00:00:00',4,1,12,2011,'M','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251217111431468714175122610114117',6979,'9998',50.37,1,3,NULL),(28,7065078,'1993-10-07 00:00:00',4,1,12,2011,'F','N','ITARARÉ','S VICENTE','SP','125252251211371431468739575122610123092',1932,'9998',63.62,1,3,NULL),(28,7065086,'1995-01-24 00:00:00',2,4,11,2011,'F','N','CENTRO','FAXINAL GUEDES','SC','124244241232111232538811475124610127147',11494,'836',43.27,1,3,NULL),(28,7065094,'1992-05-23 00:00:00',4,1,11,2010,'F','N','JARDIM SÃO PAULO','S PAULO','SP','125252251217471731376622575112610168122',17038,'9998',32.88,1,3,NULL),(28,7065116,'1992-07-14 00:00:00',4,1,12,2009,'F','N','AEROPORTO','GOIÂNIA','GO','109092091215571411578713584122610164112',415,'9998',73.19,1,3,NULL),(28,7065124,'1994-08-16 00:00:00',2,23,12,2011,'F','N','CENTENARIO','JARAGUÁ SUL','SC','124243241126162431427651315122610114017',NULL,'427',21.96,1,3,NULL),(28,7065159,'1963-06-01 00:00:00',4,1,12,1980,'F','N','BUTANTÃ','S PAULO','SP','225252258216471751479953211122342866093',831,'9998',69.60,1,3,NULL),(28,7065167,'1994-04-27 00:00:00',4,10,12,2011,'F','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124244241116151432457811372222610136192',6058,'1034',53.10,1,3,NULL),(28,7065175,'1993-11-25 00:00:00',4,8,11,2011,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215371331385923594122610126112',1823,'1063',63.42,1,3,NULL),(28,7065183,'1993-12-17 00:00:00',2,1,12,2011,'F','N','VILA CARVALHO','CPO GRANDE','MS','112122251116211711438611592122610147072',NULL,'9998',0.00,4,3,NULL),(28,7065191,'1991-09-20 00:00:00',4,1,12,2009,'M','N','CAMPO BELO','S PAULO','SP','124252251217272411589812445122241467045',3900,'9998',64.68,1,3,NULL),(28,7065205,'1994-03-04 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241211152421446812344122231464012',17988,'1118',34.79,1,3,NULL),(28,7065213,'1994-07-10 00:00:00',2,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124243241112131711428614276124610137067',NULL,'257',14.21,1,3,NULL),(28,7065221,'1993-01-05 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217472431479913595124610166185',2294,'951',63.45,1,3,NULL),(28,7065230,'1994-08-23 00:00:00',4,3,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124162241217111431478812475112610128042',5812,'1038',55.63,1,3,NULL),(28,7065256,'1993-09-24 00:00:00',4,4,12,2010,'M','N','INTERIOR','XANXERÊ','SC','124241241111472431436923371124610167147',4985,'840',57.00,1,2,1),(28,7065272,'1986-05-18 00:00:00',4,1,12,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215373731388823385112123262195',12759,'270',49.35,1,3,NULL),(28,7065280,'1993-07-08 00:00:00',4,8,12,2011,'M','N','IRIRIU','JOINVILLE','SC','124242241212371711446732375114610167012',13892,'1016',47.57,1,3,NULL),(28,7065299,'1993-05-17 00:00:00',4,1,12,2011,'M','N','PIRITUBA','S PAULO','SP','125252256137471411378831575125610137042',NULL,'9998',0.00,1,3,NULL),(28,7065302,'1995-05-27 00:00:00',2,23,12,2011,'F','N','ÁGUA VERDE','JARAGUÁ SUL','SC','124244241117371731324667485124610164147',13527,'425',36.69,1,3,NULL),(28,7065329,'1993-12-14 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124201241111472411456512275122610126192',12932,'169',43.36,4,2,1),(28,7065337,'1987-09-25 00:00:00',4,1,12,2004,'M','N','CHACARA SANTO ANTONI','S PAULO','SP','125251251316571431425411585123610117017',NULL,'9998',19.21,1,3,NULL),(28,7065353,'1994-01-23 00:00:00',4,8,12,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215271431568612575125610164042',8420,'1105',49.23,1,3,NULL),(28,7065370,'1991-10-27 00:00:00',2,8,5,2010,'M','N','RESTINGA','MAFRA','SC','124241247136174431416619597245610168097',NULL,'9998',0.00,1,2,1),(28,7065388,'1995-05-18 00:00:00',4,1,12,2012,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124241241112151321436324445124610167052',NULL,'307',29.03,1,3,NULL),(28,7065396,'1993-12-17 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124241241211474431426512592114610126017',9001,'737',48.95,1,3,NULL),(28,7065418,'1989-07-14 00:00:00',2,1,12,2006,'M','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124101101111171431226624445124142932182',17597,'9998',40.05,2,1,1),(28,7065450,'1994-05-03 00:00:00',4,1,12,2011,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124244241227111431547319275124610134012',9959,'262',47.31,1,3,NULL),(28,7065469,'1994-10-20 00:00:00',4,1,12,2011,'M','N','CENTRO','IBIRUBÁ','RS','120202201216161431359933245112610127052',5915,'9998',54.20,1,3,NULL),(28,7065477,'1994-03-23 00:00:00',2,1,12,2011,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','624242248215171731326633372122610132197',18569,'724',36.99,1,3,NULL),(28,7065485,'1994-11-15 00:00:00',4,10,12,2011,'F','N','OFICINAS','TUBARÃO','SC','124241241115371431436313575122610126192',6547,'1034',51.96,1,2,1),(28,7065493,'1990-06-06 00:00:00',2,8,7,2009,'F','N','COMASA','JOINVILLE','SC','124201241132271431546823435114130438017',NULL,'469',12.26,1,3,NULL),(28,7065515,'1987-01-21 00:00:00',2,17,11,2005,'F','N','CENTRO','PTO UNIÃO','SC','124243161336131421323239245132132868097',NULL,'9998',20.12,4,3,NULL),(28,7065523,'1993-07-07 00:00:00',4,1,12,2010,'M','N','HIGIENOPOLIS','S JOSÉ R PRETO','SP','125092251215371431369921475112610124042',5434,'9998',61.60,1,3,NULL),(28,7065531,'1994-12-20 00:00:00',2,7,11,2011,'F','N','CENTRO','CAPINZAL','SC','124244241215371531439812581122610111142',NULL,'446',30.45,1,3,NULL),(28,7065540,'1994-08-05 00:00:00',4,1,12,2011,'F','N','JARDIM MARIANA','SOROCABA','SP','125252251215111411438712575112610151123',2226,'9998',64.45,1,3,NULL),(28,7065566,'1992-12-17 00:00:00',4,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241115371732536634576124610767057',18256,'9997',33.16,1,2,1),(28,7065574,'1995-02-17 00:00:00',4,10,11,2011,'F','N','RECIFE','TUBARÃO','SC','124242241215372431469913575122610164192',2418,'797',63.85,1,3,NULL),(28,7065590,'1993-10-11 00:00:00',2,23,12,2010,'F','N','NEREU RAMOS','JARAGUÁ SUL','SC','124241241121471321526412272124610167052',19879,'429',29.56,1,2,1),(28,7065604,'1993-08-20 00:00:00',4,1,11,2010,'F','N','COOPHARÁDIO','CPO GRANDE','MS','112121121117131421326812595124143235184',NULL,'9998',8.75,1,2,1),(28,7065639,'1993-02-19 00:00:00',4,1,12,2010,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215472431558932572122610164142',1777,'737',65.42,1,3,NULL),(28,7065647,'1991-10-16 00:00:00',4,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241217575431459613472122220664183',NULL,'259',30.19,1,3,NULL),(28,7065655,'1982-10-14 00:00:00',2,1,6,2001,'M','N','CAMPINAS','S JOSÉ','SC','124242247426152721346842225134321167052',NULL,'9999',0.00,1,3,NULL),(28,7065663,'1994-01-30 00:00:00',2,10,12,2011,'M','N','TERMAS','GRAVATAL','SC','124241241136131432224434385121610127067',NULL,'332',31.47,1,2,1),(28,7065671,'1993-01-09 00:00:00',2,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241216142431458712445114231823073',17929,'1022',39.14,1,3,NULL),(28,7065680,'1994-01-04 00:00:00',4,1,7,2011,'F','N','SÃO FRANCISCO DE ASS','STO AMARO IMPERATRIZ','SC','124241241117372431526514591122610147147',5600,'739',53.64,1,2,1),(28,7065701,'1995-04-27 00:00:00',2,4,12,2011,'M','N','CENTRO','XANXERÊ','SC','124243241135371431386612115122610137182',17058,'1233',30.56,1,3,NULL),(28,7065710,'1992-12-25 00:00:00',2,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124231111116131431423364382315610164142',18243,'9998',38.16,4,2,1),(28,7065728,'1994-12-19 00:00:00',4,7,12,2011,'F','N','CENTRO','HERVAL D OESTE','SC','124242241215371431437619395122610144197',5076,'446',62.26,1,3,NULL),(28,7065736,'1993-01-16 00:00:00',4,1,12,2010,'F','N','SETOR OESTE','GOIÂNIA','GO','109092091215472431566611575122610122197',4264,'9998',56.47,1,3,NULL),(28,7065744,'1989-08-01 00:00:00',6,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124161168117131731225579485114610152057',NULL,'9998',26.10,1,3,NULL),(28,7065752,'1993-03-20 00:00:00',2,1,11,2011,'F','N','CAMPINAS','S JOSÉ','SC','124244241215472431458634375122610137145',1526,'1022',69.03,4,3,NULL),(28,7065787,'1994-06-14 00:00:00',4,24,12,2011,'F','N','BARRA DO TROMBUDO','RIO SUL','SC','124241241116371311326424235124610123142',NULL,'864',34.79,1,2,1),(28,7065795,'1994-04-27 00:00:00',2,1,12,2011,'F','N','SÃO MATEUS','BIGUAÇU','SC','124241246117431431324414272124610127047',19287,'65',25.99,1,2,1),(28,7065825,'1993-10-12 00:00:00',4,6,10,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124201241214111431355923575115610137012',8830,'9997',55.72,1,3,NULL),(28,7065833,'1991-06-08 00:00:00',4,1,12,2009,'F','N','CENTRO','PTO ALEGRE','RS','120203201116472431566929595114243266092',956,'9998',68.11,1,3,NULL),(28,7065841,'1987-07-10 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','624241241137141451223352145132610168097',NULL,'278',0.00,4,2,1),(28,7065868,'1994-09-13 00:00:00',2,1,12,2011,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241117131431631321335124610162147',19025,'591',35.23,1,3,NULL),(28,7065884,'1994-10-07 00:00:00',4,4,12,2011,'M','N','CENTRO','XANXERÊ','SC','124242241115271431356636285122610122187',9587,'1233',46.78,1,3,NULL),(28,7065892,'1994-04-16 00:00:00',4,6,11,2011,'M','N','CENTRO','ITAJAÍ','SC','124242241215111622438923575122610117042',12547,'1026',46.50,3,3,NULL),(28,7065906,'1992-01-21 00:00:00',4,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241211572231257923575125610115172',1544,'1038',66.40,1,3,NULL),(28,7065922,'1993-08-19 00:00:00',2,4,12,2011,'F','N','VALDIR DELAI','IPUMIRIM','SC','124241242117131431426614575224610124197',9414,'196',45.77,1,2,1),(28,7065930,'1989-12-05 00:00:00',4,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216575431458614495134333238047',1598,'1022',66.29,1,3,NULL),(28,7065949,'1990-01-01 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215275431348827482112122234097',8235,'272',48.53,1,3,NULL),(28,7065957,'1994-05-04 00:00:00',2,1,12,2011,'F','N','RESIDENCIAL DA ILHAS','BRAGANÇA PAULISTA','SP','125252251216111431446639575112610118192',NULL,'9998',18.49,1,3,NULL),(28,7065973,'1994-06-29 00:00:00',4,1,11,2011,'M','N','CRISTINA II','TRINDADE','GO','109092091236111431454639572122610117042',7692,'9998',50.52,1,3,NULL),(28,7065990,'1994-01-24 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124244241215373431458814574125231036182',2367,'1191',63.07,1,3,NULL),(28,7066007,'1995-01-07 00:00:00',2,15,12,2011,'F','N','DIVINÉIA','ARARANGUÁ','SC','124241241115141431448914396123610133182',11555,'30',43.48,1,2,1),(28,7066015,'1991-09-06 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573731448632575122610164145',221,'806',76.71,1,3,NULL),(28,7066058,'1993-11-08 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371732428614575124610124052',NULL,'944',26.63,4,1,2),(28,7066066,'1992-07-29 00:00:00',2,8,11,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241216473431339911575124610164142',13760,'486',47.79,1,3,NULL),(28,7066074,'1993-12-24 00:00:00',2,15,11,2011,'F','N','RENASCER','CRICIÚMA','SC','124243241215111411513524482224610135177',15489,'210',36.87,4,3,NULL),(28,7066090,'1993-09-30 00:00:00',4,1,11,2011,'M','N','CAMPO D UNA','GAROPABA','SC','124241241111111431224363575122610142182',NULL,'1136',21.71,2,1,1),(28,7066104,'1992-10-01 00:00:00',4,8,12,2010,'F','N','BOA VISTA','JOINVILLE','SC','125162161217471541679814575125610166147',568,'9998',70.98,1,3,NULL),(28,7066112,'1990-03-21 00:00:00',4,1,12,2007,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215373431367812575112121467046',3008,'970',66.87,1,3,NULL),(28,7066120,'1994-01-15 00:00:00',2,8,11,2011,'M','N','PAULAS','S FRANCISCO SUL','SC','124242241215111431368813575122610137112',17111,'1063',35.16,1,3,NULL),(28,7066139,'1993-03-11 00:00:00',4,1,12,2009,'M','N','VILA DUBUS','PRES PRUDENTE','SP','125252251215572441469811575122610162122',NULL,'9998',0.00,1,3,NULL),(28,7066155,'1994-01-06 00:00:00',4,10,12,2011,'M','N','SÃO MARTINHO','TUBARÃO','SC','124241241146471431333414285124610162042',6837,'802',51.75,1,2,1),(28,7066163,'1993-01-12 00:00:00',4,8,11,2010,'F','N','CAJURU','CURITIBA','PR','116162161217371421459813575124610134077',NULL,'9998',0.00,1,3,NULL),(28,7066171,'1981-07-02 00:00:00',2,1,12,2002,'M','N','INGLESES','FLORIANÓPOLIS','SC','124251257126131711223344145114610117047',19328,'9998',26.61,1,2,1),(28,7066180,'1994-05-17 00:00:00',4,2,11,2011,'F','N','VILA NOVA','BLUMENAU','SC','124244241215111431389934575112610134122',NULL,'855',45.43,1,3,NULL),(28,7066210,'1994-04-25 00:00:00',4,8,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121411278923574115610133076',NULL,'1063',0.00,1,3,NULL),(28,7066228,'1993-09-24 00:00:00',4,8,11,2011,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111431468931575112610134192',4285,'457',58.62,1,3,NULL),(28,7066252,'1992-02-08 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241226372431323319395224230467042',NULL,'262',0.00,1,3,NULL),(28,7066260,'1991-02-28 00:00:00',2,1,12,2008,'M','N','JARDIM MARIO COVAS','CPO GRANDE','MS','112121121136572431448623372224610137047',1404,'9998',68.42,1,2,1),(28,7066287,'1993-12-28 00:00:00',2,15,12,2010,'F','N','LEÃO','PR GRANDE','SC','124241243141241431313344345121610127147',16544,'641',33.05,1,2,1),(28,7066295,'1992-01-22 00:00:00',2,4,12,2009,'M','N','SAO CRISTÓVAO','CHAPECÓ','SC','120241241111131441114414395134230765172',13764,'169',38.98,1,2,1),(28,7066309,'1993-08-19 00:00:00',4,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241215372731457823576114221564047',3158,'1011',62.02,1,3,NULL),(28,7066317,'1994-09-30 00:00:00',4,10,10,2011,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215122431458924576122610123052',9018,'807',47.29,1,3,NULL),(28,7066325,'1988-09-05 00:00:00',2,1,11,2007,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241141232231528344242334610136147',NULL,'293',27.97,2,1,1),(28,7066333,'1995-02-28 00:00:00',4,1,2,2012,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215111711259924571122610132183',11458,'262',51.40,1,3,NULL),(28,7066341,'1992-07-11 00:00:00',4,1,12,2009,'M','N','JARDIM TV MORENA','CPO GRANDE','MS','112122121215572431458831575112610164072',5844,'9998',54.59,3,3,NULL),(28,7066368,'1993-08-04 00:00:00',4,3,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241215272431469814472111610164182',10220,'44',46.08,1,3,NULL),(28,7066392,'1994-10-18 00:00:00',4,4,12,2011,'F','N','CENTRO','PINHALZINHO','SC','124241241111131431523311285121610157147',NULL,'1032',22.08,1,2,1),(28,7066406,'1994-09-18 00:00:00',4,6,12,2011,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241215371431458819395122610127092',3578,'392',60.02,1,3,NULL),(28,7066430,'1996-04-11 00:00:00',4,1,12,2011,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124202241215111431588712275124610142096',NULL,'270',15.86,1,3,NULL),(28,7066449,'1993-12-30 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241117152431426634282114610162052',11426,'257',42.60,1,2,1),(28,7066457,'1994-08-13 00:00:00',4,8,11,2011,'M','N','IRIRIÚ','JOINVILLE','SC','124242241215111431466611575124610167041',3349,'461',59.10,1,3,NULL),(28,7066465,'1994-11-11 00:00:00',4,7,12,2011,'F','N','FLORESTA','VIDEIRA','SC','124241241117271431446634345122610121092',11190,'831',42.83,1,2,1),(28,7066473,'1991-10-25 00:00:00',4,1,12,2009,'M','N','ALTO DE PINHEIROS','S PAULO','SP','125252251216371431477812476112141427137',2097,'9998',65.41,1,3,NULL),(28,7066490,'1991-08-20 00:00:00',4,1,12,2009,'F','N','JARDIM PAULISTA','S PAULO','SP','125092091216471411468811575114610122182',2605,'9998',61.65,1,3,NULL),(28,7066503,'1993-08-21 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124204201337372731216668275324610162112',15125,'9998',45.36,1,3,NULL),(28,7066511,'1993-08-11 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','624244241215474731338923575124610163181',3479,'737',60.92,1,3,NULL),(28,7066520,'1993-07-19 00:00:00',2,3,12,2010,'F','N','CENTRO','STA CECÍLIA','SC','124241241215373451436612175112610162197',10499,'781',44.55,1,3,NULL),(28,7066538,'1993-05-03 00:00:00',4,1,11,2009,'F','N','PINHEIROS','S PAULO','SP','125112111217571431359811576124610146142',645,'9998',72.45,4,3,NULL),(28,7066546,'1995-06-18 00:00:00',4,1,12,2011,'F','N','PENHA','PAULO LOPES','SC','124241241225131431313311572114610135057',18248,'262',27.07,1,3,NULL),(28,7066554,'1993-09-05 00:00:00',4,7,12,2010,'F','N','SANTA LUZIA','LUZIÂNIA','GO','109091091212272431417936175121610166142',1393,'9998',68.97,1,3,NULL),(28,7066562,'1994-04-30 00:00:00',4,5,11,2011,'M','N','CENTRO','ORLEANS','SC','124242241217121231466632372112610167182',11086,'226',43.94,1,3,NULL),(28,7066570,'1994-09-26 00:00:00',2,7,12,2011,'F','N','CIDADE ALTA','SALTO VELOSO','SC','124241241115271431528624246124610133172',14919,'684',37.70,1,2,1),(28,7066600,'1985-05-09 00:00:00',2,1,11,2001,'F','N','SERRARIA','S JOSÉ','SC','124241241126151421236329245134610143197',NULL,'277',33.96,2,1,1),(28,7066619,'1994-06-13 00:00:00',4,1,12,2011,'M','N','VILA VALENÇA','S VICENTE','SP','125252251215271331338913575111610117117',4678,'9998',57.85,1,3,NULL),(28,7066627,'1991-11-15 00:00:00',4,1,12,2009,'F','N','CAMPO LIMPO','S PAULO','SP','125252251116571411356811571122610116077',3455,'9998',58.32,1,3,NULL),(28,7066635,'1993-04-03 00:00:00',2,1,12,2009,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241116273411526634285124610122143',14956,'591',34.26,1,2,1),(28,7066643,'1985-01-10 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116152421146644245124333266187',5071,'521',54.15,1,2,1),(28,7066651,'1994-08-26 00:00:00',4,1,12,2011,'M','N','JARDIM CERRO AZUL','MARINGÁ','PR','116252161217371432458832575122610167012',12782,'9998',40.00,3,3,NULL),(28,7066660,'1994-09-23 00:00:00',4,2,12,2011,'F','N','GARCIA','BLUMENAU','SC','124242241216272431335729595124610138077',5002,'71',55.72,1,3,NULL),(28,7066678,'1993-08-17 00:00:00',2,25,12,2011,'F','N','CENTRO','VIDEIRA','SC','124241241116131431326624375125610132147',NULL,'831',13.71,1,2,1),(28,7066694,'1994-06-02 00:00:00',4,8,11,2011,'F','N','BOA VISTA','JOINVILLE','SC','124241241215121431637612575124610122047',6201,'1016',54.88,1,3,NULL),(28,7066716,'1994-11-18 00:00:00',2,1,12,2011,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241216111431433611175114610167142',12692,'1197',49.44,1,3,NULL),(28,7066724,'1991-02-27 00:00:00',4,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116161163116141431446624575124240434122',NULL,'9998',0.00,1,2,1),(28,7066732,'1994-10-29 00:00:00',4,4,12,2011,'M','N','INTERIOR','CONCÓRDIA','SC','124241241217131431436335595124610162172',NULL,'1001',32.91,1,3,NULL),(28,7066740,'1992-07-24 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241241126142421443612345114610117047',NULL,'732',0.00,1,2,1),(28,7066767,'1994-11-04 00:00:00',4,1,11,2011,'F','N','MOOCA','S PAULO','SP','125252251217151411448714472125610132042',9850,'9998',44.89,1,3,NULL),(28,7066783,'1991-10-30 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241112574431426313475124231066142',13606,'281',40.38,1,2,1),(28,7066791,'1992-01-16 00:00:00',2,1,12,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124252241215373431638831412124233233127',2710,'270',62.54,1,3,NULL),(28,7066805,'1993-05-13 00:00:00',2,1,12,2010,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241115372731525312572124610124197',9701,'592',48.05,1,2,1),(28,7066813,'1993-08-30 00:00:00',4,2,11,2011,'M','N','GARCIA','BLUMENAU','SC','124072241217122431239833472124610127092',1232,'855',67.27,1,3,NULL),(28,7066821,'1994-01-04 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241217472431446613472122610137145',11812,'1022',44.30,1,3,NULL),(28,7066856,'1994-01-14 00:00:00',2,1,12,2011,'F','N','SANTANA','S JOSÉ CAMPOS','SP','125253251216131131437838395124610143097',11753,'9998',42.83,1,3,NULL),(28,7066864,'1994-08-25 00:00:00',4,1,12,2011,'F','N','SETOR SUDOESTE','GOIÂNIA','GO','109093091216111431434811275122610162147',78,'9998',80.46,1,3,NULL),(28,7066899,'1993-12-26 00:00:00',2,1,12,2010,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241125471231433633345124610134077',17268,'257',34.02,1,2,1),(28,7066902,'1993-07-29 00:00:00',2,1,11,2012,'F','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124202288217151431269949575115610162192',NULL,'9998',0.00,1,3,NULL),(28,7066929,'1993-08-05 00:00:00',2,1,12,2010,'F','N','JARDIM PRIMAVERA','MAUÁ','SP','125252251216471741349633575124610152057',13667,'9998',38.46,1,3,NULL),(28,7066937,'1993-10-14 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215372431435832571124610121122',7632,'1023',54.68,1,3,NULL),(28,7066953,'1994-06-03 00:00:00',4,1,12,2011,'F','N','CENTRO','POÇOS CALDAS','MG','113132131216111431369613575122610126182',9848,'9998',45.08,4,3,NULL),(28,7066970,'1994-04-20 00:00:00',2,1,12,2010,'F','N','CAMINHO NOVO','PALHOÇA','SC','124243241211371731459913585124132732172',8922,'1022',48.27,1,3,NULL),(28,7066996,'1994-04-11 00:00:00',4,22,12,2011,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215111431379911575122610138112',19604,'109',31.98,1,3,NULL),(28,7067003,'1988-10-28 00:00:00',4,1,12,2006,'M','N','ALTO DA SAUDADE','ARAÇATUBA','SP','125252251215571511468811591122610132021',1673,'9998',64.60,1,3,NULL),(28,7067011,'1993-02-03 00:00:00',4,24,11,2010,'M','N','SUMARÉ','RIO SUL','SC','124242241216152431568612182112230368192',3078,'991',59.33,1,3,NULL),(28,7067020,'1993-02-06 00:00:00',2,5,12,2010,'F','N','OPERÁRIA NOVA','CRICIÚMA','SC','124244246217371431647722241124610126181',7935,'995',57.24,1,3,NULL),(28,7067038,'1993-10-02 00:00:00',4,17,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431367922575114610141192',11238,'1118',44.46,1,3,NULL),(28,7067046,'1993-08-08 00:00:00',4,2,11,2010,'F','N','PINHEIROS','S PAULO','SP','125252251217472431448819575125610146147',1373,'9998',67.82,1,3,NULL),(28,7067054,'1993-08-26 00:00:00',4,1,12,2010,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242281215471431467714445122610137042',13961,'9998',40.90,1,3,NULL),(28,7067062,'1994-03-15 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247215111431339812175124610117182',10463,'270',44.69,1,3,NULL),(28,7067089,'1994-09-02 00:00:00',2,1,12,2011,'F','N','AGAPEAMA','JUNDIAÍ','SP','125252251217271131433931285124610115147',NULL,'9998',0.00,3,3,NULL),(28,7067100,'1994-01-25 00:00:00',2,8,12,2010,'F','N','CENTRO','LARANJEIRAS SUL','PR','116161161216111431446934585112240637072',10537,'9998',40.63,4,3,NULL),(28,7067119,'1995-08-02 00:00:00',4,1,12,2011,'F','N','CENTRO','BIGUAÇU','SC','124242241215111131476912575112610127142',14376,'270',46.80,1,3,NULL),(28,7067127,'1994-02-15 00:00:00',4,8,12,2011,'F','N','CENTRO','PARANAVAÍ','PR','116162161215111431536832575115610142142',2030,'9998',69.73,1,3,NULL),(28,7067135,'1992-04-30 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241111153731638673591124231067047',12342,'298',42.74,1,2,1),(28,7067151,'1994-02-27 00:00:00',4,1,12,2011,'F','N','CENTRO','JUNDIAÍ','SP','125252251215111431478814575112610125042',12499,'9998',39.54,1,3,NULL),(28,7067160,'1986-01-14 00:00:00',2,1,12,2005,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243247412142431569613431122223267042',NULL,'9999',0.00,1,3,NULL),(28,7067186,'1981-10-24 00:00:00',4,1,12,1999,'F','N','BARREIROS','S JOSÉ','SC','124161161135143711233644245122332066097',11281,'9998',51.65,2,3,NULL),(28,7067194,'1994-06-09 00:00:00',2,4,12,2010,'F','N','CENTRO','ITÁ','SC','124241241116131431449313575115610124197',NULL,'383',0.00,1,3,NULL),(28,7067208,'1988-04-19 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','125251251137272421125644245124141227067',13602,'9998',39.42,1,2,1),(28,7067216,'1993-12-21 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116131531535353575124610124147',18892,'257',30.35,2,2,1),(28,7067224,'1992-02-06 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241211573732478714584114230267062',3901,'262',64.68,1,3,NULL),(28,7067232,'1998-03-09 00:00:00',4,5,11,2015,'F','S','BELA VISTA','URUSSANGA','SC','124242241216111732437619575122610128197',NULL,'820',24.57,1,3,NULL),(28,7067259,'1992-08-31 00:00:00',4,1,12,2009,'M','N','PARQUE ALVES DE LIMA','S PAULO','SP','125252251216321431455411181114610167047',7157,'9998',52.12,1,3,NULL),(28,7067275,'1986-03-07 00:00:00',4,1,12,2003,'M','N','PACHECOS','PALHOÇA','SC','124252241437135721228844345132122227017',10643,'734',52.68,1,3,NULL),(28,7067283,'1993-04-14 00:00:00',2,1,12,2010,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124251241116472431434415185124610162147',9329,'978',48.73,1,2,1),(28,7067291,'1994-03-07 00:00:00',4,6,11,2011,'M','N','SÃO NICOLAU','PENHA','SC','124244248215111431236923572122610135047',6866,'1026',53.26,1,3,NULL),(28,7067313,'1994-07-25 00:00:00',2,4,12,2011,'F','N','INTERIOR','MODELO','SC','124241241115271431634315553122610124057',13849,'562',40.28,1,3,NULL),(28,7067321,'1993-09-18 00:00:00',4,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124241241115132411536321575224610124087',15929,'734',43.82,1,3,NULL),(28,7067330,'1994-12-27 00:00:00',4,1,12,2011,'F','N','PIRATINI','PANAMBI','RS','120201201117131531348623395122610164127',NULL,'9998',20.88,1,2,1),(28,7067348,'1994-10-31 00:00:00',2,8,12,2011,'F','N','JARDIM GUARAITUBA','PARANAGUÁ','PR','116162162117371431346933575124610164092',11237,'9998',44.61,1,3,NULL),(28,7067356,'1993-03-01 00:00:00',2,15,12,2010,'F','N','GETÚLIO VARGAS','TORRES','RS','120203201216371231436924175122610147012',12441,'9998',40.47,1,3,NULL),(28,7067364,'1992-06-28 00:00:00',4,9,12,2010,'M','N','JARDIM AMÉRICA','CAXIAS SUL','RS','120164201316571731555812395124610164012',19122,'9998',34.78,4,3,NULL),(28,7067372,'1991-11-05 00:00:00',4,1,12,2008,'M','N','RECANTO DOS PÁSSAROS','CUIABÁ','MT','111112111216471431568933571122610117047',1702,'9998',66.32,1,3,NULL),(28,7067380,'1994-05-20 00:00:00',4,1,11,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215121431278923475112610143192',1236,'270',69.77,1,3,NULL),(28,7067399,'1994-04-16 00:00:00',4,5,12,2011,'M','N','BAIRRO NASPOLINI','MRO FUMAÇA','SC','124241241116131431323631395124610136177',17005,'567',41.54,1,3,NULL),(28,7067410,'1994-02-09 00:00:00',4,10,11,2011,'F','N','MONTE CASTELO','TUBARÃO','SC','124242241215111732436834582111610134052',NULL,'1120',22.16,1,3,NULL),(28,7067453,'1994-09-12 00:00:00',4,4,12,2011,'F','N','ZONA RURAL','BOM J OESTE','SC','124241241116131431413325572124610111172',10641,'94',43.72,1,2,1),(28,7067461,'1995-02-04 00:00:00',2,4,12,2011,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124074241217111451449933575124610164097',6012,'1192',52.49,5,4,NULL),(28,7067470,'1994-08-14 00:00:00',2,24,11,2011,'F','N','DALBÉRGIA','IBIRAMA','SC','124242241215272431446632574222610127057',1265,'346',66.32,1,3,NULL),(28,7067488,'1995-12-20 00:00:00',2,1,12,2012,'F','S','CAMPINAS','S JOSÉ','SC','124242241215111531438511575124610126012',NULL,'262',19.43,1,3,NULL),(28,7067496,'1993-06-30 00:00:00',4,2,12,2010,'F','N','TERRANOVA I','S BERNARDO CAMPO','SP','125252251416471431479924575125610134187',4113,'9998',56.64,1,3,NULL),(28,7067500,'1991-03-15 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117272731545819145124610136117',16428,'267',35.82,4,2,1),(28,7067526,'1994-12-07 00:00:00',4,1,1,2012,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431358834572122610167072',NULL,'262',31.39,1,3,NULL),(28,7067542,'1994-11-29 00:00:00',4,4,12,2011,'M','N','CENTRO','JOAÇABA','SC','124242241215371732368933375122610134037',NULL,'962',0.00,1,3,NULL),(28,7067550,'1992-11-10 00:00:00',2,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124241241117151731435573475112233238047',NULL,'239',38.56,1,3,NULL),(28,7067577,'1990-04-17 00:00:00',2,1,12,2008,'M','N','SERRARIA','S JOSÉ','SC','124244241417153431446923341132230827092',18598,'868',36.91,1,3,NULL),(28,7067585,'1994-03-12 00:00:00',4,10,11,2011,'F','N','CENTRO','TUBARÃO','SC','124242241215111431456617575122610134194',15831,'807',36.57,1,3,NULL),(28,7067593,'1994-02-16 00:00:00',2,8,12,2011,'M','N','VILA RIO BRANCO','JUNDIAÍ','SP','125252251116111431369913491125610132092',8383,'9998',48.57,1,3,NULL),(28,7067607,'1993-09-13 00:00:00',4,1,12,2011,'F','N','VILA DE FURNAS','ITUMBIARA','GO','109092091216111321589931572125610168093',NULL,'9998',0.00,1,3,NULL),(28,7067615,'1980-05-07 00:00:00',4,1,12,1997,'F','N','VENDAVAL','BIGUAÇU','SC','224241248146132721543654342132610163192',NULL,'65',0.00,1,2,1),(28,7067623,'1993-09-24 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241112272731426611375124610122147',NULL,'1248',37.56,1,2,1),(28,7067631,'1992-05-05 00:00:00',4,4,12,2011,'F','N','CENTRO','VERANÓPOLIS','RS','120201201116471111346823475122610142144',NULL,'9998',17.26,1,2,1),(28,7067658,'1991-02-16 00:00:00',2,1,11,2008,'F','N','SANTOS SARAIVA','S JOSÉ','SC','124241241137371731625319382124610167077',17008,'733',41.53,4,3,NULL),(28,7067666,'1969-06-07 00:00:00',2,1,12,1996,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241243121144411354351214132610152045',18486,'591',37.33,1,2,1),(28,7067682,'1991-07-09 00:00:00',2,1,12,2008,'F','N','CENTRO','CANOAS','RS','120202201216371411538612575115142834042',15969,'9998',40.25,1,3,NULL),(28,7067704,'1994-10-27 00:00:00',4,4,12,2011,'F','N','CENTRO','BOM J OESTE','SC','124241241116131431418414572122610114172',6765,'94',51.16,1,2,1),(28,7067739,'1993-09-15 00:00:00',4,5,12,2010,'M','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215473431356832575122131447112',1359,'211',67.66,1,3,NULL),(28,7067747,'1995-08-02 00:00:00',4,26,11,2011,'M','N','CENTRO','CONCÓRDIA','SC','124242161215111431468822575112610167072',4051,'9998',59.62,1,3,NULL),(28,7067755,'1985-05-02 00:00:00',2,1,12,2003,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224242241217273431213867472214141046077',12484,'988',43.10,1,3,NULL),(28,7067763,'1994-11-25 00:00:00',4,2,11,2011,'M','N','VELHA','BLUMENAU','SC','124242241215112431468933575124610162182',1058,'855',73.74,1,3,NULL),(28,7067771,'1993-11-24 00:00:00',4,1,12,2011,'M','N','CELINA','BARRETOS','SP','125252251216111431468933595122610167042',5884,'9998',54.61,1,3,NULL),(28,7067798,'1992-06-08 00:00:00',2,1,11,2009,'F','N','CENTRO','TURVO','SC','124242241215573431457612575122610112142',4069,'32',58.37,1,3,NULL),(28,7067801,'1989-09-07 00:00:00',4,6,12,2007,'M','N','CABEÇUDAS','ITAJAÍ','SC','124161161126372411222429575124231467042',10191,'9998',45.90,1,2,1),(28,7067810,'1994-06-13 00:00:00',4,1,11,2011,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241216171431476612575112610117182',17799,'1022',39.48,1,3,NULL),(28,7067828,'1992-08-17 00:00:00',2,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124241241136133431336611475123231324097',NULL,'729',31.07,4,3,NULL),(28,7067836,'1993-01-21 00:00:00',4,8,12,2010,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161216471431359814395112610167181',5936,'9998',56.64,3,3,NULL),(28,7067844,'1994-05-24 00:00:00',4,1,11,2011,'F','N','COLONIA SANTANA','S JOSÉ','SC','124244241415111411346612375114610137042',17545,'1075',40.19,1,3,NULL),(28,7067852,'1987-11-05 00:00:00',4,8,12,2004,'M','N','IRIRIU','JOINVILLE','SC','124241241137472221628824345121140667147',2517,'470',63.29,1,2,1),(28,7067860,'1992-11-19 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244251416372431436823472124610127012',9471,'267',47.48,1,3,NULL),(28,7067879,'1994-09-01 00:00:00',4,1,12,2011,'F','N','CENTRO','CPO LARGO','PR','116162161217311431445722276122610143142',NULL,'9998',0.00,1,3,NULL),(28,7067895,'1992-01-31 00:00:00',6,1,10,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241215131421428824575124610126077',NULL,'1198',0.00,1,3,NULL),(28,7067909,'1994-06-24 00:00:00',4,1,11,2011,'M','N','PRAIA BRAVA','ITAJAÍ','SC','124242241215111431538924585124610117072',13145,'1026',40.64,1,3,NULL),(28,7067917,'1993-06-10 00:00:00',4,7,12,2011,'F','N','CENTRO','JOAÇABA','SC','124241248135141432426922395122610157142',NULL,'341',0.00,1,2,1),(28,7067933,'1994-07-17 00:00:00',4,4,12,2011,'M','N','DA LUZ','DOIS VIZINHOS','PR','116161161117471431424311585124610136192',16325,'9998',33.50,1,2,1),(28,7067950,'1992-02-09 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215472421468712275122610117042',19103,'226',34.86,1,3,NULL),(28,7067968,'1994-01-30 00:00:00',4,22,12,2011,'M','N','CENTRO','NOVA TRENTO','SC','124241241115271441323419572221610125042',3877,'574',59.53,1,2,1),(28,7067976,'1986-12-26 00:00:00',4,1,9,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241336131421344923142114610137047',NULL,'9999',15.69,1,3,NULL),(28,7067984,'1989-12-08 00:00:00',4,1,6,2008,'F','N','MOEMA','S PAULO','SP','125252281216571731488714571124610132122',2827,'9998',65.13,1,3,NULL),(28,7067992,'1989-12-18 00:00:00',4,1,7,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201207447372431228728315124140644141',NULL,'9998',31.66,1,3,NULL),(28,7068000,'1996-06-07 00:00:00',2,7,12,2012,'F','S','BAIRRO SÃO CRISTÓVÃO','FAXINAL GUEDES','SC','124244241216111431353824575124610126092',NULL,'836',42.59,1,3,NULL),(28,7068018,'1993-02-06 00:00:00',4,8,12,2010,'F','N','CENTRO','LONDRINA','PR','116164161236471431548711215222610126147',2100,'9998',69.49,3,3,NULL),(28,7068026,'1994-03-08 00:00:00',4,24,11,2011,'F','N','SANTANA','RIO SUL','SC','124244241215131431438614572122610137052',10712,'663',42.08,1,3,NULL),(28,7068050,'1993-04-05 00:00:00',4,1,12,2010,'F','N','MENINO DEUS','PTO ALEGRE','RS','120202201216272431159812375114610162182',11466,'9998',39.76,1,3,NULL),(28,7068069,'1994-03-04 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116471431416629245334610137047',NULL,'257',27.33,2,1,1),(28,7068077,'1988-04-26 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241147472131335323241113610167114',NULL,'285',26.51,1,2,1),(28,7068085,'1994-07-21 00:00:00',4,22,12,2011,'F','N','ESPRAIADO I','NOVA TRENTO','SC','124241241115371231456514575122610124047',4816,'574',58.01,1,2,1),(28,7068093,'1990-07-23 00:00:00',2,6,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124071071216371231238631485112142964197',NULL,'9998',28.84,4,3,NULL),(28,7068107,'1993-04-20 00:00:00',2,1,12,2010,'F','N','LAUZANE PAULISTA','S PAULO','SP','125252251216571711338821475124610135172',5234,'9998',54.27,1,3,NULL),(28,7068115,'1995-02-10 00:00:00',2,23,12,2011,'M','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241248215111411468732275122610162053',NULL,'1061',0.00,1,3,NULL),(28,7068131,'1992-08-10 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217473431479923345124242466172',774,'1022',68.85,1,3,NULL),(28,7068140,'1989-09-14 00:00:00',2,1,12,2007,'M','N','FLORESTA','PTO ALEGRE','RS','120201205116131321455514345124610111197',NULL,'9998',30.57,4,2,1),(28,7068158,'1990-02-11 00:00:00',4,1,11,2009,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241126472732424529345234133212052',10013,'291',50.09,1,2,1),(28,7068174,'1991-02-16 00:00:00',2,16,12,2008,'F','N','CENTRO','CURITIBANOS','SC','124134131414473441136739585123223267187',NULL,'9998',15.03,4,3,NULL),(28,7068182,'1989-03-18 00:00:00',4,1,12,2006,'F','N','JARDIM BRASIL','MARINGÁ','PR','216164161216271341233359482224610147012',6551,'9998',56.09,1,3,NULL),(28,7068190,'1993-06-28 00:00:00',4,4,12,2010,'M','N','CINQUENTENARIO','CONCÓRDIA','SC','124241241216471431457813575112610167182',3114,'1001',60.51,1,3,NULL),(28,7068204,'1994-09-05 00:00:00',4,1,11,2012,'F','S','STO ANTONIO LISBOA','FLORIANÓPOLIS','SC','124242241215111411436613272124610138027',NULL,'1048',31.14,4,3,NULL),(28,7068212,'1993-10-26 00:00:00',2,1,11,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241235111431437829492114610163187',6983,'270',53.15,1,3,NULL),(28,7068220,'1993-01-13 00:00:00',4,8,12,2010,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215371731357614372121131437052',12571,'459',49.68,1,3,NULL),(28,7068247,'1993-02-20 00:00:00',2,1,12,2010,'M','N','WANEL VILLE','SOROCABA','SP','125251251116471431558813472124610137142',NULL,'9998',0.00,1,2,1),(28,7068255,'1991-01-13 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241141333711535311241124230867077',16474,'296',34.11,1,2,1),(28,7068271,'1988-11-26 00:00:00',2,8,12,2005,'F','N','BELO HORIZONTE','CPO GRANDE','MS','112122121216571421466832575122610152187',NULL,'9998',0.00,1,3,NULL),(28,7068298,'1987-03-04 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241316153711225631575125122364186',1782,'9997',70.58,1,3,NULL),(28,7068301,'1993-10-29 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241214111431636621275224610117177',15562,'1161',33.38,3,3,NULL),(28,7068310,'1993-09-24 00:00:00',2,1,11,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215112411357732575124610141182',9573,'270',50.03,1,3,NULL),(28,7068328,'1993-01-22 00:00:00',4,8,12,2010,'M','N','SAGUACU','JOINVILLE','SC','124242241215472431458831571124610127052',166,'457',77.45,1,3,NULL),(28,7068336,'1993-07-07 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241112332431423532485124610167047',NULL,'288',20.32,1,2,1),(28,7068379,'1994-07-15 00:00:00',4,1,11,2011,'F','N','VILA MASCOTE','S PAULO','SP','125252254217111312389934276112610135192',15195,'9998',38.64,1,3,NULL),(28,7068387,'1991-11-01 00:00:00',2,1,12,2008,'F','N','CENTRO','ESTRELA','RS','120203201116572431446633575122610167037',NULL,'9998',0.00,1,3,NULL),(28,7068395,'1994-09-02 00:00:00',2,25,12,2011,'M','N','MATRIZ','VIDEIRA','SC','124243241236151451356512375122610132092',8259,'1080',49.23,1,3,NULL),(28,7068409,'1991-04-10 00:00:00',4,22,12,2008,'F','N','LIMOEIRO','BRUSQUE','SC','124242241216375431359811395124231024192',4941,'107',62.54,1,3,NULL),(28,7068417,'1994-12-16 00:00:00',2,25,12,2011,'M','N','CENTRO','CAÇADOR','SC','124242241215111411334512575124610167093',12488,'120',40.79,3,3,NULL),(28,7068425,'1994-12-14 00:00:00',2,1,12,2011,'F','N','JARDIM AQUARIUS','PALHOÇA','SC','124242241215271431378513575122610127042',10502,'1011',48.42,1,3,NULL),(28,7068433,'1994-07-21 00:00:00',2,4,12,2011,'F','N','LIDER','CHAPECÓ','SC','124241241211111432459933575122610114072',NULL,'1191',26.35,1,3,NULL),(28,7068441,'1992-01-24 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','116244241216573421549961372114610144051',1592,'441',65.76,1,3,NULL),(28,7068450,'1992-05-13 00:00:00',4,8,11,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241214473721535811395132131338071',NULL,'1063',0.00,1,3,NULL),(28,7068468,'1992-05-21 00:00:00',4,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241122371431633471282124130222142',15302,'274',36.37,1,2,1),(28,7068476,'1994-05-01 00:00:00',4,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215112431449951574124610127052',4871,'1161',58.34,1,3,NULL),(28,7068492,'1992-02-13 00:00:00',4,1,12,2010,'M','N','GRANJA OLGA','SOROCABA','SP','125252251217471711469612324123610118182',NULL,'9998',24.63,1,3,NULL),(28,7068514,'1992-09-30 00:00:00',2,1,12,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117272431333711335124610167092',4971,'306',53.96,1,2,1),(28,7068522,'1994-06-14 00:00:00',4,3,12,2011,'F','N','MORRETES','ITAPEMA','SC','124241241215271711326613472122610128097',NULL,'403',23.85,1,3,NULL),(28,7068549,'1986-05-23 00:00:00',2,15,12,2003,'M','N','CENTRO','ARARANGUÁ','SC','124241241117132411446721125122130732045',NULL,'29',19.09,1,3,NULL),(28,7068565,'1994-09-25 00:00:00',4,8,12,2011,'M','N','CENTRO','ITAPETININGA','SP','125252251217111431249931575122610142041',8243,'9998',47.21,4,3,NULL),(28,7068581,'1992-09-17 00:00:00',4,5,11,2009,'M','N','MICHEL','CRICIÚMA','SC','124242241217371252438812375115130268187',10497,'211',52.93,1,3,NULL),(28,7068590,'1992-10-28 00:00:00',4,1,12,2009,'F','N','JARDIM PAULISTA','S PAULO','SP','125252251216572431548861575114610167057',3956,'9998',57.61,1,3,NULL),(28,7068603,'1992-02-26 00:00:00',4,1,12,2009,'M','N','DOIS CORREGOS','VALINHOS','SP','125252253217471731459814395122610164122',7214,'9998',51.50,1,3,NULL),(28,7068611,'1995-02-19 00:00:00',4,3,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244243115111431427811475125610144097',6364,'129',53.31,1,3,NULL),(28,7068620,'1994-10-19 00:00:00',4,1,12,2011,'M','N','MANDAQUI','S PAULO','SP','125252251216111731366821571124610167147',7107,'9998',50.86,1,3,NULL),(28,7068638,'1992-09-14 00:00:00',4,8,12,2009,'M','N','CRUZEIRO','RIO NEGRINHO','SC','124244241216271431545923572112131462183',8758,'666',55.84,1,3,NULL),(28,7068646,'1994-05-20 00:00:00',2,3,12,2011,'F','N','JOAIA','TIJUCAS','SC','124242241215111411319911295122610126097',11772,'262',42.34,1,3,NULL),(28,7068662,'1989-01-08 00:00:00',4,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124253256147141111127844345124610164177',12507,'9998',49.78,1,3,NULL),(28,7068670,'1991-11-24 00:00:00',4,1,12,2009,'M','N','VILA UNIVERSITÁRIA','BAURU','SP','125252251217471131289669275112141432052',16385,'9998',42.93,1,3,NULL),(28,7068689,'1994-01-15 00:00:00',4,2,12,2011,'F','N','FORTALEZA','BLUMENAU','SC','124242241215271441438923575124610144037',1730,'71',64.58,1,3,NULL),(28,7068700,'1989-01-19 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116375431426524395124610124147',9627,'307',54.32,4,2,1),(28,7068727,'1991-01-13 00:00:00',2,1,12,2007,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124203201117271231336624385124140428157',13535,'9998',40.92,1,3,NULL),(28,7068735,'1995-04-24 00:00:00',4,8,11,2012,'F','S','ATIRADORES','JOINVILLE','SC','124242241217111752369934572122610146122',NULL,'1063',48.50,1,3,NULL),(28,7068743,'1995-02-22 00:00:00',1,2,12,2012,'M','S','NAÇOES','INDAIAL','SC','124242244235111511558821411121610142122',NULL,'855',35.84,1,3,NULL),(28,7068760,'1986-05-11 00:00:00',4,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201132141431128444245124610134187',NULL,'9998',32.45,1,2,1),(28,7068778,'1995-12-17 00:00:00',4,1,12,2011,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215111431469934575122610135122',14484,'262',46.62,1,3,NULL),(28,7068786,'1992-10-31 00:00:00',4,8,12,2011,'F','N','IRIRIU','JOINVILLE','SC','124241241145141431656512245122610136187',NULL,'470',28.08,2,2,1),(28,7068808,'1976-08-12 00:00:00',2,1,12,1993,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','624201203226475121238641315133222314117',10162,'9998',53.46,1,3,NULL),(28,7068824,'1991-09-16 00:00:00',2,24,12,2008,'F','N','RIBEIRÃO DOS LOBOS','TAIÓ','SC','124241241116571411523615432223230613051',NULL,'777',0.00,1,3,NULL),(28,7068832,'1992-10-15 00:00:00',4,1,12,2009,'M','N','LIMÃO','S PAULO','SP','125253251117571751468814274124610165147',7196,'9998',52.20,1,3,NULL),(28,7068840,'1993-07-07 00:00:00',4,1,12,2011,'M','N','PONTA NEGRA','MANAUS','AM','104042251217371751478832591122610114045',4238,'9998',56.45,1,3,NULL),(28,7068859,'1993-10-17 01:00:00',2,1,12,2010,'F','N','VILA ISOLINA MAZZEI','S PAULO','SP','125252251116472411356924575124610142172',11834,'9998',41.54,2,1,2),(28,7068867,'1992-06-30 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217573441489932572122610137187',1040,'270',66.72,1,3,NULL),(28,7068875,'1993-01-06 00:00:00',4,1,10,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215472431446812595124610164057',1392,'880',68.18,1,3,NULL),(28,7068891,'1993-12-08 00:00:00',4,8,12,2010,'M','N','JAGUARÉ','S PAULO','SP','125252251216471431249823572121610125012',3034,'9998',58.76,1,3,NULL),(28,7068913,'1985-11-25 00:00:00',4,1,12,2006,'M','N','ASA SUL','BRASÍLIA','DF','107071077215473411437879575121341964066',14740,'9998',46.09,2,3,NULL),(28,7068921,'1990-10-08 00:00:00',4,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124244241416371431466613485124610124037',14839,'300',45.91,1,3,NULL),(28,7068930,'1994-02-24 00:00:00',4,3,12,2011,'F','N','PERDIZES RES PARQUE','BIRIGÜI','SP','125252251217111431348924575122610127147',8428,'9998',49.18,1,3,NULL),(28,7068948,'1991-11-08 00:00:00',2,2,11,2008,'M','N','VILA PRUDENCIO','PARANAVAÍ','PR','116124121436471411438911495124241364032',17366,'9998',40.62,2,1,2),(28,7068956,'1988-09-28 00:00:00',2,1,12,2005,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124251251117131421568563445134143227047',19620,'9998',31.86,2,1,1),(28,7068964,'1984-07-19 00:00:00',4,8,12,2002,'M','N','IRIRIU','JOINVILLE','SC','224241241147131422646844441223610124117',NULL,'470',27.22,1,2,1),(28,7068972,'1987-06-21 00:00:00',2,1,11,2004,'M','N','CANASVIERIA','FLORIANÓPOLIS','SC','124243251317151451536331175121241227087',NULL,'9998',31.67,2,1,2),(28,7068980,'1993-06-24 00:00:00',4,4,12,2010,'M','N','IMIGRANTES','CONCÓRDIA','SC','124241241115471751426832595115610127052',6598,'192',53.55,1,2,1),(28,7068999,'1991-07-02 00:00:00',2,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124243241316273421455611245134610121117',NULL,'259',21.81,1,3,NULL),(28,7069006,'1971-07-13 00:00:00',2,3,12,1988,'F','N','CENTRO','BAL CAMBORIÚ','SC','224242241216135441557752425112121422122',3905,'457',59.28,1,3,NULL),(28,7069022,'1994-01-30 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241117271431426613335124610137032',NULL,'734',17.11,1,2,1),(28,7069030,'1985-04-12 00:00:00',2,1,12,2004,'M','N','PASSA VINTE','PALHOÇA','SC','124241247147132421124444441122231564057',NULL,'592',13.21,1,2,1),(28,7069049,'1994-03-02 00:00:00',4,1,12,2011,'M','N','JD ANA LUCIA','GOIÂNIA','GO','109092091232111411588831592112610164057',757,'9998',68.87,1,3,NULL),(28,7069057,'1991-08-02 00:00:00',4,1,12,2009,'F','N','CAMPO BELO','S PAULO','SP','125252251217573411358823375124610135052',11120,'9998',44.88,1,3,NULL),(28,7069065,'1992-01-21 00:00:00',4,1,12,2009,'F','N','CENTRO','LORENA','SP','125252251216571751347822275112610167052',11802,'9998',44.14,1,3,NULL),(28,7069081,'1994-06-15 00:00:00',4,1,12,2011,'F','N','VILLE DE CHAMINIX','ITATIBA','SP','125252251217111731468824475122610127072',8879,'9998',48.68,1,3,NULL),(28,7069090,'1993-12-12 00:00:00',2,1,12,2011,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201416131731437713571114610125142',NULL,'9998',0.00,1,3,NULL),(28,7069103,'1991-12-05 00:00:00',4,3,12,2008,'F','N','GLEBA PALHANO','LONDRINA','PR','116112161216572431437874575122610166142',1296,'9998',65.61,1,3,NULL),(28,7069120,'1994-09-25 00:00:00',4,22,12,2011,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241415111431333314345122610138052',11489,'1119',43.20,1,3,NULL),(28,7069146,'1994-12-06 00:00:00',4,8,11,2011,'M','N','AMÉRICA','JOINVILLE','SC','124162241215111411348632572122610147042',7720,'459',50.04,1,3,NULL),(28,7069154,'1991-01-31 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241111152232111144241314610167047',NULL,'257',31.57,1,2,1),(28,7069162,'1994-07-13 00:00:00',2,16,11,2011,'F','N','CENTRO','CURITIBANOS','SC','124243241235112731426434495122610134142',NULL,'881',31.92,1,3,NULL),(28,7069170,'1993-11-15 00:00:00',4,10,12,2011,'M','N','CABEÇUDA','LAGUNA','SC','124241241146141431426729345124610137057',NULL,'523',8.88,1,2,1),(28,7069197,'1989-07-03 00:00:00',4,1,12,2006,'M','N','JARDIM SÃO CAETANO','JAÚ','SP','125252251215571431256721474122143222052',593,'9998',71.81,4,3,NULL),(28,7069235,'1991-09-11 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124204207236373431427922191221142134112',19055,'9998',35.08,1,3,NULL),(28,7069243,'1994-08-18 00:00:00',4,1,12,2012,'F','S','OCEANIA','PARANAGUÁ','PR','616162161217111732258811285112610124011',NULL,'9998',0.00,1,3,NULL),(28,7069251,'1993-03-12 00:00:00',2,1,12,2011,'F','N','VILA AUXILIADORA','BOTUCATU','SP','125252251216471411466633575122610126042',NULL,'9998',0.00,1,3,NULL),(28,7069260,'1989-06-20 00:00:00',2,5,11,2006,'M','N','CENTRO','SOMBRIO','SC','124242241212143431126844442124231464051',10866,'770',45.85,1,3,NULL),(28,7069286,'1994-05-18 00:00:00',4,23,12,2011,'F','N','VILA NOVA','JARAGUÁ SUL','SC','124241241114371431446634572122610164017',16317,'425',35.27,1,2,1),(28,7069308,'1995-01-14 00:00:00',4,4,12,2011,'M','N','PRESIDENTE MEDICE','CHAPECÓ','SC','124241241116371421334613575124610151182',11306,'169',41.85,1,2,1),(28,7069316,'1993-12-23 00:00:00',4,1,12,2011,'M','N','VILA MARIANA','S PAULO','SP','125252251215411411468812576124610112172',7774,'9998',49.12,1,3,NULL),(28,7069332,'1993-11-06 00:00:00',4,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215121731438631575124610166145',NULL,'1022',38.36,1,3,NULL),(28,7069340,'1989-02-13 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124241241117271431128649395134610118182',13027,'257',38.93,1,2,1),(28,7069359,'1993-12-07 00:00:00',4,8,11,2011,'F','N','BUCAREIN','JOINVILLE','SC','124242241217371431459832475122610161182',7048,'457',52.24,1,3,NULL),(28,7069367,'1994-02-18 00:00:00',4,1,11,2011,'F','N','JARDINS','ARACAJU','SE','126262261217111431359933575122610124142',2288,'9998',64.87,4,3,NULL),(28,7069375,'1993-09-02 00:00:00',4,8,11,2011,'M','N','CENTRO','VINHEDO','SP','125252251211121431458934472111610126052',2356,'9998',62.67,1,3,NULL),(28,7069391,'1994-08-25 00:00:00',4,1,11,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241217112431559614577114610136197',5444,'1118',56.08,1,3,NULL),(28,7069405,'1987-02-10 00:00:00',2,1,12,2004,'M','N','ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC','124252251131475751128641312223130267057',17302,'9998',40.77,1,3,NULL),(28,7069421,'1991-06-12 00:00:00',2,1,11,2008,'F','N','GRAMA','GAROPABA','SC','124244241215574431566452575112610162142',7449,'807',58.06,1,3,NULL),(28,7069430,'1993-05-03 00:00:00',4,1,12,2010,'F','N','JARDIM IPIRANGA','PTO ALEGRE','RS','120202201217471431369933572114610122147',897,'9998',68.65,1,3,NULL),(28,7069456,'1991-03-16 00:00:00',4,1,11,2008,'F','N','BELENZINHO','S PAULO','SP','125252251217571431658811572112142446077',75,'9998',80.43,1,3,NULL),(28,7069464,'1993-03-13 00:00:00',2,1,11,2010,'M','N','JD MARAJOARA','PILAR SUL','SP','125252251216472431168836275122610134084',NULL,'9998',34.16,1,3,NULL),(28,7069472,'1991-04-26 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241217373411336677375123610125052',10916,'1022',44.36,1,3,NULL),(28,7069480,'1993-09-12 00:00:00',4,1,12,2010,'M','N','CENTRO','LAGES','SC','124242241215372431469931472112610164122',2008,'497',66.56,1,3,NULL),(28,7069499,'1994-01-11 00:00:00',4,1,12,2011,'M','N','BUTANTÃ','S PAULO','SP','125252251217372731358811475122610167072',1580,'9998',65.75,3,3,NULL),(28,7069502,'1992-02-15 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202201237573441659933575124132836182',3490,'9998',60.59,1,3,NULL),(28,7069510,'1990-03-09 00:00:00',2,1,12,2010,'F','N','LIBERDADE','BELO HORIZONTE','MG','113132137416471431457613575122610164017',NULL,'9998',0.00,4,3,NULL),(28,7069537,'1994-12-23 00:00:00',4,3,12,2011,'M','N','LAGO PARQUE','LONDRINA','PR','116162161217111431458832572122610167042',4728,'9998',54.00,1,3,NULL),(28,7069545,'1995-08-11 00:00:00',4,1,12,2011,'F','N','SANTO ANTÔNIO','CACHOEIRA SUL','RS','120202201216371431228822575325610144047',3907,'9998',56.43,1,3,NULL),(28,7069553,'1990-07-30 00:00:00',4,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124244241217474431379813576125231468092',2310,'109',64.18,1,3,NULL),(28,7069561,'1993-07-05 00:00:00',2,10,11,2011,'M','N','SÃO MARTINHO','TUBARÃO','SC','124243241215131212446613272124610124177',11667,'806',43.23,1,3,NULL),(28,7069570,'1987-09-27 00:00:00',2,1,11,2005,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241115472431343331245124610122187',7852,'307',49.82,1,2,1),(28,7069588,'1991-08-03 00:00:00',4,8,12,2009,'F','N','CENTRO','JOINVILLE','SC','124244241415371232546921481112610123095',15502,'829',44.69,1,3,NULL),(28,7069600,'1991-08-26 00:00:00',2,1,12,2009,'M','N','RAMOS','VIÇOSA','MG','113132131217571411379812595122240267092',12025,'9998',40.43,1,3,NULL),(28,7069626,'1993-07-13 00:00:00',4,1,12,2010,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125132251215271431478832575122610127042',4594,'9998',53.76,1,3,NULL),(28,7069634,'1991-07-15 00:00:00',4,8,12,2008,'M','N','SAGUAÇU','JOINVILLE','SC','124241246217271431438811345121610162097',14949,'1105',38.04,1,3,NULL),(28,7069642,'1993-06-08 00:00:00',4,8,11,2010,'F','N','AMÉRICA','JOINVILLE','SC','124241248115411431428831315124610123072',NULL,'478',20.99,1,2,1),(28,7069650,'1993-05-08 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431459812341122610164097',10920,'270',45.60,1,3,NULL),(28,7069685,'1994-05-17 00:00:00',4,8,11,2011,'M','N','ATIRADORES','JOINVILLE','SC','124242241215371431468923395111610117077',NULL,'461',0.00,1,3,NULL),(28,7069707,'1993-05-26 00:00:00',4,1,12,2010,'M','N','VILA OLÍMPIA','S PAULO','SP','125252251115471411558833575124610167042',5810,'9998',54.78,1,3,NULL),(28,7069715,'1984-08-29 00:00:00',4,1,12,2004,'M','N','IPACARAI','TRÊS LAGOAS','MS','112121121116131321516621485123241864042',NULL,'9998',0.00,2,1,1),(28,7069723,'1994-06-22 00:00:00',4,8,12,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124243241217131731334712285124610111085',8615,'861',47.28,1,3,NULL),(28,7069731,'1982-02-04 00:00:00',4,1,12,1999,'F','N','CAMPINAS','S JOSÉ','SC','224242241215575421258743332132321362097',45,'737',84.31,1,3,NULL),(28,7069740,'1994-03-26 00:00:00',2,1,12,2011,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124243241117271411348513575124610146072',2578,'271',63.43,1,3,NULL),(28,7069758,'1993-02-13 00:00:00',4,1,11,2010,'F','N','UMUARAMA','OSASCO','SP','125252251217472411556931575114610147072',1036,'9998',69.85,1,3,NULL),(28,7069782,'1993-12-02 00:00:00',4,24,12,2011,'F','N','CENTRO','AURORA','SC','124241241116271431328923575124610124147',NULL,'40',29.55,1,2,1),(28,7069804,'1994-07-18 00:00:00',2,3,10,2011,'M','N','QUATRO ILHAS','BOMBINHAS','SC','124241241235161431413314442114610134113',NULL,'403',24.72,4,3,NULL),(28,7069812,'1994-04-22 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241212111721575612275114610144065',12598,'270',40.01,1,3,NULL),(28,7069820,'1994-02-12 00:00:00',4,17,12,2010,'M','N','CENTRO','CANOINHAS','SC','124241241316131431446815345125610167047',NULL,'146',0.00,1,3,NULL),(28,7069839,'1979-12-21 00:00:00',2,1,12,1999,'F','N','CAMPINAS','S JOSÉ','SC','124241241111143711224619335112610112187',NULL,'307',21.53,1,3,NULL),(28,7069855,'1989-01-03 00:00:00',2,1,5,2006,'F','N','BELA VISTA','PALHOÇA','SC','124202241416134431128843332234610134167',12113,'9997',41.40,1,3,NULL),(28,7069863,'1990-07-24 00:00:00',2,1,12,2007,'F','N','FAZENDA ST ANTONIO','S JOSÉ','SC','124241241116472411223414245124610166187',11827,'361',43.95,4,2,1),(28,7069871,'1994-01-10 00:00:00',4,1,11,2011,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124242241217471431578811572112610131095',10572,'270',48.28,1,3,NULL),(28,7069880,'1994-10-23 00:00:00',4,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431349922575124610136072',7487,'262',49.13,1,3,NULL),(28,7069901,'1990-07-26 00:00:00',4,1,12,2008,'F','N','SANTA TERESINHA','S PAULO','SP','125252251217571431336613575124610162097',991,'9998',69.95,1,3,NULL),(28,7069910,'1995-06-02 00:00:00',4,1,12,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111411519912474124610111071',15426,'262',35.26,1,3,NULL),(28,7069928,'1987-07-28 00:00:00',2,1,12,2004,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241215273431257733492122120333185',12681,'270',49.46,1,3,NULL),(28,7069936,'1993-03-23 00:00:00',4,2,12,2010,'M','N','VILA NOVA','BLUMENAU','SC','124242248235472731358912575124133227187',8571,'855',47.99,1,3,NULL),(28,7069960,'1995-07-07 00:00:00',4,3,12,2011,'F','N','CENTRO','ITAPEMA','SC','124241241117131731538613575124610133017',NULL,'406',0.00,1,2,1),(28,7069979,'1988-03-11 00:00:00',2,1,12,2005,'M','N','PARQUE ENSEADA','GUARUJÁ','SP','125251251117573731423311142313610124177',16693,'9998',31.19,1,2,1),(28,7069987,'1989-11-23 00:00:00',2,1,12,2006,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241116142421434429341113133267055',19257,'281',34.08,2,1,1),(28,7069995,'1995-10-07 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111441239933575122610133182',2811,'270',61.25,1,3,NULL),(28,7070004,'1991-12-14 00:00:00',2,1,7,2011,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124244248112371731336614475124610114092',17096,'306',33.45,1,3,NULL),(28,7070012,'1995-03-30 00:00:00',4,26,12,2011,'M','N','INTERIOR','CONCÓRDIA','SC','124241242136131731423335595224610146147',NULL,'196',0.00,1,2,1),(28,7070020,'1992-09-04 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241215574431574632576124230233191',1796,'1022',70.54,1,3,NULL),(28,7070047,'1993-07-12 00:00:00',2,27,12,2010,'M','N','CENTRO','STO ANTÔNIO SUDOESTE','PR','116161161116471711426612575124610168017',14599,'9998',35.45,1,2,1),(28,7070055,'1993-04-06 00:00:00',4,10,12,2010,'F','N','JARDIM BRASILIA','S PAULO','SP','125252251217471431338823472122610163047',4256,'9998',56.00,1,3,NULL),(28,7070071,'1995-04-13 00:00:00',4,4,12,2011,'F','N','PRESIDENTE MEDICE','CHAPECÓ','SC','124243241215111432434612175122610134142',9760,'1191',54.12,1,3,NULL),(28,7070098,'1994-03-20 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241217111431344339275122610127182',9853,'1198',47.51,1,3,NULL),(28,7070136,'1992-01-29 00:00:00',4,1,12,2009,'F','N','GOIBEIRAS','CUIABÁ','MT','111112111215371431566634385122141022127',3671,'9998',57.91,4,3,NULL),(28,7070144,'1995-01-08 00:00:00',4,1,12,2011,'F','N','MONTE CARLO','CPO GRANDE','MS','112122121237121411439923435124610163047',6534,'9998',51.19,1,3,NULL),(28,7070152,'1994-04-20 00:00:00',4,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124242241215111431469812174112610163142',NULL,'1191',32.41,1,3,NULL),(28,7070160,'1991-07-08 00:00:00',2,2,12,2009,'M','N','PARQUE HORTENCIA','GUAÍRA','PR','116161161136131711325349295135610124147',NULL,'9998',0.00,2,1,1),(28,7070179,'1992-09-24 00:00:00',2,1,12,2010,'F','N','ATALAIA','ARACAJU','SE','126262261217471431587933571122610146012',1241,'9998',67.66,4,3,NULL),(28,7070187,'1993-05-15 00:00:00',4,22,12,2010,'M','N','CENTRO','BRUSQUE','SC','124242241212572411558819592122610114182',816,'270',75.10,1,3,NULL),(28,7070209,'1994-08-04 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215462431386812575112610124091',993,'270',68.90,1,3,NULL),(28,7070225,'1964-11-18 00:00:00',2,1,12,1982,'F','N','CENTRO','S PEDRO ALCÂNTARA','SC','624102105212141431623343232124133066092',NULL,'9998',20.90,1,3,NULL),(28,7070241,'1995-02-10 00:00:00',2,1,11,2011,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244241215111431256814572324610167052',12611,'1022',40.88,1,3,NULL),(28,7070268,'1994-05-31 00:00:00',4,9,11,2011,'F','N','MONTE CARLO','S JOAQUIM','SC','124242241215161721426615572112610137077',18250,'721',38.13,1,3,NULL),(28,7070276,'1991-05-15 00:00:00',2,1,12,2008,'M','N','CENTRO','COLÍDER','MT','124114111136274431453619295124221432047',NULL,'9998',32.68,4,1,2),(28,7070284,'1986-02-18 00:00:00',4,1,12,2003,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124212211216573441227944445124140666193',2484,'9998',63.93,1,3,NULL),(28,7070292,'1992-06-05 00:00:00',4,1,12,2009,'M','N','CANTO','FLORIANÓPOLIS','SC','124162161215573751358812575114610167042',863,'9998',70.08,1,3,NULL),(28,7070306,'1972-09-10 00:00:00',4,1,8,2003,'M','N','CAMPINAS','S JOSÉ','SC','224242247217131421234474485124610117063',NULL,'1198',19.27,4,3,NULL),(28,7070314,'1990-11-19 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215414411468711575125610136092',1913,'270',64.56,1,3,NULL),(28,7070322,'1994-05-26 00:00:00',4,8,12,2011,'F','N','ST ANTONIO','JOINVILLE','SC','124242241215371231459914571112610131186',NULL,'457',0.00,1,3,NULL),(28,7070330,'1994-05-25 00:00:00',2,1,12,2011,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124202241115161431426619382122630124142',NULL,'1248',18.51,1,3,NULL),(28,7070349,'1991-07-31 00:00:00',2,16,12,2010,'F','N','LOTEAMENTO IGUAÇU','CAMPOS NOVOS','SC','124241241126131711423311345132610126057',17073,'140',31.05,4,3,NULL),(28,7070357,'1976-03-20 00:00:00',2,1,12,1992,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224243241316143411463442225122320825197',12867,'272',49.20,1,3,NULL),(28,7070365,'1990-10-31 00:00:00',2,1,12,2011,'F','N','SANTO ANTONIO','FLORIANÓPOLIS','SC','124243241325141411235624442124610124087',NULL,'279',23.75,2,1,2),(28,7070373,'1992-07-22 00:00:00',4,4,12,2009,'F','N','CENTRO','IPORÃ OESTE','SC','124241241421471431324622271125610136097',4825,'371',56.81,1,3,NULL),(28,7070381,'1994-05-14 00:00:00',4,1,11,2011,'F','N','BOQUEIRÃO','CURITIBA','PR','116162161216471431467912575114610132095',5103,'9998',55.55,1,3,NULL),(28,7070390,'1995-11-16 00:00:00',4,1,12,2012,'F','S','PANTANAL','FLORIANÓPOLIS','SC','124242241237111431436819575124610112192',NULL,'1133',18.02,1,3,NULL),(28,7070403,'1994-08-29 00:00:00',4,8,12,2011,'F','N','OURO BRANCO','PARANAVAÍ','PR','116162161214111431468712372122610123192',6343,'9998',50.41,1,3,NULL),(28,7070411,'1993-12-21 00:00:00',2,1,12,2011,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124243241115131431426613395124610132117',15251,'307',35.14,1,3,NULL),(28,7070420,'1995-02-13 00:00:00',2,4,12,2011,'F','N','MATINHO','XANXERÊ','SC','124241241215111431443614195122610118183',NULL,'1081',0.00,3,3,NULL),(28,7070438,'1995-01-05 00:00:00',4,4,12,2011,'F','N','CENTRO','SEARA','SC','124241241116131431333334392124610135042',NULL,'763',34.93,1,2,1),(28,7070462,'1989-01-05 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','125251251214271431426611485124141538187',17415,'9998',31.58,1,3,NULL),(28,7070470,'1992-06-24 00:00:00',4,1,12,2010,'M','N','JARDIM CAMPO GRANDE','CAÇAPAVA','SP','125212211316471411335532575112610162047',15051,'9998',45.51,1,3,NULL),(28,7070489,'1992-11-05 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241211472531348832574122610164147',10217,'1063',53.37,1,3,NULL),(28,7070500,'1995-01-02 00:00:00',4,1,11,2012,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216111431369933575124610162012',NULL,'270',46.87,4,3,NULL),(28,7070519,'1977-06-15 00:00:00',2,8,12,1994,'F','N','ITAPEMA DO NORTE','ITAPOÁ','SC','224241241146171421546952235122333233147',NULL,'923',0.00,1,3,NULL),(28,7070527,'1994-04-24 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215271431364312595115610127042',933,'262',70.20,1,3,NULL),(28,7070535,'1994-05-17 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124244241215132411454823572122610142117',3906,'1118',57.89,1,3,NULL),(28,7070543,'1987-08-23 00:00:00',4,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241112133431325627445114610127031',NULL,'592',15.26,1,3,NULL),(28,7070560,'1993-08-29 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241215372431444531575124610143182',7452,'976',51.11,1,3,NULL),(28,7070578,'1994-07-06 00:00:00',4,1,10,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215272751569613575124610164042',12568,'1022',49.68,1,3,NULL),(28,7070586,'1993-01-19 00:00:00',2,4,12,2010,'F','N','PIONEIRO','PINHALZINHO','SC','124241241136372431545514245133610127077',13090,'616',42.03,1,2,1),(28,7070608,'1992-03-21 00:00:00',4,2,11,2009,'M','N','PARQUE BANDEIRANTES','PETROLINA','PE','117172171216572441556863575122141564187',308,'9998',74.53,1,3,NULL),(28,7070616,'1992-04-15 00:00:00',4,4,12,2009,'M','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124241241112471431336634175125610147057',5731,'840',55.95,1,2,1),(28,7070624,'1993-08-07 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','624252241215111431128932575114610127072',6612,'262',54.00,1,3,NULL),(28,7070632,'1991-11-05 00:00:00',4,1,12,2009,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215573531489911575122610164181',25,'270',84.82,1,3,NULL),(28,7070667,'1993-04-05 00:00:00',4,1,11,2010,'F','N','VILA MARIANA','S PAULO','SP','125254251211471431558812572125610121197',8875,'9998',46.17,1,3,NULL),(28,7070675,'1994-10-17 00:00:00',4,1,11,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215121431459913475112610124077',5244,'270',53.12,1,3,NULL),(28,7070683,'1993-11-27 00:00:00',4,1,12,2010,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124243241417372431538527572224610134142',11856,'729',42.54,1,3,NULL),(28,7070691,'1994-06-17 00:00:00',2,10,12,2011,'F','N','PASSO DO GADO','TUBARÃO','SC','124241241215111431334514375122610133142',15900,'797',43.89,1,3,NULL),(28,7070705,'1994-04-23 00:00:00',4,1,12,2011,'M','N','BOSQUE DA SAUDE II','CUIABÁ','MT','111112111215121431259622575112610124052',1442,'9998',63.92,4,3,NULL),(28,7070713,'1994-06-13 00:00:00',2,1,11,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431438812575124610121042',11129,'1197',44.33,1,3,NULL),(28,7070721,'1993-12-08 00:00:00',4,1,11,2011,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124242241215112431553512355124610136142',1149,'270',69.26,1,3,NULL),(28,7070730,'1995-07-22 00:00:00',4,1,11,2011,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241215151431436713595122610143122',11037,'1011',43.67,1,3,NULL),(28,7070748,'1994-03-31 00:00:00',2,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112431548714572112610132117',11519,'270',41.62,1,3,NULL),(28,7070756,'1992-04-13 00:00:00',2,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124251251115573431557879574124610124182',180,'9998',78.01,1,2,1),(28,7070764,'1991-12-23 00:00:00',4,1,12,2009,'F','N','PARQUE NOVO MUNDO','AMERICANA','SP','125252253117572431447711575122610121072',606,'9998',71.03,1,3,NULL),(28,7070772,'1994-05-21 00:00:00',2,1,12,2011,'F','N','JARDIM CIDADE','S JOSÉ','SC','124241241115131431423211282124610114147',19349,'726',33.61,4,2,1),(28,7070780,'1981-07-17 00:00:00',2,1,12,2003,'M','N','BARREIROS','S JOSÉ','SC','224161241637132741521343135115610114187',3725,'9999',64.09,1,3,NULL),(28,7070799,'1993-06-28 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241217373431459923575124120961197',5310,'807',55.36,1,3,NULL),(28,7070802,'1991-05-25 00:00:00',4,1,12,2009,'M','N','BARREIROIS','S JOSÉ','SC','124242241215272411448611335114222264197',6068,'738',60.48,1,3,NULL),(28,7070810,'1994-08-21 00:00:00',4,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124243241117161431533631273125610138012',13594,'1116',39.64,4,3,NULL),(28,7070829,'1989-12-12 00:00:00',2,1,12,2007,'M','N','JD LINDOIA','PTO ALEGRE','RS','120202201211471451468719371125142567187',37,'9998',82.41,1,3,NULL),(28,7070845,'1994-06-16 00:00:00',2,1,11,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215112731559914495122610123182',4218,'270',58.73,1,3,NULL),(28,7070853,'1994-01-11 00:00:00',4,1,11,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241215112431667613575124610134147',6819,'270',53.28,4,3,NULL),(28,7070861,'1994-07-13 00:00:00',2,1,12,2011,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241215111731334414571124610122092',18374,'1197',29.08,1,3,NULL),(28,7070870,'1994-07-28 00:00:00',2,1,12,2011,'F','N','SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC','124242241215131431333824572224610121182',18304,'1048',37.94,1,3,NULL),(28,7070888,'1993-12-27 00:00:00',2,1,10,2011,'M','N','CENTRO','PTO SEGURO','BA','105052051217121531267632412121610114112',8516,'9998',49.70,1,3,NULL),(28,7070900,'1995-02-22 00:00:00',4,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431368933572112610138011',9559,'1169',54.44,1,3,NULL),(28,7070926,'1995-09-05 00:00:00',4,1,12,2011,'F','N','ROÇADO','S JOSÉ','SC','124242241215111431464612575122610126182',NULL,'1118',21.36,1,3,NULL),(28,7070934,'1995-07-11 00:00:00',4,1,12,2011,'M','N','GUARDA DO EMBAU','PALHOÇA','SC','124241241115131421366663575124610134187',12313,'739',41.28,1,2,1),(28,7070942,'1993-04-04 00:00:00',4,1,12,2010,'F','N','ELDORADO','GOIÂNIA','GO','109242241215472451358619575124610126042',3171,'270',59.19,1,3,NULL),(28,7070950,'1993-04-20 00:00:00',4,1,12,2010,'F','N','CENTRO','PENÁPOLIS','SP','125112251216371411436816475124610134147',NULL,'9998',0.00,1,3,NULL),(28,7070969,'1990-09-28 00:00:00',4,1,12,2008,'M','N','JD AEROPORTO','ITU','SP','125252251116471731339914295124610162042',4737,'9998',54.54,1,3,NULL),(28,7070977,'1986-03-02 00:00:00',4,1,12,2003,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124254251216571411123339485124343264182',7270,'9998',51.06,1,3,NULL),(28,7070993,'1994-02-22 00:00:00',4,1,11,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111531569714585122610167132',3626,'270',62.89,1,3,NULL),(28,7071027,'1992-04-14 00:00:00',4,1,12,2009,'M','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251416271411578712445112610164111',NULL,'9998',34.72,1,3,NULL),(28,7071035,'1993-05-31 00:00:00',4,1,11,2010,'F','N','CENTRO','MISSAL','PR','116161161317472431456923275122142663177',15696,'9998',44.31,1,3,NULL),(28,7071043,'1994-07-08 00:00:00',2,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241115472431349613475124231442097',7741,'307',57.58,2,3,NULL),(28,7071060,'1994-09-16 00:00:00',2,1,12,2011,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241214111431536624591224613221052',18583,'300',31.37,1,3,NULL),(28,7071078,'1988-06-16 00:00:00',2,24,6,2011,'M','N','TABOAO','RIO SUL','SC','124241247122131711321347242342610168047',NULL,'9999',0.00,1,2,1),(28,7071086,'1994-03-21 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469913432122610127113',4808,'270',58.12,1,3,NULL),(28,7071094,'1995-02-15 00:00:00',4,1,11,2011,'F','N','JARDIM PARAISO','SINOP','MT','111114111236111731348814585121610162197',13599,'9998',48.06,1,3,NULL),(28,7071108,'1992-11-07 00:00:00',2,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241116372431326634575124610127052',NULL,'307',26.27,1,2,1),(28,7071124,'1993-09-04 00:00:00',4,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124241241115271431426511175122610133072',18173,'734',30.14,1,2,1),(28,7071132,'1994-06-29 00:00:00',4,1,12,2011,'F','N','NOVO ORATORIO','STO ANDRÉ','SP','125252251217121211458814372122610123147',8363,'9998',50.37,1,3,NULL),(28,7071140,'1994-09-12 00:00:00',4,1,12,2011,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241117151431556633335114610162062',17965,'278',32.11,1,2,1),(28,7071159,'1995-03-30 00:00:00',2,15,12,2011,'M','N','VILVA SÃO CRISTÓVÃO','STA ROSA SUL','SC','124241242115111431655933572222610114042',11768,'690',42.77,1,2,1),(28,7071167,'1994-08-10 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111432426617592124610122052',12028,'262',43.39,2,1,2),(28,7071175,'1994-07-26 00:00:00',4,1,6,2011,'M','N','COLONIA SANTANA','S JOSÉ','SC','124241241346271331323624242314610134043',NULL,'944',18.47,1,3,NULL),(28,7071183,'1994-05-25 00:00:00',2,4,12,2010,'M','N','CENTRO','FAXINAL GUEDES','SC','124241241111151231533311275121610127172',9816,'255',46.22,1,2,1),(28,7071205,'1993-05-17 00:00:00',4,8,11,2010,'F','N','ITAUM','JOINVILLE','SC','124241241215372431339923571124610125072',10545,'1016',46.12,1,3,NULL),(28,7071213,'1992-09-07 00:00:00',2,15,12,2009,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241241416373531228624385124610123192',14874,'29',37.12,1,3,NULL),(28,7071221,'1992-04-21 00:00:00',4,9,12,2011,'M','N','CENTRO','IMBITUBA','SC','124241242115131431223321372324610166012',NULL,'960',29.13,4,2,1),(28,7071230,'1994-07-16 00:00:00',4,1,12,2011,'F','N','LUCAS ARAÚJO','PASSO FUNDO','RS','120201201117151431445477575124610168147',11516,'9998',44.09,4,2,1),(28,7071248,'1994-08-28 00:00:00',4,10,11,2011,'F','N','STO ANTÔNIO DE PÁDUA','TUBARÃO','SC','124242241215111431438811575122610136092',5220,'797',55.57,1,3,NULL),(28,7071256,'1993-01-04 00:00:00',4,1,12,2010,'F','N','CAMPO GRANDE','SANTOS','SP','125252251216471431458833575112610122092',8425,'9998',47.47,1,3,NULL),(28,7071264,'1994-06-01 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372441329823275124610167092',7301,'1022',50.89,1,3,NULL),(28,7071280,'1989-12-16 00:00:00',4,5,7,2007,'M','N','SANTA AUGUSTA','CRICIÚMA','SC','124246246217372431343329375124131434142',1892,'995',64.59,1,3,NULL),(28,7071299,'1992-07-02 00:00:00',4,24,12,2009,'F','N','LARANJEIRAS','RIO SUL','SC','124241241117271431436424345124130843052',NULL,'613',0.00,1,2,1),(28,7071310,'1992-11-28 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472431359939572112610142181',824,'262',71.27,1,3,NULL),(28,7071345,'1994-09-09 00:00:00',4,8,11,2011,'F','N','RUDGE RAMOS','S BERNARDO CAMPO','SP','125252251215151751568812285122610114147',1420,'9998',65.37,1,3,NULL),(28,7071361,'1994-03-15 00:00:00',4,8,12,2011,'M','N','GLÓRIA','JOINVILLE','SC','124242241217111531569811415112610147122',918,'457',69.86,1,3,NULL),(28,7071370,'1990-04-12 00:00:00',4,1,12,2007,'M','N','MARIO PAIVA ARANTES','RIBEIRÃO PRETO','SP','125251251116331711456613385124142232192',9102,'9998',48.22,1,2,1),(28,7071388,'1993-09-20 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241116132751438619385114610166147',9647,'307',47.88,1,2,1),(28,7071396,'1993-01-20 00:00:00',4,1,12,2010,'M','N','CENTRO','POÇOS CALDAS','MG','113132131216472431449612575125610117092',11916,'9998',41.23,1,3,NULL),(28,7071418,'1995-03-17 00:00:00',4,8,11,2011,'F','N','ENSEADA','S FRANCISCO SUL','SC','124243248215111431246921575112610127072',15068,'457',45.48,1,3,NULL),(28,7071434,'1992-08-12 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124252251212471711589911575114610112182',NULL,'9998',17.49,1,3,NULL),(28,7071442,'1993-08-22 00:00:00',4,8,11,2011,'F','N','GLÓRIA','JOINVILLE','SC','124242241217272431469914574112610147141',2714,'457',61.31,1,3,NULL),(28,7071450,'1993-03-11 00:00:00',4,5,11,2010,'F','N','PINHEIRINHO','CRICIÚMA','SC','124244246215472431558933344114610132152',5621,'995',52.88,2,1,2),(28,7071469,'1987-01-14 00:00:00',2,1,7,2004,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241247122132731123351112324610168197',NULL,'9997',38.72,4,2,1),(28,7071477,'1994-08-21 00:00:00',4,3,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431366633235122610127042',6681,'1038',54.46,4,3,NULL),(28,7071485,'1989-08-11 00:00:00',4,8,12,2006,'M','N','SAPOPEMBA','S PAULO','SP','125252251216571231554923575122610127182',6753,'9998',53.01,1,3,NULL),(28,7071507,'1993-06-07 00:00:00',2,1,7,2011,'M','N','FLORESTA','S JOSÉ','SC','124242241115372431446734375124230267072',4159,'739',60.45,1,3,NULL),(28,7071515,'1994-06-25 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212121451666933575122610127062',16764,'1197',42.07,1,3,NULL),(28,7071523,'1994-02-09 00:00:00',4,1,12,2011,'F','N','FUNDOS','BIGUAÇU','SC','124241241317141431526514142124610125011',18010,'63',30.28,1,3,NULL),(28,7071531,'1986-12-02 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431268823495122531428182',6347,'266',59.96,4,3,NULL),(28,7071540,'1993-08-26 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431447814575122610132147',6652,'262',53.49,1,3,NULL),(28,7071566,'1994-04-21 00:00:00',4,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124242241215111751636634145122610163147',17998,'1078',38.93,1,3,NULL),(28,7071574,'1994-01-22 00:00:00',4,5,11,2011,'F','N','MICHEL','CRICIÚMA','SC','124242241215271731357932575115610122147',15318,'210',44.99,1,3,NULL),(28,7071582,'1995-05-31 00:00:00',4,1,11,2012,'F','S','COMERCIÁRIO','CRICIÚMA','SC','124242248215131531326634575122610128147',NULL,'226',25.75,1,3,NULL);
INSERT INTO candidato VALUES (28,7071604,'1994-07-11 00:00:00',4,8,11,2011,'M','N','GLÓRIA','JOINVILLE','SC','124242241215113431478812424122610127122',NULL,'1063',0.00,1,3,NULL),(28,7071612,'1990-11-28 00:00:00',2,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116161161115573441423631314125141042195',10835,'9998',46.31,2,1,1),(28,7071620,'1994-01-24 00:00:00',4,8,12,2011,'F','N','JARIVATUBA','JOINVILLE','SC','124241241115131432426628372121610164147',NULL,'468',19.39,2,1,1),(28,7071639,'1996-05-20 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217111431349934272124610134097',10876,'270',52.31,1,3,NULL),(28,7071647,'1994-08-20 00:00:00',2,1,12,2011,'M','N','PALMEIRA I','DRACENA','SP','125244251216271432457511175122610127042',NULL,'9998',0.00,1,3,NULL),(28,7071655,'1994-01-24 00:00:00',2,1,11,2011,'F','N','PASSA VINTE','PALHOÇA','SC','124242241435112731335514346122610148057',9436,'1175',46.82,1,3,NULL),(28,7071680,'1995-01-22 00:00:00',2,1,12,2012,'F','S','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431456933572124610165092',NULL,'951',18.01,1,3,NULL),(28,7071710,'1992-01-30 00:00:00',4,1,12,2009,'M','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125252251217471751359931474111242246177',NULL,'9998',0.00,1,3,NULL),(28,7071736,'1994-01-27 00:00:00',4,24,11,2011,'F','N','LIBERDADE','TROMBUDO CENTRAL','SC','124242241215111431339816374122610138012',11006,'991',52.12,1,3,NULL),(28,7071760,'1994-08-27 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241115371431678719372122610117061',15905,'729',36.62,1,2,1),(28,7071779,'1992-08-30 00:00:00',2,1,12,2010,'M','N','JD NOVA PETROPOLIS','S BERNARDO CAMPO','SP','125252251217471731449923591121610164142',11007,'9998',52.12,1,3,NULL),(28,7071787,'1986-07-10 00:00:00',2,1,7,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124064247125131441229619382124610111111',NULL,'736',23.01,1,3,NULL),(28,7071809,'1991-01-23 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201117372431457714375124242836112',18525,'9998',37.22,1,2,1),(28,7071817,'1994-07-26 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215152421379813575112610131072',4190,'1050',57.86,1,3,NULL),(28,7071825,'1995-04-28 00:00:00',4,8,12,2012,'F','S','FLORESTA','JOINVILLE','SC','124242241215111431347934574122610166122',NULL,'1063',50.80,1,3,NULL),(28,7071833,'1992-09-12 00:00:00',3,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217373431369813342122130863145',17059,'1051',41.40,1,3,NULL),(28,7071841,'1991-10-25 00:00:00',4,1,12,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215573431577852576122610167127',2856,'270',62.12,1,3,NULL),(28,7071850,'1990-01-05 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124252251216142731238824375124230212192',NULL,'9998',0.00,1,3,NULL),(28,7071876,'1992-04-24 00:00:00',2,10,12,2009,'F','N','OFICINAS','TUBARÃO','SC','124243241216473551349923575114233162197',NULL,'807',0.00,1,3,NULL),(28,7071892,'1994-08-10 00:00:00',2,1,12,2011,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242247215131431538812575114610132122',NULL,'9999',38.35,1,3,NULL),(28,7071914,'1993-01-12 00:00:00',2,1,12,2009,'F','N','RUBEM BERTA','PTO ALEGRE','RS','120202201117571331377634575114610167117',13862,'9998',37.03,1,3,NULL),(28,7071930,'1993-07-12 00:00:00',4,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215472431366812575124610142187',2005,'270',65.38,1,3,NULL),(28,7071957,'1995-01-04 00:00:00',4,1,11,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112711459813592122610137042',2751,'270',61.96,4,3,NULL),(28,7071981,'1993-02-13 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241126371721124324375124610118142',NULL,'712',23.35,1,2,1),(28,7071990,'1994-06-16 00:00:00',2,1,11,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241215121431447714445124610135142',16910,'270',31.60,1,3,NULL),(28,7072007,'1995-05-25 00:00:00',4,7,12,2011,'F','N','CENTRO','CAPINZAL','SC','124243241216271731458913275125610168182',15793,'1093',36.36,1,3,NULL),(28,7072015,'1993-03-28 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215372431428424381124610164097',16505,'1022',42.65,1,3,NULL),(28,7072023,'1993-06-22 00:00:00',4,1,12,2010,'F','N','SOUSAS','CAMPINAS','SP','125252251217471411589933575112610166176',NULL,'9998',0.00,1,3,NULL),(28,7072031,'1994-04-19 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122731458923575122610133075',4780,'270',57.17,1,3,NULL),(28,7072040,'1994-08-27 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471431368932575122610164052',17183,'270',41.08,1,3,NULL),(28,7072058,'1994-07-06 00:00:00',4,22,11,2011,'M','N','SÃO LUIZ','BRUSQUE','SC','124242241214372421535632375122610117012',7005,'1244',53.05,1,3,NULL),(28,7072066,'1994-07-23 00:00:00',2,1,12,2011,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241248131161751326633592124610112092',NULL,'295',7.89,1,3,NULL),(28,7072074,'1995-02-15 00:00:00',4,1,12,2011,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241217111431538811572224610141052',7423,'262',52.81,1,3,NULL),(28,7072082,'1994-05-27 00:00:00',4,15,11,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124242241215372431364911575122610167072',6197,'970',54.08,1,3,NULL),(28,7072090,'1994-08-04 00:00:00',4,1,11,2011,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215112441468814575114610168122',1416,'262',68.15,1,3,NULL),(28,7072104,'1992-11-13 00:00:00',2,1,12,2009,'F','N','CENTRO','GAROPABA','SC','124241248146131421423631392324232767077',NULL,'322',23.58,1,2,1),(28,7072112,'1995-05-26 00:00:00',4,1,11,2012,'F','S','INGLESES','FLORIANÓPOLIS','SC','124242241216151431368813575122610122122',NULL,'270',55.58,1,3,NULL),(28,7072120,'1992-05-13 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431246619571122610127122',1465,'270',67.34,1,3,NULL),(28,7072155,'1994-10-26 00:00:00',4,8,12,2011,'F','N','FLORESTA','JOINVILLE','SC','124241241116131431459514575124610136141',11958,'465',40.32,1,2,1),(28,7072163,'1994-05-05 00:00:00',2,4,11,2011,'M','N','PARQUE VERDE','CAFELÂNDIA','PR','116111161216121431338821575115610133067',2381,'9998',63.52,4,3,NULL),(28,7072171,'1993-09-17 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241317472431456754575124610122076',7466,'271',49.57,1,3,NULL),(28,7072180,'1990-12-16 00:00:00',4,1,12,2007,'F','N','APARECIDA','SANTOS','SP','125254251416572431546634585124610124077',3468,'9998',59.68,1,3,NULL),(28,7072198,'1994-03-13 00:00:00',4,1,11,2011,'F','N','VILLA BRANCA','JACAREÍ','SP','125252251215111431368814575122610128072',4631,'9998',55.78,3,3,NULL),(28,7072201,'1995-09-04 00:00:00',4,4,12,2011,'M','N','CENTRO','ABELARDO LUZ','SC','124162161215111421456632585114610164052',NULL,'9998',33.10,1,3,NULL),(28,7072210,'1993-09-10 00:00:00',4,1,11,2010,'M','N','VILA SAO JOAO','ARAPONGAS','PR','124162161216472431166811171124610167042',8819,'9998',49.01,3,3,NULL),(28,7072228,'1991-03-03 00:00:00',2,1,11,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215473721267613425122131237082',17571,'1022',40.13,1,3,NULL),(28,7072236,'1993-03-03 00:00:00',2,9,12,2010,'M','N','FREI ROGÉRIO','LAGES','SC','124241241137152431466532574122610162172',354,'818',78.59,1,2,1),(28,7072244,'1996-02-23 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111231379813572112610164152',10990,'262',42.93,1,3,NULL),(28,7072260,'1994-01-18 00:00:00',4,1,12,2010,'M','N','CENTRO','GAROPABA','SC','124241241127131751336419195335610162057',17820,'322',30.19,1,2,1),(28,7072279,'1994-05-17 00:00:00',4,23,11,2011,'M','N','BARRA DO RIO MOLHA','JARAGUÁ SUL','SC','124243241215371411346814374124610127052',11261,'1063',42.63,1,3,NULL),(28,7072295,'1993-04-07 00:00:00',4,1,11,2010,'F','N','HELVETIA','INDAIATUBA','SP','125252251216471431578811575122610141182',NULL,'9998',0.00,1,3,NULL),(28,7072309,'1992-10-01 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241212142431326832445124230234092',NULL,'885',23.05,1,3,NULL),(28,7072317,'1995-01-31 00:00:00',4,1,12,2011,'F','N','LAGUINHO','MACAPÁ','AP','103032031216273431469933575122610134147',18946,'9998',35.50,1,3,NULL),(28,7072333,'1992-11-07 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241211575431368631391124610144185',827,'270',71.11,1,3,NULL),(28,7072341,'1994-04-10 00:00:00',4,1,12,2011,'M','N','FAZENDO STO ANTONIO','S JOSÉ','SC','124241241132171431438634575124630112017',NULL,'733',18.14,1,2,1),(28,7072368,'1993-07-04 00:00:00',4,8,12,2010,'F','N','JARDIM SAMAMBAIA','BAURU','SP','125252251216472431389911575122610167031',NULL,'9998',0.00,1,3,NULL),(28,7072376,'1994-01-17 00:00:00',2,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217111411447613475124610167011',17762,'1022',39.59,1,3,NULL),(28,7072392,'1991-07-08 00:00:00',4,1,12,2008,'F','N','CENTRO','BARIRI','SP','125252251215571431348611575124610124147',NULL,'9998',0.00,1,3,NULL),(28,7072414,'1993-11-26 00:00:00',2,3,12,2010,'M','N','VARZEA','ITAPEMA','SC','124241242115151422536511215124610127182',16651,'129',42.32,4,3,NULL),(28,7072430,'1994-10-01 00:00:00',2,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241115371731438439495114610164197',17217,'307',40.95,1,3,NULL),(28,7072457,'1989-09-09 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201205136171411318853484324610124147',14361,'9998',46.84,1,2,1),(28,7072473,'1993-10-16 00:00:00',2,1,12,2011,'F','N','PRAÇA','URUBICI','SC','124242241215161431436916572122610133047',12832,'817',39.81,1,3,NULL),(28,7072481,'1994-04-09 00:00:00',4,8,12,2011,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215171221558834572122610138092',5630,'1063',55.53,1,3,NULL),(28,7072490,'1994-12-11 00:00:00',2,1,11,2012,'F','S','BESENELO','NOVA TRENTO','SC','124241241215111431466613475124610126192',NULL,'1244',40.04,1,3,NULL),(28,7072503,'1994-11-03 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241115131431426611572124610136045',11074,'271',42.86,1,3,NULL),(28,7072511,'1985-01-18 00:00:00',4,2,12,2006,'M','N','ESPINHEIRO','JOINVILLE','SC','124243247425571441324421175122131466177',NULL,'86',0.00,1,3,NULL),(28,7072520,'1993-05-26 00:00:00',4,1,12,2010,'M','N','CANASVEIRAS','FLORIANÓPOLIS','SC','124242211217131231327824275124610162182',14427,'1048',38.35,1,3,NULL),(28,7072538,'1993-08-06 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431356512575112610122182',18200,'1168',38.30,1,3,NULL),(28,7072562,'1992-06-09 00:00:00',4,1,12,2009,'M','N','GRAÇAS','RECIFE','PE','117254211417572431579913275124610137097',1125,'9998',67.81,1,3,NULL),(28,7072570,'1994-05-29 00:00:00',4,9,11,2011,'F','N','CORAL','LAGES','SC','124242241215132431336934592122610127017',9406,'497',46.38,1,3,NULL),(28,7072589,'1994-05-31 00:00:00',4,1,11,2011,'F','N','VALE DO RENO','LONDRINA','PR','116162161112211431439731572122610132072',7435,'9998',51.37,1,3,NULL),(28,7072597,'1993-10-01 00:00:00',4,1,12,2010,'F','N','BELA VISTA','PALHOÇA','SC','124241241225472751326421395124610146197',NULL,'262',33.60,1,3,NULL),(28,7072600,'1992-05-09 00:00:00',4,1,9,2010,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124244241415112431378933575124221417083',14146,'269',47.19,1,3,NULL),(28,7072619,'1994-06-13 00:00:00',4,1,12,2011,'F','N','FUNDOS','BIGUAÇU','SC','124241248215111451323411375124610118077',20148,'63',24.62,1,3,NULL),(28,7072635,'1994-04-23 00:00:00',4,1,12,2011,'M','N','BUTANTÃ','S PAULO','SP','125252251217121411478821571122610146092',535,'9998',75.14,4,3,NULL),(28,7072643,'1994-07-22 00:00:00',2,1,11,2011,'F','N','CENTRO','SORRISO','MT','111113118215111731556632575122610164142',15217,'9998',36.56,1,3,NULL),(28,7072651,'1994-03-15 00:00:00',4,1,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124122241415142431438831245124610138122',6281,'1022',53.56,1,3,NULL),(28,7072660,'1992-03-25 00:00:00',2,1,11,2009,'M','N','LOMBA','ORLEANS','SC','124243241235575341456912275144610144115',1161,'950',67.57,1,3,NULL),(28,7072678,'1994-11-06 00:00:00',4,1,12,2011,'F','N','JARDIM ALVORADA','S JOSÉ CAMPOS','SP','125253256216141431538624585122610168192',NULL,'9998',0.00,1,3,NULL),(28,7072686,'1995-01-23 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124202241215111432458714575114610127064',11984,'737',43.71,1,3,NULL),(28,7072694,'1991-07-03 00:00:00',4,1,12,2008,'F','N','CENTRO','MARINGÁ','PR','116162161217573431369911575122610114012',1064,'9998',70.16,1,3,NULL),(28,7072708,'1994-05-29 00:00:00',4,1,12,2011,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215372531239777595114610135147',14753,'1022',34.24,1,3,NULL),(28,7072716,'1994-04-18 00:00:00',4,22,11,2011,'M','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124242241215271421238611475122610164142',2186,'109',65.84,1,3,NULL),(28,7072759,'1994-05-30 00:00:00',2,1,12,2011,'F','N','UBERABA','CURITIBA','PR','116164161116151431558629576122610164187',NULL,'9998',38.48,1,3,NULL),(28,7072767,'1993-11-08 00:00:00',4,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124241241417372431569614375114610112112',10549,'1105',52.84,1,3,NULL),(28,7072783,'1994-10-17 00:00:00',2,1,11,2011,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124162241215111431469911472124610135092',7711,'270',50.68,1,3,NULL),(28,7072791,'1994-01-30 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111432336824575112610124062',8050,'262',50.58,1,3,NULL),(28,7072805,'1992-01-09 00:00:00',2,1,12,2009,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215574431537811475124610136187',2234,'1022',63.27,4,3,NULL),(28,7072813,'1994-03-06 00:00:00',2,15,12,2011,'F','N','SÃO BRAZ','TORRES','RS','120201201217131431423832575124610164197',12393,'9998',42.91,1,3,NULL),(28,7072830,'1993-05-06 00:00:00',4,1,11,2010,'F','N','VILA PIRAJUSSARA','S PAULO','SP','125252251235371451589722591125610167142',NULL,'9998',0.00,1,3,NULL),(28,7072848,'1993-08-31 00:00:00',2,1,12,2010,'F','N','JARDIM ITÚ SABARA','PTO ALEGRE','RS','120201201417471431336319395124610124017',14504,'9998',35.75,1,3,NULL),(28,7072856,'1993-09-12 00:00:00',4,1,7,2012,'M','S','BOM VIVER','BIGUAÇU','SC','124241246117151721435723115124610164012',NULL,'306',36.90,3,3,NULL),(28,7072864,'1994-06-15 00:00:00',2,15,11,2011,'F','N','CENTRO','BAL ARROIO SILVA','SC','624243244235211751526514395112613244115',11399,'9997',42.37,1,3,NULL),(28,7072872,'1994-03-13 00:00:00',4,24,11,2011,'M','N','BREMER','RIO SUL','SC','124241246216371431444514175124610167067',NULL,'1013',23.67,1,3,NULL),(28,7072880,'1995-03-01 00:00:00',4,4,11,2011,'F','N','PINHEIROS','PATO BRANCO','PR','116162161215111431389912572122610122043',14368,'9998',46.82,1,3,NULL),(28,7072902,'1994-08-22 00:00:00',4,8,12,2011,'F','N','MORRO DO CRISTO','UNIÃO VITÓRIA','PR','124162161217131431428824572112610123097',NULL,'632',26.25,1,3,NULL),(28,7072910,'1995-04-16 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111711588813175122610168182',NULL,'270',50.08,1,3,NULL),(28,7072929,'1990-02-12 00:00:00',4,1,12,2007,'F','N','LIBERDADE','S PAULO','SP','125162161216573421478832575122610164122',2526,'9998',63.56,1,3,NULL),(28,7072937,'1994-03-10 00:00:00',4,1,12,2011,'M','N','JARDIM VILA BOA','GOIÂNIA','GO','109092091216111631468612575112610164047',3266,'9998',60.92,4,3,NULL),(28,7072953,'1993-09-03 00:00:00',4,3,12,2011,'M','N','CENTRO','CAMBORIÚ','SC','125241241116231721537514575122610124052',19809,'51',30.24,2,1,1),(28,7072961,'1989-11-13 00:00:00',4,15,12,2006,'M','N','CENTRO','JACINTO MACHADO','SC','124241242116131331123445345122233232057',19383,'690',33.47,1,3,NULL),(28,7072970,'1994-10-22 00:00:00',2,1,12,2011,'F','N','ARROIO TEIXEIRA','CAPÃO CANOA','RS','120201201116131431327623372124610116147',NULL,'9998',0.00,1,2,1),(28,7072988,'1995-03-20 00:00:00',2,1,12,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215112431558619572124610145147',1397,'262',71.37,1,3,NULL),(28,7073011,'1992-05-13 00:00:00',2,8,7,2010,'F','N','IRIRIÚ','JOINVILLE','SC','124123247336271431436923475122133236172',12446,'9999',42.48,1,3,NULL),(28,7073020,'1994-03-17 00:00:00',4,23,12,2011,'M','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124242246215121411459923375112610147042',6059,'1061',52.89,1,3,NULL),(28,7073038,'1990-11-26 00:00:00',4,1,12,2007,'F','N','LIBERDADE','S PAULO','SP','125254251216571431468612575112610114142',NULL,'9998',17.43,1,3,NULL),(28,7073046,'1993-09-11 00:00:00',2,4,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161241315472431258479571124610127097',NULL,'1048',14.85,1,3,NULL),(28,7073062,'1994-09-24 00:00:00',4,1,12,2011,'F','N','PRAÇA','TIJUCAS','SC','124243241215111431226923585112610132197',7566,'1119',49.66,1,3,NULL),(28,7073089,'1993-03-10 00:00:00',2,1,12,2011,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241137131431337923372124610134092',17411,'592',30.74,1,3,NULL),(28,7073100,'1993-09-11 00:00:00',4,1,12,2010,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241116141731535834345124232714147',NULL,'591',0.00,1,2,1),(28,7073119,'1994-08-10 00:00:00',4,5,11,2011,'F','N','CENTRO','URUSSANGA','SC','124244248215111451366614192124610132057',2362,'226',62.50,1,3,NULL),(28,7073127,'1992-07-23 00:00:00',4,1,12,2011,'F','N','CENTRO','PELOTAS','RS','120202201217121511146923575124610122192',17459,'9998',32.41,1,3,NULL),(28,7073135,'1991-05-06 00:00:00',4,1,12,2008,'M','N','VILA ADYANA','S JOSÉ CAMPOS','SP','125252254217471452388813495122142567017',12138,'9998',42.11,1,3,NULL),(28,7073143,'1995-02-07 00:00:00',4,4,12,2011,'F','N','CENTRO','XAXIM','SC','124244241416371431448913575122610131197',NULL,'994',30.08,1,3,NULL),(28,7073151,'1995-04-15 00:00:00',4,1,12,2012,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242248237111711429613575122610167065',NULL,'1133',34.98,1,3,NULL),(28,7073160,'1994-02-07 00:00:00',2,1,12,2012,'M','S','PASSA VINTE','PALHOÇA','SC','124242241217111552533432571121610114081',NULL,'1175',25.22,1,3,NULL),(28,7073178,'1991-09-04 00:00:00',2,1,12,2008,'F','N','REAL PARQUE','S JOSÉ','SC','124241241217153431226644345114122317182',18318,'1022',37.90,1,3,NULL),(28,7073186,'1993-04-22 00:00:00',4,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241111141432433331412124610167042',NULL,'281',0.00,1,3,NULL),(28,7073194,'1962-05-08 00:00:00',2,1,10,1987,'M','N','CACH DO BOM JESUS','FLORIANÓPOLIS','SC','124201207626151411154443235134610166043',NULL,'9998',0.00,1,3,NULL),(28,7073216,'1994-05-21 00:00:00',4,17,12,2011,'F','N','CENTRO','MAFRA','SC','124241161215151431448951575122610131182',1066,'9998',68.24,1,3,NULL),(28,7073224,'1994-11-24 00:00:00',2,1,12,2011,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241117131421423319195124610135097',9671,'592',45.71,1,2,1),(28,7073240,'1994-10-07 00:00:00',2,25,12,2011,'F','N','SESI','VIDEIRA','SC','124241241117131431446614571125610122147',18571,'831',28.08,1,3,NULL),(28,7073259,'1992-12-16 00:00:00',4,1,12,2011,'F','N','JARDIM DA PENHA','VITÓRIA','ES','108082081216111431238834575124610137112',NULL,'9998',0.00,1,3,NULL),(28,7073267,'1996-09-30 00:00:00',4,24,12,2013,'F','S','RODOVIA DAS PRIMAVER','LAURENTINO','SC','124242244216151431439732575124610134057',NULL,'654',29.54,1,3,NULL),(28,7073283,'1994-04-13 00:00:00',4,1,11,2011,'M','N','VILA ZAIRA','GUARULHOS','SP','125252251215111431439812574112610124012',2595,'9998',63.52,1,3,NULL),(28,7073291,'1993-07-31 00:00:00',4,3,11,2011,'M','N','MONTE ALEGRE','CAMBORIÚ','SC','124243243115131431436612375121610127052',11365,'129',45.05,4,1,2),(28,7073313,'1995-04-21 00:00:00',4,2,12,2011,'M','N','ÁGUA VERDE','BLUMENAU','SC','124241241215131441456611592124610164167',394,'71',74.15,1,3,NULL),(28,7073321,'1995-10-22 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241243112111431333614245125610135092',17601,'269',32.44,1,3,NULL),(28,7073330,'1987-05-25 00:00:00',4,1,11,2003,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241244126343451433623242134610121117',NULL,'591',31.26,1,3,NULL),(28,7073348,'1994-05-26 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117271431423519595114610117147',NULL,'257',31.80,1,2,1),(28,7073356,'1993-08-23 00:00:00',4,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241225573431478812575114610164191',1440,'262',67.22,1,3,NULL),(28,7073364,'1985-08-19 00:00:00',2,1,12,2002,'F','N','ALTO DO MANDAQUI','S PAULO','SP','125253251116571431335319181124142423097',210,'9998',76.36,3,3,NULL),(28,7073372,'1992-11-17 00:00:00',4,1,12,2010,'F','N','URABANOVA','S JOSÉ CAMPOS','SP','125252251217472431349714575112610162093',4931,'9998',56.04,1,3,NULL),(28,7073402,'1993-02-13 00:00:00',4,1,12,2010,'M','N','HIGIENÓPOLIS','STA CRUZ SUL','RS','120202201216571431449931575122610132042',3404,'9998',57.98,1,3,NULL),(28,7073410,'1993-11-10 00:00:00',2,1,12,2011,'F','N','SÃO JOSÉ','S JOSÉ','SC','124242241211111431427631572124610122092',11528,'723',42.38,1,3,NULL),(28,7073429,'1994-06-16 00:00:00',4,9,12,2011,'M','N','JACAREPAGUÁ','RIO JANEIRO','RJ','121243211237111711346611575124610164176',416,'9998',69.55,1,3,NULL),(28,7073437,'1995-01-25 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215112431556614375122610163077',15176,'738',37.58,1,3,NULL),(28,7073445,'1994-10-11 00:00:00',4,2,12,2011,'F','N','CENTRO','MASSARANDUBA','SC','124241241415111431346633575124610126142',13451,'1061',38.56,1,3,NULL),(28,7073453,'1988-11-11 00:00:00',4,1,12,2006,'M','N','LOURDES','BELO HORIZONTE','MG','113132131211111431278665311122141417052',NULL,'9998',0.00,1,3,NULL),(28,7073470,'1986-03-17 00:00:00',4,1,12,2003,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215375221469934245123121464045',8695,'270',55.92,1,3,NULL),(28,7073488,'1994-04-11 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202241215151431358924575122610126147',4042,'262',59.76,1,3,NULL),(28,7073518,'1993-03-28 00:00:00',4,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241216272431438614445122610166197',15082,'1076',36.89,1,3,NULL),(28,7073526,'1994-12-29 00:00:00',4,1,12,2011,'M','N','NOVA BELEM','PAULO LOPES','SC','124241241145111732423319295214610114042',NULL,'607',18.15,1,2,1),(28,7073542,'1994-04-25 00:00:00',4,22,11,2011,'F','N','SOUZA CRUZ','BRUSQUE','SC','124243241215111431468614575122610133197',17015,'1244',41.52,1,3,NULL),(28,7073569,'1992-01-14 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241315373431537923492114121764012',12915,'307',49.12,1,3,NULL),(28,7073577,'1994-03-02 00:00:00',4,1,12,2011,'F','N','HELENA CRISTINA','SOROCABA','SP','125252251215111441238814475112610134077',13891,'9998',36.95,1,3,NULL),(28,7073585,'1993-04-04 00:00:00',4,1,11,2010,'F','N','LOT JD SÃO MIGUEL','BIGUAÇU','SC','124241241115271731437512572124610146141',11207,'65',44.31,1,2,1),(28,7073593,'1993-09-30 00:00:00',4,10,11,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215472731557871575111610167182',2343,'807',68.73,1,3,NULL),(28,7073615,'1994-11-25 00:00:00',4,1,11,2011,'M','N','VILAS BOAS','CPO GRANDE','MS','112122121217151431348821595122610127183',NULL,'9998',0.00,1,3,NULL),(28,7073631,'1994-08-06 00:00:00',4,15,12,2011,'F','N','SANGA DA AREIA','ARARANGUÁ','SC','124241241115131431333611575124610124197',NULL,'30',28.56,1,2,1),(28,7073640,'1992-06-09 00:00:00',2,1,12,2009,'M','N','JARDIM ITU','PTO ALEGRE','RS','120201201116571231334314585122610127057',6143,'9998',54.02,1,2,1),(28,7073658,'1993-04-06 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241214372431536874375114610134077',12962,'1118',41.13,1,3,NULL),(28,7073666,'1994-11-17 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124241241115371431437411575114610122092',13276,'307',42.92,1,2,1),(28,7073674,'1995-03-12 00:00:00',4,5,11,2012,'F','S','CENTRO','CRICIÚMA','SC','124242241215151412369931472112610134142',NULL,'213',53.71,1,3,NULL),(28,7073690,'1994-09-02 00:00:00',4,1,10,2011,'M','N','CANCELLI','CASCAVEL','PR','116162161217111331448932575122610167052',9296,'9998',50.66,1,3,NULL),(28,7073704,'1993-07-11 00:00:00',4,8,12,2010,'M','N','ENSEADA','S FRANCISCO SUL','SC','124244241446151431355412375125233267021',14981,'1224',36.74,1,3,NULL),(28,7073712,'1994-04-15 00:00:00',4,10,11,2011,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215271731437833575122610163147',14118,'797',37.69,1,3,NULL),(28,7073720,'1993-01-16 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215152431556612442122230217187',NULL,'270',16.40,1,3,NULL),(28,7073739,'1994-08-15 00:00:00',4,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111731459953475124610167042',4211,'270',58.33,1,3,NULL),(28,7073747,'1992-11-23 00:00:00',4,1,12,2010,'F','N','CAMBUI','CAMPINAS','SP','125082081217471331458814575124610162097',2910,'9998',60.37,1,3,NULL),(28,7073755,'1994-08-09 00:00:00',2,1,11,2011,'M','N','NOSSA SENHORA DO ROS','S JOSÉ','SC','124241241215131731436824572224610113045',8840,'1075',51.35,1,3,NULL),(28,7073771,'1993-11-30 00:00:00',4,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241212474431337923575124131916091',2947,'884',61.49,1,3,NULL),(28,7073780,'1994-07-26 00:00:00',4,4,12,2011,'M','N','INTERIOR','OURO VERDE','SC','124241246116271431344923575122610164052',9136,'196',48.23,1,2,1),(28,7073798,'1994-09-22 00:00:00',4,8,11,2011,'F','N','SÃO MARCOS','JOINVILLE','SC','124242241217111431579711575124610166012',2650,'1063',61.95,1,3,NULL),(28,7073801,'1994-01-18 00:00:00',4,6,11,2011,'F','N','VILA FÁTIMA','S VICENTE','SP','125252251217111531246723271124610162142',4962,'9998',56.29,4,3,NULL),(28,7073810,'1993-12-24 00:00:00',4,1,11,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215112431249924571124610132185',7206,'1022',51.33,1,3,NULL),(28,7073836,'1992-12-14 00:00:00',4,23,12,2010,'M','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124241241147131411436414342134131426142',10895,'435',52.29,1,2,1),(28,7073852,'1993-04-22 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215472411468833575124610122021',3988,'1063',59.05,1,3,NULL),(28,7073895,'1995-01-28 00:00:00',4,1,12,2012,'F','S','TRINTA E UM DE MARÇO','CAMPINAS','SP','125252251215271431246932571122610136071',NULL,'9998',0.00,1,3,NULL),(28,7073909,'1978-08-20 00:00:00',2,1,12,1998,'M','N','MONTE ALEGRE','PIRACICABA','SP','225251253137572421428854273122140745087',2732,'9998',62.09,1,2,1),(28,7073925,'1992-07-21 00:00:00',2,1,12,2010,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241117142451428624245124231343142',11786,'267',42.32,1,2,1),(28,7073950,'1994-02-01 00:00:00',6,1,12,2011,'M','N','SUL DO RIO','TIJUCAS','SC','124241241137131312323334345121610112147',NULL,'971',0.00,5,3,NULL),(28,7073968,'1993-06-21 00:00:00',4,1,12,2010,'F','N','PARQUE DAS NAÇÕES','AMERICANA','SP','125252251217471411556812571122610137097',NULL,'9998',0.00,1,3,NULL),(28,7073984,'1988-03-24 00:00:00',4,1,12,2005,'F','N','BOA VISTA','PTO ALEGRE','RS','120202201216471411129941215114141962182',7622,'9998',57.77,1,3,NULL),(28,7073992,'1994-06-24 00:00:00',2,3,12,2011,'F','N','PRAÇA','TIJUCAS','SC','124241241112131731426639585122610167047',NULL,'971',20.01,1,3,NULL),(28,7074000,'1995-04-09 00:00:00',4,8,12,2012,'F','S','BOA VISTA','JOINVILLE','SC','124244241217111731349834585121610134017',NULL,'1016',50.14,1,3,NULL),(28,7074018,'1993-12-16 00:00:00',4,1,12,2010,'F','N','ESTRELA DALVA','CARAGUATATUBA','SP','125252251225521431566812571125610164122',612,'9998',76.38,1,3,NULL),(28,7074026,'1992-05-04 00:00:00',2,6,11,2009,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241411132631636631441114610125187',13889,'400',40.49,1,3,NULL),(28,7074034,'1993-01-27 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241117371431437621575124610124147',9304,'307',50.47,1,2,1),(28,7074042,'1990-05-14 00:00:00',4,3,12,2008,'M','N','CENTRO','ITAPEMA','SC','124252241134371431227669484123233267187',11725,'406',50.97,3,3,NULL),(28,7074050,'1995-06-10 00:00:00',4,1,11,2011,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215152431446823595114610124062',1085,'270',70.31,1,3,NULL),(28,7074069,'1993-11-11 00:00:00',2,1,12,2011,'F','N','FLORESTAL','LAJEADO','RS','120202201217111431348832572122610121147',10006,'9998',47.55,1,3,NULL),(28,7074077,'1993-03-07 00:00:00',4,1,12,2010,'M','N','CENTRO','S JOSÉ CAMPOS','SP','125102131237471431589814572122610125012',2212,'9998',62.47,1,3,NULL),(28,7074085,'1994-11-07 00:00:00',4,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115131731436324385121610137112',12293,'592',42.35,1,2,1),(28,7074093,'1993-08-14 00:00:00',4,8,6,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242281415371731479914575122610163142',9109,'1063',55.23,1,3,NULL),(28,7074107,'1993-10-07 00:00:00',2,2,11,2011,'M','N','VELHA','BLUMENAU','SC','124242241216111431488813575122610117185',17879,'87',30.65,1,3,NULL),(28,7074131,'1993-03-17 00:00:00',4,1,12,2010,'F','N','JD LEONOR','CAMPINAS','SP','125254251216471431448831575112610121092',NULL,'9998',0.00,1,3,NULL),(28,7074140,'1994-10-13 00:00:00',4,9,12,2011,'M','N','CENTRO','LAGES','SC','124242248215371431347833345122610114047',4203,'499',57.51,1,3,NULL),(28,7074158,'1993-04-14 00:00:00',4,1,12,2010,'F','N','VILA MARTINHO','FRANCO ROCHA','SP','125252251116471431566811385125610117077',1210,'9998',68.81,1,3,NULL),(28,7074166,'1992-04-01 00:00:00',2,1,11,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241116141521446634345114610127147',NULL,'307',25.32,1,3,NULL),(28,7074174,'1992-12-05 00:00:00',4,1,11,2010,'M','N','VILA MADALENA','S PAULO','SP','125252251217471431468832575122610167117',1123,'9998',68.38,1,3,NULL),(28,7074182,'1993-12-12 00:00:00',4,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241212132431435611281114610127087',11748,'989',40.15,1,3,NULL),(28,7074190,'1993-08-21 00:00:00',4,1,11,2010,'F','N','SÃO JOSÉ','S PAULO','SP','125252251214471431347933575122610137072',9523,'9998',46.19,1,3,NULL),(28,7074204,'1993-07-05 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241336372431333579572122610132092',6940,'1023',53.18,1,3,NULL),(28,7074212,'1993-12-14 00:00:00',4,4,12,2009,'M','N','CENTRO','PAIAL','SC','124241242111132431548933575124610124012',4261,'196',56.91,1,2,1),(28,7074220,'1993-05-07 00:00:00',4,1,12,2010,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125252251216472411558934575112610167097',2748,'9998',62.02,1,3,NULL),(28,7074239,'1995-03-15 00:00:00',4,8,12,2012,'M','S','ATIRADORES','JOINVILLE','SC','124242241217111732288821572122610128062',NULL,'1063',0.00,1,3,NULL),(28,7074247,'1994-01-22 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431458613572112610127052',6784,'738',52.73,1,3,NULL),(28,7074255,'1993-07-15 00:00:00',4,1,11,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217473431455651372124610131182',5268,'270',55.37,1,3,NULL),(28,7074263,'1994-06-15 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411489714445112610126142',13163,'262',41.88,1,3,NULL),(28,7074271,'1995-02-10 00:00:00',4,1,12,2012,'M','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111531479913472122610168052',NULL,'262',51.54,1,3,NULL),(28,7074298,'1993-06-28 00:00:00',2,1,12,2010,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251215471431548632275122610162097',8410,'9998',49.34,1,3,NULL),(28,7074310,'1993-05-24 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','125252251216471131568814575122610127042',8486,'9998',56.29,1,3,NULL),(28,7074328,'1994-04-20 00:00:00',2,1,12,2011,'F','N','RIO GRANDE','PALHOÇA','SC','124243248335131432526579172224610136142',NULL,'592',25.73,1,3,NULL),(28,7074336,'1994-02-10 00:00:00',6,8,12,2011,'F','N','MOSSINGUÊ','CURITIBA','PR','116161161215111431236824244124610163092',NULL,'9998',0.00,1,3,NULL),(28,7074344,'1991-04-22 00:00:00',4,1,12,2008,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091215571431247825575122610167047',162,'9998',77.71,3,3,NULL),(28,7074352,'1994-12-17 00:00:00',4,1,12,2012,'M','S','FORQUILHAS','S JOSÉ','SC','124242241217111431488811575124610123096',NULL,'270',36.45,1,3,NULL),(28,7074379,'1992-04-04 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241117372411467823345124131062182',817,'306',71.99,1,3,NULL),(28,7074387,'1995-03-09 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121431569836574125610126012',2730,'270',62.73,1,3,NULL),(28,7074395,'1993-04-04 00:00:00',4,1,11,2010,'M','N','BARRA FUNDA','S PAULO','SP','125254251217471411536823575124610164042',8633,'9998',47.70,1,3,NULL),(28,7074409,'1987-07-31 00:00:00',2,1,12,2004,'F','N','IGARA','CANOAS','RS','120204201116572431117749291125141367187',13021,'9998',39.07,1,3,NULL),(28,7074417,'1992-09-17 00:00:00',4,1,12,2010,'M','N','JARDIM DAS PRAIAS','S PAULO','SP','125252251213471231568833575124610136042',2807,'9998',59.98,1,3,NULL),(28,7074433,'1993-10-26 00:00:00',4,1,11,2010,'M','N','CENTRO','TUBARÃO','SC','124242241416372411138912375125230222052',10031,'806',53.65,1,3,NULL),(28,7074441,'1995-01-05 00:00:00',4,4,12,2011,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241115131451323534572125610124077',12514,'182',37.78,1,2,1),(28,7074450,'1993-02-17 00:00:00',2,1,12,2010,'F','N','JARDIM DOS ESTADOS','POÇOS CALDAS','MG','125132131216471431568931575122610134071',NULL,'9998',0.00,1,3,NULL),(28,7074468,'1994-08-16 00:00:00',4,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215111431356913382124610127071',NULL,'1023',28.53,1,3,NULL),(28,7074476,'1989-05-29 00:00:00',6,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124204248316132431236823495124231267187',NULL,'174',15.20,1,3,NULL),(28,7074484,'1990-12-16 00:00:00',4,1,2,2009,'M','N','BELA VISTA','CAXIAS SUL','RS','120201201137271411336539396122240664092',NULL,'9998',32.11,1,2,1),(28,7074492,'1992-03-30 00:00:00',2,8,12,2009,'F','N','ZONA V','UMUARAMA','PR','116161161115112421549814375122142612182',12265,'9998',44.05,1,2,1),(28,7074506,'1994-07-31 00:00:00',4,23,11,2011,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241215111431469814376114610137145',6565,'1063',54.28,1,3,NULL),(28,7074514,'1993-12-12 00:00:00',4,2,12,2011,'M','N','CENTRO','POMERODE','SC','124242247215171521488614572112610167062',7360,'624',52.84,1,3,NULL),(28,7074530,'1992-10-27 00:00:00',4,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124241241215373431326611372124610166055',6949,'259',51.26,1,3,NULL),(28,7074549,'1993-08-25 00:00:00',4,1,11,2011,'F','N','CLEILIA BERNARDES','VIÇOSA','MG','113132131111111431469933575112610142143',3560,'9998',57.88,1,3,NULL),(28,7074557,'1992-01-03 00:00:00',4,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','107242241217472411476823375112610165043',7913,'185',57.27,1,3,NULL),(28,7074565,'1992-11-26 00:00:00',4,1,11,2009,'M','N','WERNER PLAAS','AMERICANA','SP','125252251216572431555933315112610167072',4723,'9998',53.25,1,3,NULL),(28,7074573,'1991-04-03 00:00:00',4,5,12,2008,'M','N','PRIMEIRA LINHA','CRICIÚMA','SC','124242241215474332368732245122231444097',13539,'226',38.92,3,3,NULL),(28,7074581,'1994-07-25 00:00:00',4,1,12,2011,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241116151431426834345114610164182',9601,'592',46.75,1,2,1),(28,7074590,'1994-03-24 00:00:00',4,8,12,2011,'M','N','PETRÓPOLIS','JOINVILLE','SC','124241241217131431426824575124610128097',12379,'1105',40.60,1,3,NULL),(28,7074603,'1983-05-01 00:00:00',4,1,1,2001,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241242117131431223644445121133267187',6711,'196',51.24,1,2,1),(28,7074620,'1996-01-15 00:00:00',4,1,12,2012,'M','S','JARDIM MONTE BELO','MARINGÁ','PR','116162161216111731479813585122610168041',NULL,'9998',64.45,1,3,NULL),(28,7074638,'1993-01-30 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215472431347813571124230227095',4472,'270',55.96,1,3,NULL),(28,7074646,'1994-02-06 00:00:00',4,10,11,2011,'F','N','CENTRO','CAPIVARI BAIXO','SC','124244241435111431236624295124610125112',NULL,'1120',21.39,1,3,NULL),(28,7074662,'1993-04-23 00:00:00',4,1,11,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215373431328611575124610167017',5903,'1022',55.91,1,3,NULL),(28,7074670,'1994-03-01 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411459913372124610126122',4234,'262',58.04,1,3,NULL),(28,7074689,'1991-01-07 00:00:00',4,1,11,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241113472711238821571124610163143',10437,'267',48.90,3,3,NULL),(28,7074697,'1988-02-19 00:00:00',4,1,12,2005,'F','N','ASSUNÇÃO','S BERNARDO CAMPO','SP','125252251246574431446611571114610122147',706,'9998',71.01,1,3,NULL),(28,7074700,'1994-02-17 00:00:00',4,1,12,2011,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124114241435111431548652575125610127053',16303,'882',38.73,1,3,NULL),(28,7074719,'1994-08-13 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111231478633575112610167045',1902,'738',63.72,1,3,NULL),(28,7074735,'1992-12-11 00:00:00',2,1,12,2010,'F','N','CIDADE JARDIM','S JOSÉ R PRETO','SP','125252251216371411446833215124610133027',7160,'9998',51.74,1,3,NULL),(28,7074743,'1992-08-05 00:00:00',2,1,12,2009,'F','N','AUGUSTO JOSÉ VALENTE','POSSE','GO','109253251215572431448821571124610124182',2345,'9998',64.76,1,3,NULL),(28,7074760,'1965-02-10 00:00:00',2,1,9,2000,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224241247322171411434543132112610117113',19708,'9999',31.12,1,3,NULL),(28,7074778,'1993-02-06 00:00:00',2,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241136152411536611275124221227092',16527,'257',42.59,1,2,1),(28,7074786,'1994-10-20 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431436614595125610128052',10618,'1197',44.99,1,3,NULL),(28,7074794,'1994-12-18 00:00:00',2,16,12,2011,'F','N','SÃO CRISTOVÃO','STA CECÍLIA','SC','124241241116471431423314272124610122177',17611,'686',30.39,1,2,1),(28,7074808,'1994-05-04 00:00:00',4,1,11,2011,'M','N','IPIRANGA','S JOSÉ','SC','124243241217161431328612575124610137187',15908,'1022',33.21,1,3,NULL),(28,7074816,'1994-05-03 00:00:00',4,2,11,2011,'M','N','ESCOLA AGRICOLA','BLUMENAU','SC','124242241215111431326624575124610112124',NULL,'87',0.00,1,3,NULL),(28,7074832,'1994-06-28 00:00:00',4,1,12,2011,'M','N','ALTO','PIRACICABA','SP','125254251217111431389934575122610124122',2411,'9998',61.35,1,3,NULL),(28,7074840,'1993-10-28 00:00:00',4,1,12,2010,'M','N','IMIRIM','S PAULO','SP','125253251117471411559933571114610135182',1328,'9998',67.72,4,3,NULL),(28,7074859,'1994-09-14 00:00:00',2,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124242241215231431468512175114610163172',3958,'270',59.84,1,3,NULL),(28,7074867,'1984-07-09 00:00:00',4,1,12,2001,'M','N','LOT FERNANDA','CAPINZAL','SC','124241241215375431467536275124523226197',3,'155',86.83,1,3,NULL),(28,7074875,'1994-04-13 00:00:00',4,1,12,2011,'F','N','JARDIM PROGRESSO','ALUMÍNIO','SP','125252251216111431569814275122610114192',6515,'9998',52.46,1,3,NULL),(28,7074883,'1994-01-23 00:00:00',4,6,12,2011,'M','N','ITAIPAVA','ITAJAÍ','SC','124244241215111412357634572122610124042',3478,'1026',65.65,1,3,NULL),(28,7074905,'1994-10-27 00:00:00',2,2,11,2011,'M','N','GARCIA','BLUMENAU','SC','124242246217111431338811575124610117122',NULL,'1018',36.36,1,3,NULL),(28,7074913,'1995-05-25 00:00:00',2,1,12,2011,'M','N','JOAQUIM EGIDIO','CAMPINAS','SP','125252251136371731327739575124610164047',NULL,'9998',0.00,1,3,NULL),(28,7074921,'1994-04-04 00:00:00',4,8,11,2011,'F','N','JD MONTE CARLO','LONDRINA','PR','116162161217121431338817495122610128182',NULL,'9998',0.00,1,3,NULL),(28,7074948,'1987-11-24 00:00:00',2,1,12,2005,'M','N','POTECAS','S JOSÉ','SC','124241241117151431225444445113610117042',20106,'734',26.14,1,2,1),(28,7074956,'1994-04-28 00:00:00',2,27,12,2011,'F','N','CENTRO','BARRA GUARITA','RS','120201201146131232415613182341610128197',NULL,'9998',24.36,1,2,1),(28,7074964,'1993-09-12 00:00:00',2,1,11,2011,'F','N','JARDIM DAS INDUSTRIA','S JOSÉ CAMPOS','SP','125252251212421411458612575122610145147',NULL,'9998',22.20,1,3,NULL),(28,7074972,'1992-11-02 00:00:00',4,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215472431388923572112610123192',3608,'270',62.25,1,3,NULL),(28,7074980,'1992-08-04 00:00:00',4,4,12,2009,'F','N','PRESIDENTE KENNEDY','FRANCISCO BELTRÃO','PR','116162161216571721338612275114610112182',9344,'9998',48.64,3,3,NULL),(28,7074999,'1994-04-24 00:00:00',4,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124241241116371431424439575124613228142',17417,'734',34.30,1,3,NULL),(28,7075006,'1992-09-20 00:00:00',4,1,12,2010,'F','N','SUMARE','RIO SUL','SC','124244248216371431456912445124610132192',16247,'9997',43.24,4,3,NULL),(28,7075030,'1989-05-03 00:00:00',2,3,12,2006,'F','N','MEIA PRAIA','ITAPEMA','SC','124161161147151731223359285122241827145',NULL,'9998',0.00,4,3,NULL),(28,7075049,'1995-06-27 00:00:00',4,26,12,2011,'F','N','CENTRO','IRANI','SC','124241248115141731324628142231610134142',NULL,'379',19.36,1,2,1),(28,7075065,'1991-12-23 00:00:00',4,1,12,2009,'F','N','PARAÍSO','S PAULO','SP','125252251215571441568333571122141126187',NULL,'9998',0.00,1,3,NULL),(28,7075073,'1993-09-24 00:00:00',4,1,11,2011,'F','N','MANSÕES STO ANTÔNIO','CAMPINAS','SP','125252251211121431369834575122610163182',2722,'9998',60.78,1,3,NULL),(28,7075081,'1994-06-13 00:00:00',6,1,12,2011,'M','N','KM DOIS','S LUDGERO','SC','124241241116141431323321575114610134142',NULL,'748',0.00,1,2,1),(28,7075090,'1994-03-16 00:00:00',4,8,11,2011,'M','N','AMÉRICA','JOINVILLE','SC','124244241215121431268913575112610164112',18432,'1016',37.53,1,3,NULL),(28,7075103,'1995-02-24 00:00:00',4,4,12,2011,'F','N','ALVORADA','XAXIM','SC','124242241215271431449911475122610121142',5979,'994',54.11,1,3,NULL),(28,7075111,'1994-09-22 00:00:00',4,1,11,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215122431579933575124610122123',NULL,'270',57.72,1,3,NULL),(28,7075138,'1994-12-09 00:00:00',2,1,12,2011,'M','N','IPIRANGA','S JOSÉ','SC','124241241115131331457513575124610117047',14602,'271',40.75,1,3,NULL),(28,7075146,'1994-08-16 00:00:00',4,4,12,2011,'M','N','INTERIOR','SAUDADES','SC','124241242116371431473336595324610138187',18592,'196',27.18,1,2,1),(28,7075154,'1991-07-30 00:00:00',4,4,12,2008,'F','N','SANTA LUZIA','ABELARDO LUZ','SC','124241251412471431355614575112610126193',7654,'9998',49.66,1,3,NULL),(28,7075162,'1994-04-01 00:00:00',2,10,12,2011,'M','N','SÃO MARTINHO','TUBARÃO','SC','124243241116141731336624345124610164142',17843,'802',29.69,1,3,NULL),(28,7075170,'1994-07-01 00:00:00',2,23,11,2011,'M','N','GUAIRA','CURITIBA','PR','116242161217471431367821575125610137052',10012,'9998',53.69,1,3,NULL),(28,7075197,'1990-09-19 00:00:00',4,1,12,2008,'M','N','BACACHERI','CURITIBA','PR','116252251217151411623863345124141932197',NULL,'9998',0.00,1,3,NULL),(28,7075200,'1994-04-21 00:00:00',4,1,12,2011,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241215131431436531576222610128125',NULL,'1048',29.63,1,3,NULL),(28,7075219,'1994-03-15 00:00:00',2,15,12,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124241241116131711525314392124610167147',NULL,'29',26.83,1,3,NULL),(28,7075227,'1990-04-12 00:00:00',2,8,12,2007,'M','N','CENTRO','IRATI','PR','116164161215572431488631575114141467062',4015,'9998',64.44,1,3,NULL),(28,7075235,'1987-06-07 00:00:00',2,8,12,2005,'F','N','SAGUAÇU','JOINVILLE','SC','224051161216371431233454215122341316187',18263,'9998',38.08,1,3,NULL),(28,7075243,'1995-01-13 00:00:00',4,7,11,2012,'F','S','CENTRO','ERECHIM','RS','120202201217151431368914575125610145127',NULL,'9998',46.24,1,3,NULL),(28,7075251,'1994-04-14 00:00:00',2,1,11,2011,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215121751236939195122610123147',NULL,'270',26.93,4,3,NULL),(28,7075260,'1992-06-30 00:00:00',2,1,12,2009,'F','N','JARDIM SÃO PAULO','S PAULO','SP','125252251216571431658631594125610142017',3070,'9998',59.94,1,3,NULL),(28,7075278,'1991-09-17 00:00:00',2,1,12,2008,'F','N','ROÇADO','S JOSÉ','SC','124242241217375431458814491124122223182',17728,'737',39.67,1,3,NULL),(28,7075286,'1994-09-24 00:00:00',4,1,12,2011,'F','N','IBIRAQUERA','GAROPABA','SC','124241051116271431623314175122610127057',14971,'1136',39.82,1,2,1),(28,7075294,'1994-12-29 00:00:00',4,10,11,2011,'M','N','CENTRO','TUBARÃO','SC','124244246215161431467823575122610114072',7777,'1120',50.85,1,3,NULL),(28,7075316,'1992-03-17 00:00:00',4,1,12,2009,'M','N','JARDIM CALIFÓRNIA','JACAREÍ','SP','125252251215571431349823575122610144181',101,'9998',79.88,1,3,NULL),(28,7075324,'1991-03-09 00:00:00',2,1,12,2008,'M','N','KOBRASSOL','S JOSÉ','SC','124241241116132431356723145134130814041',19931,'732',28.99,1,2,1),(28,7075332,'1993-08-10 00:00:00',4,1,11,2010,'F','N','CENTRO','POÇOS CALDAS','MG','113132131216272421467711215122610126192',4575,'9998',63.23,1,3,NULL),(28,7075340,'1990-04-30 00:00:00',4,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124242241216144431568713395124233242057',10646,'723',44.28,1,3,NULL),(28,7075359,'1994-12-20 00:00:00',2,24,12,2011,'F','N','CENTRO','SALETE','SC','124243241117131431528912575122610126177',14416,'680',38.69,1,3,NULL),(28,7075367,'1992-10-17 00:00:00',4,1,12,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217573431259912574124610122142',408,'226',74.04,1,3,NULL),(28,7075375,'1993-03-17 00:00:00',4,1,12,2010,'F','N','VILA MASCOTE','S PAULO','SP','125252251217471431479914375114610127052',2467,'9998',61.58,1,3,NULL),(28,7075413,'1993-10-11 00:00:00',4,25,12,2010,'M','N','CENTRO','S JORGE IVAÍ','PR','116163161316471431366826575124610144092',NULL,'9998',0.00,1,3,NULL),(28,7075421,'1994-09-02 00:00:00',4,24,12,2011,'M','N','CENTRO','MTE ALTO','SP','125252251217111431337712575111610116042',NULL,'9998',0.00,1,3,NULL),(28,7075430,'1993-01-18 00:00:00',2,4,12,2010,'M','N','CENTRO','PINHALZINHO','SC','124241241113272431429933593124610114052',9496,'616',47.75,4,2,1),(28,7075448,'1993-02-27 00:00:00',2,1,12,2010,'F','N','SUISSA','ARACAJU','SE','126262261215111431558719575122610145127',3747,'9998',65.07,4,3,NULL),(28,7075456,'1994-10-17 00:00:00',2,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215112431457923575122610166127',6024,'1016',53.79,1,3,NULL),(28,7075464,'1992-04-24 00:00:00',2,1,12,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241215111411333669375114610167057',10924,'1022',52.24,1,3,NULL),(28,7075472,'1992-12-14 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216473431478831595122610164187',142,'270',78.68,1,3,NULL),(28,7075499,'1993-09-07 00:00:00',4,17,12,2010,'M','N','CENTRO','CURITIBA','PR','116112161216572431378813575125610166147',NULL,'9998',0.00,1,3,NULL),(28,7075502,'1993-12-20 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215472431364624575112610117052',2198,'270',65.32,1,3,NULL),(28,7075510,'1993-08-29 00:00:00',4,1,12,2010,'M','N','VILA BELMIRO','SANTOS','SP','125252251217472411444631575114610166092',1713,'9998',64.52,1,3,NULL),(28,7075529,'1994-02-16 00:00:00',4,8,11,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124241241411421431229629192124610127182',4169,'1016',57.94,1,3,NULL),(28,7075545,'1994-07-26 00:00:00',4,27,12,2011,'F','N','INTERIOR','GUARACIABA','SC','124241241115271431473315275124610148077',10144,'334',43.43,1,2,1),(28,7075553,'1994-11-07 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431356923592122610121197',18993,'737',35.35,1,3,NULL),(28,7075561,'1995-01-04 00:00:00',2,5,12,2011,'M','N','CENTRO','NOVA VENEZA','SC','124242241411151331468814241112610117042',NULL,'576',0.00,1,3,NULL),(28,7075588,'1993-11-09 00:00:00',4,1,12,2010,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241115132431311319345121610126177',NULL,'772',21.41,1,2,1),(28,7075596,'1991-03-05 00:00:00',4,1,12,2008,'M','N','VILA NASTRI','ITAPETININGA','SP','125253251137471231258824275122240762181',3345,'9998',58.85,1,3,NULL),(28,7075600,'1993-07-23 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241216362431533314575124610112147',10036,'300',44.78,1,3,NULL),(28,7075618,'1990-02-08 00:00:00',2,1,12,2007,'F','N','LIBERDADE','NOVO HAMBURGO','RS','120201251217472441548631371124242567012',11329,'9998',42.80,1,3,NULL),(28,7075626,'1995-01-20 00:00:00',2,1,12,2012,'F','S','PASSA VINTE','PALHOÇA','SC','124241241117131411426334235124610136017',NULL,'592',23.90,1,3,NULL),(28,7075642,'1994-05-21 00:00:00',2,4,11,2011,'F','N','CENTRO','PALOTINA','PR','116162161216471431446615575122610147072',NULL,'9998',0.00,1,3,NULL),(28,7075650,'1995-02-04 00:00:00',4,8,12,2011,'F','N','CENTRO','CURITIBA','PR','116162161215111431168814585125610167072',3367,'9998',60.19,1,3,NULL),(28,7075669,'1994-07-11 00:00:00',4,2,11,2011,'F','N','ASILO','BLUMENAU','SC','124242241215111411478832576112610134072',13851,'855',37.44,1,3,NULL),(28,7075677,'1995-02-02 00:00:00',4,1,12,2011,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242246115131431438831245124610166197',10813,'306',44.43,1,3,NULL),(28,7075685,'1993-03-24 00:00:00',4,1,11,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215473431379912575114610122181',1097,'270',68.47,1,3,NULL),(28,7075693,'1993-03-11 00:00:00',2,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124221241117272431437724342124610144012',NULL,'733',22.41,2,2,1),(28,7075707,'1995-02-08 00:00:00',4,1,12,2011,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124242241114111432336929595121610127045',9856,'1075',46.66,1,3,NULL),(28,7075715,'1994-12-09 00:00:00',4,8,12,2011,'M','N','JOINVILLE','JOINVILLE','SC','124242241217111432436619595124610128051',11449,'1105',51.41,1,3,NULL),(28,7075723,'1993-05-04 00:00:00',4,1,11,2010,'M','N','SANTA CECÍLIA','S PAULO','SP','125252251217471411578932571122610167162',3769,'9998',56.11,1,3,NULL),(28,7075740,'1991-10-07 00:00:00',4,1,11,2009,'F','N','ASILO','BLUMENAU','SC','124242241215572441369813445113610136042',10127,'87',53.52,1,3,NULL),(28,7075766,'1993-07-21 00:00:00',4,1,12,2011,'M','N','JD CIDADE FLORIANOPL','S JOSÉ','SC','124243241216321431658814475122610162042',12413,'1078',41.13,1,3,NULL),(28,7075790,'1994-06-28 00:00:00',4,1,11,2011,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215111431446713575124610116141',7960,'270',50.17,1,3,NULL),(28,7075804,'1995-01-25 00:00:00',4,1,12,2012,'M','S','MONTE CRISTO','FLORIANÓPOLIS','SC','624241241117141431633654245124610147092',NULL,'733',33.42,1,3,NULL),(28,7075812,'1989-02-13 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124163161116373511539911245114222931103',NULL,'9998',0.00,1,3,NULL),(28,7075839,'1992-08-21 00:00:00',4,23,12,2009,'F','N','PRADO VELHO','CURITIBA','PR','116161161116271451326632245124142834017',3197,'9998',58.01,1,2,1),(28,7075847,'1994-03-07 00:00:00',4,6,12,2011,'F','N','BARRA DO RIO','ITAJAÍ','SC','124242241215372431679813574124610122142',2230,'392',63.34,1,3,NULL),(28,7075863,'1994-05-04 00:00:00',4,27,12,2011,'F','N','SÃO GOTARDO','S MIGUEL OESTE','SC','124242241215141731459833345122610142012',11262,'1179',41.16,1,3,NULL),(28,7075871,'1993-10-26 00:00:00',4,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124242241216272431437923575124610147142',2981,'1078',61.75,1,3,NULL),(28,7075880,'1993-03-03 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241235272431476513385124610124142',8249,'9997',49.67,1,3,NULL),(28,7075898,'1994-08-24 00:00:00',4,7,12,2011,'M','N','FLOR DA SERRA','JOAÇABA','SC','124242241215371411469933575112610164172',684,'962',68.73,1,3,NULL),(28,7075901,'1993-03-21 00:00:00',2,4,12,2010,'F','N','PETRÓPOLIS','CAXIAS SUL','RS','120201201116572431447634574124610165142',10011,'9998',45.54,1,2,1),(28,7075910,'1991-08-06 00:00:00',4,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124163247211371431438923495122230817042',NULL,'9999',29.34,1,3,NULL),(28,7075928,'1994-04-08 00:00:00',4,1,11,2011,'F','N','JUVEVE','CURITIBA','PR','116162161217111711246832572122610124146',NULL,'9998',0.00,1,3,NULL),(28,7075936,'1994-06-13 00:00:00',4,8,12,2011,'M','N','FLORESTA','JOINVILLE','SC','124242241217371431348837575124610132052',9593,'459',46.23,1,3,NULL),(28,7075944,'1994-05-02 00:00:00',4,1,11,2011,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215472411469932595122610147072',4133,'262',59.61,1,3,NULL),(28,7075952,'1994-02-16 00:00:00',4,10,12,2011,'M','N','STO ANTONIO DE PADUA','TUBARÃO','SC','124242246215111431446419595122610137072',13991,'1120',39.25,1,3,NULL),(28,7075960,'1992-06-07 00:00:00',2,8,12,2009,'F','N','CACHOEIRA','ALM TAMANDARÉ','PR','116161161115571431456812575114610123197',386,'9998',76.34,1,2,1),(28,7075979,'1994-07-08 00:00:00',4,1,12,2011,'M','N','CENTRO','CPO MOURÃO','PR','116162161216111431478813575122610137032',NULL,'9998',32.93,1,3,NULL),(28,7075987,'1994-04-26 00:00:00',2,10,11,2011,'M','N','CENTRO','TUBARÃO','SC','124164241215272431346832145121610122147',3160,'807',60.97,1,3,NULL),(28,7075995,'1986-10-30 00:00:00',3,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241217475431136639375124222242092',NULL,'270',0.00,1,3,NULL),(28,7076002,'1993-12-18 00:00:00',4,3,12,2010,'M','N','CENTRO','IMBITUVA','PR','116162161236472431469611572122610167047',1266,'9998',67.73,1,3,NULL),(28,7076010,'1992-04-27 00:00:00',4,1,11,2009,'F','N','CENTRO','S JOSÉ CAMPOS','SP','125272271215521431477812575125610162092',NULL,'9998',0.00,1,3,NULL),(28,7076029,'1983-09-17 00:00:00',4,1,12,2001,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124252251215573421128841411124333264097',168,'9998',75.86,1,3,NULL),(28,7076045,'1993-05-19 00:00:00',4,8,12,2010,'M','N','CENTRO','JOINVILLE','SC','124242241217572411579914572124610167062',NULL,'457',24.85,1,3,NULL),(28,7076061,'1994-11-10 00:00:00',4,2,12,2011,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241215272431469831575112610131182',16320,'909',43.07,1,3,NULL),(28,7076070,'1994-06-23 00:00:00',2,1,12,2011,'F','N','COPACABANA','UBERLÂNDIA','MG','113132131237171331448814441122610163126',6218,'9998',54.51,1,3,NULL),(28,7076088,'1992-07-11 00:00:00',2,1,12,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124243241115112431236634485114122234183',19550,'739',32.35,1,3,NULL),(28,7076096,'1992-05-07 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242247226472431446923475124610127187',17505,'9999',32.38,1,3,NULL),(28,7076100,'1993-12-02 00:00:00',4,1,12,2011,'M','N','VILA NOVA','BLUMENAU','SC','124242241217272431377714575124610127052',512,'87',71.81,1,3,NULL),(28,7076126,'1992-04-27 00:00:00',4,6,12,2009,'F','N','CENTRO','NAVEGANTES','SC','124161241115371421328521342125131026172',15734,'401',32.78,1,2,1),(28,7076134,'1995-02-15 00:00:00',4,8,12,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241216121431377929575122610164143',NULL,'1016',34.97,1,3,NULL),(28,7076142,'1993-02-19 00:00:00',4,1,12,2010,'M','N','CENTRO','MARINGÁ','PR','115162161215472421479811575122610137012',NULL,'9998',0.00,1,3,NULL),(28,7076150,'1994-08-17 00:00:00',4,7,11,2011,'M','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241215132431336614575122610127052',NULL,'454',11.77,1,3,NULL),(28,7076169,'1994-01-28 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117371431656632575124610124147',11983,'292',44.98,1,2,1),(28,7076177,'1991-01-09 00:00:00',2,1,6,2010,'M','N','NOVA BELEM','PAULO LOPES','SC','124241246115272431536923375124610168142',6514,'306',53.42,1,2,1),(28,7076185,'1992-12-18 00:00:00',4,1,12,2010,'M','N','CENTRO','OSASCO','SP','125256251615471431459614575124610164182',573,'9998',74.22,1,3,NULL),(28,7076193,'1992-05-25 00:00:00',4,1,12,2009,'M','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251216572411379633575112610147042',1017,'9998',67.87,1,3,NULL),(28,7076207,'1993-10-09 00:00:00',4,1,12,2010,'F','N','SANTA FÉ','CPO GRANDE','MS','112122121215472431569834575122610167142',500,'9998',72.94,1,3,NULL),(28,7076215,'1994-01-09 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241217111431369923575125610124047',9642,'883',54.30,1,3,NULL),(28,7076231,'1994-05-11 00:00:00',4,6,12,2011,'F','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','124241241147161431313364571324610146047',16440,'873',32.29,1,2,1),(28,7076240,'1993-07-14 00:00:00',4,1,12,2010,'F','N','UNIVERSITARIO','VIDEIRA','SC','124212241215471431358814575124610127042',3924,'969',64.61,1,3,NULL),(28,7076258,'1993-05-10 00:00:00',2,1,10,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241211112431346633595122610163077',NULL,'737',21.82,1,3,NULL),(28,7076266,'1992-12-04 00:00:00',4,6,12,2010,'M','N','FAZENDA','ITAJAÍ','SC','124244241415272431258823375114610162142',3776,'112',61.98,1,3,NULL),(28,7076274,'1994-07-13 00:00:00',4,6,12,2011,'F','N','CENTRO','ITAJAÍ','SC','124242241215471431468834575112610124127',NULL,'1026',0.00,1,3,NULL),(28,7076282,'1993-05-09 00:00:00',2,1,11,2010,'F','N','BAIRRO PETRÓPOLIS','PTO ALEGRE','RS','124243241215472751459913592122610137141',NULL,'270',38.43,1,3,NULL),(28,7076290,'1992-06-10 00:00:00',2,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116271431436613295124230817067',11813,'267',44.28,1,2,1),(28,7076304,'1991-01-03 00:00:00',4,1,12,2009,'F','N','INDIANÓPOLIS','S PAULO','SP','125252251215571441268821571122610132043',NULL,'9998',0.00,1,3,NULL),(28,7076312,'1992-12-31 00:00:00',5,1,5,2011,'M','N','PRADO','BELO HORIZONTE','MG','113132137111471211237823471124610116177',NULL,'9998',0.00,2,3,NULL),(28,7076320,'1993-11-01 00:00:00',2,1,12,2010,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241215372431436313572114610163072',NULL,'1197',50.47,1,3,NULL),(28,7076347,'1992-04-07 00:00:00',2,1,6,2011,'F','N','SANTO ANT DE LISBOA','FLORIANÓPOLIS','SC','124241246117472431426513572124610127057',11274,'306',43.68,4,2,1),(28,7076355,'1987-06-08 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124224221217371431437722482114340852042',7983,'9998',48.70,4,3,NULL),(28,7076363,'1991-06-18 00:00:00',4,1,12,2008,'M','N','SETOR AEROPORTO','GOIÂNIA','GO','109092091217573431679811571122610167117',469,'9998',72.65,1,3,NULL),(28,7076371,'1993-04-30 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241311132431439811295124231964011',4235,'1048',57.93,1,3,NULL),(28,7076380,'1994-08-11 00:00:00',2,1,12,2011,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124242244435131431335623295124610134052',NULL,'731',15.44,1,3,NULL),(28,7076410,'1995-08-05 00:00:00',2,4,12,2011,'M','N','CENTRO','PINHALZINHO','SC','124241241116371431444634575122610124142',7768,'616',51.03,1,2,1),(28,7076428,'1993-08-27 00:00:00',4,8,12,2010,'F','N','COLÔNIA HOLANDESA','ARAPOTI','PR','116282281217471532586915575124610164096',NULL,'9998',0.00,1,3,NULL),(28,7076436,'1993-10-22 00:00:00',2,7,12,2010,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241215472431436835572125610111182',NULL,'962',0.00,1,3,NULL),(28,7076452,'1992-12-14 00:00:00',4,8,12,2011,'M','N','CABRAL','CURITIBA','PR','116164161415471631478614345124610114156',NULL,'9998',28.87,1,3,NULL),(28,7076460,'1994-08-06 00:00:00',4,1,11,2011,'M','N','BELA VISTA','S JOSÉ','SC','124242241215111431469813572122610137062',8919,'1118',47.59,4,3,NULL),(28,7076479,'1994-06-14 00:00:00',4,1,12,2011,'M','N','CABRALZINHO','MACAPÁ','AP','103032031217111732338823575112610126177',16042,'9998',43.62,1,3,NULL),(28,7076487,'1994-05-03 00:00:00',2,26,12,2011,'M','N','VILA ALTA','TANGARÁ SERRA','MT','111112111216111412566412275112610167042',NULL,'9998',0.00,1,3,NULL),(28,7076517,'1995-08-03 00:00:00',2,1,11,2010,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','624242241217111732359812276124610112142',18428,'270',37.54,1,3,NULL),(28,7076525,'1992-04-19 00:00:00',2,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241127271431223529145124610147187',18582,'290',36.97,1,2,1),(28,7076533,'1993-09-01 00:00:00',4,1,12,2010,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241241126132431423511172122133224142',NULL,'592',19.94,1,2,1),(28,7076541,'1987-08-06 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241113334131321144142124610168051',14279,'357',46.99,1,2,1),(28,7076550,'1993-05-01 00:00:00',2,1,12,2010,'M','N','NUCLEO BANDEIRANTE','NUC BANDEIRANTE','DF','107072071215471411689917572112610126126',8797,'9998',55.77,4,3,NULL),(28,7076576,'1994-04-06 00:00:00',4,1,11,2012,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241417151531356512575112610128095',NULL,'1022',31.16,1,3,NULL),(28,7076584,'1990-08-02 00:00:00',2,1,6,2008,'M','N','MOOCA','S PAULO','SP','125252257216141411478832345122243237047',NULL,'9998',35.52,1,3,NULL),(28,7076592,'1994-10-14 00:00:00',4,26,12,2011,'F','N','CENTRO','CONCÓRDIA','SC','124241241111271751356313575125610124142',NULL,'194',17.20,1,2,1),(28,7076606,'1994-09-05 00:00:00',4,4,12,2011,'M','N','PALMITAL','CHAPECÓ','SC','124242241217371431469931572122610164172',NULL,'185',0.00,1,3,NULL),(28,7076614,'1994-07-19 00:00:00',4,15,11,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124242241215271431436712575123610137147',1683,'970',65.03,1,3,NULL),(28,7076649,'1991-01-20 00:00:00',4,8,12,2008,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215374411349932471125121531182',3869,'1063',64.79,1,3,NULL),(28,7076665,'1994-12-23 00:00:00',2,1,11,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431433714345124610163182',14814,'259',37.17,1,3,NULL),(28,7076673,'1990-09-01 00:00:00',2,1,11,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124173171235331431218611316114141427117',18150,'9998',38.42,1,3,NULL),(28,7076681,'1985-01-29 00:00:00',2,1,7,2007,'M','N','CAMPINAS','S JOSÉ','SC','124241247137141431435823432124610167167',15979,'9999',43.72,1,2,1),(28,7076690,'1994-09-06 00:00:00',4,1,12,2011,'F','N','SÃO BRAZ','CURITIBA','PR','116161161117271731568833575124610137182',NULL,'9998',0.00,1,2,1),(28,7076703,'1993-07-22 00:00:00',4,8,12,2010,'F','N','FLORESRA','JOINVILLE','SC','124242241215472411359614575112610117142',NULL,'459',0.00,1,3,NULL),(28,7076711,'1994-10-24 00:00:00',2,8,12,2011,'F','N','PAULAS','S FRANCISCO SUL','SC','124241246215111331424418595124610136057',NULL,'1105',0.00,1,3,NULL),(28,7076720,'1994-08-01 00:00:00',2,15,12,2011,'F','N','MATO ALTO','ARARANGUÁ','SC','124241241115371411323615295124610126142',14618,'29',38.22,1,2,1),(28,7076738,'1992-07-14 00:00:00',4,3,12,2009,'F','N','AUXILIADORA','PTO ALEGRE','RS','120202201217151431458914175124242537147',NULL,'9998',0.00,1,3,NULL),(28,7076746,'1994-10-25 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124244241415121531546611592122610164097',18857,'210',35.86,1,3,NULL),(28,7076754,'1992-07-27 00:00:00',4,1,12,2009,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215172431258612375122233261143',15835,'1169',44.02,1,3,NULL),(28,7076770,'1993-11-10 00:00:00',4,24,12,2011,'F','N','BREMER','RIO SUL','SC','124241241114371431623414345124510141047',NULL,'659',11.22,1,2,1),(28,7076797,'1991-09-21 00:00:00',4,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124242243215273441546832215132130722092',12264,'129',50.14,1,3,NULL),(28,7076800,'1992-02-17 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244245337141431458923245124610122145',NULL,'307',21.96,2,1,2),(28,7076819,'1976-03-20 00:00:00',2,1,11,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224141141122131421331343132123140914042',NULL,'9998',30.47,2,2,1),(28,7076827,'1990-07-16 00:00:00',2,8,12,2007,'F','N','VILA NOVA','JOINVILLE','SC','124241241116131731331119442124610113157',18467,'473',37.40,1,2,1),(28,7076843,'1993-09-28 00:00:00',4,24,11,2010,'F','N','CANOAS','RIO SUL','SC','124242241215472431447612575122610126012',10160,'991',53.46,1,3,NULL),(28,7076851,'1994-05-04 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241235111431329913575124610151075',16691,'262',35.41,1,3,NULL),(28,7076894,'1995-03-10 00:00:00',4,1,12,2011,'M','N','CAMBUCI','S PAULO','SP','125252251217371432668836575222610147186',3263,'9998',60.12,3,3,NULL),(28,7076916,'1993-09-22 00:00:00',2,6,12,2010,'M','N','JD DONA MARIA','PITANGA','PR','116161161216152451436631572144241464092',6288,'9998',53.38,1,3,NULL),(28,7076924,'1968-03-18 00:00:00',4,1,12,1985,'M','N','TAPERA','FLORIANÓPOLIS','SC','224241248112133411544643432122321267127',17472,'521',40.37,2,1,1),(28,7076940,'1994-08-25 00:00:00',4,1,12,2011,'M','N','SANTA CRUZ','CUIABÁ','MT','111112111215111431548911452112610164017',3366,'9998',57.79,3,3,NULL),(28,7076959,'1994-03-11 00:00:00',2,8,12,2011,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241137271331424619346124610133141',8913,'483',55.57,1,2,1),(28,7076967,'1988-06-16 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241247124472421634679231114610167091',6982,'9999',53.89,1,2,1),(28,7076975,'1990-05-10 00:00:00',2,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124241241126132731556419445124610164142',NULL,'591',37.49,1,2,1),(28,7076983,'1993-04-12 00:00:00',2,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241217273431533312375124610126042',11999,'1223',46.70,1,3,NULL),(28,7077009,'1991-11-15 00:00:00',2,1,12,2009,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241117373431433621395124231437147',10738,'288',47.89,1,2,1),(28,7077017,'1994-12-27 00:00:00',4,9,12,2011,'F','N','CENTRO','SALTO JACUÍ','RS','120201201116151431333432215122610124147',NULL,'9998',0.00,1,2,1),(28,7077033,'1993-05-14 00:00:00',4,5,11,2010,'M','N','COND EU','ORLEANS','SC','124242241215471431558932575122610164187',5427,'226',55.37,1,3,NULL),(28,7077041,'1994-05-08 00:00:00',2,1,12,2011,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124241241215111411336621395124610138072',NULL,'259',28.78,1,3,NULL),(28,7077050,'1992-09-05 00:00:00',2,8,12,2009,'M','N','BAIRRO ALTO','CURITIBA','PR','116161161136271711441824285124610164197',7794,'9998',57.49,1,2,1),(28,7077068,'1993-03-31 00:00:00',2,15,12,2010,'F','N','SOCOPAS','BAL ARROIO SILVA','SC','124241242116131331326416275124610124052',NULL,'690',24.08,1,2,1),(28,7077076,'1987-02-08 00:00:00',2,4,1,2004,'F','N','BARREIROS','S JOSÉ','SC','124243241416575431225529195124321361147',16601,'1022',42.42,1,3,NULL),(28,7077084,'1994-07-04 00:00:00',4,6,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241215271432449632574122610137177',4193,'1038',60.33,1,3,NULL),(28,7077092,'1994-04-07 00:00:00',2,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215131431436619375124610147067',12454,'1197',41.82,1,3,NULL),(28,7077106,'1992-03-21 00:00:00',2,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115472431536711445124610127113',7863,'307',52.19,1,2,1),(28,7077114,'1992-04-29 00:00:00',4,5,12,2009,'F','N','CENTRO','NOVA VENEZA','SC','124242241217271631226923571122131417077',19015,'995',35.28,1,3,NULL),(28,7077130,'1992-12-18 00:00:00',4,1,11,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216272432366733575122233267047',18556,'1133',32.16,1,3,NULL),(28,7077149,'1994-10-10 00:00:00',4,3,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215371431344912575122610132042',5758,'967',55.95,1,3,NULL),(28,7077165,'1990-05-04 00:00:00',4,1,12,2007,'F','N','JARDIM FLÓRIDA','JACAREÍ','SP','125252251215574411469613572122610162092',775,'9998',70.60,1,3,NULL),(28,7077181,'1994-02-10 00:00:00',2,1,12,2011,'M','N','SERTÃO DO IMARUI','S JOSÉ','SC','124241241147271731533314345124610123042',NULL,'733',30.47,1,2,1),(28,7077190,'1985-09-14 00:00:00',4,1,12,2002,'M','N','FORQUILHINHAS','S JOSÉ','SC','124161161116131411126644242123610134012',17121,'9998',41.21,4,3,NULL),(28,7077203,'1990-04-25 00:00:00',2,1,12,2007,'F','N','BOSQUE DA SAUDE','S PAULO','SP','125252251211572432558623275114610167093',5967,'9998',51.68,1,3,NULL),(28,7077211,'1980-12-06 00:00:00',4,1,12,1998,'M','N','GUARUJA PARK','TRINDADE','GO','109091093116151431233349292112142934047',8482,'9998',47.42,4,3,NULL),(28,7077220,'1993-02-25 00:00:00',4,1,12,2010,'F','N','PARQUE JAMBEIRO','CAMPINAS','SP','125251256116471431336834575124610134182',NULL,'9998',0.00,1,2,1),(28,7077246,'1984-09-17 00:00:00',4,1,9,2009,'M','N','CAMPINAS','S JOSÉ','SC','224241247136151411333344245122230717042',NULL,'732',20.57,1,2,1),(28,7077262,'1993-05-25 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215372431468813575114610122197',3227,'1169',60.43,1,3,NULL),(28,7077270,'1994-07-09 00:00:00',4,3,11,2011,'F','N','CENTRO','ITAPEMA','SC','124242241215371751257724575122610162096',4299,'403',57.09,1,3,NULL),(28,7077378,'1994-06-26 00:00:00',2,10,12,2011,'M','N','PROGRESSO','LAGUNA','SC','124242241225271431338713382125610137052',7335,'524',53.96,1,3,NULL),(28,7077386,'1991-10-28 00:00:00',4,1,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241316574421566832575124233262182',17409,'192',40.51,4,3,NULL),(28,7077394,'1990-02-03 00:00:00',3,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124114111216114751321429595124242862182',NULL,'9998',6.00,1,3,NULL),(28,7077408,'1993-05-04 00:00:00',2,8,12,2010,'M','N','PQ CIRAS','ITAPEVI','SP','125251251116571441526611585115610164047',NULL,'9998',28.84,1,2,1),(28,7077416,'1973-11-19 00:00:00',4,1,12,1991,'M','N','ESTREITO','FLORIANÓPOLIS','SC','624251251127471721243343235124341727045',6647,'9998',59.44,1,3,NULL),(28,7077432,'1992-10-24 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202241215372431338812175114133225147',9487,'270',51.00,1,3,NULL),(28,7077440,'1988-03-25 00:00:00',4,1,12,2007,'M','N','COLONIAL','S BENTO SUL','SC','124241241116151751236723192124231061027',NULL,'697',0.00,1,2,1),(28,7077467,'1992-10-27 00:00:00',1,1,10,2011,'F','N','MARGON','CATALÃO','GO','109092257436141441358711415124610114197',8726,'9998',55.88,1,3,NULL),(28,7077475,'1993-07-19 00:00:00',2,1,10,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124203247215371431166622374114610132012',NULL,'9999',0.00,1,3,NULL),(28,7077491,'1994-07-21 00:00:00',4,3,12,2011,'M','N','VALE DAS ARAUCÁRIAS','LONDRINA','PR','116162161216121431469934575122610134047',4651,'9998',53.45,1,3,NULL),(28,7077513,'1991-08-23 00:00:00',4,1,12,2009,'M','N','VILA CAMPACCI','LARANJAL PAULISTA','SP','125252251215471731347619575122610127052',2717,'9998',60.38,1,3,NULL),(28,7077530,'1993-08-27 00:00:00',5,1,12,2011,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243248117151431547614373124610136142',2610,'306',65.14,1,3,NULL),(28,7077556,'1978-06-10 00:00:00',4,1,12,1997,'F','N','REAL PARQUE','S JOSÉ','SC','224241243116131721331144245234610133072',NULL,'293',13.39,1,3,NULL),(28,7077564,'1989-04-30 00:00:00',2,1,9,2007,'F','N','ARIRÚ','PALHOÇA','SC','124241241116371431533319345134610126142',17782,'739',39.52,1,3,NULL),(28,7077572,'1991-07-29 00:00:00',2,1,11,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241112132411211129381124610136147',NULL,'298',31.81,1,2,1),(28,7077599,'1994-02-01 00:00:00',4,1,12,2010,'F','N','ZONA NORTE','CAPÃO CANOA','RS','120202201417471731337734241114610164197',8311,'9998',50.60,1,3,NULL),(28,7077602,'1993-10-31 00:00:00',2,24,12,2011,'F','N','CIDADE ALTA','TROMBUDO CENTRAL','SC','124241241137271431324824575124610134177',18703,'796',27.94,1,2,1),(28,7077610,'1989-05-29 00:00:00',4,1,11,2006,'F','N','BOSQUE DA SAUDE','S PAULO','SP','125252251217472411368713575112233224182',NULL,'9998',0.00,1,3,NULL),(28,7077629,'1994-04-27 00:00:00',4,1,12,2011,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241126141431523539331134610123147',18485,'594',27.02,1,2,1),(28,7077637,'1991-03-16 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241216374431344631295124222962062',3450,'270',61.17,1,3,NULL),(28,7077661,'1990-09-24 00:00:00',2,4,11,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124244241216575731426435375124131043147',468,'995',72.87,1,3,NULL),(28,7077670,'1993-09-09 00:00:00',4,1,10,2011,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','122222251236111441488913495112610127052',3885,'9998',58.74,1,3,NULL),(28,7077688,'1994-09-17 00:00:00',4,15,12,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241145131731425624245132610134192',NULL,'30',0.00,1,2,1),(28,7077700,'1993-07-08 00:00:00',4,1,12,2010,'M','N','SAMAMBAIA','BAURU','SP','125252251217471431578831575122610167187',48,'9998',82.32,1,3,NULL),(28,7077734,'1991-11-25 00:00:00',4,4,12,2008,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241137271431226619345125131434187',18702,'182',36.46,1,2,1),(28,7077777,'1990-11-06 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241317152421456918345124230727067',16074,'1022',43.55,4,3,NULL),(28,7077785,'1992-07-29 00:00:00',2,22,12,2009,'F','N','DOM JOAQUIM','BRUSQUE','SC','124241241146131431423629295124231023182',19373,'114',33.52,1,2,1),(28,7077793,'1993-02-06 00:00:00',2,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241211372431438913341114610167061',17565,'989',33.74,1,3,NULL),(28,7077807,'1967-01-10 00:00:00',4,1,12,1984,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241246216153441176641415132321066091',9268,'70',54.95,1,3,NULL),(28,7077823,'1993-12-08 00:00:00',4,1,12,2011,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251217111441348834575122610143073',5149,'9998',55.72,1,3,NULL),(28,7077840,'1993-09-28 00:00:00',4,1,12,2011,'M','N','IPANEMA','RIO JANEIRO','RJ','121212211217171531488831472115610167046',5941,'9998',53.19,1,3,NULL),(28,7077858,'1994-06-27 00:00:00',4,3,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241216131431458911575124610124112',8656,'1086',48.24,1,3,NULL),(28,7077866,'1993-03-05 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241235372431357721496124230268095',2498,'1022',64.21,1,3,NULL),(28,7077874,'1991-01-03 00:00:00',2,24,12,2008,'F','N','CENTRO','LONTRAS','SC','124243241415575731326923595124610124097',6194,'991',54.44,1,3,NULL),(28,7077882,'1992-10-18 00:00:00',4,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','116162241215372431269833575122610163146',13479,'270',48.28,1,3,NULL),(28,7077904,'1994-10-26 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124243241116371431534434575124610117143',14321,'733',46.91,1,3,NULL),(28,7077912,'1990-08-23 00:00:00',4,24,12,2007,'F','N','CAMPO DAS FLORES','IMBUIA','SC','124241241125574431323325175124130267047',987,'364',70.12,1,2,1),(28,7077920,'1990-04-24 00:00:00',2,1,12,2007,'M','N','REAL PARQUE','S JOSÉ','SC','124241241131131411423314341134610127042',14395,'730',37.16,1,2,1),(28,7077939,'1993-11-05 00:00:00',4,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215473431328824574124610127147',67,'213',82.21,1,3,NULL),(28,7077947,'1990-04-17 00:00:00',2,8,12,2007,'F','N','ATIRADORES','JOINVILLE','SC','124161161126131711223311142334140222187',19063,'9998',35.05,1,2,1),(28,7077955,'1993-04-15 00:00:00',4,1,12,2010,'M','N','ÁGUAS CLARAS','TAGUATINGA','DF','107201071216371231346821475125610137082',452,'9998',74.79,1,3,NULL),(28,7077971,'1988-02-22 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216372231458834315124331267142',8214,'1098',56.76,1,3,NULL),(28,7077980,'1992-11-11 00:00:00',4,1,8,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242243116371431468934375124610136181',6141,'306',54.61,1,3,NULL),(28,7078005,'1993-07-27 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116131431621314342114610134045',18376,'281',37.72,1,2,1),(28,7078013,'1993-06-28 00:00:00',4,1,11,2010,'F','N','SÃO BERNARDO','TUBARÃO','SC','124242241235372431437811375124120664041',1285,'806',68.63,1,3,NULL),(28,7078021,'1994-01-21 00:00:00',4,1,6,2011,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124243241115371531543739595124610123141',7057,'739',52.22,1,3,NULL),(28,7078056,'1991-08-20 00:00:00',2,1,12,2008,'F','N','FATIMA','OTACÍLIO COSTA','SC','124241248127141751433319295124230227092',NULL,'583',0.00,1,3,NULL),(28,7078072,'1993-09-28 00:00:00',4,1,11,2010,'M','N','CENTRO','S JOSÉ R PRETO','SP','125252251216471431438813575115610123182',NULL,'9998',0.00,1,3,NULL),(28,7078080,'1993-05-06 00:00:00',2,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124243241115272431446514395124610111192',4929,'1076',56.45,1,3,NULL),(28,7078099,'1986-02-23 00:00:00',4,1,12,2003,'F','N','CAMPOLIM','SOROCABA','SP','125252251215571711478821573122142464121',NULL,'9998',0.00,1,3,NULL),(28,7078102,'1993-05-21 00:00:00',4,9,11,2010,'F','N','CENTRO','CURITIBANOS','SC','124242161216474431356932572122610127097',NULL,'9998',0.00,1,3,NULL),(28,7078129,'1991-04-10 00:00:00',4,27,12,2008,'M','N','CENTRO','STA HELENA','PR','116161161216151411646636575121240344173',NULL,'9998',0.00,1,3,NULL),(28,7078137,'1994-01-10 00:00:00',2,24,12,2011,'F','N','RIO DA PRATA','RIO CAMPO','SC','124241242115131431426339295124610167057',17928,'1222',29.86,1,2,1),(28,7078161,'1957-06-21 00:00:00',2,1,12,1975,'F','N','CENTRO','BIGUAÇU','SC','224241245231132731551659331334332726142',20109,'266',26.05,1,3,NULL),(28,7078170,'1991-09-12 00:00:00',5,1,11,2010,'F','N','PEDRA BRANCA','PALHOÇA','SC','124214211416371431446632481114142664097',NULL,'1011',28.36,1,3,NULL),(28,7078188,'1977-07-17 00:00:00',4,1,12,1996,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224243247412134121233354342124610164144',NULL,'9999',20.51,4,3,NULL),(28,7078196,'1991-05-29 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124201201116372431643611245134610143072',10459,'9998',52.98,1,2,1),(28,7078200,'1990-11-24 00:00:00',2,9,12,2008,'M','N','VALVERDE','VERANÓPOLIS','RS','120201201137471431446612375124141437042',10138,'9998',41.77,1,2,1),(28,7078218,'1992-07-28 00:00:00',2,25,12,2009,'F','N','FIGUEROA','CAÇADOR','SC','124241241116571431425611575124231466157',13799,'124',38.76,1,2,1),(28,7078226,'1988-05-24 00:00:00',4,1,12,2005,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241121271731333344345122610162142',17372,'294',40.60,1,2,1),(28,7078234,'1991-06-05 00:00:00',2,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124241241137473431324414215124610127112',10333,'732',46.08,1,2,1),(28,7078242,'1992-01-13 00:00:00',4,8,12,2009,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241217311411344632375124231416111',NULL,'456',0.00,1,3,NULL),(28,7078250,'1986-03-30 00:00:00',2,1,12,2003,'F','N','MORADA DO OURO','CUIABÁ','MT','111112111216572431679913575124610128047',3845,'9998',59.20,1,3,NULL),(28,7078269,'1993-10-21 00:00:00',2,9,12,2010,'F','N','CAPISTRANO','BOM RETIRO','SC','124243241142372431438923375125610112187',13304,'95',40.24,1,3,NULL),(28,7078277,'1993-02-02 00:00:00',4,1,12,2009,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241116142421246923245124133238117',NULL,'772',14.36,1,3,NULL),(28,7078285,'1987-02-20 00:00:00',4,1,12,2004,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124241241126141421123344245234130824047',NULL,'189',30.56,1,3,NULL),(28,7078315,'1994-07-04 00:00:00',2,26,12,2011,'M','N','CENTRO','VIADUTOS','RS','120201201117271731456713291124610127052',4243,'9998',56.60,1,2,1),(28,7078323,'1993-09-03 00:00:00',4,1,12,2011,'F','N','VILA ITAPURA','CAMPINAS','SP','125252251216111431469814571122610124147',NULL,'9998',24.01,1,3,NULL),(28,7078382,'1990-12-01 00:00:00',4,27,12,2007,'M','N','CENTRO','MARAVILHA','SC','124241241116141521534532545134133248082',NULL,'552',24.81,1,2,1),(28,7078390,'1989-08-21 00:00:00',4,1,12,2006,'M','N','VILA ZIZINHA','S JOSÉ CAMPOS','SP','125254251116571731128647475121143217187',393,'9998',71.85,4,3,NULL),(28,7078404,'1989-04-03 00:00:00',4,4,12,2007,'F','N','SANTA MARIA','CHAPECÓ','SC','124241241136131431223624396124233215193',19938,'175',28.89,1,3,NULL),(28,7078420,'1991-11-20 00:00:00',4,4,12,2008,'F','N','BELA VISTA','PINHALZINHO','SC','624241241112574731229979392125610143147',2101,'174',66.18,1,2,1),(28,7078439,'1992-03-15 00:00:00',2,3,12,2009,'M','N','CIDADE JARDIM','CPO GRANDE','MS','112122121217572431459833575112610167042',2344,'9998',65.04,1,3,NULL),(28,7078447,'1990-06-13 00:00:00',4,1,12,2008,'M','N','VILA DAS MERCES','S PAULO','SP','125252251216171712638831575124610167057',14066,'9998',38.23,2,1,2),(28,7078455,'1990-09-26 00:00:00',4,1,12,2008,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241211273211347819145114123268047',7322,'270',58.27,1,3,NULL),(28,7078471,'1992-12-26 00:00:00',4,8,12,2009,'F','N','JARDIM PALMEIRAS','S PAULO','SP','125252251215471431458812575124610136072',NULL,'9998',0.00,1,3,NULL),(28,7078498,'1992-05-12 00:00:00',4,1,12,2010,'F','N','BARRIEIROS','S JOSÉ','SC','124244241315373431548823395124610125117',12895,'257',45.46,1,3,NULL),(28,7078501,'1982-06-29 00:00:00',4,4,1,2001,'M','N','MEDIANEIRA','PTO ALEGRE','RS','120203201317571751343823385114140762017',698,'9998',68.46,1,3,NULL),(28,7078510,'1992-05-09 00:00:00',4,8,12,2009,'M','N','COSTA E SILVA','JOINVILLE','SC','124122121416372441233532374124610134197',13675,'9998',47.92,1,3,NULL),(28,7078528,'1991-03-13 00:00:00',4,8,12,2007,'M','N','IGUATEMI','MARINGÁ','PR','116161161117271741534912145122541432012',NULL,'9998',0.00,1,2,1),(28,7078536,'1992-07-03 00:00:00',4,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124082161216573431368923575124131063187',3422,'9998',60.28,1,3,NULL),(28,7078544,'1993-10-03 00:00:00',4,9,12,2010,'F','N','CORAL','LAGES','SC','124244241216272411526632275122610164142',7682,'1028',51.04,1,3,NULL),(28,7078579,'1988-12-10 00:00:00',4,1,12,2005,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','110254111342275411465611272124122222147',10778,'9998',52.47,1,3,NULL),(28,7078587,'1993-06-29 00:00:00',2,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431436514575122610136072',17381,'737',40.59,1,3,NULL),(28,7078609,'1993-06-03 00:00:00',4,1,12,2010,'M','N','VILA MEDON','AMERICANA','SP','125252251215471411456819575112610126092',759,'9998',72.00,1,3,NULL),(28,7078617,'1993-06-20 00:00:00',2,22,12,2010,'F','N','CENTRO','BRUSQUE','SC','124243241215471431456612575122610138142',11225,'107',51.74,1,3,NULL),(28,7078650,'1990-04-09 00:00:00',4,1,12,2008,'M','N','JARDIM VILA FORMOSA','S PAULO','SP','125251251117131421333923345124343267057',NULL,'9998',0.00,4,2,1),(28,7078668,'1993-06-28 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124161161435372411434523375124610166117',11922,'9998',39.27,4,3,NULL),(28,7078676,'1989-11-08 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241217372431548931572122610164182',NULL,'32',0.00,1,3,NULL),(28,7078684,'1991-03-22 00:00:00',4,8,12,2008,'F','N','SANTA CATARINA','JOINVILLE','SC','124242241216573431436632572114133266042',5,'459',85.10,1,3,NULL),(28,7078706,'1994-03-04 00:00:00',4,5,12,2011,'M','N','PIO CORREA','CRICIÚMA','SC','124242241216122431579934575122610124172',1519,'226',66.89,1,3,NULL),(28,7078714,'1994-03-29 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241135141431636829312124610137042',18183,'257',38.35,1,2,1),(28,7078730,'1994-02-02 00:00:00',4,22,12,2011,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241146131231434314235125610115127',NULL,'712',0.00,1,2,1),(28,7078749,'1989-02-25 00:00:00',2,1,12,2006,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124201201127133741135944445134140223142',NULL,'9998',21.04,1,3,NULL),(28,7078765,'1994-03-27 00:00:00',2,1,12,2010,'F','N','CENTRO','TORRES','RS','120203201417471431226829571125610127057',NULL,'9998',36.77,1,3,NULL),(28,7078773,'1991-06-14 00:00:00',2,1,12,2008,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124244241111373431539414441124610123142',14350,'281',42.01,1,3,NULL),(28,7078790,'1991-03-20 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241216373431535531475124231262112',5377,'299',59.12,4,3,NULL),(28,7078811,'1994-09-25 00:00:00',4,7,11,2011,'F','N','CENTRO','CATANDUVAS','SC','124241241215471431434832575124610148152',7121,'962',53.41,1,3,NULL),(28,7078820,'1994-11-27 00:00:00',4,10,12,2011,'F','N','CENTRO','GRAVATAL','SC','124241241137371421546913375124610114142',10248,'331',45.27,1,2,1),(28,7078838,'1973-04-26 00:00:00',2,1,12,1990,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','224241243126132431256643232112320236187',NULL,'257',45.16,1,2,1),(28,7078846,'1987-01-24 00:00:00',2,7,12,2003,'F','N','CENTRO','TANGARÁ','SC','124241241116272421136643432122331364147',7076,'314',50.57,1,3,NULL),(28,7078854,'1995-03-29 00:00:00',4,16,12,2011,'F','N','AGUA SANTA','CURITIBANOS','SC','124241242117161411323524572224610136172',NULL,'741',26.15,1,2,1),(28,7078870,'1994-04-05 00:00:00',1,2,12,2011,'F','N','CENTRO','POMERODE','SC','124242241215111531327831575122610138182',15847,'624',35.52,1,3,NULL),(28,7078897,'1990-10-30 00:00:00',2,22,12,2008,'F','N','RIBANCEIRA DO SIL','S JOÃO BATISTA','SC','124241241126141431433823245123230623142',17150,'712',31.16,1,2,1),(28,7078900,'1985-02-05 00:00:00',4,1,12,2010,'F','N','CENTRO','MTE APRAZÍVEL','SP','125251251116261451434823475124610124172',1692,'9998',63.63,1,2,1),(28,7078927,'1986-04-28 00:00:00',4,1,12,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624242241211574431238871491224132567092',18395,'270',37.67,1,3,NULL),(28,7078935,'1988-09-05 00:00:00',3,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215273521367631445122321422197',2565,'362',68.07,1,3,NULL),(28,7078943,'1993-11-11 00:00:00',2,10,12,2011,'F','N','DEHON','TUBARÃO','SC','124242241414271431437932575122610114082',NULL,'800',25.52,4,3,NULL),(28,7078960,'1990-08-30 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241312372411113644342134132526147',9951,'9997',46.87,1,3,NULL),(28,7078978,'1992-08-06 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241145374431436613275124610134027',16997,'1248',41.55,1,2,1),(28,7078986,'1993-07-21 00:00:00',2,1,12,2011,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124253241625131431646914571324610137042',16568,'9997',34.02,1,3,NULL),(28,7078994,'1993-09-19 00:00:00',2,5,12,2010,'F','N','CENTRO','MRO FUMAÇA','SC','124242241215472431458932294122131427142',7177,'226',58.52,1,3,NULL),(28,7079001,'1991-12-03 00:00:00',4,1,12,2008,'F','N','SANTA TERESA','S PEDRO ALCÂNTARA','SC','124244241217161431545612345124233037147',NULL,'1074',0.00,1,3,NULL),(28,7079028,'1982-01-29 00:00:00',2,8,11,2000,'F','N','BUTIATUVINHA','CURITIBA','PR','116161164115571711133943433112341331097',3545,'237',59.09,1,2,1),(28,7079036,'1993-12-04 00:00:00',2,1,12,2010,'M','N','FORQUILINHAS','S JOSÉ','SC','124242241215372211456614575114613247061',12609,'270',44.38,1,3,NULL),(28,7079044,'1993-07-20 00:00:00',2,4,12,2010,'M','N','CENTRO','PALMITOS','SC','124241241112162441223315592324231357142',18837,'526',35.93,1,3,NULL),(28,7079052,'1994-10-17 00:00:00',2,1,11,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244248415111431235321385124610132092',14238,'300',38.36,1,3,NULL),(28,7079095,'1988-06-28 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSÉ','SC','124241241115372431346744445123331363147',10161,'798',53.46,1,2,1),(28,7079133,'1992-05-16 00:00:00',4,1,12,2009,'F','N','JARDIM NOVA ALIANÇA','RIBEIRÃO PRETO','SP','125252251215472431369834575112610134142',3580,'9998',58.58,3,3,NULL),(28,7079150,'1990-03-21 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','224243241117272431524554471212610123147',11081,'1248',42.47,4,1,2),(28,7079192,'1993-09-11 00:00:00',4,8,12,2010,'M','N','PETROPOLIS','PTO ALEGRE','RS','120201201116472431337832595124610167052',2044,'9998',64.36,1,2,1),(28,7079206,'1990-12-24 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','120202201216232431334721285124143242091',13271,'9998',41.84,1,3,NULL),(28,7079214,'1979-02-05 00:00:00',4,1,12,1997,'M','N','SÃO JOÃO DO RIO VERM','FLORIANÓPOLIS','SC','224253251216111411479943435122342668085',13786,'9998',47.73,1,3,NULL),(28,7079222,'1987-10-25 01:00:00',4,1,12,2005,'F','N','JABAQUARA','S PAULO','SP','125254251215471411468813485114342062072',2742,'9998',59.41,1,3,NULL),(28,7079230,'1992-03-18 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241235373431478914475122133227042',7793,'270',57.49,1,3,NULL),(28,7079249,'1994-11-06 00:00:00',4,1,11,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','116242161217111431456819575122610162191',11512,'9998',41.75,4,3,NULL),(28,7079257,'1992-06-01 00:00:00',2,8,12,2009,'F','N','BOA VISTA','JOINVILLE','SC','116241161115571231537611485124610127141',NULL,'9998',0.00,1,2,1),(28,7079273,'1994-04-27 00:00:00',4,8,11,2011,'F','N','CENTRO','CASCAVEL','PR','116162161215111431489919574112610164126',NULL,'9998',0.00,1,3,NULL),(28,7079290,'1990-11-30 00:00:00',2,8,12,2008,'F','N','SAGUAÇU','JOINVILLE','SC','124243241116573431333822245124610125017',6984,'461',53.02,4,3,NULL),(28,7079303,'1967-02-25 00:00:00',4,1,12,1983,'F','N','CENTRO','FLORIANÓPOLIS','SC','424242246216154431336443335122223061092',NULL,'260',0.00,1,3,NULL),(28,7079311,'1993-08-13 00:00:00',2,1,1,2012,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241142371731428331585122610127082',14225,'295',38.67,1,2,1),(28,7079338,'1984-06-15 00:00:00',4,1,12,2002,'M','N','KOBRASOL','S JOSÉ','SC','124243248132332421123344244324130212187',11104,'177',42.87,1,3,NULL),(28,7079354,'1991-02-21 00:00:00',4,1,12,2009,'M','N','PRAINHA','FLORIANÓPOLIS','SC','124242241347141451424429345114610167084',19780,'307',30.43,1,3,NULL),(28,7079362,'1993-05-15 00:00:00',4,1,12,2011,'F','N','SÃO JOSÉ','GUAPORÉ','RS','120202201137471431346819291121610146057',NULL,'9998',0.00,4,3,NULL),(28,7079370,'1990-06-20 00:00:00',4,8,12,2007,'M','N','JARDIM KENNEDY','RIO CLARO','SP','124252251216154231375512285121221417041',12420,'9998',49.92,1,3,NULL),(28,7079389,'1992-09-11 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241112132531234722575124231027047',NULL,'288',8.95,1,2,1),(28,7079400,'1993-02-02 00:00:00',2,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241247416141431424624245114610122041',NULL,'9999',30.75,1,3,NULL),(28,7079427,'1986-12-28 00:00:00',4,1,7,2011,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241243622131431321179342114610112095',NULL,'9999',23.06,1,3,NULL),(28,7079443,'1983-02-16 00:00:00',2,1,12,2004,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241146141431124644442324610137047',NULL,'730',26.55,2,1,1),(28,7079451,'1960-12-08 00:00:00',2,1,8,1989,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','224241243322131411534132292112131633145',NULL,'9999',0.00,1,3,NULL),(28,7079478,'1984-07-10 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124253241137133411337631495124230532091',19790,'295',30.37,1,3,NULL),(28,7079486,'1990-12-01 00:00:00',3,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201241136271311426611345124610113185',NULL,'293',20.22,1,2,1),(28,7079494,'1993-08-03 00:00:00',4,8,12,2010,'F','N','AMERICA','JOINVILLE','SC','124242241215372731468613575114610167097',2156,'1105',63.56,4,3,NULL),(28,7079508,'1993-07-23 00:00:00',2,1,7,2011,'M','N','FLORESTA','S JOSÉ','SC','124243241316131431325623485124610127057',NULL,'739',20.53,1,3,NULL),(28,7079516,'1993-03-31 00:00:00',4,10,11,2010,'M','N','CENTRO','TUBARÃO','SC','124202241215472721368614575125610124182',1505,'807',68.64,1,3,NULL),(28,7079524,'1993-06-19 00:00:00',4,3,12,2010,'M','N','CENTRO','MARINGÁ','PR','116162161215272431479813574122610127042',1432,'9998',65.53,1,3,NULL),(28,7079540,'1991-05-17 00:00:00',2,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216133411438923285124221417062',10133,'962',43.32,1,3,NULL),(28,7079559,'1985-03-01 00:00:00',2,1,7,2003,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','624241241121131711633373442123133247047',NULL,'730',22.60,2,1,1),(28,7079567,'1988-01-14 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241247127271431124544245113610148017',13645,'9999',47.97,4,3,NULL),(28,7079575,'1993-05-16 00:00:00',2,1,12,2011,'M','N','PASSA VINTE','PALHOÇA','SC','124241241115151431633377575124610132182',NULL,'591',29.29,1,3,NULL),(28,7079583,'1992-09-21 00:00:00',4,4,12,2009,'F','N','CENTRO','PALMITOS','SC','124242241217474431368623275114231423182',11112,'1193',51.94,1,3,NULL),(28,7079591,'1994-03-05 00:00:00',4,1,11,2011,'F','N','PONTE PRETA','CAMPINAS','SP','125252251232141331467931312114610136147',NULL,'9998',0.00,1,3,NULL),(28,7079613,'1991-07-28 00:00:00',4,3,11,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124162111216574431558612575122230235182',10904,'9998',42.02,1,3,NULL),(28,7079621,'1994-02-16 00:00:00',4,1,12,2011,'F','N','JARDIM SANTA TERESA','JUNDIAÍ','SP','125252251215111431469931575122610123187',2785,'9998',61.20,1,3,NULL),(28,7079630,'1991-02-15 00:00:00',2,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241215133431327769445124221462162',15464,'738',44.76,1,3,NULL),(28,7079664,'1992-02-03 00:00:00',2,1,11,2009,'F','N','PINHEIRINHO','CURITIBA','PR','116161161346571751428533375114610144142',NULL,'9998',0.00,1,3,NULL),(28,7079672,'1984-07-04 00:00:00',4,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241146233431123344342134610132197',11198,'298',42.84,1,2,1),(28,7079680,'1993-02-16 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','624242241215372431588911575122610117182',8678,'270',55.95,1,3,NULL),(28,7079699,'1991-09-11 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116461441128321345124610152093',19058,'124',35.07,1,2,1),(28,7079702,'1992-04-18 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124244241216272431435711215122133237112',13502,'1078',48.24,1,3,NULL),(28,7079710,'1991-01-29 00:00:00',4,1,12,2009,'M','N','VILA MONTEIRO','PIRACICABA','SP','125252251215211431579913485122241462043',3328,'9998',60.16,1,3,NULL),(28,7079737,'1992-03-13 00:00:00',4,8,11,2010,'M','N','JARDIM SOFIA','JOINVILLE','SC','124241241116371421448514345112610124182',19256,'471',34.08,1,3,NULL),(28,7079745,'1992-02-06 00:00:00',4,1,12,2009,'F','N','CENTRO','PIRACICABA','SP','125251251116471741526577581124610114113',NULL,'9998',31.97,4,3,NULL),(28,7079753,'1993-09-26 00:00:00',2,1,12,2010,'M','N','CENTRO','TORRES','RS','120204201237271431434832241122142337053',19537,'9998',32.42,1,3,NULL),(28,7079761,'1994-05-20 00:00:00',4,1,11,2011,'F','N','JARDIM SÃO BENTO','CPO GRANDE','MS','112122121235111431457612575122610134097',9130,'9998',47.68,1,3,NULL),(28,7079770,'1994-06-06 00:00:00',2,17,12,2011,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124242241215111431259813575122610136142',19396,'973',33.35,1,3,NULL),(28,7079796,'1993-10-04 00:00:00',4,3,12,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124243241215472431346613175114610167062',4887,'1119',55.41,1,3,NULL),(28,7079800,'1993-01-09 00:00:00',2,1,11,2009,'F','N','VILA OPERARIA','MARINGÁ','PR','116111111215572431458933572125610135147',2299,'9998',62.90,1,3,NULL),(28,7079826,'1995-03-16 00:00:00',4,6,11,2011,'F','N','CENTRO','ITAJAÍ','SC','124242241215372431488933575122610141182',4901,'392',57.18,1,3,NULL),(28,7079834,'1993-09-21 00:00:00',4,4,12,2010,'M','N','SANTA MARIA','CHAPECÓ','SC','124243241316371431348931375123610125117',9565,'169',48.24,1,3,NULL),(28,7079842,'1989-04-15 00:00:00',2,1,12,2006,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241216575431565816475124610167047',2563,'752',62.71,1,3,NULL),(28,7079850,'1990-06-12 00:00:00',2,10,12,2007,'F','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116162161216151441125749391224243267057',2385,'9998',63.55,1,3,NULL),(28,7079869,'1994-08-09 00:00:00',2,1,11,2011,'F','N','CENTRO','SETE BARRAS','SP','125161251117131321521111172124610164047',NULL,'9998',12.93,4,1,1),(28,7079877,'1990-11-19 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215474751378732575114133247052',5328,'1000',56.48,4,3,NULL),(28,7079885,'1992-08-05 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217373431456532495124221464045',4547,'1022',57.44,1,3,NULL),(28,7079893,'1991-05-05 00:00:00',2,8,12,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241215573331239923442124610162142',1358,'861',68.55,1,3,NULL),(28,7079907,'1995-10-02 00:00:00',4,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111431459912575122610144072',10548,'262',52.84,1,3,NULL),(28,7079915,'1994-01-24 00:00:00',4,27,12,2011,'F','N','INTERIOR','ITAPIRANGA','SC','124241241115161431543436572322610147057',14548,'411',38.99,1,2,1),(28,7079923,'1994-04-25 00:00:00',4,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241215111431334311575112610134192',16690,'1118',42.23,1,3,NULL),(28,7079931,'1993-10-10 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217271411469612575115610122142',9281,'262',47.10,1,3,NULL),(28,7079940,'1995-01-04 00:00:00',2,4,12,2011,'F','N','INTERIOR','S JOÃO OESTE','SC','124241241115371411434634575124610144047',7213,'1115',52.35,1,2,1),(28,7079958,'1994-05-24 00:00:00',4,22,12,2011,'M','N','VELHA','NOVA TRENTO','SC','124241248117141431533619395121233214187',16735,'574',33.06,1,2,1),(28,7079966,'1992-11-10 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215372411469931574122131066113',NULL,'226',0.00,1,3,NULL),(28,7079974,'1992-05-06 00:00:00',4,1,12,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241117271431243923372124133268142',11600,'935',51.18,2,1,1),(28,7079982,'1994-02-03 00:00:00',4,5,12,2011,'M','N','RANCHO DOS BUGRES','URUSSANGA','SC','124241241116161731456419555124610127047',16034,'822',35.03,1,3,NULL),(28,7079990,'1991-01-05 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372411476829475112610127057',16930,'1022',41.69,1,3,NULL),(28,7080000,'1995-05-10 00:00:00',4,6,11,2011,'M','N','SÃO JOÃO','ITAJAÍ','SC','124243241215131431426923571124610124012',6530,'388',54.16,2,3,NULL),(28,7080018,'1992-06-06 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241116271731613319275124231063077',NULL,'1116',14.91,4,1,1),(28,7080034,'1993-03-20 00:00:00',4,5,6,2011,'M','N','CENTRO','CRICIÚMA','SC','124241248217371421236914415131610167147',11926,'995',41.34,1,3,NULL),(28,7080042,'1992-09-30 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241215112531479911475122232664072',NULL,'1063',0.00,1,3,NULL),(28,7080050,'1994-12-02 00:00:00',4,1,12,2011,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241215271431336731575124610124092',3285,'1022',60.55,1,3,NULL),(28,7080069,'1994-09-15 00:00:00',4,1,12,2011,'M','N','CENTRO','EMBU','SP','125254251416471431648671275225610132177',10387,'9998',44.95,3,3,NULL),(28,7080085,'1990-08-10 00:00:00',2,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244247445371411644412145122610115165',NULL,'9999',32.23,1,3,NULL),(28,7080093,'1989-07-14 00:00:00',4,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115152731558824495122320744057',7313,'267',58.29,1,2,1),(28,7080123,'1991-08-22 00:00:00',4,4,12,2008,'F','N','CENTRO','ABELARDO LUZ','SC','124244241215573431446831575124141526097',228,'1022',75.34,4,3,NULL),(28,7080131,'1994-07-30 00:00:00',2,3,12,2011,'F','N','SUL DO RIO','TIJUCAS','SC','124241241117161731413539382124610122142',NULL,'971',20.62,4,2,1),(28,7080140,'1994-11-14 00:00:00',2,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241211131431526724572224610168132',14281,'1048',36.65,1,3,NULL),(28,7080158,'1994-07-06 00:00:00',4,7,12,2011,'M','N','CENTRO','LACERDÓPOLIS','SC','124241241125141441434623375221610134172',13461,'496',36.19,1,2,1),(28,7080166,'1992-05-24 00:00:00',2,1,11,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215373431337619275124120727052',1072,'270',72.82,1,3,NULL),(28,7080174,'1991-04-11 00:00:00',2,1,12,2008,'F','N','PRAIA DE BELAS','PTO ALEGRE','RS','120201201117471411225769372224141065147',NULL,'9998',32.57,1,2,1),(28,7080190,'1981-04-29 00:00:00',2,1,12,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241146135431126644245124130732182',15891,'307',43.91,4,1,1),(28,7080204,'1994-12-25 00:00:00',2,1,12,2011,'M','N','CENTRO','ALFREDO WAGNER','SC','124241241126131231434411572125610167142',NULL,'13',11.65,1,2,1),(28,7080220,'1992-07-22 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241212373711527714345124233222052',11444,'988',42.69,1,3,NULL),(28,7080239,'1994-11-14 00:00:00',4,1,12,2011,'M','N','ARIRIU','PALHOÇA','SC','124241241215131431439724246123610164115',12205,'1218',40.24,1,3,NULL),(28,7080247,'1989-11-18 00:00:00',2,1,12,2007,'M','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124243241216374421436343435112131314043',6206,'724',60.23,4,3,NULL),(28,7080255,'1986-09-15 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124112111216371731359833385124343232097',9218,'9998',46.28,1,3,NULL),(28,7080263,'1986-10-13 00:00:00',2,5,12,2004,'F','N','COMERCIAÁRIO','CRICIÚMA','SC','124242241216575431458834385124610153147',1081,'226',70.02,1,3,NULL),(28,7080271,'1994-11-23 00:00:00',4,2,11,2011,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241415111712489913295121610124052',2014,'855',65.84,1,3,NULL),(28,7080280,'1994-07-20 00:00:00',4,8,12,2011,'M','N','CENTRO','S FRANCISCO SUL','SC','124242241217271431546622575122610132112',6065,'992',53.94,1,3,NULL),(28,7080298,'1993-11-29 00:00:00',2,1,12,2011,'F','N','SÃO CRISTÓVÃO','LAJEADO','RS','120201201216271411437832375122610122142',13563,'9998',40.05,1,3,NULL),(28,7080301,'1994-09-16 00:00:00',2,1,12,2011,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241115371511538613396112610127147',18607,'773',28.23,1,2,1),(28,7080310,'1994-03-28 00:00:00',4,2,11,2011,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215121431338514172115610124187',1924,'909',66.37,1,3,NULL),(28,7080344,'1994-03-18 00:00:00',4,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241215111511469613575122610166042',2976,'272',60.97,1,3,NULL),(28,7080360,'1994-08-18 00:00:00',4,1,12,2011,'F','N','SANTA ROSA','FOZ IGUAÇU','PR','116162161216111731376614575112610131052',NULL,'9998',0.00,1,3,NULL),(28,7080379,'1991-06-21 00:00:00',4,1,12,2008,'F','N','FREGUESIA DO Ó','S PAULO','SP','125252251216511431238824574122141431097',6682,'9998',53.63,1,3,NULL),(28,7080387,'1990-01-23 00:00:00',2,8,12,2007,'F','N','JARDIM OURO FINO','PARANAGUÁ','PR','116161161115151731333419492124610124181',NULL,'9998',17.79,1,2,1),(28,7080395,'1994-08-14 00:00:00',2,1,11,2011,'M','N','CAMPINAS','S JOSÉ','SC','124241241116271421446813385124610117042',19033,'733',35.21,4,3,NULL),(28,7080409,'1994-05-30 00:00:00',4,1,12,2011,'F','N','CENTRO','TIJUCAS','SC','124242241215111431364432285122610128092',9238,'1119',46.50,1,3,NULL),(28,7080417,'1993-11-20 00:00:00',1,1,12,2011,'M','N','VALE DO ITAMARACÁ','VALINHOS','SP','125252251217121431378812576121610167112',1552,'9998',65.08,1,3,NULL),(28,7080425,'1992-02-21 00:00:00',2,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215573431256923575124130223092',3982,'723',58.90,1,3,NULL),(28,7080433,'1994-12-22 00:00:00',2,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124241241215111421436524575222610144182',10380,'976',45.65,1,3,NULL),(28,7080441,'1994-06-08 00:00:00',2,10,12,2011,'F','N','CANUDOS','NOVO HAMBURGO','RS','120204201217131431537712371124610126182',NULL,'9998',0.00,1,3,NULL),(28,7080484,'1994-09-15 00:00:00',4,24,11,2011,'M','N','SUMARÉ','RIO SUL','SC','124242241216131751536932292332610167057',14006,'901',39.25,1,3,NULL),(28,7080492,'1993-08-01 00:00:00',2,8,12,2010,'M','N','GUANABARA','JOINVILLE','SC','124243241322141431646939241124610117042',NULL,'477',0.00,2,3,NULL),(28,7080514,'1994-06-06 00:00:00',2,26,12,2011,'F','N','NAÇÕES','CONCÓRDIA','SC','124241241116471231446413235122610143147',19087,'192',34.93,1,2,1),(28,7080530,'1994-05-26 00:00:00',4,9,12,2011,'F','N','CENTRO','LAGES','SC','124242241216151411468833575122610122012',NULL,'515',29.59,1,3,NULL),(28,7080557,'1991-09-22 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241415274231258923295124231967142',5975,'831',52.13,1,3,NULL),(28,7080565,'1993-01-17 00:00:00',4,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124131131126372431323551242124610124147',6356,'9998',54.18,4,2,1),(28,7080573,'1994-07-29 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431463923575122610124042',2426,'262',62.10,1,3,NULL),(28,7080581,'1988-10-26 00:00:00',2,5,12,2006,'M','N','COMERCIARIO','CRICIÚMA','SC','124242241216575431458834385124610157047',1489,'226',66.09,1,3,NULL),(28,7080590,'1994-09-10 00:00:00',4,1,12,2011,'F','N','VILA N S DE LOURDES','STO AMARO IMPERATRIZ','SC','624241241115471421524314575124610123052',12979,'772',40.21,1,2,1),(28,7080611,'1993-03-14 00:00:00',2,8,11,2011,'M','N','BOM RETIRO','JOINVILLE','SC','124243247335371231436611375114610134047',19694,'9999',31.26,4,3,NULL),(28,7080620,'1994-08-01 00:00:00',2,1,12,2011,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241135471711334312575124610124047',5738,'592',53.98,4,2,1),(28,7080638,'1988-12-27 00:00:00',4,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124252251216152221663812474122221462182',NULL,'9998',43.50,1,3,NULL),(28,7080654,'1994-11-16 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116131431225567575124610166037',11899,'739',42.25,1,2,1),(28,7080662,'1994-02-25 00:00:00',4,7,12,2010,'F','N','CENTRO','ARROIO TRINTA','SC','124241241116272411427714591122610157142',12126,'853',40.30,1,2,1),(28,7080670,'1994-10-16 01:00:00',2,1,12,2011,'F','N','PRADO','BIGUAÇU','SC','124241241115471311323324245124610124142',16219,'65',34.94,1,2,1),(28,7080697,'1985-05-03 00:00:00',4,1,8,2003,'F','N','PRAIA DE FORA','PALHOÇA','SC','224131248116152431443452392111140828087',19530,'9999',32.47,4,3,NULL),(28,7080727,'1987-04-03 00:00:00',4,1,12,2005,'M','N','CENTRO','TIJUCAS','SC','124243241215273421426624282124610164042',2671,'784',63.93,1,3,NULL),(28,7080751,'1994-09-13 00:00:00',2,26,12,2011,'F','N','INTERIOR','CONCÓRDIA','SC','124241241116371431634615475124610126092',15396,'192',44.87,1,2,1),(28,7080760,'1994-06-14 00:00:00',4,22,11,2011,'F','N','CENTRO','BRUSQUE','SC','124242241215122431338831575122610134042',11954,'109',43.18,1,3,NULL),(28,7080778,'1992-12-10 00:00:00',4,1,12,2009,'F','N','OESTE','GOIÂNIA','GO','109094091215572421556812571122610112092',4236,'9998',57.11,1,3,NULL),(28,7080786,'1992-03-27 00:00:00',4,4,10,2009,'F','N','CENTRO','ERECHIM','RS','120202201212573431459934575122610167072',803,'9998',70.95,1,3,NULL),(28,7080808,'1989-07-02 00:00:00',4,15,12,2006,'F','N','VILA NOVA','PTO ALEGRE','RS','120201201116471731335729475121240217187',16080,'9998',43.54,1,2,1),(28,7080816,'1991-11-29 00:00:00',2,1,11,2008,'F','N','CAMPINAS','S JOSÉ','SC','124244241116243421446813345124610114182',18490,'736',37.32,4,3,NULL),(28,7080840,'1992-05-21 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241117331212435529286113610142117',NULL,'49',0.00,1,3,NULL),(28,7080859,'1988-03-21 00:00:00',4,1,12,2006,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241115152711238743435124123268017',NULL,'267',38.48,4,2,1),(28,7080867,'1993-08-23 00:00:00',2,1,12,2011,'F','N','RETIRO DA LAGOA','FLORIANÓPOLIS','SC','124244247215111431338731595122610166182',16571,'9999',42.49,1,3,NULL),(28,7080875,'1992-01-29 00:00:00',2,27,12,2011,'M','N','CENTRO','S JOSÉ CEDRO','SC','124241247137161431325461295122610136047',NULL,'9999',28.20,1,2,1),(28,7080883,'1994-06-22 00:00:00',2,26,11,2011,'F','N','CENTRO','CONCÓRDIA','SC','124241241215111431425531175122610142057',17228,'1000',40.93,1,3,NULL),(28,7080913,'1994-04-18 00:00:00',2,7,12,2011,'F','N','CENTRO','JOAÇABA','SC','124244248415371431245629592225610122062',16335,'49',43.03,1,3,NULL),(28,7080921,'1988-02-23 00:00:00',4,1,12,2005,'F','N','JARDIM EUROPA','ASSIS','SP','125254251216575431336812571122610134087',457,'9998',71.97,3,3,NULL),(28,7080948,'1992-10-29 00:00:00',2,8,12,2009,'F','N','LIBERDADE','S PAULO','SP','125253251116571411425811575122610166077',NULL,'9998',0.00,3,3,NULL),(28,7080956,'1994-06-04 00:00:00',4,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115131422433619135224610126147',NULL,'733',21.19,1,2,1),(28,7080972,'1994-02-28 00:00:00',4,1,11,2011,'F','N','AREIAS','S JOSÉ','SC','124242241215471531426331572122610147097',NULL,'976',18.32,1,3,NULL),(28,7080980,'1992-11-29 00:00:00',2,5,11,2010,'M','N','CENTRO','SIDERÓPOLIS','SC','124242241217153431359911275112122662052',2192,'226',65.12,1,3,NULL),(28,7080999,'1995-05-13 00:00:00',4,8,11,2012,'F','S','CENTRO','JOINVILLE','SC','124242241237111431339923575122610166143',NULL,'1063',52.53,1,3,NULL),(28,7081006,'1994-01-20 00:00:00',4,1,12,2011,'F','N','CENTRO','S JOSÉ','SC','124242241212111431338834295122610138197',18943,'1134',35.51,1,3,NULL),(28,7081022,'1994-07-02 00:00:00',4,1,12,2011,'F','N','VILA SAO PAULO','CPO LIMPO PAULISTA','SP','125251251216471731436834575122610144077',15649,'9998',33.35,1,3,NULL),(28,7081030,'1994-04-20 00:00:00',4,1,10,2011,'M','N','BUENO','GOIÂNIA','GO','109092091217111411468813471112610166047',1431,'9998',66.62,1,3,NULL),(28,7081049,'1995-11-26 00:00:00',2,1,12,2012,'F','S','CAMPINAS','S JOSÉ','SC','124241241115141731422624245124610128047',NULL,'307',23.09,5,3,NULL),(28,7081057,'1991-01-25 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','304063164532441312265336242134331562135',15214,'9999',45.20,1,3,NULL),(28,7081081,'1993-03-27 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241217111431468614275125610132142',13880,'259',39.27,1,3,NULL),(28,7081103,'1987-08-30 00:00:00',4,1,12,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216375431368812575124132422182',16437,'1022',32.42,1,3,NULL),(28,7081111,'1993-04-03 00:00:00',4,1,12,2010,'M','N','PARAISO','S PAULO','SP','125254251216471411557712575125610127053',7236,'9998',52.21,1,3,NULL),(28,7081120,'1994-11-13 00:00:00',2,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124241241225111422413319575124610154057',9852,'262',47.53,1,3,NULL),(28,7081146,'1993-10-09 00:00:00',4,8,11,2011,'F','N','GLÓRIA','JOINVILLE','SC','124242241217111431428811372212610147072',12638,'457',49.56,1,3,NULL),(28,7081154,'1963-11-14 00:00:00',2,1,12,2000,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','224251247111573711434443431124610132187',NULL,'9999',33.56,1,2,1),(28,7081170,'1994-03-10 00:00:00',2,1,12,2011,'F','N','TARUMÃ','VIAMÃO','RS','120202201217371431338923572122610122097',NULL,'9998',0.00,1,3,NULL),(28,7081189,'1994-04-30 00:00:00',4,8,10,2011,'F','N','BUCAREIN','JOINVILLE','SC','124242241215111431449931575112610114192',NULL,'1063',0.00,1,3,NULL),(28,7081197,'1979-04-10 00:00:00',2,1,12,1996,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241122153721646611335134132836017',NULL,'307',0.00,1,3,NULL),(28,7081200,'1988-11-01 00:00:00',4,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124122161215371411346823371214141022047',6550,'9998',59.60,4,3,NULL),(28,7081243,'1993-10-26 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217212431249913575122610128181',NULL,'270',0.00,1,3,NULL),(28,7081251,'1991-01-24 00:00:00',2,1,11,2008,'F','N','KOBRASOL','S JOSÉ','SC','124241247326372431356723395122231026182',NULL,'944',37.96,4,3,NULL),(28,7081278,'1994-03-23 00:00:00',2,1,12,2011,'F','N','SETOR LESTE','GAMA','DF','107133071237131431518612575124610164142',NULL,'9998',26.61,1,3,NULL),(28,7081286,'1994-08-24 00:00:00',4,7,11,2011,'M','N','N SENHORA DE LURDES','CAMPOS NOVOS','SC','124243241217131531458815575112610167057',13719,'138',39.12,1,3,NULL),(28,7081294,'1993-10-22 00:00:00',4,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241435121731244821215124610124147',5717,'1022',54.08,1,3,NULL),(28,7081308,'1994-04-10 00:00:00',2,26,12,2011,'F','N','NOSSA SENHORA APAREC','AT BELA VISTA','SC','124241241126131531426614575122610125052',17341,'14',33.36,1,2,1),(28,7081316,'1994-01-19 00:00:00',4,2,11,2011,'F','N','DAS NAÇÕES','INDAIAL','SC','124241241215111231475612575112610127142',10487,'1157',46.51,1,3,NULL),(28,7081324,'1994-01-29 00:00:00',4,1,12,2011,'M','N','FORQUILINHAS','S JOSÉ','SC','124241241132141732411769382324610134052',NULL,'727',15.85,1,3,NULL),(28,7081332,'1991-09-18 00:00:00',4,1,12,2009,'F','N','VILA MARIANA','S PAULO','SP','125252251216471731379932371125240367097',3913,'9998',56.02,1,3,NULL),(28,7081340,'1991-05-24 00:00:00',4,8,12,2008,'F','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251215571741647612271122610167072',NULL,'9998',0.00,3,3,NULL),(28,7081359,'1990-03-21 00:00:00',4,1,12,2007,'F','N','JARDIM DAS ACÁCIAS','S JOSÉ','SC','124241241213374431556611245124610134147',7414,'1078',58.12,1,3,NULL),(28,7081367,'1991-06-07 00:00:00',4,8,12,2008,'F','N','RIO BONITO','JOINVILLE','SC','124241241216571451346611175112133266077',3103,'1006',59.31,1,3,NULL),(28,7081375,'1992-12-21 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241115372431459813575124610164052',1696,'271',64.82,4,3,NULL),(28,7081391,'1994-04-05 00:00:00',2,8,12,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124243241235111731459914185122610127092',14377,'1016',41.07,1,3,NULL),(28,7081405,'1994-03-16 00:00:00',4,1,12,2011,'F','N','VILA IZABEL','CURITIBA','PR','116162161216271731648832575124610168182',NULL,'9998',0.00,1,3,NULL),(28,7081421,'1990-03-12 00:00:00',2,3,12,2007,'M','N','MEIA PRAIA','ITAPEMA','SC','124201201116151431536619371124610127042',14724,'9998',46.12,1,2,1),(28,7081448,'1990-11-01 00:00:00',4,8,12,2008,'F','N','GLORIA','JOINVILLE','SC','124244241217272411349813372122131444035',5108,'1063',62.20,3,3,NULL),(28,7081456,'1995-09-30 00:00:00',4,5,11,2012,'F','S','CENTRO','CRICIÚMA','SC','124242241215371632678832575112610132142',NULL,'226',44.86,1,3,NULL),(28,7081464,'1993-07-10 00:00:00',4,1,12,2010,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251216471411648712575124610124112',15985,'9998',43.71,1,3,NULL),(28,7081472,'1989-09-02 00:00:00',4,1,11,2006,'F','N','JARDIM DE CRESCI','S CARLOS','SP','125252251217371411345611185122343265027',330,'1278',73.43,1,3,NULL),(28,7081480,'1983-01-31 00:00:00',4,1,12,2000,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','224161161121571421256743231122610127172',2553,'9998',63.44,1,2,1),(28,7081499,'1993-04-02 00:00:00',4,1,12,2010,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241145372421224444245114610162197',13938,'307',37.34,1,2,1),(28,7081502,'1994-09-20 00:00:00',2,16,12,2011,'F','N','MACIEIRA','FRAIBURGO','SC','124241241125161431534431375122610124142',NULL,'314',7.58,1,2,1),(28,7081510,'1990-08-06 00:00:00',4,3,11,2007,'F','N','MUNICÍPIOS','BAL CAMBORIÚ','SC','124241241337373431436713375112133262181',6481,'51',52.03,1,3,NULL),(28,7081537,'1993-11-24 00:00:00',4,8,11,2010,'F','N','GLÓRIA','JOINVILLE','SC','124242241212472431469712575112610162197',1421,'1063',65.11,1,3,NULL),(28,7081545,'1990-06-26 00:00:00',4,1,12,2008,'M','N','ACLIMAÇÃO','S PAULO','SP','125222221215571431266923575125610167184',8528,'9998',48.43,4,3,NULL),(28,7081561,'1994-12-29 00:00:00',2,1,12,2011,'M','N','JARDIM EUROPA','SANTANA LIVRAMENTO','RS','120201201217111431559934585124610166092',7764,'9998',48.54,1,3,NULL),(28,7081570,'1991-09-21 00:00:00',2,1,12,2008,'F','N','BOA ESPERANÇA','CUIABÁ','MT','111113111316571751548632575124610146187',1242,'9998',67.65,1,3,NULL),(28,7081588,'1991-12-18 00:00:00',2,15,12,2008,'F','N','IGRA','TORRES','RS','120201201117572431446314371221610124147',4578,'9998',57.18,1,2,1),(28,7081596,'1994-05-12 00:00:00',4,1,11,2011,'M','N','SANTA MONICA','UBERLÂNDIA','MG','113132138211271731569732571322610167182',12166,'9998',42.49,1,3,NULL),(28,7081600,'1992-06-11 00:00:00',4,1,12,2009,'M','N','CENTRO','PAIÇANDU','PR','116161161136112112126644245124110168097',NULL,'9998',0.00,1,3,NULL),(28,7081618,'1991-03-24 00:00:00',2,1,6,2011,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124211241336161431226747271324610146117',NULL,'1220',0.00,4,3,NULL),(28,7081626,'1993-10-08 00:00:00',4,1,12,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124242241237272711469914395124130266182',3049,'797',66.76,1,3,NULL),(28,7081634,'1979-01-24 00:00:00',4,1,12,1996,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','524244241416575431135843435122321552182',1779,'272',70.59,1,3,NULL),(28,7081642,'1993-01-14 00:00:00',2,6,12,2009,'F','N','AGUA VERDE','CURITIBA','PR','116162161215472432638812571115610164097',9333,'9998',54.82,1,3,NULL),(28,7081650,'1991-09-19 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124201201126473411433319245124610166145',6340,'9998',54.21,1,2,1),(28,7081669,'1995-07-12 00:00:00',4,1,12,2012,'M','S','CENTRO','TIJUCAS','SC','124242241217111431453612125122610144052',NULL,'262',49.72,1,3,NULL),(28,7081677,'1986-08-09 00:00:00',4,1,12,2003,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241337273721326844445122220767187',5136,'9997',62.15,1,3,NULL),(28,7081685,'1994-06-15 00:00:00',2,1,12,2011,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241115131731323614472124610163017',NULL,'733',19.08,1,2,1),(28,7081693,'1988-12-05 00:00:00',2,23,12,2006,'M','N','VILA LALAU','JARAGUÁ SUL','SC','124241241136372431334479472121610137042',7364,'201',50.92,4,2,1),(28,7081707,'1992-08-16 00:00:00',4,1,12,2010,'F','N','JARDIM AUGUSTA','S JOSÉ CAMPOS','SP','125252251216471221337412575114610124053',4529,'9998',55.23,1,3,NULL),(28,7081715,'1991-03-16 00:00:00',4,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241248115232232523318381324610134047',NULL,'295',21.90,1,2,1),(28,7081723,'1994-12-27 00:00:00',4,1,12,2011,'F','N','ROÇADO','S JOSÉ','SC','124241241112371431314411571325610136042',NULL,'729',18.09,1,2,1),(28,7081731,'1994-01-05 00:00:00',2,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124242248215111411553513315124610112141',NULL,'1078',19.21,1,3,NULL),(28,7081740,'1993-06-28 00:00:00',4,1,12,2010,'M','N','IPANEMA','PTO ALEGRE','RS','120203201216131431339939375124610127017',NULL,'9998',0.00,1,3,NULL),(28,7081758,'1993-09-08 00:00:00',2,1,12,2010,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124241241117132431424316182324610142147',8554,'13',49.71,1,2,1),(28,7081774,'1993-08-14 00:00:00',2,1,12,2010,'M','N','PACHECO','PALHOÇA','SC','124244241216371231436823582124610137047',10838,'989',44.62,1,3,NULL),(28,7081782,'1995-08-03 00:00:00',4,23,12,2012,'F','S','JD NOVO HORIZONTE','MARINGÁ','PR','116162161216111431366831575122610134044',NULL,'9998',47.20,1,3,NULL),(28,7081804,'1993-07-13 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215472431569814575112610134062',528,'71',72.07,1,3,NULL),(28,7081812,'1993-11-20 00:00:00',4,1,12,2010,'M','N','JARDIM PORTUGAL','S JOSÉ CAMPOS','SP','125252251216471431368734475124610127011',1788,'9998',65.64,1,3,NULL),(28,7081839,'1993-09-06 00:00:00',2,1,12,2011,'F','N','CENTRO','TIJUCAS','SC','124242248216112411634611595122610132182',NULL,'1119',0.00,1,3,NULL),(28,7081855,'1994-06-11 00:00:00',2,6,12,2011,'M','N','TABULEIRO','ITAPEMA','SC','124244241135131422238823115114610137111',NULL,'406',19.09,1,3,NULL),(28,7081863,'1989-06-05 00:00:00',4,1,12,2006,'F','N','PINHEIRINHOS','PASSA QUATRO','MG','113133131215371431468833575125343222097',693,'9998',72.08,1,3,NULL),(28,7081910,'1994-12-18 00:00:00',4,1,11,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215271731646612275124610168197',15246,'1022',35.19,1,3,NULL),(28,7081928,'1994-11-14 00:00:00',4,22,12,2011,'F','N','CEDRINHO','BRUSQUE','SC','124241241135131321444331271122610124147',NULL,'1019',18.14,1,2,1),(28,7081944,'1994-06-15 00:00:00',4,1,11,2011,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241215111431378811572124610164182',194,'270',78.86,1,3,NULL),(28,7081952,'1992-12-22 00:00:00',4,8,12,2009,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161217271731458613575124610168181',2684,'9998',62.41,4,3,NULL),(28,7081960,'1985-12-20 00:00:00',4,16,12,2003,'M','N','CENTRO','CURITIBANOS','SC','124243241217111411458812221132331524065',10433,'881',53.02,1,3,NULL),(28,7081979,'1995-04-09 00:00:00',4,24,11,2012,'F','S','PROGRESSO','RIO SUL','SC','124242241215111431558823575122610134142',NULL,'991',38.96,1,3,NULL),(28,7081987,'1994-07-19 00:00:00',4,1,12,2011,'M','N','JARDIM ADALGIZA','OSASCO','SP','125252251216111431469833575122610164182',NULL,'9998',18.12,4,3,NULL),(28,7081995,'1992-09-18 00:00:00',4,1,12,2009,'M','N','VILA PREL','S PAULO','SP','125251251117571431338811375124610167097',7836,'9998',48.40,1,2,1),(28,7082010,'1992-02-26 00:00:00',2,1,12,2009,'M','N','SÃO JOÃO','DOIS IRMÃOS','RS','120201201122131421423324182324610127092',18235,'9998',29.96,1,2,1),(28,7082029,'1992-02-26 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124242241211574431669834575124610167067',3207,'185',60.09,1,3,NULL),(28,7082037,'1992-10-26 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241117371731225564285124610133145',NULL,'296',24.15,1,2,1),(28,7082053,'1993-06-04 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241426111411436523235234610168117',16012,'291',36.56,4,3,NULL),(28,7082061,'1994-07-24 00:00:00',4,1,11,2011,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241215411411259814575114610124092',5151,'270',55.49,1,3,NULL),(28,7082070,'1994-09-30 00:00:00',4,3,12,2011,'M','N','ARIRIBA','BAL CAMBORIÚ','SC','124241241216151431435614575123610166197',13591,'53',48.08,1,3,NULL),(28,7082088,'1994-04-18 00:00:00',2,8,12,2011,'M','N','ACARAÍ','S FRANCISCO SUL','SC','124242241217141421338832222331130224112',NULL,'867',16.59,1,3,NULL),(28,7082096,'1993-04-27 00:00:00',2,1,12,2010,'F','N','PRAIA MOLE','FLORIANÓPOLIS','SC','124241241117472731536614342124610121197',8128,'307',51.13,1,2,1),(28,7082118,'1993-08-02 00:00:00',2,3,12,2010,'F','N','ESTALEIRINHO','BAL CAMBORIÚ','SC','124243241115372431428714574122610137142',3231,'129',62.32,1,3,NULL),(28,7082126,'1989-12-17 00:00:00',4,25,12,2006,'M','N','NAÇÕES','FRAIBURGO','SC','124241241134131431435614231123231318052',NULL,'314',33.46,1,3,NULL),(28,7082134,'1994-05-25 00:00:00',4,5,11,2011,'M','N','CENTRO','ORLEANS','SC','124243241215112431466639376122610164047',NULL,'226',40.78,1,3,NULL),(28,7082142,'1994-04-07 00:00:00',4,5,11,2011,'M','N','CENTRO','SIDERÓPOLIS','SC','124242241215122431446619495124610164122',9634,'226',44.82,1,3,NULL),(28,7082150,'1994-08-23 00:00:00',4,1,12,2011,'M','N','CENTRO','S JOSÉ','SC','124241241115131431433619245122610127057',NULL,'728',17.37,1,2,1),(28,7082169,'1994-12-09 00:00:00',2,5,11,2011,'M','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215111732665312222121610114182',16924,'213',41.70,1,3,NULL),(28,7082185,'1994-05-27 00:00:00',4,10,12,2011,'F','N','SAN CONRADO','CAMPINAS','SP','125252251217111441458711575112610162112',NULL,'9998',0.00,1,3,NULL),(28,7082193,'1991-06-01 00:00:00',4,8,12,2008,'F','N','BUTIATUVINHA','CURITIBA','PR','116162161217372431448638481124141026117',NULL,'9998',0.00,3,3,NULL),(28,7082207,'1994-06-25 00:00:00',4,1,12,2011,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124243241215151431337311475114610137052',12284,'989',40.99,1,3,NULL),(28,7082215,'1994-03-30 00:00:00',4,17,12,2011,'F','N','SÃO PEDRO','PTO UNIÃO','SC','124242241216111751438814372122610112012',11682,'633',42.82,1,3,NULL),(28,7082223,'1994-06-24 00:00:00',4,3,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124242243117151431238811575124610114057',1377,'129',66.26,1,3,NULL),(28,7082231,'1990-10-31 00:00:00',4,1,10,2008,'M','N','CENTRO','INDAIATUBA','SP','125252251416571431577931575124610167182',9373,'9998',45.54,1,3,NULL),(28,7082240,'1993-07-02 00:00:00',4,1,11,2011,'M','N','MARIA IZABEL','MARÍLIA','SP','125252251215571431358832575122610127182',NULL,'9998',0.00,1,3,NULL),(28,7082258,'1993-10-21 00:00:00',2,2,11,2011,'F','N','NAÇÕES','TIMBÓ','SC','124241241415112441448923472122610124197',8907,'1157',44.62,1,3,NULL),(28,7082266,'1993-01-12 00:00:00',4,4,9,2010,'F','N','PIO CORREA','CRICIÚMA','SC','124242241212472431249912574125610146142',763,'211',71.06,1,3,NULL),(28,7082282,'1989-12-27 00:00:00',4,1,12,2007,'M','N','PARAISO','S PAULO','SP','125252251217572731358827571112610164021',479,'9998',73.42,1,3,NULL),(28,7082304,'1992-10-29 00:00:00',2,24,12,2009,'F','N','CENTRO','LAURENTINO','SC','124241241215213411428933575124610113012',6437,'991',54.78,1,3,NULL),(28,7082312,'1993-02-20 00:00:00',4,1,12,2010,'M','N','VILA MARIA','S PAULO','SP','125252251216471431459811575125610162052',NULL,'9998',0.00,1,3,NULL),(28,7082339,'1995-05-16 00:00:00',4,1,12,2012,'M','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244243117151431469933575124610166082',NULL,'306',32.25,1,3,NULL),(28,7082347,'1995-03-09 00:00:00',4,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124242241215111111437832322124610116117',NULL,'270',27.65,1,3,NULL),(28,7082355,'1991-07-04 00:00:00',2,1,12,2008,'F','N','RIO BRANCO','CAXIAS SUL','RS','120202201315472431446931595122610122187',10775,'9998',44.40,1,3,NULL),(28,7082363,'1992-10-10 00:00:00',2,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124254091316471431326821372114610116187',NULL,'9998',0.00,1,3,NULL),(28,7082371,'1993-05-19 00:00:00',4,8,12,2010,'M','N','ENSEADA PRAINHA','S FRANCISCO SUL','SC','124132131217272431488914474211610147112',14329,'9998',46.90,1,3,NULL),(28,7082398,'1993-12-05 00:00:00',4,5,6,2011,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215371221657934592122610122142',12100,'995',50.39,1,3,NULL),(28,7082401,'1993-09-04 00:00:00',2,8,12,2011,'M','N','COMASA','JOINVILLE','SC','124242241215111731456631315122610127061',13541,'1016',48.17,1,3,NULL),(28,7082410,'1993-12-17 00:00:00',4,1,12,2011,'F','N','LAGO NORTE','LG NORTE','DF','107072071216271431689811572122610167092',1650,'9998',66.83,3,3,NULL),(28,7082428,'1993-12-15 00:00:00',4,1,12,2011,'M','N','AMÉRICA','JOINVILLE','SC','124242241216271431458812475124610164052',767,'457',69.51,1,3,NULL),(28,7082436,'1994-10-05 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431334923435125610164077',NULL,'1168',30.45,1,3,NULL),(28,7082444,'1993-08-20 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124283241216111421338833395124610117142',NULL,'977',23.26,1,3,NULL),(28,7082460,'1993-06-20 00:00:00',4,1,12,2010,'F','N','LAUSANE PAULISTA','S PAULO','SP','125254251217471431426614375112610166197',11699,'9998',42.39,1,3,NULL),(28,7082479,'1994-05-15 00:00:00',4,1,11,2011,'M','N','TATUAPÉ','S PAULO','SP','125252256217121431459817572122610127052',8835,'9998',46.67,1,3,NULL),(28,7082487,'1994-03-04 00:00:00',4,15,12,2011,'M','N','RIO BRANCO','PTO ALEGRE','RS','120201201117471431546621375124610122141',2735,'9998',63.27,1,2,1),(28,7082495,'1989-11-07 00:00:00',4,1,11,2007,'M','N','CENTRO','LAGES','SC','124242241215273431327674442114130714172',6959,'497',54.45,1,3,NULL),(28,7082509,'1990-05-17 00:00:00',4,1,12,2007,'F','N','VILA DOS MÉDICOS','BOTUCATU','SP','125252251217571431486612571112610167073',9353,'9998',42.91,1,3,NULL),(28,7082517,'1994-02-12 00:00:00',4,1,11,2011,'M','N','AREIAS','S JOSÉ','SC','124242241215122711456632295124610167047',NULL,'1118',18.66,1,3,NULL),(28,7082525,'1992-07-30 00:00:00',4,22,12,2009,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124242241215372431449634345124130718142',6394,'109',59.88,1,3,NULL),(28,7082533,'1994-08-11 00:00:00',4,1,12,2011,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215111431538613572122610128142',1563,'737',68.64,1,3,NULL),(28,7082541,'1993-07-07 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241116372731426753372114610134142',14908,'307',40.50,4,2,1),(28,7082576,'1993-02-23 00:00:00',2,1,12,2010,'M','N','MONTE CASTELO','CPO GRANDE','MS','112122121217471731457731295122610167052',NULL,'9998',0.00,4,3,NULL),(28,7082584,'1994-04-21 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121441466934575122610122145',NULL,'262',26.52,1,3,NULL),(28,7082592,'1994-04-07 00:00:00',4,1,11,2011,'F','N','JARDIM MARIA CANDIDA','CAÇAPAVA','SP','125252251215211431468831575122610163142',5466,'9998',56.16,1,3,NULL),(28,7082606,'1993-05-12 00:00:00',2,15,1,2012,'M','N','JANUARIA','SOMBRIO','SC','124241241117161531325514145121610122053',19606,'1033',31.96,1,2,1),(28,7082622,'1993-03-22 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217472431549923575124610124072',5486,'270',56.05,1,3,NULL),(28,7082649,'1994-07-30 00:00:00',2,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124241241112372331532235572122610156047',NULL,'169',32.66,1,2,1),(28,7082665,'1994-11-28 00:00:00',2,7,12,2011,'F','N','PARIZOTTO','CAPINZAL','SC','124241242115161431426312581134610132052',NULL,'8',17.04,1,3,NULL),(28,7082673,'1993-06-15 00:00:00',2,9,12,2010,'M','N','FÁTIMA','VACARIA','RS','120202201236472751479931595112610137147',13754,'9998',38.74,1,3,NULL),(28,7082703,'1995-01-12 00:00:00',4,10,11,2011,'F','N','MAR GROSSO','LAGUNA','SC','124242241215112431558732575124610164147',674,'807',72.56,1,3,NULL),(28,7082711,'1993-09-25 00:00:00',4,2,12,2011,'M','N','FORTALEZA','BLUMENAU','SC','124243246215371231433312574122610136182',NULL,'1018',50.30,1,3,NULL),(28,7082720,'1993-08-16 00:00:00',2,1,12,2011,'M','N','JARDIN MARILIZA','GOIÂNIA','GO','109092091216111431469813572122610112042',11206,'9998',45.02,1,3,NULL),(28,7082738,'1967-11-21 00:00:00',4,1,12,1985,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224241248116135451553553471122321342097',4009,'521',61.59,1,2,1),(28,7082746,'1981-02-25 00:00:00',2,1,12,1999,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224101101122131421333659135124641712177',18449,'9998',37.48,1,2,1),(28,7082762,'1994-11-18 00:00:00',4,1,12,2011,'F','N','PROGRESSO','S BENTO SUL','SC','124242241216121431459923575112610124092',4363,'1073',56.55,1,3,NULL),(28,7082770,'1991-04-21 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215374431347823472122133242141',8776,'1022',55.80,1,3,NULL),(28,7082789,'1982-07-02 00:00:00',4,1,8,2000,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624242246116155411367943435134131932043',4507,'306',63.36,1,3,NULL),(28,7082797,'1993-02-26 00:00:00',4,6,11,2010,'F','N','ITAIPAVA','ITAJAÍ','SC','124242241217271431447931575122610164197',10529,'388',48.68,1,3,NULL),(28,7082800,'1986-05-28 00:00:00',4,1,12,2006,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124131241125574451223614295334221337045',15655,'294',44.39,4,1,1),(28,7082819,'1978-09-07 00:00:00',2,1,7,1997,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241246127145451623444343324610117042',17509,'306',40.27,1,3,NULL),(28,7082827,'1994-02-17 00:00:00',4,8,12,2011,'F','N','AMÉRICA','JOINVILLE','SC','124241241225111411346314345124610138197',12872,'1063',40.11,1,3,NULL),(28,7082835,'1994-03-23 00:00:00',3,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122441388834574122610123042',192,'270',76.54,1,3,NULL),(28,7082851,'1991-11-12 00:00:00',2,1,11,2009,'M','N','CENTRO','S MANUEL','SP','125253251215571431458834575124610132042',NULL,'9998',0.00,1,3,NULL),(28,7082878,'1995-08-30 00:00:00',4,27,12,2012,'M','S','CENTRO','GUARACIABA','SC','124241246234171731439933475125610117042',NULL,'1179',38.41,1,3,NULL),(28,7082886,'1981-06-23 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201146131431324643435114610168197',NULL,'9998',19.77,1,3,NULL),(28,7082894,'1988-04-19 00:00:00',2,9,12,2005,'F','N','CENTRO','LAGES','SC','124243241216231431369813572112331427052',14219,'499',47.07,1,3,NULL),(28,7082924,'1993-07-25 00:00:00',4,1,12,2010,'F','N','PINHEIROS','S PAULO','SP','125252251217471411389813472124610142092',NULL,'9998',0.00,1,3,NULL),(28,7082940,'1982-01-15 00:00:00',4,1,12,2001,'F','N','KOBRASOL','S JOSÉ','SC','524241247327335431135843435123230812077',14553,'1076',46.46,1,3,NULL),(28,7082959,'1992-09-24 00:00:00',2,1,12,2010,'F','N','VILA MARIA','S JOSÉ CAMPOS','SP','125251251117471411467613571122610142097',9802,'9998',48.32,1,2,1),(28,7083009,'1992-01-01 00:00:00',2,15,11,2011,'F','N','CENTENARIO','TORRES','RS','120201201117331431457723271124610166147',7186,'9998',52.14,2,1,1),(28,7083017,'1993-08-09 00:00:00',4,23,12,2010,'F','N','BAEPENDI','JARAGUÁ SUL','SC','124241241116371411568939375112610125127',7216,'425',51.29,1,2,1),(28,7083025,'1993-05-14 00:00:00',2,1,12,2010,'F','N','BELA VISTA I','S JOSÉ','SC','124241241112272431236329342124610132142',15761,'726',34.79,1,3,NULL),(28,7083033,'1990-08-18 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115133611621119345124610117041',NULL,'293',35.98,1,2,1),(28,7083041,'1989-05-23 00:00:00',4,1,12,2006,'M','N','IPIRANGA','S PAULO','SP','125252251212572331478829593223610133134',202,'9998',76.87,1,3,NULL),(28,7083050,'1992-08-14 00:00:00',4,4,12,2010,'F','N','SANTO ANTONIO','PATO BRANCO','PR','116161165116271431424419245134610124147',14558,'9998',37.89,4,2,1),(28,7083068,'1994-12-16 00:00:00',4,1,7,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116131451656313345122610168192',NULL,'739',33.77,1,2,1),(28,7083084,'1995-02-15 00:00:00',2,24,11,2011,'M','N','CENTRO','AGROLÂNDIA','SC','124244241215111131358312575124610134194',19239,'991',34.16,1,3,NULL),(28,7083092,'1990-02-11 00:00:00',2,1,12,2008,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124241241116474451227728381324610166012',1303,'267',66.32,1,2,1),(28,7083106,'1993-09-16 00:00:00',2,1,12,2011,'F','N','SÃO PAULO','ELÓI MENDES','MG','113131131116131731413728395332610164092',NULL,'9998',0.00,2,1,1),(28,7083114,'1991-11-29 00:00:00',4,4,12,2008,'F','N','CENTENÁRIO','MONTENEGRO','RS','120204201116153751337619475124610167047',11284,'9998',43.80,1,3,NULL),(28,7083130,'1994-09-15 00:00:00',2,4,11,2011,'F','N','CENTRO','VILHENA','RO','122223221216271431536832572222610136077',9138,'9998',44.87,4,3,NULL),(28,7083149,'1993-08-19 00:00:00',4,1,12,2011,'F','N','ARMAÇÃO DO PTO SUL','FLORIANÓPOLIS','SC','124242241217372431456612595124610168182',15450,'270',44.78,1,3,NULL),(28,7083165,'1993-07-28 00:00:00',4,1,12,2010,'F','N','PARQUE DA REPRESA','JUNDIAÍ','SP','125251251216472431249723275112610166194',3751,'9998',58.31,1,3,NULL),(28,7083173,'1990-03-31 00:00:00',2,1,12,2007,'M','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241216142431489614395122221137045',NULL,'270',29.10,1,3,NULL),(28,7083181,'1994-10-11 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215122431539911395122610122013',14610,'738',36.09,1,3,NULL),(28,7083190,'1994-06-18 00:00:00',4,10,12,2011,'F','N','PORTINHO','LAGUNA','SC','124241241115151431436614585124611026097',NULL,'521',17.15,1,2,1),(28,7083211,'1993-05-19 00:00:00',4,8,12,2010,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215372431369814475122610147062',2612,'1063',64.08,1,3,NULL),(28,7083220,'1980-01-03 00:00:00',4,9,12,2000,'M','N','FÁTIMA','BOM JESUS','RS','120201204136472721324449441124142734053',NULL,'93',0.00,2,1,1),(28,7083238,'1993-09-14 00:00:00',4,1,12,2010,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241215472721438839575124610124147',3511,'270',59.91,1,3,NULL),(28,7083246,'1991-10-03 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215373431359913384114123234117',13286,'1022',48.58,4,3,NULL),(28,7083254,'1994-02-02 00:00:00',2,8,12,2011,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241136241431426334245124610123042',15822,'483',32.16,1,2,1),(28,7083262,'1992-02-13 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216141411426923445334610133077',19382,'1035',33.47,1,3,NULL),(28,7083270,'1993-12-15 00:00:00',4,6,11,2011,'F','N','CENTRO','RIO SUL','SC','124242241217241431258832574122610127182',9914,'653',45.57,1,3,NULL),(28,7083297,'1991-06-16 00:00:00',4,4,12,2008,'M','N','ESTEVAM CARRARO','ERECHIM','RS','120201201126371411324613275124140232042',NULL,'9998',23.34,1,2,1),(28,7083300,'1993-06-15 00:00:00',2,1,12,2011,'F','N','BARREIROS','FLORIANÓPOLIS','SC','124243248215111431518421391124613067072',NULL,'1134',18.16,1,3,NULL),(28,7083319,'1994-06-20 00:00:00',4,9,12,2011,'F','N','RIO DO TIGRE','RIO RUFINO','SC','124241241126131331413335575124610143057',NULL,'673',19.75,1,2,1),(28,7083327,'1993-11-30 00:00:00',4,3,11,2011,'F','N','CENTRO','CURITIBANOS','SC','124242241215112431228812214125610134017',1545,'1038',65.76,1,3,NULL),(28,7083335,'1992-09-28 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472431468814595122233237052',7959,'270',51.37,1,3,NULL),(28,7083351,'1991-11-21 00:00:00',4,1,12,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124241241117275431447823275124220717051',7063,'592',50.48,1,2,1),(28,7083360,'1994-04-28 00:00:00',4,1,12,2011,'M','N','SETOR PEDRO LUDOVICO','GOIÂNIA','GO','109092091215111431538633575122610137042',NULL,'9998',0.00,4,3,NULL),(28,7083378,'1994-09-27 00:00:00',4,6,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111231448624575112610167112',13135,'44',41.10,1,3,NULL),(28,7083386,'1994-07-30 00:00:00',4,10,12,2011,'M','N','MAGALHAES','LAGUNA','SC','124242241225111431436912385112610134172',19029,'524',35.22,1,3,NULL),(28,7083394,'1991-12-19 00:00:00',4,1,12,2009,'F','N','VILA ANTARTICA','BAURU','SP','125161251215571751447812571115610162187',988,'9998',69.68,1,3,NULL),(28,7083408,'1994-07-06 00:00:00',4,16,12,2011,'F','N','ÁGUA SANTA','CURITIBANOS','SC','124241241111371431337633395123610136032',NULL,'239',29.83,1,3,NULL),(28,7083416,'1994-04-04 00:00:00',2,10,11,2011,'F','N','CONGONHAS','TUBARÃO','SC','124242241215472431426616575122610131147',NULL,'807',33.47,1,3,NULL),(28,7083424,'1991-11-04 00:00:00',4,23,12,2009,'M','N','CENTRO','JARAGUÁ SUL','SC','124244241215473411559614475115610126012',9369,'486',48.18,1,3,NULL),(28,7083440,'1996-01-02 00:00:00',2,1,12,2011,'F','N','SÃO JOSÉ','S JOSÉ','SC','124242241215111431539911215122610134182',NULL,'738',32.55,1,3,NULL),(28,7083459,'1994-01-07 00:00:00',4,23,12,2011,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241215111731438832245122610131117',NULL,'441',25.03,1,3,NULL),(28,7083475,'1991-01-10 00:00:00',2,1,12,2009,'M','N','CENTRO','PTO ALEGRE','RS','120201202116571431437319575124142667052',6562,'9998',52.16,1,2,1),(28,7083483,'1982-08-12 00:00:00',2,1,7,2002,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241116275431223344445124610134143',18626,'307',36.78,1,3,NULL),(28,7083491,'1993-12-16 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215472431344923572122610125147',7499,'880',51.08,2,1,2),(28,7083505,'1993-07-22 00:00:00',2,1,12,2010,'F','N','BOM FIM','PTO ALEGRE','RS','120201201116472751436616572124610126197',11202,'9998',42.23,1,2,1),(28,7083513,'1992-07-06 00:00:00',4,1,12,2009,'F','N','CENTRO','BRAÇO NORTE','SC','124241241117131451324923245125610126127',17479,'100',40.35,1,2,1),(28,7083521,'1993-04-12 00:00:00',2,15,12,2010,'F','N','CENTRO','JACINTO MACHADO','SC','124241241116372231326923575124610134197',16436,'420',33.90,1,2,1),(28,7083556,'1990-11-11 00:00:00',2,7,12,2008,'F','N','CENTRO','JOAÇABA','SC','124241241435573431436314215122610125092',5200,'454',55.42,1,3,NULL),(28,7083564,'1994-07-25 00:00:00',2,3,12,2011,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241415131431333339275122610133177',14693,'53',37.44,1,3,NULL),(28,7083572,'1989-12-18 00:00:00',2,1,12,2007,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241113572411446624471124610124141',4241,'733',59.05,1,2,1),(28,7083580,'1992-07-22 00:00:00',4,1,11,2010,'M','N','BOCA DO RIO','SALVADOR','BA','105052051217371451558813575122610136112',NULL,'9998',0.00,4,3,NULL),(28,7083599,'1994-02-05 00:00:00',4,6,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431366829575122610167041',NULL,'1038',35.64,1,3,NULL),(28,7083602,'1992-11-25 00:00:00',6,1,11,2009,'M','N','ROÇADO','S JOSÉ','SC','124241241217133431438614445114133237087',NULL,'1036',41.39,1,3,NULL),(28,7083629,'1995-04-26 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215121732346824585124610137095',12942,'738',38.27,1,3,NULL),(28,7083637,'1994-11-29 00:00:00',4,1,11,2011,'F','N','VILA EMA','S JOSÉ CAMPOS','SP','125254251215111431367712475122610163072',NULL,'9998',0.00,1,3,NULL),(28,7083645,'1992-02-10 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215573731388813475124610165191',1024,'392',67.38,1,3,NULL),(28,7083653,'1994-08-14 00:00:00',4,1,11,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431489931575124610166195',551,'270',71.52,1,3,NULL),(28,7083661,'1994-09-17 00:00:00',4,5,11,2011,'F','N','SÃO CRISTÓVÃO','CRICIÚMA','SC','124242241215111431458912575122610124142',10983,'211',52.15,1,3,NULL),(28,7083670,'1994-06-26 00:00:00',4,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215121431345612575122610137012',1449,'723',67.01,1,3,NULL),(28,7083688,'1994-10-10 00:00:00',4,4,12,2011,'F','N','CENTRO','MONDAÍ','SC','124241241116161411324634472112610118147',19771,'564',30.49,1,2,1),(28,7083700,'1994-08-28 00:00:00',2,9,12,2011,'F','N','PENHA','LAGES','SC','124242241215111441554622595122610146172',9358,'1207',54.78,1,3,NULL),(28,7083718,'1991-03-28 00:00:00',2,1,12,2009,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241417275421336933195124222747097',10803,'307',45.66,1,3,NULL),(28,7083726,'1981-12-02 00:00:00',4,1,12,2001,'M','N','AREIAS','S JOSÉ','SC','224214218226141431355644442122343268183',19292,'9998',33.90,1,3,NULL),(28,7083742,'1994-10-26 00:00:00',4,7,12,2011,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','124241241116371422436632275125610153147',12214,'341',42.41,1,2,1),(28,7083769,'1992-04-01 00:00:00',4,1,12,2009,'F','N','OLINDA','UBERABA','MG','113132131217151411359933575112140441042',NULL,'9998',0.00,1,3,NULL),(28,7083777,'1994-06-01 00:00:00',4,8,12,2011,'M','N','PENHA DE FRANÇA','S PAULO','SP','125251251217371431356632575122610167041',5380,'9998',55.56,1,3,NULL),(28,7083785,'1981-06-22 00:00:00',2,1,12,2001,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124201207227471731323344345124143126057',NULL,'9998',25.04,1,3,NULL),(28,7083793,'1992-04-20 00:00:00',4,1,12,2009,'M','N','PQ GUARANI','S PAULO','SP','125131131117571731358734575113610132047',NULL,'9998',0.00,1,2,1),(28,7083807,'1994-07-03 00:00:00',4,6,12,2011,'F','N','VILA OPERARIA','ITAJAÍ','SC','124242248216111421338812395122610114142',NULL,'1026',0.00,1,3,NULL),(28,7083815,'1993-02-15 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124231241115573432325534572124610112147',11259,'307',45.20,1,2,1),(28,7083823,'1994-01-10 00:00:00',4,1,12,2010,'F','N','ESCOLAR','SALTO VELOSO','SC','124243241316272431436824575124610127142',14544,'1113',36.58,1,3,NULL),(28,7083858,'1985-02-07 00:00:00',2,8,5,2008,'M','N','BOEHMERWALD','S BENTO SUL','SC','624211241126131721223529382314233237042',19866,'9999',29.72,2,1,1),(28,7083866,'1994-07-22 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431448933572112610136142',1768,'270',65.65,1,3,NULL),(28,7083882,'1992-11-12 00:00:00',4,1,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215121431466714375124610112141',NULL,'1075',37.26,1,3,NULL),(28,7083904,'1994-01-02 00:00:00',4,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124243241215112411457933576112610146182',291,'738',75.34,1,3,NULL),(28,7083912,'1993-04-16 00:00:00',4,1,12,2011,'M','N','CENTRO','STA MARIANA','PR','116162161431111411448834575112610114114',15811,'9998',34.38,1,3,NULL),(28,7083920,'1995-01-06 00:00:00',4,1,12,2011,'M','N','JARDIN JANAINA','BIGUAÇU','SC','124242241215111411428819394124610167042',14314,'270',46.92,1,3,NULL),(28,7083939,'1994-05-26 00:00:00',4,6,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241215111231348813572122610167042',14399,'44',38.94,1,3,NULL),(28,7083947,'1995-01-16 00:00:00',4,10,11,2011,'F','N','CENTRO','TUBARÃO','SC','124242241215371431369933575122610168097',5203,'797',54.53,1,3,NULL),(28,7083955,'1994-06-15 00:00:00',4,7,12,2011,'F','N','CRUZEIRO DO SUL','JOAÇABA','SC','124244241217371431449813595122610167152',10911,'962',42.66,1,3,NULL),(28,7083980,'1993-04-19 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124053071117471431559813575122610127052',7824,'9998',50.06,4,3,NULL),(28,7083998,'1991-05-04 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241316372712236511575114610118092',NULL,'1133',24.23,4,3,NULL),(28,7084005,'1991-09-10 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124241241115274731224623345124610167147',17850,'734',31.85,1,2,1),(28,7084013,'1994-09-20 00:00:00',4,1,12,2011,'F','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124244241432472731449913372125610134143',4032,'270',58.23,1,3,NULL),(28,7084021,'1983-10-05 00:00:00',2,1,12,2001,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124201201116132431323811485122610144042',15941,'9998',34.59,1,2,1),(28,7084030,'1981-10-20 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224241241426132431123344342334610126147',NULL,'9999',21.36,1,3,NULL),(28,7084048,'1994-08-25 00:00:00',4,1,11,2011,'M','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124244241215371332467712575122610132062',11219,'63',51.75,1,3,NULL),(28,7084064,'1993-06-25 00:00:00',4,10,11,2011,'M','N','CENTRO','TUBARÃO','SC','124244241215111411349914271122610122032',NULL,'806',0.00,1,3,NULL),(28,7084072,'1994-02-02 00:00:00',4,1,12,2011,'F','N','JARDIM AMÉRICA','SOROCABA','SP','125252251215111431537731285112610131157',4732,'9998',62.93,1,3,NULL),(28,7084080,'1994-09-30 00:00:00',4,1,12,2011,'M','N','VILA NOVA','IMBITUBA','SC','124241241116151431437923575124610167047',12116,'1034',50.38,1,2,1),(28,7084099,'1994-07-10 00:00:00',4,1,12,2011,'F','N','BOM VIVER','BIGUAÇU','SC','124244241117131721526571292124610167057',NULL,'1116',22.46,1,3,NULL),(28,7084102,'1994-02-02 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241112151411333524475124610123142',20136,'733',24.95,1,2,1),(28,7084110,'1994-06-01 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431366612572124610127047',10230,'270',46.31,1,3,NULL),(28,7084129,'1982-01-16 00:00:00',4,1,12,2000,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224241246116153211263443435122321416197',NULL,'306',47.21,1,2,1),(28,7084137,'1996-03-18 00:00:00',2,1,11,2012,'F','S','BOSQUE DAS MANSÕES','S JOSÉ','SC','124242241217111411488932572122610126092',NULL,'270',49.82,1,3,NULL),(28,7084145,'1994-05-13 00:00:00',4,8,11,2011,'M','N','SÃO MARCOS','JOINVILLE','SC','124242241215111231438824345124610164032',9316,'1016',54.85,1,3,NULL),(28,7084161,'1993-12-06 00:00:00',2,1,12,2011,'F','N','SANTA MARIA','ANTÔNIO CARLOS','SC','124241243116161421433634395124610127052',17173,'306',33.75,1,2,1),(28,7084170,'1994-03-16 00:00:00',2,1,11,2011,'M','N','SÃO CRISTÓVÃO','SINOP','MT','111112111217271431436614175321610135147',NULL,'9998',0.00,1,3,NULL),(28,7084188,'1992-08-25 00:00:00',4,1,12,2010,'M','N','JARDIM SANTA ANGELA','RIBEIRÃO PRETO','SP','125252251215211431588932492112140237046',642,'9998',73.00,1,3,NULL),(28,7084196,'1991-11-07 00:00:00',4,15,11,2010,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241216111441455419434124610164171',13010,'213',48.97,1,3,NULL),(28,7084200,'1994-07-10 00:00:00',2,2,12,2011,'M','N','GARCIA','BLUMENAU','SC','124202241215131431568924575124610161147',8084,'88',52.50,1,3,NULL),(28,7084226,'1994-08-16 00:00:00',4,1,12,2011,'M','N','OLINDA','UBERABA','MG','113132131216111431379933575112610127042',4454,'9998',56.70,1,3,NULL),(28,7084242,'1993-07-09 00:00:00',4,2,12,2011,'M','N','ESCOLA AGRICOLA','BLUMENAU','SC','124244241417111431256923195114610167181',10369,'855',53.13,1,3,NULL),(28,7084269,'1991-02-21 00:00:00',2,10,12,2008,'F','N','CENTRO','SANGÃO','SC','124241241127271431544313172124610165147',2203,'685',63.92,1,2,1),(28,7084293,'1967-01-21 00:00:00',2,1,12,1984,'M','N','IPIRANGA','S JOSÉ','SC','224241248221145711454243435134321127057',16743,'264',42.11,1,3,NULL),(28,7084307,'1989-01-16 00:00:00',4,1,12,2006,'M','N','HUMAITÁ','RIO JANEIRO','RJ','121212211216471431488933575122241412142',NULL,'9998',42.42,1,3,NULL),(28,7084315,'1993-06-10 00:00:00',2,16,12,2010,'M','N','CENTRO','QUITANDINHA','PR','116161162116111331321221315124610117052',NULL,'9998',16.19,1,3,NULL),(28,7084331,'1994-10-27 00:00:00',4,6,6,2011,'F','N','CENTRO','NAVEGANTES','SC','124242281415271711446833575112610167107',8102,'9998',56.96,1,3,NULL),(28,7084340,'1995-04-19 00:00:00',4,8,12,2012,'F','S','AMÉRICA','JOINVILLE','SC','124242241215151411339834574122610137072',NULL,'1063',47.76,1,3,NULL),(28,7084358,'1988-05-10 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124121121116472411224541215121141464187',11816,'9998',42.15,4,2,1),(28,7084366,'1995-02-27 00:00:00',4,22,10,2011,'M','N','CENTRO','S JOÃO BATISTA','SC','124241241215151431438611575124610124057',7344,'1244',51.43,4,3,NULL),(28,7084374,'1995-04-01 00:00:00',4,1,12,2011,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111451469912575124610116051',16344,'883',43.01,1,3,NULL),(28,7084382,'1995-01-19 00:00:00',4,4,12,2011,'F','N','INDUSTRIAL','SEARA','SC','124241241116161431223624355123610124052',NULL,'763',18.20,4,2,1),(28,7084420,'1995-09-29 00:00:00',4,1,11,2012,'F','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111531579932573122610114173',NULL,'270',50.95,1,3,NULL),(28,7084447,'1994-03-26 00:00:00',4,1,11,2011,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215121431459811475124610168182',3549,'270',61.18,1,3,NULL),(28,7084471,'1994-11-19 00:00:00',2,1,12,2011,'M','N','AREÃO','CANELINHA','SC','124241246216111411344923395124610164143',16418,'1119',35.09,1,3,NULL),(28,7084498,'1991-01-28 00:00:00',4,1,12,2008,'F','N','CENTRO','PALMITAL','SP','125252251217472431436631442122140723182',6180,'9998',54.50,3,3,NULL),(28,7084510,'1994-02-12 00:00:00',2,1,12,2011,'M','N','SETOR BUENO','GOIÂNIA','GO','109091091114111331388831595122610134052',NULL,'9998',0.00,1,3,NULL),(28,7084528,'1993-11-03 00:00:00',4,1,11,2010,'F','N','VILA ROSÁLIA','GUARULHOS','SP','125252251216471441578812571122610146126',NULL,'9998',0.00,1,3,NULL),(28,7084544,'1994-03-09 00:00:00',4,8,12,2011,'F','N','JARDIM GOIAS','GOIÂNIA','GO','109091091236271431569913475122610166054',6348,'9998',59.95,1,3,NULL),(28,7084560,'1995-04-07 00:00:00',4,7,11,2012,'F','S','CENTRO','JOAÇABA','SC','124242241215151431476611272122610146195',NULL,'446',33.73,1,3,NULL),(28,7084579,'1991-04-11 00:00:00',2,4,12,2008,'F','N','CENTRO','PTO ALEGRE','RS','120241241126472731326521195124610164147',16941,'765',29.41,1,2,1),(28,7084587,'1990-01-14 00:00:00',2,1,9,2009,'M','N','ENSEADA DE BRITO','PALHOÇA','SC','124241241121131421421179345123610118042',NULL,'594',20.29,1,3,NULL),(28,7084595,'1994-03-15 00:00:00',2,24,11,2011,'M','N','LARANJEIRAS','RIO SUL','SC','124242241215571521448832345122610117052',17045,'653',30.41,1,3,NULL),(28,7084609,'1994-04-01 00:00:00',2,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215271731226531382125610134012',9469,'44',45.62,1,3,NULL),(28,7084625,'1992-08-04 00:00:00',4,1,12,2009,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124242241215473211378821585122233217042',13661,'270',47.95,1,3,NULL),(28,7084633,'1992-07-26 00:00:00',2,1,12,2010,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241145471411321129245124610122061',16094,'1248',33.70,1,2,1),(28,7084650,'1993-11-21 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241237111431468832575122610137041',1583,'951',65.69,1,3,NULL),(28,7084668,'1993-07-10 00:00:00',4,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124242241217111731466412375112610117042',18566,'1175',28.65,1,3,NULL),(28,7084676,'1990-06-05 00:00:00',4,26,12,2006,'F','N','CENTRO','CONCÓRDIA','SC','124241241113135421638535572222342612102',NULL,'192',0.00,1,2,1),(28,7084684,'1994-03-17 00:00:00',4,1,12,2011,'F','N','NOVA SUIÇA','GOIÂNIA','GO','109272091216111431379933595122611447144',2177,'9998',59.57,1,3,NULL),(28,7084706,'1994-10-20 00:00:00',2,6,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124022241235111431478733595122610124142',13869,'9997',47.62,4,3,NULL),(28,7084749,'1993-12-20 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241115372741544631575124610124042',NULL,'734',30.29,4,2,1),(28,7084757,'1989-12-07 00:00:00',2,4,12,2008,'M','N','SÃO CRISTÓVÃO','PASSO FUNDO','RS','120201201336231331339813285114241068047',NULL,'9998',0.00,1,3,NULL),(28,7084765,'1993-10-03 00:00:00',2,1,12,2011,'M','N','SÃO DIMAS','S JOSÉ CAMPOS','SP','125251258226151411436669575124610121147',9143,'9998',44.95,1,3,NULL),(28,7084781,'1992-02-24 00:00:00',4,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124243248136161421236644345123610117047',NULL,'781',24.47,1,3,NULL),(28,7084790,'1991-12-26 00:00:00',4,1,12,2008,'F','N','CENTRO','PALHOÇA','SC','124242241215575431579833574124133225097',87,'270',81.40,1,3,NULL),(28,7084803,'1994-05-10 00:00:00',4,1,11,2011,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124243241236131731323719175122610166191',8147,'1119',48.31,1,3,NULL),(28,7084811,'1993-12-12 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112451569913575124610126145',517,'262',72.69,1,3,NULL),(28,7084838,'1993-11-24 00:00:00',4,6,11,2011,'F','N','FAZENDA','ITAJAÍ','SC','124242241215111751268921172325610128077',5962,'9997',55.47,1,3,NULL),(28,7084846,'1994-09-28 00:00:00',4,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217131431456613575124610111197',10137,'300',44.93,1,3,NULL),(28,7084854,'1994-12-01 00:00:00',2,9,11,2011,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124241246117131441427413575122610138092',NULL,'1106',37.26,1,3,NULL),(28,7084870,'1990-09-17 00:00:00',4,1,12,2008,'M','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','112032163534341221233364363212221523172',4436,'9998',54.76,5,3,NULL),(28,7084889,'1991-06-05 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124164241215473431328929572124613214092',16149,'1049',36.74,1,3,NULL),(28,7084897,'1994-06-16 00:00:00',4,1,12,2011,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124241241215111431436514575122610124052',17981,'1119',28.32,1,3,NULL),(28,7084919,'1994-08-16 00:00:00',4,1,12,2011,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242241215221431638623575114610117182',12197,'1022',42.38,1,3,NULL),(28,7084927,'1994-07-01 00:00:00',4,1,12,2011,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161217111131237831575115610145097',6198,'9998',53.65,1,3,NULL),(28,7084935,'1995-05-03 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241217111711435553472224610143142',NULL,'1022',24.08,1,3,NULL),(28,7084951,'1993-10-07 00:00:00',4,1,12,2011,'M','N','PARTENON','PTO ALEGRE','RS','120202201117151411358923385124610122042',17043,'9998',41.43,1,3,NULL),(28,7084960,'1994-01-07 00:00:00',4,6,12,2011,'F','N','ESPINHEIROS','ITAJAÍ','SC','124241241215271431458631575122610166192',NULL,'388',23.37,1,3,NULL),(28,7084978,'1992-06-18 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241115572711466632572112610164146',18192,'210',38.33,1,3,NULL),(28,7084994,'1994-03-03 00:00:00',4,8,12,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215371411468812572112610162122',NULL,'1063',0.00,1,3,NULL),(28,7085036,'1985-11-05 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124251251146131441128544445324143224181',13492,'9998',39.82,1,3,NULL),(28,7085052,'1985-09-05 00:00:00',2,2,12,2003,'M','N','VITOR KONDER','BLUMENAU','SC','124241241136131431224644345134131322042',NULL,'669',24.78,1,2,1),(28,7085060,'1995-05-27 00:00:00',4,4,12,2011,'F','N','ALTO DA BOA VISTA','ITUMBIARA','GO','109244091116371431437934575122610161192',5104,'9998',55.47,1,3,NULL),(28,7085079,'1993-05-28 00:00:00',4,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124171241115371511433311595114610116017',15804,'730',35.67,1,3,NULL),(28,7085087,'1989-12-10 00:00:00',4,1,12,2007,'M','N','AREIAS','S JOSÉ','SC','125253251217572741356614485114143242092',2918,'9998',61.85,1,3,NULL),(28,7085095,'1994-10-21 00:00:00',2,2,12,2011,'F','N','CENTRO','PENHA','SC','124241243116131531533823241221610147082',15626,'609',36.57,4,2,1),(28,7085117,'1994-07-04 00:00:00',2,5,12,2011,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124241241215121431566934174122610138142',6022,'210',54.31,1,3,NULL),(28,7085133,'1995-05-02 00:00:00',4,1,12,2012,'F','S','CENTRO','MAFRA','SC','124162161216111731468912275122610137142',NULL,'9998',54.63,1,3,NULL),(28,7085141,'1994-05-30 00:00:00',4,1,12,2011,'F','N','CENTRO','BIGUAÇU','SC','124242241215111441466923476122610138041',6079,'738',56.30,1,3,NULL),(28,7085150,'1994-10-25 00:00:00',4,1,12,2011,'M','N','GUARITUBA','PIRAQUARA','PR','116161161116371431458633575122610167027',15862,'9998',35.20,2,1,1),(28,7085176,'1993-12-03 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151731389811575122610126012',6221,'262',54.41,1,3,NULL),(28,7085184,'1994-06-27 00:00:00',4,1,12,2011,'F','N','VILA CAMPO GRANDE','S PAULO','SP','125252251216111331389934575122610164096',8091,'9998',49.01,1,3,NULL),(28,7085192,'1994-03-11 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124244241215151411253327575112610165191',NULL,'1076',29.17,1,3,NULL),(28,7085206,'1994-09-20 00:00:00',4,4,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241326161751533932175124610167047',10602,'270',45.78,1,3,NULL),(28,7085214,'1993-05-02 00:00:00',4,1,12,2010,'M','N','SETOR SAMAMBAIA','GOIÂNIA','GO','109092091416271431556612375222140612082',20068,'9998',26.95,1,3,NULL),(28,7085230,'1993-05-25 00:00:00',2,1,12,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215472731458834575124610167041',12582,'441',48.48,1,3,NULL),(28,7085257,'1993-03-18 00:00:00',4,8,11,2010,'F','N','CENTRO','CURITIBA','PR','116242241215473431486922571112610164142',6466,'1063',59.75,1,3,NULL),(28,7085273,'1993-05-14 00:00:00',2,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215372711468923474124130243182',1378,'299',67.01,1,3,NULL),(28,7085281,'1994-02-24 00:00:00',4,8,11,2011,'M','N','AMERICA','JOINVILLE','SC','124242241215111431588831574122610168067',459,'1063',71.37,1,3,NULL),(28,7085290,'1993-01-06 00:00:00',4,1,11,2010,'F','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251215472431466824572122610122187',NULL,'9998',0.00,1,3,NULL),(28,7085303,'1993-09-19 00:00:00',2,4,12,2010,'M','N','TERRA ROCHA UM','DOURADOS','MS','112124121215112421634634585122141437047',NULL,'9998',0.00,1,3,NULL),(28,7085311,'1991-08-08 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124203241112152552456613475112610164041',6918,'257',58.98,1,3,NULL),(28,7085320,'1993-09-28 00:00:00',4,7,12,2011,'M','N','SÃO CRISTOVÃO','VIDEIRA','SC','124241241136131431336634275124610167087',20040,'831',27.45,1,2,1),(28,7085338,'1992-01-10 00:00:00',2,4,12,2009,'F','N','LIBERDADE','S PAULO','SP','125251251216572431258813575122610127122',6435,'9998',53.06,1,3,NULL),(28,7085354,'1994-06-22 00:00:00',2,15,12,2011,'M','N','JARDIM SANTA RITA','BAL GAIVOTA','SC','124241242117271431326933575121610124147',12304,'690',40.67,1,2,1),(28,7085362,'1992-12-21 00:00:00',4,10,12,2009,'F','N','VILA MOEMA','TUBARÃO','SC','124242241217573431344873595325610168197',12307,'807',46.41,1,3,NULL),(28,7085370,'1994-03-19 00:00:00',4,1,11,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215122531574312126124610134095',NULL,'270',37.33,1,3,NULL),(28,7085400,'1994-07-04 00:00:00',2,5,12,2011,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124241241215121431566934174122610138142',4417,'210',58.15,1,3,NULL),(28,7085419,'1993-05-15 00:00:00',2,15,12,2011,'F','N','CENTRO','BAL ARROIO SILVA','SC','124201242116111431425319375124610145097',NULL,'690',22.61,1,2,1),(28,7085427,'1992-06-06 00:00:00',2,1,12,2010,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241117132411536414445114610117067',NULL,'286',28.48,1,2,1),(28,7085443,'1995-08-11 00:00:00',4,1,11,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111731469933575124610124142',12075,'270',50.42,1,3,NULL),(28,7085451,'1992-05-13 00:00:00',4,1,12,2009,'F','N','MENINO JESUS','MTE ALEGRE SUL','SP','125254251216471411459814575124140366192',4804,'9998',56.39,1,3,NULL),(28,7085460,'1994-02-13 00:00:00',4,1,12,2011,'F','N','SAN IZIDRO','LONDRINA','PR','116162161217111231327821572112610164147',9052,'9998',55.33,1,3,NULL),(28,7085478,'1993-05-29 00:00:00',2,4,12,2010,'M','N','NOSSA SRA FATIMA','XANXERÊ','SC','124241242247111431635429175122233237052',NULL,'836',17.60,4,1,2),(28,7085486,'1993-03-17 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431239923574122610165142',1299,'1244',67.66,1,3,NULL),(28,7085494,'1992-12-03 00:00:00',2,1,12,2010,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242241216472411469934375124610137051',7275,'442',50.76,1,3,NULL),(28,7085508,'1994-04-28 00:00:00',4,2,12,2011,'F','N','CENTRO','GUARAPUAVA','PR','116162161216211711368911575122610126147',NULL,'9998',0.00,1,3,NULL),(28,7085516,'1993-11-07 00:00:00',4,9,12,2010,'F','N','CENTRO','URUBICI','SC','124241241112131431213629582321610126197',NULL,'818',26.34,1,2,1),(28,7085524,'1991-10-11 00:00:00',4,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241216574431469613572124131464117',979,'738',71.28,1,3,NULL),(28,7085532,'1993-07-30 00:00:00',4,1,10,2010,'M','N','BAIRRO PETRÓPOLIS','PTO ALEGRE','RS','124241241115472431448613575124610167042',3770,'307',61.46,1,2,1),(28,7085540,'1994-02-04 00:00:00',4,9,12,2011,'F','N','GUADALUPE','LAGES','SC','124241241316111431438613575125610122142',7628,'1207',50.30,1,3,NULL),(28,7085559,'1993-06-06 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111231328832595114610124142',NULL,'1022',31.57,1,3,NULL),(28,7085567,'1990-07-19 00:00:00',2,1,7,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241248216132411459514345124122963192',12259,'9999',50.15,1,3,NULL),(28,7085575,'1992-08-18 00:00:00',4,8,12,2010,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215472231368714474112610162192',2211,'1063',62.93,1,3,NULL),(28,7085583,'1991-02-25 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124243241215573741338831475124120766187',643,'737',74.52,1,3,NULL),(28,7085591,'1995-01-18 00:00:00',4,4,12,2011,'F','N','NAÇÕES','CONCÓRDIA','SC','124241241115471431336933375122610133187',12864,'192',41.44,1,2,1),(28,7085605,'1991-10-28 00:00:00',4,1,12,2009,'M','N','RESIDENCIAL FERNANDA','PENÁPOLIS','SP','125252251215571431548519575122610167112',10244,'9998',45.77,1,3,NULL),(28,7085613,'1991-01-02 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117574431259913131124610164017',608,'307',72.74,1,2,1),(28,7085621,'1994-03-21 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241117372431557632575124610146142',4654,'271',59.07,1,3,NULL),(28,7085630,'1993-09-01 00:00:00',4,1,12,2011,'F','N','COND CHACARA FLORA','VALINHOS','SP','125252251216111411649614475112610166182',NULL,'9998',0.00,1,3,NULL),(28,7085648,'1994-11-19 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431267823575122610163195',8385,'270',47.30,1,3,NULL),(28,7085656,'1994-11-30 00:00:00',4,24,12,2011,'F','N','CENTRO','VACARIA','RS','120202201236371731439811571122610124182',8135,'9998',51.94,1,3,NULL),(28,7085664,'1994-05-10 00:00:00',4,8,12,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431259923575112610136192',5578,'1063',54.71,1,3,NULL),(28,7085672,'1995-04-06 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431437633572114610127047',12660,'1197',49.51,1,3,NULL),(28,7085680,'1994-01-14 00:00:00',4,25,12,2011,'M','N','CENTRO','FRAIBURGO','SC','124242241215111431567614175112610124042',NULL,'885',31.29,1,3,NULL),(28,7085699,'1991-07-16 00:00:00',4,1,10,2011,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242248215472441339932375121610164185',17196,'270',34.38,3,3,NULL),(28,7085702,'1993-11-20 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241215472431346932575124610167042',1008,'1118',71.08,1,3,NULL),(28,7085737,'1994-01-20 00:00:00',2,27,12,2011,'M','N','PINHEIRINHO','BARRACÃO','PR','116161161137131411324435245121610168027',10765,'9998',43.25,1,2,1),(28,7085745,'1992-05-31 00:00:00',4,1,12,2009,'F','N','GRANJA VIANA','COTIA','SP','125241241115471431568614291112141547142',6509,'44',52.77,1,3,NULL),(28,7085753,'1993-12-10 00:00:00',4,1,11,2011,'M','N','CENTRO','SUMARÉ','SP','125252251217111231358931581112610164012',3590,'9998',57.69,1,3,NULL),(28,7085761,'1994-10-10 00:00:00',4,1,12,2011,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241215112431438628285122610167141',3388,'723',61.12,1,3,NULL),(28,7085788,'1994-11-04 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431378833571124610126182',7420,'270',50.78,1,3,NULL),(28,7085796,'1991-11-27 00:00:00',4,1,12,2009,'F','N','ANCHIETA','BELO HORIZONTE','MG','113132131217571431458814575124610127057',483,'9998',71.47,1,3,NULL),(28,7085800,'1987-12-04 00:00:00',2,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241136131411233343133331132216185',6716,'697',52.88,1,3,NULL),(28,7085818,'1994-05-26 00:00:00',4,8,12,2011,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215151431474332575122610167147',4821,'861',53.90,1,3,NULL),(28,7085826,'1992-04-22 00:00:00',2,4,12,2009,'F','N','MEDIANEIRA','PTO ALEGRE','RS','120202201217571431236821575114610164042',1556,'9998',66.07,1,3,NULL),(28,7085834,'1991-03-05 00:00:00',2,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241116575731456734475124233264077',1353,'271',66.80,1,3,NULL),(28,7085842,'1982-11-22 00:00:00',2,15,12,2001,'M','N','BOA VISTINHA','TURVO','SC','224241241136111421224444445121332362015',NULL,'814',27.16,1,3,NULL),(28,7085850,'1989-12-20 00:00:00',2,1,11,2007,'F','N','KOBRASOL','S JOSÉ','SC','124242241216374431239933392124221327187',11848,'720',47.67,1,3,NULL),(28,7085869,'1991-08-23 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124244241227152451248621345123231467032',18675,'262',36.58,1,3,NULL),(28,7085877,'1993-07-28 00:00:00',2,1,12,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241127132441426324246124610137127',NULL,'290',29.41,1,2,1),(28,7085893,'1993-03-07 00:00:00',2,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241127151431323321235114610162063',NULL,'289',0.00,1,2,1),(28,7085907,'1994-03-26 00:00:00',2,1,11,2011,'F','N','PRAIA DA COSTA','VL VELHA','ES','108082081216121431368916175122610136126',NULL,'9998',0.00,1,3,NULL),(28,7085915,'1993-04-30 00:00:00',4,1,12,2010,'M','N','ANHANGABAÚ','JUNDIAÍ','SP','125254251115471331258811571122610164147',2036,'9998',65.95,1,3,NULL),(28,7085923,'1994-08-23 00:00:00',2,3,12,2011,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162166217111731346616365131610167042',NULL,'9998',25.53,1,3,NULL),(28,7085931,'1994-06-28 00:00:00',4,2,12,2011,'M','N','VELHA','BLUMENAU','SC','124242241215151731459914595114610167062',NULL,'88',28.57,1,3,NULL),(28,7085958,'1993-08-09 00:00:00',4,1,12,2011,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241115421731513414492124610127142',19162,'772',27.16,1,2,1),(28,7085974,'1989-04-21 00:00:00',6,1,12,2008,'F','N','VILA INDUSTRIAL','TOLEDO','PR','116163161116151431115835482124243261142',20105,'9998',26.16,1,3,NULL),(28,7085990,'1992-09-27 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124242241215374431558833245124130264172',1192,'270',70.01,1,3,NULL),(28,7086008,'1994-04-05 00:00:00',4,8,12,2011,'M','N','ZONA IND NORTE','JOINVILLE','SC','124072241217371431358613572114610127132',398,'1063',76.53,1,3,NULL),(28,7086016,'1993-09-17 00:00:00',5,1,12,2011,'F','N','HUGO LANGE','CURITIBA','PR','116162161217371731468931575112610143142',1173,'9998',67.74,3,3,NULL),(28,7086024,'1991-11-07 00:00:00',4,1,12,2009,'F','N','TRIANON','GUARAPUAVA','PR','116162161215471411458831574112140342072',1248,'9998',69.32,1,3,NULL),(28,7086032,'1994-06-10 00:00:00',4,8,11,2011,'F','N','CENTRO','JOINVILLE','SC','124242241215111431489811574122610164112',1531,'457',67.54,1,3,NULL),(28,7086040,'1994-03-01 00:00:00',4,8,12,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241217112432369934442125613268182',5718,'457',61.09,1,3,NULL),(28,7086091,'1990-02-12 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116575751327713475124222347095',19459,'298',33.00,1,2,1),(28,7086113,'1994-09-23 00:00:00',4,4,12,2011,'M','N','SÃO CRISTOVÃO','CHAPECÓ','SC','124241241115271431456414275124610166057',12626,'177',42.22,1,2,1),(28,7086130,'1993-06-23 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201201116572431443313275114610166177',879,'9998',71.14,1,2,1),(28,7086148,'1993-04-19 00:00:00',4,1,12,2010,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251217471431478814472112610124092',8585,'9998',46.50,1,3,NULL),(28,7086156,'1995-01-09 00:00:00',4,1,12,2011,'M','N','JARDIM SÃO MIGUEL','BIGUAÇU','SC','124243241116131431536714375124610117042',NULL,'21',0.00,1,3,NULL),(28,7086172,'1991-05-13 00:00:00',4,1,12,2008,'F','N','VILA MARIANA','S PAULO','SP','125252251216572411479914372112141067142',9224,'9998',46.29,1,3,NULL),(28,7086180,'1992-04-01 00:00:00',4,8,12,2009,'M','N','GRANJA VIANA','CARAPICUÍBA','SP','125252251216571431539819597112610128017',6023,'9998',53.85,1,3,NULL),(28,7086199,'1992-05-25 00:00:00',4,8,12,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124242241216471431345821577112610162197',18523,'1063',37.22,1,3,NULL),(28,7086210,'1992-06-22 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241214573411338911575124610135077',1660,'270',66.97,1,3,NULL),(28,7086237,'1994-02-23 00:00:00',4,1,12,2011,'F','N','MONTE CASTELO','CPO GRANDE','MS','112122121217371431265623575122610126142',8293,'9998',48.67,1,3,NULL),(28,7086253,'1994-10-04 00:00:00',4,1,11,2012,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241214111431559933572124610114032',NULL,'272',27.21,1,3,NULL),(28,7086270,'1994-03-18 00:00:00',4,27,12,2011,'F','N','CENTRO','CPO ERÊ','SC','124241241116161711633314395122610153142',19415,'137',33.25,4,2,1),(28,7086300,'1993-06-28 00:00:00',4,4,12,2010,'F','N','CAMOBI','STA MARIA','RS','120201201116371421444935575124610168192',11578,'9997',45.08,1,2,1),(28,7086326,'1994-01-12 00:00:00',4,5,12,2011,'F','N','CENTRO','LAURO MÜLLER','SC','124241241116131431328629575122610154147',NULL,'531',18.04,1,3,NULL),(28,7086334,'1993-05-29 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215472751446613575124610124011',1235,'737',68.99,1,3,NULL),(28,7086342,'1991-08-23 00:00:00',4,1,12,2009,'F','N','VILA OLÍMPIA','S PAULO','SP','125252251217571731669911575122610124072',3799,'9998',58.08,1,3,NULL),(28,7086350,'1990-05-05 00:00:00',4,9,12,2007,'F','N','SANTA RITA','LAGES','SC','124242241212473421446932445122131526092',NULL,'515',25.87,1,3,NULL),(28,7086369,'1991-09-21 00:00:00',4,25,12,2008,'F','N','AMARANTE','VIDEIRA','SC','124241241117131431623311446224610138142',19086,'831',34.93,2,1,1),(28,7086377,'1993-05-20 00:00:00',4,8,12,2010,'M','N','RIO NEGRO','S BENTO SUL','SC','124162241416162431569911574142610128142',16104,'697',43.50,1,3,NULL),(28,7086393,'1994-04-25 00:00:00',2,15,12,2011,'F','N','BARRO PRETO','STA ROSA SUL','SC','124241241115271731413335572124610168197',16919,'689',31.86,1,2,1),(28,7086407,'1991-03-26 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215575431468614572114610167141',61,'486',80.59,4,3,NULL),(28,7086415,'1991-03-29 00:00:00',2,1,12,2008,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124244241215274431348612585124121866011',NULL,'1063',0.00,1,3,NULL),(28,7086423,'1994-06-05 00:00:00',4,1,12,2011,'M','N','JARDIM SATÉLITE','S JOSÉ CAMPOS','SP','125251251217121431446924581124610135092',NULL,'9998',28.98,1,3,NULL),(28,7086431,'1978-06-16 00:00:00',2,1,12,1998,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224161161122142431236651245124140237142',16129,'9998',32.29,1,3,NULL),(28,7086440,'1992-07-04 00:00:00',2,1,10,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243247316132431628823575125610167012',18620,'9999',25.92,1,3,NULL),(28,7086458,'1994-06-03 00:00:00',4,1,11,2011,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111431333924575114610114182',11047,'1022',43.89,1,3,NULL),(28,7086466,'1993-04-10 00:00:00',2,1,12,2010,'F','N','MEDIANEIRA','PTO ALEGRE','RS','120201201217231731225521315124610166157',16850,'9998',41.87,1,3,NULL),(28,7086474,'1993-12-20 00:00:00',4,1,12,2011,'M','N','TERRAS DE SÃO CARLOS','JUNDIAÍ','SP','125252251217121431478712595112610164042',4580,'9998',56.83,1,3,NULL),(28,7086482,'1986-01-21 00:00:00',2,1,1,2003,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124243241117133231227643335122222368052',13104,'739',48.83,1,3,NULL),(28,7086490,'1991-07-15 00:00:00',2,1,12,2010,'F','N','AGRONOMIA','PTO ALEGRE','RS','120131131316132431613321212324610122177',NULL,'9998',0.00,1,3,NULL),(28,7086504,'1995-08-02 00:00:00',2,1,12,2012,'F','S','ROÇADO','S JOSÉ','SC','124242241217111731467833574122610121142',NULL,'1077',49.96,1,3,NULL),(28,7086520,'1990-05-08 00:00:00',4,1,12,2007,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241117373431324614245134610142157',7646,'307',52.20,1,2,1),(28,7086547,'1993-06-09 00:00:00',4,1,12,2010,'F','N','MARAPÉ','SANTOS','SP','125252251217471411356871311114610134187',5364,'9998',56.79,1,3,NULL),(28,7086563,'1993-11-25 00:00:00',2,1,12,2011,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241112141411546313345124610128047',NULL,'281',13.28,1,2,1),(28,7086571,'1994-07-01 00:00:00',4,5,11,2011,'F','N','CENTRO','LAURO MÜLLER','SC','124242241215111431549839475124610168142',7545,'226',50.20,1,3,NULL),(28,7086580,'1990-10-19 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241417272441338912375124132824047',18625,'1049',36.78,2,3,NULL),(28,7086598,'1994-08-05 00:00:00',4,9,11,2011,'M','N','CENTRO','LAGES','SC','124241246615151431458813275122233227181',11740,'1106',40.50,1,3,NULL),(28,7086610,'1992-02-20 00:00:00',4,1,12,2009,'M','N','CIDADE ALTA','MARINGÁ','PR','116252161436231431338624445132610132052',NULL,'9998',25.13,1,3,NULL),(28,7086628,'1987-07-01 00:00:00',2,5,12,2004,'F','N','JD SORAIA','S PAULO','SP','125252251217572751553331591114610163187',1128,'9998',68.09,1,3,NULL),(28,7086636,'1991-01-25 00:00:00',4,1,11,2008,'M','N','CENTRO','LAURENTINO','SC','124244241216134431449514485124120762147',890,'654',69.73,1,3,NULL),(28,7086644,'1995-06-27 00:00:00',2,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111731459831572122610123142',NULL,'262',51.71,1,3,NULL),(28,7086652,'1993-08-25 00:00:00',2,10,12,2010,'F','N','FLORENÇA','VIAMÃO','RS','120201201136471731454831575124610134117',7829,'9998',51.01,1,2,1),(28,7086660,'1994-06-01 00:00:00',4,1,11,2011,'M','N','CENTRO','S JOSÉ CAMPOS','SP','125112251235121431489931575125610164172',2750,'9998',62.04,1,3,NULL),(28,7086679,'1993-02-28 00:00:00',4,6,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111231368913395121610127182',13684,'1038',42.35,1,3,NULL),(28,7086687,'1990-08-19 00:00:00',2,10,12,2007,'M','N','OFICINAS','TUBARÃO','SC','124241241137375731213624385111610167047',NULL,'804',39.37,1,2,1),(28,7086695,'1993-10-25 00:00:00',4,2,12,2010,'M','N','JARDIM AMERICA','PARANAVAÍ','PR','116161161216371231525329295121610167042',NULL,'9998',0.00,1,3,NULL),(28,7086709,'1990-02-15 00:00:00',4,8,12,2008,'M','N','GLEBA PALHANO','LONDRINA','PR','116164161317571411456911315112141467012',6914,'9998',58.99,1,3,NULL),(28,7086717,'1992-11-05 00:00:00',4,1,12,2009,'F','N','JARDIM EUROPA','PIRACICABA','SP','125252251215571431378811571124610115192',NULL,'9998',0.00,3,3,NULL),(28,7086725,'1993-10-10 00:00:00',4,6,10,2011,'F','N','BOSQUE DA SAÚDE','CUIABÁ','MT','125112251235111741558614575125610114127',8509,'9998',56.25,1,3,NULL),(28,7086733,'1994-09-26 00:00:00',4,1,12,2011,'M','N','JARDIM ESPLANADA','S JOSÉ CAMPOS','SP','125252251235411411378611575122610164142',861,'9998',67.95,1,3,NULL),(28,7086741,'1991-05-03 00:00:00',4,16,12,2008,'M','N','SENHOR BOM JESUS','CAMPOS NOVOS','SC','124243242116132531324314495125230317047',NULL,'8',0.00,1,3,NULL),(28,7086768,'1984-05-08 00:00:00',2,1,12,2002,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','224241241117573531353153177122610121142',14653,'928',46.26,1,2,1),(28,7086776,'1996-01-05 00:00:00',4,4,12,2011,'M','N','CENTRO','ÁGUAS CHAPECÓ','SC','124242241215112431339932575122610127052',1626,'1278',66.19,1,3,NULL),(28,7086784,'1994-09-16 00:00:00',4,5,10,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215112411359614575122610127042',200,'226',78.39,1,3,NULL),(28,7086792,'1993-11-24 00:00:00',2,1,12,2010,'F','N','JARDIM SABARÁ','PTO ALEGRE','RS','120202201116472231346629575114610162057',NULL,'9998',0.00,1,3,NULL),(28,7086814,'1994-10-07 00:00:00',4,1,12,2011,'F','N','VILA ADYANNA','S JOSÉ CAMPOS','SP','125252251436371431489813475122610167072',13346,'9998',39.49,1,3,NULL),(28,7086822,'1994-05-31 00:00:00',2,2,11,2011,'F','N','MARGEM ESQUERDA','GASPAR','SC','124242241215131431426814372122610133077',NULL,'955',0.00,1,3,NULL),(28,7086830,'1994-10-31 00:00:00',4,1,11,2011,'M','N','PIATÃ','SALVADOR','BA','105052051217111431487834275122610127052',7222,'9998',51.53,1,3,NULL),(28,7086849,'1992-07-03 00:00:00',4,4,12,2009,'F','N','ZONA SETE','MARINGÁ','PR','116161161216573711338923575112610164127',2140,'9998',65.19,1,3,NULL),(28,7086857,'1995-10-15 01:00:00',4,9,10,2010,'M','N','CENTRO','LAGES','SC','124242241217151731489914575112610168196',10157,'497',53.47,1,3,NULL),(28,7086865,'1993-08-06 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116371411356313585114610167142',11855,'307',43.95,1,2,1),(28,7086890,'1993-09-28 00:00:00',4,1,12,2011,'F','N','JARDIM PORTUGAL','S JOSÉ CAMPOS','SP','125252251215171431269932575124610134147',14752,'9998',35.16,1,3,NULL),(28,7086911,'1995-07-16 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241243117171532436534275125610134142',19520,'592',32.56,1,3,NULL),(28,7086920,'1994-04-18 00:00:00',2,15,12,2011,'F','N','CENTRO','PR GRANDE','SC','124241241327131431328923335125610128057',NULL,'641',19.24,1,3,NULL),(28,7086938,'1994-12-20 00:00:00',2,1,12,2011,'F','N','COMERCIARIO','CRICIÚMA','SC','124283248135141511426623245124610134187',NULL,'209',24.65,1,3,NULL),(28,7086954,'1989-08-05 00:00:00',4,1,12,2006,'M','N','SOCORRO','S PAULO','SP','125252251216572431359911575122141427047',NULL,'9998',0.00,1,3,NULL),(28,7086962,'1990-07-24 00:00:00',4,17,12,2007,'M','N','FAXINAL','MAFRA','SC','124241161216573441486536375112610126172',11823,'9998',40.72,1,3,NULL),(28,7086970,'1994-01-03 00:00:00',2,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241115131731423411516124610137147',NULL,'278',22.84,1,2,1),(28,7086989,'1990-04-24 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215374441479711495124230267041',13600,'266',48.06,1,3,NULL),(28,7086997,'1989-04-14 00:00:00',4,1,12,2006,'M','N','JD LAGO AZUL','LIMEIRA','SP','125251256116471411443519445134343246047',18277,'9998',38.05,1,2,1),(28,7087004,'1994-09-06 00:00:00',2,1,12,2011,'F','N','ARROIO TEIRXEIRA','CAPÃO CANOA','RS','120201201116161431526639275124610124077',NULL,'9998',0.00,1,3,NULL),(28,7087012,'1994-10-06 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217121431479834475124610167062',496,'270',72.13,1,3,NULL),(28,7087020,'1995-02-17 00:00:00',4,25,12,2011,'F','N','CIDADE ALTA','VIDEIRA','SC','124241241111131421336634575122610147147',18881,'831',25.92,1,2,1),(28,7087039,'1991-08-21 00:00:00',4,1,12,2009,'M','N','JARDIM LEONOR','CAMPINAS','SP','125253251217271411238823395134610167022',1564,'9998',65.93,1,3,NULL),(28,7087055,'1988-11-25 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241215274421346624445124130427047',15937,'210',43.81,1,3,NULL),(28,7087063,'1992-08-22 00:00:00',4,1,12,2009,'M','N','VILA BRANCA','JACAREÍ','SP','125252251216471431368814571124143247182',4401,'9998',58.73,3,3,NULL),(28,7087071,'1994-12-20 00:00:00',4,3,12,2011,'F','N','ZIMBROS','BOMBINHAS','SC','124243241215111431348614575122610167052',11805,'1119',42.92,1,3,NULL),(28,7087080,'1992-04-21 00:00:00',2,1,12,2009,'F','N','CALHEIROS','GOV CELSO RAMOS','SC','124241241126271432548613385124610164142',19221,'329',34.22,1,2,1),(28,7087098,'1993-01-15 00:00:00',4,8,12,2010,'M','N','CENTRO','CURITIBA','PR','116162161216412431468833575114610142092',NULL,'9998',0.00,1,3,NULL),(28,7087101,'1994-02-13 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212111411228923575122610137042',8136,'273',50.72,1,3,NULL),(28,7087136,'1977-08-20 00:00:00',2,8,12,1995,'F','N','CENTRO','ARAUCÁRIA','PR','116161165116472441457534475124341366182',4049,'9998',57.07,3,2,1),(28,7087144,'1986-03-23 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124051051111342412121444242114610117047',13833,'9998',42.65,2,1,1),(28,7087179,'1992-03-19 00:00:00',2,1,11,2008,'M','N','ACLIMAÇÃO','S PAULO','SP','125142141235572431378812575124610134077',NULL,'9998',0.00,1,3,NULL),(28,7087187,'1991-04-20 00:00:00',4,1,11,2008,'M','N','BATEL','CURITIBA','PR','116163161417571742447612475114610124037',NULL,'9998',0.00,4,3,NULL),(28,7087195,'1994-10-01 00:00:00',2,1,12,2011,'F','N','CENTRO HISTORICO','GAROPABA','SC','124241241125151731536319345122610166057',NULL,'322',28.83,1,3,NULL),(28,7087209,'1992-02-23 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116141411126619445124610121092',10405,'307',45.21,1,2,1),(28,7087225,'1993-07-23 00:00:00',4,6,12,2010,'M','N','CENTRO','ITUPORANGA','SC','124241241215272431336939492124610127047',13727,'1173',39.88,1,3,NULL),(28,7087241,'1993-10-10 00:00:00',4,1,12,2011,'M','N','VILA BRASÍLIA','APARECIDA GOIÂNIA','GO','109092091215111431557712595112610127057',3136,'9998',61.69,1,3,NULL),(28,7087250,'1994-12-14 00:00:00',4,25,12,2011,'M','N','CENTRO','CAÇADOR','SC','124242241115171411448839575125610127072',12738,'1038',40.49,1,3,NULL),(28,7087268,'1965-09-08 00:00:00',2,1,12,1984,'F','N','SÃO FRANCISCO','BENTO GONÇALVES','RS','120201201146471451115541312124610123147',15527,'9998',36.01,1,2,1),(28,7087276,'1993-06-12 00:00:00',4,1,12,2010,'F','N','VILA OLIVEIRA','MOGI CRUZES','SP','125252251216471732448832572115610144147',13306,'9998',39.10,3,3,NULL),(28,7087284,'1994-09-16 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431328823375124610114012',13038,'270',48.93,1,3,NULL),(28,7087292,'1992-11-06 00:00:00',2,1,12,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241248116371731425713275124610113142',15390,'307',39.08,1,2,1),(28,7087314,'1994-01-17 00:00:00',2,1,12,2010,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124243241116372431434613375124233215142',19347,'286',33.61,1,3,NULL),(28,7087322,'1991-08-26 00:00:00',4,3,12,2008,'F','N','CENTRO','LONDRINA','PR','116162161216573431579911571122610147142',28,'9998',82.79,3,3,NULL),(28,7087330,'1992-11-15 00:00:00',4,1,12,2010,'M','N','JARDIM CARDINALI','S CARLOS','SP','125252251217471432679813576112610164192',591,'9998',71.04,3,3,NULL),(28,7087349,'1992-10-05 00:00:00',4,2,12,2010,'M','N','BELA VISTA','GASPAR','SC','124241241115472411436531375124610166051',5260,'69',57.35,1,2,1),(28,7087365,'1981-02-25 00:00:00',4,6,12,1998,'F','N','PQ SÃO PAULO','CASCAVEL','PR','216162161216572431253353445122340667047',NULL,'9998',0.00,1,3,NULL),(28,7087373,'1993-09-02 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272431366914375125131412052',6402,'226',59.87,1,3,NULL),(28,7087381,'1994-12-03 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241112141331424324145124610137047',NULL,'257',22.17,1,2,1),(28,7087403,'1994-09-11 00:00:00',4,1,12,2011,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241125161432536612575114610135187',12349,'291',42.64,1,2,1),(28,7087411,'1994-01-20 00:00:00',4,22,12,2011,'F','N','SANTA TEREZINHA','BRUSQUE','SC','124241241137471431456612345124610148187',5457,'116',53.76,1,2,1),(28,7087420,'1989-07-23 00:00:00',4,1,12,2006,'M','N','CENTRO','PALHOÇA','SC','124241241216133411536763145124610124172',9881,'989',45.82,1,3,NULL),(28,7087438,'1994-04-23 00:00:00',4,4,12,2011,'F','N','CENTRO','CEL FREITAS','SC','124241241136161431416633245122610164073',16289,'199',32.55,1,2,1),(28,7087446,'1991-10-21 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241147371731533419282114610137067',12299,'922',45.15,1,2,1),(28,7087462,'1991-03-19 00:00:00',4,1,12,2008,'F','N','JARDIM SANTA LÍDIA','MAUÁ','SP','125253251217571431558811575115610125147',NULL,'9998',0.00,1,3,NULL),(28,7087470,'1994-07-07 00:00:00',2,1,11,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431438921472122610128072',12671,'270',49.49,1,3,NULL),(28,7087497,'1994-10-10 00:00:00',2,10,11,2011,'M','N','CENTRO','BRAÇO NORTE','SC','124241241215151431454832245121610137092',16122,'102',43.46,1,3,NULL),(28,7087519,'1992-04-08 00:00:00',2,1,12,2010,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124241241126372731111244245124610116192',18749,'9997',26.26,4,3,NULL),(28,7087535,'1991-06-28 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124142241216474731438619575124133264187',141,'988',78.29,4,3,NULL),(28,7087543,'1994-06-21 00:00:00',2,1,12,2011,'F','N','PINHEIRA','PALHOÇA','SC','124241241115372431411311592324610168072',17994,'595',29.33,2,1,1),(28,7087551,'1991-02-22 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124052051217372411268833375124241444052',1608,'9998',71.22,1,3,NULL),(28,7087560,'1994-07-13 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431466812575112610121112',3561,'270',61.48,1,3,NULL),(28,7087578,'1994-11-21 00:00:00',2,4,12,2011,'M','N','SÃO CRISTOVÃO','CHAPECÓ','SC','124241241127131431426624245124610126097',15428,'170',37.34,4,2,1),(28,7087586,'1994-01-30 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215371421467831575122610138142',2152,'226',63.40,1,3,NULL),(28,7087594,'1992-10-19 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241415112431465637492124610164145',11978,'9999',41.91,1,3,NULL),(28,7087608,'1993-03-09 00:00:00',4,4,12,2010,'F','N','CENTRO','LACERDÓPOLIS','SC','124241241126372411226829595124610121017',8852,'496',47.37,1,2,1),(28,7087616,'1993-07-10 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241145372421116874242124610124057',11872,'629',44.65,1,2,1),(28,7087624,'1994-10-11 00:00:00',2,7,12,2011,'F','N','NOSSA SRA DE LURDES','JOAÇABA','SC','124243241116371431336814375112610118197',15232,'449',35.90,1,3,NULL),(28,7087632,'1993-02-17 00:00:00',2,1,6,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243247115151131527524595114610132015',18518,'9999',37.23,1,3,NULL),(28,7087659,'1989-04-10 00:00:00',4,17,12,2006,'M','N','PIEDADE','CANOINHAS','SC','124241241136151411637637335124230966192',NULL,'146',0.00,1,3,NULL),(28,7087667,'1995-02-20 00:00:00',2,4,12,2011,'M','N','CENTRO','FAXINAL GUEDES','SC','124241241115151431336923345122610164192',6439,'255',53.01,1,2,1),(28,7087675,'1993-10-04 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215272232333329395124610137061',9308,'1022',51.96,1,3,NULL),(28,7087683,'1993-01-26 00:00:00',4,1,12,2010,'F','N','JARDIM SANTA CRUZ','S PAULO','SP','125252251216421431435511574115610164147',626,'9998',73.11,4,3,NULL),(28,7087691,'1992-04-03 00:00:00',2,8,12,2009,'F','N','VL SAO LUIZ','OURINHOS','SP','125251251116472431448833482122610167042',NULL,'9998',27.79,2,1,1),(28,7087705,'1993-03-18 00:00:00',2,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241215372431468632575124233261192',3224,'1022',64.58,1,3,NULL),(28,7087713,'1967-02-04 00:00:00',2,1,12,1986,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','224211244316133441328343335124610145092',16725,'266',42.14,1,3,NULL),(28,7087721,'1992-03-30 00:00:00',2,8,12,2009,'F','N','CENTRO','POUSO REDONDO','SC','124241241117571441446415372114610117052',11810,'639',45.12,1,2,1),(28,7087730,'1993-04-22 00:00:00',2,1,12,2011,'M','N','MAGALHÃES','LAGUNA','SC','124242241222141231657823245122610128127',17399,'524',32.81,1,3,NULL),(28,7087748,'1994-12-14 00:00:00',4,1,12,2011,'F','N','VILA ANAHY','CPO GRANDE','MS','112122121217371431466923395122610123182',4923,'9998',55.09,1,3,NULL),(28,7087756,'1984-01-08 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117342431455614245122231444052',NULL,'307',22.14,1,2,1),(28,7087764,'1994-01-16 00:00:00',2,10,12,2011,'M','N','VILA VITÓRIA','LAGUNA','SC','124242248225131711523414382221610117147',NULL,'524',0.00,1,3,NULL),(28,7087772,'1991-01-24 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124243241111113111427653455114610168137',13052,'739',48.91,1,3,NULL),(28,7087802,'1992-05-22 00:00:00',4,2,12,2009,'M','N','GLÓRIA','BLUMENAU','SC','124243243216272431448931345112133264017',3154,'1018',60.62,1,3,NULL),(28,7087810,'1991-11-03 00:00:00',2,7,12,2009,'F','N','AVENIDA CENTRAL','GRAMADO','RS','120201201116572431528639575124141464142',NULL,'9998',0.00,3,2,1),(28,7087829,'1991-12-26 00:00:00',4,24,12,2009,'M','N','VILA LUIZA','PASSO FUNDO','RS','120201201116271431236723282114610135177',7671,'9998',53.41,1,2,1),(28,7087845,'1994-07-28 00:00:00',2,1,12,2011,'M','N','SAO SEBASTIAO','PALHOÇA','SC','124241241116371431626614245224610114041',10560,'592',44.14,4,2,1),(28,7087853,'1991-05-27 00:00:00',2,1,12,2009,'M','N','FLORESTA','PTO ALEGRE','RS','120203206317471411334712345121610134187',13698,'9998',38.84,1,3,NULL),(28,7087861,'1994-08-02 00:00:00',2,1,12,2011,'M','N','ARIRIU','PALHOÇA','SC','124241241126131232436634345124610127147',NULL,'592',35.32,4,2,1),(28,7087870,'1994-02-26 00:00:00',4,1,12,2011,'M','N','CENTRO','PEDRINHAS PAULISTA','SP','125251251117371531538635574124610114097',11947,'9998',39.96,1,2,1),(28,7087896,'1993-11-27 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216211431426612585124610127142',NULL,'944',18.33,1,3,NULL),(28,7087900,'1985-06-04 00:00:00',2,7,12,2007,'M','N','JOSE RUPP','HERVAL D OESTE','SC','624241241137131431323344112222610118057',13970,'341',39.54,1,3,NULL),(28,7087926,'1993-08-18 00:00:00',4,1,12,2010,'M','N','SÃO BENEDITO','CAMBUÍ','MG','113132131317471531638514275122610162047',NULL,'9998',0.00,3,3,NULL),(28,7087934,'1995-02-18 00:00:00',4,26,11,2011,'F','N','CENTRO','CONCÓRDIA','SC','124243241215151231448932576122610136092',3912,'1000',57.84,1,3,NULL),(28,7087942,'1993-10-01 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241248115141731546839295124610124142',13779,'307',38.23,1,2,1),(28,7087969,'1993-06-19 00:00:00',2,1,11,2010,'F','N','VILA A','FOZ IGUAÇU','PR','116163161217371431326614572114610117142',15634,'9998',35.06,1,3,NULL),(28,7087977,'1994-06-08 00:00:00',4,10,12,2011,'M','N','VILA NOVA','IMBITUBA','SC','124241241416272431347924575122610126047',2094,'362',63.64,1,3,NULL),(28,7087985,'1991-12-20 00:00:00',2,9,11,2008,'M','N','PRADINHO','S JOAQUIM','SC','124244241216574431256931445125230367072',12182,'1035',41.41,1,3,NULL),(28,7087993,'1992-06-19 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115574751467614575124131447011',NULL,'739',NULL,1,2,1),(28,7088027,'1994-09-19 00:00:00',4,15,12,2010,'M','N','JANSEN','GRAVATAÍ','RS','120202201217471231349914575112143268045',9993,'9998',44.80,1,3,NULL),(28,7088051,'1993-10-02 00:00:00',4,8,12,2011,'M','N','BOM RETIRO','JOINVILLE','SC','124242241212111431438712572122610147052',6195,'1016',54.29,3,3,NULL),(28,7088060,'1994-07-14 00:00:00',4,1,12,2011,'F','N','CONCEIÇÃO','LONDRINA','PR','116164161236111751468923575122610146182',9031,'9998',55.39,4,3,NULL),(28,7088078,'1987-08-28 00:00:00',4,1,12,2004,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216575431389922572112221563011',4078,'270',58.01,1,3,NULL),(28,7088086,'1993-04-09 00:00:00',4,26,12,2010,'M','N','NATUREZA','CONCÓRDIA','SC','124241246217131431356619445124610147147',16929,'1001',41.69,1,3,NULL),(28,7088094,'1987-08-31 00:00:00',4,8,12,2005,'F','N','VILA BELA','TAUBATÉ','SP','125251253446371441334314275123340836187',14871,'9998',45.85,1,3,NULL),(28,7088108,'1989-01-23 00:00:00',2,9,12,2008,'M','N','CONTE','LAGES','SC','124241241116151721123344245234610168147',NULL,'504',19.87,1,2,1),(28,7088124,'1994-07-12 00:00:00',2,1,10,1994,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215222231238624595124610168193',4464,'270',55.46,1,3,NULL),(28,7088167,'1956-03-10 00:00:00',4,1,12,1973,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','225253251117571421368653435122340762197',327,'9998',74.18,1,3,NULL),(28,7088205,'1994-05-10 00:00:00',4,4,12,2011,'F','N','FLAMENGO','CONCÓRDIA','SC','124241241115371431446619374122610127142',9274,'193',47.07,1,2,1),(28,7088213,'1991-12-04 00:00:00',4,23,12,2008,'M','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124241241112131231129944442124132067057',19574,'827',32.21,1,2,1),(28,7088221,'1989-01-03 00:00:00',4,8,12,2006,'M','N','SANTO ANTONIO','JOINVILLE','SC','124241241115371421456414242122610117052',NULL,'471',0.00,1,2,1),(28,7088248,'1993-06-21 00:00:00',4,1,11,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215372431447713595122610165042',3383,'1022',61.20,1,3,NULL),(28,7088256,'1994-07-23 00:00:00',4,6,11,2011,'M','N','CENTRO','ITAJAÍ','SC','124242241217151431448832575112610234052',8817,'1172',55.74,1,3,NULL),(28,7088264,'1992-06-30 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241216372731368823575124230437185',11171,'737',44.31,1,3,NULL),(28,7088272,'1990-06-28 00:00:00',4,23,12,2007,'M','N','PONTA COMPRIDA','GUARAMIRIM','SC','124241241126274431545514346211610132147',4089,'337',57.69,1,2,1),(28,7088280,'1993-08-06 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124243246117131441433611245124610127142',8053,'306',48.72,1,3,NULL),(28,7088299,'1994-08-01 00:00:00',2,1,12,2011,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241115371231323321385124610124142',NULL,'298',22.00,1,2,1),(28,7088302,'1994-09-17 00:00:00',4,3,12,2011,'M','N','AGUA VERDE','CURITIBA','PR','116162161215121431245923575122610167142',NULL,'9998',0.00,1,3,NULL),(28,7088310,'1990-06-13 00:00:00',2,16,12,2007,'F','N','CENTRO','CURITIBANOS','SC','124243241231132321324844245132133166037',NULL,'237',20.52,1,3,NULL),(28,7088337,'1994-04-30 00:00:00',2,22,11,2011,'F','N','SANTA RITA','BRUSQUE','SC','124242241215111431557631415122610128142',12431,'107',49.91,1,3,NULL),(28,7088345,'1994-12-11 00:00:00',4,10,12,2012,'M','S','SNTO ANTÔNIO DE PÁDU','TUBARÃO','SC','124241241215151731435512175121610128197',NULL,'1120',49.86,1,3,NULL),(28,7088388,'1994-06-17 00:00:00',4,10,11,2011,'M','N','REVOREDO','TUBARÃO','SC','124242241215272431458714575122610167077',11059,'809',45.14,1,3,NULL),(28,7088396,'1982-01-06 00:00:00',4,1,12,1999,'M','N','FLORESTA','S JOSÉ','SC','124241246116154731258443435132421922042',6734,'306',59.29,1,2,1),(28,7088400,'1984-09-20 00:00:00',2,24,12,2002,'M','N','CENTRO','RIO SUL','SC','224241241126131751243644145122332368017',15645,'680',44.40,1,3,NULL),(28,7088418,'1988-07-17 00:00:00',4,1,6,2005,'F','N','JARDIM ITAGUAÇU','FLORIANÓPOLIS','SC','124242281417271421359711415122340227185',7928,'9998',57.25,1,3,NULL),(28,7088426,'1994-07-07 00:00:00',4,22,12,2011,'M','N','SANTA TEREZINHA','BRUSQUE','SC','124241241135371431458714485124610124017',15628,'116',33.98,1,2,1),(28,7088442,'1990-06-23 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241215373411666631345122220262067',12546,'270',49.72,1,3,NULL),(28,7088450,'1995-05-30 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241225111431523514272124610127142',7485,'262',51.48,1,3,NULL),(28,7088477,'1993-01-03 00:00:00',2,5,12,2011,'F','N','CENTRO','S LUDGERO','SC','124241242117161431426414575124610127147',13233,'690',38.30,1,2,1),(28,7088493,'1985-09-13 00:00:00',4,1,12,2003,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241137154421446613332112610167012',NULL,'292',0.00,1,2,1),(28,7088507,'1993-09-17 00:00:00',4,8,12,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215471431468834574122610121122',NULL,'1063',0.00,1,3,NULL),(28,7088515,'1992-04-18 00:00:00',4,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117372431434163445124610124053',19434,'281',25.97,1,2,1),(28,7088523,'1993-12-02 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241235472431125512575115610136197',2966,'499',60.44,1,3,NULL),(28,7088531,'1994-06-05 00:00:00',2,1,12,2011,'F','N','COSTEIRA DO PIRAJUB','FLORIANÓPOLIS','SC','124241241225111431324611595124610128021',15308,'262',35.18,1,3,NULL),(28,7088540,'1993-06-17 00:00:00',4,2,12,2011,'M','N','CIDADE MONÇÕES','S PAULO','SP','125242251217111431479814575112610114093',3257,'9998',61.18,1,3,NULL),(28,7088558,'1992-09-10 00:00:00',4,1,12,2009,'M','N','ALTO DA LAPA','S PAULO','SP','125252251216572731488711575122610166127',728,'9998',73.19,1,3,NULL),(28,7088566,'1994-07-31 00:00:00',2,10,12,2011,'F','N','SANTO ANDRÉ','CAPIVARI BAIXO','SC','124242241217111331426933345122610128142',NULL,'1120',23.55,1,3,NULL),(28,7088574,'1992-01-27 00:00:00',2,4,12,2009,'M','N','INTERIOR','NOVA ERECHIM','SC','124241242213141431346616455122230228182',20028,'836',27.67,1,3,NULL),(28,7088582,'1994-07-25 00:00:00',2,4,12,2011,'M','N','CENTRO','GALVÃO','SC','124241242237111431446912195122610137057',NULL,'836',14.65,1,3,NULL),(28,7088590,'1994-05-01 00:00:00',4,3,11,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241216111421367811322112610126112',2229,'1038',63.91,1,3,NULL),(28,7088604,'1991-12-16 00:00:00',2,17,12,2009,'M','N','CENTRO','CANOINHAS','SC','124241241317472411436732575125142426097',NULL,'1016',7.01,1,3,NULL),(28,7088612,'1994-03-12 00:00:00',4,1,12,2011,'M','N','ATALAIA','ARACAJU','SE','126262261217111531489933575112610167052',5650,'9998',55.33,4,3,NULL),(28,7088620,'1993-02-06 00:00:00',4,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215112731335624245124221735142',14190,'1134',47.12,4,1,2),(28,7088639,'1994-11-23 00:00:00',4,4,12,2011,'M','N','CENTRO','CORREIA PINTO','SC','124243241216141411433611575124610164012',11013,'499',44.44,3,3,NULL),(28,7088647,'1994-07-09 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124244241215372431566832345122610167043',4827,'211',56.24,1,3,NULL),(28,7088655,'1995-01-13 00:00:00',2,1,12,2011,'M','N','CENTRO','PALMA SOLA','SC','124241241112131221323369242131610117052',NULL,'598',28.96,1,2,1),(28,7088680,'1986-04-07 00:00:00',4,8,12,2003,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241126141421433434345123333227052',18688,'894',36.52,1,3,NULL),(28,7088698,'1992-06-15 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215211621651322115124610124112',NULL,'300',42.32,1,3,NULL),(28,7088701,'1992-09-29 00:00:00',2,1,7,2011,'F','N','BARREIROS','S JOSÉ','SC','124243241317372431526411572114610126017',8100,'739',50.44,1,3,NULL),(28,7088728,'1993-11-14 00:00:00',4,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215111431346623475114610163097',5187,'1022',57.83,1,3,NULL),(28,7088736,'1993-03-13 00:00:00',4,8,12,2010,'M','N','BOA VISTA','JOINVILLE','SC','124241241215371431238623575114610122192',16545,'494',42.54,1,3,NULL),(28,7088744,'1991-12-23 00:00:00',2,1,12,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241115472431446619572124610163197',9899,'281',46.49,1,2,1),(28,7088752,'1994-01-18 00:00:00',2,10,11,2011,'F','N','IMBIRAPUERA','MRO FUMAÇA','SC','124242241215131431433312175124610168047',19979,'226',28.46,1,3,NULL),(28,7088760,'1993-02-04 00:00:00',4,1,12,2010,'M','N','CENTRO','S JOSÉ R PRETO','SP','125252251217372431458614475122610164047',7125,'9998',50.18,1,3,NULL),(28,7088779,'1991-09-16 00:00:00',2,2,12,2008,'F','N','TESTO CENTRAL','POMERODE','SC','124241241217574431447914375114610136147',1337,'88',66.38,1,3,NULL),(28,7088787,'1994-06-09 00:00:00',4,8,11,2011,'F','N','VILA BANDEIRANTES','CPO GRANDE','MS','112122121215471431448833574122610125172',4462,'9998',57.05,1,3,NULL),(28,7088795,'1992-09-07 00:00:00',4,24,12,2009,'F','N','CENTRO','ITUPORANGA','SC','124244241235573431458921575114133226182',5890,'414',60.76,1,3,NULL),(28,7088809,'1993-08-21 00:00:00',4,1,11,2010,'M','N','INÁCIO BARBOSA','ARACAJU','SE','126262261211111431466813331122610114112',6445,'9998',59.79,1,3,NULL),(28,7088825,'1993-11-29 00:00:00',4,24,12,2011,'F','N','SANTANA','RIO SUL','SC','124241241114141411326324272125610165142',NULL,'659',0.00,1,2,1),(28,7088833,'1992-08-08 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124241241122131421321329292124610127047',14583,'1108',34.23,1,2,1),(28,7088841,'1991-11-18 00:00:00',2,1,12,2011,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124243247147141731647812385114610127053',NULL,'9999',22.67,1,3,NULL),(28,7088850,'1994-01-29 00:00:00',4,4,12,2011,'M','N','CENTRO','CONCÓRDIA','SC','124241241216141431348824275124610127042',10290,'1001',45.16,1,3,NULL),(28,7088868,'1993-05-14 00:00:00',4,1,12,2010,'F','N','PAULICEIA','PIRACICABA','SP','125251251117211131653319345112610164147',NULL,'9998',32.36,1,2,1),(28,7088876,'1994-12-29 00:00:00',2,4,12,2011,'M','N','SÃO JOSÉ','PALMAS','PR','116161168216111431324624345122610134042',NULL,'9998',0.00,1,3,NULL),(28,7088884,'1990-02-09 00:00:00',4,8,11,2007,'M','N','NOVA BRASILIA','JOINVILLE','SC','124241241216142221525319442112231424052',18917,'1006',35.62,2,1,2),(28,7088892,'1970-02-27 00:00:00',2,1,12,1999,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','524241247426145711331443332124610125183',16884,'270',34.42,1,3,NULL),(28,7088914,'1993-08-26 00:00:00',2,1,11,2010,'F','N','PONTE DE IMARUIM','PALHOÇA','SC','124241241116472421526314572134610117147',13110,'592',42.05,1,2,1),(28,7088922,'1994-01-27 00:00:00',4,2,12,2011,'F','N','SETE DE SETEMBRO','GASPAR','SC','124242241216271411337732575112610148092',NULL,'1018',16.82,1,3,NULL),(28,7088930,'1994-03-04 00:00:00',4,1,12,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215112431336311575124610167057',8014,'1050',50.78,1,3,NULL),(28,7088949,'1993-10-14 00:00:00',4,1,12,2010,'F','N','JARDIM LEBLON','CPO GRANDE','MS','112122121216472231468333575122610117017',546,'9998',72.34,2,3,NULL),(28,7088957,'1994-08-22 00:00:00',4,4,12,2011,'M','N','PETRÓPOLIS','CAXIAS SUL','RS','120202201217471431448931281124610166182',5243,'9998',54.28,1,3,NULL),(28,7088965,'1992-04-03 00:00:00',4,1,12,2009,'M','N','JD VISTA ALEGRE','PAULÍNIA','SP','125253253115373441576812275122141467047',5177,'9998',55.28,1,3,NULL),(28,7088973,'1993-06-18 00:00:00',4,6,12,2010,'F','N','CORDEIROS','ITAJAÍ','SC','124245241536372431447614291122610118077',12291,'388',50.10,1,3,NULL),(28,7088981,'1993-07-20 00:00:00',4,2,11,2010,'M','N','ESTIVA','TAUBATÉ','SP','125252251217271231356832345115610127047',6043,'9998',53.94,1,3,NULL),(28,7088990,'1994-11-23 00:00:00',2,1,12,2011,'M','N','BELA VISTA','S JOSÉ','SC','124243241115131431426513572124610167047',NULL,'257',15.58,1,3,NULL),(28,7089007,'1993-08-29 00:00:00',2,8,12,2011,'M','N','BOM RETIRO','JOINVILLE','SC','124241241217111731646912175122610144142',NULL,'1006',0.00,1,3,NULL),(28,7089015,'1994-02-03 00:00:00',4,1,12,2010,'F','N','PAULICÉIA','PIRACICABA','SP','125252251217331531686612342112610163077',18491,'9998',37.32,1,3,NULL),(28,7089023,'1991-05-30 00:00:00',4,8,12,2008,'F','N','AMÉRICA','JOINVILLE','SC','124244258215574411468614575122610166177',923,'9998',69.47,1,3,NULL),(28,7089031,'1993-03-09 00:00:00',2,1,11,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216372431448832475122610163182',8977,'817',50.42,1,3,NULL),(28,7089040,'1989-02-06 00:00:00',4,1,12,2007,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241417142112344624245124610162172',NULL,'1134',22.15,4,1,2),(28,7089074,'1994-05-18 00:00:00',2,15,12,2011,'M','N','COLONINHA','MELEIRO','SC','124241248115151421328629492122610117053',NULL,'559',18.22,1,3,NULL),(28,7089082,'1991-03-20 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124161241116573721557639495114610144057',9579,'732',46.93,1,2,1),(28,7089090,'1994-08-30 00:00:00',4,1,12,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241112371431338611372124610131182',12803,'405',41.90,1,3,NULL),(28,7089104,'1994-01-10 00:00:00',2,5,12,2011,'F','N','CENTRO','IÇARA','SC','124246246235131432528614576124610121052',NULL,'188',0.00,4,3,NULL),(28,7089112,'1992-11-14 00:00:00',4,1,12,2010,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124241241316152421332763275124610167061',NULL,'1075',22.36,1,3,NULL),(28,7089120,'1994-11-29 00:00:00',2,1,12,2011,'M','N','NOVA BELÉM','PAULO LOPES','SC','124243241212111731457712575114610114183',7979,'1011',51.32,1,3,NULL),(28,7089139,'1994-07-11 00:00:00',4,1,12,2011,'F','N','ALVORADA','HORIZONTINA','RS','120204201217151331467823575122610121186',11822,'9998',41.89,1,3,NULL),(28,7089147,'1988-06-04 00:00:00',2,1,7,2007,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241117371431227844345124610122183',5242,'306',55.14,1,3,NULL),(28,7089155,'1993-12-20 00:00:00',4,10,12,2010,'F','N','JARDIM ITÚ SABARÁ','PTO ALEGRE','RS','120202201215471431326639572124610136097',6867,'9998',51.47,1,3,NULL),(28,7089163,'1994-09-17 00:00:00',4,7,11,2011,'F','N','CENTRO','JOAÇABA','SC','124242241216372431436619595125610167052',8520,'454',47.05,1,3,NULL),(28,7089180,'1994-05-04 00:00:00',2,1,12,2011,'M','N','PACHECO','PALHOÇA','SC','124242241212111431556611245122610142142',13581,'1175',42.69,1,3,NULL),(28,7089198,'1994-07-16 00:00:00',4,6,11,2011,'M','N','PRAIA BRAVA','ITAJAÍ','SC','124242241215111431455632575112610122182',2558,'1038',65.02,1,3,NULL),(28,7089210,'1993-12-03 00:00:00',5,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201241115271431426611575124610123145',15269,'257',37.11,1,2,1),(28,7089228,'1995-05-26 00:00:00',4,9,10,2011,'F','N','CENTRO','LAGES','SC','124242241215111431458312142122610163012',10079,'497',46.34,1,3,NULL),(28,7089244,'1993-10-01 00:00:00',2,8,12,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124242246216131421449713575121610117042',17825,'1006',39.41,1,3,NULL),(28,7089252,'1973-06-17 00:00:00',2,1,12,1995,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','624201207446233751243444342114143228191',11659,'9998',43.40,4,3,NULL),(28,7089260,'1992-07-30 00:00:00',2,1,12,2009,'M','N','BELA VISTA','PALHOÇA','SC','124241241115143431323311112122610122192',NULL,'592',0.00,1,2,1),(28,7089279,'1993-10-24 00:00:00',4,3,12,2010,'F','N','JARDIM NOVA ERA','CAIEIRAS','SP','125253251116472431236614275125141427012',2045,'9998',64.02,1,3,NULL),(28,7089287,'1993-12-20 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431236729575124610162182',7056,'270',53.01,1,3,NULL),(28,7089295,'1991-12-18 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','224241241126372431323474342314610157147',19547,'734',32.38,4,2,1),(28,7089309,'1991-08-10 00:00:00',2,15,12,2008,'F','N','OPERARIA','ARARANGUÁ','SC','124241241111141431426634385123233221053',NULL,'30',27.97,1,3,NULL),(28,7089317,'1984-07-03 00:00:00',4,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216374431389923495124422226182',1369,'270',67.03,4,3,NULL),(28,7089325,'1992-07-26 00:00:00',4,10,12,2009,'M','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124241241117371431448933575124131437052',5860,'798',53.61,1,2,1),(28,7089333,'1991-04-15 00:00:00',4,1,12,2008,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215574431449923475122231067082',7127,'270',58.61,1,3,NULL),(28,7089341,'1994-05-15 00:00:00',4,8,11,2011,'M','N','AMERICA','JOINVILLE','SC','124242241215111432469919572122610167062',465,'1063',74.07,1,3,NULL),(28,7089350,'1995-05-05 00:00:00',2,1,12,2012,'F','S','PONTE DO IMARUIM','PALHOÇA','SC','124242248216111431333632577122610122097',NULL,'1011',45.35,1,3,NULL),(28,7089368,'1993-11-03 00:00:00',4,1,11,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215122431459913375124610166032',8501,'270',50.03,1,3,NULL),(28,7089376,'1993-06-01 00:00:00',4,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117272431546614345124610114012',13184,'772',38.57,1,3,NULL),(28,7089392,'1986-06-06 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117373731436419382114610168145',14567,'281',39.03,1,2,1),(28,7089414,'1992-12-07 00:00:00',4,1,12,2010,'F','N','VILA BOA VISTA','STO ANDRÉ','SP','125252251117471431267927575112610164047',2678,'9998',60.90,1,3,NULL),(28,7089430,'1990-03-26 00:00:00',4,1,12,2007,'F','N','IBIRAQUERA','IMBITUBA','SC','124252251217271731327829395124143235187',5451,'9998',52.03,1,3,NULL),(28,7089449,'1993-12-20 00:00:00',4,1,12,2010,'F','N','CAMBUI','CAMPINAS','SP','108254081216472431446611575122610133012',NULL,'9998',0.00,1,3,NULL),(28,7089457,'1995-03-21 00:00:00',4,9,11,2011,'M','N','CENTRO','LAGES','SC','124241246215141431239832575124610137052',17630,'1106',39.93,4,3,NULL),(28,7089465,'1994-11-04 00:00:00',4,8,12,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215371751568813575122610128132',5330,'457',56.38,1,3,NULL),(28,7089481,'1994-04-25 00:00:00',2,5,12,2011,'M','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124241241215271421535331311224610168112',13554,'227',40.88,1,3,NULL),(28,7089503,'1993-04-29 00:00:00',2,1,12,2011,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241215122431127514272324610127047',12236,'1022',41.66,1,3,NULL),(28,7089511,'1968-09-24 00:00:00',2,1,7,1989,'F','N','CAREANOS','FLORIANÓPOLIS','SC','524241247626131711433343335124610161197',NULL,'9999',28.50,1,3,NULL),(28,7089520,'1994-06-17 00:00:00',4,1,12,2011,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124244241217271441458813582124610143164',17859,'1022',39.31,1,3,NULL),(28,7089538,'1987-08-23 00:00:00',2,16,12,2005,'M','N','BOSQUE','CURITIBANOS','SC','124241241126171532324614435122232327041',NULL,'239',27.34,4,3,NULL),(28,7089546,'1992-06-21 00:00:00',4,5,12,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241417111431236324345121610132012',17681,'209',27.94,1,3,NULL),(28,7089554,'1996-05-30 00:00:00',4,1,12,2013,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124242248215111231238413592124610137142',NULL,'1022',18.27,1,3,NULL),(28,7089589,'1994-06-21 00:00:00',2,26,11,2011,'F','N','IMIGRANTES','CONCÓRDIA','SC','124244241216371431435612295122610164092',13082,'1000',48.86,1,3,NULL),(28,7089597,'1994-04-21 00:00:00',4,3,12,2011,'F','N','CENTRO','BOMBINHAS','SC','124241241215161431335634575122610112142',2133,'1119',64.00,1,3,NULL),(28,7089600,'1972-12-08 00:00:00',3,1,12,1991,'M','N','JURERÊ','FLORIANÓPOLIS','SC','224201201136251731247843435124141126043',16196,'9998',43.35,1,3,NULL),(28,7089627,'1993-03-26 00:00:00',2,1,12,2009,'M','N','BOA VISTA','JUARA','MT','111113251336132411228874145131610137057',NULL,'9998',0.00,1,3,NULL),(28,7089635,'1993-05-15 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241316373431438613572124610123047',11704,'515',42.82,1,3,NULL),(28,7089643,'1992-07-08 00:00:00',2,1,3,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124211211336472411217513382114610134052',NULL,'9998',28.21,1,3,NULL),(28,7089660,'1989-07-30 00:00:00',4,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241115375431469923472124231027042',14755,'271',46.07,1,2,1),(28,7089678,'1993-01-20 00:00:00',2,3,12,2009,'M','N','GUABIROTUBA','CURITIBA','PR','116162161216511411446615475112610147042',NULL,'9998',0.00,1,3,NULL),(28,7089686,'1995-02-13 00:00:00',4,10,11,2011,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215111411445912575122610167052',18638,'807',36.75,1,3,NULL),(28,7089694,'1994-09-22 00:00:00',4,2,10,2011,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241235111231389813575122610117062',1069,'909',69.20,1,3,NULL),(28,7089708,'1992-08-26 00:00:00',4,4,12,2009,'M','N','ESTEVÃO CARRARO','ERECHIM','RS','120201201117371431434431295124610127042',NULL,'9998',18.55,1,2,1),(28,7089716,'1993-06-06 00:00:00',4,1,11,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217472431478913575112610137045',4222,'270',60.11,1,3,NULL),(28,7089724,'1994-07-12 00:00:00',2,8,12,2011,'F','N','ÁGUA BRANCA','S FRANCISCO SUL','SC','124252241217111431467814345122610134052',14586,'992',40.12,4,3,NULL),(28,7089732,'1982-02-17 00:00:00',2,1,6,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241247316131731318612485124232757142',NULL,'9999',19.91,2,1,2),(28,7089740,'1994-07-07 00:00:00',4,1,12,2011,'M','N','PASSA VINTE','PALHOÇA','SC','124244241215111431448513335124610124187',11560,'1011',44.51,1,3,NULL),(28,7089759,'1993-10-13 00:00:00',2,24,11,2011,'F','N','CENTRO','PRES GETÚLIO','SC','124242241215111431478712274124610128142',4012,'991',57.51,1,3,NULL),(28,7089767,'1994-04-26 00:00:00',2,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124241241215151431325614575122610127077',13819,'976',38.93,1,3,NULL),(28,7089791,'1990-01-20 00:00:00',4,1,7,2007,'M','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','224241241337163712157453145124141924147',18442,'9999',37.49,1,3,NULL),(28,7089805,'1993-04-16 00:00:00',4,23,12,2010,'M','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124241241437141431456614345121230227042',13011,'438',48.97,1,3,NULL),(28,7089813,'1994-10-19 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431588833172115610138192',1763,'262',70.65,1,3,NULL),(28,7089830,'1994-03-28 00:00:00',4,1,12,2011,'F','N','BATEL','CURITIBA','PR','116162161216111431368811574144610122092',9247,'9998',45.19,1,3,NULL),(28,7089848,'1993-08-05 00:00:00',4,1,12,2010,'M','N','BNH III PLANO','DOURADOS','MS','112122121217471431558831575122610167122',5324,'9998',54.69,1,3,NULL),(28,7089856,'1994-12-20 00:00:00',2,3,12,2011,'M','N','PATRIMÔNIO','MASSARANDUBA','SC','124241242116131431359813595124610128057',18272,'129',38.06,1,2,1),(28,7089864,'1994-12-27 00:00:00',4,1,12,2011,'M','N','JARDIM MARAJOARA','S PAULO','SP','125252251216371431568938575112610117052',7425,'9998',50.77,1,3,NULL),(28,7089872,'1994-03-14 00:00:00',2,6,12,2011,'F','N','FAZENDA','ITAJAÍ','SC','124242241217371211424614575124610164197',NULL,'388',20.94,1,3,NULL),(28,7089880,'1994-01-10 00:00:00',4,1,11,2011,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251237121431548832175122610132111',8165,'9998',51.20,1,3,NULL),(28,7089899,'1994-04-12 00:00:00',4,1,12,2011,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111442349614575124610138016',2693,'1134',63.77,1,3,NULL),(28,7089902,'1994-09-19 00:00:00',2,25,12,2011,'M','N','HAUER','CURITIBA','PR','116163161116471511347823282124610167147',NULL,'9998',34.17,1,3,NULL),(28,7089910,'1993-09-28 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241248116372431526534345124610132057',18088,'287',31.48,1,2,1),(28,7089929,'1995-03-31 00:00:00',4,1,11,2012,'F','S','SÃO JOSÉ','ARACAJU','SE','126262261217111732458824574122610132142',NULL,'9998',64.32,1,3,NULL),(28,7089937,'1994-10-15 00:00:00',2,9,11,2011,'F','N','CORAL','LAGES','SC','124242241215111411425334592122610127017',8152,'1207',48.91,1,3,NULL),(28,7089945,'1991-01-18 00:00:00',4,8,12,2008,'F','N','AMÉRICA','JOINVILLE','SC','125252211217573431339812571125610127072',NULL,'9998',0.00,1,3,NULL),(28,7089953,'1970-01-18 00:00:00',2,1,11,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124231247522131431112248182124610118197',NULL,'9999',0.00,4,3,NULL),(28,7089970,'1995-05-02 00:00:00',4,1,12,2012,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431458813575112610134121',NULL,'262',31.26,1,3,NULL),(28,7089996,'1995-11-14 00:00:00',4,1,11,2012,'F','S','JARDIM BIGUAÇU','BIGUAÇU','SC','124242241216111731468833574112610124182',NULL,'270',67.09,1,3,NULL),(28,7090005,'1993-02-10 00:00:00',4,10,12,2010,'F','N','JARDIM TAQUARAL','S PAULO','SP','125254251214371431348821575114610114192',2942,'9998',61.53,1,3,NULL),(28,7090013,'1993-06-13 00:00:00',4,5,12,2010,'M','N','ANA MARIA','CRICIÚMA','SC','124242246217132431346923375124241447042',2591,'995',63.28,1,3,NULL),(28,7090021,'1992-02-03 00:00:00',2,8,12,2009,'M','N','BOA VISTA','JOINVILLE','SC','124241241116141431535514145134610127057',NULL,'477',10.67,1,3,NULL),(28,7090030,'1994-03-08 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215272432456612575122610137072',15607,'737',34.57,1,3,NULL),(28,7090048,'1986-08-19 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124072071216273431469834575122221467123',2661,'9998',62.34,1,3,NULL),(28,7090056,'1995-03-11 00:00:00',4,8,12,2011,'M','N','JARDIM AMERICA','REGISTRO','SP','125254251226471431448834575124610167182',NULL,'9998',0.00,1,3,NULL),(28,7090072,'1991-06-08 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124163241217373431439923372214122261142',14031,'1022',47.35,1,3,NULL),(28,7090080,'1995-05-30 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241216111431438833372124610123182',NULL,'270',44.40,1,3,NULL),(28,7090099,'1984-06-30 00:00:00',2,16,12,2011,'M','N','APARECIDA','CURITIBANOS','SC','124241247123171431211229493341610114131',NULL,'9999',26.95,1,3,NULL),(28,7090102,'1992-07-26 00:00:00',4,1,11,2009,'F','N','JARDIM LAVINIA','S BERNARDO CAMPO','SP','125254251215571431368811571125610168197',199,'9998',77.24,1,3,NULL),(28,7090129,'1968-08-13 00:00:00',2,1,12,1989,'M','N','JARDIM PARAVENTI','GUARULHOS','SP','225251251126471751533353132124610127091',NULL,'9998',0.00,4,2,1),(28,7090137,'1995-09-19 00:00:00',4,1,12,2011,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124242241217122411469913175124610122052',10106,'1011',53.55,1,3,NULL),(28,7090145,'1993-12-29 00:00:00',4,3,11,2010,'F','N','PRAIA DE BELAS','PTO ALEGRE','RS','120203201216471431558913575122610142191',1798,'9998',66.36,1,3,NULL),(28,7090153,'1986-06-14 00:00:00',4,1,12,2003,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241213373331258923495124321227042',3696,'883',56.48,1,3,NULL),(28,7090161,'1991-12-04 00:00:00',4,4,12,2008,'M','N','CENTRO','SAUDADES','SC','124244241215472431479811575122610167017',8778,'1070',48.93,1,3,NULL),(28,7090170,'1991-09-26 00:00:00',4,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241215573751338614575122610146172',7577,'269',49.84,1,3,NULL),(28,7090188,'1994-06-08 00:00:00',2,26,12,2011,'F','N','LINHA GUARANI','CONCÓRDIA','SC','124241241115371431633435575124610137142',NULL,'194',21.94,1,3,NULL),(28,7090200,'1993-09-26 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431324414572124610147152',17845,'1022',39.35,1,3,NULL),(28,7090218,'1992-12-16 00:00:00',2,15,12,2011,'F','N','NOVA BRASILIA','SOMBRIO','SC','124241241131131411323329272345610127072',NULL,'1033',0.00,1,2,1),(28,7090226,'1994-02-24 00:00:00',4,7,12,2011,'F','N','LAR IMÓVEIS','CAPINZAL','SC','124241246117271431436712575124610163057',11077,'196',45.06,1,2,1),(28,7090234,'1994-10-20 00:00:00',4,1,12,2011,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241215151332324434575124610134052',20056,'1075',27.22,1,3,NULL),(28,7090242,'1994-10-17 00:00:00',4,3,11,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241215371431336914115121610137042',7700,'403',50.71,1,3,NULL),(28,7090250,'1987-12-16 00:00:00',2,4,12,2004,'F','N','BOM JESUS','S JOSÉ PINHAIS','PR','116161161116572411433619491124343236147',1271,'9998',66.91,1,2,1),(28,7090269,'1994-03-29 00:00:00',4,6,12,2011,'F','N','CENTRO','BOMBINHAS','SC','124241242115161431534314575124610127057',6041,'129',54.39,1,2,1),(28,7090285,'1985-09-11 00:00:00',2,1,5,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243242114132421124743335124442912187',13847,'143',47.65,1,3,NULL),(28,7090307,'1992-06-15 00:00:00',4,8,12,2009,'M','N','VILA MAZZEI','S PAULO','SP','125254251116371431567733575125143162042',2247,'9998',63.71,1,3,NULL),(28,7090315,'1992-08-17 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431447614485114610124073',18633,'738',36.76,1,3,NULL),(28,7090323,'1986-01-30 00:00:00',4,8,12,2003,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215311331448833575122341044092',NULL,'9998',0.00,1,3,NULL),(28,7090331,'1994-11-12 00:00:00',4,5,12,2011,'F','N','SÃO BONIFÁCIO','NOVA VENEZA','SC','124241241127141751321623395124610134057',14575,'578',38.36,1,2,1),(28,7090340,'1993-09-01 00:00:00',4,2,12,2010,'M','N','BOSQUE LUCAS ARAUJO','PASSO FUNDO','RS','120202201211471221469913391122610122122',3212,'9998',60.01,1,3,NULL),(28,7090358,'1992-09-25 00:00:00',4,4,11,2009,'F','N','PARQUE DAS PALMEIRAS','CHAPECÓ','SC','124241241214574431328934292122610127147',8348,'1191',49.66,1,3,NULL),(28,7090366,'1994-07-26 00:00:00',2,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241115131531423314572344610127047',12320,'289',42.71,1,2,1),(28,7090374,'1992-07-21 00:00:00',2,2,12,2009,'F','N','SÃO ROQUE','NOVA TRENTO','SC','124241241135373431433811395122610122147',11563,'574',43.20,1,2,1),(28,7090404,'1993-11-28 00:00:00',4,1,12,2011,'M','N','JARDIM MARCO ZERO','MACAPÁ','AP','103032031216371451588833572122610134182',5988,'9998',55.39,3,3,NULL),(28,7090412,'1993-09-08 00:00:00',4,23,12,2010,'M','N','VILA LALAU','JARAGUÁ SUL','SC','124241241116372431668924575115610164041',NULL,'430',30.08,1,2,1),(28,7090420,'1994-05-28 00:00:00',4,8,12,2011,'F','N','ITINGA','JOINVILLE','SC','124241241216111411427831572124610126057',NULL,'1006',0.00,1,3,NULL),(28,7090439,'1985-06-07 00:00:00',4,1,12,2002,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124251251116151441155643435332241067143',472,'9998',73.45,1,3,NULL),(28,7090447,'1993-02-02 00:00:00',4,6,12,2010,'F','N','BARRA','BAL CAMBORIÚ','SC','124241241146151431634571572112610115052',NULL,'51',10.36,1,3,NULL),(28,7090463,'1990-08-17 00:00:00',2,1,12,2010,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124243247416151431227519445114610162143',NULL,'9999',21.70,1,3,NULL),(28,7090471,'1994-09-20 00:00:00',4,4,12,2011,'F','N','CENTRO','IPUMIRIM','SC','124241241111471431323324572124610122197',12216,'374',42.04,1,2,1),(28,7090480,'1991-03-04 00:00:00',4,1,12,2008,'M','N','CENTRO','ROLÂNDIA','PR','116162161212572431488931572112141023192',6868,'9998',50.81,1,3,NULL),(28,7090498,'1994-02-12 00:00:00',2,4,12,2010,'F','N','SANTA LÚCIA','PALMITOS','SC','124241241116472731433639585124610118187',NULL,'601',31.00,1,2,1),(28,7090501,'1992-06-25 00:00:00',2,1,11,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124244248215372451328622594124610125047',15023,'270',36.67,1,3,NULL),(28,7090510,'1995-01-10 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431369933575121610124162',297,'262',76.24,1,3,NULL),(28,7090528,'1994-03-30 00:00:00',2,22,12,2011,'F','N','VIGOLO','NOVA TRENTO','SC','124241241115271431543511395122610133197',17853,'574',31.48,1,2,1),(28,7090552,'1992-12-03 00:00:00',4,1,12,2010,'M','N','COESTER','FERNANDÓPOLIS','SP','125252251217472431558931572122610117017',615,'9998',69.60,1,3,NULL),(28,7090560,'1993-08-31 00:00:00',4,7,12,2011,'M','N','REGINA','CATANDUVAS','SC','124241241136271431448614385224610132172',13250,'161',40.82,1,2,1),(28,7090587,'1993-09-10 00:00:00',2,1,12,2010,'F','N','PARAISO','S PAULO','SP','125252251216471211327521385114141423072',NULL,'9998',29.50,1,3,NULL),(28,7090595,'1994-06-15 00:00:00',2,27,12,2011,'F','N','SÃO LUIS','S MIGUEL OESTE','SC','124241241416111431437913575124610127012',10393,'752',45.23,4,3,NULL),(28,7090609,'1992-11-10 00:00:00',4,1,6,2011,'F','N','JARDIM ALVORADA','ALVORADA','RS','120201207136471421628669272214610164197',12015,'9998',41.27,1,2,1),(28,7090617,'1994-07-07 00:00:00',2,5,12,2011,'M','N','VILA ISABEL','CRICIÚMA','SC','124244248215111231435631575124610137142',15000,'995',45.62,1,3,NULL),(28,7090633,'1992-07-13 00:00:00',4,8,11,2010,'F','N','SANTA FÉ','VINHEDO','SP','125252251217471531448834585122610131143',NULL,'9998',0.00,1,3,NULL),(28,7090650,'1991-09-28 00:00:00',4,1,12,2009,'F','N','COLORAU','SOROCABA','SP','125251251116131451344321485114610146147',8443,'9998',47.01,1,2,1),(28,7090668,'1994-06-17 00:00:00',4,7,11,2011,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161217111431449914574124610162142',2280,'9998',64.18,1,3,NULL),(28,7090676,'1994-01-28 00:00:00',4,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215371431559813575122610134182',508,'461',73.61,1,3,NULL),(28,7090692,'1992-09-19 00:00:00',4,1,12,2009,'F','N','MAR GROSSO','LAGUNA','SC','124242241226272711258629575122231412092',18854,'524',35.87,1,3,NULL),(28,7090714,'1994-05-28 00:00:00',4,1,12,2011,'F','N','RIBEIRANIA','RIBEIRÃO PRETO','SP','125252251217111331568831572122610113187',NULL,'9998',0.00,1,3,NULL),(28,7090722,'1995-06-28 00:00:00',4,1,12,2012,'F','S','PONTA DE BAIXO','S JOSÉ','SC','124242241217111731478612572122610124072',NULL,'737',51.18,1,3,NULL),(28,7090730,'1991-05-04 00:00:00',4,6,12,2008,'F','N','SANTANA','S PAULO','SP','125252201217571731478834572122610127072',4271,'9998',56.63,1,3,NULL),(28,7090757,'1989-09-24 00:00:00',4,1,11,2006,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124201201116141431123344342124610135147',NULL,'9998',25.30,1,2,1),(28,7090765,'1990-11-10 00:00:00',4,1,12,2008,'M','N','ALTOS DO ESPLANADA','S JOSÉ CAMPOS','SP','125252251216571431467731571122141422092',68,'9998',83.78,1,3,NULL),(28,7090773,'1994-12-21 00:00:00',4,9,11,2011,'F','N','CENTRO','LAGES','SC','124243241215112411558712575122610148197',NULL,'1207',0.00,3,3,NULL),(28,7090790,'1991-06-24 00:00:00',2,1,12,2009,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241116141731424319345123610127052',NULL,'359',29.07,1,3,NULL),(28,7090803,'1993-12-14 00:00:00',4,1,12,2011,'M','N','JARDIM PRESIDENTE','RIO VERDE','GO','109092091216111731479816575112610167042',5338,'9998',56.25,1,3,NULL),(28,7090811,'1992-12-02 00:00:00',2,1,11,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215373731338614395124232522182',NULL,'1022',36.99,1,3,NULL),(28,7090820,'1994-04-18 00:00:00',2,10,11,2011,'F','N','MAGALHÃES','LAGUNA','SC','124242241211112431437714575114610144047',15063,'807',37.63,1,3,NULL),(28,7090846,'1985-12-18 00:00:00',4,1,1,2009,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241247121242131323344341323610126177',NULL,'9999',0.00,1,2,1),(28,7090854,'1986-04-23 00:00:00',2,1,12,2003,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241116575431544331335114610124147',17567,'592',40.14,1,2,1),(28,7090889,'1994-02-25 00:00:00',4,9,12,2011,'F','N','CONTA DINHEIRO','LAGES','SC','124241241311371431435511572124610154142',NULL,'499',22.80,1,3,NULL),(28,7090900,'1990-09-14 00:00:00',2,16,12,2008,'M','N','CENTRO','CURITIBANOS','SC','124242241211161521329615455112610167045',NULL,'237',0.00,1,3,NULL),(28,7090919,'1994-12-20 00:00:00',4,5,12,2011,'M','N','CENTRO','STA ROSA SUL','SC','124243241117161431569613291125610134062',NULL,'577',12.63,1,3,NULL),(28,7090927,'1994-10-18 00:00:00',4,2,12,2011,'M','N','MARGEM ESQUERDA','GASPAR','SC','124241241135141431326624345121610136042',13239,'327',40.14,1,2,1),(28,7090935,'1994-07-03 00:00:00',4,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124242241217121431458831572214610123062',7171,'1022',53.87,1,3,NULL),(28,7090943,'1992-03-25 00:00:00',4,23,12,2009,'M','N','TRÊS RIOS DO NORTE','JARAGUÁ SUL','SC','124241241127471711234624245223131447071',8142,'426',49.04,1,2,1),(28,7090951,'1986-12-29 00:00:00',4,1,12,2004,'M','N','JARDIM BOA VISTA','ASSIS','SP','125251251115572411358919195122610164082',3619,'9998',57.93,1,2,1),(28,7090960,'1985-05-15 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471431469931572122132065092',NULL,'909',0.00,1,3,NULL),(28,7090986,'1993-02-20 00:00:00',2,1,12,2009,'F','N','BOM JESUS','PTO ALEGRE','RS','120163161436571431456612572114610137057',15747,'9998',44.21,1,3,NULL),(28,7090994,'1993-01-07 00:00:00',4,8,12,2010,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241215471431229921372122610154182',1502,'1063',68.30,1,3,NULL),(28,7091001,'1994-03-11 00:00:00',4,23,12,2011,'F','N','SANTA LUZIA','JARAGUÁ SUL','SC','124242241215472431466932575114610132072',4595,'1063',57.27,1,3,NULL),(28,7091010,'1992-06-25 00:00:00',4,1,12,2010,'F','N','RIO BRANCO','S LEOPOLDO','RS','120201248113272431338613391124610138197',7848,'306',50.11,1,2,1),(28,7091028,'1991-04-08 00:00:00',4,8,11,2008,'F','N','JARDIM ADALGISA','OSASCO','SP','125252251215572431458711571124610126092',NULL,'9998',0.00,1,3,NULL),(28,7091036,'1994-04-30 00:00:00',4,4,11,2011,'F','N','SANTA AUGUSTA','BRAÇO NORTE','SC','124242241215121431469812575122610138052',2834,'807',63.16,1,3,NULL),(28,7091044,'1992-04-24 00:00:00',4,1,12,2008,'M','N','CENTRO','CHAPECÓ','SC','124242241217271411389513575321133224175',NULL,'185',28.58,1,3,NULL),(28,7091052,'1995-04-25 00:00:00',4,15,12,2011,'M','N','CENTRO','ERMO','SC','124241246146141231329933575124610127055',NULL,'250',23.19,1,2,1),(28,7091060,'1996-04-05 00:00:00',4,1,12,2012,'F','S','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124241241215111731347721575124610162092',NULL,'1022',36.83,1,3,NULL),(28,7091079,'1991-04-09 00:00:00',4,1,12,2008,'F','N','NOVA PIRACICABA','PIRACICABA','SP','125252251216574431447832575125610124077',621,'9998',71.13,1,3,NULL),(28,7091087,'1994-10-25 00:00:00',4,10,12,2011,'F','N','HUMAITA','TUBARÃO','SC','124241241117131431326824475114610162197',11551,'798',45.45,1,2,1),(28,7091109,'1989-04-05 00:00:00',4,6,12,2006,'M','N','CENTRO','ITAPEMA','SC','124244241236131711326618485224131228017',15039,'836',45.53,1,3,NULL),(28,7091150,'1994-02-21 00:00:00',2,24,12,2011,'F','N','RIBEIRAO MATILDE','ATALANTA','SC','124241242117141411324611395124610114057',NULL,'1222',24.16,1,2,1),(28,7091168,'1993-07-18 00:00:00',4,1,11,2010,'M','N','VILA MARIANA','S PAULO','SP','125252251217412431379813595112610167097',4536,'9998',55.29,1,3,NULL),(28,7091176,'1992-12-13 00:00:00',4,1,12,2010,'F','N','ITAIM BIBI','S PAULO','SP','125252251217411431589912371122610117142',NULL,'9998',0.00,1,3,NULL),(28,7091184,'1994-12-14 00:00:00',4,1,12,2011,'M','N','SANTA ISABEL','ÁGUAS MORNAS','SC','124241241115471731523315155124610132147',16053,'978',43.60,1,2,1),(28,7091192,'1993-10-08 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241216272431538512575124610124157',16270,'1048',35.65,1,3,NULL),(28,7091214,'1994-01-26 00:00:00',2,16,12,2011,'F','N','BOSQUE','CURITIBANOS','SC','124241241114471441634313581122610146177',15327,'239',37.38,1,2,1),(28,7091222,'1994-05-30 00:00:00',4,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124241241115271231555532585122610117052',19717,'730',30.96,1,3,NULL),(28,7091230,'1995-01-03 00:00:00',2,15,12,2011,'F','N','MORRO DOS CONVENTOS','ARARANGUÁ','SC','124241241115371431323614572212610127045',NULL,'29',24.08,1,3,NULL),(28,7091249,'1988-08-09 00:00:00',4,8,12,2005,'M','N','FLORESTA','JOINVILLE','SC','124241246217141722366419445122131427171',19474,'494',32.88,1,3,NULL),(28,7091265,'1995-05-27 00:00:00',4,22,11,2012,'F','S','SÃO LUIZ','BRUSQUE','SC','124242241215111431379934575112610123112',NULL,'107',47.33,1,3,NULL),(28,7091273,'1977-10-29 00:00:00',2,1,12,1997,'M','N','BELA VISTA II','S JOSÉ','SC','124243247332135411512213182115131237027',NULL,'9999',0.00,1,3,NULL),(28,7091281,'1994-06-26 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372531489934475114610132147',5131,'270',54.52,1,3,NULL),(28,7091290,'1994-04-19 00:00:00',4,1,12,2011,'M','N','JARDIM BOTÂNICO','LG SUL','DF','107072071217111431589924571112610164112',5394,'9998',55.94,1,3,NULL),(28,7091303,'1992-11-27 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241216472431349933575122610123097',2783,'457',63.10,1,3,NULL),(28,7091311,'1993-04-08 00:00:00',4,2,12,2010,'F','N','ÁGUA VERDE','CURITIBA','PR','116242241235472451356834575122610134147',2864,'909',60.86,1,3,NULL),(28,7091320,'1994-09-22 00:00:00',4,5,12,2011,'M','N','SÃO GABRIEL','FORQUILHINHA','SC','124241241116111431424416195124610124142',15797,'309',38.88,1,2,1),(28,7091338,'1994-06-20 00:00:00',4,8,12,2011,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241112161431333614575124610112177',14746,'484',39.43,4,2,1),(28,7091346,'1993-03-30 00:00:00',4,4,11,2010,'F','N','AGUA VERDE','CURITIBA','PR','116242161215472431469932573224610132083',421,'9998',71.97,1,3,NULL),(28,7091354,'1994-04-02 00:00:00',4,1,11,2011,'F','N','NOVA HIGIENOPOLIS','JANDIRA','SP','125252251215111411378814475122610144022',NULL,'9998',0.00,1,3,NULL),(28,7091370,'1993-02-21 00:00:00',4,3,12,2009,'F','N','VILA VERDE','PNT PORÃ','MS','112122161213573431455716575121610133077',NULL,'9998',0.00,4,3,NULL),(28,7091400,'1988-08-06 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124131136116473731424619285124610167042',12541,'9998',42.08,4,2,1),(28,7091419,'1994-08-01 00:00:00',2,26,12,2011,'F','N','IMPERIAL','CONCÓRDIA','SC','124241241115271731633534285124610134057',14629,'192',46.29,1,2,1),(28,7091427,'1986-05-22 00:00:00',2,1,12,2005,'M','N','GUAJUVIRAS','CANOAS','RS','120201201117151731656733345125140428047',NULL,'9998',0.00,2,3,NULL),(28,7091435,'1981-07-24 00:00:00',2,1,12,2003,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241247146131731121344245114610135197',NULL,'736',18.57,1,2,1),(28,7091443,'1995-11-29 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215151411356612575122610134052',11270,'273',51.68,1,3,NULL),(28,7091478,'1994-02-02 00:00:00',4,8,11,2011,'M','N','AMÉRICA','JOINVILLE','SC','124242241235271431369933575124610168145',3598,'459',62.33,1,3,NULL),(28,7091486,'1993-11-30 00:00:00',4,10,12,2010,'M','N','STO ATONIO DE PÁDUA','TUBARÃO','SC','124242241217372431368813575122231054092',6920,'1120',52.52,1,3,NULL),(28,7091494,'1991-11-28 00:00:00',2,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126372431436413485124232766183',9088,'9997',47.33,1,2,1),(28,7091532,'1992-09-06 00:00:00',4,1,12,2009,'F','N','CENTRO','FOZ IGUAÇU','PR','116162161216472331358619575124610121082',15041,'9998',37.49,1,3,NULL),(28,7091540,'1991-05-13 00:00:00',2,6,12,2009,'F','N','CIDADE NOVA','ITAJAÍ','SC','124241241147372431531319382224610114047',NULL,'929',29.07,1,2,1),(28,7091559,'1994-07-07 00:00:00',4,1,12,2011,'F','N','VILA BRASIL','LONDRINA','PR','116161161117371411338824575122610162142',6067,'9998',60.48,4,1,1),(28,7091567,'1988-09-14 00:00:00',4,1,12,2006,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120242241414373431458833472124130242152',489,'270',74.54,1,3,NULL),(28,7091575,'1993-08-20 00:00:00',4,6,12,2010,'M','N','CENTRO','ITAJAÍ','SC','124242241217372431248912285124230732122',4746,'392',58.01,1,3,NULL),(28,7091591,'1986-01-26 00:00:00',4,1,12,2006,'M','N','MORRO DA BINA','BIGUAÇU','SC','124241241127371431445513242123610127182',NULL,'65',23.53,1,2,1),(28,7091605,'1993-05-03 00:00:00',2,1,12,2010,'F','N','MONTE CRISTO','S PAULO','SP','124241241112142732424419435124610164193',NULL,'257',10.98,1,2,1),(28,7091613,'1992-04-17 00:00:00',4,8,12,2010,'F','N','JARDIM IRIRIU','JOINVILLE','SC','124241248135131132633614242124610123037',NULL,'957',19.37,2,1,1),(28,7091621,'1994-10-01 00:00:00',2,9,12,2011,'F','N','CENTRO','PTE ALTA','SC','124241241116161431226923595112610168143',19551,'625',32.35,5,2,1),(28,7091630,'1994-01-01 00:00:00',4,1,11,2011,'M','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251217111431479811575112610167042',11594,'9998',41.27,1,3,NULL),(28,7091656,'1989-10-24 00:00:00',2,1,12,2006,'F','N','CENTRO','PTO UNIÃO','SC','124242241216574431558839595124610168177',7872,'633',51.81,1,3,NULL),(28,7091664,'1995-01-19 00:00:00',4,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241212111432324832572112610114042',NULL,'1049',20.66,1,3,NULL),(28,7091672,'1989-12-31 00:00:00',4,1,12,2006,'M','N','SÃO MIGUEL','CONCÓRDIA','SC','124243241116575421456619175212610167052',795,'192',72.01,1,3,NULL),(28,7091710,'1990-03-11 00:00:00',4,5,12,2007,'M','N','CRISTO RREDENTOR','CRICIÚMA','SC','224241241117131421233544343223610162047',18978,'209',35.39,1,2,1),(28,7091745,'1995-04-28 00:00:00',2,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241117151431429713575124610132012',NULL,'307',42.59,1,3,NULL),(28,7091753,'1994-02-25 00:00:00',4,10,12,2011,'F','N','HUMAITÁ','TUBARÃO','SC','124241241125161431436923575124610132172',13119,'798',38.39,1,2,1),(28,7091761,'1994-03-22 00:00:00',4,4,11,2011,'F','N','CENTRO','S DOMINGOS','SC','124243241216112431457832575124610141142',7058,'836',50.53,1,3,NULL),(28,7091770,'1995-01-12 00:00:00',4,1,12,2013,'F','S','PEDRA BRANCA','PALHOÇA','SC','124242241215111231548614574122610121142',NULL,'1011',36.64,1,3,NULL),(28,7091796,'1992-04-15 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241137372411525574575114610166191',NULL,'278',20.14,1,2,1),(28,7091818,'1994-04-29 00:00:00',2,26,12,2011,'F','N','BOSUCESSO','GUARAPUAVA','PR','116163161217271431236919595112610167142',NULL,'9998',0.00,1,3,NULL),(28,7091826,'1994-12-22 00:00:00',4,8,12,2012,'M','S','AMERICA','JOINVILLE','SC','124242241237121431589912394122610127042',NULL,'1063',0.00,1,3,NULL),(28,7091834,'1990-10-08 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116142721623314345224610114142',NULL,'298',23.70,1,2,1),(28,7091842,'1993-05-12 00:00:00',4,5,12,2011,'M','N','CENTRO','SIDERÓPOLIS','SC','124242241215322421446521574124610164147',43,'226',81.96,1,3,NULL),(28,7091869,'1989-07-15 00:00:00',4,1,7,2010,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','125241247217141611224424445124610127012',NULL,'9999',21.51,1,3,NULL),(28,7091877,'1988-12-25 00:00:00',4,1,12,2005,'M','N','CENTRO','TIJUCAS','SC','124241241136162431438634245124130222147',18503,'783',37.28,2,1,1),(28,7091885,'1992-02-15 00:00:00',4,1,12,2010,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124241241136272421346313375124610163147',NULL,'225',19.67,1,2,1),(28,7091893,'1993-01-28 00:00:00',4,1,12,2010,'F','N','MOEMA','S PAULO','SP','125252251217472431479911571112610114052',738,'9998',70.21,1,3,NULL),(28,7091907,'1994-12-31 00:00:00',4,8,12,2011,'M','N','SÃO RAFAEL','RIO NEGRINHO','SC','124242241215161431436813575122610127043',13169,'974',41.17,1,3,NULL),(28,7091923,'1992-08-07 00:00:00',4,1,12,2009,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','120202201216471731448619375124610143017',NULL,'9998',0.00,1,3,NULL),(28,7091931,'1992-12-04 00:00:00',2,1,7,2011,'F','N','AREIAS','S JOSÉ','SC','124241243115271431436614345124610126092',9321,'306',47.11,1,2,1),(28,7091940,'1995-02-09 00:00:00',4,6,12,2012,'F','S','SÃO VICENTE','ITAJAÍ','SC','124241241215111431345524275122610146147',NULL,'1059',39.92,1,3,NULL),(28,7091958,'1994-01-21 00:00:00',2,3,12,2011,'F','N','NAÇOES','BAL CAMBORIÚ','SC','124243241335121331343714345122610152047',19375,'53',33.52,1,3,NULL),(28,7091966,'1993-06-10 00:00:00',4,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215472431369923575124610164141',792,'270',70.91,1,3,NULL),(28,7091982,'1993-11-13 00:00:00',2,1,12,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242246112371431356711215124610167042',4954,'306',55.78,1,3,NULL),(28,7091990,'1994-11-15 00:00:00',4,1,12,2011,'F','N','CENTRO','GOIÂNIA','GO','109092091216171431248827571112610166182',NULL,'9998',0.00,1,3,NULL),(28,7092008,'1994-06-06 00:00:00',2,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241415131431326969571114610127072',18330,'307',37.85,1,3,NULL),(28,7092016,'1990-09-26 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241315372431569819575114120762192',NULL,'270',0.00,1,3,NULL),(28,7092024,'1993-01-28 00:00:00',2,9,12,2010,'M','N','BELA VISTA','S JOAQUIM','SC','124242241116272431439814575112131467173',2974,'1207',62.92,1,3,NULL),(28,7092032,'1996-03-24 00:00:00',4,3,12,2012,'F','S','BARRA SUL','BAL CAMBORIÚ','SC','124242241217111431349911595122610148147',NULL,'44',41.62,1,3,NULL),(28,7092059,'1992-08-26 00:00:00',2,2,12,2009,'M','N','ÁGUA VERDE','BLUMENAU','SC','124243241215513721465514275124610167052',12163,'86',50.31,1,3,NULL),(28,7092067,'1994-08-12 00:00:00',1,2,12,2011,'F','N','CENTRO','POMERODE','SC','124242241215111421558612272122610124192',9299,'624',45.80,1,3,NULL),(28,7092075,'1994-04-10 00:00:00',2,1,11,2011,'F','N','ARIRIÚ','PALHOÇA','SC','124242241215121431426634575124610148092',8975,'723',46.24,1,3,NULL),(28,7092083,'1993-04-11 00:00:00',3,1,12,2010,'M','N','CURSINO','S PAULO','SP','125252251217471421488714571112610114056',2702,'9998',59.48,1,3,NULL),(28,7092091,'1994-03-21 00:00:00',4,8,12,2011,'F','N','CIDADE SÃO JORGE','STO ANDRÉ','SP','125252251216371431336831572114610141082',19509,'9998',32.63,1,3,NULL),(28,7092105,'1992-11-17 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124162161215371431367824575112610131152',7258,'9998',52.54,1,3,NULL),(28,7092130,'1995-09-30 00:00:00',4,9,12,2012,'F','S','CENTRO','LAGES','SC','124242241215111731228823432122610127012',NULL,'497',34.42,1,3,NULL),(28,7092148,'1989-04-04 00:00:00',4,3,12,2006,'M','N','JARDIM JEQUITIBA','MARÍLIA','SP','125252251217474431558837475113610167052',8834,'9998',48.31,1,3,NULL),(28,7092164,'1994-09-08 00:00:00',4,1,12,2011,'M','N','CENTRO','ITAJAÍ','SC','124242241215111431468911572345610134042',NULL,'270',0.00,1,3,NULL),(28,7092172,'1989-12-08 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216272421448979445124610128022',NULL,'1011',22.70,1,3,NULL),(28,7092180,'1994-03-28 00:00:00',4,8,12,2011,'F','N','GRANJA VIANA','COTIA','SP','125252251216271431368811575122610122187',7584,'9998',51.33,1,3,NULL),(28,7092199,'1994-05-30 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215121431218969575124610168182',9528,'723',48.42,1,3,NULL),(28,7092202,'1992-04-30 00:00:00',4,1,12,2009,'M','N','GRAÇA','SALVADOR','BA','105052051216571441588853575112610137057',764,'9998',70.24,1,3,NULL),(28,7092245,'1993-05-31 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124241241115141211223321345124610134112',NULL,'732',23.57,1,2,1),(28,7092253,'1994-12-03 00:00:00',4,6,12,2011,'M','N','JARDIM TERRAS DE SAN','LIMEIRA','SP','125244251216111431444627275112610127047',NULL,'9998',0.00,1,3,NULL),(28,7092261,'1993-11-23 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242247217371431467614575124610123092',9048,'9999',55.35,1,3,NULL),(28,7092270,'1992-07-01 00:00:00',2,1,7,2011,'M','N','JORDÃO','GOV CELSO RAMOS','SC','124241246117271431336613215124610125172',8295,'306',48.07,1,2,1),(28,7092288,'1993-01-02 00:00:00',4,10,12,2010,'M','N','CENTRO','TUBARÃO','SC','124241241215372411438833575112610122167',10264,'1120',47.19,1,3,NULL),(28,7092296,'1991-12-10 00:00:00',2,1,10,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115573431248923575114133267057',1506,'270',66.84,1,3,NULL),(28,7092318,'1993-02-26 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241115472431348713572114610167041',6611,'271',54.15,1,3,NULL),(28,7092334,'1994-06-29 00:00:00',4,1,11,2011,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125252251215111731458812571122610136073',1276,'9998',66.86,1,3,NULL),(28,7092350,'1994-03-03 00:00:00',4,10,11,2011,'F','N','CENTRO','TUBARÃO','SC','124242241215111411469913472112610144192',8076,'807',57.01,1,3,NULL),(28,7092369,'1992-01-06 00:00:00',6,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241248117471421426311285124610127072',18813,'9997',23.72,1,2,1),(28,7092407,'1994-04-21 00:00:00',4,7,12,2011,'F','N','BATEL','CURITIBA','PR','116242161217121431558611474122610132013',NULL,'9998',0.00,1,3,NULL),(28,7092423,'1993-06-04 00:00:00',4,1,12,2010,'F','N','BROOKLIN','S PAULO','SP','125252251217471432478831575124610163187',8112,'9998',49.56,1,3,NULL),(28,7092431,'1994-03-23 00:00:00',2,2,12,2011,'F','N','DAS NAÇÕES','INDAIAL','SC','124243241216111431323614345125610134037',NULL,'925',26.10,1,3,NULL),(28,7092440,'1970-10-14 00:00:00',4,1,12,1986,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','524241248126131411138443435124131066172',NULL,'9997',33.92,1,3,NULL),(28,7092458,'1994-05-11 00:00:00',4,8,12,2011,'M','N','ITAUM','JOINVILLE','SC','124244241416111231336614575124610117092',NULL,'459',25.77,1,3,NULL),(28,7092466,'1988-08-31 00:00:00',2,1,12,2005,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241317472431446319285122131267087',NULL,'257',38.86,2,1,2),(28,7092474,'1991-06-24 00:00:00',2,10,12,2008,'M','N','SANTIAGO','LAGUNA','SC','124241241116142431323923345121233215013',NULL,'521',24.80,1,2,1),(28,7092482,'1992-04-07 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242248116372431446632475124610162045',3202,'306',60.31,1,3,NULL),(28,7092490,'1990-01-04 00:00:00',2,17,12,2007,'F','N','BOM JESUS','RIO NEGRO','PR','116161161116574441469913575122610137072',2502,'9998',63.70,1,2,1),(28,7092504,'1994-01-27 00:00:00',4,1,11,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215151412433311575114610131197',17665,'1022',39.84,1,3,NULL),(28,7092520,'1993-08-15 00:00:00',4,1,12,2012,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241217111731458712575112610114017',NULL,'951',22.26,1,3,NULL),(28,7092539,'1991-10-06 00:00:00',2,1,12,2009,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241213373431438614572124123247085',NULL,'989',38.80,1,3,NULL),(28,7092547,'1994-05-18 00:00:00',4,10,12,2011,'M','N','PAES LEME','IMBITUBA','SC','124241241415472431528923575125610126177',3768,'362',58.66,1,3,NULL),(28,7092555,'1967-07-29 00:00:00',2,1,12,1985,'F','N','FLORESTA','S JOSÉ','SC','224241245117142411424454495124133061097',NULL,'521',24.28,1,2,1),(28,7092563,'1992-11-12 00:00:00',4,1,12,2009,'M','N','JARDIM PIRATININGA','S PAULO','SP','125251253115471741623321141124610126017',NULL,'9998',0.00,2,1,1),(28,7092571,'1994-01-04 00:00:00',4,1,11,2011,'F','N','VILA EMA','S JOSÉ CAMPOS','SP','125214251215111431389812575122610162145',12380,'9998',49.97,1,3,NULL),(28,7092580,'1994-01-08 00:00:00',4,6,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241217111431459913575124610162017',1181,'9997',68.78,1,3,NULL),(28,7092598,'1994-10-10 00:00:00',4,1,12,2011,'M','N','VILA LAVINIA','MOGI CRUZES','SP','125252251216271431448814175112610117042',1234,'9998',66.06,1,3,NULL),(28,7092601,'1993-05-27 00:00:00',4,1,9,2010,'M','N','JARDIM TROPICAL','MARÍLIA','SP','125252251217411231479913341112610164187',2798,'9998',63.06,1,3,NULL),(28,7092610,'1992-09-01 00:00:00',4,1,12,2009,'F','N','CENTRO','ITAPECERICA SERRA','SP','125252251217371231335823445124240222147',NULL,'9998',16.71,1,3,NULL),(28,7092628,'1993-09-28 00:00:00',2,8,12,2010,'F','N','BOA VISTA','CURITIBA','PR','116162161217471431528831275122610114073',8408,'9998',51.26,1,3,NULL),(28,7092636,'1991-09-05 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116131431435311245123610167087',17188,'732',32.23,4,2,1),(28,7092644,'1993-08-31 00:00:00',2,1,12,2011,'M','N','JARDIM AMÉRICA','GOIÂNIA','GO','109092091217111431569613575112610117052',3229,'9998',60.48,2,3,NULL),(28,7092660,'1995-04-11 00:00:00',4,3,12,2011,'F','N','TATUAPÉ','S PAULO','SP','125252251216471731448934475122610113042',12310,'9998',42.10,1,3,NULL),(28,7092679,'1994-05-16 00:00:00',4,7,12,2011,'M','N','CENTRO','CAPINZAL','SC','124244241217371431469934592124610127072',2124,'446',61.85,1,3,NULL),(28,7092687,'1985-11-22 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201446131421111144141341610156197',NULL,'9998',16.47,1,3,NULL),(28,7092695,'1992-10-15 00:00:00',4,23,12,2009,'M','N','RIBEIRÃO CAVALO','JARAGUÁ SUL','SC','124241241146131441323311315124131446172',NULL,'429',29.86,1,2,1),(28,7092709,'1993-03-24 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124202241217112431319944442214141644047',NULL,'9999',0.00,1,3,NULL),(28,7092725,'1990-11-11 00:00:00',4,1,12,2008,'M','N','DIVINÉIA','PARANAGUÁ','PR','116161166115131431435614491124610164182',19179,'9998',34.46,2,1,1),(28,7092733,'1995-02-04 00:00:00',2,6,11,2011,'M','N','CENTRO','NAVEGANTES','SC','124242241215111431667733582112610167112',5035,'1026',56.10,1,3,NULL),(28,7092741,'1984-07-27 00:00:00',2,1,12,2003,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241147373451426673345124610127187',13898,'292',39.75,1,3,NULL),(28,7092768,'1994-07-23 00:00:00',4,1,12,2011,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241248115131411436613395122610138141',18425,'733',31.48,1,2,1),(28,7092776,'1988-10-14 00:00:00',4,1,12,2006,'M','N','SANTA CRUZ','RIBEIRÃO PRETO','SP','125252251217574441569914575124610144047',1351,'9998',65.40,1,3,NULL),(28,7092784,'1992-11-05 00:00:00',4,1,12,2009,'M','N','JARDIM DA GLORIA','COTIA','SP','125252251215571411466612575122610138042',314,'9998',79.07,1,3,NULL),(28,7092792,'1992-01-27 00:00:00',2,1,12,2009,'F','N','CENTRO','CAMPINAS','SP','125251251117131431325329345124610132197',NULL,'9998',29.12,1,2,1),(28,7092806,'1995-09-14 00:00:00',4,8,12,2011,'F','N','CAMPO DO GADO','RIO NEGRO','PR','116242241211111731338921572122610167072',2945,'541',62.69,1,3,NULL),(28,7092814,'1992-02-12 00:00:00',4,6,12,2009,'F','N','BOTAFOGO','RIO JANEIRO','RJ','121162241216471451249931595124610124112',4724,'9997',62.95,1,3,NULL),(28,7092822,'1993-05-09 00:00:00',2,5,12,2010,'M','N','OPERÁRIA NOVA','CRICIÚMA','SC','124241246216371421344914345124610137042',1528,'188',67.09,1,3,NULL),(28,7092830,'1992-09-13 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216573431447632475124610162071',5876,'988',56.25,1,3,NULL),(28,7092865,'1987-09-24 00:00:00',4,1,12,2005,'M','N','CENTRO','NOVA PETRÓPOLIS','RS','120243241347154441358861245122120965052',1755,'307',70.68,1,3,NULL),(28,7092873,'1993-04-24 00:00:00',4,23,11,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124241246215161741557914345124233226177',NULL,'1061',0.00,1,3,NULL),(28,7092890,'1993-06-26 00:00:00',2,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241216472431347313275112610134147',771,'213',70.59,1,3,NULL),(28,7092903,'1992-01-20 00:00:00',2,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124241241116473411636313445124610127042',19207,'592',34.35,1,2,1),(28,7092911,'1995-04-03 00:00:00',4,1,12,2012,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215111732436833576122610123145',NULL,'883',45.04,1,3,NULL),(28,7092920,'1993-03-16 00:00:00',2,3,12,2010,'M','N','PEREQUE','PTO BELO','SC','124242243117161431346619495124610112072',19361,'129',33.57,1,3,NULL),(28,7092954,'1990-10-18 00:00:00',4,1,12,2008,'M','N','JARDIM ITÁLIA','ITAPETININGA','SP','125252251217571431369913575125610125077',555,'9998',71.58,1,3,NULL),(28,7092962,'1991-07-10 00:00:00',2,4,12,2008,'M','N','PRIMO TACCA','XANXERÊ','SC','124242241236574431448912282125610124062',3228,'1038',58.32,4,3,NULL),(28,7092970,'1994-08-14 00:00:00',2,2,1,2012,'F','N','SANTO ANTÔNIO','TAIÓ','SC','124241241135161741653616165122610128147',19848,'680',29.86,1,3,NULL),(28,7092989,'1994-05-11 00:00:00',4,1,12,2011,'M','N','FLORESTA','S JOSÉ','SC','124241241417151431436319575122610134182',13443,'726',39.79,1,3,NULL),(28,7092997,'1992-05-19 00:00:00',4,1,12,2009,'F','N','PQ NOVO MUNDO','AMERICANA','SP','125252251212571431438922573112610124077',NULL,'9998',0.00,1,3,NULL),(28,7093004,'1994-04-15 00:00:00',4,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241215111431538914572124610164192',8140,'1022',51.53,4,3,NULL),(28,7093012,'1992-06-12 00:00:00',4,1,12,2009,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215371531469613575124610124145',3929,'1134',64.60,1,3,NULL),(28,7093020,'1994-10-13 00:00:00',2,1,12,2011,'M','N','MADRI','PALHOÇA','SC','124244241215111431423311275124610147182',14829,'988',45.93,1,3,NULL),(28,7093047,'1995-05-08 00:00:00',4,1,11,2013,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111232368913275125610117037',NULL,'262',49.46,1,3,NULL),(28,7093055,'1994-09-01 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215472431228361575122610117112',112,'262',80.93,4,3,NULL),(28,7093063,'1991-10-20 01:00:00',4,1,12,2009,'F','N','PETROPOLIS','PTO ALEGRE','RS','624242241215574751268923575112610117047',5802,'270',55.07,1,3,NULL),(28,7093071,'1993-01-07 00:00:00',4,8,11,2010,'M','N','FLORESTA','JOINVILLE','SC','124241246211152441457913441122610121122',1900,'1105',62.10,1,3,NULL),(28,7093080,'1993-02-03 00:00:00',4,1,12,2010,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243241215472431438811572124610126187',6825,'1022',53.02,1,3,NULL),(28,7093098,'1989-05-15 00:00:00',2,15,12,2006,'M','N','CENTRO','TORRES','RS','120201201117131731341823241331342317117',NULL,'9998',34.66,3,3,NULL),(28,7093101,'1994-02-26 00:00:00',4,2,12,2011,'M','N','CAMPOS DO IGUAÇU','FOZ IGUAÇU','PR','116162161216111131454834175122610132144',11069,'9998',43.30,1,3,NULL),(28,7093110,'1994-10-24 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124244241216151442526864575124610124052',NULL,'724',30.33,1,3,NULL),(28,7093144,'1994-02-12 00:00:00',2,2,12,2011,'F','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241212111411425911592224610162172',9199,'855',55.07,1,3,NULL),(28,7093160,'1994-12-19 00:00:00',4,8,12,2011,'F','N','JARDIM BARONEZA','ARAPONGAS','PR','116161161216111431348923574122610166197',3187,'9998',61.04,1,3,NULL),(28,7093179,'1994-09-12 00:00:00',4,1,11,2011,'F','N','ESTREITO','S JOSÉ','SC','124242241215112431489914575124610144092',7204,'738',52.39,1,3,NULL),(28,7093187,'1994-09-09 00:00:00',4,8,12,2011,'M','N','BATEL','CURITIBA','PR','116162161215111751569931574122610164042',NULL,'9998',0.00,1,3,NULL),(28,7093195,'1994-07-29 00:00:00',2,1,11,2011,'F','N','TAPERA DA BASE','FLORIANÓPOLIS','SC','124244241415111411539913586224610123185',NULL,'1023',35.88,4,3,NULL),(28,7093209,'1992-02-23 00:00:00',2,1,10,2009,'F','N','SÃO GABRIEL','CAP LEÔNIDAS MARQUES','PR','116162161315573431446513575125610144142',2420,'9998',63.52,1,3,NULL),(28,7093217,'1986-08-19 00:00:00',2,1,12,2004,'M','N','CENTRO','NOVA TRENTO','SC','124244241416371431339923482122331324092',12351,'948',50.01,1,3,NULL),(28,7093225,'1995-07-07 00:00:00',4,1,11,2012,'M','S','CACUPE','FLORIANÓPOLIS','SC','124244241212111422448713575124610132091',NULL,'270',40.86,1,3,NULL),(28,7093233,'1992-08-18 00:00:00',4,1,10,2010,'F','N','BELA VISTA','GOIÂNIA','GO','109092091216371431467921575122610133072',2620,'9998',61.87,4,3,NULL),(28,7093241,'1995-09-08 00:00:00',4,24,11,2011,'M','N','BELA ALIANCA','RIO SUL','SC','124242241215111411464532275122610138072',17144,'991',41.16,4,3,NULL),(28,7093250,'1993-07-18 00:00:00',4,1,12,2010,'M','N','GONZAGA','SANTOS','SP','125252251217471431458623575111610167047',3867,'9998',57.75,1,3,NULL),(28,7093268,'1994-04-14 00:00:00',2,1,11,2011,'M','N','JARDIM IMPERIAL','SINOP','MT','111112111216111432555924575121610135142',7049,'9998',50.95,1,3,NULL),(28,7093276,'1993-04-18 00:00:00',4,1,12,2010,'M','N','VILA AREAL','INDAIATUBA','SP','125252251215471431378811575112610117017',261,'9998',75.05,1,3,NULL),(28,7093284,'1994-04-11 00:00:00',2,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115371751458513572124610167047',NULL,'307',27.72,1,2,1),(28,7093314,'1994-01-14 00:00:00',4,5,12,2011,'M','N','CENTRO','CRICIÚMA','SC','124243243217121441324814595114610162147',10321,'995',46.21,1,3,NULL),(28,7093322,'1993-01-11 00:00:00',2,10,12,2010,'F','N','TATUAPÉ','S PAULO','SP','125254251216371431347812575124610134142',NULL,'9998',0.00,1,3,NULL),(28,7093330,'1994-02-25 00:00:00',2,5,12,2010,'M','N','SÃO JOSÉ','TRAMANDAÍ','RS','120201201116471431226422114224610122172',14803,'9998',36.70,1,2,1),(28,7093349,'1994-04-22 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215111531535532572124610167087',8887,'1023',49.41,1,3,NULL),(28,7093357,'1994-07-03 00:00:00',4,9,12,2011,'M','N','CENTRO','PALMEIRA','SC','124241241215111431459614575112610162012',11154,'515',41.95,1,3,NULL),(28,7093365,'1994-07-28 00:00:00',2,1,12,2011,'F','N','CENTRO','BIGUAÇU','SC','124242241215111531323812575122610164042',NULL,'63',31.08,1,3,NULL),(28,7093373,'1993-04-27 00:00:00',4,1,1,2012,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124261241135131211425514272324610133057',NULL,'281',16.93,4,2,1),(28,7093381,'1992-09-29 00:00:00',2,1,11,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124162161217372431433629572124222924052',4836,'9998',62.03,1,3,NULL),(28,7093390,'1993-02-08 00:00:00',2,1,12,2011,'F','N','SANTA CRUZ','VALINHOS','SP','125252251215331431667923575122610112072',10697,'9998',44.59,1,3,NULL),(28,7093403,'1992-08-14 00:00:00',4,1,12,2009,'M','N','CENTRO','STA CRUZ R PARDO','SP','125251251115571441446921595122610114094',810,'9998',68.70,1,2,1),(28,7093411,'1989-04-16 00:00:00',2,1,12,2006,'F','N','CENTRO','PALMAS','PR','116161161116271421624911495122341318187',15646,'9998',36.23,1,2,1),(28,7093420,'1987-12-18 00:00:00',4,25,12,2008,'F','N','FARROUPILHA','VIDEIRA','SC','124241241116473411323339445122610163147',NULL,'831',20.23,1,2,1),(28,7093438,'1993-12-14 00:00:00',4,1,12,2010,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124163161117471731439911176114610133192',16141,'9998',43.44,1,3,NULL),(28,7093454,'1993-11-14 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115372431424424245124610126041',NULL,'592',28.07,2,1,1),(28,7093462,'1984-06-19 00:00:00',4,1,12,2001,'M','N','MOSSUNGUÊ','CURITIBA','PR','116162161215571431589611475122141434016',NULL,'9998',0.00,1,3,NULL),(28,7093470,'1991-01-15 00:00:00',4,1,12,2008,'M','N','PETROPOLIS','PTO ALEGRE','RS','624242241216574751476933571112610118041',751,'270',70.58,1,3,NULL),(28,7093489,'1993-03-08 00:00:00',4,8,12,2010,'F','N','JARDIM PAULISTA','JUNDIAÍ','SP','125254251416471441568813575124610164032',NULL,'9998',0.00,1,3,NULL),(28,7093497,'1992-09-04 00:00:00',2,1,12,2009,'F','N','JARDIM EUROPA','BIGUAÇU','SC','224241241115153731246453575122122722192',NULL,'21',25.58,1,2,1),(28,7093500,'1986-12-31 00:00:00',2,1,12,2004,'M','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241136131751436514445113610167057',NULL,'733',19.20,3,2,1),(28,7093527,'1993-05-03 00:00:00',4,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124244161116142431528614345124610123072',16573,'9998',42.49,1,3,NULL),(28,7093535,'1994-09-26 00:00:00',4,1,12,2011,'M','N','MORADA DA COLINA','VOLTA REDONDA','RJ','121212211217111411358831571121610166094',5864,'9998',60.80,4,3,NULL),(28,7093543,'1994-03-31 00:00:00',4,8,12,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124242246237372431467632275111610168051',2542,'1006',60.43,1,3,NULL),(28,7093551,'1993-07-01 00:00:00',4,1,12,2010,'F','N','NOVA SUÍÇA','GOIÂNIA','GO','109092091216471431469911115122610162047',NULL,'9998',0.00,4,3,NULL),(28,7093560,'1994-08-27 00:00:00',4,10,12,2011,'F','N','PROGRESSO','LAGUNA','SC','124241241445131451436614394122610131187',13232,'524',39.05,3,3,NULL),(28,7093586,'1989-03-17 00:00:00',4,1,12,2006,'F','N','CENTRO','ITAPETININGA','SP','116251251447271441428611285114242266097',10979,'9998',43.49,1,3,NULL),(28,7093594,'1995-04-13 00:00:00',4,15,11,2011,'F','N','CENTRO','SOMBRIO','SC','124242241217271431459933572124610133057',6697,'970',53.21,1,3,NULL),(28,7093608,'1994-03-10 00:00:00',2,26,11,2011,'F','N','IMPERIAL','CONCÓRDIA','SC','124242241215371431438811411122610124092',6715,'1000',53.04,1,3,NULL),(28,7093616,'1995-11-20 00:00:00',4,10,12,2012,'F','S','CENTRO','IMBITUBA','SC','124241241215371411447933475114610144147',NULL,'807',45.83,1,3,NULL),(28,7093624,'1994-04-20 00:00:00',4,8,12,2010,'F','N','CENTRO','PTO UNIÃO','SC','116242161216471711557912275124610128092',NULL,'9998',0.00,1,3,NULL),(28,7093632,'1994-02-02 00:00:00',2,8,12,2010,'F','N','CENTRO','IVAÍ','PR','116161161114571411455935572122610136142',4811,'9998',57.71,1,2,1),(28,7093640,'1993-12-13 00:00:00',4,1,12,2010,'M','N','VILA NOVA','TRÊS LAGOAS','MS','112124121215471411469933575112610162187',4440,'9998',54.91,4,3,NULL),(28,7093675,'1994-08-18 00:00:00',4,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241241135471431326529436124610115172',NULL,'307',32.37,1,2,1),(28,7093683,'1993-05-17 00:00:00',4,6,12,2010,'M','N','DOM BOSCO','ITAJAÍ','SC','124242241232272432436612172121610117152',3804,'494',61.57,1,3,NULL),(28,7093691,'1988-03-21 00:00:00',2,4,12,2005,'F','N','CENTRO','CIANORTE','PR','116162161215571441459831571122142664092',912,'9998',70.39,1,3,NULL),(28,7093713,'1993-04-25 00:00:00',4,7,12,2010,'M','N','CENTRO','CAPINZAL','SC','124241241335372431325411375124610162177',3221,'446',60.03,1,3,NULL),(28,7093730,'1992-12-28 00:00:00',4,1,12,2010,'F','N','JARDIM CAMBURI','VITÓRIA','ES','108082088216271411358832595122610124052',NULL,'9998',0.00,1,3,NULL),(28,7093748,'1995-02-07 00:00:00',4,5,12,2011,'F','N','CENTRO','CRICIÚMA','SC','124243246215141442326614575124610168057',12038,'995',39.22,1,3,NULL),(28,7093756,'1989-06-20 00:00:00',2,1,12,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241147131431434623241114610128117',NULL,'772',34.53,1,2,1),(28,7093764,'1992-05-25 00:00:00',2,1,12,2009,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241215475431438633575124233221193',2052,'1022',66.27,1,3,NULL),(28,7093772,'1994-08-26 00:00:00',2,26,12,2011,'F','N','CENTRO','VIADUTOS','RS','120201201126161431438914275125610163092',14742,'9998',37.39,1,2,1),(28,7093780,'1993-12-07 00:00:00',4,1,11,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215112431357827572122610134147',2246,'270',63.83,1,3,NULL),(28,7093799,'1994-01-26 00:00:00',4,5,10,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215473731469913394122610124077',290,'226',75.66,1,3,NULL),(28,7093802,'1994-05-31 00:00:00',4,23,12,2011,'F','N','CAIXA D ÁGUA','GUARAMIRIM','SC','124241241146141421333416245124610168142',13694,'335',36.90,1,3,NULL),(28,7093810,'1992-01-14 00:00:00',2,10,12,2009,'M','N','MADRE','TUBARÃO','SC','124241248116351231433319345113610127052',18786,'1034',36.16,1,2,1),(28,7093829,'1988-10-16 01:00:00',2,1,11,2007,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241236134731436619341114122228183',19320,'270',33.78,1,3,NULL),(28,7093837,'1994-02-01 00:00:00',4,1,12,2010,'M','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161216471711448836575114610144117',NULL,'9998',0.00,1,3,NULL),(28,7093845,'1994-06-01 00:00:00',2,1,12,2011,'F','N','GUARANI','CAPÃO CANOA','RS','120201201112131711536923572244610134147',NULL,'9998',0.00,1,2,1),(28,7093853,'1994-01-08 00:00:00',4,1,12,2011,'M','N','PRAIA DE ITAPARICA','VL VELHA','ES','108082081217111111579911577114610168117',9013,'9998',55.42,1,3,NULL),(28,7093870,'1994-04-08 00:00:00',4,2,12,2011,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124241241217271751469732275122610167182',10038,'1018',53.64,1,3,NULL),(28,7093888,'1993-12-07 00:00:00',2,8,12,2011,'F','N','VILA NOVA','JOINVILLE','SC','124241241316371431323524245124610137052',19529,'475',32.47,4,3,NULL),(28,7093896,'1994-06-27 00:00:00',2,8,11,2011,'F','N','BOA VISTA','JOINVILLE','SC','124242241215111431428612575124610134072',18855,'1016',35.86,1,3,NULL),(28,7093900,'1989-04-06 00:00:00',2,1,12,2006,'M','N','CENTRO','ITAIÓPOLIS','SC','124241241146373431334643435124130114042',NULL,'387',29.18,1,2,1),(28,7093926,'1992-08-15 00:00:00',2,10,12,2009,'F','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124241241135272311327623275124131533147',4968,'332',56.45,1,2,1),(28,7093934,'1994-07-03 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241217372431389923576112610134135',949,'262',68.13,1,3,NULL),(28,7093969,'1994-04-08 00:00:00',4,8,12,2011,'M','N','MEDEIROS','JUNDIAÍ','SP','125254251217161431459614575122610137042',NULL,'9998',0.00,1,3,NULL),(28,7093993,'1994-06-07 00:00:00',2,26,12,2011,'M','N','CENTRO','VIADUTOS','RS','120201201126161311436314375125610164042',16918,'9998',32.00,1,2,1),(28,7094027,'1994-05-03 00:00:00',4,1,11,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241215111431638814575124610138122',8171,'300',50.57,1,3,NULL),(28,7094035,'1994-03-24 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241215131711357919575122610125197',NULL,'724',12.28,1,3,NULL),(28,7094043,'1994-04-20 00:00:00',4,10,11,2011,'M','N','VILA ESPERANÇA','TUBARÃO','SC','124243241215122431556912575121610127042',584,'806',71.73,1,3,NULL),(28,7094051,'1995-05-10 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241316124441436834572122610128107',1640,'1011',65.00,1,3,NULL),(28,7094060,'1993-01-29 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124143241215371431546516374124610122052',9687,'300',44.73,1,3,NULL),(28,7094078,'1994-02-14 00:00:00',2,1,12,2011,'F','N','PONTO CENTRAL','FRA SANTANA','BA','105241241316131731423319195324610117067',15454,'744',37.58,3,3,NULL),(28,7094086,'1994-04-24 00:00:00',4,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241225111431226724375124610137042',13290,'262',41.23,1,3,NULL),(28,7094094,'1993-12-30 00:00:00',2,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124241241145272431536614242124610164062',7938,'425',50.99,1,2,1),(28,7094116,'1994-08-31 00:00:00',4,17,12,2011,'F','N','VILA NOVA','MAFRA','SC','124241241112271431426511385124610163052',14203,'545',35.54,1,2,1),(28,7094124,'1994-08-25 00:00:00',4,1,12,2011,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215151441249923575124610135197',4869,'270',55.71,1,3,NULL),(28,7094132,'1987-02-24 00:00:00',2,1,12,2005,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124202207237132311226844445124143222147',19175,'9998',34.49,1,3,NULL),(28,7094159,'1995-02-14 00:00:00',4,4,12,2011,'F','N','BELA VISTA','CHAPECÓ','SC','124241241116371431439614245124610124142',11201,'180',43.28,1,2,1),(28,7094167,'1994-11-10 00:00:00',4,1,11,2011,'F','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124243241315111231326311215114610114047',16845,'300',32.04,4,3,NULL),(28,7094175,'1992-10-31 00:00:00',4,4,12,2009,'M','N','ALPHAVILLE','BARUERI','SP','125242241217471431348824575122610162122',4062,'185',58.01,1,3,NULL),(28,7094205,'1994-06-16 00:00:00',2,8,12,2011,'F','N','PARQUE DAS ROSAS','ROSEIRA','SP','125252251216471341358836575122610147087',10297,'9998',45.26,4,3,NULL),(28,7094213,'1993-02-12 00:00:00',4,1,12,2011,'F','N','RIO DO OURO','CARAGUATATUBA','SP','125251251117471751316528375121610155024',15931,'9998',43.82,1,3,NULL),(28,7094230,'1993-12-15 00:00:00',2,8,12,2011,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241215111231568712575124610114041',NULL,'1105',0.00,1,3,NULL),(28,7094248,'1993-04-08 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241147371711126744245124610164072',NULL,'298',21.87,1,2,1),(28,7094256,'1993-09-04 00:00:00',4,3,12,2010,'F','N','INDUSTRIAL','NOVO HAMBURGO','RS','120212201216471411368814335124610166053',4198,'9998',56.65,1,3,NULL),(28,7094264,'1994-01-25 00:00:00',2,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111132216632575122610117077',NULL,'737',28.64,1,3,NULL),(28,7094272,'1993-03-23 00:00:00',2,8,12,2010,'M','N','VILA NOVA','JOINVILLE','SC','124241246215131431333521345121610137067',NULL,'1006',0.00,1,3,NULL),(28,7094280,'1994-11-10 00:00:00',4,4,12,2011,'F','N','MATINHO','XANXERÊ','SC','124242241211161431369911472112610133142',6961,'836',53.67,1,3,NULL),(28,7094299,'1995-05-03 00:00:00',4,2,10,2012,'F','S','CENTRO','BLUMENAU','SC','124242241216111731469931475122610166197',NULL,'909',66.19,1,3,NULL),(28,7094310,'1994-07-01 00:00:00',4,4,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215371431348733571124610136191',1001,'1022',69.52,1,3,NULL),(28,7094329,'1993-12-22 00:00:00',4,1,12,2011,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','113134131216111431469913575112610127042',924,'9998',68.89,1,3,NULL),(28,7094337,'1994-03-01 00:00:00',2,1,12,2011,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','113134131217121431368913572115610126192',588,'9998',73.54,1,3,NULL),(28,7094345,'1991-07-13 00:00:00',4,1,12,2008,'M','N','QUINTA DA BOA VISTA','MAIRIPORÃ','SP','125252251217572411348931385122243264027',NULL,'9998',37.86,1,3,NULL),(28,7094353,'1995-01-04 00:00:00',2,9,12,2011,'M','N','SANTA CÂNDIDA','LAGES','SC','124241241115371431334612575114610137047',16213,'935',43.31,1,2,1),(28,7094361,'1982-11-04 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','624201207136134431233444345124610122043',15421,'9998',44.82,1,2,1),(28,7094370,'1990-03-02 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243248317152532337944145122132862035',19479,'1126',32.84,1,3,NULL),(28,7094388,'1993-04-27 00:00:00',2,1,12,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241216473741569613575124610164081',4087,'1048',58.05,1,3,NULL),(28,7094400,'1992-08-04 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241216374431436813345124610133092',6699,'1050',55.30,1,3,NULL),(28,7094418,'1993-12-29 00:00:00',4,10,11,2011,'F','N','DEHON','TUBARÃO','SC','124242241216111411448834575122610113147',NULL,'797',31.63,1,3,NULL),(28,7094426,'1989-11-28 00:00:00',4,16,7,2011,'F','N','N SENHORA APARECIDA','CURITIBANOS','SC','124241241112151451326929382125130622147',20139,'9997',24.79,1,3,NULL),(28,7094442,'1991-12-10 00:00:00',2,1,8,2008,'F','N','JURRE INTERNACIONAL','FLORIANÓPOLIS','SC','124241247216473431526839345124233237042',19044,'270',35.13,1,3,NULL),(28,7094450,'1994-03-16 00:00:00',4,1,11,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111431468833575114610134092',493,'270',74.63,1,3,NULL),(28,7094469,'1994-09-04 00:00:00',4,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215472431489713435122610131072',2160,'270',63.70,1,3,NULL),(28,7094477,'1991-12-07 00:00:00',2,1,11,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241247135371711215727383324610144052',NULL,'9999',32.69,1,2,1),(28,7094485,'1992-05-16 00:00:00',2,1,12,2009,'F','N','PARTENON','PTO ALEGRE','RS','120241241116472431636613585124610125147',4749,'9997',55.31,1,2,1),(28,7094493,'1996-01-27 00:00:00',4,1,12,2012,'F','S','SÃO JOSÉ','S JOSÉ','SC','124241241117131431639933571122610135047',NULL,'733',28.22,1,3,NULL),(28,7094507,'1993-12-19 00:00:00',2,3,11,2010,'M','N','CENTRO','CAMBORIÚ','SC','124242243117372431368832375114343267182',NULL,'129',0.00,1,3,NULL),(28,7094523,'1995-08-21 00:00:00',4,6,12,2012,'F','S','VILA OPERÁRIA','ITAJAÍ','SC','124242241115111331346833397112610123142',NULL,'1026',38.53,3,3,NULL),(28,7094531,'1995-06-13 00:00:00',4,2,11,2012,'M','S','ITOUPAVA SECA','BLUMENAU','SC','124242241216111411369713575124610148077',NULL,'955',58.74,1,3,NULL),(28,7094566,'1992-09-25 00:00:00',2,1,7,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241417141431536332345123610167083',NULL,'1023',23.32,1,3,NULL),(28,7094574,'1993-10-01 00:00:00',2,1,12,2010,'F','N','MORRO DO ESPELHO','S LEOPOLDO','RS','120202201216472431369931572122610133042',2682,'9998',61.62,1,3,NULL),(28,7094604,'1992-07-10 00:00:00',4,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241216122431326834345124220621187',4891,'269',58.07,1,3,NULL),(28,7094612,'1994-03-04 00:00:00',4,1,12,2011,'F','N','JARDIM AGÚ','OSASCO','SP','125252251215371431534822575224610166042',NULL,'9998',0.00,4,3,NULL),(28,7094620,'1994-02-06 00:00:00',4,10,12,2011,'F','N','CENTRO','GR PARÁ','SC','124241241115371431323519271124610126057',13971,'330',38.97,1,2,1),(28,7094647,'1994-03-14 00:00:00',2,1,12,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241216111431346634575124610117042',NULL,'1023',16.61,1,3,NULL),(28,7094655,'1994-08-30 00:00:00',2,5,12,2011,'M','N','CENTRO','PR GRANDE','SC','124241242135151431414923574124610126147',7937,'690',54.78,1,2,1),(28,7094663,'1992-02-12 00:00:00',2,1,12,2009,'F','N','JD PAULISTA','PIRACICABA','SP','125251258117171131643419495112610134147',NULL,'9998',20.28,1,2,1),(28,7094671,'1992-09-29 00:00:00',4,1,12,2010,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','125254251437471431448831571112610147142',746,'9998',71.42,1,3,NULL),(28,7094680,'1995-02-11 00:00:00',2,2,12,2011,'F','N','INTERIOR','SALETE','SC','124241241115141532523315195124610164147',19130,'680',34.74,1,2,1),(28,7094698,'1994-05-28 00:00:00',2,1,12,2011,'M','N','VILA AURORA','S PAULO','SP','125252251117151441349713385124610164052',12194,'9998',39.33,1,3,NULL),(28,7094701,'1993-09-30 00:00:00',4,1,12,2010,'M','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112124121116472731579913575125610137047',345,'9998',73.22,4,3,NULL),(28,7094710,'1993-01-17 00:00:00',1,1,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116161161211132431638933585124241467097',NULL,'9998',0.00,1,3,NULL),(28,7094728,'1994-06-28 00:00:00',2,1,12,2011,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124244241215111131557613575114610124074',15307,'300',35.58,1,3,NULL),(28,7094744,'1992-01-04 00:00:00',4,1,11,2009,'F','N','GARCIA','SALVADOR','BA','105052051217571451557811575122610122077',1726,'9998',65.44,4,3,NULL),(28,7094752,'1995-07-18 00:00:00',4,1,12,2011,'M','N','VILA SÃO JOAO','S BERNARDO CAMPO','SP','125252251217121431369934572122610125147',8681,'9998',48.31,1,3,NULL),(28,7094760,'1990-03-03 00:00:00',3,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241217144431326623345124222263182',14613,'1022',37.20,1,3,NULL),(28,7094795,'1994-10-05 00:00:00',2,3,10,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215111731538714575112610111072',NULL,'1038',24.67,1,3,NULL),(28,7094809,'1988-05-30 00:00:00',2,1,12,2005,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241137141431126649295124131124197',19310,'79',33.81,1,2,1),(28,7094817,'1994-12-14 00:00:00',4,1,12,2011,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241241115141431216529346344610164042',15158,'592',37.03,1,2,1),(28,7094841,'1993-10-19 00:00:00',4,1,12,2010,'M','N','VILA SÃO LUIZ','DOURADOS','MS','112122121217471431478711575112610164012',543,'9998',71.28,4,3,NULL),(28,7094850,'1994-08-03 00:00:00',4,8,10,2011,'F','N','BACACHERI','CURITIBA','PR','116162161215111431528833572124610115047',NULL,'9998',0.00,1,3,NULL),(28,7094868,'1994-08-20 00:00:00',4,6,11,2011,'M','N','FAZENDA','ITAJAÍ','SC','124242241215111231449969595112610168187',NULL,'1026',0.00,1,3,NULL),(28,7094876,'1993-09-14 00:00:00',4,1,12,2011,'M','N','JARDIM VALDIBIA','S BERNARDO CAMPO','SP','125252251226151751456619175112610167111',NULL,'9998',0.00,1,3,NULL),(28,7094884,'1994-05-07 00:00:00',4,8,12,2010,'F','N','ATIRADORES','JOINVILLE','SC','124122121215472431348833575122610163092',8566,'9998',49.44,1,3,NULL),(28,7094892,'1990-11-02 00:00:00',4,22,12,2008,'F','N','SANTA RITA','BRUSQUE','SC','124241241114574411347313415114610131147',6282,'876',52.28,1,2,1),(28,7094906,'1994-05-06 00:00:00',4,22,12,2011,'F','N','ZANTÃO','BRUSQUE','SC','124241241115271531224429395124610142197',15907,'1019',35.12,4,2,1),(28,7094922,'1994-11-07 00:00:00',4,1,11,2011,'F','N','CENTRO','ITUMBIARA','GO','109092091215111431468811414125610166182',NULL,'9998',0.00,4,3,NULL),(28,7094930,'1993-10-05 00:00:00',2,7,12,2010,'M','N','CENTRO','CAMPOS NOVOS','SC','124244241215271432456632315112130247042',NULL,'138',0.00,3,3,NULL),(28,7094965,'1991-01-13 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216575431469811595124123224042',617,'497',73.44,1,3,NULL),(28,7094973,'1993-07-11 00:00:00',4,1,11,2010,'M','N','CENTRO','LIMEIRA','SP','125252251217471431459814571115610147017',2651,'9998',60.39,1,3,NULL),(28,7094981,'1994-03-08 00:00:00',2,27,12,2011,'F','N','FLORESTA','MONDAÍ','SC','124241241115141431433731345122610123057',NULL,'564',27.86,1,2,1),(28,7095023,'1987-10-18 00:00:00',4,26,10,2010,'M','N','CENTRO','CONCÓRDIA','SC','124242207437571441275832315122140762182',13707,'9998',47.87,1,3,NULL),(28,7095040,'1994-02-09 00:00:00',2,4,12,2010,'F','N','CENTRO','FAXINAL GUEDES','SC','124241241315472531443915572124610127147',6537,'836',55.26,1,3,NULL),(28,7095066,'1992-12-25 00:00:00',4,24,12,2010,'M','N','ALBERTINA','RIO SUL','SC','124241241115271431336514342223610124147',10500,'657',43.79,1,2,1),(28,7095090,'1979-12-22 00:00:00',2,4,12,1999,'M','N','CENTRO','MEDIANEIRA','PR','116161167137472751124474345124143267187',NULL,'9998',0.00,1,2,1),(28,7095112,'1994-07-07 00:00:00',4,1,12,2011,'M','N','VILA MARIANA','S PAULO','SP','125052251217111431266612395125610144127',NULL,'9998',0.00,3,3,NULL),(28,7095147,'1991-05-06 00:00:00',4,1,12,2011,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241125141431221324342124610127057',NULL,'306',25.07,4,2,1),(28,7095155,'1994-07-28 00:00:00',2,8,12,2011,'F','N','CENTRO','BAL BARRA SUL','SC','124241241116371431648552375124610124112',NULL,'41',31.21,1,2,1),(28,7095163,'1994-04-15 00:00:00',4,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124242241215111431257923575124610124172',7521,'1191',50.74,1,3,NULL),(28,7095198,'1994-03-06 00:00:00',4,24,12,2011,'M','N','BUDAG','RIO SUL','SC','124241241117271431528514275122610124011',10187,'864',43.73,1,2,1),(28,7095201,'1993-03-18 00:00:00',2,1,10,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215473431225521285144610167072',11485,'300',51.34,1,3,NULL),(28,7095210,'1994-07-07 00:00:00',2,1,12,2011,'M','N','JARDIM LUANDA','S PAULO','SP','125254251216371231566824375112610127047',NULL,'9998',0.00,1,3,NULL),(28,7095228,'1993-05-06 00:00:00',2,4,12,2010,'F','N','CENTRO','ERECHIM','RS','120201201136472421213367575124610147057',NULL,'9998',25.60,1,2,1),(28,7095244,'1993-01-22 00:00:00',2,6,10,2010,'F','N','ÁGUA VERDE','CURITIBA','PR','116162168215572441249913572114610114015',709,'9998',72.64,1,3,NULL),(28,7095252,'1990-12-21 00:00:00',2,1,6,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115152411122444245114122362143',13782,'306',47.74,1,2,1),(28,7095279,'1993-11-18 00:00:00',4,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241215111431458923575124610166195',6748,'1022',50.89,1,3,NULL),(28,7095287,'1994-04-12 00:00:00',4,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111432433812576122610134177',7871,'737',52.69,1,3,NULL),(28,7095295,'1994-06-19 00:00:00',4,1,12,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242251217111431458812212124610122182',NULL,'272',23.53,1,3,NULL),(28,7095317,'1987-09-10 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624131131126171711126344141324610162027',15446,'9998',44.79,2,1,1),(28,7095333,'1992-11-22 00:00:00',4,5,12,2010,'F','N','CENTRO','SIDERÓPOLIS','SC','124242241215372411448912575114133213142',7944,'226',57.23,1,3,NULL),(28,7095341,'1991-03-16 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217152431359619475124233265187',16857,'273',41.85,1,3,NULL),(28,7095350,'1990-06-29 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124141246416132432526648482324610122071',NULL,'1090',19.49,4,3,NULL),(28,7095376,'1989-02-23 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241117575431226519475124233244017',715,'271',70.94,1,3,NULL),(28,7095392,'1992-12-14 00:00:00',4,1,12,2009,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241231152711469933495124231323057',16364,'738',42.97,1,3,NULL),(28,7095406,'1994-03-16 00:00:00',4,1,12,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111431449714575122610134142',20142,'1169',24.77,1,3,NULL),(28,7095414,'1992-08-27 00:00:00',2,4,12,2009,'F','N','CENTRO','SAUDADES','SC','120241241116571751449613275112610167142',7773,'761',49.13,1,2,1),(28,7095422,'1991-02-17 00:00:00',2,6,12,2008,'F','N','PLANALTO VERDE','MOGI GUAÇU','SP','125251251117572421338539445124141324027',15098,'9998',35.84,4,1,1),(28,7095430,'1994-09-23 00:00:00',2,24,11,2011,'M','N','BARRA DO TROMBUDO','RIO SUL','SC','124241241215271451423414575124610137127',13018,'653',40.46,1,3,NULL),(28,7095457,'1991-08-10 00:00:00',4,1,6,2010,'F','N','BREJO ALEGRE','S JOSÉ R PRETO','SP','125252251215571731589931571122610167187',NULL,'9998',0.00,1,3,NULL),(28,7095465,'1992-11-14 00:00:00',4,1,12,2011,'F','N','VILA INDUSTRIAL','CAMPINAS','SP','125251251117131531423321385124610142097',NULL,'9998',22.71,1,2,1),(28,7095473,'1993-06-24 00:00:00',4,4,12,2010,'F','N','CENTRO','XAXIM','SC','124241241116132211436619575125610168142',16262,'847',38.65,1,2,1),(28,7095481,'1992-07-29 00:00:00',4,1,11,2010,'M','N','PORTÃO','LAURO FREITAS','BA','105052051217472431388614375112610167112',4676,'9998',63.04,4,3,NULL),(28,7095490,'1994-06-01 00:00:00',4,1,12,2011,'F','N','CENTRO','POÇOS CALDAS','MG','113132131217111431479931575122610123183',6025,'9998',52.90,4,3,NULL),(28,7095503,'1993-07-10 00:00:00',4,1,12,2010,'M','N','SÃO JOSÉ','JOSÉ BONIFÁCIO','SP','125252251216371431363611575112610137072',5000,'9998',56.04,1,3,NULL),(28,7095511,'1994-08-31 00:00:00',2,10,11,2011,'M','N','CENTRO','TUBARÃO','SC','124242247215271441366813345122610124092',15717,'807',44.27,1,3,NULL),(28,7095520,'1993-09-06 00:00:00',4,1,12,2011,'F','N','SÃO DOMINGOS','MOCOCA','SP','125251251117141431323417295122610162102',NULL,'9998',0.00,1,3,NULL),(28,7095538,'1994-05-17 00:00:00',2,27,11,2011,'M','N','AGOSTINI','S MIGUEL OESTE','SC','124241248217111221236923285122610162043',NULL,'1179',25.13,1,3,NULL),(28,7095546,'1992-11-23 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215142411568879575124223262072',NULL,'272',0.00,1,3,NULL),(28,7095554,'1993-02-27 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242246117371431548519575114610166197',1807,'306',64.65,1,3,NULL),(28,7095562,'1994-10-31 00:00:00',4,1,11,2011,'M','N','SETOR MARISTA','GOIÂNIA','GO','109092091216111431249914575122610122042',418,'9998',74.05,4,3,NULL),(28,7095570,'1993-04-22 00:00:00',4,1,12,2010,'F','N','JARDIM DAS NAÇÕES','TAUBATÉ','SP','124242251212111431548832571122610117182',3387,'9998',65.88,1,3,NULL),(28,7095589,'1992-03-12 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116374411324416375124221737051',18415,'84',27.27,1,2,1),(28,7095619,'1993-02-10 00:00:00',4,23,12,2010,'F','N','CIDADE OCIAN','PR GRANDE','SP','125252251416471431648823575124610166176',NULL,'9998',0.00,2,3,NULL),(28,7095627,'1994-05-22 00:00:00',4,1,11,2011,'M','N','BIGORRILHO','CURITIBA','PR','116164161217471531169923572114610164092',NULL,'9998',45.83,1,3,NULL),(28,7095660,'1993-09-03 00:00:00',2,3,12,2010,'M','N','VILA REAL','BAL CAMBORIÚ','SC','124241241136131411226711245234610162092',16121,'49',31.99,1,2,1),(28,7095678,'1989-08-25 00:00:00',4,3,11,2006,'M','N','SANTO INÁCIO','CURITIBA','PR','116162161216472751458837475122141462012',NULL,'9998',0.00,1,3,NULL),(28,7095686,'1993-07-07 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241217132431446613345124233267051',15210,'723',37.19,1,3,NULL),(28,7095694,'1990-07-11 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215575431469913475114122334112',1439,'270',66.50,1,3,NULL),(28,7095708,'1962-06-26 00:00:00',2,1,12,1999,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241122472411233327292344610111147',NULL,'278',17.15,1,2,1),(28,7095732,'1995-08-03 00:00:00',4,10,12,2012,'F','S','SÃO JOSÉ','BRAÇO NORTE','SC','124242241215371431446732472124610134142',NULL,'807',47.88,1,3,NULL),(28,7095759,'1994-09-10 00:00:00',4,6,11,2011,'F','N','FAZENDA','ITAJAÍ','SC','124242241216371411438314275125610126177',5909,'392',52.71,1,3,NULL),(28,7095767,'1994-04-16 00:00:00',2,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124241241115131431426924575124610167061',15092,'271',35.56,1,2,1),(28,7095783,'1982-03-12 00:00:00',2,5,12,1999,'M','N','JARDIM ANGELICA','CRICIÚMA','SC','224252241217573231338853475121420642187',808,'9998',70.08,1,3,NULL),(28,7095791,'1992-06-12 00:00:00',2,5,12,2009,'F','N','MENINO DEUS','PTO ALEGRE','RS','120202201416471431436631576124610137047',NULL,'9998',0.00,1,3,NULL),(28,7095805,'1994-06-12 00:00:00',2,23,12,2011,'F','N','CENTRO','MAFRA','SC','124241241215111431459612425122610131011',NULL,'541',0.00,1,3,NULL),(28,7095813,'1991-07-24 00:00:00',4,1,11,2010,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215152441257823573122221166085',NULL,'1022',0.00,1,3,NULL),(28,7095821,'1993-12-11 00:00:00',2,1,12,2010,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241112272431424515571124232627075',15250,'21',36.84,1,2,1),(28,7095830,'1994-01-09 00:00:00',4,10,12,2011,'M','N','VILA NOVA','IMBITUBA','SC','124241241415371731428821595114610122062',8542,'362',48.16,1,3,NULL),(28,7095848,'1992-11-17 00:00:00',2,26,12,2010,'F','N','CENTRO','GUAPORÉ','RS','120202201216472431336814275124610127047',3419,'9998',59.32,1,3,NULL),(28,7095864,'1995-03-22 00:00:00',4,4,11,2011,'M','N','CENTRO','CHAPECÓ','SC','124243241216472431459933575112610137042',11788,'168',50.87,1,3,NULL),(28,7095872,'1992-08-15 00:00:00',2,4,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124241241116573431436912221124610125187',6029,'192',53.90,1,2,1),(28,7095880,'1992-05-06 00:00:00',2,8,11,2010,'M','N','BOM RETIRO','JOINVILLE','SC','124161161116371431118844342341610137047',NULL,'9998',0.00,4,2,1),(28,7095902,'1991-09-10 00:00:00',2,24,12,2008,'F','N','CANTA GALO','RIO SUL','SC','124241241136571431456612285122610118143',11166,'659',51.84,1,2,1),(28,7095910,'1993-08-25 00:00:00',2,1,12,2010,'F','N','PERUS','S PAULO','SP','125251251411471411434611114124610147057',8763,'9998',48.71,1,3,NULL),(28,7095929,'1994-12-27 00:00:00',4,9,12,2011,'F','N','CENTRP','LAGES','SC','124242241117371431448832575122610167057',NULL,'1028',19.17,1,3,NULL),(28,7095945,'1994-01-26 00:00:00',4,5,10,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215372411358924574122610137072',5350,'213',55.02,1,3,NULL),(28,7095953,'1992-09-22 00:00:00',4,1,12,2009,'M','N','VILA GUARANI','S PAULO','SP','125252251216471751469814571124610124182',4602,'9998',54.81,3,3,NULL),(28,7095970,'1994-08-24 00:00:00',2,1,12,2011,'F','N','CENTRO','PAPANDUVA','SC','124241241115132431449933575124610137097',7854,'267',48.32,1,2,1),(28,7095988,'1994-10-07 00:00:00',4,8,12,2011,'F','N','IRIRIU','JOINVILLE','SC','124242241215111431358934574122610133152',6352,'457',50.92,1,3,NULL),(28,7095996,'1994-09-12 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431469931575122610134192',6960,'270',54.24,1,3,NULL),(28,7096003,'1995-01-23 00:00:00',5,5,11,2011,'M','N','SÃO BENTO BAIXO','NOVA VENEZA','SC','124244241215111431238924575124610122171',10067,'995',50.07,1,3,NULL),(28,7096011,'1991-11-25 00:00:00',2,1,12,2010,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241247121132421524414341134610122111',NULL,'592',31.09,1,3,NULL),(28,7096020,'1993-06-25 00:00:00',4,8,12,2010,'F','N','CENTRO','PERUÍBE','SP','125253251216471431346611575125610124077',1288,'9998',68.68,4,3,NULL),(28,7096038,'1993-02-10 00:00:00',2,10,12,2010,'F','N','SANTA LUCIA','CAPIVARI BAIXO','SC','124241241146161431426934575113610124142',NULL,'158',7.86,1,2,1),(28,7096046,'1989-05-13 00:00:00',2,1,12,2006,'M','N','GANCHOS DE FORA','GOV CELSO RAMOS','SC','124241241126272431333314145134610112027',7624,'329',53.05,1,2,1),(28,7096054,'1994-03-28 00:00:00',4,10,12,2011,'M','N','BARRO VERMELHO','ARMAZÉM','SC','124241241125131431523335342124610156147',NULL,'34',22.71,3,3,NULL),(28,7096070,'1991-12-11 00:00:00',4,4,12,2009,'M','N','CENTRO','CPO ERÊ','SC','124241241117573441344611572112610162052',2281,'136',62.94,1,2,1),(28,7096089,'1978-08-09 00:00:00',4,1,12,1996,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241344125721344843432122522362187',10729,'272',42.70,1,3,NULL),(28,7096097,'1992-09-29 00:00:00',4,8,11,2009,'F','N','JARDIM COLOMBO','S PAULO','SP','125253251216571431436827575124610164197',7190,'9998',50.02,1,3,NULL),(28,7096100,'1991-05-10 00:00:00',1,8,12,2009,'M','N','CENTRO','JOINVILLE','SC','124241241231573441568819484112610164122',NULL,'969',0.00,1,3,NULL),(28,7096119,'1995-11-08 00:00:00',4,10,2,2012,'F','N','OFICINAS','TUBARÃO','SC','124244241217111431449933575122610144042',12706,'807',39.70,1,3,NULL),(28,7096127,'1994-10-12 00:00:00',4,2,12,2011,'M','N','VORSTADT','BLUMENAU','SC','124242161217471731479931575124610122182',14677,'9998',46.22,1,3,NULL),(28,7096135,'1993-06-06 00:00:00',2,1,12,2010,'M','N','VILA NOVA FLORINEA','ASSIS','SP','125251251115571431444431571125610126042',8137,'9998',49.48,4,2,1),(28,7096151,'1994-06-09 00:00:00',2,10,12,2011,'M','N','BARRANCEIRA','LAGUNA','SC','124243241217131431426813575114610162147',NULL,'525',55.10,1,3,NULL),(28,7096160,'1994-05-17 00:00:00',2,5,12,2011,'F','N','VILA NOVA','IÇARA','SC','124241243231111451436631392124610112092',NULL,'920',0.00,1,3,NULL),(28,7096178,'1994-02-04 00:00:00',4,1,12,2011,'F','N','PRADO','BIGUAÇU','SC','124242241216261431325439595124610128187',14440,'63',36.81,1,3,NULL),(28,7096186,'1992-09-30 00:00:00',4,15,12,2010,'M','N','MATO ALTO','ARARANGUÁ','SC','124241242114141721324344442114610127043',NULL,'960',23.32,1,2,1),(28,7096208,'1993-04-04 00:00:00',4,8,12,2010,'M','N','BELO HORIZONTE','CPO ALEGRE','SC','124241241111472431449613575124610167187',1144,'697',69.63,1,2,1),(28,7096216,'1994-06-12 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121231366613572122610137047',8431,'807',56.37,1,3,NULL),(28,7096224,'1994-05-22 00:00:00',4,1,11,2011,'F','N','CENTRO','SORRISO','MT','111113111217121731568832572122610138092',11285,'9998',43.30,1,3,NULL),(28,7096240,'1995-02-06 00:00:00',2,24,12,2012,'M','S','CENTRO','RIO SUL','SC','124242241215131431424822195125610164187',NULL,'991',19.68,1,3,NULL),(28,7096267,'1992-09-30 00:00:00',2,4,12,2011,'F','N','CARMO SION','BELO HORIZONTE','MG','113132131217111731448813595114610166127',NULL,'9998',0.00,1,3,NULL),(28,7096275,'1993-09-27 00:00:00',2,1,12,2010,'F','N','RIBEIRÃO','PAULO LOPES','SC','124241241226152431323329345124610117052',18803,'262',25.54,1,3,NULL),(28,7096283,'1994-11-27 00:00:00',4,7,12,2011,'M','N','CENTRO','JOAÇABA','SC','124241241211371431439711272112610117042',6404,'445',53.90,1,3,NULL),(28,7096305,'1993-09-22 00:00:00',2,3,12,2010,'F','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162161216472421448833575112610123127',10402,'9998',46.49,1,3,NULL),(28,7096313,'1993-12-29 00:00:00',2,8,11,2010,'F','N','MATÃO','VARGEM G PAULISTA','SP','125254251216371431438714575124610124182',NULL,'9998',18.71,1,3,NULL),(28,7096330,'1981-01-15 00:00:00',2,1,9,2000,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224242241237272421333343435113610167187',10082,'882',44.37,1,3,NULL),(28,7096348,'1994-08-01 00:00:00',2,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115471631625511575124610127057',17042,'727',31.44,1,2,1),(28,7096356,'1995-03-07 00:00:00',4,15,12,2011,'F','N','JARDIM CIBELE','ARARANGUÁ','SC','124241241115131431423734572224610168147',15687,'30',33.87,1,2,1),(28,7096364,'1994-01-14 00:00:00',4,2,10,2011,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215272431449911575122610142182',1464,'909',68.06,1,3,NULL),(28,7096372,'1993-12-16 00:00:00',2,1,12,2011,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241112371431425312272124610112191',10182,'592',46.61,4,2,1),(28,7096380,'1992-08-08 00:00:00',2,5,12,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241216142411536632495112610117111',18003,'227',38.92,1,3,NULL),(28,7096410,'1993-02-15 00:00:00',4,8,12,2010,'F','N','BOA VISTA','JOINVILLE','SC','124242241217572741266853376124610155192',1386,'1105',69.05,1,3,NULL),(28,7096429,'1993-10-20 00:00:00',2,1,11,2010,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124242241216272731423811345124121422147',11172,'988',43.16,1,3,NULL),(28,7096437,'1990-08-25 00:00:00',2,1,12,2007,'M','N','VILA VERDE','LEME','SP','125102101215571411678831474122610167042',4908,'9998',62.59,1,3,NULL),(28,7096445,'1994-01-05 00:00:00',4,1,11,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241115151511469813275121610136125',2470,'271',63.92,1,3,NULL),(28,7096453,'1993-10-23 00:00:00',2,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115371451336939576121610167095',8394,'267',49.75,1,2,1),(28,7096461,'1993-08-19 00:00:00',2,4,12,2010,'M','N','OLARIA','SALTO LONTRA','PR','116161161115472431534833575122610137142',2224,'9998',64.81,1,2,1),(28,7096470,'1986-06-02 00:00:00',2,1,11,2004,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243248126171421569413242123610123186',NULL,'282',14.61,1,3,NULL),(28,7096488,'1994-09-06 00:00:00',2,1,12,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241111111432336621595124610128147',11195,'267',45.34,1,3,NULL),(28,7096496,'1994-05-01 00:00:00',4,8,12,2011,'M','N','GLÓRIA','JOINVILLE','SC','124242241215271431359839575124610137042',102,'1105',78.58,1,3,NULL),(28,7096526,'1989-07-15 00:00:00',2,1,12,2006,'F','N','FORQUILHINHAS','S JOSÉ','SC','124244241215372721536514295124233262187',19789,'1048',30.37,1,3,NULL),(28,7096534,'1995-04-12 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111732469933572114610132017',15338,'1022',44.96,1,3,NULL),(28,7096542,'1991-05-04 00:00:00',2,1,12,2008,'F','N','IDEAL','NOVO HAMBURGO','RS','120203201217572431338831572124610162147',148,'9998',76.86,1,3,NULL),(28,7096550,'1993-11-22 00:00:00',2,10,11,2010,'F','N','GLÓRIA','OSÓRIO','RS','120201201117371731443331572122610167017',4107,'9998',56.35,1,2,1),(28,7096569,'1993-06-24 00:00:00',4,1,11,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124284241215372431479933572112610132095',550,'270',71.68,1,3,NULL),(28,7096593,'1991-02-03 00:00:00',4,2,12,2008,'M','N','CENTRO','PALMAS','TO','127272271217571241368813375112610168032',1479,'9998',71.69,1,3,NULL),(28,7096607,'1995-02-08 00:00:00',4,4,12,2012,'M','S','CENTRO','CHAPECÓ','SC','124244241417151432353631275125610167042',NULL,'1021',0.00,1,3,NULL),(28,7096623,'1995-04-15 00:00:00',4,10,12,2011,'F','N','CENTRO','BRAÇO NORTE','SC','124244241215371431434635575114610118142',16182,'807',43.37,1,3,NULL),(28,7096631,'1994-04-16 00:00:00',2,1,12,2011,'F','N','CENTRO','PÉROLA','PR','116163161215121431546836572122610132047',6708,'9998',52.48,1,3,NULL),(28,7096640,'1990-11-16 00:00:00',2,23,12,2007,'F','N','CENTRO','JARAGUÁ SUL','SC','124241241116272431123644144121610164097',5074,'359',53.35,1,2,1),(28,7096658,'1992-04-10 00:00:00',2,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124201201147141411213544342224231936146',17190,'9998',41.05,1,2,1),(28,7096674,'1994-01-29 00:00:00',2,1,12,2010,'M','N','PARQUE ALVORADA','DOURADOS','MS','112112121216472451447834572111610164112',2,'9998',88.21,1,3,NULL),(28,7096682,'1994-03-26 00:00:00',4,8,11,2011,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241215111431426314375124610164042',9166,'461',55.13,1,3,NULL),(28,7096690,'1993-08-22 00:00:00',2,1,12,2011,'F','N','RIBEIRAO DA IHA','FLORIANÓPOLIS','SC','124243241235411431669954575124610127142',16022,'270',38.31,1,3,NULL),(28,7096712,'1988-03-29 00:00:00',4,1,12,2005,'M','N','CANTO','FLORIANÓPOLIS','SC','124244241115275431438811445122610164047',15846,'307',43.99,1,3,NULL),(28,7096720,'1985-07-08 00:00:00',4,1,12,2002,'F','N','CENTRO','VACARIA','RS','124201201117473421257844445122321527127',1895,'9998',64.97,1,2,1),(28,7096739,'1993-09-29 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241225372421634431244124610164147',12982,'262',40.75,1,3,NULL),(28,7096755,'1989-07-16 00:00:00',2,1,12,2007,'M','N','SAGRADA FAMILIA','BELO HORIZONTE','MG','113131131137571431223348185124143224074',16064,'9998',43.58,2,1,1),(28,7096771,'1991-10-16 00:00:00',2,17,12,2008,'F','N','CENTRO','MTE CASTELO','SC','124241248336574441433821591122610168192',8069,'9997',49.82,1,3,NULL),(28,7096798,'1987-07-19 00:00:00',4,1,12,2004,'F','N','SANTANA','RIO SUL','SC','124243241217575431449933572122610164097',2935,'836',61.29,1,3,NULL),(28,7096801,'1993-02-09 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201241415372431366933572112610126042',1121,'270',69.03,1,3,NULL),(28,7096810,'1991-11-22 00:00:00',4,3,12,2009,'F','N','JD PROENÇA','CAMPINAS','SP','125252254117571451568814171122610114197',2786,'9998',67.44,1,3,NULL),(28,7096828,'1989-06-26 00:00:00',2,1,12,2006,'F','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251216571431469811572122242437077',233,'9998',74.92,1,3,NULL),(28,7096836,'1995-11-29 00:00:00',4,4,11,2012,'M','S','CENTRO','XANXERÊ','SC','124242241217151431459933571125610127143',NULL,'1081',0.00,1,3,NULL),(28,7096844,'1995-01-05 00:00:00',4,1,11,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215122431489813595122610136192',6779,'270',52.49,1,3,NULL),(28,7096852,'1991-03-06 00:00:00',4,1,12,2008,'F','N','CENTRO','JACAREÍ','SP','225252253215511431346631285122610165013',4612,'9998',63.17,4,3,NULL),(28,7096879,'1993-08-25 00:00:00',2,5,12,2010,'M','N','SANTA BARBARA','CRICIÚMA','SC','124244241215272431456613375112610137147',9590,'9997',49.46,1,3,NULL),(28,7096887,'1995-12-12 00:00:00',4,6,12,2012,'M','S','SÃO JOÃO','ITAJAÍ','SC','124242241215111731465912475122610167052',NULL,'1026',59.81,1,3,NULL),(28,7096909,'1992-08-26 00:00:00',4,1,12,2010,'M','N','JD IMPÉRIO DO SOL','LONDRINA','PR','116163161416141431458811381112610127052',16394,'9998',42.91,1,3,NULL),(28,7096917,'1991-12-23 00:00:00',2,24,12,2009,'F','N','BUDAG','RIO SUL','SC','124244241217171731535654445135133127017',15361,'663',36.16,1,3,NULL),(28,7096933,'1994-03-22 00:00:00',4,1,10,2011,'F','N','BELA VISTA','PALHOÇA','SC','124242241215111751228624492124610136197',8489,'1022',49.89,1,3,NULL),(28,7096941,'1983-07-12 00:00:00',4,1,12,2001,'M','N','ROÇADO','S JOSÉ','SC','124241244111151421533119441213610134117',NULL,'359',24.98,1,3,NULL),(28,7096950,'1992-08-22 00:00:00',4,8,12,2009,'F','N','JD LOS ANGELES','MARINGÁ','PR','116162161216572431568833575122610123182',256,'9998',74.71,1,3,NULL),(28,7096976,'1993-10-08 00:00:00',4,24,12,2011,'F','N','SÃO DIMAS','PIRACICABA','SP','125254251116151531438834575122610126122',11920,'9998',42.30,1,3,NULL),(28,7096984,'1992-01-18 00:00:00',4,1,12,2009,'F','N','SAGRADO C DE JESUS','LAGES','SC','124243241215575411334512584122610114142',2122,'499',65.65,1,3,NULL),(28,7097018,'1995-03-01 00:00:00',4,15,12,2011,'F','N','RODEIO DA AREIA','TURVO','SC','124241241116131431523324575124610121017',NULL,'814',0.00,3,2,1),(28,7097026,'1994-07-27 00:00:00',2,6,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215111751336823575124610167017',4330,'723',57.36,1,3,NULL),(28,7097042,'1991-01-28 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','102033022111332511122421253221121633176',888,'9998',70.38,4,3,NULL),(28,7097050,'1989-08-03 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','624242241212575431338628575114232442147',NULL,'270',0.00,1,3,NULL),(28,7097069,'1993-09-23 00:00:00',4,7,12,2011,'F','N','INTERIOR','JOAÇABA','SC','124241248115431431523316195124610167142',NULL,'341',15.49,1,2,1),(28,7097077,'1993-09-18 00:00:00',4,3,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241243117111431428511315124610124052',1329,'129',68.65,1,2,1),(28,7097093,'1992-07-29 00:00:00',4,1,12,2009,'M','N','CTA','S JOSÉ CAMPOS','SP','125254256237571431448813372122610122042',2790,'9998',60.84,1,3,NULL),(28,7097107,'1994-10-07 00:00:00',2,7,12,2011,'F','N','CENTRO','ARROIO TRINTA','SC','124241241125141411425614345322610124147',NULL,'853',10.67,4,3,NULL),(28,7097115,'1983-03-13 00:00:00',2,1,12,2003,'M','N','S JOÃO RIO VERMELHO','FLORIANÓPOLIS','SC','124251251117151431123344242313610137117',NULL,'9998',21.93,4,1,1),(28,7097123,'1991-10-13 00:00:00',2,1,12,2008,'M','N','CENTRO','LAGES','SC','124244241415574451569614575112610117052',5263,'497',56.68,1,3,NULL),(28,7097140,'1992-11-13 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124152248117151431268923375124610162112',7904,'306',48.25,1,3,NULL),(28,7097158,'1996-05-09 00:00:00',4,1,12,2012,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431348834575114610133192',NULL,'1022',43.25,1,3,NULL),(28,7097166,'1991-06-25 00:00:00',2,1,12,2009,'F','N','ALEXANDRA','PARANAGUÁ','PR','116161165116141431438919435124242766097',18913,'9998',35.63,1,3,NULL),(28,7097174,'1993-06-30 00:00:00',4,1,12,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','120201201217372431459923595115610167097',NULL,'9998',0.00,1,3,NULL),(28,7097190,'1994-09-30 00:00:00',4,6,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111531439611415122610124123',NULL,'1038',0.00,1,3,NULL),(28,7097204,'1995-08-23 00:00:00',4,9,12,2012,'F','S','VILA YARA','OSASCO','SP','125252251217111431479914575122610137142',NULL,'9998',50.69,1,3,NULL),(28,7097212,'1993-09-17 00:00:00',2,8,12,2010,'M','N','JARDIM PARAISO','JOINVILLE','SC','124241241146131121423424345124610117041',NULL,'1027',0.00,1,2,1),(28,7097220,'1994-02-17 00:00:00',4,8,12,2010,'F','N','CENTRO','BANDEIRANTES','PR','116164161215472731458811475114610162047',11412,'9998',43.71,1,3,NULL),(28,7097239,'1993-09-22 00:00:00',5,1,6,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124282281217371431479933575114610114192',1727,'9998',66.47,1,3,NULL),(28,7097263,'1988-04-02 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216373431588911375122120847062',7759,'262',57.55,1,3,NULL),(28,7097271,'1983-02-04 00:00:00',4,1,10,2001,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241436131411124434345124333236072',NULL,'490',27.43,1,3,NULL),(28,7097280,'1991-10-30 00:00:00',4,1,12,2009,'F','N','VILA JUSTINA','TIETÊ','SP','125252251216471431479814571122142862197',1486,'9998',65.65,1,3,NULL),(28,7097298,'1995-03-29 00:00:00',4,5,11,2011,'F','N','NOVA ITÁLIA','URUSSANGA','SC','124241241215111211436616571124610136072',1725,'226',66.35,1,3,NULL),(28,7097301,'1994-11-25 00:00:00',2,22,12,2012,'M','S','CENTRO','S JOÃO BATISTA','SC','124243241415111721436632245121610118017',NULL,'109',54.53,1,3,NULL),(28,7097310,'1981-12-12 00:00:00',2,1,12,2000,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224243241135133711247754225122321122182',9700,'293',54.22,1,3,NULL),(28,7097336,'1992-01-23 00:00:00',4,1,12,2009,'F','N','VILA LEOPOLDINA','S PAULO','SP','125254251215572431648711576112610137147',285,'9998',76.92,1,3,NULL),(28,7097344,'1993-03-09 00:00:00',4,1,12,2010,'M','N','SETOR OESTE','GOIÂNIA','GO','109093131417471431448611571112610127012',1656,'9998',65.84,1,3,NULL),(28,7097352,'1994-04-25 00:00:00',4,9,12,2011,'F','N','POÇO RICO','OTACÍLIO COSTA','SC','124241241136131431324429575124610128197',NULL,'583',23.03,1,2,1),(28,7097379,'1994-06-06 00:00:00',4,27,12,2011,'M','N','ZONA RURAL','JACIARA','MT','111111111237211751335732395123610167177',NULL,'9998',0.00,3,3,NULL),(28,7097387,'1991-10-22 00:00:00',4,1,11,2009,'F','N','DOM CABRAL','BELO HORIZONTE','MG','113132131216571431569614575122610164057',2569,'9998',60.94,1,3,NULL),(28,7097395,'1992-12-08 00:00:00',4,1,12,2010,'M','N','PLANALTO BELA VISTA','S VICENTE','SP','125251251127151431446824375114241428042',19338,'9998',33.66,4,2,1),(28,7097409,'1995-02-03 00:00:00',4,5,11,2012,'M','S','CENTRO','CRICIÚMA','SC','124242241215371731469931575115610122142',NULL,'226',42.53,1,3,NULL),(28,7097425,'1993-06-25 00:00:00',2,7,12,2011,'M','N','CENTRO','ARROIO TRINTA','SC','124241241125141431423514245122610124052',NULL,'853',9.13,4,3,NULL),(28,7097433,'1995-03-07 00:00:00',2,4,12,2011,'F','N','CENTRO','FORMOSA SUL','SC','124241241115131712343319472122610137057',14115,'308',39.60,1,2,1),(28,7097441,'1994-11-21 00:00:00',4,6,12,2011,'M','N','SÃO JOÃO','ITAJAÍ','SC','124244241216151431479713575122610134142',7455,'1059',58.05,1,3,NULL),(28,7097450,'1995-03-03 00:00:00',2,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124243241111131231434313575124610116147',NULL,'1116',17.37,1,3,NULL),(28,7097468,'1994-05-09 00:00:00',2,22,10,2011,'M','N','CEDRO ALTO','BRUSQUE','SC','124241241217472411333539595124610167181',2679,'1244',63.41,1,3,NULL),(28,7097476,'1993-05-15 00:00:00',4,1,12,2010,'M','N','VILA ALMEIDA','CPO GRANDE','MS','112121121115472431448613475122610117042',579,'9998',71.26,1,2,1),(28,7097484,'1992-12-28 00:00:00',2,24,12,2010,'F','N','BARRAGEM','RIO SUL','SC','124241242115371431533311445124610164012',14111,'1222',47.25,1,2,1),(28,7097492,'1993-12-18 00:00:00',2,1,12,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241116271751424314385122610126197',15061,'140',40.35,1,2,1),(28,7097506,'1995-02-15 00:00:00',4,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241115572431367779575114610162182',12819,'307',49.28,1,3,NULL),(28,7097514,'1993-04-23 00:00:00',4,8,12,2010,'F','N','BATEL','CURITIBA','PR','116162161211471411448832571122610162142',3252,'9998',59.54,1,3,NULL),(28,7097522,'1988-06-30 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','224243241215272431326851471114610124187',17436,'269',40.45,1,3,NULL),(28,7097530,'1989-05-11 00:00:00',2,1,12,2007,'M','N','IMIGRANTES','TURVO','SC','124241248117373411323923282324131017112',8791,'814',50.78,1,2,1),(28,7097549,'1994-06-28 00:00:00',4,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124241241115131731328724345124610114197',NULL,'734',17.25,1,2,1),(28,7097557,'1993-02-01 00:00:00',4,8,12,2010,'M','N','ALTO BOQUEIRÃO','CURITIBA','PR','116161161116471741443754595114610167097',7902,'9998',49.09,4,2,1),(28,7097565,'1994-10-01 00:00:00',4,27,12,2011,'F','N','MORADA DO SOL','MARAVILHA','SC','124241241116371431456619471122610122042',11307,'552',41.42,1,2,1),(28,7097573,'1995-01-08 00:00:00',2,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124243241415111111345832475112610112195',15926,'1118',37.03,1,3,NULL),(28,7097581,'1992-02-11 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242246115572411339623575114133264091',670,'306',72.95,1,3,NULL),(28,7097590,'1994-12-02 00:00:00',2,1,12,2011,'F','N','PAGANI','PALHOÇA','SC','124243241215131431435924575122610123072',10473,'1218',46.11,1,3,NULL),(28,7097603,'1991-08-18 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241125441411424419195124610125017',11072,'274',48.04,4,2,1),(28,7097638,'1994-10-02 00:00:00',4,10,11,2011,'F','N','CENTRO','GR PARÁ','SC','124243241216111431558912575124610134192',787,'806',71.09,1,3,NULL),(28,7097646,'1991-07-14 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241116371421426433245134610163142',NULL,'727',23.89,1,2,1),(28,7097654,'1993-09-12 00:00:00',4,15,12,2010,'F','N','CENTRO','TORRES','RS','120202201217372431326924245112610143012',20024,'9998',27.71,1,3,NULL),(28,7097670,'1993-01-18 00:00:00',4,1,12,2010,'F','N','CONSOLAÇÃO','S PAULO','SP','125252251217471431255824573124610137142',247,'9998',74.92,1,3,NULL),(28,7097697,'1994-09-18 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248215112431479813575122610168141',4327,'270',59.92,1,3,NULL),(28,7097700,'1993-11-26 00:00:00',4,1,11,2009,'F','N','CENTRO','IJUÍ','RS','120202201216272751449834395124240622142',6333,'9998',51.50,1,3,NULL),(28,7097719,'1994-07-02 00:00:00',2,1,12,2011,'M','N','SANVITTO','CAXIAS SUL','RS','120201201136131451323624344224610168177',NULL,'9998',30.32,1,2,1),(28,7097727,'1994-05-20 00:00:00',2,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117371221333623435124610127045',12376,'298',43.44,1,2,1),(28,7097735,'1994-10-05 00:00:00',2,25,12,2011,'F','N','CENTRO','FRAIBURGO','SC','124241241215141731437923212122610133077',11492,'317',43.34,3,3,NULL),(28,7097743,'1991-08-21 00:00:00',4,1,12,2010,'F','N','JARDIM PLANALTO','PAULÍNIA','SP','125251256116371431324424345124610124184',18597,'9998',36.91,1,2,1),(28,7097760,'1991-09-20 00:00:00',4,1,12,2008,'F','N','CENTRO','MARINGÁ','PR','116162161216573431558812575122610127016',NULL,'9998',0.00,1,3,NULL),(28,7097786,'1994-03-04 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112411439914395122610113142',9517,'270',47.03,1,3,NULL),(28,7097794,'1994-09-25 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111731468733575114610124192',9399,'1022',45.05,1,3,NULL),(28,7097808,'1988-07-05 00:00:00',4,1,12,2005,'F','N','BELA VISTA','IBIRAMA','SC','124244241215573411249613575122221566197',179,'991',75.91,1,3,NULL),(28,7097816,'1992-10-08 00:00:00',4,5,12,2009,'M','N','MICHEL','CRICIÚMA','SC','124242241215574431468714445124232662147',7433,'210',52.25,1,3,NULL),(28,7097824,'1994-05-20 00:00:00',4,3,12,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241116371431527621272324610136197',11888,'406',42.99,1,2,1),(28,7097832,'1991-08-19 00:00:00',2,1,12,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115141431626524242314610167047',NULL,'281',19.98,1,2,1),(28,7097859,'1994-06-30 00:00:00',2,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217121431348914575124610123147',14461,'1198',38.35,1,3,NULL),(28,7097867,'1989-10-03 00:00:00',4,5,12,2006,'M','N','LINHA FERREIRA PONTE','COCAL SUL','SC','124241241112372431323511192222610136172',13639,'189',47.98,1,3,NULL),(28,7097875,'1992-06-13 00:00:00',2,7,12,2009,'M','N','ANZOLIN','JOAÇABA','SC','124241248212131431433614345133610137042',NULL,'445',22.10,1,3,NULL),(28,7097883,'1994-02-13 00:00:00',2,24,12,2011,'F','N','JARDIM AMÉRICA','RIO SUL','SC','124241241147371431322869285224610138047',16969,'658',32.71,1,2,1),(28,7097905,'1993-02-27 00:00:00',2,5,7,2011,'F','N','CENTRO','COCAL SUL','SC','124241241216151431236923441124610123097',15763,'995',34.14,1,3,NULL),(28,7097921,'1994-06-07 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124244248215111431446919595125610137052',8456,'226',49.42,1,3,NULL),(28,7097948,'1993-10-06 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215373431466612275124131062042',5225,'9997',61.99,1,3,NULL),(28,7097956,'1994-06-27 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115151411326421575124610114145',5827,'271',54.07,1,2,1),(28,7097972,'1994-05-19 00:00:00',4,8,12,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241217371731388814572122610124042',1915,'457',65.01,1,3,NULL),(28,7097980,'1986-09-04 00:00:00',4,1,12,2004,'M','N','FREGUESIA DO Ó','S PAULO','SP','125252251216572431466814571114141445117',576,'9998',74.83,1,3,NULL),(28,7097999,'1992-11-08 00:00:00',4,26,12,2009,'F','N','CENTRO','IPUMIRIM','SC','124241248117572431546614294114610124177',13361,'374',43.23,1,2,1),(28,7098006,'1996-01-25 00:00:00',4,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241215111411436612375125610146192',8822,'299',47.61,1,3,NULL),(28,7098014,'1987-08-19 00:00:00',4,1,12,2004,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241116272411534317342124130267065',8992,'286',48.40,4,2,1),(28,7098022,'1989-02-04 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217573431478713572115610162192',5387,'270',56.06,1,3,NULL),(28,7098030,'1993-11-10 00:00:00',4,1,12,2010,'F','N','CENTRO','GAROPABA','SC','124241241127473431448911275114610135072',17371,'322',30.66,4,2,1),(28,7098049,'1994-03-29 00:00:00',2,8,11,2011,'F','N','PIRABEIRABA','JOINVILLE','SC','124241241215121431346614575124610144047',2619,'1016',62.90,1,3,NULL),(28,7098057,'1990-12-16 00:00:00',2,1,12,2008,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241221272421433334335121610117062',13229,'262',40.83,1,3,NULL),(28,7098065,'1994-10-17 00:00:00',2,7,12,2011,'F','N','INTERIOR','ÁGUA DOCE','SC','124241241114371431426415574124610136077',8281,'9',48.94,1,2,1),(28,7098090,'1993-05-17 00:00:00',2,1,12,2010,'F','N','GONZAGA','SANTOS','SP','125252251214471431347829475115610143092',2104,'9998',64.22,1,3,NULL),(28,7098103,'1994-07-19 00:00:00',4,24,6,2011,'F','N','SUMARÉ','RIO SUL','SC','124242288415371431336824342112610128147',6208,'9998',54.78,1,3,NULL),(28,7098111,'1944-09-17 00:00:00',2,4,12,2011,'M','N','NAÇÕES','CONCÓRDIA','SC','124241241127142731636914145122610167147',18710,'194',28.06,2,1,1),(28,7098120,'1993-12-22 00:00:00',4,1,12,2011,'F','N','JARDIM LONGATO','MOGI MIRIM','SP','125252258237151431468713575112610162077',5851,'9998',52.29,4,3,NULL),(28,7098138,'1994-08-15 00:00:00',2,8,12,2011,'F','N','PEDRO DO RIO','PETRÓPOLIS','RJ','121284211216111431577614585124610138042',7866,'9998',50.52,1,3,NULL),(28,7098146,'1995-08-08 00:00:00',4,3,11,2012,'M','S','PETRÓPOLIS','BLUMENAU','SC','124242241215151431236827575122610165042',NULL,'909',55.76,1,3,NULL),(28,7098154,'1993-10-06 00:00:00',2,1,12,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241117571431538734575124610167147',10932,'1248',45.74,1,3,NULL),(28,7098162,'1995-09-01 00:00:00',4,8,12,2012,'M','S','VILA NOVA','JOINVILLE','SC','124242241215111731449611295122610164072',NULL,'9997',55.21,1,3,NULL),(28,7098189,'1993-07-14 00:00:00',4,1,12,2010,'M','N','BOQUEIRÃO','PR GRANDE','SP','125252251216472731458814572112610164041',1027,'9998',68.52,1,3,NULL),(28,7098197,'1987-03-14 00:00:00',4,1,12,2004,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124242281212413411319933575122333262197',4427,'9998',57.31,1,3,NULL),(28,7098219,'1991-09-04 00:00:00',4,8,12,2008,'M','N','AVENTUREIRO','JOINVILLE','SC','124243241232271441353622211122131065182',NULL,'462',0.00,1,3,NULL),(28,7098235,'1993-06-15 00:00:00',4,4,12,2010,'F','N','CENTRO','UMUARAMA','PR','116161161117471431346431585123610125182',1876,'9998',65.33,1,3,NULL),(28,7098251,'1993-09-01 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215121231469933575114610164042',4782,'270',55.62,1,3,NULL),(28,7098260,'1994-04-27 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124241241117371431348923575124610167092',15179,'733',34.13,1,2,1),(28,7098278,'1994-04-03 00:00:00',4,9,12,2011,'M','N','SÃO MIGUEL','LAGES','SC','124241241114371431333434245124610161142',9887,'505',46.14,1,2,1),(28,7098286,'1992-05-15 00:00:00',4,1,12,2009,'F','N','VILA OLIVEIRA','MOGI CRUZES','SP','125252251215473431433834571124241437092',NULL,'9998',0.00,1,3,NULL),(28,7098308,'1993-08-20 00:00:00',4,1,11,2010,'M','N','CENTO','S JOSÉ CAMPOS','SP','125102101217471431578711575112141067047',8593,'9998',47.66,1,3,NULL),(28,7098324,'1992-09-24 00:00:00',4,17,12,2009,'M','N','OFICINAS','PNT GROSSA','PR','116162161216472411458814572122610134182',7338,'9998',50.58,1,3,NULL),(28,7098332,'1991-12-05 00:00:00',2,16,12,2008,'F','N','SANTO ANOTONIO','FRAIBURGO','SC','124242241216573431448614574112610126097',2087,'317',65.50,1,3,NULL),(28,7098340,'1993-10-06 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241248116272431236419345124610137177',14528,'359',37.32,1,2,1),(28,7098367,'1992-10-27 00:00:00',1,8,12,2010,'F','N','GLORIA','JOINVILLE','SC','124242241217471411659732415122610164147',7798,'1063',57.48,1,3,NULL),(28,7098383,'1993-08-10 00:00:00',4,2,12,2010,'F','N','VILA NOVA','BLUMENAU','SC','124161241117271431338619575114610134147',12586,'84',40.14,1,2,1),(28,7098391,'1993-01-22 00:00:00',4,1,12,2010,'M','N','VILA M GENOVEVA','JUNDIAÍ','SP','125252251237471431354924575112610162017',1609,'9998',67.43,1,3,NULL),(28,7098413,'1994-03-29 00:00:00',2,9,11,2011,'F','N','RECANTOS','S JOAQUIM','SC','124242241215112431558613575122610127072',1365,'1207',66.92,1,3,NULL),(28,7098421,'1994-03-17 00:00:00',2,4,12,2011,'M','N','CENTRO','PALMITOS','SC','124242241215111431426732575125610137052',10270,'185',45.68,1,3,NULL),(28,7098430,'1994-01-02 00:00:00',4,1,11,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215121731478933434122610144125',3335,'270',59.46,1,3,NULL),(28,7098448,'1993-01-05 00:00:00',4,8,12,2010,'F','N','TONIAL','XANXERÊ','SC','124242241217472431469934572122610132091',91,'270',79.60,1,3,NULL),(28,7098456,'1988-04-26 00:00:00',4,1,12,2005,'M','N','JARDIM PAULISTA','S PAULO','SP','125252251216371411278823575122343234144',5072,'9998',62.28,1,3,NULL),(28,7098464,'1994-07-06 00:00:00',2,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215121731327624575124610167067',7458,'723',50.35,1,3,NULL),(28,7098480,'1992-11-19 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241215471331458912575112610124182',NULL,'1063',0.00,1,3,NULL),(28,7098499,'1994-09-01 00:00:00',4,23,12,2011,'F','N','RESTINGA','MAFRA','SC','124241242116131421426714572124610114052',NULL,'1214',24.39,1,2,1),(28,7098502,'1981-02-10 00:00:00',2,1,12,2002,'M','N','KOBRASOL','S JOSÉ','SC','124251247126134431123344245324121263147',NULL,'9999',0.00,1,2,1),(28,7098510,'1993-06-17 00:00:00',4,1,12,2010,'M','N','JARDIM','STA RITA P QUATRO','SP','125252251215471431578834475122610137041',NULL,'9998',0.00,1,3,NULL),(28,7098529,'1956-05-01 00:00:00',2,1,2,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224241247121431721323344141124610164041',15625,'922',37.71,4,1,1),(28,7098545,'1993-01-15 00:00:00',4,1,12,2010,'M','N','JD DAS ORQUIDEAS','BARRA BONITA','SP','125254251216371431468813575122610137042',3935,'9998',57.44,1,3,NULL),(28,7098553,'1994-04-24 00:00:00',2,8,11,2011,'F','N','BAIRRO ALTO','CURITIBA','PR','116162161235471431468932575112610123141',8643,'9998',47.23,1,3,NULL),(28,7098561,'1992-06-16 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124242241216573431466739575124610132177',5744,'1018',54.69,1,3,NULL),(28,7098570,'1988-02-09 00:00:00',4,1,11,2005,'F','N','LIBERDADE','S PAULO','SP','125252251216571431448823575125141342187',714,'9998',70.32,3,3,NULL),(28,7098596,'1994-12-02 00:00:00',4,15,12,2011,'M','N','CENTRO','SOMBRIO','SC','124242241215111431459911575121610117047',6132,'970',55.11,1,3,NULL),(28,7098618,'1994-04-10 00:00:00',2,1,12,2011,'M','N','BARRA DO ARÍRIU','PALHOÇA','SC','124241241115131731426629396214610164047',NULL,'591',28.42,1,3,NULL),(28,7098634,'1978-09-13 00:00:00',4,8,12,1996,'F','N','BUCAREIN','JOINVILLE','SC','624282201116131231157754415122542822167',16541,'9998',42.55,1,3,NULL),(28,7098650,'1994-05-23 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241225471431453311575124610138192',7838,'262',50.78,1,3,NULL),(28,7098669,'1993-08-03 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241211217132431334324345111610164013',4813,'9998',56.52,1,3,NULL),(28,7098685,'1990-07-15 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124201241136272431226611375124121467177',12818,'396',49.28,4,2,1),(28,7098693,'1990-08-17 00:00:00',4,1,12,2008,'M','N','SANTANA','S PAULO','SP','125252251216573411536811275124610114042',NULL,'9998',0.00,3,3,NULL),(28,7098723,'1993-02-03 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215471431359933232124610136112',1060,'1038',70.12,1,3,NULL),(28,7098731,'1991-09-17 00:00:00',4,1,12,2009,'M','N','JARDIM PALERMO','S BERNARDO CAMPO','SP','125254251216572431358933575122610167017',741,'9998',68.71,4,3,NULL),(28,7098758,'1990-01-12 00:00:00',4,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124131131116574411126944445124121634092',14449,'9998',46.66,1,2,1),(28,7098766,'1993-05-07 00:00:00',4,4,12,2010,'M','N','ATIRADORES','JOINVILLE','SC','124242241215272311489931574122610264112',1251,'1063',68.62,1,3,NULL),(28,7098782,'1994-12-21 00:00:00',4,4,12,2011,'M','N','SANTA MARIA','CHAPECÓ','SC','124242246212132311239823575124610124057',NULL,'185',25.10,1,3,NULL),(28,7098804,'1971-09-19 00:00:00',4,1,12,1995,'M','N','JARDM ELDORADO','PALHOÇA','SC','224243248326314441326844445123130737062',NULL,'9997',16.53,1,3,NULL),(28,7098812,'1993-09-28 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431359811345122610132122',12731,'262',40.42,1,3,NULL),(28,7098820,'1994-03-19 00:00:00',2,8,12,2011,'F','N','FLORESTA','JOINVILLE','SC','124241243116271231538914575124610123147',13713,'24',37.99,1,2,1),(28,7098839,'1993-07-29 00:00:00',2,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241241137131711436624572114610164117',NULL,'733',21.86,1,2,1),(28,7098847,'1993-02-08 00:00:00',4,4,12,2010,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241211472431549931572122610122097',1335,'497',67.11,1,3,NULL),(28,7098863,'1994-03-24 00:00:00',4,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241216472411456613575124233226097',6907,'259',51.40,1,3,NULL),(28,7098871,'1994-10-01 00:00:00',2,8,11,2011,'M','N','COND JARDINS DO SUL','BAURU','SP','125252251215111431479834575112610127052',18919,'9998',35.61,1,3,NULL),(28,7098880,'1989-05-16 00:00:00',2,1,12,2006,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124202201216572421158722435134142834183',NULL,'9998',0.00,1,3,NULL),(28,7098898,'1992-03-10 00:00:00',4,1,12,2009,'F','N','VISTA ALEGRE','VINHEDO','SP','125254251215512431488834571122143113182',NULL,'9998',0.00,1,3,NULL),(28,7098901,'1994-01-13 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241112151431439633572124610127012',NULL,'257',23.88,2,1,1),(28,7098910,'1991-10-05 00:00:00',4,1,12,2009,'M','N','BOQUEIRÃO','SANTOS','SP','125252251211472411588811371125610127047',10557,'9998',52.83,1,3,NULL),(28,7098928,'1993-04-21 00:00:00',4,1,12,2010,'F','N','PARQUE ALTO TAQUARAL','CAMPINAS','SP','125252251217471431469924572112610142197',3105,'9998',60.28,1,3,NULL),(28,7098936,'1994-02-28 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124241241137371731526829285124610112157',NULL,'732',24.37,1,3,NULL),(28,7098944,'1995-04-28 00:00:00',4,10,12,2011,'M','N','CENTRO','BRAÇO NORTE','SC','124242241215111432646622195122610167162',NULL,'807',11.72,1,3,NULL),(28,7098952,'1992-06-15 00:00:00',2,1,12,2009,'F','N','IGUAÇU','ARAUCÁRIA','PR','116161161216571411446812594122610165183',13487,'9998',48.27,1,3,NULL),(28,7098960,'1987-09-09 00:00:00',4,8,12,2005,'F','N','PORTÃO','CURITIBA','PR','116162161215575451479823495122240232042',829,'9998',70.50,1,3,NULL),(28,7098979,'1995-04-13 00:00:00',2,1,12,2011,'F','N','CENTRO','CIANORTE','PR','116161166217111431455412325122610123147',NULL,'9998',31.63,1,3,NULL),(28,7098987,'1993-07-06 00:00:00',2,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241215472231339934575124610127091',12729,'1022',42.00,1,3,NULL),(28,7099002,'1995-02-16 00:00:00',2,7,12,2012,'M','S','SANTO ANTONIO','HERVAL D OESTE','SC','124241241315111431423313145123610117087',NULL,'445',25.34,3,3,NULL),(28,7099010,'1994-02-20 00:00:00',2,1,12,2011,'F','N','TRINDANDE','FLORIANÓPOLIS','SC','124241241117471411323324382114610133147',NULL,'298',21.47,1,2,1),(28,7099029,'1995-02-05 00:00:00',2,1,12,2011,'M','N','FUNDOS','BIGUAÇU','SC','124241241115371431424314375114610126152',8733,'307',52.16,1,2,1),(28,7099037,'1995-06-29 00:00:00',2,5,12,2012,'F','S','SÃO SIMÃO','CRICIÚMA','SC','124242248217171531558832575124610133142',NULL,'995',36.22,1,3,NULL),(28,7099045,'1994-09-16 00:00:00',4,1,12,2011,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124254251216111431336823575124610122117',14306,'9998',37.56,1,3,NULL),(28,7099053,'1992-07-08 00:00:00',4,1,12,2009,'M','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125252251217471431468813571242610162107',4166,'9998',57.82,1,3,NULL),(28,7099061,'1993-08-06 00:00:00',2,1,12,2011,'F','N','TAGUATINGA','TAGUATINGA','DF','107072071217111421433619295124610126057',19827,'9998',30.06,1,3,NULL),(28,7099070,'1993-05-27 00:00:00',2,1,12,2010,'F','N','CENTRO','ITAJAÍ','SC','124242242115472411339923591112610167147',3734,'129',60.62,1,3,NULL),(28,7099088,'1994-10-04 00:00:00',4,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124242241215111431458912272122610114191',5391,'1191',54.21,1,3,NULL),(28,7099096,'1992-06-29 00:00:00',4,4,12,2009,'F','N','CENTRO','CURITIBA','PR','116161161116471431538611575124610166197',NULL,'9998',0.00,1,2,1),(28,7099100,'1993-01-08 00:00:00',4,1,12,2009,'F','N','JARDIM BRASIL','CAMPINAS','SP','125032031234571441459913175124610164172',NULL,'9998',0.00,1,3,NULL),(28,7099118,'1994-05-06 00:00:00',2,10,12,2011,'F','N','CENTRO','TUBARÃO','SC','124242241215112431458914575112610138192',5230,'806',54.13,1,3,NULL),(28,7099134,'1993-06-10 00:00:00',4,1,12,2010,'M','N','PQ DOS PRINCIPES','S PAULO','SP','125252251217472431468614575122610167112',3512,'9998',59.40,4,3,NULL),(28,7099150,'1994-04-07 00:00:00',4,1,12,2011,'F','N','JD MADALENA','CAMPINAS','SP','125252251216111431478831575122610122142',823,'9998',71.31,1,3,NULL),(28,7099169,'1994-02-18 00:00:00',4,1,12,2011,'M','N','COND JARDINS VIENA','APARECIDA GOIÂNIA','GO','109092091217111411478812584122610167182',NULL,'9998',0.00,4,3,NULL),(28,7099177,'1993-08-07 00:00:00',4,1,12,2011,'F','N','BOSQUE','S JOSÉ CAMPOS','SP','225252251236421431427831575124610134187',4155,'9998',56.00,1,3,NULL),(28,7099193,'1994-10-04 00:00:00',4,8,11,2011,'M','N','SAGUACU','JOINVILLE','SC','124241241117271431468631585113610162092',5565,'457',55.32,1,3,NULL),(28,7099207,'1994-10-07 00:00:00',4,6,12,2011,'F','N','CORDEIROS','ITAJAÍ','SC','124242241216271431436524172322610124142',16873,'388',31.01,1,3,NULL),(28,7099215,'1993-12-07 00:00:00',2,1,11,2011,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241215112431447734575124610123187',12521,'270',45.56,1,3,NULL),(28,7099240,'1994-03-20 00:00:00',4,1,11,2011,'M','N','BOSQUE DAS MANSÕES','S JOSÉ','SC','124242241215112431468832575122610162142',3539,'723',62.94,1,3,NULL),(28,7099266,'1991-02-27 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216575451448833575124610126147',16,'270',85.44,1,3,NULL),(28,7099274,'1985-02-21 00:00:00',6,1,6,2005,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241248116172751211849292123610165051',NULL,'9999',19.47,1,3,NULL),(28,7099290,'1992-09-25 00:00:00',4,6,12,2010,'F','N','CENTRO','IBIRAMA','SC','124242241215472411469711472125610133092',4314,'991',63.77,1,3,NULL),(28,7099304,'1992-09-26 00:00:00',4,1,12,2010,'M','N','VL NV CDE UNIVERSITA','BAURU','SP','125252251216471432458831376342610167052',95,'9998',76.47,3,3,NULL),(28,7099320,'1994-08-01 00:00:00',2,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124243241315111431433872575122610123072',NULL,'1077',18.60,1,3,NULL),(28,7099339,'1993-05-19 00:00:00',4,1,12,2010,'M','N','VILA SÃO JOSÉ','INDAIATUBA','SP','125252251217411431356631375122610162083',4446,'9998',57.38,1,3,NULL),(28,7099347,'1994-03-10 00:00:00',2,9,12,2011,'M','N','HERCILIO VIEIRA DO A','S JOAQUIM','SC','124243241135131411536614345122610137147',NULL,'903',21.57,4,3,NULL),(28,7099363,'1993-10-15 00:00:00',4,1,12,2011,'M','N','BSQUE DOS EUCALIPTOS','S JOSÉ CAMPOS','SP','125252251215111432579914575112610124043',NULL,'9998',0.00,1,3,NULL),(28,7099371,'1993-07-05 00:00:00',4,1,12,2010,'F','N','BROOKLIN NOVO','S PAULO','SP','125252251217471431278823471114143262172',NULL,'9998',0.00,1,3,NULL),(28,7099380,'1992-08-12 00:00:00',4,1,11,2010,'F','N','BOSQ DOS EUCALIPTOS','S JOSÉ CAMPOS','SP','125252251235471731348833571122610131187',NULL,'9998',0.00,3,3,NULL),(28,7099398,'1994-04-23 00:00:00',4,5,12,2011,'F','N','VILA ISABEL','CRICIÚMA','SC','124241241115371431526639575124610165057',13668,'209',38.05,1,2,1),(28,7099401,'1994-04-15 00:00:00',4,1,12,2011,'M','N','SETOR OESTE','GOIÂNIA','GO','109092091417111431448611172122610117012',2513,'9998',61.77,1,3,NULL),(28,7099410,'1994-10-24 00:00:00',4,1,12,2011,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215111431467911575124610137042',9260,'883',47.76,1,3,NULL),(28,7099428,'1992-04-13 00:00:00',2,1,12,2009,'M','N','JARDIM SANTA RITA','S JOÃO B VISTA','SP','125251251116471431423311272324610167052',1669,'9998',64.45,1,2,1),(28,7099436,'1991-10-09 00:00:00',4,6,11,2009,'F','N','CORDEIROS','ITAJAÍ','SC','124241241115572431329369282324131334147',5623,'396',54.98,1,2,1),(28,7099444,'1993-08-07 00:00:00',2,1,12,2010,'M','N','PEDRA BRANCA','PALHOÇA','SC','124241241115372431638512575124233227042',19546,'17',32.38,1,2,1),(28,7099452,'1994-06-04 00:00:00',2,17,12,2011,'F','N','CENTRO','CANOINHAS','SC','124241241136231731423335155125610157057',NULL,'146',16.19,1,2,1),(28,7099460,'1992-08-09 00:00:00',2,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116074071216571431468813571124610167077',11627,'9998',51.13,4,3,NULL),(28,7099479,'1994-05-25 00:00:00',2,1,10,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111731353911575122610137052',15344,'9997',37.71,1,3,NULL),(28,7099487,'1994-05-16 00:00:00',4,4,12,2011,'M','N','SAIC','CHAPECÓ','SC','124241241217271431369924575122610157052',6732,'185',52.26,1,3,NULL),(28,7099495,'1994-06-08 00:00:00',4,2,12,2011,'F','N','SALTO','BLUMENAU','SC','124242241215111431479913572112610134192',6523,'909',52.97,1,3,NULL),(28,7099509,'1994-06-09 00:00:00',4,4,12,2011,'F','N','CENTRO','CEL FREITAS','SC','124241241115372431425639272124610126187',17012,'169',31.52,1,3,NULL),(28,7099517,'1993-05-01 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241215472431439924575122610134042',5198,'457',56.57,1,3,NULL),(28,7099533,'1993-11-21 00:00:00',2,3,12,2011,'M','N','VILA SOARES','OURINHOS','SP','125252258211111411346612575121610167012',7662,'9998',49.44,1,3,NULL),(28,7099541,'1993-11-29 00:00:00',4,8,12,2010,'M','N','CENTRO','HERVAL D OESTE','SC','124242241236471431535612575124610144142',NULL,'454',0.00,1,3,NULL),(28,7099550,'1992-05-11 00:00:00',2,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124224221416132431437632381123222967047',13503,'9998',40.73,4,3,NULL),(28,7099568,'1993-11-05 00:00:00',4,6,12,2011,'M','N','CENTRO','ITAJAÍ','SC','124242241216371231348812345122610137072',966,'392',69.57,1,3,NULL),(28,7099576,'1993-07-31 00:00:00',4,4,12,2010,'M','N','CENTRO','TUNÁPOLIS','SC','124241241116272431449933475122610167052',8277,'812',49.37,1,2,1),(28,7099584,'1994-11-28 00:00:00',2,8,12,2011,'F','N','CENTRO','CURITIBA','PR','116162161216111431549833572124610166142',NULL,'9998',0.00,1,3,NULL),(28,7099592,'1983-12-24 00:00:00',2,15,12,2003,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241116144721423371145131610122087',NULL,'30',24.05,1,2,1),(28,7099606,'1995-01-05 00:00:00',4,1,12,2012,'M','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217111431479933225112610134112',NULL,'738',47.65,1,3,NULL),(28,7099614,'1990-07-02 00:00:00',2,10,12,2007,'F','N','BEIRA RIO','S LUDGERO','SC','124164241216374731459614275122230267141',6805,'269',54.14,1,3,NULL),(28,7099622,'1994-07-11 00:00:00',4,1,12,2011,'F','N','BACACHERI','CURITIBA','PR','116162161217111431448832575122610138122',NULL,'9998',0.00,1,3,NULL),(28,7099649,'1993-12-12 00:00:00',4,6,12,2011,'M','N','SERRINHA','GOIÂNIA','GO','109092091236111431448713575112610122042',4565,'9998',57.06,1,3,NULL),(28,7099665,'1993-08-28 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241217372431468823572122610117072',6658,'270',54.58,1,3,NULL),(28,7099673,'1992-02-04 00:00:00',2,1,12,2009,'F','N','MONTE CASTELO','S JOSÉ CAMPOS','SP','125251251115571431336823575124610134147',3532,'9998',60.38,4,2,1),(28,7099681,'1994-08-08 00:00:00',4,24,12,2011,'F','N','CANTA GALO','RIO SUL','SC','124243241116131711336833375125610135192',NULL,'659',18.02,1,3,NULL),(28,7099690,'1991-05-07 00:00:00',4,1,12,2008,'F','N','PONTE PRETA','CAMPINAS','SP','125252251211514311466824572122610165144',86,'9998',83.06,1,3,NULL),(28,7099703,'1994-09-15 00:00:00',4,4,12,2011,'F','N','CRISTO REI','FRANCISCO BELTRÃO','PR','116164161115111751228721472122610162197',8228,'9998',47.71,1,3,NULL),(28,7099711,'1994-05-21 00:00:00',4,8,12,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124241241115371431444614345122610137142',16791,'1206',33.40,1,2,1),(28,7099738,'1994-04-07 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','624241241116131731336633575114610163191',NULL,'307',20.52,1,2,1),(28,7099746,'1994-06-10 00:00:00',4,2,12,2011,'M','N','VELHA','BLUMENAU','SC','124242246215111431358633595122610168052',9913,'1018',45.75,1,3,NULL),(28,7099754,'1993-10-25 00:00:00',4,1,12,2011,'M','N','CENTRO','INDAIAL','SC','124244241216111731463824575124610117055',7816,'855',49.77,1,3,NULL),(28,7099762,'1992-02-18 00:00:00',4,1,12,2009,'F','N','OURO FINO PAULISTA','RIBEIRÃO PIRES','SP','125251254116571311568934571124610114097',6476,'9998',51.77,2,1,1),(28,7099770,'1994-10-01 00:00:00',2,1,11,2011,'F','N','ITANHANGÁ','CPO GRANDE','MS','112122121217111431379811472122610165142',6590,'9998',52.29,4,3,NULL),(28,7099789,'1994-07-26 00:00:00',2,8,11,2011,'F','N','COMASA','JOINVILLE','SC','124242241215131412425314585124610144077',13720,'9997',38.94,2,1,2),(28,7099797,'1993-12-18 00:00:00',4,8,12,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241215111431549912425122610141131',13008,'457',48.97,1,3,NULL),(28,7099800,'1989-09-26 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216275421355824345114121462062',9156,'270',55.15,1,3,NULL),(28,7099819,'1991-04-23 00:00:00',4,6,12,2008,'F','N','CENTRO','ITAJAÍ','SC','124242241216474411437732572124130236092',2606,'389',61.28,1,3,NULL),(28,7099827,'1994-06-03 00:00:00',4,1,11,2011,'F','N','PLANALTO','CPO GRANDE','MS','112122121216151431469913575122610123112',4131,'9998',55.64,1,3,NULL),(28,7099843,'1994-10-14 00:00:00',2,2,12,2011,'F','N','QUITINO','TIMBÓ','SC','124241241125131431233919375124610134092',NULL,'870',0.00,1,2,1),(28,7099851,'1993-04-21 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215472231469913492114610127052',11229,'1175',45.41,4,3,NULL),(28,7099860,'1991-05-22 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241416575411323814442334610142187',9615,'1022',49.54,4,3,NULL),(28,7099878,'1992-02-27 00:00:00',2,1,12,2009,'M','N','SETOR UNIÃO','GOIÂNIA','GO','109091091112472431326411575124610112182',6580,'9998',50.83,2,1,1),(28,7099894,'1992-11-15 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241215573431447814575125133124187',103,'1207',78.54,1,3,NULL),(28,7099908,'1995-11-01 00:00:00',1,24,12,2012,'M','S','BOA VISTA','RIO SUL','SC','124242241215111731369933575122610126197',NULL,'654',57.55,1,3,NULL),(28,7099916,'1993-11-05 00:00:00',2,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124242241115471431369713476124610166147',3715,'739',60.81,1,3,NULL),(28,7099924,'1993-01-26 00:00:00',2,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124201241415272431456613346124610167182',7327,'270',58.26,1,3,NULL),(28,7099932,'1993-08-11 00:00:00',4,7,11,2010,'F','N','CENTRO','LACERDÓPOLIS','SC','116242241215473431348914575124610142172',1639,'446',65.94,1,3,NULL),(28,7099940,'1991-04-04 00:00:00',2,1,12,2009,'M','N','FAZENDA SANTOANTONIO','S JOSÉ','SC','124242241211131431333839575124610164197',16310,'1022',35.83,1,3,NULL),(28,7099959,'1994-11-09 00:00:00',4,24,11,2011,'F','N','CIDADE ALTA','TROMBUDO CENTRAL','SC','124242241216152431236924572124610143072',6847,'654',52.82,1,3,NULL),(28,7099975,'1994-02-18 00:00:00',4,1,11,2011,'M','N','BELA SUICA','LONDRINA','PR','116162161216151732589811574112610167115',5063,'9998',56.48,1,3,NULL),(28,7099983,'1993-12-01 00:00:00',2,1,12,2010,'M','N','BUTIATUVINHA','CURITIBA','PR','116241241115471731526532215124610134012',NULL,'614',32.64,1,2,1),(28,7100000,'1992-09-14 00:00:00',4,1,12,2010,'M','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125133131215471431556832175121610147082',623,'9998',73.24,1,3,NULL),(28,7100019,'1994-12-13 00:00:00',2,1,12,2011,'F','N','FURADINHO','PALHOÇA','SC','124241241135131431635614275124610132142',18336,'592',37.83,1,2,1),(28,7100027,'1994-10-20 00:00:00',4,8,12,2011,'F','N','SÃO JOSÉ DO PANTANO','POUSO ALEGRE','MG','113133131216111431537639275122610164097',13630,'9998',36.44,1,3,NULL),(28,7100043,'1994-12-19 00:00:00',4,3,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124244243117471441459933275124610168032',889,'129',70.13,1,3,NULL),(28,7100051,'1994-04-28 00:00:00',4,10,12,2011,'F','N','PASSO DO GADO','TUBARÃO','SC','124241241115371731224411595114610127072',NULL,'798',33.97,1,3,NULL),(28,7100060,'1994-10-19 00:00:00',4,4,12,2012,'F','S','N SENHORA APARECIDA','FRANCISCO BELTRÃO','PR','116162161215111432358814492122610166147',NULL,'9998',40.50,1,3,NULL),(28,7100078,'1993-03-03 00:00:00',4,1,1,2012,'F','N','PONTE IMARUIM','PALHOÇA','SC','124241241145131332525331272124610127042',NULL,'592',23.98,1,3,NULL),(28,7100086,'1984-12-05 00:00:00',6,1,12,2007,'F','N','MOOCA','S PAULO','SP','125251251117131431426344446124610125027',19985,'9998',28.32,3,3,NULL),(28,7100094,'1991-11-11 00:00:00',4,3,12,2009,'F','N','CENTRO','JABOTICABAL','SP','125252251217572451547811571122610162152',2187,'9998',63.54,1,3,NULL),(28,7100108,'1984-06-19 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241216353411546871495124321468175',7825,'185',49.77,1,3,NULL),(28,7100116,'1994-06-21 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124203241415271431423322275122610134077',9504,'595',48.87,1,3,NULL),(28,7100124,'1992-11-21 00:00:00',2,15,12,2010,'F','N','CENTRO','ARARANGUÁ','SC','124242241215372431328622485122610168072',14261,'970',47.01,1,3,NULL),(28,7100132,'1994-07-06 00:00:00',4,10,10,2011,'F','N','MAGALHÃES','LAGUNA','SC','124242241245111731226923575122610123012',8898,'807',48.56,1,3,NULL),(28,7100140,'1989-07-20 00:00:00',4,1,12,2006,'M','N','VALE DO SOL','COLORADO','PR','116162161216574611248836585112610165117',2459,'9998',63.13,1,3,NULL),(28,7100159,'1994-06-16 00:00:00',4,1,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241415111411538924495124610128072',10266,'270',46.63,1,3,NULL),(28,7100167,'1993-09-22 00:00:00',2,1,12,2010,'F','N','ERMELINO MATARAZZO','S PAULO','SP','125252251216471451334411271124610127127',15547,'9998',35.54,1,3,NULL),(28,7100175,'1993-04-09 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124241241116132751446633375112610132017',17351,'169',28.77,1,2,1),(28,7100183,'1992-09-27 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431348813576112131543012',5365,'884',55.49,1,3,NULL),(28,7100191,'1994-09-20 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241415111431236923595124610123187',NULL,'300',31.14,1,3,NULL),(28,7100205,'1994-10-14 00:00:00',4,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241115112731469814576124610165092',1154,'457',68.97,1,3,NULL),(28,7100213,'1994-07-30 00:00:00',4,5,10,2011,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241215111731569833574122610164182',4339,'213',54.92,1,3,NULL),(28,7100230,'1990-04-27 00:00:00',2,10,12,2006,'M','N','SARANDI','PTO ALEGRE','RS','120202201216141411644432322124140232097',NULL,'9998',0.00,1,3,NULL),(28,7100248,'1994-02-05 00:00:00',4,6,12,2011,'M','N','CENTRO','ITAJAÍ','SC','124242241237471431435623575121610162017',NULL,'388',24.22,1,3,NULL),(28,7100256,'1994-12-20 00:00:00',2,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215372451384612575122610126142',4589,'213',56.45,1,3,NULL),(28,7100272,'1991-01-26 00:00:00',2,8,12,2008,'M','N','J PORTAL DO LAGO','APUCARANA','PR','116164161216575721336632495122610167182',8803,'9998',50.13,1,3,NULL),(28,7100280,'1994-04-28 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215122421436713575122610127182',8366,'738',53.15,1,3,NULL),(28,7100299,'1990-04-11 00:00:00',4,1,11,2009,'M','N','INDEPÊNCIA','CRUZ ALTA','RS','120202201136111431548811475124241227107',16861,'9998',33.92,1,3,NULL),(28,7100302,'1978-05-12 00:00:00',4,1,12,1996,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124201201217113411159841315125321764057',8499,'9998',56.27,1,3,NULL),(28,7100310,'1989-08-03 00:00:00',4,8,12,2007,'M','N','XAXIM','CURITIBA','PR','116162161214572451348831215124140642046',312,'9998',74.83,1,3,NULL),(28,7100329,'1992-06-02 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241136372431234824345124610136052',12046,'1248',41.32,1,2,1),(28,7100353,'1991-04-24 00:00:00',4,1,11,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243248217131531426414345124610147033',19955,'9999',28.76,1,3,NULL),(28,7100361,'1993-05-20 00:00:00',4,1,1,2011,'F','N','CIDADE NAUTICA','S VICENTE','SP','125251281415371431249713445124610125097',11526,'9998',42.50,1,3,NULL),(28,7100370,'1995-09-26 00:00:00',4,22,12,2012,'M','S','SÃO LUIZ','BRUSQUE','SC','124242241215111531466819192122610117017',NULL,'109',39.10,1,3,NULL),(28,7100388,'1992-11-05 00:00:00',4,4,12,2009,'F','N','CENTRO','XAXIM','SC','124241241212572431339633575125610163143',2366,'1081',63.65,1,3,NULL),(28,7100396,'1993-05-06 00:00:00',4,8,12,2010,'M','N','SÃO JOSÉ DO PANTANO','POUSO ALEGRE','MG','113133131216471431537619271122610167182',4038,'9998',59.34,1,3,NULL),(28,7100400,'1994-04-16 00:00:00',4,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217151431438811372122610167047',3823,'1198',60.26,1,3,NULL),(28,7100418,'1993-09-07 00:00:00',4,1,12,2010,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125112111216471431468811415122610124142',3635,'9998',59.68,1,3,NULL),(28,7100426,'1992-01-19 00:00:00',4,3,12,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116163168131573431556813295112141426097',NULL,'9998',0.00,1,3,NULL),(28,7100434,'1994-04-23 00:00:00',4,8,12,2011,'F','N','BOM RETIRO','JOINVILLE','SC','124241241145371431469933575124610137052',6316,'476',54.27,1,2,1),(28,7100442,'1994-05-29 00:00:00',2,24,12,2011,'F','N','REVOLVER','PRES GETÚLIO','SC','124241248215111231236629572124610124187',17940,'991',30.48,1,3,NULL),(28,7100450,'1990-09-19 00:00:00',2,10,12,2007,'M','N','LINHA FRAGNANI','TREZE MAIO','SC','124241244111373421426435355122610114182',7234,'793',52.92,1,2,1),(28,7100469,'1994-10-12 00:00:00',4,1,12,2011,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125032251215121431479933575112610122012',NULL,'9998',0.00,4,3,NULL),(28,7100477,'1992-02-01 00:00:00',4,1,11,2010,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215473431359939575124610134091',9547,'270',50.21,1,3,NULL),(28,7100485,'1992-10-15 00:00:00',4,1,12,2009,'F','N','LIBERDADE','S PAULO','SP','125132131217571751238923572344610162047',42,'9998',82.13,1,3,NULL),(28,7100493,'1993-07-08 00:00:00',4,1,11,2010,'M','N','ROÇADO','S JOSÉ','SC','124241241117142431534434295125610137042',NULL,'729',17.11,1,2,1),(28,7100507,'1991-07-29 00:00:00',4,1,12,2008,'F','N','VORSTADT','BLUMENAU','SC','124242241214574431356822574112121162147',2718,'855',67.64,1,3,NULL),(28,7100515,'1994-04-01 00:00:00',4,8,11,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241217211431569931572122610126182',2013,'1063',65.87,1,3,NULL),(28,7100523,'1994-09-14 00:00:00',4,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111431245719575124610133187',NULL,'1022',19.03,1,3,NULL),(28,7100531,'1991-12-19 00:00:00',4,1,12,2008,'F','N','VILA BRASILANDIA','S PAULO','SP','125252251216572431455824575124610136147',90,'9998',78.17,1,3,NULL),(28,7100540,'1993-08-05 00:00:00',2,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','624111111415471731326623595124610147017',8217,'9997',52.80,4,3,NULL),(28,7100558,'1992-05-06 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217373431466837575114121464147',3507,'273',60.64,1,3,NULL),(28,7100566,'1993-04-22 00:00:00',4,1,12,2010,'M','N','CAMPO BELO','S PAULO','SP','125252251217471431268811572124610162017',958,'9998',74.25,1,3,NULL),(28,7100574,'1993-12-17 00:00:00',4,8,12,2011,'M','N','PINHEIRINHO','RIO NEGRINHO','SC','124242161215421431446622474112613268057',11273,'666',44.18,1,3,NULL),(28,7100582,'1994-08-20 00:00:00',4,1,12,2011,'F','N','VALE DO ITAMARACA','VALINHOS','SP','125252251215111731459913575122610123147',9941,'9998',43.77,1,3,NULL),(28,7100590,'1991-02-03 00:00:00',4,1,12,2008,'M','N','LAGO SUL','LG SUL','DF','607072071215571441367912576112141464043',873,'9998',70.59,1,3,NULL),(28,7100612,'1994-06-22 00:00:00',2,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112431236521572124610133052',10802,'951',46.07,1,3,NULL),(28,7100620,'1994-12-14 00:00:00',4,15,12,2011,'F','N','CENTRO','ARARANGUÁ','SC','124244241215131731537811572224610164012',10498,'210',45.24,1,3,NULL),(28,7100639,'1994-07-20 00:00:00',4,4,11,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124244241215472432459813572124610164052',2455,'226',63.20,1,3,NULL),(28,7100647,'1993-02-03 00:00:00',4,15,12,2010,'M','N','VILA SCHELL','TRÊS COROAS','RS','120201201311371442466933271324610166097',3232,'9998',61.61,1,3,NULL),(28,7100663,'1994-05-25 00:00:00',2,5,12,2011,'F','N','BRASÍLIA','COCAL SUL','SC','124242248215151431326419575122610121072',15667,'188',44.36,1,3,NULL),(28,7100671,'1993-07-17 00:00:00',4,8,12,2010,'M','N','GLÓRIA','JOINVILLE','SC','124242241217372431359914575122231447017',1493,'1063',66.18,1,3,NULL),(28,7100680,'1991-11-28 00:00:00',2,6,12,2010,'F','N','CENTRO','LEOPOLDINA','MG','113132131216371231428314575124241464095',NULL,'9998',0.00,1,3,NULL),(28,7100698,'1993-07-05 00:00:00',4,1,12,2010,'M','N','JD SÃO MARCO','S JOSÉ R PRETO','SP','125252251215471431448839575122610144197',5943,'9998',52.52,1,3,NULL),(28,7100701,'1991-08-03 00:00:00',4,1,12,2009,'F','N','CIDADE VISTA VERDE','S JOSÉ CAMPOS','SP','125251251117571431467614581122610163052',8766,'9998',46.26,3,2,1),(28,7100710,'1994-10-11 00:00:00',2,23,12,2011,'F','N','VILA NOVA','JARAGUÁ SUL','SC','124202241215111431439411585122610117142',11565,'1174',44.12,1,3,NULL),(28,7100728,'1990-03-10 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241113152411423114345114610144122',NULL,'307',10.86,1,2,1),(28,7100752,'1995-02-13 00:00:00',2,10,11,2011,'F','N','VILA MOEMA','TUBARÃO','SC','124241241235131411223639592125610144092',15806,'797',44.08,1,3,NULL),(28,7100760,'1995-07-04 00:00:00',4,1,12,2012,'M','S','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111431458819575112610127055',NULL,'270',37.28,1,3,NULL),(28,7100779,'1993-01-05 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241116272431423629345114610124057',15829,'730',36.76,1,2,1),(28,7100787,'1993-11-19 00:00:00',4,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124243241115271731446314341124610128052',NULL,'734',28.25,1,3,NULL),(28,7100795,'1994-05-12 00:00:00',4,1,12,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216111431489931575122610164182',1561,'270',67.72,1,3,NULL),(28,7100817,'1987-02-23 00:00:00',4,23,12,2004,'M','N','AGUA VERDE','CURITIBA','PR','116242161215473231568816345122343165097',NULL,'9998',0.00,1,3,NULL),(28,7100825,'1994-12-30 00:00:00',4,1,11,2011,'F','N','CANTO','FLORIANÓPOLIS','SC','124242241215111431347612472124610164142',19870,'270',29.70,1,3,NULL),(28,7100841,'1991-11-18 00:00:00',4,15,12,2010,'F','N','SANTANA','ERMO','SC','124283242616141721538515342122630166012',NULL,'690',31.44,1,3,NULL),(28,7100850,'1991-11-04 00:00:00',4,1,6,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217131711536869485114610162015',NULL,'9999',21.59,1,3,NULL),(28,7100876,'1993-09-20 00:00:00',4,1,10,2011,'F','N','VILAS DO ATLÂNTICO','LAURO FREITAS','BA','105052051216111231489913576112610146142',NULL,'9998',0.00,1,3,NULL),(28,7100884,'1994-06-22 00:00:00',2,1,11,2011,'F','N','CENTRO','PALMEIRA MISSÕES','RS','120204201215371531568915572122610123147',NULL,'9998',0.00,1,3,NULL),(28,7100892,'1990-10-13 00:00:00',2,1,12,2007,'F','N','MORRO AGUDO','PAULO LOPES','SC','124241241135371431323419315324610151077',15387,'607',34.69,1,3,NULL),(28,7100914,'1989-06-25 00:00:00',4,1,6,2006,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124161161236574441518811344124610144042',8754,'9998',49.47,1,3,NULL),(28,7100922,'1992-04-25 00:00:00',2,24,12,2009,'F','N','GABIROBA','RIO OESTE','SC','124241241115573711338633474124610148052',3017,'652',59.09,1,2,1),(28,7100930,'1994-07-09 00:00:00',4,1,11,2011,'F','N','CENTRO','PEDREIRA','SP','125252251217111231468832575112610137047',9715,'9998',47.65,1,3,NULL),(28,7100949,'1994-05-25 00:00:00',4,23,12,2011,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124242241215151331639712575122610127012',NULL,'424',34.65,1,3,NULL),(28,7100957,'1994-04-21 00:00:00',2,24,11,2011,'F','N','CENTRO','ATALANTA','SC','124241241315111431456612595124610152122',12137,'653',42.65,1,3,NULL),(28,7100973,'1992-10-12 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116272421327344345124131416197',16233,'359',43.26,1,3,NULL),(28,7100981,'1994-11-26 00:00:00',4,10,12,2011,'F','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124241241115141431636612241124610124072',NULL,'798',29.86,1,2,1),(28,7100990,'1995-09-01 00:00:00',4,10,11,2012,'F','S','CENTRO','TUBARÃO','SC','124242241215271431378814475122610168141',NULL,'807',58.77,1,3,NULL),(28,7101007,'1991-06-27 00:00:00',2,1,12,2008,'M','N','SARANDI','PTO ALEGRE','RS','120201201117571411356679595124610167117',6377,'9998',53.47,1,2,1),(28,7101015,'1992-10-08 00:00:00',2,1,12,2009,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241435573431436634274124610162097',6762,'991',55.24,1,3,NULL),(28,7101023,'1994-07-09 00:00:00',4,4,11,2011,'F','N','VILA NOVA','FRANCISCO BELTRÃO','PR','116164161235371731338832575122610128113',NULL,'9998',0.00,1,3,NULL),(28,7101031,'1993-04-08 00:00:00',4,1,12,2010,'F','N','CENTRO','MARIALVA','PR','116162161215471431455823574124610167182',1820,'9998',65.04,1,3,NULL),(28,7101040,'1994-09-09 00:00:00',4,5,12,2011,'M','N','COQUEIROS','IÇARA','SC','124241241136131431433335275124610113197',12143,'1005',50.34,1,2,1),(28,7101058,'1994-03-20 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241215372411339824375124122326147',1522,'273',66.34,1,3,NULL),(28,7101066,'1992-05-13 00:00:00',4,6,12,2008,'M','N','ZONA NOVA','CAPÃO CANOA','RS','120202201216471431538614475224141444187',13366,'9998',48.46,1,3,NULL),(28,7101074,'1983-04-25 00:00:00',2,1,12,2001,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124044171616121721158843432132343268187',10139,'9998',53.50,4,1,2),(28,7101082,'1992-10-08 00:00:00',4,1,12,2010,'F','N','ARIRIU','PALHOÇA','SC','124244241135272411326624485114610138182',19111,'772',34.83,1,3,NULL),(28,7101090,'1993-10-29 00:00:00',2,1,11,2011,'F','N','IPIRANGA','S JOSÉ','SC','124242241215111411368923576112610141182',12151,'270',39.76,1,3,NULL),(28,7101112,'1994-02-17 00:00:00',4,8,12,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241216112431339714575122610142012',914,'1063',69.93,1,3,NULL),(28,7101120,'1993-10-12 00:00:00',4,3,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431358512374125610135017',524,'1038',74.23,1,3,NULL),(28,7101139,'1991-06-05 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241212275411366914445134231417062',4798,'1022',56.99,1,3,NULL),(28,7101147,'1993-07-21 00:00:00',2,1,12,2011,'F','N','CENTRO HISTÓRICO','PARANAGUÁ','PR','616162161216121432239823335121610137047',NULL,'9998',21.05,1,3,NULL),(28,7101155,'1989-01-15 00:00:00',4,1,12,2006,'F','N','BAIRRO IPIRANGA','S JOSÉ','SC','124241241116132431218321275224221946092',15653,'257',44.39,2,1,1),(28,7101163,'1994-08-14 00:00:00',2,6,12,2011,'M','N','CENTRO','ITAPEMA','SC','124241241115131431444611575124610128057',15083,'406',34.76,1,2,1),(28,7101171,'1993-08-07 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115472431433321275114610164092',2019,'737',65.57,1,3,NULL),(28,7101180,'1978-04-10 00:00:00',4,1,5,1997,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','624164161416272411329841312122610127105',16711,'9998',42.17,1,3,NULL),(28,7101198,'1992-05-06 00:00:00',2,1,12,2009,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241215372431438614575124221467042',1325,'270',68.10,1,3,NULL),(28,7101201,'1985-12-14 00:00:00',4,1,12,2002,'M','N','SERRINHA','FLORIANÓPOLIS','SC','216161161136131731433335342342610168186',20120,'9998',25.66,1,2,1),(28,7101210,'1995-06-07 00:00:00',4,22,12,2012,'F','S','SANTA RITA','BRUSQUE','SC','124243241215111411469834575122610132142',NULL,'107',32.40,1,3,NULL),(28,7101228,'1994-09-15 00:00:00',4,1,10,2011,'F','N','J NOVA AMERICA','S JOSÉ CAMPOS','SP','125252251215111431348823575112610123042',2327,'9998',64.69,1,3,NULL),(28,7101236,'1993-09-23 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215472431369913575124610165145',2236,'262',63.96,1,3,NULL),(28,7101244,'1995-08-03 00:00:00',4,1,11,2012,'M','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111432488931576112610167092',NULL,'270',62.70,1,3,NULL),(28,7101252,'1992-06-08 00:00:00',4,1,7,2009,'F','N','ARMAÇÂO','FLORIANÓPOLIS','SC','124242281437473431468934442122610146091',3289,'9998',60.71,1,3,NULL),(28,7101260,'1993-07-20 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124092091215372431236724375124610164092',16589,'9998',33.60,4,3,NULL),(28,7101279,'1993-07-22 00:00:00',4,1,12,2010,'M','N','IMIRIM','S PAULO','SP','125252251216371421448611572114610162087',1689,'9998',67.75,1,3,NULL),(28,7101287,'1993-08-18 00:00:00',2,1,12,2010,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241117372721325529585114610131192',16033,'286',36.13,1,2,1),(28,7101295,'1994-04-18 00:00:00',4,1,12,2011,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241225111431436413275124610147142',7134,'262',51.46,1,3,NULL),(28,7101309,'1991-12-20 00:00:00',2,1,12,2009,'F','N','JD AMERICANO','SOROCABA','SP','125251251215572431646811386122610121157',6740,'9998',51.85,3,3,NULL),(28,7101317,'1995-02-10 00:00:00',4,10,11,2012,'F','S','VILA MOEMA','TUBARÃO','SC','124242241215111431479814275122610116142',NULL,'807',53.63,1,3,NULL),(28,7101325,'1992-01-10 00:00:00',4,1,12,2009,'F','N','JARDIM PRIMAVERA','ARARAQUARA','SP','125252251217571431556921475112610125092',3292,'9998',58.17,1,3,NULL),(28,7101333,'1994-01-12 00:00:00',2,1,12,2011,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241117111431439923242214610143172',14457,'739',41.43,1,3,NULL),(28,7101341,'1989-08-25 00:00:00',2,1,12,2007,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124243241215575751448714575124610163191',590,'270',73.12,1,3,NULL),(28,7101350,'1995-04-30 00:00:00',2,10,12,2012,'M','S','PASSAGEM','TUBARÃO','SC','124242241215111731326439592121610128072',NULL,'797',42.89,1,3,NULL),(28,7101368,'1994-05-01 00:00:00',2,10,12,2011,'M','N','PASSAGEM','TUBARÃO','SC','124242241215111431437732595122610134087',17588,'807',40.07,1,3,NULL),(28,7101376,'1994-07-23 00:00:00',4,1,11,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431476833575124610133187',10071,'270',46.23,1,3,NULL),(28,7101384,'1987-10-22 00:00:00',2,8,12,2005,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091216272721235712571224143227057',1213,'9998',69.07,1,3,NULL),(28,7101406,'1987-11-04 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243247236271741328923381121131067097',13015,'9997',48.96,1,3,NULL),(28,7101414,'1994-06-22 00:00:00',4,17,12,2011,'F','N','NOVA BRASILIA','MAJ VIEIRA','SC','124241241115271431556619255124610146142',NULL,'548',14.24,1,2,1),(28,7101430,'1993-02-02 00:00:00',2,1,11,2010,'M','N','JD CIDADE FPOLIS','S JOSÉ','SC','124241241116142431635514141225610127042',NULL,'734',24.13,1,2,1),(28,7101449,'1987-08-20 00:00:00',2,1,12,2004,'F','N','LIBERDADE','S PAULO','SP','125253251215572411356312575125140421022',NULL,'9998',0.00,1,3,NULL),(28,7101457,'1994-03-31 00:00:00',4,4,12,2010,'M','N','N SENHORA DE LOURDES','CAXIAS SUL','RS','120202201216271431358714575122610132092',2120,'9998',62.06,1,3,NULL),(28,7101465,'1966-08-22 00:00:00',2,1,12,1985,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','224241241226133421423144342124610161097',NULL,'1169',32.76,1,3,NULL),(28,7101473,'1994-11-30 00:00:00',4,1,12,2011,'F','N','ROÇADO','S JOSÉ','SC','124242241215111731554612575112610164073',9114,'738',48.23,1,3,NULL),(28,7101490,'1992-07-12 00:00:00',2,1,12,2010,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251217471431248823572112610137146',12930,'9998',38.99,1,3,NULL),(28,7101511,'1994-08-23 00:00:00',4,8,11,2011,'M','N','IRIRÍU','JOINVILLE','SC','124241241217371731348614575124610167057',6780,'1006',52.13,1,3,NULL),(28,7101520,'1995-02-28 00:00:00',2,1,11,2011,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242248215111331366632576112610122141',19265,'270',34.04,1,3,NULL),(28,7101538,'1994-06-22 00:00:00',4,24,11,2011,'M','N','CENTRO','IBIRAMA','SC','124242241215161531448632245124610124042',6124,'991',54.37,1,3,NULL),(28,7101554,'1994-02-21 00:00:00',2,1,12,2010,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124242241215273751448632575124131467012',10430,'262',44.23,4,3,NULL),(28,7101570,'1992-07-16 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241213372731478813375112131068185',15163,'883',45.29,1,3,NULL),(28,7101589,'1992-10-22 00:00:00',2,5,12,2010,'M','N','ESTAÇÃO','URUSSANGA','SC','124241246217152431356934575122230317042',17373,'230',40.60,1,3,NULL),(28,7101597,'1991-08-25 00:00:00',2,1,12,2008,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241132141531426529395124610118047',NULL,'298',6.39,1,2,1),(28,7101600,'1993-12-22 00:00:00',2,1,12,2010,'F','N','PÔR DO SOL','VERANÓPOLIS','RS','120201201136131321543314345124610134147',NULL,'9998',18.55,4,2,1),(28,7101619,'1992-07-03 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','125252251111372411237832371124610144077',6948,'9998',51.98,1,3,NULL),(28,7101627,'1994-06-13 00:00:00',2,1,11,2011,'F','N','CENTRO','BIGUAÇU','SC','124242241215111431446912315124610127045',13881,'270',38.25,1,3,NULL),(28,7101635,'1993-12-02 00:00:00',2,4,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472431438716575124610137057',NULL,'1035',0.00,1,3,NULL),(28,7101643,'1994-03-07 00:00:00',2,1,12,2011,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215111451544421396111133267187',11246,'299',46.07,1,3,NULL),(28,7101651,'1996-08-19 00:00:00',4,1,12,2013,'F','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111731348939574122610168147',NULL,'270',39.29,1,3,NULL),(28,7101660,'1994-02-17 00:00:00',4,6,11,2011,'F','N','ANDORINHA','ITAPEMA','SC','124242241215122431469919575125610133073',8027,'1038',50.00,1,3,NULL),(28,7101678,'1995-12-04 00:00:00',4,25,12,2011,'M','N','CENTRO','CAÇADOR','SC','124242241215111431456824345122610147042',9444,'120',46.26,1,3,NULL),(28,7101686,'1994-07-25 00:00:00',4,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241217121731438834575124610112182',11228,'300',46.52,1,3,NULL),(28,7101716,'1995-05-08 00:00:00',4,1,11,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','122222221217121731349833572122610142182',1180,'9998',69.13,1,3,NULL),(28,7101724,'1994-09-30 00:00:00',4,5,10,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241212111431354834475122610117147',3217,'213',60.22,1,3,NULL),(28,7101732,'1992-09-12 00:00:00',4,1,11,2010,'F','N','VILA ROSA','APARECIDA GOIÂNIA','GO','109092091217471421487912575112610117147',1875,'9998',63.79,1,3,NULL),(28,7101740,'1991-08-31 00:00:00',4,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124242241437132421446513345112610162057',15867,'781',35.23,1,3,NULL),(28,7101767,'1991-05-09 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117273421344614195124221722197',10258,'777',53.30,1,3,NULL),(28,7101775,'1994-07-26 00:00:00',4,22,12,2011,'M','N','CLARAÍBA','NOVA TRENTO','SC','124241241125141432543534345124610137047',18115,'574',38.54,1,2,1),(28,7101783,'1967-04-19 00:00:00',2,1,8,1989,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','224241247427132511434349191124610167047',19241,'9999',34.16,4,3,NULL),(28,7101791,'1994-06-28 00:00:00',2,17,12,2011,'F','N','ALTO DE MAFRA','MAFRA','SC','124241161216111631427923595122610132097',NULL,'9998',0.00,1,3,NULL),(28,7101805,'1994-05-10 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241217271731268923475122610114071',9561,'738',46.70,1,3,NULL),(28,7101813,'1982-10-05 00:00:00',2,1,12,2000,'F','N','ALTO ARIRIU','PALHOÇA','SC','124243241226475421433623445124323063097',12502,'262',49.79,1,3,NULL),(28,7101821,'1994-03-13 00:00:00',2,1,12,2011,'M','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124242241115131731449813435124610127062',13647,'271',47.96,1,3,NULL),(28,7101848,'1994-10-19 00:00:00',4,23,12,2011,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215471431348931575122610128127',NULL,'9998',0.00,1,3,NULL),(28,7101864,'1994-07-15 00:00:00',4,1,11,2011,'M','N','ATUBA','PINHAIS','PR','116052161216111231489913575121610134042',8423,'9998',48.11,1,3,NULL),(28,7101899,'1993-11-21 00:00:00',2,1,11,2010,'F','N','VILA SOFIA','S PAULO','SP','125254251236572421669911571125610148142',569,'9998',73.34,1,3,NULL),(28,7101902,'1993-08-08 00:00:00',2,8,12,2010,'F','N','ALTO TARUMÃ','CURITIBA','PR','116162161217472431536732574124610167147',NULL,'9998',0.00,1,3,NULL),(28,7101910,'1994-05-17 00:00:00',4,9,11,2011,'F','N','CENTRO','LAGES','SC','124243241215112431438712575122610163142',7543,'1207',51.77,1,3,NULL),(28,7101929,'1994-02-26 00:00:00',4,1,11,2011,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215112431389953575124610148012',7156,'270',52.30,1,3,NULL),(28,7101937,'1994-02-02 00:00:00',2,17,11,2011,'F','N','SÃO BERNARDO','UNIÃO VITÓRIA','PR','116162241217121431446811575122610118187',NULL,'633',0.00,1,3,NULL),(28,7101945,'1992-02-07 00:00:00',4,1,12,2009,'M','N','COND DELFIM VERDE','ITAPECERICA SERRA','SP','125252251216571411488812575112610167052',1840,'9998',65.35,3,3,NULL),(28,7101953,'1991-10-02 00:00:00',4,1,11,2009,'M','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252256217571441658812591122610165182',1254,'9998',67.41,1,3,NULL),(28,7101961,'1993-05-25 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116372431437513585114610124042',14612,'298',38.67,1,2,1),(28,7101988,'1993-03-29 00:00:00',2,1,7,2010,'F','N','ESPRAIADO','NOVA TRENTO','SC','124241247126162431423411275112610132197',NULL,'1198',0.00,1,2,1),(28,7102011,'1992-06-04 00:00:00',4,1,7,2011,'F','N','BOA VISTA','CURITIBA','PR','116163163117371431346631275124610147052',3183,'9998',58.71,3,3,NULL),(28,7102020,'1994-03-25 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241115471431339921275115610146196',7069,'307',50.06,1,3,NULL),(28,7102038,'1995-06-12 00:00:00',4,4,11,2011,'M','N','CENTRO','CHAPECÓ','SC','124242241211121431468831571122610124092',9244,'1191',46.22,1,3,NULL),(28,7102046,'1995-06-10 00:00:00',4,6,11,2012,'M','S','CENTRO','NAVEGANTES','SC','124242241217111531568933475122610137042',NULL,'1026',31.14,1,3,NULL),(28,7102054,'1992-03-23 00:00:00',4,1,12,2009,'F','N','INDEPENDÊNCIA','PIRACICABA','SP','125251251216571131344911575112610126077',17741,'9998',39.64,1,3,NULL),(28,7102089,'1994-01-05 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431566612425122610167041',8831,'270',51.47,1,3,NULL),(28,7102119,'1988-12-09 00:00:00',2,1,12,2005,'M','N','CENTRO','JACAREÍ','SP','125252251417571411446814571122142462122',111,'9998',76.63,4,3,NULL),(28,7102127,'1989-11-13 00:00:00',2,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241215575431466633575124610167072',536,'991',73.78,1,3,NULL),(28,7102135,'1995-06-06 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431546632322122610117095',16851,'723',41.87,1,3,NULL),(28,7102143,'1993-12-18 00:00:00',4,5,12,2011,'F','N','CIDADE JARDIM','RIO CLARO','SP','125252251217111411466612172122610123183',11791,'9998',43.57,1,3,NULL),(28,7102151,'1994-02-24 00:00:00',2,1,12,2010,'F','N','PALMAS','GOV CELSO RAMOS','SC','124242241216133431427632115124221413072',9100,'1134',48.55,1,3,NULL),(28,7102160,'1985-03-09 00:00:00',4,1,12,2002,'M','N','JARDIM ELDORADO','PRES PRUDENTE','SP','125251251116131411423419575124610116142',NULL,'9998',0.00,1,2,1),(28,7102178,'1987-10-01 00:00:00',2,8,12,2004,'F','N','CENTRO','PALMEIRA','PR','116161161116371432423316482122141221146',NULL,'9998',0.00,1,3,NULL),(28,7102186,'1994-04-21 00:00:00',4,7,12,2011,'M','N','BATEL','CURITIBA','PR','116242161215121431568611472122610167042',3910,'9998',59.90,1,3,NULL),(28,7102194,'1994-09-12 00:00:00',2,1,12,2011,'F','N','FELIZ','GOIÂNIA','GO','109092091216121441458836574122610134072',1157,'9998',67.85,1,3,NULL),(28,7102216,'1974-04-25 00:00:00',4,1,12,1992,'F','N','SANTOS DUMONT','S JOSÉ','SC','124241241116475431123329485114521566187',NULL,'169',0.00,1,3,NULL),(28,7102224,'1991-11-07 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241122471531636314445124610113147',NULL,'1116',18.51,4,2,1),(28,7102232,'1994-07-28 00:00:00',2,22,12,2011,'F','N','CENTRO','NOVA TRENTO','SC','124241241116271431443614475122610166147',16890,'574',32.39,1,2,1),(28,7102240,'1994-05-04 00:00:00',4,1,11,2011,'M','N','PARQUE DOS PRÍNCIPES','OSASCO','SP','125252251417151431569933575122610167043',10298,'9998',44.99,1,3,NULL),(28,7102275,'1993-02-23 00:00:00',4,1,2,2012,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242246115143431589952145124610167051',2862,'306',62.78,4,3,NULL),(28,7102283,'1993-11-29 00:00:00',2,10,10,2011,'F','N','SANTO ANTÔNIO PÁDUA','TUBARÃO','SC','124242241215112431476614575112610164042',3396,'807',60.51,1,3,NULL),(28,7102291,'1993-01-04 00:00:00',4,1,12,2010,'M','N','CENTRO','ÁGUAS S PEDRO','SP','125251251217471312436612575122610125057',17699,'9998',30.83,1,3,NULL),(28,7102305,'1992-07-20 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215573431239933592122610133145',2076,'270',62.33,1,3,NULL),(28,7102313,'1991-11-15 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574411459924595125610156082',598,'820',72.67,1,3,NULL),(28,7102330,'1994-06-30 00:00:00',4,10,12,2011,'F','N','PINHEIRAL','BRAÇO NORTE','SC','124241241116161731486416572122610145143',15376,'1164',33.49,1,3,NULL),(28,7102348,'1992-11-06 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124212241215472431469719572122610123042',1240,'270',67.71,1,3,NULL),(28,7102356,'1994-10-31 00:00:00',4,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111431389833575122610167042',909,'723',70.99,1,3,NULL),(28,7102364,'1990-12-03 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431469811595122221467042',257,'270',75.63,1,3,NULL),(28,7102372,'1993-12-02 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244247214372631336871572111610127081',NULL,'9999',27.43,1,3,NULL),(28,7102380,'1992-10-25 01:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215273431336923585121121464112',NULL,'211',NULL,1,3,NULL),(28,7102399,'1996-09-05 00:00:00',4,24,12,2013,'F','S','CENTRO','RIO SUL','SC','124242241216111752489613575122610116192',NULL,'9997',52.41,1,3,NULL),(28,7102410,'1991-04-23 00:00:00',4,1,12,2008,'F','N','SÃO MIGUEL','BIGUAÇU','SC','124241241117574431323319574124610166177',3909,'64',60.92,1,2,1),(28,7102429,'1993-06-08 00:00:00',2,1,12,2010,'F','N','CANTO','FLORIANÓPOLIS','SC','124242241215373431459639195124230227142',4268,'262',58.68,1,3,NULL),(28,7102445,'1993-08-10 00:00:00',2,1,12,2010,'F','N','BEZENELO','NOVA TRENTO','SC','124243241136272431426613385124610113142',12701,'574',43.61,4,3,NULL),(28,7102453,'1992-05-25 00:00:00',4,8,12,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124242247237471751333821577115610142197',NULL,'9999',0.00,1,3,NULL),(28,7102461,'1994-01-15 00:00:00',4,6,11,2011,'F','N','CENTRO','BARRA VELHA','SC','124242241215111431568711595124610117077',10017,'1057',43.64,1,3,NULL),(28,7102470,'1994-04-10 00:00:00',4,4,12,2011,'M','N','CENTRO','MANGUEIRINHA','PR','116161161217111431348411595124610118197',5907,'9998',54.10,1,3,NULL),(28,7102488,'1991-12-08 00:00:00',4,1,12,2010,'F','N','VILA AURORA','S PAULO','SP','125251255117271411348624341114610137092',11914,'9998',41.46,1,2,1),(28,7102496,'1988-12-28 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624241241116473731623644445134610131147',10495,'271',52.93,2,1,1),(28,7102500,'1993-04-27 00:00:00',4,1,10,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215373431358819575112610126122',8201,'270',56.78,1,3,NULL),(28,7102526,'1993-04-23 00:00:00',4,8,12,2010,'F','N','CENTRO','CONCHAL','SP','125253251217472431456834575124610138197',2897,'9998',59.59,1,3,NULL),(28,7102534,'1993-09-22 00:00:00',4,2,12,2011,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215122431469814575122610138142',1071,'909',67.67,1,3,NULL),(28,7102542,'1993-12-02 00:00:00',2,1,12,2011,'F','N','FREITAS','PAULO LOPES','SC','124242241315271431356313335124610133072',9391,'271',45.46,1,3,NULL),(28,7102550,'1992-09-26 00:00:00',4,1,12,2011,'M','N','PALERMO','LONDRINA','PR','116162167417472431459923575112610124047',NULL,'9998',32.72,3,3,NULL),(28,7102569,'1994-06-23 00:00:00',4,1,12,2011,'F','N','VALPARAÍSO','STO ANDRÉ','SP','125252251217111431559911572122610134142',3733,'9998',60.93,1,3,NULL),(28,7102577,'1994-12-28 00:00:00',4,10,12,2011,'M','N','HUMAITA','TUBARÃO','SC','124242241215111431336914475122610137042',NULL,'809',28.34,1,3,NULL),(28,7102585,'1993-12-20 00:00:00',2,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111221238923475124610127042',3975,'723',59.51,1,3,NULL),(28,7102593,'1993-04-26 00:00:00',2,1,12,2010,'M','N','PALMAS','GOV CELSO RAMOS','SC','124241241127371431533634345124610125142',18050,'329',38.74,4,2,1),(28,7102607,'1994-02-11 00:00:00',4,1,10,2011,'M','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241215271431369933595124610162122',10208,'1133',53.38,1,3,NULL),(28,7102615,'1992-02-11 00:00:00',4,1,12,2009,'F','N','PAULISTA','PIRACICABA','SP','125251251216571431456614572122610134077',16063,'9998',43.58,1,3,NULL),(28,7102623,'1994-06-19 00:00:00',2,6,12,2011,'F','N','DOM BOSCO','ITAJAÍ','SC','124244241215111431223823575124610142092',11026,'392',43.00,1,3,NULL),(28,7102631,'1990-06-09 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244247316153431336821295124222234147',NULL,'9999',41.79,1,3,NULL),(28,7102640,'1994-10-03 00:00:00',4,17,11,2011,'F','N','VILA FORMOSA','MAFRA','SC','124241241216111431426432385122610152177',3037,'9997',61.08,1,3,NULL),(28,7102658,'1994-11-10 00:00:00',5,4,12,2011,'M','N','CENTRO','CHAPECÓ','SC','124241246317132421623316562125610165172',9644,'185',54.29,1,3,NULL),(28,7102666,'1995-03-20 00:00:00',2,5,12,2013,'M','S','NOVA ESPERANÇA','CRICIÚMA','SC','124244241215271711346633571124610152092',NULL,'226',51.80,1,3,NULL),(28,7102674,'1994-03-14 00:00:00',2,1,12,2011,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244243215111732456612145111610127067',11137,'1223',45.88,1,3,NULL),(28,7102690,'1992-09-19 00:00:00',4,1,11,2010,'M','N','CAMPO BELO','S PAULO','SP','125252251236471752438811575122610144057',1342,'9998',64.20,1,3,NULL),(28,7102704,'1992-11-23 00:00:00',4,16,12,2009,'M','N','BOM JESUS','CURITIBANOS','SC','124241241115371411333314345122610111197',11853,'239',41.32,1,2,1),(28,7102712,'1994-10-02 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431589911574122610141182',660,'270',71.42,1,3,NULL),(28,7102720,'1992-09-28 00:00:00',4,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115474731636431575124610144147',6789,'592',53.20,1,2,1),(28,7102739,'1994-11-28 00:00:00',2,1,12,2011,'F','N','SANTA CATARINA','BIGUAÇU','SC','124243241115161431454413375122610128142',15003,'21',37.86,1,3,NULL),(28,7102747,'1994-10-29 00:00:00',2,4,12,2011,'F','N','PRIMO TACCA','XANXERÊ','SC','124241241215131421535923445115610124077',NULL,'1233',0.00,1,3,NULL),(28,7102755,'1994-02-20 00:00:00',2,9,12,2010,'M','N','SÃO MIGUEL','LAGES','SC','124241242116271721427432395122131467182',NULL,'960',15.31,1,2,1),(28,7102763,'1994-11-29 00:00:00',4,1,12,2011,'M','N','PASSA VINTE','PALHOÇA','SC','124241241115131431326714295124610167182',NULL,'592',32.30,4,2,1),(28,7102771,'1992-03-08 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216273441139913575124123214197',2863,'1022',61.18,1,3,NULL),(28,7102780,'1988-10-11 00:00:00',4,8,12,2005,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241216271431456614445124330833187',NULL,'1105',0.00,1,3,NULL),(28,7102798,'1993-11-01 00:00:00',4,8,11,2010,'F','N','NOVO MUNDO','CURITIBA','PR','116222221216471331526614272114610127052',5183,'9998',55.19,1,3,NULL),(28,7102801,'1992-12-25 00:00:00',2,1,11,2011,'F','N','CENTRO','DELFIM MOREIRA','MG','113131138136111431533429292325610114142',17628,'9998',29.47,1,3,NULL),(28,7102828,'1994-01-06 00:00:00',4,8,12,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124243241215111231466614575112610118182',10400,'457',48.17,1,3,NULL),(28,7102844,'1994-08-16 00:00:00',4,6,12,2011,'M','N','CENTRO','ITAJAÍ','SC','124243241217271431469714472124610132141',8934,'388',55.53,1,3,NULL),(28,7102852,'1994-05-21 00:00:00',2,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215111751528512575125510167067',13796,'226',40.00,1,3,NULL),(28,7102860,'1991-08-16 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241127141431331171342114610167142',14686,'277',36.84,3,3,NULL),(28,7102879,'1990-10-06 00:00:00',4,1,12,2009,'F','N','MORAR BEM','S JOSÉ','SC','124241241122472331515624445124610134142',20171,'1116',21.37,1,3,NULL),(28,7102887,'1994-03-27 00:00:00',4,3,12,2011,'F','N','GRANJA VIANA','COTIA','SP','125252258216111731478812575122610143181',NULL,'9998',0.00,1,3,NULL),(28,7102909,'1994-03-03 00:00:00',4,8,12,2010,'F','N','AGUA VERDE','CURITIBA','PR','116163161137571431336923585114610133097',19327,'9998',33.75,1,3,NULL),(28,7102925,'1995-01-28 00:00:00',4,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215371431568912573112610167062',498,'262',75.21,1,3,NULL),(28,7102933,'1993-09-26 00:00:00',4,24,11,2010,'M','N','FUNDO CANOAS','RIO SUL','SC','124245241515372431239911395124230266182',10930,'959',52.23,1,3,NULL),(28,7102941,'1994-01-19 00:00:00',2,1,11,2011,'M','N','SETOR JARDIM AMÉRICA','GOIÂNIA','GO','109092091215111531486614575122610127043',3473,'9998',58.58,1,3,NULL),(28,7102950,'1990-12-23 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241116373431433622295124233265097',5498,'307',54.47,1,3,NULL),(28,7102968,'1992-11-15 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241117372431578853595124610137011',5219,'881',55.76,1,3,NULL),(28,7102976,'1994-02-14 00:00:00',2,16,12,2010,'M','N','NUCLEO TRITICOLA','FR ROGÉRIO','SC','124121241115152411425565172223223247142',11859,'320',41.86,1,2,1),(28,7102984,'1993-08-27 00:00:00',4,1,12,2010,'F','N','SANTANA','S JOSÉ CAMPOS','SP','125252251215371441376824575112610124192',3141,'9998',60.71,1,3,NULL),(28,7102992,'1990-07-16 00:00:00',2,1,12,2007,'F','N','FUNDOS','BIGUAÇU','SC','124241241116271432323321342134610114047',13824,'65',42.50,1,2,1),(28,7103000,'1993-06-28 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241145371431523319185124610126147',NULL,'574',27.82,1,2,1),(28,7103018,'1994-12-19 00:00:00',4,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215151531446613375112610128012',NULL,'1048',25.50,1,3,NULL),(28,7103026,'1994-03-16 00:00:00',4,1,12,2011,'M','N','ALTO TARUMÃ','VIAMÃO','RS','120202201211371431448632341122610161042',7504,'9998',50.29,1,3,NULL),(28,7103034,'1995-03-03 00:00:00',4,15,12,2011,'M','N','PONTE ALTA','TURVO','SC','124241241116161431338823575124610164171',13419,'814',45.03,1,2,1),(28,7103042,'1987-01-29 00:00:00',4,15,12,2004,'M','N','SANGA DA TOCA','ARARANGUÁ','SC','224241241127151721228842125122333264143',17957,'641',39.06,1,3,NULL),(28,7103050,'1992-11-29 00:00:00',4,1,12,2010,'F','N','SUDOESTE','CRUZEIRO','DF','107072071215471431488834572112610122146',334,'9998',76.52,1,3,NULL),(28,7103069,'1992-01-11 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215573431568614571122610137015',6446,'211',53.67,1,3,NULL),(28,7103077,'1992-08-11 00:00:00',4,1,12,2009,'M','N','JARDIM RICETTI','S CARLOS','SP','125252251217471431458911571112610164057',NULL,'9998',0.00,1,3,NULL),(28,7103085,'1994-07-11 00:00:00',4,1,11,2011,'M','N','VILA MARIANA','S PAULO','SP','125252251231111231378932575125610167042',NULL,'9998',0.00,1,3,NULL),(28,7103093,'1993-09-08 00:00:00',4,2,12,2010,'F','N','PONTA AGUDA','BLUMENAU','SC','124244241216272431468934395122231062182',10881,'909',52.30,1,3,NULL),(28,7103107,'1995-07-15 00:00:00',4,1,12,2012,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215111732468933572122610127045',NULL,'1250',42.34,1,3,NULL),(28,7103115,'1988-01-02 00:00:00',2,1,12,2005,'M','N','PALMAS','GOV CELSO RAMOS','SC','124241241126162411535674345123610136063',8881,'359',50.23,4,2,1),(28,7103123,'1994-05-05 00:00:00',2,1,12,2010,'F','N','JARDIM ITÁLIA','MELEIRO','SC','124244241215272431448934592124221464142',NULL,'970',0.00,1,3,NULL),(28,7103131,'1992-08-15 00:00:00',4,1,12,2009,'F','N','CANASVIERAS','FLORIANÓPOLIS','SC','124241241147472411221624372124610136197',13429,'1248',48.34,1,2,1),(28,7103140,'1993-01-04 00:00:00',4,1,12,2010,'F','N','VILA SONIA','S PAULO','SP','125254251417472431325524485114610122077',NULL,'9998',26.09,4,3,NULL),(28,7103158,'1993-01-30 00:00:00',2,1,12,2010,'F','N','BOTAFOGO','BENTO GONÇALVES','RS','120204201316131211425531385122610142091',19493,'9998',32.74,1,3,NULL),(28,7103166,'1991-12-19 00:00:00',2,1,12,2009,'F','N','CAMPO GRANDE','SANTOS','SP','125251251115572431338833575114610127147',3325,'9998',60.99,1,2,1),(28,7103174,'1994-08-29 00:00:00',4,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216112412569912574124610125142',7512,'262',50.68,1,3,NULL),(28,7103182,'1994-12-18 00:00:00',1,1,8,2011,'F','N','BARREIROS','S JOSÉ','SC','124242281415371431457923594124610123141',2466,'9998',63.82,1,3,NULL),(28,7103190,'1994-06-09 00:00:00',4,1,11,2011,'F','N','PINHEIROS','OTACÍLIO COSTA','SC','124242241215271431457932372122610162012',2397,'499',63.48,1,3,NULL),(28,7103212,'1994-07-25 00:00:00',4,4,12,2011,'M','N','PRESIDENTE MEDICI','CHAPECÓ','SC','124241241213111231438831571122610167042',4903,'1191',54.96,1,3,NULL),(28,7103239,'1994-09-07 00:00:00',4,9,11,2011,'F','N','BRUSQUE','LAGES','SC','124242241215121431467914585122610126182',4845,'499',58.61,1,3,NULL),(28,7103247,'1993-02-28 00:00:00',4,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124161161137141311326363445124610128147',NULL,'9998',26.94,1,2,1),(28,7103255,'1994-02-21 00:00:00',4,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215112431478833572112610141142',9479,'457',54.58,1,3,NULL),(28,7103263,'1994-01-17 00:00:00',4,1,12,2011,'M','N','CAMPO BELO','S PAULO','SP','125252251237111431588812125122610167042',2665,'9998',62.31,1,3,NULL),(28,7103271,'1990-10-26 00:00:00',4,1,12,2008,'M','N','JARDIM JACIRA','ITAPECERICA SERRA','SP','125253251417571311335514386114141814012',5392,'9998',53.53,4,1,2),(28,7103298,'1994-08-05 00:00:00',4,1,12,2011,'M','N','CENTRO','S BERNARDO CAMPO','SP','125252251215471231468814345121610114014',16839,'9998',41.90,1,3,NULL),(28,7103301,'1994-07-09 00:00:00',4,22,11,2011,'F','N','NOVA BRASÍLIA','BRUSQUE','SC','124242241215272431448632175122610164092',9187,'107',47.50,4,3,NULL),(28,7103310,'1993-08-20 00:00:00',4,1,12,2010,'F','N','SANTOS DUMONT','S JOSÉ R PRETO','SP','125252251216471431569912575112610167142',1789,'9998',70.56,1,3,NULL),(28,7103328,'1993-12-20 00:00:00',4,1,12,2011,'M','N','BUENO','GOIÂNIA','GO','109092091215111232468716595122610137042',9164,'9998',48.36,1,3,NULL),(28,7103344,'1993-07-02 00:00:00',2,1,12,2010,'F','N','NONOAI','PTO ALEGRE','RS','120203201116471431533667345114610125052',NULL,'9998',25.05,1,3,NULL),(28,7103352,'1992-12-19 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124122121235573431566716572124610121012',3705,'9998',58.94,1,3,NULL),(28,7103360,'1994-09-03 00:00:00',4,24,12,2011,'M','N','INDEPENDÊNCIA','POUSO REDONDO','SC','124244241115271431549614335122610127052',7250,'639',51.49,1,3,NULL),(28,7103379,'1994-03-09 00:00:00',4,1,11,2011,'M','N','CARANDA BOSQUE I','CPO GRANDE','MS','112122121217111431468812575122610127042',2587,'9998',61.36,1,3,NULL),(28,7103387,'1994-05-30 00:00:00',2,1,12,2011,'F','N','PENHA','IMBITUBA','SC','124241241115161731523314571124610127047',14801,'361',38.54,1,2,1),(28,7103395,'1994-10-07 00:00:00',4,4,12,2011,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241215111431358932575122610123142',6223,'1191',51.51,1,3,NULL),(28,7103409,'1993-02-28 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124142241215472731489834575122610124147',2525,'213',63.73,2,1,2),(28,7103417,'1994-09-12 00:00:00',4,8,11,2011,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111431568812572111610167041',7406,'1063',49.44,1,3,NULL),(28,7103425,'1994-08-25 00:00:00',4,25,11,2011,'F','N','SANTA CATARINA','CAÇADOR','SC','124242241217161431466833575122610127092',8986,'1124',47.17,1,3,NULL),(28,7103433,'1993-12-14 00:00:00',2,1,12,2011,'F','N','VILA AURORA','RONDONÓPOLIS','MT','111112111216111732457816592122610126071',19056,'9998',35.08,1,3,NULL),(28,7103441,'1994-01-21 00:00:00',4,5,11,2011,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215122431479931575122610163141',6679,'226',58.15,1,3,NULL),(28,7103450,'1992-09-22 00:00:00',2,25,12,2009,'F','N','SÃO MIGUEL','FRAIBURGO','SC','124241241136371432323344242224610114187',NULL,'314',16.92,1,3,NULL),(28,7103476,'1994-03-31 00:00:00',4,1,11,2011,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215411431468813575122610147012',6423,'270',52.78,1,3,NULL),(28,7103484,'1992-02-14 00:00:00',2,4,10,2008,'F','N','DISTRITO INDUSTRIAL','ERECHIM','RS','120201201237571431566614174125610134092',NULL,'9998',21.69,1,3,NULL),(28,7103492,'1995-01-05 00:00:00',2,5,10,2011,'F','N','PEDRO ZANIVAN','CRICIÚMA','SC','124244241215272431457923575124610164071',1808,'226',68.58,1,3,NULL),(28,7103506,'1994-01-02 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241115371431455513345124610128142',11298,'307',44.51,1,2,1),(28,7103514,'1994-08-11 00:00:00',2,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124242241215112441466713335124610162077',NULL,'723',0.00,1,3,NULL),(28,7103522,'1995-10-27 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217121712468811575124610114125',6936,'270',58.94,1,3,NULL),(28,7103530,'1992-10-06 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124242241215142431449813572122610115012',5971,'881',55.28,1,3,NULL),(28,7103549,'1993-11-27 00:00:00',4,1,12,2011,'F','N','RIO BRANCO','PTO ALEGRE','RS','120242201217271411479813471114610166042',2659,'9998',59.20,1,3,NULL),(28,7103565,'1993-11-26 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','120202201217471431468933571122142561182',1006,'9998',66.70,1,3,NULL),(28,7103573,'1995-02-16 00:00:00',4,1,12,2011,'M','N','CENTRO','NOVA LONDRINA','PR','116162164215111531669931472122610165077',12253,'9998',42.95,1,3,NULL),(28,7103581,'1994-01-15 00:00:00',2,1,11,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215121331357933575112610163071',7090,'272',51.40,1,3,NULL),(28,7103590,'1993-08-20 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241116152411427711575124610126142',NULL,'1248',15.82,1,3,NULL),(28,7103603,'1991-09-14 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241217373431363369475112610137047',15027,'1022',45.57,1,3,NULL),(28,7103611,'1993-04-29 00:00:00',2,1,10,2010,'F','N','JARDIM DAS INDÚSTRIA','S JOSÉ CAMPOS','SP','125252251215411431349924575122610165097',9961,'9998',46.48,1,3,NULL),(28,7103620,'1993-03-18 00:00:00',4,1,12,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241212472431458614572122221567147',4474,'262',59.88,1,3,NULL),(28,7103638,'1993-10-14 00:00:00',4,1,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241216372431246921575124132828142',10594,'441',52.75,1,3,NULL),(28,7103646,'1993-01-02 00:00:00',4,9,11,2010,'F','N','GRUTA','ITUPORANGA','SC','124244241215373431238813575122610114182',7685,'991',52.79,1,3,NULL),(28,7103654,'1992-09-02 00:00:00',4,9,12,2009,'M','N','IPIRANGA','LAGES','SC','124242241212472431568812495122610167122',4492,'1207',58.54,1,3,NULL),(28,7103662,'1994-02-24 00:00:00',2,1,12,2011,'F','N','VILA SAO GERALDO','TAUBATÉ','SP','125252251217111431449814575114610132057',11919,'9998',42.33,1,3,NULL),(28,7103670,'1989-09-16 00:00:00',4,9,12,2006,'F','N','ASA NORTE','BRASÍLIA','DF','107074071216371731449813195112343266182',5410,'9998',61.63,1,3,NULL),(28,7103689,'1993-02-18 00:00:00',2,16,12,2010,'M','N','INTERIOR','FR ROGÉRIO','SC','124241241117151431423515152212610147055',NULL,'320',15.34,1,2,1),(28,7103697,'1989-03-06 00:00:00',2,1,12,2006,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241121271331124644241234610162053',NULL,'79',28.72,1,2,1),(28,7103700,'1993-01-24 00:00:00',4,1,11,2011,'F','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251216111731389919575122610128046',NULL,'9998',0.00,1,3,NULL),(28,7103719,'1994-09-17 00:00:00',4,1,12,2011,'F','N','CERÂMICA','S CAETANO SUL','SP','125252251216151411466921575122610132182',2117,'9998',63.40,1,3,NULL),(28,7103727,'1994-11-22 00:00:00',4,6,12,2011,'M','N','CENTRO','PNT GROSSA','PR','116164161237121431468914475124610164192',NULL,'9998',0.00,1,3,NULL),(28,7103735,'1994-03-03 00:00:00',4,8,12,2010,'F','N','AGUA VERDE','CURITIBA','PR','116163161133571421326923571122610164097',16155,'9998',43.42,1,3,NULL),(28,7103743,'1993-01-23 00:00:00',4,1,11,2010,'F','N','SETOR OESTE','GOIÂNIA','GO','109092091216472431356632574122610124072',1830,'9998',62.07,1,3,NULL),(28,7103751,'1994-03-11 00:00:00',4,1,12,2011,'M','N','AGUA VERDE','CURITIBA','PR','116162161215111411459911471114610164077',1238,'9998',66.76,1,3,NULL),(28,7103760,'1995-07-09 00:00:00',4,1,12,2012,'F','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111731567839575124610168181',NULL,'270',64.35,1,3,NULL),(28,7103786,'1993-02-24 00:00:00',4,1,12,2010,'F','N','SANTA MONICA','OSVALDO CRUZ','SP','125252251215471331458914584124610134172',NULL,'9998',0.00,1,3,NULL),(28,7103794,'1994-09-22 00:00:00',2,1,12,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241117131411625315572324610137042',19188,'411',34.41,1,2,1),(28,7103816,'1994-05-02 00:00:00',2,5,12,2011,'F','N','CENTRO','SIDERÓPOLIS','SC','124243241215112731435519595114610164192',7930,'226',51.07,1,3,NULL),(28,7103824,'1994-04-01 00:00:00',2,22,10,2010,'F','N','CENTRO','NOVA TRENTO','SC','124241241215471431346612575122610137142',8020,'1244',51.92,1,3,NULL),(28,7103832,'1993-04-21 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241216472431346814575124610133097',10797,'1022',44.89,1,3,NULL),(28,7103840,'1993-03-24 00:00:00',4,1,12,2010,'M','N','PARQUE IMPERADOR','CAMPINAS','SP','125252251217471441368831571112610134046',2338,'9998',62.19,3,3,NULL),(28,7103859,'1993-04-08 00:00:00',4,1,12,2010,'M','N','VILA PAULISTA','S PAULO','SP','125252251116471431449823375124610167052',2401,'9998',62.30,4,1,2),(28,7103867,'1994-03-07 00:00:00',4,7,11,2011,'M','N','VILA PEDRINI','JOAÇABA','SC','124243241215131431434612175124610127017',4269,'454',58.47,1,3,NULL),(28,7103875,'1994-05-11 00:00:00',4,5,10,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431556611575122610126142',2497,'213',64.64,1,3,NULL),(28,7103883,'1994-05-29 00:00:00',4,5,10,2011,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241216372431449934574122610128042',1601,'213',67.61,1,3,NULL),(28,7103891,'1993-01-16 00:00:00',2,1,11,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241212373431458933575122130264147',4091,'270',57.09,1,3,NULL),(28,7103905,'1994-06-01 00:00:00',2,2,12,2011,'F','N','VILA NOVA','BLUMENAU','SC','124141241115131411657713575124610164017',6134,'88',54.37,4,3,NULL),(28,7103913,'1991-10-17 00:00:00',2,5,12,2009,'M','N','VILA BEATRIZ','MARACAJÁ','SC','124244246216112431556912345114610167185',NULL,'995',0.00,1,3,NULL),(28,7103921,'1994-10-01 00:00:00',4,1,11,2011,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241415131431233624276124510165177',14373,'300',36.16,4,3,NULL),(28,7103930,'1993-05-29 00:00:00',2,1,12,2010,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215473431466912585114610167047',3615,'1022',64.96,1,3,NULL),(28,7103948,'1994-08-25 00:00:00',4,10,12,2011,'F','N','OFICINAS','TUBARÃO','SC','124242241217112431469813575122610126192',798,'806',68.41,1,3,NULL),(28,7103956,'1993-12-29 00:00:00',4,2,11,2011,'F','N','SANTO ANTÔNIO','RIO CEDROS','SC','124242241215111431444632575122610123077',5736,'1157',52.67,1,3,NULL),(28,7103972,'1985-07-02 00:00:00',4,8,6,2003,'M','N','BOM RETIRO','JOINVILLE','SC','124242281236372421229934471122331237112',9903,'9998',53.88,1,3,NULL),(28,7103980,'1993-09-28 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215372431348814175124610133157',12981,'1022',46.41,1,3,NULL),(28,7103999,'1995-02-11 00:00:00',4,7,12,2011,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241216162211326824471124610136187',10132,'962',43.95,1,3,NULL),(28,7104006,'1995-06-12 00:00:00',4,4,11,2011,'F','N','CENTRO','ABELARDO LUZ','SC','124241241235111431458732575122610141052',4303,'836',54.28,1,3,NULL),(28,7104014,'1994-09-12 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431368933575112610137141',3206,'262',62.09,1,3,NULL),(28,7104022,'1993-06-18 00:00:00',2,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215371431456539445124610166181',8204,'300',50.76,1,3,NULL),(28,7104030,'1992-05-03 00:00:00',2,1,12,2009,'M','N','CENTRO','NOVA LONDRINA','PR','116162164215162531669931472122610165147',10851,'9998',45.56,1,3,NULL),(28,7104049,'1994-08-22 00:00:00',4,6,12,2011,'F','N','CENTRO','ITAJAÍ','SC','124242242115141431456937575124610167042',12133,'129',39.90,1,3,NULL),(28,7104057,'1994-12-27 00:00:00',4,6,12,2011,'M','N','RIO DO PEIXE','LUIZ ALVES','SC','124241241127131431326721316234610118177',17052,'536',29.80,4,2,1),(28,7104065,'1993-11-22 00:00:00',4,8,12,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124241246217151442256933595124610162012',3710,'1006',59.55,1,3,NULL),(28,7104081,'1994-03-10 00:00:00',2,9,12,2011,'F','N','COPACABANA','LAGES','SC','124241241115271431426735295124610126177',17655,'935',31.00,1,2,1),(28,7104090,'1995-05-09 00:00:00',4,1,12,2011,'M','N','ROÇADO','S JOSÉ','SC','124242241217151451436633575124610132147',14322,'724',46.91,1,3,NULL),(28,7104111,'1993-07-14 00:00:00',2,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472432437733575114610117041',20010,'1118',27.95,1,3,NULL),(28,7104120,'1995-01-29 00:00:00',4,4,11,2011,'F','N','CENTRO','PATO BRANCO','PR','116163161217371431449933576112610111187',NULL,'9998',0.00,1,3,NULL),(28,7104138,'1994-11-14 00:00:00',4,1,12,2011,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111331487711592122610137042',NULL,'262',20.25,1,3,NULL),(28,7104146,'1995-02-01 00:00:00',4,9,12,2012,'M','S','IPIRANGA','LAGES','SC','124242241212111431568812472122610167012',NULL,'9998',30.92,1,3,NULL),(28,7104154,'1993-08-17 00:00:00',4,5,11,2010,'M','N','MINA DO MATO','CRICIÚMA','SC','124242241215112431559611395122131024092',4014,'226',64.44,1,3,NULL),(28,7104162,'1994-10-27 00:00:00',4,1,12,2011,'M','N','ALTO ARIRIÚ','PALHOÇA','SC','124244241347131411326929271324610164012',9447,'1010',48.88,1,3,NULL),(28,7104170,'1976-01-30 00:00:00',4,1,12,1994,'M','N','INGLESES','FLORIANÓPOLIS','SC','224211073123141421535544142123130247117',NULL,'9998',0.00,4,2,1),(28,7104189,'1993-11-10 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215472431479913272124610132142',471,'270',73.91,1,3,NULL),(28,7104197,'1994-01-03 00:00:00',4,16,12,2011,'F','N','CENTRO CÍVICO','CURITIBA','PR','116242161217111431459814575122610162187',5231,'9998',57.96,1,3,NULL),(28,7104200,'1994-04-21 00:00:00',4,1,11,2011,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091216111431569834574122610162097',867,'9998',70.92,4,3,NULL),(28,7104219,'1989-09-26 00:00:00',2,1,12,2009,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241116131421525319295124243227167',18146,'288',38.43,1,2,1),(28,7104227,'1990-09-27 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124202201217574431267614575124610132077',405,'9998',73.80,1,3,NULL),(28,7104235,'1992-10-27 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472731578812575122610138197',2618,'270',63.22,1,3,NULL),(28,7104243,'1994-08-29 00:00:00',4,1,12,2011,'F','N','MERCÊS','CURITIBA','PR','116244161215471431559914575124610161182',NULL,'9998',0.00,1,3,NULL),(28,7104251,'1994-12-15 00:00:00',4,15,12,2011,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215121431448629575122610126142',2666,'970',60.61,1,3,NULL),(28,7104260,'1991-04-21 00:00:00',1,1,12,2009,'F','N','BOM RETIRO','CURITIBA','PR','116162161236131431528923311124241437012',NULL,'9998',0.00,1,3,NULL),(28,7104278,'1992-03-18 00:00:00',4,8,12,2009,'M','N','ALTO','CURITIBA','PR','125162161334573211456613575121610165097',391,'9998',75.27,1,3,NULL),(28,7104286,'1993-10-18 00:00:00',4,4,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472431118921595124610134012',1034,'270',67.91,1,3,NULL),(28,7104308,'1992-11-13 00:00:00',4,1,11,2010,'F','N','ACLIMAÇÃO','S PAULO','SP','125252251217471431466921372112610117057',5759,'9998',55.25,1,3,NULL),(28,7104332,'1993-01-09 00:00:00',4,1,12,2009,'F','N','BROOKLIN','S PAULO','SP','125252251216571431568813275112610124082',1076,'9998',67.40,1,3,NULL),(28,7104340,'1994-04-30 00:00:00',2,16,12,2011,'M','N','CENTRO','CURITIBANOS','SC','124244242116141431446932575122610133177',13579,'1222',38.36,1,3,NULL),(28,7104359,'1991-06-22 00:00:00',4,1,12,2009,'F','N','CERQUEIRA CESAR','S PAULO','SP','125162161211471231148812471122610166172',NULL,'9998',0.00,1,3,NULL),(28,7104367,'1992-12-25 00:00:00',4,1,11,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215373431459811575122231467065',1521,'270',66.54,1,3,NULL),(28,7104375,'1993-09-16 00:00:00',4,1,11,2010,'F','N','CENTRO','PALHOÇA','SC','124242241215372431579933375124610126082',680,'270',71.35,1,3,NULL),(28,7104391,'1994-03-16 00:00:00',4,1,11,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215472431468814574124610117145',3731,'270',61.14,1,3,NULL),(28,7104413,'1992-10-25 01:00:00',4,1,11,2010,'F','N','BONFIM','CAMPINAS','SP','125252251217471711456823591114610125097',6648,'9998',59.44,4,3,NULL),(28,7104430,'1994-01-08 00:00:00',4,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241312372431356623572124610124092',7033,'1022',54.03,1,3,NULL),(28,7104456,'1990-03-17 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241427474721343324345124223247087',17226,'262',40.93,1,3,NULL),(28,7104464,'1994-07-05 00:00:00',4,8,12,2011,'M','N','CASTROLANDA','CASTRO','PR','116162162216111431456936575124610132052',8354,'9998',50.91,1,3,NULL),(28,7104480,'1991-12-12 00:00:00',2,9,12,2008,'M','N','CORAL','LAGES','SC','124241242116151421123344342224133127057',13904,'960',35.51,1,3,NULL),(28,7104499,'1993-05-16 00:00:00',4,1,12,2010,'F','N','PARQUE ANHANGUERA','GOIÂNIA','GO','109092091214472431448834574122610163097',3357,'9998',60.49,1,3,NULL),(28,7104502,'1993-11-20 00:00:00',4,1,7,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241117271431438614575124610127067',15909,'739',43.86,1,3,NULL),(28,7104510,'1993-03-19 00:00:00',4,8,12,2010,'M','N','VILA POMPÉIA','S PAULO','SP','125254251117471411459514575125610164012',NULL,'9998',0.00,1,3,NULL),(28,7104529,'1993-01-16 00:00:00',4,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241115271431326314445114610137087',14648,'307',37.69,1,2,1),(28,7104537,'1994-06-29 00:00:00',4,1,12,2011,'F','N','CENTRO','PARANAVAÍ','PR','116164161217111412348832375122610131142',5823,'9998',53.90,1,3,NULL),(28,7104545,'1993-01-25 00:00:00',4,1,11,2010,'M','N','CAPIVARI','CAMPOS JORDÃO','SP','125254251215471431658413572114610167042',NULL,'9998',0.00,1,3,NULL),(28,7104553,'1994-05-11 00:00:00',4,5,10,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431556611575122610126142',5610,'213',55.27,1,3,NULL),(28,7104561,'1994-11-04 00:00:00',4,4,12,2011,'F','N','ARACA','ABELARDO LUZ','SC','124241241126131431623324575123610123147',NULL,'586',0.00,1,2,1),(28,7104570,'1993-09-20 00:00:00',4,8,12,2011,'M','N','ITAJUBA','BARRA VELHA','SC','124241241215271431548831575124610137042',7985,'1105',47.24,1,3,NULL),(28,7104588,'1989-12-20 00:00:00',4,3,12,2006,'F','N','JARDIM ITATIAIA','LONDRINA','PR','116162161216575431348712575122610147187',NULL,'9998',0.00,1,3,NULL),(28,7104596,'1993-07-27 00:00:00',4,1,12,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243248115471312345624275114610117101',17251,'307',32.64,1,3,NULL),(28,7104600,'1991-11-28 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217374431366629575122122322147',3260,'262',62.39,1,3,NULL),(28,7104626,'1994-04-18 00:00:00',2,17,12,2011,'M','N','BOM JESUS','RIO NEGRO','PR','116161161117151441469913575122610132042',12661,'9998',42.28,1,2,1),(28,7104634,'1992-11-26 00:00:00',2,1,12,2011,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241115471431342311272124610142172',14139,'732',36.39,1,3,NULL),(28,7104642,'1994-12-06 00:00:00',2,6,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241217111431418418285122610167047',9983,'1119',44.12,1,3,NULL),(28,7104650,'1994-09-10 00:00:00',4,1,12,2011,'M','N','RINCÃO','NOVO HAMBURGO','RS','120205201516371441368934585122610166136',10747,'9998',52.52,1,3,NULL),(28,7104669,'1994-08-14 00:00:00',2,26,12,2011,'F','N','GRIZA','IRANI','SC','124241241111471431414414575125610134077',17854,'379',29.34,1,2,1),(28,7104677,'1993-11-15 00:00:00',2,9,12,2010,'F','N','CORAL','LAGES','SC','124241241116572431346914595122610134171',14924,'505',37.44,1,2,1),(28,7104685,'1994-04-26 00:00:00',4,1,12,2011,'F','N','JARDIM DAS NACOES','TAUBATÉ','SP','125252251216111731468614575122610168182',14396,'9998',36.61,1,3,NULL),(28,7104693,'1993-10-08 00:00:00',2,9,12,2011,'M','N','SAGRADO COR DE JESUS','LAGES','SC','124242248216371431348711475122610152097',11841,'499',44.65,1,3,NULL),(28,7104707,'1993-08-07 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212472431448734572122610163142',50,'270',84.54,1,3,NULL),(28,7104715,'1991-05-09 00:00:00',2,1,12,2008,'M','N','BOM FIM','PTO ALEGRE','RS','120203201216572431458419275124610166177',59,'9998',80.52,1,3,NULL),(28,7104723,'1986-01-10 00:00:00',2,1,11,2003,'M','N','ESPINHEIRO','RECIFE','PE','117172171216471441248829595132142625042',2079,'9998',64.75,4,3,NULL),(28,7104740,'1994-05-13 00:00:00',4,8,12,2011,'F','N','FATIMA','JOINVILLE','SC','124241241215111431336612575124610163077',1811,'1063',64.15,1,3,NULL),(28,7104782,'1992-09-30 00:00:00',4,1,11,2010,'F','N','RECANTO DO SALTO','LONDRINA','PR','116162161215412431588833174125610123042',NULL,'9998',0.00,1,3,NULL),(28,7104790,'1994-10-31 00:00:00',4,9,12,2011,'M','N','UNIVERSITÁRIO','LAGES','SC','124241241215371431367813575122610114052',999,'497',68.41,1,3,NULL),(28,7104804,'1994-03-28 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372431346613595122610167182',11571,'1133',44.75,1,3,NULL),(28,7104812,'1994-04-21 00:00:00',4,8,12,2011,'M','N','SANTA QUITERIA','CURITIBA','PR','116163161117131731438923575121610138187',NULL,'9998',23.78,1,3,NULL),(28,7104820,'1993-09-23 00:00:00',4,23,12,2011,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241217111431239924574112610115182',NULL,'441',25.89,1,3,NULL),(28,7104839,'1993-02-25 00:00:00',4,1,11,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217112411469912375124221534181',7708,'951',57.63,1,3,NULL),(28,7104847,'1995-10-14 00:00:00',4,3,12,2011,'M','N','MONTE LIBANO','CPO GRANDE','MS','112122121217111411436831575112610117057',10951,'9998',42.41,1,3,NULL),(28,7104863,'1993-03-08 00:00:00',4,1,12,2010,'F','N','JARDIM CAIEIRAS','LIMEIRA','SP','125252258115471431338831575122610123012',5107,'9998',62.20,1,3,NULL),(28,7104871,'1988-01-24 00:00:00',2,1,11,2011,'F','N','BOM VIVER','BIGUAÇU','SC','124241247146371431623331482224610164147',15260,'9997',34.91,4,2,1),(28,7104880,'1994-06-01 00:00:00',4,1,12,2011,'F','N','SÃO CONRADO','CAMPINAS','SP','125252251215111431458811475122610162127',NULL,'9998',0.00,1,3,NULL),(28,7104910,'1991-03-05 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215273431469833595122121717041',8932,'270',47.24,1,3,NULL),(28,7104928,'1994-05-17 00:00:00',6,1,12,2011,'M','N','VAREJÃO','ITU','SP','125252251216111431458814175122610167127',NULL,'9998',0.00,1,3,NULL),(28,7104952,'1985-01-25 00:00:00',2,1,12,2003,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241136373431436519445124133043177',NULL,'295',32.28,1,3,NULL),(28,7104960,'1992-03-14 00:00:00',2,10,12,2009,'F','N','NOVA BRASILIA','IMBITUBA','SC','124241241114112411324923572124610126152',NULL,'359',27.15,1,2,1),(28,7104979,'1995-07-23 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124243241225131731468714575124610162017',6754,'262',52.98,4,3,NULL),(28,7105002,'1993-11-03 00:00:00',4,24,12,2011,'F','N','CANTA GALO','RIO SUL','SC','124241241126371121435312245122131227147',NULL,'659',28.00,1,2,1),(28,7105010,'1993-08-02 00:00:00',4,8,11,2011,'M','N','FLORESTA','JOINVILLE','SC','124242241217151431527734275122610124141',12717,'1006',40.13,1,3,NULL),(28,7105029,'1994-09-02 00:00:00',4,9,11,2011,'M','N','FREI ROGÉRIO','LAGES','SC','124242241216111431457712595122610162042',NULL,'497',0.00,1,3,NULL),(28,7105037,'1994-11-07 00:00:00',4,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241222371441249822575112610134042',11361,'388',41.77,1,3,NULL),(28,7105045,'1989-08-10 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215113131333611445122130264077',16353,'1134',42.99,1,3,NULL),(28,7105053,'1993-12-29 00:00:00',4,4,11,2011,'M','N','LESTE UNIVERSITARIO','GOIÂNIA','GO','109094091217371411568832574122610166127',2472,'9998',63.00,1,3,NULL),(28,7105070,'1994-02-10 00:00:00',2,3,12,2010,'F','N','CENTRO','S JOÃO','PR','116162161216472431349919585124610121182',NULL,'9998',0.00,1,3,NULL),(28,7105088,'1994-07-02 00:00:00',4,3,9,2011,'M','N','JARDIM SAO LOURENÇO','CPO GRANDE','MS','112122121215111231558831575122610127042',NULL,'9998',0.00,1,3,NULL),(28,7105096,'1992-03-22 00:00:00',4,1,12,2008,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124163241215574431679811572122610122127',820,'270',70.49,1,3,NULL),(28,7105100,'1977-12-06 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242247222332711523341211124610116092',NULL,'977',0.00,1,3,NULL),(28,7105118,'1993-08-13 00:00:00',4,1,12,2010,'F','N','MONTE BELO','JOAÇABA','SC','124242241216473732459933275125610168147',9128,'447',48.03,1,3,NULL),(28,7105126,'1994-09-16 00:00:00',4,1,12,1994,'M','N','CIDADE ALTA','MEDIANEIRA','PR','116162161416311212358931572112610168122',5835,'9998',56.18,1,3,NULL),(28,7105142,'1992-11-15 00:00:00',2,8,12,2009,'F','N','SEMINÁRIO','CURITIBA','PR','116163161116572731469832575114610167145',9033,'9998',48.31,1,3,NULL),(28,7105150,'1993-07-27 00:00:00',4,9,11,2011,'M','N','BRUSQUE','LAGES','SC','124246241614271131346929592122610167182',NULL,'1106',0.00,1,3,NULL),(28,7105177,'1992-09-19 00:00:00',4,1,12,2009,'M','N','RIO PEQUENO','S PAULO','SP','125252251217571431577921575124610167092',1002,'9998',70.27,1,3,NULL),(28,7105185,'1993-03-28 00:00:00',4,1,11,2010,'M','N','CENTER SANTA GENEBRA','CAMPINAS','SP','125252251215471411568834572121610127012',6910,'9998',55.19,1,3,NULL),(28,7105193,'1994-03-23 00:00:00',4,1,11,2011,'M','N','JARDIM COLINAS','S JOSÉ CAMPOS','SP','125252251217111731466632575122610137117',8730,'9998',47.31,1,3,NULL),(28,7105207,'1994-05-22 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215112431456824475112610124125',3435,'262',60.00,1,3,NULL),(28,7105215,'1994-07-19 00:00:00',4,17,12,2011,'F','N','CENTRO','CURITIBA','PR','116243161216111231446813575112610114192',NULL,'541',0.00,1,3,NULL),(28,7105223,'1994-05-15 00:00:00',4,3,12,2011,'M','N','TABULEIRO','CAMBORIÚ','SC','124242248115372431426632575124610124052',15356,'129',33.34,1,3,NULL),(28,7105231,'1993-05-03 00:00:00',4,8,12,2010,'F','N','JARDIM SOCIAL','CURITIBA','PR','116162161217371431477934475122610165142',NULL,'9998',0.00,1,3,NULL),(28,7105240,'1989-10-19 00:00:00',4,1,12,2005,'M','N','IGUAÇU','ARAUCÁRIA','PR','116163161136571741446611245124143242037',8714,'9998',55.90,1,3,NULL),(28,7105258,'1993-06-13 00:00:00',4,1,12,2010,'M','N','CIDADE DUTRA','S PAULO','SP','125252251217571751658714571124610164097',1087,'9998',67.64,3,3,NULL),(28,7105266,'1992-01-15 00:00:00',4,1,12,2008,'F','N','CENTRO','ÂNGULO','PR','116163161216572741546916171125610144177',304,'9998',73.12,1,3,NULL),(28,7105274,'1992-03-23 00:00:00',4,1,11,2009,'F','N','DEHON','TUBARÃO','SC','124242241212373431439934345124120446192',5994,'807',60.60,1,3,NULL),(28,7105290,'1993-11-10 00:00:00',2,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241116371431216424595324610133097',14735,'307',38.07,4,1,1),(28,7105312,'1993-10-21 00:00:00',4,1,12,2011,'F','N','JARDIM DAS FLORES','S JOSÉ CAMPOS','SP','125251251215111431443823475112610137147',2359,'9998',60.87,1,3,NULL),(28,7105339,'1994-01-10 00:00:00',4,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241215372431333611575114610162147',7416,'1075',55.84,1,3,NULL),(28,7105347,'1990-09-09 00:00:00',2,1,12,2008,'F','N','JARDIM MARIA AMÉLIA','JACAREÍ','SP','125251251135571751336624346124610146147',NULL,'9998',0.00,2,1,1),(28,7105355,'1994-04-04 00:00:00',4,8,10,2011,'M','N','ATIRADORES','JOINVILLE','SC','124242241215111511428819272111610134182',3307,'1063',66.06,1,3,NULL),(28,7105363,'1994-11-25 00:00:00',4,15,12,2011,'M','N','SÃO CRISTÓVÃO','TURVO','SC','124241241215111231336615292122610127057',13697,'813',41.13,1,3,NULL),(28,7105371,'1994-07-31 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217111431558714585122610137047',12056,'259',43.67,1,3,NULL),(28,7105380,'1988-02-18 00:00:00',4,10,12,2010,'M','N','TRÊS DE MAIO','CAPIVARI BAIXO','SC','124241247347131431223624385124231544047',NULL,'9999',22.78,1,3,NULL),(28,7105398,'1994-12-25 00:00:00',2,1,11,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124242241215121431335824575124610132097',16469,'1197',33.38,1,3,NULL),(28,7105401,'1993-07-18 00:00:00',4,1,12,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241116272231435312312124610125157',13225,'592',48.66,1,2,1),(28,7105410,'1994-01-11 00:00:00',2,7,12,2010,'F','N','CENTRO','PINHEIRO PRETO','SC','124241241217471431645722474124610154022',3023,'1080',63.21,1,3,NULL),(28,7105436,'1994-09-19 00:00:00',2,7,11,2011,'F','N','FLOR DA SERRA','JOAÇABA','SC','124202248216371231479533592122610147057',18529,'454',37.18,1,3,NULL),(28,7105444,'1993-06-06 00:00:00',4,1,12,2010,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215473431468832575125610154095',8976,'270',55.47,1,3,NULL),(28,7105452,'1994-12-21 00:00:00',4,1,12,2011,'F','N','RIO DOS BUGRES','RANCHO QUEIMADO','SC','124241241142141731636629572322610168192',17337,'649',31.06,1,2,1),(28,7105460,'1995-03-17 00:00:00',4,10,10,2012,'F','S','VILA MOEMA','TUBARÃO','SC','124242241215271431479913175122610136147',NULL,'807',54.59,1,3,NULL),(28,7105479,'1994-03-30 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431439832575122610122072',4868,'270',55.95,1,3,NULL),(28,7105487,'1994-03-15 00:00:00',4,1,12,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111431459633575122610121192',10419,'883',45.38,1,3,NULL),(28,7105509,'1993-08-06 00:00:00',4,1,11,2010,'M','N','CEARA','CRICIÚMA','SC','124242248215472431553812595114610167062',1897,'226',66.51,1,3,NULL),(28,7105517,'1992-03-20 00:00:00',2,1,12,2010,'M','N','JARDIM FLORESTA','LAVRAS','MG','113132138216371431456634572124610134036',11018,'9998',45.64,1,3,NULL),(28,7105525,'1992-12-10 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215412431376612575112610162182',5237,'270',61.96,1,3,NULL),(28,7105533,'1993-06-05 00:00:00',4,1,6,2011,'M','N','HIGIENOPOLIS','S PAULO','SP','125252281415271431578839475125610167041',119,'9998',79.18,1,3,NULL),(28,7105550,'1994-09-13 00:00:00',2,1,12,2011,'F','N','BELA VISTA','CAXIAS SUL','RS','120201201117371431236624571124610164052',3684,'9998',57.84,1,2,1),(28,7105568,'1994-06-13 00:00:00',4,1,12,2011,'F','N','CENTRO','JUNQUEIRÓPOLIS','SP','125254251137131731345831575125610136127',11662,'9998',42.87,1,3,NULL),(28,7105576,'1994-03-27 00:00:00',2,1,1,2012,'M','N','BARREIROS','S JOSÉ','SC','124241241136371431224324385124610137052',9221,'307',52.37,1,2,1),(28,7105592,'1994-06-01 00:00:00',4,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241225111431423611195124610127182',13586,'262',36.49,1,3,NULL),(28,7105606,'1994-09-07 00:00:00',2,1,12,2012,'M','S','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241237111411578834575125610115042',NULL,'951',26.60,1,3,NULL),(28,7105614,'1993-06-07 00:00:00',2,1,12,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217151731339833475124610137057',18999,'1075',27.86,1,3,NULL),(28,7105622,'1987-07-20 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241212275421233624435124322735077',5891,'273',60.76,1,3,NULL),(28,7105649,'1992-03-22 00:00:00',4,8,12,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124243246236372431537933475121610166052',6160,'494',53.08,1,3,NULL),(28,7105657,'1991-12-26 00:00:00',4,1,12,2009,'M','N','VILA SAO LUIZ','S PAULO','SP','125252251217571231487929585114610142186',397,'9998',74.93,4,3,NULL),(28,7105665,'1994-10-16 01:00:00',4,23,11,2011,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124242241215131431448611575122610124182',7172,'424',51.77,1,3,NULL),(28,7105673,'1994-03-05 00:00:00',2,8,11,2011,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124233241315131431426823572125610122097',13791,'461',47.72,1,3,NULL),(28,7105703,'1992-01-17 00:00:00',4,1,12,2009,'F','N','JARDIM PAULISTA','S PAULO','SP','125252251217572431478814375122610162123',454,'9998',74.40,1,3,NULL),(28,7105711,'1993-06-02 00:00:00',4,22,12,2010,'M','N','SÃO JOÃO','TAQUARI','RS','120204201216272631349714375112141431197',NULL,'9998',0.00,1,3,NULL),(28,7105720,'1994-11-08 00:00:00',2,1,12,2011,'M','N','CENTRO','ANGELINA','SC','124241241115161432449933395124610167057',16922,'17',33.52,1,2,1),(28,7105738,'1993-10-23 00:00:00',4,8,12,2010,'M','N','BOA VISTA','JOINVILLE','SC','124244246235152431459914145124610122182',NULL,'1105',24.46,1,3,NULL),(28,7105746,'1988-06-26 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115373431438723475114133262182',7462,'267',58.04,1,2,1),(28,7105770,'1995-11-19 00:00:00',4,2,12,2012,'F','S','BOM RETIRO','BLUMENAU','SC','124243241217111732359831575125610162147',NULL,'87',45.12,1,3,NULL),(28,7105789,'1994-10-22 00:00:00',2,1,12,2011,'F','N','PAULICÉIA','PIRACICABA','SP','125252258237121431458614445122610163022',NULL,'9998',0.00,1,3,NULL),(28,7105797,'1992-12-16 00:00:00',4,1,12,2010,'F','N','SANTANA','S PAULO','SP','125252251216371431349613241124610135187',5240,'9998',55.39,1,3,NULL),(28,7105800,'1994-09-02 00:00:00',2,5,12,2011,'M','N','PRIMEIRO DE MAIO','IÇARA','SC','124241241145141731434931245122610124067',18245,'1005',38.15,1,2,1),(28,7105827,'1994-01-16 00:00:00',4,1,12,2011,'M','N','PERDIZES','S PAULO','SP','125252251217111722668832575122610137182',NULL,'9998',11.69,1,3,NULL),(28,7105835,'1991-10-27 00:00:00',4,1,12,2010,'M','N','CENTRO','CAMPINAS','SP','125252251217111431458834572112610137102',3721,'9998',59.53,1,3,NULL),(28,7105843,'1992-07-26 00:00:00',2,1,7,2011,'F','N','ROÇADO','S JOSÉ','SC','124243243117271421446611445124610136142',8355,'306',48.46,1,3,NULL),(28,7105851,'1994-06-25 00:00:00',4,1,12,2011,'M','N','CENTRO','URUGUAIANA','RS','120204201116471431127833575122610134092',8775,'9998',47.48,1,3,NULL),(28,7105860,'1994-01-12 00:00:00',2,9,11,2011,'M','N','SÃO CRISTOVÃO','LAGES','SC','124241241216111211424814595212610167051',11240,'1207',43.18,4,3,NULL),(28,7105878,'1994-02-01 00:00:00',6,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431425612575124610146191',18225,'272',38.22,1,3,NULL),(28,7105886,'1995-08-20 00:00:00',5,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431459914445124610124147',9398,'272',47.01,1,3,NULL),(28,7105894,'1995-04-20 00:00:00',4,1,12,2012,'F','S','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124242241215111511468611415122610138181',NULL,'738',30.15,1,3,NULL),(28,7105908,'1995-03-18 00:00:00',4,2,12,2011,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215111511368914575124610122162',18840,'855',35.91,1,3,NULL),(28,7105916,'1991-10-15 00:00:00',4,1,12,2008,'F','N','CENTRO','PTO ALEGRE','RS','120204201117571411569833575124610124027',8485,'9998',48.29,4,3,NULL),(28,7105924,'1990-06-23 00:00:00',4,1,12,2007,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241136242721566673245124610167067',NULL,'278',25.79,1,2,1),(28,7105932,'1992-11-20 00:00:00',4,15,12,2009,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241215573451459911572114610168147',4944,'27',56.47,1,3,NULL),(28,7105940,'1993-11-08 00:00:00',4,8,11,2010,'F','N','JOAO COSTA','JOINVILLE','SC','124202241211472431556512371124610166197',6203,'461',54.19,1,3,NULL),(28,7105967,'1993-06-17 00:00:00',2,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124243241136372431334923345124610127063',12675,'734',43.41,1,3,NULL),(28,7105991,'1992-12-29 00:00:00',4,1,12,2010,'F','N','ALPHAVILLE CAMPINAS','CAMPINAS','SP','125252251215471431478614575122610137042',11775,'9998',39.27,1,3,NULL),(28,7106009,'1992-08-20 00:00:00',4,1,12,2010,'M','N','JARDIM ANA MARIA','JUNDIAÍ','SP','125252251216411431368811575122610127012',4130,'9998',57.10,1,3,NULL),(28,7106017,'1994-04-18 00:00:00',4,4,11,2010,'M','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124242241215473431347613574122610164197',2146,'1191',63.23,1,3,NULL),(28,7106025,'1993-07-01 00:00:00',4,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241436141431468613345124610164142',NULL,'592',23.04,1,3,NULL),(28,7106050,'1994-03-21 00:00:00',4,26,12,2011,'F','N','CENTRO','CONCÓRDIA','SC','124241242117371431226624575124610123152',12517,'196',41.11,1,2,1),(28,7106068,'1994-04-02 00:00:00',2,26,12,2011,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116164161217211431448832576112610168021',NULL,'9998',21.04,1,3,NULL),(28,7106076,'1989-12-31 00:00:00',4,1,12,2007,'F','N','CENTRO','S JOSÉ CAMPOS','SP','125252254237573431238829375121120964127',2474,'9998',61.26,1,3,NULL),(28,7106092,'1994-01-03 00:00:00',2,26,12,2010,'M','N','SÃO CRISTÓVÃO','SANANDUVA','RS','120241242126151631429913345114610137042',NULL,'196',22.39,1,2,1),(28,7106106,'1993-05-26 00:00:00',4,1,12,2010,'F','N','JARDIM MARCELA','PARANAVAÍ','PR','116162161215471411487712575122610113122',9431,'9998',46.52,1,3,NULL),(28,7106114,'1994-11-26 00:00:00',4,1,11,2011,'F','N','AREIAS','S JOSÉ','SC','124243241215141431223624595124610133142',NULL,'1078',14.26,1,3,NULL),(28,7106122,'1994-06-04 00:00:00',4,1,12,2011,'M','N','BOM VIVER','BIGUAÇU','SC','124244241116162431469633375124610167092',10397,'739',43.26,1,3,NULL),(28,7106130,'1994-08-30 00:00:00',4,1,12,2011,'M','N','CENTRO','CAÇADOR','SC','124242241217272431428612295122610137062',3385,'120',60.76,1,3,NULL),(28,7106149,'1992-03-05 00:00:00',2,1,11,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241215473411348711575122123267052',1333,'270',69.56,1,3,NULL),(28,7106165,'1994-04-02 00:00:00',4,8,12,2011,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241215111531568314242112610165012',15087,'462',37.74,1,3,NULL),(28,7106181,'1994-08-25 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217371431446713575122610137047',9345,'273',48.60,1,3,NULL),(28,7106190,'1989-12-21 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116211711423371315124610126187',17749,'727',31.79,1,2,1),(28,7106203,'1995-08-12 00:00:00',4,5,12,2012,'M','S','PINHEIRINHO','CRICIÚMA','SC','124242241215271431458823475124610164012',NULL,'226',47.07,1,3,NULL),(28,7106238,'1995-01-18 00:00:00',4,10,12,2012,'M','S','CENTRO','TUBARÃO','SC','124242241215221431447713575122610147057',NULL,'807',50.37,1,3,NULL),(28,7106246,'1991-12-05 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124252251215472431438831574124133265082',1523,'9998',65.45,1,3,NULL),(28,7106254,'1994-06-02 00:00:00',2,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241215111731623534575122610167042',19851,'1118',29.84,1,3,NULL),(28,7106262,'1994-02-03 00:00:00',4,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124243241226111411336514595124610134142',15465,'262',37.69,1,3,NULL),(28,7106270,'1993-04-09 00:00:00',2,26,12,2010,'M','N','VILA NOVA DOIS','SANANDUVA','RS','120201242117131711213321416334610167055',NULL,'196',30.49,1,3,NULL),(28,7106297,'1994-05-25 00:00:00',4,15,12,2010,'F','N','COLINA','GUAÍBA','RS','120201201117132431323619345124610123092',NULL,'9998',19.84,1,2,1),(28,7106300,'1993-01-19 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215472431459912575122610142182',NULL,'226',21.31,1,3,NULL),(28,7106327,'1993-08-01 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216472431468831575124610167055',3463,'272',58.48,1,3,NULL),(28,7106335,'1978-12-14 00:00:00',4,1,12,1995,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116375421148944445122130227112',6207,'267',60.23,1,2,1),(28,7106343,'1994-08-10 00:00:00',4,2,11,2011,'F','N','CENTRO','GASPAR','SC','124242241215111731555612295122610163172',NULL,'955',0.00,1,3,NULL),(28,7106351,'1995-03-04 00:00:00',4,3,12,2012,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241216112731368819575122610126046',NULL,'270',53.77,1,3,NULL),(28,7106360,'1991-10-08 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217473431338923575122610134037',4273,'1022',59.79,1,3,NULL),(28,7106378,'1985-05-31 00:00:00',2,1,12,2002,'F','N','PADRE ULRICO','FRANCISCO BELTRÃO','PR','616161161136131431121554335123142767057',NULL,'9998',0.00,1,3,NULL),(28,7106394,'1992-12-08 00:00:00',2,4,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241212572431558812495125610112047',4974,'751',57.83,1,3,NULL),(28,7106408,'1992-03-19 00:00:00',2,1,12,2009,'M','N','CHÁCARA JOSEFINA','CONCEIÇÃO OUROS','MG','113131131137571431526831275124610127042',3758,'9998',61.29,4,2,1),(28,7106416,'1995-07-09 00:00:00',2,16,12,2011,'F','N','SÃO CRISTÓVÃO','CAPINZAL','SC','124241241215131411328624571124610167057',NULL,'1093',29.89,1,3,NULL),(28,7106424,'1994-09-27 00:00:00',4,22,11,2011,'F','N','AZAMBUJA','BRUSQUE','SC','124242241215372731478812575122610126182',796,'1244',71.59,1,3,NULL),(28,7106432,'1994-03-14 00:00:00',4,1,11,2011,'F','N','JARDIM AMÉRICA','DOURADOS','MS','112122121216111411458931574122610162072',NULL,'9998',0.00,1,3,NULL),(28,7106459,'1993-09-07 00:00:00',2,1,12,2010,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124242241216272431367733475124123027093',13772,'1074',42.03,1,3,NULL),(28,7106467,'1994-11-20 00:00:00',2,10,12,2011,'M','N','TAQUARAÇU','LAGUNA','SC','124241241117371431423612175124610125172',12273,'1034',44.21,1,2,1),(28,7106475,'1994-01-10 00:00:00',4,1,10,2011,'M','N','CANABARRO','TEUTÔNIA','RS','120201201137141711523311345124610127042',10373,'9998',45.84,1,2,1),(28,7106483,'1994-10-25 00:00:00',4,5,12,2011,'F','N','RIO MAINA','CRICIÚMA','SC','124242241215111431446832375122610134153',NULL,'880',0.00,1,3,NULL),(28,7106491,'1994-12-01 00:00:00',4,15,1,2012,'M','N','JARDIM CIBELE','ARARANGUÁ','SC','124241241135141431435534245124610124047',NULL,'30',22.22,1,2,1),(28,7106505,'1994-04-13 00:00:00',2,1,11,2011,'M','N','CENTRO','IMBITUBA','SC','124244241215111431447933575114610127117',4643,'270',58.35,1,3,NULL),(28,7106513,'1993-08-31 00:00:00',4,1,12,2010,'F','N','PIRITUBA','S PAULO','SP','125253251216471431438734571125610125147',1532,'9998',65.97,1,3,NULL),(28,7106530,'1995-02-11 00:00:00',4,4,12,2011,'F','N','CENTRO','MANGUEIRINHA','PR','116163161315271631634536574122610168192',20080,'9998',26.74,1,3,NULL),(28,7106548,'1994-05-25 00:00:00',4,3,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124242246217111442556832595124610167187',7473,'1119',52.63,1,3,NULL),(28,7106572,'1994-10-05 00:00:00',4,1,12,2011,'F','N','UMARIZAL','BELÉM','PA','114144141216111431469923575122610134182',4987,'9998',55.02,4,3,NULL),(28,7106599,'1991-06-07 00:00:00',2,8,12,2009,'F','N','NOVO MUNDO','CURITIBA','PR','116163163136572431437613274124610166177',1370,'9998',66.91,1,3,NULL),(28,7106602,'1995-02-10 00:00:00',4,3,12,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215111711588712275122610117142',NULL,'403',0.00,1,3,NULL),(28,7106610,'1990-05-30 00:00:00',4,8,12,2008,'M','N','AMERICA','JOINVILLE','SC','124242241215574431218821591125133267097',4743,'931',55.68,1,3,NULL),(28,7106629,'1993-03-02 00:00:00',4,1,12,2010,'F','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125252251217471431434823575124610123093',NULL,'9998',0.00,1,3,NULL),(28,7106637,'1994-01-18 00:00:00',4,8,12,2011,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241216151431439934575124610167147',2285,'1006',59.11,1,3,NULL),(28,7106645,'1993-11-05 00:00:00',4,1,12,2011,'M','N','COSTÃO','GUARAREMA','SP','125252251235471431438814375112610114032',8647,'9998',56.03,1,3,NULL),(28,7106653,'1995-06-18 00:00:00',4,1,12,2011,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241225131411536923595124610133077',5283,'262',54.25,1,3,NULL),(28,7106661,'1994-01-09 00:00:00',4,1,12,2011,'M','N','INGLESSES','FLORIANÓPOLIS','SC','124242241216111511338812575112610117061',11715,'884',43.42,1,3,NULL),(28,7106670,'1994-05-10 00:00:00',4,1,12,2011,'F','N','GIRASSOL','AMERICANA','SP','125252251217411711578811415122610137092',9614,'9998',44.75,1,3,NULL),(28,7106688,'1994-04-02 00:00:00',4,16,11,2011,'F','N','CENTRO','CURITIBANOS','SC','124242241216111431458911275122610114072',9719,'881',46.11,1,3,NULL),(28,7106696,'1992-06-01 00:00:00',4,1,12,2009,'F','N','VILA A','FOZ IGUAÇU','PR','116162161235572411448514571125610133122',NULL,'9998',0.00,1,3,NULL),(28,7106700,'1991-10-08 00:00:00',4,1,12,2009,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241215573431488823575122610122071',131,'270',78.83,4,3,NULL),(28,7106726,'1988-02-28 00:00:00',2,1,12,2008,'M','N','DISTRITO DE IGUATEMI','MARINGÁ','PR','116161161126472731335519395214610168092',NULL,'9998',23.93,2,1,1),(28,7106750,'1994-05-15 00:00:00',4,1,12,2010,'F','N','CENTRO','MANDAGUARI','PR','125162161215371531338631276115610163077',2444,'9998',61.42,1,3,NULL),(28,7106769,'1992-02-29 00:00:00',2,1,12,2008,'F','N','NOSSA S DO ROSÁRIO','S JOSÉ','SC','124204201316372431546867345114140232042',17828,'9998',39.40,1,3,NULL),(28,7106777,'1989-08-14 00:00:00',4,6,12,2007,'F','N','EMBARÉ','SANTOS','SP','125254251217571411543621475125610148197',7482,'9998',49.44,1,3,NULL),(28,7106785,'1993-09-21 00:00:00',2,9,11,2010,'F','N','CIDADE SÃO FRANCISCO','S PAULO','SP','125252251217471421557612472124610167127',4286,'9998',58.24,3,3,NULL),(28,7106807,'1992-01-13 00:00:00',4,1,12,2009,'M','N','POTECAS','S JOSÉ','SC','124241241117141431226629442124610124182',13061,'307',48.90,1,2,1),(28,7106815,'1986-12-25 00:00:00',2,1,10,2010,'M','N','CENTRO','MARAVILHA','SC','124241247126161231335611145122610167057',19124,'9999',34.78,1,2,1),(28,7106823,'1992-10-18 00:00:00',2,17,12,2009,'M','N','JARDIM ESPERANÇA','CANOINHAS','SC','124241241117271411516424575121610138077',20088,'153',26.57,1,2,1),(28,7106831,'1994-01-16 00:00:00',4,8,11,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241216371431369612572122610128052',6518,'461',55.00,1,3,NULL),(28,7106858,'1985-03-23 00:00:00',2,5,12,2002,'F','N','JARDIM ANGELICA','CRICIÚMA','SC','124241244116135431224624345124130623147',13033,'228',41.93,1,2,1),(28,7106874,'1991-09-21 00:00:00',2,1,12,2009,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124244241215373431336823475124610134192',7429,'1022',58.10,1,3,NULL),(28,7106890,'1992-03-14 00:00:00',2,1,12,2009,'M','N','CENTRO','CANARANA','MT','111112111216471431443619395114610134017',8764,'9998',46.58,1,3,NULL),(28,7106904,'1993-11-12 00:00:00',2,3,12,2010,'F','N','CENTRO','PARANAVAÍ','PR','116162161217471231437911575112610167042',8799,'9998',55.77,1,3,NULL),(28,7106939,'1993-12-01 00:00:00',4,8,12,2011,'F','N','GUANABARA','JOINVILLE','SC','124241241212371431435623572124610166147',15876,'1105',33.59,1,3,NULL),(28,7106947,'1990-09-14 00:00:00',2,1,11,2008,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215373431568833475114131462077',2260,'270',63.33,1,3,NULL),(28,7106955,'1991-05-21 00:00:00',4,1,12,2008,'M','N','BACACHERI','CURITIBA','PR','116162161236121411568923575122240663117',NULL,'9998',0.00,1,3,NULL),(28,7106963,'1993-05-12 00:00:00',4,1,12,2010,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124242021215272431268923575112610124145',8610,'9998',51.11,1,3,NULL),(28,7106998,'1984-12-14 00:00:00',4,1,12,2002,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','224243241115373431227944345124130764181',15181,'169',45.26,1,3,NULL),(28,7107005,'1991-09-11 00:00:00',2,1,12,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241112141431446319495124610132013',19753,'281',30.65,1,3,NULL),(28,7107013,'1993-08-05 00:00:00',2,1,11,2010,'M','N','JARDIM NOVA ESPERANÇ','GOIÂNIA','GO','109094091335472451433531572124610167057',1617,'9998',62.94,1,3,NULL),(28,7107021,'1993-02-26 00:00:00',4,1,11,2010,'M','N','JACANÃ','S PAULO','SP','124253251127431711664772245134610167057',NULL,'9998',0.00,1,3,NULL),(28,7107048,'1985-05-28 00:00:00',4,15,12,2003,'M','N','PETROPOLIS','PTO ALEGRE','RS','124202201215472731428811415122221467112',10956,'9998',52.18,1,3,NULL),(28,7107064,'1993-03-24 00:00:00',2,1,12,2010,'M','N','BELA VISTA I','S JOSÉ','SC','124241241116372431436434375124610167047',6783,'733',54.78,4,2,1),(28,7107080,'1989-07-01 00:00:00',2,9,12,2006,'F','N','INTERIOR','QUILOMBO','SC','124241248246574431423315215121610126057',9683,'497',50.47,1,3,NULL),(28,7107099,'1985-09-03 00:00:00',1,1,10,2005,'M','N','NOVO CAMPECHE','FLORIANÓPOLIS','SC','124164167437375751138872125223221464177',2453,'9998',68.39,1,3,NULL),(28,7107110,'1986-12-30 00:00:00',4,8,12,2005,'M','N','GUANABARA','JOINVILLE','SC','124243246232472431366914245122131464117',11408,'1105',51.46,1,3,NULL),(28,7107129,'1992-07-13 00:00:00',2,1,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124161167427131421226821245134233242147',NULL,'967',0.00,1,3,NULL),(28,7107137,'1991-05-16 00:00:00',4,1,12,2008,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241212214511144413592111130215197',8003,'1048',50.96,1,3,NULL),(28,7107145,'1994-11-14 00:00:00',4,24,11,2011,'F','N','SUMARÉ','RIO SUL','SC','124242241115122411459811571122610162072',1111,'991',69.33,1,3,NULL),(28,7107153,'1990-11-22 00:00:00',4,1,12,2008,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241216153431367933375112232062197',NULL,'270',19.65,1,3,NULL),(28,7107161,'1986-06-11 00:00:00',2,1,12,2003,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217374431455837445111332164092',7468,'270',51.43,3,3,NULL),(28,7107188,'1989-06-01 00:00:00',2,1,12,2007,'M','N','JARDIM SAO FRANCISCO','JAÚ','SP','125254251426471411636614345223143267182',NULL,'9998',20.65,1,3,NULL),(28,7107196,'1990-04-15 00:00:00',2,1,12,2007,'M','N','ALTO BIGUAÇU','BIGUAÇU','SC','124241241111134431434416151124233237041',4095,'21',60.31,1,2,1),(28,7107200,'1994-10-12 00:00:00',4,4,12,2011,'M','N','CENTRO','S JOÃO OESTE','SC','124241241125131412348813582121610134157',9917,'715',44.48,1,3,NULL),(28,7107226,'1994-10-08 00:00:00',2,1,12,2011,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241116131531433337581124610117093',NULL,'591',19.31,1,3,NULL),(28,7107234,'1993-03-17 00:00:00',2,2,10,2011,'F','N','VIAL NOVA','BLUMENAU','SC','124242247135171731348812345124610114012',NULL,'9999',26.68,5,3,NULL),(28,7107242,'1981-05-20 00:00:00',4,1,11,1998,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241146135421244624135132321966117',9400,'307',54.72,1,2,1),(28,7107250,'1989-07-20 00:00:00',2,1,12,2006,'M','N','JD CIDADE DE FPOLIS','S JOSÉ','SC','124241241117132421523311241122130267147',14443,'726',46.67,1,2,1),(28,7107277,'1994-03-11 00:00:00',4,1,12,2011,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251215111431369914575122610137182',4385,'9998',54.85,1,3,NULL),(28,7107285,'1988-09-12 00:00:00',4,1,12,2006,'M','N','JARDIM PRIMAVERA','CAÇAPAVA','SP','125252251217152441467613595122610162052',NULL,'9998',0.00,1,3,NULL),(28,7107293,'1992-11-18 00:00:00',2,1,12,2010,'F','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124201201112131431116844242124610117052',NULL,'9998',10.74,1,3,NULL),(28,7107307,'1994-06-20 00:00:00',4,1,12,2011,'M','N','REAL PARQUE','S JOSÉ','SC','124251241115271431323319315124610137033',14307,'730',37.06,1,2,1),(28,7107340,'1993-04-21 00:00:00',2,26,12,2010,'F','N','SANTO ANTÔNIO','CONCÓRDIA','SC','124241241135472411336623235124610125057',9141,'194',48.33,1,2,1),(28,7107374,'1988-08-04 00:00:00',2,1,12,2006,'M','N','SÃO DOMINGOS','PAULÍNIA','SP','125251251147271431443614385124620166047',4017,'9998',58.96,1,2,1),(28,7107382,'1993-12-20 00:00:00',4,1,12,2010,'M','N','TABULEIRO','BARRA VELHA','SC','124241241337271231438612312111610127081',10900,'57',43.91,1,3,NULL),(28,7107390,'1994-08-26 00:00:00',4,4,12,2011,'M','N','CENTRO','MANGUEIRINHA','PR','116163161117171731444939245122610134017',11807,'9998',41.32,1,3,NULL),(28,7107404,'1985-04-23 00:00:00',2,15,11,2002,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','224241241136152421223454225132610122197',17294,'29',40.80,1,2,1),(28,7107439,'1988-04-04 00:00:00',4,8,11,2005,'M','N','FLORESTA','JOINVILLE','SC','124242241226151441359929285124140212142',NULL,'457',0.00,1,3,NULL),(28,7107447,'1993-04-23 00:00:00',2,1,12,2010,'F','N','CAIEIRA SACO LIMÕES','FLORIANÓPOLIS','SC','124241241116131431633313345234610123117',NULL,'281',0.00,1,2,1),(28,7107455,'1991-01-07 00:00:00',4,2,11,2009,'M','N','CENTRO','GASPAR','SC','124134241215573411126841414122610144093',3064,'855',66.71,1,3,NULL),(28,7107463,'1994-02-10 00:00:00',4,1,12,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115472411536619495124610164041',11309,'278',51.62,1,3,NULL),(28,7107471,'1992-02-20 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373451448911571124610163062',6888,'272',54.17,1,3,NULL),(28,7107480,'1990-04-05 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241317152431228644345131320767067',NULL,'262',0.00,1,3,NULL),(28,7107501,'1992-06-30 00:00:00',2,6,7,2011,'M','N','CARVALHO','ITAJAÍ','SC','124242247236271451677819495122610168073',NULL,'9999',0.00,1,3,NULL),(28,7107510,'1993-09-18 00:00:00',2,1,12,2010,'M','N','SÃO FRANCISCO','MISSAL','PR','116161161117132731423823572222610137012',NULL,'9998',39.07,1,2,1),(28,7107552,'1988-04-17 00:00:00',2,1,12,2006,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127332641638619275144610168197',NULL,'274',30.39,4,3,NULL),(28,7107560,'1991-08-24 00:00:00',2,9,12,2010,'F','N','INTERIOR','S JOSÉ CERRITO','SC','124241241126161631314316492324333228057',NULL,'742',15.44,1,3,NULL),(28,7107587,'1985-11-14 00:00:00',4,8,12,2003,'M','N','ITAUM','JOINVILLE','SC','124243247427271731134844245234610167041',NULL,'487',31.37,1,3,NULL),(28,7107609,'1988-05-07 00:00:00',2,1,12,2005,'F','N','CENTRO','BIGUAÇU','SC','124241241112134431426513245134610123022',NULL,'277',28.07,2,1,1),(28,7107617,'1995-02-09 00:00:00',2,1,12,2011,'F','N','ZONA RURAL','AT BELA VISTA','SC','124241241127131431423335252324610111147',18360,'14',30.48,1,2,1),(28,7107625,'1994-11-26 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241415131431228828575124610122097',15564,'1050',44.60,1,3,NULL),(28,7107633,'1980-06-27 00:00:00',2,1,12,1999,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124222221216571441158613375121331534182',NULL,'9998',0.00,1,3,NULL),(28,7107641,'1994-10-13 00:00:00',2,4,12,2011,'M','N','RURAL','CEL FREITAS','SC','124241241116131731423316285123610128187',NULL,'199',36.76,1,3,NULL),(28,7107668,'1992-05-18 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241212373431447411571114122337142',5513,'737',57.73,1,3,NULL),(28,7107676,'1992-11-25 00:00:00',2,1,12,2009,'F','N','SÃO JOÃO CLÍMACO','S PAULO','SP','125252251217571441543824575124610167077',1921,'9998',65.49,1,3,NULL),(28,7107706,'1965-02-14 00:00:00',4,1,12,1982,'M','N','FORTALEZA DA BARRA','FLORIANÓPOLIS','SC','524163161327131431134441115123142336097',19735,'9998',30.79,1,3,NULL),(28,7107714,'1995-03-05 00:00:00',2,6,12,2011,'F','N','ESPINHEIROS','ITAJAÍ','SC','124242241215271431325631315122610127097',9798,'389',47.94,1,3,NULL),(28,7107749,'1992-01-17 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241116372231426611385114330123187',7451,'306',51.39,1,3,NULL),(28,7107757,'1990-03-20 00:00:00',2,1,12,2008,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241116473431336413445134610133142',NULL,'591',17.75,1,2,1),(28,7107765,'1992-08-08 00:00:00',2,4,12,2010,'M','N','CENTRO','S DOMINGOS','SC','124241241316112732324962585115610167057',NULL,'707',19.06,1,3,NULL),(28,7107773,'1991-05-18 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217374731439932345114133242052',9254,'738',50.52,1,3,NULL),(28,7107781,'1992-12-21 00:00:00',2,1,11,2009,'M','N','IPIRANGA','S JOSÉ','SC','124244241215272421457813345122610167052',18998,'266',35.34,1,3,NULL),(28,7107790,'1991-12-28 00:00:00',2,1,12,2009,'F','N','JARDIM IRAJA','S BERNARDO CAMPO','SP','125264251215571441336624576122610163197',9655,'9998',45.19,1,3,NULL),(28,7107811,'1990-06-19 00:00:00',2,5,12,2007,'F','N','RIO MAINA','CRICIÚMA','SC','124241241216472431643619575124132844147',10444,'920',45.95,1,3,NULL),(28,7107820,'1983-01-16 00:00:00',2,1,12,2000,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241217145421343512245122130226097',13309,'590',48.54,1,3,NULL),(28,7107838,'1993-09-12 00:00:00',4,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124181248135141431233724342114610138192',11633,'734',43.08,3,2,1),(28,7107846,'1994-05-23 00:00:00',2,8,12,2011,'M','N','PIRABEIRABA','JOINVILLE','SC','124241246212111231443632592214610167182',8900,'1006',48.29,1,3,NULL),(28,7107854,'1986-06-23 00:00:00',2,1,6,2004,'M','N','JARDIM SÃO MIGUEL','BIGUAÇU','SC','124241241116473231543317435122221762051',16549,'65',42.54,1,2,1),(28,7107862,'1990-08-03 00:00:00',2,2,12,2007,'F','N','MOEMA','ITAIÓPOLIS','SC','124241241221573431334816471224131362097',1752,'1024',65.23,1,3,NULL),(28,7107870,'1992-06-11 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126271431344624242113610124052',7321,'941',58.27,1,2,1),(28,7107889,'1983-07-27 00:00:00',2,1,12,2001,'F','N','BARREIROS','S JOSÉ','SC','224241241126133431323151375114610126182',NULL,'257',0.00,1,2,1),(28,7107897,'1991-09-26 00:00:00',2,1,12,2009,'F','N','SÃO JOÃO CLIMACO','S PAULO','SP','125251241416572441134431575124610165127',6945,'633',52.98,1,3,NULL),(28,7107900,'1993-12-25 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215472431578717291124233263142',5316,'1022',57.37,1,3,NULL),(28,7107935,'1984-06-14 00:00:00',4,1,12,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124251251117131411346623415124610134043',16548,'9998',42.54,1,2,1),(28,7107943,'1994-01-08 00:00:00',4,4,12,2011,'F','N','LUZITANI','QUEDAS IGUAÇU','PR','116161165116471432335534575122610113142',10726,'9998',41.74,1,2,1),(28,7107951,'1992-03-11 00:00:00',2,5,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124241246415372441346611385124610167147',7235,'995',52.76,1,3,NULL),(28,7107960,'1990-09-07 00:00:00',2,5,6,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241246416131421126344345133130764142',NULL,'995',0.00,1,3,NULL),(28,7107978,'1991-12-12 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252257215572431447869275115610164012',18589,'9998',36.93,1,3,NULL),(28,7107986,'1994-03-31 00:00:00',4,1,12,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241116271431323314295124610137047',NULL,'298',14.04,1,2,1),(28,7108010,'1994-09-18 00:00:00',2,1,12,2011,'F','N','CORVETA','ARAQUARI','SC','124244241215151431418614575122610126142',10636,'1161',52.69,1,3,NULL),(28,7108036,'1986-11-18 00:00:00',4,1,7,2002,'M','N','BALNEARIO ESTREITO','FLORIANÓPOLIS','SC','124242247237134431667613486122133237187',NULL,'270',15.37,1,3,NULL),(28,7108044,'1992-04-10 00:00:00',2,1,12,2009,'F','N','FLORESTA','CONCÓRDIA','SC','124241241115574431246623575122610121122',11677,'192',44.63,1,2,1),(28,7108052,'1994-02-24 00:00:00',4,1,11,2010,'M','N','CENTRO','LAGES','SC','124242241215472431489831572112610117092',NULL,'1207',0.00,1,3,NULL),(28,7108060,'1988-07-23 00:00:00',4,1,12,2005,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120242241215575431368729375122131036091',1201,'270',68.10,1,3,NULL),(28,7108079,'1993-10-17 01:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241217372411349911245132610124113',10685,'880',52.63,1,3,NULL),(28,7108087,'1989-10-02 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','624241241126271721233344245135130827052',18658,'717',36.64,1,2,1),(28,7108095,'1992-02-06 00:00:00',4,27,12,2009,'M','N','AGOSTINI','S MIGUEL OESTE','SC','124241241146131431425611215132610127047',19655,'757',31.55,1,3,NULL),(28,7108109,'1978-09-20 00:00:00',4,1,12,1994,'M','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','624204241213111711366743432132343222117',8591,'27',56.12,1,3,NULL),(28,7108117,'1990-09-25 00:00:00',2,7,12,2007,'M','N','CENTRO','PASSO FUNDO','RS','120201201136372441333336395124340433142',NULL,'9998',0.00,1,2,1),(28,7108125,'1994-07-26 00:00:00',4,1,12,2011,'F','N','JARDIM AMÉRICA','DOURADOS','MS','112122121216151531488613475122610164183',NULL,'9998',0.00,1,3,NULL),(28,7108133,'1989-12-22 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215274121357633335134133263097',16714,'1022',42.17,1,3,NULL),(28,7108150,'1992-06-19 00:00:00',4,1,12,2009,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120242241217573431357632571124610132112',4605,'270',55.20,1,3,NULL),(28,7108184,'1994-04-10 00:00:00',2,15,12,2011,'F','N','CENTRO','BAL PINHAL','RS','120201205117471431435933232124640136147',14652,'9998',33.66,1,2,1),(28,7108192,'1994-06-01 00:00:00',4,15,12,2011,'F','N','CANIVETE','ARARANGUÁ','SC','124241241147141332536311145124610127077',NULL,'28',20.95,1,2,1),(28,7108230,'1994-08-07 00:00:00',4,1,12,2011,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115161732324411472111610117047',NULL,'21',8.23,1,2,1),(28,7108249,'1993-04-22 00:00:00',4,8,12,2010,'F','N','GLÓRIA','JOINVILLE','SC','124242241215372431457812375122610165157',7137,'1063',50.09,1,3,NULL),(28,7108265,'1991-02-20 00:00:00',4,1,11,2008,'M','N','PONTA DA PRAIA','SANTOS','SP','125254251345572431527631275124610132092',NULL,'9998',0.00,1,3,NULL),(28,7108273,'1993-10-29 00:00:00',2,1,12,2010,'F','N','INDIANÓPOLIS','TRAMANDAÍ','RS','120201201146131331534632215114610137047',17866,'9998',29.18,1,3,NULL),(28,7108281,'1994-09-14 00:00:00',2,1,12,2011,'M','N','BOM VIVER','BIGUAÇU','SC','124243241416371731446612275124610124012',14554,'21',39.78,1,3,NULL),(28,7108290,'1993-10-06 00:00:00',2,1,12,2011,'F','N','REBOUÇAS','CURITIBA','PR','116162161216111531358923575125610122187',NULL,'9998',0.00,1,3,NULL),(28,7108303,'1994-04-27 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111751578931575112610164142',NULL,'1169',0.00,1,3,NULL),(28,7108311,'1993-03-03 00:00:00',2,22,11,2010,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124242241416372431448831375122610162187',4460,'1244',58.21,1,3,NULL),(28,7108320,'1985-02-09 00:00:00',4,1,12,2003,'M','N','JABOTIANA','ARACAJU','SE','126262261116141241526613435224241417051',19919,'9998',29.08,2,3,NULL),(28,7108338,'1987-12-06 00:00:00',4,1,11,2007,'M','N','KOBRASOL II','S JOSÉ','SC','124243241137132231527823345144610145172',NULL,'736',17.86,2,1,2),(28,7108346,'1994-03-11 00:00:00',4,1,12,2010,'M','N','UNIVERSITARIO','LAGES','SC','124242241215473431488911584114610164061',853,'497',69.76,1,3,NULL),(28,7108362,'1992-11-22 00:00:00',4,1,11,2010,'M','N','BAIRRO IPIRANGA','S JOSÉ','SC','124242241216372431346612575124610167052',7140,'1118',52.26,1,3,NULL),(28,7108370,'1991-10-15 00:00:00',2,1,12,2009,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241116373421436413245134610167042',17435,'307',40.45,1,2,1),(28,7108397,'1993-07-09 00:00:00',4,4,12,2010,'F','N','JARDIM BELA VISTA','ITAPIRANGA','SC','124241241415472431359934575122610164147',1151,'1060',66.75,1,3,NULL),(28,7108419,'1988-09-25 00:00:00',2,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','224213211111371721246654481122610121187',6770,'9998',52.41,1,3,NULL),(28,7108427,'1993-11-24 00:00:00',4,5,12,2010,'M','N','CENTRO','URUSSANGA','SC','124244246432131221325611395124610167052',NULL,'188',19.10,1,3,NULL),(28,7108443,'1956-10-11 00:00:00',2,1,12,1995,'F','N','TRINDADE','FLORIANÓPOLIS','SC','324241247227142752261143432114610143185',NULL,'9999',0.00,1,3,NULL),(28,7108460,'1992-01-06 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244091337471131238913485124610166095',7550,'9998',50.57,1,3,NULL),(28,7108478,'1994-09-13 00:00:00',4,1,12,2011,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','224241241133111431227634572224610162192',NULL,'75',21.55,1,2,1),(28,7108494,'1994-04-28 00:00:00',2,24,12,2010,'F','N','CENTRO','VIDAL RAMOS','SC','124241241147371431648612245134610124052',7998,'828',49.54,1,2,1),(28,7108516,'1990-11-03 00:00:00',2,1,12,2007,'F','N','FLORESTA','S JOSÉ','SC','124241241436375731325339385124122235143',10622,'724',46.95,1,3,NULL),(28,7108532,'1993-05-05 00:00:00',4,1,12,2010,'F','N','CENTRO','RIO NEGRO','PR','116162161216372431458811574122610128182',NULL,'9998',0.00,1,3,NULL),(28,7108540,'1992-02-27 00:00:00',4,1,12,2009,'M','N','SANTA HELENA','PRES PRUDENTE','SP','125252251216571431337831575122610142076',6843,'9998',54.47,4,1,2),(28,7108559,'1989-02-24 00:00:00',4,1,12,2006,'F','N','CENTRO','CRICIÚMA','SC','124242241215471431547512275122330624147',18193,'226',38.33,1,3,NULL),(28,7108567,'1993-02-06 00:00:00',4,1,12,2009,'M','N','CENTRO','HERVAL D OESTE','SC','124242241215573751449933575124610164052',2088,'270',63.37,1,3,NULL),(28,7108575,'1994-05-04 00:00:00',2,4,12,2010,'F','N','SÃO CRISTÓVÃO','PLANALTO','RS','120201201137331431515311282114610125187',13846,'9998',47.65,1,2,1),(28,7108613,'1992-03-05 00:00:00',2,24,12,2010,'F','N','EUG SCHENEIDER','RIO SUL','SC','124243241112132441448823572124233136177',NULL,'1222',28.70,1,3,NULL),(28,7108630,'1993-08-26 00:00:00',2,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241215332431338812385124231037052',10005,'1022',48.43,1,3,NULL),(28,7108648,'1993-11-23 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431446513575124610117042',17651,'738',39.88,1,3,NULL),(28,7108656,'1993-10-11 00:00:00',4,4,12,2010,'F','N','JARDIM PORTO ALEGRE','TOLEDO','PR','116162161315472431548914475122610164147',3094,'9998',60.27,1,3,NULL),(28,7108664,'1994-09-09 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431249833575112610166142',6235,'1169',53.45,1,3,NULL),(28,7108672,'1991-09-29 00:00:00',4,9,12,2008,'M','N','SANTA MARIA','LAGES','SC','124242241217374231489932574122120464042',1586,'497',71.29,1,3,NULL),(28,7108680,'1992-06-06 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241122373431544833572124120368043',6250,'592',54.18,1,2,1),(28,7108702,'1994-03-30 00:00:00',4,1,12,2011,'F','N','JD PAULISTA','STA BÁRBARA D OESTE','SP','125254251217111711445332575122610131144',NULL,'9998',0.00,4,3,NULL),(28,7108710,'1990-08-30 00:00:00',2,8,12,2007,'F','N','CENTRO','ESPIGÃO AT IGUAÇU','PR','116161161416572431333335574122610164182',3701,'9998',59.92,1,3,NULL),(28,7108729,'1992-11-04 00:00:00',4,1,11,2010,'M','N','JARDIM TROPICAL','UMUARAMA','PR','116164161415271712466933431113610164022',NULL,'9998',0.00,1,3,NULL),(28,7108745,'1993-06-24 00:00:00',4,9,12,2010,'M','N','SANTA RITA','LAGES','SC','124242241216472441469933575122610137122',9024,'497',48.47,1,3,NULL),(28,7108753,'1987-03-17 00:00:00',2,1,12,2006,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124251251117272421322341315334610122162',18433,'9998',37.53,4,2,1),(28,7108761,'1993-07-29 00:00:00',2,3,12,2010,'F','N','VARZEA','ITAPEMA','SC','124242241215152431448412575124232522192',NULL,'44',0.00,1,3,NULL),(28,7108770,'1993-12-31 00:00:00',4,1,12,2010,'F','N','NOSSA SR DO ROSÁRIO','S JOSÉ','SC','124242241215472431236623472124610124042',5138,'737',56.94,1,3,NULL),(28,7108796,'1989-01-07 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241127143231126644345124230212142',NULL,'142',14.35,1,2,1),(28,7108800,'1993-04-19 00:00:00',4,8,12,2010,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116162161215152551478713491123141067065',NULL,'9998',0.00,1,3,NULL),(28,7108818,'1982-07-05 00:00:00',4,1,12,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124053071117131721113623495123140662147',19862,'9998',29.75,1,3,NULL),(28,7108834,'1983-04-15 00:00:00',6,15,7,2005,'M','N','VILA BEATRIZ','MARACAJÁ','SC','124241247123132431433339331332610155177',NULL,'9999',13.34,1,3,NULL),(28,7108850,'1991-07-02 00:00:00',2,4,12,2008,'F','N','INTERIOR','RONDINHA','RS','120201201117572731634436575125610162192',11333,'9998',43.94,1,2,1),(28,7108869,'1992-12-01 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117152411337811575124133153187',5162,'307',53.45,1,2,1),(28,7108885,'1993-03-09 00:00:00',4,1,12,2010,'M','N','SANTANA','S PAULO','SP','125252251117471411439813575124610167057',NULL,'9998',38.90,3,3,NULL),(28,7108893,'1992-12-02 00:00:00',2,4,12,2009,'F','N','OPERÁRIA','PASSO FUNDO','RS','120202201217141431436839445334610121147',NULL,'9998',24.95,1,3,NULL),(28,7108907,'1992-05-07 00:00:00',4,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124244241216154741455669495124221443196',4778,'1022',62.84,1,3,NULL),(28,7108915,'1993-09-10 00:00:00',2,4,12,2010,'F','N','CENTRO','LARANJEIRAS SUL','PR','116164161216371431459911575122610132192',NULL,'9998',0.00,1,3,NULL),(28,7108940,'1993-04-02 00:00:00',4,8,6,2011,'M','N','AMIZADE','JARAGUÁ SUL','SC','124243281125142431638815272121230722017',NULL,'9998',0.00,1,3,NULL),(28,7108958,'1993-01-20 00:00:00',4,1,12,2010,'F','N','GONZAGA','SANTOS','SP','125252251216571431358833575124610132092',NULL,'9998',0.00,3,3,NULL),(28,7108974,'1992-08-08 00:00:00',4,2,12,2009,'F','N','GARCIA','BLUMENAU','SC','124242241417131331436611386124133024172',NULL,'85',0.00,1,3,NULL),(28,7108982,'1991-07-15 00:00:00',4,1,11,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244248215241731219921291114613265182',NULL,'300',15.99,1,3,NULL),(28,7108990,'1993-07-05 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124243241315131731624421172124610163147',NULL,'734',11.83,1,3,NULL),(28,7109008,'1992-02-14 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116131431446713435124610127117',14845,'359',36.68,1,2,1),(28,7109024,'1989-12-21 00:00:00',4,1,1,2010,'M','N','AREIAS','S JOSÉ','SC','124242247117372412636623185114610147115',10978,'9999',44.63,1,3,NULL),(28,7109059,'1992-12-20 00:00:00',4,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115272451444519395122610125142',13197,'592',38.76,1,3,NULL),(28,7109075,'1965-03-30 00:00:00',4,1,12,1982,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241245116112631579613435134610167092',NULL,'267',0.00,1,3,NULL),(28,7109083,'1996-01-19 00:00:00',2,1,12,2012,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241217151431469913472114610117092',NULL,'272',38.09,1,3,NULL),(28,7109113,'1992-08-18 00:00:00',4,1,11,2010,'F','N','CENTRO','OLÍMPIA','SP','125254251216471731466611575112610112187',19435,'9998',33.12,1,3,NULL),(28,7109121,'1981-03-09 00:00:00',4,1,11,1998,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224254241236142741339941411122331467042',13705,'1063',47.87,1,3,NULL),(28,7109130,'1994-05-12 00:00:00',2,4,12,2011,'F','N','INTERIOR','CAXAMBU SUL','SC','124241241115371441533833575124610168192',10665,'169',44.10,1,2,1),(28,7109148,'1991-02-07 00:00:00',2,1,12,2007,'M','N','BATEL','CURITIBA','PR','116161161211575411342411571125610112047',5746,'9998',52.22,1,3,NULL),(28,7109156,'1993-10-08 00:00:00',2,8,12,2011,'F','N','ARVORE GRANDE','POUSO ALEGRE','MG','113131131316111731324828285124610121142',NULL,'9998',23.20,1,3,NULL),(28,7109164,'1992-08-02 00:00:00',2,26,12,2011,'F','N','IPIRA','IPIRA','SC','124241242115371431423335572324610165182',13370,'196',41.10,1,3,NULL),(28,7109199,'1991-12-18 00:00:00',2,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124242241217234411557612245124130224092',6054,'270',53.83,1,3,NULL),(28,7109210,'1992-09-10 00:00:00',4,8,11,2009,'F','N','GLÓRIA','JOINVILLE','SC','124241241435572431559713475112610164112',8693,'486',55.92,1,3,NULL),(28,7109237,'1988-10-29 00:00:00',2,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241116574431646624445124610147147',19578,'9999',32.18,1,2,1),(28,7109253,'1988-10-05 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124151021217151431489614485122141062052',18880,'9998',35.77,1,3,NULL),(28,7109261,'1990-04-15 00:00:00',2,1,7,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247226143431423311245344610127057',17480,'982',40.35,1,3,NULL),(28,7109270,'1994-07-02 00:00:00',4,1,11,2011,'F','N','JURERE','FLORIANÓPOLIS','SC','124242241215111731568812595124610124182',3894,'270',58.82,1,3,NULL),(28,7109288,'1990-01-23 00:00:00',4,1,12,2007,'F','N','JARDIM SÃO CARLOS','SOROCABA','SP','125252251217131431457623295122241044022',11861,'9998',40.81,1,3,NULL),(28,7109296,'1992-07-11 00:00:00',2,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241212275531569952345122123237047',8829,'270',55.72,1,3,NULL),(28,7109300,'1984-09-08 00:00:00',2,1,12,2001,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241216132431428634485124232728187',8398,'581',48.33,1,3,NULL),(28,7109326,'1994-01-27 00:00:00',2,23,12,2011,'F','N','CENTRO','S BENTO SUL','SC','124243248135271331425421294322610123052',NULL,'697',0.00,1,3,NULL),(28,7109350,'1994-01-09 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241125242311435614241124610117097',NULL,'307',26.88,1,2,1),(28,7109369,'1993-07-12 00:00:00',4,6,12,2010,'M','N','FAZENDA','ITAJAÍ','SC','124242241215472431358712575122610127042',5477,'392',61.53,1,3,NULL),(28,7109377,'1993-10-27 00:00:00',4,1,12,2011,'M','N','CENTRO','MEDIANEIRA','PR','116163166117271411558832375124610167042',2095,'9998',63.04,1,3,NULL),(28,7109407,'1993-09-01 00:00:00',2,6,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241124131431226621345121610137052',18470,'873',37.39,4,2,1),(28,7109431,'1993-10-22 00:00:00',4,1,11,2010,'F','N','AMARANTE','VIDEIRA','SC','124242241216575451458634575114610162092',NULL,'969',48.98,1,3,NULL),(28,7109440,'1992-05-22 00:00:00',4,1,12,2009,'M','N','PALMAS DO TREMEMBÉ','S PAULO','SP','125252251211572431478831571115610124047',4467,'9998',59.29,1,3,NULL),(28,7109458,'1991-05-07 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124132131215471451356832495124141164072',10661,'9998',45.43,1,3,NULL),(28,7109466,'1978-10-17 00:00:00',2,26,12,1995,'M','N','VISTA ALEGRE','CONCÓRDIA','SC','224201201436271731354643235122331248172',13396,'9998',48.41,1,3,NULL),(28,7109474,'1993-08-12 00:00:00',2,24,12,2010,'F','N','BARNABÉ','VIDAL RAMOS','SC','124241242116371431437636572124610124147',14531,'1222',38.77,1,2,1),(28,7109490,'1991-09-01 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372311438831332124613217115',NULL,'1096',20.57,1,3,NULL),(28,7109512,'1994-12-19 00:00:00',4,22,12,2011,'M','N','SAO PEDRO','BRUSQUE','SC','124244248215111731235823295122610157092',13807,'1244',47.70,1,3,NULL),(28,7109520,'1994-09-26 00:00:00',4,7,12,2011,'M','N','TOBIAS','JOAÇABA','SC','124242241215471231343627275122610121092',7687,'962',49.70,1,3,NULL),(28,7109539,'1994-07-28 00:00:00',4,17,12,2011,'M','N','CENTRO','PAPANDUVA','SC','124241241116141411436823245112610122047',NULL,'603',0.00,1,2,1),(28,7109563,'1989-10-08 00:00:00',4,1,12,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241216133431567512575112222666192',2194,'1105',62.97,1,3,NULL),(28,7109571,'1991-12-21 00:00:00',2,1,12,2008,'F','N','CENTRO','CAÇADOR','SC','124242241236272431439832575114133248097',4001,'1124',59.80,1,3,NULL),(28,7109580,'1992-04-29 00:00:00',2,1,11,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241215373411558879595114610168185',19125,'269',34.77,1,3,NULL),(28,7109598,'1995-01-06 00:00:00',4,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124244241415121731366624595112610134141',5856,'1191',54.06,1,3,NULL),(28,7109628,'1989-03-20 00:00:00',4,15,12,2006,'M','N','CENTRO','ARARANGUÁ','SC','124242245212111711448679595122143217117',5277,'32',61.89,1,3,NULL),(28,7109636,'1993-04-08 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215472441457612575114610165072',14193,'962',47.12,1,3,NULL),(28,7109644,'1961-12-03 00:00:00',2,1,12,1979,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','224242246216115441486541311122321966045',16278,'260',43.15,1,3,NULL),(28,7109652,'1989-03-17 00:00:00',2,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124241247115572411123479196334610167042',NULL,'9999',42.29,1,2,1),(28,7109660,'1994-04-25 00:00:00',2,10,12,2011,'F','N','CENTRO','IMARUÍ','SC','124241241135371431427714275124610134142',NULL,'356',28.26,1,2,1),(28,7109709,'1992-03-27 00:00:00',2,15,12,2009,'F','N','CENTRO','TRÊS CACHOEIRAS','RS','120201208227371731428879391224141068147',17717,'9998',30.73,1,3,NULL),(28,7109717,'1992-08-04 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215112731246721575112220367042',17004,'909',41.54,1,3,NULL),(28,7109725,'1994-02-04 00:00:00',2,1,12,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241445131732326414575114610161145',7803,'262',52.69,1,3,NULL),(28,7109733,'1995-05-16 00:00:00',4,4,12,2011,'M','N','SEM BAIRRO','IPUAÇU','SC','124241241116151531564436575122610123142',NULL,'372',25.25,1,3,NULL),(28,7109741,'1991-11-06 00:00:00',4,1,11,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215272431367923471112143211092',16048,'883',43.61,1,3,NULL),(28,7109776,'1991-03-05 00:00:00',4,1,12,2008,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241126151411433331345123610164172',19651,'12',31.58,1,3,NULL),(28,7109784,'1994-07-07 00:00:00',2,1,12,2011,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241115371431335634375124610147142',NULL,'733',28.10,2,2,1),(28,7109792,'1993-02-22 00:00:00',4,1,11,2011,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116162161215321731459911575122610144182',14403,'9998',35.63,1,3,NULL),(28,7109806,'1993-08-09 00:00:00',2,1,12,2010,'F','N','MATO QUEIMADO','NOVA TRENTO','SC','124241241137372431339933575124610164142',3593,'574',60.13,4,2,1),(28,7109814,'1995-11-03 00:00:00',2,1,12,2012,'F','S','CENTRO','STO AMARO IMPERATRIZ','SC','124241241111131531436414375112610112117',NULL,'772',18.40,1,3,NULL),(28,7109822,'1989-11-16 00:00:00',2,1,12,2006,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241116145731546614345124230234087',16059,'307',43.59,1,2,1),(28,7109830,'1994-09-05 00:00:00',4,15,12,2011,'F','N','RIO BRANCO','S LEOPOLDO','RS','120201208217111731458813575122610121077',15858,'9998',43.97,1,3,NULL),(28,7109849,'1993-11-02 00:00:00',2,22,12,2010,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215574431458832375122610134192',6851,'105',51.33,1,3,NULL),(28,7109857,'1994-02-09 00:00:00',4,2,11,2011,'F','N','DAS NAÇÕES','TIMBÓ','SC','124244241115131731356612575124610161142',7952,'88',49.64,1,3,NULL),(28,7109865,'1993-08-10 00:00:00',4,8,12,2010,'F','N','BAIRRO ALTO','CURITIBA','PR','116162161216471431368812571142610165192',NULL,'9998',0.00,1,3,NULL),(28,7109873,'1995-01-21 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241416372431458832275124610167052',6306,'592',51.22,1,3,NULL),(28,7109881,'1994-08-26 00:00:00',4,23,12,2011,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124241241137141431326629295121610162117',NULL,'430',21.40,1,2,1),(28,7109890,'1973-06-30 00:00:00',4,1,11,1993,'M','N','BARREIROS','S JOSÉ','SC','224134136115571421366654412132341417087',8689,'9998',55.93,1,3,NULL),(28,7109903,'1992-09-10 00:00:00',2,26,10,2009,'F','N','RIO BRANCO','PTO ALEGRE','RS','120202201217574431347731575112610134042',1507,'9998',66.19,1,3,NULL),(28,7109911,'1994-05-20 00:00:00',2,24,12,2011,'M','N','CENTRO','RIO SUL','SC','124192241217371231434419295122610137042',12451,'959',49.87,1,3,NULL),(28,7109920,'1994-10-05 00:00:00',4,4,12,2011,'M','N','CENTRO','XANXERÊ','SC','124242241217131431339931575112610127047',NULL,'1233',31.58,1,3,NULL),(28,7109938,'1992-03-04 00:00:00',2,1,12,2009,'F','N','BRÁS','S PAULO','SP','125252251115571731429611575115610168147',10331,'9998',43.38,1,3,NULL),(28,7109946,'1991-07-04 00:00:00',2,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241213575431438614575122610162157',4337,'226',57.07,1,3,NULL),(28,7109954,'1991-08-12 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117573431537631575114610165097',7957,'293',54.54,1,2,1),(28,7109962,'1994-08-11 00:00:00',4,1,12,2011,'F','N','MICHEL','CRICIÚMA','SC','124241241215111431349713575112610143192',2272,'210',62.82,1,3,NULL),(28,7109970,'1994-05-08 00:00:00',4,5,12,2011,'M','N','CENTRO','CRICIÚMA','SC','124241241117271431327824475125610167042',15916,'209',33.87,1,2,1),(28,7109989,'1994-01-13 00:00:00',4,1,11,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215112411468812425122610112192',3311,'270',61.19,1,3,NULL),(28,7109997,'1994-08-15 00:00:00',4,1,12,2011,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241241136271431436634575124610134142',NULL,'733',37.04,1,2,1),(28,7110006,'1992-11-22 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241415472412448834475114610162015',19545,'1048',32.38,4,3,NULL),(28,7110014,'1993-08-13 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116472131436913585114610134047',17737,'285',30.29,1,2,1),(28,7110022,'1994-08-30 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215112731559911472122610136096',7294,'226',49.03,1,3,NULL),(28,7110049,'1982-07-25 00:00:00',4,1,12,2000,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216155411456712225132521462043',NULL,'270',15.81,1,3,NULL),(28,7110057,'1994-05-06 00:00:00',2,1,12,2011,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124242241215112431544312574114610163097',6582,'1022',54.26,1,3,NULL),(28,7110065,'1990-08-20 00:00:00',2,27,12,2007,'M','N','JARDIM ITALIA','IPORÃ OESTE','SC','124241241116152431128843335133610122062',13280,'371',39.67,1,2,1),(28,7110073,'1994-07-26 00:00:00',4,2,12,2011,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241146163731638832245122610127147',16848,'13',32.07,1,2,1),(28,7110081,'1994-02-09 00:00:00',4,25,12,2011,'M','N','NAÇÕES','FRAIBURGO','SC','124243241147111522446923245112610117147',19968,'315',28.61,1,3,NULL),(28,7110090,'1992-08-15 00:00:00',4,2,12,2009,'F','N','GLÓRIA','BLUMENAU','SC','124241241136141711435514345124610124172',19342,'85',33.64,1,2,1),(28,7110103,'1993-08-07 00:00:00',2,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124243241212271712453313175114131217046',11626,'9997',51.13,2,3,NULL),(28,7110111,'1993-05-03 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','123242241217212731438634575112131038116',11378,'270',51.51,1,3,NULL),(28,7110138,'1993-03-02 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241216473431469933575122610124142',1452,'737',66.18,1,3,NULL),(28,7110146,'1993-03-04 00:00:00',4,3,12,2010,'M','N','CENTRO','MARINGÁ','PR','116162161235372231366815575112610167122',10234,'9998',53.34,1,3,NULL),(28,7110154,'1995-10-10 00:00:00',2,1,2,2012,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431326632575122610136197',17943,'723',39.09,1,3,NULL),(28,7110170,'1991-01-20 00:00:00',2,1,11,2007,'F','N','CIDADE ALTA','STA HELENA','PR','116162161217141411339832445223143244072',NULL,'9998',37.14,2,1,2),(28,7110189,'1993-10-29 00:00:00',4,4,12,2011,'F','N','CENTRO','CPO BOM','RS','120242201211152421236722571122610112142',4543,'9998',55.76,1,3,NULL),(28,7110197,'1993-04-16 00:00:00',4,15,11,2010,'M','N','VILA ROSA','NOVO HAMBURGO','RS','120202201215471431458812475112610134042',3137,'9998',59.77,1,3,NULL),(28,7110200,'1986-06-23 00:00:00',4,1,12,2004,'F','N','ANA LÚCIA','SABARÁ','MG','113132131216371431478612415132341024092',4295,'9998',63.80,1,3,NULL),(28,7110219,'1993-04-06 00:00:00',4,1,12,2009,'M','N','JD VIOLETAS','SINOP','MT','111113111117141431435514345121241112142',10825,'9998',42.71,4,3,NULL),(28,7110227,'1985-10-18 00:00:00',2,1,12,2002,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124162161117141431238935145122343264047',17963,'9998',39.04,1,3,NULL),(28,7110235,'1992-03-04 00:00:00',4,1,10,2009,'M','N','SÃO JOSÉ','ARACAJU','SE','126262261217472741579814575121241444146',3501,'9998',58.42,1,3,NULL),(28,7110243,'1994-07-01 00:00:00',4,1,12,2011,'M','N','JARDIN DAS PAINEIRAS','MAL CÂNDIDO RONDON','PR','116164161215111441238813572121610137092',9788,'9998',45.49,1,3,NULL),(28,7110251,'1992-12-13 00:00:00',4,1,12,2010,'F','N','BANZATO','MARÍLIA','SP','125252251215471331358836576325610161013',9267,'9998',44.09,1,3,NULL),(28,7110278,'1987-06-19 00:00:00',2,1,11,2004,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116272731423511395124610127125',17754,'281',39.61,4,2,1),(28,7110286,'1992-03-24 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241216473431346923475124610164057',3757,'541',61.30,1,3,NULL),(28,7110308,'1986-11-14 00:00:00',2,1,12,2003,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241111242421125543345234133218142',NULL,'239',24.77,1,2,1),(28,7110324,'1993-11-02 00:00:00',4,8,11,2010,'F','N','MARAPÉ','SANTOS','SP','125252251217471441659811575122610136093',3916,'9998',58.62,1,3,NULL),(28,7110332,'1993-11-21 00:00:00',4,1,12,2010,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215472411279931573124610162095',2894,'9998',61.46,1,3,NULL),(28,7110340,'1993-02-28 00:00:00',4,2,12,2010,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241146163751638832245124230428147',14527,'13',37.49,1,2,1),(28,7110359,'1993-08-11 00:00:00',4,1,12,2010,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241117271431378833436114231026181',8622,'739',56.07,1,3,NULL),(28,7110367,'1993-09-17 00:00:00',4,1,12,2010,'M','N','JARDIM PAULISTA','RIBEIRÃO PRETO','SP','125254251215371411449814475122610144057',2431,'9998',62.08,1,3,NULL),(28,7110375,'1992-11-17 00:00:00',4,1,12,2010,'M','N','JARDIM PAULISTA','RIBEIRÃO PRETO','SP','125252251216471411579811411122610164057',1133,'9998',69.08,1,3,NULL),(28,7110383,'1994-02-15 00:00:00',4,10,11,2011,'F','N','MAR GROSSO','LAGUNA','SC','124242241217131431529834575114610124072',13927,'525',37.66,1,3,NULL),(28,7110391,'1994-06-10 00:00:00',4,4,11,2011,'F','N','SANTA MARIA','CHAPECÓ','SC','124242241237111531468812572122610123145',16163,'1191',43.40,1,3,NULL),(28,7110405,'1988-09-23 00:00:00',4,8,12,2006,'M','N','COSTA E SILVA','JOINVILLE','SC','124243241316373731327634385114221467011',19143,'464',34.68,1,3,NULL),(28,7110413,'1995-09-15 00:00:00',4,1,11,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431658833575114610144062',4977,'262',56.04,1,3,NULL),(28,7110421,'1994-03-05 00:00:00',4,1,11,2011,'F','N','JARDIM ELITE','PIRACICABA','SP','125252251215111431438821575122610166197',NULL,'9998',0.00,1,3,NULL),(28,7110430,'1995-01-09 00:00:00',4,1,12,2011,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241115141421436611215124610163147',NULL,'772',20.71,1,2,1),(28,7110448,'1991-08-24 00:00:00',2,6,10,2010,'M','N','JOSÉ AMANDIO','BOMBINHAS','SC','124241248116141411323627345125610125187',16514,'96',36.10,1,3,NULL),(28,7110456,'1992-12-26 00:00:00',4,1,12,2010,'M','N','JARDIM DEL REY','POÇOS CALDAS','MG','113132131216411431478811574124610127122',NULL,'9998',45.42,1,3,NULL),(28,7110464,'1994-11-08 00:00:00',4,6,12,2011,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241217371431468812572122610162197',13422,'392',39.52,1,3,NULL),(28,7110472,'1990-09-10 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241212574431446632575124231436062',4815,'1048',58.89,1,3,NULL),(28,7110480,'1993-11-14 00:00:00',2,9,11,2011,'M','N','CENTRO','S JOAQUIM','SC','124242241216111431436914585121610127053',NULL,'511',30.85,1,3,NULL),(28,7110499,'1994-04-04 00:00:00',4,1,11,2011,'M','N','PLAZA ATHENEE','ITU','SP','125262251216121431579814575122610137092',906,'9998',70.46,1,3,NULL),(28,7110502,'1994-07-02 00:00:00',4,1,11,2011,'F','N','ARIRIÚ','PALHOÇA','SC','124242241215121431427614575124610163142',7385,'1011',51.54,1,3,NULL),(28,7110510,'1995-04-26 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431248824575122610127042',NULL,'270',53.27,1,3,NULL),(28,7110529,'1994-10-29 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241116151431325621175124610127042',8761,'739',49.76,1,2,1),(28,7110537,'1995-02-20 00:00:00',4,4,12,2011,'F','N','III PLANO','DOURADOS','MS','112122121235121431479911495122610127182',NULL,'9998',0.00,4,3,NULL),(28,7110553,'1987-10-26 00:00:00',2,10,12,2004,'M','N','CENTRO','PTO ALEGRE','RS','120201201124474441533923285124240264197',9842,'9998',53.97,4,1,1),(28,7110570,'1993-12-18 00:00:00',4,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124242241317141151526628275111610137047',18189,'1010',38.34,1,3,NULL),(28,7110588,'1990-06-09 00:00:00',4,1,12,2007,'M','N','ITARARE','S VICENTE','SP','125072071217471751288933475122143262045',2884,'9998',60.58,5,3,NULL),(28,7110600,'1993-04-28 00:00:00',4,3,12,2010,'M','N','CENTRO','CAMBORIÚ','SC','124241241111271431448932395114610142172',16206,'1043',43.32,1,2,1),(28,7110618,'1996-03-16 00:00:00',4,10,11,2012,'F','S','VILA MOEMA','TUBARÃO','SC','124241241215111451437332572124610138042',NULL,'806',55.30,1,3,NULL),(28,7110626,'1993-05-25 00:00:00',4,8,12,2010,'M','N','AGUA VERDE','CURITIBA','PR','116162161215471431589811475122610137017',2332,'9998',63.33,1,3,NULL),(28,7110634,'1994-08-17 00:00:00',2,5,12,2011,'M','N','BARRO VERMELHO','ORLEANS','SC','124244241215111431446932575112610167042',NULL,'581',0.00,1,3,NULL),(28,7110642,'1993-09-19 00:00:00',4,1,12,2011,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','124244241216111731234823575124610124057',NULL,'1175',24.49,1,3,NULL),(28,7110650,'1993-08-06 00:00:00',2,4,12,2011,'F','N','CENTRO','GUABIJU','RS','120201201126141531523336295125610168057',NULL,'9998',0.00,1,2,1),(28,7110677,'1988-03-24 00:00:00',4,1,12,2005,'F','N','SAO LUIZ','BRUSQUE','SC','124242241215575431379734592112610152122',6100,'1244',55.14,1,3,NULL),(28,7110707,'1995-02-16 00:00:00',2,1,12,2011,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241216111711343633435124610124191',18140,'724',27.78,1,3,NULL),(28,7110723,'1992-12-11 00:00:00',2,6,12,2009,'F','N','PEDRA DE AMOLAR','ILHOTA','SC','124241241125371431423311285124610121077',NULL,'355',25.10,4,2,1),(28,7110731,'1990-10-23 00:00:00',2,1,12,2007,'M','N','JARDIM TIJUCA','CPO GRANDE','MS','112121121117131431335614482124242967013',NULL,'9998',0.00,2,1,1),(28,7110740,'1993-08-25 00:00:00',4,8,12,2010,'M','N','REBOUÇAS','CURITIBA','PR','116162161215271431428852571121610167072',NULL,'9998',0.00,1,3,NULL),(28,7110758,'1992-10-30 00:00:00',4,22,12,2009,'F','N','PQ STA TEREZA','STA ISABEL','SP','125254251117571731448332176114610164087',1226,'9998',66.14,1,3,NULL),(28,7110766,'1991-08-06 00:00:00',2,1,6,2010,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241247416132751326644345134610168192',19049,'9999',30.15,1,3,NULL),(28,7110774,'1994-02-11 00:00:00',2,25,12,2011,'F','N','BERGER','CAÇADOR','SC','124242241215111431326629572122610137052',NULL,'120',27.34,1,3,NULL),(28,7110782,'1993-09-09 00:00:00',4,1,12,2010,'F','N','BOQUEIRÃO','SANTOS','SP','125252251217471411478813575122610125052',799,'9998',69.18,1,3,NULL),(28,7110790,'1990-10-15 00:00:00',2,10,12,2008,'M','N','SANTA LUZIA','TUBARÃO','SC','124241241117471451436619485123610132042',10254,'1034',44.85,1,2,1),(28,7110804,'1994-02-09 00:00:00',2,1,11,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244247215112751326514571122610148147',NULL,'1022',39.37,1,3,NULL),(28,7110812,'1991-10-16 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215471351458612275114122023172',986,'948',74.09,1,3,NULL),(28,7110820,'1989-09-23 00:00:00',2,1,12,2006,'F','N','ARIRIÚ','PALHOÇA','SC','124241241111273411433311345124610124047',NULL,'772',26.57,1,2,1),(28,7110839,'1992-10-06 00:00:00',4,10,12,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124242248216372531446812475122231464042',5140,'806',52.17,1,3,NULL),(28,7110847,'1993-05-13 00:00:00',2,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111421356414475124610134147',NULL,'1023',21.60,1,3,NULL),(28,7110855,'1995-03-31 00:00:00',2,23,12,2011,'M','N','AVAÍ','GUARAMIRIM','SC','124241241147371731446937275114610117182',9521,'335',47.61,1,2,1),(28,7110863,'1994-05-02 00:00:00',4,1,12,2011,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241126131431328821385124610164097',NULL,'274',20.28,1,2,1),(28,7110871,'1993-07-20 00:00:00',4,8,12,2010,'M','N','BOM RETIRO','JOINVILLE','SC','124242241217272431468823395124610167052',3946,'995',58.27,1,3,NULL),(28,7110880,'1992-04-25 00:00:00',2,1,12,2009,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241116272331445614475124132832047',NULL,'21',27.30,1,2,1),(28,7110901,'1994-02-11 00:00:00',4,1,12,2011,'F','N','BARRREIROS','S JOSÉ','SC','124243248115131432633419275122610134157',18082,'734',31.27,1,3,NULL),(28,7110910,'1990-04-30 00:00:00',2,1,12,2007,'M','N','PIEDADE','SALVADOR','BA','105121121116131431123614575124240966176',7052,'9998',58.74,4,2,1),(28,7110928,'1991-03-16 00:00:00',2,9,12,2008,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241216574431436833572112610138182',7547,'1146',57.88,1,3,NULL),(28,7110936,'1986-09-18 00:00:00',4,1,10,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201241116141441428444345124133244182',14490,'306',46.61,4,2,1),(28,7110944,'1995-07-21 00:00:00',2,4,12,2011,'F','N','CENTRO','ABELARDO LUZ','SC','124241241316141311239923345121610157142',NULL,'4',24.06,1,3,NULL),(28,7110952,'1994-11-11 00:00:00',2,6,12,2011,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124243241416371411238412575124610125147',NULL,'44',0.00,1,3,NULL),(28,7110960,'1993-04-19 00:00:00',4,15,12,2011,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124243241136141431646613345133610137053',20021,'29',27.77,1,3,NULL),(28,7110979,'1994-09-19 00:00:00',4,16,12,2011,'F','N','CENTRO','CURITIBANOS','SC','124242241216161431548813575122610121175',14488,'881',46.61,1,3,NULL),(28,7110987,'1993-10-11 00:00:00',4,23,12,2010,'F','N','NOVA BRASÍLIA','JARAGUÁ SUL','SC','124241241115371431536634572122610144042',20045,'425',27.36,3,2,1),(28,7111002,'1993-12-20 00:00:00',2,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241115372431534611575114610167182',NULL,'307',19.53,1,2,1),(28,7111029,'1993-08-06 00:00:00',4,1,11,2010,'F','N','PORTÃO','CURITIBA','PR','116162161235471411578632372114610126147',NULL,'9998',0.00,1,3,NULL),(28,7111037,'1993-01-26 00:00:00',4,8,12,2011,'M','N','ATIRADORES','JOINVILLE','SC','124242241217111711359931375125610126186',16870,'1063',41.83,1,3,NULL),(28,7111045,'1995-11-07 00:00:00',2,1,12,2012,'M','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217111431679924575122610112142',NULL,'738',20.39,1,3,NULL),(28,7111053,'1993-02-10 00:00:00',4,3,12,2010,'F','N','JARDIM SÃO TOMAS','LONDRINA','PR','116162161216371411338823574122610123187',1473,'9998',64.65,1,3,NULL),(28,7111061,'1993-09-25 00:00:00',2,1,12,2010,'F','N','RIO DAS ANTAS','RANCHO QUEIMADO','SC','124241241317132431526714572222610128077',16092,'17',33.54,1,3,NULL),(28,7111070,'1994-12-27 00:00:00',4,4,12,2011,'M','N','CENTRO','CHAPECÓ','SC','124243241116371431448912575121610137067',10118,'169',47.10,1,3,NULL),(28,7111088,'1993-03-14 00:00:00',4,1,12,2010,'F','N','BOSQUE','S JOSÉ CAMPOS','SP','125254251216471431558614575124610121092',6803,'9998',52.68,1,3,NULL),(28,7111096,'1993-05-30 00:00:00',4,1,12,2010,'M','N','JD PORT DAS ROSAS','LIMEIRA','SP','125202201216271721469914475111610125017',12397,'9997',49.95,1,3,NULL),(28,7111100,'1992-10-04 00:00:00',4,1,12,2009,'F','N','JD SANTA CRUZ','S PAULO','SP','125252251215571431435411375224610152077',7062,'9998',51.02,1,3,NULL),(28,7111118,'1993-02-20 00:00:00',2,1,12,2009,'F','N','JARDIM PAINERAS','APUCARANA','PR','116162161217471141447732575122610114094',NULL,'9998',24.67,1,3,NULL),(28,7111126,'1989-11-14 00:00:00',2,1,12,2007,'M','N','SÃO FRANCISCO','CURITIBA','PR','116161161116372431343315371114142647126',2350,'9998',62.54,1,2,1),(28,7111134,'1994-01-16 00:00:00',4,1,12,2010,'M','N','PINHEIROS','PATO BRANCO','PR','116162161216571431488913572124610117062',3761,'9998',60.64,1,3,NULL),(28,7111142,'1994-08-16 00:00:00',4,3,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241115371711217829575121611014097',18941,'51',35.52,1,3,NULL),(28,7111150,'1992-03-23 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241225373431543434382124610137042',2199,'262',65.02,1,3,NULL),(28,7111169,'1995-01-27 00:00:00',4,3,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217371431359934575122610124182',6238,'1086',52.88,1,3,NULL),(28,7111177,'1988-10-18 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217143431339869445124122264062',17924,'270',39.15,1,3,NULL),(28,7111193,'1990-09-16 00:00:00',4,1,12,2008,'M','N','MONTE CASTELO','S JOSÉ CAMPOS','SP','125253253211231311336614241224610112042',NULL,'9998',0.00,4,3,NULL),(28,7111207,'1994-07-07 00:00:00',2,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241215111431337724472124610133087',11231,'1023',43.95,1,3,NULL),(28,7111223,'1992-11-01 00:00:00',4,1,12,2010,'F','N','MARAMBAIA','VINHEDO','SP','125252251217472441468931595122610161072',13129,'9998',37.48,4,3,NULL),(28,7111231,'1995-02-28 00:00:00',4,9,12,2011,'F','N','CORAL','LAGES','SC','124242248215111431418611315122610154047',10327,'1207',46.27,1,3,NULL),(28,7111240,'1993-03-03 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115471431528619271124610158172',16509,'298',33.88,1,2,1),(28,7111258,'1994-10-25 00:00:00',4,1,11,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217372431469919575112610124147',2430,'951',62.35,1,3,NULL),(28,7111266,'1995-12-27 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215221441347923275122610144185',15859,'262',43.97,3,3,NULL),(28,7111274,'1994-05-18 00:00:00',4,5,12,2011,'M','N','JARDIM ANGELICA','CRICIÚMA','SC','124242241216272731558823575124610134171',8503,'230',56.26,1,3,NULL),(28,7111282,'1988-03-16 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251251216132421338712485124323054147',15180,'9998',45.26,3,3,NULL),(28,7111290,'1992-08-22 00:00:00',2,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241215472731448614575114610167047',15456,'259',36.48,1,3,NULL),(28,7111304,'1994-12-01 00:00:00',4,7,12,2011,'M','N','CIDADE JARDIM','CATANDUVAS','SC','124243241114371431439814575122610134062',15553,'161',44.62,1,3,NULL),(28,7111320,'1992-07-10 00:00:00',2,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117151431643933575224610161197',18148,'287',31.40,1,2,1),(28,7111347,'1994-11-23 00:00:00',2,1,12,2011,'F','N','ENSEADA DO BRITO','PALHOÇA','SC','124241241215131531638614571124610127072',9904,'1218',46.08,1,3,NULL),(28,7111363,'1990-10-04 00:00:00',3,1,12,2008,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124241241215573451446723272122610146147',713,'983',71.83,1,3,NULL),(28,7111371,'1988-03-20 00:00:00',2,5,12,2005,'F','N','ALTO PARANÁ','ORLEANS','SC','124241244117131531313335156224231327052',NULL,'580',11.60,1,2,1),(28,7111398,'1994-11-18 00:00:00',4,16,12,2011,'F','N','CENTRO','ABDON BATISTA','SC','124241241126111431314616285112610134052',12902,'1',41.62,1,2,1),(28,7111410,'1992-12-23 00:00:00',2,1,12,2009,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241116431421321118285114130717047',19378,'1248',33.48,1,3,NULL),(28,7111428,'1993-09-24 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217472232446714376112610164037',7832,'1168',57.41,1,3,NULL),(28,7111436,'1991-02-01 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216572411369933571122231022172',16621,'270',42.39,1,3,NULL),(28,7111444,'1992-07-18 00:00:00',4,1,11,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124142148217573431318812472114610167182',1976,'9998',65.89,1,3,NULL),(28,7111452,'1994-03-02 00:00:00',4,16,12,2011,'F','N','SÃO JOSÉ','FRAIBURGO','SC','624241241126131232223354245124610127057',NULL,'314',0.00,3,2,1),(28,7111460,'1994-05-26 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241116131331428621245114610132047',19954,'733',28.76,1,2,1),(28,7111487,'1993-09-21 00:00:00',4,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124244241115372731547514345124610146142',10788,'271',44.52,4,3,NULL),(28,7111495,'1994-06-21 00:00:00',4,1,12,2011,'F','N','VARGEM GRANDE','ÁGUAS MORNAS','SC','124241241115371431433414235124610162147',NULL,'978',16.57,1,3,NULL),(28,7111509,'1994-09-29 00:00:00',4,1,12,2011,'F','N','CIDADE UNIVERSITARIA','CAMPINAS','SP','125252251217121431479933535112610133197',4149,'9998',59.75,1,3,NULL),(28,7111517,'1993-02-05 00:00:00',4,1,11,2011,'F','N','CAMILÓPOLIS','STO ANDRÉ','SP','125252251217211532436614582122610128077',19001,'9998',35.33,1,3,NULL),(28,7111533,'1992-10-28 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241215472731646534345224610128072',15482,'868',44.73,1,3,NULL),(28,7111576,'1994-02-17 00:00:00',2,1,12,2011,'F','N','GUABIROTUBA','CURITIBA','PR','116162161236111711469923575124610165187',11224,'9998',51.74,4,3,NULL),(28,7111592,'1994-04-29 00:00:00',2,8,11,2011,'F','N','CENTRO','PALMAS','TO','127272271217111331439811572112610165012',5284,'9998',52.89,1,3,NULL),(28,7111606,'1994-09-09 00:00:00',2,1,12,2011,'F','N','MENINO DEUS','LUCAS R VERDE','MT','111112111217111431359934575122610121192',18962,'9998',35.45,1,3,NULL),(28,7111614,'1994-06-18 00:00:00',4,4,12,2011,'F','N','INDUSTRIAL','SEARA','SC','124241241137271431438831572124610163057',16037,'169',33.77,1,2,1),(28,7111622,'1990-02-20 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216274431689933375115133224117',4277,'300',56.65,1,3,NULL),(28,7111649,'1992-07-30 00:00:00',4,1,12,2009,'M','N','JARDIM ALVORADA','ESTRELA D OESTE','SP','125252251217571431438823572314142262097',71,'9998',81.25,1,3,NULL),(28,7111657,'1995-10-06 00:00:00',4,1,12,2012,'F','S','CENTRO','PALHOÇA','SC','124242241217151731459634572122610134012',NULL,'1011',55.44,1,3,NULL),(28,7111665,'1994-11-17 00:00:00',2,4,12,2011,'M','N','CENTRO','PINHALZINHO','SC','124242241217111431449911515122610167182',NULL,'1070',0.00,1,3,NULL),(28,7111681,'1993-09-04 00:00:00',4,1,11,2011,'F','N','NOVA SUIÇA','GOIÂNIA','GO','109092091215111231248921571122610136027',2823,'9998',59.52,4,3,NULL),(28,7111690,'1991-04-09 00:00:00',2,4,11,2008,'M','N','MATO ALTO','ARARANGUÁ','SC','124242241211575431538613571122610144142',3562,'27',61.29,1,3,NULL),(28,7111703,'1990-06-29 00:00:00',4,1,11,2008,'M','N','GURIRI NORTE','S MATEUS','ES','108172171237272421369913582114130734135',17893,'9998',39.22,1,3,NULL),(28,7111711,'1990-08-31 00:00:00',2,3,12,2007,'F','N','CENTRO','S LOURENÇO OESTE','SC','124242161415575731426519292324610122147',5509,'9998',56.51,1,3,NULL),(28,7111738,'1991-11-04 00:00:00',2,1,12,2009,'M','N','SAO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241217153731268813442114130234121',NULL,'272',17.80,1,3,NULL),(28,7111746,'1994-05-16 00:00:00',4,23,12,2011,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124242241215111131366632175122610123197',NULL,'1174',0.00,1,3,NULL),(28,7111754,'1994-08-12 00:00:00',4,4,12,2011,'F','N','CENTRO','S CARLOS','SC','124242241216372431459831575122610134182',12855,'1278',41.31,1,3,NULL),(28,7111762,'1987-07-08 00:00:00',4,1,12,2004,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241216135731368833385124133261097',16370,'272',42.96,1,3,NULL),(28,7111770,'1990-04-03 00:00:00',2,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','124241241116371711323315392114132014157',NULL,'308',20.16,1,2,1),(28,7111800,'1993-08-01 00:00:00',3,3,12,2011,'F','N','BOM RETIRO','CURITIBA','PR','116162161217111431468933492122610133182',900,'9998',68.35,1,3,NULL),(28,7111819,'1993-06-18 00:00:00',2,1,12,2010,'F','N','POÇO FUNDO','STO AMARO IMPERATRIZ','SC','124241241112372431433623175124610124142',13867,'772',42.23,1,2,1),(28,7111827,'1993-12-01 00:00:00',2,25,11,2011,'M','N','SANTO ANTONIO','FRAIBURGO','SC','124244248435111231536939395222610114057',NULL,'885',22.11,4,3,NULL),(28,7111835,'1993-01-07 00:00:00',4,1,12,2010,'F','N','ANCHIETA','PATO BRANCO','PR','116251161137272431524674375122610165017',NULL,'9998',27.78,1,2,1),(28,7111860,'1992-04-20 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241427472431313324372124610133142',NULL,'278',17.25,1,3,NULL),(28,7111878,'1994-03-08 00:00:00',4,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216151431589613235122610123053',NULL,'259',0.00,1,3,NULL),(28,7111894,'1994-03-30 00:00:00',4,1,11,2011,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217111431347611575122610164052',969,'272',70.75,1,3,NULL),(28,7111908,'1994-08-04 00:00:00',2,1,12,2011,'M','N','MENINO DEUS','LUCAS R VERDE','MT','111163111216111431459914575112610147042',10496,'9998',52.93,1,3,NULL),(28,7111940,'1982-06-28 00:00:00',2,1,12,2003,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224241241136572711227542225124610112052',NULL,'257',0.00,1,2,1),(28,7111959,'1989-07-17 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241115371431339622345134610114077',14572,'734',38.02,1,3,NULL),(28,7111967,'1993-09-07 00:00:00',4,7,12,2010,'M','N','CIDADE JARDIM','CATANDUVAS','SC','124241242116112411316933375122220917052',NULL,'8',14.04,1,3,NULL),(28,7112009,'1994-04-01 00:00:00',4,1,12,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241215121431346811575124610132122',6788,'270',54.12,1,3,NULL),(28,7112017,'1992-07-17 00:00:00',4,1,12,2009,'F','N','ALTO RIBEIRÃO','FLORIANÓPOLIS','SC','124241241222272431636613485114132314052',17685,'262',39.77,1,3,NULL),(28,7112033,'1994-09-05 00:00:00',4,7,11,2010,'M','N','TOBIAS','JOAÇABA','SC','124241241215111431326724575122610127142',18224,'454',38.23,1,3,NULL),(28,7112041,'1994-11-11 00:00:00',2,4,12,2011,'F','N','LINHA GRAMADINHO','S LOURENÇO OESTE','SC','124162161215111431558811575122610164092',3235,'9998',58.40,1,3,NULL),(28,7112050,'1992-11-16 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217472431669613575124610121037',13445,'1197',37.89,1,3,NULL),(28,7112068,'1994-11-11 00:00:00',4,1,12,2011,'F','N','CENTRO','S BONIFÁCIO','SC','124243241215111421548811245121610123072',NULL,'1223',26.90,1,3,NULL),(28,7112076,'1995-06-21 00:00:00',4,1,12,2012,'F','S','CENTRO','PRES VENCESLAU','SP','125252161217161731478816595122610136012',NULL,'9998',0.00,1,3,NULL),(28,7112084,'1992-03-26 00:00:00',4,3,12,2009,'F','N','CANTO GRANDE','BOMBINHAS','SC','124241243116271411436431374122610134192',3421,'1089',60.86,1,2,1),(28,7112106,'1994-04-19 00:00:00',4,15,12,2011,'F','N','SANTA CATARINA','ARARANGUÁ','SC','124241241116372431546616575122610132197',14836,'30',35.69,1,2,1),(28,7112114,'1987-11-09 00:00:00',4,1,12,2005,'M','N','JD GUAIO','SUZANO','SP','125254251211571431458811571124610166182',244,'9998',75.30,3,3,NULL),(28,7112122,'1993-09-17 00:00:00',2,5,11,2010,'F','N','SANGÃO','CRICIÚMA','SC','124243241236142431334911245125223232142',7245,'880',50.50,1,3,NULL),(28,7112130,'1985-01-25 00:00:00',2,1,12,2007,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','224173241125271411221351245124610124192',18020,'288',38.85,4,3,NULL),(28,7112149,'1993-05-03 00:00:00',2,4,12,2010,'F','N','ALVORADA','FRANCISCO BELTRÃO','PR','116164161215471731435832575122610134127',NULL,'9998',24.94,1,3,NULL),(28,7112157,'1990-12-15 00:00:00',2,1,12,2008,'M','N','POÇO FUNDO','STO AMARO IMPERATRIZ','SC','124241241216573731578913575122121566187',547,'774',72.46,1,3,NULL),(28,7112173,'1973-10-12 00:00:00',2,1,11,2005,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','224241247216131421534543132232610125147',NULL,'9999',35.99,1,3,NULL),(28,7112190,'1994-11-28 00:00:00',4,8,12,2011,'M','N','BOA VISTA','JOINVILLE','SC','124244241217111231469912422122610117181',11669,'459',51.06,1,3,NULL),(28,7112203,'1994-05-29 00:00:00',2,10,10,2011,'M','N','OFICINAS','TUBARÃO','SC','124242241215111432236417395122610137142',17869,'807',32.40,1,3,NULL),(28,7112211,'1984-12-28 00:00:00',4,4,12,2001,'F','N','MARIA GORETTI','CHAPECÓ','SC','124244241216575431669913472122320242147',3967,'185',64.52,1,3,NULL),(28,7112220,'1993-12-27 00:00:00',4,4,12,2011,'F','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124241241116151431333329575122610122147',NULL,'169',25.27,1,2,1),(28,7112238,'1995-03-02 00:00:00',4,4,12,2011,'F','N','JOÃO BATISTA TONIAL','XANXERÊ','SC','124243241136131731226629292225610164197',10890,'840',41.25,1,3,NULL),(28,7112254,'1989-06-26 00:00:00',4,1,6,2007,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124243241117574431569633385124122236187',10,'306',84.82,1,3,NULL),(28,7112270,'1993-06-10 00:00:00',2,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124242241216272731239934395114231444077',6995,'909',52.74,1,3,NULL),(28,7112300,'1990-12-12 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241248115232731223529382234610127142',18807,'307',36.06,1,2,1),(28,7112319,'1995-03-19 00:00:00',4,1,11,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242248216111211585832595122610117185',NULL,'270',43.09,1,3,NULL),(28,7112335,'1994-04-16 00:00:00',4,8,12,2011,'F','N','JARDIM VILA GALVÃO','GUARULHOS','SP','125251251217131431466632572124610124147',11335,'9998',42.43,1,3,NULL),(28,7112343,'1990-07-25 00:00:00',4,1,12,2007,'F','N','LIBERDADE','S PAULO','SP','125122121215572451469931571125610166122',301,'9998',72.61,1,3,NULL),(28,7112351,'1991-04-23 00:00:00',2,6,10,2008,'F','N','CENTRO','NAVEGANTES','SC','124242241347151731336629375124230634072',18528,'570',37.19,1,3,NULL),(28,7112360,'1966-10-16 00:00:00',2,1,12,1983,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224161168416141731263944345124342366042',NULL,'9998',0.00,1,3,NULL),(28,7112378,'1993-01-15 00:00:00',4,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215373441358814572122610167012',603,'9997',72.77,1,3,NULL),(28,7112394,'1992-03-10 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224242241216141421336653345134610124075',NULL,'1075',26.47,2,1,2),(28,7112416,'1989-03-13 00:00:00',2,1,12,2007,'F','N','CID UNIV PEDRA BRA','PALHOÇA','SC','124251251147131411423624146225133235187',NULL,'9998',24.55,2,2,1),(28,7112424,'1985-09-20 00:00:00',4,1,11,2003,'M','N','KOBRASOL','S JOSÉ','SC','124242241217113411238823385124130214112',NULL,'9997',0.00,1,3,NULL),(28,7112432,'1992-05-22 00:00:00',2,1,12,2009,'F','N','MACEDO TELES','S JOSÉ R PRETO','SP','125251251415471431448819295122610133072',10669,'9998',45.99,1,3,NULL),(28,7112459,'1992-05-25 00:00:00',4,5,12,2009,'F','N','GRAZIELA','MRO FUMAÇA','SC','124241241147131411533424245233610134172',NULL,'567',17.10,1,2,1),(28,7112467,'1994-05-27 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124211211117472431358613575114131462047',5323,'9998',55.77,2,1,1),(28,7112475,'1994-04-14 00:00:00',4,1,11,2011,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215121431458721344124610162092',1107,'270',67.23,1,3,NULL),(28,7112491,'1995-02-01 00:00:00',4,1,12,2011,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215122431459923475112610161072',635,'270',73.27,1,3,NULL),(28,7112513,'1995-01-31 00:00:00',4,1,11,2011,'M','N','ASA SUL','BRASÍLIA','DF','107242071216111431589913171122610167052',10415,'9998',44.34,1,3,NULL),(28,7112521,'1994-05-06 00:00:00',2,8,11,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241215121431369814572122610137122',7511,'1063',50.75,1,3,NULL),(28,7112530,'1993-01-03 00:00:00',4,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124241242117572431346923275122610122012',11603,'196',44.18,1,2,1),(28,7112548,'1993-12-25 00:00:00',4,1,11,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215472411346923472114610164182',4121,'1118',60.02,1,3,NULL),(28,7112556,'1994-05-15 00:00:00',4,6,12,2011,'F','N','SANTO ANTONIO','BAL PIÇARRAS','SC','124241241146371731224721375121610137057',10799,'614',44.55,1,2,1),(28,7112572,'1993-01-25 00:00:00',4,17,12,2010,'F','N','BOM JESUS','RIO NEGRO','PR','116161161116371411449933395112610137077',11481,'9998',41.93,1,2,1),(28,7112580,'1994-01-04 00:00:00',4,1,12,2010,'M','N','SAGRADA FAMÍLIA','CAXIAS SUL','RS','120203201217471431464931291124610112182',832,'9998',71.19,1,3,NULL),(28,7112610,'1993-01-19 00:00:00',4,1,12,2010,'M','N','IPIRANGA','S PAULO','SP','125252251316471731479934375114610132147',3614,'9998',58.39,1,3,NULL),(28,7112637,'1984-08-29 00:00:00',4,1,3,2002,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','224244241111575421438654292124610165031',1309,'306',68.97,1,3,NULL),(28,7112653,'1994-02-26 00:00:00',6,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241137131311557824282124610124181',18988,'295',35.36,1,3,NULL),(28,7112661,'1991-02-23 00:00:00',4,8,12,2008,'M','N','VILA IZABEL','CURITIBA','PR','116252161216471511238811573122141437062',NULL,'9998',0.00,1,3,NULL),(28,7112670,'1989-01-10 00:00:00',4,1,12,2006,'F','N','JARDIM DAS AMÉRICAS','CURITIBA','PR','116162161237131731218828245124241424092',15222,'9998',45.19,1,3,NULL),(28,7112688,'1993-02-28 00:00:00',4,9,12,2010,'F','N','VILA NOVA','LAGES','SC','124241241112271441336851495134233225182',15556,'498',44.61,1,2,1),(28,7112696,'1995-02-21 00:00:00',4,22,11,2010,'M','N','SOUZA CRUZ','BRUSQUE','SC','124242241215151431346634275122610164042',6295,'1244',54.41,1,3,NULL),(28,7112718,'1994-06-16 00:00:00',4,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124242241215111731557713294122610124142',19326,'1048',33.75,1,3,NULL),(28,7112734,'1993-04-30 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115472431328614575124610164171',11283,'287',44.33,4,2,1),(28,7112742,'1993-12-03 00:00:00',4,3,11,2010,'F','N','BIGORRILHO','CURITIBA','PR','116162161216472431489922575122610136122',4744,'9998',53.96,1,3,NULL),(28,7112750,'1987-06-23 00:00:00',4,1,12,2005,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124251251126241451433314245134230228192',15220,'9998',45.19,1,2,1),(28,7112769,'1992-10-23 00:00:00',4,1,12,2010,'M','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125254251216471411456739574112610117182',NULL,'9998',0.00,1,3,NULL),(28,7112777,'1993-10-09 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431368729572122610127113',6228,'262',53.68,1,3,NULL),(28,7112793,'1993-12-24 00:00:00',2,25,12,2011,'M','N','SÃO JOSÉ','FRAIBURGO','SC','124244241215111431356934575112610137042',3588,'885',60.67,1,3,NULL),(28,7112807,'1986-04-17 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANÓPOLIS','SC','624241241127133711325554285224122765047',NULL,'307',25.30,1,2,1),(28,7112815,'1993-07-20 00:00:00',4,15,12,2010,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124243241112132411436511415123610117047',20103,'30',26.19,1,3,NULL),(28,7112823,'1994-11-07 00:00:00',2,7,12,2011,'M','N','CENTRO','TREZE TÍLIAS','SC','124241241116371431536623585122610127142',10805,'539',44.43,1,2,1),(28,7112831,'1991-10-29 00:00:00',4,1,12,2009,'M','N','CENTRO','POLONI','SP','125252251216471442546811415122610167052',17598,'9998',29.81,1,3,NULL),(28,7112840,'1994-02-17 00:00:00',4,1,12,2011,'M','N','IPIRANGA','S JOSÉ','SC','124241241137371431624519172224610162047',10023,'734',47.49,4,2,1),(28,7112882,'1994-10-21 00:00:00',4,5,10,2011,'F','N','CENTRO','ORLEANS','SC','124242241217122411489632575112610145152',3780,'226',59.10,1,3,NULL),(28,7112890,'1994-11-19 00:00:00',4,15,11,2011,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215111431233312575122610148197',14343,'970',46.88,1,3,NULL),(28,7112912,'1991-10-04 00:00:00',4,1,12,2008,'F','N','VILA OLIVEIRA','ITAPETININGA','SP','125252251216572431456811575125610125147',2851,'9998',61.49,1,3,NULL),(28,7112920,'1992-10-30 00:00:00',4,1,7,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247212131431536619595112610132147',17104,'9999',41.25,1,3,NULL),(28,7112939,'1994-09-12 00:00:00',4,1,11,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431389914475112610122145',5820,'270',54.48,1,3,NULL),(28,7112947,'1991-06-28 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127272721527414345124610127042',17839,'274',39.36,1,3,NULL),(28,7112955,'1992-05-12 00:00:00',2,10,12,2009,'M','N','CENTRO','BRAÇO NORTE','SC','124241241116133421539819575124610167047',NULL,'100',30.79,1,2,1),(28,7112971,'1994-06-20 00:00:00',2,1,11,2011,'F','N','SÃO JOSÉ','S JOSÉ','SC','124242241215111331326322535124610124187',NULL,'1074',0.00,1,3,NULL),(28,7113005,'1993-07-29 00:00:00',2,4,12,2010,'F','N','CENTRO','ERECHIM','RS','120201201126271731326627575124610128042',13604,'9998',38.14,1,2,1),(28,7113021,'1984-06-02 00:00:00',2,1,7,2003,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243247222131732326623442124610134187',NULL,'9999',15.93,1,3,NULL),(28,7113030,'1991-02-20 00:00:00',4,1,7,2011,'M','N','MERCES','CURITIBA','PR','116162163111372411249724371124610167117',11652,'9998',51.09,1,3,NULL),(28,7113048,'1992-06-13 00:00:00',4,1,12,2009,'M','N','CENTRO','CAJOBI','SP','125251251314471411436412576112140264053',4428,'9998',56.98,4,3,NULL),(28,7113056,'1978-06-18 00:00:00',4,1,12,1999,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','224241241126154431223653485114121744043',14323,'289',46.91,1,3,NULL),(28,7113064,'1994-08-15 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112731377732275112610114126',6645,'262',50.30,1,3,NULL),(28,7113080,'1993-11-13 00:00:00',4,1,12,2010,'F','N','APARECIDA','SANTOS','SP','125254251217371412339811575124610161157',5505,'9998',56.18,1,3,NULL),(28,7113099,'1993-09-13 00:00:00',2,1,12,2011,'M','N','COLÔNIA SANTANA','S JOSÉ','SC','124242241117371441456933575114610147047',13034,'739',41.81,1,3,NULL),(28,7113110,'1994-10-22 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241217111431346823575124610121197',15245,'1197',35.68,1,3,NULL),(28,7113129,'1991-11-17 00:00:00',2,1,12,2009,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241125573511323414372124610124147',12392,'12',44.29,1,2,1),(28,7113137,'1993-04-18 00:00:00',4,3,11,2010,'M','N','REBOUÇAS','CURITIBA','PR','116112161216472431668816575124610162012',11400,'9998',44.18,1,3,NULL),(28,7113145,'1972-05-25 00:00:00',4,1,8,2004,'F','N','ROÇADO','S JOSÉ','SC','524241244126341711323443235124610124192',NULL,'9999',23.21,4,2,1),(28,7113153,'1994-11-14 00:00:00',4,2,12,2012,'F','S','TERRA BONITA','LONDRINA','PR','116162161217111441348824575122610142146',NULL,'9998',0.00,3,3,NULL),(28,7113161,'1994-07-09 00:00:00',4,1,12,2011,'M','N','IPIRANGA','S PAULO','SP','125252251217111732448831395112610124092',16853,'9998',41.86,1,3,NULL),(28,7113170,'1993-12-03 00:00:00',4,10,12,2010,'M','N','VILA ESPERANÇA','TUBARÃO','SC','124201201415472411229913175124231424082',779,'9998',72.42,1,3,NULL),(28,7113196,'1993-04-14 00:00:00',2,5,12,2010,'F','N','CENTRO','MRO FUMAÇA','SC','124242241215112431434312472312610137055',15820,'226',34.92,1,3,NULL),(28,7113226,'1993-08-19 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115472431436821595124610167187',NULL,'271',47.24,1,2,1),(28,7113242,'1993-12-06 00:00:00',4,1,12,2011,'F','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251215111431588812575122610136073',10394,'9998',45.04,1,3,NULL),(28,7113250,'1992-09-14 00:00:00',2,6,11,2009,'F','N','MACHADOS','NAVEGANTES','SC','124241241116131431531319442124133227041',12567,'1068',39.36,1,2,1),(28,7113277,'1992-12-19 00:00:00',4,1,12,2010,'F','N','MOEMA','S PAULO','SP','125252251217471431678811571124610124092',1117,'9998',69.04,1,3,NULL),(28,7113285,'1993-12-02 00:00:00',4,3,12,2011,'M','N','BRAS','S PAULO','SP','125253251216371421256624595114610162042',NULL,'9998',19.33,4,3,NULL),(28,7113293,'1994-02-16 00:00:00',2,8,12,2010,'F','N','GUANABARA','JOINVILLE','SC','124241241117371421336923572114610167187',19293,'472',33.88,2,1,1),(28,7113307,'1993-05-29 00:00:00',2,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241212271731435834342111130227067',15715,'9997',44.27,1,3,NULL),(28,7113315,'1982-04-26 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241346212711146343436334321033187',NULL,'109',0.00,1,3,NULL),(28,7113323,'1994-03-07 00:00:00',2,10,12,2011,'M','N','SANTO ANTÔNIO DE PÁD','TUBARÃO','SC','124242241215111441438923575122610127057',8937,'806',47.14,1,3,NULL),(28,7113340,'1993-11-22 00:00:00',4,1,11,2011,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215111431388831575124610164012',1655,'270',66.45,1,3,NULL),(28,7113358,'1994-06-12 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431468813392124610152142',4126,'737',59.51,1,3,NULL),(28,7113366,'1983-09-14 00:00:00',6,1,12,2007,'M','N','PALHOÇA','PALHOÇA','SC','124241241127145431323311475124610118182',NULL,'591',21.22,1,3,NULL),(28,7113374,'1946-05-13 00:00:00',2,1,7,1987,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224241241121131441436619291114610117042',NULL,'307',18.52,1,2,1),(28,7113382,'1993-01-19 00:00:00',2,15,11,2010,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124243241216111431236544245122610137052',17157,'26',41.12,1,3,NULL),(28,7113390,'1993-11-16 00:00:00',2,5,12,1993,'M','N','JARDIM SILVANA','IÇARA','SC','124242241215131411436754395124610134182',NULL,'995',31.14,1,3,NULL),(28,7113404,'1994-04-04 00:00:00',4,1,11,2011,'F','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124242241217111451447911575112610131042',6259,'270',55.33,1,3,NULL),(28,7113439,'1994-11-05 00:00:00',4,1,12,2011,'M','N','CENTRO','BIGUAÇU','SC','124242241235111641456519271111610167062',18465,'63',37.41,1,3,NULL),(28,7113447,'1962-11-14 00:00:00',4,1,12,2011,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','224241241126131231216344445123610124145',20143,'282',24.71,1,2,1),(28,7113455,'1990-06-29 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241317372431358829216124221947112',5020,'1022',62.37,4,3,NULL),(28,7113471,'1994-02-22 00:00:00',4,1,12,2011,'F','N','IV CENTENARIO','CAMPINAS','SP','125252251217371431468831575122610121057',NULL,'9998',0.00,1,3,NULL),(28,7113480,'1984-12-08 00:00:00',2,1,7,2003,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241146134431236879595124610142042',9864,'281',47.59,1,2,1),(28,7113498,'1993-11-26 00:00:00',2,4,12,2010,'F','N','CENTRO','ABELARDO LUZ','SC','124241161416411431336824585122610111172',16504,'9998',42.65,1,3,NULL),(28,7113501,'1995-03-01 00:00:00',2,15,12,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124244241216121431424834575122610163147',16802,'970',41.98,1,3,NULL),(28,7113528,'1994-09-16 00:00:00',2,1,11,2011,'F','N','ROÇADO','S JOSÉ','SC','124242241215111431648874575122610168052',7151,'723',51.78,1,3,NULL),(28,7113536,'1985-08-20 00:00:00',2,1,12,2003,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241216142421469813435122321267063',13263,'269',48.61,1,3,NULL),(28,7113544,'1994-10-16 01:00:00',4,4,12,2011,'F','N','INTERIOR','XAXIM','SC','124241246115471321453336575124610164142',12877,'196',42.69,1,2,1),(28,7113552,'1995-02-16 00:00:00',2,1,12,2011,'F','N','AFONSO PENA','S JOSÉ PINHAIS','PR','116163161117131331326624574224610162097',13428,'9998',37.15,1,3,NULL),(28,7113560,'1993-01-25 00:00:00',2,1,12,2010,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241117211431423315375224610122147',12333,'21',43.39,1,2,1),(28,7113595,'1994-05-26 00:00:00',2,1,12,2011,'F','N','CANTO','FLORIANÓPOLIS','SC','124241241117141711636621282122610124013',NULL,'257',17.68,1,2,1),(28,7113625,'1994-07-01 00:00:00',4,8,12,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241217111431489911575124610137012',NULL,'457',0.00,1,3,NULL),(28,7113633,'1995-11-10 00:00:00',4,1,11,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111131456832575122610122092',NULL,'262',15.18,1,3,NULL),(28,7113641,'1994-04-13 00:00:00',2,8,12,2011,'M','N','VILA DA GLÓRIA','S FRANCISCO SUL','SC','124243241314111431546713432124610117042',NULL,'992',0.00,1,3,NULL),(28,7113650,'1985-03-16 00:00:00',2,1,12,2002,'M','N','KOBRASOL','S JOSÉ','SC','124254251315352441279811315122331942142',12405,'9998',49.94,1,3,NULL),(28,7113668,'1986-12-22 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215132111267923225122130762055',NULL,'270',0.00,1,3,NULL),(28,7113676,'1993-05-16 00:00:00',4,8,12,2010,'F','N','VILA ALZIRA','STO ANDRÉ','SP','125252251417472431468614242124610164077',653,'9998',68.62,1,3,NULL),(28,7113684,'1992-09-03 00:00:00',4,1,12,2010,'F','N','GUANABARA','CAMPINAS','SP','125252251211411411359811371112610164182',641,'9998',71.24,1,3,NULL),(28,7113706,'1994-10-10 00:00:00',4,4,12,2011,'M','N','JARDIM SEMINÁRIO','FRANCISCO BELTRÃO','PR','116164161237471441359934285123610124122',9095,'9998',47.97,1,3,NULL),(28,7113714,'1994-09-11 00:00:00',2,4,12,2011,'M','N','CENTRO','QUEDAS IGUAÇU','PR','116162161236111431436632345122610114192',NULL,'9998',13.18,1,3,NULL),(28,7113730,'1993-12-06 00:00:00',4,8,11,2011,'M','N','NOVA BRASÍLIA','JOINVILLE','SC','124242241215471432456612575122610127055',1964,'1016',65.25,1,3,NULL),(28,7113749,'1994-03-25 00:00:00',2,10,11,2011,'M','N','CENTRO','PEDRAS GRANDES','SC','124241241215122431356711575122610122092',4416,'807',59.98,1,3,NULL),(28,7113757,'1995-04-28 00:00:00',4,1,11,2012,'F','S','INGLESES','FLORIANÓPOLIS','SC','124241241115141431535312245124610126075',NULL,'271',46.01,1,3,NULL),(28,7113765,'1993-09-22 00:00:00',4,22,12,2011,'F','N','GUARANI','BRUSQUE','SC','124244241215112431515631275122610164041',6906,'109',52.31,1,3,NULL),(28,7113773,'1990-10-19 00:00:00',2,1,12,2007,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241216574431249927475114123233187',1122,'1026',68.87,1,3,NULL),(28,7113781,'1991-10-31 00:00:00',2,1,12,2010,'M','N','CENTRO','LIMEIRA','SP','125252257237111431366632226122141167017',NULL,'9998',24.65,1,3,NULL),(28,7113803,'1994-07-20 00:00:00',2,15,12,2011,'F','N','CENTRO','BAL ARROIO SILVA','SC','124241241115131431224967592324610137147',11239,'30',44.02,1,2,1),(28,7113811,'1994-11-26 00:00:00',2,1,12,2011,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241215112431456612572114610137095',13272,'1022',39.93,1,3,NULL),(28,7113820,'1992-10-07 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241137472431235671275125130764047',2331,'430',63.70,1,3,NULL),(28,7113838,'1992-04-15 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241111573431333614575114610132117',7479,'734',51.46,1,3,NULL),(28,7113846,'1994-01-22 00:00:00',4,5,11,2011,'M','N','COMERCIARIO','CRICIÚMA','SC','124242241235111431349924595124610114087',NULL,'226',0.00,1,3,NULL),(28,7113862,'1993-12-01 00:00:00',4,4,12,2010,'M','N','CENTRO','PINHALZINHO','SC','124241241135572431369931574122610162192',1410,'616',63.30,1,2,1),(28,7113870,'1995-04-29 00:00:00',2,10,12,2011,'F','N','REALENGO','RIO JANEIRO','RJ','121212211217371431336611575222610134042',16674,'9998',42.26,3,3,NULL),(28,7113897,'1992-06-08 00:00:00',2,1,12,2009,'F','N','REAL PARK','S JOSÉ','SC','124242241215373431457612395124221418197',7471,'1022',48.84,1,3,NULL),(28,7113919,'1992-03-31 00:00:00',4,1,12,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241216473431538612244124610137112',NULL,'989',12.93,1,3,NULL),(28,7113927,'1993-09-02 00:00:00',2,1,12,2010,'F','N','CENTRO','MERIDIANO','SP','125251251215472731346811572324610134147',2559,'9998',63.26,1,3,NULL),(28,7113935,'1994-12-18 00:00:00',2,16,12,2011,'F','N','SANTO ANTONIO','FRAIBURGO','SC','124241241125161311323623571124610126057',NULL,'314',18.84,1,2,1),(28,7113943,'1994-06-11 00:00:00',2,27,12,2010,'F','N','CENTRO','S MIGUEL OESTE','SC','124241241117161431423316391124130247047',15042,'812',36.49,1,2,1),(28,7113951,'1997-05-26 00:00:00',2,1,11,2013,'M','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217151731588833375124610137045',NULL,'272',38.77,1,3,NULL),(28,7113960,'1984-09-22 00:00:00',4,1,12,2001,'M','N','FORQUILHAS','S JOSÉ','SC','124241241126144441226344445123221464047',10209,'95',53.38,2,1,1),(28,7113978,'1992-11-01 00:00:00',4,2,12,2010,'M','N','CENTRO','TAUBATÉ','SP','125252251235471731458814575114610114072',10238,'9998',44.72,1,3,NULL),(28,7113986,'1993-04-18 00:00:00',4,3,12,2010,'F','N','CENTRO','CAMBORIÚ','SC','124241248136472431258824491122610116147',NULL,'129',0.00,1,2,1),(28,7113994,'1993-12-10 00:00:00',4,1,11,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215112431336821575122610123117',11635,'270',51.11,1,3,NULL),(28,7114001,'1986-05-14 00:00:00',4,1,7,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241133155751111149151111321768196',2172,'281',65.75,1,3,NULL),(28,7114010,'1992-05-13 00:00:00',4,1,11,2009,'F','N','CONDOMÍNIO DAHMA III','S JOSÉ R PRETO','SP','125252251215572431348811476112610163147',1496,'9998',65.91,1,3,NULL),(28,7114036,'1989-05-16 00:00:00',2,8,12,2006,'M','N','CAPÃO DA IMBUIA','CURITIBA','PR','116162161216571431543923575124143227042',4226,'9998',56.87,1,3,NULL),(28,7114044,'1992-12-05 00:00:00',4,1,12,2009,'F','N','VILA DOS JEQUITIBÁS','CAMPINAS','SP','125252251217573421348914592124610133052',1176,'9998',68.51,1,3,NULL),(28,7114052,'1992-11-05 00:00:00',4,1,12,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215472431237831472124610122142',3113,'951',62.12,1,3,NULL),(28,7114060,'1993-10-28 00:00:00',2,4,12,2010,'F','N','ZONA I','UMUARAMA','PR','116162161215471441228913575123142264037',4124,'9998',54.63,1,3,NULL),(28,7114079,'1994-10-01 00:00:00',4,3,11,2011,'F','N','MORRETES','ITAPEMA','SC','124243241315471731339629576124610168182',3028,'403',59.81,1,3,NULL),(28,7114087,'1994-08-19 00:00:00',4,10,11,2011,'M','N','OFICINAS','TUBARÃO','SC','124242241215122431368612572122610164127',16169,'807',43.39,1,3,NULL),(28,7114095,'1993-05-05 00:00:00',2,4,12,2010,'F','N','CENTRO','MARAVILHA','SC','124241241116472431314779575124610133147',12983,'552',40.37,1,2,1),(28,7114109,'1991-07-03 00:00:00',4,1,12,2009,'M','N','MONTE CASTELO','S JOSÉ CAMPOS','SP','125253251215572431568813585122122367012',1568,'9998',67.72,1,3,NULL),(28,7114117,'1992-11-23 00:00:00',4,1,12,2010,'M','N','VILA MARIANA','S PAULO','SP','125252251215371431488814572112610137047',NULL,'9998',0.00,1,3,NULL),(28,7114133,'1994-06-06 00:00:00',2,10,12,2011,'F','N','LARANJEIRAS','LAGUNA','SC','124244241215111431448633575124610165147',7421,'525',49.90,1,3,NULL),(28,7114141,'1994-11-01 00:00:00',2,8,12,2011,'F','N','SANTO ANTONIO','JOINVILLE','SC','124241241215131431454824245124610133187',NULL,'1006',0.00,1,3,NULL),(28,7114176,'1994-12-17 00:00:00',4,1,12,2011,'F','N','BELA VISTA','GOIÂNIA','GO','109094091215111431468532575122610167142',NULL,'9998',0.00,4,3,NULL),(28,7114184,'1993-12-20 00:00:00',4,5,11,2011,'F','N','MICHEL','CRICIÚMA','SC','124242241215111431459812575122610147142',15365,'210',44.92,1,3,NULL),(28,7114206,'1992-02-26 00:00:00',4,8,12,2011,'M','N','ATIRADORES','JOINVILLE','SC','124242241215111422349811595125610134041',12977,'457',42.72,1,3,NULL),(28,7114214,'1994-05-15 00:00:00',2,3,12,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241215272431436431286124610127182',10655,'407',43.87,1,3,NULL),(28,7114230,'1994-03-18 00:00:00',4,1,12,2011,'F','N','JARDIM CIDADE','S JOSÉ','SC','124241248115141431324429345124610163142',NULL,'734',14.92,1,2,1),(28,7114249,'1992-10-26 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124244241216372431337632345132610138097',16479,'1048',42.69,1,3,NULL),(28,7114257,'1992-01-13 00:00:00',2,1,12,2009,'F','N','AMERICANÓPOLIS','S PAULO','SP','125252251137571431346834371114610137057',11448,'9998',51.41,1,3,NULL),(28,7114273,'1993-08-19 00:00:00',4,8,12,2011,'M','N','GLÓRIA','JOINVILLE','SC','124242241215371431449924571122610168192',13,'1063',83.35,1,3,NULL),(28,7114281,'1974-09-25 00:00:00',4,1,12,1991,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','124244241436372431243342225122330762097',673,'307',72.93,1,3,NULL),(28,7114303,'1994-06-12 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215311431469911574112610137142',5064,'270',56.12,1,3,NULL),(28,7114311,'1995-02-20 00:00:00',4,1,12,2011,'F','N','JARDIM LINDOIA','PTO ALEGRE','RS','120202201117471111337712575122610124147',12524,'9998',49.75,1,3,NULL),(28,7114320,'1993-12-01 00:00:00',2,10,11,2011,'M','N','CENTRO','TUBARÃO','SC','124243241215111231556413575122610167072',12250,'807',41.22,1,3,NULL),(28,7114338,'1995-01-31 00:00:00',4,2,12,2011,'M','N','FORTALEZA','BLUMENAU','SC','124241241216112731628738375124610134142',6836,'1018',54.93,1,3,NULL),(28,7114346,'1994-06-18 00:00:00',2,16,12,2011,'M','N','APARECIDA','ERVAL VELHO','SC','124241241111141131424933152222610148054',18899,'253',35.68,1,3,NULL),(28,7114362,'1990-05-09 00:00:00',2,1,12,2007,'F','N','AREIAS','S JOSÉ','SC','124241241146372421433379215235231917172',7218,'257',51.69,1,2,1),(28,7114370,'1985-03-08 00:00:00',4,2,12,2002,'M','N','SANTA TEREZA','BELO HORIZONTE','MG','113134131416273411147811311123223217117',1633,'9998',71.13,1,3,NULL),(28,7114397,'1994-01-09 00:00:00',4,3,12,2010,'M','N','SAO VICENTE','PARANAVAÍ','PR','116162161212222431448831575112610167062',3841,'9998',57.99,1,3,NULL),(28,7114400,'1994-05-26 00:00:00',4,6,12,2011,'F','N','MERCÊS','CURITIBA','PR','116244161215111431458814575115610164145',14229,'9998',39.30,1,3,NULL),(28,7114419,'1995-01-02 00:00:00',5,27,12,2011,'M','N','SÃO JORGE','S MIGUEL OESTE','SC','124242241216111231488912575122610127052',NULL,'751',0.00,1,3,NULL),(28,7114427,'1994-05-14 00:00:00',2,10,10,2011,'F','N','CENTRO','TREZE MAIO','SC','124244248215111431486532575112610125042',NULL,'807',27.02,1,3,NULL),(28,7114435,'1993-05-03 00:00:00',4,1,12,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241417132431246629285114121867112',17870,'1022',39.29,1,3,NULL),(28,7114451,'1956-04-29 00:00:00',5,3,12,1975,'M','N','MORUMBI','S PAULO','SP','225254254216131741458851112122341066182',11181,'9998',51.82,1,3,NULL),(28,7114460,'1994-03-28 00:00:00',2,15,12,2010,'F','N','SANTA LUZIA','CAPÃO CANOA','RS','120203201116571431466611595122610142182',13100,'9998',40.31,1,3,NULL),(28,7114478,'1994-09-15 00:00:00',4,1,11,2011,'M','N','JARDIM DA SAÚDE','S PAULO','SP','125252251217111441346732275112610164052',12470,'9998',38.93,1,3,NULL),(28,7114486,'1992-07-14 00:00:00',2,1,12,2010,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241236372431558814575114610167067',19291,'951',33.91,1,3,NULL),(28,7114494,'1993-04-03 00:00:00',4,8,11,2010,'F','N','BOA VISTA','CURITIBA','PR','116162161215471331468713572124610122097',NULL,'9998',0.00,1,3,NULL),(28,7114516,'1992-12-22 00:00:00',4,1,12,2010,'M','N','JARDIM APOLLO II','S JOSÉ CAMPOS','SP','125252251215472431469814575112610146082',321,'9998',73.20,1,3,NULL),(28,7114524,'1995-09-09 00:00:00',4,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241217111431313319575124610122025',17470,'1022',40.37,1,3,NULL),(28,7114532,'1994-06-07 00:00:00',2,1,12,2011,'F','N','PINGUIRITO','GAROPABA','SC','124241241125141751531614345125610144072',17285,'322',32.74,1,2,1),(28,7114540,'1994-05-17 00:00:00',4,1,11,2011,'M','N','NOVO MUNDO','CURITIBA','PR','116162161217111721446612575122610167067',3168,'9998',59.32,1,3,NULL),(28,7114567,'1995-02-06 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111711466712575122613216172',16179,'259',43.38,1,3,NULL),(28,7114583,'1994-09-18 00:00:00',4,2,11,2011,'F','N','GARCIA','BLUMENAU','SC','124242241217111411538811275124610123117',1459,'855',70.48,1,3,NULL),(28,7114591,'1993-02-18 00:00:00',2,1,12,2011,'F','N','AMBRÓSIO','GAROPABA','SC','124241241125141421323331345123610118142',NULL,'322',19.44,1,2,1),(28,7114605,'1994-03-30 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215132431648613571122610148052',4951,'1022',57.63,1,3,NULL),(28,7114613,'1992-06-25 00:00:00',4,1,12,2011,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','624242241211111431556879595125610148183',12292,'1133',43.04,1,3,NULL),(28,7114621,'1994-02-03 00:00:00',4,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215472411357613575124610123072',3523,'299',58.48,1,3,NULL),(28,7114630,'1994-12-14 00:00:00',2,10,12,2011,'F','N','NOSSA SRA DE FATIMA','BRAÇO NORTE','SC','124243241215112431444616575124610134142',8917,'950',49.66,1,3,NULL),(28,7114656,'1994-06-09 00:00:00',4,25,12,2011,'F','N','VILA PARAÍSO','CAÇADOR','SC','124242241215111431447831575122610165141',3066,'120',60.67,1,3,NULL),(28,7114664,'1992-05-18 00:00:00',4,1,12,2009,'F','N','BELA VISTA','PTO ALEGRE','RS','120242201211574431489913575122610124182',144,'9998',77.00,1,3,NULL),(28,7114672,'1989-11-16 00:00:00',2,6,12,2007,'M','N','SAO VINCENTE','ITAJAÍ','SC','124241241112271432548314582114610116037',NULL,'401',0.00,3,2,1),(28,7114680,'1988-04-01 00:00:00',4,2,12,2005,'M','N','MIRANDÓPOLIS','S PAULO','SP','125252251216555431568812575112243267047',NULL,'9998',0.00,1,3,NULL),(28,7114699,'1994-10-06 00:00:00',2,1,12,2011,'M','N','CENTRO','S BONIFÁCIO','SC','124241241436111431436831475124610127057',20128,'1223',25.27,1,3,NULL),(28,7114702,'1994-07-02 00:00:00',4,1,12,2011,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241115161431328823375124610128172',18938,'772',35.52,1,2,1),(28,7114710,'1992-12-14 00:00:00',2,1,12,2009,'F','N','BALNEÁRIO CAMBURIU','CAMBORIÚ','SC','125252251216111411346824175125241336092',NULL,'9998',0.00,4,3,NULL),(28,7114729,'1995-03-15 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431458614575124610136047',14135,'1198',41.55,1,3,NULL),(28,7114737,'1993-10-05 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241216272411358823575122610116151',657,'1118',73.94,1,3,NULL),(28,7114745,'1994-05-08 00:00:00',2,1,11,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215271731348614572122610163072',6363,'270',54.34,1,3,NULL),(28,7114753,'1995-11-15 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241437111411349713572124610164052',NULL,'1168',9.16,1,3,NULL),(28,7114770,'1993-11-26 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215372431639513575114610128187',11498,'1197',44.17,1,3,NULL),(28,7114796,'1993-11-14 00:00:00',4,5,11,2011,'M','N','CEARÁ','CRICIÚMA','SC','124242241215121431458914575122610168062',12437,'226',42.23,1,3,NULL),(28,7114800,'1984-04-22 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241236573431369934415112331217122',3143,'262',59.96,1,3,NULL),(28,7114818,'1994-03-03 00:00:00',4,4,12,2011,'M','N','MARIA GORETTI','CHAPECÓ','SC','124242241215151431458812575122610127042',NULL,'1191',0.00,1,3,NULL),(28,7114826,'1994-10-01 00:00:00',4,1,11,2011,'F','N','BARRA FUNDA','APUCARANA','PR','116162161216111431457834575122610168077',8704,'9998',48.62,4,3,NULL),(28,7114834,'1989-07-19 00:00:00',4,1,11,2007,'F','N','MOEMA','S PAULO','SP','125132131211571431379813435122610134192',NULL,'9998',0.00,1,3,NULL),(28,7114850,'1993-04-20 00:00:00',2,1,11,2010,'F','N','PINHEIROS','S PAULO','SP','125251251116271331654611575124610125143',NULL,'9998',33.91,1,2,1),(28,7114869,'1995-03-19 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241112271431526724572124610124142',17375,'257',33.62,4,3,NULL),(28,7114877,'1994-02-09 00:00:00',4,26,12,2011,'M','N','ZONA UM','CIANORTE','PR','116162161215111431368714575122610168182',2902,'9998',63.34,1,3,NULL),(28,7114885,'1994-01-11 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215131431458829572115610164147',6432,'1169',55.37,1,3,NULL),(28,7114915,'1991-11-21 00:00:00',4,1,12,2008,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161216471751478833575111140614042',NULL,'9998',0.00,1,3,NULL),(28,7114923,'1985-12-28 00:00:00',2,1,12,2004,'F','N','ROÇADO','S JOSÉ','SC','124201205116132421223744442124130228187',NULL,'9998',21.22,1,3,NULL),(28,7114931,'1994-12-13 00:00:00',4,1,12,2011,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241115161711333331575124610128152',NULL,'773',18.19,1,3,NULL),(28,7114940,'1992-06-12 00:00:00',4,1,12,2009,'M','N','PARQUE TAQUARAL','CAMPINAS','SP','125252251215573431469614571122610167047',540,'9998',72.32,1,3,NULL),(28,7114958,'1992-10-02 00:00:00',4,1,12,2010,'M','N','JARDIM SAMAMBAIA','BARRA BONITA','SP','125253251217471411455814574112610124051',7038,'9998',52.32,1,3,NULL),(28,7114966,'1995-07-19 00:00:00',2,10,11,2012,'F','S','DEHON','TUBARÃO','SC','624242241211111421648834575112610146072',NULL,'806',58.41,1,3,NULL),(28,7114990,'1994-02-23 00:00:00',2,1,11,2011,'M','N','CENTRO','GOIANIRA','GO','109093091217111751346533576124610168187',5102,'9998',56.03,1,3,NULL),(28,7115008,'1993-07-29 00:00:00',2,1,12,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241216131411358619575124610124047',12662,'270',40.79,1,3,NULL),(28,7115016,'1993-03-01 00:00:00',6,1,12,2010,'M','N','CENTRO','LIMEIRA','SP','125252251217471711236923575122610156112',8559,'9998',50.01,1,3,NULL),(28,7115024,'1988-03-21 00:00:00',2,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241326143411126544345124122934192',15052,'1178',45.51,1,3,NULL),(28,7115040,'1993-01-24 00:00:00',4,8,12,2010,'M','N','DEMARCHI','S BERNARDO CAMPO','SP','125253251215471431458714575124610124072',2109,'9998',64.11,1,3,NULL),(28,7115067,'1994-05-11 00:00:00',2,1,11,2011,'F','N','IPIRANGA','S JOSÉ','SC','124243241215111431656339572125610144042',NULL,'723',32.26,2,3,NULL),(28,7115075,'1992-01-14 00:00:00',4,1,12,2009,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215573431369813575124610114185',2549,'270',62.15,1,3,NULL),(28,7115083,'1993-07-17 00:00:00',1,2,12,2010,'F','N','TESTO SALTO','BLUMENAU','SC','124241241216161441428819415122610136091',14086,'624',47.28,1,3,NULL),(28,7115091,'1993-05-19 00:00:00',4,8,12,2010,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091215471431438811475122610144147',926,'9998',69.35,3,3,NULL),(28,7115105,'1994-03-25 00:00:00',4,23,12,2011,'M','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124241243212151731436634575125610117042',18791,'1061',36.12,1,3,NULL),(28,7115113,'1993-01-27 00:00:00',4,1,11,2010,'M','N','ALTO DA BOA VISTA','S PAULO','SP','125252251217462431486832575112610166046',1618,'9998',67.61,1,3,NULL),(28,7115121,'1994-02-26 00:00:00',4,1,12,2011,'M','N','JD CHAMPAGNAT','LONDRINA','PR','116162161215111431478911475112610166057',1774,'9998',62.52,1,3,NULL),(28,7115130,'1991-06-29 00:00:00',4,10,6,2009,'F','N','VILA NOVA','IMBITUBA','SC','124241241316131431326429475124610111142',NULL,'9999',16.18,1,3,NULL),(28,7115156,'1990-11-28 00:00:00',4,23,12,2009,'M','N','SANTO ANTONIO','JARAGUÁ SUL','SC','124241241146151431436633245113610142177',19885,'439',29.48,1,2,1),(28,7115199,'1993-11-24 00:00:00',4,1,11,2011,'F','N','ALPHAVILLE CRUZEIRO','GOIÂNIA','GO','109092091215111431468833572122610167122',8757,'9998',46.67,1,3,NULL),(28,7115202,'1994-04-20 00:00:00',4,1,12,2011,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251217111431279923575112610167052',5224,'9998',54.89,1,3,NULL),(28,7115210,'1994-02-25 00:00:00',4,1,12,2011,'M','N','ROÇADO','S JOSÉ','SC','124242243117371431456614372124610127042',1869,'306',65.46,1,3,NULL),(28,7115245,'1993-12-13 00:00:00',2,1,12,2011,'F','N','CAMIPINAS','S JOSÉ','SC','124242241212121431526313272122610147042',NULL,'724',21.61,1,3,NULL),(28,7115253,'1993-06-07 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431348923475125230247052',3220,'270',60.46,1,3,NULL),(28,7115261,'1990-11-15 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241145372431433314345124610128042',NULL,'283',32.15,1,2,1),(28,7115288,'1994-03-04 00:00:00',4,5,12,2011,'M','N','SÃO LUIZ','CRICIÚMA','SC','124242246215151511448634375124610167037',11280,'995',51.65,1,3,NULL),(28,7115300,'1993-12-28 00:00:00',4,8,12,2010,'F','N','VILA HAUER','CURITIBA','PR','116162161214471731548832575122610162142',10148,'9998',46.07,3,3,NULL),(28,7115318,'1995-03-13 00:00:00',2,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216111431468931575124610163011',8673,'272',48.19,1,3,NULL),(28,7115326,'1993-11-23 00:00:00',4,8,12,2010,'F','N','MEDEIROS','JUNDIAÍ','SP','125252253215371431566312575122610142196',9822,'9998',44.34,1,3,NULL),(28,7115334,'1991-07-07 00:00:00',2,23,12,2008,'M','N','CHICO DE PAULA','JARAGUÁ SUL','SC','124243241215271431323319372224610127057',10957,'442',47.85,1,3,NULL),(28,7115342,'1993-05-13 00:00:00',4,1,12,2010,'F','N','JARDIM ELIANA','ARARAQUARA','SP','125251251215471431436933575122610121192',NULL,'9998',0.00,2,1,2),(28,7115350,'1994-10-15 00:00:00',4,9,12,2011,'M','N','SANTA MONICA','LAGES','SC','124241242114131431424632275124610126177',NULL,'741',16.96,2,3,NULL),(28,7115369,'1993-12-23 00:00:00',2,1,12,2010,'F','N','FLORESTA','S JOSÉ','SC','124241241116372431443623575114133224147',8493,'267',50.51,1,2,1),(28,7115377,'1993-08-18 00:00:00',4,1,12,2011,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241345112411426624385114610112035',NULL,'300',26.91,1,3,NULL),(28,7115393,'1992-07-10 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217373411338934475114131926182',1991,'1022',63.20,1,3,NULL),(28,7115407,'1991-05-03 00:00:00',2,26,12,2009,'F','N','REDIM','CONCÓRDIA','SC','124241242116371711346614275112610136196',NULL,'196',0.00,1,2,1),(28,7115415,'1989-02-18 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241146141421124444341124610135145',18483,'179',27.28,4,2,1),(28,7115423,'1986-10-16 00:00:00',4,1,12,2004,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241216575431489823575122132634042',1962,'270',66.23,1,3,NULL),(28,7115431,'1992-04-20 00:00:00',2,15,12,2009,'M','N','NOVA DIVINÉIA','ARARANGUÁ','SC','124241248116111731426313445112610134065',NULL,'30',29.81,1,2,1),(28,7115440,'1994-07-01 00:00:00',4,1,12,2011,'M','N','LAGO SUL','LG SUL','DF','107072071217111431369834575122610124042',2741,'9998',60.21,1,3,NULL),(28,7115458,'1994-05-13 00:00:00',4,22,11,2011,'M','N','AZAMBUJA','BRUSQUE','SC','124242241215272431456832125112610164042',6826,'107',50.24,1,3,NULL),(28,7115466,'1993-04-03 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215472411446912395124610136057',1031,'1037',70.11,1,3,NULL),(28,7115474,'1993-03-08 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124242241216472431458832395122610134092',2813,'497',63.06,1,3,NULL),(28,7115482,'1995-05-02 00:00:00',2,1,12,2012,'F','S','CENTRO','GR PARÁ','SC','124242241215151731426823495124610166142',NULL,'102',32.85,1,3,NULL),(28,7115504,'1993-05-17 00:00:00',2,1,12,2010,'F','N','CENTRO','RIO VERDE','GO','109091091116421431426634575123610152187',13406,'9998',48.38,4,2,1),(28,7115520,'1991-05-14 00:00:00',2,1,12,2008,'F','N','VILA SÔNIA','S PAULO','SP','125252251216571431467824575122610114072',7,'9998',84.67,1,3,NULL),(28,7115539,'1995-04-24 00:00:00',4,5,12,2011,'M','N','VILA NOVA','IÇARA','SC','124243241115131431224923572124610112197',10489,'1005',44.76,1,3,NULL),(28,7115547,'1994-05-18 00:00:00',4,4,12,2010,'F','N','SAIC','CHAPECÓ','SC','124241241215472431346933274124610164092',NULL,'1094',15.66,1,3,NULL),(28,7115555,'1994-07-23 00:00:00',2,4,12,2011,'F','N','SÃO SEBASTIÃO','PTE SERRADA','SC','124241241116131731426614245122610124147',NULL,'629',12.21,1,2,1),(28,7115571,'1994-11-21 00:00:00',4,2,12,2011,'F','N','CENTRO','APIÚNA','SC','124242241216161711435834395112610136185',13257,'37',48.62,1,3,NULL),(28,7115580,'1995-03-19 00:00:00',4,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241215111331426814575124610137147',19776,'1022',30.45,1,3,NULL),(28,7115598,'1991-09-08 00:00:00',4,4,12,2008,'F','N','CENTRO','XANXERÊ','SC','124242241214571431358934574112610164052',9557,'836',43.82,1,3,NULL),(28,7115601,'1993-02-17 00:00:00',4,1,12,2010,'M','N','ALTO DO MANDAQUI','S PAULO','SP','125252251216471411467914572125141737052',NULL,'9998',0.00,3,3,NULL),(28,7115610,'1991-11-19 00:00:00',4,8,11,2008,'F','N','ALTO DA XV','CURITIBA','PR','116161161235574431368923471114610124052',NULL,'9998',0.00,1,3,NULL),(28,7115636,'1994-07-05 00:00:00',4,1,12,2011,'F','N','PAGANI','PALHOÇA','SC','124243241215141231548713395124610131142',16957,'989',32.33,1,3,NULL),(28,7115644,'1994-04-08 00:00:00',4,3,11,2011,'M','N','COND VILLA DO SOL','LIMEIRA','SP','125252253117151731457914575122610122096',NULL,'9998',0.00,1,3,NULL),(28,7115660,'1993-10-26 00:00:00',4,1,11,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215112431448832575124610124112',1766,'270',65.25,1,3,NULL),(28,7115679,'1993-12-21 00:00:00',4,1,11,2011,'F','N','VILA RESENDE','CAÇAPAVA','SP','125252251215111421348833575112610126097',10035,'9998',45.09,1,3,NULL),(28,7115717,'1992-07-02 00:00:00',4,1,12,2010,'F','N','CENTRO','MAIRINQUE','SP','125252251216472431469811575122610143092',1360,'9998',65.66,1,3,NULL),(28,7115725,'1991-06-17 00:00:00',2,1,11,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241115274431435614342124610164072',5191,'271',55.08,1,3,NULL),(28,7115733,'1995-07-26 00:00:00',4,1,2,2012,'F','N','PRAIA DE FORA','PALHOÇA','SC','124244241117151411366773575124610168072',9448,'739',48.12,1,3,NULL),(28,7115741,'1994-11-16 00:00:00',2,2,12,2011,'M','N','VELHA','BLUMENAU','SC','124242246217151431346812575124610117082',6689,'1018',52.72,1,3,NULL),(28,7115750,'1992-10-03 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241216372421259814375114130712182',13940,'270',47.51,1,3,NULL),(28,7115776,'1991-02-12 00:00:00',2,1,12,2008,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241116132411547619575124233231042',11289,'772',51.64,1,2,1),(28,7115784,'1992-03-20 00:00:00',4,1,12,2009,'M','N','ALPHAVILLE CRUZEIRO','GOIÂNIA','GO','109092091116371211488833575122141767122',5419,'9998',53.50,1,3,NULL),(28,7115806,'1994-01-19 00:00:00',4,8,12,2011,'M','N','GUANABARA','JOINVILLE','SC','124242241215111431479914375122610117041',10931,'861',52.23,1,3,NULL),(28,7115814,'1995-04-01 00:00:00',4,1,11,2011,'F','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251215111431479514575122610133192',4851,'9998',55.73,1,3,NULL),(28,7115822,'1990-08-21 00:00:00',4,1,11,2007,'F','N','CENTRO','CRICIÚMA','SC','124242241115575411448811575122130622182',4610,'226',57.27,1,3,NULL),(28,7115830,'1994-12-12 00:00:00',4,25,11,2011,'F','N','DOIS PINHEIROS','VIDEIRA','SC','124241241216161411528514572122610167017',14497,'829',38.97,1,3,NULL),(28,7115849,'1993-08-10 00:00:00',2,1,12,2010,'F','N','CENTRO','CURITIBA','PR','116241161116472431239923572123610124187',6183,'9998',53.47,1,3,NULL),(28,7115865,'1991-05-19 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241212573411587812175114610167055',5437,'836',56.34,1,3,NULL),(28,7115873,'1993-07-25 00:00:00',2,1,11,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124242241216272431447633475124132568147',13710,'989',38.77,1,3,NULL),(28,7115890,'1994-01-13 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241217373411376812575122130461092',4959,'270',57.75,1,3,NULL),(28,7115903,'1994-08-25 00:00:00',4,6,12,2011,'M','N','SÃO JOÃO','ITAJAÍ','SC','124242241215111431248714575122610128172',7082,'388',52.66,1,3,NULL),(28,7115911,'1994-10-08 00:00:00',2,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215112411367923475122610122092',8030,'737',48.98,1,3,NULL),(28,7115920,'1981-04-05 00:00:00',2,1,6,1999,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224201201111131431236644441114610124043',NULL,'9998',24.81,1,3,NULL),(28,7115938,'1993-08-18 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372731533624345112610127077',9305,'1022',49.44,1,3,NULL),(28,7115946,'1993-05-17 00:00:00',4,1,12,2010,'M','N','CENTRO','IMBITUBA','SC','124242241216473531556631572124610167051',1214,'807',67.06,1,3,NULL),(28,7115954,'1992-12-18 00:00:00',1,1,12,2011,'F','N','PIO X','CAXIAS SUL','RS','120202201217371431469812575122610137042',5236,'9998',56.40,1,3,NULL),(28,7115962,'1992-08-15 00:00:00',4,1,12,2009,'M','N','GLEBA FAZ PALLHANO','LONDRINA','PR','116162161217572431446834576122610142092',15036,'9998',45.55,4,3,NULL),(28,7115970,'1993-10-11 00:00:00',4,5,12,2010,'M','N','MICHEL','CRICIÚMA','SC','124243241215372411368611595122610137112',13039,'995',48.93,1,3,NULL),(28,7116020,'1992-12-29 00:00:00',4,8,11,2009,'F','N','ATIRADORES','JOINVILLE','SC','124242241215573431368933575122610146147',675,'1016',71.09,1,3,NULL),(28,7116039,'1995-11-27 00:00:00',4,1,12,2011,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241215131711526374275124610142197',NULL,'1118',26.36,1,3,NULL),(28,7116047,'1994-01-06 00:00:00',4,1,12,2011,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124162241215111431568814372112610132142',2934,'270',62.31,1,3,NULL),(28,7116055,'1995-02-15 00:00:00',2,26,12,2011,'F','N','JACOB BIEZUS','CONCÓRDIA','SC','124243241215131431538933575122610128047',7298,'1000',51.92,1,3,NULL),(28,7116063,'1994-10-04 00:00:00',4,9,11,2011,'M','N','CENTRO','LAGES','SC','124242241215111421369933575122610137092',3374,'1207',61.38,1,3,NULL),(28,7116071,'1990-06-26 00:00:00',4,8,12,2007,'F','N','PORTÃO','CURITIBA','PR','116162161215571431128829575114610124117',NULL,'9998',0.00,1,3,NULL),(28,7116080,'1992-09-10 00:00:00',2,1,12,2009,'F','N','JURERE','FLORIANÓPOLIS','SC','124241241116272512233723185124610131077',18203,'740',30.46,1,2,1),(28,7116098,'1994-05-01 00:00:00',2,1,11,2011,'F','N','SERRARIA','S JOSÉ','SC','105241058217121431436521575122610132142',12179,'9998',42.37,1,3,NULL),(28,7116101,'1994-11-26 00:00:00',2,1,12,2011,'M','N','VILA SANTA MARIA','AMERICANA','SP','125252251217111411479912345132610147187',NULL,'9998',0.00,1,3,NULL),(28,7116110,'1993-02-25 00:00:00',4,1,12,1993,'F','N','CIDADE JARDIM','UBERLÂNDIA','MG','113132131216111731449614472112610127142',11720,'9998',41.79,1,3,NULL),(28,7116128,'1993-06-16 00:00:00',2,1,12,2010,'F','N','CENTRO','S JOSÉ R PRETO','SP','125252251216471531446714575112610162147',12211,'9998',50.22,1,3,NULL),(28,7116136,'1994-02-28 00:00:00',2,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124242241217111411456332145122610117052',NULL,'1011',20.77,1,3,NULL),(28,7116144,'1992-10-27 00:00:00',4,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215372431468812575124610166182',15968,'270',43.75,1,3,NULL),(28,7116152,'1989-09-06 00:00:00',4,8,12,2006,'F','N','CENTRO','S FRANCISCO SUL','SC','124241245141131431423624332124232347184',NULL,'710',0.00,4,2,1),(28,7116160,'1979-12-02 00:00:00',2,1,11,2004,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224241247142175431336642222114121836067',13768,'9999',47.77,1,2,1),(28,7116179,'1994-11-08 00:00:00',4,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215121431488921175114610126142',364,'270',73.68,1,3,NULL),(28,7116187,'1994-03-22 00:00:00',4,25,12,2011,'M','N','INTERIOR','VIDEIRA','SC','124241241215131321446836572122610168047',9872,'829',45.95,1,3,NULL),(28,7116217,'1990-10-28 00:00:00',4,1,12,2008,'M','N','VILA MARIA','S JOSÉ CAMPOS','SP','125251251116571431235611575122143244042',5728,'9998',55.69,1,2,1),(28,7116233,'1985-05-10 00:00:00',4,8,12,2002,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241122141421443419435112231422091',18018,'483',38.86,1,3,NULL),(28,7116241,'1993-10-26 00:00:00',4,1,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215372431559934574124131928142',2369,'1063',63.37,1,3,NULL),(28,7116268,'1992-09-25 00:00:00',4,1,12,2010,'M','N','CHACARA INGLESA','S PAULO','SP','125252253117472431549834595125610167052',3630,'9998',58.16,3,3,NULL),(28,7116276,'1993-08-02 00:00:00',4,1,11,2011,'M','N','PITUBA','SALVADOR','BA','105052051215371431484812274112610114052',NULL,'9998',0.00,4,3,NULL),(28,7116284,'1994-05-19 00:00:00',4,3,12,2011,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241215111431426611575122610127052',12031,'1119',41.25,1,3,NULL),(28,7116292,'1994-04-16 00:00:00',2,5,12,2011,'F','N','BRASÍLIA','COCAL SUL','SC','124241241216131431226724575122610147112',10060,'188',47.75,1,3,NULL),(28,7116306,'1993-07-27 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215472431488812575112610124092',8169,'883',51.91,1,3,NULL),(28,7116314,'1993-01-16 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212373431446634575122610134112',NULL,'270',48.74,1,3,NULL),(28,7116322,'1994-08-20 00:00:00',2,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111731337613575124610164142',15343,'1023',38.84,1,3,NULL),(28,7116330,'1992-02-28 00:00:00',2,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241111272431458813435114231922047',7858,'271',50.84,1,3,NULL),(28,7116349,'1994-05-01 00:00:00',2,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431526762575112610131017',NULL,'1168',29.85,1,3,NULL),(28,7116365,'1992-02-18 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','125242241116372431336313575114610124047',18204,'732',29.33,1,3,NULL),(28,7116381,'1994-10-09 00:00:00',4,5,11,2011,'M','N','RAICHASKI','IÇARA','SC','124241243212111412559913575112610144141',14452,'995',46.66,1,3,NULL),(28,7116390,'1994-01-21 00:00:00',2,2,12,2010,'F','N','SANTA ROSA','PTO UNIÃO','SC','124242241215472431437934572125610122017',NULL,'632',35.90,1,3,NULL),(28,7116403,'1994-07-28 00:00:00',4,1,12,2011,'F','N','CENTRO','S JOSÉ CAMPOS','SP','125252251215121431478814375122610136142',10104,'9998',44.49,1,3,NULL),(28,7116411,'1993-03-25 00:00:00',4,6,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215471731368912595122610162097',4549,'392',58.17,1,3,NULL),(28,7116420,'1993-09-20 00:00:00',4,1,11,2011,'F','N','JURERE','FLORIANÓPOLIS','SC','124242241215111431448832575114610123145',13023,'270',45.69,3,3,NULL),(28,7116438,'1994-12-21 00:00:00',4,1,12,2011,'M','N','CENTRO','BRASÓPOLIS','MG','113132131237111431485921572115610144193',2317,'9998',63.16,1,3,NULL),(28,7116446,'1993-10-07 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241216112232368413395112610167182',7284,'1118',52.82,1,3,NULL),(28,7116454,'1970-02-15 00:00:00',4,1,12,1996,'F','N','BARREIROS','S JOSÉ','SC','224241241126135721233451215124330264147',15333,'295',35.31,1,3,NULL),(28,7116462,'1986-09-16 00:00:00',5,4,12,2003,'M','N','MADALOZZO','CEL VIVIDA','PR','116161161216111421336612251222340327091',10085,'9998',45.73,1,3,NULL),(28,7116470,'1994-07-05 00:00:00',2,5,11,2011,'F','N','CENTRO','SIDERÓPOLIS','SC','124243241215112431333634575124610131182',3097,'226',62.74,1,3,NULL),(28,7116489,'1992-07-06 00:00:00',4,1,12,2009,'F','N','CENTRO','CASCAVEL','PR','116162161216572441368814575324610162092',700,'9998',70.93,1,3,NULL),(28,7116497,'1995-06-10 00:00:00',2,1,12,2011,'M','N','CENTRO','IMBITUBA','SC','124242241216121531556631575124610164071',6821,'807',51.90,1,3,NULL),(28,7116500,'1994-02-10 00:00:00',4,1,12,2011,'M','N','OESTE','GOIÂNIA','GO','109092091215111431589911575112610162012',9947,'9998',44.40,4,3,NULL),(28,7116519,'1981-07-31 00:00:00',4,15,12,1998,'M','N','CENTRO HISTÓRICO','PTO ALEGRE','RS','120202201216371421228823275122341167097',NULL,'9998',20.17,1,3,NULL),(28,7116527,'1994-05-27 00:00:00',2,1,12,2011,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241115142431335827575124610133145',4501,'267',55.76,1,2,1),(28,7116535,'1993-12-17 00:00:00',2,1,11,2011,'M','N','ALTO DA GLORIA','GOIÂNIA','GO','109094091217111731328831575112610134093',6286,'9998',54.25,1,3,NULL),(28,7116543,'1993-06-17 00:00:00',4,1,7,2011,'F','N','ARIRIÚ','PALHOÇA','SC','124243241115372431436953575124610132092',4628,'739',60.41,1,3,NULL),(28,7116551,'1991-08-06 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S JOSÉ','SC','124242241215472431339814285123220862127',2222,'723',65.41,1,3,NULL),(28,7116560,'1994-09-21 00:00:00',4,1,12,2011,'M','N','ZONA RURAL','FAXINAL GUEDES','SC','124241241117161431332614275114610166197',13413,'1196',48.37,1,3,NULL),(28,7116578,'1993-09-15 00:00:00',2,10,12,2011,'F','N','MAR GROSSO','LAGUNA','SC','124242241225131431446634575124610134157',NULL,'524',18.37,1,3,NULL),(28,7116586,'1993-02-13 00:00:00',4,1,11,2010,'M','N','CENTRO','BRAGANÇA PAULISTA','SP','125252251216471431337919592122610167041',15440,'9998',34.83,1,3,NULL),(28,7116594,'1994-07-16 00:00:00',4,5,11,2011,'M','N','JARDIM SILVANA','IÇARA','SC','124242246217271431448912295122610117042',14896,'995',35.96,1,3,NULL),(28,7116608,'1994-07-19 00:00:00',2,1,12,2011,'F','N','BOTAFOGO','RIO JANEIRO','RJ','121252211216471431459614575121610146042',4063,'9998',57.73,1,3,NULL),(28,7116616,'1994-07-31 00:00:00',4,25,12,2011,'F','N','UNIVERSITARIO','VIDEIRA','SC','124242241215151431349933575122610163042',8706,'829',47.41,1,3,NULL),(28,7116624,'1993-07-19 00:00:00',4,1,12,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215472431467813575112610162197',NULL,'1168',44.28,1,3,NULL),(28,7116632,'1992-05-13 00:00:00',2,1,11,2009,'F','N','JARDIM SANTA MARINA','S JOSÉ R PARDO','SP','125252251236172231449934575122610122077',8382,'9998',49.53,1,3,NULL),(28,7116659,'1995-03-17 00:00:00',4,5,11,2012,'F','S','CENTRO','NOVA VENEZA','SC','124244241215111751456932372122610134112',NULL,'213',36.52,1,3,NULL),(28,7116667,'1996-07-14 00:00:00',4,1,12,2012,'F','S','ARMAÇÃO','FLORIANÓPOLIS','SC','124243241215151432366412575124610134052',NULL,'1023',18.07,1,3,NULL),(28,7116675,'1993-12-14 00:00:00',2,1,12,2010,'M','N','IPIRANGA','S JOSÉ','SC','124242241217112431346923575124121437187',9785,'1118',51.33,1,3,NULL),(28,7116683,'1994-10-09 00:00:00',4,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241315111431333319375124610144142',NULL,'1022',16.05,1,3,NULL),(28,7116691,'1993-11-20 00:00:00',4,10,11,2011,'M','N','MAR GROSSO','LAGUNA','SC','124242241211111431468831275122610164142',150,'807',78.91,1,3,NULL),(28,7116705,'1991-04-11 00:00:00',4,1,12,2011,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242246117371451458923371124610166187',4288,'306',57.12,1,3,NULL),(28,7116713,'1993-10-24 00:00:00',4,1,12,2010,'M','N','BELA VISTA','PALHOÇA','SC','124242241237132131326514475114610162182',10653,'939',44.06,1,3,NULL),(28,7116730,'1993-08-19 00:00:00',2,1,12,2010,'F','N','IPORANGA','SOROCABA','SP','125252251216311731439814582124240621092',NULL,'9998',0.00,1,3,NULL),(28,7116748,'1994-05-28 00:00:00',2,1,12,2011,'M','N','JARDIM IMPERADOR','PEREIRA BARRETO','SP','125252251215111431468934572122610142172',NULL,'9998',0.00,1,3,NULL),(28,7116764,'1992-06-20 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241115573411476814575114233226187',3394,'267',61.77,1,2,1),(28,7116772,'1993-05-12 00:00:00',2,1,12,2010,'M','N','ALTO ARIRIU','PALHOÇA','SC','124241241116151431423414395124610128187',NULL,'772',0.00,1,3,NULL),(28,7116799,'1993-04-24 00:00:00',4,5,12,2010,'F','N','FIGUEIRA','URUSSANGA','SC','124243246215371431346914345124610127072',5849,'188',51.69,1,3,NULL),(28,7116802,'1995-04-13 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124244241215371431458933575112610162187',7660,'226',50.12,1,3,NULL),(28,7116810,'1994-08-11 00:00:00',2,10,10,2011,'F','N','CENTRO','BRAÇO NORTE','SC','124242241215122431556612575124610137042',NULL,'807',16.29,1,3,NULL),(28,7116829,'1977-08-12 00:00:00',2,1,12,1995,'M','N','SERRARIA','S JOSÉ','SC','224201201126275431223348185124121712197',2911,'9998',61.73,4,2,1),(28,7116837,'1990-03-18 00:00:00',2,9,12,2007,'F','N','CENTRO','LAGES','SC','124241241116374411236923375124133267047',5090,'512',57.17,1,2,1),(28,7116845,'1991-04-10 00:00:00',4,1,11,2008,'M','N','CENTRO','XAXIM','SC','124241241215373431449313372124141427042',5548,'1021',55.15,1,3,NULL),(28,7116853,'1993-12-13 00:00:00',4,1,11,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217111411588613595112610166052',4510,'1051',57.09,1,3,NULL),(28,7116861,'1992-03-24 00:00:00',2,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217272431428614575124222664122',NULL,'1016',0.00,1,3,NULL),(28,7116888,'1992-02-03 00:00:00',4,1,12,2009,'M','N','VILA CARRÃO','S PAULO','SP','125252251215571431468813571114610162012',583,'9998',72.13,1,3,NULL),(28,7116900,'1994-09-16 00:00:00',4,10,11,2011,'M','N','CENTRO','BRAÇO NORTE','SC','624242248215121421436612195124610127112',NULL,'807',0.00,1,3,NULL),(28,7116918,'1993-09-18 00:00:00',4,3,12,2010,'F','N','JARDIM NOVO BONGIOVA','PRES PRUDENTE','SP','125252251217471431346915595112640122147',NULL,'9998',0.00,1,3,NULL),(28,7116926,'1994-12-21 00:00:00',4,1,12,2011,'F','N','PRAIA DA PINHEIRA','PALHOÇA','SC','624244241215131731336933575114610127077',NULL,'989',28.85,1,3,NULL),(28,7116942,'1991-08-07 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124241241115141231425111372124610121182',NULL,'734',22.45,1,2,1),(28,7116950,'1992-07-21 00:00:00',4,1,12,2009,'M','N','CENTRO','BIGUAÇU','SC','124242241215473741366723375114610164092',6769,'63',52.70,1,3,NULL),(28,7116969,'1994-07-24 00:00:00',4,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124131241215131431438619575124610134072',6744,'1048',53.31,1,3,NULL),(28,7116977,'1994-02-24 00:00:00',4,1,12,2011,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215111431449823575122610164052',2907,'723',62.06,1,3,NULL),(28,7116985,'1994-03-15 00:00:00',2,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215271411579814572122610136142',10215,'1038',44.41,1,3,NULL),(28,7116993,'1994-05-20 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241315131431425624272124610123147',19897,'300',29.38,1,3,NULL),(28,7117000,'1996-04-22 00:00:00',2,7,12,2013,'F','S','INTERIOR','CAPINZAL','SC','124241241117131731424415576324610168187',NULL,'1190',36.95,1,3,NULL),(28,7117019,'1993-02-20 00:00:00',4,5,7,2011,'M','N','ROÇADO','S JOSÉ','SC','124241243217151421426412445124610162172',2438,'995',60.49,1,3,NULL),(28,7117027,'1996-02-26 00:00:00',4,15,12,2011,'F','N','ALTO FELIZ','ARARANGUÁ','SC','124242241215111431344511575122610122152',8246,'26',48.65,1,3,NULL),(28,7117035,'1994-04-02 00:00:00',4,1,12,2011,'M','N','BARÃO GERALDO','CAMPINAS','SP','125252251215111531479934575122610167057',NULL,'9998',0.00,1,3,NULL),(28,7117051,'1992-06-16 00:00:00',4,3,12,2009,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241115472431439923495122610136147',8943,'49',48.02,1,2,1),(28,7117060,'1994-09-20 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431426614575124610124053',17783,'1022',28.91,1,3,NULL),(28,7117078,'1994-07-09 00:00:00',4,1,12,2011,'F','N','BELA MARINA','CUIABÁ','MT','111112111216111231679933575112610114042',NULL,'9998',0.00,4,3,NULL),(28,7117086,'1994-02-18 00:00:00',4,8,10,2011,'M','N','CENTRO','JOINVILLE','SC','124242241215271431559811415122610162052',1776,'457',66.33,1,3,NULL),(28,7117094,'1994-07-09 00:00:00',2,22,11,2011,'M','N','SÃO PEDRO','GUABIRUBA','SC','124241241215131731546912385125610124142',9863,'1090',48.32,1,3,NULL),(28,7117108,'1994-09-02 00:00:00',4,8,12,2011,'M','N','JARDIM IRIRIÚ','JOINVILLE','SC','124242241214112431446811232122610137051',1101,'462',67.02,1,3,NULL),(28,7117116,'1991-12-12 00:00:00',4,1,11,2010,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241216372431459613574124610136057',14775,'1022',38.20,1,3,NULL),(28,7117132,'1994-05-31 00:00:00',4,9,12,2011,'F','N','CENTRO','ANTÔNIO PRADO','RS','120201201116151431436933575122610147092',9574,'9998',47.69,1,2,1),(28,7117140,'1994-10-08 00:00:00',4,2,12,2011,'M','N','VILA NOVA','BLUMENAU','SC','124242241215121431449912575124610127042',6971,'855',52.55,1,3,NULL),(28,7117159,'1994-05-12 00:00:00',4,1,12,2011,'F','N','JD SANTA CATARINA','BIGUAÇU','SC','124241243116271431546933575124610166047',4301,'306',56.81,1,2,1),(28,7117167,'1993-04-26 00:00:00',4,1,12,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124242241237472431456923575124610124072',18281,'989',30.43,1,3,NULL),(28,7117175,'1989-03-08 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124212248347131411321729381121610136187',NULL,'9998',35.53,1,3,NULL),(28,7117183,'1993-04-06 00:00:00',4,1,12,2010,'F','N','MOEMA','S PAULO','SP','125252251237471231539869595114610123027',5467,'9998',53.31,1,3,NULL),(28,7117205,'1994-12-14 00:00:00',2,1,12,2011,'F','N','CENTRO','BIGUAÇU','SC','124241241215112411436622575124610144182',4858,'1022',58.77,1,3,NULL),(28,7117213,'1993-05-15 00:00:00',4,1,12,2010,'M','N','CENTRO','CARAGUATATUBA','SP','125272271217471431149931575112610165077',446,'9998',72.71,1,3,NULL),(28,7117230,'1994-03-29 00:00:00',4,1,12,2011,'M','N','FLORESTA','S JOSÉ','SC','124241241215111131437611572122610164042',9142,'1118',46.19,1,3,NULL),(28,7117248,'1992-11-26 00:00:00',4,1,12,2011,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215111432238521572124610167142',10846,'1048',43.34,1,3,NULL),(28,7117256,'1994-12-28 00:00:00',4,1,12,2011,'F','N','CENTRO','CPO GRANDE','MS','112122121217111511379913275122610164016',NULL,'9998',0.00,1,3,NULL),(28,7117264,'1995-01-09 00:00:00',4,8,11,2011,'M','N','BATEL','CURITIBA','PR','116162161215121432588833575114610117067',NULL,'9998',0.00,1,3,NULL),(28,7117272,'1995-04-06 00:00:00',4,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241216131431448834344124610123092',NULL,'1022',31.72,1,3,NULL),(28,7117280,'1993-10-17 01:00:00',4,7,12,2010,'F','N','CAETANO BRANCO','JOAÇABA','SC','124241241147141731423324146124230117057',NULL,'539',9.97,1,2,1),(28,7117299,'1989-12-31 00:00:00',4,1,12,2006,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241316373451239614345124231964022',7438,'733',49.57,1,3,NULL),(28,7117310,'1994-04-07 00:00:00',4,4,12,2010,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124242241216371431336632575114233226097',13494,'185',48.26,1,3,NULL),(28,7117337,'1985-03-26 00:00:00',4,1,12,2002,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241217135331237614485124320662097',8789,'270',55.78,3,3,NULL),(28,7117345,'1993-08-21 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472431568632345114130247062',1199,'1119',69.22,1,3,NULL),(28,7117361,'1992-03-28 00:00:00',4,1,12,2009,'F','N','TAGUATINGA SUL','TAGUATINGA','DF','107072071217571731489614575122610161096',1839,'9998',66.33,1,3,NULL),(28,7117370,'1989-10-29 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117272431329614482114610168147',19491,'307',32.76,1,2,1),(28,7117388,'1994-09-26 00:00:00',4,1,12,2011,'M','N','CENTRO','RIO CLARO','SP','125252251217111431269814472112610127046',11124,'9998',43.23,1,3,NULL),(28,7117396,'1992-10-31 00:00:00',4,1,12,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241215152712539813575122121764043',8524,'1133',56.22,1,3,NULL),(28,7117400,'1995-04-27 00:00:00',4,1,12,2011,'F','N','PASSA VINTE','PALHOÇA','SC','124242246215111231438812245122610125142',18596,'989',28.38,1,3,NULL),(28,7117418,'1994-07-01 00:00:00',4,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124241241117151732426823435124610164142',16430,'732',42.82,1,2,1),(28,7117426,'1995-01-05 00:00:00',2,1,12,2011,'F','N','CENTRO','GRAVATAL','SC','124241241112131431426614572124610134057',NULL,'331',0.00,1,2,1),(28,7117434,'1993-07-22 00:00:00',4,1,12,2010,'M','N','SONHO NOSSO I','BARRA BONITA','SP','125252251215472431338834575112610117122',10293,'9998',43.90,1,3,NULL),(28,7117442,'1994-05-01 00:00:00',2,15,12,2011,'M','N','CENTRO','ARARANGUÁ','SC','124242241216272731466912575125610167117',NULL,'970',0.00,1,3,NULL),(28,7117450,'1993-12-05 00:00:00',4,1,12,2011,'F','N','CENTRO','S MANUEL','SP','125252251217111431458831575112610123092',NULL,'9998',0.00,1,3,NULL),(28,7117469,'1993-10-07 00:00:00',4,5,11,2010,'F','N','MARELI','IÇARA','SC','124241241116371431336434315112610142031',5682,'1005',54.55,1,2,1),(28,7117477,'1994-03-07 00:00:00',4,1,12,2011,'F','N','STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC','124241241115371751423314275114610164052',13942,'978',39.57,1,2,1),(28,7117493,'1994-01-24 00:00:00',2,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241115271431324423575124610146142',8725,'271',55.88,4,2,1),(28,7117507,'1991-11-11 00:00:00',2,1,12,2009,'F','N','JARDIM CHAPADÃO','CAMPINAS','SP','125252251216471431358811372112142234197',NULL,'9998',0.00,1,3,NULL),(28,7117515,'1994-09-03 00:00:00',4,5,11,2011,'M','N','LOTE SEIS','CRICIÚMA','SC','124241241415111411349933575125610117112',7350,'226',50.82,1,3,NULL),(28,7117531,'1995-04-25 00:00:00',4,1,12,2011,'M','N','CENTRO','TIJUCAS','SC','124242246215111431438611575122610126182',13278,'1119',40.60,1,3,NULL),(28,7117540,'1995-09-06 00:00:00',4,10,11,2012,'F','S','OFICINAS','TUBARÃO','SC','124242244217371131446939575122610118146',NULL,'807',44.19,1,3,NULL),(28,7117558,'1991-10-23 00:00:00',4,1,12,2009,'M','N','JARDIM ELDORADO','ARARAQUARA','SP','125252251217371431348831575114610167117',1022,'9998',70.13,1,3,NULL),(28,7117566,'1994-03-04 00:00:00',4,1,10,2011,'M','N','JARDINS VIENA','APARECIDA GOIÂNIA','GO','109092091216111221658816395122610114047',563,'9998',73.43,1,3,NULL),(28,7117574,'1991-08-15 00:00:00',2,1,12,2009,'F','N','SERTÃO','STO AMARO IMPERATRIZ','SC','124241241116473731429611575114610134092',13917,'772',39.68,2,1,1),(28,7117582,'1993-03-16 00:00:00',4,1,12,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127151431426514335224610138177',19630,'283',31.75,1,3,NULL),(28,7117604,'1994-03-24 00:00:00',4,7,11,2011,'F','N','PANAZZOLO','VIDEIRA','SC','124241241216131431236923575125610166011',NULL,'829',35.06,1,3,NULL),(28,7117612,'1994-04-15 00:00:00',4,1,12,2011,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091215121431468913572122610124142',12193,'9998',40.43,1,3,NULL),(28,7117620,'1982-01-24 00:00:00',4,23,12,1999,'F','N','EMBARÉ','SANTOS','SP','225251251116471431468813285124342862187',207,'9998',77.71,1,2,1),(28,7117639,'1993-10-20 00:00:00',4,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241216272431424819572114610132142',17629,'1133',39.93,1,3,NULL),(28,7117647,'1994-03-10 00:00:00',2,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241235111431324734345124610117042',NULL,'1010',23.16,1,3,NULL),(28,7117671,'1994-09-12 00:00:00',4,8,12,2011,'F','N','VILA AMÉRICA','S PAULO','SP','125252251216111431339814575122610117122',3149,'9998',61.40,1,3,NULL),(28,7117680,'1993-11-11 00:00:00',2,2,12,2011,'M','N','ARAPONGUINHAS','TIMBÓ','SC','124241241145131431523411345123610134052',NULL,'787',0.00,1,3,NULL),(28,7117698,'1993-08-14 00:00:00',2,4,12,2010,'M','N','TRIÂNGULO','ERECHIM','RS','120201201126472431546831271125610167057',6274,'9998',55.31,1,2,1),(28,7117701,'1994-07-12 00:00:00',4,1,12,2011,'M','N','PEDRO LUDOVICO','GOIÂNIA','GO','109092091215111211469832372112610134037',374,'9998',76.18,4,3,NULL),(28,7117710,'1993-09-21 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215272431138711575111610167062',3955,'1038',58.21,1,3,NULL),(28,7117728,'1994-10-26 00:00:00',2,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241216111411248923575125610122042',NULL,'1077',27.69,1,3,NULL),(28,7117736,'1992-05-14 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431567921335114610127052',6172,'262',55.65,1,3,NULL),(28,7117744,'1994-05-04 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216211431458839375122610133052',NULL,'262',38.75,1,3,NULL),(28,7117760,'1994-04-03 00:00:00',4,4,12,2011,'F','N','SANTO ANTONIO','CHAPECÓ','SC','124242241215111431456834575112610122092',1270,'1191',67.36,1,3,NULL),(28,7117779,'1994-05-12 00:00:00',2,1,12,2011,'M','N','PASSA VINTE','PALHOÇA','SC','124241241115111431536614575124610137042',10360,'592',44.26,1,2,1),(28,7117795,'1994-11-16 00:00:00',2,7,12,2011,'M','N','VILA PEDRINI','JOAÇABA','SC','124244248215271411468933195121610164097',15886,'454',43.92,1,3,NULL),(28,7117809,'1994-02-22 00:00:00',2,1,11,2011,'M','N','INTERIOR','FRAIBURGO','SC','124242241215121431486615575122610167182',NULL,'1038',24.71,1,3,NULL),(28,7117825,'1995-08-15 00:00:00',4,10,12,2012,'M','S','CENTRO','GR PARÁ','SC','124241241127141752446933245121610127042',NULL,'330',50.35,1,3,NULL),(28,7117876,'1992-06-23 00:00:00',4,16,12,2011,'M','N','APARECIDA','CURITIBANOS','SC','124241247335172431536614242122610117065',NULL,'237',16.35,1,3,NULL),(28,7117884,'1994-08-17 00:00:00',4,1,12,2011,'F','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112122121215371431368812325122610124072',NULL,'9998',25.45,1,3,NULL),(28,7117892,'1993-09-22 00:00:00',4,1,12,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241216372431449724575125610117011',5581,'1061',56.29,1,3,NULL),(28,7117906,'1994-07-28 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151431279823395115610164192',7064,'1169',49.51,1,3,NULL),(28,7117914,'1994-06-10 00:00:00',4,1,12,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215372431369814575124610144013',9341,'270',47.11,1,3,NULL),(28,7117922,'1994-12-31 00:00:00',4,1,12,2011,'F','N','PINHEIRA','PALHOÇA','SC','124243241215111431458412575124610121192',6174,'1011',53.61,1,3,NULL),(28,7117949,'1994-12-16 00:00:00',4,1,12,2011,'F','N','SANTA CATARINA','BIGUAÇU','SC','124241241115131431423316472124610114073',NULL,'21',19.59,1,2,1),(28,7117957,'1994-06-24 00:00:00',4,4,12,2011,'F','N','CENTRO','MARAU','RS','120203201217151411336639594124610128077',8990,'9998',48.93,1,3,NULL),(28,7117965,'1994-03-08 00:00:00',4,1,12,2011,'M','N','VILA ÍRIS','S BERNARDO CAMPO','SP','125254251217171731537711575122610127017',13211,'9998',39.71,1,3,NULL),(28,7117973,'1995-01-05 00:00:00',2,6,11,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124164241215371411388813275124610134012',7223,'403',51.11,1,3,NULL),(28,7117981,'1994-06-04 00:00:00',4,5,12,2011,'F','N','SÃO LUIZ','CRICIÚMA','SC','124242241215111431335814245124610124097',10261,'210',45.40,1,3,NULL),(28,7117990,'1994-03-05 00:00:00',4,7,11,2011,'M','N','ZONA QUATRO','MARINGÁ','PR','116162161217111431369923575122610114097',6958,'9998',49.31,1,3,NULL),(28,7118015,'1995-09-07 00:00:00',4,26,12,2011,'F','N','PAULO MACHADO','HORIZONTINA','RS','120203201216131431325334575114610162183',NULL,'9998',0.00,1,3,NULL),(28,7118023,'1991-03-19 00:00:00',4,1,10,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124252241216472431429969575124610113087',NULL,'1169',0.00,1,3,NULL),(28,7118031,'1993-11-07 00:00:00',2,8,11,2011,'F','N','GUANABARA','JOINVILLE','SC','124243241215111731559814196112610143192',7578,'461',49.51,1,3,NULL),(28,7118040,'1992-05-18 00:00:00',4,1,12,2010,'F','N','ALTO DE PINHEIROS','S PAULO','SP','125252251217471431266722273124610137077',8998,'9998',47.46,1,3,NULL),(28,7118058,'1991-09-25 00:00:00',4,1,12,2009,'F','N','CONDOMÍNIO GLEBA UM','MAIRIPORÃ','SP','125252251215572331358833371125610164042',4406,'9998',63.59,1,3,NULL),(28,7118066,'1993-06-13 00:00:00',4,1,12,2010,'F','N','GLEBA PALHANO','LONDRINA','PR','116162161237471431349923575122610142142',6092,'9998',54.40,1,3,NULL),(28,7118074,'1994-01-05 00:00:00',4,8,12,2011,'M','N','VILA IZABEL','CURITIBA','PR','116162161216472431468734571124610134012',849,'9998',68.75,3,3,NULL),(28,7118082,'1991-11-02 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252251216572411458754575114610142011',11105,'9998',44.50,1,3,NULL),(28,7118090,'1983-04-23 00:00:00',4,1,12,2000,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124251251114141421224444242234610117047',18524,'9998',37.22,2,2,1),(28,7118104,'1994-10-21 00:00:00',4,1,12,2011,'M','N','BUENO','GOIÂNIA','GO','109092091217211231348914575112610127042',3460,'9998',60.88,1,3,NULL),(28,7118112,'1992-08-30 00:00:00',4,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124241241225373431323311285124131467052',6869,'262',54.12,1,3,NULL),(28,7118120,'1994-07-19 00:00:00',4,1,12,2011,'M','N','COND GUAPORÉ I','RIBEIRÃO PRETO','SP','125252251217471732579833571122610162042',8602,'9998',56.10,1,3,NULL),(28,7118139,'1993-07-19 00:00:00',4,1,11,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124162241414472431466713371124222367052',3641,'270',60.98,3,3,NULL),(28,7118171,'1993-09-22 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124241241117131431433314572124610168092',NULL,'732',29.70,1,2,1),(28,7118201,'1992-10-20 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217372431278921572122231167052',4860,'262',56.55,1,3,NULL),(28,7118210,'1994-12-31 00:00:00',2,25,12,2011,'F','N','SORGATTO','CAÇADOR','SC','124242241215131431449611592122610134147',8723,'120',45.96,1,3,NULL),(28,7118244,'1994-09-05 00:00:00',4,8,12,2011,'M','N','JARDIM GOIAS','GOIÂNIA','GO','109092091217111232586812292122610167043',396,'9998',74.13,1,3,NULL),(28,7118252,'1991-08-17 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242247447152421247613575124221162045',9829,'9999',46.07,1,3,NULL),(28,7118260,'1993-08-07 00:00:00',2,17,12,2010,'F','N','CENTRO','RIO NEGRO','PR','116161161117371531336621312124610134143',16167,'9998',33.38,4,2,1),(28,7118279,'1992-03-19 00:00:00',2,1,12,2009,'M','N','VILA MARIANA','TAIÓ','SC','124244241215473431466633572124610127052',5384,'991',58.14,1,3,NULL),(28,7118287,'1994-02-18 00:00:00',4,9,11,2011,'F','N','COPACABANA','LAGES','SC','124242241215131331358632575122610164192',6924,'499',52.68,1,3,NULL),(28,7118309,'1991-11-17 00:00:00',4,2,12,2009,'M','N','SALTO DO NORTE','BLUMENAU','SC','124242241217273431469933575124231436142',1487,'71',68.05,1,3,NULL),(28,7118317,'1994-10-31 00:00:00',4,8,10,2011,'F','N','NEREIDAS','GUARATUBA','PR','116162161115111431533611285122610134147',1347,'9998',65.46,1,3,NULL),(28,7118325,'1994-04-06 00:00:00',2,10,12,2011,'M','N','TERMAS','GRAVATAL','SC','124241241127372431436312575124610144052',4389,'332',57.94,1,2,1),(28,7118333,'1988-09-24 00:00:00',4,3,5,2010,'M','N','GIOCONDO ORSI','CPO GRANDE','MS','112124127417371431369914375122610167012',7899,'9998',57.29,1,3,NULL),(28,7118341,'1993-04-18 00:00:00',4,16,12,2010,'F','N','CONTA DINHEIRO','LAGES','SC','124241241115471431431421371225610126147',16729,'146',42.13,1,3,NULL),(28,7118350,'1994-02-25 00:00:00',4,2,11,2011,'M','N','VELHA','BLUMENAU','SC','124241241417111431448613572114610166017',5580,'1018',52.85,1,3,NULL),(28,7118368,'1994-06-01 00:00:00',4,1,11,2011,'F','N','ZONA QUATRO','MARINGÁ','PR','116162161216141711458914585125610146092',6088,'9998',52.35,1,3,NULL),(28,7118376,'1994-09-06 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124241241117271231439734275124610126092',4067,'733',60.17,1,2,1),(28,7118384,'1992-06-24 00:00:00',2,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124242241215572731465933342122610127182',7170,'1023',58.53,4,3,NULL),(28,7118392,'1993-09-30 00:00:00',4,2,12,2010,'F','N','VICTOR KONDER','BLUMENAU','SC','124242161211512431268923572114610122182',2349,'9998',63.11,1,3,NULL),(28,7118430,'1994-06-01 00:00:00',4,3,12,2011,'M','N','JARDIM UMUARAMA','TRÊS CORAÇÕES','MG','113134131216111741456923495124610124012',2554,'9998',62.89,1,3,NULL),(28,7118449,'1994-04-03 00:00:00',2,1,12,2011,'M','N','SANTA CRUZ','ÁGUAS MORNAS','SC','124241241136131732626314345124610127052',NULL,'978',25.79,1,3,NULL),(28,7118465,'1992-09-16 00:00:00',2,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242248236372431426632295124610167072',NULL,'1197',24.81,1,3,NULL),(28,7118473,'1993-01-23 00:00:00',4,1,11,2010,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091216471431567932574122610136173',589,'9998',72.63,1,3,NULL),(28,7118481,'1992-11-22 00:00:00',4,1,12,2010,'M','N','JARDIM ANA ESTELA','CARAPICUÍBA','SP','125251251126471431525314145124610162117',NULL,'9998',20.31,4,2,1),(28,7118490,'1994-05-25 00:00:00',4,1,12,2011,'F','N','OLIVEIRA','STO ÂNGELO','RS','120201201117141431349614296123610122142',15004,'9998',37.54,1,2,1),(28,7118503,'1991-09-20 00:00:00',4,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215372441457812345114130264072',4814,'262',59.01,1,3,NULL),(28,7118520,'1991-06-08 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124244241215372431346824575114122938097',11552,'1022',44.83,1,3,NULL),(28,7118538,'1993-12-31 00:00:00',4,2,12,2011,'F','N','ÁGUA VERDE','BLUMENAU','SC','124242241215111431588612382122610124146',2986,'87',60.31,1,3,NULL),(28,7118546,'1990-11-22 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241116374431128944445114221722041',6391,'384',51.73,1,2,1),(28,7118554,'1994-07-16 00:00:00',4,1,11,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215111431535614175124610128012',12999,'300',42.64,4,3,NULL),(28,7118562,'1993-04-17 00:00:00',2,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124244241215472431464632345122610146042',NULL,'1023',22.69,1,3,NULL),(28,7118570,'1993-11-03 00:00:00',4,1,11,2011,'F','N','SÃO VICENTE','ITAPIRA','SP','125252251215171441444811575122610163017',NULL,'9998',29.40,1,3,NULL),(28,7118600,'1993-07-03 00:00:00',4,1,12,2010,'M','N','FAZENDA S ANTONIO','S JOSÉ','SC','124242241115332431347614345124610137052',NULL,'733',0.00,1,3,NULL),(28,7118619,'1992-03-11 00:00:00',4,1,10,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124244241116273431338613375114133245047',8802,'739',50.20,1,3,NULL),(28,7118635,'1990-04-24 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247146131421656363445124610125142',11471,'9999',41.56,4,2,1),(28,7118643,'1992-01-10 00:00:00',2,9,12,2008,'F','N','BOM JESUS','LAGES','SC','124241241115371431547923475114610132097',17551,'935',40.18,4,2,1),(28,7118651,'1994-08-30 00:00:00',2,8,12,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124241241217131532439614276121610134117',NULL,'1006',17.51,2,3,NULL),(28,7118678,'1993-05-01 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215472731437914375114610138117',6474,'1022',53.23,1,3,NULL),(28,7118686,'1993-08-24 00:00:00',4,1,12,2010,'M','N','VILA CANEVARI','CRUZEIRO','SP','125252251216471411589914575122610127122',3244,'9998',60.69,1,3,NULL),(28,7118694,'1994-07-10 00:00:00',4,1,12,2011,'F','N','JARDIM INDEPENDÊNCIA','TAUBATÉ','SP','125252251216111431368834575122610125042',1850,'9998',63.78,1,3,NULL),(28,7118708,'1994-12-16 00:00:00',4,1,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124201241137111431437612245121610114112',17031,'405',29.59,3,3,NULL),(28,7118732,'1987-08-04 00:00:00',2,8,12,1994,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124241241117131732333379492114610168197',15115,'542',35.67,1,2,1),(28,7118759,'1993-02-22 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242243117371431468833572124610144195',3518,'306',61.72,1,3,NULL),(28,7118767,'1992-10-30 00:00:00',4,24,12,2009,'F','N','MIRINZINHO','MIRIM DOCE','SC','124241241415573431436832575124610137142',6255,'654',53.87,1,3,NULL),(28,7118783,'1986-12-16 00:00:00',2,1,12,2004,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124053051116151411126644445121543262092',15086,'9998',45.44,4,1,2),(28,7118805,'1990-11-29 00:00:00',2,1,12,2009,'M','N','CENTRO','URUBICI','SC','124242241117374431365634575114120418111',1844,'817',65.28,1,3,NULL),(28,7118813,'1992-10-18 00:00:00',4,1,11,2011,'M','N','JARDIM FACULDADE','SOROCABA','SP','125252251216111431468832575122610167182',7730,'9998',50.34,1,3,NULL),(28,7118821,'1990-11-02 00:00:00',5,16,12,2007,'M','N','SÃO LUIZ','CURITIBANOS','SC','124241241117141512435833315122610168057',NULL,'239',26.19,1,3,NULL),(28,7118830,'1990-09-09 00:00:00',6,8,12,2010,'M','N','FLORESTA','JOINVILLE','SC','124161168116141431523311345122131417051',20101,'9998',26.24,1,3,NULL),(28,7118848,'1991-08-30 00:00:00',4,1,12,2009,'M','N','CENTRO','PTO ALEGRE','RS','120203201416471411338833575125610137057',14194,'9998',47.12,1,3,NULL),(28,7118856,'1992-03-22 00:00:00',2,6,12,2009,'F','N','FAZENDA','ITAJAÍ','SC','124241248115372431336923575124221426092',NULL,'129',35.10,4,2,1),(28,7118864,'1994-06-22 00:00:00',4,1,11,2011,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241217112452689811575114610167112',9870,'270',53.94,3,3,NULL),(28,7118880,'1994-03-27 00:00:00',2,1,12,2011,'M','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241135471411323324142324610124042',13841,'733',40.43,1,3,NULL),(28,7118899,'1991-02-21 00:00:00',4,1,2,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124122127226472751129713385124141062047',13166,'9998',39.95,1,3,NULL),(28,7118910,'1994-09-18 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431579673591124610127142',11858,'262',43.03,1,3,NULL),(28,7118937,'1995-07-08 00:00:00',4,5,12,2011,'M','N','NOSSA SRA DA SALETE','CRICIÚMA','SC','124242241215151412446631315114610164142',18499,'211',37.29,4,3,NULL),(28,7118945,'1994-10-15 00:00:00',4,1,12,2011,'F','N','PIO CORRÊA','CRICIÚMA','SC','124211241415111431448813585125610164142',17392,'211',40.56,1,3,NULL),(28,7118953,'1995-09-23 00:00:00',4,5,12,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431459914572115610137122',17136,'211',41.18,1,3,NULL),(28,7118961,'1996-10-31 00:00:00',4,5,12,2011,'M','N','MINA BRASIL','CRICIÚMA','SC','124242241215111431448832575122610142122',19030,'211',35.22,1,3,NULL),(28,7118988,'1995-09-29 00:00:00',2,5,12,2011,'M','N','SAO CRISTOVAO','CRICIÚMA','SC','124244241215111431336933275114610137187',18438,'211',37.51,1,3,NULL),(28,7118996,'1992-06-10 00:00:00',4,1,12,2009,'F','N','JARDIM SANTA GENEBRA','CAMPINAS','SP','125252251217132431258414274224610162042',4527,'9998',57.83,1,3,NULL),(28,7119011,'1995-11-17 00:00:00',4,5,12,2011,'M','N','MINA BRASIL','CRICIÚMA','SC','124242241215111431578912576112610138172',16024,'211',43.65,1,3,NULL),(28,7119020,'1995-12-22 00:00:00',4,5,12,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241216271411369832575122610124092',14014,'213',47.38,1,3,NULL),(28,7119038,'1995-04-14 00:00:00',4,5,12,2011,'M','N','PIO CORREA','CRICIÚMA','SC','124242241216151432348814575121610168147',1731,'211',62.87,1,3,NULL),(28,7119046,'1992-07-08 00:00:00',4,1,12,2009,'F','N','MUARAMA','PASSOS','MG','125132131216572431649911571324610122097',1848,'9998',64.33,1,3,NULL),(28,7119054,'1995-02-01 00:00:00',4,5,12,2011,'F','N','CENTRO','CRICIÚMA','SC','124244241217111411456934575112610122092',16841,'211',41.89,1,3,NULL),(28,7119070,'1979-08-30 00:00:00',4,1,12,1996,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224201201116371441237841211124241227117',19017,'9998',35.28,1,2,1),(28,7119089,'1994-05-28 00:00:00',4,1,8,2011,'F','N','STIEP','SALVADOR','BA','105052051215111431368833575122610121147',NULL,'9998',0.00,4,3,NULL),(28,7119097,'1995-03-29 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241116131711423329575124610117167',NULL,'257',22.29,1,3,NULL),(28,7119100,'1994-04-08 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112431269914574112610164057',4569,'1169',55.69,1,3,NULL),(28,7119119,'1992-09-04 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241248316343421536619345124610117051',NULL,'1078',0.00,1,3,NULL),(28,7119135,'1994-03-09 00:00:00',2,25,12,2011,'M','N','MARTELLO','CAÇADOR','SC','124241241117271441227327575124610134147',15152,'123',45.30,1,2,1),(28,7119143,'1977-06-18 00:00:00',5,1,12,1997,'F','N','CAMPINAS','S JOSÉ','SC','624241247242131411332353285124531027187',12718,'44',49.40,1,3,NULL),(28,7119151,'1993-05-18 00:00:00',4,1,12,2010,'F','N','TOBIAS','JOAÇABA','SC','124244241215472431248823572112610124142',NULL,'962',43.86,1,3,NULL),(28,7119160,'1993-12-01 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215412231469612395114610124185',6258,'270',56.00,1,3,NULL),(28,7119186,'1993-10-18 00:00:00',2,8,11,2010,'M','N','PARQUE SAO PAULO','CASCAVEL','PR','116162161215471441449923215124610167162',NULL,'9998',0.00,1,3,NULL),(28,7119194,'1994-09-29 00:00:00',4,5,12,2011,'M','N','COMERCIARIO','CRICIÚMA','SC','124241241215111441369914441122610167052',NULL,'211',0.00,1,3,NULL),(28,7119216,'1994-09-07 00:00:00',4,1,12,2011,'F','N','SANTA ISABEL','ÁGUAS MORNAS','SC','124241241115161411424314212224610126157',NULL,'978',20.57,1,2,1),(28,7119224,'1982-12-07 00:00:00',4,1,12,2001,'F','N','INGLESES','FLORIANÓPOLIS','SC','124202241216371431128549492124133226183',17130,'168',41.19,1,3,NULL),(28,7119232,'1978-08-02 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','624243247227372432334442125123131427047',NULL,'9999',16.12,2,1,2),(28,7119240,'1993-08-19 00:00:00',2,4,12,2011,'M','N','INTERIOR','FAXINAL GUEDES','SC','124241241115161431423311572212610147052',NULL,'255',0.00,1,3,NULL),(28,7119259,'1994-06-08 00:00:00',4,5,12,2011,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111431328821575112610167042',8885,'211',47.12,1,3,NULL),(28,7119291,'1994-09-22 00:00:00',4,5,11,2011,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215112431388812574122610135122',4323,'211',57.59,1,3,NULL),(28,7119313,'1983-12-06 00:00:00',2,1,12,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124251251116514411243653345123610128102',NULL,'9998',15.78,1,2,1),(28,7119321,'1993-12-18 00:00:00',4,5,12,2011,'M','N','PIO CORREA','CRICIÚMA','SC','124242241215151411568811582112610114071',10481,'211',45.02,1,3,NULL),(28,7119330,'1994-03-14 00:00:00',2,7,12,2011,'M','N','BOA VISTA','CAMPOS NOVOS','SC','124244241216111431456812345122610127052',NULL,'446',27.21,1,3,NULL),(28,7119364,'1993-08-19 00:00:00',2,2,11,2010,'F','N','CENTRO','BLUMENAU','SC','124242241216471431369934575114610117083',NULL,'87',0.00,4,3,NULL),(28,7119380,'1991-07-29 00:00:00',4,15,12,2008,'M','N','MATO ALTO','ARARANGUÁ','SC','124122121217164431469711575122221422122',6393,'9998',50.83,1,3,NULL),(28,7119399,'1994-10-21 00:00:00',4,5,11,2011,'M','N','PIO CORRÊA','CRICIÚMA','SC','124242241215372431487812575122610136122',1878,'211',67.73,1,3,NULL),(28,7119402,'1994-09-03 00:00:00',2,5,11,2011,'M','N','PIO CORREIA','CRICIÚMA','SC','124242241215472411458912225122610127072',16153,'211',43.42,1,3,NULL),(28,7119410,'1994-03-01 00:00:00',2,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241115162731436731595124610137097',10877,'267',45.90,1,2,1),(28,7119429,'1993-08-31 00:00:00',4,1,11,2011,'F','N','PIO CORREA','CRICIÚMA','SC','124282241215111431458633575125610127092',5258,'211',53.54,4,3,NULL),(28,7119437,'1990-06-18 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241116372731379923475112231022063',3390,'271',60.09,1,3,NULL),(28,7119445,'1979-10-10 00:00:00',4,1,12,1996,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241317375421356951215112521567047',2572,'269',68.05,1,3,NULL),(28,7119453,'1994-08-26 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215151452348814375112610147042',NULL,'211',32.20,1,3,NULL),(28,7119461,'1994-08-11 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124244241215111431248512395112610126173',4789,'211',57.54,1,3,NULL),(28,7119496,'1993-05-02 00:00:00',2,17,12,2010,'M','N','CENTRO','PAPANDUVA','SC','124244241215372741358823244132610124142',8980,'541',49.06,1,3,NULL),(28,7119500,'1994-12-20 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215112431468832575112610137052',NULL,'211',17.02,1,3,NULL),(28,7119518,'1993-01-18 00:00:00',4,1,12,2010,'M','N','CAJURU','CURITIBA','PR','116162161316371431424414482114610147042',15595,'9998',35.15,1,3,NULL),(28,7119534,'1994-04-20 00:00:00',4,5,11,2011,'M','N','MICHEL','CRICIÚMA','SC','124242241217131412569913485122610144172',9027,'211',47.32,1,3,NULL),(28,7119542,'1994-04-27 00:00:00',2,5,11,2011,'M','N','PIO CORREA','CRICIÚMA','SC','124242241215152431355812292122610127112',18798,'211',36.11,1,3,NULL),(28,7119550,'1985-01-18 00:00:00',4,1,12,2002,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241247336475431115344245122610123017',9527,'300',54.49,1,3,NULL),(28,7119569,'1991-02-07 00:00:00',2,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241221373431479931492122231237047',2840,'299',63.85,1,3,NULL),(28,7119577,'1991-05-25 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241125471731621329245124610114147',NULL,'307',19.31,2,2,1),(28,7119593,'1994-07-18 00:00:00',4,1,12,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241225271411568613576124610132095',1647,'262',67.95,1,3,NULL),(28,7119607,'1995-03-13 00:00:00',2,1,12,2012,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124243241115371711358734575114610117062',NULL,'307',49.33,1,3,NULL),(28,7119623,'1992-10-06 00:00:00',2,1,11,2010,'M','N','CONTA DINHEIRO','LAGES','SC','124244241316132441126923385121131467112',NULL,'1253',22.43,1,3,NULL),(28,7119631,'1992-02-03 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241316154431459913572124120361187',6050,'269',55.55,1,3,NULL),(28,7119658,'1990-07-05 00:00:00',2,1,12,2007,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241126153431316624575115133217182',17534,'291',35.32,1,2,1),(28,7119666,'1993-09-02 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241215473431238712445124610144057',5681,'497',54.58,1,3,NULL),(28,7119674,'1992-11-11 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124202201216153441336512275124221166055',10325,'9998',53.19,1,3,NULL),(28,7119690,'1994-08-29 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431489933595122610127182',NULL,'270',12.03,1,3,NULL),(28,7119712,'1994-07-01 00:00:00',2,27,12,2011,'F','N','INTERIOR','ITAPIRANGA','SC','124241241115161431543636342124610132057',NULL,'408',18.21,1,2,1),(28,7119720,'1994-07-06 00:00:00',2,1,12,2011,'F','N','RIO MAINA','CRICIÚMA','SC','124241241215112431354512325112610163112',14429,'211',46.69,1,3,NULL),(28,7119739,'1983-03-12 00:00:00',4,1,12,2000,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124122121216133411335823445134340234182',11075,'9998',42.20,1,3,NULL),(28,7119747,'1993-08-04 00:00:00',4,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241248135141411326621292334610138072',11917,'306',39.56,1,2,1),(28,7119755,'1994-08-06 00:00:00',4,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241215271431526824575124610126192',5901,'977',51.30,1,3,NULL),(28,7119771,'1996-04-18 00:00:00',4,26,12,2012,'M','S','CENTRO','CONCÓRDIA','SC','124243241215151441459923575122610122042',NULL,'1000',33.30,1,3,NULL),(28,7119798,'1992-07-30 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215473431479911571124610133122',NULL,'262',0.00,1,3,NULL),(28,7119801,'1989-07-31 00:00:00',4,1,12,2006,'M','N','JD CIDADE MONÇÕES','MARINGÁ','PR','116162161216272411488813475122241467182',11343,'9998',51.57,1,3,NULL),(28,7119810,'1993-03-13 00:00:00',2,1,12,2011,'F','N','JORDÃO','GOV CELSO RAMOS','SC','124241248112161421543424575224610166057',NULL,'306',31.98,1,2,1),(28,7119836,'1992-08-24 00:00:00',2,4,12,2009,'F','N','NOVA DIVINÉIA','PINHALZINHO','SC','124241241116473431458813595124610154182',8657,'616',47.95,1,2,1),(28,7119852,'1992-12-22 00:00:00',2,5,12,2009,'F','N','CENTRO','CIDADE GAÚCHA','PR','116164161216571431544816374125610122182',NULL,'9998',0.00,1,3,NULL),(28,7119860,'1993-03-22 00:00:00',4,1,11,2011,'F','N','VILA ANTONIO VENDAS','CPO GRANDE','MS','112122121216111431479933575112610124191',NULL,'9998',0.00,1,3,NULL),(28,7119895,'1989-03-06 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241216272731159923445124131033083',NULL,'1022',32.39,4,3,NULL),(28,7119917,'1973-10-11 00:00:00',4,1,12,1992,'F','N','IPIRANGA','S JOSÉ','SC','124241244411473441546643231234131353142',NULL,'725',22.21,2,1,2),(28,7119925,'1991-09-25 00:00:00',2,16,12,2009,'M','N','CENTRO','FRAIBURGO','SC','124241241113371431414316392215610124013',NULL,'1135',22.19,1,2,1),(28,7119933,'1989-07-18 00:00:00',2,23,12,2006,'F','N','PALMITAL','MARÍLIA','SP','125254251216571411448439595124610136147',8612,'9998',49.36,1,3,NULL),(28,7119941,'1988-07-15 00:00:00',4,1,12,2005,'F','N','VILA MADALENA','S PAULO','SP','125252251116471431558611575124343244027',719,'9998',70.67,1,3,NULL),(28,7119950,'1994-06-15 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','624241241117371751425619575114610166092',17787,'1248',39.51,1,2,1),(28,7119968,'1984-02-23 00:00:00',4,15,7,2003,'F','N','LINHA JUNDIÁ','TURVO','SC','224241248126131431233354442133610134047',19335,'420',33.69,1,3,NULL),(28,7119984,'1992-10-10 00:00:00',2,10,12,2010,'F','N','HUMAITA DE CIMA','TUBARÃO','SC','124241248137141431323319385114610166142',20124,'798',25.43,1,3,NULL),(28,7120028,'1994-01-06 00:00:00',4,1,12,2011,'M','N','PARQUE DOS PÁSSAROS','S BERNARDO CAMPO','SP','125252251211111431478814571124610127052',5439,'9998',53.51,1,3,NULL),(28,7120036,'1991-07-13 00:00:00',2,1,11,2010,'M','N','BOSQUE DA SAUDE','CUIABÁ','MT','111112111216471431478812575122610162172',NULL,'9998',0.00,1,3,NULL),(28,7120044,'1977-07-21 00:00:00',2,1,12,1996,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','224161165116151411458654345122142766182',15930,'9998',43.82,1,3,NULL),(28,7120052,'1993-05-25 00:00:00',4,1,12,2010,'M','N','CENTRO','OSÓRIO','RS','120201201116271351336619571111141427112',13943,'9998',38.37,1,2,1),(28,7120087,'1993-07-31 00:00:00',4,1,11,2010,'M','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125222251215472411459612575125610164181',5133,'9998',54.35,4,3,NULL),(28,7120095,'1985-04-30 00:00:00',4,1,12,2001,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124091091147131421235943235124543232183',NULL,'9998',0.00,1,2,1),(28,7120109,'1993-11-28 00:00:00',2,16,12,2010,'M','N','CENTRO','FRAIBURGO','SC','124241241112371431413316392215610127043',19549,'1135',32.37,2,2,1),(28,7120117,'1993-08-01 00:00:00',4,8,12,2010,'M','N','ÁGUAS CLARAS','CPO LARGO','PR','116162161216571431348633371114610134182',NULL,'9998',0.00,1,3,NULL),(28,7120125,'1966-07-01 00:00:00',2,1,12,1984,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241437154411139543435133121418177',NULL,'262',0.00,1,3,NULL),(28,7120133,'1994-09-06 00:00:00',4,17,12,2011,'F','N','CENTRO','CANOINHAS','SC','124242241215121411377932574122610123184',NULL,'154',0.00,1,3,NULL),(28,7120141,'1994-12-23 00:00:00',4,4,11,2011,'F','N','CENTRO','LAGES','SC','116162161217121431459933572122610162147',NULL,'9998',0.00,1,3,NULL),(28,7120150,'1971-04-17 00:00:00',4,1,12,1991,'F','N','AREIAS','S JOSÉ','SC','524251241117132431333329495124340224187',NULL,'307',0.00,1,3,NULL),(28,7120168,'1994-07-08 00:00:00',4,1,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241315111431335522575122610133187',16687,'210',42.24,1,3,NULL),(28,7120184,'1993-05-22 00:00:00',2,10,11,2010,'F','N','PAES LEME','IMBITUBA','SC','124244241216413431425712575122610137147',14520,'362',39.21,1,3,NULL),(28,7120192,'1994-04-10 00:00:00',4,1,12,2011,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241243225171232326429585124610118017',14526,'262',39.11,1,3,NULL),(28,7120214,'1994-12-26 00:00:00',4,1,12,2011,'M','N','PEPERIGUAÇU','DIONÍSIO CERQUEIRA','SC','124241241135371731517329475124610124147',NULL,'245',0.00,1,2,1),(28,7120230,'1991-05-09 00:00:00',4,8,12,2008,'F','N','SAÚDE','S PAULO','SP','125252251217472431626429185124610163142',3629,'9998',58.91,1,3,NULL),(28,7120257,'1994-10-11 00:00:00',4,1,12,2011,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241131141121423623485124610167142',NULL,'941',0.00,1,2,1),(28,7120265,'1992-06-19 00:00:00',4,23,12,2009,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124242241215372431459811575124610138172',NULL,'1063',0.00,1,3,NULL),(28,7120273,'1993-12-16 00:00:00',2,22,10,2010,'M','N','CENTRO','CURITIBA','PR','116114161215471531119713572314610112142',NULL,'9998',41.91,4,3,NULL),(28,7120281,'1992-07-26 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241136153731523624375124222266097',NULL,'307',0.00,4,2,1),(28,7120290,'1994-12-09 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215122431356811575124610124042',7309,'1169',52.55,1,3,NULL),(28,7120303,'1973-12-14 00:00:00',5,1,10,1992,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224244246137155731262343432124331067192',NULL,'306',0.00,1,3,NULL),(28,7120311,'1993-01-05 00:00:00',4,1,7,2011,'F','N','KOBRASOL','S JOSÉ','SC','124241247437131431536812575114610124192',NULL,'944',26.80,1,3,NULL),(28,7120320,'1980-09-15 00:00:00',2,1,12,1997,'M','N','CAMOBI','STA MARIA','RS','120203201416331431113344345124541138183',14053,'9998',47.32,1,3,NULL),(28,7120338,'1995-08-08 00:00:00',2,4,12,2011,'M','N','PINHAL PRETO','XAVANTINA','SC','124241241146161231325515475122610137047',NULL,'844',0.00,1,2,1),(28,7120346,'1995-08-13 00:00:00',4,5,11,2012,'F','S','PIO CORREA','CRICIÚMA','SC','124242241212111431439931415112610164122',NULL,'226',43.81,1,3,NULL),(28,7120354,'1993-03-15 00:00:00',4,5,10,2010,'M','N','CENTRO','IÇARA','SC','124242241216272511478814485122233267112',1941,'9999',66.57,1,3,NULL),(28,7120370,'1993-12-17 00:00:00',2,1,6,2011,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241248117141431323329295124610166147',NULL,'306',0.00,1,2,1),(28,7120397,'1993-04-09 00:00:00',2,1,11,2010,'F','N','CONTA DINHEIRO','LAGES','SC','124202241315112441228923381221231421171',NULL,'1253',0.00,1,3,NULL),(28,7120419,'1993-04-11 00:00:00',2,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241225372431321323485124610167172',8543,'262',47.84,1,3,NULL),(28,7120427,'1992-08-01 00:00:00',4,4,11,2009,'M','N','MARIA GORETI','CHAPECÓ','SC','124242241217573431369712575122610167122',4071,'185',54.86,1,3,NULL),(28,7120435,'1985-04-20 00:00:00',2,1,12,2003,'M','N','CENTRO','BIGUAÇU','SC','124242247441373431126644145134131244117',NULL,'9999',36.43,1,3,NULL),(28,7120451,'1993-07-01 00:00:00',2,10,12,2010,'F','N','CENTRO','TUBARÃO','SC','124241241124331431625614285124610134177',7826,'421',52.15,1,2,1),(28,7120478,'1994-01-25 00:00:00',4,1,11,2011,'M','N','JARDIM SANTA CRUZ','RIBEIRÃO PRETO','SP','125252251215111431468811575112610164142',3359,'9998',57.87,1,3,NULL),(28,7120494,'1993-04-20 00:00:00',4,1,12,2010,'M','N','SETOR OESTE','GOIÂNIA','GO','109092091215471431479931575122610138182',231,'9998',76.66,1,3,NULL),(28,7120508,'1995-04-09 00:00:00',4,2,12,2012,'F','S','TESTO CENTRAL ALTO','POMERODE','SC','124241241435111431459631375122610136172',NULL,'624',48.49,1,3,NULL),(28,7120516,'1985-10-10 00:00:00',2,1,12,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241317273411437923112123610133117',NULL,'1022',26.18,1,3,NULL),(28,7120532,'1992-08-19 00:00:00',2,1,12,2010,'M','N','JARDIM ALVORADA','OURO PRETO','MG','113132131217371441367833371124610134072',11118,'9998',41.41,3,3,NULL),(28,7120567,'1992-12-23 00:00:00',4,1,12,2010,'M','N','PQ SAO LUIS','GUARULHOS','SP','125252251216131732436611275125143234122',NULL,'9998',0.00,1,3,NULL),(28,7120583,'1995-08-10 00:00:00',4,8,12,2011,'F','N','BOA VISTA','JOINVILLE','SC','124242241216111432339818575122610132197',7695,'1063',57.65,1,3,NULL),(28,7120613,'1990-08-31 00:00:00',4,1,12,2007,'M','N','ENSEADA DE BRITO','PALHOÇA','SC','124241241126131732536514342314610114057',NULL,'594',0.00,2,1,1),(28,7120621,'1994-08-14 00:00:00',2,26,12,2011,'F','N','INTERIOR','TRÊS ARROIOS','RS','120203242136471411434911581115610163192',NULL,'196',0.00,1,3,NULL),(28,7120630,'1991-04-14 00:00:00',4,1,12,2010,'M','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124243241127131222523321142314610137047',14594,'295',36.02,1,3,NULL),(28,7120648,'1993-09-17 00:00:00',4,24,12,2010,'M','N','TABOÃO','RIO SUL','SC','124242241215371441449933575122610122182',8279,'654',56.66,1,3,NULL),(28,7120656,'1992-04-27 00:00:00',4,1,12,2010,'M','N','INACIO BARBOSA','ARACAJU','SE','126262268216111431457732475122241427162',15721,'9998',44.26,1,3,NULL),(28,7120664,'1994-03-11 00:00:00',4,1,12,2011,'M','N','TAPERA','FLORIANÓPOLIS','SC','124242241137271441558873575114610136087',3505,'739',60.81,1,3,NULL),(28,7120680,'1968-04-01 00:00:00',2,1,12,2003,'F','N','LOURO','ANTÔNIO CARLOS','SC','224166161116131421543343432222332721197',NULL,'9998',0.00,1,3,NULL),(28,7120702,'1983-03-04 00:00:00',2,1,12,2000,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124121121117575431543361435222233267057',10861,'9998',45.66,1,2,1),(28,7120710,'1992-08-12 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124162241215574431448911575124610163097',2143,'270',64.88,1,3,NULL),(28,7120729,'1992-07-17 00:00:00',2,15,11,2009,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215571431439819595122610167153',2536,'32',65.19,1,3,NULL),(28,7120737,'1993-09-14 00:00:00',4,1,12,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111431468913575124610127042',5780,'270',54.91,1,3,NULL),(28,7120761,'1993-09-30 00:00:00',4,1,11,2010,'F','N','PARQUE MANDAQUI','S PAULO','SP','125252251216471431478833572122610145096',14680,'9998',46.21,1,3,NULL),(28,7120770,'1992-06-10 00:00:00',2,1,7,2010,'M','N','PASSA VINTE','FLORIANÓPOLIS','SC','124244241235271751333312392112130217047',19478,'270',32.84,1,3,NULL),(28,7120788,'1990-12-21 00:00:00',2,8,12,2008,'F','N','VILA DO BOSQUE','S PAULO','SP','125252251217472431634634485124610164172',6011,'9998',52.56,4,3,NULL),(28,7120796,'1994-08-13 00:00:00',4,17,12,2011,'F','N','CENTRO','CANOINHAS','SC','116243161216111411334419422122610158047',NULL,'9998',0.00,1,3,NULL),(28,7120818,'1993-04-03 00:00:00',4,1,10,2010,'M','N','CENTRO','CURITIBA','PR','116161161215472431553832575121610163042',NULL,'9998',0.00,1,3,NULL),(28,7120826,'1994-03-29 00:00:00',4,6,12,2011,'F','N','ITACOLOMI','BAL PIÇARRAS','SC','124241241146371431526623575122610125192',14339,'614',38.21,1,2,1),(28,7120842,'1966-03-12 00:00:00',2,1,12,1984,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124203203315132731436671315124141227187',19552,'9998',32.33,1,3,NULL),(28,7120850,'1994-04-23 00:00:00',4,3,10,2011,'M','N','BATEL','CURITIBA','PR','116162161215121411485712125121610115123',NULL,'9998',0.00,1,3,NULL),(28,7120877,'1994-01-07 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124161241116141731324521315124610137145',19611,'307',31.92,1,2,1),(28,7120893,'1993-07-19 00:00:00',4,1,12,2011,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241212111431238822575114610167042',15788,'737',33.21,1,3,NULL),(28,7120907,'1994-07-27 00:00:00',4,4,12,2011,'F','N','INTERIOR','JUPIÁ','SC','124241241135271731325515295124610137057',NULL,'862',22.71,1,3,NULL),(28,7120915,'1993-12-10 00:00:00',4,7,12,2010,'F','N','CENTRO','TREZE TÍLIAS','SC','124243241215372431258913182112131027052',18804,'962',36.07,1,3,NULL),(28,7120923,'1993-02-06 00:00:00',4,1,12,2010,'F','N','PIO CORRÊA','CRICIÚMA','SC','124242241216473431568811574122610163197',811,'226',75.13,1,3,NULL),(28,7120958,'1994-03-01 00:00:00',4,8,12,2011,'F','N','CENTRO','MATINHOS','PR','116161161415471431455432376122610135046',NULL,'9998',0.00,1,3,NULL),(28,7120974,'1994-01-29 00:00:00',4,1,7,2011,'M','N','JARDIM ALTLÂNTICO','FLORIANÓPOLIS','SC','124243241117131431437631345122610121057',14758,'306',46.06,1,3,NULL),(28,7120982,'1994-05-01 00:00:00',4,1,12,2011,'F','N','MONT SERRAT','PTO ALEGRE','RS','120202201217371431488814575122610123182',5878,'9998',54.31,1,3,NULL),(28,7120990,'1994-03-29 00:00:00',2,27,12,2011,'F','N','CENTRO','MARAVILHA','SC','124241241127131431323411182125610164142',19768,'552',30.52,1,3,NULL),(28,7121008,'1986-09-08 00:00:00',4,1,11,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124251241217374421346619345133133222067',13509,'943',48.23,1,3,NULL),(28,7121016,'1994-03-27 00:00:00',4,1,12,2011,'F','N','CENTRO','BIGUAÇU','SC','124243241215221321335614275122610114147',19273,'63',24.25,1,3,NULL),(28,7121024,'1994-11-18 00:00:00',4,22,12,2011,'M','N','SOUZA CRUZ','BRUSQUE','SC','124241241116131431433314345121610122057',NULL,'110',19.24,4,2,1),(28,7121032,'1979-02-03 00:00:00',4,3,12,1996,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241126132721223443135122233224144',14187,'756',37.23,1,2,1),(28,7121040,'1991-08-26 00:00:00',4,1,12,2008,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215573411436611595124610137053',13235,'273',42.95,1,3,NULL),(28,7121067,'1994-05-19 00:00:00',4,25,11,2011,'F','N','MUNICÍPIOS','CAÇADOR','SC','124242241215131431458813575123610124182',6504,'120',52.52,1,3,NULL),(28,7121075,'1995-06-14 00:00:00',4,6,12,2012,'F','S','CENTRO','ITAJAÍ','SC','124242241216111731368713575122610124072',NULL,'392',37.92,1,3,NULL),(28,7121083,'1992-05-07 00:00:00',4,1,12,2010,'F','N','SHANGRILA A','LONDRINA','PR','116163161216472431456839575122610122092',5734,'9998',53.17,1,3,NULL),(28,7121091,'1995-01-02 00:00:00',2,16,12,2011,'M','N','CENTRO','STA CECÍLIA','SC','124241241116371431433611185122610128057',NULL,'686',24.09,1,2,1),(28,7121105,'1993-08-10 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248217473731238832572124610167147',8978,'970',50.28,1,3,NULL),(28,7121113,'1993-06-02 00:00:00',4,10,12,2011,'F','N','PINHEIRAL','BRAÇO NORTE','SC','124241241117131431623416575122610147051',NULL,'1164',23.13,1,2,1),(28,7121121,'1993-01-30 00:00:00',4,1,11,2010,'F','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124242241215471231488814575114610161112',1790,'270',66.99,1,3,NULL),(28,7121156,'1990-10-26 00:00:00',4,1,9,2010,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241247627272311125314345214610162052',18279,'9999',38.05,1,3,NULL),(28,7121164,'1992-08-10 00:00:00',4,22,12,2009,'M','N','CENTRO','S JOÃO BATISTA','SC','124242241215373231468914275122121417042',1401,'109',72.01,1,3,NULL),(28,7121172,'1992-10-05 00:00:00',4,4,12,2009,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241117271751347912375122132224057',9120,'169',48.86,1,2,1),(28,7121180,'1992-05-31 00:00:00',4,1,12,2009,'M','N','JARDIM SELMA','MOGI GUAÇU','SP','125252251217311431369814575112141434116',NULL,'9998',0.00,1,3,NULL),(28,7121199,'1994-07-11 00:00:00',4,5,12,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431357614375122610127042',15906,'213',35.85,1,3,NULL),(28,7121210,'1991-05-01 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431648922472125610126017',215,'1174',75.92,1,3,NULL),(28,7121229,'1992-01-24 00:00:00',2,1,12,2009,'F','N','VILA SAO JORGE','GUARULHOS','SP','125252251216571451478911571122610115077',5340,'9998',53.50,1,3,NULL),(28,7121237,'1987-02-10 00:00:00',4,8,12,2003,'M','N','CENTRO','FOZ IGUAÇU','PR','116162161217151221458613445121342167041',12184,'9998',39.79,4,3,NULL),(28,7121245,'1994-07-16 00:00:00',4,5,11,2011,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241216371431446924575112610127142',1762,'213',64.38,1,3,NULL),(28,7121253,'1986-12-29 00:00:00',4,1,12,2004,'F','N','CENTRO','LONDRINA','PR','116162161216311441557619345124343236011',NULL,'9998',0.00,4,3,NULL),(28,7121261,'1975-10-07 00:00:00',4,1,6,2006,'M','N','CEILÂNDIA NORTE','CEILÂNDIA','DF','107071077126471431223449393324140446167',NULL,'9998',0.00,4,2,1),(28,7121270,'1994-05-06 00:00:00',4,2,10,2010,'F','N','CENTRO','BLUMENAU','SC','124242241215473431589834475122610146012',145,'855',79.17,1,3,NULL),(28,7121288,'1984-03-13 00:00:00',4,1,12,2001,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124202201216575431334822575125221724195',10600,'9998',52.74,1,3,NULL),(28,7121296,'1994-05-14 00:00:00',4,8,12,2011,'M','N','CENTRO','TAQUARITUBA','SP','125262251212111331556712575122610112127',9776,'9998',47.73,1,3,NULL),(28,7121318,'1994-08-15 00:00:00',2,15,12,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124241241115141421226239345122610124075',NULL,'29',18.27,1,2,1),(28,7121326,'1992-01-02 00:00:00',4,1,11,2009,'M','N','ITAJUBA','BARRA VELHA','SC','124242241216574521568812592122130227047',5109,'270',58.52,1,3,NULL),(28,7121342,'1994-07-12 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241135271431434614595122610127192',13219,'307',41.96,1,2,1),(28,7121350,'1994-09-15 00:00:00',2,1,12,2011,'M','N','CENTRO','CEL VIVIDA','PR','116241161116271452438631585121610127057',NULL,'9998',24.69,1,3,NULL),(28,7121385,'1994-01-21 00:00:00',4,1,12,2011,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241137131431457823345122610135142',NULL,'712',19.36,1,2,1),(28,7121393,'1992-06-20 00:00:00',4,1,12,2009,'M','N','BESSA','JOÃO PESSOA','PB','115152151216371431367832475112143242122',NULL,'9998',0.00,1,3,NULL),(28,7121415,'1994-03-29 00:00:00',2,4,11,2011,'F','N','INTERIOR','CONCÓRDIA','SC','124243248217371731658812291122610144012',11499,'1000',43.92,1,3,NULL),(28,7121431,'1994-10-31 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111432324611575114610137047',9607,'1168',47.11,1,3,NULL),(28,7121458,'1995-02-08 00:00:00',4,7,12,2010,'M','N','INTERIOR','LACERDÓPOLIS','SC','124241241127151431444335552224610167062',10362,'496',42.80,1,2,1),(28,7121466,'1992-06-20 00:00:00',2,1,12,2010,'F','N','CENTRO','CORUMBÁ','MS','112124121415412431437722475112610123142',NULL,'9998',0.00,1,3,NULL),(28,7121474,'1994-05-17 00:00:00',2,1,12,2011,'F','N','PASSA VINTE','PALHOÇA','SC','124241241226111432436628272122610113142',NULL,'262',28.74,1,3,NULL),(28,7121482,'1956-09-14 00:00:00',4,1,12,1975,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','524201201127152711146644245132343212193',NULL,'9998',38.19,1,3,NULL),(28,7121504,'1989-03-09 00:00:00',2,4,12,2006,'M','N','SANTO ANTÔNIO','CHAPECÓ','SC','124242241216371431449821485122131022057',10020,'1191',53.68,1,3,NULL),(28,7121512,'1987-06-13 00:00:00',4,8,12,2004,'F','N','COSTA E SILVA','JOINVILLE','SC','124244241216372721447923245132330732147',5423,'462',61.62,1,3,NULL),(28,7121520,'1991-12-11 00:00:00',4,10,12,2008,'M','N','MAR GROSSO','LAGUNA','SC','124242247216473431458734575112610147042',9753,'525',48.41,1,3,NULL),(28,7121539,'1994-02-15 00:00:00',4,8,12,2011,'F','N','ALTO DA XV','GUARAPUAVA','PR','116252161217111431638813276122610164077',6128,'9998',53.15,1,3,NULL),(28,7121547,'1993-09-29 00:00:00',4,1,12,2011,'F','N','VILA MARIANA','S PAULO','SP','125252251216111411368814575122610122042',3126,'9998',60.21,1,3,NULL),(28,7121555,'1990-04-13 00:00:00',2,15,12,2007,'M','N','CENTRO','ARARANGUÁ','SC','124242248327131431528611142313610164065',NULL,'29',20.49,1,3,NULL),(28,7121563,'1994-05-03 00:00:00',2,6,12,2011,'M','N','CENTRO','NAVEGANTES','SC','124242241235161431334411195121610111057',11971,'1059',41.89,1,3,NULL),(28,7121571,'1993-06-21 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215372411488612345124610162072',4711,'723',57.32,1,3,NULL),(28,7121598,'1994-07-19 00:00:00',4,1,11,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217121431379833575112610124142',1573,'270',65.26,1,3,NULL),(28,7121601,'1992-08-10 00:00:00',4,1,12,2009,'F','N','SÃO LUIS','ITU','SP','125253251216572311338822271122610144147',122,'9998',78.60,3,3,NULL),(28,7121610,'1993-04-27 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431458933472112131247072',2603,'262',63.79,1,3,NULL),(28,7121628,'1993-12-21 00:00:00',4,5,11,2011,'F','N','CENTRO','BAL ARROIO SILVA','SC','124242241215371431649931576115610167077',6644,'1096',51.50,1,3,NULL),(28,7121636,'1986-09-29 00:00:00',4,1,3,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124072247216372431139943437123122923092',2171,'9998',64.66,4,3,NULL),(28,7121644,'1990-07-21 00:00:00',4,16,12,2009,'M','N','CENTRO','CURITIBANOS','SC','124241241146242431424411442224610134052',NULL,'239',16.83,1,3,NULL),(28,7121652,'1994-11-04 00:00:00',4,1,12,2011,'M','N','CENTRO','TIJUCAS','SC','124242241215111411457632595112610164043',7953,'1119',49.54,1,3,NULL),(28,7121660,'1993-10-24 00:00:00',4,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215472411468713575124610145182',4497,'259',55.24,1,3,NULL),(28,7121679,'1994-11-06 00:00:00',2,1,12,2011,'F','N','JD CIDADE DE FPOLIS','S JOSÉ','SC','124244241225111431446611575122610125192',11870,'262',40.44,1,3,NULL),(28,7121687,'1994-07-18 00:00:00',4,10,11,2011,'M','N','MAGALHAES','LAGUNA','SC','124242241225111431346617575122610164142',15286,'524',35.77,1,3,NULL),(28,7121695,'1993-09-05 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215372331366614575122610162182',5997,'270',54.88,1,3,NULL),(28,7121717,'1993-05-18 00:00:00',4,6,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215472431458931474122610122182',1873,'394',65.78,1,3,NULL),(28,7121725,'1992-12-18 00:00:00',4,1,12,2010,'F','N','JARDIM EUROPA','SOROCABA','SP','125252251216473431588811575122610136122',1998,'9998',63.93,1,3,NULL),(28,7121733,'1992-10-13 00:00:00',2,6,12,2009,'M','N','VILA VELHA','RIO B SUL','PR','116163161437371431443812211124610167047',NULL,'9998',0.00,1,3,NULL),(28,7121741,'1994-11-08 00:00:00',4,1,12,2011,'M','N','CENTRO','PASSO FUNDO','RS','120202201215111431569814575112610124173',7509,'9998',52.98,1,3,NULL),(28,7121750,'1986-09-06 00:00:00',4,8,12,2003,'F','N','BOA VISTA','JOINVILLE','SC','124242241216573731448513431134230234181',NULL,'456',0.00,1,3,NULL),(28,7121768,'1993-05-12 00:00:00',4,9,11,2010,'M','N','JARDIM PANORAMICO','LAGES','SC','124243241212272411456614442122131417067',15153,'9997',45.30,1,3,NULL),(28,7121776,'1979-05-15 00:00:00',4,1,12,1996,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','624243241322134411326654382122610122147',NULL,'298',0.00,2,1,2),(28,7121784,'1994-05-31 00:00:00',4,1,11,2011,'M','N','CARANDA BOSQUE','CPO GRANDE','MS','112122121217111431378832375122510127042',5741,'9998',61.05,1,3,NULL),(28,7121792,'1994-11-02 00:00:00',5,4,12,2011,'M','N','VILA NOVA','FRANCISCO BELTRÃO','PR','116161161411151211224476572342610167172',NULL,'9998',0.00,1,3,NULL),(28,7121806,'1992-03-26 00:00:00',4,1,2,2011,'M','N','PIONEIROS','OURO BRANCO','MG','113132131216211511456634575124240267187',NULL,'9998',0.00,1,3,NULL),(28,7121814,'1991-06-15 00:00:00',4,24,12,2008,'F','N','CENTRO','AGROLÂNDIA','SC','124241241117131431343914245122232934072',NULL,'6',26.98,1,3,NULL),(28,7121830,'1994-11-07 00:00:00',4,7,12,2011,'F','N','REGINA','CATANDUVAS','SC','124241241115371431435614175124610126097',7895,'161',48.40,1,2,1),(28,7121849,'1993-07-08 00:00:00',4,6,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111411438722422122610127042',15019,'1026',35.84,1,3,NULL),(28,7121857,'1994-09-01 00:00:00',4,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112421458813572124610127145',3487,'270',57.89,1,3,NULL),(28,7121873,'1992-07-16 00:00:00',2,4,12,2009,'M','N','CENTRO','PATO BRANCO','PR','116162161216471431366933575122141447017',NULL,'9998',0.00,1,3,NULL),(28,7121881,'1989-03-20 00:00:00',2,1,12,2006,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241216373421558813475122333223187',NULL,'969',22.50,1,3,NULL),(28,7121890,'1991-04-19 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124241241217373441464852445122221468182',1388,'724',72.05,1,3,NULL),(28,7121903,'1994-06-07 00:00:00',2,1,12,2011,'F','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241112371411323421572322610124142',14221,'772',40.21,4,2,1),(28,7121911,'1992-12-07 00:00:00',4,1,12,2011,'M','N','JARDIM MARISEI','ALM TAMANDARÉ','PR','116161161345471631236513315124240127052',NULL,'9998',23.44,1,3,NULL),(28,7121920,'1992-10-26 00:00:00',4,15,11,2009,'F','N','CENTRO','PASSO FUNDO','RS','120203201217471431439923472112142865182',3060,'9998',57.90,1,3,NULL),(28,7121938,'1994-10-11 00:00:00',2,8,12,2011,'F','N','PIRABEIRABA','JOINVILLE','SC','124242241215111331347834595114610126142',13915,'457',47.54,1,3,NULL),(28,7121946,'1986-06-23 00:00:00',2,10,12,2004,'F','N','OFICINAS','TUBARÃO','SC','124242241216142221363833445122330827182',14856,'806',45.88,1,3,NULL),(28,7121954,'1993-10-03 00:00:00',4,1,12,2010,'M','N','VILA OLIVEIRA','MOGI CRUZES','SP','125252251217371331477812575114610167047',7941,'9998',49.64,4,3,NULL),(28,7121962,'1994-03-05 00:00:00',4,1,12,2011,'M','N','VARGINHA','ITAJUBÁ','MG','113132131217131332236823495125610167047',17990,'9998',38.96,1,3,NULL),(28,7121970,'1992-09-02 00:00:00',4,1,12,2010,'F','N','VILA MARIANA','S PAULO','SP','125212251217471431479833575125610142092',1196,'9998',67.19,1,3,NULL),(28,7121989,'1978-05-19 00:00:00',4,1,12,1999,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224051051136131441333349495122343266097',17786,'9998',39.51,2,1,1),(28,7121997,'1986-05-13 00:00:00',4,8,12,2003,'M','N','BOM RETIRO','JOINVILLE','SC','124242241213135421126612375124121762151',NULL,'723',40.75,1,3,NULL),(28,7122004,'1985-12-20 00:00:00',4,1,12,2003,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216272731268933495124331268072',17010,'269',41.53,4,3,NULL),(28,7122020,'1993-09-10 00:00:00',4,1,12,2010,'F','N','JARDIM DAS ROSAS','PRES PRUDENTE','SP','125252251117471231469933571112610112097',11139,'9998',43.81,1,3,NULL),(28,7122047,'1993-02-11 00:00:00',2,1,12,2009,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215274731436319345124123264073',17999,'269',38.93,1,3,NULL),(28,7122055,'1994-12-30 00:00:00',4,2,12,2011,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215121431478912272122610164042',134,'909',79.82,1,3,NULL),(28,7122063,'1975-07-26 00:00:00',4,1,12,1992,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216155721168843335122123267042',7281,'269',58.34,1,3,NULL),(28,7122071,'1993-04-09 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124251241215111431436624375124610166071',15726,'300',44.25,4,3,NULL),(28,7122080,'1994-07-22 00:00:00',4,16,12,2011,'F','N','BOSQUE','CURITIBANOS','SC','124241241115111731313329572124610134142',NULL,'240',17.73,1,2,1),(28,7122098,'1994-12-16 00:00:00',4,8,11,2011,'F','N','FLORESTA','JOINVILLE','SC','124241241217371431533634592244610163141',12665,'459',41.29,4,3,NULL),(28,7122101,'1994-02-11 00:00:00',4,8,11,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215371431459814575122610144042',687,'461',69.88,1,3,NULL),(28,7122128,'1993-08-05 00:00:00',4,1,12,2010,'F','N','JARDIM BRASIL','ARAÇATUBA','SP','125252251216472411448939575122610164142',5158,'9998',54.84,3,3,NULL),(28,7122136,'1994-09-28 00:00:00',2,7,11,2011,'M','N','CENTRO','ERVAL VELHO','SC','124242241215371432456832575124610164052',9718,'962',46.66,1,3,NULL),(28,7122144,'1994-01-18 00:00:00',2,7,12,2011,'M','N','CENTRO','JOAÇABA','SC','124241241215371731337639575125610162182',10566,'962',46.38,1,3,NULL),(28,7122152,'1994-07-17 00:00:00',4,8,12,2011,'F','N','JARDIM AMÉRICA','CRUZEIRO','SP','125252251236371431539934575122610161147',4414,'9998',54.88,1,3,NULL),(28,7122160,'1995-04-13 00:00:00',4,1,12,2011,'M','N','BOSQUE DAS MANSÕES','S JOSÉ','SC','124244241215111431458832575122610117042',15359,'737',44.93,1,3,NULL),(28,7122179,'1993-12-05 00:00:00',2,1,12,2010,'M','N','CARMELO','S JOÃO BATISTA','SC','624241241145471431536631375123610167052',18453,'712',37.46,1,3,NULL),(28,7122187,'1990-10-22 00:00:00',4,1,12,2008,'M','N','SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC','124242241215372741269829595124120726132',2662,'270',62.09,1,3,NULL),(28,7122209,'1994-11-03 00:00:00',2,15,12,2011,'F','N','TENENTE','JACINTO MACHADO','SC','124241242115111431324933572122610128147',17902,'690',29.16,1,2,1),(28,7122217,'1995-05-17 00:00:00',4,1,11,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111731379613572124610134111',NULL,'272',49.42,1,3,NULL),(28,7122225,'1985-02-16 00:00:00',4,1,12,2002,'M','N','JARDIM DA SAUDE','S PAULO','SP','125252251215571751468814416112342664017',6946,'9998',52.70,3,3,NULL),(28,7122233,'1992-02-04 00:00:00',4,1,12,2009,'F','N','CENTRO','MTE APRAZÍVEL','SP','125252251216471441558811575124610166092',NULL,'9998',0.00,1,3,NULL),(28,7122241,'1993-01-05 00:00:00',2,1,12,2010,'M','N','ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC','124241241225112431546923445123131227042',NULL,'262',29.66,1,3,NULL),(28,7122268,'1994-06-15 00:00:00',4,6,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241215131431325721275322610148187',10451,'44',46.52,1,3,NULL),(28,7122276,'1992-08-19 00:00:00',4,1,12,2009,'F','N','JARDIM BOA ESPERANÇA','CAMPINAS','SP','125252251217372441467814275122610115186',1497,'9998',64.79,1,3,NULL),(28,7122284,'1994-05-15 00:00:00',4,8,11,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241216111431446914572122610162141',3182,'461',61.73,1,3,NULL),(28,7122292,'1994-02-28 00:00:00',2,8,12,2011,'F','N','CENTRO','CURITIBA','PR','116162161215111431436832575112610167145',7126,'9998',50.03,1,3,NULL),(28,7122306,'1993-01-29 00:00:00',2,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241215472311646823571124130217052',2831,'1197',62.54,1,3,NULL),(28,7122314,'1976-04-21 00:00:00',6,1,6,2003,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','104041047126131752411635455312622248186',NULL,'9998',23.05,5,3,NULL),(28,7122322,'1995-02-28 00:00:00',4,1,12,2011,'F','N','NOSSA SENHORA','S JOSÉ','SC','124243241225111421336624375124610158191',15767,'262',35.20,1,3,NULL),(28,7122330,'1994-06-10 00:00:00',2,1,12,2011,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241116471731326724395114610117045',NULL,'278',22.15,1,2,1),(28,7122349,'1993-06-09 00:00:00',2,1,11,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215373331558814445124610123147',4779,'1169',60.33,1,3,NULL),(28,7122357,'1993-04-13 00:00:00',4,2,12,2010,'M','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241216472411447934572112610136067',NULL,'909',0.00,1,3,NULL),(28,7122365,'1992-11-23 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241116372411323324342234610136042',16964,'734',31.68,1,2,1),(28,7122373,'1993-12-08 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122441479933572112610162112',948,'270',70.26,1,3,NULL),(28,7122381,'1987-06-18 00:00:00',6,1,12,2004,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241126161431635332245124232761047',17475,'941',40.36,1,3,NULL),(28,7122403,'1996-02-29 00:00:00',4,1,12,2012,'F','S','CAMPINAS','S JOSÉ','SC','124242241217111231567831572122610137075',NULL,'737',47.76,4,3,NULL),(28,7122411,'1994-02-18 00:00:00',2,1,12,2010,'M','N','CRUZEIRO','CAJURU','SP','125251251215411731326614575122610122187',8661,'9998',56.01,1,3,NULL),(28,7122420,'1993-05-13 00:00:00',2,1,12,2011,'F','N','ATUBA','CURITIBA','PR','116161161116471732414414373124610126011',NULL,'9998',0.00,1,2,1),(28,7122438,'1993-07-26 00:00:00',4,15,12,2010,'M','N','CENTRO','BAL ARROIO SILVA','SC','124241241135132431234923575114131767057',16781,'30',32.04,1,2,1),(28,7122446,'1994-05-11 00:00:00',4,8,11,2011,'F','N','SÃO FRANCISCO','CPO GRANDE','MS','112122121215122431479932594122610112042',12230,'9998',50.19,3,3,NULL),(28,7122454,'1994-04-16 00:00:00',2,1,12,2011,'F','N','NOSSA SRA ROSÁRIO','S JOSÉ','SC','124241241115151731323614345334610127072',NULL,'733',31.41,1,2,1),(28,7122462,'1990-04-08 00:00:00',5,1,1,2009,'F','N','ANCHIETA','BELO HORIZONTE','MG','113132131416151411349813371122141811027',NULL,'9998',0.00,4,3,NULL),(28,7122470,'1993-09-09 00:00:00',4,1,11,2011,'F','N','CENTRO','BIGUAÇU','SC','124242241215112431468811574122610116097',4592,'270',56.45,1,3,NULL),(28,7122489,'1994-11-16 00:00:00',2,15,12,2011,'F','N','GUARITA','SOMBRIO','SC','124242241215271411546832575125610122077',10172,'770',45.83,1,3,NULL),(28,7122497,'1994-07-14 00:00:00',4,17,12,2011,'M','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241115371231325929575122610147042',13298,'146',39.69,1,2,1),(28,7122500,'1993-12-13 00:00:00',4,1,12,2011,'F','N','FORTALEZA','LINS','SP','125124251215121431469612574122610162147',1738,'9998',65.62,1,3,NULL),(28,7122519,'1970-05-03 00:00:00',4,1,12,1987,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','624241243126132431124443231133121714092',11042,'257',52.07,1,3,NULL),(28,7122527,'1994-05-14 00:00:00',4,10,12,2011,'M','N','PONTA DA BARRA','LAGUNA','SC','124243241227151451526611295121610134092',3052,'524',60.11,1,3,NULL),(28,7122535,'1994-07-03 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241217473431336934575122610164142',7476,'970',49.97,1,3,NULL),(28,7122543,'1994-09-02 00:00:00',2,4,12,2011,'F','N','LINHA ARAÇA','SAUDADES','SC','124241241117131731533336575124610128057',17209,'1231',31.17,1,2,1),(28,7122551,'1993-09-22 00:00:00',2,22,12,2011,'M','N','CENTRO','NOVA TRENTO','SC','124241241111371431366633575122610117042',NULL,'574',24.91,1,2,1),(28,7122578,'1995-05-12 00:00:00',4,7,12,2011,'M','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241215371432468834575112610167012',4359,'962',58.11,1,3,NULL),(28,7122586,'1993-11-11 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215313431538911575114231014047',12937,'270',40.49,1,3,NULL),(28,7122594,'1991-11-12 00:00:00',4,1,12,2009,'M','N','QUINTA DAS PAINEIRAS','S JOSÉ R PRETO','SP','125252251215471421346829595122610167147',6410,'9998',52.41,1,3,NULL),(28,7122608,'1986-08-12 00:00:00',2,10,12,2004,'M','N','CENTRO','TUBARÃO','SC','124062241215373741549639595122332868187',16109,'797',43.49,5,3,NULL),(28,7122640,'1981-04-21 00:00:00',4,8,12,1999,'F','N','BOM RETIRO','JOINVILLE','SC','124244241217471431589712495122331234072',3826,'861',64.87,1,3,NULL),(28,7122659,'1994-08-18 00:00:00',2,7,12,2011,'M','N','ALTO DA GLÓRIA','TANGARÁ','SC','124241243135131431526613472121510127047',15298,'779',37.41,4,2,1),(28,7122667,'1989-12-27 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124211211147231432223911446221610162167',NULL,'9998',10.96,4,2,1),(28,7122675,'1993-10-02 00:00:00',4,4,12,2011,'M','N','JARDIM AMÉRICA','DOURADOS','MS','112132121217111411369836576111610141032',NULL,'9998',0.00,1,3,NULL),(28,7122683,'1993-12-10 00:00:00',4,1,12,2011,'M','N','VILA NOVA','IMBITUBA','SC','124241241135131421425314385124610131117',13897,'359',40.91,1,2,1),(28,7122691,'1992-10-26 00:00:00',4,1,11,2011,'M','N','JARDIM EUROPA','BAURU','SP','125242251416171131345516265121610117074',NULL,'9998',18.45,1,3,NULL),(28,7122705,'1992-04-26 00:00:00',2,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241211252441336332575124610145092',19488,'269',32.79,1,3,NULL),(28,7122713,'1994-03-03 00:00:00',5,15,12,2011,'F','N','VILA NOVA','STA ROSA SUL','SC','124241242117111431413331576222610123142',18342,'690',27.29,1,2,1),(28,7122730,'1994-10-16 01:00:00',4,5,10,2011,'F','N','MINA BRASIL','CRICIÚMA','SC','124244241215111431328634575114610164027',4499,'226',57.98,1,3,NULL),(28,7122748,'1993-06-30 00:00:00',2,1,11,2011,'F','N','VILA SOFIA','S PAULO','SP','125252251216131431439611171124610141142',13009,'9998',48.97,1,3,NULL),(28,7122756,'1994-08-12 00:00:00',4,1,11,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215112431379833575122610143092',432,'270',72.82,1,3,NULL),(28,7122772,'1994-07-10 00:00:00',4,8,12,2011,'F','N','PORTÃO','CURITIBA','PR','116252161216111431558833575114610122011',15983,'9998',33.75,1,3,NULL),(28,7122780,'1993-05-01 00:00:00',4,1,12,2011,'F','N','JARDIM YARA I','BANDEIRANTES','PR','116162166116271731338834375112610112052',3029,'9998',58.94,1,3,NULL),(28,7122799,'1993-12-08 00:00:00',2,15,12,2010,'F','N','CENTRO','SOMBRIO','SC','124242241215131431538812245131610143147',14042,'770',41.97,4,3,NULL),(28,7122802,'1993-02-28 00:00:00',2,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116472411424314575124610114147',NULL,'287',31.21,4,2,1),(28,7122810,'1991-04-05 00:00:00',4,1,12,2007,'M','N','CENTRO','CANOAS','RS','120202201217471431449914291135141428097',5269,'9998',54.26,1,3,NULL),(28,7122829,'1994-08-03 00:00:00',4,8,10,2011,'F','N','CENTRO','CURITIBA','PR','116242161216111431478831575125610117052',15989,'9998',43.71,1,3,NULL),(28,7122837,'1993-10-27 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272431436632341134610126142',6073,'1022',60.47,1,3,NULL),(28,7122853,'1992-04-10 00:00:00',4,15,12,2009,'F','N','TRISTEZA','PTO ALEGRE','RS','120202201216571411248612575122141468052',5114,'9998',53.46,1,3,NULL),(28,7122861,'1993-03-11 00:00:00',4,1,12,2011,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115471431338712345124610138191',12020,'307',43.64,1,2,1),(28,7122870,'1991-12-23 00:00:00',4,15,12,2008,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241416152721338634495124610117147',18411,'307',28.45,1,3,NULL),(28,7122888,'1991-07-19 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124242241211572431337823571125131322092',7911,'499',49.60,1,3,NULL),(28,7122896,'1993-05-24 00:00:00',2,27,12,2010,'F','N','SANTA TEREZINHA','GUARACIABA','SC','124241241136141331433324342122610162147',13050,'604',40.62,1,2,1),(28,7122900,'1993-09-09 00:00:00',4,8,12,2011,'M','N','GLÓRIA','JOINVILLE','SC','124241246216111331224823335124610117052',NULL,'1105',36.00,1,3,NULL),(28,7122918,'1994-02-18 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124072241215111731558711595122610164142',6151,'262',51.48,4,3,NULL),(28,7122926,'1988-10-20 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241316135451326634395121131864042',14456,'272',42.08,1,3,NULL),(28,7122934,'1988-08-01 00:00:00',2,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124253257327131422427728485121610126047',NULL,'9998',0.00,1,3,NULL),(28,7122942,'1984-01-04 00:00:00',4,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216153441369913475124321427092',14659,'260',46.25,1,3,NULL),(28,7122969,'1994-07-14 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241112131531523511172122610134142',10644,'257',45.11,4,2,1),(28,7122977,'1994-02-06 00:00:00',4,1,11,2011,'M','N','CENTRO','BIGUAÇU','SC','124242241215151211356623575112610167052',16773,'63',33.27,1,3,NULL),(28,7122985,'1988-01-28 00:00:00',2,26,12,2011,'M','N','MARGEM ESQUERDA','GASPAR','SC','124201242145141431536614242124610137057',NULL,'9997',24.94,4,2,1),(28,7122993,'1995-06-12 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431328821575124610137045',14578,'1050',46.39,1,3,NULL),(28,7123000,'1994-08-06 00:00:00',4,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215371431578813571122610133187',10704,'44',43.81,1,3,NULL),(28,7123019,'1993-10-26 00:00:00',2,1,12,2010,'F','N','CENTRO','PALMA SOLA','SC','124241241127471431324411375112610125193',20023,'598',27.75,1,2,1),(28,7123027,'1995-03-28 00:00:00',4,1,11,2012,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241217111452348614475114610167172',NULL,'270',46.78,1,3,NULL),(28,7123035,'1994-06-21 00:00:00',4,6,11,2011,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124243241215371411456612295212610122182',13088,'44',43.80,1,3,NULL),(28,7123043,'1993-10-16 00:00:00',4,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124241241217152221453421585124610124042',12150,'989',40.20,1,3,NULL),(28,7123060,'1994-03-05 00:00:00',4,3,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241215111431347734375122610137142',11314,'403',43.08,1,3,NULL),(28,7123086,'1992-07-07 00:00:00',2,1,11,2010,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241115372411323321282224610154147',16165,'591',35.64,4,3,NULL),(28,7123094,'1993-11-20 00:00:00',4,1,12,2010,'F','N','JARDIM BOTANICO','LG SUL','DF','107072071217471531577923575122610136187',3723,'9998',58.56,4,3,NULL),(28,7123124,'1989-03-10 00:00:00',4,10,12,2005,'F','N','CENTRO','CAPIVARI BAIXO','SC','124243241112471121128814345124332122177',8413,'1034',56.41,4,3,NULL),(28,7123132,'1991-03-23 00:00:00',4,2,12,2008,'F','N','VILA LARSEN','LONDRINA','PR','116162161215575411459932575125610161092',12916,'9998',49.12,3,3,NULL),(28,7123140,'1995-03-07 00:00:00',4,1,11,2012,'M','S','ENSEADA DO BRITO','PALHOÇA','SC','124244241215111751679614495122610142042',NULL,'737',54.43,1,3,NULL),(28,7123159,'1994-09-10 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241235111431475532572112610126172',2135,'270',66.63,1,3,NULL),(28,7123167,'1994-07-12 00:00:00',4,1,12,2011,'M','N','ASA SUL','BRASÍLIA','DF','107072071117171441369924574124610167083',2779,'9998',60.66,1,3,NULL),(28,7123183,'1995-06-05 00:00:00',2,15,12,2011,'F','N','BAIRRO FIGUEIRA','JACINTO MACHADO','SC','124241242117111431424833572122610127051',NULL,'690',18.59,1,2,1),(28,7123191,'1982-07-03 00:00:00',2,1,12,1999,'F','N','AREIAS','S JOSÉ','SC','124241241132153421124644345124333214197',NULL,'307',24.07,1,3,NULL),(28,7123213,'1994-03-14 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111421436833335122610162062',17387,'9997',32.04,1,3,NULL),(28,7123230,'1989-03-28 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124241241126154311225427275124231464197',NULL,'736',36.47,1,2,1),(28,7123256,'1993-04-22 00:00:00',4,2,12,2010,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241215272431379714595122231454142',12640,'87',49.56,1,3,NULL),(28,7123264,'1994-06-29 00:00:00',2,7,12,2011,'F','N','CENTRO','CELSO RAMOS','SC','124241241136161431448923575122610134047',14090,'163',38.47,1,2,1),(28,7123272,'1994-05-09 00:00:00',4,7,12,2011,'F','N','FREI BRUNO','JOAÇABA','SC','124242241215271431436612575122610136097',NULL,'454',21.64,1,3,NULL),(28,7123280,'1993-07-07 00:00:00',2,1,12,2010,'M','N','VIGOLO','NOVA TRENTO','SC','124241241136152431435412275114610137057',8909,'574',49.80,1,2,1),(28,7123302,'1994-07-02 00:00:00',2,4,1,2012,'F','N','LINHA GRANDO','SERRA ALTA','SC','124241241115132411322116572224610121177',6957,'765',50.13,1,2,1),(28,7123310,'1993-08-29 00:00:00',4,23,12,2010,'F','N','SÃO LUIS','JARAGUÁ SUL','SC','124241241126271431446614346124610136142',18957,'891',26.38,1,3,NULL),(28,7123329,'1990-09-03 00:00:00',2,9,12,2008,'M','N','PINHEIROS','OTACÍLIO COSTA','SC','124244241215573331479914575122610137151',6468,'499',53.16,1,3,NULL),(28,7123337,'1995-04-16 00:00:00',4,1,12,2011,'F','N','SERTÃO MARUÍ','S JOSÉ','SC','124242241215111711458914575122610124072',17280,'723',40.83,1,3,NULL),(28,7123345,'1991-12-27 00:00:00',2,1,12,2009,'F','N','JD CIDADE FPOLIS','S JOSÉ','SC','124241241117374431446923445134220661142',7305,'17',49.96,1,2,1),(28,7123353,'1992-05-06 00:00:00',4,1,12,2009,'F','N','LIBERDADE','S PAULO','SP','125162161217572711378931571115610164013',2580,'9998',60.88,1,3,NULL),(28,7123370,'1990-01-07 00:00:00',2,25,12,2006,'F','N','SANTOS DUMONT','VIDEIRA','SC','124161161116132741423414375124221626142',9175,'9998',46.37,1,2,1),(28,7123388,'1992-01-12 00:00:00',2,5,12,2009,'M','N','UNIVERSITÁRIO','CRICIÚMA','SC','124162246216112231448613475124231416042',NULL,'995',26.47,1,3,NULL),(28,7123396,'1993-05-25 00:00:00',4,24,12,2010,'F','N','SÃO FRANCISCO','BOA VISTA','RR','123233231416471431548933571122241323147',609,'9998',71.42,1,3,NULL),(28,7123400,'1995-05-11 00:00:00',4,9,12,2011,'F','N','CENTRO','BOCAÍNA SUL','SC','124241241115271411446915575122610162067',NULL,'91',17.26,1,2,1),(28,7123418,'1984-02-24 00:00:00',4,24,12,2001,'M','N','LARANJEIRAS','RIO SUL','SC','124242241226472431133644145121532026182',6070,'414',52.72,4,3,NULL),(28,7123426,'1994-08-21 00:00:00',2,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431346924572122610162042',NULL,'737',23.22,1,3,NULL),(28,7123469,'1992-11-05 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473421247921346134131427062',6691,'270',59.38,1,3,NULL),(28,7123477,'1994-01-26 00:00:00',4,1,12,2011,'M','N','BOQUEIRÃO','PR GRANDE','SP','125251251127271432438713575111610137057',16295,'9998',32.96,3,2,1),(28,7123485,'1992-05-19 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241337142731335312135114610167141',19555,'288',32.32,1,3,NULL),(28,7123493,'1992-05-20 00:00:00',2,1,12,2009,'M','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125252251215411331667819575122610123052',11359,'9998',44.36,1,3,NULL),(28,7123523,'1988-02-12 00:00:00',4,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216473451466814485124142064037',7296,'1022',58.32,1,3,NULL),(28,7123531,'1991-09-21 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215575751489711572122141467145',1135,'262',67.40,1,3,NULL),(28,7123566,'1992-05-07 00:00:00',4,1,12,2009,'M','N','MOOCA','S PAULO','SP','125252251216471431448811375125610127041',NULL,'9998',0.00,1,3,NULL),(28,7123574,'1993-03-05 00:00:00',4,1,11,2010,'F','N','ÁGUA VERDE','CURITIBA','PR','116122121215472431248821475124610126072',13096,'9998',48.84,1,3,NULL),(28,7123582,'1989-08-14 00:00:00',4,2,12,2006,'F','N','VELHA','BLUMENAU','SC','124201201117371731223646392124610112177',13853,'9998',36.06,1,2,1),(28,7123639,'1994-01-31 00:00:00',4,4,12,2011,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124242241211111411348812572122610167062',10018,'983',42.79,1,3,NULL),(28,7123655,'1993-02-27 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241247417141431446612285124610167042',NULL,'9999',0.00,1,3,NULL),(28,7123663,'1993-05-06 00:00:00',4,1,12,2010,'M','N','NOVA OLINDA','PIEDADE','SP','125252251215471431548827575112610134042',9777,'9998',47.72,1,3,NULL),(28,7123671,'1995-01-10 00:00:00',4,3,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431459911472122610124117',12486,'1038',41.52,1,3,NULL),(28,7123680,'1993-06-09 00:00:00',4,26,6,2011,'M','N','FLORESTA','CONCÓRDIA','SC','124242281212371431336829475122610167052',17502,'1047',40.29,1,3,NULL),(28,7123698,'1993-11-30 00:00:00',2,5,11,2012,'M','S','CENTRO','IÇARA','SC','124242241215371431567712295122610126182',NULL,'226',0.00,1,3,NULL),(28,7123701,'1993-02-05 00:00:00',4,1,12,2010,'F','N','CENTRO','LAGES','SC','124242241215472431368923575122610124142',9498,'9997',54.54,1,3,NULL),(28,7123710,'1993-02-22 00:00:00',4,1,12,2010,'F','N','SÃO JUDAS','PIRACICABA','SP','125252251215472431458831572122610123097',6279,'9998',53.76,1,3,NULL),(28,7123728,'1989-12-16 00:00:00',2,1,12,2007,'F','N','SANTA RITA','APARECIDA','SP','125252251215571451578811475112141063056',5303,'9998',54.30,1,3,NULL),(28,7123736,'1992-06-06 00:00:00',4,1,12,2009,'M','N','SETOR BUENO','GOIÂNIA','GO','109142091215572431468833595122610124082',487,'9998',71.80,1,3,NULL),(28,7123744,'1991-05-30 00:00:00',4,1,12,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217574431437962375124121363017',2738,'883',62.21,1,3,NULL),(28,7123752,'1994-11-28 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241215111431337624242134610162097',15345,'300',37.15,1,3,NULL),(28,7123760,'1994-06-30 00:00:00',4,8,12,2011,'F','N','PALMITAL','PARANAGUÁ','PR','116162161216151431337612271122610156182',NULL,'9998',0.00,4,3,NULL),(28,7123779,'1993-01-20 00:00:00',4,1,12,2011,'F','N','AREIAS BARREIROS','S JOSÉ','SC','124241241127131121423619246224610123142',NULL,'736',23.01,1,2,1),(28,7123787,'1992-12-20 00:00:00',4,4,12,2009,'M','N','CENTRO','VIADUTOS','RS','120201201126151431464713145124610164182',12946,'9998',39.00,1,2,1),(28,7123809,'1989-06-25 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243247316144431347723495124233267047',15986,'270',43.71,1,3,NULL),(28,7123825,'1981-01-17 00:00:00',4,1,11,1998,'M','N','SANTINHO','FLORIANÓPOLIS','SC','624252251216131421318858385122340662187',13866,'9998',47.63,1,3,NULL),(28,7123833,'1992-02-18 00:00:00',4,1,12,2009,'M','N','CAMPO BELO','S PAULO','SP','125252251217571411458811571122610147182',159,'9998',76.77,1,3,NULL),(28,7123841,'1993-03-27 00:00:00',2,1,12,2010,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124241241117471421436434245124610167055',19820,'1248',30.14,1,2,1),(28,7123850,'1993-08-10 00:00:00',2,8,12,2010,'M','N','JARDIM SOFIA','JOINVILLE','SC','124241161215473411458812575124610144052',4934,'9998',57.72,1,3,NULL),(28,7123868,'1993-08-23 00:00:00',2,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124241241115472431228421575122610132092',4655,'539',58.11,1,2,1),(28,7123876,'1993-06-30 00:00:00',4,4,12,2010,'F','N','CENTRO','GUARACIABA','SC','124242241234272411449931575124610148142',8708,'751',49.49,1,3,NULL),(28,7123884,'1989-09-26 00:00:00',4,1,12,2007,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','612122121217151441389911575112141426182',NULL,'9998',NULL,1,3,NULL),(28,7123906,'1994-09-10 00:00:00',4,6,11,2011,'F','N','NOSSA SENHORA DA PAZ','BAL PIÇARRAS','SC','124241241315131431335823275122610167017',NULL,'392',0.00,1,3,NULL),(28,7123914,'1994-07-21 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431336412571125610126142',3438,'1168',60.80,1,3,NULL),(28,7123922,'1993-08-26 00:00:00',4,1,12,2011,'F','N','RENASCENÇA','BELO HORIZONTE','MG','113133131217131431436634582122610134077',7247,'9998',49.97,4,3,NULL),(28,7123930,'1993-09-21 00:00:00',4,1,12,2011,'M','N','CENTRO','IBIRAMA','SC','124242241215151231459612595122613268172',1821,'346',63.18,1,3,NULL),(28,7123949,'1994-11-14 00:00:00',4,26,12,2011,'F','N','CENTRO','IPUMIRIM','SC','124243161215111431346639592124610154042',7627,'9998',50.75,1,3,NULL),(28,7123957,'1991-01-04 00:00:00',4,1,12,2008,'M','N','JARDIM ESTORIL','BAURU','SP','125252251215575441368933575122610166192',640,'9998',72.07,1,3,NULL),(28,7123965,'1993-07-01 00:00:00',4,1,12,2010,'F','N','NOSSA SRA ROSÁRIO','S JOSÉ','SC','124242241216472451559614575124610163097',8505,'991',49.11,1,3,NULL),(28,7123981,'1993-07-05 00:00:00',2,1,12,2011,'M','N','CENTRO','S BERNARDO CAMPO','SP','125252251215111431568832575124610167042',NULL,'9998',0.00,1,3,NULL),(28,7123990,'1995-09-19 00:00:00',4,10,12,2011,'F','N','CENTRO','LAGUNA','SC','124242241216111721568813575112610124147',11316,'807',42.55,1,3,NULL),(28,7124007,'1994-03-23 00:00:00',4,4,1,2012,'F','N','LINHA BAESSO','SERRA ALTA','SC','124241241115161431336616572244610128197',NULL,'765',19.48,1,2,1),(28,7124023,'1993-09-09 00:00:00',4,1,12,2010,'F','N','JARDIM PETRÓPOLIS','PRES PRUDENTE','SP','125252251215471431448924375112610123192',10386,'9998',45.28,1,3,NULL),(28,7124031,'1993-03-09 00:00:00',2,8,12,2010,'M','N','ÁGUA VERDE','CURITIBA','PR','116112167216111731453615575124241467042',19718,'9998',30.95,1,3,NULL),(28,7124058,'1992-07-02 00:00:00',4,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215573431347832575124142864147',1193,'909',69.26,1,3,NULL),(28,7124066,'1992-04-18 00:00:00',2,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242247217132421336817575124610163097',NULL,'9999',0.00,1,3,NULL),(28,7124074,'1992-12-06 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241117472431558613575124610145142',10999,'307',45.39,1,3,NULL),(28,7124082,'1993-12-16 00:00:00',2,5,12,2011,'F','N','NASPOLINI','CRICIÚMA','SC','124242241215111731326734575122610122117',6444,'210',52.38,1,3,NULL),(28,7124104,'1995-03-02 00:00:00',2,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241217111431469814475112610133157',8481,'9997',47.97,1,3,NULL),(28,7124120,'1994-02-24 00:00:00',2,15,12,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124243241136122431343332575112610114187',NULL,'29',31.81,1,3,NULL),(28,7124139,'1990-03-14 00:00:00',4,1,12,2007,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241127371431443311345124610133147',19945,'307',28.82,1,2,1),(28,7124147,'1989-04-19 00:00:00',4,1,12,2006,'M','N','PQ VIVAMAR','UBATUBA','SP','125252251216571451366812485122141232182',4766,'9998',62.86,1,3,NULL),(28,7124155,'1995-09-13 00:00:00',2,15,12,2012,'F','S','JARDIM ITÁLIA','MELEIRO','SC','124244241215111431458934475124610122052',NULL,'970',51.01,1,3,NULL),(28,7124171,'1993-09-20 00:00:00',4,6,11,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124162161215471751489919591125610168172',12576,'9998',40.85,3,3,NULL),(28,7124180,'1993-09-22 00:00:00',4,1,12,2010,'M','N','JD CIDADE FLORIANOPO','S JOSÉ','SC','124201201117271431435574345234610134187',18521,'9998',28.36,4,2,1),(28,7124201,'1994-07-07 00:00:00',4,8,12,2011,'F','N','COMASA','JOINVILLE','SC','124241241215271331547614275124610128147',7013,'1105',52.53,1,3,NULL),(28,7124210,'1994-08-21 00:00:00',2,15,10,2011,'F','N','JARDIM ATLÂNTICO','BAL ARROIO SILVA','SC','124243241216371431436923575124610167147',3600,'26',60.12,1,3,NULL),(28,7124236,'1987-08-10 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201201116575421348911575124122637111',2829,'9998',60.80,1,2,1),(28,7124244,'1993-04-06 00:00:00',2,24,12,2010,'M','N','BOA VISTA','RIO SUL','SC','124243241315472431534614242132610124051',7594,'659',52.92,1,3,NULL),(28,7124252,'1985-12-25 00:00:00',2,1,12,2003,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','224241241121375431234453335114610122187',16172,'278',35.72,1,2,1),(28,7124260,'1993-09-28 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217152751369924495115221464042',4189,'270',64.05,1,3,NULL),(28,7124279,'1995-02-18 00:00:00',4,2,12,2011,'F','N','VALPARAÍSO','BLUMENAU','SC','124201241145141431633363572125610124047',9849,'85',45.03,1,2,1),(28,7124309,'1989-08-29 00:00:00',4,1,12,2007,'M','N','ALTOS DE SANTANA','JACAREÍ','SP','125253251117571511338933575112610144057',2956,'9998',59.80,4,3,NULL),(28,7124317,'1986-03-25 00:00:00',4,1,12,2003,'M','N','IPIRANGA','S JOSÉ','SC','124244241215374451446633385114131062032',11925,'259',43.20,2,1,2),(28,7124325,'1994-08-03 00:00:00',2,6,12,2011,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124241241115371431355724575124610132182',NULL,'396',24.54,4,2,1),(28,7124333,'1987-11-03 00:00:00',4,1,1,2005,'F','N','CENTRO','STA MARIA','RS','120201201316151431468633575122443222042',NULL,'9998',0.00,1,3,NULL),(28,7124341,'1992-05-05 00:00:00',4,1,10,2009,'M','N','JARDIM SAO DIMAS','S JOSÉ CAMPOS','SP','125102251215571431478811575122610137013',6136,'9998',53.40,4,3,NULL),(28,7124350,'1990-09-18 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','116164161216575431568612575122610122072',566,'9998',71.46,1,3,NULL),(28,7124384,'1993-08-12 00:00:00',4,1,12,2010,'F','N','BELA VISTA','S PAULO','SP','125252251216411411328831472115613267147',2424,'9998',68.47,1,3,NULL),(28,7124392,'1989-04-25 00:00:00',4,6,12,2006,'M','N','CENTRO','BAL CAMBORIÚ','SC','624212213116131411223654375124142122187',1939,'9998',67.69,4,3,NULL),(28,7124406,'1993-06-30 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241215372431426633591122610122012',2646,'270',64.87,1,3,NULL),(28,7124414,'1991-06-19 00:00:00',4,1,12,2008,'F','N','PADRE REUS','S LEOPOLDO','RS','120203201211472431537619575115610154047',9378,'9998',46.19,1,3,NULL),(28,7124422,'1992-03-03 00:00:00',4,1,12,2011,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','116161168117271431536514575124610122142',NULL,'9998',16.07,2,1,1),(28,7124430,'1992-12-06 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115141431326567241124610164062',18385,'307',37.69,1,2,1),(28,7124449,'1994-09-20 00:00:00',4,8,11,2011,'F','N','FLORESTA','JOINVILLE','SC','124242241115271431469913575122610121142',2021,'461',65.19,1,3,NULL),(28,7124457,'1995-04-14 00:00:00',4,1,11,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241214151431359939472122610144147',8298,'272',56.63,4,3,NULL),(28,7124473,'1986-01-06 00:00:00',2,1,12,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124112241217135431646644242134221424112',1984,'300',64.82,1,3,NULL),(28,7124481,'1991-10-15 00:00:00',4,1,12,2008,'M','N','PONTAL DO SUL','PONTAL PARANÁ','PR','116163161137111431535531345324610134115',13188,'9998',48.72,1,3,NULL),(28,7124511,'1965-04-10 00:00:00',2,1,12,1987,'M','N','AREIAS','S JOSÉ','SC','124231245117131431124444242334321937093',17914,'301',39.17,1,2,1),(28,7124520,'1993-04-13 00:00:00',2,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241215373431227624375114610132112',8701,'1022',49.33,1,3,NULL),(28,7124538,'1991-03-29 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','116162161217574431449712375112610132087',666,'9998',73.40,1,3,NULL),(28,7124562,'1990-11-15 00:00:00',2,15,12,2008,'M','N','CENTRO','PTO ALEGRE','RS','120201201116372431236619271124241427072',11820,'9998',42.92,1,2,1),(28,7124570,'1993-08-31 00:00:00',4,1,10,2011,'M','N','GRAGERU','ARACAJU','SE','126262261217271431489811575122610126082',826,'9998',70.83,1,3,NULL),(28,7124589,'1994-02-04 00:00:00',4,8,12,2011,'F','N','SANTA CATARINA','JOINVILLE','SC','124241241115131731429314575124610152017',8719,'466',46.18,4,2,1),(28,7124597,'1994-07-30 00:00:00',2,3,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241415131421547512285124610164112',NULL,'53',29.69,1,3,NULL),(28,7124600,'1994-06-07 00:00:00',2,1,12,2011,'F','N','BOM VIVER','BIGUAÇU','SC','124242241215111711436613595114610164083',15199,'1022',36.23,1,3,NULL),(28,7124627,'1992-04-28 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115273431538611285124610132187',11192,'257',51.80,1,2,1),(28,7124635,'1989-12-16 00:00:00',2,15,12,2006,'F','N','CRISTAL','PTO ALEGRE','RS','120202201216371431256821241134143137022',5588,'9998',53.90,1,3,NULL),(28,7124643,'1994-02-15 00:00:00',2,22,12,2011,'F','N','SOUZA CRUZ','BRUSQUE','SC','124242241215171431476631575112610131093',14955,'109',35.71,1,3,NULL),(28,7124651,'1994-10-31 00:00:00',4,1,11,2011,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124203241216141431328732295125610137043',12312,'259',41.60,1,3,NULL),(28,7124660,'1993-06-18 00:00:00',2,5,7,2011,'M','N','MICHEL','CRICIÚMA','SC','124241246217111211448412575114613214112',12540,'995',42.76,1,3,NULL),(28,7124732,'1994-08-18 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215161431536524595124610124042',NULL,'1049',22.07,1,3,NULL),(28,7124740,'1995-01-10 00:00:00',2,26,12,2011,'F','N','CENTRO','IPUMIRIM','SC','124241241117471731326634574325610163057',NULL,'374',19.08,1,2,1),(28,7124759,'1993-11-14 00:00:00',4,1,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215111521449912575122610157092',19816,'226',30.17,1,3,NULL),(28,7124767,'1993-09-05 00:00:00',4,8,12,2010,'F','N','BUCAREIN','JOINVILLE','SC','124242241216372441337831375124610144142',NULL,'1016',0.00,1,3,NULL),(28,7124783,'1984-01-23 00:00:00',4,24,12,2001,'M','N','ALTO AREADO','AGRONÔMICA','SC','124241241346131711523316485125610167042',NULL,'654',0.00,1,3,NULL),(28,7124805,'1991-04-25 00:00:00',4,1,12,2008,'M','N','PARQUE VERDE','CASCAVEL','PR','116163161215575431246734572113610127127',4044,'9998',54.75,3,3,NULL),(28,7124813,'1991-02-27 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242247235231421335824242124130264197',15337,'9999',44.96,1,3,NULL),(28,7124821,'1994-02-24 00:00:00',2,1,12,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124244241216111431448611395114610114142',12476,'1022',43.77,1,3,NULL),(28,7124830,'1994-12-05 00:00:00',2,15,11,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124242241315211431448852185122610145147',NULL,'26',0.00,4,3,NULL),(28,7124848,'1988-06-21 00:00:00',4,27,12,2005,'F','N','CENTRO HISTÓRICO','PTO ALEGRE','RS','120242241211471431336639592114131264047',NULL,'752',37.67,1,3,NULL),(28,7124856,'1990-04-10 00:00:00',4,1,10,2008,'M','N','RIO TAVRES','FLORIANÓPOLIS','SC','124243247241131421469613345124230256112',NULL,'9999',22.53,4,3,NULL),(28,7124864,'1994-01-28 00:00:00',4,1,12,2010,'M','N','PARQUE ALVORADA','DOURADOS','MS','112122121216472431368811575121610167012',772,'9998',70.25,1,3,NULL),(28,7124872,'1995-03-18 00:00:00',2,1,11,2012,'F','S','NOSSA SENHORA DO ROS','S JOSÉ','SC','124241241215111432433312242134610168097',NULL,'1022',36.59,1,3,NULL),(28,7124880,'1994-04-21 00:00:00',2,6,12,2010,'F','N','RIO DO PEIXE','LUIZ ALVES','SC','124241241122161611426616385114131417053',NULL,'536',19.07,1,2,1),(28,7124899,'1993-01-04 00:00:00',2,1,12,2010,'M','N','FORQUILHAS','S JOSÉ','SC','124242241117372431355924445134130232141',7209,'739',53.78,1,3,NULL),(28,7124902,'1993-01-01 00:00:00',2,1,7,2011,'M','N','BOA VISTA','RIO SUL','SC','124242247217211431427834592124610127057',19972,'9999',28.57,1,3,NULL),(28,7124910,'1994-05-18 00:00:00',4,2,12,2011,'F','N','CENTRO','BLUMENAU','SC','124242241217131431239923595115610143182',NULL,'87',14.81,1,3,NULL),(28,7124937,'1994-03-06 00:00:00',2,8,10,2011,'F','N','CENTRO','CURITIBA','PR','116242161216471431479912115125610164142',NULL,'9998',0.00,1,3,NULL),(28,7124945,'1994-08-19 00:00:00',4,15,12,2011,'F','N','SÃO LUIS','SOMBRIO','SC','124241241115131531426921212124610124147',19051,'1033',23.96,1,2,1),(28,7124961,'1995-02-03 00:00:00',2,24,11,2011,'F','N','INDEPENDENCIA','POUSO REDONDO','SC','124241241215113431633719595122610122187',4316,'991',58.10,1,3,NULL),(28,7124970,'1994-03-11 00:00:00',4,1,12,2011,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','121243211217111411226721342122610152195',NULL,'9998',46.25,1,3,NULL),(28,7124988,'1987-06-28 00:00:00',4,1,7,2005,'F','N','CAMPINAS','S JOSÉ','SC','124244241236571431239322575114610167182',7035,'1076',58.77,1,3,NULL),(28,7125003,'1993-05-17 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124252251237472431469912571124610131142',4882,'9998',57.14,1,3,NULL),(28,7125020,'1992-08-07 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573731239914585121610137041',5023,'270',62.00,1,3,NULL),(28,7125038,'1994-08-04 00:00:00',2,7,12,2011,'F','N','CENTRO','SALTO VELOSO','SC','124241241116271411446613242122610123072',6120,'684',52.70,1,2,1),(28,7125046,'1995-03-28 00:00:00',4,6,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215112431369911415122610136192',9430,'9997',46.66,1,3,NULL),(28,7125070,'1990-07-10 00:00:00',4,1,12,2008,'F','N','JARDIM PAULISTA','RIBEIRÃO PRETO','SP','125252251215573431448831575122610127077',877,'9998',68.63,1,3,NULL),(28,7125089,'1993-05-08 00:00:00',4,1,11,2010,'F','N','TERRAS DE PIRACICABA','PIRACICABA','SP','125253251217471411568939585122610135147',15590,'9998',32.66,1,3,NULL),(28,7125097,'1993-09-19 00:00:00',4,8,11,2010,'F','N','AGUA VERDE','CURITIBA','PR','116162161216471431248824572122610134127',4639,'9998',54.83,1,3,NULL),(28,7125100,'1994-11-11 00:00:00',2,5,11,2011,'M','N','NOSSA SRA DA SALETE','CRICIÚMA','SC','124242241215111431449923575112610126052',4010,'226',58.57,1,3,NULL),(28,7125119,'1995-08-15 00:00:00',4,4,11,2012,'F','S','CENTRO','XANXERÊ','SC','124242241215111431443632375122610112042',NULL,'836',42.36,1,3,NULL),(28,7125127,'1995-09-27 00:00:00',2,1,11,2011,'F','N','CENTRO HISTÓRICO','S JOSÉ','SC','124242241215111731336923575124610136042',14568,'1011',37.57,1,3,NULL),(28,7125151,'1994-09-30 00:00:00',4,1,12,2011,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215111431358933575124610127052',4740,'270',56.93,1,3,NULL),(28,7125160,'1986-06-14 00:00:00',2,15,12,2004,'M','N','SANGA DA TOCA','ARARANGUÁ','SC','124241241127231431423329255123610128012',19560,'852',32.30,1,2,1),(28,7125186,'1993-05-12 00:00:00',4,16,12,2010,'M','N','CENTRO','S CRISTÓVÃO SUL','SC','124241242115371421433723342124610134052',NULL,'1222',16.25,3,2,1),(28,7125194,'1983-10-16 00:00:00',2,1,12,2001,'F','N','BOM VIVER','BIGUAÇU','SC','124241241142375431536417445124122262197',15336,'66',44.96,1,3,NULL),(28,7125208,'1987-10-18 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216152111348629415122133264145',17198,'270',41.03,4,3,NULL),(28,7125216,'1994-03-14 00:00:00',4,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111411348714375122610167142',9958,'1198',53.79,1,3,NULL),(28,7125224,'1994-11-16 00:00:00',4,4,11,2011,'M','N','CENTRO','IÇARA','SC','124242241215272431446812571124610127112',7527,'226',49.52,1,3,NULL),(28,7125240,'1994-07-25 00:00:00',4,1,11,2011,'M','N','SQN','BRASÍLIA','DF','107272071216111731388813595122610167052',3510,'9998',60.07,4,3,NULL),(28,7125259,'1993-02-02 00:00:00',2,2,11,2010,'F','N','VELHA','BLUMENAU','SC','124241241215371431448632445114130234192',11642,'88',51.10,1,3,NULL),(28,7125267,'1992-12-30 00:00:00',2,8,12,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242247237251531369934485124233214042',16652,'9999',42.31,1,3,NULL),(28,7125275,'1993-05-07 00:00:00',4,1,12,2010,'F','N','BOA VISTA','S JOSÉ R PRETO','SP','125252251216471731368623574112110167126',6673,'9998',51.86,1,3,NULL),(28,7125283,'1994-04-14 00:00:00',4,2,12,2011,'M','N','MERCES','CURITIBA','PR','116162161211111411568714575122610122192',NULL,'9998',0.00,1,3,NULL),(28,7125291,'1993-11-26 00:00:00',4,1,11,2011,'F','N','ALTO DA BOA VISTA','RIBEIRÃO PRETO','SP','125252251215111431458819575122610113182',14595,'9998',37.50,1,3,NULL),(28,7125305,'1990-12-28 00:00:00',4,8,12,2008,'F','N','MOEMA','S PAULO','SP','125252251217471411457812373112142413177',NULL,'9998',0.00,1,3,NULL),(28,7125313,'1993-12-04 00:00:00',4,2,11,2011,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215112431458813435112610167042',495,'909',74.38,1,3,NULL),(28,7125330,'1994-08-13 00:00:00',4,5,11,2011,'M','N','MINHA BRASIL','CRICIÚMA','SC','124251241217111321558934572122610167181',14946,'226',37.09,1,3,NULL),(28,7125348,'1994-08-31 00:00:00',2,1,12,2011,'F','N','CENTRO','PTO UNIÃO','SC','124242241217112411348921295122610136032',2032,'633',62.62,1,3,NULL),(28,7125364,'1994-04-29 00:00:00',4,22,11,2011,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215122431547464375122610137122',7083,'109',52.39,1,3,NULL),(28,7125372,'1992-07-09 00:00:00',2,1,12,2009,'M','N','CATOLÉ','CAMPINA GRANDE','PB','115152151217472211234923595122610164087',4353,'9998',58.12,4,3,NULL),(28,7125380,'1994-08-02 00:00:00',2,23,12,2011,'F','N','CENTRO','JARAGUÁ SUL','SC','124241241116371411458413571124610123187',17527,'435',31.16,1,2,1),(28,7125399,'1992-04-30 00:00:00',4,8,11,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124244241115373431457614445112610168092',13267,'307',48.60,1,3,NULL),(28,7125402,'1993-05-04 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124114161415572432234926175114610164077',10090,'9998',48.56,1,3,NULL),(28,7125429,'1994-09-13 00:00:00',2,1,1,2012,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241117471752323668592244610125026',NULL,'281',NULL,4,2,1),(28,7125437,'1994-08-14 00:00:00',4,1,12,2011,'F','N','OESTE','GOIÂNIA','GO','109092091217111731278822575122610121092',8073,'9998',48.49,1,3,NULL),(28,7125445,'1993-10-11 00:00:00',2,1,12,2011,'M','N','JD SUISSA','S ROQUE','SP','125251251116471431523327145322610165037',NULL,'9998',0.00,4,2,1),(28,7125453,'1994-05-08 00:00:00',2,10,12,2011,'F','N','PROTASIO ALVES','PTO ALEGRE','RS','120201201117471131536431311124610124142',NULL,'9998',22.61,1,2,1),(28,7125470,'1994-05-27 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117471211425624345124610166142',12242,'1248',43.14,1,2,1),(28,7125488,'1993-11-29 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241415111431226624382124610133184',19229,'976',23.64,1,3,NULL),(28,7125496,'1994-08-13 00:00:00',4,8,12,2011,'F','N','BRASILIA','S BENTO SUL','SC','124241241115371431536534271224610127177',14212,'697',39.22,1,2,1),(28,7125518,'1993-07-03 00:00:00',4,1,12,2011,'F','N','RATONES','FLORIANÓPOLIS','SC','121242211215111731279911575112610133093',14249,'9998',39.60,1,3,NULL),(28,7125526,'1993-09-26 00:00:00',4,1,12,2010,'F','N','JARDIM UMARIZAL','S PAULO','SP','125252251216571751468821575115610162036',7014,'9998',51.54,1,3,NULL),(28,7125534,'1989-01-21 00:00:00',4,15,12,2006,'M','N','SÃO SIMÃO','CRICIÚMA','SC','124244241216113531459811445125231467042',11227,'213',51.74,1,3,NULL),(28,7125542,'1994-08-02 00:00:00',2,10,12,2011,'F','N','VILA ALVORADA','IMBITUBA','SC','124241241115271731334313575122610123112',NULL,'1034',21.41,1,2,1),(28,7125550,'1994-01-21 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111411377934574122610165072',56,'909',79.62,1,3,NULL),(28,7125569,'1990-08-31 00:00:00',4,1,12,2007,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215574431378863575122221566192',5603,'262',61.32,1,3,NULL),(28,7125585,'1995-03-29 00:00:00',4,4,12,2011,'F','N','BATEL','CURITIBA','PR','124162161215111431454432495124610125182',NULL,'185',0.00,1,3,NULL),(28,7125593,'1994-07-15 00:00:00',2,1,12,2011,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215111431537879575112610163052',NULL,'737',26.06,1,3,NULL),(28,7125607,'1980-10-08 00:00:00',4,8,12,1999,'F','N','PIRABEIRABA','JOINVILLE','SC','224212211215412411233351475122341365092',14344,'9998',46.88,1,3,NULL),(28,7125615,'1994-04-22 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124243241212472431469914242122610143052',3781,'983',58.03,1,3,NULL),(28,7125623,'1994-09-10 00:00:00',4,1,11,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124162241215112431468932395114610124142',9272,'1022',50.03,1,3,NULL),(28,7125631,'1993-09-21 00:00:00',4,8,11,2011,'F','N','ATIRADORES','JOINVILLE','SC','124244241215111431348872571122610113072',13333,'1063',42.46,1,3,NULL),(28,7125658,'1994-12-24 00:00:00',4,1,11,2011,'F','N','CENTRO','PALHOÇA','SC','124242241215371431489912575114610132125',2803,'270',62.43,1,3,NULL),(28,7125666,'1994-06-26 00:00:00',4,1,12,2011,'M','N','IPIRANGA','S JOSÉ','SC','124242241211111431457912575122610124087',NULL,'976',12.82,1,3,NULL),(28,7125682,'1995-01-28 00:00:00',4,1,12,2011,'M','N','JARDIM DELTA','LONDRINA','PR','116162161217111431469923472122610164177',3104,'9998',66.63,1,3,NULL),(28,7125690,'1993-05-11 00:00:00',4,1,12,2010,'M','N','ARIRIRU','PALHOÇA','SC','124241241127132421533633595124231117047',NULL,'592',0.00,1,2,1),(28,7125704,'1987-09-20 00:00:00',4,1,12,2004,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224242241226112411357743335122231026145',NULL,'809',0.00,1,3,NULL),(28,7125712,'1992-08-09 00:00:00',2,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241417112751337871215221610135187',16150,'407',34.81,1,3,NULL),(28,7125739,'1995-01-25 00:00:00',4,7,12,2011,'M','N','MENINO DEUS','JOAÇABA','SC','124242241215111431468954575122610127042',19937,'962',28.93,1,3,NULL),(28,7125747,'1992-01-04 00:00:00',2,6,12,2009,'F','N','APARECIDA','SANTOS','SP','125252251216571431336829275114143246192',4470,'9998',56.22,4,3,NULL),(28,7125755,'1991-10-26 00:00:00',4,6,12,2008,'F','N','SAO JUDAS','ITAJAÍ','SC','124241241217141721536734145135610167057',NULL,'1172',25.87,2,3,NULL),(28,7125763,'1994-10-07 00:00:00',4,1,12,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','624241241435111441668572375124610116192',2249,'270',65.53,1,3,NULL),(28,7125771,'1994-07-29 00:00:00',4,1,12,2011,'M','N','CENTRO','NOVA ANDRADINA','MS','112122161247111431458813475125610127052',4210,'9998',58.44,1,3,NULL),(28,7125780,'1991-06-21 00:00:00',4,4,12,2008,'F','N','NEVA','CASCAVEL','PR','116162161215571451347619575122610138122',5659,'9998',54.13,1,3,NULL),(28,7125801,'1994-09-16 00:00:00',4,8,11,2011,'M','N','SAGUAÇU','JOINVILLE','SC','124242241217121751658719575124610167057',19109,'1016',34.85,1,3,NULL),(28,7125810,'1992-05-18 00:00:00',4,8,12,2009,'M','N','CENTRO','LONDRINA','PR','116162161217571431658811575114610134177',NULL,'9998',0.00,3,3,NULL),(28,7125828,'1987-07-26 00:00:00',2,3,11,2004,'F','N','MEIA PRAIA','ITAPEMA','SC','124204201216111531228744445334510138097',NULL,'9998',0.00,4,3,NULL),(28,7125836,'1992-03-13 00:00:00',4,8,12,2010,'M','N','ATIRADORES','JOINVILLE','SC','124241248116271732226921415114610118047',NULL,'479',18.25,1,3,NULL),(28,7125844,'1994-12-10 00:00:00',4,5,12,2011,'F','N','CENTRO','MRO FUMAÇA','SC','124244241117371431553914342224610126142',NULL,'567',0.00,1,3,NULL),(28,7125852,'1990-12-20 00:00:00',2,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241127131331523344241234610137082',NULL,'257',19.72,4,2,1),(28,7125860,'1994-10-13 00:00:00',4,8,11,2011,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241212152411246923575125610156182',3947,'461',57.18,1,3,NULL),(28,7125887,'1996-03-07 00:00:00',4,4,11,2012,'F','S','LA SALLE','XANXERÊ','SC','124242241215111431456912475122610121042',NULL,'836',41.25,1,3,NULL),(28,7125895,'1993-10-04 00:00:00',2,22,10,2010,'F','N','CENTRO','JACAREZINHO','PR','116161161215471431568815575121610167032',NULL,'9998',0.00,1,3,NULL),(28,7125909,'1994-07-27 00:00:00',2,1,12,2011,'F','N','CENTRO','ANGELINA','SC','124241241115111431634512395124610166147',9603,'17',45.18,1,2,1),(28,7125917,'1993-01-27 00:00:00',2,24,11,2010,'F','N','MOSQUITO','AGRONÔMICA','SC','124241241215271711426923572124610124147',17165,'991',32.79,1,3,NULL),(28,7125925,'1994-03-22 00:00:00',4,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431448614575124610113197',6319,'270',53.22,1,3,NULL),(28,7125933,'1992-07-19 00:00:00',4,1,12,2009,'M','N','SANTO AMARO','S PAULO','SP','125252251216572331478831571112610137047',198,'9998',76.21,1,3,NULL),(28,7125941,'1992-08-25 00:00:00',4,4,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241215574751548819572122610144097',2770,'1065',63.63,4,3,NULL),(28,7125950,'1993-08-13 00:00:00',4,1,12,2010,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215273431456712575112610137042',5870,'270',54.35,1,3,NULL),(28,7125968,'1994-09-29 00:00:00',4,2,12,2011,'F','N','CENTRO','BLUMENAU','SC','124242241215111411438612585122610134047',2538,'71',62.44,1,3,NULL),(28,7125976,'1994-05-22 00:00:00',4,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','624242241216111431358724575124610114017',4399,'270',58.56,1,3,NULL),(28,7125984,'1994-02-20 00:00:00',4,10,11,2011,'F','N','HUMAITÁ','TUBARÃO','SC','124242241115372431328814575125610137072',3026,'797',61.91,1,3,NULL),(28,7125992,'1994-07-10 00:00:00',2,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241111161431336633382124610123147',NULL,'278',18.46,4,1,1),(28,7126000,'1993-07-19 00:00:00',4,10,11,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215472431466821575112610162122',13385,'807',48.42,1,3,NULL),(28,7126026,'1991-04-24 00:00:00',2,1,12,2010,'M','N','HAMBURGO VELHO','NOVO HAMBURGO','RS','120201201117471431356364575214610167187',NULL,'9998',0.00,1,3,NULL),(28,7126034,'1992-04-15 00:00:00',4,1,12,2009,'M','N','CENTRO','S VICENTE','SP','125254251216572431256827575124610162147',6339,'9998',49.71,2,3,NULL),(28,7126042,'1988-04-26 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431417618385124323266077',1695,'272',65.87,1,3,NULL),(28,7126050,'1994-10-23 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217151431369929575115610134077',3214,'262',62.48,1,3,NULL),(28,7126069,'1992-02-08 00:00:00',4,1,12,2009,'M','N','JARDINS FLORENÇA','GOIÂNIA','GO','109092091217571411489921575112610168186',2598,'9998',62.45,1,3,NULL),(28,7126085,'1992-08-12 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241117271431226344445124610144015',13886,'1248',37.48,1,2,1),(28,7126093,'1994-12-05 00:00:00',4,1,12,2011,'F','N','PRAINHA','FLORIANÓPOLIS','SC','124242241217111751436833575124610163195',7560,'1022',57.85,1,3,NULL),(28,7126107,'1995-06-03 00:00:00',4,1,12,2012,'F','S','AREIAS','S JOSÉ','SC','124243241115111751339513575124610124067',NULL,'271',33.26,1,3,NULL),(28,7126115,'1992-10-18 00:00:00',2,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241215121441336634572124610124181',NULL,'300',22.32,1,3,NULL),(28,7126123,'1994-08-24 00:00:00',4,8,12,2011,'M','N','VILA SANTANA','SOROCABA','SP','125252251215121431259934576112610137042',377,'9998',73.44,1,3,NULL),(28,7126131,'1994-02-25 00:00:00',4,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241215111431667813575122610168077',4367,'272',59.71,1,3,NULL),(28,7126140,'1991-11-08 00:00:00',4,1,12,2009,'M','N','BOA VISTA','BIGUAÇU','SC','124241241116134431323314445113610122177',18974,'65',35.39,1,3,NULL),(28,7126158,'1990-08-16 00:00:00',2,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241214174431456613245124121267042',9020,'272',55.41,4,3,NULL),(28,7126166,'1993-07-15 00:00:00',4,1,12,2010,'F','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251215471421266824571122610162092',1093,'9998',68.19,1,3,NULL),(28,7126174,'1994-10-31 00:00:00',2,15,12,2011,'M','N','CENTRO','SOMBRIO','SC','124241241215111411434712225122610162182',NULL,'770',29.51,1,3,NULL),(28,7126182,'1993-12-10 00:00:00',4,7,12,2011,'M','N','ILHA','JOAÇABA','SC','124281241215111431446639371114610117182',18079,'962',38.67,1,3,NULL),(28,7126204,'1994-01-03 00:00:00',2,8,12,2010,'F','N','GLORIA','JOINVILLE','SC','124282241216472731668612572122610164182',1112,'1063',67.72,3,3,NULL),(28,7126220,'1993-12-09 00:00:00',4,9,11,2011,'F','N','CENTRO','LAGES','SC','124243241215111431326531575114610124012',4879,'1207',56.20,4,3,NULL),(28,7126239,'1994-09-14 00:00:00',4,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215272431258924575124610167072',9898,'272',46.68,1,3,NULL),(28,7126255,'1993-12-05 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124241241131141411556469241124610135072',14655,'732',37.91,1,2,1),(28,7126263,'1994-07-25 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241135371231633311575124610132145',NULL,'298',20.40,1,3,NULL),(28,7126271,'1993-08-30 00:00:00',4,1,11,2011,'M','N','BOA ESPERANÇA','CUIABÁ','MT','111112111237121451569813595122610138142',4435,'9998',55.40,1,3,NULL),(28,7126280,'1993-10-03 00:00:00',2,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215272751456924572124122543182',1945,'270',63.21,1,3,NULL),(28,7126298,'1993-09-18 00:00:00',4,1,12,2011,'F','N','SÃO LUIZ','S JOSÉ','SC','124241241117141432536714175124610123077',19907,'733',29.25,1,2,1),(28,7126301,'1995-01-17 00:00:00',4,4,11,2011,'F','N','PARQUE VERDE','CAFELÂNDIA','PR','116162161216111731479934475122610161052',NULL,'9998',18.43,1,3,NULL),(28,7126310,'1994-11-10 00:00:00',4,4,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215272421358824585122610111177',NULL,'226',33.58,1,3,NULL),(28,7126328,'1991-08-30 00:00:00',2,1,12,2009,'F','N','PACHECO','PALHOÇA','SC','124241241117233421523311445124610168181',13154,'592',42.73,1,2,1),(28,7126352,'1994-05-30 00:00:00',4,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124241241114131431423734242124610118027',NULL,'1116',19.09,1,2,1),(28,7126360,'1992-09-01 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241112372431433923372125610167041',4647,'949',59.50,1,3,NULL),(28,7126387,'1994-07-13 00:00:00',4,1,11,2011,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215122431448729575124610123071',11907,'270',43.20,1,3,NULL),(28,7126395,'1991-09-29 00:00:00',2,1,12,2010,'M','N','IGRA NORTE','TORRES','RS','120251201115161711337714474112610168051',20138,'9998',24.82,4,2,1),(28,7126409,'1992-10-14 00:00:00',2,17,11,2009,'F','N','CENTRO','S MATEUS SUL','PR','116161161216472731447813275124610148183',19391,'9998',33.38,1,3,NULL),(28,7126425,'1989-04-19 00:00:00',4,8,12,2006,'M','N','ABRANCHES','CURITIBA','PR','116162161211562431468812571124610116112',NULL,'9998',0.00,1,3,NULL),(28,7126441,'1994-09-22 00:00:00',4,1,11,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431458932595122610127052',4258,'270',59.60,1,3,NULL),(28,7126450,'1994-09-22 00:00:00',4,6,11,2011,'M','N','BOMBAS','BOMBINHAS','SC','124242241215161321436629375124610161187',17140,'948',41.17,3,3,NULL),(28,7126468,'1993-08-13 00:00:00',4,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','124241241115472711448931272124610124017',3058,'146',60.39,1,2,1),(28,7126484,'1994-02-12 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431689814475122610144015',NULL,'211',33.90,1,3,NULL),(28,7126514,'1993-10-20 00:00:00',4,1,12,2011,'M','N','SÃO JOAQUIM','VINHEDO','SP','125252251217111431489814475122610162016',4181,'9998',54.73,1,3,NULL),(28,7126522,'1993-01-04 00:00:00',4,1,12,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242281415271531389911575122610167032',2873,'9998',67.22,1,3,NULL),(28,7126530,'1994-08-06 00:00:00',2,1,12,2011,'F','N','CENTRO','S BONIFÁCIO','SC','124241241121111411433923572125610136142',12950,'702',39.10,1,2,1),(28,7126549,'1994-12-18 00:00:00',4,15,12,2011,'F','N','CENTRO','PR GRANDE','SC','124241241117341432346923475121610137147',NULL,'641',0.00,1,3,NULL),(28,7126557,'1991-03-26 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','120202201117572431369933575124610167055',3194,'9998',60.17,1,3,NULL),(28,7126565,'1993-07-03 00:00:00',4,8,12,2010,'F','N','IRIRIÚ','JOINVILLE','SC','124242241215473731424612575114610124197',3865,'1016',58.32,1,3,NULL),(28,7126581,'1995-09-25 00:00:00',2,8,11,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241216111431478812275112610162012',18364,'457',37.74,1,3,NULL),(28,7126590,'1994-05-20 00:00:00',4,1,10,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215121431348663575124610134097',7043,'1197',51.33,1,3,NULL),(28,7126611,'1994-02-25 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111731339813472122610147062',9745,'737',48.36,1,3,NULL),(28,7126620,'1995-04-15 00:00:00',2,8,12,2011,'F','N','GLORIA','JOINVILLE','SC','124282241215112431668612572122610138192',1557,'1063',65.25,3,3,NULL),(28,7126638,'1992-07-16 00:00:00',4,1,12,2009,'F','N','ITACURUBI','FLORIANÓPOLIS','SC','624242241235373431479923575124230444095',5721,'1022',56.27,1,3,NULL),(28,7126646,'1994-06-28 00:00:00',2,1,10,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111731358812575122610118042',9038,'273',48.65,1,3,NULL),(28,7126654,'1992-08-12 00:00:00',2,1,12,2009,'F','N','CENTRO','FRAIBURGO','SC','124241241217371731328624572124242634077',NULL,'885',0.00,1,3,NULL),(28,7126670,'1995-09-18 00:00:00',4,4,12,2011,'M','N','CENTRO','ITÁ','SC','124241241115111331339632291124610124192',NULL,'384',21.51,1,2,1),(28,7126697,'1993-01-15 00:00:00',4,1,12,2010,'F','N','ACLIMAÇÃO','S PAULO','SP','125253256117472731356621575124610167187',6171,'9998',50.77,1,3,NULL),(28,7126700,'1995-01-15 00:00:00',2,4,12,2011,'M','N','CENTRO','VARGEÃO','SC','124241241116161431338834572121610167057',15393,'824',35.43,1,3,NULL),(28,7126719,'1994-06-20 00:00:00',4,1,12,2011,'M','N','VILA LÍDIA','CAMPINAS','SP','125252251216111331468914575124610137042',1641,'9998',64.42,1,3,NULL),(28,7126727,'1993-04-29 00:00:00',4,1,12,2010,'F','N','FERRAZ','GAROPABA','SC','124241241217371431538819375124610123077',5017,'270',56.34,1,3,NULL),(28,7126735,'1993-06-12 00:00:00',4,8,12,2011,'F','N','GLÓRIA','JOINVILLE','SC','124241241115371711447579592124610166172',NULL,'475',18.04,1,2,1),(28,7126760,'1993-12-08 00:00:00',4,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124244241225131431326421375124610144117',5085,'262',56.01,1,3,NULL),(28,7126778,'1994-04-26 00:00:00',4,2,12,2011,'F','N','CENTRO','POMERODE','SC','124241241315111331368834575124610122072',14133,'855',37.87,1,3,NULL),(28,7126786,'1993-10-20 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216473431448911572122610167092',5271,'185',56.57,1,3,NULL),(28,7126816,'1985-11-20 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','224251257121472411223854275122610126192',10366,'9998',44.99,1,2,1),(28,7126824,'1993-10-20 00:00:00',4,1,12,2011,'F','N','JD MURILO','MOGI GUAÇU','SP','125252251116111431458833575122610166144',11891,'9998',50.70,1,3,NULL),(28,7126832,'1995-04-28 00:00:00',2,16,12,2011,'F','N','NOSSA S APARECIDA','CURITIBANOS','SC','124241241116141431436613345124610124172',11056,'239',42.24,1,2,1),(28,7126840,'1993-12-27 00:00:00',4,1,12,2011,'M','N','NOVO HORIZONTE','MARINGÁ','PR','116162161215371731479911315122610142097',7407,'9998',58.13,1,3,NULL),(28,7126859,'1995-05-24 00:00:00',2,1,11,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111751456924572124610143182',6099,'270',60.43,1,3,NULL),(28,7126875,'1993-12-16 00:00:00',4,1,12,2011,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124244241215111431468812575124610127042',5181,'883',56.37,1,3,NULL),(28,7126883,'1994-11-15 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241212111751428511576115610128192',NULL,'270',37.06,1,3,NULL),(28,7126891,'1994-04-01 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241216111431556914575122610168142',5638,'737',57.51,1,3,NULL),(28,7126905,'1994-04-23 00:00:00',4,15,10,2011,'F','N','SÃO LUIS','SOMBRIO','SC','124243241215121431546911575122610134192',8170,'26',50.77,1,3,NULL),(28,7126930,'1994-01-08 00:00:00',2,15,1,2012,'F','N','SANTA CATARINA','ARARANGUÁ','SC','124241241115131431413335572324610137055',15730,'30',37.04,1,2,1),(28,7126948,'1992-11-30 00:00:00',4,10,12,2010,'F','N','CENTRO','RIO FORTUNA','SC','124241241146472431536611475112610167047',12771,'665',40.19,1,2,1),(28,7126956,'1994-05-24 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431337924395115610164072',3091,'262',59.42,4,3,NULL),(28,7126964,'1995-05-20 00:00:00',4,1,12,2011,'M','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124241241215131431537734245122610134042',18509,'976',37.26,1,3,NULL),(28,7126972,'1994-04-12 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215271431388711585122610148042',4283,'262',56.68,1,3,NULL),(28,7126980,'1994-04-06 00:00:00',2,1,12,2011,'F','N','UMBARÁ','CURITIBA','PR','116162161217111431556934295134610161097',19181,'9998',34.45,1,3,NULL),(28,7126999,'1989-04-23 00:00:00',4,1,12,2006,'F','N','VILA SOUTO','BAURU','SP','125254251215571431569814215122143267077',2768,'9998',58.85,1,3,NULL),(28,7127006,'1994-03-14 00:00:00',2,1,11,2011,'F','N','COND FLORAIS CUIABÁ','CUIABÁ','MT','111112111236111431468612572122610134142',6603,'9998',50.72,1,3,NULL),(28,7127014,'1994-04-03 00:00:00',4,2,12,2011,'F','N','ALTO BENEDITO','BENEDITO NOVO','SC','124243241215131431326324575114610144047',NULL,'37',26.36,1,3,NULL),(28,7127022,'1964-09-19 00:00:00',4,1,11,1981,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','524242243216372421126641415132141262112',15911,'9998',43.86,1,3,NULL),(28,7127030,'1994-02-10 00:00:00',2,1,11,2011,'M','N','BAIRRO IPIRANGA','S JOSÉ','SC','124241241215111431336611575124610167067',NULL,'1118',23.91,1,3,NULL),(28,7127049,'1992-12-27 00:00:00',2,1,12,2010,'F','N','SARANDI','PTO ALEGRE','RS','120203201214471431338613331114610126097',12965,'9998',37.84,1,3,NULL),(28,7127057,'1994-01-01 00:00:00',4,1,12,2011,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241115151231336413575114610137112',17469,'1248',27.36,1,2,1),(28,7127065,'1986-07-04 00:00:00',4,1,9,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124073071417271421126742125123132168185',17254,'9998',40.88,4,3,NULL),(28,7127073,'1992-10-02 00:00:00',4,1,12,2010,'M','N','JUNDIAÍ MIRIM','JUNDIAÍ','SP','125252251216472431559931575122610167097',11386,'9998',51.50,1,3,NULL),(28,7127081,'1994-02-19 00:00:00',2,9,11,2011,'M','N','CENTRO','S JOAQUIM','SC','124242241215131431655836575122610127047',NULL,'721',18.34,3,3,NULL),(28,7127090,'1993-05-30 00:00:00',4,8,12,2010,'M','N','VILA MONTEIRO','PIRACICABA','SP','125253251215371431447814571122610164117',NULL,'9998',0.00,1,3,NULL),(28,7127103,'1996-01-17 00:00:00',4,1,12,2012,'M','S','MELLER SUL','STO ÂNGELO','RS','120242201217111431469614475122610127122',NULL,'9998',24.60,1,3,NULL),(28,7127111,'1991-08-08 00:00:00',4,1,12,2009,'M','N','LAPA','S PAULO','SP','125242241215273411559811571122133267042',2754,'1250',63.13,1,3,NULL),(28,7127120,'1990-08-21 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241115133731338511482114610133142',11189,'267',43.46,1,3,NULL),(28,7127138,'1992-03-20 00:00:00',4,8,12,2009,'M','N','BIGORRILHO','CURITIBA','PR','116162161237571411479933572114610164012',NULL,'9998',26.54,1,3,NULL),(28,7127154,'1994-08-24 00:00:00',2,3,12,2011,'F','N','FAZENDINHA','ARAUCÁRIA','PR','116161161215111231236614575112610144113',NULL,'9998',0.00,4,3,NULL),(28,7127162,'1989-02-09 00:00:00',2,1,6,2007,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241117131421424434345124610127067',14663,'739',36.43,1,2,1),(28,7127170,'1992-07-21 00:00:00',4,4,12,2009,'F','N','OURO VERDE','CEL FREITAS','SC','124241241115472431326624245124610118142',11445,'199',42.56,1,2,1),(28,7127189,'1988-12-18 00:00:00',2,1,12,2006,'M','N','CENTRO','BIGUAÇU','SC','124242248211473411488833335122132517041',5872,'270',53.96,1,3,NULL),(28,7127197,'1994-10-29 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215112731349633575122610138047',7187,'1133',51.39,1,3,NULL),(28,7127200,'1994-12-23 00:00:00',4,1,11,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215112431445934575124610164155',5635,'270',56.23,1,3,NULL),(28,7127219,'1993-11-03 00:00:00',4,8,11,2010,'F','N','BATEL','CURITIBA','PR','116162161216471431478614575122610112142',NULL,'9998',0.00,1,3,NULL),(28,7127235,'1993-01-01 00:00:00',4,4,11,2010,'F','N','CENTRO','PALMAS','PR','116162167216471421448811571124610126142',NULL,'9998',0.00,1,3,NULL),(28,7127243,'1994-03-10 00:00:00',2,6,11,2011,'F','N','ITAJUBA','BARRA VELHA','SC','124241241347111431523314575124610161042',NULL,'1176',0.00,1,3,NULL),(28,7127251,'1992-04-22 00:00:00',4,8,12,2009,'F','N','CENTRO','JOINVILLE','SC','124242241235472411429831585122610114187',7970,'1105',49.75,1,3,NULL),(28,7127260,'1994-11-10 00:00:00',2,5,12,2011,'F','N','SANTA BARBARA','CRICIÚMA','SC','124242241215111451368829595122610141072',NULL,'210',36.70,1,3,NULL),(28,7127286,'1991-04-17 00:00:00',2,1,12,2008,'F','N','AREIAS','PAULO LOPES','SC','124241241132373431323423432222610125052',NULL,'607',0.00,1,2,1),(28,7127294,'1994-05-12 00:00:00',4,8,11,2011,'M','N','IRIRIU','JOINVILLE','SC','124242246217271431226618585124610167057',13730,'1006',47.84,1,3,NULL),(28,7127308,'1994-12-01 00:00:00',4,25,12,2011,'F','N','SÃO CRISTOVÃO','CAÇADOR','SC','124243241315111431356611575122610157097',16468,'120',33.43,1,3,NULL),(28,7127316,'1991-09-25 00:00:00',2,1,12,2008,'F','N','CENTRO','PTE ALTA','SC','124244241436374431628932275124131324042',14096,'202',41.14,1,3,NULL),(28,7127324,'1994-06-18 00:00:00',2,3,12,2011,'M','N','PEREQUÊ','PTO BELO','SC','124243241317141732436612195121610137042',NULL,'405',27.36,1,3,NULL),(28,7127340,'1995-05-09 00:00:00',4,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241217161431554411215115610126141',NULL,'1175',17.65,1,3,NULL),(28,7127367,'1994-05-25 00:00:00',4,10,12,2011,'F','N','CENTRO','GR PARÁ','SC','124244241215151441424814385124610136172',1119,'950',67.20,1,3,NULL),(28,7127375,'1994-06-03 00:00:00',4,6,10,2011,'M','N','CENTRO','ITAJAÍ','SC','124242241215111531456612572112610127112',6624,'1026',51.38,1,3,NULL),(28,7127391,'1995-11-26 00:00:00',4,26,11,2012,'M','S','CENTRO','CONCÓRDIA','SC','124243241215111732269711575122610138186',NULL,'1000',40.91,1,3,NULL),(28,7127405,'1994-05-16 00:00:00',4,22,11,2011,'M','N','AGUAS CLARAS','BRUSQUE','SC','124242241216122411445532575122610163197',9357,'109',45.87,1,3,NULL),(28,7127413,'1994-05-03 00:00:00',2,1,12,2011,'M','N','CENTRO','ANGELINA','SC','124241241116161431436613435124610134147',9394,'17',48.69,1,3,NULL),(28,7127421,'1994-07-19 00:00:00',4,9,11,2011,'F','N','CENTRO','S JOAQUIM','SC','124242241216211431436912275122610122072',9506,'721',46.88,1,3,NULL),(28,7127430,'1992-03-28 00:00:00',4,1,12,2009,'F','N','SÃO JUDAS','S PAULO','SP','125252251217571411578811175125610127012',3424,'9998',57.97,1,3,NULL),(28,7127448,'1994-09-05 00:00:00',4,1,11,2011,'F','N','GUARANI MIRIM','MASSARANDUBA','SC','124244241217111431368832576124610168147',19692,'855',31.29,1,3,NULL),(28,7127456,'1991-04-09 00:00:00',2,1,12,2008,'M','N','FABRICIO','STO AMARO IMPERATRIZ','SC','124241241126371411521614441112610167062',NULL,'941',23.74,1,2,1),(28,7127472,'1994-06-10 00:00:00',2,3,12,2011,'M','N','CENTRO','AGROLÂNDIA','SC','124241242115131431523315575224610126187',13737,'129',47.83,1,3,NULL),(28,7127480,'1994-07-09 00:00:00',4,5,11,2011,'F','N','MINA DO MATO','CRICIÚMA','SC','124242241215111431468912575122610122142',12786,'210',49.31,1,3,NULL),(28,7127499,'1973-05-07 00:00:00',4,1,12,1990,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','224064061217111441227648385124140666117',841,'9998',74.90,1,3,NULL),(28,7127502,'1994-06-08 00:00:00',2,9,12,2011,'F','N','CENTRO','S JOAQUIM','SC','124243241216111431335623575122610126142',13826,'1207',40.34,1,3,NULL),(28,7127537,'1991-09-18 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431336612575124610124145',4247,'737',58.78,1,3,NULL),(28,7127545,'1995-06-08 00:00:00',4,26,12,2012,'F','S','CENTRO','CONCÓRDIA','SC','124242248215111731336611392122610138142',NULL,'1000',28.82,1,3,NULL),(28,7127570,'1995-01-15 00:00:00',4,1,12,2012,'F','S','MONTE VERDE','FLORIANÓPOLIS','SC','124242241215111731366933572124610117042',NULL,'270',40.50,1,3,NULL),(28,7127588,'1994-03-21 00:00:00',2,1,12,2011,'M','N','CENTRO','CAFELÂNDIA','PR','116161242115131632433929572222610167057',NULL,'24',18.12,1,3,NULL),(28,7127596,'1992-06-24 00:00:00',4,1,12,2009,'F','N','CENTRO','ETN VELHA','RS','120201201116131741226644345124610164092',NULL,'9998',21.26,1,2,1),(28,7127626,'1994-12-02 00:00:00',4,4,12,2011,'M','N','BOM SUCESSO','PALMITOS','SC','124241241116141431458912375122610137042',7032,'1030',48.40,1,3,NULL),(28,7127634,'1994-06-27 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431388833575112610143092',5479,'262',56.08,1,3,NULL),(28,7127677,'1985-12-09 00:00:00',4,15,11,2003,'F','N','MATO ALTO','ARARANGUÁ','SC','524241241112131432223644242322610164045',19496,'29',32.72,1,2,1),(28,7127693,'1992-03-16 00:00:00',4,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242246117372431546823471124222367042',146,'306',78.63,1,3,NULL),(28,7127707,'1992-11-11 00:00:00',2,1,11,2010,'F','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124242241215473431446912575122130422042',5648,'262',56.10,1,3,NULL),(28,7127715,'1994-02-25 00:00:00',4,1,12,2011,'M','N','ACLIMAÇÃO','S PAULO','SP','125252251216111431569914376124610167042',3515,'9998',57.27,1,3,NULL),(28,7127723,'1993-09-29 00:00:00',4,22,11,2011,'F','N','CENTRO','BRUSQUE','SC','124242241215111431668721575112610142142',11014,'1244',44.03,1,3,NULL),(28,7127731,'1994-10-14 00:00:00',4,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124242241217111211467814575124610164042',2522,'1011',63.75,1,3,NULL),(28,7127758,'1994-01-24 00:00:00',4,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241217131431323612175124610124192',9425,'300',48.55,1,3,NULL),(28,7127766,'1989-01-17 00:00:00',4,1,12,2006,'M','N','STA TEREZINHA','S PAULO','SP','125252258217572731458823575125610167057',481,'9998',71.47,4,3,NULL),(28,7127774,'1994-02-19 00:00:00',4,15,11,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124244241215111731257723572222610164092',3213,'226',59.41,1,3,NULL),(28,7127782,'1994-03-10 00:00:00',2,27,12,2011,'F','N','INTERIOR','ITAPIRANGA','SC','124241241116151431346833572122610122142',15276,'412',34.55,1,2,1),(28,7127790,'1991-09-23 00:00:00',2,8,12,2009,'F','N','CABRAL','CURITIBA','PR','116242241215372431259912572124141062142',10819,'1063',45.33,1,3,NULL),(28,7127804,'1992-12-24 00:00:00',2,1,11,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215472431468832575122610164142',1471,'270',66.46,1,3,NULL),(28,7127812,'1994-07-30 00:00:00',4,8,12,2011,'M','N','JARDIM SAO FRANCISCO','MARÍLIA','SP','125163251216111431579914575122610137087',13941,'9998',39.77,1,3,NULL),(28,7127820,'1994-10-23 00:00:00',4,1,12,2011,'M','N','PASSO DA AREIA','PTO ALEGRE','RS','120202201216271431579931311124610122122',NULL,'9998',0.00,1,3,NULL),(28,7127839,'1994-05-03 00:00:00',2,24,11,2011,'F','N','CENTRO','AGROLÂNDIA','SC','124241241215112311428613374124610127077',9710,'991',48.36,1,3,NULL),(28,7127847,'1994-05-18 00:00:00',4,10,11,2011,'M','N','OFICINAS','TUBARÃO','SC','124241241215111431224319175121610127057',NULL,'807',22.45,1,3,NULL),(28,7127855,'1993-07-08 00:00:00',4,1,11,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217372431469612572122131048182',3121,'270',62.69,1,3,NULL),(28,7127863,'1994-08-11 00:00:00',4,5,11,2011,'M','N','SANTA BÁRBARA','CRICIÚMA','SC','124244241215111431226824575125610127092',14842,'210',38.75,1,3,NULL),(28,7127880,'1993-08-09 00:00:00',4,5,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124243241211473731566971572112610132192',7747,'995',50.87,1,3,NULL),(28,7127901,'1994-05-11 00:00:00',4,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241211272441468932572124240666042',5199,'1000',56.05,1,3,NULL),(28,7127910,'1994-09-15 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215132431323419195122610126177',11986,'1010',41.27,1,3,NULL),(28,7127928,'1991-05-08 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117133532447513345123131427187',NULL,'257',17.81,1,2,1),(28,7127936,'1992-03-20 00:00:00',4,1,11,2009,'M','N','VILLAGIO CAPRICCIO','LOUVEIRA','SP','125254251237571411477512575112610166152',NULL,'9998',0.00,1,3,NULL),(28,7127944,'1980-08-19 00:00:00',2,1,12,1999,'M','N','VL OTÁCILIO CARDOSO','XAMBIOÁ','TO','227141145126131711533344445225610127043',NULL,'9998',0.00,2,1,1),(28,7127952,'1994-08-06 00:00:00',4,5,11,2011,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241217121431567811572112610114142',9167,'210',55.13,1,3,NULL),(28,7127979,'1987-09-20 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','624201201116271531321144145324610123182',18652,'9998',28.45,1,2,1),(28,7127995,'1995-01-28 00:00:00',2,1,12,2011,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124242241215111731446812575122610167182',17855,'989',39.32,1,3,NULL),(28,7128002,'1994-12-11 00:00:00',4,1,11,2011,'F','N','ARIRIÚ','PALHOÇA','SC','124241241215151431323319576124610164147',3825,'1218',57.77,1,3,NULL),(28,7128010,'1994-10-16 01:00:00',2,1,12,2011,'F','N','NOVO HORIZONTE','MARABÁ','PA','114144141236141731425774295324610122142',NULL,'9998',0.00,4,3,NULL),(28,7128029,'1992-08-12 00:00:00',2,1,12,2009,'M','N','PACHECOS','PALHOÇA','SC','124241241127231431521641315124610164147',19984,'1109',28.32,1,2,1),(28,7128037,'1994-07-05 00:00:00',4,8,12,2011,'F','N','VILA LEÃO','SOROCABA','SP','125252251216111431528774572222610162073',10086,'9998',45.65,1,3,NULL),(28,7128045,'1994-11-11 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216372531326614575124610117047',12822,'1198',46.61,1,3,NULL),(28,7128061,'1994-12-13 00:00:00',4,8,12,2011,'F','N','VILA ALBA','CPO GRANDE','MS','112122121215111731469911475112610113097',17262,'9998',40.87,1,3,NULL),(28,7128070,'1994-03-18 00:00:00',4,2,12,2011,'F','N','GARCIA','BLUMENAU','SC','124242241215111431438732572124610131197',17646,'87',39.89,1,3,NULL),(28,7128088,'1994-09-06 00:00:00',4,25,12,2011,'M','N','SÃO JOSÉ','FRAIBURGO','SC','124241241415131431437912475122610124097',9833,'885',46.10,4,3,NULL),(28,7128096,'1990-12-09 00:00:00',4,3,12,2008,'F','N','CENTRO','TOLEDO','MG','113252131116371731224923435112343232052',NULL,'9998',0.00,1,3,NULL),(28,7128100,'1993-11-09 00:00:00',2,10,12,2011,'M','N','OFICINAS','TUBARÃO','SC','124242241216111431458833475121610147181',NULL,'1120',23.25,1,3,NULL),(28,7128118,'1991-05-14 00:00:00',4,1,12,2009,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124244241216271431438414575112610117042',19420,'1022',33.23,1,3,NULL),(28,7128142,'1994-12-14 00:00:00',4,1,11,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241215112431368823572124610128042',5711,'270',54.83,1,3,NULL),(28,7128150,'1994-10-04 00:00:00',4,8,11,2011,'M','N','IRIRIU','JOINVILLE','SC','124252241215151431428634575114610162017',15492,'861',44.71,1,3,NULL),(28,7128177,'1995-05-09 00:00:00',4,8,12,2012,'F','S','SANTO ANTÔNIO','JOINVILLE','SC','124242241216111421429912445112610127185',NULL,'1063',37.49,1,3,NULL),(28,7128185,'1994-07-27 00:00:00',2,1,12,2011,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241215111441569933575112610158172',5031,'951',62.36,1,3,NULL),(28,7128207,'1994-10-26 00:00:00',4,1,10,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217272732669814575121610167045',544,'1051',74.35,1,3,NULL),(28,7128215,'1993-09-18 00:00:00',4,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124244241215472431458833575112610126192',4713,'1022',58.53,1,3,NULL),(28,7128231,'1995-02-16 00:00:00',4,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111411558613175125610134037',17512,'1118',40.26,1,3,NULL),(28,7128266,'1993-03-13 00:00:00',4,1,12,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111431648831575124610124185',10285,'883',44.46,1,3,NULL),(28,7128274,'1989-07-06 00:00:00',4,1,12,2006,'M','N','INTERLAGOS','S PAULO','SP','125252251216572731458611571122610167122',720,'9998',71.22,3,3,NULL),(28,7128282,'1994-08-15 00:00:00',2,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124241241215131431646932575124610127142',11328,'1077',43.07,1,3,NULL),(28,7128290,'1994-02-07 00:00:00',2,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124244241415111411339619572112610134142',11152,'1077',44.05,1,3,NULL),(28,7128304,'1994-05-03 00:00:00',4,1,10,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111411323321574114610167045',11249,'1051',42.95,1,3,NULL),(28,7128320,'1994-07-25 00:00:00',4,1,10,2011,'M','N','BATEL','CURITIBA','PR','116164161217121431578863174115610122112',NULL,'9998',0.00,1,3,NULL),(28,7128339,'1994-06-17 00:00:00',2,27,12,2010,'F','N','CENTRO','BELMONTE','SC','124241241126371411457833212125610164057',3343,'60',59.76,1,2,1),(28,7128347,'1979-01-28 00:00:00',4,1,12,1996,'F','N','PALHOCA','PALHOÇA','SC','224251251116132441225841415122332527092',19584,'9998',32.15,1,2,1),(28,7128355,'1995-08-09 00:00:00',4,1,12,2012,'F','S','KOBRASOL','S JOSÉ','SC','124242241215411431423332375122610123182',NULL,'944',24.45,1,3,NULL),(28,7128363,'1994-04-16 00:00:00',2,9,11,2011,'F','N','CENTRO','S JOAQUIM','SC','124242241115111731436612575112610123072',17688,'721',30.71,1,3,NULL),(28,7128371,'1994-12-15 00:00:00',2,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215421431435634285124610132141',7434,'1038',52.20,1,3,NULL),(28,7128380,'1994-05-13 00:00:00',4,5,11,2011,'F','N','DAS DAMAS','URUSSANGA','SC','124244241215151431456319575124610162172',NULL,'995',0.00,1,3,NULL),(28,7128398,'1993-08-31 00:00:00',2,1,12,2010,'F','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124241241122131431433634332124610137147',NULL,'329',27.85,1,3,NULL),(28,7128410,'1988-09-15 00:00:00',4,1,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161216371711568833572124341226182',7500,'9998',51.02,1,3,NULL),(28,7128428,'1990-11-24 00:00:00',4,1,12,2007,'M','N','CENTRO','LONDRINA','PR','116162161217572711359632575115610114097',1896,'9998',62.84,1,3,NULL),(28,7128436,'1995-02-19 00:00:00',2,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241217171731435611575124610162092',NULL,'9997',22.95,1,3,NULL),(28,7128452,'1993-11-27 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIN','PALHOÇA','SC','124243241115131431528633572122610147097',NULL,'592',0.00,1,3,NULL),(28,7128460,'1994-11-21 00:00:00',4,23,12,2011,'M','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124241241216151431449814475121610134047',10461,'1061',45.93,1,3,NULL),(28,7128487,'1992-05-23 00:00:00',2,1,12,2009,'M','N','ROÇADA','S JOSÉ','SC','124242241215373721558632142112610167072',15692,'738',44.32,1,3,NULL),(28,7128495,'1995-05-09 00:00:00',4,1,12,2012,'M','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111432458833595122610127045',NULL,'262',34.99,1,3,NULL),(28,7128509,'1994-09-22 00:00:00',2,1,12,2011,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241115112331426613245124610114092',NULL,'739',37.43,1,3,NULL),(28,7128517,'1994-06-25 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124243241215111531438613575124610134077',9195,'1134',46.98,1,3,NULL),(28,7128525,'1993-01-30 00:00:00',4,1,11,2009,'F','N','CENTRO','PALHOÇA','SC','124242241217573431459923574114610166177',79,'270',78.55,1,3,NULL),(28,7128533,'1993-01-10 00:00:00',4,8,12,2011,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241215131431523633571124610166142',NULL,'1006',18.49,2,3,NULL),(28,7128541,'1993-05-10 00:00:00',2,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431239923575114610127092',15903,'262',32.35,1,3,NULL),(28,7128568,'1987-09-18 00:00:00',2,1,12,2005,'F','N','KOBRASSOL','S JOSÉ','SC','124241241136132431123344342114610133147',NULL,'679',23.38,1,2,1),(28,7128576,'1994-03-06 00:00:00',2,5,12,2011,'F','N','LOTE SEIS','CRICIÚMA','SC','124244241215111231426632575122610114072',NULL,'213',31.27,1,3,NULL),(28,7128584,'1994-12-08 00:00:00',4,5,12,2011,'M','N','PIO CORREA','CRICIÚMA','SC','124242241216111431368939575122610117092',11025,'213',44.47,1,3,NULL),(28,7128592,'1989-09-09 00:00:00',4,1,12,2006,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251217371431488632485122343267044',3084,'9998',61.31,1,3,NULL),(28,7128606,'1994-02-22 00:00:00',4,8,12,2011,'F','N','CENTRO','PARANAVAÍ','PR','116162161216271431344531575122610146192',NULL,'9998',0.00,4,3,NULL),(28,7128614,'1994-07-27 00:00:00',4,1,12,2011,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241117161731539633595122610128142',16642,'21',33.15,1,2,1),(28,7128630,'1993-07-02 00:00:00',4,3,12,2011,'M','N','CENTRO','CAMBORIÚ','SC','124164243115131431226621342124610126097',NULL,'129',31.73,1,3,NULL),(28,7128649,'1994-01-26 00:00:00',4,6,11,2011,'F','N','ALTO RIO CANOAS','LUIZ ALVES','SC','124241241215112431633316171124610126192',1118,'1026',68.51,1,3,NULL),(28,7128657,'1994-04-11 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372431536832575345231462142',163,'836',78.77,1,3,NULL),(28,7128665,'1995-02-20 00:00:00',2,1,11,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111451346633375115610124093',13310,'1011',41.31,1,3,NULL),(28,7128673,'1982-12-25 00:00:00',2,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116374431334429342124231227052',14422,'293',46.71,1,2,1),(28,7128690,'1987-03-16 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211143421336639445132231437043',NULL,'1022',0.00,4,3,NULL),(28,7128703,'1994-11-28 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124164241215472731558413335124610114117',NULL,'1118',25.77,4,3,NULL),(28,7128711,'1995-06-13 00:00:00',2,3,12,2012,'M','S','CENTRO','ITAPEMA','SC','124244242114171431524831115121610127072',NULL,'129',45.85,1,3,NULL),(28,7128720,'1994-04-28 00:00:00',4,1,11,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241415113751448633575122610126187',2494,'270',60.41,1,3,NULL),(28,7128738,'1994-03-09 00:00:00',4,27,12,2011,'F','N','ZONA RURAL','STO ANTÔNIO SUDOESTE','PR','116161161116111731423316572124610131045',15606,'9998',35.00,1,2,1),(28,7128746,'1994-07-05 00:00:00',4,1,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121431458613335112610162147',NULL,'1038',0.00,1,3,NULL),(28,7128754,'1993-09-25 00:00:00',4,1,11,2011,'F','N','TREZA DE JULHO','ARACAJU','SE','126262261217111431448833575122610122112',1141,'9998',68.89,1,3,NULL),(28,7128762,'1994-12-19 00:00:00',2,1,12,2011,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241215151752436832185112610128142',NULL,'1074',35.66,1,3,NULL),(28,7128789,'1993-09-21 00:00:00',2,1,11,2011,'F','N','RATONES','FLORIANÓPOLIS','SC','124243241212111411226614475124610163142',15460,'270',38.35,1,3,NULL),(28,7128800,'1994-05-20 00:00:00',4,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124242241215121431336933575112610127042',2692,'1191',60.76,1,3,NULL),(28,7128819,'1993-12-22 00:00:00',2,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216412431456612575114610114077',8624,'273',50.14,1,3,NULL),(28,7128827,'1993-02-21 00:00:00',2,3,12,2010,'M','N','PRAIA BRAVA','ITAJAÍ','SC','124244241215472431456932575122610122112',5833,'9997',51.97,1,3,NULL),(28,7128835,'1994-06-10 00:00:00',4,1,11,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215122431269914595124610161012',5317,'270',57.00,4,3,NULL),(28,7128851,'1993-12-08 00:00:00',4,17,11,2011,'M','N','CIDADE NOVA','PTO UNIÃO','SC','124242161217471411458839575115610162182',5922,'9998',58.64,1,3,NULL),(28,7128860,'1993-05-01 00:00:00',2,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124252251217472431357832575124610127092',10075,'9998',44.47,1,3,NULL),(28,7128878,'1992-07-29 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241215573431548613575112610125147',239,'226',75.34,1,3,NULL),(28,7128886,'1995-05-20 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111431349713571122610126192',351,'723',76.22,1,3,NULL),(28,7128894,'1994-12-20 00:00:00',4,1,11,2011,'M','N','MATA DO JACINTO','CPO GRANDE','MS','112122121217251411458834575122610137077',2826,'9998',59.53,1,3,NULL),(28,7128908,'1992-12-16 00:00:00',4,1,11,2009,'F','N','JARDIM LAR SÃO PAULO','S PAULO','SP','125252251216571231468812375122610162052',13171,'9998',48.74,1,3,NULL),(28,7128916,'1995-09-15 00:00:00',4,5,11,2011,'F','N','VILA FRANCESA','CRICIÚMA','SC','124241243215111432436634575122610132015',8034,'995',50.51,1,3,NULL),(28,7128924,'1994-02-02 00:00:00',4,15,12,2011,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124201241114131631523421211221610117057',19989,'29',28.23,1,2,1),(28,7128932,'1994-06-21 00:00:00',4,3,12,2010,'M','N','CASA BRANCA','ITAPEMA','SC','124244241431472411239931581121610126042',1595,'1038',67.27,1,3,NULL),(28,7128940,'1994-03-09 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431369932575122610124182',16522,'270',31.96,1,3,NULL),(28,7128959,'1989-12-10 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241245146231432523619245124610128182',NULL,'281',35.98,1,2,1),(28,7128967,'1994-07-14 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241212111431228821585124610134027',6403,'1250',55.25,1,3,NULL),(28,7128975,'1994-06-30 00:00:00',2,5,11,2011,'M','N','CLAUDETE','CASCAVEL','PR','116242161215111432238634572112610127012',9696,'9998',45.07,1,3,NULL),(28,7128983,'1994-04-09 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241115151321353412125124610117055',20137,'298',24.84,1,3,NULL),(28,7128991,'1993-12-01 00:00:00',4,10,10,2011,'M','N','CENTRO','TUBARÃO','SC','124242241215111431368613575112610122042',3665,'807',60.95,1,3,NULL),(28,7129009,'1993-11-30 00:00:00',4,22,12,2011,'M','N','CENTRO','BRUSQUE','SC','124242241215271431556911585122610137052',11439,'107',43.54,1,3,NULL),(28,7129017,'1992-12-03 00:00:00',4,23,12,2009,'F','N','CAPÃO RASO','CURITIBA','PR','116164161216572731468614572112610137147',2915,'9998',63.04,1,3,NULL),(28,7129025,'1992-08-25 00:00:00',2,9,12,2009,'F','N','CONTA DINHEIRO','LAGES','SC','124201201112473431434311392124231434017',18252,'9998',38.12,1,2,1),(28,7129033,'1994-12-20 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241115271711536619572124610144052',NULL,'734',20.95,1,2,1),(28,7129041,'1993-03-30 00:00:00',2,1,12,2009,'F','N','DALBÉRGIA','IBIRAMA','SC','124242241217473751438511575112231344142',16831,'959',41.92,1,3,NULL),(28,7129050,'1994-10-29 00:00:00',4,8,11,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241217111731535819535122610134147',3110,'1016',59.82,1,3,NULL),(28,7129076,'1987-06-25 00:00:00',2,1,12,2004,'F','N','CAMPINAS','S JOSÉ','SC','124241241142372431333351275124130732177',2752,'893',63.56,1,2,1),(28,7129084,'1990-03-08 00:00:00',2,1,9,2011,'M','N','SANTA TERESINHA','PIRACICABA','SP','125252257347151731221129575112610127044',NULL,'9998',17.53,1,3,NULL),(28,7129092,'1993-04-06 00:00:00',2,3,10,2010,'F','N','JARDIM AMERICA','GOIÂNIA','GO','109092091217413751246614597122610117075',4857,'9998',54.50,1,3,NULL),(28,7129106,'1994-07-11 00:00:00',4,1,12,2011,'F','N','VILA MARIANA','S PAULO','SP','125252251216111731579819575122610127182',NULL,'9998',0.00,1,3,NULL),(28,7129122,'1992-09-20 00:00:00',4,1,12,2010,'F','N','GAVEA','RIO JANEIRO','RJ','121212211217471431578814575122610122047',NULL,'9998',0.00,1,3,NULL),(28,7129130,'1993-06-11 00:00:00',4,8,12,2010,'F','N','ATIRADORES','JOINVILLE','SC','124242241215472431456612595112610163127',1255,'461',67.23,1,3,NULL),(28,7129149,'1991-07-26 00:00:00',2,1,12,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116242241216574431556912575124610166077',5720,'446',60.43,1,3,NULL),(28,7129157,'1993-09-28 00:00:00',4,10,11,2011,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215111431479811575112610126147',13103,'807',48.83,1,3,NULL),(28,7129165,'1993-03-14 00:00:00',4,1,12,2010,'M','N','ITACORUBÍ','FLORIANÓPOLIS','SC','124243241115272441569913395124610161073',5235,'271',56.87,1,3,NULL),(28,7129173,'1994-05-10 00:00:00',4,4,11,2011,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162161215111431569931575121610164192',NULL,'9998',25.02,1,3,NULL),(28,7129181,'1993-08-04 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241416472411438623575124610121122',4992,'1253',55.60,1,3,NULL),(28,7129190,'1991-08-30 00:00:00',2,3,12,2009,'M','N','BUTANTÃ','S PAULO','SP','125254251116571531666813575112610167044',12154,'9998',44.72,1,3,NULL),(28,7129203,'1991-11-13 00:00:00',4,1,12,2009,'F','N','CAMBUI','CAMPINAS','SP','125132131215571431457632572142610142092',2404,'9998',61.46,1,3,NULL),(28,7129211,'1995-07-10 00:00:00',4,17,12,2012,'M','S','SOSSEGO','CANOINHAS','SC','124244241217111431459634575122613218051',NULL,'154',17.61,1,3,NULL),(28,7129220,'1994-10-12 00:00:00',4,1,12,2011,'M','N','AMARAL RIBEIRO','SAPIRANGA','RS','120202201416371431457711575124610167122',NULL,'9998',0.00,1,3,NULL),(28,7129238,'1994-03-26 00:00:00',4,6,12,2011,'F','N','PRAIA BRAVA','ITAJAÍ','SC','124242241216111431438711575124610124077',15472,'392',35.06,1,3,NULL),(28,7129246,'1993-06-16 00:00:00',4,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244211215372431338712275124610124122',8916,'9998',55.57,4,3,NULL),(28,7129262,'1994-04-19 00:00:00',4,8,11,2011,'F','N','CENTRO','JOINVILLE','SC','124242241215121431547812572122610124142',NULL,'1063',0.00,1,3,NULL),(28,7129270,'1994-03-04 00:00:00',4,1,12,2011,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215371441238912575112610127072',4200,'262',59.76,1,3,NULL),(28,7129289,'1992-01-20 00:00:00',4,1,12,2009,'F','N','ERMELINO MATARAZZO','S PAULO','SP','125252251216511431478611575124610167047',4265,'9998',56.34,1,3,NULL),(28,7129297,'1975-12-16 00:00:00',4,1,12,1992,'F','N','ABRAAO','FLORIANÓPOLIS','SC','524242241216155721269943335122522867182',7219,'262',58.44,1,3,NULL),(28,7129319,'1995-05-09 00:00:00',2,4,12,2011,'F','N','INTERIOR','CEL FREITAS','SC','124241241117131531543815575124610167147',16534,'199',33.36,1,3,NULL),(28,7129327,'1993-08-06 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241216371431446411375124610121032',6427,'269',55.97,1,3,NULL),(28,7129335,'1994-06-01 00:00:00',4,8,12,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241215371431487712575112610163185',6620,'1063',50.96,1,3,NULL),(28,7129343,'1994-03-25 00:00:00',1,1,12,2010,'F','N','MADUREIRA','CAXIAS SUL','RS','120202201217271431569933472122610132097',1883,'9998',66.62,1,3,NULL),(28,7129351,'1991-07-09 00:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215574431547912375114610161132',8579,'951',49.15,1,3,NULL),(28,7129360,'1989-11-20 00:00:00',4,1,2,2008,'M','N','ALTO ARIRIU','PALHOÇA','SC','124242241116272731546932435124121263037',14052,'739',47.32,4,3,NULL),(28,7129378,'1993-08-06 00:00:00',4,1,11,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215373431459933575124610133142',2000,'299',65.87,1,3,NULL),(28,7129386,'1993-11-29 00:00:00',4,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431468719375122610164072',11099,'270',42.35,1,3,NULL),(28,7129394,'1981-10-12 00:00:00',2,1,8,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224244247146272431228544245124133237077',12613,'9999',49.61,1,3,NULL),(28,7129408,'1994-06-13 00:00:00',4,23,12,2011,'F','N','ÁGUA VERDE','JARAGUÁ SUL','SC','124242241215121411447911595122610142092',11880,'442',50.73,1,3,NULL),(28,7129416,'1990-07-27 00:00:00',2,17,12,2009,'M','N','JARDIM HANTSCHEL','RIO NEGRINHO','SC','124241241116112121536923385122610164192',NULL,'669',24.00,1,2,1),(28,7129432,'1993-09-11 00:00:00',4,8,12,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242161216122731366932585114610137096',7815,'1063',50.12,1,3,NULL),(28,7129440,'1994-04-04 00:00:00',2,22,12,2011,'M','N','SÂO LUIZ','BRUSQUE','SC','124242241215111431456812575122610127047',11299,'109',44.50,1,3,NULL),(28,7129467,'1994-09-13 00:00:00',4,23,12,2011,'F','N','VILA NOVA','JARAGUÁ SUL','SC','124241241236131421443824575122610124041',6891,'1061',52.01,1,3,NULL),(28,7129475,'1993-12-09 00:00:00',4,16,12,2011,'M','N','CENTRO','CURITIBANOS','SC','124242248211121231336511575122210118017',19583,'881',32.15,1,3,NULL),(28,7129483,'1994-03-05 00:00:00',4,1,11,2011,'M','N','STA CRUZ','RIO CLARO','SP','125252251216111431368814575112610137042',NULL,'9998',0.00,1,3,NULL),(28,7129491,'1994-11-27 00:00:00',2,8,12,2011,'M','N','IRIRIÚ','JOINVILLE','SC','624244241215111411446317315121610164141',10933,'1006',45.66,3,3,NULL),(28,7129505,'1995-07-16 00:00:00',4,15,12,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124243241115131431426811576122610127047',NULL,'30',20.56,1,3,NULL),(28,7129513,'1994-10-21 00:00:00',4,1,12,2011,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241115371431443812575112610137112',NULL,'307',21.01,1,2,1),(28,7129521,'1994-03-08 00:00:00',4,4,12,2011,'M','N','CENTRO','CHAPECÓ','SC','124241241115271431449933372112610137042',11803,'169',43.69,1,3,NULL),(28,7129530,'1994-02-09 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111411358634372112610116092',14206,'9997',41.00,1,3,NULL),(28,7129548,'1992-10-14 00:00:00',4,1,12,2009,'F','N','ASA SUL','BRASÍLIA','DF','107242071215154411358933577122241426095',4214,'9998',55.88,1,3,NULL),(28,7129564,'1994-12-17 00:00:00',2,1,12,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243241415121431533812575124610124052',7656,'988',52.14,1,3,NULL),(28,7129572,'1993-08-13 00:00:00',4,1,12,2010,'F','N','VILA GABRIEL','SOROCABA','SP','125253251215371431346714575122610168182',NULL,'9998',0.00,1,3,NULL),(28,7129580,'1992-05-25 00:00:00',4,10,12,2009,'M','N','CENTRO','TUBARÃO','SC','124242241215472431468632575112610136092',921,'807',68.61,1,3,NULL),(28,7129599,'1994-11-04 00:00:00',4,15,12,2011,'F','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124241241114131431423811472124610163197',NULL,'1033',23.76,1,3,NULL),(28,7129602,'1993-01-08 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117131431113648282314610146182',NULL,'51',0.00,1,2,1),(28,7129610,'1995-06-20 00:00:00',4,1,11,2011,'M','N','NOVOS ESTADOS','CPO GRANDE','MS','112122121217151431568613575112610124042',NULL,'9998',0.00,1,3,NULL),(28,7129629,'1994-06-24 00:00:00',2,24,11,2011,'M','N','PROGRESSO','RIO SUL','SC','124244241215111431444632275122610166052',9803,'991',48.02,1,3,NULL),(28,7129637,'1968-07-26 00:00:00',4,1,12,1986,'M','N','CENTRO','FLORIANÓPOLIS','SC','224251251126151441463343435134340726047',10354,'9998',53.15,1,3,NULL),(28,7129653,'1994-08-06 00:00:00',2,10,9,2011,'F','N','MAR GROSSO','LAGUNA','SC','124242241215111331339834575125610122077',NULL,'807',0.00,1,3,NULL),(28,7129661,'1994-06-06 00:00:00',4,1,12,2011,'F','N','PANTANAL','MOGI GUAÇU','SP','125253251215121431338572575112610123077',1414,'9998',66.43,1,3,NULL),(28,7129688,'1995-03-08 00:00:00',4,4,12,2011,'F','N','SUFIATTI','XANXERÊ','SC','124241241115131431635923572124610124147',NULL,'840',26.02,4,2,1),(28,7129718,'1994-07-16 00:00:00',4,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215271431476832575124610144062',3408,'1022',58.86,1,3,NULL),(28,7129726,'1995-01-08 00:00:00',2,1,12,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217111431245823572222610112052',11868,'724',42.33,1,3,NULL),(28,7129734,'1994-08-25 00:00:00',4,1,12,2011,'F','N','GUIOMAR','ANTÔNIO CARLOS','SC','124241241117272431534616575124610167142',17068,'21',33.91,1,2,1),(28,7129742,'1994-06-20 00:00:00',2,1,12,2011,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241116371411323119295122610137147',NULL,'772',16.08,1,2,1),(28,7129769,'1994-10-04 00:00:00',4,1,11,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117131331636811492122610162142',20031,'272',27.64,1,3,NULL),(28,7129777,'1993-03-23 00:00:00',4,1,12,2010,'F','N','AGENOR DE CARVALHO','PTO VELHO','RO','122222221217371431546622176124610112147',3989,'9998',58.82,3,3,NULL),(28,7129785,'1993-10-23 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241136242431226624242124610123072',NULL,'285',23.35,1,2,1),(28,7129793,'1994-03-23 00:00:00',4,1,11,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215271751438631595124610164091',260,'263',75.10,1,3,NULL),(28,7129807,'1994-11-04 00:00:00',2,26,12,2011,'M','N','SUNTI','CONCÓRDIA','SC','124241242116111431323824475124610127147',20066,'196',26.95,1,2,1),(28,7129823,'1994-06-02 00:00:00',4,1,12,2013,'M','S','PANTANAL','FLORIANÓPOLIS','SC','124242246117151431345923575124610141097',NULL,'306',49.95,1,3,NULL),(28,7129831,'1994-12-15 00:00:00',4,1,11,2011,'F','N','JARDIM CAIÇARAS','LONDRINA','PR','116164161215111731449612375122610164142',10167,'9998',53.45,1,3,NULL),(28,7129840,'1992-01-23 00:00:00',4,1,12,2009,'M','N','CENTRO','S CARLOS','SP','125252251217571411438813575112610118172',17248,'9998',40.89,1,3,NULL),(28,7129858,'1993-03-21 00:00:00',4,1,12,2011,'M','N','PLANALTO VERDE','MOGI GUAÇU','SP','125252251215111411448714275122610137187',7351,'9998',50.00,1,3,NULL),(28,7129866,'1993-02-02 00:00:00',4,5,12,2010,'F','N','CATLÉRIA','CPO BOM','RS','120202206116471531469934575122610123072',2550,'9998',62.15,1,3,NULL),(28,7129882,'1992-08-25 00:00:00',4,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116273431433431595124221362147',9953,'69',45.09,1,2,1),(28,7129890,'1976-09-02 00:00:00',4,1,7,2009,'M','N','CANAVIEIRAS','FLORIANÓPOLIS','SC','424201201246171231124341112133143247057',NULL,'9998',14.60,1,3,NULL),(28,7129904,'1993-02-14 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124162161217572441449831576124610144172',697,'9998',72.76,1,3,NULL),(28,7129912,'1992-05-14 00:00:00',4,4,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211573431139619571122610163192',2289,'1146',63.31,1,3,NULL),(28,7129920,'1994-06-06 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151431368861475112610124047',8572,'1022',47.94,1,3,NULL),(28,7129939,'1993-02-08 00:00:00',2,1,12,2011,'F','N','CENTRO FLORIANOPLIS','FLORIANÓPOLIS','SC','124241241115141411345612275122610147142',NULL,'1034',16.33,1,2,1),(28,7129955,'1993-08-10 00:00:00',4,1,12,2011,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','624241241117111431346833376124610157057',9678,'267',47.83,1,2,1),(28,7129971,'1993-07-30 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','122224221437112531649831575122610114177',NULL,'9998',28.08,4,3,NULL),(28,7129980,'1993-02-03 00:00:00',4,8,12,2010,'M','N','BUCAREIN','JOINVILLE','SC','624242244216373511449832575111610117057',595,'459',72.59,3,3,NULL),(28,7129998,'1995-03-17 00:00:00',4,27,12,2011,'M','N','AGOSTINI','S MIGUEL OESTE','SC','124241246216151431438611295122610167012',15284,'1179',45.09,1,3,NULL),(28,7130007,'1993-08-16 00:00:00',2,1,11,2010,'F','N','PASSO DA AREIA','PTO ALEGRE','RS','120242141217472431246879575114141522097',7162,'9998',51.09,1,3,NULL),(28,7130015,'1994-01-29 00:00:00',2,1,12,2011,'M','N','BELA VISTA','S JOSÉ','SC','124242241215111751469713575124610114047',NULL,'738',19.85,1,3,NULL),(28,7130023,'1995-02-23 00:00:00',2,8,12,2011,'F','N','FLORESTA','JOINVILLE','SC','124241241117131431439813292124610156072',NULL,'472',28.39,1,2,1),(28,7130031,'1992-02-29 00:00:00',2,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124241241111473311468814572122610165052',1194,'169',69.01,1,2,1),(28,7130058,'1993-09-25 00:00:00',4,1,12,2010,'M','N','MENINO DEUS','PTO ALEGRE','RS','120203201117151131336811375124610167037',7549,'9998',50.89,1,3,NULL),(28,7130074,'1987-05-29 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241315152441123944145124330714055',16192,'201',43.35,1,3,NULL),(28,7130082,'1994-03-31 00:00:00',2,1,12,2010,'F','N','CENTRO','PIRACICABA','SP','125252251217471431448732572122610122092',6042,'9998',54.25,1,3,NULL),(28,7130090,'1994-11-15 00:00:00',2,15,12,2011,'F','N','SANTA CATARINA','ARARANGUÁ','SC','124241241115371131433614375124610124052',11109,'30',42.91,1,2,1),(28,7130104,'1992-02-15 00:00:00',4,1,7,2010,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117141731636479341233133268042',18064,'739',38.69,1,2,1),(28,7130112,'1993-10-09 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431466932571125131447042',1437,'262',68.23,1,3,NULL),(28,7130120,'1994-02-10 00:00:00',4,2,12,2011,'F','N','ITOUPAVA CEMTRAL','BLUMENAU','SC','124241241145141431335412291124610134097',NULL,'69',0.00,1,3,NULL),(28,7130147,'1995-04-16 00:00:00',4,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111752546933272122610167142',18462,'1077',37.41,1,3,NULL),(28,7130171,'1991-11-24 00:00:00',4,15,12,2009,'M','N','JD VITÓRIA','CPO MOURÃO','PR','116161161117271421235113182121143264042',NULL,'9998',22.23,2,1,1),(28,7130180,'1994-01-05 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472431569811295122610127062',2630,'262',65.98,1,3,NULL),(28,7130198,'1990-05-29 00:00:00',2,1,11,2007,'M','N','SAO LUIS','AVARÉ','SP','125252251216571711448912175111610167042',6159,'9998',54.00,1,3,NULL),(28,7130201,'1993-11-18 00:00:00',4,1,11,2010,'M','N','VILA SÃO FRANSISCO','S PAULO','SP','125252251215471431366812575114610167142',1348,'9998',67.14,1,3,NULL),(28,7130210,'1991-12-24 00:00:00',2,1,12,2009,'M','N','COPACABANA','RIO JANEIRO','RJ','121212211216471731267732575124610115046',4447,'9998',55.85,1,3,NULL),(28,7130228,'1992-02-04 00:00:00',4,6,12,2009,'M','N','CENTRO','GASPAR','SC','124242241215573431166842425122233262112',8959,'1026',55.49,1,3,NULL),(28,7130236,'1994-04-09 00:00:00',2,7,12,2011,'F','N','CENTRO','CAMPOS NOVOS','SC','124244241215131431436611275122610131077',11522,'138',40.45,1,3,NULL),(28,7130244,'1993-11-09 00:00:00',4,3,12,2010,'F','N','PIO X','CAXIAS SUL','RS','120201211217372431446612372112142224157',1767,'9998',65.97,1,3,NULL),(28,7130252,'1992-12-02 00:00:00',4,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215372431339614575124131437082',3509,'1063',60.14,1,3,NULL),(28,7130260,'1994-10-16 01:00:00',2,1,11,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241215221431564312571122610143042',2857,'270',61.74,1,3,NULL),(28,7130279,'1985-12-03 00:00:00',4,1,11,2002,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241232111411378613495122330367055',NULL,'720',0.00,1,3,NULL),(28,7130287,'1993-10-03 00:00:00',4,1,12,2011,'M','N','GLEBA PALHANO','LONDRINA','PR','116252161215111431368814575112610127042',3284,'9998',58.77,1,3,NULL),(28,7130295,'1994-12-14 00:00:00',4,10,12,2011,'F','N','CENTRO','IMBITUBA','SC','124241241215111411456531575112610143187',NULL,'362',33.24,1,3,NULL),(28,7130309,'1994-03-23 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124201241315111231377733575112610137012',3432,'270',60.63,1,3,NULL),(28,7130317,'1994-05-23 00:00:00',2,1,12,2011,'F','N','CENTRO','ANGELINA','SC','124241241115161431337614345124610136197',16803,'17',41.98,1,3,NULL),(28,7130325,'1993-11-08 00:00:00',4,1,12,2011,'M','N','CACH DO BOM JESUS','FLORIANÓPOLIS','SC','124242241217111431348511315114610132061',18771,'1049',36.21,1,3,NULL),(28,7130333,'1995-05-14 00:00:00',4,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111752458832472122610167142',17069,'1077',41.38,1,3,NULL),(28,7130341,'1992-07-28 00:00:00',2,1,12,2009,'F','N','ITU SABARA','PTO ALEGRE','RS','120202201215571411356832575122610162077',8047,'9998',50.63,1,3,NULL),(28,7130350,'1992-04-09 00:00:00',4,1,11,2010,'M','N','CARRIANOS','FLORIANÓPOLIS','SC','624244241215473421569813596124610167037',14537,'1022',38.19,1,3,NULL),(28,7130368,'1993-05-11 00:00:00',4,8,12,2010,'F','N','BROOKLIN','S PAULO','SP','125252251217471431478931575122610167052',1245,'9998',68.85,1,3,NULL),(28,7130376,'1992-12-07 00:00:00',2,4,12,2009,'M','N','CENTRO','ABELARDO LUZ','SC','124243241216112431348834572122231467097',NULL,'9998',47.18,1,3,NULL),(28,7130384,'1992-04-30 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373431446613475122610127111',14430,'1022',46.69,4,3,NULL),(28,7130392,'1993-11-28 00:00:00',4,4,12,2010,'M','N','BATEL','CURITIBA','PR','116162161215472431368639575124610154052',NULL,'9998',0.00,1,3,NULL),(28,7130414,'1993-11-25 00:00:00',2,1,12,2010,'F','N','SÃO DIMAS','S JOSÉ CAMPOS','SP','125253256216371531368674575122610164047',NULL,'9998',0.00,1,3,NULL),(28,7130449,'1991-05-20 00:00:00',4,1,12,2008,'M','N','VILA INDEPENDENCIA','VALINHOS','SP','125252251217571411568722571122610167117',4670,'9998',57.31,1,3,NULL),(28,7130457,'1994-10-07 00:00:00',6,1,12,2011,'F','N','BELA VISTA','S JOSÉ','SC','124241241117271431349914245124610127097',NULL,'734',19.68,1,3,NULL),(28,7130465,'1994-08-18 00:00:00',4,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111411356823575112610144182',2920,'273',63.61,1,3,NULL),(28,7130473,'1993-02-13 00:00:00',4,1,12,2010,'F','N','VILA IPIRANGA','PTO ALEGRE','RS','120202201216472431368614275112610134052',6271,'9998',51.89,1,3,NULL),(28,7130481,'1994-08-05 00:00:00',4,1,12,2011,'M','N','CENTRO','ILHÉUS','BA','105052051217111431479931575122610167055',3456,'9998',65.70,1,3,NULL),(28,7130490,'1993-08-15 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211111431469923575112610112072',6450,'270',54.79,1,3,NULL),(28,7130503,'1987-04-23 00:00:00',2,1,12,2005,'M','N','BELA VISTA','S JOSÉ','SC','124241241127474411433374242133130827117',NULL,'734',29.68,1,3,NULL),(28,7130511,'1988-07-29 00:00:00',4,1,12,2010,'M','N','IGRA','TORRES','RS','120203201436132431636634375121241367046',NULL,'9998',23.26,1,3,NULL),(28,7130520,'1994-09-13 00:00:00',2,1,10,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215271732323319572114610137017',19558,'1022',32.30,1,3,NULL),(28,7130538,'1993-06-05 00:00:00',2,1,12,2010,'F','N','DO CAFE','VOTUPORANGA','SP','125252251215471231486611575112610132196',12270,'9998',40.38,1,3,NULL),(28,7130554,'1994-05-01 00:00:00',4,7,12,2011,'F','N','PORTAL DAS VIDEIRAS','VIDEIRA','SC','124241246215131431366772575122610138097',4979,'1080',54.25,1,3,NULL),(28,7130570,'1995-12-28 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124241241117131431324651575124610163187',NULL,'307',23.44,1,2,1),(28,7130589,'1994-07-25 00:00:00',4,1,12,2011,'M','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125252251236111431338939595122610134091',2204,'9998',62.17,1,3,NULL),(28,7130597,'1973-08-14 00:00:00',2,1,9,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224241247147272731333454172124610164097',13351,'9999',42.47,1,2,1),(28,7130600,'1992-06-14 00:00:00',4,8,12,2009,'F','N','VILAS BOAS','CPO GRANDE','MS','112123121115571431376632574122610122147',123,'9998',77.86,1,3,NULL),(28,7130619,'1992-02-19 00:00:00',4,1,12,2009,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241211374431469912275122231414075',1547,'270',71.45,1,3,NULL),(28,7130635,'1994-01-31 00:00:00',4,1,11,2011,'F','N','ROSÁRIO DE FÁTIMA','BRAGANÇA PAULISTA','SP','125252251215111431488813575122610162122',7367,'9998',49.56,1,3,NULL),(28,7130643,'1992-01-16 00:00:00',4,1,12,2009,'M','N','MAR GROSSO','LAGUNA','SC','124242241215475431229949575124133225137',1367,'807',68.51,3,3,NULL),(28,7130651,'1993-01-12 00:00:00',4,1,12,2010,'F','N','SAGRADA FAMÍLIA','BELO HORIZONTE','MG','113212211215471711369913575122610117082',13864,'9998',36.14,1,3,NULL),(28,7130678,'1990-07-12 00:00:00',4,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116271431436334245124610167062',18975,'287',35.39,1,2,1),(28,7130686,'1991-10-22 00:00:00',2,1,12,2009,'F','N','JD DAS INDUSTRIAS','S JOSÉ CAMPOS','SP','125251251216573411349812245122610165117',11529,'9998',41.92,1,3,NULL),(28,7130694,'1991-02-19 00:00:00',2,1,12,2010,'F','N','CANTO DA LAGA','FLORIANÓPOLIS','SC','124241241117212431535411442124610117122',NULL,'267',34.61,1,2,1),(28,7130716,'1993-08-08 00:00:00',4,1,12,2010,'M','N','CHÁCARA CNEO','CAMPINAS','SP','125252251216471431448834585124610167042',4453,'9998',57.07,1,3,NULL),(28,7130724,'1994-06-01 00:00:00',4,6,12,2011,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124243241215151431359634572122610135192',12453,'44',42.57,1,3,NULL),(28,7130732,'1994-04-16 00:00:00',4,27,12,2011,'M','N','CENTRO','GUARACIABA','SC','124241241235151431535332575124610167182',16168,'1179',33.27,1,3,NULL),(28,7130740,'1993-11-02 00:00:00',2,1,11,2011,'F','N','ASA NORTE','BRASÍLIA','DF','107074071117111431236413575114610143017',13356,'9998',38.23,1,3,NULL),(28,7130767,'1994-05-13 00:00:00',4,1,11,2011,'M','N','LUZIA','ARACAJU','SE','126262261217111431568834575112610167042',3462,'9998',59.17,1,3,NULL),(28,7130775,'1994-05-20 00:00:00',4,1,12,2011,'M','N','VILA SUICA','INDAIATUBA','SP','125252251215111432446832575121610142187',NULL,'9998',32.43,1,3,NULL),(28,7130783,'1993-10-18 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241216112332448923275112610167052',2462,'737',65.29,1,3,NULL),(28,7130791,'1993-08-30 00:00:00',4,10,11,2011,'M','N','HUMAITÁ','TUBARÃO','SC','124242241215272431468714575122610124185',2065,'807',69.60,1,3,NULL),(28,7130848,'1992-04-20 00:00:00',2,1,12,2009,'F','N','CANTO','FLORIANÓPOLIS','SC','124242241216133231338614575124131264047',13097,'1022',42.22,1,3,NULL),(28,7130856,'1994-08-31 00:00:00',4,9,11,2011,'F','N','SAO CRISTOVAO','LAGES','SC','124242241215111432259813475112610114101',NULL,'1207',22.87,1,3,NULL),(28,7130864,'1994-02-16 00:00:00',4,1,12,2011,'F','N','BOSQUE DA SAUDE','CUIABÁ','MT','111112111216111431563832492122610134032',NULL,'9998',0.00,4,3,NULL),(28,7130899,'1990-12-23 00:00:00',2,10,12,2009,'F','N','ANDRINO','TUBARÃO','SC','124241241216131731426434395123610125057',NULL,'797',22.95,1,3,NULL),(28,7130902,'1994-05-10 00:00:00',2,24,11,2011,'F','N','JARDIM AMERICA','RIO SUL','SC','124242241215372231468714395122610137052',8749,'653',46.10,1,3,NULL),(28,7130910,'1990-11-26 00:00:00',4,1,11,2008,'M','N','JARDIM DANFER','S PAULO','SP','125254251217571441466513474114610164092',10627,'9998',46.46,4,3,NULL),(28,7130929,'1994-07-20 00:00:00',2,4,12,2011,'M','N','PIONEIRO','PINHALZINHO','SC','124241241126131431528932245122610117047',17388,'616',31.74,1,2,1),(28,7130937,'1990-03-28 00:00:00',4,24,12,2007,'F','N','LARANJEIRAS','RIO SUL','SC','124241241145474431433314342121610162147',2643,'657',61.81,1,2,1),(28,7130953,'1992-02-11 00:00:00',2,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116251251127572231446832485122610124147',8500,'9998',50.92,1,2,1),(28,7130970,'1993-03-11 00:00:00',4,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215272431366811574112122066197',435,'270',74.32,1,3,NULL),(28,7130988,'1979-11-07 00:00:00',2,1,6,1999,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224242241216272431478553395112121336192',NULL,'9999',0.00,1,3,NULL),(28,7130996,'1993-12-27 00:00:00',4,8,12,2011,'M','N','JD ROSÁRIA ALCOLEA','SOROCABA','SP','125252251215111441359923395122610124192',NULL,'9998',0.00,1,3,NULL),(28,7131003,'1994-04-20 00:00:00',4,2,12,2011,'M','N','TESTO REGA','POMERODE','SC','124241241115151731349923572114610137052',11995,'621',42.50,1,2,1),(28,7131011,'1992-10-22 00:00:00',4,2,11,2010,'M','N','JARDIM COLOMBO','S PAULO','SP','125254251417472451339939471122610168162',552,'9998',73.42,1,3,NULL),(28,7131020,'1994-05-02 00:00:00',4,8,12,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241217111741368613396124610114192',NULL,'1105',0.00,1,3,NULL),(28,7131038,'1993-12-04 00:00:00',2,1,11,2011,'M','N','TREZE DE JULHO','ARACAJU','SE','126262261215111431589931572122610134152',NULL,'9998',0.00,1,3,NULL),(28,7131046,'1993-09-09 00:00:00',4,3,12,2010,'F','N','CENTRO','STA TEREZA OESTE','PR','116162161215471431468911571122610122072',NULL,'9998',0.00,1,3,NULL),(28,7131070,'1994-06-04 00:00:00',2,15,12,2011,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241115371131538611585122610128095',13514,'29',39.66,1,2,1),(28,7131097,'1994-04-06 00:00:00',4,10,12,2011,'M','N','NO SENHORA DE FATIMA','BRAÇO NORTE','SC','124241241145471411427731575124610124042',5009,'100',55.02,1,2,1),(28,7131100,'1988-05-12 00:00:00',2,1,12,2005,'M','N','JARDIM BATISTA','EMBU','SP','125252251216131411523319195321141862057',8164,'9998',56.85,1,3,NULL),(28,7131119,'1981-08-12 00:00:00',4,1,12,1999,'M','N','FAZ SANTO ANTÔNIO','S JOSÉ','SC','124242241235373441123341412122323032067',7518,'272',57.94,1,3,NULL),(28,7131127,'1967-02-17 00:00:00',2,1,12,1984,'F','N','CAMPINAS','S JOSÉ','SC','224244241216173731438821415122422866127',NULL,'260',23.04,1,3,NULL),(28,7131135,'1995-01-02 00:00:00',4,23,12,2011,'M','N','CENTRO','JARAGUÁ SUL','SC','124243241215111331448619475111610137057',9508,'1174',44.17,1,3,NULL),(28,7131143,'1993-09-21 00:00:00',4,1,11,2011,'M','N','JARDINS','ARACAJU','SE','126262261217111431488811415122610128042',559,'9998',73.28,1,3,NULL),(28,7131151,'1992-11-10 00:00:00',4,1,12,2010,'F','N','VILA MARIANA','S PAULO','SP','125252251215471431469914572122610147147',1424,'9998',65.00,1,3,NULL),(28,7131160,'1994-01-17 00:00:00',4,1,12,2010,'F','N','MORADA DO VALE UM','GRAVATAÍ','RS','120202201111371432457631585114610134091',NULL,'9998',22.74,1,3,NULL),(28,7131178,'1991-10-17 00:00:00',4,1,12,2009,'M','N','TERRA NOVA','TAUBATÉ','SP','125251251147471431623311145121610161047',NULL,'9998',0.00,1,2,1),(28,7131186,'1993-12-09 00:00:00',4,1,12,2010,'F','N','ROSEIRA','LONDRINA','PR','116162161235471431439933575122610114017',NULL,'9998',0.00,1,3,NULL),(28,7131194,'1990-12-20 00:00:00',2,10,11,2011,'M','N','PASSO DO GADO','TUBARÃO','SC','124211247237141411123344241231610166182',19671,'9999',31.47,2,1,2),(28,7131208,'1994-09-22 00:00:00',4,3,12,2011,'M','N','JARDIM LAR SÃO PAULO','S PAULO','SP','125252251216111431668531575122610124012',NULL,'9998',0.00,1,3,NULL),(28,7131216,'1992-08-28 00:00:00',4,1,12,2010,'F','N','JABAQUARA','S PAULO','SP','125254256216371431446414345124610126037',NULL,'9998',0.00,1,3,NULL),(28,7131224,'1978-11-26 00:00:00',4,1,12,1997,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','224053051346131431633944345114142342043',13007,'9998',38.83,1,3,NULL),(28,7131259,'1994-08-26 00:00:00',4,2,11,2011,'M','N','GARCIA','BLUMENAU','SC','124241241212121431459934575124610164047',NULL,'1018',7.59,1,3,NULL),(28,7131267,'1994-01-25 00:00:00',4,1,12,2011,'M','N','CENTRO','S JOSÉ CAMPOS','SP','125252251217111411469834575122610127122',13228,'9998',41.10,1,3,NULL),(28,7131275,'1993-04-21 00:00:00',4,25,12,2011,'F','N','SANTA TEREZA','VIDEIRA','SC','124241241131141711346724345122610126097',NULL,'831',23.28,1,2,1),(28,7131283,'1994-05-05 00:00:00',4,1,11,2011,'F','N','CENTRO','SOROCABA','SP','125252251217111411258824572112610136153',5044,'9998',55.11,1,3,NULL),(28,7131291,'1994-07-25 00:00:00',4,1,12,2011,'M','N','AEROPORTO SUL','ARAGUARI','MG','113134131216151432438831595122610132017',865,'9998',70.24,2,3,NULL),(28,7131305,'1994-05-31 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472731549763375124610133021',1780,'1022',68.01,1,3,NULL),(28,7131313,'1991-04-05 00:00:00',4,1,12,2008,'M','N','AREIAS','S JOSÉ','SC','124242241215474431558812575124121427052',3132,'738',62.04,4,3,NULL),(28,7131321,'1989-12-31 00:00:00',4,1,12,2007,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241126131411533311145124610168147',19720,'283',30.93,1,2,1),(28,7131330,'1994-04-28 00:00:00',4,6,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121431348933582125610127052',6930,'1038',51.87,1,3,NULL),(28,7131348,'1994-05-13 00:00:00',4,6,12,2011,'F','N','PEREQUE','PTO BELO','SC','124241241215111431423332372124610136147',14265,'1111',39.57,1,3,NULL),(28,7131356,'1994-04-28 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431379934575122610137072',3897,'270',59.34,1,3,NULL),(28,7131364,'1992-12-04 00:00:00',4,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124243241226111431323313335124610137055',17822,'266',29.51,1,3,NULL),(28,7131372,'1993-05-04 00:00:00',4,4,12,2010,'F','N','CATARINA FONTANA','CONCÓRDIA','SC','124241241116472431348614575112610135017',8120,'193',50.14,1,2,1),(28,7131380,'1991-03-05 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241134132431624374245124233264147',NULL,'734',29.55,1,2,1),(28,7131399,'1992-06-15 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216113731548714445124233222193',11376,'270',42.76,1,3,NULL),(28,7131402,'1994-06-06 00:00:00',4,8,12,2011,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241217271731348732572112610166072',4886,'1063',56.39,1,3,NULL),(28,7131410,'1992-02-15 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215372431586833575112610112077',16543,'1022',35.45,1,3,NULL),(28,7131437,'1993-06-20 00:00:00',4,1,12,2010,'M','N','CAMBUÍ','CAMPINAS','SP','125132131216371431467632571125610164042',1227,'9998',72.83,1,3,NULL),(28,7131453,'1994-03-14 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201201112371431356624575114610162092',14162,'9998',47.16,1,2,1),(28,7131461,'1992-10-11 00:00:00',4,1,12,2010,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241211142731326613475124230227062',NULL,'300',23.85,1,3,NULL),(28,7131470,'1991-02-02 00:00:00',4,1,12,2010,'M','N','JARDIM PARAÍSO','ITU','SP','125252251316271431357832285113610134182',18956,'9998',35.47,1,3,NULL),(28,7131488,'1993-08-19 00:00:00',2,1,12,2011,'F','N','COLONINHA','S JOSÉ','SC','124243241315131431526624272124610133074',NULL,'738',20.59,1,3,NULL),(28,7131496,'1986-06-26 00:00:00',2,1,12,2003,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124161161116131431124644442334610135197',NULL,'9998',13.54,4,3,NULL),(28,7131500,'1994-09-14 00:00:00',2,15,12,2011,'F','N','ERECHIM','BAL ARROIO SILVA','SC','124241241135141432323611345124610123052',NULL,'30',26.85,1,2,1),(28,7131526,'1993-10-05 00:00:00',4,27,12,2010,'M','N','PADRE ANTONIO','MARAVILHA','SC','124244241316162232249923375122231467057',NULL,'552',25.88,1,3,NULL),(28,7131542,'1991-06-08 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241415573431346723572114120644075',83,'1022',79.66,4,3,NULL),(28,7131550,'1987-04-08 00:00:00',2,1,12,2004,'M','N','ROCADO','S JOSÉ','SC','124161161117131431423348281123610128042',7101,'9998',50.51,1,2,1),(28,7131569,'1987-01-20 00:00:00',4,1,12,2005,'M','N','CALAFATE','BELO HORIZONTE','MG','113131131117571441367831485123241464132',NULL,'9998',0.00,1,2,1),(28,7131577,'1992-09-20 00:00:00',4,1,10,2009,'M','N','INGLESES DO SANTINHO','FLORIANÓPOLIS','SC','124244241417472411468813485124132142096',10614,'1022',52.72,1,3,NULL),(28,7131585,'1989-04-03 00:00:00',4,1,7,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241117135731467613495114222267042',10389,'306',44.35,1,3,NULL),(28,7131607,'1994-01-30 00:00:00',2,10,11,2011,'F','N','CENTRO','BRAÇO NORTE','SC','124243241215132431647329292121610147142',7850,'102',53.49,4,1,2),(28,7131623,'1990-03-30 00:00:00',4,25,7,2010,'M','N','FLORESTA','VIDEIRA','SC','124241247136151631446369441122610126172',NULL,'9999',20.10,1,3,NULL),(28,7131631,'1994-02-22 00:00:00',2,1,12,2011,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241225131431346311345124610147042',17231,'262',31.11,1,3,NULL),(28,7131640,'1994-02-26 00:00:00',2,7,12,2011,'M','N','CENTRO','MAXIMILIANO ALMEIDA','RS','120201201127161731533631595121610117057',18236,'9998',28.34,1,2,1),(28,7131666,'1981-11-20 00:00:00',4,4,12,1999,'F','N','CENTRO','CHAPECÓ','SC','124242241216575441238843135124321343057',13268,'882',48.60,3,3,NULL),(28,7131674,'1989-11-29 00:00:00',2,8,12,2007,'M','N','BELA VISTA','FRAIBURGO','SC','124244241216111432536611185124231726087',NULL,'317',0.00,4,3,NULL),(28,7131682,'1993-01-20 00:00:00',4,1,12,2010,'M','N','JARDIM SAO DIMAS','S JOSÉ CAMPOS','SP','125172051217471411448832572125610147122',4152,'9998',59.48,1,3,NULL),(28,7131690,'1993-06-13 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624243241315272431327547375224120768193',6338,'732',51.60,1,3,NULL),(28,7131739,'1992-04-13 00:00:00',4,1,12,2010,'F','N','JD AMÉRICA','AMPARO','SP','125254251316471431258924575122610124094',17070,'9998',41.38,1,3,NULL),(28,7131747,'1992-05-16 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','116242241216472411447722215125610122012',7268,'1028',52.45,1,3,NULL),(28,7131763,'1994-07-15 00:00:00',2,1,11,2011,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241115131431446733275124610124012',NULL,'1248',36.86,1,2,1),(28,7131771,'1993-08-11 00:00:00',4,1,7,2011,'M','N','POTECAS','S JOSÉ','SC','124243241115371321426331395124610167051',9458,'739',47.92,1,3,NULL),(28,7131798,'1993-12-16 00:00:00',4,1,12,2010,'F','N','BATEL','CURITIBA','PR','116162164215111431236732595124242664147',NULL,'9998',0.00,3,3,NULL),(28,7131810,'1993-02-01 00:00:00',4,23,12,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215132731348614385124233264082',9932,'442',53.83,1,3,NULL),(28,7131852,'1994-01-05 00:00:00',4,1,12,2010,'M','N','CONSIL','CUIABÁ','MT','125112111236471441448814375122610132052',6528,'9998',59.63,3,3,NULL),(28,7131879,'1994-09-16 00:00:00',4,4,12,2011,'M','N','NITERÓI','SEARA','SC','124244241136141431456923175125610124057',11475,'763',41.45,1,3,NULL),(28,7131895,'1994-11-24 00:00:00',4,4,12,2011,'M','N','CENTRO','CASCAVEL','PR','116162161215421431489619595122610142042',8441,'9998',49.17,4,3,NULL),(28,7131925,'1991-03-04 00:00:00',2,9,12,2008,'M','N','UNIVERSITARIO','LAGES','SC','124241244117373431549933595122610122092',NULL,'513',34.57,1,2,1),(28,7131933,'1994-03-18 00:00:00',4,1,5,2011,'M','N','SANTA CECILIA','S PAULO','SP','125122281215271431566816575122610164042',13464,'9998',48.30,1,3,NULL),(28,7131941,'1992-07-17 00:00:00',2,1,12,2009,'F','N','CENTRO','PNT GROSSA','PR','116162161216472411448634592112610162172',NULL,'9998',0.00,1,3,NULL),(28,7131950,'1973-01-13 00:00:00',4,1,12,1992,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','224251257216131421443354285112131234162',NULL,'9998',33.52,1,3,NULL),(28,7131968,'1990-12-14 00:00:00',4,1,12,2010,'M','N','BARRA DA TIJUCA','RIO JANEIRO','RJ','121212211237371411367823575112610167112',NULL,'9998',0.00,1,3,NULL),(28,7131976,'1993-08-20 00:00:00',4,1,12,2011,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124163163137371431668871275122610127052',11576,'9998',39.54,1,3,NULL),(28,7131984,'1988-10-07 00:00:00',4,8,12,2006,'F','N','PARQUE GUARANI','JOINVILLE','SC','124241241142574421223624382224131534092',NULL,'469',0.00,1,2,1),(28,7131992,'1992-09-24 00:00:00',2,1,6,2011,'M','N','BELA VISTA','S JOSÉ','SC','124243246117271441335823382124610137097',4478,'306',59.86,1,3,NULL),(28,7132000,'1993-05-20 00:00:00',2,26,12,2011,'M','N','CENTRO','MTE CARLO','SC','124241242117271431546612571124610167052',16926,'196',33.45,1,2,1),(28,7132026,'1994-04-30 00:00:00',4,1,8,2011,'M','N','VILA DAS ACÁCIAS','S JOSÉ CAMPOS','SP','125252251237111431469833471122610127017',NULL,'9998',0.00,1,3,NULL),(28,7132034,'1991-07-09 00:00:00',2,8,12,2008,'F','N','BOM RETIRO','JOINVILLE','SC','124251251246271431347813375124231434177',12544,'9998',49.72,1,3,NULL),(28,7132042,'1988-04-17 00:00:00',5,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124243243126131431337744341122610124092',NULL,'257',25.93,1,3,NULL),(28,7132069,'1994-09-05 00:00:00',2,1,12,2011,'F','N','JARDIM MARIA LUIZA I','JAÚ','SP','125252251215111731553412575122610162142',NULL,'9998',0.00,1,3,NULL),(28,7132077,'1994-05-06 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431428815575121610117017',9078,'1169',47.12,1,3,NULL),(28,7132093,'1994-08-30 00:00:00',4,24,12,2011,'F','N','CENTRO','RIO SUL','SC','124241241117371431339613345124610136077',12139,'658',41.92,1,3,NULL),(28,7132115,'1994-07-28 00:00:00',4,2,11,2011,'F','N','FORTALEZA','BLUMENAU','SC','124241241215121431453512572124610121092',17862,'1018',39.31,1,3,NULL),(28,7132131,'1991-06-13 00:00:00',4,1,11,2008,'M','N','CANDEAL','SALVADOR','BA','105052051217271441559611475124241444172',30,'9998',85.71,1,3,NULL),(28,7132158,'1993-05-16 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431548612292112610167043',14081,'270',40.47,1,3,NULL),(28,7132166,'1987-08-11 00:00:00',4,2,12,2005,'F','N','ASILO','BLUMENAU','SC','124242241216471431549611575122331525192',7088,'855',58.67,1,3,NULL),(28,7132174,'1980-05-15 00:00:00',2,1,12,1998,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201116372751431329475114141422047',9311,'9998',45.38,1,2,1),(28,7132182,'1989-03-13 00:00:00',6,15,12,2008,'F','N','MATO ALTO','ARARANGUÁ','SC','124241241117131731433334445124610122147',NULL,'29',18.11,1,3,NULL),(28,7132190,'1993-09-10 00:00:00',2,4,12,2010,'M','N','CENTRO','ERECHIM','RS','120201201116472431426634175222610164057',1485,'9998',69.12,1,2,1),(28,7132204,'1992-12-05 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243248111373731233626275122610124055',NULL,'9997',30.71,1,3,NULL),(28,7132212,'1991-11-27 00:00:00',4,6,12,2009,'F','N','BARRA DO RIO','ITAJAÍ','SC','124242241217573431336611381124131445187',1908,'1057',70.11,1,3,NULL),(28,7132220,'1993-07-12 00:00:00',4,1,12,2010,'F','N','CENTRO','PETROLINA','PE','117172171217471531448811575125610126012',2761,'9998',61.36,3,3,NULL),(28,7132239,'1994-11-11 00:00:00',2,6,11,2011,'F','N','CONTORNO','PNT GROSSA','PR','116162161216111411433832374124610112191',NULL,'9998',0.00,1,3,NULL),(28,7132247,'1994-02-20 00:00:00',4,5,10,2011,'M','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241216111531458812575122610147042',18471,'213',25.06,1,3,NULL),(28,7132263,'1985-03-13 00:00:00',2,1,12,2002,'F','N','KOBRASOL','S JOSÉ','SC','124242241216135451238629345134610128047',13480,'724',48.28,1,3,NULL),(28,7132280,'1993-09-27 00:00:00',4,27,12,2010,'F','N','CENTRO','BARRACÃO','PR','116241241117161431336432275122610123142',6575,'245',52.44,1,2,1),(28,7132298,'1990-12-26 00:00:00',4,1,12,2011,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124244243117372431549929496122610167095',4701,'306',57.94,1,3,NULL),(28,7132328,'1992-08-31 00:00:00',4,25,12,2010,'M','N','SANTA CATARINA','S LOURENÇO OESTE','SC','124242168116372731558731595114610164142',339,'9998',75.43,1,3,NULL),(28,7132336,'1989-08-09 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216372411356869345132333217012',4379,'1022',59.32,3,3,NULL),(28,7132352,'1991-10-24 00:00:00',2,1,12,2008,'F','N','FUNDOS','BIGUAÇU','SC','124241241126131121323624145134610126157',NULL,'65',20.64,1,2,1),(28,7132379,'1994-12-23 00:00:00',4,1,12,2011,'M','N','CENTRO','S BONIFÁCIO','SC','124241241126131431428933572121610137047',20119,'702',25.72,1,2,1),(28,7132387,'1986-09-25 00:00:00',2,1,6,2005,'M','N','VARGEM PINHEIROS','STO AMARO IMPERATRIZ','SC','124241241126174121325519485124131464187',12081,'356',40.41,1,2,1),(28,7132409,'1992-10-24 00:00:00',4,17,12,2010,'F','N','CENTRO','CURITIBA','PR','116242241216472411247632575124610137052',NULL,'154',0.00,1,3,NULL),(28,7132417,'1992-07-08 00:00:00',2,1,11,2009,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241416372431235623445124133234187',10066,'396',53.60,4,3,NULL),(28,7132425,'1984-04-15 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241116132121436824145124330727044',NULL,'266',30.78,1,3,NULL),(28,7132433,'1994-07-21 00:00:00',4,1,12,2011,'M','N','JARDIM AQUÁRIUS','PALHOÇA','SC','124241241225111431321119285124610132142',18609,'262',36.87,1,3,NULL),(28,7132441,'1990-07-01 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124052211437132421169933495124120961027',3152,'9998',59.15,1,3,NULL),(28,7132450,'1987-10-04 00:00:00',2,1,9,2009,'F','N','MONTE SERRAT','FLORIANÓPOLIS','SC','124242247347472431436569385135610111072',14588,'300',39.59,4,1,2),(28,7132468,'1979-12-28 00:00:00',2,1,8,2004,'F','N','CARIANOS','FLORIANÓPOLIS','SC','624241247216275431223354285134610155152',11030,'9999',52.09,1,3,NULL),(28,7132476,'1984-01-17 00:00:00',2,8,12,1998,'F','N','ALTO BOQUEIRAO','CURITIBA','PR','116161168216131231646519445122341568194',NULL,'9998',0.00,1,3,NULL),(28,7132484,'1994-03-13 00:00:00',4,1,12,2011,'M','N','VILA SANTO ESTEFANO','S PAULO','SP','125252251215111431477714275125610162122',NULL,'9998',0.00,1,3,NULL),(28,7132506,'1992-10-17 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241147471431459613385124133262052',9223,'1202',48.99,1,2,1),(28,7132522,'1983-10-23 00:00:00',2,1,12,2001,'M','N','KOBRASOL','S JOSÉ','SC','124241241311575321136643332124120222097',2111,'525',63.37,1,3,NULL),(28,7132530,'1978-12-02 00:00:00',4,1,12,2010,'M','N','BREJARU','PALHOÇA','SC','124243247126472421333743335122610124097',14696,'9999',35.71,2,1,2),(28,7132549,'1992-02-04 00:00:00',2,16,12,2008,'M','N','CENTRO','CURITIBANOS','SC','124241241116473731423311195124223267052',18792,'239',26.11,4,3,NULL),(28,7132557,'1995-04-15 00:00:00',4,6,12,2011,'F','N','CENTRO','BAL PIÇARRAS','SC','124241241115371731226923375224610135077',13409,'614',40.31,4,3,NULL),(28,7132565,'1993-10-08 00:00:00',4,1,12,2012,'M','S','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217151752438841157131610168036',NULL,'306',30.50,1,3,NULL),(28,7132573,'1983-07-10 00:00:00',2,1,12,2001,'F','N','CIDADE NOVA','MANAUS','AM','104041041137151411535823435124342234196',18776,'9998',36.19,4,2,1),(28,7132581,'1993-08-30 00:00:00',4,1,12,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241126372731326944345124610147095',13381,'750',40.52,4,2,1),(28,7132590,'1988-03-23 00:00:00',4,1,12,2006,'F','N','TAPERA','FLORIANÓPOLIS','SC','124243247426132421526634345112610164087',20169,'9999',21.98,1,3,NULL),(28,7132611,'1993-06-19 00:00:00',2,1,12,2011,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124241241115111431313329575124610164075',13775,'267',38.75,1,2,1),(28,7132654,'1994-08-14 00:00:00',4,8,12,2011,'F','N','PIÇARRAS','GUARATUBA','PR','116161161136131531439713275125610122053',NULL,'9998',31.99,4,3,NULL),(28,7132662,'1992-05-21 00:00:00',4,1,11,2011,'F','N','NOVO MUNDO','CURITIBA','PR','116163167436131431635512344124610131117',NULL,'9998',22.74,1,3,NULL),(28,7132697,'1992-10-03 00:00:00',2,1,12,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241216152431526811475124610164147',NULL,'1074',31.56,1,3,NULL),(28,7132727,'1992-10-28 00:00:00',2,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241217111732345923575122610164097',17975,'272',39.00,1,3,NULL),(28,7132786,'1993-05-23 00:00:00',2,9,11,2010,'M','N','CENTRO','S JOSÉ CERRITO','SC','124241242111271431558813595122610123045',17056,'741',32.13,1,2,1),(28,7132808,'1993-06-16 00:00:00',4,8,12,2010,'F','N','IRIRIU','JOINVILLE','SC','124242241415472421549834372122610136122',14853,'457',45.89,1,3,NULL),(28,7132816,'1992-10-13 00:00:00',2,4,12,2009,'F','N','CENTRO','PATO BRANCO','PR','116161161216571411333615575122610126187',8711,'9998',48.14,1,3,NULL),(28,7132859,'1980-11-28 00:00:00',4,6,12,1998,'M','N','CENTRO','ITAJAÍ','SC','224242241215372321265949475122310115047',5355,'1063',57.33,1,3,NULL),(28,7132867,'1994-06-19 00:00:00',4,1,12,2011,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241215111431536612272122610112087',20104,'1223',26.17,1,3,NULL),(28,7132875,'1993-08-17 00:00:00',4,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215272431368614375114610127042',6639,'1022',54.15,1,3,NULL),(28,7132883,'1993-10-22 00:00:00',4,1,12,2011,'F','N','MORRETES','ITAPEMA','SC','124111241137141431326514245124610136012',NULL,'406',31.78,1,2,1),(28,7132891,'1986-08-07 00:00:00',2,1,11,2005,'M','N','AREAIS','S JOSÉ','SC','224241247122131421623749392223610164172',18770,'9999',36.22,2,1,1),(28,7132930,'1994-04-07 00:00:00',2,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241126141231323323232124610143143',19068,'289',27.87,1,2,1),(28,7132956,'1986-02-01 00:00:00',4,1,11,2003,'M','N','BELA VISTA','PALHOÇA','SC','124242241211575431217629575124610122047',NULL,'989',27.26,1,3,NULL),(28,7132964,'1990-08-14 00:00:00',4,1,12,2007,'M','N','PACHECOS','PALHOÇA','SC','124241241127141431336723335124233224092',13893,'1109',47.57,1,2,1),(28,7132972,'1993-02-17 00:00:00',4,1,12,2010,'M','N','CAMPOLIM','SOROCABA','SP','125252251216471431368823575122610167047',4783,'9998',55.55,1,3,NULL),(28,7132980,'1994-10-11 00:00:00',2,7,11,2011,'F','N','KLAINUBING','OURO','SC','124241241415271431423612245124610117052',NULL,'1093',14.91,1,3,NULL),(28,7132999,'1993-09-30 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124242241217372431578933472122231467052',4154,'1207',58.56,1,3,NULL),(28,7133006,'1993-05-27 00:00:00',2,2,12,2010,'M','N','CENTRO','BLUMENAU','SC','124241241215472421344721575114610167017',11377,'87',51.51,1,3,NULL),(28,7133014,'1965-03-03 00:00:00',2,1,12,1983,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116162111173343435122331015145',12435,'122',49.90,1,2,1),(28,7133030,'1993-03-04 00:00:00',2,1,12,2010,'F','N','SANTA CRUZ FIGUEIRA','ÁGUAS MORNAS','SC','124241248132371731424439392124610128143',NULL,'978',14.44,1,3,NULL),(28,7133049,'1993-10-05 00:00:00',4,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124242241215272431223623345114610137042',10121,'1022',45.08,4,1,2),(28,7133057,'1992-10-01 00:00:00',2,10,12,2010,'F','N','CENTRO','BRAÇO NORTE','SC','124241248132161431325319295124232324182',NULL,'100',26.78,1,2,1),(28,7133065,'1994-06-28 00:00:00',2,6,12,2011,'F','N','CENTRO','ILHOTA','SC','124243241215131431435634575124610162017',NULL,'955',0.00,1,3,NULL),(28,7133073,'1991-12-11 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216273431469813375114121134115',4225,'270',63.98,1,3,NULL),(28,7133103,'1982-10-06 00:00:00',4,1,7,2000,'F','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124252251117141421558844345122340238187',18238,'9998',38.17,1,3,NULL),(28,7133111,'1987-01-31 00:00:00',4,1,6,2006,'M','N','MENINO DEUS','PTO ALEGRE','RS','120204208436271431237923495124243234182',NULL,'9998',0.00,1,3,NULL),(28,7133120,'1992-01-29 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217573431269931572112221433142',725,'883',74.49,1,3,NULL),(28,7133138,'1990-12-29 00:00:00',4,3,12,2008,'M','N','MARAPÉ','SANTOS','SP','125251251137441231328727115111610133052',NULL,'9998',0.00,1,2,1),(28,7133146,'1994-06-07 00:00:00',2,1,12,2011,'M','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241115111231226629575124610122142',3420,'739',61.88,1,2,1),(28,7133170,'1993-08-25 00:00:00',4,26,12,2010,'F','N','SANTO ANTÔNIO','CONCÓRDIA','SC','124201201117131451634732285124610168051',15771,'9998',36.47,1,2,1),(28,7133189,'1993-11-29 00:00:00',4,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241125131331425539395124610125052',NULL,'274',21.11,1,2,1),(28,7133200,'1994-08-14 00:00:00',4,5,12,2011,'M','N','SAO LUIZ','CRICIÚMA','SC','124244243217131431444829575124610162182',NULL,'995',16.57,1,3,NULL),(28,7133219,'1993-03-29 00:00:00',4,3,12,2010,'M','N','PEREQUE','PTO BELO','SC','124241241114141231436419345121610137177',20100,'630',26.25,1,2,1),(28,7133235,'1989-09-02 00:00:00',4,1,12,2007,'F','N','JARDIM ACHIETA','FLORIANÓPOLIS','SC','124242241215374431559814495124233231183',6633,'270',59.46,1,3,NULL),(28,7133243,'1992-04-24 00:00:00',4,1,12,2009,'F','N','SANTA MÕNICA','FLORIANÓPOLIS','SC','124242241216575431588939575122141462195',3809,'262',57.92,1,3,NULL),(28,7133251,'1995-05-08 00:00:00',2,7,12,2011,'F','N','CENTRO','PASSO FUNDO','RS','120201201116141431424435345124610134197',NULL,'9998',11.97,1,3,NULL),(28,7133260,'1993-10-20 00:00:00',2,9,10,2011,'M','N','BELA VISTA','S JOAQUIM','SC','124242241215111431428312572322610167012',16461,'721',42.75,1,3,NULL),(28,7133278,'1992-12-21 00:00:00',4,1,11,2010,'M','N','PAE CARÁ','GUARUJÁ','SP','125251251136161732458814595124610137012',14542,'9998',39.72,1,2,1),(28,7133286,'1992-06-03 00:00:00',2,17,12,2009,'F','N','CENTRO','ITAPORANGA','SP','125254251216572331448812575122610167097',15670,'9998',35.84,1,3,NULL),(28,7133294,'1993-11-11 00:00:00',4,1,11,2011,'F','N','JURERE','FLORIANÓPOLIS','SC','124242241215221431356712325124610124183',4083,'270',56.34,1,3,NULL),(28,7133308,'1996-03-28 00:00:00',4,10,12,2012,'F','S','CENTRO','TUBARÃO','SC','124242241215371731366513575122610148147',NULL,'807',60.93,4,3,NULL),(28,7133316,'1993-12-04 00:00:00',2,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215132712628829387314610168197',18707,'269',36.42,1,3,NULL),(28,7133324,'1991-04-07 00:00:00',4,1,10,2008,'M','N','HIGIENOPOLIS','S PAULO','SP','124242241211574431348852572122230227042',3824,'262',58.99,1,3,NULL),(28,7133340,'1994-06-29 00:00:00',4,22,12,2011,'M','N','MALUCHE','BRUSQUE','SC','124242241215211431479912572112610147062',1813,'109',67.52,1,3,NULL),(28,7133359,'1989-07-28 00:00:00',4,27,12,2006,'F','N','CENTRO','CORBÉLIA','PR','116161161115572531537815254124610142017',6581,'9998',54.61,1,2,1),(28,7133367,'1980-07-24 00:00:00',2,1,7,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124251247127131731322144142324610148197',NULL,'9999',19.30,4,2,1),(28,7133375,'1994-09-18 00:00:00',4,6,12,2011,'F','N','CH MACHADINHO','AMERICANA','SP','125252251217121731347819376112610132027',2386,'9998',63.13,1,3,NULL),(28,7133383,'1995-11-09 00:00:00',4,1,12,2011,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241216151431588939575122610162195',9582,'262',46.74,1,3,NULL),(28,7133391,'1985-04-30 00:00:00',2,1,12,2002,'F','N','BARREIROS','S JOSÉ','SC','624241241126133431323351215122610162172',13699,'734',47.88,1,3,NULL),(28,7133405,'1995-01-20 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241115271431415529192124610124187',NULL,'1248',43.39,1,2,1),(28,7133413,'1993-03-21 00:00:00',2,5,7,2011,'M','N','SANTA BARBARA','CRICIÚMA','SC','124244248215371421346829475122610137112',13985,'995',47.44,1,3,NULL),(28,7133421,'1990-10-30 00:00:00',4,8,12,2008,'F','N','PETROPÓLIS','JOINVILLE','SC','124241241116371231443311445124610123182',9930,'478',53.83,1,2,1),(28,7133430,'1993-08-26 00:00:00',4,9,11,2011,'M','N','SÃO CRISTOVÃO','LAGES','SC','124242246215112731438811575121610167052',15528,'1106',35.16,1,3,NULL),(28,7133448,'1994-01-09 00:00:00',2,1,12,2010,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241116472411623311475124610127057',19303,'1248',33.84,1,3,NULL),(28,7133456,'1990-11-20 00:00:00',4,1,12,2008,'M','N','TAQUARA','RIO JANEIRO','RJ','121211216116271441458833575124610124052',4996,'9998',62.41,2,2,1),(28,7133464,'1994-03-10 00:00:00',2,10,12,2011,'M','N','RECIFE','TUBARÃO','SC','124243241215171432446713275222610147052',8060,'797',54.18,1,3,NULL),(28,7133472,'1989-12-15 00:00:00',4,1,12,2007,'M','N','JARDIM MARILU','ITAPECERICA SERRA','SP','125251251117161431226821445123142062087',NULL,'9998',0.00,1,2,1),(28,7133480,'1994-10-25 00:00:00',4,9,11,2011,'F','N','MARTORANO','S JOAQUIM','SC','124242241215111431547923274122610127012',8809,'721',47.31,1,3,NULL),(28,7133502,'1980-08-10 00:00:00',2,1,12,2000,'M','N','CAMPINAS','S JOSÉ','SC','224202201437154751356343435112141062054',11200,'9998',51.79,1,3,NULL),(28,7133510,'1994-11-13 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215151431347933585122610134192',NULL,'210',0.00,1,3,NULL),(28,7133529,'1994-03-06 00:00:00',4,1,12,2011,'M','N','JARDIM BONANZA','STA RITA P QUATRO','SP','125252251216111441328932575121610166127',12616,'9998',40.23,1,3,NULL),(28,7133537,'1991-05-13 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124131241126372431326573345124610137042',16537,'9997',34.22,4,2,1),(28,7133553,'1992-04-15 00:00:00',2,4,12,2010,'F','N','EFAPI','CHAPECÓ','SC','124111111227371331453939372124610134147',NULL,'9998',27.18,1,3,NULL),(28,7133561,'1993-05-05 00:00:00',4,1,5,2010,'M','N','AGENOR DE CARVALHO','PTO VELHO','RO','122282281416471431468819575122610167012',NULL,'9998',26.77,1,3,NULL),(28,7133588,'1993-09-11 00:00:00',1,2,12,2011,'F','N','JARDIM GLAUCIA','ITAJOBI','SP','125254251216111441448811575124610126097',NULL,'9998',0.00,4,3,NULL),(28,7133600,'1993-06-09 00:00:00',4,1,10,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124222221216372431168613575114610118073',7179,'9998',51.65,1,3,NULL),(28,7133618,'1994-11-21 00:00:00',4,3,12,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241116161431326611295122610146193',19259,'405',34.07,1,3,NULL),(28,7133626,'1990-07-16 00:00:00',4,2,12,2007,'F','N','MARIA STELLA FAGÁ','S CARLOS','SP','125251251216471431547631271122141322142',2274,'1278',66.34,1,3,NULL),(28,7133634,'1994-10-01 00:00:00',4,9,11,2011,'M','N','CENTRO','LAGES','SC','124242241217111431358822492121610114122',11717,'497',43.00,1,3,NULL),(28,7133642,'1993-02-05 00:00:00',4,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124244241215111431336912575124610123043',18180,'723',38.35,1,3,NULL),(28,7133677,'1993-11-10 00:00:00',2,3,12,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241135141421326677381124610134054',NULL,'405',25.72,1,3,NULL),(28,7133685,'1993-07-09 00:00:00',2,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241112112751526814495124230238097',12468,'267',44.03,1,2,1),(28,7133693,'1995-05-17 00:00:00',4,10,12,2012,'F','S','CENTRO','IMARUÍ','SC','124241241415111731536832575122610148177',NULL,'807',44.39,1,3,NULL),(28,7133715,'1994-09-19 00:00:00',4,6,11,2011,'M','N','GRAVATÁ','NAVEGANTES','SC','124242241215371441366612575122610128142',5180,'392',56.51,1,3,NULL),(28,7133723,'1994-09-16 00:00:00',4,1,12,2011,'M','N','POTECAS','S JOSÉ','SC','124241241115471431525611575112610137112',19050,'730',27.65,1,2,1),(28,7133731,'1974-03-17 00:00:00',4,1,10,2010,'M','N','CENTRO','PAULO LOPES','SC','624242248436151411374442325132610168112',9326,'306',44.65,1,3,NULL),(28,7133766,'1991-10-22 00:00:00',2,1,12,2008,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241116473231547611375124133217052',3871,'739',60.61,1,2,1),(28,7133782,'1992-10-29 00:00:00',2,1,12,2010,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241111472431526619595122610127027',11943,'1034',42.23,1,2,1),(28,7133790,'1994-07-08 00:00:00',4,10,12,2011,'F','N','RIO BONITO','BRAÇO NORTE','SC','124241241137371431446611345122610132171',13320,'998',39.75,1,2,1),(28,7133804,'1993-01-15 00:00:00',4,24,11,2010,'M','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120244241211472411459911475122610117186',NULL,'654',0.00,1,3,NULL),(28,7133812,'1992-02-10 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117271421221421245134610124185',19307,'298',33.82,1,2,1),(28,7133820,'1993-11-14 00:00:00',4,3,12,2010,'M','N','PILARZINHO','CURITIBA','PR','116162161217472431468833574112610162172',NULL,'9998',0.00,1,3,NULL),(28,7133855,'1993-11-04 00:00:00',2,1,12,2010,'M','N','PASSO DA AREIA','PTO ALEGRE','RS','120202201217472431338829581114610167047',9146,'9998',48.99,1,3,NULL),(28,7133898,'1986-10-15 00:00:00',2,1,12,2004,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241321271431226623245124130232047',19149,'402',34.66,1,3,NULL),(28,7133910,'1992-01-03 00:00:00',4,1,12,2009,'M','N','VILA LAVÍNIA','MOGI CRUZES','SP','125252251215571431568811472112610167187',262,'9998',74.33,3,3,NULL),(28,7133936,'1992-08-03 00:00:00',2,3,12,2009,'M','N','CENTRO','ESPUMOSO','RS','120201201217371411327811575124131464097',NULL,'9998',28.08,4,1,2),(28,7133944,'1993-08-12 00:00:00',4,1,12,2010,'M','N','VILA ESPERANÇA','MARINGÁ','PR','116164161216372431448714575122610127122',3611,'9998',60.12,3,3,NULL),(28,7133952,'1992-09-26 00:00:00',4,1,12,2010,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091212471431658811512225610164057',NULL,'9998',19.21,4,3,NULL),(28,7133960,'1993-11-29 00:00:00',4,6,12,2010,'M','N','SÃO VICENTE','ITAJAÍ','SC','124241241216472431456914575112610127012',17079,'388',41.36,1,3,NULL),(28,7133979,'1989-07-19 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136311431624431242224610144187',NULL,'298',25.10,4,3,NULL),(28,7133995,'1994-04-29 00:00:00',4,24,12,2010,'M','N','JASLISCO','TROMBUDO CENTRAL','SC','124241241147371211554833295134230764032',17460,'796',40.39,1,2,1),(28,7134002,'1994-02-15 00:00:00',4,4,12,2011,'F','N','CENTRO','CONCÓRDIA','SC','124241241115471431424415274122610133147',8808,'194',47.59,1,2,1),(28,7134010,'1990-04-05 00:00:00',4,1,12,2007,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241136152421327513485123610162062',19385,'307',33.44,2,1,1),(28,7134029,'1995-03-25 00:00:00',4,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124244241215111431468812575112610126092',13844,'1191',38.00,1,3,NULL),(28,7134037,'1994-07-23 00:00:00',4,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241215111411437831572224610161147',7971,'884',49.44,1,3,NULL),(28,7134045,'1993-09-09 00:00:00',2,1,11,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216372431457613575124131964042',4541,'1022',56.54,1,3,NULL),(28,7134053,'1994-12-23 00:00:00',2,8,12,2011,'F','N','ESPINHEIROS','JOINVILLE','SC','124243241215131231437432575124610137147',NULL,'931',32.99,4,3,NULL),(28,7134061,'1992-01-13 00:00:00',4,8,12,2008,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241416372431327631375124131562147',16313,'462',43.08,1,3,NULL),(28,7134070,'1988-02-18 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124202201311575441438832491114123237181',1330,'9998',68.57,1,3,NULL),(28,7134088,'1986-05-08 00:00:00',2,1,12,2007,'M','N','BOM VIVER','BIGUAÇU','SC','124241241324241431123344345214610114142',NULL,'9997',0.00,1,3,NULL),(28,7134096,'1985-06-04 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241217144341337712341122131064042',14114,'724',39.77,1,3,NULL),(28,7134100,'1989-06-28 00:00:00',4,1,12,2005,'M','N','ALTOS DE SANTANA','S JOSÉ CAMPOS','SP','125253256216572421437923375122242864012',2520,'9998',68.19,1,3,NULL),(28,7134118,'1994-08-21 00:00:00',2,22,12,2011,'F','N','CENTRO','NOVA TRENTO','SC','124241241135371431533314271121610136177',14671,'574',37.80,1,2,1),(28,7134126,'1994-06-19 00:00:00',4,1,12,2011,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241234113451649613575112610153185',7995,'951',51.14,1,3,NULL),(28,7134134,'1994-10-21 00:00:00',4,1,12,2011,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241217111731249932593122610127092',14600,'270',46.35,1,3,NULL),(28,7134142,'1991-03-04 00:00:00',4,4,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241216471331568612171122131436117',4123,'9997',58.05,1,3,NULL),(28,7134150,'1993-10-15 00:00:00',4,10,12,2010,'M','N','CENTRO','IMBITUBA','SC','124241243136472431536514575112610122042',11970,'359',42.58,1,2,1),(28,7134177,'1992-09-02 00:00:00',4,1,12,2009,'M','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124202201117471112326621372114610133115',18639,'9998',36.75,1,3,NULL),(28,7134185,'1990-12-28 00:00:00',2,1,12,2007,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241222132431426673572124331336142',17028,'262',41.46,1,3,NULL),(28,7134223,'1994-06-21 00:00:00',4,17,12,2011,'F','N','CENTRO','S MATEUS SUL','PR','116162161215111431236813575112610143091',12183,'9998',40.29,1,3,NULL),(28,7134231,'1993-12-26 00:00:00',4,1,12,2010,'M','N','JARDIM AQUARIUS','PALHOÇA','SC','124243241215142431228634345123610164032',NULL,'1175',35.45,1,3,NULL),(28,7134266,'1993-06-15 00:00:00',4,16,12,2010,'F','N','APARECIDA','CURITIBANOS','SC','124241241115572431236923475115141468142',11108,'239',42.97,1,3,NULL),(28,7134274,'1994-07-09 00:00:00',4,1,12,2011,'F','N','VILA ESPERANÇA','IMBITUBA','SC','124241241116271421436819575124610127147',NULL,'359',14.69,1,2,1),(28,7134282,'1991-03-16 00:00:00',2,6,12,2009,'F','N','BOQUEIRAO','CURITIBA','PR','116163163115471431449933575114610123027',NULL,'9998',0.00,4,3,NULL),(28,7134290,'1992-03-25 00:00:00',4,3,12,2008,'F','N','CENTRO','CASCAVEL','PR','116162161216573441448812575122610134052',4966,'9998',62.48,1,3,NULL),(28,7134320,'1989-02-05 00:00:00',2,4,12,2006,'F','N','BOQUEIRAO','PASSO FUNDO','RS','120201208116573451524639292124610168187',12455,'9998',41.80,2,1,1),(28,7134339,'1994-07-11 00:00:00',4,8,12,2011,'F','N','BOQUEIRÃO','CURITIBA','PR','116164161216471431446974575124610141147',NULL,'9998',0.00,1,3,NULL),(28,7134347,'1993-12-04 00:00:00',4,8,12,2010,'F','N','SAO PEDRO','S JOSÉ PINHAIS','PR','116162161215572431469931571122610163072',NULL,'9998',0.00,1,3,NULL),(28,7134355,'1993-11-17 00:00:00',2,4,12,2010,'F','N','SANTO DIAS','XANXERÊ','SC','124241241117211231336622275112610122122',18440,'841',37.50,1,2,1),(28,7134363,'1993-09-22 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241217372431359514475124231433125',14750,'213',37.03,1,3,NULL),(28,7134380,'1992-07-25 00:00:00',4,1,12,2011,'M','N','SHANGRILA','BAURU','SP','125252251215112411468812445122610168047',12714,'9998',42.03,4,3,NULL),(28,7134398,'1994-07-23 00:00:00',2,8,12,2011,'F','N','SCHERRAMM','S BENTO SUL','SC','124241241111271431336824572125610125097',11491,'697',40.56,1,2,1),(28,7134410,'1994-08-01 00:00:00',2,1,11,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215471431458831575124610147047',18799,'270',36.10,1,3,NULL),(28,7134428,'1994-12-20 00:00:00',2,15,12,2011,'F','N','FIGUEIRA','JACINTO MACHADO','SC','124241241115131432327623245121610126147',13980,'420',39.61,1,2,1),(28,7134436,'1993-01-15 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431358613575122610167185',5783,'1050',60.96,1,3,NULL),(28,7134444,'1993-10-31 00:00:00',2,1,12,2010,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215372731248931572112121446192',6702,'262',53.17,1,3,NULL),(28,7134452,'1993-03-18 00:00:00',4,8,12,2010,'M','N','CENTRO','CURITIBA','PR','116112161215472511288931575125610167042',NULL,'9998',0.00,1,3,NULL),(28,7134460,'1993-08-15 00:00:00',4,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124241241115371431324311572314610117172',NULL,'730',17.82,1,2,1),(28,7134487,'1994-09-20 00:00:00',4,1,12,2011,'M','N','BOM VIVER','BIGUAÇU','SC','124241241115371432336673375124610124042',15410,'733',36.51,1,2,1),(28,7134495,'1993-12-21 00:00:00',2,3,12,2011,'F','N','BRABANCIA','AVARÉ','SP','125252251215111431568833571122610137122',9466,'9998',47.00,1,3,NULL),(28,7134509,'1993-12-01 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215172431488814495114241467062',7520,'270',57.94,1,3,NULL),(28,7134517,'1993-05-06 00:00:00',2,1,12,2010,'M','N','CENTRO','IMBITUBA','SC','124243241115372231458812572124610124187',9192,'362',49.22,1,3,NULL),(28,7134525,'1993-01-07 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241216143731534823345124610162142',16759,'1078',42.07,1,3,NULL),(28,7134533,'1994-05-16 00:00:00',4,2,11,2011,'F','N','QUINTINO','TIMBÓ','SC','124242241215111431556923575122610124142',NULL,'1157',36.79,1,3,NULL),(28,7134541,'1993-07-10 00:00:00',4,4,12,2010,'F','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124241241211471431459813571124610166187',954,'185',69.03,1,3,NULL),(28,7134550,'1994-09-01 00:00:00',4,26,11,2011,'M','N','CINQUENTENÁRIO','CONCÓRDIA','SC','624241241216132431448813574125610167057',12070,'1000',41.55,1,3,NULL),(28,7134568,'1995-05-23 00:00:00',2,1,12,2011,'F','N','SÃO FRANCISCO','CPO GRANDE','MS','112122121417111411349912392122610146182',NULL,'9998',0.00,1,3,NULL),(28,7134584,'1994-06-17 00:00:00',4,6,12,2011,'M','N','CENTRO','BAL PIÇARRAS','SC','124241241135371431445923375121610167142',8598,'614',48.29,1,2,1),(28,7134592,'1990-06-20 00:00:00',2,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224241241117372711243353242224610124185',11531,'239',51.27,1,2,1),(28,7134606,'1994-10-14 00:00:00',2,10,12,2011,'F','N','PAES LEME','IMBITUBA','SC','124241241116371431226713575125610128092',9940,'359',45.70,1,2,1),(28,7134614,'1979-02-18 00:00:00',2,1,7,1998,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247336133421126344442235610124147',8845,'270',47.93,2,3,NULL),(28,7134622,'1992-04-11 00:00:00',4,1,12,2010,'M','N','REPÚBLICA','RIBEIRÃO PRETO','SP','125252251215471441479911575122610167087',7174,'9998',50.90,1,3,NULL),(28,7134630,'1989-08-05 00:00:00',2,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124091091117131431123344242324130215147',18753,'9998',36.29,1,2,1),(28,7134649,'1994-02-24 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124242241235473431346932575122610164142',2997,'499',60.97,1,3,NULL),(28,7134657,'1994-03-02 00:00:00',4,4,12,2010,'F','N','CENTRO','ARVOREDO','SC','124241241126472411553633294122610167012',14963,'36',36.02,1,2,1),(28,7134673,'1990-03-23 00:00:00',2,1,12,2007,'F','N','LAGOUA DOURADA','LONDRINA','PR','116161161117251431434413575124141525147',8359,'9997',46.29,1,2,1),(28,7134681,'1994-02-14 00:00:00',2,17,12,2011,'M','N','CENTRO','MTE CASTELO','SC','124163161217111431524639183325610164022',9633,'9998',46.27,1,3,NULL),(28,7134703,'1993-01-16 00:00:00',2,1,12,2010,'F','N','ITAPOÃ','VL VELHA','ES','108082081216471431557714595122610167182',11241,'9997',42.73,4,3,NULL),(28,7134711,'1984-01-24 00:00:00',2,1,11,2001,'M','N','CENTRO','TIJUCAS','SC','124241241146153711133439195232121737147',NULL,'9999',0.00,1,2,1),(28,7134720,'1992-04-17 00:00:00',4,1,12,2009,'M','N','JD NOVO PORTUGUAL','GUARULHOS','SP','125251251126571311411624381124610127043',NULL,'9998',0.00,4,2,1),(28,7134762,'1993-03-15 00:00:00',4,8,12,2011,'M','N','CENTRO','TOLEDO','PR','116162161416271431348814345122610147142',2978,'9998',60.15,1,3,NULL),(28,7134789,'1991-02-14 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241127232431114614285124130235177',17413,'315',40.50,1,2,1),(28,7134797,'1993-02-26 00:00:00',2,1,11,2010,'F','N','CANAA','NOVO HORIZONTE','SP','125252251211511711338612575345610118042',8146,'579',49.84,1,3,NULL),(28,7134819,'1988-06-16 00:00:00',2,1,11,2005,'F','N','SERRARIA','S JOSÉ','SC','124241241117274751536513482124610123147',18271,'257',38.06,1,2,1),(28,7134827,'1995-07-03 00:00:00',2,6,12,2011,'F','N','BARRA SUL','BAL CAMBORIÚ','SC','124242241217111431368723575112610123152',15504,'9997',44.69,1,3,NULL),(28,7134843,'1993-12-30 00:00:00',2,1,12,2011,'M','N','JARDIM MORADA DO SOL','INDAIATUBA','SP','125251251226111431533531215122610122143',12315,'9998',39.10,1,3,NULL),(28,7134851,'1988-02-17 00:00:00',4,1,12,2005,'M','N','SAO MATEUS','JZ FORA','MG','113132131216471751456819275122341264112',7422,'9998',58.11,1,3,NULL),(28,7134860,'1992-12-14 00:00:00',2,1,12,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241214272431647679575124133235187',5760,'1074',55.06,1,3,NULL),(28,7134878,'1993-04-15 00:00:00',4,3,11,2010,'M','N','JARDIM SANTA MARIA','JACAREÍ','SP','125252251216471431458812571112610167042',3247,'9998',60.01,1,3,NULL),(28,7134886,'1990-11-19 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215473431446413275122230236091',11370,'272',51.52,1,3,NULL),(28,7134894,'1993-06-12 00:00:00',4,4,12,2010,'F','N','CENTRO','QUEDAS IGUAÇU','PR','116161161117161411426514575112610127092',NULL,'9998',0.00,1,2,1),(28,7134908,'1991-12-06 00:00:00',4,1,12,2008,'F','N','FLORESTA','S JOSÉ','SC','124244241215372431659813396124133243187',8713,'269',55.90,1,3,NULL),(28,7134932,'1989-01-13 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124241241216575231226624495124231165017',2297,'1022',63.87,1,3,NULL),(28,7134940,'1993-11-12 00:00:00',4,4,11,2010,'M','N','CENTRO','NOVA P IGUAÇU','PR','116163161217411441459921575124610134117',6969,'9998',52.60,1,3,NULL),(28,7134959,'1994-11-04 00:00:00',4,1,10,2011,'F','N','VALE DO ARVOREDO','LONDRINA','PR','116162161216111731469833575112610163182',3610,'9998',60.43,1,3,NULL),(28,7134967,'1993-05-07 00:00:00',2,9,12,2010,'M','N','UNIVERSITÁRIO','LAGES','SC','124241241115471431555611315134610122147',10922,'513',44.66,1,2,1),(28,7134975,'1988-05-02 00:00:00',4,8,12,2005,'F','N','FLORESTA','JOINVILLE','SC','124241241216371431436833275122331427052',NULL,'1006',0.00,1,3,NULL),(28,7134983,'1994-08-19 00:00:00',4,8,12,2011,'M','N','SANTA FÉ','CPO GRANDE','MS','112122121215371431428834575122610147042',2667,'9998',59.81,1,3,NULL),(28,7135009,'1992-07-08 00:00:00',4,1,12,2009,'F','N','PEDRA BRANCA','S PAULO','SP','125252251336571431536819294124610122092',11639,'9998',42.19,1,3,NULL),(28,7135017,'1994-08-16 00:00:00',4,1,12,2011,'F','N','PROCASA','S JOSÉ','SC','124241248115161732513629292124610114147',NULL,'257',28.40,2,1,1),(28,7135025,'1990-02-04 00:00:00',2,1,12,2007,'F','N','CENTRO','S JOAQUIM','SC','124243241217374431546915475124610143057',NULL,'720',25.72,1,3,NULL),(28,7135033,'1991-06-28 00:00:00',4,23,12,2008,'M','N','AMIZADE','JARAGUÁ SUL','SC','124241246417142431468814385122231417111',18476,'1061',37.36,1,3,NULL),(28,7135041,'1986-06-15 00:00:00',2,1,12,2003,'F','N','KOBRASOL','S JOSÉ','SC','124143145126132431224641212334142767147',17299,'9998',40.79,4,3,NULL),(28,7135068,'1993-10-20 00:00:00',4,1,12,2011,'F','N','BOEHMERWALD','S BENTO SUL','SC','124241241117131331323311575114610122072',NULL,'697',24.66,1,2,1),(28,7135092,'1985-05-20 00:00:00',4,1,11,2002,'F','N','JARDIM SOCIAL','CURITIBA','PR','116164161216572431558833475122343227097',NULL,'9998',0.00,1,3,NULL),(28,7135114,'1993-09-24 00:00:00',2,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124242241216132521468613345134610117043',17548,'1022',40.19,1,3,NULL),(28,7135122,'1994-07-02 00:00:00',4,9,11,2011,'F','N','CENTRO','LAGES','SC','124242241215111412326612595112610161183',17464,'499',40.38,1,3,NULL),(28,7135130,'1993-12-15 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241312153431568613572124231034072',NULL,'1133',0.00,1,3,NULL),(28,7135149,'1985-09-18 00:00:00',4,1,12,2002,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124251251137271711225448381215140766172',14103,'9998',47.26,4,1,1),(28,7135157,'1993-09-17 00:00:00',4,22,12,2011,'M','N','SÃO LUIZ','BRUSQUE','SC','124242241215151431479912595122610147127',NULL,'107',29.69,1,3,NULL),(28,7135165,'1994-08-30 00:00:00',2,9,12,2011,'F','N','CONSOLAÇÃO','URUBICI','SC','124241241111131431324435352324610127147',16210,'818',32.48,1,2,1),(28,7135181,'1994-06-08 00:00:00',2,1,12,2011,'F','N','FAZ SANTO ANTÔNIO','S JOSÉ','SC','124241241115131431334823575124610165147',16275,'733',32.90,1,2,1),(28,7135203,'1993-05-03 00:00:00',2,7,11,2010,'F','N','VILA ALEMANHA','LUZERNA','SC','124242241215371731436639395134610128187',19594,'446',32.05,1,3,NULL),(28,7135211,'1994-05-15 00:00:00',4,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431356613575114610134051',16018,'272',34.31,1,3,NULL),(28,7135220,'1992-07-15 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241112372432533419442214610124182',18066,'288',38.69,1,2,1),(28,7135238,'1992-02-06 00:00:00',2,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124113114316311131446912485124110118071',NULL,'9998',25.81,1,3,NULL),(28,7135262,'1994-04-06 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241215272231348311245124610127052',13733,'868',39.80,2,1,2),(28,7135270,'1994-03-28 00:00:00',4,1,12,2011,'F','N','ALTO DE PINHEIROS','S PAULO','SP','125252251217151431467712495124610137042',3399,'9998',60.33,1,3,NULL),(28,7135289,'1992-04-22 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116272431433314385124610117042',11372,'591',45.78,1,2,1),(28,7135297,'1995-02-18 00:00:00',4,1,12,2011,'F','N','FLORESTA','S JOSÉ','SC','124244241215311311364912522124610128072',NULL,'1118',19.49,1,3,NULL),(28,7135319,'1993-10-22 00:00:00',4,4,11,2010,'F','N','CENTRO','CHAPECÓ','SC','120242241216473731347714175124610123142',2574,'168',60.46,1,3,NULL),(28,7135327,'1994-09-08 00:00:00',4,25,12,2011,'F','N','DE CARLI','VIDEIRA','SC','124241241215371441346923575112610127147',3306,'829',59.69,1,3,NULL),(28,7135335,'1980-04-08 00:00:00',4,1,12,1997,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215474431589912315122333257043',6074,'270',60.47,1,3,NULL),(28,7135378,'1988-05-20 00:00:00',5,1,12,2006,'M','N','KOBRASOL','S JOSÉ','SC','224201201131131411224844141124610167087',17255,'9998',40.88,1,2,1),(28,7135386,'1990-06-16 00:00:00',2,1,12,2007,'F','N','JARDIM SÃO LUIZ','JARAGUÁ SUL','SC','124242248215474411269832435122231067017',NULL,'270',28.32,1,3,NULL),(28,7135394,'1992-01-02 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241215573431449931575122610166122',724,'210',70.76,1,3,NULL),(28,7135408,'1994-12-04 00:00:00',4,1,12,2011,'M','N','CENTRO','GAROPABA','SC','124244241345161431333312125123610167042',NULL,'322',0.00,1,3,NULL),(28,7135440,'1993-01-28 00:00:00',4,1,12,2010,'M','N','VILA REZENDE','PIRACICABA','SP','125252251217371411459934575112610142092',3218,'9998',59.68,1,3,NULL),(28,7135459,'1994-04-18 00:00:00',2,8,12,2011,'M','N','CENTRO','ITAPETININGA','SP','125252251217111411558613145122610127052',NULL,'9998',0.00,1,3,NULL),(28,7135467,'1992-07-01 00:00:00',2,1,12,2010,'M','N','CAMPO D UNA','GAROPABA','SC','124241241136211451426419296224610127047',NULL,'1136',17.72,2,1,1),(28,7135475,'1988-06-04 00:00:00',4,1,9,2009,'M','N','BARREIROS','S JOSÉ','SC','124242247226472411636721145334610116177',10488,'9999',45.26,1,3,NULL),(28,7135491,'1985-01-31 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216374431689932385122130267042',4227,'1036',63.97,1,3,NULL),(28,7135505,'1994-12-31 00:00:00',4,1,12,2011,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241248136161431536312475124610114052',NULL,'772',20.50,1,2,1),(28,7135513,'1994-09-20 00:00:00',4,26,12,2011,'F','N','CENTRO','IPUMIRIM','SC','124241241116131431449933575122610126072',NULL,'374',30.51,1,2,1),(28,7135599,'1992-11-17 00:00:00',3,10,11,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215472431657414174222610166092',8727,'807',50.28,1,3,NULL),(28,7135602,'1984-02-03 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117134441236821313124120964042',10267,'9999',46.43,1,2,1),(28,7135610,'1995-01-25 00:00:00',4,1,12,2012,'M','S','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217471731568713575124610127042',NULL,'270',47.07,4,3,NULL),(28,7135629,'1991-03-28 00:00:00',4,5,12,2008,'M','N','SANTA LUZIA','CRICIÚMA','SC','124244243216152731466332345134132824095',7444,'995',58.08,1,3,NULL),(28,7135645,'1993-08-12 00:00:00',4,6,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215472411488811575112610134122',2821,'654',62.77,1,3,NULL),(28,7135661,'1993-12-09 00:00:00',2,1,12,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124244241215112431346812575124610163141',14950,'1023',37.70,1,3,NULL),(28,7135696,'1992-09-29 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241111174211424524445124233223072',19662,'307',31.51,1,2,1),(28,7135718,'1993-03-24 00:00:00',4,1,10,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215472431546614375112610167052',12820,'269',49.28,1,3,NULL),(28,7135726,'1991-12-24 00:00:00',2,1,12,2009,'F','N','JARDIM ESTORIL','BAURU','SP','125252251215571731446933575122613234077',11135,'9998',42.75,4,3,NULL),(28,7135742,'1994-09-24 00:00:00',4,4,12,2011,'F','N','VISTA ALEGRE','QUILOMBO','SC','124242241217111411647515571122610123142',18372,'1191',29.24,1,3,NULL),(28,7135750,'1990-08-29 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241211575411458831572112220664011',4056,'1006',64.36,1,3,NULL),(28,7135769,'1994-06-06 00:00:00',2,4,12,2011,'F','N','CENTRO','CONCÓRDIA','SC','124241241116471731436414595122610134142',NULL,'194',24.47,1,2,1),(28,7135777,'1991-10-27 00:00:00',4,10,12,2009,'F','N','MAGALHÃES','LAGUNA','SC','124243241226172441633619275125131048147',NULL,'524',0.00,2,1,2),(28,7135785,'1994-07-03 00:00:00',4,1,11,2011,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124072241415131731359913576114610167047',13829,'9997',38.30,1,3,NULL),(28,7135807,'1994-09-20 00:00:00',2,15,12,2011,'F','N','LINHA SEMINARIO','TURVO','SC','124242241215231431423432575121610127147',NULL,'813',29.76,1,3,NULL),(28,7135831,'1992-02-01 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373411557629442132610167067',9845,'262',46.92,1,3,NULL),(28,7135840,'1987-01-09 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241248132142431445831242113610166183',18307,'9999',37.93,2,3,NULL),(28,7135858,'1994-06-30 00:00:00',4,1,12,2011,'M','N','VILA GUILHERME','S PAULO','SP','125252251217111431437332571334610133124',NULL,'9998',0.00,1,3,NULL),(28,7135874,'1994-08-25 00:00:00',4,10,12,2011,'F','N','RIO BONITO','BRAÇO NORTE','SC','124241241115371431526324575124610126147',NULL,'998',25.99,1,2,1),(28,7135882,'1994-04-30 00:00:00',2,1,12,2011,'F','N','JURERE','FLORIANÓPOLIS','SC','124244241215112411368923575112610135096',6561,'1048',52.54,1,3,NULL),(28,7135904,'1994-01-17 00:00:00',4,1,12,2010,'F','N','MORAR BEM','S JOSÉ','SC','124241241116371431536613345124610134142',14137,'307',39.56,4,2,1),(28,7135920,'1993-10-26 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111411446613582112610137057',18533,'737',37.17,1,3,NULL),(28,7135939,'1989-10-21 00:00:00',2,16,12,2006,'F','N','INTERIOR','FR ROGÉRIO','SC','124241241116473431438835455122330233071',18273,'239',38.06,1,3,NULL),(28,7135947,'1995-10-04 00:00:00',1,2,12,2012,'M','S','POMERODE FUNOS','POMERODE','SC','124242241217111731456621572112610167012',NULL,'624',46.65,1,3,NULL),(28,7135963,'1992-07-15 00:00:00',4,1,11,2009,'M','N','BOA ESPERANÇA','CUIABÁ','MT','111112111215572431469813575124610134012',7728,'9998',46.57,1,3,NULL),(28,7135971,'1994-03-09 00:00:00',4,1,12,2011,'M','N','MERCÊS','CURITIBA','PR','116162161217121431358719575112610137042',NULL,'9998',38.24,1,3,NULL),(28,7135998,'1984-01-21 00:00:00',4,1,12,2001,'F','N','CENTRO','PALHOÇA','SC','124241241147233431633623345124610134097',9948,'591',43.64,1,2,1),(28,7136013,'1993-06-13 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431546719572114610118012',15399,'270',36.79,1,3,NULL),(28,7136021,'1992-11-20 00:00:00',4,22,11,2010,'M','N','RIO BRANCO','BRUSQUE','SC','124244241125252431324611275322610144182',1812,'114',65.03,1,3,NULL),(28,7136030,'1994-01-27 00:00:00',2,1,12,2011,'M','N','PENHA','PAULO LOPES','SC','124241241115141431448614395124610137042',14272,'361',39.80,1,2,1),(28,7136048,'1993-07-04 00:00:00',4,1,11,2011,'M','N','MOOCA','S PAULO','SP','125252251215111431363821591125610134182',5702,'9998',54.34,1,3,NULL),(28,7136072,'1988-01-01 00:00:00',4,1,12,2005,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241216374721369913445124221167065',11826,'269',50.82,1,3,NULL),(28,7136080,'1993-12-01 00:00:00',2,1,12,2011,'F','N','FAZENDA ST ANTONIO','S JOSÉ','SC','124241245132141731426414242224610123147',NULL,'307',16.96,2,1,1),(28,7136099,'1990-08-04 00:00:00',2,1,12,2007,'M','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124242241216373431556824341332610132117',16583,'1074',42.46,1,3,NULL),(28,7136102,'1992-12-30 00:00:00',2,1,12,2011,'M','N','ALTO ARIRIU','PALHOÇA','SC','124241241122151411344414445124610142147',13012,'9999',43.50,1,2,1),(28,7136145,'1994-08-25 00:00:00',4,10,12,2011,'F','N','RIO BONITO','BRAÇO NORTE','SC','124241241115371431526324575124610126147',16539,'998',33.56,1,2,1),(28,7136161,'1991-10-30 00:00:00',4,1,12,2009,'F','N','JARDIM LONGATO','MOGI MIRIM','SP','125252251217571731258821474122610144142',1222,'9998',67.69,1,3,NULL),(28,7136188,'1992-12-12 00:00:00',4,1,12,2011,'F','N','SÃO BERNARDO','CAMPINAS','SP','125252251216371421348852475112610112044',NULL,'9998',25.29,1,3,NULL),(28,7136196,'1992-02-14 00:00:00',2,8,12,2009,'F','N','ASA SUL','BRASÍLIA','DF','107072071215571331368921576122610144182',2784,'9998',61.67,1,3,NULL),(28,7136200,'1992-10-07 00:00:00',4,1,12,2011,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241141141411224344145334610166192',NULL,'593',25.34,1,2,1),(28,7136218,'1990-05-07 00:00:00',4,4,12,2007,'M','N','MENINO DEUS','PTO ALEGRE','RS','120202201215412431348811475124143234057',1566,'9998',65.33,1,3,NULL),(28,7136226,'1991-10-07 00:00:00',2,8,12,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124242241216371421458732591112610167122',NULL,'1016',0.00,1,3,NULL),(28,7136234,'1992-08-05 00:00:00',4,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124252251217471431268312575122140242052',4532,'9998',56.05,1,3,NULL),(28,7136242,'1994-03-01 00:00:00',2,1,12,2011,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124201241115371431323624245124610117072',11178,'733',42.04,1,2,1),(28,7136250,'1994-04-06 00:00:00',2,4,12,2011,'F','N','SANTO ANTÔNIO','PATO BRANCO','PR','116161161117141451423311295124610124142',17394,'9998',30.61,1,2,1),(28,7136269,'1994-02-26 00:00:00',4,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124243241117131431433614572124610125093',18719,'733',27.36,1,3,NULL),(28,7136285,'1994-03-07 00:00:00',4,8,12,2011,'F','N','JARDIM RENASCENÇA','MIRASSOL','SP','125252251215111431468814575122610134042',NULL,'9998',0.00,1,3,NULL),(28,7136293,'1992-06-23 00:00:00',4,1,12,2009,'M','N','JARDIM SAO PAULO','SOROCABA','SP','125252251215571431559934575122610137047',507,'9998',73.25,1,3,NULL),(28,7136315,'1993-11-17 00:00:00',2,4,12,2010,'F','N','CENTRO','CUNHA PORÃ','SC','124111111117271431424662345124610163143',NULL,'9998',0.00,1,2,1),(28,7136358,'1981-04-08 00:00:00',4,1,12,1998,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','624164241436132431446851435122333241182',NULL,'272',20.76,1,3,NULL),(28,7136366,'1993-10-27 00:00:00',4,1,12,2011,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215371431469934575112610127125',1332,'883',67.79,1,3,NULL),(28,7136374,'1994-09-17 00:00:00',4,1,11,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241416121441426532575124610138182',6163,'270',52.83,1,3,NULL),(28,7136382,'1994-11-01 00:00:00',4,1,12,2011,'M','N','BELA VISTA','S JOSÉ','SC','124241241137141241526624245124610134187',19110,'726',26.26,1,2,1),(28,7136390,'1990-01-15 00:00:00',4,1,12,2007,'F','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124242242112145431428841312112123216093',18054,'960',38.72,1,3,NULL),(28,7136412,'1993-08-25 00:00:00',2,5,7,2011,'F','N','CENTRO','CRICIÚMA','SC','124243246216372441449613495122610146072',14868,'995',45.85,1,3,NULL),(28,7136420,'1989-06-12 00:00:00',4,8,12,2007,'M','N','CENTRO','TUPÃSSI','PR','116161161116131511447812572112241417057',NULL,'9998',0.00,1,2,1),(28,7136439,'1993-10-03 00:00:00',2,1,12,2010,'F','N','JARDINS','ARACAJU','SE','126262261217571441449932573222610165183',5195,'9998',62.06,1,3,NULL),(28,7136447,'1994-01-17 00:00:00',2,10,12,2011,'F','N','PAROBE','LAGUNA','SC','124241241115271451426311575124610164077',NULL,'1212',0.00,1,2,1),(28,7136471,'1994-03-14 00:00:00',4,5,11,2011,'M','N','CENTRO','MRO FUMAÇA','SC','124242241235211431467732572112610167111',18885,'226',35.74,1,3,NULL),(28,7136480,'1993-04-22 00:00:00',2,1,12,2010,'F','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124241241126162411324614275124610137057',NULL,'329',20.77,1,2,1),(28,7136498,'1985-04-29 00:00:00',2,15,12,2002,'M','N','QUARTA LINHA','CRICIÚMA','SC','224241241121362731133344441323610167043',17147,'550',41.16,1,2,1),(28,7136501,'1994-08-24 00:00:00',2,9,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241417111731348833245114610148057',NULL,'1022',22.17,1,3,NULL),(28,7136528,'1994-04-19 00:00:00',4,5,12,2011,'F','N','MONTE CARLOS','COCAL SUL','SC','124241241315111411534411375124610166197',2333,'226',62.87,1,3,NULL),(28,7136536,'1992-06-27 00:00:00',2,27,12,2009,'M','N','CENTRO','GUARANIAÇU','PR','116161161114572441339932285122610134047',5400,'9998',56.56,1,2,1),(28,7136544,'1994-08-15 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241215111431453439345124610127042',17873,'1197',39.28,1,3,NULL),(28,7136552,'1992-04-15 00:00:00',2,10,11,2009,'M','N','FABIOSILVA','TUBARÃO','SC','124241241416573431548833575121610167147',1048,'809',69.44,1,3,NULL),(28,7136587,'1993-06-03 00:00:00',2,5,11,2010,'F','N','CENTRO','ORLEANS','SC','124242241215272411468632575112130223182',NULL,'226',0.00,1,3,NULL),(28,7136609,'1992-11-25 00:00:00',2,1,12,2009,'F','N','TERRAS DE PIRACICABA','PIRACICABA','SP','125252251215473411579631575122142836182',12410,'9998',49.93,1,3,NULL),(28,7136625,'1993-01-07 00:00:00',4,1,12,2010,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241216472431459833575122610164072',4535,'1198',60.03,1,3,NULL),(28,7136633,'1993-02-23 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472231352923575112610167071',1313,'270',72.42,1,3,NULL),(28,7136641,'1995-05-03 00:00:00',4,2,12,2011,'F','N','VILA NOVA','BLUMENAU','SC','124242241215111731458831372124610136092',18487,'855',37.33,1,3,NULL),(28,7136650,'1994-01-07 00:00:00',2,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124243241215111432336624345114610124192',NULL,'300',35.46,1,3,NULL),(28,7136668,'1994-05-12 00:00:00',4,4,12,2011,'M','N','MARIA GORETTI','CHAPECÓ','SC','124242241215111451569939571125610148092',1252,'1191',68.56,1,3,NULL),(28,7136676,'1993-02-23 00:00:00',4,1,11,2011,'M','N','JARDIM PAULISTA','S PAULO','SP','125252251217111431688612575114610167042',NULL,'9998',0.00,1,3,NULL),(28,7136684,'1986-05-18 00:00:00',2,1,12,2005,'F','N','FORQUILHAS','S JOSÉ','SC','124241111121132431423319382124610133147',NULL,'9998',27.21,1,2,1),(28,7136692,'1994-09-08 00:00:00',2,4,12,2011,'M','N','CENTRO','CHAPECÓ','SC','124244241316471531533622225122610127052',NULL,'169',25.41,1,3,NULL),(28,7136706,'1987-06-17 00:00:00',2,1,12,2004,'M','N','TANCREDO NEVES','STA MARIA','RS','120201201137131431325329432134610157047',NULL,'9998',0.00,1,3,NULL),(28,7136722,'1994-07-11 00:00:00',2,3,12,2011,'F','N','VARZEA DO RANCHINHO','CAMBORIÚ','SC','124242241215111431465831575122610125082',12859,'9997',49.21,1,3,NULL),(28,7136730,'1990-06-27 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124243241116132421546624345124610137067',NULL,'733',24.10,2,1,2),(28,7136749,'1992-09-27 00:00:00',2,1,11,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217373431479933472122610127142',1216,'270',69.37,1,3,NULL),(28,7136765,'1991-08-09 00:00:00',6,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242248217131331226913341124130238172',NULL,'654',12.30,1,3,NULL),(28,7136773,'1993-07-15 00:00:00',4,7,12,2010,'M','N','SAO FLORIANO','IBICARÉ','SC','124241241126131531323311245115610167057',NULL,'345',21.62,1,3,NULL),(28,7136781,'1994-01-30 00:00:00',4,25,11,2011,'M','N','VILA PARAIZO','CAÇADOR','SC','116162161211471411546631595124610117072',17639,'9998',39.91,1,3,NULL),(28,7136790,'1993-11-17 00:00:00',2,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241216372431568833575122610134147',5722,'988',54.19,4,3,NULL),(28,7136803,'1993-10-23 00:00:00',2,1,11,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124233241215111431527823572124610124057',8061,'272',50.43,1,3,NULL),(28,7136811,'1992-05-13 00:00:00',2,16,12,2010,'M','N','CENTRO','TREZE TÍLIAS','SC','124241242115142431436614385124223237082',NULL,'8',25.06,1,2,1),(28,7136820,'1992-05-07 00:00:00',4,1,12,2009,'F','N','SANTA RITA','OLÍMPIA','SP','125252251216571411448831571122610162147',6096,'9998',53.20,1,3,NULL),(28,7136838,'1994-01-21 00:00:00',2,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241217111731369814285112610167047',5573,'226',56.65,1,3,NULL),(28,7136846,'1993-08-22 00:00:00',2,1,12,2011,'M','N','ZONA I','MARINGÁ','PR','116162161217111751359911395112610167112',NULL,'9998',0.00,4,3,NULL),(28,7136862,'1994-06-22 00:00:00',2,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241135141431456813295124610113122',16885,'307',32.56,4,2,1),(28,7136870,'1993-02-12 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242248117472431428924572124610168017',11896,'306',43.82,1,3,NULL),(28,7136889,'1992-11-05 00:00:00',4,1,12,2010,'F','N','VILA SÃO FRANCISCO','S PAULO','SP','125253251216431431468714575122610127147',8994,'9998',45.96,1,3,NULL),(28,7136897,'1995-03-20 00:00:00',4,1,12,2011,'F','N','NOVA BRASÍLIA','IMBITUBA','SC','124241241135371441524574281224610162142',9098,'361',46.30,1,2,1),(28,7136919,'1991-09-03 00:00:00',2,1,12,2009,'F','N','PAULICÉIA','PIRACICABA','SP','125251251116571431323631385222610163182',NULL,'9998',23.32,1,2,1),(28,7136927,'1994-08-25 00:00:00',4,4,12,2011,'M','N','JARDIM','MARAVILHA','SC','124243241215111431359921212112610114142',14266,'1037',39.36,1,3,NULL),(28,7136935,'1986-10-10 00:00:00',2,1,12,2003,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241126131421325544245334610126193',NULL,'291',33.46,1,3,NULL),(28,7136951,'1994-03-15 00:00:00',4,15,11,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124242241215122451458832475122610134142',1705,'970',66.83,1,3,NULL),(28,7136960,'1994-09-13 00:00:00',4,10,12,2011,'M','N','MAR GROSSO','LAGUNA','SC','124242241235111431334614175122610137047',19079,'525',34.98,1,3,NULL),(28,7136978,'1993-09-18 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241212112421346822575124610117142',5634,'270',57.32,1,3,NULL),(28,7136986,'1993-03-30 00:00:00',4,9,11,2010,'F','N','SAO CRISTOVAO','LAGES','SC','124242241215472431468712575122610164142',2802,'1207',62.78,1,3,NULL),(28,7137010,'1994-12-07 00:00:00',4,1,12,2011,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241135141431548673345114610164052',NULL,'731',17.22,1,2,1),(28,7137028,'1992-07-13 00:00:00',4,1,11,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241116273731249924195124233237052',16250,'663',33.33,1,3,NULL),(28,7137036,'1991-05-14 00:00:00',4,1,12,2008,'F','N','JARDIM MARIN','VOTUPORANGA','SP','125252251215571431368822574122610112077',275,'9998',74.56,4,3,NULL),(28,7137044,'1992-01-06 00:00:00',2,1,12,2009,'F','N','JARDIM NAZARETH','MOGI MIRIM','SP','125251251116472431327414575114610167052',NULL,'9998',26.04,1,2,1),(28,7137052,'1994-02-05 00:00:00',4,1,12,2011,'M','N','JARDIM SUL','S JOSÉ CAMPOS','SP','125252251217111431446833475112610117097',10420,'9998',45.01,1,3,NULL),(28,7137060,'1993-08-25 00:00:00',2,1,12,2010,'F','N','MONTE CASTELO','S JOSÉ CAMPOS','SP','125252251216472441658613572124610134147',7551,'9998',50.22,1,3,NULL),(28,7137079,'1994-05-26 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731458819575115610138047',7498,'1022',51.89,1,3,NULL),(28,7137087,'1994-04-20 00:00:00',4,1,12,2011,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','124244241215122431348933572124610136172',3693,'1011',59.59,1,3,NULL),(28,7137109,'1991-05-26 00:00:00',2,1,12,2008,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241116575732333559245121230226147',NULL,'1088',30.44,1,2,1),(28,7137117,'1986-01-20 00:00:00',4,10,11,2003,'F','N','CENTRO','CAPIVARI BAIXO','SC','124241241217375731638619174124142422187',4826,'807',56.37,1,3,NULL),(28,7137125,'1992-12-29 00:00:00',2,1,12,2010,'F','N','CENTRO','BIGUAÇU','SC','124242241216373431545632572124610147097',NULL,'1118',20.59,1,3,NULL),(28,7137133,'1992-09-09 00:00:00',4,1,12,2010,'M','N','CENTRO','SOROCABA','SP','125252251215471411489931414122610125072',3992,'9998',57.12,1,3,NULL),(28,7137141,'1993-12-03 00:00:00',4,1,12,2010,'M','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124242241216372431639813575124610127012',12792,'1075',42.21,1,3,NULL),(28,7137150,'1993-10-16 00:00:00',4,8,12,2011,'F','N','VILA RICCI','PNT GROSSA','PR','116162166116371431356934345122610123182',NULL,'9998',0.00,1,3,NULL),(28,7137168,'1995-04-06 00:00:00',4,9,11,2012,'F','S','SAGRADO C DE JESUS','LAGES','SC','124242241217171431335812275122610148072',NULL,'1207',40.64,1,3,NULL),(28,7137184,'1994-12-16 00:00:00',4,8,11,2011,'F','N','CENTRO','BEBEDOURO','SP','125254251216111411337833331112610126072',NULL,'9998',0.00,1,3,NULL),(28,7137192,'1994-03-24 00:00:00',2,4,12,2011,'F','N','SANTA MARIA','CHAPECÓ','SC','124243241115231611424923472125610154147',NULL,'169',25.97,1,3,NULL),(28,7137206,'1994-07-14 00:00:00',4,10,12,2011,'M','N','SANTO ANDRÉ','CAPIVARI BAIXO','SC','124242241215131431336814475124610137142',12414,'809',40.91,1,3,NULL),(28,7137214,'1994-03-08 00:00:00',2,4,12,2011,'M','N','PRESIDENTE MEDICI','CHAPECÓ','SC','124241241115472431538913575122610127052',6806,'169',53.07,1,2,1),(28,7137222,'1994-05-16 00:00:00',4,1,12,2011,'M','N','BELA VISTA','PALHOÇA','SC','124241241125141431534434341224610112012',NULL,'1108',21.06,1,2,1),(28,7137230,'1992-07-08 00:00:00',2,15,12,2011,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241235121431439614375122610133072',13293,'970',40.97,1,3,NULL),(28,7137257,'1986-07-01 00:00:00',2,1,12,2004,'F','N','KOBRASOL','S JOSÉ','SC','124242241212152421369823345122331038187',NULL,'262',0.00,1,3,NULL),(28,7137265,'1994-02-15 00:00:00',4,1,12,2011,'M','N','LOURO','ANTÔNIO CARLOS','SC','124241241116161431436351172122610134147',14371,'21',37.89,1,2,1),(28,7137281,'1994-08-09 00:00:00',4,1,11,2011,'F','N','JARDIM PANORAMA','IPATINGA','MG','113132131216111431466634575122610134191',NULL,'9998',37.80,4,3,NULL),(28,7137290,'1994-08-09 00:00:00',4,2,12,2011,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241215112431546614575124610124147',7251,'855',51.29,1,3,NULL),(28,7137320,'1992-12-10 00:00:00',4,1,12,2010,'F','N','CENTRO','ITAPETININGA','SP','125252251216471731568716572122610133097',7285,'9998',52.46,1,3,NULL),(28,7137338,'1973-04-24 00:00:00',5,1,12,1991,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','524251251316152431463349291112232667141',NULL,'9998',13.00,1,3,NULL),(28,7137346,'1988-11-09 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243247415143411223721475124133035183',NULL,'9999',0.00,1,3,NULL),(28,7137370,'1990-11-19 00:00:00',2,1,6,2010,'F','N','INDEPENDÊNCIA','PTO ALEGRE','RS','120202201117373731267961575122242622092',15660,'9998',44.37,1,3,NULL),(28,7137389,'1994-06-09 00:00:00',4,1,10,2011,'F','N','JARDIM GOIÁS','GOIÂNIA','GO','109092091216111431348833575112610164052',5079,'9998',54.87,1,3,NULL),(28,7137397,'1994-05-01 00:00:00',4,2,12,2011,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124242245217171431547719595124610128112',10180,'87',53.42,1,3,NULL),(28,7137400,'1994-04-13 00:00:00',4,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217111431339613575124610168024',11564,'272',44.14,1,3,NULL),(28,7137427,'1993-04-12 00:00:00',2,22,12,2010,'F','N','RIO BRANCO','BRUSQUE','SC','124241241127131431321214135124232716147',NULL,'108',21.31,1,2,1),(28,7137435,'1994-01-21 00:00:00',4,2,12,2011,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241217112431348712476112610161092',3441,'87',59.04,1,3,NULL),(28,7137443,'1994-03-01 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112331365923575112610124112',17577,'270',40.11,1,3,NULL),(28,7137451,'1995-08-08 00:00:00',4,4,12,2012,'F','S','CENTRO','CHAPECÓ','SC','124242241215151411389923575122610125182',NULL,'168',20.97,1,3,NULL),(28,7137460,'1994-12-14 00:00:00',4,6,11,2011,'F','N','ALVORADA','VIDEIRA','SC','121243241215111431663811592122610135112',10479,'1038',49.21,1,3,NULL),(28,7137478,'1992-12-21 00:00:00',4,8,11,2010,'F','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125133251315471431434611575124610112147',NULL,'9998',0.00,1,3,NULL),(28,7137486,'1995-07-02 00:00:00',4,1,11,2011,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215121431339711572122610124142',17726,'1074',31.32,1,3,NULL),(28,7137516,'1994-04-18 00:00:00',4,1,12,2011,'F','N','CENTRO','VITÓRIA','ES','108082081216121431449924475124610144142',NULL,'9998',0.00,2,3,NULL),(28,7137540,'1995-10-23 00:00:00',4,24,12,2012,'F','S','CANTA GALO','RIO SUL','SC','124242241216111431436512225122610145142',NULL,'654',35.31,1,3,NULL),(28,7137559,'1994-05-31 00:00:00',2,1,12,2011,'M','N','JARDIM DA GRANJA','S JOSÉ CAMPOS','SP','125251251217111431653319575124610167057',1474,'9998',67.29,4,3,NULL),(28,7137567,'1993-11-18 00:00:00',4,8,11,2011,'F','N','BOA VISTA','JOINVILLE','SC','124242241216111711526611595122610141145',NULL,'461',0.00,1,3,NULL),(28,7137575,'1994-09-14 00:00:00',4,1,12,2011,'M','N','CENTRO','BIGUAÇU','SC','124242243117152641457814575122610134142',NULL,'306',42.80,1,3,NULL),(28,7137583,'1983-09-28 00:00:00',2,6,12,2004,'F','N','NOVA ESPERANÇA','BAL CAMBORIÚ','SC','113131131446141741229429241224141066187',6726,'9998',51.46,1,3,NULL),(28,7137591,'1992-11-24 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215372431336914376114223264197',11095,'738',46.45,1,3,NULL),(28,7137613,'1993-09-17 00:00:00',4,6,12,2010,'M','N','CANESIANAS','IRATI','PR','116162161215471751549913471144610121092',NULL,'9998',0.00,1,3,NULL),(28,7137621,'1993-01-16 00:00:00',4,8,10,2010,'F','N','IRIRIÚ','JOINVILLE','SC','124241241215472431459934575124610123097',3079,'1063',59.30,1,3,NULL),(28,7137630,'1995-02-20 00:00:00',4,26,12,2011,'M','N','INTERIOR','CONCÓRDIA','SC','124241242117111431458933595122610137012',NULL,'196',29.25,1,2,1),(28,7137648,'1994-03-28 00:00:00',4,1,12,2011,'F','N','CENTRO','CANELINHA','SC','124243241215111431454612575122610162192',9229,'1119',45.33,1,3,NULL),(28,7137664,'1994-08-08 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431334621472112610127182',7922,'1118',53.36,1,3,NULL),(28,7137680,'1995-04-17 00:00:00',2,4,12,2011,'F','N','INTERIOR','PALMITOS','SC','124241241116151431336612575122610167147',16108,'1030',33.32,1,2,1),(28,7137702,'1994-12-09 00:00:00',4,1,12,2011,'M','N','FORQUILINHAS','S JOSÉ','SC','124243241415111432426614575124610127052',18605,'1075',26.78,1,3,NULL),(28,7137710,'1995-02-28 00:00:00',4,10,12,2011,'M','N','CABEÇUDA','LAGUNA','SC','124241241115371431648613575124610137042',18454,'521',37.46,1,3,NULL),(28,7137729,'1994-12-18 00:00:00',4,1,11,2011,'M','N','BATISTA CAMPOS','BELÉM','PA','114142141217151431588821585122610125092',NULL,'9998',0.00,1,3,NULL),(28,7137737,'1993-11-17 00:00:00',4,1,12,2010,'F','N','SANTANA','S JOSÉ CAMPOS','SP','125254251216471431336839175112610144142',11630,'9998',42.68,1,3,NULL),(28,7137745,'1992-05-29 00:00:00',4,1,12,2009,'M','N','SANTA RITA','STA BÁRBARA D OESTE','SP','125252251215572431469932575112610117042',2364,'9998',65.87,1,3,NULL),(28,7137761,'1994-02-27 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215272431488911475122221461112',630,'270',73.90,1,3,NULL),(28,7137788,'1994-03-29 00:00:00',4,6,12,2011,'M','N','CORDEIROS','ITAJAÍ','SC','124241241315211732446614575121610127147',4691,'391',63.01,1,3,NULL),(28,7137796,'1993-10-24 00:00:00',2,1,11,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115131431326514275124610125072',14003,'271',37.80,1,2,1),(28,7137800,'1995-10-06 00:00:00',4,5,12,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215151431458913572122610132047',6407,'211',59.86,1,3,NULL),(28,7137818,'1994-02-07 00:00:00',4,6,12,2011,'M','N','VILA BARTH','ITAPETININGA','SP','125254251217111431338629575121610168017',NULL,'9998',22.37,4,3,NULL),(28,7137834,'1994-02-10 00:00:00',2,23,11,2011,'F','N','CENTRO','CORUPÁ','SC','124243241215111431458933574114610141117',7667,'442',48.90,1,3,NULL),(28,7137842,'1993-06-04 00:00:00',2,8,12,2011,'M','N','CENTRO','APUCARANA','PR','116252251217161431458839575122610162092',NULL,'9998',0.00,1,3,NULL),(28,7137869,'1993-03-10 00:00:00',4,5,12,2010,'F','N','PIO CORREA','CRICIÚMA','SC','124242241215472431589631595112610165042',3627,'226',60.29,1,3,NULL),(28,7137877,'1991-10-28 00:00:00',4,1,12,2007,'F','N','PANTANTAL','FLORIANÓPOLIS','SC','124141141236233431657914475121222834142',2690,'9998',60.86,3,3,NULL),(28,7137885,'1992-11-23 00:00:00',4,1,11,2010,'M','N','CAMBUI','CAMPINAS','SP','125252251215471411686911575122610167043',4183,'9998',64.06,1,3,NULL),(28,7137893,'1994-08-08 00:00:00',4,1,12,2011,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251217151731469814575124610136097',11895,'9998',44.04,1,3,NULL),(28,7137923,'1994-11-18 00:00:00',2,10,12,2011,'F','N','CABEÇUDAS','LAGUNA','SC','124241241215111331566923585122610137047',15419,'1120',35.44,1,3,NULL),(28,7137931,'1992-07-13 00:00:00',4,4,12,2010,'M','N','CENTRO','CHAPECÓ','SC','124131131337571431324319375124230766197',NULL,'9998',0.00,2,3,NULL),(28,7137940,'1994-09-20 00:00:00',4,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431236921575114610142187',7714,'272',52.58,1,3,NULL),(28,7137958,'1991-05-02 00:00:00',4,1,12,2008,'F','N','JARDIM ESPLANADA','S JOSÉ CAMPOS','SP','125252251215571431568831575122610122127',132,'9998',79.60,1,3,NULL),(28,7137974,'1994-07-15 00:00:00',2,23,12,2011,'F','N','CHICO DE PAULO','JARAGUÁ SUL','SC','124241241215131432337922572324610161017',10303,'441',46.94,1,3,NULL),(28,7137990,'1990-05-26 00:00:00',2,4,11,2009,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242248215573431448929592122133222097',12200,'983',43.14,1,3,NULL),(28,7138008,'1994-08-27 00:00:00',4,6,11,2011,'M','N','SAÚDE','S PAULO','SP','125254251215111431448813575114610164172',10453,'9998',45.27,1,3,NULL),(28,7138032,'1993-09-12 00:00:00',4,8,12,2011,'M','N','ESPLANADA DO SOL','S JOSÉ CAMPOS','SP','125252251217111431458812275122610134012',138,'9998',79.73,1,3,NULL),(28,7138040,'1994-09-22 00:00:00',4,15,12,2011,'F','N','CENTRO','TIMBÉ SUL','SC','124243248335111411324632572122610167057',NULL,'813',0.00,1,3,NULL),(28,7138067,'1994-09-26 00:00:00',4,1,11,2011,'M','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124242241217111431438412576112610127092',10675,'270',52.64,1,3,NULL),(28,7138075,'1990-09-04 00:00:00',2,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241247346132221423314192323130817097',NULL,'9999',0.00,1,3,NULL),(28,7138083,'1994-07-03 00:00:00',2,10,11,2011,'F','N','CENTRO','BRAÇO NORTE','SC','124242241215122431458912575124610167142',1637,'807',66.72,1,3,NULL),(28,7138091,'1992-04-17 00:00:00',2,4,6,2010,'M','N','SAIC','CHAPECÓ','SC','124243247326131431426324242224610127052',NULL,'1126',18.44,1,3,NULL),(28,7138105,'1983-11-29 00:00:00',2,25,11,2003,'M','N','COAB','TIMBÓ GRANDE','SC','124241241116131132121444142114610118062',NULL,'788',0.00,1,2,1),(28,7138113,'1995-01-29 00:00:00',2,1,11,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215112431368313575124610127042',5801,'737',53.36,1,3,NULL),(28,7138121,'1993-02-28 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431233723575114610144072',2309,'721',65.45,1,3,NULL),(28,7138130,'1993-10-15 00:00:00',4,1,12,2011,'M','N','JD DAS INDUSTRIAS','S JOSÉ CAMPOS','SP','125252251215111131477811575112610162042',6649,'9998',59.44,1,3,NULL),(28,7138148,'1991-04-04 00:00:00',4,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124203201132131411226613385124141428157',17930,'9998',39.14,1,3,NULL),(28,7138156,'1994-11-25 00:00:00',4,24,12,2012,'F','S','SUMARÉ','RIO SUL','SC','124242241216111731426832582122610165017',NULL,'654',38.01,1,3,NULL),(28,7138164,'1994-12-27 00:00:00',4,4,10,2011,'M','N','CENTRO','PATO BRANCO','PR','116162161216121431468932575115610127062',NULL,'9998',0.00,1,3,NULL),(28,7138172,'1992-10-08 00:00:00',4,1,12,2009,'F','N','MONTE BELO','JOAÇABA','SC','124244241215575431545814275125610164187',361,'454',76.58,1,3,NULL),(28,7138180,'1991-11-29 00:00:00',4,1,11,2009,'M','N','NOSSA SENHORA DO ROS','S JOSÉ','SC','124242247433132412664762141331610167187',14102,'736',47.26,1,3,NULL),(28,7138199,'1994-07-21 00:00:00',4,1,11,2011,'F','N','JARDIM TAQUARAL','S PAULO','SP','125252251217471431459714575122610135077',7389,'9998',52.44,1,3,NULL),(28,7138202,'1996-08-27 00:00:00',4,1,12,2013,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431388812475122610124192',NULL,'270',40.78,1,3,NULL),(28,7138229,'1993-08-31 00:00:00',2,3,12,2010,'M','N','BOMBAS','BOMBINHAS','SC','124241242117132331436811572124241447052',8796,'129',44.25,1,2,1),(28,7138237,'1994-11-15 00:00:00',4,23,12,2011,'F','N','ESTRADA NOVA','JARAGUÁ SUL','SC','124241241115131331436634575124610136142',18842,'425',35.91,1,2,1),(28,7138245,'1993-01-06 00:00:00',2,1,11,2010,'F','N','VILA INDUSTRIAL','CAMPINAS','SP','125253251211471431548831575114610124142',6153,'9998',54.60,1,3,NULL),(28,7138253,'1996-05-21 00:00:00',4,1,12,2011,'F','N','CENTRO','CRUZ ALTA','RS','120203201116371131326724175124610132145',NULL,'9998',27.15,1,3,NULL),(28,7138288,'1993-11-23 00:00:00',2,1,11,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111431326812575122610117042',NULL,'737',27.55,1,3,NULL),(28,7138296,'1994-12-02 00:00:00',4,1,12,2011,'F','N','URBANOVA II','S JOSÉ CAMPOS','SP','125252251215111431468814472122610167093',NULL,'9998',0.00,1,3,NULL),(28,7138318,'1994-07-25 00:00:00',4,1,12,2011,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215212431457824596122610127055',4625,'883',57.89,1,3,NULL),(28,7138326,'1994-09-23 00:00:00',2,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241115371431466319595124610134092',15879,'592',36.92,1,3,NULL),(28,7138342,'1994-02-26 00:00:00',4,9,12,2011,'F','N','CENTRO','LAGES','SC','124242241216111431456913335122610167012',4965,'499',54.15,1,3,NULL),(28,7138350,'1991-05-09 00:00:00',4,10,12,2008,'F','N','CENTRO','BRAÇO NORTE','SC','124242241216573131547931272124130814097',NULL,'102',0.00,1,3,NULL),(28,7138377,'1993-10-14 00:00:00',4,1,12,2011,'M','N','JARDIM MORUMBI','S PAULO','SP','125252251215421431478314575122610144122',NULL,'9998',0.00,1,3,NULL),(28,7138385,'1995-03-21 00:00:00',4,1,12,2012,'M','S','CAMPINAS','S JOSÉ','SC','124242241215151431349913375115610166022',NULL,'737',54.18,1,3,NULL),(28,7138393,'1994-10-25 00:00:00',4,26,11,2011,'F','N','FLORESTA','CONCÓRDIA','SC','124244241215111431537634275112610164177',13975,'1000',47.46,1,3,NULL),(28,7138407,'1994-09-24 00:00:00',2,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215371431228613275124610134042',15791,'1022',34.68,1,3,NULL),(28,7138415,'1994-11-11 00:00:00',4,1,11,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431589914575124610137122',NULL,'270',32.24,1,3,NULL),(28,7138423,'1993-09-19 00:00:00',4,1,12,2010,'F','N','BOM FIM','STA CRUZ SUL','RS','120201201117371411213429381125610138192',12099,'9998',50.39,1,2,1),(28,7138440,'1994-01-28 00:00:00',4,1,10,2011,'M','N','MERCES','CURITIBA','PR','116162161216211432578914575114610137047',NULL,'9998',0.00,1,3,NULL),(28,7138458,'1994-01-21 00:00:00',4,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124241241115131431423334572224610124192',19390,'257',33.38,1,2,1),(28,7138466,'1994-11-02 00:00:00',4,1,12,2012,'F','S','FLORES','MANAUS','AM','104242041215251432338923235124610164182',NULL,'9998',38.22,4,3,NULL),(28,7138474,'1993-07-26 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215112431346922475124221464072',3268,'723',66.16,1,3,NULL),(28,7138490,'1981-07-05 00:00:00',2,1,12,1999,'M','N','VENDAVAL','BIGUAÇU','SC','224203203116151421233844345123610167182',14264,'9998',40.45,1,3,NULL),(28,7138512,'1995-09-16 00:00:00',4,7,11,2011,'M','N','CENTRO','CAMPOS NOVOS','SC','124244241415111431336411575122610144182',13128,'138',38.84,1,3,NULL),(28,7138520,'1985-06-09 00:00:00',4,1,12,2004,'M','N','JARDIM CARVALHO','PTO ALEGRE','RS','120202201216571431483823432123242337113',NULL,'9998',0.00,1,3,NULL),(28,7138539,'1993-05-15 00:00:00',4,1,12,2010,'F','N','VILAS BOAS','CPO GRANDE','MS','112122121215472431338931575122610154085',785,'9998',69.24,1,3,NULL),(28,7138547,'1995-07-06 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111432567831575122610118057',18692,'1011',36.50,1,3,NULL),(28,7138555,'1993-07-24 00:00:00',4,8,11,2010,'M','N','GLÓRIA','JOINVILLE','SC','124242241215472431469934575122610167182',NULL,'1063',0.00,1,3,NULL),(28,7138563,'1995-09-30 00:00:00',2,1,11,2012,'M','S','JARDIM LANCASTER','FOZ IGUAÇU','PR','116162161217171511449814474122610136092',NULL,'9998',49.25,1,3,NULL),(28,7138571,'1993-09-03 00:00:00',2,3,12,2011,'M','N','CASTELO BRANCO','ITAPEMA','SC','124242241212131731343939195121610167047',16472,'407',42.71,1,3,NULL),(28,7138580,'1992-01-10 00:00:00',2,1,6,2011,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241247617231421346613183344610164091',18276,'9999',38.05,1,3,NULL),(28,7138598,'1993-05-15 00:00:00',4,3,12,2010,'F','N','JARDIM DO SOL','PARANAVAÍ','PR','116161161216572231448632575122610163184',6487,'9998',51.34,1,3,NULL),(28,7138601,'1994-02-05 00:00:00',4,1,11,2011,'M','N','OESTE','GOIÂNIA','GO','109092091215111231558633575122610117042',8679,'9998',48.67,1,3,NULL),(28,7138628,'1993-10-23 00:00:00',4,1,12,2010,'M','N','GLÓRIA','PTO ALEGRE','RS','120202201216371431444939575124141467057',NULL,'9998',0.00,1,3,NULL),(28,7138636,'1991-05-19 00:00:00',2,1,12,2008,'F','N','RESIDENCIAL UNIÃO','S JOSÉ CAMPOS','SP','125251256215511441443334575124610135042',1773,'9998',64.92,1,3,NULL),(28,7138660,'1993-05-12 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215373431349721575124610121147',6182,'1022',53.92,1,3,NULL),(28,7138679,'1993-11-20 00:00:00',2,7,12,2010,'F','N','SANTA TEREZA','JOAÇABA','SC','124241241117371431327512575115133122182',8759,'539',55.84,1,2,1),(28,7138687,'1994-04-09 00:00:00',4,1,12,2011,'F','N','CENTRO','S BONIFÁCIO','SC','124241241125131321614555575124610127072',NULL,'702',27.33,1,2,1),(28,7138695,'1993-06-16 00:00:00',4,1,12,2010,'M','N','CENTRO','TORRES','RS','120203201237131431346621245122610148043',NULL,'9998',21.48,1,3,NULL),(28,7138709,'1994-07-22 00:00:00',2,3,12,2011,'F','N','TABULEIRO','ITAPEMA','SC','124241242117151431446512115122610164052',11574,'129',43.01,1,2,1),(28,7138733,'1994-05-30 00:00:00',2,1,12,2011,'F','N','SANTOS SARAIVA','S JOSÉ','SC','124241241117131731426618575124610127142',19600,'733',32.00,1,2,1),(28,7138768,'1994-09-27 00:00:00',4,1,12,2011,'F','N','BIGORRILHO','CURITIBA','PR','116162161215111741469834375114610142142',NULL,'9998',0.00,1,3,NULL),(28,7138776,'1993-02-04 00:00:00',2,2,11,2010,'M','N','VILA NOVA','BLUMENAU','SC','124242241217473411469814446122610167055',7602,'855',55.07,1,3,NULL),(28,7138784,'1994-02-23 00:00:00',4,9,12,2011,'F','N','UNIVERSITÁRIO','LAGES','SC','124241241116131411435619391124613247053',20163,'935',22.79,1,3,NULL),(28,7138792,'1992-04-09 00:00:00',4,2,12,2009,'M','N','VILA NOVA','BLUMENAU','SC','124244241215473431279912475122133226042',5370,'855',56.89,1,3,NULL),(28,7138806,'1993-02-17 00:00:00',4,1,12,2010,'M','N','BELA VISTA','S PAULO','SP','125112111237472751568834596125610137042',5069,'9998',56.56,1,3,NULL),(28,7138849,'1990-03-19 00:00:00',2,5,6,2008,'M','N','MORRO ESTEVÃO','CRICIÚMA','SC','124241246217271421444614345122610132017',17830,'230',39.40,1,3,NULL),(28,7138857,'1994-02-04 00:00:00',2,4,12,2010,'F','N','JARDIM AMÉRICA','CHAPECÓ','SC','124241248311471311335614245114610145187',18845,'1191',35.90,4,3,NULL),(28,7138865,'1994-02-14 00:00:00',4,1,12,2011,'M','N','CENTRO','S JOSÉ','SC','124252251217111431344823575122610168047',12785,'9998',37.96,1,3,NULL),(28,7138873,'1993-11-28 00:00:00',4,8,10,2011,'F','N','FLORESTA','JOINVILLE','SC','124242241217142421338624142124610113147',12557,'459',40.83,1,3,NULL),(28,7138881,'1992-03-31 00:00:00',4,1,11,2009,'F','N','MORROTES','TUBARÃO','SC','124242241215473431239613575114610125192',9657,'806',54.27,1,3,NULL),(28,7138903,'1994-05-28 00:00:00',4,1,11,2011,'M','N','VILA BASTOS','STO ANDRÉ','SP','125252251216111431488613575112610113142',NULL,'9998',0.00,1,3,NULL),(28,7138946,'1994-06-22 00:00:00',4,6,12,2011,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241215131431347934572122610143182',NULL,'1172',0.00,1,3,NULL),(28,7138954,'1994-08-29 00:00:00',4,8,12,2011,'M','N','RIO NEGRO','S BENTO SUL','SC','124241241115151431457612572122610124192',11223,'697',42.86,1,2,1),(28,7138962,'1993-10-14 00:00:00',4,7,12,2010,'F','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241231471431436933575112610124172',5661,'454',52.57,1,3,NULL),(28,7138970,'1994-11-03 00:00:00',2,1,12,2011,'M','N','CENTRO','AMERICANA','SP','125254251137211711426834215124610157057',18184,'9998',32.10,2,1,2),(28,7138989,'1993-02-11 00:00:00',2,7,12,2010,'M','N','SOQUE','TANGARÁ','SC','124241241117151431543929245123610157182',NULL,'779',0.00,1,2,1),(28,7138997,'1994-02-05 00:00:00',2,10,10,2011,'M','N','OFICINIAS','TUBARÃO','SC','124242241215111211328867571111610117052',11336,'807',40.68,1,3,NULL),(28,7139004,'1995-12-08 00:00:00',2,1,12,2012,'F','S','REAL PARQUE','S JOSÉ','SC','124242241216111731436818595124610122157',NULL,'738',37.13,1,3,NULL),(28,7139012,'1994-10-14 00:00:00',4,1,12,2011,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241115141411356833245124610166182',9263,'739',46.60,1,3,NULL),(28,7139039,'1989-03-03 00:00:00',4,1,12,2006,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244246217144431546842325122131434022',17667,'1098',39.83,1,3,NULL),(28,7139047,'1993-08-17 00:00:00',2,4,12,2010,'F','N','COROADOS','FAXINALZINHO','RS','120201201125471431523615575122610162052',11033,'9997',48.96,1,2,1),(28,7139055,'1994-09-12 00:00:00',4,1,12,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124162241215112431448712275124610164191',7762,'270',50.84,1,3,NULL),(28,7139063,'1993-11-18 00:00:00',4,1,11,2010,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124242241216472431547714575124222336147',5815,'723',52.80,1,3,NULL),(28,7139098,'1987-09-01 00:00:00',2,1,12,2005,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241415474411463923332123421112112',3601,'1098',65.35,1,3,NULL),(28,7139110,'1994-11-15 00:00:00',4,5,12,2011,'M','N','BARRO VERMELHO','ORLEANS','SC','124242241237111331357811395132610164182',15395,'581',44.87,1,3,NULL),(28,7139128,'1993-02-13 00:00:00',4,5,12,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215472411338823575115610164062',9796,'213',44.54,1,3,NULL),(28,7139136,'1989-12-22 00:00:00',2,1,12,2008,'M','N','LESTE VILA NOVA','GOIÂNIA','GO','109094101216471431336911274324610146157',9869,'9997',53.94,2,3,NULL),(28,7139144,'1973-04-14 00:00:00',6,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241126162431313449495225133241141',NULL,'9999',23.53,1,3,NULL),(28,7139152,'1993-03-25 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111441448933572122610137047',NULL,'1077',18.10,1,3,NULL),(28,7139160,'1994-05-05 00:00:00',4,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124241248116371731226629575124610115052',NULL,'730',25.20,1,3,NULL),(28,7139187,'1995-02-22 00:00:00',2,1,12,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124241248115161131524832242325610138117',20126,'405',25.36,1,3,NULL),(28,7139195,'1993-05-06 00:00:00',4,1,12,2010,'F','N','CENTRO','VIRADOURO','SP','125254251215471711478833575124610133047',5561,'9998',52.42,1,3,NULL),(28,7139217,'1994-03-18 00:00:00',3,1,11,2011,'M','N','AGUA VERDE','CURITIBA','PR','116242161216111231586614195122610114097',3779,'9998',59.83,1,3,NULL),(28,7139225,'1994-04-01 00:00:00',2,1,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124252241435171411567614285124610167094',NULL,'1022',21.74,1,3,NULL),(28,7139233,'1995-09-14 00:00:00',4,23,12,2012,'M','S','AMIZADE','JARAGUÁ SUL','SC','124242246217111231347924575111610138192',NULL,'1061',25.71,4,3,NULL),(28,7139241,'1994-10-27 00:00:00',4,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431388612595112610163182',16844,'1038',33.26,1,3,NULL),(28,7139250,'1990-05-02 00:00:00',2,1,12,2008,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241145373431234424245124610142092',NULL,'288',34.89,1,3,NULL),(28,7139268,'1994-07-31 00:00:00',4,1,1,2011,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241115141331333551585124610147051',18916,'592',25.13,1,2,1),(28,7139276,'1995-01-15 00:00:00',4,1,12,2011,'F','N','RIO GRANDE','PALHOÇA','SC','124241241116131431533614585124610128077',17322,'592',40.72,1,2,1),(28,7139284,'1994-10-26 00:00:00',4,25,12,2011,'F','N','BOM JESUS','CAÇADOR','SC','124242241211122431339914575112610126072',1041,'1124',67.81,1,3,NULL),(28,7139292,'1993-12-03 00:00:00',4,8,5,2011,'F','N','VILA LEOPOLDINA','S PAULO','SP','125252281116371431468814575124610134187',7340,'9998',49.59,1,3,NULL),(28,7139314,'1993-07-09 00:00:00',4,1,12,2010,'M','N','SAN CONRADO','CAMPINAS','SP','125252253215471531479911571124610127042',2575,'9998',63.75,1,3,NULL),(28,7139330,'1989-06-22 00:00:00',4,8,12,2006,'F','N','BOA VISTA','JOINVILLE','SC','124241241115573431358653275122610134047',1080,'477',68.56,1,2,1),(28,7139349,'1993-07-01 00:00:00',4,1,12,2010,'M','N','CENTRO','IBEMA','PR','116164161217112431466933575122240762041',11098,'9998',42.69,1,3,NULL),(28,7139357,'1994-04-29 00:00:00',4,2,12,2011,'M','N','VELHA CENTRAL','BLUMENAU','SC','124242241214121411539612272122610137123',11750,'997',50.94,1,3,NULL),(28,7139365,'1994-08-25 00:00:00',4,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241215111431464823595114610127042',7754,'272',50.93,1,3,NULL),(28,7139381,'1993-09-17 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124243241116371511359933575122610136197',8926,'307',49.54,1,3,NULL),(28,7139390,'1994-01-03 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215131431327724275125610163077',17877,'1168',39.27,1,3,NULL),(28,7139403,'1995-01-08 00:00:00',4,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124241241215131552427822492124610125197',16160,'737',43.41,1,3,NULL),(28,7139420,'1994-12-27 00:00:00',4,1,12,2011,'F','N','BELA VISTA','PALHOÇA','SC','124242241115131431229624575122610132097',NULL,'592',32.19,1,3,NULL),(28,7139438,'1991-12-26 00:00:00',4,1,12,2009,'M','N','CENTRO','ITATIBA','SP','125251251247471431459613285122610127072',13804,'9998',39.53,1,3,NULL),(28,7139454,'1991-02-25 00:00:00',2,15,12,2008,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124244241215374431236923415123121846177',NULL,'32',0.00,1,3,NULL),(28,7139462,'1994-04-11 00:00:00',2,25,12,2011,'M','N','DOIS PINHEIROS','VIDEIRA','SC','124241241217131431336529575122610134082',9356,'1080',48.45,1,3,NULL),(28,7139489,'1992-01-03 00:00:00',4,3,12,2009,'M','N','MONTE ALEGRE','CAMBORIÚ','SC','124241243116273431443319145114610166142',4185,'129',58.63,1,2,1),(28,7139497,'1994-10-13 00:00:00',2,25,12,2011,'M','N','SANTA TEREZA','VIDEIRA','SC','124241241231151411346931575122610122147',9862,'1080',49.66,1,3,NULL),(28,7139500,'1988-09-20 00:00:00',2,1,12,2006,'M','N','ITAPERI','FORTALEZA','CE','106061061126211231221318582344610112047',9279,'9998',49.27,4,2,1),(28,7139519,'1992-05-27 00:00:00',2,1,12,2009,'F','N','VILA SÃO PEDRO','PEDREIRA','SP','125251251117571431356812272122610165182',NULL,'9998',0.00,1,2,1),(28,7139535,'1994-07-12 00:00:00',4,24,11,2011,'F','N','CENTRO','PRES GETÚLIO','SC','124241248415371431456622575124610124197',14431,'991',39.56,1,3,NULL),(28,7139543,'1994-04-30 00:00:00',2,10,12,2011,'M','N','CENTRO','TUBARÃO','SC','124244241215111431435623575121610127052',12498,'1120',41.86,1,3,NULL),(28,7139560,'1994-02-05 00:00:00',4,22,12,2011,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215112431559934175122610134112',11263,'109',41.16,1,3,NULL),(28,7139578,'1994-04-14 00:00:00',2,1,12,2011,'F','N','JD IPEVILLE','MAIRIPORÃ','SP','125252251216111431436661375124610137145',5942,'9998',52.94,1,3,NULL),(28,7139586,'1992-03-20 00:00:00',4,1,12,2010,'F','N','VILA MASCOTE','S PAULO','SP','125252254117471441447813575124610135147',3908,'9998',55.90,1,3,NULL),(28,7139594,'1993-11-24 00:00:00',4,1,11,2010,'F','N','VILA ROMANA','S PAULO','SP','125252251217471431548832275124610117077',14997,'9998',45.62,1,3,NULL),(28,7139616,'1993-06-24 00:00:00',4,1,11,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241215373432457612595122610137042',8364,'1022',49.60,1,3,NULL),(28,7139624,'1992-07-25 00:00:00',4,1,11,2010,'M','N','PACAEMBU','S PAULO','SP','125252251217411431656811271112610147037',4306,'9998',60.16,1,3,NULL),(28,7139640,'1994-06-12 00:00:00',4,5,11,2011,'F','N','MINA BRASIL','CRICIÚMA','SC','124241241215111431439613241122610144097',19561,'211',32.29,1,3,NULL),(28,7139659,'1992-08-27 00:00:00',4,17,11,2009,'F','N','CENTRO','CURITIBA','PR','116161241217572431547816581114610167046',NULL,'633',0.00,1,3,NULL),(28,7139667,'1994-06-15 00:00:00',4,1,12,2011,'F','N','IBITI DO PAÇO','SOROCABA','SP','125254251216151431458514575122610137142',9298,'9998',46.18,1,3,NULL),(28,7139675,'1993-10-07 00:00:00',4,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431259923575114610128195',17507,'883',40.27,1,3,NULL),(28,7139683,'1992-08-24 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124114241217573431459913575124610144181',4840,'1022',56.24,1,3,NULL),(28,7139691,'1994-06-09 00:00:00',4,1,11,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241215111431326632385114610162072',NULL,'300',44.90,1,3,NULL),(28,7139705,'1993-09-03 00:00:00',4,1,12,2011,'M','N','SERRARIAS','S JOSÉ','SC','124242241215212431326931285124610127111',NULL,'1078',18.12,4,3,NULL),(28,7139713,'1994-10-22 00:00:00',4,1,11,2011,'F','N','CENTRO','PALHOÇA','SC','124242241216111431445933575124610123012',7851,'1011',50.21,4,3,NULL),(28,7139721,'1994-01-18 00:00:00',2,1,12,2010,'F','N','CAMPO DA AVIAÇÃO','IMBITUBA','SC','124241241112161731513438572114610112172',20089,'359',26.56,4,3,NULL),(28,7139730,'1993-03-08 00:00:00',4,1,12,2010,'M','N','VILA SANDANO','OURINHOS','SP','125253251217372451356634575122610167012',4415,'9998',54.60,1,3,NULL),(28,7139748,'1994-02-12 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241215271431345722275114610124187',3391,'738',59.84,1,3,NULL),(28,7139764,'1994-01-17 00:00:00',4,1,12,2011,'F','N','CASA VERDE','S PAULO','SP','125252251217151431335823575122610163182',NULL,'9998',19.53,1,3,NULL),(28,7139780,'1994-08-19 00:00:00',4,16,12,2011,'M','N','CENTRO','CURITIBANOS','SC','124241241117371231369933575122610164042',8081,'239',49.53,1,2,1),(28,7139802,'1994-09-07 00:00:00',4,1,11,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215112431558813575124610128115',9915,'270',45.29,1,3,NULL),(28,7139829,'1984-10-03 00:00:00',4,2,11,2007,'M','N','BOM JESUS','CURITIBANOS','SC','124241241326112431436413431221131418177',11809,'237',50.84,2,1,2),(28,7139837,'1994-06-14 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121411258822575122610137072',5821,'270',54.08,1,3,NULL),(28,7139845,'1991-01-02 00:00:00',4,1,12,2007,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243241215373431324923575124133266037',3035,'1075',63.63,1,3,NULL),(28,7139870,'1993-07-28 00:00:00',4,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473731468813571124610162145',133,'270',80.57,1,3,NULL),(28,7139896,'1992-02-16 00:00:00',4,4,12,2009,'M','N','JARDIM ITALIA','CHAPECÓ','SC','124243241215453731447934592112610164182',2398,'185',60.97,1,3,NULL),(28,7139900,'1994-04-09 00:00:00',4,9,11,2011,'F','N','SANTA TEREZA','VIDEIRA','SC','124241241215131431323334275122610122017',4848,'1080',56.71,1,3,NULL),(28,7139926,'1994-10-13 00:00:00',4,8,12,2011,'F','N','ÓRFÃS','PNT GROSSA','PR','116162161216111431469939495122610137013',NULL,'9998',0.00,1,3,NULL),(28,7139934,'1994-03-12 00:00:00',4,1,11,2011,'M','N','CAMPINAS','S JOSÉ','SC','624241241215112421446522186124610162177',15193,'737',35.01,1,3,NULL),(28,7139942,'1995-11-14 00:00:00',4,22,11,2011,'M','N','DOM JOAQUIM','BRUSQUE','SC','124243241415111432559613575122610137032',15030,'109',45.56,1,3,NULL),(28,7139950,'1994-07-14 00:00:00',4,7,12,2011,'F','N','CENTRO','CAMPOS NOVOS','SC','124244241415131431236923575122610124147',9438,'138',48.53,1,3,NULL),(28,7139969,'1993-10-11 00:00:00',2,1,12,2011,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241122131411433315572222610114057',NULL,'649',25.17,1,2,1),(28,7139977,'1994-11-14 00:00:00',4,4,12,2011,'F','N','CENTRO','PATO BRANCO','PR','116162161215371411568832595122610142182',3803,'9998',57.85,1,3,NULL),(28,7139993,'1993-07-30 00:00:00',4,1,12,2011,'M','N','PITUBA','SALVADOR','BA','105052051217271431478931575122610127042',5111,'9998',54.75,1,3,NULL),(28,7140002,'1995-04-15 00:00:00',4,1,1,2012,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215111431469923385124610137182',15109,'272',45.39,1,3,NULL),(28,7140010,'1995-01-26 00:00:00',4,1,12,2011,'F','N','SOMBRIO','STO AMARO IMPERATRIZ','SC','124241241416371431467923575122610137052',19998,'1223',28.10,1,3,NULL),(28,7140029,'1982-09-29 00:00:00',4,1,12,2004,'M','N','SACO DOS LIMÇÕES','FLORIANÓPOLIS','SC','124121128117131441231679112123610128187',19754,'9998',30.64,2,1,1),(28,7140037,'1994-03-01 00:00:00',4,4,12,2011,'M','N','CENTRO','PINHALZINHO','SC','124244241215121431588832575122610136052',2193,'1191',63.57,3,3,NULL),(28,7140045,'1994-08-22 00:00:00',4,4,12,2011,'F','N','SAIC','CHAPECÓ','SC','124201241112471431236923575124610126147',16138,'169',33.31,4,1,1),(28,7140061,'1970-01-18 00:00:00',4,1,12,1987,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117135441236523482122321467182',NULL,'307',0.00,1,2,1),(28,7140070,'1994-10-01 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431346612575122610127062',8646,'738',56.03,1,3,NULL),(28,7140088,'1994-05-03 00:00:00',4,2,12,2011,'F','N','VILA MARIANA','S PAULO','SP','125252251216111431466811274122610126097',4483,'9998',63.42,1,3,NULL),(28,7140096,'1994-07-05 00:00:00',4,8,12,2011,'M','N','GLORIA','JOINVILLE','SC','124242241216111441569934575124610124042',4577,'457',57.65,1,3,NULL),(28,7140118,'1992-09-23 00:00:00',4,1,12,2010,'M','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125252251217471431269913575115610114197',2527,'9998',63.25,1,3,NULL),(28,7140126,'1990-10-22 00:00:00',4,1,10,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244161217575431438921575124610126091',272,'9998',77.02,1,3,NULL),(28,7140134,'1988-02-20 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124162161217271231173823575112340762092',839,'9998',70.80,1,3,NULL),(28,7140150,'1994-07-21 00:00:00',4,1,12,2011,'M','N','PACHECOS','PALHOÇA','SC','124242241215141431649313395124610147042',9042,'989',49.16,1,3,NULL),(28,7140177,'1993-04-02 00:00:00',4,2,12,2010,'M','N','JARDIM PLANALTO','PTO ALEGRE','RS','120202201215471431458623575124610167112',4127,'9998',59.36,1,3,NULL),(28,7140185,'1986-02-06 00:00:00',2,8,12,2004,'M','N','GLORIA','JOINVILLE','SC','124241241116311451353831135122331454077',NULL,'475',0.00,1,3,NULL),(28,7140193,'1994-10-10 00:00:00',2,1,12,2011,'M','N','GARCIA','ANGELINA','SC','124241241115131431523335155224610134047',NULL,'17',26.39,1,2,1),(28,7140207,'1993-02-16 00:00:00',4,1,11,2010,'M','N','TIJUCA','RIO JANEIRO','RJ','121212251216471431478833575124610127092',3350,'9998',57.58,1,3,NULL),(28,7140215,'1992-12-11 00:00:00',4,1,12,2010,'M','N','CENTRO','SALTO','SP','125252251216472431448832375122610127042',7400,'9998',48.83,4,3,NULL),(28,7140223,'1989-10-26 00:00:00',4,1,11,2006,'M','N','CENTRO','MIRACATU','SP','124251251216151431136824595122231326017',6081,'9998',55.47,1,3,NULL),(28,7140240,'1993-01-20 00:00:00',4,23,12,2010,'M','N','JARDIM PANORAMA','PASSOS','MG','113131131216471431369711575121610137057',19638,'9998',31.69,1,3,NULL),(28,7140258,'1984-02-09 00:00:00',4,1,7,2009,'M','N','JARDIM JANAINA','BIGUAÇU','SC','124241247127131431533313242113610122017',19693,'9997',31.26,2,1,1),(28,7140274,'1994-09-14 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112331356811175112610165092',5645,'270',52.20,1,3,NULL),(28,7140282,'1994-06-09 00:00:00',4,22,11,2011,'F','N','SANTA RITA','BRUSQUE','SC','124242241235112431326522575122610124147',5607,'981',55.07,1,3,NULL),(28,7140290,'1994-03-12 00:00:00',2,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241115473231658733275114610163035',7274,'271',52.51,1,3,NULL),(28,7140312,'1994-03-01 00:00:00',4,5,11,2011,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215121431459912325112610167112',5905,'226',54.80,1,3,NULL),(28,7140320,'1994-11-22 00:00:00',4,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431436924575114610131187',14675,'1022',46.22,1,3,NULL),(28,7140363,'1993-11-29 00:00:00',4,8,12,2011,'F','N','CENTRO','CONCHAL','SP','125253251215111431448833575122610145187',6241,'9998',54.62,1,3,NULL),(28,7140380,'1994-01-23 00:00:00',4,3,12,2011,'M','N','CENTRO','TAPEJARA','RS','120202201116471421328614372124610167072',6252,'9998',50.40,1,3,NULL),(28,7140401,'1995-12-02 00:00:00',4,1,11,2012,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241213111731369913275124610134115',NULL,'270',52.15,1,3,NULL),(28,7140410,'1993-02-15 00:00:00',2,1,11,2011,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124241241111141431448633371124610167117',18684,'306',26.55,1,2,1),(28,7140428,'1994-04-16 00:00:00',4,1,11,2011,'F','N','GRAGERU','ARACAJU','SE','126262261215111411459833472122610162142',NULL,'9998',0.00,1,3,NULL),(28,7140436,'1993-07-08 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124094241216372431468813375115131437112',1638,'270',66.15,1,3,NULL),(28,7140452,'1994-08-23 00:00:00',4,1,12,2011,'M','N','BELA VISTA','S JOSÉ','SC','124241241115161531323624392124610134047',NULL,'257',17.97,1,2,1),(28,7140495,'1991-04-25 00:00:00',4,16,12,2009,'F','N','LIBERATA','FRAIBURGO','SC','224201202117171721223354442123610116187',15589,'9998',34.80,1,3,NULL),(28,7140509,'1995-10-18 00:00:00',4,5,10,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241217151431479931574122610161162',8400,'213',56.43,1,3,NULL),(28,7140517,'1993-07-13 00:00:00',4,1,7,2011,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','624241241115131431436574145124610128057',NULL,'739',26.79,2,1,1),(28,7140541,'1993-04-05 00:00:00',4,1,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241116131431125544245331610127042',NULL,'49',16.01,1,2,1),(28,7140550,'1971-10-31 00:00:00',4,1,12,1989,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241326155411357553135132331066192',NULL,'261',15.18,1,3,NULL),(28,7140584,'1990-07-03 00:00:00',4,2,12,2007,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241217372411368933485112140442182',5152,'87',62.12,1,3,NULL),(28,7140606,'1993-01-09 00:00:00',4,1,11,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241317471441448811572124610168197',152,'185',79.00,1,3,NULL),(28,7140614,'1994-10-26 00:00:00',4,1,11,2012,'M','S','SACO GRANDE','FLORIANÓPOLIS','SC','124242241217111412349931395122610127062',NULL,'270',25.47,1,3,NULL),(28,7140622,'1994-10-19 00:00:00',4,6,12,2011,'M','N','ITACOLOMI','BAL PIÇARRAS','SC','124243241317131431326923575121610167067',NULL,'614',22.07,1,3,NULL),(28,7140649,'1991-05-21 00:00:00',4,4,12,2008,'F','N','CENTRO','PTO ALEGRE','RS','124201241116574431448829575114131334097',456,'182',73.32,1,2,1),(28,7140657,'1993-01-07 00:00:00',4,2,12,2010,'M','N','VILA MARIANA','S PAULO','SP','125252251215571431466811371125610166112',503,'9998',71.84,1,3,NULL),(28,7140665,'1994-04-15 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241216121441456769575125610144092',11363,'1022',51.53,1,3,NULL),(28,7140673,'1964-01-09 00:00:00',4,15,12,1982,'M','N','CENTRO','LAURO FREITAS','BA','205051051216131711244479295112340826172',17061,'9998',41.40,2,1,2),(28,7140681,'1995-03-17 00:00:00',2,1,11,2011,'F','N','BOM VIVER','BIGUAÇU','SC','124244241215372331338632275124610152042',8082,'1022',53.25,1,3,NULL),(28,7140703,'1993-10-10 00:00:00',4,8,11,2011,'F','N','GUANABARA','JOINVILLE','SC','124242241415371431343329472122610121095',17938,'459',39.10,1,3,NULL),(28,7140711,'1994-08-31 00:00:00',4,1,11,2011,'M','N','CENTRO','LUÍS E MAGALHÃES','BA','105051051217111431644416595122610134144',NULL,'9998',0.00,1,3,NULL),(28,7140720,'1993-01-25 00:00:00',4,17,12,2010,'M','N','VILA QUIRINO','CAÇAPAVA','SP','125254256215371431358933575114610167012',NULL,'9998',0.00,1,3,NULL),(28,7140738,'1992-07-24 00:00:00',2,23,12,2009,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124241241127151441433431245125231468042',12639,'890',49.56,1,2,1),(28,7140746,'1994-02-12 00:00:00',4,4,11,2011,'M','N','CENTRO','CHAPECÓ','SC','124242161216271431489931575122610167042',2758,'9998',63.02,1,3,NULL),(28,7140762,'1993-09-25 00:00:00',4,1,12,2011,'M','N','SETOR MARISTA','GOIÂNIA','GO','109213091216123231469933575112610162052',NULL,'9998',0.00,1,3,NULL),(28,7140770,'1991-01-09 00:00:00',2,1,12,2008,'F','N','BELA VISTA','S JOSÉ','SC','124244241116375431336629385124610137072',8172,'307',50.42,1,3,NULL),(28,7140797,'1993-10-22 00:00:00',4,8,12,2011,'M','N','JARDIM PLANALTO','GOIÂNIA','GO','109094091211111731335611571222610164097',NULL,'9998',0.00,3,3,NULL),(28,7140800,'1992-12-04 00:00:00',4,1,6,2010,'M','N','JARDIM GLÓRIA','AMERICANA','SP','125252251417571431589814572112610168127',975,'9998',69.76,1,3,NULL),(28,7140819,'1991-01-21 00:00:00',4,1,11,2009,'M','N','CONSOLAÇÃO','S PAULO','SP','125252251216571411569933475114610167092',1258,'9998',68.96,1,3,NULL),(28,7140827,'1994-03-13 00:00:00',4,1,12,2011,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241115371431336432575114610137042',18319,'307',30.91,4,2,1),(28,7140835,'1992-01-13 00:00:00',2,1,12,2009,'F','N','JARDIM GUANABARA','GOIÂNIA','GO','109091091116471711546313572124610144157',3983,'9998',56.95,4,1,1),(28,7140843,'1994-04-05 00:00:00',2,9,11,2011,'M','N','CENTRO','LAGES','SC','124242241215111431668616575122610134022',13973,'1207',47.46,1,3,NULL),(28,7140851,'1994-01-29 00:00:00',4,1,12,2011,'F','N','ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC','124242241215111431369933575122610167063',2511,'883',63.48,1,3,NULL),(28,7140860,'1993-01-16 00:00:00',4,1,11,2010,'F','N','PINHEIROS','S PAULO','SP','125252251215471431138613571124610146127',1658,'9998',63.95,1,3,NULL),(28,7140886,'1993-06-27 00:00:00',4,8,12,2010,'F','N','JARDIM PETRÓPOLIS','S PAULO','SP','125252251215471431477834571122610152147',NULL,'9998',0.00,1,3,NULL),(28,7140908,'1993-05-24 00:00:00',5,1,12,2010,'F','N','LIBERDADE','S PAULO','SP','125163161437411431446621575125610142186',4004,'9998',56.82,1,3,NULL),(28,7140916,'1993-08-17 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124244241215372431234624572114610133057',6366,'1022',52.11,1,3,NULL),(28,7140924,'1990-12-19 00:00:00',2,7,12,2008,'M','N','NAVEGANTES','OURO','SC','124241241145272431444612445122610122062',NULL,'585',0.00,4,2,1),(28,7140932,'1994-10-01 00:00:00',4,8,12,2011,'F','N','GONZAGA','SANTOS','SP','125252251216111431478814575122610142072',1871,'9998',62.25,1,3,NULL),(28,7140940,'1993-03-19 00:00:00',4,8,12,2010,'M','N','CENTRO','PIÊN','PR','116161161117473431224811575222610167047',NULL,'9998',0.00,1,2,1),(28,7140959,'1994-05-20 00:00:00',2,1,11,2011,'F','N','LAGOA DE TRAZ','PIUMHI','MG','113131131215111411537434575122610146152',NULL,'9998',0.00,2,3,NULL),(28,7140967,'1993-02-22 00:00:00',4,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124241241117141431426512345114232717033',NULL,'9997',17.21,1,2,1),(28,7140975,'1994-01-12 00:00:00',4,1,11,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241315271431548513271124610127185',7104,'299',52.84,1,3,NULL),(28,7140983,'1991-04-05 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124132281316472411227823575114122314052',NULL,'9998',23.04,1,3,NULL),(28,7140991,'1994-07-25 00:00:00',4,5,12,2011,'M','N','JARDIM ELIZABETH','COCAL SUL','SC','124241246217151431448614572122610134042',4498,'188',55.00,1,3,NULL),(28,7141009,'1994-03-11 00:00:00',4,3,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241215111431457632315122610124165',13376,'44',43.77,1,3,NULL),(28,7141017,'1991-08-09 00:00:00',4,1,11,2009,'F','N','ASA NORTE','BRASÍLIA','DF','107072071215571431588713575122610165092',NULL,'9998',0.00,1,3,NULL),(28,7141025,'1983-07-24 00:00:00',2,1,12,2000,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241122143731634414242113610122015',19787,'773',30.39,1,2,1),(28,7141033,'1991-09-20 00:00:00',2,1,12,2008,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241111473711543614141114610142181',18129,'288',38.48,1,3,NULL),(28,7141041,'1989-10-10 00:00:00',2,1,12,2006,'F','N','FAZENDA SNTO ANTONIO','S JOSÉ','SC','224243241211132721326944342134132567057',NULL,'9997',23.84,4,3,NULL),(28,7141050,'1994-06-24 00:00:00',4,8,12,2011,'F','N','CRUZEIRO','RIO NEGRINHO','SC','124242241215151731466634244122610141092',9387,'666',54.74,1,3,NULL),(28,7141076,'1992-02-06 00:00:00',4,1,12,2011,'F','N','FLORESTA','S JOSÉ','SC','124241247126141731425629345124610162197',NULL,'1117',21.20,1,2,1),(28,7141084,'1993-02-21 00:00:00',2,1,12,2011,'F','N','JARDIM SAVEIRO','BIGUAÇU','SC','124241241115141232324461385124610136142',20175,'257',18.94,4,2,1),(28,7141106,'1994-06-25 00:00:00',4,1,12,2011,'F','N','CHÁCARA SÃO SILVESTR','S PAULO','SP','125251251135471431338824575124610145147',7630,'9998',49.91,1,2,1),(28,7141114,'1992-06-30 00:00:00',4,8,11,2009,'F','N','RECANTO DOS MAGNATAS','MARINGÁ','PR','116162161216572431558815574122610145142',1094,'9998',70.67,1,3,NULL),(28,7141122,'1994-08-04 00:00:00',2,3,12,2011,'M','N','VILA IPIRANGA','PTO ALEGRE','RS','120202201217371152689934575114610114046',NULL,'9998',0.00,1,3,NULL),(28,7141149,'1991-10-23 00:00:00',2,24,12,2008,'F','N','JARDIM AMÉRICA','ITUPORANGA','SC','124241241147171731434319282344230313052',18103,'415',38.59,4,2,1),(28,7141165,'1994-12-22 00:00:00',4,1,11,2012,'M','S','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215111752489913572122610126077',NULL,'270',41.04,1,3,NULL),(28,7141181,'1993-05-10 00:00:00',4,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215272431466834572122231022182',769,'262',71.13,1,3,NULL),(28,7141190,'1994-04-07 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431588813575124610137182',7610,'270',52.32,1,3,NULL),(28,7141203,'1992-04-10 00:00:00',4,1,10,2010,'M','N','BARREIROS','S JOSÉ','SC','624242241215372732436529495113130267042',11393,'738',45.02,1,3,NULL),(28,7141238,'1969-05-17 00:00:00',2,1,12,1988,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224241241422141411544454372114111836193',16105,'266',35.47,1,3,NULL),(28,7141246,'1993-11-24 00:00:00',2,1,12,2011,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241127131431435634282124610127032',NULL,'283',0.00,1,2,1),(28,7141254,'1992-01-15 00:00:00',2,1,6,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241345472431326611115124610123142',NULL,'283',35.51,1,3,NULL),(28,7141270,'1995-02-01 00:00:00',4,8,11,2011,'M','N','ROYAL PARK','CPO GRANDE','MS','112122121216111431465616575122610127052',710,'9998',70.11,1,3,NULL),(28,7141289,'1994-09-12 00:00:00',4,1,12,2011,'F','N','ZONA SEIS','MARINGÁ','PR','116162161215421431369934575112610134077',9960,'9998',46.53,1,3,NULL),(28,7141297,'1993-07-22 00:00:00',4,4,12,2010,'M','N','UNIVERSITÁRIO','CHAPECÓ','SC','124241241116372431555833275122610164147',14726,'169',37.56,1,2,1),(28,7141300,'1994-11-06 00:00:00',4,5,12,2011,'M','N','OPERARIA NOVA','CRICIÚMA','SC','124244241215151432666612175124610124067',16351,'995',43.00,1,3,NULL),(28,7141327,'1991-02-06 00:00:00',4,8,5,2010,'M','N','JARDIM PINHEIRO','LONDRINA','PR','116283281117471431348617575124610112111',4278,'9998',60.07,1,3,NULL),(28,7141335,'1994-07-18 00:00:00',4,23,11,2011,'M','N','VILA LALAU','JARAGUÁ SUL','SC','124241246215111441343523395122610123142',5223,'1061',54.95,1,3,NULL),(28,7141343,'1992-03-30 00:00:00',4,1,12,2009,'M','N','EMBRÉ','SANTOS','SP','125252251217571431536631275121610122112',1877,'9998',64.60,3,3,NULL),(28,7141351,'1994-08-17 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431268811575125610134047',1083,'270',68.64,1,3,NULL),(28,7141378,'1993-11-01 00:00:00',2,3,12,2011,'F','N','BOMBAS','BOMBINHAS','SC','124164241126141251425539195132610122075',NULL,'1089',32.00,1,3,NULL),(28,7141386,'1988-04-18 00:00:00',2,1,12,2005,'M','N','BOA VISTA','CARAZINHO','RS','120202201216232731536731145132143234042',14211,'9998',47.08,4,1,2),(28,7141394,'1993-04-16 00:00:00',4,3,12,2010,'M','N','JARDIM CARVALHO','PNT GROSSA','PR','116162161437372431449933495124241467052',9507,'9998',45.96,1,3,NULL),(28,7141408,'1994-09-14 00:00:00',2,1,12,2011,'M','N','JARDIM VERÃO','SARANDI','PR','116161161137141411435311245122610112017',NULL,'9998',0.00,4,1,1),(28,7141424,'1992-10-20 00:00:00',2,1,12,2009,'F','N','CENTRO','GUAÍRA','PR','116164161216372431343614445115610128122',5409,'9998',52.96,1,3,NULL),(28,7141432,'1979-09-16 00:00:00',4,1,11,1997,'M','N','SAO JOAO DO RIO VERM','FLORIANÓPOLIS','SC','124202201216151741259729345122242242172',NULL,'9998',0.00,1,3,NULL),(28,7141440,'1986-01-24 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124092091416151751448979435124340662111',NULL,'9998',26.18,1,3,NULL),(28,7141459,'1992-08-12 00:00:00',4,1,12,2011,'M','N','STO ANTO DE LISBOA','FLORIANÓPOLIS','SC','124243247437131731536724395122610167047',NULL,'9999',19.26,1,3,NULL),(28,7141467,'1992-02-16 00:00:00',4,1,12,2010,'M','N','CHACARA MONTE ALEGRE','S PAULO','SP','125252251211371431678914571122610121012',5980,'9998',52.86,1,3,NULL),(28,7141475,'1982-10-25 00:00:00',4,1,12,2000,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241113374421546824435124322264097',NULL,'307',38.87,1,2,1),(28,7141505,'1992-08-18 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241136142431324624145124610132142',NULL,'922',17.34,1,2,1),(28,7141513,'1987-05-31 00:00:00',4,1,7,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247321371431523334181124610142042',NULL,'977',24.58,1,3,NULL),(28,7141521,'1983-06-05 00:00:00',4,1,12,2000,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241217473451246644345124322864092',10028,'211',53.66,1,3,NULL),(28,7141530,'1984-10-15 00:00:00',2,1,12,2002,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124251251116475431123144345123231067043',NULL,'9998',0.00,1,2,1),(28,7141548,'1994-01-13 00:00:00',4,6,12,2011,'M','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251216271211488814575122610137042',7457,'9998',51.22,1,3,NULL),(28,7141564,'1991-06-12 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124241241117474731446513445124610127153',NULL,'732',21.10,1,2,1),(28,7141580,'1995-01-04 00:00:00',2,1,12,2011,'F','N','VILA SANTANA','STO AMARO IMPERATRIZ','SC','124241241115371431333923572124610132142',5927,'772',56.09,1,2,1),(28,7141599,'1994-09-15 00:00:00',4,1,11,2011,'M','N','SETOR OESTE','GOIÂNIA','GO','109092091215111432567811575112610167042',736,'9998',71.41,1,3,NULL),(28,7141602,'1995-02-02 00:00:00',4,9,12,2011,'M','N','CENTRO','CORREIA PINTO','SC','124244241116161432335923575122610127182',16689,'201',33.48,1,3,NULL),(28,7141629,'1994-06-29 00:00:00',4,10,12,2011,'F','N','PRIMAVERA','NOVO HAMBURGO','RS','120203201217131411437634212122610127182',NULL,'9998',0.00,1,3,NULL),(28,7141645,'1993-04-19 00:00:00',4,1,12,2010,'F','N','JARDIM CIDADE','S JOSÉ','SC','124241241137131431427923572114610112187',13859,'733',39.33,4,2,1),(28,7141653,'1994-04-07 00:00:00',4,27,12,2011,'M','N','CENTRO','S JOÃO OESTE','SC','124241241127131341536613345121610146052',3636,'715',59.43,1,2,1),(28,7141661,'1992-09-12 00:00:00',4,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241246115271441325629295124610167012',9475,'306',45.97,1,2,1),(28,7141670,'1993-04-29 00:00:00',4,1,12,2010,'F','N','MARISTA','GOIÂNIA','GO','109092091215471431346739572122610162097',NULL,'9998',0.00,1,3,NULL),(28,7141688,'1993-10-11 00:00:00',2,1,12,2010,'F','N','CENTRO','DOURADOS','MS','112122121216472431556813575122610167017',6600,'9998',51.47,4,3,NULL),(28,7141700,'1988-10-25 00:00:00',2,1,12,2005,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241317371421427623246134610132017',NULL,'1022',25.05,1,3,NULL),(28,7141726,'1994-05-03 00:00:00',4,4,12,2011,'F','N','UNIVERSITÁRIO','CHAPECÓ','SC','124241241112111431439933292124610137147',11570,'174',45.47,1,2,1),(28,7141734,'1994-09-04 00:00:00',2,3,12,2011,'M','N','CENTRO','BOMBINHAS','SC','124241241136161732423411285121610124092',NULL,'96',0.00,1,2,1),(28,7141769,'1992-05-28 00:00:00',4,17,12,2009,'M','N','VILA FORMOSA','MAFRA','SC','124241166216112431344431575112610117042',NULL,'541',26.61,1,3,NULL),(28,7141777,'1994-04-14 00:00:00',4,1,12,2011,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241116411231426613575114610114147',NULL,'307',18.93,1,2,1),(28,7141815,'1993-03-12 00:00:00',4,1,11,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241127471731523614341114610116097',NULL,'727',13.03,1,3,NULL),(28,7141823,'1994-09-21 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431458821575122610134182',3939,'262',59.99,1,3,NULL),(28,7141840,'1994-03-29 00:00:00',2,1,12,2011,'F','N','BELA VISTA III','S JOSÉ','SC','124242241115371431568633575124610114197',NULL,'257',35.85,1,3,NULL),(28,7141858,'1989-04-20 00:00:00',4,8,12,2006,'F','N','MORRO DO MEIO','JOINVILLE','SC','124241241126371431436319385124610148197',9112,'893',49.21,4,3,NULL),(28,7141866,'1991-11-15 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243247216111751543721575114610127112',NULL,'9999',6.49,1,3,NULL),(28,7141874,'1992-07-08 00:00:00',2,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124201202116152421647813175124130314052',NULL,'9998',27.89,1,3,NULL),(28,7141882,'1981-07-09 00:00:00',2,8,12,2000,'F','N','JARDIM SOFIA','JOINVILLE','SC','124241241116131431225369485121231437017',NULL,'710',17.62,1,2,1),(28,7141890,'1992-11-23 00:00:00',4,8,12,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215271431448933575122610148017',4915,'456',59.13,4,3,NULL),(28,7141904,'1989-10-22 00:00:00',4,1,12,2007,'M','N','MONTE CASTELO','CPO GRANDE','MS','112122121237111421647826485124240364052',11464,'9998',42.40,1,3,NULL),(28,7141912,'1991-06-22 00:00:00',2,1,6,2009,'F','N','KOBRASOL','S JOSÉ','SC','124202281416573431438813382124610166092',9799,'9998',47.84,4,3,NULL),(28,7141947,'1993-05-24 00:00:00',4,1,11,2010,'M','N','ABERTA DOS MORROS','PTO ALEGRE','RS','120202201216571431369912375124610144062',NULL,'9998',0.00,1,3,NULL),(28,7141955,'1986-12-29 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244247426131431428614345124130254187',17779,'9999',39.53,1,3,NULL),(28,7141963,'1993-09-16 00:00:00',2,23,12,2011,'F','N','NEREU RAMOS','JARAGUÁ SUL','SC','124241245147131431324624245124610133187',NULL,'433',11.94,1,2,1),(28,7141998,'1993-03-07 00:00:00',4,17,12,2011,'M','N','CENTRO','MAFRA','SC','124243161217371231259932575122610124042',NULL,'9998',26.88,1,3,NULL),(28,7142005,'1991-04-13 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201247137131431125644345334610126087',NULL,'9999',20.18,1,3,NULL),(28,7142013,'1994-04-25 00:00:00',2,1,12,2011,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241125131431423314212125610166012',NULL,'649',25.48,1,2,1),(28,7142021,'1992-02-14 00:00:00',2,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','120203201216574311437712572115610111177',5641,'9998',54.74,1,3,NULL),(28,7142030,'1990-01-26 00:00:00',2,1,12,2006,'F','N','GUARDA DO EMBAÚ','PALHOÇA','SC','124241241137241231523319275124231027117',NULL,'595',0.00,1,2,1),(28,7142048,'1991-08-16 00:00:00',4,4,12,2008,'M','N','ÁGUA VERDE','CURITIBA','PR','116241161216572431246617575124610164097',7009,'9998',58.82,1,3,NULL),(28,7142056,'1991-09-10 00:00:00',4,1,11,2009,'M','N','ARAÇATUBA','IMBITUBA','SC','124241241127141411433531245121610117102',11745,'361',50.95,1,2,1),(28,7142064,'1994-07-26 00:00:00',4,2,12,2011,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124242241217112431569714575124610137041',3107,'87',59.60,1,3,NULL),(28,7142072,'1987-01-24 00:00:00',2,1,12,2004,'F','N','TRINADADE','FLORIANÓPOLIS','SC','124241241111131431127833242124333213022',NULL,'1034',0.00,4,2,1),(28,7142099,'1990-10-13 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124012241235271431688713475122231038182',11287,'1169',51.64,4,3,NULL),(28,7142110,'1990-05-21 00:00:00',4,1,11,2007,'F','N','KOBRASOL','S JOSÉ','SC','124242241215232431425453342124333233017',17935,'269',39.12,2,1,2),(28,7142129,'1990-08-23 00:00:00',4,6,12,2006,'F','N','SÃO VICENTE','ITAJAÍ','SC','224241241116131431226654345223330236172',4344,'396',56.07,1,2,1),(28,7142137,'1990-06-02 00:00:00',2,1,12,2007,'F','N','REAL PARQUE','S JOSÉ','SC','124244241215274431636611475112610162147',8256,'1118',50.90,1,3,NULL),(28,7142145,'1992-08-18 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241345371431326644345114610127077',9969,'736',46.45,1,3,NULL),(28,7142153,'1993-08-09 00:00:00',2,15,12,2010,'M','N','LAGOÃO','ARARANGUÁ','SC','124241241115142431328823285121231734041',14027,'29',39.19,4,3,NULL),(28,7142170,'1990-03-10 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216134421357769442131610167041',18641,'269',36.73,1,3,NULL),(28,7142188,'1989-06-30 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241214374411258923495122233227052',11854,'270',50.78,1,3,NULL),(28,7142196,'1992-09-11 00:00:00',4,1,12,2010,'M','N','CENTRO','BIGUAÇU','SC','124242241216372441368831485114610148096',4998,'738',57.48,4,3,NULL),(28,7142218,'1992-08-30 00:00:00',4,1,11,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241417173431457613585124121464162',5144,'270',62.13,1,3,NULL),(28,7142234,'1981-11-10 00:00:00',2,1,12,1999,'F','N','JD ATLÂNTICO','FLORIANÓPOLIS','SC','224241241132274421221353182124122242047',15991,'293',43.71,1,2,1),(28,7142242,'1993-10-21 00:00:00',4,27,12,2011,'F','N','SÃO JOSÉ DO LARANJAL','IRACEMINHA','SC','124241241115131431523315372214610164147',16797,'377',35.40,1,2,1),(28,7142250,'1992-06-09 00:00:00',4,1,12,2009,'F','N','PARALELA','SALVADOR','BA','105052051216513411479933575112143263197',1322,'9998',66.24,1,3,NULL),(28,7142269,'1958-10-28 00:00:00',2,1,12,1998,'M','N','CANTO','FLORIANÓPOLIS','SC','224051135126142451242241112122321666182',NULL,'9998',30.81,1,3,NULL),(28,7142277,'1992-03-21 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216373421539712391124231836013',10382,'1134',53.11,1,3,NULL),(28,7142285,'1993-11-29 00:00:00',2,1,11,2011,'F','N','PICADAS DO SUL','S JOSÉ','SC','124244241236171431226622575112610157192',NULL,'1074',0.00,1,3,NULL),(28,7142293,'1993-01-21 00:00:00',2,22,12,2010,'M','N','CENTRO','GUABIRUBA','SC','124241241146272431523314145122231467042',18008,'333',38.90,1,2,1),(28,7142307,'1994-05-03 00:00:00',4,24,12,2011,'M','N','SANTANA','RIO SUL','SC','124241248116151721336667175122610114021',NULL,'659',23.41,1,2,1),(28,7142323,'1993-09-29 00:00:00',4,3,12,2010,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241116141431235329345135610147042',NULL,'405',26.93,4,2,1),(28,7142331,'1991-04-10 00:00:00',4,22,12,2010,'M','N','AGUAS CLARA','BRUSQUE','SC','124241241136272421323614285124231437067',NULL,'1019',8.18,1,2,1),(28,7142366,'1994-06-10 00:00:00',4,15,12,2011,'M','N','ENCRUZO','S JOÃO SUL','SC','124241241134141431433712235124610134052',19993,'717',28.17,1,2,1),(28,7142374,'1994-11-17 00:00:00',4,15,12,2011,'F','N','SANTA CATARINA','ARARANGUÁ','SC','124241248115141411424315342224610124051',NULL,'30',13.58,4,3,NULL),(28,7142382,'1994-06-12 00:00:00',4,15,12,2011,'M','N','ZONA NOVA','CAPÃO CANOA','RS','120203201317161431446932385122610168047',NULL,'9998',24.86,1,3,NULL),(28,7142390,'1992-02-14 00:00:00',2,1,12,2010,'F','N','CANASVIEIRA','FLORIANÓPOLIS','SC','124241241117471731423534485122610167042',NULL,'288',27.36,1,3,NULL),(28,7142404,'1992-02-29 00:00:00',2,2,12,2009,'F','N','ATUBA','COLOMBO','PR','116161161215573411346724575124610163187',4717,'9998',56.36,1,3,NULL),(28,7142420,'1992-02-23 00:00:00',2,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241225273431224369575124122367055',NULL,'262',28.38,1,3,NULL),(28,7142447,'1995-08-24 00:00:00',4,1,12,2012,'M','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215121712557934575122610128042',NULL,'262',43.48,1,3,NULL),(28,7142455,'1991-10-25 00:00:00',4,1,11,2009,'M','N','VILA JULIETA','RESENDE','RJ','121212213236571441368823575122610167047',NULL,'9998',0.00,1,3,NULL),(28,7142463,'1991-10-29 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124243248347143132333653141133610155147',NULL,'1076',0.00,1,3,NULL),(28,7142471,'1992-08-04 00:00:00',2,1,12,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241437143432438834245124230827097',NULL,'257',18.86,1,3,NULL),(28,7142480,'1987-10-10 00:00:00',4,5,12,2005,'M','N','PROSPERA','CRICIÚMA','SC','124244241331372431556612241122233217043',NULL,'349',0.00,1,3,NULL),(28,7142510,'1983-11-28 00:00:00',1,1,6,2002,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124281288117371731438823415124343224097',4632,'9998',63.14,1,3,NULL),(28,7142536,'1978-10-17 00:00:00',4,1,12,1996,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241326153731124444341134122322157',10300,'171',53.22,1,3,NULL),(28,7142552,'1977-04-19 00:00:00',2,1,12,1999,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','224241241122133751221344142331120567183',NULL,'294',0.00,1,2,1),(28,7142560,'1993-03-06 00:00:00',2,10,11,2010,'F','N','CENTRO','BRAÇO NORTE','SC','124243241215472431338613272124610128182',8463,'807',52.20,1,3,NULL),(28,7142579,'1992-09-07 00:00:00',2,9,11,2009,'F','N','CENTRO','LAGES','SC','124242241215575731488813575122610142012',3329,'270',59.58,1,3,NULL),(28,7142609,'1987-10-11 00:00:00',4,8,12,2004,'M','N','SANTO ANTONIO','JOINVILLE','SC','124244241311171711636811435124130667053',12793,'1016',40.95,1,3,NULL),(28,7142625,'1988-06-18 00:00:00',4,1,12,2005,'M','N','LOURDES','CAXIAS SUL','RS','120201201216151731129942425132240267117',NULL,'9998',0.00,1,3,NULL),(28,7142633,'1992-09-25 00:00:00',2,15,12,2009,'F','N','IGARA','CANOAS','RS','120201201227572431425319575124610161057',12260,'9998',50.15,4,3,NULL),(28,7142641,'1993-06-19 00:00:00',2,15,12,2011,'F','N','MORRO DOS CONVENTOS','ARARANGUÁ','SC','124241241145131431223824242324610137147',NULL,'29',10.76,1,3,NULL),(28,7142650,'1986-07-29 00:00:00',4,1,12,2005,'F','N','CANASVIEIRA','FLORIANÓPOLIS','SC','124241241127473231433534485114123264047',17616,'922',39.97,1,2,1),(28,7142668,'1993-04-24 00:00:00',2,23,12,2010,'F','N','ESTRADA NOVA','JARAGUÁ SUL','SC','124241241135272411333374285124610124172',8683,'425',47.11,4,2,1),(28,7142676,'1975-08-11 00:00:00',4,8,7,1996,'M','N','ITAUM','JOINVILLE','SC','524241248646131711533343335123330214097',18754,'489',36.29,1,3,NULL),(28,7142684,'1993-09-27 00:00:00',2,2,12,2010,'F','N','VORSTADT','BLUMENAU','SC','124241241115312431535933275114610164142',19569,'88',32.24,1,2,1),(28,7142692,'1991-06-04 00:00:00',4,2,12,2009,'F','N','SALTO WEISSBACH','BLUMENAU','SC','124242241217573431448834475124610122142',7257,'71',58.38,1,3,NULL),(28,7142706,'1995-10-15 01:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216111421548711575124610122077',13143,'270',48.78,1,3,NULL),(28,7142722,'1993-03-22 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241112372431437613572124610114092',9648,'271',47.71,1,3,NULL),(28,7142757,'1991-04-06 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124244241211574431548811495114231167072',15185,'1050',45.25,1,3,NULL),(28,7142765,'1981-08-21 00:00:00',2,5,11,1998,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241215372431358611471122331528182',NULL,'213',27.01,1,3,NULL),(28,7142773,'1994-06-01 00:00:00',2,1,12,2011,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241116271431624421586244610114197',17775,'591',29.07,1,2,1),(28,7142781,'1992-09-24 00:00:00',4,1,11,2009,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241216122431356313395124221463182',2202,'270',69.18,1,3,NULL),(28,7142820,'1967-08-28 00:00:00',4,1,12,1986,'M','N','MARISA','S PEDRO IVAÍ','PR','116161161127161311122246362343142322192',NULL,'9998',25.60,1,3,NULL),(28,7142838,'1994-06-13 00:00:00',2,15,12,2010,'F','N','CENTRO','ERMO','SC','124241241115151431424923575124610124147',19854,'250',29.80,1,3,NULL),(28,7142846,'1993-01-27 00:00:00',4,1,12,2011,'F','N','FUNCIONÁRIOS','BELO HORIZONTE','MG','113132137416471431478634572122610162146',NULL,'9998',0.00,1,3,NULL),(28,7142854,'1988-08-21 00:00:00',4,1,11,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241216373441438933444124121742141',2166,'273',64.20,1,3,NULL),(28,7142862,'1994-08-25 00:00:00',4,10,11,2011,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215111431469813575122610167052',6052,'797',54.76,1,3,NULL),(28,7142897,'1989-02-11 00:00:00',2,1,5,2006,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224194247415471731223654482224610113093',15320,'1198',37.50,4,3,NULL),(28,7142919,'1992-12-18 00:00:00',2,1,12,2009,'M','N','PAULO LOPES','PAULO LOPES','SC','124241241125311431654113346214610117057',16558,'607',35.71,1,2,1),(28,7142927,'1993-12-29 00:00:00',4,17,12,2011,'F','N','CENTRO','UNIÃO VITÓRIA','PR','116242161217471431479911575124610162092',NULL,'9998',0.00,1,3,NULL),(28,7142943,'1992-06-16 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242246116132431437711342124610124147',12888,'306',40.81,1,3,NULL),(28,7142951,'1994-11-13 00:00:00',4,5,12,2011,'M','N','CORRIDAS','ORLEANS','SC','124242246215151731445911572124610164052',9722,'995',47.32,1,3,NULL),(28,7142960,'1993-05-12 00:00:00',4,24,12,2010,'F','N','PROGRESSO','POUSO REDONDO','SC','124241241316372411336933375124610126122',11004,'640',42.84,1,3,NULL),(28,7142978,'1989-11-21 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431336813242124610162097',15134,'1022',45.34,1,3,NULL),(28,7142986,'1994-05-03 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241116151431333334575122610136042',17307,'292',33.68,1,3,NULL),(28,7142994,'1988-05-25 00:00:00',6,8,12,2006,'F','N','VILA RIOD','S LUÍS','MA','110101101117271411543621335324610164051',NULL,'9998',0.00,2,1,1),(28,7143001,'1994-06-15 00:00:00',4,1,12,2011,'F','N','ARIRIÚ','PALHOÇA','SC','124241241116131431336534575124610124012',7533,'592',50.54,1,2,1),(28,7143010,'1993-08-11 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216373731548711575124610122187',6947,'270',52.23,1,3,NULL),(28,7143028,'1992-07-14 00:00:00',4,8,12,2010,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124252241216271431378812575115610162192',15352,'1063',44.94,1,3,NULL),(28,7143036,'1994-06-13 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241211272731348913375114610164052',10050,'1090',47.51,1,3,NULL),(28,7143044,'1979-08-23 00:00:00',2,10,12,1996,'M','N','VILA MOEMA','TUBARÃO','SC','124243241416473421428314145122331564117',NULL,'9999',0.00,1,3,NULL),(28,7143052,'1991-03-25 00:00:00',4,15,12,2011,'M','N','IMIGRANTES','TURVO','SC','124241241125131431313316572121610114067',NULL,'814',4.32,1,2,1),(28,7143060,'1994-03-01 00:00:00',2,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241215111331434411585114610123075',NULL,'300',42.64,1,3,NULL),(28,7143079,'1994-03-19 00:00:00',4,1,12,2011,'M','N','DANIELA','FLORIANÓPOLIS','SC','124241241126141431421371215124610128147',19446,'295',33.07,1,2,1),(28,7143087,'1991-06-12 00:00:00',4,1,11,2008,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124244241211133431557614385124233261071',NULL,'1118',20.06,1,3,NULL),(28,7143117,'1992-09-06 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241216573431357814575122610167117',4338,'226',56.99,1,3,NULL),(28,7143141,'1992-02-07 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124251251116151411236873435124220632173',4469,'9998',57.04,1,3,NULL),(28,7143150,'1986-06-30 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241416155431258829385122122167042',5811,'270',51.84,1,3,NULL),(28,7143168,'1994-05-05 00:00:00',4,1,12,2010,'M','N','SUISSA','ARACAJU','SE','126262261216111451337732595122610112047',1720,'9998',66.87,1,3,NULL),(28,7143176,'1994-02-07 00:00:00',4,1,12,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127111431546311242124610167045',18012,'283',30.66,1,2,1),(28,7143206,'1993-07-21 00:00:00',4,6,12,2010,'F','N','CENTRO','NAVEGANTES','SC','124241241216111441637611395224230266012',1613,'392',64.07,1,3,NULL),(28,7143257,'1994-09-12 00:00:00',2,3,12,2011,'F','N','CAPAO RASO','CURITIBA','PR','116161161135371431228728575124610124147',10559,'9998',45.41,1,2,1),(28,7143265,'1994-04-15 00:00:00',4,4,11,2011,'F','N','CENTRO','CAFELÂNDIA','PR','116164161215471431469939392112610134194',8480,'9998',48.20,1,3,NULL),(28,7143290,'1993-05-07 00:00:00',4,4,12,2009,'M','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124244241415373451656913375122610164187',5617,'515',54.05,1,3,NULL),(28,7143303,'1994-03-18 00:00:00',4,24,12,2011,'F','N','CENTRO','TROMBUDO CENTRAL','SC','124241241116371431423414445124610123017',17980,'659',28.76,1,2,1),(28,7143338,'1990-01-23 00:00:00',2,1,12,2010,'F','N','BOM JARDIM','IVOTI','RS','120242241345271431224612185124610142057',18649,'9997',36.71,1,3,NULL),(28,7143346,'1994-09-28 00:00:00',4,10,11,2011,'F','N','ABICINIA','BRAÇO NORTE','SC','124242241215112431343712572122610138075',12069,'807',43.47,1,3,NULL),(28,7143362,'1993-12-10 00:00:00',4,8,12,2011,'M','N','CAMPINA DO SIQUEIRA','CURITIBA','PR','116162161415421431237724575114610124182',10289,'9998',45.25,1,3,NULL),(28,7143389,'1993-12-15 00:00:00',2,1,12,2010,'F','N','VILA SOBRINHO','CPO GRANDE','MS','112122121217471751328813175114240634182',10158,'9998',43.59,1,3,NULL),(28,7143397,'1994-10-27 00:00:00',4,1,12,2011,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124284241215122431456829585124610148147',NULL,'884',24.82,1,3,NULL),(28,7143400,'1968-03-01 00:00:00',2,1,12,1990,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','224134137446132421428451145124342266097',NULL,'9998',0.00,1,3,NULL),(28,7143427,'1994-03-07 00:00:00',2,1,12,2011,'F','N','RATONES','FLORIANÓPOLIS','SC','124242241215112431556814315124610133012',19643,'884',31.65,4,3,NULL),(28,7143435,'1991-11-11 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124252251417473411338812315114610164027',8587,'9998',50.00,1,3,NULL),(28,7143451,'1982-05-24 00:00:00',4,1,12,2001,'M','N','BOM FIM','PTO ALEGRE','RS','120201207327131441336611415121143268091',NULL,'9998',0.00,1,3,NULL),(28,7143460,'1993-07-02 00:00:00',4,1,10,2011,'M','N','CENTRO','ERECHIM','RS','120204201415111441358814575112610167042',8639,'9998',46.67,4,3,NULL),(28,7143478,'1993-03-06 00:00:00',4,8,12,2010,'M','N','TRES MARIAS','S JOSÉ PINHAIS','PR','116162161117271411448612581124141067042',NULL,'9998',0.00,1,3,NULL),(28,7143494,'1982-01-12 00:00:00',2,1,12,2001,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241127142431123341215123320567047',NULL,'285',0.00,1,2,1),(28,7143508,'1984-04-15 00:00:00',2,1,10,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241247326133511647632275124222236197',NULL,'9999',32.20,1,3,NULL),(28,7143524,'1991-05-29 00:00:00',4,1,12,2008,'M','N','AHÚU','CURITIBA','PR','116162161216271431489913475122241424052',NULL,'9998',0.00,1,3,NULL),(28,7143540,'1994-09-26 00:00:00',4,10,12,2011,'F','N','CAÇADOR','CAPIVARI BAIXO','SC','124241241115471431336933575124610136147',14047,'1034',42.37,1,2,1),(28,7143583,'1994-06-01 00:00:00',2,16,12,2011,'F','N','CENTRO','CURITIBANOS','SC','124241241115151231658314575122610132142',NULL,'239',21.43,1,2,1),(28,7143591,'1994-02-03 00:00:00',2,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','121212211236111431448733432124610112097',7582,'9998',51.51,4,3,NULL),(28,7143613,'1989-08-17 00:00:00',4,8,12,2006,'F','N','FLORESTA','JOINVILLE','SC','124242241117271741456612395122333234012',NULL,'479',20.88,1,3,NULL),(28,7143621,'1993-12-19 00:00:00',4,1,12,2010,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124242241215372431465811375124610164022',9388,'1075',49.52,4,3,NULL),(28,7143648,'1982-07-07 00:00:00',4,1,12,2000,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124041041117131421426844245124141427043',NULL,'9998',0.00,4,3,NULL),(28,7143656,'1994-11-22 00:00:00',4,8,12,2011,'M','N','ÁGUA BRANCA','S FRANCISCO SUL','SC','124244241217161431348613295125610134041',8890,'992',46.89,4,3,NULL),(28,7143672,'1993-06-21 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242211217472411268923585124610167052',856,'9998',71.25,1,3,NULL),(28,7143680,'1995-10-31 00:00:00',4,10,11,2012,'F','S','DEHON','TUBARÃO','SC','124242241215111731478833575122610132076',NULL,'806',48.46,1,3,NULL),(28,7143699,'1990-11-01 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574451559923445122133233141',2218,'1050',62.79,1,3,NULL),(28,7143710,'1992-12-08 00:00:00',2,15,12,2009,'F','N','CENTRO','ARARANGUÁ','SC','124242241215372431344412272122123246182',8596,'32',52.24,1,3,NULL),(28,7143737,'1989-02-15 00:00:00',2,1,12,2007,'F','N','PERDIZES','S PAULO','SP','125254251417271751646611485125142167187',16904,'9998',41.75,1,3,NULL),(28,7143745,'1991-12-30 00:00:00',2,8,12,2009,'F','N','PINHEIRINHO','CURITIBA','PR','116251161115572431445634575114610166147',NULL,'9998',0.00,1,2,1),(28,7143753,'1993-07-21 00:00:00',4,16,12,2010,'F','N','GARCIA','BLUMENAU','SC','124241241126271731223619395134610114047',NULL,'79',22.82,1,2,1),(28,7143761,'1992-01-11 00:00:00',2,15,12,2009,'F','N','VILA CONCEIÇÃO','S JOÃO SUL','SC','124241201216152431533632345122130261147',2162,'9998',62.29,1,3,NULL),(28,7143770,'1993-07-10 00:00:00',4,1,12,2011,'F','N','CENTRO','GUARATUBA','PR','116163161215111431447832375121610167017',NULL,'9998',0.00,1,3,NULL),(28,7143788,'1993-11-10 00:00:00',4,8,11,2011,'M','N','VILA NOVA','JOINVILLE','SC','124241241115271431346631375124610114042',12210,'475',50.22,1,2,1),(28,7143796,'1994-03-14 00:00:00',2,1,12,2010,'F','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241126471431423413345124610123147',NULL,'322',25.47,3,2,1),(28,7143818,'1992-04-08 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241137471432223611146123610137052',19088,'358',34.92,4,2,1),(28,7143826,'1982-08-16 00:00:00',2,2,12,2004,'M','N','VICTOR KONDER','BLUMENAU','SC','224243241321215431426641125122330712017',6677,'270',59.40,1,3,NULL),(28,7143834,'1993-08-01 00:00:00',4,1,12,2011,'M','N','JARDIN JANAINA','BIGUAÇU','SC','124241241122132221633314245113610167052',19806,'66',30.29,4,2,1),(28,7143850,'1959-12-13 00:00:00',2,1,12,1994,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224051057141132412631333232134610167043',16584,'9998',42.46,4,2,1),(28,7143869,'1995-04-11 00:00:00',4,16,12,2011,'F','N','CENTRO','NAVIRAÍ','MS','112242128237121711468911475122610124122',NULL,'9998',0.00,1,3,NULL),(28,7143877,'1993-07-13 00:00:00',2,6,11,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241216272431467832275111610147051',6757,'1038',53.63,1,3,NULL),(28,7143885,'1988-06-04 00:00:00',2,1,12,2006,'F','N','FLORESTA','S JOSÉ','SC','124241247126132421223724145124610133182',19314,'1117',33.80,1,2,1),(28,7143915,'1992-10-09 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241137371531423614572114610114045',19416,'307',33.25,1,2,1),(28,7143923,'1993-09-24 00:00:00',4,1,12,2010,'M','N','PARQUE DA TORRE','PIEDADE','SP','125252251215471211558813575221610124042',15441,'9998',33.78,1,3,NULL),(28,7143931,'1993-11-20 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241212372431237624575114231033153',19366,'988',33.56,1,3,NULL),(28,7143940,'1993-06-28 00:00:00',2,8,12,2010,'M','N','CENTRO','LAPA','PR','116243248215271411436734445112610122011',12553,'1006',49.71,1,3,NULL),(28,7143958,'1958-01-15 00:00:00',2,1,12,1998,'M','N','BARREIROS','S JOSÉ','SC','524252257221133711233349192114140212197',19012,'9998',35.29,1,3,NULL),(28,7143966,'1987-04-28 00:00:00',2,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124281241126372721225544345124610137147',NULL,'298',24.09,1,2,1),(28,7143974,'1995-09-26 00:00:00',4,1,11,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111732578833575122610166042',NULL,'262',58.14,1,3,NULL),(28,7143982,'1980-01-15 00:00:00',4,8,12,1997,'M','N','CENTRO','GARUVA','SC','124241243126135451422411275234610167147',10074,'474',44.50,4,2,1),(28,7143990,'1992-08-08 00:00:00',2,4,12,2010,'F','N','CENTRO','FORMOSA SUL','SC','124241166116472431238967575124610146172',6386,'9998',54.73,1,2,1),(28,7144008,'1995-09-14 00:00:00',4,5,10,2012,'F','S','CENTRO','IÇARA','SC','124242241215111432456632575122610114013',NULL,'226',16.78,1,3,NULL),(28,7144016,'1993-04-07 00:00:00',4,5,12,2010,'F','N','CENTRO','SIDERÓPOLIS','SC','124244243215371421336629444124610126142',8180,'995',50.66,1,3,NULL),(28,7144024,'1994-07-15 00:00:00',2,15,12,2011,'M','N','COLONINHA','ARARANGUÁ','SC','124243241137151431326824345122610117047',19857,'29',29.77,1,3,NULL),(28,7144075,'1986-03-13 00:00:00',2,1,11,2003,'M','N','PRICUMÃ','BOA VISTA','RR','123231231116134411236611212123143224112',NULL,'9998',13.23,4,2,1),(28,7144091,'1995-12-07 00:00:00',2,24,12,2012,'F','S','CENTRO','LONTRAS','SC','124243241215111731476612575114610124142',NULL,'9997',47.04,1,3,NULL),(28,7144105,'1990-12-31 00:00:00',2,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241416375431456833495124143264197',281,'1022',77.20,1,3,NULL),(28,7144121,'1992-07-01 00:00:00',4,4,12,2009,'F','N','CENTRO','S DOMINGOS','SC','124241241116271411213869575124610127147',12119,'707',42.84,1,2,1),(28,7144130,'1994-07-04 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241117271431433923476124610123142',13089,'592',43.26,1,2,1),(28,7144148,'1979-03-13 00:00:00',5,1,7,2003,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124252257235572431336644342122132167112',6519,'9998',54.81,1,3,NULL),(28,7144164,'1994-04-10 00:00:00',4,17,12,2011,'M','N','POÇO CLARO','ITAIÓPOLIS','SC','124241241125161431326315155121610137067',17176,'387',30.60,4,2,1),(28,7144172,'1985-06-20 00:00:00',4,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124071071137132751321622392324610117157',NULL,'9998',32.00,3,2,1),(28,7144199,'1994-12-23 00:00:00',4,8,12,2011,'M','N','PAULAS','S FRANCISCO SUL','SC','124241241115371431439933595124610138162',13155,'710',42.21,1,2,1),(28,7144202,'1992-11-26 00:00:00',4,1,11,2010,'F','N','NOVO HORIZONTE','MARINGÁ','PR','116162161217471431458833575122610124015',NULL,'9998',0.00,1,3,NULL),(28,7144210,'1987-07-31 00:00:00',2,1,12,2004,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241116131751213344242125610128187',17510,'192',30.46,4,2,1),(28,7144229,'1994-03-25 00:00:00',4,3,11,2011,'F','N','CENTRO','UNIÃO VITÓRIA','PR','116242161216211431568612421114610124192',5596,'9998',55.22,1,3,NULL),(28,7144245,'1992-12-18 00:00:00',2,5,12,2010,'M','N','SAMUEL SANDRINI','ORLEANS','SC','124241241116472411425512572122610134147',11789,'580',45.67,1,2,1),(28,7144253,'1994-07-21 00:00:00',4,10,12,2011,'F','N','SÃO JOÃO','TUBARÃO','SC','124241241135131431523317575114610127047',NULL,'798',0.00,1,2,1),(28,7144270,'1994-08-18 00:00:00',2,15,1,2012,'F','N','MATO ALTO','ARARANGUÁ','SC','124241241117111431426332572122610117052',14841,'30',39.38,1,2,1),(28,7144296,'1995-04-07 00:00:00',2,1,11,2012,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124244241215111712349719241124610111155',NULL,'1133',42.60,1,3,NULL),(28,7144300,'1994-08-26 00:00:00',4,8,12,2011,'M','N','VILA IZABEL','CURITIBA','PR','116162161216111431446816375122610138122',NULL,'9998',0.00,1,3,NULL),(28,7144326,'1981-03-28 00:00:00',4,1,12,1998,'F','N','INGLESES','FLORIANÓPOLIS','SC','224251251116531411146654445234342966192',15641,'9998',44.41,1,2,1),(28,7144334,'1994-03-22 00:00:00',4,17,12,2011,'M','N','CENTRO','MAFRA','SC','624241161116131341236823395121610157052',11440,'9998',43.15,1,2,1),(28,7144342,'1992-12-15 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215472211446577575114610137047',5973,'273',54.53,1,3,NULL),(28,7144350,'1992-05-14 00:00:00',2,4,12,2008,'M','N','CENTRO','PLANALTO ALEGRE','SC','124241241415475431366933582224610127057',10792,'185',46.42,1,3,NULL),(28,7144393,'1993-08-17 00:00:00',4,1,12,2011,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241115161731321321495114610167147',NULL,'257',15.62,2,1,1),(28,7144415,'1993-03-09 00:00:00',4,8,11,2010,'M','N','CENTRO','STO ANTÔNIO PLATINA','PR','116162161211471431457923572122610147043',6066,'9998',53.32,1,3,NULL),(28,7144423,'1994-12-03 00:00:00',2,3,12,2011,'M','N','TABULEIRO','CAMBORIÚ','SC','124241241135271432643314241121610126197',14428,'1044',37.39,1,2,1),(28,7144440,'1993-12-22 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217473421548532375124610154097',10228,'270',47.20,1,3,NULL),(28,7144466,'1994-11-27 00:00:00',4,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215371431469913576112610131122',1967,'461',63.87,1,3,NULL),(28,7144474,'1995-01-17 00:00:00',4,5,10,2012,'F','S','CARAVÁGIO','NOVA VENEZA','SC','124244241215131451588412472122610147145',NULL,'226',37.97,1,3,NULL),(28,7144482,'1993-02-19 00:00:00',2,24,12,2009,'M','N','CENTRO','LEOBERTO LEAL','SC','124241241125371431426419575124610138197',NULL,'533',19.86,1,3,NULL),(28,7144490,'1991-09-14 00:00:00',2,2,12,2008,'F','N','PROGRESSO','POUSO REDONDO','SC','124241241315573421335912572124132524052',18451,'991',37.47,1,3,NULL),(28,7144504,'1993-04-21 00:00:00',4,10,12,2010,'F','N','CENTRO','GR PARÁ','SC','124241241112473421438631575124610132147',3407,'330',59.63,1,2,1),(28,7144512,'1993-06-10 00:00:00',2,1,12,2011,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241415271431434711375124610137011',12058,'1075',42.20,1,3,NULL),(28,7144520,'1995-01-17 00:00:00',4,5,12,2011,'F','N','PARQUE DAS ACACIAS','S LUDGERO','SC','124242241316131431368953575122610124142',10260,'950',46.24,1,3,NULL),(28,7144539,'1994-02-27 00:00:00',2,9,12,2010,'F','N','CONTA DINHEIRO','LAGES','SC','124241241315472431536534575112610124057',9186,'1207',47.79,1,3,NULL),(28,7144547,'1991-02-02 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247316153411326614445114610133051',NULL,'9999',20.99,1,3,NULL),(28,7144555,'1991-07-25 00:00:00',2,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','125244241216165411638813485124131465017',9301,'1022',54.88,1,3,NULL),(28,7144601,'1994-12-30 00:00:00',4,17,12,2011,'M','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241115371432457931285122610122141',14715,'146',37.11,1,2,1),(28,7144610,'1992-09-11 00:00:00',2,23,12,2010,'M','N','CENTRO','GUARAMIRIM','SC','124241241117372751437411215324610118182',NULL,'335',0.00,1,3,NULL),(28,7144628,'1995-02-10 00:00:00',4,1,11,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241415111721426631295114610127065',13860,'1022',39.31,1,3,NULL),(28,7144644,'1994-03-12 00:00:00',4,3,12,2011,'M','N','CENTRO','LONDRINA','PR','116162161217111511469639195112610124122',NULL,'9998',0.00,1,3,NULL),(28,7144652,'1994-10-26 00:00:00',4,25,12,2011,'F','N','CENTRO','MTE CARLO','SC','124242241215111431426712475124610134052',4788,'885',57.95,1,3,NULL),(28,7144679,'1994-02-01 00:00:00',4,8,12,2011,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241211371431369811592122610127013',6005,'457',55.31,1,3,NULL),(28,7144687,'1994-11-04 00:00:00',2,7,12,2011,'M','N','CENTRO','LACERDÓPOLIS','SC','124244241215272431548913572124610117042',8712,'446',47.56,1,3,NULL),(28,7144709,'1993-09-01 00:00:00',4,8,12,2010,'F','N','CENTRO','CASCAVEL','PR','116162161215371231349833375112610125147',8156,'9998',49.39,1,3,NULL),(28,7144717,'1991-09-25 00:00:00',2,1,12,2009,'M','N','SOMBRIO','STO AMARO IMPERATRIZ','SC','124241241147371731556613282122611227047',16050,'772',34.84,1,2,1),(28,7144725,'1993-03-09 00:00:00',4,1,12,2010,'M','N','TRES FIGUEIRAS','PTO ALEGRE','RS','120202208217471731538811496115610167047',14654,'9998',40.42,1,3,NULL),(28,7144733,'1994-07-05 00:00:00',2,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124242241215371731547713432122610118147',NULL,'1078',35.89,1,3,NULL),(28,7144741,'1993-03-02 00:00:00',4,22,11,2010,'M','N','SÃO PEDRO','GUABIRUBA','SC','124244241215471441486632395121610162112',14662,'109',46.25,1,3,NULL),(28,7144750,'1995-04-12 00:00:00',4,3,12,2012,'F','S','CENTRO','BAL CAMBORIÚ','SC','116162161237111731346924575122610168092',NULL,'9998',37.55,1,3,NULL),(28,7144768,'1987-10-14 00:00:00',2,1,12,2004,'F','N','MEDIANEIRA','STA MARIA','RS','120202201216571741476933575122240944192',NULL,'9998',0.00,1,3,NULL),(28,7144776,'1994-03-28 00:00:00',2,5,11,2011,'F','N','SANTA AUGUSTA','CRICIÚMA','SC','124242246215131731535934392124610136057',14397,'995',46.76,1,3,NULL),(28,7144784,'1993-11-27 00:00:00',4,9,11,2010,'M','N','CENTRO','LAGES','SC','124242241215272411469713571122610164042',7907,'497',57.28,1,3,NULL),(28,7144792,'1994-04-10 00:00:00',4,23,12,2011,'F','N','CENTRO','GUARAMIRIM','SC','124241241115161711336617242124610152037',14082,'335',38.23,4,2,1),(28,7144814,'1991-06-26 00:00:00',4,10,12,2008,'F','N','OFICINAS','TUBARÃO','SC','124241241117133411415329371324610162037',12281,'804',43.79,1,2,1),(28,7144822,'1994-07-19 00:00:00',4,1,12,2011,'M','N','VILA AVIAÇÃO','BAURU','SP','125252251215171411357912295124610144042',NULL,'9998',0.00,1,3,NULL),(28,7144830,'1994-10-06 00:00:00',4,8,12,2011,'M','N','CENTAURO','ARAPONGAS','PR','116164161217131431627714476111610164017',18773,'9998',36.20,1,3,NULL),(28,7144849,'1995-09-30 00:00:00',4,17,12,2012,'M','S','CENTRO','MAJ VIEIRA','SC','124241241216111431448613575122610137052',NULL,'973',42.39,1,3,NULL),(28,7144857,'1995-03-24 00:00:00',4,1,12,2013,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111751388914575122610113142',NULL,'262',44.42,1,3,NULL),(28,7144865,'1994-02-10 00:00:00',4,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124241241116271411448612575124610134147',6429,'739',54.42,1,2,1),(28,7144873,'1994-01-07 00:00:00',4,1,12,2011,'M','N','ZIMBROS','BOMBINHAS','SC','124241243116131431424614245122610132047',NULL,'1089',0.00,1,2,1),(28,7144881,'1994-04-03 00:00:00',4,4,11,2011,'F','N','CENTRO','IPORÃ OESTE','SC','124241241217371431458833274122610143052',7785,'1179',51.29,1,3,NULL),(28,7144890,'1995-05-31 00:00:00',4,1,12,2012,'F','S','BARREIROS','S JOSÉ','SC','124242241217121751357833575122610123195',NULL,'1118',47.48,1,3,NULL),(28,7144903,'1994-07-16 00:00:00',4,22,12,2011,'M','N','TIMBEZINHO','S JOÃO BATISTA','SC','124241241215272431618819375122610128052',1320,'109',69.53,1,3,NULL),(28,7144911,'1993-05-17 00:00:00',4,1,12,2010,'F','N','ALPHAVILLE','CAMPINAS','SP','125252251216371431478711575122610147146',4432,'9998',56.61,1,3,NULL),(28,7144920,'1994-02-26 00:00:00',4,5,12,2011,'F','N','BELA VISTA','COCAL SUL','SC','124241241116131231426814285122610127047',NULL,'189',0.00,1,3,NULL),(28,7144938,'1995-09-28 00:00:00',4,7,12,2012,'F','S','CENTRO','VIDEIRA','SC','124242241215111431346616595122610165142',NULL,'969',0.00,1,3,NULL),(28,7144946,'1993-01-12 00:00:00',2,15,12,2010,'M','N','CENTRO','STA ROSA SUL','SC','124241241126142431435633575312610127052',NULL,'689',31.50,1,2,1),(28,7144954,'1994-12-02 00:00:00',2,7,11,2011,'F','N','CENTRO','ERVAL VELHO','SC','124244241415371431226923475124613263097',NULL,'962',17.58,1,3,NULL),(28,7144989,'1980-06-04 00:00:00',4,1,12,1997,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252251217151411158744445122343225142',NULL,'9998',0.00,1,3,NULL),(28,7145004,'1991-08-16 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241125372731633611315124610164177',10678,'922',47.26,1,2,1),(28,7145012,'1993-06-17 00:00:00',4,5,12,2011,'F','N','RIO MAINA','CRICIÚMA','SC','124241248115371431324319572124610144097',17894,'228',39.22,1,3,NULL),(28,7145039,'1994-05-27 00:00:00',2,1,12,2011,'F','N','ROÇADO','S JOSÉ','SC','124241241115151431426631275122610124092',NULL,'733',22.04,1,2,1),(28,7145047,'1994-05-13 00:00:00',2,9,12,2011,'M','N','BORGES','ANITA GARIBALDI','SC','124091241117151211446614385112610117042',19704,'18',19.61,1,3,NULL),(28,7145055,'1993-02-27 00:00:00',4,1,12,2010,'M','N','JD ALVORADA','S CARLOS','SP','125254251211271231438731595122610147042',16449,'9997',30.93,1,3,NULL),(28,7145080,'1994-03-31 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124212241215372411454833575122610117057',12374,'299',44.49,1,3,NULL),(28,7145098,'1970-04-09 00:00:00',2,1,6,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224241247336135441333429315122222967012',15611,'306',44.49,1,3,NULL),(28,7145110,'1993-07-30 00:00:00',4,2,11,2010,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124252251217112411128832585124231434112',8040,'9998',50.26,1,3,NULL),(28,7145136,'1991-12-06 00:00:00',2,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124132133215471431256723475122142667127',5931,'9998',55.11,1,3,NULL),(28,7145152,'1990-08-08 00:00:00',2,15,12,2007,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241241127152621327644145122131718195',14065,'29',38.49,1,2,1),(28,7145160,'1984-08-21 00:00:00',6,1,12,2001,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216111421128943435114333233111',10032,'32',53.65,3,3,NULL),(28,7145187,'1994-07-25 00:00:00',4,25,12,2011,'F','N','MATRIZ','VIDEIRA','SC','124241241417371431337522571122610144142',9101,'829',48.47,1,3,NULL),(28,7145209,'1992-06-29 00:00:00',4,1,11,2009,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116164161216271431348631574112141964112',NULL,'9998',0.00,1,3,NULL),(28,7145225,'1993-09-22 00:00:00',4,1,11,2010,'F','N','CANTRO','FLORIANÓPOLIS','SC','124242241215372431479834575122610137122',1832,'270',64.99,1,3,NULL),(28,7145233,'1995-09-02 00:00:00',4,6,12,2011,'F','N','CENTRO','ITAJAÍ','SC','124242241215111431368814575122610117072',NULL,'1141',21.46,1,3,NULL),(28,7145241,'1995-04-03 00:00:00',2,1,12,2011,'F','N','CONSOLAÇÃO','URUBICI','SC','124241241115161431315315572224610121142',15800,'818',35.55,1,2,1),(28,7145250,'1989-10-26 00:00:00',4,1,11,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216375431238813575114121722122',6055,'270',53.74,1,3,NULL),(28,7145276,'1992-12-18 00:00:00',2,1,12,2010,'F','N','JARDIM LIMERANEA','LIMEIRA','SP','125252251216471431369619295122610162184',NULL,'9998',0.00,1,3,NULL),(28,7145284,'1993-10-24 00:00:00',4,1,12,2010,'F','N','CENTRO','S MARCOS','RS','120201201116131431236624285125610137122',11397,'9998',42.52,1,2,1),(28,7145292,'1994-05-26 00:00:00',4,1,12,2011,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241127141732333823245124610122057',NULL,'593',30.62,1,2,1),(28,7145314,'1993-05-26 00:00:00',4,8,12,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124241241217471421446611345124610127042',10742,'1006',44.21,4,3,NULL),(28,7145322,'1994-06-30 00:00:00',4,1,12,2011,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241215271411336879575124610167112',12444,'299',49.89,4,3,NULL),(28,7145330,'1991-04-30 00:00:00',4,1,12,2008,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124246241117372751458619595125223264185',12288,'271',50.11,1,3,NULL),(28,7145349,'1991-06-08 00:00:00',4,1,12,2009,'M','N','SOMBRIO','STO AMARO IMPERATRIZ','SC','124241241121373432326411571124610137052',NULL,'773',16.64,1,2,1),(28,7145357,'1990-07-12 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124201201417272431128879485124610138186',15249,'9998',45.15,1,3,NULL),(28,7145373,'1992-05-18 00:00:00',4,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241215575751474719582124121462182',561,'270',73.45,1,3,NULL),(28,7145390,'1993-01-11 00:00:00',4,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124242241215472431336619574122610113142',15539,'855',35.71,1,3,NULL),(28,7145403,'1991-10-05 00:00:00',4,1,6,2009,'M','N','SANTA CRUZ','IÇARA','SC','124241246417471411457314472122610127157',1864,'995',65.07,1,3,NULL),(28,7145411,'1992-02-13 00:00:00',2,1,11,2009,'M','N','CIDADE NOVA','PTO UNIÃO','SC','124242241216121431459812495122241532192',NULL,'9999',24.60,1,3,NULL),(28,7145420,'1992-08-01 00:00:00',2,1,12,2011,'F','N','VILA MARIA JOSÉ','GOIÂNIA','GO','109091097437141531533933345244610127042',19054,'9998',35.08,4,3,NULL),(28,7145438,'1993-04-18 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117271431126823381324610156052',17260,'1248',40.87,1,2,1),(28,7145446,'1987-05-17 00:00:00',4,1,12,2006,'F','N','LAGO NORTE','LG NORTE','DF','107072071216155211688839571124121364176',NULL,'9998',31.70,4,1,2),(28,7145454,'1993-08-20 00:00:00',4,5,11,2010,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215472431488612475122610147062',2352,'226',68.72,1,3,NULL),(28,7145462,'1992-07-10 00:00:00',2,9,12,2009,'M','N','SAGRADO C DE JESUS','LAGES','SC','124241241132132731626624592124610127047',8387,'505',50.57,1,2,1),(28,7145470,'1993-10-20 00:00:00',2,1,12,2010,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124253201216372431428859372124610123057',7365,'9998',50.56,1,3,NULL),(28,7145489,'1989-11-04 00:00:00',4,4,12,2008,'M','N','LÍDER','CHAPECÓ','SC','124241167117471451436619292122131567057',3659,'9998',58.96,3,2,1),(28,7145497,'1994-06-04 00:00:00',4,10,11,2011,'M','N','CENTRO','TUBARÃO','SC','124243241335111421656432245122610113143',13322,'809',48.52,1,3,NULL),(28,7145519,'1994-12-28 00:00:00',2,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124241241117131331323314572124610127047',NULL,'257',22.48,1,2,1),(28,7145527,'1995-05-15 00:00:00',2,3,12,2011,'F','N','MONTE ALEGRE','CAMBORIÚ','SC','124241241115271411433314575224610162072',15106,'49',45.39,1,2,1),(28,7145535,'1991-09-03 00:00:00',4,9,12,2008,'M','N','CORAL','LAGES','SC','124244241215474431436614575114123244097',9,'499',83.92,1,3,NULL),(28,7145560,'1993-06-02 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472441468934575112610142147',1316,'262',68.17,1,3,NULL),(28,7145578,'1993-01-28 00:00:00',4,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241211472431638619271122610167022',9838,'272',45.43,1,3,NULL),(28,7145586,'1994-07-01 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124243241215372531435632572112610142127',NULL,'737',42.50,1,3,NULL),(28,7145608,'1993-08-25 00:00:00',2,5,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124243241211371431446823345134610143152',7288,'995',50.69,1,3,NULL),(28,7145616,'1968-07-19 00:00:00',4,1,11,1985,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241113142431126649492344330266042',7276,'260',58.35,1,3,NULL),(28,7145624,'1993-04-06 00:00:00',2,4,11,2010,'F','N','PARQUE DEZ DE NOVEMB','MANAUS','AM','104241241417472431456734575124610133142',10002,'1191',46.38,1,3,NULL),(28,7145632,'1990-10-20 00:00:00',2,1,12,2008,'M','N','GAMBOA','GAROPABA','SC','124241241145272431444413141224122237117',9659,'607',48.34,1,2,1),(28,7145659,'1993-01-22 00:00:00',2,1,12,2010,'F','N','BAREIROS','S JOSÉ','SC','124242241215372431345314341122610124097',18367,'1118',37.73,1,3,NULL),(28,7145675,'1993-07-19 00:00:00',4,1,12,2010,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125131251215371731567712575122610167032',8202,'9998',56.78,1,3,NULL),(28,7145683,'1993-01-14 00:00:00',2,1,12,2011,'M','N','ROÇADO','S JOSÉ','SC','124243241117142431252624245122610168182',NULL,'733',NULL,1,3,NULL),(28,7145691,'1985-01-31 00:00:00',2,5,11,2002,'F','N','RECANTO VERDE','CRICIÚMA','SC','224241241146331441433451275122142446177',6864,'351',54.48,1,2,1),(28,7145705,'1995-01-31 00:00:00',2,26,12,2011,'M','N','INTERIOR','IRANI','SC','124241241116161431423316572322610167047',18288,'379',38.01,1,2,1),(28,7145713,'1993-04-23 00:00:00',2,1,12,2010,'F','N','MORRO DA BINA','BIGUAÇU','SC','124242241211272731469931581122232025142',8893,'63',47.94,1,3,NULL),(28,7145721,'1989-10-25 00:00:00',4,1,12,2007,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124204241215272431238811472122221437115',1162,'1022',73.14,1,3,NULL),(28,7145730,'1992-09-28 00:00:00',2,1,12,2010,'F','N','CARDOSO','BELO HORIZONTE','MG','113132131216471431458813575124610167077',4382,'9998',55.89,1,3,NULL),(28,7145748,'1992-11-15 00:00:00',2,1,6,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241247442141731523411242124610128182',NULL,'9999',18.62,1,3,NULL),(28,7145756,'1993-07-06 00:00:00',2,1,12,2011,'M','N','FORQUILHINAHS','S JOSÉ','SC','124241241116131431435514245124610142187',20072,'727',26.86,4,2,1),(28,7145764,'1994-04-02 00:00:00',4,1,11,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124244241215121431558712295122610126072',9824,'1022',45.91,1,3,NULL),(28,7145780,'1993-11-25 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215472431456934575124610131147',3643,'1048',60.68,1,3,NULL),(28,7145802,'1994-09-10 00:00:00',4,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241115151232449713572124610138017',NULL,'267',28.92,3,3,NULL),(28,7145810,'1983-12-07 00:00:00',2,1,11,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124071077116151431359829475112143218037',NULL,'9998',0.00,1,3,NULL),(28,7145829,'1994-08-21 00:00:00',4,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124241241115151431326729572114610163042',19991,'307',28.19,2,1,1),(28,7145845,'1994-01-27 00:00:00',4,1,10,2011,'F','N','PARQUE ALTO TAQUARAL','CAMPINAS','SP','125252251217111431549822575122610166057',3280,'9998',58.94,1,3,NULL),(28,7145853,'1994-10-25 00:00:00',4,1,12,2011,'F','N','CENTRO','STA MARIANA','PR','116162161216161711428871575123610164142',NULL,'9998',0.00,1,3,NULL),(28,7145861,'1994-08-18 00:00:00',4,23,12,2011,'M','N','VIEIRA','JARAGUÁ SUL','SC','124241241125141731324519245121610136147',11702,'427',40.71,1,2,1),(28,7145896,'1994-05-31 00:00:00',4,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431459914572122610132095',9386,'1198',46.26,1,3,NULL),(28,7145900,'1993-09-26 00:00:00',2,1,12,2011,'M','N','JARDIM VALERI','REGISTRO','SP','625252251216111431456312575122610164053',NULL,'9998',24.71,3,3,NULL),(28,7145918,'1994-09-13 00:00:00',4,1,11,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124242241217111431346614575124610134142',3754,'944',60.92,1,3,NULL),(28,7145926,'1994-12-06 00:00:00',4,9,12,2011,'F','N','CENTRO','LAGES','SC','124242241212151431339813575125610134147',7744,'499',50.42,1,3,NULL),(28,7145942,'1992-05-08 00:00:00',2,1,6,2011,'M','N','BARREIROS','S JOSÉ','SC','124241247136131431423574285124610135142',10467,'9999',45.45,1,2,1),(28,7145950,'1993-07-27 00:00:00',4,1,11,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215372431567933575114610126192',5267,'270',55.98,4,3,NULL),(28,7145969,'1994-08-14 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115472532528611572124610134147',NULL,'257',35.19,4,2,1),(28,7145977,'1991-11-10 00:00:00',4,1,12,2011,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242241116271431449934395124610164067',NULL,'293',20.38,4,3,NULL),(28,7145985,'1992-05-31 00:00:00',4,1,10,2009,'F','N','JAQUELINE','BELO HORIZONTE','MG','113132131216571411453923275124610116187',NULL,'9998',0.00,2,3,NULL),(28,7145993,'1994-09-13 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','107073071416111411658933575124610127182',13939,'9998',36.79,1,3,NULL),(28,7146000,'1979-08-20 00:00:00',4,1,12,1998,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124251258622113511114642121331122317175',13649,'9998',47.96,1,3,NULL),(28,7146035,'1992-04-14 00:00:00',4,1,12,2009,'F','N','PINHEIROS','S PAULO','SP','125252251214571431458814585114610162141',NULL,'9998',0.00,1,3,NULL),(28,7146043,'1996-02-23 00:00:00',4,8,12,2012,'F','S','BUCAREN','JOINVILLE','SC','124242241216111431463924475122610162142',NULL,'1063',50.52,1,3,NULL),(28,7146051,'1994-08-07 00:00:00',4,1,12,2011,'M','N','RIO TAVAREZ','FLORIANÓPOLIS','SC','124244241217111431236623585124610162182',2691,'1022',61.57,1,3,NULL),(28,7146078,'1989-05-15 00:00:00',4,15,12,2006,'M','N','BELÉM NOVO','PTO ALEGRE','RS','120202201217271441468931115125140264112',12860,'9998',49.21,1,3,NULL),(28,7146086,'1994-08-25 00:00:00',2,1,12,2011,'M','N','POTECAS','S JOSÉ','SC','124244241415131431638632345124610122047',NULL,'727',17.83,1,3,NULL),(28,7146094,'1965-11-28 00:00:00',2,1,12,1986,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224241241221164412368543235332331066042',NULL,'270',25.13,2,1,2),(28,7146108,'1993-05-05 00:00:00',4,1,11,2010,'F','N','VILA DAS BELEZAS','S PAULO','SP','125252251217472431568911471114610163071',2772,'9998',60.95,1,3,NULL),(28,7146116,'1994-08-25 00:00:00',2,22,12,2011,'F','N','ESPRAIADO','NOVA TRENTO','SC','124241241115471431423311185124610121092',NULL,'574',26.82,1,2,1),(28,7146132,'1995-09-09 00:00:00',4,1,2,2012,'F','N','CENTRO','FRAIBURGO','SC','124242241216162451559813575122610128182',15705,'885',44.28,1,3,NULL),(28,7146159,'1991-07-23 00:00:00',2,1,12,2009,'M','N','SANTA CATARINA','NOVA PRATA','RS','120201202117471431623341311124610118187',NULL,'9998',0.00,1,2,1),(28,7146167,'1993-12-23 00:00:00',2,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241248115131221656633585122610117062',NULL,'298',18.19,4,2,1),(28,7146175,'1993-03-19 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241211472431448832575124610111012',16116,'259',35.42,1,3,NULL),(28,7146183,'1991-05-27 00:00:00',4,4,12,2008,'F','N','CANADA','CASCAVEL','PR','116163161216572411346923472122610163147',1863,'9998',65.71,1,3,NULL),(28,7146205,'1993-04-04 00:00:00',4,2,10,2010,'M','N','COLONINHA','GASPAR','SC','124242241215112431456612575114131424042',6418,'855',59.84,1,3,NULL),(28,7146213,'1994-12-29 00:00:00',2,4,12,2011,'M','N','CENTRO','SUL BRASIL','SC','124241241146161431458913345122610121052',5677,'775',56.96,1,2,1),(28,7146221,'1994-06-06 00:00:00',4,2,12,2011,'F','N','VELHA','BLUMENAU','SC','124243241117111431347863575122610127127',8307,'88',47.98,1,3,NULL),(28,7146230,'1994-05-20 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112731458823575124610133182',14915,'1022',45.79,1,3,NULL),(28,7146248,'1988-02-13 00:00:00',4,8,12,2005,'M','N','JARDIM AMÉRICA','GOIÂNIA','GO','109092091216271432566639245122141463182',NULL,'9998',0.00,1,3,NULL),(28,7146256,'1992-02-09 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215273431378921576112121444182',1827,'262',69.74,1,3,NULL),(28,7146264,'1990-01-16 00:00:00',4,1,12,2008,'M','N','FUNDOS','BIGUAÇU','SC','124241248115151411323579441121610148172',NULL,'65',0.00,1,2,1),(28,7146272,'1991-04-01 00:00:00',4,1,11,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241213274421238811592122230264191',8190,'270',56.80,1,3,NULL),(28,7146280,'1991-05-29 00:00:00',4,1,12,2008,'F','N','BOSQUE DE BARÃO','CAMPINAS','SP','125252251216571431357811571112142962097',531,'9998',71.64,1,3,NULL),(28,7146299,'1994-04-09 00:00:00',2,2,12,2011,'F','N','CENTRO','GUARAPUAVA','PR','116162161415271751468813575122610148092',NULL,'9998',0.00,1,3,NULL),(28,7146302,'1991-09-18 00:00:00',4,1,12,2009,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124251251235153431346614445134221164015',1981,'9998',61.35,1,3,NULL),(28,7146310,'1994-08-26 00:00:00',2,10,11,2011,'F','N','SANTA AUGUSTA','BRAÇO NORTE','SC','124243241215111451426611285122610135092',NULL,'102',15.24,1,3,NULL),(28,7146329,'1987-11-10 00:00:00',2,15,11,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241127274431436939575124223264147',NULL,'641',0.00,1,2,1),(28,7146337,'1987-09-17 00:00:00',4,5,12,2005,'F','N','SANTA BARBARA','CRICIÚMA','SC','124241244116132411636619245122131326147',NULL,'228',30.75,1,2,1),(28,7146345,'1994-03-21 00:00:00',2,1,12,2011,'F','N','BETÂNIA','ANGELINA','SC','124241241115131321634314572324610144032',NULL,'17',18.64,1,2,1),(28,7146388,'1993-02-13 00:00:00',4,3,12,2009,'F','N','CENTRO','CURITIBA','PR','124242241215574751443639575122610162182',208,'1038',76.94,1,3,NULL),(28,7146396,'1976-11-14 00:00:00',2,1,11,2005,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','224241247116151441253353385122330234093',NULL,'9999',20.02,1,3,NULL),(28,7146426,'1994-11-20 00:00:00',4,1,12,2011,'M','N','NSA SRA DO ROSARIO','S JOSÉ','SC','124241241215111432636624575124610127097',NULL,'1075',16.18,2,1,2),(28,7146434,'1994-08-30 00:00:00',4,1,12,2011,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241115371432422634375121610168182',NULL,'941',32.43,3,3,NULL),(28,7146450,'1994-08-22 00:00:00',4,1,12,2011,'F','N','COLONIA HOLANDESA','ARAPOTI','PR','116162161216161731545815572122610133147',5854,'9998',55.47,1,3,NULL),(28,7146469,'1994-12-06 00:00:00',2,7,11,2011,'M','N','CENTRO','CATANDUVAS','SC','124244248415271411355723575122610117062',8703,'454',49.30,1,3,NULL),(28,7146477,'1992-03-07 00:00:00',2,7,12,2009,'F','N','CENTRO','ÁGUA DOCE','SC','124241241116132331225579272244610163187',NULL,'539',33.44,1,2,1),(28,7146485,'1993-06-07 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241215471431348831575122610141182',4443,'983',58.25,1,3,NULL),(28,7146493,'1994-11-07 00:00:00',4,6,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431237823572125610168187',2399,'1038',63.02,1,3,NULL),(28,7146507,'1992-01-16 00:00:00',4,1,12,2009,'F','N','TATUAPÉ','S PAULO','SP','125252251217573741647714575115610144147',9916,'9998',45.10,1,3,NULL),(28,7146523,'1992-02-01 00:00:00',4,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124241241145372431426622375224222326092',NULL,'592',33.59,1,2,1),(28,7146531,'1995-04-29 00:00:00',4,1,12,2011,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242241215371431538914575122610127042',4392,'259',59.34,2,1,2),(28,7146566,'1993-02-19 00:00:00',4,1,12,2010,'F','N','JD COLINAS','S JOSÉ CAMPOS','SP','125252251217371431478934575112610133077',NULL,'9998',26.36,1,3,NULL),(28,7146574,'1994-05-12 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115371731416519275124610123057',19204,'592',25.84,1,2,1),(28,7146582,'1992-12-15 00:00:00',2,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241126131111633739272114610137045',20060,'287',27.05,1,2,1),(28,7146604,'1995-12-17 00:00:00',4,22,12,2012,'F','S','RIO BRANCO','BRUSQUE','SC','124242241215111631443332575122610127142',NULL,'109',0.00,1,3,NULL),(28,7146647,'1994-02-06 00:00:00',4,1,12,2011,'F','N','JD ROSA DE FRANÇA','GUARULHOS','SP','125252253216211431448811595122610122016',16368,'9998',32.37,1,3,NULL),(28,7146655,'1992-01-05 00:00:00',2,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124132131212571431468816475124610122092',16093,'266',35.06,1,3,NULL),(28,7146663,'1993-06-01 00:00:00',4,4,12,2009,'M','N','CENTRO','ABELARDO LUZ','SC','124243241114371411437632244124610167057',7830,'4',49.85,1,3,NULL),(28,7146671,'1994-05-26 00:00:00',4,8,12,2011,'M','N','IRIRIU','JOINVILLE','SC','124243241335111131346414575124610124091',18726,'1016',36.37,1,3,NULL),(28,7146698,'1993-12-15 00:00:00',4,24,11,2011,'M','N','CENTRO','RIO SUL','SC','124242241215141431454512341125610137012',15523,'654',34.07,1,3,NULL),(28,7146701,'1992-09-16 00:00:00',2,1,12,2010,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241117271431543634242124610124047',12545,'257',49.72,1,2,1),(28,7146710,'1994-10-13 00:00:00',4,2,12,2011,'M','N','VELHA','BLUMENAU','SC','124241246217141431338814145124233227093',10777,'1018',42.47,1,3,NULL),(28,7146728,'1994-06-02 00:00:00',5,1,12,2011,'F','N','FLORESTA','GRAMADO','RS','120202201217151431436721575112610167112',12980,'9998',49.02,1,3,NULL),(28,7146736,'1993-09-21 00:00:00',2,15,12,2010,'F','N','LINHA BECKER','TIMBÉ SUL','SC','124241242116112431423336572123610144047',NULL,'690',0.00,1,3,NULL),(28,7146744,'1986-11-30 00:00:00',2,1,12,2003,'M','N','CANUDOS','ANTÔNIO CARLOS','SC','124241241116374421542344145123610162077',10837,'21',45.08,1,2,1),(28,7146752,'1992-10-19 00:00:00',4,22,12,2010,'F','N','JARDIM BELA VISTA','OSASCO','SP','125252251217471431469814575115610124147',8601,'9998',46.64,1,3,NULL),(28,7146760,'1985-02-12 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241126273421431923145122133267042',13552,'329',48.15,1,2,1),(28,7146779,'1994-08-28 00:00:00',4,1,11,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215112431568832575124610164052',6735,'270',53.75,1,3,NULL),(28,7146787,'1991-08-04 00:00:00',2,1,12,2008,'F','N','PINHEIROS','S PAULO','SP','125253251116131711568833571124141942147',NULL,'9998',0.00,4,3,NULL),(28,7146795,'1992-10-20 00:00:00',4,1,12,2011,'M','N','JARDIM ARPOADOR','S PAULO','SP','125252253227141431466623245124610117182',18695,'9998',36.48,1,3,NULL),(28,7146817,'1993-02-22 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124241241117141431324563345124610165142',NULL,'733',16.50,1,2,1),(28,7146825,'1994-06-21 00:00:00',2,8,12,2011,'F','N','CENTRO','PIÊN','PR','116161161114131731226433262224610115067',NULL,'9998',0.00,1,3,NULL),(28,7146833,'1993-06-07 00:00:00',2,1,11,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215141721379632215122610114076',18047,'1198',38.75,1,3,NULL),(28,7146841,'1992-05-22 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242247412131231337714372114610134187',NULL,'9999',19.60,1,3,NULL),(28,7146850,'1992-12-18 00:00:00',4,8,12,2009,'M','N','CENTRO','LONDRINA','PR','116113111216572431274511575134610162097',3537,'9998',57.65,1,3,NULL),(28,7146868,'1988-08-30 00:00:00',4,26,12,2005,'F','N','VISTA ALEGRE','CONCÓRDIA','SC','124241241116472711434613445125610137052',NULL,'192',17.07,1,3,NULL),(28,7146884,'1992-01-16 00:00:00',4,3,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124163161114272411224432375125610164127',1853,'9998',67.69,1,3,NULL),(28,7146892,'1993-03-16 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241232372431488812375115610162096',5502,'262',53.79,1,3,NULL),(28,7146906,'1993-06-18 00:00:00',4,8,12,2011,'M','N','AMERICA','JOINVILLE','SC','124241241217111431424424572115610137042',18475,'931',37.37,4,3,NULL),(28,7146914,'1992-07-06 00:00:00',4,1,12,2009,'M','N','BELA VISTA','S JOSÉ','SC','124244241132373431446814245132121267043',16492,'257',42.68,1,3,NULL),(28,7146922,'1995-07-01 00:00:00',4,8,11,2011,'F','N','PIRABEIRABA','JOINVILLE','SC','124161241315421741346824595114610134112',NULL,'1016',0.00,1,3,NULL),(28,7146930,'1993-11-17 00:00:00',4,1,11,2011,'M','N','NOVA PIRACICABA','PIRACICABA','SP','125252251216121431368813575122610147072',6728,'9998',51.41,1,3,NULL),(28,7146957,'1992-03-18 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124143241112472411228612472325610137097',9359,'307',47.94,1,3,NULL),(28,7146973,'1994-01-29 00:00:00',4,1,12,2011,'M','N','ROÇADO','S JOSÉ','SC','124243241215112411246824375124610122092',8015,'1022',50.70,4,3,NULL),(28,7146981,'1994-01-06 00:00:00',4,1,12,2011,'M','N','ARIRIÚ','PALHOÇA','SC','124241241115151221434633585124610134175',NULL,'592',16.36,1,2,1),(28,7146990,'1995-04-10 00:00:00',4,1,11,2011,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215111731679913575112611062072',16981,'270',41.59,1,3,NULL),(28,7147007,'1993-01-04 00:00:00',4,1,12,2010,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241216473431589931575112610126142',2155,'262',64.81,1,3,NULL),(28,7147015,'1994-04-10 00:00:00',4,1,11,2011,'M','N','PLANALTO PAULISTA','S PAULO','SP','125252251237111431289814445122610164182',NULL,'9998',12.15,1,3,NULL),(28,7147031,'1988-05-26 00:00:00',4,1,12,2005,'F','N','IPIRANGA','S JOSÉ','SC','124203247635572431347622445112141362197',7283,'9998',58.34,4,3,NULL),(28,7147040,'1995-02-26 00:00:00',4,10,10,2011,'M','N','CENTRO','TUBARÃO','SC','124242241217121431369613575122610147072',11371,'807',51.52,1,3,NULL),(28,7147074,'1993-08-04 00:00:00',4,1,11,2010,'F','N','CENTRO','CPO BELO SUL','SC','124244241215472431638713592124610167142',1765,'1207',66.18,4,3,NULL),(28,7147082,'1993-11-02 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241111472421623621312234610134057',15718,'281',36.96,2,1,1),(28,7147090,'1993-02-14 00:00:00',2,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116142411413624295114610127047',NULL,'257',20.17,4,2,1),(28,7147104,'1994-05-27 00:00:00',2,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241217372431558612575122610164045',7050,'723',49.91,1,3,NULL),(28,7147112,'1982-11-06 00:00:00',2,1,3,2007,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241247131471421123344441234610162187',9015,'9999',50.42,1,2,1),(28,7147120,'1993-01-08 00:00:00',4,1,12,2010,'F','N','VILA INDEPENDÊNCIA','PIRACICABA','SP','125252251217471431248711575122610122181',2165,'9998',61.81,1,3,NULL),(28,7147139,'1993-09-30 00:00:00',2,1,12,2010,'F','N','ARREIAS','S JOSÉ','SC','124242241111373431536314574124610122072',15402,'738',38.05,1,3,NULL),(28,7147147,'1994-12-12 00:00:00',4,6,12,2011,'F','N','CENTRO','ITAJAÍ','SC','124131241117371431428663275124610164192',15216,'401',37.27,1,2,1),(28,7147155,'1976-01-20 00:00:00',4,1,12,1993,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216575411243829485124333225147',4768,'806',56.89,1,3,NULL),(28,7147163,'1994-05-12 00:00:00',4,1,11,2011,'F','N','VILA MORSE','S PAULO','SP','125252251216111431338711597114610113147',NULL,'9998',0.00,3,3,NULL),(28,7147171,'1994-02-06 00:00:00',4,1,12,2011,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241115371431335632342124610168182',13728,'267',39.56,1,2,1),(28,7147198,'1993-05-23 00:00:00',2,1,12,2010,'M','N','CAMBUÍ','CAMPINAS','SP','125252251213371411438816574111610167042',16953,'9998',41.64,1,3,NULL),(28,7147201,'1995-07-18 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241235211431444932515122610115092',17882,'262',39.25,1,3,NULL),(28,7147210,'1995-04-10 00:00:00',4,1,12,2012,'F','S','CENTRO','TIJUCAS','SC','124242241215161311459813236122610117117',NULL,'270',47.16,1,3,NULL),(28,7147228,'1993-05-21 00:00:00',4,2,11,2010,'M','N','BOA VISTA','BLUMENAU','SC','124242241215372431369912575122610117052',7491,'87',52.47,1,3,NULL),(28,7147252,'1994-02-22 00:00:00',4,4,12,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244242247473431346764575124610162052',392,'836',72.29,1,3,NULL),(28,7147260,'1994-08-05 00:00:00',2,10,12,2011,'M','N','VILA NOVA','IMBITUBA','SC','624241241111371731333633375124610114042',16836,'359',33.18,1,2,1),(28,7147279,'1994-04-14 00:00:00',4,5,12,2011,'F','N','CENTRO','SIDERÓPOLIS','SC','124242241216111431466714575124610116052',8740,'995',47.95,1,3,NULL),(28,7147287,'1984-11-27 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241226472431244329385124331223097',3180,'885',62.21,1,3,NULL),(28,7147309,'1992-10-26 00:00:00',4,1,12,2010,'M','N','CENTRO','IBIÚNA','SP','125253251216471431576631296225610164122',NULL,'9998',0.00,3,3,NULL),(28,7147317,'1991-12-02 00:00:00',4,1,12,2009,'M','N','NOVO MUNDO','CURITIBA','PR','116163161117271431577923282112610134147',NULL,'9998',0.00,1,3,NULL),(28,7147325,'1994-09-20 00:00:00',4,1,12,2011,'F','N','FACHINAL PRETO','RANCHO QUEIMADO','SC','124241241135141431426615282322610127042',17815,'649',31.35,1,2,1),(28,7147333,'1994-09-30 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217122441388814575122610164042',230,'270',77.15,1,3,NULL),(28,7147341,'1993-03-07 00:00:00',4,1,11,2010,'M','N','VILA BURU','SALTO','SP','125252251215472431458833375122610167047',4054,'9998',56.72,3,3,NULL),(28,7147350,'1993-06-18 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241315472431538732571124610134117',3358,'267',60.30,1,3,NULL),(28,7147368,'1992-12-11 00:00:00',4,1,12,2009,'F','N','ESTANCIA DAS FLORES','JAGUARIÚNA','SP','125132071216573431478714575124610121077',299,'9998',76.68,1,3,NULL),(28,7147384,'1993-02-05 00:00:00',4,1,11,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215471331559811572122610164142',16031,'1169',43.64,1,3,NULL),(28,7147406,'1995-04-28 00:00:00',2,15,12,2011,'F','N','GUARITA','SOMBRIO','SC','124244241217161431433312341124610143077',12115,'770',40.85,1,3,NULL),(28,7147430,'1993-05-29 00:00:00',4,1,12,2010,'F','N','CENTRO','VITÓRIA','ES','108082081215471431577932572112610166186',556,'9998',70.99,1,3,NULL),(28,7147449,'1995-06-15 00:00:00',4,24,12,2012,'M','S','CENTRO','TAIÓ','SC','124242241215111431337932575124610126052',NULL,'654',37.46,1,3,NULL),(28,7147457,'1994-12-11 00:00:00',2,8,12,2011,'F','N','AGUA BRANCA','S FRANCISCO SUL','SC','124241241215131431466934575122610112192',16610,'992',30.52,1,3,NULL),(28,7147465,'1991-11-07 00:00:00',5,5,12,2008,'F','N','LINHA SERAFIM','MRO FUMAÇA','SC','124241244146131731433339292233231355147',NULL,'567',32.68,1,3,NULL),(28,7147473,'1986-03-15 00:00:00',2,1,12,2003,'F','N','CAMPINAS','S JOSÉ','SC','124242241436275431466923395124222168197',9620,'1036',54.33,1,3,NULL),(28,7147481,'1994-06-04 00:00:00',4,9,11,2011,'M','N','SAGRADO','LAGES','SC','124244248215111511459913592112610127017',NULL,'499',24.40,1,3,NULL),(28,7147490,'1993-12-21 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124241241215111431226624572124610128192',10027,'1022',46.53,4,3,NULL),(28,7147503,'1994-09-26 00:00:00',2,1,12,2011,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241115131731428714332324610117077',16559,'358',34.97,4,2,1),(28,7147511,'1993-09-24 00:00:00',2,5,12,2011,'F','N','CAMPOS ELISEOS','S PAULO','SP','125252258217371231658822575124610131057',NULL,'9998',0.00,1,3,NULL),(28,7147546,'1985-01-20 00:00:00',2,1,12,2002,'M','N','GANCHOS DE FORA','GOV CELSO RAMOS','SC','124241241127142431433319345124610122112',NULL,'329',25.08,1,2,1),(28,7147554,'1988-09-05 00:00:00',4,24,12,2006,'M','N','TABOÃO','RIO SUL','SC','124242231212111621434834345135130227052',NULL,'663',0.00,1,3,NULL),(28,7147562,'1995-08-19 00:00:00',4,16,12,2012,'F','S','CENTRO','CURITIBANOS','SC','124243241116151331236763375124610122192',NULL,'1130',0.00,1,3,NULL),(28,7147570,'1983-03-13 00:00:00',4,1,12,2002,'M','N','CAMPINAS','S JOSÉ','SC','124242241437151411466923315124333262197',10737,'736',52.53,1,3,NULL),(28,7147589,'1994-02-08 00:00:00',4,1,11,2011,'M','N','JARDIM AMÉRICA','GOIÂNIA','GO','109092091215111431259924575122610132182',585,'9998',73.24,4,3,NULL),(28,7147597,'1993-05-20 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241216372431436624445124610142041',14965,'1022',45.69,1,3,NULL),(28,7147600,'1994-03-06 00:00:00',2,10,12,2011,'F','N','MONTE CASTELO','TUBARÃO','SC','124241241116151431433924245124610123147',17442,'1034',32.44,1,3,NULL),(28,7147619,'1992-08-22 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241131432721332329392124610127012',15814,'292',35.24,2,1,1),(28,7147627,'1984-11-17 00:00:00',4,8,12,2002,'F','N','CENTRO','CURITIBA','PR','116042041215571431479923575112343262167',4511,'9998',56.36,1,3,NULL),(28,7147635,'1994-07-04 00:00:00',2,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215112331569713595124610137057',7977,'1022',51.46,1,3,NULL),(28,7147651,'1992-04-16 00:00:00',4,2,12,2009,'M','N','POMPEIA','S PAULO','SP','125252251216571431339719575124610157047',13418,'9998',48.36,1,3,NULL),(28,7147660,'1992-09-03 00:00:00',4,5,12,2010,'M','N','JARDIN ELIZABETE','IÇARA','SC','124241241146332431424311245124610122017',17406,'1005',40.51,1,2,1),(28,7147678,'1991-07-24 00:00:00',2,15,12,2008,'M','N','QUARTA LINHA','CRICIÚMA','SC','124241246217131431554612345122610137077',16666,'995',42.27,1,3,NULL),(28,7147686,'1994-12-07 00:00:00',2,1,12,2011,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124242241111371432589933575124610166042',6325,'271',55.25,1,3,NULL),(28,7147716,'1990-12-08 00:00:00',4,5,5,2009,'M','N','SANGÃO','CRICIÚMA','SC','124241248627131411534714285124133217187',NULL,'9999',32.49,1,3,NULL),(28,7147732,'1995-08-28 00:00:00',4,1,12,2012,'M','S','CAMPINAS','S JOSÉ','SC','124242241216111431268923575122610127052',NULL,'737',34.40,1,3,NULL),(28,7147740,'1991-10-07 00:00:00',4,1,11,2008,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251215471712457732575112141447032',5095,'9998',55.23,1,3,NULL),(28,7147759,'1991-03-01 00:00:00',4,24,12,2008,'M','N','SERRA DA GARGANTA','STA TEREZINHA','SC','124241241126161431434336355123610134047',NULL,'691',0.00,1,2,1),(28,7147767,'1975-09-18 00:00:00',2,1,7,2009,'M','N','SERRARIA','S JOSÉ','SC','624243247326132421523348182122610117057',NULL,'487',28.64,1,3,NULL),(28,7147775,'1994-03-22 00:00:00',4,1,11,2011,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241217122431249921275122610122182',3586,'270',56.73,1,3,NULL),(28,7147783,'1992-07-24 00:00:00',2,8,12,2009,'M','N','BOEHMERWALD','JOINVILLE','SC','124241246217371431566933445122610167062',17913,'1006',39.17,1,3,NULL),(28,7147791,'1993-07-23 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117371731423329572124610137055',NULL,'287',18.60,2,1,1),(28,7147813,'1994-12-18 00:00:00',4,1,12,2011,'F','N','AREIAS DE MACACU','GAROPABA','SC','124241241125132431423311345124610162172',NULL,'322',23.12,1,2,1),(28,7147821,'1994-08-19 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215211431224724594125610127092',14569,'210',37.46,1,3,NULL),(28,7147830,'1994-02-04 00:00:00',4,1,11,2011,'M','N','ROÇADO','S JOSÉ','SC','124244241215111431488819575111610117182',3482,'270',61.34,1,3,NULL),(28,7147848,'1989-08-25 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201116132731323864342114610128187',NULL,'9998',28.84,1,2,1),(28,7147856,'1988-05-19 00:00:00',2,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241117371721425649295114140222182',13465,'257',48.30,1,3,NULL),(28,7147872,'1993-12-22 00:00:00',4,23,12,2011,'M','N','CENTRO','JARAGUÁ SUL','SC','124241246115111431335532175122610127042',NULL,'1061',0.00,1,3,NULL),(28,7147880,'1993-04-26 00:00:00',2,1,11,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115271431457313576124610166147',5700,'271',55.66,1,2,1),(28,7147902,'1994-01-28 00:00:00',4,1,12,2011,'F','N','CENTRO','BIGUAÇU','SC','124242241215141441365923595125610164192',18997,'63',35.34,1,3,NULL),(28,7147910,'1993-03-05 00:00:00',2,1,12,2010,'M','N','BELA VISTA I','S JOSÉ','SC','124241241416272131346763445124610167032',NULL,'944',25.90,1,3,NULL),(28,7147929,'1994-04-12 00:00:00',2,15,12,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124242241215321432345314295122610168057',NULL,'26',36.05,1,3,NULL),(28,7147937,'1995-05-19 00:00:00',4,1,12,2012,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111731237722571122610138195',NULL,'262',24.96,1,3,NULL),(28,7147953,'1992-09-05 00:00:00',4,1,12,2010,'M','N','JARDIM LUANDA','S PAULO','SP','125252251217471711369911575124610137017',1837,'9998',62.94,1,3,NULL),(28,7147961,'1993-06-24 00:00:00',4,4,12,2010,'F','N','SANTANA','PTO ALEGRE','RS','120243241216472431246619575124610142197',100,'185',79.48,1,3,NULL),(28,7147970,'1994-11-23 00:00:00',4,2,11,2011,'M','N','VELHA','BLUMENAU','SC','124242241215121431479514595112610142142',NULL,'855',31.39,1,3,NULL),(28,7147988,'1995-01-02 00:00:00',4,1,11,2011,'M','N','JURERÊ INTERNACIONA','FLORIANÓPOLIS','SC','124242244215111411333632572112610124147',9987,'270',45.02,1,3,NULL),(28,7148003,'1993-12-18 00:00:00',2,8,12,2011,'F','N','CENTRO','GUARAPUAVA','PR','116162161216131431659931575122610124072',18151,'9998',38.42,1,3,NULL),(28,7148011,'1994-08-07 00:00:00',4,1,12,2011,'F','N','CENTRO','S PEDRO ALCÂNTARA','SC','124241241235111431435514575124610126017',7098,'988',51.33,1,3,NULL),(28,7148020,'1992-12-10 00:00:00',4,1,12,2010,'M','N','CENTRO','STO ANDRÉ','SP','125252251217471331458814475122610167057',2009,'9998',62.68,1,3,NULL),(28,7148038,'1994-07-10 00:00:00',2,1,12,2011,'M','N','TREZE DE JULHO','ARACAJU','SE','126262261216111431589934575122610164052',3128,'9998',66.55,1,3,NULL),(28,7148046,'1995-08-31 00:00:00',4,5,12,2010,'M','N','CENTRO','SIDERÓPOLIS','SC','124242241215111431478814475122610128122',NULL,'226',38.87,1,3,NULL),(28,7148054,'1993-12-15 00:00:00',4,1,12,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216372331488832595112613228073',11747,'262',43.35,1,3,NULL),(28,7148062,'1994-01-30 00:00:00',4,1,12,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216111431546323575122610127077',17809,'272',39.44,1,3,NULL),(28,7148070,'1988-12-18 00:00:00',2,1,12,2005,'M','N','JARDIM PENFIGO','CPO GRANDE','MS','112121121316151411334623335123142962052',NULL,'9998',0.00,4,3,NULL),(28,7148097,'1991-02-14 00:00:00',4,1,12,2009,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241215471751446629495114610167062',10080,'270',45.83,1,3,NULL),(28,7148119,'1992-11-11 00:00:00',2,1,12,2009,'F','N','SANGA GRANDE','JAGUARUNA','SC','124241241125374731433435375124610161142',NULL,'421',26.77,1,2,1),(28,7148127,'1994-07-03 00:00:00',2,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124251241135131431324611245124610127142',NULL,'289',11.19,1,2,1),(28,7148135,'1994-02-26 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124243241211111431443539395122610132092',NULL,'976',27.72,1,3,NULL),(28,7148143,'1994-08-19 00:00:00',4,1,11,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215111431189913575124610144042',1106,'270',67.49,1,3,NULL),(28,7148151,'1993-01-18 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124282281415271431389923571124610167072',2024,'9998',63.61,4,3,NULL),(28,7148186,'1985-02-23 00:00:00',2,1,6,2003,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241112232431335414442134130821187',17609,'306',40.01,1,2,1),(28,7148194,'1993-01-08 00:00:00',2,3,11,2011,'M','N','XAXIM','CURITIBA','PR','116163163117371431337833572124610164097',558,'9998',74.57,1,3,NULL),(28,7148208,'1980-12-27 00:00:00',2,1,12,1999,'F','N','JARDIM MARAVILHA','GUARUJÁ','SP','125251253217572751443319485114610133182',8465,'9998',49.39,2,3,NULL),(28,7148216,'1993-12-10 00:00:00',2,1,11,2011,'M','N','URIAS MAGALHÃES','GOIÂNIA','GO','109092091215121431457724575122610127052',461,'9998',72.18,1,3,NULL),(28,7148232,'1993-07-23 00:00:00',4,17,12,2010,'M','N','VILA NOVA','MAFRA','SC','124241241216462431459933575112610127047',6535,'541',51.04,1,3,NULL),(28,7148240,'1994-10-13 00:00:00',2,23,12,2011,'M','N','NOVA BRASÍLIA','JARAGUÁ SUL','SC','124242241215111431356934475122610147011',15448,'1174',34.54,1,3,NULL),(28,7148259,'1994-08-12 00:00:00',2,22,12,2011,'M','N','AZAMBUJA','BRUSQUE','SC','124242248215111421534351572122610137042',8658,'109',47.48,1,3,NULL),(28,7148267,'1994-06-28 00:00:00',4,16,12,2011,'M','N','INTERIOR','CAMPOS NOVOS','SC','124241241115161431437516155124610137047',10606,'140',44.21,1,3,NULL),(28,7148275,'1994-09-20 00:00:00',4,4,12,2011,'M','N','CENTRO','SAUDADES','SC','124242241215111441448911575122610144192',7256,'1070',48.91,1,3,NULL),(28,7148291,'1994-03-27 00:00:00',4,10,12,2011,'M','N','MAR GROSSO','LAGUNA','SC','124242241215131231528711582122610122192',3892,'525',59.23,1,3,NULL),(28,7148305,'1994-08-18 00:00:00',2,8,11,2011,'M','N','ITAUM','JOINVILLE','SC','124241241215111431435714575124610124012',NULL,'489',30.27,1,3,NULL),(28,7148321,'1993-10-08 00:00:00',4,1,10,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215574431458811494124610162142',94,'213',79.63,1,3,NULL),(28,7148364,'1993-05-19 00:00:00',4,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215472411339832575124610131142',11071,'226',42.82,1,3,NULL),(28,7148372,'1993-12-28 00:00:00',2,9,11,2011,'F','N','PRADINHO','S JOAQUIM','SC','124242241215471431326923575125610127142',7006,'721',53.04,1,3,NULL),(28,7148380,'1992-09-10 00:00:00',2,1,12,2010,'F','N','SAO MARCOS','MACAÉ','RJ','121212211236111711348821571124610122117',5353,'9998',52.91,1,3,NULL),(28,7148399,'1988-06-12 00:00:00',1,1,12,2006,'F','N','CENTRO','S LEOPOLDO','RS','120202201211271411226814471125140262057',12329,'9998',50.04,1,3,NULL),(28,7148402,'1992-05-13 00:00:00',4,1,12,2009,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217373431469933575124221427042',1253,'262',67.99,1,3,NULL),(28,7148410,'1994-06-27 00:00:00',4,22,11,2011,'M','N','SAO LUIZ','BRUSQUE','SC','124242241215271431467812245122610127092',14005,'107',47.40,1,3,NULL),(28,7148429,'1994-07-12 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472731656611575124610148145',8781,'1048',47.76,1,3,NULL),(28,7148437,'1994-04-06 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471431559513575112610147041',12358,'1197',50.00,1,3,NULL),(28,7148445,'1995-07-30 00:00:00',2,15,12,2011,'M','N','SÃO LUIZ','SOMBRIO','SC','124242251215131431549813575125610137182',4384,'770',57.19,1,3,NULL),(28,7148453,'1994-11-21 00:00:00',4,1,11,2011,'M','N','CENTRO','NOVA FRIBURGO','RJ','121212214217111231476411475114610165012',5882,'9998',60.77,1,3,NULL),(28,7148461,'1994-01-11 00:00:00',2,23,12,2011,'F','N','AGUA VERDE','JARAGUÁ SUL','SC','124241241217111532427621575124610166197',NULL,'1061',31.64,1,3,NULL),(28,7148488,'1993-06-22 00:00:00',4,1,12,2011,'M','N','CAMINHO DAS ÁRVORES','SALVADOR','BA','105052051216111431468911575122610137142',8051,'9998',50.46,1,3,NULL),(28,7148496,'1993-11-12 00:00:00',2,5,11,1993,'F','N','SANTA ISABEL','FORQUILHINHA','SC','124241241212131431323611335124610124147',NULL,'312',0.00,1,3,NULL),(28,7148500,'1994-07-21 00:00:00',4,1,11,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215112441469813575124610126052',951,'270',68.97,1,3,NULL),(28,7148518,'1991-01-09 00:00:00',4,10,12,2008,'M','N','CENTRO','TUBARÃO','SC','124243241117474431225624342134610134047',8390,'1034',49.57,1,3,NULL),(28,7148526,'1994-03-12 00:00:00',4,3,12,2011,'F','N','ARIRIBÁ','BAL CAMBORIÚ','SC','124241248316111431447611395122610168117',NULL,'53',0.00,1,3,NULL),(28,7148534,'1991-07-02 00:00:00',4,1,12,2008,'F','N','INDEPENDENCIA','PTO ALEGRE','RS','120202201216371731326832472114143262147',NULL,'9998',0.00,1,3,NULL),(28,7148542,'1994-07-05 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215131431338923572112610118197',NULL,'1199',10.61,1,3,NULL),(28,7148550,'1994-12-30 00:00:00',4,1,12,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124244241216112431449913295124610168112',828,'270',70.24,1,3,NULL),(28,7148585,'1992-05-05 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241116372411458613295124610121042',5164,'307',57.29,4,3,NULL),(28,7148593,'1991-06-16 00:00:00',6,1,12,2008,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241141131731321339285123132547117',NULL,'733',17.64,1,2,1),(28,7148607,'1993-06-28 00:00:00',1,3,12,2011,'M','N','JARDIM VALE VERDE','ROLÂNDIA','PR','116162161217111731469931575121610137122',8519,'9998',47.55,1,3,NULL),(28,7148615,'1993-12-22 00:00:00',2,6,11,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124222241316111421585513572122610163042',19163,'1038',34.55,1,3,NULL),(28,7148623,'1993-01-04 00:00:00',2,1,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','125242241212373431447811394114613266077',10477,'807',52.95,1,3,NULL),(28,7148631,'1994-09-30 00:00:00',4,4,12,2011,'F','N','CENTRO','FORMOSA SUL','SC','124241241115151431538612572122610166052',NULL,'308',23.39,1,2,1),(28,7148658,'1995-01-10 00:00:00',2,10,12,2011,'M','N','MONTE CASTELO','TUBARÃO','SC','124241241216111431434629575121610127147',5214,'1120',55.26,1,3,NULL),(28,7148666,'1988-12-29 00:00:00',2,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224201201136272531433351175124610167057',13544,'9998',41.23,1,3,NULL),(28,7148674,'1988-06-24 00:00:00',2,1,5,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241248327131531423529345324230827047',NULL,'274',0.00,1,3,NULL),(28,7148682,'1994-02-02 00:00:00',4,1,12,2011,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215111411589932572122610134092',10202,'883',42.10,1,3,NULL),(28,7148712,'1994-05-09 00:00:00',2,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431488633575124610137067',6422,'262',53.49,1,3,NULL),(28,7148739,'1994-03-06 00:00:00',2,1,12,2011,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241136141431323528245124610124147',NULL,'1248',24.66,4,2,1),(28,7148747,'1993-12-09 00:00:00',2,1,12,2011,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124244241417371451439913595124610117047',18052,'307',31.14,1,3,NULL),(28,7148763,'1995-05-25 00:00:00',4,1,11,2011,'F','N','CENTRO','PALHOÇA','SC','124242241215111431566612375112610112041',4471,'1011',56.08,1,3,NULL),(28,7148771,'1992-08-28 00:00:00',4,1,12,2011,'M','N','JARDIM CENTENÁRIO','POÇOS CALDAS','MG','113132131216111431589934572122610162012',NULL,'9998',0.00,1,3,NULL),(28,7148780,'1992-01-04 00:00:00',4,1,12,2009,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241215473731446951592124610144057',20162,'1022',23.20,4,1,2),(28,7148798,'1992-06-25 00:00:00',4,1,12,2009,'M','N','JURERE','FLORIANÓPOLIS','SC','124243241216573731378914585122610147185',9149,'1048',47.29,1,3,NULL),(28,7148801,'1993-07-25 00:00:00',4,1,12,2010,'F','N','CHACARA JAFET','MOGI CRUZES','SP','125252251117471431459921575122610124077',NULL,'9998',0.00,1,3,NULL),(28,7148810,'1991-08-16 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124241241215374431326531475122610134097',5672,'737',52.72,1,3,NULL),(28,7148828,'1993-02-26 00:00:00',4,1,12,2010,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124244241215473431466929571124610167047',18952,'951',35.48,1,3,NULL),(28,7148836,'1994-03-05 00:00:00',4,1,11,2011,'M','N','CARANDA BOSQUE','CPO GRANDE','MS','112122121137121431448714495122610167042',3472,'9998',59.09,1,3,NULL),(28,7148844,'1992-10-30 00:00:00',2,1,12,2009,'F','N','CENTRO','S JERÔNIMO','RS','120201201137571431456623371114610123187',2377,'9998',62.71,1,2,1),(28,7148852,'1986-03-26 00:00:00',2,1,12,2003,'M','N','CENTRO','LEOBERTO LEAL','SC','124241241126574451544923195124610128042',750,'533',70.81,1,2,1),(28,7148860,'1995-07-15 00:00:00',4,1,12,2012,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241211111731388813125124610163182',NULL,'270',54.93,1,3,NULL),(28,7148895,'1992-01-21 00:00:00',4,1,12,2009,'F','N','BUTANTÃ','S PAULO','SP','125252251215571431469933476122610136032',565,'9998',72.47,1,3,NULL),(28,7148917,'1993-09-23 00:00:00',4,10,12,2010,'M','N','CENTRO','JAGUARUNA','SC','124241241117372411426614245114610167051',16681,'421',35.60,1,2,1),(28,7148933,'1994-08-19 00:00:00',4,1,12,2011,'F','N','CENTRO','CANELINHA','SC','124244241215111431324614575124610137091',NULL,'1119',19.01,1,3,NULL),(28,7148941,'1993-11-04 00:00:00',2,1,12,2011,'F','N','BREJARU','PALHOÇA','SC','124242241215111411536612241122610162145',NULL,'1010',24.97,1,3,NULL),(28,7148968,'1992-08-25 00:00:00',4,2,10,2009,'F','N','ASILO','BLUMENAU','SC','124241241116131741344314245114610134182',18044,'84',38.76,1,2,1),(28,7148976,'1991-07-30 00:00:00',2,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241126141721423311245124610138197',13643,'322',47.97,1,2,1),(28,7148984,'1994-11-25 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241217111431456823275124610114091',14864,'270',45.86,1,3,NULL),(28,7149018,'1994-01-26 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431468513575124610124113',11679,'270',43.82,1,3,NULL),(28,7149026,'1995-01-20 00:00:00',2,1,12,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244241115371431349613575122610123077',15948,'271',34.67,1,3,NULL),(28,7149034,'1992-11-14 00:00:00',4,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241235474431459913572112610164122',18557,'1169',29.25,1,3,NULL),(28,7149042,'1988-08-26 00:00:00',2,1,12,2006,'F','N','JARDIM CIDADE','S JOSÉ','SC','124241241116134441633538241124610167147',15236,'734',36.80,4,2,1),(28,7149050,'1987-12-28 00:00:00',4,1,12,2004,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241147132421127841412121331464042',13205,'405',48.69,1,2,1),(28,7149069,'1994-05-05 00:00:00',4,9,12,2011,'M','N','CENTRO','LAGES','SC','124242241217111431239934575125610142052',7086,'497',50.55,1,3,NULL),(28,7149077,'1994-07-29 00:00:00',4,22,12,2011,'M','N','GUARANI','BRUSQUE','SC','124244241317131431445834145121610124077',NULL,'110',22.47,4,3,NULL),(28,7149085,'1991-09-20 00:00:00',2,15,12,2008,'F','N','CENTRO','SOMBRIO','SC','124241241332153751345871392122233233157',NULL,'1033',0.00,1,3,NULL),(28,7149107,'1994-10-01 00:00:00',4,4,11,2011,'F','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124242241215111431549913575112610117142',4770,'983',56.14,1,3,NULL),(28,7149115,'1994-05-28 00:00:00',4,1,12,2011,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241215112411337521572124610141092',7943,'270',49.08,1,3,NULL),(28,7149123,'1993-12-29 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431359821575112610162055',2164,'262',63.73,1,3,NULL),(28,7149131,'1995-09-21 00:00:00',2,1,12,2012,'F','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241115151731238923575122610134142',NULL,'262',23.55,1,3,NULL),(28,7149140,'1993-03-11 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241211372431148613575124610137057',9911,'1022',52.07,1,3,NULL),(28,7149158,'1995-08-05 00:00:00',4,1,12,2012,'F','S','CENTRO','CPO GRANDE','MS','112122121217111531348826575112610124192',NULL,'9998',51.08,1,3,NULL),(28,7149166,'1995-01-18 00:00:00',2,4,12,2011,'M','N','NOVA YORK','CASCAVEL','PR','116164166416472431579912571122610167072',8111,'9998',49.87,1,3,NULL),(28,7149190,'1994-07-17 00:00:00',2,3,11,2011,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241215112411336923435122610168147',12202,'1038',41.86,1,3,NULL),(28,7149204,'1994-03-12 00:00:00',4,15,11,2011,'F','N','CIDADE ALTA','TURVO','SC','124242241215112431468932572122610144092',1606,'226',65.41,1,3,NULL),(28,7149212,'1993-01-08 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241217574231379814475124610162176',92,'723',81.74,1,3,NULL),(28,7149220,'1992-01-21 00:00:00',4,1,12,2011,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241246116272441533334375124610128175',7635,'306',50.67,1,2,1),(28,7149239,'1994-10-06 00:00:00',4,1,11,2012,'F','S','CACUPÉ','FLORIANÓPOLIS','SC','124242241217111731469923575112610112122',NULL,'270',27.06,1,3,NULL),(28,7149255,'1994-10-28 00:00:00',4,8,11,2011,'M','N','BUCAREIN','JOINVILLE','SC','124242241215141431148821345122610127052',2252,'459',63.65,1,3,NULL),(28,7149263,'1991-07-06 00:00:00',2,27,12,2008,'F','N','CENTRO','GUARACIABA','SC','124241241131472431348633334112131327147',12308,'334',42.98,1,2,1),(28,7149271,'1990-03-12 00:00:00',4,6,11,2006,'M','N','CENTRO','NAVEGANTES','SC','124244241217131421338839345123610167112',16602,'937',42.42,1,3,NULL),(28,7149280,'1994-07-15 00:00:00',4,1,11,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431469913595112610138195',2637,'270',62.05,1,3,NULL),(28,7149298,'1993-09-27 00:00:00',2,17,12,2011,'F','N','BOM JESUS','RIO NEGRO','PR','116161165116371731325613392122610117147',NULL,'9998',22.84,1,2,1),(28,7149301,'1990-09-07 00:00:00',2,1,12,2007,'M','N','VILA MATILDE','S PAULO','SP','125252251216571431647611575124610137057',NULL,'9998',0.00,3,3,NULL),(28,7149310,'1990-02-18 00:00:00',4,1,12,2007,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241116143431324444342234122224197',16523,'591',42.60,1,3,NULL),(28,7149336,'1979-02-22 00:00:00',4,1,12,1995,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224201201116151441268973435124340726193',16585,'9998',42.45,1,3,NULL),(28,7149344,'1992-10-22 00:00:00',2,1,7,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241117271422426614446114610128157',NULL,'739',24.28,1,2,1),(28,7149360,'1995-08-21 00:00:00',4,1,11,2011,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124243241212151431335572275114610167062',9875,'1075',44.38,1,3,NULL),(28,7149379,'1994-08-10 00:00:00',4,1,12,2011,'F','N','MONTE CASTELO','CPO GRANDE','MS','112124121236111712458831575122610163147',7756,'9998',50.46,4,3,NULL),(28,7149387,'1994-06-25 00:00:00',4,23,12,2011,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242241216111431469833595124610164142',3219,'441',59.27,1,3,NULL),(28,7149395,'1992-05-20 00:00:00',2,1,11,2011,'M','N','BOMVIVER','BIGUAÇU','SC','124241246117151442435733115124610164013',18908,'306',35.65,3,3,NULL),(28,7149409,'1993-07-09 00:00:00',4,2,11,2010,'M','N','SANTA TEREZINHA','SOROCABA','SP','125252251214472731463731572112610147042',15773,'9998',36.13,1,3,NULL),(28,7149417,'1987-12-31 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124123121215373431446821275123122417187',88,'9998',79.67,1,3,NULL),(28,7149425,'1994-02-03 00:00:00',2,10,11,2011,'M','N','CENTRO','BRAÇO NORTE','SC','124244248217131431348823144114610147047',12368,'950',41.56,1,3,NULL),(28,7149450,'1995-06-01 00:00:00',4,10,10,2012,'F','S','CENTRO','BRAÇO NORTE','SC','124242241215371731536634272124610167147',NULL,'807',43.80,1,3,NULL),(28,7149476,'1994-04-11 00:00:00',2,17,12,2011,'F','N','CENTRO','CPO MOURÃO','PR','116162161215111411338826575122610147092',9460,'9998',44.64,1,3,NULL),(28,7149484,'1988-09-09 00:00:00',2,1,12,2005,'M','N','FUNDOS','BIGUAÇU','SC','124241241122131422223329282121610124177',9531,'65',43.43,4,2,1),(28,7149506,'1994-11-17 00:00:00',4,8,11,2011,'F','N','AGUA BRANCA','S FRANCISCO SUL','SC','124242241215111731477712174122610127182',NULL,'1063',28.64,1,3,NULL),(28,7149514,'1994-10-27 00:00:00',4,1,12,2011,'F','N','VENDAVAL','BIGUAÇU','SC','124243241215111431448912372122610134091',896,'1050',69.27,1,3,NULL),(28,7149530,'1990-03-04 00:00:00',4,1,11,2008,'F','N','JARDIM FRANÇA','S PAULO','SP','125252251216471451278823575125142563112',8458,'9998',50.11,3,3,NULL),(28,7149549,'1994-07-22 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215131432226311572232610164197',2516,'723',63.41,1,3,NULL),(28,7149557,'1995-02-22 00:00:00',4,1,11,2012,'F','S','GIOCONDO ORSI','CPO GRANDE','MS','112122244216111412456914575122610166142',NULL,'9998',0.00,1,3,NULL),(28,7149565,'1992-11-13 00:00:00',4,1,12,2010,'M','N','CHÁCARA FLORA','S PAULO','SP','125252251215471451559814475112610164117',10709,'9998',52.58,1,3,NULL),(28,7149573,'1994-10-10 00:00:00',4,1,12,2011,'F','N','REAL PARQUE','S JOSÉ','SC','124244241215111432436723575122610134187',5192,'976',54.39,1,3,NULL),(28,7149590,'1995-03-20 00:00:00',2,1,11,2012,'M','S','PONTE DE IMARUIM','PALHOÇA','SC','124242241215131331229634176124610124185',NULL,'1011',NULL,1,3,NULL),(28,7149603,'1994-05-05 00:00:00',4,3,11,2011,'M','N','CENTRO','LONDRINA','PR','116162161215111431448814575122610124096',1170,'9998',66.55,3,3,NULL),(28,7149620,'1993-12-14 00:00:00',4,1,11,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215112541548812572122610143072',466,'262',73.08,4,3,NULL),(28,7149638,'1990-12-13 00:00:00',4,1,12,2008,'F','N','SÃO MIGUEL PAULISTA','S PAULO','SP','125252251236572421263823373114610162177',206,'9998',76.06,1,3,NULL),(28,7149646,'1992-03-27 00:00:00',4,1,12,2009,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241117273431233329445124610136042',10237,'772',45.25,1,2,1),(28,7149654,'1994-05-31 00:00:00',4,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124241241117131711316629395124610144193',NULL,'733',18.59,1,2,1),(28,7149662,'1991-07-11 00:00:00',4,1,12,2009,'F','N','PINHEIROS','S PAULO','SP','125252251217571431468833571122610162052',7552,'9998',57.87,3,3,NULL),(28,7149670,'1993-07-30 00:00:00',4,8,12,2010,'F','N','CIDADE VARGAS','S PAULO','SP','125252251215471431447734575112610134073',4162,'9998',59.62,1,3,NULL),(28,7149697,'1993-01-26 00:00:00',2,8,12,2010,'M','N','CENTRO','JOINVILLE','SC','124243241215472431367913575122610125052',4035,'855',64.41,1,3,NULL),(28,7149700,'1994-02-01 00:00:00',2,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241215111531358512475122610148192',NULL,'300',23.46,1,3,NULL),(28,7149735,'1994-03-09 00:00:00',2,1,12,2011,'M','N','MIRIM','IMBITUBA','SC','124241241316151431323629275111610117042',NULL,'359',30.96,2,1,2),(28,7149743,'1993-07-09 00:00:00',2,22,11,2010,'M','N','RECANTO TROPICAL','CASCAVEL','PR','116164161217471441348832175111610147032',2830,'9998',64.44,1,3,NULL),(28,7149751,'1993-03-14 00:00:00',4,1,10,2010,'F','N','VILA LEOPOLDINA','S PAULO','SP','125252251216572411469913571114610164017',NULL,'9998',0.00,1,3,NULL),(28,7149760,'1994-03-23 00:00:00',2,24,12,2011,'M','N','CENTRO','PRES GETÚLIO','SC','124244241215111431439914595111610167061',13890,'346',40.24,1,3,NULL),(28,7149778,'1993-01-16 00:00:00',2,1,11,2010,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241216473431568612575122610164042',2259,'226',64.82,1,3,NULL),(28,7149786,'1994-05-10 00:00:00',4,1,12,2011,'F','N','VILA GUILHERME','S PAULO','SP','125254251217331231638813571124610167055',NULL,'9998',0.00,1,3,NULL),(28,7149794,'1994-07-23 00:00:00',4,1,11,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','120202201216271431448825571122610146052',2283,'9998',65.02,1,3,NULL),(28,7149808,'1988-03-22 00:00:00',4,1,12,2005,'M','N','CENTRO','ITUMBIARA','GO','109092131215572431356814572114610132123',109,'9998',80.56,1,3,NULL),(28,7149824,'1992-06-10 00:00:00',3,1,12,2011,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241117271431279913595124610147075',13388,'306',41.92,1,3,NULL),(28,7149832,'1995-07-20 00:00:00',2,1,11,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111731357912575112610124042',9213,'270',48.87,1,3,NULL),(28,7149840,'1994-10-07 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431468933575114610168182',13852,'260',36.15,1,3,NULL),(28,7149867,'1994-03-24 00:00:00',2,1,12,2011,'F','N','CENTRO','PNT GROSSA','PR','116162161217171431527712575122610133142',9509,'9998',46.98,1,3,NULL),(28,7149875,'1990-10-14 00:00:00',2,1,12,2007,'F','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','224241241127133731223344346324610121097',NULL,'291',21.77,1,2,1),(28,7149883,'1993-10-21 00:00:00',4,8,12,2011,'M','N','CENTRO','ITAPETININGA','SP','125252251217111731646632576122610118181',NULL,'9998',0.00,3,3,NULL),(28,7149891,'1996-02-11 00:00:00',4,3,12,2011,'F','N','TABULEIRO','ITAPEMA','SC','124241241217131431536611182124610166127',17471,'407',40.37,1,3,NULL),(28,7149905,'1991-02-20 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','224241241131131331224644145214610126177',NULL,'521',20.97,1,3,NULL),(28,7149964,'1994-11-25 00:00:00',2,4,12,2011,'F','N','INTERIOR','MONDAÍ','SC','124241241116131431633923572124610167052',11739,'408',42.47,1,2,1),(28,7149972,'1993-02-20 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242247217131521348729595124610133182',NULL,'270',23.82,1,3,NULL),(28,7149980,'1994-05-22 00:00:00',4,1,12,2011,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241215141411466832145121610164032',4468,'1119',57.29,1,3,NULL),(28,7149999,'1992-09-02 00:00:00',4,1,12,2010,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','624242241215472431348833382114610134162',5407,'883',56.28,1,3,NULL),(28,7150016,'1991-05-10 00:00:00',4,1,12,2008,'M','N','ITAIM BIBI','S PAULO','SP','125252251211571431688911473122610144142',384,'9998',74.92,1,3,NULL),(28,7150024,'1994-06-27 00:00:00',4,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215211731339914585114610163143',16339,'1022',33.42,1,3,NULL),(28,7150040,'1990-05-09 00:00:00',2,1,12,2007,'M','N','SÃO JOSÉ','PTO REAL','RJ','121211211116471431434614475124610162147',14799,'9998',45.99,1,2,1),(28,7150067,'1992-09-10 00:00:00',4,1,12,2010,'F','N','CENTRO','S JOSÉ CAMPOS','SP','125212251111471431368811571125610166076',NULL,'9998',0.00,1,3,NULL),(28,7150075,'1994-10-29 00:00:00',4,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215112431478611275114610144042',601,'270',73.00,1,3,NULL),(28,7150083,'1993-02-06 00:00:00',4,8,12,2010,'F','N','PISCINA','ANDRADINA','SP','125252251215471131468811572125610161177',169,'9998',76.42,1,3,NULL),(28,7150091,'1994-05-24 00:00:00',2,8,12,2011,'F','N','ITAUM','JOINVILLE','SC','124243241211112431448614575124610133017',12987,'459',38.95,2,1,2),(28,7150105,'1992-04-21 00:00:00',2,4,12,2009,'F','N','ESTALEIRINHO','BAL CAMBORIÚ','SC','124241242115574731436621575124121436187',1686,'129',68.38,1,2,1),(28,7150148,'1994-07-21 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731347924572122610125077',7362,'262',52.18,1,3,NULL),(28,7150172,'1994-04-05 00:00:00',2,24,11,2011,'M','N','BREHMER','RIO SUL','SC','124244241215131431448933575124610132052',NULL,'653',27.44,1,3,NULL),(28,7150180,'1993-06-30 00:00:00',4,1,7,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124242241112371731436322482114610124192',5165,'739',56.68,1,3,NULL),(28,7150199,'1994-07-14 00:00:00',4,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215121451437614575124610164095',4239,'1022',56.34,1,3,NULL),(28,7150210,'1993-05-04 00:00:00',4,1,12,2010,'M','N','ENGORDADOURO','JUNDIAÍ','SP','125252251234371331329611587124610163167',NULL,'9998',0.00,1,3,NULL),(28,7150229,'1993-09-24 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241248117131231325551215122610131097',NULL,'732',35.85,1,2,1),(28,7150237,'1994-11-11 00:00:00',2,5,12,2011,'M','N','MICHEL','CRICIÚMA','SC','124242241215151231458934341124610122097',15849,'995',34.65,1,3,NULL),(28,7150253,'1992-02-26 00:00:00',4,1,12,2009,'F','N','VILA TATETUBA','S JOSÉ CAMPOS','SP','125252256236571431456833571122610121187',5880,'9998',52.86,1,3,NULL),(28,7150261,'1993-03-15 00:00:00',4,8,12,2010,'M','N','MORRO DO MEIO','JOINVILLE','SC','124241248211141432546512341134610127047',NULL,'1105',0.00,1,3,NULL),(28,7150270,'1995-02-03 00:00:00',2,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111731436671595124610147042',NULL,'262',42.35,1,3,NULL),(28,7150288,'1994-04-07 00:00:00',4,1,12,2011,'M','N','NOVO HORIZONTE','GOIÂNIA','GO','109092091216111431459823576112610124052',NULL,'9998',40.12,4,3,NULL),(28,7150296,'1994-06-30 00:00:00',4,8,12,2011,'M','N','GUANABARA','JOINVILLE','SC','124243241217141411338819392121610124017',3425,'459',60.48,1,3,NULL),(28,7150300,'1994-12-14 00:00:00',4,1,12,2012,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111731369914575124610134182',NULL,'883',26.95,1,3,NULL),(28,7150318,'1991-08-31 00:00:00',4,1,12,2009,'M','N','GRANJA OLGA II','SOROCABA','SP','125251251116471331438612375124610137052',NULL,'9998',34.34,1,2,1),(28,7150334,'1993-06-15 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472431489933574122610127052',136,'270',77.00,1,3,NULL),(28,7150377,'1994-03-25 00:00:00',2,9,12,2011,'F','N','SANTA RITA','LAGES','SC','124242241215131421436921573322610124092',12073,'1207',50.42,1,3,NULL),(28,7150393,'1994-08-09 00:00:00',2,10,11,2011,'F','N','CENTRO','BRAÇO NORTE','SC','124242241215123431446614275124610133152',9670,'807',45.89,1,3,NULL),(28,7150407,'1993-09-22 00:00:00',4,22,12,2011,'F','N','GUARANI','BRUSQUE','SC','124242241215112431515511592122610132057',5727,'109',57.78,1,3,NULL),(28,7150415,'1974-11-18 00:00:00',4,1,12,2001,'F','N','PONTA DE BAIXO','S JOSÉ','SC','224244248316133451348643335112331041097',NULL,'272',33.88,1,3,NULL),(28,7150423,'1991-08-05 00:00:00',4,8,11,2008,'F','N','CENTRO','ERECHIM','RS','120202201216574451477811215122610123092',2319,'9998',64.22,1,3,NULL),(28,7150431,'1993-09-07 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242247235131431438419385114610127065',NULL,'1198',13.86,1,3,NULL),(28,7150440,'1994-02-11 00:00:00',2,1,12,2011,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241137131431624611375124610126147',NULL,'1248',24.59,1,2,1),(28,7150458,'1994-07-15 00:00:00',2,5,12,2011,'F','N','COSTA DA LAGOA','JAGUARUNA','SC','124241242115111431527616375122610134147',15084,'690',33.66,1,2,1),(28,7150466,'1994-06-18 00:00:00',4,1,12,2011,'M','N','CHACARA DAS PEDRAS','PTO ALEGRE','RS','120202201217111431448619575114610163057',NULL,'9998',0.00,1,3,NULL),(28,7150482,'1984-05-11 00:00:00',4,1,12,2002,'F','N','INGLESES','FLORIANÓPOLIS','SC','124204201217471431128344445114141032143',18850,'9998',35.88,1,3,NULL),(28,7150490,'1989-08-19 00:00:00',2,24,12,2007,'M','N','CENTRO','ITUPORANGA','SC','124241241136371431333512245122130262052',NULL,'416',38.04,1,3,NULL),(28,7150504,'1992-08-17 00:00:00',4,1,12,2010,'M','N','JD COLINAS','S JOSÉ CAMPOS','SP','125252251216471431468612575112610117042',5755,'9998',54.64,1,3,NULL),(28,7150520,'1993-12-03 00:00:00',4,4,1,2012,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241115371431353612245122610146042',NULL,'169',NULL,1,2,1),(28,7150539,'1993-05-14 00:00:00',2,1,10,2010,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241216422221464812322124610117112',8680,'226',48.66,1,3,NULL),(28,7150547,'1994-06-30 00:00:00',4,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124062241215111431458813575112610124012',1063,'883',73.69,4,3,NULL),(28,7150555,'1982-05-17 00:00:00',2,15,12,1999,'M','N','ALTO FELIZ','ARARANGUÁ','SC','124241241216322411336734425123141442053',11608,'226',51.17,1,3,NULL),(28,7150571,'1993-10-09 00:00:00',2,7,12,2011,'M','N','CENTRO','TANGARÁ','SC','124241241135131431434933575122610138182',NULL,'779',10.20,1,2,1),(28,7150580,'1994-01-26 00:00:00',2,1,12,2011,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241117371331636521572124610122052',5709,'9997',55.86,1,3,NULL),(28,7150598,'1994-05-06 00:00:00',4,1,11,2011,'M','N','JDM BRANDINA','CAMPINAS','SP','125252251217121211377922225122610164182',NULL,'9998',0.00,4,3,NULL),(28,7150601,'1992-06-01 00:00:00',2,1,11,2011,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124244241216111441123324175124610112013',NULL,'300',32.68,2,1,2),(28,7150610,'1993-01-29 00:00:00',4,1,12,2010,'M','N','SANTO AMARO','S PAULO','SP','125252251217471731558832576112610164047',2924,'9998',62.42,3,3,NULL),(28,7150636,'1994-11-01 00:00:00',4,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124241241115271431436313575122610124057',14670,'730',37.94,1,3,NULL),(28,7150644,'1991-02-05 00:00:00',4,1,12,2008,'M','N','CASA VERDE','S PAULO','SP','125252251215471711348913345124610166046',2312,'9998',62.52,1,3,NULL),(28,7150652,'1994-03-09 00:00:00',4,10,11,2011,'F','N','CABEÇUDA','LAGUNA','SC','124241241115371431423614245124610124077',NULL,'523',24.39,1,2,1),(28,7150687,'1983-02-10 00:00:00',2,1,12,2008,'F','N','JARDIM JANAINA','BIGUAÇU','SC','624241245127131131536654245114610165197',NULL,'734',21.35,1,2,1),(28,7150695,'1992-10-29 00:00:00',4,1,11,2011,'M','N','ALTO DA LAPA','S PAULO','SP','125254253236471431458622275122610167042',NULL,'9998',0.00,1,3,NULL),(28,7150709,'1992-09-12 00:00:00',4,1,12,2010,'M','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','624242241212132431259919495124231464182',10029,'270',53.66,1,3,NULL),(28,7150717,'1993-09-03 00:00:00',2,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241131131411323621372124610136025',15455,'298',36.48,4,1,2),(28,7150733,'1994-01-19 00:00:00',4,5,11,2010,'F','N','CENTRO','SIDERÓPOLIS','SC','124242241215371712438811575124132645077',12618,'767',44.24,1,3,NULL),(28,7150741,'1982-08-14 00:00:00',4,3,12,1999,'M','N','ANDORINHA','ITAPEMA','SC','124241241136152711346919575122333214182',8346,'175',56.54,1,2,1),(28,7150750,'1992-05-24 00:00:00',4,8,12,2009,'M','N','SÃO MARCOS','JOINVILLE','SC','124243241216271431467832475122131015083',NULL,'486',0.00,1,3,NULL),(28,7150768,'1993-06-23 00:00:00',5,1,11,2010,'M','N','PARQUE CAMPOLIM','SOROCABA','SP','125252251214131121547812495114141417047',NULL,'9998',0.00,1,3,NULL),(28,7150792,'1987-10-07 00:00:00',2,1,12,2005,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124203207116471751336644345124242732197',19190,'9998',34.40,1,3,NULL),(28,7150806,'1993-05-29 00:00:00',2,1,12,2010,'M','N','PENHA','PAULO LOPES','SC','124241241225311431323372575124610127042',5673,'262',56.16,1,3,NULL),(28,7150822,'1991-02-14 00:00:00',4,1,12,2009,'M','N','SANTANA','STO AMARO IMPERATRIZ','SC','124241241346133431456634385124610166067',NULL,'772',0.00,1,3,NULL),(28,7150830,'1993-08-24 00:00:00',4,1,12,2010,'F','N','IGUAÇU','ARAUCÁRIA','PR','116161161116471741326624345124610134057',NULL,'9998',25.69,4,3,NULL),(28,7150849,'1989-06-30 00:00:00',2,1,12,2006,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241111372221434311246123133262042',9415,'732',45.77,1,2,1),(28,7150890,'1993-07-09 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241112471451323329372124610123187',5239,'278',56.21,4,2,1),(28,7150920,'1990-08-04 00:00:00',2,5,12,2008,'M','N','LAGOA DOS FRAITAS','IÇARA','SC','124241241126131431433334382322610127067',13122,'351',48.81,1,2,1),(28,7150954,'1992-03-03 00:00:00',2,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124242243116272431544933345134610126147',1569,'306',65.31,1,3,NULL),(28,7150962,'1994-05-10 00:00:00',4,8,11,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241216111431356833575112610118097',NULL,'1063',19.20,1,3,NULL),(28,7150970,'1993-12-16 00:00:00',4,1,12,2010,'M','N','LAGO NORTE','LG NORTE','DF','107092091215472411569631595122610162187',9665,'9998',45.63,4,3,NULL),(28,7151004,'1992-12-22 00:00:00',2,1,12,2010,'M','N','VILA IRACEMA','S JOSÉ CAMPOS','SP','125052251415471331576832591124610164187',32,'9998',81.81,1,3,NULL),(28,7151012,'1994-03-26 00:00:00',4,1,12,2011,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215111431589634575122610137062',12636,'262',42.78,1,3,NULL),(28,7151020,'1994-06-02 00:00:00',2,5,12,2011,'F','N','CENTRO','CRICIÚMA','SC','124243241215111431227729275125610138037',12135,'920',43.81,1,3,NULL),(28,7151039,'1974-06-07 00:00:00',2,15,12,1991,'M','N','LINHA SÃO JOSÉ','MELEIRO','SC','224241248226133421433341412122610116073',17797,'558',39.48,1,3,NULL),(28,7151047,'1979-06-04 00:00:00',2,1,12,2006,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241125374711533179245124610166183',18911,'294',35.64,1,2,1),(28,7151055,'1984-12-31 00:00:00',4,5,6,2003,'M','N','SANTA BARBARA','CRICIÚMA','SC','124241241237133711435624445122131467045',17319,'230',40.72,4,3,NULL),(28,7151063,'1991-08-30 00:00:00',4,1,11,2008,'M','N','PRAIA DE FORA','PALHOÇA','SC','124246241117133431536774345224133222127',11611,'591',51.16,1,3,NULL),(28,7151071,'1995-09-20 00:00:00',4,1,12,2012,'M','S','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241217111412268813535115610138042',NULL,'951',33.53,1,3,NULL),(28,7151080,'1976-02-22 00:00:00',2,1,7,1995,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224241241343132711236441416124610112092',17592,'9999',40.06,1,3,NULL),(28,7151098,'1994-07-18 00:00:00',4,1,12,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127111431446633292124610167115',NULL,'283',23.25,1,2,1),(28,7151101,'1994-03-04 00:00:00',4,8,11,2011,'M','N','PIRABEIRABA','JOINVILLE','SC','124242161215471431488832575124610144093',NULL,'457',0.00,1,3,NULL),(28,7151110,'1993-09-15 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241213472431245831591225610122092',6980,'962',50.07,1,3,NULL),(28,7151128,'1989-04-14 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124244241216132732326521372224610127047',NULL,'737',28.04,1,3,NULL),(28,7151136,'1986-08-27 00:00:00',2,1,12,2005,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241127273431556313385114610127062',8313,'296',50.19,1,2,1),(28,7151144,'1993-08-26 00:00:00',4,1,12,2011,'M','N','CENTRO','CAXIAS SUL','RS','120202201215371431348614575112610112047',NULL,'9998',0.00,1,3,NULL),(28,7151152,'1990-04-22 00:00:00',4,10,11,2007,'M','N','BOM PASTOR','TUBARÃO','SC','124241241124232322423321232133610167097',4733,'798',57.79,1,2,1),(28,7151160,'1990-04-23 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124212211215574441578811575124121764012',302,'9998',77.42,4,3,NULL),(28,7151179,'1993-11-06 00:00:00',2,1,12,2010,'F','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124241241112323411323923241124610123187',17425,'734',30.64,2,1,1),(28,7151195,'1983-04-13 00:00:00',2,1,12,2000,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224241241126471731246653395122610114185',NULL,'25',24.78,1,3,NULL),(28,7151217,'1993-02-19 00:00:00',4,25,12,2010,'F','N','MERCES','CURITIBA','PR','116242161215472431439614574124610136177',2301,'9998',64.56,1,3,NULL),(28,7151225,'1990-09-10 00:00:00',4,1,11,2008,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124252251215373431559832395132121467042',6614,'9998',50.66,1,3,NULL),(28,7151233,'1992-02-28 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241214353311487611285124130762042',15148,'1022',45.31,1,3,NULL),(28,7151241,'1992-11-08 00:00:00',2,1,12,2010,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241111372431433314341124610147112',14271,'307',39.84,1,3,NULL),(28,7151250,'1995-12-26 00:00:00',4,1,11,2011,'F','N','JD BELA VISTA','CPO GRANDE','MS','112282281217161731453739575122610114147',NULL,'9998',0.00,1,3,NULL),(28,7151284,'1991-09-24 00:00:00',2,4,12,2008,'F','N','NAÇOES','CONCÓRDIA','SC','120241241216573411535532575124140663097',7891,'1047',52.01,1,3,NULL),(28,7151292,'1994-07-25 00:00:00',2,1,12,2011,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241116151731423319575124610127047',14241,'1248',39.25,1,2,1),(28,7151322,'1993-01-21 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215473431338922475124233264142',2348,'1169',63.36,1,3,NULL),(28,7151349,'1991-01-03 00:00:00',2,1,12,2008,'F','N','SANTA RITA','MACAPÁ','AP','103032031217241732548612442122142667183',NULL,'9998',0.00,3,3,NULL),(28,7151373,'1993-05-12 00:00:00',2,1,12,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241115471711633314245324610165012',NULL,'289',31.33,4,2,1),(28,7151381,'1994-06-14 00:00:00',4,1,12,2011,'M','N','BELA VISTA I','S JOSÉ','SC','124242241217111432446924575124610162172',6962,'1050',53.31,1,3,NULL),(28,7151390,'1994-03-20 00:00:00',4,5,12,2011,'M','N','CENTRO','URUSSANGA','SC','124242241215373431328824245124231447052',2616,'226',64.11,1,3,NULL),(28,7151403,'1991-10-28 00:00:00',2,4,12,2008,'M','N','CENTRO','TIO HUGO','RS','120201201121472431323314272224610166042',NULL,'9998',18.80,1,2,1),(28,7151411,'1990-08-11 00:00:00',4,1,12,2007,'F','N','CENTRO','PALHOÇA','SC','124241241215373431456613486124221344142',376,'1011',75.10,1,3,NULL),(28,7151420,'1992-08-23 00:00:00',4,1,12,2009,'F','N','VILA SOARES','OURINHOS','SP','125252251216571731364824575124610126187',NULL,'9998',0.00,1,3,NULL),(28,7151446,'1993-12-10 00:00:00',4,25,12,2011,'F','N','RIO DAS PEDRAS','VIDEIRA','SC','124241241145111221533614342124610127097',NULL,'831',16.01,1,3,NULL),(28,7151462,'1993-03-10 00:00:00',2,3,12,2010,'F','N','SANTINI','S MARCOS','RS','120201201116371731423614485112610124197',16152,'9998',33.62,1,3,NULL),(28,7151489,'1992-06-03 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215275441469814595124223226182',3216,'806',59.58,1,3,NULL),(28,7151497,'1990-06-09 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241247112153431334434295123230814072',15349,'9999',35.82,1,2,1),(28,7151500,'1985-12-14 00:00:00',2,1,12,2002,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242248217144221549831435122322644187',NULL,'270',0.00,1,3,NULL),(28,7151519,'1990-12-03 00:00:00',4,8,12,2009,'F','N','JARDIM SOFIA','JOINVILLE','SC','124242241225571711569833235124130243011',9317,'494',54.85,2,3,NULL),(28,7151535,'1994-07-18 00:00:00',4,17,12,2011,'M','N','ARROIOS','CANOINHAS','SC','124241241115171631636939162224610114037',19576,'146',32.20,1,3,NULL),(28,7151543,'1993-08-25 00:00:00',2,3,12,2010,'F','N','CENTRO','CAMBORIÚ','SC','124244241116142431338411345112610131147',14960,'130',37.77,1,3,NULL),(28,7151551,'1993-01-28 00:00:00',2,1,8,2010,'F','N','JARDIM EUCALIPTUS','PALHOÇA','SC','124242241237271431435532242122610122092',19224,'9999',34.22,1,3,NULL),(28,7151616,'1994-08-11 00:00:00',4,1,12,2011,'M','N','PADROEIRA','OSASCO','SP','125251251146131431434522245124610144012',NULL,'9998',24.11,4,2,1),(28,7151640,'1992-12-21 00:00:00',3,1,6,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242281215371431339919572112610167042',14259,'9998',47.01,1,3,NULL),(28,7151667,'1991-05-12 00:00:00',2,1,12,2008,'F','N','BRASILIA I','CASCAVEL','PR','116161161214572411535611295323610166097',4716,'9998',56.54,1,3,NULL),(28,7151675,'1983-09-22 00:00:00',2,7,12,2002,'F','N','CENTRO','TANGARÁ','SC','624241241147271751323351135122610161187',15674,'779',34.60,4,2,1),(28,7151683,'1994-08-16 00:00:00',2,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124243241215371431433411575124610127072',6140,'1040',55.12,1,3,NULL),(28,7151691,'1984-11-02 00:00:00',4,10,12,2002,'F','N','CENTRO','LAGUNA','SC','124241241215373431446413472115321421187',15449,'807',44.78,1,3,NULL),(28,7151705,'1991-11-28 00:00:00',4,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124242241216222231448814312112131447117',7621,'270',57.77,1,3,NULL),(28,7151713,'1992-02-06 00:00:00',2,1,12,2009,'F','N','MORRO DO FABRICIO','STO AMARO IMPERATRIZ','SC','124241241116141431425614475123131434111',19974,'772',28.55,1,2,1),(28,7151721,'1980-05-07 00:00:00',4,1,12,1997,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241216155431235329482224130243052',7207,'590',49.60,1,3,NULL),(28,7151730,'1994-10-19 00:00:00',2,16,12,2011,'M','N','APARECIDA','CURITIBANOS','SC','124241241115471231434819572125610124057',NULL,'239',22.01,1,3,NULL),(28,7151748,'1989-08-11 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124163247217354411265541425122130267041',14674,'9999',35.78,1,3,NULL),(28,7151756,'1995-03-08 00:00:00',4,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115111731357633575112610123145',12834,'267',41.05,1,3,NULL),(28,7151764,'1990-04-11 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216133731388823485122221263013',11864,'270',50.75,5,3,NULL),(28,7151780,'1990-07-18 00:00:00',4,4,12,2007,'F','N','CENTRO','CASCAVEL','PR','116164161216151431259923485112443262142',16378,'9998',42.94,1,3,NULL),(28,7151799,'1990-10-24 00:00:00',2,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224241241127131421226541112123130817052',18787,'1034',36.15,1,2,1),(28,7151810,'1994-06-28 00:00:00',4,26,12,2011,'F','N','CENTRO','IPUMIRIM','SC','124241241115471431224322575114610148197',14510,'374',38.50,1,2,1),(28,7151829,'1984-01-02 00:00:00',2,1,12,2001,'F','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241136133721534311332224610167147',NULL,'322',0.00,1,3,NULL),(28,7151837,'1993-07-30 00:00:00',4,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241236132711224923345124610138187',NULL,'9999',9.59,1,3,NULL),(28,7151870,'1987-12-25 00:00:00',2,1,10,2007,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241247626151431123344242113610134097',18186,'9999',38.34,1,3,NULL),(28,7151888,'1993-07-09 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241246215132431389914575122610117182',4865,'1080',58.56,1,3,NULL),(28,7151896,'1991-07-18 00:00:00',2,8,12,2008,'F','N','PILARZINHO','CURITIBA','PR','116164161416474421548833295124610168142',4262,'9998',63.88,1,3,NULL),(28,7151950,'1994-12-31 00:00:00',2,1,12,2011,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124161241117131431333624575124610127047',19516,'1248',30.86,1,2,1),(28,7151977,'1991-10-14 00:00:00',4,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242248217372441278829495122122217072',11997,'270',50.55,1,3,NULL),(28,7151985,'1985-07-15 00:00:00',4,1,12,2003,'F','N','VILA GUSTAVO','S PAULO','SP','125251251137271731428311485125342734057',NULL,'9998',0.00,3,2,1),(28,7151993,'1993-09-02 00:00:00',4,1,11,2011,'M','N','CENTRO','CURITIBA','PR','116164163445471431478821285121610127182',13996,'9998',44.16,1,3,NULL),(28,7152000,'1994-06-02 00:00:00',2,1,12,2011,'M','N','VILA JARDIM','PTO ALEGRE','RS','120201201217371731428611372124610112041',NULL,'9998',0.00,1,3,NULL),(28,7152019,'1992-07-10 00:00:00',2,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124242241215372431666812312114131222045',8113,'723',56.94,1,3,NULL),(28,7152027,'1994-06-05 00:00:00',4,1,12,2011,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124243241117151731526619295224610128047',NULL,'739',26.35,1,3,NULL),(28,7152035,'1992-09-14 00:00:00',2,15,12,2009,'F','N','DIVINÉIA','ARARANGUÁ','SC','124243241116273731436814575122223222092',NULL,'30',40.00,1,3,NULL),(28,7152051,'1993-01-14 00:00:00',4,1,12,2010,'M','N','CAMPOLIM','SOROCABA','SP','125252251216471331448832325122610127187',NULL,'9998',19.65,1,3,NULL),(28,7152060,'1986-09-02 00:00:00',4,1,12,2006,'M','N','VILA NOVA','BLUMENAU','SC','124214211417161451121179497225142968192',NULL,'9998',0.00,1,3,NULL),(28,7152078,'1995-01-26 00:00:00',4,27,11,2011,'F','N','SÃO SEBASTIÃO','S MIGUEL OESTE','SC','124243241216111731456933571122610127012',16720,'752',42.16,1,3,NULL),(28,7152086,'1981-10-10 00:00:00',2,1,12,1999,'F','N','ARMAÇÃO PÂNTANO SUL','FLORIANÓPOLIS','SC','224131131116271431253453485124340264047',11147,'9998',51.88,1,2,1),(28,7152108,'1993-11-25 00:00:00',4,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215112431488833435124610134191',12142,'883',41.44,1,3,NULL),(28,7152116,'1991-08-01 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217574431369923575125610167182',464,'270',74.10,1,3,NULL),(28,7152124,'1994-08-06 00:00:00',4,2,11,2011,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111431483712575122610127112',7453,'855',51.05,1,3,NULL),(28,7152132,'1993-07-11 00:00:00',2,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117412431643823575121610118095',4774,'1248',57.06,1,2,1),(28,7152140,'1989-04-28 00:00:00',2,1,12,2007,'F','N','ARAUCARIA','LAGES','SC','124241241121141411527914285124131067047',NULL,'507',18.06,1,3,NULL),(28,7152159,'1995-01-26 00:00:00',4,3,10,2011,'M','N','CARVALHO','CPO GRANDE','MS','112122121236111731348811572122610167067',8522,'9998',49.33,3,3,NULL),(28,7152167,'1992-05-25 00:00:00',4,1,12,2011,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241112471411543732375124610124047',14222,'307',40.10,1,2,1),(28,7152183,'1994-04-08 00:00:00',4,1,12,2011,'M','N','PICADAS DO NORTE','S JOSÉ','SC','124244241117151131624319292225610167052',16488,'739',33.58,1,3,NULL),(28,7152191,'1993-11-04 00:00:00',2,1,11,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215273431436823575124610124192',4360,'226',57.83,1,3,NULL),(28,7152205,'1990-03-17 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241626133411213621285324610122092',13249,'262',41.32,4,3,NULL),(28,7152221,'1990-12-02 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241217152421436634395124222365032',NULL,'1010',33.73,1,3,NULL),(28,7152248,'1985-08-30 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573421449922415122333263142',346,'270',78.67,1,3,NULL),(28,7152264,'1994-12-04 00:00:00',2,1,12,2011,'M','N','JARDIM ORIENTE','S JOSÉ CAMPOS','SP','125251256235471431548611112324610127042',NULL,'9998',27.12,1,3,NULL),(28,7152272,'1984-06-21 00:00:00',4,8,12,2003,'M','N','BOA VISTA','JOINVILLE','SC','124241241124472431226348281121330668057',19182,'58',34.44,1,2,1),(28,7152280,'1992-04-08 00:00:00',4,22,12,2009,'M','N','SÃO PEDRO','GUABIRUBA','SC','124241241126141451336624245123230224067',15357,'924',44.93,1,3,NULL),(28,7152299,'1994-06-08 00:00:00',4,22,11,2011,'M','N','CENTRO','BRUSQUE','SC','124242241215111411569811595112610164112',15520,'109',44.67,1,3,NULL),(28,7152302,'1992-03-23 00:00:00',4,22,12,2009,'M','N','SÃO PEDRO','BRUSQUE','SC','124241241126141412333319345112610137047',19810,'112',30.22,1,3,NULL),(28,7152310,'1991-04-21 00:00:00',2,16,12,2008,'M','N','SÃO SEBASTIÃO','FRAIBURGO','SC','124241241126151431424434145123610126027',NULL,'314',0.00,4,3,NULL),(28,7152337,'1993-11-03 00:00:00',4,9,11,2011,'F','N','CENTRO','LAGES','SC','124242241215111431356823475112610127052',12797,'1207',49.30,1,3,NULL),(28,7152345,'1993-03-22 00:00:00',4,1,12,2010,'M','N','ESTREITO','ALFREDO WAGNER','SC','124241241136132411428513185121131724147',16512,'13',29.88,1,3,NULL),(28,7152353,'1993-01-09 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241212122431259823575114242424187',NULL,'270',0.00,1,3,NULL),(28,7152388,'1992-12-13 00:00:00',2,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124242241215473231553614375124131221052',NULL,'723',45.71,1,3,NULL),(28,7152396,'1993-05-26 00:00:00',2,1,12,2010,'F','N','CENTRO','VERANÓPOLIS','RS','120202201217472431358939576124610164077',2888,'9998',61.75,1,3,NULL),(28,7152400,'1980-11-21 00:00:00',2,1,12,1998,'M','N','AREIAS','S JOSÉ','SC','224243241126132431333344242134610167043',NULL,'730',20.19,1,3,NULL),(28,7152418,'1993-08-07 00:00:00',4,24,12,2011,'F','N','CENTRO','LAURENTINO','SC','124243241215472441458713575122610164192',9204,'991',49.56,1,3,NULL),(28,7152450,'1993-04-09 00:00:00',4,1,11,2010,'M','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241116141441436614245124610124177',13186,'64',48.72,1,2,1),(28,7152469,'1994-06-14 00:00:00',4,1,12,2011,'F','N','JARDIM ANDRADE','LONDRINA','PR','116162161216111431447933575112610146182',3993,'9998',56.80,3,3,NULL),(28,7152477,'1994-04-11 00:00:00',4,1,12,2011,'M','N','SÃO JOSÉ','S JOSÉ','SC','124242241216111531456632585112610167047',4579,'737',57.11,1,3,NULL),(28,7152485,'1992-08-10 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202241235472431268913575125610142142',4343,'270',56.76,1,3,NULL),(28,7152493,'1982-04-09 00:00:00',2,1,12,1999,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241116275421456314245124320826122',6335,'307',54.22,1,2,1),(28,7152507,'1994-06-11 00:00:00',4,1,12,2011,'F','N','CENTRO','IVAÍ','PR','116161161116271531445933585122610164077',NULL,'9998',0.00,1,2,1),(28,7152515,'1993-12-16 00:00:00',4,3,12,2011,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161217111231379813475112610164126',NULL,'9998',0.00,1,3,NULL),(28,7152523,'1994-01-17 00:00:00',4,24,11,2011,'M','N','BOA VISTA','RIO SUL','SC','124244241415131231545431271122610122037',5916,'663',53.92,1,3,NULL),(28,7152531,'1993-06-09 00:00:00',4,8,12,2010,'M','N','FLORESTA','JOINVILLE','SC','124244241237371421469934342124610164012',15639,'1105',44.42,1,3,NULL),(28,7152540,'1993-01-19 00:00:00',4,16,12,2010,'M','N','CENTRO','CURITIBANOS','SC','624242241213272411438913413111123224147',5875,'881',53.38,1,3,NULL),(28,7152558,'1992-02-25 00:00:00',4,4,12,2009,'F','N','CENTRO','CASCAVEL','PR','116162161215571431467832572122610164142',NULL,'9998',0.00,1,3,NULL),(28,7152566,'1994-10-24 00:00:00',4,9,12,2011,'M','N','CENTRO','LAGES','SC','124244241215151411559814592115610164042',4619,'497',56.36,1,3,NULL),(28,7152582,'1993-11-27 00:00:00',4,2,12,2011,'F','N','CENTRO','STO ÂNGELO','RS','120201201112111411566632575122610124197',NULL,'9998',0.00,1,3,NULL),(28,7152590,'1993-03-10 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124241241216132431438613472124610167077',NULL,'737',22.78,1,3,NULL),(28,7152604,'1993-08-25 00:00:00',4,2,12,2010,'M','N','VORSTADT','BLUMENAU','SC','124244241215372731639931574124610164142',3236,'855',58.28,1,3,NULL),(28,7152612,'1993-09-03 00:00:00',4,27,12,2010,'F','N','NOVA CIDADE','CASCAVEL','PR','116241241116371441536923375124610147077',NULL,'740',0.00,1,2,1),(28,7152620,'1992-07-17 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242246217471431248719315124610144192',4075,'1075',58.02,1,3,NULL),(28,7152639,'1991-11-15 00:00:00',4,17,12,2008,'F','N','CENTRO','CANOINHAS','SC','124241241117272431546314274124131427072',11849,'146',44.20,1,2,1),(28,7152647,'1988-05-26 00:00:00',4,1,4,2006,'F','N','SANTA TERESA','S PEDRO ALCÂNTARA','SC','124241241116152441348933415124333235142',7054,'739',58.73,1,2,1),(28,7152655,'1992-03-06 00:00:00',2,1,12,2010,'F','N','PORTÃO','CURITIBA','PR','116161161116572531236929596114610162097',NULL,'9998',0.00,1,2,1),(28,7152663,'1994-04-25 00:00:00',2,7,12,2011,'M','N','CENTRO','LACERDÓPOLIS','SC','124243241215212431356932275124610137052',15247,'962',34.78,1,3,NULL),(28,7152680,'1994-03-01 00:00:00',4,10,12,2011,'F','N','CENTRO','PEDRAS GRANDES','SC','124241241126171411444933575122610127092',NULL,'608',29.29,1,2,1),(28,7152698,'1994-08-18 00:00:00',4,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241116371231326428585124610124192',12621,'307',41.58,1,2,1),(28,7152701,'1993-01-11 00:00:00',4,1,12,2010,'M','N','SÃO JOÃO','ITAJAÍ','SC','124242241215472431368833575114610134192',2323,'392',62.94,1,3,NULL),(28,7152728,'1994-12-19 00:00:00',2,1,12,2011,'F','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124243241116151731525624575224610132147',NULL,'733',28.66,3,3,NULL),(28,7152736,'1995-01-03 00:00:00',4,1,11,2011,'F','N','VILA MARIANA','S PAULO','SP','125252251217121431289933575114610164146',NULL,'9998',0.00,1,3,NULL),(28,7152744,'1993-12-24 00:00:00',2,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472231568814575124230237042',5126,'273',55.78,1,3,NULL),(28,7152787,'1994-07-12 00:00:00',2,15,12,2011,'F','N','AMOLA FACA','TIMBÉ SUL','SC','124241241115161431614316295124610147077',19077,'785',26.22,1,2,1),(28,7152817,'1994-08-02 00:00:00',2,1,11,2011,'M','N','JARDIM MATILDE','OURINHOS','SP','125252251216111431457832295122610164092',6464,'9998',52.37,1,3,NULL),(28,7152825,'1993-07-12 00:00:00',4,8,11,2010,'M','N','ZONA SETE','MARINGÁ','PR','116283161315371431447832575122610127042',1643,'9998',67.50,1,3,NULL),(28,7152841,'1994-05-07 00:00:00',2,10,12,2011,'F','N','MAGALHÃES','LAGUNA','SC','124242241226151431556723575122610122052',13314,'524',38.41,1,3,NULL),(28,7152850,'1993-06-16 00:00:00',2,4,12,2009,'M','N','CENTRO','CATANDUVAS','SC','124244241136371431446933572224133223092',19400,'161',33.34,1,3,NULL),(28,7152868,'1992-06-27 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241215272411438632384114122236187',11932,'1048',42.71,1,3,NULL),(28,7152892,'1994-03-09 00:00:00',4,1,12,2011,'M','N','VILA PAULISTA','CRUZEIRO','SP','125252251216121731465812315122610162092',NULL,'9998',29.17,1,3,NULL),(28,7152914,'1994-01-18 00:00:00',2,3,12,2011,'M','N','CENTRO','CAPÃO CANOA','RS','120201201117371431226629575124610167047',NULL,'9998',23.17,1,2,1),(28,7152922,'1992-05-21 00:00:00',2,1,12,2009,'F','N','JARDIM OSWALDO CRUZ','S JOSÉ CAMPOS','SP','125252251216472431449934571112610133092',8181,'9998',49.75,1,3,NULL),(28,7152949,'1994-08-17 00:00:00',2,1,12,2011,'F','N','VILA MARGARIDA','OURINHOS','SP','125252251217111731368811475122610165093',NULL,'9998',22.83,1,3,NULL),(28,7152957,'1994-04-30 00:00:00',2,8,10,2011,'M','N','IRIRIU','JOINVILLE','SC','124243241215131431336923575124610113147',12907,'931',43.20,4,3,NULL),(28,7152965,'1993-02-04 00:00:00',2,23,12,2010,'F','N','INDUSTRIAL NORTE','RIO NEGRINHO','SC','124241241146371431436411345132610124147',NULL,'669',11.61,1,3,NULL),(28,7152990,'1992-11-10 00:00:00',4,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116372731436619595124610126145',10538,'307',46.48,1,2,1),(28,7153007,'1990-06-22 00:00:00',4,4,12,2008,'F','N','SANTA MARIA','CHAPECÓ','SC','124245241116573431626336482112610164057',NULL,'648',21.51,1,3,NULL),(28,7153015,'1974-12-09 00:00:00',6,1,12,2000,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124131135317131421125444445235342836182',14024,'988',47.37,1,3,NULL),(28,7153023,'1994-07-05 00:00:00',4,1,12,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111231249613575124610122197',12156,'272',40.98,1,3,NULL),(28,7153031,'1993-10-12 00:00:00',4,1,12,2010,'M','N','VILA NOVA','ASSAÍ','PR','116161161117471431426439585124610122142',18199,'9998',38.31,1,2,1),(28,7153040,'1994-07-20 00:00:00',4,1,11,2011,'M','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121217111431487812295122610164057',7644,'9998',57.73,1,3,NULL),(28,7153058,'1990-05-04 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241127231721323429292334610113182',NULL,'289',28.59,4,2,1),(28,7153074,'1993-12-08 00:00:00',2,15,11,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124242241215472451458912575122610161142',10773,'26',46.28,1,3,NULL),(28,7153090,'1991-08-25 00:00:00',4,1,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241416161231428747445234610125097',19097,'49',34.88,1,3,NULL),(28,7153104,'1994-11-10 00:00:00',4,1,11,2012,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124241241115151331228739392124610142142',NULL,'271',8.30,1,3,NULL),(28,7153112,'1989-08-10 00:00:00',4,2,12,2006,'F','N','BARRA DO SAÍ','GUARATUBA','PR','116163161316413431526435315124130722147',4849,'9998',55.07,1,3,NULL),(28,7153120,'1969-01-30 00:00:00',2,8,3,1986,'M','N','JARDIM CLAUDIA','LONDRINA','PR','125251251126154421115649492344240566043',12430,'9998',49.91,1,3,NULL),(28,7153139,'1995-04-03 00:00:00',2,4,12,2011,'F','N','INTERIOR','IPUAÇU','SC','124241241114131311323336592224610154067',15977,'372',35.97,1,2,1),(28,7153147,'1994-10-29 00:00:00',2,10,12,2011,'F','N','CENTRO','S LUDGERO','SC','124243241215111331433832575122610133052',18209,'950',38.28,1,3,NULL),(28,7153155,'1994-05-28 00:00:00',4,1,12,2011,'M','N','CENTRO','UMUARAMA','PR','116162161216111431578731415122610134193',10909,'9998',44.45,1,3,NULL),(28,7153171,'1995-07-27 00:00:00',4,1,12,2012,'F','S','SAO FRANCISCO DE ASS','BRAÇO NORTE','SC','124243241217151712617639575122610126042',NULL,'102',32.71,1,3,NULL),(28,7153180,'1994-09-08 00:00:00',4,1,11,2011,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124242241217121531358713275124610117047',16300,'1011',43.10,1,3,NULL),(28,7153198,'1993-05-31 00:00:00',2,24,12,2010,'M','N','CENTRO','IMBUIA','SC','124241242116371431533714595122610137052',11656,'662',42.26,1,2,1),(28,7153210,'1994-11-23 00:00:00',4,9,12,2011,'F','N','CENTRO','VACARIA','RS','120202201217271651558816571122610163097',4309,'9998',57.15,1,3,NULL),(28,7153228,'1994-08-22 00:00:00',4,27,12,2011,'F','N','CENTRO','GUARANI MISSÕES','RS','120203201216111431448633575122610166092',6149,'9998',54.19,1,3,NULL),(28,7153252,'1990-06-09 00:00:00',4,1,3,2009,'F','N','ASA NORTE','BRASÍLIA','DF','107074077417471411369932572122240212093',19344,'9998',33.62,1,3,NULL),(28,7153260,'1958-07-16 00:00:00',4,1,12,1978,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124202203116131731224448485124143046147',18099,'9998',38.61,1,3,NULL),(28,7153279,'1993-10-15 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117371431334829575124610162042',17203,'298',31.20,1,2,1),(28,7153287,'1993-08-05 00:00:00',4,5,11,2010,'F','N','SAÚDE','RIO CLARO','SP','125241241116472311356612375122610115142',16587,'822',42.45,1,3,NULL),(28,7153295,'1994-03-17 00:00:00',4,24,12,2011,'M','N','GABIROBA','ITUPORANGA','SC','124243241331131421434312345111610114052',12191,'1173',43.74,1,3,NULL),(28,7153309,'1996-02-13 00:00:00',4,1,11,2013,'F','S','BARREIROS','S JOSÉ','SC','124242241216111331369921475124610123152',NULL,'738',29.54,1,3,NULL),(28,7153333,'1996-01-23 00:00:00',4,8,12,2012,'M','S','CENTRO','S FRANCISCO SUL','SC','124242241217111731467632572122610137042',NULL,'1063',42.96,1,3,NULL),(28,7153341,'1993-05-01 00:00:00',2,4,12,2009,'F','N','BOM FIM','PTO ALEGRE','RS','120202241216573411455639575115610164017',2114,'983',65.42,1,3,NULL),(28,7153368,'1992-03-30 00:00:00',2,1,12,2009,'M','N','FORQUILHAS','S JOSÉ','SC','124241241131271331543524345124610127181',17895,'727',39.22,1,2,1),(28,7153384,'1992-07-11 00:00:00',4,1,12,2010,'M','N','CENTRO','GUARATINGUETÁ','SP','125252251217471431668814575124610167122',4481,'9998',57.42,1,3,NULL),(28,7153406,'1992-03-21 00:00:00',4,1,12,2009,'M','N','INTERLAGOS','S JOSÉ CAMPOS','SP','125251256215471431666819472122610137042',1415,'9998',68.25,1,3,NULL),(28,7153414,'1977-12-18 00:00:00',2,1,7,1997,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','224241247217131431436659345124131046197',16517,'1003',42.62,1,3,NULL),(28,7153430,'1991-09-07 00:00:00',4,1,11,2010,'M','N','SANTA INES','TRÊS PASSOS','RS','120202207316371531438817185124610137043',NULL,'9998',0.00,1,3,NULL),(28,7153449,'1991-01-17 00:00:00',4,1,11,2008,'M','N','NOVA PARNAÍBA','PARNAÍBA','PI','107182187317271411546624385124142264132',NULL,'9998',33.14,4,3,NULL),(28,7153465,'1991-03-22 00:00:00',2,1,12,2008,'M','N','BOM JESUS','PTO ALEGRE','RS','120161161317471431556612345122610117047',NULL,'9998',NULL,4,3,NULL),(28,7153473,'1994-09-23 00:00:00',2,10,12,2011,'M','N','HUMAITÁ','TUBARÃO','SC','124241241115371432457613345122610157081',NULL,'798',16.97,1,2,1),(28,7153481,'1992-10-01 00:00:00',2,16,12,2009,'F','N','CENTRO','STA CECÍLIA','SC','124243241327371431329923395124131224052',18869,'686',35.80,1,3,NULL),(28,7153503,'1988-11-17 00:00:00',4,1,12,2007,'F','N','INCONFIDENTES','OURO BRANCO','MG','113134133217571331453632575124343218187',16393,'9998',31.62,1,3,NULL),(28,7153511,'1993-07-08 00:00:00',4,2,12,2010,'M','N','PONTA AGUDA','BLUMENAU','SC','124244241411131511259813572122610112192',18877,'1176',35.77,1,3,NULL),(28,7153538,'1994-07-18 00:00:00',2,8,12,2011,'M','N','JARDIM OKINAWA','PAULÍNIA','SP','125252251215121431489814575112610134016',2531,'9998',61.06,4,3,NULL),(28,7153554,'1993-02-18 00:00:00',4,16,12,2010,'M','N','CENTRO','MTE CARLO','SC','124241242117573431438933475122131015032',5902,'936',56.84,1,2,1),(28,7153570,'1992-12-01 00:00:00',2,1,12,2010,'M','N','BOM VIVER','BIGUAÇU','SC','124241241112131531225654245124610127052',NULL,'257',27.12,4,2,1),(28,7153589,'1994-09-05 00:00:00',4,1,12,2011,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241115151411356823275122610135012',3254,'739',58.42,1,3,NULL),(28,7153597,'1993-04-27 00:00:00',4,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124241241216162751436933395124610128187',17320,'1011',40.72,1,3,NULL),(28,7153619,'1995-04-29 00:00:00',4,1,12,2011,'F','N','AMBRÓSIO','GAROPABA','SC','124243241125111431456434572122610131142',15147,'322',45.31,1,3,NULL),(28,7153627,'1988-06-08 00:00:00',2,1,12,2006,'M','N','PIRATININGA','NITERÓI','RJ','121212211217131451328811412114141067117',NULL,'9998',0.00,1,3,NULL),(28,7153635,'1994-01-19 00:00:00',4,5,10,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215271431528632575122610162122',4611,'226',55.92,1,3,NULL),(28,7153651,'1991-02-26 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124203201231271731425824282124141031047',14591,'9998',35.65,1,3,NULL),(28,7153660,'1994-11-15 00:00:00',4,3,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241116371431536611575121610127042',13716,'51',41.16,1,2,1),(28,7153686,'1993-06-04 00:00:00',2,1,11,2010,'M','N','SÃO JOSÉ','MIRASSOL','SP','125252251214471231356619575122610162042',7019,'9998',52.57,4,3,NULL),(28,7153708,'1993-08-31 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241112371431436413575124610167077',15605,'271',36.52,1,3,NULL),(28,7153716,'1994-01-01 00:00:00',4,2,12,2010,'F','N','GARCIA','BLUMENAU','SC','124241241215472431636612575122610122112',10981,'855',52.15,1,3,NULL),(28,7153724,'1993-09-24 00:00:00',4,1,12,2011,'F','N','FONSECA','NITERÓI','RJ','121212211237111431358634572114610164072',6622,'9998',53.71,1,3,NULL),(28,7153732,'1993-02-02 00:00:00',4,1,12,2010,'M','N','JARDIM TOPÁZIO','S JOSÉ CAMPOS','SP','125252253237471431358833372122610122092',9546,'9998',44.09,1,3,NULL),(28,7153759,'1994-02-28 00:00:00',4,1,12,2011,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115141411456923345124610127042',NULL,'287',30.01,1,2,1),(28,7153767,'1993-09-13 00:00:00',4,4,12,2010,'M','N','CENTRO','XANXERÊ','SC','124242241216272431369634275121141427052',5125,'836',57.39,1,3,NULL),(28,7153775,'1993-11-10 00:00:00',4,1,10,2011,'M','N','JARDINS VIENA','APARECIDA GOIÂNIA','GO','109092091216111431446632585122610144042',7369,'9998',58.19,1,3,NULL),(28,7153783,'1993-10-13 00:00:00',4,1,12,2010,'M','N','PLACAS','RIO BRANCO','AC','101012011217271431339819575112610162191',NULL,'9998',15.35,4,3,NULL),(28,7153791,'1993-09-15 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431468932575122610122042',974,'1174',70.64,1,3,NULL),(28,7153805,'1995-01-09 00:00:00',4,9,12,2011,'F','N','CENTRO','LAGES','SC','124242241215111431458831575112610143142',2819,'497',61.18,1,3,NULL),(28,7153813,'1992-01-05 00:00:00',4,1,11,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216574431379613445124133223187',9801,'262',46.01,1,3,NULL),(28,7153821,'1994-02-25 00:00:00',2,5,11,2011,'F','N','VILA FLORESTA','CRICIÚMA','SC','124242241215112431435711575114610128142',11508,'226',43.29,1,3,NULL),(28,7153848,'1992-08-06 00:00:00',4,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241227153731428724345124610166042',3849,'262',64.82,1,3,NULL),(28,7153856,'1995-03-05 00:00:00',4,3,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124204241415371631458712575122610124142',10977,'44',45.67,1,3,NULL),(28,7153864,'1991-06-19 00:00:00',2,1,8,2011,'M','N','CANTO','FLORIANÓPOLIS','SC','124242246115372431326633485124610165092',9572,'306',50.69,2,3,NULL),(28,7153872,'1994-12-28 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431458914572122610127041',NULL,'1168',15.24,1,3,NULL),(28,7153880,'1993-12-11 00:00:00',2,1,11,2011,'F','N','CAMPECHE','S JOSÉ','SC','124244248215111421228824575114610162077',NULL,'738',24.06,1,3,NULL),(28,7153899,'1987-12-02 00:00:00',2,1,12,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124201201115574431533334245134140237042',5326,'9998',57.76,1,2,1),(28,7153902,'1994-11-06 00:00:00',4,24,11,2011,'M','N','CENTRO','BRAÇO TROMBUDO','SC','124243241215371431565612582124610127052',13006,'654',40.99,1,3,NULL),(28,7153910,'1994-08-21 00:00:00',4,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124241241215111431524632111324610127012',16112,'1118',34.35,1,3,NULL),(28,7153937,'1990-09-29 00:00:00',4,8,12,2009,'F','N','SANTA CÂNDIDA','CURITIBA','PR','116283161316471431427614475124142034092',13224,'9998',38.02,1,3,NULL),(28,7153945,'1994-02-17 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431328529572335610137037',3314,'1050',59.11,1,3,NULL),(28,7153953,'1994-08-15 00:00:00',2,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215471431559811575122610126142',NULL,'226',0.00,1,3,NULL),(28,7153961,'1996-03-27 00:00:00',4,24,12,2013,'F','S','BREMER','RIO SUL','SC','124242241217111711349613232122610122197',NULL,'653',52.70,1,3,NULL),(28,7153988,'1993-11-05 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241316472431459613572114610146177',NULL,'271',18.31,1,3,NULL),(28,7154011,'1994-07-01 00:00:00',4,26,12,2011,'M','N','CENTRO','MARCELINO RAMOS','RS','120201201117371231446933572124610148097',4020,'9998',57.38,1,2,1),(28,7154020,'1992-11-21 00:00:00',4,4,12,2009,'F','N','CENTRO','XAXIM','SC','124242241214572431449811575122610121182',7025,'994',50.58,1,3,NULL),(28,7154038,'1994-01-29 00:00:00',2,10,11,2011,'F','N','CENTRO','BRAÇO NORTE','SC','124241241215131431223923145124610113052',8904,'950',47.59,1,3,NULL),(28,7154046,'1986-09-26 00:00:00',4,1,12,2004,'M','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251217571411359631572124240617077',1207,'9998',66.59,1,3,NULL),(28,7154070,'1994-09-07 00:00:00',4,1,12,2011,'F','N','JARDIM C DE FPOLIS','S JOSÉ','SC','124244241215121731426514472122610164075',1862,'1134',66.06,1,3,NULL),(28,7154089,'1993-12-10 00:00:00',4,1,12,2011,'M','N','MARECHAL RONDON','GOIÂNIA','GO','109092091237111431327813575112610164172',6406,'9998',59.86,1,3,NULL),(28,7154097,'1995-01-11 00:00:00',4,1,12,2011,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241217111721255923572122610123145',17119,'1022',30.25,1,3,NULL),(28,7154100,'1994-01-28 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215122411368823575124610163027',5354,'738',58.25,1,3,NULL),(28,7154119,'1993-11-28 00:00:00',4,4,12,2011,'F','N','CENTRO','ÁGUAS FRIAS','SC','124241241125271421333615575124610134147',NULL,'11',0.00,1,2,1),(28,7154127,'1994-10-17 00:00:00',2,4,11,2011,'M','N','CENTRO','ERECHIM','RS','120122201215111431234432575122610124145',NULL,'9998',0.00,1,3,NULL),(28,7154143,'1993-09-22 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215574431337873575114130226072',1874,'1022',64.32,1,3,NULL),(28,7154151,'1994-05-05 00:00:00',4,2,12,2011,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241217272431345432325112610164012',2336,'909',66.41,1,3,NULL),(28,7154160,'1991-07-14 00:00:00',2,27,12,2008,'F','N','COHAB','MARAVILHA','SC','124241241116271711634611375124131034077',NULL,'551',26.24,4,3,NULL),(28,7154178,'1986-03-28 00:00:00',4,9,12,2005,'F','N','CENTRO','RIO GRANDE','RS','120201201136573441255519275324142242182',9555,'9998',48.61,1,2,1),(28,7154186,'1992-03-26 00:00:00',2,27,12,2010,'F','N','CENTRO','MARAVILHA','SC','124241241146471431443412345122610123047',16603,'551',34.19,1,3,NULL),(28,7154194,'1995-05-26 00:00:00',4,1,12,2012,'F','S','COLONINHA','FLORIANÓPOLIS','SC','624242241212121231226429592124610126072',NULL,'300',21.83,1,3,NULL),(28,7154208,'1992-07-04 00:00:00',4,1,12,2011,'M','N','IPIRANGA','S JOSÉ','SC','124241241115371431425611575114610134057',13641,'295',42.64,1,2,1),(28,7154224,'1988-07-18 00:00:00',4,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124164161216131411238824495114231065147',14022,'9998',37.09,1,3,NULL),(28,7154232,'1984-07-06 00:00:00',4,1,12,2003,'M','N','CENTO','FLORIANÓPOLIS','SC','124143148236131741338832385124141764127',11346,'9998',51.57,1,3,NULL),(28,7154267,'1996-07-28 00:00:00',4,2,12,2012,'M','S','ÁGUA VERDE','BLUMENAU','SC','124242241215111431467933575112610134092',NULL,'855',42.98,1,3,NULL),(28,7154283,'1994-01-18 00:00:00',2,1,12,2011,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115471431546414572324610137117',15424,'307',38.80,1,2,1),(28,7154291,'1994-03-02 00:00:00',4,23,11,2011,'M','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124244241215271411478412375114610167062',6857,'1063',59.08,1,3,NULL),(28,7154321,'1993-01-01 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241416131431231929245124610133077',NULL,'288',39.15,1,3,NULL),(28,7154330,'1990-03-11 00:00:00',2,15,12,2008,'F','N','DIVINEIA','ARARANGUÁ','SC','124241241112132421436339442135610124142',NULL,'29',22.39,1,3,NULL),(28,7154356,'1994-05-14 00:00:00',4,4,12,2011,'F','N','ESPLANADA','CHAPECÓ','SC','124241248112371731336639585122613268147',18015,'169',30.63,1,2,1),(28,7154372,'1994-12-31 00:00:00',4,6,12,2011,'F','N','COLINA VERDE','RONDONÓPOLIS','MT','111112111216271731436622575112610167072',NULL,'9998',0.00,4,3,NULL),(28,7154402,'1994-10-13 00:00:00',4,1,11,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215112431249832575124610136012',1711,'270',66.81,1,3,NULL),(28,7154410,'1993-04-03 00:00:00',4,8,11,2010,'F','N','LOT RESID FAZ S JOSE','VALINHOS','SP','125252253217471431368821572122610163047',1055,'9998',66.62,1,3,NULL),(28,7154437,'1990-09-19 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124251251116271431323314145124610164092',14805,'9998',34.82,1,2,1),(28,7154445,'1994-05-09 00:00:00',2,1,12,2011,'F','N','IPIRANGA','URUGUAIANA','RS','120201201116371431413324375124610132012',NULL,'9998',21.60,1,2,1),(28,7154461,'1993-11-19 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124144141417151411328932285124610162032',15174,'9998',45.27,1,3,NULL),(28,7154488,'1977-03-11 00:00:00',4,1,6,1995,'M','N','BARREIROS','S JOSÉ','SC','124241246112375721356512145124123212012',12330,'306',50.04,1,3,NULL),(28,7154496,'1995-09-09 00:00:00',4,1,12,2012,'M','S','CAMINHO NOVO','PALHOÇA','SC','124241241225131731646314345124610135112',NULL,'262',30.59,4,3,NULL),(28,7154500,'1991-01-15 00:00:00',2,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124241243127271431336423242124610134182',10089,'591',51.78,1,2,1),(28,7154518,'1982-04-04 00:00:00',4,1,12,2000,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241336375221466414245124321522077',3415,'270',65.82,4,3,NULL),(28,7154534,'1993-05-05 00:00:00',4,6,12,2011,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241215472431448811274124610124147',6811,'1057',53.78,1,3,NULL),(28,7154542,'1991-12-21 00:00:00',4,1,12,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241248116312411348931295124121734183',14879,'272',45.84,1,3,NULL),(28,7154550,'1993-04-30 00:00:00',2,3,11,2010,'M','N','BATEL','CURITIBA','PR','116164168414472411587722175125610166147',NULL,'9998',0.00,1,3,NULL),(28,7154569,'1993-07-08 00:00:00',2,1,12,2010,'F','N','SÃO JOSÉ','S JOSÉ','SC','124241241112372731226527575124610154147',NULL,'733',36.71,1,2,1),(28,7154577,'1995-03-02 00:00:00',4,1,12,2011,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241116371441326414585124610124097',9290,'772',48.66,1,2,1),(28,7154607,'1992-04-08 00:00:00',2,3,12,2009,'F','N','CENTRO','CATUÍPE','RS','120201201116151431234314595124243161197',19619,'9998',31.87,1,3,NULL),(28,7154640,'1993-07-22 00:00:00',4,1,11,2010,'M','N','MARIA ISABEL','MARÍLIA','SP','125252251215471411438873575122610164171',2142,'9998',62.39,3,3,NULL),(28,7154658,'1993-08-11 00:00:00',2,1,12,2010,'F','N','JD LANCASTER','FOZ IGUAÇU','PR','116242241215472431448811575124610123182',2782,'270',59.60,4,1,2),(28,7154666,'1991-04-19 00:00:00',2,3,12,2008,'F','N','CENTRO','LONDRINA','PR','116164161216572421238969571122610124142',15794,'9998',44.10,1,3,NULL),(28,7154674,'1992-08-03 00:00:00',2,1,12,2009,'F','N','CENTRO','ALVORADA SUL','PR','116163161216571421438831585112610164196',NULL,'9998',0.00,1,3,NULL),(28,7154682,'1990-10-28 00:00:00',4,1,12,2008,'M','N','SÃO PEDRO','TIETÊ','SP','125252251216471411367939295122141832072',15816,'9998',44.06,1,3,NULL),(28,7154690,'1993-05-21 00:00:00',2,1,12,2010,'M','N','CENTRO','PETROLÂNDIA','SC','124241241117471431446611275124610167052',NULL,'613',26.85,4,2,1),(28,7154704,'1992-07-29 00:00:00',2,1,12,2009,'M','N','ASA NORTE','BRASÍLIA','DF','107072071216151431267923345122240737042',NULL,'9998',0.00,1,3,NULL),(28,7154739,'1982-07-16 00:00:00',2,3,11,1998,'M','N','VILA NOVA','LONDRINA','PR','116161161116571711465911192122341367062',NULL,'9998',0.00,4,2,1),(28,7154771,'1984-11-16 00:00:00',2,8,12,2002,'M','N','MOSSUNGUE','CURITIBA','PR','116161161116131751123379445124140262041',NULL,'9998',27.87,1,3,NULL),(28,7154780,'1994-02-26 00:00:00',4,3,12,2011,'F','N','CENTRO','ARAPONGAS','PR','116162161215111431479912475122610167012',534,'9998',72.96,1,3,NULL),(28,7154798,'1988-04-16 00:00:00',2,1,12,2007,'F','N','REAL PARQUE','S JOSÉ','SC','124061061137161711324444345314610113047',18035,'9998',32.40,1,2,1),(28,7154810,'1994-06-21 00:00:00',4,10,11,2011,'M','N','OFICINAS','TUBARÃO','SC','124241241415111431334732295122610147187',NULL,'807',29.91,1,3,NULL),(28,7154836,'1994-02-07 00:00:00',4,8,12,2011,'F','N','VILA BOA VISTA','BARUERI','SP','125253251116231731326679342124610137047',12871,'9998',40.81,1,3,NULL),(28,7154844,'1993-09-07 00:00:00',4,5,12,2011,'M','N','COMERCIARIO','CRICIÚMA','SC','124241246116371441249921595124610132175',NULL,'228',0.00,1,2,1),(28,7154852,'1961-03-16 00:00:00',4,1,12,1979,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124202208321153421154443232122322666181',NULL,'9998',0.00,1,3,NULL),(28,7154879,'1992-08-09 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244247227141451469613296124610164112',NULL,'9999',21.21,1,3,NULL),(28,7154887,'1993-06-22 00:00:00',2,16,10,2011,'M','N','INTERIOR','CAMPOS NOVOS','SC','124244248426231431527819395134610167043',NULL,'9999',0.00,1,3,NULL),(28,7154895,'1995-01-06 00:00:00',4,6,12,2011,'M','N','LARANJEIRAS','LUIZ ALVES','SC','124241241125161451533336295124610158042',NULL,'536',0.00,1,3,NULL),(28,7154925,'1992-06-16 00:00:00',4,8,11,2010,'F','N','ATIRADORES','JOINVILLE','SC','124242241215472411479714375122610164142',11163,'1016',43.40,1,3,NULL),(28,7154933,'1995-12-24 00:00:00',4,1,12,2012,'F','S','CENTRO','PALHOÇA','SC','124242241215151721338933375122610162042',NULL,'1011',34.37,1,3,NULL),(28,7154941,'1992-11-27 00:00:00',4,1,12,2009,'F','N','PQ CARLOTA REHDER','AGUAÍ','SP','125252251217571731369811475122610163147',3386,'9998',58.24,1,3,NULL),(28,7154950,'1991-12-10 00:00:00',2,26,12,2008,'M','N','NACOES','CONCÓRDIA','SC','124241241147271431446414245122610137097',NULL,'194',27.09,4,3,NULL),(28,7154976,'1979-10-02 00:00:00',2,1,12,2000,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241247226134441114379375224231036053',16299,'9999',43.10,1,3,NULL),(28,7154984,'1990-07-17 00:00:00',4,1,11,2008,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215373431376632575112221432092',NULL,'270',21.18,1,3,NULL),(28,7154992,'1995-06-28 00:00:00',4,1,12,2011,'F','N','AREIAS DE CIMA','GOV CELSO RAMOS','SC','124244241415471751425332575124610136187',NULL,'1040',0.00,4,3,NULL),(28,7155000,'1988-04-09 00:00:00',2,1,2,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244247112373411218923312214330264187',18651,'9999',36.69,1,3,NULL),(28,7155026,'1993-07-26 00:00:00',4,1,11,2011,'M','N','VILA MADALENA','S PAULO','SP','125252251217141432479812572122610167182',NULL,'9998',29.59,1,3,NULL),(28,7155034,'1993-03-10 00:00:00',5,1,12,2010,'M','N','LAGOA DOURADA','CRUZEIRO','SP','125254251117471231658614575121610167151',9494,'9998',46.63,1,3,NULL),(28,7155042,'1986-05-13 00:00:00',2,1,12,2003,'M','N','KOBRASOL','S JOSÉ','SC','124241241216375732323535165122610124017',15928,'1036',43.82,1,3,NULL),(28,7155050,'1985-04-18 00:00:00',4,1,12,2002,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224241241137152441226649295124321662182',13883,'307',47.59,1,2,1),(28,7155085,'1993-09-13 00:00:00',4,7,12,2011,'F','N','CENTRO','CAMPOS NOVOS','SC','124241245146141731224844245121610146147',18654,'140',27.60,1,2,1),(28,7155115,'1994-09-01 00:00:00',4,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','116161161116371431538824392222610168192',4308,'9998',57.88,1,2,1),(28,7155123,'1993-02-18 00:00:00',4,4,12,2010,'M','N','CENTRO','PTO ALEGRE','RS','120202201211371331449931571122610147042',NULL,'9998',55.39,1,3,NULL),(28,7155131,'1994-10-03 00:00:00',4,1,12,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124252241215111431458613575124610138052',14263,'300',47.01,1,3,NULL),(28,7155166,'1994-03-28 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116111411223319275125610137045',NULL,'295',20.93,1,2,1),(28,7155174,'1993-04-16 00:00:00',2,1,12,2011,'M','N','BAIRRO ALTO','CURITIBA','PR','116161161117141432237623395124610167047',NULL,'9998',25.50,4,2,1),(28,7155182,'1995-06-28 00:00:00',4,6,11,2012,'F','S','CABEÇUDAS','ITAJAÍ','SC','124242241215111431358812175122610164013',NULL,'392',36.69,1,3,NULL),(28,7155190,'1990-12-03 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241144473431126923345124221163141',10480,'740',45.65,1,2,1),(28,7155204,'1994-07-10 00:00:00',4,5,12,2011,'F','N','PEDRO ZANIVAN','CRICIÚMA','SC','124243241315151421334631575114610144072',19940,'920',28.87,1,3,NULL),(28,7155212,'1967-05-25 00:00:00',4,1,12,1987,'F','N','CENTRO','BIGUAÇU','SC','124241246126133421633327285124122216147',17695,'306',39.75,1,3,NULL),(28,7155239,'1992-10-28 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215474731368824575115610164145',647,'807',71.21,1,3,NULL),(28,7155247,'1993-09-24 00:00:00',4,1,12,2010,'M','N','PINHEIROS','VALINHOS','SP','125252251217471431468814575122610147142',4932,'9998',54.04,1,3,NULL),(28,7155255,'1989-04-11 00:00:00',4,5,12,2006,'M','N','MINEIRA VELHA','CRICIÚMA','SC','124243241337372711465614185114131034197',NULL,'220',0.00,3,3,NULL),(28,7155263,'1994-07-16 00:00:00',2,10,12,2011,'F','N','RECIFE','TUBARÃO','SC','124243241215121411326624585124610124072',8349,'797',49.12,1,3,NULL),(28,7155280,'1995-05-21 00:00:00',4,2,12,2012,'F','S','VELHA','BLUMENAU','SC','124243241215111431368612596122610125192',NULL,'87',31.03,1,3,NULL),(28,7155298,'1983-02-01 00:00:00',2,1,12,1983,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124101108121131532311344242234610157042',NULL,'9998',26.31,4,3,NULL),(28,7155301,'1994-12-23 00:00:00',4,4,11,2011,'F','N','COLATTO','XANXERÊ','SC','124241241236131711437823575122610166197',NULL,'836',0.00,4,3,NULL),(28,7155310,'1993-12-12 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241211111431548614575122610142183',17978,'737',33.84,1,3,NULL),(28,7155328,'1992-07-14 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','125242241217573451347814575122610112197',8576,'1022',50.65,1,3,NULL),(28,7155344,'1991-12-19 00:00:00',4,1,12,2009,'F','N','VISTA ALEGRE','VINHEDO','SP','125252258216471231358812575122240262112',NULL,'9998',32.43,1,3,NULL),(28,7155352,'1994-07-26 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242248315111711428661275122610138187',NULL,'976',0.00,4,3,NULL),(28,7155387,'1991-07-12 00:00:00',4,1,12,2008,'F','N','VILA GOMES','S PAULO','SP','125252251216572711535545334232321425161',3620,'9998',57.91,1,3,NULL),(28,7155395,'1993-08-14 00:00:00',4,8,10,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241217171531469914575112610144097',7343,'457',51.78,1,3,NULL),(28,7155409,'1994-06-11 00:00:00',2,4,12,2011,'M','N','CENTRO','RIQUEZA','SC','124241241135161731426613471125610117042',NULL,'674',0.00,1,3,NULL),(28,7155425,'1995-01-30 00:00:00',2,2,12,2012,'M','S','GARCIA','BLUMENAU','SC','124242241216112411369919595122610127042',NULL,'87',41.11,4,3,NULL),(28,7155441,'1993-04-23 00:00:00',4,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241243117131431433624575124610116057',6368,'306',50.75,1,2,1),(28,7155450,'1989-05-10 00:00:00',2,1,12,2006,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124161161215571411424824245134142464097',NULL,'9998',20.20,1,3,NULL),(28,7155468,'1993-12-21 00:00:00',4,1,12,2010,'M','N','MIRANTE DAS ESTRELAS','VINHEDO','SP','125252251217471431257722275122610121097',2037,'9998',62.29,1,3,NULL),(28,7155506,'1995-05-13 00:00:00',4,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124242241311112731569923574124610138173',1274,'1022',70.59,1,3,NULL),(28,7155522,'1994-06-13 00:00:00',2,5,12,2011,'M','N','UNIVERSITÁRIO','CRICIÚMA','SC','124162246215131411448613475114610164012',NULL,'995',27.56,1,3,NULL),(28,7155530,'1992-06-09 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241215115431434312445124122233143',5011,'270',62.38,1,3,NULL),(28,7155549,'1995-06-29 00:00:00',4,4,12,2012,'M','S','SANTA LUZIA','ABELARDO LUZ','SC','124241241217271731469614575114610164182',NULL,'836',45.47,1,3,NULL),(28,7155557,'1993-08-08 00:00:00',4,3,12,2010,'F','N','MONT SERRAT','PTO ALEGRE','RS','120202201217471431569933475125610142142',NULL,'9998',0.00,1,3,NULL),(28,7155565,'1992-07-02 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431339914595124230412142',8266,'270',56.68,1,3,NULL),(28,7155581,'1994-01-10 00:00:00',2,1,12,2011,'M','N','URBANOVA V','S JOSÉ CAMPOS','SP','125252251215111411478812472112610124092',3274,'9998',59.27,1,3,NULL),(28,7155590,'1994-09-22 00:00:00',4,16,12,2011,'M','N','CENTRO','CURITIBANOS','SC','124241241116371431436631215122610164182',14934,'239',45.75,2,1,1),(28,7155603,'1994-02-08 00:00:00',4,16,12,2011,'M','N','SÃO SEBASTIÃO','PTE ALTA NORTE','SC','124241242116131431338834575124610124052',NULL,'960',19.14,1,3,NULL),(28,7155611,'1992-03-31 00:00:00',2,1,12,2009,'M','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125253251417572431348823445112140764047',6205,'9998',51.40,1,3,NULL),(28,7155620,'1993-07-31 00:00:00',2,9,12,2011,'M','N','CENTRO','LAGES','SC','124242241215111431339813575122610167042',NULL,'499',28.32,4,3,NULL),(28,7155646,'1993-03-29 00:00:00',4,5,11,2010,'M','N','SANTO ANTÔNIO','CRICIÚMA','SC','124242241217473431459832575114610164095',229,'226',75.15,1,3,NULL),(28,7155654,'1995-03-29 00:00:00',4,8,12,2011,'F','N','CENTRO','BASTOS','SP','125252251216111431458831574115610134012',12817,'9998',38.66,3,3,NULL),(28,7155689,'1994-03-07 00:00:00',4,1,11,2011,'M','N','REAL PARQUE','S JOSÉ','SC','124244241415111331446914372111610127117',NULL,'976',18.18,1,3,NULL),(28,7155697,'1991-10-30 00:00:00',2,1,12,2010,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215371431227628571114610163177',10927,'269',45.10,1,3,NULL),(28,7155719,'1995-02-07 00:00:00',2,15,11,2011,'F','N','MATO ALTO','ARARANGUÁ','SC','124242241215122431446933574112610124172',864,'970',71.24,1,3,NULL),(28,7155727,'1994-04-27 00:00:00',2,8,11,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241215271411469932574112610122182',2625,'457',63.25,1,3,NULL),(28,7155743,'1995-08-10 00:00:00',4,8,12,2012,'M','S','CENTRO','S BENTO SUL','SC','124242248215111211419914145122610117142',NULL,'1178',35.84,1,3,NULL),(28,7155751,'1987-11-19 00:00:00',2,1,12,2004,'F','N','BARREIROS','S JOSÉ','SC','124161161117371431326344345124610131042',12905,'9998',49.14,1,3,NULL),(28,7155760,'1993-11-19 00:00:00',4,10,11,2011,'M','N','CENTRO','TUBARÃO','SC','124242241216151451468831572115610167052',4703,'797',56.63,1,3,NULL),(28,7155778,'1993-07-26 00:00:00',4,8,12,2010,'F','N','GUANABARA','JOINVILLE','SC','124241241215111651449834375124610113182',NULL,'489',0.00,1,3,NULL),(28,7155786,'1994-02-14 00:00:00',4,16,12,2011,'M','N','APARECIDA','CURITIBANOS','SC','124242241216111231333323572125610114047',11024,'881',44.88,1,3,NULL),(28,7155794,'1994-08-29 00:00:00',4,3,12,2011,'M','N','CARANDA BOSQUE','CPO GRANDE','MS','112124121216371431376933575122610167052',11900,'9998',42.18,4,3,NULL),(28,7155808,'1993-10-27 00:00:00',2,1,11,2011,'F','N','GRAGERU','ARACAJU','SE','126262261215111431569923595122610114122',NULL,'9998',25.46,1,3,NULL),(28,7155816,'1993-11-12 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215112411668313575124610123012',NULL,'738',25.12,1,3,NULL),(28,7155824,'1993-11-12 00:00:00',4,15,12,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124241242117142431423934315124610126097',NULL,'690',14.94,1,2,1),(28,7155832,'1994-12-13 00:00:00',2,26,11,2011,'F','N','CATARINA FONTANA','CONCÓRDIA','SC','124243241215131231336719584122610148147',12732,'1000',40.14,1,3,NULL),(28,7155840,'1993-06-02 00:00:00',4,1,10,2011,'F','N','COSTA AZUL','SALVADOR','BA','105052051216111411558931572112610126192',NULL,'9998',0.00,1,3,NULL),(28,7155867,'1992-08-21 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431388833575122221467112',1436,'270',67.28,1,3,NULL),(28,7155875,'1989-11-28 00:00:00',2,1,12,2006,'F','N','JARDIM BATISTA','EMBU','SP','125251251116131411324619395324242561177',NULL,'9998',0.00,4,2,1),(28,7155883,'1957-10-17 00:00:00',4,1,12,2011,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','224241247117131411351351112124610166042',19996,'9999',28.15,1,2,1),(28,7155891,'1991-04-19 00:00:00',2,8,11,2008,'F','N','XAXIM','CURITIBA','PR','116162161216572431355512575112610162147',NULL,'9998',0.00,1,3,NULL),(28,7155905,'1993-05-23 00:00:00',4,1,12,2010,'M','N','PARQUE HIPOLITO','LIMEIRA','SP','125251256126371431436811285124610124047',NULL,'9998',14.05,4,1,1),(28,7155921,'1994-07-20 00:00:00',4,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215111431259812372124610122057',8676,'262',46.08,1,3,NULL),(28,7155930,'1988-07-10 00:00:00',4,8,12,2006,'M','N','CUBATÃO','JOINVILLE','SC','124243247237472611348934445112231763167',14825,'487',45.94,1,3,NULL),(28,7155948,'1992-04-18 00:00:00',4,1,11,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217114411389913572112220763196',4635,'457',57.74,1,3,NULL),(28,7155956,'1992-07-05 00:00:00',4,1,11,2009,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125252251216572431359933575124610137072',NULL,'9998',0.00,1,3,NULL),(28,7155972,'1992-11-26 00:00:00',2,8,12,2009,'F','N','CRISTO REI','CURITIBA','PR','116121161116573731436713575124610112147',NULL,'9998',0.00,1,2,1),(28,7155980,'1992-09-29 00:00:00',2,4,12,2011,'M','N','IRMÃO COLONATA','CEL FREITAS','SC','124241241127141431523311341213610131067',19603,'199',31.99,1,2,1),(28,7155999,'1993-10-16 00:00:00',4,1,12,2011,'F','N','SANTO ANTÔNIO','MONTES CLAROS','MG','113132131217111431456923575122610146052',NULL,'9998',0.00,1,3,NULL),(28,7156006,'1993-07-14 00:00:00',4,1,12,2010,'M','N','JD PREVIDÊNCIA','S PAULO','SP','125252251217412231488833591125613234052',4430,'9998',55.32,1,3,NULL),(28,7156014,'1992-11-20 00:00:00',2,1,12,2009,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124242241212333431536812442114123234077',19418,'1050',33.24,1,3,NULL),(28,7156022,'1993-09-01 00:00:00',4,4,10,2010,'M','N','CENTRO','ERECHIM','RS','120202201215472431469911471124610167042',581,'9998',73.32,1,3,NULL),(28,7156030,'1993-06-13 00:00:00',4,5,12,2010,'F','N','BOA VISTA','COCAL SUL','SC','124241241215473431556612575124610136142',819,'226',70.87,1,3,NULL),(28,7156049,'1992-04-01 00:00:00',2,1,12,2009,'M','N','BAETA NEVES','S BERNARDO CAMPO','SP','125252251215571711468813574115610164111',6161,'9998',52.96,1,3,NULL),(28,7156065,'1994-02-13 00:00:00',4,1,12,2011,'M','N','ALTO ARIRIU','PALHOÇA','SC','124241241126141631433634245124610136053',NULL,'772',29.67,1,2,1),(28,7156081,'1994-07-22 00:00:00',4,2,10,2011,'M','N','VELHA','BLUMENAU','SC','124244241215111731368914495124610164182',NULL,'909',0.00,1,3,NULL),(28,7156090,'1994-10-14 00:00:00',4,1,12,2011,'F','N','ENCRUZILHADA','BIGUAÇU','SC','124243241312131231434431572124610134152',NULL,'63',18.29,1,3,NULL),(28,7156154,'1993-09-27 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217372431248823575124233258185',7789,'270',48.27,3,3,NULL),(28,7156170,'1994-05-05 00:00:00',4,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111451446934275122610134142',14592,'1038',41.15,1,3,NULL),(28,7156189,'1994-05-13 00:00:00',2,1,11,2011,'F','N','BELA VISTA','S JOSÉ','SC','124243241115161431326424572124610133047',11002,'271',44.65,1,3,NULL),(28,7156197,'1994-05-17 00:00:00',2,6,12,2011,'F','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124241241336132411427671285125610128192',NULL,'873',0.00,1,3,NULL),(28,7156200,'1994-06-02 00:00:00',4,1,12,2011,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215111431356914575122610124142',13369,'1074',41.44,1,3,NULL),(28,7156227,'1993-06-22 00:00:00',2,1,7,2011,'F','N','CAMPINAS','S JOSÉ','SC','124244241117131431448914242132610165043',10758,'739',46.64,1,3,NULL),(28,7156235,'1993-02-12 00:00:00',2,1,12,2010,'M','N','TAROBA','LONDRINA','PR','116161161112471431426514575324610126042',NULL,'9998',0.00,1,2,1),(28,7156243,'1981-12-26 00:00:00',4,1,5,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124131281117473431234829295121231027117',13500,'9998',48.24,1,2,1),(28,7156251,'1989-08-19 00:00:00',4,4,12,2007,'M','N','PALMITAL','CHAPECÓ','SC','124241241137131431446923242133133247187',NULL,'169',15.22,1,3,NULL),(28,7156260,'1994-08-05 00:00:00',4,6,11,2011,'F','N','CENTRO','NAVEGANTES','SC','120202201217371431319734572124610144097',5507,'9998',54.41,1,3,NULL),(28,7156294,'1992-09-22 00:00:00',2,27,12,2009,'F','N','CENTRO','CASCAVEL','PR','116161161136572431344435595124610116097',NULL,'9998',0.00,1,2,1),(28,7156308,'1991-11-02 00:00:00',4,4,12,2008,'M','N','CENTRO','PINHALZINHO','SC','124241241111132211445831243221131464172',NULL,'616',0.00,1,2,1),(28,7156316,'1978-04-24 00:00:00',4,1,12,1995,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124244241312273731136343335123321264187',1642,'269',71.11,1,3,NULL),(28,7156324,'1994-08-26 00:00:00',2,8,12,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124241241215111431466933345134610127041',12947,'1016',49.08,1,3,NULL),(28,7156332,'1994-05-03 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241135151411568413345122610127142',NULL,'733',29.93,1,3,NULL),(28,7156359,'1994-08-30 00:00:00',2,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','125242241211151431427813371124610124075',16232,'1134',33.50,4,3,NULL),(28,7156367,'1993-10-08 00:00:00',4,5,12,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215141431658823245122610123067',12471,'920',41.98,1,3,NULL),(28,7156391,'1994-12-12 00:00:00',2,8,12,2011,'F','N','ASA NORTE','BRASÍLIA','DF','107074071216151431537619572122610143142',5684,'9998',61.16,3,3,NULL),(28,7156405,'1988-03-31 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241217142421439711395122332722047',10440,'1022',45.19,1,3,NULL),(28,7156421,'1995-02-10 00:00:00',2,1,12,2012,'M','S','CENTRO','CPO ERÊ','SC','124241241117111431336634345122610132042',NULL,'137',25.92,1,3,NULL),(28,7156430,'1994-12-21 00:00:00',4,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','116162161217271431369831572112610161182',NULL,'9998',0.00,1,3,NULL),(28,7156448,'1994-08-05 00:00:00',4,10,11,2011,'F','N','CENTRO','TUBARÃO','SC','124242241215272431438933575112610164142',6954,'797',54.49,1,3,NULL),(28,7156456,'1972-10-30 00:00:00',2,2,12,1993,'M','N','SANTA JULIETA','SALTO PIRAPORA','SP','525251256136141421346471315132610164097',NULL,'9998',NULL,1,3,NULL),(28,7156464,'1993-06-22 00:00:00',2,1,7,2011,'F','N','CAMPINAS','S JOSÉ','SC','124244241117131131448914242124610165052',8026,'739',51.76,1,3,NULL),(28,7156472,'1991-02-21 00:00:00',2,4,12,2008,'F','N','CENTRO','PAIM FILHO','RS','120201201146572431534933272124610116057',1814,'9998',63.94,1,2,1),(28,7156480,'1991-09-27 00:00:00',4,8,11,2010,'M','N','SAO CRISTOVAO','MEDIANEIRA','PR','116162161215471431448712575122610114043',3238,'9998',64.73,1,3,NULL),(28,7156502,'1994-02-09 00:00:00',2,1,12,2011,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124244241115111721436611395224610127042',17446,'271',40.43,2,3,NULL),(28,7156510,'1991-11-25 00:00:00',4,1,12,2008,'M','N','CENTRO','GAROPABA','SC','124241241112373421436631312132610147012',NULL,'322',29.32,1,2,1),(28,7156529,'1993-03-13 00:00:00',2,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124241241115271431236523376124610136147',18137,'592',30.96,1,2,1),(28,7156537,'1994-07-15 00:00:00',4,8,12,2011,'F','N','PARQUE PARAISO','ITAPECERICA SERRA','SP','125252251216131431548831345122610136147',3724,'9998',57.28,1,3,NULL),(28,7156545,'1993-02-26 00:00:00',4,1,12,2010,'F','N','VILA MARIANA','S PAULO','SP','125252251217471731468921475125610127147',177,'9998',75.88,1,3,NULL),(28,7156561,'1994-11-12 00:00:00',4,9,11,2011,'M','N','CENTRO','LAGES','SC','124241241215112431337739595122610134142',1607,'1207',64.48,1,3,NULL),(28,7156588,'1995-06-25 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216111731339933235122610167182',NULL,'272',24.50,1,3,NULL),(28,7156596,'1986-09-06 00:00:00',2,1,12,2006,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241225235731633511345124610167187',NULL,'262',25.81,1,3,NULL),(28,7156600,'1993-04-29 00:00:00',4,1,12,2010,'M','N','VILA LEOPOLDINA','S PAULO','SP','125252251217472431558811581114610164057',3376,'9998',65.91,1,3,NULL),(28,7156618,'1994-01-10 00:00:00',4,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241235111431446614575114610134127',18185,'1022',38.34,4,3,NULL),(28,7156626,'1991-05-07 00:00:00',4,1,12,2008,'M','N','AQUARIUS','S JOSÉ CAMPOS','SP','125252251217573432487714572112610137042',9322,'9998',48.74,1,3,NULL),(28,7156650,'1990-08-13 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241115574451559933452122231414162',5495,'267',56.33,1,3,NULL),(28,7156669,'1993-08-07 00:00:00',4,8,11,2010,'M','N','FLORESTA','JOINVILLE','SC','124242251215471411489912395124610167122',NULL,'9998',35.93,1,3,NULL),(28,7156677,'1994-01-10 00:00:00',4,1,11,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111441436613474114610133097',5298,'1022',58.50,1,3,NULL),(28,7156693,'1991-01-29 00:00:00',2,1,12,2007,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124243241117132421328644245124610113182',NULL,'257',22.45,1,3,NULL),(28,7156707,'1993-12-12 00:00:00',4,1,12,2010,'F','N','SANTA RITA','JABOTICABAL','SP','125252251216471431479931575122610162092',429,'9998',72.47,1,3,NULL),(28,7156723,'1994-03-25 00:00:00',1,2,12,2011,'F','N','BIGORRILHO','CURITIBA','PR','116244161217471711458939574124610166187',NULL,'9998',0.00,1,3,NULL),(28,7156731,'1994-01-01 00:00:00',4,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241215372411526634575124610162071',8619,'1075',49.16,1,3,NULL),(28,7156740,'1992-01-26 00:00:00',4,1,12,2009,'F','N','SOCORRO','S PAULO','SP','125252251217571731469823573122610147147',1178,'9998',66.47,3,3,NULL),(28,7156758,'1993-11-27 00:00:00',4,1,11,2010,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215372431588813575114610117042',1399,'270',68.57,1,3,NULL),(28,7156766,'1994-04-21 00:00:00',4,22,11,2011,'F','N','SÃO LUIZ','BRUSQUE','SC','124244241215112411355911275112610162142',4540,'109',56.86,1,3,NULL),(28,7156774,'1993-02-17 00:00:00',4,17,12,2010,'F','N','ALTO DE MAFRA','MAFRA','SC','124163161215412441456933595124610116172',3115,'9998',59.32,1,3,NULL),(28,7156782,'1992-03-18 00:00:00',2,1,12,2009,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241112131131523327215114610164147',NULL,'359',14.24,1,2,1),(28,7156790,'1992-12-29 00:00:00',4,1,12,2010,'M','N','JD FONTE DO MORUMBI','S PAULO','SP','125252251217471411488811475122610162112',255,'9998',74.74,1,3,NULL),(28,7156804,'1994-02-05 00:00:00',4,1,12,2011,'M','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124242241215111431558612575122610124187',3083,'1074',62.03,1,3,NULL),(28,7156812,'1994-10-18 00:00:00',4,3,9,2011,'F','N','CHÁCARA CACHOEIRA','CPO GRANDE','MS','112122121215121431389933575112610144192',3277,'9998',66.14,1,3,NULL),(28,7156820,'1992-06-27 00:00:00',4,17,10,2009,'F','N','VILA IZABEL','CURITIBA','PR','116244164235573431328824592224610132042',830,'9998',69.94,1,3,NULL),(28,7156839,'1994-10-05 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248215112441359932575122610167147',11941,'270',44.12,1,3,NULL),(28,7156855,'1993-12-05 00:00:00',4,1,12,2010,'M','N','CENTRO','CURITIBA','PR','116162161212471321458823275124610114093',NULL,'9998',0.00,1,3,NULL),(28,7156871,'1994-04-14 00:00:00',4,4,12,2011,'M','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124242241215111431447613575122610124062',4720,'1191',55.53,1,3,NULL),(28,7156880,'1995-08-07 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241217151431569914575114610137142',NULL,'270',42.05,1,3,NULL),(28,7156898,'1988-12-30 00:00:00',2,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124202247617131731238671385124610113182',15636,'9999',44.42,1,3,NULL),(28,7156910,'1994-05-24 00:00:00',4,8,11,2011,'F','N','CENTRO','ERECHIM','RS','120162161216411431477811115122610117092',2295,'9998',62.50,1,3,NULL),(28,7156928,'1994-01-15 00:00:00',4,4,12,2010,'F','N','INTERIOR','CRUZEIRO IGUAÇU','PR','116161161116471431558916585122610164147',3802,'9998',58.58,1,2,1),(28,7156944,'1994-12-15 00:00:00',4,1,11,2012,'F','S','JARDIM ITÁLIA','CUIABÁ','MT','111112111316111731458913575122610164142',NULL,'9998',50.60,1,3,NULL),(28,7156952,'1992-09-11 00:00:00',2,9,12,2011,'F','N','ARAUCARIA','LAGES','SC','124241241137141431426324346324610166181',NULL,'500',21.54,1,3,NULL),(28,7156960,'1993-02-18 00:00:00',4,8,12,2010,'M','N','ALTO DA XV','CURITIBA','PR','116164161237373751544471485114610167042',NULL,'9998',0.00,4,3,NULL),(28,7156979,'1994-05-11 00:00:00',4,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215122431356432572114610162182',4517,'299',58.09,1,3,NULL),(28,7156987,'1994-06-11 00:00:00',2,22,12,2011,'M','N','ITATIAIA','EMBU','SP','125244251216111431336611575112610121097',11504,'9998',44.43,1,3,NULL),(28,7156995,'1994-06-15 00:00:00',4,1,11,2011,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215112431239929474124610116052',1443,'270',69.31,1,3,NULL),(28,7157002,'1994-05-02 00:00:00',4,24,11,2011,'M','N','BOA VISTA','RIO SUL','SC','124242241217131431436312575122610142057',7131,'663',50.74,1,3,NULL),(28,7157010,'1984-11-17 00:00:00',2,4,12,2002,'F','N','CENTRO','UBIRATÃ','PR','116161221134371451228723372123341138177',NULL,'9998',0.00,2,1,1),(28,7157029,'1994-01-21 00:00:00',2,7,12,2011,'F','N','APARECIDA','CAMPOS NOVOS','SC','124241241215131411226329395125610166057',NULL,'138',35.88,4,1,2),(28,7157037,'1991-12-26 00:00:00',4,8,11,2009,'F','N','CENTRO','JOINVILLE','SC','124242241216572431469914395112610162092',NULL,'1063',0.00,1,3,NULL),(28,7157045,'1994-05-24 00:00:00',4,9,12,2011,'F','N','POPULAR','LAGES','SC','124241243417131431437833575122610134092',17077,'1106',31.81,1,3,NULL),(28,7157061,'1993-10-05 00:00:00',4,5,8,2011,'M','N','QUARTA LINHA','CRICIÚMA','SC','124241246216141231336526355124610165047',18697,'995',36.48,1,3,NULL),(28,7157070,'1994-03-04 00:00:00',4,24,11,2011,'M','N','BOA VISTA','RIO SUL','SC','124244241216111431555823575112610142185',1019,'991',70.21,1,3,NULL),(28,7157088,'1993-04-06 00:00:00',2,1,11,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241212131731338818395124610138023',NULL,'1118',32.52,1,3,NULL),(28,7157096,'1995-10-13 00:00:00',4,1,12,2011,'F','N','JARDIM PETRÓPOLIS','CUIABÁ','MT','111111111117151531228921275114610134052',6531,'9998',53.40,4,3,NULL),(28,7157118,'1989-11-03 00:00:00',2,1,12,2006,'M','N','JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP','125224111436571612458823575125610124057',NULL,'9998',22.65,2,3,NULL),(28,7157142,'1955-03-02 00:00:00',4,1,12,1972,'F','N','IPIRANGA','S JOSÉ','SC','224241241146135411445533495124610162047',NULL,'307',22.45,2,1,1),(28,7157169,'1994-05-21 00:00:00',2,15,12,2011,'F','N','CENTRO','SOMBRIO','SC','124241241115131431516823572324610163147',18526,'1033',28.02,4,2,1),(28,7157177,'1980-07-04 00:00:00',4,1,12,1997,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124162161416131411139842325132343232043',8995,'9998',55.45,1,3,NULL),(28,7157207,'1992-01-14 00:00:00',5,1,12,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215574431368833575125610167182',6044,'486',53.49,1,3,NULL),(28,7157215,'1994-02-10 00:00:00',4,1,12,2011,'F','N','SAO SEBASTIAO','JACIARA','MT','111112111216111431326939572122610148041',6442,'9998',59.80,1,3,NULL),(28,7157223,'1981-09-12 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217575131246642425123221465016',10353,'262',43.00,1,3,NULL),(28,7157231,'1993-02-24 00:00:00',4,4,12,2009,'F','N','CENTRO','PALMITOS','SC','124242241216573431449933222115610123142',4719,'1193',55.75,1,3,NULL),(28,7157240,'1991-08-06 00:00:00',2,2,12,2008,'M','N','TAPAJOS','INDAIAL','SC','124241241116153441433629345131610136092',19060,'365',35.07,1,3,NULL),(28,7157258,'1994-06-10 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241116371431223429585124610167047',18042,'733',38.76,1,3,NULL),(28,7157266,'1994-09-04 00:00:00',2,2,11,2011,'M','N','VORSTADT','BLUMENAU','SC','124244241415111431446633585114610137117',NULL,'88',22.34,1,3,NULL),(28,7157290,'1994-05-01 00:00:00',4,1,12,2011,'F','N','JARDIM SOLEMAR','S JOSÉ','SC','124241241137371731324723575124610134147',16629,'734',42.37,1,2,1),(28,7157312,'1992-10-24 00:00:00',2,1,12,2009,'M','N','CORDEIROS','ITAJAÍ','SC','124241242115373221523414275124221565197',18511,'129',37.25,4,3,NULL),(28,7157320,'1991-10-28 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244247212574532288832372114131467182',4132,'991',64.19,4,3,NULL),(28,7157339,'1993-08-12 00:00:00',2,1,12,2011,'F','N','POMERANOS','TIMBÓ','SC','124231248126161731436633471122610165097',NULL,'870',24.94,1,2,1),(28,7157347,'1993-03-18 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215372431489933575114610127182',3027,'883',60.59,1,3,NULL),(28,7157355,'1994-07-27 00:00:00',4,9,12,2011,'M','N','SAGRADO C DE JESUS','LAGES','SC','124242241217372431369813575112610128122',7837,'497',57.40,1,3,NULL),(28,7157363,'1994-05-19 00:00:00',4,1,12,2011,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241117472431447613572114610164195',3861,'298',60.86,1,2,1),(28,7157398,'1992-11-18 00:00:00',4,3,12,2009,'M','N','LAGO PARQUE','LONDRINA','PR','116162161216572431468831575112610132097',4424,'9998',55.58,1,3,NULL),(28,7157401,'1995-08-09 00:00:00',4,15,12,2011,'M','N','CENTRO','ARARANGUÁ','SC','124244241211121431368713574112610122192',10466,'970',43.17,1,3,NULL),(28,7157428,'1992-09-13 00:00:00',2,1,11,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241112372431636519275124610128055',15940,'281',35.42,1,2,1),(28,7157436,'1995-07-08 00:00:00',4,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217111431238613475124610138195',11686,'272',42.28,1,3,NULL),(28,7157444,'1962-12-12 00:00:00',2,3,12,1985,'F','N','JD TROPICAL','UMUARAMA','PR','216133131316442421433373135122341365092',17266,'9997',40.86,1,3,NULL),(28,7157487,'1987-03-03 00:00:00',4,1,12,2004,'M','N','TIJUCA','RIO JANEIRO','RJ','121212211237111741466814315134142167092',11559,'9998',51.24,1,3,NULL),(28,7157517,'1993-08-16 00:00:00',2,24,12,2011,'F','N','VILA ADELAIDE','POUSO REDONDO','SC','124244241214131431538915575114613227072',11088,'654',43.50,1,3,NULL),(28,7157525,'1993-09-25 00:00:00',2,15,12,2010,'M','N','ALTO FELIZ','ARARANGUÁ','SC','124241241115371431458612575122610136172',15746,'30',44.21,1,2,1),(28,7157541,'1993-10-31 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216112431238613475124232544187',16564,'424',33.31,1,3,NULL),(28,7157550,'1989-01-18 00:00:00',2,4,12,2005,'F','N','CRISTO REI','S CARLOS','SC','124241241146274751438819296124221424147',5558,'704',54.64,1,2,1),(28,7157568,'1986-08-27 00:00:00',4,1,1,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201207127111411116644445124143212012',19579,'9998',32.18,4,2,1),(28,7157584,'1983-04-28 00:00:00',2,1,12,2001,'M','N','SALGADO FILHO','CAXIAS SUL','RS','120201208426131442633519385224220836097',NULL,'9998',0.00,4,3,NULL),(28,7157606,'1994-07-29 00:00:00',2,5,12,2011,'M','N','PEDREIRAS','IÇARA','SC','124241246215121231436831215124610167062',11763,'995',40.60,1,3,NULL),(28,7157622,'1994-01-28 00:00:00',4,3,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241134151431336622385114610122097',NULL,'49',30.36,1,2,1),(28,7157630,'1994-04-01 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248217112431523639572124610127047',10510,'270',47.13,2,1,2),(28,7157649,'1989-11-15 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124222201316151411256713445124141048114',NULL,'9998',20.55,4,3,NULL),(28,7157657,'1994-06-20 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111731488912585122610117044',10947,'270',46.26,1,3,NULL),(28,7157690,'1991-01-24 00:00:00',2,1,11,2008,'F','N','LAGO NORTE','LG NORTE','DF','107074071215573431157933572122610162182',1138,'9998',68.92,1,3,NULL),(28,7157703,'1992-04-03 00:00:00',4,1,12,2009,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215112431358813385124131247052',10130,'270',45.06,1,3,NULL),(28,7157746,'1991-09-10 00:00:00',2,1,11,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216332431337714572122610124087',11290,'9997',45.78,1,3,NULL),(28,7157762,'1990-01-02 00:00:00',4,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124204201217273411358812575124231024182',4957,'9998',54.14,1,3,NULL),(28,7157789,'1994-08-19 00:00:00',4,8,12,2011,'M','N','PROGRESSO','S BENTO SUL','SC','124242161215472451469913575125610124097',174,'9998',76.49,1,3,NULL),(28,7157800,'1995-01-07 00:00:00',2,6,12,2011,'F','N','SÃO DOMINGOS','NAVEGANTES','SC','124241241115371331335634575124610126142',NULL,'1068',30.32,1,3,NULL),(28,7157819,'1992-09-30 00:00:00',4,8,12,2009,'M','N','PROGRESSO','S BENTO SUL','SC','124242161215574531469933571114242466117',NULL,'9998',0.00,1,3,NULL),(28,7157827,'1993-07-17 00:00:00',2,6,12,2010,'F','N','NOVO MUNDO','CURITIBA','PR','116161161116471441458923375114610143197',3395,'9998',61.12,1,2,1),(28,7157835,'1995-10-08 00:00:00',4,22,12,2012,'F','S','AZAMBUJA','BRUSQUE','SC','124242241217111411446914575122610122197',NULL,'1244',66.94,1,3,NULL),(28,7157843,'1992-03-18 00:00:00',4,1,7,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243246117371441458811294124610164012',955,'306',68.06,1,3,NULL),(28,7157860,'1992-02-05 00:00:00',2,1,12,2009,'F','N','CALEMBA','STO AMARO IMPERATRIZ','SC','124242248236153431448619592124231522182',10025,'989',53.67,1,3,NULL),(28,7157878,'1995-07-29 00:00:00',4,1,11,2012,'M','S','BARREIROS','S JOSÉ','SC','124242248215111732336632596114610128142',NULL,'738',38.48,1,3,NULL),(28,7157894,'1966-03-19 00:00:00',3,1,4,1986,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','224111117136151741558651172114343021192',17128,'9998',41.19,1,2,1),(28,7157908,'1945-10-27 00:00:00',4,1,12,1965,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124253255116471431134649411122342022192',10731,'9998',52.54,1,3,NULL),(28,7157916,'1992-12-13 00:00:00',4,24,11,2009,'M','N','CANTA GALO','RIO SUL','SC','124243241117371411447772345122130736192',7508,'659',57.96,1,3,NULL),(28,7157932,'1990-03-23 00:00:00',2,1,12,2008,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241217273431425124341224610127017',14860,'299',45.87,1,3,NULL),(28,7157940,'1992-05-30 00:00:00',4,1,12,2009,'M','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124244241216132441648832445124610166017',12229,'63',50.19,1,3,NULL),(28,7157967,'1994-07-13 00:00:00',2,5,11,2011,'M','N','CENTRO','URUSSANGA','SC','124243241215112221635621215124610167112',5403,'226',55.21,1,3,NULL),(28,7157975,'1995-03-28 00:00:00',2,17,12,2012,'F','S','CENTRO','FRAIBURGO','SC','124241241315161731436912495124610128012',NULL,'885',29.04,1,3,NULL),(28,7158009,'1988-02-17 00:00:00',4,1,12,2005,'F','N','BANCÁRIOS','S PAULO','SP','125252254216571752548811345124610167147',762,'9998',70.13,1,3,NULL),(28,7158017,'1994-11-23 00:00:00',4,4,11,2011,'M','N','SUNTI','CONCÓRDIA','SC','124244241215111431448911571122610128092',13944,'1000',37.06,1,3,NULL),(28,7158033,'1991-01-08 00:00:00',4,1,12,2008,'M','N','CENTRO','IPORÃ','PR','124161161216474431466923575122610132097',1754,'9998',63.74,1,3,NULL),(28,7158041,'1993-04-14 00:00:00',4,6,5,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124161281415271431226832575115610145192',7643,'9998',57.73,1,3,NULL),(28,7158050,'1991-12-03 00:00:00',2,1,12,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241136151532333334342314610157045',NULL,'298',17.20,1,2,1),(28,7158076,'1995-05-10 00:00:00',4,1,12,2012,'M','S','BARREIROS','S JOSÉ','SC','124241241216111731349923475125610114092',NULL,'1118',47.69,1,3,NULL),(28,7158084,'1993-12-28 00:00:00',4,1,12,2010,'F','N','JARDIM EUROPA','MACATUBA','SP','125251251417471431336614185122610132097',NULL,'9998',0.00,4,3,NULL),(28,7158106,'1993-01-12 00:00:00',4,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241117372731334534445124610124142',13986,'307',40.89,1,2,1),(28,7158114,'1993-10-01 00:00:00',4,8,12,2010,'F','N','ERNANE MURAD','PRES VENCESLAU','SP','125252251215471431356833571122610125042',5248,'9998',61.94,1,3,NULL),(28,7158122,'1994-03-15 00:00:00',4,10,12,2011,'M','N','REVOREDO','TUBARÃO','SC','124241246215111431549711576122610132172',3624,'1120',57.77,1,3,NULL),(28,7158130,'1994-10-27 00:00:00',2,1,10,2011,'F','N','AREIAS','S JOSÉ','SC','124242241215131231446613575124610167053',4967,'269',57.35,1,3,NULL),(28,7158149,'1991-03-11 00:00:00',4,1,12,2008,'F','N','JARDIM VALPARAIBA','S JOSÉ CAMPOS','SP','125251256235573441356614472124241466092',NULL,'9998',0.00,1,3,NULL),(28,7158157,'1993-11-06 00:00:00',2,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241216111411358311475122610148091',3342,'226',60.38,1,3,NULL),(28,7158165,'1992-06-13 00:00:00',4,1,12,2009,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241217134431524811211124610127052',NULL,'1048',19.50,1,3,NULL),(28,7158181,'1992-10-19 00:00:00',2,1,11,2009,'F','N','IPIRANGA','S JOSÉ','SC','124243241212112411336913385124231522147',7027,'1244',53.47,1,3,NULL),(28,7158190,'1995-05-20 00:00:00',2,1,11,2012,'F','S','JARDIM CID FPOLIS','S JOSÉ','SC','124244241215111431433832195122610143072',NULL,'1118',37.63,1,3,NULL),(28,7158203,'1993-06-27 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241115372431227721382114610122091',7623,'307',53.49,1,3,NULL),(28,7158238,'1983-12-21 00:00:00',2,1,12,2002,'M','N','FORQUILHINHAS','S JOSÉ','SC','624201201137143411122144242224610134183',6713,'9998',54.12,1,3,NULL),(28,7158262,'1967-12-08 00:00:00',1,8,12,1984,'F','N','GLÓRIA','JOINVILLE','SC','224252255216131731224644345122341126142',8261,'9998',56.69,1,3,NULL),(28,7158270,'1981-10-06 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241136333421337613325122333212047',19921,'307',29.04,1,2,1),(28,7158289,'1991-11-14 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241216471711136624175324131042185',11113,'155',51.94,1,3,NULL),(28,7158297,'1993-10-21 00:00:00',4,1,12,2010,'M','N','CHACARA PRIMAVERA','CAMPINAS','SP','125252251215471731468814575122610167042',3237,'9998',57.86,1,3,NULL),(28,7158300,'1995-01-02 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124241241115271431236723575124610167043',3134,'733',60.54,1,2,1),(28,7158327,'1994-07-25 00:00:00',4,1,12,2011,'M','N','CHÁCARAS CAIÇARA','BIRIGÜI','SP','125252251216172431468732571112610134052',15865,'9998',43.96,1,3,NULL),(28,7158335,'1993-03-22 00:00:00',2,16,12,2011,'F','N','INTERIOR','MTE CARLO','SC','124241241112371411523736595124610114052',20122,'936',25.48,1,2,1),(28,7158351,'1994-02-08 00:00:00',4,24,12,2010,'F','N','CENTRO','ATALANTA','SC','124241241116472231336923285124131367047',16980,'39',41.59,1,2,1),(28,7158360,'1993-04-16 00:00:00',4,10,12,2010,'M','N','CENTRO','TUBARÃO','SC','124242241215472532478713475122231067126',5794,'797',53.99,1,3,NULL),(28,7158378,'1993-06-12 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124204201226142731426633245124230267145',17792,'9998',39.50,1,3,NULL),(28,7158394,'1986-08-02 00:00:00',2,1,12,2003,'M','N','JOSE MENDES','FLORIANÓPOLIS','SC','124201201117142411123344445134130232153',19225,'9998',34.22,1,2,1),(28,7158432,'1992-11-12 00:00:00',4,5,12,2009,'M','N','SÃO DEFENDE','CRICIÚMA','SC','124241241415273432443614345114610127047',18000,'995',38.93,1,3,NULL),(28,7158440,'1993-10-13 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124262261217111431469913571124610122167',4674,'9998',57.24,1,3,NULL),(28,7158459,'1991-08-01 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124241241111132431114311381124233242077',NULL,'1033',0.00,1,2,1),(28,7158483,'1994-04-11 00:00:00',2,4,12,2011,'M','N','CENTRO','PATO BRANCO','PR','116162161216111431427724575125610126182',10016,'9998',44.21,1,3,NULL),(28,7158505,'1975-03-24 00:00:00',4,1,12,1992,'F','N','TRINDADE','FLORIANÓPOLIS','SC','524242241212372721273843434132321022125',NULL,'262',45.60,1,3,NULL),(28,7158530,'1992-06-24 00:00:00',4,8,12,2010,'M','N','BOA VISTA','JOINVILLE','SC','124242241215372431358611572122120238062',6192,'1063',60.26,1,3,NULL),(28,7158548,'1994-03-22 00:00:00',4,1,11,2011,'F','N','PONTO CENTRAL','FRA SANTANA','BA','105052051235111431387612376112610124142',81,'9998',79.17,1,3,NULL),(28,7158556,'1994-12-13 00:00:00',4,1,12,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117141731335839296124610137067',14418,'278',37.09,1,2,1),(28,7158564,'1988-04-28 00:00:00',3,1,12,2005,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124252251216142741118823445111333267182',7528,'9998',57.92,1,3,NULL),(28,7158580,'1991-05-03 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241116473431436611375122610164191',12345,'298',43.94,1,2,1),(28,7158610,'1994-09-29 00:00:00',4,8,12,1994,'M','N','ERMELINO MATARAZZO','S PAULO','SP','125254251116471431448833575124610167042',NULL,'9998',NULL,2,3,NULL),(28,7158629,'1987-06-26 00:00:00',2,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','224241247427131432213354281224610144187',NULL,'9999',28.86,2,1,2),(28,7158653,'1994-09-09 00:00:00',2,1,11,2011,'F','N','PRAINHA','FLORIANÓPOLIS','SC','124242241215112711346613285122610111142',3255,'1022',62.55,1,3,NULL),(28,7158670,'1994-07-02 00:00:00',4,1,11,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215111431387812175122610121122',6690,'948',52.57,1,3,NULL),(28,7158696,'1993-04-28 00:00:00',2,1,12,2011,'F','N','CAEIRA DO SACO DOS L','FLORIANÓPOLIS','SC','124241241115131331537823375124610133075',9778,'267',47.38,4,2,1),(28,7158700,'1984-05-21 00:00:00',2,1,11,2003,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243247417132421216541415124610124067',NULL,'9999',24.33,1,3,NULL),(28,7158718,'1988-05-22 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117151731325854372314610164097',NULL,'228',0.00,2,1,1),(28,7158726,'1991-10-08 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124161248627131731116844344124610122097',15117,'9997',38.47,1,3,NULL),(28,7158734,'1994-09-24 00:00:00',2,6,12,2011,'F','N','CENTRO','PENHA','SC','124241248114371751643933172121610167142',17566,'609',31.21,2,1,1),(28,7158742,'1994-08-13 00:00:00',2,1,12,2011,'F','N','JARDIM AMÉRICA','S LEOPOLDO','RS','120202201216111331456933572122610165192',8036,'9998',49.11,1,3,NULL),(28,7158769,'1994-01-22 00:00:00',4,4,12,2010,'F','N','IDEAL','NOVO HAMBURGO','RS','120242201215372431559913575124241464192',5842,'983',60.84,1,3,NULL),(28,7158777,'1995-02-25 00:00:00',4,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241215371411426614212122610134195',10351,'977',45.59,1,3,NULL),(28,7158793,'1993-10-16 00:00:00',4,1,12,2010,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241212372431426511382114610163187',6877,'1022',53.32,1,3,NULL),(28,7158807,'1993-12-29 00:00:00',4,16,12,2010,'M','N','BOA ESPERANÇA','CAMPOS NOVOS','SC','124241241112271431337436265122130227057',NULL,'936',14.92,1,3,NULL),(28,7158823,'1992-12-06 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241125142451333314232124610124092',NULL,'277',0.00,1,2,1),(28,7158831,'1993-08-23 00:00:00',4,3,12,2010,'F','N','JARDIM CONSTANTINO','CPO MOURÃO','PR','116162161216371431446916574122610146147',5096,'9998',54.90,1,3,NULL),(28,7158858,'1994-03-01 00:00:00',2,1,12,2011,'F','N','JARDIM SATELITE','S JOSÉ CAMPOS','SP','125252251216111231435611175122610127142',NULL,'9998',0.00,1,3,NULL),(28,7158874,'1989-06-11 00:00:00',4,1,12,2006,'F','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124072201316142731568819345122343262073',NULL,'9998',33.05,1,3,NULL),(28,7158882,'1992-11-18 00:00:00',2,1,11,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217372431467739392124610127047',11944,'1075',42.19,1,3,NULL),(28,7158904,'1994-03-04 00:00:00',2,8,12,2011,'F','N','IRIRIU','JOINVILLE','SC','124242241215151731559914575112610143072',6260,'931',54.18,1,3,NULL),(28,7158912,'1978-07-29 00:00:00',2,1,12,1997,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224241248136133451224644345124142726177',NULL,'635',21.36,1,2,1),(28,7158920,'1993-03-05 00:00:00',4,1,12,2010,'F','N','JD CIDADE FLORIANOPO','S JOSÉ','SC','124241241116372731536912375124231063057',16257,'739',29.21,1,2,1),(28,7158939,'1993-12-17 00:00:00',2,9,11,2011,'F','N','CENTRO','S JOAQUIM','SC','124242241216111231238623575124610127142',13771,'721',37.20,1,3,NULL),(28,7158947,'1992-02-17 00:00:00',4,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161216573431468613575114610165047',NULL,'9998',0.00,1,3,NULL),(28,7158955,'1994-09-20 00:00:00',2,5,11,2011,'M','N','CENTRO','FORQUILHINHA','SC','124242248215171531529611485112213232043',NULL,'312',22.59,1,3,NULL),(28,7158963,'1986-09-10 00:00:00',4,1,7,2005,'M','N','NONOAI','PTO ALEGRE','RS','120204201417571711368833135122240244117',5184,'9998',54.12,1,3,NULL),(28,7158980,'1994-08-01 00:00:00',2,23,12,2011,'M','N','JOÃO PESSOA','JARAGUÁ SUL','SC','124244241217151432359934575114610125182',20017,'1061',27.83,1,3,NULL),(28,7158998,'1993-03-10 00:00:00',4,3,12,2010,'F','N','ALPHAVILLE','LONDRINA','PR','116162161217471431489914474122610162147',NULL,'9998',0.00,1,3,NULL),(28,7159005,'1994-04-25 00:00:00',4,1,12,2010,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','120204201415372421336833575112141067057',NULL,'9998',30.20,1,3,NULL),(28,7159013,'1993-04-01 00:00:00',4,1,11,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','125162251217472731449613572112610168142',4077,'9998',59.54,1,3,NULL),(28,7159021,'1990-11-17 00:00:00',4,1,12,2008,'M','N','BUENO','GOIÂNIA','GO','109091091116572731226624575324610162187',7514,'9998',57.95,2,1,1),(28,7159030,'1994-06-10 00:00:00',2,24,12,2011,'F','N','CENTRO','AGRONÔMICA','SC','124241241215131431459914575122610144142',5311,'663',54.06,1,3,NULL),(28,7159048,'1992-01-22 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124212241217574431588931575125232462197',2961,'262',60.34,1,3,NULL),(28,7159056,'1995-06-16 00:00:00',4,8,12,2012,'M','S','BELA ALIANÇA','S BENTO SUL','SC','124242241215111732466614575112610127182',NULL,'1178',42.25,1,3,NULL),(28,7159064,'1990-08-03 00:00:00',2,1,12,2007,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241116471431423739185124610123187',NULL,'288',35.58,1,2,1),(28,7159072,'1994-08-31 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241217111431357619575114610133185',NULL,'1048',26.26,1,3,NULL),(28,7159099,'1993-05-08 00:00:00',2,2,11,2011,'F','N','VELHA','BLUMENAU','SC','124241241135131131436313284124610154177',17088,'84',41.33,1,2,1),(28,7159102,'1994-02-23 00:00:00',4,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241215111431437831275122610137147',19502,'977',32.66,1,3,NULL),(28,7159110,'1991-02-21 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124193191216132111125344145124230867045',NULL,'9998',0.00,1,3,NULL),(28,7159129,'1992-08-02 00:00:00',4,5,8,2010,'M','N','FIEGUEIRA','URUSSANGA','SC','124242248215372431458823475112610167112',8753,'995',49.92,1,3,NULL),(28,7159137,'1993-03-04 00:00:00',4,1,12,2011,'M','N','JARDIM DA LUZ','GOIÂNIA','GO','109212098116151711448814575124610164177',10345,'9998',42.79,1,3,NULL),(28,7159145,'1993-09-04 00:00:00',4,1,12,2010,'M','N','JARDIM BOA ESPERANÇA','CAMPINAS','SP','125252251211471431578921571124610137042',1685,'9998',70.93,1,3,NULL),(28,7159161,'1991-02-22 00:00:00',2,1,12,2008,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241117372421244629145212133227185',19272,'288',34.01,1,2,1),(28,7159170,'1993-01-29 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241415472441636823574124610132142',5279,'1197',55.71,1,3,NULL),(28,7159196,'1987-02-04 00:00:00',4,1,12,2004,'M','N','INDUSTRIAL','ARAGUARI','MG','113132131216271331488816465122343128092',16513,'9998',42.63,1,3,NULL),(28,7159218,'1995-01-30 00:00:00',4,3,12,2012,'M','S','MORRETES','ITAPEMA','SC','124241248114131731623329191321610117057',NULL,'406',28.05,1,3,NULL),(28,7159234,'1994-04-30 00:00:00',4,24,12,2011,'F','N','RIO RAFAEL','IBIRAMA','SC','124244241415111231436932575122610124147',NULL,'346',0.00,1,3,NULL),(28,7159242,'1994-01-27 00:00:00',4,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241116472711553314575124610124152',15011,'325',37.32,1,2,1),(28,7159277,'1992-12-17 00:00:00',4,1,12,2010,'F','N','JARDIM CONSOLAÇÃO','FRANCA','SP','125251251217421431466631375122610147142',8577,'9998',50.49,1,3,NULL),(28,7159285,'1994-09-30 00:00:00',4,17,10,2011,'F','N','TRICOLIN','CANOINHAS','SC','124243161315471431328933572124610156142',NULL,'9998',27.14,1,3,NULL),(28,7159293,'1992-06-16 00:00:00',4,1,11,2009,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241135472431334319275114233237062',7531,'288',50.99,1,2,1),(28,7159307,'1993-04-19 00:00:00',4,15,12,2010,'F','N','SANGA DA TOCA','ARARANGUÁ','SC','124241241146272431533335471124610124017',11991,'250',43.45,1,3,NULL),(28,7159323,'1991-03-01 00:00:00',4,1,12,2011,'F','N','CENTRO','S JOSÉ','SC','124241247147271731424623275124610115187',NULL,'9999',22.71,1,2,1),(28,7159340,'1993-11-01 00:00:00',2,25,12,2011,'F','N','ALTO BONITO','CAÇADOR','SC','124241241145371531323314575122610136057',10827,'123',52.37,4,2,1),(28,7159358,'1994-03-15 00:00:00',4,1,12,2011,'F','N','VILA VIRGINIA','JUNDIAÍ','SP','125252251216161331488812575112610142092',NULL,'9998',0.00,1,3,NULL),(28,7159366,'1994-04-14 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241235171411526611575124610123092',7153,'1050',50.85,1,3,NULL),(28,7159374,'1994-08-26 00:00:00',2,15,12,2011,'F','N','CENTRO','TURVO','SC','124241241115131331323329242321610128142',NULL,'814',17.85,1,2,1),(28,7159382,'1994-05-01 00:00:00',4,26,12,2011,'M','N','INDUSTRIAL','SEARA','SC','124241242116111431443514442124610137052',19729,'196',30.88,1,2,1),(28,7159390,'1992-08-16 00:00:00',4,1,12,2011,'F','N','PENHA','PAULO LOPES','SC','124241248125151131433319575122610117173',NULL,'607',16.26,1,3,NULL),(28,7159404,'1992-02-12 00:00:00',2,1,1,2010,'F','N','KOBRASOL','S JOSÉ','SC','120203077217131421465924115124142166191',13350,'9998',48.48,1,3,NULL),(28,7159412,'1981-12-17 00:00:00',2,1,12,2000,'M','N','VILA MARIA LUIZA','RIBEIRÃO PRETO','SP','125253251235573411568717575124220934187',4545,'9998',58.02,4,3,NULL),(28,7159420,'1992-08-04 00:00:00',4,24,12,2009,'M','N','GABIROBA','ITUPORANGA','SC','124241241137574441228616342125610118047',2371,'165',65.21,1,2,1),(28,7159439,'1993-01-02 00:00:00',4,23,12,2010,'F','N','SANTA LUZIA','JARAGUÁ SUL','SC','124241241115472431435811272221610125187',4408,'425',57.65,1,2,1),(28,7159455,'1995-05-26 00:00:00',4,26,12,2011,'M','N','CENTRO','PTE SERRADA','SC','124241242115111721345531245122610117052',20094,'196',26.46,4,3,NULL),(28,7159480,'1992-12-08 00:00:00',4,8,12,2010,'F','N','JARDIM BRASÍLIA','ARAÇATUBA','SP','125252251216472731337634595112610137142',10520,'9998',45.85,3,3,NULL),(28,7159498,'1992-10-21 00:00:00',4,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124073041117472431458613572124230233192',5431,'9998',55.82,1,3,NULL),(28,7159501,'1993-06-24 00:00:00',2,6,12,2010,'M','N','VILA OPERARIA','ITAJAÍ','SC','124242241215371331448939575122610167042',7806,'394',49.19,1,3,NULL),(28,7159510,'1993-12-20 00:00:00',4,1,12,2011,'F','N','CENTRO','LONDRINA','PR','116162161236111432258923575122610132042',9287,'9998',45.94,1,3,NULL),(28,7159536,'1994-11-26 00:00:00',4,17,12,2011,'F','N','RIO PRATINHA','PAPANDUVA','SC','124241241147161431526823575124610136197',11650,'1151',41.28,1,2,1),(28,7159544,'1994-06-15 00:00:00',2,1,12,2011,'F','N','VILA MAZZEI','S PAULO','SP','125252251216111431467924215122610127077',9347,'9998',45.78,1,3,NULL),(28,7159552,'1993-01-31 00:00:00',4,1,12,2010,'F','N','NOVA PIRACICABA','PIRACICABA','SP','125252251214471431478811471112610167057',2528,'9998',62.66,1,3,NULL),(28,7159560,'1990-04-30 00:00:00',4,10,12,2007,'F','N','SANTO ANTÔNIO','PTO ALEGRE','RS','120202201217271431169924472124141424142',1466,'9998',64.90,1,3,NULL),(28,7159579,'1991-10-15 00:00:00',4,27,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124241241117372632439833245112610134017',NULL,'757',32.87,1,2,1),(28,7159587,'1993-01-20 00:00:00',4,1,12,2010,'M','N','JD DAS NAÇÕES','DRACENA','SP','125252251216371431466812285122610126072',NULL,'9998',0.00,1,3,NULL),(28,7159595,'1993-01-20 00:00:00',4,1,11,2010,'M','N','JARDIM BONFIGLIOLI','S PAULO','SP','125252251217471431348834571124610137047',5848,'9998',53.16,1,3,NULL),(28,7159609,'1994-07-11 00:00:00',4,8,11,2011,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161236471431489934375114610135072',NULL,'9998',35.11,1,3,NULL),(28,7159617,'1992-01-01 00:00:00',2,1,12,2008,'F','N','CENTRO','SUL BRASIL','SC','124241241116575431559833275122232426052',3189,'775',62.08,1,3,NULL),(28,7159633,'1995-10-17 00:00:00',4,4,12,2011,'M','N','CENTRO','GALVÃO','SC','124241242234111431428932575122610127052',12678,'836',37.80,1,3,NULL),(28,7159641,'1994-06-23 00:00:00',2,9,11,2011,'M','N','CENTRO','S JOAQUIM','SC','124242241216151731337823395112610124077',6367,'1035',51.23,1,3,NULL),(28,7159650,'1994-08-14 00:00:00',4,6,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241215471531359831475114610127042',6572,'1038',53.95,1,3,NULL),(28,7159668,'1994-06-10 00:00:00',4,7,12,2011,'M','N','CIDADE JARDIM','CATANDUVAS','SC','124244241415371441469913575124610164052',5604,'962',61.32,1,3,NULL),(28,7159676,'1993-01-03 00:00:00',4,1,12,2010,'F','N','NOVA PETRÓPOLES','S BERNARDO CAMPO','SP','125252251215411431427811582122610163187',7333,'9997',47.99,1,3,NULL),(28,7159684,'1992-08-15 00:00:00',4,2,12,2009,'M','N','SALTO DO NORTE','BLUMENAU','SC','124241241117272431354823475114610137062',4128,'83',59.29,1,2,1),(28,7159692,'1990-01-05 00:00:00',2,1,7,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117473431438933274124610123147',2316,'306',63.35,1,2,1),(28,7159730,'1987-04-26 00:00:00',2,1,12,2004,'M','N','ZONA SETE','MARINGÁ','PR','116161161316571431338734274115141522077',2248,'9998',62.71,1,3,NULL),(28,7159749,'1993-03-04 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241415472432126844445124610132145',6706,'499',52.58,1,3,NULL),(28,7159757,'1995-06-28 00:00:00',4,1,12,2012,'F','S','INGLESES','FLORIANÓPOLIS','SC','124243241215111411429714145124610122077',NULL,'1022',38.71,1,3,NULL),(28,7159773,'1991-05-13 00:00:00',2,1,12,2009,'F','N','IPANEMA','PTO ALEGRE','RS','120203201116471411556739475124240344187',NULL,'9998',0.00,1,3,NULL),(28,7159781,'1993-02-23 00:00:00',4,1,8,2010,'F','N','VILA PEDRINI','JOAÇABA','SC','120242241417472431348913572124641066142',1603,'454',64.13,1,3,NULL),(28,7159790,'1993-07-31 00:00:00',4,17,12,2010,'M','N','SÃO BASÍLIO MAGNO','UNIÃO VITÓRIA','PR','116163241216472411256923577125610116182',303,'632',75.29,1,3,NULL),(28,7159803,'1993-09-04 00:00:00',2,5,12,2010,'F','N','TENENTE','JACINTO MACHADO','SC','124241241114472431523616575124610124042',16822,'420',31.57,1,2,1),(28,7159811,'1993-04-05 00:00:00',4,26,12,2011,'M','N','CENTRO','PIRATUBA','SC','124241241127131431533314345124610164051',NULL,'619',15.26,1,2,1),(28,7159838,'1992-01-23 00:00:00',2,1,6,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242247237231751116844445124610166057',NULL,'9999',13.21,1,3,NULL),(28,7159846,'1984-11-09 00:00:00',2,1,12,2001,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241216132441127943335124322233182',4823,'904',62.77,1,3,NULL),(28,7159870,'1994-08-31 00:00:00',3,1,12,2011,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124242241215131432436854585124610127057',NULL,'259',23.52,1,3,NULL),(28,7159889,'1993-03-31 00:00:00',2,24,12,2010,'F','N','INTERIOR','SALETE','SC','124241242115371431624436585122610147057',20050,'9997',27.33,1,3,NULL),(28,7159897,'1992-05-07 00:00:00',2,4,12,2009,'F','N','CENTENÁRIO','PALMEIRA MISSÕES','RS','120202201216572411478811575125610126182',NULL,'9998',0.00,1,3,NULL),(28,7159900,'1994-09-02 00:00:00',2,1,12,2011,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241115371431446414392224610137057',5363,'733',54.71,1,3,NULL),(28,7159919,'1994-04-21 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241217111432256921576114610164127',2339,'211',64.16,1,3,NULL),(28,7159927,'1993-08-03 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431369833372122221737015',12536,'262',49.73,1,3,NULL),(28,7159935,'1988-02-28 00:00:00',4,1,12,2006,'F','N','FREI ROGÉRIO','LAGES','SC','124242241212574451448929575114610162187',9691,'497',52.61,1,3,NULL),(28,7159943,'1990-11-25 00:00:00',4,1,11,2010,'F','N','PACHECO','PALHOÇA','SC','124243241316131431223324246224610128177',NULL,'9997',23.21,1,3,NULL),(28,7159951,'1994-06-18 00:00:00',4,10,10,2011,'F','N','CENTRO','TUBARÃO','SC','124242241215371731236923575122610164142',6375,'797',54.06,1,3,NULL),(28,7159960,'1993-04-11 00:00:00',2,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431369713476112610117182',12684,'1050',42.79,4,3,NULL),(28,7159986,'1994-03-14 00:00:00',3,1,12,2011,'F','N','ALTO DA BOA VISTA','PRES PRUDENTE','SP','125252161215111331427612575125610113092',3828,'9998',60.14,1,3,NULL),(28,7159994,'1991-07-01 00:00:00',4,1,12,2008,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124241241117271431635313442124610154047',NULL,'298',19.32,1,2,1),(28,7160003,'1994-08-14 00:00:00',4,1,12,2011,'F','N','REAL PARQUE','S JOSÉ','SC','124241241136141731643311245124610127062',NULL,'734',0.00,1,2,1),(28,7160011,'1994-04-15 00:00:00',4,1,11,2011,'F','N','VILA ESTER','S JOSÉ CAMPOS','SP','125164251235121731557811571122610137127',2614,'9998',61.72,4,3,NULL),(28,7160020,'1986-09-19 00:00:00',4,1,12,2003,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124113111316134431233723485114122925147',19656,'9998',31.55,4,3,NULL),(28,7160038,'1991-09-27 00:00:00',4,1,12,2009,'M','N','ITARARÉ','S VICENTE','SP','125052051216271431334824185121610127114',16779,'9998',42.03,1,3,NULL),(28,7160046,'1994-11-11 00:00:00',4,27,12,2011,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241216111431466833575122610166182',7736,'1079',50.70,1,3,NULL),(28,7160054,'1991-04-23 00:00:00',4,16,12,2008,'M','N','GETULIO VARGAS','CURITIBANOS','SC','124241241136371431424429242122610122042',11898,'239',43.20,4,2,1),(28,7160062,'1994-11-19 00:00:00',4,4,12,2011,'M','N','CENTRO','HERVAL D OESTE','SC','124242241216471431356831595125610127052',14977,'962',36.22,4,3,NULL),(28,7160070,'1995-04-29 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124244243215111321466622575112611414072',17531,'226',40.22,1,3,NULL),(28,7160089,'1989-05-07 00:00:00',2,1,12,2006,'M','N','JOSE AMANDIO','BOMBINHAS','SC','124241241136131431527819185123133222017',NULL,'96',29.46,4,2,1),(28,7160097,'1975-11-01 00:00:00',2,1,12,1992,'M','N','CENTRO','FLORIANÓPOLIS','SC','124042041216152431129741415122342612112',4913,'9998',54.78,1,3,NULL),(28,7160119,'1994-02-14 00:00:00',4,4,12,2011,'M','N','INTERLAGOS','CASCAVEL','PR','116161161335171431556933572124610167052',8276,'9998',49.57,1,3,NULL),(28,7160127,'1995-07-21 00:00:00',4,1,12,2012,'F','S','LAGO SUL','LG SUL','DF','107242071217111731455923575124610131197',NULL,'9998',37.20,1,3,NULL),(28,7160135,'1986-07-07 00:00:00',2,1,12,2003,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124201201117271431123444142124610122187',11790,'9998',43.78,1,2,1),(28,7160143,'1994-05-29 00:00:00',4,5,10,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215112421539613374112610232142',16009,'210',43.68,1,3,NULL),(28,7160151,'1994-02-23 00:00:00',2,10,12,2011,'M','N','BELA VISTA','S LUDGERO','SC','124241241336131431436413345121610137067',6327,'950',53.62,1,3,NULL),(28,7160160,'1995-01-23 00:00:00',4,1,12,2012,'M','S','AGUA VERDE','CURITIBA','PR','116162161217111431346834575124610127012',NULL,'9998',26.76,1,3,NULL),(28,7160194,'1991-01-07 00:00:00',4,25,11,2007,'F','N','PARAISO','CAÇADOR','SC','116242241216575731467712575114143212075',14907,'1124',45.80,1,3,NULL),(28,7160208,'1993-05-11 00:00:00',4,1,12,2010,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','124242241217472411337612575122230212097',1635,'1074',63.23,1,3,NULL),(28,7160224,'1993-10-14 00:00:00',4,25,11,2010,'F','N','JARDIM DAS HORTENCIA','FRAIBURGO','SC','116242161212472431148811271125610137172',NULL,'9997',0.00,1,3,NULL),(28,7160232,'1994-11-01 00:00:00',2,1,12,2011,'F','N','CENTRO','CANELINHA','SC','124241241115371731425411342122610138142',NULL,'142',20.31,1,2,1),(28,7160240,'1994-09-10 00:00:00',4,24,11,2011,'F','N','TABOÃO','RIO SUL','SC','124244241415131431336613572122610124192',1143,'991',69.02,4,3,NULL),(28,7160259,'1991-06-07 00:00:00',2,23,12,2008,'M','N','CENTRO','S BENTO SUL','SC','124241241146371431234822386214610127047',NULL,'697',0.00,1,2,1),(28,7160275,'1958-08-21 00:00:00',4,1,12,1975,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124254211217151711368849492122341164095',10599,'9998',52.74,1,3,NULL),(28,7160283,'1994-09-11 00:00:00',4,6,12,2011,'M','N','DOM BOSCO','ITAJAÍ','SC','124242241215371431336814575121610164067',8107,'392',56.95,1,3,NULL),(28,7160291,'1993-05-30 00:00:00',2,6,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241216372731333923372124610112117',9552,'9997',54.45,1,3,NULL),(28,7160305,'1976-02-21 00:00:00',4,1,5,1999,'F','N','INGLESES','FLORIANÓPOLIS','SC','224241248126132711321141115132610128197',NULL,'513',22.18,1,2,1),(28,7160313,'1993-07-09 00:00:00',4,8,11,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241211472421249923494124610167147',3109,'461',63.06,1,3,NULL),(28,7160321,'1994-11-20 00:00:00',4,27,12,2011,'M','N','CENTRO','S MIGUEL OESTE','SC','124241211216152431633654175122610127147',3323,'9998',58.29,1,3,NULL),(28,7160330,'1994-09-01 00:00:00',4,7,11,2011,'M','N','CENTRO','HERVAL D OESTE','SC','124242241216371431469614575122610117052',NULL,'446',0.00,1,3,NULL),(28,7160348,'1991-06-03 00:00:00',4,1,12,2008,'M','N','JD VENEZA','LONDRINA','PR','116162161217571411339944445233610164047',10218,'9998',53.37,1,3,NULL),(28,7160356,'1994-05-04 00:00:00',2,1,12,2011,'M','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124243248347311751426619295124613217044',NULL,'772',20.79,1,3,NULL),(28,7160364,'1984-03-04 00:00:00',4,1,11,2009,'M','N','FORGUILHINHAS','S JOSÉ','SC','124203207226141731116444345134610132057',NULL,'9998',21.79,2,1,2),(28,7160372,'1988-10-15 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241411143711359713315122230226182',14205,'270',47.09,1,3,NULL),(28,7160380,'1996-02-26 00:00:00',4,1,11,2012,'M','S','CARIANOS','FLORIANÓPOLIS','SC','116163161117111221469913375122610164197',NULL,'9998',57.85,1,3,NULL),(28,7160410,'1993-12-19 00:00:00',2,22,11,2011,'F','N','CENTRO','BRUSQUE','SC','124242241215151411446611375122610124042',4936,'107',62.55,4,3,NULL),(28,7160437,'1994-11-14 00:00:00',2,15,12,2011,'F','N','SÃO CRITÓVÃO','MARACAJÁ','SC','124241241115271411423314575124610147142',6889,'550',54.09,1,2,1),(28,7160445,'1993-05-27 00:00:00',4,2,11,2010,'M','N','PONTA AGUDA','BLUMENAU','SC','124242241217152431447712575121231447112',7415,'909',58.12,1,3,NULL),(28,7160461,'1980-12-16 00:00:00',2,4,12,2007,'M','N','SEMINARIO','CHAPECÓ','SC','124201207122131731633119442211143218047',NULL,'9998',13.80,4,1,1),(28,7160470,'1988-11-17 00:00:00',4,1,12,2006,'M','N','CENTRO','S JOSÉ','SC','124242241215374451439513594124133268187',17746,'269',39.63,4,3,NULL),(28,7160488,'1994-09-14 00:00:00',2,25,12,2011,'M','N','CENTRO','FRAIBURGO','SC','124241241313271431548912275112610114052',15237,'885',35.96,1,3,NULL),(28,7160496,'1995-06-02 00:00:00',4,10,10,2012,'M','S','CENTRO','TUBARÃO','SC','124242241217111331458932575122610137042',NULL,'806',40.21,1,3,NULL),(28,7160518,'1992-06-16 00:00:00',4,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241216573751139712595115610165126',232,'541',76.73,1,3,NULL),(28,7160526,'1995-05-02 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242248215172431438832595122610163182',5797,'270',55.65,1,3,NULL),(28,7160542,'1995-10-29 00:00:00',4,2,12,2012,'M','S','CENTRO','INDAIAL','SC','124242241217151431378814372122610128197',NULL,'925',31.44,1,3,NULL),(28,7160550,'1994-06-22 00:00:00',4,3,11,2011,'F','N','SANTA REGINA','CAMBORIÚ','SC','124242241214122431389924572122610127142',3500,'1038',58.77,1,3,NULL),(28,7160569,'1992-02-14 00:00:00',2,1,6,2011,'M','N','CENTRO','PTO ALEGRE','RS','120201207147231431636621195124240222117',NULL,'9998',0.00,1,3,NULL),(28,7160577,'1983-03-17 00:00:00',4,1,12,2000,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241243447373421126444245124233213157',19230,'303',34.20,1,3,NULL),(28,7160593,'1993-07-07 00:00:00',2,1,12,2011,'F','N','SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC','124241243117161431457834275124610135052',17641,'306',39.90,1,2,1),(28,7160607,'1994-01-16 00:00:00',2,1,12,2012,'F','S','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241248116141421436524585124610123197',NULL,'306',43.48,1,3,NULL),(28,7160615,'1994-12-02 00:00:00',4,8,12,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124242241216111731568912595112610126012',15408,'1063',44.85,1,3,NULL),(28,7160623,'1993-08-21 00:00:00',4,4,12,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124203201214272411458923575122610117042',404,'9998',76.16,1,3,NULL),(28,7160640,'1994-10-12 00:00:00',4,5,11,2011,'F','N','SÃO SIMÃO','CRICIÚMA','SC','124242241215122431489933336122610136072',4663,'226',59.85,1,3,NULL),(28,7160666,'1989-12-11 00:00:00',4,8,12,2007,'F','N','CAJURU','CURITIBA','PR','116242241436131431428714445124610162111',17661,'666',39.86,1,3,NULL),(28,7160674,'1995-02-03 00:00:00',2,1,12,2011,'F','N','ARIRIU FORMIGA','PALHOÇA','SC','124241241111371511424414285124610115142',NULL,'592',0.00,1,2,1),(28,7160690,'1993-07-13 00:00:00',4,1,12,2010,'F','N','SANTANA','S PAULO','SP','125252251215471431368827575125610136192',NULL,'9998',0.00,1,3,NULL),(28,7160704,'1994-04-19 00:00:00',2,8,12,2011,'M','N','SANTO ANDRÉ','ANÁPOLIS','GO','109094091236111411444932575112610144047',9362,'9998',47.62,4,3,NULL),(28,7160712,'1995-05-20 00:00:00',4,5,12,2011,'F','N','MINEIRA NOVA','CRICIÚMA','SC','124242241215111711546933571124610124017',5312,'995',53.72,1,3,NULL),(28,7160720,'1990-03-07 00:00:00',2,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124241241125371431436629345134610157072',19308,'257',33.82,1,3,NULL),(28,7160747,'1994-07-23 00:00:00',4,1,12,2011,'F','N','CENTRO','IMBITUBA','SC','124254241336131732537833395122610162017',NULL,'359',0.00,1,3,NULL),(28,7160763,'1993-06-15 00:00:00',4,1,12,2010,'F','N','VILA VITÓRIA','MAUÁ','SP','125252251216472231336633575122610127047',10577,'9998',44.75,1,3,NULL),(28,7160771,'1994-12-12 00:00:00',4,1,11,2011,'M','N','SANTA ROSA','CUIABÁ','MT','111112111216111331388614592122610114041',15828,'9998',44.04,1,3,NULL),(28,7160780,'1993-03-20 00:00:00',2,1,12,2010,'F','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124241241116132411424614345124610112142',NULL,'257',31.23,1,2,1),(28,7160798,'1992-06-25 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124272241215472431448814575115610123055',2594,'270',63.80,1,3,NULL),(28,7160801,'1993-09-02 00:00:00',4,1,12,2010,'M','N','LAPA','S PAULO','SP','124252251211112411168814441111222314092',10173,'9998',45.70,1,3,NULL),(28,7160810,'1977-05-04 00:00:00',2,3,12,1996,'F','N','SANTA REGINA QUATRO','CAMBORIÚ','SC','124241241217131431236643232112131344197',20058,'237',27.12,1,3,NULL),(28,7160828,'1994-11-06 00:00:00',4,8,11,2011,'F','N','BOA VISTA','JOINVILLE','SC','124242241216272731446633575124610124097',4943,'461',58.10,1,3,NULL),(28,7160836,'1993-02-11 00:00:00',2,9,12,2010,'M','N','UNIVERSITARIO','LAGES','SC','124241241136141731235524345125610144042',NULL,'498',29.31,1,2,1),(28,7160852,'1994-08-25 00:00:00',2,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115111431464823592124610115052',10582,'271',46.07,1,2,1),(28,7160860,'1994-04-05 00:00:00',4,25,12,2011,'M','N','SÃO CRISTÓVÃO','CAÇADOR','SC','124244241215111431456911575122610147072',NULL,'1124',0.00,1,3,NULL),(28,7160879,'1993-08-16 00:00:00',4,24,11,2011,'M','N','VILA ADELAIDE','POUSO REDONDO','SC','124244241215151431538916552124610132172',4423,'654',56.39,1,3,NULL),(28,7160887,'1994-05-16 00:00:00',2,1,12,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241111151431336339371124610114142',10814,'307',43.95,1,2,1),(28,7160909,'1989-04-05 00:00:00',4,1,12,2006,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241216153411486921495122231022187',8159,'270',56.86,1,3,NULL),(28,7160917,'1993-02-17 00:00:00',4,8,12,2010,'M','N','GLÓRIA','JOINVILLE','SC','124242243116472451579931572125610147122',2629,'1105',60.70,1,3,NULL),(28,7160925,'1994-06-18 00:00:00',4,1,12,2011,'F','N','CENTRO','GAROPABA','SC','124241241126372431543512375122610128073',13326,'322',40.80,1,2,1),(28,7160933,'1993-11-03 00:00:00',4,17,12,2011,'M','N','LUCENA','ITAIÓPOLIS','SC','124241241127161431224366352324610147067',NULL,'387',19.18,4,2,1),(28,7160950,'1994-07-30 00:00:00',4,3,11,2011,'M','N','JUVEVE','CURITIBA','PR','116162161215471432477832572112610124046',NULL,'9998',0.00,1,3,NULL),(28,7160976,'1993-12-11 00:00:00',2,1,12,2010,'M','N','KOBRASSOL','S JOSÉ','SC','124242241216473231469614574124610124051',632,'723',73.13,1,3,NULL),(28,7160984,'1992-01-24 00:00:00',2,10,12,2009,'M','N','HUMAITA','TUBARÃO','SC','124241241215473431436519475115610127047',7561,'1120',53.72,1,3,NULL);
INSERT INTO candidato VALUES (28,7160992,'1994-09-23 00:00:00',2,8,12,2011,'M','N','BOA VISTA','CURITIBA','PR','116164161215111411468813375114610164182',NULL,'9998',0.00,1,3,NULL),(28,7161018,'1994-06-10 00:00:00',4,16,12,2010,'M','N','COHAB I','CURITIBANOS','SC','124241241115471431526923571125610138147',11902,'240',42.78,4,2,1),(28,7161026,'1992-05-31 00:00:00',2,1,11,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124252251215573431446812575124610117047',5291,'9998',59.06,1,3,NULL),(28,7161042,'1988-10-26 00:00:00',4,3,12,2005,'F','N','AREIAS','CAMBORIÚ','SC','124243241214371751348611284124330658037',1805,'877',64.94,1,3,NULL),(28,7161069,'1994-10-17 00:00:00',2,26,12,2011,'F','N','NAÇÕES','CONCÓRDIA','SC','124241241116271431444933332122610121147',15018,'192',38.06,1,2,1),(28,7161077,'1994-03-07 00:00:00',4,23,12,2011,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215111711369913572112610114047',17481,'1063',40.35,1,3,NULL),(28,7161085,'1994-10-22 00:00:00',2,1,11,2011,'F','N','PRADO','BIGUAÇU','SC','124242241215112531566612185114610168073',3304,'270',61.37,1,3,NULL),(28,7161107,'1956-11-09 00:00:00',2,1,12,1975,'M','N','LEONTINA BREDER','AT JEQUITIBÁ','MG','213131131116111411223671455112140266182',NULL,'9998',0.00,1,2,1),(28,7161115,'1995-02-03 00:00:00',4,25,12,2010,'M','N','MARTELLO','CAÇADOR','SC','124241241336161431326923245124230238197',19969,'1240',28.58,1,3,NULL),(28,7161123,'1994-06-08 00:00:00',4,3,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241215152231356923572241610167142',4839,'44',56.48,1,3,NULL),(28,7161140,'1994-04-10 00:00:00',4,27,12,2011,'M','N','INTERIOR','GUARACIABA','SC','124241241115131431443315552124610167047',10514,'334',43.12,1,2,1),(28,7161158,'1983-05-22 00:00:00',1,1,11,2000,'F','N','JARDIM AEROPORTO','S PAULO','SP','125133131116151421364544244122141134093',18029,'9998',38.81,1,3,NULL),(28,7161166,'1992-10-23 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242247237371431228824375124610167047',7489,'9999',57.99,1,3,NULL),(28,7161174,'1993-02-16 00:00:00',4,10,11,2010,'F','N','DEHON','TUBARÃO','SC','124242241216373431556612445122610131072',4114,'806',56.33,1,3,NULL),(28,7161182,'1992-09-25 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124202241127271431326624445114610133147',NULL,'736',33.32,1,3,NULL),(28,7161190,'1993-11-21 00:00:00',4,8,11,2010,'F','N','BIGORRILHO','CURITIBA','PR','116162161215472431249934571124610122093',NULL,'9998',0.00,1,3,NULL),(28,7161204,'1992-12-25 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241312371731523311375124610123192',NULL,'592',24.09,1,3,NULL),(28,7161212,'1994-01-10 00:00:00',1,1,12,2011,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241115271431548814585122610137015',9077,'267',48.26,1,2,1),(28,7161220,'1994-07-11 00:00:00',4,10,11,2011,'F','N','CENTRO','JAGUARUNA','SC','124241241335111331448811495124610125147',NULL,'1181',22.87,1,3,NULL),(28,7161247,'1994-07-09 00:00:00',4,4,12,2011,'F','N','CRISTO REI','S CARLOS','SC','124241241117371731325923594124510127057',13158,'704',40.94,1,2,1),(28,7161255,'1993-10-29 00:00:00',4,8,12,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','116244161215371431359934575115610124072',1708,'457',70.79,1,3,NULL),(28,7161263,'1983-04-05 00:00:00',4,23,12,2001,'F','N','BARRA DO RIO MOLHA','JARAGUÁ SUL','SC','124162161215573431248711494122342827182',6381,'9998',53.61,1,3,NULL),(28,7161271,'1992-10-18 00:00:00',2,7,12,2009,'F','N','CRISTO REI','CURITIBA','PR','116241241116574431366716575124610127097',3948,'124',64.55,1,2,1),(28,7161298,'1992-09-01 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373431679513575112130232141',928,'270',71.54,1,3,NULL),(28,7161301,'1993-06-05 00:00:00',2,27,12,2010,'F','N','CENTRO','S MIGUEL OESTE','SC','124241241116162311335632575125243213142',NULL,'412',0.00,1,2,1),(28,7161310,'1993-07-07 00:00:00',4,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124252251215472411469913575112610161185',884,'9998',71.09,1,3,NULL),(28,7161328,'1992-07-05 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243247337473751254823575124610164111',14893,'9999',39.93,1,3,NULL),(28,7161336,'1993-02-10 00:00:00',4,24,12,2010,'F','N','GUAIRA','CURITIBA','PR','116162161216371411479934573122610135042',NULL,'9998',0.00,1,3,NULL),(28,7161344,'1994-10-10 00:00:00',4,5,11,2011,'F','N','CENTRO','URUSSANGA','SC','124242247215171431468813572114610131142',3226,'226',60.83,1,3,NULL),(28,7161352,'1989-11-15 00:00:00',2,4,12,2007,'M','N','CENTRO','RIO GRANDE','RS','120201201117271421334629441134241421097',10302,'9998',48.98,2,1,1),(28,7161360,'1994-08-09 00:00:00',4,2,12,2011,'M','N','VELHA','BLUMENAU','SC','124244241215111411358833572122610112012',6447,'997',52.74,1,3,NULL),(28,7161379,'1992-10-09 00:00:00',4,1,11,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124204201217142421659974342134610167072',7124,'9998',50.79,2,1,2),(28,7161387,'1994-07-20 00:00:00',4,8,11,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241217152431479934375122610116122',3351,'461',60.27,1,3,NULL),(28,7161395,'1993-05-23 00:00:00',2,1,12,2010,'F','N','TATUAPÉ','S PAULO','SP','125252251216472231248834575112610167097',1585,'9998',65.08,1,3,NULL),(28,7161409,'1989-12-05 00:00:00',4,1,7,2007,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241247217131431226644345124233234092',NULL,'270',12.58,1,3,NULL),(28,7161417,'1995-05-24 00:00:00',2,1,12,2012,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124164241217121431229933375124610136077',NULL,'1133',50.18,1,3,NULL),(28,7161425,'1991-08-20 00:00:00',4,1,12,2009,'M','N','CAMPO GRANDE','SANTOS','SP','125251251117571431365673575121610167057',2026,'9998',63.17,1,2,1),(28,7161433,'1990-04-13 00:00:00',4,2,12,2007,'F','N','VALPARAISO','BLUMENAU','SC','124241241316131411448314435122131363147',NULL,'85',30.76,1,3,NULL),(28,7161468,'1994-02-20 00:00:00',2,1,12,2011,'M','N','BOM VIVER','BIGUAÇU','SC','124241241142131732546634395124610127047',15123,'1116',35.58,1,3,NULL),(28,7161476,'1991-12-05 00:00:00',4,6,12,2009,'M','N','PONTA DA PRAIA','SANTOS','SP','125252248216372751438619495121610124112',9492,'9997',54.56,2,1,2),(28,7161484,'1989-04-13 00:00:00',4,16,12,2007,'F','N','CHACARAS AREAL','INDAIATUBA','SP','125252251211571421458711571122610114094',NULL,'9998',0.00,1,3,NULL),(28,7161522,'1986-11-24 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241227142441355423435124122364042',15420,'262',44.82,1,3,NULL),(28,7161530,'1994-10-21 00:00:00',4,1,12,2011,'M','N','FORQUILHINHAS','S JOSÉ','SC','124243241112151431449814272124610137062',11614,'307',44.70,1,3,NULL),(28,7161549,'1994-04-08 00:00:00',4,1,12,2011,'M','N','JARDIM DONA SINHÁ','S PAULO','SP','125254251115151431426614575124610146092',8605,'9998',47.79,1,3,NULL),(28,7161557,'1994-08-01 00:00:00',4,4,12,2011,'F','N','SANTA MARIA','CHAPECÓ','SC','124244241215111431459413475112610134047',NULL,'1191',19.92,1,3,NULL),(28,7161565,'1994-04-18 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111411338813235122610122092',8640,'273',49.48,1,3,NULL),(28,7161573,'1994-10-16 01:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431336622575114610164047',12858,'738',38.75,1,3,NULL),(28,7161581,'1993-12-15 00:00:00',4,1,12,2010,'M','N','CIDADE INDUSTRIAL','CURITIBA','PR','116162161215571431438713572122610137092',NULL,'9998',0.00,1,3,NULL),(28,7161611,'1993-08-09 00:00:00',4,16,12,2010,'F','N','CENTRO','FRAIBURGO','SC','124242201215572431449614175122610131077',2201,'9998',61.70,1,3,NULL),(28,7161646,'1993-12-21 00:00:00',2,6,12,2011,'M','N','CORDEIROS','ITAJAÍ','SC','124241241127471431343632175124610124147',13167,'397',39.66,1,2,1),(28,7161654,'1994-05-03 00:00:00',2,4,12,2011,'M','N','CENTRO','CAMPOS NOVOS','SC','124242241216111411333933475122610165147',14770,'962',38.94,1,3,NULL),(28,7161662,'1992-04-09 00:00:00',2,1,12,2009,'F','N','GUARUJÁ','PTO ALEGRE','RS','120204201116471751568833345124243234022',11683,'9998',42.61,4,3,NULL),(28,7161670,'1993-09-30 00:00:00',4,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241216112431346632575122610137052',10972,'1050',43.82,1,3,NULL),(28,7161689,'1994-08-01 00:00:00',4,8,12,2011,'M','N','SITIO CERCADO','CURITIBA','PR','116161161137371731459614575124610134172',14004,'9998',47.40,1,2,1),(28,7161697,'1974-12-25 00:00:00',2,7,12,1993,'M','N','ANDORINHAS','ZORTÉA','SC','124241241126473421431144242234131022047',4888,'449',54.33,1,2,1),(28,7161700,'1992-12-29 00:00:00',4,1,12,2010,'F','N','BARRA FUNDA','GUARUJÁ','SP','125252251216471431343623575124610123142',8471,'9998',47.80,1,3,NULL),(28,7161719,'1993-08-18 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215472431448814574114610126185',2085,'270',65.63,1,3,NULL),(28,7161727,'1994-05-07 00:00:00',4,1,12,2011,'F','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161215111431469933575124610114072',1499,'9998',66.13,1,3,NULL),(28,7161735,'1992-11-09 00:00:00',4,5,12,2009,'M','N','RIO MAINA','CRICIÚMA','SC','124241248117141721433934395114610147017',15054,'221',37.92,1,2,1),(28,7161743,'1993-09-17 00:00:00',4,1,12,2010,'M','N','PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP','125253251215471411456314576112610132097',1110,'9998',70.43,1,3,NULL),(28,7161751,'1993-12-16 00:00:00',4,1,12,2011,'M','N','JARDIM ALVORADA','JAÚ','SP','125132251215111431678831415112610162112',786,'9998',71.31,1,3,NULL),(28,7161760,'1993-02-17 00:00:00',4,1,12,2010,'F','N','VILA FRANCISCO M','STO ANDRÉ','SP','125252251215471731539714575122610147097',NULL,'9998',0.00,1,3,NULL),(28,7161778,'1995-03-08 00:00:00',2,4,12,2011,'F','N','INTERIOR','CONCÓRDIA','SC','124243241117471431333612576124610141142',5792,'858',54.47,1,3,NULL),(28,7161786,'1993-05-11 00:00:00',2,1,12,2010,'F','N','PARQUE DOS PRÍNCIPES','OSASCO','SP','125252251215471431288822171122610116052',10262,'9998',53.29,1,3,NULL),(28,7161794,'1991-12-27 00:00:00',4,8,12,2009,'M','N','TATUAPÉ','S PAULO','SP','125252251216571431468813575114610147057',NULL,'9998',0.00,1,3,NULL),(28,7161808,'1990-12-12 00:00:00',4,8,12,2007,'F','N','ACARAÍ','S FRANCISCO SUL','SC','124242241215575421658933595122610144072',6355,'457',59.94,3,3,NULL),(28,7161824,'1994-07-06 00:00:00',4,8,11,2011,'F','N','JARDIM PRIMAVERA','S PAULO','SP','125252251217271731479922275124610112012',NULL,'9998',0.00,1,3,NULL),(28,7161832,'1994-06-09 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431248823475122610167087',13929,'723',47.52,1,3,NULL),(28,7161840,'1994-08-21 00:00:00',4,4,12,2011,'F','N','CENTRO','VARGEÃO','SC','124241241137161411323367345122610166192',NULL,'824',20.83,1,3,NULL),(28,7161859,'1993-03-10 00:00:00',4,1,12,2010,'M','N','TABOÃO','S BERNARDO CAMPO','SP','125252251216472411363731585124610167052',1806,'9998',64.85,1,3,NULL),(28,7161875,'1993-10-05 00:00:00',2,1,12,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241115371451469933572122610143092',7735,'267',53.23,1,2,1),(28,7161883,'1993-05-12 00:00:00',4,1,11,2010,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124243241117372431333362242124610127122',17550,'729',32.10,1,3,NULL),(28,7161891,'1981-08-04 00:00:00',4,1,12,1998,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124172241216152711488413432132321462084',3569,'270',59.89,1,3,NULL),(28,7161913,'1994-05-25 00:00:00',4,5,12,2011,'M','N','MARIA CÉU','CRICIÚMA','SC','124242241235111411578613575112610142015',5261,'213',56.87,1,3,NULL),(28,7161921,'1990-12-20 00:00:00',4,1,12,2007,'M','N','ROÇADO','S JOSÉ','SC','124241241116131331323374345234133217117',18742,'359',36.32,4,3,NULL),(28,7161930,'1994-03-25 00:00:00',4,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241116572431447924575114610138172',8314,'307',49.73,1,2,1),(28,7161948,'1994-06-16 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241117271431434621172123610143057',14159,'729',38.62,1,2,1),(28,7161956,'1994-04-11 00:00:00',2,26,12,2010,'F','N','INTERIOR','CONCÓRDIA','SC','124241241116271431546813572124610127047',13839,'918',37.69,1,3,NULL),(28,7161964,'1994-05-11 00:00:00',2,5,12,2011,'M','N','SÃO BENTO ALTO','NOVA VENEZA','SC','124243241217111731433412271124610137047',16876,'995',41.82,1,3,NULL),(28,7161999,'1994-04-14 00:00:00',4,4,12,2011,'F','N','IMPERIAL','CONCÓRDIA','SC','124241241115271431324411115122610128142',16590,'192',30.83,1,2,1),(28,7162014,'1980-03-26 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216475451458932595122130232122',1422,'270',71.95,1,3,NULL),(28,7162022,'1976-08-09 00:00:00',4,1,10,2000,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','224241246137135421233444445132333227047',14800,'306',45.99,1,2,1),(28,7162030,'1993-08-07 00:00:00',2,24,12,2010,'F','N','CENTRO','AGRONÔMICA','SC','124243241235471431344619395124610123187',11226,'654',51.74,1,3,NULL),(28,7162049,'1991-07-12 00:00:00',4,1,12,2009,'F','N','PITUBA','SALVADOR','BA','105052052211111111338833573115610117076',11825,'9998',50.82,2,3,NULL),(28,7162057,'1994-09-20 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215171421338933575122610111191',16422,'738',33.07,1,3,NULL),(28,7162065,'1994-06-15 00:00:00',2,6,12,2011,'M','N','GRAVATÁ','NAVEGANTES','SC','124244248215161731436933575124610128052',NULL,'1059',24.29,1,3,NULL),(28,7162073,'1994-06-22 00:00:00',2,3,12,2011,'M','N','ROSA PIRES','CPO GRANDE','MS','112122121216111431378611572122610167052',13706,'9998',47.87,1,3,NULL),(28,7162081,'1987-10-30 00:00:00',4,1,12,2005,'M','N','CRISTAL','PTO ALEGRE','RS','120202201216572751557739392114141162032',13367,'9998',48.46,1,3,NULL),(28,7162103,'1994-06-23 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215131731436814575122610127057',14672,'1134',37.59,1,3,NULL),(28,7162120,'1990-06-25 00:00:00',4,1,12,2008,'M','N','ARIRIÚ','PALHOÇA','SC','124241241121132431433344145124230224047',NULL,'719',13.07,1,3,NULL),(28,7162146,'1994-04-10 00:00:00',4,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124241241115131431457933375122610117047',9193,'592',48.57,1,2,1),(28,7162154,'1992-01-13 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241246135372431556879475124233241042',1468,'306',68.05,1,2,1),(28,7162170,'1993-10-20 00:00:00',2,1,12,2010,'M','N','VARJEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241242112271431336923442124610167052',12213,'135',43.35,1,2,1),(28,7162189,'1993-07-19 00:00:00',4,1,12,2010,'M','N','DAMHA','PRES PRUDENTE','SP','125252251215472421458811595125610147042',4313,'9998',63.77,1,3,NULL),(28,7162197,'1994-09-20 00:00:00',4,1,12,2011,'M','N','CENTRO','MERCEDES','PR','116162161216111431548832575114610167042',14792,'9998',36.57,1,3,NULL),(28,7162243,'1994-10-21 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162241215121711441131575114610137112',7729,'270',51.35,3,3,NULL),(28,7162251,'1994-11-11 00:00:00',4,4,12,2011,'M','N','INDUSTRIAL II','NOVA ERECHIM','SC','124241242115371331436614575325610127057',17674,'196',39.79,1,2,1),(28,7162260,'1992-05-09 00:00:00',2,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124241241335372431536614382124610137042',9636,'425',50.28,1,3,NULL),(28,7162278,'1993-06-05 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241215272431348833585122141427142',10525,'168',42.32,1,3,NULL),(28,7162286,'1994-02-10 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215131431367924375112610127047',NULL,'262',0.00,1,3,NULL),(28,7162308,'1991-04-20 00:00:00',4,1,12,2008,'M','N','JARDIM ACLIMAÇÃO','S JOSÉ R PRETO','SP','125253251215571431456916595122610124197',2040,'9998',63.53,1,3,NULL),(28,7162332,'1984-03-15 00:00:00',4,1,12,2002,'M','N','GUARÁ II','GUARÁ','DF','107072071216371431458839495122343232047',16021,'9998',43.66,1,3,NULL),(28,7162340,'1994-04-28 00:00:00',4,10,10,2011,'M','N','PASSO DO GADO','TUBARÃO','SC','124241241215121431324314571225610121122',3526,'797',62.09,4,3,NULL),(28,7162359,'1992-06-12 00:00:00',4,1,11,2010,'F','N','CENTRO','MARAU','RS','120204201617131431458614585124610122197',15273,'9998',37.05,1,3,NULL),(28,7162375,'1994-06-07 00:00:00',2,1,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124253241212111431558714575122610144052',9858,'1134',45.24,1,3,NULL),(28,7162383,'1994-01-29 00:00:00',4,1,12,2011,'M','N','JARDIM PETRÓPOLIS','LONDRINA','PR','116162161217111411389912472122610131122',2267,'9998',66.11,3,3,NULL),(28,7162391,'1994-02-20 00:00:00',4,1,12,2010,'F','N','CENTRO','LEOBERTO LEAL','SC','124241241125471431534332274124610168192',7570,'533',49.94,1,2,1),(28,7162405,'1994-11-12 00:00:00',2,24,12,2011,'F','N','FUNDO CANOAS','RIO SUL','SC','124241241127131431334329475124610134172',16736,'900',30.16,1,2,1),(28,7162413,'1993-02-04 00:00:00',2,22,12,2011,'M','N','CURICICA','RIO JANEIRO','RJ','121212211437571431428831572114610147047',7339,'9998',49.99,2,1,2),(28,7162448,'1994-10-19 00:00:00',2,10,10,2011,'F','N','HUMAITÁ','TUBARÃO','SC','124242241215111431438812575122610114142',11821,'797',42.89,1,3,NULL),(28,7162456,'1993-06-24 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241222342752435818442124610162127',10967,'262',45.13,1,3,NULL),(28,7162464,'1993-07-02 00:00:00',2,3,12,2010,'M','N','QUADRA DO MAR','BAL CAMBORIÚ','SC','120201201417111511436316165122240227146',NULL,'9998',17.21,1,3,NULL),(28,7162472,'1993-03-19 00:00:00',4,3,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217141431456811345121610124042',18060,'53',38.70,1,3,NULL),(28,7162480,'1991-09-17 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241215372741456923575124121468142',140,'1105',80.54,1,3,NULL),(28,7162499,'1993-08-30 00:00:00',4,1,11,2010,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215372411388812572122131062123',1949,'270',66.21,1,3,NULL),(28,7162510,'1995-03-28 00:00:00',4,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431568833575114610168192',4300,'883',56.85,1,3,NULL),(28,7162529,'1987-05-30 00:00:00',4,1,12,2005,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','624252251437132731126844345114610136077',NULL,'9998',26.94,1,3,NULL),(28,7162537,'1994-03-24 00:00:00',4,1,12,2011,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241216111421468831475124610167042',8864,'883',49.02,1,3,NULL),(28,7162545,'1993-12-28 00:00:00',4,1,12,2010,'M','N','VILA GUARANI','JUNDIAÍ','SP','125253253116371431468619575121610147097',9554,'9998',54.45,1,3,NULL),(28,7162553,'1990-11-10 00:00:00',4,1,12,2007,'M','N','PARQUE SÃO VICENTE','S VICENTE','SP','125252251217473441436614571114610167097',6323,'9998',52.18,1,3,NULL),(28,7162570,'1988-09-17 00:00:00',4,2,12,2006,'M','N','TRIBESS','BLUMENAU','SC','124241241126131331123344341233130236147',NULL,'22',0.00,1,3,NULL),(28,7162588,'1994-05-21 00:00:00',4,25,12,2011,'M','N','CENTRO','FRAIBURGO','SC','124241241215131731226724585122610125147',18922,'317',35.59,4,3,NULL),(28,7162618,'1994-08-01 00:00:00',4,1,12,2011,'M','N','CAMPO BELO','PINDAMONHANGABA','SP','125122251415111431338813575122610136182',5694,'9998',54.61,1,3,NULL),(28,7162626,'1994-10-25 00:00:00',4,1,12,2011,'M','N','BELA VISTA','S JOSÉ','SC','124244241215151431323313575114610147042',14199,'1078',40.24,4,3,NULL),(28,7162634,'1993-04-29 00:00:00',2,25,12,2010,'M','N','BELA VISTA','LEBON RÉGIS','SC','124244241114132711433714445112610167012',6542,'532',51.12,1,3,NULL),(28,7162642,'1991-10-17 00:00:00',4,8,12,2009,'M','N','VILA MARIA','LAGES','SC','124241241216473431548939595123231467042',4853,'499',56.41,1,3,NULL),(28,7162650,'1989-01-21 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124162241126374421125644246233131864182',NULL,'285',41.64,4,3,NULL),(28,7162669,'1993-05-17 00:00:00',4,8,12,2009,'F','N','CHÁCARA CACHOEIRA','CPO GRANDE','MS','112112121216571431359931574112610163125',2818,'9998',67.38,1,3,NULL),(28,7162685,'1989-12-18 00:00:00',2,1,12,2006,'F','N','SANTA CLARA','QUATRO PONTES','PR','116162161216575441439811492124243222142',1494,'9998',68.59,1,3,NULL),(28,7162693,'1989-12-18 00:00:00',4,2,12,2007,'F','N','EMBARÉ','SANTOS','SP','125254251216234341537619575124243264142',9074,'9998',46.22,1,3,NULL),(28,7162707,'1994-05-25 00:00:00',4,1,11,2011,'F','N','VILLA YARA','OSASCO','SP','125254251415111731243828585122610165117',6493,'9998',50.50,1,3,NULL),(28,7162715,'1994-10-01 00:00:00',2,1,12,2011,'M','N','COLONIA SANTANA','S JOSÉ','SC','124243241116371532426419345124610147042',NULL,'733',20.67,1,3,NULL),(28,7162731,'1994-03-17 00:00:00',2,25,12,2011,'F','N','RONDINHA','VIDEIRA','SC','124241241116371421324335575124610134057',NULL,'831',26.07,1,2,1),(28,7162740,'1994-11-28 00:00:00',4,1,1,2012,'M','N','CAMPINAS','S JOSÉ','SC','624241241116371731226524375124610134072',13617,'733',38.29,1,2,1),(28,7162758,'1993-08-22 00:00:00',4,4,12,2010,'F','N','NAÇÕES','CONCÓRDIA','SC','124241241217472731348824575125610122012',16025,'1001',43.65,1,3,NULL),(28,7162766,'1984-03-26 00:00:00',4,4,12,2002,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241111373711356614482122321352017',NULL,'270',38.39,1,3,NULL),(28,7162774,'1994-04-24 00:00:00',4,1,11,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215112431478814575122610128142',12190,'270',44.74,1,3,NULL),(28,7162782,'1993-09-03 00:00:00',4,2,12,2010,'M','N','NAÇÕES','INDAIAL','SC','124244241217272431557732345124610127017',13401,'37',48.38,1,3,NULL),(28,7162790,'1995-03-28 00:00:00',4,24,12,2011,'F','N','CENTRO','IBIRAMA','SC','124242242117371731226622575124610127142',10315,'1222',45.38,1,3,NULL),(28,7162804,'1994-10-25 00:00:00',4,1,12,2011,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241115471751121127575114612464147',15922,'772',34.24,4,2,1),(28,7162812,'1994-02-14 00:00:00',2,1,12,2011,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241116161531325829375114610138143',NULL,'286',25.73,1,2,1),(28,7162820,'1987-04-24 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372431247812485124332126042',8327,'266',56.57,1,3,NULL),(28,7162839,'1994-10-25 00:00:00',4,1,12,2012,'F','S','CENTRO','BRAÇO NORTE','SC','124243241215111312234429345122610125142',NULL,'102',26.57,1,3,NULL),(28,7162847,'1994-05-30 00:00:00',4,16,12,2011,'M','N','CENTRO','CURITIBANOS','SC','124244241416161752438973595125610117186',NULL,'881',25.78,3,3,NULL),(28,7162855,'1991-04-24 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','111112111216131521326679292124242663077',18764,'9998',36.23,1,3,NULL),(28,7162863,'1991-04-07 00:00:00',4,22,11,2008,'M','N','CENTRO','BRUSQUE','SC','124242241217574431567732572121610167011',NULL,'1244',0.00,1,3,NULL),(28,7162871,'1994-08-08 00:00:00',4,9,11,2011,'M','N','CORAL','LAGES','SC','124241246617141731433619395122610158087',18176,'1106',38.36,1,3,NULL),(28,7162880,'1992-08-14 00:00:00',2,10,12,2010,'M','N','CENTRO','TUBARÃO','SC','124242241215472441248629475111610167047',4100,'797',59.25,1,3,NULL),(28,7162898,'1991-04-19 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241115273431643311186224121918122',8517,'307',49.55,1,2,1),(28,7162901,'1994-09-18 00:00:00',4,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124243241215111431544611345124610127182',6139,'1118',56.45,1,3,NULL),(28,7162910,'1993-11-16 00:00:00',4,8,11,2011,'M','N','ATIRADORES','JOINVILLE','SC','124242241215121431478914372122610137041',NULL,'1016',31.21,1,3,NULL),(28,7162928,'1992-08-30 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372411458932575111131462051',8121,'962',50.01,1,3,NULL),(28,7162936,'1994-09-12 00:00:00',4,1,11,2011,'M','N','BELA VISTA III','S JOSÉ','SC','124242241215112431557933177134610167042',4475,'270',58.39,1,3,NULL),(28,7162944,'1992-06-27 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122411445632572125231064147',4434,'262',56.12,1,3,NULL),(28,7162952,'1985-04-28 00:00:00',2,1,12,2002,'M','N','CENTRO','CAXIAS SUL','RS','120281283117131411114444345124143264037',17701,'9998',39.73,1,3,NULL),(28,7162960,'1994-10-07 00:00:00',4,1,12,2011,'F','N','NOVO CENTRO','MARINGÁ','PR','116162161215111112468811575112610121017',16620,'9998',42.39,3,3,NULL),(28,7162979,'1993-08-20 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215572431449923376125610167187',402,'1000',75.81,1,3,NULL),(28,7162987,'1995-01-26 00:00:00',2,10,12,2011,'F','N','VILLAGE','IMBITUBA','SC','124242241215472411468913195122610164142',46,'262',81.60,1,3,NULL),(28,7163002,'1993-01-22 00:00:00',2,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124112111112573441438812574125610162092',NULL,'9998',0.00,1,3,NULL),(28,7163010,'1993-05-08 00:00:00',4,1,11,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241215121431428314274124610114072',3542,'1022',62.08,2,1,2),(28,7163029,'1993-10-07 00:00:00',2,1,11,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124242241335272441548823575124610166097',344,'295',74.94,1,3,NULL),(28,7163037,'1994-04-08 00:00:00',4,23,11,2012,'M','S','CENTRO','JARAGUÁ SUL','SC','124242241215111431358934574124610164067',NULL,'1063',44.60,1,3,NULL),(28,7163045,'1992-08-07 00:00:00',2,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124241241137472421336624245124610126142',10043,'257',47.24,1,2,1),(28,7163053,'1990-06-26 00:00:00',2,4,12,2007,'F','N','JARDIM ITAPUAN','MARINGÁ','PR','116161161216572751335339595112610162092',902,'9998',71.63,1,3,NULL),(28,7163061,'1993-07-13 00:00:00',2,17,12,2010,'F','N','SOSSEGO','CANOINHAS','SC','124244241414272431458912472122610114191',16159,'154',43.41,1,3,NULL),(28,7163070,'1994-11-08 00:00:00',2,8,12,2011,'F','N','JARDIM HANTSCHEL','RIO NEGRINHO','SC','124241241136131411634833575122610167052',14333,'669',41.03,1,2,1),(28,7163088,'1992-08-21 00:00:00',4,1,12,2009,'F','N','VILA LEOPOLDINA','S PAULO','SP','125252251417571431369821571122610164092',915,'9998',69.83,1,3,NULL),(28,7163096,'1995-05-04 00:00:00',4,1,12,2012,'M','S','LAGOA DA CONÇEICÃO','FLORIANÓPOLIS','SC','124242241217121431488832595122610164046',NULL,'270',30.39,1,3,NULL),(28,7163100,'1994-01-21 00:00:00',4,7,12,2011,'M','N','BOA VISTA','JOAÇABA','SC','124241242115111431448913395124610134017',NULL,'196',24.89,1,3,NULL),(28,7163118,'1983-06-06 00:00:00',2,1,12,1999,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124061061117371431232274345124341832091',5766,'9998',54.13,1,2,1),(28,7163126,'1994-11-12 00:00:00',4,1,11,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215121431436734272114610127057',6123,'270',54.78,1,3,NULL),(28,7163134,'1993-10-15 00:00:00',2,1,12,2010,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124242241215472431436651594114610127162',7381,'737',54.84,1,3,NULL),(28,7163142,'1990-11-07 00:00:00',2,1,7,2008,'F','N','PACHECO','PALHOÇA','SC','124243241116244431456923345124233223147',NULL,'306',0.00,1,3,NULL),(28,7163150,'1994-01-30 00:00:00',4,5,11,2011,'M','N','SÃO SIMÃO','CRICIÚMA','SC','124242246215271431558631595124610167042',2468,'9997',60.99,1,3,NULL),(28,7163169,'1992-04-15 00:00:00',4,1,8,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124203241317131431337713375114610136017',20123,'9999',25.45,1,3,NULL),(28,7163177,'1992-06-01 00:00:00',4,8,12,2009,'M','N','GLORIA','JOINVILLE','SC','124242241215213731258622572125133268182',12254,'1063',42.72,1,3,NULL),(28,7163185,'1993-09-14 00:00:00',4,1,12,2011,'M','N','VILA BRASIL','S JOSÉ R PARDO','SP','125254251216111431434814545122610127042',NULL,'9998',32.53,1,3,NULL),(28,7163193,'1994-01-26 00:00:00',4,8,12,2011,'M','N','JARDIM PARANA','LONDRINA','PR','116161161216111731349923475114610164092',NULL,'9998',0.00,3,3,NULL),(28,7163215,'1992-03-25 00:00:00',4,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241215573411477814571125610165127',1969,'1026',65.76,1,3,NULL),(28,7163223,'1993-10-05 00:00:00',4,1,12,2011,'M','N','BONANÇA','JARINU','SP','125251252117171711448814585121610117042',19345,'9998',23.28,1,3,NULL),(28,7163231,'1994-10-20 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431459833575122610124125',NULL,'9997',47.75,1,3,NULL),(28,7163240,'1988-02-26 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161161316271411436619445124341542092',8526,'9998',53.42,1,3,NULL),(28,7163258,'1994-01-30 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112411366833575122610144042',5970,'273',55.40,1,3,NULL),(28,7163274,'1994-04-28 00:00:00',4,1,11,2011,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124172241215111731259923576124610163117',8688,'270',55.93,1,3,NULL),(28,7163290,'1993-01-19 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241115131431446614375114610167042',NULL,'271',33.47,1,3,NULL),(28,7163312,'1993-10-24 00:00:00',4,8,12,2010,'M','N','GRAMADO','CAMPINAS','SP','125252251216371431468812572122241467182',2099,'9998',62.67,1,3,NULL),(28,7163320,'1992-10-16 00:00:00',4,3,11,2009,'M','N','MORRETES','ITAPEMA','SC','124241241116573731456732575122610134147',NULL,'406',0.00,1,2,1),(28,7163339,'1993-07-17 00:00:00',2,10,12,2010,'F','N','CENTRO','JAGUARUNA','SC','124241241216472431448913572122610123097',3493,'807',60.47,1,3,NULL),(28,7163347,'1993-07-13 00:00:00',4,1,12,2010,'F','N','CENTRO','LAGES','SC','124242241215474431369814275122610134091',548,'499',73.91,1,3,NULL),(28,7163355,'1993-05-18 00:00:00',2,1,12,2010,'M','N','IPIRANGA','S JOSÉ','SC','124241241111132511436933585124231017042',NULL,'271',26.34,1,2,1),(28,7163363,'1986-03-17 00:00:00',2,1,8,2005,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124241241127132431123344345323610127042',NULL,'483',0.00,1,2,1),(28,7163371,'1995-02-09 00:00:00',2,24,12,2011,'F','N','CANTA GALO','RIO SUL','SC','124241242115371441226624575124610128182',9384,'1222',46.62,1,3,NULL),(28,7163380,'1993-07-06 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241248135472711423529382124610138052',14943,'307',38.18,1,2,1),(28,7163398,'1992-11-05 00:00:00',4,1,12,2010,'F','N','JARDIM CHAPADÃO','CAMPINAS','SP','125173251316471421469919575122610164047',1426,'9998',71.92,1,3,NULL),(28,7163401,'1993-11-04 00:00:00',4,8,11,2011,'F','N','ITAUM','JOINVILLE','SC','124242241215111431436914572122610166142',2490,'1063',64.95,1,3,NULL),(28,7163410,'1992-12-07 00:00:00',2,24,12,2009,'F','N','CENTRO','LEOBERTO LEAL','SC','124241241125272431425317575124610124052',9834,'533',43.39,1,3,NULL),(28,7163428,'1993-07-06 00:00:00',4,27,12,2010,'M','N','CENTRO','MARAVILHA','SC','124241241116371431326611385114610137052',NULL,'552',28.47,1,2,1),(28,7163436,'1994-05-23 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241136371711323624175124610127052',17539,'592',33.13,1,2,1),(28,7163444,'1992-10-27 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124203131217572431139654572121610168172',7373,'9998',52.39,1,3,NULL),(28,7163452,'1994-12-02 00:00:00',4,1,12,2011,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251215121431469832575122610167052',1168,'9998',67.96,1,3,NULL),(28,7163479,'1994-10-07 00:00:00',4,17,12,2011,'F','N','CENTRO','CANOINHAS','SC','124241241116371411537731345121610164177',5825,'146',60.87,1,3,NULL),(28,7163487,'1994-09-30 00:00:00',4,8,11,2011,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215111431459614475122610144182',13185,'931',38.36,1,3,NULL),(28,7163495,'1993-02-16 00:00:00',4,1,12,2011,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124241246117472421324911385124610127142',4586,'306',58.53,1,2,1),(28,7163509,'1993-04-21 00:00:00',2,1,11,2010,'M','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124241241115472431324621575124610117142',10062,'65',47.19,1,2,1),(28,7163517,'1993-08-06 00:00:00',2,1,11,2011,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241117371431457432572124610162143',11678,'271',44.44,1,3,NULL),(28,7163525,'1994-03-28 00:00:00',2,1,12,2011,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124244241215121431438312575122610137097',NULL,'1118',19.85,2,1,2),(28,7163533,'1992-04-08 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241316113411435923291124610168127',NULL,'362',25.93,1,3,NULL),(28,7163541,'1994-06-12 00:00:00',2,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115471431423314275124610167142',18168,'733',34.08,1,2,1),(28,7163550,'1992-04-20 00:00:00',4,8,12,2009,'M','N','VILA NOVA','JOINVILLE','SC','124241241116574431458933485124610147047',15143,'475',45.32,1,2,1),(28,7163568,'1995-02-22 00:00:00',4,24,11,2012,'M','S','CANTA GALO','RIO SUL','SC','124242241215111431447634575122610122012',NULL,'991',44.41,1,3,NULL),(28,7163576,'1993-02-09 00:00:00',4,1,12,2010,'F','N','ÁGUA DAS ANTAS','LUCIANÓPOLIS','SP','125254251215472431546823475112610138182',2068,'9998',62.80,1,3,NULL),(28,7163592,'1994-12-31 00:00:00',4,6,12,2011,'F','N','GRAVATÁ','NAVEGANTES','SC','124241241126161431555819575124610136172',NULL,'1069',35.56,1,2,1),(28,7163606,'1994-08-23 00:00:00',2,7,12,2011,'F','N','JARDIM DA SERRA','CAPINZAL','SC','124243241115471441436414575124610136057',10329,'196',44.92,1,3,NULL),(28,7163630,'1993-03-27 00:00:00',4,1,12,2010,'M','N','ANA ROSA','CRUZEIRO','SP','125252251117471231656823572114610137147',7167,'9998',51.11,1,3,NULL),(28,7163665,'1992-04-15 00:00:00',4,6,12,2009,'F','N','NAÇOES','BAL CAMBORIÚ','SC','124243241216574431428513495112610147032',NULL,'389',29.00,1,3,NULL),(28,7163673,'1992-12-19 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215153441368813475124221434142',1721,'262',64.31,1,3,NULL),(28,7163690,'1992-09-17 00:00:00',4,1,12,2009,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241215573231359713595124230262052',4098,'270',57.54,1,3,NULL),(28,7163703,'1995-01-20 00:00:00',4,1,12,2012,'M','S','VELHA','BLUMENAU','SC','124242241217111332258813575124610168192',NULL,'855',56.17,1,3,NULL),(28,7163711,'1993-11-29 00:00:00',4,1,12,2011,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241117371431237614346124610127143',14325,'307',39.55,1,3,NULL),(28,7163720,'1993-09-13 00:00:00',4,1,11,2011,'F','N','CENTRO','GOV VALADARES','MG','113132131216121431279921475125610162092',NULL,'9998',21.01,1,3,NULL),(28,7163738,'1993-11-09 00:00:00',2,25,12,2010,'M','N','LINHA PEDRA LISA','RIO ANTAS','SC','124241242116132431433435345125231467057',NULL,'196',34.71,1,2,1),(28,7163746,'1990-01-12 00:00:00',2,22,12,2007,'F','N','CENTRO','BRUSQUE','SC','124242241215575431458612575122610141142',2175,'107',63.58,1,3,NULL),(28,7163754,'1994-02-05 00:00:00',4,5,11,2011,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124241241215111431359714495122610134192',5522,'210',55.77,1,3,NULL),(28,7163789,'1993-09-27 00:00:00',4,17,12,2010,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116162161215571431579913372125610117042',4136,'9998',55.16,1,3,NULL),(28,7163797,'1992-05-16 00:00:00',4,1,10,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242247325371411438614245134610145187',NULL,'9999',24.08,1,3,NULL),(28,7163800,'1990-08-04 00:00:00',4,1,12,2007,'F','N','VILA MARIANA','S PAULO','SP','125163251216571731489619571124610127122',5348,'9998',55.89,1,3,NULL),(28,7163819,'1995-11-10 00:00:00',4,2,12,2012,'F','S','PONTA AGUDA','BLUMENAU','SC','124242241217121131459813576122610123192',NULL,'855',39.38,1,3,NULL),(28,7163827,'1994-10-05 00:00:00',2,22,12,2011,'F','N','CARDOSO','S JOÃO BATISTA','SC','124241241145141431435314245121610135047',16515,'712',32.50,1,2,1),(28,7163835,'1993-08-07 00:00:00',4,1,12,2010,'F','N','JARDIM FOREST','CARAGUATATUBA','SP','125252251235371431547811575122610134142',NULL,'9998',0.00,1,3,NULL),(28,7163851,'1993-10-23 00:00:00',4,1,12,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241315111712236674475124610134192',15411,'300',36.22,1,3,NULL),(28,7163860,'1991-12-24 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217272411348821475111120751185',6974,'270',58.88,1,3,NULL),(28,7163878,'1995-03-21 00:00:00',4,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124241241112131231469513572124610137047',4775,'739',55.96,4,1,1),(28,7163886,'1994-01-11 00:00:00',4,4,12,2011,'M','N','SÃO PEDRO','XANXERÊ','SC','124241241116271731536414475122610134052',9201,'949',48.40,1,2,1),(28,7163894,'1992-11-10 00:00:00',4,9,12,2009,'F','N','VILA NOVA','LAGES','SC','124243248236142431448934295122230717097',NULL,'515',31.31,1,3,NULL),(28,7163908,'1994-04-25 00:00:00',4,5,10,2011,'M','N','CENTRO','CRICIÚMA','SC','124244241215371441439619375125610142187',1579,'213',66.30,1,3,NULL),(28,7163916,'1994-12-29 00:00:00',4,1,12,2011,'M','N','JARDIM JUDITH','LONDRINA','PR','116164161215111211469713595122610162143',NULL,'9998',0.00,1,3,NULL),(28,7163924,'1994-12-28 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111431348613435124610133123',NULL,'1050',0.00,1,3,NULL),(28,7163932,'1994-10-24 00:00:00',4,26,12,2011,'M','N','CENTRO','CONCÓRDIA','SC','124242241215371441469814575112610134042',3920,'1000',59.93,1,3,NULL),(28,7163940,'1994-01-23 00:00:00',4,1,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161217471431469933575125610161142',NULL,'9998',0.00,1,3,NULL),(28,7163959,'1994-01-04 00:00:00',2,1,10,2011,'F','N','BARREIROS','FLORIANÓPOLIS','SC','124242241217272432338823575122610122095',8234,'273',48.72,1,3,NULL),(28,7163967,'1984-05-19 00:00:00',4,1,12,2002,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124121121137131412338313445134610113147',20004,'9998',28.01,1,2,1),(28,7163975,'1995-04-12 00:00:00',4,1,12,2011,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241216472431579923575124610118122',2055,'270',64.68,1,3,NULL),(28,7163983,'1993-08-14 00:00:00',4,10,12,2010,'M','N','BARRANCEIRA','LAGUNA','SC','124241241116371431523614385114610132042',9664,'521',46.67,1,2,1),(28,7163991,'1995-07-15 00:00:00',4,1,12,2011,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124203241417151431439857375124610143057',12922,'977',43.78,1,3,NULL),(28,7164009,'1993-10-24 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241315473411548621371124220748182',3296,'9997',64.23,1,3,NULL),(28,7164017,'1994-05-13 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117132431436923575124122343057',7822,'271',50.98,1,2,1),(28,7164025,'1995-07-26 00:00:00',4,1,12,2012,'M','S','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242246117131431428624575124610137142',NULL,'306',49.61,1,3,NULL),(28,7164033,'1991-08-25 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241215574431337911392134231026122',5710,'272',55.30,1,3,NULL),(28,7164041,'1990-09-26 00:00:00',4,1,11,2009,'M','N','CENTENÁRIO','FORMIGA','MG','113132131217571731489931575125610122012',6146,'9998',50.72,4,3,NULL),(28,7164050,'1989-11-13 00:00:00',4,1,12,2006,'F','N','JD NOVO HORIZONTE','VÁRZEA GRANDE','MT','111112111217271211459831575122342522054',3378,'9998',65.90,1,3,NULL),(28,7164076,'1992-03-17 00:00:00',4,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161217571431489933574115610162191',NULL,'9998',0.00,1,3,NULL),(28,7164084,'1991-07-24 00:00:00',4,1,11,2008,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241216575431349934491124610135057',2016,'1169',64.73,1,3,NULL),(28,7164106,'1995-08-03 00:00:00',4,22,12,2011,'F','N','MOURA','CANELINHA','SC','124241241125142411554712271124610134052',6169,'913',52.63,1,2,1),(28,7164122,'1995-03-08 00:00:00',4,7,11,2012,'F','S','JARDIM CIDADE ALTA','JOAÇABA','SC','124243241216111431359933575122610127142',NULL,'962',41.72,1,3,NULL),(28,7164130,'1988-11-19 00:00:00',2,1,12,2007,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241248135273752445824497124610121147',8476,'267',56.31,1,3,NULL),(28,7164149,'1992-09-04 00:00:00',2,17,12,2010,'F','N','CENTRO','MALLET','PR','116161165114471411438612571125610141182',8549,'9998',48.76,1,2,1),(28,7164165,'1994-07-12 00:00:00',2,8,12,2011,'F','N','JARDIM PANAMA','CPO GRANDE','MS','112124128415111432436619576122610137147',NULL,'9998',0.00,4,3,NULL),(28,7164173,'1993-11-28 00:00:00',4,1,11,1993,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431458613375114510167046',10671,'272',45.16,1,3,NULL),(28,7164181,'1994-09-22 00:00:00',4,7,11,2010,'F','N','CENTRO','IBICARÉ','SC','124243241215472431558834571124610126092',3832,'454',57.42,1,3,NULL),(28,7164203,'1992-10-01 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215373431379933575122131033142',8784,'270',50.99,1,3,NULL),(28,7164211,'1991-10-25 00:00:00',2,1,12,2009,'M','N','BELA VISTA','S PAULO','SP','125253251117573411536634575115610167167',5560,'9998',54.28,4,3,NULL),(28,7164220,'1994-07-27 00:00:00',4,4,12,2011,'F','N','BELA VISTA','CORDILHEIRA ALTA','SC','124241241136131732614634245124610122187',19503,'197',32.65,1,3,NULL),(28,7164238,'1992-10-07 00:00:00',2,4,12,2009,'F','N','COHAPAR','NOVA CANTU','PR','116161161115471411338823575125610163182',6224,'9998',50.50,1,2,1),(28,7164246,'1995-01-03 00:00:00',2,4,12,2011,'M','N','CENTRO','ITAPUCÁ','RS','120201201117231431326633575121610167047',NULL,'9998',21.76,1,2,1),(28,7164262,'1992-08-05 00:00:00',2,9,12,2009,'M','N','CENTRO','LAGES','SC','124242241216372431338934375124230444097',8877,'499',55.63,1,3,NULL),(28,7164270,'1994-04-18 00:00:00',4,4,11,2011,'F','N','TONIAL','XANXERÊ','SC','124241241216111431425531572125610153097',6629,'1191',53.85,1,3,NULL),(28,7164319,'1995-10-02 00:00:00',4,22,12,2012,'F','S','CENTRO','NOVA TRENTO','SC','124242241215111331456612375124610113142',NULL,'1244',32.53,1,3,NULL),(28,7164327,'1994-09-25 00:00:00',4,1,12,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241117371431469913572122610166192',2190,'271',66.07,1,3,NULL),(28,7164335,'1994-05-26 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431467631575122610134042',49,'270',81.00,1,3,NULL),(28,7164343,'1989-07-18 00:00:00',2,1,12,2007,'M','N','IPIRANGA','S JOSÉ','SC','124241241115141751124344242214610137067',19374,'734',33.52,1,2,1),(28,7164351,'1994-08-08 00:00:00',2,8,12,2011,'M','N','FÁTIMA','JOINVILLE','SC','124241241216131351348911582124610114182',12591,'489',49.64,1,3,NULL),(28,7164360,'1993-03-22 00:00:00',4,1,12,2010,'M','N','VILA VITORIA','INDAIATUBA','SP','125252251217471431658831575112610117017',2118,'9998',62.64,1,3,NULL),(28,7164394,'1994-02-13 00:00:00',4,6,12,2011,'F','N','CENTRO','ITAJAÍ','SC','124242241215111431339834475122610126192',NULL,'388',27.16,1,3,NULL),(28,7164408,'1995-04-28 00:00:00',2,1,12,2012,'F','S','AREAIS','S JOSÉ','SC','124242248217111431446824175124610121077',NULL,'262',35.61,1,3,NULL),(28,7164416,'1991-09-29 00:00:00',4,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241217132411437923375124221433147',4731,'1022',54.70,1,3,NULL),(28,7164424,'1989-10-23 00:00:00',4,1,12,2007,'M','N','JARDIM SÃO MANOEL','SANTOS','SP','125251251117572711326611275124610114182',10694,'9998',43.42,1,2,1),(28,7164432,'1993-11-30 00:00:00',4,8,12,2011,'M','N','CENTRO','IBIRAREMA','SP','125253251136141731537623395134610117092',NULL,'9998',24.73,1,3,NULL),(28,7164440,'1994-09-28 00:00:00',4,1,12,2011,'M','N','INTERIOR','ITAPIRANGA','SC','124241241117161111426723555124610138197',16016,'411',40.69,1,2,1),(28,7164459,'1989-01-26 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124202201214152431337713471124222226127',NULL,'9998',0.00,1,3,NULL),(28,7164467,'1994-08-04 00:00:00',4,1,11,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215121431469814575124610164042',253,'270',76.21,1,3,NULL),(28,7164483,'1994-09-16 00:00:00',2,25,12,2011,'M','N','MARTELLI','VIDEIRA','SC','124241241147151431553654595122610157187',18123,'831',28.21,1,2,1),(28,7164491,'1993-01-11 00:00:00',2,8,12,2010,'F','N','XAXIM','CURITIBA','PR','116251161116571431433632575124610162147',NULL,'9998',17.39,1,2,1),(28,7164505,'1984-11-16 00:00:00',4,1,12,2002,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215574431359813436124231437062',3687,'270',59.17,1,3,NULL),(28,7164513,'1994-07-08 00:00:00',4,8,10,2011,'M','N','AMÉRICA','JOINVILLE','SC','124242241216111431369811415122610144182',10098,'1063',53.56,1,3,NULL),(28,7164530,'1994-06-28 00:00:00',2,2,12,2011,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124202241315111431468814592124610127147',5118,'88',56.33,1,3,NULL),(28,7164548,'1993-12-22 00:00:00',2,8,12,2010,'M','N','PÉROLA','CORNÉLIO PROCÓPIO','PR','116162161217471431349514595124610164182',NULL,'9998',0.00,1,3,NULL),(28,7164572,'1995-11-24 00:00:00',4,1,12,2012,'M','S','NOSSA S DO ROSÁRIO','S JOSÉ','SC','124242241215151411248823575112610137047',NULL,'1077',56.29,1,3,NULL),(28,7164599,'1987-10-23 00:00:00',2,1,12,2006,'M','N','TAPERA','FLORIANÓPOLIS','SC','224241241126572411313144343224610117042',13387,'1097',42.90,1,2,1),(28,7164602,'1995-02-24 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124244241415111441337623572112610134037',13981,'270',39.19,1,3,NULL),(28,7164610,'1994-02-05 00:00:00',2,1,11,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216121431228724575122610122147',9125,'1197',47.87,1,3,NULL),(28,7164637,'1992-10-17 00:00:00',4,1,12,2010,'M','N','SANTA EFIGENIA','NIQUELÂNDIA','GO','109091091137471441446334275124610162057',NULL,'9998',0.00,4,1,1),(28,7164645,'1993-09-17 00:00:00',4,1,11,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215271431459813591124610138182',11705,'272',44.71,1,3,NULL),(28,7164653,'1994-06-02 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241317271231646661575122610137067',11696,'285',51.01,4,3,NULL),(28,7164661,'1994-10-31 00:00:00',2,15,11,2011,'F','N','CENTRO','ARARANGUÁ','SC','124242241215122431238833475122610128077',12034,'970',46.32,1,3,NULL),(28,7164670,'1983-11-10 00:00:00',2,17,12,2000,'F','N','VILA PROHMANN','S MATEUS SUL','PR','116161161144271441532615382122342538187',NULL,'9998',26.81,1,3,NULL),(28,7164688,'1989-04-10 00:00:00',2,6,12,2006,'F','N','SAO VICENTE','ITAJAÍ','SC','124241241415575431523321572224131465197',1167,'1026',69.70,4,3,NULL),(28,7164696,'1992-02-20 00:00:00',2,1,12,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241117271711533311445214610134147',NULL,'592',41.11,1,2,1),(28,7164700,'1990-04-11 00:00:00',4,5,12,2007,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201216572431569813575124610146093',945,'9998',67.46,1,3,NULL),(28,7164718,'1994-09-20 00:00:00',4,4,12,2011,'F','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124241241217111431549914585112610138142',6860,'1191',52.17,1,3,NULL),(28,7164726,'1970-04-23 00:00:00',4,1,12,1986,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241216135411358711335134221462041',NULL,'262',0.00,1,3,NULL),(28,7164734,'1994-11-18 00:00:00',4,17,12,2011,'F','N','CENTRO','UNIÃO VITÓRIA','PR','116161161115471431358419375122613213142',9566,'9998',47.23,1,2,1),(28,7164742,'1994-09-04 00:00:00',4,6,11,2011,'F','N','RIO DO PEIXE','LUIZ ALVES','SC','124241241215371431337934245125610166192',2370,'44',62.32,1,3,NULL),(28,7164750,'1991-04-25 00:00:00',4,4,12,2008,'F','N','JABUTICABAL','ERECHIM','RS','120201201126272731434334292124610132197',NULL,'9998',24.58,1,3,NULL),(28,7164769,'1994-05-30 00:00:00',4,10,11,2011,'F','N','CENTRO','TUBARÃO','SC','124242241216112431466615275125610124187',2126,'807',65.39,1,3,NULL),(28,7164785,'1993-03-23 00:00:00',4,3,12,2010,'M','N','JARDIM CALIFORNIA','LONDRINA','PR','116243241117471731228911292224610124057',11251,'1087',51.71,4,3,NULL),(28,7164793,'1993-08-15 00:00:00',4,1,12,2010,'F','N','JARDIM DAS FLORES','FOZ IGUAÇU','PR','116162161217471431547814575124610132043',5813,'9998',54.29,1,3,NULL),(28,7164807,'1994-04-07 00:00:00',4,8,12,2011,'M','N','CENTRO','RIO NEGRO','PR','116163166315141411338923395122610134141',NULL,'9998',0.00,1,3,NULL),(28,7164815,'1995-11-17 00:00:00',4,1,11,2012,'F','S','BARREIROS','S JOSÉ','SC','124242241215151431436634245122610138017',NULL,'738',37.71,1,3,NULL),(28,7164823,'1994-05-30 00:00:00',2,1,12,2011,'F','N','RIO GRANDE','PALHOÇA','SC','124241241225111421426614245124610138043',NULL,'262',25.21,1,3,NULL),(28,7164831,'1990-08-06 00:00:00',4,10,12,2007,'M','N','HUMAITÁ','TUBARÃO','SC','124242241216152431633933415125231267017',9732,'807',46.55,1,3,NULL),(28,7164840,'1981-12-25 00:00:00',4,1,12,2003,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124252201216171431327732385122140232077',NULL,'9998',32.42,1,3,NULL),(28,7164866,'1994-06-30 00:00:00',2,27,12,2011,'F','N','INTERIOR','ITAPIRANGA','SC','124241241115161521433316575124610124052',NULL,'408',0.00,1,2,1),(28,7164874,'1994-03-24 00:00:00',4,26,12,2011,'M','N','INTERIOR','SEARA','SC','124241242117141331414115575124610164187',NULL,'196',0.00,1,2,1),(28,7164890,'1993-04-20 00:00:00',2,1,11,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111431226621575124610127072',16238,'737',35.97,1,3,NULL),(28,7164904,'1995-10-29 00:00:00',4,8,12,2011,'M','N','PROGRESSO','S BENTO SUL','SC','124241241115151431544311272122610128172',2972,'697',61.22,1,2,1),(28,7164912,'1993-06-25 00:00:00',2,23,12,2010,'F','N','CHICO DE PAULO','JARAGUÁ SUL','SC','124241241136272411436624345124610167147',NULL,'425',29.77,1,2,1),(28,7164939,'1993-06-30 00:00:00',4,1,12,2010,'M','N','C DO BOM JESUS','FLORIANÓPOLIS','SC','124244241215131431556634375114610117047',NULL,'1048',0.00,1,3,NULL),(28,7164955,'1992-06-23 00:00:00',4,1,12,2009,'M','N','JD C FLORIANOPOLIS','S JOSÉ','SC','124241241112161432613521345334610167042',NULL,'726',NULL,1,2,1),(28,7164963,'1992-05-12 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216372731336732572122610117013',14513,'270',46.56,1,3,NULL),(28,7164971,'1973-10-26 00:00:00',4,1,6,1993,'F','N','CAMPINAS','S JOSÉ','SC','224241241326273421237544142124321821192',NULL,'270',27.82,1,3,NULL),(28,7164980,'1991-05-24 00:00:00',4,8,12,2009,'M','N','CENTRO','PARAÍSO TOCANTINS','TO','127252271417571431579811575112610167057',6809,'9998',51.54,1,3,NULL),(28,7164998,'1993-10-04 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116472431436613475114610167065',15545,'307',39.13,1,2,1),(28,7165005,'1994-05-20 00:00:00',2,1,12,2011,'M','N','PEDRA BRANCA','PALHOÇA','SC','124242241215111431438911575124610127092',10696,'1011',52.61,1,3,NULL),(28,7165021,'1972-08-10 00:00:00',2,1,2,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624243241421131412323349191113610117065',NULL,'9999',2.55,1,3,NULL),(28,7165030,'1994-03-02 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431579614572122610144177',6831,'270',53.03,1,3,NULL),(28,7165048,'1995-05-17 00:00:00',4,1,12,2012,'M','S','JARDIM CIDADE FLORIA','S JOSÉ','SC','123242241217111431447614385124610128191',NULL,'738',47.25,1,3,NULL),(28,7165056,'1994-03-15 00:00:00',4,17,12,2011,'F','N','BOM JESUS','ITAIÓPOLIS','SC','124243241426111731426929575121610128097',17680,'1024',31.19,1,3,NULL),(28,7165064,'1994-05-29 00:00:00',2,24,12,2011,'F','N','SUMARÉ','RIO SUL','SC','124242241117131231423511585124610124097',NULL,'659',22.72,1,3,NULL),(28,7165072,'1995-10-16 00:00:00',4,4,12,2011,'M','N','CRUZEIRO','S LOURENÇO OESTE','SC','124243241117371431356613472122610144147',12649,'744',39.71,1,3,NULL),(28,7165080,'1994-09-23 00:00:00',4,3,12,2011,'F','N','PEREQUE','PTO BELO','SC','124244241216131331446933575122610135097',12048,'1111',42.08,1,3,NULL),(28,7165102,'1994-05-30 00:00:00',4,1,12,2011,'F','N','N SENHORA DE LOURDES','STO AMARO IMPERATRIZ','SC','124241241115271221334614575122610118142',19875,'772',29.62,1,3,NULL),(28,7165110,'1994-06-06 00:00:00',2,1,12,2011,'M','N','CENTRO','ARARUNA','PR','116161161117271731428612575125610167042',NULL,'9998',0.00,1,2,1),(28,7165129,'1991-02-11 00:00:00',4,1,10,2008,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241215575731567611575124610167182',368,'855',76.15,1,3,NULL),(28,7165145,'1993-12-05 00:00:00',4,2,12,2011,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241215111431469932575114610162052',NULL,'909',0.00,1,3,NULL),(28,7165153,'1994-10-30 00:00:00',4,7,12,2011,'M','N','VILA MILITAR','HERVAL D OESTE','SC','124242241215371431459813475122610127042',1430,'446',65.78,1,3,NULL),(28,7165161,'1994-08-12 00:00:00',4,22,11,2011,'F','N','SANTA TEREZINHA','BRUSQUE','SC','124242241217272431459934275122610164147',4520,'1244',56.84,1,3,NULL),(28,7165170,'1994-01-19 00:00:00',4,10,12,2011,'F','N','PASSAGEM','TUBARÃO','SC','124241241116371431423539295124610138072',NULL,'801',23.62,1,2,1),(28,7165188,'1993-12-23 00:00:00',6,1,10,2011,'M','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251217371431368832571122610161183',NULL,'9998',0.00,1,3,NULL),(28,7165196,'1995-10-07 00:00:00',2,7,12,2011,'F','N','CENTRO','JOAÇABA','SC','124242241216111731568713575122610127032',9424,'454',45.54,1,3,NULL),(28,7165200,'1990-08-20 00:00:00',2,4,12,2007,'F','N','FRAGATA','PELOTAS','RS','120204201216571431448533572122142562047',6232,'9998',50.57,1,3,NULL),(28,7165234,'1994-01-19 00:00:00',4,1,12,2011,'M','N','VILA BRASILEIRA','ITATIBA','SP','125252251215371431569814375112610162122',3536,'9998',57.88,1,3,NULL),(28,7165242,'1994-06-13 00:00:00',4,1,12,2011,'M','N','CENTRO HISTÓRICO','S JOSÉ','SC','124241241117131431323611595124610127042',7758,'739',49.51,1,2,1),(28,7165250,'1994-05-22 00:00:00',4,10,11,2011,'M','N','PASSAGEM','TUBARÃO','SC','124241246215111431436913585122610168141',12629,'1120',39.36,1,3,NULL),(28,7165269,'1993-08-05 00:00:00',4,1,12,2010,'M','N','EMBARÉ','SANTOS','SP','125252281217371411679913575114610127042',NULL,'9998',0.00,1,3,NULL),(28,7165285,'1994-02-14 00:00:00',2,15,12,2010,'F','N','FURNAS','SOMBRIO','SC','124241241116272431423311342112610136197',11232,'1033',43.43,1,2,1),(28,7165293,'1995-08-01 00:00:00',4,8,12,2012,'M','S','BOM RETIRO','JOINVILLE','SC','124242241215111431469933472112610157015',NULL,'457',33.18,4,3,NULL),(28,7165307,'1994-05-13 00:00:00',4,1,12,2011,'F','N','CENTRO','CANELINHA','SC','124241241115371431433611375122610164057',10307,'142',44.83,1,2,1),(28,7165315,'1992-12-05 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215574431466933575114130737052',1529,'109',66.75,1,3,NULL),(28,7165323,'1994-04-06 00:00:00',4,1,12,2011,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241117151431425613585124610127047',NULL,'772',23.76,1,2,1),(28,7165340,'1994-01-30 00:00:00',2,1,11,2011,'F','N','AREIAS','S JOSÉ','SC','124242241212112421625863575124610143142',13399,'270',40.05,1,3,NULL),(28,7165358,'1994-06-27 00:00:00',4,1,12,2011,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241211111442589913571122610135112',9534,'951',49.83,1,3,NULL),(28,7165366,'1994-05-03 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243246117131431536869295124610122077',10188,'306',53.41,1,3,NULL),(28,7165374,'1994-04-04 00:00:00',4,6,12,2011,'F','N','PRAIA BRAVA','ITAJAÍ','SC','124242241216132431459612475124610137147',622,'392',73.47,1,3,NULL),(28,7165382,'1990-04-11 00:00:00',4,1,11,2007,'M','N','CAMPINAS','S JOSÉ','SC','124242241215474411468913576114122866196',185,'737',79.25,1,3,NULL),(28,7165404,'1993-10-18 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241337272231459813372124613228142',19078,'922',34.98,1,3,NULL),(28,7165420,'1994-09-01 00:00:00',2,10,11,2011,'F','N','HUMAITA','TUBARÃO','SC','124242241235111431446912575122610132082',13265,'797',39.63,1,3,NULL),(28,7165439,'1993-04-07 00:00:00',2,5,12,2010,'F','N','QUARTA LINHA','CRICIÚMA','SC','124241246411111431543635342124610127067',16388,'995',42.92,1,3,NULL),(28,7165455,'1993-04-26 00:00:00',4,1,12,2010,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215472431488914575114131432022',4692,'270',63.01,1,3,NULL),(28,7165471,'1987-09-22 00:00:00',4,1,3,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124142141316153421128644445124232022147',NULL,'9998',0.00,1,3,NULL),(28,7165480,'1995-07-19 00:00:00',2,15,12,2011,'F','N','DIVINÉIA','ARARANGUÁ','SC','124241241125141731523374192321610144147',NULL,'29',0.00,1,3,NULL),(28,7165498,'1992-06-25 00:00:00',2,5,11,2010,'F','N','OPERARIA NOVA','CRICIÚMA','SC','124242241215472731328469572224610113117',10867,'226',45.12,1,3,NULL),(28,7165501,'1994-11-15 00:00:00',4,27,12,2011,'F','N','CENTRO','MARAVILHA','SC','124241241115271731459913282125610136052',14769,'552',46.05,1,2,1),(28,7165510,'1993-09-14 00:00:00',4,1,10,2011,'M','N','CLAUDETE','CASCAVEL','PR','116162161217121731379813575112610167182',7271,'9998',50.17,1,3,NULL),(28,7165528,'1993-07-23 00:00:00',4,8,12,2010,'F','N','CRUZEIRO','S BENTO SUL','SC','124241241117371131435811575122610131192',18668,'697',36.60,1,2,1),(28,7165544,'1991-10-06 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574451348619395125131447042',1454,'807',67.19,3,3,NULL),(28,7165560,'1992-10-31 00:00:00',4,1,12,2011,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111431459919495122610124097',10889,'270',43.15,1,3,NULL),(28,7165579,'1993-03-24 00:00:00',4,1,12,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241412271722468713592114610148114',10528,'1022',52.88,1,3,NULL),(28,7165595,'1989-10-28 00:00:00',2,1,7,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124203201116471721257833575124610167185',11691,'9998',43.39,1,3,NULL),(28,7165609,'1994-08-06 00:00:00',2,1,12,2011,'F','N','FURADINHO','PALHOÇA','SC','124243241216131432434411575124610112077',NULL,'939',30.73,1,3,NULL),(28,7165617,'1989-08-04 00:00:00',2,1,11,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215575431238724275115610123187',104,'270',78.52,1,3,NULL),(28,7165625,'1994-06-08 00:00:00',2,1,11,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431347814475124610125116',6893,'1022',50.25,1,3,NULL),(28,7165633,'1994-03-10 00:00:00',4,15,12,2011,'M','N','GLÓRIA','OSÓRIO','RS','120203201217151431458922372121610137057',9681,'9998',45.25,1,3,NULL),(28,7165641,'1994-08-30 00:00:00',2,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124241241117131431426434572114610138197',NULL,'733',27.75,1,2,1),(28,7165668,'1991-05-11 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241216372431323414445124610127057',NULL,'1078',24.15,4,3,NULL),(28,7165676,'1993-08-04 00:00:00',2,1,12,2010,'M','N','FIGUEIRA','URUSSANGA','SC','124242241115373431469911575122131432042',4697,'226',56.86,1,3,NULL),(28,7165684,'1995-11-26 00:00:00',4,1,12,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124212241217111431469919572122610138072',14565,'262',46.42,1,3,NULL),(28,7165706,'1993-07-01 00:00:00',4,1,12,2010,'F','N','CENTRO','ITAPETININGA','SP','125252251216471431668832275112610144192',9497,'9998',46.88,1,3,NULL),(28,7165714,'1991-05-13 00:00:00',4,1,12,2008,'F','N','CENTRO','PIRACICABA','SP','125252251217471711438932595112140263116',NULL,'9998',0.00,1,3,NULL),(28,7165722,'1995-10-13 00:00:00',4,5,12,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215271531448811475122610134122',NULL,'226',29.82,1,3,NULL),(28,7165730,'1994-02-13 00:00:00',2,1,12,2011,'F','N','PACHECOS','PALHOÇA','SC','124241241115141731423514242234610167051',NULL,'591',17.14,1,2,1),(28,7165749,'1994-10-07 00:00:00',3,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121431379813575122610123042',3431,'270',61.68,1,3,NULL),(28,7165757,'1995-09-06 00:00:00',4,23,12,2011,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241212111431459814272122610124017',12989,'1016',49.01,1,3,NULL),(28,7165765,'1993-12-13 00:00:00',4,1,12,2011,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241415271411333313575124610137147',14774,'1048',40.00,4,3,NULL),(28,7165773,'1993-09-06 00:00:00',4,1,12,2010,'M','N','CENTRO','ITAPETININGA','SP','125252251216471431356612575112610162092',11076,'9998',41.72,1,3,NULL),(28,7165781,'1994-03-09 00:00:00',4,2,12,2011,'F','N','ITOUPAVAZINHA','BLUMENAU','SC','124243241215271431466814245124610122187',10642,'1018',43.47,1,3,NULL),(28,7165790,'1991-10-27 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241217574431546619592112610124197',690,'270',72.90,1,3,NULL),(28,7165803,'1994-04-17 00:00:00',4,1,11,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111431458613175125610168112',9019,'723',46.75,1,3,NULL),(28,7165811,'1993-06-16 00:00:00',4,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124241241215372431536614345114610134142',11133,'1011',51.91,1,3,NULL),(28,7165820,'1993-03-13 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116131431123314445134610136077',NULL,'123',10.72,1,2,1),(28,7165838,'1993-01-27 00:00:00',4,4,12,2010,'F','N','CENTRO','ANCHIETA','SC','124241241116152751528613495125610126172',7450,'16',52.10,1,2,1),(28,7165846,'1994-11-26 00:00:00',4,6,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124203241117271411348713595125610125177',10716,'49',44.83,1,3,NULL),(28,7165854,'1993-06-30 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244246115152711478833575115610164196',14643,'306',38.04,1,3,NULL),(28,7165862,'1992-07-02 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215571431489831575122610162186',4022,'226',64.43,1,3,NULL),(28,7165870,'1993-07-26 00:00:00',2,24,12,2010,'M','N','SÃO JOÃO','AGROLÂNDIA','SC','124241241115472231444933574122610127142',15334,'850',35.03,1,2,1),(28,7165889,'1993-05-23 00:00:00',4,23,12,2010,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241212372431459814272122242424057',NULL,'1016',0.00,1,3,NULL),(28,7165900,'1994-08-04 00:00:00',3,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241217112431586612475114610163095',453,'270',72.77,4,3,NULL),(28,7165919,'1991-09-27 00:00:00',2,9,12,2009,'F','N','CORAL','LAGES','SC','124241248216151432357614575114610133192',NULL,'515',0.00,4,3,NULL),(28,7165927,'1993-05-09 00:00:00',4,1,12,2010,'F','N','VILA INDUSTRIAL','S JOSÉ CAMPOS','SP','125252258216471411559914345124610144142',8236,'9998',47.70,1,3,NULL),(28,7165943,'1991-12-20 00:00:00',2,1,12,2009,'F','N','JARDINS','ARACAJU','SE','126262261216573431447921575122610122147',242,'9998',76.24,1,3,NULL),(28,7165951,'1994-08-11 00:00:00',4,1,12,2011,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241115371431423831575122610138142',13672,'772',38.54,1,2,1),(28,7165960,'1994-01-25 00:00:00',3,1,12,2011,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242243217111421459924575114610147115',9070,'262',55.30,1,3,NULL),(28,7165978,'1994-06-29 00:00:00',4,1,12,2011,'M','N','CENTRO','CASCAVEL','PR','116162161415271711459933371121610166082',NULL,'9998',0.00,4,3,NULL),(28,7165986,'1994-10-13 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431489831575122610168182',NULL,'226',12.00,1,3,NULL),(28,7165994,'1992-07-07 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241115271431326869492124610167042',17753,'734',35.05,4,2,1),(28,7166001,'1993-05-04 00:00:00',2,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124241241215111411546512372111610127053',13810,'737',47.70,1,3,NULL),(28,7166010,'1995-01-07 00:00:00',2,5,12,2011,'F','N','COLONIAL','CRICIÚMA','SC','124243243217131432324828276224610137147',14036,'995',39.49,1,3,NULL),(28,7166028,'1992-07-14 00:00:00',4,1,12,2009,'F','N','ARIRIÚ','PALHOÇA','SC','124242241215353431435313575124230223052',7679,'1175',48.79,1,3,NULL),(28,7166036,'1992-11-25 00:00:00',4,1,11,2009,'M','N','HIGIENÓPOLIS','RIBEIRÃO PRETO','SP','125252251216573431489833341122610124092',2708,'9998',60.40,1,3,NULL),(28,7166044,'1993-06-25 00:00:00',4,3,12,2010,'M','N','VILA SÃO FRANCISCO','S PAULO','SP','125252251217471231348821575114610167047',10605,'9998',44.31,1,3,NULL),(28,7166052,'1994-08-06 00:00:00',2,1,12,2011,'F','N','FURADINHO','PALHOÇA','SC','124243241211131451424411575124610112077',17353,'989',32.69,1,3,NULL),(28,7166079,'1994-02-14 00:00:00',2,10,11,2011,'M','N','CENTRO','TUBARÃO','SC','124244241215111431236729575112610124192',5308,'807',57.42,1,3,NULL),(28,7166087,'1992-04-01 00:00:00',2,6,12,2009,'F','N','SÃO JOÃO','ITAJAÍ','SC','124241241117143411436329345124231014173',11197,'1056',43.90,1,2,1),(28,7166095,'1992-05-02 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241316271411456624275124610162192',19673,'307',31.46,1,3,NULL),(28,7166109,'1984-07-26 00:00:00',4,1,12,2001,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241212573731378514582124231063187',11155,'392',51.87,1,3,NULL),(28,7166117,'1993-07-02 00:00:00',2,6,12,2011,'F','N','BOA VISTA','PTO ALEGRE','RS','120252201217211441368814445114610163093',NULL,'9998',0.00,1,3,NULL),(28,7166150,'1993-04-17 00:00:00',4,1,12,2010,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124242241215372431588812281122610167117',9190,'270',55.08,1,3,NULL),(28,7166168,'1976-12-10 00:00:00',4,1,4,1995,'M','N','CENTRO','FLORIANÓPOLIS','SC','124246247626475411444479245124230264187',19198,'9999',34.37,1,3,NULL),(28,7166184,'1991-07-10 00:00:00',2,1,12,2009,'F','N','JD SATÉLITE','S JOSÉ CAMPOS','SP','125252251215571431448614575122610168143',3090,'9998',59.69,1,3,NULL),(28,7166192,'1992-03-04 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241415372731443629395114610164011',8747,'270',48.62,1,3,NULL),(28,7166206,'1985-12-09 00:00:00',4,1,7,2005,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124201201147131131363352445124142224147',18976,'9998',35.39,1,2,1),(28,7166214,'1985-09-21 00:00:00',2,1,12,2002,'F','N','SANTA CRUZ','INDAIATUBA','SP','125251251116131731533311485122140421127',NULL,'9998',0.00,1,2,1),(28,7166222,'1994-08-03 00:00:00',2,9,12,2011,'M','N','CENTRO','S JOSÉ OURO','RS','120201202117161431423335572124610127047',15586,'9998',33.30,1,2,1),(28,7166249,'1977-01-16 00:00:00',4,1,12,1994,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241243226141451453354372115132722143',20117,'459',25.77,1,3,NULL),(28,7166257,'1993-07-14 00:00:00',4,1,12,2010,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215273431258831571124131014185',6654,'883',52.31,2,3,NULL),(28,7166265,'1992-10-05 00:00:00',2,1,12,2009,'M','N','VALE DO SOL','S JOSÉ CAMPOS','SP','125254251317472411426424585224610164097',12277,'9998',50.12,4,3,NULL),(28,7166273,'1994-07-28 00:00:00',4,10,12,2011,'F','N','SANTA LUZIA','TUBARÃO','SC','124243241117371431444934575122610112052',8325,'1034',47.15,1,3,NULL),(28,7166281,'1994-05-11 00:00:00',4,1,12,2011,'F','N','PINHEIRA','PALHOÇA','SC','124241241147131531324314472124610163072',NULL,'595',0.00,1,2,1),(28,7166290,'1993-09-01 00:00:00',2,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241117211231446512341122610164182',NULL,'739',30.38,1,3,NULL),(28,7166303,'1994-03-30 00:00:00',4,2,12,2011,'M','N','VELHA','BLUMENAU','SC','124244241215111231435614595124610142142',6926,'909',52.09,1,3,NULL),(28,7166311,'1979-04-26 00:00:00',2,1,1,1998,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201203147372411123344342134610164092',14098,'9998',38.46,1,2,1),(28,7166354,'1992-02-02 00:00:00',4,1,12,2009,'F','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251216511441469914575122610143077',4810,'9998',58.03,3,3,NULL),(28,7166370,'1992-10-10 00:00:00',4,6,11,2009,'M','N','CENTRO CIVICO','CURITIBA','PR','116162161212572411469831591111610167052',4093,'9998',64.28,4,3,NULL),(28,7166389,'1993-11-18 00:00:00',4,1,12,2010,'F','N','PACHECOS','PALHOÇA','SC','124241241216372441646824574224130267047',7914,'1022',52.14,1,3,NULL),(28,7166397,'1992-03-22 00:00:00',4,4,12,2009,'M','N','PARQUE JARDIM OURO','OURO','SC','124244241215571431535612445114610164147',310,'446',74.50,1,3,NULL),(28,7166400,'1992-05-23 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','224201201142372731223552342224610138147',NULL,'9998',27.29,1,2,1),(28,7166427,'1993-03-23 00:00:00',4,8,12,2010,'M','N','PARQUE DAS NAÇÕES','TUPÃ','SP','125252251217471431458831575122610128047',3074,'9998',61.55,1,3,NULL),(28,7166435,'1994-06-25 00:00:00',4,1,12,2011,'M','N','BAIRRO BNH','PNT PORÃ','MS','112122121216111431456416245122610127042',13972,'9998',37.57,1,3,NULL),(28,7166443,'1993-09-10 00:00:00',2,23,12,2010,'M','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124244241417371432456622345135610128111',7396,'1061',58.16,1,3,NULL),(28,7166451,'1993-06-11 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124252251417471431439614575124610127092',10004,'9998',53.71,1,3,NULL),(28,7166460,'1991-06-22 00:00:00',2,1,6,2011,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241243115131521433311185123610162097',6261,'306',53.26,3,2,1),(28,7166478,'1993-03-06 00:00:00',2,6,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124282241215472431227628482115610163147',13172,'44',48.74,1,3,NULL),(28,7166486,'1989-02-23 00:00:00',4,3,5,2007,'M','N','TUCANOS','LONDRINA','PR','116162161213473751458811575115141468183',8274,'9998',51.08,1,3,NULL),(28,7166494,'1994-09-20 00:00:00',4,1,12,2011,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252256215151441369813576121610134072',NULL,'9998',0.00,1,3,NULL),(28,7166508,'1994-10-17 00:00:00',4,1,12,2011,'F','N','HIGIENOPOLIS','PTO ALEGRE','RS','120202201217471411228821575122610163117',13430,'9998',42.14,1,3,NULL),(28,7166516,'1994-03-25 00:00:00',4,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431369814575122610111142',13481,'1063',41.33,1,3,NULL),(28,7166524,'1989-06-19 00:00:00',4,1,12,2006,'M','N','CAÇADOR','CAPIVARI BAIXO','SC','124241241136131421456923345124232314147',NULL,'1034',0.00,2,1,1),(28,7166532,'1994-12-05 00:00:00',4,15,12,2011,'F','N','CIDADE ALTA','TURVO','SC','124244241316371731438812575122610126147',16682,'814',34.92,1,3,NULL),(28,7166540,'1994-01-17 00:00:00',4,2,12,2011,'M','N','SALTO','BLUMENAU','SC','124241246216161411621528375114610148081',NULL,'1018',25.63,1,3,NULL),(28,7166559,'1989-08-08 00:00:00',4,8,12,2006,'M','N','AVENTUREIRO','JOINVILLE','SC','124251161137131422333728345233140247057',NULL,'9998',20.50,1,2,1),(28,7166575,'1994-03-15 00:00:00',2,1,12,2011,'M','N','MOSQUEIRO','ARACAJU','SE','126262261217111431588833575112610137042',NULL,'9998',35.65,1,3,NULL),(28,7166583,'1994-09-18 00:00:00',4,3,12,2011,'M','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124241241117271431436613475124610132097',12491,'129',49.81,1,2,1),(28,7166591,'1994-05-07 00:00:00',4,1,12,2011,'F','N','VILA SÃO FRANCISCO','S PAULO','SP','125252251217371431556931575122610163076',5716,'9998',54.60,1,3,NULL),(28,7166605,'1994-05-12 00:00:00',2,6,11,2011,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241215121432556612595122610122092',NULL,'392',29.43,1,3,NULL),(28,7166613,'1994-09-21 00:00:00',4,8,12,2011,'M','N','AMÉRICA','JOINVILLE','SC','124242241215271451259951572112610134052',913,'1063',69.93,1,3,NULL),(28,7166621,'1961-05-01 00:00:00',3,1,12,1978,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','524202208216152411448342325132140722147',11252,'9998',51.71,1,3,NULL),(28,7166648,'1994-08-02 00:00:00',4,2,12,2011,'F','N','CENTRO','POMERODE','SC','124242241215112411338824575112610125142',3847,'624',57.61,1,3,NULL),(28,7166656,'1994-03-12 00:00:00',2,15,12,2011,'F','N','ZONA NOVA SUL','BAL ARROIO SILVA','SC','124241241127141721436934345122610144141',NULL,'854',17.74,1,3,NULL),(28,7166664,'1993-07-17 00:00:00',2,5,12,2011,'M','N','SÃO BONIFACIO','NOVA VENEZA','SC','124243241325111431354314345122610147062',NULL,'578',15.73,1,3,NULL),(28,7166672,'1992-01-26 00:00:00',4,1,6,2010,'M','N','VILA BUARQUE','S PAULO','SP','125252251215471441367811345122610135052',8401,'9998',56.43,1,3,NULL),(28,7166680,'1993-08-13 00:00:00',4,1,12,2010,'M','N','JARDIM ALVORADA','LONDRINA','PR','116162161216372431579611477122610167077',2753,'9998',62.99,1,3,NULL),(28,7166699,'1994-01-04 00:00:00',2,1,12,2011,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241248115311221523416475122610167147',NULL,'772',26.91,1,2,1),(28,7166702,'1991-02-15 00:00:00',2,1,12,2008,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241117373521423315442134610137147',15235,'592',38.44,1,2,1),(28,7166710,'1993-06-13 00:00:00',4,2,12,2010,'F','N','SETE DE SETEMBRO','GASPAR','SC','124242241215472731446924575114610167062',1052,'87',72.46,1,3,NULL),(28,7166729,'1994-09-02 00:00:00',4,4,11,2011,'M','N','CENTRO','CHAPECÓ','SC','124242241216271431469633295122610134042',5207,'185',54.94,1,3,NULL),(28,7166737,'1994-03-18 00:00:00',4,1,11,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215472431489712372122610163182',2051,'270',66.82,1,3,NULL),(28,7166745,'1989-05-07 00:00:00',2,1,12,2007,'M','N','CIDADE MINEIRA VELHA','CRICIÚMA','SC','124241241145574721463531175124610116017',2820,'223',64.15,3,2,1),(28,7166753,'1994-04-15 00:00:00',4,8,12,2011,'M','N','AMERICA','JOINVILLE','SC','124242241217111431459714575122610124047',8810,'457',55.76,1,3,NULL),(28,7166761,'1994-10-05 00:00:00',4,1,12,2011,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241127131331353314442124610123142',NULL,'731',18.48,1,2,1),(28,7166770,'1994-02-09 00:00:00',4,2,12,2011,'F','N','VELHA','BLUMENAU','SC','124242246216161731459834475124610136092',2983,'1018',61.53,1,3,NULL),(28,7166796,'1994-01-16 00:00:00',4,8,12,2011,'F','N','CENTRO','JOINVILLE','SC','124242241215211321478713595112610144132',6635,'457',51.35,1,3,NULL),(28,7166800,'1991-01-09 00:00:00',2,1,12,2008,'F','N','CORDEIROS','ITAJAÍ','SC','124241241136131431523343235123131227147',19156,'396',34.62,1,2,1),(28,7166818,'1993-10-17 01:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241115132431538923575124232824097',16818,'257',32.58,1,3,NULL),(28,7166834,'1994-04-05 00:00:00',2,27,12,2011,'M','N','AGOSTINI','S MIGUEL OESTE','SC','124241246116151231554632372124610167042',18409,'1179',37.61,1,3,NULL),(28,7166842,'1989-09-30 00:00:00',2,1,12,2006,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116161161317571411444514345124142164147',15471,'9998',37.04,1,3,NULL),(28,7166850,'1970-07-26 00:00:00',2,1,12,1999,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','524241244126334731331443431124610116177',NULL,'9999',0.00,4,2,1),(28,7166869,'1993-10-08 00:00:00',4,5,12,2010,'F','N','SÃO BENTO BAIXO','NOVA VENEZA','SC','124244241216371431447939375124610136172',5636,'995',52.51,1,3,NULL),(28,7166877,'1990-08-27 00:00:00',4,3,12,2007,'F','N','SAN FERNANDO','LONDRINA','PR','116162161212575421328931572112610122042',3691,'9998',59.88,1,3,NULL),(28,7166885,'1994-06-30 00:00:00',2,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215132431449814575122610167042',12129,'1134',50.36,1,3,NULL),(28,7166893,'1963-02-13 00:00:00',2,1,9,2002,'M','N','CAMINHO NOVO','PALHOÇA','SC','524243247312134411324344442323121416042',19887,'1003',29.46,5,4,NULL),(28,7166907,'1992-09-22 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241217574431543612575124133264042',1182,'1119',68.34,1,3,NULL),(28,7166923,'1996-01-30 00:00:00',4,1,12,2013,'M','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241211111431467812595124610127052',NULL,'1169',0.00,1,3,NULL),(28,7166931,'1996-01-25 00:00:00',4,2,2,2012,'M','N','ÁGUA VERDE','BLUMENAU','SC','124242241217111231369914575122610127142',19405,'855',33.30,3,3,NULL),(28,7166940,'1993-06-09 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216373431359719575122610161032',10870,'262',43.86,1,3,NULL),(28,7166958,'1993-05-18 00:00:00',4,1,12,2010,'F','N','COHAFABA III PLANO','DOURADOS','MS','112122121217472431446634575112610162197',994,'9998',66.15,4,3,NULL),(28,7166966,'1990-02-09 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241112135421324612385124610163097',NULL,'287',32.37,1,3,NULL),(28,7166974,'1994-02-23 00:00:00',4,15,11,2011,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215111431528812575112610162031',9716,'226',47.45,1,3,NULL),(28,7166982,'1994-04-04 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241236111431538913575122610164147',17239,'259',33.84,1,3,NULL),(28,7166990,'1994-05-09 00:00:00',4,4,12,2011,'F','N','SANTO ANTÔNIO','CHAPECÓ','SC','124241241116151731635623576224610166052',NULL,'169',38.60,1,2,1),(28,7167016,'1994-10-10 00:00:00',2,1,12,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241114471411424314345124610121097',19010,'278',35.29,1,2,1),(28,7167024,'1994-09-02 00:00:00',4,1,11,2011,'M','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251216371431568814575122610167047',3089,'9998',60.08,1,3,NULL),(28,7167032,'1993-12-27 00:00:00',4,1,10,2011,'F','N','CENTRO','ITABAIANA','SE','126262261217111431556612472124610148092',NULL,'9998',0.00,1,3,NULL),(28,7167040,'1995-02-08 00:00:00',2,8,12,2011,'F','N','ENSEADA','S FRANCISCO SUL','SC','124242241126161431458953575124610113111',NULL,'1224',17.56,1,3,NULL),(28,7167059,'1994-07-25 00:00:00',2,7,12,2011,'F','N','SANTA TEREZA','JOAÇABA','SC','124242241235151231426611572122610127142',7860,'454',48.66,1,3,NULL),(28,7167075,'1993-08-21 00:00:00',4,2,12,2010,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124241241117272732368924572222610114187',9544,'69',46.64,1,2,1),(28,7167083,'1994-03-20 00:00:00',2,15,11,2011,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241215371711435932575122610144052',10628,'970',46.43,1,3,NULL),(28,7167091,'1993-04-08 00:00:00',4,23,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215472431445613574124610135017',2602,'270',67.99,1,3,NULL),(28,7167105,'1994-06-01 00:00:00',4,1,12,2011,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241215112431566612572114610137042',6943,'270',58.93,1,3,NULL),(28,7167113,'1992-12-12 00:00:00',4,6,12,2010,'M','N','PARQUE DOS PÁSSAROS','S BERNARDO CAMPO','SP','125252251216471431469814475122610144182',4881,'9998',54.86,1,3,NULL),(28,7167121,'1995-09-19 00:00:00',2,2,12,2012,'F','S','CENTRO','BLUMENAU','SC','124243241436111321358833135122610163097',NULL,'855',40.61,1,3,NULL),(28,7167130,'1995-11-22 00:00:00',4,5,11,2012,'M','S','CENTRO','URUSSANGA','SC','124242241215111711349814382114610167182',NULL,'226',37.88,1,3,NULL),(28,7167148,'1992-11-29 00:00:00',2,8,12,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215471431238824575122133262182',7320,'456',58.28,1,3,NULL),(28,7167156,'1992-12-03 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215473751469933572112610137161',40,'262',83.97,1,3,NULL),(28,7167164,'1993-03-31 00:00:00',2,1,11,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241117112431523611475124610125142',NULL,'733',36.16,1,2,1),(28,7167172,'1980-12-01 00:00:00',2,1,12,1999,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124201205116133731123344445334120524187',14310,'9998',46.93,1,2,1),(28,7167180,'1994-11-17 00:00:00',2,10,10,2011,'M','N','CENTRO','ARMAZÉM','SC','124243247215111341444636574122610125062',17003,'807',41.54,1,3,NULL),(28,7167199,'1994-03-24 00:00:00',4,1,10,2011,'M','N','TAPERA','FLORIANÓPOLIS','SC','124242241215272431459719375114610167042',3890,'1197',60.53,4,3,NULL),(28,7167210,'1985-06-13 00:00:00',2,1,12,2004,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241315374421453643335133131227117',8697,'271',55.92,1,3,NULL),(28,7167229,'1988-02-03 00:00:00',4,1,12,2005,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241117132431113649492124222368197',NULL,'21',34.51,1,2,1),(28,7167237,'1993-02-16 00:00:00',4,1,12,2010,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215372431479914572122610136186',574,'262',71.67,1,3,NULL),(28,7167245,'1994-11-16 00:00:00',2,1,12,2011,'M','N','BREJARÚ','PALHOÇA','SC','124244241235111421436862215123610117082',5946,'1011',60.68,1,3,NULL),(28,7167253,'1992-02-04 00:00:00',4,4,12,2008,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124242241215574431448813575124610112091',449,'1098',73.39,1,3,NULL),(28,7167261,'1994-03-09 00:00:00',2,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241215111111536513575114610134145',7028,'1022',52.90,1,3,NULL),(28,7167300,'1995-01-13 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111711469811575122610143187',5478,'262',56.19,1,3,NULL),(28,7167318,'1989-04-22 00:00:00',4,1,12,2007,'M','N','PANAMBI','STA BÁRBARA D OESTE','SP','125252251217572131268923472145142432096',NULL,'9998',0.00,3,3,NULL),(28,7167326,'1990-10-15 00:00:00',4,1,12,2009,'M','N','BROOKLIN','S PAULO','SP','125252251217571431379911575124610167052',10396,'9998',43.40,1,3,NULL),(28,7167342,'1994-03-29 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472731266667575124610166175',21,'270',82.71,1,3,NULL),(28,7167350,'1993-10-11 00:00:00',2,17,12,2010,'M','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241242117141411416335372224610167057',19439,'143',33.10,1,2,1),(28,7167369,'1994-09-16 00:00:00',4,2,12,2011,'F','N','ITOUPAVAZINHA','BLUMENAU','SC','124241241115131431459622575122610128042',5652,'88',52.78,1,2,1),(28,7167377,'1991-09-28 00:00:00',2,1,12,2008,'M','N','PONTA FINA NORTE','NOVA TRENTO','SC','124241241146272411448612375124133227082',11596,'574',46.14,1,2,1),(28,7167385,'1993-02-26 00:00:00',2,1,11,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241215472431446933575124610122097',11266,'1048',44.38,1,3,NULL),(28,7167393,'1994-05-27 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215131431229929285124610168077',NULL,'259',24.10,1,3,NULL),(28,7167407,'1992-10-20 00:00:00',2,1,7,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244247217131131468712415112610133045',19009,'9999',35.29,1,3,NULL),(28,7167415,'1994-09-05 00:00:00',2,15,12,2011,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241115131231323914131121610127047',11643,'30',45.40,1,2,1),(28,7167423,'1995-12-03 00:00:00',4,1,12,2011,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241217111431448833574124610124047',9500,'270',54.54,1,3,NULL),(28,7167431,'1994-06-13 00:00:00',4,8,12,2011,'M','N','COMASA','JOINVILLE','SC','124241246216271411436879575124610133142',4656,'1105',55.49,1,3,NULL),(28,7167440,'1994-08-11 00:00:00',2,1,12,2011,'F','N','MONTE CARLO','IA COMPRIDA','SP','125252251217161411225823572324610145097',18175,'9998',38.36,1,3,NULL),(28,7167458,'1993-01-04 00:00:00',4,1,12,2010,'M','N','BOA VISTA','AMERICANA','SP','125252251217473431458831372112610144097',10826,'9998',42.63,1,3,NULL),(28,7167466,'1993-06-29 00:00:00',2,8,12,2010,'M','N','IRIRIU','JOINVILLE','SC','124242246235271731265824575122610167187',14280,'1105',46.99,1,3,NULL),(28,7167474,'1994-03-02 00:00:00',4,24,11,2011,'M','N','SANTANA','RIO SUL','SC','124242241215111431456633335122610117091',14417,'991',37.16,1,3,NULL),(28,7167482,'1991-07-13 00:00:00',4,1,12,2009,'F','N','ÁGUAS CLARAS','TAGUATINGA','DF','107072071216571431469913375112610162147',6839,'9998',50.73,1,3,NULL),(28,7167490,'1994-02-15 00:00:00',4,1,11,2011,'M','N','JARDINS MILÃO','GOIÂNIA','GO','109092091212111411478912572122610163024',1462,'9998',66.69,4,3,NULL),(28,7167504,'1993-04-17 00:00:00',2,1,12,2010,'F','N','ALTOS DE SANTANA','S JOSÉ CAMPOS','SP','125251253216471711326624276124610165077',3491,'9998',58.47,1,3,NULL),(28,7167520,'1993-02-21 00:00:00',4,1,12,2010,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241215273331556632585124121414092',5685,'270',61.16,1,3,NULL),(28,7167539,'1994-06-07 00:00:00',2,10,11,2011,'F','N','CENTRO','TUBARÃO','SC','124242241215121431559834442122610125192',10448,'797',44.70,1,3,NULL),(28,7167547,'1993-03-05 00:00:00',4,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217372351449814596124231047147',11222,'457',43.58,1,3,NULL),(28,7167555,'1991-01-14 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124242241216272451238824485114121166042',2898,'269',67.17,1,3,NULL),(28,7167571,'1986-03-04 00:00:00',4,1,11,2004,'M','N','PARQUE DA FAZENDA','ITATIBA','SP','125254251214471431258831475122143157041',2131,'9998',64.56,1,3,NULL),(28,7167580,'1989-04-02 00:00:00',4,8,11,2006,'F','N','SAGUAÇU','JOINVILLE','SC','120242241215575431478912575114222142125',1787,'486',62.93,4,3,NULL),(28,7167598,'1991-04-04 00:00:00',4,6,12,2008,'F','N','BOQUEIRAO','SANTOS','SP','125252251216573421468814571121610127092',209,'9998',74.76,1,3,NULL),(28,7167601,'1994-02-07 00:00:00',4,1,10,2011,'M','N','PRAIA DO CANTO','VITÓRIA','ES','108082083217111751468812425111610147187',2266,'9998',62.29,1,3,NULL),(28,7167610,'1992-07-20 00:00:00',4,1,12,2009,'M','N','CENTRO','NOVA STA BÁRBARA','PR','116162161216571431358813571124610168172',1408,'9998',66.05,1,3,NULL),(28,7167628,'1993-11-07 00:00:00',4,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215112441469931575122610124022',1986,'883',64.62,1,3,NULL),(28,7167636,'1992-02-29 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431469931575112610167141',72,'270',81.58,1,3,NULL),(28,7167644,'1987-04-29 00:00:00',2,1,11,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241215473751333329342124610127147',9396,'273',47.65,1,3,NULL),(28,7167652,'1992-07-07 00:00:00',2,26,12,2008,'M','N','ESTADOS','CONCÓRDIA','SC','124241241116272221436619295113133237047',13364,'194',38.29,1,2,1),(28,7167660,'1994-02-25 00:00:00',2,10,11,2011,'M','N','RIO PEQUENO','GR PARÁ','SC','124241241415121431626415372124610134057',13818,'102',47.69,1,3,NULL),(28,7167679,'1994-03-19 00:00:00',4,1,12,2011,'M','N','LAGOA','PTO VELHO','RO','122222221217471431388823271122610132092',5529,'9998',55.04,1,3,NULL),(28,7167687,'1995-02-08 00:00:00',4,24,11,2011,'F','N','LARANJEIRAS','RIO SUL','SC','124242241215112431459934275122610124142',2936,'991',60.86,1,3,NULL),(28,7167695,'1992-09-10 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115372431326619275114133267143',16467,'307',42.73,2,1,1),(28,7167709,'1993-05-22 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472431358854572112610167185',3827,'909',62.44,1,3,NULL),(28,7167725,'1994-12-10 00:00:00',4,4,12,2011,'M','N','PALMITAL','CHAPECÓ','SC','124241241115151731338731246122610162017',12464,'169',41.23,1,2,1),(28,7167741,'1986-08-04 00:00:00',2,8,12,2003,'F','N','SANTA CANDIDA','CURITIBA','PR','116161161116572731448833575124610116182',1663,'9998',63.69,1,2,1),(28,7167750,'1994-07-02 00:00:00',4,10,12,2011,'F','N','LADO DA UNIÃO','BRAÇO NORTE','SC','124241241111141431437933241122610135073',17167,'100',30.63,1,2,1),(28,7167768,'1994-09-23 00:00:00',4,8,12,2011,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215211411249924572122610133147',8079,'1063',51.01,1,3,NULL),(28,7167776,'1994-04-20 00:00:00',2,4,11,2011,'M','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124243241215111431458932572125610141051',2478,'1191',62.95,1,3,NULL),(28,7167792,'1994-03-23 00:00:00',2,8,12,2011,'M','N','AMÉRICA','JOINVILLE','SC','124243241215271431359934575124610127041',17197,'1105',41.03,1,3,NULL),(28,7167822,'1995-02-12 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124243241215141431338923245124610167045',13831,'1076',47.67,1,3,NULL),(28,7167830,'1993-03-28 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217372431468813575122233166052',NULL,'270',0.00,1,3,NULL),(28,7167849,'1991-08-08 00:00:00',4,1,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116162161216571751458923575122610162112',4485,'9998',57.27,1,3,NULL),(28,7167857,'1992-01-24 00:00:00',4,1,12,2009,'F','N','JARDIM BRASILIA','JAÚ','SP','125252251226571141436633275122610118077',6602,'9998',50.78,1,3,NULL),(28,7167865,'1994-02-18 00:00:00',4,1,11,2011,'M','N','SETOR BUENO','GOIÂNIA','GO','109242091217111431378814572112610127012',8037,'9998',48.97,1,3,NULL),(28,7167873,'1993-01-17 00:00:00',4,1,11,2010,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124243241337472431567932575124610117062',1859,'270',65.44,1,3,NULL),(28,7167881,'1993-06-08 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124222241215472431256813575112610138122',9742,'270',49.45,4,3,NULL),(28,7167890,'1995-03-21 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215372431638652592124610167052',7352,'868',58.22,1,3,NULL),(28,7167903,'1993-09-17 00:00:00',4,5,12,2010,'F','N','MINA BRASIL','CRICIÚMA','SC','124242241215112431368831575124221468122',5526,'226',54.26,1,3,NULL),(28,7167911,'1994-07-25 00:00:00',4,2,12,2011,'M','N','VILA NOVA','BLUMENAU','SC','124242241215111431369812275125610117062',NULL,'909',0.00,1,3,NULL),(28,7167920,'1988-12-17 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201137252431225544345214610124012',9000,'9998',55.44,1,2,1),(28,7167938,'1993-05-14 00:00:00',2,15,11,2010,'M','N','CENTRO','TURVO','SC','124243241115131431336933575122610117187',18480,'814',37.35,1,3,NULL),(28,7167946,'1988-09-25 00:00:00',4,1,8,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244247217372521333334345222610167047',NULL,'9999',33.47,2,1,2),(28,7167954,'1994-02-05 00:00:00',1,8,12,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','116242241215111431368814575114610137042',1795,'457',64.85,1,3,NULL),(28,7167989,'1992-09-23 00:00:00',4,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215372431446719375124121132143',12286,'270',50.11,1,3,NULL),(28,7167997,'1987-09-12 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241336535431358713445124123248013',5929,'1098',55.44,1,3,NULL),(28,7168004,'1995-04-18 00:00:00',2,3,11,2012,'M','S','BUENOS AIRES','MAFRA','SC','124242241211111431353632575122610147012',NULL,'541',0.00,1,3,NULL),(28,7168020,'1995-05-05 00:00:00',4,9,12,2012,'F','S','BRUSQUE','LAGES','SC','124242248215111431557912585122610144072',NULL,'499',38.40,1,3,NULL),(28,7168039,'1991-11-15 00:00:00',2,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241216372431435329342112610131017',NULL,'499',21.24,1,3,NULL),(28,7168063,'1994-01-24 00:00:00',2,15,12,2010,'F','N','VILA FRANCA','FORQUILHINHA','SC','124241246116131431426954445124610126136',19759,'309',30.61,1,3,NULL),(28,7168071,'1994-08-12 00:00:00',2,16,12,2011,'F','N','SAO LUIZ','CURITIBANOS','SC','124241248115571731426619495122610167057',NULL,'239',0.00,1,3,NULL),(28,7168080,'1994-03-02 00:00:00',4,1,12,2010,'F','N','JARDIM ALAMAR','MARINGÁ','PR','116162161215371431538614595112610112112',NULL,'270',0.00,1,3,NULL),(28,7168098,'1992-02-26 00:00:00',4,8,12,2009,'F','N','JD DAS AMÉRICAS','CURITIBA','PR','116162161215572351359811571124610123186',NULL,'9998',0.00,3,3,NULL),(28,7168110,'1993-07-19 00:00:00',2,6,12,2011,'M','N','SÃO VICENTE','ITAJAÍ','SC','124244246415131431553532385121610146172',13688,'1059',37.18,1,3,NULL),(28,7168128,'1993-02-17 00:00:00',2,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','120202201217371431458811493122610124042',2011,'9998',64.87,1,3,NULL),(28,7168152,'1988-12-21 00:00:00',4,3,12,2006,'M','N','PRAÇA','TIJUCAS','SC','124242241217474451434334345121610162097',NULL,'781',23.88,1,3,NULL),(28,7168160,'1994-07-19 00:00:00',4,1,12,2011,'F','N','CENTRO','CPO GRANDE','MS','112122121216111431568831575122610168182',341,'9998',74.00,3,3,NULL),(28,7168187,'1995-01-23 00:00:00',2,26,12,2011,'F','N','REDIN','CONCÓRDIA','SC','124241241146141411463614245112610126122',19591,'193',32.10,1,2,1),(28,7168195,'1996-01-22 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217371431468813572122610168176',433,'272',77.62,1,3,NULL),(28,7168209,'1994-10-15 00:00:00',2,4,12,2011,'M','N','AMADORI','PATO BRANCO','PR','116163161215111431467934574125610167122',7567,'9998',48.61,1,3,NULL),(28,7168217,'1992-12-30 00:00:00',4,8,12,2010,'M','N','JARDIM IRAJÁ','RIBEIRÃO PRETO','SP','125252251217471411478923571115610112176',1061,'9998',67.78,1,3,NULL),(28,7168233,'1993-11-29 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216473451468811495122610126182',1657,'226',65.45,1,3,NULL),(28,7168268,'1993-04-01 00:00:00',4,2,11,2010,'M','N','VILA NOVA','BLUMENAU','SC','124204241225472431365619595124610147072',939,'855',69.87,1,3,NULL),(28,7168284,'1994-10-14 00:00:00',2,17,12,2011,'F','N','ALTO DA TIJUCA','CANOINHAS','SC','124241241116371431345933575122610138181',16786,'146',32.41,1,3,NULL),(28,7168306,'1994-10-30 00:00:00',4,1,12,2011,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','124244241111271531215629372124610122142',NULL,'1248',25.37,2,1,2),(28,7168314,'1995-02-25 00:00:00',4,1,11,2012,'F','S','ARIRIÚ','PALHOÇA','SC','124241241221111432444433171124610145092',NULL,'262',33.08,1,3,NULL),(28,7168322,'1994-07-07 00:00:00',4,4,11,2011,'F','N','TONAIL','XANXERÊ','SC','124243241216111431536814445122610164142',NULL,'836',0.00,1,3,NULL),(28,7168330,'1993-11-03 00:00:00',4,8,12,2011,'M','N','BUCAREIN','JOINVILLE','SC','124244241235151321338814275122610167041',NULL,'459',19.36,1,3,NULL),(28,7168349,'1990-08-23 00:00:00',4,1,11,2009,'M','N','BALDICERO FILOMENO','FLORIANÓPOLIS','SC','124241241131573441436413585124610137111',13731,'278',44.11,1,2,1),(28,7168357,'1992-11-25 00:00:00',4,1,12,2010,'M','N','JARDIM PRIMAVERA','S PAULO','SP','125252251217471451378812591112610165092',9454,'9998',43.74,1,3,NULL),(28,7168365,'1993-06-23 00:00:00',2,10,12,2011,'M','N','IBIRAQUERA','IMBITUBA','SC','124243241115141431438832245114610124117',11811,'1136',44.42,1,3,NULL),(28,7168373,'1994-07-19 00:00:00',4,1,12,2011,'F','N','CENTRO','CPO GRANDE','MS','112122121216111731568831575122610168183',333,'9998',73.76,3,3,NULL),(28,7168381,'1993-11-09 00:00:00',4,8,12,2010,'M','N','MERCÊS','CURITIBA','PR','116242241417472431154632276125610162042',1527,'185',67.80,1,3,NULL),(28,7168390,'1995-03-29 00:00:00',2,4,12,2012,'F','S','CENTRO','CHAPECÓ','SC','624242241215151531468834575122610126142',NULL,'1191',0.00,1,3,NULL),(28,7168403,'1995-01-04 00:00:00',4,4,11,2011,'F','N','MATINHO','XANXERÊ','SC','124242241215111441226829295124610136172',NULL,'836',0.00,1,3,NULL),(28,7168411,'1987-01-16 00:00:00',2,1,6,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124141241121272421123344245121610167113',NULL,'9999',23.24,4,2,1),(28,7168420,'1990-11-12 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241415574731423421215124610167047',5955,'797',56.97,2,3,NULL),(28,7168438,'1994-07-22 00:00:00',4,5,10,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215371431457919575125610127017',5739,'213',53.55,1,3,NULL),(28,7168446,'1995-03-06 00:00:00',4,1,10,2011,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216111721459923235122610155037',19570,'259',32.23,1,3,NULL),(28,7168454,'1992-06-26 00:00:00',4,26,12,2009,'M','N','ITAIBA','CONCÓRDIA','SC','124241241125271431333314195123610134047',12666,'193',40.61,4,3,NULL),(28,7168462,'1985-08-27 00:00:00',4,1,12,2001,'M','N','MANGUEIRÃO','BELÉM','PA','114141141116131741323621382124610166041',4807,'9998',52.13,2,1,1),(28,7168470,'1994-07-02 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241116131431339934575124610167117',9145,'267',49.05,1,3,NULL),(28,7168489,'1994-06-21 00:00:00',4,2,12,2011,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124242241216272431459832575122610133187',2107,'71',65.07,1,3,NULL),(28,7168497,'1994-09-21 00:00:00',4,7,12,2011,'M','N','VILA RICA','HERVAL D OESTE','SC','124241241315131431439933575124610138012',NULL,'445',24.93,1,3,NULL),(28,7168500,'1992-05-11 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117272431456823495124223222042',5866,'267',56.91,1,2,1),(28,7168527,'1992-08-17 00:00:00',4,1,12,2010,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241116111711436614345124133262041',NULL,'733',16.72,1,3,NULL),(28,7168543,'1992-08-14 00:00:00',4,1,12,2009,'M','N','JARDIM INDAIA','EMBU','SP','125252251217571431459614575124610164012',1407,'9998',66.49,1,3,NULL),(28,7168551,'1992-07-28 00:00:00',2,1,12,2009,'F','N','JD CIDADE FPOLIS','S JOSÉ','SC','124161241312473431556611375124610114097',10278,'1134',45.62,1,3,NULL),(28,7168560,'1994-03-24 00:00:00',2,7,12,2011,'M','N','INTERIOR','PINHEIRO PRETO','SC','124241241126161431446935595124610167047',14816,'618',35.10,1,2,1),(28,7168578,'1993-03-15 00:00:00',2,27,12,2010,'F','N','CENTRO','IPORÃ OESTE','SC','124241243116371421523335585122510162147',10096,'371',43.85,1,2,1),(28,7168586,'1993-04-09 00:00:00',4,1,12,2010,'F','N','HIGIENÓPOLIS','S PAULO','SP','125252251217471431388932571122610126042',1535,'9998',66.32,1,3,NULL),(28,7168594,'1994-05-09 00:00:00',4,1,12,2011,'F','N','MANDAQUI','S PAULO','SP','125252251217371711458812575112610162142',3760,'9998',56.40,1,3,NULL),(28,7168608,'1990-08-04 00:00:00',2,1,12,2008,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115374431467653435122120712062',7767,'267',51.79,1,2,1),(28,7168616,'1987-08-10 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215475451333829495122331523097',3353,'26',58.76,1,3,NULL),(28,7168624,'1994-04-18 00:00:00',4,3,12,2011,'M','N','OLIVEIRA','TIJUCAS','SC','124241241215111431436923575124610126142',3389,'1119',60.39,1,3,NULL),(28,7168632,'1994-03-22 00:00:00',2,1,11,2011,'F','N','PASSA VINTE','PALHOÇA','SC','124242241117121431465622595112610127072',16494,'270',33.45,1,3,NULL),(28,7168640,'1994-10-07 00:00:00',2,10,10,2011,'F','N','CENTRO','TUBARÃO','SC','124242241235273431336837572122610124142',7881,'807',49.59,1,3,NULL),(28,7168659,'1992-05-23 00:00:00',4,4,11,2009,'F','N','CENTRO','CHAPECÓ','SC','124241241315573431347923375122610122092',7889,'1191',50.14,1,3,NULL),(28,7168667,'1991-10-13 00:00:00',4,1,12,2008,'M','N','SANTA CRUZ','BOITUVA','SP','125252251215572411689912575114610164182',434,'9998',71.98,1,3,NULL),(28,7168675,'1992-01-13 00:00:00',4,5,9,2009,'M','N','MILANESE','CRICIÚMA','SC','124242241216373411648933215123610122172',11831,'1096',42.61,1,3,NULL),(28,7168683,'1993-07-27 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215472731459924571124610122097',2471,'226',63.76,1,3,NULL),(28,7168691,'1991-05-15 00:00:00',4,1,12,2008,'M','N','JARDIM ALVORADA','STA RITA P QUATRO','SP','125252251215512441348614475123610117052',NULL,'9998',0.00,1,3,NULL),(28,7168705,'1991-09-25 00:00:00',4,1,12,2008,'M','N','ZONA DOIS','MARINGÁ','PR','116162161217573152658732573115610167187',1982,'9998',65.47,1,3,NULL),(28,7168713,'1995-01-27 00:00:00',4,1,12,2011,'F','N','VILA NOVA','IMBITUBA','SC','124241241111271431423311595124610116197',NULL,'359',18.43,3,2,1),(28,7168721,'1995-12-08 00:00:00',4,2,12,2012,'F','S','MEIA PRAIA','ITAPEMA','SC','124162241215111431436311572122610124072',NULL,'1111',38.99,1,3,NULL),(28,7168730,'1995-01-11 00:00:00',4,1,12,2012,'M','S','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241215111731369913575124610137052',NULL,'270',33.78,1,3,NULL),(28,7168748,'1995-10-17 00:00:00',4,4,12,2012,'F','S','CENTRO','SEARA','SC','124242241217111731548711575112610135042',NULL,'168',0.00,1,3,NULL),(28,7168756,'1994-03-17 00:00:00',2,1,11,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111751238911412122610164042',6087,'737',52.52,1,3,NULL),(28,7168772,'1993-10-19 00:00:00',4,1,12,2011,'M','N','VILA LEOPOLDINA','S PAULO','SP','125252251217111411467812575114610117043',5376,'9998',54.36,1,3,NULL),(28,7168780,'1994-08-19 00:00:00',4,15,12,2011,'M','N','CAIU DO CÉU','OSÓRIO','RS','120201201116161431458933575121610134042',NULL,'9998',29.38,1,3,NULL),(28,7168799,'1993-01-27 00:00:00',4,1,12,2011,'F','N','BATEL','CURITIBA','PR','116161161137471431438834375124610124096',NULL,'9998',28.36,1,2,1),(28,7168802,'1990-04-19 00:00:00',2,1,12,2010,'M','N','SANTO SARAIVA','S JOSÉ','SC','124242241412111411323431345112110167042',NULL,'733',18.08,1,3,NULL),(28,7168810,'1994-07-14 00:00:00',2,8,12,2011,'M','N','VILA WEBER','GARUVA','SC','124241246216371431538933575124610124052',NULL,'494',22.74,1,3,NULL),(28,7168829,'1995-05-02 00:00:00',4,9,12,2012,'M','S','CENTRO','LAGES','SC','124242241217111531349932275121610124142',NULL,'1106',13.84,1,3,NULL),(28,7168837,'1994-09-27 00:00:00',4,1,12,2011,'M','N','SENHOR DOS PASSOS','CUIABÁ','MT','111112111217151232249813575122610137043',6003,'9998',52.51,1,3,NULL),(28,7168845,'1995-10-25 00:00:00',4,1,11,2012,'F','S','SACO GRANDE','FLORIANÓPOLIS','SC','124243241115151431538633575114610134071',NULL,'9997',40.44,1,3,NULL),(28,7168853,'1994-01-29 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215122731369933575122610124012',9952,'299',46.80,1,3,NULL),(28,7168861,'1995-02-07 00:00:00',2,1,12,2012,'F','S','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215111431468839595122610127147',NULL,'1244',51.45,1,3,NULL),(28,7168870,'1993-09-06 00:00:00',6,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124161241147131331541364345121610111052',15950,'922',33.39,1,3,NULL),(28,7168888,'1994-06-11 00:00:00',4,25,12,2011,'M','N','SORGATTO','CAÇADOR','SC','124241241216161431454832575122610144047',10046,'119',45.70,1,3,NULL),(28,7168896,'1994-08-11 00:00:00',4,6,12,2011,'F','N','FAZENDA','ITAJAÍ','SC','124242246215141231459913332124610163092',13953,'1059',36.90,1,3,NULL),(28,7168900,'1993-08-12 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215473431478923575122610166072',3904,'1050',60.76,1,3,NULL),(28,7168918,'1992-04-04 00:00:00',2,10,12,2009,'M','N','CENTRO','IMARUÍ','SC','124241241147163431239923515121233264067',16200,'356',43.34,1,3,NULL),(28,7168934,'1995-05-06 00:00:00',2,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241117471511426539576124610117025',13556,'281',40.63,1,2,1),(28,7168942,'1992-03-27 00:00:00',4,1,11,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124203201131131431326669281124610126147',NULL,'9998',22.99,1,3,NULL),(28,7168950,'1990-10-05 00:00:00',4,8,12,2008,'F','N','CENTRO','RIO NEGRINHO','SC','124242241216471411365921575122142523012',NULL,'541',0.00,1,3,NULL),(28,7168969,'1992-07-10 00:00:00',2,8,12,2009,'M','N','PESCARIA','S JOSÉ B VISTA','PR','116163161414571421426633595314610168182',NULL,'9998',0.00,1,3,NULL),(28,7168985,'1991-12-09 00:00:00',4,1,11,2008,'F','N','JARDIM ESPLANADA','S JOSÉ CAMPOS','SP','125252251215572431468832575121610164072',3965,'9998',57.10,1,3,NULL),(28,7168993,'1994-10-20 00:00:00',4,25,12,2011,'F','N','SESI','VIDEIRA','SC','124241248112141431426319395125610138147',15515,'831',36.50,1,3,NULL),(28,7169000,'1993-07-16 00:00:00',2,8,11,2010,'M','N','CENTRO','CURITIBA','PR','116162161215471431547611475114610162172',1317,'9998',68.37,3,3,NULL),(28,7169035,'1994-03-04 00:00:00',4,7,12,2011,'M','N','SÃO VICENTE','HERVAL D OESTE','SC','124241241215131431349612225122610162182',11019,'445',44.14,4,3,NULL),(28,7169043,'1994-09-15 00:00:00',2,24,11,2011,'M','N','CENTRO','IBIRAMA','SC','124242241216171731448933335125610167057',NULL,'346',NULL,1,3,NULL),(28,7169060,'1991-03-15 00:00:00',4,6,12,2008,'F','N','CENTRO','CURITIBA','PR','116163161416573431346627574122610132097',859,'9998',69.01,1,3,NULL),(28,7169078,'1992-09-11 00:00:00',4,8,12,2010,'M','N','AMÉRICA','JOINVILLE','SC','124243241135472431446611575122610131172',13190,'465',41.72,1,3,NULL),(28,7169094,'1990-08-15 00:00:00',2,8,12,2007,'M','N','ITINGA','ARAQUARI','SC','124161241146271731423471245124131422042',NULL,'472',0.00,4,2,1),(28,7169108,'1993-05-25 00:00:00',4,7,12,2009,'F','N','CENTRO','TREZE TÍLIAS','SC','124243241216272451459611575124141434192',NULL,'962',0.00,1,3,NULL),(28,7169116,'1993-12-17 00:00:00',4,10,12,2011,'M','N','CENTRO','LAGUNA','SC','124242241216111431235923575115610137052',12228,'525',39.74,1,3,NULL),(28,7169124,'1993-04-19 00:00:00',4,1,12,2010,'F','N','ALTO','PIRACICABA','SP','125252251216471731667734575122610117092',8495,'9998',49.31,1,3,NULL),(28,7169159,'1993-04-14 00:00:00',4,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124241241113141732446633445124610137042',12909,'592',40.03,1,2,1),(28,7169167,'1993-08-06 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124243241117131731316863275112610164147',9480,'307',48.70,1,3,NULL),(28,7169175,'1994-01-04 00:00:00',4,8,12,2011,'M','N','IRIRIU','JOINVILLE','SC','124241248116131752439919445124610137017',NULL,'470',19.94,1,2,1),(28,7169183,'1992-10-13 00:00:00',4,1,11,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215474431458812575124610123187',3621,'270',60.33,1,3,NULL),(28,7169191,'1994-05-10 00:00:00',4,1,12,2011,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241225141431333413342124610127065',7962,'262',49.74,3,3,NULL),(28,7169205,'1988-11-09 00:00:00',2,1,12,2007,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241116273431468634485134122223143',17060,'267',41.40,1,2,1),(28,7169213,'1992-08-16 00:00:00',2,9,12,2009,'M','N','JARDIM ELDORADO','CAXIAS SUL','RS','120201201147151411323328182324610117052',NULL,'9998',0.00,1,2,1),(28,7169221,'1994-11-10 00:00:00',4,6,12,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241214132431428823572224610144187',17605,'403',40.02,1,3,NULL),(28,7169230,'1994-05-23 00:00:00',2,6,12,2011,'M','N','ARIRIBA','BAL CAMBORIÚ','SC','124162241215111431468614275121610127042',14378,'44',39.70,1,3,NULL),(28,7169248,'1990-10-14 00:00:00',2,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241237373431668813445134610164042',8275,'1098',50.48,1,3,NULL),(28,7169264,'1986-04-18 00:00:00',2,1,12,2005,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124163241146474431447619345124610122147',10146,'580',46.45,1,3,NULL),(28,7169272,'1993-08-02 00:00:00',2,4,12,2010,'M','N','EFAPI','CHAPECÓ','SC','124243241137371431433439575124610157057',NULL,'340',24.46,4,3,NULL),(28,7169280,'1994-03-19 00:00:00',4,22,11,2011,'F','N','GUARANI','BRUSQUE','SC','124242241215111431433819295122610121142',11434,'1244',41.37,1,3,NULL),(28,7169299,'1992-05-15 00:00:00',4,1,12,2009,'M','N','JD DAS PALMEIRAS','CAMPINAS','SP','125252251217572431589832571112610162177',1145,'9998',67.68,1,3,NULL),(28,7169302,'1993-09-15 00:00:00',4,8,11,2010,'F','N','JUVEVE','CURITIBA','PR','116242161215472431456716374114610133017',1495,'9998',66.84,1,3,NULL),(28,7169310,'1994-12-07 00:00:00',4,22,12,2011,'M','N','SÃO PEDRO','GUABIRUBA','SC','124241241125151731356334117124610164142',7651,'924',51.57,1,2,1),(28,7169329,'1994-11-02 00:00:00',2,1,12,2011,'F','N','GANCHOS DE FORA','GOV CELSO RAMOS','SC','124241241137131132323334392224610134047',14152,'329',39.71,4,2,1),(28,7169345,'1994-06-07 00:00:00',4,1,12,2011,'F','N','JARDIM COLINA','AMERICANA','SP','125252258227141431456712245122610134042',NULL,'9998',0.00,1,3,NULL),(28,7169353,'1994-01-17 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115141431553612345122610127047',20030,'307',27.64,1,2,1),(28,7169361,'1994-03-21 00:00:00',2,1,11,2011,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242248215111731638611112122610117095',NULL,'1051',21.47,1,3,NULL),(28,7169396,'1993-06-26 00:00:00',2,24,12,2010,'M','N','AGUAS FRIAS','ALFREDO WAGNER','SC','124241241127272431423415595121231427042',11388,'13',43.18,1,2,1),(28,7169400,'1994-02-01 00:00:00',4,23,12,2011,'F','N','RIO MOLHA','JARAGUÁ SUL','SC','124242241215122431476732572122610127042',8914,'442',55.57,1,3,NULL),(28,7169418,'1994-05-16 00:00:00',4,10,11,2011,'F','N','TERMAS','GRAVATAL','SC','124241241215111431633419172124610113197',19501,'806',32.66,1,3,NULL),(28,7169426,'1994-04-22 00:00:00',4,1,11,2011,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124286247615131431426921215124610141017',NULL,'270',29.96,1,3,NULL),(28,7169469,'1991-10-01 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215353431379933275122231067057',3488,'262',65.62,1,3,NULL),(28,7169485,'1989-12-26 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215374721477412475122221363187',NULL,'272',42.12,1,3,NULL),(28,7169493,'1994-09-07 00:00:00',4,25,11,2011,'F','N','CENTRO','CAÇADOR','SC','124242241217112431378931596112610164122',13300,'120',38.55,1,3,NULL),(28,7169507,'1995-01-13 00:00:00',4,1,11,2012,'M','S','CENTRO','ITAJAÍ','SC','124242241217121752547812575125610167182',NULL,'9997',20.52,1,3,NULL),(28,7169523,'1994-05-29 00:00:00',4,1,12,2011,'M','N','CENTRO','MARINGÁ','PR','116162161217121431378831575124610132196',NULL,'9998',0.00,3,3,NULL),(28,7169531,'1992-01-16 00:00:00',4,4,12,2009,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241215573431468831475114610147187',1555,'1022',67.63,1,3,NULL),(28,7169540,'1994-11-24 00:00:00',4,25,11,2011,'F','N','CENTRO','CASCAVEL','PR','116161161117471431446939574124610135147',NULL,'9998',0.00,1,2,1),(28,7169558,'1994-09-22 00:00:00',4,7,12,2011,'M','N','CENTRO','JOAÇABA','SC','124244241215271731446832575122610117052',6746,'454',52.63,1,3,NULL),(28,7169566,'1994-09-18 00:00:00',2,10,12,2011,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241246215131431326613575124610137062',7304,'1120',50.97,1,3,NULL),(28,7169574,'1989-12-29 00:00:00',4,1,12,2007,'M','N','ALTO DA BOA VISTA','RIBEIRÃO PRETO','SP','125252251211371411457732275112140717044',NULL,'9998',0.00,1,3,NULL),(28,7169582,'1991-06-03 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472431448822375115610167042',7975,'210',53.55,4,3,NULL),(28,7169590,'1994-06-04 00:00:00',4,8,12,2011,'M','N','JD DAS PRAIAS','S PAULO','SP','125252251216111431568614575124610122092',14638,'9998',46.28,1,3,NULL),(28,7169612,'1993-12-04 00:00:00',4,8,12,2010,'F','N','SANTA QUITÉRIA','CURITIBA','PR','116162161214471431468811574112610147092',NULL,'9998',0.00,1,3,NULL),(28,7169620,'1991-05-07 00:00:00',2,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124244241215373411226711445124610167117',13348,'723',48.48,4,3,NULL),(28,7169639,'1994-11-12 00:00:00',4,9,12,2011,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161216111431389914575122610137123',NULL,'9998',0.00,1,3,NULL),(28,7169655,'1992-11-21 00:00:00',4,8,12,2010,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241217371231337524572314131464052',6823,'666',59.15,1,3,NULL),(28,7169663,'1994-09-05 00:00:00',2,1,12,2011,'F','N','J CIDADE DE FPOLIS','S JOSÉ','SC','124241241117271531553923245124610111097',NULL,'307',24.28,1,2,1),(28,7169671,'1993-07-28 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431359823575124131046187',1931,'461',64.89,1,3,NULL),(28,7169680,'1993-01-01 00:00:00',4,1,12,2010,'F','N','VILA AURORA','S PAULO','SP','125252251216471441538833575125610137097',6056,'9998',53.34,2,3,NULL),(28,7169698,'1994-04-12 00:00:00',4,1,9,2011,'M','N','COLINAS','S JOSÉ CAMPOS','SP','125252251211111211363558144223210117196',NULL,'9998',0.00,1,3,NULL),(28,7169701,'1978-02-13 00:00:00',4,1,12,2005,'M','N','CAMPINAS','S JOSÉ','SC','124242241216112431336631145132330224143',NULL,'269',23.76,1,3,NULL),(28,7169710,'1992-11-19 00:00:00',4,1,11,2010,'F','N','CENTRO','S JOSÉ','SC','124242241215472431569834575122610121182',5229,'270',56.74,4,3,NULL),(28,7169728,'1991-06-20 00:00:00',4,3,12,2008,'F','N','CENTRO','CPO LARGO','PR','116162161217372431338311313124241046017',530,'9998',72.35,1,3,NULL),(28,7169736,'1993-08-19 00:00:00',2,4,12,2010,'M','N','NATUREZA','ITÁ','SC','124241241216162431446614345121610137052',12632,'1001',40.33,1,3,NULL),(28,7169760,'1994-02-02 00:00:00',4,9,12,2011,'F','N','CAPISTRANO','BOM RETIRO','SC','124241241125131431424624345125610167147',NULL,'95',25.42,1,2,1),(28,7169779,'1994-05-02 00:00:00',4,8,12,2011,'M','N','COMASA','JOINVILLE','SC','124244243217371431359814275122610116012',5450,'1105',53.23,1,3,NULL),(28,7169787,'1994-11-14 00:00:00',2,1,11,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241235271531488612595122610133092',8178,'1011',51.14,1,3,NULL),(28,7169795,'1993-07-10 00:00:00',2,1,12,2011,'M','N','BAIRRO DO ARIRIU','PALHOÇA','SC','124241241116141411443414245124610167182',16072,'739',43.56,1,2,1),(28,7169809,'1991-02-08 00:00:00',4,4,3,2009,'F','N','CENTRO','S DOMINGOS','SC','124253257216572411336632592122610124142',NULL,'9998',0.00,1,3,NULL),(28,7169817,'1990-04-25 00:00:00',4,1,12,2007,'M','N','BOM VIVER','BIGUAÇU','SC','124243241115272411347811435124121463032',5313,'271',61.81,1,3,NULL),(28,7169825,'1993-09-27 00:00:00',2,1,12,2011,'F','N','RIO GRANDE','PALHOÇA','SC','124241241115371731348613345124610125023',15264,'592',36.57,1,2,1),(28,7169833,'1992-11-27 00:00:00',4,8,12,2009,'F','N','BOA VISTA','CURITIBA','PR','116073071116572431558833585124610164177',NULL,'9998',0.00,1,3,NULL),(28,7169841,'1995-04-16 00:00:00',4,9,12,2011,'M','N','CENTRO','CORREIA PINTO','SC','124244242117131431534631575122610114157',NULL,'960',0.00,1,3,NULL),(28,7169850,'1994-08-07 00:00:00',4,1,11,2011,'F','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251237271431368924572112610144097',1047,'9998',70.67,1,3,NULL),(28,7169868,'1995-10-24 00:00:00',4,1,12,2012,'M','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241235111532488834475112610117047',NULL,'1169',39.44,1,3,NULL),(28,7169884,'1994-07-01 00:00:00',4,8,11,2011,'F','N','BATEL','CURITIBA','PR','116162161215111711479913375125610147187',NULL,'9998',0.00,1,3,NULL),(28,7169892,'1994-05-23 00:00:00',4,15,12,2011,'F','N','SANTA CATARINA','ARARANGUÁ','SC','124241241115371431425515172124610126147',8952,'30',49.32,1,2,1),(28,7169906,'1994-05-03 00:00:00',2,8,12,2011,'M','N','ITAUM','JOINVILLE','SC','124241241137271531436414272122610127057',17872,'467',39.29,1,2,1),(28,7169914,'1993-02-03 00:00:00',4,1,12,2009,'F','N','PORTAO','CURITIBA','PR','116162161216573431448829574114610133097',721,'9998',69.27,1,3,NULL),(28,7169922,'1994-06-18 00:00:00',4,8,12,2011,'F','N','ITINGA','ARAQUARI','SC','124241241115131212326524282224610117145',NULL,'996',0.00,1,2,1),(28,7169930,'1975-07-23 00:00:00',2,1,12,1992,'M','N','RIO GRANDE','PALHOÇA','SC','224241241116145421656643432122521457047',7307,'267',58.30,1,2,1),(28,7169949,'1993-12-14 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215111431427924575124610122072',6937,'883',54.95,2,3,NULL),(28,7169965,'1995-03-22 00:00:00',4,4,12,2011,'F','N','CENTRO','IRAÍ','RS','120201201116131431435923575122610125017',NULL,'9998',0.00,1,2,1),(28,7169981,'1990-12-20 00:00:00',6,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241137141511633434196114610163147',NULL,'371',25.79,1,3,NULL),(28,7169990,'1995-06-05 00:00:00',4,27,12,2012,'F','S','SAGRADO CORAÇÃO','S MIGUEL OESTE','SC','124244241215151731449832575122610164172',NULL,'1179',44.08,1,3,NULL),(28,7170009,'1993-05-23 00:00:00',2,9,12,2011,'M','N','SANTA MARIA','LAGES','SC','124241241417371431336923575115610137042',12422,'505',42.64,1,3,NULL),(28,7170017,'1994-02-24 00:00:00',2,4,12,2011,'F','N','CENTRO','XANXERÊ','SC','124242241215111431534311195122610126182',12630,'836',49.58,1,3,NULL),(28,7170025,'1994-03-12 00:00:00',4,1,12,2011,'F','N','MARIA DA GRAÇA','RIO JANEIRO','RJ','121212211217571711359932575124610138097',NULL,'9998',34.82,1,3,NULL),(28,7170033,'1991-05-07 00:00:00',4,4,12,2008,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241215574431559614575124610122097',870,'855',69.19,1,3,NULL),(28,7170041,'1993-07-15 00:00:00',4,1,12,2010,'M','N','ALTO CAFEZAL','MARÍLIA','SP','125252251216372431438832592121241434042',NULL,'9998',0.00,1,3,NULL),(28,7170050,'1994-10-08 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111441389923575112610114075',3181,'270',62.05,1,3,NULL),(28,7170068,'1994-09-12 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241115151431436614475114610124193',4648,'271',57.86,1,3,NULL),(28,7170076,'1994-12-21 00:00:00',4,6,10,2012,'M','S','CENTRO','ITAJAÍ','SC','124242241216111431369819395122610137042',NULL,'1026',48.40,1,3,NULL),(28,7170084,'1989-01-10 00:00:00',2,1,12,2006,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244241216575431435312445122610122073',10175,'1134',48.56,1,3,NULL),(28,7170092,'1994-12-05 00:00:00',2,1,12,2011,'F','N','DESVIO RIZZO','CAXIAS SUL','RS','120201201117151431346434275124610167052',7927,'9998',47.85,1,2,1),(28,7170114,'1993-06-09 00:00:00',4,1,10,2011,'F','N','CERAMICA','ERECHIM','RS','120202207237271731635631575124610132187',12412,'9998',42.83,1,3,NULL),(28,7170122,'1993-04-11 00:00:00',4,8,12,2010,'F','N','BACACHERI','CURITIBA','PR','116162161217471731469933571122610134187',1733,'9998',66.16,1,3,NULL),(28,7170130,'1994-03-23 00:00:00',4,23,12,2011,'M','N','CENTRO','GUARAMIRIM','SC','124242241215131711438832572124610124147',9182,'441',47.04,1,3,NULL),(28,7170157,'1994-04-05 00:00:00',4,1,12,2011,'M','N','ESTREITO','ALFREDO WAGNER','SC','124241241136141531346933145121610127052',15848,'13',35.22,1,2,1),(28,7170165,'1992-04-23 00:00:00',4,27,12,2008,'M','N','MONTE CASTELO','CPO GRANDE','MS','112124121415574431358821575124610163012',156,'9998',77.66,1,3,NULL),(28,7170173,'1993-05-11 00:00:00',4,23,12,2010,'F','N','VILA LALAU','JARAGUÁ SUL','SC','124241241216471431569834575122610135017',7689,'1061',49.30,1,3,NULL),(28,7170181,'1993-11-16 00:00:00',4,1,12,2010,'F','N','DESVIO RIZZO','CAXIAS SUL','RS','120202201215472431355823375124610134097',12677,'9998',40.60,1,3,NULL),(28,7170190,'1987-04-01 00:00:00',4,23,12,2004,'M','N','BARRA DO RIO MOLHA','JARAGUÁ SUL','SC','124242241215575411349636475122232462047',NULL,'442',23.55,1,3,NULL),(28,7170203,'1991-04-25 00:00:00',4,1,12,2008,'M','N','EMBARÉ','SANTOS','SP','125254251216152441336933335123240622117',9452,'9998',54.63,1,3,NULL),(28,7170220,'1995-01-22 00:00:00',2,8,12,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215112431469933572122610164097',9936,'931',45.27,1,3,NULL),(28,7170246,'1993-09-28 00:00:00',2,3,12,2011,'M','N','HIDRÁULICA','LAJEADO','RS','120204201317271431466812345122610127115',14008,'9998',39.06,1,3,NULL),(28,7170254,'1995-08-03 00:00:00',4,4,11,2011,'M','N','CENTRO','SAUDADES','SC','124244241215111331456832575112610127012',8155,'1191',50.66,1,3,NULL),(28,7170262,'1991-09-13 00:00:00',2,1,12,2009,'M','N','ARIRIU','PALHOÇA','SC','124241241147131431543319245124133267042',16107,'593',34.68,1,2,1),(28,7170270,'1993-08-12 00:00:00',4,8,12,2011,'M','N','VILLA FLORES','SUMARÉ','SP','125251251117371441233823595121610162012',8545,'9998',47.00,1,2,1),(28,7170289,'1994-02-02 00:00:00',2,1,12,2011,'M','N','PARQUE REAL','VLE REAL','RS','120201201147131541446614345124610122095',12938,'9998',39.96,1,2,1),(28,7170297,'1994-03-18 00:00:00',4,8,11,2011,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241215311431558913575112610147142',7378,'457',50.97,1,3,NULL),(28,7170319,'1993-02-18 00:00:00',2,10,11,2010,'M','N','SAO MARTINHO','TUBARÃO','SC','124241241216373441336734574124610167182',1511,'807',68.46,1,3,NULL),(28,7170327,'1994-01-26 00:00:00',4,6,10,2011,'M','N','CENTRO','ITAJAÍ','SC','124242241215111431558974376122610137112',19117,'9997',34.80,1,3,NULL),(28,7170335,'1994-12-06 00:00:00',2,1,12,2011,'M','N','AREIAS','TIJUCAS','SC','124242241215161431466614575121610127022',NULL,'948',37.33,1,3,NULL),(28,7170343,'1994-03-29 00:00:00',4,1,12,2011,'F','N','ROÇADO','S JOSÉ','SC','124242241215131431317824345124610127073',NULL,'1134',35.19,4,3,NULL),(28,7170351,'1994-04-14 00:00:00',4,1,11,2011,'F','N','CENTRO','SORRISO','MT','111111111217111411476916572112610123097',NULL,'9998',0.00,1,3,NULL),(28,7170360,'1991-09-08 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124241241117273431423663392314610136147',NULL,'359',23.50,1,3,NULL),(28,7170378,'1967-06-05 00:00:00',6,1,12,1993,'F','N','BELA VISTA','S JOSÉ','SC','224243245127143431334453335124332726187',NULL,'734',0.00,1,3,NULL),(28,7170386,'1992-05-14 00:00:00',4,1,12,2010,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120203201212272411469811571124143267112',8954,'9998',48.42,1,3,NULL),(28,7170394,'1994-09-15 00:00:00',4,1,11,2011,'M','N','VILA ANTONIO AUGUSTO','CAÇAPAVA','SP','125252251217111431478414442112610127042',16183,'9998',43.37,1,3,NULL),(28,7170416,'1992-06-08 00:00:00',4,8,12,2009,'F','N','CENTRO','LARANJEIRAS SUL','PR','116161161217471432638934575122141566146',NULL,'9998',0.00,1,3,NULL),(28,7170424,'1994-06-15 00:00:00',2,15,12,2011,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124242241215371431328723575122610134192',9361,'970',47.62,1,3,NULL),(28,7170432,'1995-01-26 00:00:00',4,5,11,2011,'F','N','PIO CORREA','CRICIÚMA','SC','124242241215112431589614575122610114096',557,'226',72.39,1,3,NULL),(28,7170440,'1993-03-18 00:00:00',2,4,12,2010,'F','N','INTERIOR','PINHALZINHO','SC','124241241136271451533335395134610137057',14550,'616',37.82,1,2,1),(28,7170459,'1994-10-06 00:00:00',2,7,12,2010,'F','N','DO SALTO','SALTO VELOSO','SC','124241241115371411449613575115610135117',12371,'1113',39.44,1,3,NULL),(28,7170467,'1990-07-08 00:00:00',2,1,12,2007,'F','N','FORQUILHAS','S JOSÉ','SC','124244241215575431666469574122610163181',292,'1022',76.76,4,3,NULL),(28,7170475,'1994-01-25 00:00:00',2,1,12,2011,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124244241215471141326823296124610163144',1514,'1022',68.05,1,3,NULL),(28,7170483,'1994-12-27 00:00:00',4,9,11,2011,'F','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124242241216122441345821285115610164182',5512,'1207',56.00,1,3,NULL),(28,7170491,'1983-01-22 00:00:00',2,1,1,2001,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124201201217271741123844445124131414067',NULL,'9998',19.35,3,3,NULL),(28,7170505,'1994-09-20 00:00:00',2,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241215151731412611275124610137042',14201,'988',39.22,1,3,NULL),(28,7170513,'1978-01-02 00:00:00',4,1,12,1995,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241217374441358743435124120434187',2300,'229',64.66,1,3,NULL),(28,7170521,'1994-03-28 00:00:00',4,1,12,2011,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215111431566624372122610133142',2994,'883',61.74,1,3,NULL),(28,7170530,'1994-07-30 00:00:00',4,2,12,2011,'M','N','VILA GERMER','TIMBÓ','SC','124241241146141441456814345121610127147',13094,'870',38.65,1,2,1),(28,7170548,'1994-02-15 00:00:00',4,23,12,2011,'F','N','CENTRO','SCHROEDER','SC','124243241216141531469914395124610144012',15094,'441',45.42,1,3,NULL),(28,7170564,'1994-03-11 00:00:00',4,4,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215472431566712575122610134143',10610,'270',44.80,1,3,NULL),(28,7170572,'1994-01-19 00:00:00',2,16,12,2011,'F','N','CENTRO','MTE CARLO','SC','124241241115371431333923585124610136182',15585,'936',33.74,1,2,1),(28,7170580,'1992-11-19 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241146573431233373345133610164142',13800,'785',37.81,1,2,1),(28,7170599,'1995-10-03 00:00:00',4,1,11,2012,'M','S','COQUEIROS','FLORIANÓPOLIS','SC','124243241217111731337924575124610137142',NULL,'1022',46.28,1,3,NULL),(28,7170602,'1994-03-28 00:00:00',4,1,12,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431566624372112610143075',3436,'883',57.86,1,3,NULL),(28,7170610,'1994-07-29 00:00:00',2,5,12,2011,'M','N','CENTRO','NOVA VENEZA','SC','124242246217151441457913575122610167182',NULL,'995',0.00,1,3,NULL),(28,7170629,'1994-12-26 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431478932375122610117012',7115,'262',58.63,1,3,NULL),(28,7170637,'1996-02-27 00:00:00',4,1,12,2011,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124244241215151431328412575124610164042',8811,'1023',55.76,1,3,NULL),(28,7170645,'1993-08-17 00:00:00',4,1,11,2010,'F','N','PETROPOLIS','PTO ALEGRE','RS','124242241215372431357731575122130263142',1078,'270',70.21,1,3,NULL),(28,7170653,'1993-09-09 00:00:00',2,1,12,2010,'F','N','CENTRO','LAGES','SC','124242241217422221269923572112610162097',6787,'497',54.61,1,3,NULL),(28,7170661,'1994-01-05 00:00:00',2,1,12,2011,'F','N','CAMPESTRE','STO ANDRÉ','SP','125251251117151431326431375124610164042',NULL,'9998',0.00,1,2,1),(28,7170670,'1994-06-09 00:00:00',4,10,12,2011,'F','N','TERMAS','GRAVATAL','SC','124241241125131431533334345321610137052',9988,'332',44.89,1,2,1),(28,7170688,'1982-10-07 00:00:00',2,1,12,2010,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241247646133421636421345124610112172',19160,'9999',34.59,1,3,NULL),(28,7170696,'1994-02-15 00:00:00',2,5,12,2011,'M','N','CENTRO','SIDERÓPOLIS','SC','124244246415142431426832575124610135042',12896,'995',40.91,1,3,NULL),(28,7170700,'1995-09-14 00:00:00',2,1,11,2012,'F','S','TAPERA','FLORIANÓPOLIS','SC','124242241115111531633331375124610142142',NULL,'1168',30.11,1,3,NULL),(28,7170718,'1994-03-18 00:00:00',4,4,12,2011,'M','N','CENTRO','SARANDI','RS','120202201216151431468812295122610117052',NULL,'9998',34.90,1,3,NULL),(28,7170726,'1992-10-14 00:00:00',2,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124242241216374431445614245124610134092',19527,'1022',32.49,1,3,NULL),(28,7170734,'1994-11-24 00:00:00',4,1,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215472431379811575122610123142',3305,'270',59.78,1,3,NULL),(28,7170742,'1995-04-13 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124244241215371731458933575122610166185',4229,'226',58.15,1,3,NULL),(28,7170777,'1989-09-27 00:00:00',2,1,12,2006,'F','N','COSTEIRA DO PIRAJUBE','FLORIANÓPOLIS','SC','120201201117471431323339381124143233187',12813,'9998',42.20,1,2,1),(28,7170807,'1994-08-26 00:00:00',4,10,11,2011,'F','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124242241215132751547933172124610134077',11582,'809',42.17,1,3,NULL),(28,7170815,'1993-07-29 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217372431469913575122120544142',2314,'270',66.38,1,3,NULL),(28,7170831,'1993-04-24 00:00:00',4,8,12,2010,'F','N','BOA VISTA','JOINVILLE','SC','124242241215473411357614574124610163187',2601,'931',67.99,1,3,NULL),(28,7170840,'1993-04-25 00:00:00',2,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241117272431226623475124233264012',8272,'267',47.82,1,2,1),(28,7170858,'1995-04-13 00:00:00',4,1,12,2012,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241217151431366722292112610137042',NULL,'1198',40.75,1,3,NULL),(28,7170866,'1993-10-25 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431576923575122610121142',6040,'270',54.95,1,3,NULL),(28,7170874,'1993-06-11 00:00:00',4,1,11,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241217272751426611591114610122142',NULL,'1048',17.56,1,3,NULL),(28,7170882,'1993-07-13 00:00:00',4,1,12,2010,'F','N','PRAINHA','FLORIANÓPOLIS','SC','124243241215372431323723375124132726192',6801,'1118',55.37,1,3,NULL),(28,7170890,'1992-12-14 00:00:00',4,4,11,2009,'F','N','RODRIGUES','PASSO FUNDO','RS','120202201216571431446811271124610134142',3316,'9998',62.09,1,3,NULL),(28,7170904,'1994-08-22 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248215111431489812422112610128147',10581,'270',50.34,1,3,NULL),(28,7170920,'1994-11-09 00:00:00',2,4,12,2011,'M','N','ALVORADA','CHAPECÓ','SC','124241243127171431325534345124610126047',NULL,'178',0.00,1,2,1),(28,7170939,'1990-07-21 00:00:00',2,1,7,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241436272531569934495124131564073',NULL,'1096',16.07,1,3,NULL),(28,7170955,'1993-09-10 00:00:00',4,1,12,2011,'M','N','JD PAULISTANO','AMERICANA','SP','125252251215111711333432575122610137112',NULL,'9998',28.80,1,3,NULL),(28,7170971,'1992-06-02 00:00:00',4,1,12,2009,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215573731378772575124610167042',143,'270',79.59,1,3,NULL),(28,7170980,'1992-11-23 00:00:00',4,1,12,2010,'M','N','PAULICEIA','PIRACICABA','SP','125253251117471231534412575112610167097',8953,'9998',49.16,1,3,NULL),(28,7170998,'1992-12-22 00:00:00',4,1,12,2010,'M','N','PONTA DA PRAIA','SANTOS','SP','125252241215471231338813375111610134142',NULL,'9998',39.04,1,3,NULL),(28,7171005,'1994-09-27 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215272431438611575124610127142',1858,'1022',63.43,1,3,NULL),(28,7171021,'1992-03-16 00:00:00',4,8,12,2009,'F','N','COSTA E SILVA','JOINVILLE','SC','124202201115574431359819372124121441092',1909,'9998',66.04,1,3,NULL),(28,7171030,'1993-10-16 00:00:00',4,8,12,2011,'M','N','SÃO MARCOS','JOINVILLE','SC','124241241437151431446734575124610127011',NULL,'492',0.00,1,3,NULL),(28,7171048,'1992-08-12 00:00:00',2,5,12,2011,'M','N','ENCRUZO','JAGUARUNA','SC','124241242115131431226664276324610132192',13937,'690',38.49,1,2,1),(28,7171056,'1993-09-21 00:00:00',4,1,12,2010,'F','N','CONSOLAÇÃO','S PAULO','SP','125252251217471731228921575115610164197',2762,'9998',61.23,1,3,NULL),(28,7171064,'1994-09-05 00:00:00',2,2,12,2011,'F','N','VILA GERMER','TIMBÓ','SC','124241241127161731433319292121610137072',NULL,'870',19.54,1,2,1),(28,7171072,'1994-12-26 00:00:00',4,1,11,2011,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241214372751358923572124610134046',458,'1022',73.49,1,3,NULL),(28,7171080,'1994-01-27 00:00:00',4,15,11,2011,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241215131431419918572121610127057',8344,'26',48.20,1,3,NULL),(28,7171102,'1993-11-27 00:00:00',4,1,12,2011,'M','N','SÃO JOAQUIM','STA GERTRUDES','SP','125251251217111441237833376112610137057',3557,'9998',59.49,1,3,NULL),(28,7171110,'1984-04-26 00:00:00',2,8,12,2002,'M','N','AMERICA','JOINVILLE','SC','124242241216371431379911412112342115043',NULL,'489',21.96,1,3,NULL),(28,7171129,'1994-02-14 00:00:00',4,1,7,2011,'F','N','CENTRO','PALHOÇA','SC','124241241117371431533614572124610126012',4530,'739',58.23,1,2,1),(28,7171145,'1994-05-06 00:00:00',4,1,11,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215121731468814575112610166142',447,'270',71.85,1,3,NULL),(28,7171188,'1991-07-17 00:00:00',4,1,12,2008,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241215374431479612575124121447182',1490,'266',66.06,1,3,NULL),(28,7171196,'1992-02-10 00:00:00',2,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124242241215152431448614445122610128182',18136,'738',38.46,1,3,NULL),(28,7171200,'1992-10-23 00:00:00',4,1,5,2011,'F','N','VILA ADYANA','S JOSÉ CAMPOS','SP','125282288217371431389814572112610163182',14260,'9998',47.01,1,3,NULL),(28,7171218,'1994-09-04 00:00:00',2,2,11,2011,'F','N','PASSO MANSSO','BLUMENAU','SC','124241241216131431424833575124610134057',12844,'88',41.53,1,3,NULL),(28,7171226,'1994-03-07 00:00:00',2,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124243241115371411358714572124610116142',11779,'733',44.95,4,3,NULL),(28,7171234,'1994-05-27 00:00:00',2,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215112431446934575114610117112',2681,'1022',61.90,1,3,NULL),(28,7171242,'1992-11-27 00:00:00',2,1,12,2009,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124244241216172751267821315112610114193',NULL,'1118',24.21,1,3,NULL),(28,7171250,'1994-07-03 00:00:00',4,9,12,2011,'F','N','VARZEA','LAGES','SC','124241242115161531423636595222610114147',19795,'960',30.35,1,2,1),(28,7171269,'1994-02-19 00:00:00',4,3,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215141431336924245124610134172',5390,'1045',54.79,1,3,NULL),(28,7171277,'1994-10-15 00:00:00',2,1,1,2012,'F','N','FORQUILINHAS','LAGES','SC','624244241416141431335521295124610126147',NULL,'307',26.02,1,3,NULL),(28,7171293,'1994-02-14 00:00:00',4,1,11,2011,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124244241216131411526314345122610164157',17078,'63',29.95,1,3,NULL),(28,7171315,'1991-10-12 00:00:00',4,1,12,2009,'F','N','CENTRO','S JOSÉ R PARDO','SP','125252251217572431267833575112610112051',4429,'9998',55.86,1,3,NULL),(28,7171323,'1988-10-29 00:00:00',2,15,12,2011,'M','N','LINHA SAO PEDRO','JACINTO MACHADO','SC','124241247127141431623615442324610127187',NULL,'9999',11.99,1,2,1),(28,7171340,'1978-10-21 00:00:00',2,1,5,2012,'M','S','FORTALEZA DA BARRA','FLORIANÓPOLIS','SC','124161241225131732124349142124610127117',NULL,'9999',37.93,4,3,NULL),(28,7171358,'1994-03-01 00:00:00',4,8,12,2011,'M','N','BOA VISTA','JOINVILLE','SC','124244246235271411446623395121610117021',17002,'1105',41.54,3,3,NULL),(28,7171366,'1993-06-08 00:00:00',2,9,12,2010,'F','N','CENTRO','LAGES','SC','124241241126371331324631575125132547052',19123,'18',34.78,1,2,1),(28,7171374,'1994-12-14 00:00:00',4,27,12,2011,'F','N','JARDIM PLANALTO','DOURADOS','MS','112122121215111431465831575122610166192',4757,'9998',55.36,1,3,NULL),(28,7171382,'1990-09-24 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241415573432327619485124133222197',2721,'288',64.66,2,3,NULL),(28,7171404,'1991-12-07 00:00:00',4,1,12,2009,'F','N','CENTRO','GUARAREMA','SP','125254251215572431458612571144610126197',11257,'9998',51.70,1,3,NULL),(28,7171412,'1994-03-12 00:00:00',4,1,12,2011,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241215171431459613172124610128042',2780,'1022',64.34,1,3,NULL),(28,7171420,'1994-08-27 00:00:00',2,8,11,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124241242115141431445314575122610127052',NULL,'24',23.33,1,2,1),(28,7171447,'1989-05-22 00:00:00',4,1,11,2007,'M','N','BARREIROS','S JOSÉ','SC','124241241127272431123344342124610137042',NULL,'736',32.45,4,2,1),(28,7171455,'1987-09-30 00:00:00',4,1,12,2006,'M','N','MOSQUEIRO','ARACAJU','SE','124262261215412431469934575112141427042',3638,'9998',65.29,4,3,NULL),(28,7171463,'1994-08-15 00:00:00',2,4,12,2011,'M','N','CENTRO','MARIÓPOLIS','PR','116161161115271431448933575124610162042',13222,'565',39.37,1,3,NULL),(28,7171471,'1994-11-14 00:00:00',4,25,12,2011,'M','N','SORGATTO','CAÇADOR','SC','124242241216111431438412575125610162041',7072,'1124',53.09,1,3,NULL),(28,7171480,'1993-10-17 01:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124244241415112431468713575122610124052',7855,'738',57.37,1,3,NULL),(28,7171498,'1993-06-16 00:00:00',4,9,12,2010,'M','N','SAN FERNANDO','LONDRINA','PR','116162161216471431468634575122610127042',NULL,'9998',35.86,1,3,NULL),(28,7171501,'1991-11-05 00:00:00',4,1,12,2008,'M','N','AREIAS','S JOSÉ','SC','124242241216273421236823491123610114042',11735,'1078',50.96,1,3,NULL),(28,7171528,'1993-02-02 00:00:00',4,3,12,2010,'M','N','JARDIM ITALIA','CUIABÁ','MT','111112111217471731479912595122610124057',5062,'9998',62.30,1,3,NULL),(28,7171544,'1993-05-03 00:00:00',4,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124242241116373431568533572124610122172',1898,'739',65.76,1,3,NULL),(28,7171552,'1985-01-09 00:00:00',2,4,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241201235273431538711495124321563097',4110,'9998',58.49,1,3,NULL),(28,7171560,'1981-05-17 00:00:00',2,1,12,1998,'F','N','CENTRO','STA MARIA','RS','120204201117573431426419482324143214197',12041,'9998',50.47,1,3,NULL),(28,7171579,'1993-05-27 00:00:00',4,1,11,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215372431487814572122130267122',894,'262',74.62,1,3,NULL),(28,7171587,'1990-02-15 00:00:00',4,1,12,2007,'F','N','PONTA FINA NORTE','NOVA TRENTO','SC','124243241316132111538313335122131836147',13887,'574',47.58,1,3,NULL),(28,7171595,'1986-10-21 00:00:00',2,17,12,2003,'M','N','CENTRO','MAJ VIEIRA','SC','124241241127271451136644142134610146147',4374,'548',63.66,1,2,1),(28,7171609,'1993-09-13 00:00:00',4,4,12,2011,'F','N','FLORESTA','PTO ALEGRE','RS','120241241116371431324619275124610117087',17129,'192',41.19,1,2,1),(28,7171617,'1993-07-26 00:00:00',4,1,12,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243248117371431536613341124610167052',2860,'306',62.94,1,3,NULL),(28,7171625,'1991-09-20 00:00:00',4,1,12,2009,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251217571431366814475122610114112',2861,'9998',61.59,1,3,NULL),(28,7171641,'1981-03-18 00:00:00',4,1,3,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124203247126153441123348185124233236022',NULL,'9999',0.00,1,3,NULL),(28,7171650,'1972-01-09 00:00:00',4,1,7,1998,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224243246126153421333543231134610126191',19166,'306',34.53,4,3,NULL),(28,7171668,'1993-10-28 00:00:00',4,9,12,2010,'M','N','PETRÓPOLIS','LAGES','SC','124243241215472431438913575124610147037',3015,'497',60.83,1,3,NULL),(28,7171676,'1992-04-28 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215473431358831575122610134077',14130,'457',47.22,1,3,NULL),(28,7171684,'1990-09-15 00:00:00',2,3,12,2008,'F','N','REBOUÇAS','CURITIBA','PR','116162161216523451567812575125610143182',1129,'9998',69.88,1,3,NULL),(28,7171714,'1994-08-05 00:00:00',4,10,12,2011,'M','N','MAR GROSSO','LAGUNA','SC','124242241217151431456634575112610167042',8769,'525',49.26,1,3,NULL),(28,7171722,'1992-01-31 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117272411658663382114610127042',17249,'307',40.89,1,2,1),(28,7171730,'1992-04-04 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241215473431548913585114610144042',7044,'9997',50.64,1,3,NULL),(28,7171757,'1992-04-11 00:00:00',4,8,11,2009,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215112431638612175125221462122',4358,'270',63.69,1,3,NULL),(28,7171765,'1983-01-16 00:00:00',2,10,8,2005,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241246131144421334613445122231427057',NULL,'306',0.00,1,2,1),(28,7171773,'1989-02-15 00:00:00',2,1,11,2008,'M','N','SANTA FELICIDADE','S JOSÉ','SC','624244244347153421423844245223610167187',19419,'307',33.24,4,3,NULL),(28,7171781,'1993-12-31 00:00:00',2,8,12,2010,'F','N','ITAUM','JOINVILLE','SC','124241241216131431236823575114610164112',10892,'456',52.29,1,3,NULL),(28,7171790,'1992-10-19 00:00:00',2,8,12,2011,'M','N','PILARZINHO','CURITIBA','PR','116164166117471431578933571122610142062',NULL,'9998',0.00,1,3,NULL),(28,7171803,'1991-05-17 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241416152431438614445114610137054',15801,'293',35.43,1,3,NULL),(28,7171811,'1989-12-21 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217274411339823385124133233017',6467,'1022',54.20,1,3,NULL),(28,7171820,'1983-04-18 00:00:00',4,8,12,2001,'M','N','SANTO ANTONIO','JOINVILLE','SC','124204201226172721217944125132141468182',17484,'9998',40.34,1,3,NULL),(28,7171838,'1994-03-15 00:00:00',4,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215121431368619571114610127042',8312,'1169',50.55,1,3,NULL),(28,7171854,'1994-11-22 00:00:00',4,9,12,2011,'F','N','SANTA HELENA','LAGES','SC','124241211216161431426824575122610141182',5212,'9998',53.15,1,3,NULL),(28,7171889,'1985-12-26 00:00:00',2,1,12,2005,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241122144711524424242124610142192',NULL,'9997',13.16,1,2,1),(28,7171897,'1982-08-31 00:00:00',2,1,12,2000,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','224241241116133711335343235122610114093',15776,'267',44.15,1,2,1),(28,7171900,'1986-11-25 00:00:00',4,1,7,2005,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124282281416132431428627295124222217057',11743,'9998',50.95,3,3,NULL),(28,7171919,'1993-11-07 00:00:00',4,6,12,2010,'M','N','MORRETES','ITAPEMA','SC','124241241136471711524514345224610148017',NULL,'406',20.44,4,3,NULL),(28,7171927,'1994-06-20 00:00:00',2,8,12,2011,'F','N','SÃO LUIZ','STA HELENA','PR','116113161316161731426832345121610134142',NULL,'687',27.20,1,3,NULL),(28,7171935,'1993-06-12 00:00:00',2,4,12,2010,'F','N','LA SALLE','TOLEDO','PR','116161161116571411336923572121610125016',3010,'9998',62.64,1,2,1),(28,7171943,'1994-03-09 00:00:00',4,22,11,2011,'M','N','SOUZA CRUZ','BRUSQUE','SC','124242248215113731241422575122613262097',NULL,'981',8.13,1,3,NULL),(28,7171951,'1993-01-22 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215453431348811595124610166147',5065,'1022',56.07,1,3,NULL),(28,7171986,'1993-06-24 00:00:00',2,4,12,2010,'F','N','CENTRO','UNIÃO OESTE','SC','124241241146161411628511275124231424172',18229,'816',38.21,1,3,NULL),(28,7171994,'1992-12-21 00:00:00',4,4,12,2010,'F','N','SANTO ANTONIO','CHAPECÓ','SC','124241241112572411433312345124610124192',8469,'172',50.92,1,2,1),(28,7172010,'1991-01-06 00:00:00',4,8,12,2008,'F','N','BOM RETIRO','JOINVILLE','SC','124243241225373411424611385124610167147',13156,'9997',41.52,1,3,NULL),(28,7172028,'1993-08-11 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201241112142711427724345114610134042',NULL,'307',0.00,1,2,1),(28,7172036,'1993-07-08 00:00:00',4,2,12,2010,'M','N','BELCHIOR ALTO','GASPAR','SC','124244241415372431456912575124131414062',1056,'87',71.12,1,3,NULL),(28,7172044,'1990-03-30 00:00:00',2,1,12,2006,'M','N','CENTRO','QUILOMBO','SC','124245201211145431446814185114221742091',2227,'9998',63.31,1,3,NULL),(28,7172052,'1994-07-28 00:00:00',2,5,12,2011,'M','N','SAO BENTO ALTO','NOVA VENEZA','SC','124241241217111431534862574124610128187',14317,'213',40.31,1,3,NULL),(28,7172060,'1991-09-23 00:00:00',4,2,12,2008,'F','N','NAÇÕES','TIMBÓ','SC','124241241435142741436823245131133222187',18851,'1157',35.88,1,3,NULL),(28,7172079,'1994-01-11 00:00:00',4,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215111431339921415112610167111',19037,'883',35.16,1,3,NULL),(28,7172087,'1993-01-27 00:00:00',4,6,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215471431446712575124610158197',15254,'392',45.14,1,3,NULL),(28,7172117,'1994-03-06 00:00:00',2,24,11,2010,'F','N','CENTRO','ITUPORANGA','SC','124244241117132431566911292122230422142',11541,'1173',43.21,1,3,NULL),(28,7172125,'1994-01-12 00:00:00',2,7,12,2010,'F','N','CENTRO','VIDEIRA','SC','124241241217371751449722295125231037042',NULL,'829',24.89,1,3,NULL),(28,7172133,'1992-09-11 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215373441526614375122610127042',4371,'988',63.67,1,3,NULL),(28,7172141,'1979-08-09 00:00:00',4,7,12,1996,'M','N','CENTRO','PNT GROSSA','PR','216162161216572421148851415122342636172',NULL,'9998',0.00,1,3,NULL),(28,7172176,'1983-02-26 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216155731119913415122522124143',2064,'262',69.60,1,3,NULL),(28,7172184,'1991-12-06 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431468714375112610166192',14559,'1022',37.03,1,3,NULL),(28,7172192,'1994-10-01 00:00:00',3,6,12,2011,'M','N','CENTRO','ITAJAÍ','SC','124242248215151711437611575122610164187',16181,'388',43.37,1,3,NULL),(28,7172206,'1995-07-27 00:00:00',4,2,11,2012,'M','S','ASILO','BLUMENAU','SC','124242161217111431368933375122610124042',NULL,'87',19.21,1,3,NULL),(28,7172222,'1985-05-08 00:00:00',2,4,12,2003,'F','N','JUVEVE','CURITIBA','PR','116164161216471421458611475122342522042',5643,'9998',55.74,1,3,NULL),(28,7172249,'1994-07-18 00:00:00',4,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241235111431457813575124610121047',11097,'1022',43.91,1,3,NULL),(28,7172257,'1992-12-25 00:00:00',2,10,12,2009,'F','N','CAPUTERA','LAGUNA','SC','124241241122131431636619242224610167147',NULL,'1147',20.50,1,2,1),(28,7172265,'1994-08-04 00:00:00',2,1,11,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124251241146141531534624242214610134147',19960,'307',28.72,4,1,1),(28,7172273,'1984-06-04 00:00:00',4,1,6,2003,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124281288116143321528644445114121068142',NULL,'9998',4.56,2,2,1),(28,7172281,'1988-03-28 00:00:00',4,1,12,2005,'F','N','LOANDA','ATIBAIA','SP','125253251417371431239724445124141033182',13218,'9998',48.67,1,3,NULL),(28,7172290,'1991-09-09 00:00:00',4,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124251251142271421223334242124610133043',18964,'9998',35.44,4,2,1),(28,7172303,'1985-11-30 00:00:00',2,1,12,2003,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117372441224371381224130611142',5344,'801',57.88,1,2,1),(28,7172311,'1993-06-05 00:00:00',4,5,12,2010,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241216472431458512585124610122077',6431,'226',54.06,1,3,NULL),(28,7172338,'1993-08-10 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241115372421223429585114610122057',NULL,'733',22.75,1,2,1),(28,7172354,'1994-03-03 00:00:00',2,4,12,2010,'M','N','CENTRO','NOVA ERECHIM','SC','124241241336371431522869295124610167177',NULL,'1126',22.17,1,3,NULL),(28,7172362,'1992-05-05 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201201136371431236613375114610127045',8367,'9998',51.14,1,2,1),(28,7172370,'1994-04-07 00:00:00',4,1,12,2011,'M','N','PAIQUERÊ','VALINHOS','SP','125252251217111431369931575122610147042',6615,'9998',50.25,1,3,NULL),(28,7172397,'1993-05-08 00:00:00',4,1,12,2010,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241216372431469913575114133237043',18261,'1118',38.08,1,3,NULL),(28,7172400,'1979-12-12 00:00:00',4,15,12,1996,'M','N','CENTRO','SOMBRIO','SC','124202241212143751533344445232321568012',10791,'9998',52.45,1,3,NULL),(28,7172427,'1993-08-15 00:00:00',2,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241215242431376632325122610143097',18074,'1022',38.68,1,3,NULL),(28,7172435,'1993-08-15 00:00:00',2,16,12,2010,'M','N','VILA NOVA','PTE ALTA','SC','124241242116162431526614345125610127057',NULL,'960',25.20,4,2,1),(28,7172443,'1994-11-13 00:00:00',4,3,11,2011,'M','N','CENTRO','CPO GRANDE','MS','112122121217111731358916572122610147043',12024,'9998',40.75,1,3,NULL),(28,7172451,'1989-08-22 00:00:00',4,1,11,2006,'F','N','BOM RETIRO','JOINVILLE','SC','124242241217152431469913445122321463157',4640,'486',63.13,1,3,NULL),(28,7172494,'1995-09-04 00:00:00',4,1,11,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431459513475124610123162',NULL,'270',30.82,1,3,NULL),(28,7172508,'1993-06-20 00:00:00',4,17,11,2010,'M','N','CENTRO','CURITIBA','PR','116162161215572431668813592244610164057',NULL,'9998',0.00,1,3,NULL),(28,7172516,'1994-07-04 00:00:00',4,1,12,2011,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241235112431438624575124610167017',5678,'266',55.97,1,3,NULL),(28,7172524,'1990-06-19 00:00:00',4,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124241257146271232433324245123130222017',18995,'9999',35.35,1,2,1),(28,7172532,'1994-07-06 00:00:00',4,8,12,2011,'F','N','CENTRO','MALLET','PR','116161161116271441478933575122610166057',NULL,'9998',0.00,1,2,1),(28,7172559,'1993-03-25 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124243241117142411333511345124133226192',NULL,'734',35.73,1,3,NULL),(28,7172575,'1993-04-01 00:00:00',4,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124243241217373431646631245124610162141',117,'270',76.93,1,3,NULL),(28,7172583,'1991-02-21 00:00:00',2,6,12,2008,'F','N','AFONSO PENA','S JOSÉ PINHAIS','PR','116164165217574441567831374122610127147',NULL,'9998',0.00,1,3,NULL),(28,7172591,'1992-11-27 00:00:00',4,1,12,2011,'M','N','ZONA SETE','UMUARAMA','PR','116163161316471711566612175122610164112',NULL,'9998',0.00,1,3,NULL),(28,7172605,'1993-12-30 00:00:00',4,4,12,2010,'F','N','CENTRO','NONOAI','RS','120202241216271431557931145124610127072',NULL,'168',0.00,1,3,NULL),(28,7172613,'1994-07-07 00:00:00',3,8,12,2011,'F','N','OXFORD','S BENTO SUL','SC','124241241216371431435923575122610163072',9511,'1154',45.41,1,3,NULL),(28,7172630,'1992-06-19 00:00:00',2,24,12,2009,'F','N','JARDIM DAS HORTÊNCIA','RIO OESTE','SC','124241241435572431346512575114610167042',1302,'991',68.19,1,3,NULL),(28,7172648,'1992-09-06 00:00:00',2,1,11,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241216372431326523575124610125017',12886,'269',43.81,1,3,NULL),(28,7172656,'1991-09-01 00:00:00',4,1,7,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244248116272411426613486124610137097',NULL,'306',25.24,1,3,NULL),(28,7172664,'1992-09-08 00:00:00',4,1,12,2009,'M','N','JARDIM FERRARI','ITAPEVA','SP','125201161415572431459811175124610127041',978,'9998',65.80,1,3,NULL),(28,7172672,'1991-08-25 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241415373411446613385124233217042',16745,'300',42.11,1,3,NULL),(28,7172680,'1991-03-04 00:00:00',6,8,12,2008,'F','N','VILA NOVA','JOINVILLE','SC','124241241336572421436519395122610167187',NULL,'1016',26.60,1,3,NULL),(28,7172699,'1984-05-05 00:00:00',4,1,6,2003,'F','N','BELA VISTA','S PAULO','SP','125202257217472441236729375114610162141',964,'9998',72.03,1,3,NULL),(28,7172702,'1992-11-21 00:00:00',2,9,12,2009,'F','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124241241117373411334624575115610132142',NULL,'505',25.08,1,2,1),(28,7172710,'1994-09-06 00:00:00',4,1,12,2011,'M','N','CINQUENTENÁRIO','CAXIAS SUL','RS','120201201116131431357624344122610166097',10707,'9998',42.74,1,2,1),(28,7172729,'1993-11-18 00:00:00',4,15,12,2010,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124242241215372752348424595114132864015',11990,'970',44.71,1,3,NULL),(28,7172737,'1987-12-22 00:00:00',2,1,4,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124283257416372411433734375124610164143',5793,'9998',54.24,3,3,NULL),(28,7172745,'1991-09-01 00:00:00',2,1,12,2011,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241247115151312223329395134610142147',NULL,'9999',31.87,1,3,NULL),(28,7172753,'1983-08-24 00:00:00',4,6,12,2002,'M','N','CENTRO','ITAJAÍ','SC','124212211217472421237714385112121142197',8427,'9998',56.38,4,3,NULL),(28,7172770,'1994-11-23 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215473411643611575122121537147',1886,'970',67.54,1,3,NULL),(28,7172788,'1994-12-25 00:00:00',4,1,12,2011,'M','N','PENHA','PAULO LOPES','SC','124241241225161431424312575124610121042',12733,'262',39.56,1,3,NULL),(28,7172818,'1987-05-12 00:00:00',2,1,9,2005,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241116153431356923195121221221043',9611,'306',54.35,1,2,1),(28,7172826,'1992-12-19 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241137131431423311145122610117057',19932,'595',28.98,1,2,1),(28,7172834,'1993-08-27 00:00:00',2,2,12,2011,'F','N','UNIÃO','IMPERATRIZ','MA','110104101417271431426627575125610123077',NULL,'9998',0.00,1,3,NULL),(28,7172842,'1987-12-23 00:00:00',4,1,12,2004,'M','N','CENTRO','LONDRINA','PR','116162161215575511489931575112610166042',516,'9998',73.81,1,3,NULL),(28,7172869,'1992-08-13 00:00:00',4,1,12,2010,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241216573431478912575122610114122',5933,'270',54.52,1,3,NULL),(28,7172885,'1992-05-20 00:00:00',4,1,11,2009,'M','N','TAJUBA','S JOÃO BATISTA','SC','124242241217573431366632195115610166047',2505,'109',61.57,1,3,NULL),(28,7172915,'1992-11-21 00:00:00',2,1,12,2009,'F','N','BUENO','GOIÂNIA','GO','109092091416471431448923575124610145097',2400,'9998',62.36,1,3,NULL),(28,7172931,'1983-09-05 00:00:00',4,1,12,2003,'F','N','BARREIROS','S JOSÉ','SC','124242241211175751318844141124610143187',NULL,'1076',19.94,1,3,NULL),(28,7172940,'1993-10-20 00:00:00',4,6,12,2010,'F','N','CENTRO','ITAJAÍ','SC','124244241215371431484712575112610162042',7733,'1026',57.59,1,3,NULL),(28,7172966,'1993-09-29 00:00:00',4,23,12,2010,'F','N','VILA DOURADOS','TARUMÃ','SP','125252251216371422238834275124610122192',NULL,'9998',0.00,1,3,NULL),(28,7172974,'1986-12-21 00:00:00',4,6,12,2007,'M','N','VILA GUARANI','COLOMBO','PR','116162167236473441248812445124610124122',NULL,'9998',0.00,1,3,NULL),(28,7172982,'1988-12-16 00:00:00',4,1,10,2007,'M','N','BORBA GATO','MARINGÁ','PR','116164167227132421226341315131610162015',18576,'9998',36.98,4,3,NULL),(28,7172990,'1992-03-09 00:00:00',4,9,12,2009,'M','N','TRIBUTO','LAGES','SC','124241241116371431426615575122610167042',18615,'512',36.85,1,2,1),(28,7173008,'1993-10-04 00:00:00',4,5,11,2010,'M','N','MARIA CÉU','CRICIÚMA','SC','124242241236151441556612575122610166172',18019,'920',38.86,1,3,NULL),(28,7173016,'1995-01-07 00:00:00',2,17,12,2011,'F','N','ALTO DE MAFRA','MAFRA','SC','124241241115371541325314574121610137017',NULL,'542',0.00,1,2,1),(28,7173024,'1993-09-13 00:00:00',4,10,12,2011,'M','N','CENTRO','BOM JD SERRA','SC','124241241126111422434331315125610114052',NULL,'580',0.00,1,3,NULL),(28,7173032,'1993-10-06 00:00:00',4,9,12,2010,'M','N','BATES','LAGES','SC','124242241215471751339923475114610167122',4187,'499',56.87,1,3,NULL),(28,7173040,'1990-01-24 00:00:00',4,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124242241217575431368614572122231464012',6289,'499',53.20,1,3,NULL),(28,7173067,'1992-11-24 00:00:00',4,1,12,2009,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215472441578814572122610145092',943,'9998',69.31,1,3,NULL),(28,7173083,'1975-08-24 00:00:00',4,1,12,1992,'F','N','KOBRASOL','S JOSÉ','SC','124241241132132411123341112124331066092',NULL,'29',0.00,1,3,NULL),(28,7173091,'1990-12-22 00:00:00',4,1,11,2010,'F','N','RATONES','FLORIANÓPOLIS','SC','124244241212152431453312475224221662185',NULL,'9999',0.00,1,3,NULL),(28,7173105,'1981-08-30 00:00:00',4,25,12,1998,'M','N','MATRIZ','VIDEIRA','SC','124241241216475431489814331122330766012',1602,'833',66.15,1,3,NULL),(28,7173113,'1987-10-31 00:00:00',4,1,11,2006,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241336142341433439292135621742197',13812,'831',47.70,1,3,NULL),(28,7173130,'1992-10-16 00:00:00',4,8,12,2010,'F','N','CENTRO','CORDEIRÓPOLIS','SP','125252251217471431568819575122610137147',4994,'9998',56.40,1,3,NULL),(28,7173148,'1994-03-25 00:00:00',4,6,12,2011,'F','N','CORDEIROS','ITAJAÍ','SC','124244241215221431437631285113610146092',NULL,'1172',15.45,1,3,NULL),(28,7173156,'1993-04-17 00:00:00',2,1,12,2011,'M','N','FLORESTA','MONDAÍ','SC','124241241146131211626434475121610144042',11148,'564',45.43,1,2,1),(28,7173164,'1995-11-04 00:00:00',4,26,10,2011,'F','N','ÁGUA VERDE','CURITIBA','PR','116242161216111431445833575122610163072',2264,'9998',63.95,1,3,NULL),(28,7173180,'1994-02-28 00:00:00',2,9,12,2011,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241215111731549513471122610124177',12543,'1207',41.19,1,3,NULL),(28,7173199,'1993-10-04 00:00:00',4,1,12,2011,'F','N','CENTRO','PALOTINA','PR','116162161215371431459932575122610126172',NULL,'9998',0.00,1,3,NULL),(28,7173202,'1991-12-27 00:00:00',4,2,12,2010,'M','N','NAÇÕES','INDAIAL','SC','124241241316151541357614385122231414011',NULL,'887',27.25,1,3,NULL),(28,7173210,'1994-11-10 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431467931475122610114092',NULL,'270',32.12,1,3,NULL),(28,7173237,'1993-06-25 00:00:00',4,1,12,2010,'M','N','RATONES','FLORIANÓPOLIS','SC','124242241217272431446621572122230267182',NULL,'270',0.00,1,3,NULL),(28,7173245,'1994-08-30 00:00:00',4,6,12,2011,'M','N','VILA OPERARIA','ITAJAÍ','SC','124242241217111432336924385111610164192',7921,'392',57.26,1,3,NULL),(28,7173253,'1991-05-13 00:00:00',2,1,12,2009,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241137471721333332312122610167182',NULL,'733',22.92,1,2,1),(28,7173261,'1990-09-05 00:00:00',2,5,12,2007,'F','N','ALTO DA XV','CURITIBA','PR','116202201214372431238816574114610164152',NULL,'9998',0.00,1,3,NULL),(28,7173270,'1996-01-13 00:00:00',4,1,11,2012,'F','S','PRAIA BRAVA','ITAJAÍ','SC','124242241215111731438929575124610144072',NULL,'1026',24.45,1,3,NULL),(28,7173288,'1993-05-17 00:00:00',2,10,12,2010,'F','N','CENTRO','RIO FORTUNA','SC','124244241215472431489611475112610164142',9211,'950',55.05,1,3,NULL),(28,7173296,'1992-12-12 00:00:00',2,10,12,2010,'F','N','SÃO FRANCISCO','BRAÇO NORTE','SC','124241241116372411633314175125610144147',17648,'100',30.65,1,2,1),(28,7173300,'1995-09-14 00:00:00',4,1,11,2011,'F','N','GUIOMAR DE FORA','ANTÔNIO CARLOS','SC','124241241215121411564412575124610144095',17759,'1022',39.59,1,3,NULL),(28,7173318,'1994-11-02 00:00:00',4,6,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241215271331333339295122610128052',18942,'44',35.51,1,3,NULL),(28,7173326,'1994-05-04 00:00:00',2,15,12,2011,'F','N','CENTRO','ERMO','SC','124243241316371731239924295124610168142',18780,'250',28.99,1,3,NULL),(28,7173334,'1992-11-07 00:00:00',2,10,12,2010,'F','N','CENTRO','RIO FORTUNA','SC','124244241217472431426619595124610164192',2355,'950',63.80,1,3,NULL),(28,7173342,'1990-08-07 00:00:00',2,4,12,2007,'F','N','SÃO CRISTOVÃO','CHAPECÓ','SC','124241241115471751233829595124130468187',11624,'169',51.13,1,2,1),(28,7173350,'1992-02-14 00:00:00',4,1,12,2009,'F','N','COND SANTA MONICA','RIBEIRÃO PRETO','SP','125252251215471731438812581122610122192',NULL,'9998',0.00,1,3,NULL),(28,7173369,'1994-09-19 00:00:00',4,1,12,2012,'M','S','CENTRO','PRES PRUDENTE','SP','125252251217111452348933592122610137042',NULL,'9998',39.74,1,3,NULL),(28,7173377,'1994-02-08 00:00:00',2,1,11,2010,'F','N','CENTRO','CPO BELO SUL','SC','124244241216472431428813575124610144147',NULL,'1207',0.00,1,3,NULL),(28,7173385,'1991-08-11 00:00:00',4,1,12,2009,'F','N','CARLOS BORELLA','ITATIBA','SP','125252251235572431379931575122610117057',NULL,'9998',0.00,1,3,NULL),(28,7173393,'1988-01-03 00:00:00',4,1,12,2004,'M','N','PACHECOS','PALHOÇA','SC','124241241116241731333313495124610126012',NULL,'591',30.88,1,3,NULL),(28,7173407,'1994-08-30 00:00:00',2,5,11,2011,'F','N','CENTRO','TURVO','SC','124243241217272431346814577122610124177',164,'813',77.92,1,3,NULL),(28,7173423,'1994-01-24 00:00:00',4,5,10,2011,'F','N','PIO CORREA','CRICIÚMA','SC','124242241215272431426932575122610124092',9982,'226',44.92,1,3,NULL),(28,7173431,'1993-01-07 00:00:00',2,4,12,2010,'M','N','SAGRADO C DE JESUS','LAGES','SC','124242241215412431549513472112610167051',4709,'1207',55.78,1,3,NULL),(28,7173440,'1995-01-15 00:00:00',4,6,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241415271331433319295122610117052',17312,'44',40.75,1,3,NULL),(28,7173458,'1988-04-20 00:00:00',4,3,12,2006,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217575431447732175114610138092',16702,'53',42.20,1,3,NULL),(28,7173466,'1996-03-05 00:00:00',4,27,12,2012,'M','S','CENTRO','S MIGUEL OESTE','SC','124242241215371512349931575122610144052',NULL,'1079',30.47,1,3,NULL),(28,7173482,'1993-03-26 00:00:00',2,5,12,2010,'M','N','SÃO BENTO BAIXO','NOVA VENEZA','SC','124244248216271431443736292132610168112',NULL,'227',19.85,1,3,NULL),(28,7173490,'1985-02-01 00:00:00',4,3,12,2002,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241216473411358833275122341427042',3540,'751',58.13,1,3,NULL),(28,7173504,'1994-01-08 00:00:00',4,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431369833575122610137062',9879,'272',46.20,1,3,NULL),(28,7173512,'1992-02-03 00:00:00',4,1,12,2009,'F','N','BATEL','CURITIBA','PR','116252161216573532578814575112610163142',1324,'9998',69.76,1,3,NULL),(28,7173520,'1993-01-13 00:00:00',4,4,10,2009,'F','N','SÃO CRISTÓVÃO','CASCAVEL','PR','116164161216571731576616395122610164182',NULL,'9998',0.00,1,3,NULL),(28,7173539,'1993-06-28 00:00:00',4,2,12,2011,'F','N','CANJICA','TIRADENTES','MG','113131131116371431647624575124610152072',13491,'9998',39.93,1,2,1),(28,7173547,'1991-03-24 00:00:00',4,1,12,2008,'F','N','AEROPORTO','TUBARÃO','SC','124242241215573431479812575112610164092',10251,'807',44.23,1,3,NULL),(28,7173555,'1993-12-13 00:00:00',4,8,12,2011,'M','N','ATIRADORES','JOINVILLE','SC','124242241215371231349914575112610127041',14564,'1063',46.42,1,3,NULL),(28,7173563,'1992-12-07 00:00:00',2,3,12,2009,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124241241235522421246923395122610117147',NULL,'1086',28.36,1,3,NULL),(28,7173580,'1995-02-08 00:00:00',5,6,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215112431246721571122610126042',3300,'9997',60.10,1,3,NULL),(28,7173598,'1991-05-12 00:00:00',2,4,11,2009,'M','N','MARIA GORETTI','CHAPECÓ','SC','116242241216574431359912575124610167041',1498,'1046',71.63,1,3,NULL),(28,7173652,'1993-03-05 00:00:00',4,1,12,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117371431468613475124610134145',4588,'267',58.15,1,2,1),(28,7173660,'1994-10-13 00:00:00',4,10,12,2011,'M','N','VILA NOVA ALVORADA','IMBITUBA','SC','124242241215372431346923575122610127142',241,'362',77.49,1,3,NULL),(28,7173679,'1993-08-13 00:00:00',4,10,12,2011,'F','N','MAGALHÃES','LAGUNA','SC','124243241226131441623619295125610146153',NULL,'524',0.00,2,1,2),(28,7173687,'1987-07-19 00:00:00',4,3,12,2004,'M','N','VILA AMORIM','AMERICANA','SP','125252251236371421335519275122141167182',15853,'9998',43.98,1,3,NULL),(28,7173695,'1991-01-07 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116574431337313345134610131143',8321,'307',56.58,1,3,NULL),(28,7173709,'1990-11-14 00:00:00',2,26,12,2007,'F','N','CENTRO','ESTAÇÃO','RS','120202201216571731226923575122610133147',NULL,'9998',0.00,1,3,NULL),(28,7173717,'1991-05-24 00:00:00',2,1,11,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241117272431436614345114610164112',17832,'288',39.38,1,3,NULL),(28,7173725,'1990-07-02 00:00:00',4,1,11,2007,'F','N','JARDINS','ARACAJU','SE','126262251217575431469921575112610126092',4518,'9998',57.51,1,3,NULL),(28,7173741,'1994-08-25 00:00:00',4,24,12,2011,'M','N','CENTRO','LONTRAS','SC','124241241116371431423823575121610117082',12227,'535',40.11,1,2,1),(28,7173750,'1993-10-30 00:00:00',4,1,11,2011,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111431569812575124610114185',9827,'1022',54.00,1,3,NULL),(28,7173768,'1992-02-19 00:00:00',2,24,12,2009,'M','N','CENTRO','AGROLÂNDIA','SC','124244241215412431469913575114131022042',5871,'991',54.32,1,3,NULL),(28,7173776,'1994-08-10 00:00:00',2,16,12,2011,'F','N','SÃO CARLOS','MTE CARLO','SC','124241241346141431415631115125610131187',19240,'936',34.16,3,3,NULL),(28,7173784,'1987-10-05 00:00:00',4,10,12,2004,'M','N','CENTRO','GAROPABA','SC','124243241333162421426616312222140224057',18122,'322',38.51,1,3,NULL),(28,7173792,'1991-07-14 00:00:00',2,5,11,2008,'F','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241235574431339633274124610167077',431,'213',74.85,1,3,NULL),(28,7173806,'1992-06-24 00:00:00',2,1,12,2010,'F','N','CENTRO','GAROPABA','SC','124241241121131431223424241324610133147',NULL,'322',0.00,1,2,1),(28,7173814,'1982-10-13 00:00:00',2,26,12,2000,'M','N','DAS NAÇÕES','CONCÓRDIA','SC','124241241133131421423513232122332811187',17265,'192',40.86,1,2,1),(28,7173822,'1993-05-08 00:00:00',2,15,12,2010,'M','N','CENTRO','ARARANGUÁ','SC','124243241215272231433611572122610167052',3735,'970',60.45,1,3,NULL),(28,7173830,'1991-02-13 00:00:00',4,1,12,2008,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241216574431468819572112610122142',5246,'724',55.42,1,3,NULL),(28,7173849,'1994-12-02 00:00:00',4,16,12,2011,'M','N','CENTRO','CURITIBANOS','SC','124241241315141531428823145122610117087',7328,'881',58.26,2,3,NULL),(28,7173881,'1992-10-28 00:00:00',4,23,12,2009,'F','N','ÁGUA VERDE','JARAGUÁ SUL','SC','124241241216372431436531385124610165177',NULL,'1061',0.00,1,3,NULL),(28,7173890,'1992-04-29 00:00:00',2,1,12,2009,'F','N','FLORESTA','S JOSÉ','SC','124241241216273441236624442114610123191',14035,'1022',40.03,1,3,NULL),(28,7173911,'1989-11-12 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116474411128644145134533264185',7188,'306',50.78,1,2,1),(28,7173938,'1993-11-13 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216472431368814575122610162012',3205,'272',62.15,1,3,NULL),(28,7173954,'1994-06-30 00:00:00',2,10,12,2011,'M','N','CENTRO','LAGUNA','SC','124243241217111431458831475122610122052',13064,'525',41.47,1,3,NULL),(28,7173962,'1992-03-28 00:00:00',4,10,11,2009,'F','N','STO ANTÔNIO DE PÁDUA','TUBARÃO','SC','124244241215571431446613335122130427072',9726,'807',54.17,1,3,NULL),(28,7173970,'1994-03-02 00:00:00',4,8,10,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241217111211459614572114610143122',7015,'457',51.35,1,3,NULL),(28,7173989,'1993-05-30 00:00:00',4,5,11,2011,'F','N','SANTA BARBARA','CRICIÚMA','SC','124242241212112411346924575122610164042',NULL,'226',0.00,1,3,NULL),(28,7173997,'1985-09-13 00:00:00',4,1,12,2003,'F','N','BORBA GATO','MARINGÁ','PR','216241241136154421238843335122120527117',13703,'307',40.69,1,2,1),(28,7174004,'1987-12-27 00:00:00',2,1,12,2004,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216133112414424325114133217044',NULL,'1022',25.18,3,3,NULL),(28,7174012,'1991-05-09 00:00:00',4,1,12,2008,'F','N','JARDIM LIRIO','TATUÍ','SP','125252251216571731536631575124610142057',2707,'9998',60.93,1,3,NULL),(28,7174039,'1990-02-25 00:00:00',2,1,12,2007,'F','N','COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC','124241241137575431428634375222233263147',13478,'307',38.66,1,2,1),(28,7174055,'1995-03-25 00:00:00',4,1,11,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241212111411467832575112610167182',4209,'723',58.88,1,3,NULL),(28,7174063,'1992-05-17 00:00:00',2,1,12,2009,'M','N','CENTRO SUL','DOIS VIZINHOS','PR','116161161417473431246814575112610127042',NULL,'9998',34.21,1,3,NULL),(28,7174071,'1990-07-13 00:00:00',4,8,12,2007,'M','N','VISTA ALEGRE','CURITIBA','PR','116162161217152441678912491122241467111',NULL,'9998',0.00,1,3,NULL),(28,7174080,'1989-12-08 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215274221349814485112120415121',5982,'270',60.62,1,3,NULL),(28,7174098,'1993-01-20 00:00:00',2,8,12,2010,'F','N','CENTRO','GUAMIRANGA','PR','116242168217471431426632575124110134142',NULL,'9998',16.88,1,3,NULL),(28,7174101,'1986-03-18 00:00:00',2,10,12,2003,'F','N','OFICINAS','TUBARÃO','SC','124241241112142421323339235123330626192',NULL,'808',28.81,1,2,1),(28,7174110,'1992-02-03 00:00:00',4,6,10,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124202201215272411237714375111133244187',5846,'9998',54.07,1,3,NULL),(28,7174136,'1993-04-21 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241132272431526524142324610126142',19253,'734',34.11,1,2,1),(28,7174144,'1995-09-18 00:00:00',2,17,12,2011,'F','N','JD ESPERANÇA','CANOINHAS','SC','124241241116371431226929595124610124012',10399,'146',44.28,1,2,1),(28,7174160,'1995-02-25 00:00:00',4,1,10,2210,'M','S','CENTRO','PALHOÇA','SC','124202246217111731246812175212610118042',NULL,'1011',23.50,1,3,NULL),(28,7174179,'1994-02-27 00:00:00',4,1,12,2011,'M','N','CHACARA CACHOEIRA','CPO GRANDE','MS','112122121217111531689931595122610137042',3092,'9998',58.80,1,3,NULL),(28,7174187,'1994-03-14 00:00:00',4,1,12,2011,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241248125111731426421595124610164014',19948,'592',28.80,1,2,1),(28,7174195,'1994-11-15 00:00:00',4,1,12,2011,'F','N','BELA VISTA','GOIÂNIA','GO','109092091217171711248819195112610164197',7297,'9998',52.89,1,3,NULL),(28,7174209,'1993-04-13 00:00:00',2,1,12,2010,'M','N','JARDIM ELITE','PIRACICABA','SP','125252251437472451458714315122610127112',18320,'9998',29.52,1,3,NULL),(28,7174225,'1992-10-25 01:00:00',4,8,12,2011,'M','N','FLORESTA','JOINVILLE','SC','124242241216111431338814575124610112072',9629,'457',47.74,1,3,NULL),(28,7174233,'1993-06-16 00:00:00',2,1,11,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117132331433319242131610163177',NULL,'288',0.00,1,2,1),(28,7174241,'1995-05-03 00:00:00',4,4,11,2011,'F','N','CENTRO','XANXERÊ','SC','124242241215111431248923475122610124142',4601,'836',54.86,1,3,NULL),(28,7174250,'1993-09-27 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431448912575122610133192',19243,'767',34.15,1,3,NULL),(28,7174276,'1991-09-05 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124201251117473431324432175124610127022',7888,'9998',50.90,1,2,1),(28,7174284,'1995-04-28 00:00:00',4,9,12,2012,'M','S','CENTRO','LAGES','SC','124242241217111431439813214122610164052',NULL,'497',0.00,1,3,NULL),(28,7174292,'1984-06-27 00:00:00',4,1,12,2001,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241411143421569933485122322624142',527,'270',73.67,1,3,NULL),(28,7174306,'1994-04-11 00:00:00',4,5,11,2011,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215121431456823572122610163097',13658,'226',47.95,1,3,NULL),(28,7174314,'1992-07-10 00:00:00',2,3,12,2009,'M','N','CENTRO','CAMBORIÚ','SC','124241241137141431536334345222232838192',NULL,'130',15.85,1,2,1),(28,7174322,'1991-01-15 00:00:00',2,1,12,2008,'F','N','SÃO CRISTOVÃO','NOVA PRATA','RS','120201201112231431423314212325140423147',NULL,'9998',0.00,4,2,1),(28,7174349,'1992-07-17 00:00:00',4,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215372431355713574124230234177',965,'1022',69.69,1,3,NULL),(28,7174365,'1994-05-15 00:00:00',4,4,12,2011,'F','N','CENTRO','JACINTO MACHADO','SC','124241241217151431335631575124610162177',2922,'226',61.82,1,3,NULL),(28,7174373,'1994-06-16 00:00:00',4,15,12,2011,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241115111431226632595125610124042',17205,'30',29.37,4,3,NULL),(28,7174381,'1994-01-08 00:00:00',4,1,12,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117151731556632576124610138092',NULL,'307',26.65,2,1,1),(28,7174390,'1994-08-24 00:00:00',2,1,12,2011,'F','N','CENTRO','BIGUAÇU','SC','124242241216111431444911575124610128192',3893,'270',59.09,1,3,NULL),(28,7174403,'1992-02-20 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124201201116131721227761385124610132187',12235,'9998',42.30,1,2,1),(28,7174411,'1994-02-23 00:00:00',2,1,12,2010,'F','N','FAZENDA RIO TAVARES','FLORIANÓPOLIS','SC','124241241116372712436622275114610127057',19863,'278',29.75,1,3,NULL),(28,7174420,'1991-04-07 00:00:00',4,8,5,2008,'F','N','CENTRO','JOINVILLE','SC','124242281415574411448811591124610147095',1732,'9998',67.37,1,3,NULL),(28,7174438,'1994-10-25 00:00:00',4,4,12,2011,'F','N','CENTRO','MODELO','SC','124241241142371431336833572321610132057',17082,'562',31.50,1,2,1),(28,7174446,'1994-05-26 00:00:00',4,5,12,2011,'M','N','OPERARIA NOVA','CRICIÚMA','SC','124242241216141431448514575122610167042',4666,'995',56.26,1,3,NULL),(28,7174454,'1994-05-05 00:00:00',4,1,10,2011,'F','N','SETOR BUENO','GOIÂNIA','GO','111112091215111231388916572125610164072',10875,'9998',52.31,1,3,NULL),(28,7174462,'1993-03-28 00:00:00',2,1,11,2010,'M','N','CAPÃO','GAROPABA','SC','124244241216372451446912285123610144112',17514,'1253',40.26,1,3,NULL),(28,7174489,'1992-12-29 00:00:00',2,9,11,2010,'F','N','SAO FRANCISCO','LAGES','SC','124241241112372431228814572144610128052',12998,'935',49.00,1,2,1),(28,7174497,'1992-07-12 00:00:00',2,26,12,2010,'F','N','SALETE','CONCÓRDIA','SC','124243241316331731536714395122610138152',NULL,'192',27.31,1,3,NULL),(28,7174500,'1994-12-12 00:00:00',4,4,12,2011,'F','N','ZONA RURAL','BOM J OESTE','SC','124241241116161431433335572124610134187',NULL,'94',0.00,1,2,1),(28,7174535,'1994-07-27 00:00:00',2,26,12,2011,'F','N','CENTRO','AT BELA VISTA','SC','124241241126141231333613145122610133142',NULL,'14',0.00,1,2,1),(28,7174543,'1994-09-20 00:00:00',2,7,12,2011,'F','N','CENTRO','CAMPOS NOVOS','SC','124244241415161331448816582122610115142',19102,'962',34.86,1,3,NULL),(28,7174551,'1995-05-18 00:00:00',4,1,12,2012,'F','S','XV DE NOVEMBRO','FRUTAL','MG','113132131216151531568713575122610122017',NULL,'9998',0.00,1,3,NULL),(28,7174560,'1979-06-11 00:00:00',2,1,12,2001,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','224241241147232131423351382124610121093',NULL,'592',0.00,1,2,1),(28,7174578,'1992-06-18 00:00:00',2,25,12,2009,'F','N','SÃO JOSÉ','FRAIBURGO','SC','124241241311573431433432441132610147072',13745,'317',39.89,1,3,NULL),(28,7174586,'1989-03-13 00:00:00',2,9,12,2007,'M','N','SANTA MONICA','LAGES','SC','124241242136371721451866145123133122187',NULL,'960',0.00,4,3,NULL),(28,7174594,'1993-11-19 00:00:00',4,1,12,2010,'M','N','BENASSI','MATÃO','SP','125252251211412211339611371112610164047',NULL,'9998',0.00,1,3,NULL),(28,7174608,'1991-08-09 00:00:00',2,1,12,2008,'M','N','CENTRO','BIGUAÇU','SC','124242241216273451546819495124230247042',7519,'737',57.94,1,3,NULL),(28,7174616,'1994-12-02 00:00:00',2,4,12,2011,'F','N','INTERIOR','S JORGE D OESTE','PR','116161161116271431434316575122610134057',NULL,'9998',0.00,1,2,1),(28,7174624,'1993-11-20 00:00:00',4,4,11,2011,'M','N','CENTRO','QUILOMBO','SC','124243241427472231438614585114610122187',5930,'648',55.27,1,3,NULL),(28,7174640,'1991-03-17 00:00:00',4,3,7,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243247416371411223823376114133211197',NULL,'9999',0.00,4,3,NULL),(28,7174659,'1994-04-15 00:00:00',2,1,12,2010,'F','N','AREIÃO','CANELINHA','SC','124242241215472431436914575124610127052',6110,'1119',53.71,1,3,NULL),(28,7174675,'1994-10-07 00:00:00',2,8,12,2011,'F','N','NOVA RÚSSIA','PNT GROSSA','PR','116161164216371431547814272124610126047',2921,'9998',61.37,1,3,NULL),(28,7174683,'1993-10-14 00:00:00',2,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117371432621311185122610117053',NULL,'292',16.73,2,3,NULL),(28,7174691,'1995-01-19 00:00:00',4,1,11,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215112531568933595124610137122',1091,'270',71.21,1,3,NULL),(28,7174705,'1986-07-31 00:00:00',5,1,12,2003,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124253251147151421127644445124342236113',9486,'9998',54.57,1,3,NULL),(28,7174713,'1993-05-06 00:00:00',4,8,11,2010,'F','N','BOA VISTA','JOINVILLE','SC','124243241214471431436412275124610135182',16400,'490',42.90,1,3,NULL),(28,7174721,'1994-07-18 00:00:00',2,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215111421347669575112610167112',NULL,'1118',10.77,1,3,NULL),(28,7174730,'1993-02-02 00:00:00',2,16,12,2010,'M','N','BOM JESUS','CURITIBANOS','SC','124241242113412431325633271324610123057',NULL,'1222',0.00,1,2,1),(28,7174748,'1996-05-06 00:00:00',4,4,12,2012,'F','S','SAIC','CHAPECÓ','SC','124241241114471431328613575122610126142',NULL,'169',40.26,1,3,NULL),(28,7174756,'1993-05-30 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241145271431636414345124610124042',17624,'1088',39.95,1,2,1),(28,7174764,'1992-08-04 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216144731259513345124121123011',5047,'1022',56.69,1,3,NULL),(28,7174799,'1991-12-08 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241247317372431338814445124610122182',8644,'9999',46.33,1,3,NULL),(28,7174802,'1990-11-16 00:00:00',4,1,12,2008,'F','N','ACLIMAMAÇÃO','S PAULO','SP','125252251217571431249923471125610126171',NULL,'9998',0.00,1,3,NULL),(28,7174845,'1988-01-21 00:00:00',2,1,11,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124054051416152431436823445124140637112',14848,'9998',45.90,4,3,NULL),(28,7174853,'1992-08-30 00:00:00',4,1,12,2009,'F','N','VILA MARIA','S PAULO','SP','125252251416471431336332594125610138157',6965,'9998',48.98,1,3,NULL),(28,7174870,'1991-06-22 00:00:00',2,1,12,2010,'F','N','ITACURUBI','FLORIANÓPOLIS','SC','124181181416141431223823445124610166195',19394,'9998',33.36,4,3,NULL),(28,7174888,'1990-02-13 00:00:00',2,1,12,2007,'F','N','FUNDOS','BIGUAÇU','SC','124241241116134711323614345124610124147',NULL,'65',39.77,1,2,1),(28,7174900,'1994-06-10 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115371431527614575125610135142',16680,'307',35.77,1,2,1),(28,7174918,'1994-06-20 00:00:00',4,4,12,2011,'F','N','PRESIDENTE MEDICE','CHAPECÓ','SC','124241241117471431437611572122610134017',18642,'169',36.73,1,2,1),(28,7174934,'1984-04-24 00:00:00',2,2,12,2003,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124201201127151721623374485123610166187',NULL,'9998',28.12,1,3,NULL),(28,7174942,'1995-03-20 00:00:00',4,9,12,2011,'F','N','POÇO RICO','OTACÍLIO COSTA','SC','124241241316161411469814285114610164192',14435,'499',37.07,1,3,NULL),(28,7174985,'1993-12-04 00:00:00',4,6,12,2010,'M','N','MARAPÉ','SANTOS','SP','125252251216471431438824375121610163142',1073,'9998',69.59,1,3,NULL),(28,7175000,'1987-10-12 00:00:00',4,24,12,2005,'M','N','CENTRO','RIO SUL','SC','124242241215572741373362371121132644182',6739,'663',51.96,1,3,NULL),(28,7175019,'1993-11-17 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241126371431258823392225610144187',19031,'307',27.35,1,2,1),(28,7175035,'1994-11-10 00:00:00',4,16,11,2011,'M','N','SANTO ANTONIO','CURITIBANOS','SC','124244241215161752369833575124610146142',2330,'881',63.82,1,3,NULL),(28,7175060,'1989-07-02 00:00:00',2,1,12,2006,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124241241116372431259933291124223228117',10998,'559',46.08,1,2,1),(28,7175078,'1993-09-23 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472231388821576112610114052',3175,'262',66.08,1,3,NULL),(28,7175086,'1989-02-17 00:00:00',4,1,12,2006,'F','N','CENTRO','CASCAVEL','PR','116162161215571751463931575212610162187',5056,'9998',62.31,1,3,NULL),(28,7175094,'1993-05-10 00:00:00',4,9,11,2010,'M','N','CENTRO','LAGES','SC','124242241216152511348913395125231017043',17705,'270',39.72,1,3,NULL),(28,7175116,'1994-12-02 00:00:00',4,3,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431378813594115610165182',18022,'9997',38.85,1,3,NULL),(28,7175132,'1991-10-09 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216144431426773345124230247061',NULL,'273',27.13,1,3,NULL),(28,7175140,'1988-04-12 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241315372431538812492115330317097',6636,'267',59.45,1,3,NULL),(28,7175159,'1993-09-12 00:00:00',2,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241115151431623339392211610117047',NULL,'289',12.66,4,2,1),(28,7175167,'1992-11-12 00:00:00',2,1,12,2009,'F','N','SANTA FELICIDADE','CURITIBA','PR','116163161246571751438311242114142232097',NULL,'9998',0.00,1,3,NULL),(28,7175191,'1991-12-01 00:00:00',2,1,12,2009,'F','N','SÃO JOÃO','PTO ALEGRE','RS','120201201116471411126744245234140226077',NULL,'9998',0.00,4,3,NULL),(28,7175205,'1994-12-05 00:00:00',4,1,12,2011,'M','N','BAIRRO JAÓ','GOIÂNIA','GO','109092091215111431678811375112610167042',NULL,'9998',0.00,2,3,NULL),(28,7175213,'1991-08-13 00:00:00',2,1,12,2008,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241117152431436313382112610161097',19466,'21',32.92,1,2,1),(28,7175230,'1993-04-17 00:00:00',4,5,7,2011,'F','N','PRIMEIRO DE MAIO','IÇARA','SC','124241243215131421328622445122610131147',NULL,'995',22.00,1,3,NULL),(28,7175248,'1994-02-03 00:00:00',4,4,12,2011,'M','N','CENTRO','CHAPECÓ','SC','124242247214111421348922392122610127187',NULL,'9999',0.00,1,3,NULL),(28,7175256,'1993-05-02 00:00:00',4,8,12,2010,'M','N','SAGUAÇÚ','JOINVILLE','SC','124242241217371431467832345122610132082',9288,'1105',54.90,1,3,NULL),(28,7175264,'1988-09-23 00:00:00',2,10,11,2005,'F','N','DEHON','TUBARÃO','SC','124241241216475751324311591224610162182',395,'720',75.33,1,3,NULL),(28,7175272,'1993-07-26 00:00:00',1,3,12,2011,'M','N','CENTRO','CLEVELÂNDIA','PR','116163161315271431346632345122610134052',8690,'9998',49.85,1,3,NULL),(28,7175299,'1994-10-05 00:00:00',4,16,12,2011,'F','N','CENTRO','FR ROGÉRIO','SC','124241241117471231524615477122610137057',NULL,'320',16.93,1,2,1),(28,7175302,'1994-02-15 00:00:00',4,6,12,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215112531368914575122610167052',10921,'1038',45.56,3,3,NULL),(28,7175310,'1991-07-13 00:00:00',4,1,12,2010,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241247135371431528923285124610134192',NULL,'9999',30.45,1,2,1),(28,7175329,'1989-02-18 00:00:00',2,1,12,2006,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241116271431547823442133610168187',19519,'307',32.57,1,2,1),(28,7175345,'1994-02-08 00:00:00',4,1,12,2010,'M','N','COLINA','GUAÍBA','RS','120204201416471431546632575114610147117',6913,'9998',49.40,1,3,NULL),(28,7175353,'1993-06-04 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','125252251211471711488812395114610166042',1381,'9998',66.41,1,3,NULL),(28,7175361,'1993-03-19 00:00:00',4,3,12,2010,'F','N','VILA MARIN','VOTUPORANGA','SP','125252251216413711458831575122610126192',460,'9998',72.46,1,3,NULL),(28,7175370,'1993-05-04 00:00:00',2,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111411217623575124610127012',13458,'1022',38.85,1,3,NULL),(28,7175388,'1992-03-16 00:00:00',2,1,12,2009,'M','N','MORADA DO OURO','CUIABÁ','MT','111112111137171111546815581124241114044',9476,'9998',45.69,2,1,2),(28,7175396,'1992-10-26 00:00:00',4,1,12,2010,'F','N','BOSQUE DAS MANÇÕES','S JOSÉ','SC','124242241215472411569614572124610168147',5779,'723',55.14,1,3,NULL),(28,7175400,'1993-08-28 00:00:00',2,1,12,2010,'M','N','FORQUILINHAS','S JOSÉ','SC','124241201116131531316435595114610144042',12925,'9998',40.98,1,2,1),(28,7175426,'1994-09-19 00:00:00',4,4,12,2011,'F','N','SAO JOAO','CORREIA PINTO','SC','124242241215111431336612572124610144142',12565,'499',42.54,1,3,NULL),(28,7175434,'1989-08-13 00:00:00',2,1,12,2007,'F','N','HARMONIA','CANOAS','RS','120201207327372411323644345234140633112',14809,'9998',36.02,1,3,NULL),(28,7175442,'1994-04-13 00:00:00',4,1,12,2011,'F','N','JARDIM CALIFÓRNIA','MARÍLIA','SP','125252251215271411448834575124610142077',NULL,'9998',0.00,1,3,NULL),(28,7175450,'1993-03-07 00:00:00',4,1,12,2010,'M','N','JARDIM CANADA','RIBEIRÃO PRETO','SP','125252251215472431588832575112141161146',685,'9998',71.01,1,3,NULL),(28,7175469,'1994-05-04 00:00:00',4,1,12,2011,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241225141431435414344124610126142',19082,'262',34.96,1,3,NULL),(28,7175477,'1993-05-27 00:00:00',4,1,12,2010,'M','N','VIVENDAS','S JOSÉ R PRETO','SP','125252281216411711468831575122610126192',NULL,'9998',26.02,1,3,NULL),(28,7175485,'1992-07-31 00:00:00',4,17,11,2010,'F','N','JARDIM AMÉRICA','MAFRA','SC','124241241214371751356633575112143248072',NULL,'541',0.00,1,3,NULL),(28,7175493,'1991-01-09 00:00:00',2,9,12,2007,'F','N','VILA RICA','CARAZINHO','RS','120202201217574441433634295124120544197',3241,'9998',59.91,1,3,NULL),(28,7175507,'1986-06-05 00:00:00',4,4,12,2003,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116162161216371431446631492112140434152',19462,'9998',32.98,1,3,NULL),(28,7175515,'1994-11-04 00:00:00',4,1,12,2011,'M','N','TAINHA','CARAMBEÍ','PR','116163161216371431536816575122610137182',14254,'9998',40.29,1,3,NULL),(28,7175531,'1989-02-09 00:00:00',2,3,12,2006,'F','N','DOM FELICIANO','GRAVATAÍ','RS','120202201211571411239823575122141424047',15118,'9998',37.46,1,3,NULL),(28,7175540,'1986-10-17 00:00:00',4,1,12,2004,'M','N','CARIANOS','FLORIANÓPOLIS','SC','109092098237151431356613485124240463092',19057,'9998',35.08,4,3,NULL),(28,7175558,'1992-08-01 00:00:00',2,1,11,2009,'M','N','PRAINHA','FLORIANÓPOLIS','SC','124241241215373431536414345134610167067',NULL,'300',25.44,1,3,NULL),(28,7175566,'1993-12-27 00:00:00',4,1,11,2011,'M','N','JARDIM VERA CRUZ','S BERNARDO CAMPO','SP','125254251217111431446614175124610134186',9457,'9998',48.49,1,3,NULL),(28,7175574,'1993-07-01 00:00:00',4,1,12,2010,'F','N','CENTRO','CURITIBA','PR','116112161217472431249839575124610131187',12319,'9998',43.76,1,3,NULL),(28,7175582,'1992-06-12 00:00:00',4,1,12,2009,'M','N','SÃO DEOCLECIANO','S JOSÉ R PRETO','SP','125251251117571411426614585122610127047',6724,'9998',51.28,1,2,1),(28,7175590,'1994-12-29 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215112431338624572124610146092',3764,'723',58.04,1,3,NULL),(28,7175604,'1993-06-01 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215372231448532571122610164187',6619,'737',51.20,1,3,NULL),(28,7175612,'1993-08-16 00:00:00',2,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215473431467733375124610158163',11321,'1022',51.61,1,3,NULL),(28,7175620,'1987-09-12 00:00:00',4,1,11,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241243131271731623324381124610125143',NULL,'9997',18.23,4,2,1),(28,7175639,'1992-11-16 00:00:00',4,4,12,2010,'F','N','CORAL','LAGES','SC','124241241215471431323723595124610145147',11140,'499',43.09,1,3,NULL),(28,7175647,'1994-04-17 00:00:00',2,1,12,2011,'F','N','BELA VISTA','S JOSÉ','SC','124242248215322431336612591344610126172',16695,'1022',42.22,1,3,NULL),(28,7175655,'1989-11-03 00:00:00',4,1,12,2007,'F','N','PERDIZES','S PAULO','SP','625256258617131751439879197345610168192',5167,'9998',55.62,1,3,NULL),(28,7175663,'1994-06-10 00:00:00',4,26,10,2011,'F','N','BELA VISTA','ERECHIM','RS','120202201216121431446834575122610124075',2050,'9998',63.95,1,3,NULL),(28,7175671,'1992-11-19 00:00:00',2,6,12,2010,'F','N','RESSACADA','ITAJAÍ','SC','124242248211371411425831591125610128197',NULL,'389',18.76,1,3,NULL),(28,7175680,'1993-05-11 00:00:00',2,1,12,2010,'F','N','PRADO','BIGUAÇU','SC','124241241117161411313627585112610137147',NULL,'65',25.49,1,2,1),(28,7175710,'1987-12-14 00:00:00',4,1,12,2007,'F','N','SANTA RITA','OLÍMPIA','SP','125251257336573411348822495122143232092',16816,'9998',34.85,1,3,NULL),(28,7175728,'1992-07-02 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','624203248311372731318819192124610164051',19217,'298',28.30,1,3,NULL),(28,7175744,'1994-07-01 00:00:00',4,2,12,2011,'F','N','HIGIENÓPOLIS','STA CRUZ SUL','RS','120204201216111731368914275122610133187',9005,'9998',45.09,1,3,NULL),(28,7175752,'1994-02-18 00:00:00',4,16,11,2011,'F','N','CENTRO','CURITIBANOS','SC','124242241235161331336535275132610127072',20158,'237',23.35,1,3,NULL),(28,7175760,'1994-11-03 00:00:00',4,4,12,2011,'M','N','CENTRO','PINHALZINHO','SC','124241248316111431436913135123610127057',20096,'1094',26.38,1,3,NULL),(28,7175779,'1994-04-03 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124243241335111421435531575124610133155',12846,'1022',39.99,1,3,NULL),(28,7175795,'1994-02-22 00:00:00',1,7,12,2011,'M','N','JARDIM DAS FLORES','TREZE TÍLIAS','SC','124241241115131631438814575124610127057',20147,'795',24.67,4,3,NULL),(28,7175809,'1994-12-15 00:00:00',4,1,12,2012,'M','S','JD SIRIEMA','ATIBAIA','SP','125252251216111731357619575122610127047',NULL,'9998',0.00,1,3,NULL),(28,7175817,'1994-01-26 00:00:00',4,6,11,2011,'M','N','FAZENDA','ITAJAÍ','SC','124242241215411431434829575122610137062',19246,'1026',26.01,1,3,NULL),(28,7175825,'1994-01-28 00:00:00',2,1,12,2011,'M','N','VILA INDUSTRIAL','CAMPINAS','SP','125254251217121431468811312122610167047',NULL,'9998',27.69,1,3,NULL),(28,7175833,'1993-09-29 00:00:00',4,24,12,2010,'F','N','CENTRO','IBIRAMA','SC','124241241117471431248823372122610138142',14013,'348',39.00,1,2,1),(28,7175841,'1993-10-09 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124241241135141441313114282224610137055',NULL,'239',20.91,4,3,NULL),(28,7175868,'1993-05-20 00:00:00',2,10,12,2011,'F','N','OFICINAS','TUBARÃO','SC','124241241135471751523339195112610127057',NULL,'1034',21.89,1,2,1),(28,7175876,'1993-01-12 00:00:00',6,1,12,2010,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124244241127151431258829575112133247112',NULL,'1117',29.13,1,3,NULL),(28,7175892,'1993-11-26 00:00:00',4,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111531578811575122610127132',1987,'883',64.43,1,3,NULL),(28,7175906,'1995-10-08 00:00:00',4,1,11,2012,'M','S','CACUPÉ','FLORIANÓPOLIS','SC','124242241217111432559813572124610168097',NULL,'270',50.19,1,3,NULL),(28,7175914,'1994-07-21 00:00:00',2,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241117271431426619275122610125197',NULL,'298',37.33,4,3,NULL),(28,7175922,'1993-06-21 00:00:00',4,1,12,2010,'F','N','VILA NOVA','IMBITUBA','SC','124244241215132731426622572122610131027',18164,'9997',38.39,1,3,NULL),(28,7175930,'1988-12-11 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241211575431367613381124121362197',NULL,'738',0.00,4,3,NULL),(28,7175949,'1991-09-26 00:00:00',2,5,12,2008,'F','N','RIO MAINA','CRICIÚMA','SC','124243246216132431436314345124121438077',19112,'995',34.83,4,3,NULL),(28,7175973,'1994-02-18 00:00:00',4,8,11,2011,'F','N','BUCAREIN','JOINVILLE','SC','124242241215121211258911572112610124142',17764,'1016',33.01,2,3,NULL),(28,7175990,'1993-09-07 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241215152442377933275114231466185',11194,'737',51.80,1,3,NULL),(28,7176007,'1992-09-24 00:00:00',2,1,12,2011,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241241117272331423533385114610114142',NULL,'728',15.18,1,2,1),(28,7176015,'1988-04-30 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115373731536729345124610117057',19801,'307',30.30,2,1,1),(28,7176023,'1994-07-25 00:00:00',4,1,11,2011,'F','N','COOPHAMIL','CUIABÁ','MT','111111111215111431356612575124610136032',NULL,'9998',0.00,2,3,NULL),(28,7176031,'1990-08-29 00:00:00',4,1,12,2007,'F','N','BOM VIVER','BIGUAÇU','SC','124241241147131421523314345124610121092',20033,'66',27.59,1,3,NULL),(28,7176040,'1994-04-07 00:00:00',4,5,12,2011,'F','N','CENTRO','ORLEANS','SC','124242241215111411448832572122610134147',NULL,'226',0.00,1,3,NULL),(28,7176058,'1994-05-09 00:00:00',4,4,12,2011,'F','N','ARI BORTOLI','S DOMINGOS','SC','124241241116131431338923575121610114142',18933,'707',27.46,1,2,1),(28,7176066,'1995-02-01 00:00:00',2,4,12,2011,'F','N','CENTRO','TANGARÁ','SC','124241243136141431543934575122510137142',NULL,'779',20.60,1,2,1),(28,7176074,'1993-06-25 00:00:00',2,5,12,2010,'F','N','CENTRO','IÇARA','SC','124242241215472431286821474122610167092',NULL,'213',21.26,1,3,NULL),(28,7176082,'1993-05-05 00:00:00',2,15,12,2010,'F','N','CIDADE ALTA','TURVO','SC','124243241216132451326834395122132666147',13049,'813',40.84,1,3,NULL),(28,7176090,'1988-07-11 00:00:00',2,1,12,2005,'F','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','124241241315375431443319475114122564192',2061,'270',64.21,1,3,NULL),(28,7176112,'1989-05-08 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241111573411531531485114610127047',NULL,'732',0.00,1,3,NULL),(28,7176139,'1992-03-11 00:00:00',4,3,11,2009,'M','N','VILA ANGLO BRASILEIR','S PAULO','SP','125252251216271431435933575124141162047',NULL,'9998',0.00,1,3,NULL),(28,7176147,'1993-07-30 00:00:00',5,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215472751347614575124610167187',12663,'1022',40.29,1,3,NULL),(28,7176163,'1993-08-27 00:00:00',4,1,11,2010,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120202241215373431358732575122610163092',12153,'270',50.33,1,3,NULL),(28,7176171,'1993-07-17 00:00:00',2,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124241241116131431336923585112610167187',NULL,'592',23.02,1,2,1),(28,7176180,'1993-09-10 00:00:00',4,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124244241115131431537633575124610128197',NULL,'733',27.83,4,3,NULL),(28,7176198,'1994-04-19 00:00:00',2,23,12,2011,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124241241217131431434431172122610147017',9422,'441',47.28,1,3,NULL),(28,7176201,'1972-12-25 00:00:00',2,1,6,1999,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','224241244126131421336352335134610167187',NULL,'9997',32.98,1,3,NULL),(28,7176210,'1995-09-14 00:00:00',4,1,11,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111751334814575124610138057',16806,'1022',32.03,1,3,NULL),(28,7176236,'1993-11-10 00:00:00',2,1,10,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241215472431434619575124610163142',7968,'855',51.16,1,3,NULL),(28,7176260,'1991-08-23 00:00:00',2,1,12,2009,'M','N','MENINO DEUS','PTO ALEGRE','RS','120202201216472441346822445115610122047',18836,'9998',35.94,4,3,NULL),(28,7176279,'1994-06-27 00:00:00',4,1,11,2011,'F','N','CENTRO','BIGUAÇU','SC','124242241215122431466932572122610134142',2980,'270',62.20,1,3,NULL),(28,7176287,'1993-01-03 00:00:00',2,1,12,2009,'F','N','JARDIM SANTA ROSA','FOZ IGUAÇU','PR','116161161117471731326634245123610137147',10926,'9998',45.14,1,2,1),(28,7176295,'1983-05-24 00:00:00',2,1,12,2002,'F','N','TAPERA','FLORIANÓPOLIS','SC','124251251121142431124744442324610167027',NULL,'9997',39.94,4,2,1),(28,7176309,'1990-04-10 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162161316575431546611495124231046142',3668,'9998',61.62,1,3,NULL),(28,7176317,'1993-01-13 00:00:00',4,1,11,2010,'M','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241215472431449911595124610127122',214,'226',78.25,1,3,NULL),(28,7176325,'1987-11-28 00:00:00',4,1,12,2004,'F','N','MORRETES','ITAPEMA','SC','124241241417374431136543335232321334042',6251,'111',51.77,1,3,NULL),(28,7176333,'1993-04-30 00:00:00',4,1,12,2010,'M','N','VILA INAH','S PAULO','SP','125252253217471411458813575124610124112',NULL,'9998',0.00,1,3,NULL),(28,7176341,'1995-06-20 00:00:00',4,8,12,2012,'F','S','ATIRADORES','JOINVILLE','SC','124242244215171531477932395112610124052',NULL,'1063',0.00,3,3,NULL),(28,7176350,'1994-01-14 00:00:00',2,1,12,2011,'M','N','JARDIM DAS NAÇÕES','TAUBATÉ','SP','125252251215111431459812476122610148147',12772,'9998',38.73,1,3,NULL),(28,7176368,'1992-11-28 00:00:00',2,1,12,2009,'F','N','JARDIM AQUÁRIUS','PALHOÇA','SC','124243241216374731648613435124222222147',14204,'1011',47.09,1,3,NULL),(28,7176384,'1995-03-02 00:00:00',2,1,12,2011,'F','N','INTERIOR','ERVAL SECO','RS','120201201117371431448612271122610127147',NULL,'9998',0.00,1,2,1),(28,7176392,'1994-07-03 00:00:00',4,23,12,2011,'F','N','RIO NEGRO','S BENTO SUL','SC','124242241117271431443812175122610116142',11342,'697',43.62,1,3,NULL),(28,7176414,'1994-06-06 00:00:00',4,23,12,2011,'M','N','CENTRO','S BENTO SUL','SC','124241241215161431346912275122610164187',11950,'974',50.62,1,3,NULL),(28,7176422,'1990-08-31 00:00:00',4,1,12,2007,'M','N','FORQUILHAS','S JOSÉ','SC','124242241215575431258923271324130264182',226,'1022',76.85,1,3,NULL),(28,7176430,'1993-09-18 00:00:00',4,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','124201241126271431423334575124610113052',NULL,'502',0.00,1,3,NULL),(28,7176449,'1981-10-10 00:00:00',4,1,12,2000,'M','N','SERRINHA','FLORIANÓPOLIS','SC','224204241316153431328744445121521635182',NULL,'267',39.09,5,3,NULL),(28,7176457,'1994-07-12 00:00:00',2,26,12,2011,'F','N','NENHUM','AT BELA VISTA','SC','124241241126131431423336575122610163057',15145,'14',36.81,1,2,1),(28,7176481,'1991-12-14 00:00:00',2,10,12,2009,'F','N','CENTRO','SANGÃO','SC','124241241126572231525321182124230421057',13427,'685',40.11,1,2,1),(28,7176490,'1993-04-07 00:00:00',4,8,12,2010,'M','N','IRIRIU','JOINVILLE','SC','124242241215272431467812275112610115142',9499,'494',54.54,1,3,NULL),(28,7176503,'1990-07-31 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161165116131431225554385114610164197',18494,'9998',37.30,1,2,1),(28,7176511,'1995-06-17 00:00:00',4,10,12,2012,'F','S','CENTRO','TUBARÃO','SC','124242241215371431658819595112610112092',NULL,'807',51.50,1,3,NULL),(28,7176538,'1995-08-02 00:00:00',4,3,11,2012,'M','S','JARDIM EUROPA','UMUARAMA','PR','116162161217111332459915475122610128182',NULL,'9998',34.50,1,3,NULL),(28,7176546,'1991-06-05 00:00:00',2,8,12,2009,'M','N','ITAUM','JOINVILLE','SC','124241241116133421326411445124610127117',17560,'472',40.15,4,2,1),(28,7176554,'1984-11-08 00:00:00',2,9,12,2002,'F','N','MATRIZ','VIDEIRA','SC','124051055117371411653379495125610132072',NULL,'9998',28.27,4,2,1),(28,7176562,'1993-01-22 00:00:00',4,1,11,2011,'M','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124244246115131411446612312124610112142',7428,'306',48.64,1,3,NULL),(28,7176570,'1992-03-20 00:00:00',2,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124201242116372431258814372124131436092',5949,'690',55.08,1,2,1),(28,7176589,'1985-08-14 00:00:00',2,1,12,2003,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241244116131731556823341321132024187',17664,'306',39.85,1,3,NULL),(28,7176597,'1988-06-16 00:00:00',2,1,12,2006,'M','N','LURDES','CAXIAS SUL','RS','120201201116132431226864475224241417042',NULL,'9998',0.00,1,2,1),(28,7176600,'1994-12-05 00:00:00',2,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241117111532343823575122610132192',9045,'739',47.52,1,3,NULL),(28,7176619,'1994-05-17 00:00:00',2,1,11,2011,'F','N','PAGANI','PALHOÇA','SC','124242241215112421556614275122610164012',9809,'723',46.03,1,3,NULL),(28,7176627,'1994-05-25 00:00:00',4,1,12,2011,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241115111411369513575124610114187',13497,'739',42.38,1,3,NULL),(28,7176635,'1993-09-01 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241115473231478613575112610127062',838,'271',72.13,1,3,NULL),(28,7176660,'1994-02-28 00:00:00',4,1,12,2011,'M','N','JARDIM ELDORADO','JABOTICABAL','SP','125252251217111431477612475122610162122',1756,'9998',64.93,1,3,NULL),(28,7176686,'1994-03-25 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216111431334879575124610124147',5097,'1118',58.84,1,3,NULL),(28,7176708,'1985-02-05 00:00:00',4,1,12,2002,'F','N','AHU DE CIMA','CURITIBA','PR','216161161316471411238856445124141162012',5840,'9998',60.84,1,3,NULL),(28,7176716,'1993-11-28 00:00:00',4,4,11,2010,'M','N','CENTRO','CURITIBA','PR','116122161235471431678933571121610134062',313,'9998',74.92,1,3,NULL),(28,7176724,'1993-02-14 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215152431489914475112233217042',19174,'266',34.50,1,3,NULL),(28,7176732,'1989-09-06 00:00:00',4,1,12,2007,'F','N','OURO VERDE','PINDAMONHANGABA','SP','125251251116371741524413311124140627097',NULL,'9998',9.71,1,3,NULL),(28,7176740,'1994-03-10 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241211111211437514575124610127097',5888,'226',53.37,1,3,NULL),(28,7176759,'1994-10-06 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124244241216111431435312273114610146147',14802,'1118',38.24,1,3,NULL),(28,7176767,'1994-06-30 00:00:00',2,16,12,2011,'F','N','INTERIOR','FRAIBURGO','SC','124241241115161431514315572224610156087',19448,'314',33.05,1,3,NULL),(28,7176775,'1986-10-31 00:00:00',4,1,6,2004,'M','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','624242246217131411228744342112130837187',19681,'9997',31.38,1,3,NULL),(28,7176791,'1988-11-24 00:00:00',4,15,12,2005,'F','N','BARRANCA','ARARANGUÁ','SC','124242241216273711359934575124233246097',8635,'970',56.05,1,3,NULL),(28,7176805,'1994-08-06 00:00:00',4,6,12,2011,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124243241215131531476612175112610167112',17281,'44',38.02,1,3,NULL),(28,7176813,'1992-07-07 00:00:00',4,1,12,2011,'M','N','VILA MENUZZO','SUMARÉ','SP','125252251215111431468831575122610137047',NULL,'9998',0.00,1,3,NULL),(28,7176821,'1994-05-31 00:00:00',2,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124242241215161432236923385122610124197',16889,'1218',33.92,1,3,NULL),(28,7176848,'1993-01-08 00:00:00',2,8,12,2011,'M','N','ALTO BOQUEIRÃO','CURITIBA','PR','116161166117371721333614245124610127052',NULL,'9998',0.00,2,1,1),(28,7176856,'1991-09-07 00:00:00',4,8,12,2009,'M','N','CENTRO','CAMPINAS','SP','125252251216371451569823572122142367182',8718,'9998',46.59,1,3,NULL),(28,7176872,'1987-10-08 00:00:00',4,1,12,2007,'F','N','SÃO JOÃO','ITAJAÍ','SC','124241241112133431423654382324122266077',7099,'400',51.14,4,2,1),(28,7176880,'1991-10-23 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215471412438611595124610112112',4030,'299',59.61,1,3,NULL),(28,7176899,'1994-12-27 00:00:00',2,8,12,2011,'F','N','CENTRO','CPO ALEGRE','SC','124241241215111431346614592122610136142',6634,'1073',52.25,1,3,NULL),(28,7176902,'1995-03-06 00:00:00',4,1,12,2012,'M','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111231268863575122610118052',NULL,'270',48.61,1,3,NULL),(28,7176910,'1996-02-25 00:00:00',4,4,12,2012,'F','S','CENTRO','XANXERÊ','SC','124242241217151431259711475122610141142',NULL,'836',25.10,1,3,NULL),(28,7176929,'1986-12-10 00:00:00',4,5,12,2004,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124243244317371731455321444112610166097',NULL,'920',28.15,1,3,NULL),(28,7176937,'1994-10-02 00:00:00',2,1,12,2012,'F','S','TRINDADE','FLORIANÓPOLIS','SC','624212241217111732237829575124610144047',NULL,'270',46.14,1,3,NULL),(28,7176945,'1994-09-14 00:00:00',4,1,11,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217111431438831572124610144012',3011,'270',62.01,1,3,NULL),(28,7176953,'1994-07-07 00:00:00',4,5,10,2011,'M','N','PIO CORREA','CRICIÚMA','SC','124242241215222431468811415112610164172',3302,'226',66.07,1,3,NULL),(28,7176961,'1993-03-28 00:00:00',4,8,12,2010,'F','N','AMERICA','JOINVILLE','SC','124244241217473331589714572112610123147',1809,'461',66.77,1,3,NULL),(28,7176970,'1958-05-22 00:00:00',4,1,12,1977,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224201203226143421366641215122610164182',12400,'9998',39.91,1,3,NULL),(28,7176988,'1987-03-31 00:00:00',4,4,12,2003,'M','N','CRISTO REDENTOR','CAXIAS SUL','RS','120201201215572441466922475122121267047',235,'9998',74.98,1,3,NULL),(28,7176996,'1993-09-20 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124252251217432431469814175124610154092',1114,'9998',68.25,1,3,NULL),(28,7177003,'1993-04-08 00:00:00',4,1,12,2010,'M','N','BARRO BRANCO','S PAULO','SP','125253251116372731648769275124610137057',7310,'9998',51.84,1,3,NULL),(28,7177011,'1994-11-28 00:00:00',4,1,11,2011,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215122431338639575122610131182',4050,'270',60.56,1,3,NULL),(28,7177020,'1995-02-25 00:00:00',4,1,10,2012,'M','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241212152741349713475124610164016',NULL,'1197',45.69,1,3,NULL),(28,7177038,'1993-06-10 00:00:00',2,1,12,2010,'F','N','TARUMÃ','CURITIBA','PR','116161161114571731448614375122610122077',11663,'9998',41.68,1,2,1),(28,7177054,'1984-01-27 00:00:00',4,1,12,2001,'M','N','AGUA RASA','S PAULO','SP','125252254216572421379812315133341264112',12883,'9998',39.13,1,3,NULL),(28,7177062,'1994-04-21 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431489931575112610138192',12071,'270',41.24,1,3,NULL),(28,7177070,'1994-08-29 00:00:00',4,1,12,2011,'F','N','COPACABANA','UBERLÂNDIA','MG','113132131216151431388914474122610136192',NULL,'9998',0.00,4,3,NULL),(28,7177097,'1992-03-30 00:00:00',2,1,12,2009,'F','N','CARANDÁ BOSQUE','CPO GRANDE','MS','112122121216572451358613575112610163197',7427,'9998',49.20,1,3,NULL),(28,7177119,'1994-10-07 00:00:00',2,1,11,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241315111731536624295124610138182',14910,'1118',39.05,4,3,NULL),(28,7177127,'1993-06-25 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215372431556613474124610163147',7426,'1022',50.45,1,3,NULL),(28,7177135,'1993-07-20 00:00:00',4,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241215472431469813575124610167142',2596,'1022',63.87,1,3,NULL),(28,7177143,'1994-06-28 00:00:00',2,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111731338924575124610147147',9813,'1169',48.41,1,3,NULL),(28,7177151,'1992-01-25 00:00:00',4,22,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216271731367822572124132424142',14363,'9997',46.83,1,3,NULL),(28,7177160,'1994-06-16 00:00:00',2,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215151731446933572112610167052',6449,'272',55.56,1,3,NULL),(28,7177186,'1994-08-09 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241216111431468813575122610127082',NULL,'270',20.42,1,3,NULL),(28,7177194,'1994-06-10 00:00:00',4,1,11,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215421431457834575124610124062',9451,'272',54.63,1,3,NULL),(28,7177216,'1961-11-20 00:00:00',2,1,12,1981,'M','N','RATONES','FLORIANÓPOLIS','SC','624211218523133751436543432123222367187',15993,'9998',43.71,1,3,NULL),(28,7177232,'1990-08-31 00:00:00',2,4,12,2007,'M','N','IGARA','CANOAS','RS','120201201436471431338823375124140647047',8779,'9998',48.47,1,3,NULL),(28,7177240,'1991-03-09 00:00:00',2,4,12,2008,'F','N','CENTRO','LUZERNA','SC','124241241113113411223421572214610112161',6674,'539',51.80,1,2,1),(28,7177259,'1993-02-16 00:00:00',2,1,12,2010,'F','N','VILA SILVIANIA','CARAPICUÍBA','SP','125254251117471441656721575124610126177',2793,'9998',62.27,1,3,NULL),(28,7177267,'1994-02-14 00:00:00',4,26,11,1994,'M','N','JARDIM','CONCÓRDIA','SC','124242241235111431369912595122610117042',NULL,'1000',21.79,1,3,NULL),(28,7177283,'1993-04-30 00:00:00',4,1,11,2010,'M','N','TATUAPÉ','S PAULO','SP','125252251217572411657714575125610127017',1709,'9998',67.63,1,3,NULL),(28,7177291,'1992-11-29 00:00:00',4,1,1,2012,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243248347161431428933375123610122172',NULL,'772',33.82,4,1,2),(28,7177305,'1992-04-08 00:00:00',4,27,12,2009,'F','N','SÃO JORGE','S MIGUEL OESTE','SC','124241241114131431424629581125610168142',17686,'753',39.77,1,2,1),(28,7177313,'1994-06-12 00:00:00',2,1,11,2011,'F','N','SÃO PEDRO','ITABIRA','MG','113132131216111431455712575124610164143',NULL,'9998',0.00,1,3,NULL),(28,7177330,'1992-05-23 00:00:00',2,4,12,2011,'M','N','LINHA SEGALIM','FORMOSA SUL','SC','124241248115131412434416575123610167057',NULL,'308',25.03,1,2,1),(28,7177348,'1983-03-14 00:00:00',4,1,6,2004,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241126274731336629335134610137117',NULL,'307',25.57,2,1,1),(28,7177364,'1993-12-10 00:00:00',4,1,12,2011,'M','N','TIVOLI','SOROCABA','SP','125252251216121431488813575122610132042',NULL,'9998',0.00,1,3,NULL),(28,7177372,'1993-11-15 00:00:00',5,4,12,2010,'F','N','JARDIM MARILIZA','GOIÂNIA','GO','109093098316472431216623575124610166147',4581,'9998',56.77,4,3,NULL),(28,7177399,'1994-11-29 00:00:00',4,8,12,2011,'M','N','COLONIAL','S BENTO SUL','SC','124242161216471731569932575112610127047',6415,'9998',52.31,1,3,NULL),(28,7177402,'1993-05-06 00:00:00',4,1,11,2010,'F','N','CAMBUI','CAMPINAS','SP','125112111217471731238633495122610164147',10058,'9998',44.86,4,3,NULL),(28,7177410,'1994-09-30 00:00:00',4,1,12,2011,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124243248111151732348824495124610138057',NULL,'257',24.86,1,3,NULL),(28,7177429,'1993-05-21 00:00:00',4,1,12,2011,'M','N','BELA VISTA I','S JOSÉ','SC','124241241417271411236923575124610138112',12669,'1075',40.28,4,3,NULL),(28,7177437,'1991-02-03 00:00:00',2,1,12,2007,'M','N','CENTRO','PTO ALEGRE','RS','120204201217471431236619475114610167047',10001,'9998',46.66,1,3,NULL),(28,7177453,'1994-09-27 00:00:00',4,4,11,2011,'M','N','CENTRO','XANXERÊ','SC','124244241217121431469914575124610117042',1290,'1191',67.62,1,3,NULL),(28,7177461,'1970-01-20 00:00:00',4,17,12,1987,'M','N','CENTRO','MAFRA','SC','124242241216113721166441415122522428061',4955,'497',62.51,1,3,NULL),(28,7177470,'1993-01-25 00:00:00',4,1,12,2010,'M','N','PARQUE XANGRILÁ','CAMPINAS','SP','125252251215471411457839575112610147142',4280,'9998',57.11,1,3,NULL),(28,7177488,'1994-07-19 00:00:00',4,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111411436622231124610135057',NULL,'883',23.40,1,3,NULL),(28,7177500,'1994-10-31 00:00:00',4,1,12,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115271431536413435124610127012',18139,'281',38.45,1,2,1),(28,7177518,'1993-11-04 00:00:00',4,10,10,2011,'F','N','MAR GROSSO','LAGUNA','SC','124242241217122731457612395124610148182',283,'807',74.53,1,3,NULL),(28,7177534,'1993-10-08 00:00:00',2,8,12,2010,'F','N','JARDIM CAMPO ALEGRE','CURITIBA','PR','116161161111471331543312375124610136192',NULL,'9998',37.06,1,2,1),(28,7177542,'1994-07-15 00:00:00',4,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215122431569713575114610164193',5917,'270',54.95,1,3,NULL),(28,7177550,'1995-03-31 00:00:00',4,1,12,2011,'M','N','STO ANTONIO LISBOA','FLORIANÓPOLIS','SC','124242241215111731567839572112610127182',17556,'262',40.16,1,3,NULL),(28,7177577,'1994-03-14 00:00:00',4,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124094241215111411468815575114610168187',NULL,'272',29.42,1,3,NULL),(28,7177585,'1992-12-25 00:00:00',2,1,12,2010,'M','N','ARIRIU','PALHOÇA','SC','124141141137261431223531572324610147042',NULL,'9998',16.26,1,2,1),(28,7177607,'1992-09-18 00:00:00',2,1,12,2009,'M','N','FUNDOS','BIGUAÇU','SC','124244241215471431433614345134610122017',17414,'63',40.50,1,3,NULL),(28,7177615,'1994-09-26 00:00:00',2,4,12,2011,'F','N','CENTRO','UNIÃO OESTE','SC','124244241415111431336916585122610137042',8912,'1192',45.99,1,3,NULL),(28,7177623,'1991-06-03 00:00:00',4,1,12,2008,'M','N','VILA SUICA','INDAIATUBA','SP','125252251217471231477712575112140262044',6667,'9998',54.64,1,3,NULL),(28,7177640,'1992-11-04 00:00:00',4,1,12,2010,'F','N','SANTANA','S PAULO','SP','125252251217471411378814571125610146052',6657,'9998',59.43,1,3,NULL),(28,7177658,'1992-03-23 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241216573431459614575115610167092',6463,'446',52.51,1,3,NULL),(28,7177674,'1993-07-30 00:00:00',4,8,12,2010,'M','N','COLONIAL','S BENTO SUL','SC','124244241216472731569932575112610127047',NULL,'974',0.00,1,3,NULL),(28,7177682,'1988-11-26 00:00:00',4,1,12,2006,'F','N','VILA BIANCHI','MOGI MIRIM','SP','125252251217471711467812575112142422092',1405,'9998',67.57,1,3,NULL),(28,7177690,'1995-03-23 00:00:00',4,1,12,2012,'F','S','CAMPINAS','S JOSÉ','SC','124242241215111251468834275122610148197',NULL,'737',34.90,1,3,NULL),(28,7177704,'1993-03-12 00:00:00',2,1,12,2010,'M','N','CENTRO','IMARUÍ','SC','124241241146132411533331485224132926177',NULL,'356',21.47,4,3,NULL),(28,7177712,'1996-01-31 00:00:00',4,1,12,2012,'F','S','SÃO SEBASTIÃO','PALHOÇA','SC','124241241117151751638434575124610134052',NULL,'591',35.15,1,3,NULL),(28,7177720,'1982-08-24 00:00:00',4,1,11,2000,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124182181216151421478641312122342466012',2801,'9998',67.41,1,3,NULL),(28,7177739,'1993-02-02 00:00:00',4,1,10,2010,'M','N','ESMERALDA PARQUE','MARÍLIA','SP','125252251216271431369822575124610167122',NULL,'9998',0.00,1,3,NULL),(28,7177747,'1991-08-14 00:00:00',2,4,12,2008,'F','N','PETROPOLIS','PTO ALEGRE','RS','120241241136574731428931295124610144147',7776,'199',51.38,1,2,1),(28,7177755,'1986-01-12 00:00:00',2,1,12,2004,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241141472411344439145323230217047',NULL,'281',27.03,1,2,1),(28,7177763,'1993-01-21 00:00:00',2,1,12,2010,'F','N','LUZIA','ARACAJU','SE','126262261237121431246813575125610126172',NULL,'9998',0.00,5,3,NULL),(28,7177771,'1994-04-06 00:00:00',2,1,12,2011,'M','N','JARDIM AQUARIUS','PALHOÇA','SC','124243241316372431648613575124610127047',17434,'592',40.45,1,3,NULL),(28,7177780,'1992-05-17 00:00:00',2,1,12,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241211133431658613595114130862113',NULL,'724',26.15,1,3,NULL),(28,7177798,'1994-02-08 00:00:00',4,1,11,2011,'F','N','CENTRO','URUSSANGA','SC','124244241415111431348811475124610135052',4354,'226',57.14,1,3,NULL),(28,7177801,'1994-05-28 00:00:00',4,1,10,2011,'M','N','JARDIM ZAIRA','GUARULHOS','SP','125252251215111751458814575112610167017',7051,'9998',49.91,1,3,NULL),(28,7177810,'1991-10-05 00:00:00',2,25,12,2008,'F','N','BOQUEIRÃO','CURITIBA','PR','116161161216571731536314375122610122147',11893,'9998',44.88,1,3,NULL),(28,7177836,'1994-01-30 00:00:00',4,1,11,2011,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241246217111431223624275121610147042',18396,'1075',26.76,1,3,NULL),(28,7177844,'1994-08-08 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215151411477833595122610168062',NULL,'1198',30.49,1,3,NULL),(28,7177852,'1979-10-07 00:00:00',4,1,12,1998,'F','N','CENTRO','CRAVINHOS','SP','125253251216271731246629574122542866127',3513,'9998',58.97,1,3,NULL),(28,7177860,'1994-11-13 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431369613575114610164097',9258,'738',48.28,1,3,NULL),(28,7177879,'1991-01-09 00:00:00',4,16,7,2010,'M','N','NS APARECIDA','CURITIBANOS','SC','124241241337151731536823315122610144177',18738,'239',36.33,1,3,NULL),(28,7177895,'1994-09-19 00:00:00',4,1,12,2011,'F','N','POÇO FUNDO','BRUSQUE','SC','124241241117131431434619175124610147097',NULL,'113',0.00,1,2,1),(28,7177909,'1994-04-09 00:00:00',4,1,12,2011,'F','N','PARQUE','RIO GRANDE','RS','120202201216111441357914575122610153047',7255,'9998',52.93,4,3,NULL),(28,7177917,'1992-02-12 00:00:00',2,16,12,2009,'M','N','INTERIOR','CHARRUA','RS','120201202111131431523316351122610127057',NULL,'9998',0.00,3,2,1),(28,7177925,'1992-12-10 00:00:00',4,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124242241215575431478632575122610144191',510,'270',75.48,1,3,NULL),(28,7177933,'1995-01-03 00:00:00',4,4,12,2011,'M','N','CENTRO','CHAPECÓ','SC','124242241215111431476767174122610146092',NULL,'1191',0.00,1,3,NULL),(28,7177941,'1992-05-23 00:00:00',2,4,12,2010,'M','N','LINHA SEGALIM','FORMOSA SUL','SC','124241241116161411434316575124610144057',NULL,'308',17.76,1,2,1),(28,7177950,'1994-06-25 00:00:00',4,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241115141431225624295124610137127',14360,'1248',38.28,1,2,1),(28,7177968,'1992-01-31 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241216154751359929495111231467035',9327,'1022',54.83,1,3,NULL),(28,7177976,'1995-05-14 00:00:00',4,4,12,2012,'F','S','CENTRO','FRAIBURGO','SC','124242241216151331466614372122610127185',NULL,'317',53.63,1,3,NULL),(28,7177984,'1994-12-14 00:00:00',2,15,12,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124244241115151411527569571122610165057',NULL,'30',25.72,1,3,NULL),(28,7177992,'1994-02-10 00:00:00',4,9,12,2011,'M','N','BRUSQUE','LAGES','SC','124242241217111451326617175121610162187',NULL,'499',29.32,1,3,NULL),(28,7178000,'1993-02-20 00:00:00',4,1,11,2009,'F','N','CENTRO','MARAVILHA','SC','124242241215572411456912582122610136192',7413,'1037',50.49,1,3,NULL),(28,7178018,'1967-08-15 00:00:00',4,1,12,1986,'F','N','CAMPINAS','S JOSÉ','SC','224161161416134741429651393132343068187',19688,'9998',31.32,1,3,NULL),(28,7178026,'1990-09-05 00:00:00',4,1,12,2007,'M','N','VILA MARIANA','S PAULO','SP','125252251215572431488831575122610122182',130,'9998',78.85,1,3,NULL),(28,7178034,'1994-04-21 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216131731556911215112610164142',11029,'1168',52.09,1,3,NULL),(28,7178050,'1990-11-23 00:00:00',2,1,12,2007,'F','N','FUNDOS','BIGUAÇU','SC','124241241115472431336313345124610124047',15872,'65',36.40,1,2,1),(28,7178069,'1990-03-23 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124042241217374431489713574112121447042',3516,'270',65.55,1,3,NULL),(28,7178077,'1981-06-05 00:00:00',2,1,12,1998,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224203201137131431453354385124142761187',11453,'9998',43.02,1,3,NULL),(28,7178085,'1988-03-24 00:00:00',4,1,12,2005,'M','N','VILA ISOLINA MAZZEI','S PAULO','SP','125252251416571731559611485125143264147',1889,'9998',65.74,3,3,NULL),(28,7178093,'1993-04-03 00:00:00',4,1,12,2010,'F','N','BUTANTA','S PAULO','SP','125252251214271331249923571122610168192',NULL,'9998',0.00,1,3,NULL),(28,7178107,'1994-03-02 00:00:00',2,25,12,2011,'F','N','REUNIDAS','CAÇADOR','SC','124241241217111431336613275122610133142',12251,'1124',40.41,1,3,NULL),(28,7178115,'1992-02-28 00:00:00',4,2,12,2010,'F','N','PORTÃO','CURITIBA','PR','116162166117571431458822375124610146057',NULL,'9998',0.00,1,3,NULL),(28,7178123,'1992-09-23 00:00:00',4,1,11,2010,'M','N','GRAMADO','CAMPINAS','SP','125252251217411731458831593112140338114',9692,'9998',47.60,1,3,NULL),(28,7178131,'1994-03-04 00:00:00',4,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215111431359833595124610122097',NULL,'270',0.00,1,3,NULL),(28,7178140,'1993-10-07 00:00:00',4,9,11,2011,'M','N','CENTRO','LAGES','SC','116242161217111431589911475122610167042',NULL,'9998',0.00,1,3,NULL),(28,7178158,'1994-11-14 00:00:00',4,1,12,2011,'M','N','TRISTEZA','PTO ALEGRE','RS','120202201217111431338621575124610164053',10150,'9998',43.67,1,3,NULL),(28,7178166,'1994-04-28 00:00:00',4,6,12,2011,'M','N','SÃO SEBASTIÃO','CAMPOS NOVOS','SC','124242241215111431568933435122610167057',4108,'1038',60.25,1,3,NULL),(28,7178174,'1993-03-12 00:00:00',4,4,11,2009,'M','N','CENTRO','CURITIBA','PR','116162161215571731356839585125610164042',3759,'9998',60.30,1,3,NULL),(28,7178182,'1986-02-18 00:00:00',2,1,12,2003,'M','N','VALE DO SOL','S JOSÉ CAMPOS','SP','125254251217111431426424585224143267047',NULL,'9998',20.25,4,3,NULL),(28,7178190,'1994-02-18 00:00:00',4,1,10,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124062161336471411428814575114210144182',8316,'9998',49.33,4,3,NULL),(28,7178212,'1995-01-16 00:00:00',2,16,12,2011,'M','N','CENTRO','LEBON RÉGIS','SC','124243241116131431346923572122610124057',NULL,'532',24.72,1,3,NULL),(28,7178220,'1994-02-17 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116271431526734372124610143142',NULL,'257',36.77,1,2,1),(28,7178239,'1994-12-16 00:00:00',2,1,12,2011,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242248217131431436519292124610137042',16576,'1074',42.48,1,3,NULL),(28,7178247,'1995-08-09 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241216111431448813575122610136112',NULL,'270',44.76,1,3,NULL),(28,7178255,'1993-07-17 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241215322431347612345122610132117',18731,'1118',36.35,1,3,NULL),(28,7178271,'1991-09-27 00:00:00',4,1,12,2008,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241216474431435531315124132724142',10586,'269',52.77,1,3,NULL),(28,7178298,'1993-03-05 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241136371431623319295124610112142',16411,'592',34.99,1,2,1),(28,7178301,'1994-05-26 00:00:00',4,22,12,2011,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242161215113431446611395124610162145',7989,'9998',49.43,1,3,NULL),(28,7178310,'1993-06-30 00:00:00',4,1,11,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216371531688832295124610166072',2627,'1169',63.03,1,3,NULL),(28,7178328,'1994-12-02 00:00:00',4,8,12,2011,'F','N','AUTONOMISTA','CPO GRANDE','MS','112122121215111431458931415122610136142',3458,'9998',57.41,1,3,NULL),(28,7178336,'1989-10-11 00:00:00',4,3,11,2006,'F','N','AGUA VERDE','CURITIBA','PR','116162161216574431468713575114143122072',NULL,'9998',0.00,1,3,NULL),(28,7178344,'1994-11-14 00:00:00',4,5,12,2011,'F','N','MONTE CARLOS','COCAL SUL','SC','124241241135131431524413575122610138077',17410,'189',31.03,4,2,1),(28,7178352,'1994-06-29 00:00:00',4,5,11,2011,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215112231369933575122610123112',2451,'226',62.01,1,3,NULL),(28,7178360,'1994-01-06 00:00:00',2,1,11,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241115111431488923575124610167075',9812,'270',52.54,1,3,NULL),(28,7178379,'1995-03-16 00:00:00',4,4,11,2011,'M','N','BAIRRO VENEZA','XANXERÊ','SC','124241241216112431435915575124610166172',5503,'836',52.76,1,3,NULL),(28,7178387,'1994-10-20 00:00:00',2,10,12,2011,'M','N','VILA NOVA','IMBITUBA','SC','124241241116371431334923575124610127042',NULL,'359',27.15,1,2,1),(28,7178395,'1995-02-28 00:00:00',4,17,12,2011,'F','N','CENTRO','CANOINHAS','SC','124241241114131431229924335122610164147',NULL,'153',18.58,1,2,1),(28,7178409,'1994-03-17 00:00:00',4,22,12,2011,'M','N','SÃO LUIZ','BRUSQUE','SC','124242241215271231468832575122610127052',5395,'107',54.69,1,3,NULL),(28,7178417,'1994-05-28 00:00:00',2,1,12,2011,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215111441458832575124610168041',7831,'299',49.09,1,3,NULL),(28,7178433,'1993-12-15 00:00:00',4,1,11,2011,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215112411469613375124610161112',5352,'270',54.82,1,3,NULL),(28,7178441,'1994-11-17 00:00:00',2,25,11,2011,'M','N','CENTRO','CAÇADOR','SC','124242247235511431465516595125610127057',NULL,'1038',0.00,1,3,NULL),(28,7178450,'1993-07-14 00:00:00',4,1,12,2011,'M','N','NOVO HORIZONTE','ITAÍ','SP','125254251217111431438313575112610135011',15942,'9998',33.64,1,3,NULL),(28,7178468,'1995-04-05 00:00:00',2,1,11,2011,'F','N','KABRASOL','S JOSÉ','SC','124242241215111431333632575122610161042',4232,'723',58.83,1,3,NULL),(28,7178476,'1994-05-06 00:00:00',2,10,11,2011,'M','N','REVOREDO','TUBARÃO','SC','124242241215111431466832375122610132042',10579,'806',43.69,1,3,NULL),(28,7178484,'1992-11-19 00:00:00',2,1,12,2010,'F','N','CENTRO','ASSIS','SP','116252161217471731327834275112610133197',NULL,'9998',0.00,1,3,NULL),(28,7178492,'1994-05-03 00:00:00',2,17,12,2011,'M','N','CENTRO','MAFRA','SC','124241168217132731528614392124610132017',17430,'9998',25.99,1,3,NULL),(28,7178506,'1993-10-09 00:00:00',4,1,12,2011,'F','N','NOVA SANTA CRUZ','MOGI MIRIM','SP','125252251216111231557819475112610122047',11379,'9998',44.30,1,3,NULL),(28,7178514,'1994-09-20 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431289914472112610124197',4195,'270',57.62,1,3,NULL),(28,7178522,'1991-10-27 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124242241211132431456629485122610163147',NULL,'1078',28.27,2,3,NULL),(28,7178530,'1993-08-25 00:00:00',2,1,12,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243241217131431436624241224610133097',18322,'300',37.88,1,3,NULL),(28,7178549,'1992-03-11 00:00:00',4,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124121241114573431336711574122132524197',5449,'401',53.67,4,2,1),(28,7178557,'1992-12-30 00:00:00',4,1,11,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241247315471431324522245124610126121',10049,'9999',47.88,1,3,NULL),(28,7178565,'1990-11-25 00:00:00',2,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241146314711223344345114610117057',NULL,'290',24.58,1,2,1),(28,7178573,'1995-03-24 00:00:00',4,9,12,2011,'F','N','CENTRO','LAGES','SC','124242241215112431569831575122610126012',7659,'1207',50.23,1,3,NULL),(28,7178581,'1993-10-15 00:00:00',4,1,12,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124243241217132411447633245114610165123',18262,'1022',38.08,1,3,NULL),(28,7178590,'1995-04-23 00:00:00',4,5,12,2011,'F','N','CARLOS WILKENS','CACHOEIRINHA','RS','120204201117371431445634575124610122092',12181,'9998',42.00,1,3,NULL),(28,7178603,'1992-07-20 00:00:00',4,8,12,2009,'M','N','CENTRO','PORECATU','PR','116164161216571331478813575112610166042',NULL,'9998',0.00,1,3,NULL),(28,7178611,'1994-02-14 00:00:00',2,1,12,2011,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215151431469931475122610123142',5106,'883',53.67,1,3,NULL),(28,7178620,'1994-04-29 00:00:00',4,8,12,2011,'F','N','CENTRO','CPO LARGO','PR','116165161216471431459614575122610164107',NULL,'9998',0.00,1,3,NULL),(28,7178638,'1984-11-03 00:00:00',4,1,11,2001,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215574431268923446124321433122',8195,'262',56.79,1,3,NULL),(28,7178646,'1994-10-13 00:00:00',2,1,11,2011,'F','N','BIGUAÇU','BIGUAÇU','SC','124242241215111431324714595124610167082',13525,'738',41.45,1,3,NULL),(28,7178654,'1994-12-31 00:00:00',2,4,12,2011,'M','N','SÃO FRANS DE PAULA','FREDERICO WESTPHALEN','RS','120201201116131431626813571222610137057',NULL,'9998',22.98,4,2,1),(28,7178662,'1990-01-26 00:00:00',2,10,12,2007,'F','N','RIO BONITO','BRAÇO NORTE','SC','124241241116233431426814382123610123187',NULL,'100',0.00,1,2,1),(28,7178689,'1991-07-08 00:00:00',4,8,12,2009,'M','N','FLORESTA','JOINVILLE','SC','124242241215371531488933575112143267042',16395,'1063',42.91,1,3,NULL),(28,7178697,'1993-09-09 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217111432469813577124610168191',NULL,'951',20.52,1,3,NULL),(28,7178700,'1994-06-09 00:00:00',4,1,12,2011,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241217111431369733575122610161185',5660,'951',53.34,1,3,NULL),(28,7178719,'1991-12-20 00:00:00',4,8,12,2008,'F','N','BATEL','CURITIBA','PR','116161161115574441455322575124142965142',NULL,'9998',0.00,1,2,1),(28,7178727,'1992-07-24 00:00:00',4,1,12,2009,'M','N','VILA ZEZÉ','JACAREÍ','SP','125252256215471441438811385124610131082',3406,'9998',60.46,1,3,NULL),(28,7178743,'1995-01-14 00:00:00',2,4,12,2011,'M','N','SÃO SEBASTIÃO','S MIGUEL OESTE','SC','124241241216111431445923575122610111017',NULL,'751',0.00,1,3,NULL),(28,7178751,'1991-11-01 00:00:00',4,2,12,2008,'F','N','ASILO','BLUMENAU','SC','124242241215472431469614495124230664012',NULL,'88',0.00,1,3,NULL),(28,7178760,'1995-04-15 00:00:00',2,5,11,2011,'F','N','LIRI','IÇARA','SC','124241241215111431438519575124610164017',1500,'226',65.81,1,3,NULL),(28,7178778,'1992-05-15 00:00:00',2,1,7,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124251247127131431123316341124610112142',NULL,'9998',34.46,3,2,1),(28,7178786,'1993-06-22 00:00:00',4,1,12,2010,'M','N','SÃO DIMAS','PIRACICABA','SP','125252251217471431369812575115610127047',4455,'9998',56.66,1,3,NULL),(28,7178794,'1993-10-05 00:00:00',4,1,12,2010,'F','N','FAZENDA','ITAJAÍ','SC','124242241216472731388812571114610162187',5435,'270',57.64,1,3,NULL),(28,7178808,'1993-03-24 00:00:00',2,1,12,2010,'M','N','MANDACARÚ','JEQUIÉ','BA','105052051217471431437923572112610167052',9964,'9998',53.78,4,3,NULL),(28,7178816,'1993-10-08 00:00:00',2,1,12,2010,'F','N','DONA WANDA','S JOSÉ','SC','124241241215212411537514485125610164187',10055,'868',42.76,1,3,NULL),(28,7178824,'1994-10-26 00:00:00',4,22,11,2011,'F','N','SÃO PEDRO','BRUSQUE','SC','124242241215132441435814174124610146092',6932,'1244',53.94,1,3,NULL),(28,7178832,'1990-11-24 00:00:00',4,1,11,2008,'F','N','RESIDENCIAL GAIVOTA','S JOSÉ R PRETO','SP','125254251216571431428631571124610126092',NULL,'9998',0.00,1,3,NULL),(28,7178840,'1994-04-08 00:00:00',4,17,12,2011,'M','N','BUENOS AIRES','MAFRA','SC','124241241116271231434933575114610137047',NULL,'542',0.00,1,2,1),(28,7178859,'1985-03-26 00:00:00',4,1,12,2003,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','224244247216375431258654185114333262142',4334,'1003',63.73,1,3,NULL),(28,7178867,'1994-08-16 00:00:00',2,1,11,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242181215111432236633575114610137042',16883,'270',41.80,1,3,NULL),(28,7178875,'1994-08-22 00:00:00',4,26,12,2011,'F','N','MIRANTE','ITÁ','SC','124241248116151431449933235122610135147',17887,'384',29.49,1,2,1),(28,7178883,'1994-01-04 00:00:00',4,1,11,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241215112431356613335122610147052',7991,'270',48.58,1,3,NULL),(28,7178891,'1984-07-27 00:00:00',2,3,7,2004,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124241247126131421433443435123610124152',NULL,'49',31.32,2,1,1),(28,7178913,'1994-10-13 00:00:00',2,1,11,2011,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241315271411448633575124610125077',9323,'271',47.74,1,3,NULL),(28,7178921,'1994-02-18 00:00:00',4,4,12,2011,'M','N','CENTRO','PALMITOS','SC','124241241116161431335732575122610167047',NULL,'601',0.00,1,2,1),(28,7178930,'1994-01-21 00:00:00',4,8,12,2011,'M','N','BRÁS','S PAULO','SP','125252251214111411331821474124610146022',7847,'9998',50.72,2,3,NULL),(28,7178948,'1994-11-22 00:00:00',2,8,11,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124241241215111431459814575124610124042',8963,'1016',47.86,1,3,NULL),(28,7178956,'1994-07-05 00:00:00',4,15,12,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124244241216321431647923572122610127052',9609,'970',45.75,1,3,NULL),(28,7178964,'1994-09-19 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241235112421466633575124610123172',12633,'738',39.95,1,3,NULL),(28,7178972,'1981-09-16 00:00:00',4,8,12,2001,'M','N','ITAUM','JOINVILLE','SC','124241241146153411353329444224232342182',NULL,'472',0.00,1,3,NULL),(28,7178980,'1993-05-21 00:00:00',4,8,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161215472431479933572112610162182',NULL,'9998',0.00,3,3,NULL),(28,7179006,'1992-01-19 00:00:00',2,1,12,2008,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124201201146131431125644342334610124142',19829,'9998',30.03,2,1,1),(28,7179014,'1990-08-16 00:00:00',2,8,11,2007,'F','N','JARDIM TAQUARAL','S PAULO','SP','125252251216571431447814475125610127057',7061,'9998',51.61,1,3,NULL),(28,7179022,'1993-11-11 00:00:00',4,1,12,2011,'M','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124242241215112431469933575122610127042',7158,'262',53.51,1,3,NULL),(28,7179057,'1993-09-25 00:00:00',4,1,12,2010,'M','N','ARIRIU','PALHOÇA','SC','124241241117372431433714585124610142052',6761,'772',55.98,1,2,1),(28,7179090,'1993-02-04 00:00:00',2,27,12,2010,'M','N','FREI DAMINHÃO','MARAVILHA','SC','124241241126272431324314244323610124042',11752,'1015',43.92,1,2,1),(28,7179103,'1992-06-11 00:00:00',4,15,12,2010,'M','N','CENTENÁRIO','TORRES','RS','120201201116151431434331175122610128057',14875,'9998',36.46,1,3,NULL),(28,7179111,'1973-04-01 00:00:00',4,1,12,1993,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241126131421133344441132610162141',NULL,'757',28.57,1,2,1),(28,7179120,'1964-11-19 00:00:00',2,1,12,1995,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','224251257226131411453353295122610111195',NULL,'9998',20.93,4,3,NULL),(28,7179138,'1994-08-09 00:00:00',2,1,11,2011,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091217111431446632574122610122097',7608,'9998',48.48,4,3,NULL),(28,7179146,'1995-02-11 00:00:00',2,3,12,2012,'M','S','CENTRO','CAMBORIÚ','SC','124243241217121411549613572221610127042',NULL,'44',35.76,1,3,NULL),(28,7179154,'1995-04-14 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111731336931215122610122012',17776,'738',39.54,1,3,NULL),(28,7179162,'1993-05-11 00:00:00',2,23,12,2011,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124244246437271632369923575122610112075',NULL,'1061',17.85,4,3,NULL),(28,7179170,'1995-12-16 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124244241215111421466612375124610127042',NULL,'738',29.68,1,3,NULL),(28,7179189,'1995-07-06 00:00:00',4,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111732577831572122610147047',19120,'1011',34.79,1,3,NULL),(28,7179197,'1994-12-09 00:00:00',4,1,12,2011,'F','N','PQ CRUZEIRO DO SUL','S PAULO','SP','125252251217271431468833575122610124092',238,'9998',75.31,1,3,NULL),(28,7179200,'1994-08-13 00:00:00',4,1,12,2011,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241317111431478613431124610127042',NULL,'1022',22.85,1,3,NULL),(28,7179227,'1993-08-30 00:00:00',4,8,12,2011,'F','N','BELA VISTA','RIO NEGRINHO','SC','124242241215111751688712475122610164191',NULL,'666',0.00,1,3,NULL),(28,7179235,'1993-04-14 00:00:00',4,1,12,2010,'F','N','JARDIM ALGARVE','ALVORADA','RS','120204201417251741234129575114610167074',NULL,'9998',21.57,2,1,2),(28,7179243,'1994-02-15 00:00:00',4,8,12,2011,'F','N','AVENTUREIRO','JOINVILLE','SC','124242241215112431256613574122610127092',2850,'459',62.37,1,3,NULL),(28,7179251,'1993-08-16 00:00:00',4,8,11,2011,'M','N','CENTRO','JOINVILLE','SC','124242241217111231438814372125610167017',9840,'457',44.29,1,3,NULL),(28,7179260,'1995-01-13 00:00:00',2,3,12,2011,'F','N','CENTRO','CAMBORIÚ','SC','124242241215471431338833572124610168072',14413,'1038',46.72,1,3,NULL),(28,7179286,'1994-10-30 00:00:00',4,1,11,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215112431447812582122610127052',5956,'737',55.41,1,3,NULL),(28,7179294,'1992-11-18 00:00:00',4,1,11,2010,'M','N','ITACURUBI','FLORIANÓPOLIS','SC','124242241215272751438814495114610144012',7681,'44',54.45,4,3,NULL),(28,7179308,'1993-09-11 00:00:00',4,6,12,2010,'F','N','CENTRO','ITAJAÍ','SC','124242241216372431466714245122610162192',2488,'1172',63.51,1,3,NULL),(28,7179324,'1995-04-20 00:00:00',4,8,12,2012,'M','S','BUCAREIN','JOINVILLE','SC','124242241217151732469814475114610148187',NULL,'1105',18.64,1,3,NULL),(28,7179332,'1994-06-23 00:00:00',4,3,12,2011,'M','N','VILA REAL','BAL CAMBORIÚ','SC','124241241137111132326723576111610114172',15808,'51',44.08,1,2,1),(28,7179340,'1994-06-14 00:00:00',2,8,12,2011,'M','N','CAPÃO DA IMBUIA','CURITIBA','PR','116163161116131451436714575124610136017',NULL,'9998',0.00,2,1,2),(28,7179359,'1994-08-10 00:00:00',4,4,12,2011,'M','N','CENTRO','CHAPECÓ','SC','124242241212151431389923441125610167062',NULL,'168',23.85,1,3,NULL),(28,7179367,'1994-03-31 00:00:00',4,10,11,2011,'F','N','CENTRO','BRAÇO NORTE','SC','124242241215271411348931475112610125072',6106,'807',52.95,1,3,NULL),(28,7179375,'1992-04-10 00:00:00',4,1,11,2009,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241431372711337823574124121946172',10156,'269',53.47,1,3,NULL),(28,7179383,'1994-06-16 00:00:00',4,24,11,2011,'F','N','SEMINÁRIO','TAIÓ','SC','124241241216472431468613275122610124142',5346,'991',56.15,1,3,NULL),(28,7179391,'1994-06-04 00:00:00',4,1,12,2011,'M','N','REBOUÇAS','CURITIBA','PR','116162161215111431557933575124610127052',13951,'9998',38.33,1,3,NULL),(28,7179405,'1994-12-19 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241217151431326821445122610137072',15046,'1168',38.49,1,3,NULL),(28,7179413,'1994-01-13 00:00:00',4,6,12,2011,'F','N','LAS VEGAS','PONTAL PARANÁ','PR','116162168115231431425714395122610168141',NULL,'9998',25.35,1,3,NULL),(28,7179421,'1995-05-09 00:00:00',4,1,12,2012,'M','S','PEDRA BRANCA','PALHOÇA','SC','124242241215111731368613575124610133142',NULL,'270',43.83,1,3,NULL),(28,7179430,'1993-12-18 00:00:00',4,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124252241215372232335634375114610117042',16982,'1011',41.59,1,3,NULL),(28,7179456,'1994-07-22 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111751227911195124610124072',17544,'1022',40.19,1,3,NULL),(28,7179464,'1992-09-02 00:00:00',2,8,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241115171431466633375124231417082',14412,'307',46.72,1,2,1),(28,7179472,'1985-08-19 00:00:00',2,1,12,2002,'F','N','KOBRASOL','S JOSÉ','SC','124242241215373221368624335122331227057',13030,'270',48.94,1,3,NULL),(28,7179499,'1993-11-15 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216131421559612575122610147052',NULL,'259',19.95,1,3,NULL),(28,7179502,'1994-09-14 00:00:00',4,26,11,2011,'F','N','CENTRO','GETÚLIO VARGAS','RS','120202201217131431638931275122610136157',15616,'9998',32.64,1,3,NULL),(28,7179510,'1994-07-04 00:00:00',2,1,12,2011,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242248217131431359833575114610167112',18312,'300',37.91,1,3,NULL),(28,7179529,'1984-07-16 00:00:00',2,15,12,2007,'M','N','POLICIA RODOVIÁRIA','ARARANGUÁ','SC','224241241126132321332144242111610118044',NULL,'852',33.92,1,2,1),(28,7179537,'1994-11-26 00:00:00',2,5,12,2011,'F','N','CRISTO REDENTOR','CRICIÚMA','SC','124243241335131431433923575124610125057',NULL,'953',24.88,2,1,2),(28,7179553,'1994-04-16 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215152431443672595125610161047',9830,'262',46.04,1,3,NULL),(28,7179570,'1981-03-01 00:00:00',2,1,11,1998,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215575431469511582124333263147',2874,'269',67.22,1,3,NULL),(28,7179588,'1995-03-06 00:00:00',4,1,12,2012,'M','S','BARREIROS','S JOSÉ','SC','124242244215111731378933575122610137012',NULL,'738',38.62,1,3,NULL),(28,7179596,'1994-10-31 00:00:00',2,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241217111431316629475124610117047',12480,'723',40.73,1,3,NULL),(28,7179626,'1994-07-30 00:00:00',4,26,12,2010,'F','N','VITÓRIA I','ERECHIM','RS','120201205116472731443934595124610166147',NULL,'9998',0.00,1,2,1),(28,7179634,'1994-04-06 00:00:00',4,1,11,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241217421731366613375114610161115',5516,'270',55.12,1,3,NULL),(28,7179642,'1993-03-28 00:00:00',4,1,12,2010,'F','N','CENTRO','IPORÁ','GO','109092091217471511668831575124610163072',2930,'9998',60.40,2,3,NULL),(28,7179650,'1994-06-07 00:00:00',4,1,11,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215112431357814575112610141113',8793,'270',49.58,1,3,NULL),(28,7179677,'1993-11-23 00:00:00',4,1,11,2010,'M','N','JARDIM ESPLANADA','S JOSÉ CAMPOS','SP','125252251215471431478832595122610167182',5349,'9998',55.31,1,3,NULL),(28,7179685,'1993-12-21 00:00:00',4,1,12,2011,'M','N','LAGOINHA','RIBEIRÃO PRETO','SP','125251251217111731336322592124610133092',NULL,'9998',0.00,3,3,NULL),(28,7179693,'1991-10-18 00:00:00',2,10,11,2009,'F','N','FÁBIO SILVA','TUBARÃO','SC','124241241112472411325511115121610137147',9127,'804',49.32,1,2,1),(28,7179707,'1993-05-10 00:00:00',4,10,10,2010,'F','N','CENTRO','S MARTINHO','SC','124241241316472431538732575114610113092',6098,'807',52.62,1,3,NULL),(28,7179715,'1994-06-22 00:00:00',2,1,12,2011,'F','N','ARIRIÚ','PALHOÇA','SC','124242241211111731434434572224610138197',5582,'737',55.98,1,3,NULL),(28,7179723,'1994-02-11 00:00:00',4,1,12,2011,'M','N','UNIVERSITARIO','GOIÂNIA','GO','109092091217111711469933575122610134097',7136,'9998',50.45,1,3,NULL),(28,7179731,'1996-01-12 00:00:00',4,1,11,2012,'M','S','RIO GRANDE','PALHOÇA','SC','124242248216111431336839585124610137052',NULL,'1011',45.62,1,3,NULL),(28,7179740,'1993-07-30 00:00:00',4,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241212372431238823575124133244197',1126,'259',69.03,1,3,NULL),(28,7179766,'1993-05-16 00:00:00',4,1,11,2010,'M','N','PITUBA','SALVADOR','BA','105052051216471431478812515122610167042',NULL,'9998',0.00,1,3,NULL),(28,7179774,'1994-07-15 00:00:00',4,1,12,2011,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241216152431248813575124610144075',4393,'1074',58.23,1,3,NULL),(28,7179782,'1989-01-25 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241216131441238769495124230226087',NULL,'977',43.42,1,3,NULL),(28,7179790,'1993-09-05 00:00:00',4,1,12,2011,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241215111431468913575124610163147',18757,'1022',36.27,1,3,NULL),(28,7179804,'1992-09-04 00:00:00',4,1,12,2009,'M','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124242241217272431578813572122221411182',16948,'270',41.65,1,3,NULL),(28,7179812,'1994-06-24 00:00:00',2,16,11,2011,'F','N','REBOUÇAS','CURITIBA','PR','116244161215111731258813571124610135142',9364,'9998',46.19,3,3,NULL),(28,7179820,'1994-08-07 00:00:00',4,4,12,2011,'F','N','CENTRO','PINHALZINHO','SC','124242241216111411358832575124610124147',5613,'185',54.79,1,3,NULL),(28,7179839,'1995-03-10 00:00:00',4,6,11,2011,'M','N','BATEL','CURITIBA','PR','116162161215121431559932574124610132092',NULL,'9998',0.00,1,3,NULL),(28,7179847,'1994-11-23 00:00:00',4,25,12,2011,'F','N','CENTRO','FRAIBURGO','SC','124242241217112411439923575122610127011',14969,'885',36.11,1,3,NULL),(28,7179855,'1994-10-02 00:00:00',4,6,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124132241215111441539933435122610137147',NULL,'9997',0.00,4,3,NULL),(28,7179871,'1992-03-31 00:00:00',2,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241141241431436613445134610114042',NULL,'290',19.30,2,1,1),(28,7179880,'1996-02-09 00:00:00',4,1,12,2012,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241214151711339633575122610166172',NULL,'273',35.86,4,3,NULL),(28,7179898,'1994-03-01 00:00:00',4,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111431668631385114610127112',8021,'272',50.47,1,3,NULL),(28,7179901,'1988-05-04 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252251216575431468814575125610167187',1152,'9998',69.33,1,3,NULL),(28,7179910,'1994-06-08 00:00:00',2,15,12,2011,'F','N','SÃO CRISTÓVÃO','TURVO','SC','124241242116131431423724375124610137147',11721,'690',41.16,1,2,1),(28,7179928,'1993-01-02 00:00:00',4,6,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215472331547632295124610128181',17798,'9997',39.48,1,3,NULL),(28,7179936,'1995-07-24 00:00:00',2,1,12,2013,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111732458839595124610163147',NULL,'270',28.46,1,3,NULL),(28,7179944,'1994-04-09 00:00:00',4,6,10,2011,'M','N','FAZENDA','ITAJAÍ','SC','124242241215111431366832575112610124182',NULL,'1038',0.00,1,3,NULL),(28,7179952,'1968-12-22 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124244247227131431323344346241132724187',NULL,'9999',20.11,1,3,NULL),(28,7179960,'1994-11-11 00:00:00',2,5,11,2011,'F','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241211112431338824575122610124182',4718,'226',56.32,1,3,NULL),(28,7179979,'1993-04-08 00:00:00',4,26,12,2010,'F','N','VITÓRIA I','ERECHIM','RS','120201205116152731443934575124242624147',NULL,'9998',0.00,1,2,1),(28,7179987,'1994-08-30 00:00:00',4,15,11,2011,'M','N','CENTRO','ARARANGUÁ','SC','124242241215371431469813475122610137057',6899,'970',52.92,1,3,NULL),(28,7179995,'1994-06-09 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431568613575122610137072',7807,'738',53.29,1,3,NULL),(28,7180004,'1993-05-31 00:00:00',2,4,12,2010,'F','N','GUANABARA','FRANCISCO BELTRÃO','PR','116162161416431431436819594124610126047',5356,'9998',56.89,1,3,NULL),(28,7180039,'1993-03-12 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215372431359831575122610146122',1771,'270',65.38,1,3,NULL),(28,7180047,'1996-02-17 00:00:00',4,25,12,2012,'F','S','UNIVERSITÁRIO','VIDEIRA','SC','124242241216111411636733572222610138187',NULL,'969',39.82,1,3,NULL),(28,7180055,'1994-07-11 00:00:00',2,8,12,2011,'M','N','ITAUM','JOINVILLE','SC','124243241215111711569933575124610164017',9967,'1016',47.47,1,3,NULL),(28,7180080,'1979-03-30 00:00:00',4,1,12,1998,'M','N','AREIAS','S JOSÉ','SC','124241241126131431334329145122610112067',NULL,'730',16.55,4,2,1),(28,7180110,'1991-06-01 00:00:00',4,1,12,2008,'M','N','ITAUM','JOINVILLE','SC','124242241217373431448819475124220624092',1050,'270',73.78,1,3,NULL),(28,7180128,'1988-03-03 00:00:00',4,1,12,2005,'F','N','ITAUM','JOINVILLE','SC','124242246217374431546411475124220664092',3050,'494',66.75,1,3,NULL),(28,7180136,'1993-05-20 00:00:00',4,1,12,2010,'F','N','CAMBUI','CAMPINAS','SP','125252251217371411469931575122610132187',NULL,'9998',0.00,1,3,NULL),(28,7180144,'1994-11-01 00:00:00',4,8,11,2011,'F','N','CENTRO','JOINVILLE','SC','124242241215111431468832572122610144142',10580,'1063',52.78,1,3,NULL),(28,7180152,'1995-01-06 00:00:00',2,10,12,2011,'F','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124241241215131431444612575122610154147',17774,'1120',30.73,1,3,NULL),(28,7180179,'1994-12-15 00:00:00',2,4,12,2011,'F','N','PASSO DA AREIA','CEL FREITAS','SC','124241241116131431423335575122610168097',NULL,'199',21.46,1,2,1),(28,7180187,'1993-08-21 00:00:00',2,1,12,2011,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215111431668811575122610127142',5544,'262',61.40,1,3,NULL),(28,7180209,'1987-01-11 00:00:00',4,1,12,2004,'M','N','JARDIM FORMOSA','POÇOS CALDAS','MG','113132131247131411345622215115142244052',4683,'9998',63.03,1,3,NULL),(28,7180276,'1993-11-18 00:00:00',2,1,12,2010,'F','N','CENTRO','BIGUAÇU','SC','124242241215372411346913572124610166077',10781,'738',45.83,2,1,2),(28,7180284,'1994-08-07 00:00:00',4,5,12,2011,'M','N','RIO MAINA','CRICIÚMA','SC','124241248215111431327639295124613222047',17453,'995',40.41,1,3,NULL),(28,7180292,'1994-05-03 00:00:00',4,3,12,2011,'M','N','SÃO CRISTÓVÃO','LAJEADO','RS','120202201217271731468932575122610167042',9126,'9998',47.71,1,3,NULL),(28,7180306,'1995-06-26 00:00:00',4,1,11,2012,'M','S','CENTRO','PALHOÇA','SC','124242241215131431448712292122610137042',NULL,'989',35.66,1,3,NULL),(28,7180314,'1994-05-16 00:00:00',2,7,11,2011,'F','N','CENTRO','LUZERNA','SC','124244241217271431379914374122610144182',6321,'454',52.42,1,3,NULL),(28,7180322,'1993-03-30 00:00:00',2,1,12,2010,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124243241136152731225729342124610162047',17784,'257',39.51,1,3,NULL),(28,7180330,'1992-10-26 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215375431568814572122133241142',5850,'1169',59.85,1,3,NULL),(28,7180349,'1994-08-18 00:00:00',4,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241117271752449913593114610168011',3616,'271',60.11,1,3,NULL),(28,7180357,'1994-02-01 00:00:00',4,8,12,2011,'F','N','PARQUE SANTA MARTA','S CARLOS','SP','125252251216111431349933575122610134192',3457,'9998',59.97,1,3,NULL),(28,7180373,'1993-01-27 00:00:00',2,4,12,2010,'F','N','PIONEIRO','PINHALZINHO','SC','124241241116472411468914575122610142192',7792,'616',48.33,1,2,1),(28,7180390,'1989-10-23 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241146233711233971345131610164183',13911,'505',39.94,1,3,NULL),(28,7180403,'1994-05-05 00:00:00',4,8,12,2011,'F','N','SAGUAÇÚ','JOINVILLE','SC','124242241111121431359923175122610126182',2955,'1063',60.33,1,3,NULL),(28,7180420,'1990-12-30 00:00:00',2,1,11,2009,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241115131151433321445123610128182',19814,'592',30.20,1,2,1),(28,7180438,'1994-08-14 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241235112731439814572122610163142',8618,'270',50.16,1,3,NULL),(28,7180454,'1992-02-27 00:00:00',4,1,12,2009,'F','N','JD SÃO CARLOS','SOROCABA','SP','125084081216571431379812575112140441096',1838,'9998',61.75,4,3,NULL),(28,7180462,'1987-12-17 00:00:00',6,1,12,2010,'F','N','CENTRO','MEDIANEIRA','PR','116161168116141732311111495124610142141',NULL,'9998',16.54,1,3,NULL),(28,7180470,'1994-08-11 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241317111431438834572122610132055',3940,'270',59.23,1,3,NULL),(28,7180489,'1994-09-15 00:00:00',4,9,11,2011,'F','N','CENTRO','S JOAQUIM','SC','124242241215471431459713295122610137012',5756,'721',53.45,1,3,NULL),(28,7180497,'1994-05-14 00:00:00',4,1,12,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241248116111431423339395125610167055',NULL,'285',23.71,1,2,1),(28,7180500,'1994-09-13 00:00:00',4,1,11,2011,'M','N','JARDIM MATARAZZO','S PAULO','SP','125252251215111431448614575122610127052',5651,'9998',52.81,1,3,NULL),(28,7180519,'1994-10-07 00:00:00',2,5,12,2011,'F','N','PRÓSPERA','CRICIÚMA','SC','124241241115371431227711385124610112181',NULL,'209',0.00,1,2,1),(28,7180527,'1994-07-01 00:00:00',2,1,11,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215271731436839595122610134077',13922,'737',39.86,1,3,NULL),(28,7180535,'1993-11-08 00:00:00',4,1,12,2010,'M','N','ASILO','BLUMENAU','SC','124242241217473431378831475114610164042',5083,'87',56.33,1,3,NULL),(28,7180543,'1991-05-17 00:00:00',2,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241126274411534431175234230415052',4473,'322',55.18,1,2,1),(28,7180560,'1992-03-31 00:00:00',4,1,12,2009,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215372441368832475114141324181',4085,'1022',58.51,4,3,NULL),(28,7180586,'1992-11-21 00:00:00',4,1,11,2010,'F','N','RECANTO DOS SONHOS','S PAULO','SP','125252251214471431458913575122610167097',3055,'9998',60.39,1,3,NULL),(28,7180608,'1989-09-10 00:00:00',4,8,11,2007,'M','N','AMÉRICA','JOINVILLE','SC','124242241215573431358834575112121417057',3123,'1063',66.56,1,3,NULL),(28,7180616,'1993-03-30 00:00:00',4,1,12,2010,'M','N','JUNDIAÍ','ANÁPOLIS','GO','109092091237471431468922575115610144096',683,'9998',71.64,1,3,NULL),(28,7180624,'1993-12-22 00:00:00',4,1,12,2010,'M','N','VILA OLIVEIRA','MOGI CRUZES','SP','125252251216471211459811371122610162147',1264,'9998',67.47,1,3,NULL),(28,7180632,'1992-04-16 00:00:00',4,1,12,2009,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251216571432467934585121610162016',3679,'9998',58.23,1,3,NULL),(28,7180640,'1993-11-03 00:00:00',2,1,12,2010,'F','N','CENTRO','ARARANGUÁ','SC','124242248215412351456632571112610127111',NULL,'970',30.53,1,3,NULL),(28,7180659,'1995-03-05 00:00:00',4,5,12,2011,'F','N','CNTRO','HORIZONTINA','RS','120202208216111411435339592124610127147',18599,'9998',27.51,1,3,NULL),(28,7180675,'1982-01-27 00:00:00',2,6,12,2000,'F','N','FAZENDA','ITAJAÍ','SC','224245241547132711335651225122330465017',18065,'388',38.69,1,3,NULL),(28,7180683,'1995-02-21 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115111431354632275124610147075',9374,'270',49.01,1,3,NULL),(28,7180691,'1993-07-26 00:00:00',4,1,6,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241216371221559954575124610114047',4016,'273',60.29,1,3,NULL),(28,7180705,'1993-03-13 00:00:00',2,1,11,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115471431537613435124610132092',NULL,'276',27.01,1,2,1),(28,7180713,'1994-09-22 00:00:00',2,10,12,2011,'F','N','CENTRO','JAGUARUNA','SC','124241241117371431536834575124610146072',15077,'1034',38.57,1,2,1),(28,7180721,'1993-05-21 00:00:00',4,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124244247636151731426939375112610124052',NULL,'9999',0.00,1,3,NULL),(28,7180730,'1992-12-29 00:00:00',4,1,12,2010,'M','N','JARDIM DAS PALMEIRAS','CAMPINAS','SP','125252251217471732254821576122610162097',2306,'9998',62.77,1,3,NULL),(28,7180748,'1994-03-07 00:00:00',2,4,10,2010,'M','N','LÍDER','CHAPECÓ','SC','124242241215471431438919472122610147042',NULL,'185',22.70,1,3,NULL),(28,7180756,'1994-03-20 00:00:00',4,1,11,2011,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241215111131447614572111610168142',NULL,'1075',30.21,1,3,NULL),(28,7180764,'1993-01-26 00:00:00',4,10,1,2011,'F','N','CENTRO','S MARTINHO','SC','124241241216372431558613445122610144142',14763,'1120',38.25,1,3,NULL),(28,7180772,'1995-01-05 00:00:00',1,2,12,2012,'F','S','VELHA CENTRAL','BLUMENAU','SC','124244241217151712523335575122610114055',NULL,'87',27.47,1,3,NULL),(28,7180780,'1994-02-17 00:00:00',2,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215131431659614575122610127052',8247,'1198',48.18,1,3,NULL),(28,7180802,'1992-10-22 00:00:00',2,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124241244215473411338614475122610133072',NULL,'459',0.00,1,3,NULL),(28,7180810,'1994-10-24 00:00:00',2,4,12,2011,'F','N','CENTRO','CAPANEMA','PR','116161161114161431448931575115610134197',NULL,'9998',0.00,1,2,1),(28,7180829,'1991-06-22 00:00:00',4,10,12,2010,'M','N','SAMUEL SANDRINI','ORLEANS','SC','124241241137372431426614375112610135047',NULL,'580',22.77,1,3,NULL),(28,7180837,'1988-03-01 00:00:00',2,23,12,2005,'F','N','BARRA DO RIO MOLHA','JARAGUÁ SUL','SC','124243241146371731333319392114610162187',NULL,'438',0.00,1,3,NULL),(28,7180845,'1994-04-12 00:00:00',2,9,12,2011,'F','N','CENTRO','LAGES','SC','124242241216111431368811575122610124092',7699,'497',52.12,1,3,NULL),(28,7180853,'1995-06-17 00:00:00',6,8,12,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241316141431425439295122610127052',NULL,'464',17.40,1,3,NULL),(28,7180861,'1984-12-05 00:00:00',2,1,12,2002,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124241241117373411336614482114610141017',6931,'267',55.01,1,2,1),(28,7180888,'1994-08-11 00:00:00',4,9,11,2011,'F','N','CENTRO','LAGES','SC','624243241215111431666814572122610142092',5197,'497',56.97,1,3,NULL),(28,7180900,'1994-02-11 00:00:00',2,25,12,2010,'M','N','SÃO CRISTÓVÃO','VIDEIRA','SC','124241241215151421334634275122610147092',NULL,'1080',18.88,1,3,NULL),(28,7180918,'1993-08-03 00:00:00',4,1,11,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111411248921572112610127181',NULL,'884',43.81,1,3,NULL),(28,7180934,'1994-07-20 00:00:00',4,1,12,2011,'F','N','BOQUEIRÃO','PASSO FUNDO','RS','120202201217471711447612595122610142142',3717,'9998',58.27,1,3,NULL),(28,7180942,'1994-09-27 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241117151431347923575124610127042',4135,'739',57.61,1,3,NULL),(28,7180969,'1994-06-07 00:00:00',4,25,11,2011,'F','N','CENTRO','CAÇADOR','SC','124162161215121431468912275122610138077',8130,'9998',49.85,1,3,NULL),(28,7180977,'1994-08-27 00:00:00',2,5,12,2011,'M','N','ANGELO GUOLLO','COCAL SUL','SC','124241241217131431334319572124610138177',8502,'188',48.99,1,3,NULL),(28,7180985,'1995-03-17 00:00:00',4,4,11,2011,'M','N','CENTRO','CASCAVEL','PR','116162161215421411335631575125610144062',2387,'9998',62.04,1,3,NULL),(28,7180993,'1995-01-30 00:00:00',4,23,12,2012,'M','S','GUARANI MIRIM','MASSARANDUBA','SC','124241241217111441433532582124610117042',NULL,'1061',0.00,1,3,NULL),(28,7181019,'1991-10-15 00:00:00',2,25,12,2008,'M','N','SANTA MONICA','FRAIBURGO','SC','124243241146371121537613185122130237057',18232,'314',38.20,1,3,NULL),(28,7181027,'1993-05-05 00:00:00',4,8,12,2010,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124242246216372441538619575124232937052',1749,'1105',64.33,1,3,NULL),(28,7181035,'1994-05-08 00:00:00',2,8,12,2011,'F','N','BOM FIM','PTO ALEGRE','RS','120202201216111411369913571112610127052',5366,'9998',55.33,1,3,NULL),(28,7181043,'1994-01-20 00:00:00',4,1,12,2011,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215121411468952595124610134042',4329,'270',57.62,1,3,NULL),(28,7181060,'1994-01-12 00:00:00',4,1,12,2011,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091217111431469914586122610137142',3746,'9998',57.34,1,3,NULL),(28,7181086,'1994-08-05 00:00:00',4,1,11,2011,'M','N','CHACARA MONTE ALEGRE','S PAULO','SP','125252251217151732365814575122610117147',14041,'9998',47.34,1,3,NULL),(28,7181094,'1992-09-09 00:00:00',4,1,12,2009,'F','N','ASA SUL','BRASÍLIA','DF','107072071216211731389933575122242446122',NULL,'9998',0.00,1,3,NULL),(28,7181108,'1994-10-13 00:00:00',4,2,12,2011,'M','N','CENTRO','POMERODE','SC','124282241215372431359811175124610157092',1935,'855',64.05,1,3,NULL),(28,7181132,'1973-09-23 00:00:00',2,1,12,1990,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','424203204217272421238843435122321337097',18459,'9998',37.43,1,3,NULL),(28,7181159,'1994-09-21 00:00:00',4,1,12,2011,'M','N','FAZENDA DO MAX','S JOSÉ','SC','124241241115141531513361245124610117017',NULL,'733',NULL,2,2,1),(28,7181167,'1994-02-01 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431589912575122610168062',8755,'1169',49.34,1,3,NULL),(28,7181175,'1994-09-22 00:00:00',2,8,11,2011,'F','N','BUCAREIN','JOINVILLE','SC','124242241215121732458934575112610162142',17520,'1016',40.25,1,3,NULL),(28,7181191,'1990-11-16 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241415373441465839395124220965192',8416,'983',56.40,1,3,NULL),(28,7181205,'1993-07-18 00:00:00',4,1,12,2010,'F','N','MENINO DEUS','PTO ALEGRE','RS','120202201217371731356923332114610167047',9639,'9998',46.85,1,3,NULL),(28,7181221,'1994-03-16 00:00:00',4,24,12,2011,'F','N','TABOÃO','RIO SUL','SC','124244241417131421427879375125610123147',17126,'659',41.19,4,3,NULL),(28,7181230,'1994-05-09 00:00:00',2,15,12,2011,'M','N','DIVINÉIA','ARARANGUÁ','SC','124242241315131711239934575121610114042',NULL,'30',26.15,1,3,NULL),(28,7181256,'1993-07-26 00:00:00',4,1,12,2010,'F','N','JARDIM SÃO MARCOS','JABOTICABAL','SP','125252251216471431479911595122610162012',2261,'9998',63.25,1,3,NULL),(28,7181264,'1994-08-18 00:00:00',4,1,11,2011,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124244241217111131337724375124610124117',19518,'1134',32.57,4,3,NULL),(28,7181272,'1994-07-07 00:00:00',4,1,11,2011,'F','N','LOT JARDIM SÃO MIGUE','BIGUAÇU','SC','124242241215111231364611572124610122197',5807,'738',53.36,1,3,NULL),(28,7181280,'1994-01-11 00:00:00',4,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242246215161411557714475122610112052',13410,'1119',39.61,1,3,NULL),(28,7181299,'1995-05-08 00:00:00',4,8,12,2012,'F','S','COLONIAL','S BENTO SUL','SC','124242241216111731369911575112610132147',NULL,'1073',32.11,1,3,NULL),(28,7181310,'1991-03-09 00:00:00',4,1,12,2008,'F','N','SAO DIMAS','S JOSÉ CAMPOS','SP','125172171215572431468816575122610164092',147,'9998',77.61,1,3,NULL),(28,7181329,'1994-05-05 00:00:00',2,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215121431424812575122610124182',5525,'723',54.59,1,3,NULL),(28,7181345,'1994-02-03 00:00:00',2,4,12,2011,'M','N','CENTRO','XANXERÊ','SC','124242241215111331663821345122610167064',NULL,'1233',18.20,1,3,NULL),(28,7181361,'1994-02-04 00:00:00',2,8,11,2010,'M','N','MIHEL NEME','PEDERNEIRAS','SP','125254251216471431426612575122610128092',6747,'9998',51.29,1,3,NULL),(28,7181370,'1993-06-16 00:00:00',4,1,12,2011,'M','N','ITACORUBÍ','FLORIANÓPOLIS','SC','124242241215111441259923585112610164191',8923,'1250',47.42,1,3,NULL),(28,7181388,'1992-08-21 00:00:00',4,1,11,2009,'M','N','FLORESTA','S JOSÉ','SC','624242241215372731254623215125231253187',9635,'1118',54.31,4,3,NULL),(28,7181396,'1993-04-07 00:00:00',2,1,11,2011,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215212431479813575124610147183',13019,'1051',40.20,1,3,NULL),(28,7181400,'1993-02-22 00:00:00',2,1,12,2010,'F','N','CENTRO','CAJOBI','SP','125254251215471431234622575111610162092',11500,'9998',43.46,1,3,NULL),(28,7181418,'1990-05-13 00:00:00',2,8,12,2007,'M','N','BOM RETIRO','JOINVILLE','SC','124241241317472431658814573122231467181',13261,'384',48.61,4,3,NULL),(28,7181434,'1995-01-30 00:00:00',2,1,12,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115131231568911412124610117042',NULL,'267',33.53,1,2,1),(28,7181450,'1995-01-14 00:00:00',2,1,12,2011,'F','N','SAO SEBASTIÃO','PALHOÇA','SC','124243241237111432443522275124610127077',NULL,'939',20.62,1,3,NULL),(28,7181469,'1993-08-20 00:00:00',4,8,12,2010,'M','N','ROCIO PEQUENO','S FRANCISCO SUL','SC','124244241215472431435914585124610127111',19728,'494',30.88,4,3,NULL),(28,7181477,'1994-03-10 00:00:00',4,8,12,2010,'F','N','VILA CARRÃO','S PAULO','SP','125254251216471431548871574114610132196',4945,'9998',53.73,3,3,NULL),(28,7181493,'1994-06-19 00:00:00',4,3,12,2011,'M','N','CENTRO','CPO MOURÃO','PR','116162161217111221478831574124610167052',NULL,'9998',0.00,1,3,NULL),(28,7181515,'1993-06-09 00:00:00',4,5,12,2010,'F','N','PINHEIRINHO','CRICIÚMA','SC','124242241216151431549434475122610168142',17645,'995',39.89,1,3,NULL),(28,7181523,'1993-09-06 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431468833475125610161012',515,'262',71.85,1,3,NULL),(28,7181540,'1988-08-16 00:00:00',4,26,12,2006,'F','N','CENTRO','CONCÓRDIA','SC','124241241117135741537632415122342652192',NULL,'192',0.00,1,2,1),(28,7181558,'1995-05-23 00:00:00',4,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115151411447832575124610126077',10314,'267',45.60,1,2,1),(28,7181574,'1992-05-03 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241417373431446672375124610164142',4790,'1022',56.42,1,3,NULL),(28,7181582,'1995-06-20 00:00:00',2,4,12,2011,'F','N','SÃO CRISTÓVÃO','PLANALTO','RS','120201201115131231336612272122610124142',15810,'9998',36.60,1,2,1),(28,7181590,'1994-09-28 00:00:00',4,1,12,2011,'M','N','CENTRO','ÁGUAS MORNAS','SC','124241241117371431348313575114610146142',10226,'739',44.83,1,2,1),(28,7181612,'1994-12-13 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111411489811575112610134095',6346,'883',51.94,1,3,NULL),(28,7181620,'1994-03-22 00:00:00',2,22,11,2010,'M','N','GUABIROTUBA','CURITIBA','PR','116164161216471431446712175114610166147',3341,'9998',60.92,1,3,NULL),(28,7181639,'1992-09-18 00:00:00',2,1,7,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248114372432536621315122610163147',14687,'306',36.82,1,2,1),(28,7181647,'1994-02-25 00:00:00',2,23,12,2011,'F','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124243241215161411437839575122610134181',NULL,'1061',26.53,2,1,2),(28,7181655,'1994-08-04 00:00:00',2,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431336619575122610122077',7645,'738',52.28,1,3,NULL),(28,7181663,'1994-09-23 00:00:00',4,8,11,2011,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215111731446911475124610167051',14501,'1016',37.17,1,3,NULL),(28,7181671,'1990-09-04 00:00:00',2,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215575431355929572124230267147',1293,'751',70.40,1,3,NULL),(28,7181680,'1994-08-02 00:00:00',4,5,12,2011,'M','N','CENTRO','IÇARA','SC','124243241215321431445812275124610132122',11185,'995',51.81,1,3,NULL),(28,7181701,'1994-07-10 00:00:00',4,1,11,2011,'F','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251235371431468832595122610162147',NULL,'9998',0.00,1,3,NULL),(28,7181728,'1995-02-22 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431279923475122610134042',5361,'300',55.62,1,3,NULL),(28,7181736,'1994-07-18 00:00:00',4,5,11,2011,'F','N','PIO CORREA','CRICIÚMA','SC','124242241217372431468812475112610134122',4961,'207',56.33,1,3,NULL),(28,7181744,'1994-03-07 00:00:00',4,1,12,2011,'F','N','JARDIM ORIENTE','S JOSÉ CAMPOS','SP','125252251217111441456612272112610147142',17485,'9998',40.34,1,3,NULL),(28,7181752,'1993-09-23 00:00:00',4,9,3,2011,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116162161216471431489931575112610167092',NULL,'9998',0.00,1,3,NULL),(28,7181760,'1995-01-17 00:00:00',4,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124242241215111431438732575112610123152',12059,'1191',41.64,1,3,NULL),(28,7181779,'1992-08-18 00:00:00',4,5,7,2010,'M','N','CARAVAGGIO','NOVA VENEZA','SC','124244246216141431376932445122231467052',17614,'995',39.99,1,3,NULL),(28,7181787,'1995-01-16 00:00:00',2,4,12,2011,'M','N','DISTRITO DE SÃO LUIZ','CAPANEMA','PR','116161161134111431446935572122610144042',NULL,'9998',0.00,1,2,1),(28,7181795,'1994-12-28 00:00:00',4,10,11,2012,'M','S','DEHON','TUBARÃO','SC','124242244117131431454318585124610162177',NULL,'807',46.78,1,3,NULL),(28,7181809,'1992-08-17 00:00:00',4,1,11,2010,'M','N','JARDIM APOLO','S JOSÉ CAMPOS','SP','125252258217412431358812576122610162142',NULL,'9998',0.00,1,3,NULL),(28,7181817,'1994-07-27 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431469811575122610142192',2495,'262',63.80,1,3,NULL),(28,7181825,'1994-09-30 00:00:00',2,8,12,2011,'F','N','CENTRO','ITAPOÁ','SC','124241241117131441521611372324610164057',19621,'413',22.54,1,2,1),(28,7181841,'1980-09-24 00:00:00',4,1,12,2006,'M','N','CENTRO','JOINVILLE','SC','124242241216374451137844345132430268185',2949,'269',60.76,1,3,NULL),(28,7181850,'1993-08-04 00:00:00',4,1,11,2011,'F','N','TIROL','NATAL','RN','119192191216122731468614475122610134122',6015,'9998',60.56,1,3,NULL),(28,7181876,'1990-09-05 00:00:00',4,1,11,2007,'F','N','IPIRANGA','S JOSÉ','SC','124242241217473451435711275124222266172',16887,'868',41.79,1,3,NULL),(28,7181884,'1984-09-12 00:00:00',4,1,11,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241217132411326641312221610167117',18680,'269',36.55,1,3,NULL),(28,7181906,'1992-09-28 00:00:00',4,1,12,2010,'M','N','SANTA ROSÁLIA','POÇOS CALDAS','MG','113132131226131731437619345124610164012',17295,'9998',40.80,1,3,NULL),(28,7181914,'1983-03-21 00:00:00',2,26,12,2000,'M','N','IMIGRANTES','CONCÓRDIA','SC','624201201316135431226615292214321522187',1577,'9998',66.48,1,3,NULL),(28,7181922,'1994-03-13 00:00:00',2,10,11,2010,'F','N','TRAVESSÃO','BRAÇO NORTE','SC','124241241415472331438614575124610164177',2320,'807',63.35,1,3,NULL),(28,7181930,'1994-02-07 00:00:00',2,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124242241215111422444439575124610168117',NULL,'989',29.75,1,3,NULL),(28,7181965,'1986-10-03 00:00:00',2,1,12,2003,'M','N','CENTRO','CURITIBA','PR','116164161416311341149811475114342164197',NULL,'9998',0.00,3,3,NULL),(28,7181990,'1976-08-21 00:00:00',2,1,12,1995,'M','N','SANTINHO','FLORIANÓPOLIS','SC','224241241126142431333314342122610127062',19554,'280',32.32,4,1,1),(28,7182007,'1995-07-29 00:00:00',2,17,12,2012,'F','S','CENTRO','MAFRA','SC','124241241216111431229613575122610136142',NULL,'541',43.44,1,3,NULL),(28,7182015,'1992-05-19 00:00:00',4,1,12,2009,'M','N','PARQUE SÃO DOMINGOS','S PAULO','SP','125252251216571431467732575124610124052',1484,'9998',66.03,3,3,NULL),(28,7182023,'1963-02-20 00:00:00',5,1,12,2010,'F','N','COBRE','CANELINHA','SC','624201247127131411323144145112610126187',20114,'9999',25.86,1,2,1),(28,7182031,'1994-07-07 00:00:00',4,4,12,2011,'F','N','COLATTO','XANXERÊ','SC','124241241137271731233412245122610124013',15592,'840',38.57,1,2,1),(28,7182040,'1994-06-30 00:00:00',4,4,12,2011,'F','N','PROGRESSO','PALMITOS','SC','124241241115151431358923575122610135177',10324,'601',42.66,1,2,1),(28,7182066,'1993-11-12 00:00:00',2,1,12,2011,'F','N','RIO CAVEIRA','BIGUAÇU','SC','124241241116371431326623575114610154097',NULL,'65',13.08,1,2,1),(28,7182082,'1994-07-12 00:00:00',2,4,12,2011,'M','N','PASSO DA AREIA','CEL FREITAS','SC','124241246217111431446911375122610124042',3622,'1094',59.01,1,3,NULL),(28,7182090,'1993-09-03 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242281215471431458811475114610127112',857,'9998',70.48,1,3,NULL),(28,7182104,'1994-01-07 00:00:00',4,2,11,2011,'M','N','ASILO','BLUMENAU','SC','124242241215371531438814572122610138042',2390,'70',63.25,1,3,NULL),(28,7182112,'1993-11-27 00:00:00',2,16,12,2011,'F','N','SANTO ANTONIO','FRAIBURGO','SC','124241241126141411227623335125610127077',NULL,'315',20.83,1,2,1),(28,7182120,'1993-02-02 00:00:00',2,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115271431423339395124610163057',NULL,'287',19.51,1,2,1),(28,7182139,'1994-10-09 00:00:00',4,1,11,2011,'M','N','DESPRAIADO','CUIABÁ','MT','111112111215111431386931575122610127047',NULL,'9998',34.94,1,3,NULL),(28,7182147,'1993-01-28 00:00:00',4,17,12,2010,'F','N','ALTO DE MAFRA','MAFRA','SC','124241161216131631427821571123231023117',NULL,'9998',16.57,1,3,NULL),(28,7182155,'1991-02-04 00:00:00',4,1,12,2008,'F','N','ACLIMAÇÃO','S PAULO','SP','125252251214571431468912575122610124127',NULL,'9998',0.00,1,3,NULL),(28,7182163,'1992-09-10 00:00:00',2,25,12,2009,'F','N','DOS MUNICIPIOS','CAÇADOR','SC','124241241136371431426624442135131343197',NULL,'122',27.48,1,3,NULL),(28,7182180,'1993-02-26 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241417472431469939372124610127062',441,'270',74.09,1,3,NULL),(28,7182198,'1994-02-27 00:00:00',4,10,12,2011,'F','N','VILA MOEMA','TUBARÃO','SC','124242241217131431348814595112610138147',13291,'797',39.58,1,3,NULL),(28,7182236,'1987-09-07 00:00:00',2,8,12,2004,'F','N','PILARZINHO','CURITIBA','PR','616161111336573411547929295124142923147',NULL,'9998',0.00,1,3,NULL),(28,7182244,'1994-05-17 00:00:00',4,1,12,2011,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241116121431339619595124610136052',11214,'307',44.99,4,2,1),(28,7182252,'1994-11-22 00:00:00',2,17,12,2011,'M','N','CENTRO','CANOINHAS','SC','124243241234111212439839275122610168077',NULL,'973',32.13,1,3,NULL),(28,7182260,'1994-04-15 00:00:00',2,4,12,2011,'M','N','VENEZA','XANXERÊ','SC','124241241117141431339813242122610164077',NULL,'949',21.61,1,3,NULL),(28,7182279,'1992-06-29 00:00:00',4,8,7,2011,'F','N','PORTÃO','CURITIBA','PR','116162168116471431357834395122131412097',4764,'9998',55.00,1,3,NULL),(28,7182287,'1989-04-23 00:00:00',2,1,7,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241247315433441459933445114131964182',8301,'9999',50.40,1,3,NULL),(28,7182295,'1986-05-15 00:00:00',4,16,12,2003,'M','N','FLORESTA','VIDEIRA','SC','124244241416375521133643435122321267097',7295,'855',58.32,1,3,NULL),(28,7182317,'1992-09-16 00:00:00',3,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215372431348614295124231227187',7787,'1133',50.25,1,3,NULL),(28,7182325,'1993-11-23 00:00:00',5,8,12,2011,'M','N','MONTE CARLO','CPO GRANDE','MS','112122121216121431479933575122610134012',10894,'9998',52.29,1,3,NULL),(28,7182333,'1988-12-16 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241217153441439933472124322763052',16658,'270',42.30,1,3,NULL),(28,7182341,'1994-06-23 00:00:00',4,3,12,2011,'M','N','PARQUE ALVORADA','DOURADOS','MS','112122121216111431568831575122610127012',5211,'9998',54.96,1,3,NULL),(28,7182368,'1990-08-14 00:00:00',4,6,12,2007,'M','N','CENTRO','XANXERÊ','SC','124242241217472711458815575124131462017',3475,'836',57.39,1,3,NULL),(28,7182384,'1989-03-01 00:00:00',4,1,12,2006,'M','N','ASA NORTE','BRASÍLIA','DF','107071071216573431468923575112610117047',7746,'9998',48.42,1,3,NULL),(28,7182392,'1993-09-18 00:00:00',4,1,11,2011,'M','N','CENTRO','PALOTINA','PR','116164161416271411459932575111610122122',1942,'9998',66.24,1,3,NULL),(28,7182406,'1993-01-23 00:00:00',4,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124204201216572431468933575124610127047',5093,'9998',56.01,1,3,NULL),(28,7182414,'1993-09-01 00:00:00',4,1,10,2010,'F','N','CRISTO REI','CURITIBA','PR','116162161215472431368921575114610166172',NULL,'9998',0.00,1,3,NULL),(28,7182430,'1993-03-23 00:00:00',2,1,12,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241116472431526414575124610111147',17116,'733',32.76,1,2,1),(28,7182449,'1993-04-04 00:00:00',4,4,12,2010,'F','N','CENTRO','MARMELEIRO','PR','116163161416472431433819575112610165147',4413,'9998',55.10,1,3,NULL),(28,7182465,'1989-06-11 00:00:00',4,8,12,2006,'F','N','GUANABARA','JOINVILLE','SC','124161161116271421443616442132341512147',19601,'9998',32.00,1,2,1),(28,7182473,'1990-07-20 00:00:00',4,1,12,2007,'F','N','SÃO JOÃO','PTO ALEGRE','RS','120244241117132731226769315114610134017',16251,'288',43.23,1,3,NULL),(28,7182481,'1991-02-27 00:00:00',4,1,11,2009,'M','N','AGUA VERDE','CURITIBA','PR','116164167337373431236913294112141264017',NULL,'9998',0.00,1,3,NULL),(28,7182503,'1993-11-03 00:00:00',4,9,12,2011,'M','N','PINHEIROS','OTACÍLIO COSTA','SC','124244241215472431346831575122610167047',9216,'497',47.27,1,3,NULL),(28,7182511,'1993-05-01 00:00:00',2,1,12,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241115271421623324246334610114187',19134,'276',34.72,2,1,1),(28,7182520,'1994-02-03 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122531459911575122610124142',2414,'270',63.66,1,3,NULL),(28,7182538,'1994-04-21 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215112431328923572124610123102',9413,'738',46.27,4,1,2),(28,7182546,'1994-06-20 00:00:00',4,15,12,2011,'M','N','ALTO FELIZ','ARARANGUÁ','SC','124243241415151431426631375112610127112',NULL,'29',21.90,1,3,NULL),(28,7182570,'1993-08-20 00:00:00',2,1,12,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124243241125141751228624292124610122197',NULL,'65',26.10,1,3,NULL),(28,7182597,'1992-04-14 00:00:00',4,1,12,2009,'M','N','VILA MARIANA','S PAULO','SP','125252251217571231248824485125610127042',NULL,'9998',0.00,1,3,NULL),(28,7182619,'1992-12-28 00:00:00',2,8,12,2010,'M','N','FÁTIMA','JOINVILLE','SC','124241241147171431434312342121610117077',19712,'467',31.06,1,2,1),(28,7182627,'1993-08-07 00:00:00',4,1,1,2012,'M','N','SERRARIA','S JOSÉ','SC','124243246117131431536614185114610118177',9370,'306',46.70,4,3,NULL),(28,7182635,'1993-05-13 00:00:00',4,9,5,2011,'F','N','CENTRO','LAGES','SC','124242281435371431448831572122610166017',9931,'9998',53.83,1,3,NULL),(28,7182643,'1987-10-06 00:00:00',2,1,9,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124201247316131431523724175124610154143',8308,'9999',47.27,1,3,NULL),(28,7182651,'1992-10-20 00:00:00',4,1,12,2010,'M','N','JARDIM FERNANDES','S JOSÉ R PRETO','SP','125252251215471431548811475122610167042',1834,'9998',64.36,1,3,NULL),(28,7182660,'1993-10-15 00:00:00',2,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124243241215372431228624345124610144112',13031,'989',44.69,1,3,NULL),(28,7182678,'1994-02-26 00:00:00',4,8,12,2010,'M','N','BONECA DO IGUAÇU','S JOSÉ PINHAIS','PR','116161161116311431648311595124141432087',19933,'9998',28.97,1,2,1),(28,7182694,'1993-12-15 00:00:00',4,24,11,2010,'M','N','CENTRO','PRES GETÚLIO','SC','124241161335371731239929575111610134197',8377,'9998',48.98,1,3,NULL),(28,7182708,'1987-12-10 00:00:00',4,1,12,2003,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241336575431356613345124123034183',12719,'298',49.40,1,3,NULL),(28,7182716,'1993-11-22 00:00:00',4,1,12,2011,'M','N','JARDIM SANTA CÂNDIDA','CAMPINAS','SP','125252251216111431268823575124610127052',NULL,'9998',0.00,1,3,NULL),(28,7182724,'1992-02-02 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116231431425449285115133222187',NULL,'100',36.79,1,2,1),(28,7182740,'1992-11-04 00:00:00',4,1,11,2009,'F','N','REBOUÇAS','CURITIBA','PR','116242161217571431179811575112610164092',3464,'9998',65.68,1,3,NULL),(28,7182759,'1991-11-27 00:00:00',4,1,11,2008,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217152411549911495122233262111',NULL,'270',35.17,1,3,NULL),(28,7182775,'1981-10-14 00:00:00',2,1,12,1999,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241127155711353372415112610167147',18368,'291',37.73,4,2,1),(28,7182791,'1992-10-24 00:00:00',2,1,6,2011,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242248116371221633339495134610127182',15403,'306',36.71,1,3,NULL),(28,7182805,'1978-12-09 00:00:00',2,1,12,1998,'F','N','CAMPINAS','S JOSÉ','SC','124241241344373441116348282124333222097',8594,'653',56.11,1,3,NULL),(28,7182813,'1993-04-20 00:00:00',2,8,12,2010,'M','N','JOÃO COSTA','JOINVILLE','SC','124143248216372431549413572124231427052',14817,'459',45.96,1,3,NULL),(28,7182821,'1971-06-27 00:00:00',4,1,12,1993,'M','N','PARTENON','PTO ALEGRE','RS','220201201126151431436643335334241764187',NULL,'9998',0.00,1,3,NULL),(28,7182848,'1993-05-22 00:00:00',4,22,12,2010,'M','N','CENTRO','BRUSQUE','SC','124241241216272431663614325232133226112',NULL,'1244',0.00,1,3,NULL),(28,7182864,'1994-05-21 00:00:00',4,1,12,2011,'M','N','CENTRO','CPO LARGO','PR','116162161217151431466612575124610167082',4829,'9998',53.66,3,3,NULL),(28,7182902,'1994-03-16 00:00:00',2,15,12,2011,'F','N','VILA SÃO JOSE','ARARANGUÁ','SC','124242241215271431338933572121610122077',19226,'970',34.21,1,3,NULL),(28,7182910,'1990-04-12 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124202241215472431248813574124220267122',1231,'1022',72.82,1,3,NULL),(28,7182929,'1989-03-13 00:00:00',2,1,7,2011,'M','N','DANIELA','FLORIANÓPOLIS','SC','124243247227131711623119195124610168047',NULL,'977',26.61,1,3,NULL),(28,7182937,'1994-04-26 00:00:00',4,1,12,2011,'M','N','PAGARÁ','S PEDRO ALCÂNTARA','SC','124241241127141731423419262224610117147',NULL,'731',19.40,3,2,1),(28,7182953,'1986-04-04 00:00:00',4,1,12,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217373441238922342124221466093',16065,'270',43.58,1,3,NULL),(28,7182961,'1988-03-30 00:00:00',4,1,11,2005,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241317573431434611295224121732092',NULL,'1022',22.74,1,3,NULL),(28,7182970,'1990-03-26 00:00:00',2,4,12,2008,'M','N','INTERIOR','SUL BRASIL','SC','124241241126473411334815455124610117087',6766,'775',54.00,4,2,1),(28,7182996,'1962-01-19 00:00:00',4,1,12,1979,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','224241246116153721443353435122321467042',11320,'306',51.61,1,2,1),(28,7183003,'1993-03-29 00:00:00',4,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124241241115472431436624245114610128057',10554,'295',43.18,1,2,1),(28,7183011,'1993-06-29 00:00:00',2,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124144241315132431345573575124610117047',18210,'267',38.28,1,3,NULL),(28,7183020,'1994-02-04 00:00:00',4,1,12,2011,'F','N','SANTA ISABEL','ÁGUAS MORNAS','SC','124241241115271431423311575224610125057',9825,'978',45.27,1,2,1),(28,7183062,'1992-09-26 00:00:00',2,1,12,2009,'F','N','CENTRO','MELEIRO','SC','124242241216573431554932575112610122092',9706,'813',47.22,1,3,NULL),(28,7183097,'1995-05-22 00:00:00',4,1,12,2012,'F','S','INGLESES','FLORIANÓPOLIS','SC','124242241215111431359613515124610124192',NULL,'1169',32.81,1,3,NULL),(28,7183100,'1993-12-11 00:00:00',4,2,12,2010,'M','N','ÁGUA VERDE','BLUMENAU','SC','124241246215472431458914575122610164062',952,'1018',74.29,1,3,NULL),(28,7183119,'1995-02-14 00:00:00',4,1,11,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241212111431238933575124610164117',10898,'270',52.29,1,3,NULL),(28,7183127,'1994-04-22 00:00:00',4,1,12,2011,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241126131431434411375122610127147',8264,'649',48.63,1,2,1),(28,7183135,'1993-04-01 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241211272431458833431124231437047',7903,'270',48.39,1,3,NULL),(28,7183151,'1979-06-04 00:00:00',2,1,11,2001,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224241247136134431323154442334610122157',NULL,'9999',33.47,2,1,1),(28,7183160,'1988-02-16 00:00:00',4,1,8,2009,'M','N','FORQUILHAS','S JOSÉ','SC','124201247147131431234344145213610135057',NULL,'736',0.00,1,3,NULL),(28,7183186,'1987-06-17 00:00:00',2,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241247227474731423129182114610127037',NULL,'1198',13.83,1,3,NULL),(28,7183194,'1991-10-29 00:00:00',2,1,11,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116375411323324345124233227047',19329,'281',33.74,1,3,NULL),(28,7183208,'1994-03-08 00:00:00',2,1,12,2011,'F','N','CENTRO','PAULO LOPES','SC','124241241125111421328434475124610134142',13534,'262',41.37,1,3,NULL),(28,7183216,'1994-03-03 00:00:00',2,1,12,2011,'M','N','AREIAS','FLORIANÓPOLIS','SC','124241241115251411323329275124610117042',15476,'295',39.68,1,2,1),(28,7183224,'1981-05-23 00:00:00',4,1,6,1999,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242247436154231236343435122322728187',15644,'1003',44.40,1,3,NULL),(28,7183232,'1984-02-10 00:00:00',2,1,7,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241248146375411641144145123610164143',9030,'9999',46.91,1,2,1),(28,7183240,'1994-05-02 00:00:00',4,1,12,2011,'F','N','SERTAO DO MARUIM','S JOSÉ','SC','124243241147131431625519595124610126017',16507,'869',34.68,1,3,NULL),(28,7183259,'1994-10-12 00:00:00',2,4,12,2011,'M','N','CENTRO','ABELARDO LUZ','SC','124241162116111432449933575122610127062',NULL,'9998',22.65,4,2,1),(28,7183267,'1991-09-22 00:00:00',2,1,12,2008,'F','N','PENHA','PAULO LOPES','SC','124241241117132441421539582124233228142',10595,'361',49.51,1,2,1),(28,7183275,'1989-10-24 00:00:00',2,1,12,2007,'M','N','ARIRIÚ','PALHOÇA','SC','124241241116132531123444242134133225152',12246,'592',50.17,1,2,1),(28,7183283,'1992-09-19 00:00:00',4,1,12,2009,'M','N','SÃO JOSÉ','S JOSÉ','SC','124242241217373431447614445132610167042',18024,'724',38.84,1,3,NULL),(28,7183305,'1988-09-02 00:00:00',4,1,11,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124171171216471431436844445114610164142',NULL,'9998',20.60,4,3,NULL),(28,7183313,'1994-12-18 00:00:00',4,6,12,2011,'F','N','CENTRO','ITAJAÍ','SC','124242241215271431468823575122610124192',10897,'388',52.29,1,3,NULL),(28,7183321,'1990-06-06 00:00:00',2,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241247321141411223444241334610126067',18458,'9999',37.43,4,3,NULL),(28,7183348,'1993-11-20 00:00:00',4,17,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161215412431469914574112610131182',3446,'9998',59.47,1,3,NULL),(28,7183356,'1994-01-10 00:00:00',4,24,12,2011,'F','N','SITIO PETERS','POUSO REDONDO','SC','124241241115371231513316371224610117142',18427,'639',28.47,1,3,NULL),(28,7183364,'1992-12-27 00:00:00',2,10,11,2010,'F','N','DEHON','TUBARÃO','SC','124241241217272731436413572115132663077',9168,'1120',48.88,1,3,NULL),(28,7183372,'1990-10-12 00:00:00',2,1,12,2007,'M','N','HARMONIA','CANOAS','RS','120203201217271431245721345125141437112',10517,'9998',44.17,4,3,NULL),(28,7183380,'1994-09-24 00:00:00',2,1,12,2011,'F','N','AREIAS','PAULO LOPES','SC','124243241225131431425414572124610134147',12704,'262',40.25,1,3,NULL),(28,7183399,'1991-03-04 00:00:00',4,23,12,2008,'M','N','VILA RAU','JARAGUÁ SUL','SC','124241241136371411323114175121610134052',NULL,'425',0.00,1,2,1),(28,7183402,'1991-04-13 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241142375411226674283114610124142',15196,'1248',37.08,1,2,1),(28,7183410,'1991-04-01 00:00:00',4,1,12,2008,'F','N','JARDIM SAO MIGUEL','BIGUAÇU','SC','124242241237161721325319375112610168141',NULL,'63',27.17,1,3,NULL),(28,7183429,'1990-10-23 00:00:00',4,1,12,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241347132431129844345233133268047',NULL,'359',27.82,1,3,NULL),(28,7183437,'1993-07-01 00:00:00',2,8,12,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124241241111472431436614292122610137047',19981,'492',28.42,1,2,1),(28,7183445,'1994-05-25 00:00:00',2,8,11,2011,'F','N','CENTO','CURITIBA','PR','116163161214111431124671575115610134072',NULL,'9998',0.00,1,3,NULL),(28,7183470,'1994-11-28 00:00:00',2,1,12,2011,'M','N','FORQUILHAS','S JOSÉ','SC','124241241115151432326634575114610166197',5771,'739',52.74,1,2,1),(28,7183488,'1992-11-12 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201116372431526814375124610127147',3739,'9998',60.53,1,2,1),(28,7183496,'1994-05-07 00:00:00',2,1,12,2011,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241116371431224424575124610133072',12180,'592',42.08,1,2,1),(28,7183518,'1991-12-06 00:00:00',4,4,3,2010,'F','N','SÃO CRISTOVÃO','CHAPECÓ','SC','124241241312372231526411345115610122097',NULL,'169',17.89,1,3,NULL),(28,7183526,'1984-06-30 00:00:00',2,1,12,2002,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124202201126131711126649342124130224153',NULL,'9998',24.53,2,3,NULL),(28,7183534,'1991-02-22 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241242116142431536519275224221414042',NULL,'24',18.24,1,2,1),(28,7183542,'1992-02-08 00:00:00',2,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241116141731323829295124610114087',NULL,'727',22.16,1,2,1),(28,7183550,'1991-03-01 00:00:00',4,4,12,2008,'F','N','ZONA','UMUARAMA','PR','116162161215471431348911385122140322181',7617,'9998',57.77,1,3,NULL),(28,7183569,'1993-06-10 00:00:00',4,1,12,2010,'M','N','GARCIA','BLUMENAU','SC','124242241217372431458833575114610117042',8230,'87',52.61,1,3,NULL),(28,7183577,'1993-06-16 00:00:00',4,1,12,2010,'F','N','TROPICAL','CASCAVEL','PR','116164161116471731456824575122610134182',NULL,'9998',26.74,1,3,NULL),(28,7183585,'1992-06-02 00:00:00',4,1,12,2009,'F','N','SANTO ANTÔNIO','JANDIRA','SP','125254251436572431234624375114610145042',11046,'9998',42.61,1,3,NULL),(28,7183607,'1992-11-22 00:00:00',4,1,12,2010,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124244248116132431536614575124610112142',4989,'306',54.42,4,3,NULL),(28,7183615,'1992-11-11 00:00:00',4,4,11,2009,'M','N','ZONA RURAL','ACREÚNA','GO','109142161216471411367612575122610164042',NULL,'9998',20.76,1,3,NULL),(28,7183623,'1989-01-31 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243247216471411525644245334610167057',19964,'9999',28.65,2,3,NULL),(28,7183631,'1994-10-23 00:00:00',2,6,12,2011,'F','N','CORDEIROS','ITAJAÍ','SC','124241241115271711525614245234610116187',NULL,'396',0.00,1,2,1),(28,7183658,'1984-02-22 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161241146151421235544245123342934173',15693,'636',44.32,1,3,NULL),(28,7183666,'1991-10-03 00:00:00',4,4,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241212573741349911592125610156192',350,'497',75.48,1,3,NULL),(28,7183682,'1978-11-12 00:00:00',4,1,12,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161244126132421133343235124231368147',NULL,'500',0.00,1,2,1),(28,7183690,'1993-05-25 00:00:00',4,5,12,2010,'F','N','VILA MACARINI','CRICIÚMA','SC','124242246215372431447914575124131432147',3884,'995',57.73,1,3,NULL),(28,7183704,'1993-11-10 00:00:00',2,1,12,2011,'F','N','GANCHOS DO MEIO','GOV CELSO RAMOS','SC','124242241135371431436624572224610127057',18197,'329',38.31,1,3,NULL),(28,7183712,'1992-12-09 00:00:00',4,1,12,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241116473431328611375124610146017',2508,'267',64.96,1,2,1),(28,7183739,'1993-04-20 00:00:00',2,1,12,2010,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124241241115272431323624295114610127142',NULL,'307',37.75,1,2,1),(28,7183747,'1992-06-01 00:00:00',2,1,12,2009,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241115133431224669442124121236033',14467,'733',38.08,1,2,1),(28,7183755,'1994-02-18 00:00:00',4,8,12,2011,'F','N','CENTRO','JAÚ','SP','125252251216111431437632572122610121194',15512,'9998',32.56,1,3,NULL),(28,7183763,'1993-08-16 00:00:00',2,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116472731323629285124610163147',15271,'307',35.26,1,3,NULL),(28,7183771,'1992-03-26 00:00:00',2,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126472731533834385124610167092',13910,'290',40.64,1,2,1),(28,7183798,'1993-09-15 00:00:00',4,4,11,2010,'M','N','CENTRO','S DOMINGOS','SC','124241241117151231558733295122610117042',18025,'707',29.52,1,2,1),(28,7183810,'1975-07-08 00:00:00',2,1,11,1993,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243251126132411326624285124610154027',11636,'9998',51.11,1,3,NULL),(28,7183836,'1994-06-17 00:00:00',2,1,12,2011,'M','N','STOANTONIO DE LISBOA','FLORIANÓPOLIS','SC','124241241116371732427434575124610127057',15939,'307',35.83,1,2,1),(28,7183844,'1991-05-10 00:00:00',4,1,12,2008,'F','N','VILA HORTENCIA','SOROCABA','SP','125251251125471431436611285124343221182',10519,'9998',41.23,1,2,1),(28,7183852,'1990-12-03 00:00:00',2,1,12,2010,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241122131521423619182311610147047',NULL,'288',0.00,4,3,NULL),(28,7183860,'1988-03-27 00:00:00',2,1,12,2005,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241117213451323319371124330823077',17074,'307',41.37,1,2,1),(28,7183879,'1990-08-22 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124164161216574351188832197112221462105',NULL,'9998',0.00,1,3,NULL),(28,7183887,'1993-04-23 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241117472442214954385114610164117',4812,'278',56.68,1,3,NULL),(28,7183895,'1991-03-11 00:00:00',2,1,11,2008,'F','N','RACHADEL','ANTÔNIO CARLOS','SC','124241241315374431443329475224610167142',9028,'270',55.40,1,3,NULL),(28,7183909,'1994-03-02 00:00:00',2,1,12,2011,'F','N','RIO GRANDE','PALHOÇA','SC','124241241115371431523331575124610126182',13053,'592',41.86,1,2,1),(28,7183917,'1994-04-09 00:00:00',4,1,2,2012,'F','N','IPIRANGA','S JOSÉ','SC','124241241111371431426611575124610126092',7046,'739',52.37,1,2,1),(28,7183925,'1985-07-18 00:00:00',4,1,12,2003,'F','N','SERTÃO DO IMARUI','S JOSÉ','SC','624241241126471431436354285124610127147',NULL,'393',13.16,1,3,NULL),(28,7183950,'1994-09-02 00:00:00',4,7,12,2011,'M','N','CENTRO','JOAÇABA','SC','124242241215371431268812575122610127052',20116,'446',25.81,1,3,NULL),(28,7183968,'1993-05-15 00:00:00',4,8,12,2010,'F','N','VITOR DANTAS','CORNÉLIO PROCÓPIO','PR','116162161216371431457932575112610124142',13405,'9998',48.38,1,3,NULL),(28,7183976,'1993-11-02 00:00:00',2,1,12,2011,'M','N','CALEMBA','STO AMARO IMPERATRIZ','SC','124243241115371431526614585124610137052',9669,'306',46.36,1,3,NULL),(28,7183984,'1994-05-30 00:00:00',4,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127141431523514385124610128097',NULL,'283',33.18,1,2,1),(28,7183992,'1994-12-05 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115371431524414575124610167042',NULL,'592',0.00,4,2,1),(28,7184000,'1986-04-11 00:00:00',2,1,12,2003,'F','N','BARREIROS','S JOSÉ','SC','124201201116131431123344345114610143187',NULL,'9998',0.00,1,2,1),(28,7184026,'1988-09-05 00:00:00',4,1,12,2006,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241117375431434313435124221064181',2402,'295',68.54,4,2,1),(28,7184034,'1988-11-22 00:00:00',2,1,12,2005,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','624201201116374751635519182124610138187',4587,'9998',58.36,1,2,1),(28,7184042,'1986-02-19 00:00:00',2,1,12,2003,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241126372431326314486124610122157',7411,'736',50.81,1,2,1),(28,7184050,'1993-12-14 00:00:00',2,1,12,2011,'M','N','ALTO ARIRIÚ','PALHOÇA','SC','124242241215111431534412572124610167042',NULL,'1223',29.82,1,3,NULL),(28,7184077,'1993-01-14 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241316122411434324575124610163022',16968,'270',34.94,1,3,NULL),(28,7184085,'1991-08-08 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243247214371311116648382124130222172',19517,'9999',32.57,1,3,NULL),(28,7184093,'1983-03-03 00:00:00',2,2,12,2001,'M','N','WARNOW','INDAIAL','SC','124161241121131451421143131233610157047',14097,'194',39.30,1,2,1),(28,7184107,'1993-11-30 00:00:00',2,16,12,2011,'F','N','APARECIDA','CURITIBANOS','SC','124241241115471512523516572324610127177',NULL,'1128',14.54,1,3,NULL),(28,7184115,'1990-09-20 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241316374431558513385124121367097',463,'300',73.97,1,3,NULL),(28,7184123,'1993-11-19 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241241141371411126629191114610132052',NULL,'840',0.00,1,2,1),(28,7184131,'1987-04-16 00:00:00',2,1,11,2004,'M','N','CANAS VIEIRAS','FLORIANÓPOLIS','SC','124241241141131411536612241134130244042',NULL,'95',0.00,1,2,1),(28,7184140,'1993-03-17 00:00:00',2,1,12,2011,'F','N','JARDIM PRIMAVERA','RANCHARIA','SP','125251251127161431425411575121610142057',NULL,'9998',0.00,1,2,1),(28,7184158,'1991-11-24 00:00:00',2,1,11,2009,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124241241116474431325344245124610122057',15321,'1248',36.84,1,2,1),(28,7184166,'1992-10-03 00:00:00',4,8,12,2009,'F','N','NOVA GERTY','S CAETANO SUL','SP','125251251116571431543313345135610116017',7267,'9998',52.65,1,2,1),(28,7184174,'1992-06-03 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124203241127132431537619445124133217057',13794,'1248',40.55,1,3,NULL),(28,7184182,'1994-08-29 00:00:00',4,1,12,2011,'F','N','PALHOÇA CENTRO','PALHOÇA','SC','124241241415131431226923585124610166187',10422,'592',44.30,1,3,NULL),(28,7184190,'1992-02-27 00:00:00',4,2,11,2009,'M','N','SALTO','BLUMENAU','SC','124242243215372431349912475124131431032',1387,'1018',68.64,1,3,NULL),(28,7184204,'1979-09-21 00:00:00',4,1,12,1997,'M','N','ROÇADO','S JOSÉ','SC','124243241127375451444823212212610147057',NULL,'293',0.00,1,3,NULL),(28,7184212,'1992-09-26 00:00:00',2,10,12,2010,'M','N','CENTRO','LAGUNA','SC','124242241215471431349933435124133262117',11403,'362',42.14,1,3,NULL),(28,7184220,'1977-06-15 00:00:00',4,1,12,1996,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','624201201316131421225758415124333243094',NULL,'9998',0.00,5,3,NULL),(28,7184255,'1980-01-31 00:00:00',4,17,11,1997,'M','N','CENTRO','CANOINHAS','SC','124242241116153421454643435122340742087',2982,'145',59.88,1,3,NULL),(28,7184263,'1994-04-13 00:00:00',4,1,1,2012,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115271431436634574124610164187',8930,'307',47.82,1,2,1),(28,7184271,'1985-05-06 00:00:00',2,1,12,2002,'F','N','JARDIM CARANDAI','BIGUAÇU','SC','124241241117372741323443332214610164197',12353,'65',42.80,2,1,1),(28,7184280,'1989-05-10 00:00:00',2,1,12,2007,'M','N','CAMOBI','STA MARIA','RS','120201201126371411314444445134243222077',NULL,'9998',0.00,1,3,NULL),(28,7184301,'1991-10-18 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117132331425421345224610134043',16049,'257',36.87,1,2,1),(28,7184310,'1989-11-04 00:00:00',2,4,12,2006,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','624241241122272731223674185124232426057',7859,'36',50.30,1,2,1),(28,7184328,'1973-03-26 00:00:00',4,1,10,2011,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','224241247141154751531343231114122966175',4097,'9999',58.80,1,2,1),(28,7184336,'1994-03-12 00:00:00',4,1,12,2011,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241117271731216721585124610144177',13383,'591',39.92,1,2,1),(28,7184344,'1985-01-18 00:00:00',4,1,12,2002,'M','N','VILA SÃO PEDRO','S JOSÉ CAMPOS','SP','125251251116572411231329282224610122092',8207,'9998',47.34,2,1,1),(28,7184360,'1986-01-27 00:00:00',4,24,12,2003,'F','N','LARANJEIRAS','RIO SUL','SC','124201201116474431238811475124610163181',6421,'9998',54.41,1,2,1),(28,7184387,'1991-08-08 00:00:00',2,8,11,2008,'M','N','BOEHMERWALD','JOINVILLE','SC','124241241127271421423414485124610142172',13832,'482',47.67,1,2,1),(28,7184409,'1991-02-22 00:00:00',4,10,12,2008,'F','N','STO ANTÔNIO DE PÁDUA','TUBARÃO','SC','124241241116572431626611275122132827097',2959,'1034',62.11,1,2,1),(28,7184417,'1968-10-06 00:00:00',4,1,12,1990,'F','N','PARQUE AGARI','PARANAGUÁ','PR','116161168126141431423343135334343215141',NULL,'9998',0.00,1,3,NULL),(28,7184425,'1991-03-22 00:00:00',2,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241136133431326623395124222237147',9227,'199',49.23,1,2,1),(28,7184433,'1992-11-17 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116272431226644245124610121147',16128,'697',32.85,1,2,1),(28,7184441,'1980-06-28 00:00:00',2,1,12,2002,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201126132431126344345334130227047',NULL,'9998',0.00,2,1,1),(28,7184450,'1958-02-20 00:00:00',5,2,2,1978,'F','N','VICTOR KONDER','BLUMENAU','SC','324251251414375411124349295124222862187',NULL,'9998',0.00,1,3,NULL),(28,7184468,'1986-08-03 00:00:00',2,1,12,2003,'M','N','BELA VISTA','RIO PEDRAS','SP','125251251127571431323217185221142344047',1975,'9998',65.44,1,2,1),(28,7184476,'1992-07-27 00:00:00',2,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201201115472411125648281124610126192',5142,'9998',55.30,4,2,1),(28,7184484,'1989-03-17 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201201115271731323335492124143234147',12657,'9998',40.07,1,3,NULL),(28,7184492,'1983-05-04 00:00:00',5,1,12,1999,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241126135231124444145124222328017',11877,'372',41.98,1,3,NULL),(28,7184506,'1991-12-21 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117473431336833372124130221042',6609,'257',54.86,1,2,1),(28,7184514,'1993-09-29 00:00:00',4,1,12,2010,'F','N','CENTRO','S JOÃO SUL','SC','124241241137132431325623572124610144052',NULL,'717',21.20,1,2,1),(28,7184522,'1993-11-27 00:00:00',4,1,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117371431426621575124610122147',12767,'307',43.27,1,2,1),(28,7184530,'1993-12-29 00:00:00',2,5,12,2011,'F','N','VILA NOVA','COCAL SUL','SC','124241241126131432213319595122610168147',NULL,'822',0.00,1,2,1),(28,7184549,'1990-11-23 00:00:00',4,1,12,2008,'F','N','FLORESTA','S JOSÉ','SC','124243241117371431226624382224610121177',14100,'257',36.32,1,3,NULL),(28,7184557,'1995-04-06 00:00:00',4,4,12,2011,'M','N','CENTRO','CURITIBA','PR','116242161215151441344812575125610165171',3603,'9998',65.35,1,3,NULL),(28,7184565,'1993-08-27 00:00:00',2,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241115372231444313575124610124147',4480,'257',58.35,1,2,1),(28,7184573,'1989-03-08 00:00:00',2,8,12,2006,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241137131731323344345134610162057',12854,'470',41.38,4,2,1),(28,7184581,'1994-09-22 00:00:00',2,4,12,2010,'M','N','CASCATINHA','PTE SERRADA','SC','124241241126371431423614595124610115142',2058,'629',63.34,1,2,1),(28,7184611,'1992-08-19 00:00:00',2,1,12,2009,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241111472431533364341334610127047',15204,'288',37.75,1,2,1),(28,7184620,'1986-08-06 00:00:00',2,1,12,2000,'M','N','BELA VISTA','PALHOÇA','SC','124201201126131411126241315123233264057',18223,'9998',38.23,1,2,1),(28,7184646,'1994-02-28 00:00:00',4,1,11,2011,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215112431448814592112610164077',17868,'1169',39.30,1,3,NULL),(28,7184654,'1993-08-06 00:00:00',2,16,12,2010,'M','N','LINHA RIO DO MEIO','LEBON RÉGIS','SC','124241241117161431524415252224130824017',NULL,'532',0.00,1,3,NULL),(28,7184662,'1990-09-28 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241115373441425511385124131427142',4341,'288',59.48,1,2,1),(28,7184670,'1990-02-25 00:00:00',2,24,12,2007,'F','N','BATEL','CURITIBA','PR','116241241127333411123344245124130237092',NULL,'364',26.31,1,2,1),(28,7184689,'1993-10-08 00:00:00',2,1,12,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124243241215111721423311372114610112141',NULL,'1040',0.00,1,3,NULL),(28,7184697,'1993-07-23 00:00:00',2,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117471431525611376124610137163',11157,'298',45.54,2,1,1),(28,7184700,'1983-03-07 00:00:00',4,15,12,2000,'M','N','COLONINHA','ARARANGUÁ','SC','224241241146272431347743332122131064117',14148,'641',47.19,1,2,1),(28,7184719,'1992-11-14 00:00:00',4,7,12,2009,'F','N','VILA RICA','HERVAL D OESTE','SC','124241241116371751523624345124231426072',10286,'341',53.25,1,3,NULL),(28,7184735,'1989-07-24 00:00:00',2,1,12,2006,'M','N','CAMINHO NOVO','PALHOÇA','SC','124246248647142431314419341244610117012',17904,'9997',39.20,2,1,2),(28,7184743,'1987-11-12 00:00:00',2,1,12,2005,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241247126135431433423345124320514147',11501,'9999',51.31,1,2,1),(28,7184751,'1993-06-13 00:00:00',4,1,11,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241137271431521335342224610124177',18715,'922',36.40,4,3,NULL),(28,7184778,'1994-03-04 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241115471431327629282124610145057',6357,'271',54.17,1,3,NULL),(28,7184794,'1993-04-27 00:00:00',2,1,12,2010,'M','N','AREIAS','PAULO LOPES','SC','124241248226111732345614372112133217057',17347,'262',40.66,1,3,NULL),(28,7184816,'1979-09-17 00:00:00',2,1,12,1998,'F','N','DONA VANDA SERRARIA','S JOSÉ','SC','224241248122112411323451182324610113142',NULL,'293',13.01,1,2,1),(28,7184824,'1979-11-14 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241127133431221444341224120536097',NULL,'307',0.00,1,2,1),(28,7184832,'1992-06-13 00:00:00',2,1,12,2009,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241117474411116944345124610143192',17838,'288',29.34,1,2,1),(28,7184859,'1993-04-29 00:00:00',2,10,12,2010,'F','N','CENTRO','OSÓRIO','RS','120201201116471431346811371112610123012',NULL,'9998',25.64,1,2,1),(28,7184867,'1994-05-05 00:00:00',2,1,12,2011,'F','N','CAMPOS ELÍSEOS','RIBEIRÃO PRETO','SP','125133251211111422456813571124610165097',NULL,'9998',0.00,1,3,NULL),(28,7184875,'1990-08-30 00:00:00',4,1,12,2007,'M','N','JOAIA','TIJUCAS','SC','124241248126131441633334245121130612172',NULL,'783',10.10,2,1,1),(28,7184883,'1994-05-14 00:00:00',2,1,12,2011,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241117471411425524276124610143197',12799,'257',43.86,2,1,1),(28,7184891,'1993-02-23 00:00:00',4,3,12,2010,'M','N','PRIMAVERA','NOVO HAMBURGO','RS','120202201216472411468712485122141422042',10936,'9998',52.22,1,3,NULL),(28,7184905,'1994-12-17 00:00:00',2,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124242241216131431428624575124610164142',18162,'1078',32.33,1,3,NULL),(28,7184913,'1994-04-22 00:00:00',4,1,12,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215272431458811575124123224042',9563,'270',54.43,1,3,NULL),(28,7184921,'1992-01-01 00:00:00',2,1,12,2009,'F','N','JD SATÉLITE','S JOSÉ CAMPOS','SP','125251251117571431223829575124610133097',2729,'9998',59.55,1,2,1),(28,7184930,'1993-07-12 00:00:00',2,1,12,2010,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124244241215132411425531245224230824147',NULL,'988',35.37,1,3,NULL),(28,7184948,'1994-01-25 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111441569913235112610124172',5004,'270',55.38,1,3,NULL),(28,7184956,'1992-10-25 01:00:00',2,1,12,2010,'M','N','JD STA CRUZ','S PAULO','SP','125254251215371731667811345134610128112',13404,'9998',48.38,1,3,NULL),(28,7184964,'1991-12-30 00:00:00',4,1,12,2009,'M','N','JARDIM PARAÍSO','CATALÃO','GO','109091091116371411223623574324610122187',NULL,'9998',0.00,1,2,1),(28,7184972,'1993-07-18 00:00:00',4,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241216373431438832575112133236157',9685,'226',46.85,1,3,NULL),(28,7184980,'1987-07-22 00:00:00',4,4,12,2005,'M','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124243241436151431556933472122231427052',NULL,'1046',8.09,2,1,2),(28,7185006,'1987-09-20 00:00:00',2,1,12,2005,'F','N','SERRARIA','S JOSÉ','SC','124241241116372431346633445132133022192',18070,'739',38.68,1,3,NULL),(28,7185014,'1993-02-25 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124212201214132431328611175124231328142',16875,'9998',41.82,1,3,NULL),(28,7185022,'1985-10-23 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124134131136133431318779385121130761092',7576,'9998',50.13,1,3,NULL),(28,7185049,'1975-05-18 00:00:00',2,1,12,1994,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242247214134411226327312112610114012',NULL,'272',0.00,1,3,NULL),(28,7185065,'1989-02-14 00:00:00',4,8,10,2006,'M','N','CENTRO','JOINVILLE','SC','124242241215574411458811574122120267112',18,'1063',84.85,1,3,NULL),(28,7185073,'1992-11-15 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117372731428814185124610132097',NULL,'475',32.28,3,2,1),(28,7185090,'1985-11-16 00:00:00',4,4,12,2002,'F','N','CENTRO','STA MARIA','RS','120203201216572431358813595122342836142',390,'9998',74.18,1,3,NULL),(28,7185103,'1991-02-24 00:00:00',2,1,4,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117372431325321315124610124042',11866,'306',42.91,1,2,1),(28,7185120,'1993-12-11 00:00:00',2,1,12,2010,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241112472731423319572324610124147',13277,'592',41.64,1,2,1),(28,7185138,'1994-05-16 00:00:00',4,8,12,2011,'M','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241116371431534611575124610122122',7639,'484',52.44,1,2,1),(28,7185146,'1990-06-21 00:00:00',4,10,12,2007,'M','N','VILA SANTO ANTONIO','IMBITUBA','SC','124241241116134451333419295223610161142',NULL,'359',0.00,1,2,1),(28,7185162,'1992-07-15 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241117573431435611235124231925142',9292,'257',48.21,2,1,1),(28,7185170,'1993-01-29 00:00:00',4,8,11,2009,'F','N','CENTRO','MARINGÁ','PR','116162161211571751478811591122610165092',NULL,'9998',0.00,1,3,NULL),(28,7185189,'1991-04-23 00:00:00',2,8,12,2008,'M','N','REBOUÇAS','CURITIBA','PR','116164161116571731566939595125610118097',NULL,'9998',0.00,1,3,NULL),(28,7185197,'1993-09-02 00:00:00',4,1,2,2012,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241117371451446723475124610122122',6296,'739',54.34,2,1,2),(28,7185219,'1993-07-01 00:00:00',4,1,12,2010,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125253251216412431553612571122610143182',NULL,'9998',0.00,1,3,NULL),(28,7185227,'1994-08-01 00:00:00',2,3,12,2011,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124243241115371431316629475122610126192',NULL,'873',0.00,1,3,NULL),(28,7185235,'1985-04-25 00:00:00',2,1,6,2004,'F','N','ALTO ARIRIRU','PALHOÇA','SC','124241241126473112423319445334610143092',NULL,'592',26.99,1,2,1),(28,7185243,'1993-11-18 00:00:00',2,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116472431323419575124610123157',NULL,'730',23.64,1,2,1),(28,7185251,'1993-06-24 00:00:00',4,2,11,2010,'M','N','FORTALEZA','BLUMENAU','SC','124241246217472441474952415124610143112',7220,'1018',54.01,1,3,NULL),(28,7185260,'1980-06-09 00:00:00',4,1,12,1997,'F','N','CENTRO','FLORIANÓPOLIS','SC','124251161127275431314829215124122232197',9236,'9998',47.06,1,3,NULL),(28,7185294,'1974-02-21 00:00:00',4,1,12,1992,'F','N','PRAIA DA PINHEIRA','PALHOÇA','SC','524252258217132221324541415124320365097',9093,'9998',55.27,1,3,NULL),(28,7185308,'1991-12-31 00:00:00',2,4,12,2009,'M','N','MARIA TEREZINHA','PINHALZINHO','SC','124241241136131411433334395124231947147',10518,'1032',44.08,1,3,NULL),(28,7185316,'1978-09-08 00:00:00',2,1,12,1996,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115474431426544342334610137142',14195,'512',39.97,1,3,NULL),(28,7185332,'1992-08-23 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241137371431323723385124610127147',12804,'257',41.83,1,2,1),(28,7185340,'1994-06-15 00:00:00',4,8,12,2011,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124241241116371431526814575121610134171',1480,'479',67.62,1,2,1),(28,7185359,'1990-08-30 00:00:00',4,4,12,2007,'F','N','BARIL','FREDERICO WESTPHALEN','RS','120201208116271331326633585125610164182',NULL,'9998',32.48,2,1,1),(28,7185367,'1975-04-28 00:00:00',4,1,12,1993,'M','N','BARREIROS','S JOSÉ','SC','224201201126153431355644245132130762092',NULL,'9998',0.00,1,2,1),(28,7185375,'1993-07-05 00:00:00',4,1,12,2010,'M','N','VILA MARIANA','S PAULO','SP','125252251117472431568619285124610127182',1219,'9998',65.41,1,3,NULL),(28,7185383,'1992-10-08 00:00:00',2,1,12,2010,'F','N','PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP','125251251415371731427614382124610131181',18257,'9998',27.58,1,3,NULL),(28,7185391,'1977-10-22 00:00:00',2,1,12,1999,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247426135731423419285124132824097',NULL,'9999',22.43,1,3,NULL),(28,7185413,'1993-09-09 00:00:00',2,8,12,2010,'F','N','CENTRO','MAFRA','SC','124243241116151231226723285114610142171',NULL,'542',20.75,1,3,NULL),(28,7185421,'1995-04-11 00:00:00',4,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115371431226923572124610122017',14196,'733',38.84,1,2,1),(28,7185430,'1989-10-26 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124251251126131431226844245125143261142',17700,'9998',28.64,1,2,1),(28,7185448,'1987-07-31 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216475421368924325124231066097',NULL,'1169',0.00,1,3,NULL),(28,7185456,'1966-10-23 00:00:00',2,15,8,1992,'F','N','MATO ALTO','ARARANGUÁ','SC','524204207346131421128343335235140868097',19248,'9998',34.13,1,3,NULL),(28,7185464,'1992-12-28 00:00:00',4,1,12,2011,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126131431323319485124610112092',17412,'290',28.75,1,2,1),(28,7185472,'1993-05-12 00:00:00',4,15,12,2010,'M','N','CENTRO','ARARANGUÁ','SC','124241241136141531513731495111610118052',NULL,'29',18.95,1,3,NULL),(28,7185480,'1992-12-11 00:00:00',4,1,12,2010,'F','N','CENTRO','SEVERÍNIA','SP','125251251116471431436833475124610126147',6952,'9998',48.43,1,2,1),(28,7185499,'1991-01-24 00:00:00',2,8,12,2008,'M','N','INDUSTRIAL NORTE','RIO NEGRINHO','SC','124241241134371431421619341114131427142',10277,'669',45.63,1,2,1),(28,7185502,'1993-06-17 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372751367732575112610133182',5329,'1168',56.45,1,3,NULL),(28,7185510,'1994-01-03 00:00:00',4,23,12,2011,'M','N','JARDIM SÃO LUÍS','JARAGUÁ SUL','SC','124241241146371431436634275121610124045',10906,'435',52.28,1,2,1),(28,7185537,'1995-02-16 00:00:00',2,1,12,2011,'M','N','CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC','124241241115371731436814195124610118182',12055,'1248',45.21,1,2,1),(28,7185545,'1994-05-24 00:00:00',2,1,12,2011,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241115372411213329572324610128197',7784,'739',49.17,1,2,1),(28,7185553,'1994-04-07 00:00:00',2,2,12,2011,'F','N','FIGUEIRA','GASPAR','SC','124241241115131311323328572224610144017',NULL,'325',27.05,1,2,1),(28,7185570,'1992-07-17 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127372421326621385114142924057',NULL,'283',26.62,1,2,1),(28,7185588,'1994-03-04 00:00:00',2,10,11,2011,'F','N','CENTRO','BRAÇO NORTE','SC','124242241216131431336913245122610121197',11782,'102',41.76,1,3,NULL),(28,7185596,'1992-08-03 00:00:00',2,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124241241116152731223621245114610134097',NULL,'1116',0.00,1,2,1),(28,7185600,'1985-09-26 00:00:00',4,1,11,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574421368611475124332826122',NULL,'9997',0.00,1,3,NULL),(28,7185618,'1994-08-08 00:00:00',4,15,12,2011,'M','N','LICORSUL','BENTO GONÇALVES','RS','120201201116271431438619275114610167052',3157,'9998',62.58,1,2,1),(28,7185626,'1989-10-31 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241316153431335624345122610167067',8565,'307',50.38,1,3,NULL),(28,7185634,'1994-07-29 00:00:00',4,1,12,2011,'M','N','IPIRANGA','S JOSÉ','SC','124241241116371731339613435124610137042',NULL,'734',18.55,3,2,1),(28,7185642,'1994-04-11 00:00:00',2,2,12,2011,'F','N','FIGUEIRA','GASPAR','SC','124241241117271231324529295124610145017',18672,'325',27.04,1,2,1),(28,7185650,'1993-06-03 00:00:00',2,1,12,2010,'F','N','CENTRO','GAROPABA','SC','124203241436131431325669382115613232077',NULL,'322',24.72,1,3,NULL),(28,7185685,'1993-08-09 00:00:00',4,1,12,2010,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215473751469913575112221414121',5877,'262',56.23,1,3,NULL),(28,7185693,'1994-03-19 00:00:00',2,1,11,2011,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241217111531337832575124610127117',NULL,'300',24.07,1,3,NULL),(28,7185707,'1987-12-09 00:00:00',2,1,12,2006,'F','N','CACHO DO B JESUS','FLORIANÓPOLIS','SC','124201205117473431436614285123222231147',11524,'9998',47.42,1,2,1),(28,7185715,'1993-05-10 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241216472431356722575115610167052',1822,'270',64.87,1,3,NULL),(28,7185723,'1991-05-29 00:00:00',4,8,10,2008,'F','N','FLORESTA','JOINVILLE','SC','124241241136271321546529345122610168017',NULL,'492',0.00,1,3,NULL),(28,7185731,'1993-11-08 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115471431568813375124610125142',10583,'307',45.23,1,2,1),(28,7185740,'1984-05-16 00:00:00',2,1,12,2001,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241116272431631144245124331926187',15252,'505',45.14,1,2,1),(28,7185758,'1993-05-29 00:00:00',4,1,11,2010,'M','N','CHACARA MANELA','CAMBÉ','PR','116164161417471712466611595114610164047',NULL,'9998',0.00,1,3,NULL),(28,7185766,'1994-08-19 00:00:00',4,2,12,2011,'F','N','VILA ITOUPAVA','BLUMENAU','SC','124241241117371431425618385124610164172',2913,'74',59.82,1,2,1),(28,7185774,'1992-08-21 00:00:00',4,1,7,2011,'M','N','PRAÇA','TIJUCAS','SC','124241241116131431223644345124610122177',15623,'739',44.45,1,2,1),(28,7185782,'1994-04-23 00:00:00',4,27,12,2011,'F','N','DISTRITO GRAPIA','PARAÍSO','SC','124241241115371432415515572324610126057',NULL,'604',20.39,1,3,NULL),(28,7185790,'1992-11-10 00:00:00',2,1,11,2009,'F','N','CIDADE BAIXA','PTO ALEGRE','RS','120201201117131411537914346121243264117',NULL,'9998',24.38,1,2,1),(28,7185804,'1994-04-04 00:00:00',4,1,12,2011,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241135131211413617572124610114052',NULL,'733',18.04,2,2,1),(28,7185812,'1956-07-18 00:00:00',4,1,12,1974,'M','N','CENTRO','FLORIANÓPOLIS','SC','224201206116151411354443335122141717042',NULL,'9998',0.00,1,3,NULL),(28,7185820,'1976-01-30 00:00:00',4,1,12,1992,'F','N','IPIRANGA','S JOSÉ','SC','124241245116133441436843185224132721172',15764,'307',44.17,4,1,1),(28,7185839,'1994-12-05 00:00:00',2,22,12,2011,'F','N','DOM JOAQUIM','BRUSQUE','SC','124241241116471442534411185224610167057',9654,'114',45.93,1,2,1),(28,7185855,'1994-10-21 00:00:00',2,10,12,2011,'M','N','SÃO CAMILO','GR PARÁ','SC','124242242116271431328616581224610133097',13537,'129',40.23,1,3,NULL),(28,7185863,'1981-09-06 00:00:00',2,1,12,1999,'F','N','CENTRO','BIGUAÇU','SC','324201207117131421123344345224240824092',19689,'9998',31.32,1,3,NULL),(28,7185871,'1995-01-03 00:00:00',2,4,12,2011,'F','N','PRESIDENTE MEDICE','CHAPECÓ','SC','124241241216151431438811575122610167042',NULL,'185',0.00,1,3,NULL),(28,7185901,'1992-11-24 00:00:00',4,4,12,2009,'M','N','CENTRO','GUARACIABA','SC','124241241216573211649933475124131066147',2825,'1179',59.66,1,3,NULL),(28,7185928,'1979-06-03 00:00:00',2,1,12,1998,'F','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','524246247636133721313649192124131068027',19523,'1003',32.51,2,1,2),(28,7185936,'1989-11-02 00:00:00',4,2,12,2006,'F','N','RIO MORTO','INDAIAL','SC','124241241116273431226541145122132561142',9116,'787',47.31,1,3,NULL),(28,7185952,'1994-03-18 00:00:00',4,2,12,2011,'F','N','CENTRO','BLUMENAU','SC','124242241215121731259924575122610166012',NULL,'855',0.00,1,3,NULL),(28,7185960,'1993-05-13 00:00:00',2,3,12,2010,'M','N','JARDIM IATE CLUBE','BAL CAMBORIÚ','SC','124241241117211231537611145122610114147',14980,'51',36.78,4,2,1),(28,7185979,'1990-06-17 00:00:00',2,1,12,2008,'M','N','VILA INDUSTRIAL','S JOSÉ CAMPOS','SP','125251251117571431328624295224610164082',776,'9998',72.29,1,2,1),(28,7185987,'1994-12-01 00:00:00',2,1,12,2011,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241225131431224623272124610121147',10184,'262',45.06,1,3,NULL),(28,7186002,'1994-03-30 00:00:00',4,26,12,2011,'F','N','CENTRO','MARAU','RS','120201201116131731427814295124610162077',NULL,'9998',0.00,1,3,NULL),(28,7186010,'1994-05-19 00:00:00',2,3,12,2011,'M','N','AEROPORTO','CLEVELÂNDIA','PR','116161161117131532445514415122610144197',18750,'9998',36.29,1,2,1),(28,7186029,'1993-08-26 00:00:00',2,5,12,2010,'F','N','BRASÍLIA','CRICIÚMA','SC','124241241116371431556514475124610134197',NULL,'953',30.06,1,2,1),(28,7186037,'1993-03-31 00:00:00',2,9,12,2010,'F','N','BEATRIZ','LAGES','SC','124241241112371431424314375124610136052',15540,'500',35.18,4,2,1),(28,7186045,'1992-08-24 00:00:00',4,5,12,2010,'M','N','JARDIM ELIZABETE','IÇARA','SC','124241241137372431435619315122610164012',11243,'1005',42.47,1,2,1),(28,7186053,'1994-12-23 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117131431536411475124610134142',16808,'257',32.90,1,2,1),(28,7186061,'1992-07-06 00:00:00',4,25,12,2009,'F','N','CENTRO','CURITIBA','PR','116242241216572431347713575312130233112',NULL,'633',13.54,1,3,NULL),(28,7186070,'1989-12-27 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201201111274431523315345214221417042',9493,'9998',54.56,4,2,1),(28,7186096,'1992-08-12 00:00:00',4,1,7,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116372441546639295124610163092',8319,'739',49.20,1,2,1),(28,7186100,'1991-08-23 00:00:00',2,4,12,2008,'F','N','CENTRO','CHAPECÓ','SC','124244241216575431364621475122610134142',12795,'185',38.66,1,3,NULL),(28,7186118,'1992-09-18 00:00:00',2,1,12,2009,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241117473421325339572124232723097',NULL,'65',18.57,2,1,1),(28,7186126,'1994-06-20 00:00:00',4,10,11,2011,'M','N','PROGRESSO','LAGUNA','SC','124242241215111411238932575124610164096',2027,'807',61.97,4,3,NULL),(28,7186150,'1993-04-09 00:00:00',4,27,12,2011,'M','N','NOSSA S APARECIDA','PLANALTO','PR','116161161147131441326723375123610167012',10695,'9998',42.63,1,3,NULL),(28,7186169,'1994-09-14 00:00:00',2,1,12,2011,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241117131731524424275124610124147',NULL,'298',21.21,1,2,1),(28,7186177,'1994-03-21 00:00:00',2,4,12,2011,'M','N','INTERIOR','TANGARÁ','SC','124241243136131431536315551124610152172',4800,'779',56.37,1,2,1),(28,7186185,'1993-01-10 00:00:00',4,8,12,2009,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241116572431323624385124131436197',716,'478',70.53,4,2,1),(28,7186193,'1993-02-08 00:00:00',4,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124243241116132731216669395114230634044',18131,'734',38.47,1,3,NULL),(28,7186207,'1990-12-07 00:00:00',2,1,12,2007,'M','N','CENTRO','TRÊS LAGOAS','MS','112051051136331431427329395124241023196',NULL,'9998',0.00,2,1,1),(28,7186215,'1994-09-25 00:00:00',2,9,12,2011,'F','N','VARZEA','LAGES','SC','124241241116371511426511572124610117147',19595,'498',32.04,3,2,1),(28,7186223,'1991-08-25 00:00:00',2,1,12,2009,'F','N','BANDEIRANTES','IBATÉ','SP','125251251117471711423613382344610166042',NULL,'9998',0.00,1,3,NULL),(28,7186231,'1988-12-26 00:00:00',2,1,12,2007,'F','N','CENTRO','JUNDIAÍ','SP','525251251136132411118541315124143265077',17772,'9998',29.49,2,1,1),(28,7186240,'1995-02-13 00:00:00',2,25,12,2011,'M','N','MUNICÍPIOS','CAÇADOR','SC','124241241116271431436914575122610134143',19994,'122',28.16,1,3,NULL),(28,7186266,'1995-06-14 00:00:00',2,9,12,2011,'F','N','ESQUINA','URUBICI','SC','124241241117371431516633575121610147147',15755,'1182',36.09,1,2,1),(28,7186274,'1993-12-24 00:00:00',2,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241116151731523619292124610133197',17245,'295',40.90,4,3,NULL),(28,7186282,'1995-01-25 00:00:00',2,4,12,2011,'F','N','CENTRO','MARMELEIRO','PR','116163161117271411448932574121610135072',NULL,'9998',0.00,1,3,NULL),(28,7186304,'1990-06-06 00:00:00',2,4,12,2009,'F','N','PIONEIRO','PINHALZINHO','SC','124241241116131311453614395122232226177',15370,'9999',44.91,1,3,NULL),(28,7186312,'1994-01-30 00:00:00',2,1,12,2010,'F','N','CACHO DO B JESUS','FLORIANÓPOLIS','SC','124201241117472431436614385114610147097',11450,'1248',45.62,1,2,1),(28,7186339,'1994-04-29 00:00:00',2,15,12,2011,'F','N','BOA VISTA','MELEIRO','SC','124241241117111531524435152123610127047',NULL,'559',13.74,1,2,1),(28,7186347,'1994-06-13 00:00:00',4,1,12,2011,'M','N','NOSSA SRA APARECIDA','FRANCISCO BELTRÃO','PR','116162161215121331286639575122610164092',NULL,'9998',0.00,1,3,NULL),(28,7186355,'1991-12-17 00:00:00',4,8,12,2008,'M','N','CENTRO','CURITIBA','PR','116233231115571431127841475124140635096',NULL,'9998',0.00,4,3,NULL),(28,7186371,'1992-11-01 00:00:00',4,15,12,2009,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241126151411123349396125231734057',NULL,'420',0.00,1,2,1),(28,7186380,'1982-09-11 00:00:00',2,1,4,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241167116141711114449495124131026097',16098,'9998',36.26,1,2,1),(28,7186398,'1993-10-05 00:00:00',4,1,11,2010,'M','N','CENTRO','CASCAVEL','PR','116162161245471431458612282114610134063',NULL,'9998',0.00,1,3,NULL),(28,7186401,'1993-05-05 00:00:00',4,8,12,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241216472431459914585122131417042',10708,'457',52.58,1,3,NULL),(28,7186410,'1991-05-05 00:00:00',2,6,12,2009,'F','N','CENTRO','UBARANA','SP','125253251116571431413329575124143248092',3980,'9998',56.06,1,3,NULL),(28,7186428,'1994-05-11 00:00:00',4,1,12,2011,'M','N','PONTE ALTA','PILAR SUL','SP','125254253215111431654616371222610114052',NULL,'9998',0.00,4,3,NULL),(28,7186436,'1993-08-19 00:00:00',4,1,12,2010,'F','N','JARDIM PRIMAVERA','CAÇAPAVA','SP','125252251216471431626823371122610165047',5627,'9998',54.09,1,3,NULL),(28,7186444,'1983-05-19 00:00:00',2,15,12,2000,'M','N','BARRANCA','ARARANGUÁ','SC','124241241144142431223329195122231315172',NULL,'30',0.00,1,2,1),(28,7186452,'1994-06-12 00:00:00',4,27,12,2011,'M','N','CENTRO','S MIGUEL OESTE','SC','124244241216151431569533575122610147072',14161,'752',36.24,1,3,NULL),(28,7186460,'1994-09-29 00:00:00',2,4,12,2011,'F','N','ARI LUNARDI','XAXIM','SC','124243241216131431326623195125610127012',NULL,'994',0.00,1,3,NULL),(28,7186479,'1975-04-08 00:00:00',4,1,12,1993,'M','N','SERRARIA','S JOSÉ','SC','124241243146275441533319415124233222177',14420,'739',46.71,1,2,1),(28,7186487,'1993-03-20 00:00:00',4,1,12,2011,'M','N','JARDIM MARCO ZERO','MACAPÁ','AP','103032031317371431377923575122610162192',10409,'9998',44.74,4,3,NULL),(28,7186495,'1994-02-16 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241124131431433614345122610124041',17316,'922',30.41,4,2,1),(28,7186509,'1991-11-18 00:00:00',2,4,12,2009,'M','N','EFAPI','CHAPECÓ','SC','124241241112153731423424282124131425097',6978,'184',51.39,4,1,1),(28,7186517,'1994-08-29 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431568812575122610127042',8651,'1050',47.38,1,3,NULL),(28,7186525,'1992-02-21 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241116372431447814445112123263057',7145,'271',58.58,1,3,NULL),(28,7186533,'1994-08-21 00:00:00',2,1,12,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115471431226624575114610115052',13131,'278',43.42,1,2,1),(28,7186541,'1994-03-21 00:00:00',4,27,11,2011,'F','N','AGOSTINI','S MIGUEL OESTE','SC','124242241215271411339934595122610133122',10745,'1179',41.90,1,3,NULL),(28,7186550,'1993-11-01 00:00:00',4,8,12,2011,'F','N','PETROPOLIS','JOINVILLE','SC','124241241117371751423121575124610136157',16832,'482',34.46,1,2,1),(28,7186568,'1994-12-18 00:00:00',2,22,12,2011,'F','N','CENTRO','BRUSQUE','SC','124243241116371731424314475122610124127',NULL,'111',0.00,1,3,NULL),(28,7186592,'1987-08-13 00:00:00',2,1,12,2005,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241337135731324311385124233228187',7263,'262',50.57,1,3,NULL),(28,7186606,'1994-05-13 00:00:00',2,1,12,2011,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241147141431424324245124610124192',NULL,'591',0.00,5,2,1),(28,7186622,'1975-01-31 00:00:00',2,1,12,1992,'M','N','STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC','224212218227153411244444445124343267087',NULL,'9998',0.00,1,3,NULL),(28,7186630,'1989-08-02 00:00:00',4,16,1,2008,'M','N','SÃO JOSÉ','CURITIBANOS','SC','124241241142143751313648397335120364175',NULL,'239',22.38,3,2,1),(28,7186657,'1992-11-19 00:00:00',4,3,12,2010,'M','N','BARRA','BAL CAMBORIÚ','SC','124241241117151431444314572124610137051',10593,'50',44.76,1,2,1),(28,7186665,'1992-08-26 00:00:00',4,4,12,2008,'M','N','PRESIDENTE MEDICI','CHAPECÓ','SC','124242241215371421448911385122131464192',1985,'983',69.88,1,3,NULL),(28,7186681,'1994-07-08 00:00:00',2,1,12,2011,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241137271431325623495124610167042',12195,'1248',50.25,1,2,1),(28,7186703,'1991-07-08 00:00:00',4,1,12,2009,'F','N','MARTINS','UBERLÂNDIA','MG','113132131217571731569911572111610162187',NULL,'9998',0.00,1,3,NULL),(28,7186711,'1994-01-20 00:00:00',2,15,12,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124242245115372731423674285124610133147',13321,'29',39.02,1,3,NULL),(28,7186720,'1994-11-04 00:00:00',4,1,12,2011,'F','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124241241117131431324429372114610124047',NULL,'257',21.56,1,2,1),(28,7186738,'1984-09-11 00:00:00',2,1,12,2011,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241127141421123644342324610135175',12108,'298',43.44,4,2,1),(28,7186746,'1994-06-03 00:00:00',4,24,12,2011,'M','N','CENTRO','PETROLÂNDIA','SC','124241241116111311356913245122610117041',NULL,'613',21.12,1,2,1),(28,7186754,'1992-11-19 00:00:00',2,1,5,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244247416371411379813475114610117042',19482,'270',32.82,1,3,NULL),(28,7186762,'1994-09-29 00:00:00',4,26,12,2011,'F','N','CENTRO','IPUMIRIM','SC','124241241117411431633314575122610123142',NULL,'374',22.87,1,2,1),(28,7186770,'1993-11-24 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241126372431323335552222610123147',16143,'579',34.71,1,2,1),(28,7186789,'1993-11-30 00:00:00',2,1,12,2011,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241117271431458613575121610148095',6997,'281',56.18,1,2,1),(28,7186797,'1994-11-18 00:00:00',4,1,12,2011,'F','N','RIO GRANDE','PALHOÇA','SC','124241241215111431536634475122610123141',17493,'1175',31.41,1,3,NULL),(28,7186819,'1983-04-25 00:00:00',2,1,12,2000,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241116372411323344445124610167097',8814,'282',48.45,1,2,1),(28,7186827,'1990-04-20 00:00:00',4,7,12,2007,'F','N','N SENHORA DE LOURDE','CAMPOS NOVOS','SC','124242241215575441528831595124610122142',2564,'138',62.11,1,3,NULL),(28,7186843,'1995-07-17 00:00:00',2,1,12,2011,'F','N','ALTO ARIRIU','PALHOÇA','SC','124242241215111731443512272122610132185',NULL,'939',20.66,1,3,NULL),(28,7186851,'1987-05-01 00:00:00',4,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244247316433731446633345124122227073',19074,'270',35.01,1,3,NULL),(28,7186860,'1991-10-28 00:00:00',2,16,12,2009,'F','N','MONTE ALEGRE','S CRISTÓVÃO SUL','SC','124241241115272441526815371124610143177',6471,'239',55.10,4,2,1),(28,7186886,'1993-06-27 00:00:00',2,1,12,2010,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241216372251347727592124610137045',10070,'272',46.89,1,3,NULL),(28,7186894,'1994-10-21 00:00:00',2,10,10,2011,'M','N','MORROTES','TUBARÃO','SC','124242241215112431437712175122610127082',4024,'806',59.96,1,3,NULL),(28,7186916,'1993-06-18 00:00:00',2,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241136272431323624385124610134182',13289,'285',41.28,1,2,1),(28,7186924,'1991-09-27 00:00:00',2,1,1,2011,'M','N','AREIAS','S JOSÉ','SC','124071077216271731213341315224140444187',12968,'9998',41.31,2,3,NULL),(28,7186932,'1982-12-13 00:00:00',4,16,12,2000,'M','N','CENTRO','CURITIBANOS','SC','124242241216573421348621275124331532097',4412,'237',55.70,1,3,NULL),(28,7186940,'1977-04-17 00:00:00',2,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247135131421111148182345610117041',NULL,'9999',0.00,1,3,NULL),(28,7186959,'1994-08-02 00:00:00',4,10,12,2011,'F','N','PASSAGEM','TUBARÃO','SC','124241241115371431436314275124610136072',NULL,'1034',32.78,4,1,1),(28,7186967,'1993-05-08 00:00:00',2,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241115141431523624245234610142072',17301,'307',40.77,2,1,1),(28,7186975,'1994-03-02 00:00:00',2,9,12,2011,'M','N','COPACABANA','LAGES','SC','124241241115371711556813575122610168057',18820,'935',36.01,1,2,1),(28,7186983,'1994-09-30 00:00:00',2,1,12,2011,'F','N','AREIAS DE CIMA','BIGUAÇU','SC','124241241117271431423314375124610122195',9731,'64',46.94,4,2,1),(28,7186991,'1995-04-26 00:00:00',4,9,11,2012,'M','S','BRUSQUE','LAGES','SC','124242241217151451468613155121610164057',NULL,'1207',42.27,1,3,NULL),(28,7187009,'1994-04-12 00:00:00',2,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241115272432323324375124610122147',NULL,'307',0.00,1,2,1),(28,7187017,'1991-11-04 00:00:00',2,1,6,2011,'M','N','N SENHORA DO ROSÁRIO','S JOSÉ','SC','124242247216141431326624445134610124042',18423,'270',37.56,1,3,NULL),(28,7187025,'1984-09-13 00:00:00',4,1,12,2005,'M','N','BALENÁRIO','FLORIANÓPOLIS','SC','124241241215373431346733495124130227047',NULL,'943',28.53,1,3,NULL),(28,7187033,'1993-04-12 00:00:00',2,1,12,2010,'M','N','AMBROSIO','GAROPABA','SC','124241241146162731426613245211610118047',19690,'322',31.30,1,3,NULL),(28,7187041,'1994-08-29 00:00:00',2,10,12,2011,'F','N','MONTE CASTELO','TUBARÃO','SC','124241241115271431323419275124610165142',8560,'1034',49.40,1,2,1),(28,7187050,'1991-10-25 00:00:00',4,1,11,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117271431114344342114610121182',12029,'288',43.31,1,2,1),(28,7187068,'1988-04-06 00:00:00',6,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124181188122162732221379292314611034043',NULL,'9998',21.72,1,3,NULL),(28,7187076,'1994-09-22 00:00:00',2,1,12,2011,'F','N','NOVA BELÉM','PAULO LOPES','SC','124241241225131431426314575114610121197',3891,'262',59.45,1,3,NULL),(28,7187092,'1992-04-09 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241112473431423411175224221422143',8826,'307',50.26,1,2,1),(28,7187106,'1995-08-03 00:00:00',4,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431328629575124610162011',12597,'1022',40.12,4,3,NULL),(28,7187122,'1988-06-28 00:00:00',2,1,7,2006,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241244141311421325643431134610118045',16886,'9999',41.79,2,1,1),(28,7187130,'1994-05-24 00:00:00',4,7,12,2011,'M','N','BOA VISTA','JOAÇABA','SC','124242246215371731365513592122610114182',4756,'962',56.16,1,3,NULL),(28,7187149,'1995-05-17 00:00:00',2,26,12,2011,'F','N','ALTO IRANI','IRANI','SC','124241241117371431433824574124610121042',12525,'379',43.93,1,2,1),(28,7187157,'1994-06-21 00:00:00',5,7,12,2011,'F','N','VILA ALMENHA','LUZERNA','SC','124241241115131731436633575124610125182',NULL,'539',13.37,1,2,1),(28,7187165,'1981-09-26 00:00:00',2,1,12,2002,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','624241247145131321111148182345610111192',NULL,'9999',25.77,1,2,1),(28,7187173,'1993-03-15 00:00:00',2,1,11,2010,'F','N','SÃO JOSÉ','CAMBÉ','PR','116162161216471431449913372122610163182',NULL,'9998',0.00,1,3,NULL),(28,7187181,'1994-07-31 00:00:00',2,22,12,2011,'F','N','CENTRO','BRUSQUE','SC','124242241215272431488811572322610137052',7261,'107',51.40,1,3,NULL),(28,7187190,'1992-02-22 00:00:00',2,1,12,2009,'F','N','CENTRO','WENCESLAU BRAZ','PR','116162161217571731558811574124610146081',10711,'9998',43.90,1,3,NULL),(28,7187211,'1994-08-20 00:00:00',2,22,12,2011,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241117271631316313575124610128192',13990,'712',39.58,1,2,1),(28,7187220,'1995-08-03 00:00:00',2,5,12,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431368812575112610115081',19084,'9997',34.95,1,3,NULL),(28,7187246,'1992-02-03 00:00:00',4,1,12,2009,'M','N','ZONA SETE','MARINGÁ','PR','116163161217371751437824475112140327187',NULL,'9998',0.00,1,3,NULL),(28,7187254,'1955-09-30 00:00:00',3,1,6,1976,'M','N','SERRARIA','S JOSÉ','SC','524241246111135421424341115122120834061',NULL,'306',0.00,2,1,1),(28,7187262,'1986-10-25 01:00:00',2,1,12,2004,'F','N','CENTRO','POMERODE','SC','124241248227151731124444342332610134187',NULL,'86',13.02,1,3,NULL),(28,7187270,'1994-03-07 00:00:00',2,3,12,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241215151431547719575112610144012',NULL,'407',0.00,1,3,NULL),(28,7187289,'1993-01-21 00:00:00',4,1,12,2011,'M','N','TAPERA','FLORIANÓPOLIS','SC','124244241417151531236613432114610118062',20172,'278',21.07,1,3,NULL),(28,7187297,'1990-09-10 00:00:00',2,1,12,2008,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241116472421533314485122610133152',NULL,'293',38.27,4,2,1),(28,7187300,'1990-07-22 00:00:00',4,1,12,2011,'M','N','ZONA SETE','MARINGÁ','PR','116162161416472431347732425112610167082',NULL,'9998',14.74,1,3,NULL),(28,7187319,'1993-09-10 00:00:00',4,1,12,2010,'M','N','GUARDA DO EMBAÚ','PALHOÇA','SC','124243241415272431443836594124610162047',186,'1179',78.41,1,3,NULL),(28,7187327,'1994-04-24 00:00:00',2,8,12,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124241246215471442446612311124610127052',4712,'1006',55.23,1,3,NULL),(28,7187335,'1994-12-17 00:00:00',4,10,12,2011,'F','N','ILHOTINHA','CAPIVARI BAIXO','SC','124241241315131431323869572324610133142',NULL,'158',18.78,2,1,2),(28,7187343,'1992-01-23 00:00:00',2,1,9,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116143721526314345234610132047',19624,'592',31.80,1,2,1),(28,7187351,'1994-09-09 00:00:00',1,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124163241215111451459931575122610164077',13462,'299',48.30,1,3,NULL),(28,7187360,'1994-02-26 00:00:00',4,8,12,2011,'F','N','SÃO MARCOS','JOINVILLE','SC','124241241132371131436479295124610128077',NULL,'465',11.85,1,2,1),(28,7187378,'1994-03-05 00:00:00',2,10,12,2011,'F','N','CENTRO','IMBITUBA','SC','124242241115471431426625575122610125147',16555,'1034',42.52,1,3,NULL),(28,7187386,'1977-01-06 00:00:00',2,1,12,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','624241241145132311111147182345610111197',NULL,'9999',34.87,1,2,1),(28,7187394,'1993-11-29 00:00:00',2,17,12,2010,'M','N','CAMPO DA ÁGUA VERDE','CANOINHAS','SC','124241242116141431436624395121122227042',10124,'143',48.86,1,2,1),(28,7187424,'1993-06-15 00:00:00',2,22,12,2010,'M','N','CENTRO','BRUSQUE','SC','124242241215472431488811572322610137052',1009,'1244',66.56,1,3,NULL),(28,7187432,'1993-03-27 00:00:00',4,6,12,2010,'M','N','RESSACADA','ITAJAÍ','SC','124242243115472431326831475122610137042',4287,'129',57.25,1,3,NULL),(28,7187459,'1985-07-10 00:00:00',2,1,12,2003,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124242241436374431355523345124130233077',18056,'736',38.71,1,3,NULL),(28,7187467,'1994-05-23 00:00:00',2,1,12,2011,'M','N','UNIVERSITÁRIO','CHAPECÓ','SC','124242241215132531358724595122610167057',11703,'1161',42.86,4,3,NULL),(28,7187475,'1994-09-23 00:00:00',4,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241115151411323631575122610138177',13712,'977',38.48,1,3,NULL),(28,7187483,'1982-03-24 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131221111148182345610118197',NULL,'9999',20.81,1,3,NULL),(28,7187491,'1994-05-25 00:00:00',2,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241216111731436622375124610167062',NULL,'988',22.20,1,3,NULL),(28,7187505,'1995-05-02 00:00:00',4,2,12,2012,'F','S','GLÓRIA','RODEIO','SC','124241248215121331436732575122610124142',NULL,'1157',44.26,1,3,NULL),(28,7187513,'1992-08-01 00:00:00',4,1,12,2010,'F','N','CENTRO','GAROPABA','SC','124244241215271731349831575114610145092',11967,'1253',50.59,1,3,NULL),(28,7187530,'1992-09-29 00:00:00',2,8,12,2010,'F','N','CENTRO','GARUVA','SC','124243241425371421443712395124610122047',NULL,'459',17.84,4,3,NULL),(28,7187556,'1993-08-09 00:00:00',4,6,12,2010,'M','N','SÃO VICENTE','ITAJAÍ','SC','124242241215371431436714575112610127017',16657,'388',42.30,1,3,NULL),(28,7187564,'1993-05-01 00:00:00',2,1,12,2011,'M','N','HUMAITA','TUBARÃO','SC','124242241235111431467512575122610127112',NULL,'1161',24.26,1,3,NULL),(28,7187572,'1992-10-22 00:00:00',4,4,12,2010,'F','N','SANTA MARIA','CHAPECÓ','SC','124241241131132331313429282244142025177',NULL,'169',0.00,4,3,NULL),(28,7187580,'1991-10-27 00:00:00',2,1,12,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215473431575512495122221427052',4365,'270',63.68,1,3,NULL),(28,7187599,'1988-10-06 00:00:00',4,1,12,2005,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241146474431223624245124230238187',NULL,'283',44.27,1,3,NULL),(28,7187602,'1994-09-20 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241117371431423319575124610138147',17160,'733',33.13,1,2,1),(28,7187629,'1994-09-24 00:00:00',2,1,12,2011,'F','N','COSTA DE CIMA','FLORIANÓPOLIS','SC','124241241117371411328819575224610134012',12460,'278',43.51,1,2,1),(28,7187637,'1989-02-28 00:00:00',2,17,12,2007,'F','N','CENTRO','CANOINHAS','SC','124241241126131411423335385124233123197',NULL,'684',32.30,1,3,NULL),(28,7187653,'1993-09-07 00:00:00',2,1,12,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243247225131431336412575124231337042',NULL,'977',19.81,1,3,NULL),(28,7187661,'1994-05-17 00:00:00',4,10,12,2011,'M','N','CENTRO','BENTO GONÇALVES','RS','120202201217271431558732575112610164052',7408,'9998',58.13,1,3,NULL),(28,7187670,'1993-12-05 00:00:00',2,4,12,2010,'F','N','CENTRO','MARAVILHA','SC','124243241134131421428874382114133224171',12336,'552',41.21,1,3,NULL),(28,7187696,'1994-02-16 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124243248315141731636624345134610124017',NULL,'733',19.78,2,3,NULL),(28,7187700,'1994-11-11 00:00:00',4,5,11,2011,'F','N','PRESIDENTE VARGAS','IÇARA','SC','124241241315111431567614576124610134097',19402,'226',33.31,1,3,NULL),(28,7187718,'1994-11-29 00:00:00',2,1,12,2011,'F','N','BELA VISTA IV','S JOSÉ','SC','124241241116131431424624495134610115147',20170,'726',21.58,2,1,1),(28,7187726,'1994-09-20 00:00:00',4,10,12,2011,'M','N','SANTA LÚCIA','CAPIVARI BAIXO','SC','124241241115131711424714575124610138047',NULL,'158',21.58,2,2,1),(28,7187734,'1994-02-26 00:00:00',4,3,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241217111411347611375124610134111',6902,'1038',49.82,1,3,NULL),(28,7187742,'1993-01-05 00:00:00',2,1,12,1993,'M','N','IPIRANGA','S JOSÉ','SC','124242241216371421428822245124610117052',NULL,'1078',13.58,1,3,NULL),(28,7187769,'1993-01-09 00:00:00',2,1,7,2011,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241248117371411323621412124610112042',6438,'306',53.52,1,2,1),(28,7187777,'1995-05-29 00:00:00',2,1,12,2011,'F','N','OUVIDOR','GAROPABA','SC','124241241112371531514411575124610117047',NULL,'1136',20.38,1,2,1),(28,7187785,'1994-12-07 00:00:00',4,1,12,2011,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241216161431538834375122610118182',NULL,'944',26.33,1,3,NULL),(28,7187793,'1994-10-20 00:00:00',2,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124243241315111411547512575122610146047',10888,'976',43.54,1,3,NULL),(28,7187807,'1991-08-25 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124241247111372431228844245114610164077',15514,'9999',38.13,1,3,NULL),(28,7187815,'1993-06-18 00:00:00',4,1,11,2010,'M','N','CENTRO','PALMAS','PR','116162161217271431336812445112143217042',8434,'9998',50.99,1,3,NULL),(28,7187823,'1994-05-31 00:00:00',2,10,12,2011,'F','N','MAGALHÃES','LAGUNA','SC','124242241226131731226329575125610122072',8637,'524',51.05,2,1,2),(28,7187831,'1994-07-13 00:00:00',4,1,11,2011,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215111731358832595124610124142',11235,'270',42.17,1,3,NULL),(28,7187840,'1993-11-11 00:00:00',2,1,12,2011,'F','N','CENTRO','IMBITUBA','SC','124241241116371451115548185125610122117',12780,'359',41.10,1,2,1),(28,7187858,'1994-09-23 00:00:00',4,4,12,2011,'F','N','SÃO LUIZ','S MIGUEL OESTE','SC','124241241117151731387932242124610114142',NULL,'757',0.00,3,3,NULL),(28,7187866,'1990-11-05 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216373411336569492124122546017',8347,'723',56.54,1,3,NULL),(28,7187874,'1989-06-21 00:00:00',4,1,12,2008,'F','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124254241115274431636821275114133162097',4636,'307',56.65,1,3,NULL),(28,7187882,'1993-12-15 00:00:00',2,24,12,2011,'M','N','BARRA DO TROMBUDO','RIO SUL','SC','124242247317171411536611245124610137042',17647,'659',32.07,5,3,NULL),(28,7187890,'1992-04-17 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241136131431623339295124610127187',NULL,'276',21.11,1,2,1),(28,7187904,'1951-05-11 00:00:00',2,1,12,2001,'M','N','JARDIM ELDORADO','PALHOÇA','SC','524241241125272431123344445332610167037',NULL,'277',29.10,1,2,1),(28,7187912,'1993-11-13 00:00:00',4,9,11,2011,'M','N','GUARUJÁ','LAGES','SC','124246241616131731337834575122610137042',NULL,'1106',36.68,1,3,NULL),(28,7187939,'1993-05-02 00:00:00',2,24,12,2010,'F','N','GABIROBA','ITUPORANGA','SC','124241241136131431324334345135131736057',NULL,'416',22.70,1,2,1),(28,7187947,'1994-09-01 00:00:00',4,1,12,2011,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241225131431328721595124610127047',17376,'262',30.67,1,3,NULL),(28,7187955,'1966-04-23 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','624241241145131312121147182345610118197',NULL,'9999',0.00,1,2,1),(28,7187963,'1994-08-23 00:00:00',4,4,11,2011,'M','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124242241215131431435831245122610137047',9439,'168',48.51,1,3,NULL),(28,7187971,'1991-12-12 00:00:00',2,1,12,2008,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241116273431423534275124221468145',4803,'307',57.42,4,2,1),(28,7187980,'1985-02-23 00:00:00',2,1,11,2006,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241247127271511123734145134610125097',NULL,'9999',16.30,4,2,1),(28,7188005,'1994-06-25 00:00:00',4,5,11,2011,'F','N','VILA PIERINI','CRICIÚMA','SC','124242241215111431556412595122610127042',4630,'226',57.02,1,3,NULL),(28,7188021,'1992-06-26 00:00:00',2,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124203241117372731228844345134610147077',13900,'298',39.09,1,3,NULL),(28,7188030,'1994-02-16 00:00:00',2,1,12,2011,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241115471231523314575122610137042',19788,'293',30.38,4,2,1),(28,7188048,'1994-09-19 00:00:00',2,1,12,2011,'F','N','PENHA','PAULO LOPES','SC','124243241225111431526334345124610131172',9016,'262',49.61,1,3,NULL),(28,7188056,'1994-06-15 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124241241117371431228821241124610123057',16715,'733',32.90,1,2,1),(28,7188064,'1994-01-10 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241248136472331314319375124610135142',16476,'607',33.28,1,2,1),(28,7188072,'1994-07-06 00:00:00',2,4,11,2011,'F','N','CENTRO','CHAPECÓ','SC','124242241215111431457731572122610126192',16189,'1191',43.35,1,3,NULL),(28,7188080,'1983-03-05 00:00:00',2,1,12,2001,'M','N','CAMPINAS','S JOSÉ','SC','124201201136172731143343135122221161147',13882,'9998',47.59,2,1,1),(28,7188099,'1994-01-17 00:00:00',2,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124241241226372231623321315114610117042',10680,'262',45.74,1,3,NULL),(28,7188102,'1993-09-07 00:00:00',4,10,12,2010,'M','N','CENTRO','ORLEANS','SC','124241241115372431433623575122610124097',11961,'580',43.82,1,2,1),(28,7188110,'1980-10-12 00:00:00',2,1,12,2002,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124214211127131411113448286341142762185',NULL,'9998',0.00,1,3,NULL),(28,7188129,'1988-11-11 00:00:00',4,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','624244241332131311111147182345610118197',NULL,'9999',0.00,1,3,NULL),(28,7188137,'1994-06-23 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117371431226629175124610164142',13573,'307',40.14,1,2,1),(28,7188145,'1994-04-07 00:00:00',2,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124241241117371431525459375124610124072',13207,'307',42.39,1,2,1),(28,7188153,'1994-11-22 00:00:00',4,1,12,2011,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124243241215111441426634245124610164177',NULL,'1022',40.10,1,3,NULL),(28,7188161,'1995-03-30 00:00:00',4,4,12,2012,'F','S','JARDIM ITÁLIA','CHAPECÓ','SC','124243241217151732469931595122610126092',NULL,'185',18.88,1,3,NULL),(28,7188170,'1993-03-17 00:00:00',2,4,11,2010,'M','N','FLORESTA','PTO ALEGRE','RS','120202201216472431246823475124610167042',10844,'9998',44.74,1,3,NULL),(28,7188188,'1994-02-08 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115141431433321395124610123192',17055,'307',36.04,1,2,1),(28,7188196,'1993-05-16 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115161431536339592124610123147',NULL,'287',21.23,1,3,NULL),(28,7188200,'1992-06-27 00:00:00',4,7,12,2009,'F','N','CENTRO','JOAÇABA','SC','124242241216572441458912575122610136072',1336,'962',66.50,1,3,NULL),(28,7188218,'1992-04-27 00:00:00',4,9,12,2009,'F','N','SAO CRISTOVAO','LAGES','SC','124242241216373431325823595125122334187',4237,'515',56.91,1,3,NULL),(28,7188226,'1989-10-19 00:00:00',2,1,12,2006,'M','N','VILA NOVA','IMBITUBA','SC','124241241116131431223429215124132036172',7698,'359',52.94,1,2,1),(28,7188234,'1993-01-13 00:00:00',4,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241126371431328324345124610134047',17612,'296',30.35,1,2,1),(28,7188250,'1992-03-07 00:00:00',2,1,7,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241243116171421228644345134610115142',7955,'306',47.97,1,2,1),(28,7188269,'1990-05-19 00:00:00',4,1,12,2007,'F','N','SANTA TEREZINHA','PATO BRANCO','PR','116241242116141411124344342224243224142',18293,'135',37.98,4,3,NULL),(28,7188277,'1987-04-02 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124131131121471731116744445334610128097',14927,'9998',38.17,1,2,1),(28,7188285,'1994-01-24 00:00:00',4,1,11,2011,'F','N','ARIRIU','PALHOÇA','SC','624244241215111432353532196324610163187',8177,'1022',51.45,1,3,NULL),(28,7188293,'1995-02-16 00:00:00',2,1,12,2011,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241417111751577923585114610127015',NULL,'1022',21.49,1,3,NULL),(28,7188307,'1993-04-24 00:00:00',4,1,12,2010,'F','N','MADRI','PALHOÇA','SC','124241241137272411328814575124610115182',NULL,'733',31.76,1,3,NULL),(28,7188323,'1992-07-26 00:00:00',2,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124243247215131731623619295124233233187',19213,'9999',34.27,1,3,NULL),(28,7188331,'1986-09-30 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241146373411553419385124610167077',13085,'359',40.62,1,2,1),(28,7188340,'1973-07-23 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632131331111147182345610111197',NULL,'9999',0.00,1,3,NULL),(28,7188358,'1994-06-09 00:00:00',2,7,12,2011,'F','N','SÃO SEBASTIÃO','CAMPOS NOVOS','SC','124241241115131421536614575122610123142',19238,'139',34.17,1,2,1),(28,7188366,'1981-01-02 00:00:00',2,1,12,1998,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124142141217131441113348482344131266097',14791,'9998',36.76,2,1,2),(28,7188374,'1979-12-04 00:00:00',4,1,12,1997,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124242241216133431238844445122132814042',NULL,'487',0.00,1,3,NULL),(28,7188382,'1992-02-18 00:00:00',4,1,12,2011,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241116141411426623475124610127042',16938,'307',32.84,1,2,1),(28,7188390,'1992-08-29 00:00:00',4,1,12,2009,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241116133431534511385221610166047',12384,'288',43.10,1,2,1),(28,7188404,'1994-07-08 00:00:00',2,15,12,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124241241215111331446413575122610126092',13236,'26',42.43,1,3,NULL),(28,7188412,'1992-12-02 00:00:00',4,23,12,2009,'M','N','VILA LALAU','JARAGUÁ SUL','SC','124241241137372411334419375111221267052',9632,'430',46.45,1,2,1),(28,7188420,'1988-02-10 00:00:00',4,15,12,2005,'M','N','COLONINHA','ARARANGUÁ','SC','124241241146374731443914315124221767082',NULL,'29',0.00,1,2,1),(28,7188439,'1959-04-22 00:00:00',2,1,12,1983,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','624243247226135421324449291124321668187',10093,'497',46.07,4,3,NULL),(28,7188447,'1990-10-06 00:00:00',2,1,7,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241142131731326849242344610148047',16259,'9997',35.61,2,1,1),(28,7188455,'1993-06-05 00:00:00',4,1,12,2011,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241125573431427624275124610133147',8229,'12',56.74,1,2,1),(28,7188463,'1992-10-18 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117473731423331175125221431147',3612,'169',59.75,1,2,1),(28,7188471,'1994-08-14 00:00:00',4,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241117371441423524385124610146187',8807,'727',47.95,1,2,1),(28,7188480,'1994-10-11 00:00:00',4,10,11,2011,'F','N','CENTRO','BRAÇO NORTE','SC','124241241116131431216621495124610134142',14847,'100',36.04,4,2,1),(28,7188498,'1994-11-08 00:00:00',2,4,12,2011,'F','N','CENTRO','BOM JESUS','SC','124241241146141431323623245122610127042',17952,'93',39.07,1,2,1),(28,7188501,'1995-01-17 00:00:00',4,9,12,2011,'M','N','COPACABANA','LAGES','SC','124241241115271231269772215224610167052',10893,'498',52.29,4,3,NULL),(28,7188536,'1984-06-24 00:00:00',6,1,12,2008,'M','N','POTECAS','S JOSÉ','SC','124241241126155431521611385114620125143',NULL,'1117',18.84,1,2,1),(28,7188544,'1996-06-17 00:00:00',4,1,12,2013,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215151732459913575112610163056',NULL,'1169',38.51,1,3,NULL),(28,7188579,'1994-02-02 00:00:00',4,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241212111531489933575114610117045',2577,'270',63.68,1,3,NULL),(28,7188587,'1994-04-20 00:00:00',2,8,12,2011,'F','N','DONA FRANCISCA','S BENTO SUL','SC','124241241116471431423314575124610137057',14087,'693',39.35,1,2,1),(28,7188595,'1989-03-28 00:00:00',2,4,12,2007,'M','N','CENTRO','STA MARIA','RS','120203201315371431436627482344141022082',2696,'9998',61.54,1,3,NULL),(28,7188609,'1984-09-16 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','224241245126133431226354285124122216187',NULL,'307',0.00,1,3,NULL),(28,7188617,'1974-02-15 00:00:00',4,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','624116118632131321111147182345610118197',NULL,'9998',0.00,1,3,NULL),(28,7188633,'1986-12-12 00:00:00',4,9,12,2004,'F','N','SAGRADO CORAÇAO DE J','LAGES','SC','124241241117574431369813575122320662097',3414,'267',65.82,1,2,1),(28,7188650,'1994-11-17 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241127141431436612345124610162192',10698,'307',44.05,1,2,1),(28,7188684,'1991-10-25 00:00:00',4,8,12,2011,'M','N','SÃO MARCOS','JOINVILLE','SC','124201241135151431443339345122610137181',15964,'475',34.39,1,2,1),(28,7188692,'1994-07-17 00:00:00',4,3,12,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241217372431336629395124610134117',NULL,'403',29.96,1,3,NULL),(28,7188706,'1994-04-08 00:00:00',4,1,12,2011,'M','N','MARTINS','UBERLÂNDIA','MG','113132131216371431568811525121610117042',NULL,'9998',0.00,1,3,NULL),(28,7188714,'1994-08-29 00:00:00',4,1,11,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241212121431258833575122610162041',7910,'270',50.84,1,3,NULL),(28,7188722,'1977-06-14 00:00:00',4,1,12,1994,'M','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','624241248117251421223343236313610167062',12188,'591',40.54,1,2,1),(28,7188749,'1994-06-06 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241212131411558311582124610118012',17362,'988',30.61,1,3,NULL),(28,7188757,'1993-09-09 00:00:00',4,1,12,2011,'F','N','CENTRO','GAROPABA','SC','624243241215111432558612575122610141092',14697,'1253',46.18,1,3,NULL),(28,7188765,'1994-06-20 00:00:00',4,1,11,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111431458814475122610127042',2534,'270',63.77,1,3,NULL),(28,7188773,'1991-05-20 00:00:00',4,1,12,2008,'M','N','JARDIM AQUÁRIUS','PALHOÇA','SC','124241241116141221326311345124610117047',19961,'591',28.71,4,2,1),(28,7188781,'1994-04-23 00:00:00',4,1,12,2010,'F','N','VILA SANTO ANTÔNIO','IMBITUBA','SC','124241241117132431224429571124610137147',NULL,'359',36.57,1,2,1),(28,7188790,'1991-06-04 00:00:00',2,1,1,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124201201137272441123344445124610162117',13588,'9998',39.86,1,2,1),(28,7188803,'1993-11-04 00:00:00',4,8,12,2011,'M','N','JARDIM GUANABARA','ARAÇATUBA','SP','125254251215111731457814275122610134092',NULL,'9998',0.00,1,3,NULL),(28,7188811,'1983-12-24 00:00:00',2,1,12,2001,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241117575431119979475124131362097',4052,'757',58.70,1,3,NULL),(28,7188820,'1994-07-21 00:00:00',4,1,11,2011,'F','N','ALTO DA GLORIA','GOIÂNIA','GO','109092091236111431255829495112610166097',8352,'9998',46.43,4,3,NULL),(28,7188838,'1994-05-18 00:00:00',4,8,12,2011,'F','N','SERRA ALTA','S BENTO SUL','SC','124241241115271331321629575124610134052',17064,'697',30.94,1,2,1),(28,7188846,'1993-07-20 00:00:00',4,1,11,2010,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241216152431338419575112610168172',16464,'948',42.74,1,3,NULL),(28,7188862,'1994-10-02 00:00:00',4,1,12,2011,'F','N','BARRACÃO','ALFREDO WAGNER','SC','124241241126162421436923575121610117147',NULL,'13',14.80,1,2,1),(28,7188870,'1987-08-25 00:00:00',2,10,12,2004,'M','N','TRÊS DE MAIO','CAPIVARI BAIXO','SC','124241241127133431226624285124610127057',16311,'1034',43.08,2,1,1),(28,7188889,'1989-11-10 00:00:00',2,1,12,2006,'F','N','FORQUILHAS','S JOSÉ','SC','124204208117132131226844442122131047077',19709,'9998',31.07,1,3,NULL),(28,7188897,'1994-03-13 00:00:00',4,1,12,2011,'F','N','JARDIM LAURA','CPO MOURÃO','PR','116161161117131431223369595125610138032',15949,'9998',34.44,1,2,1),(28,7188900,'1993-09-24 00:00:00',2,8,11,2011,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215131431623514576125610147142',16075,'861',33.97,1,3,NULL),(28,7188919,'1990-04-25 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632131311111148172345610128197',NULL,'9999',0.00,1,3,NULL),(28,7188927,'1977-11-19 00:00:00',2,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241257127472721124644145124610164011',8544,'9998',47.24,4,2,1),(28,7188935,'1994-03-14 00:00:00',4,23,11,2011,'F','N','JARAGUA ESQUERDO','JARAGUÁ SUL','SC','124241241215111431446632572122610125142',18167,'422',38.38,1,3,NULL),(28,7188943,'1992-12-15 00:00:00',4,1,12,2009,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124244241117473231669713495124610127117',NULL,'307',30.86,1,3,NULL),(28,7188960,'1981-09-19 00:00:00',2,1,12,2007,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241122234421423619192341610126197',16057,'288',32.88,4,3,NULL),(28,7188978,'1993-10-28 00:00:00',4,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124244241215472431436614575124610127142',10645,'1118',44.46,1,3,NULL),(28,7188986,'1988-05-26 00:00:00',2,4,12,2005,'M','N','CENTRO','PASSO FUNDO','RS','120201201126131431113479195124240634097',NULL,'9998',0.00,1,2,1),(28,7188994,'1989-03-04 00:00:00',4,6,12,2005,'F','N','CENTRO','BAL PIÇARRAS','SC','124241241116232431539613575122343224127',NULL,'614',0.00,1,2,1),(28,7189001,'1993-12-09 00:00:00',4,9,12,2010,'M','N','BELA VISTA','LAGES','SC','124241241336472411225624375124233112147',4257,'499',60.22,1,3,NULL),(28,7189010,'1988-04-27 00:00:00',4,1,12,2005,'F','N','VILA ALVORADA','IMBITUBA','SC','124241241135213411423361245133610114112',12825,'359',39.07,1,2,1),(28,7189028,'1970-03-30 00:00:00',2,1,11,1992,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124241243121133411112144112124133013144',15299,'298',36.85,1,2,1),(28,7189036,'1990-01-28 00:00:00',4,2,12,2007,'F','N','VILA NOVA','BLUMENAU','SC','124243241215472431435923271124610163147',3320,'855',60.45,1,3,NULL),(28,7189044,'1993-04-28 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215472231369813585114610137062',1306,'272',68.56,1,3,NULL),(28,7189052,'1994-02-16 00:00:00',4,10,12,2011,'F','N','VILA MOEMA','TUBARÃO','SC','124242241216121741465839572222610168182',NULL,'809',35.77,1,3,NULL),(28,7189060,'1985-01-16 00:00:00',2,9,12,2002,'F','N','SANTA RITA','LAGES','SC','124241241316371431334834315122332867095',13989,'515',39.96,1,3,NULL),(28,7189079,'1994-11-19 00:00:00',4,1,11,2011,'M','N','IPANEMA','PTO ALEGRE','RS','120204201215471231337861472114610168116',2207,'9998',63.99,1,3,NULL),(28,7189087,'1992-06-12 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241115232431326624281224610124142',18960,'733',35.45,1,2,1),(28,7189095,'1994-10-28 00:00:00',4,1,12,2011,'F','N','PEDRO JORDÃO CARDOSO','STO AMARO IMPERATRIZ','SC','124241241115371431324611585124610135052',NULL,'772',28.92,1,2,1),(28,7189109,'1994-02-23 00:00:00',4,6,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215371431375822572122610124052',4584,'392',63.22,1,3,NULL),(28,7189117,'1989-11-13 00:00:00',4,1,12,2006,'F','N','KOBRASOL','S JOSÉ','SC','124241241126372411524416342123610124142',11968,'95',43.66,1,2,1),(28,7189133,'1993-03-23 00:00:00',4,1,12,2010,'F','N','RIVIERA','MATINHOS','PR','116161161116371411336622372122243243092',NULL,'9998',0.00,4,3,NULL),(28,7189141,'1994-12-24 00:00:00',4,1,11,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215122431358931575122610163182',1209,'262',69.77,1,3,NULL),(28,7189150,'1994-07-20 00:00:00',2,3,12,2011,'M','N','PEREQUE','PTO BELO','SC','124241241117371431522219376124610132042',9177,'630',55.10,1,2,1),(28,7189168,'1988-11-13 00:00:00',2,3,11,2007,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242248416153731447612494112610137096',NULL,'44',0.00,1,3,NULL),(28,7189176,'1994-10-15 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241115271431237524575124610137042',18502,'733',37.28,1,2,1),(28,7189184,'1995-07-02 00:00:00',4,1,12,2011,'F','N','COSTA DO MACACU','GAROPABA','SC','124241241126131731523511595124610167042',16901,'322',34.02,1,2,1),(28,7189206,'1992-10-16 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215413431454916575124610112062',2833,'270',64.51,1,3,NULL),(28,7189214,'1994-10-15 00:00:00',4,1,12,2011,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241215111431336933575124610112142',6175,'1022',53.18,1,3,NULL),(28,7189222,'1995-02-26 00:00:00',4,1,12,2011,'F','N','PASSA VINTE','PALHOÇA','SC','124243241115471731223529572224610128142',12646,'592',40.76,1,3,NULL),(28,7189230,'1994-04-22 00:00:00',2,23,12,2011,'M','N','IMIGRNATES','GUARAMIRIM','SC','124242241215131331556612184124610114142',6379,'441',59.90,1,3,NULL),(28,7189249,'1994-09-09 00:00:00',4,8,12,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241216131431525524175124610125071',11758,'1105',50.93,1,3,NULL),(28,7189265,'1993-04-21 00:00:00',4,5,11,2010,'F','N','SANTA ISABEL','FORQUILHINHA','SC','124244241216251431324319275124131556172',15921,'995',43.84,1,3,NULL),(28,7189290,'1991-06-21 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124053241136271431537614142134610164183',13550,'298',39.86,4,3,NULL),(28,7189303,'1994-10-22 00:00:00',2,23,12,2011,'F','N','CENTRO','MASSARANDUBA','SC','124241241215111751635616375122610112142',NULL,'441',0.00,1,3,NULL),(28,7189311,'1985-11-24 00:00:00',3,1,6,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124281281116151411116679595321121346042',NULL,'9998',27.06,2,1,1),(28,7189320,'1994-10-14 00:00:00',2,24,11,2011,'F','N','CENTRO','RIO SUL','SC','124242241215111731236612572122610164072',NULL,'991',0.00,1,3,NULL),(28,7189338,'1992-11-11 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431579613574122610128142',4563,'270',57.64,1,3,NULL),(28,7189346,'1992-11-04 00:00:00',2,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124201241115373431323321285124610114142',18593,'307',36.92,1,2,1),(28,7189354,'1994-09-25 00:00:00',4,3,11,2012,'F','S','MUCHILA I','FRA SANTANA','BA','105052241216111451359923575122610168052',NULL,'9998',44.87,1,3,NULL),(28,7189362,'1993-10-24 00:00:00',2,1,12,2011,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241248115131411424629595124610118187',NULL,'591',13.79,1,3,NULL),(28,7189370,'1995-04-24 00:00:00',2,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215151431349924572122610127057',10196,'272',45.24,1,3,NULL),(28,7189397,'1989-10-10 00:00:00',2,1,12,2006,'M','N','FORQUILHAS','S JOSÉ','SC','124241241114133732533339116133610117062',16145,'727',33.05,1,2,1),(28,7189400,'1994-04-09 00:00:00',2,4,12,2011,'F','N','JARDIM','MODELO','SC','124241241126141431525923575122610134142',NULL,'562',0.00,1,3,NULL),(28,7189427,'1993-04-27 00:00:00',2,8,11,2010,'F','N','BOEHMERWALD','JOINVILLE','SC','124241246115372431225623245124132113052',12606,'24',39.54,1,2,1),(28,7189435,'1991-04-12 00:00:00',2,1,5,2009,'M','N','ENSEADA DE BRITO','PALHOÇA','SC','124241248327271411226844345124130227057',12091,'9997',50.40,1,3,NULL),(28,7189443,'1994-10-21 00:00:00',2,1,12,2012,'M','S','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241215111231588832575121610127185',NULL,'1133',24.29,1,3,NULL),(28,7189460,'1993-05-06 00:00:00',6,1,12,2011,'F','N','BARRA DE ARIRIU','PALHOÇA','SC','124243241117151411126623576124610122091',NULL,'295',16.41,1,3,NULL),(28,7189478,'1994-05-06 00:00:00',2,15,12,2011,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241115371431325614185124610166072',NULL,'29',29.59,1,2,1),(28,7189486,'1995-06-13 00:00:00',4,1,11,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217151412368832276114610164115',17291,'951',40.81,1,3,NULL),(28,7189494,'1991-06-21 00:00:00',4,17,12,2009,'M','N','VILA PINHEIRINHO','S MATEUS SUL','PR','116161161435572731636824575124610162057',661,'9998',70.89,1,3,NULL),(28,7189516,'1993-09-24 00:00:00',2,1,12,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241116472421323649345124610127052',8083,'17',52.52,1,2,1),(28,7189524,'1993-08-25 00:00:00',4,22,12,2010,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241211373431568912475122231417112',2119,'109',64.84,1,3,NULL),(28,7189540,'1992-06-28 00:00:00',2,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241111142431536411395124231066012',16236,'21',43.26,1,2,1),(28,7189559,'1992-03-11 00:00:00',4,8,12,2009,'M','N','VILA NOVA','JOINVILLE','SC','124241241116131411633611385124132736057',NULL,'473',26.42,1,3,NULL),(28,7189567,'1993-08-12 00:00:00',2,15,12,2011,'F','N','CENTRO','S JOÃO SUL','SC','124241241415271531423614175122610124197',14933,'717',45.75,1,3,NULL),(28,7189575,'1994-04-26 00:00:00',2,1,12,2011,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241112471431214624575124610168017',14832,'307',40.15,1,2,1),(28,7189583,'1993-01-16 00:00:00',2,1,12,2010,'M','N','TAJUBA UM','S JOÃO BATISTA','SC','124241241127371431326414175124610137047',17458,'574',40.40,1,2,1),(28,7189591,'1994-06-22 00:00:00',2,3,12,2011,'M','N','CENTRO','TIJUCAS','SC','624241241215111431336614575122610127042',12842,'1119',39.51,4,3,NULL),(28,7189605,'1993-07-21 00:00:00',4,6,12,2010,'M','N','IMARUÍ','ITAJAÍ','SC','124241241117371431424623445121610164197',11138,'400',44.11,1,3,NULL),(28,7189613,'1992-10-18 00:00:00',4,1,11,2010,'M','N','PINHEIROS','S PAULO','SP','125252251216411751478814375124610167017',236,'9998',75.75,4,3,NULL),(28,7189621,'1992-09-23 00:00:00',2,23,12,2010,'F','N','PALMITAL','MARÍLIA','SP','125252251116411411448419575114610126142',10763,'9998',43.37,1,3,NULL),(28,7189648,'1985-02-13 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161216122431569813485124121464095',575,'9998',76.68,4,3,NULL),(28,7189656,'1994-12-16 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241235111741269933575114610144065',4964,'883',54.75,1,3,NULL),(28,7189664,'1994-01-04 00:00:00',4,1,11,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241217141231347723335324610122032',NULL,'1075',28.14,1,3,NULL),(28,7189672,'1994-03-19 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241111371431324624175124610123077',14183,'295',38.91,1,2,1),(28,7189680,'1993-12-03 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216372431479713575124133266032',11373,'1022',45.00,1,3,NULL),(28,7189699,'1994-03-18 00:00:00',4,4,12,2011,'F','N','PRESIDENTE MEDICI','CHAPECÓ','SC','124241241146141331336622285122610124147',NULL,'182',15.67,3,2,1),(28,7189702,'1993-03-29 00:00:00',4,1,12,2010,'F','N','SAO MANOEL','S JOSÉ R PRETO','SP','125252251216471431436814575124610164131',NULL,'9998',20.40,1,3,NULL),(28,7189710,'1991-06-19 00:00:00',2,27,12,2008,'F','N','CENTRO','S MIGUEL OESTE','SC','124241241126131231323615345134133235017',NULL,'55',9.84,1,2,1),(28,7189729,'1990-12-31 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116374431327824245334610164143',16569,'362',33.24,1,2,1),(28,7189737,'1993-05-11 00:00:00',2,1,12,2011,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251215111431347732575122610127112',11078,'9998',44.71,1,3,NULL),(28,7189745,'1994-10-14 00:00:00',4,8,11,2011,'M','N','GLÓRIA','JOINVILLE','SC','124242241215141531446312345112610167142',NULL,'459',0.00,1,3,NULL),(28,7189753,'1994-05-23 00:00:00',2,1,12,2011,'F','N','FUNDOS','BIGUAÇU','SC','124241241215111411436431315124610137092',NULL,'1040',15.94,1,3,NULL),(28,7189761,'1993-06-30 00:00:00',4,1,11,2010,'M','N','MONTE CASTELO','TEIXEIRA FREITAS','BA','105052051211471411468614595125610154182',9468,'9998',46.44,3,3,NULL),(28,7189770,'1991-01-03 00:00:00',2,1,7,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241247337141431435311215122610167047',NULL,'944',23.85,1,3,NULL),(28,7189788,'1994-10-10 00:00:00',2,10,12,2011,'M','N','PONTA DA BARRA','LAGUNA','SC','124242241227131431225524295121610116111',16345,'524',33.17,1,3,NULL),(28,7189796,'1994-04-14 00:00:00',2,7,11,2011,'M','N','ALVORADA','VIDEIRA','SC','124241241217151421436614172124610136122',18735,'1080',36.33,1,3,NULL),(28,7189800,'1994-02-25 00:00:00',4,1,12,2011,'F','N','FUNDOS','BIGUAÇU','SC','124241241145131431423311582224610126147',19498,'65',32.69,1,3,NULL),(28,7189818,'1982-12-04 00:00:00',2,1,12,2000,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241127241431243344345134610162047',15183,'131',45.26,1,2,1),(28,7189834,'1994-04-07 00:00:00',2,1,12,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241216161431346632375124610117042',NULL,'1048',17.23,1,3,NULL),(28,7189869,'1984-03-10 00:00:00',2,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241247646231751218444345334130233047',18681,'9999',36.55,2,1,2),(28,7189877,'1955-02-20 00:00:00',2,1,12,1980,'M','N','INGLESES','FLORIANÓPOLIS','SC','224201203126331731323244145124610112047',16727,'9998',34.60,1,2,1),(28,7189885,'1994-07-09 00:00:00',2,6,12,2011,'F','N','SÃO VICENTE','ITAJAÍ','SC','124244241416371431647311375124610164182',NULL,'388',38.43,1,3,NULL),(28,7189907,'1986-12-28 00:00:00',2,8,12,2003,'M','N','PARANAGUAMIRIM','JOINVILLE','SC','224161161126131411623648282123610117052',NULL,'9998',18.72,1,3,NULL),(28,7189915,'1983-12-10 00:00:00',2,1,7,2003,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241135474421643321385123123227052',15324,'281',44.98,1,2,1),(28,7189923,'1994-12-16 00:00:00',4,15,12,2011,'F','N','VILA BEATRIZ','MARACAJÁ','SC','124241241127231721326314142224610126067',16157,'550',33.80,1,2,1),(28,7189931,'1993-02-26 00:00:00',2,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241117472431328364272224610167015',5238,'733',57.86,1,2,1),(28,7189940,'1989-12-11 00:00:00',2,1,7,2010,'F','N','COHAB','STA CRUZ SUL','RS','120204207346151421327823485111610121187',NULL,'9998',25.41,1,3,NULL),(28,7189958,'1994-09-23 00:00:00',2,7,12,2011,'F','N','INTERIOR','VARGEM BONITA','SC','124241241114371431313315475124610166147',NULL,'827',25.64,1,2,1),(28,7189966,'1993-05-08 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115472431233623575111610144032',12923,'592',41.78,1,2,1),(28,7189982,'1990-02-22 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116153431228744245124223225147',14182,'267',39.03,1,2,1),(28,7189990,'1993-09-21 00:00:00',2,1,12,2010,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124243241216132431436933342134610114141',11599,'988',44.61,1,3,NULL),(28,7190000,'1994-02-17 00:00:00',4,3,12,2010,'M','N','CENTRO','PTO BELO','SC','124243241215274411535511575124121462182',2232,'948',62.87,1,3,NULL),(28,7190026,'1994-09-10 00:00:00',2,1,12,2011,'F','N','POTECAS','S JOSÉ','SC','124241241117471731533614335324610127142',NULL,'733',35.78,4,2,1),(28,7190042,'1987-11-03 00:00:00',2,8,11,2005,'M','N','ALTO DE MAFRA','MAFRA','SC','124243161217271431338619295115610165091',NULL,'9998',0.00,1,3,NULL),(28,7190050,'1993-05-24 00:00:00',2,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124241248115471731425314372124610121193',NULL,'734',16.48,2,2,1),(28,7190069,'1995-03-23 00:00:00',2,15,12,2011,'F','N','ITOUPAVA II','TURVO','SC','124241241115111411423316575124610144147',NULL,'814',28.95,1,3,NULL),(28,7190077,'1958-03-16 00:00:00',4,7,11,1977,'M','N','CENTRO','VIDEIRA','SC','124241161327152441348643135122231436092',6718,'9998',59.33,1,3,NULL),(28,7190085,'1993-03-29 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117572451428871445124610134182',6454,'285',57.54,1,2,1),(28,7190115,'1994-02-18 00:00:00',4,23,11,2011,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124244241216161431468813475122610142017',8905,'441',47.06,1,3,NULL),(28,7190123,'1989-12-04 00:00:00',4,1,12,2006,'F','N','JARDIM AQUARIUS','PALHOÇA','SC','224241241316373431433654482122610126027',14664,'1191',46.24,4,3,NULL),(28,7190131,'1980-12-09 00:00:00',2,1,12,2001,'F','N','FORQUILHAS','S JOSÉ','SC','224241247416152431323154132123610136077',16638,'1003',33.35,1,3,NULL),(28,7190140,'1994-12-08 00:00:00',4,8,12,2012,'M','S','CENTRO','S BENTO SUL','SC','124242161217161431369819475125610134182',NULL,'9998',57.51,1,3,NULL),(28,7190158,'1994-01-24 00:00:00',4,3,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241216131431428874575122233236197',18925,'1017',35.57,1,3,NULL),(28,7190166,'1994-05-30 00:00:00',2,25,12,2011,'M','N','MARAFON','VIDEIRA','SC','124241246215141311348813132125610131012',NULL,'1080',29.35,1,3,NULL),(28,7190174,'1990-03-31 00:00:00',2,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241137231421646614245333610137062',NULL,'307',24.20,1,2,1),(28,7190182,'1994-05-03 00:00:00',4,1,12,2011,'M','N','CHACARA DAS CEDRAS','PTO ALEGRE','RS','120202201216151441366914475112610137112',7392,'9998',51.52,1,3,NULL),(28,7190204,'1970-11-26 00:00:00',2,1,12,2007,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241121373422423344341344610163141',18650,'281',36.70,1,3,NULL),(28,7190212,'1988-03-26 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124203201117374411126344245134610147077',7454,'9998',50.98,1,3,NULL),(28,7190239,'1991-04-08 00:00:00',2,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124204247347372431438616382124610122097',16006,'9999',34.68,1,3,NULL),(28,7190255,'1993-02-01 00:00:00',2,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241111172731123344445234610128147',NULL,'321',22.28,1,3,NULL),(28,7190263,'1994-11-09 00:00:00',4,8,12,2011,'M','N','SAGUAÇU','JOINVILLE','SC','124241241115471431348832575125610164057',9505,'478',48.56,1,2,1),(28,7190271,'1995-01-03 00:00:00',4,9,11,2011,'M','N','DECA','S JOAQUIM','SC','124241241117371431438623345125610117082',NULL,'719',0.00,1,3,NULL),(28,7190280,'1991-05-09 00:00:00',2,1,10,2010,'M','N','JURERE','FLORIANÓPOLIS','SC','124244247311311421326311145114610166042',17292,'9999',40.81,1,3,NULL),(28,7190298,'1991-07-15 00:00:00',4,1,12,2008,'F','N','JACARE','CABREÚVA','SP','125251251117471431446614575114610141142',NULL,'9998',41.28,3,2,1),(28,7190301,'1993-09-15 00:00:00',2,1,12,2010,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241142372431323314572114610128187',15710,'295',34.43,1,2,1),(28,7190310,'1994-08-25 00:00:00',4,15,12,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124241241217211441437711275122610124077',10439,'26',45.96,1,3,NULL),(28,7190328,'1990-08-19 00:00:00',4,1,12,2008,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241241117152431434314245123610167062',14754,'592',46.07,1,2,1),(28,7190336,'1994-02-04 00:00:00',4,2,12,2011,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111431358611475122610131182',4228,'87',59.01,1,3,NULL),(28,7190344,'1994-01-21 00:00:00',2,10,12,2011,'M','N','CABEÇUDAS','LAGUNA','SC','124244244425141431526634345124610137042',14338,'524',38.71,1,3,NULL),(28,7190352,'1993-11-19 00:00:00',4,1,11,2010,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215372431478812372122610124127',2699,'270',62.41,1,3,NULL),(28,7190360,'1994-10-28 00:00:00',4,23,12,2011,'M','N','RIO CERRO I','JARAGUÁ SUL','SC','124241241127141432545933245122610167052',19869,'434',29.70,1,3,NULL),(28,7190379,'1981-09-15 00:00:00',4,1,11,2008,'M','N','ROÇADO','S JOSÉ','SC','124241248122372731623344145121610138057',12583,'9999',42.58,1,2,1),(28,7190387,'1994-12-14 00:00:00',2,1,12,2011,'M','N','NOSSA S DO ROSÁRIO','S JOSÉ','SC','124242241211111431446514575112610127062',14650,'738',37.29,1,3,NULL),(28,7190395,'1989-05-19 00:00:00',2,1,12,2006,'M','N','SERTÃO DO IMARUIM','S JOSÉ','SC','124251252135371431423144145334610115092',18230,'9998',29.57,4,2,1),(28,7190409,'1993-07-09 00:00:00',2,1,11,2011,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215111412329913575111610127142',16451,'1051',42.77,1,3,NULL),(28,7190417,'1984-10-22 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241146134411126344395122610121197',NULL,'295',32.46,1,2,1),(28,7190425,'1993-08-12 00:00:00',4,1,10,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241217132411246823475124233262041',10891,'1022',52.29,1,3,NULL),(28,7190450,'1995-08-28 00:00:00',4,16,12,2011,'M','N','INTERIOR','CURITIBANOS','SC','124241241115141431323336592224610168182',11952,'239',44.14,1,3,NULL),(28,7190468,'1977-12-13 00:00:00',4,1,12,1996,'M','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124202207226132721126644445224140848197',13559,'9998',48.13,1,3,NULL),(28,7190484,'1994-05-10 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241215111231436513575112610117112',9293,'1022',47.89,1,3,NULL),(28,7190492,'1994-02-18 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115131431625534295124610134072',15563,'592',44.60,1,2,1),(28,7190514,'1994-02-25 00:00:00',4,27,11,2011,'F','N','CENTRO','CHAPECÓ','SC','124242241215131421226824375122610136197',5774,'168',54.00,1,3,NULL),(28,7190530,'1995-05-31 00:00:00',4,1,11,2012,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111231568833235121610127045',NULL,'1133',55.19,1,3,NULL),(28,7190549,'1992-01-13 00:00:00',4,1,12,2009,'M','N','CENTRO','CAMPINAS','SP','125254256117272411567611295124610161027',NULL,'9998',29.23,4,3,NULL),(28,7190557,'1994-10-17 00:00:00',4,8,11,2011,'M','N','AVENTUREIRO','JOINVILLE','SC','124243241215121731459714575122610144092',126,'1016',77.94,1,3,NULL),(28,7190565,'1994-05-12 00:00:00',2,1,12,2011,'M','N','AMBROSIO','GAROPABA','SC','124201241147141431323624345121610127142',14438,'322',40.05,1,2,1),(28,7190573,'1992-02-20 00:00:00',4,1,9,2009,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251211571731428831575122610144092',780,'9998',69.95,1,3,NULL),(28,7190581,'1994-04-24 00:00:00',2,1,12,2011,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124242241215112411323311274124610147042',19440,'988',33.10,1,3,NULL),(28,7190590,'1994-06-22 00:00:00',2,7,12,2011,'F','N','SÃO JOÃO','CAPINZAL','SC','124241241115371531315524571325610168047',17821,'156',29.75,1,2,1),(28,7190603,'1994-02-26 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117371431224324475124610126197',NULL,'729',22.27,1,2,1),(28,7190611,'1990-04-12 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241212575421689932475124130467187',9584,'270',54.40,1,3,NULL),(28,7190638,'1992-07-04 00:00:00',2,1,12,2009,'M','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241241117473711623623435124610167065',10428,'281',46.21,2,1,1),(28,7190646,'1995-02-18 00:00:00',4,24,12,2011,'M','N','ATERRADO','POUSO REDONDO','SC','124241241116371731324615195122610164057',8254,'639',47.86,1,2,1),(28,7190654,'1986-10-02 00:00:00',4,8,12,2003,'F','N','GLORIA','JOINVILLE','SC','124242241217272431489931415112322635092',3994,'1063',64.48,1,3,NULL),(28,7190670,'1993-02-05 00:00:00',2,8,12,2010,'F','N','BIGORRILHO','CURITIBA','PR','116162161216472431439513575122610163142',NULL,'9998',0.00,1,3,NULL),(28,7190689,'1990-08-25 00:00:00',2,22,12,2009,'F','N','TIMBÉZINHO','S JOÃO BATISTA','SC','124241241125371431423344246123610135147',20078,'712',26.81,1,2,1),(28,7190719,'1991-06-23 00:00:00',4,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632131421111148282345610168197',NULL,'9999',13.95,4,1,2),(28,7190727,'1995-07-12 00:00:00',4,1,12,2012,'M','S','BARREIROS','S JOSÉ','SC','124242241217121431366913595122610127052',NULL,'738',32.17,1,3,NULL),(28,7190735,'1993-07-26 00:00:00',4,1,9,2011,'F','N','VILA CELIA','CPO GRANDE','MS','112124121416231411448811575124610128092',13689,'9998',47.90,2,3,NULL),(28,7190743,'1993-10-23 00:00:00',4,26,12,2011,'M','N','LIBERDADE','CONCÓRDIA','SC','124241245115171411116211111325610161092',15434,'192',44.80,4,2,1),(28,7190751,'1994-04-05 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241225271411224628576124610118197',4451,'262',57.91,1,3,NULL),(28,7190786,'1993-01-11 00:00:00',2,1,12,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241116331531523331346334610131052',NULL,'295',28.67,1,2,1),(28,7190816,'1987-07-08 00:00:00',2,1,12,2004,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','524241241115135721134444245124223263187',16835,'307',41.91,1,2,1),(28,7190824,'1993-08-04 00:00:00',2,8,12,2010,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215473431468833475112610143142',2189,'457',66.46,1,3,NULL),(28,7190859,'1993-01-22 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241115272731333519375124610127042',17789,'307',39.50,1,3,NULL),(28,7190867,'1994-02-15 00:00:00',2,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241215132431466819572112610123141',11653,'1022',43.76,1,3,NULL),(28,7190875,'1991-04-03 00:00:00',4,3,11,2008,'F','N','CAMPO BELO','LONDRINA','PR','116162161216571431248812575112610166186',NULL,'9998',0.00,1,3,NULL),(28,7190883,'1994-03-26 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241137371432218524231334610114047',9746,'1248',46.55,1,2,1),(28,7190891,'1995-01-17 00:00:00',2,27,12,2011,'M','N','SÃO LUIZ','S MIGUEL OESTE','SC','124241241215151411424536375124610167057',18817,'1179',29.36,1,3,NULL),(28,7190930,'1993-01-22 00:00:00',4,22,12,2010,'F','N','RIO BRANCO','BRUSQUE','SC','124241241127151711336619275124131014182',NULL,'108',0.00,1,2,1),(28,7190948,'1990-05-09 00:00:00',2,1,12,2007,'M','N','CENTRO','STA HELENA','PR','116161161117161431438812444114610117047',NULL,'687',36.90,4,2,1),(28,7190956,'1994-03-01 00:00:00',4,15,12,2011,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241217211711227923475122610164197',9008,'26',49.23,1,3,NULL),(28,7190964,'1976-05-13 00:00:00',2,15,6,2003,'M','N','POLICIA RODOVIARIA','ARARANGUÁ','SC','224241241127273722523344242113122328197',NULL,'852',0.00,4,2,1),(28,7190972,'1994-07-07 00:00:00',2,1,12,2011,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241115131231544319581124610167051',NULL,'941',16.50,1,2,1),(28,7190980,'1994-05-04 00:00:00',2,1,12,2011,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241115171521521229572224611437142',NULL,'278',23.86,2,1,1),(28,7190999,'1995-08-02 00:00:00',4,2,12,2012,'F','S','TAPAJÓS','INDAIAL','SC','124243251217161731469911475122610128142',NULL,'986',49.18,1,3,NULL),(28,7191006,'1995-11-02 00:00:00',2,1,12,2012,'F','S','N S DO ROSÁRIO','S JOSÉ','SC','124242241217111731357713575112610127077',NULL,'738',46.61,1,3,NULL),(28,7191014,'1994-03-18 00:00:00',4,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','624243241215111411446631242144610123092',10318,'1022',53.20,1,3,NULL),(28,7191022,'1989-04-02 00:00:00',2,1,12,2007,'M','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241241111473711623623432124610167055',16333,'281',43.03,2,1,1),(28,7191030,'1995-01-10 00:00:00',4,9,11,2011,'F','N','FLORIANI','OTACÍLIO COSTA','SC','124244241215112431547932572122610127142',2028,'499',64.87,1,3,NULL),(28,7191049,'1993-10-18 00:00:00',2,3,12,2010,'F','N','SERTÃOZINHO','BOMBINHAS','SC','124241241111411411522463571124610116042',17445,'96',40.43,1,2,1),(28,7191073,'1987-11-09 00:00:00',2,1,12,2004,'M','N','CENTRO','RENASCENÇA','PR','116161161126141411334613242122140814043',NULL,'9998',20.56,4,3,NULL),(28,7191081,'1987-12-26 00:00:00',1,5,12,2005,'F','N','VILA MARIANA','S PAULO','SP','125252251216574431335379571122610124077',7398,'9998',49.76,1,3,NULL),(28,7191090,'1994-12-25 00:00:00',4,1,12,2011,'F','N','NOVA BRASILIA','IMBITUBA','SC','124241241115271432322324272124610168197',NULL,'359',0.00,1,2,1),(28,7191103,'1994-04-28 00:00:00',4,10,11,2011,'F','N','CENTRO','BRAÇO NORTE','SC','124242241216111431446612375124610122092',4969,'806',55.08,1,3,NULL),(28,7191120,'1990-05-16 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216145721138749495132610134145',6411,'1026',50.93,1,3,NULL),(28,7191138,'1991-10-09 00:00:00',2,1,12,2008,'M','N','VARGEM DO BRAÇO','STO AMARO IMPERATRIZ','SC','124241241115372421526633482213610134047',7574,'772',54.05,1,2,1),(28,7191162,'1992-02-22 00:00:00',2,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124241241116271131333614575124610114147',18179,'307',32.61,1,2,1),(28,7191170,'1988-02-01 00:00:00',2,3,12,2006,'F','N','CENTRO','BAL CAMBORIÚ','SC','124201205136134411323729375124422266187',10562,'9998',42.29,1,2,1),(28,7191197,'1976-03-12 00:00:00',2,1,12,1995,'M','N','INGLESES','FLORIANÓPOLIS','SC','124203201117574431236743435122240418187',8445,'9998',56.36,1,3,NULL),(28,7191200,'1992-11-09 00:00:00',4,8,12,2009,'F','N','CENTRO','STA CRUZ SUL','RS','120202201216571731247929575122610167072',6116,'9998',60.39,1,3,NULL),(28,7191227,'1993-03-29 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216472431249929575124610143142',967,'962',70.56,4,3,NULL),(28,7191235,'1979-03-14 00:00:00',2,1,12,1997,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124051051136134431113349292324221668177',NULL,'9998',19.73,2,1,1),(28,7191243,'1993-12-26 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215412431238612575124131227112',8045,'1022',50.95,1,3,NULL),(28,7191251,'1992-11-10 00:00:00',4,24,12,2011,'M','N','BELA VISTA','ITUPORANGA','SC','124241241114161231423325595124610142147',15227,'930',33.35,4,2,1),(28,7191260,'1983-12-09 00:00:00',2,4,12,2001,'M','N','GRÃ DUQUESA','GOV VALADARES','MG','113131131416131451221444242334610167057',3801,'9998',58.84,5,4,NULL),(28,7191278,'1992-11-25 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127272431325674345334610111192',NULL,'283',0.00,1,2,1),(28,7191286,'1994-04-19 00:00:00',4,1,12,2012,'M','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111712369933435114610114115',NULL,'1250',51.35,1,3,NULL),(28,7191294,'1993-08-19 00:00:00',4,2,12,2010,'M','N','ENCANO DO NORTE','INDAIAL','SC','124241242115131431536713272121131464112',16470,'129',42.71,1,3,NULL),(28,7191316,'1991-08-08 00:00:00',4,8,12,2005,'M','N','BOA VISTA','JOINVILLE','SC','124241241117372441536619295124231464082',NULL,'449',0.00,1,2,1),(28,7191324,'1993-06-24 00:00:00',2,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111211468632345122610162173',15053,'737',45.51,1,3,NULL),(28,7191332,'1994-05-11 00:00:00',6,15,12,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124241241137131711218832195135610124181',19674,'29',23.64,1,3,NULL),(28,7191340,'1983-10-16 00:00:00',2,1,12,2001,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124131131114145421623644145334221337047',NULL,'9998',0.00,4,1,1),(28,7191367,'1994-08-04 00:00:00',4,1,11,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216111431456613575124610134052',17202,'883',32.03,1,3,NULL),(28,7191375,'1993-02-12 00:00:00',5,8,11,2010,'F','N','BOA VISTA','JOINVILLE','SC','124241241216132711436629392224131936192',NULL,'461',38.05,1,3,NULL),(28,7191383,'1995-07-05 00:00:00',4,27,12,2012,'M','S','CENTRO','S MIGUEL OESTE','SC','124241241116111411336632575122610142177',NULL,'757',41.53,1,3,NULL),(28,7191391,'1993-10-29 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215372431536633345122610166092',11080,'738',43.24,1,3,NULL),(28,7191405,'1993-08-30 00:00:00',2,1,11,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215372411536932312124610147184',17885,'1048',39.24,1,3,NULL),(28,7191413,'1994-06-13 00:00:00',4,1,2,2012,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241117151432436614275122610167057',8129,'739',50.41,1,3,NULL),(28,7191421,'1994-07-06 00:00:00',2,10,11,2011,'M','N','CENTRO','BRAÇO NORTE','SC','124242241215111431656612345122610167042',6968,'806',52.63,1,3,NULL),(28,7191430,'1994-03-23 00:00:00',4,1,12,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124242241215111431417714572224610164092',10719,'1050',52.56,1,3,NULL),(28,7191448,'1988-03-22 00:00:00',2,1,12,2005,'F','N','IPIRANGA','S JOSÉ','SC','124201241116372431128644342334133236093',11732,'275',50.96,1,2,1),(28,7191464,'1994-10-29 00:00:00',2,1,12,2011,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241115151431425334292122610161192',16519,'732',35.93,1,2,1),(28,7191472,'1977-06-27 00:00:00',2,1,12,1996,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247325474411126444342124610126077',NULL,'487',23.59,1,3,NULL),(28,7191499,'1995-01-05 00:00:00',2,15,12,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124241241115371731326624275124610161147',14519,'29',40.79,1,2,1),(28,7191502,'1994-01-17 00:00:00',4,1,11,2011,'M','N','VILA SÃO RAFAEL','GUARULHOS','SP','125253253217471431338733575124610132037',12841,'9998',40.78,1,3,NULL),(28,7191510,'1994-11-15 00:00:00',4,1,11,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217111431458852576122610134181',18450,'262',37.48,1,3,NULL),(28,7191529,'1993-04-06 00:00:00',4,9,12,2011,'M','N','CENTRO','S JOAQUIM','SC','124241243116261431634666385125610137087',17286,'719',30.01,3,3,NULL),(28,7191545,'1994-06-24 00:00:00',4,1,11,2011,'M','N','CENTRO','CPO VERDE','MT','111112111237111431468832575122610147122',3469,'9998',59.26,1,3,NULL),(28,7191588,'1993-06-24 00:00:00',4,10,12,2010,'M','N','MAGALHAES','LAGUNA','SC','124242241225472431426923395125610166147',2328,'524',62.65,1,3,NULL),(28,7191596,'1995-03-28 00:00:00',4,2,11,2011,'F','N','ASILO','BLUMENAU','SC','124242241216111411339614575122610124147',8736,'71',49.67,1,3,NULL),(28,7191618,'1994-01-28 00:00:00',2,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124242241411151331523879595122610167072',18553,'592',37.04,1,3,NULL),(28,7191626,'1994-03-13 00:00:00',4,1,12,2011,'M','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124244241217141431428611232134610167042',NULL,'1075',26.92,1,3,NULL),(28,7191634,'1984-08-30 00:00:00',4,1,12,2001,'M','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124202201236141311119711215132341062117',13016,'9998',48.96,1,3,NULL),(28,7191642,'1994-04-21 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431379913575122610124122',8800,'270',53.82,1,3,NULL),(28,7191650,'1992-12-09 00:00:00',4,5,12,2009,'M','N','SANTA AUGUSTA','CRICIÚMA','SC','124244246216142431559913391124610122012',8911,'188',46.31,1,3,NULL),(28,7191669,'1993-04-28 00:00:00',2,1,12,2010,'F','N','JARDIM DO LAGO','ENG COELHO','SP','125254251214471231548816472122610118052',NULL,'9998',26.96,1,3,NULL),(28,7191677,'1993-11-01 00:00:00',4,1,12,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215131431436834395124610122077',905,'1169',71.13,1,3,NULL),(28,7191693,'1994-07-01 00:00:00',4,6,12,2011,'F','N','SOL NASCENTE','GUARAPUAVA','PR','125162251235111331478934475122610117147',3756,'9998',57.70,1,3,NULL),(28,7191707,'1994-02-17 00:00:00',4,1,1,2012,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241115371441326411295125610146142',4796,'307',57.55,1,2,1),(28,7191715,'1993-05-05 00:00:00',4,1,12,2010,'F','N','HIGIENÓPOLIS','PIRACICABA','SP','125252251217471431469931582122610114186',4191,'9998',56.99,1,3,NULL),(28,7191723,'1992-03-18 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124241241117141431534314295114610134037',NULL,'734',12.74,1,3,NULL),(28,7191731,'1993-11-17 00:00:00',4,15,12,2011,'F','N','IGRA','TORRES','RS','120201205115131731523524575221610126177',6808,'9998',52.02,1,3,NULL),(28,7191758,'1994-07-22 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241115111431577839585122610127062',355,'270',74.95,1,3,NULL),(28,7191766,'1994-06-20 00:00:00',2,1,12,2011,'F','N','ARIRIU','PALHOÇA','SC','124241241115371431326314575224610137142',10272,'592',47.70,1,2,1),(28,7191774,'1993-10-21 00:00:00',4,1,12,2011,'M','N','SAVEIRO','BIGUAÇU','SC','124241241116371431323319395124610827141',NULL,'1088',21.99,4,2,1),(28,7191782,'1992-03-18 00:00:00',4,1,12,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241248146131431536313585124610114087',NULL,'283',18.32,1,2,1),(28,7191790,'1994-09-29 00:00:00',4,2,11,2011,'F','N','VELHA','BLUMENAU','SC','124241241217132431436622245324610124147',9416,'1018',45.44,1,3,NULL),(28,7191804,'1993-09-19 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372231469813385122610167042',6564,'1022',56.00,1,3,NULL),(28,7191820,'1994-06-13 00:00:00',2,1,12,2011,'F','N','ALTO ARROIO','IMBITUBA','SC','124241241117371431424311272224610114197',11730,'361',41.87,1,2,1),(28,7191839,'1996-10-30 00:00:00',4,1,12,2013,'M','S','FLORESTA','S JOSÉ','SC','124242241215111432369933485124610112193',NULL,'737',0.00,4,3,NULL),(28,7191847,'1977-09-03 00:00:00',4,23,11,1995,'M','N','BAEPENDI','JARAGUÁ SUL','SC','124241243126131111112239383311131426094',13895,'314',47.57,4,2,1),(28,7191855,'1990-07-11 00:00:00',5,5,11,2008,'F','N','SANTO ANTONIO','TREVISO','SC','124281241215371421333616436324610162191',16190,'995',43.35,1,3,NULL),(28,7191863,'1992-07-23 00:00:00',4,9,12,2010,'F','N','VILA MARIA','LAGES','SC','124244247215571741545319574124610147182',9113,'9999',48.59,4,3,NULL),(28,7191871,'1989-03-01 00:00:00',4,1,12,2006,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241212153531433522485114133264045',NULL,'1048',0.00,1,3,NULL),(28,7191880,'1993-02-04 00:00:00',2,15,12,2010,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124243241216132431346613495122231718047',16248,'26',37.81,1,3,NULL),(28,7191898,'1986-11-13 00:00:00',4,1,7,2005,'F','N','ROÇADO','S JOSÉ','SC','124241247217272432123644442124610124092',NULL,'9999',30.05,1,3,NULL),(28,7191901,'1993-07-27 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241126132431525629575124610136197',NULL,'283',29.07,1,2,1),(28,7191910,'1994-09-02 00:00:00',4,4,11,2011,'M','N','CENTRO','CHAPECÓ','SC','124242241216471431489914575112610122012',5130,'168',54.68,1,3,NULL),(28,7191928,'1993-05-15 00:00:00',4,1,12,2010,'M','N','ZONA CINCO','MARINGÁ','PR','116162161217471431459814575125610144047',4620,'9998',55.36,1,3,NULL),(28,7191936,'1989-12-19 00:00:00',4,8,12,2007,'F','N','ATIRADORES','JOINVILLE','SC','124242241216174431539634385124231432072',18709,'486',36.42,1,3,NULL),(28,7191944,'1994-10-16 01:00:00',4,1,12,2011,'F','N','MANSÕES STO ANTONIO','CAMPINAS','SP','125252251216111731528614575114610117147',8419,'9998',52.64,1,3,NULL),(28,7191952,'1989-07-01 00:00:00',4,1,12,2006,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241215152411369833315123331424062',NULL,'300',0.00,1,3,NULL),(28,7191960,'1994-01-01 00:00:00',4,8,11,2010,'M','N','BATEL','CURITIBA','PR','116162161216472731358814575314610122182',NULL,'9998',0.00,1,3,NULL),(28,7191979,'1993-07-11 00:00:00',4,16,12,2011,'M','N','CENTRO','CURITIBANOS','SC','124241241117471432425624485122610147147',17084,'239',31.76,1,3,NULL),(28,7191987,'1991-06-22 00:00:00',2,9,11,2008,'F','N','CENTRO','S JOAQUIM','SC','116242241215572431434622575114131363142',NULL,'1035',0.00,4,3,NULL),(28,7191995,'1994-11-29 00:00:00',4,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115471431625624385124610146017',NULL,'285',31.54,1,2,1),(28,7192002,'1992-03-02 00:00:00',4,1,12,2009,'F','N','REAL PARQUE','S JOSÉ','SC','124241241116372431423414345124610134032',13725,'730',40.44,1,2,1),(28,7192010,'1992-10-09 00:00:00',4,1,12,2010,'F','N','SANTANA','S PAULO','SP','125252251217471731446924575125610144117',7144,'9998',49.68,1,3,NULL),(28,7192029,'1994-02-17 00:00:00',4,1,12,2011,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241225171111423624592214610122043',NULL,'262',0.00,4,3,NULL),(28,7192037,'1991-05-20 00:00:00',4,8,12,2009,'M','N','JARDIN SOPHIA','JOINVILLE','SC','124242241216272431556612575135121464012',1354,'1063',66.06,1,3,NULL),(28,7192053,'1994-05-03 00:00:00',4,1,11,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215211431679814575122610144195',4351,'262',59.42,1,3,NULL),(28,7192061,'1994-06-06 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215112431558632575122610136197',4947,'738',56.50,1,3,NULL),(28,7192070,'1994-11-20 00:00:00',2,1,12,2011,'F','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124243241217152431523314292122610131017',9729,'63',47.24,1,3,NULL),(28,7192088,'1994-06-28 00:00:00',4,1,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242243235111721368812372114610167184',17066,'270',41.39,1,3,NULL),(28,7192096,'1992-11-13 00:00:00',2,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215272241489813575124130268082',6380,'270',55.76,1,3,NULL),(28,7192118,'1984-07-28 00:00:00',2,1,12,2001,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224241241132475421227551445224323027143',14601,'298',46.35,1,2,1),(28,7192134,'1981-01-28 00:00:00',4,15,12,1998,'M','N','CENTRO','ARARANGUÁ','SC','124244241216134421547837415122131428097',17618,'970',39.97,1,3,NULL),(28,7192142,'1985-12-20 00:00:00',4,8,12,2003,'F','N','LIBERDADE','S PAULO','SP','125252251216572431433823571124610115147',410,'9998',72.87,3,3,NULL),(28,7192150,'1993-09-13 00:00:00',2,1,11,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241412221511114121111111110111067',11348,'300',45.12,1,3,NULL),(28,7192169,'1994-06-27 00:00:00',4,1,12,2011,'F','N','ESPLANADA','CAXIAS SUL','RS','120201201115471431223329392224610142097',12512,'9998',40.53,4,2,1),(28,7192177,'1993-11-07 00:00:00',2,1,12,2011,'M','N','CENTRO','MAFRA','SC','124241241215111431338713375115610127072',NULL,'541',19.44,1,3,NULL),(28,7192185,'1992-10-28 00:00:00',4,8,12,2009,'F','N','GLÓRIA','JOINVILLE','SC','124242241217473431469814575112133234182',1134,'1063',69.44,1,3,NULL),(28,7192193,'1994-04-11 00:00:00',4,27,12,2011,'F','N','CENTRO','IPORÃ OESTE','SC','124241241111131432433614275122610127142',NULL,'371',24.70,1,2,1),(28,7192207,'1994-10-31 00:00:00',2,8,12,2011,'F','N','AMÉRICA','JOINVILLE','SC','124244241215111431549614575122610127111',5897,'1016',51.93,1,3,NULL),(28,7192215,'1994-01-01 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111431369923575122610124052',11003,'1169',44.49,1,3,NULL),(28,7192223,'1995-12-04 00:00:00',4,2,12,2012,'F','S','JARDIM BLUMENAU','BLUMENAU','SC','124242241217111431378931575122610114172',NULL,'87',44.43,1,3,NULL),(28,7192231,'1992-03-21 00:00:00',4,1,11,2009,'M','N','IPIRANGA','S JOSÉ','SC','124242248237131451225344341122610164042',17955,'976',39.07,4,3,NULL),(28,7192258,'1975-09-27 00:00:00',2,1,12,1995,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241243126373431134359295112222232142',15206,'257',36.20,2,1,1),(28,7192266,'1993-10-05 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241316272431338719345124610117185',17823,'298',39.41,1,3,NULL),(28,7192274,'1994-05-18 00:00:00',2,1,12,2011,'F','N','SÃO MIGUEL','BIGUAÇU','SC','124241241115131231427514472114610134147',14819,'64',38.89,1,2,1),(28,7192282,'1993-08-19 00:00:00',4,1,12,2011,'F','N','CENTRO','MARAU','RS','120201207217161331436872575124610127182',NULL,'9998',0.00,1,3,NULL),(28,7192290,'1992-11-27 00:00:00',4,8,12,2010,'M','N','ATIRADORES','JOINVILLE','SC','124242241215472311468614575122610167042',18745,'1063',36.31,1,3,NULL),(28,7192304,'1994-02-26 00:00:00',4,7,12,2011,'F','N','CIDADE JARDIM','CATANDUVAS','SC','124242241215111431459933575122610138197',NULL,'454',38.83,1,3,NULL),(28,7192320,'1994-09-24 00:00:00',2,1,12,2011,'F','N','ARMAÇÃO DA PIEDADE','GOV CELSO RAMOS','SC','124241241146111121426611395124610112052',NULL,'592',26.20,1,2,1),(28,7192339,'1994-09-03 00:00:00',2,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241312471431238631572225610112012',18382,'719',29.27,1,3,NULL),(28,7192347,'1994-11-08 00:00:00',4,1,12,2011,'F','N','CENTRO','GUAIÇARA','SP','125252251216111121426619595122610133147',NULL,'9998',0.00,1,3,NULL),(28,7192355,'1992-10-07 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216142431378812345134610168091',17621,'300',33.41,1,3,NULL),(28,7192363,'1977-11-13 00:00:00',2,1,11,1999,'F','N','DANIELA','FLORIANÓPOLIS','SC','124242161212112411127432322111131823152',19742,'882',30.71,1,3,NULL),(28,7192371,'1990-02-08 00:00:00',4,1,12,2007,'F','N','MENINO DEUS','PTO ALEGRE','RS','120201201116372421226624372124610137187',NULL,'9998',0.00,4,2,1),(28,7192380,'1991-04-19 00:00:00',4,1,11,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241117271432423544345124610162011',13091,'1248',41.50,1,2,1),(28,7192398,'1994-07-17 00:00:00',4,2,12,2011,'F','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124241241215111431348914575122610143192',NULL,'87',0.00,1,3,NULL),(28,7192401,'1994-08-06 00:00:00',4,4,12,2011,'M','N','PRESIDENTE MEDICIE','CHAPECÓ','SC','124242241215111431368611575112610114047',2473,'1191',62.50,1,3,NULL),(28,7192410,'1995-07-15 00:00:00',4,10,11,2012,'M','S','MAR GROSSO','LAGUNA','SC','124242241217111431256831585112610162192',NULL,'807',45.21,1,3,NULL),(28,7192428,'1993-07-29 00:00:00',2,1,12,2011,'M','N','RIO MIGUEL','ÁGUAS MORNAS','SC','124241241115141431623336362114610117052',14810,'978',35.32,1,3,NULL),(28,7192436,'1989-02-13 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116152322133949495125222236095',7070,'54',58.70,1,2,1),(28,7192444,'1988-10-27 00:00:00',2,1,11,2005,'M','N','KOBRASOL','S JOSÉ','SC','624241161132141411126644242324610127042',13690,'9998',47.90,1,2,1),(28,7192452,'1994-08-05 00:00:00',4,1,1,2012,'F','N','CACHOEIRAS','BIGUAÇU','SC','124241241115131431633334272124610124142',11446,'64',42.54,1,2,1),(28,7192460,'1994-10-21 00:00:00',2,17,11,2011,'F','N','CENTRO','CANOINHAS','SC','124242241215111431326922572122610122072',18800,'154',36.10,1,3,NULL),(28,7192479,'1994-03-17 00:00:00',4,8,11,2011,'M','N','CENTRO','JOINVILLE','SC','124242241217151231346932575112610164127',NULL,'461',0.00,1,3,NULL),(28,7192487,'1990-09-09 00:00:00',4,3,12,2008,'M','N','JD FLORES','OSASCO','SP','125254251215371431567834371124610167055',9417,'9998',45.44,3,3,NULL),(28,7192495,'1994-06-19 00:00:00',2,22,12,2011,'M','N','CASCATA','NOVA TRENTO','SC','124241241115141631547813111124610112172',NULL,'574',32.65,1,2,1),(28,7192509,'1984-05-04 00:00:00',2,1,12,2000,'F','N','SÍTIO DOS VIANAS','STO ANDRÉ','SP','125251251126271441326454281224340965097',14330,'9998',46.90,2,1,1),(28,7192517,'1987-06-01 00:00:00',2,1,12,2004,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224241241126272431226654285124330562147',13920,'282',47.53,1,2,1),(28,7192533,'1994-06-03 00:00:00',4,1,12,2011,'F','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124243241216111431443514375124610126182',6064,'1022',55.02,4,3,NULL),(28,7192550,'1994-07-25 00:00:00',2,8,12,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241236311731438412575112610167131',13136,'1063',37.21,1,3,NULL),(28,7192568,'1995-02-12 00:00:00',4,22,12,2012,'F','S','IMIGRANTES','GUABIRUBA','SC','124241241117151752433334572214610148172',NULL,'333',38.88,1,3,NULL),(28,7192576,'1993-04-12 00:00:00',4,1,12,2010,'F','N','FLORIANÓPOLIS','FLORIANÓPOLIS','SC','124241241117431431213371282224610132197',11245,'726',47.28,1,2,1),(28,7192606,'1990-09-30 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216114431358633495124220622072',NULL,'269',0.00,1,3,NULL),(28,7192614,'1988-11-29 00:00:00',4,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241116132421336549195224322236092',8839,'239',55.69,1,2,1),(28,7192630,'1994-10-17 00:00:00',4,1,10,2011,'M','N','SETOR BUENO','GOIÂNIA','GO','109094091217111431533639175125610162092',1158,'9998',69.96,1,3,NULL),(28,7192649,'1994-04-15 00:00:00',2,1,12,2011,'F','N','CENTRO','PIUMHI','MG','113132131217111421449614575112610144074',NULL,'9998',0.00,1,3,NULL),(28,7192657,'1987-06-14 00:00:00',2,1,12,2006,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241117273712423714335114610143147',18637,'295',36.75,2,1,1),(28,7192665,'1994-09-21 00:00:00',2,16,12,2011,'F','N','CENTRO','CURITIBANOS','SC','124242241115162711438935395122610114095',15924,'239',43.83,1,3,NULL),(28,7192673,'1992-03-28 00:00:00',4,1,11,2009,'F','N','CENTRO','IPORÃ OESTE','SC','124241241217575441369911571124610134092',1546,'270',65.72,1,3,NULL),(28,7192681,'1994-01-17 00:00:00',4,1,12,2011,'M','N','CENTRO','TIJUCAS','SC','124242241215111411437614575121610137052',15678,'1119',36.60,1,3,NULL),(28,7192690,'1988-11-27 00:00:00',4,6,12,2006,'M','N','CORDEIROS','ITAJAÍ','SC','224244241216574431386613572112133116125',5202,'1058',54.73,1,3,NULL),(28,7192703,'1994-07-19 00:00:00',2,5,12,2010,'F','N','RIO MAINA','CRICIÚMA','SC','124243241215151431456612385124610127012',14147,'995',47.19,1,3,NULL),(28,7192711,'1973-05-24 00:00:00',2,1,12,1994,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241326435411323344342114610164097',NULL,'270',30.54,1,3,NULL),(28,7192720,'1994-11-17 00:00:00',4,1,11,2011,'F','N','ARIRIÚ','PALHOÇA','SC','124242241215111431536671475114610124072',9999,'1011',47.56,1,3,NULL),(28,7192738,'1993-01-21 00:00:00',2,1,12,2010,'F','N','MASTERVILLE','SARZEDO','MG','113131131137131431426614345124610145177',NULL,'9998',0.00,4,2,1),(28,7192746,'1993-05-27 00:00:00',4,1,12,2010,'M','N','JD INFANTE D HENRIQU','BAURU','SP','125252251215471431368829575112610164012',14029,'9998',47.36,1,3,NULL),(28,7192754,'1992-06-14 00:00:00',2,1,1,2012,'M','N','ALTO RIBEIRAO','FLORIANÓPOLIS','SC','124241241145131331533374242223610122052',17683,'278',31.74,1,3,NULL),(28,7192762,'1994-07-05 00:00:00',2,1,12,2011,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241117131431423534275114610167045',18898,'1248',28.14,4,2,1),(28,7192770,'1973-06-16 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244245126145431326643132114123062037',NULL,'804',0.00,1,3,NULL),(28,7192789,'1994-12-12 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215121431536514575124610127052',5809,'300',56.21,1,3,NULL),(28,7192797,'1993-02-28 00:00:00',4,1,12,2010,'F','N','CENTRO','S VICENTE','SP','125253251216471231465733591125610168077',NULL,'9998',0.00,1,3,NULL),(28,7192800,'1994-06-23 00:00:00',4,1,12,2011,'F','N','GRANJA VIANNA','COTIA','SP','125252251216111431236723245134610136042',12914,'9998',40.56,1,3,NULL),(28,7192819,'1994-07-17 00:00:00',2,6,12,2011,'F','N','VILA OPERARIA','ITAJAÍ','SC','124242241217111751439432575112610168192',19399,'1172',33.34,1,3,NULL),(28,7192827,'1995-06-25 00:00:00',4,7,12,2012,'M','S','CENTRO','TREZE TÍLIAS','SC','124243241217151732546931575124610164072',NULL,'9998',56.73,1,3,NULL),(28,7192843,'1994-04-28 00:00:00',2,1,2,2012,'F','N','FORQUILHINHAS','S JOSÉ','SC','124244241116151431556613575122610124073',19710,'739',31.07,1,3,NULL),(28,7192851,'1992-03-09 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116533331335623342124610132147',14589,'295',39.01,1,2,1),(28,7192860,'1994-02-16 00:00:00',2,10,11,2011,'F','N','CENTRO','BRAÇO NORTE','SC','124242241215111431326969275124610146012',13863,'102',36.79,1,3,NULL),(28,7192878,'1992-09-17 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217372432358811375114610134187',7078,'1075',58.68,1,3,NULL),(28,7192894,'1995-10-24 00:00:00',4,15,12,2012,'F','S','CENTRO','ARARANGUÁ','SC','124242241215121431476919295122610138077',NULL,'970',50.67,1,3,NULL),(28,7192908,'1994-01-02 00:00:00',4,1,12,2011,'M','N','AREIAS','S JOSÉ','SC','124242241117131431326614572124610146192',6938,'739',53.61,1,3,NULL),(28,7192932,'1993-04-11 00:00:00',4,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217112431436652395124610134183',19014,'988',35.28,1,3,NULL),(28,7192959,'1992-01-10 00:00:00',4,24,12,2009,'M','N','JARDIM AMÉRICA','RIO SUL','SC','124242241216473731246827575122230737183',9068,'991',47.56,1,3,NULL),(28,7192975,'1993-05-24 00:00:00',4,1,12,2010,'M','N','CAMPO LIMPO','AMERICANA','SP','125252251212472431268923575122610162092',8705,'9998',47.84,1,3,NULL),(28,7192991,'1994-02-24 00:00:00',4,7,12,2011,'F','N','FLOR DA SERRA','JOAÇABA','SC','124241241127141731333929292122610113147',NULL,'449',31.85,1,2,1),(28,7193009,'1994-02-24 00:00:00',4,2,12,2011,'F','N','VORSTADT','BLUMENAU','SC','124242241215272431559811575112610164182',8017,'909',57.12,1,3,NULL),(28,7193017,'1992-04-09 00:00:00',4,1,12,2009,'F','N','CENTRO','ASCURRA','SC','124242241216573311447612575112610162172',5626,'37',54.23,1,3,NULL),(28,7193033,'1991-04-11 00:00:00',2,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124242241212373331326611572114610144077',9041,'1011',49.64,1,3,NULL),(28,7193041,'1993-06-22 00:00:00',4,1,12,2011,'F','N','SANTA MARIA','S BONIFÁCIO','SC','124241241126161431424315575324610133072',NULL,'702',32.73,1,2,1),(28,7193050,'1992-08-25 00:00:00',4,4,12,2009,'F','N','CENTRO','ARVOREDO','SC','124241241126573431646923574125610136187',848,'36',69.07,1,2,1),(28,7193068,'1993-08-09 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111411163673575122610164182',11199,'1118',40.76,1,3,NULL),(28,7193092,'1993-12-21 00:00:00',4,1,11,2011,'M','N','FERREIRA DIAS','JAÚ','SP','125252251216111431356633571125610167186',599,'9998',72.01,1,3,NULL),(28,7193114,'1995-01-04 00:00:00',4,8,12,2012,'F','S','BOM RETIRO','JOINVILLE','SC','124242241216111731357624475122610144127',NULL,'861',41.96,1,3,NULL),(28,7193122,'1991-10-27 00:00:00',2,15,12,2009,'F','N','CENTRO','S LEOPOLDO','RS','120204201217573451439712595125610124097',506,'9998',73.51,1,3,NULL),(28,7193149,'1991-02-17 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241146372431123644242334610135073',NULL,'358',44.48,1,2,1),(28,7193157,'1993-06-25 00:00:00',2,1,12,2010,'F','N','PAGARÁ','STO AMARO IMPERATRIZ','SC','124241241111573411423315275124231024141',13998,'772',38.31,1,2,1),(28,7193165,'1995-02-21 00:00:00',4,1,11,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242248215111431588833575122610117041',NULL,'270',40.09,1,3,NULL),(28,7193173,'1994-08-17 00:00:00',2,9,12,2011,'M','N','BORGES','ANITA GARIBALDI','SC','124241241112151431323616592122610117047',NULL,'18',18.63,1,2,1),(28,7193190,'1985-07-01 00:00:00',4,1,12,2002,'M','N','FLAMBOYANT','CAMPINAS','SP','125252251217575731448812495122610164047',1300,'9998',65.93,1,3,NULL),(28,7193203,'1994-04-06 00:00:00',2,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431488812175122610124182',14015,'262',47.38,1,3,NULL),(28,7193211,'1993-04-07 00:00:00',2,1,12,2010,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124241241117371412324414575114610124047',NULL,'295',23.02,1,2,1),(28,7193220,'1992-06-24 00:00:00',2,1,12,2009,'M','N','SANTO ANDRÉ','S LEOPOLDO','RS','120204208217573441457914575122141427046',5399,'9998',56.69,1,3,NULL),(28,7193246,'1994-04-10 00:00:00',2,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241111131431323514571224610144072',17659,'298',31.60,1,2,1),(28,7193254,'1994-12-26 00:00:00',4,24,11,2011,'M','N','SUMARÉ','RIO SUL','SC','124242241217111431458812375112610167121',9676,'991',50.39,1,3,NULL),(28,7193262,'1992-07-02 00:00:00',2,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241115473431315334475124610137182',15684,'307',36.90,4,2,1),(28,7193270,'1992-03-18 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241335111431223369375124610127072',NULL,'1022',0.00,1,3,NULL),(28,7193289,'1991-12-06 00:00:00',2,23,12,2011,'M','N','CENTRO','IGARATÁ','SP','125251251216111431555739295122610117057',NULL,'9998',0.00,1,3,NULL),(28,7193297,'1994-06-14 00:00:00',4,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111431549933575114610127117',NULL,'723',NULL,1,3,NULL),(28,7193300,'1990-07-11 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124254251217131312117878285111141664187',7535,'9998',51.78,1,3,NULL),(28,7193319,'1991-02-28 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116131431226824575124233213097',17941,'306',29.69,1,3,NULL),(28,7193327,'1994-06-29 00:00:00',2,1,12,2011,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124242241115371731337613575114610136192',11196,'307',44.25,1,3,NULL),(28,7193335,'1995-01-27 00:00:00',4,4,11,2011,'F','N','CENTRO','IPORÃ OESTE','SC','124243241215151431436912575122610146042',10361,'1179',43.04,1,3,NULL),(28,7193343,'1991-09-27 00:00:00',2,1,12,2008,'M','N','VILA MILITAR','PALOTINA','PR','116162161215571411137923574241610162097',NULL,'9998',0.00,4,1,2),(28,7193351,'1994-05-25 00:00:00',4,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431538814275122610127187',NULL,'1063',0.00,1,3,NULL),(28,7193386,'1993-12-10 00:00:00',4,10,11,2011,'M','N','CENTRO','CAPIVARI BAIXO','SC','124242241217272431456514472124610162052',2476,'797',64.57,1,3,NULL),(28,7193394,'1991-06-23 00:00:00',2,1,12,2009,'F','N','BREJARU','PALHOÇA','SC','124241241127271431224369241114130222141',NULL,'1009',25.58,1,2,1),(28,7193408,'1994-03-31 00:00:00',4,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215272431469819575122610137112',1549,'270',69.43,1,3,NULL),(28,7193416,'1994-03-14 00:00:00',2,15,12,2011,'F','N','LARANJAL','PELOTAS','RS','120201201117131431323319575124610132197',14402,'9998',35.92,4,1,1),(28,7193424,'1992-11-05 00:00:00',2,1,12,2009,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241412131431426624372124230532092',NULL,'1223',28.68,1,3,NULL),(28,7193440,'1994-04-15 00:00:00',4,1,12,2011,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241117371431223321275124610121192',17908,'307',29.97,1,2,1),(28,7193459,'1988-08-31 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201116473431136643432134610163197',2277,'9998',63.50,1,2,1),(28,7193467,'1994-03-02 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431488713472112610112182',5772,'270',56.10,1,3,NULL),(28,7193475,'1994-06-17 00:00:00',4,1,11,2011,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124244241317111431358732575124610132181',9775,'1022',54.10,1,3,NULL),(28,7193483,'1975-12-04 00:00:00',2,1,4,1994,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224201207316131441439754282122340244047',17608,'9998',40.01,4,3,NULL),(28,7193491,'1993-09-20 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116472731223429575124230264042',13835,'295',39.74,1,2,1),(28,7193505,'1994-09-20 00:00:00',2,1,12,2011,'M','N','RES SÃO FRANCISCO','S JOSÉ CAMPOS','SP','125251251215111411526614575122610137057',5796,'9998',51.96,1,3,NULL),(28,7193513,'1994-01-25 00:00:00',2,25,12,2010,'F','N','MOSSUNGUE','CURITIBA','PR','116243161217472411438611575124610117145',922,'9998',69.86,1,3,NULL),(28,7193521,'1989-08-01 00:00:00',4,8,12,2006,'M','N','NOVA CAIEIRAS','CAIEIRAS','SP','125252251237412332445712172145140261052',13117,'9998',39.88,1,3,NULL),(28,7193530,'1993-05-28 00:00:00',4,1,12,2010,'M','N','FORQUILHAS','S JOSÉ','SC','124241241136472432224624572114610137017',17241,'733',32.66,1,2,1),(28,7193548,'1990-03-29 00:00:00',6,16,12,2010,'F','N','BOM JESUS','CURITIBANOS','SC','124241245146271431321349392123610167051',19752,'238',30.66,1,2,1),(28,7193556,'1994-08-15 00:00:00',3,3,12,2010,'F','N','VILA INDUSTRIAL','ARAÇATUBA','SP','125252251215111411459632575122610125142',11156,'9998',51.86,1,3,NULL),(28,7193564,'1994-03-27 00:00:00',4,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116131411334334345124610114052',15957,'732',35.27,1,2,1),(28,7193572,'1994-09-10 00:00:00',2,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242243215111331438832575112610127047',10863,'273',45.34,1,3,NULL),(28,7193580,'1986-09-21 00:00:00',4,1,12,2004,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124162161215274431459813475124221431187',872,'9998',71.40,4,3,NULL),(28,7193599,'1993-08-11 00:00:00',4,1,12,2011,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241241113131532426413571114610167042',NULL,'267',32.19,1,2,1),(28,7193602,'1993-04-07 00:00:00',4,1,12,2010,'M','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124244241111272431423311182121610166012',8947,'727',46.23,1,3,NULL),(28,7193610,'1994-08-19 00:00:00',4,6,12,2011,'F','N','BOA VISTA','JOINVILLE','SC','124241241415371431438813571124610137142',15883,'1105',35.50,1,3,NULL),(28,7193629,'1994-06-17 00:00:00',4,1,11,2011,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251217111431457712592122610144182',5765,'9998',54.31,1,3,NULL),(28,7193637,'1981-10-01 00:00:00',2,1,10,2000,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241247227131731433629142114610117191',NULL,'265',0.00,1,3,NULL),(28,7193661,'1994-07-05 00:00:00',4,1,12,2011,'F','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124241241111371431323613295124610122194',13256,'1088',37.76,1,2,1),(28,7193670,'1994-08-22 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124241241217111431547632292113610117187',17331,'724',32.69,1,3,NULL),(28,7193688,'1989-09-11 00:00:00',4,15,12,2006,'M','N','COLONINHA','ARARANGUÁ','SC','124241241117131121336413145231610162182',16655,'28',42.30,2,2,1),(28,7193696,'1994-09-24 00:00:00',4,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124243241215372431338924572122610126147',15371,'185',44.91,1,3,NULL),(28,7193700,'1994-08-20 00:00:00',2,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217131431568814575122610117047',7766,'273',51.89,1,3,NULL),(28,7193718,'1994-07-30 00:00:00',4,10,12,2011,'M','N','PRAIA DO GI','LAGUNA','SC','124242241225111431426921575122610134187',NULL,'524',31.27,1,3,NULL),(28,7193726,'1994-06-21 00:00:00',4,3,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242243114371231338734375124610117057',5618,'129',53.91,1,3,NULL),(28,7193734,'1993-03-22 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241237372531358611492122610137053',19430,'988',33.17,1,3,NULL),(28,7193742,'1995-05-13 00:00:00',2,25,11,2011,'M','N','INTERIOR','LEBON RÉGIS','SC','124241242117151431436616572122610127182',NULL,'143',29.45,1,2,1),(28,7193750,'1990-01-10 00:00:00',2,17,12,2007,'M','N','DISTRITO DE FELIPE','CANOINHAS','SC','124241241116373441456933475112131427042',NULL,'153',13.13,1,2,1),(28,7193785,'1958-06-29 00:00:00',2,1,12,1979,'M','N','SESC SUZANO SP','SUZANO','SP','125251257226321421324449343125610117097',NULL,'9998',0.00,1,3,NULL),(28,7193793,'1992-08-22 00:00:00',4,5,12,2009,'F','N','CENTRO','MOREIRA SALES','PR','116253161415575731436734575122610144047',6623,'9998',51.88,3,3,NULL),(28,7193807,'1995-09-13 00:00:00',2,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217151731529913475122610168012',19026,'1134',35.23,1,3,NULL),(28,7193823,'1994-10-05 00:00:00',4,16,12,2011,'M','N','ZONA RURAL','CURITIBANOS','SC','124241241117111431326734255124610114172',13828,'1129',38.30,1,2,1),(28,7193831,'1990-03-24 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215155431469813575124221427042',NULL,'87',0.00,1,3,NULL),(28,7193840,'1991-11-06 00:00:00',2,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242247317373731353923442114610134062',17805,'9999',39.46,1,3,NULL),(28,7193858,'1994-10-17 00:00:00',4,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124242241215111231436623475122610133142',16846,'737',31.52,4,3,NULL),(28,7193866,'1993-04-06 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241415372431368619575124610124142',9759,'259',46.55,1,3,NULL),(28,7193874,'1995-04-30 00:00:00',4,22,12,2012,'F','S','CENTRO','S JOÃO BATISTA','SC','124244241215111731459812575112610131192',NULL,'109',52.57,1,3,NULL),(28,7193882,'1989-06-07 00:00:00',2,15,12,2006,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241137271431336444345131610124142',8099,'29',50.87,1,2,1),(28,7193890,'1994-01-03 00:00:00',4,1,12,2010,'M','N','JARDIM ESPLANADA','S JOSÉ CAMPOS','SP','125254256235471431478812395122610167042',5010,'9998',54.23,1,3,NULL),(28,7193904,'1990-11-14 00:00:00',2,1,12,2008,'F','N','BALNEARIO ESTREITO','FLORIANÓPOLIS','SC','125251251217474431436619385124141427147',1371,'9998',66.46,4,3,NULL),(28,7193920,'1994-05-08 00:00:00',4,1,12,2011,'M','N','MENINO DEUS','PTO ALEGRE','RS','120201201116471232349931575122610167047',NULL,'9998',34.27,1,2,1),(28,7193939,'1994-04-11 00:00:00',4,8,12,2011,'F','N','FLORESTA','JOINVILLE','SC','124242241216111431569933575122610126142',NULL,'1016',NULL,4,3,NULL),(28,7193947,'1994-08-23 00:00:00',4,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215121431446632575122610133122',9403,'1016',47.67,4,3,NULL),(28,7193955,'1994-09-20 00:00:00',4,2,12,2011,'F','N','VELHA','BLUMENAU','SC','124242241215151431343614375122610136072',2482,'87',65.27,1,3,NULL),(28,7193963,'1992-05-14 00:00:00',2,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124241241216142411623923245124222236012',NULL,'781',25.31,2,1,2),(28,7193971,'1993-02-26 00:00:00',4,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241111231431326624371124610126142',NULL,'307',0.00,1,2,1),(28,7193980,'1993-08-08 00:00:00',2,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241248115141431533331112124610164075',NULL,'298',6.48,1,3,NULL),(28,7193998,'1993-11-15 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241215132431526624282124233264187',2923,'1022',60.99,1,3,NULL),(28,7194005,'1994-06-15 00:00:00',4,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124241241115311431323514175124610124142',9284,'307',47.00,1,2,1),(28,7194013,'1994-01-15 00:00:00',4,17,12,2011,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241116371231426611375122610116052',NULL,'146',18.53,1,3,NULL),(28,7194021,'1987-02-01 00:00:00',4,1,12,2004,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217154531367632495112321332142',16466,'262',42.74,1,3,NULL),(28,7194030,'1990-02-09 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241136132431123843335124610167045',NULL,'307',32.98,1,3,NULL),(28,7194048,'1992-10-19 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241136131711113144345124610166187',19895,'552',29.41,1,2,1),(28,7194064,'1994-05-13 00:00:00',4,1,12,2011,'F','N','SANTA MARIA','ANTÔNIO CARLOS','SC','124241248116141731523319295124610133142',NULL,'21',0.00,1,3,NULL),(28,7194102,'1993-02-20 00:00:00',4,17,12,2010,'M','N','CENTRO','MAFRA','SC','124244251217312431448712575112610164175',NULL,'9998',0.00,1,3,NULL),(28,7194129,'1994-04-19 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111431469934575124610165146',3848,'883',57.45,1,3,NULL),(28,7194137,'1994-02-17 00:00:00',4,15,12,2011,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241115151431223324372325610122177',11421,'30',45.64,1,2,1),(28,7194145,'1994-08-15 00:00:00',4,1,11,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431335614275114610167067',4348,'272',57.94,1,3,NULL),(28,7194153,'1991-07-12 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215574431246869595114610127042',158,'317',78.91,1,3,NULL),(28,7194161,'1995-04-12 00:00:00',4,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241415131731447824575124610124177',1202,'1022',66.97,1,3,NULL),(28,7194188,'1994-01-22 00:00:00',4,1,12,2011,'M','N','CAMPO LIMPO','S PAULO','SP','125253251117151431537734285124610144142',17498,'9998',40.30,2,1,2),(28,7194196,'1994-02-17 00:00:00',4,8,12,2011,'M','N','FLORESTA','JOINVILLE','SC','124242241217151731456824575124610124057',NULL,'1006',22.68,1,3,NULL),(28,7194200,'1992-05-02 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241236133431338622275124221427062',6678,'1022',59.40,1,3,NULL),(28,7194218,'1994-12-29 00:00:00',4,1,12,2011,'F','N','CENTRO','VACARIA','RS','120202201211161431337932575122610132197',10052,'9998',46.15,1,3,NULL),(28,7194234,'1994-05-10 00:00:00',4,1,12,2011,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241248135271431438413572124610137042',17745,'307',29.56,1,2,1),(28,7194250,'1993-01-06 00:00:00',4,8,12,2010,'M','N','PLANALTO','CPO GRANDE','MS','112122121217371441348814575122610164092',7896,'9998',45.89,1,3,NULL),(28,7194269,'1994-03-14 00:00:00',4,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111231336919175122610134141',9779,'737',47.08,1,3,NULL),(28,7194277,'1994-03-18 00:00:00',4,4,12,2011,'M','N','CENTRO','FAXINAL GUEDES','SC','124241248116161231428814345134610147042',NULL,'255',21.73,1,2,1),(28,7194293,'1993-08-30 00:00:00',4,1,12,2011,'F','N','LAGO SUL','LG SUL','DF','107072071217111451548811575122610141022',11913,'9998',41.55,1,3,NULL),(28,7194307,'1993-04-26 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115331451623419172124610145147',NULL,'307',0.00,4,2,1),(28,7194315,'1990-08-10 00:00:00',4,1,12,2008,'F','N','PERDIZES','S PAULO','SP','125252251216571731369824595112610144077',NULL,'9998',0.00,1,3,NULL),(28,7194323,'1978-01-13 00:00:00',4,1,12,1996,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224203207317131721434644445133141262067',NULL,'9998',17.41,1,3,NULL),(28,7194331,'1994-12-02 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241115131431437832575122610123142',11028,'739',41.10,1,3,NULL),(28,7194358,'1994-07-06 00:00:00',2,16,12,2011,'M','N','JARDIM DOS PAMPAS','VACARIA','RS','120241201315131431326614572122610137042',NULL,'9998',21.72,1,3,NULL),(28,7194366,'1993-08-11 00:00:00',2,4,12,2010,'M','N','SANTO ANTÔNIO','PINHALZINHO','SC','124241242113111431539413575112610126047',NULL,'135',0.00,1,2,1),(28,7194374,'1994-12-26 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124244241215111431236624575112610127042',12047,'1118',45.70,1,3,NULL),(28,7194382,'1992-12-03 00:00:00',4,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124241242115162441114647595124220327057',16892,'960',41.78,1,2,1),(28,7194390,'1993-11-18 00:00:00',4,6,12,2011,'M','N','SÃO JOÃO','ITAJAÍ','SC','124242241217111411369913295121610164142',3959,'392',58.84,1,3,NULL),(28,7194404,'1994-05-07 00:00:00',4,24,12,2011,'F','N','RIO LOUCO','PETROLÂNDIA','SC','124241241135161731426436382122610133147',NULL,'613',20.60,1,2,1),(28,7194420,'1990-07-03 00:00:00',4,1,12,2007,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251215571431368831575122142427072',182,'9998',76.08,1,3,NULL),(28,7194439,'1993-06-28 00:00:00',4,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241117131431335721475124610168192',18493,'1248',37.30,1,3,NULL),(28,7194447,'1994-03-11 00:00:00',4,1,12,2011,'M','N','JARDIM BOA ESPERANÇA','CAMPINAS','SP','125252251217111431359813575122610117057',5786,'9998',53.92,1,3,NULL),(28,7194455,'1994-04-17 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241115152431569933435122610134013',5489,'267',54.71,1,3,NULL),(28,7194463,'1992-12-16 00:00:00',4,1,12,2010,'F','N','JARDIM ESPLANADA','INDAIATUBA','SP','125252251215471431548833475122610164127',3248,'9998',59.69,1,3,NULL),(28,7194471,'1991-01-12 00:00:00',4,1,11,2007,'M','N','CAMPINAS','S JOSÉ','SC','124242241217474411435812395124220722075',8555,'737',48.41,1,3,NULL),(28,7194480,'1992-07-11 00:00:00',4,1,12,2009,'F','N','ACLIMAÇÃO','S PAULO','SP','125252251216471441439811575122143243142',NULL,'9998',0.00,1,3,NULL),(28,7194498,'1996-01-18 00:00:00',4,1,12,2011,'F','N','CENTRO','IMBITUBA','SC','124243241316111711439711175125610164191',18903,'362',35.67,4,3,NULL),(28,7194501,'1994-12-08 00:00:00',4,1,12,2012,'M','S','CANTO','FLORIANÓPOLIS','SC','124242241215111531467634571124610137041',NULL,'262',31.34,1,3,NULL),(28,7194510,'1994-05-23 00:00:00',4,5,12,2011,'M','N','SÃO JOSÉ','SOMBRIO','SC','124241241116371431446512295125610127147',NULL,'209',0.00,1,2,1),(28,7194528,'1993-06-03 00:00:00',2,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431446834375122610127043',17564,'1198',34.24,1,3,NULL),(28,7194536,'1985-08-28 00:00:00',2,1,1,2003,'M','N','JARDIM CASTANHEIRAS','S JOSÉ CAMPOS','SP','125251251116573751424419495324221464047',3030,'9998',62.25,1,2,1),(28,7194552,'1980-12-09 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124161247326574431611141115124610166187',19276,'300',33.98,1,3,NULL),(28,7194560,'1982-04-13 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124131131116573431224819285124221464197',NULL,'9998',0.00,1,2,1),(28,7194587,'1993-10-29 00:00:00',4,8,12,2010,'M','N','BACACHERI','CURITIBA','PR','116162161216471751378811415122610128122',753,'9998',72.98,1,3,NULL),(28,7194617,'1987-02-15 00:00:00',2,1,12,2004,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241127271721523544245124610113197',NULL,'307',34.93,1,2,1),(28,7194625,'1994-05-09 00:00:00',4,1,12,2011,'M','N','PASSA VINTE','PALHOÇA','SC','124242241117271441438713475124610124172',4926,'739',57.60,1,3,NULL),(28,7194633,'1991-12-04 00:00:00',4,1,12,2009,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215574431368811586114610162092',51,'262',81.73,1,3,NULL),(28,7194641,'1991-12-08 00:00:00',4,1,12,2009,'M','N','JAR CIDADE DE FPOLIS','S JOSÉ','SC','124242241215372731578811475124120224112',1693,'270',70.88,4,3,NULL),(28,7194668,'1993-03-02 00:00:00',4,1,11,2011,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215322431348813595112610136175',9598,'1133',47.14,1,3,NULL),(28,7194684,'1993-01-12 00:00:00',2,10,12,2010,'F','N','MATO ALTO','LAGUNA','SC','124242241225132431323623372124610124147',8548,'524',50.34,1,3,NULL),(28,7194692,'1994-02-14 00:00:00',4,3,12,2011,'M','N','VILA CONRADO','S JOÃO B VISTA','SP','125254251217111421326861575122610168192',2836,'9998',62.46,1,3,NULL),(28,7194706,'1990-03-13 00:00:00',2,9,12,2006,'F','N','SAO FRANCISCO','LAGES','SC','124241241112131431223844342234132832147',20132,'512',25.07,1,3,NULL),(28,7194714,'1994-10-20 00:00:00',2,1,12,2011,'F','N','CANTO','FLORIANÓPOLIS','SC','124244241215111731569513295124610167071',NULL,'1118',19.77,1,3,NULL),(28,7194730,'1994-09-06 00:00:00',4,10,12,2011,'M','N','VISTA ALEGRE','CURITIBA','PR','116162161217111411449814572112610162056',NULL,'9998',0.00,1,3,NULL),(28,7194749,'1990-09-13 00:00:00',4,1,12,2007,'F','N','JOAQUINA','FLORIANÓPOLIS','SC','124241241136131421123149395114142768187',NULL,'307',15.91,1,2,1),(28,7194757,'1973-02-21 00:00:00',2,1,12,1990,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241132375441214444345124610162182',NULL,'593',19.83,1,2,1),(28,7194765,'1994-07-12 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117131731325569595125610137042',20085,'307',26.62,2,1,1),(28,7194773,'1992-07-24 00:00:00',2,27,12,2009,'M','N','CENTRO','IPORÃ OESTE','SC','124243242137141431546514345125610135027',17719,'408',29.68,1,3,NULL),(28,7194781,'1994-05-16 00:00:00',2,1,12,2011,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241112131411424419575124610117062',14795,'287',39.21,1,2,1),(28,7194803,'1990-02-25 00:00:00',4,10,12,2006,'F','N','CENTRO','TUBARÃO','SC','124241241116132431325611345122130624097',NULL,'798',28.37,1,2,1),(28,7194811,'1993-12-29 00:00:00',2,1,12,2011,'M','N','PRADO','BIGUAÇU','SC','124241241115271452411324372125610121147',NULL,'65',17.19,1,2,1),(28,7194820,'1994-06-15 00:00:00',2,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241241117141441323364247334610165147',19289,'727',33.91,1,2,1),(28,7194846,'1995-09-18 00:00:00',2,5,12,2012,'F','S','N SRA DE FÁTIMA','IÇARA','SC','124242241215271431436953275114610134017',NULL,'226',48.56,1,3,NULL),(28,7194854,'1994-06-25 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115141432225329345124610135142',16529,'307',34.41,1,2,1),(28,7194862,'1994-12-21 00:00:00',4,9,12,2011,'M','N','COPACABANA','LAGES','SC','124242241215111431456932122112610122192',16134,'497',35.31,1,3,NULL),(28,7194870,'1994-09-21 00:00:00',2,8,12,2011,'F','N','FLORESTA','JOINVILLE','SC','124243241415111431436634571124610145142',3334,'1016',59.57,1,3,NULL),(28,7194889,'1994-12-03 00:00:00',4,1,2,2012,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241243116131431433523475124610126182',10789,'306',43.48,1,2,1),(28,7194897,'1995-09-14 00:00:00',4,1,2,2012,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215151431336913275122610122192',14739,'1198',46.10,1,3,NULL),(28,7194900,'1993-10-19 00:00:00',2,1,12,2011,'F','N','FURADINHO','PALHOÇA','SC','124241241115131711535614572122610135047',NULL,'592',26.62,1,2,1),(28,7194919,'1993-02-16 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241126472431424414246124610132047',17801,'1097',31.13,1,2,1),(28,7194927,'1991-03-16 00:00:00',4,1,12,2008,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241117132431548913175324233022142',16760,'818',42.07,1,3,NULL),(28,7194935,'1994-03-15 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241115131431526624572124610123182',12695,'271',41.77,1,3,NULL),(28,7194943,'1994-01-12 00:00:00',2,8,12,2010,'M','N','NOVA BRASILIA','JOINVILLE','SC','124241246217471431428914385124610117057',12765,'1105',49.34,1,3,NULL),(28,7194960,'1994-11-07 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241112131431223724575115610167047',NULL,'734',13.02,1,2,1),(28,7194978,'1994-01-05 00:00:00',4,16,12,2011,'F','N','APARECIDA','CAMPOS NOVOS','SC','124241241116161431423411575125610118032',NULL,'140',0.00,1,2,1),(28,7194986,'1992-08-19 00:00:00',2,2,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116162161236572431387732575112610164122',5841,'9998',60.84,1,3,NULL),(28,7194994,'1993-05-15 00:00:00',2,1,11,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124252251217472451459811575122610164122',NULL,'9998',0.00,1,3,NULL),(28,7195001,'1993-07-07 00:00:00',4,6,12,2010,'F','N','CENTRO','BAL PIÇARRAS','SC','124241241215472431535614175124610136172',2208,'1176',62.67,1,3,NULL),(28,7195010,'1993-12-10 00:00:00',2,4,12,2010,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124244241213272731439711575124610144147',9996,'185',45.01,1,3,NULL),(28,7195028,'1993-05-15 00:00:00',4,1,12,2011,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124241248117131731429912376124610112047',NULL,'306',31.02,4,2,1),(28,7195036,'1977-02-18 00:00:00',2,1,12,1995,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241245126134421323444141124121933017',NULL,'307',0.00,4,1,1),(28,7195044,'1978-10-05 00:00:00',4,1,12,1995,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','224202208216131421323354245123610111181',NULL,'9998',0.00,1,3,NULL),(28,7195052,'1993-07-11 00:00:00',2,1,12,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241116371721423614372124610124192',16002,'307',36.90,4,3,NULL),(28,7195060,'1994-01-15 00:00:00',2,7,11,2011,'F','N','TOBIAS','JOAÇABA','SC','124243241215371431426612575122610132012',NULL,'454',32.52,1,3,NULL),(28,7195079,'1994-06-13 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241215111232436819575124610114047',NULL,'1040',18.39,2,1,2),(28,7195087,'1993-08-11 00:00:00',2,4,12,2010,'M','N','SANTO ANTÔNIO','PINHALZINHO','SC','124241242113111431539413575112610126047',NULL,'135',0.00,1,2,1),(28,7195095,'1993-12-13 00:00:00',4,1,12,2010,'M','N','IPIRANGA','S JOSÉ','SC','124241241115141731226629345124233224142',NULL,'734',26.29,4,2,1),(28,7195109,'1993-11-11 00:00:00',4,10,11,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242241216373431458814572122133234052',1033,'807',71.32,1,3,NULL),(28,7195117,'1989-04-27 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124212241213152431489812515122221437122',6841,'9998',59.12,1,3,NULL),(28,7195133,'1994-04-21 00:00:00',2,17,12,2011,'M','N','BOM JESUS','RIO NEGRO','PR','116161161116151411434835575121610117047',12021,'9998',43.55,1,2,1),(28,7195141,'1993-07-13 00:00:00',4,8,12,2010,'M','N','AMÉRICA','JOINVILLE','SC','124242241215472431328611575112610164187',5253,'457',54.51,1,3,NULL),(28,7195150,'1994-10-26 00:00:00',4,15,12,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241125141431324329242322610167142',NULL,'30',23.36,1,2,1),(28,7195168,'1989-08-01 00:00:00',2,1,12,2006,'M','N','LUIZ MASSUD COURY','RIO PEDRAS','SP','125251251127471731322211181221610164107',9923,'9998',48.35,2,1,1),(28,7195176,'1994-10-25 00:00:00',4,4,12,2011,'M','N','MARIA GORETTI','CHAPECÓ','SC','124243241117151451447619295125610124142',10592,'169',44.97,4,3,NULL),(28,7195184,'1993-07-12 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116472411326621382124610154057',14088,'1248',39.10,1,2,1),(28,7195192,'1992-08-22 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241241122451411123344245114610112042',NULL,'13',19.70,1,2,1),(28,7195214,'1993-04-14 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215473431359911575122610135122',1610,'226',67.04,1,3,NULL),(28,7195222,'1992-11-21 00:00:00',4,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124241241112132431546733385124233023012',NULL,'726',20.28,1,3,NULL),(28,7195230,'1993-07-24 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241136472411456919175124610141172',17336,'734',32.11,1,2,1),(28,7195249,'1994-03-16 00:00:00',4,8,12,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241215271431458814175124610167042',6351,'1105',51.49,1,3,NULL),(28,7195257,'1993-06-24 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216472231468914585124610124182',1825,'270',66.68,1,3,NULL),(28,7195265,'1994-03-15 00:00:00',2,6,12,2011,'F','N','MORRETES','ITAPEMA','SC','124241241115131451533623575124610136077',NULL,'406',0.00,1,2,1),(28,7195281,'1996-11-17 00:00:00',4,4,12,2012,'F','S','CENTRO','CHAPECÓ','SC','124242241215111331439931495122610163142',NULL,'1191',37.83,1,3,NULL),(28,7195311,'1990-12-29 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241136272431426723345124133264192',15418,'281',35.68,1,3,NULL),(28,7195320,'1994-05-19 00:00:00',4,23,11,2011,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215131531435912575124610167067',15870,'1061',31.43,3,3,NULL),(28,7195338,'1994-10-02 00:00:00',4,1,11,2011,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','624242241115122431559633595122610168012',13391,'270',39.36,1,3,NULL),(28,7195346,'1993-10-08 00:00:00',4,3,10,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','116242161212571311559811572122141117043',NULL,'9998',0.00,1,3,NULL),(28,7195362,'1989-12-21 00:00:00',4,8,11,2006,'F','N','CENTRO','LONDRINA','PR','116114111215572431563516575122610162097',NULL,'9998',0.00,1,3,NULL),(28,7195370,'1995-11-17 00:00:00',4,1,11,2012,'F','S','PRAIA COMPRIDA','S JOSÉ','SC','124244241217111731358939575114610134192',NULL,'270',52.61,1,3,NULL),(28,7195389,'1995-02-20 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112231468819575124610167062',3550,'951',61.58,1,3,NULL),(28,7195397,'1995-01-19 00:00:00',4,1,12,2012,'F','S','EUROVILLE','BRAGANÇA PAULISTA','SP','125252251217111231568833572122610161057',NULL,'9998',50.21,1,3,NULL),(28,7195400,'1992-12-02 00:00:00',4,25,12,2010,'M','N','FARROUPILHA','VIDEIRA','SC','124241241336141411443514445122610127152',NULL,'1080',20.88,1,3,NULL),(28,7195419,'1991-12-18 00:00:00',2,1,12,2009,'M','N','JARDIM INDEPENDÊNCIA','NOVA ALIANÇA','SP','125251251116571312426431571124610134042',14462,'9998',37.49,1,2,1),(28,7195427,'1994-07-27 00:00:00',4,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241116131431623524142124610114077',19916,'727',29.13,4,2,1),(28,7195435,'1991-11-29 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244248217373431556973575122610123147',13666,'9997',39.15,1,3,NULL),(28,7195443,'1985-02-21 00:00:00',4,1,12,2002,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241246317373411123644245124131424092',10383,'9999',53.11,3,3,NULL),(28,7195451,'1992-10-05 00:00:00',4,10,11,2011,'M','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124243241231151431437711575124610134012',NULL,'1120',16.83,1,3,NULL),(28,7195460,'1993-12-21 00:00:00',4,1,11,2011,'M','N','CENTRO','JACAREÍ','SP','125252251217111231468413575112610147047',11355,'9998',42.02,4,3,NULL),(28,7195478,'1994-09-13 00:00:00',4,1,12,2011,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241248115241711216521215124610133142',NULL,'307',0.00,1,2,1),(28,7195486,'1994-06-02 00:00:00',2,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111411338833575112610117042',NULL,'272',21.55,1,3,NULL),(28,7195508,'1985-10-03 00:00:00',4,1,7,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243247316135431333624385124123222097',8379,'9999',49.51,1,3,NULL),(28,7195524,'1990-10-26 00:00:00',2,5,11,2007,'F','N','CENTRO','URUSSANGA','SC','124242241215312431459932575112130364197',17954,'820',39.07,1,3,NULL),(28,7195532,'1994-01-05 00:00:00',4,1,12,2011,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241116373231364823572124610124094',6385,'307',55.28,1,2,1),(28,7195540,'1994-12-22 00:00:00',4,6,12,2011,'F','N','CENTRO','ITAJAÍ','SC','124241241117471251334624575115610134197',10476,'401',43.64,2,1,1),(28,7195559,'1994-05-30 00:00:00',4,1,12,2011,'F','N','SANTA FÉ','CPO GRANDE','MS','112123124232122332364444566123222057134',NULL,'9998',0.00,1,3,NULL),(28,7195567,'1994-11-08 00:00:00',4,27,12,2011,'F','N','CENTRO','S MIGUEL OESTE','SC','124242241215152431548612271122610147012',4176,'1179',58.59,1,3,NULL),(28,7195575,'1994-09-22 00:00:00',2,15,12,2011,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241115151431326621592125610146011',13601,'29',40.56,1,2,1),(28,7195583,'1994-06-10 00:00:00',4,1,11,2011,'M','N','CAMBUÍ','CAMPINAS','SP','125252251215121431378914575121610127017',NULL,'9998',0.00,1,3,NULL),(28,7195591,'1993-12-30 00:00:00',4,1,11,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112431469813572112610147045',1847,'270',64.71,1,3,NULL),(28,7195613,'1994-01-26 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124244241215371431459413575124610114117',5545,'1022',56.85,1,3,NULL),(28,7195621,'1995-03-01 00:00:00',2,1,11,2010,'M','N','ALTO ARIRIÚ','PALHOÇA','SC','124242241215131431338824575124610127062',17269,'1075',31.95,1,3,NULL),(28,7195648,'1991-04-22 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215574431256621575114131812121',2072,'1022',65.96,1,3,NULL),(28,7195656,'1994-04-10 00:00:00',2,8,12,2011,'F','N','JARIVATUBA','JOINVILLE','SC','124241241115271411424619395114610134017',18587,'484',28.05,1,2,1),(28,7195664,'1994-09-29 00:00:00',4,3,10,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121431276712595115610134172',7861,'1038',57.36,1,3,NULL),(28,7195672,'1994-08-06 00:00:00',4,7,12,2011,'F','N','SENHOR BOM JESUS','CAMPOS NOVOS','SC','124242241215152431464834575122610167143',8332,'962',48.83,1,3,NULL),(28,7195680,'1994-02-16 00:00:00',4,1,12,2011,'M','N','ATALAIA','ARACAJU','SE','126252261215111231389814272122610124112',12404,'9998',49.94,1,3,NULL),(28,7195699,'1991-01-04 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212111411189942425122130461195',NULL,'226',0.00,1,3,NULL),(28,7195710,'1996-06-21 00:00:00',4,4,12,2012,'M','S','INTERIOR','GALVÃO','SC','124241241115111331343335575122610168192',NULL,'321',41.64,1,3,NULL),(28,7195729,'1992-03-31 00:00:00',4,8,12,2009,'F','N','CRISTO REI','CURITIBA','PR','116162161215574431559933572124610164016',1860,'9998',63.90,1,3,NULL),(28,7195737,'1995-07-31 00:00:00',2,1,12,2012,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241216131431326823572124610127142',NULL,'770',22.03,1,3,NULL),(28,7195745,'1993-03-30 00:00:00',4,1,12,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217572231379813575112610127051',191,'270',76.73,1,3,NULL),(28,7195753,'1993-06-28 00:00:00',4,1,12,2010,'M','N','JD SILVANA','AMPARO','SP','125252251215471231368813595112610136127',4332,'9998',56.68,1,3,NULL),(28,7195761,'1983-12-06 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241117443731428144441324230262047',NULL,'296',23.85,1,2,1),(28,7195770,'1994-07-23 00:00:00',4,1,12,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215111431457932425124610137112',17883,'1048',28.47,1,3,NULL),(28,7195788,'1994-12-22 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112731469914445122610127072',9262,'262',46.81,1,3,NULL),(28,7195796,'1994-02-09 00:00:00',4,8,12,2011,'M','N','GIOCONDO ORSI','CPO GRANDE','MS','112122121215471431459934572112610164042',3836,'9998',56.54,4,3,NULL),(28,7195800,'1994-05-27 00:00:00',4,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216111151479933372132610144086',3528,'270',61.11,1,3,NULL),(28,7195818,'1996-01-09 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431335921275115610161097',NULL,'262',27.94,1,3,NULL),(28,7195826,'1993-06-09 00:00:00',4,8,12,2011,'F','N','BOA VISTA','JOINVILLE','SC','124243241116131431537829575121610122077',19016,'465',35.28,1,3,NULL),(28,7195834,'1994-09-01 00:00:00',4,8,12,2011,'F','N','PETRÓPOLIS','JOINVILLE','SC','124241241237111411546312575124610161147',NULL,'9997',29.37,1,3,NULL),(28,7195842,'1991-07-08 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117373111436813345124610127187',19047,'307',35.11,2,1,1),(28,7195850,'1993-09-22 00:00:00',2,1,12,2010,'F','N','GUARDA DO EMBAU','PALHOÇA','SC','124241241117471431324619572124610128077',17106,'595',32.56,1,2,1),(28,7195877,'1992-05-26 00:00:00',4,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124241241117273431458933431124122552027',2071,'239',64.28,1,2,1),(28,7195885,'1994-02-06 00:00:00',2,1,12,2011,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241115271421323414235124610122147',19534,'772',32.44,1,2,1),(28,7195893,'1994-11-01 00:00:00',4,1,12,2011,'F','N','PETRÓPOLIS','PASSO FUNDO','RS','120202201217151431558811585112610123147',4573,'9998',56.08,1,3,NULL),(28,7195907,'1993-03-18 00:00:00',4,1,12,2010,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241215472431468833594122610127077',4933,'270',58.20,1,3,NULL),(28,7195915,'1994-12-27 00:00:00',4,1,12,2011,'F','N','FORTALEZA','LINS','SP','125122251216121431479614174122610134147',2621,'9998',61.24,1,3,NULL),(28,7195923,'1995-02-26 00:00:00',4,8,11,2012,'M','S','CENTRO','S FRANCISCO SUL','SC','124242241115111731346923575124610168067',NULL,'1016',30.89,1,3,NULL),(28,7195931,'1993-12-04 00:00:00',4,5,12,2010,'F','N','VILA NOVA','IÇARA','SC','124241246216111441523521345124610147142',13743,'188',47.82,1,3,NULL),(28,7195940,'1993-07-13 00:00:00',4,1,12,2011,'M','N','PIATÃ','SALVADOR','BA','105052051217111431377934585122610137042',7456,'9998',58.05,1,3,NULL),(28,7195958,'1992-07-30 00:00:00',2,1,12,2011,'F','N','AMBRÓSIO','GAROPABA','SC','124241241125141431423319442224610134142',NULL,'322',19.62,1,2,1),(28,7195966,'1992-10-18 00:00:00',4,8,12,2009,'M','N','CENTRO','CURITIBA','PR','116162161215515431358514595112610167067',7349,'9998',51.39,1,3,NULL),(28,7195974,'1991-04-20 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241116152431459613495124220727112',6372,'271',59.91,1,3,NULL),(28,7195982,'1994-02-03 00:00:00',4,10,12,2011,'F','N','VILA ESPERANÇA','TUBARÃO','SC','124241241115151431626613295124610133072',19562,'798',32.29,1,2,1),(28,7195990,'1994-06-14 00:00:00',4,8,12,2011,'M','N','BOM RETIRO','JOINVILLE','SC','124243246235121431569914575125610127013',NULL,'1006',0.00,4,3,NULL),(28,7196016,'1993-04-11 00:00:00',4,5,6,2011,'F','N','SÃO DOMINGOS','CRICIÚMA','SC','124241243215131431433316445124610126147',6085,'995',50.45,1,3,NULL),(28,7196024,'1994-06-18 00:00:00',4,26,10,2011,'F','N','FÁTIMA','ERECHIM','RS','120202201216111431468313375122610137142',14920,'9998',36.85,1,3,NULL),(28,7196032,'1993-08-31 00:00:00',4,1,12,2011,'F','N','JD INDEPENDENCIA','S BERNARDO CAMPO','SP','125252251211121431246823375112610145092',NULL,'9998',0.00,1,3,NULL),(28,7196040,'1986-12-18 00:00:00',4,1,7,2005,'M','N','JARDIM PIRATININGA','OSASCO','SP','125252257216572411438939115124140967047',NULL,'9998',0.00,1,3,NULL),(28,7196059,'1989-10-21 00:00:00',2,1,12,2006,'F','N','SÃO JOSÉ','S LEOPOLDO','RS','120202201216271431356832475124241523052',3347,'9998',57.89,1,3,NULL),(28,7196067,'1968-09-24 00:00:00',2,1,12,1986,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201201126141411146444345132141066183',9920,'9998',53.85,1,2,1),(28,7196075,'1985-07-23 00:00:00',2,1,12,2004,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241216141431123344445124331614047',NULL,'117',0.00,1,3,NULL),(28,7196083,'1992-08-03 00:00:00',4,1,12,2009,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215372431469813575122121467062',343,'270',78.69,1,3,NULL),(28,7196091,'1981-03-15 00:00:00',2,1,12,1998,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','224241241126135421333343435114131047047',5932,'862',55.07,1,2,1),(28,7196105,'1987-01-20 00:00:00',4,1,12,2007,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242247417475441226449195123130847012',14967,'9999',45.69,1,3,NULL),(28,7196113,'1992-12-22 00:00:00',2,1,12,2010,'F','N','JARDIM LEONOR','S PAULO','SP','125252251216471431538811576124610165092',10543,'9998',42.83,1,3,NULL),(28,7196121,'1994-04-26 00:00:00',2,1,12,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111731438613592124610164042',14509,'300',39.12,1,3,NULL),(28,7196130,'1993-01-21 00:00:00',4,15,12,2010,'F','N','CAPÃO NOVO','CAPÃO CANOA','RS','120201201116151731446833385112140932142',NULL,'9998',0.00,1,2,1),(28,7196148,'1990-06-02 00:00:00',4,8,12,2007,'F','N','SAGUAÇU','JOINVILLE','SC','124241243217574431448531385124610165017',4148,'494',59.93,4,3,NULL),(28,7196156,'1994-03-26 00:00:00',4,10,12,2010,'F','N','MOOCA','S PAULO','SP','125251251117151431423614575124243236197',6045,'9998',53.44,1,2,1),(28,7196164,'1994-03-21 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241115371431446611571124610127043',14288,'307',42.77,1,3,NULL),(28,7196172,'1994-09-29 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431468922576125610133112',2023,'262',65.29,1,3,NULL),(28,7196180,'1992-12-25 00:00:00',1,24,12,2011,'M','N','CENTRO','IBIRAMA','SC','124241241145111451336413345231610128052',NULL,'348',25.89,5,2,1),(28,7196202,'1995-07-26 00:00:00',4,1,11,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111431468932575122610132072',NULL,'270',27.64,1,3,NULL),(28,7196210,'1993-01-14 00:00:00',4,1,11,2010,'M','N','JARDIM AMERICA','GOIÂNIA','GO','609093091215471541336631184321610142062',9352,'9998',46.60,3,3,NULL),(28,7196229,'1993-05-07 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215472741679921575124610164042',6,'299',86.06,1,3,NULL),(28,7196237,'1985-02-12 00:00:00',4,1,12,2002,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124122121211141751226531445114610124161',NULL,'9998',33.40,4,3,NULL),(28,7196245,'1987-09-21 00:00:00',4,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241201132133441423319342123610124187',19187,'9998',34.42,1,2,1),(28,7196253,'1994-04-01 00:00:00',4,8,12,2010,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124244241215372731569711272112610137042',19128,'1063',34.74,4,3,NULL),(28,7196261,'1994-10-06 00:00:00',4,1,11,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431389833572122610137122',1,'270',93.51,1,3,NULL),(28,7196270,'1994-05-25 00:00:00',4,1,10,2011,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125142251217111431478822471122610167192',12104,'9998',50.39,4,3,NULL),(28,7196288,'1992-12-04 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241117373411368813372114610127173',10963,'1022',52.17,1,3,NULL),(28,7196296,'1995-08-16 00:00:00',4,24,11,2011,'F','N','BREMER','RIO SUL','SC','124242241215111731228924575224610127052',12674,'991',40.34,1,3,NULL),(28,7196300,'1992-02-20 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243247217273531568731475112610164042',NULL,'9999',21.82,1,3,NULL),(28,7196318,'1994-03-17 00:00:00',4,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124244241215111431446732575122610122192',NULL,'1074',19.38,1,3,NULL),(28,7196326,'1995-05-07 00:00:00',2,1,2,2012,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242248216131731446619295112610132097',NULL,'1198',27.45,1,3,NULL),(28,7196334,'1993-01-18 00:00:00',4,8,12,2010,'M','N','GUAIUBA','GUARUJÁ','SP','125252251216372431443314492124610127142',8411,'9998',49.26,1,3,NULL),(28,7196342,'1993-03-07 00:00:00',4,8,11,2010,'M','N','JD PALMA TRAVASSOS','RIBEIRÃO PRETO','SP','125251251215471331458812573122610137012',4729,'9998',56.16,1,3,NULL),(28,7196350,'1990-04-15 00:00:00',2,1,12,2007,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124241241416375431438614595124233222192',NULL,'1036',0.00,1,3,NULL),(28,7196369,'1994-09-21 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431458812572122610164142',16315,'738',43.08,1,3,NULL),(28,7196377,'1993-09-17 00:00:00',4,1,11,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431466639495124610137042',2046,'270',63.85,1,3,NULL),(28,7196385,'1993-06-20 00:00:00',2,3,12,2010,'F','N','CAMPINAS','GOIÂNIA','GO','109092091215411431458833472112610127077',760,'9998',69.80,4,3,NULL),(28,7196393,'1993-02-08 00:00:00',2,1,12,2011,'M','N','IPIRANGA','S JOSÉ','SC','124162241315111431333674345121610127047',NULL,'868',29.73,1,3,NULL),(28,7196407,'1994-05-06 00:00:00',4,1,12,2011,'M','N','PEREQUÊ','PTO BELO','SC','124244246215131431537611591125613231187',11456,'1119',40.44,4,3,NULL),(28,7196415,'1991-02-07 00:00:00',2,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','624161241336133431226944345132610147147',16911,'169',41.73,1,3,NULL),(28,7196423,'1993-12-11 00:00:00',4,2,12,2011,'M','N','VALPARAISO','BLUMENAU','SC','124241241115131431436414275124610117012',17543,'85',40.19,1,3,NULL),(28,7196431,'1994-01-14 00:00:00',4,1,11,2011,'F','N','RUDGE RAMOS','S BERNARDO CAMPO','SP','125252251216111731459914575122610122092',11005,'9998',42.84,1,3,NULL),(28,7196458,'1990-03-20 00:00:00',2,1,12,2006,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','624053051116531411226644245124610126047',13802,'9998',47.71,2,1,2),(28,7196466,'1994-12-28 00:00:00',4,2,12,2011,'F','N','VICTOR KONDER','BLUMENAU','SC','124242241215111431458614495122610144181',8889,'909',47.30,1,3,NULL),(28,7196474,'1993-01-20 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117272431625614343124610124197',9449,'307',47.03,1,2,1),(28,7196482,'1995-04-15 00:00:00',4,15,12,2011,'F','N','CENTRO','ARARANGUÁ','SC','124242241215111431568934575125610144192',17025,'970',41.47,1,3,NULL),(28,7196504,'1988-02-19 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241127272332516812315112133267042',NULL,'430',21.26,1,2,1),(28,7196512,'1994-11-30 00:00:00',2,1,1,2012,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124243241115131431326329375124610125147',18918,'1248',35.62,1,3,NULL),(28,7196539,'1992-09-18 00:00:00',2,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124241241114423311226635295122610165173',4381,'576',57.81,1,2,1),(28,7196555,'1994-07-31 00:00:00',4,1,10,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241315112731438831576124610163072',7464,'9997',52.44,1,3,NULL),(28,7196563,'1991-03-04 00:00:00',4,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215574431458833575121231462092',2879,'87',62.46,1,3,NULL),(28,7196580,'1995-01-17 00:00:00',4,1,12,2012,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431456613575122610134192',NULL,'270',35.43,1,3,NULL),(28,7196598,'1992-01-19 00:00:00',4,1,5,2011,'M','N','CENTRO','ESTEIO','RS','120201201117131731235611415121610127087',9589,'9998',45.71,1,2,1),(28,7196601,'1988-08-29 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216273421269944245132130737052',14285,'230',46.98,1,3,NULL),(28,7196610,'1994-05-03 00:00:00',2,17,12,2011,'M','N','VILA FERROVIÁRIA','MAFRA','SC','124241161217131431527714345124610134022',NULL,'9998',29.24,1,3,NULL),(28,7196628,'1993-05-23 00:00:00',2,7,12,2011,'M','N','LINHA SANTO ANTONIO','TREZE TÍLIAS','SC','124241241116471131233314572234610117072',15866,'795',36.60,4,2,1),(28,7196636,'1987-09-14 00:00:00',3,8,12,2004,'F','N','CENTRO','JOINVILLE','SC','124161161126172441116544145334131964195',17860,'9998',39.31,4,3,NULL),(28,7196644,'1993-11-28 00:00:00',4,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241216272431234923575114610122192',7555,'723',52.40,1,3,NULL),(28,7196652,'1993-12-09 00:00:00',4,5,12,2011,'F','N','MICHEL','CRICIÚMA','SC','124241241115131431436334591124610132197',NULL,'221',27.41,1,2,1),(28,7196660,'1994-08-01 00:00:00',4,1,12,2011,'F','N','FLORESTA','S JOSÉ','SC','124242241215121431326611576122610128142',5252,'738',55.74,1,3,NULL),(28,7196695,'1994-11-09 00:00:00',4,1,11,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111431379833576124610167012',NULL,'1168',33.18,1,3,NULL),(28,7196709,'1994-05-20 00:00:00',4,1,12,2011,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241117161731231239575124610127042',17156,'1248',30.65,1,2,1),(28,7196717,'1992-08-19 00:00:00',4,1,12,2009,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124202201217271411278813475124140636082',4349,'9998',63.70,1,3,NULL),(28,7196725,'1993-06-04 00:00:00',4,8,11,2011,'F','N','ASGUAÇU','JOINVILLE','SC','124242241216371431478814575112610168012',NULL,'1063',0.00,1,3,NULL),(28,7196733,'1995-10-21 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111732369813575122610117185',NULL,'270',29.32,1,3,NULL),(28,7196750,'1992-06-19 00:00:00',4,1,11,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241215111431347833575122610157057',NULL,'1075',17.32,1,3,NULL),(28,7196768,'1985-03-25 00:00:00',2,1,12,2002,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116373421338669345122120834062',8982,'307',48.71,3,2,1),(28,7196776,'1992-10-01 00:00:00',2,1,12,2010,'M','N','FAZENDA DE DENTRO','BIGUAÇU','SC','124241241212132731623675495224221467013',10569,'738',52.80,1,3,NULL),(28,7196784,'1994-07-26 00:00:00',4,8,12,2011,'M','N','ROCIO PEQUENO','S FRANCISCO SUL','SC','124242241217111231446511575122610127047',16477,'992',34.51,1,3,NULL),(28,7196792,'1978-04-07 00:00:00',4,1,12,1998,'M','N','JARDIM RIACHO','CONTAGEM','MG','613131138326131411234373185124342267146',NULL,'9998',0.00,4,3,NULL),(28,7196806,'1993-05-11 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242168215372731246622575124610148162',10843,'9997',52.35,1,3,NULL),(28,7196814,'1992-10-21 00:00:00',4,15,12,2009,'M','N','JARDIM ARIANO','LINS','SP','125242241316471431479931571122610137042',10752,'1033',52.51,1,3,NULL),(28,7196822,'1996-01-29 00:00:00',4,1,12,2012,'M','S','CENTRO','PALHOÇA','SC','124242241217151732579833575124610132087',NULL,'270',35.57,1,3,NULL),(28,7196830,'1989-04-07 00:00:00',2,1,12,2006,'F','N','SAO SEBASTIAO','PALHOÇA','SC','124241241146372431335314345134230865117',NULL,'591',26.77,4,2,1),(28,7196849,'1989-01-31 00:00:00',2,4,12,2006,'M','N','CENTRO','PARIQUERA-AÇU','SP','116253251236152411438833475224241414057',11034,'9998',48.29,4,3,NULL),(28,7196857,'1993-07-24 00:00:00',4,6,12,2010,'M','N','CENTRO','BAL PIÇARRAS','SC','124241241116372431438814346134610122112',20044,'614',27.36,1,2,1),(28,7196873,'1994-05-09 00:00:00',4,1,12,2011,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241248135151411323534275125610152052',NULL,'732',20.43,1,2,1),(28,7196881,'1994-07-26 00:00:00',4,4,12,2011,'M','N','CENTRO','CHAPECÓ','SC','124242241436371431478832385125610124182',NULL,'1126',21.64,1,3,NULL),(28,7196890,'1984-04-05 00:00:00',2,1,12,2002,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124021241121133421115379491224132566181',9233,'290',55.01,1,2,1),(28,7196903,'1994-05-03 00:00:00',4,24,11,2011,'M','N','CENTRO','TAIÓ','SC','124242241235121531346632271122610167182',7447,'991',58.07,1,3,NULL),(28,7196911,'1972-02-27 00:00:00',2,15,12,2007,'F','N','ZONA NOVA SUL','BAL ARROIO SILVA','SC','624241241126131232523344115124132746143',NULL,'854',0.00,2,1,1),(28,7196920,'1983-05-14 00:00:00',4,1,12,2000,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115475421146343435124321326187',891,'307',69.03,1,2,1),(28,7196938,'1992-03-24 00:00:00',2,8,11,2009,'F','N','NAÇÕES','FAZ RIO GRANDE','PR','116163161316572431436634575124610162192',NULL,'9998',0.00,1,3,NULL),(28,7196946,'1994-10-15 00:00:00',4,1,11,2011,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241215112431437632575124610167182',2376,'723',62.84,1,3,NULL),(28,7196954,'1995-04-27 00:00:00',4,8,12,2012,'M','S','COSTA E SILVA','JOINVILLE','SC','124242241215111431469614445122610127172',NULL,'457',54.84,1,3,NULL),(28,7196962,'1969-07-30 00:00:00',4,1,11,1989,'M','N','VILA CARRÃO','S PAULO','SP','525251251117131421226429472114341367117',3943,'9998',57.37,1,2,1),(28,7196970,'1992-04-28 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241216572411466612595114610126172',4324,'581',57.03,1,3,NULL),(28,7196989,'1972-06-17 00:00:00',4,1,11,1990,'F','N','ESTREITO','FLORIANÓPOLIS','SC','524201207147151421443341115122231066147',17969,'9998',39.02,1,2,1),(28,7196997,'1994-04-12 00:00:00',4,5,12,2011,'F','N','CRICIÚMA','CRICIÚMA','SC','124242247215111431349831575112610134072',NULL,'226',13.24,1,3,NULL),(28,7197004,'1994-10-07 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215371431566912572124610113152',7795,'883',50.84,1,3,NULL),(28,7197012,'1994-02-03 00:00:00',2,9,1,2012,'M','N','CENTRO','LAGES','SC','124241241112111411425411385125610135087',NULL,'512',22.17,2,1,1),(28,7197020,'1994-11-04 00:00:00',2,6,11,2011,'F','N','JARDIM GUARAITUBA','PARANAGUÁ','PR','116162161216121431387832575122610125042',NULL,'9998',0.00,1,3,NULL),(28,7197039,'1988-05-06 00:00:00',4,1,11,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124113241326131741126348295124610151042',NULL,'922',0.00,1,3,NULL),(28,7197047,'1992-05-07 00:00:00',4,8,12,2009,'M','N','CENTRO','GUARAPUAVA','PR','116164161436472451368832591125610166172',NULL,'9998',0.00,3,3,NULL),(28,7197055,'1994-11-25 00:00:00',4,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215112451239733575114610164177',1453,'883',67.56,4,3,NULL),(28,7197071,'1989-05-21 00:00:00',2,1,8,2007,'F','N','CENTRO','PALHOÇA','SC','124241241115142431533814272124123035057',17912,'739',39.17,1,2,1),(28,7197080,'1994-03-09 00:00:00',2,23,12,2011,'M','N','SÃO LUIS','JARAGUÁ SUL','SC','124241246215161731558833295122610167141',NULL,'1061',27.92,1,3,NULL),(28,7197098,'1991-05-13 00:00:00',4,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241135372232537514242124610123157',NULL,'1088',27.43,1,2,1),(28,7197101,'1978-10-07 00:00:00',6,8,2,2000,'M','N','ZONA NORTE INDUSTRIA','JOINVILLE','SC','224241247427141321324644245112133227042',NULL,'490',14.85,1,3,NULL),(28,7197110,'1993-06-26 00:00:00',4,3,11,2010,'F','N','CENTRO','CURITIBA','PR','116162161215571431465516575122610163092',3808,'9998',58.49,1,3,NULL),(28,7197128,'1992-01-22 00:00:00',4,1,11,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215572331488611595112610167042',7024,'270',54.16,1,3,NULL),(28,7197136,'1994-11-06 00:00:00',4,16,12,2011,'F','N','INDUSTRIAL','CURITIBANOS','SC','124242241216121411458816571122610132142',7039,'881',51.37,1,3,NULL),(28,7197144,'1994-12-05 00:00:00',4,1,12,2012,'F','S','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124242241215111411546812222122610138072',NULL,'270',0.00,1,3,NULL),(28,7197152,'1993-04-14 00:00:00',4,8,12,2011,'M','N','AMÉRICA','JOINVILLE','SC','124252241216111431359914475112610167042',11084,'1063',44.30,1,3,NULL),(28,7197160,'1994-04-11 00:00:00',4,15,11,2011,'M','N','ESTREITO','MELEIRO','SC','124241241415111411343339371124610127047',NULL,'995',20.72,1,3,NULL),(28,7197179,'1994-05-03 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124112111212271411348813572112610136072',17698,'9998',39.74,4,3,NULL),(28,7197187,'1993-08-29 00:00:00',4,23,12,2010,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124241241116472411447931575112610124097',13721,'425',38.73,1,2,1),(28,7197195,'1980-09-05 00:00:00',4,1,12,2000,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224161167122144451223341315124610134187',12967,'9998',41.33,1,2,1),(28,7197209,'1993-12-06 00:00:00',4,1,12,2011,'M','N','JARDIM IBIRATIBA','S PAULO','SP','125254251217571431488632582114610167082',10790,'9998',43.14,1,3,NULL),(28,7197225,'1994-04-25 00:00:00',2,1,12,2011,'F','N','FLORES','MANAUS','AM','604042041217161411369923595112610134183',7981,'9998',50.13,4,3,NULL),(28,7197233,'1993-01-16 00:00:00',2,6,12,2010,'M','N','JARDIM BOA VISTA I','IBIPORÃ','PR','116162161215471331443934572111610137047',11981,'9998',50.57,1,3,NULL),(28,7197241,'1994-09-21 00:00:00',2,15,12,2011,'M','N','MARISCÃO','BAL ARROIO SILVA','SC','124241241135111431526734575125610128057',13632,'30',39.57,1,3,NULL),(28,7197250,'1995-03-09 00:00:00',4,8,12,2012,'M','S','ROCIO GRANDE','S FRANCISCO SUL','SC','124242241215111431338612144114610137182',NULL,'1016',31.98,1,3,NULL),(28,7197268,'1994-01-06 00:00:00',2,1,12,2011,'F','N','FORQUILINHAS','S JOSÉ','SC','124242241215131431337634575112610137057',NULL,'944',15.91,1,3,NULL),(28,7197284,'1994-03-29 00:00:00',4,8,11,2011,'F','N','FLORESTA','JOINVILLE','SC','124242241216131431537734575125610127147',10356,'459',53.15,1,3,NULL),(28,7197330,'1991-05-06 00:00:00',2,1,12,2008,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215572411438812395114610114162',6538,'1048',52.68,1,3,NULL),(28,7197349,'1992-12-01 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124233231216271431456619595114221437047',16000,'9998',43.70,4,3,NULL),(28,7197357,'1993-11-07 00:00:00',4,1,10,2011,'M','N','CENTRO','LAURO FREITAS','BA','105052051217111441469939575112610164052',NULL,'9998',0.00,4,3,NULL),(28,7197373,'1984-09-14 00:00:00',4,23,12,2002,'F','N','NEREU RAMOS','JARAGUÁ SUL','SC','124241241127131712533319482112610166197',NULL,'429',35.60,1,3,NULL),(28,7197381,'1992-05-12 00:00:00',2,1,12,2009,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241116132431426311282224610134012',NULL,'281',24.79,1,2,1),(28,7197403,'1994-05-09 00:00:00',4,9,12,2011,'F','N','COPACABANA','LAGES','SC','124242241212111431469933472122610148057',1289,'515',67.93,1,3,NULL),(28,7197411,'1994-10-02 00:00:00',4,1,12,2011,'F','N','PORTÃO','CURITIBA','PR','116242161217151711458812572122610123182',5644,'9998',54.21,1,3,NULL),(28,7197420,'1991-06-04 00:00:00',4,8,11,2008,'F','N','NEREIDAS','GUARATUBA','PR','116162241215471231533611371122610137187',2422,'486',68.48,1,3,NULL),(28,7197454,'1994-05-03 00:00:00',4,5,10,2011,'F','N','CENTRO','CRICIÚMA','SC','124242248215111221566614572112610112097',9702,'226',47.41,1,3,NULL),(28,7197462,'1994-02-03 00:00:00',4,22,12,2011,'F','N','SANTA RITA','BRUSQUE','SC','124241241415112431456622275122610122192',12961,'1244',41.18,1,3,NULL),(28,7197470,'1993-12-19 00:00:00',4,3,12,2011,'F','N','EMBARÉ','SANTOS','SP','125252251215111431548812582114610123057',NULL,'9998',0.00,1,3,NULL),(28,7197497,'1990-07-05 00:00:00',2,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124241241116162721326629392124610116192',NULL,'257',20.94,1,3,NULL),(28,7197500,'1990-07-30 00:00:00',4,1,12,2007,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124243241115152421448613345122233267047',11623,'271',51.13,1,3,NULL),(28,7197527,'1993-08-20 00:00:00',3,6,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','116242281417372431179934575124610131196',1186,'389',73.02,1,3,NULL),(28,7197535,'1992-10-07 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241216572331436939575114610124077',3031,'270',62.02,1,3,NULL),(28,7197543,'1994-07-19 00:00:00',4,16,11,2011,'F','N','CENTRO','CURITIBA','PR','116161161317171431558911575125610163142',NULL,'9998',0.00,1,3,NULL),(28,7197551,'1993-08-09 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241111371712258939411141610117115',16452,'267',42.77,1,3,NULL),(28,7197578,'1993-11-11 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242247217141431538911575124610137047',NULL,'9999',20.95,1,3,NULL),(28,7197586,'1994-07-25 00:00:00',4,3,12,2011,'M','N','JARDIM ACLIMAÇÃO','MARINGÁ','PR','116162161215111731468815575122610124182',NULL,'9998',0.00,1,3,NULL),(28,7197594,'1992-09-27 00:00:00',4,1,12,2009,'M','N','CENTRO','JOANÓPOLIS','SP','125251251116571431448812575122610134092',11451,'9998',45.29,1,2,1),(28,7197608,'1994-09-28 00:00:00',4,4,12,2011,'F','N','INDUSTRIAL','FRANCISCO BELTRÃO','PR','116162161217121441579813575122610156037',629,'9998',71.34,1,3,NULL),(28,7197616,'1987-10-22 00:00:00',4,1,12,2003,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124114111417141411434448485124343235147',19249,'9998',34.13,4,3,NULL),(28,7197624,'1994-11-28 00:00:00',4,10,12,2011,'F','N','CENTRO','GR PARÁ','SC','124241241135131431434411245124610134147',15499,'330',31.43,1,2,1),(28,7197632,'1993-05-17 00:00:00',4,4,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124244241217573411469713575122610132042',NULL,'752',0.00,4,3,NULL),(28,7197640,'1994-08-09 00:00:00',2,24,11,2011,'F','N','EUGÊNIO SCHNEIDER','RIO SUL','SC','124241241215112431359813575122610164142',NULL,'991',32.72,1,3,NULL),(28,7197659,'1994-10-06 00:00:00',4,3,11,2011,'M','N','JARDIM AUTONOMISTA','CPO GRANDE','MS','112122121216111431489813575112610167182',6782,'9998',48.52,1,3,NULL),(28,7197675,'1987-01-16 00:00:00',4,1,12,2004,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124201201116242751123344445124141227047',18216,'9998',27.55,1,2,1),(28,7197683,'1991-04-16 00:00:00',4,8,12,2008,'M','N','IRIRIU','JOINVILLE','SC','124242246211271441237327341124231467187',13934,'1105',47.52,1,3,NULL),(28,7197691,'1994-12-31 00:00:00',2,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116471431526614575124610124052',16367,'287',34.09,1,2,1),(28,7197721,'1994-06-29 00:00:00',4,1,12,2011,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124243241215112431333319595321610167052',4618,'1119',56.56,1,3,NULL),(28,7197748,'1987-06-08 00:00:00',3,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244247217135731528611496121221116187',17067,'9999',41.39,1,3,NULL),(28,7197756,'1985-12-01 00:00:00',4,4,12,2003,'M','N','INTERIOR','ITAPIRANGA','SC','124241241116151431323316485122230336047',6655,'412',51.62,1,2,1),(28,7197764,'1991-11-01 00:00:00',4,1,11,2008,'M','N','SERRARIA','S JOSÉ','SC','124241241116131431634614275124610114017',NULL,'734',0.00,1,2,1),(28,7197772,'1992-01-16 00:00:00',2,1,12,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124252241435274231637812345124130234127',NULL,'298',32.19,1,3,NULL),(28,7197780,'1993-03-19 00:00:00',2,1,11,2010,'F','N','ALTO DA GLÓRIA','GOIÂNIA','GO','109092091213471321468933435122610164197',4033,'9998',56.81,1,3,NULL),(28,7197810,'1994-12-19 00:00:00',4,8,12,2011,'M','N','VILAS BOAS','CPO GRANDE','MS','112122121217111431468842572122610167042',NULL,'9998',21.80,1,3,NULL),(28,7197829,'1968-09-08 00:00:00',2,1,12,1986,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224241241123275711464259293122220826147',8674,'307',48.04,1,3,NULL),(28,7197837,'1995-09-14 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431369931576112610134145',13947,'262',47.50,1,3,NULL),(28,7197845,'1992-02-05 00:00:00',4,8,12,2009,'F','N','VILA YARA','OSASCO','SP','125252251217531531469813375124610167057',2035,'9998',62.87,1,3,NULL),(28,7197853,'1994-04-29 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115371421423614575124610167142',17230,'257',32.89,4,2,1),(28,7197861,'1972-07-24 00:00:00',2,1,8,2005,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','224241247127371412433154342144610168197',18031,'9999',31.70,1,2,1),(28,7197870,'1991-07-22 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247331151431323314395114610132141',19506,'9999',32.63,1,3,NULL),(28,7197888,'1993-08-11 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117472431426311375124610127042',11488,'298',45.75,4,2,1),(28,7197896,'1993-11-01 00:00:00',4,2,12,2011,'F','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241215112431369931575122610123182',4387,'87',63.63,1,3,NULL),(28,7197900,'1993-04-25 00:00:00',4,9,11,2010,'M','N','SAGRADO COAÇÃO DE J','LAGES','SC','124243241215472431566931345112610127041',2546,'497',62.86,1,3,NULL),(28,7197918,'1993-06-24 00:00:00',4,1,12,2010,'F','N','CENTRO','SETE QUEDAS','MS','112241241116272731525511385122130822147',NULL,'505',0.00,1,3,NULL),(28,7197934,'1994-08-13 00:00:00',4,24,12,2011,'F','N','CENTRO','ITUPORANGA','SC','124241241115371431325534235125610147057',14245,'416',36.97,1,2,1),(28,7197942,'1994-02-28 00:00:00',2,1,12,2011,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241117111431626513375124610127042',17478,'1248',31.63,1,3,NULL),(28,7197950,'1994-05-03 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241117271431436621245124610164147',11204,'257',49.36,4,3,NULL),(28,7197969,'1994-01-24 00:00:00',4,7,11,2011,'M','N','COLINA VERDE','VIDEIRA','SC','124242241237151411549914575125610116077',6643,'969',51.50,1,3,NULL),(28,7197985,'1994-04-18 00:00:00',4,26,12,2011,'F','N','LIBERDADE','CONCÓRDIA','SC','124241241114471431339929335124610128097',15453,'192',37.58,1,2,1),(28,7197993,'1993-09-08 00:00:00',2,15,12,2010,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241248136472431521619241121610121092',NULL,'30',19.76,1,2,1),(28,7198000,'1993-02-02 00:00:00',4,1,1,2012,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241114141131226621335124610118144',15560,'307',36.36,1,2,1),(28,7198019,'1993-01-29 00:00:00',4,1,12,2010,'M','N','CENTRO','UBÁ','MG','113132251236471431437822585124610167187',NULL,'9998',0.00,1,3,NULL),(28,7198027,'1970-06-29 00:00:00',2,1,4,1993,'M','N','CENTRO','FLORIANÓPOLIS','SC','624242247226132421247654342112610114195',NULL,'9999',29.14,1,3,NULL),(28,7198035,'1993-11-04 00:00:00',4,1,11,2011,'M','N','RESID GRANVILLE','GOIÂNIA','GO','109092091215111411679931571122610164172',NULL,'9998',0.00,4,3,NULL),(28,7198043,'1992-08-08 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124252241416572431349924575122610166177',6292,'583',60.07,1,3,NULL),(28,7198051,'1989-10-14 00:00:00',4,1,6,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117132431415311571124221428147',8139,'306',56.90,1,2,1),(28,7198060,'1994-03-01 00:00:00',2,1,12,2011,'F','N','BOA VISTA','CURITIBA','PR','116162161215121731539913585124610127077',15261,'9998',45.13,1,3,NULL),(28,7198078,'1995-02-07 00:00:00',4,1,11,2011,'F','N','SANTO ANTÃO','BENTO GONÇALVES','RS','120202201215471731559931573122610167093',NULL,'9998',0.00,1,3,NULL),(28,7198086,'1995-03-17 00:00:00',2,27,12,2011,'M','N','CENTRO','PALMA SOLA','SC','124241241116161431438613585122610147017',NULL,'598',0.00,1,2,1),(28,7198094,'1992-09-15 00:00:00',2,1,12,2009,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124241241137272431423714396124610134042',NULL,'287',31.45,2,1,1),(28,7198108,'1994-08-25 00:00:00',2,15,12,2011,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241415151431445614345112610128112',NULL,'29',27.92,1,3,NULL),(28,7198116,'1994-06-28 00:00:00',4,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124243241127371411426619312124610134147',18346,'257',37.80,1,3,NULL),(28,7198124,'1994-04-23 00:00:00',4,8,12,2011,'F','N','AVENTUREIRO','JOINVILLE','SC','124243241215111431437619575124610124147',14574,'861',36.17,1,3,NULL),(28,7198132,'1994-09-21 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241215272431325711475114610164172',3363,'1022',61.23,1,3,NULL),(28,7198140,'1990-03-03 00:00:00',2,1,11,2008,'M','N','PRAIA DE LESTE','PONTAL PARANÁ','PR','116141141116131431226714385124243242042',NULL,'9998',0.00,2,1,1),(28,7198159,'1994-09-21 00:00:00',2,24,12,2011,'M','N','TRÊS BARRAS','AGROLÂNDIA','SC','124241241137161431339813342123610117052',NULL,'6',20.41,1,2,1),(28,7198167,'1990-01-17 00:00:00',2,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243248315372421434532315122610134142',18434,'270',37.53,1,3,NULL),(28,7198175,'1995-01-30 00:00:00',4,7,12,2011,'M','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241215371431555833275112610124012',4347,'962',58.45,1,3,NULL),(28,7198183,'1994-06-20 00:00:00',4,5,12,2011,'F','N','JARDIM FLORENÇA','NOVA VENEZA','SC','124241241125141231436434345122610124142',NULL,'578',31.17,1,2,1),(28,7198191,'1989-03-02 00:00:00',4,1,12,2008,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241122473431213623282124610123141',NULL,'12',28.93,1,2,1),(28,7198205,'1994-06-23 00:00:00',2,1,12,2011,'F','N','SAO JOSE','FRAIBURGO','SC','124241241125131321436614246125610133147',NULL,'315',19.31,4,2,1),(28,7198213,'1994-01-23 00:00:00',2,1,12,2011,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241115371231323321395124610127147',9270,'592',46.45,1,2,1),(28,7198221,'1995-01-13 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241115471431436724175124610142072',10785,'733',45.80,1,2,1),(28,7198230,'1986-05-24 00:00:00',5,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241126131531423524485114610127047',17386,'954',36.77,1,2,1),(28,7198248,'1993-10-21 00:00:00',2,1,10,2011,'M','N','JARDIM SANTIAGO','S JOSÉ','SC','124241241127171411525121395124610117042',17654,'306',31.17,1,2,1),(28,7198256,'1993-11-16 00:00:00',4,8,12,2010,'M','N','BIGORRILHO','CURITIBA','PR','116163161215472431457827576114610122197',NULL,'9998',0.00,1,3,NULL),(28,7198264,'1974-06-29 00:00:00',5,1,12,1992,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241414475411127843432214521265147',7833,'360',57.41,1,3,NULL),(28,7198272,'1985-12-24 00:00:00',2,1,8,2006,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247116471431123744445134610122042',3459,'9999',61.12,1,2,1),(28,7198280,'1994-08-24 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124241241115471431536813275124610137142',7289,'271',53.03,1,2,1),(28,7198299,'1992-01-24 00:00:00',4,16,12,2009,'F','N','BOM JESUS','CURITIBANOS','SC','124241241115472431224344245123610166077',7329,'239',51.69,4,2,1),(28,7198302,'1989-09-18 00:00:00',2,1,12,2006,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241244112143731435539145124610127077',9786,'21',49.28,1,2,1),(28,7198310,'1986-10-11 00:00:00',2,1,12,2003,'M','N','COBRE','CANELINHA','SC','124201201127131412324344145122610124047',17014,'9998',41.52,1,2,1),(28,7198329,'1992-10-02 00:00:00',2,1,12,2010,'F','N','ALTO DE MAFRA','MAFRA','SC','124241241215372431448613575122610143142',NULL,'541',0.00,1,3,NULL),(28,7198353,'1994-09-19 00:00:00',2,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124241241115471431323321282124610125197',9781,'734',45.55,1,2,1),(28,7198361,'1993-05-27 00:00:00',2,4,12,2011,'M','N','CENTRO','TANGARÁ','SC','124241243132131231433614595122610127052',NULL,'779',24.81,1,2,1),(28,7198370,'1987-01-18 00:00:00',2,1,8,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247147131431124444241214610124177',NULL,'9999',24.82,2,1,1),(28,7198388,'1978-05-05 00:00:00',2,1,12,2007,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','624241248117151431422374346124610116187',NULL,'9997',18.00,1,2,1),(28,7198396,'1993-06-14 00:00:00',4,10,12,2010,'M','N','CENTRO','BRAÇO NORTE','SC','124242241115472431444814345121131467042',5705,'950',54.48,1,3,NULL),(28,7198400,'1994-08-23 00:00:00',2,24,12,2011,'F','N','FUNDO CANOAS','RIO SUL','SC','124241241125151431556923375122610147072',10774,'900',45.42,1,2,1),(28,7198418,'1994-07-02 00:00:00',2,4,11,2011,'M','N','CENTRO','LAGES','SC','124241241415132451413315382224610157047',10591,'499',45.28,1,3,NULL),(28,7198426,'1993-07-02 00:00:00',4,5,10,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241215473431568923572122610163062',8016,'226',50.46,1,3,NULL),(28,7198434,'1993-08-13 00:00:00',2,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124243241336471531323339575124610134141',NULL,'257',19.88,1,3,NULL),(28,7198442,'1993-09-16 00:00:00',4,1,12,2010,'M','N','INDAIA','CARAGUATATUBA','SP','125252251215471441469931575121610167067',1578,'9998',64.46,1,3,NULL),(28,7198450,'1993-12-14 00:00:00',4,2,11,2011,'M','N','IMIGRANTES','TIMBÓ','SC','124243241215111431488611575122610142172',2096,'1157',61.92,3,3,NULL),(28,7198469,'1993-12-01 00:00:00',2,1,12,2011,'F','N','SANTOS SARAIVA','S JOSÉ','SC','124241241115471731226524345124610133147',15432,'733',33.48,1,2,1),(28,7198477,'1993-02-18 00:00:00',4,2,12,2010,'F','N','DOS ESTADOS','INDAIAL','SC','124241241117272431435324145122610134142',2321,'84',63.19,4,2,1),(28,7198485,'1991-08-25 00:00:00',2,1,12,2008,'F','N','BARRA','TRAMANDAÍ','RS','120201201111131311314411272214610117156',13636,'9998',47.99,2,1,1),(28,7198493,'1986-11-30 00:00:00',2,16,12,2004,'F','N','BOSQUE','CURITIBANOS','SC','224241241131271431426559492122610126187',17658,'239',39.87,1,3,NULL),(28,7198507,'1993-05-12 00:00:00',2,22,12,2010,'F','N','DOM JOAQUIM','BRUSQUE','SC','124241241126271431434619275122610124117',13574,'114',40.02,1,2,1),(28,7198515,'1993-11-27 00:00:00',2,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241117132531323518345114610125145',NULL,'287',0.00,1,2,1),(28,7198523,'1994-05-16 00:00:00',4,4,12,2011,'F','N','CENTRO','S CARLOS','SC','124242241217111431459811272122610132042',9980,'1278',46.63,1,3,NULL),(28,7198531,'1995-02-05 00:00:00',4,9,11,2011,'F','N','CENTRO','LAGES','SC','124242241215111431438714575122610135177',12027,'1207',43.48,4,3,NULL),(28,7198540,'1993-06-11 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117472431425813285124610144097',8380,'307',48.87,1,2,1),(28,7198558,'1986-07-09 00:00:00',2,1,12,2011,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124241247146142431525514195124610127073',NULL,'9999',0.00,1,2,1),(28,7198566,'1993-03-08 00:00:00',2,1,12,2011,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241116471731326613575124610112077',15224,'307',36.21,1,2,1),(28,7198574,'1986-06-20 00:00:00',2,1,7,2004,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241136372431223674382124133237057',NULL,'733',22.23,1,2,1),(28,7198582,'1993-01-06 00:00:00',4,1,12,2009,'F','N','SÃO MIGUEL PTA','S PAULO','SP','125252251216571731649614571124610161017',7769,'9998',50.88,1,3,NULL),(28,7198590,'1994-03-27 00:00:00',2,1,12,2011,'F','N','MORRO DA BINA','BIGUAÇU','SC','124241241225131412221329245224610115097',9857,'262',45.96,1,3,NULL),(28,7198604,'1992-05-09 00:00:00',4,1,12,2009,'M','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241216132411223629385124610144097',NULL,'300',17.71,1,3,NULL),(28,7198612,'1994-04-22 00:00:00',2,1,12,2011,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241115371431324439575124610126147',19453,'592',33.01,1,2,1),(28,7198620,'1994-08-18 00:00:00',2,1,12,2011,'F','N','SOROCABA DE FORA','BIGUAÇU','SC','124241241115471531428623475124610133147',NULL,'65',19.83,1,2,1),(28,7198639,'1990-07-23 00:00:00',4,1,12,2008,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241215373221346531415114610122173',NULL,'1023',28.49,1,3,NULL),(28,7198647,'1994-05-10 00:00:00',2,1,12,2011,'F','N','STAN','TORRES','RS','120201205117131431526913585121613267057',NULL,'9998',0.00,1,2,1),(28,7198663,'1990-01-02 00:00:00',2,1,12,2007,'F','N','BOM VIVER','BIGUAÇU','SC','124241241117471731123441412213610163077',NULL,'65',21.73,2,1,1),(28,7198671,'1994-02-28 00:00:00',4,4,12,2011,'M','N','CENTRO','PALOTINA','PR','116162161235271731449931285121610137012',NULL,'9998',0.00,1,3,NULL),(28,7198680,'1994-03-12 00:00:00',2,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116471431523661375124610142192',12043,'295',42.86,4,2,1),(28,7198698,'1994-04-12 00:00:00',2,1,12,2011,'F','N','CENTRO','CURITIBA','PR','116162161217121411469931575112610144021',NULL,'9998',32.87,1,3,NULL),(28,7198701,'1996-01-27 00:00:00',4,7,11,2012,'F','S','MORADA DO SOL','VIDEIRA','SC','124242241215111431446832375122610125142',NULL,'969',0.00,1,3,NULL),(28,7198710,'1995-07-05 00:00:00',4,4,12,2011,'M','N','CENTRO','XAVANTINA','SC','124241247345111531526612575122610118182',16615,'844',30.55,1,3,NULL),(28,7198736,'1994-09-26 00:00:00',4,15,12,2011,'F','N','VILA BEATRIZ','MARACAJÁ','SC','124241241115371431423411275124610124097',5838,'30',53.90,1,2,1),(28,7198744,'1992-11-21 00:00:00',4,8,11,2010,'M','N','BOM RETIRO','JOINVILLE','SC','124241246215371131515311385112610162081',19532,'1006',32.46,1,3,NULL),(28,7198752,'1995-01-19 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241135111431446639595124610137142',NULL,'592',21.01,1,2,1),(28,7198760,'1994-11-10 00:00:00',2,8,11,2011,'M','N','ITINGA','ARAQUARI','SC','124243241315111431346732275124610127182',19081,'1063',34.97,1,3,NULL),(28,7198779,'1992-01-17 00:00:00',4,1,12,2009,'F','N','JARDIM COLONIAL','PIRACICABA','SP','125251251137571431524324471124610166142',NULL,'9998',0.00,1,3,NULL),(28,7198787,'1993-12-04 00:00:00',4,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224241241125141731223344395114613267077',19819,'282',30.14,1,2,1),(28,7198795,'1993-09-06 00:00:00',4,1,12,2010,'M','N','MORRO DA BINA','BIGUAÇU','SC','124243241211373431536514341134610165127',7526,'63',50.71,2,3,NULL),(28,7198817,'1985-03-24 00:00:00',2,1,12,2002,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124201201126331231123344345124140228097',12503,'9998',41.94,1,2,1),(28,7198825,'1988-02-29 00:00:00',4,16,12,2005,'F','N','SAO LUIS','CURITIBANOS','SC','124241241135372431113344345122610126197',12992,'239',40.33,1,2,1),(28,7198833,'1994-03-03 00:00:00',4,3,12,2011,'F','N','AREIAS','CAMBORIÚ','SC','124241241116131451324421585124610118147',NULL,'1043',0.00,1,2,1),(28,7198841,'1992-02-28 00:00:00',2,1,3,2011,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241248115271431443319575124610146092',NULL,'306',21.36,4,1,1),(28,7198850,'1985-11-25 00:00:00',4,1,12,2002,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124254253226143431238711385122433264195',6499,'9998',59.68,1,3,NULL),(28,7198868,'1994-05-19 00:00:00',2,10,12,2011,'F','N','PASSO DO GADO','TUBARÃO','SC','124241241115371451323314292324610116142',NULL,'1034',21.73,1,3,NULL),(28,7198876,'1991-12-11 00:00:00',4,10,12,2009,'M','N','CENTRO','JAGUARUNA','SC','124241241117131431553923485122610148117',15897,'421',34.78,1,3,NULL),(28,7198884,'1991-03-15 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241125472431535519342124130267122',9009,'274',49.06,1,2,1),(28,7198892,'1994-01-24 00:00:00',2,1,12,2011,'F','N','FAZ SANTO ANTÔNIO','S JOSÉ','SC','124241241115471431435633345124610166091',17552,'733',31.83,1,2,1),(28,7198906,'1980-03-02 00:00:00',4,1,12,1998,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124201201116271421325344445114610127042',18777,'9998',36.19,1,2,1),(28,7198914,'1989-05-19 00:00:00',2,1,12,2006,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241112374431423414482124610127055',12146,'281',50.34,1,2,1),(28,7198922,'1993-12-24 00:00:00',4,3,12,2011,'F','N','JARDIM ARARUNA','BAURU','SP','125252251237171431569931575112610122016',12770,'9998',42.28,1,3,NULL),(28,7198930,'1993-10-12 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241125572431323321245114610133177',10761,'283',44.64,1,2,1),(28,7198965,'1989-04-13 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','224243247416371431323351495124610134197',NULL,'9999',24.51,1,3,NULL),(28,7198973,'1994-02-07 00:00:00',4,4,12,2011,'F','N','CENTRO','IPORÃ OESTE','SC','124241241135271441534931414124610132142',3669,'371',58.71,1,2,1),(28,7198981,'1991-06-28 00:00:00',4,1,12,2008,'M','N','CENTRO','BIGUAÇU','SC','124242241216273451457831272124221464093',4076,'262',64.31,1,3,NULL),(28,7198990,'1993-10-16 00:00:00',2,1,12,2010,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124241241111372431217819191124610136142',NULL,'51',36.96,1,2,1),(28,7199007,'1994-10-12 00:00:00',4,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241225131411428724392124610144097',15431,'262',35.28,1,3,NULL),(28,7199015,'1992-11-04 00:00:00',2,9,12,2009,'F','N','MARTORANO','S JOAQUIM','SC','124241241137372431313624441134610128172',11685,'719',42.35,1,2,1),(28,7199023,'1991-03-31 00:00:00',4,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241315472431436633341124610122032',2712,'300',67.66,1,3,NULL),(28,7199031,'1994-05-24 00:00:00',2,7,12,2011,'F','N','SANTA TEREZA','JOAÇABA','SC','124241241116371431426421245124610164187',9819,'448',45.33,1,2,1),(28,7199040,'1994-03-24 00:00:00',4,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117271731316623575124610126097',19159,'281',27.35,1,2,1),(28,7199066,'1992-03-19 00:00:00',4,22,12,2009,'M','N','MALUCHE','BRUSQUE','SC','124242241215272231488611575122221447062',NULL,'1123',0.00,1,3,NULL),(28,7199074,'1991-06-19 00:00:00',2,1,12,2008,'M','N','OURO BRANCO','NOVO HAMBURGO','RS','120203203216271731347841415121142145092',10551,'9998',52.23,1,3,NULL),(28,7199082,'1993-01-13 00:00:00',4,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215372431456611445114610145182',6237,'988',53.09,1,3,NULL),(28,7199090,'1991-05-15 00:00:00',4,1,12,2008,'M','N','JARDIM MARIA CIBELE','JAÚ','SP','125251251127371731534624245122610127042',NULL,'9998',0.00,1,2,1),(28,7199104,'1992-07-07 00:00:00',2,1,11,2009,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241217272431454611395124610127171',11989,'259',50.56,1,3,NULL),(28,7199112,'1962-03-09 00:00:00',2,1,12,2007,'F','N','CENTRO','TIJUCAS','SC','524201207122132421223843332334141428187',16246,'9998',33.49,1,3,NULL),(28,7199120,'1994-02-09 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215472111359613572124231167045',10964,'270',52.17,1,3,NULL),(28,7199139,'1993-03-20 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124051051112131131334444442114610116162',19773,'9998',30.46,4,1,1),(28,7199147,'1990-04-07 00:00:00',4,1,12,2007,'M','N','PASSA VINTE','PALHOÇA','SC','124241241116143111446512325121230716172',15842,'591',44.00,1,3,NULL),(28,7199155,'1989-05-22 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241248123472421126544345124610128182',15572,'182',38.50,1,2,1),(28,7199163,'1993-09-28 00:00:00',2,1,12,2010,'F','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241126472431423414285124610127057',19073,'322',26.89,3,2,1),(28,7199171,'1994-01-09 00:00:00',2,4,12,2010,'F','N','INTERIOR','GALVÃO','SC','124241241136372431326615385112610124197',10886,'321',45.28,1,2,1),(28,7199180,'1994-04-03 00:00:00',6,15,12,2011,'F','N','SANTA AUGUSTA','CRICIÚMA','SC','124241241144141221525629291224610148057',NULL,'209',0.00,1,2,1),(28,7199198,'1991-02-27 00:00:00',4,27,12,2011,'M','N','URUGUAI','MONDAÍ','SC','124241241136151411346632345133610164192',10597,'564',44.47,1,2,1),(28,7199201,'1989-05-23 00:00:00',2,8,12,2006,'F','N','UBERABA','CURITIBA','PR','116162161216571431469914572114610137072',6483,'9998',59.71,1,3,NULL),(28,7199210,'1986-10-06 00:00:00',2,1,8,2004,'M','N','JOSE MENDES','FLORIANÓPOLIS','SC','124241241332271441454313342112610117032',17216,'300',40.96,1,3,NULL),(28,7199228,'1986-08-07 00:00:00',4,1,12,2003,'M','N','JARDIM AQUARIUS','PALHOÇA','SC','224241241115371451433644342123610127027',17259,'733',40.87,1,2,1),(28,7199236,'1994-04-28 00:00:00',4,1,11,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111431335631272112610124012',11085,'723',44.03,1,3,NULL),(28,7199244,'1993-03-04 00:00:00',2,4,12,2010,'M','N','CENTRO','TUNÁPOLIS','SC','124241241136162431335923585224231437047',8093,'812',47.93,1,2,1),(28,7199252,'1991-11-18 00:00:00',4,1,12,2009,'M','N','PARQUE GUARANI','S PAULO','SP','125252256237471231549771575114610164042',7221,'9998',52.32,1,3,NULL),(28,7199260,'1994-05-19 00:00:00',4,1,12,2011,'M','N','SANTA MARIA','S CAETANO SUL','SP','125252251247111221356822575122610117112',NULL,'9998',0.00,1,3,NULL),(28,7199279,'1994-08-30 00:00:00',4,6,12,2011,'M','N','CIDADE NOVA','ITAJAÍ','SC','124241241115371441526618392121610127047',13425,'401',41.81,1,2,1),(28,7199295,'1991-02-28 00:00:00',4,1,12,2009,'F','N','ITAPEVA','IMARUÍ','SC','124241241132132431623319442324610114147',20071,'356',26.86,2,2,1),(28,7199317,'1995-01-25 00:00:00',2,10,12,2011,'F','N','CENTRO','GRAVATAL','SC','124241241117371731323539572124610134142',NULL,'331',18.26,1,2,1),(28,7199325,'1981-05-05 00:00:00',4,1,12,1998,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216152411156543435134420862073',NULL,'269',0.00,1,3,NULL),(28,7199333,'1983-06-06 00:00:00',4,1,6,2001,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242246116152421237644442122221764082',2125,'306',69.42,1,3,NULL),(28,7199341,'1994-07-17 00:00:00',4,1,1,2012,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241116371441426524375124610126142',7813,'307',52.72,4,2,1),(28,7199350,'1994-02-10 00:00:00',2,1,12,2011,'M','N','KOBRASOL II','S JOSÉ','SC','124241241145142411636663215121610167087',NULL,'1116',15.82,3,2,1),(28,7199368,'1995-03-12 00:00:00',4,4,12,2011,'M','N','CRISTO REI','CHAPECÓ','SC','124241241115471431524339285122610134057',9595,'916',44.85,4,2,1),(28,7199376,'1990-08-02 00:00:00',4,1,12,2007,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241211273421359933375122232122183',12296,'515',50.09,1,3,NULL),(28,7199384,'1967-02-03 00:00:00',4,4,12,1984,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241244326275421133343135122121562097',3042,'9997',59.66,1,3,NULL),(28,7199392,'1991-09-22 00:00:00',2,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215154431357613575124233267042',16611,'988',42.40,1,3,NULL),(28,7199406,'1993-12-09 00:00:00',4,17,12,2010,'F','N','ALTO DA TIJUCA','CANOINHAS','SC','124241241115371431434429395125613252172',13997,'153',39.99,1,3,NULL),(28,7199414,'1993-11-14 00:00:00',2,1,12,2010,'F','N','DANIELA','FLORIANÓPOLIS','SC','124241241116161431235429345114610117057',18435,'295',28.94,1,3,NULL),(28,7199422,'1993-04-07 00:00:00',4,9,12,2010,'M','N','UNIVERSITARIO','LAGES','SC','124242248215273431358924575112610137043',NULL,'497',38.27,1,3,NULL),(28,7199430,'1993-11-25 00:00:00',4,1,12,2011,'M','N','SÃO BENEDITO','UBERABA','MG','113133131236121411434622575122610127092',NULL,'9998',32.00,1,3,NULL),(28,7199449,'1995-01-13 00:00:00',4,15,12,2011,'F','N','JARDIM CIBELE','ARARANGUÁ','SC','124241241142141221523311342122610162142',NULL,'30',25.23,1,2,1),(28,7199465,'1993-12-26 00:00:00',2,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241125131531415514445124610127147',18215,'274',32.26,1,2,1),(28,7199481,'1990-03-05 00:00:00',2,1,12,2007,'F','N','UBERABA','CURITIBA','PR','116162161117151721558639385122343233147',NULL,'9998',0.00,1,3,NULL),(28,7199490,'1994-12-17 00:00:00',4,5,11,2011,'M','N','RECANTO VERDE','CRICIÚMA','SC','124243243216121441638612245124610147042',7008,'995',51.96,1,3,NULL),(28,7199503,'1995-12-27 00:00:00',4,1,2,2012,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241225131431436621575114610138042',3120,'262',59.40,1,3,NULL),(28,7199511,'1976-09-18 00:00:00',4,1,12,1995,'M','N','NOVO MUNDO','LIMEIRA','SP','125251251126371421128741315124143242097',NULL,'9998',38.93,3,2,1),(28,7199520,'1992-03-11 00:00:00',4,1,5,2010,'F','N','VILA MARIANA','S PAULO','SP','125282281216471431569914575125141434047',124,'9998',77.57,1,3,NULL),(28,7199546,'1992-06-06 00:00:00',4,1,12,2009,'F','N','JD CHAPADÃO','CAMPINAS','SP','125252251217573451468811575122142868057',NULL,'9998',0.00,1,3,NULL),(28,7199554,'1991-07-13 00:00:00',4,8,12,2008,'M','N','BOM RETIRO','JOINVILLE','SC','124241246217171431534511415122610167042',NULL,'1006',0.00,1,3,NULL),(28,7199589,'1992-01-05 00:00:00',4,1,12,2010,'M','N','BELA VISTA','PALHOÇA','SC','124241241136151431425419375114610168172',13069,'322',41.13,1,2,1),(28,7199597,'1982-09-30 00:00:00',4,1,12,1999,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124243241122132411326644445124121422097',NULL,'307',35.39,1,3,NULL),(28,7199600,'1993-03-13 00:00:00',4,1,12,2011,'M','N','AREIAS DE CIMA','BIGUAÇU','SC','124241248117371431335512575124610137012',20113,'64',25.88,4,2,1),(28,7199619,'1994-04-08 00:00:00',2,1,12,2011,'F','N','ALTO BIGUAÇU','BIGUAÇU','SC','124241248117112731333435152124610124142',NULL,'21',24.47,1,2,1),(28,7199627,'1994-07-22 00:00:00',2,9,12,2011,'F','N','SANTA RITA','LAGES','SC','124241241115371731213377572325610124057',NULL,'935',20.52,1,3,NULL),(28,7199635,'1993-12-18 00:00:00',2,1,12,2010,'F','N','CENTRO','PAULO LOPES','SC','124241241222372421524337315224610163192',14835,'262',35.92,1,3,NULL),(28,7199643,'1982-04-10 00:00:00',4,25,12,2003,'M','N','CENTRO','STA MARIA','RS','120241241116152441523339495124241066187',NULL,'123',0.00,2,3,NULL),(28,7199651,'1993-03-17 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431468812575122610127032',NULL,'1169',18.53,1,3,NULL),(28,7199660,'1994-11-02 00:00:00',2,10,12,2011,'F','N','VILA NOVA','IMBITUBA','SC','124241241115371431432324575122610161197',NULL,'1034',22.98,1,2,1),(28,7199678,'1988-11-21 00:00:00',2,1,12,2006,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241117371421623314445133610123147',NULL,'727',0.00,4,2,1),(28,7199686,'1994-01-04 00:00:00',4,1,12,2011,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241215111431636833342124610137197',14549,'1223',38.18,1,3,NULL),(28,7199694,'1995-02-10 00:00:00',2,1,12,2011,'F','N','PASSA VINTE','PALHOÇA','SC','124241241112371411323813272234610146147',9140,'592',48.40,1,2,1),(28,7199708,'1986-10-17 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124131137133374411425524282321142266177',5287,'9998',55.74,4,1,1),(28,7199716,'1994-04-28 00:00:00',2,4,12,2011,'F','N','CENTRO','MARIÓPOLIS','PR','116161161116261421348933575122610124142',NULL,'9998',35.40,1,2,1),(28,7199724,'1990-01-08 00:00:00',2,15,11,2007,'F','N','CENTRO','TURVO','SC','124241241116133421123444445121610142187',14796,'250',36.13,1,2,1),(28,7199732,'1994-10-07 00:00:00',4,6,12,2011,'M','N','CENTRO','ITAJAÍ','SC','124244241235121411245614345121610142192',NULL,'388',28.83,1,3,NULL),(28,7199740,'1994-01-06 00:00:00',2,8,12,2011,'M','N','FLORESTA','JOINVILLE','SC','124241241215131731438414575121610127057',NULL,'1006',26.94,1,3,NULL),(28,7199767,'1994-11-05 00:00:00',4,1,10,2011,'M','N','JARDIM SÃO SIMAS','S JOSÉ CAMPOS','SP','116224251215121531258611175325610126042',3666,'9998',58.61,1,3,NULL),(28,7199775,'1987-04-05 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161117141422536413485122333232042',10550,'9998',52.84,1,3,NULL),(28,7199791,'1988-09-19 00:00:00',4,1,12,2005,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117232541423321345124132312182',NULL,'359',0.00,1,3,NULL),(28,7199805,'1995-02-10 00:00:00',2,1,12,2011,'F','N','PASSA VINTE','PALHOÇA','SC','124241241112371411323823272234610146147',9757,'592',48.49,1,2,1),(28,7199813,'1984-07-17 00:00:00',4,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241122132131225354185114610164057',20042,'736',27.43,1,2,1),(28,7199821,'1974-09-09 00:00:00',2,1,8,2004,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','524241247132131431631349192124132724047',NULL,'9999',26.20,2,1,1),(28,7199848,'1959-05-27 00:00:00',4,1,12,1977,'M','N','ABRAAO','FLORIANÓPOLIS','SC','224251251317131711434649495112340367047',NULL,'9998',22.92,1,3,NULL),(28,7199856,'1983-03-16 00:00:00',2,23,12,2003,'M','N','JARAGUA ESQUERDO','JARAGUÁ SUL','SC','124241247326131421123344145311610147187',NULL,'9999',18.39,1,3,NULL),(28,7199864,'1994-08-13 00:00:00',2,10,12,2011,'M','N','CENTRO','GRAVATAL','SC','124241241136471431526839295124610122057',11714,'331',44.31,1,2,1),(28,7199872,'1978-04-04 00:00:00',4,1,12,1997,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241231143421647519331124221724111',NULL,'269',0.00,1,3,NULL),(28,7199899,'1984-08-31 00:00:00',4,1,12,2004,'M','N','CENTRO','S BERNARDO CAMPO','SP','125252251217573412487732345122140261093',NULL,'9998',0.00,1,3,NULL),(28,7199902,'1985-09-24 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241136574731226544245334130866147',NULL,'21',0.00,1,2,1),(28,7199910,'1988-05-12 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241212142421438822475121220214047',15186,'497',45.25,1,3,NULL),(28,7199937,'1992-07-07 00:00:00',2,1,12,2010,'M','N','PRIMEIRO DE MAIO','SERTÃOZINHO','SP','125254251216471431437731572114610122092',5059,'9998',55.55,4,3,NULL),(28,7199953,'1993-03-17 00:00:00',2,1,12,2010,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241116372431445514344124610147042',5799,'307',53.84,1,2,1),(28,7199988,'1972-10-26 00:00:00',2,1,11,1993,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241248122471431323349492334610164043',NULL,'594',28.10,1,3,NULL),(28,7199996,'1994-09-14 00:00:00',4,4,12,2011,'F','N','CRISTO REI','CHAPECÓ','SC','124241241145131411536314295122610134057',NULL,'916',0.00,1,2,1),(28,7200005,'1992-11-20 00:00:00',2,1,12,2009,'F','N','SANTA RITA','PAULO LOPES','SC','124241241225272431623318345334610122187',9135,'9997',48.62,1,3,NULL),(28,7200013,'1986-12-30 00:00:00',2,1,12,2009,'F','N','PACHECOS','PALHOÇA','SC','124241241127131221213544345124233224057',NULL,'593',0.00,1,2,1),(28,7200021,'1993-07-28 00:00:00',2,15,12,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124241241115131531425524575124610123147',NULL,'29',21.24,1,2,1),(28,7200048,'1989-03-24 00:00:00',4,1,12,2006,'M','N','JEREISSATI','MARACANAÚ','CE','106061061116133451524319495331610164097',10452,'9998',46.31,4,1,1),(28,7200056,'1987-09-21 00:00:00',2,1,12,2004,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','524201201121141731226644245124141227037',NULL,'9998',35.76,1,2,1),(28,7200080,'1983-07-24 00:00:00',2,1,12,2006,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124251247126132431128444145123122217042',NULL,'9999',0.00,2,1,1),(28,7200102,'1993-11-29 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116472451433411395124610124147',10211,'287',47.09,1,2,1),(28,7200110,'1991-12-19 00:00:00',2,1,11,2010,'F','N','BOA VISTA','CURITIBA','PR','116163161317471431547823342124143222186',NULL,'9998',0.00,1,3,NULL),(28,7200129,'1976-03-02 00:00:00',2,1,10,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224241247112132711536659591314610168072',NULL,'9999',0.00,1,2,1),(28,7200145,'1994-05-11 00:00:00',4,24,12,2011,'M','N','RIBEIRÃO MATILDE','ATALANTA','SC','124241241145271431414415175124610127147',10186,'416',44.61,1,2,1),(28,7200153,'1991-02-21 00:00:00',2,1,11,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241126371431123344345124610121181',NULL,'1053',0.00,1,2,1),(28,7200161,'1994-02-15 00:00:00',2,23,12,2011,'M','N','SCHRAMM','S BENTO SUL','SC','124241241116311431427624595124610137032',15785,'697',36.61,1,2,1),(28,7200170,'1993-11-17 00:00:00',2,10,12,2011,'F','N','MAGALHAES','LAGUNA','SC','124243241225161431433319395124610121031',NULL,'524',25.88,1,3,NULL),(28,7200188,'1993-05-23 00:00:00',2,1,7,2011,'F','N','CAMPO DE DEMONSTRAÇÂ','S PEDRO ALCÂNTARA','SC','124241241117372431424334575124610122142',3293,'739',60.97,1,2,1),(28,7200200,'1993-04-12 00:00:00',2,1,12,2011,'M','N','PASSA VINTE','PALHOÇA','SC','124241241146141411123639245124610168117',7820,'592',52.07,1,2,1),(28,7200226,'1995-05-19 00:00:00',2,4,12,2011,'F','N','TRÊS FRONTEIRAS','DIONÍSIO CERQUEIRA','SC','124241161116371231437833115122610134147',5776,'9998',53.78,1,2,1),(28,7200234,'1994-02-05 00:00:00',4,8,12,2011,'M','N','BOA VISTA','JOINVILLE','SC','124243246215141331537711246124610126042',16970,'494',31.43,1,3,NULL),(28,7200242,'1993-11-11 00:00:00',4,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124241241115271411526714572122610167182',18994,'730',35.35,1,2,1),(28,7200277,'1992-06-05 00:00:00',2,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241112473431526521372124610136197',5686,'281',56.95,4,2,1),(28,7200285,'1994-08-23 00:00:00',2,16,12,2011,'F','N','CENTRO','S CRISTÓVÃO SUL','SC','124241248121471411224429375124610117142',NULL,'705',15.06,1,3,NULL),(28,7200293,'1994-05-28 00:00:00',2,1,12,2011,'F','N','VARGEM DO BRAÇO','STO AMARO IMPERATRIZ','SC','124241241116371432426455575114610167042',8257,'772',50.59,1,2,1),(28,7200307,'1994-10-20 00:00:00',4,1,12,2011,'F','N','GOIABEIRAS','CUIABÁ','MT','111112118215111711488921585122610138186',NULL,'1197',0.00,4,1,2),(28,7200315,'1994-04-25 00:00:00',4,24,12,2011,'F','N','SERRA CANOAS','RIO SUL','SC','124241241115371431433316136124610167052',NULL,'659',0.00,1,2,1),(28,7200323,'1994-08-07 00:00:00',2,15,12,2011,'F','N','BOA VISTA','MELEIRO','SC','124241241115111731423335572222233228147',NULL,'559',23.40,1,2,1),(28,7200358,'1986-12-15 00:00:00',2,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624201201147153431226449295125140466187',9084,'9998',49.47,1,2,1),(28,7200366,'1994-03-31 00:00:00',2,15,12,2011,'F','N','SÃO JORGE','TORRES','RS','120201201111231741422211571124610127042',16166,'9998',33.88,3,2,1),(28,7200390,'1993-08-24 00:00:00',4,1,12,2010,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241215473431365512575124610166122',1104,'1022',70.47,1,3,NULL),(28,7200404,'1993-06-01 00:00:00',2,17,12,2011,'M','N','PASSO','MAFRA','SC','124243161216141431436612495122610137047',NULL,'9998',27.68,1,3,NULL),(28,7200412,'1993-10-10 00:00:00',2,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241126372731635311385124610127097',NULL,'282',32.47,1,2,1),(28,7200420,'1993-06-04 00:00:00',2,1,12,2010,'F','N','VILA SINHA','S JOSÉ CAMPOS','SP','125254251215471331446823571122610153147',10756,'9998',44.81,1,3,NULL),(28,7200447,'1987-04-02 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216133411555934375123521764077',NULL,'317',18.53,1,3,NULL),(28,7200455,'1993-03-27 00:00:00',4,8,12,2010,'M','N','BIGORRILHO','CURITIBA','PR','116161161111131431648414112121610165187',NULL,'9998',24.78,4,2,1),(28,7200463,'1993-06-20 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241116472432425614345124240827097',15621,'591',35.82,4,2,1),(28,7200471,'1993-05-10 00:00:00',4,8,12,2010,'F','N','SÃO JOÃO','CURITIBA','PR','116162161215572431458914575122610136092',NULL,'9998',0.00,1,3,NULL),(28,7200480,'1991-11-06 00:00:00',4,8,12,2009,'M','N','JARDIM PAULISTA','JUNQUEIRÓPOLIS','SP','125251251117572431337634375112610162054',9381,'9998',47.95,2,1,1),(28,7200498,'1992-06-25 00:00:00',2,1,12,2010,'F','N','VILA ELZA','GUAÍBA','RS','120201201112371431426319382324610167092',NULL,'9998',28.29,1,2,1),(28,7200501,'1994-02-10 00:00:00',2,1,12,2011,'M','N','FORQUILHINHAS','S JOSÉ','SC','124091241115272231426614575224610117042',17365,'733',40.62,1,2,1),(28,7200528,'1985-09-13 00:00:00',2,22,12,2003,'F','N','LIMOEIRO','BRUSQUE','SC','124241241112131421222644242333130256141',NULL,'116',16.76,1,2,1),(28,7200544,'1992-09-22 00:00:00',2,4,12,2009,'M','N','JARDIM AMERICA','CHAPECÓ','SC','124243241116571431353839575125610167057',9185,'169',48.65,1,3,NULL),(28,7200579,'1994-03-02 00:00:00',2,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241137111731423339245124610114172',NULL,'278',28.58,1,3,NULL),(28,7200587,'1994-08-01 00:00:00',4,1,12,2011,'F','N','JD NSA SRA APARECIDA','S PAULO','SP','125254251117471411326617571224610122152',11980,'9998',40.86,4,3,NULL),(28,7200595,'1991-05-07 00:00:00',2,5,12,2008,'F','N','BARRO VERMELHO','ORLEANS','SC','124241241116473431336632275122230462142',14246,'580',47.03,1,2,1),(28,7200609,'1984-03-22 00:00:00',4,1,11,2001,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124162161216272721256649495133340717052',8967,'9998',55.48,4,3,NULL),(28,7200625,'1994-04-12 00:00:00',2,1,12,2011,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','124241241115371451423621572224610137152',17398,'592',32.56,1,2,1),(28,7200633,'1994-08-21 00:00:00',2,16,12,2011,'F','N','SÃO LUIZ','CURITIBANOS','SC','124241241114471431426614245124610123142',NULL,'239',21.89,1,2,1),(28,7200641,'1993-07-20 00:00:00',4,1,12,2010,'M','N','FUNDO CANOAS','RIO SUL','SC','124242241215152431439933571124221924042',16617,'959',42.39,1,3,NULL),(28,7200650,'1993-08-24 00:00:00',2,26,11,2010,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116142161216312331465832475122610126067',15310,'633',45.01,1,3,NULL),(28,7200684,'1991-11-04 00:00:00',4,1,12,2008,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124202241215374431337811376114131264047',6216,'1022',53.81,1,3,NULL),(28,7200692,'1994-07-13 00:00:00',2,1,12,2011,'M','N','JARDIM ANÁPOLIS','BIGUAÇU','SC','124241241117271431526511575224610137057',1963,'739',65.52,1,2,1),(28,7200706,'1993-08-21 00:00:00',4,9,12,2010,'M','N','BEATRIZ','LAGES','SC','124243241215472431668713575111131437182',777,'1065',70.09,1,3,NULL),(28,7200722,'1990-08-25 00:00:00',2,1,2,2006,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124141141126212221234641245114610114042',19859,'9998',29.76,4,2,1),(28,7200730,'1991-10-12 00:00:00',4,1,12,2008,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241215132211447727475124221425185',8185,'270',56.82,1,3,NULL),(28,7200749,'1992-03-17 00:00:00',2,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241135311431423813135124610133097',17466,'307',35.24,1,2,1),(28,7200757,'1993-01-30 00:00:00',4,10,11,2010,'M','N','CENTRO','TUBARÃO','SC','124242241215472531469613475112610132017',5468,'807',61.54,1,3,NULL),(28,7200765,'1991-07-25 00:00:00',4,1,11,2008,'F','N','CASCATA','MARÍLIA','SP','125254251215571411449911572122610147012',NULL,'9998',0.00,1,3,NULL),(28,7200773,'1994-01-16 00:00:00',2,10,12,2011,'F','N','MORROTES','TUBARÃO','SC','124241241115471431448819472124610138197',8115,'1034',49.10,1,2,1),(28,7200790,'1994-08-12 00:00:00',4,6,11,2011,'F','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125251258246141431457613235124610167152',NULL,'9998',18.74,1,3,NULL),(28,7200811,'1990-07-05 00:00:00',2,1,12,2007,'F','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124241241116132731443613285114610116194',16164,'65',43.40,1,3,NULL),(28,7200820,'1986-11-20 00:00:00',4,1,12,2004,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116113731226912445134223268147',NULL,'362',0.00,2,1,1),(28,7200846,'1995-02-07 00:00:00',4,1,12,2011,'F','N','FAZENDA DO SACRA','ÁGUAS MORNAS','SC','124241241127141731316329242221610133197',NULL,'12',18.74,1,2,1),(28,7200854,'1993-09-08 00:00:00',4,23,12,2011,'F','N','DONA FRANCISCA','S BENTO SUL','SC','124241241117131231423416173324610124097',18296,'693',37.97,1,2,1),(28,7200862,'1992-12-17 00:00:00',2,1,12,2009,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241117574431323418285114610166057',7629,'772',50.12,4,2,1),(28,7200870,'1993-01-13 00:00:00',2,9,12,2009,'F','N','SÃO LUIZ','LAGES','SC','124241241116572431538413375114610122142',10751,'935',52.51,1,2,1),(28,7200889,'1994-10-30 00:00:00',4,17,12,2011,'F','N','SANTA MONICA','PAPANDUVA','SC','124241241115371321523319572224610141147',NULL,'603',23.50,1,2,1),(28,7200897,'1995-06-03 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116161431336912215111610168057',NULL,'356',27.18,2,1,1),(28,7200900,'1989-10-28 00:00:00',2,1,6,2007,'M','N','CAICARA','BIRIGÜI','SP','125251248212222231548711571125140212042',NULL,'9999',0.00,4,3,NULL),(28,7200919,'1994-01-13 00:00:00',4,10,12,2011,'M','N','DEHON','TUBARÃO','SC','124242241217211441568934345122610164112',9606,'806',54.36,1,3,NULL),(28,7200927,'1994-03-15 00:00:00',4,8,11,2011,'M','N','REC QUART CENTENÁRIO','JUNDIAÍ','SP','125242251215111431368814575122610134042',14381,'9998',37.14,1,3,NULL),(28,7200935,'1991-10-03 00:00:00',2,10,12,2008,'F','N','SANTO ANTONIO','TUBARÃO','SC','124242241215133731436412572123231561067',17675,'797',39.79,1,3,NULL),(28,7200943,'1994-02-22 00:00:00',2,1,7,2011,'F','N','SANTOS DUMONTT','S JOSÉ','SC','124244241117372421448313575114610154042',5286,'739',56.28,1,3,NULL),(28,7200951,'1992-02-04 00:00:00',2,1,12,2010,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241116272431635621575124121426062',9320,'733',48.08,2,1,1),(28,7200978,'1981-10-08 00:00:00',4,1,12,2000,'M','N','PICADAS DO SUL','S JOSÉ','SC','124163171136151421128844445132133218127',NULL,'9998',34.56,1,3,NULL),(28,7200986,'1992-03-02 00:00:00',2,1,12,2011,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241225131421523319294124610166082',15137,'262',36.59,1,3,NULL),(28,7201001,'1994-10-28 00:00:00',4,1,12,2011,'F','N','PAGARÁ','STO AMARO IMPERATRIZ','SC','124241241136371431421214582223610168057',15971,'772',36.46,1,2,1),(28,7201010,'1994-05-03 00:00:00',2,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127371431526714575124610167052',NULL,'307',31.46,1,2,1),(28,7201036,'1993-01-28 00:00:00',2,1,12,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241212412431538613575114133227052',10334,'272',45.69,1,3,NULL),(28,7201044,'1990-09-21 00:00:00',4,1,12,2007,'F','N','ENCRUZILHADA','BIGUAÇU','SC','124241241112371431325614475114610162142',8157,'65',56.86,1,2,1),(28,7201052,'1995-02-07 00:00:00',4,1,12,2011,'M','N','PASSA VINTE','PALHOÇA','SC','124242241116371431446811575114610134141',6898,'739',53.11,1,3,NULL),(28,7201060,'1992-10-27 00:00:00',2,1,12,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241116131531443314445214610126147',15884,'592',33.87,2,1,1),(28,7201079,'1991-03-14 00:00:00',4,10,12,2008,'F','N','SÃO JOSE','ARMAZÉM','SC','124241241126371421424335235333610124077',18351,'34',37.78,1,2,1),(28,7201087,'1989-12-19 00:00:00',2,4,12,2006,'M','N','INTERIOR','QUILOMBO','SC','124241241146272421423435475123233237067',NULL,'648',25.70,1,3,NULL),(28,7201095,'1987-12-12 00:00:00',4,1,12,2008,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241146131641323314245124610144047',NULL,'13',0.00,1,2,1),(28,7201117,'1994-03-24 00:00:00',4,1,11,2011,'F','N','CENTRO DE PALHOÇA','PALHOÇA','SC','124241241225131431224427274124610143027',15967,'262',33.96,1,3,NULL),(28,7201150,'1991-01-22 00:00:00',4,1,12,2008,'M','N','ROCADO','S JOSÉ','SC','124241241116372431215429485124610124177',17640,'729',39.91,1,2,1),(28,7201168,'1988-01-19 00:00:00',4,1,12,2005,'F','N','JUVEVÊ','CURITIBA','PR','116161161316274451449613271124241363092',6772,'9998',51.57,4,1,2),(28,7201176,'1993-08-04 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241116472431246654575124610138092',NULL,'307',21.85,1,2,1),(28,7201184,'1992-11-16 00:00:00',4,1,12,2009,'F','N','VILA VIRGINIA','RIBEIRÃO PRETO','SP','125251251117151431448814375122610168077',4599,'9998',55.08,1,2,1),(28,7201192,'1991-11-22 00:00:00',2,1,12,2009,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241115132431323324345124610126147',17807,'1248',39.45,4,2,1),(28,7201206,'1993-04-02 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124251241134131411628711112114610124092',NULL,'1248',0.00,1,3,NULL),(28,7201214,'1993-04-17 00:00:00',4,1,12,2011,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241115271731516631574324610123027',15960,'307',37.30,1,2,1),(28,7201230,'1991-10-21 00:00:00',4,15,12,2008,'F','N','LAGOAO','ARARANGUÁ','SC','124241241116374431226314245123610137057',NULL,'30',26.34,1,3,NULL),(28,7201257,'1990-05-16 00:00:00',2,8,12,2007,'M','N','SAGUAÇU','JOINVILLE','SC','124242241212152431537611321135131427135',15920,'1105',43.84,1,3,NULL),(28,7201265,'1987-01-24 00:00:00',2,10,8,2006,'F','N','VILA NOVA','IMBITUBA','SC','624241241135371431424419485122132834197',NULL,'9999',23.16,1,3,NULL),(28,7201273,'1992-02-10 00:00:00',4,4,12,2009,'F','N','CENTRO','XANXERÊ','SC','124242241216572431579833572112610127142',NULL,'270',0.00,1,3,NULL),(28,7201281,'1993-12-28 00:00:00',4,1,12,2011,'M','N','SALGADO FILHO','MARÍLIA','SP','125252251217111431548834275112610167047',11711,'9998',50.98,1,3,NULL),(28,7201290,'1989-08-23 00:00:00',2,1,12,2007,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241117471751434319182114610125052',11265,'288',44.99,1,2,1),(28,7201303,'1994-07-17 00:00:00',4,8,12,2011,'M','N','BOA VISTA','JOINVILLE','SC','124242241215371411466411595121610114147',11965,'1105',50.59,1,3,NULL),(28,7201320,'1978-05-10 00:00:00',4,1,12,1995,'F','N','JD SANTO ONOFRE','TABOÃO SERRA','SP','125251251117231221555413345132140222187',NULL,'9998',32.06,1,2,1),(28,7201338,'1994-08-22 00:00:00',4,15,12,2011,'F','N','LAGOA DO CAVERÁ','ARARANGUÁ','SC','124241241117131432514328391334610167187',19727,'852',30.88,1,2,1),(28,7201346,'1994-09-17 00:00:00',4,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127131711226824241124610112092',NULL,'274',19.99,4,2,1),(28,7201354,'1994-12-04 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241248112472531423511572114610138192',NULL,'285',25.72,4,3,NULL),(28,7201362,'1976-08-12 00:00:00',2,1,12,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224241247127472431316354195224610124141',NULL,'9999',39.42,2,1,1),(28,7201370,'1993-08-29 00:00:00',4,1,12,2010,'M','N','MACHADINHO','AMERICANA','SP','125251251426411411436614245124610132097',NULL,'9998',26.75,4,3,NULL),(28,7201400,'1988-11-10 00:00:00',4,1,12,2006,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124201201146131711125644442334141042144',NULL,'9998',23.83,1,3,NULL),(28,7201427,'1970-07-28 00:00:00',2,27,12,2011,'F','N','PROGRESSO','S MIGUEL OESTE','SC','524244241146171711412279181124610126197',15032,'9997',39.10,1,3,NULL),(28,7201435,'1994-11-08 00:00:00',4,17,11,2011,'F','N','TRICOLIN','CANOINHAS','SC','124243241215111431559713575122610126072',16783,'154',42.02,4,3,NULL),(28,7201443,'1992-05-22 00:00:00',2,1,7,2011,'M','N','BARREIROS','S JOSÉ','SC','124243241115142431113944345334610124042',12913,'739',41.46,1,3,NULL),(28,7201451,'1993-05-31 00:00:00',4,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241243117371431426611571124610128192',10051,'306',46.42,1,2,1),(28,7201460,'1993-03-07 00:00:00',4,1,12,2010,'M','N','VILA NOVA ALVORADA','IMBITUBA','SC','124243241432272411436913342122230422015',5264,'1161',54.49,1,3,NULL),(28,7201494,'1994-08-20 00:00:00',4,1,12,2011,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241116131411436314245124610112141',16933,'1097',33.29,4,2,1),(28,7201508,'1994-05-09 00:00:00',6,1,12,2011,'F','N','APARECIDA','SANTOS','SP','125252251217121431448814575124610136091',18156,'9998',34.97,1,3,NULL),(28,7201516,'1971-10-04 00:00:00',4,1,3,1993,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242246116132141238843432133610164034',NULL,'306',0.00,1,3,NULL),(28,7201524,'1993-09-13 00:00:00',4,15,12,2010,'M','N','JARDIM CIBELI','ARARANGUÁ','SC','124243241115272431423314595124242968097',8573,'30',47.34,1,3,NULL),(28,7201540,'1991-06-22 00:00:00',2,8,12,2008,'M','N','CENTRO','JABOTI','PR','116161161215571441457933585122610162047',NULL,'9998',0.00,2,3,NULL),(28,7201559,'1993-10-29 00:00:00',4,4,12,2010,'M','N','CATARINA FONTANA','CONCÓRDIA','SC','124241241216472431438434345122610164042',4116,'1001',59.04,1,3,NULL),(28,7201567,'1992-09-29 00:00:00',4,1,12,2009,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241117153431326619385114610136045',NULL,'329',0.00,1,2,1),(28,7201575,'1991-09-01 00:00:00',4,3,12,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161215571431558933575122610122181',NULL,'9998',0.00,1,3,NULL),(28,7201583,'1989-05-04 00:00:00',4,16,12,2006,'F','N','BOM JESUS','CURITIBANOS','SC','624241241116241451223359442122610168147',19590,'239',32.11,1,2,1),(28,7201591,'1992-04-11 00:00:00',2,15,12,2008,'F','N','SÃO PEREGRINO','TURVO','SC','124241248117132431334616292212610168145',19868,'814',29.70,1,3,NULL),(28,7201613,'1994-08-31 00:00:00',4,1,12,2011,'F','N','LOEFFELSCHEIDT','ÁGUAS MORNAS','SC','124241241117131731413415576224610126057',NULL,'978',20.62,1,2,1),(28,7201621,'1993-12-02 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241225111431425619575124610127142',12269,'262',40.72,1,3,NULL),(28,7201630,'1994-08-18 00:00:00',4,8,12,2011,'F','N','CENTRO','CURITIBA','PR','116164161215121431456613575112610132147',2987,'9998',59.93,1,3,NULL),(28,7201648,'1994-03-20 00:00:00',2,5,12,2011,'M','N','CENTRO','URUSSANGA','SC','124241241116371431323631574124610131147',14296,'821',37.80,1,3,NULL),(28,7201656,'1994-07-22 00:00:00',4,8,12,2011,'M','N','AMÉRICA','JOINVILLE','SC','124242241217111431567812372112610147117',1005,'1063',68.48,1,3,NULL),(28,7201664,'1989-04-05 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124201204117372411536622445124610165092',NULL,'9998',20.94,1,2,1),(28,7201680,'1994-02-06 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241112231331124749572124610122147',NULL,'307',22.03,1,2,1),(28,7201699,'1987-12-26 00:00:00',2,1,12,2003,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241146372431223373285113610127147',16843,'757',33.55,1,2,1),(28,7201702,'1989-01-08 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124123121312425231221421211122220233021',2776,'9998',65.27,1,3,NULL),(28,7201729,'1995-09-12 00:00:00',4,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241111371442423514592124610166177',5028,'1248',56.16,1,2,1),(28,7201737,'1990-11-03 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241127131431124144345114610133187',NULL,'595',20.35,1,2,1),(28,7201745,'1979-10-13 00:00:00',4,1,7,2000,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224243247341144421268821285124333266191',NULL,'9999',0.00,4,3,NULL),(28,7201753,'1993-06-22 00:00:00',2,1,12,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241216371731445312275124610126192',15809,'1074',37.30,1,3,NULL),(28,7201770,'1989-01-21 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241251116141732628711395124610128147',NULL,'9998',0.00,1,3,NULL),(28,7201788,'1993-09-13 00:00:00',4,1,11,2010,'F','N','CENTRO','VIDEIRA','SC','124244241215472751459962575114610166177',6686,'969',59.39,1,3,NULL),(28,7201796,'1994-10-06 00:00:00',6,15,12,2011,'F','N','JARDIM CIBELI','ARARANGUÁ','SC','124241245134141731513621235123610128141',18371,'30',31.39,1,3,NULL),(28,7201800,'1991-12-11 00:00:00',4,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241137472411427719485324610124092',16287,'9997',39.06,1,3,NULL),(28,7201818,'1992-10-20 00:00:00',4,1,12,2009,'M','N','SANTANA','RIO SUL','SC','124242241215574751469512575124610164187',486,'991',72.95,1,3,NULL),(28,7201826,'1993-03-03 00:00:00',2,17,12,2010,'F','N','CENTRO','MAJ VIEIRA','SC','124241241137371431426623382124610127057',NULL,'548',0.00,1,2,1),(28,7201834,'1994-08-08 00:00:00',4,8,12,2011,'M','N','JARDIM HANTSCHEL','RIO NEGRINHO','SC','124241241135141732536319242131610167052',NULL,'669',0.00,1,2,1),(28,7201877,'1991-05-19 00:00:00',4,1,12,2008,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241116141131533335345124630117042',18939,'21',35.52,1,2,1),(28,7201885,'1984-06-12 00:00:00',4,1,12,2004,'F','N','ENCANTADA','GAROPABA','SC','124241241122274431423319292124610126143',NULL,'322',22.99,1,2,1),(28,7201893,'1991-06-06 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215575431348831475124131444022',740,'270',71.46,4,3,NULL),(28,7201907,'1994-08-21 00:00:00',4,1,12,2011,'M','N','SANTA TEREZA','S PEDRO ALCÂNTARA','SC','124241241117471431453613575114610162145',8720,'307',51.53,1,2,1),(28,7201923,'1995-02-05 00:00:00',4,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124243241126131411326624245124610114177',2900,'1116',58.80,1,3,NULL),(28,7201931,'1994-08-22 00:00:00',4,27,12,2011,'F','N','SÃO LUIS','S MIGUEL OESTE','SC','124241241115131431325369376124610125147',NULL,'754',32.36,1,2,1),(28,7201940,'1994-07-11 00:00:00',2,1,12,2011,'F','N','NOSSA SENHORA DO ROS','S JOSÉ','SC','124243241114471731345623275124610162142',7059,'729',53.58,1,3,NULL),(28,7201958,'1994-04-29 00:00:00',4,1,12,2011,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124241241117471441457613475123610121037',9087,'287',47.50,1,2,1),(28,7201966,'1992-03-04 00:00:00',4,1,12,2010,'M','N','PARQUE DAS AMÉRICAS','UBERABA','MG','113132137217111431328812295222140324057',16728,'9998',31.56,1,3,NULL),(28,7201982,'1993-06-02 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241417132441427713585124610137092',17911,'1022',39.18,1,3,NULL),(28,7202016,'1994-04-23 00:00:00',4,8,12,2011,'F','N','PE BERNARDO MERCKE','ARAPONGAS','PR','116162161217111431457929575122610122142',5745,'9998',54.15,1,3,NULL),(28,7202024,'1977-11-10 00:00:00',4,1,12,1994,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224252258216172721268842495131320664095',NULL,'9998',0.00,1,3,NULL),(28,7202032,'1994-12-07 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124244241415111731489933575112610123142',NULL,'266',60.28,1,3,NULL),(28,7202040,'1992-11-22 00:00:00',4,1,12,2009,'M','N','CHAMPAGNE','GARIBALDI','RS','120201201117473711648812345115610128193',4693,'9998',59.94,1,2,1),(28,7202075,'1994-02-10 00:00:00',4,1,12,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241225131431327628285124610162012',3749,'262',55.96,4,3,NULL),(28,7202083,'1994-03-12 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241126131611423519475124610117042',NULL,'291',14.44,1,2,1),(28,7202091,'1983-11-11 00:00:00',2,1,12,2000,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','224201201116131431225554445124610132187',14716,'9998',37.06,1,2,1),(28,7202105,'1993-12-27 00:00:00',4,1,12,2010,'F','N','CENTRO','LONDRINA','PR','116162161215471431459913471122610144142',NULL,'9998',0.00,1,3,NULL),(28,7202113,'1993-11-28 00:00:00',4,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241115271431327424575124610137047',16249,'289',34.38,2,1,1),(28,7202130,'1994-11-30 00:00:00',2,24,11,2011,'F','N','JARDIM AMÉRICA','RIO SUL','SC','124242241215371731348632245122610126182',13198,'653',48.70,1,3,NULL),(28,7202148,'1990-02-08 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117374731636618185114610114187',6107,'288',56.13,1,2,1),(28,7202156,'1992-02-03 00:00:00',2,1,12,2010,'F','N','JD JANAINA','BIGUAÇU','SC','124243247247152712234474345123130854013',NULL,'9999',20.81,1,3,NULL),(28,7202164,'1994-03-28 00:00:00',4,4,12,2011,'M','N','CENTRO','CUNHA PORÃ','SC','124241241115271231436632245122610164187',NULL,'234',0.00,1,3,NULL),(28,7202172,'1993-01-12 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124242241415573711279813575122610164117',12533,'512',49.73,1,3,NULL),(28,7202180,'1990-02-18 00:00:00',4,1,12,2006,'M','N','BELA VISTA III','S JOSÉ','SC','224241241116243421236641312132610117042',NULL,'734',26.98,1,2,1),(28,7202199,'1989-02-09 00:00:00',2,1,10,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124071247216151411436613445114610166147',NULL,'977',34.23,1,3,NULL),(28,7202210,'1993-03-16 00:00:00',2,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241221111532423539245134610133143',NULL,'262',21.00,1,3,NULL),(28,7202229,'1994-05-07 00:00:00',4,1,12,2011,'F','N','ROÇADO','S JOSÉ','SC','124241241115271431425314345124610115143',14710,'729',39.61,2,1,1),(28,7202237,'1994-01-24 00:00:00',2,15,12,2010,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241116272421331321215122610166062',9055,'29',46.86,1,2,1),(28,7202245,'1994-01-10 00:00:00',2,4,12,2010,'F','N','AMADORI','PATO BRANCO','PR','116162161216371411423519345112610164092',NULL,'9998',0.00,1,3,NULL),(28,7202253,'1993-04-26 00:00:00',4,4,12,2009,'F','N','CENTRO','PALMITOS','SC','124244241215573431455933575124143162172',3618,'1193',59.87,1,3,NULL),(28,7202270,'1994-05-07 00:00:00',2,1,11,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241116371431325314573124610122192',14398,'298',39.71,1,2,1),(28,7202288,'1993-09-17 00:00:00',4,1,12,2011,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241125111421324411585124610127147',15178,'262',34.72,1,3,NULL),(28,7202300,'1987-04-10 00:00:00',2,1,12,2004,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116373431223444345124230234117',17148,'281',41.16,1,2,1),(28,7202318,'1992-03-07 00:00:00',2,1,12,2009,'F','N','PRAIA DO FORTE','FLORIANÓPOLIS','SC','124241241116373431425523245124610123143',16699,'295',34.28,1,2,1),(28,7202326,'1994-08-27 00:00:00',4,1,12,2011,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241225111451226624575124610137147',16501,'262',34.26,1,3,NULL),(28,7202334,'1992-02-02 00:00:00',2,10,12,2009,'F','N','PORTINHO','LAGUNA','SC','124201201115371431326624285124610131147',NULL,'9998',0.00,1,3,NULL),(28,7202342,'1994-05-09 00:00:00',2,1,12,2011,'M','N','CAMPO D UNA','GAROPABA','SC','124241242116371441526514575224610132091',6777,'129',55.49,1,2,1),(28,7202350,'1995-05-11 00:00:00',2,17,12,2011,'F','N','CENTRO','MTE CASTELO','SC','124241241117131331523819576224610127077',NULL,'566',18.52,1,2,1),(28,7202369,'1991-09-10 00:00:00',4,9,12,2008,'F','N','CENTRO','LAGES','SC','124244241145371431226824375125130267092',12295,'500',40.67,1,3,NULL),(28,7202377,'1994-04-12 00:00:00',4,6,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241137131751344923572122610132177',NULL,'828',26.68,1,2,1),(28,7202385,'1991-03-12 00:00:00',2,4,12,2008,'F','N','CASCATINHA','PTE SERRADA','SC','124241241116575421236429574124610157057',10313,'629',46.79,1,2,1),(28,7202393,'1992-03-26 00:00:00',2,1,12,2010,'F','N','BOA VISTA','BIGUAÇU','SC','124241241142471721623329475122610117047',NULL,'65',16.07,1,3,NULL),(28,7202407,'1983-03-09 00:00:00',3,1,12,2001,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124204208137151721254643335124341417092',7579,'9998',57.82,1,3,NULL),(28,7202415,'1993-12-15 00:00:00',4,1,12,2011,'M','N','JARDIM ZANELATTO','S JOSÉ','SC','124241248116371431433631395124610154052',16044,'1116',33.22,1,2,1),(28,7202423,'1994-12-30 00:00:00',4,1,12,2011,'M','N','VERENA','STA CRUZ SUL','RS','120202201217111431239622575112610137047',NULL,'9998',0.00,1,3,NULL),(28,7202431,'1988-12-13 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241146142441356679345124130764181',19066,'500',35.03,2,1,1),(28,7202440,'1992-08-11 00:00:00',4,1,11,2011,'M','N','JARDIM DAS AMERICAS','CURITIBA','PR','116163161337411731633319491134613267046',NULL,'9999',0.00,4,3,NULL),(28,7202458,'1995-01-09 00:00:00',4,5,12,2011,'F','N','PINHEIRINHO','CRICIÚMA','SC','124241241116271431525311575122610126173',NULL,'216',0.00,1,2,1),(28,7202466,'1994-01-13 00:00:00',2,1,12,2011,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124244241215111431344434385114610123142',15546,'1048',38.56,1,3,NULL),(28,7202474,'1994-09-07 00:00:00',4,1,12,2011,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241115471431447834575124610123182',3773,'295',59.11,1,2,1),(28,7202490,'1994-02-09 00:00:00',2,8,12,2011,'F','N','PARQUE HIPOLYTO','LIMEIRA','SP','125254251116431431438714175124110147097',7517,'9998',49.54,1,3,NULL),(28,7202504,'1993-09-29 00:00:00',4,24,12,2011,'M','N','CENTRO','BRAÇO TROMBUDO','SC','124241241145371431523614575124610124097',NULL,'103',27.84,1,2,1),(28,7202520,'1993-08-17 00:00:00',2,15,12,2010,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241116272731543321212112610167062',16124,'29',35.94,1,2,1),(28,7202539,'1990-07-27 00:00:00',2,3,12,2007,'M','N','SANTA REGINA VI','CAMBORIÚ','SC','124241241115573421323611245233610131142',15462,'49',35.29,1,2,1),(28,7202547,'1991-08-16 00:00:00',4,9,12,2009,'M','N','CENTRO','LAGES','SC','124241241116574431438811575122610167027',3433,'512',60.61,1,2,1),(28,7202555,'1992-09-04 00:00:00',2,8,12,2010,'F','N','MORADA DO SOL','AMERICANA','SP','125251251116431431544414571114610124072',7856,'9998',51.35,4,2,1),(28,7202563,'1990-01-06 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124203201416272441447772275121141027111',14347,'9998',37.64,1,3,NULL),(28,7202571,'1994-06-13 00:00:00',2,1,12,2011,'F','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241126131732222339382314610127072',NULL,'322',17.03,1,2,1),(28,7202580,'1990-10-01 00:00:00',2,10,12,2007,'F','N','PROGRESSO','LAGUNA','SC','124241241122372431216624342344610161077',14976,'522',36.55,1,2,1),(28,7202598,'1988-05-23 00:00:00',2,1,12,2005,'F','N','JARDIM ROBRÚ','S PAULO','SP','125251251116572441333314573324610124147',739,'9998',70.37,1,2,1),(28,7202601,'1993-12-13 00:00:00',4,10,11,2011,'M','N','RIO BONITO','BRAÇO NORTE','SC','124241241316141431425534245124610137052',NULL,'102',28.67,1,3,NULL),(28,7202610,'1994-12-31 00:00:00',4,6,12,2011,'F','N','SANTO ANTONIO','BAL PIÇARRAS','SC','124241241115371331423811185124610116147',19514,'614',32.59,1,2,1),(28,7202628,'1994-11-23 00:00:00',2,1,11,2011,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241317371431433311375122610128197',15603,'63',36.21,1,3,NULL),(28,7202636,'1994-08-03 00:00:00',4,8,11,2011,'M','N','ITAUM','JOINVILLE','SC','124243241212111431446634285124610122093',NULL,'1006',21.32,3,3,NULL),(28,7202644,'1994-11-07 00:00:00',2,9,12,2011,'F','N','CENTRO','S JOAQUIM','SC','124243241316131431526614575122610127092',NULL,'719',21.82,1,3,NULL),(28,7202652,'1994-02-10 00:00:00',2,10,12,2011,'M','N','RIO DOS INDIOS','STA ROSA LIMA','SC','124241241115131732623436165122610134197',NULL,'688',25.55,1,2,1),(28,7202660,'1990-06-25 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124241241112143431334633344114620834065',11948,'257',50.62,2,1,1),(28,7202679,'1994-04-12 00:00:00',4,3,11,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124241248215111431466612382112610127141',13072,'403',41.55,1,3,NULL),(28,7202687,'1992-02-07 00:00:00',4,6,12,2011,'F','N','ARMAÇAO','PENHA','SC','124241241116371331426539395124610124147',NULL,'609',23.09,1,3,NULL),(28,7202695,'1993-05-14 00:00:00',4,1,12,2010,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241215472431338813575122610144117',3336,'270',59.19,1,3,NULL),(28,7202709,'1991-09-11 00:00:00',2,1,12,2008,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241126211421433414385124610123147',19422,'592',33.22,1,2,1),(28,7202733,'1994-08-22 00:00:00',2,1,11,2011,'F','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124241241115271431227529285114610131092',NULL,'733',22.02,1,2,1),(28,7202750,'1974-07-07 00:00:00',2,6,12,2000,'M','N','FAZENDA','ITAJAÍ','SC','124201207126331411153143335122242347182',13885,'9998',39.88,1,3,NULL),(28,7202768,'1993-12-27 00:00:00',4,8,12,2010,'F','N','JUVEVÊ','CURITIBA','PR','116162161215471731489833575112610122032',1653,'9998',65.00,3,3,NULL),(28,7202776,'1994-03-31 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241217411731569613575122610124072',6360,'272',53.12,1,3,NULL),(28,7202784,'1992-11-13 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117132731326421482124230827052',NULL,'287',20.53,1,2,1),(28,7202792,'1994-11-18 00:00:00',4,1,12,2011,'F','N','RIO GRANDE','PALHOÇA','SC','124241241216111411536634475122610123141',18606,'1175',28.61,1,3,NULL),(28,7202806,'1993-04-01 00:00:00',2,8,10,2010,'M','N','CENTRO','LONDRINA','PR','116162251216371731338822425134610137187',10994,'9998',52.14,1,3,NULL),(28,7202814,'1994-06-06 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241214171751348832575124610157012',7129,'883',52.14,1,3,NULL),(28,7202822,'1992-05-13 00:00:00',2,15,12,2009,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241112272751541321242112610167055',19539,'29',26.88,1,2,1),(28,7202849,'1994-03-22 00:00:00',2,1,12,2011,'M','N','BELA VISTA','PALHOÇA','SC','116161168117161421324823395124610166047',14749,'9998',37.07,1,3,NULL),(28,7202857,'1993-01-08 00:00:00',4,7,12,2010,'M','N','CENTRO','CAMPOS NOVOS','SC','124244241215371431446913575124610166012',14299,'138',46.95,1,3,NULL),(28,7202865,'1994-02-01 00:00:00',4,1,11,2011,'M','N','ATUBA','CURITIBA','PR','116162161236121441258534575124610164032',2110,'9998',63.63,1,3,NULL),(28,7202881,'1995-06-29 00:00:00',2,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241248116471331528624595124610117057',NULL,'257',25.95,1,2,1),(28,7202890,'1994-08-09 00:00:00',4,16,12,2011,'M','N','CENTRO','CURITIBANOS','SC','124241241115471531534679575124610135187',15850,'239',32.59,3,2,1),(28,7202903,'1992-04-21 00:00:00',2,1,12,2009,'F','N','BAIRRO PETRÓPOLIS','PTO ALEGRE','RS','120241241211473411266623575124231016012',8744,'1022',52.74,1,3,NULL),(28,7202911,'1987-12-02 00:00:00',2,1,12,2005,'M','N','JARDIM JANAÍNA','BIGUAÇU','SC','124241241145373421446313235123333237177',5894,'66',54.89,1,2,1),(28,7202920,'1995-12-14 00:00:00',4,8,12,2012,'F','S','SAGUAÇU','JOINVILLE','SC','124242241217111431489914575122610122012',NULL,'1016',42.27,1,3,NULL),(28,7202938,'1993-02-20 00:00:00',2,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162241316574431438923375124222347145',4948,'1026',56.19,1,3,NULL),(28,7202946,'1993-07-24 00:00:00',4,9,12,2011,'F','N','SAGRADO C DE JESUS','LAGES','SC','124242241215371531346638375121610123142',3765,'499',61.06,4,3,NULL),(28,7202954,'1991-04-10 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116142431523319382124610164147',13949,'257',40.25,1,2,1),(28,7202962,'1994-06-18 00:00:00',2,1,12,2011,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124243241116131731326469392124610132147',15711,'257',34.05,1,3,NULL),(28,7202970,'1992-06-03 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241212474431434331342124610121152',NULL,'988',30.48,1,3,NULL),(28,7202989,'1994-02-03 00:00:00',4,15,12,2010,'M','N','SAO JOSÉ','TRAMANDAÍ','RS','120201201115471431246929385124610167142',5805,'9998',55.07,1,2,1),(28,7202997,'1991-03-02 00:00:00',2,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124241241227374721226724595124610124147',2132,'262',64.07,4,1,2),(28,7203004,'1974-08-06 00:00:00',4,1,11,2001,'F','N','XV DE NOVEMBRO','TIJUCAS','SC','624241247426132121523359295121132266187',NULL,'9999',0.00,1,3,NULL),(28,7203012,'1994-01-20 00:00:00',2,6,12,2011,'M','N','SÃO VICENTE','ITAJAÍ','SC','124241241115371742542417385111610168187',4060,'400',59.23,3,2,1),(28,7203020,'1994-11-16 00:00:00',4,15,12,2011,'F','N','SANGA DA AREIA','ARARANGUÁ','SC','124241241115131731424424582224610116057',14888,'30',34.73,4,2,1),(28,7203039,'1995-10-16 00:00:00',4,5,12,2012,'M','S','CENTRO','TURVO','SC','124241241117111411337715572124610127052',NULL,'814',23.84,1,3,NULL),(28,7203047,'1991-06-01 00:00:00',4,1,12,2008,'F','N','CENTRO','PALHOÇA','SC','124244241215272431369611445124121416072',NULL,'1022',0.00,1,3,NULL),(28,7203055,'1991-10-24 00:00:00',4,1,3,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124282281217372731339919195114233261142',9912,'9998',46.34,1,3,NULL),(28,7203063,'1993-04-25 00:00:00',2,1,12,2009,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241417133711226724385244221722177',15596,'733',44.53,1,3,NULL),(28,7203071,'1994-07-26 00:00:00',2,17,12,2011,'F','N','CAMPO DA ÁGUA VERDE','CANOINHAS','SC','124241241116371431423311575122610136052',NULL,'151',34.70,1,2,1),(28,7203080,'1994-03-01 00:00:00',4,24,12,2011,'F','N','BUDAG','RIO SUL','SC','124241241117131211334634575122610114077',14387,'864',38.90,1,2,1),(28,7203098,'1994-08-09 00:00:00',4,1,12,2011,'F','N','CENTRO','ANITÁPOLIS','SC','124241241117371431326612345124610124142',12123,'19',41.53,1,2,1),(28,7203101,'1986-03-29 00:00:00',2,1,12,2011,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124243241147131712121244143223610166012',NULL,'322',37.00,4,3,NULL),(28,7203110,'1993-05-17 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215372431449822582124610148112',12316,'270',50.06,4,3,NULL),(28,7203136,'1994-02-19 00:00:00',2,4,12,2011,'M','N','JARDIM ITALIA','CHAPECÓ','SC','124244241136371731344722575122610137057',NULL,'169',10.02,1,3,NULL),(28,7203144,'1994-06-25 00:00:00',2,9,12,2011,'F','N','PENHA','LAGES','SC','124241241112371431323329245124610132077',16208,'935',36.08,1,2,1),(28,7203152,'1989-05-25 00:00:00',4,1,12,2006,'F','N','PRAINHAJOSÉ MENDES','FLORIANÓPOLIS','SC','124161241134272411628617181324610126142',19359,'275',33.57,1,2,1),(28,7203160,'1994-08-25 00:00:00',1,7,12,2011,'F','N','CENTRO','TREZE TÍLIAS','SC','124281241117271431528479575122610161182',13816,'795',47.69,1,3,NULL),(28,7203179,'1993-06-07 00:00:00',1,7,12,2011,'F','N','CENTRO','TREZE TÍLIAS','SC','124281241117151431523319575122610168182',NULL,'795',27.06,1,3,NULL),(28,7203195,'1983-04-07 00:00:00',2,1,7,2001,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201207226151411133344145124610136045',7089,'9998',53.29,4,3,NULL),(28,7203209,'1977-06-17 00:00:00',4,6,11,1994,'F','N','CENTRO','BOMBINHAS','SC','224161161211452431236951481122341527082',12389,'9998',49.96,1,3,NULL),(28,7203217,'1994-04-17 00:00:00',2,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241215111431426811575124610136072',12136,'1161',42.86,1,3,NULL),(28,7203225,'1994-07-18 00:00:00',4,5,11,2011,'F','N','VERA CRUZ','CRICIÚMA','SC','124242241215151431477622275122610126096',7102,'210',50.37,1,3,NULL),(28,7203233,'1992-03-09 00:00:00',4,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241115271431423311395134610136042',17905,'307',32.91,1,2,1),(28,7203241,'1993-04-13 00:00:00',2,1,12,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241115371431321339275121610123147',5958,'65',53.27,1,2,1),(28,7203250,'1986-09-26 00:00:00',2,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241111134431123344341124230222142',NULL,'379',21.14,1,2,1),(28,7203268,'1983-12-19 00:00:00',2,1,12,2000,'M','N','BARREIROS','S JOSÉ','SC','124241241117213711534633434333610114045',16334,'307',43.03,2,1,1),(28,7203276,'1992-01-09 00:00:00',4,1,7,2011,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242247216151111526521492334610164017',NULL,'9999',19.14,4,1,2),(28,7203284,'1994-11-18 00:00:00',2,5,12,2011,'F','N','JARDIM SILVANA','IÇARA','SC','124241241215111431338513572124610168012',17099,'920',31.61,1,3,NULL),(28,7203292,'1993-05-03 00:00:00',4,1,12,2011,'F','N','JARDIM SANTIAGO','S JOSÉ','SC','124241241135141432425341215124610137047',NULL,'730',28.41,1,2,1),(28,7203306,'1994-05-28 00:00:00',4,2,12,2011,'F','N','JARDIM PAULISTA','REGISTRO','SP','125252251217271411434812595112610127077',9519,'9998',44.56,1,3,NULL),(28,7203314,'1964-12-18 00:00:00',4,1,12,1981,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224101251126141411353342325132342022182',NULL,'9998',0.00,1,3,NULL),(28,7203357,'1994-03-13 00:00:00',2,1,12,2011,'F','N','VENDAVAL','BIGUAÇU','SC','124241241135371431214569572324610136077',7249,'21',52.20,1,2,1),(28,7203365,'1994-09-28 00:00:00',4,15,12,2012,'F','S','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124243245115131331426629292124610147142',NULL,'29',18.60,1,3,NULL),(28,7203381,'1995-02-22 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215151431459912375112610147112',18751,'226',36.29,1,3,NULL),(28,7203390,'1993-02-04 00:00:00',2,1,12,2011,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241117151431435334572124610114192',NULL,'307',22.58,1,2,1),(28,7203403,'1995-09-15 00:00:00',4,26,12,2011,'F','N','CENTRO','CONCÓRDIA','SC','124242241214151431359832475122610121197',10816,'1047',52.40,1,3,NULL),(28,7203411,'1992-01-30 00:00:00',2,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241136372431426324245124610127127',NULL,'290',14.25,1,2,1),(28,7203420,'1994-08-25 00:00:00',2,1,12,2011,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241115371431533334575124610133152',NULL,'772',32.17,1,2,1),(28,7203438,'1990-08-28 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241127272431632334345124613266177',18027,'295',29.42,4,2,1),(28,7203446,'1994-05-26 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241137371431325319575114610133057',18512,'733',37.25,1,2,1),(28,7203454,'1989-03-07 00:00:00',4,1,12,2011,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241116171111227329595124610118042',NULL,'257',15.44,1,3,NULL),(28,7203470,'1956-08-04 00:00:00',4,1,12,1974,'M','N','CAMPINAS','S JOSÉ','SC','124241241111113611128443331342120617091',NULL,'307',0.00,1,3,NULL),(28,7203489,'1994-10-20 00:00:00',4,2,12,2011,'F','N','VALPARAISO','BLUMENAU','SC','124241241116151731426721345124610164052',17842,'80',39.36,1,2,1),(28,7203497,'1993-05-07 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241116372721536614385124610137147',7609,'257',54.89,1,2,1),(28,7203500,'1993-09-24 00:00:00',4,1,12,2010,'F','N','VILLAGE','IMBITUBA','SC','124241241115372432326614575114610135143',8984,'359',47.83,1,2,1),(28,7203519,'1993-02-27 00:00:00',4,4,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215472431489914576114610124017',729,'270',70.28,1,3,NULL),(28,7203527,'1987-12-10 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162161217171221239928485122342562042',12271,'9998',50.13,1,3,NULL),(28,7203543,'1993-08-03 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117141432423524396234610154047',19978,'278',28.47,4,2,1),(28,7203551,'1994-10-31 00:00:00',2,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241116471731313324575124610126147',NULL,'296',38.18,1,2,1),(28,7203560,'1994-08-03 00:00:00',2,8,12,2011,'M','N','SAGUAÇU','JOINVILLE','SC','124241241116371411427421573124610167047',10995,'1206',45.32,1,2,1),(28,7203578,'1992-02-20 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216271431336632395124130243072',NULL,'1075',18.45,1,3,NULL),(28,7203586,'1989-09-27 00:00:00',2,17,12,2006,'F','N','CENTRO','MAFRA','SC','124241241117371511222948485125130643142',NULL,'387',25.31,1,2,1),(28,7203594,'1982-05-26 00:00:00',2,1,12,2002,'M','N','TAPERA','FLORIANÓPOLIS','SC','124243247327275411333319242334610117047',NULL,'9999',30.59,2,1,2),(28,7203608,'1994-12-03 00:00:00',4,4,12,2011,'M','N','INTERIOR','FORMOSA SUL','SC','124241248116161731658313575124610117057',12939,'308',39.59,1,2,1),(28,7203616,'1992-04-25 00:00:00',4,1,12,2009,'F','N','JARDIM ANTARTICA','RIBEIRÃO PRETO','SP','125252251215472441478933572112610164146',NULL,'9998',0.00,1,3,NULL),(28,7203624,'1963-12-28 00:00:00',2,1,12,1982,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','524203205124133431327649292134321626133',16434,'9998',42.81,1,3,NULL),(28,7203632,'1990-12-03 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241246237132431523319295121221746097',16921,'1080',41.71,1,3,NULL),(28,7203640,'1994-10-08 00:00:00',2,23,12,2011,'F','N','VINTE CINCO DE JULHO','S BENTO SUL','SC','124241241115371531226821572122610136147',NULL,'697',0.00,1,2,1),(28,7203659,'1995-10-19 00:00:00',4,17,12,2012,'M','S','CENTRO','CANOINHAS','SC','124242241215111431469613575122610127082',NULL,'154',35.67,1,3,NULL),(28,7203667,'1993-02-09 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241212373731446611392122132714191',14547,'868',40.54,1,3,NULL),(28,7203675,'1985-04-25 00:00:00',4,1,6,2003,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241247426272221433632145122610127082',9455,'169',54.62,1,3,NULL),(28,7203683,'1994-06-03 00:00:00',4,1,12,2011,'F','N','CENTRO','UMUARAMA','PR','116164161217111441678832285115610162192',NULL,'9998',0.00,1,3,NULL),(28,7203691,'1993-06-21 00:00:00',2,1,12,2010,'F','N','CACH DO BOM JESUS','FLORIANÓPOLIS','SC','124241248117142431327624345114610132042',NULL,'1248',17.71,1,2,1),(28,7203705,'1993-11-03 00:00:00',4,1,11,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241245472431345824572124121837115',13919,'1022',47.53,1,3,NULL),(28,7203713,'1993-10-21 00:00:00',4,8,12,2010,'F','N','CENTRO','PIACATU','SP','125252251215472422436611575122610118182',16633,'9998',42.36,1,3,NULL),(28,7203721,'1993-12-10 00:00:00',4,1,12,2011,'M','N','AREIAS','S JOSÉ','SC','124242241432111411333714245124610124092',12560,'976',40.65,4,3,NULL),(28,7203730,'1995-02-02 00:00:00',2,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124242241217111431444512375122610127072',16920,'976',41.71,1,3,NULL),(28,7203748,'1991-06-27 00:00:00',4,8,12,2008,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241246372441468812215121143247017',9063,'457',55.31,3,3,NULL),(28,7203756,'1993-12-14 00:00:00',4,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','224241241137131431226654281222610138182',17195,'727',41.04,1,2,1),(28,7203764,'1994-05-17 00:00:00',2,6,12,2011,'M','N','SÃO VICENTE','ITAJAÍ','SC','124241241215131731635523285121610138017',NULL,'394',14.18,1,3,NULL),(28,7203772,'1994-11-25 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241117271431425511295124610123147',17581,'257',31.80,1,3,NULL),(28,7203780,'1994-05-22 00:00:00',4,10,12,2011,'F','N','POUSO ALTO','GRAVATAL','SC','124241241116371731426314395124610164187',12693,'332',43.08,1,2,1),(28,7203799,'1988-02-26 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241126475731533429245122610168043',NULL,'287',20.68,1,2,1),(28,7203802,'1994-07-29 00:00:00',2,1,12,2011,'M','N','PASSA VINTE','PALHOÇA','SC','124242241215111731346933575111610127042',NULL,'939',23.77,1,3,NULL),(28,7203810,'1994-10-17 00:00:00',4,10,12,2011,'F','N','PRAIA REDONDA','TUBARÃO','SC','124241241115371431223324572124610133072',NULL,'798',0.00,1,2,1),(28,7203829,'1991-10-09 00:00:00',6,1,12,2011,'M','N','IBIRAQUERA','IMBITUBA','SC','124241241117151731314529496124610167092',NULL,'295',20.42,4,2,1),(28,7203837,'1994-09-03 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241212111431456619495112610166182',3683,'1118',59.85,1,3,NULL),(28,7203845,'1994-08-22 00:00:00',4,8,12,2011,'M','N','FLORESTA','JOINVILLE','SC','124243248317131431359833345122610127117',NULL,'472',31.73,1,3,NULL),(28,7203853,'1993-09-08 00:00:00',2,6,12,2011,'M','N','ALTO SÃO BENTO','ITAPEMA','SC','124241241115131451422313575222610126077',NULL,'406',0.00,1,2,1),(28,7203870,'1990-04-22 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127342511123344345314610135027',NULL,'585',18.08,1,3,NULL),(28,7203896,'1992-12-27 00:00:00',4,4,12,2011,'M','N','INTERIOR','FORMOSA SUL','SC','124241248116161432563336575124610167067',NULL,'308',15.14,1,2,1),(28,7203900,'1993-01-14 00:00:00',4,2,12,2011,'M','N','VALPARAISO','BLUMENAU','SC','124241241115371431433414575124610147047',11432,'69',43.49,1,2,1),(28,7203918,'1992-05-12 00:00:00',4,1,12,2009,'F','N','PARQUE ASSUNÇÃO','TABOÃO SERRA','SP','125251251117273321636611485124610127112',15923,'9998',33.81,1,2,1),(28,7203926,'1979-03-25 00:00:00',2,1,11,1997,'F','N','BARREIROS','S JOSÉ','SC','624241241126131231323344441134610114097',NULL,'307',29.37,1,3,NULL),(28,7203934,'1987-04-27 00:00:00',4,1,12,2005,'M','N','VILA DOZE','ANTÔNIO CARLOS','SC','124241241117131431323344342243610121042',19910,'21',29.20,1,2,1),(28,7203969,'1985-10-25 00:00:00',2,1,12,2004,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241116344731237823442134123034047',NULL,'307',20.50,4,3,NULL),(28,7203977,'1993-12-24 00:00:00',4,3,12,2011,'F','N','VILA FLORIANO','PEREIRA BARRETO','SP','125212251216111431468614575112610122052',5751,'9998',54.11,3,3,NULL),(28,7203993,'1994-07-21 00:00:00',2,1,11,2011,'F','N','LIBRA','FOZ IGUAÇU','PR','116164161217121431446934372122610132142',NULL,'9998',29.28,1,3,NULL),(28,7204000,'1993-09-27 00:00:00',4,8,12,2011,'F','N','SÃO RAFAEL','RIO NEGRINHO','SC','124241241215111231533612595122610112012',NULL,'974',23.52,4,3,NULL),(28,7204019,'1994-01-04 00:00:00',4,8,12,2011,'M','N','CENTRO','ARAÇATUBA','SP','125252251216171412446622575122610124183',NULL,'9998',0.00,1,3,NULL),(28,7204043,'1994-12-22 00:00:00',4,1,12,2011,'M','N','JARDIM PATENTE','S PAULO','SP','125254251215111411224729575124610162052',4638,'9998',55.25,1,3,NULL),(28,7204051,'1986-07-24 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216133321218651575114220364177',15587,'1036',44.55,1,3,NULL),(28,7204060,'1994-11-08 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241116371431523311245124610124147',NULL,'307',22.10,1,2,1),(28,7204086,'1994-02-05 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162161215471731456832575114610144145',11402,'9998',42.79,1,3,NULL),(28,7204094,'1993-10-21 00:00:00',4,1,12,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241225112431333624245124610124092',NULL,'262',32.51,1,3,NULL),(28,7204108,'1994-06-27 00:00:00',4,1,12,2011,'F','N','MARIA IZABEL','MARÍLIA','SP','125252251216121431448833475122610121042',NULL,'9998',0.00,1,3,NULL),(28,7204116,'1988-08-30 00:00:00',2,16,12,2007,'F','N','CENTRO','CURITIBANOS','SC','124241241227131731316329282214610112037',NULL,'515',30.66,1,3,NULL),(28,7204132,'1992-11-21 00:00:00',2,1,12,2010,'F','N','SICILIANO','S PAULO','SP','125252251117571441588831575124610167186',3673,'9998',57.08,1,3,NULL),(28,7204140,'1995-12-20 00:00:00',2,4,12,2012,'F','S','CENTRO','CHAPECÓ','SC','124242241211151431459933575122610145147',NULL,'185',37.62,1,3,NULL),(28,7204159,'1994-09-27 00:00:00',4,1,12,2011,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241115311431226623385122610123143',NULL,'941',14.31,1,3,NULL),(28,7204167,'1994-03-22 00:00:00',4,1,12,2011,'F','N','PARQUE ASSUNÇÃO','TABOÃO SERRA','SP','125251251117131421536611575124610114117',NULL,'9998',19.93,1,2,1),(28,7204183,'1990-09-26 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124203201116473751538611475124610163177',9441,'9998',47.90,1,3,NULL),(28,7204191,'1991-09-09 00:00:00',2,1,12,2010,'F','N','SANTOS DUMONT','S JOSÉ','SC','124242247415472431438823491124610128187',8418,'9999',53.70,1,3,NULL),(28,7204205,'1994-09-24 00:00:00',2,1,11,2011,'F','N','AREIAS DE CIMA','GOV CELSO RAMOS','SC','124242241315371411324611575124610124042',4070,'63',57.85,1,3,NULL),(28,7204221,'1994-02-24 00:00:00',2,8,12,2011,'F','N','ROCIO PEQUENO','S FRANCISCO SUL','SC','124244241215131431338923575124610145142',11938,'992',40.79,1,3,NULL),(28,7204256,'1994-06-13 00:00:00',2,1,12,2011,'F','N','FUNDOS','BIGUAÇU','SC','124241241115371721423324472121610113052',NULL,'65',17.05,1,2,1),(28,7204264,'1991-08-18 00:00:00',2,1,12,2008,'M','N','N S DO ROSARIO','S JOSÉ','SC','124242241212574751349634575114610114052',NULL,'738',35.47,1,3,NULL),(28,7204272,'1985-10-04 00:00:00',6,1,6,2006,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241248126131431114444345224610126117',NULL,'9999',0.00,2,1,1),(28,7204302,'1978-03-26 00:00:00',4,1,10,2008,'M','N','JOSE MENDES','FLORIANÓPOLIS','SC','124241247135374721113348192324613268181',12283,'9999',41.76,4,2,1),(28,7204329,'1992-01-15 00:00:00',2,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117573431456611375112610164142',5822,'298',53.98,1,2,1),(28,7204337,'1993-11-20 00:00:00',2,27,12,2011,'M','N','CENTRO','ITAPIRANGA','SC','124241241215121431548833575122610117142',12592,'1060',49.64,1,3,NULL),(28,7204345,'1995-12-04 00:00:00',4,9,12,2012,'M','S','CENTRO','LAGES','SC','124241241215111441244623572115610137017',NULL,'1207',48.72,1,3,NULL),(28,7204353,'1993-02-20 00:00:00',2,1,12,2010,'F','N','ANITÁPOLIS','ANITÁPOLIS','SC','124241248125131231423365192214610128142',19251,'19',34.13,1,3,NULL),(28,7204361,'1995-02-16 00:00:00',4,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124242241215111531559712295122610137052',16327,'1175',35.50,1,3,NULL),(28,7204370,'1991-02-14 00:00:00',2,1,7,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241247126241731223344242234610122187',NULL,'9997',15.79,1,2,1),(28,7204388,'1981-01-07 00:00:00',2,15,12,1997,'F','N','COLONINHA','ARARANGUÁ','SC','124241241136131731127544345233130242187',19699,'769',31.20,1,3,NULL),(28,7204396,'1993-05-20 00:00:00',2,1,12,2011,'F','N','FUNDOS','BIGUAÇU','SC','124241241135371431323324281124610138142',NULL,'65',22.18,1,2,1),(28,7204400,'1994-12-02 00:00:00',4,9,11,2011,'F','N','SAGRADO CORAÇÃO','LAGES','SC','124242241215111431448932575122610121097',8342,'1146',50.54,1,3,NULL),(28,7204426,'1993-10-20 00:00:00',4,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124132241215151441669914375122610148177',1676,'299',67.17,1,3,NULL),(28,7204442,'1994-07-01 00:00:00',2,27,12,2011,'F','N','SÃO JOSÉ','MARAVILHA','SC','124241241114371431534911295122610121053',12084,'552',43.63,1,2,1),(28,7204450,'1993-10-18 00:00:00',4,1,11,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215472431468811571121610137182',3972,'270',58.52,1,3,NULL),(28,7204469,'1993-09-20 00:00:00',4,5,12,2011,'F','N','CENTRO','IÇARA','SC','124241241135271411326521375124610124057',NULL,'1005',0.00,1,2,1),(28,7204477,'1992-12-15 00:00:00',2,15,12,2011,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241136111431443312395123610127067',18403,'30',27.61,4,3,NULL),(28,7204485,'1994-04-12 00:00:00',4,1,11,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241215271431526624291124610127087',9535,'300',48.26,4,3,NULL),(28,7204493,'1993-04-28 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241115131421225821215124610123152',10914,'267',47.82,1,3,NULL),(28,7204507,'1994-09-09 00:00:00',4,1,12,2011,'F','N','BOM VIVER','BIGUAÇU','SC','124242241115131412616327272124610168142',NULL,'65',19.45,2,3,NULL),(28,7204515,'1990-06-12 00:00:00',4,1,12,2008,'M','N','SALGADO FILHO','ARACAJU','SE','126262261216271441358767285122142832112',4388,'9998',58.18,4,3,NULL),(28,7204523,'1993-11-28 00:00:00',4,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124241241225131431433634342334610128057',4898,'262',54.32,1,3,NULL),(28,7204540,'1990-01-25 00:00:00',4,16,12,2007,'F','N','NOSSA SRA APARECIDA','CURITIBANOS','SC','624244241116371711533834395233610128177',10153,'239',46.49,1,3,NULL),(28,7204558,'1991-04-10 00:00:00',2,1,11,2010,'M','N','JARDIM VEREDAS','MARINGÁ','PR','116163161316371111326631415114610157046',NULL,'9998',0.00,3,3,NULL),(28,7204566,'1994-02-14 00:00:00',4,6,11,2010,'M','N','FAZENDA','ITAJAÍ','SC','124244241217372431438414575112610132192',2760,'1026',61.68,1,3,NULL),(28,7204574,'1991-06-12 00:00:00',2,23,12,2008,'F','N','AVAÍ','GUARAMIRIM','SC','124241241135371731434631145134610127152',10871,'335',42.94,1,3,NULL),(28,7204582,'1992-04-24 00:00:00',4,8,12,2009,'M','N','CENTRO','CURITIBA','PR','116164161215471431468813595122610147092',4759,'9998',58.97,1,3,NULL),(28,7204612,'1995-11-17 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111432358923575112610137142',17270,'1050',40.85,1,3,NULL),(28,7204620,'1977-01-04 00:00:00',4,1,12,1995,'F','N','SERRARIA','S JOSÉ','SC','124241248126374411223344445134320562193',NULL,'295',44.55,1,3,NULL),(28,7204639,'1992-11-28 00:00:00',2,1,12,2010,'M','N','VILA BRUGUESE','PINDAMONHANGABA','SP','125252251215111111338812485122610117042',NULL,'9998',0.00,1,3,NULL),(28,7204647,'1994-07-03 00:00:00',4,5,12,2011,'M','N','JARDIM SILVANA','IÇARA','SC','124241241115151411327521475225610146177',NULL,'1005',0.00,1,2,1),(28,7204655,'1992-06-04 00:00:00',4,17,11,2009,'M','N','BATEL','CURITIBA','PR','116162161217573411488811575122610162042',NULL,'9998',0.00,1,3,NULL),(28,7204663,'1994-03-19 00:00:00',4,7,12,2011,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241215112231458914243132610117077',17490,'962',40.32,1,3,NULL),(28,7204671,'1992-08-14 00:00:00',4,1,12,2009,'M','N','VILA CARRÃO','S PAULO','SP','125251251116471431438824275124143224147',18301,'9998',37.95,4,1,1),(28,7204680,'1994-06-16 00:00:00',2,10,12,2011,'F','N','CENTRO','IMARUÍ','SC','124241241126131431425613575125610128147',NULL,'356',21.40,1,2,1),(28,7204710,'1991-04-28 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115354411446623341115130232147',18195,'307',38.32,1,3,NULL),(28,7204728,'1994-09-12 00:00:00',2,15,1,2012,'M','N','VILA BEATRIZ','MARACAJÁ','SC','124241241115141431533614231121610126053',20107,'550',26.11,1,2,1),(28,7204736,'1989-02-11 00:00:00',4,8,12,2006,'F','N','CENTRO','UMUARAMA','PR','116161161115475451533412572115610126142',5216,'9998',62.01,4,2,1),(28,7204744,'1992-06-07 00:00:00',1,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241126141731523314345334610161047',NULL,'288',33.30,1,2,1),(28,7204752,'1987-08-02 00:00:00',4,1,12,2005,'M','N','PQ RES VILA UNIÃO','CAMPINAS','SP','125251251146172411431723375324610166097',NULL,'9998',0.00,4,1,1),(28,7204760,'1994-03-11 00:00:00',4,6,11,2011,'M','N','CENTRO','ITAJAÍ','SC','124242241216111431347822245112610132111',14421,'44',46.71,1,3,NULL),(28,7204779,'1993-05-01 00:00:00',4,1,12,2010,'F','N','CANTO','FLORIANÓPOLIS','SC','116242241216372431336511375124610133013',10609,'1118',45.22,1,3,NULL),(28,7204787,'1994-05-24 00:00:00',4,1,11,2011,'F','N','FUNDOS','BIGUAÇU','SC','124241241227131411326621491124610128187',15034,'262',37.83,1,3,NULL),(28,7204795,'1996-05-10 00:00:00',4,6,11,2012,'F','S','CENTRO','BAL CAMBORIÚ','SC','124242241216111712379831595122610136142',NULL,'9997',12.34,1,3,NULL),(28,7204809,'1993-10-01 00:00:00',4,1,12,2010,'F','N','CENTRO','SAPUCAIA SUL','RS','120202201217471431227923572115610167187',13879,'9998',36.78,1,3,NULL),(28,7204817,'1990-12-30 00:00:00',4,1,12,2008,'F','N','VILA PROGREDIOR','S PAULO','SP','125252251215572431467933575122610124047',NULL,'9998',0.00,1,3,NULL),(28,7204825,'1994-04-12 00:00:00',2,8,12,2011,'F','N','ENSEADA','S FRANCISCO SUL','SC','124241241335131431326629385124610128147',NULL,'710',0.00,1,3,NULL),(28,7204833,'1992-04-08 00:00:00',4,1,12,2009,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241121131431114649295124233222182',NULL,'108',30.19,1,2,1),(28,7204841,'1991-11-17 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201201117471731538611575124610124177',NULL,'9998',41.51,1,2,1),(28,7204850,'1993-10-06 00:00:00',4,17,11,2010,'M','N','BATEL','CURITIBA','PR','116162161217572411488811575122610162082',NULL,'9998',0.00,1,3,NULL),(28,7204868,'1994-02-22 00:00:00',2,9,12,2011,'F','N','VILA NOVA','LAGES','SC','124241243111151431512439192224610158172',NULL,'517',10.85,4,2,1),(28,7204876,'1986-03-14 00:00:00',4,1,11,2003,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124242241215372441327741335124131054187',6992,'269',53.37,1,3,NULL),(28,7204892,'1990-08-07 00:00:00',2,1,12,2008,'M','N','SATELITE IRES TRES','CAMPINAS','SP','125251251125211431524619385123610133186',17811,'9998',33.89,2,1,1),(28,7204906,'1993-07-21 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241137271431116644342224610136147',NULL,'1248',36.07,1,3,NULL),(28,7204914,'1995-03-01 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124243241117471421223721385124610128111',13696,'733',42.11,1,3,NULL),(28,7204922,'1994-10-06 00:00:00',4,4,12,2011,'F','N','MORADA DO SOL','NOVA ERECHIM','SC','124241241115371731423354175124610128142',16321,'572',35.02,4,2,1),(28,7204930,'1994-09-02 00:00:00',4,16,12,2011,'F','N','CENTRO','S CRISTÓVÃO SUL','SC','124241241115411421438634585124610122142',20161,'705',23.22,1,3,NULL),(28,7204957,'1988-10-06 00:00:00',2,1,11,2007,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241127371752113348382224610147077',13596,'277',41.55,1,2,1),(28,7204965,'1990-12-01 00:00:00',2,1,11,2008,'F','N','CENTRO','LUÍS E MAGALHÃES','BA','105241051416134731124714495124131031147',12128,'9998',50.36,1,3,NULL),(28,7204973,'1994-03-03 00:00:00',4,1,12,2010,'M','N','CENTRO','MEDIANEIRA','PR','116162161437472711468833575112141436047',NULL,'9998',0.00,1,3,NULL),(28,7204981,'1982-05-30 00:00:00',2,15,12,2000,'M','N','COLONINHA','ARARANGUÁ','SC','124241248415575431238843435122333222027',NULL,'32',44.59,4,3,NULL),(28,7204990,'1977-01-29 00:00:00',2,1,12,1994,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','224201201117472431423354282224610121182',14884,'9998',39.77,1,2,1),(28,7205007,'1994-04-12 00:00:00',4,1,12,2011,'F','N','MOOCA','S PAULO','SP','125252258217111511569931576125610137117',NULL,'703',0.00,1,3,NULL),(28,7205015,'1995-03-21 00:00:00',3,4,12,2011,'F','N','SANTA MARIA','CHAPECÓ','SC','124242241213371521379913571122610146115',5640,'168',54.88,1,3,NULL),(28,7205023,'1991-10-19 00:00:00',4,8,12,2009,'M','N','SAGUAÇU','JOINVILLE','SC','124242241235572411427721382112131017042',NULL,'1016',0.00,1,3,NULL),(28,7205031,'1993-01-31 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241117373441443914285124610143042',12924,'288',41.23,1,3,NULL),(28,7205040,'1994-11-08 00:00:00',4,8,12,2011,'M','N','NOVA BRASÍLIA','JOINVILLE','SC','124242241137141731436612345122610117052',19052,'481',35.09,1,3,NULL),(28,7205058,'1993-09-07 00:00:00',4,4,12,2010,'F','N','CENTRO','CORBÉLIA','PR','116161161116571751563332475124610166092',17934,'9998',39.12,1,2,1),(28,7205066,'1991-12-23 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241216144431266723375124220767062',13823,'1022',47.68,1,3,NULL),(28,7205074,'1992-12-16 00:00:00',4,27,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241416572431468813575115610122012',NULL,'752',0.00,1,3,NULL),(28,7205082,'1993-01-08 00:00:00',4,1,12,2010,'F','N','PORTAL DAS COLINAS','GUARATINGUETÁ','SP','125252251216471441468811575121610127181',NULL,'9998',0.00,1,3,NULL),(28,7205090,'1987-10-03 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241147151421423511442114610124177',NULL,'288',0.00,1,2,1),(28,7205104,'1989-07-01 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241127333711321311215334611332097',10116,'1155',49.15,1,2,1),(28,7205112,'1988-09-17 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117145721526414445114610117081',18676,'307',36.57,4,2,1),(28,7205120,'1993-01-30 00:00:00',6,1,12,2011,'M','N','SAUDADE','JANAÚBA','MG','113251137117231731123343435221242716142',NULL,'9998',0.00,4,3,NULL),(28,7205147,'1990-12-26 00:00:00',2,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241116272731624114475114610133042',NULL,'278',16.22,2,1,1),(28,7205155,'1988-04-23 00:00:00',4,1,6,2006,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241321134431326823285113130224047',13355,'9999',38.56,4,3,NULL),(28,7205163,'1993-06-30 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241127132711636512345114610162182',19101,'734',34.86,1,2,1),(28,7205171,'1994-08-11 00:00:00',4,23,12,2011,'M','N','VIEIRA','JARAGUÁ SUL','SC','124241241125141711638823245121610137052',NULL,'427',0.00,1,2,1),(28,7205180,'1985-10-09 00:00:00',2,1,12,2002,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201208114131211116674344334143214093',NULL,'9998',0.00,2,1,1),(28,7205198,'1994-09-20 00:00:00',4,10,12,2011,'F','N','BARBACENA','LAGUNA','SC','124241241116371431437314575124610164147',13827,'521',40.13,1,2,1),(28,7205201,'1994-10-04 00:00:00',4,1,12,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241217111431456823575124610124052',9371,'1022',46.26,4,3,NULL),(28,7205210,'1987-05-26 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124073241147133741128648481341610147182',13523,'736',42.71,4,3,NULL),(28,7205228,'1991-09-12 00:00:00',4,26,12,2008,'M','N','GARGHETTI','SEARA','SC','124241241125371431423334245124610126067',14169,'764',37.05,1,2,1),(28,7205236,'1976-12-25 00:00:00',2,1,12,2002,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241126173451326143433314120867047',19297,'307',33.88,1,3,NULL),(28,7205244,'1991-07-19 00:00:00',4,4,12,2008,'M','N','CENTRO','CHAPECÓ','SC','124213241213573421566923472125141768091',4699,'168',55.18,1,3,NULL),(28,7205252,'1993-04-22 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241115272431433633575124610166052',3681,'270',61.31,1,3,NULL),(28,7205260,'1994-08-04 00:00:00',2,7,11,2011,'F','N','JARDIM DA SERRA','CAPINZAL','SC','124241241215271431436824335122610124077',NULL,'1093',21.63,1,3,NULL),(28,7205279,'1992-08-20 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241311311711235473245124610114197',NULL,'300',23.72,2,1,2),(28,7205295,'1994-03-14 00:00:00',2,1,12,2011,'F','N','SANTOS SARAIVA','S JOSÉ','SC','124241241115311732423634572224610124142',NULL,'727',21.68,1,2,1),(28,7205317,'1993-07-21 00:00:00',4,1,12,2011,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124241241116131732623429475124610164057',NULL,'726',29.83,1,2,1),(28,7205325,'1990-03-23 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124241248416313731446521275124610142182',15543,'9997',44.64,1,3,NULL),(28,7205341,'1956-11-15 00:00:00',4,1,12,1974,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','224202201217151411245654375114141164047',12403,'9998',49.94,1,3,NULL),(28,7205350,'1994-12-09 00:00:00',4,8,11,2011,'F','N','BOEHMERWALDT','JOINVILLE','SC','124241241117371431223621342124610137042',NULL,'465',0.00,1,2,1),(28,7205368,'1992-07-30 00:00:00',2,1,12,2009,'F','N','LISBOA','S JOSÉ','SC','124241241117431711327619475124131267147',NULL,'727',0.00,1,3,NULL),(28,7205376,'1995-01-31 00:00:00',4,15,12,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241115371731464329575122610134142',19269,'30',34.02,1,2,1),(28,7205384,'1988-01-08 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124203201112373611538611381124610167034',11101,'9998',45.94,1,3,NULL),(28,7205392,'1991-11-28 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215372431478613575124221427045',12516,'1050',41.44,2,1,2),(28,7205406,'1991-01-10 00:00:00',4,3,12,2008,'M','N','JARDIN SINUELO','ASTORGA','PR','116164168416572531426735574124140236057',7122,'9998',53.24,3,3,NULL),(28,7205414,'1992-02-15 00:00:00',4,1,12,2011,'M','N','UBERABA','CURITIBA','PR','116163161215121411447714475124610162127',8795,'9998',46.52,1,3,NULL),(28,7205422,'1991-08-24 00:00:00',4,15,12,2008,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124241241117132431328823285123223264187',18017,'1033',38.86,1,2,1),(28,7205430,'1993-06-16 00:00:00',4,1,12,2010,'F','N','JARDIM ARMENIA','MOGI CRUZES','SP','125252251216471431556812575122610133142',8507,'9998',46.60,3,3,NULL),(28,7205449,'1991-02-27 00:00:00',4,1,12,2008,'M','N','AMBROSIO','GAROPABA','SC','124241241145271431623311341124610164142',NULL,'322',13.50,1,2,1),(28,7205457,'1994-02-09 00:00:00',2,2,12,2011,'F','N','WUNDERWALD','POMERODE','SC','124241241116161431333421575123610124142',NULL,'622',0.00,1,3,NULL),(28,7205465,'1994-12-10 00:00:00',2,16,12,2011,'F','N','ÁGUA SANTA','CURITIBANOS','SC','124241241115371431436664575124610126192',6994,'239',53.12,1,2,1),(28,7205481,'1994-07-06 00:00:00',4,1,12,2011,'M','N','SANTO ANJO','STO AMARO IMPERATRIZ','SC','124241241111131411526351571124610127062',13877,'739',39.58,1,2,1),(28,7205490,'1994-01-08 00:00:00',4,1,11,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215121411388813575122610166142',5547,'270',55.22,1,3,NULL),(28,7205503,'1989-02-12 00:00:00',2,27,12,2006,'F','N','CENTRO','MARMELEIRO','PR','116161161136131431426619385124640138182',NULL,'9998',0.00,1,2,1),(28,7205520,'1992-02-09 00:00:00',2,1,7,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241243112271431524414375124610113057',NULL,'306',39.74,1,2,1),(28,7205546,'1984-03-03 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','424211247326371431423344345122610122187',15014,'9999',45.60,4,3,NULL),(28,7205554,'1993-11-04 00:00:00',2,5,12,2011,'F','N','QUARTA LINHA','CRICIÚMA','SC','124241244117131431423315241124610164112',NULL,'228',19.82,1,3,NULL),(28,7205562,'1994-05-09 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215111431327621216214610132117',10308,'1022',44.46,1,3,NULL),(28,7205570,'1993-04-15 00:00:00',4,1,12,2010,'F','N','PALMITAL','PARANAGUÁ','PR','116162161217472431488831575114610134092',NULL,'9998',0.00,1,3,NULL),(28,7205589,'1994-11-17 00:00:00',4,3,12,2011,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241117371431328614575124610132147',12118,'49',44.19,1,2,1),(28,7205597,'1994-03-15 00:00:00',2,24,12,2011,'F','N','BOA VISTA','ITUPORANGA','SC','124241241117141231538522375122610134147',11367,'1173',42.66,4,3,NULL),(28,7205600,'1988-06-22 00:00:00',4,15,12,2006,'F','N','MICHEL','CRICIÚMA','SC','124241241146131411213348282114610124011',NULL,'29',11.39,1,3,NULL),(28,7205619,'1986-09-19 00:00:00',2,1,6,2005,'F','N','TAQUARA','RIO JANEIRO','RJ','121214211437131631226844245124242831147',NULL,'9998',0.00,4,3,NULL),(28,7205627,'1994-08-25 00:00:00',2,8,12,2011,'F','N','GUAMIRANGA','GUARAMIRIM','SC','124241241215111431549913571114610164071',16407,'441',32.84,1,3,NULL),(28,7205635,'1994-10-07 00:00:00',4,27,12,2011,'F','N','CENTRO','GUARACIABA','SC','124241241116271431336822345122610136147',6243,'334',54.04,1,2,1),(28,7205660,'1993-06-27 00:00:00',2,7,12,2011,'F','N','CENTRO','CAMPOS NOVOS','SC','124243241116131411326723595125610146127',NULL,'140',0.00,1,3,NULL),(28,7205678,'1992-02-11 00:00:00',4,1,12,2009,'F','N','VILA MONUMENTO','S PAULO','SP','125252251216572431438614575114610134096',10757,'9998',43.45,3,3,NULL),(28,7205686,'1995-12-18 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111411456633575124610167041',18532,'272',37.17,1,3,NULL),(28,7205694,'1991-01-01 00:00:00',4,17,12,2009,'F','N','CENTRO','CANOINHAS','SC','124161161117131441224429275225231066142',NULL,'9998',13.27,1,2,1),(28,7205708,'1993-06-11 00:00:00',4,1,12,2010,'F','N','FLAMBOYANT','CAMPINAS','SP','125252251215372431338812575122610127072',17553,'9998',40.17,1,3,NULL),(28,7205716,'1994-03-25 00:00:00',2,9,11,2011,'F','N','ESQUINA','URUBICI','SC','124241241215161431328923572122610162142',11383,'817',41.09,1,3,NULL),(28,7205724,'1991-11-24 00:00:00',4,1,11,2009,'F','N','FORMOSA','ALVORADA','RS','120201201132131431524524382214140262052',NULL,'9998',0.00,2,1,1),(28,7205732,'1982-09-01 00:00:00',2,9,12,2000,'F','N','VARZEA','LAGES','SC','124241241335472711336643232222321361187',2689,'272',62.49,1,3,NULL),(28,7205759,'1994-11-19 00:00:00',2,1,12,2011,'M','N','FORQUILHAS','S JOSÉ','SC','124241241115131431426311575114610147047',10806,'733',44.17,1,2,1),(28,7205767,'1994-10-13 00:00:00',4,7,12,2011,'F','N','INTERIOR','VARGEM BONITA','SC','124241241114141431423635575122610123142',NULL,'827',20.93,1,2,1),(28,7205775,'1994-01-31 00:00:00',2,10,12,2011,'M','N','MAGALHÃES','LAGUNA','SC','124242241225131431228624375121610137027',13147,'524',38.92,1,3,NULL),(28,7205783,'1994-07-06 00:00:00',4,8,12,2011,'F','N','BOA VISTA','JOINVILLE','SC','124242241317271431435514575124610163017',NULL,'477',23.16,4,3,NULL),(28,7205791,'1993-12-09 00:00:00',2,9,11,2011,'F','N','CORAL','LAGES','SC','124242241216112451446834575121610166057',8415,'1207',56.40,1,3,NULL),(28,7205805,'1986-10-11 00:00:00',4,2,12,2004,'F','N','BELA VISTA','PTO ALEGRE','RS','120201201116131441125349492334610114147',19403,'9998',33.31,1,2,1),(28,7205813,'1993-01-17 00:00:00',2,8,11,2010,'F','N','PROFIPO','JOINVILLE','SC','124241248127131711633312392212610124047',NULL,'480',25.97,4,2,1),(28,7205821,'1994-10-26 00:00:00',2,4,12,2011,'M','N','VILA TIGRE','XAXIM','SC','124241241117161431333911375224610117052',12747,'846',40.66,1,2,1),(28,7205830,'1994-07-01 00:00:00',2,1,12,2011,'F','N','CAIEIRA DO NORTE','GOV CELSO RAMOS','SC','124241241117231431523379574324610162092',NULL,'65',16.48,4,2,1),(28,7205848,'1994-01-27 00:00:00',4,2,11,2011,'M','N','GARCIA','BLUMENAU','SC','124242241217121711249821316122610168181',8149,'855',56.88,1,3,NULL),(28,7205856,'1995-04-14 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124243241215111751566832395124610116042',19500,'723',32.68,1,3,NULL),(28,7205864,'1993-07-14 00:00:00',2,1,12,2010,'M','N','AGUA VERDE','CURITIBA','PR','116162161216472731476812575124610167042',NULL,'9998',0.00,1,3,NULL),(28,7205880,'1994-07-11 00:00:00',4,4,12,2011,'F','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124241241116371431456834275124610131017',10522,'169',43.73,1,2,1),(28,7205929,'1991-09-04 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241216474431339944345124131463042',1244,'1047',67.53,1,3,NULL),(28,7205953,'1992-08-19 00:00:00',2,1,11,2009,'F','N','COMBATÁ','STO AMARO IMPERATRIZ','SC','124241241115373431533823585123610137057',12865,'772',40.10,1,2,1),(28,7205961,'1993-04-23 00:00:00',4,1,11,2010,'M','N','CENTRO','PALHOÇA','SC','124242241226143421458633442122231067047',9596,'1011',54.38,1,3,NULL),(28,7205970,'1994-03-12 00:00:00',2,26,12,2011,'F','N','NENHUM','AT BELA VISTA','SC','124241241127131431426536595124610164147',NULL,'14',0.00,1,2,1),(28,7205988,'1993-10-11 00:00:00',2,1,12,2011,'F','N','SOROCABA DE FORA','BIGUAÇU','SC','124241241116471431421139275124610123147',NULL,'65',23.21,1,2,1),(28,7206003,'1993-01-22 00:00:00',4,26,5,2011,'F','N','SÃO MIGUEL','CONCÓRDIA','SC','124243281316271432438811414125610163142',NULL,'192',0.00,1,3,NULL),(28,7206020,'1994-10-07 00:00:00',2,9,12,2011,'F','N','VARZEA','LAGES','SC','124241241115131311413324372224610144047',NULL,'1208',0.00,2,1,1),(28,7206038,'1989-10-19 00:00:00',2,1,12,2011,'M','N','JARDINELDORADO','PALHOÇA','SC','124241247626161731325114242233613266097',NULL,'9999',0.00,1,3,NULL),(28,7206054,'1994-02-22 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241316471131423634575124610118095',15306,'285',35.62,1,3,NULL),(28,7206062,'1985-08-11 00:00:00',4,1,7,2004,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241116575521456313482111133268042',18670,'591',36.59,1,2,1),(28,7206097,'1992-12-14 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241246116272431325724444234610153141',5691,'306',56.33,1,2,1),(28,7206100,'1993-12-24 00:00:00',2,2,12,2010,'F','N','SERTÃO VERDE','GASPAR','SC','124241241116372431423331575124610126197',16019,'327',33.66,2,1,1),(28,7206119,'1983-09-10 00:00:00',2,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624241248132131221111148182345610118197',NULL,'9999',0.00,1,2,1),(28,7206127,'1994-10-12 00:00:00',4,1,12,2011,'F','N','VARGEM GRANDE AM','ÁGUAS MORNAS','SC','124241241126141431524624475124610114112',NULL,'12',31.91,1,3,NULL),(28,7206135,'1993-09-13 00:00:00',4,1,12,2010,'M','N','DOM BOSCO','LUIZ ALVES','SC','124241241136131431438813345112630162037',NULL,'537',0.00,1,2,1),(28,7206143,'1993-10-09 00:00:00',2,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241115371431423523295124610164147',12082,'287',45.50,1,2,1),(28,7206151,'1990-07-02 00:00:00',4,2,12,2007,'F','N','SANTA TEREZINHA','GASPAR','SC','124242241215572431685432575122133217046',1428,'1137',67.08,1,3,NULL),(28,7206160,'1989-06-14 00:00:00',4,1,12,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241247327271431426414215124610166193',NULL,'9999',20.46,1,3,NULL),(28,7206178,'1994-05-03 00:00:00',2,1,12,2011,'F','N','CENTRO','URUBICI','SC','124242241217131412328612395122610136147',NULL,'817',22.75,1,3,NULL),(28,7206186,'1993-07-23 00:00:00',4,9,12,2010,'F','N','SANTA MARIA','LAGES','SC','124242241217372431469811274122131066092',1672,'497',66.26,1,3,NULL),(28,7206194,'1990-02-15 00:00:00',4,25,12,2007,'F','N','BELLO','CAÇADOR','SC','124241244116371431224644345325610117097',14459,'123',38.79,1,2,1),(28,7206208,'1994-07-22 00:00:00',4,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124242241215111531425812575121610127041',12955,'1011',40.05,1,3,NULL),(28,7206216,'1992-10-02 00:00:00',2,1,11,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116372431435413442124610133142',9586,'307',47.64,2,1,1),(28,7206224,'1984-05-11 00:00:00',4,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131321111149192345610118197',NULL,'9999',0.00,1,3,NULL),(28,7206232,'1993-01-21 00:00:00',4,4,11,2010,'F','N','CENTRO','CASCAVEL','PR','116162161215473431449839574145610166142',1799,'9998',64.01,1,3,NULL),(28,7206240,'1993-12-23 00:00:00',2,4,12,2010,'F','N','LINHA JAGUATERICA','IPUMIRIM','SC','124241242116372431426612582124610144177',11250,'196',42.58,1,2,1),(28,7206259,'1984-06-25 00:00:00',2,1,12,2002,'F','N','FORQUILHAS','S JOSÉ','SC','124243248322113411526839492124610116182',18254,'1036',38.11,1,3,NULL),(28,7206267,'1982-04-26 00:00:00',4,1,12,1999,'M','N','TAQUARAL','CAMPINAS','SP','125252251217371231458817332112343227047',NULL,'9998',0.00,1,3,NULL),(28,7206275,'1995-03-09 00:00:00',4,8,11,2011,'M','N','SANTO ANTONIO','JOINVILLE','SC','124232241217111211489814575122610166012',11632,'457',51.12,1,3,NULL),(28,7206283,'1993-04-06 00:00:00',4,22,12,2010,'M','N','CENTRO','BRUSQUE','SC','124242241215472411689931575122610162112',2736,'109',63.04,1,3,NULL),(28,7206305,'1994-11-07 00:00:00',2,3,12,2011,'F','N','CENTRO','CAMBORIÚ','SC','124241243115111431438617372124610126072',12064,'129',41.35,1,2,1),(28,7206313,'1996-04-22 00:00:00',4,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241212111532558612575112610124182',16879,'213',41.81,1,3,NULL),(28,7206321,'1976-03-16 00:00:00',2,1,12,1993,'M','N','JD ATLÂNTICO','FLORIANÓPOLIS','SC','124201201111132211225543332113220917022',13076,'9998',42.58,2,1,1),(28,7206330,'1994-05-15 00:00:00',4,1,12,2012,'M','S','CORREGO GRANDE','FLORIANÓPOLIS','SC','116162163117161712488812375121610114072',NULL,'9998',53.41,1,3,NULL),(28,7206348,'1994-09-13 00:00:00',2,4,12,2011,'F','N','SÃO JOSÉ','S DOMINGOS','SC','124241248415111411436311315122610152147',NULL,'1161',26.23,1,3,NULL),(28,7206356,'1994-09-01 00:00:00',4,1,11,2011,'M','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124242241215132431646612275122610142042',8504,'1118',50.03,1,3,NULL),(28,7206380,'1986-06-23 00:00:00',2,1,9,2005,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241247125371711323369145334610168187',NULL,'9999',0.00,1,2,1),(28,7206399,'1994-05-08 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124243241215111431446834575122610162172',6700,'723',54.99,1,3,NULL),(28,7206402,'1994-11-24 00:00:00',2,1,12,2011,'F','N','FUNDOS','BIGUAÇU','SC','124241241135251731324319295224610133197',13857,'307',39.97,1,3,NULL),(28,7206410,'1994-01-28 00:00:00',4,6,12,2011,'F','N','DOM BOSCO','ITAJAÍ','SC','224242241215111731438923275124610125147',8948,'392',46.00,1,3,NULL),(28,7206429,'1992-08-16 00:00:00',2,22,12,2009,'F','N','PORTÃO','CURITIBA','PR','116161161117471431335634575124610128177',NULL,'9998',0.00,1,2,1),(28,7206437,'1992-12-27 00:00:00',2,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124201241116131431624414572324610133077',10862,'49',45.49,1,2,1),(28,7206445,'1995-03-30 00:00:00',2,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117131441359833575124610112142',NULL,'307',40.42,1,2,1),(28,7206453,'1994-11-08 00:00:00',4,5,12,2011,'F','N','NASPOLINI','CRICIÚMA','SC','124244241215121431446931575122610145053',2322,'210',63.12,1,3,NULL),(28,7206470,'1954-11-30 00:00:00',2,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624256248632131311111149192345610148197',20173,'9999',20.71,2,1,2),(28,7206496,'1989-07-05 00:00:00',2,1,8,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247137154431634434292114610137157',10077,'9999',53.59,1,2,1),(28,7206500,'1994-07-24 00:00:00',4,1,1,2012,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115371431223327575124610116177',6933,'592',53.20,1,2,1),(28,7206518,'1987-01-09 00:00:00',2,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632131321111149192345610158197',NULL,'9999',0.00,1,3,NULL),(28,7206534,'1994-06-24 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215371432434654575125610128042',19732,'868',30.81,1,3,NULL),(28,7206542,'1993-11-24 00:00:00',4,3,12,2010,'M','N','JARDIM CIRANDA','BEBEDOURO','SP','125252251217472431348824571112610162172',938,'9998',67.83,1,3,NULL),(28,7206550,'1991-01-29 00:00:00',4,1,12,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241135473431326669375224133246192',7557,'281',51.00,2,1,1),(28,7206569,'1985-12-05 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131321111149192345610118197',NULL,'9999',30.90,1,3,NULL),(28,7206577,'1994-02-16 00:00:00',4,2,12,2011,'F','N','CENTRO','POMERODE','SC','124241241135161231334419142321610134187',NULL,'621',19.83,1,2,1),(28,7206585,'1993-09-29 00:00:00',4,1,11,2011,'F','N','SERRARIA','S JOSÉ','SC','124242241215111431333319575124610134077',NULL,'976',25.68,1,3,NULL),(28,7206593,'1993-06-09 00:00:00',2,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241216272421424411335124610128042',NULL,'1074',20.70,1,3,NULL),(28,7206607,'1991-01-03 00:00:00',2,26,11,2009,'M','N','INTERIOR','ARABUTÃ','SC','124241241126171211333316145123610112172',NULL,'979',0.00,1,2,1),(28,7206615,'1993-06-05 00:00:00',2,1,12,2010,'F','N','SOBRADINHO','SOBRADINHO','DF','107254071216472411369813572314610132097',1559,'9998',64.48,4,3,NULL),(28,7206623,'1993-04-22 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241126372731513429281124612528057',18718,'277',28.58,2,1,1),(28,7206631,'1991-07-11 00:00:00',2,22,12,2008,'F','N','LIMOEIRO','BRUSQUE','SC','124243241215251751265522395122133262192',NULL,'107',31.68,2,3,NULL),(28,7206658,'1994-09-29 00:00:00',4,8,11,2011,'F','N','SAGUACU','JOINVILLE','SC','124242241215111431426724575125610137145',NULL,'931',27.00,1,3,NULL),(28,7206666,'1994-01-16 00:00:00',2,10,12,2010,'M','N','SARANDI','PTO ALEGRE','RS','120202201217131431655512595124241227047',NULL,'9998',0.00,1,3,NULL),(28,7206674,'1992-05-02 00:00:00',4,1,12,2009,'M','N','VILA REZENDE','PIRACICABA','SP','125251251116572431468734575122610127047',8320,'9998',47.52,1,3,NULL),(28,7206704,'1984-04-23 00:00:00',4,1,12,2001,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241211472731388933571122331526192',5295,'262',55.70,1,3,NULL),(28,7206720,'1992-12-26 00:00:00',4,26,12,2009,'F','N','CENTRO','CONCÓRDIA','SC','124241241116571431325635345125610167077',NULL,'192',0.00,1,2,1),(28,7206739,'1994-06-11 00:00:00',4,1,12,2011,'F','N','MARECHAL RONDON','CANOAS','RS','120202201217151532255922595114610165077',NULL,'9998',18.60,1,3,NULL),(28,7206747,'1991-10-13 00:00:00',2,1,6,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124161247217132532326363485124610124145',15062,'9999',38.76,1,3,NULL),(28,7206755,'1994-10-09 00:00:00',4,22,11,2011,'M','N','SÃO LUIZ','BRUSQUE','SC','116242161216271421659931575124610117095',1551,'9998',67.71,4,3,NULL),(28,7206763,'1994-08-13 00:00:00',4,1,12,2011,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241115471431423324485224610134147',19295,'285',33.88,1,2,1),(28,7206780,'1995-10-03 00:00:00',4,4,12,2012,'M','S','ALVORADA','XAXIM','SC','124242241217151431438911575122610138042',NULL,'994',51.58,1,3,NULL),(28,7206798,'1992-06-02 00:00:00',4,15,12,2009,'F','N','RIO DO SALTO','TIMBÉ SUL','SC','124241241116573431416833585122610137142',NULL,'814',22.25,1,2,1),(28,7206810,'1993-02-09 00:00:00',4,1,11,2010,'M','N','ABERNÉSSIA','CAMPOS JORDÃO','SP','125253251217471231468814572112610124042',3875,'9998',55.75,1,3,NULL),(28,7206828,'1966-06-27 00:00:00',2,1,12,1984,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','224242248217132441333641112134333266177',18910,'260',35.64,1,3,NULL),(28,7206844,'1992-08-18 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241216272251479912495122223222182',17145,'1191',41.16,1,3,NULL),(28,7206852,'1994-06-18 00:00:00',4,7,12,2011,'F','N','BARRA VERDE','HERVAL D OESTE','SC','124241241116271431536436572124610126147',7637,'341',50.35,1,2,1),(28,7206860,'1993-07-06 00:00:00',2,1,11,2010,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241215372431458711495112610136125',3447,'270',59.41,1,3,NULL),(28,7206887,'1991-02-10 00:00:00',2,1,12,2008,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241117132431421311482114610166057',9518,'772',45.64,1,2,1),(28,7206895,'1993-07-05 00:00:00',4,1,1,2012,'F','N','CENTRO','S JOSÉ','SC','124241241135131431438823372122610128147',13830,'739',37.80,1,2,1),(28,7206909,'1980-10-18 00:00:00',4,1,12,1998,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124244241215573421356914372124533224197',4802,'229',58.21,1,3,NULL),(28,7206925,'1994-05-08 00:00:00',2,1,12,2011,'F','N','PASSA VINTE','PALHOÇA','SC','124241241111131211343319572112610124097',NULL,'591',33.50,1,2,1),(28,7206933,'1985-05-30 00:00:00',4,1,1,2012,'F','N','FUNDOS','BIGUAÇU','SC','624241241125151411421379391221610166032',NULL,'65',24.69,4,3,NULL),(28,7206968,'1994-08-05 00:00:00',4,24,12,2011,'M','N','SUMARÉ','RIO SUL','SC','124242241215151431558811315122610137012',13486,'959',37.08,1,3,NULL),(28,7206976,'1993-03-16 00:00:00',2,1,12,2011,'F','N','JD SAO LUIZ','S PAULO','SP','125252251216131411527823235124610168142',NULL,'9998',20.81,4,3,NULL),(28,7206984,'1995-07-01 00:00:00',2,15,12,2011,'F','N','CENTRO','TURVO','SC','124241241116161431434923575122610147142',12664,'814',42.43,1,2,1),(28,7206992,'1984-04-12 00:00:00',4,1,1,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124252241337153421336744445122122267111',NULL,'977',27.89,1,3,NULL),(28,7207034,'1993-10-19 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116371431324434585122610167141',NULL,'307',22.96,1,2,1),(28,7207042,'1994-03-10 00:00:00',4,1,11,2011,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241217471411468813575122610136172',743,'270',70.28,1,3,NULL),(28,7207050,'1994-07-31 00:00:00',2,1,12,2011,'F','N','LOT LISBOA','S JOSÉ','SC','124241241147371311326624145124610146172',17523,'733',40.24,1,3,NULL),(28,7207069,'1993-07-17 00:00:00',4,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241135141732343939585122610117047',NULL,'592',5.58,1,3,NULL),(28,7207085,'1994-11-09 00:00:00',4,1,11,2011,'F','N','VILA TIBÉRIO','RIBEIRÃO PRETO','SP','125252251215121411238912571122610136012',NULL,'9998',18.03,3,3,NULL),(28,7207093,'1991-07-10 00:00:00',4,1,12,2009,'F','N','ESPLANADA','BELO HORIZONTE','MG','113134133216571331669813575112610114022',7065,'9998',58.71,4,3,NULL),(28,7207107,'1984-05-12 00:00:00',2,1,8,2009,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124161247226131711423327182124610144177',NULL,'977',22.61,2,1,2),(28,7207115,'1992-12-05 00:00:00',2,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215472431368811475115610167185',7377,'9997',51.32,1,3,NULL),(28,7207123,'1993-07-30 00:00:00',2,1,12,2010,'F','N','ROÇADO','S JOSÉ','SC','124241241115472431226624345124610124197',11404,'736',51.47,1,3,NULL),(28,7207131,'1971-07-23 00:00:00',2,1,12,1992,'F','N','JARDIM CLÍMAX','DOURADOS','MS','212121123236131721363853132132341327147',18408,'9998',37.61,1,3,NULL),(28,7207140,'1971-05-09 00:00:00',4,1,12,2002,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241127231431423354246134610113187',NULL,'289',34.58,1,3,NULL),(28,7207158,'1993-01-30 00:00:00',4,8,12,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215371431568812215122610121012',14000,'1105',38.89,1,3,NULL),(28,7207166,'1993-06-24 00:00:00',4,5,11,2010,'M','N','GUATÁ','LAURO MÜLLER','SC','124244241215472411466912575114610168042',7198,'226',51.86,1,3,NULL),(28,7207174,'1994-10-27 00:00:00',2,1,1,2012,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116131331424634575124610156197',19437,'732',33.11,1,2,1),(28,7207182,'1990-04-28 00:00:00',4,1,11,2007,'F','N','KOBRASOL','S JOSÉ','SC','124242247217372431343523575114610132097',13528,'9999',48.20,1,3,NULL),(28,7207190,'1993-11-24 00:00:00',2,5,12,2010,'M','N','SÃO BENTO ALTO','NOVA VENEZA','SC','124244241216472431639614575114610167043',7804,'226',51.74,1,3,NULL),(28,7207204,'1976-04-17 00:00:00',2,1,4,2004,'M','N','INGLESES','FLORIANÓPOLIS','SC','224211217111131422324444441124610127047',15133,'9998',34.31,4,2,1),(28,7207212,'1992-05-16 00:00:00',4,1,12,2009,'M','N','JARDIM ALTO DA BARRA','CAMPINAS','SP','125252251215571431458834575112610127057',1946,'9998',63.07,1,3,NULL),(28,7207220,'1992-08-22 00:00:00',4,8,11,2010,'M','N','TATUAPÉ','S PAULO','SP','125252251217471431548711575124610168187',7611,'9998',51.04,1,3,NULL),(28,7207247,'1991-05-25 00:00:00',4,1,2,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241335372431427429285124121631187',7796,'182',49.68,1,3,NULL),(28,7207255,'1993-10-05 00:00:00',4,23,12,2010,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124243241215372431457614375122610137017',8062,'442',50.20,1,3,NULL),(28,7207263,'1992-08-16 00:00:00',2,4,12,2009,'M','N','CENTRO','PINHALZINHO','SC','124241241115571451236614274124610127142',9209,'616',45.80,1,2,1),(28,7207271,'1994-03-17 00:00:00',2,1,12,2011,'F','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124241241116141431431674395124610128032',14865,'307',41.08,1,2,1),(28,7207280,'1993-02-10 00:00:00',2,2,12,2010,'M','N','VELHA','BLUMENAU','SC','124242241216142431459933495122231037042',9171,'909',55.11,1,3,NULL),(28,7207298,'1994-01-04 00:00:00',2,8,12,2011,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241215111431463712575112610168141',11302,'457',42.63,1,3,NULL),(28,7207301,'1985-10-09 00:00:00',4,1,12,2002,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124201201117133431116948485124132236197',12764,'9998',49.34,1,2,1),(28,7207310,'1994-06-03 00:00:00',2,1,1,2012,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115131431323314575124610148045',NULL,'281',21.27,1,2,1),(28,7207328,'1994-06-07 00:00:00',4,1,11,2011,'F','N','ROÇADO','S JOSÉ','SC','124241241315111431224624245124610127182',14593,'1118',37.71,1,3,NULL),(28,7207336,'1994-05-09 00:00:00',2,7,11,2011,'M','N','SAYONARA','CATANDUVAS','SC','124244241415371441333612275125610128087',NULL,'447',0.00,1,3,NULL),(28,7207344,'1994-07-08 00:00:00',2,8,11,2011,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215111431369923595122610127042',NULL,'457',13.55,1,3,NULL),(28,7207352,'1994-02-27 00:00:00',4,1,12,2011,'F','N','BARÃO GERALDO','CAMPINAS','SP','125252251215111431569929575124610111192',3740,'9998',59.71,1,3,NULL),(28,7207360,'1994-10-01 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431446722375124610132093',16365,'1118',35.69,1,3,NULL),(28,7207379,'1993-04-08 00:00:00',4,16,12,2011,'M','N','CENTRO','CURITIBANOS','SC','124241241115371732513363375125610127037',12548,'239',43.40,2,1,1),(28,7207387,'1994-10-28 00:00:00',4,1,12,2011,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124242241215111531646729575124610134147',NULL,'1040',21.55,1,3,NULL),(28,7207395,'1992-02-09 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372411588913575122121437182',16675,'266',42.26,1,3,NULL),(28,7207409,'1993-10-24 00:00:00',2,1,12,2011,'M','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241216111731436935575122610117047',15786,'1223',34.64,1,3,NULL),(28,7207417,'1990-08-14 00:00:00',2,1,12,2007,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241115132431436814395124233262187',NULL,'9997',25.31,1,2,1),(28,7207425,'1993-03-14 00:00:00',4,8,12,2010,'M','N','JULIO DE MESQUITA','SOROCABA','SP','125251251147471432229669375124610137042',10142,'9998',46.17,1,3,NULL),(28,7207441,'1995-10-12 00:00:00',4,7,11,2011,'F','N','CENTRO','ERVAL VELHO','SC','124244241215131431438923575124610164072',16908,'962',41.74,1,3,NULL),(28,7207450,'1970-05-22 00:00:00',6,1,9,2006,'F','N','CAMPINAS','S JOSÉ','SC','124241247116153512214629481114610122171',NULL,'739',34.08,4,3,NULL),(28,7207468,'1985-02-09 00:00:00',4,1,12,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241124242711221344242124610168122',13305,'730',39.98,2,2,1),(28,7207484,'1995-03-06 00:00:00',4,16,12,2011,'F','N','CENTRO','S CRISTÓVÃO SUL','SC','124241241115131431435432575122610124097',NULL,'705',0.00,1,3,NULL),(28,7207492,'1991-02-26 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241137271122126744442334131027047',13237,'857',42.27,1,2,1),(28,7207506,'1995-02-06 00:00:00',4,15,11,2011,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124242241215271431436959575112610137045',3574,'970',59.61,1,3,NULL),(28,7207530,'1993-12-09 00:00:00',4,1,12,2011,'F','N','JD ITALIA','ITAPETININGA','SP','125251251137141411436514345122610155097',18078,'9998',28.92,1,2,1),(28,7207549,'1995-03-22 00:00:00',2,5,12,2011,'M','N','MORRO DA GLÓRIA','URUSSANGA','SC','124242241215111411469933432124610117061',17970,'226',39.01,1,3,NULL),(28,7207565,'1982-06-25 00:00:00',4,1,12,1999,'M','N','BARREIROS','S JOSÉ','SC','124242241216154431356939435122322025113',7946,'259',57.22,1,3,NULL),(28,7207581,'1994-12-12 00:00:00',2,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111531563534575122610167047',17024,'1010',41.48,1,3,NULL),(28,7207590,'1994-06-11 00:00:00',4,1,11,2011,'M','N','JARDIM ATLÁNTICO','FLORIANÓPOLIS','SC','124242241215112431456813295112610127042',14886,'1118',38.26,2,1,2),(28,7207603,'1994-12-16 00:00:00',4,1,12,2010,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','624242241217111531465512575124610117182',15633,'270',44.43,1,3,NULL),(28,7207611,'1992-07-18 00:00:00',4,1,12,2009,'M','N','JD MADALENA','CAMPINAS','SP','125252251217371431368833575122610167052',14032,'9998',47.35,1,3,NULL),(28,7207620,'1994-11-16 00:00:00',2,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215121431669834575122610127043',6621,'262',54.36,1,3,NULL),(28,7207638,'1993-09-04 00:00:00',4,3,12,2010,'F','N','CENTRO','CAMBORIÚ','SC','124242241215471431669812475122610113182',3173,'1038',61.36,1,3,NULL),(28,7207646,'1994-08-10 00:00:00',2,1,12,2011,'M','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241112131711213324572124610117021',NULL,'1248',18.75,1,2,1),(28,7207654,'1991-04-10 00:00:00',4,1,5,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241248226131511112345255123610154042',NULL,'9999',20.01,1,3,NULL),(28,7207670,'1992-11-03 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215374431466934385124610127047',13813,'1022',41.67,1,3,NULL),(28,7207689,'1992-07-23 00:00:00',2,16,12,2009,'M','N','WARNOM','INDAIAL','SC','124241241116472221126941315333233247051',16668,'320',35.02,3,2,1),(28,7207697,'1994-11-11 00:00:00',2,1,12,2012,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124243241216111431358923575122610127042',NULL,'269',29.41,1,3,NULL),(28,7207700,'1994-07-29 00:00:00',2,10,11,2011,'M','N','CENTRO','TUBARÃO','SC','124242241216111231458932295122610127182',18690,'806',36.51,3,3,NULL),(28,7207719,'1994-04-08 00:00:00',4,1,12,2011,'F','N','CIDADE JARDIM','PIRACICABA','SP','125252251215111731436611575122610163144',11385,'9998',51.50,1,3,NULL),(28,7207727,'1994-07-23 00:00:00',4,1,12,2011,'M','N','FLORESTA','S JOSÉ','SC','124243241116121431536623575122610137043',19615,'307',31.89,1,3,NULL),(28,7207735,'1993-02-16 00:00:00',4,4,11,2010,'F','N','CIDADE NOBRE','IPATINGA','MG','113132131216371431468513585124610121142',NULL,'9998',0.00,1,3,NULL),(28,7207743,'1992-07-02 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117231311433324145134610128187',19930,'298',28.99,1,2,1),(28,7207751,'1993-12-31 00:00:00',4,5,12,2011,'F','N','QUARTA LINHA','CRICIÚMA','SC','124242241215111431469314375114610136142',5470,'210',56.05,1,3,NULL),(28,7207760,'1990-04-22 00:00:00',2,1,12,2007,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241336122431636639575224233262192',18849,'1098',35.88,1,3,NULL),(28,7207778,'1995-01-28 00:00:00',2,1,12,2011,'F','N','SÃO JOÃO','PTO ALEGRE','RS','120202201211111412658811215112610164197',16442,'9998',38.00,1,3,NULL),(28,7207786,'1988-12-01 00:00:00',4,1,12,2011,'F','N','CENTRO','S JOÃO BATISTA','SC','124201241145131621113348486345610168187',NULL,'712',0.00,1,2,1),(28,7207794,'1993-01-03 00:00:00',2,1,12,2011,'F','N','PASSA VINTE','PALHOÇA','SC','124241241137371431436613575124610137047',13969,'592',42.71,1,2,1),(28,7207808,'1993-10-13 00:00:00',4,1,11,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215372431448932595114130237112',5928,'211',56.09,1,3,NULL),(28,7207816,'1992-03-17 00:00:00',4,1,12,2009,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201237151431378813574112241667047',7314,'9998',58.29,1,3,NULL),(28,7207824,'1994-03-08 00:00:00',4,1,12,2011,'M','N','PINHEIRINHOS','PASSA QUATRO','MG','113132131216111431488833474115610147041',10832,'9998',52.36,1,3,NULL),(28,7207832,'1993-11-26 00:00:00',4,8,12,2011,'M','N','JRAIVATUBA','JOINVILLE','SC','124243241315131331416618582124610116172',NULL,'466',25.24,1,3,NULL),(28,7207840,'1991-07-03 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241115574431236939575122610168172',8671,'712',55.98,1,3,NULL),(28,7207859,'1994-11-17 00:00:00',2,1,2,2012,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242243114151331338973272124610164042',15936,'306',43.81,4,3,NULL),(28,7207867,'1994-05-10 00:00:00',2,8,11,2011,'M','N','CARANDA BOSQUE I','CPO GRANDE','MS','124124121215411411468812575122610127042',16533,'9998',42.57,1,3,NULL),(28,7207875,'1993-08-12 00:00:00',2,4,12,2010,'F','N','CENTRO','BOM J OESTE','SC','124241241126311421536833275124610147052',14213,'94',38.50,1,3,NULL),(28,7207891,'1988-07-05 00:00:00',4,1,11,2005,'M','N','JARDIM AMERICA','S JOSÉ CAMPOS','SP','125251256225573331556612241112610167047',920,'9998',69.00,1,3,NULL),(28,7207913,'1993-08-01 00:00:00',4,1,2,2012,'M','N','BELA VISTA III','S JOSÉ','SC','124242246117131411356933395122610114192',14962,'306',36.14,1,3,NULL),(28,7207921,'1995-03-11 00:00:00',2,17,12,2011,'F','N','ESTRADA GERAL DA FLO','PAPANDUVA','SC','124241241115371411313311575224610134142',NULL,'603',0.00,1,2,1),(28,7207948,'1989-02-02 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217135431466934245134222727097',17986,'1022',38.97,1,3,NULL),(28,7207956,'1994-09-17 00:00:00',2,1,12,2011,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241115111431523623175124610166147',NULL,'727',21.56,1,2,1),(28,7207972,'1996-06-24 00:00:00',4,25,12,2012,'F','S','CENTRO','RIO ANTAS','SC','124241241116161731433415372224610138012',NULL,'650',42.30,1,3,NULL),(28,7207980,'1976-09-12 00:00:00',2,1,1,2011,'F','N','BELA VISTA','S JOSÉ','SC','224201248246131431623354385114133248192',NULL,'739',27.68,1,3,NULL),(28,7207999,'1993-04-07 00:00:00',2,17,12,2010,'M','N','SÃO CRISTÓVÃO','TRÊS BARRAS','SC','124241241117161431323933472124231414042',NULL,'153',19.55,1,2,1),(28,7208006,'1995-05-26 00:00:00',2,1,12,2011,'F','N','BRAÇO SÃO JOÃO','STO AMARO IMPERATRIZ','SC','124243241315111431435939572124610134147',17897,'1223',39.22,1,3,NULL),(28,7208022,'1993-07-09 00:00:00',4,1,11,2010,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251215471331368833575122610144077',7801,'9998',49.69,1,3,NULL),(28,7208030,'1994-06-21 00:00:00',2,1,12,2011,'F','N','PALMAS','GOV CELSO RAMOS','SC','124241241216111431338811275122610144192',15429,'1134',37.21,1,3,NULL),(28,7208049,'1994-09-26 00:00:00',4,2,12,2011,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241117151331368613572124610134062',9289,'88',49.78,1,3,NULL),(28,7208057,'1993-08-19 00:00:00',4,1,12,2010,'F','N','FAZ SANTO ANTONIO','S JOSÉ','SC','124241241116131431226679345124232066072',17818,'840',39.42,1,3,NULL),(28,7208073,'1995-01-01 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215151711556614385124610124112',12370,'1010',40.84,1,3,NULL),(28,7208081,'1994-03-14 00:00:00',4,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215121431547832575112610167077',4859,'272',57.82,1,3,NULL),(28,7208090,'1994-04-22 00:00:00',2,7,11,2011,'F','N','CENTRO','VIDEIRA','SC','124241241416131431369714245122610133072',NULL,'829',24.41,1,3,NULL),(28,7208103,'1994-12-04 00:00:00',2,1,12,2011,'F','N','RIO GRANDE','PALHOÇA','SC','124241241115131431429823575124610121087',16810,'592',31.85,1,2,1),(28,7208138,'1993-10-15 00:00:00',2,25,12,2010,'F','N','DOIS PINHEIROS','VIDEIRA','SC','124241241215172431338833575112131036147',NULL,'1080',36.47,1,3,NULL),(28,7208146,'1993-12-30 00:00:00',4,17,12,2011,'F','N','CENTENÁRIO','S BENTO SUL','SC','124243241212161431569613572122610143122',6457,'974',52.02,1,3,NULL),(28,7208154,'1994-05-13 00:00:00',4,1,12,2011,'F','N','JABUTICABEIRAS','TAUBATÉ','SP','125253251215111431328823575122610122197',2025,'9998',63.21,1,3,NULL),(28,7208162,'1993-04-08 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217373431578833575114610115115',6434,'1022',53.81,1,3,NULL),(28,7208170,'1994-10-01 00:00:00',2,1,12,2011,'F','N','BOA VISTA','PTO ALEGRE','RS','120202201213371731369814595112610144147',3131,'9998',59.04,1,3,NULL),(28,7208189,'1993-12-22 00:00:00',2,1,11,2011,'M','N','CENTRO','URUBICI','SC','124242246215141231446634575121610117062',15787,'1106',33.43,1,3,NULL),(28,7208197,'1994-06-19 00:00:00',4,1,1,2012,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241245115131431323429395124610137142',NULL,'592',20.55,1,2,1),(28,7208219,'1991-12-19 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242248216333721428611345125610113097',NULL,'1118',9.93,1,3,NULL),(28,7208227,'1993-01-21 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431468812485122610137072',6294,'262',55.15,1,3,NULL),(28,7208235,'1993-03-29 00:00:00',4,4,7,2011,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242281215371431478831575112610136142',9225,'9998',55.03,1,3,NULL),(28,7208243,'1994-02-07 00:00:00',2,6,11,2011,'M','N','CIDADE NOVA','ITAJAÍ','SC','124241241115511211536532175124610117047',NULL,'401',9.96,1,3,NULL),(28,7208251,'1992-04-05 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241215473431359729575112123264095',6661,'270',48.53,4,1,2),(28,7208260,'1990-04-22 00:00:00',2,1,12,2007,'M','N','ITACOROBI','FLORIANÓPOLIS','SC','124243241217154421259913415114123022182',17210,'1048',40.99,4,3,NULL),(28,7208286,'1993-08-10 00:00:00',2,1,12,2011,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115131431424433575124610137047',NULL,'21',0.00,1,2,1),(28,7208294,'1993-06-22 00:00:00',2,1,12,2010,'M','N','BOTAFOGO','RIO JANEIRO','RJ','121212211217471431338821482124610122147',5496,'9998',55.54,1,3,NULL),(28,7208316,'1993-07-27 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241137372431426313572224610127097',16028,'592',34.22,1,2,1),(28,7208324,'1991-04-21 00:00:00',4,8,4,2010,'M','N','PETRÔPOLIS','JOINVILLE','SC','124243243216142441448833243122231417091',NULL,'1006',19.07,4,3,NULL),(28,7208332,'1962-06-14 00:00:00',2,1,12,1987,'F','N','CENTRO','FLORIANÓPOLIS','SC','224242241246274441451343135122331045092',13522,'1169',44.92,1,3,NULL),(28,7208340,'1994-02-10 00:00:00',2,1,12,2011,'F','N','RACHADEL','ANTÔNIO CARLOS','SC','124241241115131431623315575124610124063',13993,'21',38.76,1,2,1),(28,7208359,'1984-02-05 00:00:00',4,1,12,2002,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','224241241136153421326844245124610142117',18872,'285',35.79,1,3,NULL),(28,7208367,'1993-01-21 00:00:00',4,1,12,2010,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241117152441349933572124610126181',12659,'295',39.61,4,1,1),(28,7208375,'1995-02-20 00:00:00',4,2,12,2011,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241217121431489834572112610144042',992,'909',69.31,1,3,NULL),(28,7208383,'1992-05-15 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124113241116572431436616575121610118191',12385,'51',42.91,1,3,NULL),(28,7208391,'1994-06-01 00:00:00',4,1,12,2011,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215111431469934272112610132186',13231,'1022',39.67,1,3,NULL),(28,7208430,'1995-01-27 00:00:00',2,1,12,2011,'F','N','INTERIOR','NOVA P IGUAÇU','PR','116161161116131431534435575124610142067',14089,'9998',38.49,1,2,1),(28,7208448,'1994-04-24 00:00:00',4,1,12,2011,'F','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124241241115131431635514345224610114142',16330,'734',33.27,1,2,1),(28,7208456,'1994-09-09 00:00:00',4,23,12,2011,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124242241235121431457722575112610124012',6874,'1174',50.89,1,3,NULL),(28,7208472,'1991-06-18 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216373711478913575125221438182',4296,'270',61.37,1,3,NULL),(28,7208480,'1993-09-01 00:00:00',2,4,11,2010,'F','N','CENTRO','STA TEREZINHA ITAIPU','PR','116162161215472431346631375124610134142',9909,'9998',44.47,1,3,NULL),(28,7208502,'1993-05-27 00:00:00',2,25,12,2009,'F','N','CENTRO','CAÇADOR','SC','116242161217573431358939575122242467097',931,'9998',68.11,1,3,NULL),(28,7208510,'1992-10-18 00:00:00',2,8,12,2009,'M','N','SANTA CANDIDA','CURITIBA','PR','116163161335571531568713575124610167017',8208,'9998',56.77,1,3,NULL),(28,7208529,'1995-10-10 00:00:00',2,1,12,2012,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124244241215131731422724575124610127012',NULL,'951',39.68,1,3,NULL),(28,7208537,'1987-05-22 00:00:00',4,1,12,2004,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124202201317271431128844345114142833187',NULL,'9998',0.00,1,3,NULL),(28,7208545,'1993-04-01 00:00:00',4,1,12,2010,'F','N','JAÇANA','S PAULO','SP','125252251217471431448631314124610164097',19192,'9998',34.40,1,3,NULL),(28,7208553,'1994-02-02 00:00:00',2,1,12,2011,'F','N','BELA VISTA','S JOSÉ','SC','124242241112151431426619495224610117042',NULL,'739',23.43,1,3,NULL),(28,7208570,'1995-01-10 00:00:00',4,4,11,2011,'M','N','COUNTRY','CASCAVEL','PR','116162161215121441368911575112610147042',2017,'9998',67.35,1,3,NULL),(28,7208588,'1965-09-19 00:00:00',2,1,12,1983,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224161164112173431353349442122122341187',12891,'9998',38.83,1,2,1),(28,7208596,'1994-09-28 00:00:00',2,1,12,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215111431239913575124610127067',NULL,'1048',28.37,1,3,NULL),(28,7208600,'1991-08-25 00:00:00',4,1,12,2009,'M','N','SANTA MONICA','UBERLÂNDIA','MG','113131131416351411328621472324610134142',2892,'9998',63.13,1,3,NULL),(28,7208618,'1992-10-25 01:00:00',4,5,11,2010,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241216472731559914475115610142011',6525,'226',51.90,1,3,NULL),(28,7208626,'1994-08-25 00:00:00',2,1,12,2011,'M','N','CENTRO','S LUIZ GONZAGA','RS','120201202117111731335316571122610137012',NULL,'9998',27.32,1,2,1),(28,7208634,'1996-01-30 00:00:00',4,1,12,2011,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111221459834595124610126195',NULL,'883',29.35,1,3,NULL),(28,7208642,'1993-09-21 00:00:00',4,1,7,2011,'M','N','BELA VISTA','S JOSÉ','SC','124242241115371431448734575122610148057',3692,'739',59.61,1,3,NULL),(28,7208650,'1993-03-18 00:00:00',4,1,11,2011,'F','N','NOVA ITAPIRA','ITAPIRA','SP','125252254117151431143824575124610133077',3579,'9998',58.73,1,3,NULL),(28,7208677,'1995-11-03 00:00:00',4,1,11,2013,'F','S','INGLESES','FLORIANÓPOLIS','SC','124242241235121451333711575124610124097',NULL,'270',44.49,1,3,NULL),(28,7208685,'1995-02-06 00:00:00',2,1,12,2011,'F','N','JARDIM CAMPO ALTO','COLOMBO','PR','116162161415471411658833175124610144117',3234,'9998',59.98,1,3,NULL),(28,7208693,'1981-08-18 00:00:00',2,15,12,1998,'F','N','SÃO JOSÉ','PTO ALEGRE','RS','120202201216471431635934321124342027077',13341,'9998',39.80,1,3,NULL),(28,7208707,'1991-09-19 00:00:00',2,8,12,2009,'F','N','VILA ROSA','PIRAQUARA','PR','116161165115571441356529275124610128092',6574,'9998',53.03,1,2,1),(28,7208715,'1994-03-10 00:00:00',2,8,12,2011,'F','N','BELA VISTA','RIO NEGRINHO','SC','124242241215111431434424575122610133097',NULL,'666',0.00,1,3,NULL),(28,7208723,'1994-08-22 00:00:00',4,4,12,2011,'F','N','MACHADINHO','PALMITOS','SC','124241241117141431323723145125610128052',NULL,'601',0.00,1,3,NULL),(28,7208731,'1989-09-04 00:00:00',4,1,12,2006,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217575751367932575114610162087',335,'1063',75.14,1,3,NULL),(28,7208740,'1994-11-05 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111731459813572122610127072',NULL,'262',43.80,1,3,NULL),(28,7208758,'1994-05-13 00:00:00',4,1,11,2011,'M','N','BOA ESPERANÇA','CUIABÁ','MT','111112111217111531469813575124610162187',6084,'9998',51.40,3,3,NULL),(28,7208766,'1995-11-15 00:00:00',4,1,11,2012,'M','S','ARMAÇÃO','FLORIANÓPOLIS','SC','124244241215111431459953575124610124042',NULL,'1023',51.28,1,3,NULL),(28,7208774,'1989-06-16 00:00:00',4,5,12,2006,'M','N','ESTACAO','URUSSANGA','SC','124242241116372442458933575114120462195',802,'9997',71.09,1,3,NULL),(28,7208782,'1994-02-15 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215111231446613395123610138147',17000,'1118',33.42,1,3,NULL),(28,7208790,'1989-08-28 00:00:00',4,23,12,2006,'F','N','CENTRO','JARAGUÁ SUL','SC','124241241215575431356923475112610162147',3009,'441',63.27,1,3,NULL),(28,7208804,'1979-12-19 00:00:00',2,1,12,2000,'F','N','PASSA VINTE','PALHOÇA','SC','124244247422131431423349192124610132147',NULL,'9997',21.88,1,3,NULL),(28,7208820,'1968-04-03 00:00:00',2,1,12,1991,'M','N','PASSA VINTE','PALHOÇA','SC','224241201127133421423343436222610127097',16003,'9998',36.88,1,2,1),(28,7208847,'1994-06-13 00:00:00',4,1,11,2011,'F','N','COLONIAL VILLAGE','PINDAMONHANGABA','SP','125252251216111411379831475122610137143',NULL,'9998',0.00,1,3,NULL),(28,7208863,'1986-11-01 00:00:00',2,16,12,2004,'F','N','SÃO LUIZ','CURITIBANOS','SC','124241241116371431433314235121610124157',NULL,'239',23.96,1,3,NULL),(28,7208871,'1986-10-22 00:00:00',4,1,12,2005,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124243241147131431456319475112610122147',18759,'609',36.26,1,3,NULL),(28,7208898,'1992-11-30 00:00:00',2,3,12,2010,'M','N','SALSEIROS','ITAJAÍ','SC','124201202116132411113341415221231427047',NULL,'9998',0.00,1,2,1),(28,7208901,'1995-02-18 00:00:00',4,16,12,2011,'F','N','CENTRO','CURITIBANOS','SC','124242241215111431459914395122610124142',14076,'881',47.29,1,3,NULL),(28,7208910,'1976-02-11 00:00:00',2,1,12,2001,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241146132411121449292344610147045',18417,'281',30.50,2,1,1),(28,7208928,'1993-09-29 00:00:00',2,4,11,2010,'F','N','CENTRO','STA TEREZINHA ITAIPU','PR','116161161216472431548931415124610136112',4321,'9998',58.33,1,3,NULL),(28,7208936,'1995-04-05 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241232121311348822212124610116097',NULL,'724',13.32,1,3,NULL),(28,7208944,'1994-08-06 00:00:00',4,2,11,2011,'F','N','ÁGUA VERDE','BLUMENAU','SC','124242241215111431369712275122610138012',5393,'71',53.46,1,3,NULL),(28,7208952,'1994-06-23 00:00:00',4,1,12,2011,'F','N','REGIÃO DO LAGO','CASCAVEL','PR','116161161116311431463824344122610134142',NULL,'9998',0.00,1,2,1),(28,7208979,'1994-08-18 00:00:00',4,1,12,2011,'F','N','ARREIAS','S JOSÉ','SC','124242241215131421227623575124610134147',16252,'1078',37.25,4,1,2),(28,7208995,'1991-10-01 00:00:00',2,1,12,2008,'M','N','CENTRO','PETROLÂNDIA','PE','117172157216161411678811415124610161042',NULL,'9998',0.00,5,4,NULL),(28,7209002,'1994-08-21 00:00:00',4,1,11,2011,'F','N','SETOR SUL','GOIÂNIA','GO','109092091217111431336822575122610126172',NULL,'9998',0.00,1,3,NULL),(28,7209037,'1994-07-21 00:00:00',4,1,12,2011,'F','N','JARDIM APARECIDA','S JOSÉ CAMPOS','SP','125251251217111431327813575122610133072',6176,'9998',51.49,4,3,NULL),(28,7209045,'1993-05-12 00:00:00',4,1,12,2010,'F','N','JD SANTA TEREZA','S JOSÉ R PARDO','SP','125252251217271411358831572122610123042',8567,'9998',49.01,1,3,NULL),(28,7209053,'1994-04-04 00:00:00',2,4,12,2011,'F','N','INTERIOR','CAIBI','SC','124241241116131431224326572125610164187',NULL,'674',13.84,1,2,1),(28,7209061,'1995-05-11 00:00:00',4,1,2,2012,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241215111732566933575124610135012',15415,'270',44.84,1,3,NULL),(28,7209070,'1993-02-15 00:00:00',2,1,12,2011,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124141248117131731623779575124610135143',NULL,'21',21.02,4,2,1),(28,7209088,'1994-06-25 00:00:00',4,1,12,2011,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241115131731424933572112610127047',NULL,'733',0.00,1,2,1),(28,7209096,'1994-01-03 00:00:00',2,6,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431331533274125610168187',8267,'1038',51.91,1,3,NULL),(28,7209126,'1991-08-22 00:00:00',4,1,12,2009,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217574431459919575114610127047',1728,'1133',65.36,1,3,NULL),(28,7209134,'1983-07-05 00:00:00',2,1,12,2001,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','624244241216134431328954485114131033117',NULL,'272',21.33,1,3,NULL),(28,7209142,'1994-11-11 00:00:00',2,15,12,2011,'M','N','CIDADE ALTA','TURVO','SC','124241241116131431433315215121610137052',11951,'814',44.36,1,2,1),(28,7209150,'1992-12-18 00:00:00',4,1,8,2011,'F','N','SERRARIA','S JOSÉ','SC','124241243117151432346624345124610114092',7440,'306',51.58,1,2,1),(28,7209169,'1989-05-18 00:00:00',2,1,12,2006,'F','N','AREIAS','S JOSÉ','SC','224241241137131411536444285112133223142',NULL,'466',0.00,1,3,NULL),(28,7209193,'1995-01-11 00:00:00',4,15,12,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124241241415271431123923151224610126072',3923,'970',57.97,1,3,NULL),(28,7209207,'1995-09-28 00:00:00',4,1,12,2011,'M','N','JARDIM PAULISTA','DOURADOS','MS','112124121216221431579711575112610127042',14525,'9998',46.54,1,3,NULL),(28,7209215,'1994-11-30 00:00:00',2,1,12,2011,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241135131431423319575121610126142',NULL,'21',0.00,1,2,1),(28,7209223,'1994-10-11 00:00:00',4,8,11,2011,'M','N','ATIRADORES','JOINVILLE','SC','124242241216471431468931575122610134062',17201,'1063',41.02,1,3,NULL),(28,7209231,'1994-09-20 00:00:00',2,15,12,2011,'M','N','CENTRO','ARARANGUÁ','SC','624242241215311251468632345122610114112',16082,'970',35.62,1,3,NULL),(28,7209240,'1990-12-01 00:00:00',4,24,12,2010,'M','N','JARDIM AMÉRICA','ITUPORANGA','SC','124244241336131431348634495122610138192',NULL,'415',0.00,1,3,NULL),(28,7209258,'1993-10-25 00:00:00',4,4,12,2010,'F','N','CENTRO','CASCAVEL','PR','116242161215472431443831575122610134182',NULL,'9998',0.00,1,3,NULL),(28,7209266,'1994-12-03 00:00:00',2,27,12,2011,'F','N','INTERIOR','ITAPIRANGA','SC','124241241115161432423314475122610133067',NULL,'410',0.00,1,3,NULL),(28,7209304,'1989-11-17 00:00:00',4,17,12,2006,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241116132431545833432234131526077',NULL,'147',0.00,1,3,NULL),(28,7209312,'1992-04-17 00:00:00',2,9,12,2011,'M','N','IGARRAS','OTACÍLIO COSTA','SC','124241241116161431236614375122610122175',NULL,'583',0.00,1,3,NULL),(28,7209320,'1992-08-06 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117571532213321572214610137041',NULL,'298',7.73,1,3,NULL),(28,7209339,'1992-12-03 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','120201201117131431423431572124610168147',18329,'9998',28.25,1,2,1),(28,7209347,'1995-03-19 00:00:00',2,1,12,2011,'F','N','JARDIM AQUARIUS','PALHOÇA','SC','124241241115241431323621245124610134115',16162,'592',31.41,1,2,1),(28,7209355,'1991-12-28 00:00:00',4,1,12,2009,'M','N','CAMINHO NOVO','PALHOÇA','SC','124242241217152441469733576124222268174',13619,'989',48.02,1,3,NULL),(28,7209363,'1993-04-21 00:00:00',2,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116131531346629595114610167047',14009,'267',38.81,1,2,1),(28,7209371,'1994-04-19 00:00:00',4,25,12,2011,'F','N','BERGER','CAÇADOR','SC','124241241115371331423933575121610152147',15274,'123',36.26,1,2,1),(28,7209380,'1995-09-15 00:00:00',4,1,12,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217111411569933471122610147072',5112,'272',53.81,1,3,NULL),(28,7209398,'1990-02-13 00:00:00',2,3,12,2007,'F','N','JARDIM LEOPOLDINA','PTO ALEGRE','RS','120202201216271431448632275124140421097',16932,'9998',41.68,1,3,NULL),(28,7209401,'1995-03-01 00:00:00',4,6,11,2011,'F','N','ALTO DA GLÓRIA','CURITIBA','PR','116162161215411431559714572124610127111',2905,'9998',61.40,4,3,NULL),(28,7209436,'1994-04-13 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116371711323639295124610128191',NULL,'307',28.14,1,2,1),(28,7209444,'1986-03-12 00:00:00',2,1,12,2003,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241241127373431333329242124610152067',13174,'288',42.59,4,2,1),(28,7209452,'1993-08-16 00:00:00',4,1,12,2010,'F','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125251256217472431559913575122610167052',8368,'9998',49.73,1,3,NULL),(28,7209460,'1991-02-10 00:00:00',2,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241146132751425634245125610124047',NULL,'49',0.00,1,2,1),(28,7209479,'1993-02-24 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124243246217153431233612242112610164142',NULL,'995',0.00,1,3,NULL),(28,7209487,'1994-09-30 00:00:00',4,26,11,2011,'F','N','RODRIGUES','PASSO FUNDO','RS','120202201217111441548412575124610134052',17204,'9998',31.05,1,3,NULL),(28,7209495,'1994-07-28 00:00:00',2,5,12,2011,'M','N','PINHEIRINHO','CRICIÚMA','SC','124243241415411431436617575122610114062',10429,'995',45.65,1,3,NULL),(28,7209509,'1990-01-23 00:00:00',4,8,12,2007,'M','N','GLORIA','JOINVILLE','SC','124244241415572411378833475112121332171',8289,'489',56.65,1,3,NULL),(28,7209517,'1993-10-07 00:00:00',4,1,12,2011,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215112431489913275122610134093',652,'270',71.48,1,3,NULL),(28,7209525,'1994-03-22 00:00:00',2,1,12,2011,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241115131732436939242124610123197',NULL,'733',18.74,4,2,1),(28,7209541,'1990-10-02 00:00:00',2,1,5,2009,'F','N','MARIA AP PEDROSSIAN','CPO GRANDE','MS','112121128117351312336833576124241662171',NULL,'9998',0.00,1,2,1),(28,7209550,'1994-09-03 00:00:00',4,5,11,2011,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124244246217141431348812395124610127052',NULL,'188',0.00,1,3,NULL),(28,7209568,'1992-03-10 00:00:00',4,1,12,2009,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124241241116131411439811345124131942082',19136,'307',34.71,1,2,1),(28,7209576,'1992-03-25 00:00:00',4,1,12,2009,'M','N','CENTRO','CATANDUVA','SP','125252251215471131437614575113610167067',7987,'9998',50.10,1,3,NULL),(28,7209584,'1995-10-10 00:00:00',4,1,2,2012,'F','N','CAEIRA SACO LIMÕES','FLORIANÓPOLIS','SC','124244241217141421334539592124610132195',8654,'270',46.63,1,3,NULL),(28,7209592,'1992-10-07 00:00:00',4,5,12,2010,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124252251115471431436824442334610134036',4531,'9998',57.39,1,3,NULL),(28,7209606,'1993-02-19 00:00:00',4,1,11,2010,'F','N','JARDIM SEIXAS','S JOSÉ R PRETO','SP','125252251215472411459811594122610166147',383,'9998',73.40,1,3,NULL),(28,7209614,'1994-07-08 00:00:00',2,1,12,2011,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241115131431413329571124610133142',NULL,'1248',18.31,4,2,1),(28,7209622,'1993-10-23 00:00:00',4,10,11,2011,'F','N','SÃO JOÃO','TUBARÃO','SC','124242241115271431646862275122610133072',8031,'806',48.88,1,3,NULL),(28,7209630,'1984-03-27 00:00:00',2,1,12,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224151155116132431236354475124141062197',13283,'9998',48.58,1,2,1),(28,7209657,'1995-05-22 00:00:00',2,15,12,2011,'F','N','ALTO RIO JUNDIÁ','MELEIRO','SC','124241241115111732523336572122610137147',19677,'559',23.56,1,2,1),(28,7209665,'1994-02-04 00:00:00',2,1,12,2011,'M','N','COSTEIRA DO RIBEIRÃO','FLORIANÓPOLIS','SC','124241241116371431538634575124610168067',9489,'278',48.67,1,2,1),(28,7209673,'1992-05-21 00:00:00',2,5,11,2009,'F','N','SANTA CRUZ','FORQUILHINHA','SC','124243241215111431446614445134130726147',16140,'995',43.44,1,3,NULL),(28,7209690,'1988-01-22 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANÓPOLIS','SC','224241241116133731223544445114610167047',NULL,'277',21.50,1,2,1),(28,7209703,'1988-02-06 00:00:00',4,1,12,2005,'M','N','REDENTORA','S JOSÉ R PRETO','SP','125252251215371731447832495125440665103',7573,'9998',57.83,1,3,NULL),(28,7209720,'1994-11-30 00:00:00',2,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241215111431448813595124610148077',8728,'272',48.29,1,3,NULL),(28,7209738,'1990-03-15 00:00:00',4,1,11,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217132431323623312124222741187',19542,'1022',32.40,1,3,NULL),(28,7209746,'1990-12-31 00:00:00',4,1,12,2008,'M','N','BOSQUE','PRES PRUDENTE','SP','125252251215571411589713574122610116091',1957,'9998',69.96,1,3,NULL),(28,7209754,'1993-08-02 00:00:00',4,15,12,2010,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241115132411323441315231610117142',NULL,'30',20.32,1,2,1),(28,7209762,'1994-08-18 00:00:00',2,5,11,2011,'F','N','JARDIM MARISTELA','CRICIÚMA','SC','124241241415271431439933372124610127147',9897,'210',47.32,1,3,NULL),(28,7209789,'1994-02-25 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241315112431345919575124610117042',6576,'737',52.08,1,3,NULL),(28,7209797,'1989-04-23 00:00:00',2,1,11,2006,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241215575431588811475122133125017',901,'270',74.58,1,3,NULL),(28,7209800,'1994-09-09 00:00:00',2,1,12,2011,'F','N','SANTO ANTONIO','S BONIFÁCIO','SC','124241241126161531426634575124610148195',14117,'702',38.94,1,2,1),(28,7209819,'1995-05-07 00:00:00',4,1,12,2013,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124242241217111431546724575125610142092',NULL,'1118',44.74,1,3,NULL),(28,7209827,'1994-09-12 00:00:00',2,1,12,2011,'F','N','NOVO HORIZONTE','RONDONÓPOLIS','MT','111112111116161431425839595123610164072',NULL,'9998',0.00,1,3,NULL),(28,7209835,'1994-02-03 00:00:00',4,3,11,2011,'F','N','BOA ESPERANÇA','CUIABÁ','MT','111112111117121411548811585122610167052',NULL,'9998',0.00,1,3,NULL),(28,7209878,'1995-02-05 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431348823475125610122092',18255,'1050',38.10,1,3,NULL),(28,7209886,'1994-05-04 00:00:00',2,1,12,2011,'M','N','TAJUBA I','S JOÃO BATISTA','SC','124241241114131331537823472225610114182',18579,'712',36.98,1,2,1),(28,7209908,'1994-10-25 00:00:00',4,5,11,2011,'M','N','CENTRO','SIDERÓPOLIS','SC','124242241215112431448612575124610124112',6496,'226',55.07,1,3,NULL),(28,7209916,'1994-09-01 00:00:00',4,10,11,2011,'M','N','RECIFE','TUBARÃO','SC','624242241217122451469914575122610164182',6545,'797',53.19,1,3,NULL),(28,7209932,'1994-05-31 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124244241215112731335414575122610128182',11150,'738',44.66,1,3,NULL),(28,7209940,'1994-01-11 00:00:00',4,1,12,2011,'M','N','FLORADAS DE SÃO JOSÉ','S JOSÉ CAMPOS','SP','125252251216111431478734575114610134017',NULL,'9998',0.00,4,3,NULL),(28,7209967,'1994-03-20 00:00:00',2,8,12,2011,'M','N','IRIRIÚ','JOINVILLE','SC','124241241215141431457631345124610147141',15081,'1105',45.45,1,3,NULL),(28,7209975,'1993-12-11 00:00:00',2,1,12,2011,'F','N','TATUAPE','S PAULO','SP','125254251111261331438832571122610163077',NULL,'9998',25.13,1,3,NULL),(28,7209983,'1994-11-03 00:00:00',4,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241215121211458823575124610166092',4600,'272',54.96,1,3,NULL),(28,7209991,'1995-12-09 00:00:00',4,1,12,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241417111411579913245122610123182',8892,'272',55.60,1,3,NULL),(28,7210000,'1992-12-05 00:00:00',2,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212372131469912575124610167067',13026,'1197',40.43,1,3,NULL),(28,7210019,'1995-08-27 00:00:00',4,1,12,2012,'M','S','JARDIM DOS LORDES','S JOSÉ','SC','124242241216111232475912222114610138012',NULL,'262',45.03,1,3,NULL),(28,7210043,'1993-11-16 00:00:00',4,1,12,2011,'F','N','ARIRIU','PALHOÇA','SC','124244241215271731323623575114610163142',NULL,'592',6.53,1,3,NULL),(28,7210060,'1994-04-23 00:00:00',4,23,12,2011,'M','N','VILA LALAU','JARAGUÁ SUL','SC','124241241215151431348813575111610114042',9380,'442',54.75,1,3,NULL),(28,7210078,'1994-08-31 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241237111431456629572112610135017',16596,'738',42.43,1,3,NULL),(28,7210086,'1990-09-19 00:00:00',4,1,12,2007,'M','N','JD NOVO HORIZONTE','ITAÍ','SP','125254251216572731448433575124610124047',3494,'9998',59.90,1,3,NULL),(28,7210094,'1993-12-07 00:00:00',4,1,12,2011,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217112431667812575122610121062',11292,'883',43.55,1,3,NULL),(28,7210108,'1994-06-23 00:00:00',4,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115141431423314345124610137047',17715,'285',39.70,1,2,1),(28,7210116,'1994-10-22 00:00:00',4,1,12,2011,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124243241215111431436634575114610122092',10263,'300',48.73,1,3,NULL),(28,7210124,'1993-09-25 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241116333431324624345124130534182',NULL,'257',0.00,1,3,NULL),(28,7210132,'1993-10-29 00:00:00',2,1,12,2011,'M','N','TAJUBA I','S JOÃO BATISTA','SC','124241241114131221537823442225610114052',16956,'712',33.04,1,2,1),(28,7210140,'1994-10-07 00:00:00',4,1,12,2011,'M','N','ACLIMAÇÃO','S PAULO','SP','125252251237111431558831575122610167051',4736,'9998',55.28,3,3,NULL),(28,7210159,'1993-03-23 00:00:00',2,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124161163116371431123644245124610117012',NULL,'9998',17.09,1,2,1),(28,7210167,'1994-04-21 00:00:00',4,1,12,2011,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241116131231426421575124610118197',17040,'307',32.00,1,2,1),(28,7210175,'1994-05-02 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241116271431423411371122610146197',9119,'734',50.88,1,2,1),(28,7210183,'1994-10-12 00:00:00',4,6,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242243115151431545932575122610167112',18445,'129',37.49,1,3,NULL),(28,7210191,'1994-01-27 00:00:00',4,25,11,2011,'F','N','MATRIZ','VIDEIRA','SC','124244241217131441354623575122610138142',6546,'829',52.33,1,3,NULL),(28,7210205,'1995-04-05 00:00:00',4,1,12,2012,'F','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111431446929575124610166192',NULL,'738',32.76,3,3,NULL),(28,7210213,'1994-03-08 00:00:00',4,1,12,2011,'F','N','NOVA SUÍÇA','GOIÂNIA','GO','109092091215111431569831595122610124097',2276,'9998',60.79,1,3,NULL),(28,7210221,'1993-11-13 00:00:00',4,1,12,2011,'F','N','HORTO','IPATINGA','MG','113132131216111431458834574122610123142',NULL,'9998',0.00,4,3,NULL),(28,7210230,'1994-07-18 00:00:00',4,15,12,2011,'M','N','CENTRO','URUBICI','SC','124241241116141221328614245122610114053',NULL,'818',15.95,1,2,1),(28,7210248,'1992-11-26 00:00:00',4,1,12,2010,'M','N','NOVA PIRACICABA','PIRACICABA','SP','125252251216471432556814185122610137047',3484,'9998',60.94,1,3,NULL),(28,7210264,'1992-07-26 00:00:00',4,4,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241212575411479933572122610114142',1131,'270',68.65,1,3,NULL),(28,7210272,'1994-04-04 00:00:00',4,1,12,2011,'M','N','SETOR BELA VISTA','GOIÂNIA','GO','109092091217111431349811471122610127092',10839,'9998',44.58,1,3,NULL),(28,7210280,'1995-07-01 00:00:00',4,3,12,2011,'M','N','CENTRO','DOURADOS','MS','112122121217111731447712575122610137057',NULL,'9998',30.22,3,3,NULL),(28,7210299,'1993-11-18 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272431259823575122610147187',11610,'270',42.18,1,3,NULL),(28,7210302,'1994-02-23 00:00:00',2,1,11,2011,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124243241112271431336613576124610143072',7530,'271',52.82,1,3,NULL),(28,7210310,'1994-11-19 00:00:00',2,15,12,2011,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124244241215271431436839475125610124071',2633,'970',62.68,1,3,NULL),(28,7210337,'1994-04-13 00:00:00',4,9,12,2011,'M','N','CENTRO','URUPEMA','SC','124241241215111451433935595125610168057',9338,'1207',49.43,1,3,NULL),(28,7210345,'1991-12-06 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115132431326621315123221737042',14566,'271',46.42,1,2,1),(28,7210353,'1994-05-11 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124243241335111431236621575124610164092',NULL,'300',22.09,1,3,NULL),(28,7210361,'1993-12-12 00:00:00',4,1,12,2011,'F','N','PRAIA DE FORA','PALHOÇA','SC','124243241215122431438634395124610164172',5501,'1011',54.68,1,3,NULL),(28,7210370,'1994-06-06 00:00:00',4,1,12,2011,'F','N','REAL PARQUE','S JOSÉ','SC','124241241117271431224823236124610124197',17483,'734',40.34,1,2,1),(28,7210388,'1994-07-14 00:00:00',4,25,12,2010,'F','N','CENTRO','CURITIBA','PR','116242161215572431259933575122610127072',2237,'9998',65.17,1,3,NULL),(28,7210396,'1994-02-10 00:00:00',2,8,10,2011,'F','N','GLÓRIA','JOINVILLE','SC','124242241215111411476822574122610134012',3712,'1063',59.07,1,3,NULL),(28,7210400,'1978-02-28 00:00:00',4,16,11,2006,'F','N','CENTRO','CURITIBANOS','SC','124161241127141732412348382244610168197',NULL,'9997',24.82,1,2,1),(28,7210418,'1992-08-24 00:00:00',4,10,12,2009,'F','N','SAO JOAO','TUBARÃO','SC','124241241116572431435619241122610164197',NULL,'798',36.01,1,2,1),(28,7210426,'1992-05-13 00:00:00',4,1,12,2009,'M','N','PARI','S PAULO','SP','125252251215571731346621595114610147052',11242,'9998',42.70,3,3,NULL),(28,7210434,'1990-07-26 00:00:00',4,4,12,2007,'F','N','CENTRO','HONÓRIO SERPA','PR','116161161216573411459933575122610166192',12494,'9998',49.80,1,3,NULL),(28,7210442,'1992-03-06 00:00:00',2,1,12,2009,'F','N','COOPHEMA','CUIABÁ','MT','111111111116471531443531571124610122142',11569,'9998',42.60,1,2,1),(28,7210450,'1994-06-26 00:00:00',4,1,12,2011,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124241241117371431459713575124610127082',9420,'591',47.58,1,2,1),(28,7210469,'1992-02-18 00:00:00',4,1,12,2011,'M','N','AREIAS','S JOSÉ','SC','124242241215111431336633485124610134197',12186,'976',43.16,1,3,NULL),(28,7210485,'1992-10-01 00:00:00',4,1,12,2009,'F','N','CENTRO','PALHOÇA','SC','124241241115372431546933245124132731182',13452,'592',48.31,1,2,1),(28,7210493,'1993-02-08 00:00:00',2,10,12,2010,'F','N','CABEÇUDA','LAGUNA','SC','124241241132142421446633345124610117155',NULL,'523',32.04,1,2,1),(28,7210507,'1994-08-11 00:00:00',4,26,12,2011,'F','N','CONSOLADORA','GETÚLIO VARGAS','RS','120203201217111731327629572125610121147',15933,'9998',33.68,4,3,NULL),(28,7210515,'1993-07-18 00:00:00',4,4,11,2010,'M','N','JARDIM ITALIA','CHAPECÓ','SC','124241241417472431234623575125610127067',8285,'1193',48.23,1,3,NULL),(28,7210523,'1993-11-28 00:00:00',4,1,12,2010,'M','N','CAMPOLIM','SOROCABA','SP','125252251215471411369813575112610127042',6578,'9998',53.48,1,3,NULL),(28,7210531,'1989-09-11 00:00:00',2,1,12,2008,'M','N','CHACARA','ELDORADO SUL','RS','120201208147131751314424282214610137057',NULL,'9998',18.40,1,2,1),(28,7210540,'1992-02-25 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241146473731439912575124223247147',13441,'765',40.55,1,2,1),(28,7210558,'1994-07-28 00:00:00',4,6,12,2011,'M','N','SÃO JOÃO','ITAJAÍ','SC','124242241215111431456612175122610127067',11828,'1026',43.59,1,3,NULL),(28,7210566,'1995-01-24 00:00:00',2,1,12,2012,'M','S','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111711449411574124610118047',NULL,'1011',39.68,1,3,NULL),(28,7210574,'1994-07-08 00:00:00',4,4,12,2011,'F','N','CENTRO','FAXINAL GUEDES','SC','124241241117131732326421485114610122147',18839,'840',25.55,1,2,1),(28,7210582,'1992-04-06 00:00:00',4,1,12,2009,'F','N','FERRUGEM','GAROPABA','SC','124241241137132231525411372124610156197',11875,'322',42.93,1,2,1),(28,7210590,'1991-12-05 00:00:00',4,1,12,2011,'M','N','IPIRANGA','S PAULO','SP','125252251116271441467811385125610164042',NULL,'9998',23.01,1,3,NULL),(28,7210604,'1994-07-22 00:00:00',2,26,11,2011,'M','N','IMIGRANTES','CONCÓRDIA','SC','124243248217111431469933594122610167053',9631,'190',46.47,1,3,NULL),(28,7210612,'1994-06-10 00:00:00',4,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115272731424614345124610134057',NULL,'592',33.15,1,2,1),(28,7210620,'1993-06-05 00:00:00',4,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241415472431458831572124610167127',8173,'270',49.07,1,3,NULL),(28,7210639,'1994-11-25 00:00:00',2,24,11,2011,'F','N','BARRA DO TROMBUDO','RIO SUL','SC','124241241216571431433953235124610138042',12774,'653',42.43,1,3,NULL),(28,7210655,'1976-04-06 00:00:00',4,1,7,2002,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','224243241246132421523344145124131344157',17668,'964',39.82,4,3,NULL),(28,7210663,'1994-11-11 00:00:00',2,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215111411349934575122610115147',18890,'210',35.72,1,3,NULL),(28,7210671,'1994-06-03 00:00:00',4,2,12,2011,'M','N','VILLA GERMER','TIMBÓ','SC','124244241215122441346823572122610128111',10968,'1157',44.86,1,3,NULL),(28,7210680,'1994-08-23 00:00:00',4,8,12,2011,'M','N','CENTRO','JOINVILLE','SC','124242241235111431468927575112610166112',NULL,'1063',0.00,1,3,NULL),(28,7210701,'1993-11-16 00:00:00',4,1,12,2011,'M','N','PANAMBI','STA BÁRBARA D OESTE','SP','125252251217112431436612275122610167042',NULL,'9998',30.01,3,3,NULL),(28,7210710,'1994-08-01 00:00:00',4,1,12,2011,'F','N','JARDIM NOVA ORLÂNDIA','ORLÂNDIA','SP','125251251116131411435314575122610127057',NULL,'9998',0.00,4,2,1),(28,7210728,'1994-03-10 00:00:00',2,24,12,2011,'M','N','CENTRO','AGRONÔMICA','SC','124241241215131431326331245124610123142',NULL,'663',31.91,1,3,NULL),(28,7210736,'1993-06-30 00:00:00',4,8,12,2010,'M','N','DIHEL','NOVO HAMBURGO','RS','120203201215471431566339275124610166175',NULL,'9998',0.00,1,3,NULL),(28,7210744,'1954-01-16 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224071245126131411421254245124132734183',NULL,'307',19.78,4,2,1),(28,7210760,'1993-10-18 00:00:00',4,15,12,2010,'F','N','PARQUE IPIRANGA','GRAVATAÍ','RS','120204201217471431459314375124610127074',10207,'9998',41.81,1,3,NULL),(28,7210787,'1992-04-13 00:00:00',4,1,12,2009,'F','N','BOQUEIRÃO','SANTOS','SP','125252251211471431448832575112610127112',6147,'9998',50.53,1,3,NULL),(28,7210795,'1995-03-21 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431458832575122610164065',3818,'262',57.65,1,3,NULL),(28,7210809,'1993-09-21 00:00:00',4,9,12,2010,'F','N','SANTA HELENA','LAGES','SC','124243241216372451537933475124233136177',4276,'515',57.26,1,3,NULL),(28,7210817,'1994-12-16 00:00:00',4,3,12,2011,'M','N','PEREQUÊ','PTO BELO','SC','124243241235111432446531575122610134112',15037,'1111',33.91,1,3,NULL),(28,7210833,'1993-07-02 00:00:00',2,1,12,2010,'M','N','JD PRAIANO','GUARUJÁ','SP','125251251111471711438834275121610167052',12776,'9998',40.33,1,2,1),(28,7210841,'1992-09-24 00:00:00',4,8,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215133431666612575121231447042',NULL,'270',0.00,1,3,NULL),(28,7210850,'1994-03-03 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215371431548832575122610121122',6812,'213',53.29,1,3,NULL),(28,7210914,'1994-03-03 00:00:00',2,4,12,2011,'F','N','SANTA MARIA','CHAPECÓ','SC','124241241112111431526614375122610122057',NULL,'176',15.18,1,3,NULL),(28,7210922,'1992-06-02 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241217574431489913575124230266071',286,'270',76.99,1,3,NULL),(28,7210930,'1995-02-24 00:00:00',2,5,11,2011,'M','N','BORTOLUZZI','NOVA VENEZA','SC','124242241215271431458914575122610127042',5488,'213',54.77,1,3,NULL),(28,7210949,'1993-10-04 00:00:00',2,1,12,2011,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124243248116141731336614345124610127047',13302,'739',41.56,1,3,NULL),(28,7210957,'1993-11-02 00:00:00',4,8,11,2010,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161217471551279613375124610164147',NULL,'9998',0.00,1,3,NULL),(28,7210965,'1995-05-15 00:00:00',4,1,12,2012,'M','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241415111731436834285124610122172',NULL,'1198',39.35,4,3,NULL),(28,7210973,'1991-01-04 00:00:00',4,1,12,2008,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241116374431416424495124610114142',17557,'733',40.16,1,2,1),(28,7211015,'1991-03-28 00:00:00',4,1,11,2008,'F','N','SETOR OESTE','GOIÂNIA','GO','109092091216121431468922575125243227057',NULL,'9998',0.00,1,3,NULL),(28,7211023,'1995-01-27 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241117371431336613575124610142095',14902,'733',38.18,1,3,NULL),(28,7211031,'1994-09-10 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112431368919595122610133072',NULL,'273',28.78,1,3,NULL),(28,7211058,'1994-02-13 00:00:00',4,1,12,2011,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241116131431323339195124610135187',13468,'257',41.62,1,2,1),(28,7211066,'1994-02-10 00:00:00',4,1,12,2010,'M','N','ROYAL PARK RESIDENCE','LONDRINA','PR','116164161215372431578834575124242967062',7372,'9998',52.88,1,3,NULL),(28,7211074,'1994-11-03 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215311431557712575122610127052',3566,'262',61.10,1,3,NULL),(28,7211082,'1987-10-19 00:00:00',4,1,11,2004,'M','N','CAMPINAS','S JOSÉ','SC','124243241216375431346634415124120764042',478,'723',74.83,1,3,NULL),(28,7211090,'1994-08-25 00:00:00',4,1,12,2011,'F','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','124244241215131751446832575124610122012',14274,'1048',37.04,1,3,NULL),(28,7211112,'1992-01-23 00:00:00',4,1,12,2010,'M','N','CITY BUSSOCABA','OSASCO','SP','125252251217371431459919585112610167057',7727,'9998',49.09,1,3,NULL),(28,7211120,'1993-04-05 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431458713575112230267051',3699,'1022',61.26,1,3,NULL),(28,7211139,'1989-12-28 00:00:00',2,4,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124242241211473431336614495124121164047',1366,'723',65.09,1,3,NULL),(28,7211147,'1994-06-25 00:00:00',2,1,12,2011,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241217372431359934577122610122177',3340,'738',61.29,1,3,NULL),(28,7211155,'1994-09-06 00:00:00',4,8,11,2011,'M','N','SÃO PEDRO','PTO UNIÃO','SC','124242241215111131657932275112610167122',9970,'633',46.45,1,3,NULL),(28,7211163,'1995-03-14 00:00:00',4,7,12,2011,'F','N','JARDIM ALVORADA','JOAÇABA','SC','124241241112371431226624274124610144017',14582,'448',35.50,1,2,1),(28,7211171,'1992-03-19 00:00:00',2,1,12,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124161161116372431418474495124610114142',16737,'9998',42.12,1,2,1),(28,7211180,'1993-08-05 00:00:00',2,15,12,2010,'F','N','PRAIA DA META','BAL ARROIO SILVA','SC','124244241115142731558713342112610134142',NULL,'29',33.82,1,3,NULL),(28,7211198,'1992-05-24 00:00:00',2,15,12,2009,'M','N','DIVINEIA','ARARANGUÁ','SC','124241241146132431436823242123610135057',NULL,'30',19.01,1,2,1),(28,7211201,'1993-09-02 00:00:00',2,8,12,2010,'F','N','CENTRO','CURITIBA','PR','116164161215471711223924372114610145077',NULL,'9998',0.00,1,3,NULL),(28,7211228,'1990-08-29 00:00:00',4,1,12,2008,'M','N','NOVA HIGIENOPOLIS','JANDIRA','SP','125252251215574431589933415112610168187',96,'9998',80.38,1,3,NULL),(28,7211236,'1993-04-27 00:00:00',2,6,12,2010,'F','N','CENTRO','ITAJAÍ','SC','124131241114142411448714345125233223147',20013,'379',27.88,1,2,1),(28,7211244,'1993-08-07 00:00:00',4,1,12,2010,'M','N','N SENHORA DO ROSARIO','S JOSÉ','SC','124241241115372721323321315114610117052',19663,'726',31.50,4,2,1),(28,7211252,'1994-10-04 00:00:00',4,4,12,2011,'F','N','SÃO CRISTOVÃO','FRANCISCO BELTRÃO','PR','116164161415231432228624575112610124197',NULL,'9998',20.75,1,3,NULL),(28,7211260,'1994-03-08 00:00:00',4,1,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215112431568712575124610167161',4758,'270',54.20,1,3,NULL),(28,7211279,'1986-10-15 00:00:00',2,1,2,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241247126371421223544245124233241142',16826,'9997',41.93,1,2,1),(28,7211287,'1994-07-17 00:00:00',2,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241248116371431426634275124610134147',NULL,'298',26.58,1,2,1),(28,7211309,'1994-05-26 00:00:00',4,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241136131431447733575124610157047',16854,'307',34.71,1,3,NULL),(28,7211317,'1993-11-12 00:00:00',4,5,12,2010,'F','N','RIO MAINA','CRICIÚMA','SC','124241241115372431435923595124232536097',11315,'223',42.79,1,2,1),(28,7211333,'1994-02-16 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241116161412433319475124610127042',NULL,'257',16.85,1,2,1),(28,7211341,'1994-01-10 00:00:00',2,1,12,2011,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241112371431423654375124610134147',17851,'592',32.75,1,2,1),(28,7211350,'1986-01-26 00:00:00',2,1,12,2003,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124051051627271451123644445124610142097',15383,'9998',36.04,4,3,NULL),(28,7211368,'1986-09-29 00:00:00',4,1,12,2003,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124222221216575731468919495114330562092',NULL,'9998',0.00,4,3,NULL),(28,7211384,'1989-04-14 00:00:00',2,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241137373431546823442124610167087',19341,'289',33.64,1,2,1),(28,7211392,'1994-03-14 00:00:00',2,2,12,2011,'F','N','FORTALEZA','BLUMENAU','SC','124201241117472751224624572124610162072',10068,'82',47.00,1,2,1),(28,7211406,'1994-05-30 00:00:00',4,1,12,2011,'F','N','CENTRO','STO ÂNGELO','RS','120202201216111431446912425122610123192',16552,'9998',42.53,1,3,NULL),(28,7211414,'1993-11-11 00:00:00',4,1,11,2011,'F','N','SETOR C','ALTA FLORESTA','MT','111092091214111441556712574122610122092',1412,'9998',67.67,4,3,NULL),(28,7211465,'1987-01-31 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241122372431223344342124610122042',19034,'288',35.18,1,2,1),(28,7211473,'1994-11-14 00:00:00',2,1,11,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215271741448814591122610167187',13175,'737',41.01,1,3,NULL),(28,7211481,'1993-06-27 00:00:00',2,1,12,2010,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124241241116572431323324245134610133147',13063,'298',41.67,1,2,1),(28,7211490,'1992-12-08 00:00:00',2,1,12,2009,'F','N','CAIEIRA B DO SUL','FLORIANÓPOLIS','SC','124241241117371231324444345114610123053',17734,'357',30.93,1,2,1),(28,7211503,'1994-10-01 00:00:00',2,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124243241336111751423319575124610135097',NULL,'1075',15.06,1,3,NULL),(28,7211511,'1976-06-18 00:00:00',4,8,12,1993,'M','N','IRIRIÚ','JOINVILLE','SC','124122121216141431326744345124143262037',12013,'9998',50.53,3,3,NULL),(28,7211520,'1994-12-17 00:00:00',2,1,1,2012,'F','N','ROÇADO','S JOSÉ','SC','124241241115371432436313132124610135147',NULL,'729',29.77,1,2,1),(28,7211538,'1994-07-09 00:00:00',2,1,12,2011,'M','N','JARDIM JANAINA','BIGUAÇU','SC','124243241117371431423611574124610127142',10099,'734',48.44,1,3,NULL),(28,7211546,'1992-05-06 00:00:00',4,1,12,2010,'M','N','JARDIM ESPLANADA II','S JOSÉ CAMPOS','SP','125254251217371431457824571122610161027',2968,'9998',66.99,1,3,NULL),(28,7211554,'1993-01-19 00:00:00',4,1,12,2010,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124241247216131421435723445114610117065',NULL,'9999',14.90,1,3,NULL),(28,7211562,'1992-04-08 00:00:00',4,1,11,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124254251217111731219312372324141025095',14049,'9998',39.50,1,3,NULL),(28,7211570,'1994-10-27 00:00:00',4,1,12,2011,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241116161431438934575124610112042',NULL,'739',34.52,1,2,1),(28,7211589,'1990-10-05 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217475431479633575122230222182',7588,'270',57.81,1,3,NULL),(28,7211597,'1964-07-18 00:00:00',4,1,12,1984,'F','N','INGLESES','FLORIANÓPOLIS','SC','624203208217131411225844442114141914187',NULL,'9998',0.00,1,3,NULL),(28,7211600,'1995-01-11 00:00:00',4,8,12,2011,'M','N','BOEHMERWALDT','JOINVILLE','SC','124241248127131421333614242121610164147',NULL,'482',18.82,1,2,1),(28,7211619,'1994-02-24 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115371731528624275124610125027',NULL,'307',18.43,1,2,1),(28,7211627,'1993-04-07 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241243117141432335634345114610122142',NULL,'278',40.24,1,2,1),(28,7211635,'1994-06-28 00:00:00',2,25,12,2011,'F','N','SAO MIGUEL','FRAIBURGO','SC','124242241217111531335832575122610161197',NULL,'885',22.26,4,3,NULL),(28,7211643,'1990-06-24 00:00:00',4,1,12,2007,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124222241217574431468919576114610164142',NULL,'1022',0.00,4,3,NULL),(28,7211651,'1992-08-20 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241127133421535633445124610167047',18590,'274',36.93,1,2,1),(28,7211660,'1994-03-16 00:00:00',2,4,12,2011,'F','N','NAÇÕES','CONCÓRDIA','SC','124241241115471431436614335122610137147',NULL,'194',37.16,1,2,1),(28,7211678,'1961-07-13 00:00:00',2,1,3,2011,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124213248616151451652279345124610162097',15191,'306',45.24,1,3,NULL),(28,7211686,'1994-04-28 00:00:00',2,2,12,2011,'F','N','BELCHIOR BAIXO','GASPAR','SC','124241241215132411335514572122610153097',7273,'71',54.02,4,3,NULL),(28,7211694,'1992-08-08 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124201201126132431347723445334143244057',NULL,'9998',0.00,1,3,NULL),(28,7211708,'1994-02-05 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115471411427624275114610166042',8535,'307',50.93,1,2,1),(28,7211716,'1988-12-20 00:00:00',4,1,12,2006,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124242241216272431626744445234610131017',NULL,'1040',22.56,4,3,NULL),(28,7211724,'1993-11-09 00:00:00',2,4,12,2011,'M','N','SANTA MARIA','CHAPECÓ','SC','124201241135131431338631225122610134192',NULL,'169',26.95,1,3,NULL),(28,7211732,'1992-05-12 00:00:00',4,1,11,2010,'M','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124244241217132431347834475124120724172',12221,'270',50.20,1,3,NULL),(28,7211759,'1994-01-20 00:00:00',2,4,12,2011,'M','N','CENTRO','CHAPECÓ','SC','124242241215121231479713575124610134182',9954,'1191',44.25,1,3,NULL),(28,7211775,'1994-05-16 00:00:00',4,23,12,2011,'F','N','CZERNIEWCZ','JARAGUÁ SUL','SC','124241241215131751434632575122610122147',NULL,'441',26.71,4,3,NULL),(28,7211783,'1994-05-07 00:00:00',4,3,11,2011,'F','N','MOSSUNGE','CURITIBA','PR','116161163215111321445532575122610137141',19626,'9998',31.79,1,3,NULL),(28,7211805,'1991-05-24 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124241241122142441126644242125232516147',12698,'95',40.13,4,2,1),(28,7211813,'1990-12-04 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','224241161112161431235951472114232825177',NULL,'9998',27.60,1,2,1),(28,7211821,'1986-06-01 00:00:00',2,1,12,2003,'M','N','FORQUILHINHA','S JOSÉ','SC','124241248117142711435631445114610167017',18621,'732',36.82,1,2,1),(28,7211848,'1990-04-05 00:00:00',2,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124244241212151132218841382324130267117',18730,'300',36.36,4,3,NULL),(28,7211856,'1995-01-06 00:00:00',4,16,12,2011,'F','N','INTERIOR','BRUNÓPOLIS','SC','124241241136371431423615571222610138057',17051,'320',31.02,1,2,1),(28,7211864,'1992-01-15 00:00:00',2,2,12,1992,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241216373451226721295124610164187',10359,'86',45.95,1,3,NULL),(28,7211872,'1989-07-14 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116472411446619245124610128147',12769,'257',42.62,4,3,NULL),(28,7211880,'1994-07-29 00:00:00',4,9,12,2011,'F','N','SÃO CRISTÓVÃO','LAGES','SC','124242241215111431349919375122611046172',14870,'499',45.85,1,3,NULL),(28,7211899,'1994-09-10 00:00:00',2,1,12,2011,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124243241625471731323324474124610121147',9375,'262',47.31,1,3,NULL),(28,7211902,'1969-05-07 00:00:00',2,1,12,1997,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224161165111171731321154395124610124097',16767,'9998',36.86,4,2,1),(28,7211910,'1993-02-16 00:00:00',4,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241227141431446614345114610167052',18687,'977',36.53,1,3,NULL),(28,7211945,'1986-10-10 00:00:00',2,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241247122133411221324292124220665047',16867,'306',33.40,2,1,1),(28,7211961,'1993-08-29 00:00:00',4,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','624244241435111411469713294122610136092',11352,'1050',51.55,1,3,NULL),(28,7211970,'1995-01-29 00:00:00',4,1,11,2011,'M','N','FAZENDA SANTO ANTÔNI','S JOSÉ','SC','124242241215121431347821575122610128172',6985,'723',52.66,1,3,NULL),(28,7211996,'1991-06-03 00:00:00',4,8,12,2008,'F','N','BOA VISTA','JOINVILLE','SC','124241241117274721116614345124610164147',19443,'798',33.08,1,2,1),(28,7212003,'1993-08-08 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472731568613395124610113097',NULL,'1118',0.00,1,3,NULL),(28,7212038,'1993-02-13 00:00:00',2,26,11,2010,'M','N','CATARINA FONTANA','CONCÓRDIA','SC','124241241217142432458834395114610137012',8600,'1000',46.73,1,3,NULL),(28,7212054,'1993-10-16 00:00:00',4,1,12,2010,'M','N','TRUJILLO','SOROCABA','SP','125252241215371731689811575112610168184',289,'9998',74.53,1,3,NULL),(28,7212062,'1992-04-23 00:00:00',4,5,7,2010,'M','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124241243216371431236724445124610114052',10982,'995',52.15,1,3,NULL),(28,7212070,'1994-01-05 00:00:00',4,1,11,2011,'M','N','JARDIM MOINHO','MAFRA','SC','124243241215111441548932575122610132147',NULL,'541',0.00,1,3,NULL),(28,7212097,'1992-12-18 00:00:00',2,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124031038117141731626614345124610124187',NULL,'9998',22.04,4,3,NULL),(28,7212100,'1986-04-20 00:00:00',2,10,12,2003,'M','N','MAR GROSSO','LAGUNA','SC','124241241116371731639929495123131464017',16480,'521',42.69,1,2,1),(28,7212127,'1989-07-03 00:00:00',4,1,12,2006,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215374231589813575122133222092',1649,'270',71.06,1,3,NULL),(28,7212135,'1991-07-04 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241117172331336379315121230732185',17720,'289',27.93,1,2,1),(28,7212151,'1994-03-02 00:00:00',4,1,12,2010,'M','N','ST LESTE VILA NOVA','GOIÂNIA','GO','109092091215471331548933585124241412043',5448,'9998',54.47,1,3,NULL),(28,7212160,'1985-04-21 00:00:00',2,1,12,2003,'F','N','JARDIM CIDADE DE FLO','S JOSÉ','SC','524241241122472421123344145124610167147',18949,'734',35.49,1,2,1),(28,7212186,'1993-02-15 00:00:00',4,7,12,2010,'M','N','VILA RICA','HERVAL D OESTE','SC','124241241117131431434654345124610167052',19575,'341',32.20,4,2,1),(28,7212194,'1988-05-28 00:00:00',2,1,12,2005,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201431571231469931571122240624042',NULL,'9998',0.00,1,3,NULL),(28,7212216,'1980-05-14 00:00:00',2,1,12,2004,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241247327154751653332312122133262142',13203,'9999',38.50,1,3,NULL),(28,7212232,'1988-04-15 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241337271431468813342122610167062',NULL,'592',40.42,1,3,NULL),(28,7212240,'1986-11-27 00:00:00',2,1,12,2006,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120201201117471411323339475124610134147',NULL,'9998',0.00,1,2,1),(28,7212275,'1994-04-05 00:00:00',2,10,12,2011,'M','N','MAGALHÃES','LAGUNA','SC','124242248225111411445634315114610117043',NULL,'524',26.51,1,3,NULL),(28,7212291,'1990-07-25 00:00:00',2,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','224241241136135421226844242112610164077',11621,'257',42.68,1,2,1),(28,7212305,'1996-06-28 00:00:00',2,1,11,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469914572122610134072',NULL,'988',45.01,1,3,NULL),(28,7212313,'1994-12-20 00:00:00',4,1,12,2011,'M','N','BOM VIVER','BIGUAÇU','SC','124243241116141231436614345124610127052',16912,'257',41.73,1,3,NULL),(28,7212321,'1991-06-25 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216134741222722491124231024092',8193,'270',49.11,4,3,NULL),(28,7212348,'1990-09-22 00:00:00',2,1,12,2007,'F','N','IPIRANGA','S JOSÉ','SC','224243241216273431226444245334610163147',13505,'868',39.83,1,3,NULL),(28,7212356,'1993-10-24 00:00:00',2,1,12,2011,'F','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241246116152431628613392124610124092',16940,'306',29.49,1,2,1),(28,7212364,'1993-03-01 00:00:00',4,1,12,2011,'M','N','CALEMBA','STO AMARO IMPERATRIZ','SC','124241246116131431526633345134610124017',10458,'306',42.48,1,2,1),(28,7212372,'1994-03-07 00:00:00',2,5,12,2011,'F','N','CRISTO REI','IÇARA','SC','124241241125141431623614142333610166057',NULL,'1005',21.71,1,2,1),(28,7212380,'1994-07-19 00:00:00',4,27,12,2011,'F','N','LINHA CARAVÁGIO','GUARUJÁ SUL','SC','124241241115371111424435155124613218077',19148,'339',34.67,1,3,NULL),(28,7212399,'1992-06-11 00:00:00',2,15,12,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124241242115131731324328575124610138197',11360,'690',42.91,4,2,1),(28,7212402,'1993-09-15 00:00:00',4,1,11,2010,'F','N','ALPHAVILLE','LONDRINA','PR','116162161217471731459911576112610163122',NULL,'9998',0.00,1,3,NULL),(28,7212410,'1985-10-02 00:00:00',2,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','224201202117131421233344245135610167012',12783,'9998',38.90,1,3,NULL),(28,7212429,'1994-09-13 00:00:00',2,1,12,2011,'F','N','FAZENDA RESSURREIÇÃO','ÁGUAS MORNAS','SC','124241241127131431424315332124610113172',18170,'12',28.85,1,2,1),(28,7212453,'1985-01-28 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','224201205117271411233554245134610165012',NULL,'9998',34.74,1,3,NULL),(28,7212461,'1995-03-11 00:00:00',2,16,12,2011,'F','N','INTERIOR','CURITIBANOS','SC','124241241116371431324316572224610114057',15048,'1129',36.79,4,2,1),(28,7212470,'1986-12-15 00:00:00',3,1,12,2004,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241146151441124344345124330966092',12061,'153',50.44,1,3,NULL),(28,7212496,'1990-12-30 00:00:00',4,27,12,2008,'M','N','CENTRO','S JOSÉ CEDRO','SC','124241241116371431523615445224133263142',6758,'334',52.50,1,2,1),(28,7212500,'1994-07-18 00:00:00',2,1,12,2011,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241142161431323313275124610125057',10247,'649',45.36,1,2,1),(28,7212518,'1994-02-25 00:00:00',4,1,12,2011,'M','N','MORRO MINEIRO','ANGELINA','SC','124241241116161231334313275124610137042',13433,'17',40.01,1,3,NULL),(28,7212526,'1993-10-14 00:00:00',2,8,12,2010,'F','N','JARDIM RINCÃO','ARUJÁ','SP','125251251116571411547823575124610136194',5887,'9998',53.67,1,2,1),(28,7212534,'1994-10-24 00:00:00',2,1,12,2011,'F','N','BELA VISTA','S JOSÉ','SC','124241241116131431423524572124610147057',18882,'257',35.76,4,2,1),(28,7212542,'1987-10-03 00:00:00',4,1,12,2004,'F','N','BROOKLIN NOVO','S PAULO','SP','125252251217133511558832415134543232187',16110,'9998',43.49,3,3,NULL),(28,7212569,'1993-10-21 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124193241146572731536611575124610144072',5445,'295',55.99,1,3,NULL),(28,7212577,'1994-03-02 00:00:00',2,4,12,2011,'F','N','SEMINARIO','CHAPECÓ','SC','124241241112371331425614575124610128187',NULL,'169',34.30,4,3,NULL),(28,7212585,'1992-05-31 00:00:00',4,1,12,2009,'M','N','ZONA SETE','MARINGÁ','PR','116124121215511431468614575122610164182',9282,'9998',45.64,1,3,NULL),(28,7212593,'1991-02-22 00:00:00',4,4,12,2008,'F','N','FORQUILHAS','S JOSÉ','SC','124043042116573431658813475124610164191',4686,'9998',55.86,1,3,NULL),(28,7212607,'1989-03-24 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124273271117471431238813485124140834147',1402,'9998',66.51,1,3,NULL),(28,7212623,'1989-12-09 00:00:00',4,8,12,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124092091317575411388716575112223267092',12318,'9998',50.06,1,3,NULL),(28,7212631,'1994-07-03 00:00:00',4,10,12,2011,'F','N','SIQUEIRO','LAGUNA','SC','124241241115371431424939575124610124192',15038,'1148',37.54,1,3,NULL),(28,7212640,'1994-04-12 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241137131751334923572122610132177',NULL,'828',14.67,1,2,1),(28,7212658,'1988-03-03 00:00:00',2,1,12,2005,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241317135711118841315122232864033',11838,'271',50.80,1,3,NULL),(28,7212682,'1993-07-13 00:00:00',2,24,12,2011,'M','N','CENTRO','LONTRAS','SC','124242241215472431256612345124610161072',12448,'991',41.85,1,3,NULL),(28,7212690,'1993-05-20 00:00:00',2,1,12,2010,'F','N','LINDOIA','CURITIBA','PR','116162161237471451328713572124610164147',15012,'9998',37.31,1,3,NULL),(28,7212704,'1982-06-20 00:00:00',2,1,12,2011,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241126131421323344145124610113142',NULL,'9999',0.00,1,3,NULL),(28,7212712,'1988-02-20 00:00:00',4,1,12,2005,'F','N','BELA VISTA I','S JOSÉ','SC','124241241116132431423419385114610134022',NULL,'734',0.00,1,2,1),(28,7212720,'1990-11-12 00:00:00',4,1,12,2007,'F','N','CENTRO','STA MARIA','RS','125202201216471431328813495124241037142',NULL,'9998',0.00,1,3,NULL),(28,7212739,'1994-08-01 00:00:00',2,1,12,2011,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241225131431436624245124610147077',7292,'262',49.68,1,3,NULL),(28,7212747,'1994-06-18 00:00:00',2,10,12,2010,'F','N','TERMAS','GRAVATAL','SC','124241241117371431425923595124231536017',NULL,'332',0.00,1,2,1),(28,7212755,'1992-10-28 00:00:00',2,6,12,2009,'M','N','CENTRO','ITAJAÍ','SC','116161241125572751346634575124610167047',13918,'395',39.14,1,2,1),(28,7212798,'1991-09-01 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241112272411426613385124243232065',14987,'1248',37.26,1,2,1),(28,7212801,'1988-10-07 00:00:00',4,7,12,2006,'F','N','JARDIM MORADA DO SOL','HERVAL D OESTE','SC','124241245126132411223329435223130224147',NULL,'342',19.12,1,2,1),(28,7212810,'1993-10-25 00:00:00',2,1,12,2011,'M','N','PRAIA DO SONHO','PALHOÇA','SC','124241241115131531323334282344610127077',NULL,'595',21.90,1,3,NULL),(28,7212828,'1994-04-11 00:00:00',4,8,12,2011,'M','N','JARDIM IRIRIU','JOINVILLE','SC','124241241135141431533311245124610134187',NULL,'469',0.00,1,2,1),(28,7212836,'1988-10-30 00:00:00',2,25,12,2005,'F','N','SÃO CRISTÓVÃO','VIDEIRA','SC','124241241216332421449613435134331544077',7371,'829',53.61,1,3,NULL),(28,7212860,'1993-03-16 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241315151431337924575114610117091',14248,'268',39.69,1,3,NULL),(28,7212879,'1990-02-14 00:00:00',2,1,12,2007,'F','N','CIDADE JARDIM','POUSO ALEGRE','MG','113131131415271431323311482324141337074',NULL,'9998',26.98,1,3,NULL),(28,7212909,'1992-02-17 00:00:00',4,1,12,2009,'F','N','MONTE ALEGRE','RIBEIRÃO PRETO','SP','125252251217471731479933575124243263046',5433,'9998',54.24,1,3,NULL),(28,7212917,'1993-05-06 00:00:00',4,10,12,2011,'M','N','CENTRO','S MARTINHO','SC','124242241126141411359312245132610127042',NULL,'750',14.24,1,3,NULL),(28,7212925,'1995-03-14 00:00:00',2,1,1,2012,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241115371431423514575124610136142',14018,'64',38.15,1,2,1),(28,7212933,'1983-05-11 00:00:00',2,1,10,2001,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224243247327133411426431282323233227093',NULL,'9999',22.68,1,3,NULL),(28,7212941,'1995-05-05 00:00:00',4,1,12,2011,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241117471451223479572124610167052',NULL,'733',30.04,1,2,1),(28,7212950,'1986-06-23 00:00:00',4,1,12,2004,'M','N','SION','BELO HORIZONTE','MG','113132131211141411669933341124341047117',3664,'9998',57.76,1,3,NULL),(28,7212984,'1990-10-01 00:00:00',4,1,12,2008,'M','N','PARQUE SÃO JORGE','CAMPINAS','SP','125251251137471431436614245124610135147',6710,'9998',51.26,1,2,1),(28,7212992,'1991-11-11 00:00:00',4,8,12,2009,'M','N','AMERICA','JOINVILLE','SC','124242246217212421338724441121610137072',NULL,'1105',28.27,1,3,NULL),(28,7213000,'1993-01-18 00:00:00',4,1,12,2010,'M','N','PINHEIRÃO','FRANCISCO BELTRÃO','PR','116163161136132221325524245223610124177',NULL,'9998',0.00,1,3,NULL),(28,7213018,'1993-09-14 00:00:00',2,1,12,2011,'M','N','RATONES','FLORIANÓPOLIS','SC','124241241115371532523411315124610124047',17267,'307',35.85,1,2,1),(28,7213026,'1994-08-22 00:00:00',2,1,12,2011,'M','N','ALTO ARIRIU','PALHOÇA','SC','124241241135131311335322285124610127047',NULL,'772',11.03,1,2,1),(28,7213042,'1990-07-08 00:00:00',2,10,12,2007,'F','N','VILA FLÔR','CAPIVARI BAIXO','SC','124241241116133731446623572124231328147',NULL,'1034',34.20,2,1,1),(28,7213050,'1991-06-27 00:00:00',4,15,5,2011,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242247147141711388923335122231068121',NULL,'9999',0.00,1,3,NULL),(28,7213077,'1992-05-28 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215155721369733572114233264186',15290,'1022',45.07,1,3,NULL),(28,7213085,'1992-10-05 00:00:00',2,1,12,2009,'M','N','PARQUE ALVORADA','DOURADOS','MS','112122121216313411648826372324240227052',10143,'9998',44.58,1,3,NULL),(28,7213093,'1980-12-09 00:00:00',4,1,12,1998,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124251251126131431223144443334143024187',NULL,'9998',0.00,1,3,NULL),(28,7213115,'1990-10-20 00:00:00',2,1,12,2007,'M','N','HAMONIA','CANOAS','RS','120204201211271441435644241121141124052',7625,'9998',51.77,1,3,NULL),(28,7213123,'1990-02-01 00:00:00',4,10,12,2007,'F','N','HUMAITÁ','TUBARÃO','SC','124241241141272431433644241234131423147',NULL,'798',35.13,1,2,1),(28,7213131,'1987-10-13 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241216373421236844345112610133045',19445,'494',33.08,1,3,NULL),(28,7213140,'1982-08-11 00:00:00',4,1,12,1999,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241312343421247544445132321567047',8692,'270',47.14,1,3,NULL),(28,7213158,'1981-06-19 00:00:00',4,1,11,1998,'M','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124201201437132431332644141234121716047',12344,'9998',50.02,2,1,2),(28,7213174,'1994-02-02 00:00:00',2,1,12,2011,'F','N','GUARDA DO EMBAÚ','PALHOÇA','SC','124241248136471731413319275124610124052',NULL,'595',22.00,1,2,1),(28,7213182,'1994-02-18 00:00:00',4,1,12,2011,'M','N','AREIAS','S JOSÉ','SC','124241241135131431425614245131610137047',NULL,'730',24.76,1,3,NULL),(28,7213190,'1969-02-15 00:00:00',2,1,2,2007,'F','N','ROÇADO','S JOSÉ','SC','224241241127131721543153382114610145037',NULL,'729',20.83,1,2,1),(28,7213204,'1992-03-21 00:00:00',2,1,12,2009,'M','N','FAZ DO RIO TAVARES','FLORIANÓPOLIS','SC','124241248135471731235424145213610127057',10507,'285',43.39,1,2,1),(28,7213212,'1989-11-03 00:00:00',2,3,12,2006,'F','N','RITA VIEIRA','CPO GRANDE','MS','112122121217111431645539415122340634097',2062,'9998',62.98,4,3,NULL),(28,7213220,'1989-09-03 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124214241215575731456534372124133232077',925,'738',71.37,4,3,NULL),(28,7213239,'1995-05-12 00:00:00',4,15,12,2011,'M','N','CENTRO','BAL ARROIO SILVA','SC','124244241115151441438923575122610168041',NULL,'854',31.51,1,3,NULL),(28,7213255,'1994-04-17 00:00:00',2,1,12,2011,'F','N','ROÇADO','S JOSÉ','SC','124241241116141431534339492224610123147',NULL,'729',26.61,1,3,NULL),(28,7213263,'1993-06-08 00:00:00',4,22,12,2010,'M','N','CENTRO','GUABIRUBA','SC','124243246217272451454624145124221424072',1175,'1123',69.15,1,3,NULL),(28,7213271,'1995-11-03 00:00:00',4,1,12,2011,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241115371421336634575122610147047',9807,'307',47.32,1,2,1),(28,7213298,'1992-07-21 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217153431439832285124122222117',NULL,'300',0.00,1,3,NULL),(28,7213301,'1994-08-11 00:00:00',4,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241115371431512311572114610124193',11590,'9997',43.18,1,2,1),(28,7213310,'1992-06-26 00:00:00',4,8,12,2009,'M','N','SANTO ANTONIO','JOINVILLE','SC','124241241115273731246824585114221437011',12800,'697',43.47,1,3,NULL),(28,7213328,'1985-08-10 00:00:00',4,1,12,2004,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241248127132531221327482114610124187',NULL,'278',17.71,2,1,1),(28,7213360,'1995-07-17 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431468911575122610127072',NULL,'1169',43.07,1,3,NULL),(28,7213387,'1993-12-13 00:00:00',4,1,12,2011,'M','N','RIO GRANDE','PALHOÇA','SC','124241241115131411324334345124610126147',NULL,'592',38.31,1,2,1),(28,7213395,'1994-09-30 00:00:00',4,27,12,2011,'M','N','INTERIOR','ITAPIRANGA','SC','124241241115111432534336575125610124042',NULL,'410',0.00,1,2,1),(28,7213417,'1994-02-06 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124162241215111431568733575124610124042',10681,'1022',44.74,1,3,NULL),(28,7213425,'1993-06-12 00:00:00',4,2,12,2010,'F','N','PADRE MARTINHO STEIN','TIMBÓ','SC','124241241115371411336711275114610166041',NULL,'787',37.24,1,3,NULL),(28,7213433,'1993-05-09 00:00:00',4,6,11,2010,'F','N','ARMAÇÃO','PENHA','SC','124244241216372431447824345114610124057',NULL,'389',0.00,1,3,NULL),(28,7213441,'1989-10-22 00:00:00',4,1,11,2007,'F','N','JARDIM CRISTIANE','STO ANDRÉ','SP','125252251217471431446611595122610162197',NULL,'9998',0.00,1,3,NULL),(28,7213450,'1994-03-23 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115161231326524575124610117047',NULL,'257',25.00,1,2,1),(28,7213468,'1990-09-13 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117372431346313445134133262092',5752,'257',54.02,1,2,1),(28,7213476,'1994-06-07 00:00:00',4,22,12,2011,'F','N','MOURA','CANELINHA','SC','124241241125131431523319392124610122142',NULL,'913',0.00,1,2,1),(28,7213484,'1994-06-26 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241136141431534611215124610137032',19797,'295',30.33,1,2,1),(28,7213492,'1992-01-14 00:00:00',4,5,5,2010,'M','N','PIO CORREA','CRICIÚMA','SC','124242281414272411458914575124233242051',NULL,'9998',29.00,1,3,NULL),(28,7213506,'1994-06-26 00:00:00',4,1,12,2011,'M','N','RIO PEQUENO','ANGELINA','SC','124241241115161451433336255114610167052',18827,'17',35.98,1,2,1),(28,7213522,'1993-01-30 00:00:00',2,1,12,2011,'M','N','JARDIM SAO CARLOS','SOROCABA','SP','125252251215111431379619575112610117052',17806,'9998',30.37,1,3,NULL),(28,7213557,'1991-05-14 00:00:00',2,8,12,2008,'F','N','SAO FRANCISCO','CURITIBA','PR','116241241216575431434933345123610154172',7752,'424',57.56,1,3,NULL),(28,7213565,'1994-10-10 00:00:00',4,1,12,2011,'F','N','NOSSA S DO ROSÁRIO','S JOSÉ','SC','124243241225111431425614575124610126075',12463,'262',42.37,1,3,NULL),(28,7213573,'1988-10-28 00:00:00',4,1,12,2005,'M','N','JURERE','FLORIANÓPOLIS','SC','124241241111142431233611212114130737067',NULL,'295',34.18,1,2,1),(28,7213590,'1994-07-20 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115131732425324596124610134147',NULL,'257',21.91,4,2,1),(28,7213603,'1992-11-29 00:00:00',4,1,12,2009,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241137141431523334345114610134147',NULL,'274',32.87,1,2,1),(28,7213620,'1994-04-11 00:00:00',4,7,11,2011,'F','N','CENTRO','CAPINZAL','SC','124241241236371211437733572122610132077',13258,'446',48.62,1,3,NULL),(28,7213638,'1994-10-20 00:00:00',2,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','624243248215111731426313435114610128182',19294,'1022',33.88,1,3,NULL),(28,7213646,'1995-03-08 00:00:00',2,4,12,2011,'F','N','CENTRO','PALMITOS','SC','124241241116371431626624575124610127142',10961,'1030',43.15,1,2,1),(28,7213654,'1989-12-27 00:00:00',3,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241215132431424631375124122344187',13151,'1048',48.77,4,3,NULL),(28,7213662,'1992-02-05 00:00:00',2,27,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124241241116131721333624315122230834047',NULL,'757',0.00,1,3,NULL),(28,7213689,'1986-11-17 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124202241217132721438719142124610133147',NULL,'269',25.01,1,3,NULL),(28,7213697,'1993-03-13 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116473431423314485124610117141',NULL,'1248',29.21,2,1,1),(28,7213700,'1993-01-07 00:00:00',2,1,12,2011,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241243117131431323321275124610137142',NULL,'306',28.51,1,2,1),(28,7213719,'1993-06-21 00:00:00',2,22,12,2010,'F','N','TAJUBA UM','S JOÃO BATISTA','SC','124201241112372331444314285124610124147',NULL,'712',28.76,1,2,1),(28,7213743,'1990-07-06 00:00:00',2,9,12,2007,'F','N','VARZEA','LAGES','SC','124242241212572531335619295125133267057',6776,'9997',59.23,1,3,NULL),(28,7213751,'1994-05-01 00:00:00',4,16,12,2011,'F','N','CENTRO','CURITIBANOS','SC','124241241115471431425723345125610124147',16027,'239',34.61,1,3,NULL),(28,7213760,'1995-09-13 00:00:00',4,10,10,2011,'M','N','PASSAGEM','TUBARÃO','SC','124242241235112431469912575112610131092',2256,'806',69.00,1,3,NULL),(28,7213778,'1980-02-15 00:00:00',4,1,12,1996,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124203203447143441238641415124232162047',19214,'9998',34.27,1,3,NULL),(28,7213786,'1991-01-13 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124211211117151721227679297214142367057',NULL,'9998',14.33,4,2,1),(28,7213808,'1994-05-28 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241216112431458614575124610132197',5798,'1022',54.60,1,3,NULL),(28,7213816,'1989-03-05 00:00:00',2,1,12,2006,'M','N','PEDREIRA','S PAULO','SP','125252251217472431447631485114141067047',2408,'9998',60.30,1,3,NULL),(28,7213824,'1995-02-17 00:00:00',4,7,12,2011,'F','N','FARROUPILHA','VIDEIRA','SC','124244241215371431446933315122610123057',14093,'829',36.11,1,3,NULL),(28,7213832,'1989-12-13 00:00:00',4,1,12,2007,'F','N','PUTIM EMHA','S JOSÉ CAMPOS','SP','125254251217571411223327272114610112143',3384,'9998',58.99,1,3,NULL),(28,7213840,'1994-03-04 00:00:00',4,1,12,2011,'M','N','RIO GRANDE','PALHOÇA','SC','124241241125131431225751245234610124147',8636,'592',53.44,4,2,1),(28,7213859,'1994-01-04 00:00:00',4,6,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124252241215211431668714342122610145157',12504,'44',41.39,1,3,NULL),(28,7213875,'1990-10-02 00:00:00',2,5,8,2009,'M','N','PRESIDENTE VARGAS','IÇARA','SC','124241246215373431433933495124610124142',11100,'995',51.96,1,3,NULL),(28,7213883,'1994-04-19 00:00:00',4,16,12,2011,'F','N','CENTRO','CURITIBANOS','SC','124241241115371712318619295125610164147',14056,'239',38.40,1,2,1),(28,7213891,'1993-03-16 00:00:00',4,1,12,2010,'M','N','FAZENDA DO MAX','S JOSÉ','SC','124241241116471431134324445124610167052',16821,'733',32.32,1,2,1),(28,7213913,'1992-07-17 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217471431448732485112133234072',NULL,'44',37.44,1,3,NULL),(28,7213921,'1994-05-04 00:00:00',2,1,12,2011,'F','N','CIDADE ALTA','CUIABÁ','MT','111111111117471751424414245124610133037',13013,'9998',40.54,4,2,1),(28,7213930,'1991-07-31 00:00:00',2,1,12,2009,'F','N','PARARANGABA','S JOSÉ CAMPOS','SP','125251251115471431423314245124610136094',NULL,'9998',17.73,1,2,1),(28,7213948,'1994-02-23 00:00:00',4,24,12,2011,'M','N','CENTRO','BRAÇO TROMBUDO','SC','124241241147371331534414295111610122057',13000,'103',40.24,2,1,1),(28,7213956,'1992-06-15 00:00:00',2,25,12,2010,'M','N','MARAFON','VIDEIRA','SC','124241241121131411553923244125610121012',NULL,'831',0.00,1,2,1),(28,7213972,'1991-10-19 00:00:00',2,1,12,2008,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241116132531345513245133133257037',NULL,'298',40.70,1,2,1),(28,7213980,'1989-05-27 00:00:00',4,1,12,2006,'M','N','CENTRO HISTORICO','GAROPABA','SC','124122121216161411657722425115130226173',17791,'9998',39.50,1,3,NULL),(28,7213999,'1988-08-14 00:00:00',2,1,12,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241127411432621124341224610117051',18699,'294',36.46,4,2,1),(28,7214006,'1993-04-29 00:00:00',2,10,12,2010,'F','N','VILA JOSÉ NAZÁRIO','ARMAZÉM','SC','124241241126271431223344145324610128077',19822,'34',19.91,1,3,NULL),(28,7214014,'1995-06-11 00:00:00',4,8,12,2011,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241215111431454832575122610136142',11933,'1063',42.50,1,3,NULL),(28,7214022,'1994-10-17 00:00:00',4,1,12,2011,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124243241117471741428824595124610167017',10793,'285',45.69,1,3,NULL),(28,7214030,'1989-03-31 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124133137116331221124444246334610117141',NULL,'9998',0.00,2,1,2),(28,7214049,'1992-05-11 00:00:00',2,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124251241136142431348579335124610118183',NULL,'735',23.63,1,3,NULL),(28,7214057,'1990-10-05 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241111272421434413482114610117047',17349,'285',37.17,1,3,NULL),(28,7214065,'1993-05-03 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241116372431423474475124610126177',9410,'1248',48.46,1,2,1),(28,7214081,'1993-09-05 00:00:00',2,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241116271332537623575124610117047',14994,'307',39.84,1,3,NULL),(28,7214090,'1991-06-17 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241311574341446413445124122324012',7182,'1022',58.51,4,3,NULL),(28,7214103,'1993-05-22 00:00:00',4,4,11,2010,'M','N','CENTRO','PATO BRANCO','PR','116161161216472341468932175132610167052',3520,'9998',60.71,1,3,NULL),(28,7214111,'1993-12-30 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241116132431323654575114610126147',17768,'1248',30.61,1,2,1),(28,7214120,'1994-08-02 00:00:00',4,1,12,2011,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241227131431423634275124610128195',10492,'262',41.82,1,3,NULL),(28,7214146,'1992-01-15 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241125131431523324372124610134072',NULL,'922',13.66,1,2,1),(28,7214162,'1993-03-25 00:00:00',4,1,12,2010,'F','N','VILA SABRINA','S PAULO','SP','125254251215471731248663575124610132187',2195,'9998',62.37,1,3,NULL),(28,7214170,'1994-08-09 00:00:00',4,3,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124113241115131431436616595125610137182',14441,'51',35.94,1,3,NULL),(28,7214189,'1992-07-15 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217473431445712275122610127097',7537,'270',51.55,1,3,NULL),(28,7214197,'1989-05-04 00:00:00',4,8,12,2006,'M','N','CENTRO','CURITIBA','PR','116162161215573411445632571125610132142',1961,'9998',66.84,1,3,NULL),(28,7214200,'1995-03-06 00:00:00',4,27,12,2011,'F','N','CENTRO','MARAVILHA','SC','124243241116131431434634275122610148072',9768,'552',54.11,1,3,NULL),(28,7214219,'1994-05-26 00:00:00',4,2,12,2011,'M','N','ARAPONGUINHAS','TIMBÓ','SC','124241241134111431436829292122610117042',NULL,'787',25.46,1,3,NULL),(28,7214243,'1993-05-20 00:00:00',4,1,12,2010,'M','N','PEDRA REDONDA','PTO ALEGRE','RS','120252201216571431389812391122610167042',3077,'9998',59.47,1,3,NULL),(28,7214251,'1994-05-09 00:00:00',4,27,12,2011,'F','N','SALETE','S MIGUEL OESTE','SC','124241241315151431346813575125610148147',14448,'1179',37.79,1,3,NULL),(28,7214260,'1994-03-31 00:00:00',4,4,12,2011,'F','N','UNIVERSITÁRIO','CHAPECÓ','SC','124241248117271431466611575124610131127',12952,'169',43.19,1,2,1),(28,7214278,'1993-08-09 00:00:00',2,1,11,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124161241116341721423319211214610116057',NULL,'285',41.01,1,3,NULL),(28,7214294,'1994-06-14 00:00:00',2,8,11,2010,'M','N','VILA NOVA','JOINVILLE','SC','124241241215131211443519492124610126047',10034,'1063',45.95,1,3,NULL),(28,7214308,'1995-11-03 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241234151531348832387312610118057',12132,'699',40.19,1,3,NULL),(28,7214316,'1983-12-23 00:00:00',4,1,11,2001,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241114374431244742425123220267053',17018,'306',41.51,1,3,NULL),(28,7214324,'1994-11-07 00:00:00',2,5,11,2011,'F','N','NASPOLINI','CRICIÚMA','SC','124242241215111431347611595122610148177',NULL,'210',0.00,1,3,NULL),(28,7214332,'1991-03-18 00:00:00',2,1,12,2008,'F','N','CAMPO DE DEMOSTRAÇÃO','S PEDRO ALCÂNTARA','SC','124241241126132431423315441334610135017',15253,'869',45.14,1,2,1),(28,7214340,'1994-12-28 00:00:00',4,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111431358812575122610122195',16040,'723',43.62,1,3,NULL),(28,7214359,'1994-04-17 00:00:00',2,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117141731423314385124610124142',NULL,'1248',25.47,4,1,1),(28,7214367,'1992-12-19 00:00:00',4,6,12,2009,'M','N','SÃO VICENTE','ITAJAÍ','SC','124241241115371741343314185112610167186',NULL,'1056',20.03,4,2,1),(28,7214375,'1993-06-11 00:00:00',2,10,12,2010,'F','N','CENTRO','PTO ALEGRE','RS','120202208217131441528719275121610164117',14348,'9998',37.43,1,3,NULL),(28,7214383,'1992-01-20 00:00:00',4,2,12,2009,'M','N','CENTRO','CURITIBA','PR','116244241212231222122333272121220411105',NULL,'855',33.77,1,3,NULL),(28,7214391,'1996-12-06 00:00:00',4,4,12,2013,'F','S','SANTA MARIA','CHAPECÓ','SC','124241241116131531527714445122610157097',NULL,'169',0.00,4,3,NULL),(28,7214405,'1991-11-06 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124251241132272231643332232114610117062',18127,'283',38.48,1,2,1),(28,7214413,'1984-07-19 00:00:00',2,1,12,2002,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124253251317131451137742245134142826027',18594,'9998',36.92,1,3,NULL),(28,7214430,'1993-12-30 00:00:00',2,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','124241241116472431347632475124610114052',13715,'146',47.86,1,2,1),(28,7214448,'1994-02-25 00:00:00',4,1,12,2011,'M','N','JD MONTEREY','JALES','SP','125252251211111431468811572122610117192',NULL,'9998',0.00,1,3,NULL),(28,7214456,'1990-02-06 00:00:00',2,1,12,2007,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124243241215145431456819345122230237042',11193,'1022',51.80,4,3,NULL),(28,7214464,'1993-12-25 00:00:00',2,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241116131431424314375124610127187',NULL,'1248',19.14,1,2,1),(28,7214472,'1994-04-29 00:00:00',2,27,12,2011,'F','N','CENTRO','S LOURENÇO','MG','120224201137151431538913432124610138145',18573,'9998',27.90,1,3,NULL),(28,7214480,'1995-09-25 00:00:00',4,5,11,2011,'M','N','MICHEL','CRICIÚMA','SC','124242241215111731566612575122610162192',NULL,'226',18.88,1,3,NULL),(28,7214499,'1994-01-26 00:00:00',4,1,12,2011,'M','N','BOM VIVER','BIGUAÇU','SC','124241241117371431556617282124610137052',8525,'1116',56.22,1,2,1),(28,7214502,'1993-07-11 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241127142431233631245124131016045',19847,'80',29.88,1,2,1),(28,7214510,'1994-06-27 00:00:00',4,1,12,2011,'F','N','SAO MANOEL','S JOSÉ R PRETO','SP','125252251211111411578911571122610162197',7225,'9998',50.02,1,3,NULL),(28,7214529,'1993-12-20 00:00:00',2,9,12,2010,'F','N','CORAL','LAGES','SC','124243241212372431427614575122610123147',16441,'499',42.79,1,3,NULL),(28,7214537,'1994-06-21 00:00:00',4,6,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124163241116271431227619241125610126072',NULL,'873',30.82,1,3,NULL),(28,7214545,'1992-04-11 00:00:00',2,9,12,2009,'F','N','MARIA LUIZA','LAGES','SC','124241241115573731423311575122610143141',4284,'498',59.08,1,2,1),(28,7214553,'1994-01-06 00:00:00',4,1,12,2011,'M','N','VILA MONUMENTO','S PAULO','SP','125252251417151412228611585124610167093',6191,'9998',52.63,1,3,NULL),(28,7214561,'1990-04-21 00:00:00',2,1,12,2011,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241335131431425613275124610117047',NULL,'21',0.00,1,3,NULL),(28,7214570,'1994-10-22 00:00:00',2,1,1,2012,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116241431215621585124610134173',NULL,'293',40.76,1,2,1),(28,7214588,'1995-03-06 00:00:00',4,4,12,2011,'F','N','CENTRO','PALMITOS','SC','124241241117131731326624575122610134072',19803,'601',30.29,1,2,1),(28,7214596,'1994-12-28 00:00:00',4,1,12,2011,'M','N','CENTRO','TIJUCAS','SC','124244241215111431453912575122610135092',15016,'1119',36.87,1,3,NULL),(28,7214600,'1993-01-17 00:00:00',4,1,12,2010,'M','N','VILA HAMBURGUESA','S PAULO','SP','125254251117471231218631175124610127147',3922,'9998',57.82,1,3,NULL),(28,7214626,'1993-04-22 00:00:00',2,1,12,2010,'F','N','TERESOPOLIS','ÁGUAS MORNAS','SC','124241241111371511423335192224610113147',16542,'978',42.55,1,2,1),(28,7214634,'1994-11-21 00:00:00',4,1,12,2012,'F','S','HIGIENÓPOLIS','S PAULO','SP','124242241215111431477732572112610132145',NULL,'262',30.86,1,3,NULL),(28,7214642,'1990-04-11 00:00:00',2,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241126132711125644243233610164117',NULL,'287',39.55,1,2,1),(28,7214650,'1991-05-06 00:00:00',2,1,12,2011,'F','N','BOM VIVER','BIGUAÇU','SC','124244241215131431318748385122610164097',14669,'9999',46.23,1,3,NULL),(28,7214669,'1983-10-27 00:00:00',4,1,12,2001,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124253253327132511137844245133143244064',NULL,'9998',27.53,1,3,NULL),(28,7214677,'1994-07-05 00:00:00',4,8,12,2011,'F','N','COLONIAL','S BENTO SUL','SC','124241241117371731323319372125610125072',17393,'693',30.99,1,2,1),(28,7214685,'1994-02-18 00:00:00',2,10,11,2011,'F','N','CENTRO','BRAÇO NORTE','SC','124242241215111431448813575112610126192',3857,'807',58.15,1,3,NULL),(28,7214715,'1994-06-08 00:00:00',4,3,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124161248116471741215724595321610165171',13178,'49',40.68,1,2,1),(28,7214723,'1992-06-06 00:00:00',4,8,11,2009,'F','N','CENTRO','S BENTO SUL','SC','124241241216271411427631415122131427017',NULL,'1154',0.00,1,3,NULL),(28,7214740,'1990-12-25 00:00:00',4,1,12,2008,'F','N','CAPELA','VINHEDO','SP','125251251147371431613614245333610161017',17187,'9998',41.07,1,2,1),(28,7214758,'1988-09-08 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241317371431338819495124330642047',NULL,'1079',0.00,1,3,NULL),(28,7214774,'1987-12-11 00:00:00',2,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','624201201123572441213749195124222967082',9014,'9998',55.42,1,2,1),(28,7214782,'1994-09-19 00:00:00',4,2,12,2011,'M','N','BENEDITO','INDAIAL','SC','124241241135471411443331275124610132092',3380,'887',62.12,1,2,1),(28,7214790,'1991-05-22 00:00:00',2,10,12,2008,'F','N','GAROPABA DO SUL','JAGUARUNA','SC','124241241126131721424418242334610163147',14539,'421',46.50,1,2,1),(28,7214812,'1994-07-08 00:00:00',2,10,11,2011,'M','N','CENTRO','BRAÇO NORTE','SC','124242241217151431567839372122610134091',6193,'102',60.26,1,3,NULL),(28,7214820,'1995-10-18 00:00:00',4,2,12,2012,'F','S','TESTO SALTO','BLUMENAU','SC','124242241215121731369913575122610165077',NULL,'855',45.47,1,3,NULL),(28,7214839,'1994-03-20 00:00:00',4,3,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241216371431559831595111610117187',18067,'44',38.69,1,3,NULL),(28,7214847,'1990-02-21 00:00:00',2,1,12,2007,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241127271431623374242224610127045',NULL,'279',0.00,1,3,NULL),(28,7214855,'1994-02-03 00:00:00',4,1,12,2011,'F','N','BOM VIVER','BIGUAÇU','SC','124241241115132431424431572334610127047',13656,'257',38.83,1,2,1),(28,7214863,'1987-06-19 00:00:00',2,10,12,2004,'F','N','HUMAITÁ CENTRO','TUBARÃO','SC','124241241116175431527624372125231466147',8860,'1034',50.77,4,1,1),(28,7214871,'1994-03-13 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124241241225111431338419575124610127042',3815,'262',54.53,1,3,NULL),(28,7214880,'1994-12-06 00:00:00',4,9,12,2011,'M','N','COPACABANA','LAGES','SC','124241241117371411436529375122610166192',6583,'935',54.11,1,2,1),(28,7214898,'1994-08-17 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111421433411112112610164042',17846,'1118',39.35,3,3,NULL),(28,7214901,'1993-05-31 00:00:00',2,1,12,2010,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124243241215142751336614342125231523187',15629,'1011',33.14,1,3,NULL),(28,7214910,'1993-10-26 00:00:00',2,9,12,2010,'M','N','TRES PEDRINHAS','S JOAQUIM','SC','124241247126132321423629345115610147057',NULL,'719',27.86,1,2,1),(28,7214936,'1994-02-06 00:00:00',4,1,11,2010,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241216412731356824345114610166071',10280,'1118',45.46,1,3,NULL),(28,7214944,'1990-04-12 00:00:00',4,1,6,2010,'M','N','SAO LUIZ GONZAGA','PASSO FUNDO','RS','120201201112131531546433575124610167042',16272,'9998',34.07,2,1,1),(28,7214952,'1991-11-15 00:00:00',4,1,12,2009,'F','N','CAMPUS DO CTA','S JOSÉ CAMPOS','SP','125251251116572431446613475122610134097',8851,'9998',48.14,4,2,1),(28,7214960,'1994-03-30 00:00:00',2,16,12,2011,'F','N','GETULIO VARGAS','CURITIBANOS','SC','124241241115371421425614371324610125172',16582,'1128',42.46,1,3,NULL),(28,7214979,'1976-07-01 00:00:00',4,1,5,2000,'M','N','BARREIROS','S JOSÉ','SC','124242241211134711426511492234133242117',13631,'270',48.00,1,3,NULL),(28,7214987,'1992-10-19 00:00:00',4,1,12,2011,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241146141441116648385124610168142',8662,'307',48.48,1,2,1),(28,7214995,'1992-02-24 00:00:00',4,1,9,2009,'F','N','GUABIROTUBA','CURITIBA','PR','116162161217571431479933575114132434042',3903,'9998',55.16,1,3,NULL),(28,7215002,'1994-02-22 00:00:00',2,4,12,2011,'F','N','CENTRO','S LOURENÇO OESTE','SC','124242241115471411459913575121610126052',16228,'744',34.04,1,3,NULL),(28,7215010,'1986-08-12 00:00:00',2,1,12,2003,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','624241241126274711635311245124610152187',7706,'274',49.20,1,2,1),(28,7215029,'1988-05-13 00:00:00',2,4,12,2006,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124243241416151431545512445122132862097',19598,'1021',32.01,3,3,NULL),(28,7215037,'1991-12-13 00:00:00',4,1,12,2008,'M','N','ORIÇO','GRAVATAÍ','RS','120202201217571441456912575112141437047',85,'9998',79.15,1,3,NULL),(28,7215045,'1995-01-24 00:00:00',2,4,12,2011,'F','N','CENTRO','CEL FREITAS','SC','124241241116161731425539245122610135147',NULL,'9999',0.00,1,2,1),(28,7215053,'1994-12-06 00:00:00',4,10,12,2011,'M','N','CENTRO','S MARTINHO','SC','124241241346131431436634575122610137052',NULL,'750',10.51,1,3,NULL),(28,7215088,'1994-08-10 00:00:00',2,15,12,2011,'F','N','CENTRO','STA ROSA SUL','SC','124241241115131231433319372122610127147',16397,'689',33.27,1,3,NULL),(28,7215100,'1992-05-19 00:00:00',4,8,11,2009,'M','N','BUCAREIN','JOINVILLE','SC','124242241215572421327634575124610112197',631,'461',73.22,1,3,NULL),(28,7215118,'1994-09-25 00:00:00',4,8,11,2011,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124244241217221431489813575112610164127',6014,'1063',60.56,4,3,NULL),(28,7215126,'1993-02-05 00:00:00',2,1,12,2010,'F','N','GERTRUDES','VACARIA','RS','124204201216411721248611572314610114092',17277,'9998',40.83,1,3,NULL),(28,7215134,'1994-03-20 00:00:00',4,1,12,2011,'M','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124242241115131432436514175224610112147',16372,'257',33.58,1,3,NULL),(28,7215142,'1994-03-18 00:00:00',4,7,12,2011,'F','N','ARCO ÍRIS','CAPINZAL','SC','124241241117371411323434475124610134142',14010,'156',37.96,1,2,1),(28,7215150,'1991-04-11 00:00:00',4,1,11,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124032241217152231588813435124221466042',44,'270',84.87,1,3,NULL),(28,7215169,'1995-07-28 00:00:00',4,5,11,2011,'F','N','SANTO ANTÔNIO','CRICIÚMA','SC','124242241215151431379932595122610124142',11734,'226',50.96,1,3,NULL),(28,7215177,'1993-05-10 00:00:00',4,4,12,2010,'F','N','CENTRO','NÃO-ME-TOQUE','RS','120202201215151431467814575124243262143',NULL,'9998',0.00,1,3,NULL),(28,7215185,'1989-02-20 00:00:00',2,1,12,2007,'F','N','FLORESTA','S JOSÉ','SC','124241241417271431426514385114133234142',16307,'724',32.50,1,3,NULL),(28,7215207,'1992-09-26 00:00:00',2,22,12,2009,'F','N','TIMBÉ','S JOÃO BATISTA','SC','124241241125371521113344145115610131197',15076,'712',38.63,3,2,1),(28,7215231,'1991-07-23 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241215131411325564445124610132017',NULL,'1075',0.00,1,3,NULL),(28,7215240,'1993-06-29 00:00:00',4,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124241241416124431446614575112221421057',8722,'1022',47.27,1,3,NULL),(28,7215258,'1990-11-01 00:00:00',4,1,12,2007,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124244241417112431566933275122123262177',16944,'723',41.66,1,3,NULL),(28,7215266,'1994-08-04 00:00:00',4,2,12,2011,'M','N','PONTA AGUDA','BLUMENAU','SC','124241241115471431534431275124610134172',16269,'69',35.85,1,3,NULL),(28,7215282,'1993-12-01 00:00:00',4,3,12,2011,'M','N','VILA MARIA','ITAPETININGA','SP','125252251215111731368872475112610137052',8345,'9998',47.52,1,3,NULL),(28,7215290,'1994-08-31 00:00:00',4,1,11,2012,'M','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216111431257932575115610124052',NULL,'270',33.13,1,3,NULL),(28,7215312,'1993-11-09 00:00:00',2,8,12,2011,'F','N','DONA FRANCISCA','S BENTO SUL','SC','124241241115271431524321271224610167087',NULL,'697',0.00,4,2,1),(28,7215320,'1988-10-05 00:00:00',4,1,6,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124193191116131421226444342234610114057',16416,'9998',31.33,4,3,NULL),(28,7215347,'1959-07-01 00:00:00',4,1,12,1979,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','524244244411214712656643491112133243091',NULL,'303',30.16,1,3,NULL),(28,7215363,'1994-01-15 00:00:00',4,1,12,2011,'F','N','JARDIM ARMÊNIA','MOGI CRUZES','SP','125252251217111431458811572122610167047',9662,'9998',47.31,3,3,NULL),(28,7215371,'1993-12-27 00:00:00',2,1,12,2010,'F','N','CENTRO','MOGI GUAÇU','SP','125251251114471331448616572125610164142',NULL,'9998',17.46,1,2,1),(28,7215380,'1956-01-14 00:00:00',4,1,8,2003,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243247323161121125343333221610117097',19884,'9999',29.48,1,3,NULL),(28,7215410,'1992-09-11 00:00:00',2,1,12,2010,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241243147272431621314282224610123147',14821,'591',35.79,4,2,1),(28,7215428,'1992-07-20 00:00:00',4,15,12,2009,'F','N','AREIAS BRANCAS','BAL ARROIO SILVA','SC','124241241117271751524539295325610128147',NULL,'29',26.08,1,2,1),(28,7215444,'1994-08-12 00:00:00',4,8,12,2011,'M','N','CENTRO','JOINVILLE','SC','124242241216111431369931575122610127041',11122,'457',44.13,1,3,NULL),(28,7215452,'1993-07-17 00:00:00',4,5,12,2010,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241216472551369751575114610164111',2719,'226',63.17,1,3,NULL),(28,7215460,'1994-03-26 00:00:00',2,27,12,2011,'F','N','INTERIOR','RIQUEZA','SC','124241241135131411414315572324610146147',NULL,'674',0.00,4,2,1),(28,7215479,'1992-06-13 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241116153431446937385124233237115',NULL,'298',0.00,1,3,NULL),(28,7215487,'1994-06-16 00:00:00',2,23,12,2011,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124242241214111411338514572122610125142',NULL,'442',0.00,1,3,NULL),(28,7215495,'1994-01-20 00:00:00',2,1,12,2011,'F','N','PRAIA MOLE','FLORIANÓPOLIS','SC','124241241127371732623319572324610127057',9660,'290',47.96,1,2,1),(28,7215509,'1993-05-18 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241116372431333611575124610123187',15733,'733',33.77,1,3,NULL),(28,7215517,'1990-09-30 00:00:00',2,1,1,2010,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124243241225132431333514442214130232052',NULL,'262',0.00,1,3,NULL),(28,7215525,'1993-12-12 00:00:00',4,1,12,2011,'M','N','JD CID FLORIANÓPOLIS','S JOSÉ','SC','124242248215111431345613375124610124012',16819,'1118',41.94,1,3,NULL),(28,7215533,'1992-10-10 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216133712539824482314610164112',11930,'269',50.64,1,3,NULL),(28,7215541,'1994-12-05 00:00:00',4,7,11,2011,'F','N','CENTRO','CATANDUVAS','SC','124244241415371411422312575124610118147',NULL,'454',20.34,1,3,NULL),(28,7215568,'1995-05-28 00:00:00',4,1,12,2012,'F','S','SANTA MONICA','FLORIANÓPOLIS','SC','124244241215111731329812125122610128142',NULL,'272',33.91,1,3,NULL),(28,7215576,'1994-03-17 00:00:00',4,5,11,2011,'F','N','MICHEL','CRICIÚMA','SC','124242241216272441466832174122610147142',4677,'210',59.21,1,3,NULL),(28,7215592,'1992-03-12 00:00:00',2,5,12,2009,'F','N','DE VILLA','URUSSANGA','SC','124244241215574431376914574122610147172',11362,'820',51.53,1,3,NULL),(28,7215606,'1974-07-30 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248631131311111179192345610111197',NULL,'9997',17.11,1,3,NULL),(28,7215614,'1994-08-01 00:00:00',4,23,12,2011,'F','N','XXV DE JULHO','S BENTO SUL','SC','124241241115371431326531575124610126197',NULL,'697',0.00,1,2,1),(28,7215622,'1994-06-15 00:00:00',2,8,12,2011,'F','N','UBATUBA','S FRANCISCO SUL','SC','124241241132371331425411272124610138147',10656,'710',43.15,1,2,1),(28,7215630,'1980-08-15 00:00:00',4,1,12,1997,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','524242241212153311224712412222522261147',9810,'270',54.03,1,3,NULL),(28,7215649,'1991-10-30 00:00:00',2,1,12,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241117132511426613245124610114147',NULL,'9999',0.00,1,3,NULL),(28,7215681,'1994-11-09 00:00:00',4,8,12,2011,'F','N','CENTRO','PINHAIS','PR','116164161416411111324622581111610111141',NULL,'9998',0.00,1,3,NULL),(28,7215690,'1985-10-30 00:00:00',4,8,11,2004,'F','N','IRIRIU','JOINVILLE','SC','124241241111142411223329381224131066197',NULL,'469',27.07,1,2,1),(28,7215703,'1992-06-18 00:00:00',4,1,12,2009,'F','N','GRUTA DE LOURDES','MACEIÓ','AL','102022021215471431458923575122141032147',NULL,'9998',0.00,1,3,NULL),(28,7215720,'1993-09-04 00:00:00',2,1,12,2011,'M','N','RIO BRANCO','S LEOPOLDO','RS','120202201317111431438823473112610164047',15752,'9998',44.20,1,3,NULL),(28,7215738,'1995-05-24 00:00:00',2,1,12,2012,'F','S','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215111731259813572124610134072',NULL,'299',57.04,4,3,NULL),(28,7215762,'1994-12-27 00:00:00',2,27,12,2011,'F','N','INTERIOR','RIQUEZA','SC','124241241115271411414415572324610137057',NULL,'674',0.00,4,2,1),(28,7215789,'1980-11-02 00:00:00',2,1,12,2005,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248633131221211179192345610118197',NULL,'9997',0.00,1,3,NULL),(28,7215819,'1994-03-17 00:00:00',2,1,12,2011,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241127141732321144245124610167041',18722,'290',27.66,1,2,1),(28,7215827,'1995-01-08 00:00:00',4,1,12,2011,'F','N','SANTO SARAIVA','S JOSÉ','SC','124241241126131711523315295324610123142',NULL,'727',24.58,1,2,1),(28,7215835,'1976-07-05 00:00:00',2,1,12,2005,'M','N','ITACURUBI','FLORIANÓPOLIS','SC','124201247126131431313378285124233247042',NULL,'9999',0.00,1,2,1),(28,7215843,'1961-07-17 00:00:00',4,1,12,1978,'F','N','CENTRO','FLORIANÓPOLIS','SC','524242246211373711456649492122422646195',9900,'9997',45.28,1,3,NULL),(28,7215851,'1986-04-08 00:00:00',2,1,12,2003,'M','N','CANTO','FLORIANÓPOLIS','SC','124204201116574431467933235123221147047',12966,'9998',49.05,1,3,NULL),(28,7215886,'1990-11-11 00:00:00',4,1,12,2008,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124254253236473431438829375124230421017',NULL,'9998',43.91,1,3,NULL),(28,7215894,'1994-12-30 00:00:00',2,27,12,2011,'M','N','CENTRO','SINOP','MT','111111118117151331425312275121610127142',NULL,'9998',24.42,1,2,1),(28,7215908,'1993-10-09 00:00:00',2,27,12,2011,'F','N','INTERIOR','RIQUEZA','SC','124241241135271411613435572324610147047',NULL,'674',0.00,4,2,1),(28,7215916,'1994-07-16 00:00:00',4,8,12,2011,'M','N','SCHRAMM','S BENTO SUL','SC','124241241435111752437314275122610134017',NULL,'1178',0.00,1,3,NULL),(28,7215932,'1994-11-12 00:00:00',2,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124244241415212421236632575122610137042',5441,'226',55.96,4,3,NULL),(28,7215940,'1994-11-27 00:00:00',2,17,12,2011,'F','N','CENTRO','MAJ VIEIRA','SC','124241241116371431525419575324610125197',NULL,'548',24.84,1,2,1),(28,7215959,'1991-01-15 00:00:00',2,4,12,2009,'F','N','SAO VICENTE DE PAULA','ERECHIM','RS','120201201245232431433623332334610127042',12518,'9998',40.53,4,3,NULL),(28,7215967,'1993-11-04 00:00:00',4,8,12,2011,'F','N','CENTRO','S BENTO SUL','SC','124242241216121431459814374125610134147',8442,'1178',47.25,1,3,NULL),(28,7215975,'1994-02-26 00:00:00',2,1,12,2011,'F','N','SANTA TERESA','S PEDRO ALCÂNTARA','SC','124241241136261531525514335124610123147',16780,'307',34.49,4,2,1),(28,7215991,'1994-02-07 00:00:00',4,24,12,2011,'F','N','RAINHA','RIO SUL','SC','124241241112471431523318285124610138147',NULL,'659',0.00,1,3,NULL),(28,7216009,'1986-06-16 00:00:00',2,1,12,2004,'M','N','VICTOR KONDER','TAIÓ','SC','124241248326212431334923385124133214057',NULL,'777',0.00,1,3,NULL),(28,7216017,'1994-08-25 00:00:00',4,4,1,2012,'F','N','CENTRO','CHAPECÓ','SC','124241241315271431446511175125610114147',14727,'169',36.33,1,3,NULL),(28,7216025,'1991-08-23 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215133411525812345124610127047',15725,'272',44.25,1,3,NULL),(28,7216033,'1993-06-16 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241411372731468814382122610164076',NULL,'951',0.00,1,3,NULL),(28,7216041,'1991-10-02 00:00:00',4,1,12,2008,'F','N','CENTRO','RIO NEGRO','PR','116242241235371431248823595112141756142',NULL,'541',0.00,1,3,NULL),(28,7216050,'1985-03-08 00:00:00',2,1,12,2002,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215274431158813475224333241052',12429,'807',49.91,1,3,NULL),(28,7216068,'1991-10-09 00:00:00',4,1,12,2009,'F','N','SANTO AMARO','S PAULO','SP','125252251216572431548831585122610164097',5598,'9998',54.65,1,3,NULL),(28,7216076,'1994-08-03 00:00:00',4,16,12,2011,'F','N','APARECIDA','CURITIBANOS','SC','124241241115111532416624145124610164145',NULL,'239',22.48,1,3,NULL),(28,7216084,'1991-11-20 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242201217153731258931475124231067047',8241,'9998',48.84,1,3,NULL),(28,7216092,'1994-01-30 00:00:00',2,7,12,2010,'M','N','SÃO VICENTE','HERVAL D OESTE','SC','124242241217112231326711272225610167182',NULL,'962',36.46,1,3,NULL),(28,7216114,'1992-02-11 00:00:00',2,1,11,2009,'F','N','BELA VISTA','S JOSÉ','SC','124244241215152531668613475122120823142',16628,'270',42.37,1,3,NULL),(28,7216122,'1994-11-13 00:00:00',2,9,12,2011,'F','N','FATIMA','OTACÍLIO COSTA','SC','124241241215161731636612572124610165072',NULL,'497',27.32,5,3,NULL),(28,7216130,'1994-01-24 00:00:00',4,1,12,2011,'M','N','VILA DEODORO','S PAULO','SP','125252251215121441468814575114610164112',9395,'9998',48.10,1,3,NULL),(28,7216149,'1994-08-02 00:00:00',2,4,12,2011,'F','N','CIDADE ALTA','CUNHA PORÃ','SC','124241241115371431336814242124610126143',NULL,'552',26.17,1,2,1),(28,7216157,'1990-05-10 00:00:00',2,5,12,2007,'F','N','SÃO CRISTÓVÃO','CRICIÚMA','SC','124242241216372451438813375114131466077',12534,'211',49.73,1,3,NULL),(28,7216165,'1993-06-15 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124242241115471431258822342122610133097',NULL,'185',0.00,1,3,NULL),(28,7216173,'1993-06-28 00:00:00',2,3,12,2010,'M','N','BOMBAS','BOMBINHAS','SC','124241241124271441523311142124610117047',12949,'1089',42.18,1,2,1),(28,7216181,'1994-08-02 00:00:00',2,5,12,2011,'M','N','CENTRO','NOVA VENEZA','SC','124242241215161431469913575122610117042',NULL,'995',0.00,1,3,NULL),(28,7216190,'1994-05-10 00:00:00',4,8,12,2011,'M','N','TARRAF','S JOSÉ R PRETO','SP','125252251216111431476819375122610127047',1217,'9998',68.18,1,3,NULL),(28,7216211,'1993-08-18 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241132331411423531382224610112017',16756,'736',33.05,4,2,1),(28,7216220,'1993-04-25 00:00:00',2,1,12,2010,'F','N','ENCANTADA','GAROPABA','SC','124241241125372431313311375224610133157',5471,'322',55.45,1,2,1),(28,7216238,'1994-04-11 00:00:00',4,4,10,2011,'M','N','ALTO ALEGRE','CASCAVEL','PR','116162161215121431468817275112610137072',NULL,'9998',0.00,1,3,NULL),(28,7216246,'1992-03-23 00:00:00',2,1,12,2009,'F','N','HIGIENÓPOLIS','S PAULO','SP','125252251217271731266719175122143234187',9532,'9998',54.48,1,3,NULL),(28,7216254,'1991-09-18 00:00:00',4,8,12,2008,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241235572711467929575125132865047',NULL,'459',50.08,1,3,NULL),(28,7216262,'1994-02-16 00:00:00',1,4,12,2011,'F','N','INTERIOR','MONDAÍ','SC','124241241113371712426416593224610126067',NULL,'564',23.33,1,2,1),(28,7216270,'1992-04-22 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216372431268963342124133237052',NULL,'270',26.83,1,3,NULL),(28,7216289,'1973-08-04 00:00:00',2,7,12,1990,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','224241248137151531323351292225132767142',19098,'342',34.87,1,2,1),(28,7216297,'1988-08-08 00:00:00',2,1,12,2005,'F','N','SANTA CRUZ','GUARAPUAVA','PR','116164161216575431448531595112143266187',14502,'9998',36.97,1,3,NULL),(28,7216300,'1993-01-11 00:00:00',2,4,12,2010,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241316141431426454442124610167097',18577,'1021',36.98,4,3,NULL),(28,7216319,'1993-10-15 00:00:00',4,1,12,2010,'F','N','ZIMBROS','BOMBINHAS','SC','116163161217472431539632276224610134197',5952,'9998',52.74,1,3,NULL),(28,7216327,'1993-08-28 00:00:00',4,23,12,2011,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124242248216151532339934575124610137062',12566,'1061',39.99,1,3,NULL),(28,7216343,'1994-04-18 00:00:00',4,23,12,2011,'M','N','BRÜDERTHAL','GUARAMIRIM','SC','124242241217131431445613572114610167112',14524,'441',46.54,1,3,NULL),(28,7216351,'1994-06-13 00:00:00',4,5,12,2011,'M','N','PRIMEIRO DE MAIO','IÇARA','SC','124241241115271532536614575122610137047',NULL,'1005',27.30,1,2,1),(28,7216360,'1995-02-06 00:00:00',4,15,12,2011,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241145111711321923575124610134177',NULL,'30',0.00,1,2,1),(28,7216386,'1993-03-25 00:00:00',2,1,12,2010,'F','N','TIJUQUINHAS','BIGUAÇU','SC','124243241415271431426619491124610166147',17497,'63',31.97,1,3,NULL),(28,7216394,'1993-12-21 00:00:00',4,1,12,2011,'M','N','CENTRO','STA BÁRBARA D OESTE','SP','125252251217111431468811575112610167042',1757,'9998',63.50,1,3,NULL),(28,7216408,'1994-08-10 00:00:00',4,1,1,2012,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241115371711425538571124610133187',19062,'1248',28.40,1,2,1),(28,7216424,'1995-06-23 00:00:00',4,5,11,2011,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241211571711479612391122610164036',15751,'226',44.20,1,3,NULL),(28,7216432,'1994-06-08 00:00:00',2,1,1,2012,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241115121431533314285122610111187',NULL,'592',18.82,1,2,1),(28,7216440,'1994-11-11 00:00:00',4,15,12,2011,'M','N','BARRANCA','ARARANGUÁ','SC','124241241115371732226528575121610122055',12086,'29',42.67,1,2,1),(28,7216459,'1980-07-20 00:00:00',2,1,12,2001,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241245126273431423319482224610166143',6158,'307',56.03,1,2,1),(28,7216467,'1994-01-28 00:00:00',2,1,12,2010,'F','N','SANTA CRUZ','GUARAPUAVA','PR','116162161216472431448532577112610124197',12687,'9998',41.34,1,3,NULL),(28,7216475,'1975-10-12 00:00:00',2,1,7,2004,'M','N','REAL PARK','S JOSÉ','SC','124243247117131431429644345124133222012',19963,'9999',28.70,1,3,NULL),(28,7216483,'1991-05-20 00:00:00',4,22,12,2008,'M','N','CENTRO','BRUSQUE','SC','124242241216273431349511575112121424142',5404,'107',61.65,1,3,NULL),(28,7216491,'1988-11-22 00:00:00',4,1,6,2006,'M','N','RIO BLOEMER','S BONIFÁCIO','SC','124241241126131431438613575124610147052',NULL,'702',21.70,1,3,NULL),(28,7216505,'1994-08-06 00:00:00',4,4,12,2011,'M','N','CENTRO','MONDAÍ','SC','124243241116371431556632295111610128052',NULL,'564',35.54,1,3,NULL),(28,7216513,'1993-05-01 00:00:00',2,1,12,2011,'M','N','ENGENHO VELHO','TORRES','RS','120201201215151411454312345122610127112',9906,'9998',45.38,1,3,NULL),(28,7216521,'1984-06-23 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241126474421436319345334123214147',20102,'281',26.20,1,2,1),(28,7216530,'1993-08-17 00:00:00',2,1,12,2010,'F','N','JARDIM CALIFÓRNIA','CUIABÁ','MT','111252111217471411564933575112610134143',NULL,'9998',46.10,1,3,NULL),(28,7216548,'1992-09-29 00:00:00',4,5,12,2009,'F','N','MICHEL','CRICIÚMA','SC','124244241115472431535519375125133221092',13524,'209',42.58,1,3,NULL),(28,7216556,'1994-02-16 00:00:00',2,2,12,2011,'F','N','SETE DE SETEMBRO','GASPAR','SC','124241241111331411323311215124610142147',NULL,'325',29.02,1,2,1),(28,7216564,'1994-06-02 00:00:00',2,1,12,2011,'F','N','CENTRO','CANELINHA','SC','124241241116371431424434345122610136145',16115,'142',36.04,1,2,1),(28,7216580,'1993-11-05 00:00:00',2,1,10,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241136272431326624345134610117147',17966,'1248',31.68,1,3,NULL),(28,7216602,'1994-09-12 00:00:00',4,26,12,2011,'F','N','NATUREZA','ITÁ','SC','124241241115371241568633575122610168147',12240,'384',44.55,1,2,1),(28,7216610,'1994-02-01 00:00:00',4,1,12,2011,'F','N','GUAIUBA','IMBITUBA','SC','124241248125331731613518182324610113042',NULL,'359',0.00,1,3,NULL),(28,7216629,'1958-08-19 00:00:00',2,1,7,1978,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','224212216136252711234649492122120768194',9756,'9998',42.93,1,3,NULL),(28,7216637,'1992-12-09 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127371221521324342114610114147',NULL,'307',32.29,1,2,1),(28,7216688,'1995-01-04 00:00:00',2,5,11,2011,'M','N','MINA BRASIL','CRICIÚMA','SC','124242241215271741326822573115610144073',17508,'226',40.27,1,3,NULL),(28,7216696,'1994-01-22 00:00:00',2,1,12,2011,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124243241117472411659713572124610138197',15980,'307',35.27,1,3,NULL),(28,7216700,'1995-01-27 00:00:00',4,5,12,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215112751459632575122610148147',5554,'213',54.71,1,3,NULL),(28,7216726,'1994-03-23 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215471411648834345134610167012',17712,'988',39.71,1,3,NULL),(28,7216734,'1994-05-17 00:00:00',2,1,12,2011,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241115471431326631575124610135075',8709,'267',49.45,1,2,1),(28,7216742,'1994-07-19 00:00:00',4,17,12,2011,'F','N','BRASÍLIA','ITAPOÁ','SC','124241241115141431435933375222610128012',2688,'405',63.63,1,2,1),(28,7216750,'1985-12-08 00:00:00',4,1,12,2003,'F','N','JD ITAPEVA','S PAULO','SP','125253251316572751345923475114143242117',2089,'9998',64.08,1,3,NULL),(28,7216769,'1994-11-25 00:00:00',2,1,12,2011,'F','N','BARNABÉ','GRAVATAÍ','RS','120202208217111431313628595124610132147',NULL,'9999',18.91,1,3,NULL),(28,7216785,'1984-02-10 00:00:00',4,1,11,2001,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','624243241137135431236654275114122233187',15524,'739',44.66,1,3,NULL),(28,7216815,'1991-11-18 00:00:00',2,4,12,2009,'F','N','LIDER','CHAPECÓ','SC','124241241113432431223329295124610133072',NULL,'127',0.00,2,2,1),(28,7216823,'1993-04-19 00:00:00',2,1,12,2010,'F','N','VILA FLÓRIDA','GUARULHOS','SP','125253251216511441639924385124610128092',11785,'9998',42.79,1,3,NULL),(28,7216831,'1982-11-19 00:00:00',4,1,6,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244247217375441348669485122131068042',NULL,'9999',24.18,1,3,NULL),(28,7216840,'1993-02-24 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241327142431228844245124232867067',17874,'283',32.02,1,3,NULL),(28,7216866,'1993-08-08 00:00:00',2,1,12,2011,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241112471431414621312124610124142',10241,'1248',47.71,1,2,1),(28,7216874,'1981-09-04 00:00:00',4,1,12,1999,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','524202201311131721448712481122141147047',14374,'9998',46.81,1,3,NULL),(28,7216890,'1993-08-14 00:00:00',4,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124241241415111431366622345125610123077',NULL,'185',19.90,1,3,NULL),(28,7216904,'1993-09-22 00:00:00',4,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124252241214472411348831575122610164142',2454,'1038',65.63,1,3,NULL),(28,7216920,'1989-07-01 00:00:00',2,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248637131221121179192345610118197',NULL,'9999',0.00,1,3,NULL),(28,7216939,'1994-12-22 00:00:00',4,22,10,2011,'F','N','SOUZA CRUZ','BRUSQUE','SC','124241241215131431437914572122610122192',5568,'1244',55.09,1,3,NULL),(28,7216947,'1989-12-14 00:00:00',2,1,11,2006,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241146131411643314245134610124143',15057,'277',45.50,1,2,1),(28,7216963,'1994-06-13 00:00:00',2,10,12,2011,'F','N','BOM PASTOR','TUBARÃO','SC','124241241117371431426631175224610126142',NULL,'1034',0.00,1,2,1),(28,7216971,'1975-08-28 00:00:00',4,16,11,1994,'M','N','INTERIOR DE BRUNÓP','BRUNÓPOLIS','SC','124241248426171731266613445122610112112',NULL,'237',22.51,1,3,NULL),(28,7216980,'1991-03-27 00:00:00',2,16,11,2008,'M','N','BOM JESUS','CURITIBANOS','SC','124241241112111411328623442212610162057',NULL,'239',23.24,1,3,NULL),(28,7216998,'1996-01-22 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241225111221548923571144610127062',14121,'262',39.00,1,3,NULL),(28,7217005,'1965-01-16 00:00:00',4,1,12,2005,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248631131211111179192345610168197',NULL,'9997',12.29,1,3,NULL),(28,7217021,'1994-08-31 00:00:00',2,7,12,2011,'M','N','ESCOLAR','SALTO VELOSO','SC','124241241117151751323629492125610168197',NULL,'684',0.00,1,2,1),(28,7217030,'1993-05-03 00:00:00',4,1,12,2011,'F','N','LAGO SUL','LG SUL','DF','107072071216371431379913495122610142072',10449,'9998',44.51,1,3,NULL),(28,7217048,'1995-05-02 00:00:00',4,4,12,2011,'M','N','SANTA MARIA','CHAPECÓ','SC','124241241215141431589934475112610122052',11233,'168',43.25,1,3,NULL),(28,7217056,'1993-05-20 00:00:00',4,1,11,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124251241124131532523331315114610124182',NULL,'283',20.07,4,3,NULL),(28,7217072,'1993-05-09 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241447472732623351442114610134057',15189,'278',35.47,4,3,NULL),(28,7217080,'1993-12-31 00:00:00',4,8,11,2011,'F','N','GLÓRIA','JOINVILLE','SC','124242241215111431469614575122610134142',9075,'1016',51.06,1,3,NULL),(28,7217099,'1994-08-29 00:00:00',4,7,12,2011,'F','N','CENTRO','ÁGUA DOCE','SC','124241241111371431348924592222610163182',NULL,'9',23.58,1,2,1),(28,7217102,'1992-05-13 00:00:00',4,1,12,2009,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124243241227574411438819585124610156187',331,'262',74.95,1,3,NULL),(28,7217110,'1994-02-08 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115371431546632575124610137052',10392,'298',45.65,1,2,1),(28,7217129,'1994-08-12 00:00:00',4,24,12,2011,'M','N','JARDIM AMERICA','RIO SUL','SC','124244241117131431338823295112610124197',15974,'659',35.19,1,3,NULL),(28,7217137,'1964-01-28 00:00:00',2,1,12,1981,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224241241127374431433342222122122714052',12407,'257',43.35,1,2,1),(28,7217145,'1991-12-24 00:00:00',4,1,12,2010,'F','N','JURERE','FLORIANÓPOLIS','SC','124242247217374411387822595122610131173',9105,'9999',47.76,1,3,NULL),(28,7217153,'1992-09-03 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241244112371731513331572124610114152',NULL,'285',19.29,1,3,NULL),(28,7217161,'1994-07-18 00:00:00',4,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116371431533311275124610117067',14885,'727',39.60,1,2,1),(28,7217196,'1993-02-08 00:00:00',2,1,12,2011,'F','N','CANTO','FLORIANÓPOLIS','SC','124242241212131431446623592324610115072',NULL,'270',20.78,1,3,NULL),(28,7217200,'1994-12-26 00:00:00',4,8,12,2011,'F','N','COMASA','JOINVILLE','SC','124241241115371431324821475124610131197',9841,'469',43.44,1,2,1),(28,7217226,'1994-07-01 00:00:00',4,8,12,2011,'F','N','JARDIM IRIRIÚ','JOINVILLE','SC','124241241115471231433614442114610137047',14359,'469',38.30,1,3,NULL),(28,7217234,'1993-03-18 00:00:00',4,1,12,2010,'M','N','VILA SÃO RAFAEL','GUARULHOS','SP','125251251116131431334623485114610141057',NULL,'9998',21.78,1,2,1),(28,7217242,'1987-02-08 00:00:00',4,1,12,2004,'M','N','JD ELDORADO','PALHOÇA','SC','124251251426131431136344245334610164097',NULL,'9998',0.00,1,3,NULL),(28,7217250,'1994-03-23 00:00:00',2,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215472431236834575324610127112',10887,'270',45.18,1,3,NULL),(28,7217269,'1991-01-04 00:00:00',4,1,12,2008,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242248215575431458812575124131322057',5999,'270',60.59,1,3,NULL),(28,7217285,'1994-08-21 00:00:00',4,22,11,2011,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241215112231468632575124610134092',1558,'1244',66.62,1,3,NULL),(28,7217293,'1995-06-29 00:00:00',4,1,12,2012,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241215111411569924175122610146145',NULL,'273',49.30,1,3,NULL),(28,7217307,'1995-08-06 00:00:00',2,15,12,2012,'M','S','CENTRO','MARACAJÁ','SC','124241241415131411426313571124610136147',NULL,'226',24.37,1,3,NULL),(28,7217315,'1994-08-13 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124244241215111431436932575124610121122',5148,'988',55.95,1,3,NULL),(28,7217323,'1993-03-26 00:00:00',2,8,12,2010,'F','N','OXFORD','S BENTO SUL','SC','124241241117372731423374342224610136047',NULL,'693',0.00,1,2,1),(28,7217340,'1985-03-10 00:00:00',2,1,8,2003,'F','N','RIO GRANDE','PALHOÇA','SC','124241241115473421323627445124610164177',5989,'591',55.15,1,2,1),(28,7217358,'1952-09-19 00:00:00',4,1,12,1970,'F','N','CENTRO','FLORIANÓPOLIS','SC','524201201126151451144443435124342265192',NULL,'9998',28.10,1,3,NULL),(28,7217366,'1991-02-01 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124253251116133432436619585124610137092',15880,'9998',36.29,4,3,NULL),(28,7217374,'1993-03-02 00:00:00',2,1,12,2010,'M','N','AREIAS DO MEIO','GOV CELSO RAMOS','SC','124241241126271421334429241224610142092',NULL,'329',30.99,1,2,1),(28,7217382,'1991-05-10 00:00:00',4,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241415152441433339195114222266195',NULL,'1048',0.00,1,3,NULL),(28,7217412,'1986-04-23 00:00:00',2,1,12,2004,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124243241142575431258323235122231952197',10304,'307',46.93,1,3,NULL),(28,7217439,'1991-06-17 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241112371431423419575122610161191',NULL,'307',28.87,1,2,1),(28,7217447,'1994-12-28 00:00:00',4,15,12,2011,'F','N','JARDIM CIBELI','ARARANGUÁ','SC','124241241115371431425624572122610114072',4172,'30',57.31,1,2,1),(28,7217455,'1990-11-18 00:00:00',4,8,12,2007,'F','N','VILA SANTANA','S PAULO','SP','125254251111531441426612272124143265052',5602,'9998',50.85,1,3,NULL),(28,7217463,'1991-06-19 00:00:00',2,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124061061136111411324444345314610114194',NULL,'9998',0.00,1,2,1),(28,7217471,'1995-10-30 00:00:00',4,1,11,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111141349933571122610114142',NULL,'262',34.83,1,3,NULL),(28,7217480,'1994-10-16 01:00:00',2,4,11,2011,'M','N','SÃO CRISTÓVÃO','PATO BRANCO','PR','116163161215111311238521575114610163182',8462,'9998',56.33,1,3,NULL),(28,7217498,'1990-12-08 00:00:00',2,2,12,2010,'F','N','VELHA','BLUMENAU','SC','124243244116341231358611475124610144097',20086,'73',26.61,1,3,NULL),(28,7217501,'1994-12-08 00:00:00',2,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124242241211111431436632242122610134197',NULL,'939',17.60,1,3,NULL),(28,7217510,'1991-02-01 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124253251116133432436619585124610137092',NULL,'9998',22.67,4,3,NULL),(28,7217528,'1991-11-26 00:00:00',2,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241125271421122344341334610124184',15579,'290',36.30,1,2,1),(28,7217536,'1992-08-12 00:00:00',2,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124161241136141711126744345124610167042',NULL,'1033',12.70,4,3,NULL),(28,7217544,'1991-05-31 00:00:00',4,1,12,2008,'M','N','CENTRO','IMBITUBA','SC','124241248117161711326519385122610155177',19695,'359',31.23,5,3,NULL),(28,7217560,'1993-12-10 00:00:00',4,1,12,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124213211317151731658714575124610118117',NULL,'9998',0.00,4,3,NULL),(28,7217579,'1987-07-10 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241127132431526714485124610117117',15818,'290',44.06,1,2,1),(28,7217587,'1992-10-20 00:00:00',4,8,12,2009,'M','N','JARDIM IRIRIÚ','JOINVILLE','SC','124241246211151531446412341114231414042',NULL,'1006',0.00,1,3,NULL),(28,7217609,'1991-05-27 00:00:00',4,1,12,2008,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124251251117273531334844445214610162197',7184,'9998',52.53,1,2,1),(28,7217617,'1994-06-15 00:00:00',4,1,12,2011,'M','N','POTECAS','S JOSÉ','SC','124241241112131232323334575111610167047',19821,'730',30.12,1,3,NULL),(28,7217625,'1994-06-29 00:00:00',4,10,12,2011,'F','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124241241117131431326414172224610123077',20054,'798',27.22,1,3,NULL),(28,7217633,'1960-12-12 00:00:00',4,1,12,1985,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241243216151411233443235135332744193',18828,'207',35.97,1,3,NULL),(28,7217641,'1994-07-29 00:00:00',4,4,11,2011,'M','N','TACCA','XANXERÊ','SC','124241241216131431456612245122610167091',NULL,'836',0.00,1,3,NULL),(28,7217650,'1992-12-02 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216152431479933596114221434125',NULL,'272',43.82,4,3,NULL),(28,7217668,'1992-11-13 00:00:00',2,1,12,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241246146272431524623375124610137182',5969,'659',55.72,1,2,1),(28,7217676,'1995-02-18 00:00:00',4,4,12,2011,'M','N','COLONINHA','ARARANGUÁ','SC','124242241215111411324824572124610166142',1784,'226',68.34,2,1,2),(28,7217684,'1992-07-16 00:00:00',4,1,1,2012,'M','N','BELA VISTA','INDAIATUBA','SP','125252257435471431448632575122610144017',NULL,'9998',0.00,1,3,NULL),(28,7217706,'1992-11-12 00:00:00',4,1,11,2010,'M','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124241241216142431435413345114122267143',5309,'63',56.32,1,3,NULL),(28,7217714,'1994-01-07 00:00:00',2,1,12,2011,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241112371431326629375124610144172',16324,'733',33.84,1,3,NULL),(28,7217722,'1992-09-25 00:00:00',4,1,8,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216111731466614475122610128042',NULL,'270',NULL,1,3,NULL),(28,7217730,'1993-03-01 00:00:00',4,5,12,2010,'F','N','CENTRO','SIDERÓPOLIS','SC','124242241215472131656854575122610127144',12748,'767',40.41,1,3,NULL),(28,7217749,'1983-06-11 00:00:00',2,8,12,2000,'F','N','BUCAREIN','JOINVILLE','SC','124243241211134431326828411225133232091',14787,'1063',46.01,1,3,NULL),(28,7217757,'1993-07-26 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241216273431328922385124131017092',16444,'1022',32.72,1,3,NULL),(28,7217781,'1994-02-09 00:00:00',2,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241217111431446614345121610146107',15745,'1010',33.79,1,3,NULL),(28,7217790,'1981-09-17 00:00:00',4,1,12,1998,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','224245241516155431463643435122321364197',NULL,'666',0.00,1,3,NULL),(28,7217803,'1992-03-15 00:00:00',4,1,11,2011,'M','N','MOSSUNGUE','CURITIBA','PR','116162161214471551558832325122610117042',NULL,'9998',0.00,1,3,NULL),(28,7217811,'1986-06-13 00:00:00',2,1,12,2004,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241127371431124344346333130628097',14587,'570',39.62,1,2,1),(28,7217846,'1992-07-15 00:00:00',4,1,12,2009,'M','N','VISTA ALAGRE','RIO NEGRINHO','SC','124241241116272431336624572122243267042',11778,'669',50.89,1,2,1),(28,7217854,'1993-08-05 00:00:00',2,4,12,2010,'M','N','CENTRO','GUARAPUAVA','PR','116163161217111411458919575115610167052',12341,'9998',42.82,1,3,NULL),(28,7217862,'1993-06-13 00:00:00',2,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241115131731426714582224610137047',13678,'267',39.91,1,2,1),(28,7217870,'1994-05-04 00:00:00',4,1,2,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124243241116131431433314345124610124012',11130,'739',44.07,1,3,NULL),(28,7217889,'1994-06-16 00:00:00',2,27,12,2011,'F','N','UNIAO','PARAUAPEBAS','PA','114241141417161531433612385121610137057',18879,'9998',35.77,1,3,NULL),(28,7217897,'1993-02-17 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124161241112133411433334382114610146147',NULL,'274',29.92,1,2,1),(28,7217900,'1994-02-17 00:00:00',2,25,12,2011,'M','N','CENTRO','FRAIBURGO','SC','124241241415131431456419375122610117045',17357,'885',40.63,1,3,NULL),(28,7217919,'1992-04-16 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217111451228811585124231065191',16840,'226',41.90,1,3,NULL),(28,7217927,'1985-01-16 00:00:00',4,15,12,2002,'F','N','CENTRO','PR GRANDE','SC','124202241127211421322429492122332211042',NULL,'641',20.16,1,3,NULL),(28,7217935,'1992-08-15 00:00:00',2,1,12,2011,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241243215111211328314345122610127095',19722,'299',30.91,1,3,NULL),(28,7217943,'1993-10-15 00:00:00',4,1,12,2010,'M','N','VILA PROGRESSO','DOURADOS','MS','112122121216472231667931575122610167182',NULL,'9998',0.00,1,3,NULL),(28,7217951,'1994-04-20 00:00:00',4,16,12,2011,'F','N','CENTRO','CURITIBANOS','SC','124241241117161431323216572324610124147',NULL,'1228',15.43,1,3,NULL),(28,7217960,'1994-09-15 00:00:00',4,23,12,2011,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215111431369814575122610136185',2243,'1174',62.02,1,3,NULL),(28,7217978,'1994-03-19 00:00:00',2,7,12,2011,'F','N','CENTRO','HERVAL D OESTE','SC','124241241114131231323628575124610127057',NULL,'341',20.28,1,2,1),(28,7217986,'1994-05-16 00:00:00',4,22,12,2011,'F','N','MOURA','CANELINHA','SC','124241241125131431323315192224610112022',NULL,'913',0.00,1,2,1),(28,7217994,'1989-05-12 00:00:00',2,1,12,2007,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125254257417572411148514385122141227092',NULL,'9998',31.25,1,3,NULL),(28,7218001,'1993-12-01 00:00:00',4,1,12,2011,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161216111412459934346112610134117',3820,'9998',59.83,3,3,NULL),(28,7218010,'1994-05-15 00:00:00',2,1,12,2011,'M','N','FORQUILHAS','S JOSÉ','SC','124241241216151431346613575122610162044',17115,'944',41.23,1,3,NULL),(28,7218028,'1991-05-04 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124241241147374731423434285123610127067',12077,'734',43.26,1,2,1),(28,7218036,'1981-05-12 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','224241247122472431524458275122610132062',NULL,'9999',32.95,3,2,1),(28,7218044,'1995-02-18 00:00:00',4,4,12,2011,'F','N','CENTRO','PINHALZINHO','SC','124242241215111431348612575122610132187',4852,'1070',55.44,1,3,NULL),(28,7218060,'1993-02-17 00:00:00',4,1,12,2010,'M','N','BAIRU','JZ FORA','MG','113094136117151411248812575124241446095',1753,'9998',64.12,1,3,NULL),(28,7218079,'1991-07-25 00:00:00',2,3,12,2008,'M','N','JOSE AMANDIO','BOMBINHAS','SC','124241243136162421525614284124610165173',10578,'1089',44.51,4,2,1),(28,7218087,'1993-03-05 00:00:00',4,1,12,2010,'F','N','ITARARÉ','S VICENTE','SP','125254251214371431448811575114610132047',10483,'9998',44.09,1,3,NULL),(28,7218109,'1985-04-03 00:00:00',4,1,12,2002,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242247227152421149841215123133266191',NULL,'270',0.00,1,3,NULL),(28,7218117,'1992-07-07 00:00:00',4,1,12,2009,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217575211558933575124610161182',1746,'1063',67.56,1,3,NULL),(28,7218125,'1991-01-03 00:00:00',4,2,12,2007,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241216474431468932395134123222181',1475,'87',69.30,1,3,NULL),(28,7218168,'1979-06-24 00:00:00',2,1,12,1997,'M','N','BELA VISTA II','S JOSÉ','SC','124241243116154421238343435134610112162',NULL,'357',0.00,4,2,1),(28,7218176,'1995-12-25 00:00:00',4,24,12,2012,'M','S','SUMARÉ','RIO SUL','SC','124242241215111142459932575122610137067',NULL,'991',42.02,1,3,NULL),(28,7218184,'1994-04-14 00:00:00',2,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124243241115371732327614575124610122027',13543,'307',41.24,1,3,NULL),(28,7218206,'1994-12-19 00:00:00',2,26,12,2011,'F','N','IMPERIAL','CONCÓRDIA','SC','124243241115371731326314572122610127147',16180,'984',35.11,1,3,NULL),(28,7218214,'1994-02-11 00:00:00',4,1,12,2011,'F','N','PRAÇA','TIJUCAS','SC','124243241215111431333432195122610163072',14685,'1119',37.30,1,3,NULL),(28,7218249,'1994-11-25 00:00:00',4,6,11,2010,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124242241217271431475732275113610134182',NULL,'1038',35.93,3,3,NULL),(28,7218257,'1994-10-06 00:00:00',2,1,12,2011,'F','N','PACHECOS','PALHOÇA','SC','124242241215112731335714576124610123092',9291,'1011',48.61,1,3,NULL),(28,7218273,'1990-11-10 00:00:00',4,1,11,2008,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241241115472721223323372224610167042',10103,'935',44.85,1,2,1),(28,7218281,'1995-08-04 00:00:00',4,1,12,2012,'M','S','ITAGUAÇU II','FLORIANÓPOLIS','SC','124242241215111731558933575122610124182',NULL,'270',43.00,1,3,NULL),(28,7218290,'1995-05-15 00:00:00',2,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124241241111171431439813571124610124117',17199,'1116',33.26,1,2,1),(28,7218311,'1990-03-29 00:00:00',4,8,12,2007,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161235574431448813574122610114015',NULL,'9998',0.00,4,3,NULL),(28,7218320,'1989-08-26 00:00:00',2,1,12,2006,'F','N','PALMAS','GOV CELSO RAMOS','SC','124241241116153731313318385124230236187',14734,'307',38.75,1,2,1),(28,7218338,'1993-12-22 00:00:00',4,7,12,2010,'M','N','PORTAL DAS VIDEIRAS','VIDEIRA','SC','124242246217151451469829475125610135092',NULL,'1080',0.00,1,3,NULL),(28,7218346,'1989-07-24 00:00:00',4,1,12,2006,'M','N','SANTA LUZIA','GUARATINGUETÁ','SP','125251251316151411248823481121142357042',NULL,'9998',0.00,1,3,NULL),(28,7218354,'1995-11-15 00:00:00',4,1,12,2013,'F','S','CENTRO','IMBITUBA','SC','124242241217111731588912574125610127122',NULL,'362',42.16,1,3,NULL),(28,7218370,'1992-12-22 00:00:00',4,3,12,2010,'M','N','AREIAS','CAMBORIÚ','SC','124243241215272431536611245124610134047',9118,'392',55.22,1,3,NULL),(28,7218389,'1994-08-27 00:00:00',2,1,12,2011,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241115131431426511375122610133142',16653,'257',33.83,1,2,1),(28,7218397,'1993-05-28 00:00:00',4,1,12,2010,'F','N','BUTANTÃ','S PAULO','SP','125252251215471711378831471125610163182',155,'9998',75.58,1,3,NULL),(28,7218400,'1994-03-23 00:00:00',2,5,11,2011,'M','N','JARDIM ELIZABETE','IÇARA','SC','124242241215111531469933575124610114112',16356,'226',42.98,1,3,NULL),(28,7218419,'1994-09-30 00:00:00',4,2,12,2011,'M','N','ESTRADA DAS AREIAS','INDAIAL','SC','124241241117151431426634295124610127047',NULL,'365',23.29,1,2,1),(28,7218427,'1994-04-24 00:00:00',4,1,12,2011,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241215271431663623575122610164142',NULL,'63',19.36,1,3,NULL),(28,7218435,'1993-11-18 00:00:00',2,1,12,2011,'M','N','CENTRO','TUPI PAULISTA','SP','125252251116271431368814575122610127042',18987,'9998',35.36,1,3,NULL),(28,7218443,'1994-05-28 00:00:00',4,1,11,2011,'M','N','PRAIA BRAVA','ITAJAÍ','SC','124243248215371512439923172122610112017',NULL,'388',0.00,4,3,NULL),(28,7218460,'1991-09-28 00:00:00',2,9,6,2011,'M','N','CENTRO','LAGES','SC','124242247435111431436832445112610132053',NULL,'9999',21.55,1,3,NULL),(28,7218478,'1996-01-26 00:00:00',4,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124242241215111431455512572112610127072',14766,'738',35.73,1,3,NULL),(28,7218486,'1991-11-24 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161215473711467832575113610167183',6818,'9998',53.55,1,3,NULL),(28,7218494,'1994-06-28 00:00:00',4,15,11,2011,'M','N','COLONINHA','ARARANGUÁ','SC','124241241214111411533373475121610167045',15458,'26',44.77,1,3,NULL),(28,7218508,'1995-07-27 00:00:00',2,16,12,2011,'F','N','SÃO SEBASTIÃO','FRAIBURGO','SC','124241241215111431416611175122610117142',18426,'885',37.55,1,3,NULL),(28,7218516,'1994-07-01 00:00:00',4,1,1,2012,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','224241241125141431355567115324610167041',11340,'294',45.81,4,2,1),(28,7218524,'1987-05-08 00:00:00',2,1,11,2005,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241217373421465613445114130238047',14606,'270',46.34,1,3,NULL),(28,7218559,'1994-05-05 00:00:00',4,2,11,2011,'M','N','VILA NOVA','BLUMENAU','SC','124242241415111431459931571122610147071',342,'909',74.62,1,3,NULL),(28,7218567,'1995-05-08 00:00:00',2,26,11,2011,'M','N','NAZARÉ','CONCÓRDIA','SC','124241241215141721525824545124610138092',NULL,'1001',25.35,1,3,NULL),(28,7218575,'1994-09-17 00:00:00',2,10,11,2011,'F','N','STO ANTÔNIO DE PÁDUA','TUBARÃO','SC','124242241215372431488913575122610133186',2788,'807',63.60,4,3,NULL),(28,7218583,'1993-07-15 00:00:00',2,1,11,2011,'M','N','COLINA VERDE','FARTURA','SP','125251251217111411658832575122610128052',13540,'9998',38.11,1,3,NULL),(28,7218591,'1995-05-19 00:00:00',2,15,12,2011,'F','N','CENTRO','MRO GRANDE','SC','124241241145251411323623475111610138142',8710,'568',48.40,1,2,1),(28,7218605,'1991-03-13 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215575431349933574124243223142',70,'991',80.42,1,3,NULL),(28,7218613,'1993-11-03 00:00:00',2,1,12,2011,'M','N','OCEANOPOLIS','MONGAGUÁ','SP','125253251117151431236823585124610117017',19891,'9998',29.43,1,3,NULL),(28,7218630,'1991-08-05 00:00:00',4,1,12,2009,'M','N','PACAEMBU','S PAULO','SP','125252251216571431576832581122610131052',9741,'9998',49.52,1,3,NULL),(28,7218648,'1994-09-09 00:00:00',4,8,12,2011,'M','N','BOM RETIRO','CURITIBA','PR','116162161215471731458933575122610148013',15657,'9998',33.01,1,3,NULL),(28,7218656,'1991-06-03 00:00:00',4,1,11,2008,'F','N','VILA NASTRI I','ITAPETININGA','SP','125252251215571411568823575122140431187',NULL,'9998',0.00,3,3,NULL),(28,7218664,'1994-07-26 00:00:00',4,27,12,2011,'M','N','CENTRO','S MIGUEL OESTE','SC','124243241217131431458923572121610167172',6850,'752',51.57,1,3,NULL),(28,7218672,'1995-01-21 00:00:00',2,3,12,2011,'M','N','CANTA DO PRAIA','ITAPEMA','SC','124241241116131421314331112121610137147',NULL,'406',0.00,1,2,1),(28,7218680,'1988-04-09 00:00:00',2,1,9,2011,'M','N','BELA VISTA','S JOSÉ','SC','224241247127131731225349392124610128142',13564,'9997',39.60,1,2,1),(28,7218699,'1992-08-20 00:00:00',4,1,6,2010,'F','N','SANTA CECÍLIA','PTO ALEGRE','RS','120202201217371431345932475114610145042',NULL,'9998',17.72,1,3,NULL),(28,7218702,'1995-04-16 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111731447313575124610162177',15768,'270',34.45,1,3,NULL),(28,7218710,'1992-06-15 00:00:00',2,1,12,2009,'M','N','PINHEIROS','S PAULO','SP','125214211321421411334124475123210167111',10421,'9998',44.73,1,3,NULL),(28,7218729,'1994-06-04 00:00:00',6,1,12,2011,'M','N','JARDIM SOLEMAR','S JOSÉ','SC','124241241116231532324524575124610124142',NULL,'257',20.15,1,2,1),(28,7218745,'1994-09-26 00:00:00',2,1,12,2011,'M','N','JARDIM IGAPÓ','LONDRINA','PR','116221161136471431246612575124610167057',NULL,'9998',0.00,1,2,1),(28,7218753,'1993-01-10 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124123241417572711118744342211610163057',11620,'278',44.00,1,3,NULL),(28,7218761,'1993-07-12 00:00:00',4,8,12,2010,'M','N','CENTRO','S BENTO SUL','SC','124241241215472431569634575112610167187',2141,'1154',63.24,1,3,NULL),(28,7218770,'1994-08-16 00:00:00',4,6,11,2011,'M','N','IPIRANGA','S PAULO','SP','125252251217121331335532575112610118182',16654,'9998',31.46,1,3,NULL),(28,7218796,'1994-05-09 00:00:00',2,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124241241215111331446614585122610121057',12697,'1076',40.91,1,3,NULL),(28,7218800,'1993-07-01 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215372411468911585124233211015',5221,'1174',54.41,1,3,NULL),(28,7218818,'1994-12-22 00:00:00',4,15,1,2012,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241241115151431328724575125610166057',3728,'30',59.70,1,2,1),(28,7218834,'1988-03-16 00:00:00',4,1,12,2005,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124251251116132721126843435122143262062',3784,'9998',58.47,1,2,1),(28,7218842,'1994-02-02 00:00:00',2,3,12,2010,'F','N','SETOR AEROPORTO','GOIÂNIA','GO','109092091215471431439913572124610113142',1174,'9998',66.31,1,3,NULL),(28,7218850,'1993-09-04 00:00:00',4,1,12,2010,'M','N','ALTOS DO ESPLANADA','S JOSÉ CAMPOS','SP','125252251217471731458834575112610137147',17538,'737',40.20,1,3,NULL),(28,7218869,'1992-10-16 00:00:00',2,1,12,2010,'M','N','CENTENÁRIO','MTE ALTO','SP','125251251116171511225624475123610164113',NULL,'9998',0.00,1,2,1),(28,7218877,'1993-12-17 00:00:00',2,1,12,2011,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124243241216131711333931575124610164147',NULL,'63',19.02,1,3,NULL),(28,7218885,'1992-05-29 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124244241217273231468614475124610112182',9643,'724',54.30,1,3,NULL),(28,7218893,'1992-05-21 00:00:00',4,1,12,2011,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124243247127161431566933272122610163197',NULL,'9999',1.33,1,3,NULL),(28,7218907,'1993-08-21 00:00:00',2,6,11,2010,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241217152431458913475122232627017',16066,'392',43.57,1,3,NULL),(28,7218923,'1989-07-21 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124201207137131431113349495124222767187',14369,'9998',39.11,1,2,1),(28,7218931,'1991-07-08 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241117373711118644346234222334187',11277,'288',51.65,1,3,NULL),(28,7218940,'1994-09-05 00:00:00',4,9,11,2011,'M','N','FREI ROGÉRIO','LAGES','SC','124242241617111451327811595213610128182',NULL,'1106',26.37,1,3,NULL),(28,7218974,'1994-05-05 00:00:00',2,3,12,2011,'M','N','BELA VISTA','RIBEIRÃO SUL','SP','125253251215111221437613571114610114182',NULL,'9998',34.62,1,3,NULL),(28,7218982,'1970-09-26 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241247115131731316354381324610126147',NULL,'9999',20.52,2,1,1),(28,7218990,'1994-03-26 00:00:00',4,5,12,2011,'M','N','OPERÁRIA NOVA','CRICIÚMA','SC','124242241215231431435412342124610164182',10163,'995',47.98,1,3,NULL),(28,7219008,'1994-11-08 00:00:00',2,1,12,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117131411428729575224610166197',12109,'278',43.24,1,3,NULL),(28,7219016,'1994-07-10 00:00:00',4,8,11,2011,'M','N','ATIRADORES','JOINVILLE','SC','124242241215112441478812575122610124052',1165,'1063',66.08,1,3,NULL),(28,7219024,'1993-10-28 00:00:00',4,1,11,2011,'F','N','SÃO BENEDITO','GUARATINGUETÁ','SP','125253251215131451237624175122610136047',NULL,'9998',0.00,1,3,NULL),(28,7219032,'1995-04-12 00:00:00',4,10,12,2011,'M','N','ENCRUZO','JAGUARUNA','SC','124241241215111431434923575124610137117',19737,'807',30.76,1,3,NULL),(28,7219040,'1980-06-22 00:00:00',2,1,12,1997,'F','N','ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC','125254251116374441126444245123610167117',17501,'9998',40.29,1,3,NULL),(28,7219059,'1994-11-24 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241115131331646519142124610123047',NULL,'733',27.73,1,3,NULL),(28,7219067,'1985-10-29 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217273431388821475122233268197',NULL,'262',0.00,1,3,NULL),(28,7219075,'1991-07-31 00:00:00',4,1,12,2008,'M','N','RIO GRANDE','PALHOÇA','SC','124242241116372431534814275124120827057',3530,'739',65.52,1,3,NULL),(28,7219091,'1992-07-01 00:00:00',2,4,12,2010,'M','N','INTERIOR','CRUZEIRO IGUAÇU','PR','116161242112152122124344442333610147057',12141,'196',41.50,1,2,1),(28,7219113,'1993-03-23 00:00:00',4,1,12,2010,'M','N','ATALAIA','ARACAJU','SE','126262261217512411489933571122610164052',1447,'9998',64.32,1,3,NULL),(28,7219121,'1994-07-01 00:00:00',4,6,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241435111431355522385121610164115',13059,'44',48.90,4,3,NULL),(28,7219148,'1994-09-18 00:00:00',4,1,10,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212112431479913592122610134142',3166,'262',61.58,1,3,NULL),(28,7219164,'1990-08-02 00:00:00',4,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241211173411533923271122131022187',NULL,'1022',12.35,1,3,NULL),(28,7219172,'1994-04-08 00:00:00',2,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241212121431357823592124610134197',16613,'1048',34.54,1,3,NULL),(28,7219180,'1992-04-27 00:00:00',4,1,12,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242248117131711629839495124610167117',4196,'306',57.48,1,3,NULL),(28,7219199,'1993-07-23 00:00:00',2,1,12,2011,'M','N','CANGO','FRANCISCO BELTRÃO','PR','116161161215111411326963585124610124112',5788,'9998',52.50,1,3,NULL),(28,7219202,'1993-03-16 00:00:00',4,1,11,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241416131432437933475124610137117',8273,'737',52.95,1,3,NULL),(28,7219210,'1988-05-04 00:00:00',2,1,12,2005,'F','N','REAL PARQUE','S JOSÉ','SC','124241241117133541421329481124123033147',NULL,'734',27.14,1,2,1),(28,7219229,'1994-02-12 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215111331427824571124610122142',16360,'1118',34.14,1,3,NULL),(28,7219237,'1994-02-04 00:00:00',4,1,12,1994,'M','N','JR AMERICA','BAURU','SP','125252251236111431468834585111610164052',NULL,'9998',NULL,1,3,NULL),(28,7219245,'1992-12-31 00:00:00',2,1,12,2011,'M','N','DANIELA','FLORIANÓPOLIS','SC','124241241137131331223511116124610167057',NULL,'287',29.55,1,2,1),(28,7219253,'1994-03-11 00:00:00',4,1,12,2011,'F','N','ARIRIÚ','PALHOÇA','SC','124242241215141431538863142122610125097',9772,'1218',46.63,1,3,NULL),(28,7219261,'1988-03-21 00:00:00',2,1,12,2005,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124121121121343431423319345123610127047',NULL,'9998',0.00,4,1,1),(28,7219296,'1994-04-25 00:00:00',4,1,12,2011,'M','N','JARDIM NOVA ERA','LEME','SP','125252251216131431456812575122610137052',14482,'9998',35.57,1,3,NULL),(28,7219300,'1989-01-13 00:00:00',2,1,4,2007,'M','N','SERRARIA','S JOSÉ','SC','124241247336574721237624145122610117062',12673,'9999',40.92,1,3,NULL),(28,7219318,'1993-08-07 00:00:00',2,1,11,2010,'M','N','FLORESTA','S JOSÉ','SC','116172161236372331379933575114610167042',9423,'9998',45.98,1,3,NULL),(28,7219326,'1992-10-05 00:00:00',2,1,12,2009,'F','N','JARDIM CIDADE','S JOSÉ','SC','124242241215573431465612275124610111072',3634,'738',60.72,1,3,NULL),(28,7219342,'1993-12-22 00:00:00',4,1,11,2011,'M','N','SANTO AMARO','CPO GRANDE','MS','112123121115471431368813475122610164122',2278,'9998',62.39,1,3,NULL),(28,7219369,'1993-07-12 00:00:00',2,1,12,2012,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124241241116131431634313595124610122057',NULL,'267',29.18,1,3,NULL),(28,7219377,'1994-10-17 00:00:00',5,1,12,2012,'F','S','IATCORUBI','FLORIANÓPOLIS','SC','124242241215471431368933436122610136195',NULL,'262',0.00,1,3,NULL),(28,7219385,'1995-04-13 00:00:00',2,1,12,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111731447832575124610127057',15638,'270',44.42,1,3,NULL),(28,7219407,'1994-08-15 00:00:00',4,1,12,2011,'F','N','POTÉCAS','S JOSÉ','SC','124241241115111431525334345124610124142',NULL,'734',20.42,1,2,1),(28,7219423,'1995-04-07 00:00:00',4,1,12,2012,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217111711559811575124610164192',NULL,'270',53.29,1,3,NULL),(28,7219431,'1992-04-27 00:00:00',4,1,12,2009,'M','N','BAIRRO ALTO','PIRACICABA','SP','125252251217411411449813575122610167112',17256,'9998',40.88,1,3,NULL),(28,7219440,'1991-03-12 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241415375421366729475124230435095',4641,'1022',59.98,4,3,NULL),(28,7219458,'1994-05-10 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431419944115314610168176',3294,'1169',66.08,1,3,NULL),(28,7219466,'1994-03-11 00:00:00',4,3,12,2011,'M','N','CENTRO','ITAPEMA','SC','124201241315111411323624575122610137077',18383,'1111',37.70,1,3,NULL),(28,7219474,'1991-12-10 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117142411335524345114610112197',18678,'281',36.56,1,2,1),(28,7219482,'1994-12-27 00:00:00',4,1,12,2012,'M','S','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124243241117141431435632246124610134062',NULL,'307',28.63,1,3,NULL),(28,7219520,'1986-10-10 00:00:00',2,4,12,2003,'M','N','CENTRO','QUEDAS IGUAÇU','PR','116161161112133751226349392112610167064',NULL,'9998',21.78,1,2,1),(28,7219539,'1995-10-03 00:00:00',2,1,12,2012,'F','S','CENTRO','IRINEÓPOLIS','SC','124241241217121431448632595114610141197',NULL,'633',43.75,1,3,NULL),(28,7219547,'1994-07-07 00:00:00',6,1,12,2011,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241117141431324329245124610127042',19784,'257',30.41,1,3,NULL),(28,7219555,'1993-08-26 00:00:00',4,8,11,2011,'F','N','VILA NOVA','JOINVILLE','SC','124241241216271431449934575124610128171',12749,'459',39.43,1,3,NULL),(28,7219563,'1995-08-15 00:00:00',4,22,12,2012,'F','S','CENTRO','BRUSQUE','SC','124242241215111431458819572122610133112',NULL,'109',44.60,1,3,NULL),(28,7219571,'1994-12-02 00:00:00',4,23,12,2012,'F','S','VILA LENZI','JARAGUÁ SUL','SC','124242241217111732589914575122610128152',NULL,'1174',46.97,1,3,NULL),(28,7219580,'1995-01-25 00:00:00',2,8,12,2011,'F','N','ATERRADO ALTO','MTE CASTELO','SC','124241241117271431425923582224610124142',17622,'566',32.75,1,2,1),(28,7219598,'1994-01-27 00:00:00',4,1,11,2011,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215111411358839575124610165042',NULL,'1168',30.68,1,3,NULL),(28,7219601,'1993-01-09 00:00:00',4,1,12,2010,'F','N','JABAQUARA','S PAULO','SP','125252251216471431458832575122610162097',3700,'9998',59.96,1,3,NULL),(28,7219628,'1994-04-01 00:00:00',4,5,11,2011,'F','N','SÃO DEFENDE','CRICIÚMA','SC','124244241415111431339529575124610131077',18309,'880',37.92,4,3,NULL),(28,7219636,'1990-04-25 00:00:00',2,9,1,2009,'F','N','BARREIRINHA','CURITIBA','PR','116161161116131751624373345114143248042',NULL,'9998',25.60,4,3,NULL),(28,7219644,'1993-01-22 00:00:00',2,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215372431363623446132610166141',6135,'723',54.29,1,3,NULL),(28,7219687,'1994-06-15 00:00:00',4,17,12,2011,'F','N','QUEIMADOS','PAPANDUVA','SC','124241241212171751623631572124610133171',NULL,'9998',0.00,1,3,NULL),(28,7219695,'1970-05-04 00:00:00',4,1,12,1987,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224252251216471721389644445132341422182',910,'9998',68.82,1,3,NULL),(28,7219733,'1994-06-10 00:00:00',4,3,11,2011,'F','N','CHÁCARA CACHOEIRA','CPO GRANDE','MS','112122121215471431648836575122610122142',10913,'9998',52.26,1,3,NULL),(28,7219741,'1993-05-26 00:00:00',2,1,11,2009,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215574431448713475122130245187',3682,'723',60.78,1,3,NULL),(28,7219768,'1995-09-13 00:00:00',2,1,12,2012,'F','S','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215111712459933595124610163142',NULL,'1169',30.31,1,3,NULL),(28,7219776,'1994-08-12 00:00:00',4,1,11,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217111431468932576124610147122',13349,'270',48.48,1,3,NULL),(28,7219784,'1995-06-20 00:00:00',4,1,11,2012,'F','S','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241215111431423334575124610114145',NULL,'270',43.10,1,3,NULL),(28,7219792,'1989-06-10 00:00:00',2,1,12,2011,'M','N','IPIRANGA','S JOSÉ','SC','224241241135111232321144142324610117052',NULL,'734',20.10,4,2,1),(28,7219806,'1995-01-20 00:00:00',4,1,12,2011,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241217131431536623435124610128097',18876,'1074',35.77,1,3,NULL),(28,7219814,'1995-10-16 00:00:00',4,2,12,2012,'F','S','VILA NOVA','BLUMENAU','SC','124242241215151732689313575122610137142',NULL,'87',46.32,1,3,NULL),(28,7219830,'1994-05-03 00:00:00',2,8,12,2011,'F','N','ROCIO PEQUENO','S FRANCISCO SUL','SC','124244241215141731427674345124610157077',NULL,'992',20.74,1,3,NULL),(28,7219849,'1994-08-02 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215131431349634572122610128147',4134,'1022',59.18,1,3,NULL),(28,7219857,'1991-04-02 00:00:00',2,1,12,2008,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241216574211469513475124223267047',1517,'1022',70.54,1,3,NULL),(28,7219873,'1994-08-23 00:00:00',3,1,12,2012,'M','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241117111731468813575112610162182',NULL,'267',41.34,1,3,NULL),(28,7219890,'1992-08-17 00:00:00',4,1,12,2009,'M','N','MARAPÉ','SANTOS','SP','125252251116571441459814585111610164017',3752,'9998',57.73,1,3,NULL),(28,7219911,'1991-06-15 00:00:00',2,15,12,2008,'M','N','MANGUEIRINHA','BAL ARROIO SILVA','SC','124241241315154411433616395124221465142',8179,'1022',51.02,1,3,NULL),(28,7219920,'1994-05-30 00:00:00',4,1,12,2011,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241241112151432446913575114610162017',NULL,'733',17.96,1,2,1),(28,7219938,'1994-03-11 00:00:00',2,1,12,2011,'F','N','CENTRO','S LEOPOLDO','RS','120201201217111431237736575122610124042',10185,'9998',44.62,1,3,NULL),(28,7219946,'1987-10-02 00:00:00',3,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241237112421469913395122232764182',17246,'266',40.90,1,3,NULL),(28,7219954,'1994-12-14 00:00:00',4,1,12,2012,'M','S','FORQUILHINHAS','S JOSÉ','SC','124242241215111732368711475114610135092',NULL,'262',47.42,1,3,NULL),(28,7219989,'1995-12-14 00:00:00',4,1,12,2012,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217151431579834575114610164065',NULL,'270',49.78,1,3,NULL),(28,7219997,'1994-09-26 00:00:00',4,5,11,2011,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111431557831275112610134127',7982,'226',49.18,1,3,NULL),(28,7220006,'1993-09-25 00:00:00',4,4,12,2011,'M','N','CENTRO','PALMITOS','SC','124243243117151431366623385122610124047',14487,'601',36.20,1,3,NULL),(28,7220014,'1994-05-08 00:00:00',2,4,12,2011,'F','N','FREI BRUNO','XAXIM','SC','124241241216271431336313375122610122037',16032,'994',36.80,3,3,NULL),(28,7220022,'1994-02-19 00:00:00',2,23,12,2011,'M','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124244248215111432559913592122610127042',1965,'442',64.65,1,3,NULL),(28,7220030,'1995-04-11 00:00:00',4,4,12,2011,'F','N','OURO VERDE','CEL FREITAS','SC','124241241115272431446621575124610148197',15561,'169',33.47,1,2,1),(28,7220049,'1978-12-26 00:00:00',2,1,12,1999,'F','N','FUNDOS','BIGUAÇU','SC','124241244127131432123348382114610121187',NULL,'293',30.60,1,3,NULL),(28,7220057,'1989-09-23 00:00:00',4,1,10,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243248416132431526523382114610127047',16283,'9997',33.47,1,3,NULL),(28,7220065,'1994-06-16 00:00:00',4,24,12,2011,'F','N','RIO ANTINHAS','PETROLÂNDIA','SC','124241241117131431553915375122610167047',NULL,'1110',0.00,1,2,1),(28,7220073,'1995-08-29 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111731438513575122610127147',9330,'737',48.36,1,3,NULL),(28,7220081,'1989-10-13 00:00:00',4,6,12,2007,'F','N','CENTRO','ITAJAÍ','SC','124242241215575431568831395122133262182',3658,'1026',58.98,1,3,NULL),(28,7220090,'1992-12-23 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241244427133431323334575124610148027',NULL,'9997',37.71,1,3,NULL),(28,7220111,'1993-05-06 00:00:00',4,1,12,2011,'M','N','BELA VISTA','S JOSÉ','SC','124244241117131421237814576124610167057',6430,'267',54.14,1,3,NULL),(28,7220138,'1993-02-19 00:00:00',4,1,12,2010,'M','N','PARQUE IMPERADOR','CAMPINAS','SP','125252251216411431448811272122610165097',844,'9998',70.89,1,3,NULL),(28,7220146,'1993-11-01 00:00:00',4,8,11,2010,'M','N','REBOUÇAS','CURITIBA','PR','116162161214471431358831575122610127072',NULL,'9998',19.14,3,3,NULL),(28,7220154,'1990-12-08 00:00:00',4,6,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244247413473411128943335112130264092',NULL,'9999',12.19,4,3,NULL),(28,7220162,'1991-12-15 00:00:00',4,1,11,2009,'M','N','PINHEIRINHO','VINHEDO','SP','125252251217571441558833235114610124042',3771,'9998',59.85,1,3,NULL),(28,7220170,'1993-10-15 00:00:00',4,8,11,2011,'M','N','SANTA CATARINA','JOINVILLE','SC','124241246415131731238824575124610148181',NULL,'494',0.00,1,3,NULL),(28,7220189,'1995-10-09 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241215111431459913575122610124092',9549,'497',46.82,1,3,NULL),(28,7220197,'1993-02-04 00:00:00',4,7,12,2010,'M','N','FLOR DA SERRA','JOAÇABA','SC','124241241116231421323539285122231027047',NULL,'451',24.51,1,2,1),(28,7220200,'1990-02-05 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124241241117472421534611115124131028031',8521,'733',49.55,1,2,1),(28,7220227,'1993-11-24 00:00:00',4,1,11,2011,'M','N','PARQUE AMAZÔNIA','GOIÂNIA','GO','109092091217121411468822575122610132112',NULL,'9998',0.00,4,3,NULL),(28,7220235,'1991-04-26 00:00:00',4,6,12,2008,'F','N','VILA MARIA','BOTUCATU','SP','125251251117573431427913575122610167097',2440,'9998',62.60,1,2,1),(28,7220243,'1995-07-12 00:00:00',4,22,11,2012,'M','S','SÃO LUIZ','BRUSQUE','SC','124244241215111431437831275112610164012',NULL,'107',55.13,1,3,NULL),(28,7220251,'1991-05-26 00:00:00',5,1,12,2008,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241216154431367929332124230468187',9409,'262',54.70,1,3,NULL),(28,7220278,'1994-06-11 00:00:00',4,1,12,2011,'M','N','ESTRADA DE FÁTIMA','ANTÔNIO CARLOS','SC','124241241115271231423314575122610134067',11087,'21',43.72,1,2,1),(28,7220286,'1993-11-16 00:00:00',4,1,12,2010,'M','N','JD VALE DO LAGO RES','SOROCABA','SP','125252251215472711478923575122610167042',NULL,'9998',0.00,1,3,NULL),(28,7220294,'1993-04-16 00:00:00',4,1,12,2011,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241115111411659711575124610117041',7402,'267',51.16,1,2,1),(28,7220308,'1994-02-21 00:00:00',4,16,12,2011,'F','N','BOM JESUS','CURITIBANOS','SC','124241241115371431234923575122610137147',11979,'239',41.83,1,2,1),(28,7220316,'1993-10-08 00:00:00',4,8,12,2010,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215142431458632575121221415112',NULL,'270',0.00,1,3,NULL),(28,7220332,'1994-06-14 00:00:00',4,25,10,2011,'M','N','CENTRO','CAÇADOR','SC','124242168217471431389931414112610128042',NULL,'9998',0.00,1,3,NULL),(28,7220367,'1991-07-27 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241215373411269923575122122967092',4466,'883',59.71,1,3,NULL),(28,7220375,'1994-12-09 00:00:00',4,1,12,2011,'F','N','CENTRO','S JOSÉ','SC','124242241215111431356924475124610132142',16391,'1022',33.18,1,3,NULL),(28,7220383,'1992-05-28 00:00:00',2,1,12,2009,'F','N','VENDAVAL','BIGUAÇU','SC','124162241216373431316611375124610146057',7900,'1040',50.25,1,3,NULL),(28,7220391,'1993-01-23 00:00:00',4,1,12,2010,'M','N','JARDIM ESTORIL III','BAURU','SP','125252251216371431468833575122610124052',11353,'9998',51.55,1,3,NULL),(28,7220405,'1995-04-10 00:00:00',2,4,12,2011,'F','N','INTERIOR','VARGEÃO','SC','124241241144161431413336562224610137057',NULL,'824',0.00,1,2,1),(28,7220421,'1993-10-18 00:00:00',4,1,12,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124244241317141731568961595124231267147',5276,'270',61.89,1,3,NULL),(28,7220430,'1993-02-21 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472431438811571124610154052',2771,'273',61.71,1,3,NULL),(28,7220448,'1993-12-30 00:00:00',4,1,11,2011,'M','N','CHACARA DA BARRA','CAMPINAS','SP','125252251217111721468811512112610117017',3834,'9998',59.60,1,3,NULL),(28,7220456,'1989-07-25 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215575431458613275114133228057',135,'262',80.35,1,3,NULL),(28,7220464,'1992-04-09 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241212373431557714575112131467012',5014,'1022',57.90,1,3,NULL),(28,7220472,'1991-09-21 00:00:00',4,15,12,2009,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241116131731421319582321131714015',NULL,'30',18.45,1,3,NULL),(28,7220480,'1984-01-25 00:00:00',4,15,12,2003,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241248127142712421419382325613224045',NULL,'30',16.21,1,3,NULL),(28,7220502,'1993-01-29 00:00:00',4,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117152711569933395112610166015',5537,'267',56.24,1,3,NULL),(28,7220510,'1994-09-17 00:00:00',4,24,12,2011,'M','N','LONDRINA','PETROLÂNDIA','SC','124241241115161431423316252224610127052',NULL,'613',22.91,1,2,1),(28,7220529,'1994-04-12 00:00:00',4,2,12,2011,'F','N','RIBEIRÃO FRESCO','BLUMENAU','SC','124242241215272431357823576122610164142',12578,'71',49.67,1,3,NULL),(28,7220537,'1994-03-22 00:00:00',4,3,10,2011,'F','N','NOVA ESPERANÇA','BAL CAMBORIÚ','SC','124241241435111431456932575122610126052',8518,'9997',48.76,1,3,NULL),(28,7220545,'1993-09-21 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241216152431346813475114133264197',14972,'1118',39.70,4,3,NULL),(28,7220553,'1991-10-22 00:00:00',4,1,12,2009,'F','N','CENTRO','LIMEIRA','SP','125252251216573751326823575124610164122',NULL,'9998',0.00,1,3,NULL),(28,7220596,'1993-06-22 00:00:00',4,1,11,2010,'M','N','GRANJA JULIETA','S PAULO','SP','125252251217471451548823575111610166182',2607,'9998',61.10,1,3,NULL),(28,7220600,'1992-05-05 00:00:00',2,8,7,2011,'F','N','COMASA DO BOA VISTA','JOINVILLE','SC','124244247437131231123349495124610131047',NULL,'9999',0.00,2,1,2),(28,7220618,'1980-05-06 00:00:00',2,15,12,2002,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241247147131431423349295122610125147',NULL,'9999',0.00,1,3,NULL),(28,7220626,'1991-08-13 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126471331334316145123610126142',NULL,'913',16.63,1,2,1),(28,7220634,'1994-11-12 00:00:00',4,1,11,2011,'M','N','PICADAS DO SUL','S JOSÉ','SC','124244241215111531236611475122610162187',17382,'1074',40.59,1,3,NULL),(28,7220642,'1994-08-10 00:00:00',4,23,12,2011,'F','N','VILA NOVA','JARAGUÁ SUL','SC','124242241215371411489914572122610124142',11693,'1063',44.24,1,3,NULL),(28,7220650,'1993-06-02 00:00:00',4,1,12,2010,'F','N','JARDIM PROENÇA','CAMPINAS','SP','125252251216471431468712575122610127052',4144,'9998',58.02,1,3,NULL),(28,7220669,'1993-07-29 00:00:00',2,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431356824575122610137042',16567,'270',36.82,2,1,2),(28,7220685,'1983-10-03 00:00:00',4,1,12,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124254251216151431124649495122240634112',NULL,'9998',21.13,1,3,NULL),(28,7220693,'1995-01-06 00:00:00',4,24,11,2011,'M','N','JARDIM AMÉRICA','RIO SUL','SC','124242241215111451348733375115610124012',880,'991',71.58,1,3,NULL),(28,7220707,'1987-01-17 00:00:00',2,1,11,2004,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','524241241137372721223374345134610164192',NULL,'77',31.07,4,3,NULL),(28,7220715,'1994-02-18 00:00:00',2,1,1,2012,'F','N','AREIAS','S JOSÉ','SC','124241241115371431424513475124610136192',13825,'307',40.39,1,2,1),(28,7220723,'1994-02-18 00:00:00',4,10,11,2011,'F','N','CENTRO','BRAÇO NORTE','SC','124244241215121431338434375122610127042',6967,'806',52.66,1,3,NULL),(28,7220731,'1994-12-22 00:00:00',2,5,12,2011,'M','N','MONTE CASTELO','CRICIÚMA','SC','124241246415111431534911575124610167172',7675,'995',50.96,2,1,2),(28,7220740,'1994-02-25 00:00:00',4,3,12,2011,'F','N','PAROLIN','CURITIBA','PR','116162161216111411446811471112610163112',NULL,'9998',0.00,4,3,NULL),(28,7220758,'1995-07-19 00:00:00',4,23,12,2011,'F','N','CENTRO','SCHROEDER','SC','124244241217111431349811575124610137017',2658,'441',61.73,1,3,NULL),(28,7220766,'1993-05-07 00:00:00',2,15,12,2010,'F','N','CENTRO','TURVO','SC','116242248215473431447832574122610127142',5301,'970',55.52,1,3,NULL),(28,7220782,'1992-05-03 00:00:00',2,6,12,2009,'F','N','VILA OPERARIA','CIANORTE','PR','116161161136371421425514375122610136177',NULL,'9998',0.00,3,3,NULL),(28,7220790,'1991-01-30 00:00:00',4,1,10,2011,'F','N','JD CENTENARIO','VALINHOS','SP','125255251542151411431111111211111818197',NULL,'9998',0.00,2,3,NULL),(28,7220804,'1994-04-10 00:00:00',2,24,11,2011,'F','N','TABOÃO','RIO SUL','SC','124242241235111431536934345122610134012',14694,'663',36.45,1,3,NULL),(28,7220820,'1993-04-14 00:00:00',2,8,10,2010,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116162161215522431348831575122610127012',1164,'9998',67.70,1,3,NULL),(28,7220839,'1991-11-09 00:00:00',2,1,12,2009,'F','N','VILA SÃO BENEDITO','S JOSÉ CAMPOS','SP','125251251137471711533414485124610124147',14068,'9998',37.86,1,2,1),(28,7220847,'1994-08-07 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124244241117371731348611572124610163197',6764,'739',53.02,4,3,NULL),(28,7220855,'1991-11-30 00:00:00',4,1,12,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241115472441535614385124231418192',14016,'281',38.91,1,2,1),(28,7220871,'1993-04-12 00:00:00',2,1,12,2010,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117272431423311585124610127052',NULL,'285',0.00,1,2,1),(28,7220880,'1993-02-08 00:00:00',4,16,12,2010,'M','N','SÃO LUIZ','CURITIBANOS','SC','124241241211472411257923592124610168062',1277,'270',68.19,1,3,NULL),(28,7220898,'1988-05-18 00:00:00',2,1,2,2012,'M','N','BELA VISTA L','S JOSÉ','SC','124241247427131411435339485124610127042',19861,'9999',29.76,2,1,2),(28,7220901,'1988-06-02 00:00:00',2,1,11,2006,'F','N','COAHB','STA CRUZ SUL','RS','120203201217131711326823586224241931027',NULL,'9998',0.00,1,3,NULL),(28,7220910,'1994-06-05 00:00:00',2,1,12,2011,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241115151351326418485114610148072',13200,'267',41.08,2,1,1),(28,7220928,'1993-09-27 00:00:00',4,1,12,2012,'M','S','PINHEIRA','PALHOÇA','SC','124244247627151431338821575122610166177',NULL,'9999',0.00,1,3,NULL),(28,7220936,'1994-07-25 00:00:00',4,1,11,2011,'F','N','SÃO BENTO','CPO GRANDE','MS','112122121217111731487816464112610133042',2588,'9998',61.25,1,3,NULL),(28,7220944,'1994-01-28 00:00:00',4,16,12,2011,'M','N','SÃO FRANCISCO','CURITIBANOS','SC','124241241115371531435614575122610124055',18297,'239',37.97,1,2,1),(28,7220952,'1995-05-18 00:00:00',4,1,12,2012,'F','S','XV DE NOVEMBRO','FRUTAL','MG','113132131217111731558713475122610132012',NULL,'9998',0.00,1,3,NULL),(28,7220979,'1994-10-24 00:00:00',4,1,12,2011,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241117371431423424572214610117142',18399,'733',37.64,1,3,NULL),(28,7220987,'1995-01-01 00:00:00',4,15,12,2011,'M','N','CENTRO','JACINTO MACHADO','SC','124241241115131431423331285121610136187',4242,'420',56.99,4,2,1),(28,7220995,'1994-05-10 00:00:00',4,23,12,2011,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242241417111751479714475121610167042',NULL,'441',20.74,1,3,NULL),(28,7221002,'1977-08-15 00:00:00',4,1,12,1996,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241346575721238444445132321542182',3276,'9999',66.14,1,3,NULL),(28,7221010,'1994-06-17 00:00:00',4,1,11,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111411347634575112610137065',8871,'262',47.89,1,3,NULL),(28,7221029,'1992-04-12 00:00:00',4,1,11,2009,'M','N','CENTRO','ANDRADINA','SP','125252251214571731358933574124610144142',1565,'9998',65.73,1,3,NULL),(28,7221037,'1982-06-16 00:00:00',2,1,12,2003,'M','N','BELA VISTA I','S JOSÉ','SC','124241247327131421325311381114133214027',NULL,'307',0.00,4,3,NULL),(28,7221045,'1994-06-05 00:00:00',4,1,11,2011,'M','N','DEHON','TUBARÃO','SC','124242241215271431258829571121610167112',NULL,'807',36.76,1,3,NULL),(28,7221061,'1994-01-05 00:00:00',2,16,12,2011,'F','N','CENTRO','CURITIBANOS','SC','124241241116371431526669575121610164037',12823,'239',41.30,1,3,NULL),(28,7221070,'1988-04-14 00:00:00',2,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124241241125151341435524341124133247047',NULL,'57',34.96,1,3,NULL),(28,7221088,'1994-06-07 00:00:00',4,22,11,2011,'F','N','CENTRO','BRUSQUE','SC','124242241215112531433332576122610164027',4217,'109',59.13,1,3,NULL),(28,7221096,'1994-06-09 00:00:00',4,4,12,2011,'M','N','MARIA GORETTI','CHAPECÓ','SC','124241241316471431458934475122610117042',3161,'1191',60.31,1,3,NULL),(28,7221100,'1994-04-30 00:00:00',4,1,11,2011,'F','N','BOM ABIRGO','FLORIANÓPOLIS','SC','124242241215121431489933575124610122147',594,'270',75.36,1,3,NULL),(28,7221118,'1983-07-22 00:00:00',4,1,1,2002,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124213087137373451118847195124222362087',10152,'9998',53.48,1,3,NULL),(28,7221126,'1992-04-23 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241211313131469813595122610167041',2847,'9997',61.66,1,3,NULL),(28,7221134,'1981-05-21 00:00:00',2,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241217152721123812415124322232095',14110,'9997',47.25,1,3,NULL),(28,7221142,'1993-12-16 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431366624185112610167061',NULL,'1118',23.44,1,3,NULL),(28,7221150,'1992-08-03 00:00:00',2,25,12,2010,'M','N','RURAL','LEBON RÉGIS','SC','124241241117131431423329242321131427017',19567,'532',32.24,4,3,NULL),(28,7221169,'1994-10-11 00:00:00',2,5,12,2011,'F','N','CENTRO','IÇARA','SC','124243241215141431249923595122610168182',11591,'995',42.45,1,3,NULL),(28,7221177,'1995-01-16 00:00:00',2,7,12,2012,'F','S','SANTA TEREZA','JOAÇABA','SC','124242241211351431456822575122610123182',NULL,'962',32.87,1,3,NULL),(28,7221207,'1995-01-08 00:00:00',4,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124242241217111611468834245124610133052',1246,'1022',68.24,1,3,NULL),(28,7221215,'1993-11-18 00:00:00',2,1,11,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','624242241215271431467733586124610143187',17972,'1075',30.00,1,3,NULL),(28,7221258,'1995-11-27 00:00:00',2,1,12,2011,'F','N','KOBRASSOL','S JOSÉ','SC','124242241215111731336633572122610128185',NULL,'723',0.00,1,3,NULL),(28,7221266,'1994-09-20 00:00:00',4,5,11,2011,'M','N','CENTRO','IÇARA','SC','124242241215151732469611176112610162042',16905,'349',41.74,1,3,NULL),(28,7221274,'1994-01-10 00:00:00',4,1,12,2011,'M','N','INDIANÓPOLIS','S PAULO','SP','125252251217111711388812472122610144092',806,'9998',70.05,1,3,NULL),(28,7221290,'1994-07-16 00:00:00',4,8,12,2011,'M','N','BOM RETIRO','JOINVILLE','SC','124241246216151431248823575122610164147',3223,'1006',59.04,1,3,NULL),(28,7221304,'1992-06-06 00:00:00',4,6,12,2010,'F','N','XAXIM','CURITIBA','PR','116161166115472431336923575124610146187',3506,'9998',60.68,1,2,1),(28,7221312,'1995-01-07 00:00:00',4,3,12,2012,'M','S','MORRETES','ITAPEMA','SC','124243241215111631436812195122610127072',NULL,'1111',30.43,1,3,NULL),(28,7221320,'1994-03-25 00:00:00',4,17,12,2011,'M','N','CENTRO','MTE CASTELO','SC','124241241115371431435933575124610127057',11637,'566',43.54,4,2,1),(28,7221339,'1994-04-23 00:00:00',4,10,12,2011,'M','N','OFICINAS','TUBARÃO','SC','124241246215111431436634575121610134182',16992,'1120',31.64,1,3,NULL),(28,7221347,'1994-01-31 00:00:00',2,1,12,2011,'M','N','IPIRANGA','S JOSÉ','SC','124241241137131631324311446124610127047',NULL,'734',0.00,1,2,1),(28,7221355,'1994-12-23 00:00:00',4,22,11,2012,'M','S','IMIGRANTES','GUABIRUBA','SC','124242241215171711233831575114610144042',NULL,'107',41.09,1,3,NULL),(28,7221363,'1991-11-17 00:00:00',4,1,12,2009,'F','N','MIRANDÓPOLIS','S PAULO','SP','125252251237571431468811575122610163197',NULL,'9998',0.00,3,3,NULL),(28,7221371,'1992-04-22 00:00:00',4,10,12,2009,'F','N','CENTRO','TUBARÃO','SC','124241241116574431336419295125610148187',2672,'798',63.12,1,2,1),(28,7221398,'1993-08-27 00:00:00',4,22,12,2010,'M','N','CENTRO','BRUSQUE','SC','124242241217373431469633575124241424182',2622,'109',60.05,4,3,NULL),(28,7221401,'1993-08-30 00:00:00',4,1,12,2010,'M','N','JARDIM AMÉRICA','S JOSÉ CAMPOS','SP','125251251215271431557812572144610167047',NULL,'9998',0.00,1,3,NULL),(28,7221410,'1994-05-31 00:00:00',4,17,12,2011,'F','N','SÃO BASÍLIO MAGNO','UNIÃO VITÓRIA','PR','116242241215121431459933575112610133142',NULL,'633',0.00,1,3,NULL),(28,7221428,'1988-06-11 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216475431478823485122530263072',2303,'262',62.58,1,3,NULL),(28,7221436,'1994-06-27 00:00:00',2,15,12,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124244241215372731436923592221610166147',5853,'970',56.16,1,3,NULL),(28,7221444,'1996-05-21 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241237111431347819492122610134072',10312,'723',53.21,1,3,NULL),(28,7221460,'1993-09-17 00:00:00',4,1,12,2010,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124243241221472431438819581114131437147',1187,'262',71.13,1,3,NULL),(28,7221479,'1994-08-21 00:00:00',4,1,12,2011,'F','N','PONTE DO IIMARUIM','PALHOÇA','SC','124241241115131411428414575122610136147',NULL,'592',28.59,1,2,1),(28,7221487,'1994-07-26 00:00:00',2,8,12,2011,'F','N','AVENTUREIRO','JOINVILLE','SC','124242241217111431456614442112610137072',NULL,'1006',18.83,1,3,NULL),(28,7221509,'1991-10-08 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431148812495115610134043',9354,'262',54.79,1,3,NULL),(28,7221525,'1994-08-05 00:00:00',4,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124241241146132431423311145124610164042',14689,'730',36.25,1,3,NULL),(28,7221533,'1994-12-05 00:00:00',4,23,12,2011,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124241241217151441436832575121610167091',11987,'1061',40.56,1,3,NULL),(28,7221550,'1995-03-17 00:00:00',4,7,12,2011,'M','N','CENTRO','JOAÇABA','SC','124241241115151431369931575124610162057',13905,'539',47.55,1,2,1),(28,7221568,'1994-07-03 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124241241115131451429732195124610167187',NULL,'733',21.76,1,2,1),(28,7221576,'1993-01-21 00:00:00',2,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117272431345513342114610167065',NULL,'307',38.28,1,2,1),(28,7221584,'1993-05-17 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115372431348823575124230237062',17574,'267',40.12,1,2,1),(28,7221592,'1994-10-15 00:00:00',2,1,11,2011,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241215131431425614372124610147052',NULL,'9997',29.76,1,3,NULL),(28,7221606,'1994-09-25 00:00:00',2,1,12,2011,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241115371431436914575124610126097',8792,'592',50.12,1,2,1),(28,7221614,'1994-01-25 00:00:00',4,15,12,2011,'M','N','JARDIM CIBELI','ARARANGUÁ','SC','124241241115151431426611571122610137047',NULL,'30',16.67,1,2,1),(28,7221622,'1972-06-24 00:00:00',4,1,12,1989,'F','N','CENTRO','FLORIANÓPOLIS','SC','524201201216151711258743435135142964043',NULL,'9998',0.00,1,3,NULL),(28,7221649,'1989-06-06 00:00:00',2,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116275411326324296124221367042',11441,'307',42.48,1,2,1),(28,7221657,'1990-12-15 00:00:00',4,27,12,2007,'F','N','CENTRO','ITAPORÃ','MS','112123121216163731348613495124440265042',NULL,'9998',22.15,1,3,NULL),(28,7221665,'1989-04-11 00:00:00',4,1,12,2006,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124244248217131711424633395123610167181',NULL,'1076',31.04,1,3,NULL),(28,7221673,'1993-11-08 00:00:00',2,1,11,2010,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241116142531523331342121610117043',NULL,'288',23.54,1,2,1),(28,7221681,'1992-10-17 00:00:00',4,1,12,2010,'M','N','GONZAGA','SANTOS','SP','125254251214322221346624574224610127122',14784,'9998',35.83,1,3,NULL),(28,7221690,'1994-01-24 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117371721426314372124610147142',13421,'288',40.49,1,2,1),(28,7221703,'1992-07-01 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241415574411434614475114130362117',3155,'341',59.03,1,3,NULL),(28,7221711,'1996-12-18 00:00:00',4,1,11,2013,'M','S','UNIVERSITARIO','TIJUCAS','SC','124242241215111431426614282122610148142',NULL,'948',21.64,1,3,NULL),(28,7221720,'1987-12-11 00:00:00',2,1,4,2004,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124201208116471731113419495124610127077',17279,'9998',40.83,1,2,1),(28,7221746,'1993-05-01 00:00:00',2,1,12,2011,'F','N','FREITAS','PAULO LOPES','SC','124241241125161431534511345124610126197',12794,'607',38.91,1,2,1),(28,7221754,'1988-12-02 00:00:00',4,1,3,2011,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124241248616151441656679445124610162037',NULL,'306',38.61,1,3,NULL),(28,7221762,'1989-03-29 00:00:00',2,1,12,2006,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241241116154731424334375124231068197',11369,'257',42.20,1,2,1),(28,7221770,'1992-07-14 00:00:00',2,1,12,2009,'F','N','RIO ADAGA','ALFREDO WAGNER','SC','124241241146573431323315275124610163182',7640,'298',52.14,1,2,1),(28,7221789,'1985-10-22 00:00:00',2,1,12,2003,'F','N','FLORESTA','S JOSÉ','SC','124242241211135441447923445124422263172',16561,'738',42.51,1,3,NULL),(28,7221819,'1994-07-29 00:00:00',2,27,12,2011,'M','N','CENTRO','TUNÁPOLIS','SC','124241241117141432326419295124610116052',NULL,'812',0.00,1,2,1),(28,7221827,'1994-01-25 00:00:00',2,3,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241315271431235414372123610137181',19476,'51',32.86,1,3,NULL),(28,7221843,'1993-07-14 00:00:00',4,1,11,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215472751459932485122610128127',1189,'270',71.68,1,3,NULL),(28,7221860,'1994-03-16 00:00:00',2,16,12,2011,'M','N','SÃO JOSÉ','CURITIBANOS','SC','124241241115371431238322595122610147142',15580,'239',36.13,1,2,1),(28,7221878,'1990-08-05 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124204201215374521436924446124133268097',13845,'9998',47.65,1,3,NULL),(28,7221886,'1993-06-25 00:00:00',4,1,12,2009,'F','N','CENTRO','CAMPOS NOVOS','SC','116242248216573441456932591124610124012',5908,'962',53.76,1,3,NULL),(28,7221894,'1994-09-20 00:00:00',2,3,12,2011,'F','N','MONTE ALEGRE','CAMBORIÚ','SC','124242241215111431539934575122610127147',12290,'9997',40.64,1,3,NULL),(28,7221908,'1990-04-10 00:00:00',4,1,10,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241247126352431223334475121610124012',3477,'9999',61.07,1,2,1),(28,7221924,'1994-05-07 00:00:00',2,3,12,2011,'F','N','ITAIM PAULISTA','S PAULO','SP','125251258126131431524714285125610127047',NULL,'9998',0.00,2,1,1),(28,7221932,'1994-10-05 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431479833575112610144192',3095,'262',60.24,1,3,NULL),(28,7221967,'1994-05-14 00:00:00',2,9,12,2011,'M','N','CENTRO','PAINEL','SC','124241241115161511416613572122610133182',NULL,'588',22.88,1,2,1),(28,7221975,'1993-01-07 00:00:00',4,1,12,2011,'M','N','CIDADE ALTA','ALEGRETE','RS','120201201136131431427823275124610135117',NULL,'9998',0.00,1,3,NULL),(28,7221983,'1993-12-15 00:00:00',2,4,12,2010,'M','N','ZONA II','UMUARAMA','PR','116162161217471431548812195112610134012',NULL,'9998',37.19,1,3,NULL),(28,7221991,'1992-12-22 00:00:00',4,1,7,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241246115371431426724476124610122017',15819,'306',36.27,1,2,1),(28,7222009,'1993-07-13 00:00:00',2,1,11,2011,'F','N','CANTO','FLORIANÓPOLIS','SC','124241241115151431323354375124610126172',NULL,'307',25.74,1,2,1),(28,7222017,'1990-07-31 00:00:00',4,8,11,2007,'M','N','AGUA VERDE','CURITIBA','PR','116162251212472431466812595124141562092',529,'9998',72.72,3,3,NULL),(28,7222025,'1986-06-21 00:00:00',2,4,7,2000,'M','N','ENGENHO BRAUN','CHAPECÓ','SC','124241241116271421434334445122610138183',NULL,'175',36.52,1,2,1),(28,7222033,'1994-12-13 00:00:00',4,4,12,2011,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241215471731667923575122610136142',5447,'168',54.59,1,3,NULL),(28,7222041,'1993-08-19 00:00:00',4,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117132531433419345114110132142',NULL,'739',31.73,1,2,1),(28,7222068,'1994-03-10 00:00:00',4,6,12,2011,'M','N','SÃO VICENTE','ITAJAÍ','SC','124241246235171732244317375132231417054',NULL,'388',14.77,1,3,NULL),(28,7222076,'1986-01-10 00:00:00',4,1,3,2011,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124241248616171411656679495124610162177',NULL,'306',27.15,1,3,NULL),(28,7222084,'1994-04-09 00:00:00',4,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241111131411425612571121610162197',NULL,'592',21.55,1,2,1),(28,7222092,'1990-06-09 00:00:00',2,1,12,2009,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241137143231447934445124230267117',NULL,'257',0.00,1,2,1),(28,7222106,'1994-12-11 00:00:00',4,9,12,2011,'M','N','CENTRO','CORREIA PINTO','SC','124242246217271731446622582122610137057',NULL,'511',19.61,1,3,NULL),(28,7222114,'1993-07-25 00:00:00',2,1,12,2010,'F','N','CENTRO','GAROPABA','SC','124241241146152311544831275124233234092',NULL,'322',23.10,1,2,1),(28,7222122,'1983-07-17 00:00:00',4,1,12,2001,'M','N','BARREIROS','S JOSÉ','SC','124241241316145421226327445112222262012',NULL,'943',22.07,1,3,NULL),(28,7222130,'1994-11-20 00:00:00',4,4,12,2011,'M','N','LÍDER','CHAPECÓ','SC','124241241135371731333411142124610147172',10960,'169',43.25,1,2,1),(28,7222149,'1994-05-24 00:00:00',2,1,12,2011,'F','N','PICADOS DO NORTE','S JOSÉ','SC','124241241115131331433411575124610124147',13107,'727',43.19,1,2,1),(28,7222157,'1982-01-02 00:00:00',2,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','624242241136434432234472342124610137047',NULL,'293',30.25,1,3,NULL),(28,7222165,'1995-02-20 00:00:00',4,1,11,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111441449532575112610147142',6865,'1198',54.01,1,3,NULL),(28,7222173,'1994-02-11 00:00:00',2,7,12,2011,'F','N','CIDADE ALTA','SALTO VELOSO','SC','124241241135131432314119472125610128057',NULL,'684',0.00,1,2,1),(28,7222181,'1982-05-08 00:00:00',2,1,12,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','624251251326131732324551311123610117042',NULL,'9999',19.81,4,3,NULL),(28,7222190,'1985-12-08 00:00:00',2,1,12,2002,'M','N','KOBRASOL','S JOSÉ','SC','124201201147271731233644341134610125042',19925,'9998',29.01,1,3,NULL),(28,7222203,'1993-06-07 00:00:00',2,1,12,2011,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','120241247116371411623629345124610136147',10250,'9999',44.45,1,3,NULL),(28,7222211,'1993-03-15 00:00:00',4,1,12,2010,'F','N','CENTRO','CAPÃO CANOA','RS','120202201216472431316821575112610162097',9895,'9998',46.93,1,3,NULL),(28,7222220,'1994-03-30 00:00:00',2,10,12,2011,'F','N','VILA VITÓRIA','LAGUNA','SC','124246241625131411426319585115610124052',NULL,'524',19.70,1,3,NULL),(28,7222238,'1989-08-28 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241216575431366617575122221432043',7734,'270',57.59,1,3,NULL),(28,7222246,'1993-11-22 00:00:00',2,1,11,2011,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241215272751434434335112610167057',17092,'1040',34.16,1,3,NULL),(28,7222254,'1993-01-12 00:00:00',4,3,12,2010,'F','N','ITAIM PAULISTA','S PAULO','SP','125251251146131751525514275115241064047',NULL,'9998',0.00,2,2,1),(28,7222270,'1994-10-21 00:00:00',2,1,12,2011,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241117371732426713595124610124057',NULL,'329',33.12,1,2,1),(28,7222289,'1992-07-13 00:00:00',4,1,12,2009,'F','N','PASSO DAREIA','PTO ALEGRE','RS','120202201217153431548674342122610124077',10612,'9998',44.27,1,3,NULL),(28,7222297,'1992-04-04 00:00:00',4,9,12,2009,'F','N','BELA VISTA','S JOAQUIM','SC','124241241136131421423624245224610144072',15239,'903',35.50,1,3,NULL),(28,7222300,'1994-07-22 00:00:00',2,3,12,2011,'F','N','CENTRO','CAMBORIÚ','SC','124242248115371741428824575124610122027',4698,'129',55.60,1,3,NULL),(28,7222319,'1990-07-05 00:00:00',2,1,1,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242247222172431229628285114230217043',17339,'9999',40.68,1,3,NULL),(28,7222327,'1994-01-27 00:00:00',4,3,12,2011,'M','N','CEDRO','CAMBORIÚ','SC','124241241116471751436823295124610168171',13377,'130',39.00,1,2,1),(28,7222335,'1991-07-20 00:00:00',2,10,12,2008,'F','N','ESPERANÇA','LAGUNA','SC','124241241136372521626324342225610122077',NULL,'521',18.34,1,2,1),(28,7222351,'1992-10-19 00:00:00',4,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124241241115132431423314571124220137072',NULL,'831',20.01,1,3,NULL),(28,7222360,'1992-02-26 00:00:00',2,1,10,2009,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124202201214272411447613145124132162081',12002,'9998',43.42,1,3,NULL),(28,7222378,'1994-11-05 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117271212224324272324610132182',19824,'1248',30.08,1,3,NULL),(28,7222386,'1994-06-05 00:00:00',4,23,11,2011,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124241241215122411448923382125610153142',9942,'442',53.81,1,3,NULL),(28,7222394,'1967-04-10 00:00:00',4,15,12,1984,'F','N','CENTRO','ARARANGUÁ','SC','124202201116151731138847472112342422125',3188,'9998',66.40,1,3,NULL),(28,7222416,'1994-03-29 00:00:00',4,26,12,2011,'F','N','CENTRO','IPUMIRIM','SC','124241241116151431459933435122610117052',19741,'374',30.74,1,2,1),(28,7222432,'1989-01-13 00:00:00',4,1,11,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247336434441227624285114133254172',5105,'9999',55.05,1,3,NULL),(28,7222459,'1994-05-02 00:00:00',4,10,12,2011,'F','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124241241115471231433311573124610123117',NULL,'798',31.07,1,2,1),(28,7222467,'1978-07-12 00:00:00',2,1,11,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241247147542431111324142124233224197',15981,'293',34.24,1,3,NULL),(28,7222491,'1994-06-16 00:00:00',4,1,12,2011,'F','N','BOA VISTA','S VICENTE','SP','125252251217371431378833575122610131112',6069,'9998',53.73,1,3,NULL),(28,7222505,'1991-09-22 00:00:00',4,1,12,2010,'M','N','SÃO LUÍS','JEQUIÉ','BA','105252051437151431568911275124641467182',13414,'9998',48.37,1,3,NULL),(28,7222521,'1992-04-23 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241116572451437611475114133222047',10534,'307',45.99,1,3,NULL),(28,7222548,'1984-01-29 00:00:00',2,1,12,2001,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116135421436643432112121417042',5703,'307',52.30,4,2,1),(28,7222564,'1991-10-15 00:00:00',4,1,11,2009,'M','N','JARDIM DA SAÚDE','S PAULO','SP','125252251436571411438914575125610124092',NULL,'9998',0.00,1,3,NULL),(28,7222572,'1994-05-02 00:00:00',4,2,12,2011,'M','N','TESTO SALTO','BLUMENAU','SC','124241241116151211346631315124610132017',NULL,'621',31.69,1,2,1),(28,7222580,'1989-11-03 00:00:00',4,1,12,2006,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','116162161212575531239821445114143264052',10571,'9998',52.80,3,3,NULL),(28,7222602,'1996-01-28 00:00:00',4,1,12,2009,'M','N','SERRARIA','S JOSÉ','SC','124242241211111431559934575124610163052',NULL,'9997',16.45,1,3,NULL),(28,7222610,'1991-04-23 00:00:00',2,1,12,2008,'M','N','CENTRO','FORMOSA SUL','SC','124241241136154431334611445124121537097',5737,'308',56.69,1,2,1),(28,7222645,'1988-07-07 00:00:00',4,5,12,2005,'F','N','CENTRO','CRICIÚMA','SC','124242241215374431239913445112610167057',9219,'270',55.04,1,3,NULL),(28,7222653,'1993-10-23 00:00:00',4,9,12,2010,'F','N','SANTA TEREZINHA','VACARIA','RS','120202201212472431346512575125610132092',3796,'9998',59.96,1,3,NULL),(28,7222670,'1994-12-12 00:00:00',4,1,12,2011,'M','N','ROYAL PARK','LONDRINA','PR','116162161215211431469932185112610126092',NULL,'9998',0.00,1,3,NULL),(28,7222688,'1993-10-17 01:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241216131711226921575122610123057',13708,'989',41.15,4,3,NULL),(28,7222696,'1991-02-14 00:00:00',4,8,12,2009,'M','N','SANTA TEREZINHA','CÂNDIDO MOTA','SP','125252251216471431536935575114140712192',NULL,'9998',0.00,1,3,NULL),(28,7222700,'1994-08-08 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244248345111411436613572124610122182',NULL,'592',20.02,1,3,NULL),(28,7222734,'1993-10-05 00:00:00',4,1,12,2011,'M','N','FREITAS','PAULO LOPES','SC','124243246117151411544312345124610116172',3685,'306',56.99,1,3,NULL),(28,7222742,'1994-04-24 00:00:00',2,1,12,2011,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241132331431523639192124610127042',NULL,'281',18.69,1,2,1),(28,7222793,'1988-03-18 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241316115411558933375114421417092',14529,'9997',46.53,1,3,NULL),(28,7222807,'1994-09-23 00:00:00',4,15,11,2011,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','624242241215121731454912575122610162142',2870,'970',60.12,1,3,NULL),(28,7222815,'1991-04-05 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241215375731558713375124610164147',5262,'1022',56.86,1,3,NULL),(28,7222823,'1993-05-28 00:00:00',2,22,12,2010,'F','N','CENTRO','S JORGE','RS','120241241136132732335612215124241966142',13389,'111',40.22,1,2,1),(28,7222831,'1994-10-07 00:00:00',2,1,12,2011,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241216131431533916265124610137042',19845,'1014',29.88,1,3,NULL),(28,7222840,'1993-03-28 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124162241216122411248613592114131463091',7439,'1038',51.68,1,3,NULL),(28,7222858,'1994-09-04 00:00:00',2,1,12,2008,'M','N','SERRARIA','S JOSÉ','SC','124242241211111431559934575124610167052',16719,'9997',42.16,1,3,NULL),(28,7222866,'1993-08-07 00:00:00',5,1,12,2010,'F','N','LAGOA SECA','MOGI CRUZES','SP','125252241215471751249823571112610126192',7379,'9998',50.78,1,3,NULL),(28,7222874,'1993-10-27 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215122431423614572124610164072',8303,'1077',51.32,1,3,NULL),(28,7222912,'1994-06-07 00:00:00',2,8,12,2011,'F','N','PARQUE GUARANI','JOINVILLE','SC','124241241115371432424434572224610137187',17185,'472',41.07,1,3,NULL),(28,7222920,'1991-04-09 00:00:00',4,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116313732427714345124230213044',NULL,'257',27.11,4,2,1),(28,7222939,'1993-11-10 00:00:00',4,15,12,2010,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241115372431436611245121610134142',10596,'29',44.91,1,2,1),(28,7222947,'1992-12-08 00:00:00',2,3,12,2009,'F','N','PORTÃO','CURITIBA','PR','116162161216552731349811575124143267112',7936,'9998',57.24,1,3,NULL),(28,7222955,'1987-12-08 00:00:00',4,1,12,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241131373421325321195124122616092',7845,'330',51.40,1,2,1),(28,7222963,'1993-10-26 00:00:00',2,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241243117371421327721571234610162173',4806,'306',54.11,1,2,1),(28,7222980,'1986-07-07 00:00:00',4,1,12,2003,'F','N','SÃO FCO DE ASSIS','DOIS VIZINHOS','PR','116162161236274421359632375122333241097',4197,'9998',57.05,1,3,NULL),(28,7222998,'1991-11-07 00:00:00',4,3,12,2009,'M','N','FREZZARIM','AMERICANA','SP','125252251437371431356624576121610147047',12843,'9998',49.23,1,3,NULL),(28,7223005,'1987-05-28 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115471431343311445124610163047',17143,'592',32.05,4,1,1),(28,7223013,'1993-12-15 00:00:00',4,4,12,2010,'F','N','VILA NOVA','FRANCISCO BELTRÃO','PR','116162161216572431459814375112610142142',1105,'9998',68.32,1,3,NULL),(28,7223021,'1994-08-14 00:00:00',4,1,12,2011,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241112131231226624572324610126142',19731,'1248',30.85,1,3,NULL),(28,7223030,'1993-08-20 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124251241317111531321821375124610121183',NULL,'1048',9.75,1,3,NULL),(28,7223048,'1986-03-14 00:00:00',4,1,12,2003,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241112153431543824345134610111017',NULL,'727',0.00,1,2,1),(28,7223056,'1986-02-20 00:00:00',2,1,7,2005,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224241241135271721326651115124610128192',NULL,'727',26.74,1,2,1),(28,7223064,'1993-09-10 00:00:00',2,1,12,2011,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241116151731426314575124610127042',16627,'1248',36.25,1,2,1),(28,7223072,'1994-12-28 00:00:00',4,15,12,2011,'M','N','NOVA BRASILIA','SOMBRIO','SC','124241241147131421223669245131610168175',19769,'1033',30.51,1,2,1),(28,7223080,'1987-04-09 00:00:00',2,1,12,2005,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241112153421346424445124610127042',13054,'257',40.84,1,2,1),(28,7223099,'1991-08-09 00:00:00',2,1,11,2008,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','224243241347131411223354345124610111142',19286,'592',33.93,1,3,NULL),(28,7223102,'1993-05-13 00:00:00',4,1,12,2011,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','624241241215374431643411585124120714185',1492,'1022',68.36,1,3,NULL),(28,7223110,'1983-09-01 00:00:00',2,1,12,2009,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241126211711223544346234610126197',NULL,'277',12.93,2,2,1),(28,7223137,'1994-01-18 00:00:00',4,8,12,2011,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241217151431449934575124610162017',NULL,'1006',0.00,1,3,NULL),(28,7223145,'1993-04-13 00:00:00',4,3,10,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241215142431334652395121233235092',NULL,'1038',30.63,1,3,NULL),(28,7223153,'1991-06-08 00:00:00',5,8,12,2008,'M','N','GUANABARA','JOINVILLE','SC','124241241216472411463319475112131748192',4240,'486',63.94,1,3,NULL),(28,7223161,'1993-11-20 00:00:00',4,8,12,2011,'F','N','J PARAISO','JOINVILLE','SC','124241247416231421633618245224610144097',NULL,'487',22.47,1,3,NULL),(28,7223188,'1990-12-14 00:00:00',2,1,12,2008,'F','N','ROÇADO','S JOSÉ','SC','124241241147271431323339145124133221182',15681,'729',44.33,1,2,1),(28,7223196,'1990-01-03 00:00:00',2,1,12,2007,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241201337131421124316342234610134147',18895,'9998',35.69,1,3,NULL),(28,7223200,'1989-07-06 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252251216572431285822325121221127045',10556,'9998',52.83,4,3,NULL),(28,7223218,'1995-09-06 00:00:00',4,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124244241416111431457732575122610137092',15430,'1022',37.11,1,3,NULL),(28,7223234,'1994-06-15 00:00:00',2,1,12,2011,'M','N','NOVA AMÉRICA','PIRACICABA','SP','125252251417151731578814375122610164052',13576,'9998',39.37,1,3,NULL),(28,7223242,'1993-11-08 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241215472431337823575124610142042',4591,'1022',58.42,1,3,NULL),(28,7223250,'1980-04-14 00:00:00',4,1,12,1987,'F','N','VILA MASCOTE','S PAULO','SP','125142141216572731368814471112341562182',NULL,'9998',0.00,4,3,NULL),(28,7223269,'1994-11-09 00:00:00',2,26,12,2011,'M','N','CENTRO','CONCÓRDIA','SC','124241241135141531564932275121610138053',NULL,'192',24.73,1,3,NULL),(28,7223277,'1993-06-13 00:00:00',2,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244241217273431368613571321610167162',15296,'1022',35.91,1,3,NULL),(28,7223285,'1986-05-26 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211372411146643435122121066127',NULL,'494',0.00,1,3,NULL),(28,7223293,'1994-12-07 00:00:00',2,8,12,2011,'F','N','BUCAREIN','JOINVILLE','SC','120201201116161431336833575125610126147',NULL,'9998',0.00,1,2,1),(28,7223315,'1993-10-14 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116272421336623595124610133047',15536,'278',38.78,2,1,1),(28,7223323,'1993-08-18 00:00:00',2,1,12,2010,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124243241116271431435314345134610128192',10283,'1116',45.96,1,3,NULL),(28,7223358,'1994-04-15 00:00:00',4,1,12,2011,'F','N','COSTA DO MACACU','GAROPABA','SC','124241241126131431413611215124610133142',11540,'322',43.29,1,2,1),(28,7223366,'1994-03-21 00:00:00',4,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115471431434679575124610124142',7749,'298',50.29,1,2,1),(28,7223374,'1993-05-05 00:00:00',4,5,12,2010,'M','N','PRÓSPERA','CRICIÚMA','SC','124242246147112421647833285124221467042',15610,'209',35.22,2,1,2),(28,7223390,'1990-09-28 00:00:00',2,17,12,2007,'F','N','CENTRO','AQUIDAUANA','MS','112124121216574451653639594125610132142',2985,'9998',60.81,2,1,2),(28,7223404,'1992-04-20 00:00:00',2,15,12,2010,'M','N','CENTRO','BAL ARROIO SILVA','SC','124242241215372451478812445122610158115',13787,'970',47.73,1,3,NULL),(28,7223412,'1993-06-29 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124071241116472431333513575124610133192',14175,'257',38.59,4,2,1),(28,7223420,'1994-04-05 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115151431326613475124610113187',18669,'307',28.87,1,2,1),(28,7223447,'1988-01-13 00:00:00',4,1,12,2005,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241217154441678613575122121166122',NULL,'262',0.00,1,3,NULL),(28,7223455,'1994-03-06 00:00:00',4,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241225111431336614585114610167042',10395,'262',44.39,4,3,NULL),(28,7223463,'1992-10-25 01:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241216172431337823572124231023147',15331,'1022',36.49,1,3,NULL),(28,7223471,'1992-08-10 00:00:00',2,1,12,2009,'F','N','BOA VISTA','CURITIBA','PR','116161161146471451236623345124610127057',8731,'9998',45.40,1,3,NULL),(28,7223498,'1991-09-11 00:00:00',2,1,12,2008,'F','N','CENTRO','PASSO FUNDO','RS','120201201116572731335415595112610126147',5862,'9998',52.07,1,2,1),(28,7223501,'1990-09-28 00:00:00',2,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116161161215471431356933475124243233097',NULL,'9998',0.00,1,3,NULL),(28,7223510,'1993-01-04 00:00:00',4,10,12,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215373231489813575112121464142',730,'797',68.93,1,3,NULL),(28,7223528,'1994-12-05 00:00:00',4,1,12,2011,'F','N','BAIRRO IPIRANGA','S JOSÉ','SC','124241241135131431436534275124612527092',NULL,'734',22.07,1,2,1),(28,7223536,'1979-07-26 00:00:00',4,1,12,1996,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242241211145411336849292322121468187',10509,'272',52.91,1,3,NULL),(28,7223544,'1993-03-12 00:00:00',2,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224241241115272421226751215124610114182',18559,'307',37.03,1,2,1),(28,7223579,'1984-01-14 00:00:00',4,1,12,2003,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','524241241127171441423344445124130827092',17884,'281',28.32,4,2,1),(28,7223587,'1991-08-16 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116131431226434245124232764051',NULL,'1034',36.72,1,3,NULL),(28,7223595,'1994-09-21 00:00:00',2,1,12,2011,'M','N','PINHEIRA','PALHOÇA','SC','124241241115371431623314372124610127077',14862,'595',38.93,1,2,1),(28,7223609,'1981-11-25 00:00:00',2,1,2,2000,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224244243136274441338754212124610134147',16896,'306',41.77,1,3,NULL),(28,7223617,'1992-06-16 00:00:00',2,1,7,2013,'M','S','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124242248315131431538824575124510137042',NULL,'306',0.00,1,3,NULL),(28,7223633,'1994-04-09 00:00:00',4,1,12,2011,'F','N','PENHA','PAULO LOPES','SC','124241241225111431223327575124610147052',9325,'262',46.86,1,3,NULL),(28,7223668,'1994-04-01 00:00:00',4,17,12,2011,'F','N','JARDIM ESPERANÇA','CANOINHAS','SC','124241161316111431328614572124610144147',5461,'9998',54.80,1,3,NULL),(28,7223684,'1994-12-23 00:00:00',4,6,12,2011,'F','N','CENTRO','ITAJAÍ','SC','124244241136271411646921345125610166197',NULL,'395',0.00,1,3,NULL),(28,7223692,'1984-01-01 00:00:00',4,1,12,2002,'M','N','IPIRANGA','S JOSÉ','SC','224242241211133521227644445124130267047',17318,'9999',40.73,1,3,NULL),(28,7223706,'1994-10-01 00:00:00',4,1,12,2011,'M','N','BOM VIVER','BIGUAÇU','SC','124241241117311231336813572124610127012',14823,'257',39.81,2,1,1),(28,7223714,'1992-11-16 00:00:00',2,1,11,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241111153751436613495122221512187',13568,'267',48.12,1,2,1),(28,7223722,'1990-04-01 00:00:00',4,1,12,2007,'M','N','KOBRASOL','S JOSÉ','SC','124241241315373431326644445114122866082',2589,'807',68.02,1,3,NULL),(28,7223749,'1993-09-17 00:00:00',2,9,12,2011,'F','N','BOM JESUS','LAGES','SC','124241241115372731316319572223610137052',NULL,'935',19.52,3,3,NULL),(28,7223757,'1991-05-21 00:00:00',2,3,12,2008,'F','N','MUNICÍPIOS','BAL CAMBORIÚ','SC','224241244136575431224658575121610123097',7712,'239',49.87,1,2,1),(28,7223765,'1994-06-21 00:00:00',4,1,12,2011,'M','N','BOM JARDIM','GUARATINGUETÁ','SP','125252251217111411658811575121610135112',8233,'9998',48.83,1,3,NULL),(28,7223781,'1993-03-25 00:00:00',4,1,11,2010,'M','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','125092091317152431468814575112241464047',815,'9998',67.22,1,3,NULL),(28,7223790,'1992-08-22 00:00:00',4,1,12,2010,'M','N','CENTRO','CAFARNAUM','BA','105051051126271231532332315323610133047',NULL,'9998',25.64,4,2,1),(28,7223803,'1994-06-07 00:00:00',2,15,12,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124241241415111421426619192123610167142',17036,'970',41.44,1,3,NULL),(28,7223846,'1993-07-16 00:00:00',2,1,12,2010,'M','N','BREJARU','PALHOÇA','SC','124241241116132431423414585124231227052',8452,'307',50.66,1,2,1),(28,7223854,'1992-05-30 00:00:00',5,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241317372711238823485124610132142',6810,'306',54.36,1,3,NULL),(28,7223862,'1993-07-15 00:00:00',2,24,12,2010,'M','N','CENTRO','ITUPORANGA','SC','124241241147471431336614385124610161147',11817,'416',50.83,1,2,1),(28,7223870,'1994-01-28 00:00:00',2,1,12,2010,'F','N','CENTRO','IMBITUBA','SC','124243241215371431323532245132610111147',19451,'362',33.01,1,3,NULL),(28,7223889,'1990-03-07 00:00:00',2,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241127274431533317245114610127067',17407,'290',40.51,1,2,1),(28,7223897,'1988-09-25 00:00:00',4,1,11,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116132451426628575124222226147',10842,'298',52.35,4,2,1),(28,7223900,'1994-12-29 00:00:00',4,1,12,2011,'F','N','PRAIA DE BELAS','PTO ALEGRE','RS','120203201136141441436621195124510164177',8105,'9998',48.35,2,1,2),(28,7223919,'1983-09-14 00:00:00',2,1,11,2000,'F','N','BARREIROS','S JOSÉ','SC','124242241216133711339613415122331024127',11049,'723',52.05,1,3,NULL),(28,7223927,'1986-12-21 00:00:00',4,1,12,2004,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161217472751359913415125342063047',NULL,'9998',0.00,1,3,NULL),(28,7223935,'1988-08-29 00:00:00',4,1,12,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217252441458831395122220337113',15382,'1118',44.90,1,3,NULL),(28,7223943,'1993-10-18 00:00:00',4,1,11,2011,'F','N','SANTA TEREZINHA','CEL FABRICIANO','MG','113132131215111451448931575122610168192',2433,'9998',68.44,4,3,NULL),(28,7223951,'1968-06-05 00:00:00',4,1,12,1987,'F','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124251251136132411463679281112610163187',NULL,'9998',0.00,1,3,NULL),(28,7223960,'1994-07-24 00:00:00',4,10,12,2011,'M','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124241243215111731455932575124610114142',NULL,'1120',26.26,1,3,NULL),(28,7223986,'1993-02-28 00:00:00',2,1,12,2010,'F','N','ROÇADO','S JOSÉ','SC','124241241112372411323339575114610126143',NULL,'729',22.27,1,2,1),(28,7223994,'1987-02-13 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241236153421579919475115120732055',4458,'266',63.47,1,3,NULL),(28,7224001,'1989-04-21 00:00:00',2,1,2,2007,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124201241136375421335539495124610133187',7194,'267',58.48,4,2,1),(28,7224010,'1992-10-13 00:00:00',2,1,12,2009,'F','N','PINHEIRA','PALHOÇA','SC','124241241126372431633311275124610134097',3397,'595',60.48,1,2,1),(28,7224028,'1992-11-12 00:00:00',4,6,12,2010,'M','N','CENTRO','GRAVATAL','SC','124242246317131531559733485122610117075',18660,'570',36.63,1,3,NULL),(28,7224036,'1994-04-02 00:00:00',4,3,11,2011,'M','N','CENTRO','CPO GRANDE','MS','112122128215471431478911575122610127142',NULL,'9998',0.00,1,3,NULL),(28,7224044,'1992-11-15 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241216473431456632372122610127042',3508,'738',59.43,1,3,NULL),(28,7224052,'1983-10-15 00:00:00',2,1,9,2005,'F','N','JARDIM AQUARIUS','PALHOÇA','SC','124241201327141132423327181334130224147',NULL,'9998',0.00,1,3,NULL),(28,7224060,'1994-06-24 00:00:00',4,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243241115271431546933572124610136141',11480,'307',42.93,1,3,NULL),(28,7224087,'1990-10-02 00:00:00',4,1,12,2008,'M','N','CENTRO','FELIZ','RS','120204201117571411443633375112610127117',NULL,'9998',0.00,1,3,NULL),(28,7224109,'1994-09-28 00:00:00',2,1,11,2011,'F','N','SERRARIA','S JOSÉ','SC','124242241215111221356823232124610137142',13584,'1118',48.10,1,3,NULL),(28,7224117,'1994-12-06 00:00:00',2,1,12,2011,'M','N','VARZEA','ITAPEMA','SC','124241241116271431523414185121610124147',NULL,'406',0.00,1,2,1),(28,7224125,'1994-06-12 00:00:00',4,5,12,2011,'M','N','ESTAÇÃO','URUSSANGA','SC','124241241115371431438634575124610136172',5615,'822',54.14,1,2,1),(28,7224133,'1994-06-27 00:00:00',4,25,12,2011,'F','N','BERGER','CAÇADOR','SC','124242241217111431438624575112610125042',NULL,'120',33.84,1,3,NULL),(28,7224141,'1992-11-05 00:00:00',4,4,12,2011,'M','N','SANTA TEREZINHA','PATO BRANCO','PR','116161161117131431323321245124610134052',NULL,'9998',31.40,1,2,1),(28,7224150,'1994-11-27 00:00:00',2,1,12,2011,'F','N','PRAÇA','TIJUCAS','SC','124241241115141231425311242122610128047',NULL,'971',24.17,1,3,NULL),(28,7224168,'1994-10-06 00:00:00',4,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241225131731226329572124610138192',12682,'262',49.45,2,1,2),(28,7224184,'1994-01-09 00:00:00',4,5,11,2011,'F','N','JARDIM ANGÉLICA','CRICIÚMA','SC','124242241215111731445824575112610122141',14757,'880',38.96,1,3,NULL),(28,7224192,'1994-07-09 00:00:00',2,1,12,2011,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115131731326614111124610131047',NULL,'21',26.06,1,2,1),(28,7224214,'1992-11-13 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241147471431124541211324610128057',11548,'387',51.25,1,2,1),(28,7224222,'1992-11-05 00:00:00',4,1,12,2010,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','124244241227131421338314445124133211077',19483,'594',32.82,1,3,NULL),(28,7224230,'1988-09-23 00:00:00',2,17,12,2005,'M','N','CAMPO DA ÁGUA VERDE','CANOINHAS','SC','124241241126371431423311215122610114052',NULL,'151',20.18,4,2,1),(28,7224249,'1994-09-08 00:00:00',4,10,12,2011,'F','N','CENTRO','JAGUARUNA','SC','124241241117141351426933385122610148157',12098,'421',40.65,1,2,1),(28,7224257,'1993-03-31 00:00:00',2,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241135472431433123345123610127063',14432,'287',39.25,1,2,1),(28,7224281,'1993-06-17 00:00:00',4,15,12,2010,'M','N','MORRO DO MEIO','TURVO','SC','124241241116132431423315355113610124172',8296,'814',47.64,4,2,1),(28,7224290,'1993-12-17 00:00:00',2,1,12,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241112271732523619275124610137052',NULL,'287',26.62,1,2,1),(28,7224303,'1992-06-18 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115473431427621585124610127147',13757,'257',38.80,2,1,1),(28,7224311,'1994-02-01 00:00:00',2,1,12,2011,'F','N','NOVA BRASILIA','IMBITUBA','SC','124241241115371431613311572214610162197',19237,'359',24.93,1,2,1),(28,7224320,'1991-02-22 00:00:00',2,1,2,2012,'F','N','VENDAVAL','BIGUAÇU','SC','624241241145171431426354385124610164187',NULL,'65',12.37,4,2,1),(28,7224346,'1995-05-16 00:00:00',2,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124244241417371531214737575122610122067',14642,'868',39.51,1,3,NULL),(28,7224354,'1992-12-16 00:00:00',4,1,12,2011,'F','N','PONTE DE IMARUIM','PALHOÇA','SC','124242241217372431458613475124610132147',15772,'989',36.33,1,3,NULL),(28,7224370,'1988-06-20 00:00:00',2,1,5,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116161721313437271331110162067',NULL,'298',0.00,3,2,1),(28,7224389,'1993-12-17 00:00:00',4,9,7,2011,'M','N','UNIVERSITÁRIO','LAGES','SC','124242281415371431357812575112610134057',840,'9998',72.32,1,3,NULL),(28,7224397,'1994-05-12 00:00:00',4,1,12,2011,'M','N','AREIAS','S JOSÉ','SC','124241241147171431453334245125610167052',NULL,'730',26.24,1,2,1),(28,7224419,'1994-12-26 00:00:00',2,4,12,2011,'F','N','ALVORADA','CHAPECÓ','SC','124244241116371531426312575122610124142',NULL,'169',21.91,1,3,NULL),(28,7224427,'1995-08-27 00:00:00',4,1,10,2012,'M','S','BARREIROS','S JOSÉ','SC','124242241211161752433332312122610118042',NULL,'1118',34.53,4,3,NULL),(28,7224443,'1988-07-27 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124281288117231442215541217224610164095',NULL,'9998',0.00,1,3,NULL),(28,7224451,'1994-10-29 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124252241215111411458933575124610147092',8838,'883',49.17,1,3,NULL),(28,7224478,'1993-07-20 00:00:00',2,1,11,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431538819371122610124142',15243,'272',38.07,1,3,NULL),(28,7224494,'1993-02-16 00:00:00',4,1,10,2011,'M','N','CENTRO','CURITIBA','PR','116162161216471431456612575115610127052',6881,'9998',54.04,1,3,NULL),(28,7224508,'1995-12-05 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217111431569831595112610168112',NULL,'738',32.14,1,3,NULL),(28,7224516,'1994-06-06 00:00:00',2,1,12,2011,'F','N','NOVA BRASILIA','IMBITUBA','SC','124241241115371431413311575124610161147',17755,'359',29.98,1,2,1),(28,7224532,'1993-06-11 00:00:00',2,6,11,2010,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124242241215372231459913375121121464042',1751,'1038',65.76,1,3,NULL),(28,7224540,'1994-01-13 00:00:00',4,1,12,2011,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241315131441427821575124610132177',12255,'977',41.63,1,3,NULL),(28,7224567,'1994-07-08 00:00:00',4,16,11,2011,'F','N','CENTRO','CURITIBANOS','SC','124242241215111531537933592122610113182',15757,'881',33.41,1,3,NULL),(28,7224575,'1994-01-04 00:00:00',4,1,12,2011,'M','N','REAL PARQUE','S JOSÉ','SC','124241241112151531423319575111610167047',20001,'730',28.07,1,2,1),(28,7224583,'1994-06-07 00:00:00',2,6,12,2011,'F','N','CENTRO','GARIBALDI','RS','120201201116171741337514475122610143142',18111,'9998',38.55,1,3,NULL),(28,7224591,'1994-08-02 00:00:00',2,15,12,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124241241115111731436614286223610115052',19281,'29',33.94,1,2,1),(28,7224605,'1992-03-18 00:00:00',4,1,12,2009,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241216273431459813595124231026097',15486,'272',44.72,1,3,NULL),(28,7224613,'1994-07-21 00:00:00',2,17,12,2011,'F','N','JARDIM ESPERANÇA','CANOINHAS','SC','124241241115371431313316571324610116141',NULL,'153',0.00,1,3,NULL),(28,7224621,'1994-04-12 00:00:00',4,6,11,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241415111431634911284124610147052',1425,'1038',66.37,4,3,NULL),(28,7224630,'1992-09-07 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162161216112231449912395124221468052',4402,'9998',58.72,1,3,NULL),(28,7224656,'1986-07-01 00:00:00',4,5,11,2003,'M','N','JARDIM ELIZABETH','COCAL SUL','SC','124241241146131431423314385114132222187',NULL,'189',0.00,1,2,1),(28,7224664,'1996-03-29 00:00:00',2,1,12,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111431336529575122610134142',18547,'1134',37.07,2,3,NULL),(28,7224672,'1981-05-29 00:00:00',4,1,12,1999,'M','N','VILA BUARQUE','S PAULO','SP','113132133226131411136644345131343264143',16599,'9998',42.43,1,3,NULL),(28,7224680,'1987-05-25 00:00:00',4,1,1,2012,'F','N','BREJARÚ','PALHOÇA','SC','124241247147141431426624441334610124147',18448,'9997',37.48,2,1,1),(28,7224699,'1993-02-17 00:00:00',4,1,12,2010,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124241241117131731411324275114233234042',NULL,'295',26.80,1,2,1),(28,7224702,'1992-12-21 00:00:00',4,1,12,2010,'M','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124242241212142421553512241113610168121',6214,'1074',54.62,1,3,NULL),(28,7224710,'1987-04-12 00:00:00',4,1,12,2005,'M','N','SERRARIA','S JOSÉ','SC','124241247127172411448613345122610164034',18299,'66',37.96,2,1,1),(28,7224737,'1993-10-28 00:00:00',4,8,12,2011,'M','N','VILA NOVA','JOINVILLE','SC','124241241115111431334411575114610127041',19223,'475',34.22,1,2,1),(28,7224745,'1995-03-17 00:00:00',4,7,11,2011,'F','N','CENTRO','JOAÇABA','SC','124243241315141431425933345122610123142',15712,'962',33.72,1,3,NULL),(28,7224753,'1993-05-20 00:00:00',4,1,7,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242247437271431258923575124130727182',12076,'9999',50.42,4,3,NULL),(28,7224761,'1994-08-07 00:00:00',4,1,11,2010,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124243241115372431449923495124610127042',2695,'271',62.72,1,3,NULL),(28,7224770,'1985-11-13 00:00:00',2,4,12,2004,'M','N','IPIRANGA','FREDERICO WESTPHALEN','RS','120201201126372741116949495124331368047',8239,'9998',49.69,1,2,1),(28,7224788,'1993-02-19 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242247216141231458714445124610151067',NULL,'9999',18.08,1,3,NULL),(28,7224796,'1991-04-17 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241116471411259413575114610164042',NULL,'257',25.55,1,3,NULL),(28,7224800,'1995-06-19 00:00:00',4,2,11,2012,'F','S','CENTRO','INDAIAL','SC','124242161117111711489933575122610112112',NULL,'909',46.93,1,3,NULL),(28,7224818,'1994-02-04 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116131531256829575122610126173',NULL,'295',30.72,1,2,1),(28,7224834,'1994-11-28 00:00:00',4,9,11,2011,'F','N','SÃO CRISTOVÃO','LAGES','SC','124242241215111431466932575122610142192',12362,'497',41.84,1,3,NULL),(28,7224842,'1988-04-04 00:00:00',4,7,12,2005,'M','N','SANTA TERESA','JOAÇABA','SC','124241241117373741238723235124131464097',3044,'449',61.83,4,2,1),(28,7224850,'1991-08-25 00:00:00',2,15,12,2011,'M','N','PORTO DOS PADRES','PARANAGUÁ','PR','116161168217111531523411575122610137042',NULL,'9998',34.73,1,3,NULL),(28,7224869,'1991-11-27 00:00:00',4,8,12,2009,'M','N','BELA VISTA','OSASCO','SP','125252251211571411658821575122610162022',9302,'9998',54.88,1,3,NULL),(28,7224877,'1989-11-30 00:00:00',2,1,12,2007,'M','N','GALO BRANCO','S JOSÉ CAMPOS','SP','125251251147571711436614385124610164182',8568,'9998',48.94,1,2,1),(28,7224893,'1994-08-30 00:00:00',4,10,12,2011,'F','N','MIRIM','IMBITUBA','SC','124241241115271731534632575114610137143',NULL,'1034',18.29,1,2,1),(28,7224907,'1985-08-14 00:00:00',2,1,4,2007,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','224241241141131751625621192334610118071',17549,'257',32.24,2,1,1),(28,7224915,'1990-12-13 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124242241215372511368733572124132624177',15894,'737',43.90,1,3,NULL),(28,7224923,'1994-12-28 00:00:00',2,15,12,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124241241115371431437714575122610136197',6328,'30',53.47,1,2,1),(28,7224931,'1967-01-04 00:00:00',2,17,5,2005,'F','N','INTERIOR','CANOINHAS','SC','624241248136151431323455412222610128143',NULL,'9999',0.00,1,2,1),(28,7224940,'1994-01-28 00:00:00',4,1,12,2011,'M','N','JARDIM MARCO ZERO','MACAPÁ','AP','103241031216121431466613575122610164012',NULL,'9998',27.10,1,3,NULL),(28,7224958,'1993-06-15 00:00:00',2,1,12,2011,'F','N','RETIRO DA LAGOA','FLORIANÓPOLIS','SC','124241241117161431427321572124610128093',NULL,'307',25.25,1,3,NULL),(28,7224966,'1993-10-28 00:00:00',4,1,12,2011,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124242241217221431247831376124610127042',5858,'299',53.72,1,3,NULL),(28,7224974,'1994-09-15 00:00:00',4,1,11,2011,'M','N','ANTONIO VENDAS','CPO GRANDE','MS','112122121215111431578611474112610114057',3837,'9998',64.84,1,3,NULL),(28,7224990,'1993-06-04 00:00:00',4,1,12,2010,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124242241215272431428629485114610162057',13618,'1048',48.02,1,3,NULL),(28,7225008,'1994-02-08 00:00:00',4,1,12,2011,'M','N','BELA VISTA','S JOSÉ','SC','124242241237111411347532342322610127042',12282,'738',42.17,1,3,NULL),(28,7225016,'1994-03-14 00:00:00',4,1,12,2011,'M','N','PICADAS DO SUL','S JOSÉ','SC','124243241215121431368823575114610168187',12042,'1074',43.21,1,3,NULL),(28,7225024,'1992-08-18 00:00:00',4,1,12,2010,'M','N','JARDIM PRUDÊNCIA','S PAULO','SP','125252251217271711468812371122610144092',3811,'9998',64.91,1,3,NULL),(28,7225032,'1993-05-23 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116132411427519245124610122091',NULL,'307',0.00,1,2,1),(28,7225040,'1993-07-21 00:00:00',4,6,12,2011,'M','N','SÃO JOÃO','ITAJAÍ','SC','124244241134151731438614375122610117052',19401,'401',33.32,1,3,NULL),(28,7225067,'1994-02-18 00:00:00',4,1,12,2011,'F','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241115371431423422472224610126147',14692,'772',38.17,1,2,1),(28,7225075,'1995-04-11 00:00:00',4,4,12,2011,'M','N','CENTRO','CAIBI','SC','124243241117471431369913575122610134047',8430,'127',48.18,1,3,NULL),(28,7225083,'1980-11-10 00:00:00',4,1,12,1998,'M','N','JD VIVENDAS','S JOSÉ R PRETO','SP','125252251215572411468831575122610126192',267,'9998',75.70,1,3,NULL),(28,7225091,'1994-12-15 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241216111431535824245122610124142',19107,'1010',34.85,1,3,NULL),(28,7225105,'1994-03-09 00:00:00',4,1,12,2011,'M','N','VILA PAULISTA','CRUZEIRO','SP','125252251216121431456812275122610147042',8741,'9998',47.91,1,3,NULL),(28,7225113,'1994-03-22 00:00:00',4,1,12,2011,'F','N','JARDINS DO LAGO','LONDRINA','PR','116162161215151411588812575122610166193',NULL,'9998',0.00,1,3,NULL),(28,7225121,'1994-07-22 00:00:00',2,1,12,2011,'F','N','VENDAVAL','BIGUAÇU','SC','124241248215131441436614571244610155145',NULL,'63',0.00,1,3,NULL),(28,7225130,'1994-01-24 00:00:00',2,15,12,2011,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241115151431435334275122610138017',17454,'30',31.42,1,2,1),(28,7225148,'1994-12-27 00:00:00',4,27,12,2011,'M','N','INTERIOR','FLOR SERTÃO','SC','124241241136271431326563275212610142177',11209,'256',42.98,1,2,1),(28,7225164,'1994-08-26 00:00:00',3,1,11,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217121411368831575122610166186',NULL,'270',56.93,1,3,NULL),(28,7225172,'1994-05-15 00:00:00',4,7,12,2011,'M','N','CENTRO','TREZE TÍLIAS','SC','124244241116151431546613115124610136052',15541,'539',33.89,1,3,NULL),(28,7225180,'1991-11-11 00:00:00',4,1,12,2009,'M','N','PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP','125252251215573751358613575122610134187',11477,'9998',44.24,1,3,NULL),(28,7225202,'1994-01-20 00:00:00',4,10,12,2011,'M','N','PROGRESSO','LAGUNA','SC','124243241225141131436811215114610167057',NULL,'524',6.17,1,3,NULL),(28,7225210,'1985-11-28 00:00:00',2,1,12,2003,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224204241146132431326758385124610127187',16907,'279',41.74,1,3,NULL),(28,7225229,'1993-07-28 00:00:00',2,1,12,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124241241112472441433314342114610133147',12079,'307',41.25,1,2,1),(28,7225237,'1967-11-30 00:00:00',6,1,12,1985,'F','N','IPIRANGA','S JOSÉ','SC','124241241137133731223349295124331223187',NULL,'307',0.00,1,2,1),(28,7225245,'1993-08-28 00:00:00',2,10,12,2010,'F','N','CENTRO','GR PARÁ','SC','124241241116372731224422295124610123057',NULL,'330',28.04,1,2,1),(28,7225253,'1995-07-03 00:00:00',4,1,12,2012,'M','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241112111731449933575122610117112',NULL,'267',39.71,1,3,NULL),(28,7225261,'1993-12-22 00:00:00',2,9,12,2010,'F','N','BRUSQUE','LAGES','SC','124244241415471431337923572124610113142',NULL,'515',22.04,1,3,NULL),(28,7225270,'1994-08-09 00:00:00',2,1,11,2011,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111411359924375124610164143',11737,'270',43.05,1,3,NULL),(28,7225296,'1964-06-30 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','224256258632131221111179192345610168197',NULL,'9998',27.57,1,3,NULL),(28,7225300,'1993-07-15 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116152431423411385122610168193',NULL,'307',22.43,1,2,1),(28,7225318,'1986-08-25 00:00:00',4,1,12,2003,'M','N','CENTRO','PALHOÇA','SC','124243241216273411236644445223230264182',15409,'1169',44.85,1,3,NULL),(28,7225326,'1994-01-29 00:00:00',4,23,12,2011,'M','N','PEDRA DE AMOLAR','CORUPÁ','SC','124241241235111531446512575124610134042',19588,'442',32.13,1,3,NULL),(28,7225334,'1989-12-15 00:00:00',2,1,12,2006,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217274411358823345121131966052',8856,'270',55.66,1,3,NULL),(28,7225342,'1991-05-03 00:00:00',4,1,12,2009,'M','N','CENTRO','S BERNARDO CAMPO','SP','125252257217141741346534345134141932112',9811,'9998',54.03,1,3,NULL),(28,7225350,'1985-01-25 00:00:00',2,1,12,2002,'M','N','CAPOERIAS','FLORIANÓPOLIS','SC','124241241226134441334411245124121766182',17284,'262',40.82,1,3,NULL),(28,7225369,'1970-06-27 00:00:00',2,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632131221111179197345610118197',NULL,'9999',0.00,1,3,NULL),(28,7225377,'1994-11-08 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124162241415121431427634575122610138051',15209,'1198',37.96,1,3,NULL),(28,7225407,'1991-12-17 00:00:00',2,1,12,2009,'F','N','JARDIM AMÉRICA','PIRAJUÍ','SP','125251251116471431426674372124610124187',NULL,'9998',30.99,1,2,1),(28,7225423,'1994-12-06 00:00:00',2,6,10,2011,'M','N','CENTRO','BOMBINHAS','SC','124242241217371431436632575124610137182',4710,'403',57.66,1,3,NULL),(28,7225431,'1992-09-02 00:00:00',4,5,12,2009,'F','N','CRISTO REDENTOR','CRICIÚMA','SC','124241241115131431435314375124610164077',8007,'953',50.63,1,2,1),(28,7225440,'1995-02-10 00:00:00',2,22,12,2012,'F','S','ÁGUAS CLARAS','BRUSQUE','SC','124242241215112211456632572112610162192',NULL,'107',32.26,1,3,NULL),(28,7225458,'1994-01-11 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215121431556619575124610137062',7516,'1076',51.02,1,3,NULL),(28,7225466,'1993-09-01 00:00:00',4,4,12,2010,'F','N','VILA NOVA','FRANCISCO BELTRÃO','PR','116163161416272431443933575124241422042',NULL,'9998',0.00,1,3,NULL),(28,7225474,'1995-12-18 00:00:00',4,8,12,2012,'M','S','CENTRO','CPO ALEGRE','SC','124241241116161731333634575122610162197',NULL,'132',15.98,1,3,NULL),(28,7225482,'1994-05-05 00:00:00',2,5,12,2011,'F','N','BARRACÃO','MRO FUMAÇA','SC','124241241135111731523514172324610156052',19544,'567',32.39,4,3,NULL),(28,7225490,'1993-03-11 00:00:00',4,1,12,2010,'F','N','JARDIM SANTIAGO','S JOSÉ','SC','124242243112232521428611342114121766092',2419,'306',63.64,1,3,NULL),(28,7225512,'1993-09-22 00:00:00',2,1,12,2011,'M','N','BAIRRO DA GRUTA','ITUPORANGA','SC','124241241127131431433324585121610124057',15272,'415',37.36,1,2,1),(28,7225547,'1994-04-13 00:00:00',2,1,12,2011,'F','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124241241115131431323611385124610146093',NULL,'727',21.25,1,2,1),(28,7225555,'1988-09-04 00:00:00',4,1,12,2005,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124243241116153431438733485114331966187',9478,'271',54.58,4,3,NULL),(28,7225563,'1994-02-07 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124244241216111431328721575225610128147',NULL,'1077',27.01,1,3,NULL),(28,7225571,'1990-01-17 00:00:00',2,1,12,2007,'F','N','VENDAVAL','BIGUAÇU','SC','124241241146241431423611146234610133072',NULL,'65',20.48,1,2,1),(28,7225580,'1993-05-20 00:00:00',4,2,12,2010,'F','N','CAPITAIS','TIMBÓ','SC','124252241215472331369614572114610121092',15360,'1157',37.10,1,3,NULL),(28,7225598,'1993-12-28 00:00:00',4,25,12,2011,'M','N','MARTELLO','CAÇADOR','SC','124241241127151531423314335224610123142',19436,'1189',33.12,1,2,1),(28,7225601,'1986-02-25 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624241248632131221112179192345610168197',NULL,'1198',0.00,1,3,NULL),(28,7225610,'1995-08-31 00:00:00',4,8,12,2012,'M','S','GLÓRIA','JOINVILLE','SC','124244241211111721469931575122610137047',NULL,'861',43.73,1,3,NULL),(28,7225636,'1991-10-03 00:00:00',2,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241111372431433529345124610142142',13995,'287',47.42,1,2,1),(28,7225644,'1997-06-26 00:00:00',4,5,12,2012,'F','S','LINHA RIO MAIOR','URUSSANGA','SC','124242241215121431488712575112610134192',NULL,'226',0.00,1,3,NULL),(28,7225652,'1994-07-26 00:00:00',2,1,12,2011,'F','N','SAO LUIZ','S JOSÉ','SC','124241241135141721436634242124610165147',NULL,'307',33.18,1,2,1),(28,7225679,'1993-05-14 00:00:00',2,1,12,2009,'F','N','MONTE CASTELO','CPO GRANDE','MS','112112111217571431664615275122610137012',5654,'9998',50.95,1,3,NULL),(28,7225695,'1994-12-13 00:00:00',2,4,12,2011,'F','N','COPACABANA','LAGES','SC','124241241416151431526424472124610147142',16214,'515',34.85,4,3,NULL),(28,7225709,'1978-04-07 00:00:00',2,1,12,2001,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','524081081147231421423844245232610125143',NULL,'9998',30.16,4,3,NULL),(28,7225717,'1993-06-23 00:00:00',4,8,12,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124241241117161531446669195124610167047',20099,'464',26.27,1,2,1),(28,7225725,'1994-03-03 00:00:00',4,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241215151751483532572124610164092',732,'1022',73.09,4,3,NULL),(28,7225733,'1993-07-29 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241212132451464312581124610163091',NULL,'1022',0.00,1,3,NULL),(28,7225741,'1994-02-19 00:00:00',2,1,12,2011,'M','N','PORTAL DO SOL DOIS','GOIÂNIA','GO','109092091216111751243923575122610167047',6090,'9998',55.64,1,3,NULL),(28,7225768,'1994-10-29 00:00:00',2,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215111731343311115124610163041',19370,'1118',33.54,1,3,NULL),(28,7225776,'1994-08-02 00:00:00',4,25,12,2011,'M','N','REUNIDAS','CAÇADOR','SC','124241246126111421326564145121610137047',NULL,'1189',21.19,1,2,1),(28,7225784,'1975-06-27 00:00:00',2,1,12,2009,'F','N','SAVEIRO','BIGUAÇU','SC','124241247126131431323344145331610132047',17702,'1088',39.73,4,2,1),(28,7225806,'1988-12-29 00:00:00',4,15,6,2006,'F','N','OPERARIA','ARARANGUÁ','SC','624243227126141731222144342224610128147',NULL,'9998',26.50,4,3,NULL),(28,7225814,'1993-09-15 00:00:00',2,10,12,2010,'F','N','SÃO JOÃO','TUBARÃO','SC','124241241132131431525612375125610117047',17673,'1034',39.80,1,3,NULL),(28,7225822,'1994-07-29 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241116372431628823275124610167187',NULL,'9997',35.94,1,2,1),(28,7225830,'1992-09-14 00:00:00',2,1,12,2009,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241116373431623823582114610134172',8897,'727',49.26,1,2,1),(28,7225849,'1981-07-22 00:00:00',2,1,12,2005,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632131221113179191345610168197',19872,'9999',29.69,1,3,NULL),(28,7225857,'1977-05-10 00:00:00',2,1,10,1996,'F','N','ITACORUMBI','FLORIANÓPOLIS','SC','224213214237371721354553372122610124092',NULL,'9998',26.10,2,1,2),(28,7225865,'1994-03-04 00:00:00',2,1,12,2011,'M','N','VILA NOVA','MAFRA','SC','124241241215111431536622395124610167032',NULL,'541',0.00,1,3,NULL),(28,7225881,'1994-06-25 00:00:00',4,7,11,2011,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','124242241216472231336413575112610114183',12167,'446',42.44,1,3,NULL),(28,7225903,'1993-04-24 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111231348833575114610127082',NULL,'1022',22.44,1,3,NULL),(28,7225911,'1992-12-21 00:00:00',2,1,12,2010,'M','N','CIDADE JARDIM','CPO GRANDE','MS','112122121215471431458734575122610167042',NULL,'9998',0.00,1,3,NULL),(28,7225920,'1969-05-16 00:00:00',2,1,12,2006,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224241247126135421424354232134610121097',15398,'306',38.53,1,2,1),(28,7225954,'1971-10-31 00:00:00',2,1,12,1991,'F','N','BELA VISTA III','S JOSÉ','SC','124241241122271431113344242224610124183',NULL,'726',15.19,1,2,1),(28,7225962,'1992-12-16 00:00:00',4,1,12,2009,'F','N','TERESÓPOLIS','PTO ALEGRE','RS','120202201217473451488823575124610134147',3708,'9998',61.66,1,3,NULL),(28,7225970,'1985-06-14 00:00:00',2,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131221111179192345610118197',NULL,'9999',14.64,1,3,NULL),(28,7225989,'1983-03-31 00:00:00',2,1,12,2001,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','224241121416332421328851115122132034077',15289,'9998',35.44,4,3,NULL),(28,7225997,'1985-04-22 00:00:00',4,8,12,2002,'F','N','GUANABARA','JOINVILLE','SC','124241248612272431325977395122333221172',15750,'463',44.20,1,3,NULL),(28,7226004,'1993-04-17 00:00:00',4,8,12,2010,'M','N','PETRÓPOLIS','JOINVILLE','SC','124242241215271431338834575124610167132',16308,'459',43.09,1,3,NULL),(28,7226012,'1994-07-22 00:00:00',4,23,12,2011,'F','N','CRUZEIRO','S BENTO SUL','SC','124241241117131411223329172224610136022',NULL,'693',25.76,1,2,1),(28,7226020,'1989-01-18 00:00:00',4,8,12,2006,'M','N','CANOAS','RIO SUL','SC','124242246215574431448713575124221464122',9336,'1013',54.82,1,3,NULL),(28,7226039,'1986-08-10 00:00:00',2,1,12,2005,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632131211115179192345610168197',NULL,'9999',0.00,1,3,NULL),(28,7226063,'1993-09-14 00:00:00',4,23,12,2011,'F','N','DONA FRANCISCA','S BENTO SUL','SC','124241241135471431526619571124613224097',NULL,'693',21.68,4,2,1),(28,7226071,'1993-05-29 00:00:00',4,23,12,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215471431438611372124610114092',5302,'442',55.35,1,3,NULL),(28,7226080,'1994-09-25 00:00:00',2,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124244241215111432233824575124610134017',9533,'1118',52.38,1,3,NULL),(28,7226098,'1995-02-06 00:00:00',2,10,12,2011,'F','N','CENTRO','IMBITUBA','SC','124244241215371431337612575122610113142',7166,'362',51.23,1,3,NULL),(28,7226101,'1992-06-02 00:00:00',2,24,11,2009,'M','N','ALDEIA SEDE','JOSÉ BOITEUX','SC','124241241126161331613615352224610154022',NULL,'1064',33.99,5,4,NULL),(28,7226110,'1994-11-12 00:00:00',4,1,12,2012,'M','S','INGLESES','FLORIANÓPOLIS','SC','124242241217161731334822145122610113143',NULL,'9997',21.83,1,3,NULL),(28,7226128,'1992-04-07 00:00:00',4,1,12,2009,'M','N','TRISTEZA','PTO ALEGRE','RS','120202201217271711578711575114141666111',1297,'9998',68.14,1,3,NULL),(28,7226136,'1991-07-24 00:00:00',2,1,11,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124131131127131422123347446334610137177',16823,'9998',30.76,4,2,1),(28,7226152,'1992-08-09 00:00:00',2,1,12,2009,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124244241116272431366923575124133262112',11538,'267',51.26,1,3,NULL),(28,7226160,'1986-07-17 00:00:00',4,1,11,2005,'M','N','JARDIM DOS ESTADOS','POÇOS CALDAS','MG','113133131416151421468832225121543237183',14794,'9998',46.00,1,3,NULL),(28,7226179,'1994-10-26 00:00:00',4,1,12,2012,'F','S','JARDIM EUROPA','SOROCABA','SP','125252251217111531588911575122610133077',NULL,'9998',30.15,1,3,NULL),(28,7226187,'1993-04-05 00:00:00',2,1,12,2011,'M','N','JARDIM AQUÁRIUS','PALHOÇA','SC','124241241115131522423314382341610137147',NULL,'591',17.07,1,2,1),(28,7226217,'1994-12-24 00:00:00',4,1,12,2011,'M','N','CAPILÉ','NOVA ANDRADINA','MS','112122168216111431449633435112610134042',NULL,'9998',0.00,4,3,NULL),(28,7226225,'1994-02-21 00:00:00',4,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241225131431469913475122610117057',12777,'738',40.17,1,3,NULL),(28,7226241,'1994-08-25 00:00:00',4,1,12,2011,'F','N','FLORESTA','S JOSÉ','SC','124241241117371431357713575122610144073',13620,'726',48.02,1,2,1),(28,7226250,'1994-07-14 00:00:00',4,23,12,2011,'M','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124242241216151431469614375122610117042',NULL,'1061',25.01,1,3,NULL),(28,7226284,'1988-02-13 00:00:00',2,1,12,2004,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242241217155421368732245122230817063',9054,'272',47.30,1,3,NULL),(28,7226306,'1994-05-05 00:00:00',2,8,12,2011,'F','N','BAIRRO BUCAREIN','JOINVILLE','SC','120201201116161431423316595124610126147',NULL,'9998',0.00,1,3,NULL),(28,7226314,'1994-07-07 00:00:00',4,15,12,2011,'F','N','CENTRO','ARARANGUÁ','SC','124241241217121431636919375122610167187',NULL,'27',24.57,1,3,NULL),(28,7226365,'1994-08-24 00:00:00',2,1,12,2011,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241236121731423611215124610127042',12944,'1040',42.38,1,3,NULL),(28,7226373,'1993-12-29 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124203201217372411436923571124610136182',5974,'9998',53.62,1,3,NULL),(28,7226381,'1993-03-27 00:00:00',4,3,12,2010,'M','N','CENTRO','LONDRINA','PR','116162161215471431427812571122610165102',2541,'9998',60.88,1,3,NULL),(28,7226390,'1990-01-31 00:00:00',5,27,12,2007,'M','N','CENTRO','GUARACIABA','SC','124241241116371431443812175122133267062',NULL,'334',0.00,1,2,1),(28,7226403,'1994-04-14 00:00:00',2,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241116471431612311292234610131171',16017,'296',34.45,1,2,1),(28,7226411,'1991-09-14 00:00:00',4,1,12,2008,'M','N','PQ DA LIBERDADE','S JOSÉ R PRETO','SP','125112111215573431448839571125610118182',1419,'9998',67.53,1,3,NULL),(28,7226420,'1993-08-01 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115472431326674442224610124197',11681,'307',43.07,1,2,1),(28,7226438,'1986-06-19 00:00:00',2,24,12,2004,'F','N','CANTA GALO','RIO SUL','SC','124241241146373741123349184221132856187',7992,'680',48.12,1,2,1),(28,7226446,'1990-06-14 00:00:00',4,10,12,2007,'M','N','MATO ALTO','LAGUNA','SC','124241241114371531523318185113610124197',13770,'521',38.80,1,3,NULL),(28,7226454,'1993-09-06 00:00:00',4,1,10,2011,'M','N','JARDIM DAS ORQUIDEAS','STA BÁRBARA D OESTE','SP','125252251236111231238723575124610127052',13354,'9998',39.17,1,3,NULL),(28,7226462,'1994-05-30 00:00:00',2,9,12,2011,'F','N','GUARUJÁ','LAGES','SC','124241241116271731215628571124610144092',NULL,'500',0.00,1,2,1),(28,7226489,'1994-05-05 00:00:00',4,8,11,2010,'F','N','ALTO DA GLÓRIA','CURITIBA','PR','116162161215111411488931575122610131046',NULL,'9998',0.00,1,3,NULL),(28,7226497,'1994-02-18 00:00:00',2,15,12,2011,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241145141732533321146123610124197',NULL,'30',17.95,1,2,1),(28,7226500,'1993-03-07 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151731459914192124610117021',15368,'1197',36.27,1,3,NULL),(28,7226519,'1995-05-17 00:00:00',4,1,11,2012,'F','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111512468712572122610137097',NULL,'270',42.40,1,3,NULL),(28,7226535,'1993-05-16 00:00:00',4,1,12,2010,'F','N','COND JD DO CEDRO','S JOSÉ R PRETO','SP','125252251215472431448839571122610118182',NULL,'9998',0.00,1,3,NULL),(28,7226543,'1995-05-11 00:00:00',4,1,11,2012,'M','S','SANTO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC','124244241212111711325624585124610115047',NULL,'1048',14.86,1,3,NULL),(28,7226551,'1993-07-14 00:00:00',2,3,12,2010,'F','N','MUNICIPIOS','BAL CAMBORIÚ','SC','124241241315272731323614585112610142147',8350,'51',48.90,1,3,NULL),(28,7226560,'1993-05-08 00:00:00',2,1,12,2010,'F','N','JARDIM JANAÍNA','BIGUAÇU','SC','124243241112371431613329195314610147042',NULL,'65',25.03,1,3,NULL),(28,7226578,'1993-11-16 00:00:00',2,1,12,2011,'F','N','SÃO MIGUEL','BIGUAÇU','SC','124241241115411431423311472124610112192',16960,'64',30.95,4,2,1),(28,7226586,'1992-11-25 00:00:00',2,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241137471431423439272124610127062',NULL,'307',27.94,1,3,NULL),(28,7226624,'1994-02-24 00:00:00',4,8,12,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215211431335622572122610123122',9516,'1063',47.36,1,3,NULL),(28,7226632,'1985-09-26 00:00:00',2,3,12,2003,'M','N','FAIÇALVILLE','GOIÂNIA','GO','109091091116571441313311385324143246037',10673,'9998',42.96,4,2,1),(28,7226640,'1991-08-10 00:00:00',2,15,12,2009,'F','N','PRIMAVERA','NOVO HAMBURGO','RS','120203201216472731358822285124610164187',5586,'9998',53.63,1,3,NULL),(28,7226659,'1993-07-13 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124244241415272431466613385112610127062',NULL,'257',18.54,1,3,NULL),(28,7226667,'1993-10-04 00:00:00',2,5,12,2011,'M','N','CENTRO','CRICIÚMA','SC','124241241116372431326618345125610124012',NULL,'209',32.42,1,2,1),(28,7226675,'1993-05-14 00:00:00',4,8,12,2010,'F','N','CERAMARTE','RIO NEGRINHO','SC','124242241216472431428631575125610163092',NULL,'807',0.00,1,3,NULL),(28,7226683,'1993-01-09 00:00:00',4,3,12,2010,'F','N','JARDIM BRONZATO','S PAULO','SP','125253251216371431335312572124610123017',NULL,'9998',0.00,1,3,NULL),(28,7226691,'1993-10-05 00:00:00',1,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215131411248921575221610164022',4895,'951',55.99,1,3,NULL),(28,7226705,'1991-02-07 00:00:00',4,1,12,2008,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241216143431458614445124233267092',7494,'259',51.10,1,3,NULL),(28,7226713,'1994-12-05 00:00:00',4,3,11,2011,'M','N','NAÇOES','BAL CAMBORIÚ','SC','124242241215272431586824275112610166142',NULL,'44',0.00,1,3,NULL),(28,7226721,'1993-04-03 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241248137411731223414342124610122171',NULL,'285',27.35,1,3,NULL),(28,7226748,'1988-06-08 00:00:00',5,27,12,2005,'F','N','CENTRO','GUARACIABA','SC','124241241136271431443812175122333241182',NULL,'334',0.00,1,2,1),(28,7226756,'1985-09-01 00:00:00',4,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632131221111179192345610118197',NULL,'9999',0.00,1,3,NULL),(28,7226764,'1967-05-17 00:00:00',2,8,10,2001,'M','N','JARDIM PARAÍSO II','JOINVILLE','SC','224151151126131721114448485224610168047',NULL,'9998',15.94,4,1,1),(28,7226772,'1992-02-23 00:00:00',4,1,12,2009,'M','N','JD SÃO PEDRO','AMERICANA','SP','125251251216151441469614475112610132042',12957,'9998',49.06,1,3,NULL),(28,7226799,'1983-09-08 00:00:00',4,6,12,2001,'M','N','CENTRO','BRUSQUE','SC','124244241216272431359813315122330252172',15341,'269',44.95,4,3,NULL),(28,7226802,'1993-04-20 00:00:00',2,2,12,2010,'M','N','CENTRO','BLUMENAU','SC','124251241217132411558812416125230641167',16195,'72',43.35,1,3,NULL),(28,7226810,'1989-05-14 00:00:00',2,1,12,2006,'F','N','KOBRASOL','S JOSÉ','SC','124243241217475431558813445124610126072',16696,'737',42.22,1,3,NULL),(28,7226837,'1992-12-19 00:00:00',2,1,7,2010,'F','N','BELA VISTA','S JOSÉ','SC','124282247217472431339812575122610133182',1978,'9999',66.23,1,3,NULL),(28,7226845,'1990-10-30 00:00:00',2,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124201247145311311536612445124610151062',16753,'9999',42.09,1,3,NULL),(28,7226853,'1992-09-07 00:00:00',4,6,12,2010,'F','N','CENTRO','PENHA','SC','124242241216111431348914572124233228142',NULL,'666',0.00,1,3,NULL),(28,7226861,'1993-10-25 00:00:00',2,27,12,2011,'M','N','CENTRO','RIQUEZA','SC','124241241135141431633174345122610167067',11142,'674',42.29,2,1,1),(28,7226870,'1995-05-12 00:00:00',4,10,12,2011,'F','N','SÃO JOÃO','TUBARÃO','SC','124241241116371431216624575124610134142',10141,'798',48.27,1,2,1),(28,7226888,'1991-11-03 00:00:00',5,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241212472431327969275114610162142',5536,'262',61.42,1,3,NULL),(28,7226896,'1993-10-31 00:00:00',2,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116472431333654572124610127142',13912,'727',37.88,1,2,1),(28,7226900,'1991-01-12 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216514711459933585124121427181',480,'270',76.17,1,3,NULL),(28,7226918,'1995-01-20 00:00:00',2,25,11,2011,'F','N','CENTRO','FRAIBURGO','SC','124242241215131431548914575122610137016',12198,'317',42.00,1,3,NULL),(28,7226934,'1991-08-17 00:00:00',2,1,12,2008,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','624101108117371431311649445124610117047',NULL,'9998',22.97,4,2,1),(28,7226950,'1994-08-11 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216111431438813575112610138192',9106,'273',47.31,1,3,NULL),(28,7226969,'1993-04-04 00:00:00',2,6,12,2010,'M','N','CENTRO','NAVEGANTES','SC','124161161117371441622331385221610117141',7750,'9998',49.86,4,2,1),(28,7226977,'1991-08-30 00:00:00',4,1,12,2008,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241147131422128644343223610164187',NULL,'473',12.66,4,2,1),(28,7226993,'1995-11-20 00:00:00',2,9,11,2011,'M','N','SÃO CRISTÓVÃO','LAGES','SC','124241241215112431426614572222610116172',1972,'1207',65.79,1,3,NULL),(28,7227019,'1994-03-14 00:00:00',4,4,12,2011,'F','N','JARDIM ITALIA','CHAPECÓ','SC','124241241117471431426614575122610142017',12036,'169',42.48,1,2,1),(28,7227027,'1982-01-24 00:00:00',2,1,12,1999,'M','N','VILA NOVA','GOIÂNIA','GO','109111111126531421123336272324341517042',2298,'9998',63.54,1,2,1),(28,7227035,'1992-03-19 00:00:00',4,8,12,2009,'M','N','BUCAREIN','JOINVILLE','SC','124242241217154411118713575124221467084',18384,'270',37.70,1,3,NULL),(28,7227043,'1992-07-22 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241217132441346639382114133234097',NULL,'738',0.00,1,3,NULL),(28,7227051,'1994-08-14 00:00:00',5,7,12,2011,'F','N','CENTRO','ARROIO TRINTA','SC','124241248146131431436912245121610144092',NULL,'853',0.00,1,2,1),(28,7227060,'1995-06-06 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111431578813232125610137062',8176,'723',56.83,4,3,NULL),(28,7227078,'1991-01-02 00:00:00',2,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124244241217373531239412445214120362187',16667,'724',42.27,1,3,NULL),(28,7227108,'1994-02-14 00:00:00',2,1,12,2011,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124242241217471431226327572124610166147',13923,'1175',39.69,1,3,NULL),(28,7227116,'1992-02-18 00:00:00',2,9,12,2008,'F','N','MARIA LUIZA','LAGES','SC','124241241116271431423624285224610167142',17093,'935',30.62,1,2,1),(28,7227132,'1994-04-25 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111441548832571112610167092',3014,'270',61.97,1,3,NULL),(28,7227140,'1984-09-17 00:00:00',4,1,12,2002,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124072071216372751348821435122321167045',7993,'9998',57.16,4,3,NULL),(28,7227167,'1990-03-09 00:00:00',6,4,12,2007,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241126131431456314245123242726181',18815,'174',36.03,4,3,NULL),(28,7227175,'1988-09-13 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241127271431113144141334610122047',18145,'772',38.43,1,2,1),(28,7227183,'1994-12-05 00:00:00',2,26,12,2011,'F','N','CINQUENTENARIO','CONCÓRDIA','SC','124241241115371211321321144122223228147',NULL,'192',21.42,1,2,1),(28,7227205,'1986-05-15 00:00:00',4,1,12,2004,'F','N','VISTA ALEGRE','VINHEDO','SP','125253254316242421588914215122340644192',6846,'9998',59.10,1,3,NULL),(28,7227213,'1987-07-06 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117371431621329372214610128012',18844,'307',35.90,4,1,1),(28,7227221,'1993-07-25 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116272331523411245124610126142',15105,'1248',36.41,1,2,1),(28,7227230,'1994-11-10 00:00:00',4,1,12,2011,'F','N','JARDIM CARANDAI','BIGUAÇU','SC','124241241116271431438319375124610122147',15437,'65',36.18,1,2,1),(28,7227248,'1994-04-01 00:00:00',2,1,12,2011,'F','N','POTECAS','FLORIANÓPOLIS','SC','124241241115371431423311215224610123057',12976,'733',43.07,4,2,1),(28,7227256,'1992-11-15 00:00:00',4,24,12,2009,'F','N','CENTRO','RIO SUL','SC','124241241115371431223624275122610134142',NULL,'828',38.74,1,2,1),(28,7227272,'1995-06-11 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431458934575112610165141',12134,'226',50.35,1,3,NULL),(28,7227280,'1994-08-24 00:00:00',2,24,12,2011,'M','N','SCHREIBER','SALETE','SC','124241241117131431226921295122610147057',16963,'680',33.95,1,2,1),(28,7227299,'1995-05-10 00:00:00',4,1,11,2012,'M','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215151731458617572124610134022',NULL,'270',47.65,1,3,NULL),(28,7227302,'1992-05-08 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241117132711626841315124610163147',NULL,'329',28.64,1,3,NULL),(28,7227329,'1993-10-31 00:00:00',4,1,11,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215372431569814575122610124172',10069,'270',46.97,1,3,NULL),(28,7227337,'1991-04-28 00:00:00',4,1,11,2008,'F','N','ASA NORTE','BRASÍLIA','DF','107076071316371731358619395122242043182',NULL,'9998',0.00,1,3,NULL),(28,7227353,'1994-07-23 00:00:00',2,1,11,2011,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241212111521436912271114610164057',19946,'1023',28.81,1,3,NULL),(28,7227361,'1962-10-06 00:00:00',4,1,12,1982,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224241243224313111443352342122331831111',18402,'9997',37.63,1,3,NULL),(28,7227370,'1994-03-04 00:00:00',2,3,12,2011,'F','N','CARANDIRU','S PAULO','SP','125252251216121431478611275122610142094',NULL,'9998',21.08,1,3,NULL),(28,7227388,'1991-11-21 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124252251117573431129931385124221636145',8770,'9998',45.53,1,3,NULL),(28,7227396,'1994-10-17 00:00:00',4,2,12,2011,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241215121431228624312321610164192',3514,'909',58.59,1,3,NULL),(28,7227400,'1994-05-06 00:00:00',4,23,12,2011,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124244241137141431345824346322610136157',NULL,'430',29.03,1,3,NULL),(28,7227418,'1994-09-12 00:00:00',4,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124242241215131431446911575124610123143',18904,'1075',27.27,1,3,NULL),(28,7227426,'1993-09-19 00:00:00',1,8,12,2011,'M','N','VILA NOVA','JOINVILLE','SC','124242241217111431668619575122610132052',1215,'457',72.87,1,3,NULL),(28,7227434,'1986-10-28 00:00:00',2,1,6,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','224241241115132432323253342234610127117',17886,'306',39.24,1,2,1),(28,7227442,'1994-12-24 00:00:00',4,16,12,2011,'M','N','CENTRO','CURITIBANOS','SC','124244241115471231359811472122610134187',14051,'239',39.19,1,3,NULL),(28,7227450,'1994-03-06 00:00:00',2,4,12,2011,'F','N','INTERIOR','RIQUEZA','SC','124241241115131411413316162224610136052',NULL,'674',0.00,1,3,NULL),(28,7227469,'1995-07-08 00:00:00',4,8,12,2012,'F','S','AMÉRICA','JOINVILLE','SC','124242241211111411439612571122610131142',NULL,'461',54.77,1,3,NULL),(28,7227477,'1973-06-07 00:00:00',2,1,12,1990,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','224241241327132411434354215122610132091',17396,'272',40.55,1,3,NULL),(28,7227485,'1994-07-15 00:00:00',4,1,11,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217111441468934575124610147062',1338,'270',66.78,1,3,NULL),(28,7227507,'1993-04-15 00:00:00',4,4,12,2011,'M','N','CENTRO','QUEDAS IGUAÇU','PR','116161161337371411436622276112610124092',12840,'9998',42.44,1,3,NULL),(28,7227515,'1992-10-17 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217214431478833575125121468195',NULL,'270',0.00,1,3,NULL),(28,7227523,'1983-05-10 00:00:00',4,1,12,2000,'M','N','JARDIM ATLANTIO','FLORIANÓPOLIS','SC','124244241416372411457713485122333222097',NULL,'262',36.41,2,1,2),(28,7227566,'1993-10-31 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241211473431558819472114610167077',791,'737',69.82,1,3,NULL),(28,7227582,'1994-07-14 00:00:00',4,8,12,2011,'F','N','PETROPOLIS','JOINVILLE','SC','124244241435111731457612575124610122041',10095,'1016',45.16,1,3,NULL),(28,7227590,'1994-08-09 00:00:00',4,4,12,2011,'M','N','JARDIN','MARAVILHA','SC','124243241217141421556832285115610114123',15323,'1037',34.57,1,3,NULL),(28,7227612,'1994-05-13 00:00:00',4,8,12,2011,'F','N','SAGUAÇÚ','JOINVILLE','SC','124241241215111431438614375123610137057',NULL,'1006',25.01,1,3,NULL),(28,7227639,'1979-02-25 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241126475731214441215134122212182',19438,'257',33.10,1,3,NULL),(28,7227655,'1994-03-16 00:00:00',4,2,11,2011,'F','N','VALPARAÍSO','BLUMENAU','SC','124243241215111131336537575114610114187',8955,'909',48.21,1,3,NULL),(28,7227663,'1992-11-05 00:00:00',4,1,11,2011,'M','N','VILA MARIA BAIXA','S PAULO','SP','125252251216221431326814572124610127047',18769,'9998',36.23,3,3,NULL),(28,7227671,'1981-07-17 00:00:00',2,1,11,1999,'M','N','BARREIROS','S JOSÉ','SC','124251258126342441236544245124610147117',18161,'9998',38.40,4,2,1),(28,7227680,'1993-11-10 00:00:00',2,3,12,2011,'M','N','BELEM','S PAULO','SP','125252251216151431438612395122610134012',NULL,'9998',21.46,1,3,NULL),(28,7227728,'1992-12-30 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241146272431325619245124130837042',NULL,'592',18.41,1,2,1),(28,7227752,'1993-06-13 00:00:00',2,1,11,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124072071217471431469829394124610164017',3069,'9998',62.17,1,3,NULL),(28,7227760,'1994-09-05 00:00:00',4,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111431466619574124610124143',10330,'1022',44.16,1,3,NULL),(28,7227779,'1994-10-30 00:00:00',4,1,12,2011,'F','N','SERRARIAS','S JOSÉ','SC','124241241114131531536611212123610124144',NULL,'1116',16.96,1,2,1),(28,7227787,'1992-04-20 00:00:00',2,15,12,2009,'M','N','LIVRAMENTO','TURVO','SC','124242241216112431538815445122231468072',NULL,'813',31.29,1,3,NULL),(28,7227795,'1987-06-10 00:00:00',4,1,12,2004,'F','N','VILA PROGREDIOR','S PAULO','SP','125251251117232731326618285124121638027',15079,'9998',45.45,1,2,1),(28,7227809,'1991-05-14 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124131131117131731126844445124610134097',16673,'9998',42.26,2,1,1),(28,7227817,'1993-05-31 00:00:00',4,7,12,2011,'M','N','INTERIOR','TANGARÁ','SC','124241242115111311438614591222610164182',NULL,'8',21.73,1,3,NULL),(28,7227825,'1994-08-18 00:00:00',4,8,11,2011,'M','N','BIGORRILHO','CURITIBA','PR','116162161216111441479931594122610162182',NULL,'9998',0.00,1,3,NULL),(28,7227833,'1994-04-17 00:00:00',2,1,12,2011,'F','N','SAO SEBASTIAO','PALHOÇA','SC','124241241227111531426312375224610126162',16408,'262',32.04,1,3,NULL),(28,7227841,'1989-05-31 00:00:00',4,1,11,2009,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124251251127131441125444242314610166173',16148,'9998',43.43,4,1,1),(28,7227850,'1994-06-21 00:00:00',2,1,12,2011,'M','N','VILA BECKER','STO AMARO IMPERATRIZ','SC','124241241215112211326632291121610117147',6714,'1223',53.50,1,3,NULL),(28,7227876,'1995-01-25 00:00:00',4,1,11,2011,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091215111411489933135122610164042',16268,'9998',43.18,4,3,NULL),(28,7227884,'1994-05-16 00:00:00',4,1,11,2011,'F','N','SESI','VIDEIRA','SC','124241241215111431446624271122610138142',NULL,'829',27.38,1,3,NULL),(28,7227892,'1988-01-29 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241127141711244343232124610128185',18838,'279',35.92,1,2,1),(28,7227914,'1978-12-11 00:00:00',4,1,11,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','624241241124131731424653481124610161147',NULL,'922',0.00,1,2,1),(28,7227930,'1978-02-17 00:00:00',2,1,12,1997,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124251253427142431122241115131131022183',NULL,'9998',0.00,1,3,NULL),(28,7227949,'1993-07-19 00:00:00',4,1,11,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215272231479933575112610132112',4104,'270',58.69,1,3,NULL),(28,7227957,'1965-02-17 00:00:00',2,1,1,1989,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124251257346133751223149287324221462192',9522,'9998',47.18,2,1,2),(28,7227965,'1994-07-01 00:00:00',4,9,11,2011,'F','N','MARTORANO','S JOAQUIM','SC','124242241235161731338823375122610127012',17403,'721',40.52,1,3,NULL),(28,7227973,'1992-10-15 00:00:00',2,10,11,2009,'F','N','SÃO MARTINHO','TUBARÃO','SC','124241241115372441526433375112610124057',12206,'9997',50.23,1,3,NULL),(28,7227990,'1994-07-14 00:00:00',2,4,12,2011,'F','N','ARI BORTOLI','S DOMINGOS','SC','124241241215111431326614572124610136142',NULL,'836',0.00,1,3,NULL),(28,7228007,'1987-10-25 01:00:00',4,1,12,2005,'M','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241127131441346344345123230848052',NULL,'731',0.00,1,2,1),(28,7228015,'1994-02-15 00:00:00',4,1,12,2011,'F','N','JARDIM AQUARIUS','PALHOÇA','SC','124241241135111432333314395124610165142',14144,'592',37.84,1,2,1),(28,7228023,'1995-12-24 00:00:00',2,7,12,2012,'F','S','CENTRO','HERVAL D OESTE','SC','124243241117151431484432595122610166142',NULL,'341',29.52,1,3,NULL),(28,7228031,'1990-12-15 00:00:00',4,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241315374221338629495124133222197',5078,'271',56.65,1,3,NULL),(28,7228040,'1994-03-17 00:00:00',2,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241115271431569713575124610123072',4999,'271',56.83,1,3,NULL),(28,7228058,'1994-08-22 00:00:00',2,17,12,2011,'M','N','CAMPO DA AGUA VERDE','CANOINHAS','SC','124244241215111531266832175122610127125',NULL,'144',23.03,1,3,NULL),(28,7228066,'1994-01-11 00:00:00',4,1,12,2012,'M','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111731339931595122610137115',NULL,'1250',41.33,1,3,NULL),(28,7228074,'1994-06-16 00:00:00',4,7,12,2011,'M','N','CENTRO','ÁGUA DOCE','SC','124241242115171411523321191123610114181',NULL,'8',27.25,4,3,NULL),(28,7228082,'1994-01-20 00:00:00',4,25,12,2011,'F','N','CENTRO','CAÇADOR','SC','124242241215151431344712575122610127072',8964,'120',46.47,1,3,NULL),(28,7228090,'1994-10-05 00:00:00',4,1,12,2011,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124243241117271511443673575124610138147',NULL,'1088',11.10,1,3,NULL),(28,7228104,'1994-06-19 00:00:00',4,4,12,2011,'M','N','INTERIOR','CEL FREITAS','SC','124241241137161431433512345121610114062',16058,'199',32.62,1,3,NULL),(28,7228112,'1994-02-04 00:00:00',2,17,12,2011,'M','N','VILA FERROVIÁRIA','MAFRA','SC','124241166217151431425514575125610167057',NULL,'9998',20.60,1,3,NULL),(28,7228120,'1995-09-02 00:00:00',2,1,12,2012,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241217121431469614575124610164187',NULL,'1022',19.52,1,3,NULL),(28,7228147,'1993-05-31 00:00:00',4,17,12,2010,'F','N','JARDIM ESPERANÇA','CANOINHAS','SC','124241241116272431526514441121610126152',9121,'146',48.40,1,2,1),(28,7228155,'1992-10-11 00:00:00',2,1,12,2009,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241116573221223369385124610144197',7103,'307',50.36,1,3,NULL),(28,7228163,'1993-01-27 00:00:00',2,1,12,2010,'F','N','CENTRO','BOM JD SERRA','SC','124241241412372431436631412124610164147',15662,'515',40.00,1,3,NULL),(28,7228171,'1994-04-03 00:00:00',2,1,12,2011,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241116371411413324275124610164142',11358,'278',44.37,4,2,1),(28,7228180,'1984-07-19 00:00:00',4,1,12,2001,'F','N','BELA VISTA','S JOSÉ','SC','124253251217574431326814492124222963197',17985,'9998',38.97,1,3,NULL),(28,7228210,'1995-08-21 00:00:00',4,7,12,2012,'F','S','CENTRO','CAPINZAL','SC','124241241215111751556632575112610132191',NULL,'1238',21.40,1,3,NULL),(28,7228244,'1993-08-30 00:00:00',4,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215111231433312275124610137141',9989,'1048',44.89,1,3,NULL),(28,7228252,'1994-05-18 00:00:00',4,24,11,2011,'F','N','CENTRO','ITUPORANGA','SC','124242241215131431448913575122610133052',10573,'991',45.53,1,3,NULL),(28,7228260,'1993-10-26 00:00:00',4,1,11,2011,'M','N','CENTRO','LONDRINA','PR','116254162116471711118924485124610117042',NULL,'9998',25.25,1,3,NULL),(28,7228279,'1993-12-23 00:00:00',4,4,12,2010,'F','N','PONTA AGUDA','BLUMENAU','SC','120201241116472411536813375124131016192',8629,'69',50.57,1,3,NULL),(28,7228287,'1994-08-04 00:00:00',4,1,11,2011,'M','N','MONTE CARLO','LONDRINA','PR','116162161215111431478933575112610124142',NULL,'9998',0.00,1,3,NULL),(28,7228295,'1993-07-19 00:00:00',2,8,11,2010,'F','N','VILA NOVA','ARAUCÁRIA','PR','116162161236511431358833595122610167112',5245,'9998',55.49,1,3,NULL),(28,7228317,'1994-12-14 00:00:00',2,10,11,2011,'F','N','CENTRO','TUBARÃO','SC','124242241215112431466734475122610163152',13407,'807',48.38,1,3,NULL),(28,7228325,'1981-05-18 00:00:00',2,1,12,1998,'M','N','CAMPINAS','S JOSÉ','SC','624241241127133421228844445113122368043',16799,'292',41.99,1,3,NULL),(28,7228333,'1995-01-11 00:00:00',2,1,12,2011,'F','N','RESIDENCIAL FORNER','ENG COELHO','SP','125252251217111231443833435122610167057',17482,'9998',30.38,1,3,NULL),(28,7228341,'1994-08-06 00:00:00',2,1,12,2011,'F','N','CORREGO GEADE','FLORIANÓPOLIS','SC','124241241115131311333334395122610126145',NULL,'267',0.00,1,2,1),(28,7228368,'1993-11-26 00:00:00',4,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','624244241215271431537714245125610117112',14522,'977',36.74,1,3,NULL),(28,7228376,'1992-02-28 00:00:00',2,22,12,2009,'M','N','TAJUBA I','S JOÃO BATISTA','SC','124241241115133411434631395125121467063',13822,'712',47.68,1,2,1),(28,7228384,'1981-05-29 00:00:00',2,1,12,2007,'F','N','ROÇADO','S JOSÉ','SC','124244247627133431221369145124610162147',NULL,'9999',21.42,1,3,NULL),(28,7228392,'1994-07-11 00:00:00',2,25,12,2011,'F','N','DERR','CAÇADOR','SC','124242248212112431548619372122610136152',2859,'120',63.15,1,3,NULL),(28,7228406,'1992-01-16 00:00:00',4,1,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241215574431348934572124610164122',1089,'806',70.81,1,3,NULL),(28,7228414,'1982-10-17 00:00:00',2,1,12,2001,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241135132741426849395124143225182',17308,'298',40.76,2,1,1),(28,7228422,'1992-11-12 00:00:00',4,1,11,2011,'M','N','AREIAS','S JOSÉ','SC','124244247312132411348434375124610117042',18901,'9999',26.44,1,3,NULL),(28,7228430,'1994-08-15 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241202137131431413315572324610124057',NULL,'9998',17.01,1,2,1),(28,7228457,'1992-03-09 00:00:00',2,1,12,2011,'F','N','COSTA DA LAGOA','FLORIANÓPOLIS','SC','124241241123141431626444143324610124077',NULL,'282',21.80,1,2,1),(28,7228465,'1994-01-25 00:00:00',4,1,12,2011,'F','N','JARDIM BOTANICO','CAMPINAS','SP','125252251217111431458831571122610143042',3602,'9998',65.35,1,3,NULL),(28,7228473,'1990-04-23 00:00:00',4,15,12,2006,'F','N','PARQUE INDUSTRIAL','TURVO','SC','124241241146131731323314185123332216177',11749,'814',39.94,4,2,1),(28,7228481,'1994-06-06 00:00:00',2,15,11,2011,'F','N','CENTRO','CACOAL','RO','122201228216421431435914572121610168197',NULL,'9998',0.00,1,3,NULL),(28,7228503,'1995-06-30 00:00:00',2,1,12,2012,'F','S','STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC','124242241215111451526412392122610132187',NULL,'1223',25.60,1,3,NULL),(28,7228511,'1995-04-20 00:00:00',4,15,12,2011,'F','N','LAGOÃO','ARARANGUÁ','SC','124241241115131431323324572124610134042',18572,'30',27.98,1,2,1),(28,7228520,'1986-11-24 00:00:00',2,1,12,2003,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','624241241117371431233353332114610134187',7655,'379',52.19,3,2,1),(28,7228538,'1993-04-07 00:00:00',4,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241115573431469933571124610134191',2535,'271',65.35,1,3,NULL),(28,7228554,'1993-06-09 00:00:00',4,2,12,2011,'M','N','BOA VISTA','BLUMENAU','SC','124242241215151431458812222112610137147',12275,'909',43.22,1,3,NULL),(28,7228562,'1994-12-01 00:00:00',4,1,12,2011,'F','N','CENTRO','BIGUAÇU','SC','124244241215131431433914395122610134097',11409,'63',45.50,1,3,NULL),(28,7228570,'1994-07-14 00:00:00',4,1,1,2012,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241115372431456633575112610167145',12224,'739',41.35,1,2,1),(28,7228589,'1993-11-28 00:00:00',2,4,12,2010,'F','N','CENTRO','RIQUEZA','SC','124241241117133431328424572225241546147',6536,'674',51.04,1,2,1),(28,7228597,'1994-04-17 00:00:00',4,1,12,2011,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124241246115132431434611345124610122147',12577,'739',39.22,4,2,1),(28,7228619,'1996-02-20 00:00:00',2,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431579823575124610134145',NULL,'883',45.00,1,3,NULL),(28,7228627,'1994-04-30 00:00:00',2,5,11,2011,'F','N','CENTRO','SIDERÓPOLIS','SC','124242241235111411426713575112610137052',14906,'226',45.80,1,3,NULL),(28,7228643,'1995-02-20 00:00:00',4,7,12,2012,'M','S','SANTA TERESA','JOAÇABA','SC','124242241215151431459933572122610122072',NULL,'446',25.54,1,3,NULL),(28,7228651,'1994-04-06 00:00:00',5,15,11,2011,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124242241215371431489813472122610167012',6209,'970',52.81,1,3,NULL),(28,7228660,'1994-02-23 00:00:00',4,1,12,2011,'F','N','JARDIM DOS ESTAFOS','CPO GRANDE','MS','112122121215111431568832572122610134042',NULL,'9998',0.00,1,3,NULL),(28,7228678,'1994-07-08 00:00:00',4,1,12,2011,'M','N','JD ITATIAIA II','LONDRINA','PR','116162164215371731576632375112610167012',15637,'9998',44.42,1,3,NULL),(28,7228694,'1993-12-14 00:00:00',2,4,12,2010,'F','N','PADRE ANTONIO','MARAVILHA','SC','124241241114372431223625571124610135147',5345,'552',56.81,1,2,1),(28,7228708,'1992-11-26 00:00:00',4,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124242241215471431478821582124610127015',4119,'459',60.47,1,3,NULL),(28,7228716,'1992-03-20 00:00:00',2,1,12,2009,'F','N','PLANO DIRETOR NORTE','PALMAS','TO','127273271217371431552832575122241353077',5622,'9998',55.10,4,3,NULL),(28,7228724,'1987-09-08 00:00:00',4,1,12,2008,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241248116151431546623345122133212147',17421,'306',40.48,1,2,1),(28,7228732,'1988-08-10 00:00:00',2,1,12,2005,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124161161117131431126611145114610162147',16526,'9998',42.59,1,2,1),(28,7228740,'1994-07-10 00:00:00',2,1,11,2011,'M','N','ARMAÇÃO DA PIEDADE','GOV CELSO RAMOS','SC','124243241215111432433419575124610144142',NULL,'63',15.82,1,3,NULL),(28,7228759,'1990-09-21 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124161161117372431123147312224610123197',16694,'9998',42.22,1,2,1),(28,7228783,'1994-09-20 00:00:00',2,2,12,2011,'F','N','TAPAJÓS','INDAIAL','SC','124243241236111431348339572122610127147',18222,'925',28.19,1,3,NULL),(28,7228791,'1991-10-08 00:00:00',2,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241127311431524319171344610117047',16001,'290',37.65,1,2,1),(28,7228813,'1995-04-19 00:00:00',4,4,12,2011,'M','N','INTERIOR','XAVANTINA','SC','124241241125131431436615252121610128187',10111,'844',45.97,1,3,NULL),(28,7228821,'1994-07-15 00:00:00',4,1,12,2011,'M','N','PASSA VINTE','PALHOÇA','SC','124241241115371431423514276124610127053',14756,'307',39.23,4,2,1),(28,7228830,'1995-11-30 00:00:00',2,1,12,2012,'F','S','BARREIROS','S JOSÉ','SC','124242241216161411458634575122610137042',NULL,'976',47.61,1,3,NULL),(28,7228848,'1993-02-28 00:00:00',2,7,12,2010,'F','N','CENTRO','CAPINZAL','SC','124241241114272731333629442111610137031',11648,'156',42.31,1,2,1),(28,7228856,'1991-12-20 00:00:00',4,1,12,2009,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251215572431479914575122610167012',2663,'9998',61.98,1,3,NULL),(28,7228864,'1991-10-11 00:00:00',2,1,12,2011,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241127171441213629172124610117187',NULL,'290',24.67,4,2,1),(28,7228872,'1990-03-01 00:00:00',4,3,12,2007,'M','N','MONTE ALEGRE','CAMBORIÚ','SC','124241111136151721453361285324143237047',6170,'9998',52.57,4,2,1),(28,7228880,'1994-03-05 00:00:00',4,16,12,2011,'M','N','UNIVERSITARIO','CURITIBANOS','SC','124241241115271231423923485124610117047',17441,'239',29.27,4,1,1),(28,7228899,'1992-12-26 00:00:00',4,1,12,2011,'M','N','CENTRO','PASSO FUNDO','RS','120201201136131431448513575125610128042',NULL,'9998',0.00,1,2,1),(28,7228902,'1994-07-19 00:00:00',4,27,11,2011,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116162161217121431579931572124610138012',NULL,'9998',0.00,1,3,NULL),(28,7228910,'1994-11-12 00:00:00',4,15,1,2012,'M','N','LAGOÃO','ARARANGUÁ','SC','124241241135141431433311145121610116147',NULL,'30',30.09,1,2,1),(28,7228937,'1994-05-29 00:00:00',4,27,12,2011,'M','N','CENTRO','S MIGUEL OESTE','SC','124242241215111431536613272122610127052',15708,'1179',35.34,1,3,NULL),(28,7228945,'1992-02-04 00:00:00',4,1,12,2009,'F','N','JARDIM KENNEDY','LONDRINA','PR','116162161215572431579831575122610162152',765,'9998',71.51,1,3,NULL),(28,7228953,'1994-09-23 00:00:00',4,4,12,2011,'M','N','CENTRO','PTE SERRADA','SC','124241242136131431424712292124610132147',NULL,'8',0.00,1,2,1),(28,7228961,'1993-03-27 00:00:00',4,1,12,2010,'M','N','BELA VISTA','S JOSÉ','SC','124241241116272431325544345124610122062',15878,'307',38.09,1,2,1),(28,7228970,'1990-09-15 00:00:00',2,3,12,2007,'M','N','CENTRO','CAMBORIÚ','SC','124241241217134431558613471222610132057',9501,'44',54.54,1,3,NULL),(28,7228988,'1992-10-15 00:00:00',4,1,12,2010,'F','N','BELA VISTA','PTO ALEGRE','RS','120202201217471431448933585114610167147',7954,'9998',48.19,1,3,NULL),(28,7228996,'1992-06-28 00:00:00',4,1,12,2009,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124242241215574431356631472122610162141',436,'270',74.14,1,3,NULL),(28,7229003,'1993-05-20 00:00:00',4,1,12,2010,'M','N','ALDEIA DA SERRA','SANTANA PARNAÍBA','SP','125252253237451421668814275124241424117',129,'9998',78.21,3,3,NULL),(28,7229011,'1992-12-05 00:00:00',2,1,12,2009,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241115274431226321572324221464197',1461,'739',67.83,1,2,1),(28,7229020,'1994-11-07 00:00:00',4,1,2,2013,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111731358612575124610147077',NULL,'262',15.11,1,3,NULL),(28,7229038,'1990-06-29 00:00:00',4,1,12,2007,'M','N','CENTRO','LONDRINA','PR','116161161215572431228813575125610164042',1263,'9998',68.77,1,3,NULL),(28,7229046,'1993-06-01 00:00:00',4,8,10,2010,'M','N','CABRAL','CURITIBA','PR','116162161215571431478713595122610167047',1374,'9998',67.25,1,3,NULL),(28,7229054,'1994-03-13 00:00:00',1,2,12,2011,'M','N','ÁGUA VERDE','BLUMENAU','SC','124242241215132431648819375122610127177',6301,'87',52.24,1,3,NULL),(28,7229062,'1992-04-17 00:00:00',2,1,12,2009,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241225372431425511575124610128047',10189,'262',47.72,1,3,NULL),(28,7229070,'1994-03-02 00:00:00',2,1,11,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431466954575114610167042',5032,'270',57.06,1,3,NULL),(28,7229089,'1972-02-29 00:00:00',4,1,12,1991,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','224131131317271751423351492114610143187',17184,'9998',41.07,4,3,NULL),(28,7229097,'1994-11-23 00:00:00',4,1,12,2011,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215111431368821572122610167142',7252,'270',50.56,1,3,NULL),(28,7229100,'1993-03-20 00:00:00',4,1,12,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115131431338824315124610167117',14471,'267',46.63,1,2,1),(28,7229127,'1961-06-21 00:00:00',4,1,12,1978,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124202201117131421225429445124341432187',17208,'9998',41.00,1,3,NULL),(28,7229135,'1987-01-06 00:00:00',4,1,12,2004,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217274431368821385124120336182',11091,'269',51.97,1,3,NULL),(28,7229143,'1991-12-16 00:00:00',4,1,12,2009,'M','N','FLORESTA','PTO ALEGRE','RS','120202201217571751258822571124610123092',NULL,'9998',0.00,1,3,NULL),(28,7229151,'1995-02-08 00:00:00',2,1,12,2011,'M','N','ROÇADO','S JOSÉ','SC','124242241215111411553614275214610114142',NULL,'723',37.22,1,3,NULL),(28,7229160,'1994-04-28 00:00:00',2,1,12,2011,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241115131731326611592124610154152',15743,'592',34.68,1,2,1),(28,7229186,'1993-03-26 00:00:00',2,8,12,2011,'M','N','PROFIPO','JOINVILLE','SC','124241241126131211536419172121610117017',20151,'480',24.28,2,3,NULL),(28,7229194,'1993-03-06 00:00:00',4,7,11,2010,'F','N','CENTRO','JOAÇABA','SC','124242241211473731546921571121610127072',NULL,'962',41.95,1,3,NULL),(28,7229208,'1994-11-12 00:00:00',2,9,12,2011,'F','N','PINHERAL','BRAÇO NORTE','SC','124241242117161132643336585124233217052',NULL,'960',30.44,1,3,NULL),(28,7229216,'1993-03-17 00:00:00',2,10,12,2010,'F','N','MADRE','TUBARÃO','SC','124241241115271431325311485114610127052',NULL,'1034',19.80,1,2,1),(28,7229224,'1994-11-30 00:00:00',2,3,12,2011,'F','N','JARDIM PRAIA MAR','ITAPEMA','SC','124241242115141431345712575122610135142',NULL,'129',34.20,4,2,1),(28,7229232,'1994-11-22 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431368632575122610167111',12378,'270',42.00,1,3,NULL),(28,7229259,'1991-05-16 00:00:00',2,1,12,2011,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241247336141711424331295133610164042',18564,'9999',37.00,1,3,NULL),(28,7229267,'1993-12-09 00:00:00',2,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215271431345512575122610137072',9892,'210',48.73,1,3,NULL),(28,7229283,'1993-12-07 00:00:00',2,1,12,2011,'F','N','ENCANTADA','GAROPABA','SC','124244241115271431327319575124610153147',14725,'307',40.74,1,3,NULL),(28,7229291,'1994-08-20 00:00:00',4,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','116162161216151431457912275122610162042',NULL,'9998',0.00,1,3,NULL),(28,7229305,'1994-03-28 00:00:00',2,1,12,2011,'F','N','JARDIM COQUEIROS','PALHOÇA','SC','124241241115131431433514382124610135187',NULL,'592',25.01,1,2,1),(28,7229313,'1994-03-01 00:00:00',4,1,12,2011,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241215111411347634245124610117042',17743,'1118',31.70,1,3,NULL),(28,7229321,'1987-10-29 00:00:00',4,1,12,2005,'F','N','JARDIM CARANDAI','BIGUAÇU','SC','124241241117232431323314245114610133197',19089,'65',34.92,1,3,NULL),(28,7229348,'1992-07-23 00:00:00',2,1,12,2010,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241113132431326832442124610162086',NULL,'278',22.89,4,2,1),(28,7229356,'1994-03-22 00:00:00',4,15,11,2011,'F','N','JDM GUAIUBA','GUARUJÁ','SP','125251251217131731533819575124610137077',17956,'9998',29.64,1,3,NULL),(28,7229364,'1995-04-18 00:00:00',4,7,12,2011,'M','N','CHIRUCA','ERVAL VELHO','SC','124241241116141431444634575124610128182',9626,'253',45.75,1,2,1),(28,7229372,'1994-04-03 00:00:00',4,2,12,2011,'M','N','TESTO SALTO','BLUMENAU','SC','124241241115371431336639395124610117187',NULL,'621',23.44,1,2,1),(28,7229380,'1994-11-11 00:00:00',4,25,11,2011,'M','N','PARAÍSO','CAÇADOR','SC','124242161216471431469912595112610122122',17590,'9998',31.88,1,3,NULL),(28,7229399,'1994-07-29 00:00:00',2,15,12,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124241247115471421424311475124613264092',NULL,'29',0.00,1,3,NULL),(28,7229402,'1994-01-06 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','111111111117131431426734595124610117047',18481,'9998',37.35,4,2,1),(28,7229429,'1990-06-08 00:00:00',2,1,12,2011,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124161247121371331224479342123610133067',16575,'9997',34.55,4,2,1),(28,7229437,'1990-07-05 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241116372441333531395124223266175',NULL,'49',0.00,1,3,NULL),(28,7229445,'1993-06-02 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116372331436619475124230248072',5784,'267',57.26,1,2,1),(28,7229453,'1995-04-03 00:00:00',3,8,12,2011,'F','N','BOM JESUS','S JOSÉ PINHAIS','PR','116161161215121431338814575122610125097',NULL,'9998',0.00,1,3,NULL),(28,7229461,'1993-03-15 00:00:00',2,1,10,2010,'M','N','SUISSA','ARACAJU','SE','126052261217471431448831475112610167122',NULL,'9998',0.00,4,3,NULL),(28,7229470,'1992-10-19 00:00:00',2,1,12,2009,'F','N','VILA PARAÍSO','JAGUARUNA','SC','124241241415572431569714575112610113192',13644,'807',47.97,1,3,NULL),(28,7229488,'1993-12-05 00:00:00',2,1,12,2011,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241115372441438611575124610124142',3481,'267',58.87,1,2,1),(28,7229496,'1988-05-18 00:00:00',2,1,12,2005,'M','N','BARREIROS','S JOSÉ','SC','124242241111272441335724445114610164042',16456,'734',42.76,1,3,NULL),(28,7229500,'1979-10-26 00:00:00',4,1,11,1997,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241214574751119811482112322467122',NULL,'269',0.00,1,3,NULL),(28,7229526,'1993-07-26 00:00:00',4,8,12,2010,'M','N','ESTRELA','PNT GROSSA','PR','116162161211272711469914575124231464192',NULL,'9998',0.00,1,3,NULL),(28,7229534,'1992-07-24 00:00:00',4,1,12,2009,'F','N','MIGUEL SUTIL','CUIABÁ','MT','111112111217571421369923595122610115033',356,'9998',72.17,4,3,NULL),(28,7229550,'1992-09-02 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115471431426311345124610136192',13739,'281',40.29,1,2,1),(28,7229577,'1993-01-25 00:00:00',2,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241117372431436421314124610124143',12406,'278',45.85,1,2,1),(28,7229585,'1990-06-09 00:00:00',2,1,12,2007,'F','N','PARQUE PREZOTTO','PIRACICABA','SP','125251251115571431325311441114610112022',8437,'9998',49.73,1,2,1),(28,7229615,'1994-09-23 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115131431327724572124610128142',14208,'592',36.92,1,2,1),(28,7229623,'1994-12-01 00:00:00',4,8,12,2011,'F','N','IRIRIU','JOINVILLE','SC','124243241215371431436532115122610114092',NULL,'1105',20.34,1,3,NULL),(28,7229666,'1979-12-31 00:00:00',2,1,5,2006,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241247327271411324144445124610126187',18021,'9999',38.85,2,1,2),(28,7229674,'1979-09-21 00:00:00',4,1,12,1997,'F','N','N S DO ROSÁRIO','S JOSÉ','SC','124243247316373421236643335124333221097',17158,'9999',41.12,1,3,NULL),(28,7229682,'1994-02-18 00:00:00',4,17,1,2012,'F','N','SOSSEGO','CANOINHAS','SC','124241241115371411416619575125610123187',NULL,'146',23.31,1,2,1),(28,7229704,'1963-04-03 00:00:00',5,1,12,1982,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242243226133621421441412124331061191',NULL,'144',23.03,1,3,NULL),(28,7229712,'1992-11-12 00:00:00',4,24,12,2010,'F','N','SUMARÉ','RIO SUL','SC','124242241215272431448914575122230422147',5647,'991',54.28,1,3,NULL),(28,7229720,'1994-06-14 00:00:00',4,6,11,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215271431436814374124610162157',NULL,'403',0.00,1,3,NULL),(28,7229739,'1994-04-04 00:00:00',2,22,12,2011,'F','N','CINTRA GORDINHO','ARAÇARIGUAMA','SP','125251251136271731623523375124610132077',NULL,'9998',14.03,1,2,1),(28,7229747,'1994-12-06 00:00:00',4,1,12,2011,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','624242241217152431368823295124610134097',8477,'1022',56.31,1,3,NULL),(28,7229755,'1993-10-27 00:00:00',4,4,12,2010,'M','N','ALVORADA','FRANCISCO BELTRÃO','PR','116163161317121411249923315124241464172',7818,'9998',57.43,1,3,NULL),(28,7229771,'1991-12-10 00:00:00',2,1,12,2009,'F','N','ARIRIU','PALHOÇA','SC','124242241216473411466833572124610134092',10631,'1175',44.75,1,3,NULL),(28,7229780,'1991-05-20 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127271431533314285124610147142',17595,'274',40.05,1,2,1),(28,7229798,'1996-01-08 00:00:00',1,6,12,2012,'F','S','CENTRO','BAL CAMBORIÚ','SC','124242241215111431349933575122610137017',NULL,'9997',45.29,1,3,NULL),(28,7229844,'1973-06-30 00:00:00',6,1,11,1991,'F','N','INGLESES','FLORIANÓPOLIS','SC','224201205116141131333843435124610121181',NULL,'9998',0.00,4,2,1),(28,7229879,'1987-04-09 00:00:00',4,6,12,2006,'M','N','SÃO JOÃO','ITAJAÍ','SC','124242241236554411364414375122133234182',3688,'394',58.45,1,3,NULL),(28,7229887,'1993-12-13 00:00:00',2,10,12,2011,'F','N','SÃO FRANCISCO','BRAÇO NORTE','SC','124241241116271431633314575124610124147',NULL,'100',22.87,1,2,1),(28,7229895,'1992-12-03 00:00:00',4,2,11,2010,'M','N','CENTRO','CURITIBA','PR','116161241317471411256614372124610164142',NULL,'442',0.00,1,3,NULL),(28,7229909,'1995-07-08 00:00:00',4,27,12,2012,'F','S','CENTRO','BARRA BONITA','SC','124241246431131431425916575124610126052',NULL,'1179',34.66,1,3,NULL),(28,7229917,'1994-02-20 00:00:00',4,24,12,2011,'F','N','BREMER','RIO SUL','SC','124241241115371431433311395124610133147',16865,'658',34.91,1,2,1),(28,7229925,'1990-06-26 00:00:00',4,1,12,2007,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242248217131411469813345124610138172',12757,'270',49.35,1,3,NULL),(28,7229933,'1991-08-19 00:00:00',4,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241241215272411449813315124231232186',2137,'1022',66.07,4,3,NULL),(28,7229950,'1973-01-09 00:00:00',4,1,12,1989,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124241161217575411156641415122121462183',NULL,'9998',0.00,1,3,NULL),(28,7229968,'1992-12-16 00:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124244241315373431327824282124130467057',3789,'1074',61.38,1,3,NULL),(28,7229984,'1993-08-16 00:00:00',2,1,12,2010,'M','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241127272441323314175124131416147',5953,'1099',55.96,1,2,1),(28,7229992,'1994-04-01 00:00:00',4,1,12,2011,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241116371431446812275124610128092',3088,'739',60.17,1,2,1),(28,7230001,'1990-01-16 00:00:00',2,8,12,2004,'M','N','JARDIM IRIRIÚ','JOINVILLE','SC','124241241114131431433624345124610127142',17733,'475',39.66,1,2,1),(28,7230010,'1992-09-09 00:00:00',4,1,11,2010,'M','N','JARDIM POMPEIA','INDAIATUBA','SP','125253251215471431648832195124610127184',NULL,'9998',0.00,1,3,NULL),(28,7230028,'1992-04-01 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241132271431523561345124610134017',12035,'921',42.99,1,2,1),(28,7230036,'1994-06-21 00:00:00',2,1,12,2011,'M','N','ALTO RIO FARIAS','ANTÔNIO CARLOS','SC','124241241114371431424435574124610122142',1275,'21',69.13,1,2,1),(28,7230044,'1988-02-22 00:00:00',2,1,2,2008,'M','N','CARVALHO','CACHOEIRA SUL','RS','120201207116131732631339435135610167047',NULL,'9998',0.00,4,3,NULL),(28,7230052,'1994-11-16 00:00:00',2,1,12,2011,'F','N','ALTO ARIRIRÚ','PALHOÇA','SC','124241241117271431423414245124610121157',12192,'772',41.71,1,2,1),(28,7230060,'1994-08-19 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241115121431464822595121610164114',14616,'270',43.76,1,3,NULL),(28,7230079,'1993-12-22 00:00:00',4,1,12,2011,'M','N','ACLIMAÇÃO','S PAULO','SP','125252251215111431388811475115610127072',NULL,'9998',35.73,1,3,NULL),(28,7230109,'1994-07-25 00:00:00',4,1,12,2011,'M','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124241241115371431348427575124610122032',5608,'65',55.00,1,2,1),(28,7230117,'1987-01-09 00:00:00',2,15,12,2004,'M','N','CAMPESTRE','S JOÃO SUL','SC','124241241116132411523335452223331046042',9392,'30',54.73,1,2,1),(28,7230141,'1993-08-05 00:00:00',4,1,12,2010,'M','N','JARDIM PETROPOLIS','CPO GRANDE','MS','112122121237371331448831575124610167052',6299,'9998',53.05,4,3,NULL),(28,7230150,'1994-06-07 00:00:00',4,1,12,2011,'M','N','PRADO','BIGUAÇU','SC','124241241115371431426334372124610144147',9339,'65',48.08,1,2,1),(28,7230176,'1991-08-09 00:00:00',4,25,11,2008,'M','N','PARAISO','CAÇADOR','SC','124242241216573731469912594112141442172',NULL,'270',0.00,1,3,NULL),(28,7230192,'1993-03-08 00:00:00',4,2,12,2011,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124241241137141441135744445114610134142',NULL,'79',27.96,2,1,1),(28,7230206,'1993-11-20 00:00:00',2,1,12,2011,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251217111422488612295112610163045',15597,'9998',44.53,1,3,NULL),(28,7230214,'1991-04-09 00:00:00',2,1,12,2008,'F','N','SÃO JOSÉ','CANOAS','RS','120201202117131451326577485124140328182',NULL,'9998',24.19,1,2,1),(28,7230222,'1993-06-24 00:00:00',4,1,12,2011,'F','N','GUARA','GUARÁ','DF','107072071217111431346623575122610116197',NULL,'9998',0.00,1,3,NULL),(28,7230230,'1993-03-27 00:00:00',4,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215372431387823575112610124185',17032,'270',41.45,1,3,NULL),(28,7230249,'1995-01-25 00:00:00',4,1,12,2011,'F','N','ARMAÇÃO DO PÂNT SUL','FLORIANÓPOLIS','SC','124244241115371431323314275124610131055',6601,'267',51.13,1,3,NULL),(28,7230257,'1994-07-20 00:00:00',2,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124241241127131431423321315124610117042',NULL,'1116',26.77,1,2,1),(28,7230265,'1993-01-15 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215372431439714375122610143117',12935,'270',40.73,1,3,NULL),(28,7230273,'1993-12-05 00:00:00',4,1,12,2011,'M','N','JARDIM HENRIQUETA','TABOÃO SERRA','SP','125251251117131411226524275124610162147',10240,'9998',53.33,4,2,1),(28,7230281,'1991-09-27 00:00:00',2,17,12,2009,'M','N','BOM JESUS','RIO NEGRO','PR','116241161216471431438834371124610137097',15780,'9998',33.79,1,3,NULL),(28,7230290,'1993-09-02 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241215372431459911575124133266142',9021,'270',50.29,1,3,NULL),(28,7230303,'1993-05-11 00:00:00',4,4,12,2010,'F','N','SANTA CATARINA','S LOURENÇO OESTE','SC','124241241136371431423411385122610126147',10282,'745',44.57,1,2,1),(28,7230311,'1992-11-27 00:00:00',4,8,12,2011,'M','N','CENTRO','S BENTO SUL','SC','124241241115271411324669575125610146172',4378,'697',60.36,1,2,1),(28,7230320,'1995-01-23 00:00:00',4,22,12,2011,'M','N','CENTRO','NOVA TRENTO','SC','125243241125151441336632585122610168141',7481,'574',50.40,1,3,NULL),(28,7230338,'1990-09-12 00:00:00',2,4,11,2007,'F','N','CENTRO','PALMITOS','SC','124242241216473431425732571114140636182',4368,'600',58.81,1,3,NULL),(28,7230354,'1992-08-15 00:00:00',4,2,12,2009,'F','N','VILA FORMOSA','BLUMENAU','SC','124052051215572431468924575122610122182',NULL,'9998',0.00,1,3,NULL),(28,7230370,'1994-03-01 00:00:00',4,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241225141431436529342124610138045',6037,'262',54.59,1,3,NULL),(28,7230389,'1993-10-16 00:00:00',4,5,12,2010,'M','N','CRISTO REI','COCAL SUL','SC','124241246217141431436714345122610124122',11279,'188',51.65,1,3,NULL),(28,7230397,'1990-11-24 00:00:00',2,3,12,2007,'F','N','ALTO BOQUEIRAO','CURITIBA','PR','116162161211524431436629575124610134142',1043,'9998',69.27,1,3,NULL),(28,7230400,'1993-05-26 00:00:00',2,15,12,2010,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241115271231323329342321610122197',12375,'29',43.50,1,2,1),(28,7230419,'1995-03-17 00:00:00',4,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241116111432559711575115610125141',14409,'457',46.74,1,3,NULL),(28,7230435,'1992-02-27 00:00:00',2,8,12,2009,'M','N','CENTRO','IRATI','PR','116163161117572731449732295122610127042',NULL,'9998',0.00,1,3,NULL),(28,7230443,'1993-09-24 00:00:00',4,10,12,2010,'M','N','VILA NOVA','IMBITUBA','SC','124244241215342431658813595122231414155',5045,'1022',57.34,1,3,NULL),(28,7230451,'1995-11-09 00:00:00',4,2,12,2012,'M','S','DAS NAÇÕES','INDAIAL','SC','124244241415111431446632581122610127142',NULL,'986',30.00,1,3,NULL),(28,7230460,'1994-02-13 00:00:00',4,1,12,2011,'F','N','CACHOEIRAS','BIGUAÇU','SC','124241241115371731416424375124610128192',16227,'64',35.99,2,2,1),(28,7230478,'1993-12-31 00:00:00',4,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242247317152411549831285124610168026',15351,'9999',44.94,1,3,NULL),(28,7230486,'1993-07-31 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241241116142431328834395125610157182',13765,'733',36.36,1,3,NULL),(28,7230494,'1995-04-03 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431349914442125610167042',7817,'262',57.44,1,3,NULL),(28,7230508,'1993-11-03 00:00:00',2,5,12,2010,'F','N','CENTRO','IÇARA','SC','124243241215472431236924472122610167012',3987,'226',59.21,1,3,NULL),(28,7230516,'1994-08-24 00:00:00',2,1,12,2011,'F','N','NATANEA','RIO B SUL','PR','116161161115471411438712275124610126052',NULL,'9998',0.00,1,2,1),(28,7230524,'1991-11-14 00:00:00',4,7,12,2008,'M','N','CENTRO','CAMPOS NOVOS','SC','116242201215473411458914575124131466052',2432,'9998',61.36,1,3,NULL),(28,7230532,'1991-02-04 00:00:00',4,8,12,2008,'F','N','MOSSUNGUE','CURITIBA','PR','116162161215573431568813575114610162192',NULL,'9998',0.00,1,3,NULL),(28,7230540,'1992-08-01 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224161161116151431243553472124610126143',NULL,'9998',0.00,1,2,1),(28,7230559,'1993-08-26 00:00:00',2,4,11,2010,'F','N','CENTRO','NONOAI','RS','120202241216471431346639571122610162192',1472,'168',71.74,1,3,NULL),(28,7230583,'1995-07-07 00:00:00',4,10,12,2011,'F','N','SANTA LUCIA','CAPIVARI BAIXO','SC','124241241116151231337619575114610134072',11593,'798',42.01,1,3,NULL),(28,7230591,'1993-10-29 00:00:00',4,1,11,2011,'M','N','PARALELA','SALVADOR','BA','105052051215111431378831575122610164122',NULL,'9998',0.00,4,3,NULL),(28,7230605,'1993-11-04 00:00:00',2,6,12,2011,'M','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124241241215131731324623295121610167142',NULL,'44',24.71,1,3,NULL),(28,7230613,'1991-04-12 00:00:00',4,1,12,2008,'F','N','VILA MORANGUEIRA','MARINGÁ','PR','116162161216573451325611575122610164197',526,'9998',71.27,1,3,NULL),(28,7230621,'1994-07-15 00:00:00',4,1,11,2011,'F','N','CENTRO','SINOP','MT','111111111216111431523716575122610168142',6342,'9998',51.21,1,3,NULL),(28,7230630,'1994-05-24 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272431368619472114610137043',5042,'270',57.17,1,3,NULL),(28,7230648,'1988-06-16 00:00:00',4,1,2,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224241241336143431228544345134610167033',NULL,'733',26.81,1,3,NULL),(28,7230656,'1990-04-17 00:00:00',2,1,12,2009,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241113152411328723343114120535093',NULL,'298',17.39,2,1,1),(28,7230664,'1990-10-04 00:00:00',4,8,12,2007,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161215471451468831592122143267042',NULL,'9998',0.00,1,3,NULL),(28,7230672,'1995-08-27 00:00:00',2,1,12,2012,'M','S','CENTRO','MAFRA','SC','124163161216111411443931585112610118142',NULL,'9998',44.26,1,3,NULL),(28,7230702,'1992-03-04 00:00:00',4,1,12,2009,'M','N','BELA VISTA','S JOSÉ','SC','124241241137242411138644245121130447032',15992,'359',43.71,1,2,1),(28,7230710,'1994-05-05 00:00:00',4,25,11,2011,'F','N','DOS MUNICIPIOS','CAÇADOR','SC','124242241217161451349619595122610164122',13982,'1124',38.46,1,3,NULL),(28,7230729,'1994-06-17 00:00:00',4,9,12,2011,'M','N','PETRÓPOLIS','LAGES','SC','124241248117131431526421575224610125142',NULL,'513',16.32,1,3,NULL),(28,7230737,'1988-05-31 00:00:00',2,1,11,2011,'F','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124241247447471711246652345122610161183',19358,'9999',33.58,1,3,NULL),(28,7230753,'1994-12-13 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215121331463912575114610164042',11478,'1118',44.01,1,3,NULL),(28,7230761,'1994-03-01 00:00:00',2,1,12,2011,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241115371431526833385224610137042',6817,'1248',54.29,1,2,1),(28,7230770,'1991-04-25 00:00:00',2,1,12,2008,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241112471431623331572344610122197',12917,'278',42.89,1,2,1),(28,7230788,'1977-05-14 00:00:00',4,1,12,1996,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','624241248126273421325344145123122322187',7211,'793',52.51,1,2,1),(28,7230796,'1992-06-22 00:00:00',2,1,12,2008,'F','N','RES SAGRADA FAMÍLIA','RONDONÓPOLIS','MT','111112111216571431437934571124610154092',NULL,'9998',0.00,4,3,NULL),(28,7230800,'1991-03-04 00:00:00',2,1,12,2008,'F','N','JARDIM EUCALYPTOS','PALHOÇA','SC','124241241127131451346629345114610134187',18980,'592',35.38,1,3,NULL),(28,7230818,'1994-03-25 00:00:00',2,15,1,2012,'F','N','VILA ROSA','PR GRANDE','SC','124241241116131431624511575124610163142',NULL,'641',20.50,1,2,1),(28,7230826,'1994-09-27 00:00:00',2,1,12,2011,'M','N','JD OURO BRANCO','CAMPINAS','SP','125251251116131741326311315124610142141',18213,'9998',38.26,4,1,1),(28,7230834,'1992-08-03 00:00:00',4,8,12,2010,'M','N','BARIGUI','ARAUCÁRIA','PR','116163161326571751443839171324610144147',14332,'9998',46.90,1,3,NULL),(28,7230842,'1993-01-13 00:00:00',2,1,12,2011,'M','N','CENTRO','BOA VISTA','RR','123232231417111731436622192122610122077',NULL,'9998',0.00,4,3,NULL),(28,7230850,'1992-06-07 00:00:00',2,1,12,2010,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241115372331447613445114610164067',17570,'257',40.13,1,2,1),(28,7230893,'1991-10-16 00:00:00',4,1,12,2009,'F','N','VILA SÔNIA','S PAULO','SP','125252251217571431439814575122640166126',5834,'9998',60.85,1,3,NULL),(28,7230907,'1991-11-05 00:00:00',2,1,12,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242247245131432233529445132610114012',19616,'1076',31.88,1,3,NULL),(28,7230931,'1979-01-16 00:00:00',2,1,12,1997,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116143421668613415112121217182',10701,'267',52.59,1,2,1),(28,7230958,'1994-10-06 00:00:00',4,1,11,2011,'M','N','PANTANO DO UL','FLORIANÓPOLIS','SC','124244241217111211436731575114610143045',5938,'1022',55.52,1,3,NULL),(28,7230966,'1987-12-11 00:00:00',4,8,12,2005,'M','N','CENTRO','MAFRA','SC','124243241216475421358919595124221432077',NULL,'541',20.17,1,3,NULL),(28,7230974,'1993-03-09 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241126371431225724245134610124072',19236,'277',34.18,1,2,1),(28,7230982,'1992-07-01 00:00:00',2,7,12,2010,'M','N','CENTRO','JOAÇABA','SC','124242241216132731427833575121230254012',19513,'454',32.60,1,3,NULL),(28,7230990,'1993-09-15 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242251215111431368831575121610137121',3139,'1051',59.19,1,3,NULL),(28,7231008,'1995-01-12 00:00:00',4,2,10,2011,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241235121431259911575122610164123',1534,'909',65.69,1,3,NULL),(28,7231016,'1991-06-07 00:00:00',2,8,12,2008,'F','N','VILA CARLI','GUARAPUAVA','PR','116252251216471431126823595124243136157',15287,'9998',45.08,1,3,NULL),(28,7231032,'1996-07-25 00:00:00',4,23,12,2012,'F','S','CENTRO','JARAGUÁ SUL','SC','124242241235111741349714575122610164147',NULL,'442',36.31,1,3,NULL),(28,7231040,'1994-07-15 00:00:00',4,1,12,2011,'F','N','CAMINHO NOVO','PALHOÇA','SC','124243241117371431236923575124610122142',6416,'592',52.19,1,3,NULL),(28,7231059,'1994-02-02 00:00:00',4,1,12,2011,'M','N','COPA RONDON','RONDONÓPOLIS','MT','111112111216111431369933575121610164057',NULL,'9998',29.66,1,3,NULL),(28,7231075,'1993-08-14 00:00:00',4,4,12,2010,'F','N','CENTRO','S LOURENÇO OESTE','SC','124241241116371431336933275124241426142',8938,'744',46.66,1,2,1),(28,7231083,'1995-05-17 00:00:00',2,8,12,2011,'F','N','IRIRIU','JOINVILLE','SC','124241241115111431449814595112610134147',NULL,'1016',18.37,1,3,NULL),(28,7231091,'1991-06-10 00:00:00',4,1,12,2009,'M','N','RECANTO DO SOL','CERQUILHO','SP','125252251216571231469814575122610147057',4940,'9998',55.09,1,3,NULL),(28,7231105,'1993-09-14 00:00:00',4,10,12,2011,'M','N','CENTRO','ARMAZÉM','SC','124241241125141431626611245122610118077',NULL,'34',19.90,1,2,1),(28,7231113,'1989-10-07 00:00:00',2,1,12,2006,'F','N','AREIAS DE CIMA','GOV CELSO RAMOS','SC','124241241127273431323519235134610127047',15373,'329',36.65,1,2,1),(28,7231121,'1969-04-10 00:00:00',2,15,12,1987,'F','N','VIAMÓPOLIS','VIAMÃO','RS','220201201126131421423143332124140836097',NULL,'9998',27.93,1,3,NULL),(28,7231130,'1991-12-19 00:00:00',4,23,12,2009,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124244241216573431468614572314610122172',NULL,'441',0.00,1,3,NULL),(28,7231148,'1994-10-10 00:00:00',4,8,12,2011,'M','N','JARIVATUBA','JOINVILLE','SC','124242241217371432469913592124610127071',8613,'1105',48.07,1,3,NULL),(28,7231164,'1981-08-02 00:00:00',2,1,8,2009,'M','N','PAGARA','STO AMARO IMPERATRIZ','SC','224243247126573731323454283213610137057',15966,'9999',36.84,1,3,NULL),(28,7231172,'1992-03-28 00:00:00',2,15,11,2010,'M','N','JARDIM CIBELE','ARARANGUÁ','SC','124241241126131431436923385124610154063',NULL,'9997',27.98,1,2,1),(28,7231180,'1994-05-08 00:00:00',4,4,12,2011,'M','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124242241217152452533611585122610124157',12302,'185',42.56,1,3,NULL),(28,7231199,'1991-10-16 00:00:00',4,1,12,2009,'F','N','VILA SÔNIA','S PAULO','SP','125252251217571331549834575124610162126',3730,'9998',56.89,1,3,NULL),(28,7231202,'1993-03-29 00:00:00',2,3,12,2010,'F','N','CENTRO','S MIGUEL ARCANJO','SP','125252258216471421448613585122610132147',16424,'9998',32.79,1,3,NULL),(28,7231210,'1994-08-12 00:00:00',2,1,11,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242248225111431323719495124610167147',13763,'1048',38.99,3,3,NULL),(28,7231229,'1994-11-03 00:00:00',2,4,12,2011,'F','N','PASSO DA AREIA','CEL FREITAS','SC','124241241117131411447953272125610164147',NULL,'199',31.88,1,2,1),(28,7231237,'1984-02-10 00:00:00',4,1,12,2001,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124244241215475721648719471114330832147',6517,'270',51.16,4,3,NULL),(28,7231245,'1992-06-13 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124242241236133731426819395124230264097',NULL,'737',22.05,1,3,NULL),(28,7231253,'1993-03-28 00:00:00',4,1,12,2010,'F','N','DISTRITO DE SOUSAS','CAMPINAS','SP','125252251217471411548812572112610131142',NULL,'9998',0.00,1,3,NULL),(28,7231270,'1993-04-27 00:00:00',2,4,12,2010,'M','N','SANTO ANTONIO','PINHALZINHO','SC','124241241116271411459813484122610124042',7149,'616',52.69,1,2,1),(28,7231288,'1994-06-13 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117371431526631595124610148097',6822,'733',50.69,1,2,1),(28,7231296,'1992-06-06 00:00:00',4,1,12,2011,'F','N','SÃO TOMAZ','IMBITUBA','SC','124241241112131631323334392124610167097',NULL,'359',14.92,1,3,NULL),(28,7231300,'1994-03-22 00:00:00',4,2,12,2011,'F','N','CENTRO','GASPAR','SC','124242241217271431389813575122610124072',2632,'909',62.68,1,3,NULL),(28,7231318,'1991-08-10 00:00:00',2,7,12,2008,'F','N','JARDIM CARVALHO','PTO ALEGRE','RS','120202201217571731679714571122143266176',NULL,'9998',0.00,1,3,NULL),(28,7231326,'1993-08-15 00:00:00',4,4,11,2010,'F','N','JARDIM EUROPA','ASSIS CHATEAUBRIAND','PR','116162161215472431336615575122610167092',NULL,'9998',0.00,1,3,NULL),(28,7231342,'1986-11-08 00:00:00',2,3,12,2003,'M','N','CENTRO','TRÊS PASSOS','RS','120202201216131411213344345121443262172',6210,'9998',52.74,1,3,NULL),(28,7231350,'1995-03-03 00:00:00',2,15,12,2011,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241115371431524419592125610137052',6138,'29',56.45,1,2,1),(28,7231369,'1994-02-09 00:00:00',4,8,12,2011,'F','N','SCHRAMM','S BENTO SUL','SC','124242241215111441448611475122610137012',NULL,'1178',0.00,1,3,NULL),(28,7231385,'1993-08-13 00:00:00',2,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241216372411326634571124610112047',17338,'300',30.44,1,3,NULL),(28,7231393,'1995-02-03 00:00:00',4,9,12,2011,'F','N','SÃO JOÃO','CORREIA PINTO','SC','124241241115371431326611275124610134172',17496,'201',32.61,1,2,1),(28,7231407,'1995-02-12 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215311431448812475112610112142',14623,'226',46.30,1,3,NULL),(28,7231431,'1991-01-11 00:00:00',4,10,10,2009,'M','N','TERMAS','GRAVATAL','SC','124242241217271711248732425122231468102',7477,'806',58.01,1,3,NULL),(28,7231458,'1994-08-15 00:00:00',2,15,12,2011,'M','N','ESTREITO','MELEIRO','SC','124241241115271431426621575124610138142',8920,'559',47.31,1,2,1),(28,7231466,'1988-02-15 00:00:00',4,1,12,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215575451326824572114132462092',1273,'270',65.50,1,3,NULL),(28,7231474,'1994-04-20 00:00:00',2,9,12,2011,'F','N','CONTA DINHEIRO','LAGES','SC','124241241115371431426314575124610128142',NULL,'935',17.51,4,2,1),(28,7231490,'1993-08-27 00:00:00',4,23,12,2011,'M','N','CENTRO','JARAGUÁ SUL','SC','124244241437121431468812315122610167122',14477,'442',46.63,1,3,NULL),(28,7231504,'1995-01-30 00:00:00',4,2,12,2012,'F','S','BADENFURT','BLUMENAU','SC','124244241215121412477314572124610136142',NULL,'909',65.13,1,3,NULL),(28,7231520,'1994-07-13 00:00:00',4,25,12,2011,'M','N','NAÇÕES','FRAIBURGO','SC','124241241125131732439934345121610147087',NULL,'315',24.54,4,2,1),(28,7231547,'1993-03-12 00:00:00',2,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124243241111272431536613375124610114142',11700,'733',41.16,1,3,NULL),(28,7231555,'1991-01-07 00:00:00',4,1,12,2008,'F','N','BELA VISTA','S JOSÉ','SC','124242241215575411478819585122133212147',916,'1169',70.36,4,3,NULL),(28,7231571,'1993-05-25 00:00:00',2,1,7,2011,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241247232472431425623175124610112017',14468,'9999',38.02,2,1,2),(28,7231580,'1991-03-15 00:00:00',2,4,12,2008,'F','N','CENTRO','CAIBI','SC','124241241126131411316625292124610125142',NULL,'127',0.00,1,2,1),(28,7231598,'1995-05-06 00:00:00',4,7,12,2012,'F','S','CENTRO','JABORÁ','SC','124243241217111731455732585124610147042',NULL,'446',45.89,1,3,NULL),(28,7231601,'1994-06-15 00:00:00',4,23,12,2011,'F','N','AMIZADE','JARAGUÁ SUL','SC','124241241136141432457814272124610167142',17995,'492',26.88,1,2,1),(28,7231610,'1993-03-11 00:00:00',4,1,12,2011,'M','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','124241241335171431326621575124610117147',17689,'307',27.33,4,3,NULL),(28,7231636,'1994-03-23 00:00:00',4,1,12,2011,'M','N','BORTOLON','XANXERÊ','SC','124241241215471431433634345122610122047',7325,'1081',50.33,1,3,NULL),(28,7231644,'1994-09-15 00:00:00',4,1,12,2011,'F','N','LOMBA GRANDE','NOVO HAMBURGO','RS','120203201217471431535734575124610161147',NULL,'9998',32.21,1,3,NULL),(28,7231660,'1992-09-02 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241116272731436923485124610123077',7581,'267',51.80,1,2,1),(28,7231679,'1994-03-15 00:00:00',2,25,12,2011,'M','N','MATRIZ','VIDEIRA','SC','124241241115141441533531115122610137082',17576,'831',29.27,4,2,1),(28,7231695,'1994-08-10 00:00:00',4,27,12,2011,'F','N','ZONA RURAL','GUARACIABA','SC','124241241115371731424336292122610123147',11754,'334',42.66,1,2,1),(28,7231709,'1994-09-12 00:00:00',4,1,12,2011,'F','N','PONTAL','PALHOÇA','SC','124241241115371231326624575124610137142',12219,'592',43.17,1,2,1),(28,7231725,'1994-08-25 00:00:00',4,4,12,2011,'F','N','VILA INDUSTRIAL','TOLEDO','PR','116161161116371431449911495122610134147',10212,'9998',45.98,1,2,1),(28,7231733,'1992-04-22 00:00:00',2,1,12,2010,'F','N','SETOR BELA VISTA','GOIÂNIA','GO','109092091217471231578732575122610162127',NULL,'9998',0.00,1,3,NULL),(28,7231741,'1993-10-13 00:00:00',4,1,12,2011,'F','N','SÃO PAULO','TAPEJARA','RS','120201208117161712324313275122610134057',NULL,'9998',0.00,1,2,1),(28,7231750,'1989-01-26 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124202201217271431325841312122230837147',17379,'9998',40.59,1,3,NULL),(28,7231768,'1991-08-03 00:00:00',2,2,11,2008,'F','N','CENTRO','CURITIBA','PR','116162161213573431668812291224610162092',4272,'9998',54.22,1,3,NULL),(28,7231776,'1994-05-06 00:00:00',2,16,12,2011,'F','N','APARECIDA','CURITIBANOS','SC','124241241115371731433519295122610128142',17053,'239',28.56,1,2,1),(28,7231784,'1985-09-06 00:00:00',2,1,12,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241122272431123344242324610127042',8457,'314',56.34,1,2,1),(28,7231792,'1995-01-15 00:00:00',4,4,12,2011,'F','N','CENTRO','SEARA','SC','124241241135131331436613245122610164142',13776,'763',36.62,1,2,1),(28,7231806,'1994-10-31 00:00:00',4,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215131412443923385124610144182',NULL,'1075',25.04,1,3,NULL),(28,7231814,'1993-09-19 00:00:00',2,8,12,2011,'F','N','FLORESTA','JOINVILLE','SC','124241241117371231326723385122610124092',4995,'478',56.34,1,2,1),(28,7231822,'1993-03-27 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241415112741323632575124223264057',4201,'226',56.70,1,3,NULL),(28,7231830,'1993-03-24 00:00:00',1,1,12,2011,'F','N','SANTA ISABEL','ÁGUAS MORNAS','SC','124241241115131731613314572124610126147',NULL,'978',23.61,1,3,NULL),(28,7231849,'1994-06-10 00:00:00',4,1,12,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241215111411465621215124610168182',6212,'1022',60.22,1,3,NULL),(28,7231865,'1994-06-01 00:00:00',2,1,12,2012,'F','S','CENTRO','BIGUAÇU','SC','124242241115111421436623342122610114072',NULL,'65',13.83,1,3,NULL),(28,7231873,'1994-09-12 00:00:00',4,1,12,2011,'F','N','PONTAL','PALHOÇA','SC','124241241115371231326624575124610137142',15340,'592',38.72,1,2,1),(28,7231881,'1987-04-24 00:00:00',2,1,12,2004,'F','N','TINGUI','CURITIBA','PR','216141141316131411332823575124340962042',NULL,'9998',0.00,5,3,NULL),(28,7231903,'1989-08-19 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124231241116332731426324384124610127147',NULL,'293',24.96,1,3,NULL),(28,7231911,'1994-11-12 00:00:00',4,1,12,2011,'F','N','REAL PARQUE','S JOSÉ','SC','124241241225131431426614575124610124142',5926,'262',53.45,1,3,NULL),(28,7231920,'1990-12-16 00:00:00',2,1,12,2007,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117372431636614345124610123197',10279,'278',45.53,1,2,1),(28,7231946,'1995-11-21 00:00:00',4,1,12,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241115151731438923575124610114012',18369,'267',37.73,1,2,1),(28,7231954,'1993-08-12 00:00:00',4,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241225472431466823575124610126077',1481,'262',66.71,1,3,NULL),(28,7231962,'1993-07-12 00:00:00',4,1,11,2010,'M','N','SANTO INÁCIO','CURITIBA','PR','116162161215471411468814575114610162127',NULL,'9998',0.00,3,3,NULL),(28,7231970,'1993-10-30 00:00:00',2,1,12,2010,'F','N','BELA VISTA','PTO ALEGRE','RS','120204201316471311368829595124610124143',NULL,'9998',0.00,1,3,NULL),(28,7231989,'1984-02-07 00:00:00',2,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241122274221623329372114231022047',NULL,'298',28.33,2,1,1),(28,7231997,'1995-01-31 00:00:00',4,22,12,2012,'F','S','SANTA LUZIA','BRUSQUE','SC','624242248215111421443332396125610113142',NULL,'109',29.57,1,3,NULL),(28,7232004,'1994-07-08 00:00:00',4,1,12,2011,'F','N','SANTA ISABEL','ÁGUAS MORNAS','SC','124241241115131731313315572124610123057',NULL,'978',0.00,1,3,NULL),(28,7232020,'1994-05-27 00:00:00',2,16,12,2011,'F','N','APARECIDA','CURITIBANOS','SC','124241241115271532226623475112610128145',15282,'239',36.62,1,3,NULL),(28,7232047,'1994-10-28 00:00:00',2,10,10,2011,'F','N','CENTRO','TUBARÃO','SC','124242241215111431347912595122610115142',NULL,'807',27.93,1,3,NULL),(28,7232055,'1994-11-24 00:00:00',2,22,12,2011,'M','N','POÇO FUNDO','BRUSQUE','SC','124241241115141731353311215124610167042',9984,'1019',42.58,4,2,1),(28,7232063,'1994-10-27 00:00:00',4,10,12,2011,'M','N','CAMPO DE FORA','LAGUNA','SC','124242241215161431546939375121610131147',2098,'525',63.08,1,3,NULL),(28,7232071,'1994-08-10 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117272221423413495124610136127',NULL,'287',23.73,1,2,1),(28,7232080,'1992-01-06 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124214211216373431218611412124121767042',3355,'9998',61.03,1,3,NULL),(28,7232098,'1993-05-28 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117372431528929295324610127057',17758,'740',32.29,1,2,1),(28,7232101,'1994-07-17 00:00:00',4,9,12,2011,'M','N','IPIRANGA','LAGES','SC','124242241215121431558714375122610127182',6293,'1207',55.30,1,3,NULL),(28,7232110,'1992-07-06 00:00:00',2,4,2,2006,'F','N','CENTRO','CHAPECÓ','SC','124243241417151431378813575122610123197',NULL,'169',12.44,1,3,NULL),(28,7232128,'1968-03-18 00:00:00',4,1,12,1985,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116145431233642425132320434093',NULL,'307',36.49,1,3,NULL),(28,7232136,'1994-09-02 00:00:00',4,1,12,2011,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111432378934575122610167045',13384,'884',38.52,1,3,NULL),(28,7232144,'1994-02-25 00:00:00',4,8,10,2010,'M','N','CENTRO','PNT GROSSA','PR','116162161215471411158921512214610167042',7883,'9998',57.31,1,3,NULL),(28,7232152,'1987-09-30 00:00:00',4,6,12,2004,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243242115472441647443335131131014097',3663,'129',58.84,1,3,NULL),(28,7232160,'1988-07-22 00:00:00',2,1,12,2005,'F','N','VARGEM GRANDE','ÁGUAS MORNAS','SC','224241241115373731224354435334610144147',7474,'772',52.38,1,2,1),(28,7232179,'1993-07-31 00:00:00',2,1,12,2011,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241112131431635513375124610123147',14747,'271',39.28,1,2,1),(28,7232187,'1993-06-26 00:00:00',4,1,11,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242244213412751488913593114610162094',20008,'723',27.98,1,3,NULL),(28,7232195,'1995-07-07 00:00:00',2,1,12,2012,'F','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241112131531315519572224610131147',NULL,'9997',0.00,1,3,NULL),(28,7232209,'1994-02-18 00:00:00',4,15,12,2009,'M','N','JARDIM ITÁLIA','MELEIRO','SC','124241241116273431447514575124232634092',3753,'559',56.44,4,2,1),(28,7232217,'1993-02-14 00:00:00',2,8,11,2010,'F','N','ÁGUA BRANCA','S FRANCISCO SUL','SC','124244241215372431356823575124610137077',11015,'1016',42.88,1,3,NULL),(28,7232225,'1993-04-30 00:00:00',2,25,12,2010,'F','N','CAÇANJURE','CAÇADOR','SC','124241241136141431326369285124130232152',20026,'123',27.69,1,2,1),(28,7232233,'1994-10-13 00:00:00',2,25,12,2011,'F','N','CENTRO','CAÇADOR','SC','124242241217121412235934575122610113042',10336,'120',45.46,1,3,NULL),(28,7232250,'1994-01-12 00:00:00',4,4,12,2011,'M','N','SANTA MARIA','CHAPECÓ','SC','124241241116371441334634345124610144017',8153,'169',48.78,1,2,1),(28,7232276,'1994-11-10 00:00:00',2,5,12,2011,'F','N','VILA SÃO JORGE','SIDERÓPOLIS','SC','124241241115131451436319285124610166197',NULL,'768',0.00,1,2,1),(28,7232284,'1993-11-16 00:00:00',2,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124242241116242131438613345114610117044',NULL,'739',29.99,1,3,NULL),(28,7232292,'1994-02-24 00:00:00',4,1,12,2011,'F','N','BAIRRO IPIRANGA','S JOSÉ','SC','124241241111271431438814342124610134112',19284,'734',25.80,1,2,1),(28,7232306,'1994-09-30 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241135131531633379572324610167147',13936,'298',39.60,2,1,1),(28,7232314,'1945-11-19 00:00:00',4,1,12,1964,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','224212218217151442326653472124141066192',5562,'9998',61.37,1,3,NULL),(28,7232322,'1990-04-08 00:00:00',2,1,12,2007,'F','N','BELA VISTA','S JOSÉ','SC','124162241416373411543719395124233227147',NULL,'269',0.00,1,3,NULL),(28,7232330,'1992-04-07 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124241241117233451223529442134122264047',NULL,'734',28.48,1,2,1),(28,7232349,'1993-01-30 00:00:00',4,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124241241115271411425311375124610136142',15008,'307',45.61,1,2,1),(28,7232357,'1988-11-16 00:00:00',2,1,11,2005,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115575421424611312124610124147',2480,'65',62.14,1,2,1),(28,7232365,'1993-05-04 00:00:00',4,1,12,2010,'M','N','BNH SEGUNDO PLANO','DOURADOS','MS','112122121237472431546723575122610167052',1744,'9998',63.72,1,3,NULL),(28,7232373,'1993-12-20 00:00:00',4,1,12,2011,'M','N','ALTO ARIRIU','PALHOÇA','SC','124241243115111411426611275124610136092',14840,'306',45.91,1,3,NULL),(28,7232381,'1994-02-06 00:00:00',2,1,1,2012,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117371431414421272124610125042',8823,'1248',47.14,1,2,1),(28,7232403,'1992-11-10 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241217372741548933375114121764016',NULL,'403',0.00,1,3,NULL),(28,7232411,'1994-04-09 00:00:00',2,6,12,2011,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124164241315271411636639282325610146142',NULL,'49',0.00,1,3,NULL),(28,7232420,'1986-12-01 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217474711348621395112132166182',10403,'269',46.16,1,3,NULL),(28,7232438,'1995-11-07 00:00:00',4,1,12,2012,'M','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217111731689913575122610127062',NULL,'262',59.61,1,3,NULL),(28,7232446,'1993-07-27 00:00:00',4,1,12,2011,'F','N','JARDIM AEROPORTO','ARAPONGAS','PR','116163161336111711226629375112610114142',NULL,'9998',0.00,1,3,NULL),(28,7232454,'1992-08-04 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115372731623329392314610164047',13792,'298',40.64,1,2,1),(28,7232462,'1991-08-01 00:00:00',2,1,11,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241127371731533374342334610115052',NULL,'727',26.68,1,2,1),(28,7232489,'1994-10-15 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241115111711346634375112610117012',NULL,'267',23.39,1,2,1),(28,7232497,'1991-06-22 00:00:00',4,8,12,2008,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241113131431533414385124610122147',18102,'470',38.59,1,3,NULL),(28,7232519,'1995-06-11 00:00:00',4,1,12,2012,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241217111732279923575112610168182',NULL,'270',46.48,1,3,NULL),(28,7232527,'1989-03-29 00:00:00',4,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124201201137131431226344342214141427042',NULL,'9998',21.61,1,3,NULL),(28,7232535,'1994-11-28 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411236829595124610124057',16546,'262',42.54,1,3,NULL),(28,7232543,'1985-09-28 00:00:00',2,1,12,2003,'F','N','AREIAS','S JOSÉ','SC','224241241117131731236644344134610122197',NULL,'257',32.85,1,2,1),(28,7232551,'1993-12-10 00:00:00',4,10,11,2011,'M','N','PARQUE DAS ACASIAS','S LUDGERO','SC','124241248436111431437613595122610117042',NULL,'950',22.55,1,3,NULL),(28,7232560,'1994-10-11 00:00:00',4,2,12,2011,'F','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241315151731338923575124610163182',11886,'88',50.71,1,3,NULL),(28,7232578,'1990-09-01 00:00:00',4,8,12,2007,'F','N','GUANABARA','JOINVILLE','SC','124243241114131411224329382112610122077',NULL,'492',31.57,1,3,NULL),(28,7232594,'1991-06-13 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241217154731339714372124231964147',14523,'1075',46.54,1,3,NULL),(28,7232616,'1989-07-27 00:00:00',4,8,12,2006,'M','N','GLÓRIA','JOINVILLE','SC','124243243217132441443439491122133237042',9157,'1105',47.80,1,3,NULL),(28,7232624,'1992-05-25 00:00:00',4,1,11,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241126131411446613245124610137062',NULL,'1097',18.77,1,2,1),(28,7232640,'1993-06-06 00:00:00',4,2,12,2010,'F','N','NAÇÕES','INDAIAL','SC','124161161115371431437514175124131037011',10126,'9998',44.57,1,2,1),(28,7232667,'1994-08-03 00:00:00',2,1,12,2011,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241225111431223329345324610127142',11617,'262',46.46,1,3,NULL),(28,7232683,'1994-11-15 00:00:00',4,17,12,2011,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241248115371431436614585122610128147',NULL,'146',23.00,1,3,NULL),(28,7232691,'1993-08-23 00:00:00',2,1,11,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241115131131437613385124610137047',NULL,'271',19.63,1,3,NULL),(28,7232705,'1992-07-06 00:00:00',2,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243248417133531236729345124610162117',NULL,'9999',30.37,1,3,NULL),(28,7232721,'1992-07-18 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241117473411448933572124610133183',4250,'271',57.59,1,3,NULL),(28,7232730,'1993-01-04 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241215372431436434375124230421075',NULL,'1010',32.09,1,3,NULL),(28,7232756,'1993-12-22 00:00:00',2,4,12,2010,'F','N','CENTRO','QUILOMBO','SC','124244241427152431438824475124231466017',19350,'648',33.60,1,3,NULL),(28,7232764,'1993-08-23 00:00:00',2,1,6,2011,'M','N','FORQUILHAS','S JOSÉ','SC','124243247417111411227314245114610146195',NULL,'9999',25.45,1,3,NULL),(28,7232772,'1988-11-09 00:00:00',4,1,12,2006,'F','N','TERESÓPOLIS','PTO ALEGRE','RS','120202201217571411538829391124240935073',14276,'9998',46.99,1,3,NULL),(28,7232780,'1989-03-19 00:00:00',4,1,12,2006,'M','N','JD INTERLAGOS','HORTOLÂNDIA','SP','125251258147572431114647185124143245147',8381,'9998',48.66,4,2,1),(28,7232799,'1994-01-23 00:00:00',4,1,12,2011,'F','N','ARRAIAL DANGOLA','PARACATU','MG','113132131216111411446931575122610137077',NULL,'9998',0.00,1,3,NULL),(28,7232802,'1996-07-02 00:00:00',4,25,11,2012,'F','S','JARDIM DAS HORTÊNCIA','FRAIBURGO','SC','124242241215151531469811575112610124055',NULL,'885',18.89,1,3,NULL),(28,7232810,'1994-04-07 00:00:00',2,1,12,2011,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241117371411423334275124610126142',10434,'1248',48.25,1,2,1),(28,7232829,'1994-06-22 00:00:00',4,2,12,2011,'M','N','PROGRESSO','BLUMENAU','SC','124241248117131551523614575124610128192',18181,'80',38.35,3,3,NULL),(28,7232837,'1994-11-27 00:00:00',4,8,11,2012,'M','S','CENTRO','JOINVILLE','SC','124242241215111211489814575112610167062',NULL,'457',49.03,1,3,NULL),(28,7232845,'1994-04-07 00:00:00',4,1,12,2011,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241115371731115321376121610114092',NULL,'1088',24.81,1,2,1),(28,7232853,'1995-09-29 00:00:00',4,1,2,2012,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216121431256823575124610124072',NULL,'1134',14.58,1,3,NULL),(28,7232870,'1991-12-15 00:00:00',2,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124243241415274231559913485222122324192',2372,'401',64.80,1,3,NULL),(28,7232888,'1994-09-16 00:00:00',2,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124241241115131431633611572112610117047',NULL,'733',27.68,3,2,1),(28,7232896,'1993-12-19 00:00:00',2,1,12,2011,'F','N','FAZENDA DO MAX','S JOSÉ','SC','124241241117151431646433275114610164083',18422,'592',37.56,1,2,1),(28,7232900,'1994-09-26 00:00:00',4,1,12,2011,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241225131431426511571124610128147',16078,'262',32.97,1,3,NULL),(28,7232918,'1994-08-29 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241115471431326624372124610132147',13496,'295',40.17,1,3,NULL),(28,7232926,'1993-05-24 00:00:00',2,1,12,2011,'M','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241237111431336313575124610167062',NULL,'1074',35.89,1,3,NULL),(28,7232934,'1983-04-24 00:00:00',2,1,12,2000,'M','N','ARMAÇÃO DO PÂNTANO D','FLORIANÓPOLIS','SC','124241241116132411213319385221320818182',9203,'307',55.06,1,2,1),(28,7232942,'1992-09-05 00:00:00',4,1,6,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241246111372411435823345124610117042',11906,'306',50.68,1,2,1),(28,7232950,'1993-08-11 00:00:00',4,15,12,2010,'F','N','SERRA DA PEDRA','JACINTO MACHADO','SC','124241241116161431423316555112610126047',16636,'420',32.00,1,2,1),(28,7232969,'1994-11-04 00:00:00',4,7,11,2011,'F','N','CENTRO','OURO','SC','124244241217151431358913595124610134072',2255,'446',61.73,1,3,NULL),(28,7232977,'1987-05-25 00:00:00',2,1,12,2006,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','624251201137131421223644442124610135053',NULL,'9998',0.00,1,2,1),(28,7232993,'1993-06-25 00:00:00',2,24,12,2010,'M','N','BOA VISTA','ITUPORANGA','SC','124241241147272431449913585122610133142',11646,'416',44.26,1,2,1),(28,7233000,'1993-09-14 00:00:00',4,1,5,2011,'F','N','JARDIM SÃO PAULO','AMERICANA','SP','125252281416111541479614475112241438117',NULL,'9998',23.40,1,3,NULL),(28,7233027,'1993-12-08 00:00:00',4,1,12,2011,'M','N','JARDIM PRIMAVERA','STA BÁRBARA D OESTE','SP','125252251217111421468814572112610164082',NULL,'9998',8.10,1,3,NULL),(28,7233035,'1988-01-02 00:00:00',2,1,12,2007,'F','N','SÃO LUIZ','S JOSÉ','SC','124241241127273421133353245224610124187',15114,'729',35.98,1,2,1),(28,7233043,'1994-05-25 00:00:00',4,1,12,2011,'M','N','ASA SUL','BRASÍLIA','DF','107094074217131431119912116111611216022',5510,'9998',56.16,5,3,NULL),(28,7233051,'1993-12-14 00:00:00',2,2,11,2011,'M','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241217111431468831572122610127057',4978,'909',55.86,1,3,NULL),(28,7233060,'1992-08-07 00:00:00',4,1,12,2009,'F','N','JABAQUARA','S PAULO','SP','125252251215571751468614571125610124097',577,'9998',70.61,3,3,NULL),(28,7233078,'1989-12-17 00:00:00',2,1,12,2007,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124203201116371451335332445114140314047',NULL,'9998',21.64,1,3,NULL),(28,7233086,'1995-02-13 00:00:00',2,15,12,2011,'M','N','CENTRO','SOMBRIO','SC','124242242116161431323632575124610124097',8252,'690',47.91,1,3,NULL),(28,7233108,'1994-08-11 00:00:00',4,27,12,2011,'F','N','CENTRO','S MIGUEL OESTE','SC','124241241117372431439833375122610124147',4657,'757',55.11,1,2,1),(28,7233124,'1994-06-28 00:00:00',4,1,12,2011,'M','N','JARDIM GUANABARA','S CARLOS','SP','125242251216111431458812495122610166042',NULL,'1278',0.00,1,3,NULL),(28,7233132,'1993-02-09 00:00:00',2,1,12,2011,'F','N','SOROCABA','BIGUAÇU','SC','124241241115371431424315395124610112057',18888,'65',27.20,1,3,NULL),(28,7233159,'1993-08-31 00:00:00',2,16,12,2011,'M','N','MONTE ALEGRE','S CRISTÓVÃO SUL','SC','124241242236161731324419582324610127052',NULL,'960',22.01,4,3,NULL),(28,7233167,'1993-01-19 00:00:00',2,1,12,2010,'M','N','SJ RIO VERMELHO','FLORIANÓPOLIS','SC','124241241125141431225879315124233217182',18968,'274',31.63,1,2,1),(28,7233175,'1994-02-24 00:00:00',4,6,12,2011,'F','N','CANTO GRANDE','BOMBINHAS','SC','124241241117131431633611282124610134147',14636,'96',46.28,1,2,1),(28,7233183,'1994-02-17 00:00:00',4,1,12,2011,'M','N','ARIRIÚ','PALHOÇA','SC','124241241115131431226614155124610142172',15690,'591',44.32,1,3,NULL),(28,7233191,'1989-11-05 00:00:00',4,1,12,2006,'F','N','SERTAO DO MARUIM','S JOSÉ','SC','124241241116374431433611345234130823197',16277,'733',43.16,1,2,1),(28,7233213,'1992-08-16 00:00:00',4,4,12,2009,'F','N','GLORIA','JOINVILLE','SC','124242241215474331458932575122221443145',1993,'1063',64.45,1,3,NULL),(28,7233221,'1987-12-08 00:00:00',4,1,12,2004,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241211372731346629382124333213187',8280,'1036',56.66,4,3,NULL),(28,7233248,'1993-06-02 00:00:00',4,24,12,2010,'M','N','CENTRO','IMBUIA','SC','124241241117371431336515452225610134047',11174,'364',51.83,1,2,1),(28,7233264,'1992-05-04 00:00:00',4,25,12,2009,'M','N','BELA VISTA','FRAIBURGO','SC','124241241136161451336814395125131066042',14439,'314',37.01,1,2,1),(28,7233280,'1993-12-23 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111432258922572125610168172',11819,'9997',44.12,3,3,NULL),(28,7233299,'1995-06-21 00:00:00',4,26,12,2011,'F','N','MIRANTE','ITÁ','SC','124241242117131431324823572124610157057',14597,'196',36.48,1,2,1),(28,7233302,'1992-05-18 00:00:00',2,1,12,2009,'M','N','SANTO ANTONIO','FLORIANÓPOLIS','SC','124241241136153431436844342122610137052',18686,'279',36.53,1,2,1),(28,7233310,'1993-05-21 00:00:00',4,8,12,2010,'M','N','CENTRO','S BENTO SUL','SC','124242161215472531469711475124610137017',NULL,'9998',0.00,1,3,NULL),(28,7233329,'1988-02-24 00:00:00',2,10,8,2006,'M','N','CAMPO DE FORA','LAGUNA','SC','124241241116271321426718445124610134057',19846,'521',29.88,1,3,NULL),(28,7233337,'1991-04-12 00:00:00',4,15,12,2008,'F','N','COLONINHA','ARARANGUÁ','SC','124241241116372411426614345124610136092',NULL,'29',37.60,1,2,1),(28,7233345,'1994-04-28 00:00:00',2,5,7,2012,'F','S','SANTA LUZIA','SIDERÓPOLIS','SC','124244248215121731436914445124610118147',NULL,'995',36.67,1,3,NULL),(28,7233370,'1993-08-24 00:00:00',2,8,12,2010,'M','N','GUANABARA','JOINVILLE','SC','124241241117161431334923575124231427017',17486,'828',40.34,1,2,1),(28,7233388,'1991-08-31 00:00:00',4,1,12,2008,'M','N','GUARDA DO EMBAÚ','PALHOÇA','SC','124241241117131431413311142334610127047',NULL,'595',20.78,1,3,NULL),(28,7233396,'1994-09-14 00:00:00',2,9,12,2011,'F','N','FAZENDA NOVA','S JOSÉ CERRITO','SC','124241242117161431543633575224233257052',NULL,'960',27.81,1,3,NULL),(28,7233400,'1993-08-16 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217112431259923575114610116147',6878,'270',52.02,1,3,NULL),(28,7233418,'1983-11-17 00:00:00',2,1,7,2002,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241247446575751568619395124220938187',602,'9999',72.38,1,3,NULL),(28,7233426,'1994-03-22 00:00:00',2,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241115471431436833585124610133187',16410,'307',36.15,1,2,1),(28,7233434,'1995-04-20 00:00:00',2,1,12,2011,'F','N','RIO GRANDE','PALHOÇA','SC','124241241115471531426711575114610126147',17141,'592',33.22,1,2,1),(28,7233450,'1992-08-27 00:00:00',4,1,11,2010,'F','N','ASA SUL','BRASÍLIA','DF','107074071417471431468911575122610152196',1456,'9998',65.57,1,3,NULL),(28,7233469,'1994-07-15 00:00:00',4,1,12,2011,'M','N','CAPÃO RASO','CURITIBA','PR','116161161117131421526614571124610132147',12409,'9998',39.75,1,2,1),(28,7233477,'1994-07-13 00:00:00',4,24,12,2011,'M','N','CENTRO','ATALANTA','SC','124241241135141431634813345122610128057',NULL,'39',11.20,1,2,1),(28,7233485,'1985-05-04 00:00:00',2,1,11,1998,'F','N','JD CIDADE DE FPOLIS','S JOSÉ','SC','124244241116242751236541215124130246187',NULL,'275',0.00,1,3,NULL),(28,7233493,'1992-10-06 00:00:00',2,8,12,2009,'M','N','CENTRO','ITAPIRAPUÃ PAULISTA','SP','125251251126371431623335385124610131074',NULL,'9998',0.00,4,2,1),(28,7233507,'1993-10-23 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241417272431458932275124241468112',2257,'270',66.52,1,3,NULL),(28,7233515,'1992-03-02 00:00:00',2,4,12,2009,'F','N','SÃO PAULO','MONTENEGRO','RS','120201201131472441448431571224610135187',995,'9998',66.10,1,2,1),(28,7233523,'1994-10-13 00:00:00',2,1,11,2011,'F','N','NEI PEREIRA','SANTIAGO','RS','120202201217371431223615575125610164042',9855,'9998',46.74,1,3,NULL),(28,7233531,'1994-01-10 00:00:00',4,9,12,2011,'F','N','SÃO CARLOS','LAGES','SC','124241241116371411538329275124610143182',8574,'935',47.02,2,2,1),(28,7233558,'1992-02-03 00:00:00',2,1,7,2010,'F','N','SERRARIA','S JOSÉ','SC','124244241115472232456613375124610163196',NULL,'739',0.00,1,3,NULL),(28,7233566,'1993-05-22 00:00:00',4,1,12,2010,'M','N','PETROPOLIS','JOINVILLE','SC','124241246216112431634414575124241434052',5487,'1105',54.80,4,3,NULL),(28,7233574,'1993-12-11 00:00:00',4,3,11,2011,'M','N','JD SAO DOMINGOS','OURINHOS','SP','125252251215111431459814482122610137182',10872,'9998',41.04,4,3,NULL),(28,7233582,'1994-08-22 00:00:00',2,1,12,2011,'M','N','FAZENDINHA','CURITIBA','PR','116164161137271731448714571124610158171',7779,'9998',50.23,1,3,NULL),(28,7233590,'1994-08-22 00:00:00',2,9,1,2012,'F','N','HABITAÇÃO','LAGES','SC','124241241117371421434419475124610162197',NULL,'512',31.15,1,2,1),(28,7233604,'1993-09-17 00:00:00',2,22,12,2010,'M','N','CENTRO','BRUSQUE','SC','124242241214372521446779434122610166092',2727,'109',62.23,1,3,NULL),(28,7233612,'1992-04-22 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241312573431344569242324610168157',11115,'1022',45.08,1,3,NULL),(28,7233620,'1994-02-02 00:00:00',4,9,12,2011,'M','N','SANTA HELENA','LAGES','SC','124241241117371731427914344124610143097',11792,'512',43.27,1,2,1),(28,7233639,'1993-12-14 00:00:00',2,2,11,2011,'M','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241215111431568831575112610167042',8389,'909',49.94,1,3,NULL),(28,7233655,'1994-07-02 00:00:00',2,1,12,2011,'F','N','SJ RIO VERMELHO','FLORIANÓPOLIS','SC','124241241115131731528521272124610127182',NULL,'1248',29.12,4,2,1),(28,7233671,'1995-01-02 00:00:00',4,1,12,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111431358832592112610134042',14444,'262',46.67,1,3,NULL),(28,7233680,'1982-01-15 00:00:00',4,16,12,1998,'M','N','BOSQUE','CURITIBANOS','SC','224241241122211341224651312132610164192',NULL,'626',28.90,1,3,NULL),(28,7233701,'1994-03-02 00:00:00',4,10,11,2011,'F','N','SÃO BASILIO','BRAÇO NORTE','SC','124241241215132331413533575124610114127',NULL,'809',27.89,1,3,NULL),(28,7233710,'1993-06-01 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215472431333824572124610124187',5624,'1118',54.84,1,3,NULL),(28,7233728,'1993-10-01 00:00:00',2,1,12,2010,'F','N','SANTA RITA','PAULO LOPES','SC','124241241416372431526436574124610137057',15043,'300',35.71,1,3,NULL),(28,7233744,'1990-10-12 00:00:00',2,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117473441423361445125610123057',NULL,'298',28.15,1,2,1),(28,7233752,'1994-10-05 00:00:00',4,1,12,2011,'M','N','COLONIA SANTANA','S JOSÉ','SC','124241241112111531356633475124610128055',10660,'739',45.67,1,2,1),(28,7233760,'1991-08-23 00:00:00',2,4,12,2008,'M','N','MORUMBI','IA SOLTEIRA','SP','125252251235111431348831575121142862042',7383,'9998',52.86,1,3,NULL),(28,7233787,'1982-09-24 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124243246127271431643379345124610126183',NULL,'306',31.56,1,3,NULL),(28,7233795,'1992-08-25 00:00:00',2,1,12,2011,'F','N','GUARUJA','PTO ALEGRE','RS','120203201315471431448613575124610168182',NULL,'9998',0.00,1,3,NULL),(28,7233809,'1994-02-02 00:00:00',2,9,12,2011,'F','N','SANTA HELENA','LAGES','SC','124241241117371431417814245124610123147',15170,'512',37.98,4,2,1),(28,7233817,'1992-01-04 00:00:00',4,16,9,2009,'M','N','CENTRO','VARGEM','SC','124241247321131431424833572124133127057',NULL,'9999',0.00,1,3,NULL),(28,7233833,'1993-03-02 00:00:00',4,4,12,2010,'F','N','JARDIM','MARAVILHA','SC','124243241215472731536612375125610124142',NULL,'1037',0.00,1,3,NULL),(28,7233850,'1977-04-26 00:00:00',4,1,4,2001,'M','N','FORQUILHAS','S JOSÉ','SC','424241247316151431127348385314141462122',NULL,'9999',0.00,1,3,NULL),(28,7233868,'1995-04-06 00:00:00',4,8,12,2011,'M','N','CENTRO','GLÓRIA DOURADOS','MS','112123121216321441449931575122610137142',8035,'9998',50.03,1,3,NULL),(28,7233884,'1993-01-06 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215373431567934475124131427142',12272,'270',50.13,1,3,NULL),(28,7233892,'1994-12-25 00:00:00',2,4,12,2011,'F','N','CENTRO','XAXIM','SC','124242241217111731436616275122610134047',18350,'994',37.78,1,3,NULL),(28,7233906,'1993-06-06 00:00:00',4,1,11,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115372411449833575124610121142',11581,'295',42.33,1,2,1),(28,7233914,'1994-03-18 00:00:00',4,1,12,2011,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124162241137371411436631375124610166197',9624,'65',47.27,1,3,NULL),(28,7233922,'1994-10-28 00:00:00',2,23,12,2011,'M','N','BOMPLANT','CORUPÁ','SC','124241242115161431434612575124610167047',NULL,'24',28.19,1,2,1),(28,7233930,'1994-04-11 00:00:00',4,2,12,2011,'M','N','TAPAJÓS','INDAIAL','SC','124242241215111431459913572122610137052',5003,'925',55.42,1,3,NULL),(28,7233949,'1994-09-28 00:00:00',4,2,12,2011,'M','N','CENTRO','BLUMENAU','SC','124243241217131431438923575122610127077',8925,'1018',55.54,1,3,NULL),(28,7233957,'1991-08-11 00:00:00',2,1,12,2009,'M','N','TAPERA DA BASE','FLORIANÓPOLIS','SC','124241241127132231425664182324610128182',16177,'307',43.38,2,2,1),(28,7233981,'1994-01-03 00:00:00',4,16,12,2011,'M','N','RONDINHA','PTE ALTA NORTE','SC','124241242111111431524613595112610124052',NULL,'960',20.53,4,3,NULL),(28,7233990,'1993-07-07 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241215112431458823575114121168195',15823,'1022',44.05,1,3,NULL),(28,7234015,'1994-08-18 00:00:00',2,22,12,2011,'F','N','COBRE','CANELINHA','SC','124241241115271411413314575124610134172',15013,'142',35.79,4,2,1),(28,7234023,'1990-04-13 00:00:00',4,23,12,2007,'M','N','SEMINÁRIO','CORUPÁ','SC','124241241116131431534611345124231434147',NULL,'203',20.43,1,2,1),(28,7234040,'1993-10-02 00:00:00',2,1,12,2010,'F','N','VILA NOVA','BLUMENAU','SC','124243241215472431456619596114610133185',11267,'1022',44.31,1,3,NULL),(28,7234058,'1994-06-19 00:00:00',4,22,12,2011,'M','N','GUARANI','BRUSQUE','SC','124242241215111431455812275112610137042',NULL,'109',0.00,1,3,NULL),(28,7234066,'1993-07-17 00:00:00',2,1,12,2010,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241216152431236633575124131217043',18977,'1023',35.39,1,3,NULL),(28,7234074,'1994-04-14 00:00:00',4,1,11,2011,'F','N','INDUSTRIAL','POMPÉIA','SP','125254258417111731669814575112610128095',NULL,'9998',25.85,4,3,NULL),(28,7234082,'1994-06-23 00:00:00',2,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124243241115131751425614392224610124142',13340,'592',40.07,1,3,NULL),(28,7234090,'1993-10-22 00:00:00',4,8,11,2011,'F','N','SAGUAÇÚ','JOINVILLE','SC','124242241217131411356933595121610161122',NULL,'457',33.51,1,3,NULL),(28,7234104,'1991-10-18 00:00:00',2,2,12,2011,'F','N','TRIBESS','BLUMENAU','SC','124241241137141431439611245124610114187',19592,'83',32.09,1,3,NULL),(28,7234112,'1995-01-08 00:00:00',4,9,12,2011,'F','N','SÃO JOÃO','CORREIA PINTO','SC','124241241116371432334419575125610128147',NULL,'201',22.22,1,3,NULL),(28,7234120,'1984-02-08 00:00:00',2,1,12,2000,'M','N','IPIRANGA','S JOSÉ','SC','124241241146371431223444345331610117042',19935,'734',28.93,1,2,1),(28,7234139,'1994-08-19 00:00:00',2,10,11,2011,'F','N','NOSSA SRA DE FATIMA','BRAÇO NORTE','SC','124241241115112731434439572122610128147',NULL,'807',31.94,1,3,NULL),(28,7234147,'1986-05-31 00:00:00',4,1,12,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','124203208131131731427579241124141024092',NULL,'9998',0.00,1,3,NULL),(28,7234155,'1993-10-12 00:00:00',2,5,12,2010,'F','N','RAICHASKI','IÇARA','SC','124241241116271431323421285124633227112',NULL,'1005',19.87,1,3,NULL),(28,7234163,'1988-03-19 00:00:00',2,1,12,2005,'F','N','AREIAS','S JOSÉ','SC','224244241116132431223958395324233248071',9089,'257',44.09,1,3,NULL),(28,7234171,'1993-04-16 00:00:00',4,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241245111711524634392124610125173',18863,'262',35.83,1,3,NULL),(28,7234180,'1994-08-20 00:00:00',2,10,12,2011,'F','N','ESPERANÇA','LAGUNA','SC','124241241115271431413329295124610124047',NULL,'521',20.32,2,2,1),(28,7234198,'1994-08-16 00:00:00',4,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241216112431567812575114610124142',2324,'1169',62.68,1,3,NULL),(28,7234201,'1978-10-22 00:00:00',2,1,12,1999,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124251241126131721533364242124610123097',NULL,'619',23.44,1,2,1),(28,7234210,'1992-08-10 00:00:00',4,1,12,2009,'F','N','LAGOINHA','RIBEIRÃO PRETO','SP','125252251215511131338723575112610162197',NULL,'9998',28.53,1,3,NULL),(28,7234228,'1985-08-19 00:00:00',2,1,12,2005,'M','N','AREIAS','S JOSÉ','SC','224244241116474431223148485324133247041',7915,'257',51.35,1,3,NULL),(28,7234244,'1994-12-24 00:00:00',2,1,12,2011,'F','N','CAMPO DA AVIAÇÃO','IMBITUBA','SC','124241241115471431523319195124610124047',NULL,'359',18.78,2,3,NULL),(28,7234252,'1994-05-29 00:00:00',2,1,12,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241117171431436613585124610125147',10818,'271',46.39,1,2,1),(28,7234260,'1986-04-11 00:00:00',2,24,12,2003,'F','N','ÁGUAS NEGRAS','ITUPORANGA','SC','124241244136131451433424344123610163147',NULL,'415',0.00,1,2,1),(28,7234287,'1995-01-19 00:00:00',4,2,12,2011,'F','N','SETE DE SETEMBRO','GASPAR','SC','124241241115131441339933575124610121142',12873,'88',38.53,1,2,1),(28,7234295,'1993-07-24 00:00:00',4,8,11,2011,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241135151132425311575124610164147',NULL,'484',24.84,4,3,NULL),(28,7234309,'1964-12-20 00:00:00',2,1,12,1984,'M','N','CARIANOS','FLORIANÓPOLIS','SC','524203208116232421234843432122141752093',15444,'9998',44.79,1,3,NULL),(28,7234325,'1991-01-10 00:00:00',4,1,12,2008,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244241217375431438633445122222662052',2599,'752',61.57,1,3,NULL),(28,7234333,'1995-03-01 00:00:00',4,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217151412348822575114610147092',NULL,'270',29.46,1,3,NULL),(28,7234341,'1995-03-07 00:00:00',4,10,11,2011,'F','N','CENTRO','LAGUNA','SC','113132131317111431556869575122610134193',4650,'9998',54.57,1,3,NULL),(28,7234350,'1992-03-02 00:00:00',2,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201201116371431226644345124610131142',9103,'9998',55.25,4,2,1),(28,7234368,'1994-08-23 00:00:00',2,1,12,2011,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241115371231423311375124610112142',19020,'592',35.27,1,2,1),(28,7234376,'1983-02-16 00:00:00',4,1,8,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201207646142451128843235124242154047',14284,'9998',46.98,1,3,NULL),(28,7234384,'1995-07-14 00:00:00',4,8,12,2011,'F','N','CENTENÁRIO','S BENTO SUL','SC','124242241216111431536632575122610132192',17463,'1114',40.38,1,3,NULL),(28,7234392,'1994-03-01 00:00:00',4,4,11,2011,'F','N','SANTA MARIA','CHAPECÓ','SC','124244241216371741448913575112610162147',NULL,'168',0.00,1,3,NULL),(28,7234414,'1993-01-24 00:00:00',4,1,12,2010,'M','N','JARDIM PETROPOLIS','ITAPECERICA SERRA','SP','125252251217471431438812575114610164092',4892,'9998',57.94,4,3,NULL),(28,7234422,'1982-08-06 00:00:00',2,1,10,2008,'F','N','ARMAÇAÕ','FLORIANÓPOLIS','SC','124241241122472411213149492224610122071',NULL,'291',0.00,1,2,1),(28,7234449,'1992-09-16 00:00:00',4,1,12,2009,'M','N','DIVISA','S VICENTE','SP','125254251437571231446623595121610164187',1605,'9998',65.59,1,3,NULL),(28,7234473,'1991-03-26 00:00:00',2,1,12,2007,'M','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124243241315132431236528116124221264027',NULL,'1022',0.00,1,3,NULL),(28,7234481,'1994-12-18 00:00:00',2,1,12,2011,'F','N','ASLTO ARROIO','IMBITUBA','SC','124241241115371422323417571224610115142',12354,'361',41.47,1,2,1),(28,7234490,'1994-08-09 00:00:00',4,1,12,2011,'M','N','INDEPENDÊCIA','PTO ALEGRE','RS','120202201217271741169931473124610147052',NULL,'9998',0.00,1,3,NULL),(28,7234503,'1987-01-02 00:00:00',4,1,12,2004,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241117155431438811273124122363047',12231,'307',50.19,1,3,NULL),(28,7234511,'1994-03-23 00:00:00',2,10,12,2011,'F','N','CAMPO DA AVIAÇÃO','IMBITUBA','SC','124241241115371421414321295124610137142',NULL,'359',21.18,1,2,1),(28,7234520,'1995-03-03 00:00:00',2,4,12,2011,'F','N','CENTRO','PALMITOS','SC','124241241115271431533335591124610125142',15799,'601',36.21,1,2,1),(28,7234538,'1994-08-23 00:00:00',4,3,12,2011,'M','N','CENTRO','CAMBORIÚ','SC','124242248117131431333332575122610132142',5658,'129',54.52,1,3,NULL),(28,7234546,'1992-11-03 00:00:00',2,4,12,2010,'F','N','SÃO FRANCISCO','S LOURENÇO OESTE','SC','124244168117571431468933572112610133187',4395,'9998',56.88,1,3,NULL),(28,7234562,'1992-08-27 00:00:00',2,15,11,2009,'F','N','CENTRO','TURVO','SC','124244241412472431548532574122610125172',9035,'32',47.75,1,3,NULL),(28,7234570,'1986-11-17 00:00:00',4,25,12,2004,'M','N','FARROUPILHA','VIDEIRA','SC','124241241215471451238923485124230764187',2500,'9997',62.84,1,3,NULL),(28,7234589,'1994-05-09 00:00:00',4,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124241241215131431628728346122610134182',3483,'1076',61.31,4,3,NULL),(28,7234600,'1993-06-20 00:00:00',2,10,12,2011,'F','N','CAMPO DA AVIAÇÃO','IMBITUBA','SC','124241241115371431213329275124610132142',14303,'359',39.15,1,2,1),(28,7234619,'1994-03-10 00:00:00',2,1,12,2011,'M','N','SANTO AMARO','CPO GRANDE','MS','112121121217111131448633575122610117182',19199,'9998',34.37,1,3,NULL),(28,7234627,'1988-06-17 00:00:00',2,1,11,2006,'M','N','CENTRO','PALHOÇA','SC','124241241131332431323623341234610122042',13234,'591',48.65,1,2,1),(28,7234635,'1992-08-22 00:00:00',4,1,12,2010,'F','N','SAN RAFAEL','IBIPORÃ','PR','116161163136571431336923375124610117147',12551,'9998',40.66,1,2,1),(28,7234643,'1988-01-28 00:00:00',4,1,12,2005,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','624133131416152431265654345122141865182',9541,'9998',54.47,1,3,NULL),(28,7234651,'1994-04-06 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241225131431426536572124610123197',10243,'262',46.13,1,3,NULL),(28,7234660,'1992-07-29 00:00:00',4,4,10,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124202201215572431139931572314610114147',4906,'9998',55.89,1,3,NULL),(28,7234678,'1993-02-02 00:00:00',2,24,12,2010,'F','N','JARDIM AMERICA','RIO SUL','SC','124242241216473431454614175122610163147',8988,'991',49.51,1,3,NULL),(28,7234686,'1983-12-24 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201111371431113844442124610136113',16171,'9998',43.39,1,3,NULL),(28,7234708,'1993-05-05 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241342272231327524345124610115197',13048,'736',41.10,1,3,NULL),(28,7234716,'1994-03-11 00:00:00',2,1,12,2011,'F','N','COSTA DA LAGOA','FLORIANÓPOLIS','SC','124241241116371531425823275125610118072',NULL,'295',31.29,4,2,1),(28,7234724,'1994-11-22 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116371331436434575124610167052',19202,'287',24.44,2,1,1),(28,7234767,'1995-04-18 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211111111656832425122610167141',11738,'262',42.49,1,3,NULL),(28,7234775,'1993-07-29 00:00:00',2,9,12,2010,'M','N','CENTRO','LAGES','SC','124242241215272431336624575115610127047',NULL,'497',28.14,1,3,NULL),(28,7234783,'1991-10-29 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','624241241126132731223359395124123234197',6722,'277',52.82,1,3,NULL),(28,7234791,'1991-07-08 00:00:00',4,17,12,2008,'F','N','CAMPO DAGUA VERDE','CANOINHAS','SC','124241241116141431545512346122230226142',NULL,'146',0.00,1,3,NULL),(28,7234805,'1992-03-06 00:00:00',4,1,11,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241117371411223351245134610153147',NULL,'507',25.63,4,2,1),(28,7234813,'1995-02-04 00:00:00',4,23,12,2012,'M','S','VILA LENZI','JARAGUÁ SUL','SC','124242241215111431436611315122610127062',NULL,'1063',37.45,1,3,NULL),(28,7234830,'1993-07-29 00:00:00',2,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241215272731336624575115610127187',14563,'497',46.42,1,3,NULL),(28,7234856,'1993-10-08 00:00:00',4,8,12,2011,'F','N','JARDIM IRIRIU','JOINVILLE','SC','124241241137131451333311346124610123147',NULL,'1144',18.20,1,2,1),(28,7234872,'1988-01-22 00:00:00',2,1,12,2005,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124243241116471431113941215224130631092',11613,'228',46.03,1,3,NULL),(28,7234880,'1992-07-24 00:00:00',4,1,12,2009,'M','N','JARDIM SANTA JÚLIA','OLÍMPIA','SP','125251251116571231656414145115610123087',18701,'9998',36.46,1,2,1),(28,7234899,'1994-06-02 00:00:00',2,7,12,2011,'F','N','NOSS SRA DE LOURDES','CAMPOS NOVOS','SC','124241241115231431426517275122610138197',NULL,'139',20.46,2,1,1),(28,7234902,'1994-02-03 00:00:00',4,3,12,2011,'F','N','PEREQUE','PTO BELO','SC','124241241116371431323374145121610148147',11065,'405',46.31,1,2,1),(28,7234910,'1988-09-17 00:00:00',2,1,12,2006,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224241244137131351323344446114610148032',20065,'285',26.98,1,3,NULL),(28,7234929,'1993-02-12 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241216152431358613395124230223197',9269,'273',46.61,1,3,NULL),(28,7234937,'1994-04-22 00:00:00',4,23,12,2011,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124242241216111431538912572122610117042',17813,'1061',39.43,1,3,NULL),(28,7234953,'1994-08-29 00:00:00',2,8,12,2011,'M','N','CENTRO','JOINVILLE','SC','124041241315111332558613475112610167042',12959,'1016',42.86,1,3,NULL),(28,7234961,'1995-12-14 00:00:00',4,1,12,2012,'M','S','INGLESES','FLORIANÓPOLIS','SC','124243241417121731336831585124610118097',NULL,'1249',29.64,1,3,NULL),(28,7234970,'1987-05-18 00:00:00',2,1,12,2005,'F','N','BOM VIVER','BIGUAÇU','SC','124241241136135411433324385124610144187',16136,'66',34.79,4,3,NULL),(28,7234988,'1994-10-08 00:00:00',2,16,12,2011,'M','N','CENTRO','STA CECÍLIA','SC','124241241131371431323324281124610137055',NULL,'686',20.99,1,2,1),(28,7235003,'1991-07-06 00:00:00',4,1,12,2009,'M','N','FUNDOS','BIGUAÇU','SC','124243247227132731535139345114133264193',NULL,'9999',21.56,2,3,NULL),(28,7235011,'1995-03-14 00:00:00',2,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431447733585124610114142',19802,'723',30.30,1,3,NULL),(28,7235020,'1993-04-03 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115111431546924275124610117182',17328,'267',40.70,4,3,NULL),(28,7235038,'1994-08-04 00:00:00',4,1,12,2011,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241217111431468722575124610164016',6354,'270',50.63,1,3,NULL),(28,7235046,'1994-04-11 00:00:00',2,1,12,2011,'M','N','MORRO DA BINA','BIGUAÇU','SC','124241248115131531534333275124610127052',17750,'65',31.48,1,2,1),(28,7235054,'1977-05-14 00:00:00',2,1,12,1994,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224203201116134421345552435124333226147',NULL,'9998',29.69,1,3,NULL),(28,7235062,'1988-08-22 00:00:00',2,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224201201117573421227633572124141364097',770,'9998',71.09,1,2,1),(28,7235070,'1993-09-14 00:00:00',4,1,12,2010,'F','N','JARDIM PINHEIROS','S JOSÉ','SC','124241241136141331426639385114610127143',NULL,'733',29.75,1,3,NULL),(28,7235089,'1993-01-30 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242243215372432576514441124610161017',9985,'1075',53.75,1,3,NULL),(28,7235097,'1995-05-18 00:00:00',4,1,12,2012,'F','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241225111431538634245124610148141',NULL,'262',43.18,1,3,NULL),(28,7235100,'1995-05-27 00:00:00',4,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124202241215111451457739575122610126052',1469,'1169',67.68,1,3,NULL),(28,7235119,'1994-10-10 00:00:00',4,10,12,2011,'M','N','SÃO FRANCISCO','BRAÇO NORTE','SC','124241241116141431324623245125610134067',14619,'100',36.83,1,2,1),(28,7235127,'1994-02-15 00:00:00',4,1,10,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241217111431323321215124610122147',7876,'1197',51.64,1,3,NULL),(28,7235135,'1992-02-28 00:00:00',2,1,8,2009,'F','N','ARMAÇÃO P DO SUL','FLORIANÓPOLIS','SC','124204201137372431126744342134610132042',10056,'9998',46.99,1,3,NULL),(28,7235143,'1993-10-19 00:00:00',4,6,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124132241215121431538813215114610143072',10901,'44',43.72,4,3,NULL),(28,7235151,'1992-08-04 00:00:00',4,1,12,2009,'M','N','ARIRIU','PALHOÇA','SC','124241241226272751433314345124133217047',17179,'262',41.09,1,3,NULL),(28,7235160,'1993-06-02 00:00:00',4,9,12,2010,'M','N','CENTRO','GUARAPUAVA','PR','116163161316572411347933575115610117042',3185,'9998',66.41,1,3,NULL),(28,7235178,'1986-10-09 00:00:00',4,1,12,2003,'F','N','JARDIM JANAINA','BIGUAÇU','SC','524241241112153431237444292122233221182',NULL,'257',0.00,1,2,1),(28,7235186,'1993-04-01 00:00:00',2,1,12,2010,'F','N','CAMPO DUNA','GAROPABA','SC','124241241116142431218643135124230846172',14498,'1136',38.47,1,2,1),(28,7235208,'1991-03-07 00:00:00',4,1,12,2010,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241244117131431537333271124232563147',15278,'306',32.94,1,2,1),(28,7235216,'1986-11-10 00:00:00',2,1,11,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','224241248346132431226654192124610124177',18784,'9997',36.17,1,3,NULL),(28,7235232,'1963-02-18 00:00:00',2,3,7,1997,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241207336134711322279192124231062197',NULL,'9998',17.65,4,3,NULL),(28,7235240,'1993-07-22 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215473431479931574112610134072',488,'213',70.76,1,3,NULL),(28,7235259,'1995-01-20 00:00:00',4,4,11,2011,'M','N','CENTRO','NOVA AURORA','PR','116161161117111431465814572211610124042',11092,'9998',51.97,1,2,1),(28,7235267,'1993-05-07 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241116372411538513575114131862047',2446,'271',63.43,1,3,NULL),(28,7235275,'1994-08-11 00:00:00',4,10,11,2011,'F','N','DEHON','TUBARÃO','SC','124242241215132721436914175122610164182',7030,'806',52.24,1,3,NULL),(28,7235283,'1994-09-05 00:00:00',4,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217111551426719595124610143192',NULL,'1022',15.76,4,3,NULL),(28,7235291,'1995-12-18 00:00:00',4,5,12,2012,'F','S','CENTRO','SIDERÓPOLIS','SC','124242246216111752458912575122610126187',NULL,'995',46.16,1,3,NULL),(28,7235305,'1994-04-13 00:00:00',2,1,12,2011,'F','N','SERTÃO DO IMARUIM','S JOSÉ','SC','124241241125131432423334292124610126147',NULL,'1155',23.60,1,2,1),(28,7235313,'1994-03-14 00:00:00',4,1,12,2011,'M','N','SÃO LUIZ','S JOSÉ','SC','124241243115271431325534275124610167147',2926,'306',62.19,1,2,1),(28,7235321,'1980-05-27 00:00:00',2,1,12,1997,'F','N','ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC','124251251127271721523344242122140223187',NULL,'9998',0.00,1,2,1),(28,7235348,'1994-04-12 00:00:00',2,3,11,2011,'M','N','CASTELO BRANCO','ITAPEMA','SC','124241241415121431348631385114610137047',NULL,'403',28.09,1,3,NULL),(28,7235364,'1994-02-03 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217112431446612575122610133057',NULL,'273',18.78,1,3,NULL),(28,7235372,'1994-06-13 00:00:00',2,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115471431426414285124610113197',19133,'733',26.37,1,2,1),(28,7235380,'1994-10-05 00:00:00',4,15,12,2011,'F','N','BOTAFOGO','BENTO GONÇALVES','RS','120202201217471331366619575122610126092',NULL,'9998',0.00,1,3,NULL),(28,7235402,'1994-08-03 00:00:00',4,1,12,2011,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241117371431436311575124610127043',8224,'1088',50.52,1,2,1),(28,7235410,'1993-08-26 00:00:00',3,1,12,2011,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241117151411438921577344610168147',NULL,'267',0.00,1,3,NULL),(28,7235429,'1985-08-29 00:00:00',4,1,12,2003,'M','N','VILA ROCHA','RIO VERDE','GO','209134131417131431536411385112243251112',7496,'9998',50.22,4,3,NULL),(28,7235437,'1994-05-10 00:00:00',4,1,12,2011,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124241241111371431568813574122610127015',5117,'267',56.61,1,2,1),(28,7235445,'1994-06-30 00:00:00',2,24,11,2011,'F','N','CENTRO','AURORA','SC','124241241215571431566632575124610127142',15973,'653',35.80,1,3,NULL),(28,7235461,'1966-11-02 00:00:00',2,1,12,1985,'F','N','INGLESES','FLORIANÓPOLIS','SC','224131133427131731433359372124610138143',18496,'9998',27.60,1,3,NULL),(28,7235488,'1991-06-08 00:00:00',4,1,12,2008,'F','N','VILA VERDE','S PAULO','SP','125251251117472411443611371124221426077',15339,'9998',44.96,1,2,1),(28,7235496,'1989-06-08 00:00:00',4,1,8,2011,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241247427471431633314242113610164047',16872,'9999',31.65,1,3,NULL),(28,7235500,'1995-12-03 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248215111431559914572122610148192',19427,'262',33.18,1,3,NULL),(28,7235518,'1991-07-24 00:00:00',2,16,12,2009,'M','N','AGUA SANTA','CURITIBANOS','SC','124241241117141421326854392112610126067',NULL,'239',0.00,1,2,1),(28,7235526,'1992-02-29 00:00:00',4,1,10,2009,'M','N','CENTRO','CURITIBA','PR','116242241215475431177932575112242468122',NULL,'807',0.00,1,3,NULL),(28,7235534,'1995-06-04 00:00:00',4,1,12,2012,'M','S','INGLESES','FLORIANÓPOLIS','SC','124242241215111431456933575124610117062',NULL,'270',34.81,1,3,NULL),(28,7235569,'1992-04-30 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215312431548813485124130247147',1423,'270',71.95,1,3,NULL),(28,7235577,'1993-05-08 00:00:00',4,1,12,2010,'F','N','PARQUE SAO JORGE','FLORIANÓPOLIS','SC','124242241216372431349933345124610122147',9551,'1022',44.65,1,3,NULL),(28,7235585,'1992-11-27 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124202201416132431226544345124230432147',17363,'9998',28.08,1,3,NULL),(28,7235593,'1992-07-13 00:00:00',4,1,11,2009,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124244241416372441424631275124610124092',11191,'299',51.80,1,3,NULL),(28,7235607,'1994-03-31 00:00:00',2,26,12,2011,'F','N','NAÇÕES','CONCÓRDIA','SC','124241241115371131214624575122610131057',15305,'984',38.93,1,3,NULL),(28,7235615,'1993-03-27 00:00:00',2,1,12,2010,'M','N','CENTRO','NOVA TRENTO','SC','124241241132132221433812345122610167041',14273,'574',38.88,1,2,1),(28,7235623,'1994-01-22 00:00:00',4,1,12,2011,'M','N','VILA SOFIA','S PAULO','SP','125252251215371431268924575125610167042',2822,'9998',60.92,1,3,NULL),(28,7235631,'1980-04-27 00:00:00',2,16,12,1997,'M','N','CENTRO','CURITIBANOS','SC','224241241126274752325354285324231214187',NULL,'719',0.00,1,3,NULL),(28,7235658,'1990-06-01 00:00:00',4,1,12,2008,'M','N','JARDIM CORDEIRO','S PAULO','SP','125252251215572431458814571112610147142',473,'9998',72.02,1,3,NULL),(28,7235674,'1993-06-02 00:00:00',2,1,12,2010,'F','N','GRAMACHO','DQ CAXIAS','RJ','121243241116372711526611572124610135197',NULL,'267',0.00,1,3,NULL),(28,7235682,'1993-11-23 00:00:00',2,15,12,2010,'F','N','SANGA DA AREIA','ARARANGUÁ','SC','124241241136372431426619585124610127147',10076,'30',44.31,1,2,1),(28,7235690,'1991-11-15 00:00:00',4,1,12,2009,'M','N','SUDOESTE','CRUZEIRO','DF','107072071417142431358933444122241464147',3400,'9998',59.92,3,3,NULL),(28,7235704,'1994-11-05 00:00:00',4,1,11,2011,'F','N','PARQUE PRESIDENTE I','FOZ IGUAÇU','PR','116161161112271531534629575124610113052',NULL,'9998',0.00,1,2,1),(28,7235712,'1994-05-16 00:00:00',4,23,12,2011,'M','N','ÁGUA VERDE','JARAGUÁ SUL','SC','124243241237141431469814345112610167052',14705,'442',46.16,1,3,NULL),(28,7235720,'1994-03-22 00:00:00',4,1,11,2011,'F','N','JARDIM LOS ANGELES','S PAULO','SP','125251251117131731624319575124610168147',NULL,'9998',15.70,1,2,1),(28,7235747,'1977-11-03 00:00:00',2,1,12,1998,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241244125143431635344242124133035097',18618,'307',36.83,2,1,1),(28,7235755,'1989-09-23 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241425133411623659392124610152042',NULL,'1168',21.48,3,3,NULL),(28,7235763,'1994-05-26 00:00:00',2,26,12,2010,'M','N','CENTRO','CONCÓRDIA','SC','124241241116371411323336575114610164054',NULL,'192',22.52,1,2,1),(28,7235771,'1995-09-28 00:00:00',4,1,12,2012,'M','S','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217111431459833575124610124182',NULL,'270',57.33,4,3,NULL),(28,7235780,'1994-08-23 00:00:00',4,2,11,2011,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241217131411536679295124610136177',6579,'1018',51.12,1,3,NULL),(28,7235798,'1990-03-06 00:00:00',4,1,12,2007,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124162161216574431467319492124221527142',3936,'9998',64.58,1,3,NULL),(28,7235810,'1994-05-30 00:00:00',4,3,12,2011,'F','N','TROPICAL','CASCAVEL','PR','116162161214111431635612575112610167092',10736,'9998',43.35,1,3,NULL),(28,7235828,'1993-10-30 00:00:00',4,3,12,2010,'F','N','LIBERDADE','S PAULO','SP','125252251215472432486823576112610162096',NULL,'9998',0.00,3,3,NULL),(28,7235836,'1994-09-28 00:00:00',2,1,12,2011,'M','N','FUNDOS','BIGUAÇU','SC','124241241115141432423324242324610124057',NULL,'65',33.29,1,2,1),(28,7235844,'1987-01-15 00:00:00',2,1,12,2004,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124161161314131431223344242223241237057',NULL,'9998',0.00,2,1,2),(28,7235852,'1994-11-03 00:00:00',2,4,12,2011,'M','N','CENTRO','XANXERÊ','SC','124241241235151431436511285125610137042',NULL,'836',22.95,1,3,NULL),(28,7235860,'1994-11-26 00:00:00',4,2,12,2011,'M','N','FORTALEZA','BLUMENAU','SC','124241241216111431538833575124610127047',NULL,'1018',0.00,1,3,NULL),(28,7235879,'1983-12-23 00:00:00',4,1,12,2001,'F','N','ALVORADA','CONTAGEM','MG','113134131216371431336629475124140622187',1926,'9998',66.47,1,3,NULL),(28,7235895,'1991-03-12 00:00:00',4,2,12,2008,'M','N','PROGRESSO','BLUMENAU','SC','124243241126371411426621345123610137067',13931,'78',47.52,1,3,NULL),(28,7235917,'1993-09-26 00:00:00',4,1,12,2010,'F','N','FAZENDA DE LOURDES','ÁGUAS MORNAS','SC','124241241115373232433312585124610124052',6373,'772',54.87,1,2,1),(28,7235925,'1994-07-14 00:00:00',2,27,12,2011,'F','N','CENTRO','S BERNARDINO','SC','124241241145471431436313475124610167057',11061,'701',43.30,1,2,1),(28,7235933,'1994-02-06 00:00:00',4,6,12,2010,'F','N','CENTRO','LEOBERTO LEAL','SC','124241241126462731435632275122610162052',16593,'533',33.57,1,2,1),(28,7235941,'1994-11-05 00:00:00',4,1,12,2011,'M','N','FAZENDA SANTO ANTÔNI','S JOSÉ','SC','124243241115311431426614275124610136092',10733,'733',45.48,1,3,NULL),(28,7235950,'1994-06-10 00:00:00',4,1,11,2011,'M','N','BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC','124242241215372431478613574112610168182',4988,'1048',55.01,1,3,NULL),(28,7235968,'1994-05-11 00:00:00',2,5,12,2011,'M','N','VILA RICA','CRICIÚMA','SC','124051241137371431426379575124610122142',9502,'209',49.99,1,2,1),(28,7235976,'1987-11-10 00:00:00',2,1,3,2006,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241117133721533614282124610127182',NULL,'739',0.00,1,2,1),(28,7235984,'1990-12-18 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124051051126372431123344442324610168192',NULL,'9998',25.88,2,1,1),(28,7235992,'1992-07-04 00:00:00',4,1,12,2009,'F','N','JARDIM FLORENÇA','LIMEIRA','SP','125252251215571411578811574122610162142',911,'9998',68.28,1,3,NULL),(28,7236000,'1994-05-21 00:00:00',4,23,12,2011,'M','N','VILA NOVA','MATELÂNDIA','PR','116162161215471431556814241125610134112',NULL,'9998',0.00,1,3,NULL),(28,7236018,'1989-09-22 00:00:00',4,1,12,2007,'F','N','CAMPINAS','S JOSÉ','SC','124244241435133411316529395114233264147',17374,'1011',40.60,1,3,NULL),(28,7236042,'1994-09-08 00:00:00',4,1,12,2011,'M','N','FUNDOS','BIGUAÇU','SC','124241241115371431434311575124610164051',13741,'65',38.53,1,2,1),(28,7236050,'1994-04-08 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472532459832575122610117067',12594,'270',43.38,1,3,NULL),(28,7236077,'1992-06-25 00:00:00',2,4,12,2009,'M','N','UBERABA','CURITIBA','PR','116162161215572411348511271114610136042',10460,'9998',46.34,1,3,NULL),(28,7236093,'1993-10-21 00:00:00',4,1,6,2011,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215371411458832575114610134112',9205,'270',49.30,1,3,NULL),(28,7236107,'1988-04-14 00:00:00',4,1,11,2006,'M','N','CAMPINAS','S JOSÉ','SC','124243241133131341616841217345233264197',15898,'307',43.89,1,3,NULL),(28,7236123,'1993-12-10 00:00:00',2,9,12,2010,'M','N','CENTRO','VACARIA','RS','120202201216471731438511575112610167057',NULL,'9998',0.00,1,3,NULL),(28,7236131,'1990-12-14 00:00:00',4,4,12,2007,'F','N','CENTRO','CHAPECÓ','SC','124201201116131431335833575124232564187',NULL,'9998',25.39,1,2,1),(28,7236140,'1993-10-26 00:00:00',4,10,10,2011,'M','N','CENTRO','TUBARÃO','SC','624242241235112431326812594121610117092',19799,'807',30.32,1,3,NULL),(28,7236158,'1994-05-16 00:00:00',4,8,11,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241215372431329831575122610167147',1630,'461',63.32,1,3,NULL),(28,7236166,'1993-10-14 00:00:00',2,1,12,2011,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241115131732624419186124610125051',13208,'267',41.59,1,2,1),(28,7236174,'1976-02-21 00:00:00',4,6,7,2002,'M','N','VILA REAL','BAL CAMBORIÚ','SC','224162161236271411328753485125131037187',18311,'9998',37.91,3,3,NULL),(28,7236182,'1994-08-08 00:00:00',4,8,11,2011,'F','N','IRIRÍU','JOINVILLE','SC','124243241215121431346934575124610162017',11536,'1016',42.26,1,3,NULL),(28,7236190,'1993-03-18 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241415373211557614345114610124191',10385,'1022',48.28,1,3,NULL),(28,7236204,'1994-09-06 00:00:00',4,1,12,2011,'M','N','CIDADE UNIVERSITÁRIA','PALHOÇA','SC','124244241215371441558823575114610168142',5336,'1011',58.74,1,3,NULL),(28,7236212,'1993-06-20 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241137272451537724575124220546093',6704,'281',52.93,1,2,1),(28,7236220,'1995-08-28 00:00:00',2,1,11,2012,'F','S','PACHECOS','PALHOÇA','SC','124242241215111431326632245114610124077',NULL,'1011',35.37,1,3,NULL),(28,7236239,'1994-05-20 00:00:00',4,1,12,2011,'F','N','FUNDOS','BIGUAÇU','SC','124241241225111411336374472214610118172',9159,'262',47.59,1,3,NULL),(28,7236247,'1989-10-18 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241147371731525369242234610162142',15397,'288',39.31,4,2,1),(28,7236255,'1994-12-12 00:00:00',4,7,11,2011,'F','N','CENTRO','CAMPOS NOVOS','SC','124242241217161431425923571122610117142',15656,'138',35.50,1,3,NULL),(28,7236263,'1994-07-25 00:00:00',2,1,12,2011,'F','N','VENDAVAL','BIGUAÇU','SC','124241241215131431326833575124610127147',NULL,'1040',26.65,1,3,NULL),(28,7236271,'1992-03-27 00:00:00',2,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241117472731433614275124220762057',8376,'287',50.50,1,3,NULL),(28,7236280,'1990-12-19 00:00:00',4,8,11,2008,'M','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251216151411688914415124241466141',NULL,'9998',0.00,1,3,NULL),(28,7236298,'1993-06-02 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241216132131343923285124233265096',NULL,'723',0.00,1,3,NULL),(28,7236301,'1993-08-09 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241212372431466612475124232667045',5996,'270',55.30,1,3,NULL),(28,7236310,'1993-12-29 00:00:00',2,26,12,2010,'F','N','INTERIOR','PASSOS MAIA','SC','124241241127161431333426572222610121142',11123,'824',43.78,1,2,1),(28,7236328,'1994-05-12 00:00:00',2,4,11,2011,'M','N','ALVORADA','XAXIM','SC','124243242236161231436614575122610164182',NULL,'836',30.77,1,3,NULL),(28,7236336,'1993-10-28 00:00:00',4,1,11,2011,'M','N','JARDINS FLORENÇA','GOIÂNIA','GO','109092091216111431479819575122610167043',4870,'9998',54.65,4,3,NULL),(28,7236344,'1994-03-09 00:00:00',4,4,12,2011,'M','N','ESPLANADA','CHAPECÓ','SC','124241241115471431225611285122610164042',14785,'169',46.01,1,3,NULL),(28,7236379,'1987-06-16 00:00:00',4,5,12,2004,'F','N','JARDIM BANDEIRA','S JOAQUIM','SC','124241241415151421443619335122130662192',14233,'720',38.47,4,3,NULL),(28,7236387,'1987-12-18 00:00:00',2,4,2,2011,'M','N','PRIMAVEIRA','FREDERICO WESTPHALEN','RS','120202208126131331469613485124241066097',NULL,'9998',28.32,1,3,NULL),(28,7236409,'1996-02-26 00:00:00',4,1,12,2013,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241217111731457932371122610111187',NULL,'272',49.94,1,3,NULL),(28,7236417,'1982-03-16 00:00:00',2,1,12,2000,'F','N','FORQUILHINHAS','S JOSÉ','SC','524241243112134421533623285123122723087',16626,'293',42.38,1,3,NULL),(28,7236425,'1994-04-06 00:00:00',4,1,11,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111731668814575122610122127',3291,'1169',58.63,1,3,NULL),(28,7236433,'1994-04-27 00:00:00',2,3,12,2011,'F','N','ARIRIBÁ','BAL CAMBORIÚ','SC','124241241115271431326524575124610135192',5401,'129',55.51,4,2,1),(28,7236441,'1993-12-07 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215112431347814575112610124042',650,'1022',73.88,1,3,NULL),(28,7236450,'1994-06-09 00:00:00',4,1,12,2011,'M','N','PASSA VINTE','PALHOÇA','SC','124242241215111431436923575121610127092',18315,'1175',37.91,1,3,NULL),(28,7236468,'1994-12-29 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241235131231426811315122610144077',8305,'1134',48.67,1,3,NULL),(28,7236476,'1988-08-04 00:00:00',2,1,9,2011,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241127141131225444342124610114062',NULL,'278',0.00,1,3,NULL),(28,7236492,'1994-04-14 00:00:00',4,1,12,2011,'F','N','GUIOMAR DE FORA','ANTÔNIO CARLOS','SC','124241241115372431433315575124610127142',8002,'21',52.21,1,2,1),(28,7236506,'1996-08-19 00:00:00',4,1,12,2013,'M','S','CARBONI','VIDEIRA','SC','124242241217151712359811375122610134095',NULL,'969',40.08,1,3,NULL),(28,7236530,'1992-08-23 00:00:00',3,15,12,2010,'F','N','MONT SERRAT','PTO ALEGRE','RS','120082081217371431389933576114143212142',1917,'9998',63.05,1,3,NULL),(28,7236549,'1993-06-02 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241115473431466634575115610127052',2086,'262',65.54,1,3,NULL),(28,7236557,'1992-11-16 00:00:00',4,8,11,2010,'F','N','RES DOS GIRASSOOIS','LIMEIRA','SP','125252251217411431468814575112610125144',17769,'9998',28.10,1,3,NULL),(28,7236565,'1994-03-18 00:00:00',4,1,12,2011,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241112131332323314381124610127142',NULL,'591',23.90,1,2,1),(28,7236573,'1994-10-23 00:00:00',4,1,12,2011,'M','N','FUNDOS','BIGUAÇU','SC','124241241117151511423339575121610127142',NULL,'65',15.13,1,2,1),(28,7236590,'1988-01-26 00:00:00',4,8,12,2005,'M','N','SANTO ANTONIO','JOINVILLE','SC','124241241117134531449624345124610137187',NULL,'471',25.20,4,2,1),(28,7236603,'1995-08-26 00:00:00',4,10,11,2012,'F','S','VILA MOEMA','TUBARÃO','SC','124242241216111711638879592122610132082',NULL,'807',39.92,1,3,NULL),(28,7236620,'1992-11-26 00:00:00',3,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431478831572122131033012',2838,'270',60.51,1,3,NULL),(28,7236638,'1994-09-29 00:00:00',4,1,12,2011,'F','N','REAL PARQUE','S JOSÉ','SC','124241241115271431423624585125610124047',19853,'730',29.81,1,2,1),(28,7236646,'1993-10-29 00:00:00',4,3,12,2010,'F','N','LESTE UNIVERSITARIO','GOIÂNIA','GO','109092091216472331448931575122610122077',6382,'9998',53.08,1,3,NULL),(28,7236654,'1992-04-24 00:00:00',2,1,11,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124122121117242411224411345114610162037',10181,'9998',49.79,2,3,NULL),(28,7236662,'1986-11-23 00:00:00',2,1,1,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','116163027141575411228729375124241312012',5869,'9998',55.42,1,3,NULL),(28,7236689,'1994-06-09 00:00:00',2,1,12,2011,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241115371431426634381124610127047',7701,'307',50.58,1,2,1),(28,7236697,'1993-09-03 00:00:00',4,4,12,2010,'M','N','CIRO NARDI','CASCAVEL','PR','116162161215472411436833576122610117012',NULL,'9998',0.00,1,3,NULL),(28,7236700,'1994-06-10 00:00:00',2,5,11,2011,'F','N','RIO MAINA','CRICIÚMA','SC','124244246215111431423212271124610127072',4734,'995',56.87,1,3,NULL),(28,7236727,'1984-03-10 00:00:00',2,1,12,2002,'M','N','FUNDOS','BIGUAÇU','SC','124241241126151431423339245123610122062',NULL,'65',18.22,1,2,1),(28,7236751,'1990-05-21 00:00:00',4,1,12,2007,'M','N','CENTRO','BRAÇO NORTE','SC','124244241215372431456313295124221437057',874,'950',74.71,1,3,NULL),(28,7236760,'1992-02-26 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124132241215475711648832571112231466197',10014,'1022',47.66,1,3,NULL),(28,7236778,'1994-07-05 00:00:00',4,7,11,2011,'F','N','SANTA TEREZA','JOAÇABA','SC','124242241215571431339831395112610148072',14063,'962',39.25,1,3,NULL),(28,7236786,'1995-03-13 00:00:00',4,1,10,2012,'M','S','CENTRO','MAL CÂNDIDO RONDON','PR','116162161437111731579911595121610138062',NULL,'9998',41.72,1,3,NULL),(28,7236794,'1992-07-25 00:00:00',4,7,12,2009,'M','N','CENTRO','CAPINZAL','SC','124244241216473531366639575112231432051',12821,'155',49.28,1,3,NULL),(28,7236808,'1992-02-01 00:00:00',4,1,12,2009,'M','N','VILA AVIAÇÃO','BAURU','SP','125252251215571431458812471122610167012',1748,'9998',65.39,1,3,NULL),(28,7236824,'1994-04-16 00:00:00',2,1,12,2011,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241116371731425314442124610137142',NULL,'732',32.46,4,2,1),(28,7236832,'1991-12-06 00:00:00',4,8,12,2008,'M','N','CENTRO','S BENTO SUL','SC','124242241216573431467713575124610117042',NULL,'1178',0.00,1,3,NULL),(28,7236840,'1994-09-21 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241117131711623528582324610138147',NULL,'733',18.54,1,2,1),(28,7236859,'1993-09-14 00:00:00',2,5,12,2010,'F','N','CENTRO','TURVO','SC','124244243216471431477932572122610122142',3702,'995',59.47,1,3,NULL),(28,7236867,'1992-03-04 00:00:00',4,15,12,2009,'M','N','COHAB B','GRAVATAÍ','RS','120201201117471431464634343134610124047',9029,'9998',49.36,1,2,1),(28,7236875,'1993-07-16 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241116472531336724245124133227067',16453,'1248',34.87,1,3,NULL),(28,7236883,'1997-03-18 00:00:00',4,1,12,2013,'F','S','FORQUILHINHAS','S JOSÉ','SC','124242241215111732564632275122610128142',NULL,'270',53.38,1,3,NULL),(28,7236891,'1991-01-04 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241117274431327928275124122323143',6026,'306',60.53,1,3,NULL),(28,7236913,'1990-04-27 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241126141431533312345124610128187',NULL,'274',27.95,1,2,1),(28,7236921,'1994-01-25 00:00:00',4,23,12,2011,'M','N','AMIZADE','JARAGUÁ SUL','SC','124242241217141431389714145122610164042',3966,'1061',56.92,1,3,NULL),(28,7236930,'1992-10-14 00:00:00',2,27,12,2009,'M','N','INTERIOR','IPORÃ OESTE','SC','124241241116471431333336595124610167052',NULL,'371',0.00,1,2,1),(28,7236956,'1994-11-16 00:00:00',2,10,12,2011,'F','N','PORTINHO','LAGUNA','SC','124241248135271451423371571114610114183',NULL,'521',0.00,1,2,1),(28,7236964,'1993-01-26 00:00:00',4,4,12,2009,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120201201217372331257612271124610114122',10632,'9998',44.63,1,3,NULL),(28,7236972,'1994-06-08 00:00:00',4,2,12,2011,'F','N','DO SALTO','BLUMENAU','SC','124241241115111411436833572224610143147',11697,'69',46.27,1,2,1),(28,7236999,'1993-02-19 00:00:00',2,1,12,2010,'F','N','TRÊS RIACHOS','BIGUAÇU','SC','124241241116142431323335442324610167052',NULL,'65',20.50,1,2,1),(28,7237006,'1991-04-29 00:00:00',2,1,7,2010,'F','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124201247126132431526648245114610121147',NULL,'1117',22.28,4,2,1),(28,7237030,'1990-01-05 00:00:00',2,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124131138127361431113341415124610124187',15754,'9998',36.31,2,1,1),(28,7237057,'1964-01-12 00:00:00',2,6,12,1981,'M','N','CENTRO','CURITIBA','PR','116251251116131421126841312124342825147',NULL,'9998',0.00,1,3,NULL),(28,7237065,'1989-03-09 00:00:00',4,8,12,2006,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241116142432434311115122230728095',15044,'492',45.52,1,2,1),(28,7237073,'1995-12-02 00:00:00',2,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241115151431338823595124610137077',11736,'267',43.13,1,3,NULL),(28,7237081,'1994-12-25 00:00:00',2,1,11,2012,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124241241111112711326621271124610127072',NULL,'271',36.56,1,3,NULL),(28,7237090,'1993-05-18 00:00:00',2,1,7,2011,'F','N','SERRARIA','S JOSÉ','SC','124241241115131411526614344123232834142',7615,'739',48.81,1,2,1),(28,7237103,'1994-02-18 00:00:00',2,1,11,2011,'F','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241215112431433612575124610127142',9002,'1022',48.17,1,3,NULL),(28,7237111,'1985-09-16 00:00:00',2,1,7,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241248126542711115544242124610168087',NULL,'9997',21.46,1,2,1),(28,7237120,'1993-10-26 00:00:00',4,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241217272421337724575114610133191',12542,'723',41.45,1,3,NULL),(28,7237138,'1994-03-19 00:00:00',2,1,12,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241215111531568711412112610117045',NULL,'1022',30.08,1,3,NULL),(28,7237146,'1994-07-14 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241215111431328724332124610143042',10584,'1118',44.95,1,3,NULL),(28,7237154,'1993-03-13 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215372731556719575122610147062',12931,'738',49.10,1,3,NULL),(28,7237162,'1993-01-04 00:00:00',2,1,12,2009,'F','N','MORRO DA BOA VISTA','BIGUAÇU','SC','124241241111131431533311345112610136047',19108,'65',34.85,1,2,1),(28,7237170,'1994-11-02 00:00:00',4,1,12,2011,'F','N','BELA VISTA','S JOSÉ','SC','124241241225111431648614571124610145097',16866,'262',34.30,1,3,NULL),(28,7237189,'1994-10-24 00:00:00',2,4,12,2011,'F','N','SÃO JORGE','XANXERÊ','SC','124242241215132431438613275125610144097',11427,'836',42.29,1,3,NULL),(28,7237197,'1995-03-06 00:00:00',2,1,12,2011,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241417111432227724572124610121097',18341,'1253',37.82,1,3,NULL),(28,7237227,'1994-05-18 00:00:00',4,8,12,2011,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111731458813575122610122147',4864,'456',58.74,1,3,NULL),(28,7237235,'1960-07-01 00:00:00',2,1,12,1983,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224241243227132411536353172124610123183',19348,'303',33.61,1,3,NULL),(28,7237243,'1985-10-28 00:00:00',2,1,7,2004,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241247227135431424113447134333241187',10171,'63',47.16,1,3,NULL),(28,7237260,'1994-12-12 00:00:00',2,26,12,2011,'M','N','CENTRO','CONCÓRDIA','SC','124241241116371411423315575122610137057',18763,'192',36.23,1,2,1),(28,7237286,'1992-10-02 00:00:00',4,1,12,2009,'M','N','JARDIM DAS PALMEIRAS','PALHOÇA','SC','124241241146373431436311285112233224147',NULL,'595',0.00,1,2,1),(28,7237294,'1988-07-27 00:00:00',2,4,12,2005,'M','N','CENTRO','APUCARANA','PR','116161161136575431467619475122610117052',NULL,'9998',0.00,1,2,1),(28,7237308,'1993-05-21 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211152751468713595124232847043',14579,'1169',46.39,1,3,NULL),(28,7237316,'1994-09-11 00:00:00',4,1,12,2011,'F','N','CIDADE FLORIANÓPOLIS','S JOSÉ','SC','124244241215141431333319295124610124142',NULL,'976',27.61,1,3,NULL),(28,7237324,'1992-11-02 00:00:00',4,1,12,2011,'F','N','ANTONINA','S GONÇALO','RJ','121212211411471411325813475124610144092',NULL,'9998',30.00,1,3,NULL),(28,7237332,'1994-05-27 00:00:00',4,1,1,2012,'M','N','TINGUI','CURITIBA','PR','116162161217111741349714575124610164126',NULL,'9998',0.00,1,3,NULL),(28,7237340,'1994-09-19 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111751236827575125610166072',NULL,'270',47.21,1,3,NULL),(28,7237359,'1991-06-24 00:00:00',4,26,12,2009,'M','N','INDUSTRIAL','SEARA','SC','124241241117161431433316442322610137052',NULL,'763',18.75,1,2,1),(28,7237367,'1992-09-13 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124243241217112411568633572112610117045',19472,'1022',32.89,1,3,NULL),(28,7237375,'1992-10-03 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242243215131711528613285124610164182',NULL,'306',30.15,1,3,NULL),(28,7237383,'1970-11-17 00:00:00',2,1,12,2000,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224241244222142411526643435124223032032',NULL,'1003',16.59,1,3,NULL),(28,7237391,'1993-12-22 00:00:00',2,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111411326614595112610112142',15263,'1118',37.89,1,3,NULL),(28,7237405,'1993-12-17 00:00:00',4,1,10,2011,'M','N','CASTELINHO','PIRACICABA','SP','125252251215111431489813572112610167097',11710,'9998',40.73,1,3,NULL),(28,7237413,'1994-07-08 00:00:00',4,4,12,2010,'F','N','CENTRO','MONDAÍ','SC','124243241216472411456824575125610126142',1769,'752',65.39,1,3,NULL),(28,7237421,'1993-12-21 00:00:00',4,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124242241215372431456311575114220764045',4910,'723',56.28,1,3,NULL),(28,7237430,'1990-11-26 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241216273431469313575112223212015',3697,'738',65.15,1,3,NULL),(28,7237448,'1983-08-23 00:00:00',2,1,7,2003,'M','N','SÃO LUIZ','S JOSÉ','SC','124241248127135531425648182222610124192',NULL,'733',35.96,1,2,1),(28,7237456,'1992-10-17 00:00:00',4,1,12,2009,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241127141431439513245125610164052',17271,'1215',40.85,1,2,1),(28,7237464,'1990-03-22 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241141131421226774345344610166147',16319,'1248',32.65,1,2,1),(28,7237472,'1989-05-15 00:00:00',4,1,11,2005,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124203201217371221136643435124610164172',5061,'9998',62.30,1,3,NULL),(28,7237480,'1994-05-09 00:00:00',2,1,12,2011,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241117371231215421275124610137187',13332,'361',42.60,1,2,1),(28,7237499,'1993-01-15 00:00:00',4,1,11,2009,'F','N','CENTRO','S MIGUEL OESTE','SC','116242241215573431336914595112610113147',8309,'270',56.61,1,3,NULL),(28,7237502,'1995-01-17 00:00:00',2,1,12,2012,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124243241216122411429913432122610167092',NULL,'299',69.15,1,3,NULL),(28,7237510,'1993-09-01 00:00:00',4,3,12,2010,'F','N','MEDITERRANEO','LONDRINA','PR','116162161216472431357829575112610163182',NULL,'9998',0.00,1,3,NULL),(28,7237529,'1994-04-02 00:00:00',4,15,12,2011,'M','N','S LUIZ','SOMBRIO','SC','124241241146141431536634245124610122052',10868,'1033',44.18,1,2,1),(28,7237545,'1992-04-24 00:00:00',4,1,12,2009,'F','N','JARDIM BELA VISTA','BAURU','SP','125252251215571431446834471122610165142',15072,'9998',33.68,1,3,NULL),(28,7237553,'1992-12-23 00:00:00',2,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241122371431333631375124610127012',18234,'174',38.19,1,2,1),(28,7237561,'1994-08-18 00:00:00',4,1,12,2011,'F','N','CENTRO','GAROPABA','SC','124254251116151411248724574115610162172',17278,'9998',40.83,1,3,NULL),(28,7237570,'1992-06-03 00:00:00',2,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241116373431526734345114610142147',19330,'281',33.73,1,2,1),(28,7237596,'1992-08-14 00:00:00',4,6,12,2011,'M','N','JARDIM PRAIA MAR','ITAPEMA','SC','124242247235142431365822335123610127183',14729,'9999',34.91,1,3,NULL),(28,7237600,'1995-03-31 00:00:00',4,1,12,2012,'F','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217111431468939592112610118192',NULL,'270',31.61,1,3,NULL),(28,7237618,'1993-07-26 00:00:00',2,22,12,2010,'F','N','MATO QUEIMADO','NOVA TRENTO','SC','124241241147132532534419245122610127147',NULL,'574',24.40,1,3,NULL),(28,7237626,'1993-01-28 00:00:00',2,27,12,2010,'F','N','INTERIOR','IPORÃ OESTE','SC','124241243116471431434336595124610124142',NULL,'371',0.00,1,2,1),(28,7237634,'1989-12-18 00:00:00',4,1,1,2009,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124101101127131431223369245124610125037',20112,'9997',25.92,4,2,1),(28,7237642,'1994-10-27 00:00:00',4,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124241241144131431626324571224610128191',16126,'1116',34.97,4,3,NULL),(28,7237650,'1993-12-24 00:00:00',2,15,12,2011,'M','N','ALTO FELIZ','ARARANGUÁ','SC','124241241115141431115641215324610127117',16755,'30',42.08,1,2,1),(28,7237669,'1994-04-25 00:00:00',4,2,12,2011,'M','N','FIGUEIRA','GASPAR','SC','124242241211111432358913575122610124047',12023,'1137',41.66,1,3,NULL),(28,7237677,'1994-01-06 00:00:00',2,2,12,2011,'F','N','BRASÍLIA','S BENTO SUL','SC','124241248216271431426933584124610136172',17325,'855',32.34,1,3,NULL),(28,7237693,'1994-08-21 00:00:00',4,26,12,2011,'F','N','INDUSTRIAL','SEARA','SC','124243241117161431437812572122610132072',7614,'763',49.94,1,3,NULL),(28,7237715,'1994-02-02 00:00:00',4,22,12,2011,'F','N','VÍGOLO','NOVA TRENTO','SC','124241241126141431453334145123610134092',NULL,'574',18.45,1,2,1),(28,7237731,'1992-11-16 00:00:00',4,1,11,2009,'F','N','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241212273431237623445114122243092',8908,'1022',55.58,4,3,NULL),(28,7237766,'1994-08-17 00:00:00',2,1,12,2011,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241115471431436734575124610112187',10107,'307',48.12,1,2,1),(28,7237774,'1994-08-29 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241115471412526612282124610144181',15821,'307',34.34,4,3,NULL),(28,7237782,'1992-04-03 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241216573711366817575115610162182',754,'37',72.54,1,3,NULL),(28,7237790,'1993-08-18 00:00:00',4,8,6,2011,'M','N','AMÉRICA','JOINVILLE','SC','124242241217371431459711575122610147012',13722,'1063',47.85,1,3,NULL),(28,7237812,'1993-10-05 00:00:00',4,15,12,2010,'M','N','CENTRO','MELEIRO','SC','124244241215473431436932375122610153147',980,'970',68.87,1,3,NULL),(28,7237820,'1994-08-09 00:00:00',2,10,12,2011,'M','N','CENTRO','LAGUNA','SC','124242241215161431336914575122610124142',8962,'525',48.07,1,3,NULL),(28,7237839,'1993-03-17 00:00:00',2,1,12,2010,'F','N','JOAPIRAMGA','VALINHOS','SP','125252251216471731548814595122610148182',699,'9998',73.08,1,3,NULL),(28,7237847,'1994-03-25 00:00:00',2,6,12,2010,'F','N','SÃO VICENTE','ITAJAÍ','SC','124241241117272431334933485124230645147',14889,'156',37.95,1,2,1),(28,7237855,'1994-06-26 00:00:00',4,8,12,2011,'M','N','FLORESTA','JOINVILLE','SC','124244241416131431356839395124610127057',NULL,'478',31.46,1,3,NULL),(28,7237863,'1993-12-14 00:00:00',4,25,12,2011,'F','N','FARROUPILHA','VIDEIRA','SC','124242241217371431359414475122610127057',NULL,'829',29.00,1,3,NULL),(28,7237871,'1987-02-24 00:00:00',5,1,12,2005,'F','N','GUAIUBA','IMBITUBA','SC','224251241135132431326454375124122267042',12140,'307',41.67,1,2,1),(28,7237880,'1993-05-03 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241315132431116712342324233225142',NULL,'1157',40.01,1,3,NULL),(28,7237898,'1991-11-16 00:00:00',4,1,11,2009,'M','N','CENTRO','S JOAQUIM','SC','124242241216152431446911571112121465092',5098,'1035',58.07,1,3,NULL),(28,7237910,'1995-08-09 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217112711469912425114610144061',16701,'262',42.20,1,3,NULL),(28,7237928,'1983-05-20 00:00:00',2,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241247325131531426374472242610122147',15807,'977',44.08,1,3,NULL),(28,7237936,'1993-02-15 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241117272431626923345124610147147',18421,'307',37.56,1,2,1),(28,7237944,'1994-08-08 00:00:00',4,7,12,2011,'M','N','SÃO VICENTE','HERVAL D OESTE','SC','124242241216472431236923575122610128092',3239,'446',61.46,1,3,NULL),(28,7237952,'1995-03-24 00:00:00',2,1,12,2011,'F','N','BELA VISTA','PALHOÇA','SC','124222241215111431448714595122610122075',NULL,'1161',0.00,1,3,NULL),(28,7237960,'1994-03-01 00:00:00',4,1,11,2011,'M','N','PINDORAMA','IJUÍ','RS','120202201217151411469931575122610134045',1229,'9998',67.80,1,3,NULL),(28,7237979,'1992-01-21 00:00:00',4,2,12,2009,'M','N','CENTRO','IBIÚNA','SP','125254251217471411633612571125610114032',NULL,'9998',21.40,3,3,NULL),(28,7237987,'1977-09-24 00:00:00',4,5,2,1996,'M','N','SANTA BARBARA','CRICIÚMA','SC','224241248427131231321414345122531417047',19833,'9997',30.00,1,3,NULL),(28,7237995,'1994-05-06 00:00:00',4,5,12,2011,'F','N','RAICHASKI','IÇARA','SC','124243241216151431447634575122610143072',13301,'995',37.59,1,3,NULL),(28,7238002,'1994-05-10 00:00:00',4,7,12,2011,'F','N','CENTRO','HERVAL D OESTE','SC','124241241116371411449533335122610126147',8846,'341',47.00,1,2,1),(28,7238010,'1994-01-12 00:00:00',2,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241117371731323319346124610134147',16678,'733',31.95,1,2,1),(28,7238037,'1992-12-08 00:00:00',2,10,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124243248126132431325833335124231327072',NULL,'524',0.00,1,3,NULL),(28,7238045,'1994-03-24 00:00:00',2,24,11,2011,'F','N','CANOAS','RIO SUL','SC','124242241215371431437413375122610121097',9446,'653',45.64,1,3,NULL),(28,7238061,'1992-10-14 00:00:00',4,1,12,2010,'F','N','PARQUE ONGARO','SUMARÉ','SP','125251254117471431558914575122610167057',NULL,'9998',0.00,1,2,1),(28,7238070,'1993-03-26 00:00:00',2,1,12,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241115371431458613485114610167041',13987,'307',40.88,1,3,NULL),(28,7238096,'1994-07-21 00:00:00',4,1,12,2011,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116131421336623335124610162142',16341,'296',34.31,1,2,1),(28,7238100,'1994-06-28 00:00:00',4,2,11,2011,'F','N','FORTALEZA','BLUMENAU','SC','124241241215371431436612575122610137037',19036,'1018',35.16,4,3,NULL),(28,7238118,'1994-07-02 00:00:00',4,9,11,2011,'M','N','CARAVÁGIO','LAGES','SC','124244241216111731436924245125610122042',9188,'1106',47.31,1,3,NULL),(28,7238126,'1952-06-27 00:00:00',2,8,12,1985,'M','N','PORTÃO','CURITIBA','PR','616161166325575311552249192122341626192',NULL,'9998',0.00,1,3,NULL),(28,7238134,'1993-09-22 00:00:00',4,8,11,2011,'M','N','ATIRADORES','JOINVILLE','SC','124242241215112431488932575112610127052',373,'1063',73.36,1,3,NULL),(28,7238142,'1994-05-18 00:00:00',4,1,12,2011,'F','N','RIO GRANDE','PALHOÇA','SC','124241241225131431326314395124610125142',5146,'262',56.96,1,3,NULL),(28,7238150,'1994-03-10 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241115573411437732475124610167042',413,'739',76.11,1,3,NULL),(28,7238169,'1992-05-05 00:00:00',4,1,12,2009,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241217572411366622575125610148092',106,'107',80.07,1,3,NULL),(28,7238185,'1993-02-14 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241215472451478814585124610126125',201,'1133',77.14,1,3,NULL),(28,7238193,'1994-11-16 00:00:00',4,2,12,2011,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241115111441347814575124610166172',1513,'88',65.69,1,2,1),(28,7238207,'1990-06-01 00:00:00',2,1,12,2010,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241247122371431324623442134610167147',19959,'9999',28.73,1,2,1),(28,7238215,'1994-06-16 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124124241215121431379911475112610167042',1086,'270',68.75,1,3,NULL),(28,7238223,'1992-03-13 00:00:00',4,1,12,2009,'F','N','PARQUE BELA VISTA','VOTORANTIM','SP','125252251216572431458814575112610164122',NULL,'9998',0.00,1,3,NULL),(28,7238231,'1995-03-11 00:00:00',4,1,11,2012,'M','S','SITÍO DEDENTRO','STO AMARO IMPERATRIZ','SC','124244241416151751449614575114610121092',NULL,'1223',26.12,1,3,NULL),(28,7238240,'1995-08-09 00:00:00',4,3,12,2012,'M','S','CENTRO','ARAPONGAS','PR','116162161216111331459931475125610118013',NULL,'9998',67.23,1,3,NULL),(28,7238258,'1993-06-22 00:00:00',2,2,11,2011,'F','N','VILA FORMOSA','BLUMENAU','SC','124242241235111531469814575122610163187',4041,'71',60.51,4,3,NULL),(28,7238266,'1994-06-17 00:00:00',2,1,12,2011,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242241215111431226324575124610167052',10190,'1134',45.99,1,3,NULL),(28,7238274,'1993-02-11 00:00:00',4,1,12,2009,'F','N','CENTRO','CASCAVEL','PR','116162161216571431336923595114610136145',14706,'9998',46.16,1,3,NULL),(28,7238282,'1994-07-09 00:00:00',2,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124241241115271431543314592124612834147',17474,'1116',40.36,4,2,1),(28,7238290,'1994-05-25 00:00:00',4,10,12,2011,'F','N','BARRO VERMELHO','ARMAZÉM','SC','124241241135131431525314572124610156057',NULL,'34',20.71,1,3,NULL),(28,7238312,'1993-06-23 00:00:00',2,15,12,2010,'F','N','CENTRO','STA ROSA SUL','SC','124241241217473431238822575124610121092',1684,'26',66.36,1,3,NULL),(28,7238320,'1995-02-10 00:00:00',4,5,11,2011,'M','N','JARDIM ANGÉLICA','CRICIÚMA','SC','124243246215111431444914575125610132117',9705,'995',44.87,1,3,NULL),(28,7238339,'1994-07-18 00:00:00',4,10,12,2011,'F','N','GUAIUBA','IMBITUBA','SC','124241241116371431416619295124610164042',18269,'359',38.07,1,3,NULL),(28,7238347,'1994-12-25 00:00:00',4,15,12,2011,'F','N','FORQUILHA DO CEDRO','STA ROSA SUL','SC','124241241116131431513336162124610127122',NULL,'689',13.57,1,2,1),(28,7238355,'1990-09-17 00:00:00',2,1,12,2007,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242241217372751368733345122230762072',15895,'1134',43.90,1,3,NULL),(28,7238371,'1994-01-18 00:00:00',2,16,12,2011,'F','N','APARECIDA','CURITIBANOS','SC','124241241117151732423314375124610134147',NULL,'240',25.56,1,2,1),(28,7238380,'1994-07-15 00:00:00',4,7,11,2011,'M','N','SÃO SEBASTIÃO','CAMPOS NOVOS','SC','124244241215131742453413575115610114042',3190,'138',61.20,1,3,NULL),(28,7238398,'1995-05-08 00:00:00',4,10,11,2011,'F','N','CENTRO','TUBARÃO','SC','124242241217112421469913575112610124147',10275,'807',46.44,1,3,NULL),(28,7238401,'1994-03-01 00:00:00',4,9,12,2011,'M','N','FATIMA','OTACÍLIO COSTA','SC','124133241415371431559614575122610117142',11044,'935',45.27,1,3,NULL),(28,7238410,'1994-06-26 00:00:00',2,1,12,2011,'M','N','SANTO ANTONIO LISBOA','FLORIANÓPOLIS','SC','124241241125131731433314195122610136057',17522,'279',29.08,1,2,1),(28,7238436,'1994-01-09 00:00:00',4,1,12,2011,'M','N','RES DAS ILHAS','BRAGANÇA PAULISTA','SP','125252251215111231548834572112610168047',1894,'9998',65.34,1,3,NULL),(28,7238444,'1989-03-17 00:00:00',5,1,12,2006,'F','N','GUARUJA','CASCAVEL','PR','116161161116131431544474475124142226182',NULL,'9998',0.00,1,2,1),(28,7238452,'1994-01-06 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241115471431456829575115610127057',15090,'307',35.98,1,3,NULL),(28,7238460,'1994-06-13 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115371421538313195124610117182',8625,'257',49.76,1,2,1),(28,7238479,'1985-12-14 00:00:00',2,1,12,2003,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241112143411169943431122531067111',NULL,'271',0.00,1,3,NULL),(28,7238487,'1982-03-13 00:00:00',2,8,12,2001,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124161165116152431324364185224131368182',12550,'9998',40.78,1,2,1),(28,7238495,'1991-02-12 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241147131751322429282124132824045',17909,'591',39.18,1,2,1),(28,7238509,'1994-02-25 00:00:00',2,16,12,2011,'F','N','CENTRO','FR ROGÉRIO','SC','124241241115471731446933575124610127057',15529,'320',35.02,1,2,1),(28,7238517,'1990-10-17 00:00:00',4,1,12,2008,'F','N','CENTRO','ITATIAIA','RJ','121211211117271411526569572124610131192',7761,'9998',51.67,4,3,NULL),(28,7238525,'1994-10-19 00:00:00',2,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241116161411523718272124610136183',11317,'298',42.39,1,2,1),(28,7238533,'1990-05-07 00:00:00',2,1,12,2007,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241241146372411536629245124333246187',10874,'288',52.31,1,2,1),(28,7238541,'1994-03-21 00:00:00',4,1,12,2011,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125172251211111451668836172112610137076',5830,'9998',53.76,3,3,NULL),(28,7238550,'1990-09-07 00:00:00',4,23,12,2008,'M','N','NOVA ESPERANÇA','GUARAMIRIM','SC','124021021112131431523111445314610157047',NULL,'9998',19.31,2,1,1),(28,7238568,'1993-03-06 00:00:00',4,1,12,2011,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125114251216151731669914575125610165077',9124,'9998',48.14,4,3,NULL),(28,7238576,'1993-09-03 00:00:00',4,16,12,2010,'F','N','APARECIDA','CURITIBANOS','SC','124243241217372431436832575122233137145',9640,'881',44.28,1,3,NULL),(28,7238584,'1994-03-20 00:00:00',4,1,12,2011,'M','N','N SENHORA DO ROSARIO','S JOSÉ','SC','124243241225131231335874275124610137042',8131,'262',49.78,1,3,NULL),(28,7238614,'1993-03-13 00:00:00',4,1,5,2011,'F','N','PARQUE SÃO QUIRINO','CAMPINAS','SP','125281281317371431278614441124610168042',11039,'9998',42.92,1,3,NULL),(28,7238630,'1984-04-27 00:00:00',4,1,12,2001,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241216144421248823445224422266182',14191,'271',47.12,1,3,NULL),(28,7238649,'1993-06-10 00:00:00',4,1,12,2010,'M','N','REAL PARQUE','S JOSÉ','SC','124242241212172431436933575124610117067',8033,'1169',50.88,1,3,NULL),(28,7238657,'1994-09-04 00:00:00',2,10,12,2011,'F','N','MONTE CASTELO','TUBARÃO','SC','124241248215111431436619572124610163147',12836,'1120',36.29,1,3,NULL),(28,7238665,'1981-06-11 00:00:00',2,1,6,1981,'M','N','JD LONDRES','CAMPINAS','SP','225251251127211411524344145122141427047',NULL,'9998',18.13,2,1,1),(28,7238673,'1994-05-22 00:00:00',4,17,12,2011,'F','N','BOM JESUS','RIO NEGRO','PR','116161161117371432426574571224610134072',17420,'542',31.33,1,3,NULL),(28,7238681,'1995-03-06 00:00:00',4,1,12,2011,'M','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241125151431436612575124610128187',NULL,'869',20.56,1,2,1),(28,7238711,'1994-07-13 00:00:00',2,25,12,2011,'F','N','BELA VISTA','LEBON RÉGIS','SC','124244241116131431433714575122610136012',10589,'532',43.00,1,3,NULL),(28,7238720,'1992-09-29 00:00:00',4,1,12,2011,'M','N','CACHOEIRADOBOMJESUS','FLORIANÓPOLIS','SC','124241241112111631316621312124610137043',NULL,'295',9.86,2,2,1),(28,7238738,'1993-12-15 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241112131532523314142314610144092',NULL,'257',19.79,1,2,1),(28,7238746,'1981-01-08 00:00:00',4,1,12,1999,'M','N','JD CID FLORIANÓPOLIS','S JOSÉ','SC','124243248337134411123149295124232026182',NULL,'9997',22.90,1,3,NULL),(28,7238754,'1995-02-16 00:00:00',4,1,12,2012,'M','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241415111711448914145124610137042',NULL,'300',49.33,1,3,NULL),(28,7238762,'1993-10-06 00:00:00',4,1,12,2010,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241217372431489834572114221447062',963,'909',72.49,1,3,NULL),(28,7238770,'1994-12-05 00:00:00',4,1,12,2011,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241115132431546313572124613267052',5482,'271',57.95,1,2,1),(28,7238789,'1994-09-08 00:00:00',4,6,12,2011,'F','N','CENTRO','PENHA','SC','124241241117371431424611385121610168197',8067,'609',50.87,1,2,1),(28,7238797,'1993-07-14 00:00:00',4,1,11,2010,'F','N','BELA VISTA','ERECHIM','RS','120202201215372431558934572112610127072',1146,'9998',66.85,1,3,NULL),(28,7238800,'1994-06-01 00:00:00',4,4,12,2011,'F','N','CENTRO','PERITIBA','SC','124241241115471431443635575122610126077',3153,'192',61.41,1,2,1),(28,7238819,'1993-11-01 00:00:00',4,3,12,2011,'F','N','PEREQUÊ PRAIA','PTO BELO','SC','124161241114371431439711572222610124057',11729,'405',44.46,1,2,1),(28,7238827,'1991-10-24 00:00:00',2,1,12,2008,'F','N','JARDIM EUROPA','BELO HORIZONTE','MG','113131131136131411328674486124610122142',11218,'9998',42.90,4,2,1),(28,7238835,'1994-07-12 00:00:00',2,4,12,2011,'M','N','CENTRO','CAIBI','SC','124241241117371231223629595124610114097',10539,'601',45.93,1,2,1),(28,7238843,'1992-03-26 00:00:00',2,1,12,2010,'F','N','BIGUAÇU','BIGUAÇU','SC','124241244122131711625522495122610134052',NULL,'65',22.00,1,3,NULL),(28,7238851,'1994-12-28 00:00:00',4,3,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241215121431336724575122610156117',NULL,'53',0.00,4,1,2),(28,7238860,'1992-11-12 00:00:00',4,7,12,2009,'M','N','SÃO SEBASTIÃO','CAMPOS NOVOS','SC','124243241117142431357613145123231462142',NULL,'140',0.00,1,3,NULL),(28,7238878,'1991-07-03 00:00:00',4,1,12,2008,'M','N','VILA SOFIA','S PAULO','SP','125252251217572431377821311122610127057',326,'9998',75.88,1,3,NULL),(28,7238886,'1987-12-07 00:00:00',2,1,4,2005,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','224241241117131711423179286214610156172',NULL,'591',25.65,1,2,1),(28,7238894,'1993-06-07 00:00:00',2,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124242246116132431526614575124610136142',14021,'306',37.72,1,3,NULL),(28,7238916,'1989-08-01 00:00:00',4,1,12,2006,'M','N','MIRIM','IMBITUBA','SC','124241241337132431326923345124610122067',NULL,'359',30.32,4,3,NULL),(28,7238924,'1994-03-06 00:00:00',4,1,12,2011,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241248115471532523331335124610127062',NULL,'287',17.69,1,2,1),(28,7238932,'1994-06-26 00:00:00',2,1,12,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111431458831575122610122012',18514,'262',27.67,1,3,NULL),(28,7238940,'1993-11-22 00:00:00',4,8,10,2011,'M','N','CENTRO','JOINVILLE','SC','124242241215271531469914575112610117182',9885,'1063',46.60,1,3,NULL),(28,7238959,'1992-11-05 00:00:00',2,4,12,2009,'F','N','CENTO','RIO PARDO','RS','120201201117572431236923575124610123192',7589,'9998',52.47,1,3,NULL),(28,7238967,'1992-02-06 00:00:00',4,1,12,2009,'M','N','JARDIM SANTA HELENA','S PAULO','SP','125252251216571431453315575114610114182',NULL,'9998',0.00,3,3,NULL),(28,7238975,'1994-10-27 00:00:00',4,23,12,2011,'M','N','CENTRO','GUARAMIRIM','SC','124242241215111431446933571124610168147',12127,'441',39.86,1,3,NULL),(28,7238983,'1994-11-20 00:00:00',4,6,10,2011,'M','N','SANTANA','S PAULO','SP','125122251215111431266923571125610167042',1282,'9998',70.22,1,3,NULL),(28,7238991,'1992-05-23 00:00:00',4,1,12,2011,'F','N','JARDIM EUCALIPTUS','PALHOÇA','SC','124241248115471431423319292225610168147',NULL,'592',0.00,1,2,1),(28,7239009,'1994-11-14 00:00:00',4,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124241241117141431523823242124610122017',16998,'1116',41.55,1,2,1),(28,7239017,'1989-06-12 00:00:00',4,1,7,2009,'M','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124244241425271711325614245124610167161',16314,'9999',43.08,1,3,NULL),(28,7239025,'1995-07-25 00:00:00',2,1,2,2012,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241235111431439933332122610133097',NULL,'1198',36.41,1,3,NULL),(28,7239033,'1994-03-03 00:00:00',4,6,12,2011,'F','N','CENTRO','PENHA','SC','124241241137371431323614375124610121177',NULL,'609',19.97,1,2,1),(28,7239041,'1991-03-13 00:00:00',2,2,12,2009,'F','N','VL SÃO GABRIEL','COLOMBO','PR','116241161217472731437612575124143227142',19764,'9998',30.55,4,3,NULL),(28,7239050,'1993-06-12 00:00:00',2,4,12,2010,'F','N','CENTRO','PATO BRANCO','PR','116161161116371711434435394122610124147',5553,'9998',55.45,1,2,1),(28,7239068,'1994-12-13 00:00:00',2,1,12,2011,'M','N','CENTRO','URUBICI','SC','124244241415111441426935576121610167142',19645,'817',31.64,1,3,NULL),(28,7239076,'1992-04-28 00:00:00',4,25,7,2011,'M','N','CENTRO','FRAIBURGO','SC','124241247427131712218824385114610137047',NULL,'1198',29.48,1,3,NULL),(28,7239084,'1994-06-09 00:00:00',4,9,12,2011,'M','N','SANTO ANTONIO','LAGES','SC','124241241115371431459613432122610164057',8143,'935',47.90,1,2,1),(28,7239092,'1990-02-08 00:00:00',2,16,9,2009,'M','N','NS APARECIDA','CURITIBANOS','SC','124241241226161431516318385124610114015',NULL,'9999',24.53,4,3,NULL),(28,7239106,'1982-04-30 00:00:00',4,1,12,2002,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241327344431227344442114610113097',NULL,'9997',0.00,1,3,NULL),(28,7239114,'1993-02-19 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124162161212131411359913475224231964016',NULL,'9998',0.00,1,3,NULL),(28,7239122,'1989-03-01 00:00:00',2,1,12,2006,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241111373431434471315124610124187',15698,'281',44.31,1,2,1),(28,7239130,'1993-02-11 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211472431459613432124610117041',2238,'270',64.32,1,3,NULL),(28,7239149,'1994-05-31 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241142152731449933575124233224112',10521,'307',45.62,1,2,1),(28,7239157,'1991-11-01 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241235573431448912575122610123142',3002,'213',60.30,1,3,NULL),(28,7239165,'1991-07-24 00:00:00',4,1,12,2009,'F','N','BELA VISTA I','S JOSÉ','SC','124244247436472451228623445114131062142',15727,'9999',44.24,1,3,NULL),(28,7239173,'1995-02-10 00:00:00',4,23,12,2011,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215111411376821475122610134197',6524,'441',52.97,1,3,NULL),(28,7239190,'1992-02-05 00:00:00',4,1,12,2009,'F','N','PARQUE NOVO MUNDO','LIMEIRA','SP','125251251115511411426429445124610122097',8847,'9998',46.61,1,2,1),(28,7239211,'1994-02-12 00:00:00',2,1,11,2011,'M','N','VILA ANITA','S BERNARDO CAMPO','SP','125252251217111431339912575124610127043',13642,'9998',37.76,1,3,NULL),(28,7239220,'1984-09-01 00:00:00',2,1,12,2003,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241127135431244444445124610128097',18565,'283',37.00,1,2,1),(28,7239238,'1991-11-22 00:00:00',2,1,12,2008,'F','N','AREIAS','S JOSÉ','SC','124244241116273331335311345114123264197',15281,'739',36.86,1,3,NULL),(28,7239246,'1994-03-07 00:00:00',4,4,12,2011,'F','N','CENTRO','IPORÃ OESTE','SC','124241241135271431334434575124610132077',NULL,'371',0.00,1,2,1),(28,7239254,'1991-10-25 00:00:00',4,1,12,2009,'F','N','CENTRO','ARARAQUARA','SP','125253251215572131555812575122610132047',6482,'9998',51.76,1,3,NULL),(28,7239262,'1991-08-15 00:00:00',4,1,12,2010,'M','N','CRISTO REI','CURITIBA','PR','116162166115471441478833335124610167011',NULL,'9998',0.00,1,3,NULL),(28,7239270,'1971-07-15 00:00:00',4,1,12,2008,'M','N','SERTAO DO MARUIM','S JOSÉ','SC','124201247322131411113344345124131066047',NULL,'9999',0.00,1,3,NULL),(28,7239297,'1983-04-15 00:00:00',2,1,12,2000,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241127174711423329242212130213047',NULL,'287',34.98,1,2,1),(28,7239300,'1994-02-05 00:00:00',4,9,12,2011,'M','N','CENTRO','LAGES','SC','124242241215111311434831575122610117042',NULL,'499',24.76,1,3,NULL),(28,7239319,'1995-07-28 00:00:00',2,1,12,2011,'F','N','ZONA UM','CIANORTE','PR','116241166217131431537923575122610124097',NULL,'9998',22.83,1,3,NULL),(28,7239335,'1994-01-15 00:00:00',2,1,12,2011,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241117131732436539577125610128197',10091,'1248',46.77,1,2,1),(28,7239351,'1994-07-23 00:00:00',2,6,12,2011,'M','N','PRAIA BRAVA','ITAJAÍ','SC','124242241215371231578814595112610117043',7113,'1057',51.76,1,3,NULL),(28,7239360,'1992-06-28 00:00:00',2,1,12,2010,'F','N','NOVA BELÉM','PAULO LOPES','SC','124241241122472431423331345124610163147',15584,'607',36.51,1,2,1),(28,7239378,'1994-08-20 00:00:00',4,8,11,2011,'M','N','SANTO ANTONIO','JOINVILLE','SC','124241241215111732533411595121610167185',6117,'1016',55.98,1,3,NULL),(28,7239386,'1993-01-24 00:00:00',4,1,11,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216152431489834575112221462182',2641,'270',62.28,1,3,NULL),(28,7239408,'1983-12-16 00:00:00',2,1,12,2003,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241136173422233344445123610167042',NULL,'591',33.34,1,2,1),(28,7239416,'1989-03-09 00:00:00',2,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224211211417372411216659385124610167047',7725,'9998',52.52,4,3,NULL),(28,7239424,'1994-10-04 00:00:00',4,4,12,2011,'M','N','NAZARE','CONCÓRDIA','SC','124241241316151331333832275121610137052',11374,'1001',44.76,1,3,NULL),(28,7239432,'1994-08-06 00:00:00',4,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241235111411336729575124610122077',15346,'270',36.54,1,3,NULL),(28,7239440,'1991-01-10 00:00:00',4,1,11,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211373312238933185112143214045',17304,'1133',40.77,1,3,NULL),(28,7239459,'1994-07-01 00:00:00',4,23,12,2011,'F','N','SERRA ALTA','S BENTO SUL','SC','124241241117371431543638575122610144072',16763,'694',42.07,1,2,1),(28,7239467,'1994-08-08 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241211111331549513582122610144012',13488,'1118',42.57,1,3,NULL),(28,7239475,'1994-03-12 00:00:00',4,1,12,2011,'M','N','REBOUÇAS','CURITIBA','PR','116162161217111711348839275115610167012',3582,'9998',62.29,3,3,NULL),(28,7239483,'1991-12-18 00:00:00',2,26,12,2005,'M','N','NAÇÕES','CONCÓRDIA','SC','124241241116471431344414446134610137061',10845,'192',44.39,1,2,1),(28,7239505,'1995-07-05 00:00:00',2,9,11,2011,'F','N','CENTRO','LAGES','SC','124242241235111731468913571122610123092',17788,'497',39.51,1,3,NULL),(28,7239513,'1993-07-08 00:00:00',4,1,12,2011,'M','N','ALTO RIO FARIAS','ANTÔNIO CARLOS','SC','124241246117141441433835192124610116182',7751,'306',49.49,1,2,1),(28,7239521,'1991-04-03 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241116472721228832375114133264147',4213,'873',56.89,1,3,NULL),(28,7239530,'1995-08-31 00:00:00',2,1,12,2011,'F','N','SÃO JOSÉ','CANOAS','RS','120201201116471331226627245134610132057',NULL,'9998',0.00,1,2,1),(28,7239548,'1994-04-04 00:00:00',4,22,12,2011,'M','N','BOM RETIRO','CURITIBA','PR','116244161216421431368814575124610132097',NULL,'9998',0.00,1,3,NULL),(28,7239556,'1995-05-19 00:00:00',4,1,12,2012,'F','S','SACO GRANDE','FLORIANÓPOLIS','SC','124242241212121431468812222112610114145',NULL,'270',39.72,1,3,NULL),(28,7239572,'1992-05-12 00:00:00',4,6,12,2010,'F','N','PASSO','S BORJA','RS','120201205116131411523314282224610124143',NULL,'9998',0.00,1,2,1),(28,7239580,'1994-04-01 00:00:00',4,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117371411525311275124610143187',13629,'307',40.15,1,2,1),(28,7239602,'1994-11-27 00:00:00',4,9,12,2011,'F','N','PEREIRA ALVES','CORREIA PINTO','SC','124243241115141431468834245122610144142',7269,'201',51.20,1,3,NULL),(28,7239610,'1992-03-12 00:00:00',4,8,10,2009,'F','N','JUVEVE','CURITIBA','PR','116162161216571431248819575112610164197',NULL,'9998',0.00,1,3,NULL),(28,7239629,'1994-06-30 00:00:00',4,1,11,2011,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241217371731447722476122610127045',153,'299',79.84,1,3,NULL),(28,7239637,'1994-04-03 00:00:00',4,1,11,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431478811595122610145142',12338,'1169',50.03,1,3,NULL),(28,7239645,'1994-03-30 00:00:00',4,1,12,2011,'M','N','ROÇADO','S JOSÉ','SC','124243241415131431226521575124610144032',13041,'1022',39.07,1,3,NULL),(28,7239653,'1994-05-07 00:00:00',2,1,11,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241415411431426812372124610137142',16011,'300',36.79,1,3,NULL),(28,7239661,'1994-04-25 00:00:00',4,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117371531423511315114610164143',19515,'307',22.05,4,2,1),(28,7239670,'1991-04-26 00:00:00',2,1,11,2008,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124243241317141421223679345114130216072',NULL,'138',25.44,2,1,2),(28,7239688,'1993-11-08 00:00:00',2,1,12,2011,'M','N','CENTRO','JUNQUEIRÓPOLIS','SP','125253251215111431344612575122610167057',16038,'9998',43.63,1,3,NULL),(28,7239696,'1994-01-09 00:00:00',4,1,11,2011,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215151431489813475112610166122',NULL,'884',0.00,1,3,NULL),(28,7239700,'1993-11-10 00:00:00',4,10,12,2011,'M','N','CENTRO','LAGUNA','SC','124241241116371321326611585124610116051',NULL,'521',22.58,4,2,1),(28,7239718,'1994-03-02 00:00:00',4,5,12,2011,'F','N','DE VILLA','URUSSANGA','SC','124241241126411732323319595224610131057',10784,'822',47.38,1,2,1),(28,7239726,'1994-01-24 00:00:00',4,8,11,2011,'M','N','PORTÃO','CURITIBA','PR','116162161211111751467834476124610166187',NULL,'9998',0.00,1,3,NULL),(28,7239742,'1988-08-17 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216273731248912495122221464052',1903,'497',70.13,1,3,NULL),(28,7239750,'1993-11-29 00:00:00',4,1,12,2011,'F','N','JARDIM QUEBEC','LONDRINA','PR','116252161215151431468814575112610144147',NULL,'9998',0.00,1,3,NULL),(28,7239769,'1995-08-27 00:00:00',4,5,12,2012,'M','S','CENTRO','CRICIÚMA','SC','124242241216121712369814575121610164112',NULL,'210',35.90,1,3,NULL),(28,7239777,'1993-07-08 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217473421555569375125610134092',10903,'1022',43.60,1,3,NULL),(28,7239785,'1994-02-22 00:00:00',2,8,12,2011,'F','N','CENTRO','S BENTO SUL','SC','124241241115371431626313285122610127042',NULL,'697',20.12,1,2,1),(28,7239793,'1992-02-22 00:00:00',4,1,12,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124174171237231711558719375124243264077',11000,'9998',44.75,1,3,NULL),(28,7239807,'1995-05-18 00:00:00',2,16,12,2011,'F','N','INTERIOR','FR ROGÉRIO','SC','124241241115371711326923585124610113057',NULL,'320',33.61,1,2,1),(28,7239815,'1994-02-05 00:00:00',2,16,12,2011,'F','N','INTERIOR','CURITIBANOS','SC','124241241115471431313336571322610126172',15392,'1129',37.99,1,2,1),(28,7239831,'1994-11-20 00:00:00',2,2,11,2011,'F','N','VORSTARDT','BLUMENAU','SC','124242248215122431658932575112610127015',NULL,'855',0.00,1,3,NULL),(28,7239840,'1993-12-23 00:00:00',4,8,12,2011,'F','N','DONA FRANCISCA','S BENTO SUL','SC','124241241115271431443314245124610124147',NULL,'693',16.46,1,2,1),(28,7239858,'1993-05-23 00:00:00',6,1,11,2010,'M','N','JARDIM CIDADE','S JOSÉ','SC','124241241125312251323441342324610117051',19533,'726',32.45,4,2,1),(28,7239866,'1986-01-31 00:00:00',4,1,12,2003,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242251216131431213311315123111567112',NULL,'9998',17.06,1,3,NULL),(28,7239874,'1994-03-30 00:00:00',4,1,11,2011,'M','N','VILA GENY','LORENA','SP','125252251216111421368612575112610168181',9602,'9998',45.39,3,3,NULL),(28,7239882,'1987-10-01 00:00:00',2,1,12,2006,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241115575732463623572124610142191',14127,'257',42.25,1,2,1),(28,7239890,'1993-03-23 00:00:00',4,5,11,2010,'F','N','CEARÁ','CRICIÚMA','SC','124242241216152131468924395125233214197',NULL,'880',0.00,1,3,NULL),(28,7239904,'1969-10-17 00:00:00',2,1,12,1988,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','224241243141133421453333332124222322043',19165,'306',34.53,4,2,1),(28,7239912,'1993-10-08 00:00:00',2,8,12,2010,'M','N','CENTRO','CAMPOS BORGES','RS','120201201113271431238822375124610164042',14658,'9998',36.86,1,3,NULL),(28,7239920,'1994-02-25 00:00:00',4,2,11,2011,'M','N','VELHA','BLUMENAU','SC','124242241215372431339734175122610127042',7607,'909',49.18,1,3,NULL),(28,7239939,'1993-07-25 00:00:00',4,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215122431358614592124221423142',1907,'213',65.59,1,3,NULL),(28,7239947,'1992-07-09 00:00:00',2,1,10,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124201201117151711634479345124233262147',NULL,'9998',21.83,1,2,1),(28,7239955,'1993-01-20 00:00:00',4,1,12,2010,'M','N','LESSA','PINDAMONHANGABA','SP','125252251216471411588632315111610167042',15877,'9998',43.93,1,3,NULL),(28,7239963,'1994-04-18 00:00:00',4,17,12,2011,'M','N','VILA NOVA','TRÊS BARRAS','SC','124241241117141731448834341124610167042',NULL,'146',0.00,1,2,1),(28,7239971,'1992-01-14 00:00:00',2,5,11,2008,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124241241211473431654931595122121564147',1287,'226',69.68,1,3,NULL),(28,7239980,'1981-06-16 00:00:00',2,15,7,2002,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241137131431323321142335610124052',NULL,'785',0.00,1,3,NULL),(28,7239998,'1993-01-18 00:00:00',2,1,12,2011,'F','N','POTECAS','S JOSÉ','SC','124241241112131411424414382124610127147',NULL,'733',17.90,1,2,1),(28,7240007,'1994-11-10 00:00:00',4,1,11,2011,'F','N','CENTRO','BIGUAÇU','SC','124242241215111411448613575124610126142',6665,'270',53.54,1,3,NULL),(28,7240015,'1994-01-24 00:00:00',4,1,11,2011,'M','N','JARDIM DA PENHA','VITÓRIA','ES','108281081415121431478714575122610137047',NULL,'9998',37.87,1,3,NULL),(28,7240023,'1995-05-15 00:00:00',4,1,12,2012,'F','S','CENTRO','S JOSÉ','SC','124242241215111131456812575124610136192',NULL,'737',57.69,1,3,NULL),(28,7240031,'1995-05-22 00:00:00',4,8,12,2011,'F','N','BOM RETIRO','JOINVILLE','SC','124243241115371731358914572124610136142',NULL,'478',19.23,1,3,NULL),(28,7240040,'1994-06-10 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124244241217111431239933272112610168182',6036,'737',54.97,1,3,NULL),(28,7240058,'1990-03-02 00:00:00',2,1,12,2007,'F','N','REAL PARQUE','S JOSÉ','SC','124241241116133431323629445134610135147',15414,'734',44.84,1,2,1),(28,7240074,'1995-05-25 00:00:00',4,24,11,2012,'M','S','SUMARÉ','RIO SUL','SC','124242241216111431473817375112610165192',NULL,'991',58.21,1,3,NULL),(28,7240082,'1993-09-11 00:00:00',2,5,11,2011,'F','N','PRÓSPERA','CRICIÚMA','SC','124242241217161421426612575122610144142',NULL,'226',0.00,1,3,NULL),(28,7240090,'1992-08-18 00:00:00',4,1,12,2011,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241215111431349934474114610128097',17229,'1022',33.88,1,3,NULL),(28,7240112,'1992-04-14 00:00:00',4,1,12,2009,'M','N','SAN CONRADO','CAMPINAS','SP','125252251217411751389811575122610165122',NULL,'9998',0.00,1,3,NULL),(28,7240120,'1965-03-21 00:00:00',2,1,11,1983,'F','N','BARREIROS','S JOSÉ','SC','124241241126131431223344242123610123097',NULL,'307',0.00,1,3,NULL),(28,7240139,'1995-03-06 00:00:00',4,23,12,2012,'F','S','AMIZADE','JARAGUÁ SUL','SC','124242241215111431488632222122610138142',NULL,'1174',46.55,1,3,NULL),(28,7240147,'1994-03-28 00:00:00',2,1,12,2011,'F','N','ARMACAO DO P DO SUL','FLORIANÓPOLIS','SC','124241241116271451446629575124610115047',18063,'307',29.48,1,2,1),(28,7240163,'1990-02-28 00:00:00',2,1,12,2007,'M','N','CAPÃO RASO','CURITIBA','PR','116161161146372721336939235123343262157',10555,'9998',42.20,4,2,1),(28,7240171,'1987-03-22 00:00:00',4,1,12,2004,'F','N','SANTO ANTÔNIO','PTO ALEGRE','RS','120202201216471221458831575124343267187',1030,'9998',68.44,1,3,NULL),(28,7240180,'1988-10-07 00:00:00',2,3,12,2005,'F','N','CENTRO','JANDAIA SUL','PR','116162161216572751359612575112142122147',NULL,'9998',0.00,1,3,NULL),(28,7240201,'1994-02-15 00:00:00',2,10,12,2011,'F','N','QUEDAS D ÁGUA','STA ROSA LIMA','SC','124241241117271431434823575124610134117',13339,'688',40.73,1,2,1),(28,7240210,'1994-05-26 00:00:00',2,1,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115131431439833575124610127167',11602,'307',44.21,1,2,1),(28,7240228,'1994-12-21 00:00:00',4,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124243241215111411536634575114610144182',6630,'1118',52.91,1,3,NULL),(28,7240236,'1991-04-10 00:00:00',2,1,7,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243247447371431327314395124610127112',NULL,'9999',27.49,2,1,2),(28,7240244,'1992-07-14 00:00:00',4,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244247417371711446812245134610127182',NULL,'977',21.42,1,3,NULL),(28,7240252,'1989-12-13 00:00:00',2,16,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124244247427151711438924315121610161092',20115,'237',25.81,1,3,NULL),(28,7240260,'1994-08-03 00:00:00',4,15,12,2011,'F','N','LARANJINHA','CRICIÚMA','SC','124241241111131431443619572124610116177',NULL,'209',24.37,1,3,NULL),(28,7240287,'1995-02-18 00:00:00',4,24,11,2012,'F','S','CENTRO','RIO SUL','SC','124242241215111331373412275112610115052',NULL,'991',49.18,1,3,NULL),(28,7240309,'1995-01-13 00:00:00',4,1,12,2012,'F','S','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241217111732446672576124610127055',NULL,'1022',40.07,1,3,NULL),(28,7240317,'1993-05-24 00:00:00',4,8,12,2010,'F','N','IRIRIU','JOINVILLE','SC','124241241316271421448714345124610136047',8581,'470',48.94,4,3,NULL),(28,7240325,'1992-02-28 00:00:00',4,3,12,2008,'M','N','CENTRO','LONDRINA','PR','116162161217572311459734575121610167052',NULL,'9998',0.00,1,3,NULL),(28,7240333,'1991-08-23 00:00:00',4,1,12,2009,'M','N','VILA MONTE ALEGRE','S PAULO','SP','125252251216572751448831381124610124052',11271,'9998',51.68,3,3,NULL),(28,7240341,'1991-10-29 00:00:00',2,1,12,2008,'F','N','JARDIM CECILIA','CPO MAGRO','PR','116161161136572731424324246224610168197',NULL,'9998',28.25,1,2,1),(28,7240350,'1994-03-07 00:00:00',4,1,12,2011,'M','N','AREIAS','S JOSÉ','SC','124241241225131431533611575124610167042',6973,'262',51.07,1,3,NULL),(28,7240368,'1993-09-11 00:00:00',2,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241116371431425729572124610132192',NULL,'307',23.26,1,2,1),(28,7240376,'1992-04-08 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215512411335761575124610127052',12356,'752',50.00,1,3,NULL),(28,7240384,'1994-12-06 00:00:00',4,9,12,2011,'M','N','CENTRO','LAGES','SC','124242241215111731328711595115610137052',NULL,'499',28.92,1,3,NULL),(28,7240392,'1994-11-08 00:00:00',4,16,12,2011,'M','N','APARECIDA','CURITIBANOS','SC','124242241215121431536914575122610137012',14390,'881',36.72,4,3,NULL),(28,7240406,'1994-06-06 00:00:00',2,1,11,2011,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241115111431328631345124610117177',11794,'271',40.83,1,3,NULL),(28,7240422,'1993-03-03 00:00:00',4,2,12,2010,'F','N','ASILO','BLUMENAU','SC','116241241212372431567931575125133224143',NULL,'855',0.00,1,3,NULL),(28,7240430,'1993-04-07 00:00:00',4,3,12,2010,'F','N','PARQUE ANHANGUERA','GOIÂNIA','GO','109092091216472431346832575122610164187',234,'9998',76.47,1,3,NULL),(28,7240449,'1994-04-03 00:00:00',2,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117471431426713575114610164142',13654,'307',40.10,1,2,1),(28,7240457,'1994-11-06 00:00:00',2,8,12,2011,'F','N','BOA VISTA','JOINVILLE','SC','124243246216131431449833572124610137142',NULL,'1105',0.00,4,3,NULL),(28,7240465,'1993-04-15 00:00:00',4,1,12,2010,'F','N','LIMÃO','S PAULO','SP','125252251116371431247724573124610134057',4397,'9998',55.53,1,3,NULL),(28,7240473,'1994-05-10 00:00:00',2,1,12,2011,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241435111431426411295124610125182',16026,'1218',35.83,1,3,NULL),(28,7240481,'1990-09-06 00:00:00',2,4,12,2007,'F','N','SANTO ANTÔNIO','PTO ALEGRE','RS','120201201116572731436923235124241527057',4503,'9998',59.03,4,1,1),(28,7240490,'1994-03-15 00:00:00',4,24,11,2011,'M','N','CENTRO','RIO SUL','SC','124242241215111432368832375125610127046',NULL,'991',0.00,1,3,NULL),(28,7240503,'1994-08-11 00:00:00',2,1,12,2011,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124242241215111431323411275124610136092',20131,'944',25.18,1,3,NULL),(28,7240538,'1995-12-15 00:00:00',4,1,12,2012,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241216111732479819475124610128072',NULL,'270',54.94,1,3,NULL),(28,7240546,'1980-07-07 00:00:00',4,1,12,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241114144431458614411124333267042',11550,'307',51.25,1,3,NULL),(28,7240554,'1994-06-20 00:00:00',4,1,11,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215112411456632572124610128181',4494,'270',56.88,1,3,NULL),(28,7240562,'1976-06-02 00:00:00',4,1,12,1993,'M','N','STA CECILIA','S PAULO','SP','125253251317151431146829415124342146147',14897,'9998',45.81,1,3,NULL),(28,7240570,'1992-10-25 01:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241117573731424311442124610128047',9630,'727',46.88,4,2,1),(28,7240589,'1994-07-27 00:00:00',2,4,12,2011,'F','N','BOA VISTA II','SAUDADES','SC','124241241136371731433813385122610126071',NULL,'761',26.20,1,2,1),(28,7240597,'1994-03-03 00:00:00',4,1,12,2011,'F','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241116471731426314272344610128057',NULL,'772',18.94,1,2,1),(28,7240619,'1994-11-21 00:00:00',4,1,12,2011,'F','N','BOM VIVER','BIGUAÇU','SC','124241241112131431323311292124610117147',NULL,'66',24.85,1,2,1),(28,7240635,'1994-09-05 00:00:00',2,1,12,2011,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241117141231425614345132610123182',NULL,'591',19.29,2,3,NULL),(28,7240643,'1994-09-06 00:00:00',2,2,11,2011,'M','N','NAÇÕES','TIMBÓ','SC','124241241215111431568614275122610117052',10094,'1157',46.05,1,3,NULL),(28,7240660,'1991-07-14 00:00:00',2,7,12,2008,'F','N','CENTRO','CAMPOS NOVOS','SC','120242241211574711565911575122610166177',NULL,'138',0.00,1,3,NULL),(28,7240678,'1993-02-27 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117472431326611485114610114147',12087,'267',42.14,1,2,1),(28,7240694,'1994-09-07 00:00:00',4,1,12,2011,'F','N','SCHRAMM','S BENTO SUL','SC','124241241116271431526674445112610123072',14703,'697',36.75,1,2,1),(28,7240708,'1989-11-05 00:00:00',4,1,12,2007,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215371731467912575112133222012',NULL,'807',15.70,1,3,NULL),(28,7240716,'1990-01-23 00:00:00',4,9,12,2007,'M','N','CONTA DINHEIRO','LAGES','SC','124242241216112451349814435122130722042',NULL,'497',0.00,1,3,NULL),(28,7240724,'1978-06-16 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','224241247326132711433351282112610168092',NULL,'9999',28.62,1,3,NULL),(28,7240732,'1994-08-27 00:00:00',4,2,12,2011,'F','N','GLÓRIA','BLUMENAU','SC','124241241116371731237823245124610114017',16868,'76',32.66,1,2,1),(28,7240740,'1994-10-19 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241246216152411558811575124610126092',9207,'1075',47.97,1,3,NULL),(28,7240767,'1993-10-06 00:00:00',2,1,12,2010,'F','N','FAZENDA','BIGUAÇU','SC','124241241115372431424535585114610163172',7716,'65',52.23,1,2,1),(28,7240775,'1990-07-13 00:00:00',4,1,12,2007,'M','N','BELA VISTA','PALHOÇA','SC','124241241126143421343316345124233227042',12601,'12',49.63,1,2,1),(28,7240791,'1992-01-24 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124221228216471421333639594124610114097',9123,'9998',49.67,1,3,NULL),(28,7240805,'1987-09-25 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215133421468613445124133214182',8738,'269',49.26,1,3,NULL),(28,7240813,'1980-11-10 00:00:00',4,1,8,2001,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241247216273451245543335124610162181',NULL,'1003',0.00,1,3,NULL),(28,7240821,'1994-03-07 00:00:00',4,4,11,2011,'F','N','JOSÉ BONIFÁCIO','ERECHIM','RS','120202201215471431356522375122610133147',8645,'9998',56.03,1,3,NULL),(28,7240830,'1991-04-25 00:00:00',4,1,12,2008,'M','N','NIPO BRASILEIRO','INHUMAS','GO','109091091116471431534414575325610124197',NULL,'9998',0.00,4,2,1),(28,7240848,'1994-02-20 00:00:00',2,8,12,2011,'F','N','AMERICA','JOINVILLE','SC','124242241215121431447924572125610124147',11543,'1016',42.78,1,3,NULL),(28,7240864,'1994-06-15 00:00:00',4,8,10,2011,'M','N','JARDIM LEOCÁDIA','SOROCABA','SP','125252251217111411448834572122610137012',4793,'9998',55.08,1,3,NULL),(28,7240872,'1994-08-10 00:00:00',4,3,12,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241144271741326329112224610128147',10427,'405',46.40,4,2,1),(28,7240880,'1992-02-18 00:00:00',2,8,12,2010,'F','N','SANTA CATARINA','JOINVILLE','SC','124241241215372411458613435112610136112',10902,'1016',43.68,4,1,2),(28,7240902,'1993-08-22 00:00:00',4,10,12,2010,'M','N','SANTIAGO','LAGUNA','SC','124241241112372431327471182344610132052',7243,'158',51.55,1,2,1),(28,7240910,'1993-08-16 00:00:00',2,1,12,2010,'M','N','REI DE OURO','ITATIBA','SP','125253251217211711569814595112610144042',NULL,'9998',0.00,1,3,NULL),(28,7240929,'1992-11-03 00:00:00',4,1,11,2010,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241217372431678613575122610138042',16726,'270',42.14,1,3,NULL),(28,7240937,'1994-03-17 00:00:00',4,24,11,2011,'M','N','PROGRESSO','RIO SUL','SC','124242241235111431227622175125610136017',8670,'654',55.98,1,3,NULL),(28,7240953,'1992-04-30 00:00:00',4,1,12,2009,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241112343421323113445114610117042',12157,'307',40.76,1,2,1),(28,7240961,'1994-01-04 00:00:00',4,8,12,2011,'F','N','VILA RUDY','ARAPOTI','PR','116162161216111431226935575112610147052',NULL,'9998',0.00,1,3,NULL),(28,7240988,'1994-09-01 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215472431426831575122610167067',443,'226',74.71,1,3,NULL),(28,7241011,'1963-05-24 00:00:00',2,1,12,1982,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224103143446153751462643435132340264045',14824,'9998',45.94,4,3,NULL),(28,7241020,'1994-05-13 00:00:00',4,8,11,2011,'F','N','AVENTUREIRO','JOINVILLE','SC','124242248215371431449914575112610134057',6698,'931',53.09,1,3,NULL),(28,7241038,'1994-10-02 00:00:00',2,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241115271731346319385124610167182',14682,'288',38.87,1,2,1),(28,7241046,'1988-12-16 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241137471132433321312112610161192',14555,'307',38.79,1,2,1),(28,7241054,'1993-08-04 00:00:00',4,8,12,2010,'M','N','JARDIM IPIRANGA','MARINGÁ','PR','116162161216472431458811575112610114042',4596,'9998',57.00,1,3,NULL),(28,7241062,'1994-02-26 00:00:00',2,15,10,2010,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241115151752336619395122610167045',NULL,'29',22.29,1,3,NULL),(28,7241089,'1988-02-13 00:00:00',4,15,12,2005,'M','N','CENTRO','BAL ARROIO SILVA','SC','124241246126111112313612225122330214097',NULL,'854',0.00,1,3,NULL),(28,7241097,'1991-09-02 00:00:00',4,1,12,2009,'F','N','PAQUETA','BELO HORIZONTE','MG','113132131216571431458814575114610123047',NULL,'9998',0.00,1,3,NULL),(28,7241100,'1993-06-07 00:00:00',2,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241235372431337819392122231327072',NULL,'1134',0.00,1,3,NULL),(28,7241119,'1959-08-07 00:00:00',2,15,7,1977,'M','N','CENTRO','SOMBRIO','SC','224203208126251751333312225122233218157',NULL,'9998',19.14,1,3,NULL),(28,7241127,'1994-04-11 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115371411436613575124610134142',15391,'307',38.56,1,2,1),(28,7241135,'1994-09-05 00:00:00',4,25,11,2011,'M','N','SÃO FRANCISCO','VIDEIRA','SC','124241241217151431456914475112610147052',8330,'829',50.01,1,3,NULL),(28,7241143,'1994-12-05 00:00:00',2,4,12,2011,'M','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241112271432626623392134610134047',11073,'182',45.85,1,2,1),(28,7241151,'1990-08-20 00:00:00',4,1,6,2009,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201207246131411226541216214610164082',17283,'9998',40.82,1,3,NULL),(28,7241160,'1991-02-22 00:00:00',4,23,12,2009,'F','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124241241136131531523523243114610134027',NULL,'9997',0.00,2,3,NULL),(28,7241178,'1994-02-27 00:00:00',4,1,12,2011,'M','N','CENTRO','CURITIBA','PR','116163161312111531458831284125610114072',907,'9998',70.69,4,3,NULL),(28,7241186,'1992-05-28 00:00:00',4,1,12,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241216473431479933575124610122042',3793,'270',58.82,1,3,NULL),(28,7241216,'1993-08-14 00:00:00',4,2,11,2010,'F','N','CENTRO','IBIRAMA','SC','124242248215473431338611575124610144147',10563,'991',52.82,1,3,NULL),(28,7241224,'1989-11-17 00:00:00',2,15,12,2006,'F','N','IPANEMA','PONTAL PARANÁ','PR','116161161146271431324673245114610124142',NULL,'9998',30.27,1,2,1),(28,7241232,'1995-08-28 00:00:00',4,22,11,2012,'F','S','AZAMBUJA','BRUSQUE','SC','124242241215111731489811495122610144125',NULL,'1244',34.08,1,3,NULL),(28,7241240,'1994-01-22 00:00:00',4,1,12,2011,'M','N','FLAMBOYANT','POMPÉIA','SP','125252251215111231369932575112610167044',14112,'9998',47.25,1,3,NULL),(28,7241267,'1992-07-23 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241246416162511539911385124222254045',NULL,'1075',16.84,1,3,NULL),(28,7241275,'1993-11-25 00:00:00',4,1,12,2010,'F','N','VILA TATETUBA','S JOSÉ CAMPOS','SP','125251251215411431426638585124610132147',8286,'9998',47.42,1,3,NULL),(28,7241283,'1992-10-25 01:00:00',2,1,12,2009,'F','N','FORQUILHAS','S JOSÉ','SC','124241241117573731424311442124610128047',11067,'727',44.92,4,2,1),(28,7241291,'1993-06-08 00:00:00',4,8,12,2010,'M','N','VILA OLIVEIRA','MOGI CRUZES','SP','125254251415371731459814572122610147057',3813,'9998',59.07,4,3,NULL),(28,7241305,'1993-12-11 00:00:00',4,1,11,2010,'M','N','MINA BRASIL','CRICIÚMA','SC','124242241215472711355652575114610164042',5145,'226',58.67,1,3,NULL),(28,7241313,'1989-07-09 00:00:00',4,1,6,2008,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124284281217141431566619445124143234182',17580,'9998',40.11,4,3,NULL),(28,7241321,'1990-07-04 00:00:00',4,1,12,2008,'M','N','JARDIM','STO ANDRÉ','SP','125254251217471411569811415125610166087',6443,'9998',54.01,1,3,NULL),(28,7241330,'1994-01-21 00:00:00',4,2,12,2011,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241117371451423339195124610128147',13125,'83',41.52,1,2,1),(28,7241356,'1994-02-23 00:00:00',2,5,11,2011,'F','N','MICHEL','CRICIÚMA','SC','124242241215122431226624392124610136197',9513,'210',54.52,1,3,NULL),(28,7241364,'1993-09-23 00:00:00',2,1,12,2011,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216121211434852395122610167077',NULL,'1051',28.79,1,3,NULL),(28,7241372,'1983-11-09 00:00:00',2,1,7,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124201205112152721233561395124232544165',19059,'9998',35.07,4,3,NULL),(28,7241380,'1995-07-18 00:00:00',4,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111451368632392122610121092',13908,'299',47.55,1,3,NULL),(28,7241399,'1992-04-29 00:00:00',4,10,11,2009,'M','N','RIACHINHO','JAGUARUNA','SC','124244241216372431446823475112610146182',2060,'806',64.31,1,3,NULL),(28,7241402,'1994-12-04 00:00:00',2,5,12,2011,'F','N','SANGA FUNDA','IÇARA','SC','124241241116271432225829575124610144127',NULL,'1005',14.28,1,2,1),(28,7241410,'1995-03-14 00:00:00',4,5,11,2012,'M','S','COMERCIÁRIO','CRICIÚMA','SC','124244241415121431469713572112610127062',NULL,'226',51.61,1,3,NULL),(28,7241429,'1991-11-05 00:00:00',2,26,12,2008,'M','N','INTERIOR','ITÁ','SC','124241241127131132539913385121610137047',17880,'383',39.26,1,2,1),(28,7241437,'1994-01-01 00:00:00',2,1,11,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117372411555912572124610137077',14239,'21',38.30,1,2,1),(28,7241453,'1992-09-21 00:00:00',4,24,11,2010,'M','N','SUMARÉ','RIO SUL','SC','124242241216472431473817275124610167012',11093,'991',51.97,1,3,NULL),(28,7241461,'1991-11-10 00:00:00',4,1,12,2009,'F','N','JARDIM GUIMARÃES','S JOSÉ CAMPOS','SP','125251256216471441426628372124610123093',NULL,'9998',0.00,1,3,NULL),(28,7241470,'1989-11-28 00:00:00',2,1,11,2006,'F','N','CENTRO','LONDRINA','PR','116161161417471431456612175122440223187',12363,'9998',40.64,1,3,NULL),(28,7241488,'1984-01-03 00:00:00',4,1,7,2002,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124164167446175241338653345123141467187',2286,'9998',68.89,1,3,NULL),(28,7241496,'1991-10-24 00:00:00',4,1,12,2009,'F','N','CENTRO','TIETÊ','SP','125252251216571251447814375122610167047',4292,'9998',55.87,1,3,NULL),(28,7241500,'1992-09-28 00:00:00',4,1,11,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241212574431468812582112610111142',3964,'270',58.77,1,3,NULL),(28,7241518,'1994-12-10 00:00:00',4,8,11,2011,'M','N','SAGUAÇU','JOINVILLE','SC','124244241411111431438518575121610126017',NULL,'494',32.66,1,3,NULL),(28,7241526,'1994-09-14 00:00:00',4,23,12,2011,'M','N','CENTENÁRIO','JARAGUÁ SUL','SC','124241246217111431469914572122610121092',NULL,'1061',31.05,1,3,NULL),(28,7241534,'1994-05-06 00:00:00',4,1,12,2011,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215112431558912471124610127045',2056,'270',64.34,1,3,NULL),(28,7241542,'1993-02-03 00:00:00',2,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','116161161117471441228627572114610136147',NULL,'9998',21.41,1,2,1),(28,7241550,'1992-05-22 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241116132421326521345124610166142',18349,'307',28.23,1,3,NULL),(28,7241569,'1994-06-26 00:00:00',2,1,12,2011,'F','N','BOM VIVER','BIGUAÇU','SC','124241241117371431333614591124610114092',NULL,'65',20.32,1,2,1),(28,7241577,'1984-01-11 00:00:00',2,1,12,2000,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124201201116373751525311242114610128197',10407,'9998',53.07,1,2,1),(28,7241585,'1994-03-02 00:00:00',4,1,9,2011,'F','N','PALOS VERDES','COTIA','SP','125252251217271432468822571122610121141',NULL,'9998',0.00,1,3,NULL),(28,7241607,'1995-01-23 00:00:00',4,16,12,2012,'M','S','CENTRO','CURITIBANOS','SC','124242241217111731455934475122610162032',NULL,'881',40.87,1,3,NULL),(28,7241615,'1994-05-06 00:00:00',4,9,11,2011,'F','N','NOVO MUNDO','CURITIBA','PR','116162161215471741448619572122610164172',5934,'9998',53.88,1,3,NULL),(28,7241631,'1993-07-13 00:00:00',4,8,12,2010,'M','N','CENTRO','PRUDENTÓPOLIS','PR','116162161216471431468831575114610164067',NULL,'9998',0.00,1,3,NULL),(28,7241640,'1993-03-03 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124241241117271731566623315114610145191',NULL,'733',18.92,4,2,1),(28,7241658,'1990-08-27 00:00:00',2,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241213152311126944445224610167042',13056,'270',39.35,1,3,NULL),(28,7241666,'1993-08-23 00:00:00',2,8,12,2010,'M','N','CENTRO','INDIANÓPOLIS','PR','116161161116471451433531185122141964177',5043,'9998',56.19,1,2,1),(28,7241674,'1994-08-02 00:00:00',4,5,12,2011,'M','N','SÃO JOÃO','TUBARÃO','SC','124241241117371731437613184114610115197',NULL,'798',35.48,1,3,NULL),(28,7241682,'1994-09-12 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112731448613575122610134192',7782,'270',51.56,1,3,NULL),(28,7241690,'1994-02-17 00:00:00',2,8,12,2011,'M','N','ITAUM','JOINVILLE','SC','124252241215111431455514575122610137042',NULL,'1105',0.00,1,3,NULL),(28,7241704,'1995-02-11 00:00:00',4,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124242241217111431468813592114613256032',6392,'270',51.29,1,3,NULL),(28,7241712,'1994-11-09 00:00:00',4,15,11,2011,'F','N','CENTRO','TURVO','SC','124243241215111731427612122122610168052',19865,'813',29.72,1,3,NULL),(28,7241739,'1993-11-12 00:00:00',2,5,12,2011,'M','N','CENTRO','CRICIÚMA','SC','124242246215151231547924575122610167182',NULL,'188',28.94,1,3,NULL),(28,7241747,'1993-09-14 00:00:00',4,8,12,2010,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215472451336923595124610154145',NULL,'1063',0.00,4,3,NULL),(28,7241755,'1993-11-09 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241211111521659814575112610167142',NULL,'738',33.44,1,3,NULL),(28,7241763,'1992-08-03 00:00:00',2,1,12,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124201201116131421113644345134610123117',NULL,'9998',23.13,1,2,1),(28,7241771,'1994-03-24 00:00:00',1,8,12,2011,'M','N','GLÓRIA','JOINVILLE','SC','124244246216271431478614175124610127177',12808,'1105',38.72,1,3,NULL),(28,7241780,'1994-03-20 00:00:00',2,1,12,2011,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241225131431433314145124610145097',11867,'262',42.90,1,3,NULL),(28,7241798,'1993-04-23 00:00:00',4,1,12,2011,'M','N','STO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC','124242246117272411439914372124610161142',3881,'306',60.14,1,3,NULL),(28,7241801,'1994-02-03 00:00:00',4,8,12,2011,'F','N','ITAPEMA DO NORTE','ITAPOÁ','SC','124243241317131431448829575122610127047',18685,'413',36.54,1,3,NULL),(28,7241810,'1994-09-18 00:00:00',2,5,11,2011,'M','N','DEMBOSKI','CRICIÚMA','SC','124243241215151431438614575124610112047',5656,'995',54.77,1,3,NULL),(28,7241828,'1994-10-25 00:00:00',4,17,12,2010,'F','N','CENTRO','MAFRA','SC','124243241215472432638834575125230667142',NULL,'541',0.00,1,3,NULL),(28,7241844,'1995-04-08 00:00:00',4,1,11,2012,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241217111432369931575124610144182',NULL,'270',41.11,3,3,NULL),(28,7241852,'1993-08-02 00:00:00',2,1,12,2011,'F','N','JARDIM EUROPA','BIGUAÇU','SC','124242241216111431526634575124610134197',16580,'738',34.11,1,3,NULL),(28,7241860,'1994-07-02 00:00:00',4,17,12,2011,'M','N','VILA FERROVIARIA','MAFRA','SC','124241166217151431346819575124610164187',14898,'9998',45.81,1,3,NULL),(28,7241879,'1994-09-16 00:00:00',4,2,10,2011,'F','N','CENTRO','BLUMENAU','SC','124242241215112431359912575122610123097',3763,'909',59.20,1,3,NULL),(28,7241887,'1994-06-24 00:00:00',4,24,12,2011,'F','N','CENTRO','ITUPORANGA','SC','124241241117131431435511312122610123147',19381,'416',33.47,1,2,1),(28,7241895,'1993-02-22 00:00:00',4,3,12,2010,'M','N','LOTEAMENTO ROYALPARK','OURINHOS','SP','125252251216111331478912275122610117042',NULL,'9998',0.00,1,3,NULL),(28,7241917,'1995-09-13 00:00:00',4,2,12,2012,'M','S','ASILO','BLUMENAU','SC','124242241215111431548811575122610134142',NULL,'909',41.60,1,3,NULL),(28,7241925,'1993-10-17 01:00:00',4,26,11,2010,'M','N','CENTRO','CONCÓRDIA','SC','124242241211472431479914572124240437012',NULL,'1000',32.01,1,3,NULL),(28,7241933,'1994-02-20 00:00:00',4,8,12,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241417111432578814176124610164142',NULL,'931',0.00,1,3,NULL),(28,7241941,'1994-11-21 00:00:00',4,15,12,2011,'M','N','LAGOA DA SERRA','ARARANGUÁ','SC','124241241135142431435313342124610117042',NULL,'29',0.00,1,2,1),(28,7241950,'1987-11-14 00:00:00',2,1,11,2010,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241247126471431224544242324610117112',18014,'9999',32.62,4,1,1),(28,7241968,'1991-04-15 00:00:00',2,1,12,2010,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241247126472431223349292344610126142',NULL,'9999',33.08,4,1,1),(28,7241976,'1991-08-31 00:00:00',4,1,12,2011,'M','N','JD BOA VISTA','LIMEIRA','SP','125251256137471431436711175124610164182',11344,'9998',51.57,2,1,1),(28,7241984,'1994-07-18 00:00:00',4,9,12,2011,'F','N','CENTRO','LAGES','SC','124242241215111431447819572122610124172',9859,'497',53.95,1,3,NULL),(28,7241992,'1994-07-07 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211111711234511571224610112041',5533,'1050',55.33,1,3,NULL),(28,7242000,'1996-01-15 00:00:00',4,22,12,2012,'F','S','CENTRO','S JOÃO BATISTA','SC','124242241115111432338932575124610131172',NULL,'109',50.46,1,3,NULL),(28,7242018,'1995-03-06 00:00:00',4,8,12,2012,'F','S','ANITA GARIBALDI','JOINVILLE','SC','124242241215111711336923595122610154045',NULL,'1063',0.00,1,3,NULL),(28,7242026,'1995-01-04 00:00:00',4,1,11,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124012241215111431679933575124610114187',NULL,'272',36.55,1,3,NULL),(28,7242034,'1981-09-25 00:00:00',2,1,12,1999,'M','N','CAMPINAS','S JOSÉ','SC','224213211416372421256543435122333224092',276,'9998',75.30,1,3,NULL),(28,7242042,'1995-11-21 00:00:00',2,10,11,2012,'F','S','NOVA BRASILIA','IMBITUBA','SC','124242241216111751457932585122610125147',NULL,'362',42.41,1,3,NULL),(28,7242069,'1995-06-30 00:00:00',4,2,11,2012,'F','S','JARDIM BLUMENAU','BLUMENAU','SC','124244241217111731559932575122610137182',NULL,'87',46.97,1,3,NULL),(28,7242077,'1994-03-21 00:00:00',4,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215371431366612575122610122116',12894,'1022',40.24,1,3,NULL),(28,7242085,'1994-02-23 00:00:00',4,3,12,2011,'F','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124241243115371431445631575124610145072',8513,'129',56.24,1,3,NULL),(28,7242115,'1995-06-19 00:00:00',4,10,12,2011,'F','N','SAGRADA FAMÍLIA','IMBITUBA','SC','124241241115371431423339575124610163142',18037,'359',38.78,1,2,1),(28,7242123,'1992-07-20 00:00:00',4,1,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241217373231436414575122610162187',5723,'806',53.74,1,3,NULL),(28,7242131,'1994-03-08 00:00:00',2,9,11,2011,'F','N','CENTRO','URUPEMA','SC','124241241215111431434915575122610133142',8055,'1207',52.53,1,3,NULL),(28,7242140,'1994-12-22 00:00:00',4,8,12,2011,'M','N','BOM RETIRO','JOINVILLE','SC','124241246216111432545332575124610127062',18772,'1006',36.20,1,3,NULL),(28,7242158,'1994-09-27 00:00:00',4,17,12,2011,'F','N','JARDIM PAULINO','S MATEUS SUL','PR','116162168217161431458913575122610135187',19362,'9998',33.57,1,3,NULL),(28,7242166,'1972-09-14 00:00:00',2,15,12,1992,'M','N','TURIMAR','BAL GAIVOTA','SC','124201207347142411358629215122141062121',15919,'9998',43.84,1,3,NULL),(28,7242174,'1993-09-25 00:00:00',4,1,12,2011,'M','N','ROÇADO','S JOSÉ','SC','124241241137131431544319585125610117043',NULL,'729',30.47,1,2,1),(28,7242182,'1994-05-21 00:00:00',4,1,11,2010,'M','N','REAL PARQUE','S JOSÉ','SC','124244241215472431457939372114610164045',7940,'1022',49.74,1,3,NULL),(28,7242190,'1995-04-02 00:00:00',2,1,12,2011,'M','N','JD LEBLOM','REGISTRO','SP','125253251317151411425623575122610128191',NULL,'9998',0.00,1,3,NULL),(28,7242247,'1994-08-06 00:00:00',4,4,12,2011,'F','N','CENTRO','NOVA ERECHIM','SC','124241241117471431437834575124610136142',10928,'572',44.05,1,2,1),(28,7242255,'1983-07-09 00:00:00',2,1,12,2001,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','224251251136371431421139345134610116182',15128,'9998',36.34,4,2,1),(28,7242280,'1993-05-30 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241213112421337829595124230264167',19646,'259',31.63,1,3,NULL),(28,7242301,'1993-11-01 00:00:00',4,10,11,2011,'F','N','VILA MOEMA','TUBARÃO','SC','124241241215111431446414575122610138072',NULL,'809',38.08,1,3,NULL),(28,7242310,'1988-06-20 00:00:00',2,1,12,2008,'M','N','RES UNIAO','S JOSÉ CAMPOS','SP','125251251115535311416416571124610154012',NULL,'9998',26.95,3,2,1),(28,7242328,'1995-11-22 00:00:00',4,4,12,2012,'F','S','CENTRO','CHAPECÓ','SC','124241241217111731569933575122610114142',NULL,'1191',46.07,1,3,NULL),(28,7242336,'1994-02-23 00:00:00',4,7,11,2011,'F','N','BATEL','CURITIBA','PR','116242161415471431345612572112610134182',NULL,'9998',0.00,1,3,NULL),(28,7242344,'1986-09-14 00:00:00',2,1,12,2004,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241244117372431226644245123610124042',NULL,'733',24.57,4,2,1),(28,7242352,'1988-11-28 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241132144411111144342214610134057',NULL,'298',0.00,1,2,1),(28,7242360,'1993-03-11 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247216331431256923475124231027097',NULL,'9999',0.00,1,3,NULL),(28,7242379,'1995-08-27 00:00:00',4,1,12,2011,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241215111431436631575122610122047',17974,'1077',39.00,1,3,NULL),(28,7242387,'1994-07-30 00:00:00',4,22,12,2011,'M','N','SÃO PEDRO','GUABIRUBA','SC','124241241127131421555312245331610162142',NULL,'924',21.38,3,2,1),(28,7242395,'1993-09-03 00:00:00',4,1,11,2011,'M','N','UBERABA','CURITIBA','PR','116164161435471531436923575124610167182',NULL,'9998',0.00,1,3,NULL),(28,7242409,'1995-07-11 00:00:00',4,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431668819595122610133185',17760,'262',39.59,1,3,NULL),(28,7242417,'1990-10-13 00:00:00',4,1,12,2008,'M','N','CENTRO','DOURADOS','MS','124122121216473431468613575122221464042',1929,'9998',65.98,3,3,NULL),(28,7242425,'1994-09-28 00:00:00',4,1,12,2011,'M','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241125161431333931385124610147047',NULL,'1099',19.54,1,2,1),(28,7242433,'1993-09-13 00:00:00',4,8,11,2010,'F','N','JARDIM IRIRIU','JOINVILLE','SC','124241244345141431416634245124610132012',19653,'470',31.56,1,3,NULL),(28,7242441,'1990-02-23 00:00:00',4,1,12,2007,'F','N','JARDIM SAO DIMAS','S JOSÉ CAMPOS','SP','125254251211472431559911415112610164021',5029,'9998',56.09,1,3,NULL),(28,7242468,'1987-08-07 00:00:00',2,8,12,2004,'F','N','CENTRO','CASCAVEL','PR','116162161216572431456621575112142443141',NULL,'9998',0.00,1,3,NULL),(28,7242476,'1992-02-15 00:00:00',2,1,12,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241147471431223324385124610134197',NULL,'292',30.14,1,2,1),(28,7242484,'1994-06-06 00:00:00',4,10,12,2011,'M','N','CAÇADOR','CAPIVARI BAIXO','SC','124241241137131411446313575124610134187',16809,'158',32.47,2,1,1),(28,7242506,'1991-07-16 00:00:00',2,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215374431348774445112610124067',11325,'1022',43.53,1,3,NULL),(28,7242514,'1995-01-23 00:00:00',2,1,12,2011,'M','N','SÃO MATEUS','BIGUAÇU','SC','124241241116111532323316172124610117045',19842,'65',29.90,1,2,1),(28,7242522,'1986-01-28 00:00:00',4,1,12,2003,'M','N','VILA CARVALHO','SOROCABA','SP','125252251216141411358974445124442947142',NULL,'9998',0.00,2,3,NULL),(28,7242530,'1988-05-02 00:00:00',2,1,12,2005,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215574741253427275124122625092',NULL,'44',0.00,1,3,NULL),(28,7242549,'1991-06-14 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124162161415575431445852575114121427042',8699,'9998',50.07,1,3,NULL),(28,7242557,'1992-08-04 00:00:00',2,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124241241115372731226321241324610122187',14479,'734',39.12,4,2,1),(28,7242565,'1994-03-21 00:00:00',4,1,11,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241317112431459833572122610131142',2360,'270',63.24,1,3,NULL),(28,7242590,'1993-05-18 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241115373431346613575114610143017',7175,'271',50.76,1,3,NULL),(28,7242603,'1994-12-07 00:00:00',2,7,12,2011,'F','N','FREI BRUNO','JOAÇABA','SC','124243241215371431447823575122610122147',16329,'962',43.04,1,3,NULL),(28,7242611,'1991-11-22 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241312372411336813345134610117041',14095,'271',42.17,4,1,2),(28,7242620,'1994-07-10 00:00:00',4,10,1,2012,'M','N','SAMUEL SANDRINI','ORLEANS','SC','124241241137131431426514385112610132197',NULL,'580',25.18,1,2,1),(28,7242638,'1994-08-09 00:00:00',4,2,12,2011,'M','N','TESTO SALTO','BLUMENAU','SC','124241241216121231458932575124610167142',10269,'624',45.93,1,3,NULL),(28,7242646,'1992-07-22 00:00:00',4,6,12,2009,'F','N','CORDEIROS','ITAJAÍ','SC','124241241117572431334334374124610167147',8369,'1056',49.48,1,2,1),(28,7242654,'1993-11-12 00:00:00',2,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241217272431356623585122610127052',4843,'737',56.77,1,3,NULL),(28,7242662,'1994-03-16 00:00:00',2,8,12,2011,'F','N','COLONIAL','S BENTO SUL','SC','124241241135371431423621575122610138077',12815,'697',41.48,1,2,1),(28,7242670,'1985-08-14 00:00:00',4,2,12,2001,'F','N','FIDÉLIS','BLUMENAU','SC','124241241116375431323325215124131363197',3204,'69',59.92,1,2,1),(28,7242689,'1991-01-24 00:00:00',4,8,12,2008,'M','N','VILA NOVA','JOINVILLE','SC','124241243215272431346419445122610157142',9389,'1006',47.79,1,3,NULL),(28,7242697,'1994-07-04 00:00:00',4,2,12,2011,'M','N','DOS ESTADOS','INDAIAL','SC','124242241215121531477932575114610132041',11356,'855',41.44,1,3,NULL),(28,7242719,'1994-05-20 00:00:00',4,1,12,2011,'M','N','AREIAS','S JOSÉ','SC','124241241117372431426624182124610137051',11945,'734',41.63,4,2,1),(28,7242727,'1995-08-26 00:00:00',4,9,12,2011,'M','N','VILA NOVA','LAGES','SC','124242241215111431457814575112610168045',1267,'497',64.13,1,3,NULL),(28,7242735,'1993-03-11 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241115372431436611345124610115097',17587,'307',40.07,1,3,NULL),(28,7242751,'1991-07-05 00:00:00',4,1,12,2008,'M','N','JARDIM UTINGA','STO ANDRÉ','SP','125251251116571412334623485124243268017',17944,'9998',39.09,2,1,1),(28,7242778,'1993-11-15 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217271451368921572122610124042',1990,'270',64.65,1,3,NULL),(28,7242786,'1983-03-07 00:00:00',4,1,10,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224252251216142421328444245134233267117',15182,'9998',45.26,1,3,NULL),(28,7242816,'1992-04-06 00:00:00',4,1,12,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241416153431226549495124223243145',16538,'1075',33.89,1,3,NULL),(28,7242832,'1993-05-02 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241215472731358823575345610134121',1515,'270',65.98,1,3,NULL),(28,7242859,'1994-10-21 00:00:00',2,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111731468633575122610138125',NULL,'262',33.13,1,3,NULL),(28,7242883,'1990-09-16 00:00:00',2,15,12,2007,'F','N','CENTRO','ARARANGUÁ','SC','124241241216574751334939575124130622157',4482,'26',56.85,1,3,NULL),(28,7242891,'1993-12-09 00:00:00',4,10,12,2011,'M','N','KM SESSENTA E TRÊS','TUBARÃO','SC','124241241216111431437634575124610137142',14269,'809',37.38,1,3,NULL),(28,7242921,'1990-12-10 00:00:00',4,10,6,2009,'M','N','COHAB','GR PARÁ','SC','124241241124331331535624235113610134043',18284,'9999',38.03,2,1,1),(28,7242930,'1995-08-14 00:00:00',4,1,12,2012,'F','S','CANUDOS','ANTÔNIO CARLOS','SC','124241241117151731323324572125610127142',NULL,'21',23.05,4,3,NULL),(28,7242948,'1993-12-31 00:00:00',2,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117371431425321246124610147062',15774,'257',35.01,1,2,1),(28,7242956,'1994-09-25 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111751589911572112610138072',NULL,'262',25.75,1,3,NULL),(28,7242964,'1994-10-20 00:00:00',2,1,11,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111432359934515112610137012',NULL,'262',25.90,1,3,NULL),(28,7242972,'1983-05-12 00:00:00',4,1,7,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242247426131451128644345124610168187',16679,'9999',42.25,1,3,NULL),(28,7242980,'1993-04-01 00:00:00',4,8,12,2011,'M','N','IRIRIU','JOINVILLE','SC','124241241145141431436614241122610127042',14202,'470',40.74,1,3,NULL),(28,7242999,'1995-07-21 00:00:00',4,1,11,2012,'F','S','JURERÊ','FLORIANÓPOLIS','SC','124242241215121411548812495122610146182',NULL,'884',31.43,1,3,NULL),(28,7243006,'1987-08-14 00:00:00',2,1,7,2005,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241127271732634414441124610123192',NULL,'941',22.83,1,2,1),(28,7243014,'1993-04-30 00:00:00',4,1,12,2010,'F','N','REGIAO DO LAGO I','CASCAVEL','PR','116164161436371411469934475122141061182',NULL,'9998',24.23,1,3,NULL),(28,7243022,'1994-02-26 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217272431468831575125610167042',2450,'270',62.71,1,3,NULL),(28,7243030,'1993-09-27 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241217112411469813575112610122052',7231,'1134',58.42,4,3,NULL),(28,7243049,'1994-11-04 00:00:00',4,7,11,2011,'M','N','CENTRO','JOAÇABA','SC','124242241215372431449814375122610127142',16740,'454',32.32,1,3,NULL),(28,7243065,'1992-01-28 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124094091216141421228854345124242062122',5991,'9998',50.35,4,3,NULL),(28,7243073,'1992-03-31 00:00:00',2,1,12,2010,'F','N','CENTRO','S JOSÉ','SC','124242246115132431427614482224230435055',17215,'306',40.96,1,3,NULL),(28,7243081,'1980-02-08 00:00:00',2,1,7,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624203247227271411653654115122610164173',12144,'9999',50.34,1,3,NULL),(28,7243090,'1994-09-14 00:00:00',4,24,10,2011,'M','N','CENTRO','BRAÇO TROMBUDO','SC','124243241215271431386632575122610148052',4562,'991',58.17,1,3,NULL),(28,7243111,'1987-04-22 00:00:00',4,1,12,2004,'M','N','V N CACHOEIRINHA','S PAULO','SP','125253251416571711358613335124610134017',NULL,'9998',0.00,1,3,NULL),(28,7243138,'1995-05-18 00:00:00',4,1,12,2011,'M','N','ESTREITO','ALFREDO WAGNER','SC','124241241125161431233911395111613214057',13490,'13',40.67,1,3,NULL),(28,7243146,'1986-05-20 00:00:00',2,1,12,2003,'F','N','ESTREITO','FLORIANÓPOLIS','SC','524131131136371751423319185124610124147',9428,'9998',47.67,4,2,1),(28,7243154,'1993-03-04 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431459913575125233264142',7988,'270',50.08,1,3,NULL),(28,7243162,'1990-09-15 00:00:00',4,1,11,2007,'F','N','CENTRO','GUARULHOS','SP','125252251216471431576631575112140422122',NULL,'9998',0.00,1,3,NULL),(28,7243170,'1994-11-11 00:00:00',4,1,12,2011,'M','N','CENTRO','LONDRINA','PR','116162161216111441546632171112610164042',16184,'9998',43.36,1,3,NULL),(28,7243189,'1989-03-04 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431588812325122221464187',6876,'270',59.05,1,3,NULL),(28,7243200,'1993-10-24 00:00:00',4,1,11,2011,'F','N','VILA VALENÇA','S VICENTE','SP','125252251216371431458613585122610134122',8530,'9998',50.42,1,3,NULL),(28,7243219,'1990-06-19 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241112274431325529572122610165072',6142,'840',54.06,1,2,1),(28,7243227,'1992-05-03 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431446614597125610167017',3918,'454',56.05,4,3,NULL),(28,7243235,'1994-11-05 00:00:00',4,1,11,2012,'M','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217111741467812575122610167115',NULL,'270',30.32,1,3,NULL),(28,7243243,'1954-03-08 00:00:00',2,1,4,2008,'F','N','CAMARGO II','ÁGUAS S PEDRO','SP','125251257147131411117462375114610165187',NULL,'9998',30.68,1,2,1),(28,7243251,'1992-04-28 00:00:00',4,1,12,2009,'F','N','JARDIM ITAIPÚ','PRES PRUDENTE','SP','125252251316572431336821572122610133197',6322,'9998',52.18,1,3,NULL),(28,7243260,'1993-05-10 00:00:00',4,1,12,2011,'M','N','VIVENDAS DO ARVOREDO','LONDRINA','PR','116162161217111531554739575112610134186',NULL,'9998',0.00,3,3,NULL),(28,7243278,'1992-09-08 00:00:00',2,1,12,2009,'M','N','CENTRO','BIGUAÇU','SC','124244241416573431447953375124121767111',7885,'1118',52.09,1,3,NULL),(28,7243286,'1995-01-09 00:00:00',4,25,12,2011,'M','N','CENTRO','FRAIBURGO','SC','124242241215371431446832575124610134182',3195,'317',60.03,1,3,NULL),(28,7243308,'1992-11-03 00:00:00',4,15,11,2009,'F','N','DIVINÉIA','ARARANGUÁ','SC','124241241315373431323614375125233222042',NULL,'32',28.76,1,3,NULL),(28,7243316,'1994-04-22 00:00:00',4,9,12,2011,'M','N','CENTRO','LAGES','SC','124241241215111431436729292121610127142',8417,'499',56.40,1,3,NULL),(28,7243324,'1994-05-25 00:00:00',2,16,12,2011,'M','N','BOM JESUS','CURITIBANOS','SC','124242241317111531435933395112610162175',NULL,'237',20.55,1,3,NULL),(28,7243332,'1994-08-18 00:00:00',4,8,12,2011,'M','N','CIDADE NOVA','INDAIATUBA','SP','125253251215111431553732115131610168047',NULL,'9998',0.00,4,3,NULL),(28,7243340,'1994-06-13 00:00:00',4,6,12,2011,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241215371431458834574122610121197',8013,'392',51.25,1,3,NULL),(28,7243367,'1991-06-24 00:00:00',4,5,9,2010,'M','N','BARRA DA TIJUCA','RIO JANEIRO','RJ','121212217216371311446619571112610157042',NULL,'9998',0.00,1,3,NULL),(28,7243375,'1990-07-25 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241317373421346673345134133264042',15781,'292',44.14,4,3,NULL),(28,7243383,'1989-04-12 00:00:00',4,1,6,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224241247422141411224444345234230246117',NULL,'9999',23.45,1,3,NULL),(28,7243391,'1993-09-25 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431368619375122610132182',14270,'270',47.00,1,3,NULL),(28,7243405,'1994-10-11 00:00:00',4,1,12,2011,'M','N','AREIAS','S JOSÉ','SC','124242241215112232438613575124610134072',14092,'738',37.15,2,1,2),(28,7243413,'1995-05-19 00:00:00',4,8,11,2011,'M','N','GLÓRIA','JOINVILLE','SC','124242241215111711478732575122610127092',16465,'457',42.74,1,3,NULL),(28,7243421,'1994-03-05 00:00:00',4,1,12,2011,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124142248432111431228923575124610143142',16634,'307',35.37,4,3,NULL),(28,7243448,'1992-02-17 00:00:00',2,1,12,2008,'F','N','SÃO CRISTÓVÃO','CASCAVEL','PR','116162161216141421558933575124241432072',13137,'9998',48.79,4,3,NULL),(28,7243456,'1977-06-18 00:00:00',4,1,12,2001,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','624253257326131421323344245124610167117',NULL,'9998',10.50,4,1,2),(28,7243480,'1994-01-10 00:00:00',2,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215472411478712575124610134182',10136,'446',46.57,1,3,NULL),(28,7243510,'1991-12-19 00:00:00',2,1,11,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241125573531456732175124610167061',9950,'285',47.72,1,2,1),(28,7243529,'1993-08-18 00:00:00',4,8,12,2010,'M','N','JARDIM CAIÇARA I','REGISTRO','SP','116252251216472431435532575124610124042',11153,'9998',43.49,1,3,NULL),(28,7243537,'1992-11-20 00:00:00',4,1,12,2010,'F','N','PARQUE NOVO MUNDO','AMERICANA','SP','125252251216471431433421575112610132194',NULL,'9998',17.88,1,3,NULL),(28,7243545,'1991-09-05 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116134532328624575112610161187',11761,'287',43.78,1,2,1),(28,7243553,'1988-11-29 00:00:00',2,5,12,2006,'M','N','CENTRO','CRICIÚMA','SC','124242241216153411449912143122131164117',14436,'226',46.68,1,3,NULL),(28,7243561,'1994-06-28 00:00:00',4,2,11,2011,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241215371431458812571122610134092',5898,'909',60.75,1,3,NULL),(28,7243570,'1986-10-05 00:00:00',2,6,8,2005,'M','N','PRAÇA','TIJUCAS','SC','124241241146271141431344145123610132057',15508,'971',36.29,3,2,1),(28,7243596,'1989-02-15 00:00:00',4,1,6,2008,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124244247447473431668813575114610128185',NULL,'9999',31.62,3,3,NULL),(28,7243600,'1992-06-30 00:00:00',2,1,12,2007,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201317471431436732185125143211117',8435,'9998',50.16,1,3,NULL),(28,7243618,'1992-09-21 00:00:00',4,1,2,2011,'M','N','BOSQUE DA SAUDE','CUIABÁ','MT','111112111237371431547932375124140427057',19201,'9998',34.37,4,3,NULL),(28,7243634,'1973-06-08 00:00:00',4,1,12,2008,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','624241247127132421424241146124610132037',NULL,'306',0.00,1,2,1),(28,7243650,'1989-05-13 00:00:00',4,8,11,2006,'F','N','AFONSO PENA','S JOSÉ PINHAIS','PR','125253253216573431558834571322610133017',1382,'9998',65.75,1,3,NULL),(28,7243677,'1985-07-04 00:00:00',4,1,12,2002,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124201201117131421128644445134141467047',5911,'9998',51.79,1,2,1),(28,7243685,'1991-06-14 00:00:00',2,1,8,2010,'M','N','VILA NOVA','IMBITUBA','SC','124241246116372731124844345124231063147',14695,'306',36.44,1,2,1),(28,7243693,'1992-06-02 00:00:00',2,10,12,2009,'M','N','VILLAGE','IMBITUBA','SC','124241241216153431438633575122610164047',9050,'362',55.34,1,3,NULL),(28,7243707,'1994-06-24 00:00:00',2,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244241217111431668879575112610146075',20082,'884',26.66,1,3,NULL),(28,7243723,'1994-02-20 00:00:00',4,1,12,2011,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241225131431426711145124610162053',NULL,'262',11.03,1,3,NULL),(28,7243740,'1993-07-25 00:00:00',2,1,12,2011,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124244241215111531463514275114610127045',NULL,'300',25.65,1,3,NULL),(28,7243758,'1990-10-10 00:00:00',4,1,12,2008,'M','N','SACO GRANDE II','FLORIANÓPOLIS','SC','124241241117142711543614445124610127045',NULL,'298',0.00,1,2,1),(28,7243774,'1995-04-02 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431589911475122610145192',14404,'262',46.75,1,3,NULL),(28,7243782,'1989-05-16 00:00:00',4,1,12,2006,'M','N','CENTRO HISTÓRICO','PTO ALEGRE','RS','120203201316371741459813415124340964087',1301,'9998',67.09,1,3,NULL),(28,7243790,'1993-05-04 00:00:00',4,1,6,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242244217311431248619575125610134182',16902,'270',41.75,1,3,NULL),(28,7243804,'1982-05-08 00:00:00',5,8,12,2002,'M','N','JARDIM NOVA COIMBRA','COTIA','SP','125251251126141431312318285124343222052',NULL,'9998',0.00,4,2,1),(28,7243812,'1987-08-06 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124114111417151411456923375124341036097',NULL,'9998',0.00,1,3,NULL),(28,7243820,'1995-01-23 00:00:00',2,1,12,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241232111532533879245124610138012',18795,'1022',36.11,1,3,NULL),(28,7243847,'1994-01-05 00:00:00',4,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','124244241217372151346614393114610167094',19138,'723',34.70,1,3,NULL),(28,7243855,'1994-04-10 00:00:00',4,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112231358614575114610138097',NULL,'1022',26.17,1,3,NULL),(28,7243863,'1993-07-20 00:00:00',4,1,12,2010,'M','N','CANTO','FLORIANÓPOLIS','SC','124243241117131431333529575114610124172',14491,'257',46.61,1,3,NULL),(28,7243871,'1992-05-07 00:00:00',4,1,12,2009,'F','N','ALTOS DA BELA VISTA','INDAIATUBA','SP','125252251217572411578914575112610163142',12810,'9998',49.29,1,3,NULL),(28,7243880,'1991-09-02 00:00:00',4,1,12,2011,'F','N','SÃO JOSÉ','S JOSÉ','SC','124243247125111431626412475122610163015',NULL,'9999',11.28,1,3,NULL),(28,7243898,'1992-02-15 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211143411239913582111221418022',6800,'486',59.19,1,3,NULL),(28,7243901,'1993-03-08 00:00:00',4,24,12,2010,'F','N','SANTO ANTÔNIO','ITUPORANGA','SC','124241241142131411431323242231610124052',19465,'415',32.94,4,2,1),(28,7243928,'1993-09-06 00:00:00',4,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124242241215472431435612315124610122187',8122,'259',49.35,1,3,NULL),(28,7243936,'1991-12-16 00:00:00',4,24,12,2009,'M','N','CENTRO','ITUPORANGA','SC','124241241116153451428923375124131466172',12051,'416',40.44,1,3,NULL),(28,7243944,'1993-08-26 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241125372431424321215134610163057',14786,'702',46.01,1,2,1),(28,7243979,'1990-02-25 00:00:00',2,24,12,2007,'F','N','CENTRO','ITUPORANGA','SC','124241241426133451428923475124232626142',12849,'414',38.53,1,3,NULL),(28,7243987,'1990-07-27 00:00:00',4,1,11,2007,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241117152731453623435124613267187',11851,'732',43.48,1,3,NULL),(28,7244002,'1993-12-19 00:00:00',2,1,12,2011,'F','N','BELA VISTA I','S JOSÉ','SC','124241241115111431423624155124610113052',NULL,'739',32.10,1,2,1),(28,7244010,'1994-10-23 00:00:00',4,1,11,2011,'M','N','JARDIM EUCALIPTUS','PALHOÇA','SC','124242241215211112578611575112610127045',10976,'1011',46.07,1,3,NULL),(28,7244029,'1991-10-06 00:00:00',2,10,12,2009,'M','N','MATO ALTO','LAGUNA','SC','124241241126131431323111342333610127063',NULL,'524',0.00,1,3,NULL),(28,7244037,'1991-12-11 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241137272421659513445134133234147',NULL,'307',30.23,1,2,1),(28,7244045,'1991-10-10 00:00:00',2,17,12,2011,'M','N','RODEIO GRANDE','MTE CASTELO','SC','124241242116131511423429445124610163037',NULL,'566',0.00,2,1,1),(28,7244053,'1991-12-31 00:00:00',1,8,12,2009,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215372431489714491122221464052',605,'486',72.20,1,3,NULL),(28,7244061,'1986-06-25 00:00:00',4,1,12,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241246146234711332332345124121724042',NULL,'307',0.00,1,3,NULL),(28,7244070,'1994-02-08 00:00:00',4,8,12,2011,'F','N','BOA VISTA','JOINVILLE','SC','124241248237131431326832475124610133147',NULL,'1105',25.11,1,3,NULL),(28,7244096,'1994-12-27 00:00:00',2,1,12,2011,'F','N','VILA PORTUGUESA','STO ANTÔNIO PLATINA','PR','116161161217371411329924575122610124142',12162,'9998',39.09,1,3,NULL),(28,7244100,'1994-02-13 00:00:00',4,24,12,2011,'F','N','RIO AZUL','RIO CAMPO','SC','124241241126161431537336395124610128147',19211,'651',34.29,1,2,1),(28,7244118,'1994-06-18 00:00:00',4,8,12,2011,'F','N','VILA NOVA','JOINVILLE','SC','124241241217131431316624572224610127142',19431,'1105',33.16,1,3,NULL),(28,7244126,'1987-01-22 00:00:00',2,2,11,2006,'F','N','ITOUPAVAZINHA','BLUMENAU','SC','124241247622131421636444246314610115147',19018,'9999',35.28,2,1,2),(28,7244142,'1989-09-16 00:00:00',2,1,3,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242247217275431369912575124132844112',18391,'9999',37.68,1,3,NULL),(28,7244150,'1992-04-24 00:00:00',4,4,12,2010,'F','N','PERPÉTUO SOCORRO','S LOURENÇO OESTE','SC','124252251216472431545532595125610137057',10441,'9998',44.58,1,3,NULL),(28,7244169,'1993-08-15 00:00:00',4,3,11,2010,'M','N','SANTA REGINA','CAMBORIÚ','SC','124241241117472411337614572112610164172',14637,'50',46.28,1,2,1),(28,7244185,'1984-10-19 00:00:00',4,1,12,2002,'F','N','COPACABANA','RIO JANEIRO','RJ','121134071216143751448811572124341563027',6016,'9998',60.55,1,3,NULL),(28,7244193,'1992-12-08 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372431469833575112610127012',4206,'1169',61.72,1,3,NULL),(28,7244207,'1994-03-02 00:00:00',2,8,11,2011,'F','N','GLÓRIA','JOINVILLE','SC','124244241217271431456931576124610127142',NULL,'1006',0.00,1,3,NULL),(28,7244215,'1989-04-23 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217113231388923495132231027052',11625,'270',51.13,1,3,NULL),(28,7244240,'1994-12-07 00:00:00',2,10,11,2011,'F','N','OFICINAS','TUBARÃO','SC','124241241315111431336923575212610124047',8888,'807',47.99,1,3,NULL),(28,7244266,'1991-07-31 00:00:00',4,1,12,2008,'F','N','CENTRO','GAROPABA','SC','124241241116574431446911395124610133197',NULL,'322',30.29,1,2,1),(28,7244274,'1990-06-25 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251312132431328619491124141417147',12469,'9998',40.52,1,3,NULL),(28,7244282,'1991-04-10 00:00:00',2,1,7,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243248117151451448712145123232864017',13682,'306',37.95,1,3,NULL),(28,7244290,'1994-09-19 00:00:00',4,8,12,2011,'F','N','UBATUBA','S FRANCISCO SUL','SC','124242241217111541437934575122610134075',NULL,'992',0.00,1,3,NULL),(28,7244312,'1987-06-16 00:00:00',2,1,12,2004,'M','N','CENTRO','VOTORANTIM','SP','125252251416133231447639332122242735013',14516,'9998',36.93,1,3,NULL),(28,7244320,'1993-10-31 00:00:00',2,1,12,2011,'F','N','SÃO JOSÉ','S JOSÉ','SC','124241241111471331217621375124610112195',NULL,'307',16.67,1,2,1),(28,7244339,'1990-03-02 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116473731433417495225133212144',14760,'359',40.63,1,2,1),(28,7244347,'1985-05-30 00:00:00',2,1,12,2003,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201201116131231223354345124143223047',NULL,'9998',0.00,1,2,1),(28,7244355,'1993-02-18 00:00:00',4,1,12,2011,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124242246117141431326721395124610132015',6569,'306',50.27,1,3,NULL),(28,7244380,'1995-05-24 00:00:00',4,1,11,2012,'M','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215121431348832575124610124192',NULL,'270',51.78,1,3,NULL),(28,7244398,'1992-11-03 00:00:00',2,1,12,2010,'F','N','CENTRO','S JOSÉ','SC','124244241216372431568513575124131333142',18249,'723',38.13,1,3,NULL),(28,7244401,'1994-06-09 00:00:00',2,1,12,2011,'F','N','NOVO HORIZONTE','MARABÁ','PA','114142141216371431556812592122610163022',NULL,'9998',18.04,4,3,NULL),(28,7244428,'1991-06-10 00:00:00',2,15,12,2009,'M','N','MORRO DOS CONVENTOS','ARARANGUÁ','SC','124242241216141431436873485114131064187',NULL,'32',0.00,1,3,NULL),(28,7244436,'1985-03-31 00:00:00',4,1,12,2003,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124254251316153441332721285113222362092',NULL,'9998',0.00,1,3,NULL),(28,7244444,'1990-10-08 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241215472431489911575124133227092',4784,'270',54.79,1,3,NULL),(28,7244460,'1994-02-10 00:00:00',4,1,12,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241115371431656672572124610164142',9047,'307',46.37,1,2,1),(28,7244479,'1993-06-23 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215471431479812572114610132182',3230,'270',66.28,1,3,NULL),(28,7244487,'1989-10-16 00:00:00',2,16,12,2007,'F','N','SAO JOSE','CURITIBANOS','SC','124241248111131411312371392342610136187',NULL,'240',0.00,1,2,1),(28,7244495,'1994-06-17 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215271731238823575114610168192',11936,'1048',42.27,1,3,NULL),(28,7244509,'1968-09-03 00:00:00',4,1,12,1986,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224241246117372421566543332123121734197',NULL,'306',11.85,1,2,1);
INSERT INTO candidato VALUES (28,7244517,'1995-02-14 00:00:00',4,4,12,2011,'M','N','INTERIOR','ÁGUAS CHAPECÓ','SC','124241241126131431336632575124610127052',NULL,'10',9.54,1,2,1),(28,7244525,'1992-03-13 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217343731439973442134610145012',18924,'272',35.58,1,3,NULL),(28,7244533,'1994-06-22 00:00:00',4,1,12,2011,'M','N','NOVA BRASILIA','IMBITUBA','SC','124241248116371751526619495224610114053',20038,'359',27.47,1,3,NULL),(28,7244541,'1982-02-01 00:00:00',2,1,12,2000,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124201205217131431126444342234142225187',NULL,'9998',0.00,1,3,NULL),(28,7244550,'1993-12-12 00:00:00',4,1,12,2010,'F','N','INTERIOR','GALVÃO','SC','124241241117131731323315272314610125057',NULL,'321',18.60,1,2,1),(28,7244568,'1992-10-20 00:00:00',2,1,12,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215152431236823442112610117062',NULL,'272',24.59,1,3,NULL),(28,7244576,'1992-01-20 00:00:00',4,1,6,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241248135372431636619375124610123097',3689,'306',58.26,4,2,1),(28,7244584,'1993-08-19 00:00:00',2,1,12,2010,'F','N','COLONIA SANTANA','S JOSÉ','SC','124241241142112431534514572224610114192',NULL,'731',20.77,1,3,NULL),(28,7244592,'1994-10-07 00:00:00',4,1,12,2011,'F','N','RIO DO CEDRO','ÁGUAS MORNAS','SC','124241241115141231323336575124610127057',18479,'978',25.85,1,2,1),(28,7244606,'1992-08-11 00:00:00',2,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241132472731433334345124610167042',11781,'298',42.03,1,2,1),(28,7244614,'1992-05-25 00:00:00',4,1,11,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241216273751437624485114610164097',10310,'724',53.21,1,3,NULL),(28,7244630,'1992-07-11 00:00:00',2,1,12,2010,'M','N','CANTO DOS ARAÇÁS','FLORIANÓPOLIS','SC','124241247415132331663331175124610154062',10934,'1198',45.42,1,3,NULL),(28,7244649,'1976-01-19 00:00:00',2,1,12,1993,'F','N','BARREIROS','S JOSÉ','SC','124242241136135431368979415122421036167',NULL,'307',21.88,1,3,NULL),(28,7244657,'1994-06-29 00:00:00',4,27,12,2011,'F','N','INTERIOR','ITAPIRANGA','SC','124241241116151431413335572124610138197',10829,'411',44.51,1,2,1),(28,7244665,'1986-04-01 00:00:00',2,1,12,2004,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241127232252343329482212610164043',11549,'288',51.25,1,2,1),(28,7244673,'1992-08-31 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116373431336821575114230864141',11869,'307',42.05,1,2,1),(28,7244703,'1987-04-16 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','125252251436273411218812445125243266182',NULL,'9998',0.00,1,3,NULL),(28,7244746,'1989-03-18 00:00:00',4,1,12,2007,'F','N','CENTRO','CRICIÚMA','SC','124241244116131411121144241124131047147',NULL,'785',35.41,1,2,1),(28,7244762,'1994-02-25 00:00:00',4,1,1,2012,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201241117271431525569375114610132147',9173,'307',48.79,4,2,1),(28,7244770,'1994-04-12 00:00:00',2,1,11,2011,'M','N','ESQUINA','URUBICI','SC','124242241215122441488412575114610124175',6760,'270',59.06,1,3,NULL),(28,7244800,'1976-12-29 00:00:00',2,1,12,1993,'F','N','CENTRO','FLORIANÓPOLIS','SC','524201201117375421436869242124120922187',13750,'9998',47.81,1,2,1),(28,7244819,'1992-10-27 00:00:00',2,10,11,2009,'M','N','HUMAITA','TUBARÃO','SC','124243241215573431446629575121610137077',2906,'807',62.34,1,3,NULL),(28,7244827,'1994-04-18 00:00:00',2,1,12,2011,'M','N','BOM VIVER','BIGUAÇU','SC','124242241215131111323619572322610147062',NULL,'63',26.26,1,3,NULL),(28,7244835,'1993-05-02 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215474431446619575114610132142',7980,'1118',50.83,1,3,NULL),(28,7244843,'1993-04-02 00:00:00',4,2,11,2010,'M','N','VILA NOVA','BLUMENAU','SC','124242241217272431478814375114120212042',9231,'909',55.02,1,3,NULL),(28,7244860,'1983-05-09 00:00:00',2,1,12,2003,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241122133331232314442124131017172',NULL,'772',41.66,1,2,1),(28,7244878,'1992-07-15 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116373731353523345114610133147',10281,'307',45.27,1,2,1),(28,7244886,'1990-03-13 00:00:00',4,1,12,2007,'M','N','VILA FLORES','BAURU','SP','125251251137571421224444245124143247047',14728,'9998',36.12,4,2,1),(28,7244894,'1982-08-01 00:00:00',4,1,7,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624203207127132711238742425132131066182',NULL,'9998',28.70,1,3,NULL),(28,7244924,'1989-09-06 00:00:00',4,1,11,2006,'F','N','ITAQUERA','S PAULO','SP','125252251211171441119712375224143237187',4490,'9998',55.91,1,3,NULL),(28,7244932,'1990-11-13 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241201332131431223344445334610128187',15314,'9998',33.26,1,3,NULL),(28,7244940,'1993-05-18 00:00:00',4,1,6,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124282281217472431388714575114610122042',7742,'9998',51.54,1,3,NULL),(28,7244959,'1987-02-12 00:00:00',2,1,12,2003,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124111161216153421343829495124222928182',6494,'9998',59.69,1,3,NULL),(28,7244967,'1978-05-06 00:00:00',2,1,9,2012,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124251248137151431223374281124610167052',NULL,'9997',37.03,1,3,NULL),(28,7244983,'1989-10-07 00:00:00',2,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127471711223369415134610147087',20083,'274',26.66,4,2,1),(28,7245009,'1994-08-27 00:00:00',4,1,12,2011,'M','N','CENTRO','ANDRADINA','SP','125252251215111431366715375121610127042',NULL,'9998',0.00,1,3,NULL),(28,7245033,'1983-03-07 00:00:00',2,1,5,2005,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241247126131731123344245124132217043',NULL,'131',32.60,2,2,1),(28,7245041,'1994-01-31 00:00:00',2,1,12,2011,'F','N','HIGIENÓPOLIS','STA CRUZ SUL','RS','120202201217151431248911572122610161187',NULL,'9998',0.00,1,3,NULL),(28,7245050,'1983-02-25 00:00:00',4,1,12,2001,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124072071211271451229923215122343245097',NULL,'9998',0.00,4,1,2),(28,7245068,'1991-03-04 00:00:00',4,2,11,2008,'F','N','RIO TIGRE','BENEDITO NOVO','SC','124243241215113411645834245122231535057',4340,'1157',63.72,1,3,NULL),(28,7245084,'1989-05-13 00:00:00',2,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241216132231226879345324610161182',18178,'270',38.36,4,3,NULL),(28,7245092,'1990-08-12 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216574431489934475122221427062',1622,'270',68.54,1,3,NULL),(28,7245114,'1994-07-01 00:00:00',4,1,12,2011,'F','N','JARDIM MIRIAM','S PAULO','SP','125252251217131131437313275114610123012',NULL,'9998',8.51,1,3,NULL),(28,7245130,'1989-06-23 00:00:00',2,1,12,2006,'M','N','ITAQUERA','S PAULO','SP','125254251417131751116879392125141267187',11282,'9998',46.87,1,3,NULL),(28,7245149,'1992-09-03 00:00:00',4,1,12,2010,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125254251216471431568632575114610142147',5141,'9998',55.35,1,3,NULL),(28,7245157,'1994-03-01 00:00:00',2,15,12,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124242241215471731456613435112610117052',10204,'27',47.93,1,3,NULL),(28,7245165,'1991-12-16 00:00:00',4,1,6,2011,'M','N','VILLAGE','GAROPABA','SC','124243246115372431348811145131610122147',2791,'306',64.69,4,3,NULL),(28,7245181,'1994-02-17 00:00:00',2,5,12,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241226141431578712345122610167052',NULL,'920',21.29,1,3,NULL),(28,7245211,'1994-08-30 00:00:00',4,1,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115151411446613476124610167142',15259,'276',36.40,1,3,NULL),(28,7245220,'1991-03-28 00:00:00',2,15,12,2008,'F','N','COLONINHA','ARARANGUÁ','SC','124241241116131531335524445123610127147',NULL,'29',23.47,1,2,1),(28,7245246,'1995-05-15 00:00:00',2,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243241115471431526614575122610122047',12106,'298',44.94,1,3,NULL),(28,7245254,'1987-09-21 00:00:00',2,1,12,2005,'M','N','KOBRASOL','S JOSÉ','SC','124201201116472431448843335114131016052',3806,'9998',60.38,4,2,1),(28,7245262,'1993-07-23 00:00:00',2,15,12,2010,'F','N','PANAZZOLO','CAXIAS SUL','RS','120202201216471531336963475124241463097',1855,'9998',64.82,1,3,NULL),(28,7245270,'1994-07-19 00:00:00',2,1,1,2012,'F','N','SANTA CATARINA','BIGUAÇU','SC','124241241115371231423631572114610134147',NULL,'21',30.48,1,2,1),(28,7245300,'1990-10-03 00:00:00',4,8,12,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241216574431468614472111231427132',NULL,'270',0.00,1,3,NULL),(28,7245319,'1992-11-07 00:00:00',2,1,12,2010,'F','N','CEFER DOIS','PTO ALEGRE','RS','120201201127471711226421175124243266147',10381,'9998',44.84,1,2,1),(28,7245327,'1992-01-05 00:00:00',2,9,12,2009,'M','N','NOSSA SRA APARECIDA','S JOAQUIM','SC','124242241116474411467915595122610137182',NULL,'1146',13.05,1,3,NULL),(28,7245335,'1993-05-06 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115371431536311345124610127047',10245,'285',48.34,1,2,1),(28,7245351,'1990-12-10 00:00:00',2,4,12,2006,'F','N','CENTRO','S BERNARDINO','SC','124241241126372421438934575114331317057',4924,'701',53.83,1,2,1),(28,7245386,'1992-07-10 00:00:00',4,9,11,2009,'M','N','VILA NOVA','LAGES','SC','124242241215473431448921575112131437051',2066,'497',64.54,1,3,NULL),(28,7245394,'1994-01-15 00:00:00',4,27,12,2011,'M','N','SEDE CAPELA','ITAPIRANGA','SC','124241241116161431323623585114610126147',18133,'408',38.47,1,2,1),(28,7245408,'1992-07-27 00:00:00',2,1,12,2009,'M','N','JARDIM SÃO BENTO','CPO GRANDE','MS','112122121217572431569813575112610166047',1169,'9998',69.01,3,3,NULL),(28,7245416,'1993-02-06 00:00:00',4,2,12,2010,'F','N','PONTA AGUDA','BLUMENAU','SC','124242241217372431479924575122610127092',NULL,'87',0.00,1,3,NULL),(28,7245424,'1993-08-22 00:00:00',2,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241215132531336614575124232728187',10919,'300',47.40,1,3,NULL),(28,7245432,'1990-02-12 00:00:00',2,1,12,2007,'F','N','ANA ESTELA','CARAPICUÍBA','SP','125251251136431411536633582314610114042',NULL,'9998',0.00,4,2,1),(28,7245440,'1994-05-19 00:00:00',2,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241137141732313344342324610128077',19778,'307',30.43,1,3,NULL),(28,7245459,'1992-03-08 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117573431523811575114610123152',15583,'307',37.96,1,2,1),(28,7245475,'1990-07-13 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241137374711558833341131610127185',8028,'267',50.16,3,2,1),(28,7245505,'1994-10-23 00:00:00',4,24,12,2011,'M','N','GABIROBA','ITUPORANGA','SC','124241241135131431323411475121610117142',NULL,'416',0.00,1,2,1),(28,7245513,'1989-06-26 00:00:00',4,1,12,2006,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','224252251216272411358859575122232512125',NULL,'9998',0.00,1,3,NULL),(28,7245530,'1991-12-19 00:00:00',2,1,12,2008,'M','N','UNIÃO','PALOTINA','PR','116161161117371431215329295123143231052',17849,'9998',39.34,2,1,1),(28,7245548,'1994-08-09 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217421431336814375112610154052',NULL,'270',20.88,1,3,NULL),(28,7245556,'1993-11-21 00:00:00',4,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124252241215272431489934575122610137052',694,'262',71.99,1,3,NULL),(28,7245564,'1993-09-15 00:00:00',4,1,12,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124203241115472731326721375114233231017',8284,'49',48.38,1,3,NULL),(28,7245572,'1986-01-30 00:00:00',2,15,12,2003,'M','N','KAYSER','CAXIAS SUL','RS','120201201146574431444619292114610167117',3937,'9998',60.71,2,1,1),(28,7245580,'1994-06-15 00:00:00',4,10,12,2011,'M','N','PROGRESSO','LAGUNA','SC','124241241246131442324334385124610164182',4289,'524',54.96,1,3,NULL),(28,7245599,'1991-12-13 00:00:00',2,1,12,2009,'F','N','GRAGERU','ARACAJU','SE','124262261216471431259814575124141422142',2148,'9998',65.36,4,3,NULL),(28,7245602,'1993-11-27 00:00:00',4,1,12,2011,'F','N','TATUAPE','S PAULO','SP','125252251216471431446632575124610136072',NULL,'9998',0.00,1,3,NULL),(28,7245629,'1993-08-20 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241215372431223923574114131027147',6637,'1198',54.61,1,3,NULL),(28,7245637,'1991-01-21 00:00:00',4,1,12,2008,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241116573431335324495124610164147',9144,'292',49.49,1,2,1),(28,7245645,'1990-11-01 00:00:00',4,1,12,2007,'F','N','KOBRASOL','S JOSÉ','SC','124133241315374431458613571124222337092',13212,'300',38.13,4,3,NULL),(28,7245653,'1994-01-29 00:00:00',4,4,12,2010,'M','N','ZONA DOIS','UMUARAMA','PR','116162161216472711469813475112610132177',2871,'9998',60.11,1,3,NULL),(28,7245661,'1988-10-29 00:00:00',4,8,12,2006,'M','N','PORTÃO','CURITIBA','PR','124161161336175411639811575124221424062',10015,'9998',46.12,2,1,2),(28,7245688,'1993-01-22 00:00:00',4,1,12,2010,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215372731569914581112610121142',6489,'270',53.75,1,3,NULL),(28,7245696,'1993-08-29 00:00:00',4,1,11,2010,'M','N','PETROPOLIS','PTO ALEGRE','RS','124242248212572431332323523111610163021',2361,'270',62.69,1,3,NULL),(28,7245700,'1994-11-09 00:00:00',4,10,11,2011,'F','N','BELA VISTA','S LUDGERO','SC','124242241215161731456612292124610124122',13240,'950',38.77,1,3,NULL),(28,7245718,'1989-12-12 00:00:00',2,1,11,2007,'M','N','VILA DIONISIA','S PAULO','SP','125251251116572441448613585124610167167',2608,'9998',62.84,1,2,1),(28,7245726,'1994-06-12 00:00:00',4,1,12,2011,'F','N','ARMAÇÃO P SUL','FLORIANÓPOLIS','SC','624241241225111421223529175124610147072',10456,'262',44.12,4,3,NULL),(28,7245734,'1990-12-12 00:00:00',4,2,6,2011,'M','N','CENTRO','BLUMENAU','SC','124242247214471431589813475122610164182',NULL,'9999',0.00,1,3,NULL),(28,7245742,'1989-06-27 00:00:00',2,1,7,2007,'M','N','CAMPINAS','S JOSÉ','SC','124241247127432421236344145124610114177',14293,'9999',38.04,1,2,1),(28,7245769,'1991-02-12 00:00:00',4,1,12,2008,'M','N','VILA DOMINGUES','VOTORANTIM','SP','125252251216311431238821472124143211181',NULL,'9998',0.00,1,3,NULL),(28,7245777,'1992-06-04 00:00:00',4,7,12,2009,'F','N','FREI BRUNO','JOAÇABA','SC','124241241137141421343314245124610164147',19725,'449',30.89,1,3,NULL),(28,7245785,'1994-11-17 00:00:00',2,27,12,2011,'F','N','UNIÃO','MARAVILHA','SC','124241241116131631436314341134610144147',13516,'552',38.41,1,2,1),(28,7245793,'1993-02-22 00:00:00',2,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116471431421113472124610111042',19675,'278',31.43,1,3,NULL),(28,7245807,'1968-07-23 00:00:00',4,1,12,1985,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','224241241126154421356153345124122233092',16625,'307',42.38,1,2,1),(28,7245823,'1993-05-10 00:00:00',4,16,12,2011,'M','N','CENTRO','S JOÃO URTIGA','RS','120201201127161431323319343125610137047',NULL,'9998',0.00,1,2,1),(28,7245831,'1994-01-25 00:00:00',4,10,12,2012,'M','S','CENTRO','GR PARÁ','SC','124241248116131731323114245125610168182',NULL,'330',24.27,1,3,NULL),(28,7245840,'1987-10-08 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124164161435572751127844147325610168182',8072,'9998',48.64,1,3,NULL),(28,7245866,'1992-04-18 00:00:00',4,1,12,2009,'M','N','ARIRIU','PALHOÇA','SC','124241241117112731444933382112610134047',12763,'592',39.74,1,2,1),(28,7245874,'1994-11-28 00:00:00',2,7,11,2011,'F','N','CENTRO','JOAÇABA','SC','124242241211111431338634572124610127141',15024,'962',36.50,1,3,NULL),(28,7245890,'1992-06-13 00:00:00',4,27,12,2009,'F','N','INDUSTRIAL','REALEZA','PR','116161161136131451523336375124243265142',NULL,'9998',0.00,1,3,NULL),(28,7245912,'1985-06-26 00:00:00',2,10,12,2002,'M','N','CENTRO','BRAÇO NORTE','SC','124241241146134421426629382124122232147',NULL,'580',0.00,1,2,1),(28,7245920,'1993-04-15 00:00:00',4,8,10,2011,'F','N','PORTÃO','CURITIBA','PR','116164281216371711489612575124610136043',NULL,'9998',0.00,4,3,NULL),(28,7245939,'1992-07-29 00:00:00',2,25,12,2009,'M','N','SANTO ANTONIO','FRAIBURGO','SC','124241241216342441349913444125131054073',7963,'317',49.67,1,3,NULL),(28,7245947,'1994-08-20 00:00:00',2,1,11,2011,'F','N','VENDAVAL','BIGUAÇU','SC','124241241215111431533314242124610133147',15619,'1040',36.37,1,3,NULL),(28,7245955,'1991-12-27 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116274431226674345125142533152',11673,'949',42.20,1,2,1),(28,7245963,'1993-08-15 00:00:00',4,1,12,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124243241117472431428723575124230422012',7966,'801',47.76,1,3,NULL),(28,7245971,'1994-09-21 00:00:00',4,9,12,2011,'F','N','SAGRADO C DE JESUS','LAGES','SC','124241241115271431443821575122610134042',4496,'505',55.61,1,2,1),(28,7245980,'1977-11-27 00:00:00',2,1,8,2010,'F','N','COLONIA SANTANA','S JOSÉ','SC','124201241125371431213348283123610117147',17258,'9997',30.46,4,2,1),(28,7245998,'1994-08-14 00:00:00',4,8,11,2011,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215111431447932295122610167065',4763,'931',55.14,1,3,NULL),(28,7246005,'1994-08-12 00:00:00',4,7,11,2011,'M','N','CAETANO BRANCO','JOAÇABA','SC','124242241216131431359833575124610167052',7135,'962',50.91,1,3,NULL),(28,7246013,'1994-10-01 00:00:00',4,1,11,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241215111431348812572124610133183',13748,'270',39.61,1,3,NULL),(28,7246021,'1990-11-01 00:00:00',2,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124241248132133421556633245114610167067',18802,'307',36.09,2,1,1),(28,7246030,'1993-01-16 00:00:00',2,1,12,2011,'F','N','FUNDOS','BIGUAÇU','SC','124241241115471421423333372121610124143',NULL,'65',28.57,1,2,1),(28,7246064,'1977-10-16 00:00:00',2,1,12,1995,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','224201201122371731123344242233610144197',NULL,'9998',29.18,1,2,1),(28,7246072,'1994-01-04 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431356814575122610121197',8597,'270',49.45,1,3,NULL),(28,7246080,'1991-12-28 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124242241216573751663623572114130247097',485,'976',75.32,1,3,NULL),(28,7246102,'1994-05-30 00:00:00',4,1,12,2010,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215122431349932575124610146147',11956,'270',43.04,1,3,NULL),(28,7246110,'1992-04-04 00:00:00',2,15,12,2010,'M','N','CENTRO','TIMBÉ SUL','SC','124241248136131421425618485124610117047',NULL,'785',14.38,1,3,NULL),(28,7246129,'1991-08-21 00:00:00',4,1,12,2010,'M','N','UMARIZAL','BELÉM','PA','114142141216471411468614595124610164162',NULL,'9998',0.00,1,3,NULL),(28,7246137,'1994-01-05 00:00:00',4,1,11,2011,'F','N','CENTRO','BIGUAÇU','SC','124242241215121431489911575122610136142',7665,'270',50.00,4,3,NULL),(28,7246161,'1994-10-25 00:00:00',4,23,12,2011,'F','N','VILA NOVA','JARAGUÁ SUL','SC','124242248215111231458614275122610133197',9340,'1174',47.94,1,3,NULL),(28,7246170,'1994-05-26 00:00:00',4,22,1,2012,'M','N','LIMOEIRO','BRUSQUE','SC','124241241116372441437534485124610164142',220,'116',79.13,1,2,1),(28,7246196,'1987-07-21 00:00:00',4,1,11,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247216151711358811475112131063122',NULL,'9999',0.00,1,3,NULL),(28,7246200,'1992-07-07 00:00:00',4,27,12,2009,'F','N','INDUSTRIAL','REALEZA','PR','116241241116131451423316375124243267052',NULL,'1227',0.00,4,3,NULL),(28,7246218,'1994-08-13 00:00:00',2,1,12,2011,'M','N','SANTA CRUZ','ÁGUAS MORNAS','SC','124241241145141431613435555124610127045',16174,'12',31.99,1,2,1),(28,7246226,'1994-09-17 00:00:00',4,25,12,2011,'F','N','CENTRO','CAÇADOR','SC','124242241214121711258913595112610114077',10974,'120',41.39,1,3,NULL),(28,7246234,'1994-02-07 00:00:00',2,3,11,2011,'F','N','SANTOS DUMONT','TRÊS LAGOAS','MS','112252121215121731458834572122610122042',NULL,'9998',0.00,1,3,NULL),(28,7246242,'1994-08-26 00:00:00',4,1,10,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244246437473731478921395114610167171',12506,'306',49.78,1,3,NULL),(28,7246269,'1993-08-27 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124163241112472431524624385124610114042',7331,'307',51.46,1,3,NULL),(28,7246285,'1995-05-01 00:00:00',4,1,12,2012,'M','S','FORQUILINHAS','S JOSÉ','SC','124244241411121731569622295121610122092',NULL,'737',0.00,1,3,NULL),(28,7246307,'1980-01-13 00:00:00',2,5,12,1998,'M','N','MORRO ESTEVAO','CRICIÚMA','SC','124241241146143411326426445132330248192',NULL,'209',0.00,1,2,1),(28,7246315,'1994-01-10 00:00:00',4,1,12,2011,'M','N','CENTRO','IRAPURU','SP','125254251217171431458824575114610127072',10624,'9998',43.69,3,3,NULL),(28,7246331,'1988-07-29 00:00:00',4,1,12,2009,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124201201117371731326629195124610153147',NULL,'9998',14.32,1,3,NULL),(28,7246340,'1994-11-25 00:00:00',4,9,11,2011,'M','N','BEATRIZ','LAGES','SC','124244241215111431668713536121610124052',6304,'1207',53.31,1,3,NULL),(28,7246382,'1988-05-24 00:00:00',4,1,12,2006,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124212288216471431489812575112342144125',17819,'9998',39.42,1,3,NULL),(28,7246390,'1994-10-15 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111531487512275114610144182',13547,'270',48.16,1,3,NULL),(28,7246404,'1993-10-13 00:00:00',4,1,11,2011,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241216131431436631375122610142062',9968,'1223',46.54,1,3,NULL),(28,7246412,'1991-11-09 00:00:00',4,8,11,2008,'M','N','ITAUM','JOINVILLE','SC','124241241147131431438614341124131426057',17939,'9997',39.10,1,2,1),(28,7246420,'1992-04-07 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241246115272431223621442124610136187',2703,'306',62.77,1,2,1),(28,7246439,'1991-05-29 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241243116412211523861275124610117042',NULL,'733',26.63,1,2,1),(28,7246447,'1994-05-08 00:00:00',4,1,12,2011,'F','N','GRUTA','ITUPORANGA','SC','124241241117131512123923575312610114194',NULL,'416',27.96,1,2,1),(28,7246455,'1993-08-23 00:00:00',2,10,12,2010,'F','N','BOA VISTA','IMBITUBA','SC','124241241117241411214629385124610164147',NULL,'359',0.00,1,3,NULL),(28,7246463,'1991-06-20 00:00:00',2,15,12,2009,'M','N','COLONINHA','ARARANGUÁ','SC','124241241147272421126944345122610127117',NULL,'29',32.31,1,2,1),(28,7246471,'1980-04-09 00:00:00',2,1,12,2000,'M','N','BARREIROS','S JOSÉ','SC','124172171212371731236644442122130227177',NULL,'9998',21.37,1,3,NULL),(28,7246480,'1995-05-05 00:00:00',4,1,12,2011,'F','N','ESQUINA','URUBICI','SC','124241241115151311227321575124610136142',NULL,'818',16.50,1,2,1),(28,7246498,'1994-04-05 00:00:00',4,22,12,2011,'M','N','SANTA RITA','BRUSQUE','SC','124241241135141531433332245121610124097',NULL,'108',15.87,1,3,NULL),(28,7246501,'1994-09-08 00:00:00',4,6,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241217111531538413385122610124117',NULL,'53',0.00,1,3,NULL),(28,7246510,'1994-05-10 00:00:00',2,1,12,2011,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241115271431424514292224610123147',NULL,'591',37.38,3,2,1),(28,7246528,'1992-08-27 00:00:00',4,1,12,2009,'M','N','CENTRO','PALHOÇA','SC','124244241115573421457613275114610162187',1380,'739',66.47,4,3,NULL),(28,7246536,'1994-09-02 00:00:00',4,7,11,2011,'F','N','CENTRO','JOAÇABA','SC','116242161215421531459931595112610166123',NULL,'9998',0.00,1,3,NULL),(28,7246552,'1993-01-05 00:00:00',4,3,11,2010,'F','N','TABULEIRO','CAMBORIÚ','SC','124241241215471731453332572112610134192',NULL,'1038',0.00,4,3,NULL),(28,7246579,'1988-10-14 00:00:00',2,1,12,2005,'M','N','ALTO ARIRIU','PALHOÇA','SC','124241241115372421523344345114610162172',5161,'772',55.43,1,2,1),(28,7246587,'1984-12-26 00:00:00',2,1,12,2004,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124241247426372431333923185122610124187',NULL,'9999',21.68,2,1,2),(28,7246609,'1994-08-16 00:00:00',3,1,11,2011,'M','N','PARQUE SAO JORGE','FLORIANÓPOLIS','SC','124242241215121411489933575112610117132',571,'270',75.59,1,3,NULL),(28,7246617,'1994-06-28 00:00:00',2,24,12,2011,'F','N','CENTRO','VIDAL RAMOS','SC','124241241136371431523414485124610127052',15033,'828',38.64,1,2,1),(28,7246625,'1994-02-27 00:00:00',4,1,1,2012,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241115371431325434575124610167092',5567,'592',55.21,1,2,1),(28,7246668,'1994-08-24 00:00:00',2,4,12,2011,'M','N','CENTRO','S BERNARDINO','SC','124241241116161431438934585114610118067',NULL,'135',23.77,1,2,1),(28,7246676,'1994-11-20 00:00:00',2,7,12,2011,'F','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124243241117371751326369472325610138177',NULL,'140',21.84,1,3,NULL),(28,7246684,'1994-03-30 00:00:00',4,1,12,2011,'F','N','JANAÍNA','BIGUAÇU','SC','124241241115371431433623575124610126192',9312,'65',48.75,1,2,1),(28,7246706,'1994-10-03 00:00:00',4,23,12,2011,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215161411544611575125610146182',5993,'1174',60.60,1,3,NULL),(28,7246722,'1995-01-06 00:00:00',4,4,12,2011,'F','N','MARIA GORETTI','CHAPECÓ','SC','124242241217372751468933575122610128187',6057,'185',53.33,1,3,NULL),(28,7246730,'1990-10-24 00:00:00',2,1,12,2008,'M','N','CENTRO','QUEDAS IGUAÇU','PR','116161161137272411448611195123231427052',14356,'9998',37.00,1,2,1),(28,7246749,'1994-01-09 00:00:00',4,1,11,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241211111411488811591122610118147',1937,'270',64.58,1,3,NULL),(28,7246757,'1982-03-08 00:00:00',2,1,12,2000,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241112274431348833482122120623057',15031,'267',45.56,1,3,NULL),(28,7246765,'1993-12-09 00:00:00',2,1,12,2011,'M','N','VILA LETONIA','S JOSÉ CAMPOS','SP','125251251215111431427611572121610127117',NULL,'9998',0.00,1,3,NULL),(28,7246773,'1994-04-21 00:00:00',2,1,11,2011,'F','N','IPIRANGA','S JOSÉ','SC','124242241215111431437733235122610134092',NULL,'976',0.00,1,3,NULL),(28,7246781,'1993-11-20 00:00:00',2,1,12,2009,'M','N','JOSÉ NITRO SERRARIA','S JOSÉ','SC','124242241217573431448714375124222361091',3209,'1036',62.17,4,3,NULL),(28,7246790,'1993-03-26 00:00:00',2,4,12,2010,'M','N','RODOVIA','XANXERÊ','SC','124242241236472441547712375124610165102',4794,'836',54.84,1,3,NULL),(28,7246803,'1994-10-12 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241447111411326731595124610112147',18239,'1118',33.83,1,3,NULL),(28,7246811,'1992-08-19 00:00:00',2,2,12,2009,'F','N','SORGATTO','CAÇADOR','SC','124242241216573451538729575124610168097',4208,'1124',59.46,1,3,NULL),(28,7246838,'1992-06-01 00:00:00',4,3,12,2009,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241116131431448814445124142922067',NULL,'405',12.63,1,2,1),(28,7246846,'1994-10-03 00:00:00',4,23,12,2012,'F','S','CENTRO','JARAGUÁ SUL','SC','124242241215111711546611575115610147182',NULL,'1174',0.00,1,3,NULL),(28,7246854,'1994-06-06 00:00:00',2,1,12,2011,'F','N','AREIAS DE CIMA','BIGUAÇU','SC','124241241117271431423314375224610162197',NULL,'64',23.78,4,2,1),(28,7246897,'1994-04-03 00:00:00',2,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241241117471431423331216224610162052',9184,'727',48.84,1,2,1),(28,7246900,'1993-05-22 00:00:00',2,1,12,2011,'M','N','QUILOMBO','S BENTO SAPUCAÍ','SP','125254251217111431517519295121610147017',NULL,'9998',0.00,1,3,NULL),(28,7246919,'1990-09-14 00:00:00',4,9,12,2007,'M','N','CENTRO','S JOAQUIM','SC','124242241216152431446619575122231467042',13262,'1035',48.61,1,3,NULL),(28,7246927,'1994-08-11 00:00:00',2,4,12,2011,'F','N','DOS ESPORTES','XANXERÊ','SC','124243238215111711439816575122610127147',NULL,'1233',0.00,1,3,NULL),(28,7246951,'1972-09-18 00:00:00',2,1,11,1989,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201201136131451123344441334610132042',NULL,'9998',44.34,4,2,1),(28,7246960,'1991-08-11 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241316133431426613345134610122042',15203,'293',37.93,1,3,NULL),(28,7246986,'1994-03-30 00:00:00',4,6,11,2011,'M','N','CENTRO','ITAJAÍ','SC','124242241215371731358713575122610167042',3743,'392',61.06,1,3,NULL),(28,7247001,'1994-04-28 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469911575115610167187',4398,'270',58.93,1,3,NULL),(28,7247010,'1990-05-13 00:00:00',2,15,12,2007,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241244126131331323434285121610138047',NULL,'29',0.00,1,3,NULL),(28,7247028,'1994-05-13 00:00:00',2,1,12,2011,'F','N','GIOCONDO ORSI','CPO GRANDE','MS','112122121216171731456612575112610143142',NULL,'9998',0.00,1,3,NULL),(28,7247036,'1991-01-29 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162241217135441423379491344223064177',7873,'991',51.03,1,3,NULL),(28,7247044,'1994-07-09 00:00:00',4,1,11,2011,'F','N','CENTRO','CPO GRANDE','MS','112122121215471231473816575122610164072',11089,'9998',42.83,1,3,NULL),(28,7247052,'1993-07-05 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124243241136372431436923235124610144142',NULL,'169',0.00,1,3,NULL),(28,7247060,'1993-05-12 00:00:00',4,1,12,2010,'M','N','JD TIVOLI PARK','SOROCABA','SP','125252251216371431438832575122610167047',NULL,'9998',0.00,1,3,NULL),(28,7247079,'1993-08-04 00:00:00',2,9,12,2010,'F','N','PINHEIROS','OTACÍLIO COSTA','SC','124241241216332431338923575124610121197',13221,'1106',39.58,1,3,NULL),(28,7247087,'1990-06-02 00:00:00',2,15,12,2008,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124241241117131731126848481341610147187',NULL,'1033',20.80,1,2,1),(28,7247095,'1992-10-24 00:00:00',2,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241115372411478713575124610127042',4990,'267',59.70,1,2,1),(28,7247109,'1993-10-18 00:00:00',2,1,11,2010,'M','N','CENTRO','PALHOÇA','SC','124242241217472431448912375124610166187',5773,'989',55.90,1,3,NULL),(28,7247117,'1986-03-11 00:00:00',4,1,12,2003,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124203201136471431358873435132242928182',4801,'9998',62.81,1,3,NULL),(28,7247125,'1994-10-07 00:00:00',4,1,11,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431338923435122610131182',NULL,'270',44.62,1,3,NULL),(28,7247141,'1988-02-07 00:00:00',4,1,12,2004,'M','N','VILA NOVA','JARAGUÁ SUL','SC','124241241126141441138844345122331431182',7554,'438',57.87,1,2,1),(28,7247150,'1995-07-30 00:00:00',4,23,11,2011,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124244241215111431346821575112610146147',9791,'442',54.07,1,3,NULL),(28,7247168,'1983-01-22 00:00:00',2,1,12,2000,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','624242241216372441237851215122122266047',9542,'266',54.47,1,3,NULL),(28,7247176,'1992-01-13 00:00:00',2,2,12,2009,'M','N','ALDEIA PALMEIRINHA','JOSÉ BOITEUX','SC','124241248125111532526613342113610167042',NULL,'1064',32.89,5,4,NULL),(28,7247184,'1994-07-06 00:00:00',4,1,11,2011,'F','N','CENTRO','URUBICI','SC','124242241215111441566832375122610164146',NULL,'270',0.00,1,3,NULL),(28,7247192,'1995-06-07 00:00:00',4,27,12,2011,'M','N','CENTRO','ANCHIETA','SC','124241241115161431424115372324610127047',NULL,'16',26.71,1,3,NULL),(28,7247222,'1991-05-31 00:00:00',2,1,11,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215472431468732575124121437061',1070,'970',70.92,1,3,NULL),(28,7247230,'1991-12-29 00:00:00',4,1,12,2011,'M','N','PENHA','S PAULO','SP','125252256136371431467834385122610127042',3005,'9998',61.83,1,3,NULL),(28,7247249,'1991-12-17 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216472412358921385122120267121',6248,'270',60.15,1,3,NULL),(28,7247257,'1991-08-10 00:00:00',5,1,11,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124112111213373431326829484124610126097',17276,'9998',40.83,4,3,NULL),(28,7247265,'1993-07-08 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124092091237471351459831391115610164097',3251,'9998',59.64,1,3,NULL),(28,7247273,'1990-02-24 00:00:00',1,1,12,2007,'F','N','RIO BRAVO ALTO','STA ROSA LIMA','SC','124241241125131431324479592124233214051',NULL,'688',0.00,1,2,1),(28,7247281,'1993-09-24 00:00:00',2,16,12,2010,'M','N','INTERIOR','FRAIBURGO','SC','124241242137161412423616576224610157192',NULL,'1200',24.31,3,2,1),(28,7247290,'1977-09-24 00:00:00',4,1,12,1998,'F','N','LESTE','PLANALTINA GOIÁS','GO','109091095116231711244512245122140216092',NULL,'9998',0.00,3,2,1),(28,7247303,'1990-05-26 00:00:00',4,4,12,2007,'F','N','CRISTO REI','CHAPECÓ','SC','124243241214374431633219492124131434072',1345,'1191',68.37,4,3,NULL),(28,7247311,'1994-11-03 00:00:00',2,23,12,2011,'F','N','INDUSTRIAL SUL','RIO NEGRINHO','SC','124241241115131231313314282122610164187',17744,'667',31.46,1,2,1),(28,7247338,'1994-04-13 00:00:00',4,7,12,2011,'M','N','DISTRITO SANTA CRUZ','PTO UNIÃO','SC','124241242115161431326612592124610127042',15488,'8',37.66,2,3,NULL),(28,7247346,'1994-02-16 00:00:00',4,4,12,2010,'F','N','CENTRO','SARANDI','RS','120201201116131441447732342122610133141',NULL,'9998',0.00,1,3,NULL),(28,7247354,'1992-05-11 00:00:00',4,1,12,2009,'M','N','JARDIM MARIA CECILIA','S BERNARDO CAMPO','SP','125252251217571431368824575112610127182',11167,'9998',51.84,1,3,NULL),(28,7247362,'1994-03-18 00:00:00',4,24,12,2011,'M','N','CENTRO','ATALANTA','SC','124241241114471411556632275124610112052',10030,'39',53.65,1,2,1),(28,7247370,'1994-06-02 00:00:00',2,15,12,2011,'F','N','SÃO LUIZ','SOMBRIO','SC','124244241117471731526623571344610147147',16987,'1033',30.94,1,3,NULL),(28,7247389,'1994-06-03 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241147141131436523245131610124057',NULL,'282',22.26,1,2,1),(28,7247400,'1995-12-07 00:00:00',4,6,12,2011,'M','N','NAÇOES','BAL CAMBORIÚ','SC','124241241216111431428513496112610134112',18729,'9997',36.36,4,3,NULL),(28,7247427,'1992-10-14 00:00:00',2,1,12,2010,'M','N','ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC','124241241137111412457613335214610164052',NULL,'291',11.16,1,2,1),(28,7247435,'1992-10-24 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124161168112371431328614342124610168184',NULL,'9998',26.68,4,2,1),(28,7247460,'1991-10-11 00:00:00',4,1,12,2009,'F','N','SANTA CECILIA','PIRACICABA','SP','125254251217571431358831575122610122182',11151,'9998',44.44,1,3,NULL),(28,7247478,'1985-09-16 00:00:00',4,1,12,2002,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124161161117373751523369191214610168042',NULL,'9998',17.49,4,2,1),(28,7247508,'1992-09-02 00:00:00',2,4,12,2009,'F','N','CENTRO','XANXERÊ','SC','124242241216472431643821274122610144147',14975,'836',45.66,1,3,NULL),(28,7247532,'1994-08-14 00:00:00',4,25,12,2011,'M','N','BELA VISTA','FRAIBURGO','SC','124242241211111631556612581122610117047',NULL,'885',22.34,4,3,NULL),(28,7247540,'1994-04-28 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215371431578813575122610166092',2015,'738',65.55,1,3,NULL),(28,7247567,'1990-12-19 00:00:00',2,1,12,2008,'M','N','CITY RIBEIRAO','RIBEIRÃO PRETO','SP','125252251437231431556912185114141217047',NULL,'9998',0.00,4,3,NULL),(28,7247575,'1986-05-28 00:00:00',2,1,12,2003,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124251251116131431226654485124133264117',NULL,'9998',0.00,4,2,1),(28,7247583,'1991-11-19 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215574431459954575122230227072',2631,'270',65.47,1,3,NULL),(28,7247591,'1985-08-14 00:00:00',2,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248643131221116179192345610168197',NULL,'9999',17.34,4,3,NULL),(28,7247605,'1971-03-30 00:00:00',4,5,12,1991,'M','N','SÃO LUIZ','CRICIÚMA','SC','224131133226132421234444245122230762172',17627,'9998',39.94,1,3,NULL),(28,7247613,'1991-10-07 00:00:00',2,5,11,2008,'F','N','CENTRO','CRICIÚMA','SC','124242241215272431438824345124231022097',NULL,'211',28.58,1,3,NULL),(28,7247621,'1994-07-08 00:00:00',4,8,12,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215111431569814281124610132147',NULL,'1016',30.05,1,3,NULL),(28,7247630,'1994-07-28 00:00:00',4,15,1,2012,'F','N','OPERÁRIA','ARARANGUÁ','SC','124241241135131431426312575213610164182',13210,'30',40.14,1,2,1),(28,7247648,'1991-05-24 00:00:00',2,3,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124203241215573421133632175125610148187',10830,'9997',42.52,1,3,NULL),(28,7247656,'1994-04-22 00:00:00',2,25,12,2010,'F','N','CENTRO','LEBON RÉGIS','SC','124241241216112431446623575122232564072',9758,'1124',47.24,1,3,NULL),(28,7247664,'1995-12-11 00:00:00',2,1,12,2012,'F','S','KOBRASOL','S JOSÉ','SC','124242241212111731466832574122610126142',NULL,'1077',61.22,1,3,NULL),(28,7247680,'1986-09-02 00:00:00',2,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248643131221119179197345610168197',NULL,'9999',0.00,1,3,NULL),(28,7247699,'1993-11-28 00:00:00',2,25,12,2010,'F','N','CENTRO','FRAIBURGO','SC','124242241216372451428612575122612663147',3038,'885',62.92,1,3,NULL),(28,7247702,'1993-09-27 00:00:00',4,1,11,2010,'M','N','BOA VISTA','S JOSÉ R PRETO','SP','125252251217471431469834572122610137042',10542,'9998',45.03,1,3,NULL),(28,7247710,'1991-05-15 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241126334431113348185124610127042',13120,'936',48.81,1,2,1),(28,7247729,'1994-04-25 00:00:00',2,8,12,2011,'M','N','VILA NOVA','RIO NEGRINHO','SC','124241241111371421423324581222610147047',15377,'667',44.90,4,2,1),(28,7247737,'1995-08-07 00:00:00',4,25,11,2012,'M','S','CENTRO','CURITIBA','PR','616162161217111731468832594125610167012',NULL,'9998',62.44,1,3,NULL),(28,7247745,'1994-09-03 00:00:00',2,6,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124092241215471432357965575111610127052',15932,'1017',36.96,4,3,NULL),(28,7247753,'1995-11-29 00:00:00',4,1,12,2012,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124244241216111431445932425112610126015',NULL,'270',35.29,1,3,NULL),(28,7247761,'1989-03-23 00:00:00',2,1,11,2005,'M','N','COLÔNIA SANTANA','S JOSÉ','SC','124242241215473751344639495124242428187',5358,'270',61.73,1,3,NULL),(28,7247788,'1985-07-27 00:00:00',4,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632131221111179192345610168197',NULL,'9997',0.00,1,3,NULL),(28,7247796,'1992-05-16 00:00:00',4,1,12,2010,'F','N','MOSSUNGUE','CURITIBA','PR','116162161215372431369924575124141433142',9163,'9998',48.65,1,3,NULL),(28,7247800,'1990-04-15 00:00:00',2,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201201117231732218641217214610167187',NULL,'9998',0.00,1,3,NULL),(28,7247818,'1992-10-05 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124164161327131712218751312244610141027',18073,'9998',38.68,1,3,NULL),(28,7247842,'1994-09-03 00:00:00',2,15,12,2011,'F','N','CENTRO','TURVO','SC','124241243116161421425632241124610122053',17027,'814',35.39,1,2,1),(28,7247850,'1988-09-26 00:00:00',2,1,12,2005,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124243241336135411423521475225121665171',18241,'49',38.16,1,3,NULL),(28,7247869,'1993-02-25 00:00:00',4,1,12,2010,'M','N','SANTANA','S JOSÉ CAMPOS','SP','125253251117271431669933392124610147184',18856,'9998',35.86,1,3,NULL),(28,7247877,'1990-07-05 00:00:00',2,1,12,2010,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241248137241511434313142124610127061',NULL,'278',29.97,1,2,1),(28,7247893,'1993-08-11 00:00:00',2,1,12,2010,'F','N','JARDIM EUROPA','LONDRINA','PR','116252251236471431327924572125610133097',5517,'9998',55.06,1,3,NULL),(28,7247907,'1992-04-25 00:00:00',2,4,12,2009,'F','N','TARUMA','QUEDAS IGUAÇU','PR','116161161116171422313413585115610114073',NULL,'9998',0.00,1,2,1),(28,7247915,'1993-03-04 00:00:00',2,1,12,2010,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241112232731521111215124610137012',16916,'592',34.35,4,2,1),(28,7247931,'1993-10-08 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116132731415611285124610133142',20133,'307',25.05,1,2,1),(28,7247940,'1994-02-08 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241225131431446953575124610126012',8104,'262',50.67,1,3,NULL),(28,7247958,'1992-12-11 00:00:00',4,3,12,2009,'F','N','CENTRO','MAL CÂNDIDO RONDON','PR','116162161217371411455932395121143222072',NULL,'9998',0.00,1,3,NULL),(28,7247966,'1994-05-28 00:00:00',4,24,12,2011,'M','N','BOA VISTA','ITUPORANGA','SC','124241241215151731446936594122610127072',17214,'1173',40.98,1,3,NULL),(28,7247974,'1989-12-15 00:00:00',5,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216132731349811485124233262053',NULL,'270',27.91,1,3,NULL),(28,7247982,'1992-10-05 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241216152431568813575124610127143',15015,'738',37.88,1,3,NULL),(28,7247990,'1993-04-13 00:00:00',4,8,12,2010,'M','N','SANTA MÔNICA','LONDRINA','PR','116162161216472431428612575122610166142',4621,'9998',53.29,1,3,NULL),(28,7248024,'1988-04-15 00:00:00',4,8,12,2005,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125252251215571431686879595112141562182',672,'9998',70.14,1,3,NULL),(28,7248032,'1991-04-30 00:00:00',2,1,12,2008,'F','N','JARDIM ZANELATO','S JOSÉ','SC','124161161117131431118844245224610136143',NULL,'9998',0.00,4,2,1),(28,7248040,'1994-10-19 00:00:00',4,8,10,2011,'M','N','BUCAREIN','JOINVILLE','SC','124242241215112431358824575122610167097',224,'1063',77.11,1,3,NULL),(28,7248059,'1982-09-08 00:00:00',5,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131211111179197345610168197',NULL,'9999',0.00,1,3,NULL),(28,7248075,'1993-12-08 00:00:00',2,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126132231223324282314610127052',18829,'290',35.97,1,2,1),(28,7248083,'1977-02-10 00:00:00',4,1,6,2001,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624073247146573412426354485121610145092',16237,'9999',36.39,2,1,2),(28,7248091,'1990-06-27 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216375441367834475124222036192',3295,'624',65.31,1,3,NULL),(28,7248105,'1988-09-14 00:00:00',4,1,12,2005,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248633131411112179197345610118197',NULL,'9997',26.47,1,3,NULL),(28,7248113,'1995-01-31 00:00:00',4,4,12,2011,'M','N','CENTRO','CHAPECÓ','SC','124242241217271531254824276122610134095',NULL,'185',16.57,1,3,NULL),(28,7248121,'1990-08-14 00:00:00',2,1,12,2007,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241416153451567739195124232042047',13379,'1022',48.43,1,3,NULL),(28,7248130,'1994-10-01 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241116132731325531575124610134097',15487,'298',39.26,1,3,NULL),(28,7248156,'1989-04-26 00:00:00',4,8,8,2008,'M','N','AVENTUREIRO','JOINVILLE','SC','124243247326172431423419285223233217052',NULL,'9999',0.00,4,3,NULL),(28,7248164,'1983-08-10 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632131221111179192345610168197',NULL,'9997',0.00,4,3,NULL),(28,7248172,'1994-07-15 00:00:00',4,4,12,2011,'F','N','ALVORADA','XAXIM','SC','124241241115471432436439585122610114142',16396,'848',36.30,1,2,1),(28,7248180,'1981-03-08 00:00:00',4,1,12,2002,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124053051116151441136643335124441966053',NULL,'9998',0.00,1,3,NULL),(28,7248202,'1973-01-05 00:00:00',2,1,12,1990,'M','N','DANIELA','FLORIANÓPOLIS','SC','124202206227271221334839482124342926047',NULL,'9998',46.88,1,3,NULL),(28,7248210,'1983-10-28 00:00:00',4,3,11,2000,'F','N','CENTRO','LAGES','SC','124242241216372431468832425122332826182',NULL,'499',38.99,1,3,NULL),(28,7248229,'1994-09-30 00:00:00',4,1,12,2011,'M','N','VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC','124241241116271331333624575124610127052',14877,'772',34.32,1,2,1),(28,7248237,'1979-12-25 00:00:00',2,1,12,1996,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124205203526435121126644145124610168044',8414,'9998',49.38,1,3,NULL),(28,7248245,'1995-11-17 00:00:00',4,4,12,2012,'M','S','CENTRO','XANXERÊ','SC','124243248217131541437732295331610166177',NULL,'836',15.91,1,3,NULL),(28,7248253,'1994-01-22 00:00:00',2,1,12,2011,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241125141532321317475124610126144',NULL,'307',12.89,1,2,1),(28,7248261,'1992-12-09 00:00:00',4,1,11,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124162161216372431448933575124221424052',937,'9998',72.32,1,3,NULL),(28,7248270,'1994-07-19 00:00:00',4,1,12,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215112431368933575124610117182',3048,'270',61.37,1,3,NULL),(28,7248288,'1981-01-29 00:00:00',2,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248612131221111179192345610168197',NULL,'9999',0.00,1,3,NULL),(28,7248296,'1991-01-22 00:00:00',2,2,12,2008,'F','N','RIBEIRÃO FRESCO','BLUMENAU','SC','124241241216153421543312245124610121187',NULL,'88',0.00,1,3,NULL),(28,7248300,'1994-03-21 00:00:00',2,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124241241117271712433314145124610122042',NULL,'734',0.00,1,2,1),(28,7248318,'1989-06-03 00:00:00',2,1,12,2006,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','224241241136131531134654485112133224187',NULL,'283',16.90,1,3,NULL),(28,7248326,'1991-12-30 00:00:00',2,1,12,2010,'F','N','SANTO ANT DE LISBOA','FLORIANÓPOLIS','SC','124241248117371431423823585114610137052',13420,'306',44.88,1,2,1),(28,7248334,'1991-09-12 00:00:00',2,1,7,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247217232431543319492124610164147',NULL,'977',27.40,1,3,NULL),(28,7248342,'1989-04-27 00:00:00',2,1,12,2007,'M','N','CAMBARÁ','S ROQUE','SP','125252251217572411463862245122141062113',2188,'9998',62.45,3,3,NULL),(28,7248369,'1994-05-22 00:00:00',4,3,12,2011,'M','N','TRIANON','GUARAPUAVA','PR','116162161216111431369814575122610127072',1183,'9998',66.04,1,3,NULL),(28,7248377,'1986-12-16 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632131421111179192345610168197',NULL,'9999',0.00,1,3,NULL),(28,7248385,'1992-06-08 00:00:00',4,1,11,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241215573431469613375124610167072',2181,'269',69.24,1,3,NULL),(28,7248407,'1993-09-06 00:00:00',4,9,12,2010,'M','N','PRAIA VERDE','S JOAQUIM','SC','124241241117372431323334585124610132177',1179,'719',69.29,4,2,1),(28,7248415,'1994-08-21 00:00:00',4,1,12,2011,'M','N','CENTRO','CRUZEIRO','SP','125252251214411431338914575122610148092',6168,'9998',53.06,1,3,NULL),(28,7248423,'1987-09-03 00:00:00',6,1,12,2007,'F','N','PINHAIS','PINHAIS','PR','116161161116161721516311486114610137056',NULL,'9998',0.00,1,3,NULL),(28,7248431,'1962-06-25 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131211111179192345610168197',NULL,'9999',0.00,1,3,NULL),(28,7248458,'1994-03-18 00:00:00',2,26,12,2011,'M','N','NAÇÕES','CONCÓRDIA','SC','124241241116271431426619575124610122097',12011,'194',40.45,1,2,1),(28,7248474,'1993-10-06 00:00:00',4,8,12,2010,'F','N','PARQUE CIDADE JARDIM','UMUARAMA','PR','116162161212472431569933575125610132117',1352,'9998',67.14,3,3,NULL),(28,7248482,'1994-02-13 00:00:00',4,1,11,2011,'M','N','CENTRO','POMERODE','SC','124242241215112341449914575114610164172',2460,'270',62.61,1,3,NULL),(28,7248490,'1971-05-21 00:00:00',2,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632131211113179192345610168197',NULL,'9997',0.00,1,3,NULL),(28,7248504,'1987-12-16 00:00:00',4,1,12,2004,'F','N','CENTRO','PAULO FARIA','SP','125253251317131531527829441222343266137',NULL,'9998',27.56,1,3,NULL),(28,7248512,'1979-06-01 00:00:00',4,1,12,1996,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','624243241146152711288643435122420727042',NULL,'307',23.18,1,3,NULL),(28,7248520,'1993-10-13 00:00:00',2,1,12,2010,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241111142411426521345224610123142',11771,'1248',42.59,1,2,1),(28,7248539,'1988-03-15 00:00:00',4,4,12,2005,'F','N','CANADA','CASCAVEL','PR','116161161335572431443331372114140614147',9456,'9998',54.62,1,3,NULL),(28,7248547,'1992-01-09 00:00:00',2,6,11,2009,'F','N','PORTO DAS BALSAS','NAVEGANTES','SC','124241241116131431631314445124610132042',NULL,'1068',20.49,4,2,1),(28,7248555,'1993-03-05 00:00:00',4,1,11,2010,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','125242241117471511439513495124610134185',15613,'883',44.49,1,3,NULL),(28,7248563,'1993-10-26 00:00:00',4,6,12,2011,'F','N','FAZENDA','ITAJAÍ','SC','124242242117371431459314572224610148167',NULL,'129',0.00,1,3,NULL),(28,7248571,'1993-11-25 00:00:00',4,8,12,2010,'F','N','VILA MONTE BELO','ITAQUAQUECETUBA','SP','125251251414471741435671575125610134097',2284,'9998',61.06,4,3,NULL),(28,7248580,'1995-03-12 00:00:00',4,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115151431457912372122610163142',NULL,'267',27.97,1,2,1),(28,7248598,'1989-10-16 00:00:00',2,17,12,2006,'M','N','SOSSEGO','CANOINHAS','SC','124241241116131431426641212124610167037',14622,'153',46.30,1,2,1),(28,7248601,'1993-12-07 00:00:00',4,8,12,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241216121441569611475122610122142',4658,'1063',57.22,1,3,NULL),(28,7248610,'1994-06-05 00:00:00',2,1,12,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241115371431369713391124610137077',17727,'271',30.14,1,3,NULL),(28,7248628,'1994-08-17 00:00:00',4,1,12,2011,'M','N','BELA VISTA I','S JOSÉ','SC','124242241235161431469813395122610118192',19705,'259',31.14,4,3,NULL),(28,7248636,'1991-12-08 00:00:00',2,1,11,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242248215372411234423442124610134182',19505,'1133',32.64,1,3,NULL),(28,7248644,'1994-03-28 00:00:00',4,6,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215122431269923575124610127097',5067,'1038',57.46,4,3,NULL),(28,7248652,'1995-05-29 00:00:00',4,1,12,2011,'F','N','RIO GRANDE','PALHOÇA','SC','124241241131251451523614572124610125191',NULL,'592',12.96,1,2,1),(28,7248660,'1994-07-27 00:00:00',2,24,12,2011,'M','N','JARDIM AMÉRICA','ITUPORANGA','SC','124241248215131431328624245121610144142',NULL,'1173',13.14,1,3,NULL),(28,7248679,'1992-07-10 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116472731426313345124610114142',NULL,'276',19.32,4,2,1),(28,7248687,'1992-10-23 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215474431488933575114610124182',8341,'270',50.64,1,3,NULL),(28,7248695,'1994-02-18 00:00:00',2,26,12,2011,'F','N','PETRÓPOLIS','CONCÓRDIA','SC','124241241114371431436314374124610122052',14176,'192',38.43,1,2,1),(28,7248709,'1993-08-22 00:00:00',4,1,12,2010,'F','N','CAMPINAS','GOIÂNIA','GO','109092091216472431558833575122610124072',5494,'9998',51.87,1,3,NULL),(28,7248725,'1993-07-20 00:00:00',4,8,12,2010,'F','N','JARDIM FLORENÇA','LIMEIRA','SP','125252251217471431568714575122610167032',NULL,'9998',0.00,1,3,NULL),(28,7248741,'1994-10-18 00:00:00',2,7,12,2011,'F','N','INTERIOR','OURO','SC','124241241116371431535435571224610164147',NULL,'585',21.32,1,2,1),(28,7248750,'1991-03-29 00:00:00',2,1,8,2010,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124243247217112431539422145124230263187',18032,'270',38.80,1,3,NULL),(28,7248768,'1994-03-27 00:00:00',4,8,12,2011,'M','N','CENTRO','GLÓRIA DOURADOS','MS','112124121116161431436832575122610165077',NULL,'9998',0.00,1,3,NULL),(28,7248784,'1977-01-12 00:00:00',2,1,12,1999,'M','N','FORQUILHAS','S JOSÉ','SC','224131138123131412336541343212610164197',20018,'9998',27.81,2,1,1),(28,7248792,'1994-08-03 00:00:00',2,1,12,2011,'M','N','CERAMARTE','RIO NEGRINHO','SC','124242241217111431479811575122610167182',16954,'666',41.64,1,3,NULL),(28,7248814,'1993-01-23 00:00:00',2,16,12,2009,'M','N','INTERIOR','ÁGUA DOCE','SC','124241242117112431534314575124220314047',NULL,'8',18.62,1,3,NULL),(28,7248822,'1996-03-03 00:00:00',2,10,12,2011,'F','N','PINGUIRITO','GAROPABA','SC','124244241215111431449813575225610111192',14665,'1253',46.24,1,3,NULL),(28,7248830,'1994-10-08 00:00:00',4,3,12,2011,'F','N','CENTRO','CAMBORIÚ','SC','124241241215111431439512175122610126147',14401,'1045',36.06,1,3,NULL),(28,7248849,'1993-11-17 00:00:00',4,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117272431423324183224610126142',10438,'307',46.89,1,2,1),(28,7248857,'1994-04-25 00:00:00',4,6,11,2011,'M','N','FAZENDA','ITAJAÍ','SC','124244241215471421533614595124610144142',12101,'392',50.39,1,3,NULL),(28,7248873,'1992-10-28 00:00:00',4,1,12,2010,'F','N','VILA MATILDE','CAMPOS JORDÃO','SP','125252251216271431476832575122610135047',NULL,'9998',0.00,1,3,NULL),(28,7248881,'1992-07-15 00:00:00',2,4,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','120201201216572431243579471112610134142',8258,'9998',50.41,1,3,NULL),(28,7248903,'1991-12-30 00:00:00',2,1,12,2010,'F','N','SANTO ANT DE LISBOA','FLORIANÓPOLIS','SC','124241248117371431423823575114610137052',NULL,'306',33.60,1,2,1),(28,7248911,'1994-01-25 00:00:00',4,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215311431586832575112610168122',6756,'457',54.37,1,3,NULL),(28,7248946,'1987-01-04 00:00:00',4,1,12,2004,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241241117474421346643235124610164187',3883,'739',58.90,1,2,1),(28,7248970,'1967-09-28 00:00:00',2,1,12,1987,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224202205417134421459453415124133261097',NULL,'9998',36.91,1,3,NULL),(28,7248989,'1994-08-24 00:00:00',4,3,12,2011,'F','N','NOVA ESPERANÇA','BAL CAMBORIÚ','SC','124241241116471431625631585124610167047',NULL,'1087',19.88,1,2,1),(28,7248997,'1993-11-27 00:00:00',2,10,11,2011,'F','N','DEHON','TUBARÃO','SC','124242241215221431258824595122610138072',NULL,'807',0.00,1,3,NULL),(28,7249004,'1993-05-10 00:00:00',4,1,6,2011,'F','N','COROA DO MEIO','ARACAJU','SE','126262281216271431379814575122610126123',2937,'9998',60.07,4,3,NULL),(28,7249012,'1994-08-19 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215121431469833595122610167111',NULL,'226',0.00,1,3,NULL),(28,7249020,'1986-12-07 00:00:00',4,1,12,2004,'M','N','REAL PARQUE','S JOSÉ','SC','124092091217144711558823185123221764037',3198,'9998',66.37,4,3,NULL),(28,7249039,'1994-02-23 00:00:00',4,10,11,2011,'F','N','CENTRO','LAGUNA','SC','124244241216152431557612272122610121182',5179,'525',57.98,1,3,NULL),(28,7249047,'1975-08-22 00:00:00',2,1,12,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','624252247224135431346641111122321665042',NULL,'1003',0.00,1,3,NULL),(28,7249055,'1992-03-15 00:00:00',2,6,12,2010,'M','N','CENTRO','URUBICI','SC','124241247326271411335616375124610147067',NULL,'9999',0.00,1,3,NULL),(28,7249063,'1991-09-19 00:00:00',2,1,12,2008,'F','N','PASSA VINTE','PALHOÇA','SC','124242241215574731457914572112220721172',5232,'1022',55.78,1,3,NULL),(28,7249071,'1993-12-15 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217132411359922594114610123117',4194,'270',58.87,1,3,NULL),(28,7249080,'1992-05-22 00:00:00',4,9,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215153431548614172115121412142',7461,'497',58.04,1,3,NULL),(28,7249101,'1994-03-24 00:00:00',4,8,12,2011,'F','N','CENTRO','VARGEM BONITA','MG','113132131216111411536711575122610165187',9462,'9998',54.61,1,3,NULL),(28,7249110,'1989-04-23 00:00:00',4,1,12,2006,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241112133711537713442124122224057',19172,'271',34.51,1,3,NULL),(28,7249128,'1992-01-14 00:00:00',4,1,1,2011,'M','N','BARREIROS','S JOSÉ','SC','124243248117131521427921575124231012081',17671,'739',27.42,5,3,NULL),(28,7249136,'1986-05-03 00:00:00',2,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116132712616334592114232714071',NULL,'592',21.39,1,3,NULL),(28,7249152,'1995-01-31 00:00:00',4,1,12,2011,'F','N','VILA NOVA','MAFRA','SC','124241241116151531425329585124610131142',18558,'545',25.38,4,2,1),(28,7249160,'1994-09-15 00:00:00',2,10,12,2011,'F','N','OFICINAS','TUBARÃO','SC','124241241115371451426814385124610138197',18562,'1034',37.02,1,3,NULL),(28,7249187,'1993-04-05 00:00:00',2,1,12,2010,'M','N','PACHECOS','PALHOÇA','SC','124242241216141431446411442124610117184',NULL,'1175',16.29,1,3,NULL),(28,7249195,'1994-08-01 00:00:00',4,4,12,2011,'F','N','BELA VISTA','CHAPECÓ','SC','124243241335131431413527385224610127017',NULL,'169',0.00,1,3,NULL),(28,7249209,'1992-12-14 00:00:00',2,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215372431256614575114233267047',12809,'1022',49.29,1,3,NULL),(28,7249217,'1987-09-26 00:00:00',4,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131221111179292345610118197',NULL,'9999',0.00,1,3,NULL),(28,7249225,'1994-02-10 00:00:00',2,25,12,2011,'M','N','CENTRO','VIDEIRA','SC','124244241216471451356932325122610144052',NULL,'969',26.18,1,3,NULL),(28,7249241,'1993-11-07 00:00:00',4,1,11,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241235121731389931575122610148025',6511,'884',51.12,1,3,NULL),(28,7249268,'1991-10-22 00:00:00',4,1,12,2008,'F','N','BUENO','GOIÂNIA','GO','109092091211574431438414571134610127147',662,'9998',71.82,1,3,NULL),(28,7249276,'1992-04-12 00:00:00',2,5,12,2010,'F','N','CENTRO','IÇARA','SC','124241241115371731316477575244610162057',NULL,'1005',0.00,1,2,1),(28,7249284,'1993-01-11 00:00:00',2,1,12,2010,'F','N','POTECAS','S JOSÉ','SC','124241241116132421423314342244610163147',NULL,'734',0.00,1,2,1),(28,7249292,'1992-09-18 00:00:00',2,1,12,2009,'M','N','JARDIM SUL','S JOSÉ CAMPOS','SP','125251251147571451423311272122610164097',NULL,'9998',0.00,4,2,1),(28,7249306,'1994-01-31 00:00:00',4,15,12,2011,'M','N','CENTRO','ARARANGUÁ','SC','124242241217272411379611575112610165042',2290,'226',62.84,1,3,NULL),(28,7249314,'1987-02-05 00:00:00',4,1,12,2004,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124252253217472411238839385221240267117',15604,'9998',34.52,1,3,NULL),(28,7249322,'1995-01-11 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241115111431248612395122610134182',NULL,'262',47.46,1,3,NULL),(28,7249330,'1994-06-16 00:00:00',4,4,12,2011,'F','N','JARDIM AMÉRICA','CHAPECÓ','SC','124241241115151431437713472124610163142',11645,'174',44.49,1,2,1),(28,7249349,'1993-04-30 00:00:00',2,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216422131348613585124133212091',NULL,'270',35.02,1,3,NULL),(28,7249357,'1994-01-03 00:00:00',2,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241215372421336661595124610112057',12951,'299',43.29,1,3,NULL),(28,7249365,'1985-08-09 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632131111111179192345610118197',NULL,'9999',0.00,1,3,NULL),(28,7249390,'1994-04-21 00:00:00',4,5,11,2011,'M','N','BOSQUE DO REPOUSO','CRICIÚMA','SC','124242241217372451457931572122610168047',4244,'211',56.50,1,3,NULL),(28,7249403,'1984-09-13 00:00:00',4,1,12,2001,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201116232411324444345124130234043',5054,'9998',54.96,4,2,1),(28,7249411,'1995-01-02 00:00:00',4,4,12,2011,'M','N','CENTRO','SEARA','SC','124243241135131411336824345122610167047',NULL,'763',26.39,1,3,NULL),(28,7249420,'1993-01-10 00:00:00',2,1,12,2010,'F','N','BOA PARADA','S PEDRO ALCÂNTARA','SC','124241241216472431536921575124610124092',9697,'1074',45.06,1,3,NULL),(28,7249438,'1977-05-15 00:00:00',4,1,12,1993,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','224014241215152431688943335122422367062',2216,'269',63.48,1,3,NULL),(28,7249446,'1993-06-02 00:00:00',4,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241115371431536629585124610124082',NULL,'307',23.16,1,3,NULL),(28,7249454,'1993-09-11 00:00:00',5,1,11,2010,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241217352231587912425122221427042',NULL,'262',0.00,1,3,NULL),(28,7249462,'1991-01-21 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217252421226744345124122265096',11338,'1022',51.58,1,3,NULL),(28,7249489,'1994-01-30 00:00:00',2,1,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215121431456632215122610167112',19410,'226',33.28,1,3,NULL),(28,7249497,'1968-01-11 00:00:00',3,1,7,1986,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241246116152411166443335122320241142',NULL,'306',10.53,1,2,1),(28,7249500,'1994-02-19 00:00:00',4,1,12,2011,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241115471431326614575124610128197',NULL,'307',28.84,1,2,1),(28,7249519,'1994-01-03 00:00:00',2,15,12,2011,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215371431566919495122610117062',6628,'970',54.97,1,3,NULL),(28,7249535,'1989-06-13 00:00:00',4,1,12,2006,'F','N','ARROIO DO ROSA','IMBITUBA','SC','124241241136271531313139395113610127053',NULL,'359',0.00,1,2,1),(28,7249543,'1981-11-19 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624206208642131221111179593345610118197',NULL,'9998',30.42,1,3,NULL),(28,7249551,'1993-10-27 00:00:00',4,1,12,2010,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241243125141421338612345124610124142',16965,'513',31.68,1,2,1),(28,7249560,'1993-06-08 00:00:00',2,1,9,2010,'M','N','CENTRO','ERECHIM','RS','120202201216172431438831445122241434182',NULL,'9998',0.00,1,3,NULL),(28,7249586,'1994-08-13 00:00:00',2,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241216112431256933575124610117052',6389,'1022',53.27,1,3,NULL),(28,7249594,'1994-04-12 00:00:00',2,1,10,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472531458811575114610124055',17710,'1197',39.71,1,3,NULL),(28,7249608,'1989-05-13 00:00:00',2,8,11,2007,'M','N','CENTRO','CURITIBA','PR','116161161116572431467632275124142434017',NULL,'9998',0.00,1,2,1),(28,7249616,'1983-02-01 00:00:00',2,1,12,1999,'F','N','NONOAI','STA MARIA','RS','120203201211271411445821331114140231073',NULL,'9998',0.00,1,3,NULL),(28,7249624,'1993-07-25 00:00:00',2,4,12,2010,'F','N','CENTRO','SERRA ALTA','SC','124241241134432211528612372124610167147',7718,'765',51.32,1,2,1),(28,7249632,'1984-04-18 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131221111179197345610118197',NULL,'9997',33.10,1,3,NULL),(28,7249640,'1993-11-06 00:00:00',2,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115371431623923575124610126197',10048,'267',48.58,1,2,1),(28,7249667,'1994-06-03 00:00:00',2,1,12,2011,'F','N','JARDIM SUL','S JOSÉ CAMPOS','SP','125251251132471451423311272122610164147',NULL,'9998',0.00,1,2,1),(28,7249675,'1994-10-07 00:00:00',2,1,10,2011,'M','N','CENTRO','ERECHIM','RS','120202201215111431358832372122610147052',18413,'9998',37.60,1,3,NULL),(28,7249691,'1992-10-17 00:00:00',2,5,12,2010,'M','N','SÃO LUIZ','CRICIÚMA','SC','124244241415472431343351241121610134062',7771,'213',49.96,1,3,NULL),(28,7249705,'1993-06-24 00:00:00',4,24,11,2010,'M','N','TAQUARAS','IBIRAMA','SC','124242241217112731469613575124241424012',5642,'991',53.32,1,3,NULL),(28,7249730,'1994-09-09 00:00:00',2,1,12,2011,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241117151431324624572124610137055',NULL,'295',20.38,1,2,1),(28,7249748,'1993-03-25 00:00:00',4,1,7,2011,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241116151431236613575124610133053',6412,'739',50.02,1,3,NULL),(28,7249772,'1994-06-10 00:00:00',2,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431335621375112610134157',4893,'1016',57.88,1,3,NULL),(28,7249780,'1994-08-28 00:00:00',2,1,12,2011,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124244248215121731323619592122610128041',14928,'299',45.76,1,3,NULL),(28,7249799,'1991-02-23 00:00:00',2,3,7,2009,'M','N','VILA REAL','BAL CAMBORIÚ','SC','124241247226141431433324345135233237042',NULL,'967',27.96,1,3,NULL),(28,7249810,'1994-04-06 00:00:00',4,2,12,2011,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241115151411337414175124610166177',7074,'88',51.77,1,3,NULL),(28,7249829,'1981-02-25 00:00:00',4,1,12,1998,'M','N','JURERÊ','FLORIANÓPOLIS','SC','624252253227574752146679315123121468197',11467,'9998',51.38,1,3,NULL),(28,7249837,'1975-04-07 00:00:00',4,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131221113279192345643268197',NULL,'9997',0.00,1,3,NULL),(28,7249845,'1994-10-05 00:00:00',4,6,12,2011,'M','N','CENTRO','ITAJAÍ','SC','124242241217121431459914575112610124112',2904,'1026',62.55,1,3,NULL),(28,7249853,'1995-04-23 00:00:00',4,10,11,2011,'F','N','CENTRO','JAGUARUNA','SC','124243241315151531437732574124610164092',12994,'809',39.39,1,3,NULL),(28,7249870,'1993-10-01 00:00:00',2,24,12,2010,'F','N','CAJURU','CURITIBA','PR','116241241126471431323336575124610167057',12000,'691',44.12,1,2,1),(28,7249896,'1990-04-17 00:00:00',3,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241215574431468923572112120764045',3249,'951',66.24,1,3,NULL),(28,7249900,'1973-10-03 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131221111179192345610158197',13189,'9997',48.72,1,3,NULL),(28,7249934,'1995-01-07 00:00:00',2,25,12,2011,'F','N','INDUSTRIAL','CAÇADOR','SC','124242241216111731425634145322610137047',NULL,'120',30.90,4,3,NULL),(28,7249942,'1984-12-08 00:00:00',4,1,12,2002,'M','N','BELA VISTA','S PAULO','SP','125252251216573441588934415122243267182',2556,'9998',62.38,4,3,NULL),(28,7249950,'1977-05-23 00:00:00',2,1,12,2002,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241247112131431626743336314132862187',NULL,'9999',34.25,2,1,1),(28,7249969,'1993-10-25 00:00:00',4,4,12,2010,'F','N','FLOR DA SERRA','JOAÇABA','SC','124242241216475531569811574122610167092',1816,'454',68.21,1,3,NULL),(28,7249977,'1981-03-12 00:00:00',2,1,12,2001,'M','N','JOSÉ BONIFACIO','FORTALEZA','CE','106061061125571431324436571224610122042',5950,'9998',55.03,1,2,1),(28,7249985,'1994-12-06 00:00:00',4,1,12,2011,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124242241215111431343724372124610124042',NULL,'1076',0.00,3,3,NULL),(28,7250010,'1980-01-01 00:00:00',4,1,12,2005,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131211111179192345610118197',NULL,'9997',0.00,1,3,NULL),(28,7250029,'1988-10-27 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242121211573451189711571224610147111',2839,'9998',60.09,1,3,NULL),(28,7250045,'1981-02-22 00:00:00',2,1,12,2002,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','624201207146132431323354495114610147077',NULL,'9998',16.29,4,3,NULL),(28,7250053,'1995-01-16 00:00:00',4,6,11,2011,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241215371411356834275112610131122',16279,'1172',43.15,1,3,NULL),(28,7250061,'1994-06-05 00:00:00',2,15,11,2011,'F','N','POLICIA RODOVIARIA','ARARANGUÁ','SC','124241241215111411435516575122610136192',16352,'26',34.18,1,3,NULL),(28,7250070,'1994-12-01 00:00:00',2,1,12,2011,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241115371431633311595124610133142',NULL,'64',18.44,1,2,1),(28,7250088,'1962-02-13 00:00:00',2,1,12,2005,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632135211111179192345610118197',10134,'9999',53.51,1,3,NULL),(28,7250096,'1993-09-17 00:00:00',2,8,12,2011,'M','N','VILA NOVA','JOINVILLE','SC','124241241345211431536811275124610124052',8438,'1016',49.72,1,3,NULL),(28,7250100,'1994-11-04 00:00:00',4,10,11,2011,'F','N','SÃO MARTINHO','TUBARÃO','SC','124241241215131431323119595124610127047',14923,'797',37.83,1,3,NULL),(28,7250118,'1993-11-15 00:00:00',2,1,12,2011,'M','N','JARDIM ZANELLATO','S JOSÉ','SC','124241241115161432633311375124610162042',NULL,'734',20.04,1,2,1),(28,7250126,'1994-05-24 00:00:00',4,10,12,2011,'M','N','MAGALHÃES','LAGUNA','SC','124242241225161411436914575122610114092',12367,'524',42.03,1,3,NULL),(28,7250134,'1993-04-06 00:00:00',4,1,12,2010,'F','N','VELEIROS','S PAULO','SP','125252251217471741568811215124610166185',12796,'9998',49.30,1,3,NULL),(28,7250142,'1993-12-15 00:00:00',4,1,12,2010,'M','N','VILA IMPERIAL','S JOSÉ R PRETO','SP','125073251315471231469919276112610136012',1045,'9998',66.11,1,3,NULL),(28,7250150,'1993-01-31 00:00:00',4,1,12,2011,'M','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241241136171211524311345124610117042',NULL,'295',18.92,1,2,1),(28,7250169,'1992-05-03 00:00:00',4,1,12,2009,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241127371731223344342314610126047',16530,'288',33.30,4,2,1),(28,7250177,'1994-01-27 00:00:00',2,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241115171411524414274124610144053',NULL,'289',16.97,2,1,1),(28,7250185,'1987-11-18 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241117273531326779442124133262177',12602,'306',49.63,1,3,NULL),(28,7250193,'1994-08-22 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431459913575122610126182',12268,'270',40.79,1,3,NULL),(28,7250207,'1962-07-27 00:00:00',4,4,12,1979,'F','N','SAIC','CHAPECÓ','SC','524241243126153421343649295122431042187',NULL,'779',0.00,1,2,1),(28,7250215,'1992-03-09 00:00:00',4,1,12,2009,'M','N','PARQUE CAMPOLIM','SOROCABA','SP','125252251216573441567612571122610164092',337,'9998',73.15,4,3,NULL),(28,7250223,'1994-11-17 00:00:00',2,15,11,2011,'F','N','JARDIM CIBELE','ARARANGUÁ','SC','124244241234211431556831572112610134197',NULL,'26',0.00,3,3,NULL),(28,7250231,'1994-05-30 00:00:00',4,15,12,2011,'M','N','LAGOAO','ARARANGUÁ','SC','124241241126131441226922285121610122042',NULL,'30',22.74,1,2,1),(28,7250258,'1989-03-03 00:00:00',2,1,1,2012,'F','N','PRAÇA','TIJUCAS','SC','124251247126131431426674285124610126182',NULL,'9999',0.00,4,1,1),(28,7250266,'1994-07-20 00:00:00',2,1,12,2011,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241217371431454623595114610117062',11479,'1011',43.80,4,3,NULL),(28,7250274,'1994-09-06 00:00:00',4,6,11,2011,'M','N','ARIRIBÁ','BAL CAMBORIÚ','SC','124242241215111421468811375122610127092',4981,'1038',61.16,1,3,NULL),(28,7250282,'1993-04-10 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241217142431456432345134610162077',NULL,'1048',27.10,1,3,NULL),(28,7250290,'1994-10-14 00:00:00',2,16,12,2011,'F','N','APARECIDA','CURITIBANOS','SC','124241241115471431525939272122610138172',16993,'239',31.32,1,2,1),(28,7250312,'1994-03-19 00:00:00',2,1,12,2011,'F','N','PASSA VINTE','PALHOÇA','SC','124241241126141431324629345224610147142',12439,'592',41.55,1,2,1),(28,7250320,'1994-09-25 00:00:00',4,9,11,2011,'M','N','CENTRO','LAGES','SC','124242241212111411347933575121610152182',NULL,'1207',0.00,1,3,NULL),(28,7250339,'1994-11-11 00:00:00',4,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241115131431526314242124610127057',NULL,'281',23.53,1,2,1),(28,7250355,'1994-08-03 00:00:00',4,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431338811571122610126172',5081,'723',55.52,1,3,NULL),(28,7250363,'1993-11-08 00:00:00',2,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124242241215111751437632575124610117077',NULL,'1011',23.54,1,3,NULL),(28,7250371,'1996-01-10 00:00:00',2,7,12,2011,'F','N','CIDADE JARDIM','CATANDUVAS','SC','124242241215131431426632575124610153147',NULL,'962',0.00,1,3,NULL),(28,7250398,'1993-09-01 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116141431613344345114610117057',16421,'812',33.55,1,2,1),(28,7250401,'1991-02-10 00:00:00',4,10,11,2008,'F','N','CENTRO','TUBARÃO','SC','124241241137151731358674385112130228147',NULL,'798',0.00,1,3,NULL),(28,7250410,'1994-11-28 00:00:00',2,10,11,2011,'F','N','CENTRO','GRAVATAL','SC','124241241236271411336923245124610115152',14651,'807',35.92,1,3,NULL),(28,7250428,'1995-05-27 00:00:00',4,8,12,2012,'M','S','AMERICA','JOINVILLE','SC','124244241215111732559614572122610127062',NULL,'457',57.06,1,3,NULL),(28,7250436,'1991-07-17 00:00:00',2,1,12,2008,'M','N','MENINO DEUS','PTO ALEGRE','RS','120201201117571331446619595124610118092',9427,'9998',48.93,1,2,1),(28,7250444,'1981-09-05 00:00:00',4,17,11,2000,'M','N','INDUSTRIAL','CANOINHAS','SC','624241243116141321436614445132130237037',NULL,'153',0.00,1,2,1),(28,7250460,'1995-06-17 00:00:00',4,1,11,2011,'F','N','PQ ANHANGUERA','GOIÂNIA','GO','109092091217111431449813144122610122147',8666,'9998',56.00,1,3,NULL),(28,7250479,'1993-06-14 00:00:00',4,1,11,2010,'F','N','CENTRO','DIVINOLÂNDIA','SP','125254251216471431448821575124610127047',5535,'9998',52.16,1,3,NULL),(28,7250487,'1994-05-30 00:00:00',4,1,12,2011,'M','N','BELA VISTA II','S JOSÉ','SC','124241241117371431644419572124610134197',4173,'726',64.08,1,2,1),(28,7250495,'1994-04-07 00:00:00',2,1,12,2010,'F','N','ENCANTADA','GAROPABA','SC','124241241127161731525634572214610114147',NULL,'322',28.77,4,2,1),(28,7250509,'1993-09-25 00:00:00',4,1,12,2011,'F','N','DONA ADELIA','S JOSÉ','SC','124241241115371431525719592344610164147',NULL,'257',14.55,1,2,1),(28,7250517,'1992-11-08 00:00:00',2,9,12,2011,'M','N','PRÓ FLOR','CORREIA PINTO','SC','124243241317141221446912585124610147183',19524,'201',32.50,1,3,NULL),(28,7250525,'1993-08-30 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215473531434832575124610117112',11493,'1048',43.34,1,3,NULL),(28,7250533,'1995-02-20 00:00:00',4,2,10,2011,'F','N','CENTRO','BLUMENAU','SC','124242241215112431548832572322610166017',1539,'909',66.66,1,3,NULL),(28,7250541,'1994-07-13 00:00:00',4,6,10,2011,'M','N','SÃO JUDAS','ITAJAÍ','SC','124241241417111431346823375124610122017',749,'1026',71.75,1,3,NULL),(28,7250550,'1993-04-06 00:00:00',4,1,12,2010,'F','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124242241216372431459914575112610162052',11887,'724',50.71,1,3,NULL),(28,7250568,'1993-07-28 00:00:00',4,1,10,2010,'F','N','CENTRO','CURITIBA','PR','116022021416471431277712575112610143147',NULL,'9998',0.00,1,3,NULL),(28,7250576,'1990-11-20 00:00:00',2,1,12,2008,'M','N','PICADAS DO SUL','S JOSÉ','SC','624241241217131422321644242324610117047',NULL,'1075',32.59,1,3,NULL),(28,7250584,'1989-12-08 00:00:00',4,1,12,2007,'M','N','CIDADE UNIVERSITARIA','PALHOÇA','SC','124244241216472431558833475124133234182',4841,'185',58.79,1,3,NULL),(28,7250592,'1993-02-06 00:00:00',4,5,7,2011,'F','N','MINA DO MATO','CRICIÚMA','SC','124241241215111232354924345122610114142',NULL,'995',19.84,1,3,NULL),(28,7250606,'1982-01-20 00:00:00',2,1,12,1999,'F','N','PILARZINHO','FLORIANÓPOLIS','SC','124161166116151421148449395132340227145',16154,'9998',43.42,1,2,1),(28,7250614,'1994-05-24 00:00:00',4,1,12,2011,'F','N','VENDAVAL','BIGUAÇU','SC','124243241212111411446332571122610127072',10969,'1040',44.57,1,3,NULL),(28,7250622,'1994-04-07 00:00:00',4,1,12,2011,'F','N','BELA VISTA','S JOSÉ','SC','124241241115371431327724285124610124042',NULL,'733',22.14,1,2,1),(28,7250630,'1992-11-30 00:00:00',2,1,12,2010,'M','N','FURADINHO','PALHOÇA','SC','124241241125141422536474342223610122047',19941,'592',28.86,1,2,1),(28,7250649,'1992-06-12 00:00:00',2,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241215373731466513345124610164043',5515,'723',55.93,1,3,NULL),(28,7250657,'1994-02-04 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215121431488833572112610146192',5804,'951',52.37,1,3,NULL),(28,7250665,'1993-10-22 00:00:00',2,1,12,2010,'F','N','VILA SÃO BENTO','S JOSÉ CAMPOS','SP','125251253212471431436814572124610131197',NULL,'9998',0.00,1,3,NULL),(28,7250673,'1987-03-04 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241215132441243823375124121522092',3430,'270',65.77,4,3,NULL),(28,7250690,'1991-05-22 00:00:00',4,1,12,2008,'F','N','MELO','BARRETOS','SP','125251251216572751536829192225610163147',10236,'9998',45.83,1,3,NULL),(28,7250703,'1973-12-07 00:00:00',2,1,12,1994,'M','N','AREIAS','S JOSÉ','SC','224241247226132411534454385112130827117',19321,'9999',33.78,1,3,NULL),(28,7250711,'1987-07-04 00:00:00',2,15,12,2004,'M','N','CENTRO','MARACAJÁ','SC','124241246217111431453337442112131422097',16286,'228',43.13,1,3,NULL),(28,7250720,'1993-07-08 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116372411324413595124610128142',16218,'307',35.08,1,2,1),(28,7250738,'1994-04-11 00:00:00',4,1,12,2011,'M','N','CENTRO','TIJUCAS','SC','124242241217112431568832592125610124072',4557,'1119',57.01,1,3,NULL),(28,7250746,'1971-06-14 00:00:00',2,1,12,1998,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124253258327143721223444142332610167042',NULL,'9998',17.51,1,3,NULL),(28,7250754,'1988-06-15 00:00:00',4,6,12,2005,'M','N','VILLA OPERARIA','ITAJAÍ','SC','124241241112243421424613345125131462182',14815,'401',36.57,1,2,1),(28,7250770,'1993-12-24 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241216473431336312385114610124042',11036,'259',43.92,1,3,NULL),(28,7250797,'1994-09-03 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162241215111431258924575124610143112',1996,'270',65.28,1,3,NULL),(28,7250800,'1994-08-01 00:00:00',4,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215112431368911572112610137012',3312,'270',60.91,1,3,NULL),(28,7250819,'1990-11-08 00:00:00',4,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124242241215373431229844345124131327097',NULL,'1169',17.71,1,3,NULL),(28,7250827,'1993-10-12 00:00:00',4,1,12,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215372431269819395124610166192',4029,'883',59.64,1,3,NULL),(28,7250835,'1992-02-17 00:00:00',2,15,12,2010,'F','N','MATO ALTO','ARARANGUÁ','SC','124241241126141731325324245123610124147',NULL,'30',28.20,1,3,NULL),(28,7250843,'1991-04-02 00:00:00',4,1,12,2008,'F','N','PEDRA BRANCA','PALHOÇA','SC','124242241215373531445912475122131567152',19463,'1022',32.96,1,3,NULL),(28,7250851,'1991-08-02 00:00:00',4,8,12,2008,'M','N','VILA NOVA','LONDRINA','PR','116162161216572431457632575112610127087',2562,'9998',65.56,3,3,NULL),(28,7250878,'1995-02-02 00:00:00',4,1,12,2012,'F','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215151411479933575122610161182',NULL,'1169',48.21,1,3,NULL),(28,7250886,'1992-06-11 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241116252431226619485114610138187',NULL,'1116',0.00,1,2,1),(28,7250908,'1994-08-18 00:00:00',2,24,11,2011,'F','N','JARDIM AMÉRICA','RIO SUL','SC','124242241217121431447619475122610131012',4048,'653',58.62,1,3,NULL),(28,7250916,'1993-04-02 00:00:00',2,4,12,2010,'F','N','CENTRO','IPORÃ OESTE','SC','124241241215371431329619475122610137077',14626,'1079',38.84,1,3,NULL),(28,7250924,'1987-03-02 00:00:00',2,1,12,2007,'M','N','PASSO DA AREIA','PTO ALEGRE','RS','120203207236411311238624215122141412047',NULL,'9998',0.00,1,3,NULL),(28,7250932,'1994-02-24 00:00:00',4,1,11,2011,'M','N','PICADAS DO SUL','S JOSÉ','SC','124243241216111431428631575124610164042',13003,'1074',48.98,1,3,NULL),(28,7250959,'1994-04-09 00:00:00',2,5,12,2011,'F','N','QUARTA LINHA','CRICIÚMA','SC','124243248215141431426933575122610134147',14262,'995',47.01,1,3,NULL),(28,7250967,'1993-08-27 00:00:00',2,1,11,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215372411458719572122230443074',12712,'270',49.41,4,3,NULL),(28,7250975,'1994-12-26 00:00:00',2,17,12,2011,'M','N','CENTRO','CURITIBA','PR','116242161236112411387612571122610117042',2843,'9998',62.53,1,3,NULL),(28,7250983,'1990-11-07 00:00:00',4,8,12,2008,'M','N','IRIRIÚ','JOINVILLE','SC','124241246217271721436611495124610147017',17101,'1105',41.27,1,3,NULL),(28,7250991,'1994-01-18 00:00:00',2,8,12,2011,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124212241216111431568813575122610123032',3962,'459',60.10,1,3,NULL),(28,7251009,'1993-06-14 00:00:00',4,1,12,2011,'M','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124244241215111411338714395125610164192',11634,'1118',41.40,1,3,NULL),(28,7251017,'1995-01-27 00:00:00',4,1,12,2011,'F','N','ROÇADO','S JOSÉ','SC','124242248215111211536554375112610134072',9733,'737',46.55,4,3,NULL),(28,7251025,'1992-10-17 00:00:00',4,4,12,2009,'M','N','PALMITAL','CHAPECÓ','SC','124242241215572431358819385112610147042',4204,'168',56.74,1,3,NULL),(28,7251033,'1994-06-01 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431433824572124610141067',15112,'1077',36.40,4,3,NULL),(28,7251041,'1994-08-10 00:00:00',4,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124241241415111431537632475122610167142',5597,'1191',54.82,1,3,NULL),(28,7251050,'1994-08-21 00:00:00',2,1,11,2011,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124242241217112231453231476111610117052',7564,'1011',51.02,1,3,NULL),(28,7251068,'1992-10-27 00:00:00',2,1,12,2009,'F','N','COBRE','CANELINHA','SC','124241241116132431425314385114610137057',NULL,'712',16.68,1,2,1),(28,7251106,'1993-05-10 00:00:00',4,6,12,2010,'F','N','SAO BRAZ','CURITIBA','PR','116162161216271431268813575122140362043',1159,'9998',67.03,1,3,NULL),(28,7251114,'1995-01-21 00:00:00',4,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115151751468833575124610132055',12377,'267',42.98,1,2,1),(28,7251122,'1973-08-31 00:00:00',4,1,12,2002,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124202207221371421233344345133610137147',16707,'9998',42.19,1,3,NULL),(28,7251130,'1993-07-25 00:00:00',2,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217151431369719591123610133152',9419,'1198',49.01,1,3,NULL),(28,7251149,'1992-01-28 00:00:00',2,1,12,2011,'F','N','CENTRO','VACARIA','RS','124201201416471231444612575124610124192',18101,'9998',38.60,1,3,NULL),(28,7251165,'1992-05-12 00:00:00',4,1,12,2008,'M','N','BOM VIVER','BIGUAÇU','SC','124242241215332221438632395112130267117',17083,'868',41.35,1,3,NULL),(28,7251173,'1986-11-18 00:00:00',2,15,12,2003,'M','N','SÃO PEREGRINO','TURVO','SC','124241246117111431344435445122610157043',19723,'814',30.91,1,3,NULL),(28,7251181,'1994-03-07 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215574431458933571134130264097',113,'738',78.73,1,3,NULL),(28,7251190,'1992-10-02 00:00:00',4,17,12,2009,'F','N','CENTRO','S JOÃO TRIUNFO','PR','116161161216572431476939575112610164173',9717,'9998',47.22,1,3,NULL),(28,7251203,'1993-10-21 00:00:00',4,1,2,2012,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241234131112333311575114610164042',13273,'299',39.01,1,3,NULL),(28,7251211,'1993-10-20 00:00:00',2,1,12,2010,'F','N','XAXIM','CURITIBA','PR','116163161337471441436623272124610165187',NULL,'9998',0.00,1,3,NULL),(28,7251220,'1995-04-29 00:00:00',2,9,12,2011,'F','N','CENTRO','ANITA GARIBALDI','SC','124243241117161731439933572122610137142',NULL,'18',29.47,1,3,NULL),(28,7251238,'1993-05-29 00:00:00',2,1,11,2010,'M','N','CENTRO','IMBITUBA','SC','124241241212372211469833572112610117062',4215,'807',60.09,1,3,NULL),(28,7251246,'1989-08-11 00:00:00',2,1,11,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115272431436314242134120216147',7501,'307',50.96,1,2,1),(28,7251262,'1991-05-02 00:00:00',4,1,12,2008,'F','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251212371231289914485112610112176',5527,'9998',54.23,1,3,NULL),(28,7251270,'1994-11-17 00:00:00',4,1,12,2011,'F','N','GUIOMAR','ANTÔNIO CARLOS','SC','124241241115162411522416575121610134077',14611,'21',38.80,1,2,1),(28,7251289,'1994-06-01 00:00:00',4,8,11,2011,'M','N','SAGUAÇÚ','JOINVILLE','SC','124242241216111431238829295124610117011',8132,'1105',48.86,1,3,NULL),(28,7251297,'1994-10-19 00:00:00',4,3,11,2011,'F','N','CRUZEIRO','ITARARÉ','SP','116252161216471431568911572112610146142',NULL,'9998',0.00,1,3,NULL),(28,7251300,'1994-07-09 00:00:00',2,16,12,2011,'F','N','SANTO ÂNTONIO','CURITIBANOS','SC','124241241136371321523521475122610124147',17739,'239',39.64,4,3,NULL),(28,7251319,'1994-05-17 00:00:00',4,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124241241115131531323114572124610126192',17022,'1116',41.49,4,2,1),(28,7251327,'1994-03-02 00:00:00',2,3,12,2011,'M','N','SERTÃOZINHO','ITAPEMA','SC','124241242115131431343719255124610114057',11946,'129',41.39,1,2,1),(28,7251335,'1994-07-10 00:00:00',4,1,12,2011,'F','N','COSTEIRA DO PIRJUBAE','FLORIANÓPOLIS','SC','124241241115141431323324245124610136017',NULL,'281',21.76,1,2,1),(28,7251343,'1994-12-12 00:00:00',4,15,12,2011,'M','N','MORRO DOS CONVENTOS','ARARANGUÁ','SC','124201241117151431635969475124610127141',14964,'29',33.14,1,2,1),(28,7251351,'1993-07-06 00:00:00',4,10,11,2010,'M','N','MAR GROSSO','LAGUNA','SC','124242241217112431568611575112610127042',4883,'807',62.64,1,3,NULL),(28,7251360,'1993-10-05 00:00:00',4,1,12,2011,'F','N','BOM RETIRO','CURITIBA','PR','116162161217411431328824375124610133054',NULL,'9998',0.00,4,3,NULL),(28,7251378,'1992-10-22 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215373431239923575122131032092',4281,'270',59.66,1,3,NULL),(28,7251386,'1994-10-17 00:00:00',4,17,11,2011,'F','N','CENTRO','PAPANDUVA','SC','124243161215111431438411572122610167057',NULL,'9998',0.00,1,3,NULL),(28,7251408,'1995-02-26 00:00:00',2,1,12,2012,'F','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215131631211314175124610147097',NULL,'299',44.27,1,3,NULL),(28,7251416,'1990-08-28 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124202247226371431446873575124610167042',NULL,'9999',37.05,1,3,NULL),(28,7251424,'1991-02-10 00:00:00',4,1,12,2011,'M','N','MIRIM','IMBITUBA','SC','124241247147131431334923385114610126072',15663,'9999',36.90,1,2,1),(28,7251432,'1994-10-13 00:00:00',4,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431456834575124610124117',5968,'270',60.64,1,3,NULL),(28,7251440,'1993-03-09 00:00:00',2,15,12,2009,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241115112451335519395121610164052',14983,'30',35.73,1,2,1),(28,7251459,'1992-08-01 00:00:00',4,1,12,2009,'M','N','VILA CLEMENTINO','S PAULO','SP','125252251215571451348812575125610134052',NULL,'9998',0.00,1,3,NULL),(28,7251467,'1991-04-03 00:00:00',2,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124164161146271411356612382123140237013',18011,'9998',38.88,1,3,NULL),(28,7251475,'1991-08-02 00:00:00',4,1,12,2008,'M','N','LAR DO TRABALHADOR','CPO GRANDE','MS','112121121116472431336923175124610124042',1582,'9998',66.06,3,2,1),(28,7251483,'1994-06-30 00:00:00',4,8,12,2011,'M','N','PETRÓPOLIS','JOINVILLE','SC','124242246215131431334811215124610127053',10344,'1105',43.34,2,3,NULL),(28,7251491,'1994-09-05 00:00:00',2,5,12,2011,'F','N','MILANESE','CRICIÚMA','SC','124241241215111731538824595124610118197',14165,'9997',39.19,1,3,NULL),(28,7251513,'1994-12-14 00:00:00',4,26,12,2011,'M','N','CENTRO','CONCÓRDIA','SC','124241241115131431424634575124610167047',NULL,'192',27.67,1,2,1),(28,7251521,'1994-03-25 00:00:00',4,8,12,2011,'F','N','BUCAREIN','JOINVILLE','SC','124242241215111331448833575122610125142',12696,'1006',41.44,1,3,NULL),(28,7251530,'1993-04-30 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241347132431323624446234610126147',14406,'884',40.05,1,3,NULL),(28,7251548,'1988-01-31 00:00:00',4,16,12,2005,'F','N','AGUA SANTA','CURITIBANOS','SC','124241241111371711323371392123133221097',18265,'1130',38.08,1,2,1),(28,7251556,'1984-10-05 00:00:00',2,1,12,2002,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241126131411126344345124130824047',NULL,'669',27.41,1,3,NULL),(28,7251564,'1993-03-31 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124242241216151431438734575124231427182',9155,'515',55.15,1,3,NULL),(28,7251572,'1994-11-17 00:00:00',4,1,12,2011,'F','N','CENTRO','TIJUCAS','SC','124242241215111331353312195121610127052',7020,'1119',52.50,1,3,NULL),(28,7251580,'1994-03-01 00:00:00',2,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121331468812575122610121012',18889,'1197',24.84,1,3,NULL),(28,7251599,'1994-06-10 00:00:00',4,1,12,2012,'M','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242248117131751428811375124410128187',NULL,'306',29.13,1,3,NULL),(28,7251602,'1992-02-24 00:00:00',4,5,12,2009,'M','N','VILA NATUREZA','CRICIÚMA','SC','124241241126171711333321245124610134041',19208,'225',34.32,1,3,NULL),(28,7251610,'1992-08-10 00:00:00',2,3,12,2010,'F','N','JARDIM TUCANOS','LONDRINA','PR','116162161216472431468911575112610144117',2439,'9998',63.38,1,3,NULL),(28,7251629,'1991-10-22 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216153451358623395122233237117',14192,'270',47.12,1,3,NULL),(28,7251637,'1993-11-25 00:00:00',4,1,11,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217111441488923575122610137122',8245,'270',49.19,1,3,NULL),(28,7251645,'1992-11-02 00:00:00',4,8,12,2010,'M','N','CENTRO','JOINVILLE','SC','124242241215471431468914592122610144047',10567,'486',44.03,1,3,NULL),(28,7251653,'1994-04-19 00:00:00',4,2,10,2011,'F','N','VORSTADT','BLUMENAU','SC','124242241215122431578934595122610162042',788,'909',70.29,1,3,NULL),(28,7251661,'1994-06-02 00:00:00',2,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124241241115141431436923232124610134152',NULL,'734',35.33,2,1,1),(28,7251670,'1993-04-02 00:00:00',2,2,12,2010,'F','N','GARCIA','BLUMENAU','SC','124242161216473431448911575125610163113',1427,'909',67.26,1,3,NULL),(28,7251688,'1994-10-21 00:00:00',2,24,11,2011,'M','N','CENTRO','ITUPORANGA','SC','124242241415272411459911575112610162092',4442,'991',58.59,1,3,NULL),(28,7251696,'1995-05-20 00:00:00',4,1,12,2011,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241215271231546634592121610167067',18246,'63',31.20,1,3,NULL),(28,7251700,'1995-09-17 00:00:00',2,1,12,2012,'M','S','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124242241215111311325634575122610118142',NULL,'738',32.06,1,3,NULL),(28,7251718,'1993-04-08 00:00:00',2,1,12,2010,'F','N','CANOAS','BOM RETIRO','SC','124241241116133431324923575124610112192',15609,'95',36.16,1,2,1),(28,7251726,'1994-03-14 00:00:00',4,1,12,2011,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124242246215151431663612216121610134173',11601,'1119',44.45,1,3,NULL),(28,7251734,'1994-06-05 00:00:00',4,10,11,2011,'M','N','STO ANTONIO DE PÁDUA','TUBARÃO','SC','124242241215111431348933575122610137062',11712,'806',50.98,1,3,NULL),(28,7251742,'1995-02-20 00:00:00',4,23,12,2012,'M','S','CENTRO','JARAGUÁ SUL','SC','124242241215111731459934275122610137042',NULL,'1174',47.31,1,3,NULL),(28,7251750,'1994-06-10 00:00:00',2,1,12,2011,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241115131231326314472124610123147',NULL,'307',18.46,1,2,1),(28,7251769,'1993-06-09 00:00:00',2,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215122431238812345112610127077',8160,'299',49.74,1,3,NULL),(28,7251777,'1994-07-25 00:00:00',2,2,12,2011,'F','N','TRIBESS','BLUMENAU','SC','124241241215131431446614375124610133097',4002,'87',59.40,1,3,NULL),(28,7251785,'1994-04-22 00:00:00',4,8,12,2011,'M','N','ICARAI','BARRA VELHA','SC','124243248416131741226669175125610162195',19115,'1105',34.81,1,3,NULL),(28,7251793,'1994-07-12 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241117112431546619575124610117042',13622,'737',48.02,1,3,NULL),(28,7251807,'1992-03-06 00:00:00',4,1,12,2009,'M','N','SANTA RITA','PIRACICABA','SP','125252251216111411348924375122241964193',11043,'9998',52.07,1,3,NULL),(28,7251815,'1991-05-11 00:00:00',4,1,12,2008,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124243241115473411579953595112130417125',6152,'271',56.78,1,3,NULL),(28,7251823,'1990-02-03 00:00:00',4,8,12,2007,'M','N','PLANALTO','ARAÇATUBA','SP','125252251216141431448819445121610167057',9426,'9998',45.78,3,3,NULL),(28,7251831,'1994-12-10 00:00:00',2,8,12,2011,'M','N','PINHEIRINHO','CURITIBA','PR','116162161235471412328731495112610164187',5026,'9998',56.68,1,3,NULL),(28,7251858,'1994-03-30 00:00:00',4,1,12,2011,'M','N','PONTE DE IMARUIM','PALHOÇA','SC','124242241216111431458614215122610164103',7336,'1010',53.31,1,3,NULL),(28,7251866,'1993-06-16 00:00:00',4,1,11,2011,'M','N','CENTRO','SOMBRIO','SC','124243241215131431226927492114610121117',14268,'26',38.22,1,3,NULL),(28,7251882,'1993-01-12 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217173431259933575121233261142',NULL,'9997',0.00,1,3,NULL),(28,7251890,'1983-02-25 00:00:00',4,1,12,2001,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241125132711463619135124322366197',NULL,'592',0.00,1,2,1),(28,7251904,'1991-12-06 00:00:00',2,1,12,2009,'M','N','JARDIM EUROPA','PIRACICABA','SP','125252251216511431359811572122610127047',1992,'9998',65.13,4,3,NULL),(28,7251912,'1994-12-05 00:00:00',4,15,12,2011,'M','N','IMIGRANTES','TURVO','SC','124241246115141431357934575122610122055',NULL,'814',21.34,1,3,NULL),(28,7251920,'1982-07-06 00:00:00',2,1,12,1998,'M','N','BELA ALIANÇA','RIO SUL','SC','124241241126131441624324185124331226037',18313,'865',37.91,4,2,1),(28,7251939,'1994-12-26 00:00:00',2,1,1,2012,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241115111431424412475124610124047',NULL,'1248',22.41,1,3,NULL),(28,7251947,'1994-05-12 00:00:00',2,7,11,2011,'F','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241215371411237824572122610122142',12879,'454',41.27,1,3,NULL),(28,7251955,'1993-06-19 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124202201215471751447834144124610163077',10689,'9998',43.68,1,3,NULL),(28,7251963,'1994-09-08 00:00:00',2,9,11,2011,'M','N','CENTRO','LAGES','SC','624242241235111411448617575121610144042',14958,'497',45.70,4,3,NULL),(28,7251980,'1992-11-13 00:00:00',4,1,12,2010,'M','N','GUARA','CAMPINAS','SP','125252251217471232426611275112610127047',7395,'9998',49.05,3,3,NULL),(28,7251998,'1993-03-15 00:00:00',4,1,12,2009,'F','N','ZONA A','UMUARAMA','PR','116162161214572531468831595125610114173',659,'9998',72.16,3,3,NULL),(28,7252005,'1988-09-21 00:00:00',3,1,12,2005,'M','N','VILA NERY','S CARLOS','SP','125254251216472751579839495122242832112',6239,'9998',60.16,1,3,NULL),(28,7252013,'1994-06-10 00:00:00',4,1,11,2011,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241216111431456833475122610122122',542,'270',74.70,1,3,NULL),(28,7252021,'1994-05-10 00:00:00',4,2,12,2011,'M','N','VILA NOVA','BLUMENAU','SC','124242241215271751469912595122610137182',9488,'909',49.32,1,3,NULL),(28,7252030,'1993-07-12 00:00:00',4,2,11,2009,'M','N','GARCIA','BLUMENAU','SC','124242241216372431567934445121231437042',6453,'855',59.77,1,3,NULL),(28,7252048,'1994-11-11 00:00:00',4,2,12,2011,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241115271431387822575122610164182',NULL,'909',0.00,1,3,NULL),(28,7252056,'1994-06-13 00:00:00',4,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215272431468819495124610162124',3405,'457',60.63,1,3,NULL),(28,7252064,'1991-07-30 00:00:00',4,1,12,2010,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241137471421434423235124610164047',10629,'712',45.60,1,2,1),(28,7252072,'1995-06-10 00:00:00',4,4,12,2012,'F','S','AMADORI','PATO BRANCO','PR','116162161316111731437732575122610116142',NULL,'9998',35.26,1,3,NULL),(28,7252080,'1991-07-24 00:00:00',2,8,12,2009,'M','N','QUISSISSANA','S JOSÉ PINHAIS','PR','116161161145471731436514375114610164057',14581,'9998',40.35,1,2,1),(28,7252099,'1994-02-23 00:00:00',2,5,12,2011,'F','N','RIO PERSO','COCAL SUL','SC','124241242115131431424419595122610133052',NULL,'690',23.36,1,2,1),(28,7252102,'1994-06-21 00:00:00',4,8,12,2011,'F','N','CENTRO','JOINVILLE','SC','124202241215111431468914592112610124095',13785,'457',47.73,1,3,NULL),(28,7252110,'1993-11-11 00:00:00',2,1,11,2011,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241215272431544812575124610168197',14364,'723',40.22,1,3,NULL),(28,7252129,'1994-02-10 00:00:00',4,1,12,2011,'F','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241215272431478812575122610137072',4081,'262',57.28,1,3,NULL),(28,7252145,'1987-08-04 00:00:00',2,1,12,2004,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241116135431436813495122231122142',7185,'307',51.60,1,3,NULL),(28,7252153,'1992-05-11 00:00:00',4,5,12,2009,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124243241215573751469911597111131168197',407,'213',74.27,1,3,NULL),(28,7252161,'1992-04-30 00:00:00',2,1,12,2009,'F','N','VILA LESSA','PRES PRUDENTE','SP','125252251412561311467812575122141017052',NULL,'9998',0.00,1,3,NULL),(28,7252170,'1994-03-19 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215131351627633575114610167012',8396,'262',48.22,4,3,NULL),(28,7252188,'1987-08-19 00:00:00',4,1,11,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212153431469833575124121926172',8106,'266',56.95,1,3,NULL),(28,7252196,'1988-10-31 00:00:00',4,1,12,2006,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124251251117273421126444245114610123147',13508,'9998',38.43,1,2,1),(28,7252200,'1994-08-06 00:00:00',4,1,12,2011,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241116151512346313575122610166195',14181,'772',39.13,1,3,NULL),(28,7252218,'1995-08-29 00:00:00',4,5,12,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215111311476914575122610168051',NULL,'226',20.56,1,3,NULL),(28,7252234,'1994-04-12 00:00:00',2,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241215111431453319597114610134057',4526,'272',57.84,1,3,NULL),(28,7252242,'1989-01-27 00:00:00',2,1,12,2005,'M','N','AREIAS','S JOSÉ','SC','124201201146131731323344245134142924047',14741,'9998',46.09,1,2,1),(28,7252250,'1988-10-07 00:00:00',2,1,12,2005,'F','N','PAGARÁ GRANDE','STO AMARO IMPERATRIZ','SC','124241241127132731622219242124230444197',NULL,'731',15.67,1,2,1),(28,7252269,'1993-02-27 00:00:00',4,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124244241216472431336936575114610124092',8659,'829',45.59,1,3,NULL),(28,7252277,'1982-09-30 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','324201247347141421122319242114610168193',17591,'9999',40.06,1,3,NULL),(28,7252285,'1994-03-29 00:00:00',4,1,1,2012,'F','N','PICADAS DO SUL','S JOSÉ','SC','124243241115231411444634346324610121187',8855,'739',47.73,1,3,NULL),(28,7252293,'1993-10-03 00:00:00',2,15,12,2009,'M','N','CAMPINHO','ARARANGUÁ','SC','124241241116151431536615352112610134177',NULL,'29',23.55,1,2,1),(28,7252307,'1993-11-08 00:00:00',4,1,11,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241215373431537933375124610133042',7300,'1074',51.16,1,3,NULL),(28,7252315,'1993-03-09 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241115372431458823572124610122077',3371,'267',61.83,4,2,1),(28,7252323,'1991-07-01 00:00:00',4,1,12,2008,'F','N','ZONA SETE','MARINGÁ','PR','116162161215572431478712575122610164147',2388,'9998',63.89,1,3,NULL),(28,7252331,'1993-12-14 00:00:00',2,1,12,2010,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241241216171411225623475124133247062',14656,'1048',37.75,1,3,NULL),(28,7252358,'1993-07-01 00:00:00',4,1,11,2010,'F','N','MOEMA','S PAULO','SP','125252251217471731479831571112610162072',3375,'9998',58.80,1,3,NULL),(28,7252366,'1994-09-01 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431369911575122610157042',2465,'262',61.96,1,3,NULL),(28,7252374,'1994-06-11 00:00:00',4,1,12,2011,'F','N','CAMPO BELO','S PAULO','SP','125252251235111411488831575112610137143',NULL,'9998',0.00,1,3,NULL),(28,7252382,'1992-10-04 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241114131421325923345124610168187',NULL,'1250',18.99,1,2,1),(28,7252390,'1993-07-18 00:00:00',4,1,11,2011,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215122732256869575112610127044',NULL,'299',0.00,1,3,NULL),(28,7252404,'1981-03-13 00:00:00',2,1,12,1998,'F','N','VILA NOVA','IMBITUBA','SC','624241241125471431421451231332610144142',18634,'295',36.76,1,2,1),(28,7252412,'1994-01-11 00:00:00',2,17,12,2011,'M','N','VILA NOVA','MAFRA','SC','124241162116151431426615575124610127067',NULL,'9998',14.53,1,3,NULL),(28,7252420,'1989-08-31 00:00:00',2,1,12,2006,'M','N','CORAL','LAGES','SC','124241241316575431435419395124610137187',6179,'1065',55.30,1,3,NULL),(28,7252447,'1994-01-13 00:00:00',2,5,12,2011,'M','N','MAE LUZIA','CRICIÚMA','SC','124242248217112221337839595124610157182',7835,'995',49.07,1,3,NULL),(28,7252455,'1994-12-09 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431469912575122610167126',2093,'262',64.43,1,3,NULL),(28,7252463,'1994-10-20 00:00:00',2,1,12,2011,'F','N','CAMPO DUNA','GAROPABA','SC','124241241125131421324319292124610117047',NULL,'1136',22.64,1,2,1),(28,7252471,'1993-09-09 00:00:00',2,8,12,2010,'M','N','SAO JOAO MD','TUBARÃO','SC','124242246216372431438913575121233217063',NULL,'1120',29.58,1,3,NULL),(28,7252480,'1993-04-11 00:00:00',4,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124241241112371631346632582122610121147',NULL,'169',0.00,1,2,1),(28,7252498,'1993-11-27 00:00:00',4,10,11,2010,'F','N','CENTRO','JAGUARUNA','SC','124241241215472441323312275124610162172',7879,'806',50.80,1,3,NULL),(28,7252501,'1993-07-08 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244248415472711366839592114610111111',17100,'272',34.90,4,3,NULL),(28,7252510,'1993-07-15 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431238823472122610123097',10117,'270',48.59,4,3,NULL),(28,7252528,'1995-03-03 00:00:00',2,1,11,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241215121431333923575124610122172',5018,'270',55.74,1,3,NULL),(28,7252536,'1990-09-14 00:00:00',4,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241247146131731225644145125610164032',NULL,'9999',20.78,1,3,NULL),(28,7252544,'1990-12-02 00:00:00',4,1,12,2007,'F','N','IPANEMA','PTO ALEGRE','RS','120201201115571431549631571114610142147',170,'9998',77.13,1,2,1),(28,7252552,'1993-06-16 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161241136342431526811345114610168187',13051,'298',40.60,4,2,1),(28,7252587,'1993-10-23 00:00:00',2,1,12,2011,'M','N','RATONES','FLORIANÓPOLIS','SC','124242241215151431469933575124610137042',NULL,'1048',7.28,1,3,NULL),(28,7252595,'1994-09-08 00:00:00',4,1,12,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124202241215371431454924375124610162082',11141,'1048',42.59,1,3,NULL),(28,7252625,'1995-03-15 00:00:00',4,4,12,2011,'M','N','MARIA GORETTI','CHAPECÓ','SC','124242246217161431348813475122610164032',7262,'1094',50.59,1,3,NULL),(28,7252650,'1993-06-24 00:00:00',2,1,12,2010,'M','N','CALHEIROS','GOV CELSO RAMOS','SC','124242241212373411334319272124233227042',7290,'1022',52.22,3,3,NULL),(28,7252668,'1983-10-17 00:00:00',2,16,12,2000,'F','N','BOM JESUS','CURITIBANOS','SC','124241241116371421334313245122610164187',14327,'239',35.07,1,2,1),(28,7252676,'1993-03-23 00:00:00',4,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217111431437834345124610138047',19622,'1022',31.85,1,3,NULL),(28,7252684,'1992-03-26 00:00:00',2,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117131731224429345124610167047',19429,'298',33.18,1,2,1),(28,7252692,'1991-09-04 00:00:00',4,1,12,2009,'F','N','C A E CARVALHO','S PAULO','SP','125256251317571451348824571124610167077',1697,'9998',65.57,2,3,NULL),(28,7252706,'1993-08-30 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241216472431358614275122610167042',7002,'457',58.83,1,3,NULL),(28,7252714,'1993-09-27 00:00:00',2,1,12,2011,'M','N','JARDIM PAULISTA','S PAULO','SP','125252251216111231478814575125610117054',13456,'9998',39.61,1,3,NULL),(28,7252722,'1993-05-17 00:00:00',4,1,12,2010,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124252251216152431348811575121221462182',2668,'9998',62.50,1,3,NULL),(28,7252757,'1993-10-15 00:00:00',2,1,12,2010,'M','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','124241241225132431533624344124130768057',15735,'262',44.23,1,3,NULL),(28,7252765,'1965-11-04 00:00:00',4,1,12,1982,'M','N','CENTRO','FLORIANÓPOLIS','SC','624241248116152431263341212122322436092',6663,'267',59.42,1,3,NULL),(28,7252773,'1990-12-04 00:00:00',2,1,12,2008,'F','N','MORRO DA BINA','BIGUAÇU','SC','124241241136141431323311241224132764142',NULL,'1088',0.00,1,2,1),(28,7252781,'1994-08-24 00:00:00',4,8,11,2010,'F','N','BOA VISTA','JOINVILLE','SC','124242241215111431469814442112610123142',NULL,'1063',17.17,1,3,NULL),(28,7252803,'1993-06-09 00:00:00',4,1,12,2010,'F','N','GUARUJÁ','PTO ALEGRE','RS','120202201217571431469914475112610123193',8005,'9998',51.41,1,3,NULL),(28,7252820,'1994-09-28 00:00:00',2,1,12,2012,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124243241215111431459923575122610115052',NULL,'262',37.34,1,3,NULL),(28,7252846,'1996-03-10 00:00:00',4,1,11,2012,'M','S','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124242241215171731467831375124610167042',NULL,'1022',31.26,1,3,NULL),(28,7252862,'1994-02-10 00:00:00',4,8,12,2011,'M','N','FLORESTA','JOINVILLE','SC','124241246217171412456414242111610164117',10540,'1006',45.23,4,3,NULL),(28,7252870,'1994-09-18 00:00:00',4,2,1,2012,'M','N','CENTRO','POMERODE','SC','124244241317131431337727375122610117017',NULL,'621',26.23,1,3,NULL),(28,7252889,'1994-09-05 00:00:00',3,4,12,2011,'F','N','CENTRO','NOVA ERECHIM','SC','124241241217111431435614295124610146092',18905,'1094',35.66,1,3,NULL),(28,7252897,'1994-12-13 00:00:00',2,10,12,2011,'F','N','PORTINHO','LAGUNA','SC','624241241145371431524359592124610168047',NULL,'1211',0.00,1,3,NULL),(28,7252919,'1994-03-19 00:00:00',4,8,12,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124241241215121331434611572122610122171',3662,'1016',59.26,1,3,NULL),(28,7252927,'1994-09-29 00:00:00',2,15,12,2011,'F','N','POLICIA RODOVIÁRIA','ARARANGUÁ','SC','124241241137131231326724245124610116147',NULL,'852',21.93,1,2,1),(28,7252943,'1994-03-04 00:00:00',4,8,12,2011,'F','N','JARDIM DAS NAÇÕES','TAUBATÉ','SP','125254251215111731438911575122610125122',11422,'9998',44.11,1,3,NULL),(28,7252951,'1994-03-16 00:00:00',2,4,12,2011,'M','N','FLOR','XAXIM','SC','624111241137341731326316245121610124057',NULL,'846',18.68,1,2,1),(28,7252960,'1994-12-23 00:00:00',4,1,12,2012,'M','S','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241217111751679812595122610167132',NULL,'262',27.41,1,3,NULL),(28,7252978,'1994-02-09 00:00:00',2,1,12,2011,'F','N','VILLAGE','GAROPABA','SC','124241241121141221326644345324610128077',13838,'322',38.23,1,2,1),(28,7252994,'1994-02-23 00:00:00',4,10,12,2011,'F','N','NOVA BRASÍLIA','IMBITUBA','SC','124244241215111431447931575122610124142',14074,'362',37.74,3,3,NULL),(28,7253010,'1993-06-05 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241116132431533331345114610168147',13774,'1248',39.20,4,3,NULL),(28,7253028,'1985-04-03 00:00:00',2,1,11,2004,'M','N','CAMPINAS','S JOSÉ','SC','124241171121154421123444341124610132183',NULL,'9998',29.50,1,2,1),(28,7253044,'1995-01-21 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111432588833575112610127042',NULL,'262',42.81,1,3,NULL),(28,7253052,'1994-08-13 00:00:00',4,1,10,2011,'M','N','VILAS DO ATLANTICO','LAURO FREITAS','BA','105052051217121431478813472114610132047',NULL,'9998',0.00,4,3,NULL),(28,7253060,'1993-11-06 00:00:00',2,1,11,2011,'F','N','SAO JOSE','BELO HORIZONTE','MG','113132131216111731388923575122610121077',NULL,'9998',0.00,1,3,NULL),(28,7253079,'1994-05-14 00:00:00',2,8,12,2011,'M','N','SAGUAÇU','JOINVILLE','SC','124242241116111431348923575122610167047',NULL,'478',14.60,1,3,NULL),(28,7253087,'1993-11-20 00:00:00',4,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241221152431425614583124230264041',17542,'262',40.19,1,3,NULL),(28,7253095,'1994-11-18 00:00:00',4,6,10,2012,'F','S','RESSACADA','ITAJAÍ','SC','124242241215111731459831295122613215072',NULL,'1026',50.74,1,3,NULL),(28,7253109,'1995-05-04 00:00:00',4,10,11,2012,'F','S','VILA MOEMA','TUBARÃO','SC','124242241215111432449934575122610168072',NULL,'806',38.27,1,3,NULL),(28,7253117,'1992-06-15 00:00:00',4,1,12,2009,'M','N','TERRAS DO PIRACICABA','PIRACICABA','SP','125252251216473431578832574112610167042',2080,'9998',62.88,1,3,NULL),(28,7253125,'1993-05-10 00:00:00',4,1,12,2011,'M','N','PITANGUEIRAS','GUARUJÁ','SP','125252251215111211388811575121610167112',18779,'9998',36.19,4,3,NULL),(28,7253133,'1993-07-23 00:00:00',4,1,12,2010,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124244241215372431448733375124131266097',2903,'724',62.70,1,3,NULL),(28,7253141,'1994-04-29 00:00:00',4,1,1,2012,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241136141431526512345124610124197',NULL,'772',25.19,1,2,1),(28,7253150,'1994-11-15 00:00:00',4,1,12,2011,'F','N','RIO GRANDE','PALHOÇA','SC','124243241115371431443933475124610138197',8756,'592',49.02,1,3,NULL),(28,7253168,'1995-07-23 00:00:00',2,10,12,2012,'F','S','CENTRO','BRAÇO NORTE','SC','124242241215111431438819575124610126092',NULL,'807',43.09,1,3,NULL),(28,7253176,'1988-07-12 00:00:00',4,8,12,2005,'F','N','HAUER','CURITIBA','PR','116163161215572431459832575122341267092',7697,'9998',57.64,1,3,NULL),(28,7253192,'1993-10-26 00:00:00',4,3,12,2011,'F','N','ESTAÇÃO','FRANCA','SP','125251251116271431555611215125610131182',NULL,'9998',0.00,4,2,1),(28,7253206,'1994-03-07 00:00:00',4,5,12,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215212431469912574122610134187',3527,'213',61.27,1,3,NULL),(28,7253214,'1974-11-27 00:00:00',2,1,7,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241247442271431431344245122610117047',19896,'9999',29.40,1,3,NULL),(28,7253222,'1995-02-15 00:00:00',4,1,2,2012,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241216111431538431575124610126072',13241,'273',38.45,1,3,NULL),(28,7253249,'1994-04-15 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469614575122610134192',15813,'1050',35.87,1,3,NULL),(28,7253257,'1994-04-14 00:00:00',4,1,12,2011,'F','N','BELA VISTA','S JOSÉ','SC','124243241215131431435613342122610131187',NULL,'868',20.60,4,3,NULL),(28,7253265,'1993-11-09 00:00:00',2,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241241135371431323411575124610127052',NULL,'733',37.00,4,2,1),(28,7253273,'1992-02-02 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116573431213324375324222917042',NULL,'146',17.76,2,2,1),(28,7253281,'1994-05-09 00:00:00',4,24,12,2011,'F','N','TRÊS BARRAS','ITUPORANGA','SC','124241241116131431424315253122610136147',NULL,'888',30.09,1,2,1),(28,7253290,'1993-02-06 00:00:00',4,1,12,2009,'F','N','N S DO ROSÁRIO','S JOSÉ','SC','124241241215373431323319282124610124147',3039,'1076',61.96,4,3,NULL),(28,7253320,'1995-07-15 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111321436614595124610116092',NULL,'270',26.56,1,3,NULL),(28,7253338,'1993-07-04 00:00:00',2,1,12,2010,'F','N','CIDADE MORUMBI','S JOSÉ CAMPOS','SP','125252254217471431426634381124610146092',12159,'9998',42.44,1,3,NULL),(28,7253346,'1994-02-05 00:00:00',4,16,12,2011,'M','N','CENTRO','CURITIBANOS','SC','124241241112471431435823572125610122017',9214,'239',48.62,1,2,1),(28,7253354,'1993-12-02 00:00:00',2,15,12,2010,'F','N','ZONA NORTE','CAPÃO CANOA','RS','120204208416371431434411275114610113142',17631,'9998',31.87,1,3,NULL),(28,7253362,'1977-01-18 00:00:00',2,1,12,1994,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124163161116152432238679245124610167013',16697,'9998',42.21,1,3,NULL),(28,7253370,'1991-11-26 00:00:00',4,1,12,2009,'M','N','PERDIZES','S PAULO','SP','125252251217423431578831575124241425052',NULL,'9998',40.69,1,3,NULL),(28,7253389,'1979-11-08 00:00:00',1,1,12,1999,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241247325373741125344345121531832195',8627,'1076',56.06,1,3,NULL),(28,7253400,'1994-01-19 00:00:00',4,10,1,2012,'M','N','HUMAITA','TUBARÃO','SC','124241241136131431446913571121610137097',16733,'798',42.13,1,2,1),(28,7253419,'1994-06-13 00:00:00',2,1,11,2011,'F','N','CENTRO','PALMAS','TO','127272271215111751576519592122610114147',NULL,'9998',0.00,4,3,NULL),(28,7253427,'1994-06-22 00:00:00',2,1,12,2011,'F','N','SERTAO DO MARUIM','S JOSÉ','SC','124241241127131231436334345124610166127',NULL,'1155',31.91,1,2,1),(28,7253443,'1993-10-28 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115471431328923575124610117182',NULL,'307',20.88,2,1,1),(28,7253451,'1994-06-07 00:00:00',2,15,12,2011,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241315131431333324572125610136172',10800,'30',42.91,1,3,NULL),(28,7253460,'1988-05-14 00:00:00',2,1,12,2010,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241247126271431121141215124133213027',NULL,'9999',0.00,1,2,1),(28,7253494,'1994-02-13 00:00:00',4,8,12,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215111431369834473114610143092',13201,'931',40.40,4,3,NULL),(28,7253508,'1994-10-21 00:00:00',4,8,11,2011,'M','N','CENTRO','JOINVILLE','SC','124242241215111431576832395122610127065',17348,'1016',40.66,3,3,NULL),(28,7253516,'1994-11-22 00:00:00',4,10,11,2011,'M','N','OFICINAS','TUBARÃO','SC','124244246215271431436933332121610128171',4112,'1120',56.92,4,3,NULL),(28,7253524,'1993-12-23 00:00:00',4,1,12,2010,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241135372411435933375114610168182',15591,'592',38.74,1,2,1),(28,7253532,'1994-09-29 00:00:00',2,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111431336612575112610124182',NULL,'737',26.41,1,3,NULL),(28,7253559,'1992-12-05 00:00:00',4,1,11,2011,'M','N','CENTRO','CURITIBA','PR','116162161217121431378932365125610164042',NULL,'9998',0.00,1,3,NULL),(28,7253567,'1992-02-28 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215573751248823575124610123017',193,'461',79.11,1,3,NULL),(28,7253575,'1992-04-14 00:00:00',2,10,11,2009,'M','N','OFICINAS','TUBARÃO','SC','124242241216473411369924435111610117112',7224,'806',50.86,2,1,2),(28,7253583,'1979-05-26 00:00:00',4,1,12,1999,'F','N','IPIRANGA','S JOSÉ','SC','124243247446132711566574275112133231143',18517,'515',37.23,1,3,NULL),(28,7253591,'1994-02-28 00:00:00',2,26,12,2010,'F','N','CENTRO','CONCÓRDIA','SC','124243241215271431356924575122610136197',20069,'1001',26.90,4,3,NULL),(28,7253605,'1992-09-08 00:00:00',4,8,12,2009,'F','N','BOA VISTA','JOINVILLE','SC','124243241117231731337823345124610111141',15555,'465',33.96,1,3,NULL),(28,7253613,'1995-08-12 00:00:00',4,1,11,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431458913575124610132062',6166,'270',55.43,1,3,NULL),(28,7253630,'1995-04-06 00:00:00',4,1,12,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117371712469913595124610167041',7865,'307',50.61,1,2,1),(28,7253648,'1989-05-31 00:00:00',4,1,12,2006,'F','N','SAMAMBAIA','CPO GRANDE','MS','112122121216151431433331315123340932142',8096,'9998',45.28,1,3,NULL),(28,7253656,'1994-03-21 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212122431559911575122610127052',8906,'1169',45.62,1,3,NULL),(28,7253664,'1994-04-04 00:00:00',2,1,11,2011,'F','N','JARDIM BOTÂNICO','SINOP','MT','111112111216111431639923372122610125147',NULL,'9998',0.00,4,3,NULL),(28,7253680,'1990-09-30 00:00:00',2,1,12,2009,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241116472731223729272124610163182',18096,'281',31.49,1,2,1),(28,7253699,'1993-01-21 00:00:00',2,15,12,2010,'F','N','STAN','TORRES','RS','120201201116331711367613395122610136182',NULL,'9998',0.00,1,2,1),(28,7253710,'1980-02-20 00:00:00',4,1,12,1998,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124243241337151752241641215221610118187',3957,'86',57.01,4,3,NULL),(28,7253729,'1995-02-12 00:00:00',2,1,11,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162161217111431438831575124610116097',NULL,'9998',27.63,1,3,NULL),(28,7253737,'1994-05-20 00:00:00',2,6,12,2011,'F','N','BOMBAS','BOMBINHAS','SC','124241248116161711225573285124610142197',NULL,'1089',19.91,1,3,NULL),(28,7253753,'1994-01-25 00:00:00',1,2,11,2011,'M','N','COLONINHA','GASPAR','SC','124242241217111431379933275124610147112',2849,'855',63.70,1,3,NULL),(28,7253761,'1994-02-10 00:00:00',4,5,11,2011,'M','N','PRÓSPERA','CRICIÚMA','SC','124242241216141431446923475124610164173',NULL,'995',0.00,1,3,NULL),(28,7253770,'1994-01-21 00:00:00',4,8,12,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241216271431439614275112610122172',4219,'1063',57.54,1,3,NULL),(28,7253796,'1993-03-29 00:00:00',4,8,12,2010,'M','N','JARDIM EUROPA','ITAPEVA','SP','125252251217471431469819575122610134187',NULL,'9998',0.00,1,3,NULL),(28,7253800,'1992-08-06 00:00:00',2,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','624244251217223431267514375122221464052',2007,'9998',62.11,1,3,NULL),(28,7253818,'1991-09-17 00:00:00',2,10,12,2011,'M','N','DONA JORDINA','S LUDGERO','SC','124241241116131441435169291324610121072',16290,'798',43.12,4,2,1),(28,7253826,'1994-07-11 00:00:00',4,1,12,2010,'F','N','JARDIM PLANALTO','PTO ALEGRE','RS','120201201136371411358821575124143227057',NULL,'9998',0.00,1,2,1),(28,7253834,'1992-06-21 00:00:00',2,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241227152431635512345124610118042',15854,'524',43.98,1,3,NULL),(28,7253842,'1994-04-25 00:00:00',2,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124241241215372431443933572122610121052',13665,'1076',40.86,1,3,NULL),(28,7253850,'1986-03-26 00:00:00',4,1,12,2002,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241136153431233341215122121944092',3059,'772',59.20,1,2,1),(28,7253877,'1993-11-11 00:00:00',4,1,11,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215112431347914572114610164092',5546,'1011',56.08,1,3,NULL),(28,7253885,'1994-03-11 00:00:00',4,9,12,2010,'F','N','NOVA PETRÓPOLIS','LAGES','SC','124244241214471431438834275122610168192',NULL,'515',0.00,1,3,NULL),(28,7253907,'1979-03-10 00:00:00',2,1,12,1997,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224241245122232411323354275124122766187',NULL,'395',37.41,1,2,1),(28,7253915,'1995-04-12 00:00:00',4,1,11,2012,'M','S','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241217111411336634575114610164042',NULL,'1048',28.06,1,3,NULL),(28,7253931,'1991-09-21 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241111472431356621576125610128147',13498,'298',40.67,1,3,NULL),(28,7253940,'1995-11-10 00:00:00',2,1,12,2012,'M','S','BARREIROS','S JOSÉ','SC','124242243215131431428539286344610122057',NULL,'738',35.69,4,3,NULL),(28,7253958,'1993-12-25 00:00:00',2,5,11,2011,'F','N','SÃO JOÃO','SIDERÓPOLIS','SC','124243241217141431335339575124610141192',NULL,'995',31.33,1,3,NULL),(28,7253966,'1993-01-13 00:00:00',2,1,12,2010,'F','N','CENTRO','AMERICANA','SP','125254251417131431426834275114610162187',NULL,'9998',0.00,2,1,2),(28,7253974,'1993-06-24 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215372431347923573114610148097',3667,'1022',65.23,1,3,NULL),(28,7253982,'1992-07-02 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115473431328923575124222317042',NULL,'307',29.70,2,1,1),(28,7253990,'1993-11-26 00:00:00',4,1,11,2010,'F','N','BARREIROS','S JOSÉ','SC','124242161212472411368613575124610164172',5206,'743',62.04,1,3,NULL),(28,7254008,'1993-12-24 00:00:00',4,5,11,2011,'M','N','VILA MACARINI','CRICIÚMA','SC','124241241237151431333411575124610134182',5831,'995',52.99,1,3,NULL),(28,7254016,'1994-02-10 00:00:00',4,1,12,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241115471331636624575124610122142',14647,'307',38.32,1,2,1),(28,7254067,'1993-01-19 00:00:00',4,1,12,2010,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215313431448714571124122526142',4626,'270',57.82,1,3,NULL),(28,7254075,'1984-12-17 00:00:00',2,1,12,2002,'F','N','KOBRASOL','S JOSÉ','SC','124241248216141611148612442224230126181',NULL,'975',0.00,1,3,NULL),(28,7254083,'1995-02-16 00:00:00',2,1,12,2011,'M','N','CENTRO','STO ANTÔNIO PATRULHA','RS','120202201216571431447822571124610167117',14508,'9998',36.04,1,3,NULL),(28,7254091,'1994-04-16 00:00:00',4,1,12,2011,'F','N','NOVO HORIZONTE','MARÍLIA','SP','125254251215111431368723575122610122042',7965,'9998',48.01,1,3,NULL),(28,7254105,'1994-08-14 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215122431569923575112610161143',10370,'737',46.36,1,3,NULL),(28,7254113,'1994-10-28 00:00:00',4,1,12,2012,'F','S','CORREGO GRANDE','FLORIANÓPOLIS','SC','116161163117111531536314595122610134113',NULL,'9998',32.54,2,3,NULL),(28,7254130,'1988-07-17 00:00:00',4,1,3,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116372431533334382324610138097',12926,'267',40.39,1,2,1),(28,7254148,'1995-05-03 00:00:00',4,1,11,2012,'M','S','STO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC','124242241217111722477913592114610167017',NULL,'1169',48.40,1,3,NULL),(28,7254156,'1993-02-26 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241115572431338613585124610123147',10041,'733',48.19,1,2,1),(28,7254164,'1994-09-10 00:00:00',4,1,12,2011,'F','N','VILA CAMPANTE','QUINTANA','SP','125251251317161531338833575122610124097',NULL,'9998',0.00,1,3,NULL),(28,7254172,'1993-02-16 00:00:00',2,7,12,2010,'F','N','SÃO VICENTE','HERVAL D OESTE','SC','124241241116371431228828575112610166092',NULL,'341',29.62,1,2,1),(28,7254180,'1993-01-21 00:00:00',4,1,6,2011,'M','N','AREIAS','S JOSÉ','SC','124242241115151431423318575113610164047',7357,'739',51.08,1,3,NULL),(28,7254229,'1984-05-04 00:00:00',4,22,12,2002,'M','N','SÃO LUIZ','BRUSQUE','SC','124242241216573431547722475122333264092',2746,'1244',67.56,4,1,2),(28,7254237,'1993-10-05 00:00:00',4,8,11,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241216111441556639575124610134012',1743,'931',65.46,1,3,NULL),(28,7254245,'1992-04-23 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124202201215473431356832572122610167112',287,'9998',76.81,1,3,NULL),(28,7254253,'1977-03-26 00:00:00',4,1,12,2006,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244247245472411536619442114610168042',14474,'977',46.63,1,3,NULL),(28,7254261,'1988-10-27 00:00:00',4,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124203241126155431633679342114120622097',16769,'922',42.05,2,1,2),(28,7254270,'1994-08-27 00:00:00',4,8,12,2011,'M','N','CENTRO','CASCAVEL','PR','116162161217411431336831572122610114012',4546,'9998',57.78,1,3,NULL),(28,7254288,'1994-10-26 00:00:00',4,1,11,2011,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215111431569713575114610137043',5015,'270',57.88,1,3,NULL),(28,7254296,'1983-08-18 00:00:00',2,1,12,2000,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','120201208137471741113844345124340663147',NULL,'9998',30.06,1,2,1),(28,7254300,'1994-10-16 01:00:00',4,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431456732575122610121092',8226,'270',49.29,1,3,NULL),(28,7254318,'1992-02-28 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473751468924575112610167044',5132,'1063',56.74,1,3,NULL),(28,7254326,'1993-06-30 00:00:00',2,1,12,2010,'M','N','JARDIM BONGIOVANI','PRES PRUDENTE','SP','125252251216211431548933575125610137047',NULL,'9998',0.00,1,3,NULL),(28,7254334,'1993-01-15 00:00:00',2,8,12,2010,'F','N','JARDIM ARMENIA','MOGI CRUZES','SP','125251251216271731523923574324610164147',NULL,'9998',0.00,1,3,NULL),(28,7254342,'1993-04-03 00:00:00',4,8,10,2010,'F','N','AMÉRICA','JOINVILLE','SC','124245241215372751469814575112610163077',13693,'1016',39.04,1,3,NULL),(28,7254350,'1994-09-27 00:00:00',4,16,12,2011,'M','N','SÃO LUIZ','CURITIBANOS','SC','124241241117271731348814275122610127052',15478,'239',35.48,1,2,1),(28,7254369,'1992-01-20 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573731389519575112610164185',NULL,'1022',39.35,1,3,NULL),(28,7254377,'1993-09-19 00:00:00',4,8,11,2011,'M','N','FLORESTA','JOINVILLE','SC','124242241217273731468833575112610162177',3054,'461',61.77,1,3,NULL),(28,7254393,'1993-10-05 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242241116373421458614575114233261191',5696,'739',53.85,1,3,NULL),(28,7254407,'1990-08-23 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217273431358836375123121467072',7079,'1022',58.68,1,3,NULL),(28,7254423,'1987-02-18 00:00:00',4,1,12,2006,'F','N','CENTRO','SIT MATO','BA','105051051116131411413325375124141357142',NULL,'9998',39.56,2,1,1),(28,7254431,'1994-03-29 00:00:00',4,1,12,2011,'M','N','JARDIM EUROPA','BIGUAÇU','SC','124241241115271431423314375124610127077',2880,'21',61.75,1,2,1),(28,7254440,'1987-12-03 00:00:00',2,4,7,2006,'F','N','CENTRO','PASSO FUNDO','RS','120202207235471431648869272124242067182',7346,'9998',52.40,1,3,NULL),(28,7254458,'1991-12-25 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215375431339613492125122314114',3816,'270',61.20,1,3,NULL),(28,7254466,'1993-07-12 00:00:00',2,1,12,2010,'F','N','ICARAÍ','NITERÓI','RJ','121212211216471431226828472124610148097',7164,'9998',50.42,1,3,NULL),(28,7254474,'1993-05-20 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473411567923574125610143017',2102,'262',66.03,1,3,NULL),(28,7254482,'1993-08-20 00:00:00',4,17,12,2011,'M','N','CENTRO','MAFRA','SC','124241241215111431456512295122610134092',NULL,'541',0.00,1,3,NULL),(28,7254490,'1991-06-06 00:00:00',2,1,7,2011,'F','N','CAMPINAS','S JOSÉ','SC','124241243112271231637514445124610134147',6617,'306',52.23,1,2,1),(28,7254504,'1994-05-10 00:00:00',2,8,12,2011,'M','N','AMÉRICA','JOINVILLE','SC','124244241316141231455912345124610124062',13471,'478',39.51,1,3,NULL),(28,7254512,'1982-10-17 00:00:00',2,1,12,2003,'M','N','VITORIO CEZARINO','RIO PEDRAS','SP','225251257127571751421354173221141464177',4233,'9998',58.54,4,1,1),(28,7254539,'1988-04-05 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','120201202117141431233344445124240217042',NULL,'9998',0.00,1,3,NULL),(28,7254547,'1993-06-01 00:00:00',4,3,12,2010,'M','N','CENTRO','CAMBORIÚ','SC','124244241217111411359313375122610127012',16481,'1091',42.69,1,3,NULL),(28,7254555,'1989-11-07 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215375731379814575122121444045',336,'226',74.22,4,3,NULL),(28,7254563,'1993-04-24 00:00:00',4,1,12,2010,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124201201117271431546611485124610144127',14828,'9998',36.60,1,2,1),(28,7254571,'1994-06-16 00:00:00',4,1,12,2011,'M','N','PALHOÇA','PALHOÇA','SC','124244241115151431536734375124610137012',18588,'591',27.08,2,3,NULL),(28,7254580,'1994-05-05 00:00:00',2,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117471751436319572124610137057',NULL,'295',22.41,4,1,1),(28,7254636,'1989-09-30 00:00:00',4,1,11,2007,'M','N','VILA IZABEL','CURITIBA','PR','116164161431372411359931571114610164162',5592,'9998',61.33,3,3,NULL),(28,7254644,'1988-05-21 00:00:00',4,1,6,2006,'M','N','AREIAS','S JOSÉ','SC','124242247316132421546321342113610145042',NULL,'9999',25.79,1,3,NULL),(28,7254679,'1992-07-28 00:00:00',4,1,12,2010,'F','N','PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP','125251253226472411323724275124610165145',11286,'9998',41.63,1,3,NULL),(28,7254695,'1993-04-17 00:00:00',6,8,11,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241235111221339819585122610118122',16923,'1063',33.12,1,3,NULL),(28,7254709,'1994-02-15 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431467814575112610114012',12408,'270',41.00,1,3,NULL),(28,7254725,'1989-05-08 00:00:00',4,1,12,2006,'M','N','FORQUILHINHAS','S JOSÉ','SC','124243241112272451356619195124220768015',7265,'267',58.37,1,3,NULL),(28,7254733,'1993-07-29 00:00:00',4,1,12,2010,'M','N','AMERICA','JOINVILLE','SC','124242241215271431489819392122131064042',16852,'270',41.87,1,3,NULL),(28,7254768,'1970-06-09 00:00:00',4,1,12,1987,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','224243241137152751488673332122321064192',NULL,'307',0.00,1,3,NULL),(28,7254784,'1994-09-12 00:00:00',4,1,11,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215112431358923594124613238112',1701,'270',67.14,1,3,NULL),(28,7254806,'1994-04-26 00:00:00',4,2,12,2011,'M','N','VILA FORMOSA','BLUMENAU','SC','124242241216121431269913575122610127052',518,'909',72.37,1,3,NULL),(28,7254822,'1992-12-30 00:00:00',4,1,12,2010,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241215372411489823575122610167072',2154,'262',65.78,1,3,NULL),(28,7254830,'1990-11-20 00:00:00',2,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241212145431536613485124231837061',17513,'269',40.26,1,3,NULL),(28,7254849,'1994-09-26 00:00:00',4,4,12,2011,'F','N','INTERIOR','BOM J OESTE','SC','124241241112161411623356282224610124142',17517,'94',31.03,1,2,1),(28,7254857,'1994-10-01 00:00:00',2,15,12,2011,'F','N','JARDIM ITÁLIA','MELEIRO','SC','124241248137141431423311246331610165057',NULL,'559',8.41,1,3,NULL),(28,7254865,'1994-03-05 00:00:00',4,7,12,2011,'F','N','CENTRO','CAPINZAL','SC','124241241211371431448833574112610146142',8556,'446',46.80,1,3,NULL),(28,7254873,'1993-03-25 00:00:00',2,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124244241415133411547973235121221144022',14059,'948',47.31,1,3,NULL),(28,7254881,'1990-12-12 00:00:00',2,8,12,2008,'M','N','IRIRU','JOINVILLE','SC','124243241335133431433419392121610144122',9893,'469',48.68,1,3,NULL),(28,7254890,'1994-04-05 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115371431423311345124610136052',NULL,'295',27.12,4,2,1),(28,7254903,'1974-02-15 00:00:00',2,1,12,1991,'M','N','CENTRO','URUSSANGA','SC','124241248116135731124543435334220824147',12680,'820',39.55,1,2,1),(28,7254911,'1992-06-19 00:00:00',2,6,11,2009,'F','N','CENTRO','CURITIBA','PR','116163161216573431358732575124610163147',NULL,'9998',0.00,1,3,NULL),(28,7254920,'1993-04-21 00:00:00',4,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124241241116132411244329345124610134072',NULL,'257',0.00,1,2,1),(28,7254938,'1977-06-11 00:00:00',4,1,12,1996,'M','N','PASSA VINTE','PALHOÇA','SC','224241241121133411358642225132610166097',NULL,'295',0.00,1,3,NULL),(28,7254954,'1995-04-21 00:00:00',4,4,12,2011,'M','N','CENTRO','SEARA','SC','124243241145141431448611145131610164042',10223,'763',41.62,1,3,NULL),(28,7254962,'1990-03-27 00:00:00',2,10,12,2007,'F','N','DEHON','TUBARÃO','SC','124242241215573431438734374125333247147',3678,'809',60.33,1,3,NULL),(28,7254989,'1993-09-20 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111421268612575114610164012',5027,'1169',56.27,3,3,NULL),(28,7254997,'1973-07-23 00:00:00',2,1,11,1996,'F','N','KOBRASOL','S JOSÉ','SC','124161163126131731426644242114610122147',NULL,'9998',20.68,1,2,1),(28,7255004,'1993-11-04 00:00:00',4,1,12,2011,'M','N','STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC','124243241115371431547933575124610127042',16661,'978',32.70,1,3,NULL),(28,7255039,'1993-06-10 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124242241212132431338464345134610147063',NULL,'1075',0.00,1,3,NULL),(28,7255047,'1992-07-11 00:00:00',3,5,12,2010,'F','N','CENTRO','STA TEREZINHA ITAIPU','PR','116162163116471431245923575124610135092',NULL,'9998',0.00,1,3,NULL),(28,7255055,'1995-01-30 00:00:00',4,1,12,2011,'F','N','VILA DOZE','ANTÔNIO CARLOS','SC','124241241116161731653336572324610127047',12824,'21',39.34,1,2,1),(28,7255063,'1991-05-13 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242248211574751538831571114610111145',5740,'737',61.05,1,3,NULL),(28,7255071,'1992-01-12 00:00:00',4,1,11,2009,'F','N','CENTRO','CONGONHAS','MG','124132131215573431565612575124610124042',511,'9998',75.04,1,3,NULL),(28,7255080,'1994-08-20 00:00:00',4,1,12,2011,'M','N','BOA VISTA','BIGUAÇU','SC','124241241225111431223367272324610127142',10943,'262',42.62,1,3,NULL),(28,7255098,'1989-08-21 00:00:00',4,1,11,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215455731226823495124121445077',6693,'270',59.38,4,1,2),(28,7255101,'1995-04-04 00:00:00',4,4,12,2011,'M','N','INTERIOR','MARAVILHA','SC','124241241115131431523636572224610138047',NULL,'552',0.00,1,2,1),(28,7255110,'1994-12-08 00:00:00',2,1,12,2011,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241136471732623314185124610112032',20015,'65',27.84,1,2,1),(28,7255128,'1991-01-14 00:00:00',2,1,12,2008,'M','N','PARQUE E JARDIM OURO','OURO','SC','224243241215573411443611492125610164052',3321,'1093',66.02,4,3,NULL),(28,7255136,'1993-11-04 00:00:00',4,1,12,2011,'M','N','STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC','124243241115371431547933575124610137042',16551,'978',33.89,1,3,NULL),(28,7255144,'1993-07-22 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241147142431126549396124221446142',5972,'750',54.65,1,2,1),(28,7255160,'1995-04-04 00:00:00',4,4,12,2011,'F','N','INTERIOR','MARAVILHA','SC','124241241115131431523636572224610138197',10807,'552',43.44,1,2,1),(28,7255187,'1989-06-11 00:00:00',2,1,12,2007,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241241227142441336624445123230767047',18541,'262',37.11,1,3,NULL),(28,7255209,'1993-04-07 00:00:00',4,27,12,2009,'M','N','CENTRO','DESCANSO','SC','124241241126141331433931215123610127187',19917,'242',29.13,1,2,1),(28,7255217,'1990-04-28 00:00:00',4,2,6,2009,'F','N','CENTRO','INDAIAL','SC','124241248121371751228349296234610138182',NULL,'9999',25.44,1,2,1),(28,7255241,'1988-08-06 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217571431388912575122132564042',5099,'262',56.66,1,3,NULL),(28,7255250,'1993-06-28 00:00:00',4,3,10,2010,'M','N','BATEL','CURITIBA','PR','116242241215473211259819575125610167187',10598,'1038',42.24,1,3,NULL),(28,7255268,'1994-12-04 00:00:00',2,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115321431446923575124610124177',10358,'307',46.32,1,2,1),(28,7255276,'1993-09-26 00:00:00',4,1,12,2010,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241246436272431528533385124610122052',11205,'1075',45.06,1,3,NULL),(28,7255284,'1993-04-14 00:00:00',2,1,12,2011,'F','N','GUARDA DO EMBÁU','PALHOÇA','SC','124241241115131431413331382324610127057',18393,'595',32.37,1,3,NULL),(28,7255292,'1992-02-21 00:00:00',2,1,12,2010,'F','N','INTERIOR','PTO LUCENA','RS','120201201147132121546619442132610164147',NULL,'9998',22.04,1,2,1),(28,7255306,'1992-12-06 00:00:00',2,1,12,2010,'M','N','COHAMA','S LUÍS','MA','110102101216221751549819592124610118047',NULL,'9998',0.00,2,3,NULL),(28,7255314,'1993-08-16 00:00:00',2,1,11,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431426622292124610163142',NULL,'272',23.36,1,3,NULL),(28,7255322,'1980-12-15 00:00:00',2,1,12,1999,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241121132441123644245225121924047',10953,'361',52.19,1,3,NULL),(28,7255330,'1991-05-03 00:00:00',4,2,12,2008,'M','N','TESTO CENTRAL','POMERODE','SC','124241241126272431444314345124610132072',6353,'1012',50.79,1,2,1),(28,7255349,'1993-11-17 00:00:00',2,1,12,2010,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241117162731316613272124610142147',15798,'307',36.64,1,2,1),(28,7255357,'1994-03-23 00:00:00',4,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241115131431423314595124610124142',19700,'285',31.16,4,2,1),(28,7255365,'1993-08-04 00:00:00',4,24,12,2010,'F','N','NAÇÕES','TIMBÓ','SC','124241241215473431433311575124610164142',755,'1157',70.83,1,3,NULL),(28,7255373,'1990-10-13 00:00:00',2,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201207117471731513349394324610124047',19512,'9998',32.60,1,2,1),(28,7255390,'1990-12-20 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124213241116134231326521245123610123067',NULL,'281',27.90,1,3,NULL),(28,7255403,'1972-10-15 00:00:00',4,1,12,1989,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124203201216131721133641415132343267097',19878,'9998',29.57,1,3,NULL),(28,7255411,'1989-03-26 00:00:00',4,1,12,2006,'M','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124243241127131441326611285113610137037',15407,'291',35.59,1,3,NULL),(28,7255420,'1993-07-20 00:00:00',4,1,12,2010,'F','N','FLORESTA','S JOSÉ','SC','124242241215252711369813574122131047112',13336,'738',39.63,3,3,NULL),(28,7255438,'1985-11-13 00:00:00',2,1,12,2003,'F','N','BELA VISTA','S JOSÉ','SC','624241247327133421568419245122330223047',18128,'9999',38.48,1,3,NULL),(28,7255446,'1994-08-28 00:00:00',4,1,12,2011,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241216111431414412275122610112053',20144,'1223',24.69,1,3,NULL),(28,7255454,'1993-06-30 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241216573731446933575122610134117',1237,'1000',68.12,1,3,NULL),(28,7255462,'1975-08-31 00:00:00',4,1,12,1993,'F','N','TAPERA','FLORIANÓPOLIS','SC','624201206146131421335644342234131022197',16565,'9998',42.50,2,1,1),(28,7255470,'1994-03-28 00:00:00',4,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111431476612572114610137052',4975,'270',57.62,1,3,NULL),(28,7255489,'1994-05-06 00:00:00',2,25,12,2011,'F','N','CENTRO','FRAIBURGO','SC','124241241137131431536615392134610168077',19035,'314',35.16,1,2,1),(28,7255497,'1976-07-28 00:00:00',4,1,12,1995,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124161161116131721239841215334140464147',15978,'9998',43.72,1,2,1),(28,7255519,'1991-03-20 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215574731458831475114610167051',84,'1022',80.66,1,3,NULL),(28,7255535,'1991-07-11 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217575431466919575122610124142',3093,'211',59.39,1,3,NULL),(28,7255543,'1993-02-24 00:00:00',2,8,12,2010,'M','N','CENTRO','FAXINAL','PR','116162168216471411238823595112610166042',14077,'9998',47.29,4,3,NULL),(28,7255551,'1994-09-08 00:00:00',2,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241241135131731433411242224610128047',NULL,'733',14.69,3,2,1),(28,7255578,'1992-12-23 00:00:00',1,1,12,2009,'M','N','INTERIOR','S JOÃO OESTE','SC','124241241116152431459413575124221467042',11094,'715',47.67,1,2,1),(28,7255586,'1991-09-09 00:00:00',4,1,12,2009,'F','N','NOVA SAO JOAO','S JOÃO B VISTA','SP','125254251417471711467819291124140236182',7661,'9998',49.59,1,3,NULL),(28,7255594,'1994-05-03 00:00:00',4,1,12,2011,'M','N','JARDIM MOTORAMA','S JOSÉ CAMPOS','SP','125252256217371431548634472122610134044',7869,'9998',49.34,1,3,NULL),(28,7255608,'1995-05-12 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124244241216151711459913571122610168197',NULL,'1169',52.66,1,3,NULL),(28,7255616,'1995-02-06 00:00:00',4,5,11,2011,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241215111451448932575122610132097',15925,'211',43.83,1,3,NULL),(28,7255640,'1992-02-11 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124241241142333721116644242321131547147',15526,'13',38.54,1,2,1),(28,7255659,'1994-11-26 00:00:00',4,1,12,2011,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124243241212151431566512575122610164122',NULL,'1048',0.00,1,3,NULL),(28,7255667,'1994-09-20 00:00:00',2,1,12,2011,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241211111431336932575112610137042',20127,'1223',25.34,2,1,2),(28,7255675,'1994-10-10 00:00:00',2,16,12,2011,'F','N','CENTRO','BRUNÓPOLIS','SC','124241241127371432323315372324610123147',NULL,'911',29.60,1,2,1),(28,7255705,'1994-09-06 00:00:00',4,1,12,2011,'F','N','ALTO RIO FARIAS','ANTÔNIO CARLOS','SC','124241241115141731533639295124610138072',18574,'21',26.44,1,2,1),(28,7255713,'1987-02-17 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161161317132441225544445124140242122',15058,'687',45.50,1,3,NULL),(28,7255721,'1993-05-22 00:00:00',2,1,12,2010,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241115472431333534572124610126192',11313,'591',44.70,4,2,1),(28,7255730,'1990-02-17 00:00:00',4,1,12,2007,'F','N','CENTRO','CPO GRANDE','MS','112122121216574431533716575124610143147',8422,'9998',48.90,1,3,NULL),(28,7255748,'1986-04-17 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241217473441468311415124422262097',4362,'1011',56.97,1,3,NULL),(28,7255756,'1993-02-12 00:00:00',2,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124242241216111431425414572124610127072',17875,'988',31.74,1,3,NULL),(28,7255764,'1988-03-11 00:00:00',4,8,12,2005,'M','N','SAGUAÇU','JOINVILLE','SC','124244241212151311248923415124330428122',13930,'489',47.52,1,3,NULL),(28,7255772,'1994-09-22 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431367914575124610127052',3531,'1169',62.41,1,3,NULL),(28,7255799,'1982-06-30 00:00:00',2,1,3,2003,'M','N','SERRARIA','S JOSÉ','SC','124241246126273711113348482223610114062',7674,'739',51.51,1,2,1),(28,7255802,'1993-10-30 00:00:00',4,1,12,2010,'F','N','FIGUEIRA DOESTE','ENG BELTRÃO','PR','116161161116371431343615572122610143062',NULL,'9998',0.00,1,2,1),(28,7255810,'1989-11-13 00:00:00',4,24,11,2006,'M','N','CENTRO','ITUPORANGA','SC','124241241127371431224423245122332045147',9453,'416',47.78,1,2,1),(28,7255837,'1991-02-07 00:00:00',4,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117473431329913335223610167183',NULL,'286',27.30,4,3,NULL),(28,7255845,'1969-10-05 00:00:00',2,1,12,1993,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241247227151721248543232133610164197',NULL,'9999',20.33,1,3,NULL),(28,7255853,'1994-07-11 00:00:00',4,1,11,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217112431458813575124610127042',3461,'270',60.71,1,3,NULL),(28,7255861,'1994-03-28 00:00:00',2,2,12,2011,'F','N','RIO AMÉRICA','SALETE','SC','124241241135371431224614142325610133147',NULL,'680',31.14,4,2,1),(28,7255870,'1988-02-27 00:00:00',2,6,12,2004,'M','N','CENTRO','BAL CAMBORIÚ','SC','124164161436513431478832595112610117042',NULL,'9998',0.00,1,3,NULL),(28,7255888,'1993-04-14 00:00:00',4,1,12,2010,'F','N','JARDIM MARABÁ','ITAPETININGA','SP','125252251217472431469514575112610162097',1312,'9998',66.43,1,3,NULL),(28,7255896,'1994-04-07 00:00:00',2,16,12,2011,'F','N','CENTRO','BRUNÓPOLIS','SC','124241241147371432423315175324610121147',NULL,'911',24.09,1,2,1),(28,7255900,'1993-11-23 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116152431438723495124233262017',17244,'307',31.16,1,2,1),(28,7255926,'1989-03-30 00:00:00',2,1,12,2007,'F','N','JARDIM CASTANHEIRAS','FLORIANÓPOLIS','SC','124241241116153431463823475122223018057',18110,'267',38.55,1,2,1),(28,7255934,'1992-07-15 00:00:00',2,1,12,2009,'F','N','IPIRANGA','S JOSÉ','SC','124242241217373431336619575124610134142',7071,'1078',55.52,1,3,NULL),(28,7255950,'1995-01-25 00:00:00',2,1,12,2011,'F','N','ARIRIU','PALHOÇA','SC','124241241115371431523539175124610144147',14492,'592',39.66,1,2,1),(28,7255969,'1987-12-17 00:00:00',4,1,12,2004,'F','N','CAMPINAS','JARAGUÁ SUL','SC','124241241125151441537612245124232066072',NULL,'426',0.00,1,2,1),(28,7255977,'1994-03-28 00:00:00',2,4,12,2010,'F','N','CENTRO','CHAPECÓ','SC','124241241136131431526634345114230922157',NULL,'648',0.00,1,2,1),(28,7255993,'1994-02-24 00:00:00',2,1,12,2011,'M','N','MORRO CHATO','RANCHO QUEIMADO','SC','124241241145161432433933585124610137057',13127,'649',40.31,3,2,1),(28,7256000,'1993-12-26 00:00:00',2,1,11,2011,'F','N','REAL PARQUE','S JOSÉ','SC','124242241315372431346613575124610147057',3911,'271',57.85,4,3,NULL),(28,7256035,'1986-07-10 00:00:00',4,6,12,2003,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243161215474731238923274114321542092',211,'9998',77.07,1,3,NULL),(28,7256043,'1992-10-22 00:00:00',2,6,11,2009,'F','N','SÃO JUDAS','ITAJAÍ','SC','224242248337131411226752485112613234077',NULL,'400',22.49,1,3,NULL),(28,7256060,'1987-09-19 00:00:00',4,1,12,2004,'M','N','PARQUE JARDIM BRASIL','CALDAS NOVAS','GO','109072091216151411246827575124341465092',412,'9998',77.88,1,3,NULL),(28,7256086,'1992-05-10 00:00:00',2,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','123242241212374431469913375122132664147',9366,'270',46.00,1,3,NULL),(28,7256094,'1995-10-07 00:00:00',4,4,12,2012,'F','S','CENTRO','SEARA','SC','124242248217111731356612575122610134197',NULL,'168',0.00,1,3,NULL),(28,7256108,'1994-02-25 00:00:00',2,22,11,2011,'F','N','SANTA RITA','BRUSQUE','SC','124242241215112431426632575122610167092',8821,'109',47.65,1,3,NULL),(28,7256116,'1994-11-24 00:00:00',2,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124242241115371751435419275124610165147',7951,'739',51.90,1,3,NULL),(28,7256132,'1989-02-19 00:00:00',4,1,6,2007,'M','N','BARREIROS','S JOSÉ','SC','124242281217373431569911475114610117052',1868,'273',66.99,1,3,NULL),(28,7256140,'1991-06-28 00:00:00',4,16,12,2009,'M','N','CENTRO','CURITIBANOS','SC','124241241145141431436616135121610124177',NULL,'239',35.45,1,3,NULL),(28,7256159,'1993-02-07 00:00:00',4,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241136272431228624375114610164017',13884,'593',40.15,1,2,1),(28,7256167,'1984-08-25 00:00:00',2,1,12,2002,'F','N','SION','BELO HORIZONTE','MG','113133131437575441149822575124221462187',3851,'9998',57.68,1,3,NULL),(28,7256175,'1992-03-05 00:00:00',4,1,7,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241246112131751559614282114610164012',5318,'306',56.30,1,2,1),(28,7256183,'1993-10-08 00:00:00',4,1,12,2010,'M','N','CENTRO','BOM JD SERRA','SC','124241241116132431421635385314610117047',NULL,'856',23.14,1,2,1),(28,7256191,'1988-02-20 00:00:00',2,1,12,2005,'F','N','KOBRASOL','S JOSÉ','SC','124242248217142521556613245124610128055',NULL,'1036',29.83,1,3,NULL),(28,7256205,'1995-06-09 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241216111411568812475122610113192',NULL,'262',35.07,1,3,NULL),(28,7256213,'1982-12-03 00:00:00',2,1,12,2000,'M','N','TAPERA','FLORIANÓPOLIS','SC','124251251127131411336644242244610116081',15443,'9998',44.79,1,3,NULL),(28,7256230,'1994-09-14 00:00:00',4,8,12,2011,'F','N','CENTRO','CAXIAS SUL','RS','120204201117271731337629575124610144142',14386,'9998',38.96,1,3,NULL),(28,7256256,'1987-07-21 00:00:00',4,5,12,2004,'F','N','PASSO DA AREIA','PTO ALEGRE','RS','120202201216471631127624475114141167047',14017,'9998',38.41,1,3,NULL),(28,7256272,'1991-10-23 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241145374731346923395124121468142',4560,'595',59.88,1,2,1),(28,7256280,'1994-03-27 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116161432323314572221610122147',17898,'357',31.11,1,2,1),(28,7256299,'1994-11-09 00:00:00',2,1,11,2011,'F','N','MECEJANA','BOA VISTA','RR','123114231217471441557821574122610135172',NULL,'9998',0.00,1,3,NULL),(28,7256302,'1994-11-05 00:00:00',4,1,12,2011,'F','N','VILA ERNEST','LONDRINA','PR','116164161235111731155812295114610161072',18405,'9998',37.62,1,3,NULL),(28,7256310,'1994-08-03 00:00:00',4,7,12,2011,'M','N','CENTRO','LUZERNA','SC','124241241115131431323614275122610127067',NULL,'539',19.39,1,3,NULL),(28,7256329,'1987-09-19 00:00:00',4,1,12,2007,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124244247346153441326623485124121966033',13022,'9999',48.95,1,3,NULL),(28,7256337,'1987-04-14 00:00:00',2,1,12,2004,'F','N','AREIAS','S JOSÉ','SC','624161161116132431223454142114143257142',19369,'9998',33.55,4,2,1),(28,7256353,'1994-09-20 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117141431434621375124610128093',16592,'1248',36.28,1,2,1),(28,7256370,'1991-04-04 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217153441548313595124223223182',NULL,'1022',0.00,1,3,NULL),(28,7256388,'1975-10-22 00:00:00',2,1,12,1997,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624241247226135431326654482124610152097',19898,'9999',29.38,1,3,NULL),(28,7256418,'1994-06-01 00:00:00',4,1,12,2011,'M','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124241241135141431427614345124610127012',9191,'307',49.33,1,2,1),(28,7256426,'1992-12-10 00:00:00',4,2,12,2011,'F','N','CENTRO','BENEDITO NOVO','SC','124241241134111431344829342224610137142',14379,'62',38.44,1,3,NULL),(28,7256434,'1993-01-21 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243247317141541526611241224610125114',NULL,'307',19.92,2,1,2),(28,7256442,'1995-03-16 00:00:00',4,1,12,2011,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241117131431436613575124610121097',18603,'773',28.47,1,2,1),(28,7256450,'1987-08-28 00:00:00',2,1,12,2005,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241117131431623434442124610145172',18992,'592',35.36,2,2,1),(28,7256469,'1989-03-08 00:00:00',4,1,12,2006,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241226112431353331287114130235092',20130,'262',25.20,4,3,NULL),(28,7256485,'1992-09-28 00:00:00',2,4,12,2011,'F','N','CENTRO','PATO BRANCO','PR','116161168116111331436923375124610146187',13192,'9998',48.71,1,2,1),(28,7256493,'1992-05-17 00:00:00',4,6,12,2009,'M','N','GOPOUVA','GUARULHOS','SP','125252241217471432148814275113610137187',14073,'9997',47.30,3,3,NULL),(28,7256507,'1993-08-29 00:00:00',4,8,12,2011,'M','N','CENTRO','S BENTO SUL','SC','624241248116331411223629395125610138056',19659,'697',31.53,1,2,1),(28,7256515,'1962-07-27 00:00:00',2,1,12,1998,'F','N','CENTRO','FLORIANÓPOLIS','SC','324161161121142231321144143114610123047',NULL,'9998',2.61,4,1,1),(28,7256523,'1994-07-11 00:00:00',4,1,12,2011,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215111431636419575122610168047',16392,'1118',32.44,1,3,NULL),(28,7256531,'1995-05-27 00:00:00',4,1,12,2012,'F','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241227111431324514575124610126057',NULL,'262',36.96,4,3,NULL),(28,7256540,'1991-05-20 00:00:00',4,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241246116373431347413374124233263147',1510,'306',65.13,1,2,1),(28,7256566,'1994-08-13 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112431449933572114610165122',3657,'270',61.25,1,3,NULL),(28,7256574,'1992-02-07 00:00:00',4,1,12,2010,'F','N','VILA NETO','ATIBAIA','SP','125252251214473411468612574112610142127',NULL,'9998',0.00,1,3,NULL),(28,7256582,'1994-08-02 00:00:00',4,6,12,2011,'F','N','CENTRO','PENHA','SC','124241241115141431536512345122610144197',9618,'609',46.18,1,2,1),(28,7256590,'1989-06-04 00:00:00',2,1,2,2012,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241247117131551644612385124610147147',NULL,'9999',32.02,1,2,1),(28,7256604,'1993-11-10 00:00:00',2,1,12,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115472431535321575114610115197',18929,'292',35.56,4,3,NULL),(28,7256612,'1993-11-16 00:00:00',4,1,12,2010,'M','N','PONTE IMARUIM','PALHOÇA','SC','124242241216132431436739595124230268097',9107,'1010',46.95,1,3,NULL),(28,7256620,'1994-08-01 00:00:00',4,24,11,2011,'M','N','FUNDO CANOAS','RIO SUL','SC','124242241215372731469953282122610137052',4685,'653',58.90,1,3,NULL),(28,7256647,'1993-12-25 00:00:00',4,2,12,2010,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124161241115572751368839272124610162182',4832,'69',57.65,1,2,1),(28,7256655,'1994-01-20 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201201117271731465312572122610124042',9442,'9998',47.37,1,2,1),(28,7256663,'1993-01-12 00:00:00',4,1,12,2011,'M','N','BROOKLIN','S PAULO','SP','125252251217271431368711475114610164112',NULL,'9998',24.14,1,3,NULL),(28,7256671,'1994-04-27 00:00:00',2,1,12,2012,'M','S','INGLESES','FLORIANÓPOLIS','SC','124244241411111432668813471112610134042',NULL,'1049',43.88,1,3,NULL),(28,7256680,'1993-09-23 00:00:00',4,8,11,2011,'F','N','CENTRO','JOINVILLE','SC','124242241215271631468832575122610122147',3498,'457',61.96,1,3,NULL),(28,7256698,'1994-03-30 00:00:00',4,24,12,2011,'M','N','EUGENIO SCHNEIDER','RIO SUL','SC','124242241215111431569711575122610127062',768,'991',73.87,1,3,NULL),(28,7256701,'1991-05-28 00:00:00',4,1,1,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242246115474431243823374123610167092',425,'306',74.09,1,3,NULL),(28,7256710,'1993-11-11 00:00:00',2,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241116472431436724245124610167043',19263,'292',34.05,4,3,NULL),(28,7256728,'1985-09-19 00:00:00',4,1,12,2002,'F','N','CENTRO','CORUPÁ','SC','124241241117575431237821574122610167172',14863,'203',45.86,1,2,1),(28,7256736,'1989-04-02 00:00:00',2,1,7,2010,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124051247223372431221144343234610165183',18071,'9999',38.68,2,1,2),(28,7256744,'1993-05-13 00:00:00',4,8,11,2010,'M','N','IRIRIU','JOINVILLE','SC','124242241217472431374924391112610167043',18380,'931',37.71,1,3,NULL),(28,7256752,'1991-08-18 00:00:00',4,3,12,2008,'M','N','CENTRO','CAMBORIÚ','SC','124241241115271431546411275124610162172',8046,'130',50.72,1,2,1),(28,7256760,'1990-06-08 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124161248132373431226649342124610117041',NULL,'9998',38.82,1,2,1),(28,7256779,'1989-02-23 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241146574431125544345124221112045',9764,'560',47.49,1,2,1),(28,7256787,'1993-11-04 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241248116141232428329345134610134197',NULL,'278',16.59,1,2,1),(28,7256795,'1992-05-19 00:00:00',4,1,12,2009,'M','N','CENTRO','PELOTAS','RS','120204201116571451347739575125610128182',12734,'9998',49.38,1,3,NULL),(28,7256809,'1994-08-28 00:00:00',4,10,12,2011,'F','N','CABEÇUDAS','LAGUNA','SC','124241241114371431323632575124610134197',15413,'523',34.54,4,2,1),(28,7256817,'1992-01-28 00:00:00',1,1,12,2009,'F','N','JURERE','FLORIANÓPOLIS','SC','124242241215372431468712475122133223142',4524,'270',63.34,1,3,NULL),(28,7256825,'1990-12-28 00:00:00',4,1,12,2008,'M','N','PICADAS DO SUL','S JOSÉ','SC','124241241117152431358613275124221417142',3652,'307',56.82,1,2,1),(28,7256833,'1994-04-30 00:00:00',4,8,12,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215111432558812572122610122121',11301,'931',43.28,1,3,NULL),(28,7256841,'1994-02-11 00:00:00',4,6,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217121431359917575114610122195',NULL,'44',0.00,1,3,NULL),(28,7256868,'1994-03-26 00:00:00',2,2,10,2011,'F','N','VELHA','BLUMENAU','SC','124242241215111431358812475122610133092',16371,'855',35.87,1,3,NULL),(28,7256876,'1991-04-27 00:00:00',6,1,1,2012,'F','N','VENDAVAL','BIGUAÇU','SC','124241241116271431646314575121610127142',NULL,'65',16.47,1,3,NULL),(28,7256884,'1993-07-01 00:00:00',4,1,12,2010,'M','N','PQ FERNANDO JORGE','CUBATÃO','SP','125251251116371411434613585124610164054',5254,'9998',54.48,4,2,1),(28,7256914,'1992-11-19 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431449932575122610237147',3439,'497',59.10,1,3,NULL),(28,7256922,'1992-12-21 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431378932345124610121182',6683,'1207',52.39,1,3,NULL),(28,7256930,'1992-09-22 00:00:00',2,1,11,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117372731455923442124122262147',8212,'271',49.12,1,2,1),(28,7256949,'1994-04-15 00:00:00',4,1,12,2011,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241225131431546314275124610137042',15493,'262',34.69,1,3,NULL),(28,7256957,'1992-05-14 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217573431336632385114133237062',13510,'1022',48.23,1,3,NULL),(28,7256965,'1992-04-10 00:00:00',2,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241116132411333313175124133216115',19324,'1248',33.76,1,2,1),(28,7256973,'1990-09-09 00:00:00',4,1,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161216471421128832575122240268045',NULL,'9998',0.00,1,3,NULL),(28,7256990,'1990-06-01 00:00:00',4,1,12,2008,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241116571411423344245234610122187',9957,'306',53.79,1,2,1),(28,7257015,'1995-09-27 00:00:00',4,7,12,2011,'F','N','TOBIAS','JOAÇABA','SC','124244241217111731355813595122610163142',15140,'454',45.33,1,3,NULL),(28,7257023,'1987-02-10 00:00:00',2,1,12,2004,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241248141531711521344341334610116181',NULL,'790',26.84,4,3,NULL),(28,7257031,'1994-12-04 00:00:00',2,15,12,2011,'F','N','FORQUILHA DO CEDRO','STA ROSA SUL','SC','124241241115371411514311575124610124142',14684,'689',36.43,1,2,1),(28,7257066,'1994-05-31 00:00:00',2,2,12,2011,'F','N','GLÓRIA','BLUMENAU','SC','124241241116371431354619575124610134142',18375,'79',26.40,1,2,1),(28,7257082,'1992-10-22 00:00:00',4,26,12,2009,'F','N','JARDIM','CONCÓRDIA','SC','124241241112371311323411572215133267092',NULL,'192',16.77,1,2,1),(28,7257090,'1995-03-06 00:00:00',4,1,12,2011,'F','N','PRADO','BIGUAÇU','SC','124241241116371431534414572122610125152',9661,'65',47.58,1,2,1),(28,7257104,'1993-01-27 00:00:00',2,1,11,2010,'F','N','CANTO','FLORIANÓPOLIS','SC','124242241216472431444434245124610123057',12590,'1118',42.02,2,1,2),(28,7257112,'1992-06-12 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117574731335514345122610123117',NULL,'298',27.60,1,2,1),(28,7257120,'1994-08-30 00:00:00',4,6,12,2011,'F','N','FAZENDA','ITAJAÍ','SC','124241241135131431436613572122610126077',NULL,'393',0.00,1,2,1),(28,7257139,'1992-04-21 00:00:00',2,8,12,2009,'F','N','BOQUEIRÃO','CURITIBA','PR','116164161215572451648619575124610168197',3290,'9998',60.18,1,3,NULL),(28,7257147,'1994-03-25 00:00:00',2,1,12,2011,'F','N','JARDIM SÃO BENTO','S PAULO','SP','125252251217131731538831211125610161117',NULL,'9998',0.00,1,3,NULL),(28,7257155,'1992-04-23 00:00:00',4,5,12,2009,'F','N','SANTA CATARINA','CRICIÚMA','SC','124242241215574441538613475122610168187',4714,'210',57.99,1,3,NULL),(28,7257163,'1994-09-26 00:00:00',2,4,12,2011,'F','N','CENTRO','PALMITOS','SC','124244241417111431446612575122610123092',17841,'1161',39.36,1,3,NULL),(28,7257180,'1992-07-06 00:00:00',4,1,11,2010,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124241241115312321458733595124130722147',15385,'1022',37.94,1,3,NULL),(28,7257198,'1992-11-03 00:00:00',2,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247346371731223519395124610133047',NULL,'9999',29.16,1,3,NULL),(28,7257201,'1975-04-02 00:00:00',4,1,12,1994,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241127373421133341415124320865182',15139,'734',45.33,1,2,1),(28,7257210,'1993-10-04 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116131131326621572114610134147',17095,'257',34.71,1,2,1),(28,7257228,'1993-11-03 00:00:00',4,6,11,2011,'M','N','SAO JUDAS','ITAJAÍ','SC','124242241416111531548911395122610167077',NULL,'394',23.46,1,3,NULL),(28,7257236,'1993-05-09 00:00:00',2,1,12,2010,'F','N','ALTO ARIRIÚ','PALHOÇA','SC','124243241216272421426811382114610125183',18069,'592',38.68,1,3,NULL),(28,7257244,'1988-01-25 00:00:00',2,1,12,2005,'F','N','CENTRO','CONGONHAS','MG','124132131435574421555612585124143265115',3797,'9998',59.87,1,3,NULL),(28,7257252,'1993-08-02 00:00:00',2,1,12,2011,'F','N','CENTRO','BIGUAÇU','SC','124241241112471721425119575124610113142',16805,'65',34.17,2,2,1),(28,7257260,'1989-12-26 00:00:00',4,8,12,2006,'M','N','GLORIA','JOINVILLE','SC','124242241214573451459831571124121414042',3495,'1063',62.12,4,3,NULL),(28,7257279,'1994-11-12 00:00:00',4,3,12,2011,'F','N','CENTRO','ITAPEMA','SC','124241241315271731333313275114610164197',3778,'403',59.84,1,3,NULL),(28,7257287,'1988-06-12 00:00:00',2,17,12,2005,'F','N','INTERIOR','ITAIÓPOLIS','SC','124241241116151711423515452122610138077',16133,'387',36.91,1,2,1),(28,7257309,'1994-07-25 00:00:00',4,3,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241215271731468831472112610147142',NULL,'44',26.92,3,3,NULL),(28,7257317,'1994-01-31 00:00:00',4,15,12,2011,'F','N','SÃO CRISTOVÃO','PASSO FUNDO','RS','120202201117471331468914272122610133182',NULL,'9998',0.00,1,3,NULL),(28,7257325,'1996-05-15 00:00:00',4,1,11,2013,'F','S','BARREIROS','S JOSÉ','SC','124244241216111431558932295125610166182',NULL,'976',43.50,1,3,NULL),(28,7257333,'1990-10-29 00:00:00',4,4,12,2009,'M','N','ZONA III CENTRO','UMUARAMA','PR','116161163116273231226724241134610164077',7114,'9998',50.92,1,2,1),(28,7257341,'1993-12-06 00:00:00',4,2,12,2010,'M','N','VILA NOVA','BLUMENAU','SC','124241241117372731216824275114610144012',9581,'828',46.85,1,2,1),(28,7257350,'1994-09-10 00:00:00',2,5,12,2011,'F','N','CENTRO','LAURO MÜLLER','SC','124241241315161731456312382122610127142',NULL,'531',0.00,1,3,NULL),(28,7257368,'1994-06-04 00:00:00',2,1,12,2011,'F','N','GUIOMAR DE DENTRO','ANTÔNIO CARLOS','SC','124241241115161731423316482124610128077',15060,'21',36.56,1,2,1),(28,7257376,'1994-04-20 00:00:00',2,4,12,2010,'M','N','JARDIM','MARAVILHA','SC','124241241117373431328817572122610147042',18666,'552',36.61,1,2,1),(28,7257384,'1993-02-04 00:00:00',4,8,12,2011,'M','N','SAGUAÇU','JOINVILLE','SC','124242241217121511469614575112610137185',NULL,'1016',34.23,1,3,NULL),(28,7257392,'1991-10-21 00:00:00',4,1,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161216571711568833572114610132053',10149,'9998',45.28,1,3,NULL),(28,7257430,'1994-04-10 00:00:00',2,27,12,2011,'M','N','CENTRO','CUNHATAÍ','SC','124241241346111731468814375122610117067',16524,'752',34.92,1,3,NULL),(28,7257449,'1987-03-10 00:00:00',4,1,1,2006,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224243247217374131359853473121232418177',15654,'1003',44.39,1,3,NULL),(28,7257457,'1994-04-06 00:00:00',2,4,12,2011,'M','N','CENTRO','ABELARDO LUZ','SC','124241241146131431323614392125610162157',13318,'4',48.53,4,3,NULL),(28,7257473,'1993-05-16 00:00:00',4,1,12,2010,'M','N','PRESIDENTE MÉDICI','ITU','SP','125252251211471751458711571124610118052',270,'9998',78.22,1,3,NULL),(28,7257481,'1991-11-05 00:00:00',2,1,12,2009,'F','N','JARDIM CIDADE','S JOSÉ','SC','124241241117271431323329291324610138187',18971,'65',35.40,2,1,1),(28,7257490,'1992-08-18 00:00:00',2,15,11,2011,'M','N','MATO ALTO','ARARANGUÁ','SC','124242241216121421538613575122610127112',13924,'970',39.61,1,3,NULL),(28,7257503,'1957-06-26 00:00:00',4,1,12,1983,'M','N','BARREIROS','S JOSÉ','SC','224241243126472421323314341244613217042',NULL,'304',23.99,2,1,1),(28,7257511,'1994-06-02 00:00:00',2,1,12,2011,'F','N','GUIOMAR DE DENTRO','ANTÔNIO CARLOS','SC','124241241115161731523314482124610128077',17048,'21',33.01,1,2,1),(28,7257520,'1972-07-16 00:00:00',4,1,12,1996,'M','N','CAMINHO NOVO','PALHOÇA','SC','124134131417163411228879295122133261141',19384,'9998',33.45,1,3,NULL),(28,7257538,'1993-09-28 00:00:00',2,9,12,2010,'F','N','MARTORANO','S JOAQUIM','SC','124244241416131531325916211124231554172',NULL,'721',16.25,1,3,NULL),(28,7257546,'1993-07-23 00:00:00',2,16,12,2010,'F','N','CENTRO','CELSO RAMOS','SC','124241241127131431525613342122610114142',NULL,'163',0.00,1,2,1),(28,7257554,'1992-11-12 00:00:00',4,26,12,2010,'M','N','IMIGRANTES','CONCÓRDIA','SC','124241247346151431123432375122610137042',19706,'1000',31.12,1,3,NULL),(28,7257562,'1994-04-11 00:00:00',4,2,11,2011,'F','N','SALTO','BLUMENAU','SC','124242241217112431468914572122610144145',1971,'71',65.23,1,3,NULL),(28,7257570,'1995-06-29 00:00:00',4,6,12,2012,'F','S','CENTRO','BAL PIÇARRAS','SC','624241241217121731533824255124610118012',NULL,'9997',19.73,1,3,NULL),(28,7257600,'1993-10-28 00:00:00',4,1,12,2011,'F','N','CANTINHO DO CEU','S PAULO','SP','125251251146471431523311595324610166057',12615,'9998',42.66,4,2,1),(28,7257619,'1991-01-08 00:00:00',4,1,12,2008,'M','N','JD LA SALLE','TOLEDO','PR','116162161115574431469931575112220762042',8696,'9998',55.92,1,3,NULL),(28,7257627,'1993-12-19 00:00:00',2,1,12,2011,'M','N','ARMAÇAO','FLORIANÓPOLIS','SC','124244241117371431537714282124610151187',9313,'307',48.06,1,3,NULL),(28,7257643,'1974-03-07 00:00:00',2,15,12,1992,'M','N','ZONA NOVA SUL','BAL ARROIO SILVA','SC','220201207147131331323343236344141217046',NULL,'9998',0.00,1,2,1),(28,7257651,'1992-07-13 00:00:00',2,15,11,2009,'M','N','ALTO FELIZ','ARARANGUÁ','SC','124242241215132421557931442122131427142',14576,'970',36.92,1,3,NULL),(28,7257678,'1994-01-03 00:00:00',4,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124241248111131231633374271124610136142',NULL,'257',18.18,2,1,1),(28,7257686,'1974-05-12 00:00:00',2,1,12,1993,'F','N','PASSAGEM DO MACIAMBU','PALHOÇA','SC','524241245126143431323341215224142266097',NULL,'281',0.00,1,3,NULL),(28,7257708,'1983-07-30 00:00:00',2,1,12,2001,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124161161116132431333944441124142026072',NULL,'9998',33.58,4,2,1),(28,7257716,'1994-08-09 00:00:00',4,1,12,2011,'F','N','FAZ STO ANTONIO','S JOSÉ','SC','124241241115471411323311471224610126192',12209,'733',41.52,1,2,1),(28,7257724,'1994-10-25 00:00:00',2,26,12,2011,'F','N','IMIGRANTES','CONCÓRDIA','SC','124241241115371311433823275124610117052',19924,'192',29.02,1,2,1),(28,7257732,'1970-07-29 00:00:00',4,5,12,1986,'F','N','VERA CRUZ','CRICIÚMA','SC','624241243622134441523349395124330625092',17617,'9997',39.97,4,3,NULL),(28,7257740,'1994-05-03 00:00:00',4,1,12,2011,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241235472431489913574122610127075',845,'262',70.38,1,3,NULL),(28,7257775,'1992-12-07 00:00:00',2,4,12,2010,'M','N','CENTRO','ABELARDO LUZ','SC','124241241116161431336512495122610112093',18537,'4',37.15,4,3,NULL),(28,7257783,'1963-11-14 00:00:00',2,1,12,1982,'F','N','KOBRASOL','S JOSÉ','SC','224241245212134751255351382144132861187',NULL,'663',16.63,2,1,2),(28,7257791,'1990-01-13 00:00:00',4,1,12,2007,'M','N','BOM FIM','PTO ALEGRE','RS','120244241117153431248811585124143168187',3471,'270',57.94,1,3,NULL),(28,7257821,'1993-07-12 00:00:00',2,3,10,2010,'M','N','CAPÃO RASO','CURITIBA','PR','116162168234571321558619592114610127042',NULL,'9998',0.00,1,3,NULL),(28,7257830,'1994-09-03 00:00:00',2,1,12,2011,'M','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241115131132323329572214610117062',NULL,'1248',14.38,4,2,1),(28,7257848,'1993-02-22 00:00:00',4,3,12,2010,'M','N','BARRA','BAL CAMBORIÚ','SC','124243241115271431335634495122610134147',17833,'1087',39.38,1,3,NULL),(28,7257856,'1995-07-22 00:00:00',4,10,11,2012,'M','S','CENTRO','BRAÇO NORTE','SC','124242241217111731456832575122610137052',NULL,'807',55.71,1,3,NULL),(28,7257880,'1994-09-29 00:00:00',4,1,12,2011,'M','N','PONTE DE IMARUIM','PALHOÇA','SC','124241241216131421626613575122610134097',7631,'1010',51.30,1,3,NULL),(28,7257899,'1995-09-06 00:00:00',4,22,12,2012,'M','S','SANTA RITA','BRUSQUE','SC','124244241217111431346932572112611024012',NULL,'109',43.50,1,3,NULL),(28,7257902,'1994-09-09 00:00:00',4,1,12,2011,'F','N','PACHECO','PALHOÇA','SC','124241241226111531225524575124610144147',6118,'262',54.34,1,3,NULL),(28,7257910,'1992-12-03 00:00:00',4,1,12,2011,'M','N','AREIAS','S JOSÉ','SC','124242248111131231635614571124610127142',NULL,'257',19.81,2,3,NULL),(28,7257929,'1996-09-18 00:00:00',4,1,12,2013,'F','S','ITANHANGÁ PARK','CPO GRANDE','MS','112122121215111431468836575122610136142',NULL,'9998',43.76,1,3,NULL),(28,7257937,'1993-01-24 00:00:00',2,16,12,2010,'F','N','ADOLFO CORREIA','STA CECÍLIA','SC','124241241115471512613627572224610117055',20125,'686',25.42,1,2,1),(28,7257945,'1994-01-14 00:00:00',4,1,12,2011,'F','N','BARBACENA','LAGUNA','SC','124241241136141432526624575124610115143',NULL,'1211',26.09,4,3,NULL),(28,7257953,'1994-01-11 00:00:00',4,1,11,2011,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124244241215111431316611575112610167041',16562,'270',42.51,1,3,NULL),(28,7257970,'1990-12-06 00:00:00',4,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','224241241116572721233654372112610136095',9771,'472',47.16,1,2,1),(28,7257996,'1993-11-02 00:00:00',2,1,11,2011,'M','N','JARDIM COQUEIROS','PALHOÇA','SC','124241241215112431456723271122610137047',11746,'1022',46.23,1,3,NULL),(28,7258003,'1992-02-17 00:00:00',4,1,12,2009,'F','N','PQ VIVALDI L RIBEIRO','POÇOS CALDAS','MG','113132131215571441489911575122610127073',1632,'9998',63.56,1,3,NULL),(28,7258038,'1993-08-30 00:00:00',4,1,12,2010,'F','N','MONTE CASTELO','CPO GRANDE','MS','112122121217142411469711445122241467073',NULL,'9998',36.81,1,3,NULL),(28,7258054,'1988-06-03 00:00:00',4,1,12,2005,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124252251136231431326429345334610162172',NULL,'9998',0.00,4,1,2),(28,7258062,'1995-05-18 00:00:00',2,1,11,2011,'M','N','BELA VISTA','S JOSÉ','SC','124242241215111231446613582124610167042',19668,'1118',31.49,1,3,NULL),(28,7258070,'1992-12-18 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241116472231456913385124231467022',12882,'644',39.18,1,2,1),(28,7258097,'1993-10-16 00:00:00',2,1,12,2010,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116162161212371451353712395125610137122',9379,'9998',44.74,1,3,NULL),(28,7258100,'1994-11-16 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431558812575122610127062',12149,'738',40.63,1,3,NULL),(28,7258119,'1993-04-11 00:00:00',2,1,12,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241116472231447823575124610125147',12812,'307',43.01,1,2,1),(28,7258127,'1992-10-20 00:00:00',2,1,12,2010,'M','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124244247327161411523629182244610164041',15059,'9999',45.50,1,3,NULL),(28,7258135,'1968-01-10 00:00:00',2,1,12,1992,'F','N','FORQUILINHA','S JOSÉ','SC','224241241223135751335353383124320566187',NULL,'9997',27.76,2,1,2),(28,7258143,'1994-03-21 00:00:00',4,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241136341731323624375124610112181',10042,'278',48.10,2,3,NULL),(28,7258151,'1994-03-17 00:00:00',4,1,12,2010,'M','N','BOSQUE DA SAUDE','CUIABÁ','MT','112252121217371431368723575122610162052',18390,'9998',37.68,1,3,NULL),(28,7258160,'1987-02-22 00:00:00',2,1,5,2008,'M','N','BARREIROS','S JOSÉ','SC','124201207122133431116744342334140642145',NULL,'9998',33.07,4,2,1),(28,7258178,'1994-03-25 00:00:00',2,10,11,2011,'F','N','CENTRO','TUBARÃO','SC','124242241217112431469912475122610144092',17984,'806',27.88,1,3,NULL),(28,7258186,'1994-10-25 00:00:00',4,1,11,2011,'M','N','CIDADE JARDIM','GOIÂNIA','GO','109092091137151431543823375124610124187',4342,'9998',57.09,1,3,NULL),(28,7258194,'1992-05-27 00:00:00',2,1,11,2009,'F','N','CENTRO','CANOAS','RS','120202208216573431487719595122610167112',6154,'9998',53.95,1,3,NULL),(28,7258208,'1989-02-04 00:00:00',4,1,12,2006,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241215575431339912575114132467017',298,'422',77.61,1,3,NULL),(28,7258216,'1986-03-18 00:00:00',2,9,12,2003,'F','N','CENTRO','LAGES','SC','124241241117131441211141212235233118147',NULL,'552',27.00,1,2,1),(28,7258224,'1993-11-30 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431539711577122610136182',121,'270',79.90,1,3,NULL),(28,7258232,'1993-08-30 00:00:00',4,1,12,2010,'M','N','FLORESTA','S JOSÉ','SC','124242241215472431336823275124610117043',NULL,'724',24.81,1,3,NULL),(28,7258240,'1993-07-15 00:00:00',4,1,12,2011,'M','N','BELA VISTA','S JOSÉ','SC','124241241116271431566633575124610132057',20097,'733',26.37,1,2,1),(28,7258259,'1977-09-12 00:00:00',4,26,12,1998,'M','N','NAÇÕES','CONCÓRDIA','SC','124241161216131411421144445123341662047',NULL,'9998',27.48,1,3,NULL),(28,7258267,'1990-10-03 00:00:00',2,8,12,2008,'M','N','ALCIR RAINERI','MARÍLIA','SP','125251251136131411426724272314143266177',NULL,'9998',0.00,1,2,1),(28,7258275,'1994-09-17 00:00:00',4,9,12,2011,'M','N','ESQUINA','URUBICI','SC','124241241111131411323319271222610167057',16640,'818',31.10,1,2,1),(28,7258283,'1992-07-30 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241217373411558832375124221724012',12570,'738',49.68,1,3,NULL),(28,7258291,'1987-05-12 00:00:00',2,1,12,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201112111241226834291124143217052',19200,'9998',34.37,1,3,NULL),(28,7258313,'1994-01-29 00:00:00',2,1,12,2011,'M','N','AREIAS','S JOSÉ','SC','124241241215111431626721385124610143052',9891,'738',49.82,2,1,2),(28,7258330,'1994-05-19 00:00:00',2,1,12,2011,'F','N','HÚMAITA','TUBARÃO','SC','124243241316131411336532585224610133117',NULL,'800',33.65,1,3,NULL),(28,7258348,'1994-03-13 00:00:00',2,1,12,2011,'F','N','FAZENDA S ANTONIO','S JOSÉ','SC','124241241115131431533614242224610133142',15699,'733',36.51,1,2,1),(28,7258356,'1980-07-24 00:00:00',2,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624256258632131221115179192345610128157',NULL,'9998',11.95,1,3,NULL),(28,7258380,'1986-07-07 00:00:00',2,8,12,2004,'M','N','COMASA','JOINVILLE','SC','124241241146132431535574185123610122042',11460,'203',44.39,1,3,NULL),(28,7258399,'1993-02-24 00:00:00',2,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115472431233361445124610167072',13251,'124',40.35,1,2,1),(28,7258402,'1964-08-15 00:00:00',2,1,12,2005,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131221111179192345610128197',NULL,'9997',30.25,1,3,NULL),(28,7258410,'1988-04-12 00:00:00',2,1,12,2005,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124201241145162431433369282324143125147',12026,'307',50.49,1,2,1),(28,7258429,'1994-06-18 00:00:00',2,8,12,2011,'F','N','PROGRESSO','S BENTO SUL','SC','124243241217121431347921575122610135092',NULL,'1161',0.00,1,3,NULL),(28,7258437,'1994-10-28 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215121431468614575124610124011',5668,'270',54.45,1,3,NULL),(28,7258453,'1987-03-30 00:00:00',4,6,12,2004,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241215472431436618475122331562062',5959,'391',52.07,1,3,NULL),(28,7258461,'1991-08-04 00:00:00',3,1,10,2011,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','125244241415572411368824445134610162195',NULL,'9997',0.00,4,3,NULL),(28,7258470,'1995-01-06 00:00:00',4,1,12,2012,'F','S','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241215111712355513572124610127072',NULL,'1051',28.14,1,3,NULL),(28,7258488,'1995-04-28 00:00:00',4,1,12,2012,'M','S','JARDIM AMÉRICA','DOURADOS','MS','112122121217111431438936295122610157062',NULL,'9998',45.84,3,3,NULL),(28,7258496,'1994-10-06 00:00:00',2,15,11,2011,'F','N','CENTRO','SOMBRIO','SC','124242241236371431546832572122610121142',18092,'770',28.17,1,3,NULL),(28,7258500,'1992-12-09 00:00:00',4,8,12,2009,'M','N','CENTRO','JOINVILLE','SC','124242241215373312334635223223231414054',8048,'154',57.06,1,3,NULL),(28,7258526,'1993-02-19 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241411472751648833593124610164035',9206,'1022',48.31,1,3,NULL),(28,7258542,'1993-11-26 00:00:00',4,1,11,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124111241137272431239513575114610124047',10993,'1248',52.14,1,2,1),(28,7258550,'1981-07-05 00:00:00',2,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248631131221113179192345610118197',NULL,'9997',5.31,1,3,NULL),(28,7258569,'1994-05-30 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241225151411434622572124610125112',NULL,'262',31.19,1,3,NULL),(28,7258577,'1995-05-17 00:00:00',4,3,11,2012,'M','S','SANTO EUGÊNIO','CPO GRANDE','MS','112122121216111431458923575122610162097',NULL,'9998',32.22,1,3,NULL),(28,7258585,'1990-02-12 00:00:00',4,1,12,2007,'F','N','VERA CRUZ','BELO HORIZONTE','MG','124132241215575421367711575114133267097',269,'270',76.37,1,3,NULL),(28,7258593,'1994-07-01 00:00:00',4,1,12,2011,'F','N','GLEBA F PALHANO','LONDRINA','PR','116162168237211331378833575114610138126',NULL,'9998',20.21,3,3,NULL),(28,7258607,'1994-07-05 00:00:00',4,6,11,2011,'F','N','MORADA DO OURO','CUIABÁ','MT','111112111216111431269513472122610126185',NULL,'9998',0.00,1,3,NULL),(28,7258615,'1991-08-25 00:00:00',4,1,12,2008,'F','N','JARDIM AMÉRICA','CAXIAS SUL','RS','120202201216372431467812575114610162012',4096,'9998',59.02,1,3,NULL),(28,7258640,'1995-05-19 00:00:00',4,1,12,2012,'M','S','BARREIROS','S JOSÉ','SC','124242241216111731368612575124610144017',NULL,'1118',41.37,1,3,NULL),(28,7258658,'1994-08-14 00:00:00',4,1,11,2011,'F','N','CENTRO','S JOSÉ','SC','124242241215111431569919575112610134192',7653,'270',49.87,1,3,NULL),(28,7258666,'1994-09-12 00:00:00',4,1,12,2011,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241126131431424914275124610166192',14808,'322',36.43,1,2,1),(28,7258682,'1990-07-20 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241112132711226641315221610123075',19682,'242',31.38,1,2,1),(28,7258690,'1994-03-13 00:00:00',4,10,12,2011,'F','N','KM TRINTA E SETE','LAGUNA','SC','124241241115371431326732575122610124077',11079,'1034',44.03,1,2,1),(28,7258704,'1992-10-14 00:00:00',2,3,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215574411238832275124610141077',4850,'1038',62.72,3,3,NULL),(28,7258712,'1988-09-19 00:00:00',4,9,12,2007,'M','N','PINHEIRO SECO','LAGES','SC','124241241115371431423615472223610142182',11419,'935',51.45,1,2,1),(28,7258720,'1991-08-26 00:00:00',4,1,11,2008,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241112471432445514445124610167042',10210,'298',51.29,1,2,1),(28,7258739,'1977-03-31 00:00:00',2,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131211111179192345610118197',NULL,'9999',0.00,1,3,NULL),(28,7258755,'1995-01-02 00:00:00',2,1,11,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124244241215121731436722295125610124052',NULL,'9997',33.45,1,3,NULL),(28,7258763,'1991-02-07 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215575731448813595122131464092',2354,'1169',64.45,1,3,NULL),(28,7258771,'1985-11-15 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632131221111179192345610118197',NULL,'9997',10.01,1,3,NULL),(28,7258780,'1988-03-14 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161168127132431125344445124131467063',11921,'9997',42.29,1,2,1),(28,7258801,'1993-08-05 00:00:00',4,1,7,2010,'M','N','REAL PARQUE','S JOSÉ','SC','124242241117371222556614245114610127052',5013,'739',58.71,1,3,NULL),(28,7258810,'1984-04-01 00:00:00',2,1,12,2000,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124201201432135421233923445123122227055',4544,'9998',59.86,1,3,NULL),(28,7258828,'1983-09-22 00:00:00',2,1,12,2005,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632131211111179192345610168197',NULL,'9997',0.00,1,3,NULL),(28,7258836,'1994-06-20 00:00:00',4,3,12,2011,'M','N','SÃO FRANCISCO DE ASS','CAMBORIÚ','SC','124241241115161431335534575111610117042',14160,'51',37.47,1,2,1),(28,7258852,'1991-07-20 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215575431447639575112610163187',4059,'1038',59.35,1,3,NULL),(28,7258909,'1985-05-02 00:00:00',2,1,12,2005,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632131221111179197345610168197',NULL,'9997',19.29,2,1,2),(28,7258917,'1994-07-05 00:00:00',4,8,12,2011,'M','N','COQUEIRAL','ARACRUZ','ES','108162081217111231459914575122610132047',11911,'9998',50.67,4,3,NULL),(28,7258925,'1990-01-30 00:00:00',4,22,12,2007,'M','N','CENTRO','BRUSQUE','SC','124244241336274441659811215221610144167',10873,'111',52.31,1,3,NULL),(28,7258933,'1994-05-20 00:00:00',4,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241113111331323314471311610167052',19021,'592',35.27,4,2,1),(28,7258950,'1992-03-16 00:00:00',4,1,12,2009,'F','N','PARAÍSO','S PAULO','SP','125252251215472631447921571111610114112',2340,'9998',63.47,1,3,NULL),(28,7258976,'1972-06-30 00:00:00',4,1,12,1991,'F','N','RATONES','FLORIANÓPOLIS','SC','124242241121142411437344242122143226047',19628,'259',31.76,1,3,NULL),(28,7258984,'1994-06-09 00:00:00',4,9,11,2011,'F','N','CENTRO','LAGES','SC','124242241215111411426821475122610164017',NULL,'1207',24.02,1,3,NULL),(28,7258992,'1993-05-23 00:00:00',4,1,12,2011,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241247227111231336514275114610167142',19632,'9999',31.71,1,3,NULL),(28,7259000,'1995-04-15 00:00:00',4,4,12,2011,'F','N','LINHA SÃO PAULINHO','S LOURENÇO OESTE','SC','124246241111371431456933571222610118097',11767,'744',43.94,1,3,NULL),(28,7259018,'1994-02-26 00:00:00',2,10,12,2011,'M','N','CONDE D EU','ORLEANS','SC','124241241116371431328611371124610137057',NULL,'580',22.20,1,2,1),(28,7259026,'1992-03-20 00:00:00',2,1,12,2010,'M','N','CARMELO','S JOÃO BATISTA','SC','124241241136271241336434485123610112032',15965,'712',43.76,4,2,1),(28,7259042,'1994-09-01 00:00:00',4,1,12,2011,'M','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124241241215111431549613475124610117062',12003,'272',42.82,1,3,NULL),(28,7259050,'1981-05-06 00:00:00',2,1,12,2001,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201207611131411123344345111142016043',13226,'9998',48.66,4,3,NULL),(28,7259069,'1994-09-21 00:00:00',4,16,12,2011,'F','N','SÃO LUIZ','CURITIBANOS','SC','124241241115371531422229575224610126177',19325,'239',24.51,1,2,1),(28,7259077,'1994-01-23 00:00:00',4,8,12,2011,'M','N','VILA ANDRADE','S PAULO','SP','125252251217111411258812572122610167047',7399,'9998',49.12,1,3,NULL),(28,7259093,'1978-12-13 00:00:00',2,1,5,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124161167147131431223649195114132714177',NULL,'9998',27.24,1,2,1),(28,7259107,'1979-04-07 00:00:00',4,1,12,2002,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124251251136133441114348441124222252012',NULL,'9998',8.56,1,3,NULL),(28,7259115,'1994-09-28 00:00:00',4,1,2,2012,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241112141731436633572124610114187',16859,'293',35.66,4,2,1),(28,7259123,'1994-05-23 00:00:00',4,6,11,2011,'M','N','CENTRO CIVICO','CURITIBA','PR','116162161217121421469831475122610167052',17293,'9998',40.81,4,3,NULL),(28,7259131,'1995-05-05 00:00:00',4,1,12,2012,'F','S','ITAGUAÇU','FLORIANÓPOLIS','SC','124241241225111441423616462124610168177',NULL,'262',28.42,1,3,NULL),(28,7259140,'1993-12-21 00:00:00',4,1,12,2011,'M','N','AGUIAR','STO ÂNGELO','RS','120203201147131431526721571121610166092',18548,'9998',37.07,1,3,NULL),(28,7259158,'1994-02-19 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124243241317132431239724245124233217067',17288,'733',40.81,1,3,NULL),(28,7259166,'1991-12-07 00:00:00',4,1,12,2009,'F','N','JD SÃO DIMAS','S JOSÉ CAMPOS','SP','125252251216573431258923591122610143092',4364,'9998',56.11,1,3,NULL),(28,7259174,'1981-08-24 00:00:00',2,1,12,2000,'M','N','CENTRO','CAMBÉ','PR','116163161326251722433612225113140912044',NULL,'9998',0.00,1,3,NULL),(28,7259182,'1992-10-02 00:00:00',4,27,12,2010,'F','N','CENTRO','CURITIBA','PR','116164161236471431567812295124610123092',NULL,'9998',0.00,1,3,NULL),(28,7259190,'1994-05-19 00:00:00',2,15,12,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124241241115371431433614575123610133047',NULL,'30',29.04,4,2,1),(28,7259204,'1993-01-19 00:00:00',4,1,12,2011,'F','N','ESTRELA DO SUL','APARECIDA GOIÂNIA','GO','109094091215111431345334575114610134074',9189,'9998',45.98,4,3,NULL),(28,7259220,'1992-07-05 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241127132431223444146114610122147',19395,'287',33.36,4,2,1),(28,7259239,'1993-03-11 00:00:00',4,1,12,2010,'F','N','MOSSUNGUE','CURITIBA','PR','116162161217161131446814245124610124081',NULL,'1169',0.00,1,3,NULL),(28,7259247,'1992-03-28 00:00:00',4,1,11,2009,'M','N','VILA ACRE','RIO BRANCO','AC','101012011216111431569731345122240462192',NULL,'9998',34.42,4,3,NULL),(28,7259255,'1987-12-07 00:00:00',2,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248142131111111179192345610118127',NULL,'9997',0.00,1,3,NULL),(28,7259263,'1993-02-25 00:00:00',4,8,12,2011,'M','N','PANAMBY','S PAULO','SP','125252251217111511479914575122610167067',9099,'9998',44.54,1,3,NULL),(28,7259298,'1990-08-28 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124094241216373731489814575125131428057',6527,'497',59.63,1,3,NULL),(28,7259301,'1995-08-15 00:00:00',4,1,12,2012,'F','S','AREIAS','S JOSÉ','SC','124242241217111731558833575122610137052',NULL,'976',37.45,1,3,NULL),(28,7259310,'1982-09-18 00:00:00',2,1,12,2003,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124203208436131451126344342324141067187',NULL,'9998',20.58,2,1,2),(28,7259328,'1991-12-11 00:00:00',3,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216354441619812575124131466172',7368,'270',49.33,1,3,NULL),(28,7259336,'1992-12-02 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216152411567712345121231465197',10853,'262',44.66,1,3,NULL),(28,7259344,'1990-08-30 00:00:00',4,3,12,2007,'F','N','CENTRO','CURITIBA','PR','116162161215574731458816595115610122122',NULL,'9998',0.00,1,3,NULL),(28,7259360,'1994-09-14 00:00:00',2,1,12,2012,'F','S','JARDIM EUROPA','BRAGANÇA PAULISTA','SP','125252251217111431375823492122610133112',NULL,'9998',37.77,1,3,NULL),(28,7259379,'1993-11-10 00:00:00',4,24,10,2011,'M','N','FUNDO CANOAS','RIO SUL','SC','124242241235111431325612125122610167042',10008,'991',45.81,1,3,NULL),(28,7259387,'1993-10-04 00:00:00',4,1,12,2010,'M','N','CENTRO','CANOINHAS','SC','124243241115472431538613245225610127047',8388,'153',50.41,1,3,NULL),(28,7259409,'1990-06-02 00:00:00',4,1,12,2007,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216273431336764445123131037057',15728,'270',44.24,1,3,NULL),(28,7259425,'1995-08-10 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217111431456619275122610124052',NULL,'1134',0.00,1,3,NULL),(28,7259433,'1992-03-16 00:00:00',2,24,9,2009,'M','N','BUDAG','RIO SUL','SC','124241241146131431324434145331610157047',NULL,'659',21.03,1,2,1),(28,7259441,'1979-09-27 00:00:00',2,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131421111179197345610168197',NULL,'9997',28.37,1,3,NULL),(28,7259450,'1994-06-26 00:00:00',2,4,12,2011,'M','N','JABUTICABAL','ERECHIM','RS','120202201117471731536612372124610127042',12346,'9998',43.26,1,3,NULL),(28,7259468,'1990-07-05 00:00:00',4,8,12,2007,'F','N','UVARANAS','PNT GROSSA','PR','116164161216151431348613475124142242182',NULL,'9998',0.00,2,1,2),(28,7259476,'1994-05-27 00:00:00',4,8,12,2011,'F','N','SAGUAÇÚ','JOINVILLE','SC','124242241215371431538834275124610114077',5847,'461',53.76,1,3,NULL),(28,7259484,'1994-04-15 00:00:00',4,1,12,2011,'M','N','CENTRO','MARINGÁ','PR','116162161216121431466814572121610127012',2059,'9998',65.55,1,3,NULL),(28,7259492,'1994-08-21 00:00:00',4,1,12,2011,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115111431416529572124610163043',NULL,'295',19.47,1,2,1),(28,7259506,'1995-08-02 00:00:00',4,1,12,2012,'F','S','KOBRASOL','S JOSÉ','SC','124242241215121421548631375122610132182',NULL,'1077',54.64,1,3,NULL),(28,7259514,'1991-11-18 00:00:00',2,8,12,2008,'M','N','VALE BOA ESPARANÇA','PINHAIS','PR','116161161145131431116444241223610124097',15099,'9998',35.01,4,1,1),(28,7259530,'1975-12-05 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632131221111179192345610168197',17212,'9997',40.99,1,3,NULL),(28,7259549,'1994-07-03 00:00:00',4,1,2,2012,'M','N','BOA VISTA','MTE CARMELO','MG','113131131147341422321328245311610132177',20029,'9998',27.65,1,3,NULL),(28,7259557,'1991-06-01 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241137372431323644345124610123182',10899,'54',45.86,1,2,1),(28,7259565,'1993-08-12 00:00:00',2,1,12,2010,'F','N','CAMINHO NOVO','PALHOÇA','SC','124243241117472431536611345224610132077',10249,'733',44.52,1,3,NULL),(28,7259573,'1992-06-14 00:00:00',2,1,12,2009,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215574731434319392124610163142',13655,'1118',39.82,1,3,NULL),(28,7259581,'1994-08-17 00:00:00',2,1,12,2011,'F','N','SÃO MIGUEL','BIGUAÇU','SC','124241241117471732433311374124510164197',19762,'64',24.26,1,2,1),(28,7259590,'1993-09-30 00:00:00',2,1,12,2010,'F','N','JARDIM CALIFÓRNIA','CUIABÁ','MT','111111111116471331425415272125610163142',NULL,'9998',0.00,1,2,1),(28,7259603,'1994-08-19 00:00:00',2,5,11,2011,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241212111411346632575122610124142',NULL,'226',18.66,1,3,NULL),(28,7259611,'1991-01-09 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241217473431426923575224121526192',1103,'446',70.71,1,3,NULL),(28,7259620,'1992-11-29 00:00:00',2,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215473431488813475112610164072',1923,'270',64.65,4,3,NULL),(28,7259638,'1984-02-15 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131321111179192345610168197',NULL,'9999',10.64,1,3,NULL),(28,7259646,'1995-02-22 00:00:00',2,9,11,2011,'F','N','CENTRO','PAINEL','SC','124241241215111231425712425114610138197',NULL,'1207',0.00,1,3,NULL),(28,7259654,'1994-04-06 00:00:00',4,5,12,2011,'F','N','CENTRO','IÇARA','SC','124242241211111431448912575122610166172',NULL,'349',12.92,1,3,NULL),(28,7259670,'1994-12-03 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242248215111751645932375122610114142',NULL,'1022',7.69,1,3,NULL),(28,7259689,'1984-08-21 00:00:00',2,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131221111179192345610128197',19697,'9997',31.21,1,3,NULL),(28,7259719,'1994-03-11 00:00:00',2,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241217111711439911275122610146177',NULL,'226',0.00,1,3,NULL),(28,7259727,'1986-05-22 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131221111179292345610168197',NULL,'9997',18.98,1,3,NULL),(28,7259735,'1993-08-24 00:00:00',2,15,12,2010,'F','N','JARDIM DAS AVENIAS','ARARANGUÁ','SC','124241241116372431526612285132610114052',NULL,'29',19.92,1,3,NULL),(28,7259743,'1992-10-08 00:00:00',4,8,11,2009,'M','N','JARDIM SÃO VICENTE','LONDRINA','PR','116162161216571231268811575122610167047',NULL,'9998',0.00,4,3,NULL),(28,7259760,'1994-04-12 00:00:00',4,15,10,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124242241215111431458832575122610124137',5556,'26',55.07,1,3,NULL),(28,7259778,'1995-01-19 00:00:00',4,4,12,2011,'F','N','NOSSA SRA APARECIDA','FRANCISCO BELTRÃO','PR','116162161215421411479912295122610132092',NULL,'9998',0.00,1,3,NULL),(28,7259786,'1994-01-19 00:00:00',4,1,11,2010,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215152431488822345124231467062',NULL,'270',0.00,1,3,NULL),(28,7259794,'1991-10-15 00:00:00',4,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241217273731479812375122121462191',4115,'883',64.24,1,3,NULL),(28,7259840,'1994-11-13 00:00:00',4,16,12,2011,'F','N','BOM JESUS','CURITIBANOS','SC','124244241117471431439613291122610128147',8023,'239',49.62,1,3,NULL),(28,7259859,'1989-06-23 00:00:00',2,1,12,2008,'M','N','SERRARIA','S JOSÉ','SC','124241241111272431321644341134610164047',16792,'257',31.69,1,2,1),(28,7259867,'1985-10-19 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248641131221111179192345610118197',18870,'9997',35.79,1,3,NULL),(28,7259875,'1994-01-01 00:00:00',2,5,11,2011,'F','N','RAICHASKI','IÇARA','SC','124243241215111431636532575112610126052',9713,'226',45.99,1,3,NULL),(28,7259883,'1993-04-09 00:00:00',2,1,12,2010,'M','N','FLORIANOPOLIS','FLORIANÓPOLIS','SC','124243241217432411624721241344610114073',13067,'262',48.89,1,3,NULL),(28,7259891,'1994-08-15 00:00:00',2,6,12,2011,'M','N','JARDIM SAMAMBAIA','PARANAGUÁ','PR','116161168417371731436614595124610147097',NULL,'9998',35.23,1,3,NULL),(28,7259905,'1985-12-07 00:00:00',2,1,12,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131121111179192345610168197',NULL,'9999',19.44,1,3,NULL),(28,7259913,'1993-12-09 00:00:00',4,1,11,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241137151432533311342234610168142',NULL,'727',0.00,1,2,1),(28,7259921,'1995-01-01 00:00:00',4,1,12,2011,'F','N','ROÇADO','S JOSÉ','SC','124242241215111431468914573122610134112',16039,'270',43.63,1,3,NULL),(28,7259930,'1989-10-23 00:00:00',2,6,11,2007,'M','N','CORDEIROS','ITAJAÍ','SC','124241241117473431435811271124610167047',11874,'396',43.87,1,2,1),(28,7259948,'1993-12-09 00:00:00',2,1,11,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431358813272124610164182',12500,'270',49.79,1,3,NULL),(28,7259964,'1991-11-09 00:00:00',4,1,12,2009,'M','N','SANTO AMARO','S PAULO','SP','125252251216571431548611475114610117052',2504,'9998',61.63,1,3,NULL),(28,7259999,'1973-07-21 00:00:00',2,1,12,2005,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632134221112279292345610168197',NULL,'9997',0.00,1,3,NULL),(28,7260008,'1993-12-29 00:00:00',2,16,12,2010,'F','N','BOM JESUS','CURITIBANOS','SC','124241241117371432413315572325610113017',NULL,'240',20.19,1,2,1),(28,7260016,'1993-02-26 00:00:00',4,6,12,2010,'M','N','AGENOR DE CARVALHO','PTO VELHO','RO','122222221216471341469933575122610122122',9309,'9998',49.27,1,3,NULL),(28,7260024,'1993-05-03 00:00:00',2,1,12,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241227271431523321342334610132143',5073,'262',59.60,1,3,NULL),(28,7260032,'1989-05-31 00:00:00',4,1,11,2011,'F','N','IPIRANGA','S JOSÉ','SC','124241241117131411114344142324610118182',NULL,'9999',20.36,1,3,NULL),(28,7260040,'1994-09-20 00:00:00',4,1,12,2011,'M','N','JARDIM SANTA RITA','JABOTICABAL','SP','125252251217111431488911574122610142182',13095,'9998',38.17,1,3,NULL),(28,7260059,'1993-03-10 00:00:00',2,1,12,2011,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241117141431325414296124610121175',18567,'287',28.13,1,2,1),(28,7260075,'1994-12-21 00:00:00',4,1,12,2012,'M','S','ÁGUA VERDE','CURITIBA','PR','116162168216151431278834585124610127072',NULL,'9998',0.00,1,3,NULL),(28,7260083,'1985-12-01 00:00:00',2,1,7,2004,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','224094241136575421234554485124133234097',10769,'257',45.93,1,3,NULL),(28,7260091,'1993-07-09 00:00:00',4,1,12,2011,'M','N','VENDAVAL','BIGUAÇU','SC','124242241215372431543639142114610164182',5768,'63',60.99,1,3,NULL),(28,7260121,'1993-04-25 00:00:00',4,2,12,2010,'M','N','GARCIA','BLUMENAU','SC','124242241215473431468911575124610144062',440,'87',71.43,5,3,NULL),(28,7260130,'1995-10-12 00:00:00',4,1,12,2012,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124241241115111731366933575124610124057',NULL,'271',25.33,4,3,NULL),(28,7260148,'1994-12-12 00:00:00',2,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241217371431226824295124610167117',14385,'1076',38.99,1,3,NULL),(28,7260156,'1994-08-01 00:00:00',4,4,12,2011,'F','N','PROGRESSO','S LOURENÇO OESTE','SC','124241241111371431459933572122610136187',3529,'744',57.50,1,2,1),(28,7260164,'1995-10-18 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731469813575112610124195',14337,'262',46.89,1,3,NULL),(28,7260180,'1995-06-25 00:00:00',4,1,12,2012,'F','S','CAMPINAS','S JOSÉ','SC','124242241215111431363611215112610133047',NULL,'737',0.00,2,3,NULL),(28,7260199,'1995-02-15 00:00:00',4,1,12,2011,'F','N','PRAIA GRANDE','TORRES','RS','120201201317131431229913475221610138142',NULL,'9998',38.08,1,3,NULL),(28,7260202,'1994-05-12 00:00:00',4,15,12,2011,'M','N','COLONINHA','ARARANGUÁ','SC','124241241115111731424314575125610157047',NULL,'29',28.45,1,3,NULL),(28,7260210,'1994-11-28 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124243241215111431457812575112610163185',5347,'737',56.09,1,3,NULL),(28,7260229,'1993-05-13 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215472231643632222121610167047',18834,'1118',35.95,1,3,NULL),(28,7260237,'1990-04-30 00:00:00',4,2,11,2007,'F','N','GARCIA','BLUMENAU','SC','124074211115574431559913572122610133147',437,'9998',74.45,1,3,NULL),(28,7260245,'1993-10-22 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111431449933572122610123197',4421,'737',57.37,1,3,NULL),(28,7260253,'1993-01-18 00:00:00',4,1,12,2010,'M','N','IPIRANGA','S JOSÉ','SC','124163241217472431663512575114610141172',2992,'1022',61.13,1,3,NULL),(28,7260261,'1994-07-16 00:00:00',4,10,12,2011,'F','N','SÃO JOÃO','TUBARÃO','SC','124241244115271431633339272124610126187',NULL,'798',21.84,1,2,1),(28,7260270,'1994-02-01 00:00:00',4,3,12,2011,'F','N','VILA OURO VERDE','ASSIS','SP','125252251215171431588835575125610124097',10693,'9998',43.45,1,3,NULL),(28,7260288,'1995-09-02 00:00:00',2,1,11,2012,'F','S','CANTO DA LAGOA','FLORIANÓPOLIS','SC','624241241117111532434829296114610162141',NULL,'271',32.27,1,3,NULL),(28,7260296,'1995-03-20 00:00:00',4,1,12,2012,'M','S','ITACOTUBI','FLORIANÓPOLIS','SC','124242241215111232268623235124610117042',NULL,'270',51.72,1,3,NULL),(28,7260300,'1991-12-18 00:00:00',4,1,11,2009,'M','N','IPIRANGA','S JOSÉ','SC','124241241112151431645311375124610142047',NULL,'734',15.45,1,2,1),(28,7260318,'1993-11-08 00:00:00',4,4,12,2010,'M','N','CENTRO','CANOINHAS','SC','124241241215472431558514475124610137061',6987,'154',51.77,1,3,NULL),(28,7260342,'1994-04-15 00:00:00',2,1,11,2011,'M','N','REAL PARQUE','S JOSÉ','SC','124242241215111431558414575122610167042',14075,'1118',47.29,1,3,NULL),(28,7260350,'1995-08-09 00:00:00',4,1,12,2012,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241217111431568913435112610124045',NULL,'1133',56.63,1,3,NULL),(28,7260369,'1995-04-14 00:00:00',4,1,12,2012,'F','S','PANTANAL','FLORIANÓPOLIS','SC','124244241215111731448714575122610126072',NULL,'1133',20.79,1,3,NULL),(28,7260377,'1992-12-21 00:00:00',4,1,12,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215372431333621275114210122092',2363,'1118',67.07,1,3,NULL),(28,7260385,'1978-10-24 00:00:00',4,1,2,2004,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124252161216272421169643435122321427067',NULL,'9998',0.00,1,3,NULL),(28,7260393,'1992-08-03 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241217373431449813376124133264187',3163,'1022',66.47,2,1,2),(28,7260407,'1992-07-27 00:00:00',2,1,12,2010,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241115272731543319445114610134143',NULL,'307',28.26,1,2,1),(28,7260415,'1994-08-07 00:00:00',4,1,12,2011,'M','N','PACHECOS','PALHOÇA','SC','124242241215111531453413175124610137047',14723,'1175',34.73,1,3,NULL),(28,7260423,'1993-01-05 00:00:00',4,1,12,2010,'F','N','BELA VISTA','PALHOÇA','SC','124242241215132731443913475124610124187',20149,'1022',24.58,1,3,NULL),(28,7260440,'1993-09-11 00:00:00',4,1,10,2011,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215121431448727595114610137067',12940,'1051',39.56,1,3,NULL),(28,7260466,'1994-04-30 00:00:00',4,6,12,2011,'M','N','CENTRO','ITAJAÍ','SC','124242241216111431469914575125610124092',17161,'392',31.27,1,3,NULL),(28,7260474,'1995-02-17 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116141411225321245124610136142',NULL,'298',27.78,5,3,NULL),(28,7260482,'1982-07-13 00:00:00',2,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131211112279292345610168157',NULL,'9997',22.68,1,3,NULL),(28,7260490,'1994-01-23 00:00:00',2,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431559834575114610126182',10229,'270',46.41,1,3,NULL),(28,7260504,'1978-08-02 00:00:00',2,1,12,1997,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','224241241135214411523544145124610112141',NULL,'289',16.96,1,2,1),(28,7260512,'1994-10-12 00:00:00',4,2,12,2011,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241115111531436923575124610166177',NULL,'88',20.04,1,3,NULL),(28,7260520,'1994-03-08 00:00:00',4,8,12,2011,'M','N','SANTA AMALIA','LIMEIRA','SP','125253251217461731444452595122610162082',10446,'9998',45.44,1,3,NULL),(28,7260539,'1990-12-03 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224161241114134431323811395124222267147',13664,'425',42.49,1,2,1),(28,7260547,'1984-01-17 00:00:00',4,1,12,2002,'M','N','CAMPINAS','S JOSÉ','SC','124241248116142721436513445123131027067',NULL,'9997',26.90,2,1,1),(28,7260555,'1994-07-15 00:00:00',2,26,12,2011,'F','N','PARIZOTTO','CAPINZAL','SC','124241247335141741423529393224610136147',NULL,'1093',21.90,1,3,NULL),(28,7260563,'1991-12-30 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124161161114132442118344342244610122187',15995,'9998',34.20,4,2,1),(28,7260571,'1993-12-29 00:00:00',4,10,12,2011,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215111431348923575122610127057',NULL,'809',31.39,1,3,NULL),(28,7260580,'1989-01-16 00:00:00',4,8,11,2006,'F','N','GLÓRIA','JOINVILLE','SC','124242241236575431459812375122610144042',6736,'44',53.74,1,3,NULL),(28,7260628,'1991-12-18 00:00:00',4,8,11,2008,'F','N','CENTRO','JOINVILLE','SC','124244241215474111568613474114610124073',9735,'270',54.16,1,3,NULL),(28,7260636,'1991-02-08 00:00:00',2,1,12,2008,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241117131531424314382244610124042',NULL,'288',0.00,1,2,1),(28,7260644,'1994-01-28 00:00:00',4,1,12,2011,'M','N','BATEL','CURITIBA','PR','116162161236471741368831572125610167047',NULL,'9998',0.00,1,3,NULL),(28,7260652,'1993-04-16 00:00:00',4,15,12,2010,'F','N','JANUÁRIA','SOMBRIO','SC','124241241116161431313324485125133244182',17313,'1033',30.48,1,2,1),(28,7260660,'1994-11-04 00:00:00',4,16,12,2011,'M','N','CENTRO','CURITIBANOS','SC','124241241115371431348813595122610164057',7159,'239',52.92,1,2,1),(28,7260687,'1993-10-20 00:00:00',4,27,12,2010,'F','N','VISTA ALEGRE','VINHEDO','SP','125252251217471431378714475122610161142',3960,'9998',64.53,1,3,NULL),(28,7260709,'1992-09-26 00:00:00',2,1,11,2010,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241147272431326611345124610136047',18746,'1009',36.31,1,2,1),(28,7260717,'1992-02-06 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242161216154441438712575124230227137',2567,'9998',62.11,1,3,NULL),(28,7260725,'1994-03-21 00:00:00',4,15,12,2011,'M','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124241241116161431423619575122610147112',16798,'1033',32.74,1,2,1),(28,7260733,'1995-02-03 00:00:00',4,6,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241116111451489911571122610162092',7572,'9997',57.83,1,3,NULL),(28,7260750,'1994-05-16 00:00:00',2,1,11,2011,'F','N','CENTRO','PALHOÇA','SC','124244241215111431478439392112610138077',NULL,'1175',17.59,1,3,NULL),(28,7260768,'1995-09-06 00:00:00',4,1,12,2012,'F','S','PICAS DO SUL','S JOSÉ','SC','124246248215171731436611575112610128042',NULL,'944',17.24,1,3,NULL),(28,7260784,'1988-08-17 00:00:00',2,1,12,2005,'F','N','PORTÃO','CURITIBA','PR','116163161337151711438923435121241267186',NULL,'9998',0.00,1,3,NULL),(28,7260792,'1993-08-23 00:00:00',2,1,12,2010,'F','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124241241115412431626621392224610112053',NULL,'278',26.13,1,2,1),(28,7260806,'1992-04-29 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215375231369813475114130227047',17692,'1169',39.75,1,3,NULL),(28,7260814,'1992-06-16 00:00:00',4,6,12,2009,'F','N','CENTRO','BAL CAMBORIÚ','SC','124202241215572431369831595122610124182',NULL,'1038',0.00,1,3,NULL),(28,7260822,'1988-09-26 00:00:00',2,27,12,2005,'M','N','CENTRO','S MIGUEL OESTE','SC','124241241116151221224644345122610167047',12305,'334',40.36,1,3,NULL),(28,7260830,'1993-10-26 00:00:00',4,4,11,2010,'F','N','CENTRO','LAGES','SC','124243241215472431536713575122610166052',5034,'1207',56.47,4,3,NULL),(28,7260849,'1994-04-07 00:00:00',2,4,12,2011,'F','N','CENTRO','RIQUEZA','SC','124241241116131431223629272122610148147',NULL,'674',20.32,1,2,1),(28,7260857,'1995-10-23 00:00:00',4,1,12,2011,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124242241216111431458613395122610123197',16229,'1022',43.27,1,3,NULL),(28,7260865,'1995-03-13 00:00:00',4,1,12,2012,'M','S','BARREIROS','S JOSÉ','SC','124242241216111731566813595122610117142',NULL,'738',43.32,4,3,NULL),(28,7260873,'1994-11-19 00:00:00',4,4,12,2011,'F','N','CENTRO','SAUDADES','SC','124241241111131431524439292322610164142',15694,'761',35.92,1,2,1),(28,7260881,'1994-04-13 00:00:00',2,24,12,2011,'F','N','FUNDO CANOAS','RIO SUL','SC','124241246215111431336639175124610148147',14996,'1013',35.50,1,3,NULL),(28,7260890,'1994-10-31 00:00:00',4,16,12,2011,'M','N','SANTO ANTONIO','MTE CARLO','SC','124241242115111431511216175224630137047',NULL,'741',14.02,1,3,NULL),(28,7260903,'1981-10-11 00:00:00',4,1,10,2000,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','224121121337131441348853345124133224082',11060,'9998',44.16,1,3,NULL),(28,7260911,'1996-01-10 00:00:00',4,9,12,2012,'F','S','FREI ROGÉRIO','LAGES','SC','124242241215111431436934475122610122141',NULL,'1207',37.49,4,3,NULL),(28,7260920,'1995-05-20 00:00:00',4,1,12,2011,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241117141431226724245124610125057',18086,'733',38.65,1,3,NULL),(28,7260938,'1979-12-17 00:00:00',2,1,12,1999,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241248126151751323374344324331966042',10817,'297',52.40,2,2,1),(28,7260946,'1994-02-26 00:00:00',2,1,12,2011,'F','N','SÃO FRANCISCO','TORRES','RS','120201201116151431531353345124610137147',13784,'9998',38.41,1,2,1),(28,7260954,'1989-05-19 00:00:00',2,1,12,2006,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124201201116131431125534445124130223147',18705,'9998',36.44,1,3,NULL),(28,7260962,'1988-05-05 00:00:00',4,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124164161416272431468933575122321462055',NULL,'9998',0.00,3,3,NULL),(28,7260970,'1989-12-21 00:00:00',2,1,4,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124202201216135421123744245124120936187',16825,'9998',41.93,5,3,NULL),(28,7260989,'1990-12-23 00:00:00',2,1,12,2007,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241117141431334462342124230241143',NULL,'288',0.00,1,2,1),(28,7260997,'1983-08-18 00:00:00',4,15,12,2000,'F','N','LAGOÃO','ARARANGUÁ','SC','124241241114111721315449492311610122197',NULL,'30',19.16,1,2,1),(28,7261004,'1994-06-19 00:00:00',2,16,12,2011,'F','N','SAO CRISTOVAO','PAPANDUVA','SC','124241241116371431324419591224610146147',14423,'603',39.30,1,3,NULL),(28,7261012,'1992-07-06 00:00:00',4,1,7,2011,'F','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124201248117372431337864281224610167143',10912,'306',42.18,1,3,NULL),(28,7261020,'1993-10-14 00:00:00',2,8,12,2010,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124243241235471431435539572124610125147',10760,'459',45.26,1,3,NULL),(28,7261039,'1993-04-18 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124243243115131431438634375124610121172',10100,'306',46.19,1,3,NULL),(28,7261047,'1995-05-23 00:00:00',4,27,12,2012,'F','S','CENTRO','S MIGUEL OESTE','SC','124242248216111311438932275122610164192',NULL,'1179',21.66,1,3,NULL),(28,7261055,'1994-01-19 00:00:00',4,1,12,2011,'M','N','CENTRO','COXIM','MS','112121121137111531338933575112610162173',NULL,'9998',24.30,1,3,NULL),(28,7261063,'1991-05-29 00:00:00',4,9,12,2008,'F','N','CORAL','LAGES','SC','124252241215371431448873595124231463092',10355,'1063',53.15,1,3,NULL),(28,7261080,'1991-02-21 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S JOSÉ','SC','124241241127371231323649395122610157043',NULL,'734',35.69,1,2,1),(28,7261098,'1986-02-10 00:00:00',4,1,11,2003,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241236133431138633245124321267077',15268,'349',45.12,1,3,NULL),(28,7261101,'1994-02-27 00:00:00',2,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124241241215111421334419595122610117042',16316,'9997',36.13,1,3,NULL),(28,7261110,'1993-05-25 00:00:00',4,5,6,2011,'M','N','PINHEIRINHO','CRICIÚMA','SC','124243243215151751435679492224610124187',3191,'995',60.80,1,3,NULL),(28,7261128,'1988-06-10 00:00:00',4,1,11,2005,'M','N','VILA RECREIO','ITAPETININGA','SP','125254251237471411557712245122141464112',16618,'9998',42.39,1,3,NULL),(28,7261144,'1994-01-28 00:00:00',4,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215271431349934575122610131147',11054,'1038',44.27,1,3,NULL),(28,7261152,'1995-08-29 00:00:00',2,27,12,2012,'M','S','SÃO JORGE','S MIGUEL OESTE','SC','124242246216111311439733275122610167012',NULL,'1179',36.77,1,3,NULL),(28,7261160,'1991-11-30 00:00:00',4,8,11,2008,'F','N','VILA SÁ','OURINHOS','SP','116252251216573431478613575122610164047',NULL,'9998',0.00,1,3,NULL),(28,7261195,'1987-07-01 00:00:00',4,1,12,2004,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241147142431453313335122233237122',18543,'283',37.09,1,2,1),(28,7261209,'1994-07-12 00:00:00',4,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241215111731456813235124610167052',13079,'1118',39.96,2,3,NULL),(28,7261225,'1994-04-07 00:00:00',2,23,12,2011,'M','N','VILA LENZI','JARAGUÁ SUL','SC','124243241215131431656819572115610127057',15367,'424',36.77,1,3,NULL),(28,7261233,'1994-02-21 00:00:00',4,1,12,2010,'F','N','BELA VISTA','PTO UNIÃO','SC','124241241117472231427932572114610136092',3584,'635',60.34,1,2,1),(28,7261241,'1993-09-11 00:00:00',2,27,12,2010,'F','N','CENTRO','ANCHIETA','SC','124243241117472441446923431124610124147',1525,'16',65.44,1,3,NULL),(28,7261250,'1993-04-26 00:00:00',4,1,12,2010,'F','N','VILA ROSA','ITAPETININGA','SP','125252251217471411558812571122610144072',1102,'9998',68.93,1,3,NULL),(28,7261268,'1994-10-18 00:00:00',4,8,12,2011,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161215471732468814575112610144147',2893,'9998',61.80,1,3,NULL),(28,7261284,'1980-01-16 00:00:00',5,1,11,1998,'M','N','SERRINHA','FLORIANÓPOLIS','SC','524241247112134411434631495224322314181',NULL,'9999',28.82,2,1,1),(28,7261314,'1992-11-11 00:00:00',2,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124243241116142431556613345122610166042',NULL,'307',27.40,4,3,NULL),(28,7261330,'1993-09-02 00:00:00',4,8,11,2010,'F','N','AGUA BRANCA','S FRANCISCO SUL','SC','124241241116131731523631112225610168187',NULL,'709',14.12,1,2,1),(28,7261349,'1992-03-22 00:00:00',2,1,12,2010,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241115372421548513271124610127043',14917,'288',42.01,1,2,1),(28,7261357,'1979-07-16 00:00:00',4,1,12,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','124212211217371721129949497122140664057',5411,'9998',61.63,1,3,NULL),(28,7261365,'1984-03-01 00:00:00',2,1,11,2011,'F','N','MADRI','PALHOÇA','SC','424241247427131441327341116324132831162',NULL,'9999',15.25,1,3,NULL),(28,7261373,'1986-09-15 00:00:00',4,1,12,2009,'F','N','BELA VISTA I','S JOSÉ','SC','124051245122141431123311142334610111186',NULL,'293',5.72,4,2,1),(28,7261390,'1994-02-22 00:00:00',2,1,12,2011,'F','N','ARIRIÚ','PALHOÇA','SC','124243241212112611433824572124610162142',6272,'1011',55.92,1,3,NULL),(28,7261403,'1993-04-24 00:00:00',4,1,12,2010,'F','N','TERRA NOVA II','S BERNARDO CAMPO','SP','125252251216572731347724575124610164097',5241,'9998',55.25,1,3,NULL),(28,7261411,'1994-08-07 00:00:00',2,22,12,2011,'M','N','CENTRO','BRUSQUE','SC','124241241135141531423611245131610137042',NULL,'111',16.31,1,3,NULL),(28,7261420,'1991-10-07 00:00:00',2,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124246241624131431536611195124610137047',16663,'262',42.28,4,3,NULL),(28,7261438,'1994-11-30 00:00:00',2,4,12,2011,'M','N','NITEROI','SEARA','SC','124241242117111431434614575125610167052',NULL,'196',22.34,1,3,NULL),(28,7261446,'1995-04-06 00:00:00',2,4,12,2011,'M','N','TAMANDUÁ','CONCÓRDIA','SC','124241242115151731459613595122610137012',16917,'196',32.43,1,2,1),(28,7261462,'1978-09-17 00:00:00',2,1,7,2003,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241116151721433344245124610167117',NULL,'9999',0.00,1,3,NULL),(28,7261470,'1989-12-02 00:00:00',2,8,12,2008,'F','N','CENTRO','JOINVILLE','SC','224161163117571431223559395124610126097',NULL,'9998',0.00,1,2,1),(28,7261489,'1992-05-25 00:00:00',2,1,12,2010,'F','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124241241112572431327311445124610126197',12740,'65',38.68,1,2,1),(28,7261497,'1993-08-31 00:00:00',4,8,12,2010,'F','N','VILA NOVA','JOINVILLE','SC','124242241215472431466732574122610164187',1026,'1063',70.36,1,3,NULL),(28,7261500,'1991-11-13 00:00:00',4,1,12,2008,'F','N','ST GENTIL MEIRELES','GOIÂNIA','GO','109092091216571431246922575122610165097',4252,'9998',55.44,4,3,NULL),(28,7261519,'1992-02-08 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161214513431334923571124610127072',7242,'9998',51.65,1,3,NULL),(28,7261535,'1994-06-13 00:00:00',4,1,11,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242251215111431458832295132610112132',13967,'9998',47.47,1,3,NULL),(28,7261543,'1992-12-30 00:00:00',4,1,12,2011,'M','N','GIOPPO','CAÇADOR','SC','124242161217111531368931575122610124182',10470,'9998',42.68,1,3,NULL),(28,7261560,'1994-04-09 00:00:00',2,15,12,2011,'M','N','RAIZERA','SOMBRIO','SC','124244242115111731433831195122610124142',14617,'690',38.69,1,3,NULL),(28,7261578,'1991-02-23 00:00:00',2,1,12,2008,'F','N','ARIRIÚ','PALHOÇA','SC','124241241211374411433824572124610161047',4824,'1011',57.06,1,3,NULL),(28,7261608,'1994-11-24 00:00:00',4,24,12,2011,'F','N','VILA NOVA','TROMBUDO CENTRAL','SC','124241241217131431456913375124610126192',14289,'1013',38.58,1,3,NULL),(28,7261616,'1979-03-04 00:00:00',2,1,12,2001,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124161245126135751223343135124322726197',NULL,'9997',28.08,1,2,1),(28,7261624,'1993-02-10 00:00:00',1,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215132431428924576122610164185',11345,'883',51.57,1,3,NULL),(28,7261632,'1993-12-06 00:00:00',2,15,12,2010,'M','N','MATO ALTO','ARARANGUÁ','SC','124241242116131432536614295122610127057',NULL,'690',26.69,4,2,1),(28,7261640,'1995-01-14 00:00:00',4,7,12,2011,'F','N','CENTRO','JOAÇABA','SC','124242248412111531454632572122610113012',NULL,'454',0.00,1,3,NULL),(28,7261659,'1994-10-03 00:00:00',2,1,12,2011,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241248215131731434933575124610124077',NULL,'63',27.66,1,3,NULL),(28,7261667,'1994-03-15 00:00:00',4,6,12,2011,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124242248116111431458813345124610137142',9331,'129',47.56,1,3,NULL),(28,7261675,'1994-12-24 00:00:00',2,1,11,2011,'F','N','SANTANA','STO AMARO IMPERATRIZ','SC','124241241115141431423831572124610163142',19805,'941',30.29,2,1,1),(28,7261683,'1994-10-01 00:00:00',4,10,12,2011,'F','N','RECIFE','TUBARÃO','SC','124243241215151421546616175122610167142',13842,'1120',38.66,1,3,NULL),(28,7261691,'1995-07-14 00:00:00',4,1,12,2011,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241215111411346814575122610146092',18659,'1074',36.63,1,3,NULL),(28,7261705,'1993-12-07 00:00:00',2,15,12,2010,'M','N','POLICIA RODOVIARIA','ARARANGUÁ','SC','124241241136151532435833242112131437047',NULL,'30',0.00,4,3,NULL),(28,7261713,'1989-01-20 00:00:00',4,1,12,2005,'M','N','CAMPINAS','S JOSÉ','SC','124243241216475431236522575122222162067',62,'1022',82.06,1,3,NULL),(28,7261730,'1992-03-10 00:00:00',4,8,11,2009,'M','N','SUMAREZINHO','S PAULO','SP','125242251217571711279931475112610166054',NULL,'9998',0.00,1,3,NULL),(28,7261748,'1995-11-07 00:00:00',4,9,12,2011,'F','N','CORAL','LAGES','SC','124242241215111431355812572112610133182',6156,'497',60.31,1,3,NULL),(28,7261764,'1994-05-02 00:00:00',2,1,11,2011,'F','N','PRAIA DA DANIELA','FLORIANÓPOLIS','SC','124244241215111451568711575124610137072',9273,'270',47.95,1,3,NULL),(28,7261772,'1993-04-27 00:00:00',4,5,7,2011,'M','N','QUARTA LINHA','CRICIÚMA','SC','124241246217141721446634445124610127053',18860,'995',35.84,1,3,NULL),(28,7261780,'1993-04-05 00:00:00',4,1,12,2011,'M','N','CENTRO','PIEDADE','SP','125251251215171732548834595124610162117',14134,'9998',37.29,3,3,NULL),(28,7261799,'1994-04-02 00:00:00',2,10,12,2011,'F','N','MAGALHÃES','LAGUNA','SC','124244241225131431613327295224610162022',NULL,'524',0.00,1,3,NULL),(28,7261802,'1994-05-23 00:00:00',2,1,1,2012,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115151431326627296124610121197',NULL,'592',0.00,1,3,NULL),(28,7261810,'1995-01-30 00:00:00',4,23,12,2011,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124241241136131431425434342125610167057',11482,'425',41.64,1,2,1),(28,7261829,'1994-10-13 00:00:00',4,1,12,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','624244241217121731346931375124610137042',4911,'1022',56.25,1,3,NULL),(28,7261845,'1994-04-26 00:00:00',2,9,11,2011,'F','N','BOM JESUS','LAGES','SC','124241241214111441469913575122610117057',11398,'1207',42.39,1,3,NULL),(28,7261853,'1993-11-02 00:00:00',4,1,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241116472431328411472124610137142',NULL,'49',28.59,1,2,1),(28,7261861,'1994-10-26 00:00:00',4,15,12,2011,'F','N','MATO ALTO','ARARANGUÁ','SC','124243241115131431323314575122610123192',18412,'30',37.60,1,3,NULL),(28,7261870,'1995-11-22 00:00:00',4,9,8,2011,'F','N','CORAL','LAGES','SC','124242241217151631479933592122610147147',14733,'497',46.11,1,3,NULL),(28,7261888,'1995-01-25 00:00:00',4,1,12,2011,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215111432478913375112610127122',2018,'737',67.15,4,3,NULL),(28,7261896,'1980-09-09 00:00:00',2,1,12,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124251251146152411634219395124221732045',17369,'9998',40.61,2,1,1),(28,7261900,'1994-12-09 00:00:00',4,1,12,2011,'F','N','PQ CRUZEIRO DO SUL','S PAULO','SP','125252251217271431468833575122610122092',1737,'9998',66.59,1,3,NULL),(28,7261918,'1992-01-23 00:00:00',4,1,6,2010,'M','N','IPATINGA','SOROCABA','SP','125252281415571431578813475112141117041',7230,'9998',58.42,1,3,NULL),(28,7261926,'1992-03-24 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241217574431469933575122610162142',280,'1207',75.83,1,3,NULL),(28,7261934,'1990-08-18 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431378813575114610127042',12816,'270',40.04,1,3,NULL),(28,7261950,'1977-09-20 00:00:00',2,1,12,2010,'M','N','RATONES','FLORIANÓPOLIS','SC','224241247125372421431344142122610117041',15494,'9999',40.07,4,2,1),(28,7261969,'1994-01-29 00:00:00',4,1,12,2011,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241116141431421325392124610124047',16401,'941',42.90,1,3,NULL),(28,7261977,'1991-04-22 00:00:00',4,8,12,2008,'F','N','JD BOTANICO','CURITIBA','PR','116162161216573441456623575124610123042',NULL,'9998',0.00,1,3,NULL),(28,7261985,'1977-08-25 00:00:00',4,1,12,1994,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241312135421336644242234123262177',13635,'521',47.99,1,3,NULL),(28,7261993,'1992-03-04 00:00:00',4,8,12,2010,'M','N','UBERABA','CURITIBA','PR','116162161215572431266821575122610124041',4212,'9998',58.24,1,3,NULL),(28,7262000,'1979-04-12 00:00:00',2,1,12,1997,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241126131411354453195122332225141',16432,'728',42.82,1,2,1),(28,7262019,'1970-01-11 00:00:00',4,1,12,1988,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241137574431356439485115321916051',17390,'307',40.56,4,3,NULL),(28,7262027,'1995-04-18 00:00:00',4,3,10,2011,'M','N','BELA VISTA','FRAIBURGO','SC','124242161215121431436611275125610122055',5889,'9998',52.43,1,3,NULL),(28,7262035,'1989-02-04 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241316242531445613435212610124152',19135,'9997',34.71,1,3,NULL),(28,7262043,'1992-12-30 00:00:00',4,1,11,2010,'M','N','CONJUNTO GUADALAJARA','GOIÂNIA','GO','109092091216371441536622575122610117187',NULL,'9998',NULL,3,3,NULL),(28,7262051,'1994-08-23 00:00:00',2,4,12,2011,'F','N','INTERIOR','VARGEÃO','SC','124241241135161411638815575124610164057',NULL,'824',0.00,1,2,1),(28,7262060,'1988-09-10 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241112473411324424475124610147042',15010,'298',39.62,3,2,1),(28,7262078,'1991-09-30 00:00:00',4,1,12,2008,'M','N','CENTRO','NOVA P IGUAÇU','PR','116161161135572131446932171114610132147',NULL,'9998',0.00,1,2,1),(28,7262086,'1992-03-12 00:00:00',4,1,11,2009,'M','N','CONJ CRUZEIRO DO SUL','APARECIDA GOIÂNIA','GO','109092091216371411437729594122142517046',3326,'9998',60.37,1,3,NULL),(28,7262094,'1992-01-02 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116373431323317242122610121192',16485,'307',35.15,1,3,NULL),(28,7262108,'1995-02-05 00:00:00',4,1,11,2011,'M','N','PEDRA BRANCA','PALHOÇA','SC','124242246215111431446638375122610132057',13546,'1075',38.95,1,3,NULL),(28,7262116,'1993-05-14 00:00:00',4,10,11,2010,'F','N','MONTE CASTELO','TUBARÃO','SC','124242241215141531456911342122233266091',10508,'806',52.91,1,3,NULL),(28,7262124,'1991-05-19 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','624241241147132411243354145114610142197',13530,'472',48.19,1,2,1),(28,7262132,'1993-10-07 00:00:00',4,1,12,2010,'F','N','SOLAR DO AGRESTE','RIO VERDE','GO','109092091215471431569832595125610112017',4682,'9998',53.71,1,3,NULL),(28,7262159,'1992-09-29 00:00:00',2,1,12,2011,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241147371441423731572124610161012',NULL,'290',31.30,4,2,1),(28,7262167,'1994-11-20 00:00:00',4,1,11,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217111431566812275114610162122',668,'270',73.73,1,3,NULL),(28,7262175,'1984-02-18 00:00:00',2,1,12,2001,'F','N','LAGOINHA','FLORIANÓPOLIS','SC','124201201336142442323324285124610134182',NULL,'9998',24.76,1,3,NULL),(28,7262183,'1978-11-24 00:00:00',2,1,12,1996,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','524241241122132431446613234224333226042',NULL,'307',31.67,4,1,1),(28,7262191,'1994-02-17 00:00:00',2,1,12,2011,'M','N','DONA CLARA','BELO HORIZONTE','MG','113243131417121431458714575122610167112',1623,'9998',66.36,1,3,NULL),(28,7262205,'1994-03-19 00:00:00',4,6,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241415121431446612275112610164052',NULL,'9997',0.00,1,3,NULL),(28,7262213,'1994-06-26 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624242241215131751228929396124610143027',6553,'1022',52.51,1,3,NULL),(28,7262221,'1992-03-21 00:00:00',2,1,12,2010,'F','N','SÃO JOÃO DO RIO VERM','FLORIANÓPOLIS','SC','124203201137571731316744342124610127117',15896,'9998',36.89,4,3,NULL),(28,7262230,'1994-06-20 00:00:00',2,10,11,2010,'M','N','CENTRO','TUBARÃO','SC','124242246215151431346633385121610137112',10406,'1120',43.85,1,3,NULL),(28,7262248,'1993-08-18 00:00:00',4,1,12,2011,'M','N','VILA MARIANA','S PAULO','SP','125252251216111431376932575124610132142',6640,'9998',53.86,1,3,NULL),(28,7262256,'1994-08-18 00:00:00',2,24,12,2011,'M','N','BUDAAG','RIO SUL','SC','124161241125131411429314246224610154077',NULL,'658',19.92,4,2,1),(28,7262264,'1993-02-05 00:00:00',2,3,12,2010,'F','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124241241116372431633431345224610156072',11394,'49',44.60,4,2,1),(28,7262272,'1995-02-23 00:00:00',4,1,12,2011,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124242241215111431449513575124610112047',NULL,'1011',23.15,1,3,NULL),(28,7262280,'1994-07-27 00:00:00',4,6,12,2011,'M','N','FAZENDA','ITAJAÍ','SC','124242241216111431579911575122610137182',6705,'392',52.69,1,3,NULL),(28,7262299,'1993-12-29 00:00:00',4,1,12,2011,'M','N','JARDIM MELITA','S MANUEL','SP','125252251217111431358713575122610164177',2342,'9998',60.86,1,3,NULL),(28,7262310,'1994-06-26 00:00:00',2,8,12,2011,'F','N','BELA VISTA','RIO NEGRINHO','SC','124242241215111431335933575122610137097',NULL,'666',0.00,1,3,NULL),(28,7262329,'1993-08-23 00:00:00',4,7,11,2010,'F','N','CENTRO','JOAÇABA','SC','124242241216472432245528272122610113012',2958,'9998',62.36,1,3,NULL),(28,7262337,'1994-05-08 00:00:00',4,10,11,2011,'F','N','VILA NOVA','IMBITUBA','SC','124242241235111311466962574122610112182',NULL,'806',16.71,1,3,NULL),(28,7262345,'1993-10-24 00:00:00',4,1,12,2010,'M','N','TRINTADE','FLORIANÓPOLIS','SC','124242241215112431458932345124130234082',855,'107',73.47,1,3,NULL),(28,7262361,'1992-10-07 00:00:00',6,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241117311431334411215124610152041',NULL,'257',34.41,4,2,1),(28,7262370,'1994-01-19 00:00:00',2,1,12,2010,'M','N','JAROSESKI','DESCANSO','SC','124242241116471431434812575124610128047',10506,'242',44.36,1,3,NULL),(28,7262388,'1994-10-03 00:00:00',2,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115371431345614275124610133142',NULL,'733',25.59,2,1,1),(28,7262396,'1994-04-07 00:00:00',4,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241117371731249613275124610124147',8541,'1248',48.50,1,2,1),(28,7262400,'1988-06-10 00:00:00',2,1,12,2007,'M','N','BELA VISTA','S JOSÉ','SC','124241241116132431334632312124610167027',NULL,'734',0.00,1,2,1),(28,7262426,'1993-12-20 00:00:00',4,8,12,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215473431489911575122610137062',1044,'457',69.03,1,3,NULL),(28,7262434,'1993-03-24 00:00:00',4,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241145472431425612575124131126092',9286,'278',46.70,4,2,1),(28,7262442,'1994-12-06 00:00:00',2,10,12,2011,'M','N','PAES LAME','IMBITUBA','SC','124241241116131731226513272121610162192',NULL,'359',26.22,1,3,NULL),(28,7262450,'1991-03-09 00:00:00',2,1,11,2009,'M','N','VILA INGLESA','S PAULO','SP','125252251215571411366624285122242832072',5543,'9998',51.60,1,3,NULL),(28,7262469,'1993-08-31 00:00:00',4,5,11,2010,'F','N','JARDIM ELIZABETH','COCAL SUL','SC','124241246215131431546414345122610132092',8686,'188',49.27,1,3,NULL),(28,7262477,'1989-01-18 00:00:00',4,8,12,2006,'M','N','CHAPADAO','CAMPINAS','SP','125252251216572411268833571112610166187',1190,'9998',69.41,3,3,NULL),(28,7262485,'1994-01-21 00:00:00',2,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124241241115311411523411572124610127147',NULL,'734',29.80,3,2,1),(28,7262493,'1994-03-12 00:00:00',1,1,12,2011,'M','N','COLONIA SANTANA','S JOSÉ','SC','124241241127141731323329245124610114177',NULL,'731',15.32,1,3,NULL),(28,7262507,'1988-01-15 00:00:00',2,1,12,2006,'F','N','JARDIM LONDRILAR','LONDRINA','PR','116112111216573431483615575122143222121',13946,'9998',47.50,1,3,NULL),(28,7262531,'1995-12-27 00:00:00',4,10,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111431346622275124610112121',NULL,'1011',16.44,1,3,NULL),(28,7262540,'1993-07-03 00:00:00',4,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124203201215471431447812575114610166042',NULL,'9998',0.00,1,3,NULL),(28,7262558,'1993-03-22 00:00:00',4,1,12,2010,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124243241117472431456611346124610126047',17384,'298',32.03,1,3,NULL),(28,7262566,'1991-02-13 00:00:00',2,3,12,2010,'M','N','DOS MUNICIPIOS','BAL CAMBORIÚ','SC','124241241116471411521111375224610154147',NULL,'49',13.70,4,2,1),(28,7262582,'1994-03-24 00:00:00',2,15,12,2011,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241115131731435314445121610137185',20111,'29',25.95,4,2,1),(28,7262590,'1994-03-06 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','624242241215132431437839345124222967052',10009,'1134',53.70,1,3,NULL),(28,7262604,'1993-08-23 00:00:00',2,1,12,2010,'M','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124201201116161431433364345121610137047',NULL,'9998',22.14,1,2,1),(28,7262612,'1991-10-11 00:00:00',4,1,12,2009,'F','N','LAPA','S PAULO','SP','125254251211571441248829571125610124047',1815,'9998',61.07,1,3,NULL),(28,7262620,'1994-05-31 00:00:00',4,24,11,2011,'F','N','BUDAG','RIO SUL','SC','124244241415131431338914375125610124142',2001,'991',65.65,4,3,NULL),(28,7262639,'1993-10-13 00:00:00',4,1,12,2010,'M','N','JARDIM JANAINA','BIGUAÇU','SC','124242241216472231451824575124610162072',5594,'63',55.95,1,3,NULL),(28,7262647,'1993-11-29 00:00:00',4,4,12,2010,'F','N','CENTRO','UBIRATÃ','PR','116162161317471331439923575112610167092',7772,'9998',49.37,3,3,NULL),(28,7262655,'1994-08-03 00:00:00',4,1,12,2011,'F','N','RATONES','FLORIANÓPOLIS','SC','124242241315121441457632576124610164187',3339,'1022',65.99,1,3,NULL),(28,7262663,'1989-10-20 00:00:00',4,15,12,2007,'M','N','COLONINHA','ARARANGUÁ','SC','124241241135372431321544245125610126015',14850,'29',37.41,1,2,1),(28,7262671,'1994-10-02 00:00:00',4,1,11,2011,'M','N','IPIRANGA','S JOSÉ','SC','124242241215121431346631575122610126162',13457,'1118',39.32,1,3,NULL),(28,7262701,'1986-12-01 00:00:00',2,1,12,2003,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','224201201117141721148843235122342067017',5051,'9998',62.32,1,2,1),(28,7262728,'1995-05-04 00:00:00',2,16,12,2011,'F','N','INTERIOR','BRUNÓPOLIS','SC','124241241147371431423315472324610135057',12068,'911',43.53,1,2,1),(28,7262736,'1994-02-15 00:00:00',4,2,11,2011,'F','N','CENTRO','BENEDITO NOVO','SC','124241241215112731338614272114610126147',6225,'1157',55.22,1,3,NULL),(28,7262744,'1994-09-23 00:00:00',4,10,11,2011,'F','N','VILA MOEMA','TUBARÃO','SC','124242241235112531227921575112610164072',4862,'807',55.16,1,3,NULL),(28,7262752,'1994-03-26 00:00:00',2,2,11,2011,'F','N','CENTRO','BENEDITO NOVO','SC','124241241215121431347932575122610122142',NULL,'1157',26.59,1,3,NULL),(28,7262760,'1991-02-20 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215575431337923575122231464192',5110,'262',55.09,1,3,NULL),(28,7262779,'1994-04-03 00:00:00',2,1,12,2011,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241122141411634321292124610167165',NULL,'286',9.83,1,2,1),(28,7262787,'1993-02-19 00:00:00',4,3,12,2011,'M','N','CENTRO','CAMBORIÚ','SC','124241242117131411421229295113610114051',NULL,'129',25.99,2,1,1),(28,7262795,'1994-07-13 00:00:00',4,23,12,2011,'F','N','CENTRO','GUARAMIRIM','SC','124241241316111431423319575122610123142',14393,'424',36.61,1,3,NULL),(28,7262825,'1994-04-11 00:00:00',4,1,12,2011,'F','N','CENTRO','ANGELINA','SC','124241241117161432427523295124610128147',NULL,'17',20.80,1,2,1),(28,7262833,'1994-07-09 00:00:00',2,15,12,2011,'F','N','FORTALEZA','PR GRANDE','SC','124241241146131431326616345124610167177',17072,'641',31.94,1,2,1),(28,7262841,'1993-03-02 00:00:00',4,1,12,2011,'M','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124242246117271411446613445124610134032',10193,'306',44.59,1,3,NULL),(28,7262850,'1971-04-05 00:00:00',4,1,12,1988,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','224242241215152421475852442122321428182',NULL,'262',0.00,1,3,NULL),(28,7262868,'1990-02-25 00:00:00',4,8,6,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242281413274531349934575122221467145',10691,'9998',52.62,1,3,NULL),(28,7262876,'1990-06-10 00:00:00',2,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241215153731444421241133230244062',17804,'1048',39.46,1,3,NULL),(28,7262892,'1991-03-23 00:00:00',4,1,11,2008,'M','N','JARDIM EMILIA','JACAREÍ','SP','125251251147571731216621582122610128046',NULL,'9998',0.00,2,2,1),(28,7262914,'1994-03-19 00:00:00',4,1,12,2011,'M','N','REAL PARQUE','S JOSÉ','SC','124241241117321431426633575114610125141',14346,'307',39.07,4,2,1),(28,7262922,'1991-08-29 00:00:00',2,15,12,2008,'M','N','VILA BITENCOURT','STA ROSA SUL','SC','124241241146131431323315345123133234152',13170,'689',37.64,1,2,1),(28,7262930,'1994-05-12 00:00:00',4,23,11,2011,'F','N','BAEPENDI','JARAGUÁ SUL','SC','124244241415111731534319575115610164183',17327,'442',40.70,1,3,NULL),(28,7262957,'1995-05-29 00:00:00',4,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241125131231338923575124610123047',NULL,'283',26.02,1,2,1),(28,7262965,'1992-05-18 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','125251251317571751456616575112610165182',14873,'9998',37.39,1,3,NULL),(28,7262973,'1991-10-29 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241111134431634624385124122732043',12053,'288',50.45,1,3,NULL),(28,7262981,'1993-09-30 00:00:00',4,24,12,2011,'F','N','CANTA GALO','RIO SUL','SC','124242241215371231436613575122610137142',10658,'663',42.85,1,3,NULL),(28,7262990,'1981-07-09 00:00:00',2,1,12,1998,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','624111111127131411333871285124541662182',NULL,'9998',12.50,1,3,NULL),(28,7263007,'1989-06-22 00:00:00',2,26,12,2006,'F','N','SÃO JOÃO','SEARA','SC','124241241124131431436833382214610131037',10640,'764',44.84,1,2,1),(28,7263015,'1993-04-27 00:00:00',4,1,2,2011,'M','N','VILA MARIANA','S PAULO','SP','125252251117271411268933575124610117042',8074,'9998',47.23,1,3,NULL),(28,7263031,'1994-01-24 00:00:00',2,4,12,2010,'M','N','ZONA RURAL','ITAPEJARA D OESTE','PR','116161161116471431345521372124610117042',NULL,'9998',0.00,3,2,1),(28,7263040,'1995-02-04 00:00:00',4,1,11,2011,'F','N','JARDIM GOIAS','GOIÂNIA','GO','109092091217111341338921574122610126147',9751,'9998',54.14,1,3,NULL),(28,7263058,'1992-05-05 00:00:00',2,1,12,2009,'F','N','PQ RES ABÍLIO PEDRO','LIMEIRA','SP','125251251115471431113541311324610151147',10706,'9998',43.47,1,3,NULL),(28,7263066,'1994-10-21 00:00:00',4,7,12,2011,'M','N','SANTA TEREZA','JOAÇABA','SC','124241241115141421533651345125610147042',NULL,'449',0.00,1,2,1),(28,7263074,'1988-01-08 00:00:00',2,15,12,2005,'F','N','NOVO HORIZONTE','STA ROSA SUL','SC','124241241136131431323615385113610135182',NULL,'689',22.67,1,2,1),(28,7263082,'1983-07-31 00:00:00',2,1,12,2001,'F','N','INGLESES','FLORIANÓPOLIS','SC','124051051126142231113344342124133025097',NULL,'9998',29.86,4,2,1),(28,7263104,'1994-09-03 00:00:00',4,25,12,2011,'M','N','MARTELLO','CAÇADOR','SC','124241241127141331323823575124610134147',NULL,'1189',23.46,1,2,1),(28,7263112,'1994-05-23 00:00:00',4,1,12,2011,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241315111431324321242124610132092',18713,'988',36.40,4,1,2),(28,7263120,'1994-08-24 00:00:00',2,1,12,2011,'M','N','CENTRO','GAROPABA','SC','124241241125161412323534345112610167142',19823,'322',30.08,1,2,1),(28,7263139,'1992-04-16 00:00:00',4,1,12,2009,'F','N','JARDIM BOTÂNICO','PTO ALEGRE','RS','120204201217571431333616575114610166187',2523,'9998',61.93,1,3,NULL),(28,7263147,'1994-12-07 00:00:00',2,1,12,2011,'F','N','PRAIA MOLE','FLORIANÓPOLIS','SC','124241241115111431426614375114610153012',19902,'290',29.35,1,2,1),(28,7263155,'1993-11-10 00:00:00',4,8,11,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241217271431547611275122610144052',NULL,'461',0.00,1,3,NULL),(28,7263171,'1994-01-17 00:00:00',4,5,12,2011,'M','N','BERTAN','MRO FUMAÇA','SC','124241241125131431423534245124610124057',19480,'567',32.84,1,3,NULL),(28,7263201,'1990-10-07 00:00:00',4,1,12,2008,'M','N','VICTOR DE ANDREIA','LIMEIRA','SP','125251251126572311533414485114610167087',9397,'9998',47.56,2,1,1),(28,7263228,'1992-09-22 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241112111431323519575114610167057',17528,'307',30.75,2,1,1),(28,7263236,'1993-01-20 00:00:00',2,15,12,2010,'M','N','CENTRO','PTO ALEGRE','RS','120204201117571731357622275122610166042',NULL,'9998',0.00,1,3,NULL),(28,7263244,'1994-06-20 00:00:00',2,1,12,2011,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091215111431369933575122610127047',6162,'9998',52.89,4,3,NULL),(28,7263260,'1994-06-17 00:00:00',4,1,12,2011,'F','N','BANDEIRANTES','CPO GRANDE','MS','112122121236111431348824575122610133142',6101,'9998',53.01,1,3,NULL),(28,7263279,'1993-10-13 00:00:00',4,8,11,2011,'F','N','BOM RETIRO','JOINVILLE','SC','124122241215111431536914575124610132157',18407,'1063',27.45,1,3,NULL),(28,7263295,'1993-04-03 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216372431226429575124610135187',13519,'1197',40.86,2,1,2),(28,7263317,'1994-11-01 00:00:00',4,2,12,2011,'F','N','COLONINHA','GASPAR','SC','124241241217131431349923575124610126177',12724,'87',42.25,1,3,NULL),(28,7263325,'1988-07-07 00:00:00',4,1,9,2005,'M','N','BARRA DA TIJUCA','RIO JANEIRO','RJ','121212211216151711347829495111241766117',NULL,'9998',0.00,1,3,NULL),(28,7263350,'1993-01-02 00:00:00',4,5,11,2009,'M','N','COMERCIARIO','CRICIÚMA','SC','124242241215572431146821575125610118043',6094,'226',54.12,3,3,NULL),(28,7263376,'1994-06-01 00:00:00',4,1,12,2011,'M','N','CENTRO','GAROPABA','SC','124241241127151221324923575124610124012',NULL,'322',30.99,4,3,NULL),(28,7263392,'1991-03-16 00:00:00',4,1,12,2008,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215373431557833385124133224187',10078,'270',53.59,1,3,NULL),(28,7263406,'1986-04-18 00:00:00',4,1,12,2003,'F','N','PARADA DE LUCAS','RIO JANEIRO','RJ','121211211416131431335633575124142464047',7345,'9998',51.05,2,3,NULL),(28,7263414,'1994-10-25 00:00:00',2,3,12,2011,'F','N','AREAIS','CAMBORIÚ','SC','124241241111371431323619575121610136187',NULL,'130',22.13,1,3,NULL),(28,7263430,'1993-01-14 00:00:00',2,5,12,2010,'M','N','UNIVERSITARIO','CRICIÚMA','SC','124242246214132711555414445112231437047',NULL,'995',31.19,1,3,NULL),(28,7263449,'1994-05-11 00:00:00',4,3,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241215151712425312272112610157042',13108,'403',42.36,1,3,NULL),(28,7263457,'1994-04-01 00:00:00',2,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111432544427585114610167042',16643,'737',31.89,1,3,NULL),(28,7263465,'1990-10-16 00:00:00',2,1,11,2008,'M','N','KOBRASOL','S JOSÉ','SC','124242241216574451326424272124610162077',419,'723',77.10,1,3,NULL),(28,7263473,'1996-06-22 00:00:00',4,1,11,2012,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124282241217111431339839472124610134195',NULL,'9998',55.67,4,3,NULL),(28,7263481,'1990-10-30 00:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','624241241115114431326829495124222927142',11585,'307',48.39,1,3,NULL),(28,7263490,'1994-10-15 00:00:00',4,22,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215271431457732282122610127047',1457,'107',66.39,1,3,NULL),(28,7263503,'1994-09-16 00:00:00',2,5,12,2011,'M','N','CIDADE MINEIRA NOVA','CRICIÚMA','SC','124244246215111431438834595124610124072',9585,'995',54.40,1,3,NULL),(28,7263511,'1994-11-08 00:00:00',4,23,12,2011,'M','N','AMIZADE','JARAGUÁ SUL','SC','124241241117131431338824571222610137047',16052,'425',31.69,1,2,1),(28,7263546,'1995-07-08 00:00:00',4,1,12,2011,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241115371431448733575124610128093',10620,'739',43.56,1,3,NULL),(28,7263554,'1991-12-10 00:00:00',2,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124241241136371431526923185225131427147',NULL,'719',20.78,1,2,1),(28,7263562,'1994-07-17 00:00:00',2,8,12,2011,'M','N','SCHARAMM','S BENTO SUL','SC','124241241115151431444939575121610164092',18930,'697',35.56,1,2,1),(28,7263570,'1965-07-26 00:00:00',2,1,12,2003,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241245112134421233329442234330812192',16739,'9997',42.12,1,3,NULL),(28,7263600,'1994-11-30 00:00:00',4,4,11,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241117472711439914575124610164072',1652,'267',66.54,1,3,NULL),(28,7263619,'1993-05-04 00:00:00',4,8,12,2010,'F','N','CENTRO','CPO MOURÃO','PR','116162161316472431648812575125610134072',1538,'9998',66.05,1,3,NULL),(28,7263627,'1986-04-22 00:00:00',4,1,12,2003,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215373411384823475122320227042',1648,'270',71.07,1,3,NULL),(28,7263635,'1994-09-26 00:00:00',2,1,12,2011,'F','N','GANCHOS DE FORA','GOV CELSO RAMOS','SC','124241241136371231324611295124610137047',8609,'329',52.07,1,2,1),(28,7263643,'1994-08-10 00:00:00',2,4,10,2011,'F','N','INTERIOR','FAXINAL GUEDES','SC','124241241215111431633315571224610147062',6185,'836',55.49,1,3,NULL),(28,7263660,'1989-04-13 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241125134411423611342144610117063',14355,'9997',37.54,4,2,1),(28,7263678,'1995-10-19 00:00:00',4,10,12,2011,'M','N','CENTRO','GR PARÁ','SC','124241241117371421328822575124610114047',9044,'332',47.85,1,2,1),(28,7263694,'1994-02-06 00:00:00',4,1,12,2011,'M','N','VILA SANTANA','STO AMARO IMPERATRIZ','SC','124241241115271431536923385124610122095',12604,'772',41.83,1,2,1),(28,7263708,'1995-07-15 00:00:00',4,1,12,2011,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241217111431468933591124610134092',12511,'1050',41.85,1,3,NULL),(28,7263716,'1975-07-19 00:00:00',2,1,12,1994,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241126165411533411215122322664161',7553,'816',57.87,1,2,1),(28,7263724,'1994-10-07 00:00:00',4,1,12,2011,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215111411446633572114610163057',7862,'1022',54.60,2,1,2),(28,7263732,'1992-02-02 00:00:00',4,1,11,2009,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217573431359923595114243264145',NULL,'270',0.00,4,3,NULL),(28,7263740,'1994-06-24 00:00:00',4,7,12,2011,'F','N','VILA ALEMANHA','LUZERNA','SC','124242241215132431448812575122610134142',1596,'962',66.53,1,3,NULL),(28,7263767,'1989-10-09 00:00:00',4,1,11,2006,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124252251215475411478734432122220234115',5961,'9998',60.65,1,3,NULL),(28,7263775,'1992-05-16 00:00:00',2,1,12,2010,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241126141731523429342124610128197',NULL,'731',18.23,1,2,1),(28,7263783,'1995-04-24 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431369813472122610112072',NULL,'270',0.00,1,3,NULL),(28,7263791,'1994-09-27 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117131431423611572124610167057',11780,'285',42.78,1,2,1),(28,7263805,'1989-01-08 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162161216474431557619475114121224095',NULL,'9998',26.70,1,3,NULL),(28,7263813,'1992-11-10 00:00:00',4,1,12,2010,'F','N','ACLIMAÇÃO','S PAULO','SP','125252251317471412328819395125610122142',NULL,'9998',0.00,1,3,NULL),(28,7263821,'1976-09-28 00:00:00',4,1,12,1993,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241216154441436629395124422266142',10252,'266',53.31,1,3,NULL),(28,7263830,'1994-10-11 00:00:00',4,23,12,2011,'F','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124241241112371731326414572121610148147',11125,'435',42.59,1,2,1),(28,7263848,'1994-06-15 00:00:00',4,1,12,2011,'M','N','PRESIDENTE KENNEDY','FRANCISCO BELTRÃO','PR','116162161215151751348964574115610166197',NULL,'9998',0.00,1,3,NULL),(28,7263856,'1992-12-14 00:00:00',4,1,12,2011,'M','N','SANTANA','STO AMARO IMPERATRIZ','SC','124241241115371231323324345124610117057',18143,'772',28.01,1,2,1),(28,7263864,'1994-05-01 00:00:00',4,1,11,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111431368933571124610127042',15651,'270',44.39,1,3,NULL),(28,7263880,'1990-12-10 00:00:00',2,1,12,2008,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215373711447613445124610167117',13253,'270',41.41,1,3,NULL),(28,7263902,'1992-01-24 00:00:00',2,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215142531469934492114231447095',8077,'262',57.01,1,3,NULL),(28,7263937,'1995-04-07 00:00:00',2,9,12,2011,'M','N','CENTRO','RIO RUFINO','SC','124241241125131431534936252345610117042',NULL,'673',20.77,1,2,1),(28,7263953,'1991-09-20 00:00:00',2,8,12,2008,'M','N','CENTRO','S JOSÉ CAMPOS','SP','125251251117571711336679292222610166187',1718,'9998',64.28,1,2,1),(28,7263961,'1993-09-12 00:00:00',4,1,11,2011,'F','N','BOM JESUS','RIO PEDRAS','SP','125253251217111741448632575122610163147',8304,'9998',49.83,1,3,NULL),(28,7263988,'1988-06-28 00:00:00',4,9,12,2006,'M','N','PETRÓPOLIS','VACARIA','RS','120201201117131421226644445121610148052',19711,'9998',31.06,1,2,1),(28,7263996,'1994-06-24 00:00:00',4,5,12,2011,'F','N','BARRO VERMELHO','ORLEANS','SC','124243241115141731533311395122610126152',5490,'580',54.58,1,3,NULL),(28,7264003,'1994-09-26 00:00:00',4,10,12,2011,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241246216111431346923575124610134117',16683,'1120',33.70,1,3,NULL),(28,7264011,'1994-12-09 00:00:00',2,15,11,2011,'F','N','SANGA DAS PEDRAS','MELEIRO','SC','124243241235271431456435595124610138052',13950,'970',39.54,1,3,NULL),(28,7264020,'1994-04-04 00:00:00',4,1,11,2011,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241215111431558612575122610144141',13005,'1074',41.38,1,3,NULL),(28,7264038,'1995-12-19 00:00:00',4,2,12,2012,'F','S','IMIGRANTES','TIMBÓ','SC','124241241134131731536639575122610116177',NULL,'787',0.00,1,3,NULL),(28,7264054,'1995-05-26 00:00:00',4,5,11,2012,'F','S','SÃO SIMÃO','CRICIÚMA','SC','124242241215371752459834575122610168197',NULL,'226',53.45,1,3,NULL),(28,7264062,'1994-02-14 00:00:00',4,6,12,2011,'F','N','PINEVILLE','PINHAIS','PR','116162161215111431459914571212610168112',NULL,'9998',32.76,1,3,NULL),(28,7264097,'1994-02-10 00:00:00',2,1,12,2010,'F','N','CENTRO','JACINTO MACHADO','SC','124242241215372531428836595124131062142',9945,'26',47.29,1,3,NULL),(28,7264100,'1987-07-28 00:00:00',4,1,12,2011,'M','N','STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC','124241248137131421634673385124610124027',19686,'306',31.35,2,1,1),(28,7264119,'1993-08-07 00:00:00',4,1,1,2012,'M','N','JARDIM AQUARIUS','PALHOÇA','SC','124241248115131731226379495124610124047',17541,'592',31.42,4,2,1),(28,7264127,'1992-06-03 00:00:00',4,1,12,2009,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241115474421436634345124610134011',NULL,'772',20.66,1,2,1),(28,7264135,'1991-01-31 00:00:00',2,1,12,2008,'F','N','JARDIM AEROPORTO','S PAULO','SP','125254251214572431368611275112610137124',NULL,'9998',0.00,1,3,NULL),(28,7264143,'1993-08-13 00:00:00',4,2,12,2010,'M','N','FORTALEZA','BLUMENAU','SC','124242241217111631454434445124233222017',10666,'71',52.65,1,3,NULL),(28,7264151,'1992-11-06 00:00:00',2,1,12,2010,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241115473731633639395124610128145',NULL,'307',16.70,1,2,1),(28,7264178,'1991-09-26 00:00:00',2,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124244251317574431129847572114610123097',10587,'416',47.63,1,3,NULL),(28,7264194,'1991-04-26 00:00:00',2,8,12,2008,'F','N','SÃO FRANCISCO','CURITIBA','PR','116162161216231411328811315124142744057',NULL,'9998',0.00,1,3,NULL),(28,7264208,'1989-05-31 00:00:00',2,1,12,2006,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241117373411633311345124610153147',11865,'941',44.17,1,2,1),(28,7264224,'1989-08-27 00:00:00',2,1,12,2006,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124201201116352421338813575124132766172',8631,'9998',48.03,1,2,1),(28,7264232,'1994-07-04 00:00:00',2,1,12,2011,'M','N','ERICA','PANAMBI','RS','120121201136141432536633245122610134052',NULL,'9998',0.00,4,3,NULL),(28,7264259,'1993-03-16 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217273431446823472114122523047',4970,'737',57.08,1,3,NULL),(28,7264283,'1990-10-17 00:00:00',2,1,12,2007,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124244241217133431436633335122131067112',18951,'944',35.49,1,3,NULL),(28,7264291,'1995-05-28 00:00:00',2,10,11,2012,'M','S','CENTRO','TUBARÃO','SC','124242241211111431459933272112610137052',NULL,'806',42.49,1,3,NULL),(28,7264321,'1994-04-15 00:00:00',2,15,11,2011,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124244241414131431416621293324610124172',NULL,'26',26.01,1,3,NULL),(28,7264348,'1994-04-26 00:00:00',2,1,1,2012,'F','N','ARIRIU','PALHOÇA','SC','124241241122131411424313472124610118182',14872,'593',40.64,1,2,1),(28,7264356,'1991-05-29 00:00:00',4,1,12,2008,'M','N','S J DO RIO VERMELHO','FLORIANÓPOLIS','SC','124201201146142421333364345124230728067',16348,'9998',43.00,1,2,1),(28,7264364,'1994-07-05 00:00:00',2,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124244241215111731438813575124610117012',17440,'723',31.58,1,3,NULL),(28,7264372,'1993-08-29 00:00:00',4,1,12,2011,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124202248115152431267932472124610133092',18852,'306',35.87,1,3,NULL),(28,7264380,'1990-05-17 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241126575711423311235124221337037',1881,'274',63.56,1,2,1),(28,7264399,'1994-04-16 00:00:00',4,1,12,2012,'F','S','PANTANAL','FLORIANÓPOLIS','SC','124242241215111752459934572124610123142',NULL,'262',42.39,1,3,NULL),(28,7264402,'1994-05-23 00:00:00',2,10,11,2011,'F','N','MONTE CASTELO','TUBARÃO','SC','124241241235111431323839575124610135172',NULL,'809',19.29,1,3,NULL),(28,7264410,'1994-04-30 00:00:00',4,8,12,2011,'M','N','ATIRADORES','JOINVILLE','SC','124242241216371432469811575124610167112',7931,'1006',50.98,1,3,NULL),(28,7264437,'1994-03-10 00:00:00',4,2,11,2011,'M','N','ESTADOS','TIMBÓ','SC','124243241215121431356834575122610134014',5761,'1157',53.60,1,3,NULL),(28,7264453,'1992-02-08 00:00:00',2,1,12,2010,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241247227131431223344342124610114147',NULL,'9999',23.00,1,3,NULL),(28,7264461,'1991-02-22 00:00:00',4,6,12,2009,'M','N','CENTRO','ITAJAÍ','SC','124242241215572431458811445122231467121',12171,'394',50.29,1,3,NULL),(28,7264488,'1993-02-14 00:00:00',2,1,12,2011,'F','N','DE FATIMA','FLORIANÓPOLIS','SC','124241241137471431323324282124610147152',NULL,'257',20.04,1,2,1),(28,7264496,'1994-07-30 00:00:00',4,22,12,2011,'M','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124241241217151411426911275122610165142',19279,'1090',33.96,1,3,NULL),(28,7264500,'1994-09-08 00:00:00',4,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241227111431434314574124610121092',4787,'262',58.17,1,3,NULL),(28,7264518,'1994-09-08 00:00:00',4,1,11,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215112451479933572122610112147',8199,'270',49.74,1,3,NULL),(28,7264526,'1974-08-03 00:00:00',4,1,7,1993,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242247336333731254479435134322134047',NULL,'9999',0.00,1,3,NULL),(28,7264534,'1995-10-26 00:00:00',2,1,12,2012,'F','S','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242248217171732458832595114613227042',NULL,'1169',41.09,1,3,NULL),(28,7264542,'1988-09-01 00:00:00',4,10,12,2006,'M','N','IÇARENSE','LAURO MÜLLER','SC','124243246337161441358813345122132864172',NULL,'531',0.00,1,3,NULL),(28,7264550,'1993-06-20 00:00:00',4,1,12,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241246117271431478933277124610167037',11689,'306',51.03,1,2,1),(28,7264569,'1994-08-16 00:00:00',4,4,12,2011,'M','N','INTERRIOR','IPUMIRIM','SC','124241242115111411623336595224610137147',13266,'196',37.89,1,2,1),(28,7264577,'1994-03-15 00:00:00',2,10,12,2011,'M','N','CENTRO','STA ROSA LIMA','SC','124241241115131331424614475122610112042',NULL,'688',32.80,1,2,1),(28,7264593,'1994-04-10 00:00:00',2,5,11,2011,'M','N','MAE LUZIA','CRICIÚMA','SC','124243246215141431336729595124610137042',9865,'995',46.94,1,3,NULL),(28,7264607,'1985-01-15 00:00:00',4,1,12,2002,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','624241241127372411633319182112610137047',18338,'287',37.83,4,3,NULL),(28,7264615,'1994-05-12 00:00:00',4,8,12,2011,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241215111431438719572112610113091',12652,'1063',41.94,1,3,NULL),(28,7264623,'1994-12-16 00:00:00',4,25,12,2011,'F','N','CENTRO','CAÇADOR','SC','124242241117121431669913575122610167077',12472,'120',41.23,1,3,NULL),(28,7264666,'1995-12-30 00:00:00',4,1,1,2012,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111731439831575122610168017',14101,'270',47.26,1,3,NULL),(28,7264674,'1994-05-26 00:00:00',2,8,12,2011,'M','N','CENTRO','ITAPIRAPUÃ PAULISTA','SP','116251161217471411537833472114610132146',6618,'9998',51.39,1,3,NULL),(28,7264682,'1993-09-24 00:00:00',2,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241116151411643369285124610117047',NULL,'298',8.25,2,1,2),(28,7264690,'1993-01-07 00:00:00',4,1,12,2010,'F','N','JARDIM PROCÓPIO','RIBEIRÃO PRETO','SP','125253251116471431426721585124610132142',NULL,'9998',0.00,1,3,NULL),(28,7264704,'1995-06-13 00:00:00',2,5,12,2012,'M','S','CENTRO','IÇARA','SC','124242241415111752436923575122610165072',NULL,'349',34.55,1,3,NULL),(28,7264712,'1995-02-03 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242248215111731258932571112610128091',NULL,'262',45.00,1,3,NULL),(28,7264720,'1989-03-21 00:00:00',2,1,12,2006,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241112143411429913242114232713112',NULL,'307',19.56,4,2,1),(28,7264739,'1995-04-26 00:00:00',4,1,12,2013,'F','S','MARIA GORETTI','BENTO GONÇALVES','RS','120202201212111311328611575122610164077',NULL,'9998',0.00,1,3,NULL),(28,7264747,'1990-04-04 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116372431623615115123223037057',15570,'412',44.59,1,2,1),(28,7264755,'1995-08-14 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111752458634575112610147045',13330,'9997',48.51,1,3,NULL),(28,7264763,'1986-06-02 00:00:00',2,1,1,2008,'M','N','CAMINHO NOVO','PALHOÇA','SC','124141247122271731113544345124610137142',19755,'9999',30.64,1,2,1),(28,7264771,'1992-09-17 00:00:00',2,1,12,2009,'M','N','PLANO DIRETOR SUL','PALMAS','TO','127274271412111511639911572121241314042',7380,'9998',50.27,1,3,NULL),(28,7264780,'1993-01-24 00:00:00',2,5,6,2011,'M','N','BOA VISTA','JOINVILLE','SC','124243246317131431226844445121610127182',NULL,'995',33.00,1,3,NULL),(28,7264798,'1994-04-19 00:00:00',4,3,12,2011,'M','N','JARDIM AMÉRICA','DOURADOS','MS','112122121216171431379813572112610117052',NULL,'9998',0.00,1,3,NULL),(28,7264801,'1994-06-24 00:00:00',4,2,12,2011,'M','N','VILA ITOUPAVA','BLUMENAU','SC','124241241117131431426933575114610117147',NULL,'74',0.00,1,2,1),(28,7264828,'1989-05-26 00:00:00',2,1,11,2006,'M','N','BARREIROS','S JOSÉ','SC','124241241416373441436639375124333264117',5190,'1036',55.76,1,3,NULL),(28,7264844,'1981-11-18 00:00:00',4,1,12,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124202201217273441558833583344441046172',7363,'9998',58.20,4,3,NULL),(28,7264852,'1991-12-30 00:00:00',4,1,6,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242281215271731468632395124130267042',7947,'9998',57.22,1,3,NULL),(28,7264860,'1993-05-22 00:00:00',2,1,12,2010,'F','N','AREAIS','S JOSÉ','SC','124241241116372431223624574124610166147',NULL,'734',25.48,1,2,1),(28,7264879,'1994-09-18 00:00:00',4,16,12,2011,'M','N','SÃO LUIZ','CURITIBANOS','SC','124241241115141511324414345122610117052',18163,'239',30.14,4,3,NULL),(28,7264887,'1994-03-14 00:00:00',4,1,12,2011,'F','N','CENTRO','JABOTICABAL','SP','125252251217121431448836572112610121122',1934,'9998',64.40,1,3,NULL),(28,7264895,'1993-07-12 00:00:00',2,1,12,2011,'F','N','ALTO ARROIO','IMBITUBA','SC','124244241215112431558716314124610161092',7821,'1038',51.66,1,3,NULL),(28,7264909,'1994-05-03 00:00:00',4,1,12,2011,'F','N','MEDEIROS','JUNDIAÍ','SP','125252251211371332458834575124610144142',NULL,'9998',0.00,2,3,NULL),(28,7264917,'1994-07-15 00:00:00',4,1,12,2011,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241225111431326628281324610144197',15839,'262',33.38,1,3,NULL),(28,7264925,'1988-09-06 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124162161215473421148712375124321562197',1543,'9998',67.03,1,3,NULL),(28,7264933,'1992-07-29 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241116133431425624342114610114142',NULL,'257',30.67,1,2,1),(28,7264941,'1994-11-04 00:00:00',4,6,12,2011,'F','N','CENTRO','ITAJAÍ','SC','124241241115331511426633572224610157147',NULL,'395',0.00,4,2,1),(28,7264968,'1987-08-21 00:00:00',2,1,12,2005,'M','N','AREIAS','S JOSÉ','SC','624201201137141431223544341124610125042',19744,'9998',30.68,1,2,1),(28,7264976,'1991-06-23 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241111113411438819192124232713142',20005,'307',28.00,1,2,1),(28,7264984,'1993-05-17 00:00:00',4,1,7,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242243117151731353639145123610167187',16067,'306',43.57,1,3,NULL),(28,7264992,'1989-11-08 00:00:00',2,1,12,2007,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124251251147131431223344242324610161141',13002,'9998',40.31,1,2,1),(28,7265000,'1994-07-14 00:00:00',2,2,12,2011,'F','N','ESTADOS','TIMBÓ','SC','124241241127161731334634395121610166052',9575,'870',46.37,1,2,1),(28,7265018,'1994-04-04 00:00:00',4,8,12,2011,'M','N','JARDIM CHAMPAGNAT','LONDRINA','PR','116162161216151711578933575122610164122',NULL,'9998',0.00,1,3,NULL),(28,7265034,'1994-10-11 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117271431526621375124610137147',NULL,'287',32.92,1,2,1),(28,7265042,'1990-11-09 00:00:00',4,1,12,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241126372431423316142314610163197',NULL,'785',15.16,1,2,1),(28,7265069,'1994-02-17 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215472731279913475124130428182',2185,'752',64.77,1,3,NULL),(28,7265085,'1993-01-17 00:00:00',2,1,12,2010,'F','N','FOJOCA','S PEDRO ALCÂNTARA','SC','124241241121272431324624392324610144142',15676,'869',38.42,1,2,1),(28,7265093,'1995-04-15 00:00:00',2,1,12,2011,'F','N','FUNDOS','BIGUAÇU','SC','124241241225112432546923575114610117057',16328,'262',33.60,1,3,NULL),(28,7265107,'1992-10-06 00:00:00',4,1,12,2009,'F','N','SANTA MARIA','S BONIFÁCIO','SC','124241241126272731328619445124610148187',8333,'702',45.60,1,2,1),(28,7265115,'1990-01-14 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242247227271431118932275124230457097',NULL,'9999',0.00,1,3,NULL),(28,7265123,'1991-09-05 00:00:00',4,3,12,2009,'M','N','VILA BELLA','CAMPINAS','SP','125252251217471431488834572112141442053',7950,'9998',52.28,1,3,NULL),(28,7265140,'1994-09-14 00:00:00',4,8,12,2011,'M','N','CENTRO','S BENTO SUL','SC','124241241217161411348612192125610114015',10511,'974',46.64,1,3,NULL),(28,7265158,'1992-06-25 00:00:00',4,1,12,2009,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241226152711426614575124233218185',NULL,'262',0.00,1,3,NULL),(28,7265166,'1994-03-03 00:00:00',4,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124241241317111731358634575124610128142',19316,'1076',25.10,1,3,NULL),(28,7265174,'1994-02-20 00:00:00',4,15,11,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124244241215212431459811574112610128096',2090,'970',63.39,1,3,NULL),(28,7265182,'1990-04-26 00:00:00',6,1,12,2007,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124251251117131431226744342324142266141',7600,'9998',48.69,1,2,1),(28,7265190,'1994-01-10 00:00:00',4,17,12,2011,'M','N','SÃO CRISTOVÃO','PAPANDUVA','SC','124164161215171431431923475124610114047',NULL,'9998',0.00,1,3,NULL),(28,7265204,'1992-01-03 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241315573711463312175112610165012',13952,'1022',38.30,1,3,NULL),(28,7265212,'1986-05-07 00:00:00',4,1,6,2003,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124223221412151721138844345132140768042',17992,'9998',38.95,5,3,NULL),(28,7265220,'1991-07-13 00:00:00',1,1,11,2009,'M','N','VALE DO ITAMARACÁ','VALINHOS','SP','125252251417471431468814572112141227184',1269,'9998',64.19,1,3,NULL),(28,7265239,'1992-06-15 00:00:00',4,8,12,2009,'F','N','AMÉRICA','JOINVILLE','SC','124242241215271431359832574112143263097',10375,'457',44.32,1,3,NULL),(28,7265247,'1954-12-04 00:00:00',1,1,12,1973,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','424242241147171451133349392122330768185',NULL,'69',36.20,1,3,NULL),(28,7265263,'1995-04-30 00:00:00',2,1,12,2011,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241135371431324514245124610114117',16975,'733',41.60,1,2,1),(28,7265271,'1994-07-29 00:00:00',2,1,12,2011,'M','N','FAZENDA DE DENTRO','BIGUAÇU','SC','124241241117371732323314472124610127047',9232,'65',46.29,1,2,1),(28,7265280,'1994-05-09 00:00:00',2,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242241216273431446639595124230267017',4039,'1022',57.36,1,3,NULL),(28,7265298,'1994-05-02 00:00:00',4,1,11,2011,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241213151442359813576112610134176',4407,'1074',57.95,3,3,NULL),(28,7265328,'1992-01-21 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241217112431337824442112610164072',19045,'283',31.35,1,3,NULL),(28,7265344,'1990-11-05 00:00:00',2,3,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241216574421466819275122610137182',6409,'1038',54.14,1,3,NULL),(28,7265352,'1994-12-24 00:00:00',4,26,12,2011,'F','N','CENTRO','PERITIBA','SC','124241241136131431548613575124610136142',20129,'612',25.24,1,2,1),(28,7265360,'1994-04-14 00:00:00',4,4,11,2011,'M','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124242241215271431469813575122610131112',4603,'168',59.04,1,3,NULL),(28,7265379,'1994-05-19 00:00:00',4,1,12,2011,'M','N','TRISTEZA','PTO ALEGRE','RS','120202201216371431368312492122610166142',NULL,'9998',0.00,1,3,NULL),(28,7265387,'1994-08-23 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241135471331426534575124610123187',16860,'1248',35.59,4,2,1),(28,7265395,'1986-05-23 00:00:00',5,1,12,2005,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201201117141431435324385123143264042',NULL,'9998',31.24,2,1,1),(28,7265409,'1994-09-03 00:00:00',2,15,12,2011,'F','N','RAIZEIRA','SOMBRIO','SC','124241241115271431623331575124610133147',NULL,'1033',22.92,1,2,1),(28,7265417,'1995-01-05 00:00:00',4,4,12,2011,'F','N','INTERIOR','GUATAMBÚ','SC','124241241115371531326916575124610137052',NULL,'169',0.00,1,2,1),(28,7265425,'1994-05-02 00:00:00',2,26,12,2011,'F','N','MIRANTE','ITÁ','SC','124241241116111431436432252122610164182',NULL,'384',27.85,1,2,1),(28,7265433,'1995-01-26 00:00:00',2,1,12,2011,'F','N','COLONIA SANTANA','S JOSÉ','SC','124244241317111431459633571124610132172',11871,'1022',44.80,1,3,NULL),(28,7265441,'1992-07-28 00:00:00',2,1,6,2011,'M','N','ARIRIU DA FORMIGA','PALHOÇA','SC','124241244312141431553629342133610166147',NULL,'591',0.00,3,3,NULL),(28,7265476,'1987-10-22 00:00:00',4,1,12,2005,'F','N','JARDIM MESQUITA','JACAREÍ','SP','125252251216571431448611275122610162187',1951,'9998',65.52,1,3,NULL),(28,7265492,'1993-07-11 00:00:00',4,23,12,2010,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241216162431458913345122131026147',6256,'1061',53.14,1,3,NULL),(28,7265522,'1994-11-14 00:00:00',4,1,11,2011,'M','N','JARDIM SIMUS','SOROCABA','SP','125252251217151431458833375122610167127',2709,'9998',62.62,1,3,NULL),(28,7265530,'1994-10-14 00:00:00',4,1,12,2010,'M','N','PARAISO','S PAULO','SP','101011011111121111111112111111120111011',16358,'9998',42.98,1,3,NULL),(28,7265549,'1987-05-05 00:00:00',4,4,12,2005,'F','N','CENTRO','PALMITOS','SC','124241241336371711248933246132340247147',NULL,'600',27.45,1,3,NULL),(28,7265565,'1994-07-07 00:00:00',4,24,12,2011,'M','N','LARANJEIRAS','RIO SUL','SC','124243241117272451474912575112610164012',11423,'657',43.74,1,3,NULL),(28,7265573,'1990-04-06 00:00:00',2,1,11,2008,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124171171126151431323344445113610117051',NULL,'9998',1.85,1,2,1),(28,7265581,'1991-08-12 00:00:00',4,16,12,2008,'F','N','CENTRO','CURITIBANOS','SC','124241241137371731533319492215610121197',12866,'239',38.37,1,2,1),(28,7265590,'1993-03-29 00:00:00',2,3,12,2010,'F','N','CENTRO','S MIGUEL ARCANJO','SP','125254251216471231448633375122610132187',NULL,'9998',28.26,1,3,NULL),(28,7265603,'1991-07-26 00:00:00',4,1,12,2008,'M','N','JD PRESIDENTE','MOGI GUAÇU','SP','125252251216571431338824575122610162047',8222,'9998',47.81,1,3,NULL),(28,7265611,'1978-12-26 00:00:00',2,1,12,1997,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','524251256422141431228644241324140631187',14630,'9998',46.29,4,3,NULL),(28,7265620,'1993-11-17 00:00:00',2,16,12,2010,'F','N','INTERIOR','FR ROGÉRIO','SC','124241241115371431513316192344610124053',NULL,'320',23.09,1,3,NULL),(28,7265638,'1987-07-01 00:00:00',2,1,12,2010,'M','N','COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC','224201241127371631224344245114610127042',14132,'9997',38.71,1,3,NULL),(28,7265646,'1991-10-03 00:00:00',2,10,12,2008,'F','N','CENTRO','CAPIVARI BAIXO','SC','124241246215471431253829345124610132147',15871,'1120',43.95,1,3,NULL),(28,7265670,'1991-03-28 00:00:00',2,15,12,2010,'M','N','JARDIM ULTRAMAR','BAL GAIVOTA','SC','124241241137141311323333246114610147057',NULL,'1033',24.02,1,2,1),(28,7265689,'1992-04-24 00:00:00',2,16,12,2011,'F','N','SÃO JOSÉ','CURITIBANOS','SC','124241241115371431423339276325613227072',18540,'239',28.38,1,2,1),(28,7265697,'1994-10-20 00:00:00',4,10,12,2011,'M','N','DIVINA PROVIDÊNCIA','S LUDGERO','SC','124241241116371731434324155114610116147',13921,'748',40.12,1,2,1),(28,7265700,'1994-05-30 00:00:00',2,8,11,2011,'F','N','PROFIPO','JOINVILLE','SC','124243241415111431436319295124613264097',NULL,'461',0.00,1,3,NULL),(28,7265719,'1995-09-13 00:00:00',2,10,12,2012,'M','S','VILA MOEMA','TUBARÃO','SC','124242241215111711389834474122610117042',NULL,'807',53.15,1,3,NULL),(28,7265727,'1975-11-14 00:00:00',2,1,12,1994,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241446151751312629495114610167185',NULL,'9997',0.00,1,3,NULL),(28,7265735,'1994-02-20 00:00:00',2,1,11,2011,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124072241316111431425711295124610114117',15035,'1022',37.31,4,1,2),(28,7265743,'1995-07-29 00:00:00',4,6,12,2012,'M','S','CENTRO','ITAPEMA','SC','124242248216151411436812575124610112192',NULL,'403',32.21,1,3,NULL),(28,7265751,'1994-02-08 00:00:00',4,1,11,2011,'F','N','IMBAÚBAS','IPATINGA','MG','113132131215121731568614574124610112197',6062,'9998',60.49,4,3,NULL),(28,7265760,'1994-07-09 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116271431423311215124610126012',NULL,'281',25.34,1,2,1),(28,7265778,'1993-06-27 00:00:00',4,6,12,2011,'F','N','MORRETES','ITAPEMA','SC','124241241111272431513628382321610121047',NULL,'406',31.44,4,2,1),(28,7265794,'1990-02-02 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216132731546669495123230267057',16985,'259',31.87,1,3,NULL),(28,7265808,'1993-08-20 00:00:00',4,4,12,2011,'M','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241117371431534511172122610138057',18084,'182',27.58,1,2,1),(28,7265816,'1992-12-30 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242247311472431389811595122610136181',537,'9999',72.06,1,3,NULL),(28,7265824,'1994-05-28 00:00:00',4,8,11,2011,'M','N','AMERICA','JOINVILLE','SC','124242241215271731479912575122610162142',6093,'457',54.15,1,3,NULL),(28,7265832,'1992-05-04 00:00:00',4,1,12,2009,'M','N','JARDIM ITAPEVA','S PAULO','SP','125252251216572231668639575122610127041',7311,'9998',51.64,3,3,NULL),(28,7265840,'1995-03-04 00:00:00',2,1,12,2012,'F','S','SANTA CATARINA','URUBICI','SC','124242241215111411556912575124610137072',NULL,'1118',39.91,1,3,NULL),(28,7265859,'1988-06-08 00:00:00',2,10,12,2005,'F','N','VILA NOVA','IMBITUBA','SC','124241241112141732523524342224610133097',NULL,'359',17.94,1,2,1),(28,7265867,'1990-01-28 00:00:00',4,1,6,2008,'M','N','REAL PARQUE','S JOSÉ','SC','124242241115473431556614395124133267041',3605,'739',60.35,1,3,NULL),(28,7265875,'1981-07-20 00:00:00',2,1,12,1999,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124161161136134431123544345134610163187',14156,'9998',40.71,1,2,1),(28,7265883,'1994-04-03 00:00:00',4,6,11,2011,'M','N','CENTRO','NAVEGANTES','SC','124242241216132431356933575121610128127',8628,'937',56.06,1,3,NULL),(28,7265891,'1993-03-14 00:00:00',2,15,11,2011,'M','N','GOLDEN PARK','ARARANGUÁ','SC','124241246215321432566834575122610137012',18635,'970',36.76,1,3,NULL),(28,7265905,'1994-12-26 00:00:00',4,1,12,2012,'M','S','KOBRASOL S JOSE SC','S JOSÉ','SC','124242241216151712448811575125610117052',NULL,'737',50.47,1,3,NULL),(28,7265913,'1994-11-09 00:00:00',4,23,11,2011,'F','N','CENTRO','MASSARANDUBA','SC','124244241215122431369913575114610134142',15151,'1174',34.21,1,3,NULL),(28,7265921,'1992-02-17 00:00:00',4,8,12,2010,'M','N','CENTRO','JOINVILLE','SC','124244241436471721589932575112610165171',NULL,'1063',0.00,1,3,NULL),(28,7265930,'1994-09-14 00:00:00',4,25,12,2011,'M','N','CENTRO','CAÇADOR','SC','124162241117111511579813275122610122042',NULL,'120',0.00,1,3,NULL),(28,7265948,'1991-06-27 00:00:00',4,1,12,2008,'F','N','CACCHOEIRA DO BOM JE','FLORIANÓPOLIS','SC','124251241116133711326654342124141066182',9868,'288',44.89,1,2,1),(28,7265956,'1993-08-18 00:00:00',4,25,12,2010,'M','N','REUNIDAS','CAÇADOR','SC','124241241146161231459714385123230738142',NULL,'122',0.00,1,2,1),(28,7265964,'1994-07-12 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241217371551456824575112610137187',6993,'1118',53.36,1,3,NULL),(28,7265972,'1993-05-02 00:00:00',4,1,12,2010,'F','N','JARDIM MEDITERRANEO','LONDRINA','PR','116161161116571751637869575124610133017',NULL,'9998',0.00,1,2,1),(28,7265999,'1984-08-05 00:00:00',2,1,12,2001,'M','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241126254411545613435112333217042',NULL,'591',0.00,1,3,NULL),(28,7266006,'1994-12-29 00:00:00',4,1,11,2010,'F','N','BOA VISTA','CURITIBA','PR','116161161415111431357813575121610134052',NULL,'9998',0.00,1,3,NULL),(28,7266014,'1994-12-14 00:00:00',4,3,12,2011,'M','N','MORRETES','ITAPEMA','SC','124241241117371431433514285121610167172',5781,'406',54.68,4,2,1),(28,7266022,'1995-01-25 00:00:00',4,10,12,2011,'M','N','SÃO MARTINHO','TUBARÃO','SC','124241241137151431546614373124610162092',3858,'802',57.59,1,2,1),(28,7266030,'1994-09-21 00:00:00',4,1,12,2011,'M','N','SANTOS DUMONT','S JOSÉ','SC','124241241115141431326531215124610127143',17232,'733',30.91,1,2,1),(28,7266049,'1993-06-21 00:00:00',4,16,12,2010,'M','N','COHAB UM','CURITIBANOS','SC','124241248135241131626514345124610117085',NULL,'240',13.27,4,2,1),(28,7266057,'1994-05-20 00:00:00',4,4,12,2011,'M','N','CENTRO','SUL BRASIL','SC','124241241126141431434436345122610127052',NULL,'775',0.00,1,3,NULL),(28,7266073,'1993-08-08 00:00:00',2,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241248117271432635613375124610162145',10169,'306',48.58,1,2,1),(28,7266081,'1994-04-26 00:00:00',2,5,12,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241217111751346514575125610164182',6584,'995',50.28,1,3,NULL),(28,7266090,'1994-07-14 00:00:00',2,17,12,2011,'F','N','CENTRO','MAJ VIEIRA','SC','124241241126161431223529342224610121147',17419,'548',31.64,1,3,NULL),(28,7266103,'1991-11-25 00:00:00',2,8,7,2011,'M','N','JD QUISISANA','POÇOS CALDAS','MG','113252137416271411228923185321610124112',16404,'9998',42.89,4,3,NULL),(28,7266120,'1990-05-13 00:00:00',2,4,12,2008,'M','N','INTERIOR','IBICARÉ','SC','124241241126472431523355395122610125057',13795,'345',40.24,1,3,NULL),(28,7266138,'1993-11-29 00:00:00',2,16,12,2010,'M','N','BOSQUE','CURITIBANOS','SC','124244241415112731334933576212133257092',NULL,'237',28.69,4,3,NULL),(28,7266146,'1991-07-22 00:00:00',4,8,11,2008,'M','N','LOTE SEIS','CRICIÚMA','SC','124242241216474431478912375122231424057',NULL,'213',0.00,1,3,NULL),(28,7266162,'1991-08-04 00:00:00',2,1,12,2008,'F','N','SÃO JOSÉ OPERÁRIO','STA IZABEL OESTE','PR','116161161126131631438632145122243235072',NULL,'9998',0.00,4,2,1),(28,7266170,'1993-11-27 00:00:00',4,8,12,2010,'F','N','CENTRO','JARAGUÁ SUL','SC','124241241116451431447833575122610164052',16413,'425',42.86,1,2,1),(28,7266200,'1994-07-18 00:00:00',4,10,12,2011,'F','N','VILA NOVA','IMBITUBA','SC','124241241115371431423424172224610126142',19642,'359',23.75,1,2,1),(28,7266235,'1993-08-11 00:00:00',4,1,11,2010,'M','N','SÃO BRAZ','CURITIBA','PR','116162161215471431478713575124610164012',539,'9998',72.40,1,3,NULL),(28,7266243,'1994-12-09 00:00:00',4,6,11,2011,'M','N','ITAJUBA','BARRA VELHA','SC','124241241125111431426639272124610162143',NULL,'57',0.00,1,2,1),(28,7266251,'1988-08-13 00:00:00',4,8,11,2006,'M','N','COSTA E SILVA','JOINVILLE','SC','624241241116131131236644445112131526047',19169,'537',34.52,1,2,1),(28,7266260,'1989-07-30 00:00:00',4,1,12,2007,'M','N','ALTO DA LAPA','S PAULO','SP','125254251217471431378731575115143268181',7401,'9998',51.48,1,3,NULL),(28,7266278,'1990-08-15 00:00:00',2,1,6,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247446371431233823575124610117042',12492,'300',46.08,2,1,2),(28,7266294,'1994-05-25 00:00:00',4,1,11,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111711578832575124610124042',12124,'270',40.91,1,3,NULL),(28,7266308,'1994-12-22 00:00:00',2,26,12,2011,'F','N','SAVARIS','IPUMIRIM','SC','124241241116471431324634495122610164177',19064,'374',35.05,1,2,1),(28,7266316,'1994-05-06 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','125252251217111431469814575122610128102',NULL,'9998',0.00,1,3,NULL),(28,7266324,'1994-09-09 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121411478812585122610145095',6086,'270',53.12,1,3,NULL),(28,7266332,'1993-08-09 00:00:00',4,8,11,2011,'M','N','CENTRO','JOINVILLE','SC','124242241215111431478613575122610164052',1835,'457',64.97,1,3,NULL),(28,7266340,'1994-05-23 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241145131431325624245114610136052',NULL,'922',0.00,1,2,1),(28,7266359,'1992-02-18 00:00:00',2,8,12,2010,'F','N','JD DAS AMÉRICAS','CURITIBA','PR','116252161116471431558629575124610126097',1065,'9998',68.90,1,3,NULL),(28,7266367,'1994-08-19 00:00:00',2,15,12,2011,'M','N','COLONINHA','ARARANGUÁ','SC','124241241115471431313618342111610124117',NULL,'29',28.55,1,3,NULL),(28,7266405,'1989-02-09 00:00:00',4,8,12,2008,'M','N','IRIRIÚ','JOINVILLE','SC','124201121126131431223344145323140237037',NULL,'9998',23.93,1,2,1),(28,7266413,'1994-04-28 00:00:00',2,1,12,2011,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241115371431324413575124610127052',14762,'592',39.90,1,2,1),(28,7266448,'1988-06-10 00:00:00',2,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','624241247315474411226444145123133264027',19471,'9999',32.89,1,3,NULL),(28,7266456,'1993-12-02 00:00:00',4,10,12,2011,'F','N','CENTRO','TUBARÃO','SC','124242241216111431348729595122610138142',12102,'807',50.39,1,3,NULL),(28,7266464,'1994-09-02 00:00:00',4,24,11,2011,'M','N','LARANJEIRAS','RIO SUL','SC','124242241215121631368934272112610168052',8446,'991',50.17,1,3,NULL),(28,7266472,'1992-06-21 00:00:00',2,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241215473751456611442132610127147',10072,'270',45.56,4,3,NULL),(28,7266480,'1994-11-16 00:00:00',2,16,12,2011,'M','N','JOÃO BATISTA PILON','FR ROGÉRIO','SC','124241241115271121314316162344610127052',16669,'320',34.54,1,3,NULL),(28,7266502,'1993-08-07 00:00:00',4,1,12,2010,'M','N','JOSÉ MENINO','SANTOS','SP','125252251217411431558831412112610167142',7717,'9998',51.79,1,3,NULL),(28,7266510,'1994-03-23 00:00:00',4,1,6,2011,'M','N','JARDIM SÃO PAULO','AMERICANA','SP','125252281416371431368811575122610144122',NULL,'9998',0.00,1,3,NULL),(28,7266529,'1994-07-08 00:00:00',4,16,11,2011,'F','N','BOSQUE','CURITIBANOS','SC','124242241237112731348716572122610134142',3606,'881',57.76,1,3,NULL),(28,7266537,'1993-11-30 00:00:00',4,8,11,2010,'F','N','FLORESTA','JOINVILLE','SC','124244241215312231346434575112610124072',5115,'461',62.19,1,3,NULL),(28,7266545,'1988-05-27 00:00:00',2,3,12,2005,'F','N','MORRETES','ITAPEMA','SC','224241241137271431234451115122610137077',6145,'405',55.63,3,2,1),(28,7266553,'1994-07-25 00:00:00',1,1,12,2011,'F','N','SANTA ISABEL','ÁGUAS MORNAS','SC','124241241115161431323335575124610133057',20140,'978',24.79,1,3,NULL),(28,7266561,'1993-01-11 00:00:00',2,1,11,2010,'F','N','CENTRO','SIDERÓPOLIS','SC','124241241122131531213548282314610153047',NULL,'223',26.93,4,2,1),(28,7266570,'1992-08-12 00:00:00',4,8,12,2009,'F','N','PETRÓPOLIS','JOINVILLE','SC','124243241116472431538711375124221464012',10663,'478',44.65,1,3,NULL),(28,7266588,'1993-05-01 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217372431449921572112123233097',9658,'1198',54.27,1,3,NULL),(28,7266596,'1985-05-26 00:00:00',2,1,12,2003,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124201201132232431323364282124610133147',NULL,'9998',20.40,2,1,1),(28,7266600,'1988-03-11 00:00:00',5,1,12,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201112131431223344442224143237057',NULL,'9998',18.72,1,2,1),(28,7266618,'1994-06-27 00:00:00',4,6,12,2011,'F','N','CENTRO','NAVEGANTES','SC','124241242117371431449913275125610126192',NULL,'401',34.46,1,3,NULL),(28,7266634,'1995-01-01 00:00:00',4,10,12,2011,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215111431468832575122610137072',18300,'807',37.96,1,3,NULL),(28,7266642,'1993-01-14 00:00:00',4,1,5,2011,'F','N','JARDIM PAULISTA','OURINHOS','SP','125254258216271731339914292122610122147',9257,'9998',49.07,2,3,NULL),(28,7266650,'1992-03-16 00:00:00',3,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241112113431334623292224121427107',9435,'267',54.66,1,2,1),(28,7266669,'1991-04-20 00:00:00',4,1,12,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215474431448832372112610122122',6336,'270',53.52,1,3,NULL),(28,7266677,'1993-10-21 00:00:00',4,6,12,2011,'M','N','BARRA','BAL CAMBORIÚ','SC','124243241116131431417661375124610127072',18689,'51',36.51,1,3,NULL),(28,7266685,'1981-07-08 00:00:00',2,15,6,2005,'M','N','VILA MANENTE','TURVO','SC','224241241116151421226649395122610168171',NULL,'9997',21.42,1,3,NULL),(28,7266693,'1989-12-11 00:00:00',2,1,12,2003,'F','N','AREIAS','S JOSÉ','SC','224241245127271431323344345234610122147',18982,'734',35.38,1,2,1),(28,7266707,'1989-10-20 00:00:00',4,1,12,2006,'F','N','JARDIM COLONIAL','S JOSÉ CAMPOS','SP','125251251135571421533631214124610163147',4461,'9998',57.12,1,2,1),(28,7266723,'1994-12-14 00:00:00',4,10,12,2011,'F','N','VILLAGE','IMBITUBA','SC','124243241217152731338619576112610124146',2720,'1253',60.80,1,3,NULL),(28,7266766,'1994-10-23 00:00:00',2,7,12,2011,'F','N','COSTA DO SOL','OURO','SC','124241241135371431522313575124610154052',NULL,'585',19.29,1,2,1),(28,7266774,'1994-04-29 00:00:00',2,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241432131431226824572124610127077',NULL,'287',22.06,1,3,NULL),(28,7266782,'1993-02-19 00:00:00',2,1,12,2010,'F','N','PASSA VINTE','PALHOÇA','SC','124241241116272431456613244114610132012',7583,'733',51.34,1,2,1),(28,7266812,'1994-06-03 00:00:00',4,24,11,2011,'M','N','BUDAG','RIO SUL','SC','124242241216371231459613275122610127047',11996,'663',41.99,1,3,NULL),(28,7266820,'1995-08-10 00:00:00',4,2,12,2012,'F','S','TESTO SALTO','BLUMENAU','SC','124242241215111431348614575122610124185',NULL,'855',55.12,1,3,NULL),(28,7266839,'1993-07-03 00:00:00',2,8,12,2010,'F','N','ALTO DA GLÓRIA','CURITIBA','PR','116241242115161431436631595124240326172',NULL,'24',0.00,1,2,1),(28,7266847,'1992-07-07 00:00:00',2,10,11,2010,'M','N','CENTRO','ARMAZÉM','SC','124243241214272511235529595124610162177',1600,'807',68.86,1,3,NULL),(28,7266863,'1995-04-04 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111451389812395122610167042',NULL,'270',38.16,1,3,NULL),(28,7266871,'1994-01-27 00:00:00',2,1,1,2012,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','624241241137131731446614372224610136047',17477,'593',32.77,1,2,1),(28,7266880,'1994-02-10 00:00:00',4,1,11,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215122431357753595114610162181',12218,'270',50.21,1,3,NULL),(28,7266901,'1986-12-24 00:00:00',4,1,12,2004,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241116273431238559375122122764182',13959,'257',47.48,1,2,1),(28,7266910,'1990-08-18 00:00:00',2,1,12,2007,'F','N','COSTA DA LAGOA','FLORIANÓPOLIS','SC','124241241117473751423111442334610128187',NULL,'307',24.32,1,2,1),(28,7266928,'1989-09-04 00:00:00',4,8,12,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124242241216153421346429575122230762182',NULL,'190',0.00,1,3,NULL),(28,7266936,'1994-01-10 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124232241112372211627712575114610117191',14050,'257',39.21,1,3,NULL),(28,7266944,'1994-09-19 00:00:00',4,1,12,2011,'F','N','CANOAS','BOM RETIRO','SC','124241241127131451334923575124610121051',15622,'673',33.89,4,2,1),(28,7266960,'1993-09-15 00:00:00',2,1,12,2010,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241125471321533611246124610145197',NULL,'294',24.04,2,1,1),(28,7266979,'1987-04-11 00:00:00',2,1,12,2004,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124243241146271731226769385124610162047',16267,'592',34.74,1,3,NULL),(28,7266987,'1994-11-15 00:00:00',2,1,12,2011,'F','N','LOMBA ALTA','ALFREDO WAGNER','SC','124241241137161531413335572124610133147',3704,'13',59.16,1,2,1),(28,7266995,'1995-02-28 00:00:00',4,6,12,2011,'M','N','SÃO BRÁS','BAL PIÇARRAS','SC','124241241115141431323336582124610164052',NULL,'614',0.00,1,2,1),(28,7267002,'1990-12-17 00:00:00',4,4,11,2008,'F','N','CENTRO','CURITIBA','PR','116222221215572431456924474122610112072',5614,'9998',54.39,4,3,NULL),(28,7267010,'1983-03-02 00:00:00',2,1,12,2000,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116133431426664485114132928197',13474,'257',48.29,1,2,1),(28,7267029,'1989-04-03 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241215152711268729335122321046142',NULL,'262',0.00,1,3,NULL),(28,7267037,'1993-08-17 00:00:00',4,1,12,2010,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241217472511478814475124610121126',7366,'1022',50.24,4,3,NULL),(28,7267045,'1989-11-21 00:00:00',2,1,12,2007,'M','N','BOM VIVER','BIGUAÇU','SC','124242241212375431433611482114610167047',9844,'1118',47.06,1,3,NULL),(28,7267053,'1993-04-28 00:00:00',4,15,12,2010,'F','N','CENTRO','ARARANGUÁ','SC','124201201116371431458734375122610126197',5609,'9998',55.82,1,2,1),(28,7267061,'1992-08-16 00:00:00',2,1,12,2009,'F','N','COSTA DA LAGOA','FLORIANÓPOLIS','SC','124241241112473751423111572344610128197',NULL,'307',33.63,1,3,NULL),(28,7267070,'1993-12-22 00:00:00',2,26,12,2010,'M','N','PARQUE DE EXPOSIÇÕES','CONCÓRDIA','SC','124241246117372431346911475114610164042',7215,'196',51.49,1,2,1),(28,7267088,'1996-11-01 00:00:00',4,1,12,2010,'M','N','CENTRO','CAPINZAL','SC','124244241417161431434815575125610134187',15501,'155',44.69,1,3,NULL),(28,7267096,'1988-09-28 00:00:00',2,1,8,2008,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124243247447371421446614245124610117047',17537,'9999',40.20,1,3,NULL),(28,7267100,'1994-04-14 00:00:00',2,1,12,2011,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241115131731426639572324610123097',19756,'1248',30.63,1,2,1),(28,7267118,'1993-07-29 00:00:00',4,1,6,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242281217371431628851576114610121182',15107,'299',45.39,1,3,NULL),(28,7267126,'1994-07-14 00:00:00',4,1,11,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115472442447814376124610127067',2479,'267',62.84,1,2,1),(28,7267134,'1994-05-06 00:00:00',4,1,11,2011,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241211111431238922425124610117047',15366,'270',41.44,1,3,NULL),(28,7267142,'1994-08-05 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241215271731539639575114610117183',10183,'1022',45.80,1,3,NULL),(28,7267169,'1994-11-06 00:00:00',4,5,11,2011,'F','N','MINA BRASIL','CRICIÚMA','SC','124242241215132431368814575112610137182',6310,'211',53.16,1,3,NULL),(28,7267177,'1991-11-01 00:00:00',2,10,12,2010,'M','N','BOM PASTOR','TUBARÃO','SC','124241241122271231324444345133610121057',NULL,'803',20.46,1,3,NULL),(28,7267185,'1995-03-06 00:00:00',4,9,12,2011,'F','N','CENTRO','LAGES','SC','124242241116271431439923132122610167147',17540,'512',32.76,1,3,NULL),(28,7267193,'1994-09-16 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431288823575122610114147',3272,'270',61.29,1,3,NULL),(28,7267207,'1994-04-20 00:00:00',4,17,12,2011,'M','N','ALTO DA XV','GUARAPUAVA','PR','116161161215111451467932422122610127062',NULL,'9998',0.00,1,3,NULL),(28,7267231,'1980-02-07 00:00:00',2,1,12,1998,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124201211316475421226327245122610112182',16405,'9998',35.27,1,3,NULL),(28,7267240,'1994-07-06 00:00:00',4,8,12,2011,'F','N','JARDIM BELA VISTA','CPO GRANDE','MS','112122121217211732655432175122610116192',4552,'9998',54.93,1,3,NULL),(28,7267258,'1987-09-29 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124121121116232731128744245124141467052',17602,'9998',40.03,1,2,1),(28,7267266,'1994-09-20 00:00:00',4,7,12,2011,'F','N','CENTRO','S JOSÉ OURO','RS','120201201116131431426913575122610128097',NULL,'9998',0.00,1,2,1),(28,7267274,'1994-04-14 00:00:00',2,1,10,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431336633575112610147052',19957,'262',28.73,1,3,NULL),(28,7267282,'1993-09-20 00:00:00',4,8,12,2010,'M','N','JARDIM TOSCANA','GUARULHOS','SP','125252251216371431356724345124610124077',13660,'9998',47.95,1,3,NULL),(28,7267290,'1995-05-12 00:00:00',2,24,12,2011,'M','N','SUMARE','RIO SUL','SC','124241241112131431333923492125610127172',14798,'659',45.99,1,2,1),(28,7267312,'1992-02-11 00:00:00',4,1,11,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215472411478834475124610168042',4570,'270',63.24,1,3,NULL),(28,7267320,'1990-08-14 00:00:00',2,8,12,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124242248213154411326739592114610167042',3142,'931',60.22,1,3,NULL),(28,7267339,'1994-06-14 00:00:00',4,1,11,2011,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111431367923575124610167112',7254,'270',53.11,1,3,NULL),(28,7267347,'1994-03-01 00:00:00',2,1,12,2011,'F','N','GAMBOA','GAROPABA','SC','124241241225141431323623575124610138055',10699,'9997',43.45,1,3,NULL),(28,7267371,'1995-02-17 00:00:00',4,6,12,2011,'M','N','SÃO JUDAS','ITAJAÍ','SC','124242241215221431359834445122610145092',NULL,'1172',20.80,1,3,NULL),(28,7267380,'1994-05-28 00:00:00',4,8,12,2011,'M','N','AMÉRICA','JOINVILLE','SC','124242241215111431479912575112610134042',8429,'457',49.10,1,3,NULL),(28,7267398,'1994-07-05 00:00:00',2,16,12,2011,'M','N','CENTRO','CURITIBANOS','SC','124241241117371431227829595125610131042',NULL,'239',19.14,1,2,1),(28,7267410,'1993-07-13 00:00:00',4,1,12,2011,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431369939575122610114122',18536,'883',29.33,1,3,NULL),(28,7267428,'1994-09-21 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242248215111431388812575112610122122',7503,'262',50.46,1,3,NULL),(28,7267436,'1994-03-01 00:00:00',2,5,11,2011,'F','N','MARIA CÉU','CRICIÚMA','SC','124241241217131431226621575124610136177',6047,'880',51.93,1,3,NULL),(28,7267444,'1990-08-30 00:00:00',2,1,12,2008,'M','N','PALMAS','GOV CELSO RAMOS','SC','124241241147243731434614145223231428097',NULL,'329',0.00,1,2,1),(28,7267452,'1994-07-13 00:00:00',4,4,12,2011,'F','N','INTERIOR','XAVANTINA','SC','124241241145131431333336575124610127057',16274,'844',34.50,1,3,NULL),(28,7267460,'1993-05-17 00:00:00',2,15,12,2011,'F','N','ZONA OESTE','BAL ARROIO SILVA','SC','124201241115371411326619471124610155077',16880,'29',34.01,1,2,1),(28,7267487,'1994-06-03 00:00:00',4,1,6,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215371411459932342122610127182',3888,'262',61.16,1,3,NULL),(28,7267495,'1994-07-28 00:00:00',4,7,12,2010,'F','N','BELA VISTA','FRAIBURGO','SC','124244241215472431446616575124610118097',NULL,'317',0.00,1,3,NULL),(28,7267509,'1993-06-13 00:00:00',2,1,12,2010,'M','N','SÃO FRANCISCO','S LOURENÇO OESTE','SC','124241241117151531433514275122610167052',NULL,'744',24.82,1,2,1),(28,7267517,'1984-04-21 00:00:00',4,1,12,2000,'F','N','PICADAS DO SUL','S JOSÉ','SC','124241241226134421336627345134123064147',NULL,'262',22.70,1,3,NULL),(28,7267525,'1994-08-25 00:00:00',4,1,12,2011,'F','N','SÃO CRISTOVÃO II','RIO PEDRAS','SP','125251251215111411436614245122610126032',12520,'9998',38.49,1,3,NULL),(28,7267533,'1994-06-13 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241115141432533314345124610146147',NULL,'592',26.56,1,3,NULL),(28,7267541,'1995-01-31 00:00:00',4,1,12,2011,'M','N','SANTANA','RIO SUL','SC','124242241217111512566432475112610117011',NULL,'1133',23.42,1,3,NULL),(28,7267550,'1994-10-14 00:00:00',4,25,12,2011,'F','N','CENTRO','CAÇADOR','SC','124241241311151431567731571122610164192',7010,'120',58.82,1,3,NULL),(28,7267568,'1994-05-16 00:00:00',4,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124243241215161431445514575124610133052',18858,'1075',23.93,1,3,NULL),(28,7267576,'1992-11-10 00:00:00',4,16,12,2010,'F','N','BOSQUE','CURITIBANOS','SC','124242241235112431338616575122223242142',5732,'237',54.62,1,3,NULL),(28,7267584,'1991-04-16 00:00:00',4,3,12,2008,'M','N','PRAIA BRAVA','ITAJAÍ','SC','124244241437272431459924215144140324182',9294,'44',47.75,1,3,NULL),(28,7267592,'1993-08-10 00:00:00',4,1,11,2010,'F','N','NOVA PIRACICABA','PIRACICABA','SP','125252251217271411558814195122610142172',NULL,'9998',0.00,1,3,NULL),(28,7267606,'1994-06-28 00:00:00',2,5,12,2011,'M','N','BORTOLUZZI','NOVA VENEZA','SC','124242246215111431458612575122610167047',NULL,'995',12.96,1,3,NULL),(28,7267614,'1994-12-24 00:00:00',4,10,12,2011,'F','N','CENTRO','IMBITUBA','SC','124241241115371731423619595125610121142',NULL,'359',30.24,1,2,1),(28,7267622,'1971-05-08 00:00:00',2,1,12,2006,'F','N','SAO JOSE','S JOSÉ','SC','124241248622543741222344342124232813022',NULL,'9999',28.12,1,3,NULL),(28,7267630,'1987-09-01 00:00:00',2,1,12,2004,'F','N','SERRARIA','S JOSÉ','SC','124244248117133431425314345134610128192',19724,'257',30.91,1,3,NULL),(28,7267649,'1993-01-08 00:00:00',4,8,12,2010,'F','N','JAGUARIBE','OSASCO','SP','125251251217471211346812585124610166077',10445,'9998',45.71,1,3,NULL),(28,7267657,'1989-09-28 00:00:00',2,4,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215575421557633572122610167147',7375,'807',51.45,1,3,NULL),(28,7267673,'1994-11-19 00:00:00',4,6,12,2011,'M','N','DOM BOSCO','ITAJAÍ','SC','123244241217151411324719575125610114172',9888,'388',45.94,1,3,NULL),(28,7267681,'1994-11-06 00:00:00',4,1,11,2011,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215112412367812475122610136057',597,'270',70.88,1,3,NULL),(28,7267690,'1988-01-19 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124014241215273411559931472122333228097',13517,'943',48.22,1,3,NULL),(28,7267703,'1991-11-27 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116132411326633285124610127042',18897,'734',35.69,4,1,1),(28,7267711,'1992-02-16 00:00:00',4,7,11,2009,'M','N','CENTRO','JOAÇABA','SC','124242241215574431446529571122610167111',3313,'1022',60.08,1,3,NULL),(28,7267720,'1989-06-23 00:00:00',4,7,12,2006,'M','N','JOVIVA','JOAÇABA','SC','124241241117131421123344345132333227057',NULL,'156',0.00,1,3,NULL),(28,7267738,'1994-11-12 00:00:00',4,1,11,2011,'F','N','SANTA INÊS','MACAPÁ','AP','103032031216211431438833275122610145142',NULL,'9998',0.00,4,3,NULL),(28,7267746,'1994-12-19 00:00:00',4,10,10,2011,'F','N','CENTRO','JAGUARUNA','SC','124241241215121431438613471124610146197',9334,'797',54.82,1,3,NULL),(28,7267762,'1994-03-10 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124163161117372731123344345114610162072',9259,'9998',48.05,1,3,NULL),(28,7267789,'1983-02-08 00:00:00',2,1,12,2003,'M','N','JURERE','FLORIANÓPOLIS','SC','124201201122142111222344345124610114047',18436,'9998',28.71,4,2,1),(28,7267800,'1993-08-05 00:00:00',4,17,11,2010,'F','N','SÃO PEDRO','PTO UNIÃO','SC','124244161215571431456813571114610116172',NULL,'9998',0.00,1,3,NULL),(28,7267819,'1994-03-04 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115371411436631592125610138197',7279,'307',51.54,1,2,1),(28,7267827,'1979-12-19 00:00:00',4,1,12,1998,'M','N','JARDIM DAS PALMEIRAS','S JOSÉ','SC','624201201126131621223344242224610114057',NULL,'9998',0.00,4,2,1),(28,7267835,'1992-07-01 00:00:00',4,1,12,2009,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241117153421224579495124133267147',NULL,'281',33.24,1,2,1),(28,7267843,'1994-07-21 00:00:00',4,24,12,2011,'F','N','NOVA ITÁLIA','AURORA','SC','124241241116131231433635572114610167057',NULL,'40',0.00,1,2,1),(28,7267851,'1994-07-28 00:00:00',4,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215112431489933475122610133182',7599,'1063',48.98,1,3,NULL),(28,7267860,'1992-01-22 00:00:00',2,5,8,2010,'M','N','BRASILIA','COCAL SUL','SC','124241246212111431456612445122231424112',NULL,'995',22.33,1,3,NULL),(28,7267878,'1994-07-13 00:00:00',4,25,12,2011,'M','N','CENTRO','CAÇADOR','SC','124242161215121731489911575124610114092',NULL,'9998',0.00,1,3,NULL),(28,7267886,'1989-03-27 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242244216132421636831285114610112047',NULL,'270',23.69,1,3,NULL),(28,7267894,'1994-05-21 00:00:00',4,1,12,2011,'F','N','HOSPITAL','PAPANDUVA','SC','124241241115371431326623275122610135177',10950,'603',43.25,1,2,1),(28,7267916,'1995-01-18 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241135371411334364245124610115057',14108,'592',38.55,4,2,1),(28,7267932,'1993-11-01 00:00:00',2,15,12,2011,'M','N','LOT MAMONAS','ARARANGUÁ','SC','124241241123131431523334245121610117047',NULL,'29',0.00,4,2,1),(28,7267940,'1988-05-29 00:00:00',2,6,12,2005,'F','N','CENTRO','BAL CAMBORIÚ','SC','124162161216471431478912471122133246042',NULL,'9998',47.48,1,3,NULL),(28,7267959,'1993-12-12 00:00:00',4,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124201241115371711226829345124610165181',18549,'733',37.06,4,2,1),(28,7267967,'1993-05-31 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242244215111731458833575124610164187',15802,'270',44.09,1,3,NULL),(28,7267975,'1994-05-26 00:00:00',2,26,12,2011,'F','N','NAÇÕES','CONCÓRDIA','SC','124241241115371432433614245122610132147',NULL,'194',21.50,4,2,1),(28,7267991,'1992-03-04 00:00:00',4,8,11,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215572431488832575122610132182',NULL,'9998',0.00,1,3,NULL),(28,7268009,'1994-10-23 00:00:00',2,10,12,2011,'M','N','NOVA BRASILIA','IMBITUBA','SC','124241241115371532323615275124610127182',19526,'359',32.49,1,2,1),(28,7268025,'1993-09-11 00:00:00',4,8,11,2010,'M','N','JARDIM SOFIA','JOINVILLE','SC','124242241217163431259911375115231432042',2545,'497',63.01,1,3,NULL),(28,7268033,'1994-11-02 00:00:00',4,10,12,2011,'F','N','CENTRO','IMBITUBA','SC','124241241115371711333923345122610124192',NULL,'359',27.15,1,2,1),(28,7268041,'1993-09-21 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372431538712575122233268041',6672,'266',52.07,1,3,NULL),(28,7268050,'1988-07-05 00:00:00',2,1,12,2005,'F','N','CAMPINAS','S JOSÉ','SC','124203204145412431423823242114132044142',NULL,'9998',26.75,1,3,NULL),(28,7268068,'1994-04-15 00:00:00',4,1,11,2011,'M','N','VILA INDUSTRIAL','LONDRINA','PR','116162161216111432359911571122610167052',3863,'9998',60.07,1,3,NULL),(28,7268076,'1994-05-20 00:00:00',4,1,12,2011,'F','N','PASSA VINTE','PALHOÇA','SC','124242241215111431467612572114610163071',NULL,'1011',0.00,4,3,NULL),(28,7268084,'1994-06-09 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215111531468933575112610137042',6927,'213',51.68,1,3,NULL),(28,7268092,'1991-03-26 00:00:00',2,1,12,2008,'F','N','CAMPESTRE','VIDAL RAMOS','SC','124241241126575411556636572124610125072',4099,'828',59.73,1,2,1),(28,7268106,'1992-06-11 00:00:00',4,1,12,2009,'M','N','LAGINHA','RIBEIRÃO PRETO','SP','125252251216571431457823581122610132167',10820,'9998',44.67,1,3,NULL),(28,7268114,'1994-01-23 00:00:00',4,8,12,2011,'M','N','SCHRAMM','S BENTO SUL','SC','124241241117141731423618181222610167012',17314,'697',40.74,1,2,1),(28,7268122,'1992-01-31 00:00:00',2,1,12,2009,'M','N','IBIRAQUERA','IMBITUBA','SC','124241241126151712313369312324610167041',NULL,'361',31.62,1,3,NULL),(28,7268130,'1994-06-04 00:00:00',4,1,11,2011,'M','N','JARDINS','ARACAJU','SE','126262261215111231488933575112610164042',4092,'9998',64.28,1,3,NULL),(28,7268149,'1992-07-23 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241246416152411538831395112610165173',18134,'1075',30.59,1,3,NULL),(28,7268157,'1986-08-06 00:00:00',2,1,9,2002,'M','N','INGLESSES','FLORIANÓPOLIS','SC','124241241126272411545411385124133216037',17511,'922',40.26,1,2,1),(28,7268165,'1992-10-20 00:00:00',4,5,11,2009,'M','N','CENTRO','CRICIÚMA','SC','124242241215573431467811372112610137042',9253,'1096',54.97,1,3,NULL),(28,7268173,'1993-03-30 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241112472431325534382124610124147',13161,'288',42.66,1,2,1),(28,7268181,'1994-07-01 00:00:00',4,1,10,2011,'M','N','BIGORRILHO','CURITIBA','PR','116162161215111432466833572122610142182',NULL,'9998',0.00,1,3,NULL),(28,7268190,'1972-07-10 00:00:00',2,1,12,1993,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','624241247427141121433343132123610134097',16999,'9999',41.55,1,3,NULL),(28,7268203,'1992-03-18 00:00:00',2,1,12,2009,'F','N','NOVA DIVINÉIA','PINHALZINHO','SC','124241241116473431455614175122610162147',12711,'616',49.41,1,2,1),(28,7268211,'1994-11-13 00:00:00',4,8,11,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241217271431469612575122610117182',NULL,'459',0.00,1,3,NULL),(28,7268220,'1977-09-23 00:00:00',4,1,12,1994,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215575421468539475124322564127',197,'272',79.01,4,3,NULL),(28,7268238,'1994-09-01 00:00:00',4,9,12,2011,'M','N','PETRÓPOLIS','LAGES','SC','124241241137131431325629335124610167047',NULL,'935',11.04,1,2,1),(28,7268254,'1994-03-02 00:00:00',4,3,12,2010,'F','N','CENTRO','CPO MOURÃO','PR','116162161416371431657911475122610137122',6199,'9998',52.05,1,3,NULL),(28,7268262,'1989-10-26 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241123271431334449293124610127097',11312,'922',47.01,1,2,1),(28,7268270,'1994-06-24 00:00:00',4,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124244241215112432466923585124610137027',7287,'270',51.29,1,3,NULL),(28,7268289,'1995-02-08 00:00:00',4,24,12,2012,'F','S','BUDAG','RIO SUL','SC','124242241215151411456619572122610116182',NULL,'654',36.72,1,3,NULL),(28,7268297,'1993-08-09 00:00:00',4,8,12,2010,'F','N','SANTO INACIO','CURITIBA','PR','116162161216422431588923573112610145172',438,'9998',74.33,1,3,NULL),(28,7268300,'1993-05-13 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216152431689833575122231467123',7973,'1050',57.19,1,3,NULL),(28,7268319,'1992-01-05 00:00:00',2,1,12,2010,'M','N','CENTRO','CHARQUEADAS','RS','120203206117372441544622345121141447012',11410,'9998',43.92,1,3,NULL),(28,7268327,'1994-05-01 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216152751618731595111122323073',10690,'1022',43.34,1,3,NULL),(28,7268335,'1993-07-02 00:00:00',4,1,12,2011,'M','N','PORTAL DE DOURADOS','DOURADOS','MS','112122121217161431468936575122610167042',NULL,'9998',36.07,1,3,NULL),(28,7268351,'1992-03-06 00:00:00',4,2,12,2009,'M','N','VELHA','BLUMENAU','SC','124242241212573431336611171124610168097',NULL,'1018',0.00,1,3,NULL),(28,7268360,'1992-02-12 00:00:00',2,1,12,2008,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241244117271421436413446134610137052',19075,'773',35.01,1,3,NULL),(28,7268378,'1993-06-07 00:00:00',3,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242281215271431446923475124610117145',625,'752',72.74,1,3,NULL),(28,7268394,'1992-03-16 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124242246216151431538913332124130737182',19906,'995',29.28,1,3,NULL),(28,7268416,'1991-12-19 00:00:00',4,8,6,2010,'M','N','VILA METALÚRGICA','STO ANDRÉ','SP','125252251236271431358874445124143252042',13811,'9998',47.70,1,3,NULL),(28,7268424,'1992-06-27 00:00:00',2,6,11,2008,'F','N','CORDEIROS','ITAJAÍ','SC','124241248136131731343414242124131326197',NULL,'396',18.25,1,2,1),(28,7268432,'1989-09-16 00:00:00',4,15,9,2009,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241247137132231321319345131133254047',NULL,'9999',21.19,1,2,1),(28,7268440,'1995-05-22 00:00:00',2,2,12,2011,'F','N','ITOUPAVAZINHA','BLUMENAU','SC','124241241115141631544312314124610137147',NULL,'79',22.25,1,3,NULL),(28,7268459,'1988-04-15 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247335272531423634394112610137047',12477,'9999',42.55,2,1,2),(28,7268467,'1995-04-16 00:00:00',4,1,12,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216111431469913575124610127065',18264,'272',38.08,1,3,NULL),(28,7268475,'1993-08-14 00:00:00',2,27,12,2010,'F','N','JOÃO ZACCO','PLANALTO','PR','116161161137171511423379192321610166147',15738,'9998',35.14,1,3,NULL),(28,7268483,'1992-09-15 00:00:00',4,8,12,2009,'F','N','JARDIM GUAPORE','MARINGÁ','PR','116162161216572411358831595115610118187',1062,'9998',69.98,3,3,NULL),(28,7268505,'1995-02-22 00:00:00',2,1,12,2011,'F','N','CENTRO','TIJUCAS','SC','124241241215271231548614575122610167142',15665,'1119',44.36,1,3,NULL),(28,7268513,'1993-05-04 00:00:00',2,1,12,2010,'F','N','NOVA GALÍCIA','MAJ GERCINO','SC','124241241127162431444933342112610123057',NULL,'1215',28.05,1,2,1),(28,7268521,'1993-12-14 00:00:00',2,16,12,2011,'F','N','INTERIOR','CURITIBANOS','SC','124241241115371131513316172324610127057',17416,'1129',31.28,4,2,1),(28,7268530,'1993-06-30 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115371421258769585124610137095',5963,'307',54.95,1,2,1),(28,7268548,'1991-08-12 00:00:00',4,1,12,2009,'M','N','BELA VISTA','S JOSÉ','SC','124244241216273431338724245132610124047',12788,'1075',49.31,1,3,NULL),(28,7268556,'1992-09-17 00:00:00',4,5,12,2009,'M','N','CENTRO','CRICIÚMA','SC','124242246216141431555832345124231427052',9569,'188',44.51,1,3,NULL),(28,7268564,'1995-11-30 00:00:00',4,4,12,2011,'F','N','QUILOMBO','QUILOMBO','SC','124241241116131531423336165124610147057',NULL,'648',24.76,1,2,1),(28,7268580,'1992-04-22 00:00:00',4,3,12,2009,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251217471431368839575114610121192',7341,'9998',49.51,3,3,NULL),(28,7268599,'1994-04-27 00:00:00',2,7,12,2011,'F','N','CENTRO','CAMPOS NOVOS','SC','124243241315131431426614242222610126142',NULL,'139',24.90,1,3,NULL),(28,7268629,'1994-10-07 00:00:00',4,8,12,2012,'M','S','SANTO ANTÔNIO','JOINVILLE','SC','124241241215121451358923575122610148181',NULL,'9997',31.66,1,3,NULL),(28,7268637,'1989-09-29 00:00:00',2,1,12,2007,'F','N','VILA ROSÁLIA','LIMEIRA','SP','125252251116471741336529445124140612142',NULL,'9998',0.00,1,3,NULL),(28,7268645,'1995-02-11 00:00:00',4,1,11,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215112431368611595124610127062',10965,'270',47.77,1,3,NULL),(28,7268653,'1993-10-22 00:00:00',2,1,11,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124132241215111431248832525122610132187',8842,'299',49.32,1,3,NULL),(28,7268661,'1994-11-29 00:00:00',4,1,11,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217111431368831312114610127042',6419,'270',59.84,1,3,NULL),(28,7268670,'1993-08-04 00:00:00',2,16,12,2011,'F','N','BOSQUE','CURITIBANOS','SC','124241241135141421549612345122610122175',19995,'239',28.16,1,3,NULL),(28,7268696,'1994-06-02 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124243241115131431457933572124610112052',15507,'271',37.11,1,3,NULL),(28,7268700,'1993-07-26 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241132151431235659292124610166052',9319,'1248',49.16,1,3,NULL),(28,7268718,'1994-05-30 00:00:00',4,27,12,2011,'F','N','ESTRELA','S MIGUEL OESTE','SC','124241241117371431434534575122610126147',9567,'757',46.25,1,2,1),(28,7268742,'1988-10-08 00:00:00',2,1,12,2005,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124241241147473732523411242224610127043',6390,'405',52.58,1,2,1),(28,7268750,'1991-08-23 00:00:00',2,1,12,2008,'M','N','ALTO ARROIO','IMBITUBA','SC','124241241136132431424417385124610134197',19423,'361',33.22,1,2,1),(28,7268769,'1989-11-19 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241411113131347823595124610122197',19637,'272',31.70,1,3,NULL),(28,7268777,'1989-07-24 00:00:00',6,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124161161137141711425741316224140251177',NULL,'9998',25.45,4,2,1),(28,7268785,'1994-03-24 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121451249831575115610164196',NULL,'262',0.00,1,3,NULL),(28,7268793,'1994-08-08 00:00:00',2,1,12,2011,'F','N','NOVA GALÍCIA','MAJ GERCINO','SC','124241241127161431444933342122610124052',NULL,'1215',38.23,1,2,1),(28,7268815,'1994-08-11 00:00:00',4,5,11,2011,'F','N','QUARTA LINHA','CRICIÚMA','SC','124242241215372431468932575124610161042',1163,'226',67.35,1,3,NULL),(28,7268823,'1984-10-22 00:00:00',4,1,12,2001,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216155411356813485114330244067',8432,'270',56.37,1,3,NULL),(28,7268831,'1995-07-05 00:00:00',4,1,12,2011,'F','N','JD SÃO MIGUEL','BIGUAÇU','SC','124243248215131531336633575114610121127',16086,'1022',33.21,1,3,NULL),(28,7268840,'1993-05-02 00:00:00',2,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241116321452546624415124610138147',NULL,'307',33.85,1,3,NULL),(28,7268858,'1992-02-28 00:00:00',2,1,12,2009,'F','N','ESQUINA','URUBICI','SC','124242241216473431426611572114610122187',12993,'817',40.31,1,3,NULL),(28,7268866,'1992-12-02 00:00:00',2,1,12,2009,'M','N','CENTRO','S SEBASTIÃO CAÍ','RS','120201208116131232335529395122241034057',14308,'9998',36.26,1,2,1),(28,7268874,'1994-08-15 00:00:00',4,1,12,2011,'F','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124241241215131431324524595124610126192',6642,'63',52.88,1,3,NULL),(28,7268882,'1993-03-15 00:00:00',4,8,12,2010,'F','N','MONTE BELO','STA RITA SAPUCAÍ','MG','113133131216471451458834575124610133072',1198,'9998',69.55,3,3,NULL),(28,7268890,'1994-07-18 00:00:00',4,3,12,2011,'M','N','ESTADOS','BAL CAMBORIÚ','SC','124241241115371431444412241124610122142',16221,'49',33.64,1,2,1),(28,7268904,'1994-03-18 00:00:00',2,1,11,2011,'M','N','BELA VISTA','PALHOÇA','SC','124244243315111221336627385122610124052',NULL,'1218',14.91,1,3,NULL),(28,7268912,'1991-01-29 00:00:00',2,1,12,2007,'F','N','PONTE DE IMARUIM','PALHOÇA','SC','124242241215575431534623574124610134182',2957,'1011',63.69,1,3,NULL),(28,7268920,'1994-04-05 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215111431446613575122610127092',11473,'738',42.52,1,3,NULL),(28,7268947,'1991-09-18 00:00:00',4,1,7,2009,'M','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242281416573431569814575114610122122',3502,'9998',58.00,1,3,NULL),(28,7268955,'1993-01-16 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215472431359639575112610146181',7840,'270',48.46,1,3,NULL),(28,7268963,'1992-06-25 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115141411536344145124133223113',17848,'396',39.35,1,2,1),(28,7268971,'1993-07-26 00:00:00',4,1,12,2010,'M','N','VILA MADALENA','S PAULO','SP','125252251217111431479831575122610167187',15026,'9998',45.57,1,3,NULL),(28,7268980,'1994-06-17 00:00:00',4,1,12,2011,'M','N','AREIAS','S JOSÉ','SC','124241241116131731527729575324610124042',NULL,'730',23.71,1,2,1),(28,7268998,'1995-12-28 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431468613575124610117042',NULL,'1022',19.88,1,3,NULL),(28,7269005,'1992-02-07 00:00:00',2,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241117471431436633275114610167042',15169,'307',40.83,1,2,1),(28,7269013,'1984-08-02 00:00:00',2,1,12,2001,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241131335731128944441134123064017',14590,'307',36.49,4,3,NULL),(28,7269021,'1994-05-18 00:00:00',4,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241215112431568911472114610127112',10623,'272',46.10,1,3,NULL),(28,7269030,'1992-12-22 00:00:00',2,1,12,2009,'F','N','MORADA DO SOL','TRÊS CORAÇÕES','MG','113131131316571431556839575124610142037',3245,'9998',60.07,2,3,NULL),(28,7269048,'1993-11-04 00:00:00',2,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111732469933575124610123183',3930,'270',59.41,1,3,NULL),(28,7269056,'1992-11-16 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241117372731525619345124610148197',18159,'287',38.40,1,2,1),(28,7269064,'1992-05-13 00:00:00',4,1,12,2011,'F','N','VILA NOVA','MATELÂNDIA','PR','116161161146111331313429282324610128013',NULL,'9998',4.65,1,2,1),(28,7269072,'1994-10-23 00:00:00',2,1,12,2011,'F','N','RIA CAVEIRAS','BIGUAÇU','SC','124241241115271431424419395124610127037',NULL,'1088',21.04,1,2,1),(28,7269080,'1991-07-19 00:00:00',4,1,12,2008,'M','N','CENTRO','VERA C OESTE','PR','116163161415472431446532492122121537052',4754,'9998',55.66,1,3,NULL),(28,7269099,'1994-09-26 00:00:00',4,1,12,2011,'F','N','RIO SALTO','ÁGUAS MORNAS','SC','124241241116371411523315575124610121147',8788,'978',45.70,1,2,1),(28,7269102,'1981-04-30 00:00:00',4,1,11,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243247327231441223841345113133227187',NULL,'86',25.03,1,3,NULL),(28,7269110,'1993-11-17 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117471431533344345124610161187',10007,'818',47.18,1,2,1),(28,7269145,'1993-11-10 00:00:00',2,5,11,2011,'M','N','SANTA BARBARA','CRICIÚMA','SC','124242241217371431436624591124610128061',4061,'995',58.25,1,3,NULL),(28,7269153,'1993-12-14 00:00:00',2,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241115371431327723575124610127057',15045,'298',39.04,1,2,1),(28,7269161,'1990-12-27 00:00:00',4,1,12,2008,'M','N','SANTO ANTÔNIO','PTO ALEGRE','RS','120201201117571431536627272114142062042',NULL,'9998',0.00,1,2,1),(28,7269170,'1993-03-04 00:00:00',4,10,12,2010,'F','N','RIO CAFE','RIO FORTUNA','SC','124241241127172431526616575124610126052',9082,'665',49.62,1,2,1),(28,7269196,'1991-10-24 00:00:00',2,1,12,2008,'F','N','JARDIM EUROPA','BELO HORIZONTE','MG','113131131137351411328674345124610166152',15380,'9998',44.90,4,2,1),(28,7269200,'1990-04-24 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215272431339711485121221427052',997,'1063',69.57,1,3,NULL),(28,7269218,'1995-02-13 00:00:00',4,8,11,2012,'F','S','AMÉRICA','JOINVILLE','SC','124242241215111431458932572122610127012',NULL,'1063',48.00,1,3,NULL),(28,7269226,'1994-09-09 00:00:00',6,8,11,2011,'M','N','POMPÉIA','S PAULO','SP','125252251215111431357731575122610162092',5397,'9998',51.85,1,3,NULL),(28,7269234,'1993-07-04 00:00:00',4,1,11,2010,'F','N','COIMBRA','GOIÂNIA','GO','109222091215471431258811575125610123072',2447,'9998',62.66,4,3,NULL),(28,7269250,'1993-11-28 00:00:00',4,8,12,2010,'M','N','FLORESTA','JOINVILLE','SC','124241248415272431434339572124610167052',13025,'1006',40.70,1,3,NULL),(28,7269269,'1991-05-17 00:00:00',4,1,12,2008,'M','N','SETOR JAÓ','GOIÂNIA','GO','109092091215572431546612575122610164187',65,'9998',78.73,1,3,NULL),(28,7269277,'1993-12-31 00:00:00',4,1,11,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244248215121431358614576112610137042',13238,'1133',41.25,1,3,NULL),(28,7269293,'1996-04-17 00:00:00',4,1,11,2012,'M','S','RIO CAVEIRAS','BIGUAÇU','SC','124242241215151431336911575122610134195',NULL,'63',52.65,1,3,NULL),(28,7269307,'1994-09-18 00:00:00',2,1,12,2011,'F','N','MORRO DA BOA VISTA','BIGUAÇU','SC','124241241117371431536621572125610168187',14012,'65',43.29,4,2,1),(28,7269315,'1993-04-08 00:00:00',4,3,7,2011,'F','N','MOSSUNGUE','CURITIBA','PR','116164161416371431558632595112610114092',NULL,'9998',0.00,1,3,NULL),(28,7269323,'1992-06-30 00:00:00',4,8,12,2008,'M','N','PARQUE ALVORADA','DOURADOS','MS','112122128212571751479811595112610114184',NULL,'9998',0.00,1,3,NULL),(28,7269331,'1994-07-10 00:00:00',2,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124242248215111431634332275122610127017',NULL,'9997',21.17,1,3,NULL),(28,7269340,'1993-02-02 00:00:00',2,5,12,2010,'F','N','MINEIRA NOVA','CRICIÚMA','SC','124242241217151431556913445124610165191',17117,'995',32.23,1,3,NULL),(28,7269358,'1986-07-05 00:00:00',2,8,12,2003,'M','N','BATEL','CURITIBA','PR','116251258136563431521621275124143112142',1700,'9998',65.89,4,2,1),(28,7269366,'1995-04-05 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241217131431337739595114610137042',NULL,'9997',0.00,1,3,NULL),(28,7269382,'1992-07-14 00:00:00',4,1,12,2009,'M','N','LIBERDADE','ARAÇATUBA','SP','125252251216571431467832575122610164042',1954,'9998',64.53,1,3,NULL),(28,7269390,'1990-10-27 00:00:00',4,15,12,2007,'M','N','TRISTEZA','PTO ALEGRE','RS','120202201217571411468831595112610127112',23,'9998',84.38,1,3,NULL),(28,7269404,'1996-02-04 00:00:00',4,1,12,2012,'M','S','COHAB II','CANOINHAS','SC','124242241215111731434674345112610118172',NULL,'154',47.54,1,3,NULL),(28,7269420,'1987-07-24 00:00:00',2,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161161137132422311779196324610114187',NULL,'9998',15.13,3,2,1),(28,7269439,'1992-08-27 00:00:00',4,1,12,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241116371431323374345114610167042',14153,'281',39.53,1,2,1),(28,7269447,'1989-09-05 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241316575431435314275124610123072',1053,'1022',69.81,1,3,NULL),(28,7269455,'1990-08-27 00:00:00',4,1,12,2007,'F','N','JARDIM PINHEIROS','S PAULO','SP','125252251216571431448719575124141326182',315,'9998',75.85,1,3,NULL),(28,7269471,'1994-09-24 00:00:00',2,1,1,2012,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241135371721425419292224610113147',12558,'361',40.78,1,2,1),(28,7269480,'1992-11-08 00:00:00',4,1,6,2011,'M','N','BELA VISTA','S JOSÉ','SC','124241247125271111533419296324610168053',NULL,'9997',0.00,1,2,1),(28,7269498,'1979-01-22 00:00:00',2,15,12,1997,'F','N','CENTRO','TURVO','SC','224241248126132722323359435132610167147',17891,'814',34.52,1,3,NULL),(28,7269501,'1993-01-25 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124162168216473431459819492112610168092',12519,'9998',39.62,1,3,NULL),(28,7269510,'1993-02-21 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124241241215132431347912395124230767042',10949,'497',43.53,1,3,NULL),(28,7269528,'1994-09-17 00:00:00',4,2,12,2011,'F','N','PROGRESSO','BLUMENAU','SC','124243241216131431223824575124610145077',2642,'71',62.05,1,3,NULL),(28,7269536,'1994-03-12 00:00:00',2,23,12,2011,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241417131431456923215122610116147',15496,'1061',35.32,1,3,NULL),(28,7269544,'1994-04-15 00:00:00',2,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215111731336611595122610123042',703,'226',70.03,1,3,NULL),(28,7269552,'1993-07-21 00:00:00',4,1,12,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241215374431246729575114610136047',1259,'1022',68.57,1,3,NULL),(28,7269560,'1993-09-21 00:00:00',4,4,12,2010,'M','N','CAMOBI','STA MARIA','RS','120163161215152431159933595124241427042',8043,'9998',48.30,1,3,NULL),(28,7269579,'1994-11-03 00:00:00',2,1,12,2011,'M','N','JARDIM MARCOS ANTONI','BIGUAÇU','SC','124242241215111431554617575122610127047',12676,'1118',43.13,1,3,NULL),(28,7269595,'1993-09-06 00:00:00',2,15,12,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124241241117111211423319245131610167011',18843,'28',28.31,1,2,1),(28,7269609,'1993-09-22 00:00:00',4,1,12,2011,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243247216111431446923575124610117117',NULL,'9999',29.92,1,3,NULL),(28,7269625,'1994-07-09 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115471431426634572124610125142',13382,'592',40.16,1,2,1),(28,7269641,'1994-06-10 00:00:00',4,1,12,2011,'M','N','EXPOSIÇÃO','CAXIAS SUL','RS','120201201216471431254932345125610137077',NULL,'9998',0.00,1,3,NULL),(28,7269650,'1994-03-13 00:00:00',2,1,12,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117131711458613575124610167051',12045,'267',41.54,1,2,1),(28,7269668,'1994-05-04 00:00:00',4,8,12,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215111411359814575112610166145',1904,'1016',66.09,1,3,NULL),(28,7269676,'1993-10-14 00:00:00',4,8,12,2010,'F','N','ARISTOCRATA','S JOSÉ PINHAIS','PR','116162161217471431258834575124610167077',NULL,'9998',0.00,1,3,NULL),(28,7269684,'1993-02-03 00:00:00',2,6,12,2010,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241161235162411448932591112610127042',1590,'9998',64.64,1,3,NULL),(28,7269692,'1995-07-25 00:00:00',4,8,11,2012,'F','S','ASSUNÇAO','PTO ALEGRE','RS','120202201215111411558812575111610141112',NULL,'9998',51.32,1,3,NULL),(28,7269706,'1978-07-30 00:00:00',2,1,12,1995,'F','N','PAGANI','PALHOÇA','SC','224251258116261421348854415122343268092',12735,'9998',43.51,4,2,1),(28,7269714,'1993-02-24 00:00:00',2,1,12,2010,'M','N','SANTA TEREZA','S PEDRO ALCÂNTARA','SC','124244241216372421438833445132610167052',13495,'1074',41.30,1,3,NULL),(28,7269722,'1980-07-13 00:00:00',4,1,11,1998,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241236475421118848385124130267117',NULL,'269',0.00,1,3,NULL),(28,7269730,'1993-12-18 00:00:00',2,1,12,2010,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241115572431313524382124610113027',18090,'281',31.22,1,2,1),(28,7269749,'1993-04-09 00:00:00',2,1,12,2010,'M','N','CACHOEIRAS','BIGUAÇU','SC','124241241116271421436611575124610167042',NULL,'64',21.86,1,2,1),(28,7269757,'1984-09-11 00:00:00',4,1,12,2001,'F','N','SÃO SEBASTIAO','PALHOÇA','SC','124243241226132421464812345132322763197',19614,'262',31.90,1,3,NULL),(28,7269773,'1995-01-12 00:00:00',4,1,11,2012,'M','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216111511466814575112610136042',NULL,'988',34.70,4,3,NULL),(28,7269781,'1992-12-07 00:00:00',4,24,12,2010,'M','N','MOSSUNGUÊ','CURITIBA','PR','116162161216471431469934575124610167047',1018,'9998',70.35,1,3,NULL),(28,7269790,'1993-07-27 00:00:00',2,9,12,2010,'F','N','TRIANGULO','LAGES','SC','124241241111371231414614292224610122017',19386,'513',33.43,2,2,1),(28,7269803,'1994-09-19 00:00:00',4,23,12,2011,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241215111411468931575112610142192',11162,'1174',43.96,1,3,NULL),(28,7269811,'1994-06-30 00:00:00',4,16,12,2011,'F','N','SÃO FRANCISCO','CURITIBANOS','SC','124243241215111431466812575122610127147',NULL,'881',32.38,4,3,NULL),(28,7269820,'1993-02-19 00:00:00',4,1,12,2010,'M','N','MARISTA','GOIÂNIA','GO','109092091216471331389811575112610167012',NULL,'9998',0.00,1,3,NULL),(28,7269838,'1993-11-08 00:00:00',4,1,11,2011,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241215122731478812475112610125072',1857,'270',64.99,1,3,NULL),(28,7269854,'1993-04-02 00:00:00',1,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241216472431448613572111610168183',4890,'1022',62.62,1,3,NULL),(28,7269862,'1992-10-14 00:00:00',2,1,12,2010,'M','N','BOSQUE DE B GERALDO','CAMPINAS','SP','125252251137471421339833575124610163186',1670,'9998',67.32,1,3,NULL),(28,7269889,'1964-06-16 00:00:00',2,1,2,2001,'F','N','ESTREITO','FLORIANÓPOLIS','SC','624241241121131411223343132124610132197',NULL,'9999',28.28,1,2,1),(28,7269897,'1996-02-17 00:00:00',2,1,11,2011,'F','N','CENTRO','BIGUAÇU','SC','124242241115371711327833575124610166072',NULL,'271',26.48,1,3,NULL),(28,7269900,'1994-07-07 00:00:00',4,15,2,2009,'M','N','CENTRO','PR GRANDE','SC','124241241131371531323332345123610124017',NULL,'641',24.95,1,3,NULL),(28,7269919,'1993-02-07 00:00:00',4,8,11,2010,'F','N','BATEL','CURITIBA','PR','116162161216371431568819575112610153092',NULL,'9998',0.00,1,3,NULL),(28,7269927,'1994-04-29 00:00:00',4,23,12,2011,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241215121431459811475112610167092',NULL,'1063',0.00,1,3,NULL),(28,7269935,'1993-10-11 00:00:00',2,23,12,2011,'M','N','NOVA BRASILIA','JARAGUÁ SUL','SC','124244241215111431558611595121610167112',11269,'1061',43.33,1,3,NULL),(28,7269943,'1994-06-01 00:00:00',4,9,11,2011,'M','N','SAGRADO C DE JESUS','LAGES','SC','124242241617111431444823575122610167042',9795,'1106',45.39,1,3,NULL),(28,7269960,'1994-01-02 00:00:00',4,1,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241111131731226921582125610124097',NULL,'405',22.32,1,3,NULL),(28,7269978,'1984-05-25 00:00:00',2,1,12,2001,'F','N','CENTRO','S PEDRO ALCÂNTARA','SC','124241241126474431435419335124631344147',18519,'869',37.23,1,2,1),(28,7269986,'1993-08-20 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472431467632575115610127092',1887,'270',65.95,1,3,NULL),(28,7270003,'1989-02-06 00:00:00',2,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241121274421239643431124233224092',5322,'356',57.43,1,2,1),(28,7270011,'1995-01-08 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431335833575124610123072',NULL,'1022',0.00,1,3,NULL),(28,7270020,'1995-02-20 00:00:00',4,9,11,2011,'F','N','CENTRO','LAGES','SC','124242241215111431238922472122610127142',12423,'497',42.37,1,3,NULL),(28,7270038,'1994-07-30 00:00:00',4,1,12,2011,'M','N','VL RAFAEL OLIVEIRA','JUNDIAÍ','SP','125252251216111431248833575122610127042',7562,'9998',51.18,1,3,NULL),(28,7270046,'1994-10-19 00:00:00',2,1,12,2011,'F','N','NOSSA SEN DE FÁTIMA','TAQUARA','RS','120202201216371731538734576122610163147',NULL,'9998',0.00,1,3,NULL),(28,7270054,'1994-05-15 00:00:00',4,8,12,2011,'F','N','LENÇOL','S BENTO SUL','SC','124241241135271432436621575122610132057',NULL,'697',0.00,1,2,1),(28,7270062,'1993-10-16 00:00:00',4,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','120202201215473411456819595124610123093',5957,'9998',54.67,1,3,NULL),(28,7270070,'1992-01-25 00:00:00',4,1,12,2010,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','624241241117141532413624595114133232047',NULL,'295',13.43,1,3,NULL),(28,7270089,'1994-10-16 01:00:00',4,1,12,2011,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241145131431422424371321610128177',8562,'649',49.12,2,1,1),(28,7270097,'1993-06-21 00:00:00',4,16,12,2010,'F','N','INTERIOR','CURITIBANOS','SC','124241241111151431314415572212610138147',NULL,'239',22.91,1,2,1),(28,7270100,'1994-07-20 00:00:00',2,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241241135372731328721282224610133147',18077,'733',32.07,2,1,1),(28,7270119,'1994-02-17 00:00:00',4,3,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241115271731437631475122610116097',19548,'51',32.37,1,2,1),(28,7270135,'1992-12-11 00:00:00',2,1,12,2010,'F','N','PARQUE DELTA','S CARLOS','SP','125252251217442431568611571112610137012',14319,'1278',37.23,1,3,NULL),(28,7270143,'1993-04-05 00:00:00',2,1,12,2011,'M','N','IBIRAQUERA','IMBITUBA','SC','124243241117371431326511375124610137047',15881,'1136',36.19,1,3,NULL),(28,7270160,'1980-09-25 00:00:00',4,1,12,1999,'F','N','BELA VISTA','PALHOÇA','SC','124241241126132451221379482324610166047',17238,'298',40.91,4,2,1),(28,7270178,'1987-08-20 00:00:00',2,1,12,2004,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241217232441336621395124233226047',15513,'724',44.68,1,3,NULL),(28,7270194,'1993-01-28 00:00:00',2,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241416372411446512445124231066042',NULL,'988',24.60,3,3,NULL),(28,7270216,'1994-10-01 00:00:00',2,1,11,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241215111431532411395124610121192',5777,'1011',55.82,1,3,NULL),(28,7270224,'1994-11-28 00:00:00',2,2,12,2011,'M','N','BARRACÃO','GASPAR','SC','124241241115371751321334575124610132147',6109,'325',54.00,1,2,1),(28,7270232,'1992-03-04 00:00:00',4,10,12,2008,'M','N','PAES LEME','IMBITUBA','SC','124241241115271431448933585122610164182',NULL,'359',36.64,2,1,1),(28,7270240,'1993-08-13 00:00:00',4,4,12,2010,'F','N','CENTRO','CEL FREITAS','SC','124244241215471431358512575114610164187',1594,'1191',65.13,1,3,NULL),(28,7270259,'1969-03-28 00:00:00',4,1,12,1995,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241121332731323149185122131018187',NULL,'277',0.00,2,1,1),(28,7270267,'1989-12-11 00:00:00',2,23,12,2009,'M','N','RAUU','JARAGUÁ SUL','SC','124201206241141421333414342133131444187',NULL,'9998',19.33,1,3,NULL),(28,7270275,'1993-04-21 00:00:00',2,17,12,2010,'M','N','CENTRO','PTO UNIÃO','SC','124241241217111431344616165122140217122',19023,'633',35.25,1,3,NULL),(28,7270283,'1995-10-17 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217111442558811375112610113022',12899,'1050',49.15,1,3,NULL),(28,7270305,'1996-01-29 00:00:00',2,1,11,2012,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241214111731446432272122610118072',NULL,'1198',36.33,1,3,NULL),(28,7270321,'1989-10-08 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241247226131431323324445124610122112',18513,'9999',30.18,1,3,NULL),(28,7270330,'1992-01-22 00:00:00',2,1,7,2011,'F','N','FUNDOS','BIGUAÇU','SC','124241241116371431436414575124610127142',17001,'306',32.78,1,2,1),(28,7270348,'1994-11-08 00:00:00',4,27,12,2011,'F','N','CENTRO','GUARACIABA','SC','124241241115151311456812574122610163142',NULL,'334',25.83,1,2,1),(28,7270356,'1993-07-21 00:00:00',4,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215472431239929572122610137092',2337,'1038',65.37,1,3,NULL),(28,7270364,'1995-07-23 00:00:00',4,5,12,2011,'M','N','CENTRO','SIDERÓPOLIS','SC','124242241215111431346614375112610124012',17054,'226',41.41,1,3,NULL),(28,7270372,'1993-08-25 00:00:00',4,15,12,2010,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241111152431227824275121223234172',NULL,'30',28.84,1,2,1),(28,7270380,'1992-05-02 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241117152431366317575124610134052',7293,'739',49.31,1,2,1),(28,7270399,'1994-02-18 00:00:00',4,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115131732333734242122610122147',15838,'292',36.61,2,1,1),(28,7270402,'1995-07-25 00:00:00',2,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124244241215111731448613375124610147042',12593,'723',45.03,1,3,NULL),(28,7270410,'1992-12-27 00:00:00',4,1,12,2010,'M','N','CHÁCARAS DO VALE','MOCOCA','SP','125252251215371411237923575122610134042',5904,'9998',55.16,1,3,NULL),(28,7270429,'1993-05-13 00:00:00',4,1,12,2010,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241217212431458832575124232437077',2341,'1063',62.65,1,3,NULL),(28,7270437,'1994-11-16 00:00:00',4,25,10,2011,'M','N','CENTRO','PTO UNIÃO','SC','124242161217471531459811575124610167042',NULL,'633',0.00,1,3,NULL),(28,7270453,'1994-09-25 00:00:00',4,23,12,2011,'M','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124241241117371231336923475121610114082',7597,'425',49.64,1,2,1),(28,7270461,'1991-04-08 00:00:00',4,8,12,2007,'M','N','CENTRO','JOINVILLE','SC','124242246217373441348814285114221464042',NULL,'494',0.00,1,3,NULL),(28,7270470,'1994-07-02 00:00:00',4,2,10,2011,'M','N','GARCIA','BLUMENAU','SC','124242241215111431456819275122610164047',8558,'855',50.72,1,3,NULL),(28,7270488,'1993-10-21 00:00:00',2,16,12,2011,'F','N','CENTRO','CURITIBANOS','SC','124241241117371731433839595122610128147',NULL,'239',19.35,1,2,1),(28,7270496,'1993-07-03 00:00:00',4,2,11,2011,'F','N','VILA FORMOSA','BLUMENAU','SC','124241241315112431358614575124610161092',165,'909',75.55,1,3,NULL),(28,7270500,'1992-11-29 00:00:00',2,8,11,2009,'F','N','BATEL','CURITIBA','PR','116162161215571411448812572122610114092',14140,'9998',47.20,1,3,NULL),(28,7270518,'1994-03-31 00:00:00',4,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431435512575124610127072',4872,'723',57.57,1,3,NULL),(28,7270534,'1984-02-16 00:00:00',2,1,12,2001,'M','N','CENTRO','ANTÔNIO CARLOS','SC','124242241346135631227611341231610137013',17856,'21',39.32,4,3,NULL),(28,7270542,'1995-09-20 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431457732575124610132017',8022,'270',50.26,1,3,NULL),(28,7270550,'1994-12-01 00:00:00',4,8,12,2011,'F','N','SÃO BRAZ','CURITIBA','PR','116162161215111731568814576122610164142',NULL,'9998',0.00,1,3,NULL),(28,7270569,'1994-06-03 00:00:00',2,4,12,2011,'F','N','LINHA SÃO PEDRO','CHAPECÓ','SC','124241241116132731433923471124610143177',NULL,'169',27.94,1,2,1),(28,7270577,'1988-04-16 00:00:00',4,4,12,2007,'M','N','CENTRO','NOVA ERECHIM','SC','124243241412161431349632125122230264052',NULL,'185',20.64,1,3,NULL),(28,7270585,'1992-02-22 00:00:00',2,2,12,2009,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241147273432438514345124610134147',15647,'75',34.71,1,2,1),(28,7270607,'1995-02-13 00:00:00',4,1,12,2011,'M','N','PORTÃO','LAURO FREITAS','BA','105052051216121431479913375122610167142',NULL,'9998',0.00,1,3,NULL),(28,7270623,'1994-08-26 00:00:00',4,5,11,2011,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241216151531468612475112610127042',8743,'213',47.02,1,3,NULL),(28,7270631,'1993-04-06 00:00:00',4,1,12,2009,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241215574451468932571122610132147',2995,'424',61.39,1,3,NULL),(28,7270640,'1994-07-26 00:00:00',2,10,12,2011,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124242241215112431466934575112610143142',12644,'362',41.26,1,3,NULL),(28,7270658,'1991-12-12 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217372531268411585124121138032',6280,'991',53.67,1,3,NULL),(28,7270666,'1994-07-02 00:00:00',4,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124243241137141532438313376124610141194',NULL,'732',12.07,1,3,NULL),(28,7270674,'1993-03-31 00:00:00',2,25,12,2010,'F','N','CENTRO','CAÇADOR','SC','124242241214471431358634575122610163187',18902,'1124',35.67,1,3,NULL),(28,7270682,'1994-08-11 00:00:00',2,15,12,2011,'M','N','CENTRO','TURVO','SC','124242241215151431338923575122610137077',6219,'813',55.40,1,3,NULL),(28,7270690,'1994-09-21 00:00:00',2,6,11,2011,'M','N','DOM BOSCO','ITAJAÍ','SC','124242241215151431648934575122610137052',18739,'389',36.33,1,3,NULL),(28,7270704,'1993-11-07 00:00:00',2,6,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215472431338933575122610165182',NULL,'44',43.48,1,3,NULL),(28,7270712,'1994-03-10 00:00:00',4,5,11,2011,'M','N','RIO MAINA','CRICIÚMA','SC','124241241217131411435514475124610124042',9524,'995',54.50,1,3,NULL),(28,7270720,'1994-08-23 00:00:00',4,10,12,2011,'F','N','CENTRO','IMARUÍ','SC','124241241136161431348813375112610147147',15066,'356',45.48,1,2,1),(28,7270739,'1994-09-30 00:00:00',2,7,11,2011,'M','N','CENTRO','JOAÇABA','SC','124242247212312431448631274121610167182',19245,'446',34.14,1,3,NULL),(28,7270747,'1988-03-19 00:00:00',2,1,11,2006,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241126132731125644345123610124052',NULL,'95',15.35,1,2,1),(28,7270755,'1994-03-09 00:00:00',4,10,12,2011,'F','N','CENTRO','CAPIVARI BAIXO','SC','124241241115471431334914575124610144077',NULL,'1034',18.70,1,3,NULL),(28,7270763,'1994-08-25 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215372711438813575124610126092',8454,'1011',49.53,1,3,NULL),(28,7270771,'1994-11-09 00:00:00',4,1,12,2011,'F','N','FUNDOS','BIGUAÇU','SC','124241241225132232524611575124610122057',6320,'262',52.47,1,3,NULL),(28,7270780,'1994-07-30 00:00:00',2,15,12,2011,'M','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242248215172321456923335112610167047',5371,'970',56.77,1,3,NULL),(28,7270798,'1994-03-11 00:00:00',2,1,12,2011,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241115111431323413575124610164142',NULL,'271',31.53,1,2,1),(28,7270801,'1993-06-26 00:00:00',4,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215472421343923575124610167047',12969,'723',39.98,1,3,NULL),(28,7270810,'1994-03-02 00:00:00',2,1,12,2011,'F','N','FUNDOS','BIGUAÇU','SC','124241241225131431324624375124610132147',14737,'262',36.50,1,3,NULL),(28,7270828,'1994-06-30 00:00:00',4,5,11,2011,'M','N','JARDIM ELIZABETE','IÇARA','SC','124241246216111751438823375124610164017',7978,'995',57.18,1,3,NULL),(28,7270836,'1993-11-05 00:00:00',4,10,11,2011,'F','N','CENTRO','TUBARÃO','SC','124242241215111431349952425125610165052',18172,'807',38.37,1,3,NULL),(28,7270844,'1989-12-02 00:00:00',4,2,12,2006,'F','N','FORTALEZA','BLUMENAU','SC','124241241116271431346514285124610127181',7017,'83',58.81,1,2,1),(28,7270852,'1995-09-25 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111751448821575122610137052',NULL,'1050',22.89,1,3,NULL),(28,7270860,'1994-06-20 00:00:00',4,1,11,2011,'F','N','CENTRO','HERVAL D OESTE','SC','124242241217122711237923575124610166012',189,'270',76.02,1,3,NULL),(28,7270879,'1994-06-25 00:00:00',4,8,11,2011,'M','N','CENTRO','S JOSÉ PINHAIS','PR','116162161217121431459933575122610144042',NULL,'9998',0.00,1,3,NULL),(28,7270887,'1995-10-14 00:00:00',4,9,11,2012,'F','S','CORAL','LAGES','SC','124243241215111731125679575125610124197',NULL,'1207',19.87,1,3,NULL),(28,7270917,'1994-02-08 00:00:00',4,23,12,2011,'F','N','CENTRO','GUARAMIRIM','SC','124241241115271751336814575124610164092',12261,'425',42.79,1,2,1),(28,7270925,'1991-03-15 00:00:00',4,1,11,2008,'F','N','AREIAS','S JOSÉ','SC','124241241116472451315344445122610128192',14532,'734',38.69,1,2,1),(28,7270933,'1995-05-07 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111532358833572124610114197',NULL,'1022',10.12,1,3,NULL),(28,7270941,'1993-07-02 00:00:00',2,1,12,2010,'M','N','CENTRO','CEL VIVIDA','PR','116161161217112431446332575114241465017',4180,'9998',56.62,1,3,NULL),(28,7270950,'1994-02-25 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115141421424619215124610122185',NULL,'287',0.00,1,2,1),(28,7270976,'1994-11-01 00:00:00',4,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','120202201216371431479912575122610133182',NULL,'9998',16.46,1,3,NULL),(28,7270984,'1993-12-14 00:00:00',4,1,12,2011,'M','N','ITARARÉ','S VICENTE','SP','125252251217111231379933395122610113097',3838,'9998',60.66,1,3,NULL),(28,7271000,'1995-08-20 00:00:00',4,8,12,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241215112231569933575122610114042',14830,'457',45.93,1,3,NULL),(28,7271018,'1993-09-28 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124241241115272431353321372114610138092',8335,'307',50.11,1,2,1),(28,7271026,'1994-04-04 00:00:00',4,4,12,2010,'F','N','CENTRO','VICENTE DUTRA','RS','124201201115471411564912175122610164057',NULL,'9998',0.00,1,3,NULL),(28,7271042,'1994-02-18 00:00:00',4,1,12,2011,'M','N','JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP','125252251215111331458611375112610164047',5940,'9998',53.44,1,3,NULL),(28,7271077,'1995-06-29 00:00:00',4,8,12,2012,'M','S','COSTA E SILVA','JOINVILLE','SC','124242241215111731458914575122610127127',NULL,'1063',54.87,1,3,NULL),(28,7271085,'1993-09-28 00:00:00',4,1,11,2011,'F','N','JARDIM NOVA ALIANÇA','RIBEIRÃO PRETO','SP','125252251235111431468814375112610164146',NULL,'9998',0.00,1,3,NULL),(28,7271107,'1991-06-14 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216574431436821375124610134117',3381,'525',61.47,1,3,NULL),(28,7271115,'1994-08-11 00:00:00',2,4,12,2011,'F','N','TIA JOANA','PALMAS','PR','116163161215111731536814345122610124147',NULL,'9998',0.00,4,3,NULL),(28,7271123,'1993-06-03 00:00:00',2,3,12,2010,'F','N','SAN CONRRADO','LONDRINA','PR','116161161116571431668933285122610134147',NULL,'9998',0.00,1,2,1),(28,7271158,'1995-01-14 00:00:00',4,2,11,2011,'F','N','CENTRO','GASPAR','SC','124242241215131441469913241334610166177',NULL,'909',0.00,1,3,NULL),(28,7271166,'1988-12-11 00:00:00',2,1,12,2006,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124243241126373431228644342124610124197',14604,'736',36.91,4,3,NULL),(28,7271174,'1992-10-21 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216272411369914575124231063092',9252,'272',46.07,1,3,NULL),(28,7271182,'1993-10-18 00:00:00',4,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431469933572124610144062',7183,'270',53.53,1,3,NULL),(28,7271190,'1992-08-21 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242248213141431336314345122610115071',18478,'1198',29.52,1,3,NULL),(28,7271204,'1995-06-26 00:00:00',2,1,12,2011,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241217111431449713572114610118042',14707,'262',46.15,2,3,NULL),(28,7271212,'1995-05-18 00:00:00',2,5,11,2011,'M','N','SÃO LUIZ','CRICIÚMA','SC','124242241115271731459633175122610124112',13187,'226',48.72,1,3,NULL),(28,7271255,'1991-11-14 00:00:00',2,9,12,2008,'M','N','CENTRO','ANITA GARIBALDI','SC','124243241116232121438813445133610167052',NULL,'18',12.97,1,3,NULL),(28,7271263,'1990-07-29 00:00:00',6,1,12,2007,'M','N','JAR DOS BANDEIRANTES','CONTAGEM','MG','113131131116111721328364145124142765073',18619,'9997',36.83,2,2,1),(28,7271271,'1989-05-22 00:00:00',2,8,12,2006,'F','N','CENTRO','CURITIBA','PR','116162161216574751456912595125610164096',NULL,'9998',0.00,1,3,NULL),(28,7271298,'1994-05-29 00:00:00',2,1,12,2011,'F','N','PENHA','PAULO LOPES','SC','124241241115371431422529575124610137177',14536,'361',38.43,1,2,1),(28,7271301,'1988-11-27 00:00:00',4,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217152421468813325132320244183',3577,'270',65.41,1,3,NULL),(28,7271310,'1991-11-26 00:00:00',2,5,12,2010,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124241243116151431223324445124610127152',NULL,'228',37.28,1,2,1),(28,7271328,'1994-05-11 00:00:00',5,7,12,2011,'M','N','CENTRO','ARROIO TRINTA','SC','124241241145111431443414345125610116177',12425,'853',41.10,1,2,1),(28,7271336,'1989-09-30 00:00:00',2,1,12,2008,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','624241241126132451223344241124610167052',NULL,'296',28.44,1,3,NULL),(28,7271344,'1993-07-30 00:00:00',2,5,12,2010,'F','N','CENTRO','ÁGUA BOA','MT','109112111216271431443934575124610127017',NULL,'9998',31.03,1,3,NULL),(28,7271360,'1994-12-15 00:00:00',4,1,12,2011,'F','N','BOM JESUS','RIO PEDRAS','SP','125251251117311431533619115122610124142',8813,'9998',48.57,1,3,NULL),(28,7271379,'1994-04-08 00:00:00',4,10,12,2011,'F','N','CENTRO','TUBARÃO','SC','124242248117322431479913595122610162052',8564,'807',51.09,1,3,NULL),(28,7271395,'1994-01-28 00:00:00',4,1,12,2010,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124242241211152431469832371114231067063',6433,'259',54.63,1,3,NULL),(28,7271409,'1986-04-25 00:00:00',2,1,12,2003,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224242241312275431258952445132222321055',17476,'882',40.36,1,3,NULL),(28,7271425,'1994-10-29 00:00:00',4,26,12,2011,'F','N','INTERIOR','CONCÓRDIA','SC','124241241115161431324311312124610137057',14688,'192',36.57,4,2,1),(28,7271441,'1994-01-20 00:00:00',4,9,12,2011,'M','N','PRÓ FLOR','CORREIA PINTO','SC','124242241615112411326617275114610113142',10073,'1106',45.11,2,1,2),(28,7271450,'1993-04-23 00:00:00',2,25,11,2011,'M','N','SANTA GEMA','VIDEIRA','SC','124241241435211331213324575124610137057',NULL,'829',20.79,1,3,NULL),(28,7271468,'1994-07-19 00:00:00',4,1,11,2011,'F','N','SEMINÁRIO','CURITIBA','PR','116162161215471431489834574122610125127',NULL,'9998',0.00,1,3,NULL),(28,7271484,'1993-02-05 00:00:00',2,1,12,2010,'F','N','AREIAS','S JOSÉ','SC','224241241216131411227644342124233024192',17219,'1076',34.40,1,3,NULL),(28,7271492,'1983-09-30 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241236274431125712475114133233197',8117,'213',47.69,1,3,NULL),(28,7271506,'1995-01-05 00:00:00',2,1,12,2011,'F','N','FUNDOS','BIGUAÇU','SC','124241241215111431436612492122610112052',NULL,'1118',25.48,1,3,NULL),(28,7271514,'1993-05-12 00:00:00',4,3,12,2010,'M','N','CENTRO','MARINGÁ','PR','116162161212411431579915575112610167062',NULL,'9998',0.00,1,3,NULL),(28,7271522,'1994-04-15 00:00:00',2,1,12,2011,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241117271431423319592124610127042',12596,'1088',40.98,1,2,1),(28,7271530,'1994-09-03 00:00:00',4,7,11,2011,'F','N','BATEL','CURITIBA','PR','116242161217121431439912575124610163097',2416,'9998',62.21,1,3,NULL),(28,7271549,'1994-12-15 00:00:00',4,15,12,2011,'M','N','CENTRO','XANGRI-LÁ','RS','120201201116371521536612375124610168117',NULL,'9998',0.00,1,2,1),(28,7271557,'1992-11-18 00:00:00',2,2,12,2009,'M','N','CAMPOS ELISEOS','S PAULO','SP','125252251115571331347831182124610165047',882,'9998',70.66,1,3,NULL),(28,7271565,'1990-11-05 00:00:00',2,1,12,2011,'M','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124241247146131711323923345123610127117',NULL,'9999',20.83,1,2,1),(28,7271573,'1995-03-22 00:00:00',4,5,12,2012,'F','S','PRIMEIRA LINHA','CRICIÚMA','SC','124242241216151731488614495122610126192',NULL,'213',36.61,1,3,NULL),(28,7271581,'1994-08-17 00:00:00',2,10,12,2011,'F','N','MIRIM','IMBITUBA','SC','124241241217112431444933575124610122141',9901,'362',44.70,1,3,NULL),(28,7271590,'1994-02-07 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411478912575112610126142',6745,'270',52.81,1,3,NULL),(28,7271611,'1996-10-10 00:00:00',4,23,12,2011,'M','N','ÁGUA VERDE','JARAGUÁ SUL','SC','124244241416161431449814585122610114181',NULL,'1061',28.96,1,3,NULL),(28,7271638,'1994-01-27 00:00:00',4,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241216272431458911575124610137182',6113,'1048',52.33,1,3,NULL),(28,7271646,'1993-11-22 00:00:00',2,4,12,2011,'M','N','BRASÍLIA','PATO BRANCO','PR','116161168116271431548631375124610167187',10505,'9998',44.92,1,2,1),(28,7271654,'1989-03-02 00:00:00',4,8,12,2006,'F','N','CENTRO','JOINVILLE','SC','124242241216574431479914372112131317092',2161,'486',63.63,1,3,NULL),(28,7271662,'1991-01-16 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217153431468613376122221462092',NULL,'970',0.00,1,3,NULL),(28,7271670,'1994-04-21 00:00:00',4,1,12,2011,'F','N','PRADO','BIGUAÇU','SC','124241241117371431523321571114610124145',17206,'65',29.14,4,2,1),(28,7271689,'1993-07-11 00:00:00',2,17,12,2010,'M','N','CAMPO DA LANÇA','MAFRA','SC','124241161217371411568612575124610144197',NULL,'9997',0.00,3,3,NULL),(28,7271697,'1993-11-22 00:00:00',2,9,12,2010,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201217571251349913575114610163147',NULL,'9998',25.73,1,3,NULL),(28,7271700,'1991-10-31 00:00:00',2,2,12,2008,'M','N','SALTO WEISSBACH','BLUMENAU','SC','124241241117271751537824395124610137052',9736,'79',51.82,1,3,NULL),(28,7271719,'1994-06-28 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124241241115471431424723595124610124147',NULL,'733',26.42,1,2,1),(28,7271735,'1992-10-13 00:00:00',2,6,12,2010,'F','N','ESTRADINHA','PARANAGUÁ','PR','116162161212471431567811272125610143142',NULL,'9998',0.00,1,3,NULL),(28,7271743,'1993-10-02 00:00:00',4,4,12,2010,'F','N','INTERIOR','IPORÃ OESTE','SC','124241241117271431536316345124610162071',11909,'371',40.51,1,2,1),(28,7271751,'1993-03-15 00:00:00',4,8,12,2010,'F','N','IRIRIÚ','JOINVILLE','SC','124241241212111331336934145124610127147',NULL,'1105',0.00,1,3,NULL),(28,7271760,'1993-03-07 00:00:00',4,1,12,2010,'M','N','JARDIM ALVORADA','PALMITAL','SP','125251251116371431434832395121610137042',NULL,'9998',23.63,1,2,1),(28,7271778,'1995-01-17 00:00:00',2,25,12,2011,'M','N','BERGER','CAÇADOR','SC','124241241113371431628923385224610118182',NULL,'124',29.84,1,3,NULL),(28,7271786,'1983-08-12 00:00:00',2,6,12,2001,'F','N','CENTRO','BAL CAMBORIÚ','SC','121212211237151511488931371125341066182',4506,'9998',55.42,1,3,NULL),(28,7271794,'1991-10-22 00:00:00',2,27,12,2008,'M','N','INTERIOR','BOM J OESTE','SC','124241241127161431349913245124232025147',NULL,'94',0.00,1,2,1),(28,7271808,'1993-04-28 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241212372752338524575114610117097',10767,'272',46.43,1,3,NULL),(28,7271816,'1994-03-18 00:00:00',2,1,11,2011,'M','N','PRADO','BIGUAÇU','SC','124244241216111431363313575122610127042',10225,'1040',45.62,1,3,NULL),(28,7271824,'1993-02-08 00:00:00',4,1,12,2010,'M','N','CENTRO','BIGUAÇU','SC','124242241216372431329774575124610127047',6641,'1040',53.64,1,3,NULL),(28,7271832,'1992-11-04 00:00:00',4,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241247216272431438732375122610134197',15473,'9999',44.74,1,3,NULL),(28,7271867,'1991-04-03 00:00:00',2,8,7,2010,'M','N','IRIRIÚ','JOINVILLE','SC','124123247436371431435923585124231427042',NULL,'9999',22.32,1,3,NULL),(28,7271883,'1994-05-14 00:00:00',4,1,12,2011,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124242241117371411537614296114610121057',3895,'739',58.61,1,3,NULL),(28,7271891,'1995-02-26 00:00:00',2,1,12,2011,'F','N','BOM VIVER','BIGUAÇU','SC','124242241217111431226424471122610115172',19951,'1118',28.79,1,3,NULL),(28,7271905,'1994-08-09 00:00:00',4,1,12,2011,'F','N','CENTRO','BIRIGÜI','SP','125253251215371732467934582122610122093',NULL,'9998',0.00,1,3,NULL),(28,7271913,'1992-10-12 00:00:00',2,6,12,2009,'M','N','ARMAÇÃO','PENHA','SC','124241241116131431117641212214610142057',17903,'609',39.20,4,2,1),(28,7271921,'1992-11-04 00:00:00',4,6,12,2010,'F','N','CENTRO','ITAJAÍ','SC','124242241215371531359934575122610152182',11217,'1026',43.73,1,3,NULL),(28,7271930,'1993-09-01 00:00:00',4,1,12,2011,'M','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124243248117131431429771595124610167047',NULL,'306',20.53,4,3,NULL),(28,7271948,'1992-10-12 00:00:00',4,24,12,2009,'F','N','TABOÃO','RIO SUL','SC','124241241135371431349614345112131043087',NULL,'659',23.41,1,2,1),(28,7271956,'1995-05-22 00:00:00',4,1,11,2012,'F','S','JARDIM DAS FLORES','PALMITAL','SP','125162251217111431338922572121610168052',NULL,'9998',46.34,1,3,NULL),(28,7271972,'1993-06-12 00:00:00',4,8,11,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124244241215572751459814575122610148187',972,'1016',71.12,1,3,NULL),(28,7271980,'1995-01-27 00:00:00',4,9,11,2001,'M','N','CORAL','LAGES','SC','124242241215111431466839575121610164187',2728,'1207',61.97,1,3,NULL),(28,7271999,'1990-04-21 00:00:00',2,1,5,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201247526371731133744245124231467062',14779,'9999',37.70,1,3,NULL),(28,7272006,'1994-01-25 00:00:00',4,8,12,2011,'M','N','BOA VISTA','JOINVILLE','SC','124242241217151411346934375122610164197',9097,'494',46.35,1,3,NULL),(28,7272014,'1994-03-18 00:00:00',2,27,12,2011,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116162161217111711467613275122610127062',14189,'9998',35.71,2,3,NULL),(28,7272022,'1995-05-30 00:00:00',2,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124092241415111711446813575124610128087',11759,'1023',50.92,4,3,NULL),(28,7272030,'1986-05-25 00:00:00',4,1,12,2004,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124201201316151712223779345224610131097',15574,'9998',44.58,4,3,NULL),(28,7272049,'1994-12-12 00:00:00',4,10,12,2011,'M','N','VILA SANTO ANTÔNIO','IMBITUBA','SC','124241241115271421526414595124610137147',9767,'359',45.76,1,2,1),(28,7272057,'1992-02-06 00:00:00',4,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117572431646413575124610135042',16946,'295',31.25,1,2,1),(28,7272065,'1994-11-01 00:00:00',4,5,10,2012,'F','S','CENTRO','CRICIÚMA','SC','124242241215111431358912575122610166072',NULL,'226',0.00,1,3,NULL),(28,7272081,'1994-04-20 00:00:00',2,2,11,2011,'F','N','TRIBESS','BLUMENAU','SC','124241241215131131436811475124610137057',16374,'87',42.95,1,3,NULL),(28,7272090,'1994-02-03 00:00:00',4,9,12,2010,'M','N','SÃO CRISTOVÃO','LAGES','SC','124242241235472731264979575122610154172',8553,'499',50.65,1,3,NULL),(28,7272103,'1993-07-28 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124241241115111711457613575124610167042',9997,'267',53.72,1,2,1),(28,7272111,'1990-08-31 00:00:00',4,1,12,2007,'M','N','ANA SOFIA','DIADEMA','SP','125252251216371331546832575124141464113',NULL,'9998',22.95,1,3,NULL),(28,7272120,'1994-09-21 00:00:00',2,1,12,2011,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242246215111131425913575122610132182',17220,'1119',30.38,1,3,NULL),(28,7272138,'1993-01-20 00:00:00',4,2,10,2009,'F','N','VELHA','BLUMENAU','SC','124242241217474231468933495114231024187',9178,'855',50.19,1,3,NULL),(28,7272146,'1994-01-02 00:00:00',2,1,12,2011,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241127141431333324243221610122142',NULL,'1155',0.00,1,2,1),(28,7272162,'1994-06-04 00:00:00',2,2,11,2011,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124243241215111131468813435124610137032',11901,'855',41.44,1,3,NULL),(28,7272170,'1991-06-28 00:00:00',2,1,12,2008,'F','N','NOVA IORQUE','ARAÇATUBA','SP','116252251217471731549814575124241464182',NULL,'9998',0.00,1,3,NULL),(28,7272189,'1993-05-30 00:00:00',2,22,11,2010,'M','N','AZAMBUJA','BRUSQUE','SC','124241241215111431537932341115610144187',NULL,'1244',35.78,4,3,NULL),(28,7272197,'1994-06-11 00:00:00',2,6,12,2011,'F','N','ARMAÇÃO','PENHA','SC','124241243116131731427667385124610148147',19901,'609',29.36,1,2,1),(28,7272200,'1992-01-08 00:00:00',4,1,12,2010,'M','N','BELA VISTA','S JOSÉ','SC','124241241112131432126644242124610124047',15362,'271',36.10,2,1,1),(28,7272227,'1989-12-11 00:00:00',2,1,11,2007,'F','N','SÃO GERALDO','IJUÍ','RS','124202201216574751447833595112131345142',17947,'9998',39.08,1,3,NULL),(28,7272235,'1994-01-01 00:00:00',5,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','624201241347151411236914145124510157113',20052,'922',27.30,1,3,NULL),(28,7272243,'1985-09-12 00:00:00',4,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116375431324729495122610164083',12428,'513',40.13,1,2,1),(28,7272251,'1994-11-21 00:00:00',4,1,12,2011,'F','N','JARDIM DAS ROSAS','PRES PRUDENTE','SP','125252241217111431438834574122610136042',2960,'262',61.46,1,3,NULL),(28,7272278,'1993-05-04 00:00:00',4,1,11,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124243241217472531668924575124610136187',1846,'270',65.84,1,3,NULL),(28,7272286,'1991-11-27 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241217575742556931485122233267035',7867,'1022',50.50,3,3,NULL),(28,7272294,'1989-03-14 00:00:00',2,1,10,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241135271431423341211324613234097',19929,'307',28.99,4,1,1),(28,7272316,'1994-09-13 00:00:00',4,1,11,2011,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215111431458622376122610121142',7110,'951',52.07,1,3,NULL),(28,7272324,'1993-10-21 00:00:00',4,15,1,2012,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124251241115131431536614575121610124047',13168,'29',38.65,4,2,1),(28,7272332,'1992-03-07 00:00:00',4,1,12,2010,'F','N','GRANJA VIANA','CARAPICUÍBA','SP','125252258215371711549912242122610114111',NULL,'9998',0.00,3,3,NULL),(28,7272340,'1980-07-10 00:00:00',4,8,12,1999,'M','N','SAGUAÇU','JOINVILLE','SC','224241241126131111435542225122333232197',NULL,'470',0.00,1,2,1),(28,7272367,'1988-01-30 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117132441223324285124221748182',6031,'757',60.52,1,2,1),(28,7272375,'1994-06-04 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241227141431333324315124610113187',5966,'262',52.34,1,3,NULL),(28,7272383,'1993-09-03 00:00:00',2,1,12,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241116272431623319245124610168175',NULL,'296',21.59,1,2,1),(28,7272405,'1992-01-02 00:00:00',2,1,12,2008,'M','N','CAMPO DUNA','GAROPABA','SC','124241241146132411426923285121231217087',NULL,'1136',0.00,3,2,1),(28,7272413,'1987-03-06 00:00:00',4,16,12,2005,'M','N','APARECIDA','CURITIBANOS','SC','124241241125371411635314145122610121182',11216,'239',43.99,3,2,1),(28,7272421,'1994-01-21 00:00:00',2,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241115271231433624592114610127042',NULL,'307',31.59,1,3,NULL),(28,7272472,'1993-08-05 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241112142431117641312124610138142',NULL,'278',24.92,1,3,NULL),(28,7272499,'1993-03-11 00:00:00',4,1,12,2010,'M','N','MATA DA PRAIA','VITÓRIA','ES','108084081216111452567932595124241467052',11136,'9998',41.07,1,3,NULL),(28,7272510,'1993-10-01 00:00:00',4,1,12,2010,'F','N','CENTRO','S JOSÉ','SC','124242241212272431466812375124610124052',19481,'724',32.83,1,3,NULL),(28,7272529,'1994-09-16 00:00:00',4,1,12,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241125371431366933575124610168092',NULL,'283',24.08,1,2,1),(28,7272537,'1992-04-24 00:00:00',2,1,12,2009,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241116162432434623495124610117042',19129,'1088',34.74,1,2,1),(28,7272545,'1991-02-01 00:00:00',4,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217574431589912575122610163182',545,'461',73.13,1,3,NULL),(28,7272553,'1992-05-14 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124243241216472431366823475124223227082',NULL,'1022',0.00,1,3,NULL),(28,7272561,'1993-05-21 00:00:00',4,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242248212111711444613445124610127042',NULL,'1010',21.17,1,3,NULL),(28,7272570,'1994-08-18 00:00:00',2,6,12,2011,'F','N','CENTRO','BARRA VELHA','SC','124243241216111531538514195112610114197',NULL,'389',23.13,1,3,NULL),(28,7272596,'1993-07-21 00:00:00',2,4,12,2010,'F','N','CENTRO','MAREMA','SC','124241241117132431435923393334230634177',12386,'847',42.15,1,2,1),(28,7272600,'1994-06-13 00:00:00',4,1,12,2011,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241241215131732426824585122610127041',19411,'1075',28.26,1,3,NULL),(28,7272618,'1987-02-23 00:00:00',2,1,12,2005,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241116274711226624242134610124097',NULL,'286',22.18,2,1,1),(28,7272626,'1989-05-20 00:00:00',4,1,12,2006,'F','N','CENTRO','JOAÇABA','SC','124242241216575431358812475122131566147',4319,'454',56.29,1,3,NULL),(28,7272634,'1992-03-07 00:00:00',4,2,12,2011,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242248215271121548639475112610117174',NULL,'855',16.67,1,3,NULL),(28,7272642,'1993-04-19 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241127372431446739345124610117052',6039,'574',52.67,1,2,1),(28,7272650,'1991-09-22 00:00:00',4,1,12,2008,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215133431468813572124221862182',5633,'269',61.27,1,3,NULL),(28,7272669,'1985-08-20 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272421268942325122223267117',4972,'270',62.45,1,3,NULL),(28,7272677,'1985-12-27 00:00:00',5,10,12,2003,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241241126131431423319285114132022147',NULL,'808',23.83,2,1,1),(28,7272693,'1994-12-11 00:00:00',2,4,12,2011,'M','N','LINHA MENEGHETTE','MODELO','SC','124241241114131431313336172225610128057',NULL,'775',0.00,1,2,1),(28,7272707,'1994-03-01 00:00:00',4,1,12,2011,'F','N','JARDIM NORMANDIA','VOLTA REDONDA','RJ','121212211216321431488614575124610144073',NULL,'9998',0.00,4,1,2),(28,7272715,'1992-11-30 00:00:00',2,17,12,2010,'M','N','ZONA RURAL','MTE CASTELO','SC','124241242117131431623316332223610124147',NULL,'566',0.00,1,3,NULL),(28,7272723,'1985-05-05 00:00:00',2,1,12,2004,'F','N','KOBRASOL','S JOSÉ','SC','124211211112472421138643431122131364187',14002,'9998',38.75,4,1,1),(28,7272740,'1993-12-26 00:00:00',4,1,12,2010,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215372411459314385124131961127',2725,'299',60.57,1,3,NULL),(28,7272758,'1995-06-18 00:00:00',4,22,12,2011,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241116271731325319577222610138181',14061,'712',39.32,1,2,1),(28,7272766,'1991-03-21 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241211474421689914245124233268052',18424,'270',37.56,1,3,NULL),(28,7272774,'1995-03-24 00:00:00',2,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215121431228733575122610127052',8221,'723',48.36,1,3,NULL),(28,7272782,'1993-05-14 00:00:00',4,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124141241146271131323621295124610147147',NULL,'730',20.23,4,2,1),(28,7272790,'1994-07-02 00:00:00',2,7,12,2011,'M','N','CENTRO','CELSO RAMOS','SC','124241241125141731423113395125610124147',16288,'163',32.85,1,2,1),(28,7272804,'1985-11-22 00:00:00',2,1,12,2004,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116133711436434345133610147047',NULL,'281',0.00,1,2,1),(28,7272812,'1993-11-05 00:00:00',2,4,12,2011,'F','N','CENTRO','S BERNARDINO','SC','124241241115271431526313575324610137057',12828,'701',41.00,1,2,1),(28,7272820,'1994-04-04 00:00:00',4,1,12,2011,'M','N','BELA VISTA II','S JOSÉ','SC','124241241135161411435634375124610164147',NULL,'729',23.69,1,2,1),(28,7272839,'1988-01-19 00:00:00',4,16,12,2005,'M','N','CENTRO','CURITIBANOS','SC','124241241315372431459834475125321267052',4502,'881',63.37,1,3,NULL),(28,7272855,'1994-01-04 00:00:00',2,4,12,2010,'F','N','CENTRO','PLANALTO','RS','120201201116152431636511111122610137077',12111,'9998',42.09,1,2,1),(28,7272871,'1992-03-26 00:00:00',4,8,12,2010,'M','N','JD PARAÍSO','S JOSÉ CAMPOS','SP','125253256217151411359814441124610167097',4006,'9998',58.07,1,3,NULL),(28,7272898,'1968-09-09 00:00:00',2,1,12,1990,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','224241207326473411243344145123610134171',5155,'9998',56.27,4,3,NULL),(28,7272901,'1993-04-11 00:00:00',4,1,12,2010,'M','N','JARDIM SANTANA','DOURADOS','MS','125122121215472431479811575122610166042',NULL,'9998',0.00,1,3,NULL),(28,7272910,'1989-09-28 00:00:00',2,1,11,2007,'F','N','ITACURUBI','FLORIANÓPOLIS','SC','124272271236131431228823475114140428072',17017,'9998',41.51,1,3,NULL),(28,7272928,'1994-07-20 00:00:00',2,3,12,2011,'M','N','PEREQUÊ','PTO BELO','SC','124241241117371751523319395124610137042',2808,'630',65.74,1,2,1),(28,7272944,'1992-01-08 00:00:00',4,1,11,2010,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124244241431122111222347343232331826173',NULL,'299',0.00,1,3,NULL),(28,7272952,'1994-03-23 00:00:00',4,2,12,2011,'F','N','VELHA','BLUMENAU','SC','124243241415271431226623345124610146142',8339,'69',56.55,1,3,NULL),(28,7272979,'1995-03-06 00:00:00',4,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124231241116371431343933285124610134147',NULL,'169',30.78,1,2,1),(28,7272987,'1991-10-04 00:00:00',4,1,12,2009,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124242241217132431446624445135610134182',13316,'781',48.53,1,3,NULL),(28,7272995,'1994-12-02 00:00:00',4,1,12,2011,'F','N','FLORESTA','S JOSÉ','SC','124241241127131731423616576324610123142',11773,'691',41.46,1,2,1),(28,7273002,'1991-07-20 00:00:00',2,16,12,2008,'F','N','CENTRO','CURITIBANOS','SC','124201201112161431436314442215610122147',NULL,'9998',33.54,1,2,1),(28,7273010,'1993-04-22 00:00:00',4,8,12,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241217472411339719195112610115012',16623,'1063',42.38,1,3,NULL),(28,7273037,'1993-12-02 00:00:00',4,4,12,2010,'F','N','VELHA','BLUMENAU','SC','124241241215472431448534275124610142077',2318,'855',64.27,1,3,NULL),(28,7273053,'1989-05-13 00:00:00',2,1,12,2007,'F','N','VILA SANTA LUZIA','S BERNARDO CAMPO','SP','125251251126431311326429445135610167047',NULL,'9998',12.20,1,3,NULL),(28,7273061,'1988-09-15 00:00:00',2,1,12,2006,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241215373421544332432124331368197',5920,'1011',52.58,1,3,NULL),(28,7273070,'1995-01-22 00:00:00',2,1,12,2011,'M','N','VILA BECKER','STO AMARO IMPERATRIZ','SC','124241241115271431424611585121610112052',18887,'772',28.70,1,2,1),(28,7273088,'1989-04-04 00:00:00',4,25,11,2008,'M','N','CENTRO BAIXADA','PATO BRANCO','PR','116161161326151211129613215122242836172',19987,'120',28.30,3,3,NULL),(28,7273096,'1994-02-21 00:00:00',2,15,7,2012,'M','S','CENTRO','MRO GRANDE','SC','124241246216141431328923575224610157052',NULL,'995',35.17,1,3,NULL),(28,7273100,'1977-02-01 00:00:00',2,1,12,2011,'M','N','BARRA DO ARÍRIU','PALHOÇA','SC','224241248526131131323351185122610128062',15918,'9997',36.00,4,3,NULL),(28,7273134,'1987-03-17 00:00:00',2,1,12,2005,'M','N','CENTRO','RIO B SUL','PR','116164161346131711253842121222241524096',NULL,'9998',0.00,1,3,NULL),(28,7273142,'1977-03-18 00:00:00',4,1,12,1995,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224161165116471431348454482122340664142',10472,'9998',52.96,1,3,NULL),(28,7273150,'1990-06-05 00:00:00',2,1,12,2007,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241217142721479931491122230268187',NULL,'269',29.82,1,3,NULL),(28,7273169,'1993-07-28 00:00:00',4,1,12,2010,'F','N','GUARDA','PALHOÇA','SC','124243241212151431543933332124230226185',NULL,'1175',12.69,1,3,NULL),(28,7273177,'1982-04-24 00:00:00',2,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248126471431223314445134613214097',19669,'277',31.48,3,2,1),(28,7273193,'1990-11-11 00:00:00',4,4,12,2008,'M','N','SAO CRISTOVAO','CHAPECÓ','SC','124241241136112421129613345334133227057',NULL,'94',0.00,1,3,NULL),(28,7273215,'1993-07-08 00:00:00',2,15,12,2010,'M','N','MORRO DO SOARES','ERMO','SC','124241248146371431421315355113610124045',15731,'250',36.35,1,3,NULL),(28,7273231,'1993-04-13 00:00:00',2,3,12,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124161161417372431636614286341610167117',10986,'9998',47.71,1,3,NULL),(28,7273274,'1994-04-25 00:00:00',4,1,12,2011,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241248132341431429834245124610148142',15205,'307',36.92,1,2,1),(28,7273282,'1988-02-21 00:00:00',4,1,7,2007,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124252247216273431438611495122231057127',14989,'9999',36.15,1,3,NULL),(28,7273304,'1989-01-23 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241415575431466629431112121544052',4161,'154',58.48,1,3,NULL),(28,7273312,'1990-05-17 00:00:00',2,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243247316134431336519585124610167117',19965,'9999',28.64,1,3,NULL),(28,7273339,'1983-03-13 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','224241247146132431628654485314610137047',NULL,'263',20.42,2,1,1),(28,7273347,'1994-05-10 00:00:00',4,24,12,2011,'M','N','SÃO MIGUEL','POUSO REDONDO','SC','124241241115171411524315252324430147057',NULL,'639',15.14,1,2,1),(28,7273355,'1994-05-05 00:00:00',4,1,12,2011,'F','N','COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC','124242241215112751126624372114610168187',5209,'1022',59.64,1,3,NULL),(28,7273363,'1994-04-03 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241215472431364632575122610134017',16085,'497',33.40,1,3,NULL),(28,7273371,'1993-09-10 00:00:00',2,15,11,2010,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241117472431426624485322610143077',15256,'29',38.02,1,2,1),(28,7273380,'1994-08-03 00:00:00',2,24,12,2011,'M','N','ERVINHA','POUSO REDONDO','SC','124241241137171421423236162344330217042',NULL,'639',0.00,1,2,1),(28,7273398,'1988-04-05 00:00:00',2,5,12,2008,'M','N','SANGÃO','FORQUILHINHA','SC','124243246215372421424431441122610117062',NULL,'995',24.68,1,3,NULL),(28,7273401,'1995-01-30 00:00:00',4,4,12,2011,'F','N','INTERIOR','CEL FREITAS','SC','124241241116161231626315575124610124077',17378,'199',29.45,1,2,1),(28,7273410,'1993-04-08 00:00:00',2,1,12,2010,'M','N','XV DE NOVEMBRO','TIJUCAS','SC','124241241117141421336424145121133217117',17781,'110',28.14,1,3,NULL),(28,7273428,'1993-10-31 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211472411459834575124610138062',7986,'270',50.77,1,3,NULL),(28,7273436,'1989-06-16 00:00:00',4,1,12,2006,'F','N','BELA VISTA','PALHOÇA','SC','124242241416474431228641315124222261117',13242,'943',48.64,1,3,NULL),(28,7273444,'1991-04-12 00:00:00',4,24,12,2008,'F','N','PAMPLONA','RIO SUL','SC','124242241215473431365812445122233224092',7797,'654',49.51,1,3,NULL),(28,7273460,'1991-10-11 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124203201315472411638612571124133237127',14773,'9998',34.77,1,3,NULL),(28,7273479,'1993-03-31 00:00:00',2,1,12,2011,'F','N','VENDAVAL','BIGUAÇU','SC','124243241116471431525614375124610168012',16225,'65',37.47,1,3,NULL),(28,7273487,'1994-03-26 00:00:00',4,1,12,2011,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124241241225111731326611574124610164052',10176,'262',46.68,1,3,NULL),(28,7273495,'1971-05-10 00:00:00',2,27,12,2011,'M','N','PROGRESSO','S MIGUEL OESTE','SC','124241241126171411411148181123610127047',NULL,'9997',21.17,2,1,1),(28,7273509,'1992-06-21 00:00:00',4,1,12,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215275431346719415132121423082',NULL,'270',0.00,1,3,NULL),(28,7273541,'1982-10-26 00:00:00',4,1,12,1999,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241216374751264854472122322833197',618,'262',70.20,1,3,NULL),(28,7273550,'1994-01-23 00:00:00',4,1,12,2011,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241212111411549923575124610114082',NULL,'270',0.00,1,3,NULL),(28,7273584,'1991-11-13 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215474431369814475114133262183',5883,'270',56.18,1,3,NULL),(28,7273592,'1993-01-11 00:00:00',2,1,12,2010,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241115372231426616575112610137062',10836,'772',45.25,1,2,1),(28,7273606,'1994-09-20 00:00:00',4,4,12,2011,'F','N','JARDIM BELA VISTA','ITAPIRANGA','SC','124241241136161431436613395122610126142',7163,'412',50.95,1,2,1),(28,7273614,'1995-11-29 00:00:00',4,1,12,2012,'M','S','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241216111731337614575112610137052',NULL,'1118',35.54,1,3,NULL),(28,7273630,'1993-04-25 00:00:00',2,1,12,2010,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241136231431327719245124610126187',NULL,'288',0.00,1,2,1),(28,7273649,'1993-02-15 00:00:00',4,6,11,2010,'F','N','CENTRO','ITAJAÍ','SC','124242241215322431465832575112610116122',18644,'270',36.73,1,3,NULL),(28,7273665,'1984-07-13 00:00:00',2,1,6,2009,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124244247122131131221344245124610148094',19127,'9999',34.74,1,3,NULL),(28,7273681,'1988-05-10 00:00:00',2,1,11,2005,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241117272421364619475124610124152',15530,'281',44.65,4,2,1),(28,7273690,'1994-04-29 00:00:00',2,1,12,2011,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241115371431423614375124610137142',3856,'592',60.28,1,2,1),(28,7273703,'1994-10-04 00:00:00',4,24,12,2011,'F','N','CANTA GALO','RIO SUL','SC','124241241117271431419649392225610127052',8406,'864',48.44,1,2,1),(28,7273711,'1988-01-05 00:00:00',2,1,12,2005,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124244241216373421478913245122333267042',NULL,'1048',35.27,1,3,NULL),(28,7273738,'1984-03-08 00:00:00',4,1,12,2003,'M','N','BARREIROS','S JOSÉ','SC','124251251143131131113444445124140736017',15122,'9998',45.37,2,1,1),(28,7273746,'1986-08-26 00:00:00',4,1,11,2003,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216355421468632475122330244127',7202,'262',58.47,1,3,NULL),(28,7273754,'1966-01-31 00:00:00',2,24,12,1988,'M','N','CENTRO','VÍTOR MEIRELES','SC','124161161126572331113143432331142326067',NULL,'9998',27.92,2,1,1),(28,7273762,'1994-10-01 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241215111431328624571124610126177',NULL,'1022',23.45,1,3,NULL),(28,7273770,'1992-07-04 00:00:00',4,1,12,2009,'F','N','JARDIM GIOCONDO ORSI','CPO GRANDE','MS','112122121215572421457811174122610134187',1906,'9998',64.61,1,3,NULL),(28,7273789,'1993-09-03 00:00:00',4,1,12,2010,'M','N','JARDIM UNIÃO','BANDEIRANTES','PR','116162161216271431539836494125610124032',NULL,'9998',0.00,1,3,NULL),(28,7273797,'1991-04-08 00:00:00',4,1,12,2008,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215112431448822572122220966182',7906,'270',57.28,1,3,NULL),(28,7273819,'1993-02-16 00:00:00',4,1,12,2010,'M','N','VILAS DO ATLANTICO','LAURO FREITAS','BA','105052051217371431469814572122610164192',5819,'9998',54.53,1,3,NULL),(28,7273827,'1992-08-20 00:00:00',2,1,12,2009,'M','N','JARDIM AQUARIUS','PALHOÇA','SC','124241241116132431326329575124220737042',17871,'739',39.29,1,2,1),(28,7273835,'1993-07-06 00:00:00',4,8,12,2010,'F','N','BARRA DO RIO MOLHA','JARAGUÁ SUL','SC','124243246415371431537631572111610134181',15643,'1061',44.40,4,3,NULL),(28,7273843,'1993-12-14 00:00:00',2,4,12,2010,'F','N','CRUZEIRO','S LOURENÇO OESTE','SC','124243241117271432423614575125610131142',16988,'745',30.31,1,3,NULL),(28,7273851,'1993-10-20 00:00:00',4,26,12,2010,'M','N','LIBERDADE','CONCÓRDIA','SC','124243241217472231469934391124610167012',8372,'1000',56.49,1,3,NULL),(28,7273860,'1975-10-02 00:00:00',4,1,12,1993,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','224241243116374731243354375114131024197',12903,'513',49.14,4,1,1),(28,7273878,'1993-11-05 00:00:00',4,1,12,2010,'M','N','SANTO ANTONIO','FLORIANÓPOLIS','SC','624243241215272731469932575114610124012',8161,'270',49.69,1,3,NULL),(28,7273886,'1987-09-27 00:00:00',4,1,12,2006,'M','N','AREIAS','S JOSÉ','SC','124243247347371421644439295124610137067',NULL,'9999',18.07,2,3,NULL),(28,7273894,'1991-02-05 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211574731289934575122222622192',3164,'270',66.47,1,3,NULL),(28,7273908,'1992-09-17 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241215273441236931395125222364173',3617,'44',60.06,1,3,NULL),(28,7273916,'1995-01-04 00:00:00',4,1,11,2011,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215471531378932575122610125132',11882,'270',44.33,1,3,NULL),(28,7273924,'1993-10-01 00:00:00',2,1,12,2010,'M','N','VILA SOBRINHO','CPO GRANDE','MS','112122121217471531668911575112610137052',4534,'9998',63.32,1,3,NULL),(28,7273932,'1994-01-07 00:00:00',4,1,12,2010,'M','N','ZONA UM','UMUARAMA','PR','116162161215472431468934575122610157042',NULL,'9998',32.65,1,3,NULL),(28,7273959,'1990-10-09 00:00:00',2,1,12,2008,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241214374431468931495122231267042',11723,'1050',50.97,1,3,NULL),(28,7273967,'1992-09-18 00:00:00',2,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124244241215472731455569395124610125147',13561,'1022',41.37,1,3,NULL),(28,7273983,'1992-02-29 00:00:00',4,1,11,2009,'F','N','LIBERDADE','S PAULO','SP','109092091211471321438839572114610137093',12789,'9998',49.31,1,3,NULL),(28,7273991,'1993-03-25 00:00:00',4,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241136132441114644345334231063047',NULL,'1248',26.46,1,2,1),(28,7274017,'1993-11-19 00:00:00',4,6,12,2010,'F','N','BACACHERI','CURITIBA','PR','116162161217121431468831575122143268192',NULL,'9998',35.77,1,3,NULL),(28,7274025,'1987-04-04 00:00:00',2,1,12,2005,'M','N','IPIRANGA','S PAULO','SP','125252251126431321336619345135141227047',NULL,'9998',11.95,1,3,NULL),(28,7274033,'1995-09-19 00:00:00',4,1,11,2011,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215111431229827575112610164132',18932,'262',35.56,1,3,NULL),(28,7274050,'1994-05-17 00:00:00',4,26,11,2011,'M','N','NAÇÕES','CONCÓRDIA','SC','124242241217111431569914375112610142171',8250,'1000',48.92,1,3,NULL),(28,7274068,'1991-01-06 00:00:00',2,4,12,2008,'F','N','CENTRO','CASCAVEL','PR','116162161215572431223315592122610164197',NULL,'9998',0.00,1,3,NULL),(28,7274084,'1994-08-07 00:00:00',4,2,12,2011,'F','N','BOA VISTA','BLUMENAU','SC','124242241215121431436611592114610111097',7437,'855',49.76,1,3,NULL),(28,7274092,'1990-07-07 00:00:00',2,1,12,2007,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124244241215575431565923375114610128192',7569,'1048',50.88,1,3,NULL),(28,7274106,'1993-06-06 00:00:00',2,8,12,2010,'F','N','CENTRO','JOINVILLE','SC','124161161117371431636636575212610166147',15935,'9998',43.81,4,2,1),(28,7274114,'1993-06-21 00:00:00',4,1,12,2010,'M','N','PARQUE SANTA MARIA','GARÇA','SP','125254251216461411446639375112610168042',7788,'9998',49.01,3,3,NULL),(28,7274122,'1993-12-26 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124073071337161322658713572114610123147',NULL,'9998',17.75,1,3,NULL),(28,7274149,'1985-02-06 00:00:00',6,1,12,2004,'F','N','BADENFURT','BLUMENAU','SC','224241245146472441238643331122610168181',16450,'69',42.77,1,2,1),(28,7274157,'1988-07-27 00:00:00',5,1,10,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','125253257412161412424319335224640615182',NULL,'9999',17.52,1,3,NULL),(28,7274173,'1984-09-04 00:00:00',4,1,12,2002,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124131131116273421221129481224233223097',8882,'9998',49.98,4,1,1),(28,7274181,'1993-07-21 00:00:00',4,8,12,2010,'F','N','JARDIM CAÇULA','RIBEIRÃO PIRES','SP','125253251416471411534823471124610124187',6675,'9998',51.76,4,3,NULL),(28,7274190,'1990-04-05 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241337413431226544445114610114047',12876,'307',49.19,1,3,NULL),(28,7274203,'1993-04-10 00:00:00',2,27,12,2010,'M','N','PROFILURB II','FOZ IGUAÇU','PR','116163161117471411446923275122610165142',NULL,'9998',0.00,4,3,NULL),(28,7274211,'1993-02-13 00:00:00',4,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241116472231226912575115610167052',16508,'169',33.97,1,2,1),(28,7274246,'1983-05-18 00:00:00',4,1,12,2000,'M','N','BARREIROS','S JOSÉ','SC','124242241216154751468343434122121164052',5664,'738',61.20,1,3,NULL),(28,7274254,'1969-03-07 00:00:00',2,8,12,2010,'F','N','CENTRO','JOINVILLE','SC','224161161117371431632356466212610166147',19849,'9998',29.85,1,2,1),(28,7274270,'1983-04-29 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251251136172411116449485124121625024',15132,'9998',36.24,2,1,1),(28,7274289,'1992-06-17 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241135271431526414382124610134147',15113,'274',36.04,1,3,NULL),(28,7274297,'1984-02-08 00:00:00',4,1,12,2001,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241211574431277832375122332837187',6570,'270',59.57,1,3,NULL),(28,7274300,'1990-12-03 00:00:00',4,1,12,2008,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241117371431533544345114133232187',14099,'288',38.07,4,2,1),(28,7274319,'1987-02-26 00:00:00',4,1,11,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224251257122372731323344242224610144047',20063,'9998',26.99,1,2,1),(28,7274327,'1994-03-18 00:00:00',2,10,12,2011,'F','N','CENTRO','STA ROSA LIMA','SC','124241241117271431448933475112610112052',NULL,'688',32.07,1,2,1),(28,7274343,'1994-02-10 00:00:00',4,1,12,2011,'M','N','CENTRO','ITAPEJARA D OESTE','PR','116161161116211231358932245123610114057',NULL,'9998',18.52,1,2,1),(28,7274351,'1993-03-18 00:00:00',4,1,12,2010,'F','N','CENTRO','S JOSÉ','SC','124242241217272431436612582124610134187',13615,'988',40.31,1,3,NULL),(28,7274360,'1962-08-03 00:00:00',2,8,12,1981,'M','N','CENTRO','JOINVILLE','SC','224161162117371431633346465212610165147',19617,'9998',31.88,1,2,1),(28,7274378,'1993-12-23 00:00:00',1,1,12,2011,'F','N','CENTRO','ASTORGA','PR','116164161217111431468911474122610128182',8119,'9998',50.17,1,3,NULL),(28,7274386,'1993-01-04 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124202241215373431337614445124131227047',6650,'737',56.49,1,3,NULL),(28,7274394,'1981-11-04 00:00:00',4,1,12,1999,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124202206217131431135844345124143262043',19793,'9998',30.36,1,3,NULL),(28,7274408,'1993-02-05 00:00:00',4,8,12,2010,'M','N','BOM RETIRO','JOINVILLE','SC','124241241117131411323421375121610122057',17757,'471',39.60,1,2,1),(28,7274424,'1993-12-20 00:00:00',2,15,12,2011,'M','N','CENTRO','ARARANGUÁ','SC','124242241415141431537814245122610137057',16130,'29',32.21,1,3,NULL),(28,7274432,'1993-12-21 00:00:00',4,6,12,2011,'F','N','COND FLORAIS CUIABÁ','CUIABÁ','MT','111112111216111431586912574122610132192',1729,'9998',65.36,1,3,NULL),(28,7274440,'1992-10-29 00:00:00',4,8,12,2010,'F','N','VILA NOVA','RIO NEGRINHO','SC','124242241217111431347832242124233213141',14408,'666',46.74,1,3,NULL),(28,7274459,'1967-09-26 00:00:00',2,1,12,1986,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','224241243425233411233343235124610112095',15568,'1249',38.11,1,3,NULL),(28,7274467,'1984-06-20 00:00:00',2,1,12,2002,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241126142431434334445134320533097',16588,'278',42.45,1,2,1),(28,7274483,'1957-01-06 00:00:00',3,1,12,1975,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224212215217152411364353385124343028097',NULL,'9998',0.00,1,3,NULL),(28,7274491,'1994-09-17 00:00:00',4,1,12,2011,'F','N','SERRARIAS','S JOSÉ','SC','124241241117471411336514275124610122192',8086,'307',49.72,1,2,1),(28,7274505,'1991-10-14 00:00:00',2,9,7,2009,'M','N','CENTRO','S JOSÉ CERRITO','SC','124241242116161431436815555124233127187',NULL,'741',25.59,1,2,1),(28,7274513,'1984-11-26 00:00:00',4,1,12,2002,'M','N','KOBRASOL','S JOSÉ','SC','124242241217374751446611482112121234047',3369,'210',65.93,1,3,NULL),(28,7274530,'1993-02-08 00:00:00',2,1,12,2010,'F','N','CENTRO','BIGUAÇU','SC','124242241216372431329774245124610127147',NULL,'1040',30.40,1,3,NULL),(28,7274548,'1994-09-03 00:00:00',4,10,11,2011,'F','N','CENTRO','TUBARÃO','SC','124242241435111431468813575125610136182',15519,'807',44.67,1,3,NULL),(28,7274556,'1994-11-12 00:00:00',4,2,11,2011,'F','N','DOS ESTADOS','INDAIAL','SC','124241241215111431447432375122610123147',17090,'1157',41.32,1,3,NULL),(28,7274564,'1986-12-22 00:00:00',2,9,12,2004,'M','N','CENTRO','URUBICI','SC','124242241216133431336723585124233127057',14941,'817',45.73,1,3,NULL),(28,7274572,'1993-01-01 00:00:00',2,15,12,2011,'M','N','CENTRO','BAL ARROIO SILVA','SC','124242241415111431249612185122610167116',19458,'26',33.00,4,1,2),(28,7274580,'1993-09-25 00:00:00',4,1,11,2011,'M','N','PRÓSPERA','CRICIÚMA','SC','124244241215121441543619575124610128172',1003,'226',67.25,1,3,NULL),(28,7274599,'1993-04-29 00:00:00',4,1,11,2010,'M','N','SANTA AUGUSTA','BRAÇO NORTE','SC','124242241216472441539851575114610117012',3599,'806',61.08,1,3,NULL),(28,7274602,'1994-07-10 00:00:00',4,6,12,2011,'F','N','CORDEIROS','ITAJAÍ','SC','124241241312131431428814275124610144187',NULL,'388',21.04,2,1,2),(28,7274610,'1989-04-27 00:00:00',4,1,12,2006,'M','N','CAMOBI','STA MARIA','RS','120202201217151411579923395124340764194',NULL,'9998',0.00,1,3,NULL),(28,7274629,'1992-09-01 00:00:00',2,1,12,2009,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241116372731443434345122610128143',16659,'733',42.29,4,2,1),(28,7274645,'1990-07-23 00:00:00',4,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241317153431458833215122230267147',5719,'87',61.09,1,3,NULL),(28,7274653,'1993-07-08 00:00:00',2,1,11,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241241111421343531145122610113057',12531,'300',41.56,5,3,NULL),(28,7274661,'1994-10-29 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111731369914585124610167042',NULL,'270',51.49,1,3,NULL),(28,7274670,'1993-04-12 00:00:00',4,1,6,2011,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124244241127112431228829485114610164067',15997,'739',43.70,1,3,NULL),(28,7274688,'1994-09-09 00:00:00',4,17,12,2011,'M','N','CAMPO DA ÁGUA VERDE','CANOINHAS','SC','124241241116151431446923575122610127182',NULL,'146',23.90,1,2,1),(28,7274696,'1994-04-18 00:00:00',4,4,12,2011,'F','N','PRESIDENTE MÉDICI','CHAPECÓ','SC','124241241117371431548832571122610132142',8395,'169',48.90,1,2,1),(28,7274700,'1995-05-10 00:00:00',4,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124243244115131711423821175224610126147',17635,'306',39.92,1,3,NULL),(28,7274718,'1994-04-11 00:00:00',2,1,12,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215312431567824522124610213072',NULL,'272',18.72,1,3,NULL),(28,7274726,'1989-06-26 00:00:00',2,16,6,2011,'M','N','SÃO JOSÉ','CURITIBANOS','SC','124241247223131132324369382314610116042',18381,'237',37.71,4,3,NULL),(28,7274742,'1992-02-18 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241416472431424424445124610138147',18094,'307',38.62,2,3,NULL),(28,7274750,'1994-03-10 00:00:00',2,10,10,2011,'M','N','CENTRO','BRAÇO NORTE','SC','124242241215112431558732575122610127052',1096,'807',69.64,1,3,NULL),(28,7274769,'1995-05-04 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431357731295122610138147',19137,'210',34.71,1,3,NULL),(28,7274777,'1994-06-04 00:00:00',4,10,12,2011,'M','N','ANDRINO','TUBARÃO','SC','124241241115371431436614575122610134047',15635,'1034',33.27,1,2,1),(28,7274815,'1987-06-14 00:00:00',2,1,12,2004,'F','N','CENTRO','MAL CÂNDIDO RONDON','PR','116161161116131411123349195121241846147',NULL,'9998',0.00,4,1,1),(28,7274823,'1989-06-24 00:00:00',4,1,12,2006,'M','N','XV DE NOVEMBRO','TIJUCAS','SC','124242241216134451436911245123223224042',9689,'781',54.23,1,3,NULL),(28,7274831,'1995-07-17 00:00:00',4,10,11,2012,'M','S','CENTRO','TUBARÃO','SC','124242241215371231489614575112610164172',NULL,'807',48.96,1,3,NULL),(28,7274858,'1994-12-27 00:00:00',2,7,12,2011,'M','N','PAGNONCELLI','PATO BRANCO','PR','116162161217121431356619475122610164042',8794,'9998',47.41,1,3,NULL),(28,7274866,'1992-05-10 00:00:00',4,3,12,2009,'F','N','FRANCISCO MATARAZZO','STO ANDRÉ','SP','125254251216131531238822385124243224047',NULL,'9998',0.00,4,3,NULL),(28,7274874,'1994-03-16 00:00:00',2,1,12,2011,'F','N','USINA','ANTÔNIO CARLOS','SC','124241241115372431436413372124610122147',3159,'21',61.52,1,2,1),(28,7274882,'1993-11-09 00:00:00',4,8,12,2011,'M','N','ROCIO GRANDE','S FRANCISCO SUL','SC','124242241212111231489612372122610117112',18991,'992',35.36,1,3,NULL),(28,7274904,'1994-03-14 00:00:00',4,1,12,2011,'M','N','CENTRO','IRACEMÁPOLIS','SP','125252251117471431428823575122610167054',16959,'9998',31.05,1,3,NULL),(28,7274912,'1990-11-11 00:00:00',4,1,12,2008,'F','N','TREMEMBÉ','S PAULO','SP','125251251137572411446814575114610162097',6477,'9998',51.58,1,2,1),(28,7274939,'1993-05-04 00:00:00',2,1,12,2010,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124244241116472431327721285124610137042',19618,'278',31.88,1,3,NULL),(28,7274947,'1991-09-04 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241116153431336823145122130227042',14331,'307',46.90,1,2,1),(28,7274955,'1994-07-14 00:00:00',4,27,12,2011,'M','N','CENTRO','ITAPIRANGA','SC','124241241115111431348611592122610118042',NULL,'412',0.00,1,2,1),(28,7274963,'1993-04-03 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241316372431426719575124610164017',15285,'281',36.93,1,3,NULL),(28,7274971,'1991-10-01 00:00:00',2,9,12,2008,'F','N','FATIMA','OTACÍLIO COSTA','SC','124241241116572411448614575124610117142',3222,'935',62.59,1,2,1),(28,7274980,'1996-04-20 00:00:00',4,1,12,2012,'F','S','SERRARIA','S JOSÉ','SC','124242248215111131336731275122610124072',NULL,'868',22.47,1,3,NULL),(28,7274998,'1982-09-18 00:00:00',2,16,12,1999,'F','N','N SRA APARECIDA','CURITIBANOS','SC','124241241111231711324343431232333033095',18400,'238',37.64,1,3,NULL),(28,7275005,'1991-08-11 00:00:00',4,15,12,2009,'M','N','ZONA NOVA','CAPÃO CANOA','RS','120114201146271431526811215122610162187',NULL,'9998',31.63,4,3,NULL),(28,7275013,'1995-07-10 00:00:00',2,1,2,2012,'F','N','BARREIROS','S JOSÉ','SC','124242248215171731426932425122610128052',19219,'738',34.23,1,3,NULL),(28,7275021,'1995-02-11 00:00:00',2,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217151431679813595122610137125',8827,'1050',48.55,1,3,NULL),(28,7275048,'1994-09-24 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117371431436623495124610138197',8767,'307',50.67,1,2,1),(28,7275056,'1992-04-14 00:00:00',2,10,11,2009,'M','N','SAO FCO DE ASSIS','BRAÇO NORTE','SC','124241241135572431456634242223610127052',7463,'100',53.92,1,2,1),(28,7275064,'1994-03-28 00:00:00',4,10,11,2011,'F','N','CENTRO','TUBARÃO','SC','124243248215121431246512425122610128072',NULL,'807',0.00,1,3,NULL),(28,7275072,'1994-06-17 00:00:00',4,27,12,2011,'F','N','JARDIM PEPERI','S MIGUEL OESTE','SC','124241231115371731436614495122610124147',15815,'754',44.06,1,2,1),(28,7275080,'1994-06-01 00:00:00',4,4,12,2010,'F','N','COLATTO','XANXERÊ','SC','124242241236112411449914345124231464052',5631,'836',54.09,1,3,NULL),(28,7275102,'1992-06-12 00:00:00',4,6,11,2009,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124244241217131411345827385121131241147',NULL,'1038',0.00,1,3,NULL),(28,7275137,'1993-10-29 00:00:00',4,3,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241214111532448931475112610167097',10651,'44',47.00,1,3,NULL),(28,7275145,'1990-12-10 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241211123211239921371121121722172',6775,'1063',59.23,1,3,NULL),(28,7275153,'1994-06-24 00:00:00',2,1,12,2011,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241135131431323619395124610157147',18280,'293',29.28,1,3,NULL),(28,7275161,'1993-03-13 00:00:00',2,1,12,2011,'F','N','CENTRO','GAROPABA','SC','124241241136131431628613285124610168077',6560,'322',53.53,1,2,1),(28,7275170,'1993-08-14 00:00:00',2,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241215473431436654575124610125057',5519,'944',57.15,1,3,NULL),(28,7275218,'1994-02-02 00:00:00',2,1,12,2011,'F','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241126161431326634385124610132142',17892,'322',29.15,1,2,1),(28,7275226,'1994-11-07 00:00:00',2,6,11,2011,'F','N','CABEÇUDAS','ITAJAÍ','SC','124242241216121431358824475122610124172',5595,'1026',55.37,1,3,NULL),(28,7275234,'1992-01-19 00:00:00',2,1,12,2008,'F','N','CENTRO','CIDADE GAÚCHA','PR','116162168217574431459939574112610162047',1710,'9998',67.18,1,3,NULL),(28,7275242,'1992-11-26 00:00:00',4,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241122131431436619495124610114142',NULL,'283',21.13,1,3,NULL),(28,7275250,'1995-01-19 00:00:00',4,8,12,2011,'F','N','JARDIM IRIRIÚ','JOINVILLE','SC','124241241116271411426339274122610126177',18231,'957',38.20,2,1,1),(28,7275269,'1994-06-07 00:00:00',2,1,12,2011,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251216111432468514575122610167047',16243,'9998',43.25,1,3,NULL),(28,7275277,'1982-01-14 00:00:00',4,1,12,1999,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243247227153711123441145124610155187',16254,'9999',43.22,1,3,NULL),(28,7275285,'1994-08-29 00:00:00',4,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215372431569933575112610124112',13957,'270',37.64,1,3,NULL),(28,7275293,'1989-10-02 00:00:00',4,1,12,2006,'M','N','MORRO DA CRUZ','FLORIANÓPOLIS','SC','124251251317131441334444145224342066175',17023,'9998',41.49,1,3,NULL),(28,7275307,'1994-02-16 00:00:00',4,4,12,2011,'M','N','BOM SUCESSO','PALMITOS','SC','124241241117371431436412245122610127042',7933,'601',48.41,1,2,1),(28,7275323,'1982-02-02 00:00:00',4,1,12,1999,'M','N','FORQUILHAS','S JOSÉ','SC','624241241126355431228943435134233247067',5342,'620',52.78,1,2,1),(28,7275331,'1990-04-26 00:00:00',4,8,12,2006,'F','N','ITAIM PAULISTA','S PAULO','SP','125253251116471711436313371124610166197',4512,'9998',54.95,1,3,NULL),(28,7275340,'1994-10-13 00:00:00',2,5,10,2011,'F','N','BORTOLOTO','NOVA VENEZA','SC','124241241415111631566412275114610137142',NULL,'226',17.88,1,3,NULL),(28,7275358,'1989-02-08 00:00:00',4,1,12,2006,'M','N','SERRARIA','S JOSÉ','SC','124241241142241121533311345124610147147',NULL,'1116',0.00,1,3,NULL),(28,7275366,'1993-03-28 00:00:00',2,9,12,2011,'F','N','CAMPINAS','BOCAÍNA SUL','SC','124241241115371511226325572124610137142',19658,'91',23.49,1,2,1),(28,7275374,'1994-01-07 00:00:00',4,10,12,2011,'F','N','RIO SÃO JOÃO','S MARTINHO','SC','124241241147161731323316295124610122187',NULL,'750',16.66,1,3,NULL),(28,7275382,'1994-04-28 00:00:00',4,17,11,2011,'F','N','ÁGUA VERDE','CANOINHAS','SC','124244241216112431448732175122610163142',4444,'154',55.60,1,3,NULL),(28,7275412,'1994-04-20 00:00:00',4,10,12,2011,'M','N','MAR GROSSO','LAGUNA','SC','124242241225141421423311215123610127047',16425,'524',30.98,1,3,NULL),(28,7275420,'1994-08-16 00:00:00',4,1,10,2011,'F','N','VORSTADT','BLUMENAU','SC','124242241217272431478832574122610124122',9762,'909',48.04,1,3,NULL),(28,7275439,'1994-04-19 00:00:00',2,1,12,2010,'M','N','CENTRO','GAROPABA','SC','124241241126131731626613245114610168117',NULL,'322',29.71,1,2,1),(28,7275447,'1993-06-04 00:00:00',4,1,6,2011,'F','N','CENTRO','LAGES','SC','124242281435371431437811272112610128142',12538,'1207',44.18,1,3,NULL),(28,7275463,'1989-11-08 00:00:00',4,1,12,2008,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241126373521336311315122610122052',8773,'772',48.71,1,2,1),(28,7275471,'1995-01-09 00:00:00',2,1,12,2012,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124242241215111431468614272124610134042',NULL,'1118',39.04,4,3,NULL),(28,7275480,'1994-06-04 00:00:00',2,16,12,2011,'M','N','NÚCLEO TRITÍCOLA','FR ROGÉRIO','SC','124241241115471431534436571224610132177',5469,'320',56.90,1,2,1),(28,7275498,'1995-05-26 00:00:00',4,2,12,2012,'M','S','SALTO','BLUMENAU','SC','124242241217111411459812445124610167042',NULL,'855',35.61,1,3,NULL),(28,7275501,'1993-11-19 00:00:00',2,1,12,2010,'M','N','INTERLAGOS','TRÊS LAGOAS','MS','112121121114571311426614572321610134042',10615,'9998',52.72,2,1,1),(28,7275510,'1994-09-29 00:00:00',4,1,11,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111431479812472122610112182',4199,'270',60.20,1,3,NULL),(28,7275536,'1993-07-01 00:00:00',4,1,12,2010,'M','N','JARDIM PAULISTA','S PAULO','SP','125252251215471431257812415125610144012',1191,'9998',66.31,1,3,NULL),(28,7275544,'1993-09-27 00:00:00',4,1,12,2011,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124242247135151751236929375114610168122',NULL,'977',29.85,1,3,NULL),(28,7275560,'1993-12-28 00:00:00',4,8,11,2010,'F','N','SÃO BRÁS','CURITIBA','PR','116164161215571431559733575124610132147',NULL,'9998',0.00,1,3,NULL),(28,7275579,'1994-06-19 00:00:00',4,1,12,2011,'F','N','JARDIM JANAÍNA','BIGUAÇU','SC','124241241115131431636313235124610167147',NULL,'257',28.75,2,1,1),(28,7275587,'1994-09-21 00:00:00',4,9,12,2011,'F','N','CORAL','LAGES','SC','124242241215111431558714395122610135122',NULL,'514',26.40,1,3,NULL),(28,7275595,'1995-07-04 00:00:00',4,23,12,2012,'F','S','CENTRO','JARAGUÁ SUL','SC','124242241215111331328924392125610123187',NULL,'1174',56.71,1,3,NULL),(28,7275609,'1990-12-29 00:00:00',2,10,12,2006,'F','N','ROÇA GRANDE','IMBITUBA','SC','124241241113371441435923375124610166197',7178,'359',51.74,1,2,1),(28,7275625,'1992-06-20 00:00:00',4,8,12,2009,'F','N','MORUMBI','CORNÉLIO PROCÓPIO','PR','116164161314572431538614275124610133017',3144,'9998',59.44,1,3,NULL),(28,7275633,'1993-11-17 00:00:00',4,9,12,2011,'F','N','CENTRO','LAGES','SC','124242241216171731235933375122610163147',18464,'515',37.41,1,3,NULL),(28,7275641,'1994-02-04 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115151431457613575124610134055',9668,'267',50.60,1,2,1),(28,7275650,'1990-12-02 00:00:00',4,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124244241415132431337921145334133264072',NULL,'1022',15.69,1,3,NULL),(28,7275676,'1992-02-04 00:00:00',2,8,12,2009,'F','N','ZONA SETE','MARINGÁ','PR','116161161116472431447614572122610164187',5160,'9998',55.76,1,2,1),(28,7275684,'1994-04-29 00:00:00',2,1,12,2011,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241117151411328624575124610162142',20064,'278',26.98,4,3,NULL),(28,7275706,'1992-05-08 00:00:00',2,1,12,2009,'F','N','BOA PARADA','S PEDRO ALCÂNTARA','SC','124241248216273751446422492114610127142',10295,'1022',50.16,1,3,NULL),(28,7275714,'1994-10-18 00:00:00',2,10,11,2011,'F','N','SÃO FRANCISCO DE ASS','BRAÇO NORTE','SC','124241241315131431336824575124610147147',NULL,'102',22.11,1,3,NULL),(28,7275722,'1989-10-14 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241416575431226321315124610136175',10227,'298',53.35,1,3,NULL),(28,7275730,'1993-05-27 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431369911575112610167042',4057,'270',61.64,1,3,NULL),(28,7275749,'1993-10-05 00:00:00',2,3,12,2011,'M','N','CINQUENTENARIO','CAXIAS SUL','RS','120202201217161111349933582124610162011',NULL,'9997',9.34,1,3,NULL),(28,7275773,'1994-10-23 00:00:00',4,15,12,2011,'M','N','CIDADE ALTA','TURVO','SC','124241241115161412433311165122610137182',19665,'814',31.50,1,2,1),(28,7275790,'1994-04-23 00:00:00',2,6,12,2011,'F','N','MONTE ALEGRE','CAMBORIÚ','SC','124241241212131431313621312215610124142',NULL,'53',19.03,1,3,NULL),(28,7275803,'1995-12-04 00:00:00',2,4,12,2012,'M','S','SÃO CRISTÓVÃO','CHAPECÓ','SC','124242241215111731449933575124610117121',NULL,'185',0.00,1,3,NULL),(28,7275811,'1993-09-14 00:00:00',2,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241212152431439812575122231441122',NULL,'226',0.00,1,3,NULL),(28,7275820,'1970-04-19 00:00:00',4,1,9,2007,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224203247216152732228648285122132814177',NULL,'977',0.00,1,3,NULL),(28,7275838,'1960-01-19 00:00:00',5,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','624203208327131421124449495124332731182',NULL,'9998',38.45,1,3,NULL),(28,7275846,'1993-04-02 00:00:00',4,1,12,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241244126371431433311215124610117042',NULL,'1097',21.06,1,3,NULL),(28,7275854,'1993-11-12 00:00:00',4,1,11,2011,'M','N','PARATY','MARÍLIA','SP','125252251217111431466831575112610137017',16409,'9998',42.88,1,3,NULL),(28,7275889,'1992-01-08 00:00:00',2,10,12,2010,'M','N','VILA ALVORADA','IMBITUBA','SC','124241248145271451216663285123610127182',14184,'359',38.13,1,2,1),(28,7275897,'1993-03-13 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112431239429392122610121012',12610,'270',42.52,1,3,NULL),(28,7275900,'1994-04-01 00:00:00',4,1,12,2010,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241116472431423314275124233234147',14876,'592',34.95,1,2,1),(28,7275927,'1993-11-29 00:00:00',2,1,12,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241116141751524614245134610122073',NULL,'257',10.46,2,2,1),(28,7275935,'1989-07-12 00:00:00',2,1,12,2006,'F','N','SERRARIA','S JOSÉ','SC','124241241112144431434614342124610145042',15938,'257',43.81,1,2,1),(28,7275951,'1994-01-23 00:00:00',2,27,12,2011,'F','N','INTERIOR','NOVO HORIZONTE','SC','124241241116371411423615572324610167142',NULL,'745',0.00,1,2,1),(28,7275986,'1993-09-20 00:00:00',2,4,12,2010,'F','N','MUNICIPIOS','BAL CAMBORIÚ','SC','124241241112471431335811571124610124157',15888,'51',34.66,1,2,1),(28,7276001,'1993-04-05 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215212431338632375124231417042',5649,'270',55.98,1,3,NULL),(28,7276028,'1993-11-26 00:00:00',2,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242246117131721536631572124610138187',NULL,'306',40.85,1,3,NULL),(28,7276036,'1992-06-28 00:00:00',2,1,12,2010,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241116132731553333495124233227112',NULL,'271',26.51,1,2,1),(28,7276060,'1991-10-01 00:00:00',4,1,12,2009,'M','N','BELENZINHO','S PAULO','SP','125252256216571751446924375125610167087',NULL,'9998',0.00,5,3,NULL),(28,7276079,'1994-08-27 00:00:00',4,4,12,2011,'M','N','CENTRO','CHAPECÓ','SC','124243241117471431458619572122610137042',4026,'169',57.29,1,3,NULL),(28,7276095,'1991-03-08 00:00:00',4,26,11,2008,'M','N','KOLLER','ERECHIM','RS','120203204221471431458939491122143262042',10390,'9998',53.10,1,3,NULL),(28,7276109,'1984-05-11 00:00:00',2,16,7,2003,'M','N','N SRA APARECIDA','CURITIBANOS','SC','124243247231131421328953351242133118185',NULL,'237',25.19,1,3,NULL),(28,7276117,'1994-01-09 00:00:00',4,1,11,2010,'M','N','CENTRO','BRAÇO NORTE','SC','124242241211472431448913272124610167142',2806,'806',60.90,1,3,NULL),(28,7276125,'1994-11-25 00:00:00',2,16,12,2011,'F','N','CENTRO','STA CECÍLIA','SC','124241241116371731426614575122610126142',NULL,'686',24.24,1,2,1),(28,7276141,'1991-03-04 00:00:00',4,1,12,2009,'F','N','TATUAPÉ','S PAULO','SP','125251251446471431433623285114610167087',NULL,'9998',0.00,2,1,2),(28,7276150,'1993-10-17 01:00:00',2,1,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124243241116371431425559385112610127042',NULL,'521',33.78,1,3,NULL),(28,7276168,'1969-10-01 00:00:00',4,1,11,1987,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124202206311131451128841411122142126115',11964,'9998',50.59,1,3,NULL),(28,7276176,'1994-05-27 00:00:00',4,1,12,2011,'M','N','BELA VISTA','S JOSÉ','SC','124241241115471431668313571124610122092',6502,'726',53.40,1,2,1),(28,7276184,'1990-04-06 00:00:00',2,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124162161216514751228934445234610167041',8227,'9998',48.33,1,3,NULL),(28,7276192,'1992-03-22 00:00:00',2,8,12,2009,'M','N','FLOR DA SERRA','RIO B IGUAÇU','PR','216161161114571441523316574324610164057',NULL,'9998',0.00,1,2,1),(28,7276206,'1993-12-20 00:00:00',4,1,12,2011,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091216111421488912572122610164142',3645,'9998',59.39,1,3,NULL),(28,7276214,'1994-08-29 00:00:00',4,3,12,2011,'M','N','CENTRO','TUPÃ','SP','125254251216111431348613275121610122042',2210,'9998',64.45,1,3,NULL),(28,7276230,'1994-05-02 00:00:00',2,1,12,2011,'F','N','INTERIOR','URUBICI','SC','124241241215161431415635582224610134147',14851,'817',37.21,1,3,NULL),(28,7276249,'1986-10-02 00:00:00',4,1,7,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242167237274431461923211121610127053',8569,'9998',48.27,1,3,NULL),(28,7276265,'1992-10-31 00:00:00',4,1,12,2009,'F','N','PENHA','IJUÍ','RS','120201201116131431436613571125610134147',12884,'9998',38.78,1,2,1),(28,7276273,'1992-07-04 00:00:00',4,5,7,2010,'M','N','CENTRO','CRICIÚMA','SC','124243247426151231336621315114233222197',19703,'920',31.15,1,3,NULL),(28,7276281,'1994-08-13 00:00:00',4,1,11,2012,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','624242241215111732446632155124610123092',NULL,'1197',31.59,1,3,NULL),(28,7276290,'1990-04-20 00:00:00',2,1,12,2008,'F','N','SERRANO','CAXIAS SUL','RS','120201201217271431427711485124140863041',NULL,'9998',21.83,1,3,NULL),(28,7276303,'1992-05-25 00:00:00',4,1,12,2009,'M','N','PARQUE SÃO BENTO','LIMEIRA','SP','125252251334471731438813372122610127057',NULL,'9998',21.29,1,3,NULL),(28,7276311,'1994-08-28 00:00:00',2,4,12,2011,'F','N','CENTRO','PALMITOS','SC','124241241116271431223316575124610127142',8466,'1030',48.90,1,2,1),(28,7276320,'1994-03-17 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111532479813495122610137043',3519,'262',61.58,1,3,NULL),(28,7276338,'1994-08-07 00:00:00',2,7,11,2011,'F','N','CENTRO','JOAÇABA','SC','124243241215371421568612572122610142142',15704,'446',32.14,1,3,NULL),(28,7276346,'1993-10-26 00:00:00',4,1,11,2010,'M','N','VILA LEOPOLDINA','S PAULO','SP','125252251217471731337832571124610167122',3264,'9998',58.72,1,3,NULL),(28,7276354,'1991-01-05 00:00:00',4,1,12,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241117373431569933345122231027042',15229,'267',37.36,1,2,1),(28,7276362,'1990-11-27 00:00:00',4,25,12,2011,'M','N','MATRIZ','VIDEIRA','SC','124241247117371121337522342122610114057',NULL,'9999',17.08,1,2,1),(28,7276370,'1993-11-22 00:00:00',4,8,12,2011,'F','N','JARDIM ALVORADA','CÂNDIDO MOTA','SP','116252161116161731319632395123610168142',NULL,'9998',0.00,2,1,2),(28,7276389,'1993-02-09 00:00:00',2,1,12,2010,'F','N','BAIRRO FETT','URUBICI','SC','124241248117371431211467172321610128047',NULL,'818',21.20,4,2,1),(28,7276397,'1991-05-16 00:00:00',2,1,12,2007,'F','N','CAMPO DUNA','GAROPABA','SC','124241241135374431544932575124221463142',4748,'322',55.78,1,2,1),(28,7276400,'1984-12-06 00:00:00',4,1,11,2003,'M','N','PRAIA MOLE','FLORIANÓPOLIS','SC','124163167336141411459814435121142867117',NULL,'9998',0.00,1,3,NULL),(28,7276419,'1994-02-27 00:00:00',2,5,12,2010,'F','N','N S DA SALETE','CRICIÚMA','SC','124203241315471431559813575114610114057',NULL,'209',34.32,1,3,NULL),(28,7276435,'1994-04-08 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431468613475112610123142',6350,'270',53.48,1,3,NULL),(28,7276443,'1971-07-05 00:00:00',4,1,12,1988,'M','N','PONTA DA PRAIA','SANTOS','SP','125251251216571411558834475124342862172',3402,'9998',61.98,1,3,NULL),(28,7276460,'1995-01-12 00:00:00',4,4,12,2011,'F','N','CENTRO','ARVOREDO','SC','124241241125471431448413572122610124143',8402,'36',50.67,1,2,1),(28,7276478,'1982-08-26 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241316172711579833485123330727105',18098,'269',38.61,1,3,NULL),(28,7276486,'1994-10-17 00:00:00',2,1,12,2011,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124241241115471731633614592124610137045',15506,'64',39.65,1,2,1),(28,7276494,'1993-01-29 00:00:00',4,5,11,2010,'M','N','COMERCIARIO','CRICIÚMA','SC','124242241217141532556812415122233248047',NULL,'226',27.35,4,3,NULL),(28,7276508,'1994-05-04 00:00:00',4,15,12,2010,'F','N','CIDADE ALTA','TURVO','SC','124243241216473311486612575122610163182',13165,'813',40.02,1,3,NULL),(28,7276516,'1993-05-02 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431339711395114610147017',5945,'226',60.68,1,3,NULL),(28,7276524,'1994-01-06 00:00:00',2,5,12,2011,'F','N','BARRO VERMELHOR','ORLEANS','SC','124242241215123431323912125124610124142',15108,'226',45.39,1,3,NULL),(28,7276532,'1992-09-03 00:00:00',4,1,12,2009,'M','N','SOCORRO','PINDAMONHANGABA','SP','125252251216371411478832592122141067182',NULL,'9998',0.00,1,3,NULL),(28,7276559,'1989-10-19 00:00:00',4,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124253251417371431326612382344610124047',NULL,'9998',NULL,1,3,NULL),(28,7276567,'1995-04-07 00:00:00',4,1,11,2012,'F','S','PLANALTO VERDE','CAMBÉ','PR','116162161216111731468716575122610166092',NULL,'9998',31.98,3,3,NULL),(28,7276575,'1994-06-09 00:00:00',4,1,11,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215112731437839375124610127182',10991,'270',42.51,1,3,NULL),(28,7276583,'1993-07-17 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241114151411523321342114613254041',NULL,'285',15.88,1,2,1),(28,7276591,'1988-03-20 00:00:00',2,9,12,2005,'F','N','CORAL','LAGES','SC','124201241115272431633639295124331223052',13520,'512',40.57,1,2,1),(28,7276605,'1994-07-24 00:00:00',2,1,12,2011,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241241117371731424434572124610168142',16489,'592',33.25,1,2,1),(28,7276613,'1993-07-28 00:00:00',4,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124241241136472411348614575124220467042',NULL,'430',0.00,1,2,1),(28,7276621,'1994-05-18 00:00:00',2,1,12,2011,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115141231226824575124610133192',18389,'307',27.20,1,2,1),(28,7276630,'1994-11-28 00:00:00',4,1,11,2011,'M','N','BOSQUE DAS MANSÕES','S JOSÉ','SC','124242241215111431579614372122610127142',18973,'723',35.40,1,3,NULL),(28,7276648,'1993-06-07 00:00:00',2,6,12,2010,'M','N','SÃO VICENTE','ITAJAÍ','SC','124241241116372431336612275122610112182',11918,'395',43.15,1,2,1),(28,7276664,'1986-11-09 00:00:00',5,1,12,2003,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241316132431369913245132420727093',10363,'1036',53.14,1,3,NULL),(28,7276672,'1979-10-02 00:00:00',4,1,12,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241413132421347841425132330227183',15319,'270',44.99,1,3,NULL),(28,7276680,'1992-12-03 00:00:00',4,5,11,2009,'M','N','CENTRO','URUSSANGA','SC','124242241215373431368923571122131068112',6332,'226',53.73,1,3,NULL),(28,7276699,'1994-07-26 00:00:00',2,1,12,2011,'M','N','PEREQUE','PTO BELO','SC','124201241136131431534414245121610122147',NULL,'405',18.16,2,1,1),(28,7276702,'1990-08-20 00:00:00',4,1,2,2007,'M','N','N SENHORA DO ROSÁRIO','S JOSÉ','SC','124242241417374431358933382112610124185',13162,'739',42.52,1,3,NULL),(28,7276710,'1994-05-31 00:00:00',4,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124243241117131441437911575121610134147',NULL,'734',32.60,1,3,NULL),(28,7276729,'1994-07-11 00:00:00',4,10,11,2011,'M','N','CENTRO','TUBARÃO','SC','124242241215371431269813575122610114011',1792,'797',69.16,1,3,NULL),(28,7276737,'1991-12-30 00:00:00',4,9,12,2008,'F','N','SAGRADO CORAÇÃO DE J','LAGES','SC','124242241216575411479933595122132634122',NULL,'1146',0.00,1,3,NULL),(28,7276745,'1994-06-14 00:00:00',2,1,11,2011,'M','N','ROÇADO','S JOSÉ','SC','124242241215112431468832395124610167042',9821,'1022',46.86,1,3,NULL),(28,7276753,'1994-04-05 00:00:00',2,24,11,2011,'F','N','BELA ALIANÇA','RIO SUL','SC','124242241217151751447636572124610168187',16253,'959',33.13,1,3,NULL),(28,7276761,'1995-03-03 00:00:00',2,25,12,2011,'F','N','CENTRO','CAÇADOR','SC','124242241215111431239812572112610137142',11755,'1124',41.59,1,3,NULL),(28,7276770,'1991-05-12 00:00:00',4,1,12,2009,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241215573121458834475114610167067',17131,'272',34.57,1,3,NULL),(28,7276788,'1995-03-07 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241136131431339344345235610114197',17831,'295',39.39,1,2,1),(28,7276800,'1992-03-18 00:00:00',2,1,12,2011,'F','N','CRISTAL','PTO ALEGRE','RS','120202201217111531438824472124610167057',NULL,'9998',25.07,4,3,NULL),(28,7276850,'1967-08-26 00:00:00',4,1,7,1985,'M','N','CACUPE','FLORIANÓPOLIS','SC','224281281116151411564442425132141468035',13855,'9998',47.64,1,3,NULL),(28,7276869,'1994-03-28 00:00:00',2,9,11,2011,'F','N','MARTORANO','S JOAQUIM','SC','124242241211151431326613175122610167012',13472,'721',38.63,1,3,NULL),(28,7276877,'1994-05-24 00:00:00',2,8,12,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124161241137151731437614572124610148012',NULL,'464',0.00,4,3,NULL),(28,7276893,'1988-09-29 00:00:00',2,15,12,2005,'M','N','JARDIM CIBELE','ARARANGUÁ','SC','124241241136151422433519385112610167182',18377,'30',37.72,1,2,1),(28,7276931,'1993-03-28 00:00:00',2,1,12,2011,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241136131431628823385124610167047',NULL,'9997',22.78,1,2,1),(28,7276940,'1994-02-25 00:00:00',2,24,12,2011,'F','N','CENTRO','AGRONÔMICA','SC','124241241115271431424631245124610124192',13955,'659',39.94,1,2,1),(28,7276958,'1993-08-03 00:00:00',2,1,11,2010,'M','N','UNIVERSITÁRIO','LAGES','SC','124242241215471751548811572115610167117',19270,'497',34.02,1,3,NULL),(28,7276982,'1993-01-14 00:00:00',2,6,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124244241215111731338617575122610137077',NULL,'407',0.00,1,3,NULL),(28,7276990,'1995-02-03 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431389913575122610117012',6585,'1022',53.84,1,3,NULL),(28,7277008,'1993-10-10 00:00:00',4,1,12,2011,'M','N','NOVA BRASILIA','IMBITUBA','SC','124161241115131431533933372124610117047',NULL,'359',13.86,1,2,1),(28,7277016,'1993-04-02 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241117272431425311591124610122192',NULL,'285',0.00,1,3,NULL),(28,7277024,'1993-04-17 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241116572431633629575124610168147',7138,'257',53.64,1,2,1),(28,7277032,'1984-01-27 00:00:00',4,1,12,2002,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224251251127371421236644245123610124112',NULL,'9998',39.06,4,2,1),(28,7277040,'1994-08-30 00:00:00',2,1,12,2011,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241115141311433312332124610113142',17401,'307',32.32,1,2,1),(28,7277059,'1994-08-28 00:00:00',4,6,12,2011,'F','N','CENTRO','ITAJAÍ','SC','124242241215131441526629595125610166177',7984,'388',48.29,1,3,NULL),(28,7277067,'1992-09-04 00:00:00',4,1,11,2009,'F','N','ROÇADO','S JOSÉ','SC','124242241216574431468923575122230433075',8029,'723',49.21,3,3,NULL),(28,7277075,'1993-10-04 00:00:00',2,1,12,2010,'F','N','ESTREITO','ALFREDO WAGNER','SC','124241241126373431346624275114610164142',3445,'13',59.94,1,2,1),(28,7277091,'1995-06-02 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111331445722575122610122077',9694,'1022',46.55,1,3,NULL),(28,7277105,'1995-12-26 00:00:00',2,1,12,2011,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241116111431668832175122610167047',NULL,'738',25.55,1,3,NULL),(28,7277113,'1981-01-01 00:00:00',2,1,2,1999,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241212134451223941312224223268197',NULL,'270',0.00,1,3,NULL),(28,7277121,'1991-04-08 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241147131731124449245124142065157',18723,'295',26.33,1,2,1),(28,7277130,'1989-03-27 00:00:00',4,17,12,2006,'M','N','CAJURU','CURITIBA','PR','116241242116132431133335385224241434112',5676,'143',52.72,1,2,1),(28,7277164,'1994-06-08 00:00:00',4,1,12,2011,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124243241225141421543539295124610161197',17237,'262',30.73,1,3,NULL),(28,7277172,'1993-12-03 00:00:00',4,1,12,2010,'M','N','ZONA CINCO','MARINGÁ','PR','116162161216471411469911575112610167067',3108,'9998',59.59,3,3,NULL),(28,7277180,'1991-03-18 00:00:00',2,15,12,2007,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241116132431536823271124233214092',NULL,'29',28.59,1,3,NULL),(28,7277199,'1990-02-28 00:00:00',2,1,12,2009,'M','N','PINHEIRA','PALHOÇA','SC','124241241112272512622314185214610117111',NULL,'595',23.95,4,2,1),(28,7277202,'1994-03-27 00:00:00',2,10,12,2011,'M','N','ALTO RIO FORTUNA','RIO FORTUNA','SC','124241241115371431436316165124610127062',11660,'665',43.28,1,2,1),(28,7277210,'1993-09-07 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241225272431535534245124610148055',10436,'262',41.03,1,3,NULL),(28,7277229,'1994-03-04 00:00:00',4,2,12,2011,'F','N','PROGRESSO','BLUMENAU','SC','124241241122151731343624115124610118147',NULL,'80',16.91,1,3,NULL),(28,7277237,'1991-08-30 00:00:00',4,1,6,2010,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241247125131232526519385212610127041',18068,'9997',32.81,1,3,NULL),(28,7277245,'1994-07-10 00:00:00',2,4,11,2011,'F','N','ESPORTES','XANXERÊ','SC','124241241416111431434624575122610126072',9429,'836',47.40,1,3,NULL),(28,7277253,'1996-02-16 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215111711568912571124610128142',18584,'9997',36.96,1,3,NULL),(28,7277270,'1988-02-06 00:00:00',2,1,12,2005,'M','N','OPERÁRIO','TRÊS PASSOS','RS','124201201216151411535633575124341466092',NULL,'9998',0.00,1,3,NULL),(28,7277296,'1994-09-17 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431488832575122610137122',5367,'262',55.10,1,3,NULL),(28,7277300,'1995-01-04 00:00:00',2,4,11,2011,'M','N','CENTRO','OURO VERDE','SC','124241241235111231569915575122610144172',NULL,'836',29.69,4,3,NULL),(28,7277318,'1994-03-02 00:00:00',4,6,11,2011,'F','N','CENTRO','ITAJAÍ','SC','124242241215111431458811275122610148077',17603,'392',40.02,1,3,NULL),(28,7277326,'1989-12-14 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124163161317131411219951212221610127012',19563,'9998',32.29,3,3,NULL),(28,7277334,'1991-11-08 00:00:00',4,1,12,2009,'F','N','SÃO LUIZ','S JOSÉ','SC','124241241117131721636653372124610133017',NULL,'727',28.04,3,3,NULL),(28,7277342,'1994-09-09 00:00:00',2,2,12,2011,'F','N','ENCANO DO NORTE','INDAIAL','SC','124243241215151131423364372124610127097',16199,'925',34.44,4,3,NULL),(28,7277350,'1991-06-06 00:00:00',4,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211113751468833381121532017187',15729,'1022',44.24,4,3,NULL),(28,7277369,'1991-01-04 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124092091236574431268812575112610164031',250,'270',76.80,1,3,NULL),(28,7277377,'1994-07-20 00:00:00',2,5,10,2011,'F','N','SANTO ANTONIO','CRICIÚMA','SC','124241241415121431419712372114610138197',6586,'226',53.54,1,3,NULL),(28,7277385,'1993-03-02 00:00:00',2,6,12,2010,'M','N','CORDEIROS','ITAJAÍ','SC','124241241117372441646423585121610126047',NULL,'396',26.44,1,2,1),(28,7277415,'1991-02-09 00:00:00',4,4,12,2007,'F','N','CENTRO','PATO BRANCO','PR','116161161116573431448614575124610166147',NULL,'9998',0.00,1,2,1),(28,7277431,'1974-03-18 00:00:00',4,1,12,2011,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','224244247226131421533341115124610158047',NULL,'9999',20.84,1,3,NULL),(28,7277440,'1995-06-26 00:00:00',4,15,12,2011,'F','N','CENTRO','ARARANGUÁ','SC','124242244215371411365612575122610148142',6317,'27',53.77,1,3,NULL),(28,7277474,'1994-03-03 00:00:00',2,15,12,2011,'F','N','ERECHIN','BAL ARROIO SILVA','SC','124241241147141632423511242234610163057',18936,'854',29.38,1,2,1),(28,7277490,'1992-01-02 00:00:00',2,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241217272431426614572124610122017',13475,'1023',40.65,1,3,NULL),(28,7277504,'1988-11-17 00:00:00',4,1,12,2006,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241247336272411226313495124610126087',16103,'9999',43.50,1,3,NULL),(28,7277512,'1994-06-29 00:00:00',2,22,12,2011,'M','N','BATEAS','BRUSQUE','SC','124242241225111411478812345122610168196',NULL,'107',0.00,1,3,NULL),(28,7277520,'1993-04-25 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247215111431569731495114610124182',16766,'9999',42.07,1,3,NULL),(28,7277539,'1992-07-30 00:00:00',4,1,12,2010,'F','N','RIO VERMEHO','FLORIANÓPOLIS','SC','124241241127372731537622381124610164142',NULL,'274',23.69,1,2,1),(28,7277547,'1969-09-22 00:00:00',2,1,11,1987,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224242246216135441224344345124532347147',NULL,'494',0.00,1,3,NULL),(28,7277555,'1994-02-22 00:00:00',4,1,11,2011,'M','N','SANTA GENOVEVA','GOIÂNIA','GO','109092091217111431488811572122610122122',2654,'9998',61.13,1,3,NULL),(28,7277571,'1992-07-15 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241213573751268813575122610168187',3607,'262',65.34,1,3,NULL),(28,7277580,'1994-05-22 00:00:00',4,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127131411525321575124610117147',NULL,'283',20.93,1,2,1),(28,7277598,'1992-07-12 00:00:00',2,25,12,2010,'M','N','QUARTEL','VIDEIRA','SC','124241241112131121113649342122610167092',NULL,'831',10.40,1,3,NULL),(28,7277601,'1993-09-28 00:00:00',2,1,12,2010,'F','N','VISTA ALEGRE','LIMEIRA','SP','125251251116472731326429572224610123092',11455,'9998',42.62,1,2,1),(28,7277610,'1993-10-12 00:00:00',2,1,12,2010,'M','N','COSTA DE DENTRO','FLORIANÓPOLIS','SC','124243241117271732226821476114610167117',14788,'285',38.76,1,3,NULL),(28,7277628,'1993-01-25 00:00:00',1,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115373431466623472115610124142',8734,'267',50.21,1,2,1),(28,7277636,'1994-07-01 00:00:00',2,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124243241216111431336724575122610122077',NULL,'976',0.00,1,3,NULL),(28,7277644,'1993-04-03 00:00:00',4,1,12,2010,'M','N','JARDINS','ARACAJU','SE','126262261216151731569932375122241467112',NULL,'9998',0.00,4,3,NULL),(28,7277652,'1974-01-19 00:00:00',4,1,12,1990,'M','N','AREIAS','S JOSÉ','SC','524242241216153411253641315132331242112',NULL,'1169',0.00,1,3,NULL),(28,7277660,'1993-09-09 00:00:00',2,8,12,2010,'M','N','PARANAGUAMIRIM','JOINVILLE','SC','124241246216371721435334345134610137042',10634,'1006',42.33,1,3,NULL),(28,7277679,'1986-03-27 00:00:00',4,1,7,2006,'M','N','BALNEARIO DANIELA','FLORIANÓPOLIS','SC','124242247437242441354827315112130224132',13580,'9999',48.11,1,3,NULL),(28,7277687,'1994-11-10 00:00:00',4,1,11,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111751326339595124610127053',NULL,'1022',21.66,1,3,NULL),(28,7277695,'1994-03-29 00:00:00',4,2,10,2011,'F','N','RIO MORTO','INDAIAL','SC','124244241215121431469611575124610144192',3364,'855',60.25,1,3,NULL),(28,7277709,'1994-05-21 00:00:00',2,4,12,2011,'M','N','SÃO FRANCISCO','S BERNARDINO','SC','124241241113271431425435572224610137057',16506,'701',34.98,1,2,1),(28,7277717,'1995-02-09 00:00:00',4,1,12,2012,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241217112721649813245122610131092',NULL,'988',50.97,1,3,NULL),(28,7277725,'1995-03-08 00:00:00',4,2,12,2012,'F','S','VELHA','BLUMENAU','SC','124244241217171711358824595124610112192',NULL,'88',37.61,1,3,NULL),(28,7277750,'1994-02-07 00:00:00',4,1,12,2011,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124241241126131432535331575114610156177',19247,'279',34.13,1,2,1),(28,7277768,'1991-01-17 00:00:00',2,1,12,2008,'F','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124241241116132431436633345124122528187',18794,'271',36.11,1,2,1),(28,7277776,'1993-02-24 00:00:00',2,1,11,2010,'F','N','JARDIM GOIAS','GOIÂNIA','GO','109091091112271411238612572122610136097',17287,'9998',29.59,1,3,NULL),(28,7277784,'1994-07-05 00:00:00',4,8,12,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124243241415111431436932325124610162092',NULL,'931',0.00,1,3,NULL),(28,7277792,'1995-04-12 00:00:00',4,10,12,2012,'M','S','CENTRO','BRAÇO NORTE','SC','124242241215151411328732575122610117052',NULL,'807',43.25,1,3,NULL),(28,7277806,'1994-03-09 00:00:00',2,5,12,2011,'F','N','CIDADE ALTA','TURVO','SC','124243241217272431348619595122610131097',6358,'813',54.11,1,3,NULL),(28,7277822,'1994-08-19 00:00:00',4,6,11,2011,'M','N','CORDEIROS','ITAJAÍ','SC','124241241215111731326634345124610132177',7958,'388',54.37,1,3,NULL),(28,7277830,'1994-06-13 00:00:00',2,1,12,2011,'F','N','CAMPESTRE','VIDAL RAMOS','SC','124241241127161411556636342124610124052',NULL,'828',21.55,1,2,1),(28,7277849,'1994-02-07 00:00:00',2,10,11,2011,'M','N','MAR GROSSO','LAGUNA','SC','124242241217111431364529175112610127051',5189,'807',57.45,1,3,NULL),(28,7277873,'1993-10-28 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215422421479839575122610124052',3974,'270',59.68,3,3,NULL),(28,7277881,'1990-11-20 00:00:00',4,16,12,2007,'F','N','SANTO ANTONIO','CURITIBANOS','SC','124241241133371451326329341234610124147',NULL,'239',32.89,1,2,1),(28,7277890,'1989-01-07 00:00:00',4,1,11,2006,'M','N','JD GIRASSOL','DOURADOS','MS','112124121216573531478923145122241047185',NULL,'9998',0.00,1,3,NULL),(28,7277903,'1988-01-01 00:00:00',4,1,12,2005,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215273421354824472122231914192',NULL,'1022',0.00,1,3,NULL),(28,7277911,'1993-10-28 00:00:00',4,8,12,2010,'M','N','AGUA RASA','S PAULO','SP','125253253116151411466711275124141046042',10417,'9998',53.05,1,3,NULL),(28,7277920,'1968-10-24 00:00:00',4,1,11,2011,'M','N','FORQUILINHAS','S JOSÉ','SC','424241247125141421458842225122610164032',18194,'9997',38.32,1,3,NULL),(28,7277938,'1992-10-29 00:00:00',4,16,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124241241115252111346921575112610132177',11963,'239',41.21,1,2,1),(28,7277954,'1994-02-28 00:00:00',4,1,12,2011,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115131431424411276215610121142',NULL,'21',31.62,1,2,1),(28,7277962,'1994-09-30 00:00:00',2,1,12,2011,'F','N','EGITO','ANTÔNIO CARLOS','SC','124241241115161731523315372224610127047',18683,'21',27.92,1,2,1),(28,7277970,'1993-02-23 00:00:00',2,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124241241117471431636314272124610114047',11023,'1116',46.22,2,1,1),(28,7277989,'1994-08-10 00:00:00',2,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241215111232526623575122610137035',11387,'1118',44.41,1,3,NULL),(28,7278004,'1986-02-25 00:00:00',4,1,12,2004,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243247217572421167911317124130461182',15309,'9999',45.01,1,3,NULL),(28,7278020,'1992-09-16 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215372431467824375114610126077',2677,'262',62.19,1,3,NULL),(28,7278039,'1989-10-02 00:00:00',2,8,12,2006,'F','N','SANTA QUITERIA','CURITIBA','PR','116162161216151711659932315122343236182',NULL,'9998',0.00,4,3,NULL),(28,7278055,'1990-03-10 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241226575431445334245124233234067',2846,'262',63.87,1,3,NULL),(28,7278063,'1994-09-14 00:00:00',4,6,12,2011,'F','N','VILA DO SALTO','LUIZ ALVES','SC','124241241215111531466716575124610138192',NULL,'394',0.00,1,3,NULL),(28,7278080,'1994-04-28 00:00:00',2,1,12,2011,'M','N','CRISTO REI','FRANCISCO BELTRÃO','PR','116161161215111731449613575121610167047',12355,'9998',41.17,1,3,NULL),(28,7278101,'1994-10-23 00:00:00',4,1,12,2012,'F','S','NOSSA SENHORA DO ROS','S JOSÉ','SC','124242241211111431346911575124610124042',NULL,'738',18.27,1,3,NULL),(28,7278110,'1995-01-03 00:00:00',4,1,12,2012,'M','S','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241115141731459613245124610127065',NULL,'271',34.35,1,3,NULL),(28,7278136,'1995-03-16 00:00:00',2,1,11,2011,'M','N','MORRO DA BINA','BIGUAÇU','SC','124242241216111311236632295121610162122',15255,'1040',38.08,1,3,NULL),(28,7278144,'1991-12-11 00:00:00',2,1,11,2008,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241116132431446611395114230527141',NULL,'307',19.42,1,2,1),(28,7278152,'1992-09-28 00:00:00',4,1,12,2010,'F','N','CENTRO','ITUPORANGA','SC','124241245127141421619313335124142733072',NULL,'416',25.39,2,1,1),(28,7278160,'1994-02-07 00:00:00',4,1,12,2011,'M','N','JD PAULISTA','LIMEIRA','SP','125252251217111431535823346122610167114',4637,'9998',56.28,1,3,NULL),(28,7278187,'1994-02-28 00:00:00',4,1,12,2010,'F','N','SAO SEBASTIAO','PALHOÇA','SC','124243241116152431336613585122610112192',15542,'591',33.51,1,3,NULL),(28,7278195,'1984-05-01 00:00:00',2,1,12,2001,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241127132421126344242124130215187',18308,'175',30.25,1,3,NULL),(28,7278209,'1994-05-29 00:00:00',2,5,11,2011,'F','N','CENTRO','TURVO','SC','124242241215151751448932375122610144147',NULL,'813',0.00,3,3,NULL),(28,7278217,'1994-01-28 00:00:00',4,9,12,2011,'F','N','BEATRIZ','LAGES','SC','124241241216151431444431572122610164057',15671,'515',34.54,1,3,NULL),(28,7278225,'1993-11-14 00:00:00',2,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241225131431626719375124610164047',7663,'262',51.53,1,3,NULL),(28,7278233,'1995-01-23 00:00:00',2,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124241241215271432423314142122610158042',18682,'1076',28.99,1,3,NULL),(28,7278241,'1984-09-04 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211134751538639445125133217047',17987,'272',38.97,1,3,NULL),(28,7278250,'1967-10-21 00:00:00',2,1,12,2004,'F','N','AREIAS','S JOSÉ','SC','224241247126473411646443435134610132197',15257,'9999',37.01,1,2,1),(28,7278268,'1994-04-26 00:00:00',2,1,12,2011,'F','N','CENTRO','BIGUAÇU','SC','124243241215111431453812395122610127053',14938,'1040',35.70,1,3,NULL),(28,7278284,'1995-12-22 00:00:00',4,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124242241217111731326732575122610132187',12690,'1011',49.44,1,3,NULL),(28,7278306,'1992-07-01 00:00:00',4,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124252251437271441638814282122610144042',6278,'9998',60.09,1,3,NULL),(28,7278314,'1990-05-21 00:00:00',2,1,12,2007,'M','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124201202112131431223674242134610117047',NULL,'9998',7.36,2,3,NULL),(28,7278322,'1994-03-26 00:00:00',2,1,12,2010,'F','N','XV DE NOVEMBRO','TIJUCAS','SC','124242241211112431437612345122222225097',11799,'1119',40.97,1,3,NULL),(28,7278330,'1987-08-23 00:00:00',2,1,12,2004,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241342143411653829322122122234047',7524,'1048',48.65,1,3,NULL),(28,7278349,'1994-06-04 00:00:00',4,1,12,2011,'M','N','CENTRO','GAROPABA','SC','124242241215112431368921575122610144181',5499,'1253',61.50,1,3,NULL),(28,7278365,'1995-02-02 00:00:00',4,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124242241216151631425612575122610124193',11897,'1175',43.66,1,3,NULL),(28,7278373,'1994-08-28 00:00:00',4,1,11,2011,'M','N','ESMERALDA','MARÍLIA','SP','125252251216111411348822575112610117117',NULL,'9998',20.34,1,3,NULL),(28,7278381,'1993-09-28 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124161241117372451423511342224610163142',16646,'732',34.89,4,2,1),(28,7278403,'1994-02-12 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215322431458834585112610142142',14998,'226',45.62,1,3,NULL),(28,7278411,'1993-02-03 00:00:00',2,1,12,2010,'M','N','FLORESTA','S JOSÉ','SC','124242241216272231226829575124610167181',15753,'1118',36.36,1,3,NULL),(28,7278420,'1995-04-10 00:00:00',4,2,11,2012,'M','S','GLÓRIA','RIO CEDROS','SC','124241241215111711334419595124610132147',NULL,'1157',44.32,1,3,NULL),(28,7278438,'1992-05-07 00:00:00',2,1,12,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241225132431116749575124221464187',12742,'262',49.37,2,1,2),(28,7278446,'1993-09-19 00:00:00',1,1,12,2010,'F','N','XV DE NOVEMBRO','TIJUCAS','SC','124241241216162431544933295124222263195',NULL,'1119',25.83,1,3,NULL),(28,7278454,'1994-03-07 00:00:00',4,2,12,2011,'M','N','ESCOLA AGRICOLA','BLUMENAU','SC','124242241217121411568812575122610168062',4477,'909',54.98,1,3,NULL),(28,7278489,'1994-04-21 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124162241215111451486616472112610127062',723,'1118',71.60,1,3,NULL),(28,7278497,'1989-07-13 00:00:00',2,5,12,2006,'F','N','MICHEL','CRICIÚMA','SC','124241241211132431447739491122231437112',NULL,'226',14.66,1,3,NULL),(28,7278500,'1989-08-02 00:00:00',2,15,12,2006,'F','N','COLONINHA','ARARANGUÁ','SC','124241241137371721321617172311610123182',16869,'28',41.83,1,2,1),(28,7278519,'1991-10-02 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124243241215573431367619446124610123117',8684,'723',55.94,1,3,NULL),(28,7278527,'1992-08-18 00:00:00',2,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241116471231434623575114610127042',17448,'307',40.42,1,2,1),(28,7278535,'1993-10-31 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124242241215372431376832575112610162047',12212,'738',44.67,1,3,NULL),(28,7278543,'1989-07-03 00:00:00',2,1,12,2005,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241415375441136632415123322262195',399,'970',76.08,1,3,NULL),(28,7278551,'1975-10-08 00:00:00',2,8,12,1991,'M','N','BOM RETIRO','JOINVILLE','SC','124241241126131411123349194112131045092',9599,'788',46.48,1,2,1),(28,7278560,'1995-01-16 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124243241117111431435924575122610136072',13412,'739',38.57,1,3,NULL),(28,7278578,'1991-05-20 00:00:00',4,1,12,2008,'M','N','CAMPO GRANDE','S PAULO','SP','125253253216371431436714575122610138092',18632,'9998',36.77,1,3,NULL),(28,7278586,'1976-06-20 00:00:00',4,1,6,1997,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','224241247326133431436553215132610132047',18310,'9999',37.92,1,3,NULL),(28,7278608,'1994-06-27 00:00:00',2,1,12,2011,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','111112111217111411239724372124610126091',5421,'9998',52.91,2,3,NULL),(28,7278616,'1991-03-21 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272431157769595124221438192',8617,'486',56.08,1,3,NULL),(28,7278624,'1994-01-27 00:00:00',4,1,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161217411711469931572122610122142',NULL,'9998',0.00,1,3,NULL),(28,7278659,'1994-09-19 00:00:00',4,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124241241135271431358634345124610123142',14495,'1116',35.76,1,2,1),(28,7278667,'1986-12-02 00:00:00',4,15,12,2004,'M','N','MINA DO TOCO','CRICIÚMA','SC','124241241147141411446314245122610165042',NULL,'228',0.00,1,3,NULL),(28,7278675,'1995-03-09 00:00:00',4,1,11,2011,'M','N','CENTRO','TAPURAH','MT','111114111216111432327627575225610167062',NULL,'9998',0.00,1,3,NULL),(28,7278683,'1983-01-21 00:00:00',2,1,12,2000,'F','N','PASSA VINTE','PALHOÇA','SC','124241241116145731123344447124121764197',10155,'591',53.47,1,2,1),(28,7278713,'1993-05-08 00:00:00',2,15,12,2009,'M','N','COLONINHA','ARARANGUÁ','SC','124241241116141121336623145122230737057',17178,'29',41.09,1,2,1),(28,7278721,'1994-11-26 00:00:00',4,9,12,2011,'F','N','BRUSQUE','LAGES','SC','124241241217111431437612575125610125077',6126,'497',53.39,1,3,NULL),(28,7278756,'1991-06-14 00:00:00',4,3,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124162161212513431667731572122610162157',9139,'9998',55.18,1,3,NULL),(28,7278772,'1991-02-25 00:00:00',2,5,12,2009,'F','N','CENTRO','LAURO MÜLLER','SC','124241244122161431456634445122230328192',11672,'531',42.74,4,3,NULL),(28,7278802,'1993-06-19 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241215372731333332385124610124051',NULL,'868',38.08,4,3,NULL),(28,7278810,'1994-02-22 00:00:00',4,26,12,2011,'M','N','GUILHERME REICH','CONCÓRDIA','SC','124241241137131531446511215124610124047',NULL,'192',19.39,1,3,NULL),(28,7278837,'1977-06-01 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','624201247136575431335751115122232426197',1295,'9999',66.07,1,2,1),(28,7278845,'1994-04-30 00:00:00',4,1,12,2011,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241111131431213327575124610128013',NULL,'733',33.65,1,2,1),(28,7278853,'1994-06-15 00:00:00',2,1,12,2011,'F','N','N SENHORA DO ROSARIO','S JOSÉ','SC','124241241215132731524534575124610122142',NULL,'1118',26.02,4,3,NULL),(28,7278870,'1993-04-04 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241241116131731324644242124132757042',NULL,'257',0.00,1,2,1),(28,7278888,'1981-09-21 00:00:00',4,16,12,1996,'F','N','CENTRO','CURITIBANOS','SC','124241241116331411123344445324610127147',NULL,'451',28.70,1,2,1),(28,7278900,'1993-06-10 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242248117151721488911442124610123017',9010,'306',48.63,1,3,NULL),(28,7278918,'1996-05-15 00:00:00',4,1,11,2013,'F','S','BARREIROS','S JOSÉ','SC','124242241217111432558832245122610127182',NULL,'976',50.78,1,3,NULL),(28,7278926,'1990-10-10 00:00:00',2,1,12,2008,'F','N','DANIELA','FLORIANÓPOLIS','SC','124241241117134731546624395124231066187',15739,'288',34.41,1,2,1),(28,7278934,'1994-09-30 00:00:00',5,8,12,2011,'M','N','BATEL','CURITIBA','PR','116242161215121431378812395112610164012',11234,'1063',42.24,1,3,NULL),(28,7278950,'1994-03-23 00:00:00',4,5,11,2011,'F','N','PAULO DE FRONTIM','CRICIÚMA','SC','124242241215111431554614575122610123191',4335,'226',59.33,1,3,NULL),(28,7278969,'1989-10-25 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','224171241147271451326554345134610132113',17503,'922',40.28,1,2,1),(28,7278977,'1993-10-10 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217111411348613575114610116065',4487,'1022',56.01,1,3,NULL),(28,7278985,'1994-06-10 00:00:00',2,1,12,2011,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241115271431445933575124610137057',6976,'739',57.99,1,3,NULL),(28,7278993,'1993-06-06 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124252251216371431469613572124610136097',5178,'9998',53.68,1,3,NULL),(28,7279000,'1995-02-16 00:00:00',2,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124243241112371411423611575124610123151',14507,'1116',46.58,1,3,NULL),(28,7279019,'1994-01-12 00:00:00',4,1,12,2010,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241217472731543434285114133267041',5474,'63',52.79,1,3,NULL),(28,7279027,'1994-07-22 00:00:00',4,1,12,2011,'F','N','TIJUQUINHAS','BIGUAÇU','SC','124241241115271431424414471124610147142',NULL,'64',34.53,1,2,1),(28,7279035,'1993-08-28 00:00:00',4,1,12,2010,'F','N','CENTRO','CURITIBANOS','SC','124244241215472751279933575122610112095',12526,'270',41.24,1,3,NULL),(28,7279043,'1991-06-26 00:00:00',4,1,12,2008,'M','N','HIGIENÓPOLIS','PIRACICABA','SP','125251251215571431578614475122613227054',2458,'9998',63.32,1,3,NULL),(28,7279051,'1995-01-25 00:00:00',2,15,11,2011,'M','N','CENTRO','TURVO','SC','124244241211111411447731113112610117055',NULL,'813',24.00,1,3,NULL),(28,7279060,'1994-04-19 00:00:00',2,22,12,2011,'M','N','CENTRO','BRUSQUE','SC','124243241215271431379314595122610137042',10782,'107',45.11,1,3,NULL),(28,7279078,'1987-07-27 00:00:00',2,8,12,2004,'M','N','SAGUAÇÚ','JOINVILLE','SC','124201201111131431124311432323140664041',18247,'9998',38.14,1,2,1),(28,7279086,'1995-05-05 00:00:00',3,1,11,2012,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431347933572122610137145',NULL,'270',42.25,1,3,NULL),(28,7279094,'1991-04-09 00:00:00',4,1,12,2007,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241136132411214329271124221427072',10768,'9998',46.24,1,2,1),(28,7279108,'1993-12-01 00:00:00',6,8,12,2011,'F','N','SANTA CATARINA','JOINVILLE','SC','124241241315131732428614572224610138077',NULL,'466',22.21,1,3,NULL),(28,7279116,'1993-12-03 00:00:00',2,1,11,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241212111431237721595124610117062',NULL,'1023',26.40,1,3,NULL),(28,7279124,'1993-02-17 00:00:00',4,24,12,2010,'M','N','CENTRO','AURORA','SC','124241241116372431553623585114610167052',12988,'40',38.40,1,2,1),(28,7279132,'1993-02-03 00:00:00',4,8,12,2010,'M','N','CARANDA BOSQUE','CPO GRANDE','MS','112122121235472431567834574112610167047',1108,'9998',68.08,1,3,NULL),(28,7279140,'1994-01-06 00:00:00',4,10,12,2011,'M','N','KM TRINTA E SETE','LAGUNA','SC','124241241115371431226469315124610166052',10343,'1034',45.02,1,2,1),(28,7279167,'1994-02-02 00:00:00',4,5,11,2010,'M','N','SÃO CRISTOVÃO','CRICIÚMA','SC','124242241217272411366921575112231464182',NULL,'226',0.00,1,3,NULL),(28,7279175,'1994-11-05 00:00:00',4,10,12,2011,'F','N','STO ANTÔNIO DE PÁDUA','TUBARÃO','SC','124242241235121431434634575124610125057',15329,'809',44.97,1,3,NULL),(28,7279183,'1994-05-26 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122411468611445124610137117',10739,'270',45.97,1,3,NULL),(28,7279191,'1994-12-23 00:00:00',2,4,12,2011,'F','N','SÃO MIGUEL','PLANALTO','RS','120201201117131311315511272325610137147',14380,'9998',37.93,1,2,1),(28,7279205,'1988-09-22 00:00:00',2,1,7,2008,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241136574411328627493224610122042',17923,'306',39.15,1,3,NULL),(28,7279213,'1988-03-18 00:00:00',2,15,6,2007,'M','N','BOM SUCESSO','GRAVATAÍ','RS','120201207446371731324119285213610167057',15097,'9998',38.41,1,3,NULL),(28,7279221,'1994-05-11 00:00:00',2,1,11,2011,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241115211431439613585122610122092',17016,'300',33.98,1,3,NULL),(28,7279230,'1994-07-02 00:00:00',4,24,12,2011,'M','N','CENTRO','IBIRAMA','SC','124244241214131441448933375124610134142',11962,'346',41.67,1,3,NULL),(28,7279248,'1990-01-19 00:00:00',2,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124051051111241721621344441234610136053',NULL,'9998',20.45,4,2,1),(28,7279256,'1995-03-29 00:00:00',2,8,12,2011,'F','N','ITAPEMA','ITAPOÁ','SC','124243241117131431326621375122610168117',18126,'413',38.48,4,3,NULL),(28,7279264,'1978-10-29 00:00:00',4,1,12,1995,'M','N','LA SALLE','TOLEDO','PR','116062061215573411479811595122241421162',4514,'9998',63.35,1,3,NULL),(28,7279272,'1992-02-21 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241216575731368612574124610132077',12388,'273',41.01,1,3,NULL),(28,7279280,'1994-10-02 00:00:00',4,24,12,2011,'M','N','BAO VISTA','RIO SUL','SC','124242241215111431343822595122610117052',14167,'654',38.00,1,3,NULL),(28,7279310,'1993-08-25 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241116132431426614385124610165047',NULL,'1248',24.17,4,2,1),(28,7279329,'1994-07-01 00:00:00',2,1,11,2011,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091216111431449814575122610158147',7388,'9998',53.07,1,3,NULL),(28,7279337,'1994-05-28 00:00:00',4,6,12,2011,'M','N','ARIRIBÁ','BAL CAMBORIÚ','SC','124242241215471231558832475122610168042',1435,'44',67.82,1,3,NULL),(28,7279370,'1994-12-03 00:00:00',2,26,11,2011,'F','N','JARDIM','CONCÓRDIA','SC','124241241216331431448933575122610166092',8928,'1001',48.58,1,3,NULL),(28,7279388,'1994-02-04 00:00:00',4,4,12,2011,'M','N','CENTRO','NOVA ITABERABA','SC','124241241135111231549813375125610124042',NULL,'573',10.04,1,2,1),(28,7279396,'1992-08-03 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215272432468832575124122827012',538,'109',76.91,1,3,NULL),(28,7279400,'1994-04-16 00:00:00',2,22,11,2011,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241215111431476923574122610117052',NULL,'107',0.00,1,3,NULL),(28,7279418,'1992-12-01 00:00:00',2,17,12,2010,'F','N','SÃO PEDRO','PTO UNIÃO','SC','124242161216572431425819274122610156172',NULL,'9998',0.00,3,3,NULL),(28,7279426,'1993-04-02 00:00:00',4,17,12,2010,'M','N','BUENOS AIRES','MAFRA','SC','124241161215272431668833575124610127027',8599,'9998',47.07,1,3,NULL),(28,7279434,'1979-10-29 00:00:00',2,1,12,1999,'F','N','SERTÃOZINHO','MATINHOS','PR','116161251117131421626648483224140724093',NULL,'9998',0.00,1,3,NULL),(28,7279442,'1979-07-10 00:00:00',4,1,12,1996,'M','N','FERRAZ','GAROPABA','SC','124202201217371431148844445112540267112',6597,'9998',59.52,1,3,NULL),(28,7279450,'1992-06-18 00:00:00',4,1,11,2009,'F','N','CENTRO','LONDRINA','PR','116252161315571431326622575122610137071',NULL,'9998',0.00,2,1,2),(28,7279469,'1994-12-15 00:00:00',4,6,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241215131431226824215121131464172',8641,'967',49.19,1,3,NULL),(28,7279485,'1993-02-24 00:00:00',2,1,6,2010,'M','N','CEL APARICIO BORGES','PTO ALEGRE','RS','120203201136371441336824175124610148117',8064,'9998',50.03,1,3,NULL),(28,7279493,'1994-07-05 00:00:00',4,1,7,2011,'F','N','VILA SOBRINHO','CPO GRANDE','MS','112123121116111431368923575112610113092',5550,'9998',52.59,1,3,NULL),(28,7279515,'1995-01-27 00:00:00',2,8,12,2011,'F','N','ITAPEMA','ITAPOÁ','SC','124243241117131731328531275112610123102',NULL,'413',31.23,1,3,NULL),(28,7279523,'1994-10-25 00:00:00',4,7,12,2011,'M','N','CENTRO','PASSO FUNDO','RS','120202201215111431438939575122610134122',NULL,'9998',32.21,1,3,NULL),(28,7279531,'1995-10-16 00:00:00',4,1,11,2012,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241111131512426832175114610121192',NULL,'733',5.48,4,3,NULL),(28,7279558,'1995-03-25 00:00:00',2,1,12,2011,'F','N','SOROCABA','BIGUAÇU','SC','124241241115371431534823573324610127047',11815,'65',42.44,1,2,1),(28,7279566,'1990-11-15 00:00:00',4,1,12,2008,'F','N','FURLAN','STA BÁRBARA D OESTE','SP','125253251216571431446814575125610163147',1228,'9998',68.55,1,3,NULL),(28,7279574,'1994-10-15 00:00:00',2,1,12,2011,'F','N','BOM VIVER','BIGUAÇU','SC','124241241116371421326424575124610132142',17964,'65',29.70,4,2,1),(28,7279582,'1994-09-02 00:00:00',4,1,11,2011,'F','N','COLONIA SANTANA','S JOSÉ','SC','124242241215111431456413475114610113062',NULL,'1074',22.08,1,3,NULL),(28,7279590,'1993-10-03 00:00:00',2,1,12,2011,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241214153531258812425114610167057',14621,'944',46.31,1,3,NULL),(28,7279612,'1994-12-14 00:00:00',4,7,11,2011,'F','N','CENTRO','JOAÇABA','SC','124242241217471441359919575122610142067',12645,'446',41.18,1,3,NULL),(28,7279620,'1991-04-13 00:00:00',4,4,12,2009,'M','N','CENTRO','CASCAVEL','PR','116162161215473731286315575122610144072',2417,'9998',63.93,1,3,NULL),(28,7279639,'1986-07-26 00:00:00',2,1,12,2006,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124251251647161431226644245124610131187',NULL,'9998',0.00,1,3,NULL),(28,7279647,'1993-08-14 00:00:00',2,1,12,2011,'F','N','RIO GRANDE','PALHOÇA','SC','124241241115371411511614585344610137143',18875,'592',28.27,4,2,1),(28,7279655,'1993-12-05 00:00:00',4,8,11,2011,'F','N','GUANABARA','JOINVILLE','SC','124241241217111731358814575124610134052',13431,'489',41.69,1,3,NULL),(28,7279663,'1979-04-13 00:00:00',2,1,11,2003,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224242247212134421421152112134610113017',18821,'9999',36.01,2,1,2),(28,7279671,'1982-02-25 00:00:00',2,1,12,2000,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','224201201126471421358653295124141062182',6539,'9998',52.02,1,2,1),(28,7279680,'1981-06-29 00:00:00',2,1,12,1998,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224251254117132431322348315234610126092',17252,'9998',40.88,1,2,1),(28,7279698,'1993-04-19 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215372431456611585112610162147',8849,'1038',48.99,1,3,NULL),(28,7279701,'1994-09-27 00:00:00',4,4,11,2011,'M','N','CENTRO','CHAPECÓ','SC','124242241215111731438814575122610137042',13252,'1191',39.18,1,3,NULL),(28,7279710,'1993-10-06 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241216111431458813575124610144116',12685,'1022',41.83,1,3,NULL),(28,7279736,'1994-06-26 00:00:00',2,1,11,2010,'F','N','CENTRO HISTÓRICO','S JOSÉ','SC','124243241116372731426614575114610137147',19353,'728',33.59,1,3,NULL),(28,7279744,'1992-11-19 00:00:00',2,1,12,1992,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241115373411635532385114610124112',10259,'288',49.90,4,2,1),(28,7279752,'1991-08-28 00:00:00',2,4,12,2008,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120202201217571451459911471114610137047',8094,'9998',50.59,1,3,NULL),(28,7279760,'1991-12-30 00:00:00',4,2,12,2009,'F','N','VILA NOVA','BLUMENAU','SC','124242241215574431438934572124610126147',2262,'855',62.76,1,3,NULL),(28,7279779,'1994-12-09 00:00:00',2,1,11,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241235111411356433572114610136147',16347,'1050',43.00,4,3,NULL),(28,7279809,'1992-11-03 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215573441468613572121610162055',13386,'1133',48.42,1,3,NULL),(28,7279817,'1992-12-09 00:00:00',2,1,12,2011,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241147141451423139292124610148147',17444,'281',30.45,1,2,1),(28,7279825,'1993-07-04 00:00:00',2,25,12,2011,'M','N','CENTRO','CAÇADOR','SC','124242241215111421358812425112610136012',16510,'120',33.39,1,3,NULL),(28,7279833,'1993-01-11 00:00:00',4,1,12,2010,'F','N','CENTRO','MÁGDA','SP','125253251125312411455631575124610163097',NULL,'9998',25.79,1,3,NULL),(28,7279841,'1992-07-25 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241236573431556832395125610126197',2305,'836',64.85,1,3,NULL),(28,7279850,'1994-04-11 00:00:00',2,9,12,2011,'M','N','CENTRO','URUBICI','SC','124241241115131431336823575122610167057',NULL,'818',0.00,1,2,1),(28,7279868,'1994-03-11 00:00:00',4,1,12,2011,'M','N','VILA BETÂNIA','S JOSÉ CAMPOS','SP','125251251215111411348814575122610142012',4146,'9998',56.39,1,3,NULL),(28,7279876,'1994-07-08 00:00:00',4,1,12,2011,'M','N','AGUA VERDE','CURITIBA','PR','116162281415371711247762595124241467142',NULL,'9998',0.00,1,3,NULL),(28,7279884,'1993-05-05 00:00:00',4,4,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161215471431216714375125610168147',NULL,'9998',0.00,1,3,NULL),(28,7279892,'1994-07-04 00:00:00',4,1,12,2011,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124202241215161231358813575114610167042',NULL,'1048',0.00,1,3,NULL),(28,7279914,'1993-05-08 00:00:00',4,1,12,2010,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241212152431479933585112613217045',9465,'262',48.78,1,3,NULL),(28,7279922,'1991-04-29 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217154431458814572124221444097',6687,'262',59.39,1,3,NULL),(28,7279930,'1994-04-29 00:00:00',2,1,12,2011,'F','N','CENTRO','S BONIFÁCIO','SC','124241241122161431424624572213610126072',NULL,'702',20.49,1,2,1),(28,7279949,'1994-10-03 00:00:00',2,1,11,2011,'F','N','CRISTO REI','FRANCISCO BELTRÃO','PR','116164161216211721446923575112610164192',NULL,'9998',23.11,3,3,NULL),(28,7279957,'1994-01-14 00:00:00',4,1,12,2011,'M','N','MACACU','GAROPABA','SC','124241241122141431541331212114610124042',6424,'322',52.48,1,2,1),(28,7279965,'1993-08-27 00:00:00',2,6,12,2010,'M','N','PRAIA BRAVA','ITAJAÍ','SC','124164161216272432438419575112610168042',522,'9998',73.70,1,3,NULL),(28,7279973,'1993-06-02 00:00:00',2,16,12,2011,'M','N','CENTRO','CAMPOS NOVOS','SC','124241248337161431554616255122610158182',NULL,'982',26.70,1,3,NULL),(28,7279981,'1995-12-02 00:00:00',4,8,12,2012,'M','S','RIO NEGRO','S BENTO SUL','SC','124241241216111751386612375122610137052',NULL,'1154',46.11,1,3,NULL),(28,7280009,'1991-08-16 00:00:00',4,6,12,2011,'M','N','CORDEIROS','ITAJAÍ','SC','124242241217151441435732245124610165142',11728,'392',44.48,4,3,NULL),(28,7280017,'1990-03-17 00:00:00',4,26,12,2007,'F','N','CENTRO','CONCÓRDIA','SC','124241241126131411323624245125240221072',NULL,'374',21.02,1,2,1),(28,7280025,'1995-11-15 00:00:00',2,1,12,2012,'M','S','KOBRASOL','S JOSÉ','SC','124242241214111421323611115122610117052',NULL,'1252',35.66,4,3,NULL),(28,7280033,'1976-09-12 00:00:00',2,1,4,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241327371431344444345124133227031',NULL,'9997',26.60,1,3,NULL),(28,7280041,'1992-04-21 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431468914572122610122127',2948,'270',61.44,1,3,NULL),(28,7280050,'1994-03-09 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117141731326434575124610117047',NULL,'733',20.97,2,2,1),(28,7280068,'1993-01-14 00:00:00',4,3,11,2009,'F','N','CENTRO','MARINGÁ','PR','116162241215574421448831575122242414122',NULL,'9997',0.00,1,3,NULL),(28,7280076,'1992-11-17 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202241117153751428714295124610127012',11032,'267',52.09,1,3,NULL),(28,7280084,'1994-03-16 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431346834575122610145142',3716,'226',59.28,1,3,NULL),(28,7280092,'1994-03-24 00:00:00',4,1,11,2011,'F','N','VILA ANTÔNIO','S PAULO','SP','125252251216111431539832575122610135147',4231,'9998',59.43,1,3,NULL),(28,7280106,'1990-12-23 00:00:00',4,1,12,2008,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241111132431344832395122231026043',NULL,'295',17.81,4,3,NULL),(28,7280114,'1994-05-12 00:00:00',4,1,11,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111231489933272122610136042',3348,'723',59.24,1,3,NULL),(28,7280122,'1993-04-24 00:00:00',2,1,11,2011,'F','N','ESPERANÇA','IPATINGA','MG','113134131215111731216329571124610147073',NULL,'9998',0.00,4,3,NULL),(28,7280149,'1991-06-08 00:00:00',2,1,12,2008,'M','N','PARQUE DAS ÁRVORES','CERQUILHO','SP','125251251217571611348923571112610127047',9495,'9998',44.52,4,3,NULL),(28,7280157,'1992-10-22 00:00:00',4,1,12,2011,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243241115471431447713375124610117052',16406,'278',34.59,1,3,NULL),(28,7280165,'1992-12-11 00:00:00',2,1,12,2009,'F','N','JARDIM AURORA','SORRISO','MT','111111111146161711333419195123241327147',NULL,'9997',23.18,1,2,1),(28,7280181,'1993-11-29 00:00:00',4,1,11,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241116112751439819595114610167042',9695,'1250',45.81,1,3,NULL),(28,7280203,'1992-03-20 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241417152731556671385122222964172',13074,'1075',48.87,1,3,NULL),(28,7280211,'1981-06-02 00:00:00',2,1,6,2005,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','224241247126131711322241112224610168091',NULL,'306',0.00,4,2,1),(28,7280220,'1993-07-12 00:00:00',2,1,7,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241437271411569932395112610167052',16738,'9999',42.12,1,3,NULL),(28,7280238,'1993-08-17 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215372731568613275124610131057',11401,'1022',43.11,1,3,NULL),(28,7280246,'1994-09-28 00:00:00',2,16,12,2011,'M','N','CENTRO','CURITIBANOS','SC','124241241116141731343414295122610117142',NULL,'239',26.70,1,3,NULL),(28,7280262,'1987-08-19 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241116575431239913475114122335092',6245,'281',53.82,4,3,NULL),(28,7280270,'1994-01-19 00:00:00',4,1,11,2011,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124243241115371431568923595112610137145',365,'271',73.76,1,3,NULL),(28,7280289,'1992-06-16 00:00:00',4,1,12,2011,'M','N','BOQUEIRAO','SANTOS','SP','125254251415471411467933575121610117187',NULL,'9998',0.00,1,3,NULL),(28,7280297,'1986-05-08 00:00:00',1,1,6,2005,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124286281617271411229812275124610166112',NULL,'9998',14.93,1,3,NULL),(28,7280300,'1989-12-19 00:00:00',4,22,12,2007,'M','N','STEFFEN','BRUSQUE','SC','124241241127131451534341245132610144022',NULL,'112',18.97,4,3,NULL),(28,7280319,'1994-05-21 00:00:00',2,1,11,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241115131731458631375124610167055',13545,'271',39.36,1,3,NULL),(28,7280327,'1995-02-25 00:00:00',4,1,12,2012,'M','S','CAPOERIAS','FLORIANÓPOLIS','SC','124242241216111411468612292114610127185',NULL,'1118',40.11,1,3,NULL),(28,7280335,'1982-06-25 00:00:00',2,1,12,2008,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241257122262431223741315124133212187',NULL,'288',0.00,1,2,1),(28,7280343,'1992-11-07 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241215373431469614475122610128193',4426,'737',58.43,1,3,NULL),(28,7280360,'1993-08-08 00:00:00',4,9,12,2010,'F','N','PRAIA DE BELAS','PTO ALEGRE','RS','120202201217471431469833495124610164117',6594,'9998',50.53,1,3,NULL),(28,7280378,'1993-09-21 00:00:00',2,5,11,2010,'F','N','TERCEIRA LINHA','IÇARA','SC','124242248212472431444836575124610161052',1966,'226',63.97,1,3,NULL),(28,7280386,'1993-09-29 00:00:00',4,1,12,2011,'M','N','BURU','SALTO','SP','125252251217271431459814575112610127042',2998,'9998',60.39,1,3,NULL),(28,7280394,'1994-11-07 00:00:00',2,22,12,2012,'F','S','CENTRO','BRUSQUE','SC','124242241215111731455511575122610124182',NULL,'107',41.09,1,3,NULL),(28,7280408,'1994-03-30 00:00:00',2,1,12,2011,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124243241115371431436814575124610132042',16020,'1248',43.66,1,3,NULL),(28,7280416,'1994-08-08 00:00:00',4,8,12,2011,'F','N','COLONIAL','S BENTO SUL','SC','124241241214151411553612572124610137142',NULL,'1154',0.00,1,3,NULL),(28,7280424,'1994-03-03 00:00:00',4,5,11,2011,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242241235151431439634575122610163012',8929,'210',48.03,1,3,NULL),(28,7280432,'1990-01-24 00:00:00',2,16,12,2007,'F','N','N SENHORA APARECIDA','CURITIBANOS','SC','124241241111372331313344442334610133147',NULL,'239',22.83,2,1,1),(28,7280440,'1993-05-23 00:00:00',4,25,12,2010,'F','N','GIOPPO','CAÇADOR','SC','124242241215471431547519595112610132072',NULL,'120',0.00,1,3,NULL),(28,7280459,'1993-12-17 00:00:00',4,8,11,2011,'M','N','SÃO BRAZ','CURITIBA','PR','116161161217471441566812376114610164112',NULL,'9998',0.00,1,3,NULL),(28,7280467,'1994-05-07 00:00:00',4,10,12,2011,'M','N','NITERÓI','CANOAS','RS','120201208216111431326331182121610164172',NULL,'9998',0.00,1,3,NULL),(28,7280475,'1990-06-14 00:00:00',2,1,12,2007,'F','N','CENTRO','XANXERÊ','SC','124242241112132711347723571124610124197',1925,'840',65.90,1,3,NULL),(28,7280491,'1995-04-30 00:00:00',4,1,12,2012,'M','S','BOSQUE DAS MANSÕES','S JOSÉ','SC','124242241217111731479923475112610164012',NULL,'1022',53.66,1,3,NULL),(28,7280505,'1993-11-25 00:00:00',2,4,12,2010,'M','N','LINHA LETRAS','IPORÃ OESTE','SC','124241241136131121436335342113610137057',NULL,'371',28.91,4,3,NULL),(28,7280513,'1992-01-09 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573431355919295125610127052',3874,'817',58.41,1,3,NULL),(28,7280521,'1995-10-12 00:00:00',4,25,12,2012,'F','S','DEER','CAÇADOR','SC','124242241216111432346612575122610133187',NULL,'1124',33.02,1,3,NULL),(28,7280530,'1993-05-04 00:00:00',4,1,12,2010,'F','N','GONZAGA','SANTOS','SP','125252251217471431467517472124610165197',13571,'9998',40.72,1,3,NULL),(28,7280548,'1994-02-03 00:00:00',4,1,11,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','624242241217111431479614442122610134122',1910,'262',65.67,1,3,NULL),(28,7280556,'1995-01-15 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111311489819575125610127042',15575,'262',37.80,2,1,2),(28,7280564,'1987-09-21 00:00:00',2,1,12,2004,'M','N','PINHEIRA','PALHOÇA','SC','624244241116133421523834215124230622087',17044,'732',41.43,1,3,NULL),(28,7280572,'1994-09-12 00:00:00',4,8,12,2011,'M','N','CENTENÁRIO','S BENTO SUL','SC','124241241317131231444412175124610168017',16746,'697',42.11,1,3,NULL),(28,7280580,'1993-12-28 00:00:00',2,1,11,2010,'F','N','IPIRANGA','S JOSÉ','SC','124242241215272431336712372122231233142',17233,'1118',40.92,1,3,NULL),(28,7280599,'1979-03-26 00:00:00',2,15,12,2000,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241247646132411121129295324130624047',NULL,'892',0.00,2,1,2),(28,7280602,'1993-08-20 00:00:00',2,9,12,2010,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120204201217471431458722575124610126072',6556,'9998',50.12,1,3,NULL),(28,7280610,'1991-09-09 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241215573431253963585124130242012',11546,'723',51.25,1,3,NULL),(28,7280629,'1992-10-15 00:00:00',2,26,12,2010,'F','N','CENTRO','CONCÓRDIA','SC','124241247426131731423923285124631067152',NULL,'1000',18.01,1,3,NULL),(28,7280637,'1975-08-29 00:00:00',2,1,12,1994,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','624251253126132411423641115124143266172',12458,'9998',41.22,1,3,NULL),(28,7280645,'1995-05-08 00:00:00',4,1,12,2012,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217111511428811575112610131197',NULL,'738',35.39,1,3,NULL),(28,7280653,'1987-10-17 00:00:00',2,10,12,2006,'M','N','CENTRO','CAPIVARI BAIXO','SC','124244243236152221348934145122330746175',NULL,'1034',18.77,2,1,2),(28,7280661,'1993-06-04 00:00:00',4,5,12,2010,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215473431348731575124610167117',6318,'213',50.48,1,3,NULL),(28,7280670,'1994-10-08 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115371711421129294224610148147',18328,'295',28.67,4,2,1),(28,7280688,'1994-06-01 00:00:00',2,1,12,2011,'F','N','PRAIA DO SANTINHO','FLORIANÓPOLIS','SC','124242241215111431455829275124610123043',14255,'1048',40.28,1,3,NULL),(28,7280696,'1979-11-15 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201241125132431322644112214610114025',19893,'290',29.43,4,2,1),(28,7280700,'1994-11-10 00:00:00',2,4,12,2011,'F','N','SEMINARIO','CHAPECÓ','SC','124241248135311731424633571124610124157',19069,'169',25.67,1,2,1),(28,7280718,'1994-06-19 00:00:00',2,5,11,2011,'M','N','CENTRO','IÇARA','SC','124162241215111431457512175222610117047',NULL,'213',0.00,1,3,NULL),(28,7280726,'1995-02-22 00:00:00',2,17,2,2012,'M','N','CENTRO','CANOINHAS','SC','124243241214111431446815575122133218092',19903,'973',29.32,1,3,NULL),(28,7280734,'1993-09-17 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115371711421129294224610148047',NULL,'295',16.05,4,2,1),(28,7280742,'1994-03-04 00:00:00',2,5,10,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431536611272112610137047',18446,'226',37.49,1,3,NULL),(28,7280750,'1993-06-26 00:00:00',4,1,12,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241125132431525324292114610166182',5464,'290',58.79,1,2,1),(28,7280769,'1992-06-13 00:00:00',2,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215374411478633575112122712093',6021,'270',54.97,1,3,NULL),(28,7280785,'1993-06-07 00:00:00',4,17,12,2010,'F','N','CENTRO','MAJ VIEIRA','SC','124241248115412431526615571222610114142',NULL,'548',15.72,1,2,1),(28,7280793,'1991-07-13 00:00:00',2,1,12,2008,'F','N','CENTRO','S JOSÉ R CLARO','MT','111112118216411431553812575123610167142',NULL,'9998',0.00,1,3,NULL),(28,7280807,'1992-01-11 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241137131431436634345114610137047',19028,'257',35.22,1,2,1),(28,7280815,'1984-04-29 00:00:00',2,1,12,2001,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117143421548613435112522327042',8360,'307',56.51,1,2,1),(28,7280823,'1995-01-17 00:00:00',4,1,11,2012,'M','S','CAMPINAS','S JOSÉ','SC','124242241215111211569811311121210114052',NULL,'737',51.92,1,3,NULL),(28,7280831,'1990-11-13 00:00:00',4,1,12,2008,'M','N','BONFIM','CAMPINAS','SP','125252251215571431469933575124610167047',4433,'9998',57.32,1,3,NULL),(28,7280858,'1994-05-20 00:00:00',4,9,12,2011,'M','N','CORAL','LAGES','SC','124242241217112421479911595115610124052',5274,'1207',56.09,1,3,NULL),(28,7280866,'1992-08-06 00:00:00',4,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124244241225132531528612582114610137042',18001,'262',38.93,2,3,NULL),(28,7280874,'1994-08-01 00:00:00',2,4,12,2011,'M','N','BARRO PRETO','STA ROSA SUL','SC','124241242115131431423316572121610137047',5675,'690',53.60,1,2,1),(28,7280882,'1995-05-11 00:00:00',2,10,11,2011,'F','N','CENTRO','IMBITUBA','SC','124244241215131331528433572124611744197',8867,'362',46.35,1,3,NULL),(28,7280890,'1993-11-09 00:00:00',2,1,12,2011,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124242241215131431423431245124610138147',19288,'944',33.92,1,3,NULL),(28,7280904,'1992-07-21 00:00:00',4,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124244246415471331545712592114610166057',NULL,'1094',0.00,1,3,NULL),(28,7280912,'1993-06-23 00:00:00',4,6,12,2010,'M','N','CENTRO','S BENTO SUL','SC','124242241215372231468911575112610167042',9761,'1073',54.12,1,3,NULL),(28,7280920,'1994-07-24 00:00:00',2,4,12,2011,'F','N','N SRA APARECIDA','S DOMINGOS','SC','124241241117131431423734572142610168142',NULL,'707',0.00,1,2,1),(28,7280939,'1985-12-02 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201201117135411217549415124221768046',12207,'9998',50.23,1,2,1),(28,7280947,'1994-04-03 00:00:00',2,25,12,2011,'F','N','SANTUÁRIO','PALMAS','PR','116161161416371431548914142122610128147',8317,'9998',48.19,1,3,NULL),(28,7280963,'1994-09-21 00:00:00',6,15,12,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124241241115131652413339572223610117057',NULL,'28',15.82,2,2,1),(28,7280971,'1994-09-02 00:00:00',2,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111432366513575114610137047',14894,'1198',38.25,1,3,NULL),(28,7280980,'1995-02-09 00:00:00',2,26,12,2011,'M','N','LINHA SÃO PAULO','CONCÓRDIA','SC','124241241215131431543611375122610124052',12340,'1001',43.40,1,3,NULL),(28,7280998,'1988-09-07 00:00:00',4,1,12,2005,'M','N','GLORIA','PTO ALEGRE','RS','120202201217571431356637575124240267047',1233,'9998',66.62,1,3,NULL),(28,7281005,'1993-08-25 00:00:00',4,2,11,2011,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215472411359933582112610162042',4623,'855',61.03,4,3,NULL),(28,7281013,'1993-07-15 00:00:00',4,2,12,2011,'F','N','CENTRO','TOLEDO','PR','116161163117271432325631375121610167142',9085,'9998',48.29,1,2,1),(28,7281021,'1991-10-24 00:00:00',4,9,12,2009,'F','N','CORAL','LAGES','SC','124242241216524411547723575122130362051',10113,'515',53.54,1,3,NULL),(28,7281030,'1995-03-03 00:00:00',4,1,11,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111731369934575125610128012',NULL,'262',44.74,1,3,NULL),(28,7281048,'1994-05-19 00:00:00',4,1,12,2011,'F','N','CAPELA VELHA','ARAUCÁRIA','PR','116161161416131431336624375124610144052',NULL,'9998',0.00,4,3,NULL),(28,7281056,'1994-04-26 00:00:00',4,16,12,2011,'M','N','BOSQUE','CURITIBANOS','SC','124241241115371431348812295122610132091',10688,'239',44.11,1,2,1),(28,7281064,'1994-10-24 00:00:00',4,1,12,2011,'F','N','CENTRO','S JOSÉ','SC','124242241215251431445933536112610165141',19413,'1076',25.97,2,1,2),(28,7281072,'1994-10-17 00:00:00',4,10,12,2011,'F','N','NOVA BRASILIA','IMBITUBA','SC','124244241215142742446933575124610122142',5497,'362',55.49,1,3,NULL),(28,7281080,'1992-08-02 00:00:00',2,1,12,2009,'F','N','VILA IPOJUCA','S PAULO','SP','125252251234572431358824571125610143197',11308,'9998',40.73,1,3,NULL),(28,7281099,'1985-03-14 00:00:00',2,1,12,2000,'M','N','COLONIA SANTANA','S JOSÉ','SC','124241241241143441423444341223120854142',8461,'731',46.67,1,3,NULL),(28,7281102,'1995-01-20 00:00:00',4,1,12,2011,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241115141431543311295124610137062',11833,'592',41.66,1,2,1),(28,7281110,'1992-12-22 00:00:00',2,4,12,2009,'M','N','N SRA APARECIDA','S DOMINGOS','SC','124241241117131431423734485122610167062',NULL,'707',0.00,1,2,1),(28,7281129,'1993-01-16 00:00:00',2,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116342531229421345224230237015',10884,'307',45.47,2,1,1),(28,7281137,'1993-01-19 00:00:00',4,1,7,2011,'F','N','ADELIA GILBERTI','COLATINA','ES','108082081416471432357912575124610142122',NULL,'9998',39.86,1,3,NULL),(28,7281153,'1994-08-09 00:00:00',4,8,11,2011,'F','N','SÃO BRAZ','CURITIBA','PR','116162161215111332448931575122610163047',3553,'9998',58.79,1,3,NULL),(28,7281170,'1987-12-03 00:00:00',2,1,12,2004,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124202241346133431526444345124122232031',NULL,'307',0.00,1,3,NULL),(28,7281188,'1986-04-13 00:00:00',4,1,4,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201208146271421123549195113610167043',NULL,'9998',19.64,2,1,1),(28,7281196,'1995-01-25 00:00:00',2,1,12,2011,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124243241116131431446413475124610124042',11605,'307',42.60,1,3,NULL),(28,7281200,'1995-04-02 00:00:00',4,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215121731535739392125610146092',NULL,'1038',0.00,1,3,NULL),(28,7281226,'1993-12-25 00:00:00',4,10,12,2010,'F','N','CENTRO','STA ROSA LIMA','SC','124241241146151731423635375111610116057',17007,'688',41.53,1,2,1),(28,7281234,'1992-04-22 00:00:00',2,1,9,2011,'M','N','BARREIROS','S JOSÉ','SC','124242246117161421443312145122610167042',NULL,'306',0.00,1,3,NULL),(28,7281242,'1993-02-18 00:00:00',4,1,12,2011,'M','N','FORQUILHAS','S JOSÉ','SC','124241241116131431445724445124610127142',NULL,'733',17.44,1,3,NULL),(28,7281269,'1994-05-07 00:00:00',2,27,12,2011,'M','N','CENTRO','RIQUEZA','SC','124241241145131221633314242245610126177',NULL,'674',17.96,2,2,1),(28,7281277,'1994-04-20 00:00:00',4,1,11,2011,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251215111431346622575112610125092',8287,'9998',45.75,1,3,NULL),(28,7281285,'1994-11-30 00:00:00',4,8,12,2011,'F','N','CENTRO','CPO ALEGRE','SC','124242241215121431528812371124610124042',NULL,'1016',0.00,1,3,NULL),(28,7281293,'1992-02-19 00:00:00',4,1,12,2009,'M','N','ROÇADO','S JOSÉ','SC','124241241117472431338913386124610167117',12779,'307',42.54,1,2,1),(28,7281307,'1991-08-20 00:00:00',4,4,12,2009,'F','N','PARQUE DAS PALMEIRAS','CHAPECÓ','SC','124242241217371411653623475124232825197',16927,'185',31.71,1,3,NULL),(28,7281315,'1994-04-05 00:00:00',4,1,12,2011,'M','N','JARDIM CANADÁ','S JOÃO B VISTA','SP','125252251215111431368811474112610147092',8220,'9998',48.98,1,3,NULL),(28,7281323,'1992-11-06 00:00:00',4,1,12,2009,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','124242241215112721336629395124121427047',10937,'989',52.21,1,3,NULL),(28,7281331,'1993-11-08 00:00:00',4,2,12,2011,'M','N','PÔR DO SOL','ENTRE R OESTE','PR','116161163117161431348613485124610131197',11764,'9998',40.30,1,2,1),(28,7281340,'1992-03-16 00:00:00',2,1,12,2009,'F','N','PONTE IMARUIM','PALHOÇA','SC','124241241137231731324417342134610124142',NULL,'592',27.97,1,2,1),(28,7281358,'1993-01-20 00:00:00',4,1,11,2010,'F','N','JARDIM MACEDO','RIBEIRÃO PRETO','SP','125252251217371431539934285122610112032',9820,'9998',46.87,1,3,NULL),(28,7281374,'1994-05-07 00:00:00',2,22,12,2011,'F','N','CENTRO','BRUSQUE','SC','124242241215111431438832575122610167142',10766,'109',42.81,1,3,NULL),(28,7281382,'1995-10-03 00:00:00',4,1,11,2012,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431568614572122610164145',NULL,'270',50.02,1,3,NULL),(28,7281390,'1994-03-04 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117371431327729575125610136147',13448,'307',39.21,1,2,1),(28,7281404,'1991-02-01 00:00:00',4,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241248336273711334411445124610166091',NULL,'9999',19.13,1,3,NULL),(28,7281412,'1992-06-04 00:00:00',2,2,12,2009,'M','N','PONTA AGUDA','BLUMENAU','SC','124241241137131421336711445225133237057',NULL,'79',0.00,1,2,1),(28,7281439,'1994-06-09 00:00:00',4,15,12,2011,'F','N','LAGOA DO CAVERA','ARARANGUÁ','SC','124241243135161431335415275124610123145',NULL,'30',20.26,1,3,NULL),(28,7281447,'1995-04-16 00:00:00',4,1,12,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111751458719572134610134042',14143,'270',39.14,1,3,NULL),(28,7281455,'1992-01-20 00:00:00',4,1,12,2009,'F','N','SANTA CECÍLIA','S PAULO','SP','125252251211571411447812571124610113142',NULL,'9998',0.00,1,3,NULL),(28,7281463,'1994-12-13 00:00:00',4,1,12,2011,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241437311431426511275124610122072',17317,'63',30.04,1,3,NULL),(28,7281480,'1994-07-09 00:00:00',2,10,11,2011,'F','N','TERMAS','GRAVATAL','SC','124242241215131431336923575124610164172',5587,'806',54.65,1,3,NULL),(28,7281498,'1989-07-21 00:00:00',2,1,12,2006,'F','N','SAO FRANSCISCO','BRAÇO NORTE','SC','124241241136131431623344142224233254147',20046,'100',27.35,1,2,1),(28,7281501,'1988-01-26 00:00:00',4,1,12,2005,'M','N','FORQUILHINHAS','S JOSÉ','SC','124243241311132431118413241123133235062',18124,'733',38.49,4,3,NULL),(28,7281510,'1992-11-12 00:00:00',2,1,12,2009,'M','N','FAZENDA RIO TAVARES','FLORIANÓPOLIS','SC','124241241117473421436319212114130817042',NULL,'295',20.99,4,1,1),(28,7281528,'1994-09-30 00:00:00',2,10,11,2011,'F','N','MAR GROSSO','LAGUNA','SC','124242241215211451445512595112610164187',NULL,'807',0.00,1,3,NULL),(28,7281536,'1992-05-20 00:00:00',4,1,12,2009,'M','N','VOSSOROCA','VOTORANTIM','SP','125252251216151411459833575112610162097',NULL,'9998',0.00,1,3,NULL),(28,7281544,'1994-05-24 00:00:00',2,1,12,2011,'F','N','AREIAS DO MEIO','GOV CELSO RAMOS','SC','124242241215151431268413575124610111011',NULL,'1040',25.11,1,3,NULL),(28,7281552,'1992-01-28 00:00:00',4,1,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124242241215573441348834575125610137092',NULL,'1038',0.00,1,3,NULL),(28,7281560,'1993-09-15 00:00:00',4,1,1,2012,'M','N','VILA BECKER','STO AMARO IMPERATRIZ','SC','124243247215251411556432576124610133147',4830,'1022',62.76,1,3,NULL),(28,7281579,'1994-01-09 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241217131431447713335122610128147',NULL,'1134',0.00,1,3,NULL),(28,7281587,'1982-02-21 00:00:00',2,1,12,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116154721333334245124332724027',NULL,'298',23.58,1,3,NULL),(28,7281595,'1982-05-08 00:00:00',2,1,10,2010,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241241111151421641334141322233216047',11390,'739',40.20,1,2,1),(28,7281609,'1993-10-21 00:00:00',4,1,12,2010,'F','N','JARDIM CARAVELLE','LONDRINA','PR','116162161215471731358869575112610136196',NULL,'9998',0.00,1,3,NULL),(28,7281617,'1994-02-05 00:00:00',2,1,12,2011,'M','N','IPIRANGA','S JOSÉ','SC','124242246117131431446611195124610162097',20014,'306',27.87,1,3,NULL),(28,7281625,'1994-05-26 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115161431213329572321610124047',18883,'357',35.76,1,2,1),(28,7281633,'1993-05-26 00:00:00',4,1,7,2011,'F','N','CENTRO','BIGUAÇU','SC','124244246312271431426611342224610133142',8884,'306',47.23,4,3,NULL),(28,7281641,'1994-05-19 00:00:00',2,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241116471431525529575124610137142',14541,'307',38.53,1,2,1),(28,7281650,'1993-09-19 00:00:00',4,1,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241116151441359814575124610164162',6028,'267',55.73,1,2,1),(28,7281668,'1994-11-10 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248115371431426813571124610127143',NULL,'295',18.15,2,1,1),(28,7281676,'1986-03-16 00:00:00',4,1,12,2003,'F','N','SANTA BÁRBARA','CRICIÚMA','SC','124241241136231431236863314124131363197',NULL,'209',0.00,1,2,1),(28,7281684,'1993-02-10 00:00:00',4,1,12,2010,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124242241235372431246829385114610124035',NULL,'272',32.18,1,3,NULL),(28,7281692,'1994-01-26 00:00:00',4,7,11,2011,'F','N','CENTRO','TREZE TÍLIAS','SC','124241248115331431545511295122610126142',17922,'795',27.86,1,2,1),(28,7281722,'1994-10-11 00:00:00',4,7,12,2011,'F','N','SANTA TEREZA','JOAÇABA','SC','124241241117131431313339572212610128147',NULL,'448',0.00,1,3,NULL),(28,7281730,'1994-03-01 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111432438623575114610137057',5273,'272',56.16,1,3,NULL),(28,7281749,'1994-11-24 00:00:00',4,10,12,2011,'F','N','CENTRO','LAGUNA','SC','124242241225111431438731472122610134097',4163,'525',59.19,1,3,NULL),(28,7281757,'1994-02-22 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241111371411335634575124610127042',NULL,'287',17.56,1,2,1),(28,7281765,'1994-04-28 00:00:00',2,1,12,2011,'F','N','CENTRO','MARQUES SOUZA','RS','120201201116371431448831595122610122077',NULL,'9998',0.00,1,2,1),(28,7281773,'1987-11-15 00:00:00',4,1,7,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241247217153431254623385112131027065',19470,'9999',32.90,1,3,NULL),(28,7281781,'1992-11-14 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241115471441558813575122610122145',895,'267',68.37,1,3,NULL),(28,7281790,'1994-10-05 00:00:00',2,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431228624375112610136112',1396,'723',64.80,1,3,NULL),(28,7281803,'1994-06-15 00:00:00',4,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215131431559632575114610133187',6019,'272',52.04,1,3,NULL),(28,7281811,'1965-09-23 00:00:00',2,5,12,1995,'F','N','CENTRO','PR GRANDE','SC','124201245146131722323343495124332732187',NULL,'420',26.76,1,3,NULL),(28,7281820,'1994-07-20 00:00:00',4,6,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431459914245122610147042',12556,'1038',41.49,1,3,NULL),(28,7281838,'1994-06-17 00:00:00',2,1,12,2011,'F','N','SANTO ANTONIO','S JOSÉ R PARDO','SP','125252251217111431458833575122610166052',8933,'9998',47.08,1,3,NULL),(28,7281846,'1993-08-08 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431323624375124610127047',9621,'1010',48.56,4,3,NULL),(28,7281854,'1993-05-13 00:00:00',4,7,12,2010,'F','N','BEM MORAR','TANGARÁ','SC','124241241116572731336633575112610164197',9637,'779',49.14,1,2,1),(28,7281862,'1995-10-31 00:00:00',2,4,12,2012,'F','S','CENTRO','CHAPECÓ','SC','124242241216111411539832595122610126147',NULL,'168',27.61,1,3,NULL),(28,7281870,'1983-08-22 00:00:00',4,1,12,2001,'M','N','LEPORACE','FRANCA','SP','125251251136141731333319345123143241092',18811,'9998',26.27,4,2,1),(28,7281889,'1995-06-12 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241237111431238929592122610127145',17926,'262',39.15,1,3,NULL),(28,7281897,'1988-09-11 00:00:00',2,17,12,2006,'F','N','BELA VISTA','RIO NEGRINHO','SC','124241241137131421336614245112610167047',18314,'669',37.91,4,2,1),(28,7281900,'1994-12-25 00:00:00',4,1,12,2011,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124244241215111411447821575124610124052',15088,'723',39.13,1,3,NULL),(28,7281919,'1994-06-16 00:00:00',2,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116271731346714345124610127012',11293,'276',43.43,1,2,1),(28,7281935,'1995-03-20 00:00:00',4,16,12,2011,'F','N','UNIVERSITARIO','CURITIBANOS','SC','124241241115371431423314172344610124177',16361,'239',33.26,1,2,1),(28,7281943,'1994-08-22 00:00:00',4,5,10,2011,'F','N','CENTRO','ORLEANS','SC','124242241215112411444823575122610144142',4846,'226',57.12,1,3,NULL),(28,7281951,'1993-05-10 00:00:00',4,1,12,2010,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215372431568923395122610124112',8611,'270',49.77,1,3,NULL),(28,7281978,'1993-12-01 00:00:00',2,1,11,2011,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','112122121217271551248932576122610137182',11840,'9998',45.08,1,3,NULL),(28,7281994,'1992-08-26 00:00:00',4,1,7,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242247247141431438813245114610137047',18785,'9999',36.16,2,3,NULL),(28,7282001,'1991-01-05 00:00:00',4,1,12,2008,'M','N','CENTRO','PTO ALEGRE','RS','120201201116471751538639595114610167052',NULL,'9998',0.00,1,2,1),(28,7282010,'1994-05-09 00:00:00',2,15,12,2011,'F','N','ALTO FELIZ','ARARANGUÁ','SC','124242241216271431336632575112610147073',7994,'970',54.25,1,3,NULL),(28,7282028,'1994-12-08 00:00:00',2,3,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124241242115131431435511575124610132142',11381,'129',42.93,1,2,1),(28,7282036,'1993-05-26 00:00:00',2,15,12,2010,'M','N','ARAÇÁ','JACINTO MACHADO','SC','124241241112161421336614345122610147042',19934,'420',28.96,1,3,NULL),(28,7282044,'1995-05-13 00:00:00',4,1,12,2011,'F','N','JARDIM RECREIO','RIBEIRÃO PRETO','SP','125252251217321431349839575124610131032',9079,'9998',46.44,4,3,NULL),(28,7282052,'1992-02-27 00:00:00',4,1,12,2009,'M','N','VILA ADYANNA','S JOSÉ CAMPOS','SP','125252251215471411678811582122610124017',3337,'9998',59.07,1,3,NULL),(28,7282060,'1994-02-14 00:00:00',2,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215121431688811575122610127043',NULL,'270',17.52,1,3,NULL),(28,7282079,'1992-10-09 00:00:00',2,16,12,2010,'F','N','APARECIDA','CURITIBANOS','SC','124241241115371131524614275115610138147',NULL,'240',18.50,1,2,1),(28,7282087,'1994-08-30 00:00:00',2,1,12,2011,'F','N','CHÁCARA DAS PEDRAS','PTO ALEGRE','RS','120202201215111411527732581122610116127',8668,'9998',47.01,1,3,NULL),(28,7282095,'1991-04-02 00:00:00',4,1,12,2008,'F','N','OLÍMPICO','S CAETANO SUL','SP','125251251111571431457614575124610118097',NULL,'9998',0.00,1,2,1),(28,7282109,'1992-09-30 00:00:00',4,1,12,2009,'M','N','CENTRO','PTO ALEGRE','RS','120202201217111431449713345122240227117',NULL,'9998',0.00,1,3,NULL),(28,7282117,'1994-03-08 00:00:00',2,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216111411559914575124610167187',13426,'1022',41.10,1,3,NULL),(28,7282141,'1995-01-16 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431359913595122610127057',17063,'262',33.60,1,3,NULL),(28,7282150,'1993-10-29 00:00:00',2,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124243248115111431536313575124610137142',17081,'271',33.73,1,3,NULL),(28,7282168,'1994-01-24 00:00:00',4,16,12,2011,'M','N','NOSSA SENHORA APAREC','CURITIBANOS','SC','124241241115251431436632215122610167053',NULL,'239',29.90,1,2,1),(28,7282176,'1993-09-04 00:00:00',2,1,12,2010,'F','N','VENDAVAL','BIGUAÇU','SC','124243241235152431326521275224223224077',10989,'988',44.01,1,3,NULL),(28,7282184,'1993-08-09 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241315151711389933476114610134072',15142,'271',45.32,1,3,NULL),(28,7282192,'1993-09-01 00:00:00',4,1,11,2010,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215472431379831572112610134095',1589,'262',66.68,1,3,NULL),(28,7282206,'1993-03-06 00:00:00',2,1,12,2011,'F','N','CENTR','S LUIZ GONZAGA','RS','120201201116151731228823572122610132142',17361,'9998',30.89,1,3,NULL),(28,7282214,'1994-05-07 00:00:00',4,5,10,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215131431626624575122610124017',7676,'213',50.70,1,3,NULL),(28,7282230,'1985-06-19 00:00:00',2,2,12,2002,'M','N','CACHOEIRA','SALETE','SC','124241241127131431323333182222231025087',NULL,'680',0.00,1,2,1),(28,7282249,'1991-05-05 00:00:00',4,1,12,2009,'M','N','VILA SANTA LUZIA','BOTUCATU','SP','125252251216471431253924572122142124097',NULL,'9998',0.00,1,3,NULL),(28,7282257,'1994-09-09 00:00:00',2,10,12,2011,'M','N','SÃO FRANCISCO DE ASS','BRAÇO NORTE','SC','124243241217111411438914572124610137052',5360,'806',55.79,1,3,NULL),(28,7282265,'1994-09-27 00:00:00',2,1,12,2011,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241312372431338923575124610137057',11670,'772',46.06,1,3,NULL),(28,7282273,'1991-07-20 00:00:00',4,1,12,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124252251217272431446739375124222967052',6988,'9998',51.66,1,3,NULL),(28,7282281,'1989-01-12 00:00:00',4,1,12,2006,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241216272431446632445123130221141',14216,'1011',47.07,1,3,NULL),(28,7282290,'1993-09-24 00:00:00',4,8,12,2011,'F','N','PARQUE GUARANI','JOINVILLE','SC','124243241215131431438813291221610146142',11175,'489',45.50,1,3,NULL),(28,7282303,'1994-07-17 00:00:00',2,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241115372431456613575124610167152',5688,'271',56.35,4,2,1),(28,7282311,'1993-11-23 00:00:00',4,25,12,2010,'M','N','GRAMADO','RIO ANTAS','SC','124241241116371431223329575124610132142',14911,'650',38.83,1,2,1),(28,7282320,'1993-09-17 00:00:00',2,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215221431488712575122610136042',17174,'262',32.25,1,3,NULL),(28,7282338,'1994-10-09 00:00:00',2,5,11,2011,'M','N','CENTRO','URUSSANGA','SC','124241241215271431437634575124610114052',NULL,'226',28.97,1,3,NULL),(28,7282346,'1995-02-24 00:00:00',4,1,12,2011,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241116151431446614575124610127147',NULL,'772',17.31,1,2,1),(28,7282354,'1994-09-16 00:00:00',4,1,12,2011,'M','N','ZONA CINCO','MARINGÁ','PR','116162161217271431489931575122610137052',10198,'9998',44.68,1,3,NULL),(28,7282362,'1993-07-27 00:00:00',2,6,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241212372431458812575122610147072',14080,'392',47.29,1,3,NULL),(28,7282370,'1992-02-20 00:00:00',4,1,12,2009,'M','N','PONTE IMARUIM','PALHOÇA','SC','124241241117373441433331285124221946187',13814,'592',41.24,1,2,1),(28,7282389,'1993-01-27 00:00:00',2,4,12,2011,'M','N','INTERIOR','ERVAL GRANDE','RS','120201201136171431639436465124610137052',17959,'9998',30.95,1,3,NULL),(28,7282397,'1990-10-16 00:00:00',2,2,12,2008,'F','N','NAÇÕES','TIMBÓ','SC','124241241115474451346954595122610162117',NULL,'787',23.35,1,2,1),(28,7282400,'1993-07-30 00:00:00',4,15,12,2011,'M','N','JARDIM SANTA ROSA','PARANAGUÁ','PR','116162163217131431225524342124610167043',NULL,'9998',25.47,3,3,NULL),(28,7282427,'1994-07-26 00:00:00',4,10,12,2011,'M','N','MAR GROSSO','LAGUNA','SC','124242241215111431466913572122610117142',10347,'525',53.16,1,3,NULL),(28,7282435,'1994-08-14 00:00:00',2,5,11,2011,'F','N','SÃO DEFENDE','CRICIÚMA','SC','124244241215111431524614575124610134112',13411,'880',39.40,1,3,NULL),(28,7282443,'1994-05-28 00:00:00',2,10,11,2011,'M','N','CAÇADOR','CAPIVARI BAIXO','SC','124241241215111431558513571124610127112',12164,'807',43.43,4,3,NULL),(28,7282451,'1992-07-18 00:00:00',4,1,12,2009,'M','N','BOMBAS','BOMBINHAS','SC','124161161116161431333519485122141428057',NULL,'9998',0.00,1,2,1),(28,7282460,'1992-02-05 00:00:00',4,1,7,2009,'M','N','AGUA VERDE','CURITIBA','PR','116162161215471431469914475112141467017',NULL,'9998',0.00,1,3,NULL),(28,7282478,'1994-01-08 00:00:00',2,9,11,2011,'F','N','CENTRO','LAGES','SC','124242241215151431468832575125610128097',13686,'497',40.28,1,3,NULL),(28,7282494,'1994-02-12 00:00:00',4,1,12,2011,'F','N','DOS MUNICÍPIOS','CAÇADOR','SC','124242241213171322359912596112610146135',4550,'1124',57.02,1,3,NULL),(28,7282508,'1993-09-14 00:00:00',4,1,12,2010,'M','N','CENTRO','MARINGÁ','PR','116162161213572751279921575122610162182',137,'9998',79.24,1,3,NULL),(28,7282532,'1993-09-08 00:00:00',2,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124243241216111431646531275122610122062',14771,'723',36.87,1,3,NULL),(28,7282540,'1995-04-12 00:00:00',4,27,12,2012,'M','S','CENTRO','GUARACIABA','SC','124244241317151411447613472122610147047',NULL,'334',45.26,1,3,NULL),(28,7282559,'1984-04-17 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241237132651338629372122120362087',11016,'266',52.11,2,3,NULL),(28,7282567,'1994-05-31 00:00:00',4,4,12,2011,'F','N','CENTRO','GUARAPUAVA','PR','116162161235111732549836572122610126092',NULL,'9998',0.00,1,3,NULL),(28,7282575,'1993-04-19 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215472431346913595114610137047',11096,'738',46.39,1,3,NULL),(28,7282583,'1991-10-31 00:00:00',4,10,11,2009,'M','N','CAÇADOR','CAPIVARI BAIXO','SC','124242241215573431267923571122610167012',NULL,'797',NULL,1,3,NULL),(28,7282591,'1987-11-19 00:00:00',4,1,12,2004,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124201203216272431423844245124143221147',13821,'9998',47.68,1,3,NULL),(28,7282605,'1995-03-02 00:00:00',2,15,12,2011,'M','N','CENTRO','TURVO','SC','124244241315161721346635575124610117045',NULL,'814',21.13,1,3,NULL),(28,7282613,'1990-08-18 00:00:00',4,1,11,2007,'F','N','KOBRASOL','S JOSÉ','SC','124241241217271431426823485122333231197',13536,'737',48.18,1,3,NULL),(28,7282621,'1992-12-11 00:00:00',4,8,12,2010,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215472731449632575112610132183',6448,'1016',52.58,1,3,NULL),(28,7282630,'1990-12-07 00:00:00',4,1,12,2007,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124243247337274441467913395124233247187',10601,'9999',48.22,1,3,NULL),(28,7282648,'1991-07-30 00:00:00',2,6,12,2007,'F','N','JD SAO DIMAS','S JOSÉ CAMPOS','SP','125093091217471411456614575124141362187',4672,'9998',53.87,1,3,NULL),(28,7282656,'1994-07-16 00:00:00',4,2,12,2011,'F','N','PASSO MANSO','BLUMENAU','SC','124241241115111531338912475122610122117',NULL,'88',0.00,1,2,1),(28,7282664,'1988-07-12 00:00:00',2,1,12,2005,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241127574431428624182314610122047',8371,'291',48.19,1,2,1),(28,7282672,'1994-10-25 00:00:00',4,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215111231478811475125610115147',NULL,'1038',28.26,1,3,NULL),(28,7282680,'1980-12-18 00:00:00',4,15,12,1998,'M','N','SANTA CRUZ','NOVA PRATA','RS','120201201116131711123315345124241468187',NULL,'9998',0.00,1,3,NULL),(28,7282699,'1989-04-13 00:00:00',4,2,6,2005,'M','N','VELHA','BLUMENAU','SC','124281281116141431546823391224141725047',NULL,'9998',30.47,1,3,NULL),(28,7282702,'1992-07-22 00:00:00',4,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241226152741236613575115610164192',13928,'524',47.52,1,3,NULL),(28,7282710,'1995-01-02 00:00:00',4,1,12,2011,'M','N','STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC','124241241115141231333329295124610127147',11247,'978',45.36,1,2,1),(28,7282729,'1993-06-24 00:00:00',4,5,6,2011,'M','N','BORTOLOTTO','NOVA VENEZA','SC','124241241215151411323329375124610137097',2429,'995',63.11,1,3,NULL),(28,7282737,'1995-05-05 00:00:00',4,1,12,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215112431469833575124610127032',6441,'270',59.80,3,3,NULL),(28,7282753,'1994-09-18 00:00:00',2,1,12,2011,'F','N','BELA VISTA','S JOSÉ','SC','124242241117131631425418285124610127052',NULL,'732',16.04,1,3,NULL),(28,7282761,'1994-10-02 00:00:00',4,8,11,2011,'F','N','SÃO LOURENÇO','CURITIBA','PR','116162161217131431556612275122610162047',5859,'9998',53.66,1,3,NULL),(28,7282770,'1994-10-03 00:00:00',4,8,12,2011,'F','N','JD NOVO HORIZONTE','ITAÍ','SP','125251251215111431348833572122610144187',11718,'9998',42.84,1,3,NULL),(28,7282788,'1985-05-11 00:00:00',2,1,12,2002,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201126132731123644245114141122097',NULL,'9998',30.67,1,3,NULL),(28,7282796,'1993-08-30 00:00:00',2,15,12,2011,'F','N','JARDIM CIBELE','ARARANGUÁ','SC','124241241145141432324324285124610126177',17946,'30',39.08,1,2,1),(28,7282800,'1994-07-02 00:00:00',2,1,12,2011,'M','N','SANTO ANTONIO','PTO ALEGRE','RS','120202201216131422333831242124610117182',NULL,'9999',18.08,1,3,NULL),(28,7282818,'1994-12-31 00:00:00',4,1,12,2011,'F','N','AREIAS','TIJUCAS','SC','124242241237111431468814575122610164052',3623,'1119',58.97,1,3,NULL),(28,7282826,'1993-09-24 00:00:00',2,10,11,2010,'F','N','CENTRO','JAGUARUNA','SC','124241241215372731424634575124610138147',8511,'806',48.18,1,3,NULL),(28,7282834,'1995-09-01 00:00:00',4,2,12,2012,'M','S','CENTRO','BLUMENAU','SC','124242241215111431469814575122610127042',NULL,'909',44.85,1,3,NULL),(28,7282842,'1995-01-16 00:00:00',4,1,12,2011,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124242241215111431425631575124610137062',5867,'1022',55.96,1,3,NULL),(28,7282850,'1993-02-03 00:00:00',2,1,11,2011,'F','N','CENTRO','MUNDO NOVO','MS','112164161215161431425611575122610134097',NULL,'9998',0.00,1,3,NULL),(28,7282877,'1994-04-21 00:00:00',4,1,12,2011,'M','N','CENTRO','BIGUAÇU','SC','124242241215111411236624495114610112097',6963,'738',51.41,1,3,NULL),(28,7282885,'1991-07-15 00:00:00',4,1,12,2010,'F','N','CENTRO','LONDRINA','PR','116162161217513751447839575122610167097',NULL,'9998',0.00,1,3,NULL),(28,7282893,'1992-06-29 00:00:00',2,1,11,2009,'F','N','CENTRO','ARMAZÉM','SC','124241241412573431454532474112610124143',15242,'807',45.16,1,3,NULL),(28,7282907,'1995-05-27 00:00:00',4,1,12,2011,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124241241115111531478811587122610137147',3299,'267',60.16,1,3,NULL),(28,7282915,'1994-06-30 00:00:00',4,22,12,2011,'M','N','SAO PEDRO','BRUSQUE','SC','124242241215272431469911575121610137042',8300,'109',56.63,1,3,NULL),(28,7282966,'1995-05-24 00:00:00',2,1,12,2012,'F','S','ENSEADA DE BRITO','PALHOÇA','SC','124242241217121432358619395124610124043',NULL,'989',29.21,1,3,NULL),(28,7282974,'1994-01-31 00:00:00',4,24,11,2011,'F','N','PAMPLONA','RIO SUL','SC','124242241215111431549912575122610147147',11698,'991',45.51,1,3,NULL),(28,7282982,'1993-11-05 00:00:00',4,3,12,2010,'F','N','JARDIM POPULAR','S PAULO','SP','125252251217371431537614345124610163087',4690,'9998',54.35,1,3,NULL),(28,7282990,'1994-08-08 00:00:00',4,1,11,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241212111411226624582122610117042',7942,'723',49.59,1,3,NULL),(28,7283008,'1994-03-10 00:00:00',4,17,12,2011,'M','N','SÃO CRISTÓVÃO','PAPANDUVA','SC','124244161216471431366916572124610137052',2624,'9998',64.17,1,3,NULL),(28,7283016,'1993-08-18 00:00:00',4,1,12,2010,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241127141431421113115124610164067',17033,'294',33.08,1,2,1),(28,7283024,'1993-06-13 00:00:00',4,5,12,2011,'M','N','RIO FIORITA','SIDERÓPOLIS','SC','124243241115151431336734575124610117047',NULL,'768',0.00,1,3,NULL),(28,7283032,'1994-11-03 00:00:00',4,5,12,2011,'M','N','CENTRO','SIDERÓPOLIS','SC','124242243216141441348829575124610122177',1127,'995',66.94,1,3,NULL),(28,7283059,'1994-07-21 00:00:00',4,1,2,2012,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115151712259923575114610124175',12744,'267',49.37,2,3,NULL),(28,7283067,'1992-10-23 00:00:00',4,1,11,2011,'M','N','PITUBA','SALVADOR','BA','105051051117211431578923375112610127187',6089,'9998',60.44,4,2,1),(28,7283075,'1993-01-12 00:00:00',2,1,12,2010,'M','N','FAZENDA S ANTONIO','S JOSÉ','SC','124241241135112411425334341124610127052',NULL,'733',5.55,1,2,1),(28,7283091,'1971-01-12 00:00:00',4,1,11,2011,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224243247422171431326441112122610332047',NULL,'9999',18.17,1,3,NULL),(28,7283113,'1993-11-01 00:00:00',4,8,12,2010,'M','N','AMÉRICA','JOINVILLE','SC','124242241216272731456823575114231466177',NULL,'1016',0.00,1,3,NULL),(28,7283121,'1993-09-04 00:00:00',2,16,12,2010,'M','N','PALMARES','BRUNÓPOLIS','SC','124241241123132421413313473312610167043',NULL,'911',28.23,1,2,1),(28,7283130,'1993-01-28 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124243241116131431338613342133610113081',NULL,'739',27.38,1,3,NULL),(28,7283148,'1995-03-12 00:00:00',4,22,12,2012,'F','S','ÁGUAS CLARAS','BRUSQUE','SC','124242241217111752369913575122610138197',NULL,'109',0.00,1,3,NULL),(28,7283156,'1990-12-11 00:00:00',4,1,12,2008,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124242241211144431446812295122233248141',5233,'262',55.23,1,3,NULL),(28,7283164,'1993-08-13 00:00:00',4,1,12,2010,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241226132731225623575124231036142',4884,'262',57.83,1,3,NULL),(28,7283172,'1995-01-16 00:00:00',2,10,11,2011,'F','N','TERMAS','GRAVATAL','SC','124243241415111431528832595124610125147',16144,'806',33.16,1,3,NULL),(28,7283180,'1991-08-30 00:00:00',4,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116473431446919375124223217117',15901,'358',43.89,1,2,1),(28,7283199,'1993-03-29 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124203201117272741325611385114610167012',9929,'9998',47.90,1,3,NULL),(28,7283202,'1995-03-02 00:00:00',4,3,12,2011,'M','N','PITUBA','SALVADOR','BA','105262051217121731479814571112610127012',5593,'9998',56.13,1,3,NULL),(28,7283210,'1994-08-10 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243247216111431346823575121610125015',17951,'300',39.07,1,3,NULL),(28,7283229,'1994-10-22 00:00:00',4,1,12,2012,'F','S','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217151732449511575112610148197',NULL,'1169',48.66,1,3,NULL),(28,7283237,'1992-03-31 00:00:00',4,1,12,2009,'F','N','NOVA JABOTICABAL','JABOTICABAL','SP','125252251216571431468814572124610134097',NULL,'9998',0.00,1,3,NULL),(28,7283245,'1994-06-30 00:00:00',4,5,11,2011,'M','N','JARDIM ELIZABETH','COCAL SUL','SC','124241246216151431346634495122610162052',8251,'188',48.85,1,3,NULL),(28,7283261,'1994-07-25 00:00:00',4,22,12,2011,'F','N','SAO PEDRO','BRUSQUE','SC','124242241215371431446922575112610127142',14128,'107',36.88,1,3,NULL),(28,7283270,'1994-04-05 00:00:00',2,22,12,2011,'F','N','CENTRO','BRUSQUE','SC','124244241215271431436634575112610137142',15388,'107',44.88,1,3,NULL),(28,7283288,'1994-05-16 00:00:00',2,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111731636621582122610124045',20160,'724',23.25,1,3,NULL),(28,7283296,'1986-10-12 00:00:00',2,1,12,2004,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241112472421433324342124610127027',17102,'732',41.25,1,2,1),(28,7283300,'1994-02-21 00:00:00',2,15,1,2012,'F','N','ALTO FELIZ','ARARANGUÁ','SC','124241241145141232423339142221610123057',19144,'30',34.67,1,3,NULL),(28,7283318,'1994-07-17 00:00:00',2,4,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241246117111411546833575122610123057',16983,'196',35.56,1,2,1),(28,7283326,'1993-10-01 00:00:00',2,1,12,2010,'M','N','IPIRANGA','S JOSÉ','SC','124242241415272231454611315124610167052',5564,'307',56.19,1,3,NULL),(28,7283334,'1995-01-25 00:00:00',2,15,12,2011,'M','N','CENTRO','SOMBRIO','SC','124242241215111431543939575125610127042',14070,'770',37.12,1,3,NULL),(28,7283342,'1991-04-04 00:00:00',4,1,12,2008,'M','N','IMPERIAL','VACARIA','RS','120201201317134441433915294344610147182',3792,'9998',59.69,1,3,NULL),(28,7283350,'1994-10-19 00:00:00',4,10,12,2011,'M','N','CAIRU','LAURO MÜLLER','SC','124241241116111431468933575122610167041',NULL,'531',23.47,1,2,1),(28,7283369,'1993-10-01 00:00:00',4,1,12,2010,'M','N','BOSQUE DA SAÚDE','TAUBATÉ','SP','125252251217471431357823575111610137042',1084,'9998',67.12,1,3,NULL),(28,7283377,'1992-12-08 00:00:00',4,1,12,2010,'M','N','JARDIM CRUZEIRO','FRANCO ROCHA','SP','125252251216471431348833575122610127117',16146,'9998',32.44,1,3,NULL),(28,7283385,'1992-04-29 00:00:00',2,1,6,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243247217151411468833375114610138075',NULL,'9999',23.80,1,3,NULL),(28,7283393,'1995-06-28 00:00:00',4,15,12,1995,'M','N','CENTRO','TURVO','SC','124241241115341531334414345122610117055',NULL,'814',20.34,1,2,1),(28,7283407,'1992-12-02 00:00:00',4,1,12,2011,'M','N','BAIRRO','S JOSÉ','SC','124243241116111731457933572124610114172',NULL,'732',11.75,1,3,NULL),(28,7283415,'1992-10-08 00:00:00',4,1,10,2010,'M','N','ALTO','PIRACICABA','SP','125252251217471231466812125122140367047',7192,'9998',48.37,1,3,NULL),(28,7283423,'1994-03-18 00:00:00',4,6,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124243241215111431528867575112610134122',8589,'44',49.86,1,3,NULL),(28,7283440,'1994-06-07 00:00:00',4,15,12,2011,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241117271431323614275124610117097',9962,'30',45.37,1,2,1),(28,7283458,'1993-08-23 00:00:00',4,1,12,2011,'F','N','NOVO CRUZEIRO','ITATIBA','SP','125252251217111432467812574112610124012',2590,'9998',64.37,1,3,NULL),(28,7283466,'1993-07-16 00:00:00',4,6,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124134248415151741345329575124610164017',NULL,'1086',21.04,1,3,NULL),(28,7283482,'1995-03-31 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431569831575112610145046',NULL,'270',28.70,1,3,NULL),(28,7283504,'1994-11-15 00:00:00',2,6,12,2010,'F','N','MEIA PRAIA','NAVEGANTES','SC','124241241122411431526619575121610147052',18121,'651',38.51,1,3,NULL),(28,7283512,'1984-05-07 00:00:00',6,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224162161116151731138653485124342268091',14341,'9998',46.88,1,3,NULL),(28,7283520,'1991-11-15 00:00:00',4,1,12,2011,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217471711568833575124610168187',2706,'270',61.59,1,3,NULL),(28,7283539,'1994-06-14 00:00:00',4,1,12,2011,'M','N','CAPAO DA IMBUIA','CURITIBA','PR','116161161147471221468713585124610164042',NULL,'9998',0.00,1,2,1),(28,7283547,'1992-02-24 00:00:00',2,1,12,2009,'M','N','UNIVERSITARIO','TIJUCAS','SC','124241241115162421443314345111610167147',9056,'783',46.55,1,2,1),(28,7283555,'1993-08-17 00:00:00',4,9,12,2010,'F','N','GUARUJÁ','LAGES','SC','124241241115372731526611575124610146142',14178,'503',36.93,1,2,1),(28,7283563,'1992-11-16 00:00:00',4,1,12,2010,'M','N','PARQUE DA MOOCA','S PAULO','SP','125252251216471431478831575112141162122',2512,'9998',63.36,1,3,NULL),(28,7283571,'1995-02-09 00:00:00',2,2,12,2012,'M','S','GARCIA','BLUMENAU','SC','124244241415111431368923575122610147097',NULL,'87',24.81,1,3,NULL),(28,7283580,'1994-03-10 00:00:00',4,9,11,2011,'F','N','CENTRO','LAGES','SC','124242241217111411368832395122610127142',17449,'497',30.90,1,3,NULL),(28,7283598,'1993-11-30 00:00:00',2,26,12,2010,'M','N','VISTA ALEGRE','CONCÓRDIA','SC','124241246115372431433614375122610157042',NULL,'196',27.72,4,2,1),(28,7283601,'1994-05-31 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241435112431447614392124610136072',8260,'1022',49.20,1,3,NULL),(28,7283610,'1994-11-15 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124203241115111711436723275121610168052',10319,'267',48.21,1,3,NULL),(28,7283628,'1994-03-03 00:00:00',4,5,1,2012,'M','N','UNIVERSITARIO','CRICIÚMA','SC','124161248215111451436614591124610127057',NULL,'995',29.76,1,3,NULL),(28,7283636,'1995-06-02 00:00:00',4,24,12,2012,'F','S','JARDIM AMÉRICA','RIO SUL','SC','124242241215111411469911492122610124072',NULL,'991',41.59,1,3,NULL),(28,7283644,'1992-12-06 00:00:00',4,1,12,2010,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241112341431526519495124610123147',NULL,'286',25.91,1,2,1),(28,7283652,'1994-09-14 00:00:00',4,1,12,2011,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124241241211111431546334391122610136187',4403,'1119',57.94,1,3,NULL),(28,7283660,'1994-11-18 00:00:00',4,5,12,2011,'M','N','UNIÃO','COCAL SUL','SC','124242243217211431468934575114610121171',9804,'995',46.37,1,3,NULL),(28,7283679,'1992-09-29 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124244241215111731448912292121610127115',19629,'724',31.75,1,3,NULL),(28,7283695,'1994-08-30 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111231459774475122610147147',15630,'737',44.43,1,3,NULL),(28,7283709,'1994-06-16 00:00:00',2,25,12,2011,'M','N','INDUSTRIAL','CAÇADOR','SC','624242241215121431436611215112610124077',6242,'120',54.48,1,3,NULL),(28,7283717,'1992-07-13 00:00:00',2,4,12,2009,'F','N','CENTRO','OURO VERDE','SC','124241241125471431337921585122131443142',5172,'586',62.09,1,3,NULL),(28,7283725,'1991-03-10 00:00:00',4,5,11,2008,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215574451358839572112610164142',989,'226',68.70,1,3,NULL),(28,7283733,'1993-04-10 00:00:00',4,1,12,2010,'M','N','CENTRO','S JOSÉ','SC','124242241217112731443933335115610167067',19975,'1076',28.53,1,3,NULL),(28,7283741,'1994-01-18 00:00:00',2,2,12,2011,'M','N','NAÇOES','INDAIAL','SC','124244241215111431344612395124610127052',NULL,'925',0.00,1,3,NULL),(28,7283750,'1992-09-26 00:00:00',2,10,12,2010,'M','N','DEHON','TUBARÃO','SC','124241241215371431236522574122610167142',5037,'807',55.88,1,3,NULL),(28,7283768,'1988-09-26 00:00:00',2,1,12,2005,'M','N','CAMPINAS','S JOSÉ','SC','124201201116111421428844242134133214182',NULL,'9998',21.77,1,3,NULL),(28,7283776,'1977-08-29 00:00:00',2,1,10,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','224201247646131431221444245124233218043',15240,'9997',35.45,4,3,NULL),(28,7283784,'1994-11-11 00:00:00',4,1,12,2011,'F','N','CENTRO','S JORGE','RS','120201201117471431457634575122610124097',NULL,'9998',0.00,1,2,1),(28,7283792,'1994-05-24 00:00:00',4,4,12,2011,'F','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124241241137131431436614446134610143147',15435,'178',37.27,1,2,1),(28,7283806,'1993-08-15 00:00:00',4,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124243241215132231526633242122610166191',NULL,'868',21.20,1,3,NULL),(28,7283814,'1994-09-21 00:00:00',2,22,11,2011,'F','N','TRINTA RÉIS','NOVA TRENTO','SC','124241241215112431446612575124610163142',4960,'981',57.57,1,3,NULL),(28,7283822,'1980-08-28 00:00:00',2,1,12,1998,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124252251116151441224449295124141666032',NULL,'9998',0.00,1,3,NULL),(28,7283830,'1994-05-09 00:00:00',4,8,11,2011,'M','N','COSTA E SILVA','JOINVILLE','SC','124242241217151431446514585122610127121',NULL,'1006',27.34,1,3,NULL),(28,7283849,'1995-06-14 00:00:00',2,1,12,2011,'F','N','ARROIO','IMBITUBA','SC','124241241117141431423712575124610127042',19067,'361',35.03,1,2,1),(28,7283873,'1994-05-01 00:00:00',4,2,11,2011,'F','N','CENTRO','INDAIAL','SC','124242241217122411488811575122610144122',7093,'70',48.65,1,3,NULL),(28,7283881,'1992-12-11 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117241531431324345112610127067',20095,'298',26.43,4,3,NULL),(28,7283890,'1988-05-17 00:00:00',4,1,3,2009,'M','N','BRUNA MARIA','SOCORRO','SP','125254251436352431338832415122610147122',NULL,'9998',26.04,2,1,2),(28,7283903,'1992-06-09 00:00:00',4,9,12,2009,'F','N','CENTRO','LAGES','SC','124241241117131431429813442114610162127',11760,'507',45.90,1,2,1),(28,7283911,'1994-03-15 00:00:00',1,8,12,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241217121431539912575122610124097',4391,'1063',62.05,1,3,NULL),(28,7283920,'1993-08-20 00:00:00',4,1,12,2011,'M','N','VILA HAMONIA','ARARAQUARA','SP','125252251215111431469832575122610127122',15650,'9998',33.28,1,3,NULL),(28,7283938,'1990-07-18 00:00:00',2,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124201201126471441125349341334140218072',17154,'9998',41.13,1,2,1),(28,7283946,'1992-12-12 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241244116161231238973382124131227057',NULL,'761',32.31,1,3,NULL),(28,7283954,'1993-08-28 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241216112431268923595124233212186',12176,'1133',41.48,1,3,NULL),(28,7283962,'1993-10-17 01:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241211151432438829575122610126141',5954,'1134',54.95,1,3,NULL),(28,7283970,'1991-12-13 00:00:00',2,1,12,2009,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124242241216372431466514575124221447042',NULL,'272',22.23,1,3,NULL),(28,7283989,'1992-04-25 00:00:00',4,1,7,2010,'F','N','GRANJA JULIETA','S PAULO','SP','125162161217471451579914575112610137077',NULL,'9998',0.00,1,3,NULL),(28,7283997,'1992-03-23 00:00:00',4,1,12,2009,'M','N','VILA ESTER','S PAULO','SP','125252251217571751468873591115610164042',490,'9998',73.41,1,3,NULL),(28,7284012,'1994-02-01 00:00:00',4,2,12,2011,'M','N','VELHA','BLUMENAU','SC','124242241215111431468712577122610134141',47,'87',82.97,1,3,NULL),(28,7284039,'1974-08-25 00:00:00',4,1,12,1992,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124254256216474421277842125122321432195',NULL,'9998',0.00,3,3,NULL),(28,7284047,'1994-08-01 00:00:00',4,10,11,2011,'F','N','JARDIM AMERICA','GOIÂNIA','GO','109092091217112431357933572112610132012',5919,'9998',54.11,1,3,NULL),(28,7284055,'1994-09-13 00:00:00',2,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116141432435311245124610122077',18944,'733',27.94,1,2,1),(28,7284063,'1992-09-15 00:00:00',4,1,12,2009,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241211473431569931575112232035073',12635,'1022',49.57,1,3,NULL),(28,7284071,'1990-07-08 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241116575431449813285121242464091',248,'306',76.15,1,3,NULL),(28,7284080,'1993-07-03 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215472431469833575124610131192',3533,'270',60.23,1,3,NULL),(28,7284098,'1994-12-04 00:00:00',4,10,11,2011,'M','N','SAO BASILIO','BRAÇO NORTE','SC','124244241214151431445939395122610168192',NULL,'950',0.00,1,3,NULL),(28,7284101,'1995-01-12 00:00:00',4,5,11,2012,'F','S','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215121731459912575122610163192',NULL,'226',36.98,1,3,NULL),(28,7284128,'1995-06-01 00:00:00',2,5,10,2012,'M','S','SÃO JOÃO','CRICIÚMA','SC','124242241215371732248623575124610135142',NULL,'226',29.58,1,3,NULL),(28,7284144,'1995-07-06 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121731467621492122610117142',16326,'270',43.05,1,3,NULL),(28,7284152,'1993-08-23 00:00:00',2,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241115141531337773345134610163047',NULL,'307',26.55,2,1,1),(28,7284160,'1991-10-14 00:00:00',1,27,11,2008,'M','N','INTERIOR','TUNÁPOLIS','SC','124241241137151431634333342223610168052',18966,'812',35.44,1,2,1),(28,7284179,'1994-06-14 00:00:00',2,2,11,2011,'F','N','DOS ESTADOS','TIMBÓ','SC','124241241235111431347612275122610114147',8203,'1157',51.43,1,3,NULL),(28,7284187,'1994-01-31 00:00:00',4,24,11,2011,'F','N','PAMPLONA','RIO SUL','SC','124242241215111431549912575122610127017',3862,'991',60.81,1,3,NULL),(28,7284195,'1995-01-13 00:00:00',4,1,12,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215112421656814242114610117045',12651,'1023',42.22,1,3,NULL),(28,7284209,'1994-06-10 00:00:00',4,4,12,2011,'M','N','CENTRO','ARVOREDO','SC','124201241135141431233324345121610132042',NULL,'36',0.00,1,3,NULL),(28,7284233,'1995-10-17 00:00:00',4,25,12,2012,'F','S','BELA VISTA','FRAIBURGO','SC','124242241217111731438932575122610135015',NULL,'317',34.80,1,3,NULL),(28,7284241,'1994-06-30 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241111131431223114245124610117112',NULL,'257',14.61,4,3,NULL),(28,7284250,'1994-09-01 00:00:00',4,2,10,2011,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241216112431489914575122610167112',10122,'855',43.88,1,3,NULL),(28,7284268,'1986-01-04 00:00:00',6,1,12,2005,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116162168117152522328829495122312752141',NULL,'9998',0.00,1,3,NULL),(28,7284284,'1963-07-05 00:00:00',2,1,12,1984,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224241245126151411433653475114610111142',NULL,'281',24.99,2,1,1),(28,7284306,'1993-07-12 00:00:00',2,1,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242247117451451569933415112610127055',16794,'9999',42.00,1,3,NULL),(28,7284314,'1993-02-08 00:00:00',4,1,12,2010,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124243241215132421444821345121131435092',9610,'1119',45.44,1,3,NULL),(28,7284322,'1994-06-14 00:00:00',2,1,12,2011,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241146271431423311575124610121057',16497,'772',36.40,1,2,1),(28,7284330,'1992-08-20 00:00:00',4,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241125151431125619195122233226172',14767,'1034',46.05,1,2,1),(28,7284349,'1994-03-15 00:00:00',2,5,12,2011,'M','N','CENTRO','SIDERÓPOLIS','SC','124242241217111431456614375124610124112',14869,'995',45.85,1,3,NULL),(28,7284357,'1994-12-12 00:00:00',4,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215371441279913571122610126192',4055,'272',56.48,1,3,NULL),(28,7284373,'1992-01-13 00:00:00',4,6,12,2009,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241216574411448914575225231465152',3855,'392',61.13,1,3,NULL),(28,7284381,'1995-05-10 00:00:00',2,1,12,2012,'F','S','INGLESES','FLORIANÓPOLIS','SC','124242241215111731434639596124610127185',NULL,'1048',40.06,1,3,NULL),(28,7284403,'1994-11-21 00:00:00',2,4,12,2011,'F','N','CENTRO','S JOSÉ CEDRO','SC','124241241216131332436832575124610143067',NULL,'752',29.41,1,3,NULL),(28,7284411,'1994-06-23 00:00:00',4,10,12,2011,'M','N','PROGRESSO','LAGUNA','SC','124241241115271431536433375122610118197',19880,'521',29.55,1,3,NULL),(28,7284420,'1996-03-17 00:00:00',4,3,12,2013,'M','S','CENTRO','UMUARAMA','PR','116162161237111731359933575122610127012',NULL,'9998',45.13,1,3,NULL),(28,7284438,'1994-02-05 00:00:00',4,3,12,2013,'M','S','ZONA TRES','UMUARAMA','PR','116162161216161511356613295122610167042',NULL,'9998',28.08,1,3,NULL),(28,7284446,'1994-02-02 00:00:00',4,26,12,2011,'F','N','INDUSTRIÁRIOS','CONCÓRDIA','SC','124241241115371431224923575125610166017',7595,'192',51.70,1,2,1),(28,7284454,'1989-06-08 00:00:00',2,8,12,2006,'M','N','CENTRO','STA IZABEL OESTE','PR','116161161116231431453932225122343227072',NULL,'9998',0.00,1,2,1),(28,7284462,'1995-05-03 00:00:00',4,3,12,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241115151431526724575122610136177',17802,'405',39.46,1,2,1),(28,7284470,'1992-05-18 00:00:00',4,1,12,2008,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241217574431479913445122233267182',4352,'1048',58.82,1,3,NULL),(28,7284497,'1993-05-23 00:00:00',2,10,12,2010,'M','N','SÃO BERBARDO','TUBARÃO','SC','124241241114371521423311285124610164142',14034,'802',41.20,1,2,1),(28,7284500,'1994-11-23 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215112431568912575124610133145',16046,'262',43.61,1,3,NULL),(28,7284519,'1993-07-02 00:00:00',2,4,12,2010,'F','N','CENTRO','ABELARDO LUZ','SC','124122241316412431439614575122610163072',14481,'4',38.24,1,3,NULL),(28,7284527,'1991-02-18 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241317272732126614346114610124027',13138,'515',48.79,1,3,NULL),(28,7284535,'1983-07-20 00:00:00',4,1,12,2000,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124201201126151421433344445134140767053',11523,'9998',51.28,1,3,NULL),(28,7284543,'1980-10-08 00:00:00',2,1,12,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217272431258453315122333223072',11063,'272',52.03,1,3,NULL),(28,7284551,'1993-10-26 00:00:00',2,15,12,2010,'M','N','SANGA DA AREIA','ARARANGUÁ','SC','124241241116141222438516355121610167065',17961,'30',39.05,1,3,NULL),(28,7284586,'1991-04-23 00:00:00',2,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241145473431658811385124233228187',2378,'307',64.70,1,3,NULL),(28,7284594,'1994-12-04 00:00:00',4,4,12,2011,'M','N','CENTRO','SAUDADES','SC','124241241116161332446919245125610164047',17989,'761',27.67,1,2,1),(28,7284608,'1992-11-30 00:00:00',4,1,12,2010,'M','N','JARDIM GLÓRIA','AMERICANA','SP','125252251217472411466812575112610147162',3317,'9998',59.55,1,3,NULL),(28,7284616,'1994-11-06 00:00:00',4,1,12,2011,'F','N','ALVORADA','FRANCISCO BELTRÃO','PR','116162161217111431458919492122610144142',NULL,'9998',0.00,1,3,NULL),(28,7284624,'1994-09-27 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215212731337834545112610127045',7874,'737',49.52,1,3,NULL),(28,7284632,'1994-03-18 00:00:00',4,1,12,2010,'F','N','TRISTEZA','PTO ALEGRE','RS','120202201217471411337624571124610137187',15350,'9998',34.72,1,3,NULL),(28,7284659,'1993-12-27 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112431346829575121610127047',8946,'951',47.34,1,3,NULL),(28,7284667,'1992-10-06 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241217273431538611485122610162147',13909,'1022',47.55,1,3,NULL),(28,7284675,'1994-10-03 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411479519395115610145052',7067,'262',51.25,1,3,NULL),(28,7284683,'1993-05-13 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215472432479813574114610127062',4307,'190',59.31,1,3,NULL),(28,7284705,'1994-04-19 00:00:00',4,1,11,2011,'F','N','JARDIM UNIVERSITARIO','CUIABÁ','MT','111112111215111531359823575122610133185',2775,'9998',60.94,2,1,2),(28,7284713,'1993-06-21 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211472731358923596115610112185',3423,'270',59.54,1,3,NULL),(28,7284721,'1993-10-10 00:00:00',4,1,12,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241117472431428624335124610114042',11474,'307',42.48,1,3,NULL),(28,7284730,'1976-02-19 00:00:00',4,1,9,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','524201257146131431333341112114610126197',NULL,'9998',31.63,1,2,1),(28,7284748,'1993-12-25 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117572731558723575122610147065',7096,'307',52.62,1,2,1),(28,7284764,'1994-12-03 00:00:00',2,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124242241216151431436632375124610124031',2805,'1011',61.81,1,3,NULL),(28,7284772,'1993-11-13 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215222431466833585122610126082',5666,'226',53.71,1,3,NULL),(28,7284780,'1994-01-22 00:00:00',2,4,12,2011,'F','N','VILA LUIZA','PASSO FUNDO','RS','120201201116471431526631574124610128047',8218,'9998',51.66,1,2,1),(28,7284802,'1991-05-27 00:00:00',2,9,12,2008,'F','N','JARDIM CEPAR','LAGES','SC','124241241116131411423319595124610118122',NULL,'500',15.74,1,3,NULL),(28,7284810,'1994-10-10 00:00:00',4,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215271431327611595122610167092',1994,'1048',64.87,1,3,NULL),(28,7284837,'1994-06-11 00:00:00',4,23,12,2011,'M','N','CENTRO','JARAGUÁ SUL','SC','124242243215111511439731315125610164012',NULL,'424',0.00,1,3,NULL),(28,7284845,'1992-01-04 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117131451536611575114231525162',16471,'1034',42.71,1,2,1),(28,7284853,'1990-11-04 00:00:00',4,8,12,2007,'M','N','CAMPO BELO','S PAULO','SP','125252251216571441448923575124141442192',NULL,'9998',0.00,3,3,NULL),(28,7284861,'1995-01-27 00:00:00',4,23,12,2012,'M','S','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124241246217151132474332585112610168172',NULL,'1061',45.17,1,3,NULL),(28,7284870,'1994-04-04 00:00:00',4,1,11,2011,'M','N','NOSSA SENHORA DE FAT','BRAÇO NORTE','SC','124242241215111431458432175114610117147',6955,'270',53.56,1,3,NULL),(28,7284888,'1994-10-27 00:00:00',4,7,12,2011,'F','N','JARDIM ALVORADA','JOAÇABA','SC','124241241115471431335714375122610126142',NULL,'539',0.00,1,2,1),(28,7284896,'1973-03-18 00:00:00',4,1,12,1990,'M','N','CENTRO','FLORIANÓPOLIS','SC','524252251216151411289943435132341066117',4567,'9998',63.25,1,3,NULL),(28,7284918,'1993-07-19 00:00:00',2,1,12,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241125141431533611245124610164042',19492,'1215',32.76,1,2,1),(28,7284934,'1985-01-27 00:00:00',4,5,12,1982,'M','N','MICHEL','CRICIÚMA','SC','624241248227151421223941315122610124097',NULL,'9997',18.18,1,3,NULL),(28,7284950,'1992-11-03 00:00:00',4,24,11,2010,'M','N','CANTA GALO','RIO SUL','SC','124246247216311731328514145134610117061',14433,'663',38.67,1,3,NULL),(28,7284977,'1992-09-14 00:00:00',2,1,12,2011,'M','N','PEDRA BRANCA','PALHOÇA','SC','124242241216111231556933472122610122042',NULL,'1075',16.50,1,3,NULL),(28,7284985,'1994-11-18 00:00:00',4,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124241241115271431426639576124610112047',14155,'307',42.79,1,2,1),(28,7284993,'1994-06-21 00:00:00',4,6,12,2010,'F','N','CENTRO','MAFRA','SC','124242241215472431449614575112610146142',3412,'541',59.59,1,3,NULL),(28,7285000,'1994-08-03 00:00:00',2,15,12,2011,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241115141431226327245121610137047',NULL,'30',25.36,1,2,1),(28,7285035,'1995-03-04 00:00:00',4,10,11,2012,'M','S','DEHON','TUBARÃO','SC','124242241215111732546612595122610128047',NULL,'806',51.47,1,3,NULL),(28,7285043,'1992-08-30 00:00:00',2,1,12,2011,'M','N','IGRA','TORRES','RS','120204207427151431365819495122610138062',NULL,'9998',17.35,1,3,NULL),(28,7285051,'1994-05-06 00:00:00',2,8,12,2011,'F','N','MORRO DO MEIO','JOINVILLE','SC','124241248342131451216528142124610156147',NULL,'481',19.69,1,3,NULL),(28,7285060,'1992-05-14 00:00:00',4,1,12,2010,'M','N','TERRAS DE SÃO JOÃO','JACAREÍ','SP','125252251237471731479614575112610162042',NULL,'9998',39.46,1,3,NULL),(28,7285086,'1988-01-08 00:00:00',4,3,12,2005,'M','N','CANCELLI','CASCAVEL','PR','116161161116471441434614144124143244142',NULL,'9998',0.00,1,2,1),(28,7285094,'1994-01-15 00:00:00',4,1,11,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241115371431468813575124610147112',11688,'271',51.03,1,3,NULL),(28,7285108,'1994-03-01 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241225151431446614575124610137093',9434,'262',45.44,1,3,NULL),(28,7285116,'1993-04-01 00:00:00',2,1,12,2010,'F','N','PAES LEME','IMBITUBA','SC','124241241116372531324623575114610118142',10233,'359',45.35,1,2,1),(28,7285124,'1995-04-26 00:00:00',2,1,12,2011,'M','N','REAL PARQUE','S JOSÉ','SC','124242241217111411436933575122610134052',NULL,'737',20.12,1,3,NULL),(28,7285132,'1994-05-06 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215372232356634575114610167182',12655,'1022',44.89,1,3,NULL),(28,7285159,'1994-12-25 00:00:00',4,25,12,2011,'M','N','VILA KURTZ','CAÇADOR','SC','124241241135141431436614295112610124047',11472,'124',43.59,1,2,1),(28,7285167,'1994-12-21 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','116244241215472411548719575114610123052',742,'1207',68.12,3,3,NULL),(28,7285175,'1994-08-09 00:00:00',4,1,11,2011,'M','N','CENTRO','PALHOÇA','SC','124241241225271431534632575124610134042',13255,'262',39.21,1,3,NULL),(28,7285183,'1993-09-28 00:00:00',2,16,12,2010,'F','N','SENHORA APARECDA','CURITIBANOS','SC','124241241125372441423315372124223254195',18119,'911',30.32,1,2,1),(28,7285191,'1989-07-21 00:00:00',4,6,12,2006,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217535431226823475124610168097',NULL,'1058',37.71,1,3,NULL),(28,7285205,'1994-02-06 00:00:00',4,25,12,2011,'M','N','VILA PARAÍSO','CAÇADOR','SC','124241241115271431425411585121610122192',14154,'124',39.31,1,2,1),(28,7285213,'1994-07-30 00:00:00',4,10,12,2011,'F','N','PROGRESSO','LAGUNA','SC','124241248441111431535923575124610136197',15521,'524',37.14,1,3,NULL),(28,7285221,'1988-06-28 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','624241071126131431223344145125131424047',NULL,'9998',0.83,1,2,1),(28,7285256,'1994-05-02 00:00:00',2,1,10,2011,'F','N','CENTRO','TUBARÃO','SC','124212241216271431339621575122610137077',2745,'807',64.18,1,3,NULL),(28,7285264,'1994-10-01 00:00:00',2,10,12,2011,'F','N','BARRA DE IBIRAQUERA','IMBITUBA','SC','124241241117131431323621215124610118147',NULL,'359',24.08,1,2,1),(28,7285272,'1987-05-23 00:00:00',2,10,12,2005,'F','N','CENTRO HISTORICO','GAROPABA','SC','124281288123272711613335192124140837077',NULL,'9998',23.06,4,2,1),(28,7285280,'1991-07-19 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124072241217373431265622475115610167127',7684,'270',57.67,1,3,NULL),(28,7285299,'1994-01-21 00:00:00',4,1,12,2011,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241115371431538631312124610113142',16516,'733',31.71,2,1,1),(28,7285302,'1992-08-01 00:00:00',4,1,12,2011,'M','N','GABIROBA','ITUPORANGA','SC','124241241147131441223311245121610132142',NULL,'416',0.00,1,2,1),(28,7285310,'1994-05-30 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117471231533611575124610127067',7634,'730',52.13,1,3,NULL),(28,7285329,'1994-04-08 00:00:00',2,15,12,2011,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241115141531416627315121610127047',NULL,'30',25.84,4,2,1),(28,7285337,'1993-05-16 00:00:00',2,1,12,2010,'F','N','BREJARU','PALHOÇA','SC','124241241116372431636913395114610127072',12244,'257',40.68,4,2,1),(28,7285353,'1993-06-27 00:00:00',4,1,12,2011,'F','N','PEREQUE','PTO BELO','SC','124241241137161331513329395122610127143',17585,'405',33.09,4,1,1),(28,7285361,'1993-09-20 00:00:00',4,1,12,2011,'F','N','BOTAFOGO','RIO JANEIRO','RJ','121214211217111411367923435114610118117',NULL,'9998',15.84,1,3,NULL),(28,7285370,'1989-10-16 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241212575421484414575124112316172',4652,'1022',63.09,1,3,NULL),(28,7285388,'1991-02-08 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373331438619585124221227057',3246,'1022',60.05,1,3,NULL),(28,7285400,'1992-11-17 00:00:00',2,1,12,2009,'F','N','JARDIM CIDADE','S JOSÉ','SC','124163161336142431126943345214610164192',NULL,'9998',24.79,1,3,NULL),(28,7285418,'1994-02-18 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241137142431463612145124610168097',18663,'592',36.62,1,2,1),(28,7285434,'1989-07-21 00:00:00',2,1,12,2008,'M','N','PALHOCINHA','GAROPABA','SC','124241241135271431446412485222610136172',NULL,'322',23.34,1,2,1),(28,7285442,'1994-06-30 00:00:00',4,4,12,2011,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241112472431457833232125610127052',2302,'169',63.73,1,2,1),(28,7285469,'1994-02-18 00:00:00',4,1,12,2011,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241125141731525779341124610127042',NULL,'594',22.39,1,2,1),(28,7285477,'1992-11-09 00:00:00',2,8,10,2010,'F','N','ITAUM','JOINVILLE','SC','124241241325572411436624345124610114146',10024,'1016',45.89,1,3,NULL),(28,7285485,'1995-01-04 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215111432228631575124610133172',12267,'737',42.27,1,3,NULL),(28,7285493,'1994-08-15 00:00:00',2,1,12,2011,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124244241115371431126629272124610127047',17589,'65',32.76,2,1,2),(28,7285507,'1991-03-08 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124252251217112431118834575121240667042',7810,'9998',57.45,1,3,NULL),(28,7285523,'1994-08-27 00:00:00',4,27,12,2011,'F','N','SÃO SEBASTIÃO','S MIGUEL OESTE','SC','124241241115372431326332275122610138142',9300,'757',44.44,1,2,1),(28,7285531,'1988-02-18 00:00:00',2,1,12,2005,'M','N','CENTRO','CHAPECÓ','SC','124241241116131441333344445114131066051',11417,'199',41.98,1,2,1),(28,7285582,'1993-07-06 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241126372421633411241124610137047',18516,'274',28.14,1,2,1),(28,7285590,'1993-10-11 00:00:00',4,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241215373431448631347134610167147',16281,'737',39.28,1,3,NULL),(28,7285604,'1987-07-13 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124202201116151411236641215124132162015',NULL,'9998',0.00,4,3,NULL),(28,7285612,'1991-02-09 00:00:00',4,5,11,2011,'M','N','MARIA CÉU','CRICIÚMA','SC','124242247237151711588619475113610162182',NULL,'9999',35.63,1,3,NULL),(28,7285620,'1975-01-11 00:00:00',2,1,12,1997,'F','N','CANTO DOS ARAÇAS','FLORIANÓPOLIS','SC','624243244336133421323843434233610161092',12249,'9999',42.59,1,3,NULL),(28,7285647,'1994-07-24 00:00:00',4,24,12,2011,'M','N','SITIO PETERS','POUSO REDONDO','SC','124241241135141431456936235124610137052',8297,'639',45.78,1,2,1),(28,7285655,'1994-11-26 00:00:00',2,1,11,2012,'F','S','KOBRASOL','S JOSÉ','SC','124243241216131431646511575122610132192',NULL,'723',19.75,1,3,NULL),(28,7285663,'1992-07-12 00:00:00',2,4,12,2011,'M','N','INTERIOR','PALMITOS','SC','124241243113371741643335155124610124147',15803,'601',37.04,1,3,NULL),(28,7285671,'1994-03-13 00:00:00',2,2,12,2010,'F','N','CENTRO','MARILUZ','PR','116164161216471431449916575122610118092',12581,'9998',49.66,1,3,NULL),(28,7285698,'1992-07-16 00:00:00',2,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241241216132431646511435124610127182',NULL,'723',27.02,1,3,NULL),(28,7285710,'1994-09-27 00:00:00',4,8,11,2011,'M','N','JARDIM IRIRIU','JOINVILLE','SC','124162241335471431436634585124610127143',18505,'1016',27.84,4,3,NULL),(28,7285728,'1994-09-03 00:00:00',2,6,12,2011,'F','N','SÃO DOMINGOS','NAVEGANTES','SC','124241248116372731433619275224610126187',17997,'1068',31.57,1,3,NULL),(28,7285744,'1993-11-14 00:00:00',2,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431566614575121610124082',20007,'1169',28.00,1,3,NULL),(28,7285752,'1993-05-09 00:00:00',2,1,12,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241116272421225524345124610137057',17013,'292',31.39,1,3,NULL),(28,7285760,'1993-11-29 00:00:00',2,1,11,2011,'M','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124242241215272431433321392124610127042',NULL,'884',0.00,1,3,NULL),(28,7285779,'1990-12-12 00:00:00',4,1,12,2008,'M','N','CENTRO','XANXERÊ','SC','124244241216473431549811171124130424012',1095,'836',70.20,1,3,NULL),(28,7285787,'1977-07-05 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216154721144544442132321442095',NULL,'210',0.00,1,3,NULL),(28,7285795,'1992-03-09 00:00:00',4,1,12,2009,'M','N','ALTO DA BOA VISTA','S PAULO','SP','125252251217371431489814445122610134012',4706,'9998',55.06,1,3,NULL),(28,7285809,'1990-07-20 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115271431554313345124610155187',NULL,'307',30.43,1,2,1),(28,7285817,'1994-12-19 00:00:00',2,15,12,2011,'F','N','CIDADE ALTA','TURVO','SC','124241241116131431423614572111610137147',19540,'814',32.41,1,2,1),(28,7285825,'1994-12-20 00:00:00',2,17,12,2011,'F','N','RIO BUTIA','MAJ VIEIRA','SC','124241241115471731523616162224610127057',NULL,'548',23.72,1,2,1),(28,7285833,'1993-01-13 00:00:00',4,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216472431559839595112610164192',7612,'213',50.91,1,3,NULL),(28,7285841,'1979-10-19 00:00:00',4,1,11,1997,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','624242241237272431339844245122330621117',NULL,'262',15.13,4,3,NULL),(28,7285850,'1994-09-23 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241213121431479719575124610137043',NULL,'270',26.69,3,3,NULL),(28,7285868,'1979-04-23 00:00:00',5,1,12,1997,'M','N','NONOAI','PTO ALEGRE','RS','124204201116151411328941255134140247063',5500,'9998',57.43,4,3,NULL),(28,7285876,'1993-01-16 00:00:00',2,1,11,2010,'M','N','FUNDOS','BIGUAÇU','SC','124243241116372431423644345124610128012',15796,'65',44.10,1,3,NULL),(28,7285892,'1993-02-14 00:00:00',2,2,12,2010,'M','N','CENTRO','BENEDITO NOVO','SC','124241242116141431423614345124610167057',18253,'662',38.12,1,2,1),(28,7285906,'1994-05-19 00:00:00',4,4,12,2011,'F','N','CENTRO','IPUMIRIM','SC','124241241117471431458933575122610167056',16457,'374',31.17,1,2,1),(28,7285914,'1992-01-25 00:00:00',2,1,12,2010,'M','N','PICADAS DO NORTE','S JOSÉ','SC','124241241115132731623319445124610167184',15664,'727',34.05,1,2,1),(28,7285922,'1979-09-02 00:00:00',2,26,12,1996,'M','N','CENTRO','CONCÓRDIA','SC','124244202116143751448619485112342668182',NULL,'9998',0.00,1,3,NULL),(28,7285930,'1984-08-19 00:00:00',4,1,12,2002,'F','N','FORQUILHINHAS','S JOSÉ','SC','124243241135373431428313345134130822077',NULL,'307',35.11,1,3,NULL),(28,7285949,'1994-01-27 00:00:00',2,1,12,2011,'F','N','COLONIA SANTANA','S JOSÉ','SC','124242241117371431326721596114610165037',7828,'739',51.63,1,3,NULL),(28,7285957,'1991-10-24 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241137153711126844446124123266193',13307,'146',48.54,1,2,1),(28,7285965,'1990-08-26 00:00:00',2,23,12,2010,'M','N','VILA LALAU','JARAGUÁ SUL','SC','124111118126131731322319192221610122181',17340,'9998',40.68,2,3,NULL),(28,7285973,'1995-07-20 00:00:00',2,1,12,2011,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241115151431333413572224610124142',13742,'739',37.52,1,3,NULL),(28,7285990,'1991-12-25 00:00:00',4,1,12,2011,'M','N','PARQUE VENEZA','ARAPONGAS','PR','116162161116371731328823495122610162057',NULL,'9998',0.00,1,3,NULL),(28,7286007,'1986-01-19 00:00:00',4,1,12,2003,'M','N','VILA MOEMA','TUBARÃO','SC','124242241216151421539929445112331537117',14030,'9997',47.36,1,3,NULL),(28,7286015,'1990-05-10 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124132131217173431189613575122121164085',1611,'9998',66.13,1,3,NULL),(28,7286023,'1991-07-24 00:00:00',4,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241345575431334935214124610147142',852,'1191',70.60,1,3,NULL),(28,7286031,'1990-10-31 00:00:00',4,3,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216133411229833375122122026092',NULL,'1038',0.00,1,3,NULL),(28,7286040,'1994-10-01 00:00:00',2,1,12,2011,'F','N','ALTO BIGUAÇU','BIGUAÇU','SC','124241241115131431423314576124610133072',13435,'21',38.62,1,2,1),(28,7286066,'1972-02-06 00:00:00',2,15,11,1999,'M','N','MATO ALTO','ARARANGUÁ','SC','524201247146131421225341415225610162147',NULL,'9999',21.30,1,2,1),(28,7286112,'1994-08-12 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431489611575122610127062',5921,'1168',59.02,1,3,NULL),(28,7286120,'1985-01-20 00:00:00',6,1,12,2002,'F','N','PONTE IMARUIM','PALHOÇA','SC','124201241136144441237743235123322731147',NULL,'592',0.00,1,3,NULL),(28,7286139,'1993-07-18 00:00:00',2,1,12,2011,'F','N','CACH DO BOM JESUS','FLORIANÓPOLIS','SC','124243241216131431426832395124610132182',12168,'1049',42.31,1,3,NULL),(28,7286147,'1993-09-01 00:00:00',2,8,11,2010,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216371411538829345122610123072',12756,'461',39.38,1,3,NULL),(28,7286155,'1993-10-01 00:00:00',2,8,12,2010,'F','N','SANTA MARIA GORETTI','PTO ALEGRE','RS','120204201216471431436611375124610161097',NULL,'9998',0.00,3,3,NULL),(28,7286163,'1991-12-20 00:00:00',2,8,12,2008,'M','N','BAIRRO SERRA ALTA','S BENTO SUL','SC','124241241117371431536631315123610167057',NULL,'697',27.81,1,3,NULL),(28,7286171,'1991-04-26 00:00:00',2,5,12,2007,'F','N','CENTRO','STA CRUZ SUL','RS','120201201136131731433635585124142617052',18352,'9998',37.78,1,3,NULL),(28,7286180,'1995-02-24 00:00:00',2,3,12,2011,'F','N','ZONA RURAL','CPO ERÊ','SC','124241241113162431323336253324610114052',17942,'137',29.32,1,3,NULL),(28,7286198,'1994-09-30 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124192241316131411539513475124610126142',12563,'298',49.69,4,3,NULL),(28,7286201,'1993-03-22 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241216212211446611295112230214041',9351,'1022',47.14,1,3,NULL),(28,7286210,'1989-10-09 00:00:00',2,1,12,2007,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241116142411548814344124610167047',NULL,'257',17.68,1,3,NULL),(28,7286228,'1982-09-22 00:00:00',2,1,7,2005,'M','N','PRAÇA','TIJUCAS','SC','124201241146132731224643235234610166022',NULL,'9999',32.02,1,2,1),(28,7286236,'1985-07-22 00:00:00',4,1,12,2003,'M','N','CENTRO','PTE NOVA','MG','113132131216151441557833315124341038187',NULL,'9998',0.00,1,3,NULL),(28,7286244,'1977-09-24 00:00:00',2,1,12,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241142135411128844345122121163142',7705,'307',49.43,1,3,NULL),(28,7286252,'1994-10-04 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241135471631326621271124610128095',9707,'307',45.78,1,2,1),(28,7286279,'1992-07-17 00:00:00',4,15,12,2009,'M','N','HARMONIA','PR GRANDE','SC','124241241135371411324934385124610164047',9332,'641',47.31,1,2,1),(28,7286287,'1992-11-22 00:00:00',2,1,12,2009,'F','N','NITEROI','CANOAS','RS','120202201217572431448614575124610162047',7626,'9998',50.80,1,3,NULL),(28,7286295,'1984-09-22 00:00:00',4,1,11,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242201212574451446622492124121542147',4726,'9998',56.34,1,3,NULL),(28,7286309,'1990-01-30 00:00:00',4,7,12,2007,'F','N','CRUZEIRO DO SUL','JOAÇABA','SC','124242241216575431469419575122610164142',8665,'454',56.00,1,3,NULL),(28,7286325,'1993-01-03 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241115472331357921415124610162045',4785,'271',58.92,1,3,NULL),(28,7286333,'1994-08-06 00:00:00',4,4,12,2011,'F','N','CENTRO','CAIBI','SC','124244241116371431424612195122610168142',NULL,'127',8.73,1,3,NULL),(28,7286341,'1983-06-12 00:00:00',2,1,12,2001,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224242241236153421267943435132333237187',4973,'226',62.45,1,3,NULL),(28,7286350,'1993-06-03 00:00:00',2,15,12,2011,'M','N','ERECHIM','BAL ARROIO SILVA','SC','124241241125131231425511272321610127053',NULL,'30',21.78,1,2,1),(28,7286368,'1994-10-05 00:00:00',2,1,11,2011,'M','N','CENTRO','PALHOÇA','SC','124242241212111431447823545124610127043',16389,'1075',42.92,1,3,NULL),(28,7286376,'1993-03-26 00:00:00',4,25,12,2010,'M','N','GIOPPO','CAÇADOR','SC','124241241135371411536931285122610138142',15944,'123',43.80,1,2,1),(28,7286392,'1987-09-30 00:00:00',2,1,12,2004,'F','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124241247417275431226629242134610127182',15893,'9999',36.56,4,3,NULL),(28,7286406,'1994-12-31 00:00:00',4,16,12,2011,'F','N','INTERIOR','S JOÃO OESTE','SC','124241241117131411323315295224610146147',NULL,'715',0.00,1,2,1),(28,7286414,'1995-03-18 00:00:00',4,10,12,2011,'F','N','BARREIROS','LAGUNA','SC','124051241115271431425639575124610134142',NULL,'1148',24.47,4,3,NULL),(28,7286422,'1993-02-19 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241217152241136613345124220526067',5764,'119',54.56,1,3,NULL),(28,7286430,'1992-09-24 00:00:00',2,1,12,2009,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241117272432437521445114610124197',16874,'1248',41.82,1,3,NULL),(28,7286457,'1994-09-13 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124142241215121751158811475125610167125',5523,'270',55.23,1,3,NULL),(28,7286465,'1994-08-05 00:00:00',4,10,12,2011,'F','N','OFICINAS','TUBARÃO','SC','124242241215112431337912575122610133192',2311,'806',63.93,1,3,NULL),(28,7286473,'1994-04-07 00:00:00',2,6,12,2011,'F','N','GRAVATÁ','PENHA','SC','124242241145371731426923575124610137037',NULL,'401',25.78,1,3,NULL),(28,7286490,'1995-02-10 00:00:00',4,15,12,2011,'M','N','CAMPINHO','ERMO','SC','124241241135131432423315151114610127057',NULL,'250',22.65,1,2,1),(28,7286511,'1990-08-06 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241216273431447821595124221462092',8751,'1075',50.14,1,3,NULL),(28,7286538,'1987-11-09 00:00:00',4,17,12,2004,'F','N','CENTRO','PAPANDUVA','SC','124243241216153431343411435122331461182',12943,'541',49.09,1,3,NULL),(28,7286546,'1989-05-03 00:00:00',2,6,12,2006,'F','N','NOVO HORIZONTE','IVATÉ','PR','116161251146161431426833185124140232175',19986,'9998',28.31,1,2,1),(28,7286554,'1994-08-12 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241135271531433619395124610124057',17105,'730',36.84,1,2,1),(28,7286562,'1994-12-31 00:00:00',4,23,12,2011,'F','N','TRES RIOS DO SUL','JARAGUÁ SUL','SC','124241241135141431449633346224610124147',15100,'435',35.37,1,2,1),(28,7286570,'1994-03-18 00:00:00',4,10,12,2011,'F','N','CENTRO','S MARTINHO','SC','124241241146131451326676345123610117147',20076,'750',26.83,1,3,NULL),(28,7286589,'1992-02-19 00:00:00',2,8,12,2009,'F','N','IRIRIU','JOINVILLE','SC','124241161215472431427823475124610126017',7068,'9998',50.62,1,3,NULL),(28,7286597,'1994-06-09 00:00:00',2,1,12,2011,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241116371431534321285124610167061',12462,'307',42.71,1,2,1),(28,7286600,'1994-04-05 00:00:00',2,1,12,2011,'F','N','CENTRO','TORRES','RS','120201201127141411426923245122610131112',18023,'9998',27.32,1,2,1),(28,7286619,'1986-01-25 00:00:00',2,15,12,2005,'M','N','COLONINHA','ARARANGUÁ','SC','124241246126131431334411245122610117045',17194,'28',31.55,1,2,1),(28,7286627,'1993-11-19 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241215122431456629575112610134097',8182,'1022',49.40,1,3,NULL),(28,7286643,'1992-10-12 00:00:00',4,1,11,2010,'F','N','JD ITATIAIA','EMBU','SP','125252258217471731359814575124610133147',1793,'9998',65.27,1,3,NULL),(28,7286651,'1994-08-29 00:00:00',4,1,12,2011,'F','N','CACHOEIRAS','BIGUAÇU','SC','124241241117371432426414595124610144142',8056,'64',50.95,1,2,1),(28,7286660,'1994-06-26 00:00:00',2,1,12,2011,'F','N','ARIRIÚ','PALHOÇA','SC','124241241116371431423414575124610117142',15215,'593',37.33,1,2,1),(28,7286686,'1994-12-19 00:00:00',4,10,11,2011,'F','N','AEROPORTO','TUBARÃO','SC','124242241215111432649714572122610134197',NULL,'797',13.47,4,3,NULL),(28,7286694,'1992-11-30 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215474431368933275122231066192',3156,'1118',58.05,4,3,NULL),(28,7286708,'1991-12-12 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215152431578613445124233224042',18026,'269',38.82,1,3,NULL),(28,7286724,'1993-02-02 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241115272431169749595114610137142',NULL,'726',29.19,3,3,NULL),(28,7286732,'1985-03-23 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241116232431328954382112132721072',NULL,'307',34.40,1,3,NULL),(28,7286740,'1993-01-18 00:00:00',4,10,12,2010,'F','N','DEHON','TUBARÃO','SC','124241241145272431227534575125130264192',NULL,'798',14.67,1,2,1),(28,7286767,'1993-06-15 00:00:00',2,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372431468812572112610167051',13345,'270',48.49,1,3,NULL),(28,7286775,'1991-03-01 00:00:00',4,1,11,2008,'M','N','CENTRO II','BRUSQUE','SC','124243241217575431458811295124221464052',2664,'981',67.81,1,3,NULL),(28,7286783,'1993-07-30 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242248216272431338714375124610123077',13744,'723',47.82,1,3,NULL),(28,7286791,'1993-04-25 00:00:00',2,1,1,2012,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115231711436614571124610137117',NULL,'307',0.00,1,2,1),(28,7286805,'1994-02-24 00:00:00',2,1,7,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243248337371441423874572124610168092',NULL,'977',23.50,1,3,NULL),(28,7286813,'1994-05-30 00:00:00',2,1,12,2011,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124241241115271411526611375124610146112',17050,'307',31.10,4,2,1),(28,7286821,'1993-09-09 00:00:00',2,17,12,2010,'F','N','SÃO CRISTÓVÃO','TRÊS BARRAS','SC','124241248116131731425319585121610128187',19467,'153',32.92,1,2,1),(28,7286830,'1994-05-02 00:00:00',2,1,12,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241225111431423338375324610124057',11366,'262',44.97,1,3,NULL),(28,7286856,'1992-09-02 00:00:00',4,1,12,2009,'M','N','AREIAS','S JOSÉ','SC','124242241116373421578622345114133267042',2584,'739',63.71,1,3,NULL),(28,7286880,'1984-08-20 00:00:00',2,1,12,2005,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241147142421326444242112610167047',NULL,'257',9.71,1,2,1),(28,7286899,'1995-03-22 00:00:00',4,1,12,2011,'M','N','POTECAS','S JOSÉ','SC','124243241115151431326624572224610137042',13017,'307',40.89,4,3,NULL),(28,7286902,'1957-07-16 00:00:00',4,1,12,1977,'M','N','CENTRO','FLORIANÓPOLIS','SC','124203204416153421123343332124222262022',12252,'9998',45.32,1,3,NULL),(28,7286910,'1992-10-17 00:00:00',4,1,11,2010,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124242247217472711359833575114610162041',5325,'9999',59.98,1,3,NULL),(28,7286929,'1994-03-09 00:00:00',2,1,11,2011,'F','N','CENTRO','BIGUAÇU','SC','124242241217121431444622242124610134052',6816,'270',54.42,1,3,NULL),(28,7286937,'1993-05-08 00:00:00',2,1,12,2010,'F','N','BALNEÁRIO PEREQUÊ','GUARUJÁ','SP','125251251116131711526327575124610163197',NULL,'9998',16.59,4,1,1),(28,7286945,'1977-05-31 00:00:00',4,15,7,1995,'F','N','PRAIA DA CAL','TORRES','RS','220201201117131731357759572115610127145',11090,'9998',42.05,1,2,1),(28,7286953,'1994-01-10 00:00:00',2,16,12,2011,'F','N','POR DO SOL','MTE CARLO','SC','124241241116141431323419392224610136197',NULL,'936',34.87,1,2,1),(28,7286961,'1993-06-14 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241415473411564632591124610124052',476,'446',75.14,1,3,NULL),(28,7286970,'1978-03-13 00:00:00',2,8,12,1996,'F','N','CENTRO','CURITIBA','PR','116252251216571751139943435125340464097',NULL,'9998',0.00,1,3,NULL),(28,7286996,'1995-10-30 00:00:00',5,15,12,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241315111531348613475114610117055',11102,'30',45.41,1,3,NULL),(28,7287003,'1992-02-27 00:00:00',2,1,11,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241436473421343632245134130267057',12870,'1093',41.55,1,3,NULL),(28,7287011,'1983-06-16 00:00:00',2,1,11,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124201201147131751436614341214610127057',NULL,'9998',19.80,1,2,1),(28,7287020,'1983-08-26 00:00:00',2,5,12,2000,'F','N','CENTRO','STA CRUZ SUL','RS','520201201116131411433735575124242613142',18896,'9998',35.69,1,3,NULL),(28,7287038,'1993-07-28 00:00:00',4,8,12,2010,'M','N','BUCAREIN','JOINVILLE','SC','124243241326471431446634575122610114172',8533,'471',56.20,1,3,NULL),(28,7287046,'1993-10-31 00:00:00',4,4,12,2010,'M','N','ARI BORTOLI','S DOMINGOS','SC','124241241137272411446514585115610127042',8291,'707',48.97,1,2,1),(28,7287054,'1983-10-21 00:00:00',4,1,11,2002,'M','N','ENSEADA DE BRITTO','PALHOÇA','SC','124201201126111711326321345134341024047',NULL,'9998',0.00,1,3,NULL),(28,7287062,'1992-02-02 00:00:00',2,10,12,2009,'F','N','CENTRO','S MARTINHO','SC','124241241125372431333414375124133122187',3952,'750',58.86,1,2,1),(28,7287089,'1994-01-21 00:00:00',4,2,10,2011,'F','N','VICTOR KONDER','BLUMENAU','SC','124241241215121531456632575122610127074',6880,'855',50.75,1,3,NULL),(28,7287097,'1994-11-09 00:00:00',4,1,11,2011,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121217111431489931474122610166052',NULL,'9998',0.00,1,3,NULL),(28,7287100,'1983-01-19 00:00:00',4,1,12,2000,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124244241216112731126741215124221458182',9368,'226',54.77,4,3,NULL),(28,7287119,'1989-09-18 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241135572411326339375114610136097',15192,'307',40.76,1,2,1),(28,7287127,'1991-06-24 00:00:00',2,1,12,2009,'F','N','PINHEIRA','PALHOÇA','SC','124241241125471131526521382114610167087',18087,'595',35.94,2,1,1),(28,7287151,'1992-07-22 00:00:00',2,1,12,2009,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124242241217131411447831595124231135081',8818,'272',55.74,1,3,NULL),(28,7287160,'1993-03-28 00:00:00',5,15,12,2010,'F','N','JARDIM ITALIA','MELEIRO','SC','124241241136142231434636445121610168197',NULL,'559',15.18,1,2,1),(28,7287178,'1989-06-30 00:00:00',2,1,12,2006,'F','N','ACLIMAÇÃO','S PAULO','SP','125251251136273411328821212314610142027',11149,'9998',44.79,1,2,1),(28,7287186,'1992-04-14 00:00:00',4,1,12,2009,'F','N','JARDIM POTIGUAR','PIRACICABA','SP','125252251216571431468823575112610144147',1136,'9998',67.39,1,3,NULL),(28,7287194,'1992-08-18 00:00:00',2,8,12,2009,'F','N','BRASÍLIA','S BENTO SUL','SC','124241241115372421423624285124231427172',NULL,'697',33.95,1,2,1),(28,7287208,'1993-06-15 00:00:00',4,9,11,2010,'F','N','CENTRO','S JOAQUIM','SC','116242241217473431448913575115610122147',4771,'721',56.02,1,3,NULL),(28,7287232,'1994-11-17 00:00:00',2,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124242241215111231546634575122610128192',NULL,'738',0.00,1,3,NULL),(28,7287240,'1991-06-02 00:00:00',6,15,12,2011,'M','N','SANGA DA AREIA','ARARANGUÁ','SC','124241247127141221332319142323610122187',NULL,'9999',9.61,1,2,1),(28,7287259,'1988-08-25 00:00:00',2,1,12,2005,'F','N','LOEFFELSCHEIDT','ÁGUAS MORNAS','SC','124241241126133711423335375224222338147',13439,'12',48.33,1,2,1),(28,7287267,'1994-11-05 00:00:00',4,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241212112331579612375114610114043',1979,'270',65.94,1,3,NULL),(28,7287275,'1993-08-19 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431568812572125610132122',2139,'226',64.33,1,3,NULL),(28,7287283,'1990-04-08 00:00:00',4,2,12,2007,'F','N','VORSTADT','BLUMENAU','SC','124242241215572431244729491124131267112',4855,'909',55.44,1,3,NULL),(28,7287291,'1994-06-03 00:00:00',4,1,2,2012,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241245115371711536613432124610137015',16197,'281',38.13,1,2,1),(28,7287305,'1973-04-29 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241247122131431122349195124610133193',NULL,'945',25.75,1,3,NULL),(28,7287313,'1978-01-17 00:00:00',2,1,12,2006,'M','N','LAGOINHA','FLORIANÓPOLIS','SC','124241241122351431323449195123610167182',15976,'288',37.86,1,2,1),(28,7287321,'1994-05-06 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241131271411434823575124610124147',NULL,'288',24.12,1,3,NULL),(28,7287330,'1993-01-29 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124251241115573411333312575124610126177',NULL,'275',0.00,1,2,1),(28,7287348,'1985-08-15 00:00:00',2,17,12,2003,'M','N','JARDIM ESPERANÇA','CANOINHAS','SC','124241241116571431345623495124131365177',NULL,'153',15.79,1,2,1),(28,7287356,'1991-10-10 00:00:00',2,8,12,2008,'F','N','BIGORRILHO','CURITIBA','PR','116161161117371441426431572224610126042',NULL,'9998',0.00,1,2,1),(28,7287364,'1992-11-09 00:00:00',4,1,12,2010,'M','N','DEHON','TUBARÃO','SC','124242241215472431436722575124131467087',3051,'807',66.75,1,3,NULL),(28,7287372,'1992-09-10 00:00:00',4,1,12,2010,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124242248115472431358913572124610127092',6009,'306',52.91,1,3,NULL),(28,7287380,'1993-12-05 00:00:00',4,6,12,2010,'M','N','FAZENDINHA','ITAJAÍ','SC','124242248216372431336823395124610122142',7201,'388',49.13,1,3,NULL),(28,7287399,'1989-01-23 00:00:00',4,16,12,2007,'F','N','FAXINAL DO ESTREITO','PTE ALTA','SC','124241248111131411216353572343610164147',NULL,'625',20.10,1,3,NULL),(28,7287410,'1991-05-12 00:00:00',2,24,12,2008,'M','N','CENTRO','ITUPORANGA','SC','124241241445371751449853295124133137097',19736,'416',30.78,1,3,NULL),(28,7287429,'1993-06-06 00:00:00',2,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241116472431125539245114610124057',4137,'552',59.05,4,2,1),(28,7287437,'1993-12-02 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271431579932422122610163182',6904,'1022',53.75,1,3,NULL),(28,7287461,'1993-04-10 00:00:00',4,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124241241115271732423334272225610124057',19817,'730',21.55,1,2,1),(28,7287488,'1991-11-03 00:00:00',4,6,12,2009,'M','N','BATEL','CURITIBA','PR','116162161235571431567931272122142637037',NULL,'9998',0.00,1,3,NULL),(28,7287496,'1990-11-30 00:00:00',4,8,12,2007,'F','N','CENTRO','IBAITI','PR','116161161116471431636833575124610167147',8872,'9998',47.70,1,2,1),(28,7287500,'1991-10-07 00:00:00',2,1,8,2010,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241241117272721437519375114130264147',11628,'739',44.23,1,2,1),(28,7287526,'1994-06-03 00:00:00',4,1,2,2012,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241245115371711536613432124610136145',15824,'281',39.42,1,2,1),(28,7287534,'1986-03-12 00:00:00',4,1,11,2003,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124164051216151431266652425122142437142',NULL,'9998',11.78,1,3,NULL),(28,7287542,'1984-05-25 00:00:00',4,5,12,2001,'M','N','CENTRO','CRICIÚMA','SC','124242241216154421289942425132231064123',NULL,'226',0.00,1,3,NULL),(28,7287550,'1989-04-02 00:00:00',4,8,12,2007,'M','N','ITAUM','JOINVILLE','SC','124243246216112431226614445121610122172',NULL,'490',28.18,1,3,NULL),(28,7287585,'1995-06-09 00:00:00',4,1,11,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124022241217111431558813575122610126095',NULL,'270',28.26,1,3,NULL),(28,7287593,'1982-02-23 00:00:00',2,1,12,2000,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224241241116135721249344245122320522197',11939,'267',40.79,1,2,1),(28,7287615,'1994-01-16 00:00:00',4,10,12,2011,'M','N','CABEÇUDAS','LAGUNA','SC','124242241225131431426612385124610121037',8095,'524',45.47,1,3,NULL),(28,7287623,'1994-05-04 00:00:00',4,1,12,2011,'M','N','JARDINS MADRI','GOIÂNIA','GO','109092091215111431479712575122610127072',5492,'9998',53.78,4,3,NULL),(28,7287631,'1991-03-03 00:00:00',4,1,12,2009,'F','N','CENTRO','GAROPABA','SC','124241241147131731626629345121610127077',16458,'322',42.75,1,2,1),(28,7287640,'1993-10-08 00:00:00',2,1,12,2010,'M','N','PRAINHA','FLORIANÓPOLIS','SC','124242241212372411256829595114133215142',NULL,'1048',19.79,1,3,NULL),(28,7287658,'1991-09-06 00:00:00',4,15,12,2008,'F','N','MOINHOS','ILÓPOLIS','RS','120202201317371411238824575112142826177',6230,'9998',53.08,1,3,NULL),(28,7287666,'1992-01-29 00:00:00',4,1,12,2009,'F','N','RIACHO FUNDO','RIACHO FUNDO','DF','107074071216171421569833575114241466097',6061,'9998',60.49,1,3,NULL),(28,7287674,'1993-11-13 00:00:00',2,5,12,2010,'F','N','SANTA ISABEL','FORQUILHINHA','SC','124243248211132731436616341121610127077',6249,'995',54.72,1,3,NULL),(28,7287682,'1994-05-28 00:00:00',4,1,11,2011,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124244241215112432235833575124610125012',16205,'270',43.32,1,3,NULL),(28,7287690,'1988-07-10 00:00:00',2,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124251241122373431446413432124610114047',11437,'283',45.12,1,2,1),(28,7287704,'1994-01-04 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111731468613575112610148185',NULL,'1168',18.99,1,3,NULL),(28,7287712,'1988-11-03 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241122234312659313382114133217067',NULL,'922',22.42,1,3,NULL),(28,7287720,'1987-11-22 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215375431556513485124610131092',2810,'1022',61.65,1,3,NULL),(28,7287747,'1994-09-22 00:00:00',4,15,11,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124242241215371751558811272122610164182',1588,'970',67.15,1,3,NULL),(28,7287755,'1980-06-02 00:00:00',4,1,12,1998,'F','N','AREIAS','S JOSÉ','SC','224243241117132751378654342122343223187',NULL,'307',20.90,1,3,NULL),(28,7287763,'1994-08-18 00:00:00',2,25,12,2011,'F','N','INTERIOR','IOMERÊ','SC','124241242117141431326636175124610146177',13789,'831',38.39,1,2,1),(28,7287771,'1991-08-16 00:00:00',4,6,12,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241216131421336944345123232266192',NULL,'388',29.40,1,3,NULL),(28,7287798,'1994-05-16 00:00:00',4,22,12,2011,'F','N','PINHEIRAL','MAJ GERCINO','SC','124241241125131131625639575122610117052',18755,'1215',29.00,1,2,1),(28,7287810,'1993-05-17 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215473341589954575122233217052',3022,'270',63.66,1,3,NULL),(28,7287828,'1991-11-20 00:00:00',4,5,12,2009,'F','N','SAO JOAO','COCAL SUL','SC','124241248121131431424319191124131426157',NULL,'189',19.56,1,2,1),(28,7287836,'1991-09-10 00:00:00',2,1,12,2009,'M','N','PRAIA DE FORA','PALHOÇA','SC','124243241136372411339413245114610167047',8716,'739',50.97,1,3,NULL),(28,7287844,'1991-04-30 00:00:00',2,7,11,2008,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241216571731456533575122133268092',NULL,'392',0.00,1,3,NULL),(28,7287852,'1994-03-09 00:00:00',4,1,1,2012,'F','N','SANTA ANA','STO AMARO IMPERATRIZ','SC','124241241117131431538813485122610155097',18219,'772',38.24,1,2,1),(28,7287860,'1994-05-05 00:00:00',4,1,12,2011,'M','N','JARDINS','ARACAJU','SE','126262251216111431468829575114610164057',NULL,'9998',0.00,4,3,NULL),(28,7287879,'1991-08-04 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241125241431623324345124610124141',NULL,'283',28.47,1,2,1),(28,7287887,'1991-03-15 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124252251216573431348811575123610144057',655,'9998',70.99,1,3,NULL),(28,7287895,'1991-01-14 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124243241412574511237723445124121347072',6608,'1022',51.22,1,3,NULL),(28,7287909,'1992-04-08 00:00:00',2,1,12,2009,'F','N','CHACARA ANTONIETA','LIMEIRA','SP','125251251136471431623717341124610116147',17030,'9998',34.14,2,1,1),(28,7287917,'1994-12-13 00:00:00',4,10,11,2011,'M','N','OFICINAS','TUBARÃO','SC','124242241215151431438512275112610167067',11103,'1120',43.89,1,3,NULL),(28,7287925,'1994-08-18 00:00:00',4,4,12,2011,'M','N','JARDIN UNIVERSITARIO','XANXERÊ','SC','124241248117141531439931582122610122147',NULL,'949',21.00,1,3,NULL),(28,7287933,'1992-01-04 00:00:00',4,1,12,2009,'M','N','CENTRO','TIJUCAS','SC','124242248216142431336614445122230727112',19770,'1119',30.50,1,3,NULL),(28,7287941,'1992-11-26 00:00:00',4,4,12,2009,'M','N','LA SALLE','PATO BRANCO','PR','116162161217271431448614245112140267157',12528,'9998',39.85,1,3,NULL),(28,7287950,'1995-04-17 00:00:00',4,24,11,2012,'M','S','CENTRO','RIO SUL','SC','124242241215111431469612275122610117052',NULL,'991',44.89,1,3,NULL),(28,7287968,'1984-05-04 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241126374421666619235124221862142',NULL,'40',0.00,1,2,1),(28,7287976,'1994-11-19 00:00:00',4,7,11,2011,'F','N','CENTRO','ÁGUA DOCE','SC','124243241216131431438821575124610127142',13558,'454',37.84,1,3,NULL),(28,7287984,'1993-07-09 00:00:00',4,1,12,2011,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111431477879575112610162092',20146,'884',24.68,1,3,NULL),(28,7288000,'1988-06-14 00:00:00',2,1,12,2005,'F','N','IPANEMA','PTO ALEGRE','RS','120202201217571431239639475124610163187',NULL,'9998',28.20,2,3,NULL),(28,7288018,'1991-05-29 00:00:00',4,1,9,2010,'M','N','DANIELA','FLORIANÓPOLIS','SC','124241241411373411448832385124231834092',17222,'270',40.94,1,3,NULL),(28,7288026,'1992-05-20 00:00:00',4,10,12,2009,'F','N','ANDRINO','TUBARÃO','SC','124241241117131431434412145124232245042',NULL,'1034',0.00,1,2,1),(28,7288034,'1992-07-22 00:00:00',4,5,12,2009,'M','N','QUARTA LINHA','CRICIÚMA','SC','124241246215141431463311345132610168183',16686,'995',42.24,1,3,NULL),(28,7288042,'1994-08-10 00:00:00',4,1,12,2011,'M','N','SANTA RUTE','JUNQUEIRÓPOLIS','SP','125254251215111431436823575121610157057',5135,'9998',53.97,4,3,NULL),(28,7288069,'1991-05-06 00:00:00',4,1,12,2008,'M','N','CENTRO','PEDRALVA','MG','113133131216111431356635495115243244043',NULL,'9998',0.00,1,3,NULL),(28,7288077,'1994-03-01 00:00:00',2,27,12,2010,'M','N','CENTRO','TOLEDO','PR','116162161215472431558833575121610137062',611,'9998',68.74,1,3,NULL),(28,7288085,'1993-10-07 00:00:00',2,1,12,2010,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241215272431454823571114610114192',16619,'1223',42.39,1,3,NULL),(28,7288093,'1994-11-19 00:00:00',4,1,12,2011,'M','N','ARREIAS','S JOSÉ','SC','124241241115371431433618245124610124057',7445,'733',51.63,1,2,1),(28,7288107,'1994-01-23 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371231448822572122610144042',279,'262',77.13,1,3,NULL),(28,7288115,'1995-01-25 00:00:00',4,3,12,2011,'F','N','RIO DO MEIO','CAMBORIÚ','SC','124241242115371441433614575124610126182',4551,'129',56.36,1,2,1),(28,7288140,'1994-01-23 00:00:00',4,4,12,2011,'M','N','INTERIOR','SAUDADES','SC','124241241135161431426614272124610131077',17424,'761',31.55,1,3,NULL),(28,7288166,'1994-06-19 00:00:00',4,1,12,2011,'M','N','PASSA VINTE','PALHOÇA','SC','124241241115111431426411342124610127042',NULL,'592',21.87,1,2,1),(28,7288174,'1993-09-12 00:00:00',2,5,12,2011,'F','N','CORRIDAS','ORLEANS','SC','124241241112331431426314575124610118147',NULL,'580',18.25,4,3,NULL),(28,7288190,'1994-06-28 00:00:00',4,1,12,2011,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217111431549813572112610123015',NULL,'951',18.98,1,3,NULL),(28,7288220,'1986-03-12 00:00:00',2,1,11,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161167126141431326622145122141223142',NULL,'9998',29.44,1,2,1),(28,7288239,'1993-12-18 00:00:00',4,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241237111431346613335112610161047',NULL,'44',13.27,1,3,NULL),(28,7288247,'1994-01-03 00:00:00',4,6,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431449911475121610147011',6871,'1038',53.61,1,3,NULL),(28,7288255,'1984-06-15 00:00:00',4,8,12,2002,'M','N','ITAUM','JOINVILLE','SC','124242241216141421448833315122131034052',NULL,'487',0.00,1,3,NULL),(28,7288263,'1994-11-29 00:00:00',2,1,12,2011,'F','N','SANTA RITA','CRUZ ALTA','RS','120201201116131331236629575124610128197',18545,'9998',27.98,1,3,NULL),(28,7288271,'1991-09-15 00:00:00',2,3,12,2008,'F','N','PIONEIROS','CPO GRANDE','MS','112122121217574431446762575122610137037',4646,'9998',54.94,1,3,NULL),(28,7288280,'1994-09-21 00:00:00',4,5,11,2011,'M','N','PIO CORREA','CRICIÚMA','SC','124242241215372411469611575112610147042',477,'211',73.15,1,3,NULL),(28,7288298,'1994-05-10 00:00:00',4,1,12,2011,'M','N','PASSA VINTE','PALHOÇA','SC','124241241115111121426611242124610127047',16151,'592',34.27,1,2,1),(28,7288310,'1990-05-11 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241116154431547731345122610127062',5415,'307',55.25,4,3,NULL),(28,7288328,'1990-06-14 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241247315572421253923432114610116042',12278,'9999',50.12,1,3,NULL),(28,7288336,'1994-04-12 00:00:00',4,1,12,2011,'M','N','AREIAS','S JOSÉ','SC','124242241415111421468833575114610164112',12337,'1022',41.12,1,3,NULL),(28,7288344,'1990-10-05 00:00:00',4,8,12,2009,'M','N','ADHEMAR GARCIA','JOINVILLE','SC','124241241317371411325628243334610146177',NULL,'9999',0.00,1,3,NULL),(28,7288352,'1985-10-29 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241116275721323611245334610137187',12978,'359',41.88,1,2,1),(28,7288379,'1986-05-24 00:00:00',4,8,12,2003,'F','N','CENTRO','CARLÓPOLIS','PR','116161161116151431244645455122341534187',19152,'9998',34.63,1,3,NULL),(28,7288395,'1989-09-17 00:00:00',2,1,12,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241247127321221627629245122610127042',17771,'9999',39.56,1,2,1),(28,7288417,'1994-07-28 00:00:00',4,1,12,2011,'F','N','PACHECOS','PALHOÇA','SC','124242241215111411458613572124610164192',19860,'1011',29.76,1,3,NULL),(28,7288425,'1994-07-04 00:00:00',4,4,12,2011,'M','N','NOSSA SRA APARECIDA','FRANCISCO BELTRÃO','PR','116162161216221431469833575122610127042',8664,'9998',48.05,1,3,NULL),(28,7288433,'1994-11-16 00:00:00',4,4,12,2011,'F','N','ESPLANADA','CHAPECÓ','SC','124241241115371431211721575124610134127',NULL,'176',32.99,4,2,1),(28,7288441,'1993-01-07 00:00:00',2,1,12,2010,'F','N','COSTA DA LAGOA','FLORIANÓPOLIS','SC','124241241116472421533313275324610123152',11392,'307',45.77,1,2,1),(28,7288450,'1991-03-02 00:00:00',2,1,12,2008,'M','N','PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP','125251251147571731324429385124610167047',10670,'9998',45.88,4,2,1),(28,7288476,'1987-03-16 00:00:00',2,1,12,2004,'F','N','PINHEIRAL','RANCHO QUEIMADO','SC','124241241122212431333316115122330231057',NULL,'649',0.00,1,2,1),(28,7288484,'1994-01-19 00:00:00',4,1,12,2011,'M','N','CERAMARTE','RIO NEGRINHO','SC','124242241217161431478613574112610117042',13055,'666',40.45,1,3,NULL),(28,7288492,'1991-05-20 00:00:00',2,1,12,2008,'M','N','CANAÃ','UBERLÂNDIA','MG','113131131116371431235624385124143232147',NULL,'9998',0.00,4,2,1),(28,7288506,'1985-04-16 00:00:00',4,1,12,2002,'M','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','224243241215131411257744245122133262037',15294,'259',45.06,4,3,NULL),(28,7288522,'1988-06-10 00:00:00',2,15,12,2005,'F','N','BOM FIM','PTO ALEGRE','RS','120202201216471531248827571122610126147',NULL,'9998',0.00,1,3,NULL),(28,7288530,'1994-09-09 00:00:00',4,10,11,2011,'F','N','CENTRO','LAGUNA','SC','124242241215161431426711575122610112077',18208,'525',38.28,1,3,NULL),(28,7288549,'1984-10-26 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124203241215372741333319575124120768177',3116,'970',66.58,1,3,NULL),(28,7288557,'1993-10-02 00:00:00',2,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215472431458919575224610128052',1372,'262',66.13,1,3,NULL),(28,7288565,'1983-04-25 00:00:00',2,1,11,2003,'M','N','SERRARIA','BIGUAÇU','SC','124241247117132531335624212112130216117',NULL,'9999',0.00,1,2,1),(28,7288573,'1992-03-31 00:00:00',4,9,7,2011,'M','N','CENTRO','LAGES','SC','124244247337151531458977185121610167093',16751,'9999',32.94,1,3,NULL),(28,7288590,'1994-12-14 00:00:00',4,16,12,2011,'F','N','CENTRO','STA CECÍLIA','SC','124241241117371441326331482124610152147',15673,'686',34.88,1,2,1),(28,7288603,'1989-07-19 00:00:00',2,4,12,2006,'F','N','CHÁCARA DAS FLORES','STA MARIA','RS','120201205116151741523314475124240966176',NULL,'9998',0.00,1,3,NULL),(28,7288611,'1992-09-03 00:00:00',4,1,12,2009,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124202201216573431348922592124231062182',6917,'9998',50.69,1,3,NULL),(28,7288620,'1995-01-13 00:00:00',4,1,12,2012,'M','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241217161711359923575112610144197',NULL,'273',38.63,1,3,NULL),(28,7288638,'1994-08-29 00:00:00',4,1,12,2011,'M','N','GUANANDY','AQUIDAUANA','MS','112122121216161431557923335122610122092',13532,'9998',48.19,1,3,NULL),(28,7288654,'1990-04-13 00:00:00',4,16,11,2007,'M','N','BOSQUE','CURITIBANOS','SC','124241241115371731533314145122610121185',15315,'240',45.00,1,2,1),(28,7288662,'1994-12-23 00:00:00',4,17,12,2011,'M','N','CAMPO DA AGUA VERDE','CANOINHAS','SC','124241241115141231327967315121610162197',NULL,'146',15.82,1,3,NULL),(28,7288670,'1994-04-18 00:00:00',4,4,12,2011,'M','N','ALVORADA','FRANCISCO BELTRÃO','PR','116162161216221431466632575122610127042',11465,'9998',41.18,1,3,NULL),(28,7288689,'1994-10-08 00:00:00',4,1,12,2011,'M','N','CHÁCARAS SANTA MARIA','EMBU','SP','125252251216161751458933572124610146092',6155,'9998',53.49,4,3,NULL),(28,7288700,'1994-06-16 00:00:00',4,1,11,2011,'M','N','LAGOA','FLORIANÓPOLIS','SC','124242241215121431479913585122610162186',8675,'270',47.73,1,3,NULL),(28,7288719,'1995-02-15 00:00:00',4,1,12,2012,'F','S','CENTRO','BIGUAÇU','SC','124242241211111731328812571122610112012',NULL,'63',20.87,1,3,NULL),(28,7288735,'1987-10-27 00:00:00',4,23,12,2004,'M','N','CENTRO','ERECHIM','RS','120201201211131431233639571124140722057',6541,'9998',51.21,1,3,NULL),(28,7288743,'1991-03-02 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124162241217273441243544345121132164097',1804,'1022',66.00,1,3,NULL),(28,7288751,'1994-04-04 00:00:00',4,1,12,2011,'F','N','MONTE CASTELO','CPO GRANDE','MS','112122121216112751448831575122610168187',265,'9998',75.22,1,3,NULL),(28,7288760,'1983-10-26 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201144372421426619215324222362097',17439,'9998',32.83,1,2,1),(28,7288778,'1984-06-24 00:00:00',2,1,12,2001,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241126131721113844246334131063147',NULL,'342',0.00,1,3,NULL),(28,7288786,'1994-09-08 00:00:00',4,8,12,2011,'F','N','ZONA I A','UMUARAMA','PR','116162161215121411333721575122610114177',7475,'9998',50.50,3,3,NULL),(28,7288794,'1993-01-14 00:00:00',2,16,12,2010,'M','N','CENTRO','ZORTÉA','SC','124241241126271211536511595124130817042',NULL,'849',30.14,1,3,NULL),(28,7288808,'1994-02-26 00:00:00',4,3,12,2011,'F','N','CENTRO','CAÇADOR','SC','124241241116151431326812585122610145092',12263,'124',40.96,1,2,1),(28,7288816,'1993-07-09 00:00:00',4,8,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161215472431579614575122610167182',NULL,'9998',0.00,1,3,NULL),(28,7288824,'1993-12-03 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241215372431258823395122610114182',10734,'1207',45.11,1,3,NULL),(28,7288832,'1994-05-14 00:00:00',4,7,11,2011,'F','N','CENTRO','JOAÇABA','SC','124243241345131431437832275122610131142',16716,'454',30.42,1,3,NULL),(28,7288840,'1989-09-26 00:00:00',4,4,12,2008,'M','N','LARANJEIRAS','MODELO','SC','124241241111272411388713531122131017052',NULL,'562',24.63,4,3,NULL),(28,7288859,'1988-08-28 00:00:00',4,4,12,2005,'M','N','CENTRO','SEARA','SC','124241241136272731354312475124331167012',NULL,'763',34.45,1,2,1),(28,7288875,'1989-01-27 00:00:00',4,4,12,2006,'M','N','CENTRO','MARAVILHA','SC','124241241147131431226624241331131035177',NULL,'552',0.00,1,2,1),(28,7288883,'1993-04-25 00:00:00',4,8,12,2010,'M','N','CENTRO','JOINVILLE','SC','124241241335471431627614474112610124177',2151,'154',64.56,1,3,NULL),(28,7288891,'1988-02-21 00:00:00',2,1,12,2006,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124164161314134431115549493224222968102',14405,'9998',46.75,1,3,NULL),(28,7288905,'1993-07-10 00:00:00',4,26,11,2010,'F','N','COPAS VERDES','ERECHIM','RS','120202201216211431466931572112142643072',3176,'9998',63.78,1,3,NULL),(28,7288913,'1993-08-06 00:00:00',4,1,12,2010,'M','N','GONZAGA','SANTOS','SP','125252251217471411668831371121610147042',1867,'9998',63.97,1,3,NULL),(28,7288921,'1994-08-15 00:00:00',4,16,12,2011,'M','N','SÃO LUIZ','CURITIBANOS','SC','124241241135371431438823342122610114177',NULL,'238',31.45,1,2,1),(28,7288930,'1994-06-21 00:00:00',4,1,12,2011,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241126161411548339575122610117052',17979,'649',30.38,1,2,1),(28,7288948,'1994-05-08 00:00:00',4,25,12,2011,'F','N','MUNICÍPIOS','CAÇADOR','SC','124241241215112431545832592122610164077',1750,'1124',63.94,1,3,NULL),(28,7288956,'1994-01-04 00:00:00',4,1,12,2011,'M','N','REAL PARQUE','S JOSÉ','SC','124241241115151732423317575124610157042',NULL,'730',16.64,1,2,1),(28,7288964,'1993-11-05 00:00:00',2,1,12,2010,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215472731246923575124133267047',7442,'738',51.25,1,3,NULL),(28,7288972,'1990-11-07 00:00:00',2,1,12,2007,'F','N','OURO VERDE','TAPIRA','PR','116163161335511431526536572324610164057',7356,'9998',51.27,2,1,2),(28,7288980,'1993-03-08 00:00:00',4,1,11,2010,'M','N','SUMARÉ','RIO SUL','SC','124242241211473431448811592124610127042',1098,'991',69.12,1,3,NULL),(28,7288999,'1994-12-25 00:00:00',2,8,12,2011,'M','N','CENTRO','CARLÓPOLIS','PR','116163161116151531456831275122610147067',NULL,'9998',24.95,1,3,NULL),(28,7289006,'1990-06-22 00:00:00',2,1,12,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124244241111373221446613241122610127097',15301,'733',36.47,1,3,NULL),(28,7289014,'1995-03-25 00:00:00',2,4,12,2011,'M','N','CENTRO','SUL BRASIL','SC','124241241126161411549933375122610127172',13801,'775',37.20,1,2,1),(28,7289030,'1993-03-21 00:00:00',4,1,12,2010,'F','N','ALTO DA BOA VISTA','SOROCABA','SP','125242251215471431458832395112610137151',3172,'9998',61.74,1,3,NULL),(28,7289057,'1990-11-28 00:00:00',4,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241216151751234443335115610142181',9328,'489',54.83,1,3,NULL),(28,7289065,'1992-10-23 00:00:00',4,1,12,2009,'M','N','TAPERA','FLORIANÓPOLIS','SC','124141141116152431648613575124610147145',3485,'9998',59.34,1,2,1),(28,7289073,'1994-09-20 00:00:00',2,1,12,2011,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215111431436619275122610134057',NULL,'1223',25.77,1,3,NULL),(28,7289090,'1991-12-17 00:00:00',4,1,11,2008,'F','N','CENTRO','VIDEIRA','SC','124242161217574751347729575125610136047',2919,'9998',60.92,1,3,NULL),(28,7289103,'1994-06-30 00:00:00',4,1,12,2011,'F','N','JOSE MENDES','FLORIANÓPOLIS','SC','124241241135131431426324342344610116147',NULL,'281',19.34,1,2,1),(28,7289111,'1992-05-28 00:00:00',4,15,12,2009,'M','N','VILA BEATRIZ','MARACAJÁ','SC','124241246116131431433316345122610167112',NULL,'550',27.51,1,2,1),(28,7289120,'1991-10-24 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124241241117131531536667285114141964142',NULL,'293',23.15,1,3,NULL),(28,7289138,'1989-10-17 00:00:00',2,1,12,2006,'F','N','BELA VISTA III','S JOSÉ','SC','124241241117373451326414375124231436182',6125,'257',53.94,1,2,1),(28,7289146,'1991-01-08 00:00:00',4,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124201201117152421313415495124220736187',14240,'9998',47.04,1,2,1),(28,7289154,'1985-11-27 00:00:00',4,8,12,2002,'F','N','CENTRO','TOLEDO','PR','116162161416573431348931472122343163142',NULL,'9998',0.00,1,3,NULL),(28,7289162,'1987-09-11 00:00:00',4,1,11,2004,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117132421125613345123131424017',NULL,'477',28.16,1,2,1),(28,7289170,'1994-03-15 00:00:00',4,25,12,2011,'M','N','SANTA TERESA','VIDEIRA','SC','124244241215171431365631275122610134017',16961,'1080',41.62,1,3,NULL),(28,7289200,'1995-08-03 00:00:00',2,1,12,2011,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124244241215151751449913572124610117052',8836,'1050',46.57,1,3,NULL),(28,7289219,'1994-03-08 00:00:00',2,1,10,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431358612575112610114142',10682,'270',44.46,1,3,NULL),(28,7289227,'1995-07-02 00:00:00',2,24,12,2012,'F','S','BUDAG','RIO SUL','SC','124242241215111621446914575122610128052',NULL,'653',27.93,1,3,NULL),(28,7289235,'1993-01-10 00:00:00',2,1,12,2009,'M','N','CENTRO','BOM RETIRO','SC','124243241146472431436612575121610167052',8085,'95',51.50,1,3,NULL),(28,7289251,'1994-03-23 00:00:00',4,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117371431324313572124610125197',NULL,'281',33.38,1,2,1),(28,7289286,'1991-08-24 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215373431569913475124131067112',16925,'1022',36.65,1,3,NULL),(28,7289294,'1991-07-20 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241141411311323167382114610124173',20164,'504',22.61,2,1,1),(28,7289316,'1993-11-22 00:00:00',4,8,12,2011,'F','N','SAGUACU','JOINVILLE','SC','124242241217271231468913574122613266182',4448,'457',55.22,1,3,NULL),(28,7289324,'1991-09-04 00:00:00',4,1,12,2008,'F','N','JARDIM CARAVELLE','LONDRINA','PR','116162161217571731568811491112140431092',NULL,'9998',0.00,1,3,NULL),(28,7289340,'1993-10-23 00:00:00',2,1,12,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115372431434411275214610112182',6695,'307',54.36,1,2,1),(28,7289359,'1994-10-28 00:00:00',2,1,12,2011,'M','N','IPIRANGA','S JOSÉ','SC','124242241215111431436918585122610112142',13562,'1134',40.54,1,3,NULL),(28,7289367,'1993-01-11 00:00:00',2,15,12,2010,'F','N','CENTRO','ARARANGUÁ','SC','124242241217473451468911575125610167182',6127,'970',53.38,1,3,NULL),(28,7289375,'1993-10-28 00:00:00',2,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241115372431467513375124610161072',1205,'267',68.09,1,2,1),(28,7289391,'1994-10-17 00:00:00',4,6,11,2011,'M','N','CENTRO','CAMPOS NOVOS','SC','124242241215111431458812575122610127182',13766,'1038',47.78,1,3,NULL),(28,7289413,'1991-04-04 00:00:00',4,15,12,2008,'M','N','ITAPUA','BAL GAIVOTA','SC','124241241137162431233829495124131447187',NULL,'1033',0.00,1,2,1),(28,7289421,'1995-03-08 00:00:00',4,1,12,2012,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111732368811572122610163192',NULL,'262',29.24,1,3,NULL),(28,7289430,'1993-12-24 00:00:00',2,1,12,2010,'M','N','GLÓRIA','VL VELHA','ES','108082081217471431457562575112610167126',NULL,'9998',0.00,2,3,NULL),(28,7289448,'1993-04-01 00:00:00',2,1,11,2010,'M','N','CENTRO','URUSSANGA','SC','124242241215143411638813595124221417042',3085,'226',60.88,1,3,NULL),(28,7289464,'1992-12-06 00:00:00',4,1,12,2009,'M','N','VILA AMELIA','RIBEIRÃO PRETO','SP','125252251211571431478831315124610161023',11709,'9998',41.39,1,3,NULL),(28,7289472,'1991-07-02 00:00:00',4,5,12,2008,'M','N','CENTRO','CRICIÚMA','SC','124242241215272431458811485124121026062',2485,'226',68.29,1,3,NULL),(28,7289480,'1992-03-16 00:00:00',2,1,12,2009,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241117373731448933285124610236187',10749,'739',45.25,1,3,NULL),(28,7289502,'1990-04-16 00:00:00',2,1,12,2010,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241125141441425534241124230216117',18698,'278',36.47,1,2,1),(28,7289510,'1994-03-22 00:00:00',2,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241215371431445814385122610137062',14223,'989',39.54,1,3,NULL),(28,7289529,'1994-10-14 00:00:00',2,17,12,2011,'M','N','CENTRO','CANOINHAS','SC','124242161216111431447632575112610124047',16888,'9998',41.79,1,3,NULL),(28,7289537,'1994-07-18 00:00:00',4,4,12,2011,'M','N','NOSSA SRA APARECIDA','FRANCISCO BELTRÃO','PR','116162161216321151478832383111610111162',6500,'9998',52.68,1,3,NULL),(28,7289545,'1987-09-25 00:00:00',4,1,12,2005,'F','N','VILA SANTO ANTÔNIO','IMBITUBA','SC','124241241114132731322319195124221722187',5285,'359',61.88,1,2,1),(28,7289553,'1977-04-27 00:00:00',4,24,12,1994,'M','N','AQUÁRIUS','S JOSÉ CAMPOS','SP','225092091216573751376743435122521466197',NULL,'9998',27.98,1,3,NULL),(28,7289570,'1993-08-12 00:00:00',2,10,12,2011,'F','N','PROGRESSO','LAGUNA','SC','124241241135131431423514572124610136142',15666,'521',44.36,1,2,1),(28,7289588,'1992-01-11 00:00:00',4,1,12,2009,'M','N','AREIAS BARREIROS','S JOSÉ','SC','124242241316132731337814242122130837047',NULL,'1118',25.40,1,3,NULL),(28,7289600,'1993-11-06 00:00:00',2,1,12,2011,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241115371411566619592124610163172',8211,'267',49.44,1,2,1),(28,7289618,'1992-09-13 00:00:00',4,8,12,2009,'M','N','IRIRIU','JOINVILLE','SC','124244241215152412366932577114231462196',8858,'462',55.66,1,3,NULL),(28,7289634,'1992-11-20 00:00:00',4,1,12,2010,'M','N','CENTRO','CAMPINAS','SP','125254251115111311349813575114610117042',NULL,'9998',0.00,1,3,NULL),(28,7289642,'1994-03-03 00:00:00',4,2,12,2011,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','124241241116271411427614595124610126182',8183,'83',48.78,1,2,1),(28,7289650,'1993-02-06 00:00:00',2,1,12,2010,'F','N','CENTRO','ALFREDO WAGNER','SC','124241248127131731124423245121610127187',NULL,'13',23.87,1,2,1),(28,7289677,'1993-09-27 00:00:00',2,1,12,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124141241115371431533724575124610127052',NULL,'307',35.49,1,2,1),(28,7289693,'1994-02-28 00:00:00',4,9,11,2011,'M','N','CORAL','LAGES','SC','124242241215131441546623571121610131052',12114,'1207',41.22,1,3,NULL),(28,7289707,'1990-08-06 00:00:00',4,24,12,2008,'F','N','CENTRO','PRES GETÚLIO','SC','124241241126141421427321212123610164197',11431,'644',43.66,1,2,1),(28,7289715,'1993-08-03 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472411449931372222610135142',89,'442',79.05,4,3,NULL),(28,7289723,'1994-07-03 00:00:00',4,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241248627131751324419572124610131172',7120,'262',53.92,1,3,NULL),(28,7289731,'1984-12-27 00:00:00',4,1,12,2002,'M','N','TAQUARAL','CAMPINAS','SP','125252251216153441248921425122341662097',2279,'9998',62.36,1,3,NULL),(28,7289758,'1994-04-04 00:00:00',2,15,12,2011,'M','N','CAMPO DAGUA','SOMBRIO','SC','124241241117131731423369572344610147042',NULL,'1033',0.00,1,2,1),(28,7289774,'1994-09-23 00:00:00',4,1,11,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217111431579813572112610132075',11463,'883',43.14,1,3,NULL),(28,7289782,'1990-05-22 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124213211117472431427619575124610168172',5385,'9998',56.26,1,3,NULL),(28,7289790,'1994-07-07 00:00:00',4,1,12,2011,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124244241235161731336824572221610124012',14085,'948',47.28,1,3,NULL),(28,7289812,'1993-04-04 00:00:00',2,5,10,2010,'M','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124243241215272431535814445121610114111',12152,'213',50.33,1,3,NULL),(28,7289839,'1993-05-02 00:00:00',4,17,12,2010,'M','N','CENTRO','PAPANDUVA','SC','124243241235471411358823275112610164097',4165,'541',57.88,1,3,NULL),(28,7289847,'1992-11-04 00:00:00',4,3,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161215571431256833575125610162017',2845,'9998',59.94,4,3,NULL),(28,7289855,'1992-06-04 00:00:00',4,8,12,2009,'M','N','CENTRO','LONDRINA','PR','116162161215573731449833585122610167052',6996,'9998',50.77,1,3,NULL),(28,7289863,'1953-07-02 00:00:00',2,1,12,1990,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','624241245127472442331173195124610151097',NULL,'281',33.85,1,3,NULL),(28,7289871,'1991-03-05 00:00:00',2,22,12,2008,'F','N','CENTRO','BRUSQUE','SC','124201241137371551428623381145610124025',19452,'574',33.01,4,2,1),(28,7289880,'1985-12-02 00:00:00',4,1,12,2003,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241212273221489933585112320661125',2529,'262',68.17,1,3,NULL),(28,7289898,'1992-06-22 00:00:00',2,8,12,2009,'F','N','LINDÓIA','CURITIBA','PR','116163162117471431249413445124610162197',15234,'9998',33.35,1,3,NULL),(28,7289901,'1994-07-18 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241115371431325524492124610147147',15466,'257',37.19,4,2,1),(28,7289910,'1995-01-07 00:00:00',2,15,12,2011,'M','N','CENTRO','BAL ARROIO SILVA','SC','124244241215121751449933595124610127077',NULL,'970',29.64,1,3,NULL),(28,7289928,'1992-12-02 00:00:00',2,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241135471731556613471124610122183',NULL,'283',33.63,1,2,1),(28,7289936,'1994-03-05 00:00:00',2,1,11,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111422448933575112610164191',15851,'270',43.98,1,3,NULL),(28,7289944,'1994-10-02 00:00:00',2,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217112411446717575124610114012',11334,'262',43.75,1,3,NULL),(28,7289952,'1987-01-09 00:00:00',2,16,12,2004,'M','N','CENTRO','CURITIBANOS','SC','124241242211141411336516345122610127045',19745,'960',30.68,1,3,NULL),(28,7289979,'1980-06-15 00:00:00',4,1,12,1997,'M','N','BATEL','CURITIBA','PR','116161161117155412123343335135121414182',4622,'9998',63.16,1,3,NULL),(28,7289987,'1995-02-26 00:00:00',4,7,12,2012,'M','S','CENTRO','HERVAL D OESTE','SC','124242241235111531459813575122610128092',NULL,'454',51.44,1,3,NULL),(28,7289995,'1985-09-08 00:00:00',2,1,12,2003,'F','N','FLORESTA','S JOSÉ','SC','124241241215113411456612342124232715091',NULL,'269',16.94,1,3,NULL),(28,7290004,'1993-12-16 00:00:00',2,27,11,2010,'M','N','CENTRO','BARRACÃO','PR','116163161217472431548611495122610137067',NULL,'9998',0.00,1,3,NULL),(28,7290012,'1995-11-10 00:00:00',4,1,12,2011,'M','N','JD DAS NAÇÕES','TAUBATÉ','SP','125252251216111431489934575122610162124',13246,'9998',48.64,1,3,NULL),(28,7290047,'1992-12-03 00:00:00',4,1,12,2009,'M','N','LIBERDADE','S PAULO','SP','112122121215412511459816572125610164042',1983,'9998',64.97,1,3,NULL),(28,7290063,'1993-05-26 00:00:00',2,4,12,2011,'M','N','BAIRO CENTRO','MODELO','SC','124243241126131731526639492121610111097',16486,'562',34.66,1,3,NULL),(28,7290071,'1992-05-20 00:00:00',4,8,12,2010,'M','N','ROCIO GRANDE','S FRANCISCO SUL','SC','124242241336151331646634242311610164142',15378,'710',44.90,1,3,NULL),(28,7290080,'1989-08-06 00:00:00',4,1,12,2011,'F','N','BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC','124163247325111712644414112224610123185',NULL,'270',0.00,1,3,NULL),(28,7290098,'1992-09-07 00:00:00',4,1,12,2010,'M','N','CHÁCARA PRIMAVERA','CAMPINAS','SP','125253251416471411546823575124610137017',5748,'9998',51.95,1,3,NULL),(28,7290101,'1979-03-01 00:00:00',6,1,12,2005,'F','N','CENTRO','GUARATUBA','PR','116161167117151411625533575124243261141',NULL,'9998',0.00,1,2,1),(28,7290110,'1994-06-17 00:00:00',4,10,12,2011,'M','N','CENTRO','TREZE MAIO','SC','124241242117131731323622285124610128147',NULL,'690',0.00,1,3,NULL),(28,7290128,'1994-12-19 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111231468712576122610147052',3726,'270',61.31,1,3,NULL),(28,7290160,'1994-10-17 00:00:00',4,4,12,2011,'M','N','CENTRO','XANXERÊ','SC','124242241215271731456611175122610168017',6901,'1233',51.15,1,3,NULL),(28,7290179,'1994-04-13 00:00:00',2,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116471411326663575122610167092',17888,'267',39.23,1,2,1),(28,7290187,'1987-01-28 00:00:00',4,1,12,2004,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241215142431429913495122323261182',8608,'262',56.09,1,3,NULL),(28,7290195,'1994-01-28 00:00:00',4,4,12,2011,'M','N','CENTRO','IPORÃ OESTE','SC','124241241215371431456614575124610117052',11107,'1179',43.63,1,3,NULL),(28,7290209,'1980-10-29 00:00:00',2,1,12,1997,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124203201116471421436649485324330226117',16632,'9998',42.36,4,3,NULL),(28,7290217,'1993-05-30 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241216132731326414572224233224142',14561,'1119',46.43,1,3,NULL),(28,7290225,'1993-08-11 00:00:00',2,10,11,2010,'M','N','CENTRO','TUBARÃO','SC','124244248216111521538859595115231014062',NULL,'807',11.96,1,3,NULL),(28,7290233,'1994-05-01 00:00:00',4,8,12,2011,'F','N','RECANTO DAS AGUAS','IA SOLTEIRA','SP','125253251216151431448811115121610134127',1028,'9998',67.96,3,3,NULL),(28,7290241,'1987-05-10 00:00:00',2,16,12,2004,'F','N','SÃO LUIS','CURITIBANOS','SC','124241241136132731113248485224133046177',17723,'239',39.68,1,2,1),(28,7290250,'1994-12-16 00:00:00',2,1,12,2011,'M','N','COLATTO','XANXERÊ','SC','124241248215261421436312591122610158092',12187,'1081',40.73,1,3,NULL),(28,7290276,'1989-09-11 00:00:00',2,5,12,2006,'F','N','PINHEIRINHO','CRICIÚMA','SC','124244243215474431426419382224132534097',16258,'995',43.21,1,3,NULL),(28,7290284,'1993-05-13 00:00:00',2,1,12,2010,'M','N','ASA NORTE','BRASÍLIA','DF','107072071217371431689814572122610124057',NULL,'9998',35.99,1,3,NULL),(28,7290292,'1994-09-23 00:00:00',2,4,12,2011,'F','N','JARDIM LINDOIA','JOAÇABA','SC','124241241215111431438612572122610122173',8167,'962',53.63,1,3,NULL),(28,7290306,'1992-06-15 00:00:00',4,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124244241411471431215629375124610123127',NULL,'227',8.34,1,3,NULL),(28,7290322,'1991-09-26 00:00:00',4,1,12,2009,'M','N','CENTRO','FRANCA','SP','125242251215573731678812575122120262112',814,'9998',69.78,1,3,NULL),(28,7290330,'1984-04-07 00:00:00',2,1,12,2001,'F','N','AREIAS','S JOSÉ','SC','624241241136273411323844442232610148147',NULL,'293',26.72,2,1,1),(28,7290349,'1992-07-03 00:00:00',2,1,12,2010,'F','N','JARDIM ZANELATTO','S JOSÉ','SC','124241241116131731336533245124610124147',NULL,'257',26.10,2,1,1),(28,7290357,'1994-01-05 00:00:00',4,4,12,2010,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241215472431568811575122610164142',2789,'970',61.78,1,3,NULL),(28,7290365,'1977-10-04 00:00:00',2,16,12,2001,'M','N','CENTRO','CURITIBANOS','SC','124241247141371411523349292324610127075',NULL,'9997',35.02,1,2,1),(28,7290381,'1986-10-15 00:00:00',2,1,11,2003,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','224251251117131421223444245113610164035',18631,'9998',36.77,1,2,1),(28,7290390,'1994-12-25 00:00:00',2,27,12,2011,'F','N','SEM BAIRRO','TUNÁPOLIS','SC','124241241114371231423426474124610133057',NULL,'812',0.00,1,2,1),(28,7290403,'1994-11-07 00:00:00',4,2,12,2011,'M','N','PROGRESSO','BLUMENAU','SC','124242241217111431456913475122610164172',1185,'71',67.36,1,3,NULL),(28,7290411,'1993-04-02 00:00:00',2,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124243241216111431346631475122610123092',NULL,'724',37.24,1,3,NULL),(28,7290420,'1994-01-30 00:00:00',4,1,12,2010,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241117272421445623575114610164052',3140,'739',60.85,1,2,1),(28,7290446,'1993-07-31 00:00:00',2,6,12,2011,'F','N','DOM BOSCO','ITAJAÍ','SC','124241241115471731114628595224610124197',NULL,'395',0.00,1,2,1),(28,7290454,'1991-07-10 00:00:00',2,1,12,2009,'F','N','SÃO LUIZ','S JOSÉ','SC','124241241117151451426424282124610122147',17240,'729',33.22,1,2,1),(28,7290462,'1994-03-03 00:00:00',4,1,12,2011,'M','N','AGUA VERDE','CURITIBA','PR','116162161217471731469931475112610127042',8717,'9998',46.60,1,3,NULL),(28,7290489,'1994-11-13 00:00:00',2,9,12,2011,'F','N','GUARUJÁ','LAGES','SC','124241241215131431627764172324610134147',14780,'1207',35.27,1,3,NULL),(28,7290497,'1979-11-28 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241125471421116641215114610126047',NULL,'298',31.56,1,2,1),(28,7290500,'1993-08-05 00:00:00',4,1,12,2010,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201237471431458711571114610166017',2483,'9998',65.26,1,3,NULL),(28,7290519,'1977-06-23 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241247124141311313148282324610166147',NULL,'9999',0.00,1,2,1),(28,7290527,'1988-03-09 00:00:00',2,23,12,2007,'M','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124061061137131431116678485124610117187',NULL,'9998',0.00,4,2,1),(28,7290535,'1993-10-08 00:00:00',2,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241115131711324624572224610123017',NULL,'733',20.38,1,2,1),(28,7290543,'1993-05-26 00:00:00',2,4,12,2010,'F','N','MIRANTE','ITÁ','SC','124241241116472431326833375122610167057',14410,'384',38.75,1,2,1),(28,7290551,'1990-03-29 00:00:00',4,8,12,2007,'F','N','ÁGUA VERDE','CURITIBA','PR','116242161216575431338614572214610164177',NULL,'9998',0.00,1,3,NULL),(28,7290560,'1992-01-21 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241124173431123344345124233224145',14939,'702',34.88,1,2,1),(28,7290578,'1995-03-20 00:00:00',4,1,12,2012,'F','S','ALTO ARIRIU','PALHOÇA','SC','124242241217131752437712571122610137182',NULL,'737',20.62,1,3,NULL),(28,7290586,'1995-10-15 01:00:00',4,1,12,2012,'M','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217131431236779575124610162192',NULL,'1133',53.59,1,3,NULL),(28,7290594,'1994-03-03 00:00:00',4,2,12,2011,'M','N','VILA NOVA','ILHOTA','SC','124243241346111431458614175122610137052',NULL,'855',0.00,3,3,NULL),(28,7290608,'1994-03-11 00:00:00',2,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215171431338417575112610136192',12811,'270',46.03,1,3,NULL),(28,7290624,'1995-07-03 00:00:00',2,1,12,2011,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241115131411216521282324610124147',NULL,'361',19.96,1,2,1),(28,7290632,'1989-05-24 00:00:00',2,3,12,2006,'M','N','JARDIM TV MORENA','CPO GRANDE','MS','112122121215574731568513575112610112042',2389,'9998',63.58,4,3,NULL),(28,7290659,'1994-01-14 00:00:00',4,1,12,2011,'F','N','CENTRO','AGUAÍ','SP','125252251215111231453612185112610144182',7601,'9998',57.79,1,3,NULL),(28,7290667,'1960-12-28 00:00:00',2,1,10,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','224241247122131431426441212324610156047',NULL,'9999',20.48,1,2,1),(28,7290675,'1994-12-16 00:00:00',4,1,12,2011,'F','N','ARIRIÚ','PALHOÇA','SC','124241241135371751336619275124610122197',9265,'733',46.64,1,2,1),(28,7290683,'1993-12-06 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431387812575122610164042',8059,'270',57.04,1,3,NULL),(28,7290691,'1993-10-12 00:00:00',4,1,11,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241215372231468614445114610122193',10335,'1022',45.55,1,3,NULL),(28,7290705,'1994-01-29 00:00:00',4,4,12,2011,'F','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241135271411536514144224610125077',9151,'169',52.02,1,2,1),(28,7290730,'1994-04-14 00:00:00',2,1,12,2011,'M','N','CENTRO','CURITIBA','PR','116163161347471431436632385122610127057',14026,'9998',40.48,1,3,NULL),(28,7290756,'1995-05-09 00:00:00',4,10,11,2012,'F','S','CENTRO','LAGUNA','SC','124242241215111431219834595112610122147',NULL,'807',42.10,1,3,NULL),(28,7290772,'1994-05-07 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431478879572122610134192',15171,'270',36.76,1,3,NULL),(28,7290780,'1994-07-02 00:00:00',4,1,12,2011,'M','N','PARAÍSO','S PAULO','SP','125252251216121431488933575112610167057',587,'9998',70.77,1,3,NULL),(28,7290799,'1992-03-18 00:00:00',4,1,12,2009,'F','N','LIMÃO','S PAULO','SP','125254251216371431536824345124610144117',2912,'9998',60.08,1,3,NULL),(28,7290802,'1993-05-24 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241117371431526614395124610118182',NULL,'146',29.05,1,3,NULL),(28,7290810,'1994-05-25 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241135111421348464392124610122142',NULL,'267',16.02,1,2,1),(28,7290829,'1994-02-22 00:00:00',4,9,12,2010,'F','N','UNIVERSITÁRIO','LAGES','SC','124244241217371431448812342142610124142',13066,'1106',48.89,1,3,NULL),(28,7290837,'1994-12-30 00:00:00',4,4,12,2011,'F','N','PETRÓPOLIS','CONCÓRDIA','SC','124241241116471431438622592124610134147',NULL,'192',22.07,1,2,1),(28,7290845,'1994-05-20 00:00:00',4,7,12,2010,'M','N','CENTRO','CAMPOS NOVOS','SC','124244241217472452438933575112610162197',10288,'138',45.59,1,3,NULL),(28,7290861,'1994-04-21 00:00:00',4,9,12,2011,'M','N','CENTRO','LAGES','SC','124242241215111431457912225132610134047',19116,'497',34.80,1,3,NULL),(28,7290870,'1994-08-29 00:00:00',4,1,12,2011,'F','N','CACHOEIRAS','BIGUAÇU','SC','124241241115371411426314595114610114192',8865,'64',47.88,1,2,1),(28,7290888,'1994-09-25 00:00:00',2,26,12,2011,'M','N','IMPERIAL','CONCÓRDIA','SC','124241242116271431424632572324610146042',12835,'196',39.47,1,2,1),(28,7290896,'1989-08-07 00:00:00',4,8,12,2007,'M','N','CASTELO','BATATAIS','SP','125251251116111711433715255112140324041',NULL,'9998',20.16,1,2,1),(28,7290900,'1995-11-06 00:00:00',4,2,12,2011,'M','N','NAÇÕES','INDAIAL','SC','124242241215111751457932595122610128032',NULL,'855',0.00,1,3,NULL),(28,7290926,'1995-06-09 00:00:00',4,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241235151441448821275124610146073',NULL,'1050',32.39,1,3,NULL),(28,7290934,'1982-12-19 00:00:00',2,1,12,2004,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124131137117131431111348187334610136027',NULL,'9998',27.72,4,3,NULL),(28,7290942,'1992-11-09 00:00:00',4,25,12,2011,'F','N','FARROUPILHA','VIDEIRA','SC','124243241141141731324329341335610164183',NULL,'831',0.00,1,3,NULL),(28,7290950,'1994-08-22 00:00:00',4,10,12,2011,'F','N','CAMPO DE FORA','LAGUNA','SC','124241241115151131213329372124610124197',13614,'521',43.24,4,2,1),(28,7290969,'1985-11-05 00:00:00',4,4,12,2003,'M','N','CENTRO','RIQUEZA','SC','124202201216113411536611442122340635093',NULL,'9998',0.00,1,3,NULL),(28,7290977,'1990-12-27 00:00:00',4,1,10,2008,'M','N','JARDIM PAULISTA','ORINDIÚVA','SP','125251251432412751546616591112610167047',NULL,'9998',22.94,3,3,NULL),(28,7290993,'1989-05-03 00:00:00',2,1,12,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241127271731323314342124230244143',18616,'733',36.83,1,2,1),(28,7291000,'1994-06-06 00:00:00',2,2,12,2011,'M','N','FORTALEZA','BLUMENAU','SC','124241241115211431633311142224610137052',15230,'79',36.57,1,2,1),(28,7291019,'1989-06-21 00:00:00',4,25,12,2006,'M','N','RIO DAS PEDRAS','VIDEIRA','SC','124241241116152741628714335123231064187',NULL,'831',0.00,1,2,1),(28,7291027,'1994-05-29 00:00:00',4,7,12,2011,'F','N','PARQUE JARDIM OURO','OURO','SC','124241241117131531423614275124610134147',15702,'156',35.14,1,2,1),(28,7291035,'1993-01-25 00:00:00',2,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117271731235514175114610126042',NULL,'295',27.79,1,2,1),(28,7291043,'1993-06-23 00:00:00',4,1,12,2011,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124173241115371431324624571214610123077',NULL,'1088',23.54,2,1,2),(28,7291051,'1994-11-09 00:00:00',4,2,12,2011,'F','N','DO SALTO','BLUMENAU','SC','124241241112371431646511192124610136147',10988,'83',44.44,1,2,1),(28,7291086,'1992-09-30 00:00:00',2,1,12,2009,'M','N','IGRA NORTE','TORRES','RS','120201201116131231236624245111610167057',19640,'9998',31.67,1,2,1),(28,7291094,'1994-03-03 00:00:00',2,1,12,2010,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241115372431423614575114610131177',10469,'772',42.97,1,2,1),(28,7291108,'1983-10-17 00:00:00',4,1,12,2001,'F','N','SANTINHO','FLORIANÓPOLIS','SC','224241241115143411225844245124610127017',NULL,'307',26.40,1,2,1),(28,7291116,'1991-11-27 00:00:00',2,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216232431228749365122130234117',18447,'9997',37.48,1,3,NULL),(28,7291124,'1995-07-02 00:00:00',4,22,12,2012,'F','S','SANTA TEREZINHA','BRUSQUE','SC','124244243217111641558633195124610156112',NULL,'1090',43.21,1,3,NULL),(28,7291132,'1994-07-05 00:00:00',2,16,12,2011,'F','N','CENTRO','STA CECÍLIA','SC','124241241115371731423419292324610167172',NULL,'686',20.34,1,2,1),(28,7291140,'1991-12-11 00:00:00',2,4,12,2008,'F','N','CENTRO','JOAÇABA','SC','124201201116572431436832575122610137147',NULL,'9998',0.00,1,2,1),(28,7291159,'1994-08-08 00:00:00',2,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124243241215131431526414375112610122047',NULL,'1078',30.89,1,3,NULL),(28,7291167,'1991-10-05 00:00:00',2,5,12,2010,'M','N','PIO CORRÊA','CRICIÚMA','SC','120202207217471431438614271112610118047',3846,'9998',57.73,1,3,NULL),(28,7291175,'1995-06-08 00:00:00',4,5,12,2011,'F','N','MICHEL','CRICIÚMA','SC','124242241217111751348912575122610132092',15534,'213',44.65,1,3,NULL),(28,7291183,'1994-11-26 00:00:00',2,26,12,2011,'F','N','INDUSTRIÁRIOS','CONCÓRDIA','SC','124241241114371231424619495125610166042',19926,'194',29.01,1,2,1),(28,7291191,'1993-10-13 00:00:00',2,5,12,2010,'M','N','DE VILLA','URUSSANGA','SC','124241241135471431635674342224610167057',11806,'821',42.77,1,2,1),(28,7291205,'1994-10-04 00:00:00',4,8,11,2011,'M','N','COHAPAR','GUARATUBA','PR','116161161117371431635512575121610137147',NULL,'9998',0.00,1,3,NULL),(28,7291213,'1984-04-02 00:00:00',4,1,12,2004,'M','N','FORQUILINHAS','S JOSÉ','SC','124241241126132411333444342124133224052',NULL,'295',30.27,1,3,NULL),(28,7291221,'1990-02-03 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216575751488932475125221463135',5425,'270',56.62,1,3,NULL),(28,7291230,'1993-10-11 00:00:00',2,16,12,2010,'M','N','UNIVERSITARIO','CURITIBANOS','SC','124241244135372411214667595124610135177',NULL,'239',0.00,1,2,1),(28,7291248,'1995-05-04 00:00:00',2,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241215111411346838575124610145057',18610,'1197',36.87,1,3,NULL),(28,7291256,'1994-07-22 00:00:00',4,8,12,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124241241131271431447614475124610132012',9115,'1206',47.39,1,2,1),(28,7291280,'1994-10-05 00:00:00',4,10,12,2011,'F','N','VILA SANTO ANTÔNIO','IMBITUBA','SC','124241241115371432416329192124610133147',NULL,'359',20.83,1,3,NULL),(28,7291299,'1993-06-24 00:00:00',4,1,12,2010,'M','N','CENTRO','PINHALZINHO','SP','125252251117372431324814172124610164092',8114,'9998',52.55,1,3,NULL),(28,7291302,'1993-07-18 00:00:00',4,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215372441488834575124231917112',7228,'270',51.27,1,3,NULL),(28,7291310,'1994-11-08 00:00:00',2,1,11,2011,'F','N','CAMPINAS','S JOSÉ','SC','124243241436121431238633242122610121162',13176,'737',40.97,1,3,NULL),(28,7291329,'1994-10-10 00:00:00',2,5,12,2011,'F','N','RIO AMÉRICA ALTO','URUSSANGA','SC','124241241112371431323319472114610144011',11347,'822',45.99,1,2,1),(28,7291337,'1994-05-23 00:00:00',4,6,12,2011,'M','N','SÃO JUDAS','ITAJAÍ','SC','124242241215271411469833372122610142112',2020,'392',65.48,1,3,NULL),(28,7291345,'1992-09-14 00:00:00',4,8,12,2009,'F','N','CENTRO','BARRA VELHA','SC','124241241126473431328923572122133263117',18370,'41',37.73,1,2,1),(28,7291353,'1988-06-25 00:00:00',4,16,12,2005,'M','N','APARECIDA','CURITIBANOS','SC','224241241116142431328843332222223267057',14878,'239',45.84,1,3,NULL),(28,7291361,'1991-06-23 00:00:00',4,1,12,2011,'F','N','STA LUZIA','GOIANÉSIA','GO','109093091331111431621722181321610164017',6941,'9998',52.87,4,3,NULL),(28,7291370,'1993-12-03 00:00:00',4,7,12,2010,'F','N','INTERIOR','IBICARÉ','SC','124241241111471731621155574224610146172',8777,'343',50.77,1,2,1),(28,7291396,'1993-07-07 00:00:00',4,1,11,2010,'M','N','VILA MASCOTE','S PAULO','SP','125252251237472231248734575124610167042',4907,'9998',53.88,1,3,NULL),(28,7291400,'1990-11-02 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124083054317131751127649395124610137157',NULL,'9998',30.91,4,1,2),(28,7291418,'1995-01-28 00:00:00',4,27,12,2011,'M','N','SÃO JORGE','S MIGUEL OESTE','SC','124244241217151411246817175122610137182',NULL,'752',14.86,4,3,NULL),(28,7291426,'1994-07-25 00:00:00',2,1,12,2011,'F','N','JD VALE VERDE II','PRES PRUDENTE','SP','125251251115371431436824575122610126012',17669,'9998',31.82,1,3,NULL),(28,7291434,'1988-11-22 00:00:00',4,16,12,2005,'F','N','APARECIDA','CURITIBANOS','SC','224241241116142431325853335222223266067',NULL,'239',0.00,1,3,NULL),(28,7291450,'1987-12-21 00:00:00',2,1,6,2006,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241244215433751333724344334610137017',18430,'9999',37.54,2,1,2),(28,7291485,'1992-01-18 00:00:00',2,1,12,2009,'M','N','CENTRO','AMAMBAÍ','MS','112121161216571431479916574114610127062',NULL,'9998',0.00,1,3,NULL),(28,7291493,'1994-01-01 00:00:00',4,8,12,2011,'M','N','CENTRO','PARAGUAÇU PAULISTA','SP','125253251217111531227821575115610167042',16318,'9998',33.20,1,3,NULL),(28,7291507,'1989-10-01 00:00:00',2,1,11,2008,'M','N','ALTO DA XV','GUARAPUAVA','PR','116161167327151731612211181344241114187',NULL,'9998',0.00,1,3,NULL),(28,7291515,'1994-11-28 00:00:00',4,25,12,2011,'M','N','CENTRO','FRAIBURGO','SC','124242241215112431248822575122610137041',9617,'885',46.22,1,3,NULL),(28,7291540,'1985-02-19 00:00:00',5,1,6,2005,'M','N','CAMPINAS','S JOSÉ','SC','124202288117373421336614382312610126187',13324,'9998',48.52,1,3,NULL),(28,7291558,'1981-06-04 00:00:00',4,1,12,1999,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124253253115152451268644445131120767112',NULL,'9998',0.00,1,3,NULL),(28,7291566,'1994-02-12 00:00:00',2,1,10,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217121431248813594122610144142',6884,'1051',51.14,1,3,NULL),(28,7291574,'1993-03-08 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241117472412326624572114610127142',15439,'287',34.93,1,3,NULL),(28,7291582,'1966-10-25 00:00:00',4,1,12,1984,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224174173117235721566343335133321417115',13916,'9998',47.54,1,3,NULL),(28,7291590,'1990-03-01 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201127371411226544442314610163147',NULL,'9998',19.30,1,2,1),(28,7291604,'1994-08-12 00:00:00',2,24,12,2011,'M','N','CENTRO','ATALANTA','SC','124241241417111431336539575124610127052',NULL,'991',0.00,1,3,NULL),(28,7291612,'1982-09-01 00:00:00',2,1,12,1999,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224241241127572122233429243124610116057',11323,'322',45.18,1,2,1),(28,7291639,'1993-12-05 00:00:00',4,1,12,2010,'M','N','GRAMA','GAROPABA','SC','124241241115272421667879195114610122152',12262,'1136',41.95,1,2,1),(28,7291647,'1994-03-23 00:00:00',4,6,11,2011,'F','N','CABEÇUDAS','ITAJAÍ','SC','124242241215111531437612372112610128092',NULL,'1026',28.15,1,3,NULL),(28,7291671,'1994-09-08 00:00:00',4,1,12,2011,'F','N','VENDAVAL','BIGUAÇU','SC','124243241216131431446413575122610127147',14571,'1040',39.01,1,3,NULL),(28,7291680,'1994-06-10 00:00:00',4,1,12,2011,'M','N','RUSSIA','BIGUAÇU','SC','124241241117271431523379172224610138187',13311,'65',40.67,1,2,1),(28,7291701,'1985-02-13 00:00:00',5,15,12,2002,'F','N','CENTRO','ARARANGUÁ','SC','124241241116131721333511492122610168147',NULL,'29',25.08,1,3,NULL),(28,7291710,'1994-10-31 00:00:00',4,1,12,2010,'F','N','JARDIM SAO MIGUEL','BIGUAÇU','SC','124242241217471231368632325124610114072',19804,'63',30.29,1,3,NULL),(28,7291736,'1995-01-10 00:00:00',4,4,12,2011,'F','N','INTERIOR','CORDILHEIRA ALTA','SC','124243241316121531566933345124610164142',NULL,'1094',0.00,1,3,NULL),(28,7291744,'1992-06-10 00:00:00',2,1,12,2009,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241112373731336413575114610132142',15887,'307',36.08,1,2,1),(28,7291752,'1993-10-01 00:00:00',2,1,12,2011,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241116371431413623375124610121143',NULL,'592',38.68,1,2,1),(28,7291760,'1994-02-26 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112431358913575124610164197',6076,'272',53.74,1,3,NULL),(28,7291779,'1993-02-18 00:00:00',4,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215573431269823575124131346112',3953,'1022',58.82,1,3,NULL),(28,7291787,'1972-06-04 00:00:00',4,1,12,1989,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124201201216132741523344142122333224187',18947,'9998',35.50,1,3,NULL),(28,7291795,'1991-02-16 00:00:00',4,1,11,2008,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124162161214152732254822425124222814187',10730,'9998',52.54,3,3,NULL),(28,7291809,'1992-12-22 00:00:00',2,1,12,1992,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124241241115371431433414245134130234192',NULL,'9997',0.00,1,2,1),(28,7291817,'1991-02-03 00:00:00',4,1,1,2008,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241117573731336644445234610164051',5280,'307',55.69,1,2,1),(28,7291825,'1994-05-17 00:00:00',2,1,12,2011,'F','N','ENCRUZILHADA','BIGUAÇU','SC','124241241116371421424315572124610137092',16359,'65',36.82,1,2,1),(28,7291833,'1993-08-11 00:00:00',2,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241216372421556613575114132727072',6396,'723',56.72,1,3,NULL),(28,7291841,'1995-05-26 00:00:00',4,1,11,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215151731436632571122610127042',17917,'989',39.16,1,3,NULL),(28,7291850,'1994-07-02 00:00:00',4,23,12,2011,'F','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124243241315141731436731276222610127182',12562,'1061',35.84,1,3,NULL),(28,7291892,'1993-01-20 00:00:00',2,1,12,2010,'F','N','FREITAS','PAULO LOPES','SC','124241241126311731326313395124610124117',NULL,'607',31.07,1,2,1),(28,7291914,'1992-02-28 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217573411135711115125610118182',744,'1093',72.21,1,3,NULL),(28,7291930,'1992-05-04 00:00:00',2,1,11,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241216143431426633386122610163187',NULL,'1118',21.93,1,3,NULL),(28,7291949,'1991-07-29 00:00:00',4,1,12,2008,'F','N','ESTADOS','INDAIAL','SC','124242241215575431469934275124133232182',2121,'855',66.05,1,3,NULL),(28,7291957,'1992-10-08 00:00:00',4,1,11,2010,'M','N','AUTO TAQUARAL','CAMPINAS','SP','125252251216411431479931472112610137112',13783,'9998',39.06,1,3,NULL),(28,7291973,'1988-06-05 00:00:00',2,1,8,2006,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241136245232426324442234122234147',NULL,'289',35.97,1,2,1),(28,7291981,'1991-05-03 00:00:00',4,8,12,2008,'M','N','BOM RETIRO','JOINVILLE','SC','124242241237272431447939595125230727042',NULL,'836',0.00,1,3,NULL),(28,7291990,'1995-01-23 00:00:00',4,10,11,2012,'M','S','SANTO ANDRÉ','CAPIVARI BAIXO','SC','124242241215111431236932575122610167067',NULL,'806',60.08,1,3,NULL),(28,7292007,'1994-02-10 00:00:00',4,1,11,2010,'F','N','PAGANI','PALHOÇA','SC','124243241112572431369913572124610124012',3646,'271',58.41,1,3,NULL),(28,7292015,'1994-05-06 00:00:00',4,8,12,2011,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215111411358824575124610124042',4950,'1105',55.49,1,3,NULL),(28,7292023,'1993-05-12 00:00:00',2,8,12,2010,'F','N','FLORESTA','JOINVILLE','SC','124243241315473331538614575122610136141',9525,'1016',54.50,1,3,NULL),(28,7292031,'1995-04-22 00:00:00',4,4,12,2012,'M','S','SAIC','CHAPECÓ','SC','124244211216111431468734375122610144052',NULL,'9998',52.12,1,3,NULL),(28,7292058,'1993-11-06 00:00:00',4,8,12,2011,'M','N','ITAPOÃ','VL VELHA','ES','108082081217111741578814572114610162185',NULL,'9998',0.00,1,3,NULL),(28,7292074,'1993-08-09 00:00:00',4,1,12,2010,'F','N','SANTA CECILIA','PIRACICABA','SP','125242251214422431468813571122610137127',5001,'9998',51.87,1,3,NULL),(28,7292082,'1989-07-13 00:00:00',4,1,8,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202247614471412269929572122610262187',NULL,'9999',0.00,1,3,NULL),(28,7292090,'1993-10-23 00:00:00',2,17,12,2011,'F','N','JARDIM AMERICA','MAFRA','SC','124241241216111731436639595122610132077',NULL,'9997',0.00,1,3,NULL),(28,7292104,'1989-04-06 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241416574431568914375124121412185',6233,'1000',60.18,1,3,NULL),(28,7292120,'1993-07-10 00:00:00',2,1,12,2009,'F','N','CENTRO','LONDRINA','PR','116112111216571431479914575112610116047',3880,'9998',56.34,1,3,NULL),(28,7292139,'1991-01-17 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215573751279821576122610168092',4909,'270',57.03,4,3,NULL),(28,7292147,'1994-05-20 00:00:00',2,15,12,2011,'F','N','LAGOA DO CAVERÁ','ARARANGUÁ','SC','124241241135131441424336346124610127052',NULL,'30',29.07,1,2,1),(28,7292155,'1994-03-29 00:00:00',4,8,11,2011,'F','N','VILA NOVA','JOINVILLE','SC','124241241215111531466513575122610132017',7165,'461',52.10,1,3,NULL),(28,7292163,'1994-06-05 00:00:00',4,9,10,2011,'F','N','CENTRO','LAGES','SC','124242241215111421446921374122610157062',17086,'497',41.34,1,3,NULL),(28,7292171,'1993-04-09 00:00:00',2,8,12,2010,'M','N','VILA MOEMA','TUBARÃO','SC','124242241216114411446614375122232264022',19997,'807',28.12,2,1,2),(28,7292180,'1983-08-02 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216153431128644445112120917047',15551,'272',44.63,1,3,NULL),(28,7292198,'1993-04-21 00:00:00',4,1,12,2010,'F','N','VILLA DOS INGLESES','SOROCABA','SP','125252251217472431569931571122610167041',9196,'9998',46.69,1,3,NULL),(28,7292210,'1988-03-17 00:00:00',2,1,12,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216472431348923415124121467062',2872,'1022',67.22,1,3,NULL),(28,7292228,'1995-02-08 00:00:00',2,9,12,2011,'F','N','FREI ROGÉRIO','LAGES','SC','124243241215111431536712595122610134142',13836,'1207',39.18,1,3,NULL),(28,7292236,'1989-05-17 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124201201126371731623534325124610138057',NULL,'9999',21.64,1,3,NULL),(28,7292244,'1992-06-25 00:00:00',2,1,11,2009,'F','N','JARDIM SÃO PAULO','RIO CLARO','SP','125252251216571441438814275121610164041',NULL,'9998',0.00,1,3,NULL),(28,7292252,'1994-04-22 00:00:00',4,22,10,2011,'F','N','RIO DO BRAÇO','S JOÃO BATISTA','SC','124243241215162431368919595122610123192',932,'109',70.50,1,3,NULL),(28,7292260,'1994-04-11 00:00:00',4,1,11,2011,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241215111431349823572112610117042',11695,'270',42.20,1,3,NULL),(28,7292279,'1985-07-27 00:00:00',4,23,12,2002,'M','N','VILA LALAU','JARAGUÁ SUL','SC','124241241122151512237471385122330837047',20155,'425',23.59,1,2,1),(28,7292295,'1994-10-05 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115471731438923595124610167047',18118,'307',30.80,1,2,1),(28,7292325,'1994-12-06 00:00:00',4,1,12,2011,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241216111431547939575124610142011',17751,'262',39.62,1,3,NULL),(28,7292333,'1994-07-22 00:00:00',2,1,12,2011,'M','N','ITAIPAVA','ITAJAÍ','SC','124243241215111431378934572112610167142',NULL,'9997',0.00,1,3,NULL),(28,7292341,'1993-01-25 00:00:00',2,1,12,2010,'M','N','ATALAIA','ARACAJU','SE','126262261216472431569814572122610127142',6529,'9998',54.64,4,3,NULL),(28,7292350,'1993-07-09 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241225472451466634575114610167047',10939,'270',44.99,1,3,NULL),(28,7292376,'1978-01-04 00:00:00',4,1,12,2001,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124214247237575721228649295121221162152',9667,'9999',54.26,1,3,NULL),(28,7292384,'1994-10-04 00:00:00',4,1,11,2011,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241215471431359911572114610167047',16931,'270',41.69,1,3,NULL),(28,7292392,'1994-09-17 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241315321231323335292224610127142',17443,'300',31.43,4,3,NULL),(28,7292406,'1993-01-22 00:00:00',2,3,12,2010,'F','N','TABOLEIRO','CAMBORIÚ','SC','124241242116271231335534445112610137051',NULL,'129',26.01,1,3,NULL),(28,7292414,'1989-08-09 00:00:00',2,4,12,2006,'F','N','CENTRO','VICTOR GRAEFF','RS','120201201136572211468931575125610118142',NULL,'9998',0.00,1,2,1),(28,7292422,'1993-08-08 00:00:00',4,1,12,2010,'M','N','PALMAS','GOV CELSO RAMOS','SC','124241241117141431437414145124610162177',NULL,'329',27.68,1,3,NULL),(28,7292430,'1994-12-16 00:00:00',2,15,12,2011,'M','N','CENTRO','TURVO','SC','124241248116161731425615255124610127057',19283,'814',25.90,1,3,NULL),(28,7292457,'1994-09-11 00:00:00',2,1,12,2011,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241117141731413721582124610132142',NULL,'288',19.81,1,2,1),(28,7292465,'1995-11-01 00:00:00',4,7,11,2011,'F','N','VILA ALEMANHA','LUZERNA','SC','124242241217111431446812575112610144072',17250,'962',40.89,1,3,NULL),(28,7292473,'1993-05-17 00:00:00',4,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111231456612572222610128042',9837,'273',49.28,1,3,NULL),(28,7292481,'1990-04-02 00:00:00',4,3,12,2007,'M','N','CENTRO','ROLÂNDIA','PR','116162161216574431366833575122610137042',NULL,'9998',0.00,1,3,NULL),(28,7292490,'1992-12-10 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215112411376613345112610167041',9037,'723',55.37,1,3,NULL),(28,7292503,'1994-03-08 00:00:00',4,3,12,2010,'F','N','JARDIM OURO BRANCO','PARANAVAÍ','PR','116162161215471431478914575122610134127',NULL,'9998',0.00,3,3,NULL),(28,7292511,'1986-09-15 00:00:00',4,2,12,2004,'M','N','VILA NOVA','BLUMENAU','SC','124241241142273431155311375124131462177',NULL,'111',24.97,1,2,1),(28,7292520,'1988-03-19 00:00:00',4,1,12,2005,'F','N','CENTRO','TIJUCAS','SC','124241241115141731335374345121610167183',NULL,'783',7.45,1,2,1),(28,7292538,'1991-04-19 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIN','PALHOÇA','SC','124241241117132721335623342214610127143',10447,'592',44.81,1,2,1),(28,7292554,'1985-02-21 00:00:00',1,1,12,2002,'F','N','PANTANAL','FLORIANÓPOLIS','SC','624241241126133711223354195124222231062',16193,'775',43.35,1,3,NULL),(28,7292562,'1994-06-26 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431438931296224610167022',2308,'1022',66.44,1,3,NULL),(28,7292570,'1993-06-18 00:00:00',4,1,9,2011,'M','N','CENTRO','PTO ALEGRE','RS','120244201417131412238643415121610147117',12327,'9998',42.63,1,3,NULL),(28,7292589,'1994-12-13 00:00:00',2,16,12,2011,'F','N','INTERIOR','FR ROGÉRIO','SC','124241241115371431324315172344610113145',NULL,'320',23.12,1,2,1),(28,7292597,'1995-10-26 00:00:00',4,9,11,2012,'F','S','CENTRO','LAGES','SC','124242241217151731445331596122610138057',NULL,'515',30.12,1,3,NULL),(28,7292600,'1994-09-26 00:00:00',4,10,11,2011,'F','N','RECIFE','TUBARÃO','SC','124242241215111411368732575122610164072',19038,'807',35.14,1,3,NULL),(28,7292619,'1994-05-25 00:00:00',4,4,12,2011,'M','N','JARDIM PRIMAVERA','PATO BRANCO','PR','116164161217111411226711575112610168191',NULL,'9998',0.00,1,3,NULL),(28,7292635,'1995-01-03 00:00:00',4,22,12,2011,'M','N','CENTRO','S JOÃO BATISTA','SC','124243241225111431459677272124610164052',NULL,'948',0.00,1,3,NULL),(28,7292643,'1991-06-18 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124242241215272431536613575124121467047',4045,'738',64.39,1,3,NULL),(28,7292651,'1992-03-09 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124202241215574431469811575124131057062',3985,'270',60.22,1,3,NULL),(28,7292660,'1989-09-06 00:00:00',2,1,12,2011,'M','N','ROÇADO','S JOSÉ','SC','124241241135112411346632572114610117042',NULL,'729',24.33,1,3,NULL),(28,7292678,'1983-08-15 00:00:00',4,1,12,2003,'F','N','ESPLANADA','BELO HORIZONTE','MG','113132131216131431338813392122143237182',NULL,'9998',17.46,1,3,NULL),(28,7292686,'1994-04-11 00:00:00',2,1,11,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215111731448612375122610124072',17906,'737',30.69,1,3,NULL),(28,7292694,'1991-09-23 00:00:00',2,1,12,2010,'M','N','IPIRANGA','S JOSÉ','SC','124061241127272731433124145124610167047',18244,'734',29.34,1,2,1),(28,7292708,'1993-06-26 00:00:00',4,8,11,2010,'F','N','VILA SABRINA','S PAULO','SP','125252251212471731338923572124610134147',12226,'9998',41.02,4,3,NULL),(28,7292716,'1995-03-21 00:00:00',4,17,12,2011,'M','N','CENTRO','TRÊS BARRAS','SC','124241241126131441434923285121610118177',NULL,'791',25.74,1,3,NULL),(28,7292724,'1994-01-26 00:00:00',4,10,11,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242241217111421539614495115610132172',6465,'809',59.75,1,3,NULL),(28,7292732,'1995-06-19 00:00:00',4,9,12,2011,'M','N','CORAL','LAGES','SC','124242241215111431458933575111610167017',7649,'1207',49.27,1,3,NULL),(28,7292740,'1994-07-20 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121731458721572112610124067',17418,'270',32.55,1,3,NULL),(28,7292759,'1994-11-18 00:00:00',4,1,12,2011,'F','N','RONCAGLIA','VALINHOS','SP','125252251116111431568834575122610122192',NULL,'9998',0.00,5,3,NULL),(28,7292775,'1992-05-28 00:00:00',2,8,11,2009,'F','N','CENTRO','MARINGÁ','PR','116162161215312431328832572122610154122',NULL,'9998',0.00,3,3,NULL),(28,7292783,'1993-05-07 00:00:00',4,1,12,2010,'F','N','HEITOR VILLA LOBOS','ARARAS','SP','125252251216471431453512575124610123077',2866,'9998',59.48,4,3,NULL),(28,7292791,'1994-12-15 00:00:00',2,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111231336614175124610167042',10833,'723',46.96,1,3,NULL),(28,7292805,'1993-04-16 00:00:00',4,1,12,2010,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215473431469914575114610121095',2540,'737',61.94,1,3,NULL),(28,7292821,'1993-09-26 00:00:00',4,1,11,2010,'F','N','JARDIM IRAPUÃ','TABOÃO SERRA','SP','125252251216472431547812572114610167053',6188,'9998',53.85,1,3,NULL),(28,7292830,'1992-06-08 00:00:00',2,1,12,2008,'F','N','BUTANTÃ','S PAULO','SP','125164161216571751545814575124610167017',1554,'9998',68.06,1,3,NULL),(28,7292848,'1994-07-23 00:00:00',2,22,12,2011,'M','N','CENTRO','NOVA TRENTO','SC','124241241135141421236434212121610114062',NULL,'574',20.84,1,2,1),(28,7292856,'1991-08-20 00:00:00',2,1,12,2008,'M','N','CENTRO','ARIRANHA','SP','125251251117473411537733375121241124047',15172,'9998',32.94,1,2,1),(28,7292864,'1994-05-27 00:00:00',2,4,12,2011,'F','N','BELA VISTA','PINHALZINHO','SC','124241241117161431323623575124610123147',15447,'616',35.18,1,3,NULL),(28,7292872,'1994-05-11 00:00:00',4,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241217111431355612576122610124092',11168,'738',51.84,1,3,NULL),(28,7292880,'1995-10-14 00:00:00',4,10,12,2011,'M','N','VILA ALVORADA','IMBITUBA','SC','124241241117171751526611575122610117042',19233,'1255',34.19,1,2,1),(28,7292899,'1994-05-27 00:00:00',4,6,11,2011,'M','N','PRAIA BRAVA','ITAJAÍ','SC','124242241215131431548811585122610128017',6939,'392',53.47,1,3,NULL),(28,7292902,'1987-06-30 00:00:00',2,1,12,2005,'F','N','JARDIM DAS PALMEIRAS','RIO CLARO','SP','125251251116471441323124475111610145094',NULL,'9998',0.00,4,3,NULL),(28,7292910,'1989-04-02 00:00:00',4,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124251241316132732524624485111610124057',14562,'738',46.42,1,3,NULL),(28,7292929,'1991-06-07 00:00:00',4,1,12,2009,'M','N','VILA FORMOSA','BLUMENAU','SC','124244241215575411139923572115610163181',263,'855',79.70,1,3,NULL),(28,7292945,'1994-06-07 00:00:00',4,1,12,2011,'F','N','JARDIM SAVEIRO','BIGUAÇU','SC','124241241115371231627313482324610127037',14037,'1088',39.36,5,2,1),(28,7292953,'1993-05-05 00:00:00',2,1,12,2010,'F','N','CENTRO','TIJUCAS','SC','124241241136131431333334345121610166147',17796,'783',39.48,1,3,NULL),(28,7292970,'1995-01-14 00:00:00',4,9,12,2011,'F','N','CENTRO','LAGES','SC','124242241215111431459933475122610124097',8306,'499',48.34,1,3,NULL),(28,7292988,'1994-07-19 00:00:00',2,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124242241215112431526624571124610136093',6742,'1050',54.54,1,3,NULL),(28,7292996,'1994-10-15 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241131111431448811572122610165142',NULL,'226',32.25,1,3,NULL),(28,7293003,'1990-03-06 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247221131431426621245124231034047',18819,'270',36.02,2,1,2),(28,7293011,'1991-03-21 00:00:00',4,8,12,2008,'M','N','GLÓRIA','JOINVILLE','SC','124242241211575632548832445114610137047',3072,'459',63.26,1,3,NULL),(28,7293038,'1993-02-26 00:00:00',4,9,12,2010,'M','N','JARDIM MARGARIDA','CAXIAS SUL','RS','120202201216571431548831495112610167047',3087,'9998',60.31,1,3,NULL),(28,7293046,'1995-10-29 00:00:00',2,22,12,2011,'F','N','CENTRO','S JOÃO BATISTA','SC','124244241215111231458714575122610123182',14914,'109',45.79,1,3,NULL),(28,7293054,'1992-04-20 00:00:00',2,1,12,2009,'F','N','RIBANCEIRA','IMBITUBA','SC','124241241115132431528314492224231327147',18201,'359',33.90,1,2,1),(28,7293070,'1993-09-17 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136132411326444245134610164197',NULL,'772',36.15,1,2,1),(28,7293089,'1993-12-14 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112731668812575122610127183',2449,'262',63.04,2,3,NULL),(28,7293119,'1993-05-16 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241415472411567813472124121723145',332,'270',74.67,1,3,NULL),(28,7293127,'1990-12-22 00:00:00',4,1,12,2011,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124243247332141431126648285124610118187',NULL,'9999',0.00,1,3,NULL),(28,7293135,'1995-06-10 00:00:00',4,10,12,2011,'F','N','VILA ALVORADA','IMBITUBA','SC','124243241217171751326614575124610117142',17766,'362',39.57,1,3,NULL),(28,7293143,'1993-02-02 00:00:00',4,1,12,2011,'M','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124241241136271431423311285124610132097',17950,'1088',29.29,1,2,1),(28,7293160,'1994-07-20 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121731458721572112610125017',14384,'270',40.78,1,3,NULL),(28,7293178,'1995-07-31 00:00:00',2,1,12,2011,'M','N','FUNDOS','BIGUAÇU','SC','124242241217111431457912575122610137042',11428,'738',40.59,1,3,NULL),(28,7293186,'1994-11-24 00:00:00',2,4,12,2011,'F','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124243241115271411225624272124610113017',NULL,'177',25.60,1,3,NULL),(28,7293194,'1995-07-06 00:00:00',2,10,12,2011,'F','N','CENTRO','IMBITUBA','SC','124242241217111451336612575122610167042',NULL,'806',24.67,1,3,NULL),(28,7293208,'1994-09-26 00:00:00',2,8,11,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215111531478834575112610165077',12535,'1016',49.73,1,3,NULL),(28,7293216,'1994-10-11 00:00:00',2,7,12,2011,'F','N','CENTRO','TANGARÁ','SC','124241243135161431423632575124610136142',12584,'779',41.74,1,2,1),(28,7293232,'1995-01-19 00:00:00',2,1,12,2011,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241115371751436415285122610127042',NULL,'772',17.24,1,3,NULL),(28,7293240,'1993-11-18 00:00:00',4,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','124201241113151431436839395124231447012',15620,'476',36.36,1,2,1),(28,7293259,'1993-06-24 00:00:00',4,8,11,2010,'F','N','CRISTO REI','CURITIBA','PR','116162161215471731228627385124610164047',NULL,'9998',0.00,4,3,NULL),(28,7293267,'1976-05-30 00:00:00',2,1,12,2001,'F','N','CENTRO','PALHOÇA','SC','624243245627131411425551442122610117042',NULL,'1169',0.00,1,3,NULL),(28,7293283,'1995-07-31 00:00:00',4,1,12,2012,'M','S','SANTA FÉ','CPO GRANDE','MS','112122121217111731489813595112610128162',NULL,'9998',53.06,1,3,NULL),(28,7293291,'1994-05-12 00:00:00',2,4,12,2011,'F','N','ZONA RURAL','SAUDADES','SC','124241241116161431423336572124610116097',13220,'761',40.51,1,3,NULL),(28,7293321,'1994-08-20 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151431469914575112610121182',5667,'262',55.58,1,3,NULL),(28,7293330,'1990-07-06 00:00:00',4,5,11,2008,'F','N','ESTAÇÃO COCAL','MRO FUMAÇA','SC','124244241411121531346934332115610118052',NULL,'567',11.10,1,3,NULL),(28,7293356,'1994-08-08 00:00:00',2,1,12,2011,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115131432633519375124610117072',19376,'21',24.71,1,2,1),(28,7293364,'1993-11-20 00:00:00',2,8,11,2010,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161216472431459933585114610147072',NULL,'9998',0.00,1,3,NULL),(28,7293380,'1994-05-04 00:00:00',2,7,11,2011,'M','N','MERCÊS','CURITIBA','PR','116243161217121431546834575114610167042',3996,'9998',64.48,1,3,NULL),(28,7293399,'1994-07-16 00:00:00',2,1,12,2011,'F','N','CALDAS DA IMPERTRIZ','STO AMARO IMPERATRIZ','SC','124241241115371531425413245122610127047',NULL,'772',0.00,1,2,1),(28,7293402,'1994-01-03 00:00:00',2,1,12,2010,'F','N','AREIAS DE BAIXO','GOV CELSO RAMOS','SC','124243241317111431443414345124610127141',NULL,'63',17.23,1,3,NULL),(28,7293410,'1995-07-17 00:00:00',4,1,2,2012,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121331488913392122610167132',18155,'270',38.41,4,3,NULL),(28,7293429,'1990-08-14 00:00:00',2,4,12,2007,'M','N','CENTRO','PATO BRANCO','PR','116162161116573751357714594112610127047',4279,'9998',59.81,1,3,NULL),(28,7293445,'1994-10-20 00:00:00',2,1,2,2012,'F','N','FUNDOS','BIGUAÇU','SC','124242243212111221533921572242610115077',NULL,'1040',15.64,1,3,NULL),(28,7293461,'1993-07-14 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216372441369613575124133237042',3032,'1022',60.38,1,3,NULL),(28,7293488,'1993-07-31 00:00:00',2,15,12,2010,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241112161221624634342122610126197',NULL,'30',0.00,1,3,NULL),(28,7293496,'1978-05-22 00:00:00',2,1,12,1998,'F','N','CENTRO','FLORIANÓPOLIS','SC','624163241346475431238874474122322926197',1260,'9997',68.05,1,3,NULL),(28,7293500,'1993-09-09 00:00:00',2,1,7,2011,'M','N','FLOR DE NAPOLIS','S JOSÉ','SC','124242241117271411233411375124610117067',11674,'739',51.05,1,3,NULL),(28,7293518,'1995-03-06 00:00:00',2,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431326613335124610117092',NULL,'723',0.00,1,3,NULL),(28,7293526,'1992-03-16 00:00:00',2,8,12,2009,'M','N','UBERABA','CURITIBA','PR','116162161336271431443811375122243147057',NULL,'9998',0.00,1,3,NULL),(28,7293534,'1988-04-21 00:00:00',2,1,12,2008,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241146152731534344242312610112113',15624,'772',44.45,1,2,1),(28,7293542,'1994-07-12 00:00:00',4,5,11,2011,'M','N','MICHEL','CRICIÚMA','SC','124244241215111431569813575112610124112',842,'226',72.35,1,3,NULL),(28,7293550,'1994-07-06 00:00:00',2,15,11,2011,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124243241215111421446613495122610136052',NULL,'26',28.28,1,3,NULL),(28,7293569,'1995-09-03 00:00:00',4,1,11,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124244241417111531469934575122610127147',17583,'1050',40.10,1,3,NULL),(28,7293577,'1994-06-28 00:00:00',2,5,12,2011,'F','N','NOVA ITALIA','URUSSANGA','SC','124241241415211431325614175124610127142',13360,'995',48.47,4,1,2),(28,7293585,'1991-11-07 00:00:00',4,1,12,2010,'F','N','SANTOS SARAIVA','S JOSÉ','SC','124241241112141231524334492124610144197',NULL,'727',14.53,1,2,1),(28,7293593,'1991-06-21 00:00:00',2,1,12,2007,'F','N','AREIAS','S JOSÉ','SC','124244241117141331434614445114130234147',NULL,'257',28.94,3,3,NULL),(28,7293607,'1993-07-28 00:00:00',4,4,11,2010,'F','N','SÃO GENARO','CHOPINZINHO','PR','116161161117472731435639391334610168187',5337,'9998',56.84,1,2,1),(28,7293615,'1994-09-24 00:00:00',4,6,12,2011,'M','N','FAZENDA','ITAJAÍ','SC','124244241215111431457931572112610127067',NULL,'391',21.45,1,3,NULL),(28,7293623,'1994-10-26 00:00:00',2,1,12,2011,'M','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124242241213111531338713573124610167043',15714,'1048',33.22,1,3,NULL),(28,7293631,'1993-10-29 00:00:00',4,16,12,2010,'F','N','SÃO LUIZ','CURITIBANOS','SC','124241241115372432446614475124223223142',10787,'239',45.02,1,2,1),(28,7293640,'1991-10-26 00:00:00',2,15,7,2009,'F','N','CIDADA ALTA','ARARANGUÁ','SC','124241241317161211246612425122130244142',NULL,'9997',25.86,1,3,NULL),(28,7293658,'1993-02-22 00:00:00',4,1,12,2010,'F','N','CENTRO','RIO PEDRAS','SP','125252251417471431348813572124610167147',9663,'9998',46.88,1,3,NULL),(28,7293682,'1993-09-20 00:00:00',4,1,12,2010,'M','N','VILA MARIANA','S PAULO','SP','125252251216471231688821472112610128052',NULL,'9998',0.00,1,3,NULL),(28,7293690,'1989-11-25 00:00:00',2,1,12,2009,'F','N','AREIAS','TIJUCAS','SC','124201241126141431436614245333610144072',NULL,'783',19.86,1,2,1),(28,7293704,'1988-01-11 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624111091136131431233951142124610131112',NULL,'9998',40.10,4,2,1),(28,7293712,'1994-08-11 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731359911575122610124072',6032,'262',56.71,1,3,NULL),(28,7293720,'1987-09-12 00:00:00',2,1,12,2005,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241215375431426723342124610136077',15283,'944',36.04,1,3,NULL),(28,7293739,'1995-07-13 00:00:00',4,1,12,2012,'F','S','LINHA FORMOS','PLANALTO','PR','116161161117161531336616472122610142147',NULL,'9998',0.00,1,3,NULL),(28,7293747,'1992-12-16 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115132731633624245124222737047',15144,'1248',37.21,1,2,1),(28,7293755,'1993-09-04 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215372531236714575124610163197',10811,'737',45.56,1,3,NULL),(28,7293763,'1993-07-19 00:00:00',2,1,12,2010,'F','N','PRAIA CCOMPRIDA','S JOSÉ','SC','124243241115472431337613385124610125017',NULL,'733',32.36,1,3,NULL),(28,7293771,'1994-08-12 00:00:00',4,25,12,2011,'F','N','CENTRO','FRAIBURGO','SC','124242241216111431456512574122610123197',11575,'317',42.57,1,3,NULL),(28,7293780,'1990-08-05 00:00:00',4,1,11,2008,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241215574431268833571125610164185',3344,'270',59.62,1,3,NULL),(28,7293798,'1993-08-03 00:00:00',4,1,12,2010,'F','N','SANTOS SARAIVA','S JOSÉ','SC','124241241112141731523339492124610143197',NULL,'727',23.89,1,2,1),(28,7293801,'1991-05-15 00:00:00',4,1,12,2008,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241221173431433514215124233267042',NULL,'262',25.89,1,3,NULL),(28,7293810,'1996-01-21 00:00:00',4,1,11,2012,'M','S','BALNEÁRIO','FLORIANÓPOLIS','SC','124243241115131732546613475124610124032',NULL,'271',37.91,1,3,NULL),(28,7293828,'1994-12-01 00:00:00',4,1,12,2012,'M','S','AREIAS','S JOSÉ','SC','124242241217111431334627575124610128062',NULL,'1118',49.44,1,3,NULL),(28,7293836,'1994-02-23 00:00:00',4,25,12,2011,'F','N','CENTRO','CURITIBA','PR','116242161215411451446921374112610137072',748,'120',68.94,1,3,NULL),(28,7293844,'1992-03-16 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124242241215373431336823345114610167042',9994,'1078',44.18,1,3,NULL),(28,7293860,'1994-09-04 00:00:00',4,6,12,2011,'M','N','CORDEIROS','ITAJAÍ','SC','124241246217111431426839595124610134147',NULL,'1059',17.75,1,3,NULL),(28,7293887,'1994-07-29 00:00:00',4,1,12,2011,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215111431379939574122610127042',7354,'262',52.51,1,3,NULL),(28,7293895,'1995-10-04 00:00:00',4,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215111431488933575112610126092',NULL,'262',24.89,1,3,NULL),(28,7293909,'1994-09-07 00:00:00',4,1,12,2011,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241216371431237967575124610164092',5653,'1048',51.48,1,3,NULL),(28,7293925,'1994-02-10 00:00:00',2,5,11,2011,'M','N','CENTRO','NOVA VENEZA','SC','124244241215131431526923575124610127042',6873,'995',51.67,1,3,NULL),(28,7293933,'1994-04-05 00:00:00',2,5,12,2011,'M','N','UNIÃO','BRAÇO NORTE','SC','124241242116131431323424294124610164052',9249,'690',49.46,1,2,1),(28,7293941,'1994-03-03 00:00:00',4,8,12,2011,'F','N','MORRO DO ESPELHO','S LEOPOLDO','RS','120202208217111711349921572122610117056',8490,'9998',49.05,1,3,NULL),(28,7293968,'1988-05-23 00:00:00',4,1,12,2005,'M','N','ROCADO','S JOSÉ','SC','124242241212153431576611215122221414182',9790,'723',54.08,1,3,NULL),(28,7293976,'1994-06-03 00:00:00',4,17,11,2011,'F','N','CENTRO','MAFRA','SC','124241241217111431325615572122610164097',4336,'9997',58.94,1,3,NULL),(28,7293984,'1994-05-08 00:00:00',4,5,12,2011,'F','N','JARDIM MARISTELA','CRICIÚMA','SC','124241241115111431526639595124610116177',18624,'209',25.07,1,2,1),(28,7294000,'1994-11-08 00:00:00',2,5,11,2011,'M','N','ESTAÇÃO COCAL','MRO FUMAÇA','SC','124242241237111431456432572122610117122',11520,'188',41.12,1,3,NULL),(28,7294018,'1995-04-08 00:00:00',4,4,12,2011,'F','N','INTERIOR','PLANALTO','RS','120201201116131431423923472124610168147',NULL,'9998',0.00,1,3,NULL),(28,7294026,'1994-10-10 00:00:00',4,1,11,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216112431335823575124610122185',689,'270',74.64,1,3,NULL),(28,7294034,'1992-01-10 00:00:00',2,1,11,2009,'F','N','CENTRO','JACAREÍ','SP','125252251237571731458714595112610153077',5900,'9998',54.53,1,3,NULL),(28,7294042,'1994-09-08 00:00:00',4,1,12,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241217111731456519595122610122167',13209,'988',40.80,1,3,NULL),(28,7294050,'1992-06-25 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241245116161431424314395122610124157',NULL,'531',10.08,1,2,1),(28,7294093,'1991-12-17 00:00:00',2,16,12,2008,'M','N','ÁGUA SANTA','CURITIBANOS','SC','124241241116132431221219295224223217047',12019,'240',50.51,1,3,NULL),(28,7294107,'1994-05-09 00:00:00',4,23,12,2012,'F','S','AMIZADE','JARAGUÁ SUL','SC','124242241217111411578811594112610113017',NULL,'1063',36.21,1,3,NULL),(28,7294115,'1994-04-29 00:00:00',2,15,12,2010,'M','N','LIVRAMENTO','TURVO','SC','124241241116133141433616245121130768194',15375,'814',34.80,1,2,1),(28,7294123,'1994-11-05 00:00:00',4,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241215151431533664295124610126197',9172,'1048',49.05,1,3,NULL),(28,7294131,'1994-09-21 00:00:00',2,15,12,2011,'F','N','VILA SÃO JOÃO','TORRES','RS','120241201115131231446619375122610167145',17677,'9998',39.79,1,2,1),(28,7294158,'1994-05-04 00:00:00',4,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241217111431536612572124610133187',5836,'1022',54.60,1,3,NULL),(28,7294166,'1995-04-03 00:00:00',4,1,12,2011,'F','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','124241241117371431326624575114610134197',9922,'307',48.91,1,2,1),(28,7294174,'1994-07-05 00:00:00',4,22,11,2011,'M','N','CENTRO','BRUSQUE','SC','124242241215151411345823575121610134142',11117,'1090',42.46,1,3,NULL),(28,7294182,'1992-01-27 00:00:00',4,1,12,2009,'M','N','CENTRO','CURITIBA','PR','116162161215573531279911575115610127017',NULL,'9998',0.00,1,3,NULL),(28,7294190,'1994-05-05 00:00:00',4,1,1,2012,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115371441536572575114610166142',6164,'307',52.80,1,2,1),(28,7294204,'1993-06-12 00:00:00',4,1,11,2010,'F','N','CENTRO','MOGI MIRIM','SP','125252251217471531478811575122610168142',1893,'9998',61.65,1,3,NULL),(28,7294220,'1994-06-01 00:00:00',4,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244241215131432226621572125610127112',NULL,'977',17.75,4,1,2),(28,7294239,'1994-08-07 00:00:00',4,15,12,2011,'M','N','MORRO DO PORTUGUES','STA ROSA SUL','SC','124241242115161431424612575124610134147',15491,'690',31.03,1,2,1),(28,7294247,'1993-12-03 00:00:00',4,8,12,2011,'F','N','AMERICA','JOINVILLE','SC','124242241215111431489933575112610124142',8632,'457',47.89,1,3,NULL),(28,7294263,'1995-09-30 00:00:00',4,15,12,2011,'F','N','MATO ALTO','ARARANGUÁ','SC','124241241215111431324614245122610127142',16008,'970',32.07,1,3,NULL),(28,7294271,'1995-10-06 00:00:00',4,10,12,2012,'M','S','VILA MOEMA','TUBARÃO','SC','124242241215372221468834275122610167052',NULL,'807',40.75,1,3,NULL),(28,7294280,'1983-04-20 00:00:00',4,1,5,2001,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241248346231411222644245123130625187',NULL,'67',28.00,1,3,NULL),(28,7294301,'1994-07-03 00:00:00',4,1,12,2011,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241137371411528654572121610166147',8960,'1155',49.95,1,2,1),(28,7294310,'1989-03-08 00:00:00',4,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215155431366513575124122244172',NULL,'1022',25.89,1,3,NULL),(28,7294328,'1994-03-13 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431558812425122610117102',1681,'270',67.41,1,3,NULL),(28,7294336,'1995-01-01 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111431449613432112620124187',14849,'262',43.43,1,3,NULL),(28,7294352,'1994-08-07 00:00:00',2,1,12,2011,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241117371431346814575124610157067',5282,'739',55.06,1,3,NULL),(28,7294379,'1989-08-11 00:00:00',2,1,12,2009,'M','N','SÃO JOÃO DO RIO VERM','FLORIANÓPOLIS','SC','124241241617121421424421145113610152047',NULL,'9999',24.91,3,3,NULL),(28,7294387,'1994-07-01 00:00:00',2,4,12,2011,'F','N','CENTRO','SAUDADES','SC','124241241116131711636639245122610164097',8269,'761',49.91,1,2,1),(28,7294395,'1995-02-17 00:00:00',2,3,12,2011,'F','N','PEREQUÊ','PTO BELO','SC','124241243116151431324612272122610125142',7446,'129',50.49,1,2,1),(28,7294409,'1979-12-29 00:00:00',4,1,12,1997,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241236135731328839395122320268117',8498,'262',56.27,1,3,NULL),(28,7294417,'1994-06-29 00:00:00',2,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241211111241328732291125610145022',7748,'270',50.79,1,3,NULL),(28,7294425,'1994-09-09 00:00:00',4,16,12,2011,'M','N','CENTRO','CURITIBANOS','SC','124242241215111431466913575125610134012',3427,'881',59.41,1,3,NULL),(28,7294433,'1993-07-28 00:00:00',4,1,12,2011,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124241241115141731424424345114610138197',NULL,'307',26.67,1,2,1),(28,7294441,'1993-02-04 00:00:00',4,1,12,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241212152431469413575122233228172',11248,'1023',43.04,1,3,NULL),(28,7294450,'1994-12-12 00:00:00',4,24,12,2011,'F','N','BOA VISTA','RIO SUL','SC','124242241216371431546532125112610121177',12505,'663',40.49,1,3,NULL),(28,7294468,'1995-01-02 00:00:00',2,5,12,2011,'F','N','CENTENARIO','SAPIRANGA','RS','120202201217471431468814575122610161017',8426,'9998',46.47,1,3,NULL),(28,7294476,'1995-01-06 00:00:00',4,7,12,2011,'F','N','COLINA DAS FLORES','CAMPOS NOVOS','SC','124241241111371431323923272222610128017',NULL,'140',0.00,1,2,1),(28,7294484,'1994-12-18 00:00:00',4,16,12,2011,'M','N','INTERIOR','FR ROGÉRIO','SC','124241241115131411523735252324610127052',NULL,'320',19.64,4,3,NULL),(28,7294492,'1995-01-09 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431479813575112610131182',1349,'270',66.64,1,3,NULL),(28,7294506,'1978-03-23 00:00:00',2,1,2,2004,'M','N','SERRARIA','S JOSÉ','SC','224161241126131721224644142122610128067',NULL,'726',30.84,1,2,1),(28,7294514,'1985-06-08 00:00:00',2,1,12,2004,'F','N','CENTRO','S MARCOS','RS','120201207326232431423335382124610134183',NULL,'9999',0.00,1,3,NULL),(28,7294530,'1984-07-14 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224201247626131751423351215122610131142',17455,'9999',40.40,1,3,NULL),(28,7294549,'1993-05-08 00:00:00',4,1,11,2010,'F','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251216571431558814495124610138197',4508,'9998',57.96,3,3,NULL),(28,7294557,'1991-07-14 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241413132712544434341134231026053',14235,'1010',47.05,1,3,NULL),(28,7294565,'1995-04-29 00:00:00',4,1,11,2012,'F','S','CACUPÉ','FLORIANÓPOLIS','SC','124242248215111732339933585122610123037',NULL,'884',45.26,1,3,NULL),(28,7294573,'1994-12-05 00:00:00',4,1,12,2010,'F','N','CENTRO','XANXERÊ','SC','124242241215472431649912572112610162092',1584,'1233',65.53,1,3,NULL),(28,7294581,'1991-11-06 00:00:00',2,1,12,2008,'M','N','ARIRIÚ','PALHOÇA','SC','124241241146574431336613575114610117067',9059,'593',47.27,1,2,1),(28,7294611,'1984-01-11 00:00:00',2,1,12,2002,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116574522326629475124610113182',17725,'276',31.75,2,1,1),(28,7294620,'1992-12-18 00:00:00',4,2,12,2010,'F','N','BELA VISTA','GASPAR','SC','124244241215372431336632375112610134057',NULL,'87',22.67,1,3,NULL),(28,7294638,'1994-11-17 00:00:00',4,1,12,2013,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241215111732258923295124610133185',NULL,'1048',41.48,1,3,NULL),(28,7294646,'1994-07-06 00:00:00',4,15,11,2011,'M','N','COLONINHA','ARARANGUÁ','SC','124242241215121431668812345122610128192',6532,'970',52.79,1,3,NULL),(28,7294654,'1994-10-21 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431346933572112610127111',7548,'262',52.72,1,3,NULL),(28,7294662,'1994-01-27 00:00:00',2,24,11,2011,'M','N','SUMARÉ','RIO SUL','SC','124242241215371531578911415122610137147',7605,'653',51.73,1,3,NULL),(28,7294670,'1994-07-10 00:00:00',2,1,12,2011,'M','N','SÃO SEBASTIÃO','ÁGUAS MORNAS','SC','124241241115471232423314275124610122042',19092,'978',34.90,4,2,1),(28,7294689,'1992-04-16 00:00:00',4,4,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242151215473431455632572122610162172',181,'9997',76.68,1,3,NULL),(28,7294697,'1994-10-06 00:00:00',4,7,11,2011,'F','N','CENTRO','JOAÇABA','SC','124242241235372431346612576112610168142',NULL,'446',13.59,1,3,NULL),(28,7294700,'1983-05-18 00:00:00',4,1,12,2001,'F','N','SERRARIA','S JOSÉ','SC','124241241116244331523334445124233232137',20098,'293',26.29,1,2,1),(28,7294719,'1993-07-26 00:00:00',4,4,12,2011,'M','N','CENTRO','MARAU','RS','120201201116111411568833572121610114172',2395,'9998',60.84,1,2,1),(28,7294727,'1989-02-22 00:00:00',2,7,12,2009,'F','N','CENTRO','JOAÇABA','SC','124241241142271432125544342123130226097',19508,'341',32.63,1,2,1),(28,7294743,'1968-12-26 00:00:00',4,1,12,1986,'F','N','TRAINDADE','FLORIANÓPOLIS','SC','624251253116141411243242325122342011093',15863,'9998',43.96,3,3,NULL),(28,7294751,'1985-09-13 00:00:00',2,5,12,2002,'M','N','JARDIM ANGÉLICA','CRICIÚMA','SC','224161161126472451226351295124142218172',NULL,'9998',0.00,1,2,1),(28,7294760,'1978-11-08 00:00:00',4,1,12,1996,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241316433431236812345124121827043',14584,'270',46.38,1,3,NULL),(28,7294778,'1993-10-13 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124242241215122232459933575112231442172',4142,'497',59.09,1,3,NULL),(28,7294786,'1989-07-07 00:00:00',2,1,12,2006,'F','N','SERRARIA','S JOSÉ','SC','124241241141132411223329341314610133057',16443,'257',35.36,1,2,1),(28,7294794,'1993-04-20 00:00:00',2,1,12,2010,'F','N','CENTRO','CAJOBI','SP','125253251215471431238933572124610162142',NULL,'9998',28.57,1,3,NULL),(28,7294808,'1993-08-05 00:00:00',6,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241115371431423439271124610136147',17089,'287',36.74,2,1,1),(28,7294816,'1994-09-04 00:00:00',4,8,12,2011,'F','N','AVENTUREIRO','JOINVILLE','SC','124242241236271531348924575122610137142',9197,'1006',55.07,1,3,NULL),(28,7294824,'1994-03-02 00:00:00',4,5,11,2011,'F','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124244241216111731468931575122610121042',8833,'210',55.71,1,3,NULL),(28,7294832,'1973-02-16 00:00:00',2,1,11,1990,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','524221221327131421224144245124133262097',NULL,'9998',31.03,1,3,NULL),(28,7294840,'1993-11-06 00:00:00',4,1,12,2010,'F','N','CENTRO','PALMITOS','SC','124242241215471411358933575114131922057',17736,'185',39.65,1,3,NULL),(28,7294859,'1995-04-04 00:00:00',4,4,12,2011,'M','N','CENTRO','PASSO FUNDO','RS','120203201112371321537913571122610164042',578,'9998',71.36,1,3,NULL),(28,7294867,'1995-01-22 00:00:00',4,1,12,2012,'F','S','STA MONICA','FLORIANÓPOLIS','SC','124242241215111732268911575122610165197',NULL,'883',40.67,1,3,NULL),(28,7294875,'1994-08-29 00:00:00',4,15,12,2011,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','124241241317131431333622145125610126097',9080,'30',46.42,1,3,NULL),(28,7294883,'1993-12-03 00:00:00',2,1,12,2010,'F','N','VILA ALVORADA','IMBITUBA','SC','124241241116573431428933575124610124052',17138,'358',34.25,4,2,1),(28,7294891,'1994-05-02 00:00:00',4,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','624242248237271421434512575122610137012',NULL,'1049',20.03,1,3,NULL),(28,7294913,'1993-04-17 00:00:00',2,15,11,2010,'M','N','LAGOÃO','ARARANGUÁ','SC','124241241115131431423611285121610127117',NULL,'30',28.54,1,2,1),(28,7294921,'1993-01-29 00:00:00',4,1,12,2009,'M','N','PICADAS DO SUL','S JOSÉ','SC','124243241216144311444623345124231467052',9350,'1074',47.16,1,3,NULL),(28,7294930,'1994-11-06 00:00:00',2,26,12,2011,'F','N','SANTA CRUZ','CONCÓRDIA','SC','124241241135271411426414245124610124142',7683,'192',48.74,1,2,1),(28,7294948,'1990-10-31 00:00:00',4,5,12,2007,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124241241116241731333319442122610124142',14704,'822',46.16,1,2,1),(28,7294956,'1992-02-17 00:00:00',4,17,12,2009,'F','N','VILA UNIVERSITÁRIA','BAURU','SP','125252251216111441426812575122242632147',3729,'9998',58.40,1,3,NULL),(28,7294964,'1993-07-16 00:00:00',2,4,12,2010,'M','N','SUFIATI','XANXERÊ','SC','124241241127131431324613145122231034052',NULL,'841',22.95,4,2,1),(28,7294972,'1993-04-20 00:00:00',2,1,12,2010,'F','N','CENTRO','CAJOBI','SP','125253251215471431438933572124610162142',11654,'9998',43.67,1,3,NULL),(28,7294980,'1993-01-23 00:00:00',4,1,12,2010,'F','N','COHAB ARAPUÃ','JALES','SP','125251251117371431328624575111610134016',NULL,'9998',0.00,1,2,1),(28,7294999,'1994-03-23 00:00:00',4,1,12,2011,'F','N','FUNDOS','BIGUAÇU','SC','124243241326131451323321585124610126147',13965,'262',35.31,1,3,NULL),(28,7295006,'1993-06-22 00:00:00',4,5,12,2010,'M','N','CENTRO','CRICIÚMA','SC','124242246217272431249934445115131437062',16664,'995',42.27,1,3,NULL),(28,7295022,'1994-03-02 00:00:00',4,1,11,2011,'M','N','CENTRO','VIDEIRA','SC','124244241216371531336633575124610124072',10045,'969',46.64,1,3,NULL),(28,7295030,'1988-10-10 00:00:00',4,1,12,2005,'F','N','SAGUAÇÚ','JOINVILLE','SC','124244241416131411559933235124131966027',NULL,'861',0.00,1,3,NULL),(28,7295049,'1991-11-07 00:00:00',4,1,12,2009,'M','N','CENTRO','CURITIBA','PR','116222251237153751476732595125141444025',727,'9998',73.31,1,3,NULL),(28,7295057,'1993-12-28 00:00:00',4,17,12,2010,'M','N','XAXIM','CURITIBA','PR','116161161146131412449714345124243264097',13932,'9998',47.52,1,2,1),(28,7295065,'1992-12-01 00:00:00',2,3,12,2009,'F','N','CENTRO','PIRATUBA','SC','124241241416472411446832275124233232147',NULL,'619',0.00,1,3,NULL),(28,7295073,'1993-02-12 00:00:00',2,1,7,2010,'F','N','PAGARÁ GRANDE','S PEDRO ALCÂNTARA','SC','124241241115372431421331371324121426142',7053,'739',52.69,4,2,1),(28,7295090,'1994-02-10 00:00:00',2,25,12,2011,'M','N','BELA VISTA','FRAIBURGO','SC','124244241215131711323679593211610112185',11305,'317',42.09,1,3,NULL),(28,7295103,'1994-03-11 00:00:00',4,15,12,2011,'F','N','CENTRO','ARARANGUÁ','SC','124244241415321431348832575122610138192',11255,'970',43.55,1,3,NULL),(28,7295111,'1994-07-27 00:00:00',2,27,12,2010,'F','N','CENTRO','S MIGUEL OESTE','SC','124241241116371731325511575122610134147',NULL,'757',20.25,1,2,1),(28,7295120,'1993-08-02 00:00:00',2,4,12,2010,'M','N','VENEZA','XANXERÊ','SC','124241241147131411444923475122610137042',NULL,'949',29.50,1,2,1),(28,7295138,'1995-03-22 00:00:00',4,3,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241117241441223628245131610135092',NULL,'49',0.00,1,3,NULL),(28,7295154,'1993-07-16 00:00:00',2,1,12,2010,'F','N','PALHOÇINHA','GAROPABA','SC','124241241127473431423319345324610134072',16563,'322',33.60,1,2,1),(28,7295162,'1994-09-01 00:00:00',4,2,10,2011,'M','N','DOS ESTADOS','INDAIAL','SC','124242241217421411456634345124610123012',19298,'9997',33.87,1,3,NULL),(28,7295170,'1994-08-05 00:00:00',2,5,12,2011,'F','N','AIRES RODRIGUES','ORLEANS','SC','124241241111371711523319572124610126147',NULL,'580',35.81,1,2,1),(28,7295189,'1992-02-29 00:00:00',2,1,12,2009,'F','N','CENTRO','CANOAS','RS','620201201417471411533934595125243267057',NULL,'9998',39.31,1,3,NULL),(28,7295197,'1993-12-23 00:00:00',4,8,12,2010,'F','N','JARDIM AMÉRICA','DRACENA','SP','125252251217471431489813575125610144192',2182,'9998',65.38,3,3,NULL),(28,7295219,'1991-03-02 00:00:00',4,1,12,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241115475411223321442114610137042',15326,'727',38.09,4,2,1),(28,7295227,'1994-08-27 00:00:00',2,7,11,2011,'M','N','LA SALLE','PATO BRANCO','PR','116162161217111431448912295122610127052',10491,'9998',41.93,1,3,NULL),(28,7295235,'1992-09-02 00:00:00',4,1,11,2009,'F','N','AMIZADE','JARAGUÁ SUL','SC','124241248216573431448814575124610122092',7593,'424',53.73,1,3,NULL),(28,7295251,'1992-03-10 00:00:00',4,1,12,2010,'F','N','COMASA','JOINVILLE','SC','124241241116371431423411392122610123077',NULL,'477',10.25,1,2,1),(28,7295260,'1984-11-07 00:00:00',4,1,12,2002,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124201201116153451446624241124221432177',13676,'9998',47.92,4,1,1),(28,7295278,'1994-03-17 00:00:00',4,8,12,2010,'F','N','SANTA CÂNDIDA','CURITIBA','PR','116122121215471311448813574122610122142',7710,'9998',50.72,1,3,NULL),(28,7295308,'1993-09-14 00:00:00',2,4,12,2011,'F','N','MATINHO','XANXERÊ','SC','124241245136131531324414246124610122142',14453,'840',38.41,1,2,1),(28,7295324,'1994-04-09 00:00:00',4,1,12,2011,'F','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124243241225371731336624594125610128145',7397,'262',50.59,1,3,NULL),(28,7295332,'1992-08-14 00:00:00',2,1,12,2009,'F','N','PONTE IMARUIM','PALHOÇA','SC','124242241216473431535823575124610145042',5432,'1010',55.62,1,3,NULL),(28,7295375,'1994-02-23 00:00:00',4,2,12,2010,'M','N','VICTOR KONDER','BLUMENAU','SC','124242246435121431479911275121610134182',13724,'1018',47.85,1,3,NULL),(28,7295405,'1994-09-22 00:00:00',2,1,11,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215112431456613472114610137042',2475,'270',65.62,1,3,NULL),(28,7295421,'1992-10-17 00:00:00',2,7,11,2009,'F','N','CENTRO','HERVAL D OESTE','SC','124242241215473431438914575125141548142',8979,'446',49.25,1,3,NULL),(28,7295430,'1986-12-22 00:00:00',4,1,11,2004,'M','N','CAMPINAS','S JOSÉ','SC','124242241216115731466833495122321422143',5817,'723',60.88,1,3,NULL),(28,7295448,'1992-02-08 00:00:00',4,15,12,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124243241316141431425612345123610124055',19750,'29',30.66,1,3,NULL),(28,7295456,'1984-03-11 00:00:00',4,8,12,2001,'F','N','CENTRO','PATO BRANCO','PR','124161161216273431133843431122321537142',1691,'9998',70.89,1,3,NULL),(28,7295464,'1994-03-05 00:00:00',4,8,12,2011,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241215371431346832575122610137042',11311,'1016',51.62,1,3,NULL),(28,7295472,'1994-04-12 00:00:00',4,10,11,2011,'M','N','VILA ESPERANÇA','TUBARÃO','SC','124242248215171731546939145122610128047',19367,'1120',23.19,1,3,NULL),(28,7295480,'1994-09-12 00:00:00',2,15,12,2011,'F','N','CENTRO','JACINTO MACHADO','SC','124243241217131421445532245122610137072',17350,'813',32.70,1,3,NULL),(28,7295502,'1993-08-02 00:00:00',4,1,12,2011,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217151411568833571114610143052',2346,'1022',64.54,1,3,NULL),(28,7295510,'1991-05-18 00:00:00',2,15,11,2007,'F','N','CENTRO','CRICIÚMA','SC','124242241211575751369919595122610163177',127,'226',78.52,1,3,NULL),(28,7295545,'1994-05-29 00:00:00',4,9,12,2011,'F','N','VÁRZEA','LAGES','SC','124241241112371431429313474124610136057',17679,'935',32.31,3,2,1),(28,7295553,'1991-10-08 00:00:00',4,1,12,2009,'M','N','CENTRO','UMUARAMA','PR','116162161217371741588833575114241464052',7739,'9998',48.27,1,3,NULL),(28,7295561,'1983-10-28 00:00:00',4,1,12,2006,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241247346133441126444245124122262097',16463,'270',42.74,1,3,NULL),(28,7295570,'1987-08-17 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124122121216151411159943335122340264055',NULL,'9998',0.00,2,1,2),(28,7295588,'1994-01-31 00:00:00',4,8,11,2011,'M','N','BOQUEIRÃO','CURITIBA','PR','116162161215111431458711472122610164177',1861,'9998',68.66,3,3,NULL),(28,7295596,'1993-05-07 00:00:00',4,1,12,2010,'F','N','GUIOMAR','ANTÔNIO CARLOS','SC','124241241211472311526315575124610123042',NULL,'20',26.60,1,3,NULL),(28,7295600,'1994-05-09 00:00:00',4,10,12,2011,'F','N','SÃO JOÃO','TUBARÃO','SC','124241241117141431335612245124610133012',NULL,'798',0.00,1,2,1),(28,7295618,'1990-12-29 00:00:00',4,5,12,2009,'M','N','QUARTA LINHA','CRICIÚMA','SC','124243241116132211524414445122231417061',NULL,'920',16.70,1,3,NULL),(28,7295626,'1991-08-29 00:00:00',2,1,11,2009,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241241147271721315448145324610137185',NULL,'757',42.66,1,2,1),(28,7295634,'1992-06-15 00:00:00',4,1,12,2009,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124242241217375751569813595114123264181',3552,'1022',60.65,1,3,NULL),(28,7295642,'1993-07-17 00:00:00',2,17,12,2010,'M','N','RIO BONITO','MAJ VIEIRA','SC','124241241115373421326616552222223238197',NULL,'548',0.00,1,2,1),(28,7295669,'1992-12-02 00:00:00',2,22,12,2011,'M','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124241241135131231225364285124610118192',16734,'1019',35.75,1,2,1),(28,7295677,'1995-04-03 00:00:00',4,1,11,2011,'F','N','CENTRO','ÁGUA DOCE','SC','124241241215122431444816395124610122142',2191,'270',66.00,1,3,NULL),(28,7295685,'1995-06-23 00:00:00',4,9,10,2011,'M','N','CORAL','LAGES','SC','124242241215111431345532175122610127052',8004,'497',50.48,1,3,NULL),(28,7295693,'1994-04-20 00:00:00',2,5,11,2011,'M','N','CENTRO','SIDERÓPOLIS','SC','124242241235171431447834575112610117042',12927,'213',40.37,1,3,NULL),(28,7295707,'1993-07-31 00:00:00',2,15,12,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124241241137132531424311345332610133187',16741,'29',31.10,1,2,1),(28,7295715,'1987-06-19 00:00:00',2,1,10,2004,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','624282281237132431126644445134133266061',17305,'9998',40.77,1,3,NULL),(28,7295723,'1990-03-04 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116132721127844342334132843143',NULL,'498',14.83,1,3,NULL),(28,7295731,'1992-02-20 00:00:00',4,9,11,2009,'F','N','CENTRO','LAGES','SC','124242241211573431338731475111610117142',17177,'497',30.13,1,3,NULL),(28,7295740,'1994-02-03 00:00:00',4,2,12,2011,'M','N','FORTALEZA','BLUMENAU','SC','124241241137141731225534346124610122041',7912,'83',48.66,1,2,1),(28,7295758,'1991-12-02 00:00:00',4,4,12,2008,'F','N','CENTRO','NOVA AURORA','PR','116161161346161431323415592124243234142',NULL,'9998',0.00,4,3,NULL),(28,7295766,'1962-11-02 00:00:00',4,2,12,1987,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','424241243426153411151343235122333262042',NULL,'67',0.00,1,3,NULL),(28,7295774,'1956-12-22 00:00:00',2,1,12,1975,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241246126153441343643235124530761092',NULL,'306',0.00,1,2,1),(28,7295782,'1995-02-08 00:00:00',2,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241215111731428823572122610114142',NULL,'1048',26.20,1,3,NULL),(28,7295790,'1994-03-29 00:00:00',4,1,11,2011,'M','N','CENTRO','GAROPABA','SC','124242241215111231355811575122610167112',2844,'270',61.54,1,3,NULL),(28,7295804,'1990-05-16 00:00:00',2,1,12,2009,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241127271411313329345244610117042',17740,'773',39.64,2,1,1),(28,7295812,'1994-11-03 00:00:00',2,1,12,2011,'F','N','FURADINHO','PALHOÇA','SC','124241241116371431524411575124610127147',NULL,'592',0.00,1,2,1),(28,7295820,'1993-01-06 00:00:00',2,1,12,2010,'M','N','RIO GRANDE','PALHOÇA','SC','124241241116272741433311485114610164042',16556,'591',42.52,1,2,1),(28,7295839,'1994-05-21 00:00:00',4,1,12,2011,'M','N','GIOCONDO ORSI','CPO GRANDE','MS','112122121217111431488813595122610127125',55,'9998',80.75,1,3,NULL),(28,7295847,'1987-10-21 00:00:00',2,27,12,2004,'F','N','FACULDADE','CASCAVEL','PR','116161161314421421541923573122142666192',NULL,'9998',39.39,1,3,NULL),(28,7295855,'1994-04-26 00:00:00',4,1,12,2011,'F','N','JD UNIVERSITÁRIO','PEREIRA BARRETO','SP','125252251215171431458833575122610126142',1593,'9998',65.22,1,3,NULL),(28,7295863,'1995-01-02 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217111411458812575112610134051',10423,'1050',43.46,1,3,NULL),(28,7295871,'1994-04-04 00:00:00',4,10,12,2011,'M','N','VILA PARAÍSO','IMARUÍ','SC','124241241114371751426311575125610158192',13674,'356',37.06,4,3,NULL),(28,7295880,'1994-09-17 00:00:00',4,1,12,2011,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241117141431536633382122610136142',16014,'978',33.55,1,2,1),(28,7295898,'1993-12-16 00:00:00',4,1,12,2011,'F','N','ESTRADA VELHA','STO AMARO IMPERATRIZ','SC','124241241136151421533614575112610124042',NULL,'772',18.05,1,2,1),(28,7295901,'1993-07-03 00:00:00',2,1,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124243241326132431523332572125230226142',14151,'524',39.88,1,3,NULL),(28,7295910,'1991-03-05 00:00:00',4,1,12,2008,'M','N','STELLA MARIS','ANDRADINA','SP','125252251216571431458831575122141726052',1137,'9998',68.94,1,3,NULL),(28,7295928,'1965-06-01 00:00:00',2,1,6,2007,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241126543751423349245124610127042',NULL,'9999',21.51,4,2,1),(28,7295944,'1995-06-05 00:00:00',2,15,12,2011,'F','N','CENTRO','PR GRANDE','SC','124241242117131431548831275125610127147',8404,'690',48.94,1,2,1),(28,7295952,'1994-06-15 00:00:00',4,8,12,2011,'M','N','SAGUAÇU','JOINVILLE','SC','124244241417111432449811291122610112177',11254,'1016',43.84,1,3,NULL),(28,7295979,'1995-01-05 00:00:00',4,23,12,2011,'F','N','CENTRO','CORUPÁ','SC','124242248215121231338823591224610126092',NULL,'1061',30.45,1,3,NULL),(28,7295987,'1989-03-28 00:00:00',4,1,11,2008,'F','N','CENTRO','GAROPABA','SC','124171241147132732113349297215610148147',18646,'322',36.72,4,3,NULL),(28,7295995,'1994-10-26 00:00:00',4,6,12,2011,'M','N','JOÁIA','TIJUCAS','SC','124241241137131431425614175124610128067',14991,'783',45.63,4,2,1),(28,7296002,'1994-04-22 00:00:00',4,3,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241216112441556633475121610127042',523,'1038',73.49,1,3,NULL),(28,7296010,'1994-04-25 00:00:00',4,5,11,2011,'M','N','ELIZA','NOVA VENEZA','SC','124242241215111731468613575122610147052',9412,'213',46.28,1,3,NULL),(28,7296029,'1993-10-05 00:00:00',2,10,12,2011,'F','N','PROGRESSO','LAGUNA','SC','124241241136371331436714575122610164142',NULL,'521',0.00,1,2,1),(28,7296045,'1992-10-16 00:00:00',4,1,12,2010,'M','N','JARDIM ANA MARIA','SOROCABA','SP','125254251217271431456619435122140266047',5418,'9998',54.41,1,3,NULL),(28,7296053,'1978-03-29 00:00:00',2,1,12,1995,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124202201116131721226644445124140834187',18091,'9998',38.63,1,3,NULL),(28,7296061,'1994-06-13 00:00:00',4,1,12,2011,'M','N','PASSA VINTE','PALHOÇA','SC','124242241215121531488833575112610132147',5855,'1011',54.12,1,3,NULL),(28,7296070,'1994-07-16 00:00:00',4,5,12,2011,'F','N','NOSSA S DA SALETE','CRICIÚMA','SC','124241241114371431424319572124610164197',NULL,'1005',23.18,1,2,1),(28,7296088,'1993-01-03 00:00:00',2,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241216472432448712575114610167072',5084,'1074',56.08,1,3,NULL),(28,7296096,'1994-10-11 00:00:00',4,1,12,2011,'M','N','BALNEARIO ESTREITO','FLORIANÓPOLIS','SC','124241241115141431324621215124610168192',16855,'307',33.02,1,2,1),(28,7296118,'1993-04-30 00:00:00',4,17,11,2010,'M','N','TRICOLIN','CANOINHAS','SC','124241241115472741327724285114610162172',5460,'153',54.99,1,2,1),(28,7296126,'1993-08-26 00:00:00',4,1,12,2010,'M','N','MOURA','CANELINHA','SC','124241241122372641425631282223610154122',10174,'913',53.43,1,2,1),(28,7296134,'1985-12-06 00:00:00',4,1,12,2004,'F','N','ANTENA','ANDRADINA','SP','125251255116141421328744445124340664096',NULL,'9998',0.00,1,2,1),(28,7296142,'1988-01-02 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241316114111436631342122221762097',NULL,'1036',27.26,1,3,NULL),(28,7296150,'1982-07-31 00:00:00',2,1,8,2006,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241247227131731226629342114610127067',NULL,'9999',0.00,2,1,2),(28,7296169,'1994-04-04 00:00:00',4,1,11,2011,'F','N','DOM BOSCO','ITAJAÍ','SC','124242241217121431489914472114610137045',7686,'270',50.29,1,3,NULL),(28,7296185,'1992-10-31 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124244243117111431469913442124610127047',16684,'306',31.02,1,3,NULL),(28,7296193,'1988-01-06 00:00:00',4,15,12,2005,'F','N','GOIANIA II','GOIÂNIA','GO','109092091217571751478811595122142542187',3413,'9998',56.86,4,3,NULL),(28,7296207,'1986-08-29 00:00:00',4,8,12,2007,'M','N','SANTO ANTONIO','JOINVILLE','SC','124242241226141711469632245125130214181',19553,'457',32.32,4,3,NULL),(28,7296215,'1994-02-07 00:00:00',4,8,12,2011,'F','N','PQ PACHECO CHAVES','OURINHOS','SP','125252251215111731368813575122610121077',12897,'9998',38.97,1,3,NULL),(28,7296223,'1991-12-23 00:00:00',2,1,12,2009,'M','N','REAL PARQUE','S JOSÉ','SC','124241241116472211635329442334610167047',NULL,'734',26.64,1,2,1),(28,7296231,'1995-08-22 00:00:00',4,10,11,2012,'F','S','VILLAGE','IMBITUBA','SC','124241241415111731324427594224610168147',NULL,'807',36.32,1,3,NULL),(28,7296240,'1992-04-17 00:00:00',4,1,12,2009,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','120241248111131411341619241112610114042',NULL,'29',0.00,1,3,NULL),(28,7296258,'1994-03-31 00:00:00',4,15,12,2011,'F','N','NOVA DIVINEIA','ARARANGUÁ','SC','124241241145111412423631596325610164177',NULL,'30',19.21,1,2,1),(28,7296266,'1988-01-12 00:00:00',2,1,12,2006,'F','N','VENDAVAL','BIGUAÇU','SC','124201241142341511633334242114610123147',19210,'616',34.29,1,3,NULL),(28,7296274,'1991-09-13 00:00:00',2,1,12,2008,'F','N','BELA VISTA I','S JOSÉ','SC','124241241117472751423814485114610117042',NULL,'726',24.26,1,2,1),(28,7296282,'1994-04-01 00:00:00',2,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241115311731325414572124610113025',NULL,'281',24.18,1,2,1),(28,7296290,'1992-02-19 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124241241417133431228644342134610163142',NULL,'1075',23.74,1,3,NULL),(28,7296304,'1991-12-20 00:00:00',4,8,12,2008,'M','N','CENTRO','BARBOSA FERRAZ','PR','116162161216572422378831575122610127067',NULL,'9998',0.00,1,3,NULL),(28,7296312,'1993-03-12 00:00:00',2,25,11,2011,'M','N','BERGER','CAÇADOR','SC','124241241415111431358714575122610117057',NULL,'120',39.79,4,3,NULL),(28,7296320,'1992-12-28 00:00:00',4,4,12,2009,'M','N','SANTA LUZIA','ABELARDO LUZ','SC','124243241231372431448913595122231437043',14639,'836',46.28,1,3,NULL),(28,7296339,'1967-02-21 00:00:00',4,1,11,1984,'F','N','PONTA DE BAIXO','S JOSÉ','SC','524243243317132431426411345124610134187',15467,'293',36.35,1,3,NULL),(28,7296347,'1993-02-15 00:00:00',4,1,12,2010,'F','N','JARDIM SAVEIRO','BIGUAÇU','SC','124243211216472431326321445114610126052',5557,'9998',54.96,1,3,NULL),(28,7296355,'1994-02-02 00:00:00',4,1,12,2011,'M','N','TARUMÃ','CURITIBA','PR','116162161217111751268832375122610166072',NULL,'9998',0.00,1,3,NULL),(28,7296363,'1991-06-16 00:00:00',2,1,11,2009,'F','N','IPIRANGA','S JOSÉ','SC','124243241111371732526419442124610128147',NULL,'734',14.92,2,1,2),(28,7296371,'1993-09-13 00:00:00',2,15,12,2010,'M','N','GLORINHA','STA ROSA SUL','SC','124241241136141431423611315114610127047',19206,'689',34.35,1,3,NULL),(28,7296380,'1994-09-06 00:00:00',2,1,12,2010,'F','N','IBIRAQUERA','IMBITUBA','SC','124241241145372431213911572124610163117',13979,'361',40.31,1,2,1),(28,7296401,'1993-04-11 00:00:00',4,3,10,2011,'M','N','PANAIR','PTO VELHO','RO','122222228417271231259923475112610127017',11713,'9998',44.44,4,3,NULL),(28,7296428,'1993-05-05 00:00:00',2,2,12,2010,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241117141421345624345124610144182',15689,'84',44.32,1,3,NULL),(28,7296436,'1992-11-26 00:00:00',4,1,12,2009,'F','N','LOURDES','ÁGUAS MORNAS','SC','124241241122272731423335582224233227142',16768,'12',32.58,1,2,1),(28,7296444,'1995-07-10 00:00:00',2,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215371451389933475122610162071',NULL,'262',23.43,1,3,NULL),(28,7296460,'1993-06-28 00:00:00',4,8,11,2010,'F','N','CENTRO','AVARÉ','SP','125252251216471431438831575122610122087',NULL,'9998',0.00,1,3,NULL),(28,7296479,'1994-10-28 00:00:00',2,15,12,2011,'M','N','FORQUILHA GRANDE','ARARANGUÁ','SC','124241241115131731625316292124610114055',NULL,'30',28.15,1,3,NULL),(28,7296487,'1994-03-29 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116272431536316572124233211147',5374,'552',56.39,1,2,1),(28,7296495,'1993-03-04 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241215373431268923572124610121072',2158,'270',62.61,1,3,NULL),(28,7296509,'1989-09-15 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215154431479811475122232467061',1759,'270',63.17,1,3,NULL),(28,7296517,'1994-08-11 00:00:00',2,15,12,2011,'F','N','JARDIM ATLANTICO','BAL ARROIO SILVA','SC','124241241137131431436939172124610127057',NULL,'854',23.52,1,3,NULL),(28,7296525,'1993-01-17 00:00:00',4,1,12,2010,'M','N','JARDIM ESTHER','S PAULO','SP','125252251215471431357824575124610127042',4220,'9998',56.80,1,3,NULL),(28,7296533,'1994-12-01 00:00:00',2,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124241241117271751459832295122610124073',NULL,'169',22.84,4,2,1),(28,7296541,'1993-09-17 00:00:00',4,8,12,2010,'M','N','GLÓRIA','JOINVILLE','SC','124242241216153431339832575124221427042',NULL,'461',0.00,1,3,NULL),(28,7296550,'1994-08-28 00:00:00',2,4,12,2011,'M','N','ALVORADA','MODELO','SC','124241241136131432533334345121610167047',NULL,'562',28.02,1,2,1),(28,7296568,'1989-01-10 00:00:00',4,1,12,2006,'M','N','CENTRO','ORLÂNDIA','SP','125252251215513311486611575122130815022',11905,'9998',41.07,1,3,NULL),(28,7296576,'1994-08-05 00:00:00',4,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111531478713575122610121092',5750,'457',55.05,1,3,NULL),(28,7296592,'1986-03-13 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116152421578313445124330238142',NULL,'271',29.11,1,2,1),(28,7296606,'1992-11-12 00:00:00',4,24,12,2010,'F','N','CENTRO','AURORA','SC','124241241116212521446613595122610137142',17521,'40',31.22,1,3,NULL),(28,7296622,'1994-08-21 00:00:00',2,15,11,2011,'M','N','SÃO GABRIEL','FORQUILHINHA','SC','124241241212161411535635255124610117097',18106,'312',38.56,1,3,NULL),(28,7296630,'1993-02-27 00:00:00',4,2,11,2009,'F','N','CENTRO','CURITIBA','PR','116162161216575441568832575124610122172',2353,'9998',62.19,1,3,NULL),(28,7296649,'1993-01-25 00:00:00',2,1,12,2010,'F','N','PORTO','CUIABÁ','MT','111111111117471711426611171124610166077',NULL,'9998',29.27,1,2,1),(28,7296681,'1993-03-30 00:00:00',2,1,11,2010,'F','N','CENTRO','S JOSÉ CAMPOS','SP','125251251117571431428427582324610123142',9890,'9998',45.50,1,2,1),(28,7296690,'1993-09-12 00:00:00',4,1,11,2010,'M','N','CENTRO','STO ANTÔNIO POSSE','SP','125252251215471431468914594124610117187',6324,'9998',51.81,1,3,NULL),(28,7296703,'1993-02-16 00:00:00',2,8,12,2010,'M','N','BOQUEIRÃO','CURITIBA','PR','116172161417471441466632575124610167042',4263,'9998',57.42,1,3,NULL),(28,7296720,'1993-08-25 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124204201216372411336832575124133265142',15913,'9998',43.86,1,3,NULL),(28,7296738,'1987-02-23 00:00:00',2,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124161161116131441223623397121341666012',NULL,'9998',18.25,1,3,NULL),(28,7296746,'1995-08-09 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241416111111436631575122610162097',19587,'1077',32.13,1,3,NULL),(28,7296754,'1994-04-02 00:00:00',2,4,12,2011,'F','N','CENTRO','PINHALZINHO','SC','124241241115371431358627575122610148197',NULL,'616',17.24,4,2,1),(28,7296762,'1994-07-04 00:00:00',4,1,12,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241315471431368814275114610124042',7291,'270',52.15,1,3,NULL),(28,7296789,'1994-05-26 00:00:00',4,6,12,2011,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124244241415111132458814475121610144042',2592,'1026',63.02,1,3,NULL),(28,7296797,'1994-04-20 00:00:00',2,1,12,2011,'F','N','CENTRO','TIJUCAS','SC','124242241215131431536812345122610136197',8621,'948',46.87,1,3,NULL),(28,7296800,'1994-04-22 00:00:00',4,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124241241225131431224324472124610113142',3640,'262',61.46,1,3,NULL),(28,7296819,'1993-01-14 00:00:00',4,9,12,2010,'F','N','POÇO RICO','OTACÍLIO COSTA','SC','124241241113131331438915551122613245017',19889,'583',29.45,1,2,1),(28,7296827,'1988-02-05 00:00:00',4,1,11,2004,'F','N','CASA PRETA','JI-PARANÁ','RO','122222221216151431348911295122441046022',13029,'9998',48.94,3,3,NULL),(28,7296835,'1993-12-25 00:00:00',2,7,12,2010,'M','N','INTERIOR','ÁGUA DOCE','SC','124241241125131431436615152324610147042',NULL,'9',26.34,1,2,1),(28,7296851,'1994-04-20 00:00:00',4,6,12,2011,'M','N','CENTRO','ITAJAÍ','SC','124242241215371231348869575122610122042',3470,'1057',58.87,1,3,NULL),(28,7296860,'1994-01-21 00:00:00',4,3,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241116371431428514575124610137047',NULL,'51',34.25,1,2,1),(28,7296878,'1993-01-31 00:00:00',2,1,11,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241147141431436621241124610127062',NULL,'283',28.84,1,2,1),(28,7296886,'1995-03-23 00:00:00',2,1,12,2012,'M','S','XV DE NOVEMBRO','TIJUCAS','SC','124241241117151711445619275121610167041',NULL,'783',20.12,1,3,NULL),(28,7296894,'1994-07-06 00:00:00',2,1,12,2011,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241116371731526631175124610138097',12398,'1248',43.88,1,2,1),(28,7296916,'1995-01-17 00:00:00',4,8,9,2011,'F','N','ARISTOCRATA','S JOSÉ PINHAIS','PR','116162168217471431359633595122610124142',9096,'9998',47.31,1,3,NULL),(28,7296924,'1994-01-04 00:00:00',4,27,12,2011,'M','N','SANTA TERESA','ITAPIRANGA','SC','124241241415131431433614272321610167057',12473,'1060',40.77,1,3,NULL),(28,7296932,'1990-02-17 00:00:00',2,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241127131431425321216231610167107',NULL,'282',18.33,3,2,1),(28,7296940,'1994-02-18 00:00:00',4,8,12,2011,'F','N','ALPHAVILLE','LONDRINA','PR','116162161217111731588816475122610144182',11904,'9998',42.39,1,3,NULL),(28,7296967,'1994-09-19 00:00:00',4,1,12,2011,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241225131431426621576224610147172',4452,'262',57.33,1,3,NULL),(28,7296975,'1994-06-15 00:00:00',4,4,12,2011,'M','N','PARZIANELLO','PATO BRANCO','PR','116162161216271431466931575112610164142',NULL,'9998',0.00,1,3,NULL),(28,7296983,'1992-10-27 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241241436472431266913575112610167142',8154,'737',50.82,1,3,NULL),(28,7296991,'1993-01-20 00:00:00',2,4,12,2009,'M','N','RUI BARBOSA','CEL FREITAS','SC','124241241116143431334336245123610137047',19899,'199',29.37,1,2,1),(28,7297009,'1993-03-24 00:00:00',4,8,12,2010,'F','N','ATIRADORES','JOINVILLE','SC','124162161216472211658819575122610166177',NULL,'9998',39.23,1,3,NULL),(28,7297017,'1994-10-03 00:00:00',2,10,12,2011,'M','N','MONTE CASTELO','TUBARÃO','SC','124241241117371531534319585122610122147',15164,'1034',39.88,1,3,NULL),(28,7297025,'1994-08-11 00:00:00',4,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215112531459933375122610137042',4521,'723',55.80,1,3,NULL),(28,7297033,'1994-11-09 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469913472112610134147',8878,'270',51.55,1,3,NULL),(28,7297041,'1994-06-27 00:00:00',2,3,12,2010,'F','N','TABULEIRO','CAMBORIÚ','SC','124241241147151731436923575114610123077',NULL,'1044',0.00,1,2,1),(28,7297068,'1994-10-26 00:00:00',2,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115141131514624245124610124045',NULL,'257',21.69,4,2,1),(28,7297076,'1990-08-11 00:00:00',4,8,12,2007,'F','N','ATIRADORES','JOINVILLE','SC','124162161211572211658919576123143165167',1379,'9998',67.45,1,3,NULL),(28,7297084,'1991-07-04 00:00:00',2,1,12,2008,'M','N','CENTRO','CÂNDIDO MOTA','SP','125252251216571431533832572112610141092',10705,'9998',43.60,1,3,NULL),(28,7297092,'1993-11-01 00:00:00',2,1,12,2011,'F','N','BELA VISTA','CASCA','RS','120201201317271411224919395125610124042',NULL,'9998',26.01,4,3,NULL),(28,7297106,'1994-10-29 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117371451556629595124610164182',1321,'257',68.00,1,2,1),(28,7297114,'1991-05-23 00:00:00',2,1,12,2008,'M','N','BOSQUE DAS MANSÕES','S JOSÉ','SC','124242241217272431347831215122231434051',12920,'988',49.11,1,3,NULL),(28,7297122,'1982-12-25 00:00:00',4,16,12,2000,'M','N','CENTRO','CURITIBANOS','SC','124241241112153751359629335124340626182',5913,'239',60.73,1,2,1),(28,7297130,'1991-10-26 00:00:00',2,1,12,2009,'M','N','PONTE IMARUIM','PALHOÇA','SC','124241248124141631123344445224610127042',NULL,'607',15.39,1,2,1),(28,7297149,'1992-11-18 00:00:00',4,1,12,2010,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241216472731356668575124610167062',17718,'259',30.01,1,3,NULL),(28,7297157,'1995-02-20 00:00:00',4,2,12,2012,'F','S','CENTRO','BLUMENAU','SC','124242241215111731488834575122613238192',NULL,'909',48.76,1,3,NULL),(28,7297165,'1994-04-06 00:00:00',2,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215122431436812575122610167042',2069,'270',64.69,1,3,NULL),(28,7297181,'1987-11-06 00:00:00',2,5,6,2009,'F','N','PRESIDENTE VARGAS','IÇARA','SC','124243248422131431224374282224610114187',19944,'9999',28.83,1,3,NULL),(28,7297190,'1993-04-13 00:00:00',4,4,12,2010,'M','N','SANTA TEREZA BAIXA','ITAPIRANGA','SC','124241241115131331326414575115610166042',NULL,'412',14.31,1,2,1),(28,7297203,'1984-11-09 00:00:00',4,1,12,2003,'M','N','PAROLIN','CURITIBA','PR','116162161216571451348811382122341567067',2282,'9998',68.69,1,3,NULL),(28,7297211,'1995-02-01 00:00:00',2,26,12,2011,'F','N','CACHIMBO','CONCÓRDIA','SC','124241241114371531645435575124610137057',13040,'858',39.40,1,2,1),(28,7297220,'1993-04-08 00:00:00',4,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215473431389833575112610123141',4390,'270',56.08,1,3,NULL),(28,7297238,'1991-09-26 00:00:00',2,4,12,2009,'M','N','CENTRO','S LOURENÇO OESTE','SC','124282241147271431468811415112610137042',14234,'744',47.05,1,3,NULL),(28,7297246,'1994-08-26 00:00:00',2,26,12,2011,'F','N','CACHIMBO','CONCÓRDIA','SC','124241241114371531534436575124610137057',NULL,'858',19.39,1,2,1),(28,7297254,'1994-05-13 00:00:00',4,10,12,2011,'M','N','HUMAITA DE CIMA','TUBARÃO','SC','124241241146141421434614345123610147047',NULL,'798',30.15,1,2,1),(28,7297262,'1992-08-06 00:00:00',4,8,12,2009,'M','N','CHAC SANTO ANTONIO','S PAULO','SP','125252251215571412466831571124610122197',NULL,'9998',0.00,1,3,NULL),(28,7297270,'1993-09-19 00:00:00',4,1,12,2010,'M','N','SAO SEBASTIAO','PALHOÇA','SC','124244241346141431234541215123610164147',15325,'591',44.98,1,3,NULL),(28,7297289,'1992-07-08 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241417375711268814575114221962146',2396,'270',68.57,1,3,NULL),(28,7297297,'1994-10-04 00:00:00',4,7,11,2011,'F','N','CENTRO','JOAÇABA','SC','124244241215271741356639595122610147077',9335,'446',54.82,1,3,NULL),(28,7297300,'1995-05-01 00:00:00',4,10,12,2012,'M','S','DEHON','TUBARÃO','SC','124241241215111431543429575122610136197',NULL,'806',56.38,1,3,NULL),(28,7297319,'1992-06-12 00:00:00',4,3,12,2009,'F','N','SANTA TEREZA','JOAÇABA','SC','124242241216272431366812272122131448142',NULL,'446',22.18,1,3,NULL),(28,7297335,'1994-09-16 00:00:00',2,16,12,2011,'F','N','APARECIDA','CURITIBANOS','SC','124241241115371731536619395122610124145',NULL,'239',31.17,1,2,1),(28,7297343,'1994-04-09 00:00:00',2,1,12,2011,'F','N','CENTRO DE SÃO JOSÉ','S JOSÉ','SC','124241241112131431536714295124610115147',11420,'728',48.05,1,2,1),(28,7297351,'1991-09-17 00:00:00',2,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241116372431436623485124133222187',13109,'733',42.24,1,2,1),(28,7297360,'1995-07-26 00:00:00',4,1,12,2012,'F','S','CENTRO','PALHOÇA','SC','124242248217121731337632395122610124042',NULL,'270',25.01,1,3,NULL),(28,7297378,'1993-02-10 00:00:00',2,4,12,2010,'F','N','SANTA TEREZINHA','PATO BRANCO','PR','116161166116471431546912575114140668182',8188,'9998',49.26,1,2,1),(28,7297386,'1993-10-18 00:00:00',2,1,12,2010,'M','N','FUNDOS','BIGUAÇU','SC','124244241217472431228623342121610132142',1021,'738',70.38,1,3,NULL),(28,7297394,'1972-08-23 00:00:00',4,1,11,1989,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224242241216152421323654432122332726147',NULL,'272',22.83,1,3,NULL),(28,7297408,'1994-09-03 00:00:00',4,10,11,2011,'M','N','SÃO BERNARDO','TUBARÃO','SC','124241241215111431446332575122610138042',7571,'1120',48.40,1,3,NULL),(28,7297416,'1995-06-10 00:00:00',4,8,12,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215111431459913574122610131072',18404,'457',37.62,1,3,NULL),(28,7297424,'1992-07-21 00:00:00',2,4,12,2010,'M','N','CENTRO','MANGUEIRINHA','PR','116161168116141431336939195122610122057',NULL,'9998',0.00,1,3,NULL),(28,7297432,'1993-11-11 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124251241116131311434319195124610132097',NULL,'276',14.84,1,2,1),(28,7297467,'1986-05-24 00:00:00',4,1,12,2004,'F','N','CENTRO','CURITIBA','PR','128282281217271741466619295122141322092',NULL,'9998',0.00,2,1,2),(28,7297475,'1978-06-04 00:00:00',2,1,6,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243247227135131556413442124610167187',15297,'270',45.04,1,3,NULL),(28,7297483,'1994-02-21 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124244241215111431335631572122610136192',NULL,'738',32.67,1,3,NULL),(28,7297491,'1994-04-09 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241117371531325724245124610123147',18302,'733',31.14,1,2,1),(28,7297505,'1994-05-10 00:00:00',4,8,10,2011,'F','N','SANTO ANTÔNIO','JOINVILLE','SC','124241241235111311568614375122610126092',13447,'931',39.36,1,3,NULL),(28,7297513,'1993-06-12 00:00:00',4,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','116162161217472431346914575124610131092',10195,'9998',49.09,1,3,NULL),(28,7297521,'1993-04-14 00:00:00',2,1,1,2012,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117251432556313385124610125185',14691,'307',40.76,4,2,1),(28,7297530,'1987-02-15 00:00:00',2,1,12,2005,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241116373421237644445114130227047',18900,'257',35.68,1,2,1),(28,7297548,'1994-09-16 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431448813331124610122142',7877,'270',50.56,1,3,NULL),(28,7297556,'1994-06-08 00:00:00',4,8,12,2011,'M','N','ITINGA','JOINVILLE','SC','124243248217151431438814472124610127041',14227,'1006',36.99,1,3,NULL),(28,7297580,'1962-01-14 00:00:00',2,3,12,1987,'F','N','TABULEIRO','CAMBORIÚ','SC','624131135146131731433343335124333222197',NULL,'9998',0.00,2,1,1),(28,7297599,'1992-09-23 00:00:00',4,1,12,2009,'F','N','JARDIM AMÉRICA','RIO SUL','SC','124242241215574431559911375124133234072',1294,'991',68.95,4,3,NULL),(28,7297602,'1984-04-10 00:00:00',2,1,6,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','624241247121153411321144141341123216142',NULL,'9999',0.00,1,2,1),(28,7297610,'1992-04-18 00:00:00',2,1,11,2009,'F','N','TRINTA E UM DE MARÇO','S JOSÉ CAMPOS','SP','125253251116571431326614572114610121197',8614,'9998',47.38,4,3,NULL),(28,7297629,'1993-11-06 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431358729575124610124072',2039,'262',63.26,1,3,NULL),(28,7297637,'1985-03-08 00:00:00',4,1,12,2002,'M','N','JARDIM CIDADE FPOLIS','S JOSÉ','SC','124242241214472742447617472114221432092',2464,'723',62.03,1,3,NULL),(28,7297645,'1994-12-27 00:00:00',2,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241137371731523371345124610133187',14340,'727',37.40,4,2,1),(28,7297661,'1994-06-24 00:00:00',4,8,12,2011,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241215131431436623572124610133147',11414,'861',42.92,1,3,NULL),(28,7297670,'1993-08-31 00:00:00',2,17,12,2010,'F','N','RODEIO GRANDE','MTE CASTELO','SC','124241241112131111326316352212610168142',NULL,'566',0.00,1,2,1),(28,7297688,'1992-10-15 00:00:00',3,1,6,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124284281415311431458811575122610161192',6895,'9998',59.02,1,3,NULL),(28,7297696,'1993-03-23 00:00:00',2,1,12,2010,'F','N','LANGUIRU','TEUTÔNIA','RS','120202201217411431537929395122613244142',5255,'9998',54.15,4,3,NULL),(28,7297700,'1994-12-08 00:00:00',2,1,1,2012,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117371731335614276124610164097',NULL,'307',32.78,1,2,1),(28,7297718,'1993-07-24 00:00:00',4,1,12,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431448614582114610124147',14091,'1022',37.52,1,3,NULL),(28,7297726,'1984-02-08 00:00:00',4,1,12,2002,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124203207316131711446617395122133262187',19767,'9998',30.53,1,3,NULL),(28,7297734,'1992-09-10 00:00:00',4,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215573431376923575124232824142',4616,'270',56.94,1,3,NULL),(28,7297742,'1995-05-05 00:00:00',4,1,12,2011,'F','N','PAES LEME','IMBITUBA','SC','124243241217111711332319575122610134095',15168,'362',45.28,1,3,NULL),(28,7297750,'1989-07-11 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224242241217375711235844245234610143182',4681,'270',55.21,1,3,NULL),(28,7297769,'1990-04-06 00:00:00',4,1,12,2007,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','123241241127272421421314242134610122015',16639,'281',32.49,4,2,1),(28,7297777,'1991-08-01 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215574431469934574124610167042',401,'1174',74.20,1,3,NULL),(28,7297785,'1995-11-28 00:00:00',4,10,11,2011,'M','N','VILA ALVORADA','IMBITUBA','SC','124243248215161751446619575122610122143',19977,'362',28.49,4,3,NULL),(28,7297793,'1994-12-14 00:00:00',4,5,12,2011,'F','N','RIO MAINA','CRICIÚMA','SC','124242246215111511439632582124610122142',17046,'995',41.42,1,3,NULL),(28,7297807,'1994-03-27 00:00:00',4,3,11,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241215272431448714274122610126142',5007,'403',55.48,1,3,NULL),(28,7297823,'1992-09-28 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431468933575112223234072',1562,'262',67.62,1,3,NULL),(28,7297831,'1992-12-28 00:00:00',2,1,12,2011,'M','N','FORQUILHAS','S JOSÉ','SC','124242247226131431457913395114610161197',NULL,'1096',14.17,1,3,NULL),(28,7297858,'1994-03-13 00:00:00',4,8,12,2011,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241142371431423839272224610123077',NULL,'484',24.99,2,1,1),(28,7297866,'1995-09-27 00:00:00',4,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431458813575122610127185',NULL,'951',23.78,1,3,NULL),(28,7297874,'1993-01-12 00:00:00',2,1,12,2010,'F','N','PROGRESSO','S LOURENÇO OESTE','SC','124241241137371721424321382325610114142',NULL,'744',23.33,1,2,1),(28,7297882,'1994-01-11 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431489813575122610127042',3043,'270',62.84,1,3,NULL),(28,7297890,'1992-05-07 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241411373731338914595124231064052',19613,'1048',31.91,1,3,NULL),(28,7297904,'1994-08-05 00:00:00',4,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215271751346623575112610114052',5895,'272',54.82,1,3,NULL),(28,7297920,'1994-06-12 00:00:00',2,2,12,2011,'F','N','QUINTINO','TIMBÓ','SC','124241241215111431578414575112610162192',19522,'1157',32.55,1,3,NULL),(28,7297939,'1979-02-12 00:00:00',4,1,12,1997,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','224202201216372441457842425122331447115',NULL,'9998',0.00,4,3,NULL),(28,7297947,'1994-03-13 00:00:00',4,8,12,2011,'F','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241142371431423839572224610127077',NULL,'484',25.56,2,1,1),(28,7297955,'1994-06-02 00:00:00',4,10,12,2011,'F','N','OLARIA','ARMAZÉM','SC','124241241125141431434614345124610136142',NULL,'9997',17.36,1,3,NULL),(28,7297971,'1990-04-30 00:00:00',4,1,12,2007,'F','N','CENTRO','DIVINOLÂNDIA','SP','125254251435571431357822571122141323142',6759,'9998',50.91,1,3,NULL),(28,7297980,'1996-02-29 00:00:00',2,15,12,2011,'M','N','SÃO FELIPE','TURVO','SC','124242241216111431544615572121610137047',NULL,'813',27.30,1,3,NULL),(28,7297998,'1994-09-13 00:00:00',2,1,12,2011,'F','N','CENTRO','TEFÉ','AM','104242041417161431435819372222610164017',NULL,'9998',30.58,4,3,NULL),(28,7298005,'1988-06-21 00:00:00',4,1,12,2005,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124201201136132711138741392232140217045',3707,'9998',62.13,1,2,1),(28,7298013,'1994-09-09 00:00:00',4,4,12,2010,'F','N','PROGRESSO','S LOURENÇO OESTE','SC','124241241116471231438613585122610117142',16070,'744',33.50,1,2,1),(28,7298021,'1993-07-27 00:00:00',2,1,11,2010,'F','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124243241116162411434614342124232536147',NULL,'65',16.32,1,3,NULL),(28,7298048,'1993-03-18 00:00:00',2,10,12,2010,'M','N','VILA ALVORADA','IMBITUBA','SC','124241241336112411425514585124610165141',11170,'362',44.34,1,3,NULL),(28,7298056,'1994-11-11 00:00:00',2,1,12,2011,'M','N','MENINO DEUS','STO ANTÔNIO PATRULHA','RS','120202201216371431327511312122610124116',NULL,'9998',NULL,1,3,NULL),(28,7298072,'1993-10-29 00:00:00',4,1,12,2011,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124244241215111432437712575114610134182',13865,'951',47.63,1,3,NULL),(28,7298099,'1995-08-05 00:00:00',2,4,12,2011,'M','N','SANTA CATARINA','S LOURENÇO OESTE','SC','124241241135371431434923575122610167057',14932,'744',36.67,1,2,1),(28,7298110,'1985-05-22 00:00:00',4,1,12,2007,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241247322131721625524242344610117027',NULL,'9999',29.74,1,3,NULL),(28,7298129,'1990-09-28 00:00:00',4,1,12,2008,'F','N','JARDIM MAGNÓLIA','MTE STO MINAS','MG','113132251215571751648616575125510137187',960,'9998',68.78,1,3,NULL),(28,7298137,'1995-01-10 00:00:00',4,1,12,2011,'M','N','AREIAS','TIJUCAS','SC','124242241215111431228728175121610124182',7391,'1119',51.52,1,3,NULL),(28,7298145,'1991-05-27 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241137574721323314285124233223143',10700,'307',43.12,1,2,1),(28,7298153,'1994-04-23 00:00:00',4,1,12,2011,'M','N','MEDITERRANEO','LONDRINA','PR','116162161216111431558733575112610137113',7302,'9998',50.50,4,3,NULL),(28,7298161,'1991-07-22 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241212374431466632575122221417072',6680,'738',56.63,1,3,NULL),(28,7298170,'1989-08-02 00:00:00',2,16,12,2007,'F','N','APARECIDA','CURITIBANOS','SC','124241247127271631123144245325610114197',NULL,'9999',12.96,1,2,1),(28,7298188,'1988-09-21 00:00:00',4,1,12,2005,'M','N','VILA INDEPENDENCIA','LIMEIRA','SP','125251251217574751426824572112610134117',654,'9998',71.15,1,3,NULL),(28,7298196,'1994-05-26 00:00:00',4,15,1,2012,'M','N','LAGOÃO','ARARANGUÁ','SC','124241241115151432634324245121610127057',19828,'30',30.05,1,2,1),(28,7298218,'1993-04-28 00:00:00',4,6,12,2010,'M','N','ALTO SÃO BENTO','ITAPEMA','SC','124121241112132431546611575122610148187',3597,'327',65.36,1,2,1),(28,7298226,'1994-05-17 00:00:00',2,1,12,2010,'M','N','CENTRO','RIBAS R PARDO','MS','112124121415471751469831495112610167042',11008,'9998',52.12,1,3,NULL),(28,7298234,'1992-05-07 00:00:00',2,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241116573421338631375125610167042',15265,'49',36.11,1,2,1),(28,7298242,'1986-04-06 00:00:00',2,1,11,2011,'F','N','ALTO ARÍRIU','PALHOÇA','SC','224241247111162431523351572124610124147',NULL,'9999',0.00,1,2,1),(28,7298250,'1991-08-29 00:00:00',2,1,11,2009,'F','N','VILA ELVIRA','S JOSÉ R PRETO','SP','125252251215472731448611575125610121097',NULL,'9998',0.00,1,3,NULL),(28,7298269,'1994-03-09 00:00:00',4,15,12,2011,'F','N','MEDIANEIRA','CAXIAS SUL','RS','120201201111471411558612575122610136192',10200,'9998',43.87,1,2,1),(28,7298285,'1995-05-27 00:00:00',4,8,11,2012,'M','S','FLORESTA','JOINVILLE','SC','124242241215111631439833595112610166072',NULL,'1063',66.33,1,3,NULL),(28,7298293,'1993-06-27 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115471732623329292224610137117',13592,'307',41.80,2,1,1),(28,7298307,'1994-01-18 00:00:00',2,1,12,2011,'F','N','JARDIM CIDAD','S JOSÉ','SC','124242241215113431466813572122610124052',12303,'738',42.16,1,3,NULL),(28,7298315,'1993-09-26 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117371421314321572214610113197',18169,'278',31.22,1,2,1),(28,7298323,'1993-06-01 00:00:00',4,1,11,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241211474741149913595114613262067',1826,'807',65.55,4,3,NULL),(28,7298331,'1992-06-15 00:00:00',2,10,12,2011,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124241241116271431656419575124611528097',15790,'359',37.72,1,2,1),(28,7298340,'1994-12-16 00:00:00',4,27,12,2011,'F','N','MORADA DO SOL','MARAVILHA','SC','124241241136141431226744241123610126192',18756,'552',36.28,1,2,1),(28,7298358,'1995-04-24 00:00:00',2,15,12,2011,'M','N','PARAGUAI','JACINTO MACHADO','SC','124241241137141332424611345122610127152',NULL,'420',19.91,1,2,1),(28,7298366,'1994-10-18 00:00:00',4,2,12,2011,'M','N','CENTRO','POMERODE','SC','124241241215111231426613375122610122057',NULL,'624',24.19,1,3,NULL),(28,7298374,'1994-04-16 00:00:00',4,6,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111211366617375122610148047',NULL,'9997',34.57,1,3,NULL),(28,7298382,'1991-09-02 00:00:00',2,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126371711636313485124610117042',16111,'290',37.24,4,2,1),(28,7298390,'1981-08-06 00:00:00',2,1,12,2001,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','224201201116141421326944345123130228022',16188,'9998',33.03,1,2,1),(28,7298404,'1994-03-21 00:00:00',4,2,12,2011,'F','N','FORTALEZA','BLUMENAU','SC','124242241215111431247923285124610165142',12298,'87',50.08,2,3,NULL),(28,7298412,'1993-12-07 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411348912575112610142122',3273,'270',60.73,1,3,NULL),(28,7298420,'1959-01-24 00:00:00',2,1,12,1978,'F','N','KOBRASOL','S JOSÉ','SC','224131135122151711263654415132140221187',NULL,'9998',25.68,1,3,NULL),(28,7298439,'1993-08-19 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241117472432216421575124610132057',13130,'278',48.80,1,2,1),(28,7298447,'1994-09-23 00:00:00',4,1,12,2011,'M','N','RECREIO DOS CAFEZAIS','VALINHOS','SP','125254251217111431468812574122610122192',893,'9998',74.62,1,3,NULL),(28,7298455,'1981-02-25 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243247346132431522244145234610113147',NULL,'9999',28.57,1,3,NULL),(28,7298463,'1995-10-04 00:00:00',4,2,12,2012,'F','S','VELHA','BLUMENAU','SC','124242241215111431468812572112610135092',NULL,'909',48.68,1,3,NULL),(28,7298471,'1986-02-05 00:00:00',2,15,12,2007,'M','N','MATO ALTO','ARARANGUÁ','SC','124241247126171432536619242213610137187',NULL,'9999',20.53,4,2,1),(28,7298480,'1994-10-24 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241216151431338622175122610162182',6613,'723',53.05,1,3,NULL),(28,7298498,'1995-03-01 00:00:00',4,1,11,2011,'F','N','CENTRO','LUÍS E MAGALHÃES','BA','105054051216111411579931275122610162197',NULL,'9998',0.00,4,3,NULL),(28,7298501,'1983-12-02 00:00:00',2,1,12,2001,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','624161161126142431244444245122143222097',NULL,'9998',30.63,2,1,1),(28,7298510,'1978-03-22 00:00:00',4,1,1,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124251251126371732223344245124610117097',19322,'9998',33.77,1,2,1),(28,7298536,'1986-03-08 00:00:00',2,1,12,2004,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124201241141371421434434245124610127082',11769,'295',50.90,4,2,1),(28,7298544,'1993-03-20 00:00:00',1,8,12,2010,'F','N','CENTRO','S BENTO SUL','SC','124242241216472431469811275124610134017',NULL,'1178',0.00,1,3,NULL),(28,7298552,'1992-10-01 00:00:00',2,1,12,2009,'F','N','SÃO JOAQUIM','VINHEDO','SP','125252251217571731468811575112610167047',NULL,'9998',33.28,1,3,NULL),(28,7298579,'1980-09-19 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242246237155532128843435114321724175',12758,'230',49.35,1,3,NULL),(28,7298595,'1994-01-03 00:00:00',4,24,10,2011,'M','N','CANTA GALO','RIO SUL','SC','124242241215111431433612575122610117012',14702,'991',38.14,1,3,NULL),(28,7298617,'1994-01-23 00:00:00',2,1,12,2011,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241122151411326624295124610136057',19811,'291',30.20,1,2,1),(28,7298625,'1973-08-22 00:00:00',4,1,12,1994,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244247647133421621641111334610141047',16600,'9999',42.42,1,3,NULL),(28,7298633,'1993-05-14 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241215472232337729575115610124044',17275,'1022',40.83,1,3,NULL),(28,7298641,'1984-07-08 00:00:00',4,1,1,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242248637271431119813415112131062182',NULL,'9999',0.00,1,3,NULL),(28,7298650,'1995-05-26 00:00:00',4,22,12,2011,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241213111431479911575112610124142',14854,'109',45.89,1,3,NULL),(28,7298668,'1976-11-30 00:00:00',2,1,12,1998,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241248132251721113344442314610128143',NULL,'221',37.27,1,2,1),(28,7298692,'1994-01-11 00:00:00',2,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241415222451223329572324610135145',11106,'299',43.75,1,3,NULL),(28,7298706,'1995-07-22 00:00:00',4,1,11,2012,'F','S','CENTRO','CRICIÚMA','SC','124242241217111431226624575122610138112',NULL,'226',29.89,1,3,NULL),(28,7298714,'1994-10-07 00:00:00',4,3,12,2011,'F','N','SAUDE','S PAULO','SP','125252251216151431663812585115610161012',NULL,'9998',0.00,1,3,NULL),(28,7298722,'1993-05-31 00:00:00',2,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201241135141731226924245124610163147',NULL,'298',29.38,4,2,1),(28,7298730,'1990-02-15 00:00:00',2,8,12,2007,'M','N','CENTRO','S MIGUEL IGUAÇU','PR','116162161235573431658519572115141437052',1944,'9998',63.72,1,3,NULL),(28,7298749,'1992-04-09 00:00:00',4,2,12,2011,'M','N','SÃO PEDRO','PTO UNIÃO','SC','124163247427131431449813485124610167182',NULL,'9999',5.63,1,3,NULL),(28,7298757,'1994-03-10 00:00:00',4,1,12,2011,'M','N','CENTRO','CPO GRANDE','MS','112123121117471411568831571112610137122',99,'9998',79.71,3,3,NULL),(28,7298765,'1994-12-20 00:00:00',2,8,12,2011,'F','N','BATEL','CURITIBA','PR','116162161216111431349624595122610118192',NULL,'9998',0.00,1,3,NULL),(28,7298781,'1991-09-01 00:00:00',2,1,12,2011,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124252247332131411226728381124610164092',19040,'9999',35.14,1,3,NULL),(28,7298790,'1995-02-09 00:00:00',2,1,11,2011,'F','N','CENTRO','S JOSÉ','SC','124242241217111731436812575124610114142',16062,'1077',33.23,1,3,NULL),(28,7298811,'1993-09-08 00:00:00',2,1,10,2010,'F','N','BARREIROS','S JOSÉ','SC','124232241216113131226619295124610167187',NULL,'738',36.48,1,3,NULL),(28,7298820,'1994-08-07 00:00:00',4,4,12,2011,'F','N','PERPÉTUO SOCORRO','S LOURENÇO OESTE','SC','124241241116371431428319375122610136147',5695,'744',54.26,1,2,1),(28,7298846,'1994-08-29 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241225111732445731575124610167062',5829,'262',55.96,1,3,NULL),(28,7298854,'1994-05-12 00:00:00',4,1,12,2011,'M','N','MIRAGEM','LAURO FREITAS','BA','105052051216111431378834475122610114122',NULL,'9998',0.00,1,3,NULL),(28,7298862,'1994-11-19 00:00:00',4,1,11,2011,'M','N','PARQUE AQUARIUS','S JOSÉ CAMPOS','SP','125252251215111431479814575122610127042',4847,'9998',56.97,1,3,NULL),(28,7298889,'1992-01-26 00:00:00',2,15,12,2008,'F','N','VILA ALBINA','STA ROSA SUL','SC','124241241137131431433131342133132323182',18841,'689',35.91,1,2,1),(28,7298900,'1992-05-20 00:00:00',2,1,11,2010,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','124242241215372431428834345114610117042',11221,'1048',44.03,1,3,NULL),(28,7298919,'1993-03-24 00:00:00',2,5,6,2011,'M','N','RIO MAINA','CRICIÚMA','SC','124241246215131431533319292125610167092',NULL,'995',0.00,1,3,NULL),(28,7298927,'1984-12-19 00:00:00',4,1,12,2002,'M','N','VILANOVA','MAFRA','SC','124241241116373431423344445324610134172',NULL,'545',33.60,1,2,1),(28,7298935,'1992-11-30 00:00:00',4,9,12,2011,'F','N','PEREIRA ALVES','CORREIA PINTO','SC','124243241117131331323411575122610166141',NULL,'201',23.65,1,3,NULL),(28,7298943,'1994-06-29 00:00:00',2,1,12,2011,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111251369933375112510164192',NULL,'951',0.00,1,3,NULL),(28,7298951,'1995-06-23 00:00:00',4,7,12,2012,'M','S','CENTRO','HERVAL D OESTE','SC','124242247215151751469933395112613267052',NULL,'446',39.89,1,3,NULL),(28,7298960,'1993-12-20 00:00:00',4,1,12,2011,'F','N','INDUSTRIAL','NÃO-ME-TOQUE','RS','120201201111131431323314342225610162197',NULL,'9998',28.11,2,1,1),(28,7298978,'1994-03-23 00:00:00',4,1,10,2011,'M','N','JACARECICA','MACEIÓ','AL','102022021217151531576912315122610122182',NULL,'9998',30.34,1,3,NULL),(28,7298986,'1991-12-15 00:00:00',4,1,12,2009,'M','N','JARDIM NOVO MUNDO','GOIÂNIA','GO','109092091215571731536723575122610132017',1280,'9998',66.70,1,3,NULL),(28,7298994,'1986-01-11 00:00:00',4,1,12,2002,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124162161316372221127923445114321266117',9040,'9998',55.36,1,3,NULL),(28,7299001,'1992-07-14 00:00:00',2,3,12,2009,'F','N','HAUER','CURITIBA','PR','116161161117471411326419595124610126042',4437,'9998',58.05,1,2,1),(28,7299010,'1993-04-07 00:00:00',2,5,11,2010,'M','N','LOMBA','ORLEANS','SC','124241241215472431435533574124610128192',6972,'226',52.43,1,3,NULL),(28,7299036,'1978-11-26 00:00:00',2,1,12,2004,'F','N','PINGUIRITO','GAROPABA','SC','624241247126474431312251115211610116147',17724,'9999',34.31,1,2,1),(28,7299044,'1989-12-26 00:00:00',4,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124242241216154751458619445124610148173',12331,'737',50.04,1,3,NULL),(28,7299052,'1993-08-10 00:00:00',4,2,11,2010,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242248216462731549614495125611532172',16139,'71',43.44,1,3,NULL),(28,7299060,'1994-12-23 00:00:00',4,5,7,2013,'M','S','RIO FIORITA','SIDERÓPOLIS','SC','124242241214151731236523575114610156077',NULL,'995',41.28,1,3,NULL),(28,7299087,'1994-08-24 00:00:00',4,1,11,2011,'M','N','STO ANT DE LISBOA','FLORIANÓPOLIS','SC','124242241215111431458832575122610127142',846,'270',68.96,1,3,NULL),(28,7299095,'1994-02-26 00:00:00',4,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124241241115111431323363575124610133147',NULL,'734',16.46,1,3,NULL),(28,7299117,'1994-10-08 00:00:00',4,8,12,2011,'M','N','ATIRADORES','JOINVILLE','SC','124242241211111431569812575112610167043',7239,'457',52.93,1,3,NULL),(28,7299125,'1988-03-11 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201205116132711456813395124232736097',15141,'9998',45.33,1,2,1),(28,7299133,'1991-06-26 00:00:00',4,17,12,2008,'F','N','CENTRO','CANOINHAS','SC','124241241116131331349923445125133126197',NULL,'146',32.15,1,2,1),(28,7299141,'1994-02-26 00:00:00',4,1,12,2011,'F','N','VILA NOVA','MAFRA','SC','124241241116371431423374572324610134012',NULL,'545',27.28,1,2,1),(28,7299150,'1990-11-26 00:00:00',4,8,10,2008,'M','N','BIGORRILHO','CURITIBA','PR','116162161217572431258832572112610127042',NULL,'9998',2.47,1,3,NULL),(28,7299168,'1995-07-27 00:00:00',2,24,12,2012,'F','S','CENTRO','AURORA','SC','124241241215111431466632575122610137142',NULL,'991',12.74,1,3,NULL),(28,7299176,'1994-08-27 00:00:00',4,24,12,2011,'F','N','CENTRO','ITUPORANGA','SC','124243241215231431339934175125610146172',NULL,'1173',0.00,1,3,NULL),(28,7299184,'1994-09-26 00:00:00',2,25,11,2011,'M','N','MATRIZ','VIDEIRA','SC','124244248416111751327979592112610168042',NULL,'829',32.80,1,3,NULL),(28,7299206,'1994-06-23 00:00:00',2,1,11,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241235413321437612375122610123052',14434,'270',38.18,1,3,NULL),(28,7299214,'1986-12-23 00:00:00',2,1,12,2004,'F','N','CAMINHO NOVO','PALHOÇA','SC','124243241137133731546669342134223012197',NULL,'591',0.00,1,3,NULL),(28,7299222,'1992-01-06 00:00:00',2,4,12,2009,'F','N','RESENER','PALMITOS','SC','120244241215511431356612572112610167052',3267,'185',57.98,1,3,NULL),(28,7299230,'1994-02-14 00:00:00',4,1,12,2011,'M','N','VILA OPERÁRIA','MARINGÁ','PR','116163161216151411648922475122610132142',6845,'9998',52.51,1,3,NULL),(28,7299249,'1991-12-19 00:00:00',2,9,12,2009,'M','N','CENTRO','LAGES','SC','124242241216372431356916472122133267187',NULL,'499',31.81,1,3,NULL),(28,7299257,'1994-07-27 00:00:00',4,10,12,2011,'M','N','CENTRO','TUBARÃO','SC','124242241216111431468813575122610137052',12161,'797',40.15,1,3,NULL),(28,7299265,'1994-10-27 00:00:00',2,1,12,2011,'F','N','JD JANAINA','BIGUAÇU','SC','124241241116141431424431282124610112197',NULL,'257',26.25,1,2,1),(28,7299273,'1995-02-11 00:00:00',2,27,12,2011,'F','N','ESTRELA','S MIGUEL OESTE','SC','124241241115131411424623572115610167142',16647,'757',32.71,2,1,1),(28,7299281,'1992-08-02 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241127472431523414342124610134142',17153,'591',32.03,2,1,1),(28,7299290,'1995-02-15 00:00:00',4,1,11,2012,'M','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431468811355114610144052',NULL,'270',40.39,1,3,NULL),(28,7299303,'1992-03-09 00:00:00',2,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241214575441436833345134610167112',13621,'1022',48.02,1,3,NULL),(28,7299311,'1994-05-06 00:00:00',4,17,12,2011,'M','N','VILA NOVA','MAFRA','SC','124241241115371431524611275124610127052',NULL,'545',23.09,1,2,1),(28,7299320,'1994-09-24 00:00:00',4,27,12,2011,'F','N','SALETE','S MIGUEL OESTE','SC','124242248216121431446923575122610124017',10744,'1179',43.55,1,3,NULL),(28,7299338,'1994-04-06 00:00:00',4,15,12,2011,'M','N','CENTRO','ARARANGUÁ','SC','124241241315111231335464475125610118055',19189,'26',34.41,1,3,NULL),(28,7299346,'1976-10-09 00:00:00',4,1,12,1993,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224241243346155711256343135122420644182',6944,'257',58.93,1,3,NULL),(28,7299354,'1990-08-20 00:00:00',4,4,10,2011,'M','N','CRISTO REI','CHAPECÓ','SC','124201201146151611226324244324610146192',NULL,'9998',27.86,1,3,NULL),(28,7299370,'1992-12-06 00:00:00',4,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241246111411211523331181234610116191',1109,'306',70.25,2,2,1),(28,7299400,'1994-09-28 00:00:00',4,1,12,2011,'F','N','CENTRO','RANCHO QUEIMADO','SC','124241241125161731523315572124610114147',NULL,'649',33.36,1,2,1),(28,7299419,'1995-09-12 00:00:00',4,1,12,2012,'M','S','CENTRO','CIANORTE','PR','116162161217111711346829295122610137077',NULL,'9998',42.36,1,3,NULL),(28,7299427,'1994-01-14 00:00:00',4,1,12,2011,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111731587914575122610167042',5778,'270',55.62,1,3,NULL),(28,7299435,'1992-01-02 00:00:00',2,4,12,2009,'M','N','SANTA MARIA','CHAPECÓ','SC','124241241131374441324333331214610116017',NULL,'176',23.63,1,2,1),(28,7299443,'1993-06-14 00:00:00',2,1,12,2010,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124242241216132231426614345112610133072',11830,'1022',42.71,1,3,NULL),(28,7299451,'1994-09-12 00:00:00',2,23,12,2011,'M','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124161241114371231326374575111610127011',12008,'435',45.37,1,2,1),(28,7299460,'1993-01-02 00:00:00',4,1,12,2010,'M','N','ARMAÇAO','FLORIANÓPOLIS','SC','124243247417141421425923212124610124182',14071,'9999',36.56,4,3,NULL),(28,7299486,'1992-05-13 00:00:00',2,7,12,2009,'F','N','CENTRO','ERECHIM','RS','120201201116161731323615295124241467052',14243,'9998',37.54,1,3,NULL),(28,7299508,'1992-12-21 00:00:00',4,1,11,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216112231468823575124610121182',14778,'270',37.78,1,3,NULL),(28,7299516,'1993-01-23 00:00:00',4,2,12,2010,'F','N','GARCIA','BLUMENAU','SC','124241241116371431545529145124610127042',NULL,'85',0.00,1,2,1),(28,7299524,'1994-05-17 00:00:00',4,9,12,2011,'M','N','SÃO CRISTOVÃO','LAGES','SC','124244246236111431436931575121610164142',NULL,'1106',0.00,4,3,NULL),(28,7299532,'1992-09-19 00:00:00',4,1,1,2012,'M','N','PASSA VINTE','PALHOÇA','SC','124241241115111721414623345121610164057',NULL,'592',20.96,1,2,1),(28,7299540,'1991-10-21 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217133411526677486114220516092',8240,'1022',48.87,1,3,NULL),(28,7299559,'1996-01-03 00:00:00',4,1,12,2012,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124241241117151431336821576124610123141',NULL,'307',13.93,1,3,NULL),(28,7299567,'1991-08-24 00:00:00',2,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201241142141432523574345124610142142',17780,'1248',31.40,1,3,NULL),(28,7299575,'1987-04-26 00:00:00',2,1,12,2004,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241241142575431658513272224233217187',3243,'239',66.26,1,2,1),(28,7299583,'1994-03-28 00:00:00',2,16,12,2011,'F','N','SÃO LUIS','CURITIBANOS','SC','124241241116372431533619495242610128052',NULL,'239',20.89,1,2,1),(28,7299591,'1995-02-11 00:00:00',2,1,11,2011,'F','N','ARMAÇAO','FLORIANÓPOLIS','SC','124241241115151431425923572124610117147',9276,'271',46.10,4,2,1),(28,7299605,'1993-03-24 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241115375231469633445122233232197',12489,'271',40.57,1,3,NULL),(28,7299613,'1992-06-25 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215413411434934575125610122142',3451,'446',60.87,1,3,NULL),(28,7299621,'1993-07-03 00:00:00',4,1,11,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111431568814575112610162122',6923,'270',54.09,1,3,NULL),(28,7299648,'1982-12-20 00:00:00',2,1,8,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124201208122151431223519492112610134045',NULL,'9998',31.81,1,2,1),(28,7299656,'1994-10-19 00:00:00',4,7,12,2011,'F','N','CIDADE ALTA','SALTO VELOSO','SC','124241241125111431423314572122610138052',19912,'684',29.19,1,2,1),(28,7299664,'1989-03-28 00:00:00',4,5,11,2007,'M','N','LAGOA DOS ESTEVES','IÇARA','SC','124244247436372431321973282122121467042',NULL,'9999',0.00,1,3,NULL),(28,7299680,'1994-04-19 00:00:00',4,1,12,2011,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215271731489933574124610127052',784,'262',71.11,1,3,NULL),(28,7299702,'1993-08-18 00:00:00',4,1,12,2010,'M','N','PRADO','BIGUAÇU','SC','125251251216471431446613371124610125147',818,'9998',71.66,1,3,NULL),(28,7299710,'1986-09-15 00:00:00',4,1,12,2004,'M','N','CENTRO','LAGES','SC','124242241216131441426629285125132856017',NULL,'515',0.00,1,3,NULL),(28,7299729,'1995-04-16 00:00:00',4,6,12,2011,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124242161216121431469914575124610112042',10022,'9998',48.27,1,3,NULL),(28,7299737,'1986-08-29 00:00:00',2,8,12,2003,'F','N','FÁTIMA','JOINVILLE','SC','124241241115271731323314285124610112197',19426,'467',33.18,2,1,1),(28,7299745,'1986-05-05 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201201127133721123444345114610167042',NULL,'9998',25.48,1,2,1),(28,7299753,'1992-07-12 00:00:00',4,1,12,2009,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124244241215573431469833574114610134176',225,'270',78.05,1,3,NULL),(28,7299761,'1991-12-26 00:00:00',4,1,12,2008,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124162161137142451436619345124230234041',16265,'9998',43.19,1,3,NULL),(28,7299796,'1994-01-12 00:00:00',4,5,12,2011,'F','N','MICHEL','CRICIÚMA','SC','124242241215111431468614475122610163077',11303,'210',42.53,1,3,NULL),(28,7299800,'1994-08-26 00:00:00',4,1,12,2011,'M','N','JARDIM GISELA','TOLEDO','PR','116163161317131431536614155121610122073',12054,'9998',45.35,4,3,NULL),(28,7299818,'1993-12-08 00:00:00',2,5,12,2010,'F','N','LOMBA','ORLEANS','SC','124242246215372431436611275124230426047',12910,'995',38.80,1,3,NULL),(28,7299826,'1991-10-04 00:00:00',4,1,11,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215473731378813495114231037062',11850,'270',43.68,1,3,NULL),(28,7299842,'1989-05-10 00:00:00',4,8,12,2010,'M','N','GLORIA','JOINVILLE','SC','124242246211134431648811271221221418111',NULL,'494',0.00,1,3,NULL),(28,7299850,'1966-01-15 00:00:00',2,1,12,1984,'M','N','TRINDADE','FLORIANÓPOLIS','SC','624211244123142421443144142132130767112',NULL,'293',28.61,1,2,1),(28,7299869,'1994-02-08 00:00:00',2,1,12,2010,'F','N','SÃO LUIZ','S JOSÉ','SC','124243241116472431326624345124610123012',15233,'733',35.26,2,3,NULL),(28,7299877,'1995-05-17 00:00:00',4,1,10,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111711338424176125610135182',NULL,'1022',52.23,1,3,NULL),(28,7299885,'1995-07-20 00:00:00',4,2,12,2012,'M','S','VELHA','BLUMENAU','SC','124242241217151752378934575112610162182',NULL,'87',47.50,1,3,NULL),(28,7299893,'1994-07-08 00:00:00',4,10,12,2011,'F','N','BOA VISTA','PTO ALEGRE','RS','120202201217471451389911575124610134047',NULL,'9998',0.00,1,3,NULL),(28,7299907,'1994-08-20 00:00:00',4,9,12,2011,'F','N','CENTRO','LAGES','SC','124242241215111431226929575125610126147',16156,'499',34.23,1,3,NULL),(28,7299915,'1994-10-11 00:00:00',4,1,12,2011,'F','N','CENTRO','S JOSÉ','SC','124241241115371631326529375124610123047',17920,'733',30.94,1,2,1),(28,7299923,'1992-04-26 00:00:00',4,1,12,2011,'F','N','ROCADO','S JOSÉ','SC','124163241315111731468772591114610162182',8282,'270',48.93,1,3,NULL),(28,7299940,'1991-08-28 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201117371431123744344334610127047',10759,'9998',45.89,2,1,1),(28,7299958,'1993-06-13 00:00:00',2,1,11,2010,'M','N','PRADO','BIGUAÇU','SC','124244241417372431436619342124610124067',16382,'63',34.99,1,3,NULL),(28,7299966,'1993-06-28 00:00:00',4,1,12,2010,'M','N','RANCHO ALEGRE','CAMPINA G SUL','PR','116163161135571411688613575124610127042',1478,'9998',65.48,1,3,NULL),(28,7299982,'1994-11-30 00:00:00',2,2,12,2011,'M','N','PROGRESSO','BLUMENAU','SC','124241241126141431423311245214610122177',NULL,'80',32.09,1,2,1),(28,7299990,'1994-05-24 00:00:00',4,1,11,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216112731466612325122610127115',1918,'270',66.73,1,3,NULL),(28,7300000,'1991-09-22 00:00:00',2,2,12,2010,'F','N','BADENFURT','BLUMENAU','SC','124241241125471731424324241334610122177',17019,'81',34.87,2,1,1),(28,7300026,'1991-02-07 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124254251217213431459914495124123247042',9212,'9998',52.57,1,3,NULL),(28,7300034,'1994-06-08 00:00:00',2,2,11,2011,'F','N','BAIRRO DAS NAÇÕES','TIMBÓ','SC','124243241215111431534711575122610127147',6478,'1157',59.72,1,3,NULL),(28,7300042,'1988-09-27 00:00:00',4,8,12,2005,'M','N','VILA IZABEL','CURITIBA','PR','116162161216574751338614575124143232047',1079,'9998',69.27,1,3,NULL),(28,7300050,'1994-03-01 00:00:00',4,6,12,2011,'M','N','SÃO JOÃO','ITAJAÍ','SC','124243248117371411436614575124610147057',3080,'129',58.99,1,3,NULL),(28,7300069,'1995-11-02 00:00:00',4,8,12,2012,'F','S','BOA VISTA','JOINVILLE','SC','124241241117131431423631575122610126172',NULL,'477',41.14,1,3,NULL),(28,7300077,'1981-08-11 00:00:00',4,1,12,2000,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242247216143431624723445134130264072',NULL,'9999',26.00,2,1,2),(28,7300085,'1990-08-25 00:00:00',4,1,6,2009,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241207147133731327579217124133266191',NULL,'9998',36.79,4,1,1),(28,7300107,'1994-02-23 00:00:00',4,17,12,2011,'F','N','VILA FORMOSA','MAFRA','SC','124241248114371431523634295124610137073',NULL,'542',27.03,1,2,1),(28,7300115,'1992-06-17 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124202201216131421228823495124241036052',NULL,'9998',0.00,1,3,NULL),(28,7300123,'1994-11-24 00:00:00',2,1,12,2011,'F','N','PAGARÁ','STO AMARO IMPERATRIZ','SC','124241241115271431424415575124610124147',19507,'772',32.63,1,2,1),(28,7300131,'1980-12-09 00:00:00',2,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224201201416132711336759345114141343147',16842,'9998',41.89,1,3,NULL),(28,7300140,'1995-03-13 00:00:00',2,1,11,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241115111752456833335122610134072',NULL,'267',0.00,1,3,NULL),(28,7300158,'1991-04-26 00:00:00',4,2,12,2007,'M','N','MARGEM ESQUERDA','GASPAR','SC','124241241211114431236823271124610137117',1712,'1137',68.91,1,3,NULL),(28,7300166,'1994-03-16 00:00:00',2,6,12,2011,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124212248315371731436633391115610127057',NULL,'395',29.57,2,3,NULL),(28,7300174,'1987-02-24 00:00:00',2,1,12,2007,'F','N','CASTELO BRANCO','JÚLIO CASTILHOS','RS','120201207426371721523344445224610146187',NULL,'9998',0.00,4,3,NULL),(28,7300182,'1994-02-17 00:00:00',2,1,12,2010,'F','N','SÃO FELIPE','TURVO','SC','124242241216473431544715592124610137147',2057,'813',64.09,1,3,NULL),(28,7300190,'1991-05-24 00:00:00',2,1,12,2008,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241215474731346614445124610167045',14782,'1023',46.02,1,3,NULL),(28,7300204,'1992-03-23 00:00:00',2,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117373731446613445124121467043',13352,'278',41.70,1,2,1),(28,7300212,'1994-07-20 00:00:00',2,2,12,2011,'F','N','DOS ESTADOS','INDAIAL','SC','124204241417141431434914245124610166112',NULL,'986',10.47,1,3,NULL),(28,7300220,'1974-06-06 00:00:00',2,1,6,2008,'M','N','REAL PARQUE','S JOSÉ','SC','124241247136371441224449392124610167187',NULL,'9999',18.90,1,2,1),(28,7300239,'1991-10-13 00:00:00',2,8,11,2008,'F','N','GUABIROTUBA','CURITIBA','PR','116162161216574421546614575114610126072',9605,'9998',54.36,1,3,NULL),(28,7300247,'1976-01-06 00:00:00',2,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','624131137127331751422234142124610161177',18716,'9998',36.40,4,3,NULL),(28,7300255,'1993-11-01 00:00:00',4,1,12,2011,'F','N','ZONA NORTE','IA SOLTEIRA','SP','125122251217251431558819594112610131187',9295,'9998',44.34,3,3,NULL),(28,7300263,'1990-03-10 00:00:00',2,2,12,2008,'M','N','ITOUPAVAZINHA','BLUMENAU','SC','124241241137131531446629342124130232057',NULL,'83',0.00,1,2,1),(28,7300271,'1993-09-23 00:00:00',4,24,12,2010,'M','N','CENTRO','RIO SUL','SC','124242241216372311456819575124233267012',10292,'653',44.18,1,3,NULL),(28,7300280,'1984-11-10 00:00:00',2,1,12,2002,'F','N','INGLESES','FLORIANÓPOLIS','SC','124251241126132331116624482124610137092',10357,'257',49.04,1,3,NULL),(28,7300298,'1994-03-14 00:00:00',2,1,12,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241115472431328627316124610123143',14480,'307',38.33,1,2,1),(28,7300301,'1969-11-08 00:00:00',2,1,12,1999,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','224243247317131421423353135124231363187',NULL,'9999',0.00,2,3,NULL),(28,7300310,'1992-09-14 00:00:00',4,1,12,2009,'F','N','BELA VISTA','S JOSÉ','SC','124241241115473431558313574122121422182',1952,'739',64.27,1,2,1),(28,7300328,'1994-01-30 00:00:00',4,1,12,2011,'M','N','PACHECOS','PALHOÇA','SC','124241241132111431336831575124610128092',13755,'592',38.36,1,2,1),(28,7300336,'1995-04-11 00:00:00',4,25,12,2011,'F','N','DOS MUNICIPIOS','CAÇADOR','SC','124241248116271431425335575124610134092',13357,'122',37.53,1,2,1),(28,7300344,'1995-04-01 00:00:00',4,1,12,2012,'M','S','BELA VISTA','S JOSÉ','SC','124241241217111731559313575122610128012',NULL,'738',35.70,1,3,NULL),(28,7300352,'1994-11-16 00:00:00',4,4,12,2011,'F','N','NEVA','CASCAVEL','PR','116162161217121511559813376122610156012',525,'9998',72.77,1,3,NULL),(28,7300360,'1993-09-10 00:00:00',2,1,12,2010,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124242241115372231425314275124610124062',14486,'591',39.19,1,3,NULL),(28,7300379,'1981-03-18 00:00:00',2,1,12,2000,'F','N','REAL PARQUE','S JOSÉ','SC','124241241116131421224444445114610165187',NULL,'412',18.89,1,2,1),(28,7300395,'1993-06-02 00:00:00',6,1,12,2010,'F','N','PICADAS DO NORTE','S JOSÉ','SC','124241241116131431216678215124233268182',NULL,'733',0.00,1,2,1),(28,7300409,'1994-08-20 00:00:00',2,2,12,2011,'F','N','QUINTINO','TIMBÓ','SC','124241241126161531228624345121610168142',16895,'870',32.42,1,3,NULL),(28,7300417,'1993-11-25 00:00:00',2,4,12,2010,'F','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124243241116472431436632575122610163147',NULL,'182',0.00,1,3,NULL),(28,7300425,'1992-02-21 00:00:00',2,1,12,2010,'M','N','CENTRO','CASCAVEL','PR','116162168235211431388819575111610124185',NULL,'9998',18.14,1,3,NULL),(28,7300433,'1994-03-04 00:00:00',4,1,11,2011,'M','N','SETOR JARDIM GOIÁS','GOIÂNIA','GO','109092091217111431478833572122610162122',14,'9998',86.14,1,3,NULL),(28,7300450,'1992-04-14 00:00:00',4,1,12,2009,'F','N','CANTO','S JOSÉ','SC','124244241217374431286929575124221464182',6730,'738',54.33,1,3,NULL),(28,7300468,'1976-11-05 00:00:00',5,1,12,1993,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241248121142411345449495122610114141',NULL,'749',24.13,1,2,1),(28,7300476,'1992-01-14 00:00:00',2,8,12,2009,'F','N','VILA BANCÁRIA','CPO LARGO','PR','116162161215471411459619472124610134047',15784,'9998',44.13,1,3,NULL),(28,7300484,'1994-08-06 00:00:00',3,8,12,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241217271431489911415124610165012',4769,'457',56.57,1,3,NULL),(28,7300492,'1994-12-05 00:00:00',4,1,12,2012,'F','S','AREIAS','S JOSÉ','SC','124242246117151731338929292124610124087',NULL,'306',44.14,1,3,NULL),(28,7300506,'1989-12-01 00:00:00',2,26,12,2006,'M','N','CENTRO','ITÁ','SC','124241242231131411326632442122133246097',NULL,'384',0.00,1,3,NULL),(28,7300514,'1994-01-31 00:00:00',4,1,12,2010,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241116372431446611575124610164142',11116,'772',44.66,1,2,1),(28,7300522,'1993-08-18 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241225131431535524575124610132147',7205,'262',52.28,1,3,NULL),(28,7300530,'1993-07-30 00:00:00',4,1,12,2011,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124243246111272431459923375124610162042',3902,'306',60.73,1,3,NULL),(28,7300549,'1994-11-08 00:00:00',2,9,12,2011,'F','N','CENTRO','LAGES','SC','124241241115371431438533575122610134057',12421,'513',44.19,1,2,1),(28,7300557,'1992-02-24 00:00:00',4,8,8,2010,'M','N','REBOUÇAS','CURITIBA','PR','116112111211572431478912575125610162042',NULL,'9998',0.00,1,3,NULL),(28,7300573,'1994-02-16 00:00:00',4,4,12,2011,'F','N','CASTELO BRANCO','XANXERÊ','SC','124241241131141411438674341124610126192',14627,'840',36.24,1,2,1),(28,7300581,'1994-02-06 00:00:00',2,10,11,2011,'F','N','SÃO MARTINHO','TUBARÃO','SC','124243241215112431546814472122610122147',NULL,'807',39.80,1,3,NULL),(28,7300590,'1990-07-14 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241161116271731238527445124140242077',NULL,'9998',22.53,1,3,NULL),(28,7300603,'1992-12-13 00:00:00',2,1,11,2010,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215472431478833332114610122145',5574,'270',56.56,1,3,NULL),(28,7300611,'1993-04-10 00:00:00',4,1,12,2010,'M','N','JARDIM ATLANTICO','S JOSÉ','SC','124244241215372431535811315124121468011',4380,'738',59.31,1,3,NULL),(28,7300620,'1993-05-11 00:00:00',2,8,11,2011,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241215111411347714572112610142097',7638,'1063',49.37,1,3,NULL),(28,7300654,'1995-08-19 00:00:00',4,4,12,2011,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116164161216111241438814374122610127092',5534,'9998',55.25,1,3,NULL),(28,7300662,'1994-04-25 00:00:00',4,5,11,2011,'M','N','PRIMEIRO DE MAIO','IÇARA','SC','124242241215111431386712575114610148192',16309,'226',43.09,1,3,NULL),(28,7300670,'1994-05-01 00:00:00',4,1,12,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241335112411336631345124610114193',10317,'1022',44.52,1,3,NULL),(28,7300700,'1993-01-11 00:00:00',4,1,12,2010,'M','N','N SRA DO ROSARIO','S JOSÉ','SC','124242241215132431359814575122133234122',17125,'738',41.20,1,3,NULL),(28,7300719,'1993-06-06 00:00:00',2,1,12,2011,'M','N','CENTRO','CURITIBA','PR','116222161217111431559811575115610132052',NULL,'9998',26.26,3,3,NULL),(28,7300727,'1993-01-19 00:00:00',4,1,12,2010,'M','N','JARDIM DO SOL','CAMPINAS','SP','125251251115471431458814575124610167042',2917,'9998',62.08,1,2,1),(28,7300735,'1988-11-08 00:00:00',2,1,12,2006,'F','N','FLORESTA','S JOSÉ','SC','124241241115371731523314345124610128043',NULL,'732',22.39,1,2,1),(28,7300751,'1990-06-10 00:00:00',3,1,12,2007,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124203201117473711178923575124232722042',10097,'9998',53.56,1,3,NULL),(28,7300760,'1993-05-27 00:00:00',2,2,12,2011,'F','N','SETE DE SETEMBRO','GASPAR','SC','124241248117371731433213381224610168142',15868,'327',34.08,4,1,1),(28,7300786,'1994-07-06 00:00:00',4,8,12,2011,'M','N','PILARZINHO','CURITIBA','PR','116162161216151431478933575114610167042',886,'9998',69.96,1,3,NULL),(28,7300808,'1993-06-11 00:00:00',2,1,12,2011,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241117371731525823432124610124147',16864,'733',37.36,1,2,1),(28,7300816,'1994-05-05 00:00:00',2,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431468912575122610127072',4942,'262',62.54,1,3,NULL),(28,7300832,'1992-10-06 00:00:00',2,1,12,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124201201116472431439933295124222628052',4921,'9998',55.76,1,2,1),(28,7300859,'1995-06-02 00:00:00',2,26,12,2011,'F','N','SÃO CRISTÓVÃO','CONCÓRDIA','SC','124241241217131431326629592124610125142',14123,'1001',38.09,1,3,NULL),(28,7300875,'1994-02-22 00:00:00',4,6,12,2011,'F','N','SÃO JOÃO','ITAJAÍ','SC','124243241115371431425734275125610114147',16142,'395',35.25,1,3,NULL),(28,7300905,'1995-04-12 00:00:00',2,1,12,2012,'M','S','PRAIA COMPRIDA','S JOSÉ','SC','124242241215152732343631575112610117072',NULL,'1077',51.19,1,3,NULL),(28,7300913,'1994-06-25 00:00:00',4,6,12,2011,'M','N','SÃO SEBASTIÃO','CAMPOS NOVOS','SC','124242241215111431448814375122610167047',9383,'1038',46.78,4,3,NULL),(28,7300921,'1993-02-03 00:00:00',2,1,12,2011,'F','N','ROÇADO','S JOSÉ','SC','124241245115371431313327572324610114077',NULL,'729',21.89,1,2,1),(28,7300930,'1990-12-25 00:00:00',4,8,12,2007,'M','N','JUVEVÊ','CURITIBA','PR','116162161214111411366633595121133267192',NULL,'9998',0.00,1,3,NULL),(28,7300948,'1993-08-13 00:00:00',2,1,12,2011,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241243117471732426618572124610142095',6638,'306',54.27,1,2,1),(28,7300964,'1991-08-13 00:00:00',4,8,12,2008,'F','N','XAXIM','CURITIBA','PR','116161161137571431435512575124610133042',NULL,'9998',0.00,1,2,1),(28,7300972,'1994-04-20 00:00:00',4,5,11,2011,'F','N','CENTRO','ORLEANS','SC','124242231215111751556812595124610168142',NULL,'226',29.30,1,3,NULL),(28,7300980,'1991-07-29 00:00:00',4,1,12,2008,'M','N','FAMA','GOIÂNIA','GO','109092091211522311359931192122610162042',39,'9998',82.54,4,3,NULL),(28,7301014,'1994-07-29 00:00:00',4,10,11,2011,'F','N','MORROTES','TUBARÃO','SC','124241241215112431546812575122610146182',11804,'806',43.21,1,3,NULL),(28,7301022,'1994-01-12 00:00:00',4,2,12,2011,'F','N','RIO MORTO','INDAIAL','SC','124241241115111731323712175124610134097',10374,'88',44.95,1,3,NULL),(28,7301030,'1993-09-24 00:00:00',4,1,12,2010,'M','N','ESPLANADA DO SOL','S JOSÉ CAMPOS','SP','125252251235471431568834575122610127042',NULL,'9998',NULL,1,3,NULL),(28,7301049,'1994-04-18 00:00:00',2,1,12,2011,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241145141431623311111321610132047',NULL,'1009',18.57,1,2,1),(28,7301065,'1994-09-22 00:00:00',4,1,12,2011,'F','N','JUNDIAI','ANÁPOLIS','GO','109092091216111431549911575122610154187',2519,'9998',63.18,3,3,NULL),(28,7301073,'1993-10-31 00:00:00',2,1,12,2011,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124201241117151431437623296125610164012',NULL,'772',32.03,1,3,NULL),(28,7301090,'1994-05-23 00:00:00',2,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124244241315121431436639285121610127093',7819,'723',53.52,1,3,NULL),(28,7301103,'1994-07-19 00:00:00',2,1,12,2011,'M','N','ÁGUAS MORNAS','ÁGUAS MORNAS','SC','124241241115371751333314571121610114177',NULL,'978',36.67,1,2,1),(28,7301111,'1994-06-02 00:00:00',4,1,11,2011,'M','N','SANTANA','S PAULO','SP','125252251215311331448811175122610118182',13901,'9998',38.95,1,3,NULL),(28,7301120,'1992-07-18 00:00:00',2,1,12,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241116472431326321285124610121147',5605,'287',58.04,1,2,1),(28,7301138,'1992-09-21 00:00:00',2,1,12,2010,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215472431478812575122610137122',5986,'270',58.49,1,3,NULL),(28,7301146,'1994-12-05 00:00:00',4,1,11,2012,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124244241117111431446614345112610137062',NULL,'271',43.31,1,3,NULL),(28,7301154,'1993-01-10 00:00:00',2,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241116141411423614445124610112042',NULL,'298',17.69,1,2,1),(28,7301162,'1995-09-18 00:00:00',4,7,11,2011,'M','N','CENTRO','HERVAL D OESTE','SC','124243241217111431336433575122610114042',17730,'446',39.67,1,3,NULL),(28,7301170,'1994-03-28 00:00:00',4,22,11,2011,'F','N','CENTRO','BRUSQUE','SC','124242241215112732466832572122610122142',19317,'107',33.79,1,3,NULL),(28,7301189,'1993-05-28 00:00:00',4,1,12,2010,'M','N','JARDIM DAS FLORES','OSASCO','SP','125254251436471221469614275122610127042',11041,'9998',41.85,1,3,NULL),(28,7301197,'1990-03-19 00:00:00',4,1,6,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124281288117271731436719176125140223147',19605,'9998',31.96,1,3,NULL),(28,7301200,'1994-08-27 00:00:00',2,22,12,2011,'F','N','AREIAS','CURITIBA','PR','124241241145131431646311245124613245047',NULL,'783',0.00,1,2,1),(28,7301219,'1993-06-14 00:00:00',2,9,12,2010,'M','N','CENTRO','PTO ALEGRE','RS','120202201216472431337623175124610127057',5176,'9998',55.66,1,3,NULL),(28,7301227,'1993-01-05 00:00:00',4,1,12,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216142731146819575124230768143',8902,'394',48.17,1,3,NULL),(28,7301235,'1994-05-31 00:00:00',4,2,11,2011,'M','N','VELHA','BLUMENAU','SC','124241246217131511343823245124610127182',15691,'1018',44.32,1,3,NULL),(28,7301243,'1982-11-30 00:00:00',4,16,12,2000,'M','N','BOM JESUS','CURITIBANOS','SC','224241241126273431424343135124130218197',8460,'239',47.97,4,2,1),(28,7301251,'1993-08-30 00:00:00',2,1,12,2010,'M','N','BELA VISTA','S JOSÉ','SC','124242241215472431478613575124610127042',6313,'262',52.35,1,3,NULL),(28,7301278,'1994-08-25 00:00:00',4,8,12,2011,'F','N','ZONA','UMUARAMA','PR','116162161217111431479931475112610131182',11469,'9998',44.86,1,3,NULL),(28,7301286,'1994-11-11 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241217111431676812575114610127043',3012,'300',61.83,3,3,NULL),(28,7301308,'1993-12-18 00:00:00',2,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241241127131221513339292224610127047',NULL,'307',26.94,1,2,1),(28,7301316,'1994-07-20 00:00:00',2,10,11,2011,'M','N','CENTRO','ARMAZÉM','SC','124243248215111631354832342122610114184',NULL,'807',0.00,1,3,NULL),(28,7301324,'1993-08-14 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','111112241215472431228815575124610126092',7189,'262',50.35,1,3,NULL),(28,7301332,'1991-12-14 00:00:00',4,1,7,2010,'M','N','SERRARIA','S JOSÉ','SC','124251257137131431446663445124142132097',NULL,'9998',12.27,1,3,NULL),(28,7301340,'1985-02-22 00:00:00',2,1,12,2007,'F','N','SANTOS DUMONTT','S JOSÉ','SC','124241247127372431123144443113610114012',NULL,'736',22.21,1,2,1),(28,7301359,'1994-01-18 00:00:00',4,8,11,2011,'M','N','VILA NOVA','JOINVILLE','SC','124242241216141431429419345124610167062',15400,'459',35.90,1,3,NULL),(28,7301367,'1993-12-06 00:00:00',2,1,11,2011,'F','N','NAZARÉ','BELÉM','PA','114144141237131411436614585124610122183',17713,'9998',32.23,4,3,NULL),(28,7301375,'1988-08-07 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215372411477812485122230217062',NULL,'1063',0.00,1,3,NULL),(28,7301391,'1995-02-17 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111411527512575124610163071',18196,'1049',38.31,1,3,NULL),(28,7301405,'1994-04-21 00:00:00',2,1,12,2011,'F','N','POTECAS','S JOSÉ','SC','124241241135471731633529272124610126042',NULL,'733',18.52,1,2,1),(28,7301413,'1978-10-07 00:00:00',2,1,12,1998,'M','N','LAGOINHA','FLORIANÓPOLIS','SC','524201203126132451326611445122610127042',NULL,'9998',0.00,1,3,NULL),(28,7301421,'1981-10-01 00:00:00',2,1,8,2001,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241248117174421363632445124223227057',NULL,'306',31.43,1,2,1),(28,7301430,'1982-07-15 00:00:00',5,1,7,2002,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244241216172421328844481122331062087',18691,'9997',36.51,1,3,NULL),(28,7301448,'1993-05-25 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116371421225511345114610127182',6815,'307',51.65,1,2,1),(28,7301456,'1991-07-30 00:00:00',2,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241117132431216321275125223234055',10114,'209',53.54,2,3,NULL),(28,7301464,'1993-01-15 00:00:00',2,1,12,2010,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124242241212472331523633372124610127147',NULL,'1048',20.19,1,3,NULL),(28,7301472,'1994-03-09 00:00:00',2,1,12,2011,'F','N','PAIOL GRANDE','S BENTO SAPUCAÍ','SP','125251258216111731424316575122610138182',NULL,'9998',0.00,1,3,NULL),(28,7301480,'1988-06-07 00:00:00',4,1,2,2008,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241247137134431528767385124121464172',14383,'9999',46.79,1,2,1),(28,7301499,'1994-02-02 00:00:00',4,1,12,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217112711447614575112610122195',5156,'951',55.64,1,3,NULL),(28,7301502,'1993-11-13 00:00:00',4,1,11,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215122431448933572112610133042',448,'270',73.42,1,3,NULL),(28,7301510,'1993-07-24 00:00:00',2,24,12,2010,'F','N','CENTRO','S JOSÉ PINHAIS','PR','116162161237272431448739575124242927147',8652,'9998',47.35,1,3,NULL),(28,7301529,'1995-04-24 00:00:00',2,1,11,2011,'M','N','JARDIM BOTÂNICO','VÁRZEA GRANDE','MT','111111118237111431456933575112610137042',NULL,'9998',29.12,4,3,NULL),(28,7301537,'1994-07-05 00:00:00',4,1,12,2011,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241215141411368612145112610144112',6832,'1074',52.87,1,3,NULL),(28,7301553,'1986-07-23 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241132132331627634215124610117047',NULL,'307',21.48,2,1,1),(28,7301588,'1993-02-06 00:00:00',2,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242243216371431335452385124230441092',12203,'995',41.54,1,3,NULL),(28,7301596,'1993-03-03 00:00:00',2,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241217121431338724292124610164045',18708,'273',36.42,1,3,NULL),(28,7301600,'1994-05-18 00:00:00',2,1,11,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215271431468833575124610128142',9464,'270',48.98,1,3,NULL),(28,7301618,'1993-06-07 00:00:00',4,1,12,2011,'F','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124241241115141331443331115124610132142',NULL,'733',18.11,1,2,1),(28,7301626,'1993-08-20 00:00:00',4,1,11,2011,'F','N','MANSÕES SANTO ANTONI','CAMPINAS','SP','125252251215111431589612575112610132143',NULL,'9998',0.00,1,3,NULL),(28,7301634,'1991-10-22 00:00:00',2,1,11,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216435411348923485124610147142',NULL,'259',29.14,1,3,NULL),(28,7301642,'1992-12-27 00:00:00',4,1,12,2011,'M','N','BEIRAMAR','FLORIANÓPOLIS','SC','124203247415111751568831475122610168195',NULL,'9999',12.42,1,3,NULL),(28,7301650,'1993-06-07 00:00:00',4,1,1,2012,'M','N','CAMPINAS','S JOSÉ','SC','124202246131141241536811245124610128047',NULL,'306',39.99,4,3,NULL),(28,7301669,'1988-07-02 00:00:00',2,1,11,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124203247337131411126579341224610144027',9349,'9999',47.62,1,3,NULL),(28,7301677,'1992-09-27 00:00:00',4,1,6,2010,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124244247216111431366612325112610112182',NULL,'9999',38.09,1,3,NULL),(28,7301685,'1992-11-25 00:00:00',2,1,11,2011,'F','N','VILA ROSA','GOIÂNIA','GO','109092091216111451453572577122610132147',NULL,'9998',0.00,1,3,NULL),(28,7301693,'1992-01-23 00:00:00',4,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241243115142431336514346224610134185',16455,'592',30.55,1,2,1),(28,7301707,'1990-08-02 00:00:00',4,8,12,2007,'F','N','JARDIM PAULISTA','S PAULO','SP','125242241215574411139812571114610162072',NULL,'1105',0.00,1,3,NULL),(28,7301715,'1993-01-22 00:00:00',2,1,12,2010,'M','N','CENTRO','OURO','SC','124244241215472431446923571124610127042',381,'270',73.98,1,3,NULL),(28,7301740,'1994-06-17 00:00:00',4,3,12,2011,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124244243117141431223723275124610165175',5339,'129',56.03,1,3,NULL),(28,7301758,'1993-11-02 00:00:00',4,24,2,2011,'M','N','LARANJEIRAS','RIO SUL','SC','124241241315131731421364575122610145017',NULL,'654',33.77,2,1,2),(28,7301766,'1994-01-20 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241315371431323634245124610127042',20041,'65',27.43,1,3,NULL),(28,7301774,'1986-02-15 00:00:00',2,1,12,2004,'F','N','NOVA BELÉM','PAULO LOPES','SC','124241241127131431533313282112610166192',NULL,'607',24.56,1,2,1),(28,7301782,'1993-12-30 00:00:00',4,2,11,2011,'M','N','MULDE','TIMBÓ','SC','124242241215111431438819575112610144122',12232,'1157',50.19,1,3,NULL),(28,7301804,'1994-08-04 00:00:00',2,7,11,2011,'M','N','SANTO ANTONIO','HERVAL D OESTE','SC','124242241215111431428614595112610127042',16597,'454',42.43,1,3,NULL),(28,7301812,'1994-08-01 00:00:00',4,1,12,2011,'M','N','PATRIA NOVA','NOVO HAMBURGO','RS','120201201117151432535534186113610127017',NULL,'9998',21.91,1,2,1),(28,7301820,'1994-11-30 00:00:00',4,1,12,2011,'F','N','COLONIAL','S BENTO SUL','SC','124241241117131431436814175122610166197',13312,'697',39.56,1,2,1),(28,7301839,'1994-03-17 00:00:00',4,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241216121431457914575124610137072',2970,'738',62.58,1,3,NULL),(28,7301847,'1994-11-22 00:00:00',2,1,12,2011,'M','N','FLORESTA','S JOSÉ','SC','124242241217131731556912572124610167112',7690,'262',57.66,1,3,NULL),(28,7301855,'1982-11-09 00:00:00',2,1,11,2000,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124246241616113421436417485124321418047',NULL,'272',0.00,1,3,NULL),(28,7301863,'1994-08-12 00:00:00',2,1,12,2011,'F','N','FREITAS','PAULO LOPES','SC','124241241215131731323611575124610165057',16076,'1077',33.83,1,3,NULL),(28,7301871,'1993-10-05 00:00:00',4,1,12,2011,'F','N','SÃO PEDRO','BELO HORIZONTE','MG','113132131216111431569816595124610166017',2374,'9998',61.76,1,3,NULL),(28,7301880,'1994-03-25 00:00:00',2,5,11,2011,'M','N','SANTO ANTONIO','NOVA VENEZA','SC','124243241216131431426435595125610127067',NULL,'995',0.00,1,3,NULL),(28,7301901,'1993-12-30 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124241241117271631447719272122610163142',NULL,'733',35.31,4,1,1),(28,7301910,'1992-02-09 00:00:00',2,1,11,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124242241215273431428718575324233263122',NULL,'457',0.00,1,3,NULL),(28,7301936,'1994-06-21 00:00:00',4,1,12,2011,'M','N','AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC','124241241117151431356614575124610118042',NULL,'295',27.33,1,2,1),(28,7301952,'1992-01-17 00:00:00',4,8,12,2009,'M','N','PROGRESSO','S BENTO SUL','SC','124243241136473211536923275124221467187',NULL,'697',25.83,1,3,NULL),(28,7301960,'1994-03-21 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215112431579614575124610144192',423,'270',72.89,1,3,NULL),(28,7301987,'1988-08-28 00:00:00',2,1,3,2011,'M','N','BELA VISTA','PALHOÇA','SC','224201248117131421223344345112610167047',NULL,'306',24.81,1,3,NULL),(28,7301995,'1993-12-24 00:00:00',4,8,12,2011,'F','N','IRIRIU','JOINVILLE','SC','124244241235471431333852345114610127072',11052,'1016',45.36,1,3,NULL),(28,7302010,'1994-01-02 00:00:00',4,9,12,2011,'M','N','FREI ROGÉRIO','LAGES','SC','124242241215151431569913374111610138181',4539,'1207',58.23,1,3,NULL),(28,7302037,'1995-02-09 00:00:00',4,1,12,2012,'M','S','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215171531449933575121610167052',NULL,'1223',48.82,1,3,NULL),(28,7302045,'1994-11-16 00:00:00',2,26,12,2011,'F','N','MIRANTE','ITÁ','SC','124241248117131331416624575124610161147',NULL,'196',32.85,1,3,NULL),(28,7302053,'1995-02-04 00:00:00',4,1,2,2012,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431468812572122610123092',NULL,'262',25.23,1,3,NULL),(28,7302096,'1992-06-27 00:00:00',2,1,1,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124204207416572741138712345335610161073',15537,'9998',38.27,4,3,NULL),(28,7302100,'1995-03-17 00:00:00',4,4,11,2011,'F','N','SANTA MARIA','CHAPECÓ','SC','124242241216271431249923575122610164182',10547,'168',42.64,1,3,NULL),(28,7302118,'1995-12-13 00:00:00',4,8,12,2012,'F','S','SAGUAÇU','JOINVILLE','SC','124242241215111751469931492112610128127',NULL,'1063',39.82,1,3,NULL),(28,7302126,'1992-09-01 00:00:00',4,1,7,2010,'F','N','VARGEM GRANDE','ÁGUAS MORNAS','SC','124241241116142421524414445124222967052',14533,'739',36.71,1,2,1),(28,7302134,'1984-09-16 00:00:00',4,1,12,2004,'M','N','VILA CLAÚDIA','ASSIS','SP','125251257116212441329631315122342864042',NULL,'9998',0.00,1,3,NULL),(28,7302150,'1994-08-31 00:00:00',2,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124242241115372411456823571124610123012',12648,'271',43.10,1,3,NULL),(28,7302169,'1994-01-20 00:00:00',2,5,12,2011,'M','N','RIO MAINA','CRICIÚMA','SC','124244241415151351337714345124610167047',13511,'995',48.23,1,3,NULL),(28,7302185,'1982-07-22 00:00:00',4,1,12,1999,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242161216151731368713475122342626185',7460,'9998',58.04,1,3,NULL),(28,7302193,'1991-11-05 00:00:00',4,8,12,2009,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241235573411568834572122131424012',1429,'1063',69.62,1,3,NULL),(28,7302207,'1993-06-04 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431559913575125610143147',2887,'262',61.79,1,3,NULL),(28,7302231,'1994-06-18 00:00:00',2,10,12,2011,'F','N','SÃO BERNARDO','TUBARÃO','SC','124241241215121431425314575124610168082',7092,'797',50.36,1,3,NULL),(28,7302240,'1994-08-08 00:00:00',4,1,12,2011,'M','N','FORQUILHAS','S JOSÉ','SC','124241241115371431533614275124610132095',13416,'733',39.23,4,2,1),(28,7302258,'1993-04-30 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241112371731425511385124610167182',NULL,'288',26.17,1,2,1),(28,7302266,'1994-02-13 00:00:00',4,1,11,2010,'F','N','CENTRO','LAGES','SC','124242241217142431348812425124232133143',NULL,'499',0.00,1,3,NULL),(28,7302274,'1982-06-15 00:00:00',4,2,12,1999,'M','N','VILA NOVA','BLUMENAU','SC','224242241216141431459641215122531225117',10501,'86',52.92,1,3,NULL),(28,7302290,'1994-02-21 00:00:00',2,5,11,2011,'F','N','CENTRO','LAURO MÜLLER','SC','124244241215123431347911575122610148092',7880,'226',50.51,1,3,NULL),(28,7302304,'1992-10-20 00:00:00',4,4,12,2009,'F','N','CENTRO','LONDRINA','PR','116162161315572712336824575124610134147',NULL,'9998',0.00,1,3,NULL),(28,7302312,'1992-09-04 00:00:00',4,1,12,2011,'F','N','PONTE IMARUIM','PALHOÇA','SC','124241241324141431126844445224610127041',NULL,'307',14.15,4,3,NULL),(28,7302339,'1994-08-22 00:00:00',4,2,12,2011,'F','N','VELHA','BLUMENAU','SC','124241241115371431339923275124610128187',2287,'88',65.84,1,2,1),(28,7302347,'1993-01-29 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241116372731313621341244610126182',14900,'278',40.28,1,2,1),(28,7302355,'1989-05-16 00:00:00',2,1,12,2007,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241116142731433324242124610117042',18937,'1248',25.36,1,2,1),(28,7302363,'1994-01-26 00:00:00',2,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124241241112371311425334375124610166087',4914,'1116',59.90,1,2,1),(28,7302398,'1993-06-09 00:00:00',4,5,12,2010,'M','N','JAQUELINE','IÇARA','SC','124241246115151431346634345122610135143',3727,'188',60.00,1,3,NULL),(28,7302401,'1995-07-23 00:00:00',2,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244247412111431458814445122610124122',13438,'9999',48.33,1,3,NULL),(28,7302410,'1994-11-25 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111731348754575122610134047',14415,'738',40.18,1,3,NULL),(28,7302428,'1990-07-15 00:00:00',2,4,12,2007,'M','N','SANTA LUZIA','ABELARDO LUZ','SC','124241168217572731458939385124232468047',NULL,'9998',0.00,1,3,NULL),(28,7302436,'1979-12-22 00:00:00',4,1,11,1998,'M','N','CENTRO','CURITIBA','PR','116133137336151711216649291124241714183',NULL,'9998',0.00,1,3,NULL),(28,7302444,'1991-02-15 00:00:00',2,1,12,2008,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124241241112371431424524242124610128182',14790,'1248',38.53,1,2,1),(28,7302452,'1994-04-25 00:00:00',4,1,12,2011,'M','N','RECREIO','RIO JANEIRO','RJ','121122211217471431368814595122610164112',9091,'9998',43.64,1,3,NULL),(28,7302460,'1989-02-12 00:00:00',4,1,12,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216575431368647595124141468182',3698,'951',61.61,1,3,NULL),(28,7302487,'1995-01-23 00:00:00',4,1,12,2012,'M','S','AREIAS','S JOSÉ','SC','124242241215111732557612572124610137092',NULL,'738',34.99,1,3,NULL),(28,7302495,'1994-07-20 00:00:00',2,10,11,2011,'F','N','BELA VISTA','S LUDGERO','SC','124242241115112531569914571114610134122',13440,'807',43.13,1,3,NULL),(28,7302509,'1993-07-17 00:00:00',2,10,12,2010,'M','N','SANTA AUGUSTA','BRAÇO NORTE','SC','124241241116141411433324345125610132187',NULL,'100',28.13,1,2,1),(28,7302517,'1993-10-01 00:00:00',4,1,12,2011,'F','N','JARDINS','ARACAJU','SE','126262261215111431389813575112610167142',17447,'9998',40.42,1,3,NULL),(28,7302533,'1993-03-22 00:00:00',4,1,9,2011,'M','N','MARIA ISMENIA','COLATINA','ES','108082087413131751468613175114141464177',NULL,'9998',0.00,1,3,NULL),(28,7302550,'1994-10-21 00:00:00',4,8,12,2011,'F','N','SCHRAMM','S BENTO SUL','SC','124242241217161441438419575122610136147',NULL,'974',0.00,1,3,NULL),(28,7302568,'1995-02-27 00:00:00',4,24,12,2011,'M','N','CENTRO','PRES GETÚLIO','SC','124242241215122431368632572124610122092',2228,'991',67.17,1,3,NULL),(28,7302576,'1993-12-16 00:00:00',4,1,12,2011,'F','N','LAGOA','FLORIANÓPOLIS','SC','124242241215122421448811575122610167142',9007,'883',50.78,1,3,NULL),(28,7302584,'1995-08-20 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215111411479819575112610128182',16730,'213',42.13,1,3,NULL),(28,7302614,'1988-09-13 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241226473431634334445114610166045',13560,'9997',41.99,1,3,NULL),(28,7302622,'1989-09-28 00:00:00',4,1,12,2009,'M','N','JARDIM SANTIAGO','S JOSÉ','SC','124242247125371431533473245134610164045',NULL,'9999',18.85,1,3,NULL),(28,7302630,'1994-01-14 00:00:00',4,23,12,2011,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241115151231535624571122610124147',13282,'430',37.92,1,2,1),(28,7302649,'1994-03-19 00:00:00',4,5,11,2011,'F','N','KM UM','LAURO MÜLLER','SC','124244241215112431446614575114610123147',8857,'226',55.66,1,3,NULL),(28,7302657,'1994-11-23 00:00:00',4,16,12,2011,'F','N','CENTRO','S CRISTÓVÃO SUL','SC','124241241117131431513329575124610167057',NULL,'705',22.29,1,2,1),(28,7302665,'1988-01-12 00:00:00',2,27,12,2004,'F','N','NAZARÉ','CONCÓRDIA','SC','624241241136132431434949492124331336142',19114,'194',34.81,1,3,NULL),(28,7302673,'1993-08-13 00:00:00',2,1,12,2010,'F','N','PACHECOS','PALHOÇA','SC','124241241136271411313344345124610126042',11220,'592',44.36,4,2,1),(28,7302681,'1993-08-16 00:00:00',2,24,12,2010,'F','N','JARDIM ALEXANDER','RIO SUL','SC','124241241116131421444313335124230225152',20141,'659',24.77,1,2,1),(28,7302690,'1994-10-30 00:00:00',2,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124222241215371431438767276122610163071',16446,'44',36.05,1,3,NULL),(28,7302703,'1995-03-22 00:00:00',4,1,12,2012,'F','S','PALHOÇA','PALHOÇA','SC','124242241217131311426419575124610131197',NULL,'1022',42.12,1,3,NULL),(28,7302711,'1994-10-29 00:00:00',4,9,11,2011,'M','N','SÃO CRISTOVÃO','LAGES','SC','124242241217271441355313575122610164052',9712,'1106',46.02,1,3,NULL),(28,7302746,'1991-09-06 00:00:00',4,1,12,2009,'F','N','LAGOA','FLORIANÓPOLIS','SC','124242241215472541468811575124231462147',8451,'270',56.35,1,3,NULL),(28,7302754,'1994-04-19 00:00:00',4,3,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241116371431436511245122610135187',NULL,'49',33.64,1,2,1),(28,7302762,'1993-03-26 00:00:00',4,6,11,2011,'F','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124241241131131731623319391324610167077',17076,'873',32.89,1,2,1),(28,7302789,'1989-08-09 00:00:00',4,25,12,2007,'M','N','SESI','VIDEIRA','SC','124241242117161231434656262123610127057',NULL,'196',0.00,1,3,NULL),(28,7302797,'1994-05-21 00:00:00',4,15,12,2011,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241115271731434322575122610124045',16055,'30',34.14,1,3,NULL),(28,7302800,'1995-04-28 00:00:00',4,1,12,2012,'M','S','CENTRO','S JOÃO BATISTA','SC','124242244217151231539931275114612667145',NULL,'782',29.36,1,3,NULL),(28,7302819,'1995-03-16 00:00:00',2,26,11,2011,'M','N','CENTRO','PIRATUBA','SC','124241241145131431425624342331610128057',6833,'619',52.69,1,2,1),(28,7302827,'1961-02-04 00:00:00',4,1,12,1982,'M','N','CENTRO','FLORIANÓPOLIS','SC','624241248146135441255543435122320916117',14518,'307',46.55,1,2,1),(28,7302843,'1994-08-24 00:00:00',4,9,12,2011,'M','N','CENTRO','LAGES','SC','124242248215111531456612575121610127042',NULL,'499',23.98,1,3,NULL),(28,7302851,'1990-02-20 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124071241116131431436313285114221167012',9006,'9998',55.43,2,1,1),(28,7302860,'1994-10-26 00:00:00',2,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241135131611623329245134610117147',NULL,'298',27.02,1,2,1),(28,7302894,'1983-01-24 00:00:00',2,1,7,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','224201247417141431231453345113610167047',NULL,'977',19.51,1,3,NULL),(28,7302908,'1988-05-26 00:00:00',4,9,12,2007,'M','N','CENTRO','S JOAQUIM','SC','124241241126472431434433395122610114047',11457,'719',51.40,1,2,1),(28,7302916,'1991-01-07 00:00:00',4,1,12,2008,'M','N','VILA MATILDE','S PAULO','SP','125252251217571731537831571114610164052',3674,'9998',56.76,1,3,NULL),(28,7302932,'1991-02-12 00:00:00',4,1,10,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217374431476914375124120666077',2038,'270',69.68,1,3,NULL),(28,7302940,'1994-05-12 00:00:00',4,2,11,2011,'F','N','NAÇÕES','TIMBÓ','SC','124241241215172431354714275122610131077',4177,'1157',57.92,1,3,NULL),(28,7302959,'1994-10-17 00:00:00',4,15,12,2011,'F','N','CENTRO','ARARANGUÁ','SC','124243241215111431456723575122610167177',16604,'27',33.49,1,3,NULL),(28,7302967,'1968-05-26 00:00:00',4,1,12,1993,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224241243121134431544453211124610166182',16984,'532',32.07,1,2,1),(28,7302975,'1993-08-06 00:00:00',2,1,11,2010,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124242241215372431236627445114610124012',4805,'270',55.59,1,3,NULL),(28,7302983,'1994-10-09 00:00:00',4,5,12,2011,'F','N','DAS DAMAS','URUSSANGA','SC','124241241115371431325429575124610137043',14931,'821',38.88,1,2,1),(28,7302991,'1993-12-18 00:00:00',2,1,12,2011,'M','N','COLONIA SANTA LUZIA','STO AMARO IMPERATRIZ','SC','124241241115371431343339245121610117047',12603,'772',43.14,1,2,1),(28,7303009,'1992-12-01 00:00:00',4,1,12,2010,'M','N','MANSÕES SANTOANTÔNIO','CAMPINAS','SP','125252251235171411458831575114610127047',4164,'9998',59.19,1,3,NULL),(28,7303017,'1989-06-07 00:00:00',4,1,12,2006,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124161161136131421433671242114610137057',13004,'9998',48.98,1,2,1),(28,7303025,'1990-07-03 00:00:00',2,1,12,2007,'M','N','AREIAS','S JOSÉ','SC','124241241136272721523324375114610145042',17861,'730',39.31,1,3,NULL),(28,7303033,'1993-02-16 00:00:00',4,24,12,2010,'M','N','BUDAG','RIO SUL','SC','124241241117131731447614345112610164047',NULL,'864',15.87,1,3,NULL),(28,7303041,'1979-03-08 00:00:00',4,4,12,1996,'M','N','VILA MARIANA','S PAULO','SP','125254253216471751169943435134340762177',NULL,'9998',0.00,1,3,NULL),(28,7303050,'1995-06-23 00:00:00',4,10,12,2012,'M','S','CAPUTERA','LAGUNA','SC','124241241137161731326634575124610117047',NULL,'1147',40.57,1,3,NULL),(28,7303068,'1993-09-07 00:00:00',2,1,12,2011,'F','N','RIO GRANDE','PALHOÇA','SC','124241241117131431536629396224610114197',NULL,'591',0.00,1,2,1),(28,7303076,'1993-04-05 00:00:00',4,23,12,2011,'M','N','VILA RAU','JARAGUÁ SUL','SC','124242246215111431259912591122610112042',NULL,'1061',0.00,1,3,NULL),(28,7303084,'1995-11-01 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431378832575122610127122',10003,'262',45.04,1,3,NULL),(28,7303092,'1994-11-11 00:00:00',4,5,11,2011,'F','N','CORRIDAS','ORLEANS','SC','124242241215111451558832575122610168142',NULL,'226',25.04,1,3,NULL),(28,7303106,'1992-06-23 00:00:00',2,1,12,2009,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241246127272731424414245113610167142',NULL,'649',22.70,4,3,NULL),(28,7303114,'1995-01-13 00:00:00',4,6,12,2011,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241215111531456712575122610121052',NULL,'1059',0.00,1,3,NULL),(28,7303130,'1993-09-14 00:00:00',4,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','125252251217472442479913585114610164186',366,'9998',74.32,1,3,NULL),(28,7303149,'1992-03-15 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117273411526714445113610144052',15844,'307',43.99,1,2,1),(28,7303157,'1995-11-16 00:00:00',4,5,11,2011,'M','N','CORRIDAS','ORLEANS','SC','124242241215211431558832295122610162142',NULL,'226',24.34,1,3,NULL),(28,7303165,'1993-03-07 00:00:00',2,1,12,2010,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124241241112232431525569375324610137147',NULL,'257',20.51,1,3,NULL),(28,7303173,'1994-11-04 00:00:00',2,1,12,2011,'M','N','FORQUILHAS','S JOSÉ','SC','124241241116471431426471575124610127042',5157,'733',55.07,1,2,1),(28,7303181,'1994-04-01 00:00:00',2,1,12,2011,'M','N','AMBRÓSIO','GAROPABA','SC','124241248125131432423515285111610133147',14807,'322',36.78,1,2,1),(28,7303190,'1992-11-17 00:00:00',4,1,11,2010,'F','N','IPIRANGA','S JOSÉ','SC','124244241217112411447933345124230236032',14979,'269',33.99,1,3,NULL),(28,7303203,'1994-06-07 00:00:00',2,1,12,2011,'M','N','REBOUÇAS','CURITIBA','PR','116162161216471431669834575122610124077',3596,'9998',58.67,1,3,NULL),(28,7303211,'1994-04-16 00:00:00',2,2,12,2011,'F','N','CAPITAIS','TIMBÓ','SC','124241241215111431435812492122610131197',15029,'1157',38.31,1,3,NULL),(28,7303220,'1994-03-16 00:00:00',4,5,11,2011,'F','N','CENTRO','ORLEANS','SC','124242241235211431358832295112610164112',NULL,'226',0.00,1,3,NULL),(28,7303238,'1992-11-23 00:00:00',2,1,12,2010,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241122131431421129112344610163097',19650,'294',22.24,1,2,1),(28,7303246,'1994-07-21 00:00:00',4,2,12,2011,'F','N','VELHA','BLUMENAU','SC','124244241315271431438834575124610123187',NULL,'88',28.21,1,3,NULL),(28,7303254,'1994-01-10 00:00:00',2,2,12,2011,'M','N','VELHA','BLUMENAU','SC','124242241415161411459612235124610137142',11587,'88',44.92,1,3,NULL),(28,7303262,'1993-10-07 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241236472431546653575114610147117',2583,'738',64.94,1,3,NULL),(28,7303270,'1994-04-12 00:00:00',2,10,12,2011,'M','N','ESPERANÇA','LAGUNA','SC','124241241225121431325511115121610111182',9815,'524',46.93,2,3,NULL),(28,7303289,'1994-09-09 00:00:00',4,22,10,2011,'M','N','CENTRO','BRUSQUE','SC','124241241315121631548811475111610167057',12837,'1244',49.25,1,3,NULL),(28,7303297,'1994-01-18 00:00:00',2,1,12,2011,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241117371431326329346224610136177',15047,'591',37.46,1,2,1),(28,7303300,'1993-04-11 00:00:00',2,1,12,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242246217131611336624245135610137067',19864,'1075',29.74,1,3,NULL),(28,7303319,'1991-09-18 00:00:00',2,15,12,2008,'M','N','COLONINHA','ARARANGUÁ','SC','124241241116111432524934345114610124043',NULL,'29',24.22,1,3,NULL),(28,7303335,'1993-12-06 00:00:00',2,23,12,2010,'F','N','BEIRA RIO','GUARAMIRIM','SC','124241241126371431435332375124610123147',NULL,'337',34.00,1,3,NULL),(28,7303378,'1994-08-29 00:00:00',4,1,12,2011,'M','N','CENTRO','GAROPABA','SC','124241241125131731423611145125610142047',NULL,'322',20.61,1,2,1),(28,7303386,'1985-06-01 00:00:00',4,2,12,2002,'F','N','ASILO','BLUMENAU','SC','124241241216135451436619495134232948177',3591,'86',60.55,1,3,NULL),(28,7303408,'1992-08-27 00:00:00',2,1,12,2009,'M','N','BELA VISTA','S JOSÉ','SC','124244241216144751325531142112120962142',11406,'738',42.38,1,3,NULL),(28,7303424,'1994-10-01 00:00:00',2,15,11,2011,'F','N','SAPIRANGA','MELEIRO','SC','124244241215371431444616275122610128072',NULL,'970',0.00,1,3,NULL),(28,7303432,'1994-02-28 00:00:00',2,1,12,2011,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241248312111431336622575124610125092',NULL,'300',29.51,1,3,NULL),(28,7303440,'1994-01-24 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111411558619472124610122145',11119,'270',51.93,1,3,NULL),(28,7303459,'1994-06-06 00:00:00',4,17,12,2011,'F','N','CENTRO','CANOINHAS','SC','124241241117371732436611195122610161097',17858,'146',29.41,4,2,1),(28,7303467,'1995-01-09 00:00:00',2,4,12,2011,'F','N','JARDIM ITÁLIA','CHAPECÓ','SC','124242241216131431347934575122610162047',NULL,'1021',14.76,1,3,NULL),(28,7303475,'1993-07-13 00:00:00',4,1,12,2010,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215372431468811472112233237042',686,'1198',73.03,1,3,NULL),(28,7303483,'1991-01-27 00:00:00',4,10,12,2008,'M','N','AÇUCENA','BRAÇO NORTE','SC','124241241116142431433335445123610162042',NULL,'100',29.18,1,2,1),(28,7303491,'1994-08-17 00:00:00',4,1,11,2011,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124243241112272431469913572121610124052',271,'271',79.61,1,3,NULL),(28,7303505,'1994-05-30 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217122431358614575114610167057',12694,'1169',42.07,1,3,NULL),(28,7303513,'1993-01-04 00:00:00',4,1,12,2011,'F','N','PERDIZES','S PAULO','SP','125242251217111431456814575124610122172',NULL,'9998',0.00,1,3,NULL),(28,7303530,'1992-03-16 00:00:00',2,27,12,2009,'F','N','CENTRO','GUARACIABA','SC','124241241216373431343933575124243244182',NULL,'1022',0.00,1,3,NULL),(28,7303548,'1994-09-12 00:00:00',4,26,12,2011,'M','N','CENTRO','PERITIBA','SC','124241241116151411333923576124610124047',8440,'612',49.37,1,2,1),(28,7303564,'1985-09-04 00:00:00',2,1,6,2005,'M','N','CAEIRA DO SACO DOS L','FLORIANÓPOLIS','SC','624241241123134431633534142222121764183',NULL,'277',0.00,1,2,1),(28,7303572,'1992-12-18 00:00:00',4,1,12,2010,'M','N','ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC','124242246213313121489811423111610168177',9337,'270',54.82,1,3,NULL),(28,7303580,'1991-11-27 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117372441648612445124223267012',NULL,'739',43.29,1,2,1),(28,7303599,'1994-10-07 00:00:00',4,17,12,2011,'M','N','RESTINGA','MAFRA','SC','124162161215111231469933572122610164052',17354,'9998',31.45,1,3,NULL),(28,7303610,'1991-04-24 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241216372751336629445124610167187',7384,'738',52.09,1,3,NULL),(28,7303637,'1988-10-13 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217271411469813472122230267122',7811,'9997',57.45,1,3,NULL),(28,7303653,'1994-11-16 00:00:00',2,7,12,2011,'F','N','CENTRO','CAMPOS NOVOS','SC','124244241315161432456812295122610117057',19609,'139',31.93,1,3,NULL),(28,7303661,'1993-06-18 00:00:00',4,10,12,2011,'F','N','CENTRO','LAGUNA','SC','124211248446471431334629295124610126142',17494,'524',28.96,4,3,NULL),(28,7303670,'1992-02-04 00:00:00',2,24,12,2009,'F','N','CENTRO','JOSÉ BOITEUX','SC','124243241216473421168613435122231063192',6165,'346',55.93,4,3,NULL),(28,7303688,'1994-06-16 00:00:00',2,1,12,2011,'F','N','ARIRIU','PALHOÇA','SC','124244241217151432324614572124610114172',NULL,'1218',43.17,1,3,NULL),(28,7303696,'1994-01-19 00:00:00',4,2,12,2011,'F','N','VALPARAÍSO','BLUMENAU','SC','124244241215131431435731572122610134182',3007,'71',61.24,1,3,NULL),(28,7303700,'1992-08-07 00:00:00',5,5,7,2010,'M','N','SÃO ROQUE','CRICIÚMA','SC','124241246215151421434316445122610168045',NULL,'995',28.82,1,3,NULL),(28,7303718,'1994-05-15 00:00:00',2,1,12,2010,'F','N','JARDIM CIDADE','S JOSÉ','SC','124242241316272411336829345234610134117',19751,'257',30.66,1,3,NULL),(28,7303726,'1994-09-03 00:00:00',2,1,12,2011,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241115471531636717285124610134147',NULL,'307',39.31,1,2,1),(28,7303742,'1994-10-23 00:00:00',4,1,12,2011,'F','N','ROÇADO','S JOSÉ','SC','124241241225131731536724275124610137183',10037,'262',44.62,1,3,NULL),(28,7303750,'1993-04-27 00:00:00',4,8,12,2010,'M','N','ITAUM','JOINVILLE','SC','124241246216132411228314195124231415031',NULL,'1105',0.00,1,3,NULL),(28,7303777,'1993-02-27 00:00:00',4,24,12,2010,'M','N','SUMARE','RIO SUL','SC','124241241116132431333823345123610136052',17711,'659',39.71,1,2,1),(28,7303793,'1994-09-15 00:00:00',4,1,12,2011,'M','N','CENTRO','AMPÉRE','PR','116162201416471431447834175124610167187',NULL,'9998',0.00,1,3,NULL),(28,7303807,'1994-07-30 00:00:00',4,22,11,2011,'F','N','NOVA BRASÍLIA','BRUSQUE','SC','124242241215112431546612575122610131142',9443,'109',47.34,1,3,NULL),(28,7303815,'1994-05-22 00:00:00',4,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241216272431538933575124610166142',8745,'723',49.11,1,3,NULL),(28,7303823,'1993-01-17 00:00:00',2,8,12,2010,'F','N','CENTRO','OURO FINO','MG','113131131316271211418823582224610112147',NULL,'9997',23.57,1,3,NULL),(28,7303831,'1994-08-28 00:00:00',4,5,11,2011,'M','N','SANTA CATARINA','CRICIÚMA','SC','124242241215111431349921575122610117012',12904,'226',49.14,1,3,NULL),(28,7303840,'1993-08-28 00:00:00',4,1,11,2010,'M','N','BOTAFOGO','CAMPINAS','SP','125252251217471411358724575124610131042',4420,'9998',58.01,1,3,NULL),(28,7303890,'1994-07-09 00:00:00',2,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241115371731436624575114610127045',9583,'307',46.44,1,3,NULL),(28,7303904,'1989-12-09 00:00:00',4,1,12,2006,'F','N','SERRARIA','S JOSÉ','SC','224241251215472421234654342124131222147',19333,'9998',33.72,1,3,NULL),(28,7303912,'1990-01-19 00:00:00',2,1,12,2007,'F','N','SÃO MARCOS','BIGUAÇU','SC','124241241116131431533315271214610127047',NULL,'65',23.05,1,2,1),(28,7303920,'1993-02-18 00:00:00',4,1,12,2010,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241112152751358614275114610167042',NULL,'278',19.83,1,2,1),(28,7303939,'1994-11-10 00:00:00',4,1,11,2011,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124242241215111431457824575124610144142',4463,'270',56.57,1,3,NULL),(28,7303947,'1992-11-26 00:00:00',4,2,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217152431579933575125221463122',3063,'855',60.53,1,3,NULL),(28,7303955,'1994-06-28 00:00:00',2,8,12,2011,'F','N','AVENTUREIRO','JOINVILLE','SC','124241241216131431445923572124610135147',NULL,'462',0.00,1,3,NULL),(28,7303963,'1989-04-13 00:00:00',2,1,12,2006,'F','N','RIO BRANCO','PTO ALEGRE','RS','120203201217573431456314434124123257097',733,'9998',71.63,4,3,NULL),(28,7303971,'1990-07-31 00:00:00',4,8,12,2008,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241216213711589914475124120214092',5266,'1063',61.91,1,3,NULL),(28,7303980,'1995-11-17 00:00:00',4,10,12,2012,'F','S','VILA NOVA','IMBITUBA','SC','124243248222111731526719575124610124147',NULL,'524',15.93,1,3,NULL),(28,7303998,'1994-08-30 00:00:00',2,22,12,2011,'F','N','TRINTA RÉIS','NOVA TRENTO','SC','124241241135371431426669245124610113097',13133,'574',41.56,1,2,1),(28,7304005,'1995-01-24 00:00:00',4,10,12,2011,'F','N','HUMAITÁ','TUBARÃO','SC','124242241215271431447714575122610167142',10084,'797',45.90,1,3,NULL),(28,7304013,'1995-01-11 00:00:00',4,1,12,2012,'M','S','GLORIA','JOINVILLE','SC','124242241217121531469832575122610166082',NULL,'1063',37.53,1,3,NULL),(28,7304030,'1994-05-11 00:00:00',4,27,12,2011,'F','N','CENTRO','CUNHA PORÃ','SC','124241241117371431466732175124610144142',19636,'552',31.70,1,3,NULL),(28,7304048,'1980-03-29 00:00:00',4,1,12,1996,'M','N','BELA VISTA','PALHOÇA','SC','224244241336162441326641315122130227067',13762,'272',47.79,1,3,NULL),(28,7304056,'1996-01-20 00:00:00',4,10,11,2012,'F','S','HUMAITÁ','TUBARÃO','SC','124242241215371731638833575122610138146',NULL,'807',64.23,1,3,NULL),(28,7304064,'1992-07-06 00:00:00',4,15,12,2009,'F','N','SETE DE SETEMBRO','DOIS IRMÃOS','RS','120201206116571741457619573124610134017',1057,'9998',67.58,1,2,1),(28,7304080,'1994-09-02 00:00:00',4,10,12,2011,'F','N','CRISTO REI','S LEOPOLDO','RS','120202201217131411469514475122610166177',17247,'9998',40.90,1,3,NULL),(28,7304099,'1994-02-02 00:00:00',2,8,12,2011,'F','N','ITAUM','JOINVILLE','SC','124241248216111431457619575124610127072',13538,'1105',39.00,1,3,NULL),(28,7304102,'1993-03-08 00:00:00',4,22,12,2011,'M','N','JARDIM ESTORIL','OURINHOS','SP','125253251117371431236923585124610134082',NULL,'9998',29.78,3,3,NULL),(28,7304110,'1994-07-22 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431349819375122610164092',13569,'226',42.66,4,3,NULL),(28,7304129,'1994-05-02 00:00:00',4,4,11,2011,'M','N','MARIA GORETTI','CHAPECÓ','SC','124242241215471431558812474122610117042',NULL,'168',28.96,1,3,NULL),(28,7304137,'1993-04-07 00:00:00',2,4,12,2010,'M','N','VILLA CEZAMO','XANXERÊ','SC','124241241137141712333639345123610127047',NULL,'949',18.10,1,3,NULL),(28,7304145,'1994-12-10 00:00:00',4,4,12,2011,'F','N','PIONEIRO','PINHALZINHO','SC','124241241415111731548832575122610138142',6270,'185',52.45,1,3,NULL),(28,7304153,'1994-10-11 00:00:00',4,1,11,2011,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','124242241215111712237821585114610114032',17722,'1022',39.69,1,3,NULL),(28,7304170,'1991-11-25 00:00:00',2,3,12,2009,'M','N','CENTRO','PTO BELO','SC','124242246216113421449911375114221467091',18874,'1119',35.78,1,3,NULL),(28,7304188,'1993-11-13 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116252711349923315124610135183',10735,'267',44.29,4,3,NULL),(28,7304196,'1994-03-20 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431338719575114610124142',17973,'1169',28.83,1,3,NULL),(28,7304218,'1990-11-07 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124251251116573411246633475124221466057',3928,'9998',57.19,4,2,1),(28,7304226,'1993-12-12 00:00:00',4,15,12,2011,'F','N','NOVA DIVINÉIA','ARARANGUÁ','SC','124241241136131431217621595325610115183',19696,'30',23.60,4,2,1),(28,7304234,'1992-07-07 00:00:00',2,1,7,2011,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124243246116152631656933595121231417052',NULL,'306',33.21,1,3,NULL),(28,7304277,'1986-12-03 00:00:00',2,1,12,2005,'F','N','AREIAS','S JOSÉ','SC','124241241217131711113549491124131036182',NULL,'9999',0.00,4,1,2),(28,7304285,'1994-04-11 00:00:00',4,1,12,2011,'F','N','PACHECOS','PALHOÇA','SC','124241241115271411211315585124610118187',16073,'592',35.79,1,2,1),(28,7304293,'1995-01-19 00:00:00',4,1,11,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431489933572124610163182',3177,'270',61.50,1,3,NULL),(28,7304307,'1994-06-03 00:00:00',2,1,12,2011,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241215131431438711575124610141097',10935,'1049',44.28,1,3,NULL),(28,7304323,'1994-10-27 00:00:00',4,1,12,2011,'F','N','FUNDOS','BIGUAÇU','SC','124241241115471431413334575124610124142',14657,'65',37.43,1,2,1),(28,7304331,'1992-07-19 00:00:00',4,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124242241216273241463612576124123267026',3984,'737',64.49,1,3,NULL),(28,7304340,'1993-10-15 00:00:00',4,1,7,2011,'F','N','BELA VISTA','PALHOÇA','SC','124241241116371431436614375124610122182',8054,'739',48.22,1,2,1),(28,7304366,'1993-02-22 00:00:00',4,8,12,2010,'F','N','JARDIM SOFIA','JOINVILLE','SC','124241241415572431469933475124610128147',NULL,'478',0.00,1,3,NULL),(28,7304374,'1994-09-12 00:00:00',4,1,12,2011,'F','N','JARDIM ITAIPU','MARÍLIA','SP','125252251215111231558814575122610124151',11580,'9998',44.10,1,3,NULL),(28,7304390,'1990-04-30 00:00:00',2,5,12,2007,'F','N','BOCA DO PIQUE','MELEIRO','SC','124241241117132431534316482124230423097',16800,'559',33.79,1,2,1),(28,7304404,'1994-04-08 00:00:00',4,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215122431469513575122610143185',2932,'270',59.65,1,3,NULL),(28,7304412,'1993-03-06 00:00:00',4,8,12,2010,'M','N','CENTRO','CPO MOURÃO','PR','116162168115371431469814574114241417042',7465,'9998',49.83,3,3,NULL),(28,7304420,'1991-12-05 00:00:00',2,22,12,2008,'M','N','SÃO LUIZ','BRUSQUE','SC','124241241127472141334414282112610124187',7382,'112',54.77,1,3,NULL),(28,7304439,'1992-01-14 00:00:00',2,7,12,2010,'F','N','SANTO ANTÔNIO','HERVAL D OESTE','SC','124241243136371411313334245124130828172',18268,'341',38.07,4,2,1),(28,7304447,'1984-09-15 00:00:00',2,1,12,2002,'F','N','CRAVOEIRA','FLORIANÓPOLIS','SC','224161161116151431253353435122542226097',19142,'9998',34.68,1,3,NULL),(28,7304455,'1995-01-24 00:00:00',2,4,12,2011,'M','N','SÃO JOSE','S DOMINGOS','SC','124241162116161431454923575121610154052',NULL,'9998',0.00,1,2,1),(28,7304480,'1993-06-20 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124244241235112421438312395122610124192',17149,'738',41.15,1,3,NULL),(28,7304498,'1994-06-18 00:00:00',4,1,11,2011,'F','N','ESTREIRO','FLORIANÓPOLIS','SC','124242241215131411359613572122610111127',9754,'1198',46.58,1,3,NULL),(28,7304501,'1994-12-08 00:00:00',4,1,12,2011,'M','N','JARDIM DOS PRINCIPES','UMUARAMA','PR','116162161217112441546634575122610162012',8515,'9998',52.02,1,3,NULL),(28,7304528,'1994-07-22 00:00:00',4,8,12,2011,'M','N','BIGORRILHO','CURITIBA','PR','116162161215111431459814575122610167052',NULL,'9998',0.00,1,3,NULL),(28,7304536,'1994-09-02 00:00:00',4,6,12,2011,'M','N','ARAÇA','PTO BELO','SC','124241248115161421313544345124610111092',NULL,'630',9.76,1,2,1),(28,7304544,'1995-10-20 00:00:00',4,10,12,2011,'M','N','CENTRO','BRAÇO NORTE','SC','124242241115271441467632575114610166082',15749,'807',44.20,1,3,NULL),(28,7304552,'1993-03-13 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241116372431436414245134610122037',NULL,'730',34.33,1,2,1),(28,7304560,'1994-06-09 00:00:00',2,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241116371131453774395124610116144',15159,'281',36.52,1,2,1),(28,7304595,'1990-08-17 00:00:00',4,27,12,2007,'F','N','JARDIM','S JOSÉ CEDRO','SC','124241241116371531324324395122610121147',14472,'740',46.63,1,2,1),(28,7304609,'1991-08-17 00:00:00',2,1,12,2011,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241135151711546631342124610116141',17098,'295',32.20,1,2,1),(28,7304617,'1991-05-18 00:00:00',2,6,11,2009,'F','N','VÁRZEA','ITAPEMA','SC','124241241111151431313323475111610137147',NULL,'406',17.42,1,2,1),(28,7304625,'1982-07-14 00:00:00',4,1,12,1999,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241217133741139941415223120966037',8310,'541',56.61,1,3,NULL),(28,7304650,'1994-04-10 00:00:00',2,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241217371411558933345114610164141',4773,'403',57.14,1,3,NULL),(28,7304668,'1993-07-26 00:00:00',2,1,12,2010,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241112142411226441375121230216142',12848,'65',39.71,1,2,1),(28,7304676,'1990-02-20 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117142431426419235124610167177',12688,'1034',41.26,1,2,1),(28,7304692,'1994-08-23 00:00:00',2,8,12,2011,'M','N','BOA VISTA','JOINVILLE','SC','124242241215131711458814575112610165197',NULL,'1006',24.02,1,3,NULL),(28,7304749,'1994-03-30 00:00:00',2,2,12,2011,'F','N','NAÇÕES','TIMBÓ','SC','124241241126131731647534335121610134147',NULL,'870',19.22,1,2,1),(28,7304757,'1994-02-10 00:00:00',2,2,12,2010,'M','N','NOVA ESPERANÇA','BLUMENAU','SC','124241241116151731333711272114610167057',NULL,'83',36.21,4,2,1),(28,7304765,'1993-06-06 00:00:00',4,8,11,2010,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124241241114472431443923575124230566193',17936,'1063',39.12,4,3,NULL),(28,7304773,'1994-11-17 00:00:00',2,1,12,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111731436611245124610123075',15425,'300',36.30,1,3,NULL),(28,7304781,'1989-01-24 00:00:00',2,1,12,2008,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241247446371751433474245124133247187',10231,'9999',46.21,1,3,NULL),(28,7304790,'1993-08-10 00:00:00',4,1,12,2010,'M','N','LIBERDADE','S PAULO','SP','125252251217472431468832575115610167052',NULL,'9998',0.00,1,3,NULL),(28,7304811,'1994-02-22 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431333412572112610167182',17977,'270',39.00,1,3,NULL),(28,7304820,'1994-03-14 00:00:00',4,1,12,2011,'M','N','ALTO BOA VISTA','FRUTAL','MG','113132131236111431459913572112610167052',5300,'9998',56.10,1,3,NULL),(28,7304854,'1994-10-03 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115371431535821385124610138117',14789,'307',38.61,1,2,1),(28,7304862,'1993-08-28 00:00:00',4,1,1,2011,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241147132431431119175124222162186',NULL,'281',0.00,1,2,1),(28,7304870,'1995-06-06 00:00:00',2,4,12,2012,'M','S','CENTRO','S CARLOS','SC','124241241117151712436933135122610122177',NULL,'704',47.89,1,3,NULL),(28,7304889,'1994-01-26 00:00:00',4,1,12,2011,'F','N','SANTA TERESA','S PEDRO ALCÂNTARA','SC','124241241115111431436833175124610126057',15277,'733',34.21,1,2,1),(28,7304897,'1991-06-25 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124161161117472431638619345134610123147',17993,'9998',31.28,1,2,1),(28,7304900,'1993-06-06 00:00:00',2,1,12,2010,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124242241216372751334612572114610137117',15369,'1048',35.84,1,3,NULL),(28,7304919,'1993-09-22 00:00:00',2,6,12,2011,'M','N','SÃO JOÃO','ITAJAÍ','SC','124242241237111431445712575122610117182',NULL,'1059',0.00,1,3,NULL),(28,7304927,'1993-11-11 00:00:00',4,8,12,2011,'M','N','GLÓRIA','JOINVILLE','SC','124242241215111431346821575122610164042',6420,'1063',54.45,1,3,NULL),(28,7304935,'1994-05-25 00:00:00',4,1,12,2011,'F','N','FAZENDA S ANTÔNIO','S JOSÉ','SC','124241241112131431526334572124610112073',NULL,'733',19.30,1,2,1),(28,7304943,'1993-10-24 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215272431537923574121610164117',3997,'855',58.51,2,3,NULL),(28,7304951,'1994-11-16 00:00:00',4,23,12,2011,'F','N','AMIZADE','GUARAMIRIM','SC','124241241126141731426514245334610122157',NULL,'336',0.00,1,3,NULL),(28,7304960,'1994-06-16 00:00:00',4,5,10,2011,'F','N','MINA BRASIL','CRICIÚMA','SC','124244241215161421235921375124610136177',9580,'880',46.86,1,3,NULL),(28,7304978,'1984-01-19 00:00:00',2,10,12,2004,'M','N','IBIRAQUERA','IMBITUBA','SC','124244241436372421125741115222610164093',9194,'361',47.57,1,3,NULL),(28,7304986,'1994-08-12 00:00:00',4,2,12,2011,'F','N','CENTRO','BLUMENAU','SC','124242241235112431348532171112610164072',9978,'87',45.24,1,3,NULL),(28,7304994,'1994-07-21 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115471411323611585124610124042',12065,'307',41.06,4,2,1),(28,7305001,'1994-10-06 00:00:00',4,8,11,2011,'F','N','IRIRIÚ','JOINVILLE','SC','124242241217271431369934375122610134142',14442,'1105',46.67,1,3,NULL),(28,7305010,'1994-05-27 00:00:00',4,27,12,2011,'F','N','INTERIOR','ITAPIRANGA','SC','124241241115161431524315171124610126052',12490,'408',39.69,1,2,1),(28,7305028,'1992-06-21 00:00:00',4,8,11,2011,'F','N','COMASA','JOINVILLE','SC','124241247315131431526514385124610126072',8921,'9999',49.14,1,3,NULL),(28,7305036,'1992-09-09 00:00:00',4,1,12,2009,'M','N','CENTRO','S JOSÉ PINHAIS','PR','116162161116572431567614275124143162147',15648,'9998',33.71,1,3,NULL),(28,7305044,'1992-10-23 00:00:00',2,8,12,2009,'F','N','BOM RETIRO','JOINVILLE','SC','124242241216113432368913375124221464092',8750,'738',55.85,1,3,NULL),(28,7305052,'1993-07-30 00:00:00',4,1,6,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242281217371431579613575114610122045',16748,'9998',42.10,1,3,NULL),(28,7305060,'1989-01-11 00:00:00',4,1,12,2006,'F','N','JARDIM PAINEIRAS','CAMPINAS','SP','125252251216571411468814475122142867182',957,'9998',70.32,3,3,NULL),(28,7305079,'1994-04-28 00:00:00',4,1,12,2011,'M','N','BOM CLIMA','GUARULHOS','SP','125252251216111431359923475122610164042',NULL,'9998',19.63,1,3,NULL),(28,7305087,'1994-09-28 00:00:00',4,1,12,2011,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127371431436913575124610132187',7199,'274',51.66,1,2,1),(28,7305095,'1992-01-16 00:00:00',2,1,12,2009,'F','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241117272431536414445124610123057',17041,'307',31.66,1,2,1),(28,7305109,'1989-08-26 00:00:00',2,16,12,2006,'F','N','ÁGUA SANTA','CURITIBANOS','SC','124241241126141431326344445122230434177',NULL,'239',0.00,1,2,1),(28,7305125,'1992-02-15 00:00:00',4,17,11,2009,'M','N','CENTRO','S MATEUS SUL','PR','116162161217164411528818313325610166182',NULL,'9998',0.00,1,3,NULL),(28,7305133,'1990-05-13 00:00:00',2,2,12,2008,'M','N','NOVA ESPERANÇA','BLUMENAU','SC','124241241117153112235574244114610167057',10455,'83',44.51,1,2,1),(28,7305141,'1994-07-26 00:00:00',4,2,12,2011,'M','N','CENTRO','POMERODE','SC','124244241117161431458933592122610137047',19843,'621',29.89,1,3,NULL),(28,7305168,'1995-03-23 00:00:00',4,1,11,2012,'F','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217111751458919395124610168197',NULL,'270',50.79,1,3,NULL),(28,7305176,'1994-06-29 00:00:00',2,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124244241217141431444831575124610137047',11389,'995',41.65,1,3,NULL),(28,7305184,'1993-12-22 00:00:00',4,23,12,2010,'M','N','ANO BOM','CORUPÁ','SC','124241241146161411433933296121230664172',14094,'203',47.27,1,2,1),(28,7305206,'1989-02-22 00:00:00',4,1,12,2011,'F','N','JARDIM EUROPA','BIGUAÇU','SC','124243247415131731526513292124610124187',NULL,'9999',16.65,1,3,NULL),(28,7305214,'1994-10-30 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215121431369914375122610142142',10432,'210',53.03,1,3,NULL),(28,7305222,'1992-04-15 00:00:00',2,24,11,2009,'F','N','CENTRO','TAIÓ','SC','124242241215575451448632575124232433047',NULL,'270',0.00,1,3,NULL),(28,7305230,'1990-05-05 00:00:00',6,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241125271751623414446133610134047',NULL,'831',5.26,1,3,NULL),(28,7305249,'1987-08-16 00:00:00',2,1,12,2005,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216115411228613445124330236182',1155,'1022',68.87,1,3,NULL),(28,7305257,'1994-08-28 00:00:00',4,10,12,2011,'M','N','MONTE CASTELO','TUBARÃO','SC','124241248212131411225724575125610154142',16945,'1120',35.37,1,3,NULL),(28,7305265,'1994-08-20 00:00:00',2,1,11,2011,'F','N','CENTRO','OURO','SC','124242241215111431448933472124610117072',3604,'270',60.96,1,3,NULL),(28,7305273,'1991-08-31 00:00:00',2,1,12,2011,'M','N','CENTRO HISTORICO','GAROPABA','SC','124231241127141431428511245113610164117',NULL,'322',21.66,1,2,1),(28,7305281,'1994-02-22 00:00:00',2,16,12,2011,'F','N','DISTRITO INDUSTRIAL','BRUNÓPOLIS','SC','124241241217111331423616575122610165145',NULL,'881',24.65,1,3,NULL),(28,7305290,'1994-08-24 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117471751523314282124610127042',14820,'1248',38.41,1,2,1),(28,7305303,'1987-12-11 00:00:00',4,23,12,2006,'M','N','BARRA RIO DO CERRO','JARAGUÁ SUL','SC','124241241146171421421644345124610167057',NULL,'412',0.00,1,3,NULL),(28,7305311,'1992-05-30 00:00:00',4,8,12,2009,'F','N','NOVA RUSSIA','PNT GROSSA','PR','116162161216571431669911575132610167072',NULL,'9998',0.00,1,3,NULL),(28,7305320,'1990-12-16 00:00:00',4,5,12,2007,'M','N','CENTRO','CRICIÚMA','SC','124241241215574211236623285115610162117',6315,'226',54.55,1,3,NULL),(28,7305338,'1994-01-25 00:00:00',4,1,12,2011,'M','N','JARDIM MADALENA','CAMPINAS','SP','125252251217111431458931575122610137052',2150,'9998',63.54,1,3,NULL),(28,7305346,'1994-04-10 00:00:00',4,2,12,2011,'F','N','MARGEM ESQUERDA','GASPAR','SC','124241241117371731426671596124610141147',18295,'327',30.96,1,2,1),(28,7305354,'1995-08-10 00:00:00',3,1,12,2012,'F','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111451468832425122610123192',NULL,'951',0.00,1,3,NULL),(28,7305362,'1993-06-09 00:00:00',2,1,11,2010,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124244241212372321536613342124610111097',NULL,'270',22.24,1,3,NULL),(28,7305370,'1990-02-12 00:00:00',2,23,6,2008,'M','N','BRASILIA','S BENTO SUL','SC','124241247315571731423314292212610127092',9200,'9999',55.07,1,3,NULL),(28,7305389,'1984-08-30 00:00:00',4,1,12,2003,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241214574431458813482124333245097',6425,'262',51.37,1,3,NULL),(28,7305397,'1995-03-30 00:00:00',4,15,12,2011,'F','N','MATO ALTO','ARARANGUÁ','SC','124242241215371431448923575122610165147',1247,'970',69.78,1,3,NULL),(28,7305419,'1994-03-29 00:00:00',2,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431446613215112610117042',13001,'210',48.99,1,3,NULL),(28,7305427,'1992-12-15 00:00:00',2,8,12,2010,'M','N','IGUABINHA','ARARUAMA','RJ','121214211217371431669913575124610166182',12958,'9998',49.06,1,3,NULL),(28,7305435,'1993-02-28 00:00:00',4,22,12,2011,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241142151531444731195122610166182',20011,'712',27.93,1,2,1),(28,7305443,'1994-09-12 00:00:00',4,1,12,2011,'F','N','SÃO FRANCISCO','FARROUPILHA','RS','120202201217371751335711395122610134143',13193,'9998',48.71,1,3,NULL),(28,7305451,'1994-06-04 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431566833575112610125147',3843,'270',59.61,1,3,NULL),(28,7305460,'1989-09-15 00:00:00',3,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241117152411457923475124221966037',4777,'737',62.84,4,3,NULL),(28,7305494,'1994-09-05 00:00:00',2,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124204241417271441326631375121610161117',11680,'285',43.33,1,3,NULL),(28,7305508,'1993-01-28 00:00:00',4,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215372431454533485114122324182',5077,'272',57.74,1,3,NULL),(28,7305524,'1995-04-12 00:00:00',4,8,12,2012,'F','S','BOM RETIRO','JOINVILLE','SC','124242241215111752439812595142610137123',NULL,'1063',39.08,1,3,NULL),(28,7305532,'1994-08-10 00:00:00',4,15,12,2011,'M','N','RODRIGUES','PASSO FUNDO','RS','120203201117471431469913575112610127042',2245,'9998',64.94,1,3,NULL),(28,7305540,'1993-06-02 00:00:00',4,10,12,2011,'F','N','PORTINHO','LAGUNA','SC','124241241115371231426513285114610127147',NULL,'521',14.31,1,2,1),(28,7305559,'1992-08-31 00:00:00',2,1,12,2009,'F','N','SALGADO FILHO','CAXIAS SUL','RS','120201201117271431446613385124140234076',14375,'9998',37.03,1,2,1),(28,7305567,'1992-05-22 00:00:00',4,1,11,2011,'F','N','JARDIM FRANÇA','S PAULO','SP','125252251117371231326412575122610162017',NULL,'9998',0.00,1,3,NULL),(28,7305575,'1993-05-07 00:00:00',4,5,12,2010,'F','N','SÃO LUIZ','CRICIÚMA','SC','124244246211472431534933371124610135052',2273,'995',61.34,1,3,NULL),(28,7305583,'1994-02-25 00:00:00',2,1,12,2011,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241127141431436314475114610127042',16231,'290',34.04,1,2,1),(28,7305591,'1994-07-13 00:00:00',4,4,12,2011,'M','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124243241116371431348919345125610137052',9058,'182',47.65,1,3,NULL),(28,7305605,'1983-05-23 00:00:00',2,1,12,2000,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241116473431446413485123321437127',11357,'293',51.54,1,2,1),(28,7305613,'1993-04-22 00:00:00',2,1,7,2011,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124252257216271731446839596124610162187',12573,'9998',43.25,1,3,NULL),(28,7305621,'1985-05-14 00:00:00',2,1,12,2002,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241125374421446317245124321962195',NULL,'307',0.00,1,2,1),(28,7305630,'1994-12-29 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215222431444767572122610112182',1680,'270',67.90,4,3,NULL),(28,7305648,'1991-08-17 00:00:00',4,1,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241212574431449922592124120422172',NULL,'44',0.00,4,3,NULL),(28,7305656,'1992-09-03 00:00:00',4,1,12,2010,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091215472431559913572112610147072',1736,'9998',64.69,1,3,NULL),(28,7305664,'1994-05-11 00:00:00',4,5,12,2011,'M','N','BAIRO CENTRO','CRICIÚMA','SC','124241246415111212438839575124610122187',13962,'995',38.41,1,3,NULL),(28,7305680,'1994-03-04 00:00:00',2,5,11,2011,'M','N','MICHEL','CRICIÚMA','SC','124244241217111431458814585112610144042',19164,'210',34.54,1,3,NULL),(28,7305699,'1992-09-29 00:00:00',4,1,12,2010,'F','N','CAMINHOS SAN CONRADO','CAMPINAS','SP','125252251216371441458814595124610113093',5137,'9998',57.34,1,3,NULL),(28,7305702,'1995-01-04 00:00:00',2,1,11,2012,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115111411536632575122610137072',NULL,'271',33.50,1,3,NULL),(28,7305710,'1994-08-11 00:00:00',4,5,10,2011,'M','N','CENTRO','ORLEANS','SC','124242241217111531448512475112610161187',NULL,'226',36.31,1,3,NULL),(28,7305729,'1993-08-17 00:00:00',2,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241136372411524524345134610167042',NULL,'292',16.87,1,3,NULL),(28,7305737,'1978-04-15 00:00:00',4,1,12,1995,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241116274431243343435122610114041',8108,'271',56.95,2,1,1),(28,7305745,'1993-08-06 00:00:00',2,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124241241117272431223329385114610137067',13092,'591',40.32,1,3,NULL),(28,7305753,'1994-02-25 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216112431347812572122610127077',10010,'270',48.82,1,3,NULL),(28,7305761,'1991-06-19 00:00:00',2,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241116273431228421285124131022187',NULL,'257',0.00,4,2,1),(28,7305770,'1993-08-03 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215372451369814345124610166092',3130,'1022',59.05,4,3,NULL),(28,7305788,'1993-07-16 00:00:00',4,26,12,2010,'F','N','NAZARÉ','CONCÓRDIA','SC','124241241116371431436712572122610122122',18237,'194',38.17,1,2,1),(28,7305796,'1990-10-08 00:00:00',2,1,12,2007,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241126132442423614442314230633147',12395,'649',42.10,1,2,1),(28,7305800,'1994-06-06 00:00:00',2,1,11,2011,'M','N','TAPERA','FLORIANÓPOLIS','SC','124242241215121431456633595124610127045',14676,'1050',46.22,1,3,NULL),(28,7305818,'1995-07-03 00:00:00',4,1,11,2012,'F','S','ROÇADO','S JOSÉ','SC','124242241215111431428632575124610124072',NULL,'738',34.17,1,3,NULL),(28,7305826,'1992-05-12 00:00:00',2,1,12,2010,'M','N','CENTRO','CASCAVEL','PR','116162161216572411548831575122610164052',2593,'9998',62.47,1,3,NULL),(28,7305834,'1987-12-19 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241335273421343333345124610167047',NULL,'9999',24.79,1,3,NULL),(28,7305842,'1986-02-05 00:00:00',2,1,12,2003,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201201116473431233651292344121424147',3196,'9998',61.17,1,2,1),(28,7305850,'1994-11-11 00:00:00',4,1,12,2011,'M','N','INDAIÁ','CARAGUATATUBA','SP','125252251217471211468914485122610144147',5281,'9998',55.21,1,3,NULL),(28,7305869,'1994-02-26 00:00:00',4,6,11,2011,'F','N','ARMAÇÃO','PENHA','SC','124242241214371431457632472124610127052',2492,'392',62.38,1,3,NULL),(28,7305877,'1991-07-26 00:00:00',4,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241416572411223579495124230244127',18814,'1022',36.03,1,3,NULL),(28,7305885,'1992-08-04 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217272231436821445134610117047',15073,'1075',45.47,1,3,NULL),(28,7305893,'1990-09-15 00:00:00',2,1,12,2007,'F','N','SERTAO DO MARUIM','S JOSÉ','SC','124241241127151431221151282311610134047',NULL,'1155',0.00,1,2,1),(28,7305907,'1990-06-03 00:00:00',2,4,12,2007,'M','N','PRESIDENTE MEDICI','CHAPECÓ','SC','124241241147131532433332385113130214061',18345,'182',37.80,1,2,1),(28,7305915,'1994-07-18 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241215111431466513375124610114122',15127,'272',37.45,1,3,NULL),(28,7305923,'1995-11-25 00:00:00',2,1,12,2011,'M','N','SERTÃO DO IMARUIM','S JOSÉ','SC','124244241217151332436613242124610117047',19763,'944',30.57,1,3,NULL),(28,7305931,'1993-07-28 00:00:00',2,5,12,2010,'F','N','JARDIM SILVANA','IÇARA','SC','124244241215473431248923585112610137057',5041,'226',57.35,1,3,NULL),(28,7305940,'1994-03-26 00:00:00',2,1,12,2011,'F','N','CENTRO','CEREJEIRAS','RO','122221221137161731346923575122610144147',13625,'9998',39.26,2,1,1),(28,7305958,'1994-01-20 00:00:00',4,1,1,2012,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241116371432536413175124610163142',6688,'307',54.03,2,2,1),(28,7305966,'1994-10-25 00:00:00',2,1,12,2011,'F','N','JARDIM UMUARAMA','CPO GRANDE','MS','112122121215111711358616465122610123197',NULL,'9998',0.00,4,3,NULL),(28,7305982,'1993-09-30 00:00:00',4,8,12,2010,'M','N','AGUA VERDE','CURITIBA','PR','116163161117471412348923585114610167187',NULL,'9998',0.00,1,3,NULL),(28,7305990,'1994-03-31 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215271431466933575124610131047',4993,'1198',57.44,1,3,NULL),(28,7306008,'1994-08-13 00:00:00',2,23,11,2011,'M','N','AMIZADE','JARAGUÁ SUL','SC','124244241215111431358612575122610167012',19798,'442',30.33,4,1,2),(28,7306016,'1992-08-30 00:00:00',4,1,12,2010,'M','N','LARANJAL','PELOTAS','RS','120201202116111441436811595124610127047',16723,'9998',32.27,1,3,NULL),(28,7306032,'1993-06-04 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','120242241215122431138921575124242437015',NULL,'1022',0.00,1,3,NULL),(28,7306040,'1993-10-22 00:00:00',4,15,12,2011,'M','N','SETE DE SETEMBRO','DOIS IRMÃOS','RS','120201201416471431457619572124610134017',9686,'9998',46.67,1,3,NULL),(28,7306059,'1994-08-23 00:00:00',4,2,11,2011,'F','N','GARCIA','BLUMENAU','SC','124242241217132431447711575122610124141',12037,'71',40.68,1,3,NULL),(28,7306075,'1994-04-22 00:00:00',4,1,12,2011,'M','N','CENTRO','ÁGUAS MORNAS','SC','124241241116371431533912575124610127052',NULL,'978',26.16,1,2,1),(28,7306083,'1993-01-20 00:00:00',4,1,12,2010,'F','N','CENTRO','SOROCABA','SP','125252251217472431538811471122610128147',5665,'9998',55.13,1,3,NULL),(28,7306091,'1994-06-11 00:00:00',2,10,11,2011,'M','N','VILA MOEMA','TUBARÃO','SC','124242241215151412548813576122610162082',2645,'797',62.11,1,3,NULL),(28,7306105,'1990-01-18 00:00:00',2,1,12,2007,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241136372431223424485124610122147',11539,'298',45.62,1,2,1),(28,7306113,'1995-06-20 00:00:00',4,1,2,2013,'M','S','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215111531467914475124610112045',NULL,'1250',29.16,1,3,NULL),(28,7306121,'1996-02-09 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215151431337724595114610133015',NULL,'1198',33.90,1,3,NULL),(28,7306130,'1981-05-17 00:00:00',4,1,12,1999,'F','N','INGLESES','FLORIANÓPOLIS','SC','224201201116131431233459445124231537047',NULL,'9998',21.43,1,2,1),(28,7306148,'1994-11-05 00:00:00',2,4,12,2011,'F','N','CENTRO','MARMELEIRO','PR','116161161415112411335512575122610143142',12985,'9998',40.08,1,3,NULL),(28,7306156,'1994-08-19 00:00:00',4,3,12,2011,'F','N','GLEBA PALHANO','LONDRINA','PR','116162161217121411578813575112610125122',6033,'9998',55.89,1,3,NULL),(28,7306164,'1962-10-23 00:00:00',2,1,12,1980,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241245116131431134343235124332765077',18732,'552',36.35,1,2,1),(28,7306172,'1994-08-03 00:00:00',2,1,12,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241216111431469911571122610167052',16775,'951',42.04,1,3,NULL),(28,7306180,'1994-07-29 00:00:00',4,1,12,2011,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241114371431423423595124610127182',15593,'295',37.02,2,1,1),(28,7306199,'1990-06-14 00:00:00',4,10,12,2007,'M','N','CENTRO','PEDRAS GRANDES','SC','124241241326372711537723395122610124042',18343,'608',37.81,1,3,NULL),(28,7306202,'1992-10-11 00:00:00',2,1,12,2009,'M','N','IBIRAQUERA','IMBITUBA','SC','124241241215373411438611572125610127117',15701,'362',36.08,1,3,NULL),(28,7306210,'1994-03-13 00:00:00',2,1,12,2011,'M','N','BELA VISTA','PALHOÇA','SC','124241241116271431436636195124610137047',6148,'592',55.08,1,2,1),(28,7306229,'1995-03-27 00:00:00',2,15,12,2011,'M','N','ALTO FELIZ','ARARANGUÁ','SC','124243248115111531436823575121610134125',NULL,'30',27.46,1,3,NULL),(28,7306245,'1994-09-08 00:00:00',4,8,11,2011,'F','N','SAGUAÇÚ','JOINVILLE','SC','124242241215111431459714575122610164042',2634,'457',62.50,1,3,NULL),(28,7306261,'1993-05-30 00:00:00',2,5,10,2010,'M','N','PROSPERA','CRICIÚMA','SC','124242241212112431346819575122610114127',9230,'226',55.02,1,3,NULL),(28,7306270,'1993-07-09 00:00:00',4,26,12,2010,'M','N','NAZARÉ','CONCÓRDIA','SC','124241241216371431436622342122610127142',NULL,'1001',30.30,1,3,NULL),(28,7306288,'1993-11-23 00:00:00',2,10,12,2011,'M','N','CENTRO','CAPIVARI BAIXO','SC','124242241217111431327923575124610126187',13738,'806',41.84,1,3,NULL),(28,7306300,'1993-05-28 00:00:00',4,25,12,2010,'M','N','CENTRO','FRAIBURGO','SC','124244241215142431369913342122231024182',NULL,'885',0.00,1,3,NULL),(28,7306326,'1990-09-12 00:00:00',4,1,12,2008,'M','N','CENTRO','PEDERNEIRAS','SP','125252251215571411466612372112610147187',173,'9998',78.68,1,3,NULL),(28,7306334,'1994-11-12 00:00:00',4,4,12,2011,'M','N','AGOSTINI','S MIGUEL OESTE','SC','124242241215111311458833575112610124042',7348,'1079',51.79,1,3,NULL),(28,7306342,'1990-10-29 00:00:00',2,5,12,2009,'F','N','N SENHORA DA SALETE','CRICIÚMA','SC','124241241312131431326611375124610133147',NULL,'218',27.40,1,3,NULL),(28,7306350,'1989-07-31 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115153431534611215124120726192',9277,'306',54.93,1,2,1),(28,7306369,'1994-09-01 00:00:00',2,5,12,2011,'F','N','MINA NOVA','LAURO MÜLLER','SC','124241241117371731423319575124610128197',NULL,'531',0.00,1,2,1),(28,7306377,'1992-10-29 00:00:00',4,23,12,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241417151431469833495124231266097',NULL,'425',12.81,1,3,NULL),(28,7306415,'1988-08-05 00:00:00',4,10,11,2005,'M','N','STO ANT DE PÁDUA','TUBARÃO','SC','124242241216572431249821572112131064042',8334,'806',56.56,1,3,NULL),(28,7306423,'1993-11-26 00:00:00',2,1,12,2011,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241147271431437813575124610117047',NULL,'733',32.97,1,3,NULL),(28,7306431,'1994-10-24 00:00:00',4,5,10,2011,'F','N','SAMUEL SANDRINI','ORLEANS','SC','124242241215111411368812595112610164112',7155,'226',49.73,1,3,NULL),(28,7306440,'1993-12-23 00:00:00',2,1,12,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241116271431423529575124610128192',13695,'285',47.89,1,2,1),(28,7306458,'1993-01-06 00:00:00',2,1,12,2011,'M','N','FAZENDA DO MAX','S JOSÉ','SC','124243241215131731236319595112610168042',14890,'1075',37.93,1,3,NULL),(28,7306466,'1993-11-15 00:00:00',4,1,12,2011,'M','N','SANTA RUTE','JUNQUEIRÓPOLIS','SP','125254251217111531456414575122610117052',5628,'9998',54.06,1,3,NULL),(28,7306490,'1992-03-11 00:00:00',2,10,12,2010,'M','N','CENTRO','CAPIVARI BAIXO','SC','124242241215112731327923575124232824057',9721,'806',47.57,1,3,NULL),(28,7306504,'1993-12-18 00:00:00',4,8,11,2011,'M','N','GUANABARA','JOINVILLE','SC','124242241217151311659852275122610112142',NULL,'457',37.12,1,3,NULL),(28,7306520,'1989-11-19 00:00:00',2,15,12,2007,'M','N','MANGUEIRINHA','BAL ARROIO SILVA','SC','124241241126132431323443335124610168047',19825,'29',30.08,4,3,NULL),(28,7306539,'1993-01-13 00:00:00',4,1,12,2011,'M','N','BOM RETIRO','CURITIBA','PR','116163161117471432369914575114610167047',NULL,'9998',0.00,4,3,NULL),(28,7306547,'1994-03-01 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124244246112271431348714375124610167042',11592,'306',42.11,1,3,NULL),(28,7306555,'1995-07-12 00:00:00',4,1,12,2011,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215111411469913575124610167045',18575,'262',36.98,1,3,NULL),(28,7306563,'1991-07-01 00:00:00',2,1,12,2009,'M','N','CENTRO','BIGUAÇU','SC','124242241217145311435572345124231017042',18948,'63',35.49,1,3,NULL),(28,7306571,'1994-01-12 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217112731249921275125610123185',NULL,'262',34.74,1,3,NULL),(28,7306598,'1994-10-28 00:00:00',4,8,12,2011,'M','N','AVENTUREIRO','JOINVILLE','SC','124241246217111441426531575121610137092',14667,'1105',33.76,1,3,NULL),(28,7306601,'1993-09-19 00:00:00',6,1,12,2010,'M','N','CORDEIROS','ITAJAÍ','SC','124241241136151731433674345121231237057',NULL,'396',19.07,1,3,NULL),(28,7306610,'1994-08-03 00:00:00',2,1,11,2011,'M','N','CENTRO','BIGUAÇU','SC','124242241215111232467912581112610137043',NULL,'262',32.27,1,3,NULL),(28,7306628,'1988-06-29 00:00:00',4,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124242241216575431236927495122232824092',7116,'270',52.72,1,3,NULL),(28,7306636,'1994-01-11 00:00:00',4,1,12,2011,'F','N','SANTA MARIA','ANTÔNIO CARLOS','SC','124241241117271432668614375124610124147',4582,'21',56.55,1,2,1),(28,7306644,'1994-02-25 00:00:00',4,22,10,2011,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124243241215111751446632195122610123182',NULL,'1244',21.84,1,3,NULL),(28,7306652,'1993-09-29 00:00:00',4,8,11,2010,'M','N','CENTRO','LONDRINA','PR','116162161216111411657614575112241567072',NULL,'9998',0.00,2,1,2),(28,7306660,'1994-01-24 00:00:00',4,1,12,2011,'F','N','BARRA DA TIJUCA','RIO JANEIRO','RJ','121212211217111531349813432121610113113',NULL,'9998',0.00,1,3,NULL),(28,7306679,'1993-11-13 00:00:00',4,8,11,2011,'F','N','GLÓRIA','JOINVILLE','SC','124242241215151431469614576114610162197',NULL,'457',0.00,1,3,NULL),(28,7306687,'1993-06-15 00:00:00',2,1,12,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124241241115372421546814345124610122097',9401,'592',48.10,1,3,NULL),(28,7306695,'1993-04-15 00:00:00',4,2,10,2011,'M','N','VORSTADT','BLUMENAU','SC','124242241215121431457812325122610137122',2881,'855',60.97,1,3,NULL),(28,7306717,'1996-06-16 00:00:00',4,1,12,2013,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241217111431558813575124610124192',NULL,'1050',18.09,1,3,NULL),(28,7306725,'1994-02-10 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241225371221323324595124610117082',10349,'262',46.25,1,3,NULL),(28,7306733,'1994-06-28 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124241241215371431456614275122610127062',9256,'1076',49.16,1,3,NULL),(28,7306741,'1994-01-04 00:00:00',4,1,12,2011,'M','N','PLANALTO','GUAPORÉ','RS','120201201117371431543614245122610134186',4661,'9998',55.79,1,2,1),(28,7306768,'1995-01-13 00:00:00',4,1,12,2011,'F','N','CENTRO','GAROPABA','SC','124241241126162431325611575121610124142',8971,'322',47.75,1,2,1),(28,7306776,'1994-11-28 00:00:00',4,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124241241117131431545923475124610127067',NULL,'257',20.63,4,1,1),(28,7306792,'1994-11-09 00:00:00',6,1,12,2011,'F','N','JARDIN ATLÂNTICO','FLORIANÓPOLIS','SC','624241248115471711515561215224610114057',NULL,'257',18.93,4,2,1),(28,7306806,'1994-10-27 00:00:00',4,8,12,2011,'M','N','BOA VISTA','JOINVILLE','SC','124242241217111411326622575124610132173',11974,'494',50.58,1,3,NULL),(28,7306814,'1992-10-26 00:00:00',4,1,12,2010,'M','N','MALOTA','JUNDIAÍ','SP','125252251215471431469834575122610124047',NULL,'9998',0.00,1,3,NULL),(28,7306822,'1994-01-23 00:00:00',2,1,10,2011,'F','N','TRÊS VENDAS','ERECHIM','RS','120202201215111431436639575122610162072',17535,'9998',32.29,1,3,NULL),(28,7306830,'1993-10-17 01:00:00',4,6,12,2010,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241215471731335711274122610126072',12416,'394',39.83,1,3,NULL),(28,7306857,'1994-03-02 00:00:00',4,8,12,2011,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215151431469931575114610167012',NULL,'457',0.00,1,3,NULL),(28,7306865,'1994-08-05 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117131531545833582124610127147',NULL,'1248',22.20,4,2,1),(28,7306873,'1994-07-05 00:00:00',2,1,12,2011,'F','N','PONTE IMARUIM','PALHOÇA','SC','124242241216111431336623575124610128182',14292,'1011',39.48,1,3,NULL),(28,7306881,'1990-09-04 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217153431169913595124230727042',10341,'1133',53.17,1,3,NULL),(28,7306890,'1994-10-07 00:00:00',4,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215112731359811575114610122042',9245,'270',48.46,1,3,NULL),(28,7306903,'1994-12-16 00:00:00',4,9,11,2011,'M','N','CORAL','LAGES','SC','124242246212131431668933175121610117047',NULL,'1106',27.68,1,3,NULL),(28,7306911,'1959-01-23 00:00:00',5,1,12,1976,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','324246241627132711363349112122321123185',18154,'61',38.41,1,3,NULL),(28,7306920,'1996-07-09 00:00:00',2,7,12,2012,'F','S','CENTRO','VARGEM BONITA','SC','124242241215111231446933575112610133142',NULL,'962',0.00,1,3,NULL),(28,7306946,'1993-07-28 00:00:00',2,1,12,2010,'F','N','CENTRO','BIGUAÇU','SC','124243241411213431436632344124230216142',3711,'1022',59.21,1,3,NULL),(28,7306954,'1992-09-21 00:00:00',4,8,12,2009,'F','N','PORTAO','CURITIBA','PR','116162161215572431467731574122610123142',NULL,'9998',0.00,1,3,NULL),(28,7306962,'1991-07-04 00:00:00',4,2,12,2008,'F','N','CENTRO','TIMBÓ','SC','124244241215112431484922572112130235182',14738,'1157',46.10,1,3,NULL),(28,7306970,'1973-01-03 00:00:00',4,15,11,1994,'M','N','COLONINHA','ARARANGUÁ','SC','224201206126131421231244445132610122153',19602,'9998',31.99,1,2,1),(28,7306997,'1987-04-18 00:00:00',5,1,7,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241248136151751151672385112233264026',NULL,'574',0.00,1,2,1),(28,7307004,'1973-06-12 00:00:00',2,1,12,1993,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224241248216141711246354315124333261187',9956,'9997',53.79,1,3,NULL),(28,7307012,'1994-05-06 00:00:00',4,1,12,2011,'M','N','JARDIM BOLÍVIA','JANDIRA','SP','125252251215121431458832575122610124017',4781,'9998',55.64,1,3,NULL),(28,7307020,'1976-05-05 00:00:00',2,1,12,1995,'F','N','KOBRASOL','S JOSÉ','SC','224251251126572431256454445124143238117',15167,'9998',45.28,1,2,1),(28,7307039,'1994-10-10 00:00:00',2,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241217151431436919345122610117047',NULL,'259',30.76,1,3,NULL),(28,7307047,'1993-05-10 00:00:00',4,1,11,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431458829595114610162112',2824,'883',62.98,1,3,NULL),(28,7307055,'1993-03-12 00:00:00',2,1,12,2011,'F','N','FLORESTA','S JOSÉ','SC','124241241116371431413518485124610122142',19572,'307',32.22,1,2,1),(28,7307063,'1966-01-29 00:00:00',4,1,12,1983,'F','N','CENTRO','FLORIANÓPOLIS','SC','524243241317335421338544342132332726147',20079,'307',26.77,1,3,NULL),(28,7307080,'1993-10-02 00:00:00',4,1,11,2011,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215121431449614575112610161042',15982,'270',34.01,4,3,NULL),(28,7307098,'1993-07-31 00:00:00',2,8,12,2010,'M','N','AMERICA','JOINVILLE','SC','124242241216472431479933295112610117052',12912,'441',49.13,1,3,NULL),(28,7307101,'1993-12-30 00:00:00',4,1,12,2011,'F','N','SETOR SUL','GOIÂNIA','GO','109092091217111421478811575122610124072',4186,'9998',58.51,1,3,NULL),(28,7307110,'1994-06-01 00:00:00',4,2,11,2011,'M','N','CENTRO','BLUMENAU','SC','124242241215121411356412475112610144122',NULL,'855',0.00,1,3,NULL),(28,7307128,'1994-08-09 00:00:00',4,24,12,2011,'F','N','BOA VISTA','ITUPORANGA','SC','124241241135131731522314442322610124147',20084,'416',26.63,1,2,1),(28,7307136,'1971-11-13 00:00:00',4,1,11,1989,'F','N','CENTRO','FLORIANÓPOLIS','SC','224242241215372751148651472142321533191',8200,'213',56.78,1,3,NULL),(28,7307144,'1994-09-03 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215111431349914572122610121142',1856,'270',68.46,1,3,NULL),(28,7307152,'1992-12-12 00:00:00',4,1,7,2011,'M','N','VILA NOVA','PTO ALEGRE','RS','120242207215372421456634572124610126177',14064,'9998',39.23,2,1,2),(28,7307160,'1993-10-29 00:00:00',4,8,12,2011,'F','N','MORRO DO MEIO','JOINVILLE','SC','124241241117371431426414572124610168147',15485,'492',44.72,1,2,1),(28,7307179,'1993-01-05 00:00:00',2,16,12,2010,'F','N','ÁGUA SANTA','CURITIBANOS','SC','124241244135472451423134582124223224057',15322,'239',36.58,4,2,1),(28,7307195,'1991-06-14 00:00:00',2,1,12,2008,'M','N','VENDAVAL','BIGUAÇU','SC','124241241131141732324624281123610133142',NULL,'65',23.37,1,2,1),(28,7307209,'1994-04-08 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215272411459931575122610127117',3543,'226',59.77,1,3,NULL),(28,7307217,'1993-02-16 00:00:00',4,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124243241215472431336614475114610122196',4916,'262',58.60,1,3,NULL),(28,7307225,'1987-08-26 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241337473431436614245123230217042',16609,'9999',32.70,4,3,NULL),(28,7307233,'1991-07-12 00:00:00',4,1,11,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124244241215372731339313375124121267067',12238,'270',50.18,1,3,NULL),(28,7307241,'1986-03-23 00:00:00',2,1,7,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241332132411424314241334610114187',15722,'9999',37.99,1,3,NULL),(28,7307250,'1992-10-30 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215372731436613345114133234147',18439,'868',37.50,1,3,NULL),(28,7307276,'1994-09-16 00:00:00',4,1,12,2011,'M','N','JARDIM DAS PALMEIRAS','ITAPECERICA SERRA','SP','125252251217111431555614276122610147052',9832,'9998',53.99,1,3,NULL),(28,7307284,'1991-09-09 00:00:00',2,1,12,2011,'M','N','AMBRÓSIO','GAROPABA','SC','124241241125141531423321345121610167052',16648,'322',32.13,1,2,1),(28,7307292,'1993-07-17 00:00:00',4,1,11,2010,'M','N','PIO CORREA','CRICIÚMA','SC','124242241215151231686833575122233267123',19538,'226',32.42,1,3,NULL),(28,7307306,'1992-12-01 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241211372431558911311124121467162',4457,'1118',55.21,1,3,NULL),(28,7307314,'1993-11-17 00:00:00',2,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215272231338614575122131461195',2434,'270',64.27,1,3,NULL),(28,7307322,'1994-07-12 00:00:00',2,1,11,2011,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241217111231446832275124610117042',15009,'270',45.61,1,3,NULL),(28,7307330,'1994-01-17 00:00:00',4,15,12,2011,'M','N','CENTRO','VENÂNCIO AIRES','RS','121201201114161731457814575122610164046',NULL,'9998',26.88,1,2,1),(28,7307349,'1994-09-20 00:00:00',2,10,11,2011,'M','N','RIO PEQUENO','BRAÇO NORTE','SC','124242241217111432446811245122610127052',13850,'102',38.54,1,3,NULL),(28,7307357,'1994-06-01 00:00:00',2,4,11,2011,'F','N','VILA JACOB BIESUZ','CONCÓRDIA','SC','124243241315271432424612215124610162142',NULL,'1047',0.00,1,3,NULL),(28,7307365,'1993-11-08 00:00:00',4,4,12,2010,'M','N','CENTRO','BLUMENAU','SC','124244241215311411366824575125610162111',5863,'1018',60.80,1,3,NULL),(28,7307381,'1991-07-07 00:00:00',2,1,12,2010,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241132151511423411342124610117052',NULL,'941',4.63,1,2,1),(28,7307390,'1993-06-20 00:00:00',4,1,12,2011,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091217111431488732574122210128122',NULL,'9998',0.00,1,3,NULL),(28,7307403,'1994-07-09 00:00:00',2,1,12,2011,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124241241115371711223329296224610137147',12509,'307',44.55,1,2,1),(28,7307411,'1995-02-01 00:00:00',2,1,11,2012,'M','S','SANTO ANTÔNIO','S JOSÉ','SC','124244241115111711345613575114610116122',NULL,'271',27.23,1,3,NULL),(28,7307438,'1990-10-21 01:00:00',4,1,6,2008,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124282248235273441449911585124130262122',14517,'266',46.55,3,3,NULL),(28,7307454,'1995-06-23 00:00:00',4,24,12,2012,'F','S','CENTRO','PETROLÂNDIA','SC','124243241415111431434912275122610133142',NULL,'991',37.71,1,3,NULL),(28,7307462,'1982-12-26 00:00:00',2,1,12,2001,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241311133621436613381112130217047',NULL,'977',22.25,1,3,NULL),(28,7307470,'1993-08-02 00:00:00',4,1,12,2011,'F','N','CENTRO','S JOSÉ','SC','124244241226111731324724285124610134097',NULL,'262',29.54,1,3,NULL),(28,7307489,'1994-04-15 00:00:00',2,9,11,2011,'F','N','CENTRO','S JOAQUIM','SC','124242241215111431326614571222610122012',13624,'721',40.48,1,3,NULL),(28,7307497,'1994-10-19 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111411259813575115610127185',10454,'270',44.63,1,3,NULL),(28,7307500,'1994-12-01 00:00:00',2,26,12,2011,'M','N','INTERIOR','CONCÓRDIA','SC','124241242114471331424933575122610117057',16624,'196',42.38,1,2,1),(28,7307527,'1990-09-13 00:00:00',4,5,12,2008,'M','N','VILA MILITAR','RIO GRANDE','RS','120211215117151732323319435134141738043',NULL,'9998',0.00,2,3,NULL),(28,7307535,'1992-11-18 00:00:00',4,8,12,2010,'F','N','BUCAREIN','JOINVILLE','SC','124242241212414411459811575112610137077',4976,'1063',57.10,1,3,NULL),(28,7307543,'1992-12-04 00:00:00',2,9,11,2009,'F','N','CENTRO','BOM RETIRO','SC','124241241121271431536813285125610123147',8244,'95',50.12,1,2,1),(28,7307551,'1993-02-17 00:00:00',2,5,11,2011,'M','N','VILA RICA','CRICIÚMA','SC','124241247422111431234329342124610117042',NULL,'920',0.00,1,3,NULL),(28,7307560,'1982-11-06 00:00:00',4,1,12,1999,'F','N','ROÇADO','S JOSÉ','SC','124242241212154721469911412122333263143',13978,'262',47.45,1,3,NULL),(28,7307578,'1991-08-08 00:00:00',4,1,12,2008,'M','N','BELA VISTA','CAXIAS SUL','RS','120202201217141431258823242124141237116',NULL,'9998',21.81,1,3,NULL),(28,7307586,'1992-05-29 00:00:00',2,15,12,2009,'F','N','CENTRO','TORRES','RS','120201201216472431444815372122221437052',2206,'9998',65.67,1,3,NULL),(28,7307594,'1995-06-14 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241217131431338629275112610114117',19485,'738',32.80,1,3,NULL),(28,7307616,'1994-05-18 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241216111111336613575222610115111',11766,'1010',43.98,1,3,NULL),(28,7307624,'1995-03-24 00:00:00',4,15,11,2012,'F','S','CIDADE ALTA','ARARANGUÁ','SC','124242241215121411369933575122610131192',NULL,'970',29.87,1,3,NULL),(28,7307632,'1995-05-29 00:00:00',4,9,12,2012,'M','S','CENTRO','LAGES','SC','124242241217111431368931575112610134182',NULL,'497',44.83,1,3,NULL),(28,7307640,'1994-12-31 00:00:00',4,1,12,2011,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241216111431336711575124610165182',NULL,'63',13.82,1,3,NULL),(28,7307659,'1994-09-30 00:00:00',4,3,12,2011,'F','N','VÁRZEA','ITAPEMA','SC','124241241217371431336811575112610168197',7106,'403',51.32,1,3,NULL),(28,7307675,'1994-04-09 00:00:00',4,4,12,2011,'M','N','MARIA GORETTI','CHAPECÓ','SC','124241241116372731435611575122610128097',NULL,'169',36.25,1,2,1),(28,7307683,'1981-04-16 00:00:00',2,1,12,1998,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241327471411123344345124132816142',NULL,'483',24.53,1,3,NULL),(28,7307691,'1991-08-08 00:00:00',2,1,12,2008,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241135371511347823572114610127057',15292,'307',35.08,1,2,1),(28,7307705,'1994-06-25 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431468923575112610114042',3583,'270',60.96,1,3,NULL),(28,7307713,'1990-10-20 00:00:00',2,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241216274211323424242111610168197',5583,'1036',55.53,1,3,NULL),(28,7307721,'1989-08-20 00:00:00',2,3,12,2008,'F','N','PORTÃO','CURITIBA','PR','116162161216572431458814575124610122147',2347,'9998',63.42,1,3,NULL),(28,7307730,'1992-04-14 00:00:00',4,24,12,2009,'M','N','CENTRO','DA EMMA','SC','124241241126371431326623372121610122157',6552,'247',54.54,1,2,1),(28,7307748,'1994-05-24 00:00:00',4,6,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124082241217272211436812275121610164172',2817,'403',60.46,1,3,NULL),(28,7307756,'1990-05-19 00:00:00',2,1,12,2010,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241127371421226413441324610115143',NULL,'293',28.48,1,2,1),(28,7307764,'1993-10-01 00:00:00',2,1,12,2011,'F','N','VENDAVAL','BIGUAÇU','SC','124241241117271431423424575125610136182',17559,'65',31.26,1,2,1),(28,7307772,'1992-02-05 00:00:00',4,1,12,2009,'F','N','CENTRO','S GABRIEL OESTE','MS','112122121436573431428812575112610167077',NULL,'9998',0.00,4,3,NULL),(28,7307780,'1992-09-23 00:00:00',2,1,12,2011,'M','N','FORQUILHAS','S JOSÉ','SC','124243241215112741424411575124610125142',18628,'944',36.78,1,3,NULL),(28,7307799,'1992-07-30 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431468814572122232624185',7330,'270',51.50,1,3,NULL),(28,7307802,'1994-04-21 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217111431479933572121610137052',7780,'883',50.14,1,3,NULL),(28,7307810,'1995-06-02 00:00:00',4,22,12,2012,'F','S','ESTALEIRINHO','BAL CAMBORIÚ','SC','124242248216111531326632124122610124147',NULL,'1086',39.84,1,3,NULL),(28,7307829,'1995-11-17 00:00:00',4,10,11,2011,'F','N','MAR GROSSO','LAGUNA','SC','124242241215111731458839575112610136152',6875,'807',50.75,1,3,NULL),(28,7307837,'1994-02-20 00:00:00',4,8,12,2011,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215371431469913345122610167012',7507,'1063',51.38,1,3,NULL),(28,7307845,'1985-08-02 00:00:00',2,1,12,2005,'M','N','CAMPINAS','S JOSÉ','SC','124243241116142411554632345122333242182',14861,'306',45.87,1,3,NULL),(28,7307853,'1992-08-29 00:00:00',4,1,12,2009,'F','N','PASSA VINTE','PALHOÇA','SC','124201241215374741458611575114220634192',2403,'976',61.55,1,3,NULL),(28,7307861,'1994-05-23 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','624242248215111431456611595124610137052',NULL,'1134',20.46,1,3,NULL),(28,7307870,'1980-08-05 00:00:00',2,1,12,1998,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124201201142141411124344241124133117062',19277,'9998',33.97,1,2,1),(28,7307888,'1993-12-27 00:00:00',4,4,12,2011,'M','N','CARANDÁ BOSQUE I','CPO GRANDE','MS','112122121215471431458811575122610137012',9972,'9998',45.36,1,3,NULL),(28,7307918,'1993-09-20 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217152431268823475112233247062',18578,'1169',36.98,1,3,NULL),(28,7307926,'1995-05-08 00:00:00',4,1,12,2011,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241115111431478912575122610166182',9613,'270',54.35,1,3,NULL),(28,7307934,'1993-10-05 00:00:00',4,1,12,2010,'M','N','JD DAS AMÉRICAS','ANÁPOLIS','GO','109114091416131411346631375124141064192',9367,'9998',45.30,4,1,2),(28,7307942,'1993-05-09 00:00:00',2,5,12,2010,'F','N','SAO CRISTOVAO','CRICIÚMA','SC','124242241215574431349914575122610117071',19346,'970',33.61,4,3,NULL),(28,7307950,'1969-03-25 00:00:00',4,1,12,2000,'M','N','REAL PARQUE','S JOSÉ','SC','624243247424371712532341212112610128043',NULL,'9999',0.00,4,3,NULL),(28,7307977,'1992-12-17 00:00:00',4,6,11,2009,'M','N','PRAIA DOS AMORES','BAL CAMBORIÚ','SC','124242241215572431588821575112221424172',2797,'270',67.42,1,3,NULL),(28,7307985,'1982-04-09 00:00:00',4,1,12,1999,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124204201216473431359923445122342724112',17457,'9998',40.40,1,3,NULL),(28,7308000,'1988-08-24 00:00:00',4,8,11,2005,'M','N','KOBRASOL','S JOSÉ','SC','124241241215375431458711285124221442182',15078,'1076',45.45,4,3,NULL),(28,7308019,'1987-04-08 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241134271411336829345134143264192',15121,'307',45.37,1,3,NULL),(28,7308027,'1994-02-08 00:00:00',4,1,12,2011,'F','N','BOQUEIRÃO','SANTOS','SP','125252251217111431348811215124510162192',NULL,'9998',0.00,1,3,NULL),(28,7308035,'1990-10-10 00:00:00',2,16,12,2008,'M','N','CENTRO','CURITIBANOS','SC','124243241127474411448713242122231464047',9558,'818',54.44,1,3,NULL),(28,7308051,'1992-02-15 00:00:00',2,5,12,2009,'F','N','CENTRO','TRAMANDAÍ','RS','120201201116471311446614275224610166077',13374,'9998',40.65,1,2,1),(28,7308060,'1989-03-09 00:00:00',2,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124121121137131411123444243131140622177',NULL,'9998',23.41,5,2,1),(28,7308078,'1992-11-21 00:00:00',2,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241132221721423319195124610118112',NULL,'1248',27.05,4,2,1),(28,7308086,'1991-11-21 00:00:00',2,1,11,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241244111133431433823442124610167167',19032,'295',35.21,1,2,1),(28,7308094,'1991-12-18 00:00:00',2,22,12,2008,'F','N','SÃO PEDRO','GUABIRUBA','SC','124241241126133411436314241223610117117',NULL,'924',25.10,1,2,1),(28,7308108,'1994-02-28 00:00:00',4,4,12,2011,'F','N','CANGO','FRANCISCO BELTRÃO','PR','116161161215111432443863571122610124147',11510,'9998',42.85,4,3,NULL),(28,7308116,'1994-07-28 00:00:00',4,9,12,2011,'F','N','CENTRO','LAGES','SC','124242241215112411456622575122610126142',6991,'497',50.60,1,3,NULL),(28,7308124,'1993-06-30 00:00:00',2,1,11,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124204201216471732468933395124141062046',14999,'9998',45.62,1,3,NULL),(28,7308132,'1989-12-07 00:00:00',2,1,12,2006,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241216132111438619395132130238047',NULL,'1036',26.80,1,3,NULL),(28,7308140,'1992-04-29 00:00:00',4,4,12,2009,'F','N','CENTRO','CHAPECÓ','SC','124245161411471411459923592245231912191',NULL,'9998',21.90,2,1,2),(28,7308159,'1992-12-21 00:00:00',4,23,11,2009,'M','N','AMIZADE','JARAGUÁ SUL','SC','124241241216132731446614595115133267017',NULL,'442',0.00,1,3,NULL),(28,7308167,'1992-12-29 00:00:00',2,1,12,2010,'M','N','CHICO PISCINA','MOCOCA','SP','125252251215471731446822575122610147092',13769,'9998',47.77,1,3,NULL),(28,7308175,'1992-10-04 00:00:00',4,16,12,2010,'F','N','BOM JESUS','CURITIBANOS','SC','124241241136372231423439595112610166187',20154,'239',23.70,1,3,NULL),(28,7308183,'1995-03-06 00:00:00',4,8,12,2011,'M','N','CARÁNDA BOSQUE','CPO GRANDE','MS','112122121217111731567934595122610147043',NULL,'9998',0.00,1,3,NULL),(28,7308191,'1987-11-23 00:00:00',2,15,12,2005,'M','N','SANGA DA TOCA','ARARANGUÁ','SC','124241241127132712523344442123610164057',NULL,'250',25.38,1,2,1),(28,7308205,'1993-06-15 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217122431489912571124610122182',6793,'270',51.42,1,3,NULL),(28,7308213,'1994-06-24 00:00:00',4,8,11,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241217111131469914571122610162041',NULL,'1063',24.60,1,3,NULL),(28,7308230,'1994-06-01 00:00:00',4,8,10,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215111732568833292114610127072',10638,'931',45.90,1,3,NULL),(28,7308248,'1988-09-01 00:00:00',2,1,12,2006,'M','N','DANIELA','FLORIANÓPOLIS','SC','124242247217373431358611485112130262093',NULL,'1048',25.12,1,3,NULL),(28,7308256,'1995-01-17 00:00:00',4,10,11,2012,'F','S','DEHON','TUBARÃO','SC','124242241215151731336923575112610142042',NULL,'806',60.59,1,3,NULL),(28,7308264,'1995-11-30 00:00:00',4,8,12,2012,'M','S','GLÓRIA','JOINVILLE','SC','124242241215111411438812472122610124042',NULL,'1063',36.37,1,3,NULL),(28,7308272,'1987-08-04 00:00:00',4,8,12,2005,'F','N','GLÓRIA','JOINVILLE','SC','124244246216575431666821575112333262087',3046,'494',58.67,4,3,NULL),(28,7308280,'1992-09-19 00:00:00',2,1,12,2009,'M','N','VISTA ALEGRE CAFE','VINHEDO','SP','125252251215572231568831575112610117047',5426,'9998',55.98,3,3,NULL),(28,7308299,'1994-01-07 00:00:00',2,1,12,2011,'F','N','PRAIA JOÃO ROSA','BIGUAÇU','SC','124241241116141431326614345124610134047',18040,'257',28.48,1,3,NULL),(28,7308310,'1994-01-23 00:00:00',2,10,12,2010,'F','N','DEHON','TUBARÃO','SC','124243241215372431526619591112133242197',5692,'797',55.11,1,3,NULL),(28,7308329,'1993-11-23 00:00:00',2,1,12,2010,'F','N','CAMPO DUNA','GAROPABA','SC','124241241125271232543619375124610124147',NULL,'1136',49.19,1,2,1),(28,7308337,'1994-11-18 00:00:00',2,1,12,2011,'F','N','VILA SANTO ANTÔNIO','IMBITUBA','SC','124241241115271731216328382324610163197',NULL,'359',16.39,1,2,1),(28,7308345,'1994-10-19 00:00:00',4,26,12,2011,'M','N','IMIGRANTES','CONCÓRDIA','SC','124241241115371431348923475122610148017',8210,'192',50.58,1,2,1),(28,7308353,'1994-06-26 00:00:00',4,24,12,2011,'F','N','CENTRO','IMBUIA','SC','124241241116131431223316272224610133062',NULL,'364',24.76,1,2,1),(28,7308361,'1995-06-04 00:00:00',4,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216151232368939485122610168152',7658,'273',50.35,1,3,NULL),(28,7308370,'1993-07-23 00:00:00',4,5,12,2010,'M','N','RIO BELO','ORLEANS','SC','124243241115472411468833575122610117042',7317,'226',51.66,1,3,NULL),(28,7308388,'1995-04-21 00:00:00',4,2,12,2011,'M','N','VELHA','BLUMENAU','SC','124241241146371431533314245124610117057',10684,'77',42.04,1,2,1),(28,7308396,'1992-09-09 00:00:00',2,10,11,2009,'M','N','SANTA CRUZ','TREZE MAIO','SC','124241241346473431633335572124241342147',NULL,'793',0.00,1,3,NULL),(28,7308418,'1994-07-22 00:00:00',4,1,11,2011,'M','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215112431489933475124610167042',4633,'270',59.27,1,3,NULL),(28,7308426,'1991-11-15 00:00:00',2,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124244241215111431466924375124233227117',NULL,'1022',22.59,1,3,NULL),(28,7308434,'1993-05-22 00:00:00',2,1,12,2011,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241217121431525628345124610123117',9933,'300',47.66,1,3,NULL),(28,7308442,'1990-01-18 00:00:00',2,1,12,2007,'M','N','ÂNGELA BORELLA','MARAU','RS','120201201116271711438831215124610127097',15119,'9998',36.39,1,2,1),(28,7308450,'1990-02-19 00:00:00',2,1,12,2008,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117373231636614342114610167062',10796,'267',46.32,1,2,1),(28,7308469,'1994-02-18 00:00:00',4,1,11,2011,'M','N','CENTRO','CPO GRANDE','MS','112122121216111431558813475122610167057',8278,'9998',49.32,1,3,NULL),(28,7308477,'1994-10-24 00:00:00',4,10,12,2011,'F','N','BARRACAO','ORLEANS','SC','124241241115131532413335575122610164147',20093,'580',26.47,1,3,NULL),(28,7308485,'1993-01-12 00:00:00',2,1,11,2010,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215473411378732575124610164197',6653,'1169',52.76,1,3,NULL),(28,7308493,'1993-09-29 00:00:00',4,4,11,2010,'F','N','RESSACADA','ITAJAÍ','SC','124242241116372431349833575122610164075',NULL,'389',28.00,1,3,NULL),(28,7308507,'1993-06-07 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241417472431338833375124610126011',NULL,'9997',29.25,1,3,NULL),(28,7308515,'1995-02-28 00:00:00',4,2,12,2011,'F','N','VILA NOVA','BLUMENAU','SC','124242241216111431375923575122610131192',5368,'70',54.08,1,3,NULL),(28,7308523,'1994-12-24 00:00:00',2,15,12,2011,'F','N','FIGUEIRA','PR GRANDE','SC','124241241116131231326616575124610127047',NULL,'641',14.04,1,2,1),(28,7308540,'1993-10-11 00:00:00',2,4,12,2010,'M','N','AEROPORTO','ERECHIM','RS','120201201116312731428639395111610137047',NULL,'9998',25.61,1,2,1),(28,7308566,'1991-10-08 00:00:00',4,1,12,2009,'F','N','PLANALTO PAULISTA','S PAULO','SP','125252251214571731354811575122610147127',NULL,'9998',0.00,1,3,NULL),(28,7308574,'1989-05-07 00:00:00',4,17,12,2006,'M','N','CRISTO REI','CANOINHAS','SC','124241241147131411526514245122130726052',14267,'153',38.69,1,2,1),(28,7308582,'1992-05-01 00:00:00',4,1,12,2009,'M','N','CIDADE UNIVERSITÁRIA','CAMPINAS','SP','124252251216372441489933575124121447182',422,'9998',71.83,4,3,NULL),(28,7308590,'1991-04-08 00:00:00',2,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124202201217271411238723375124142227097',4750,'9998',62.90,1,3,NULL),(28,7308604,'1994-11-03 00:00:00',2,15,12,2011,'F','N','SÃO BENTO','BENTO GONÇALVES','RS','120202201216111411357331575122610162142',1995,'9998',61.35,1,3,NULL),(28,7308612,'1993-09-28 00:00:00',4,1,11,2010,'M','N','LIBERDADE','S PAULO','SP','125252251216471431368811575122610124047',4317,'9998',56.84,1,3,NULL),(28,7308620,'1994-09-14 00:00:00',2,5,11,2011,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241215111431338712572122610124182',12555,'9997',49.71,1,3,NULL),(28,7308639,'1994-10-22 00:00:00',4,7,12,2011,'F','N','SENHOR BOM JESUS','CAMPOS NOVOS','SC','124241241115271431525374575124610126177',12881,'139',40.73,1,2,1),(28,7308647,'1994-03-08 00:00:00',2,1,12,2011,'M','N','JARDIM AQUARIOS','PALHOÇA','SC','124241241116371431526734285124610134172',11976,'592',43.06,1,2,1),(28,7308655,'1995-03-05 00:00:00',2,4,12,2011,'F','N','JARDIM SILVANA','IÇARA','SC','124244241215113431369833582124610114051',1038,'226',68.01,1,3,NULL),(28,7308663,'1991-05-15 00:00:00',2,6,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241215472431633316295115610123147',7486,'969',49.76,1,3,NULL),(28,7308698,'1993-01-19 00:00:00',4,1,12,2011,'M','N','CHACARAS SÃO BENTO','VALINHOS','SP','125251251215121731446631315124610123052',NULL,'9998',0.00,1,3,NULL),(28,7308701,'1994-09-13 00:00:00',2,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115371731355933575121610127142',NULL,'592',41.75,1,2,1),(28,7308710,'1995-01-14 00:00:00',4,1,11,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241217111431358923472122610123147',NULL,'270',16.05,1,3,NULL),(28,7308728,'1990-10-11 00:00:00',2,26,12,2010,'M','N','LOTEAMENTO PORTINARI','CONCÓRDIA','SC','124241248115211731336824575124610117087',NULL,'196',19.55,1,2,1),(28,7308736,'1991-08-23 00:00:00',4,1,12,2008,'F','N','CENTRO','ITUPORANGA','SC','124241241146254431558611215112131025042',14500,'416',37.18,1,2,1),(28,7308744,'1993-07-19 00:00:00',4,1,12,2011,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124241241135132431338814472124610134017',4322,'267',57.95,1,2,1),(28,7308752,'1994-08-17 00:00:00',4,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111411658927575112610132196',16170,'1022',43.39,4,3,NULL),(28,7308760,'1976-05-18 00:00:00',4,7,12,1993,'F','N','ESTAÇÃO LUZERNA','HERVAL D OESTE','SC','124242241211233431134419232122321534171',12178,'262',50.28,1,3,NULL),(28,7308779,'1994-05-13 00:00:00',4,2,11,2011,'F','N','CENTRO','POMERODE','SC','124244241435111431466632572122610132182',8844,'1157',48.25,4,3,NULL),(28,7308787,'1994-09-24 00:00:00',4,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111431338624575124610126187',10625,'270',43.24,1,3,NULL),(28,7308795,'1993-07-27 00:00:00',2,1,12,2010,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241116372231413335575114610127047',17687,'287',32.05,1,2,1),(28,7308809,'1982-02-15 00:00:00',4,1,12,1999,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241217375751588611571125132464182',876,'270',71.50,1,3,NULL),(28,7308817,'1982-06-19 00:00:00',4,8,1,2002,'M','N','SITIO CERCADO','CURITIBA','PR','116161167336131431426623382125340662187',NULL,'9998',0.00,1,3,NULL),(28,7308825,'1994-05-25 00:00:00',4,4,12,2011,'M','N','CENTRO','CHAPECÓ','SC','124243241215151431358913475125610124092',4991,'185',55.82,1,3,NULL),(28,7308833,'1994-12-06 00:00:00',2,10,11,2011,'M','N','TRAVESSÃO','BRAÇO NORTE','SC','124241241415122431437714575124610127041',9482,'807',47.77,1,3,NULL),(28,7308841,'1991-10-09 00:00:00',4,1,12,2009,'M','N','VILA MILITAR','RIO GRANDE','RS','120251251147471732336324231111610162096',NULL,'9998',0.00,1,2,1),(28,7308850,'1994-12-12 00:00:00',4,23,12,2011,'M','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241136141431236679345124610167142',13692,'430',39.15,1,2,1),(28,7308868,'1995-02-04 00:00:00',4,8,12,2011,'F','N','TINGUI','CURITIBA','PR','116162161216421751589711575122610134182',NULL,'9998',0.00,1,3,NULL),(28,7308876,'1994-02-23 00:00:00',2,5,11,2011,'F','N','RIO MAINA','CRICIÚMA','SC','124243241417131651629414585124610114142',NULL,'920',0.00,1,3,NULL),(28,7308884,'1994-08-18 00:00:00',4,2,12,2011,'F','N','DIVINÉIA','RIO CEDROS','SC','124241241116141431536614245124610124142',19042,'664',35.13,1,3,NULL),(28,7308892,'1994-07-07 00:00:00',4,16,12,2011,'F','N','SAO JOSE','CURITIBANOS','SC','124241241125141421423344243222610114147',19185,'239',34.42,1,3,NULL),(28,7308906,'1990-04-02 00:00:00',4,1,12,2007,'M','N','JARDIM CIDADE','S JOSÉ','SC','124242241215152721365819342124230267042',13070,'738',36.90,1,3,NULL),(28,7308914,'1991-05-18 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','624241201127352441423974442113133233147',19301,'9998',24.87,1,2,1),(28,7308922,'1993-04-06 00:00:00',2,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243246335141431438934585124610114142',19633,'306',31.71,1,3,NULL),(28,7308930,'1994-11-27 00:00:00',2,1,12,2012,'F','S','CANASVIEIRAS','FLORIANÓPOLIS','SC','124243241216111731556631575124610164042',NULL,'1048',29.95,4,3,NULL),(28,7308957,'1990-08-01 00:00:00',2,1,12,2007,'F','N','XV DE NOVEMBRO','TIJUCAS','SC','124241241117132731426513345122233264142',NULL,'783',19.18,1,2,1),(28,7308965,'1994-01-10 00:00:00',2,1,12,2011,'F','N','BRAÇO DO NORTE','ANTÔNIO CARLOS','SC','124241241117371231533315575122610127042',9965,'21',48.98,1,2,1),(28,7308973,'1994-03-02 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112431469813235122610122182',7805,'855',50.43,1,3,NULL),(28,7308981,'1989-02-15 00:00:00',2,15,12,2009,'F','N','GARAPUVU','ERMO','SC','224241247127471431213359185123610126012',NULL,'9999',15.19,1,2,1),(28,7308990,'1991-01-14 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243131417372411536844145124233228117',17837,'9998',39.37,1,3,NULL),(28,7309007,'1992-07-11 00:00:00',4,1,12,2009,'F','N','JARDIM JAMAICA','SERTÃOZINHO','SP','125251251116471731433414575122610161097',NULL,'9998',0.00,1,2,1),(28,7309015,'1992-08-23 00:00:00',2,1,12,2009,'F','N','MORRO DO FREITAS','PAULO LOPES','SC','224241241122141522425539442214610148192',NULL,'607',29.91,1,3,NULL),(28,7309023,'1995-08-11 00:00:00',4,1,12,2011,'M','N','MORRO DA BINA','BIGUAÇU','SC','124242241211111251226612572112610117042',NULL,'63',20.99,1,3,NULL),(28,7309031,'1993-08-26 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241248117372431533411175124610133147',9937,'307',48.17,1,2,1),(28,7309040,'1994-04-11 00:00:00',2,4,12,2011,'M','N','CENTRO','FAXINAL GUEDES','SC','624243241117131441443814385124610124147',NULL,'255',16.10,1,3,NULL),(28,7309058,'1993-10-04 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115472441123744142324610128187',15293,'307',45.06,4,2,1),(28,7309066,'1992-06-13 00:00:00',2,1,12,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215371711336939372124610143054',NULL,'1120',26.70,1,3,NULL),(28,7309074,'1986-04-10 00:00:00',2,1,9,2004,'F','N','CENTRO','BAL CAMBORIÚ','SC','124201201316131721223349395124331046147',NULL,'9998',0.00,2,3,NULL),(28,7309082,'1994-09-04 00:00:00',2,1,12,2011,'F','N','SAVEIRO','BIGUAÇU','SC','124241241115471732523439572124610124192',NULL,'1088',14.08,1,2,1),(28,7309090,'1994-08-20 00:00:00',4,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111731346633375124610127041',10523,'259',43.67,4,3,NULL),(28,7309104,'1993-12-26 00:00:00',2,4,12,2010,'F','N','CENTRO','CASCAVEL','PR','116161161311411731436811171125610113077',NULL,'9998',0.00,1,3,NULL),(28,7309112,'1994-02-26 00:00:00',2,2,12,2010,'F','N','LIBERDADE','CONCÓRDIA','SC','124241241112372411339612575125231026142',15990,'192',43.71,1,2,1),(28,7309120,'1979-07-25 00:00:00',4,1,12,1997,'F','N','CENTRO','CONCÓRDIA','SC','224241245116575431214651475112323033072',4634,'192',57.81,1,2,1),(28,7309139,'1991-07-03 00:00:00',4,25,12,2008,'M','N','MUNICIPIOS','CAÇADOR','SC','124241241116131431434923345122130817062',NULL,'123',32.55,1,2,1),(28,7309147,'1993-08-04 00:00:00',4,1,12,2010,'F','N','JARDIM GUANABARA','S CARLOS','SP','125252251217471411479813595112610123182',NULL,'9998',0.00,1,3,NULL),(28,7309155,'1994-03-06 00:00:00',4,5,11,2011,'M','N','CENTRO','URUSSANGA','SC','124242241215112431538811572124610127042',4145,'226',57.86,1,3,NULL),(28,7309163,'1993-02-12 00:00:00',2,3,12,2010,'F','N','VILA GARDIMAN','ITU','SP','125251251215471411333624575124610137047',731,'9998',69.93,1,3,NULL),(28,7309171,'1987-05-04 00:00:00',4,3,12,2004,'M','N','TUCURUVI','S PAULO','SP','125252251217573751437769495125610135142',10424,'9998',43.28,1,3,NULL),(28,7309180,'1993-12-01 00:00:00',2,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124244248146371431459819395124610138047',NULL,'733',31.56,1,3,NULL),(28,7309198,'1992-09-23 00:00:00',2,1,11,2009,'F','N','BURITIS','BELO HORIZONTE','MG','113134131217571431549614575122610122147',4103,'9998',58.78,1,3,NULL),(28,7309201,'1994-03-11 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115471731335823575124610112197',10786,'307',45.31,1,2,1),(28,7309210,'1993-10-01 00:00:00',2,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241214111431336414575112610123184',8729,'1038',48.22,1,3,NULL),(28,7309236,'1994-08-23 00:00:00',4,4,12,2011,'F','N','CENTRO','IPORÃ OESTE','SC','124241241115151431316631572122610126172',14783,'371',37.23,1,2,1),(28,7309244,'1994-03-25 00:00:00',4,1,12,2011,'F','N','SÃO PEREGRINO','NOVA PRATA','RS','120201201116131431544713235122610163147',19398,'9998',21.89,1,2,1),(28,7309252,'1994-08-23 00:00:00',4,1,11,2011,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124244241217151431459811572114610167182',3082,'270',62.78,1,3,NULL),(28,7309287,'1994-04-11 00:00:00',2,6,12,2011,'M','N','CENTRO','ITAJAÍ','SC','124242241215121431567831575122610147052',NULL,'392',41.60,1,3,NULL),(28,7309295,'1991-03-10 00:00:00',4,15,12,2007,'F','N','NITEROI','CANOAS','RS','120122121216371431348813371122241237057',NULL,'9998',0.00,1,3,NULL),(28,7309309,'1994-06-23 00:00:00',2,8,12,2011,'F','N','IRIRIÚ','JOINVILLE','SC','124244241217111732358614575124610124197',14072,'1006',47.30,1,3,NULL),(28,7309333,'1991-04-20 00:00:00',4,8,12,2008,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161217571441558839285112143213177',1616,'9998',63.58,3,3,NULL),(28,7309341,'1961-06-26 00:00:00',4,1,11,1982,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224131217143151112431149233124341816097',18544,'9998',37.08,1,2,1),(28,7309350,'1994-01-19 00:00:00',2,1,12,2011,'F','N','ALTO ARIRIÚ','PALHOÇA','SC','124241241116371711523634375124610168197',17584,'592',39.57,1,2,1),(28,7309368,'1994-07-13 00:00:00',4,23,12,2011,'M','N','SÃO LUIS','JARAGUÁ SUL','SC','124241242117111431444833575111610167044',NULL,'24',29.27,1,3,NULL),(28,7309376,'1992-07-09 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','125251251136271611215623495114610134175',NULL,'9998',25.67,2,1,1),(28,7309384,'1991-02-18 00:00:00',2,1,11,2008,'M','N','CENTRO','S JOAQUIM','SC','124242241212133421526619342111610157041',NULL,'1035',0.00,1,3,NULL),(28,7309392,'1994-11-05 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431448939495112610122143',15065,'270',45.48,1,3,NULL),(28,7309406,'1988-02-23 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247326131721223354145124130228047',NULL,'9999',25.87,1,3,NULL),(28,7309414,'1993-04-23 00:00:00',2,1,11,2010,'M','N','MONTANHES','OURO FINO','MG','113132131217471411426615595121610156097',NULL,'9998',25.45,5,3,NULL),(28,7309422,'1990-08-21 00:00:00',2,10,12,2007,'M','N','VILA MOEMA','TUBARÃO','SC','124242241217275431568614345124231464042',9792,'807',54.07,1,3,NULL),(28,7309430,'1992-12-23 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247447271711536874341124610113187',NULL,'9999',32.96,1,3,NULL),(28,7309465,'1994-09-20 00:00:00',2,10,12,2011,'M','N','ITAPIRUBÁ','IMBITUBA','SC','124204241115371431647814575124610127147',16256,'359',35.10,1,3,NULL),(28,7309473,'1990-09-29 00:00:00',4,7,12,2007,'F','N','CENTRO','CAMPOS NOVOS','SC','124244241216575431548933575114610161147',1841,'138',62.75,1,3,NULL),(28,7309481,'1994-05-16 00:00:00',4,16,12,2011,'M','N','CENTRO','CURITIBANOS','SC','124243241117371431447933575125610127062',11176,'239',43.61,1,3,NULL),(28,7309490,'1994-01-15 00:00:00',2,1,12,2011,'F','N','CENTRO','HORIZONTINA','RS','120202208216111431238619575122610132192',16977,'9998',34.47,1,3,NULL),(28,7309503,'1994-05-21 00:00:00',4,7,11,2011,'M','N','CENTRO','JABORÁ','SC','116242161215123231459811372114610112097',2996,'9998',61.12,1,3,NULL),(28,7309511,'1992-05-13 00:00:00',4,8,12,2009,'F','N','VILA IZABEL','CURITIBA','PR','116162161212573751578834575114610167147',NULL,'9998',0.00,1,3,NULL),(28,7309520,'1994-08-05 00:00:00',2,16,12,2011,'M','N','CENTRO','CAMPOS NOVOS','SC','124242242115131311335634575122610117057',NULL,'129',17.83,4,3,NULL),(28,7309538,'1991-07-06 00:00:00',4,1,12,2008,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241217373441446623345121121427147',1614,'272',66.83,1,3,NULL),(28,7309546,'1995-01-23 00:00:00',4,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124241241215371531423314292122610112052',10882,'1076',46.61,1,3,NULL),(28,7309554,'1981-05-27 00:00:00',2,1,12,1998,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124171241136135411336348385124122362147',13463,'276',48.30,1,2,1),(28,7309562,'1993-03-09 00:00:00',4,16,12,2011,'M','N','CENTRO','CURITIBANOS','SC','124241245135161411326667385125610162177',11454,'238',42.79,1,3,NULL),(28,7309570,'1992-11-22 00:00:00',4,6,11,2010,'F','N','MONTE CASTELO','S JOSÉ CAMPOS','SP','125252251216471431448714585122610168194',5058,'9998',62.31,1,3,NULL),(28,7309589,'1993-04-17 00:00:00',4,3,11,2010,'M','N','BIGORRILHO','CURITIBA','PR','116242241217272431478832593124240247182',NULL,'663',0.00,1,3,NULL),(28,7309597,'1988-03-25 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216153431567632425122221032042',NULL,'807',0.00,4,3,NULL),(28,7309600,'1994-01-13 00:00:00',4,27,12,2011,'M','N','CENTRO','S MIGUEL OESTE','SC','124244241217151431566613345124610167077',NULL,'1179',25.97,1,3,NULL),(28,7309619,'1995-02-18 00:00:00',4,15,11,2011,'M','N','COLONINHA','ARARANGUÁ','SC','124242241215151451359613572112610127062',12199,'26',43.34,1,3,NULL),(28,7309627,'1993-08-24 00:00:00',2,7,12,2010,'M','N','CENTRO','ERVAL VELHO','SC','124241241111132431336923492124233124055',NULL,'253',0.00,1,3,NULL),(28,7309635,'1990-10-10 00:00:00',4,1,11,2007,'M','N','CENTRO','BRAÇO NORTE','SC','124241241216135431224634495124223266097',5476,'807',61.53,1,3,NULL),(28,7309643,'1994-02-23 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241116372231436619575124610127112',6664,'307',54.76,1,3,NULL),(28,7309651,'1993-12-16 00:00:00',2,1,12,2010,'F','N','FLORESTA','S JOSÉ','SC','124244241215472431338612345124610117043',8464,'1022',51.27,1,3,NULL),(28,7309660,'1994-07-25 00:00:00',4,1,12,2011,'M','N','VARGEM GRANDE','ÁGUAS MORNAS','SC','124241241116161731534414575124610117057',13368,'739',42.05,1,2,1),(28,7309678,'1986-03-19 00:00:00',4,1,12,2003,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241217575711359914315122321233187',29,'270',85.23,1,3,NULL),(28,7309686,'1994-03-28 00:00:00',4,1,12,2010,'M','N','PALHOCINHA','GAROPABA','SC','124241241415412432337711575114610162147',6981,'270',54.76,5,3,NULL),(28,7309694,'1993-11-03 00:00:00',4,1,12,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241217111431359923575124610144122',3968,'883',60.88,1,3,NULL),(28,7309716,'1993-02-09 00:00:00',4,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216372431236631575114131027103',8123,'1022',49.32,1,3,NULL),(28,7309724,'1994-05-24 00:00:00',4,5,11,2011,'M','N','PIO CORREA','CRICIÚMA','SC','124242241216272431578612575122610127052',3492,'211',61.64,1,3,NULL),(28,7309732,'1994-10-03 00:00:00',2,3,12,2011,'M','N','PARTENON','PTO ALEGRE','RS','120201201116471431236669572124610167147',12898,'9998',37.03,1,2,1),(28,7309759,'1994-02-02 00:00:00',4,9,12,2011,'F','N','CONTA DINHEIRO','LAGES','SC','124124241315111431459813375114610131097',NULL,'499',26.70,1,3,NULL),(28,7309767,'1994-03-29 00:00:00',4,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241226121431556631575124610142142',4762,'262',55.19,4,3,NULL),(28,7309775,'1993-12-18 00:00:00',2,1,12,2011,'M','N','CENTRO','TRÊS MAIO','RS','120201201116131431446923275122610127047',17666,'9998',39.84,1,2,1),(28,7309783,'1993-11-09 00:00:00',4,1,11,2011,'M','N','CAPUAVA','VALINHOS','SP','125252251216111412468814195122610128091',NULL,'9998',NULL,1,3,NULL),(28,7309791,'1983-08-29 00:00:00',2,5,12,2000,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136334421313315295124223214192',NULL,'689',0.00,1,2,1),(28,7309813,'1981-07-09 00:00:00',2,15,12,2011,'M','N','POLICIA RODOVIARIA','ARARANGUÁ','SC','224201241145271421423341113123610128047',13334,'30',40.50,1,2,1),(28,7309821,'1993-03-16 00:00:00',4,8,12,2010,'F','N','BOA VISTA','JOINVILLE','SC','124243241217271231338614345124610136091',14620,'462',46.31,1,3,NULL),(28,7309830,'1993-09-11 00:00:00',4,1,11,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241216372411466614275112610122073',3258,'270',60.45,1,3,NULL),(28,7309848,'1994-12-27 00:00:00',4,1,12,2013,'M','S','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242246116151731369913475124610124187',NULL,'306',33.77,1,3,NULL),(28,7309856,'1993-07-23 00:00:00',2,1,11,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241342131411316621272324610117147',10536,'988',45.36,4,3,NULL),(28,7309864,'1995-09-29 00:00:00',2,1,12,2012,'F','S','JARDIM AQUARIUS','PALHOÇA','SC','124242241216111732456639575122610114041',NULL,'989',35.64,1,3,NULL),(28,7309872,'1993-09-14 00:00:00',2,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241126132431334621575124221422147',13473,'274',37.95,1,2,1),(28,7309880,'1994-06-05 00:00:00',2,10,12,2011,'F','N','MORRO GRANDE','SANGÃO','SC','124241241125131231433814575122610125037',NULL,'1072',18.77,1,2,1),(28,7309899,'1993-06-10 00:00:00',4,1,12,2010,'F','N','NOVO CENTRO','MARINGÁ','PR','116162161216111212458811575112610112017',8288,'9998',56.65,3,3,NULL),(28,7309902,'1992-07-06 00:00:00',2,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241111141731616129381224610154142',NULL,'772',20.92,3,2,1),(28,7309910,'1993-07-20 00:00:00',4,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','624242241215112731345322385124610137042',NULL,'989',23.57,1,3,NULL),(28,7309937,'1991-02-01 00:00:00',6,1,12,2010,'F','N','BELA VISTA','S JOSÉ','SC','124241248116162731434914375124610127182',NULL,'739',33.29,1,3,NULL),(28,7309945,'1993-12-17 00:00:00',2,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241146132431114644245124610124142',NULL,'255',25.46,1,2,1),(28,7309970,'1994-10-11 00:00:00',2,1,12,2011,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241116371431456633475122610134047',15841,'298',44.00,1,2,1),(28,7309988,'1994-11-25 00:00:00',6,1,12,2011,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241241135371441637724275324610146142',19772,'281',30.46,1,2,1),(28,7309996,'1994-03-11 00:00:00',4,1,12,2011,'F','N','MORRO BOA VISTA','BIGUAÇU','SC','124243241215371431313524282224610142142',18267,'65',30.61,1,3,NULL),(28,7310005,'1994-06-28 00:00:00',4,1,12,2011,'F','N','JARDIM SANTA ROSA','ITATIBA','SP','125252251217111231368814475122610164073',3167,'9998',61.04,1,3,NULL),(28,7310013,'1944-09-24 00:00:00',4,24,11,2011,'M','N','CENTRO','ITUPORANGA','SC','124244241215112431446632575124610124042',9703,'991',46.93,1,3,NULL),(28,7310021,'1961-01-31 00:00:00',2,1,7,1984,'F','N','INGLESES','FLORIANÓPOLIS','SC','524161167326131411224344145134610111182',19155,'9998',34.62,1,3,NULL),(28,7310030,'1991-03-13 00:00:00',4,8,12,2008,'F','N','ATIRADORES','JOINVILLE','SC','124242241215574431458833575114610133142',940,'1063',68.69,1,3,NULL),(28,7310048,'1967-11-29 00:00:00',5,1,12,1984,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224201208126161711333341215134343246195',NULL,'9998',6.63,1,3,NULL),(28,7310056,'1987-07-02 00:00:00',2,1,12,2006,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242161316373431426811345134132016147',18657,'9998',36.65,1,3,NULL),(28,7310064,'1990-12-30 00:00:00',4,1,12,2011,'F','N','CACUPÉ','FLORIANÓPOLIS','SC','124243241115111731437413575122610112045',15962,'267',36.29,1,3,NULL),(28,7310072,'1994-08-23 00:00:00',4,5,11,2011,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242241215111431568634221122610132182',NULL,'213',0.00,1,3,NULL),(28,7310080,'1990-06-26 00:00:00',2,27,12,2007,'F','N','CENTRO','GUARACIABA','SC','124241241126131411433834345122610127017',NULL,'334',21.21,1,3,NULL),(28,7310102,'1994-07-10 00:00:00',4,4,12,2011,'M','N','INDUSTRIAL','FRANCISCO BELTRÃO','PR','116162161217111431448832375122610122017',14207,'9998',37.43,1,3,NULL),(28,7310110,'1992-08-02 00:00:00',4,1,11,2009,'F','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124241242111374731233944342234131067147',NULL,'818',22.60,1,2,1),(28,7310129,'1994-08-03 00:00:00',2,1,12,2010,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241112471531427711272114610168142',12233,'1248',44.49,1,2,1),(28,7310137,'1985-06-24 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217152721489911435122330368047',NULL,'269',0.00,1,3,NULL),(28,7310145,'1994-12-27 00:00:00',4,23,12,2011,'M','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124241241147141431535619242121610134147',13116,'435',40.33,1,2,1),(28,7310153,'1993-11-09 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241127131231326644345114610164177',19473,'322',32.88,1,2,1),(28,7310161,'1993-10-21 00:00:00',4,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124241241117271431413669341334610165057',NULL,'729',20.34,1,2,1),(28,7310170,'1981-04-07 00:00:00',2,1,12,1999,'M','N','CAMPINAS','S JOSÉ','SC','224161161137131421238844445132343237047',11064,'9998',52.03,4,3,NULL),(28,7310188,'1995-02-17 00:00:00',2,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431336824572122610124072',16762,'723',42.07,1,3,NULL),(28,7310196,'1993-10-29 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241235471431378821572122610121122',13121,'270',48.81,1,3,NULL),(28,7310200,'1987-07-13 00:00:00',4,1,12,2005,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124134251216271731538831395124340667127',7023,'9998',50.44,4,3,NULL),(28,7310218,'1993-12-11 00:00:00',4,24,12,2011,'F','N','GABIROBA','ITUPORANGA','SC','124241241115151431435919172122610123057',NULL,'416',23.03,1,2,1),(28,7310234,'1994-10-31 00:00:00',4,1,12,2011,'F','N','FLORESTA','S MIGUEL IGUAÇU','PR','116162161216121431324412195122610134192',NULL,'9998',0.00,1,3,NULL),(28,7310250,'1993-06-30 00:00:00',5,27,12,2010,'F','N','MOSSUNGUE','CURITIBA','PR','116164161216471431329921575124610112052',10352,'9998',44.19,1,3,NULL),(28,7310277,'1991-07-22 00:00:00',4,6,12,2008,'F','N','CENTRO','ITAJAÍ','SC','124242241215571431436923575122610148077',18958,'392',35.46,1,3,NULL),(28,7310293,'1991-09-17 00:00:00',4,6,12,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241215572431557732495134610118091',6071,'262',51.92,1,3,NULL),(28,7310307,'1993-03-02 00:00:00',4,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241117152731656829575122233266147',13926,'307',37.78,1,3,NULL),(28,7310315,'1994-05-19 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124251251117221711437711375122610136092',10541,'9998',45.06,2,1,1),(28,7310323,'1993-12-22 00:00:00',2,1,12,2010,'M','N','CENTRO','LAJEADO GRANDE','SC','124241241411152431448934315134610167172',8475,'1081',56.31,1,3,NULL),(28,7310331,'1995-03-18 00:00:00',4,1,12,2011,'F','N','CENTRO','S BONIFÁCIO','SC','124243241435111231439933575125610137052',17594,'1223',29.04,1,3,NULL),(28,7310340,'1994-12-23 00:00:00',4,1,12,2011,'M','N','CENTRO','AT PIQUIRI','PR','116161161115131431526933332122610125147',16909,'9998',32.79,1,3,NULL),(28,7310358,'1994-12-03 00:00:00',4,16,12,2011,'F','N','SÃO LUIZ','CURITIBANOS','SC','124241241115371331423217585122610127142',NULL,'239',18.80,1,2,1),(28,7310366,'1993-10-21 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431479814575122610122044',4856,'270',55.38,1,3,NULL),(28,7310374,'1994-08-18 00:00:00',2,7,12,2011,'M','N','CENTRO','TREZE TÍLIAS','SC','124241248117151431326622595122610164042',14711,'795',36.38,1,2,1),(28,7310382,'1991-05-09 00:00:00',4,24,12,2008,'F','N','SUMARE','RIO SUL','SC','116242241216575431448914575125610162181',2123,'991',63.83,1,3,NULL),(28,7310390,'1992-12-24 00:00:00',4,8,11,1992,'M','N','VILA MARIANA','S PAULO','SP','125252251215471431348834575122610147052',160,'9998',77.41,1,3,NULL),(28,7310404,'1985-07-12 00:00:00',2,7,12,2004,'F','N','CENTRO','FRAIBURGO','SC','124241245226273431464911335132531317187',19913,'319',29.19,1,3,NULL),(28,7310412,'1994-01-29 00:00:00',4,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241217111411478933575112610125182',8080,'738',50.73,1,3,NULL),(28,7310420,'1994-06-03 00:00:00',4,1,12,2011,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241315121731456913475124610123072',9976,'1022',46.04,1,3,NULL),(28,7310439,'1994-02-10 00:00:00',4,22,10,2011,'F','N','PRIMEIRO DE MAIO','BRUSQUE','SC','124242247215372431358614592122610124142',9860,'981',53.95,1,3,NULL),(28,7310447,'1980-06-06 00:00:00',2,1,12,1999,'F','N','INGLESES','FLORIANÓPOLIS','SC','124131131117471431121144442124610132097',17793,'9998',39.49,4,3,NULL),(28,7310455,'1992-07-07 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117153511566732345114610167067',19597,'257',32.03,1,2,1),(28,7310463,'1993-12-05 00:00:00',2,1,12,2011,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241111221431225723371124610133142',NULL,'295',20.10,1,2,1),(28,7310471,'1993-08-09 00:00:00',2,1,12,2011,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215111431538823395114610137047',13992,'1077',39.11,1,3,NULL),(28,7310480,'1991-04-01 00:00:00',4,1,11,2009,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241116241441443614345124610126012',NULL,'733',34.91,1,2,1),(28,7310498,'1994-01-26 00:00:00',4,7,11,2011,'M','N','CENTRO','JOAÇABA','SC','124242247215371431489933572122610162012',19354,'446',33.59,1,3,NULL),(28,7310510,'1989-08-03 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124052051236242751137813445122240714125',7490,'9998',57.99,1,3,NULL),(28,7310528,'1993-11-15 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216473431566612575112610144142',3633,'970',62.07,1,3,NULL),(28,7310544,'1993-02-15 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215473431548714275111221464055',9714,'1051',48.44,1,3,NULL),(28,7310552,'1996-06-13 00:00:00',2,1,12,2013,'F','S','CENTRO','GAROPABA','SC','124241241127171742526732575122610136157',NULL,'322',21.35,1,3,NULL),(28,7310560,'1990-09-13 00:00:00',4,1,12,2008,'F','N','JARDIM AEROPORTO','S JOSÉ R PARDO','SP','125254251215571751436814571122610162142',NULL,'9998',32.27,1,3,NULL),(28,7310579,'1988-06-17 00:00:00',4,26,12,2005,'M','N','CENTRO','ERECHIM','RS','120112208216153411236929485122121764197',5383,'9998',61.69,1,3,NULL),(28,7310587,'1995-07-31 00:00:00',4,1,11,2012,'F','S','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215111711459814575122610116122',NULL,'270',46.36,1,3,NULL),(28,7310595,'1994-04-07 00:00:00',4,6,11,2011,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124242241215111431557734312121610117112',15005,'9997',37.18,1,3,NULL),(28,7310609,'1991-02-22 00:00:00',2,7,12,2008,'M','N','CENTRO','FRAIBURGO','SC','124241241116272431464911145132131417047',NULL,'314',15.24,1,3,NULL),(28,7310633,'1988-02-03 00:00:00',4,1,12,2006,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124121241116155431656829481122232067147',NULL,'289',25.75,1,3,NULL),(28,7310641,'1993-07-13 00:00:00',4,1,12,2010,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241217572431567633575112610134117',NULL,'1022',26.08,1,3,NULL),(28,7310650,'1993-04-16 00:00:00',2,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124202201217472751347931585112610167186',614,'9998',71.83,1,3,NULL),(28,7310668,'1994-03-28 00:00:00',2,4,12,2011,'M','N','CENTRO','LAGES','SC','124242241215372451335416575125610134182',8270,'499',48.89,1,3,NULL),(28,7310684,'1994-09-19 00:00:00',4,8,12,2011,'F','N','FLORESTA','JOINVILLE','SC','124241241117131431658721115122610135017',16088,'479',43.53,1,2,1),(28,7310692,'1990-07-02 00:00:00',2,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117371721126644445314610127057',NULL,'79',35.84,1,2,1),(28,7310706,'1993-09-23 00:00:00',2,4,12,2010,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241214471431258912595124610135112',14930,'185',40.67,1,3,NULL),(28,7310714,'1995-07-25 00:00:00',4,1,12,2011,'M','N','FAZ RIO TAVARES','FLORIANÓPOLIS','SC','124241241117151432468913575124610127097',NULL,'267',25.28,1,3,NULL),(28,7310722,'1994-05-12 00:00:00',4,9,12,2011,'F','N','COPACABANA','LAGES','SC','124242241215111431526812575122610168147',18640,'515',36.74,1,3,NULL),(28,7310730,'1993-04-28 00:00:00',2,1,12,2010,'M','N','FUNDOS','BIGUAÇU','SC','124242241215472431457912575122610167042',5924,'738',54.19,1,3,NULL),(28,7310757,'1994-11-07 00:00:00',4,1,12,2011,'M','N','JARDIM SARAPIRANGA','JUNDIAÍ','SP','125253251215111431457412575114610162046',NULL,'9998',0.00,1,3,NULL),(28,7310765,'1995-01-04 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241216112521568612575124610147042',16266,'738',37.24,1,3,NULL),(28,7310773,'1992-04-03 00:00:00',2,5,9,2009,'F','N','CENTRO','CRICIÚMA','SC','124242246216131531469933345124610136092',3373,'995',59.15,1,3,NULL),(28,7310781,'1993-10-25 00:00:00',4,9,12,2010,'M','N','VILA MARIZA','LAGES','SC','124242241215271431449813395124610168172',7007,'515',52.43,1,3,NULL),(28,7310790,'1993-04-15 00:00:00',4,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241215373431536923575124610147047',3694,'1074',60.20,1,3,NULL),(28,7310803,'1994-07-25 00:00:00',2,7,12,2011,'F','N','NOSSA SRA DE LOURDES','CAMPOS NOVOS','SC','124243241116271431334331245122610144147',13436,'139',38.12,1,3,NULL),(28,7310811,'1994-07-05 00:00:00',2,26,11,2011,'M','N','CENTRO','CONCÓRDIA','SC','124242241215111431356923575122610128152',19749,'190',30.67,1,3,NULL),(28,7310820,'1993-07-21 00:00:00',4,1,12,2011,'F','N','CAMPO DUNA','GAROPABA','SC','124241241137131531526411385124610134057',NULL,'1136',20.87,1,2,1),(28,7310846,'1994-06-20 00:00:00',4,1,12,2011,'M','N','GONZAGA','SANTOS','SP','125252251216121731369813575112610134042',7636,'9998',50.57,1,3,NULL),(28,7310854,'1994-01-10 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212112431367829492112610163077',9034,'270',47.51,1,3,NULL),(28,7310889,'1991-09-23 00:00:00',4,1,12,2009,'M','N','JD DAS PALMEIRAS','VALINHOS','SP','124252251117473711248823576124610165182',1786,'9998',65.86,4,3,NULL),(28,7310900,'1995-05-27 00:00:00',2,1,11,2012,'F','S','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215111231335539295124613231147',NULL,'1048',31.55,5,3,NULL),(28,7310919,'1994-09-05 00:00:00',2,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241236111411345823475124610126185',10299,'1050',44.34,1,3,NULL),(28,7310927,'1994-02-09 00:00:00',4,1,11,2011,'F','N','CAJURU','CURITIBA','PR','116162161217471421377912575124610164046',NULL,'9998',0.00,1,3,NULL),(28,7310935,'1995-03-27 00:00:00',4,23,12,2011,'F','N','CENTRO','DR PEDRINHO','SC','124241241127161431428923195124610124142',NULL,'248',33.60,1,2,1),(28,7310943,'1996-03-11 00:00:00',4,9,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111751338819375122610117092',4525,'1022',57.90,1,3,NULL),(28,7310951,'1993-11-03 00:00:00',4,1,12,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241235111431359923575114610144042',5373,'883',56.46,1,3,NULL),(28,7310960,'1994-11-24 00:00:00',4,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124243241215111431448613575124610123183',12215,'1022',42.13,1,3,NULL),(28,7310978,'1994-12-22 00:00:00',2,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','123242241235111411534432172124610122112',10125,'1022',45.51,1,3,NULL),(28,7310986,'1994-08-23 00:00:00',4,1,11,2011,'M','N','VILA NOVA','IMBITUBA','SC','124242241615271412478812225122610127132',2382,'362',63.35,1,3,NULL),(28,7310994,'1986-08-22 00:00:00',2,1,12,2003,'M','N','BARREIROS','S JOSÉ','SC','124121121415573721138449495114610114021',4905,'9998',56.66,1,3,NULL),(28,7311001,'1987-03-30 00:00:00',4,1,12,2005,'M','N','SANTA FE','APARECIDA GOIÂNIA','GO','109093191416241431539629445124142464127',19585,'9998',32.14,1,3,NULL),(28,7311010,'1994-09-20 00:00:00',4,1,12,2011,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241115371411437611582122610132142',16271,'65',34.76,1,2,1),(28,7311028,'1995-07-30 00:00:00',4,23,12,2012,'F','S','CENTRO','JARAGUÁ SUL','SC','124242241217161732337712575122610134016',NULL,'424',37.96,1,3,NULL),(28,7311036,'1993-02-11 00:00:00',4,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241115372231446314345114610162192',NULL,'732',12.68,1,2,1),(28,7311052,'1992-07-25 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241336233431349619592122310118181',7282,'270',58.34,1,3,NULL),(28,7311060,'1987-12-05 00:00:00',2,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241131144411225344345124330233092',14640,'560',46.28,1,2,1),(28,7311087,'1992-07-13 00:00:00',2,1,12,2009,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124242241212373431436613445124610167112',14349,'1022',46.87,1,3,NULL),(28,7311109,'1985-12-14 00:00:00',4,1,12,2003,'M','N','CHÁCARA PAULISTA','MARINGÁ','PR','116162161216553451349527575112141467182',NULL,'9998',16.45,1,3,NULL),(28,7311117,'1992-12-28 00:00:00',4,6,12,2010,'M','N','PORTO GRANDE','S SEBASTIÃO','SP','124252251215133431459934575124210164042',NULL,'9998',28.72,1,3,NULL),(28,7311125,'1994-06-06 00:00:00',4,2,11,2011,'F','N','ESTADOS','INDAIAL','SC','124244241215111431466712575124610136182',4704,'855',55.64,1,3,NULL),(28,7311133,'1995-07-29 00:00:00',4,2,12,2011,'F','N','BOA VISTA','BLUMENAU','SC','124243241416131431238921475122610164122',NULL,'1018',14.20,1,3,NULL),(28,7311141,'1994-11-11 00:00:00',4,10,11,2011,'F','N','SÃO BERNARDO','TUBARÃO','SC','124242241415111411447811575122610121072',2767,'806',60.42,1,3,NULL),(28,7311168,'1992-09-14 00:00:00',4,1,12,2009,'F','N','BOSQUE DA SAUDE II','CUIABÁ','MT','111112111216121711327611375122240962071',NULL,'9998',0.00,1,3,NULL),(28,7311184,'1995-02-03 00:00:00',2,1,11,2011,'M','N','FUNDOS','BIGUAÇU','SC','124242241215111231446931572112610167044',16161,'1118',35.42,1,3,NULL),(28,7311192,'1994-11-19 00:00:00',2,1,12,2011,'F','N','ROÇADO','S JOSÉ','SC','124241241117131431538923572124610122147',NULL,'729',28.78,1,2,1),(28,7311206,'1994-06-12 00:00:00',3,1,12,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241115111731346624372114610128182',6896,'267',53.85,1,2,1),(28,7311214,'1994-08-13 00:00:00',4,25,12,2011,'F','N','CENTRO','FRAIBURGO','SC','124241241116161431246923245125610127017',15943,'314',31.98,1,2,1),(28,7311222,'1994-06-11 00:00:00',2,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215121431228624575122610131072',3333,'723',60.28,1,3,NULL),(28,7311230,'1993-06-29 00:00:00',2,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241136372431436411342123610123197',NULL,'733',19.48,1,2,1),(28,7311249,'1991-06-18 00:00:00',2,1,12,2008,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124122241116474331236641315114610167147',12155,'288',42.54,1,3,NULL),(28,7311265,'1994-07-07 00:00:00',2,1,11,2011,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124162241215111532556632272122610162142',NULL,'1048',17.93,1,3,NULL),(28,7311273,'1992-07-01 00:00:00',4,10,12,2010,'F','N','MAGALHÃES','LAGUNA','SC','124243241347131431436614345124610134072',NULL,'522',17.62,1,3,NULL),(28,7311281,'1992-11-24 00:00:00',4,1,5,2011,'F','N','MOOCA','S PAULO','SP','125072077216271111369813385124610122117',NULL,'9998',31.96,1,3,NULL),(28,7311290,'1994-07-30 00:00:00',2,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124244241115131731436913595124610163057',16475,'271',33.62,4,3,NULL),(28,7311303,'1995-02-08 00:00:00',4,26,12,2011,'M','N','CENTRO','CONCÓRDIA','SC','124241246115111431658833575124610128197',15836,'196',33.15,1,2,1),(28,7311311,'1992-05-11 00:00:00',2,1,12,2010,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241246115572431537824285124610127117',10170,'306',47.64,1,2,1),(28,7311346,'1987-12-14 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241247337271431235429245124133215057',NULL,'9999',30.36,4,3,NULL),(28,7311370,'1993-08-16 00:00:00',4,1,12,2011,'F','N','MORRO AZUL','S SEBASTIÃO','DF','107122251216471431469911575122610137017',1450,'9998',66.36,1,3,NULL),(28,7311389,'1993-03-24 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241215372431343316472124131432182',2197,'955',66.20,1,3,NULL),(28,7311397,'1995-06-18 00:00:00',4,1,11,2012,'M','S','CENTRO','CASCAVEL','PR','216162161217271141448832225122610144172',NULL,'9998',0.00,1,3,NULL),(28,7311419,'1987-02-22 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201201116121711146543435122321163063',6460,'9998',59.76,1,3,NULL),(28,7311427,'1992-01-27 00:00:00',4,1,12,2009,'F','N','DANIELA','FLORIANÓPOLIS','SC','124242241317373411468713585124230262092',1355,'1022',65.77,1,3,NULL),(28,7311435,'1994-06-24 00:00:00',4,1,11,2011,'M','N','CENTRO','QUINTANA','SP','125252251217151441458831571122610133072',5511,'9998',56.13,3,3,NULL),(28,7311443,'1993-05-21 00:00:00',4,2,12,2010,'F','N','GARCIA','BLUMENAU','SC','124242241216372431338923445124610122142',5292,'71',57.34,1,3,NULL),(28,7311451,'1993-02-12 00:00:00',4,1,12,2011,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241241115371431423424575124610124147',NULL,'592',21.63,1,2,1),(28,7311460,'1994-04-18 00:00:00',4,10,12,2011,'M','N','OFICINAS','TUBARÃO','SC','124242248215141421355911345125610117052',NULL,'1120',0.00,1,3,NULL),(28,7311478,'1993-06-24 00:00:00',4,10,12,2011,'M','N','OFICINAS','TUBARÃO','SC','124244241415131431246833575125610145117',16557,'1120',42.52,1,3,NULL),(28,7311486,'1992-01-17 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241217574431468732572124230463157',5052,'185',56.20,1,3,NULL),(28,7311494,'1988-07-29 00:00:00',4,1,11,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247336152411223772395122610134193',NULL,'9997',0.00,1,3,NULL),(28,7311508,'1995-07-08 00:00:00',4,1,12,2012,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215131731237924345124610124192',NULL,'262',28.61,1,3,NULL),(28,7311516,'1992-02-03 00:00:00',2,8,11,2010,'F','N','OURO PRETO','BELO HORIZONTE','MG','113282288217271751259924575124610162142',19113,'9998',34.82,4,3,NULL),(28,7311524,'1994-11-07 00:00:00',4,8,12,2011,'F','N','CENTRO','RIO NEGRO','PR','124162161211271411459913472124640163187',2597,'9998',62.48,1,3,NULL),(28,7311532,'1991-06-13 00:00:00',6,1,11,2010,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124243241416152431434431415122610167067',NULL,'270',23.55,1,3,NULL),(28,7311540,'1993-08-04 00:00:00',4,1,12,2010,'F','N','SÃO JOÃO','PTO ALEGRE','RS','120202241217143431469823575124240436147',3242,'855',58.88,1,3,NULL),(28,7311559,'1989-05-13 00:00:00',4,8,12,2006,'F','N','CENTRO','PNT GROSSA','PR','116162161216271421485932575122241042042',NULL,'9998',0.00,1,3,NULL),(28,7311575,'1993-12-10 00:00:00',2,16,12,2010,'F','N','NOSSA SENHORA AP','STA CECÍLIA','SC','124241241115131731213424275122610162052',NULL,'686',0.00,1,3,NULL),(28,7311583,'1994-02-28 00:00:00',4,1,12,2011,'F','N','PARQUE IMPERIAL','S PAULO','SP','125253251214131431363823275124610141097',NULL,'9998',0.00,1,3,NULL),(28,7311591,'1993-01-03 00:00:00',4,4,12,2010,'M','N','URUGUAI','MONDAÍ','SC','124241241117371231456814412132131417047',18744,'564',36.31,1,2,1),(28,7311605,'1993-06-13 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217112412537723575114120914145',NULL,'1168',33.27,1,3,NULL),(28,7311621,'1993-03-02 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124142141217471431347719385111610167117',17561,'9998',40.15,1,3,NULL),(28,7311630,'1990-11-01 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201241127272431326569315323610127167',19631,'277',31.72,1,3,NULL),(28,7311648,'1993-05-02 00:00:00',4,6,12,2010,'M','N','PRAIA BRAVA','ITAJAÍ','SC','124242241215372431368813575112231427042',6929,'1038',52.27,1,3,NULL),(28,7311656,'1995-06-01 00:00:00',4,6,12,2012,'M','S','CENTRO','ITAJAÍ','SC','124242241217111731379814575122610127042',NULL,'1026',39.64,1,3,NULL),(28,7311664,'1994-09-15 00:00:00',4,1,12,2011,'F','N','JARDIM LA SALLE','TOLEDO','PR','116161161117371431526632575122610162112',11706,'9998',42.80,1,2,1),(28,7311672,'1994-05-31 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211112411348622575124610112147',11324,'270',44.73,1,3,NULL),(28,7311680,'1993-10-07 00:00:00',2,4,12,2011,'F','N','EFAPI','CHAPECÓ','SC','124241241122131731423532592124610133142',19719,'174',30.93,1,3,NULL),(28,7311699,'1994-05-06 00:00:00',4,4,12,2011,'M','N','JARDIM ITALIA','CHAPECÓ','SC','124241241117371431345923195124610138142',7522,'169',50.54,1,2,1),(28,7311710,'1994-12-23 00:00:00',4,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241317112231239934572124610114075',5094,'883',55.39,1,3,NULL),(28,7311737,'1993-04-03 00:00:00',4,15,12,2009,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241116111531436614575112610131185',18656,'30',25.94,1,3,NULL),(28,7311745,'1992-02-19 00:00:00',4,1,12,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215151231336627575122610122043',18743,'300',36.31,1,3,NULL),(28,7311753,'1992-08-16 00:00:00',2,1,11,2009,'F','N','CAPOIERAS','FLORIANÓPOLIS','SC','124242241215443431335611442134610132147',17524,'1022',40.24,1,3,NULL),(28,7311761,'1989-09-26 00:00:00',4,23,12,2006,'M','N','JOÃO PESSOA','JARAGUÁ SUL','SC','124241241116131431343614345122333264187',17452,'433',40.41,1,3,NULL),(28,7311788,'1993-04-07 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124072071216471431478833475112610144142',2258,'9998',66.44,1,3,NULL),(28,7311800,'1993-03-31 00:00:00',2,1,12,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124241241115572411223324285124610164192',13476,'592',39.73,1,2,1),(28,7311818,'1995-01-17 00:00:00',4,7,11,2011,'F','N','SANTA HELENA','JOAÇABA','SC','124242241215471731528615575124610147147',9246,'962',46.72,1,3,NULL),(28,7311826,'1991-07-31 00:00:00',4,15,12,2008,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241247116132731426634345115131047042',NULL,'29',20.89,1,2,1),(28,7311834,'1994-03-04 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217112431568831572114610164042',7505,'270',50.26,1,3,NULL),(28,7311842,'1991-08-17 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241214572431386633475124230432052',6796,'1057',52.69,4,3,NULL),(28,7311850,'1994-07-07 00:00:00',4,4,12,2011,'F','N','PRESIDENTE MÉDICE','CHAPECÓ','SC','124241241116131431333926575124610124017',8009,'182',48.93,1,2,1),(28,7311869,'1990-06-08 00:00:00',4,6,11,2008,'F','N','TARUMÃ','CURITIBA','PR','116162161216571411576923445122610162147',7430,'9998',58.10,1,3,NULL),(28,7311877,'1995-11-30 00:00:00',4,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111731265923575124610127052',7964,'1050',48.40,1,3,NULL),(28,7311885,'1992-06-15 00:00:00',4,2,12,2009,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201116471411347812272124610132147',7337,'9998',51.99,1,3,NULL),(28,7311893,'1994-05-23 00:00:00',4,5,12,2011,'F','N','CACHOEIRA','PR GRANDE','SC','124241241117471431543933475124610134057',10944,'641',42.48,1,2,1),(28,7311915,'1993-09-29 00:00:00',4,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124242241112311431426714575124610167172',4372,'739',56.42,1,3,NULL),(28,7311923,'1977-05-27 00:00:00',2,1,12,1996,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241315131751229979445114130237177',NULL,'9997',21.63,4,1,2),(28,7311931,'1994-04-11 00:00:00',2,1,12,2010,'F','N','CAMPO DUNA','GAROPABA','SC','124241241127371431434419275124610125047',12095,'1136',44.26,2,1,1),(28,7311940,'1989-12-17 00:00:00',2,9,12,2008,'F','N','AURELIO BERNARDES','JI-PARANÁ','RO','122051051126272431326329285123143034027',NULL,'9998',31.26,4,3,NULL),(28,7311958,'1993-09-30 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215272731338811572124610163186',9402,'883',47.89,1,3,NULL),(28,7311966,'1993-03-09 00:00:00',4,1,12,2010,'F','N','JARDIM PAULISTA','CPO GRANDE','MS','112122121216371431235922575122610167097',NULL,'9998',0.00,4,3,NULL),(28,7311974,'1993-07-12 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124244248115131431436621345124610127042',NULL,'306',29.15,4,1,2),(28,7311982,'1976-06-19 00:00:00',2,1,10,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','624241247146151411323341115124610135183',NULL,'9999',36.22,1,2,1),(28,7311990,'1990-04-05 00:00:00',4,1,7,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124252247237132431226344445124610134182',12044,'977',41.61,1,3,NULL),(28,7312008,'1994-04-19 00:00:00',4,1,12,2011,'F','N','BOA PARADA','S PEDRO ALCÂNTARA','SC','124241241125161431524327595124610125141',19151,'869',34.63,1,2,1),(28,7312016,'1991-06-26 00:00:00',4,1,11,2008,'M','N','TAQUARAL','CAMPINAS','SP','125074211416131351336679295121610168197',NULL,'9998',0.00,1,3,NULL),(28,7312024,'1987-10-10 00:00:00',4,1,12,2005,'F','N','PICADAS DO SUL','S JOSÉ','SC','124242241116153731226434495124222167093',10271,'306',53.28,1,3,NULL),(28,7312032,'1991-06-19 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116471711644114241114610147045',NULL,'287',35.93,1,2,1),(28,7312040,'1994-06-25 00:00:00',4,1,11,2011,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241216111731369913575112610164182',3896,'270',59.35,1,3,NULL),(28,7312059,'1993-07-13 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124212241215373431458813315122121523092',9543,'272',54.47,1,3,NULL),(28,7312067,'1989-10-16 00:00:00',4,1,12,2006,'F','N','ARIRIU DA FORMIGA','PALHOÇA','SC','124241241116132731238629445124332727042',18608,'733',36.87,1,3,NULL),(28,7312075,'1993-06-12 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242244215372431276734575122131927061',8375,'262',56.49,1,3,NULL),(28,7312083,'1992-03-19 00:00:00',2,1,12,2009,'F','N','VENDAVAL','BIGUAÇU','SC','124241241216274431635623575124230421045',9653,'1022',46.67,1,3,NULL),(28,7312091,'1993-03-19 00:00:00',4,6,12,2010,'F','N','CENTRO','LAURENTINO','SC','124241241436372431459823575124232636097',NULL,'959',0.00,1,3,NULL),(28,7312113,'1994-03-11 00:00:00',4,26,12,2010,'M','N','CENTRO','CONCÓRDIA','SC','120244241215272331556612575124241467042',4495,'270',56.46,1,3,NULL),(28,7312121,'1992-09-21 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215573431236923574124610124192',737,'1026',70.63,1,3,NULL),(28,7312130,'1993-10-10 00:00:00',4,7,12,2010,'F','N','CENTRO','JOAÇABA','SC','124242161215472411558811575122610123142',NULL,'9998',0.00,1,3,NULL),(28,7312148,'1995-01-03 00:00:00',2,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124244241217121711469931575125610124072',10801,'724',51.78,1,3,NULL),(28,7312164,'1988-09-14 00:00:00',4,8,12,2006,'F','N','JARIVATUBA','JOINVILLE','SC','624241245146371421323358472314610134177',19840,'790',29.91,1,3,NULL),(28,7312172,'1993-08-27 00:00:00',2,1,12,2010,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124242241217272431646632575114610122047',8772,'1223',49.52,1,3,NULL),(28,7312180,'1991-12-20 00:00:00',4,1,12,2009,'F','N','VILA CALIFORNIA','S PAULO','SP','125252251216432431449934346135610136142',10323,'9998',44.56,1,3,NULL),(28,7312199,'1993-02-11 00:00:00',4,1,12,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241415372711346624385112610124112',5412,'272',57.35,1,3,NULL),(28,7312202,'1993-07-06 00:00:00',2,1,11,2010,'M','N','BOSQUE DAS MANSÕES','S JOSÉ','SC','124242241215472431357933575122133268183',2964,'270',67.00,1,3,NULL),(28,7312210,'1993-03-10 00:00:00',4,23,12,2010,'M','N','CENTRO','JARAGUÁ SUL','SC','124244241217472731338814391111610128012',6469,'1061',52.83,1,3,NULL),(28,7312229,'1986-09-06 00:00:00',2,1,12,2006,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241126131411433111445124232763147',NULL,'294',17.53,1,2,1),(28,7312237,'1981-06-25 00:00:00',2,1,11,1998,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241217135711146619495124131066177',18586,'211',36.95,1,3,NULL),(28,7312245,'1993-12-26 00:00:00',2,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241115371431325311385124610144147',11507,'727',45.59,1,2,1),(28,7312253,'1992-04-07 00:00:00',4,1,12,2011,'M','N','PEDREGAL','S JOSÉ','SC','124245248137131311321521485224610135032',NULL,'734',21.78,1,3,NULL),(28,7312261,'1994-04-03 00:00:00',2,1,12,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241115371731446614575124610123042',14048,'307',42.23,1,2,1),(28,7312270,'1994-11-23 00:00:00',4,2,11,2011,'F','N','VILA NOVA','BLUMENAU','SC','124244241415211511367923592124610131187',17593,'70',40.06,1,3,NULL),(28,7312288,'1993-02-10 00:00:00',2,1,12,2010,'F','N','RIO GRANDE','PALHOÇA','SC','124241241137472431324521285124610124187',13504,'592',40.15,1,2,1),(28,7312296,'1990-11-30 00:00:00',2,1,12,2007,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124241241135573431326621242124610128187',NULL,'307',18.49,1,2,1),(28,7312300,'1994-12-09 00:00:00',4,1,12,2012,'M','S','CENTRO','MAL CÂNDIDO RONDON','PR','116162163117151231339821342125610127122',NULL,'9998',51.35,1,3,NULL),(28,7312326,'1993-08-31 00:00:00',2,1,12,2011,'F','N','FORQUILINHAS','S JOSÉ','SC','124241241112271431323923282124610131092',NULL,'733',26.46,1,2,1),(28,7312334,'1994-07-28 00:00:00',2,1,12,2011,'F','N','PALMAS','GOV CELSO RAMOS','SC','124241241147371711533319245124610167047',18655,'329',28.04,1,2,1),(28,7312342,'1994-12-11 00:00:00',2,7,11,2011,'F','N','SÃO SEBASTIÃO','CAMPOS NOVOS','SC','124242248215111411357613475122610116142',NULL,'138',18.52,1,3,NULL),(28,7312350,'1993-07-20 00:00:00',2,1,12,2010,'M','N','PASSO','MAFRA','SC','124241241216372431235823345122610137057',1567,'541',64.72,4,1,2),(28,7312369,'1994-05-30 00:00:00',2,22,11,2011,'M','N','JARDIM MALUCHE','BRUSQUE','SC','124242241235111751476432125122610168042',NULL,'107',0.00,1,3,NULL),(28,7312377,'1993-05-06 00:00:00',2,1,12,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124201201117132412417823392124233267042',16099,'9998',34.44,1,2,1),(28,7312385,'1994-11-26 00:00:00',4,6,11,2011,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124242241215121631339932575122610127066',567,'1038',71.54,1,3,NULL),(28,7312393,'1991-10-28 00:00:00',2,8,12,2008,'M','N','PORTO DOS PADRES','PARANAGUÁ','PR','116163161127471511423819242124143267044',NULL,'9998',0.00,1,3,NULL),(28,7312407,'1995-01-31 00:00:00',4,17,12,2011,'F','N','CENTRO','PAPANDUVA','SC','124241241117271731226524296124610128187',17696,'603',30.06,1,2,1),(28,7312415,'1992-11-08 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211272411238831471124610116117',6485,'9998',52.70,4,3,NULL),(28,7312423,'1993-07-09 00:00:00',2,1,12,2011,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124241241115471421536624285124610122147',15614,'733',35.11,1,2,1),(28,7312431,'1993-10-21 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241137371732336671244134610124046',11048,'283',41.83,1,2,1),(28,7312440,'1994-11-06 00:00:00',2,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124031241136271731628664585124610118072',16412,'307',34.21,4,3,NULL),(28,7312458,'1991-12-13 00:00:00',4,1,12,2011,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241135131432433331215124610127057',14302,'267',39.17,1,2,1),(28,7312466,'1990-06-27 00:00:00',2,1,12,2007,'F','N','BARREROS','S JOSÉ','SC','124241241121271431534464241124610127147',13068,'702',42.03,1,2,1),(28,7312474,'1973-06-03 00:00:00',4,1,12,1990,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224242246117153721268942424122231044047',7226,'498',58.43,1,3,NULL),(28,7312490,'1990-05-16 00:00:00',4,1,12,2007,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201201117143412126813345124233224087',18740,'9998',36.32,1,3,NULL),(28,7312504,'1988-08-04 00:00:00',2,1,12,2005,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242247317145431438923445122132844017',9680,'9999',45.75,1,3,NULL),(28,7312512,'1994-05-06 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124042241416111431628671585124610136093',19053,'307',35.09,1,3,NULL),(28,7312520,'1995-05-30 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111731479813585122610168053',NULL,'262',37.03,1,3,NULL),(28,7312539,'1990-03-11 00:00:00',4,1,11,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242246216271731159934345124131427053',19319,'995',33.79,1,3,NULL),(28,7312547,'1987-06-20 00:00:00',4,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241414575411449337395114130264097',NULL,'666',29.13,1,3,NULL),(28,7312571,'1995-04-08 00:00:00',4,4,12,2011,'M','N','CENTRO','GALVÃO','SC','124241241117371211346616575124610162057',14921,'321',36.34,1,2,1),(28,7312580,'1979-09-05 00:00:00',2,4,12,1997,'F','N','SAIC','CHAPECÓ','SC','224241248116131431424351342123232226147',17682,'124',39.78,1,2,1),(28,7312598,'1992-12-03 00:00:00',2,2,11,2010,'F','N','CENTRO','BRUSQUE','SC','124242241217372431468912435122231067122',NULL,'107',0.00,1,3,NULL),(28,7312601,'1989-09-10 00:00:00',4,1,12,2007,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124254251417271441246921315124141935022',9154,'9998',55.15,1,3,NULL),(28,7312610,'1992-08-22 00:00:00',4,15,12,2009,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241215142431467859485122221467047',7604,'970',51.89,1,3,NULL),(28,7312628,'1969-02-06 00:00:00',4,8,12,1992,'F','N','BUCAREIN','JOINVILLE','SC','124243244411135711133343432122233246017',NULL,'228',25.56,2,1,2),(28,7312636,'1993-12-11 00:00:00',4,1,12,2011,'F','N','ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC','124241241117271431228324375124610134157',15110,'295',37.23,1,2,1),(28,7312644,'1994-06-30 00:00:00',4,8,11,2011,'M','N','AMERICA','JOINVILLE','SC','124242241217121431369913574122610164182',6398,'457',52.80,1,3,NULL),(28,7312652,'1992-11-10 00:00:00',4,1,12,2010,'F','N','JD CENTENÁRIO','S PAULO','SP','125252251217331731548819395115610164187',9237,'9998',46.81,1,3,NULL),(28,7312660,'1987-02-15 00:00:00',2,1,12,2004,'F','N','CAMPINAS','S JOSÉ','SC','124241241416133721213644445125333232182',14228,'649',47.06,1,3,NULL),(28,7312679,'1995-06-12 00:00:00',2,25,12,2011,'M','N','CENTRO','LEBON RÉGIS','SC','124243241335111231438832571125610167017',15550,'120',44.63,1,3,NULL),(28,7312687,'1992-10-30 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241111372431523414341124610136147',NULL,'307',28.41,1,2,1),(28,7312695,'1992-11-13 00:00:00',4,1,12,2009,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215573431479954572115610128182',11577,'951',51.21,1,3,NULL),(28,7312717,'1994-04-10 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216372231368632595112610127042',5892,'1198',56.27,1,3,NULL),(28,7312725,'1991-06-01 00:00:00',4,26,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241217574731339923385124231426175',7386,'44',51.13,1,3,NULL),(28,7312733,'1994-12-03 00:00:00',4,8,11,2011,'F','N','ALTO DA BOA VISTA','SOROCABA','SP','125252251216111431468912371122610163142',2649,'9998',60.81,1,3,NULL),(28,7312750,'1993-09-05 00:00:00',2,5,11,2010,'F','N','SAO LUIZ','CRICIÚMA','SC','124243241215271731533611575112610137067',15632,'226',44.43,1,3,NULL),(28,7312768,'1995-11-24 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124244241217151431489812275122610167042',18747,'213',36.30,1,3,NULL),(28,7312776,'1994-03-21 00:00:00',2,5,11,2011,'M','N','NOSSA SENHORA','CRICIÚMA','SC','124242241215511731643613575124610121092',18501,'226',37.28,1,3,NULL),(28,7312784,'1994-02-24 00:00:00',2,2,12,2011,'M','N','CARIJÓS','INDAIAL','SC','124244241435141531457812345124610167042',17649,'887',39.88,1,3,NULL),(28,7312792,'1988-03-26 00:00:00',4,1,12,2006,'F','N','IPIRANGA','S JOSÉ','SC','224203247226132431331454242124221366145',8620,'9999',47.08,5,4,NULL),(28,7312806,'1992-04-11 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117141411223379145125133262012',NULL,'341',28.43,1,2,1),(28,7312814,'1992-02-15 00:00:00',2,1,11,2010,'M','N','JARDIM BELA VISTA','S JOSÉ CAMPOS','SP','125253251127271531436629575112610147187',NULL,'9998',0.00,1,3,NULL),(28,7312822,'1989-11-01 00:00:00',4,1,12,2006,'M','N','AREIAS','S JOSÉ','SC','124242241217145331436821295122220737067',12006,'738',50.54,1,3,NULL),(28,7312830,'1993-07-05 00:00:00',4,1,12,2010,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241137151411443839385124610134187',NULL,'285',44.27,1,3,NULL),(28,7312849,'1991-10-01 00:00:00',2,8,12,2008,'F','N','SANTA QUITERIA','CURITIBA','PR','116164161214571731448511575124610154097',7029,'9998',52.37,1,3,NULL),(28,7312857,'1991-06-20 00:00:00',2,8,11,2008,'M','N','CENTRO','LAGES','SC','124242241217573431448921375111231412172',2214,'499',64.92,4,3,NULL),(28,7312873,'1989-11-20 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217143431458834495122221227042',16350,'270',43.00,1,3,NULL),(28,7312890,'1986-07-26 00:00:00',2,1,10,2004,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124243241117133421447761385124333221192',16224,'306',43.28,4,3,NULL),(28,7312911,'1993-08-10 00:00:00',4,1,12,2010,'M','N','CENTRO','CURITIBA','PR','116242241217152431478914575124241437042',6401,'270',59.87,1,3,NULL),(28,7312920,'1993-01-03 00:00:00',4,1,12,2010,'F','N','ALTOS DE SANTANA','S JOSÉ CAMPOS','SP','125251251216372431449513345124610122042',12781,'9998',40.14,1,3,NULL),(28,7312938,'1993-02-10 00:00:00',4,1,11,2010,'M','N','NOVA BRASÍLIA','IMBITUBA','SC','124242241217112431239923435122231026182',NULL,'807',0.00,1,3,NULL),(28,7312954,'1990-05-09 00:00:00',4,1,12,2007,'M','N','FORQUILHAS','S JOSÉ','SC','124241241136165411446714575124121464012',5424,'734',56.91,1,2,1),(28,7312962,'1994-10-03 00:00:00',2,1,12,2011,'M','N','AREIAS','S JOSÉ','SC','124243241116131751647611572224610147092',10391,'271',47.36,1,3,NULL),(28,7312970,'1983-10-17 00:00:00',4,1,12,2000,'M','N','VILA HORTÊNCIA','SOROCABA','SP','125252251216112751367839585122321436192',294,'9998',79.34,1,3,NULL),(28,7312997,'1993-01-15 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124202201436472231337613385124610121057',15412,'9998',35.72,1,3,NULL),(28,7313004,'1983-11-14 00:00:00',4,1,12,2001,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124262261216152711148932415122321447105',2489,'9998',68.28,1,3,NULL),(28,7313012,'1988-06-03 00:00:00',4,1,12,2005,'M','N','VILA BELMIRO','SANTOS','SP','125252251236571411449819491122243017057',3524,'9998',59.85,1,3,NULL),(28,7313020,'1985-06-13 00:00:00',4,1,7,2003,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241246216154421123349295124221458187',NULL,'230',0.00,1,3,NULL),(28,7313039,'1990-02-23 00:00:00',4,1,12,2007,'M','N','OURO VERDE','ASSIS','SP','125252251237472411268823375124221444182',6131,'9998',60.36,1,3,NULL),(28,7313055,'1994-03-26 00:00:00',4,8,11,2011,'F','N','CENTRO','CURITIBA','PR','116162161211421321558614583123620146162',NULL,'9998',0.00,1,3,NULL),(28,7313063,'1988-04-10 00:00:00',2,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124201201216274411536624491124321328012',12493,'9998',49.80,1,3,NULL),(28,7313071,'1980-02-17 00:00:00',2,1,12,2006,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241122331431123344143324613225057',NULL,'732',20.02,1,3,NULL),(28,7313080,'1994-04-20 00:00:00',4,3,12,2011,'M','N','CENTRO','CASCAVEL','PR','116163161217111441358614575112610164022',4090,'9998',57.61,1,3,NULL),(28,7313098,'1989-03-18 00:00:00',4,1,12,2007,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124174241317272431318741115123222327097',NULL,'9998',0.00,1,3,NULL),(28,7313128,'1995-02-16 00:00:00',4,27,12,2011,'F','N','INTERIOR','IRACEMINHA','SC','124241241115131431533336572224610132142',7719,'377',50.95,1,2,1),(28,7313136,'1995-05-04 00:00:00',4,1,12,2012,'F','S','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241417111431469923575122610124143',NULL,'883',20.03,1,3,NULL),(28,7313144,'1990-08-18 00:00:00',4,24,12,2007,'M','N','CANOAS','RIO SUL','SC','124243241212131411436833335124331237042',NULL,'654',0.00,1,3,NULL),(28,7313152,'1993-02-09 00:00:00',2,1,12,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241415131421334623345124610124042',NULL,'281',22.19,1,3,NULL),(28,7313160,'1992-09-28 00:00:00',4,1,10,2011,'F','N','BURITIS','BELO HORIZONTE','MG','113132131217271731269814445122610112127',12050,'9998',41.89,1,3,NULL),(28,7313179,'1989-09-21 00:00:00',2,1,7,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244247447373431445623572124610121142',19336,'9999',33.69,1,3,NULL),(28,7313187,'1992-01-22 00:00:00',2,5,12,2009,'F','N','QUARTA LINHA','CRICIÚMA','SC','124241241415371431453331315114610146117',16595,'920',42.43,1,3,NULL),(28,7313195,'1992-03-21 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241248417132711428634445122610114147',13469,'737',41.15,1,3,NULL),(28,7313209,'1990-06-14 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241415333431437831445114331467141',18500,'1036',37.29,1,3,NULL),(28,7313217,'1994-08-05 00:00:00',2,4,12,2011,'F','N','INTERIOR','RIQUEZA','SC','124241241117161431413335572324610127052',NULL,'674',19.36,1,2,1),(28,7313225,'1989-08-11 00:00:00',2,26,12,2009,'M','N','CENTRO','CONCÓRDIA','SC','124241241327372431126644445135610127047',18472,'190',37.37,4,1,2),(28,7313233,'1989-07-03 00:00:00',4,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241216165712343322385114122967182',17530,'1049',40.22,1,3,NULL),(28,7313241,'1992-07-29 00:00:00',2,1,12,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241121372731425923335124610113192',14632,'274',41.71,1,2,1),(28,7313250,'1993-10-19 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241216151732459833572121610124145',NULL,'272',29.69,1,3,NULL),(28,7313268,'1983-03-20 00:00:00',2,1,12,2000,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242247417133431236567445124610147042',19158,'9999',34.61,1,3,NULL),(28,7313276,'1990-02-08 00:00:00',4,1,12,2008,'M','N','STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC','124244241417372431346631345124610127051',NULL,'269',17.48,1,3,NULL),(28,7313284,'1994-05-30 00:00:00',4,1,12,2012,'M','S','FORQUILHAS','S JOSÉ','SC','124244246117111731449714575124610117062',NULL,'306',40.44,1,3,NULL),(28,7313292,'1994-07-21 00:00:00',4,27,12,2011,'F','N','CENTRO','BANDEIRANTE','SC','124241241116141431323316265124610134057',9622,'55',47.57,1,2,1),(28,7313306,'1994-06-07 00:00:00',2,16,12,2011,'F','N','ADOLFO C DA SILVA','STA CECÍLIA','SC','124241241115271732326624575124610118187',NULL,'686',16.56,4,3,NULL),(28,7313314,'1991-05-31 00:00:00',2,1,12,2008,'M','N','MARTELLO','CAÇADOR','SC','124241241116131421522219385114132235097',NULL,'123',0.00,4,3,NULL),(28,7313322,'1994-03-07 00:00:00',4,27,12,2011,'F','N','CENTRO','BANDEIRANTE','SC','124241241116141431323336265124610133057',11638,'55',42.27,1,2,1),(28,7313349,'1995-07-13 00:00:00',4,1,12,2012,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','121242211617111431469933595122610136093',NULL,'9998',47.70,1,3,NULL),(28,7313357,'1993-10-13 00:00:00',2,15,12,2011,'F','N','CENTRO','ARARANGUÁ','SC','124241245115371431624623575125610116047',NULL,'29',37.46,1,3,NULL),(28,7313365,'1960-07-08 00:00:00',4,1,12,1977,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224201208217154711676654412122321531097',NULL,'9998',0.00,1,3,NULL),(28,7313373,'1987-10-20 00:00:00',4,3,12,2004,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124161161137355231336814145134142322057',NULL,'9998',0.00,1,2,1),(28,7313381,'1993-10-04 00:00:00',4,1,12,2010,'F','N','SENHORA DO ROSÁRIO','S JOSÉ','SC','124241241116371431526619275124610143097',13084,'307',41.27,1,2,1),(28,7313403,'1989-08-07 00:00:00',2,1,12,2006,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241126272431326624345234610167187',19146,'294',34.67,1,2,1),(28,7313438,'1993-06-18 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473431489911475112610147042',2908,'262',62.06,1,3,NULL),(28,7313462,'1990-07-03 00:00:00',2,1,12,2007,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241116173721435439245124610117042',NULL,'307',22.03,1,2,1),(28,7313470,'1993-06-16 00:00:00',2,1,12,2010,'M','N','OPERARIO','TRÊS PASSOS','RS','120201201117131431535813472124241417042',NULL,'9998',25.79,1,2,1),(28,7313497,'1989-01-18 00:00:00',4,1,12,2006,'F','N','JD CIDADE FPOLIS','S JOSÉ','SC','124242241216134431356614445133122234057',8058,'738',48.50,1,3,NULL),(28,7313500,'1995-04-21 00:00:00',4,23,12,2011,'F','N','JARAGUA ESQUERDO','JARAGUÁ SUL','SC','124241241147141111644511175122610115147',16158,'438',30.80,1,2,1),(28,7313519,'1987-08-17 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241248116231451125849192334610133177',NULL,'228',18.68,1,3,NULL),(28,7313527,'1994-05-06 00:00:00',4,4,11,2011,'F','N','BRASÍLIA','PATO BRANCO','PR','116162161215471431436912575124610112017',16849,'9998',32.01,1,3,NULL),(28,7313543,'1994-07-05 00:00:00',2,4,12,2011,'M','N','INTERIOR','SEARA','SC','124241242137131431424415592224610137052',NULL,'196',0.00,1,2,1),(28,7313551,'1994-07-11 00:00:00',4,8,12,2011,'M','N','ADHEMAR GARCIA','JOINVILLE','SC','124241241335411431423611585124610124142',12030,'1016',42.49,1,3,NULL),(28,7313560,'1993-05-16 00:00:00',2,17,12,2010,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241116131231423419385122610163142',NULL,'147',0.00,4,2,1),(28,7313578,'1982-03-18 00:00:00',4,1,12,2002,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124251251147152421343644341124610145127',16511,'9998',37.99,1,2,1),(28,7313586,'1982-04-11 00:00:00',2,1,7,2002,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241246126135432114848185124333236197',16898,'859',41.77,1,2,1),(28,7313594,'1993-03-20 00:00:00',2,1,12,2010,'M','N','CAMPO DUNA','GAROPABA','SC','124242241216132431636911285124121437067',NULL,'1022',0.00,1,3,NULL),(28,7313616,'1987-11-03 00:00:00',2,15,12,2008,'M','N','NOVA DIVINÉIA','ARARANGUÁ','SC','124241241136131411323729345121610141062',19006,'29',35.31,4,2,1),(28,7313640,'1994-06-20 00:00:00',2,1,12,2011,'F','N','PINHEIRA','PALHOÇA','SC','124241241115471411425411272124610167077',15778,'595',36.96,4,2,1),(28,7313659,'1979-02-09 00:00:00',4,1,11,1996,'M','N','INDIANOPOLIS','S PAULO','SP','125252251216141411146644445132343242042',NULL,'9998',0.00,1,3,NULL),(28,7313675,'1976-10-06 00:00:00',4,1,12,1994,'F','N','VILA FORMOSA','S PAULO','SP','125253251116152431346619492134142721142',NULL,'9998',0.00,1,3,NULL),(28,7313683,'1994-05-06 00:00:00',4,4,11,2011,'M','N','BRASÍLIA','PATO BRANCO','PR','116162161215471431436912575124610137047',NULL,'9998',0.00,1,3,NULL),(28,7313691,'1986-09-06 00:00:00',2,1,12,2004,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115472431224674342124610128052',12078,'298',43.25,1,2,1),(28,7313705,'1980-08-31 00:00:00',2,1,7,1999,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242247426153421433539245134332016197',NULL,'9999',29.19,2,1,2),(28,7313713,'1990-06-25 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224241241137141411226451242324610116047',NULL,'288',0.00,1,3,NULL),(28,7313721,'1994-06-10 00:00:00',2,5,6,2011,'F','N','ESTACAO','URUSSANGA','SC','124243241215111441548714591124613234182',17625,'995',39.95,1,3,NULL),(28,7313730,'1995-07-20 00:00:00',4,1,12,2011,'M','N','TAPERA','FLORIANÓPOLIS','SC','124242241215111731559923572124610122092',16789,'270',42.01,1,3,NULL),(28,7313764,'1985-07-05 00:00:00',4,1,12,2003,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','524241241127134731426813382124333261097',18539,'594',37.13,1,2,1),(28,7313780,'1990-10-30 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241436472431146714245324233224112',12170,'300',50.30,1,3,NULL),(28,7313802,'1990-09-24 00:00:00',4,1,12,2008,'F','N','JD IPE','ITATIBA','SP','124253251213513431527832295124632416182',2877,'9998',64.24,1,3,NULL),(28,7313810,'1980-05-10 00:00:00',2,1,6,1999,'M','N','BARREIROS','S JOSÉ','SC','624243247216174721538663342133331237167',19096,'9999',34.88,1,3,NULL),(28,7313837,'1994-05-16 00:00:00',4,1,12,2011,'M','N','BELA VISTA','PALHOÇA','SC','124241241125151731441939175124610122147',20012,'1108',27.89,1,2,1),(28,7313845,'1994-04-11 00:00:00',2,1,12,2011,'F','N','ALTO RIO FARIAS','ANTÔNIO CARLOS','SC','124241241116371711423315275124610127072',NULL,'21',31.41,1,2,1),(28,7313853,'1994-04-04 00:00:00',4,1,12,2011,'F','N','MONTE CASTELO','CPO GRANDE','MS','112122121216113751458831575122610168187',866,'9998',68.83,1,3,NULL),(28,7313870,'1993-09-14 00:00:00',2,15,12,2010,'F','N','SÃO FELIPE','TURVO','SC','124241241117131731326624575122230768147',NULL,'814',22.37,1,3,NULL),(28,7313888,'1988-07-24 00:00:00',2,1,11,2006,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224241247426131711233344245312610117067',NULL,'977',0.00,1,3,NULL),(28,7313896,'1981-11-10 00:00:00',2,1,12,2007,'F','N','ROÇADO','S JOSÉ','SC','124241247122131421412443232334610136111',18443,'9999',37.49,2,1,1),(28,7313918,'1993-05-14 00:00:00',4,2,11,2011,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215111432488812575112610131131',19282,'909',33.94,1,3,NULL),(28,7313926,'1994-01-02 00:00:00',4,15,12,2011,'F','N','SANGA DA TOCA I','ARARANGUÁ','SC','124241241145131731423319385124610121195',NULL,'30',0.00,1,2,1),(28,7313934,'1993-05-27 00:00:00',2,5,11,2011,'F','N','MINA UNIÃO','CRICIÚMA','SC','124242241215111431356934575122610132072',14641,'226',41.08,1,3,NULL),(28,7313942,'1992-04-23 00:00:00',4,17,12,2010,'F','N','BIGORRILHO','CURITIBA','PR','116162161216472421428832342124610123072',927,'9998',68.88,1,3,NULL),(28,7313950,'1993-03-31 00:00:00',4,16,12,2010,'F','N','INTERIOR','CURITIBANOS','SC','124241241115441231513315272124610117145',NULL,'239',13.10,1,3,NULL),(28,7313969,'1994-12-25 00:00:00',4,1,11,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241211131431327514211124610127112',16847,'1022',32.88,2,1,2),(28,7313977,'1994-02-12 00:00:00',4,3,12,2011,'F','N','AREIAS','CAMBORIÚ','SC','124241241115131431635434292322610134147',NULL,'1043',0.00,1,3,NULL),(28,7313993,'1995-03-27 00:00:00',4,26,12,2011,'F','N','INTERIOR','LINDÓIA SUL','SC','124241241135141431434536572225610164147',NULL,'534',0.00,1,3,NULL),(28,7314000,'1994-02-27 00:00:00',2,1,12,2011,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241126131231435872575124610127112',NULL,'290',31.65,1,2,1),(28,7314019,'1993-06-17 00:00:00',2,3,12,2011,'M','N','TOSCANO','VACARIA','RS','120201201116161131223329213124610117047',NULL,'9998',25.11,1,3,NULL),(28,7314027,'1993-12-14 00:00:00',2,9,12,2010,'F','N','COPACABANA','LAGES','SC','124241241116271431438923375112610133182',10350,'935',46.15,1,2,1),(28,7314035,'1992-12-03 00:00:00',2,1,12,2010,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','120202201216132431446921575124231467042',15040,'9998',45.53,1,3,NULL),(28,7314043,'1994-03-09 00:00:00',2,1,11,2011,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215121431558971575122610122097',NULL,'1197',31.28,1,3,NULL),(28,7314051,'1993-12-23 00:00:00',2,1,12,2010,'F','N','PONTE IMARUIM','PALHOÇA','SC','124242241213113421543812242114131014107',NULL,'1022',0.00,1,3,NULL),(28,7314060,'1989-07-20 00:00:00',2,1,12,2008,'F','N','SOBRADINHO DF','SOBRADINHO','DF','107072071216131411238813395334142128092',NULL,'9998',22.63,1,3,NULL),(28,7314078,'1987-07-30 00:00:00',4,1,12,2004,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241132131431634411292214131428172',NULL,'509',26.61,4,2,1),(28,7314086,'1993-11-17 00:00:00',4,9,12,2010,'F','N','CENTRO','CORREIA PINTO','SC','124241241111162431426414245125610167047',NULL,'201',22.52,1,2,1),(28,7314094,'1992-01-05 00:00:00',4,8,12,2009,'F','N','RECANTO DAS AGUAS','IA SOLTEIRA','SP','125251251416571711448814575111610122124',12997,'9998',49.00,3,3,NULL),(28,7314108,'1992-01-09 00:00:00',4,17,12,2009,'M','N','BOA VISTA','CANOINHAS','SC','124241241116141731446614245122610162182',NULL,'146',0.00,1,2,1),(28,7314116,'1992-02-12 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241122271751334439445124610117042',18985,'607',35.37,1,3,NULL),(28,7314124,'1991-10-12 00:00:00',2,5,6,2009,'M','N','CENTRO','LAURO MÜLLER','SC','124244246215331721234923475122131447117',13343,'995',39.35,1,3,NULL),(28,7314132,'1984-03-22 00:00:00',2,1,12,2001,'M','N','CACHOEIRA','FLORIANÓPOLIS','SC','124243241312575731433541282322231037187',14105,'300',47.26,1,3,NULL),(28,7314140,'1994-01-12 00:00:00',4,1,11,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241211111411479932375124610127042',2812,'1169',64.96,1,3,NULL),(28,7314159,'1992-07-12 00:00:00',4,16,12,2010,'F','N','INTERIOR','CURITIBANOS','SC','124241241115441231413315272124610117145',NULL,'239',19.64,1,3,NULL),(28,7314167,'1994-10-15 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431326421575122610164192',NULL,'300',31.14,2,3,NULL),(28,7314175,'1988-05-15 00:00:00',4,1,12,2005,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241126135442334313295124223014091',NULL,'307',0.00,1,3,NULL),(28,7314183,'1990-09-09 00:00:00',4,4,12,2008,'F','N','ALDEIA PALMEIRINHA','JOSÉ BOITEUX','SC','124241241126112411513314485324223232052',19691,'1064',31.30,5,4,NULL),(28,7314191,'1987-03-19 00:00:00',4,1,12,2004,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241147131431633471143224132841172',14394,'505',35.38,2,2,1),(28,7314213,'1994-10-22 00:00:00',2,3,11,2011,'M','N','MUNICIPIOS','BAL CAMBORIÚ','SC','124201241115111531426714372223233214052',18833,'51',35.96,1,2,1),(28,7314221,'1991-02-21 00:00:00',4,1,12,2008,'M','N','CENTRO','CORDEIRÓPOLIS','SP','125254251215573431488614375122610164182',4679,'9998',56.28,1,3,NULL),(28,7314230,'1992-09-18 00:00:00',4,10,12,2008,'M','N','PINHEIROS','TUBARÃO','SC','124241246217112522329923445134230747051',NULL,'1120',19.97,1,3,NULL),(28,7314248,'1976-04-09 00:00:00',2,15,12,1995,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241243142133121334824432114133211197',NULL,'29',22.19,1,2,1),(28,7314256,'1982-08-19 00:00:00',2,1,7,2004,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241247127272751623315295113131268187',19412,'186',33.27,1,2,1),(28,7314264,'1994-12-18 00:00:00',4,9,12,2011,'F','N','CARAVAGGIO','LAGES','SC','124243241116271431526419575124610138187',NULL,'500',10.00,1,3,NULL),(28,7314272,'1993-04-05 00:00:00',4,4,12,2011,'M','N','CENTRO','S DOMINGOS','SC','124163241337131411369613285122610136052',18981,'707',35.38,1,3,NULL),(28,7314280,'1981-10-24 00:00:00',2,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241125471431524119443225610121147',11382,'277',42.31,1,2,1),(28,7314299,'1992-01-08 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201241115372431423314155124610127147',10828,'288',45.89,1,2,1),(28,7314310,'1982-01-11 00:00:00',2,1,12,1999,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224241241122143721323351182124610112047',18601,'171',36.90,1,3,NULL),(28,7314329,'1986-09-21 00:00:00',6,1,12,2005,'F','N','ITAMBÉ','CAUCAIA','CE','106062137427241431443339485224610112092',NULL,'9998',0.00,1,3,NULL),(28,7314337,'1993-01-03 00:00:00',4,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215373431338849595114610136077',3146,'737',62.08,1,3,NULL),(28,7314345,'1989-07-12 00:00:00',2,1,12,2007,'F','N','SANTA ROSA','SOCORRO','SP','125253251216141711228712345124240257072',NULL,'9998',31.00,1,3,NULL),(28,7314353,'1988-05-29 00:00:00',2,1,12,2005,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241212135431446311475124222923022',NULL,'1098',38.61,1,3,NULL),(28,7314361,'1981-06-15 00:00:00',4,1,12,2005,'F','N','CAMPINAS','S JOSÉ','SC','124241241116373431124444345124610127047',16487,'733',33.93,1,2,1),(28,7314370,'1994-06-11 00:00:00',4,4,12,2011,'F','N','CENTRO','PASSO FUNDO','RS','120201201117471431436812292124610167147',NULL,'9998',0.00,1,2,1),(28,7314388,'1993-11-25 00:00:00',4,1,11,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124243241117112431335623575114610124047',NULL,'296',0.00,1,3,NULL),(28,7314396,'1993-05-05 00:00:00',4,1,11,2010,'F','N','VILA VITÓRA','MAUÁ','SP','125252251437111431446514245122610162072',19048,'9998',35.10,1,3,NULL),(28,7314400,'1994-04-03 00:00:00',4,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216111431349923575122610111147',2965,'272',63.06,1,3,NULL),(28,7314418,'1985-03-01 00:00:00',2,1,10,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124203208647161231333453485122610124143',NULL,'9998',0.00,4,3,NULL),(28,7314426,'1995-09-15 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241215111731326629475124610136147',11179,'1011',51.82,1,3,NULL),(28,7314442,'1982-10-13 00:00:00',2,1,12,2002,'M','N','ARMAÇAO DO P DO SUL','FLORIANÓPOLIS','SC','124241241122575721436629245124120814087',11496,'307',51.32,1,2,1),(28,7314469,'1994-11-10 00:00:00',4,2,11,2011,'F','N','ASILO','BLUMENAU','SC','124242241215111231469614575122610113047',NULL,'87',0.00,1,3,NULL),(28,7314485,'1991-03-11 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201241116573731426621485214610125052',9297,'288',46.78,1,2,1),(28,7314493,'1988-09-14 00:00:00',2,1,11,2005,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115141731336613345124132724147',NULL,'21',29.90,1,2,1),(28,7314507,'1991-11-25 00:00:00',2,1,11,2009,'M','N','CENTRO','PALHOÇA','SC','124243241212133431427414475124121764097',12391,'989',49.96,1,3,NULL),(28,7314515,'1993-06-21 00:00:00',2,10,11,2010,'F','N','CENTRO','JAGUARUNA','SC','124241241235272431538511475122610122142',4695,'806',58.23,1,3,NULL),(28,7314523,'1993-12-12 00:00:00',2,1,12,2011,'F','N','CENTRO','OURO','SC','124241241137371431423614485125610144142',NULL,'585',19.34,1,2,1),(28,7314531,'1992-10-09 00:00:00',2,1,10,2011,'F','N','ARIRIU','PALHOÇA','SC','124242247237151731327529382114610166097',NULL,'9999',22.87,2,1,2),(28,7314558,'1969-11-04 00:00:00',6,1,12,1995,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','624251255326133711433353192122142252181',15353,'9998',35.58,4,3,NULL),(28,7314566,'1989-12-14 00:00:00',4,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124243241214515431489611595124133217122',8798,'991',55.77,1,3,NULL),(28,7314574,'1995-04-30 00:00:00',2,4,12,2011,'M','N','CENTRO','SUL BRASIL','SC','124241241126161411323419395122610117052',17663,'775',29.35,1,2,1),(28,7314590,'1994-11-04 00:00:00',4,4,12,2011,'M','N','CENTRO','NOVA ITABERABA','SC','124241241127141231456612245125610117047',NULL,'573',8.13,1,3,NULL),(28,7314604,'1993-11-03 00:00:00',2,27,12,2011,'F','N','INTERIOR','FLOR SERTÃO','SC','124241245116151411539711375124610134177',11544,'552',41.57,1,2,1),(28,7314612,'1993-12-13 00:00:00',2,8,11,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124243241315271431437714576124610125197',12501,'461',49.79,2,1,2),(28,7314639,'1994-06-25 00:00:00',2,4,12,2011,'F','N','CENTRO','XANXERÊ','SC','124244241416111731424639575122610124042',NULL,'1233',27.12,1,3,NULL),(28,7314655,'1993-09-21 00:00:00',2,15,12,2011,'F','N','ALTO FELIZ','ARARANGUÁ','SC','124241245115371431333651345122610126077',14067,'29',38.08,1,2,1),(28,7314663,'1987-12-15 00:00:00',4,1,12,2006,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241137131431425524385214610144047',18914,'289',35.63,1,2,1),(28,7314671,'1993-01-15 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124201201116472231126944345114610166077',NULL,'9998',44.14,1,2,1),(28,7314680,'1988-07-25 00:00:00',2,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124161161117372431226644345124610134145',19004,'9998',35.31,1,2,1),(28,7314698,'1989-03-11 00:00:00',2,1,12,2006,'F','N','CAMINHO NOVO','PALHOÇA','SC','124243241416112721469913485113331332172',NULL,'1011',0.00,1,3,NULL),(28,7314701,'1955-03-02 00:00:00',2,1,12,1978,'F','N','SAGO GRANDE','FLORIANÓPOLIS','SC','524241241142143411323341415124111961091',NULL,'307',24.02,1,2,1),(28,7314710,'1989-03-22 00:00:00',4,1,12,2006,'F','N','JARDIM DOS ESTADOS','SOROCABA','SP','125251251116572751424619572124610161097',13183,'9998',40.16,2,3,NULL),(28,7314728,'1993-04-28 00:00:00',2,1,12,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116372231323311375114610122047',13751,'298',41.88,1,2,1),(28,7314736,'1991-10-25 00:00:00',2,1,11,2010,'F','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124241247336171411653913235112133212197',NULL,'9999',18.82,1,3,NULL),(28,7314752,'1993-01-21 00:00:00',2,1,7,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242247216371431349923575122610123097',NULL,'270',18.15,1,3,NULL),(28,7314779,'1991-08-19 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124244241216112431466624445124610122062',15126,'723',37.55,1,3,NULL),(28,7314787,'1989-07-14 00:00:00',4,1,12,2006,'M','N','JARDIM ROSSINE','PEDERNEIRAS','SP','125253251216572411366619475122140667092',704,'9998',72.32,4,3,NULL),(28,7314795,'1994-05-04 00:00:00',2,4,12,2011,'F','N','CENTRO','PATO BRANCO','PR','116162161217111431548933575122610121147',16894,'9998',33.63,1,3,NULL),(28,7314809,'1978-07-10 00:00:00',2,16,12,1997,'M','N','BOM JESUS','CURITIBANOS','SC','124241244116141411324419195335331267041',NULL,'239',0.00,1,3,NULL),(28,7314817,'1985-09-19 00:00:00',4,1,12,2003,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124252251216152411344844445134143244042',4157,'9998',55.55,3,3,NULL),(28,7314841,'1994-04-12 00:00:00',4,1,12,2011,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124244241216111421434624375124610134092',16502,'1175',33.04,1,3,NULL),(28,7314850,'1983-07-06 00:00:00',2,1,12,2001,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241137143421348671242123122367047',NULL,'281',29.60,1,2,1),(28,7314876,'1994-07-14 00:00:00',4,1,12,2011,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124244241132141732444314245122610143111',20166,'1088',22.38,1,3,NULL),(28,7314884,'1994-08-08 00:00:00',2,5,12,2011,'F','N','SÃO GERONIMO','ORLEANS','SC','124241241111371711526619572124610126147',NULL,'580',27.08,1,2,1),(28,7314892,'1993-12-15 00:00:00',2,4,12,2011,'M','N','INTERIOR','NOVA ERECHIM','SC','124241242137131421423435572224610167147',18202,'196',31.18,1,3,NULL),(28,7314906,'1994-08-16 00:00:00',2,1,12,2011,'F','N','BOA VISTA','BIGUAÇU','SC','124241241112371451533319291125610127143',16322,'65',32.87,1,2,1),(28,7314914,'1992-06-13 00:00:00',4,5,11,2009,'M','N','MINA BRASIL','CRICIÚMA','SC','124242241212142431369914495122231066122',2841,'226',63.03,1,3,NULL),(28,7314949,'1991-07-17 00:00:00',4,4,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241112574431546314375114610143077',6684,'9997',51.44,1,2,1),(28,7314957,'1994-05-03 00:00:00',2,23,12,2011,'F','N','SERRA ALTA','S BENTO SUL','SC','124241241115161431333312485114610121147',14511,'697',46.56,1,2,1),(28,7314965,'1985-10-23 00:00:00',4,1,12,2003,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','624241241117371431233954445134132032097',12607,'89',49.62,1,3,NULL),(28,7314973,'1994-10-05 00:00:00',2,6,12,2011,'M','N','SAO JUDAS','ITAJAÍ','SC','124242241215111431338612345112610117082',NULL,'394',0.00,1,3,NULL),(28,7314981,'1991-12-05 00:00:00',2,1,12,2008,'M','N','AREIAS','S JOSÉ','SC','124241241117131411534719445114610166197',13659,'734',47.95,1,2,1),(28,7314990,'1989-08-27 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216275431346923575122221441197',2445,'962',63.87,1,3,NULL),(28,7315007,'1991-04-23 00:00:00',2,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217152412467811416112131141053',NULL,'262',25.94,1,3,NULL),(28,7315015,'1993-01-22 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241125471431436614272324610134157',8248,'283',50.23,1,2,1),(28,7315023,'1994-10-04 00:00:00',4,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124241241117271431433312575124610166052',7657,'730',50.66,1,3,NULL),(28,7315031,'1991-04-12 00:00:00',2,15,11,2010,'M','N','VILA BEATRIZ','MARACAJÁ','SC','624241246126131431323644345124610167047',19777,'9999',30.44,1,3,NULL),(28,7315040,'1991-11-13 00:00:00',4,1,12,2009,'F','N','CENTRO','BENTO ABREU','SP','125252251215572431448839571125610118182',7229,'9998',49.05,1,3,NULL),(28,7315066,'1981-11-24 00:00:00',4,8,12,2000,'F','N','CIDADE JARDIM','S JOSÉ PINHAIS','PR','116161243146272231123249192234340326187',NULL,'542',0.00,1,2,1),(28,7315074,'1993-02-27 00:00:00',4,8,11,2011,'M','N','ATIRADORES','JOINVILLE','SC','124242248435111221346619491122610127042',18963,'1016',23.34,1,3,NULL),(28,7315090,'1993-04-19 00:00:00',4,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124254251215371711449911395124130231182',NULL,'9998',17.49,4,3,NULL),(28,7315104,'1994-10-11 00:00:00',2,1,12,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241335111431437731575124610115192',14494,'300',37.33,1,3,NULL),(28,7315112,'1990-07-07 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431478823475122121044022',1591,'270',65.85,1,3,NULL),(28,7315120,'1994-07-23 00:00:00',2,1,12,2011,'F','N','FAZENSA STO ANTONIO','S JOSÉ','SC','124241241115161431636611372124610124147',NULL,'733',12.36,1,2,1),(28,7315139,'1994-11-13 00:00:00',4,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241225131451323923575114610111092',7990,'262',49.35,1,3,NULL),(28,7315147,'1992-04-10 00:00:00',2,26,12,2009,'M','N','TRES VENDAS','ERECHIM','RS','120201201125471421326614135221141467186',8412,'191',47.36,1,2,1),(28,7315155,'1992-09-05 00:00:00',4,10,11,2010,'M','N','PRAINHA','IMARUÍ','SC','124241241142132731313329272321121914197',NULL,'356',22.00,4,1,1),(28,7315163,'1992-05-18 00:00:00',4,1,12,2008,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124204241215132721567719385114333264017',16554,'300',42.52,1,3,NULL),(28,7315171,'1992-05-28 00:00:00',2,15,12,2009,'F','N','CENTRO','TURVO','SC','124244241216573431423319574122610167097',4925,'813',58.71,1,3,NULL),(28,7315180,'1976-11-12 00:00:00',2,1,12,1997,'M','N','BELA VISTA','S JOSÉ','SC','124241167121151711133543335332141042043',18760,'9998',36.26,2,1,1),(28,7315198,'1994-06-16 00:00:00',4,1,12,2011,'M','N','PADROEIRA','OSASCO','SP','125251251147371731626514345224610167047',NULL,'9998',27.07,4,2,1),(28,7315201,'1993-08-14 00:00:00',4,9,12,2010,'M','N','CENTRO','LAGES','SC','124243241116132431117944342224610127052',NULL,'507',21.13,1,3,NULL),(28,7315228,'1992-02-18 00:00:00',4,1,12,2009,'F','N','JD PIRATININGA','LIMEIRA','SP','125252251215571431433724475122610122057',NULL,'9998',0.00,1,3,NULL),(28,7315236,'1987-04-04 00:00:00',2,1,12,2003,'M','N','ARMAÇÃO DA PIEDADE','GOV CELSO RAMOS','SC','124241241127153431545611337124221417047',8184,'329',56.82,4,2,1),(28,7315244,'1992-01-31 00:00:00',4,5,12,2009,'M','N','COMERCIARIO','CRICIÚMA','SC','124244241215412431369924575122123237157',5698,'226',61.14,1,3,NULL),(28,7315252,'1994-02-28 00:00:00',4,3,12,2010,'F','N','CENTRO','TANGARÁ SERRA','MT','111112111216111751455632575122610118092',NULL,'9998',0.00,1,3,NULL),(28,7315260,'1988-08-26 00:00:00',2,1,12,2005,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124201201117575421236724245134610143187',13323,'9998',48.52,1,2,1),(28,7315279,'1989-03-01 00:00:00',2,4,12,2006,'M','N','CENTRO','PATO BRANCO','PR','116162161216151431548933415112143237047',NULL,'9998',0.00,1,3,NULL),(28,7315287,'1986-12-25 00:00:00',2,1,12,2003,'M','N','JD CIDADE DE FPOLIS','S JOSÉ','SC','124242241216375731338911215122233244097',11021,'738',42.44,1,3,NULL),(28,7315295,'1993-03-30 00:00:00',2,1,12,2011,'M','N','FORQUILHAS','S JOSÉ','SC','124241241116141331426412195112610117042',16986,'733',31.58,1,2,1),(28,7315309,'1989-02-10 00:00:00',2,10,12,2006,'F','N','VILA NOVA','IMBITUBA','SC','124241241116132731533933185114130623147',NULL,'359',19.01,1,3,NULL),(28,7315325,'1985-03-16 00:00:00',2,1,12,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201201116134431235754345134610122182',18761,'9998',36.26,1,2,1),(28,7315333,'1994-07-08 00:00:00',4,25,11,2011,'M','N','SANTA GEMA','VIDEIRA','SC','124243241116111431535521575124610137051',19216,'829',25.36,1,3,NULL),(28,7315341,'1980-09-18 00:00:00',2,15,12,2009,'F','N','GARAPUVU','ERMO','SC','224241247127131431313359282123610126142',NULL,'9999',21.12,1,2,1),(28,7315350,'1991-01-17 00:00:00',2,8,12,2008,'F','N','PORTÃO','CURITIBA','PR','116162161235573431546614272124610127147',6563,'9998',51.88,1,3,NULL),(28,7315368,'1993-02-01 00:00:00',2,5,11,2009,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124241241216475451436814595125232666147',11977,'226',42.35,1,3,NULL),(28,7315376,'1993-03-21 00:00:00',2,1,12,2009,'F','N','PQR JOAO OMETTO','LIMEIRA','SP','125051051117271441323464574324610126047',10722,'9998',44.98,4,2,1),(28,7315384,'1994-01-19 00:00:00',4,1,12,2010,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241212472731111621582214610115182',12622,'1074',41.32,1,3,NULL),(28,7315392,'1991-02-10 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241216172711448634575123121417062',18135,'272',38.46,1,3,NULL),(28,7315406,'1985-01-10 00:00:00',4,1,12,2008,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241216173431556413245124331217042',NULL,'272',0.00,1,3,NULL),(28,7315414,'1993-10-20 00:00:00',2,1,12,2010,'F','N','KOBRASOL','S JOSÉ','SC','124242241215472431569811575122610135145',16484,'723',36.40,1,3,NULL),(28,7315422,'1980-11-23 00:00:00',2,16,7,2000,'F','N','CENTRO','CURITIBANOS','SC','124241247227141441428614395125610126147',NULL,'237',27.70,1,3,NULL),(28,7315457,'1989-12-12 00:00:00',4,1,12,2008,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243247315271531353622272114631017042',NULL,'9999',0.00,1,3,NULL),(28,7315465,'1989-10-11 00:00:00',4,1,12,2007,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241216374731366833375124230421092',4875,'270',54.97,1,3,NULL),(28,7315473,'1993-12-20 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217132431459814575124231462043',12039,'806',38.55,4,3,NULL),(28,7315490,'1987-03-25 00:00:00',4,1,12,2004,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241217142431288814445132331045072',18474,'266',37.37,1,3,NULL),(28,7315503,'1989-08-12 00:00:00',2,5,12,2007,'M','N','PINHEIRINHO','CRICIÚMA','SC','124242241215372451457611312122131418047',16942,'920',41.66,1,3,NULL),(28,7315511,'1989-11-01 00:00:00',4,3,12,2006,'M','N','GARCIA','BLUMENAU','SC','124243241315272431138543331223610127187',14745,'96',46.08,1,3,NULL),(28,7315520,'1990-01-17 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241126374431424414375124610127142',13593,'285',40.96,1,2,1),(28,7315538,'1990-04-20 00:00:00',2,1,12,2007,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241117141451523314344224610121147',16635,'65',33.25,1,2,1),(28,7315546,'1991-06-26 00:00:00',2,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124244241417153451469933472122233231092',18125,'270',38.49,1,3,NULL),(28,7315554,'1991-12-21 00:00:00',2,1,12,2009,'F','N','ROÇADO','S JOSÉ','SC','124241241435273411426624245134610124152',14351,'1036',39.47,2,1,2),(28,7315562,'1990-10-10 00:00:00',4,15,12,2007,'F','N','VILA BEATRIZ','MARACAJÁ','SC','624241246116131732324654575124130267047',20168,'559',22.08,1,3,NULL),(28,7315570,'1991-04-16 00:00:00',2,1,12,2008,'M','N','BNH TERCEIRO PLANO','DOURADOS','MS','112123121216474431533732575122121467017',196,'9998',76.50,1,3,NULL),(28,7315589,'1993-08-03 00:00:00',4,8,11,2010,'F','N','SAGUAÇU','JOINVILLE','SC','124251251216271431556672575124610165042',6307,'9998',60.05,1,3,NULL),(28,7315600,'1994-04-21 00:00:00',2,1,12,2011,'M','N','CENTRO','BIGUAÇU','SC','125243241215111411426412575122610117045',NULL,'1040',24.16,1,3,NULL),(28,7315619,'1993-02-25 00:00:00',4,1,12,2010,'F','N','BUENO','GOIÂNIA','GO','109094091215471731138313575125610132122',15381,'9998',44.90,4,3,NULL),(28,7315627,'1994-08-23 00:00:00',2,7,12,2011,'F','N','PARQUE JARDIM OURO','OURO','SC','124241241115371431433312295124610138147',NULL,'585',18.35,1,2,1),(28,7315643,'1994-05-10 00:00:00',4,3,12,2011,'F','N','SANTA REGINA IV','CAMBORIÚ','SC','124241241135371431333311215124610168115',18240,'130',27.77,1,3,NULL),(28,7315651,'1995-12-21 00:00:00',4,26,11,2012,'F','S','NAZARÉ','CONCÓRDIA','SC','124242241215111431568831575122610136072',NULL,'1000',45.62,1,3,NULL),(28,7315660,'1993-12-06 00:00:00',4,1,12,2011,'F','N','CENTRO','CAIEIRAS','SP','125252251116271441348833575122610134072',6568,'9998',51.91,1,3,NULL),(28,7315678,'1993-11-25 00:00:00',4,8,12,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124241241115131731637713575124610124147',NULL,'492',17.92,1,2,1),(28,7315686,'1993-06-16 00:00:00',2,2,12,2010,'M','N','CENTRO','ARAPONGAS','PR','116162161216471431338923575122610127052',NULL,'9998',0.00,1,3,NULL),(28,7315694,'1994-07-12 00:00:00',4,7,12,2011,'F','N','VILA SETE DE JULHO','CAPINZAL','SC','124241241116271431326614595124610148197',13299,'156',39.03,1,2,1),(28,7315708,'1994-06-01 00:00:00',2,1,12,2011,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124242241215151431326622292114610147187',13281,'1048',38.97,1,3,NULL),(28,7315732,'1959-03-26 00:00:00',4,1,12,1976,'M','N','CENTRO','FLORIANÓPOLIS','SC','224242248216575751348646462122420228182',15280,'805',45.10,1,3,NULL),(28,7315759,'1980-08-04 00:00:00',4,1,12,1999,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241246126133421556313345124533227067',6473,'306',53.32,1,2,1),(28,7315767,'1994-12-12 00:00:00',2,24,12,2011,'M','N','CENTRO','ITUPORANGA','SC','124241241217111431445919375122610124072',5576,'1173',55.93,1,3,NULL),(28,7315775,'1986-08-19 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241316134431648614232122420267057',8024,'9997',57.11,1,3,NULL),(28,7315783,'1993-04-27 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244246117271431479923575125610126045',4680,'306',55.76,1,3,NULL),(28,7315791,'1993-04-02 00:00:00',2,23,12,2010,'F','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241112471431446819342124610127142',15225,'430',35.48,1,3,NULL),(28,7315805,'1991-05-27 00:00:00',4,1,12,2009,'F','N','IPANEMA','PTO ALEGRE','RS','124202201217272751338831475114610166091',12248,'9998',44.17,1,3,NULL),(28,7315813,'1980-07-31 00:00:00',2,1,5,2003,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224241247127131411433359445334610121152',16483,'9999',36.43,4,2,1),(28,7315821,'1994-12-07 00:00:00',4,4,11,2011,'M','N','CENTRO','CHAPECÓ','SC','124242241215111431459933575112610227042',NULL,'1191',42.29,1,3,NULL),(28,7315830,'1968-03-26 00:00:00',2,1,7,1992,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124201247126145721246643135124122216183',NULL,'9997',25.90,1,3,NULL),(28,7315864,'1994-07-30 00:00:00',2,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215111431326431375122610167052',17333,'1010',40.69,1,3,NULL),(28,7315880,'1992-04-24 00:00:00',4,6,12,2011,'M','N','CENTRO','PTO BELO','SC','124244241415131411327712285124610164172',6685,'1111',50.89,1,3,NULL),(28,7315899,'1993-11-30 00:00:00',2,1,12,2011,'M','N','ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC','124241241345471731336612245124610117112',NULL,'300',25.42,1,3,NULL),(28,7315902,'1994-11-09 00:00:00',4,16,12,2011,'M','N','CENTRO','CURITIBANOS','SC','124241241212111332369911575112610117122',11158,'881',45.09,1,3,NULL),(28,7315929,'1993-05-01 00:00:00',2,4,12,2011,'F','N','CENTRO','PATO BRANCO','PR','116161163116151431446933275122610164142',NULL,'9998',0.00,3,2,1),(28,7315937,'1992-11-16 00:00:00',2,25,12,2009,'M','N','DEZ DE NOVEMBRO','FRAIBURGO','SC','124241241116132431426316265124333266182',NULL,'314',0.00,1,2,1),(28,7315945,'1994-05-05 00:00:00',2,1,12,2011,'F','N','CENTRO','MERCEDES','PR','116161161117271431358933585122610114147',NULL,'9998',19.12,1,2,1),(28,7315953,'1991-12-16 00:00:00',4,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241246216132231328614495124230462083',16570,'188',32.02,1,3,NULL),(28,7315961,'1994-08-23 00:00:00',4,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241115371731623324195324610128147',12900,'307',43.24,1,2,1),(28,7315970,'1994-11-19 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124244241215112232666614585122610164147',2136,'1118',66.29,1,3,NULL),(28,7315996,'1995-08-11 00:00:00',4,1,12,2012,'F','S','REUNIDAS','CAÇADOR','SC','124242168216111431478716592122613247122',NULL,'1124',39.33,1,3,NULL),(28,7316003,'1994-02-25 00:00:00',2,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241117131531428631575122610167047',17155,'592',33.30,1,3,NULL),(28,7316020,'1994-04-10 00:00:00',4,6,11,2011,'F','N','SÃO JUDAS','ITAJAÍ','SC','124242241215111411437712575122610165112',NULL,'392',33.34,1,3,NULL),(28,7316038,'1993-10-14 00:00:00',4,1,11,2012,'M','S','JD NOVA BRAGANÇA','BRAGANÇA PAULISTA','SP','125252251217111531247831411123610161027',NULL,'9998',43.68,1,3,NULL),(28,7316046,'1994-09-22 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212111431469933575112610127122',16838,'262',41.90,1,3,NULL),(28,7316054,'1990-05-31 00:00:00',4,5,12,2007,'M','N','CENTRO','URUSSANGA','SC','124244241215572411636631285124131462182',7664,'820',50.65,1,3,NULL),(28,7316062,'1994-03-12 00:00:00',4,1,11,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243241112272451438664395124610167052',12889,'295',40.81,1,3,NULL),(28,7316070,'1992-01-13 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241168112111431316679492124231348186',NULL,'257',0.00,1,2,1),(28,7316097,'1994-03-28 00:00:00',4,6,12,2011,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241211121731438712272122610162197',2883,'392',61.32,1,3,NULL),(28,7316100,'1994-04-11 00:00:00',2,1,12,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115111332346632575122610127045',19746,'307',30.68,1,2,1),(28,7316119,'1995-01-06 00:00:00',4,1,11,2011,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241216111731335619295122610167162',18508,'723',37.26,1,3,NULL),(28,7316127,'1994-09-22 00:00:00',4,7,11,2011,'F','N','ANZOLIN','JOAÇABA','SC','124242241215371431438633435122610164142',14460,'446',38.48,1,3,NULL),(28,7316135,'1992-12-31 00:00:00',4,1,12,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241116372431426614375114610124047',10780,'307',45.85,1,2,1),(28,7316143,'1995-01-21 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243246117151741226923335124610134057',12805,'306',41.53,1,3,NULL),(28,7316160,'1991-09-29 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124241241135152711458832235122233254042',NULL,'307',31.75,1,2,1),(28,7316194,'1990-10-16 00:00:00',2,1,12,2007,'F','N','RIBEIRÃO DA IHA','FLORIANÓPOLIS','SC','124241241146471731333429295112610113197',17433,'278',40.45,1,3,NULL),(28,7316208,'1986-08-27 00:00:00',2,1,12,2003,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241216375231568813315121520727187',9645,'269',54.28,1,3,NULL),(28,7316216,'1994-11-10 00:00:00',2,15,12,2011,'M','N','FORQUILHA DO CEDRO','STA ROSA SUL','SC','124241241117131411513315572124610127052',NULL,'689',18.75,1,2,1),(28,7316224,'1994-10-02 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469933575125610134122',7598,'262',49.29,1,3,NULL),(28,7316240,'1989-08-30 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241216275441258931575124121247042',2304,'1022',65.53,1,3,NULL),(28,7316259,'1988-07-17 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247126471431445923345124131267082',18797,'9999',36.11,1,2,1),(28,7316267,'1992-12-28 00:00:00',4,17,12,2009,'M','N','CENTRO','RIO NEGRO','PR','116242241215471431459913575114141067047',NULL,'541',0.00,1,3,NULL),(28,7316275,'1992-11-09 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215422221567711572112610112042',1520,'270',66.66,4,3,NULL),(28,7316283,'1994-06-14 00:00:00',4,1,12,2011,'M','N','FLORESTA','PTO ALEGRE','RS','120202201215151451328631575112610127117',NULL,'9998',0.00,1,3,NULL),(28,7316305,'1995-04-17 00:00:00',2,1,11,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217111431458812575112610167092',17808,'270',39.45,1,3,NULL),(28,7316330,'1995-01-26 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215211431488712495122610114122',11416,'262',42.29,1,3,NULL),(28,7316348,'1994-11-26 00:00:00',4,10,10,2011,'M','N','CENTRO','TUBARÃO','SC','124242241214272411459911572122610167142',4311,'807',57.03,1,3,NULL),(28,7316356,'1995-05-15 00:00:00',4,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124242241215111732326624275122610137077',NULL,'939',21.81,1,3,NULL),(28,7316364,'1989-11-15 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241116373421459833445134230224095',16976,'271',41.60,1,3,NULL),(28,7316372,'1993-09-27 00:00:00',4,24,12,2010,'F','N','CENTRO','IMBUIA','SC','124241241126151331434923575112131034042',NULL,'364',0.00,1,2,1),(28,7316380,'1991-03-28 00:00:00',4,1,12,2008,'M','N','BELA VISTA','S JOSÉ','SC','124242241236333431554634375114610137062',1171,'1036',67.93,1,3,NULL),(28,7316399,'1995-04-23 00:00:00',4,22,11,2011,'F','N','SOUZA CRUZ','BRUSQUE','SC','124244241415131711424434275122610137097',NULL,'1244',0.00,1,3,NULL),(28,7316437,'1994-09-23 00:00:00',4,1,12,2011,'F','N','VARGEM GRANDE','ÁGUAS MORNAS','SC','124241241115341231523311235224610118142',18489,'978',30.89,1,3,NULL),(28,7316445,'1995-10-05 00:00:00',4,7,11,2012,'F','S','CENTRO','LACERDÓPOLIS','SC','124242241216111431458634475122610146147',NULL,'446',44.87,1,3,NULL),(28,7316461,'1990-05-29 00:00:00',2,1,11,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244241216152431218731375124222256057',NULL,'797',0.00,1,3,NULL),(28,7316470,'1993-12-10 00:00:00',2,10,12,2011,'M','N','HUMAITÁ DE CIMA','TUBARÃO','SC','124241241135371132423311145122610144117',19008,'798',35.30,1,3,NULL),(28,7316488,'1992-12-31 00:00:00',4,1,12,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241111372431426614371114610114042',15477,'307',37.04,1,2,1),(28,7316496,'1994-01-07 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241115151432348614285122610133097',6253,'739',55.20,1,2,1),(28,7316500,'1993-04-21 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241215472431449911575124610147072',1068,'262',70.60,1,3,NULL),(28,7316518,'1982-03-19 00:00:00',4,1,12,2000,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124201201137271232128732185124142132147',18046,'9998',38.75,1,2,1),(28,7316526,'1993-11-12 00:00:00',4,6,11,2010,'F','N','CENTRO','CURITIBA','PR','116162161215471751478932572114610142042',NULL,'9998',0.00,1,3,NULL),(28,7316534,'1995-11-27 00:00:00',2,4,12,2012,'F','S','PRESIDENTE MEDICE','CHAPECÓ','SC','124242241215151411459932575122610136182',NULL,'168',50.68,1,3,NULL),(28,7316542,'1983-10-04 00:00:00',4,1,12,2001,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127354421556719242123610168183',16863,'283',41.84,1,3,NULL),(28,7316550,'1992-02-14 00:00:00',4,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241116342411436513575124230734192',12394,'289',42.41,1,2,1),(28,7316569,'1992-10-08 00:00:00',4,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124241241116472421114944242124232642197',6908,'169',49.85,1,2,1),(28,7316577,'1995-11-09 00:00:00',4,15,12,2012,'M','S','VILA SÃO JOSÉ','ARARANGUÁ','SC','124244248215111431447933575122610112052',NULL,'970',50.25,1,3,NULL),(28,7316593,'1995-02-01 00:00:00',4,5,12,2012,'F','S','COMERCIÁRIO','CRICIÚMA','SC','124241241415111431458614575122610127052',NULL,'226',34.58,1,3,NULL),(28,7316607,'1992-09-10 00:00:00',2,1,12,2009,'F','N','KOBRASOL','S JOSÉ','SC','124243241212573731128321372213610113127',10637,'944',46.61,1,3,NULL),(28,7316623,'1991-11-05 00:00:00',4,6,11,2009,'M','N','AEROPORTO','LONDRINA','PR','116162161216161421338831345113142124017',NULL,'9998',17.84,1,3,NULL),(28,7316631,'1975-11-17 00:00:00',4,1,12,1993,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124251251417135751633541415122143266187',15845,'9998',43.99,1,3,NULL),(28,7316666,'1990-08-13 00:00:00',4,1,12,2008,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124243241237111731335524345124232826112',NULL,'269',23.19,1,3,NULL),(28,7316674,'1991-12-18 00:00:00',2,1,6,2010,'F','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124242241115373411427819495114610128167',11001,'267',44.69,1,3,NULL),(28,7316682,'1994-04-24 00:00:00',2,1,12,2011,'F','N','SAUDADE','BIGUAÇU','SC','124241241115371431423364345124610117147',NULL,'65',20.12,1,2,1),(28,7316690,'1991-03-12 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116373431336539295124610128142',8737,'307',49.52,1,2,1),(28,7316704,'1990-05-19 00:00:00',2,9,12,2006,'F','N','INTERIOR','URUPEMA','SC','124241241112151431326623572224330644077',14496,'935',46.60,1,3,NULL),(28,7316712,'1994-12-27 00:00:00',2,1,12,2011,'F','N','PRADO','BIGUAÇU','SC','124241241115431731413419575124610123147',NULL,'65',19.65,1,2,1),(28,7316720,'1995-10-10 00:00:00',4,1,12,2012,'F','S','SAMBAQUI','FLORIANÓPOLIS','SC','124242241212151431438829475122610134142',NULL,'1048',18.34,1,3,NULL),(28,7316739,'1994-10-17 00:00:00',4,4,12,2011,'F','N','NAÇÕES','SEARA','SC','124241241116131431445674391122610124147',NULL,'763',0.00,1,3,NULL),(28,7316747,'1994-05-30 00:00:00',2,1,12,2011,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241248126131731318624575122610118052',NULL,'290',19.03,1,2,1),(28,7316755,'1994-06-30 00:00:00',2,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115141431226624245124610162092',19779,'281',30.43,1,2,1),(28,7316763,'1984-12-15 00:00:00',4,1,12,2003,'M','N','ITAPEVA','VOTORANTIM','SP','125251251127131421636536285122240253042',NULL,'9998',0.00,1,2,1),(28,7316771,'1982-09-12 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241225133431333623242134330263187',17218,'262',40.95,2,1,2),(28,7316780,'1994-09-25 00:00:00',4,17,11,2011,'M','N','JARDIM ESPERANÇA','CANOINHAS','SC','124241241215111431656813575122610131147',NULL,'154',26.85,1,3,NULL),(28,7316801,'1992-02-27 00:00:00',2,1,6,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242246116371431459933225134610167047',NULL,'306',26.70,1,3,NULL),(28,7316810,'1993-02-17 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121431558814595112610134187',11295,'262',41.72,1,3,NULL),(28,7316828,'1986-10-09 00:00:00',4,1,12,2004,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124243241416175411328922385121220718177',3068,'185',59.90,1,3,NULL),(28,7316836,'1993-02-21 00:00:00',4,23,12,2010,'F','N','NEREU RAMOS','JARAGUÁ SUL','SC','124241241215272411345923485124133225092',11852,'442',42.24,1,3,NULL),(28,7316852,'1986-12-17 00:00:00',4,1,6,2004,'M','N','ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC','124241241216131421128649492224333234187',NULL,'67',0.00,1,3,NULL),(28,7316860,'1990-03-22 00:00:00',2,6,10,2008,'M','N','CABECUDAS','ITAJAÍ','SC','124241251215271432335329575222141627042',18286,'9998',38.02,1,3,NULL),(28,7316879,'1980-12-01 00:00:00',4,15,12,1997,'M','N','CENTRO','ARARANGUÁ','SC','124241241126152431533319145123223238197',NULL,'29',0.00,1,2,1),(28,7316887,'1993-07-01 00:00:00',2,1,12,2010,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241126161431333939572122231414142',13843,'13',38.16,1,2,1),(28,7316895,'1994-11-02 00:00:00',2,22,12,2011,'F','N','CENTRO','NOVA TRENTO','SC','124241241116371431434412475122610127017',NULL,'574',18.85,1,2,1),(28,7316909,'1995-03-22 00:00:00',4,25,12,2012,'F','S','ALVORADA','VIDEIRA','SC','124242241212131431229723575124610137074',NULL,'1080',38.92,1,3,NULL),(28,7316917,'1994-01-27 00:00:00',4,1,11,2011,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124241241215121431334924295124610111187',10513,'1197',44.41,1,3,NULL),(28,7316925,'1994-08-23 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241212112431366824575112610141112',12619,'737',44.03,1,3,NULL),(28,7316933,'1989-11-07 00:00:00',4,1,11,2007,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215273431438811475124131025092',12617,'1022',49.60,1,3,NULL),(28,7316941,'1990-12-11 00:00:00',4,1,12,2007,'M','N','FORQUILHAS','S JOSÉ','SC','124241241117251411436414145134610142067',NULL,'733',0.00,1,2,1),(28,7316950,'1995-12-25 00:00:00',4,1,12,2012,'F','S','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241215111752458614575124610134186',NULL,'1022',42.06,4,3,NULL),(28,7316976,'1991-11-19 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241147272431424311341114610124047',13317,'285',48.53,1,2,1),(28,7316984,'1994-06-20 00:00:00',4,8,12,2011,'F','N','AMÉRICA','JOINVILLE','SC','124244241215351431356812395122610134184',NULL,'459',0.00,1,3,NULL),(28,7316992,'1988-05-27 00:00:00',4,1,12,2005,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124252256217371431328844245134140336047',2854,'9998',67.28,1,3,NULL),(28,7317000,'1994-10-18 00:00:00',4,7,12,2011,'M','N','FLOR DA SERRA','JOAÇABA','SC','624202248215373731668931571122610167072',9873,'446',45.89,1,3,NULL),(28,7317018,'1994-08-17 00:00:00',4,15,12,2011,'F','N','CENTRO','PR GRANDE','SC','124241241117371531443822575122610138177',12890,'641',40.56,1,2,1),(28,7317026,'1994-04-24 00:00:00',4,1,12,2011,'M','N','SANTA TERESA','S PEDRO ALCÂNTARA','SC','124242241217161432555612345124610137052',NULL,'1074',18.99,1,3,NULL),(28,7317034,'1988-12-31 00:00:00',2,1,12,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124051247122471221124444346334610117042',NULL,'9999',23.04,2,1,1),(28,7317042,'1991-08-17 00:00:00',4,1,12,2008,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124212241215575731468813575112131027187',4058,'272',60.53,1,3,NULL),(28,7317050,'1994-10-14 00:00:00',2,16,12,2011,'M','N','BOM JESUS','CURITIBANOS','SC','124243241337131432533923242122610137082',NULL,'237',0.00,1,3,NULL),(28,7317077,'1992-12-28 00:00:00',4,1,12,2011,'M','N','ZANELLATO','S JOSÉ','SC','124241241112111412426511285114610167052',NULL,'307',19.32,2,2,1),(28,7317085,'1993-01-12 00:00:00',4,1,12,2009,'F','N','CENTRO','JABORÁ','SC','125241241145573431623923345124610162142',3453,'418',58.52,1,2,1),(28,7317093,'1994-04-26 00:00:00',4,5,10,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241217372431348611472122610127142',3362,'213',61.24,1,3,NULL),(28,7317107,'1993-02-12 00:00:00',4,1,12,2010,'F','N','ZONA QUATRO','MARINGÁ','PR','116162161216472441448811575122610161147',NULL,'9998',0.00,1,3,NULL),(28,7317115,'1994-07-04 00:00:00',2,24,12,2011,'F','N','CENTRO','ITUPORANGA','SC','124244241217231431435514275112610168182',NULL,'1173',0.00,1,3,NULL),(28,7317123,'1993-08-01 00:00:00',2,1,12,2010,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124242241211152431446612342122610162091',18983,'939',35.38,1,3,NULL),(28,7317131,'1991-03-25 00:00:00',2,24,12,2008,'F','N','BOA VISTA','ITUPORANGA','SC','124241241146471731324424295222610133147',15194,'416',45.23,1,3,NULL),(28,7317158,'1994-01-27 00:00:00',4,4,11,2011,'M','N','CENTRO','CHAPECÓ','SC','124242241215111421438611575212610127092',3831,'185',57.56,4,3,NULL),(28,7317166,'1994-09-22 00:00:00',4,27,12,2011,'F','N','INTERIOR','S JOÃO OESTE','SC','124241241116161431349613135122610127047',16420,'715',34.01,1,2,1),(28,7317182,'1991-10-05 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215374431257613575112131024012',16255,'270',43.22,1,3,NULL),(28,7317190,'1993-08-14 00:00:00',4,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241113142421536314343114610122043',NULL,'727',0.00,1,2,1),(28,7317204,'1985-07-30 00:00:00',4,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241117275421588914322132122647165',NULL,'306',0.00,1,3,NULL),(28,7317212,'1992-10-18 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241117372432336823442114610132057',14759,'278',46.06,1,2,1),(28,7317220,'1994-07-11 00:00:00',4,23,11,2011,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241216111431438914575122610164027',10306,'1174',45.74,1,3,NULL),(28,7317247,'1993-07-25 00:00:00',2,8,12,2010,'F','N','SÃO CRISTÓVÃO','BARRA VELHA','SC','124242241216471731365822211122613267122',NULL,'1057',0.00,1,3,NULL),(28,7317255,'1992-01-13 00:00:00',2,1,12,2011,'M','N','AREIAS','S JOSÉ','SC','124241246116271431445311245124610137057',NULL,'306',21.94,4,2,1),(28,7317263,'1989-02-15 00:00:00',4,1,5,2008,'M','N','KOBRASOL','S JOSÉ','SC','124241248126131421124649391234130822112',NULL,'9999',13.81,1,3,NULL),(28,7317271,'1982-02-17 00:00:00',4,1,12,2000,'M','N','ROÇADO','S JOSÉ','SC','124252253216152731138649495124321464197',3199,'9998',66.37,3,3,NULL),(28,7317280,'1992-09-04 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124244241215132431547673385124231067187',18979,'1022',35.39,1,3,NULL),(28,7317298,'1988-09-03 00:00:00',2,1,12,2005,'F','N','VILA MOEMA','TUBARÃO','SC','124242241215475431578614471122232618072',7148,'807',58.57,1,3,NULL),(28,7317301,'1994-01-25 00:00:00',4,25,12,2011,'F','N','SANTA CLARA','CAÇADOR','SC','124241241115371431225524475122610124057',15328,'122',35.73,1,2,1),(28,7317328,'1993-02-14 00:00:00',4,10,12,2010,'M','N','BARRANCEIRA','LAGUNA','SC','124241241117272731436613495124610137047',12686,'521',41.62,1,2,1),(28,7317336,'1993-01-27 00:00:00',4,1,7,2011,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241116152711336822275124231964181',9324,'306',47.08,1,3,NULL),(28,7317352,'1995-01-12 00:00:00',2,1,12,2011,'F','N','CENTRO','BELA V PARAÍSO','PR','116162161217111431356911571314610125172',12314,'9998',39.91,1,3,NULL),(28,7317360,'1993-09-14 00:00:00',4,8,12,2011,'F','N','CAPINZAL','CPO ALEGRE','SC','124241241115161631423315572222610123141',7972,'132',47.86,1,3,NULL),(28,7317379,'1993-01-17 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124244241415111732236611345124610117117',20019,'1118',27.80,1,3,NULL),(28,7317387,'1964-11-13 00:00:00',4,1,12,1986,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124141147117151431166841215122140666187',NULL,'9998',0.00,1,3,NULL),(28,7317395,'1994-02-05 00:00:00',4,6,12,2011,'F','N','CIDADE NOVA','ITAJAÍ','SC','124241241115371431433614275124610135187',14044,'395',38.30,1,2,1),(28,7317409,'1990-09-07 00:00:00',4,16,12,2007,'F','N','NOSSA SRA APARECIDA','CURITIBANOS','SC','124241241136141731439614445135130838177',16708,'239',42.19,1,3,NULL),(28,7317417,'1984-05-04 00:00:00',4,15,6,2007,'M','N','MATO ALTO','ARARANGUÁ','SC','124241217227131431547779345125610122171',NULL,'9998',25.17,3,3,NULL),(28,7317425,'1993-10-28 00:00:00',4,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241227111431634418275124613262062',12433,'262',40.27,1,3,NULL),(28,7317433,'1990-07-03 00:00:00',1,15,12,2007,'M','N','SENAI','STA CRUZ SUL','RS','120202201217471431458613575112610167047',10242,'9998',46.48,1,3,NULL),(28,7317450,'1992-12-22 00:00:00',4,4,12,2009,'M','N','IPIRANGA','MARMELEIRO','PR','116164161316573451344411575122610132147',3839,'9998',59.80,3,3,NULL),(28,7317468,'1994-09-27 00:00:00',2,10,12,2011,'F','N','SÃO BERNARDO','TUBARÃO','SC','124241241116371431424714571124610127142',14055,'802',40.06,1,2,1),(28,7317476,'1994-02-26 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124202241215111431323734475122610123147',8294,'1134',48.37,1,3,NULL),(28,7317484,'1994-11-16 00:00:00',2,4,12,2011,'F','N','INTERIOR','GUARUJÁ SUL','SC','124111241116131731424635275123610116147',14326,'740',35.22,1,2,1),(28,7317492,'1992-05-31 00:00:00',2,4,12,2009,'F','N','CENTRO','JAGUARÃO','RS','120201201117572431326813585115610127047',9108,'9998',46.74,1,2,1),(28,7317506,'1994-12-02 00:00:00',2,2,12,2011,'M','N','CENTRO','UBIRATÃ','PR','116162161216111431378811575115610137042',18058,'9998',38.71,1,3,NULL),(28,7317514,'1992-01-29 00:00:00',4,1,12,2009,'F','N','SOL NASCENTE','S PAULO','SP','125251251127471711225524345124610132097',NULL,'9998',23.55,1,2,1),(28,7317522,'1994-07-14 00:00:00',4,1,12,2011,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241216111431228624575124610164153',8322,'1134',50.87,1,3,NULL),(28,7317530,'1989-02-11 00:00:00',4,1,12,2007,'F','N','REAL PARQUE','S JOSÉ','SC','124243241216141731533732492124610131147',NULL,'976',25.24,1,3,NULL),(28,7317549,'1994-09-06 00:00:00',2,16,12,2011,'M','N','CENTRO','STA CECÍLIA','SC','124241248115371721316619591125610114182',NULL,'686',18.28,1,3,NULL),(28,7317557,'1992-02-13 00:00:00',2,17,12,2009,'F','N','SÃO CRISTÓVÃO','TRÊS BARRAS','SC','124241241116474431534933575122610133187',18456,'146',29.84,1,3,NULL),(28,7317565,'1991-07-16 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116373431566633385114131227142',9638,'293',48.32,1,2,1),(28,7317581,'1994-06-14 00:00:00',4,3,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215122431436913135121610127052',6211,'1038',60.22,1,3,NULL),(28,7317603,'1993-03-17 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241111142531326414345123230827047',19573,'293',32.22,1,2,1),(28,7317611,'1995-08-23 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241211111531479913335122610138065',NULL,'262',38.50,1,3,NULL),(28,7317620,'1993-09-01 00:00:00',1,8,12,2011,'M','N','JARDIM ESTORIL IV','BAURU','SP','125252251216271431458831571122610164112',NULL,'9998',0.00,1,3,NULL),(28,7317638,'1993-02-07 00:00:00',2,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241211372411559613325122610114113',9774,'272',54.10,1,3,NULL),(28,7317646,'1992-09-28 00:00:00',4,1,3,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124212247117152431249619575114610166172',5912,'9999',51.50,4,3,NULL),(28,7317654,'1994-06-24 00:00:00',2,2,12,2011,'F','N','GUAIÚBA','IMBITUBA','SC','124241241115371431323311395124610122147',16419,'359',42.84,1,3,NULL),(28,7317662,'1974-07-21 00:00:00',1,1,12,1995,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124165167526131731123349292124141016182',NULL,'9998',31.37,1,3,NULL),(28,7317670,'1988-05-28 00:00:00',2,1,7,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247217131421543311315124610162033',NULL,'977',25.84,1,3,NULL),(28,7317689,'1992-08-06 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215372731467833272114131437185',10484,'9997',52.94,1,3,NULL),(28,7317697,'1994-01-18 00:00:00',2,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','123241241116371431424419575124610147147',18866,'1097',27.96,1,2,1),(28,7317700,'1994-09-29 00:00:00',2,1,1,2012,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241135131431321369575124610134182',10847,'592',43.07,1,3,NULL),(28,7317719,'1994-04-02 00:00:00',4,24,12,2011,'F','N','CENTRO','ITUPORANGA','SC','124241241116142321426414345125610126147',NULL,'415',26.18,1,3,NULL),(28,7317727,'1994-04-10 00:00:00',2,1,12,2011,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241345221431433364345124610134057',14772,'1022',36.22,1,3,NULL),(28,7317735,'1989-10-03 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','624161161116131711223459175124133241072',NULL,'9998',0.00,1,3,NULL),(28,7317743,'1994-09-30 00:00:00',2,1,12,2011,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241115371431246823272124610147047',11894,'307',44.20,1,2,1),(28,7317751,'1987-11-30 00:00:00',4,1,12,2005,'M','N','JARDIM AQUÁRIUS','S JOSÉ CAMPOS','SP','125252251216573431369813475112610127047',801,'9998',69.76,1,3,NULL),(28,7317760,'1992-07-25 00:00:00',4,1,12,2009,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124123121111572411458613575124610162182',2002,'9998',63.82,1,3,NULL),(28,7317778,'1994-08-26 00:00:00',4,1,12,2011,'F','N','CENTRO','LAPA','PR','116161161117111531426521215122610124145',NULL,'9998',0.00,1,3,NULL),(28,7317786,'1992-10-08 00:00:00',4,1,12,2009,'M','N','CENTRO','JOAÇABA','SC','124244241215372731465814375115123224041',11264,'962',51.69,1,3,NULL),(28,7317794,'1992-01-31 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117473432427623445124610127062',6571,'257',54.38,1,2,1),(28,7317808,'1993-12-07 00:00:00',2,25,12,2011,'M','N','PROGRESSO','S LOURENÇO OESTE','SC','124242163117131732558713395124610127057',NULL,'9998',0.00,1,3,NULL),(28,7317816,'1994-03-27 00:00:00',4,6,12,2011,'F','N','ITAIPAVA','ITAJAÍ','SC','124242241217151431465912575112610141113',NULL,'389',37.77,1,3,NULL),(28,7317824,'1993-05-30 00:00:00',4,1,12,2010,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116352731325313445134610138147',NULL,'307',19.09,1,2,1),(28,7317832,'1979-12-04 00:00:00',2,1,12,1997,'M','N','CENTRO','ARAUCÁRIA','PR','116162166116143431458813415122541267147',3748,'9998',57.73,1,3,NULL),(28,7317859,'1994-01-14 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431256924575124610117052',11765,'738',44.64,1,3,NULL),(28,7317867,'1994-12-28 00:00:00',2,8,12,2011,'M','N','ANITA GARIBALDE','JOINVILLE','SC','124241241117271332326624141124610167062',NULL,'479',24.07,1,2,1),(28,7317875,'1987-11-14 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124163161317474411536911215124610137047',13247,'9998',44.77,1,3,NULL),(28,7317883,'1995-10-04 00:00:00',4,4,12,2013,'F','S','CENTRO','RIQUEZA','SC','124241241116271411346933575122610124147',NULL,'674',23.01,1,3,NULL),(28,7317891,'1994-11-17 00:00:00',4,16,12,2012,'F','S','CENTRO','CURITIBANOS','SC','124241241115151731326823595122610162095',NULL,'239',41.61,1,3,NULL),(28,7317905,'1994-01-31 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115372411463613575112610137042',7431,'267',54.47,1,2,1),(28,7317913,'1992-08-15 00:00:00',4,1,11,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215574431479714475124610122142',1363,'497',67.28,1,3,NULL),(28,7317948,'1994-10-23 00:00:00',4,7,12,2011,'M','N','CENTRO','PIRATUBA','SC','124241241117271431638614375122610164197',NULL,'619',24.27,1,3,NULL),(28,7317956,'1994-07-04 00:00:00',4,16,12,2011,'F','N','GETULIO VARGAS','CURITIBANOS','SC','124241241115131431513315572324610136177',NULL,'1128',0.00,1,3,NULL),(28,7317972,'1991-02-21 00:00:00',2,4,12,2008,'M','N','JARDIM PEPERI','S MIGUEL OESTE','SC','124241241112131431435619395112610127042',NULL,'753',0.00,2,1,1),(28,7317980,'1994-05-24 00:00:00',4,1,12,2011,'M','N','CASCATA','MARÍLIA','SP','125254251217131431438633575122610137047',8370,'9998',48.64,1,3,NULL),(28,7317999,'1994-11-10 00:00:00',4,1,12,2011,'M','N','SANTA CRUZ','ÁGUAS MORNAS','SC','124241241117241411343432345112610127057',14328,'978',46.90,1,2,1),(28,7318006,'1987-01-29 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241246216555531333344446124120854095',15955,'230',43.78,1,3,NULL),(28,7318014,'1993-12-02 00:00:00',4,1,12,2011,'F','N','INDUSTRIAL','NÃO-ME-TOQUE','RS','120201201111131431127321581125610136197',13327,'9998',48.51,1,2,1),(28,7318022,'1993-01-17 00:00:00',4,1,12,2011,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124243241215111411238923575124610137047',16540,'1048',31.57,1,3,NULL),(28,7318049,'1994-03-30 00:00:00',4,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241112111231436612212114610115057',NULL,'727',10.00,1,2,1),(28,7318057,'1990-03-28 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124243241312143411226629225124130225192',16586,'1036',42.45,1,3,NULL),(28,7318065,'1993-12-21 00:00:00',4,1,12,2011,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241111131451523314394224610125092',7147,'307',54.15,1,2,1),(28,7318073,'1995-03-24 00:00:00',2,1,11,2012,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215111752448814445124610117092',NULL,'883',27.20,1,3,NULL),(28,7318081,'1994-05-27 00:00:00',2,10,12,2011,'M','N','MAGALHAES','LAGUNA','SC','124242241212112431336934575121610134072',10151,'525',53.48,1,3,NULL),(28,7318090,'1993-02-18 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241217472431256624575112610167065',NULL,'270',20.98,1,3,NULL),(28,7318103,'1989-12-28 00:00:00',2,1,11,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241415134411436619382121122923047',16490,'807',42.68,1,3,NULL),(28,7318111,'1961-11-16 00:00:00',2,1,12,1979,'F','N','CAMPINAS','S JOSÉ','SC','224201201116151411145443435134610111097',16718,'9998',42.16,1,3,NULL),(28,7318120,'1994-01-30 00:00:00',4,10,12,2011,'F','N','BARBACENA','LAGUNA','SC','124241241114271531633311215124610121193',18138,'521',29.59,1,2,1),(28,7318138,'1995-05-10 00:00:00',2,9,12,2012,'F','S','CENTRO','LAGES','SC','124241241415111731336632575122610124142',NULL,'499',0.00,1,3,NULL),(28,7318146,'1994-02-13 00:00:00',4,8,12,2011,'F','N','CENTRO','GARUVA','SC','124241241136271431535823572124610143147',NULL,'923',10.96,1,2,1),(28,7318154,'1994-01-06 00:00:00',4,9,12,2011,'F','N','LOTEAMENTO CEPAR','LAGES','SC','124241241216111751446611295122610128187',NULL,'499',17.06,1,3,NULL),(28,7318162,'1993-12-17 00:00:00',4,1,12,2011,'F','N','PARQUE FABER II','S CARLOS','SP','125252251216111431489813575112610133192',3192,'9998',59.77,4,3,NULL),(28,7318170,'1993-12-24 00:00:00',4,1,12,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241115372331367833571122610168112',6870,'267',53.70,4,2,1),(28,7318189,'1994-01-02 00:00:00',4,1,12,2011,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115371431434634575124610132142',7260,'21',52.49,1,2,1),(28,7318197,'1994-01-22 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241132131131423314572244610117047',NULL,'730',11.72,1,2,1),(28,7318200,'1994-07-23 00:00:00',4,8,12,2011,'F','N','COLONIAL','S BENTO SUL','SC','124241241115371731326629285122610125142',NULL,'693',18.61,1,2,1),(28,7318219,'1994-07-22 00:00:00',4,1,12,2011,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241217111231376612175114610164047',8205,'1022',48.57,1,3,NULL),(28,7318227,'1990-08-02 00:00:00',2,23,12,2007,'F','N','BOQUEIRÃO','CURITIBA','PR','116162161317371231334414385114610118077',NULL,'9998',0.00,2,3,NULL),(28,7318235,'1990-08-11 00:00:00',4,1,12,2007,'F','N','UBERABA','CURITIBA','PR','116162161217472411638832595124241766012',NULL,'9998',0.00,1,3,NULL),(28,7318243,'1990-04-29 00:00:00',1,1,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124164241437575221579911245122221467042',16915,'287',41.72,1,3,NULL),(28,7318251,'1994-02-16 00:00:00',4,8,12,2011,'M','N','ZONA III','UMUARAMA','PR','116162161216471232436619175112610162044',NULL,'9998',0.00,1,3,NULL),(28,7318260,'1987-04-14 00:00:00',2,8,12,2004,'M','N','PAULAS','S FRANCISCO SUL','SC','124242241212574431569613592112131464122',6605,'992',52.83,1,3,NULL),(28,7318278,'1994-07-19 00:00:00',4,1,11,2011,'F','N','BOA PARADA','S PEDRO ALCÂNTARA','SC','124241241216111741446429575124610144092',17714,'1022',31.08,4,3,NULL),(28,7318286,'1986-06-18 00:00:00',2,1,2,2006,'M','N','AREIAS','PAULO LOPES','SC','124241247127231421224444345134610127041',NULL,'9999',0.00,1,2,1),(28,7318294,'1993-03-31 00:00:00',4,1,12,2011,'M','N','BELA VISTA','VALINHOS','SP','125252251215111421336821586122610164182',9160,'9998',45.63,1,3,NULL),(28,7318308,'1986-08-15 00:00:00',4,1,12,2003,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124201201136142411211644285114610131147',NULL,'9998',0.00,1,3,NULL),(28,7318316,'1989-09-14 00:00:00',4,1,11,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217474731466611472122610134182',10450,'270',49.10,1,3,NULL),(28,7318324,'1987-04-03 00:00:00',4,1,8,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201207147133731634364395124233217077',13758,'9998',38.57,4,2,1),(28,7318332,'1994-09-30 00:00:00',2,4,12,2011,'M','N','CENTRO','NOVA LONDRINA','PR','116162161215111431446932545122610134197',NULL,'9998',30.85,1,3,NULL),(28,7318340,'1993-08-09 00:00:00',2,1,11,2010,'M','N','KOBRASOL','S JOSÉ','SC','124242241215272131338614575114121417067',12297,'723',50.09,1,3,NULL),(28,7318359,'1992-08-02 00:00:00',2,7,12,2009,'F','N','CENTRO','POUSO REDONDO','SC','124243241215173431236924571124232646192',19947,'991',28.81,1,3,NULL),(28,7318367,'1994-06-21 00:00:00',2,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117371732636734195124610164147',14220,'276',41.16,2,1,1),(28,7318375,'1993-04-26 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241347271421356814245112610127042',NULL,'307',0.00,1,3,NULL),(28,7318383,'1993-04-11 00:00:00',2,1,11,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215471431246921575124610147097',9907,'1022',45.23,4,3,NULL),(28,7318391,'1992-06-02 00:00:00',4,8,12,2009,'M','N','JARDIM CAUDIA','LONDRINA','PR','116162161216571431369933575112610167067',16297,'9998',43.11,1,3,NULL),(28,7318413,'1993-01-19 00:00:00',4,1,12,2009,'M','N','IBIRAQUERA','IMBITUBA','SC','124211211126251431423414415224610112173',10326,'9998',47.43,3,2,1),(28,7318421,'1994-10-04 00:00:00',4,22,12,2011,'M','N','SÃO LUIZ','BRUSQUE','SC','124242241217151511338612575122610126097',6626,'109',59.47,1,3,NULL),(28,7318430,'1995-10-26 00:00:00',4,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124243241115131431328621275124610167057',NULL,'271',27.22,1,3,NULL),(28,7318448,'1993-11-20 00:00:00',2,1,12,2010,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124244241415132431328821315124133264017',NULL,'1023',21.53,1,3,NULL),(28,7318456,'1994-06-06 00:00:00',2,1,12,2011,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241215111411436612215122610114115',18734,'1223',36.34,1,3,NULL),(28,7318464,'1993-09-19 00:00:00',4,8,12,2011,'F','N','PIRABEIRABA','JOINVILLE','SC','124244241217111431447832571122610166142',4065,'457',56.29,1,3,NULL),(28,7318472,'1987-05-30 00:00:00',2,16,12,2005,'F','N','AGUA SANTA','CURITIBANOS','SC','124241241131141451323324242234130737147',NULL,'239',19.58,4,3,NULL),(28,7318480,'1994-05-17 00:00:00',4,22,12,2011,'F','N','SOUZA CRUZ','BRUSQUE','SC','124241241127131431333528285122610133097',NULL,'110',20.07,1,2,1),(28,7318499,'1981-05-16 00:00:00',2,1,12,1998,'F','N','KOBRASOL','S JOSÉ','SC','124201201112132421436716485124341514187',13060,'9998',48.90,1,3,NULL),(28,7318502,'1994-06-20 00:00:00',2,1,12,2011,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241135471431413311275214610132192',13583,'307',39.63,1,2,1),(28,7318510,'1992-07-03 00:00:00',4,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215372431469913575124220714062',12007,'270',50.54,1,3,NULL),(28,7318537,'1995-01-25 00:00:00',2,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','624241241225151431453311586124610134172',NULL,'262',23.55,1,3,NULL),(28,7318545,'1992-02-25 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116143421326923445124610147052',NULL,'307',14.57,1,3,NULL),(28,7318553,'1990-08-19 00:00:00',2,9,12,2007,'F','N','CORAL','LAGES','SC','124241241115134411536513575124231437047',13308,'257',48.54,1,2,1),(28,7318588,'1992-06-08 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241117241231336334432124610117057',NULL,'281',14.98,1,2,1),(28,7318596,'1994-03-25 00:00:00',4,2,12,2011,'F','N','VILA NOVA','BLUMENAU','SC','124242248237111431448822245112613213017',17703,'855',39.73,1,3,NULL),(28,7318600,'1994-04-16 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151532269812325112610124042',1046,'270',71.20,1,3,NULL),(28,7318618,'1980-09-08 00:00:00',2,1,12,2004,'F','N','BOM VIVER','BIGUAÇU','SC','124243247422131531423344242334610133117',18080,'63',38.67,1,3,NULL),(28,7318626,'1994-12-15 00:00:00',4,17,11,2011,'M','N','SOSSEGO','CANOINHAS','SC','116242161217121431469813572115610114062',NULL,'154',0.00,1,3,NULL),(28,7318642,'1994-03-14 00:00:00',4,1,11,2010,'M','N','FLORIANÓPOLIS','FLORIANÓPOLIS','SC','124244241215272431238823577115122036017',1148,'270',70.00,1,3,NULL),(28,7318650,'1989-10-04 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124162161417113431336622375125222322177',NULL,'9998',0.00,1,3,NULL),(28,7318669,'1992-11-15 00:00:00',2,1,6,2011,'M','N','CENTRO','S JOSÉ','SC','124243241115371411446679575124610117047',NULL,'739',44.18,1,3,NULL),(28,7318677,'1991-12-10 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215474431459914345124233237117',7315,'262',58.29,1,3,NULL),(28,7318707,'1995-04-06 00:00:00',2,15,12,2011,'F','N','CENTRO','CAMBARÁ SUL','RS','120201201116131431223624575124610137057',18758,'9998',25.73,1,3,NULL),(28,7318715,'1992-11-05 00:00:00',2,10,12,2010,'F','N','GUAIUBA','IMBITUBA','SC','124241241115271451523319282222610113047',10413,'359',45.92,1,3,NULL),(28,7318723,'1992-10-30 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217112431389913575122231044042',NULL,'1169',0.00,1,3,NULL),(28,7318731,'1993-12-06 00:00:00',2,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241248115471731523519285123610127147',NULL,'733',22.04,1,2,1),(28,7318740,'1994-03-03 00:00:00',2,1,12,2011,'M','N','JUNDIAI','ANÁPOLIS','GO','109092091217111431586732572122610167052',7132,'9998',58.60,1,3,NULL),(28,7318758,'1990-01-20 00:00:00',4,16,12,2007,'M','N','CENTRO','CURITIBANOS','SC','124241241111111431536635441122230227185',16223,'239',43.28,1,3,NULL),(28,7318766,'1994-07-20 00:00:00',4,6,12,2011,'M','N','PRAIA BRAVA','ITAJAÍ','SC','124244241215121231468719395114610167042',NULL,'44',0.00,1,3,NULL),(28,7318782,'1994-05-26 00:00:00',2,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241415121431334914575124610123072',10879,'1118',43.65,1,3,NULL),(28,7318790,'1993-02-23 00:00:00',4,27,12,2010,'M','N','PROGRESSO','TUNÁPOLIS','SC','124241241116272431426635575122610144047',13611,'408',40.18,1,2,1),(28,7318804,'1985-09-17 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241127274711434612345133610124097',9485,'736',44.03,1,2,1),(28,7318820,'1994-09-21 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111441479813571122610112122',1671,'270',67.11,1,3,NULL),(28,7318839,'1993-02-01 00:00:00',2,15,12,2010,'F','N','MORRO DOS CONVENTOS','ARARANGUÁ','SC','124241241117372531523619571224130848142',NULL,'29',15.39,4,2,1),(28,7318847,'1993-02-23 00:00:00',4,1,12,2010,'M','N','ALGODOAL','PIRACICABA','SP','125251251115471431238633575122610142147',NULL,'9998',0.00,1,2,1),(28,7318855,'1986-02-10 00:00:00',4,1,12,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215513421349732475115130262097',3211,'270',60.49,1,3,NULL),(28,7318863,'1958-10-09 00:00:00',2,1,7,1977,'M','N','COLONINHA','FLORIANÓPOLIS','SC','224241246116374431353319295122521427047',NULL,'306',0.00,1,3,NULL),(28,7318871,'1993-05-26 00:00:00',2,1,12,2010,'M','N','FREITAS','PAULO LOPES','SC','124241241125371431434613585124610124142',NULL,'607',26.30,1,2,1),(28,7318880,'1992-09-22 00:00:00',2,1,12,2010,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241216473431329612591124610115182',10639,'1022',45.64,1,3,NULL),(28,7318898,'1993-06-24 00:00:00',2,3,12,2010,'M','N','CENTRO','BARRACÃO','RS','120201201126371431343833475122610126097',15559,'9998',36.86,1,2,1),(28,7318901,'1994-10-26 00:00:00',4,6,12,2011,'M','N','VILA REAL','BAL CAMBORIÚ','SC','124241242617111432413324372121610117187',NULL,'129',8.15,4,3,NULL),(28,7318910,'1994-01-08 00:00:00',2,4,12,2011,'F','N','SÃO CRISTOVÃO','CHAPECÓ','SC','124241241117141731436513236124610134147',19834,'170',30.00,1,3,NULL),(28,7318928,'1986-03-15 00:00:00',2,15,12,2004,'M','N','DIVINÉIA','ARARANGUÁ','SC','124241247227151432213329482224610128142',NULL,'9997',0.00,1,3,NULL),(28,7318944,'1994-08-17 00:00:00',4,1,11,2011,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','116164161217111531537711175124610117042',6587,'9998',52.64,1,3,NULL),(28,7318952,'1991-05-25 00:00:00',2,1,12,2008,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241241142273731326814572124610127187',NULL,'294',0.00,1,2,1),(28,7318960,'1991-06-04 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241432133432436418385114610164057',8534,'753',56.20,1,3,NULL),(28,7318979,'1994-09-07 00:00:00',4,1,12,2011,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124241241115371532433321275124610112043',19781,'295',30.43,1,2,1),(28,7318987,'1995-03-17 00:00:00',4,10,12,2012,'M','S','TERMAS','GRAVATAL','SC','124242241216111311258813475122610147083',NULL,'807',35.42,1,3,NULL),(28,7318995,'1962-09-28 00:00:00',4,1,12,1980,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','224243244316275741469441115122322657067',1739,'260',65.36,1,3,NULL),(28,7319010,'1990-08-20 00:00:00',2,9,11,2008,'F','N','SÃO CRISTOVÃO','LAGES','SC','124242241212371531433613411134140212052',18893,'499',35.70,4,3,NULL),(28,7319029,'1991-04-29 00:00:00',4,9,12,2008,'M','N','SANTA MARIA','LAGES','SC','124242241216153731269923475111231427052',NULL,'270',14.09,1,3,NULL),(28,7319037,'1989-05-16 00:00:00',4,8,11,2006,'F','N','AMÉRICA','JOINVILLE','SC','124083241117572731549933484115142534187',NULL,'478',0.00,1,3,NULL),(28,7319045,'1985-06-18 00:00:00',2,1,12,2002,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216145451536623295125233233055',17529,'9999',40.22,1,3,NULL),(28,7319053,'1993-01-12 00:00:00',2,1,12,2009,'F','N','XV DE NOVEMBRO','TIJUCAS','SC','124251241136141431426619346123610125057',NULL,'783',0.00,1,2,1),(28,7319061,'1988-08-05 00:00:00',4,5,12,2008,'M','N','CENTRO','ORLEANS','SC','124241241126472231526323245124610122097',8527,'580',50.62,4,2,1),(28,7319088,'1980-04-05 00:00:00',4,1,4,1998,'M','N','SERRARIA','S JOSÉ','SC','224241241147274431236653242124231257057',19525,'307',32.50,1,2,1),(28,7319096,'1984-12-15 00:00:00',4,1,12,2001,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124242241237152441117949341324321666197',NULL,'44',0.00,1,3,NULL),(28,7319100,'1993-09-13 00:00:00',4,2,12,2010,'F','N','VILA NOVA','BLUMENAU','SC','124242241215471431489911475112610168092',11676,'855',51.05,1,3,NULL),(28,7319118,'1993-07-05 00:00:00',4,3,12,2011,'M','N','JARDIM PAULISTA','OURINHOS','SP','125252251217111431348931371122610124112',15469,'9998',44.75,1,3,NULL),(28,7319142,'1994-05-17 00:00:00',4,1,12,2011,'M','N','VILA PEREIRA','ITAPIRA','SP','125252258215111731448821342122610118044',NULL,'9998',27.55,1,3,NULL),(28,7319150,'1995-08-08 00:00:00',2,1,12,2012,'F','S','N S DO ROSÁRIO','S JOSÉ','SC','624242241215111731438721575124610131072',NULL,'738',39.09,1,3,NULL),(28,7319169,'1992-03-31 00:00:00',4,1,12,2009,'M','N','JARDIM ACAPULCO','LONDRINA','PR','116161161211472231446912581115241412091',4370,'9998',57.59,1,3,NULL),(28,7319177,'1991-12-04 00:00:00',4,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','101011011111211112111111211111110111012',NULL,'1022',0.00,1,3,NULL),(28,7319185,'1991-03-09 00:00:00',2,1,12,2008,'F','N','LAGOA','FLORIANÓPOLIS','SC','124242241216574431556622572211231467187',16234,'262',43.26,1,3,NULL),(28,7319193,'1993-10-04 00:00:00',2,1,12,2010,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241116472231326414575124610124042',18002,'1248',30.17,1,2,1),(28,7319207,'1990-04-24 00:00:00',2,1,8,2008,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241116135721343631145122121764161',15834,'739',44.02,1,3,NULL),(28,7319240,'1988-05-31 00:00:00',2,1,12,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115372441526621382124122327047',11326,'293',51.60,1,2,1),(28,7319258,'1992-07-24 00:00:00',4,6,12,2009,'F','N','SÃO VICENTE','ITAJAÍ','SC','124241241116473431443923335324610138047',6344,'400',52.72,2,1,1),(28,7319266,'1991-09-07 00:00:00',5,8,12,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161216571411457931491124610118012',NULL,'9998',0.00,4,3,NULL),(28,7319274,'1994-02-24 00:00:00',4,1,12,2011,'M','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124242241215112431446611395114610124122',1619,'270',67.59,1,3,NULL),(28,7319282,'1991-03-16 00:00:00',4,1,11,2008,'F','N','URBANOVA','S JOSÉ CAMPOS','SP','125252251216572431559913575122610128142',8187,'9998',50.31,1,3,NULL),(28,7319290,'1993-09-21 00:00:00',4,8,11,2011,'M','N','GUANABARA','JOINVILLE','SC','124242241216271431566612575222610131097',8816,'459',55.74,1,3,NULL),(28,7319304,'1989-08-11 00:00:00',2,1,12,2006,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','124241241127572431113341215124610144182',3829,'287',59.98,1,2,1),(28,7319312,'1994-04-12 00:00:00',4,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241215111431468921575122610145015',2573,'457',61.39,1,3,NULL),(28,7319339,'1992-12-11 00:00:00',4,7,12,2010,'F','N','SÃO JOSÉ','ARARAQUARA','SP','125251251116471231323314575121610167142',NULL,'9998',0.00,1,2,1),(28,7319347,'1994-06-29 00:00:00',4,1,11,2011,'M','N','JARDIM CENTENÁRIO','POÇOS CALDAS','MG','113132131217111431328719476124610164172',4484,'9998',58.09,3,3,NULL),(28,7319355,'1993-09-22 00:00:00',4,23,12,2010,'F','N','JOÃO PESSOA','JARAGUÁ SUL','SC','124241248216141731153923295122132028142',NULL,'1061',26.63,1,3,NULL),(28,7319371,'1988-10-04 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSÉ','SC','124241241112233731233444345122333267057',12204,'591',40.92,1,2,1),(28,7319380,'1994-09-16 00:00:00',4,1,11,2011,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241435111731626612145122610157067',19085,'1223',34.94,1,3,NULL),(28,7319401,'1994-05-04 00:00:00',4,1,11,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215221431489714575122610134126',7208,'270',58.46,1,3,NULL),(28,7319410,'1992-07-15 00:00:00',4,1,12,2010,'M','N','JARDIM DOM BOSCO','CAMPINAS','SP','125254251117241432436831382111610157042',NULL,'9998',0.00,1,3,NULL),(28,7319428,'1993-11-13 00:00:00',2,1,12,2010,'F','N','MORRO AGUDO','PAULO LOPES','SC','124241241127271412323823345124610122057',NULL,'607',18.26,1,2,1),(28,7319436,'1991-02-18 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124161161315172431236673285124142367147',15533,'9998',44.65,1,3,NULL),(28,7319444,'1993-09-05 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241215111731656412575112610117041',16429,'1022',33.83,1,3,NULL),(28,7319460,'1992-11-16 00:00:00',4,1,12,2010,'F','N','BOQUEIRAO','SANTOS','SP','125252251217471431469834315122610131047',628,'9998',72.40,1,3,NULL),(28,7319479,'1991-04-22 00:00:00',4,1,12,2008,'M','N','CLELIA BERNADES','VIÇOSA','MG','113132131217211431368931575122140327046',NULL,'9998',0.00,1,3,NULL),(28,7319495,'1994-01-10 00:00:00',2,4,12,2011,'F','N','SANTA LÚCIA','CHAPADA','RS','120201201117271431127947575224610166017',8604,'9998',48.99,1,2,1),(28,7319509,'1993-04-13 00:00:00',2,5,11,2010,'F','N','CENTRO','NOVA VENEZA','SC','124243241215472431437936591124610164072',6720,'213',54.12,1,3,NULL),(28,7319517,'1994-02-10 00:00:00',2,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241115131431666923245124610127112',NULL,'307',22.15,1,2,1),(28,7319525,'1978-06-26 00:00:00',2,1,12,1996,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241122335431221441312124221763097',12726,'294',49.39,1,2,1),(28,7319541,'1992-01-11 00:00:00',4,9,11,2009,'F','N','CORAL','LAGES','SC','124241241116373431226619595124131524142',4735,'935',56.82,1,2,1),(28,7319550,'1993-12-22 00:00:00',2,3,12,2010,'F','N','BOA VISTA','CURITIBA','PR','116162161216472331437732595114610165197',NULL,'9998',0.00,1,3,NULL),(28,7319568,'1990-06-09 00:00:00',4,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241217152411457928415124230234113',NULL,'299',47.27,4,3,NULL),(28,7319576,'1995-03-30 00:00:00',4,8,12,2011,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215111411339923575122610113182',NULL,'1063',32.93,1,3,NULL),(28,7319592,'1985-05-25 00:00:00',4,8,12,2002,'F','N','RONDINHA','CPO LARGO','PR','116161161216575741446621575114610122032',604,'9998',73.37,1,3,NULL),(28,7319606,'1991-11-12 00:00:00',2,4,12,2008,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241116475421337923575112221467042',7532,'182',50.66,1,2,1),(28,7319614,'1992-08-01 00:00:00',2,1,12,2009,'F','N','CENTRO','BIGUAÇU','SC','124242241216373411435723345124610145092',14913,'63',45.79,1,3,NULL),(28,7319622,'1994-05-05 00:00:00',4,3,11,2011,'M','N','ANDORINHAS','ITAPEMA','SC','124242241215111431325831275121610137117',12934,'403',41.46,1,3,NULL),(28,7319630,'1992-01-21 00:00:00',4,1,12,2009,'M','N','NS SRA DO ROSARIO','S JOSÉ','SC','124241241226152431456633475122231424042',6707,'262',49.73,1,3,NULL),(28,7319649,'1994-06-24 00:00:00',4,1,12,2011,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241241225112431343314575114610132142',4722,'262',54.62,1,3,NULL),(28,7319657,'1992-03-21 00:00:00',4,5,5,2010,'M','N','NOVA ITALIA','URUSSANGA','SC','124241246216111421326523575124610162177',NULL,'995',0.00,1,3,NULL),(28,7319665,'1992-08-13 00:00:00',4,1,12,2009,'F','N','VILA ARICANDUVA','S PAULO','SP','125252253617571411338818576115610142076',1140,'9998',66.34,1,3,NULL),(28,7319673,'1991-07-01 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124203241147372341523511245121610136127',8981,'96',48.73,1,3,NULL),(28,7319681,'1991-11-28 00:00:00',4,1,12,2008,'M','N','ALTO DA GLORIA','CURITIBA','PR','116162161216572711468767475122143267117',NULL,'9998',0.00,1,3,NULL),(28,7319690,'1994-07-11 00:00:00',2,1,12,2011,'F','N','ÁGUAS MORNAS','ÁGUAS MORNAS','SC','124241241115371411623314335124610162047',14458,'978',39.78,4,2,1),(28,7319703,'1993-03-12 00:00:00',2,5,7,2011,'F','N','RIO AMÉRICA BAIXO','URUSSANGA','SC','124241241235131451226614582122610147077',NULL,'995',0.00,1,3,NULL),(28,7319711,'1994-05-27 00:00:00',4,1,12,2011,'F','N','RESIDENCIAL UNIÃO','S JOSÉ CAMPOS','SP','125252251215121431448614245112610125147',2931,'9998',58.92,1,3,NULL),(28,7319720,'1994-02-03 00:00:00',2,1,12,2011,'F','N','FUNDOS','BIGUAÇU','SC','124241241225131431526476575124610125142',11598,'262',44.84,4,3,NULL),(28,7319738,'1990-09-24 00:00:00',4,1,12,2008,'M','N','SAGRADO COR DE JESUS','LAGES','SC','124242241212373431469931595214131437122',14483,'499',46.62,1,3,NULL),(28,7319746,'1994-01-17 00:00:00',4,9,12,2011,'M','N','CENTRO','CORREIA PINTO','SC','124241241117371231423311572122610137052',18406,'201',28.85,1,2,1),(28,7319762,'1994-04-26 00:00:00',4,1,12,2011,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241112371431423429285224610127147',NULL,'1088',13.16,1,2,1),(28,7319789,'1994-05-12 00:00:00',2,1,12,2011,'F','N','ÁGUAS MORNAS','ÁGUAS MORNAS','SC','124241241115371711524614372114610168187',NULL,'978',20.40,1,2,1),(28,7319797,'1995-01-18 00:00:00',2,6,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241217111231448912375122610113112',NULL,'9997',25.72,1,3,NULL),(28,7319800,'1994-04-12 00:00:00',2,27,12,2011,'F','N','INTERIOR','BANDEIRANTE','SC','124241247116161431423335575224610165144',NULL,'55',35.47,1,2,1),(28,7319819,'1992-08-30 00:00:00',4,4,12,2010,'M','N','CENTRO','QUATRO PONTES','PR','116162161214471411436811585114610137082',NULL,'9998',37.90,1,3,NULL),(28,7319827,'1983-08-29 00:00:00',2,1,11,2006,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124201207122131131226823585114133214147',NULL,'9998',7.94,1,3,NULL),(28,7319835,'1994-08-02 00:00:00',4,5,12,2011,'M','N','SÃO SEBASTIÃO','CRICIÚMA','SC','124241241135371431423579396324610147047',6964,'209',51.25,1,2,1),(28,7319843,'1994-11-28 00:00:00',4,10,12,2011,'M','N','BARRANCEIRA','LAGUNA','SC','124241241117371731436613575124610124047',12072,'521',40.83,1,2,1),(28,7319851,'1992-11-30 00:00:00',2,15,12,2009,'F','N','ALTO FELIZ','ARARANGUÁ','SC','124241241116133411536923245122610128041',NULL,'29',25.80,1,2,1),(28,7319860,'1988-07-09 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241317473431346612445135240237057',17035,'300',41.44,1,3,NULL),(28,7319878,'1996-01-30 00:00:00',2,7,11,2012,'M','S','SANTA TEREZA','JOAÇABA','SC','124242241215111431468812175122613228042',NULL,'446',35.53,1,3,NULL),(28,7319886,'1994-09-05 00:00:00',4,8,12,2012,'M','S','CENTRO','JOINVILLE','SC','124242241215111431339931572122610122042',NULL,'457',39.24,1,3,NULL),(28,7319894,'1993-08-05 00:00:00',2,15,11,2010,'F','N','CENTRO','BAL ARROIO SILVA','SC','124241241136131731227319582224610114197',NULL,'854',0.00,1,2,1),(28,7319908,'1994-03-20 00:00:00',4,1,11,2011,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215121431436869575112610123042',NULL,'1118',23.81,1,3,NULL),(28,7319916,'1993-03-12 00:00:00',2,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241241226152411535423575124231217042',NULL,'262',29.59,1,3,NULL),(28,7319924,'1983-04-03 00:00:00',4,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224202201216151431359844445122341447042',14812,'9998',45.97,1,3,NULL),(28,7319932,'1992-11-04 00:00:00',4,1,12,2009,'M','N','ARIRIU','PALHOÇA','SC','124241248116132431336613285124610127047',19783,'772',30.42,1,2,1),(28,7319940,'1991-03-14 00:00:00',2,16,12,2008,'M','N','CENTRO','ARUJÁ','SP','125252251217571431528327481114610165057',12369,'9998',41.55,1,3,NULL),(28,7319959,'1993-07-29 00:00:00',2,1,12,2010,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124244241214112431524411392124221467187',7755,'1022',50.52,1,3,NULL),(28,7319967,'1991-10-25 00:00:00',4,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243201117272441324661385324610134187',6554,'9998',51.96,1,3,NULL),(28,7319975,'1995-07-20 00:00:00',4,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241211111211335822575122610162092',20073,'9997',26.85,1,3,NULL),(28,7319983,'1994-06-14 00:00:00',2,1,12,2011,'M','N','JARDIM PARAISO','PENÁPOLIS','SP','125255251217151412447532275112610117047',15984,'9998',33.64,1,3,NULL),(28,7319991,'1994-03-23 00:00:00',2,1,12,2011,'F','N','SNT CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC','124241241115141231423316152214610117055',NULL,'978',20.08,1,2,1),(28,7320000,'1992-02-02 00:00:00',4,9,12,2009,'F','N','COPACABANA','LAGES','SC','124244241416572431438813572122610127147',17181,'1207',33.36,1,3,NULL),(28,7320019,'1994-08-09 00:00:00',2,15,12,2011,'M','N','CENTRO','SOMBRIO','SC','124242241217151442576612174122610164172',6989,'770',51.63,1,3,NULL),(28,7320043,'1992-03-04 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241317221431324429445114610147082',19449,'300',33.04,2,1,2),(28,7320051,'1993-03-30 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215472731479833575124610137062',5521,'1022',55.92,1,3,NULL),(28,7320060,'1992-02-20 00:00:00',2,1,7,2010,'M','N','ARIRIU DA FORMIGA','PALHOÇA','SC','124242247214142431566933485124130267042',19267,'9999',34.04,1,3,NULL),(28,7320086,'1993-08-05 00:00:00',4,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241115271322426324342324610116145',18373,'287',29.23,1,2,1),(28,7320094,'1993-12-10 00:00:00',4,1,12,2010,'M','N','JARDIM CIDADE DE FLO','S JOSÉ','SC','124241241115131412444419175122610142047',NULL,'726',29.63,1,2,1),(28,7320108,'1994-09-04 00:00:00',4,1,12,2011,'M','N','JARDIM CARANDAÍ','BIGUAÇU','SC','124244241415151431226669586225610137147',NULL,'1040',25.17,1,3,NULL),(28,7320116,'1994-04-25 00:00:00',4,8,11,2011,'F','N','BIGORRILHO','CURITIBA','PR','116162161216111431478831475122610163147',1742,'9998',66.38,1,3,NULL),(28,7320124,'1992-03-18 00:00:00',4,1,12,2009,'F','N','BURLE MARX','LONDRINA','PR','116162161217571751446911595122610167127',4143,'9998',58.05,1,3,NULL),(28,7320132,'1993-11-17 00:00:00',2,1,12,2011,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241115141731436633392124610138147',NULL,'278',19.71,1,2,1),(28,7320159,'1993-11-12 00:00:00',2,1,11,2011,'M','N','TRAÇADO','URUBICI','SC','124242241217412411363412575124610162042',5532,'270',56.80,1,3,NULL),(28,7320167,'1994-07-24 00:00:00',4,1,12,2011,'F','N','CENTRO HISTÓRICO','S JOSÉ','SC','124243241117371431425824575124610123157',11462,'733',43.18,1,3,NULL),(28,7320175,'1990-06-30 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241416212441469613575124121762045',7525,'1157',57.93,1,3,NULL),(28,7320183,'1990-10-23 00:00:00',4,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117471441225649395124133268177',9836,'124',53.98,1,2,1),(28,7320205,'1993-11-30 00:00:00',2,9,12,2011,'M','N','FRANCIOSI','VACARIA','RS','120201201137151431536414145121610124017',15248,'9998',34.24,1,2,1),(28,7320213,'1979-07-20 00:00:00',2,1,12,1996,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124132131216151751356971415122341066095',12325,'9998',50.05,1,3,NULL),(28,7320221,'1991-02-16 00:00:00',2,1,12,2010,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241147371431348613485114610147187',10987,'283',46.15,1,2,1),(28,7320248,'1993-03-29 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217122531588813575112610166042',16342,'270',33.44,1,3,NULL),(28,7320256,'1964-08-03 00:00:00',2,1,12,1982,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','224241242116155421243343432122340322092',NULL,'9997',0.00,1,2,1),(28,7320264,'1994-11-15 00:00:00',2,15,12,2011,'F','N','NOVA BRASILIA','STO CRISTO','RS','124242241211111431437832575122610122012',15071,'770',36.11,1,3,NULL),(28,7320272,'1995-08-18 00:00:00',4,5,12,2012,'F','S','MICHEL','CRICIÚMA','SC','124242248215121741336632571125610118072',NULL,'226',18.72,1,3,NULL),(28,7320280,'1953-02-02 00:00:00',2,1,12,1976,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','524241247127275421256541311112122323182',19043,'9999',35.13,1,3,NULL),(28,7320299,'1991-07-05 00:00:00',4,1,12,2011,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124251247327141141226554145124610164117',NULL,'9999',33.10,1,3,NULL),(28,7320310,'1990-04-14 00:00:00',4,1,11,2007,'M','N','ASA NORTE','BRASÍLIA','DF','107134131216374411438813575125141467182',NULL,'9998',32.72,1,3,NULL),(28,7320329,'1991-04-08 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124203201216273431238744242234610142192',16041,'9998',43.62,1,3,NULL),(28,7320337,'1993-07-05 00:00:00',2,1,7,2012,'F','S','ROÇADO','S JOSÉ','SC','124242247215111431348311475124610167122',NULL,'9999',11.89,1,3,NULL),(28,7320345,'1966-07-01 00:00:00',5,5,11,2007,'F','N','JARDIM ELISABETE','IÇARA','SC','524241247127131431311242122322132868191',NULL,'9999',19.43,1,2,1),(28,7320353,'1995-02-20 00:00:00',2,1,12,2011,'F','N','CENTRO','TIJUCAS','SC','124242241215131431526717172124610127052',6017,'948',55.41,1,3,NULL),(28,7320361,'1995-02-01 00:00:00',2,1,12,2011,'F','N','JARDIM EUCALIPTUS','PALHOÇA','SC','124241241415471431545332575122610123182',2715,'592',63.64,1,3,NULL),(28,7320370,'1994-07-20 00:00:00',4,1,12,2011,'F','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241127151431424314386114610134192',NULL,'322',19.40,1,2,1),(28,7320388,'1995-05-22 00:00:00',4,2,12,2012,'M','S','IMIGRANTES','TIMBÓ','SC','124242241215111431438719295121610124057',NULL,'1157',47.66,1,3,NULL),(28,7320396,'1991-04-28 00:00:00',4,1,12,2008,'M','N','CENTRO','CPO GRANDE','MS','112122121216322751348831215122610168187',13102,'9998',38.93,1,3,NULL),(28,7320418,'1994-09-20 00:00:00',4,5,12,2011,'F','N','CENTRO','HORIZONTINA','RS','120202201216161431546919571124610122037',9608,'9998',46.63,1,3,NULL),(28,7320426,'1993-05-27 00:00:00',2,4,12,2011,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116164161316111451566652595122610167057',17175,'9998',32.03,1,3,NULL),(28,7320442,'1994-07-26 00:00:00',4,17,12,2011,'F','N','ESPIGÃO DO BUGRE','MAFRA','SC','124241241126141711443634195124610116047',NULL,'544',18.38,1,2,1),(28,7320450,'1991-12-01 00:00:00',4,1,12,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241125371431635511245124610137047',15946,'1097',35.81,1,2,1),(28,7320469,'1993-11-06 00:00:00',4,1,12,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241215373431458714575124610137042',3587,'1022',61.49,1,3,NULL),(28,7320477,'1984-11-24 00:00:00',2,1,11,2008,'M','N','BELA VISTA I','S JOSÉ','SC','124241241121111121124344242342610113102',17643,'381',39.90,1,3,NULL),(28,7320493,'1994-07-10 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124062241217111431568839572122610132182',1794,'270',65.16,1,3,NULL),(28,7320523,'1989-12-13 00:00:00',4,3,12,2006,'F','N','ILHOTA','ITAPEMA','SC','124163251417131431436611282224133231197',6593,'9998',51.06,1,3,NULL),(28,7320531,'1993-06-13 00:00:00',2,9,12,2010,'M','N','PLANNALTO','S JOSÉ OURO','RS','120201201116132431353854575124241422162',13663,'9998',37.85,1,2,1),(28,7320540,'1991-04-26 00:00:00',2,1,12,2008,'M','N','POMPEIA','BELO HORIZONTE','MG','113134131217571731456613575124610167057',11020,'9998',43.57,2,3,NULL),(28,7320558,'1987-04-19 00:00:00',4,1,12,2004,'M','N','CAMPINAS','S JOSÉ','SC','124241241126113431434613345222222267183',16261,'736',43.20,1,2,1),(28,7320566,'1995-03-22 00:00:00',4,10,10,2011,'F','N','MAR GROSSO','LAGUNA','SC','124242241215131431448619271112610167057',15975,'807',43.73,1,3,NULL),(28,7320574,'1994-10-21 00:00:00',2,1,12,2011,'M','N','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241115112411469813575122610147045',NULL,'271',12.36,1,3,NULL),(28,7320582,'1993-08-24 00:00:00',2,9,12,2011,'F','N','CENTRO','LAGES','SC','124241241332141431224444242124610137057',NULL,'9999',15.93,1,3,NULL),(28,7320604,'1993-12-20 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116471431325328385124610117187',14944,'295',37.56,1,2,1),(28,7320612,'1991-06-14 00:00:00',4,8,12,2008,'F','N','BOQUEIRÃO','CURITIBA','PR','116162161216513431658812575124610137077',3497,'9998',58.46,1,3,NULL),(28,7320620,'1991-10-15 00:00:00',4,1,12,2008,'M','N','JARDIM PARAISO','PENÁPOLIS','SP','125252251217371412447532275112143217047',10339,'9998',44.65,1,3,NULL),(28,7320639,'1984-05-25 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116131751233643435122332828182',NULL,'122',0.00,1,3,NULL),(28,7320655,'1992-03-11 00:00:00',2,1,12,2008,'F','N','BELEM NOVO','PTO ALEGRE','RS','620202201117573411458821575121243246117',NULL,'9998',0.00,1,3,NULL),(28,7320663,'1993-08-19 00:00:00',4,1,12,2010,'F','N','IPANEMA','PTO ALEGRE','RS','120202201236572431448824575124610162057',8343,'9998',48.41,1,3,NULL),(28,7320671,'1979-10-08 00:00:00',2,1,2,2000,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244243146144421126741315122423214195',13700,'306',47.88,1,3,NULL),(28,7320680,'1994-10-21 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431259921475112610127142',13805,'262',38.33,1,3,NULL),(28,7320698,'1992-01-05 00:00:00',2,1,12,2010,'F','N','CENTRO','CONSTANTINA','RS','120201207337471451245823572124610164017',NULL,'9998',0.00,4,3,NULL),(28,7320710,'1994-12-21 00:00:00',4,3,12,2011,'F','N','CENTRO','CAMBORIÚ','SC','124242241211141431446633145334610127077',NULL,'1091',0.00,1,3,NULL),(28,7320728,'1992-08-19 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116472731438413475122610124072',12067,'298',43.54,1,2,1),(28,7320736,'1995-12-18 00:00:00',4,1,12,2012,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124242248215111431468814572122610134092',NULL,'1169',31.00,1,3,NULL),(28,7320744,'1993-12-13 00:00:00',4,6,12,2011,'M','N','CENTRO','ITAJAÍ','SC','124242241215131431226624375121610124047',8966,'392',45.07,1,3,NULL),(28,7320752,'1992-11-17 00:00:00',4,2,12,2011,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241142111311336822295122610167182',NULL,'874',0.00,1,3,NULL),(28,7320760,'1991-03-21 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124163167247372411539913371114121655142',NULL,'9998',23.09,1,3,NULL),(28,7320779,'1968-09-24 00:00:00',4,1,12,1993,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','624201207617131741222244242334141056062',17235,'9998',40.92,1,3,NULL),(28,7320787,'1995-04-25 00:00:00',2,4,12,2011,'F','N','CENTRO','S BERNARDINO','SC','124241241126161431638733575122610117057',NULL,'701',0.00,1,2,1),(28,7320795,'1993-12-07 00:00:00',2,1,12,2011,'F','N','ESQUINA','URUBICI','SC','124242241217271331536435576121610132147',NULL,'817',36.49,1,3,NULL),(28,7320809,'1994-12-09 00:00:00',2,15,12,2011,'F','N','ZANETTE','MELEIRO','SC','124241241117111532613436572224610128057',NULL,'559',7.40,1,3,NULL),(28,7320817,'1994-04-13 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124241241115111431526635572224610116051',17300,'17',31.66,1,2,1),(28,7320825,'1973-09-22 00:00:00',4,1,12,1993,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','224243241126134421532244345124610122013',17533,'297',40.21,1,3,NULL),(28,7320833,'1994-09-10 00:00:00',2,1,12,2011,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241116371431333923575124610134127',12689,'592',41.01,1,2,1),(28,7320850,'1993-04-23 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241216272431338721575114610127042',3437,'738',62.67,1,3,NULL),(28,7320868,'1986-09-18 00:00:00',4,1,12,2005,'F','N','AUTO ARIRIÚ','PALHOÇA','SC','124241248322141521456923234243331921012',NULL,'739',0.00,1,3,NULL),(28,7320884,'1978-10-12 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124131131127272741123341215114610117183',18397,'9998',37.65,2,1,1),(28,7320892,'1995-04-22 00:00:00',4,22,11,2012,'M','S','CENTRO','S JOÃO BATISTA','SC','124243241315131732666612585121610164117',NULL,'1244',0.00,1,3,NULL),(28,7320906,'1993-10-07 00:00:00',2,7,12,2010,'F','N','ESCOLAR','SALTO VELOSO','SC','124241241116471441523319575124610161142',7361,'831',52.20,1,3,NULL),(28,7320914,'1992-07-25 00:00:00',4,8,11,2009,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215273411439912475122231434112',5563,'403',61.37,1,3,NULL),(28,7320922,'1991-09-07 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241215113231336631415112231464057',15899,'737',43.89,1,3,NULL),(28,7320930,'1993-12-02 00:00:00',2,1,12,2011,'M','N','BOM VIVER','BIGUAÇU','SC','124243241215112451236324292324610167112',11272,'1118',51.67,1,3,NULL),(28,7320949,'1995-09-05 00:00:00',4,2,11,2012,'F','S','ÁGUA VERDE','BLUMENAU','SC','124242241216111431479634575122610116142',NULL,'87',45.28,5,3,NULL),(28,7320957,'1994-03-18 00:00:00',4,1,12,2011,'M','N','CAMPUS DO CTA','S JOSÉ CAMPOS','SP','125252251215111431378913572122610164112',NULL,'9998',33.71,1,3,NULL),(28,7320965,'1991-05-24 00:00:00',2,3,12,2008,'M','N','CENTRO','LAGES','SC','124243241216373431564613575112121467042',2557,'499',61.84,1,3,NULL),(28,7320973,'1973-06-17 00:00:00',4,1,12,1990,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124252251216575651128849335123123218182',10809,'9998',52.41,1,3,NULL),(28,7320981,'1993-07-03 00:00:00',4,1,12,2010,'F','N','CAMOBI','STA MARIA','RS','120201201137162431438411575234243227147',5222,'9998',53.27,1,2,1),(28,7321007,'1993-05-18 00:00:00',2,1,12,2010,'M','N','SÃO JOSÉ','S JOSÉ','SC','624244248216372711346613395124610117117',12508,'737',48.18,1,3,NULL),(28,7321015,'1987-10-07 00:00:00',4,1,11,2007,'M','N','SERRARIA','S JOSÉ','SC','124241247425573412621329472344610124097',18612,'9999',36.86,1,3,NULL),(28,7321040,'1992-12-25 00:00:00',4,1,12,2009,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124242241214143721458633495134221933182',NULL,'1022',43.34,4,3,NULL),(28,7321058,'1988-03-26 00:00:00',2,1,12,2005,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124243241217145431326419315112610137057',19203,'988',34.36,1,3,NULL),(28,7321066,'1987-09-23 00:00:00',2,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241126473211533543435124610117042',5228,'922',57.53,4,3,NULL),(28,7321074,'1994-09-20 00:00:00',2,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241115371431326623585114610117041',17918,'307',32.58,1,2,1),(28,7321082,'1993-06-05 00:00:00',4,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242248232272421128713271124133211141',18378,'9997',37.72,3,3,NULL),(28,7321104,'1996-01-22 00:00:00',2,24,12,2011,'F','N','SEMINÁRIO','TAIÓ','SC','124242241212111431459911412122610128142',NULL,'991',20.04,1,3,NULL),(28,7321112,'1993-02-09 00:00:00',2,10,12,2010,'M','N','VILA NOVA','IMBITUBA','SC','124241241117271711433619282114610117147',NULL,'216',32.35,2,3,NULL),(28,7321120,'1993-04-16 00:00:00',4,16,12,2010,'M','N','INTERIOR','CURITIBANOS','SC','124241241117132731113115172321610137055',NULL,'9997',32.24,4,3,NULL),(28,7321147,'1995-01-02 00:00:00',4,1,12,2011,'M','N','ESQUINA','URUBICI','SC','124241241115161431324714575124610167182',NULL,'818',22.45,1,2,1),(28,7321155,'1996-01-08 00:00:00',2,1,12,2012,'F','S','PARQUE SÃO JORGE','FLORIANÓPOLIS','SC','124242241215111711469813575122610144185',NULL,'272',28.52,1,3,NULL),(28,7321163,'1992-10-30 00:00:00',2,8,12,2009,'M','N','CENTRO','CURITIBA','PR','116252258216511411437539575115610167047',NULL,'9998',0.00,1,3,NULL),(28,7321171,'1989-12-15 00:00:00',4,17,12,2007,'M','N','CENTRO','ITAPORANGA','SP','116254251116372411338823495125243247184',NULL,'9998',36.80,1,3,NULL),(28,7321198,'1994-07-25 00:00:00',4,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124242241211141431348932342122610112183',NULL,'939',30.14,1,3,NULL),(28,7321201,'1993-01-30 00:00:00',2,17,12,2009,'M','N','CAMPO DA ÁGUA VERDE','CANOINHAS','SC','124241241116373331336621572124241467047',NULL,'146',34.34,1,2,1),(28,7321228,'1992-06-22 00:00:00',4,8,12,2009,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215472431478914592112610123092',NULL,'1063',0.00,1,3,NULL),(28,7321236,'1980-06-15 00:00:00',4,1,12,1998,'M','N','BOSQUE DA SAÚDE','CUIABÁ','MT','111114111416151411688823475122542766173',NULL,'9998',0.00,1,3,NULL),(28,7321244,'1995-12-29 00:00:00',4,8,11,2012,'F','S','MEIA PRAIA','ITAPEMA','SC','124242241212121411439912572122610134052',NULL,'403',22.92,1,3,NULL),(28,7321252,'1994-09-07 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241215151331645634575122610127041',NULL,'259',23.97,1,3,NULL),(28,7321260,'1994-07-08 00:00:00',2,1,11,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241315111431545614375124610137117',12496,'1023',42.52,1,3,NULL),(28,7321279,'1992-11-28 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244243216372331323312395124610164127',NULL,'1022',7.26,5,3,NULL),(28,7321287,'1993-01-11 00:00:00',2,24,12,2010,'F','N','VILA NOVA','ITUPORANGA','SC','124241241146371431523314345234610126197',NULL,'416',25.95,1,2,1),(28,7321295,'1991-02-07 00:00:00',2,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124204241121113321235621445114610162117',16893,'290',35.18,1,3,NULL),(28,7321309,'1994-10-02 00:00:00',2,9,12,2011,'F','N','CENTRO','LAGES','SC','124241241116471431564613575112610164042',NULL,'512',25.58,1,2,1),(28,7321317,'1992-10-29 00:00:00',2,1,12,2009,'F','N','GRANJA OLGA III','SOROCABA','SP','125252251215512441338816582112610163117',NULL,'9998',0.00,1,3,NULL),(28,7321333,'1985-06-19 00:00:00',6,1,12,2006,'M','N','PARQUE PETROPOLIS','MAIRIPORÃ','SP','124252258227331111316829485124110113097',NULL,'9998',20.90,1,3,NULL),(28,7321341,'1992-09-10 00:00:00',2,1,12,2009,'M','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124243241117473431424923285124221437047',17006,'772',36.11,1,3,NULL),(28,7321350,'1992-09-21 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241216573431469934575112610134042',7673,'226',51.72,1,3,NULL),(28,7321368,'1994-03-10 00:00:00',4,1,11,2011,'F','N','BELA VISTA','PALHOÇA','SC','124241241225131431438529575124610132142',12861,'262',41.93,1,3,NULL),(28,7321376,'1994-11-21 00:00:00',4,10,12,2011,'M','N','TERMAS','GRAVATAL','SC','124241241115371431525339575124610164057',16245,'332',34.58,1,2,1),(28,7321406,'1995-04-15 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215151131436639575122610134077',14145,'1134',36.66,1,3,NULL),(28,7321414,'1994-01-24 00:00:00',2,1,11,2011,'F','N','JURERE','FLORIANÓPOLIS','SC','124242243215111431548814572122610167041',18034,'270',38.79,1,3,NULL),(28,7321422,'1989-05-19 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247416472411266822475122233267115',NULL,'9999',0.00,3,3,NULL),(28,7321430,'1993-07-20 00:00:00',4,1,12,2010,'M','N','CENTRO','PARAIBUNA','SP','125252252416471221349934475124610117042',11297,'9998',44.93,1,3,NULL),(28,7321449,'1993-06-01 00:00:00',4,8,12,2010,'F','N','VILA ALICE','STO ANDRÉ','SP','125252251216572431438829571124610122147',3963,'9998',59.21,1,3,NULL),(28,7321457,'1994-10-16 01:00:00',2,1,12,2011,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124241248137141511468613372124610117063',NULL,'298',25.73,1,2,1),(28,7321465,'1993-08-30 00:00:00',2,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115131431423311212124610133057',13132,'271',42.13,1,2,1),(28,7321473,'1989-01-13 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','624246248637575221648727375114610168195',1007,'9998',69.83,1,3,NULL),(28,7321481,'1990-12-12 00:00:00',2,1,12,2009,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241117232231534414285124223227042',NULL,'287',29.44,4,2,1),(28,7321490,'1994-10-28 00:00:00',4,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115372751335517595122610133012',14538,'307',36.49,1,2,1),(28,7321503,'1993-09-22 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215472252349931575112610164116',NULL,'213',0.00,1,3,NULL),(28,7321511,'1994-04-09 00:00:00',4,9,11,2011,'F','N','CORAL','LAGES','SC','124242241215111711454432575112610114172',8065,'1207',49.64,1,3,NULL),(28,7321546,'1994-03-29 00:00:00',4,5,12,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215111431438932575122610138182',15852,'210',43.98,1,3,NULL),(28,7321554,'1994-03-02 00:00:00',4,2,12,2011,'M','N','VELHA','BLUMENAU','SC','124242241112151431469812485122610167047',18359,'88',37.75,1,3,NULL),(28,7321562,'1993-05-07 00:00:00',2,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','125252251217471431528811575122610143097',NULL,'9998',0.00,1,3,NULL),(28,7321570,'1992-11-07 00:00:00',4,10,12,2011,'M','N','NOVA BRASILIA','IMBITUBA','SC','124241241115371431627619282324610117057',19490,'359',24.27,1,2,1),(28,7321589,'1994-04-19 00:00:00',4,1,12,2010,'F','N','CENTRO','BIGUAÇU','SC','124244241215372431447924575114610127187',16820,'1118',36.22,1,3,NULL),(28,7321597,'1992-08-04 00:00:00',4,10,12,2009,'F','N','OFICINAS','TUBARÃO','SC','124242241215112411448314572122223242186',4505,'806',55.98,1,3,NULL),(28,7321600,'1991-05-28 00:00:00',2,1,12,2008,'M','N','ARMAÇAO DO P DO SUL','FLORIANÓPOLIS','SC','124241241126132121426833385124610137042',15874,'291',35.64,1,2,1),(28,7321619,'1993-02-01 00:00:00',2,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215574431348929595122610123127',3271,'262',66.15,1,3,NULL),(28,7321643,'1994-04-08 00:00:00',4,17,12,2011,'F','N','VISTA ALEGRE','MAFRA','SC','124241241115371431426314575122610167012',NULL,'542',19.32,1,2,1),(28,7321678,'1987-01-24 00:00:00',2,1,11,2006,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241322151431425314182124610121187',17812,'9999',39.43,4,3,NULL),(28,7321686,'1994-07-10 00:00:00',4,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','120202201217121431268924575122610127042',3852,'9998',57.45,1,3,NULL),(28,7321694,'1989-11-19 00:00:00',2,1,2,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117154431468913595122330267047',9823,'267',54.01,1,2,1),(28,7321708,'1988-09-08 00:00:00',3,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212152711488613495122331064062',15103,'270',45.40,1,3,NULL),(28,7321716,'1995-10-02 00:00:00',4,1,11,2012,'F','S','REAL PARQUE','S JOSÉ','SC','124242241215111431568831572122610124072',NULL,'738',53.20,4,3,NULL),(28,7321724,'1988-08-29 00:00:00',4,1,11,2008,'M','N','CENTRO','PTO ALEGRE','RS','120201201117471731238427575114610132017',NULL,'9998',20.40,1,2,1),(28,7321732,'1991-07-11 00:00:00',4,3,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124163087416151711378834375124230461092',NULL,'9998',0.00,1,3,NULL),(28,7321759,'1980-10-14 00:00:00',4,1,12,1998,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124244241416151711136944335132330212067',NULL,'804',24.97,1,3,NULL),(28,7321767,'1984-05-31 00:00:00',4,1,12,2003,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124203201316152641126644345213610167112',6273,'9998',55.59,4,3,NULL),(28,7321783,'1992-08-15 00:00:00',2,1,12,2010,'M','N','SANTA FÉ','OURINHOS','SP','125252251217471431457912175122610114012',6792,'9998',51.61,1,3,NULL),(28,7321791,'1991-12-03 00:00:00',2,1,12,2009,'F','N','CENTRO','CANELINHA','SC','124241241127131431336714145221233247052',NULL,'142',26.63,1,2,1),(28,7321813,'1988-06-07 00:00:00',4,1,12,2009,'M','N','RUBEM BERTA','PTO ALEGRE','RS','120201201117131712468613485114610168047',16676,'9998',42.26,1,2,1),(28,7321821,'1994-05-12 00:00:00',2,10,12,2011,'M','N','POGRESSO','LAGUNA','SC','124241241116371431623629395122610124092',NULL,'521',29.24,1,2,1),(28,7321830,'1992-07-03 00:00:00',2,3,12,2009,'F','N','GLORIA','CATANDUVA','SP','125252251216512432446633575112610168182',NULL,'9998',0.00,1,3,NULL),(28,7321856,'1993-06-02 00:00:00',2,9,12,2010,'F','N','PETRÓPOLIS','LAGES','SC','124243241316122731436923345122610147077',NULL,'1207',36.10,1,3,NULL),(28,7321864,'1994-02-22 00:00:00',4,1,12,2010,'M','N','JARDIM ELIZA I','FOZ IGUAÇU','PR','116162161217151431579933575112241066152',16815,'9998',41.95,1,3,NULL),(28,7321872,'1994-02-13 00:00:00',4,9,12,2011,'M','N','SAGRADO CORAÇÃO','LAGES','SC','124242241215271751458912577115610164122',16813,'1207',41.95,1,3,NULL),(28,7321880,'1989-08-25 00:00:00',4,9,12,2006,'M','N','BEATRIZ','LAGES','SC','124243241216574431658914475123131468047',9910,'499',53.86,1,3,NULL),(28,7321899,'1993-08-06 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241215112431458819395124230717042',NULL,'272',0.00,1,3,NULL),(28,7321902,'1992-08-14 00:00:00',2,1,12,2010,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241243126272731423423145334610163142',NULL,'591',22.59,1,2,1),(28,7321910,'1991-09-12 00:00:00',2,15,11,2008,'M','N','CENTRO','ARARANGUÁ','SC','124241241317374431444614275124121521192',5787,'32',53.53,1,3,NULL),(28,7321929,'1989-10-28 00:00:00',2,1,10,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241248116112311429852125123610125112',NULL,'9999',30.55,2,1,1),(28,7321937,'1994-07-29 00:00:00',2,1,11,2011,'F','N','CENTRO','UBIRATÃ','PR','116161161216121431474632572112610122093',14901,'9998',38.99,1,3,NULL),(28,7321945,'1995-04-20 00:00:00',4,1,9,2011,'M','N','ARIRIÚ','PALHOÇA','SC','124242248215111431233531142124610133022',14045,'1011',47.33,1,3,NULL),(28,7321953,'1985-06-12 00:00:00',2,1,12,2005,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224201201142471731224379342334610128047',NULL,'9998',0.00,1,2,1),(28,7321961,'1993-12-06 00:00:00',4,8,12,2011,'M','N','PORTAL DAS SAMAMBAIA','ANALÂNDIA','SP','125254251336131431226621485222610132122',10568,'9998',43.08,1,3,NULL),(28,7321970,'1995-05-03 00:00:00',4,2,12,2011,'M','N','VILA NOVA','BLUMENAU','SC','124242241217111211589919425122610164042',NULL,'855',42.16,1,3,NULL),(28,7321988,'1982-10-25 00:00:00',4,1,12,1999,'M','N','ITACURUBI','FLORIANÓPOLIS','SC','224202201116271421238643335124343237047',17676,'9998',39.79,1,3,NULL),(28,7321996,'1994-05-24 00:00:00',4,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241117271411213324285124610127097',14157,'296',40.37,1,2,1),(28,7322003,'1994-04-15 00:00:00',4,26,12,2011,'F','N','CENTRO','CONCÓRDIA','SC','124241241135371431329612575125610123187',NULL,'192',19.67,1,2,1),(28,7322011,'1991-01-21 00:00:00',2,4,12,2007,'F','N','CENTRO','GUARUJÁ SUL','SC','124242241215573431445817275122133267097',11584,'752',51.20,1,3,NULL),(28,7322020,'1994-08-15 00:00:00',4,27,12,2011,'M','N','CENTRO','PALMA SOLA','SC','124241241117131231328613285115610164187',NULL,'598',0.00,1,3,NULL),(28,7322046,'1995-08-10 00:00:00',2,4,12,2011,'M','N','SOQUW','TANGARÁ','SC','124241243117131431236923275121610137142',NULL,'779',0.00,1,3,NULL),(28,7322054,'1993-09-28 00:00:00',2,1,12,2010,'M','N','BELA VISTA','S JOSÉ','SC','124241241111112431335311445114123264042',13633,'257',38.34,1,2,1),(28,7322062,'1995-07-20 00:00:00',2,16,12,2011,'F','N','PASSO DA FELICIDADE','TANGARÁ','SC','124241241111551431356919385122610167047',16837,'779',32.94,4,2,1),(28,7322070,'1985-08-05 00:00:00',2,1,12,2005,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','224241241126131411322144342334610114047',NULL,'257',0.00,2,1,1),(28,7322089,'1988-03-29 00:00:00',2,1,12,2005,'M','N','EXPOSIÇÃO','CAXIAS SUL','RS','120201201116572211124644345114610162147',8859,'9998',51.46,1,2,1),(28,7322100,'1992-02-09 00:00:00',4,4,11,2009,'M','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124242241212473431339933595114610164071',10268,'1038',46.02,1,3,NULL),(28,7322119,'1994-05-17 00:00:00',4,2,11,2011,'M','N','CAPITAIS','TIMBÓ','SC','124241241215121431566634575112610137042',7493,'1157',51.29,1,3,NULL),(28,7322127,'1995-12-14 00:00:00',2,4,12,2012,'F','S','VISTA ALEGRE','XANXERÊ','SC','124242241216111231446832295122610125122',NULL,'836',41.34,1,3,NULL),(28,7322135,'1991-05-08 00:00:00',4,1,12,2008,'F','N','LAGO SUL','LG SUL','DF','107072071215571431588813575122242663042',1916,'9998',64.44,1,3,NULL),(28,7322143,'1992-08-30 00:00:00',4,1,12,2009,'M','N','ARTUR ALVIM','S PAULO','SP','625252251215572431458821271124610127187',NULL,'9998',0.00,1,3,NULL),(28,7322151,'1994-06-27 00:00:00',6,1,10,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215131112446632271122610142021',NULL,'1118',19.71,1,3,NULL),(28,7322160,'1993-08-18 00:00:00',2,1,12,2011,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241115131431423614271124610118177',16881,'591',32.34,2,1,1),(28,7322178,'1994-04-02 00:00:00',4,15,11,2011,'F','N','IGRA','TORRES','RS','120202201216111411344723575122610122072',10776,'9998',42.96,4,3,NULL),(28,7322186,'1994-02-02 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112732349923472112610137057',15996,'262',33.27,1,3,NULL),(28,7322194,'1994-07-29 00:00:00',2,1,12,2011,'M','N','RIO BROECKER','S BONIFÁCIO','SC','124241241122161231324425252224610127057',NULL,'702',32.09,1,2,1),(28,7322208,'1994-08-13 00:00:00',4,8,12,2011,'F','N','BOM JESUS','S JOSÉ PINHAIS','PR','116241161116371431448839575124610167057',NULL,'9998',0.00,1,2,1),(28,7322216,'1994-03-22 00:00:00',4,9,12,2011,'M','N','PETROPOLIS','LAGES','SC','124242241215112431439833575122610112057',15601,'499',33.14,1,3,NULL),(28,7322224,'1988-08-24 00:00:00',4,1,12,2005,'M','N','KOBRASOL','S JOSÉ','SC','124241241216275532358711215124610167051',NULL,'1076',34.95,4,3,NULL),(28,7322240,'1981-08-19 00:00:00',4,23,12,1998,'M','N','MEDIANEIRA','CAXIAS SUL','RS','124202201216132421448611245123143268182',7669,'9998',57.69,1,3,NULL),(28,7322259,'1992-11-14 00:00:00',4,1,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124162241215111731358912275121610127097',8459,'270',49.59,1,3,NULL),(28,7322267,'1992-04-05 00:00:00',4,3,12,2011,'M','N','CENTRO','ITAPEMA','SC','124241241137151431446914445121610122142',15709,'405',34.97,1,2,1),(28,7322283,'1992-06-13 00:00:00',4,1,12,2010,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243247337141731323339295114610167187',20075,'9999',26.83,2,3,NULL),(28,7322291,'1995-01-30 00:00:00',4,25,12,2011,'F','N','FARROUPILHA','VIDEIRA','SC','124241241236151441548812575125610141142',NULL,'829',0.00,1,3,NULL),(28,7322305,'1995-06-16 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124204241116131131226524372124610124197',NULL,'733',22.36,1,3,NULL),(28,7322313,'1994-06-04 00:00:00',4,1,12,2011,'M','N','CENTRO','MOGI CRUZES','SP','125252251217111432469834572122610127057',NULL,'9998',0.00,1,3,NULL),(28,7322321,'1990-06-01 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124241248117371431535511345123610137047',NULL,'281',37.71,1,2,1),(28,7322364,'1992-04-11 00:00:00',4,1,12,2009,'M','N','JARDIM RENASCENÇA','S LUÍS','MA','110102101216372431466633475112141027042',NULL,'9998',0.00,1,3,NULL),(28,7322372,'1990-08-01 00:00:00',2,8,12,2007,'M','N','BUCAREIN','JOINVILLE','SC','124242241213133131235932493122232954057',NULL,'1016',33.45,1,3,NULL),(28,7322380,'1994-02-13 00:00:00',4,1,12,2011,'M','N','FOJOCA','S PEDRO ALCÂNTARA','SC','124241241125141731543613295122610133052',18886,'869',35.74,1,2,1),(28,7322399,'1994-12-14 00:00:00',4,3,12,2011,'M','N','SÃO BRAZ','CURITIBA','PR','116162161215111431578833571122610162042',NULL,'9998',0.00,1,3,NULL),(28,7322402,'1993-04-27 00:00:00',4,1,12,2010,'M','N','JD LIBERDADE','JACAREÍ','SP','125252251235471431369814575112610117042',3774,'9998',58.87,1,3,NULL),(28,7322429,'1993-09-12 00:00:00',4,1,12,2011,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124244241217111431416613572114610137067',16083,'1022',34.56,1,3,NULL),(28,7322437,'1994-06-24 00:00:00',4,4,11,2011,'M','N','SÃO JORGE','XANXERÊ','SC','124244241216371241446813372125610124042',8742,'1081',47.87,4,3,NULL),(28,7322445,'1993-08-05 00:00:00',4,15,12,2010,'M','N','CENTRO','TORRES','RS','120201242116112411339832341222610127177',14717,'690',35.84,1,2,1),(28,7322453,'1989-10-02 00:00:00',4,9,11,2008,'M','N','CENTRO','LAGES','SC','124243247417132731325879285124132022184',NULL,'9999',0.00,1,3,NULL),(28,7322461,'1992-11-18 00:00:00',4,7,12,2009,'M','N','MONTE BELO','JOAÇABA','SC','124241241116373411434524475112610114192',4003,'341',58.92,1,2,1),(28,7322488,'1993-05-05 00:00:00',4,1,12,2010,'M','N','CENTRO','MACAUBAL','SP','125254251215271731559833575122141032017',1023,'9998',68.48,1,3,NULL),(28,7322496,'1992-09-21 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116131131428428382124610116147',NULL,'697',14.57,1,3,NULL),(28,7322500,'1992-03-18 00:00:00',4,1,11,2010,'M','N','CAMPINAS','S JOSÉ','SC','124243248217132431446619575124610114187',NULL,'1075',23.17,1,3,NULL),(28,7322518,'1992-06-30 00:00:00',4,1,12,2010,'M','N','GUARUJÁ','PTO ALEGRE','RS','120202201217471731559911212121610127112',5571,'9998',53.92,4,3,NULL),(28,7322526,'1994-09-30 00:00:00',4,1,12,2011,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241216111431527719575122610117042',16771,'939',42.05,1,3,NULL),(28,7322534,'1994-02-20 00:00:00',2,1,12,2011,'M','N','SANTOS DUMONT','S JOSÉ','SC','124241241117371731333314295124610143147',15374,'733',36.29,1,2,1),(28,7322542,'1994-09-03 00:00:00',2,23,12,2011,'F','N','CENTRO','GUARAMIRIM','SC','124241241116141431437914572124610136142',NULL,'425',17.58,4,3,NULL),(28,7322550,'1946-12-06 00:00:00',4,1,12,1965,'M','N','CENTRO','FLORIANÓPOLIS','SC','224202201211573621476449491122610127062',2687,'9998',63.82,1,3,NULL),(28,7322569,'1993-08-24 00:00:00',4,1,12,2010,'F','N','SANTO ANTONIO LISBOA','FLORIANÓPOLIS','SC','124253241217272431346923285124610137111',10824,'1048',43.80,1,3,NULL),(28,7322577,'1995-02-18 00:00:00',4,1,12,2011,'F','N','PACHECO','PALHOÇA','SC','124241241117371711423333245124610127147',NULL,'593',11.92,1,2,1),(28,7322585,'1994-07-11 00:00:00',2,1,11,2011,'F','N','BOM VIVER','BIGUAÇU','SC','124241241315111431426412572124610124192',15889,'1118',43.91,1,3,NULL),(28,7322593,'1993-10-17 01:00:00',4,22,11,2011,'F','N','CENTRO','S JOÃO BATISTA','SC','124244241216372711428624125122610167144',19339,'948',33.65,1,3,NULL),(28,7322615,'1979-09-20 00:00:00',4,1,12,1997,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124171175416572431446319383114610134097',18093,'9998',38.62,2,1,2),(28,7322623,'1992-02-07 00:00:00',4,5,12,2009,'M','N','SANTA CATARINA','CRICIÚMA','SC','124242241216572431459913575124610124017',3033,'213',62.19,1,3,NULL),(28,7322640,'1994-11-08 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','624241241112151731523639572224610146172',19255,'307',34.10,4,2,1),(28,7322658,'1994-08-23 00:00:00',2,1,12,2011,'M','N','CENTRO','S BONIFÁCIO','SC','124241241122161231626635252121610157057',16978,'702',33.13,1,2,1),(28,7322666,'1948-09-16 00:00:00',4,1,12,1970,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124161161131153411464442321122120966182',14645,'9998',46.27,1,3,NULL),(28,7322690,'1993-04-22 00:00:00',4,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','124243241215473731338824575124610122012',13153,'737',43.87,1,3,NULL),(28,7322704,'1993-12-15 00:00:00',4,1,12,2011,'M','N','JARDIM PAULISTA','BAURU','SP','125252251216111431339833341122610144117',15910,'9998',43.86,1,3,NULL),(28,7322712,'1992-07-17 00:00:00',2,1,11,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216372431444933285124610145017',8739,'269',48.14,1,3,NULL),(28,7322720,'1993-02-01 00:00:00',4,2,12,2010,'F','N','VICTOR KONDER','BLUMENAU','SC','116242161211512111489921475112610127092',NULL,'9998',0.00,1,3,NULL),(28,7322739,'1991-12-11 00:00:00',2,4,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241244116475431423829575124121427057',5414,'239',57.01,1,2,1),(28,7322755,'1991-02-15 00:00:00',4,9,10,2009,'M','N','CENTRO','LAGES','SC','124242241216274432486963575112131067182',NULL,'497',0.00,1,3,NULL),(28,7322771,'1996-01-05 00:00:00',4,2,12,2012,'F','S','CENTRO','LUIZ ALVES','SC','124241241215111731358832575124610224147',NULL,'855',18.00,1,3,NULL),(28,7322780,'1993-12-27 00:00:00',4,1,12,2011,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241216111431468812575122610117122',3713,'270',57.82,1,3,NULL),(28,7322798,'1991-01-27 00:00:00',4,1,12,2009,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116161161127471431668813575124143236053',NULL,'9998',0.00,1,2,1),(28,7322801,'1994-05-17 00:00:00',2,1,12,2011,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241126161731528614585121610127047',NULL,'290',23.08,1,2,1),(28,7322810,'1993-03-19 00:00:00',2,4,8,2011,'F','N','SANTA TERESA','VIDEIRA','SC','124244241435411511443315175114610118192',NULL,'9997',20.10,1,3,NULL),(28,7322836,'1994-04-20 00:00:00',4,8,12,2011,'M','N','JARDIM BELA VISTA','PARAGUAÇU PAULISTA','SP','125253251216111431436711375111610142092',15049,'9998',34.00,1,3,NULL),(28,7322844,'1993-12-31 00:00:00',2,6,11,2010,'F','N','SÃO VICENTE','ITAJAÍ','SC','124241241142131431333614185124133228187',NULL,'400',0.00,1,2,1),(28,7322852,'1993-01-25 00:00:00',2,15,12,2011,'M','N','JARDIM ULTRA MAR','BAL GAIVOTA','SC','124241242116131411413424275224610128187',NULL,'690',0.00,4,2,1),(28,7322860,'1993-12-29 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215371231566413575122610162117',12990,'300',49.01,1,3,NULL),(28,7322879,'1992-01-28 00:00:00',4,1,12,2009,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241137272431343423295234123037047',13598,'731',37.06,1,2,1),(28,7322887,'1985-08-17 00:00:00',4,6,12,2003,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124243241216152431333821115122433267182',NULL,'44',0.00,1,3,NULL),(28,7322895,'1993-01-29 00:00:00',2,8,12,2010,'M','N','CASA BRANCA','ITAPEMA','SC','124242241215371751446923212113130767057',NULL,'781',22.28,1,3,NULL),(28,7322909,'1962-10-27 00:00:00',6,1,12,1983,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224201208126151411463342125132140262042',11351,'9998',51.56,1,2,1),(28,7322917,'1994-09-20 00:00:00',4,22,12,2011,'M','N','ESPRAIADO I','NOVA TRENTO','SC','124242241215161431443632192122610137097',9991,'948',53.74,1,3,NULL),(28,7322925,'1987-12-13 00:00:00',2,1,9,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241247121372431423823445224610125092',NULL,'9999',32.40,1,3,NULL),(28,7322933,'1994-10-28 00:00:00',4,6,11,2013,'M','S','CENTRO','ITAJAÍ','SC','124242241217111731459854575125610117082',NULL,'9997',37.40,1,3,NULL),(28,7322941,'1988-11-17 00:00:00',2,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632131211112179192345610118197',NULL,'9999',0.00,1,3,NULL),(28,7322950,'1994-05-05 00:00:00',2,6,12,2011,'F','N','CENTRO','MARAU','RS','120204201417271431534432215122610122053',NULL,'9998',30.95,1,3,NULL),(28,7322968,'1990-10-19 00:00:00',4,8,12,2007,'M','N','BOA VISTA','JOINVILLE','SC','124244246215142411127841415124221422181',NULL,'1120',54.21,1,3,NULL),(28,7322976,'1992-03-25 00:00:00',4,1,12,2010,'F','N','ARIRIÚ','PALHOÇA','SC','124243247336372731556614345124610162182',13087,'9999',48.85,1,3,NULL),(28,7322984,'1995-02-09 00:00:00',4,10,12,2011,'F','N','CAMPO DA AVIAÇÃO','IMBITUBA','SC','124241241215371431448613575122610164147',4986,'362',56.94,3,3,NULL),(28,7322992,'1994-07-07 00:00:00',4,6,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242248215411431466812575122610162073',14966,'391',45.69,1,3,NULL),(28,7323000,'1991-09-05 00:00:00',2,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241211274431359629445133610167057',16717,'269',42.16,1,3,NULL),(28,7323018,'1994-10-14 00:00:00',4,8,12,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242241115111431549932575112610137077',NULL,'457',0.00,1,3,NULL),(28,7323026,'1994-01-07 00:00:00',4,24,12,2010,'M','N','CENTRO','AURORA','SC','124241241116372731533833185114610167147',14744,'40',36.30,1,2,1),(28,7323034,'1989-04-11 00:00:00',4,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241137133421546739145124610138177',12223,'271',43.25,1,2,1),(28,7323042,'1993-06-23 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624241241115131411625551172124610126142',NULL,'733',21.34,1,2,1),(28,7323050,'1993-04-13 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242241212472411446653571124610127012',12107,'1048',43.60,1,3,NULL),(28,7323085,'1994-11-13 00:00:00',2,16,12,2011,'M','N','BOM JESUS','CURITIBANOS','SC','124241241115471731213617582324610156172',13126,'240',41.52,1,2,1),(28,7323093,'1993-02-21 00:00:00',4,1,11,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215112221266924575122232033182',NULL,'1169',0.00,1,3,NULL),(28,7323107,'1987-12-25 00:00:00',4,1,12,2005,'M','N','BARREIROS','S JOSÉ','SC','124243241215574711336669571224222962187',4158,'738',64.12,1,3,NULL),(28,7323115,'1994-02-14 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241216111431467613335122610134142',NULL,'1118',23.45,1,3,NULL),(28,7323123,'1994-07-02 00:00:00',2,2,12,2011,'F','N','MOSSUNGUÊ','CURITIBA','PR','116162161215111731458614575122610164077',6102,'9998',51.75,1,3,NULL),(28,7323131,'1991-08-09 00:00:00',2,4,12,2008,'F','N','CENTRO','S LOURENÇO OESTE','SC','124241241117271441423615444134610157077',16069,'745',35.40,1,2,1),(28,7323140,'1994-01-04 00:00:00',2,1,12,2011,'M','N','ITAPEMA DO NORTE','ITAPOÁ','SC','124093241117132431325624395121610137117',6950,'413',50.99,4,3,NULL),(28,7323158,'1993-03-19 00:00:00',2,10,12,1993,'F','N','CENTRO','BRAÇO NORTE','SC','124242241216473711448812275124610167067',NULL,'807',0.00,1,3,NULL),(28,7323174,'1990-04-30 00:00:00',2,1,12,2011,'F','N','JURERÊ','FLORIANÓPOLIS','SC','224243247447131431448764182124610132143',19372,'9999',33.54,1,3,NULL),(28,7323212,'1991-09-10 00:00:00',4,10,12,2008,'M','N','NOVA BRASÍLIA','IMBITUBA','SC','124241241116272431223516575124610124187',13977,'1034',38.37,1,2,1),(28,7323220,'1992-12-21 00:00:00',4,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241135131432423611345114610112187',11992,'592',43.43,1,2,1),(28,7323239,'1994-05-12 00:00:00',2,1,12,2011,'F','N','CENTRO','LGA VERMELHA','RS','120201201117111411413524145121610136177',15484,'9998',36.44,1,2,1),(28,7323247,'1987-12-22 00:00:00',2,1,6,2006,'F','N','ARMACAO DO PANTANO D','FLORIANÓPOLIS','SC','124241241116132421233551245114610137057',NULL,'306',25.19,1,2,1),(28,7323255,'1991-04-07 00:00:00',4,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241137373731523611245134130734147',10346,'19',53.16,1,2,1),(28,7323263,'1994-04-20 00:00:00',4,6,11,2011,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124242248211371321489932592122610131092',NULL,'392',25.93,1,3,NULL),(28,7323271,'1984-08-30 00:00:00',4,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117163421133944345132131467057',15885,'306',33.55,1,2,1),(28,7323280,'1978-01-13 00:00:00',2,1,12,1995,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124201201116155421142443232234341337067',NULL,'9998',0.00,1,2,1),(28,7323301,'1994-07-08 00:00:00',2,8,11,2011,'F','N','JARDIM PARAÍSO','JOINVILLE','SC','124241241215271431256923375124610143142',5297,'1006',54.55,1,3,NULL),(28,7323310,'1995-06-13 00:00:00',2,1,12,2011,'F','N','BETHANIA','IPATINGA','MG','113131131217111431314624575124610123142',NULL,'9998',0.00,1,3,NULL),(28,7323328,'1994-10-31 00:00:00',4,1,12,2011,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241126141411527534242124610114047',NULL,'591',23.18,2,1,1),(28,7323336,'1993-03-27 00:00:00',2,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241117472731523371395124221433052',2435,'739',63.53,4,2,1),(28,7323344,'1995-02-26 00:00:00',4,4,12,2011,'M','N','CENTRO','XAXIM','SC','124241241117131331333923581124610166147',18806,'847',36.06,1,2,1),(28,7323352,'1994-07-07 00:00:00',4,8,11,2011,'F','N','BIGORRILHO','CURITIBA','PR','116162161215111421489811475122610132146',6002,'9998',53.18,1,3,NULL),(28,7323379,'1989-09-24 00:00:00',2,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124162247215212751446621445133610167112',NULL,'9999',29.82,1,3,NULL),(28,7323387,'1994-11-04 00:00:00',4,1,12,2011,'F','N','CENTRO','S JOSÉ','SC','124241241135321711423511572222610124142',6807,'733',52.87,1,2,1),(28,7323395,'1994-06-03 00:00:00',2,1,12,2011,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241112471431525414575114610112172',NULL,'772',22.18,1,2,1),(28,7323409,'1975-05-14 00:00:00',2,1,10,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224241247135271431322244242224610128047',13106,'9999',48.82,1,2,1),(28,7323417,'1983-03-11 00:00:00',4,1,12,2000,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241321133721125544142334140724097',NULL,'719',30.84,1,3,NULL),(28,7323425,'1995-10-24 00:00:00',4,1,12,2011,'M','N','VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC','124242241215111231538919175124610112067',11110,'1223',42.34,1,3,NULL),(28,7323441,'1991-08-02 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124161161215575431459836594112610144182',7814,'9998',51.26,1,3,NULL),(28,7323450,'1992-03-11 00:00:00',4,5,12,2009,'M','N','ATLÂNTIDA','XANGRI-LÁ','RS','120202201217161411338731484124610164057',13139,'9998',41.93,1,3,NULL),(28,7323468,'1993-12-29 00:00:00',2,1,12,2010,'F','N','CRISTAL','PTO ALEGRE','RS','120202201217471431346832375114610164046',13858,'9998',39.86,1,3,NULL),(28,7323476,'1994-02-23 00:00:00',5,2,12,2011,'F','N','CENTRO','RODEIO','SC','124241241217141431433334345122610133142',18095,'37',38.62,1,3,NULL),(28,7323484,'1989-10-12 00:00:00',2,1,12,2007,'F','N','PRAIA DOS INGLESES','FLORIANÓPOLIS','SC','124253251216141421636511283221610126077',NULL,'9998',0.00,1,3,NULL),(28,7323492,'1996-05-28 00:00:00',4,6,12,2012,'M','S','CENTRO','ITAJAÍ','SC','124242246217151411478719575122610168012',NULL,'1059',51.01,1,3,NULL),(28,7323506,'1993-10-22 00:00:00',4,1,12,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241345121731436624395124610127043',NULL,'300',23.36,1,3,NULL),(28,7323522,'1994-02-13 00:00:00',4,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124244247435111731536418495224610128187',14837,'944',37.13,1,3,NULL),(28,7323530,'1991-09-13 00:00:00',4,2,12,2009,'M','N','NAÇÕES','TIMBÓ','SC','124241241127131411534624281321131912077',13933,'870',47.52,1,2,1),(28,7323549,'1994-02-01 00:00:00',4,23,12,2011,'M','N','SOSSEGO','SCHROEDER','SC','124241241127151512446632395121610127054',NULL,'762',14.46,1,3,NULL),(28,7323557,'1994-04-14 00:00:00',4,9,10,2011,'M','N','BEATRIZ','LAGES','SC','124242241215111711538612575121610127182',13590,'499',38.79,1,3,NULL),(28,7323565,'1994-12-17 00:00:00',2,17,11,2011,'M','N','CENTRO','CANOINHAS','SC','124243247215111711568812375112610112041',NULL,'154',0.00,1,3,NULL),(28,7323573,'1995-08-18 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215111711339933575122610124122',15223,'213',45.19,1,3,NULL),(28,7323581,'1993-11-09 00:00:00',4,1,12,2011,'M','N','CHACARA CACHOEIRA','CPO GRANDE','MS','112122121216113751448831575122610168187',4761,'9998',56.56,1,3,NULL),(28,7323590,'1993-04-26 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241131472411533362571114610125052',17462,'717',31.47,1,2,1),(28,7323603,'1991-08-27 00:00:00',2,1,12,2009,'F','N','JD BONFIGLIOLI','JUNDIAÍ','SP','125253251215471451445731475122610133182',12257,'9998',38.38,1,3,NULL),(28,7323611,'1995-01-03 00:00:00',4,6,12,2011,'M','N','CENTRO','ITAJAÍ','SC','124242241216111252588732575122610117042',NULL,'392',9.60,1,3,NULL),(28,7323620,'1991-02-13 00:00:00',2,1,11,2008,'M','N','CENTRO','BRASÍLIA','DF','111112111217131731646832375114242467047',NULL,'9998',0.00,1,3,NULL),(28,7323638,'1985-03-06 00:00:00',2,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241127131422323344141322610165197',19559,'922',32.30,1,2,1),(28,7323646,'1989-08-02 00:00:00',2,1,12,2007,'F','N','AREIAS','S JOSÉ','SC','224161161136371721226853345122143224197',NULL,'9998',30.48,1,2,1),(28,7323654,'1995-11-24 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431236677595122610132141',NULL,'1022',49.22,1,3,NULL),(28,7323662,'1994-08-20 00:00:00',2,1,11,2011,'F','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124242241215111411336814575122610164142',NULL,'270',28.33,1,3,NULL),(28,7323670,'1989-02-25 00:00:00',4,1,12,2006,'F','N','CENTRO','LAGES','SC','124242241216574431434412441124133234023',8097,'497',56.97,1,3,NULL),(28,7323689,'1991-04-19 00:00:00',4,1,11,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217373411259914415124221421196',12850,'1172',49.22,1,3,NULL),(28,7323697,'1989-02-28 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201147141411126644142234130268182',NULL,'9998',32.38,1,2,1),(28,7323700,'1990-07-14 00:00:00',2,1,12,2007,'M','N','BREJARU','PALHOÇA','SC','124241241126131321423369392332613214057',NULL,'13',0.00,4,2,1),(28,7323719,'1994-05-30 00:00:00',4,1,11,2011,'F','N','JARDIM DAS AMÉRICAS','CUIABÁ','MT','111112111136111521565735575124610162043',5473,'9998',52.98,4,3,NULL),(28,7323727,'1993-06-29 00:00:00',4,1,6,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124281288117261732628619285124610114182',NULL,'9998',24.28,1,3,NULL),(28,7323735,'1992-10-16 00:00:00',2,1,12,2009,'F','N','CEARÁ','CRICIÚMA','SC','124242241215573431449831575115610114055',NULL,'226',0.00,1,3,NULL),(28,7323743,'1992-01-31 00:00:00',2,1,12,2010,'F','N','PRAINHA','FLORIANÓPOLIS','SC','124243241137371531631614342214610127143',17756,'286',39.60,2,3,NULL),(28,7323760,'1993-12-21 00:00:00',4,5,12,2010,'M','N','CENTRO','JAGUARUNA','SC','124241246215132431423324142221610134142',11213,'1120',51.76,1,3,NULL),(28,7323778,'1993-09-08 00:00:00',2,1,12,2011,'F','N','INATEL','STA RITA SAPUCAÍ','MG','113132131317271431559614575212610162182',NULL,'9998',0.00,1,3,NULL),(28,7323786,'1990-08-11 00:00:00',2,1,12,2009,'M','N','SANTA MARIA GORETTI','PTO ALEGRE','RS','120201201117111421558619391122240224057',18581,'9998',36.98,1,3,NULL),(28,7323794,'1986-06-11 00:00:00',4,1,6,2005,'F','N','CENTRO','FLORIANÓPOLIS','SC','224243247236145431369553285124221352047',5730,'9999',51.22,1,3,NULL),(28,7323808,'1994-04-03 00:00:00',4,1,12,2011,'F','N','FIGUEIRA GRANDE','IMARUÍ','SC','124241241117131431525419472224610116057',17672,'357',39.80,1,2,1),(28,7323816,'1989-08-28 00:00:00',4,8,12,2006,'F','N','JD ESTHER YOLANDA','S PAULO','SP','125241241137471411313524176214130243147',12461,'777',42.83,1,2,1),(28,7323832,'1988-12-25 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124081081126541421124644345134143224042',18617,'9998',36.83,4,2,1),(28,7323840,'1992-02-07 00:00:00',2,8,12,2009,'M','N','CENTRO','GARUVA','SC','124241241212111751448613597115230768041',17716,'861',39.70,1,3,NULL),(28,7323859,'1991-12-08 00:00:00',2,3,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124243241215111411336312125122610112072',NULL,'407',14.22,1,3,NULL),(28,7323867,'1993-07-16 00:00:00',4,8,11,2010,'M','N','ELTON VILLE','SOROCABA','SP','225252251217471731336639575112610132017',10201,'9998',42.53,3,3,NULL),(28,7323875,'1994-12-08 00:00:00',4,26,12,2011,'M','N','FLORESTA','CONCÓRDIA','SC','124241241115471431558614574122610127052',NULL,'192',29.93,1,2,1),(28,7323883,'1976-02-21 00:00:00',2,1,12,1997,'M','N','SAO SEBASTIAO','PALHOÇA','SC','124241246646455411433379445122330258147',NULL,'739',0.00,3,3,NULL),(28,7323891,'1988-10-26 00:00:00',2,1,12,2006,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241113271431537321445124610163177',18477,'257',37.36,1,2,1),(28,7323905,'1993-08-05 00:00:00',4,1,12,2010,'F','N','SAO DIMAS','PIRACICABA','SP','125122121216471431468514575122610122092',2747,'9998',62.12,1,3,NULL),(28,7323913,'1994-11-18 00:00:00',4,8,11,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124242241215111331338614595122610123072',NULL,'461',0.00,1,3,NULL),(28,7323921,'1994-11-24 00:00:00',4,1,12,2011,'M','N','PRAINHA','FLORIANÓPOLIS','SC','124242241212111431469713572122610114042',2685,'1022',60.57,1,3,NULL),(28,7323930,'1995-02-15 00:00:00',2,1,12,2011,'M','N','SÃO MIGUEL','BIGUAÇU','SC','124241241115271431323619582124610127047',NULL,'65',30.30,1,2,1),(28,7323948,'1981-07-28 00:00:00',4,1,12,1998,'M','N','CENTRO','RIO SUL','SC','124241241116154411256347435122321437042',8373,'9997',56.49,1,2,1),(28,7323956,'1987-01-10 00:00:00',2,15,10,2008,'M','N','MATO ALTO','ARARANGUÁ','SC','124241246127131722446931342122610117145',NULL,'9997',22.98,1,3,NULL),(28,7323964,'1985-05-04 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247126133731325724245124610137043',NULL,'9999',27.78,4,3,NULL),(28,7323972,'1995-11-20 00:00:00',4,8,12,2012,'F','S','NOVA BRASILIA','JOINVILLE','SC','124242248215111431469833572124610136072',NULL,'1016',43.59,1,3,NULL),(28,7323980,'1995-07-10 00:00:00',2,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111751568612575124610116172',16811,'1198',41.96,1,3,NULL),(28,7323999,'1994-08-02 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241315471411226763495124610117045',19726,'295',30.89,1,3,NULL),(28,7324014,'1992-06-16 00:00:00',4,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124241241115152712439613575124233262181',18410,'733',37.61,1,2,1),(28,7324022,'1994-09-19 00:00:00',2,1,12,2012,'F','S','TRINDADE','FLORIANÓPOLIS','SC','624242241217111751469814595112610167047',NULL,'1048',27.21,1,3,NULL),(28,7324030,'1993-06-25 00:00:00',2,1,11,2010,'F','N','NORTE','TAGUATINGA','DF','107072071214471431679933575112610163071',7905,'9998',57.28,4,3,NULL),(28,7324049,'1987-10-05 00:00:00',4,1,12,2005,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124252251217371431338814375124142837112',13075,'9998',42.97,1,3,NULL),(28,7324057,'1994-07-09 00:00:00',2,6,12,2011,'F','N','COSTEIRA','PARANAGUÁ','PR','116162162117471751337839575124610124152',13515,'9998',38.94,1,3,NULL),(28,7324065,'1995-02-21 00:00:00',4,15,12,2011,'M','N','CENTRO','TURVO','SC','124241241115111431526639575121610164052',19950,'814',28.79,1,3,NULL),(28,7324073,'1993-10-22 00:00:00',4,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215121531579811472112610117043',NULL,'270',0.00,1,3,NULL),(28,7324081,'1994-06-24 00:00:00',4,8,12,2011,'M','N','GLORIA','JOINVILLE','SC','124242241215141751389914575122610117012',NULL,'457',30.40,1,3,NULL),(28,7324090,'1987-08-08 00:00:00',4,8,12,2005,'M','N','PANORAMA','ARAÇATUBA','SP','125251251216572731234619475113610164142',11490,'9998',41.92,3,3,NULL),(28,7324103,'1989-04-03 00:00:00',4,1,12,2005,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224241247317473431236653342234131333117',NULL,'9999',22.97,2,1,2),(28,7324111,'1992-06-21 00:00:00',2,1,12,2011,'M','N','CENTRO','GAROPABA','SC','124241241126141431544613245221610147072',NULL,'322',19.89,4,2,1),(28,7324138,'1995-01-13 00:00:00',4,1,11,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241217322431338823585124610167141',1357,'1011',69.99,1,3,NULL),(28,7324146,'1994-07-18 00:00:00',4,8,10,2011,'M','N','ATIRADORES','JOINVILLE','SC','124242241217121731449811595125610167187',11797,'1063',43.42,1,3,NULL),(28,7324154,'1994-06-05 00:00:00',4,1,12,2011,'M','N','JARDIM SOLEMAR','S JOSÉ','SC','124241241215121211338832572112610168042',8735,'1022',50.09,1,3,NULL),(28,7324162,'1992-12-28 00:00:00',4,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124212211216111431528729345124241024012',13499,'9998',38.55,1,3,NULL),(28,7324170,'1992-04-22 00:00:00',2,8,12,2009,'M','N','PETRÓPOLIS','JOINVILLE','SC','124241241147131731536634245123610156062',NULL,'466',NULL,1,3,NULL),(28,7324200,'1993-05-26 00:00:00',2,10,11,2010,'F','N','CENTRO','JAGUARUNA','SC','124241241216372231336631375114610162147',12863,'806',41.54,1,3,NULL),(28,7324219,'1989-12-16 00:00:00',2,1,12,2006,'F','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124241241116374131326621345134130234047',14253,'307',47.02,1,2,1),(28,7324227,'1987-06-07 00:00:00',4,16,12,2005,'F','N','SANTO ANTONIO','CURITIBANOS','SC','224241244143151711223651335122131217147',NULL,'239',18.83,1,2,1),(28,7324235,'1992-06-04 00:00:00',2,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117143431326613345114610117182',NULL,'278',18.93,1,2,1),(28,7324243,'1994-06-14 00:00:00',4,10,11,2011,'M','N','OFICINAS','TUBARÃO','SC','124242248215111731359619595122610122052',18823,'807',35.99,1,3,NULL),(28,7324251,'1995-12-24 00:00:00',2,10,12,2012,'M','S','CENTRO','TUBARÃO','SC','124242241215151431479614575122610132042',NULL,'806',57.20,1,3,NULL),(28,7324260,'1994-07-11 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124212211217131451527631575124610127047',10305,'9998',46.81,1,3,NULL),(28,7324278,'1994-07-24 00:00:00',4,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124244241237131331626668575124610122017',NULL,'1134',28.44,1,3,NULL),(28,7324286,'1993-05-20 00:00:00',4,8,11,2010,'M','N','ACARAI','S FRANCISCO SUL','SC','124241241116161431436919395124233228052',NULL,'710',21.19,1,2,1),(28,7324294,'1994-07-22 00:00:00',4,25,12,2011,'F','N','SANTA CATARINA','CAÇADOR','SC','124241241136131431323824575122610128187',NULL,'124',0.00,4,2,1),(28,7324316,'1994-08-10 00:00:00',4,1,12,2011,'F','N','SÃO LUIZ','GRAVATAÍ','RS','120202201216371131537514271122610122112',14163,'9998',47.16,1,3,NULL),(28,7324332,'1994-06-27 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124244241215111431658619575122610117067',12339,'1118',44.10,1,3,NULL),(28,7324340,'1994-08-21 00:00:00',4,1,12,2011,'F','N','VILA AUGUSTA','GUARULHOS','SP','125251251316371431328729575124610135077',NULL,'9998',0.00,1,3,NULL),(28,7324359,'1994-12-02 00:00:00',2,1,12,2011,'M','N','VARJEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241115112432543614175124610134092',14446,'271',39.82,4,2,1),(28,7324367,'1987-03-17 00:00:00',4,1,12,2004,'M','N','BELA VISTA','S JOSÉ','SC','124242241216153211646633415124130714067',14357,'269',46.85,4,1,2),(28,7324375,'1994-01-19 00:00:00',4,10,11,2011,'F','N','SÃO BASÍLIO','BRAÇO NORTE','SC','124242241215112441568632575122610121142',1550,'806',68.25,1,3,NULL),(28,7324383,'1992-01-17 00:00:00',2,1,12,2009,'M','N','CACUPE','FLORIANÓPOLIS','SC','124162241217134431327714475124610164142',NULL,'1048',24.07,1,3,NULL),(28,7324391,'1992-02-21 00:00:00',4,15,12,2009,'M','N','ZONA NOVA','BAL ARROIO SILVA','SC','124241248116471331226447445124610127112',NULL,'29',20.11,1,2,1),(28,7324405,'1980-08-19 00:00:00',2,1,12,2005,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224281281132372411235453325132132866092',14391,'9998',46.78,1,2,1),(28,7324413,'1951-08-07 00:00:00',2,1,12,1999,'M','N','JURERE','FLORIANÓPOLIS','SC','524201247146154421142249192122320316092',NULL,'9999',33.18,1,2,1),(28,7324421,'1993-07-24 00:00:00',4,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241415372431336614415124610114152',NULL,'724',29.95,1,3,NULL),(28,7324430,'1993-04-02 00:00:00',2,4,12,2011,'M','N','TONIAL','XANXERÊ','SC','124244241117271441323624395124610164177',10804,'840',45.51,1,3,NULL),(28,7324456,'1990-12-12 00:00:00',4,1,12,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241215134221357811475122233217042',14954,'723',37.63,1,3,NULL),(28,7324464,'1995-01-24 00:00:00',2,1,11,2011,'F','N','CENTRO','TIJUCAS','SC','124244241217131411454912595122610136142',11915,'1119',41.45,1,3,NULL),(28,7324472,'1992-04-03 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216474411336912575124231024185',8957,'270',49.28,1,3,NULL),(28,7324480,'1977-08-02 00:00:00',2,1,12,1997,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224242247327131411226619292122132027183',NULL,'515',20.45,1,3,NULL),(28,7324499,'1994-07-15 00:00:00',4,3,12,2011,'M','N','CENTRO','CASCAVEL','PR','116161161137351711248922575122610167146',NULL,'9998',0.00,1,2,1),(28,7324502,'1992-11-16 00:00:00',2,5,12,2009,'M','N','VILA BANCÁRIA MUNHOZ','S PAULO','SP','125251251116372431436814575114610162057',15116,'9998',45.38,1,2,1),(28,7324510,'1994-09-05 00:00:00',4,22,10,2011,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241315142441448823271222610123187',4833,'1244',57.52,1,3,NULL),(28,7324529,'1990-05-05 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115153431366823475122223237045',9675,'307',54.25,1,3,NULL),(28,7324537,'1992-04-01 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241145151732443341215244610158057',NULL,'922',27.33,1,2,1),(28,7324545,'1992-09-27 00:00:00',2,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124243241216573431334369395124220663187',14935,'738',45.75,1,3,NULL),(28,7324570,'1994-05-08 00:00:00',2,1,12,2011,'M','N','PANTÂNO DO SUL','FLORIANÓPOLIS','SC','124241241115111431558733575124610117052',NULL,'267',31.56,1,3,NULL),(28,7324588,'1994-08-23 00:00:00',2,1,12,2011,'F','N','JARDIM SANTA EUGENIA','PARANAVAÍ','PR','116162161217111441438813575122610126097',14054,'9998',40.84,1,3,NULL),(28,7324596,'1977-11-04 00:00:00',3,1,11,1996,'F','N','ACLIMAÇÃO','S PAULO','SP','125251253126171411153643235124342236197',NULL,'9998',0.00,1,2,1),(28,7324600,'1994-05-03 00:00:00',4,1,12,2011,'M','N','SETOR MARISTA','GOIÂNIA','GO','109092091215111521489931575122610112052',NULL,'9998',0.00,1,3,NULL),(28,7324618,'1993-04-03 00:00:00',4,25,12,2010,'M','N','SANTA CATARINA','CAÇADOR','SC','116242248213472431346622582124610167047',NULL,'120',0.00,1,3,NULL),(28,7324626,'1991-09-03 00:00:00',2,1,12,2009,'F','N','BOM VIVER','BIGUAÇU','SC','124241248146131121621229395114610164147',18205,'66',30.64,4,2,1),(28,7324634,'1994-03-01 00:00:00',2,8,12,2011,'F','N','JARDIM INDEPENDENCIA','SARANDI','PR','116161161116371431468812575122610168072',NULL,'9998',0.00,1,3,NULL),(28,7324650,'1994-02-25 00:00:00',2,15,11,2011,'F','N','CENTRO','ARARANGUÁ','SC','124243241215211751327824575125610112127',19318,'26',33.79,1,3,NULL),(28,7324677,'1992-04-08 00:00:00',1,1,6,2010,'M','N','JARDIM ALGARVE','COTIA','SP','125252281416241711458831415112241464132',NULL,'9998',0.00,1,3,NULL),(28,7324693,'1994-08-03 00:00:00',4,3,12,2011,'F','N','CENTRO','TIJUCAS','SC','124244241215111731439914475122610126192',NULL,'1119',0.00,1,3,NULL),(28,7324715,'1992-10-04 00:00:00',4,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241415273431127833385124120918182',6046,'738',52.81,1,3,NULL),(28,7324723,'1993-09-28 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241316131431626614575114610131197',NULL,'257',20.81,1,3,NULL),(28,7324731,'1994-06-06 00:00:00',2,1,12,2011,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241115131432526331575124610121147',NULL,'281',22.88,1,2,1),(28,7324740,'1994-03-19 00:00:00',4,1,11,2011,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241213112712467736577124610167117',6297,'270',54.23,1,3,NULL),(28,7324758,'1985-09-19 00:00:00',2,25,12,2010,'M','N','BERGER','CAÇADOR','SC','124241247126271751336614382225610162182',NULL,'9999',37.38,1,2,1),(28,7324766,'1991-11-03 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215274431369813572111121467062',8508,'270',56.25,1,3,NULL),(28,7324774,'1994-04-02 00:00:00',4,1,12,2011,'F','N','FUNDOS','BIGUAÇU','SC','624242248216112721436632195122610165153',NULL,'1118',0.00,1,3,NULL),(28,7324782,'1993-02-04 00:00:00',4,8,12,2010,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215272431365612172112610117182',NULL,'1063',0.00,1,3,NULL),(28,7324790,'1993-03-18 00:00:00',4,8,12,2009,'M','N','ALTO DA XV','CURITIBA','PR','124242241216472232338613575114130764122',970,'633',70.51,1,3,NULL),(28,7324804,'1995-03-11 00:00:00',2,10,12,2011,'F','N','CENTRO','IMBITUBA','SC','124244241415111431336511175122610123182',17127,'806',41.19,1,3,NULL),(28,7324812,'1978-09-16 00:00:00',4,1,12,1995,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','224251251126151421234454241124610124183',NULL,'9998',24.99,1,3,NULL),(28,7324820,'1994-01-11 00:00:00',4,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241235111531446612575122610134057',NULL,'1011',24.55,1,3,NULL),(28,7324839,'1992-04-06 00:00:00',4,1,12,2009,'F','N','MIRANTE DAS ESTRELAS','VINHEDO','SP','125252251217571431568814575122610131092',990,'9998',68.32,1,3,NULL),(28,7324863,'1993-03-21 00:00:00',4,26,11,2009,'F','N','FREITAS','PAULO LOPES','SC','124241241132373441358723185124231463175',NULL,'307',0.00,1,3,NULL),(28,7324871,'1995-05-10 00:00:00',4,1,12,2011,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215112711337631575122610144082',11203,'262',51.78,1,3,NULL),(28,7324880,'1988-02-12 00:00:00',2,5,12,2005,'F','N','PINHEIRINHO','CRICIÚMA','SC','124244246416575451439823485124610165192',4751,'995',57.57,1,3,NULL),(28,7324898,'1995-01-27 00:00:00',4,1,12,2012,'F','S','PANTANAL','FLORIANÓPOLIS','SC','124242241216111431458813572122610121145',NULL,'270',49.03,1,3,NULL),(28,7324901,'1995-10-03 00:00:00',4,22,12,2012,'M','S','JARDIM MALUCHE','BRUSQUE','SC','124241241117151431459621495122610138092',NULL,'110',28.43,1,3,NULL),(28,7324910,'1994-08-29 00:00:00',4,7,12,2011,'F','N','VILA SETE','CAPINZAL','SC','124241241135141531436431345122610137057',NULL,'1190',0.00,1,3,NULL),(28,7324928,'1993-08-15 00:00:00',2,1,12,2010,'F','N','COBRE','CANELINHA','SC','124241241126161431423314245114610117067',NULL,'1100',24.31,1,2,1),(28,7324936,'1994-01-07 00:00:00',4,1,6,2012,'M','S','SAMBAQUI','FLORIANÓPOLIS','SC','124132243117151431549911572114610167112',NULL,'739',12.21,1,3,NULL),(28,7324944,'1994-10-21 00:00:00',2,9,12,2011,'M','N','CENTRO','URUBICI','SC','124241241117161431326614575122610131052',NULL,'818',20.40,1,2,1),(28,7324952,'1986-06-12 00:00:00',2,1,12,2003,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','624241241116574721238753245111610124187',NULL,'787',29.35,1,2,1),(28,7324960,'1994-02-19 00:00:00',4,5,11,2011,'M','N','CRUZEIRO DO SUL','CRICIÚMA','SC','124242241215111431434431292122610167142',12936,'226',40.65,1,3,NULL),(28,7324979,'1965-10-18 00:00:00',2,1,11,1983,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','624241161436143431465459412132530267187',NULL,'9998',0.00,1,3,NULL),(28,7324987,'1993-08-28 00:00:00',2,1,11,2010,'M','N','VILA GIGLIO','ATIBAIA','SP','125252251217472521569814572121610167057',2653,'9998',61.59,1,3,NULL),(28,7324995,'1983-11-04 00:00:00',4,1,12,2001,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124162161216471441138744445131342167057',8468,'9998',56.32,1,3,NULL),(28,7325002,'1995-10-10 00:00:00',4,1,12,2012,'F','S','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111431426634575122610134042',NULL,'1048',34.84,1,3,NULL),(28,7325010,'1996-03-26 00:00:00',4,1,11,2012,'F','S','COSTEIRA','FLORIANÓPOLIS','SC','124242241215111431468833475124610121092',NULL,'1022',40.05,1,3,NULL),(28,7325029,'1991-09-18 00:00:00',4,23,12,2009,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215574431467912574112610142012',3310,'1174',61.73,1,3,NULL),(28,7325037,'1993-10-26 00:00:00',2,1,11,2011,'M','N','VILA NOVA','MAFRA','SC','124161241216111431438911575111610117042',NULL,'9997',20.76,1,3,NULL),(28,7325045,'1994-07-29 00:00:00',2,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117371441426624476124610113087',12485,'307',42.62,1,2,1),(28,7325053,'1995-09-15 00:00:00',4,5,9,2012,'M','S','CENTRO','CRICIÚMA','SC','124242241215111431338832286112610128052',NULL,'211',41.94,1,3,NULL),(28,7325070,'1994-02-14 00:00:00',2,5,11,2011,'M','N','SÃO SIMÃO','CRICIÚMA','SC','124241241215111732333419571124610127045',12911,'226',49.13,1,3,NULL),(28,7325088,'1991-11-01 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124242241215133431338814495124221464052',1390,'299',66.49,1,3,NULL),(28,7325118,'1994-09-30 00:00:00',4,1,12,2011,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241216131431379933432124610167042',5331,'1077',55.53,2,3,NULL),(28,7325126,'1994-08-20 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124241241136141731336624345125610122117',NULL,'732',32.45,1,2,1),(28,7325142,'1989-02-27 00:00:00',2,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224241241111144421227644141234230238187',NULL,'288',24.25,1,2,1),(28,7325150,'1993-12-08 00:00:00',4,1,12,2010,'M','N','VILA PETRÓPOLIS','ATIBAIA','SP','125252251237472431579614571112610147142',2159,'9998',64.83,1,3,NULL),(28,7325169,'1991-10-28 00:00:00',4,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124202201212371731236628285114143267047',NULL,'9998',27.91,1,3,NULL),(28,7325177,'1993-10-29 00:00:00',4,2,12,2010,'M','N','RIO MORTO','INDAIAL','SC','124242241216452431555934275124610167097',5296,'71',55.09,1,3,NULL),(28,7325185,'1994-04-20 00:00:00',4,1,12,2011,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091234111511479911591122610142016',1375,'9998',66.47,4,3,NULL),(28,7325193,'1995-02-13 00:00:00',4,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124243243435132412433311142224610146147',NULL,'9997',25.80,1,3,NULL),(28,7325207,'1994-06-24 00:00:00',2,24,10,2011,'F','N','JARDIM AMERICA','ITUPORANGA','SC','124243241215111431441332595124613267052',13925,'991',38.21,1,3,NULL),(28,7325215,'1992-06-17 00:00:00',4,1,12,2009,'M','N','VILA SONIA','CAMPINAS','SP','125252251217571431568839575124610164187',5569,'9998',54.20,1,3,NULL),(28,7325223,'1993-08-19 00:00:00',4,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241117131421426617375124610124092',11051,'306',45.74,1,2,1),(28,7325231,'1988-11-16 00:00:00',4,1,12,2005,'F','N','JARDIM DAS ACÁCIAS','S JOSÉ','SC','124242241216141411434823235134610125047',19433,'943',33.14,1,3,NULL),(28,7325240,'1994-04-07 00:00:00',2,10,10,2011,'M','N','DEHON','TUBARÃO','SC','124242241215111231366733375122610114012',13761,'806',47.79,1,3,NULL),(28,7325258,'1995-11-01 00:00:00',4,1,12,2011,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217111711469933575112610127047',14953,'1075',45.71,1,3,NULL),(28,7325266,'1995-01-17 00:00:00',4,6,12,2011,'F','N','CENTRO','ITAJAÍ','SC','124241241115271431347934575122610136147',6616,'129',52.41,1,2,1),(28,7325274,'1995-01-14 00:00:00',2,1,11,2011,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215222431669614575122610142092',4528,'1051',56.37,1,3,NULL),(28,7325282,'1994-06-30 00:00:00',4,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241435111722633362475125610134057',NULL,'1134',19.27,1,3,NULL),(28,7325290,'1988-10-05 00:00:00',2,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124161161126132431223344245114610127062',NULL,'9998',24.35,1,2,1),(28,7325304,'1994-06-09 00:00:00',4,1,11,2011,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241216112411369811475122610167112',16459,'884',42.75,1,3,NULL),(28,7325312,'1993-04-06 00:00:00',4,8,12,2010,'M','N','CENTRO','CURITIBA','PR','116162161237471431458813572112610144057',NULL,'9998',0.00,1,3,NULL),(28,7325339,'1995-07-24 00:00:00',4,1,11,2012,'M','S','ITACURUBI','FLORIANÓPOLIS','SC','124241241216111131528611572124610112092',NULL,'263',45.09,1,3,NULL),(28,7325347,'1994-05-20 00:00:00',2,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124242241217112431433314574124610151072',3914,'1197',62.21,1,3,NULL),(28,7325355,'1975-05-09 00:00:00',4,1,12,1992,'M','N','CENTRO','FLORIANÓPOLIS','SC','224241241316153431333321395324120217082',NULL,'272',0.00,4,3,NULL),(28,7325363,'1989-03-20 00:00:00',4,1,12,2007,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124214241214373321449933475112121154047',6484,'1048',53.78,1,3,NULL),(28,7325371,'1991-08-04 00:00:00',2,6,12,2008,'F','N','SANTO SARAIVA','S JOSÉ','SC','124241241135573731633514292114610163092',NULL,'733',0.00,1,2,1),(28,7325380,'1994-01-07 00:00:00',2,15,12,2011,'F','N','CENTRO','ARARANGUÁ','SC','124242241215371431456933472122610144142',13903,'970',37.25,1,3,NULL),(28,7325398,'1994-02-26 00:00:00',2,2,12,2010,'F','N','VILA NOVA','BLUMENAU','SC','124241241117472431233364345124610122012',10490,'140',42.46,1,2,1),(28,7325410,'1991-09-30 00:00:00',2,1,7,2011,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124243247335131431126624575124610116162',NULL,'9999',29.34,1,3,NULL),(28,7325428,'1993-02-19 00:00:00',4,1,12,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241127141131445313382114610127142',18812,'283',36.05,4,2,1),(28,7325436,'1994-03-31 00:00:00',4,4,10,2011,'M','N','CENTRO','ERECHIM','RS','120202201213131211336923372122610127052',3814,'9998',56.06,1,3,NULL),(28,7325444,'1967-07-24 00:00:00',4,1,12,1983,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241248217373431263659394125120467147',15566,'262',44.60,1,3,NULL),(28,7325452,'1991-09-19 00:00:00',2,1,12,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124164241411574311547611591124230412142',5480,'270',55.34,1,3,NULL),(28,7325460,'1992-08-06 00:00:00',2,1,12,2009,'M','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','124242241226132751323514245124231066177',NULL,'9997',0.00,1,3,NULL),(28,7325479,'1994-12-03 00:00:00',4,1,11,2011,'M','N','REAL PARQUE','S JOSÉ','SC','124242241215112531336834575114610144122',4561,'1022',59.52,1,3,NULL),(28,7325487,'1993-03-02 00:00:00',4,2,11,2010,'F','N','CARIJÓS','INDAIAL','SC','124242241117162431244823575112610134192',16384,'621',32.18,1,3,NULL),(28,7325495,'1983-05-31 00:00:00',2,4,12,2000,'M','N','PASSO DOS FORTES','CHAPECÓ','SC','124241241112144411457612335122321427112',NULL,'267',0.00,1,3,NULL),(28,7325509,'1981-10-22 00:00:00',2,1,12,2003,'M','N','BARREIROS','S JOSÉ','SC','224241241146133431324144145124610122042',18353,'732',37.77,1,2,1),(28,7325517,'1993-02-12 00:00:00',2,1,11,2010,'F','N','CENTRO','PALHOÇA','SC','124242241216372751334619572124610137073',11300,'989',44.13,1,3,NULL),(28,7325533,'1993-03-02 00:00:00',4,1,11,2010,'M','N','SUMARÉZINHO','S PAULO','SP','125252251217471411569832571124610147022',6008,'9998',53.11,1,3,NULL),(28,7325541,'1993-05-17 00:00:00',4,1,12,2010,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241115472411425619575112610124187',6020,'257',55.59,1,2,1),(28,7325550,'1988-12-18 00:00:00',4,1,12,2006,'F','N','JD MARAJOARA','S PAULO','SP','125252251217171711466612371124242863072',NULL,'9998',0.00,1,3,NULL),(28,7325584,'1995-01-05 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241211111411448812345122610166052',12653,'1119',41.73,1,3,NULL),(28,7325592,'1994-12-01 00:00:00',4,1,12,2012,'M','S','SACO GRANDE','FLORIANÓPOLIS','SC','124242241217111742359913475112610124117',NULL,'1250',52.25,1,3,NULL),(28,7325606,'1991-03-21 00:00:00',2,15,12,2008,'M','N','NOVA BRASILIA','SOMBRIO','SC','124241241116161431224329345121610147057',19024,'1033',35.25,1,2,1),(28,7325614,'1994-06-16 00:00:00',2,1,11,2011,'M','N','VENDAVAL','BIGUAÇU','SC','124243241216111231536613575125610117072',NULL,'1040',23.22,1,3,NULL),(28,7325622,'1995-03-14 00:00:00',2,1,12,2012,'F','S','JARDIM CIDADE FLORIA','S JOSÉ','SC','124242241216161432436333572122610127075',NULL,'976',36.75,1,3,NULL),(28,7325630,'1979-10-16 00:00:00',2,1,12,1997,'F','N','PINHEIRA','PALHOÇA','SC','124244241126153451226641215334133228187',18144,'307',38.43,1,3,NULL),(28,7325649,'1994-07-22 00:00:00',2,1,12,2011,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124242241215131431436919575124610132147',13342,'1175',39.43,1,3,NULL),(28,7325673,'1994-03-22 00:00:00',2,1,1,2012,'F','N','VILA SANTANA','STO AMARO IMPERATRIZ','SC','124241241145371411522231175224610164052',6733,'772',51.77,2,2,1),(28,7325681,'1993-07-27 00:00:00',2,3,12,2010,'M','N','JARDIM ALVORADA','MARINGÁ','PR','116162161211473411486632481115610162192',NULL,'9998',0.00,1,3,NULL),(28,7325690,'1991-05-06 00:00:00',2,1,11,2010,'M','N','JARDIM PANAMÁ III','CPO GRANDE','MS','112121252116471451538313172124610127057',13325,'9998',41.51,4,2,1),(28,7325703,'1991-07-10 00:00:00',2,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124212211217371751478614575124141427042',1940,'9998',66.74,4,3,NULL),(28,7325711,'1993-07-11 00:00:00',4,8,12,2010,'M','N','CENTRO','AVANHANDAVA','SP','125252258215471431358923575112610134054',6144,'9998',52.96,1,3,NULL),(28,7325720,'1991-09-07 00:00:00',4,1,11,2009,'M','N','NOVA SUIÇA','VALINHOS','SP','125252251216572431389614375122610111122',4140,'9998',57.13,1,3,NULL),(28,7325738,'1994-07-08 00:00:00',4,7,12,2011,'M','N','CRUZEIRO DO SUL','JOAÇABA','SC','124241247215131431339414175125610157012',19071,'454',35.02,1,3,NULL),(28,7325746,'1987-02-25 00:00:00',4,1,11,2004,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241217113441146643435123121164072',NULL,'86',0.00,1,3,NULL),(28,7325754,'1996-02-26 00:00:00',4,1,11,2012,'M','S','REAL PARQUE','S JOSÉ','SC','124242241215171431334312145121610128182',NULL,'976',32.49,1,3,NULL),(28,7325762,'1993-06-30 00:00:00',4,16,12,2010,'M','N','SÃO JOSÉ','FRAIBURGO','SC','124241241146131231323615155224230324055',19652,'314',31.57,1,3,NULL),(28,7325770,'1995-07-30 00:00:00',4,1,11,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','624242241217111431268823475112610167112',NULL,'270',41.16,1,3,NULL),(28,7325789,'1982-10-19 00:00:00',4,1,12,2000,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124212211412271411248843432111540747143',6177,'9998',51.47,1,3,NULL),(28,7325797,'1995-05-21 00:00:00',4,16,12,2012,'F','S','BOSQUE','CURITIBANOS','SC','124242241217171711376833576112610114011',NULL,'881',42.09,1,3,NULL),(28,7325800,'1994-09-09 00:00:00',4,10,11,2011,'M','N','OFICINAS','TUBARÃO','SC','124242241212271421448819575122610117042',9343,'806',44.61,4,3,NULL),(28,7325819,'1991-10-29 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241135131431225624345124610162145',18928,'592',35.56,1,3,NULL),(28,7325827,'1994-09-05 00:00:00',4,16,12,2011,'F','N','COHAB I','CURITIBANOS','SC','124241241117471431523429572225610134017',18053,'240',29.03,1,2,1),(28,7325835,'1989-12-04 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224241241111134411223454181224223035187',14043,'288',39.94,1,2,1),(28,7325843,'1989-12-31 00:00:00',4,1,11,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215375431368912372122223217135',1261,'270',69.96,1,3,NULL),(28,7325851,'1991-12-26 00:00:00',2,1,12,2009,'F','N','SÃO SEBASTIAO','PALHOÇA','SC','124241248136132732633634345124610127143',NULL,'592',17.85,1,2,1),(28,7325860,'1991-11-20 00:00:00',2,1,12,2009,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','120201201116111752446639595115143228157',NULL,'9998',18.38,1,2,1),(28,7325878,'1992-07-24 00:00:00',4,1,12,2009,'F','N','SÃO BRAZ','CURITIBA','PR','116162161216571731478611595112610167142',NULL,'9998',0.00,1,3,NULL),(28,7325886,'1993-03-06 00:00:00',4,1,12,2011,'M','N','MORRO DO ESPELHO','S LEOPOLDO','RS','120244201217131431458831575124610167182',NULL,'9998',0.00,4,3,NULL),(28,7325894,'1994-04-13 00:00:00',4,8,12,2011,'M','N','CENTRO','BARRETOS','SP','125252251216131411539934575115610132012',12513,'9998',38.93,1,3,NULL),(28,7325908,'1989-07-08 00:00:00',4,1,12,2006,'M','N','HUGO LANGUE','CURITIBA','PR','116162161214162731248821575115143264183',4125,'9998',64.20,1,3,NULL),(28,7325916,'1993-03-08 00:00:00',4,8,11,2011,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124242241235111531469934576124610164041',9902,'457',53.88,1,3,NULL),(28,7325924,'1955-10-12 00:00:00',4,1,12,1974,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','624161161137132711234349492124610168147',NULL,'9998',12.19,1,2,1),(28,7325932,'1994-10-08 00:00:00',4,8,11,2011,'F','N','CENTRO','CURITIBA','PR','116162161236121431566919575122610134182',NULL,'9998',0.00,1,3,NULL),(28,7325940,'1994-01-12 00:00:00',2,1,11,2011,'F','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124241241115271431433314145124610125077',10000,'271',46.70,1,2,1),(28,7325959,'1992-07-08 00:00:00',2,6,6,2011,'M','N','CENTRO','TIJUCAS','SC','124242244135131431438633575114610167047',17690,'306',39.76,2,1,2),(28,7325967,'1992-12-10 00:00:00',4,3,12,2010,'M','N','VILA REAL','BAL CAMBORIÚ','SC','124244241215111751326663385125610165142',19104,'44',34.86,1,3,NULL),(28,7325975,'1992-11-27 00:00:00',4,1,7,2011,'F','N','KOBRASOL','S JOSÉ','SC','124243248111141721226627342134610134142',16742,'306',30.88,1,3,NULL),(28,7325983,'1991-12-09 00:00:00',4,8,12,2008,'F','N','SANTA CÂNDIDA','CURITIBA','PR','116162161216573431476834574124143227147',NULL,'9998',0.00,1,3,NULL),(28,7325991,'1994-04-03 00:00:00',4,1,11,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111711468833575114610124056',14822,'270',45.95,1,3,NULL),(28,7326009,'1995-05-05 00:00:00',4,16,12,2012,'F','S','CENTRO','CURITIBANOS','SC','124244241114111431646732275122610124097',NULL,'239',42.11,1,3,NULL),(28,7326017,'1994-05-15 00:00:00',4,1,11,2011,'F','N','FUNDOS','BIGUAÇU','SC','124241241215131431436631275121610127042',NULL,'63',14.07,1,3,NULL),(28,7326033,'1993-10-22 00:00:00',4,5,11,2010,'M','N','CENTRO','URUSSANGA','SC','124242241215122431327824575114610147047',18507,'1022',37.26,1,3,NULL),(28,7326050,'1981-01-18 00:00:00',4,1,12,1997,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124242241212132721236643435122121267077',NULL,'211',0.00,1,3,NULL),(28,7326068,'1994-01-18 00:00:00',4,1,12,2011,'F','N','NOVA ITAPIRA','ITAPIRA','SP','125254251232111431339933245122610112152',NULL,'9998',0.00,1,3,NULL),(28,7326076,'1995-05-28 00:00:00',4,8,12,2010,'M','N','BOM RETIRO','JOINVILLE','SC','124244241217372431468614575112610164062',5006,'1063',55.98,1,3,NULL),(28,7326084,'1992-01-06 00:00:00',2,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241124132431433315382313610134042',15825,'574',35.59,1,2,1),(28,7326092,'1974-07-12 00:00:00',2,1,12,1993,'F','N','CAMPINAS','S JOSÉ','SC','224241245126133441353353575114231161017',9896,'607',46.44,1,2,1),(28,7326106,'1989-05-20 00:00:00',4,1,7,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242287236271431449961485122230218092',NULL,'9998',14.83,1,3,NULL),(28,7326114,'1994-02-07 00:00:00',2,1,12,2011,'F','N','CAMPO DUNA','GAROPABA','SC','124241241125131431423379292344610115197',NULL,'1136',18.54,2,1,1),(28,7326122,'1994-06-24 00:00:00',2,1,12,2011,'M','N','MACACU','GAROPABA','SC','124241241127131431313315571344620137147',NULL,'322',30.18,1,2,1),(28,7326130,'1994-09-24 00:00:00',2,1,12,2011,'M','N','PACHECOS','PALHOÇA','SC','124241241215111441526613575121610132047',10854,'1218',44.60,1,3,NULL),(28,7326157,'1995-02-20 00:00:00',2,9,12,2011,'F','N','SANTA MARIA','LAGES','SC','124242241214111231446511575122610126144',11719,'497',41.85,1,3,NULL),(28,7326173,'1994-04-24 00:00:00',4,8,12,2011,'F','N','ITAUM','JOINVILLE','SC','124241241116161431334654275124610113141',20153,'467',24.12,1,2,1),(28,7326181,'1993-02-14 00:00:00',4,8,12,2009,'M','N','AEROPORTO','LONDRINA','PR','116163161416351431459712275122141022187',12449,'1063',40.56,1,3,NULL),(28,7326190,'1994-01-09 00:00:00',2,25,12,2011,'M','N','REUNIDAS','CAÇADOR','SC','124243241212111131326829572114610164057',17876,'119',31.02,3,3,NULL),(28,7326203,'1987-08-27 00:00:00',4,5,1,2005,'M','N','PARAISO','CRICIÚMA','SC','124243246321142721631214242134230712193',19939,'9997',28.88,1,3,NULL),(28,7326211,'1992-05-30 00:00:00',2,1,12,2011,'F','N','JARDIM COQUEIROS','PALHOÇA','SC','124241241115141421433434445124610115143',NULL,'592',30.27,1,2,1),(28,7326220,'1992-02-18 00:00:00',4,1,12,2008,'M','N','MATA DO JACINTO','CPO GRANDE','MS','112122121215571331464433574112610162057',1988,'9998',69.87,4,3,NULL),(28,7326238,'1995-06-22 00:00:00',4,1,11,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241235111231469613575124610127042',14718,'1050',46.13,1,3,NULL),(28,7326246,'1994-10-26 00:00:00',4,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217112711438613575122610162172',7097,'270',51.91,1,3,NULL),(28,7326254,'1994-09-07 00:00:00',4,1,11,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241237111431449911375122610121057',9971,'1011',45.63,1,3,NULL),(28,7326270,'1994-06-15 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241248115131232623614582224610162012',19850,'298',29.84,1,2,1),(28,7326289,'1991-07-04 00:00:00',4,1,12,2008,'F','N','NOBUJI NAGASAWA','BAURU','SP','125251251216471431538631585124142222047',4820,'9998',56.18,2,1,2),(28,7326297,'1993-07-26 00:00:00',4,3,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241215572432356931575115131062192',8771,'1038',49.60,1,3,NULL),(28,7326300,'1994-08-04 00:00:00',2,1,12,2011,'F','N','CENTRO','PAULO LOPES','SC','124241211215111421446812245122610124052',13470,'1011',39.97,1,3,NULL),(28,7326319,'1994-08-29 00:00:00',4,1,12,2011,'M','N','JARDIM ZANELLATO','S JOSÉ','SC','124241241115231412223421415114610166147',17021,'295',32.53,1,2,1),(28,7326327,'1994-03-26 00:00:00',2,8,11,2011,'F','N','FLORESTA','JOINVILLE','SC','124241241215131431333611572124610124075',14475,'461',46.63,1,3,NULL),(28,7326335,'1973-04-22 00:00:00',2,1,12,1993,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124201201136143711224344245124610166182',NULL,'9998',45.79,1,2,1),(28,7326343,'1992-02-01 00:00:00',2,8,12,2009,'M','N','REBOUÇAS','CURITIBA','PR','116163161215571431346933575112141462096',509,'9998',70.60,1,3,NULL),(28,7326351,'1992-01-02 00:00:00',4,1,12,2009,'M','N','BELA VISTA II','S JOSÉ','SC','124244244216151431333332595222233268122',NULL,'1118',34.21,1,3,NULL),(28,7326360,'1994-05-25 00:00:00',2,1,11,2011,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124242241215111231445933575122610113122',7731,'1011',49.98,1,3,NULL),(28,7326378,'1996-05-08 00:00:00',4,5,11,2011,'F','N','RIO MAINA','CRICIÚMA','SC','124242241215111431468812395122610136012',NULL,'226',25.71,1,3,NULL),(28,7326394,'1994-12-17 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241211111731459814575124610112186',NULL,'272',18.92,1,3,NULL),(28,7326408,'1994-12-20 00:00:00',4,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124242241216162431456652595122610123092',14846,'1011',36.30,1,3,NULL),(28,7326416,'1994-04-27 00:00:00',4,1,12,2011,'M','N','CAMPINAS SÃO JOSÉ','S JOSÉ','SC','124242248215111412457513575125610127012',9023,'737',49.30,4,3,NULL),(28,7326432,'1994-11-29 00:00:00',4,6,11,2011,'F','N','CENTRO','IOMERÊ','SC','124241241215111431635733275124610124172',7212,'969',52.51,1,3,NULL),(28,7326440,'1992-03-29 00:00:00',4,1,12,2010,'M','N','AREAL','PELOTAS','RS','120162161247471441449711385124242864062',13397,'9998',48.40,1,3,NULL),(28,7326459,'1994-11-14 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241211111431489813471122610166072',NULL,'262',19.34,1,3,NULL),(28,7326467,'1994-07-20 00:00:00',2,8,12,2012,'F','S','ANITA GARIBALDI','JOINVILLE','SC','124242241215111732678613575122610128077',NULL,'1063',37.08,1,3,NULL),(28,7326483,'1995-10-30 00:00:00',4,1,11,2012,'M','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241217151431469814575112610136143',NULL,'1198',41.17,1,3,NULL),(28,7326491,'1992-10-24 00:00:00',2,1,12,2011,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124241247216371431346632575122610162057',17429,'9999',30.27,1,3,NULL),(28,7326505,'1993-04-19 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215374431468914592125610167041',3745,'262',59.90,1,3,NULL),(28,7326513,'1993-05-07 00:00:00',4,1,11,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241217111431554762575122610144077',15157,'738',45.30,1,3,NULL),(28,7326521,'1994-04-07 00:00:00',4,8,12,2011,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161217111431468913575122610164042',10465,'9998',44.24,1,3,NULL),(28,7326548,'1995-09-01 00:00:00',2,4,11,2011,'F','N','CENTRO','CPO ERÊ','SC','124241161215133731226669575114610164147',NULL,'9998',27.21,1,3,NULL),(28,7326556,'1987-02-09 00:00:00',2,1,12,2005,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241117173721121648282244133023187',14959,'500',45.70,4,3,NULL),(28,7326564,'1992-10-07 00:00:00',4,1,12,2009,'F','N','AREAL','PELOTAS','RS','120161161336471411437714275125242034192',11929,'9998',50.64,1,3,NULL),(28,7326572,'1994-11-03 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731468514575125610165197',15394,'262',34.31,1,3,NULL),(28,7326580,'1992-05-25 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215143431446613395114610127042',7606,'272',50.48,4,3,NULL),(28,7326599,'1994-04-28 00:00:00',2,1,11,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215112431456912425124610132142',6669,'270',53.63,1,3,NULL),(28,7326602,'1993-08-03 00:00:00',2,15,12,2010,'M','N','COLONINHA','ARARANGUÁ','SC','124241241116141732324629345111610127052',NULL,'29',23.10,1,3,NULL),(28,7326610,'1995-10-09 00:00:00',2,1,12,2012,'F','S','CAMPINAS','S JOSÉ','SC','124242241215111431438912575122610167012',NULL,'738',36.02,1,3,NULL),(28,7326629,'1994-01-24 00:00:00',2,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124243241115111231436813575122610163197',14673,'272',37.21,1,3,NULL),(28,7326645,'1994-08-06 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215131431336923575124610167017',15830,'259',33.74,4,3,NULL),(28,7326661,'1992-06-02 00:00:00',4,1,12,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124262261217112731116833195115220667186',12373,'9998',49.98,2,3,NULL),(28,7326696,'1994-06-22 00:00:00',2,10,12,2011,'F','N','RIO DO MEIO','STA ROSA LIMA','SC','124241241125141412623415552124610137057',NULL,'688',17.69,1,2,1),(28,7326700,'1994-07-20 00:00:00',4,1,12,2011,'M','N','SERÃO DO MARUIM','S JOSÉ','SC','124241241116161231346613575124610167147',NULL,'733',35.94,1,3,NULL),(28,7326718,'1994-11-29 00:00:00',4,1,11,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216112431438712575124610121016',6703,'1022',53.00,1,3,NULL),(28,7326726,'1995-06-27 00:00:00',4,7,12,2011,'F','N','CENTRO','CAPINZAL','SC','124241241216151431459632575122610127182',NULL,'1238',25.97,1,3,NULL),(28,7326734,'1994-12-17 00:00:00',2,6,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124244241215111431438633435122610127017',19528,'9997',32.48,1,3,NULL),(28,7326742,'1994-04-09 00:00:00',4,1,12,2011,'M','N','MARAMBAIA','VINHEDO','SP','125252251217111431447811575122610168122',4997,'9998',58.63,1,3,NULL),(28,7326750,'1990-07-09 00:00:00',2,1,8,2008,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241117373431547711345124122528047',12868,'306',49.20,1,3,NULL),(28,7326769,'1992-06-26 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215132211459814384114610114011',11487,'1050',51.34,1,3,NULL),(28,7326777,'1993-12-11 00:00:00',4,26,12,2011,'M','N','VILA GERASUL','ITÁ','SC','124241241217111451459831575124610164057',15732,'1001',34.26,1,3,NULL),(28,7326793,'1995-04-13 00:00:00',4,15,12,2011,'F','N','SANGA DA TOCA','ARARANGUÁ','SC','124241241115131531435923345124610136142',13180,'30',37.94,1,2,1),(28,7326807,'1994-09-16 00:00:00',2,4,12,2011,'M','N','PARZIANELLO','PATO BRANCO','PR','116162161213121431425514471114610161094',16787,'9998',32.36,1,3,NULL),(28,7326823,'1992-03-15 00:00:00',4,1,1,2012,'M','N','CAMPINAS','S JOSÉ','SC','124241248117131432436614295124610127112',NULL,'306',22.29,1,2,1);
INSERT INTO candidato VALUES (28,7326831,'1993-04-21 00:00:00',4,1,11,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215272431336419572124230227042',6799,'270',59.19,1,3,NULL),(28,7326840,'1990-12-18 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241116575531534834145124221422187',13284,'267',48.58,1,3,NULL),(28,7326858,'1996-08-08 00:00:00',4,1,12,2012,'M','S','INGLESES','FLORIANÓPOLIS','SC','124162161217151431369933135122610164052',NULL,'9998',34.69,1,3,NULL),(28,7326866,'1994-03-30 00:00:00',2,4,12,2011,'F','N','INTERIOR','S JORGE D OESTE','PR','116161161116111731323313575124610138052',NULL,'9998',0.00,1,2,1),(28,7326882,'1995-02-09 00:00:00',4,1,12,2012,'M','S','INGLESES','FLORIANÓPOLIS','SC','124162163117151431359833575124610124052',NULL,'9998',46.16,1,3,NULL),(28,7326890,'1995-12-18 00:00:00',4,2,12,2013,'M','S','SALTO WEISSBACH','BLUMENAU','SC','124241243117111431338923595124610117077',NULL,'89',34.86,1,3,NULL),(28,7326904,'1994-09-07 00:00:00',4,2,11,2011,'F','N','SALTO DO NORTE','BLUMENAU','SC','124244241235111431226622272124610127142',9043,'71',48.56,1,3,NULL),(28,7326920,'1994-04-29 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431459811475122610134142',NULL,'270',28.86,1,3,NULL),(28,7326939,'1993-03-17 00:00:00',4,1,12,2010,'F','N','SUMAREZINHO','S PAULO','SP','125252251216471531368813575124610124147',NULL,'9998',0.00,1,3,NULL),(28,7326947,'1995-04-23 00:00:00',4,3,2,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124242247447131431446834575114610127127',NULL,'9999',31.19,1,3,NULL),(28,7326955,'1995-08-07 00:00:00',4,1,12,2012,'M','S','FAZENDA SANTO ANTÔNI','S JOSÉ','SC','124241241215161411449534575122610134172',NULL,'724',24.17,1,3,NULL),(28,7326963,'1992-04-23 00:00:00',4,1,12,2009,'M','N','JARDIM SÃO PAULO','INDAIATUBA','SP','125252251217571431469814375124610142047',2561,'9998',68.08,1,3,NULL),(28,7326971,'1990-03-13 00:00:00',4,2,12,2007,'F','N','CENTRO','RODEIO','SC','124243241431274431438813492124133228182',5305,'940',57.45,1,3,NULL),(28,7326980,'1992-11-17 00:00:00',4,1,12,2009,'F','N','BAETA NEVES','S BERNARDO CAMPO','SP','125252251215571451228824571112610162097',NULL,'9998',0.00,1,3,NULL),(28,7326998,'1994-10-26 00:00:00',4,1,12,2011,'F','N','TARUMA','CURITIBA','PR','116162161216111431369933575122610142142',NULL,'9998',0.00,1,3,NULL),(28,7327005,'1994-06-04 00:00:00',4,1,11,2011,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241215112431356823435124610143027',4328,'1022',59.53,1,3,NULL),(28,7327013,'1991-12-04 00:00:00',4,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124241241135471431353612295114610137057',NULL,'733',19.53,1,2,1),(28,7327021,'1993-01-05 00:00:00',2,15,11,2010,'M','N','JARDIN DAS AVENIDAS','ARARANGUÁ','SC','124244241215122231436632575111610135111',15452,'26',37.90,1,3,NULL),(28,7327030,'1993-03-02 00:00:00',4,1,12,2010,'M','N','SETOR AEROPORTO','GOIÂNIA','GO','109093091216371441368921575122610164086',NULL,'9998',0.00,1,3,NULL),(28,7327048,'1990-10-12 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431478813335112122224185',7233,'1022',54.19,1,3,NULL),(28,7327056,'1990-07-28 00:00:00',4,4,12,2007,'F','N','JARDIM ITALIA','CHAPECÓ','SC','124241241217574451436933575124242411097',NULL,'270',0.00,1,3,NULL),(28,7327064,'1987-04-26 00:00:00',2,8,7,2006,'M','N','VILA NOVA','ARAUCÁRIA','PR','116161161235573751453632275122141567063',12247,'9998',50.17,1,3,NULL),(28,7327080,'1995-12-20 00:00:00',4,4,12,2011,'M','N','EFAPI','CHAPECÓ','SC','124244246217121411459933572122610126172',2169,'1094',65.73,1,3,NULL),(28,7327099,'1993-08-13 00:00:00',4,1,12,2010,'M','N','CANTO DOS GANCHOS','GOV CELSO RAMOS','SC','124241241113131421523811415124233217042',NULL,'307',27.91,3,3,NULL),(28,7327102,'1995-04-20 00:00:00',2,16,12,2011,'F','N','CENTRO','CURITIBANOS','SC','124244241315141432426729195125610126172',18333,'239',37.84,1,3,NULL),(28,7327110,'1993-09-03 00:00:00',2,1,12,2011,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124164241235141431436619392124610167067',4509,'1048',57.31,1,3,NULL),(28,7327129,'1994-11-10 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215131211348624482122610127067',NULL,'259',21.82,1,3,NULL),(28,7327137,'1993-04-24 00:00:00',2,1,11,2011,'M','N','VILLAGE REGINA','PENÁPOLIS','SP','125251251216111431446836575122610167042',NULL,'9998',31.77,1,3,NULL),(28,7327145,'1994-08-01 00:00:00',4,1,12,2011,'M','N','BIGORRILHO','CURITIBA','PR','116162161217112531269922575122610117042',NULL,'9998',0.00,1,3,NULL),(28,7327153,'1993-11-22 00:00:00',4,1,11,2011,'M','N','BUENO','GOIÂNIA','GO','109092091217111431568813475122610127046',NULL,'9998',0.00,1,3,NULL),(28,7327161,'1994-08-16 00:00:00',4,1,12,2011,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241115111432334812211124610148017',6763,'9997',53.25,1,3,NULL),(28,7327170,'1994-08-23 00:00:00',4,2,12,2011,'F','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124242241215121432448712575114610134142',NULL,'909',17.65,4,3,NULL),(28,7327188,'1995-01-03 00:00:00',4,1,12,2012,'F','S','RIO FARIAS','ANTÔNIO CARLOS','SC','124241241117161712325535275124610123142',NULL,'21',38.12,1,3,NULL),(28,7327196,'1994-04-15 00:00:00',2,6,12,2009,'F','N','MONTE CARLO','CACHOEIRINHA','RS','120201201116471431544823591112610127047',13671,'9998',39.92,1,2,1),(28,7327200,'1992-08-25 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124123121137152411126444445224221762177',6773,'9998',51.36,1,3,NULL),(28,7327218,'1994-10-19 00:00:00',4,15,12,2011,'F','N','PARQUE DAS AVENIDAS','SOMBRIO','SC','124241241146141431323321245224610115172',19967,'1033',28.61,4,2,1),(28,7327226,'1994-06-21 00:00:00',2,1,12,2011,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241411111151466612595114610117197',13014,'270',39.25,1,3,NULL),(28,7327234,'1994-02-12 00:00:00',4,6,11,2011,'F','N','CENTRO','ITAJAÍ','SC','124242241215131431338614575122610121077',NULL,'392',21.04,1,3,NULL),(28,7327242,'1992-11-28 00:00:00',2,1,10,2009,'M','N','FLORESTA','S JOSÉ','SC','124241241215373431336624142114120722097',2329,'262',64.99,1,3,NULL),(28,7327250,'1994-03-10 00:00:00',2,10,11,2011,'F','N','CENTRO','CAPIVARI BAIXO','SC','124242241211131131326611375124610125052',18891,'797',35.71,1,3,NULL),(28,7327269,'1982-12-25 00:00:00',2,3,12,1999,'M','N','CENTRO','PIRACICABA','SP','125251251126575411433319245224243218172',NULL,'9998',0.00,1,2,1),(28,7327277,'1995-07-28 00:00:00',4,9,12,2012,'M','S','SAGRADO C DE JESUS','LAGES','SC','124241241215111331358933575121610162042',NULL,'1207',46.91,1,3,NULL),(28,7327285,'1991-12-01 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241117273721636634345114610137047',11973,'288',41.30,1,2,1),(28,7327307,'1994-11-26 00:00:00',4,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241117161431328613475124610127145',NULL,'621',0.00,1,2,1),(28,7327315,'1992-06-12 00:00:00',4,9,12,2010,'M','N','SANTA HELENA','LAGES','SC','124243241116272431224427575124610121017',15951,'935',32.84,1,3,NULL),(28,7327323,'1984-06-13 00:00:00',4,1,12,2001,'M','N','JARDIM AURELIA','CAMPINAS','SP','125251251117372411436632275122610167047',NULL,'9998',0.00,1,2,1),(28,7327331,'1994-02-06 00:00:00',4,2,12,2011,'F','N','VELHA','BLUMENAU','SC','124241241115141431458612315124610165177',5998,'88',54.38,1,2,1),(28,7327340,'1993-12-24 00:00:00',4,1,12,2011,'F','N','CAMINHO NOVO','PALHOÇA','SC','124242241215121411369614575112610138052',6795,'1011',54.46,1,3,NULL),(28,7327366,'1993-11-18 00:00:00',2,1,12,2010,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241117131431523314385114610127047',NULL,'1248',26.35,1,2,1),(28,7327374,'1995-09-06 00:00:00',4,1,12,2013,'F','S','BALNEARIO','FLORIANÓPOLIS','SC','124242241215111731467832575124610121182',NULL,'272',19.95,1,3,NULL),(28,7327382,'1963-10-04 00:00:00',2,1,12,1982,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224241243137143751353341115122120223042',17488,'31',40.33,1,2,1),(28,7327404,'1983-08-05 00:00:00',4,1,12,2000,'F','N','CENTRO','FLORIANÓPOLIS','SC','124012241217273421359939475122222224147',9749,'270',54.14,4,3,NULL),(28,7327412,'1994-10-06 00:00:00',2,5,11,2011,'M','N','CENTRO','LAURO MÜLLER','SC','124244246411171411448911571125610117051',13393,'995',39.14,1,3,NULL),(28,7327420,'1992-04-08 00:00:00',4,1,12,2009,'M','N','JARDIM SHANGRILA','BAURU','SP','125252251216571431558831585122610127121',NULL,'9998',0.00,1,3,NULL),(28,7327447,'1994-09-12 00:00:00',4,6,12,2011,'F','N','DOM BOSCO','ITAJAÍ','SC','124243241215271431458924245124610164172',1629,'1172',63.81,3,3,NULL),(28,7327455,'1993-11-30 00:00:00',4,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111411338813575124610117062',NULL,'272',25.35,1,3,NULL),(28,7327463,'1961-08-28 00:00:00',2,6,12,2007,'F','N','CENTRO','ITAJAÍ','SC','124241247147341111124144242214610143097',19786,'9999',26.06,1,2,1),(28,7327471,'1990-02-26 00:00:00',2,15,12,2006,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124243241116142441547913445132331524187',11640,'30',51.10,1,3,NULL),(28,7327480,'1989-12-26 00:00:00',4,16,11,2006,'M','N','BOM JESUS','CURITIBANOS','SC','124241241237111431227669345213130747055',NULL,'237',17.74,4,3,NULL),(28,7327501,'1971-02-12 00:00:00',6,1,12,1994,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124246244626134431126344295124610126093',19254,'9999',34.11,2,3,NULL),(28,7327510,'1993-12-24 00:00:00',4,1,12,2010,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241216374731489912375124233264172',6567,'1022',52.25,1,3,NULL),(28,7327528,'1995-05-20 00:00:00',4,1,12,2011,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124244241215111431335932575124610167047',NULL,'262',32.12,1,3,NULL),(28,7327544,'1988-09-06 00:00:00',4,1,12,2005,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241217475451547639292124131462097',1384,'270',65.67,1,3,NULL),(28,7327552,'1994-06-05 00:00:00',2,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241215111431338854575124610127142',10530,'723',46.49,1,3,NULL),(28,7327560,'1994-06-27 00:00:00',4,1,12,2011,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241215152411368822575112610164112',4874,'1022',56.00,1,3,NULL),(28,7327579,'1994-03-26 00:00:00',4,8,12,2011,'F','N','ALTO DA SAUDADE','ARAÇATUBA','SP','125252251217111431459866572122610136182',12089,'9998',40.53,1,3,NULL),(28,7327587,'1992-01-07 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216272421646723485122120627043',11612,'259',47.13,4,3,NULL),(28,7327595,'1989-04-25 00:00:00',2,1,11,2009,'F','N','IPIRANGA','S JOSÉ','SC','124241241141141421425611311124133211057',NULL,'734',35.93,3,2,1),(28,7327609,'1995-02-03 00:00:00',4,8,12,2011,'M','N','JARDIM DO MOINHO','MAFRA','SC','124241241116151411435912575125610164052',12623,'542',40.28,1,2,1),(28,7327617,'1993-05-08 00:00:00',2,1,12,2010,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241248116372351348613442124610162072',20006,'1116',28.00,1,3,NULL),(28,7327641,'1994-08-03 00:00:00',2,22,11,2011,'F','N','CENTRO','BRUSQUE','SC','124242241215151431448811575122610167097',17778,'107',39.53,1,3,NULL),(28,7327668,'1995-10-23 00:00:00',2,1,12,2012,'F','S','ESQUINA','URUBICI','SC','124241248116161711434416575122610166147',NULL,'818',20.13,1,3,NULL),(28,7327676,'1993-02-12 00:00:00',4,1,12,2010,'F','N','SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC','124242241212272431557823372124610148183',11407,'270',51.46,1,3,NULL),(28,7327684,'1988-09-03 00:00:00',2,1,11,2005,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241146175431353734485124610134047',NULL,'288',29.94,1,2,1),(28,7327692,'1994-10-03 00:00:00',4,1,12,2011,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241112131732434414485124610117062',NULL,'591',17.79,1,2,1),(28,7327706,'1994-04-18 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215112431467832575122610144142',6312,'883',52.98,1,3,NULL),(28,7327714,'1993-03-20 00:00:00',2,4,12,2010,'F','N','BELA VISTA','XAXIM','SC','124241241112151731323339572115610122172',NULL,'846',11.03,1,3,NULL),(28,7327722,'1990-11-27 00:00:00',2,6,12,2008,'M','N','SANTANA','RIO SUL','SC','124241246216152441438819485123131224147',NULL,'1059',35.66,1,3,NULL),(28,7327730,'1992-08-30 00:00:00',2,1,2,2012,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242248116151431464419575124610167042',NULL,'306',15.03,1,3,NULL),(28,7327749,'1994-03-03 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241215112431458629575125610117052',4556,'737',57.02,1,3,NULL),(28,7327757,'1984-09-22 00:00:00',2,17,12,2001,'F','N','SÃO CRISTÓVÃO','TRÊS BARRAS','SC','424241241117131451423319396124610154182',NULL,'153',34.14,1,3,NULL),(28,7327765,'1994-12-21 00:00:00',4,24,11,2011,'M','N','BUDAG','RIO SUL','SC','624244241217131431436612275121610124142',NULL,'663',8.58,1,3,NULL),(28,7327773,'1994-08-01 00:00:00',2,1,12,2011,'F','N','BQ DOS EUCALIPTOS','S JOSÉ CAMPOS','SP','125252251215471331467722375122610133142',NULL,'9998',33.57,1,3,NULL),(28,7327781,'1986-04-20 00:00:00',4,1,12,2003,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124254251316372431428824375121221764022',13555,'9998',48.14,1,3,NULL),(28,7327790,'1993-02-22 00:00:00',2,1,12,2011,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242247117111431447721575124610131142',14414,'299',40.27,1,3,NULL),(28,7327811,'1994-12-05 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217151431488834475122610137045',NULL,'270',41.76,1,3,NULL),(28,7327820,'1993-10-20 00:00:00',4,1,12,2011,'F','N','VILA NOGUEIRA','CAMPINAS','SP','125252251217151431355813575122610143197',9404,'9998',46.72,1,3,NULL),(28,7327838,'1992-03-19 00:00:00',2,1,12,2010,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241117131431336514345134610117061',NULL,'286',20.96,1,2,1),(28,7327846,'1995-01-31 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241115371431626614575124610134147',9234,'257',51.21,1,3,NULL),(28,7327854,'1993-02-15 00:00:00',4,1,12,2011,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241115111411635832345123610117062',13335,'267',39.99,1,2,1),(28,7327862,'1993-02-16 00:00:00',4,1,11,2010,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125122121236471311269632595122610137042',7334,'9998',58.25,1,3,NULL),(28,7327870,'1995-01-23 00:00:00',2,1,12,2011,'F','N','BELA VISTA I','S JOSÉ','SC','124241241115371431339723435124610137051',19290,'307',33.91,4,1,1),(28,7327889,'1991-06-10 00:00:00',4,1,6,2009,'M','N','HIGIENOPOLIS','S PAULO','SP','125252251417411431586635575121610167057',6103,'9998',54.57,1,3,NULL),(28,7327897,'1995-04-06 00:00:00',2,1,12,2011,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431376813475112610125072',19118,'951',34.80,1,3,NULL),(28,7327900,'1994-07-24 00:00:00',4,1,12,2011,'M','N','NOVA AMÉRICA','PIRACICABA','SP','125252251216111711446834575122610144042',10959,'9998',44.30,1,3,NULL),(28,7327927,'1983-11-20 00:00:00',2,1,7,2002,'M','N','KOBRASOL','S JOSÉ','SC','124204207217151421126341315124140246177',19061,'9998',35.07,1,3,NULL),(28,7327935,'1985-07-05 00:00:00',6,1,11,2003,'F','N','JARAGUÁ DO SUL','JARAGUÁ SUL','SC','124241248116171711433311115112133218122',NULL,'9997',24.41,1,3,NULL),(28,7327943,'1993-06-18 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241115141411626314345124610112052',NULL,'307',19.41,2,2,1),(28,7327951,'1994-03-17 00:00:00',2,1,12,2011,'M','N','FORQUILHINHAS','S JOSÉ','SC','124242241211111531446913595112610117047',NULL,'944',24.57,1,3,NULL),(28,7327960,'1993-03-12 00:00:00',4,1,12,2011,'F','N','SANTOS DUMONT','S JOSÉ','SC','124241248116131431433411375324610126097',5715,'306',55.05,1,2,1),(28,7327978,'1994-07-17 00:00:00',4,1,12,2011,'F','N','CENTRO','URUBICI','SC','124241241115161431324524575124610126142',NULL,'818',0.00,1,2,1),(28,7327986,'1992-12-23 00:00:00',2,15,12,2011,'M','N','CENTRO','BAL ARROIO SILVA','SC','124241241115151731426614582124610167047',NULL,'29',20.55,1,2,1),(28,7327994,'1994-08-22 00:00:00',4,7,11,2011,'M','N','BOM FIM','PTO ALEGRE','RS','120242211215471521289911471124610162122',NULL,'446',0.00,1,3,NULL),(28,7328010,'1994-02-20 00:00:00',4,1,12,2011,'F','N','VILA GILDA','STO ANDRÉ','SP','125252251217111431358811575122510134017',2443,'9998',61.79,1,3,NULL),(28,7328028,'1994-10-16 01:00:00',4,8,12,2012,'M','S','SAGUAÇU','JOINVILLE','SC','124242241217111732468814575112610117017',NULL,'457',37.62,1,3,NULL),(28,7328044,'1994-12-20 00:00:00',4,1,12,2011,'F','N','ARIRIU','PALHOÇA','SC','124241241112131431423434142123610136067',NULL,'593',22.90,1,2,1),(28,7328052,'1992-04-29 00:00:00',4,8,12,2009,'M','N','CENTRO','CURITIBA','PR','116241161216574411536932375114142466192',773,'9998',69.25,1,3,NULL),(28,7328060,'1992-12-09 00:00:00',2,1,12,2011,'F','N','BNH TERCEIRO PLANO','DOURADOS','MS','112122127417472431449811575122610164187',19739,'9998',30.74,4,3,NULL),(28,7328079,'1993-02-09 00:00:00',4,24,12,2010,'M','N','SANTO ANTÔNIO','ITUPORANGA','SC','124241241127161431333414245111610122147',NULL,'415',30.21,1,2,1),(28,7328087,'1990-10-15 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243247442131431226623245124610133027',NULL,'9999',22.59,1,3,NULL),(28,7328095,'1990-06-05 00:00:00',2,1,12,2008,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201207337271431328613346334610127147',NULL,'9998',23.57,1,3,NULL),(28,7328109,'1990-11-16 00:00:00',2,3,12,2008,'M','N','UVARANAS','PNT GROSSA','PR','116162161216573711336632575114131447182',2335,'9998',62.02,1,3,NULL),(28,7328125,'1994-12-20 00:00:00',4,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215122431578823572114610126197',5762,'270',52.46,1,3,NULL),(28,7328133,'1992-12-07 00:00:00',2,1,12,2010,'M','N','CIDADE BAIXA','PTO ALEGRE','RS','120201201146172411113548285124242835147',NULL,'9998',0.00,4,2,1),(28,7328141,'1993-07-19 00:00:00',2,4,11,2010,'F','N','SANTO ANDRÉ','GETÚLIO VARGAS','RS','120202201217131431436839585224610138177',NULL,'9998',0.00,1,3,NULL),(28,7328168,'1994-12-13 00:00:00',4,8,12,2011,'F','N','NOVO MUNDO','CURITIBA','PR','116162161216421431249924375124610137057',NULL,'9999',0.00,2,1,2),(28,7328176,'1994-09-02 00:00:00',4,1,12,2011,'M','N','JARDIM DAS CAMÉLIAS','S PAULO','SP','125252251217151432558814575122610137042',6604,'9998',52.94,1,3,NULL),(28,7328184,'1995-07-17 00:00:00',4,1,12,2012,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124242241215111421458833575124610162147',NULL,'270',39.22,1,3,NULL),(28,7328192,'1994-07-22 00:00:00',4,8,12,2011,'M','N','CENTRO','ASSAÍ','PR','116161161216111431455933572122610147052',NULL,'9998',30.33,3,3,NULL),(28,7328206,'1995-12-03 00:00:00',4,9,12,2011,'F','N','SÃO CRISTOVÃO','LAGES','SC','124242241215111421349824375122610138077',11777,'497',50.89,1,3,NULL),(28,7328214,'1993-03-28 00:00:00',4,1,12,2011,'F','N','JARDIM EUROPA','BIGUAÇU','SC','124242246115141411336732395124610134072',6607,'306',52.07,1,3,NULL),(28,7328222,'1986-11-01 00:00:00',2,1,12,2007,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241247146242411537623245124610122147',18808,'9999',36.06,1,2,1),(28,7328265,'1989-08-16 00:00:00',4,8,12,2007,'M','N','NOVO OSASCO','OSASCO','SP','125251251217572711346631575114610161187',8983,'9998',48.69,1,3,NULL),(28,7328273,'1991-07-29 00:00:00',2,1,12,2009,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124161161117131431221344445234142717147',17330,'9998',40.70,1,3,NULL),(28,7328281,'1994-07-25 00:00:00',4,1,12,2011,'M','N','AREIAS','S JOSÉ','SC','124242241315141431326314245124610127042',NULL,'734',20.60,1,3,NULL),(28,7328290,'1993-05-14 00:00:00',2,10,11,2011,'M','N','OFICINAS','TUBARÃO','SC','124242241215121531446613575122610117052',NULL,'807',16.93,1,3,NULL),(28,7328303,'1994-04-05 00:00:00',2,1,12,2011,'M','N','BOM VIVER','BIGUAÇU','SC','124241241115111431547313392124610127117',NULL,'739',0.00,1,2,1),(28,7328311,'1994-01-23 00:00:00',4,1,12,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215112731336421575112610114117',13450,'272',38.99,1,3,NULL),(28,7328320,'1994-03-14 00:00:00',2,3,12,2011,'F','N','CENTRO','BOMBINHAS','SC','124241242115131421346933176124610135147',9871,'129',47.85,1,2,1),(28,7328338,'1995-03-29 00:00:00',4,24,11,2012,'F','S','BELA ALIANCA','RIO SUL','SC','124242241216111731448734575124610135177',NULL,'270',42.19,1,3,NULL),(28,7328346,'1994-09-25 00:00:00',4,15,12,2011,'M','N','SANTA BARBARA','ARARANGUÁ','SC','124241241135141431634629342211610117041',NULL,'30',21.49,1,2,1),(28,7328354,'1994-03-11 00:00:00',4,1,11,2011,'F','N','ROÇADO','S JOSÉ','SC','124242241215121731464923575114610165192',3777,'270',59.89,4,3,NULL),(28,7328362,'1994-05-26 00:00:00',4,1,12,2011,'M','N','JARDIM AMÉRICA','GOIÂNIA','GO','109092091215111431449924592122610117047',2250,'9998',62.99,1,3,NULL),(28,7328370,'1994-01-09 00:00:00',2,4,11,2011,'M','N','SAIC','CHAPECÓ','SC','124241246217111732433433595124610167062',15461,'1094',37.03,1,3,NULL),(28,7328389,'1995-11-21 00:00:00',4,1,12,2012,'F','S','CENTRO','HERVAL D OESTE','SC','124242241215111731438933572124610123187',NULL,'454',40.68,1,3,NULL),(28,7328397,'1995-06-20 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241215111431336624312124610164097',NULL,'300',26.23,1,3,NULL),(28,7328400,'1995-02-24 00:00:00',4,1,12,2013,'M','S','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241211111431448811211112610117067',NULL,'737',48.25,1,3,NULL),(28,7328419,'1991-07-11 00:00:00',2,1,12,2009,'M','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124243241117142721448923145124220934172',15358,'307',44.93,1,3,NULL),(28,7328427,'1993-07-28 00:00:00',4,4,11,2010,'F','N','CENTRO','CURITIBA','PR','116162161216471411246933435112610114012',NULL,'9998',0.00,1,3,NULL),(28,7328435,'1994-04-10 00:00:00',5,2,12,2011,'M','N','GARCIA','BLUMENAU','SC','124241241136141431434334341124610122097',NULL,'85',23.64,1,2,1),(28,7328443,'1994-06-09 00:00:00',4,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217151412268834376124610164041',7929,'299',53.07,1,3,NULL),(28,7328451,'1994-02-06 00:00:00',2,10,12,2011,'M','N','CENTRO','STA ROSA LIMA','SC','124241248146131731327731142122610124052',18706,'688',25.96,1,2,1),(28,7328478,'1994-12-21 00:00:00',2,15,12,2011,'M','N','META','BAL ARROIO SILVA','SC','124241241115471431326661575124610138017',16641,'29',33.72,1,2,1),(28,7328486,'1993-04-02 00:00:00',4,2,12,2010,'F','N','DAS CAPITAIS','TIMBÓ','SC','124241241116371431436334345131610144147',17704,'787',39.73,1,2,1),(28,7328494,'1992-02-25 00:00:00',4,1,12,2009,'M','N','CIDADE NOVA','CAXIAS SUL','RS','120202201215572431468832575122610167047',2869,'9998',62.78,1,3,NULL),(28,7328508,'1994-10-14 00:00:00',4,1,12,2011,'F','N','JARDIM ALTANTICO','FLORIANÓPOLIS','SC','124283241415111431448719575122610136182',NULL,'1134',25.97,1,3,NULL),(28,7328516,'1991-10-18 00:00:00',4,1,12,2010,'M','N','JARDIM BRASILEIRO','LONDRINA','PR','116161161127371411338817575115610126196',12122,'9998',43.54,1,2,1),(28,7328524,'1995-01-31 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241115271431626614575124610134147',9152,'257',48.72,1,3,NULL),(28,7328532,'1991-06-20 00:00:00',4,1,10,2008,'M','N','CAMPINAS','S JOSÉ','SC','124242241235134431468813445124122364012',812,'723',72.82,1,3,NULL),(28,7328540,'1993-08-23 00:00:00',4,1,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215274431558879595112131037062',11770,'226',50.90,1,3,NULL),(28,7328559,'1993-08-27 00:00:00',2,1,12,2010,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241216372431558919595124130223147',2842,'270',62.60,1,3,NULL),(28,7328567,'1990-11-19 00:00:00',4,1,8,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241247417111712426344245124610167067',NULL,'9999',15.75,1,3,NULL),(28,7328575,'1992-10-04 00:00:00',4,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244246115371411438812375124610167012',5551,'306',51.79,1,3,NULL),(28,7328583,'1988-01-14 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243248625372451445613345124610166142',14180,'977',47.13,1,3,NULL),(28,7328591,'1994-03-12 00:00:00',2,1,2,2012,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241248117151431658813275124610165017',10743,'306',44.20,1,2,1),(28,7328605,'1990-05-11 00:00:00',4,1,12,2007,'M','N','JARDIM SÃO ROQUE','S JOSÉ R PARDO','SP','125252251216571411446819575122140461121',NULL,'9998',30.13,1,3,NULL),(28,7328613,'1994-07-03 00:00:00',4,3,12,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241116131431438719192121610114147',NULL,'405',0.00,1,2,1),(28,7328630,'1995-01-31 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241115271431626614575124610134147',13976,'257',40.20,1,3,NULL),(28,7328648,'1989-12-16 00:00:00',4,10,12,2007,'F','N','DEHON','TUBARÃO','SC','124241241137131441539329245113610126027',NULL,'468',0.00,1,3,NULL),(28,7328656,'1993-05-24 00:00:00',4,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124243241215112431238523571124610123182',10770,'1022',43.65,1,3,NULL),(28,7328664,'1987-12-31 00:00:00',5,25,12,2005,'M','N','INTERIOR','CAÇADOR','SC','124241241116131431544936252222610168192',NULL,'123',15.83,1,2,1),(28,7328672,'1988-12-15 00:00:00',2,1,12,2007,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241125373731321644342124610127057',NULL,'295',25.94,1,2,1),(28,7328680,'1995-03-30 00:00:00',4,9,12,2011,'M','N','UNIVERSITÁRIO','LAGES','SC','124242241216121431378633575112610127042',9461,'497',54.61,1,3,NULL),(28,7328699,'1994-05-17 00:00:00',4,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217112711469813595124610127042',1666,'262',66.30,1,3,NULL),(28,7328710,'1994-01-18 00:00:00',4,1,12,2012,'F','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431366663275122610131193',NULL,'1250',30.60,1,3,NULL),(28,7328729,'1994-10-04 00:00:00',2,4,12,2011,'M','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124241241116131431444933245114610122052',19305,'169',33.84,1,2,1),(28,7328737,'1994-05-17 00:00:00',4,1,12,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216111751458814576122610147145',2242,'272',62.86,1,3,NULL),(28,7328745,'1984-03-21 00:00:00',2,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124251247336131431124444345124610164042',NULL,'9999',35.13,2,1,2),(28,7328753,'1994-07-07 00:00:00',4,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111432559914575112610123145',3265,'272',65.37,1,3,NULL),(28,7328761,'1991-12-10 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241216435431458832295324230267067',8138,'1169',56.90,1,3,NULL),(28,7328770,'1992-05-18 00:00:00',4,1,12,2009,'M','N','ZONA CINCO','MARINGÁ','PR','116162161216571551469911572112610122067',2469,'9998',60.52,3,3,NULL),(28,7328788,'1977-01-02 00:00:00',2,3,12,2004,'M','N','CENTRO','BAL CAMBORIÚ','SC','224243247326374431433354185123132828092',18275,'9999',28.25,1,3,NULL),(28,7328800,'1992-07-17 00:00:00',2,1,12,2009,'M','N','IPIRANGA','S JOSÉ','SC','124241241116372731435532345124610164141',NULL,'307',27.65,1,2,1),(28,7328818,'1994-10-20 00:00:00',2,7,12,2011,'F','N','PANAZZOLO','VIDEIRA','SC','124241241116131431423311575124610126147',10616,'831',46.08,1,2,1),(28,7328842,'1988-11-22 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116145431334331311124610142097',18894,'298',35.70,1,2,1),(28,7328850,'1995-05-05 00:00:00',2,5,12,2011,'M','N','JARDIM ELIZABETH','COCAL SUL','SC','124242246212151731446614472125610137042',4294,'995',55.58,1,3,NULL),(28,7328885,'1993-08-09 00:00:00',4,1,12,2010,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215372431459934345114133267052',3998,'273',60.39,1,3,NULL),(28,7328893,'1994-02-13 00:00:00',2,1,12,2011,'F','N','SACOS DOS LIMÕES','FLORIANÓPOLIS','SC','224241241116371431448923575122610147017',14166,'267',38.91,1,2,1),(28,7328907,'1994-05-31 00:00:00',2,1,12,2010,'F','N','CENTRO HISTÓRICO','PTO ALEGRE','RS','120201201117471731426615575124610122057',NULL,'9998',31.23,1,2,1),(28,7328915,'1995-10-23 00:00:00',4,1,12,2011,'F','N','CENTRO','TIJUCAS','SC','124243241215111431338812575112610121072',NULL,'948',27.89,1,3,NULL),(28,7328923,'1995-10-30 00:00:00',4,1,12,2012,'F','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215151731366814575122610128072',NULL,'272',39.58,1,3,NULL),(28,7328931,'1989-11-27 00:00:00',2,1,12,2008,'M','N','ARMAÇÃO P DO SUL','FLORIANÓPOLIS','SC','124241247126271411333334345124610137042',19761,'9999',30.58,1,2,1),(28,7328940,'1994-09-05 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431369933575122610137043',14120,'262',40.04,1,3,NULL),(28,7328966,'1985-03-27 00:00:00',2,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241147473431454413342113610167063',NULL,'281',29.10,1,3,NULL),(28,7328982,'1995-05-05 00:00:00',4,5,10,2012,'F','S','COMERCIARIO','CRICIÚMA','SC','124242241217111331358831395112610134142',NULL,'213',41.71,1,3,NULL),(28,7328990,'1994-03-24 00:00:00',4,23,12,2011,'F','N','VILA LENZI','JARAGUÁ SUL','SC','124242241215111431477624595112610137017',5683,'442',52.79,1,3,NULL),(28,7329008,'1994-12-04 00:00:00',4,5,12,2011,'M','N','CENTRO','SIDERÓPOLIS','SC','124242241215111431359812575114610166187',17103,'226',41.25,1,3,NULL),(28,7329016,'1994-09-17 00:00:00',6,1,11,2011,'F','N','RIO DO MEIO','CAMBORIÚ','SC','124241241117141431424634292324610136147',NULL,'130',22.31,1,2,1),(28,7329024,'1993-07-15 00:00:00',4,1,12,2011,'F','N','CENTRO','ANGELINA','SC','124241248115161431623539295225610138147',NULL,'17',24.05,2,1,1),(28,7329032,'1991-08-19 00:00:00',4,1,12,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241217574421236724445334610145097',7241,'737',51.68,1,3,NULL),(28,7329040,'1984-05-20 00:00:00',4,1,12,2001,'M','N','TAPERA','FLORIANÓPOLIS','SC','124251251117131411134644145114610117082',NULL,'9998',21.36,1,2,1),(28,7329067,'1985-11-28 00:00:00',2,1,12,2003,'F','N','PETROPOLIS','PTO ALEGRE','RS','124243241115275431348921435122330242097',NULL,'271',19.67,1,3,NULL),(28,7329075,'1994-03-24 00:00:00',4,1,12,2011,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215122731339811575124610166145',2570,'270',63.29,1,3,NULL),(28,7329083,'1994-09-24 00:00:00',4,1,12,2011,'M','N','CENTRO','BIGUAÇU','SC','124242246215111132518613395122610117142',19664,'63',31.50,4,3,NULL),(28,7329091,'1993-02-09 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215132431326814575124220722182',6725,'270',49.91,1,3,NULL),(28,7329105,'1994-02-05 00:00:00',4,3,12,2011,'M','N','SANTA FELICIDADE','CURITIBA','PR','116162161217121431389814595112610167112',NULL,'9998',0.00,1,3,NULL),(28,7329113,'1994-01-03 00:00:00',4,1,11,2011,'M','N','VILA VICENTINA','GUARULHOS','SP','125252251215111231448712595112610167043',10065,'9998',44.05,1,3,NULL),(28,7329121,'1994-12-23 00:00:00',4,1,11,2011,'F','N','JARDIM LONDRINA','S PAULO','SP','125252251215111711558831371124610167142',4523,'9998',54.40,3,3,NULL),(28,7329130,'1992-12-18 00:00:00',4,6,12,2009,'F','N','CENTRO','CURITIBA','PR','120202201235571431458833471122610117017',NULL,'9998',0.00,1,3,NULL),(28,7329148,'1994-06-07 00:00:00',2,1,12,2011,'M','N','COBRE','CANELINHA','SC','124241241113131531625429115121610137017',NULL,'142',0.00,1,2,1),(28,7329156,'1993-01-07 00:00:00',2,1,12,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117471411543311445225610164142',19184,'285',34.43,3,2,1),(28,7329164,'1992-06-02 00:00:00',2,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241127132431323429385124610135067',16650,'274',42.32,1,2,1),(28,7329172,'1994-10-10 00:00:00',2,10,12,2011,'F','N','MATO ALTO','LAGUNA','SC','124241248115371631513519572224610145147',NULL,'1211',0.00,4,3,NULL),(28,7329180,'1991-12-20 00:00:00',2,1,12,2009,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124242241215473431239913575124230237041',NULL,'272',0.00,1,3,NULL),(28,7329210,'1988-06-01 00:00:00',4,1,12,2005,'M','N','KOBRASOL','S JOSÉ','SC','124202203246475431223319285124610136047',14149,'9998',47.19,1,3,NULL),(28,7329229,'1985-08-19 00:00:00',2,1,8,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241246217132121123644445122131427052',NULL,'230',0.00,1,3,NULL),(28,7329237,'1993-11-04 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431469933575122610132091',5960,'270',60.65,1,3,NULL),(28,7329245,'1994-02-26 00:00:00',4,8,12,2011,'F','N','CORRUCHEL','POUSO REDONDO','SC','124241241115131431536915275124610148177',14407,'639',38.30,1,2,1),(28,7329253,'1992-06-29 00:00:00',4,1,12,2009,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241241112473411346433445124610167182',11459,'307',44.90,1,2,1),(28,7329261,'1993-10-14 00:00:00',4,1,12,2011,'M','N','VILA INDAIA','RIO CLARO','SP','125252251217111431448819395122610137042',12929,'9998',39.16,1,3,NULL),(28,7329270,'1994-08-29 00:00:00',4,2,12,2011,'F','N','ASILO','BLUMENAU','SC','124244241216131441238923585124610123177',19132,'997',34.73,1,3,NULL),(28,7329288,'1990-08-09 00:00:00',2,1,12,2010,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241243116372411637613445124610167062',10398,'306',45.32,1,2,1),(28,7329296,'1994-07-29 00:00:00',4,3,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124243246416122411456813575124610164142',10971,'1119',43.84,1,3,NULL),(28,7329326,'1991-03-02 00:00:00',4,1,11,2008,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124242241217373431469911575112130424112',7506,'270',51.82,1,3,NULL),(28,7329334,'1995-07-18 00:00:00',2,1,12,2011,'F','N','CRIANOS','FLORIANÓPOLIS','SC','124243241115372231466813235124610127055',12482,'739',49.82,4,3,NULL),(28,7329342,'1994-03-08 00:00:00',2,5,12,2011,'M','N','RIO MAINA','CRICIÚMA','SC','124244246215131451335511485124610128062',7969,'995',50.21,1,3,NULL),(28,7329350,'1993-09-10 00:00:00',4,1,12,2011,'M','N','BROOKLIN','S PAULO','SP','125252251217111431488831575122610137042',6548,'9998',51.56,1,3,NULL),(28,7329369,'1993-06-19 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241135371431326521385114610135022',15495,'285',38.50,1,2,1),(28,7329377,'1992-07-13 00:00:00',4,8,11,2009,'F','N','ZONA DOIS','MARINGÁ','PR','116162161216574431468911575125610122122',411,'9998',72.86,1,3,NULL),(28,7329385,'1988-01-31 00:00:00',4,1,12,2005,'F','N','SERRINHA','FLORIANÓPOLIS','SC','124251251137373411226612212122222228057',16369,'9998',42.96,3,3,NULL),(28,7329393,'1993-07-26 00:00:00',2,7,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161216472431466612575122610164032',7724,'9998',57.61,1,3,NULL),(28,7329407,'1995-08-10 00:00:00',4,4,12,2012,'M','S','LA SALLE','XANXERÊ','SC','124242241216111111489931581122610118192',NULL,'836',40.91,1,3,NULL),(28,7329415,'1990-03-07 00:00:00',2,16,12,2007,'F','N','CENTRO','CURITIBANOS','SC','124241241116574431435519492124220344187',13628,'733',40.71,1,3,NULL),(28,7329423,'1988-01-31 00:00:00',2,1,12,2006,'F','N','PRAIA DE FORA','PALHOÇA','SC','224241241127131411433354241124330216187',NULL,'594',22.84,1,2,1),(28,7329431,'1994-06-22 00:00:00',4,1,12,2011,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124243241115371411425611475124610127047',14904,'307',36.21,1,3,NULL),(28,7329440,'1995-02-06 00:00:00',4,15,11,2011,'M','N','PARAGUAI','JACINTO MACHADO','SC','124242241416151432446933482114610134152',19815,'813',30.19,1,3,NULL),(28,7329458,'1994-02-04 00:00:00',4,8,12,2011,'M','N','VL BOCAINA','MAUÁ','SP','125252251216111431467831571122610122142',5725,'9998',53.50,1,3,NULL),(28,7329466,'1994-04-21 00:00:00',4,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124241241136141321446614385124610147142',16273,'592',35.26,4,2,1),(28,7329474,'1995-10-27 00:00:00',4,22,12,2012,'M','S','AZAMBUJA','BRUSQUE','SC','124242241215111731689812575122610127012',NULL,'109',0.00,1,3,NULL),(28,7329482,'1992-08-22 00:00:00',4,1,12,2009,'F','N','JARDIM PAULISTANO','S CARLOS','SP','125252251217571431334823576112142968182',NULL,'9998',32.48,1,3,NULL),(28,7329490,'1994-10-15 00:00:00',2,4,12,2011,'M','N','CENTRO','PATO BRANCO','PR','116162161216371431338931575125610164037',NULL,'9998',0.00,1,3,NULL),(28,7329520,'1984-09-03 00:00:00',2,1,12,2002,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241136135431456839245124220627187',15021,'592',45.58,1,2,1),(28,7329547,'1991-05-03 00:00:00',2,1,12,2008,'F','N','PINHEIRA','PALHOÇA','SC','124241241127133431323611191324222918047',17607,'595',33.38,2,1,1),(28,7329555,'1993-03-01 00:00:00',4,1,12,2010,'M','N','VILA TUPY','PR GRANDE','SP','125252251216471431656821575122610167042',3695,'9998',59.11,1,3,NULL),(28,7329563,'1995-02-09 00:00:00',4,1,2,2012,'M','N','IPIRANGA','S JOSÉ','SC','124242241212111231556613575124610127042',NULL,'1118',16.17,1,3,NULL),(28,7329571,'1994-10-07 00:00:00',4,1,11,2011,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241215111231486611575112610117115',NULL,'270',27.87,1,3,NULL),(28,7329580,'1992-06-08 00:00:00',4,1,11,2009,'F','N','BARREIROS','S JOSÉ','SC','124162241415573641146631575114610164047',2047,'1118',67.53,1,3,NULL),(28,7329598,'1987-08-25 00:00:00',2,10,12,2005,'F','N','CENTRO','TUBARÃO','SC','124241241135471631333732492124333222142',NULL,'798',37.85,1,2,1),(28,7329601,'1991-06-25 00:00:00',2,1,12,2009,'F','N','UVARANAS','PNT GROSSA','PR','116163161336151431549613571122241366072',8124,'9998',48.41,1,3,NULL),(28,7329610,'1995-01-02 00:00:00',4,3,11,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241215111411378819395122610118142',NULL,'1038',0.00,1,3,NULL),(28,7329628,'1994-06-14 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115371411338829575124610127032',13181,'295',40.99,1,2,1),(28,7329636,'1954-09-03 00:00:00',2,1,12,1979,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241243347472411251343132114331843097',9943,'304',47.96,1,3,NULL),(28,7329644,'1994-05-03 00:00:00',2,5,11,2011,'M','N','CENTRO','LAURO MÜLLER','SC','124243246215111431448819275124610117052',18671,'995',36.59,1,3,NULL),(28,7329652,'1990-04-04 00:00:00',4,2,12,2007,'M','N','RECANTO DO LAGO','PAULÍNIA','SP','125253251216573431486612575122610167042',6885,'9998',50.69,3,3,NULL),(28,7329660,'1992-09-10 00:00:00',2,1,12,2009,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241136273431436614345112610117057',NULL,'772',33.17,1,2,1),(28,7329679,'1993-05-23 00:00:00',2,1,12,2010,'F','N','BOA VISTA','BIGUAÇU','SC','124241241117141222533319395134610163187',19942,'65',28.85,4,3,NULL),(28,7329687,'1993-09-02 00:00:00',4,1,11,2010,'F','N','APARECIDA','SANTOS','SP','125252251217471431578821571122610146097',2514,'9998',64.68,1,3,NULL),(28,7329709,'1991-07-25 00:00:00',2,1,12,2009,'F','N','CENTRO','S JOÃO BATISTA','SC','124243247346131731313948385111610112127',NULL,'9999',0.00,1,3,NULL),(28,7329717,'1980-05-29 00:00:00',4,1,12,1997,'M','N','VICTOR KONDER','BLUMENAU','SC','124241246126134711168343332122321762152',12580,'306',49.66,1,2,1),(28,7329725,'1993-12-15 00:00:00',2,1,11,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242248217111431458831575112610128142',7857,'270',51.31,1,3,NULL),(28,7329733,'1994-09-08 00:00:00',2,24,11,2011,'F','N','CENTRO','RIO SUL','SC','124242241217151431459931575122610127127',NULL,'959',28.72,1,3,NULL),(28,7329741,'1993-09-24 00:00:00',4,3,5,2011,'F','N','JUVEVE','CURITIBA','PR','116162161217121431439931382112610164012',NULL,'9998',0.00,1,3,NULL),(28,7329750,'1990-11-16 00:00:00',4,1,2,2007,'M','N','CENTRO','S JOSÉ','SC','124241241115132431333514343124133247052',17186,'739',41.07,1,2,1),(28,7329768,'1994-04-20 00:00:00',2,8,11,2011,'F','N','ORFÃS','PNT GROSSA','PR','116162161217111431368933574122610134057',8268,'9998',50.97,1,3,NULL),(28,7329776,'1993-03-05 00:00:00',4,15,12,2009,'F','N','UNIVERSITARIO','CRICIÚMA','SC','124241241112371131353316575122230222147',NULL,'785',29.37,1,3,NULL),(28,7329784,'1993-04-13 00:00:00',4,8,6,2011,'M','N','SÃO LUIZ','CRICIÚMA','SC','124245242121134431611165151343610164092',NULL,'995',0.00,1,3,NULL),(28,7329792,'1993-07-23 00:00:00',2,8,11,2011,'F','N','CENTRO','ARAQUARI','SC','124241241117371231634933342114610118147',NULL,'25',0.00,2,3,NULL),(28,7329806,'1994-03-07 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215151431438614572124610137047',18116,'1198',38.54,1,3,NULL),(28,7329830,'1990-09-28 00:00:00',4,8,12,2007,'F','N','PARQUE MARIANE','S BENTO SUL','SC','124242241215573731558712575124141432147',1067,'974',69.37,3,3,NULL),(28,7329849,'1992-12-04 00:00:00',4,3,12,2010,'F','N','JARDIM GUANABARA','RIO JANEIRO','RJ','121212211216151431266629575112241467187',NULL,'9998',0.00,1,3,NULL),(28,7329857,'1993-12-03 00:00:00',2,4,12,2009,'F','N','CENTRO','FAXINALZINHO','RS','124201201225571431433823274122610122142',10101,'9998',46.08,1,3,NULL),(28,7329865,'1993-03-03 00:00:00',4,5,7,2011,'M','N','VERA CRUZ','CRICIÚMA','SC','124242247237131431537534345124610124017',NULL,'1096',0.00,1,3,NULL),(28,7329873,'1994-02-25 00:00:00',2,1,11,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241243111131431322111572124610114042',11486,'298',51.34,1,2,1),(28,7329881,'1994-06-17 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115471411525334572321610164147',18190,'592',29.37,1,2,1),(28,7329890,'1995-05-02 00:00:00',4,3,12,2012,'M','S','CENTRO','CPO GRANDE','MS','112122121217111511358833575121610136097',NULL,'9998',44.50,1,3,NULL),(28,7329903,'1993-09-09 00:00:00',4,1,12,2011,'F','N','FERNANDES','S JOÃO BATISTA','SC','124241241117131431326524345124610156197',17569,'712',40.13,1,2,1),(28,7329911,'1993-11-11 00:00:00',4,1,11,2011,'F','N','PONTA DA PRAIA','SANTOS','SP','125252251217371431369812475114610134072',5785,'9998',56.84,1,3,NULL),(28,7329920,'1988-01-22 00:00:00',1,1,12,2005,'F','N','AREIAS BARREIROS','S JOSÉ','SC','124241241142132421233344152114610161097',NULL,'812',21.20,1,2,1),(28,7329938,'1993-03-31 00:00:00',4,1,12,2010,'M','N','BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP','125252251217371431369914375124610117047',NULL,'9998',32.68,1,3,NULL),(28,7329946,'1994-12-01 00:00:00',2,8,12,2011,'F','N','CENTRO','CANTAGALO','PR','124163241415111431646939575112610166187',10524,'1063',42.69,4,3,NULL),(28,7329954,'1994-09-21 00:00:00',2,24,12,2011,'M','N','CENTRO','VIDAL RAMOS','SC','124241241145141431537933145121610127147',NULL,'828',0.00,1,3,NULL),(28,7329962,'1994-08-23 00:00:00',4,1,12,2011,'M','N','FORQUILHINHAS','S JOSÉ','SC','124241241115111431335519595124610126017',16349,'739',43.00,1,2,1),(28,7329970,'1992-04-23 00:00:00',2,9,12,2009,'M','N','UNIVERSITÁRIO','LAGES','SC','124241241216474441457634595122233117062',14124,'515',36.98,1,3,NULL),(28,7329989,'1993-06-10 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215472431348869575114610132012',6890,'1022',52.58,1,3,NULL),(28,7329997,'1992-11-20 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217472431258933495122231034012',12300,'44',43.36,1,3,NULL),(28,7330006,'1994-05-13 00:00:00',2,4,12,2011,'F','N','CENTRO','ITÁ','SC','124241241116131431226824475124610133077',11268,'384',44.21,1,3,NULL),(28,7330014,'1994-01-25 00:00:00',4,9,11,2011,'F','N','CENTRO','S JOAQUIM','SC','124242241215111431248823572112610127011',13868,'721',36.80,1,3,NULL),(28,7330022,'1994-12-14 00:00:00',2,1,12,2011,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241117371731624429572324610137047',17937,'941',30.62,2,1,1),(28,7330030,'1993-07-20 00:00:00',2,1,12,2011,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115471431525319572321610115145',NULL,'592',19.47,1,3,NULL),(28,7330049,'1992-06-29 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124202201212151411138913315124141464076',14473,'9998',46.63,1,3,NULL),(28,7330057,'1993-11-10 00:00:00',4,8,11,2011,'M','N','SAGUAÇU','JOINVILLE','SC','124242241215111431378811575122610167182',6543,'457',59.61,1,3,NULL),(28,7330065,'1994-11-01 00:00:00',4,17,12,2011,'F','N','CENTRO','ITAIÓPOLIS','SC','124241241116131431223324345121610163147',18497,'387',27.50,1,3,NULL),(28,7330073,'1995-07-05 00:00:00',4,10,11,2012,'M','S','CENTRO','TUBARÃO','SC','124242248217271531348816465122610167057',NULL,'797',65.88,1,3,NULL),(28,7330081,'1994-03-31 00:00:00',4,1,8,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371431339923234124610165141',NULL,'262',0.00,1,3,NULL),(28,7330103,'1992-02-09 00:00:00',4,8,12,2009,'M','N','TAQUARAL','CAMPINAS','SP','125252251215571431559814291112610147042',1256,'9998',66.20,3,3,NULL),(28,7330111,'1994-10-04 00:00:00',2,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241115111431448614572122610127042',1914,'723',63.03,1,3,NULL),(28,7330154,'1995-02-09 00:00:00',2,1,12,2011,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124162241215161731559971345122610137047',14947,'948',35.98,1,3,NULL),(28,7330162,'1992-05-01 00:00:00',4,1,12,2009,'M','N','CENTRO','CHARQUEADA','SP','125253251216571432349811575114610117047',17579,'9998',40.11,1,3,NULL),(28,7330170,'1993-05-10 00:00:00',4,27,12,2010,'F','N','CENTRO','S JOSÉ CEDRO','SC','116241161416471431456633571325610135147',4687,'9998',63.02,1,3,NULL),(28,7330189,'1995-05-19 00:00:00',2,1,11,2012,'F','S','MONTE VERDE','FLORIANÓPOLIS','SC','124244241115111331436514575114610128072',NULL,'271',24.06,1,3,NULL),(28,7330197,'1994-09-24 00:00:00',2,1,11,2011,'M','N','BAIRRO IPIRANGA','S JOSÉ','SC','624242241215111411536614595114610127067',12515,'1118',42.26,1,3,NULL),(28,7330200,'1994-07-16 00:00:00',4,1,12,2011,'M','N','CENTRO','MIRANTE PARANAPANEMA','SP','125252251217161451488916585124610167182',19444,'9998',33.08,1,3,NULL),(28,7330219,'1993-04-04 00:00:00',4,1,12,2010,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215372431588712572112130421112',6060,'262',51.55,1,3,NULL),(28,7330235,'1992-04-10 00:00:00',4,1,12,2011,'M','N','JD CID DE FPOLIS','S JOSÉ','SC','624243241115141431538611215124610157047',17139,'734',30.95,1,3,NULL),(28,7330243,'1991-06-12 00:00:00',4,1,11,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216574431578811572122133227142',1920,'270',66.00,1,3,NULL),(28,7330251,'1993-07-01 00:00:00',4,1,12,2010,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241216422751369931575124221067185',NULL,'270',0.00,1,3,NULL),(28,7330260,'1994-12-09 00:00:00',4,5,12,2012,'M','S','CENTRO','CRICIÚMA','SC','124242241215151451344432575125610168192',NULL,'210',45.97,1,3,NULL),(28,7330278,'1991-11-09 00:00:00',2,1,12,2009,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241146231131414424282214610132047',NULL,'1248',29.12,1,2,1),(28,7330286,'1994-07-12 00:00:00',4,24,12,2011,'F','N','BOA VISTA','ITUPORANGA','SC','124241241117161431449913272122610128092',NULL,'416',25.73,1,2,1),(28,7330294,'1995-12-19 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431458732572122610134092',NULL,'262',21.65,1,3,NULL),(28,7330308,'1992-06-04 00:00:00',4,1,12,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243248215111731337633335114610167117',NULL,'300',19.87,1,3,NULL),(28,7330316,'1993-06-15 00:00:00',4,1,12,2010,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251217471431268924575124610124142',11857,'9998',42.15,1,3,NULL),(28,7330332,'1992-12-28 00:00:00',4,1,12,2011,'M','N','BATEL','CURITIBA','PR','116162161217471431479812342124610137042',NULL,'9998',0.00,3,3,NULL),(28,7330340,'1950-11-06 00:00:00',2,15,11,2008,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','224241247126161411421344442132610167043',18664,'9999',36.62,1,2,1),(28,7330359,'1990-02-06 00:00:00',4,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216152431459933375124222231097',NULL,'270',33.09,1,3,NULL),(28,7330367,'1994-02-16 00:00:00',2,1,12,2011,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124244241215111431436414575124610127067',NULL,'300',16.76,1,3,NULL),(28,7330375,'1995-01-08 00:00:00',4,3,11,2011,'M','N','SÃO FRANCISCO','CPO GRANDE','MS','112122121216121431468839475122610167172',NULL,'9998',17.25,1,3,NULL),(28,7330383,'1995-07-29 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215111431348813575122610167082',16598,'262',42.43,1,3,NULL),(28,7330391,'1994-05-09 00:00:00',4,5,11,2011,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124243241215141431336614345122610126147',7319,'995',58.28,1,3,NULL),(28,7330405,'1994-08-01 00:00:00',4,6,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431346721575214610168187',NULL,'44',0.00,1,3,NULL),(28,7330413,'1993-05-01 00:00:00',4,1,11,2011,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241215111431368813575114610117042',9623,'262',47.50,1,3,NULL),(28,7330421,'1989-11-12 00:00:00',2,1,12,2007,'M','N','VL GOMES CARDIM','S PAULO','SP','125252251233571231678861573124610164142',NULL,'9998',0.00,1,3,NULL),(28,7330430,'1993-08-14 00:00:00',2,1,12,2010,'M','N','PEDRA BRANCA','PALHOÇA','SC','124242241212412351346612275114610117041',8479,'270',50.23,1,3,NULL),(28,7330448,'1992-10-05 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215473711259513442122231064145',5591,'262',61.33,1,3,NULL),(28,7330456,'1994-07-28 00:00:00',2,26,12,2011,'F','N','NAÇÕES','CONCÓRDIA','SC','124241241117141512531423332124610134047',17844,'984',29.30,4,3,NULL),(28,7330464,'1994-08-19 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272221477833572112610122125',NULL,'270',23.98,1,3,NULL),(28,7330472,'1994-03-30 00:00:00',2,27,12,2011,'M','N','INTERIOR','S MIGUEL OESTE','SC','124244241416111431359914575122610118042',NULL,'754',22.86,1,3,NULL),(28,7330480,'1995-03-22 00:00:00',4,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124203241315111231456814575112610124053',8433,'272',51.50,1,3,NULL),(28,7330499,'1993-08-01 00:00:00',4,1,12,2011,'F','N','COROA DO MEIO','ARACAJU','SE','126262261217111411478834572112610134142',8787,'9998',47.15,4,3,NULL),(28,7330502,'1987-10-13 00:00:00',4,1,12,2005,'M','N','DANIELA','FLORIANÓPOLIS','SC','124172171216271531458813575124340747047',NULL,'9998',0.00,1,3,NULL),(28,7330529,'1996-04-25 00:00:00',4,9,11,2013,'F','S','CENTRO','LAGES','SC','124242241215151431469612475125610114142',NULL,'1169',30.08,1,3,NULL),(28,7330537,'1995-07-18 00:00:00',2,1,11,2012,'M','S','FLORESTA','S JOSÉ','SC','124242241215111732446631582114610137042',NULL,'1022',34.36,1,3,NULL),(28,7330545,'1993-10-14 00:00:00',4,1,11,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215111431366822595112610115095',NULL,'270',15.71,1,3,NULL),(28,7330553,'1994-06-01 00:00:00',4,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244241315111731469933575124610127182',16215,'270',33.92,1,3,NULL),(28,7330561,'1991-12-08 00:00:00',2,1,12,2008,'M','N','CENTRO','VILHENA','RO','104224221215371431356612495114610167062',6719,'9998',59.33,3,3,NULL),(28,7330570,'1993-10-30 00:00:00',4,8,12,2011,'M','N','GLORIA','JOINVILLE','SC','124243246216151411328832285124610121147',9372,'1105',46.19,1,3,NULL),(28,7330588,'1993-07-19 00:00:00',2,15,12,2010,'F','N','VILA CONCEIÇÃO','S JOÃO SUL','SC','124241241417161531534632575112610162147',NULL,'717',29.74,1,3,NULL),(28,7330600,'1995-05-28 00:00:00',4,1,11,2012,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124243241117171731469833575122610148011',NULL,'271',36.23,1,3,NULL),(28,7330626,'1992-03-04 00:00:00',2,8,12,2009,'M','N','CENTRO','CANTAGALO','PR','116161161117371421333933385122610157072',NULL,'9998',16.60,4,2,1),(28,7330634,'1986-07-14 00:00:00',2,1,10,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242247134373451336721495112221468187',16644,'258',42.33,1,3,NULL),(28,7330642,'1992-11-25 00:00:00',4,1,12,2010,'M','N','CENTRO','IMBITUBA','SC','124241241116132311536617575125121448042',1444,'359',68.52,1,2,1),(28,7330650,'1994-01-17 00:00:00',4,17,12,2011,'F','N','VILA FERROVIÁRIA','MAFRA','SC','124162161216111431336614575122610124077',1938,'9998',64.15,1,3,NULL),(28,7330669,'1993-04-30 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124252251217271411469813471122610166032',12419,'9998',49.92,1,3,NULL),(28,7330677,'1988-09-27 00:00:00',4,8,12,2007,'M','N','FLORESTA','JOINVILLE','SC','124243247325342431226614245122130262092',NULL,'9999',0.00,1,3,NULL),(28,7330685,'1992-10-09 00:00:00',4,1,12,2010,'F','N','PETRÓPOLIS','PTO ALEGRE','RS','124242241215312431458813575124132123145',2796,'270',67.42,1,3,NULL),(28,7330693,'1994-03-14 00:00:00',4,6,12,2011,'M','N','CENTRO','CURITIBA','PR','116162161217111431468834595124610137047',NULL,'9998',0.00,1,3,NULL),(28,7330707,'1995-03-04 00:00:00',4,1,12,2011,'F','N','SAO JOAO','STO AMARO IMPERATRIZ','SC','124241241115271731426635572121610164142',19193,'772',26.66,1,2,1),(28,7330715,'1994-08-09 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117471431326669572124610167041',18561,'278',30.39,1,2,1),(28,7330723,'1990-10-19 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241117371231546727345134610113145',NULL,'307',34.90,2,1,1),(28,7330731,'1992-04-07 00:00:00',2,1,12,2009,'F','N','RIO GRANDE','PALHOÇA','SC','124242241215473731446617575124233223075',12963,'1011',41.13,1,3,NULL),(28,7330740,'1994-04-13 00:00:00',2,1,12,2011,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','124241246132131731513339572344610114147',NULL,'257',24.19,1,3,NULL),(28,7330758,'1995-02-06 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111431559913572122610137047',15190,'262',33.98,1,3,NULL),(28,7330766,'1994-06-15 00:00:00',2,9,12,2011,'F','N','SANTA CATARINA','LAGES','SC','124241241115371431226429572122610137147',16305,'498',32.85,1,2,1),(28,7330774,'1992-08-29 00:00:00',4,8,12,2009,'F','N','SANTA QUITÉRIA','CURITIBA','PR','116162161217573431458832572122610144142',NULL,'9998',0.00,1,3,NULL),(28,7330782,'1992-11-16 00:00:00',4,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124162246117371431456713475124610123145',7844,'306',54.52,1,3,NULL),(28,7330790,'1992-04-24 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241345472431468812572125610117042',10710,'51',48.82,1,3,NULL),(28,7330804,'1991-01-06 00:00:00',2,1,11,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117134411435679445124232824092',14290,'257',36.81,1,3,NULL),(28,7330812,'1991-07-03 00:00:00',2,1,12,2008,'M','N','INDUSTRIAL','GUAJARÁ-MIRIM','RO','122222221217151731586832495113242427126',NULL,'9998',0.00,1,3,NULL),(28,7330820,'1992-02-19 00:00:00',4,1,10,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241225321431388919275112610164141',16966,'1197',41.61,1,3,NULL),(28,7330839,'1994-04-26 00:00:00',4,1,12,2011,'F','N','LOURDES','CAXIAS SUL','RS','120204201217471431479913471122610143142',10948,'9998',43.79,1,3,NULL),(28,7330847,'1989-10-19 00:00:00',4,1,12,2007,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124252251217472411615928385124610137112',8150,'9998',50.99,1,3,NULL),(28,7330855,'1994-02-10 00:00:00',4,8,12,2011,'F','N','PARQUE MARIANE','S BENTO SUL','SC','124242161215411411558712572124610137147',NULL,'9998',0.00,3,3,NULL),(28,7330863,'1994-12-08 00:00:00',2,15,12,2011,'M','N','SÃO LUIZ','SOMBRIO','SC','124244241117131431536914395122610167117',NULL,'1033',29.61,1,3,NULL),(28,7330871,'1994-12-05 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431356622375124610167047',17137,'1118',35.43,1,3,NULL),(28,7330880,'1991-07-04 00:00:00',2,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116162161215571431558711595125610123147',1865,'9998',64.71,3,3,NULL),(28,7330898,'1990-06-17 00:00:00',4,8,12,2007,'M','N','JARDIM PAULISTA','JUNDIAÍ','SP','125254251216571431488632275122610164166',157,'9998',76.22,1,3,NULL),(28,7330901,'1991-08-02 00:00:00',4,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215112431226622485124222267017',8514,'270',56.24,1,3,NULL),(28,7330910,'1994-05-10 00:00:00',4,2,12,2011,'F','N','VILA NOVA','BLUMENAU','SC','124244241116131731237731395124610127097',14765,'88',36.72,1,3,NULL),(28,7330936,'1994-07-01 00:00:00',2,1,12,2011,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111311438814175124610137042',17515,'262',40.26,1,3,NULL),(28,7330944,'1994-09-22 00:00:00',2,1,12,2011,'M','N','CÔRREGO GRANDE','FLORIANÓPOLIS','SC','124243241217111731338611575124610117045',16007,'951',34.48,1,3,NULL),(28,7330952,'1988-05-09 00:00:00',2,15,12,2005,'M','N','COLONINHA','ARARANGUÁ','SC','124241241136111332524934445111610124042',NULL,'29',11.48,1,3,NULL),(28,7330960,'1994-05-20 00:00:00',4,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431349932575124610161093',NULL,'883',0.00,1,3,NULL),(28,7330979,'1994-05-22 00:00:00',2,1,11,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431366613572124610162071',8071,'270',49.49,1,3,NULL),(28,7330987,'1994-07-09 00:00:00',2,1,12,2012,'M','S','COSTEIRA DOPIRAJUBAE','FLORIANÓPOLIS','SC','124241241137111741525532345124610117185',NULL,'295',16.65,1,3,NULL),(28,7330995,'1994-01-10 00:00:00',4,8,12,2011,'M','N','IRIRIÚ','JOINVILLE','SC','124242246216151731469814575122610127042',NULL,'494',29.94,1,3,NULL),(28,7331002,'1994-02-06 00:00:00',4,1,12,2010,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241137131432327634245114610124042',NULL,'733',33.02,1,2,1),(28,7331010,'1995-12-15 00:00:00',4,1,12,2012,'F','S','CENTRO','CAÇADOR','SC','124242241216471531349911115122610131147',NULL,'120',0.00,1,3,NULL),(28,7331029,'1990-12-09 00:00:00',2,6,12,2008,'F','N','FAZENDA','ITAJAÍ','SC','124242241215141421526434442112132737142',NULL,'388',33.78,1,3,NULL),(28,7331037,'1994-08-18 00:00:00',2,9,12,2011,'F','N','ARAUCÁRIA','LAGES','SC','124241241116371431426611375124610134147',NULL,'500',21.61,1,3,NULL),(28,7331045,'1993-09-25 00:00:00',4,1,12,2011,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124251241135131431323321315124610124192',6797,'257',50.40,1,2,1),(28,7331053,'1994-04-03 00:00:00',2,1,12,2011,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241115371431423314242124610113057',12906,'772',43.25,1,2,1),(28,7331061,'1990-03-27 00:00:00',2,1,12,2007,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241216135431433832295124233267067',2074,'1022',64.76,1,3,NULL),(28,7331088,'1992-05-24 00:00:00',2,1,7,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124241241117372422425319297114610164197',9806,'739',47.95,1,2,1),(28,7331096,'1994-06-27 00:00:00',4,17,12,2011,'F','N','CENTRO','CANOINHAS','SC','124241241116141431436914575122610122077',2999,'146',59.89,1,2,1),(28,7331100,'1990-04-25 00:00:00',4,1,12,2007,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217574431259713495112221467042',4500,'262',63.38,1,3,NULL),(28,7331118,'1994-09-25 00:00:00',2,1,12,2011,'F','N','CENTRO','ÁGUAS MORNAS','SC','124244241216111411446832576114610166192',13685,'1223',40.36,1,3,NULL),(28,7331126,'1992-05-15 00:00:00',4,1,5,2010,'M','N','ARIRIU','PALHOÇA','SC','124243241447141111336513415121610114174',19499,'9999',32.68,1,3,NULL),(28,7331134,'1993-12-18 00:00:00',4,1,12,2010,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124201201116161431346514385122610124147',11447,'9998',41.93,1,3,NULL),(28,7331142,'1994-05-11 00:00:00',4,22,12,2011,'F','N','JARDIM SÃO PAULO','S JOÃO BATISTA','SC','624241241142141431434319295122610127042',NULL,'712',15.00,1,2,1),(28,7331169,'1994-04-17 00:00:00',4,2,12,2011,'M','N','ESCOLA AGRÍCOLA','BLUMENAU','SC','124242241215112431469814575124610165147',1888,'855',64.86,1,3,NULL),(28,7331177,'1992-02-14 00:00:00',2,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241417234431466829385114610117037',13329,'1022',48.51,4,3,NULL),(28,7331185,'1994-07-20 00:00:00',2,24,12,2011,'F','N','CENTRO','SALETE','SC','124243241436142432226621235121610164147',NULL,'680',18.56,1,3,NULL),(28,7331193,'1994-06-10 00:00:00',2,24,12,2011,'F','N','CENTRO','SALETE','SC','124243241436161431436934585125610133057',NULL,'680',23.25,1,3,NULL),(28,7331207,'1989-10-28 00:00:00',4,1,12,2007,'M','N','SION','BELO HORIZONTE','MG','113132131217571431467732576122140637042',1223,'9998',72.27,1,3,NULL),(28,7331215,'1985-05-28 00:00:00',2,1,12,2003,'F','N','PAGANI II','PALHOÇA','SC','624201206115275431246654475114610164147',10064,'9998',46.59,2,1,1),(28,7331223,'1993-07-01 00:00:00',4,1,11,2010,'F','N','FLORESTA','PTO ALEGRE','RS','120204201217141741348824345124243265187',15557,'9998',44.61,1,3,NULL),(28,7331231,'1994-08-01 00:00:00',4,8,12,2011,'M','N','CENTRO','CURITIBA','PR','124244241216271731458813575114610134117',NULL,'1105',0.00,1,3,NULL),(28,7331240,'1993-08-12 00:00:00',4,16,12,2011,'F','N','CENTRO','CURITIBANOS','SC','124241241115271232221324572225610134147',NULL,'239',25.69,1,2,1),(28,7331266,'1990-11-26 00:00:00',2,1,12,2007,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116274731523316595124221228187',2233,'307',64.65,1,2,1),(28,7331274,'1986-10-20 00:00:00',4,1,12,2004,'M','N','CAMPINAS','S JOSÉ','SC','224241248126131732328344345133610152047',NULL,'29',23.91,1,2,1),(28,7331282,'1977-02-21 00:00:00',2,15,12,1994,'F','N','DIVINÉIA','ARARANGUÁ','SC','224241243116152731663353382122610121147',18662,'29',36.62,1,3,NULL),(28,7331290,'1994-04-22 00:00:00',4,2,11,2011,'M','N','NAÇÕES','TIMBÓ','SC','124241241215111431463632575121610124062',10213,'1157',45.65,1,3,NULL),(28,7331304,'1995-06-28 00:00:00',4,1,12,2012,'M','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111231469613575124610124042',NULL,'1197',38.00,1,3,NULL),(28,7331312,'1994-12-16 00:00:00',2,5,11,2011,'M','N','CENTRO','MRO FUMAÇA','SC','124242246217371431348821386124610137052',7077,'995',50.24,1,3,NULL),(28,7331320,'1993-09-01 00:00:00',2,1,12,2011,'F','N','CENTRO DE PALHOÇA','PALHOÇA','SC','124241243125131431633931571224610113142',NULL,'591',24.72,1,3,NULL),(28,7331339,'1991-09-11 00:00:00',2,15,12,2008,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124242246236172421425811215112610168141',NULL,'970',28.51,1,3,NULL),(28,7331347,'1992-09-24 00:00:00',2,1,12,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215374431435734572124610127072',5016,'272',57.11,1,3,NULL),(28,7331355,'1965-03-07 00:00:00',6,1,12,1985,'F','N','AREIAS','S JOSÉ','SC','224243245117131431433654392124610131147',19140,'307',34.68,1,3,NULL),(28,7331363,'1994-05-17 00:00:00',2,1,11,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215121631656612575114230767182',NULL,'270',26.23,1,3,NULL),(28,7331371,'1994-04-28 00:00:00',2,1,11,2011,'F','N','FLORESTA','S JOSÉ','SC','624242241215111411446614595114610123097',8861,'1118',49.61,1,3,NULL),(28,7331398,'1994-03-30 00:00:00',4,1,12,2010,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215472431468833571124610125152',1783,'270',68.49,1,3,NULL),(28,7331410,'1993-04-14 00:00:00',2,22,12,2010,'F','N','NOVA BRASÍLIA','BRUSQUE','SC','124241241137371431446614345122610134097',8663,'116',48.37,3,2,1),(28,7331428,'1994-04-01 00:00:00',4,1,11,2011,'F','N','SETOR OESTE','GOIÂNIA','GO','109092091215111531456622575122610122192',8191,'9998',50.52,1,3,NULL),(28,7331436,'1995-04-29 00:00:00',4,4,12,2011,'F','N','MENINO DEUS','PASSO FUNDO','RS','120201201116271451536834145122610122041',8253,'9998',47.90,1,2,1),(28,7331444,'1994-05-30 00:00:00',4,2,12,2011,'M','N','TESTO REGA','POMERODE','SC','124244241215111531568314575124610167042',9666,'624',45.06,1,3,NULL),(28,7331452,'1992-09-24 00:00:00',4,1,12,2011,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241114211431425534245124633217043',NULL,'307',15.16,1,2,1),(28,7331460,'1993-03-16 00:00:00',4,1,12,2009,'F','N','JARDIM PORTO ALEGRE','TOLEDO','PR','116162161217511411439934571322610163142',7917,'9998',49.85,1,3,NULL),(28,7331479,'1991-09-02 00:00:00',2,4,12,2008,'F','N','CENTRO','PORTÃO','RS','120201201216575311338631571123610162197',3474,'9998',57.83,1,3,NULL),(28,7331487,'1989-09-22 00:00:00',2,8,12,2006,'M','N','BIGORRILHO','CURITIBA','PR','218174185427423231163324443122231827165',2084,'9998',66.31,1,3,NULL),(28,7331495,'1994-02-16 00:00:00',2,1,12,2011,'M','N','JD URBANO BROCCHI I','TAPIRATIBA','SP','125251251117111431436639575124610147187',9003,'9998',48.05,1,2,1),(28,7331509,'1981-10-18 00:00:00',4,1,12,2011,'F','N','BELA VISTA','PALHOÇA','SC','124161241125131431543354372121610137182',18466,'1108',26.50,1,3,NULL),(28,7331517,'1994-11-09 00:00:00',4,1,12,2011,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241132131431321424172124610133187',12475,'329',39.66,1,2,1),(28,7331525,'1992-08-10 00:00:00',4,1,11,2009,'M','N','SANTA BÁRBARA','CRICIÚMA','SC','124242241217474441469931572124241427052',NULL,'210',0.00,1,3,NULL),(28,7331533,'1995-06-27 00:00:00',4,1,12,2011,'F','N','COLONIA SANTANA','S JOSÉ','SC','124241241145131431333639395124610124057',NULL,'731',14.55,1,3,NULL),(28,7331541,'1994-08-01 00:00:00',4,4,12,2011,'F','N','RUSCHEL','IPORÃ OESTE','SC','124241241115111431436671241122610157057',NULL,'371',19.31,1,3,NULL),(28,7331550,'1994-07-21 00:00:00',4,1,11,2011,'F','N','JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111431269921575122610122182',1315,'270',68.56,1,3,NULL),(28,7331584,'1991-12-03 00:00:00',4,1,12,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','110242241215474431469919272112132144077',2003,'270',63.67,2,1,2),(28,7331592,'1994-09-29 00:00:00',4,24,12,2010,'M','N','SANTA TEREZA','AURORA','SC','124241241117151731559933585112610167052',9148,'40',47.37,1,2,1),(28,7331606,'1994-06-25 00:00:00',4,3,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242243117371431336911575122610162142',3486,'129',58.04,1,3,NULL),(28,7331614,'1988-08-05 00:00:00',4,2,12,2005,'M','N','PADRE MARTINHO STEIN','TIMBÓ','SC','124241241127131431336631245122330228112',17996,'870',38.94,1,2,1),(28,7331630,'1994-01-04 00:00:00',2,1,12,2011,'M','N','IPIRANGA','S JOSÉ','SC','124244241215111731437614585114610167042',6774,'1118',51.01,1,3,NULL),(28,7331649,'1992-07-08 00:00:00',4,1,12,2009,'M','N','VILA RESENDE','PIRACICABA','SP','125252251216571431368834575112610167046',7459,'9998',49.30,1,3,NULL),(28,7331657,'1994-10-16 01:00:00',4,1,12,2011,'F','N','CENTRO','TIJUCAS','SC','124241241215111411636833475122610132053',19167,'1119',34.52,2,3,NULL),(28,7331665,'1993-09-18 00:00:00',4,8,12,2011,'F','N','IRIRIÚ','JOINVILLE','SC','124241241215131731438669575124610121017',14521,'861',37.25,2,1,2),(28,7331673,'1994-07-13 00:00:00',2,1,12,2011,'M','N','CARUMBÉ','CUIABÁ','MT','111112118237111431468812575112610137042',7412,'9998',50.59,4,3,NULL),(28,7331681,'1992-02-23 00:00:00',4,1,12,2009,'M','N','IPIRANGA','S PAULO','SP','125252251216571411258833575124610132092',64,'9998',79.36,1,3,NULL),(28,7331690,'1994-02-01 00:00:00',4,23,12,2011,'F','N','VILA BAEPENDI','JARAGUÁ SUL','SC','124241241117371331339924335131610113012',17678,'425',34.16,1,2,1),(28,7331703,'1994-10-11 00:00:00',2,1,12,2011,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241117371731328731575114610164182',14304,'307',39.01,1,2,1),(28,7331711,'1991-12-21 00:00:00',2,1,12,2009,'F','N','JARDIM ARIZONA','SETE LAGOAS','MG','113134131217571431558721375124610126042',5735,'9998',52.92,3,3,NULL),(28,7331720,'1994-04-07 00:00:00',4,4,11,2011,'M','N','CENTRO','CHAPECÓ','SC','124243241215371431458619345112610137062',17794,'185',39.49,1,3,NULL),(28,7331738,'1990-10-28 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241237372431479934472122122023147',357,'262',76.88,1,3,NULL),(28,7331754,'1986-09-12 00:00:00',2,1,12,2004,'M','N','ARIRIU','PALHOÇA','SC','124251256227363441225644442223130224051',NULL,'9998',26.47,1,3,NULL),(28,7331762,'1993-09-25 00:00:00',2,1,12,2011,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241145141231623451311124610167157',14844,'290',37.26,1,2,1),(28,7331770,'1989-05-09 00:00:00',4,8,12,2006,'M','N','SANTA CATARINA','JOINVILLE','SC','124241241326151722456614245123231414117',NULL,'478',0.00,1,3,NULL),(28,7331789,'1994-04-18 00:00:00',2,1,12,2011,'F','N','SAVEIRO','BIGUAÇU','SC','124241241115471411323339275124610113072',NULL,'65',25.04,1,2,1),(28,7331819,'1989-05-05 00:00:00',2,1,12,2006,'M','N','AGRÔNOMICA','FLORIANÓPOLIS','SC','124241241115373731426623295122610127047',NULL,'298',25.95,1,2,1),(28,7331827,'1994-08-08 00:00:00',3,9,12,2011,'M','N','UNIVERSITÁRIO','LAGES','SC','124242241215111112379934575112610132146',NULL,'497',0.00,1,3,NULL),(28,7331835,'1995-03-23 00:00:00',4,1,11,2011,'M','N','AREIAS','S JOSÉ','SC','124243241317311431536714242124610167082',16127,'1078',33.94,1,3,NULL),(28,7331843,'1996-02-18 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217151411638832575115610164192',NULL,'1168',43.35,1,3,NULL),(28,7331851,'1988-12-28 00:00:00',2,27,12,2006,'F','N','BEIRA CAMPO','SARANDI','RS','120201201146131421323314295132243243147',NULL,'9998',0.00,1,2,1),(28,7331878,'1990-10-26 00:00:00',4,1,2,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243246111113721537519595125133268197',7800,'306',50.44,1,3,NULL),(28,7331886,'1994-11-05 00:00:00',4,6,11,2011,'M','N','SÃO JOÃO','ITAJAÍ','SC','124244246217141131463912575121610117047',14968,'1059',40.49,1,3,NULL),(28,7331894,'1990-12-22 00:00:00',2,7,12,2008,'M','N','CENTRO','CAMPOS NOVOS','SC','124241241126141421223344445125610137057',NULL,'1',2.37,3,2,1),(28,7331908,'1994-09-29 00:00:00',4,1,11,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117271431228614571124610112077',9314,'271',48.05,1,2,1),(28,7331916,'1993-09-17 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211152411178612572122221417062',5196,'855',62.05,1,3,NULL),(28,7331924,'1994-12-26 00:00:00',4,1,12,2012,'M','S','ITAMARATY','FOZ IGUAÇU','PR','116162161217111311574612275112610145092',NULL,'9998',37.95,2,3,NULL),(28,7331932,'1993-11-30 00:00:00',4,8,11,2011,'F','N','BOM RETIRO','JOINVILLE','SC','124243241216111411536834575122610147072',18720,'1006',36.39,1,3,NULL),(28,7331959,'1990-08-06 00:00:00',2,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241132132431433729141124610127042',NULL,'1248',21.99,1,2,1),(28,7331967,'1994-06-03 00:00:00',4,1,11,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241215112411348836495122610144142',7139,'270',52.39,1,3,NULL),(28,7331975,'1993-06-14 00:00:00',2,1,12,2010,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243241217112431569813595122610124042',17253,'210',40.88,4,3,NULL),(28,7331983,'1957-10-01 00:00:00',4,2,12,1974,'M','N','VALPARAIZO','BLUMENAU','SC','224241248616152711473649295112432362192',18484,'392',37.34,1,3,NULL),(28,7332009,'1992-06-15 00:00:00',2,5,12,2009,'M','N','JARDIM FLORENÇA','NOVA VENEZA','SC','124241246116271431433319395123610167182',9306,'576',46.07,1,2,1),(28,7332025,'1994-05-13 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241215112431349834575112610144192',10754,'737',45.73,1,3,NULL),(28,7332033,'1994-05-29 00:00:00',4,7,12,2011,'F','N','CENTRO','IBIAM','SC','124241241135131431435529392225610137147',NULL,'343',28.61,1,3,NULL),(28,7332041,'1994-06-16 00:00:00',2,27,12,2011,'F','N','SÃO GOTARDO','S MIGUEL OESTE','SC','124243243215111431537531215124610166012',NULL,'1179',29.37,1,3,NULL),(28,7332050,'1994-10-09 00:00:00',4,6,12,2011,'M','N','CENTRO','ITAJAÍ','SC','124242248217111431428819572121610127042',NULL,'391',24.88,1,3,NULL),(28,7332068,'1993-12-26 00:00:00',4,8,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124242241211111431479913571112610133072',8324,'185',49.55,1,3,NULL),(28,7332084,'1992-09-03 00:00:00',2,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124204201215471451337811445124610147047',NULL,'9998',0.00,1,3,NULL),(28,7332092,'1990-04-12 00:00:00',4,8,12,2007,'M','N','JD SÃO NICOLAU','S PAULO','SP','125253251237571231446814375124610162177',1958,'9998',65.97,1,3,NULL),(28,7332106,'1994-04-15 00:00:00',2,1,12,2011,'M','N','NOVA BRASILIA','IMBITUBA','SC','124242241111141431538923375124610114192',NULL,'359',25.80,1,3,NULL),(28,7332114,'1988-11-30 00:00:00',4,10,11,2005,'F','N','HUMAITA DE CIMA','TUBARÃO','SC','124241241117131741336319395122132854017',19363,'798',33.57,1,2,1),(28,7332122,'1992-03-01 00:00:00',2,7,12,2009,'M','N','CENTRO','FAXINAL GUEDES','SC','124241241211112431458514442124610137142',NULL,'1081',29.20,1,3,NULL),(28,7332130,'1979-10-20 00:00:00',2,1,12,1999,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124252257237472421256621215132131227017',19313,'9998',33.80,1,3,NULL),(28,7332157,'1990-01-16 00:00:00',4,1,12,2007,'F','N','MORUMBI','S PAULO','SP','125252251215571431448719575122610127042',717,'9998',69.42,1,3,NULL),(28,7332165,'1989-11-03 00:00:00',4,1,12,2006,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215153411458813435112333266182',8698,'1022',55.92,1,3,NULL),(28,7332173,'1993-01-27 00:00:00',2,1,12,2009,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116161161116573411437813485124240934147',4043,'9998',58.66,1,2,1),(28,7332181,'1994-12-31 00:00:00',2,7,12,2011,'F','N','CENTRO','TREZE TÍLIAS','SC','124241241115161731448614572122610135147',18289,'795',38.00,1,3,NULL),(28,7332190,'1990-12-31 00:00:00',4,1,12,2009,'F','N','CAMPO GRANDE','SANTOS','SP','125252251216472411468829575125610162077',NULL,'9998',0.00,1,3,NULL),(28,7332203,'1994-05-03 00:00:00',2,4,12,2011,'F','N','SAMBUGARO','PATO BRANCO','PR','116162161216371531423634395122610124017',NULL,'9998',0.00,1,3,NULL),(28,7332211,'1993-07-21 00:00:00',2,1,12,2010,'M','N','CENTRO','IMBITUBA','SC','124242241516152231438831595124220224122',3919,'362',60.83,1,3,NULL),(28,7332220,'1994-04-08 00:00:00',4,1,11,2011,'M','N','VILA SOROCABANA','GUARULHOS','SP','125252251216111431438833571124610137042',5839,'9998',49.80,1,3,NULL),(28,7332246,'1989-08-05 00:00:00',2,1,12,2007,'F','N','CALHEIROS','GOV CELSO RAMOS','SC','124241241126272431423314345114610137113',15617,'329',36.02,1,2,1),(28,7332254,'1992-03-30 00:00:00',4,5,12,2010,'M','N','BRASÍLIA','CRICIÚMA','SC','124241243116151431334314345112610134142',18059,'228',38.71,1,3,NULL),(28,7332262,'1992-11-07 00:00:00',4,2,12,2010,'M','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241215372431359931575114231068042',5612,'71',54.89,1,3,NULL),(28,7332289,'1991-02-16 00:00:00',4,1,12,2008,'M','N','SÍTIO CERCADO','CURITIBA','PR','116162161236572431448614245122141467042',6284,'9998',60.08,1,3,NULL),(28,7332297,'1993-06-07 00:00:00',4,1,11,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241116372711348614575124233238192',19657,'269',31.54,1,3,NULL),(28,7332300,'1993-11-21 00:00:00',6,8,12,2011,'F','N','ITAUM','JOINVILLE','SC','124241246137141431526834245124610156147',NULL,'492',19.02,3,3,NULL),(28,7332335,'1980-12-02 00:00:00',4,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','224283241237472421327344345134610114182',8075,'1169',57.02,3,3,NULL),(28,7332343,'1994-01-25 00:00:00',4,1,12,2011,'F','N','VILA ANCHIETA','JUNDIAÍ','SP','125252251215111431358613335122610138092',16282,'9998',34.01,1,3,NULL),(28,7332351,'1991-10-24 00:00:00',4,10,12,2008,'M','N','DEHON','TUBARÃO','SC','124244241215573431243414445122231464042',NULL,'806',0.00,1,3,NULL),(28,7332378,'1993-08-01 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241236372711479913296112610134047',9110,'270',55.23,1,3,NULL),(28,7332386,'1990-02-01 00:00:00',2,1,12,2008,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241133371431526614245124610142184',14173,'772',38.74,1,2,1),(28,7332408,'1982-06-17 00:00:00',4,1,12,1999,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241127135431126644442124322234197',6331,'677',51.74,1,2,1),(28,7332416,'1983-06-09 00:00:00',2,1,11,2001,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241316133421336651315134610165057',NULL,'943',20.16,3,3,NULL),(28,7332424,'1993-07-14 00:00:00',4,1,11,2010,'M','N','BELA VISTA','ERECHIM','RS','120202201215272431468934372112223238143',4178,'9998',55.44,1,3,NULL),(28,7332432,'1993-02-01 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215112732348814435124122067147',4074,'213',55.58,1,3,NULL),(28,7332459,'1990-01-11 00:00:00',2,8,12,2008,'F','N','COSTA E SILVA','JOINVILLE','SC','124243248215471731438614475124132627117',NULL,'1105',19.50,1,3,NULL),(28,7332467,'1994-09-16 00:00:00',4,26,12,2011,'M','N','CENTRO','IPUMIRIM','SC','124241241115161431556614575112610132052',16068,'374',37.02,1,2,1),(28,7332475,'1995-05-09 00:00:00',4,1,10,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215271431536724575124610144186',3690,'1197',62.15,1,3,NULL),(28,7332483,'1989-11-16 00:00:00',2,1,7,2008,'M','N','AREIAS','S JOSÉ','SC','124242247217374431439614445112610137042',NULL,'9999',26.24,1,3,NULL),(28,7332491,'1994-06-17 00:00:00',2,1,12,2011,'F','N','CENTRO','GAROPABA','SC','124241241122131431323313335124610137142',NULL,'322',20.28,1,2,1),(28,7332505,'1995-02-15 00:00:00',4,1,12,2011,'M','N','CIDADE ALTA','MEDIANEIRA','PR','116164161115151432327729292221610162187',NULL,'9998',0.00,1,3,NULL),(28,7332513,'1988-08-30 00:00:00',4,1,12,2005,'M','N','MONTE CARLO','CPO GRANDE','MS','112122121216471431248823475122241012097',324,'9998',73.76,1,3,NULL),(28,7332521,'1993-06-13 00:00:00',2,1,12,2010,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241111432531413319345114610133047',19331,'1248',28.20,1,2,1),(28,7332548,'1991-07-23 00:00:00',4,1,10,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241215574231576712575122230267042',5389,'723',55.38,1,3,NULL),(28,7332556,'1986-12-01 00:00:00',4,6,12,2005,'F','N','MORRETES','ITAPEMA','SC','124241241146131751436339185124133268117',NULL,'405',0.00,1,3,NULL),(28,7332564,'1994-02-04 00:00:00',4,1,12,2011,'M','N','POTECAS','S JOSÉ','SC','124241241126141432334321115124610137045',NULL,'9997',0.00,1,3,NULL),(28,7332572,'1994-02-15 00:00:00',4,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241216111411466633575124610167112',12624,'723',45.67,1,3,NULL),(28,7332580,'1992-12-06 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124112241217473431169851595124230234142',5995,'270',60.60,1,3,NULL),(28,7332599,'1993-06-16 00:00:00',2,15,7,2011,'M','N','MONTE CASTELO','CRICIÚMA','SC','124241246237131431438633387124610164052',NULL,'995',0.00,3,3,NULL),(28,7332602,'1994-09-23 00:00:00',4,23,12,2011,'M','N','CENTRO','GUARAMIRIM','SC','124243241116271432555814572124610124057',NULL,'335',30.49,4,3,NULL),(28,7332610,'1993-08-28 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241235572411489813575122610123015',4927,'270',57.42,1,3,NULL),(28,7332629,'1992-03-22 00:00:00',2,1,12,2009,'F','N','JARDIM SANTA RITA','INDAIATUBA','SP','125252253216372751328619495124610161197',11468,'9998',44.93,1,3,NULL),(28,7332645,'1993-11-03 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','624243241315152431469614175125610162057',15571,'1118',44.59,1,3,NULL),(28,7332670,'1994-12-13 00:00:00',4,1,12,2011,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241115151712438833471111610165185',NULL,'267',0.00,1,2,1),(28,7332688,'1992-03-15 00:00:00',2,1,12,2009,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215374421436633445124133231192',16363,'1022',42.97,1,3,NULL),(28,7332726,'1993-02-09 00:00:00',4,1,12,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241215143411369713295124232066012',NULL,'1022',0.00,1,3,NULL),(28,7332734,'1993-10-21 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241116272331426531345114610115097',19266,'733',34.04,1,3,NULL),(28,7332742,'1989-07-23 00:00:00',4,3,12,2007,'F','N','JARDIM PARAÍBA','APARECIDA','SP','125252251217573431428611574125610166187',959,'9998',70.42,1,3,NULL),(28,7332750,'1991-07-16 00:00:00',2,3,11,2008,'F','N','CENTRO','CURITIBA','PR','116162161216574411436614175115610163097',2615,'9998',61.46,1,3,NULL),(28,7332777,'1988-07-08 00:00:00',2,1,8,2008,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116274432334923185123610134082',14804,'306',36.68,1,2,1),(28,7332785,'1992-02-01 00:00:00',4,1,11,2009,'F','N','COUNTRY','CASCAVEL','PR','116161161217571731549913375122241464127',12276,'9998',41.56,1,3,NULL),(28,7332793,'1993-10-29 00:00:00',1,1,12,2011,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124241241117152431588813575122610133145',1818,'267',65.97,1,2,1),(28,7332815,'1994-07-19 00:00:00',2,1,12,2011,'F','N','SILVEIRA','BELO HORIZONTE','MG','113254131216371441448774572122610122072',13080,'9998',48.86,1,3,NULL),(28,7332823,'1993-12-12 00:00:00',4,6,12,2011,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124243241217111411469713575111610132092',2882,'1026',63.62,1,3,NULL),(28,7332831,'1992-07-24 00:00:00',4,1,12,2009,'M','N','LAPA','S PAULO','SP','125252251212571432658811272121610167057',NULL,'703',0.00,1,3,NULL),(28,7332840,'1993-09-29 00:00:00',4,1,11,2011,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241215111431328669575122610118077',18041,'270',38.76,1,3,NULL),(28,7332858,'1992-09-13 00:00:00',4,24,12,2009,'M','N','CENTRO','PRES GETÚLIO','SC','124241241146373721546612245114122364047',4842,'644',57.04,1,2,1),(28,7332866,'1992-11-16 00:00:00',4,1,11,2009,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241216573751588739595112610168197',NULL,'270',0.00,4,3,NULL),(28,7332874,'1994-06-19 00:00:00',4,1,12,2011,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241215111431434634575122610142097',15101,'1223',45.40,1,3,NULL),(28,7332882,'1994-08-29 00:00:00',4,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124241241115131431325814371122610124187',16332,'734',31.01,4,2,1),(28,7332890,'1988-05-11 00:00:00',2,1,12,2009,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247147141431423314345122610125012',19260,'9999',34.07,1,3,NULL),(28,7332904,'1993-05-03 00:00:00',4,8,11,2011,'M','N','ACARAI','S FRANCISCO SUL','SC','124241241136141431523419312124610144052',NULL,'710',17.41,1,2,1),(28,7332912,'1994-11-09 00:00:00',4,1,12,2011,'M','N','CENTRO','TOLEDO','PR','116162161115151431389911295122610167092',17644,'9998',30.28,1,3,NULL),(28,7332920,'1993-08-12 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124243241216372431436631585124610114052',5351,'737',55.68,1,3,NULL),(28,7332939,'1994-04-28 00:00:00',4,10,12,2011,'M','N','SANTA LÚCIA','CAPIVARI BAIXO','SC','124241241215111731466933575124610128142',3275,'1120',58.95,1,3,NULL),(28,7332955,'1991-09-09 00:00:00',4,1,12,2008,'M','N','CANTO','FLORIANÓPOLIS','SC','124242241217154431559914575124221464182',3379,'1022',65.90,1,3,NULL),(28,7332963,'1990-05-19 00:00:00',2,10,12,2008,'M','N','PASSAGEM','TUBARÃO','SC','124241241146371441444434345122610115111',16612,'801',42.40,1,2,1),(28,7332971,'1993-04-01 00:00:00',2,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124242241216132431326823475114131422057',13780,'1077',36.76,1,3,NULL),(28,7332998,'1971-09-16 00:00:00',5,1,12,1991,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','224241241126154431363353232122331927173',13587,'610',48.09,1,3,NULL),(28,7333005,'1995-06-03 00:00:00',4,1,12,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241237111711538462575122610127147',13964,'1022',36.45,4,3,NULL),(28,7333013,'1991-07-27 00:00:00',4,3,12,2008,'F','N','CENTRO','S FRANCISCO SUL','SC','124242241216575431458833591124610166122',7677,'486',50.30,1,3,NULL),(28,7333021,'1994-03-02 00:00:00',2,3,11,2011,'F','N','CENTRO','CEL VIVIDA','PR','116162161216111411436614175112610167047',NULL,'9998',0.00,4,3,NULL),(28,7333048,'1994-02-10 00:00:00',2,24,12,2011,'F','N','CENTRO','LONTRAS','SC','124241241216371431439912575122610127092',16263,'663',32.28,1,3,NULL),(28,7333056,'1991-09-24 00:00:00',2,1,10,2011,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241247426141211539413385124610153087',19923,'9999',29.03,1,3,NULL),(28,7333064,'1994-08-02 00:00:00',4,1,12,2011,'F','N','PAGANI','PALHOÇA','SC','124241241235112441327721572124610136097',151,'270',78.73,1,3,NULL),(28,7333072,'1984-05-26 00:00:00',4,1,8,2003,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241246135145421233341215124610166142',16495,'306',42.67,1,2,1),(28,7333080,'1989-11-19 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215143411359814491124230217043',17773,'262',39.55,1,3,NULL),(28,7333099,'1994-03-18 00:00:00',4,24,11,2011,'F','N','FARROUPILHA','VIDEIRA','SC','124242241216131431234327275112610142057',5687,'829',56.57,1,3,NULL),(28,7333102,'1994-07-27 00:00:00',4,1,11,2011,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','624244241215152431473812275114610124072',8012,'1011',51.46,1,3,NULL),(28,7333110,'1993-08-05 00:00:00',2,23,11,2011,'M','N','CENTRO','JARAGUÁ SUL','SC','124132247216161411436815395122610167057',NULL,'9999',16.80,3,3,NULL),(28,7333129,'1991-07-23 00:00:00',4,8,7,2010,'M','N','REBOUÇAS','CURITIBA','PR','116163163111473411558933275114610124052',4182,'9998',54.41,3,3,NULL),(28,7333137,'1993-05-23 00:00:00',2,1,12,2011,'F','N','JARDIM ELDORADO','PALHOÇA','SC','124241243225111411313327282124610124142',NULL,'9997',21.98,1,3,NULL),(28,7333145,'1994-08-25 00:00:00',4,1,12,2011,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','111112117235111731465612395122610121177',8691,'9998',47.25,1,3,NULL),(28,7333153,'1993-01-18 00:00:00',2,6,12,2011,'F','N','VILA SÃO VICENTE','PARANAGUÁ','PR','116163162117371421538923571124610124011',16077,'9998',33.82,1,3,NULL),(28,7333161,'1991-03-10 00:00:00',2,1,11,2008,'M','N','PRAIA DO LESTE','PONTAL PARANÁ','PR','116141141117131431226621575124243262042',NULL,'9998',0.00,4,2,1),(28,7333188,'1989-10-06 00:00:00',2,27,12,2006,'F','N','MARACANA','FOZ IGUAÇU','PR','116161161116271521435923345112343233047',NULL,'9998',0.00,1,2,1),(28,7333218,'1994-02-15 00:00:00',2,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124241241225111332323331115124610124142',12625,'262',43.15,1,3,NULL),(28,7333226,'1984-03-16 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','624241241517271232424154342124610141192',NULL,'9997',18.89,4,3,NULL),(28,7333234,'1994-06-02 00:00:00',4,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124241241115131432533514386122610117047',17684,'734',28.23,1,2,1),(28,7333242,'1994-06-29 00:00:00',4,1,12,2011,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241116271321325524575121610147052',15683,'941',37.64,1,2,1),(28,7333269,'1994-07-21 00:00:00',4,10,12,2011,'M','N','OFICINAS','TUBARÃO','SC','124241246232111421426834572125610124077',NULL,'1120',14.30,1,3,NULL),(28,7333285,'1986-08-27 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSÉ','SC','124201201117371421123644345124610147147',11845,'9998',42.72,2,1,1),(28,7333323,'1994-10-21 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624241241115151451323514572122610138097',NULL,'257',15.21,1,2,1),(28,7333331,'1991-06-09 00:00:00',2,22,12,2008,'M','N','UNIVERSITARIO','TIJUCAS','SC','124241241147131431423323212341230212117',19302,'783',33.85,1,2,1),(28,7333340,'1993-10-26 00:00:00',2,1,12,2010,'F','N','PICADAS DOS SUL','S JOSÉ','SC','124241241147171331623311115114610114012',NULL,'733',25.12,2,1,1),(28,7333358,'1974-06-19 00:00:00',2,1,9,2004,'M','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','624203247446131431225644245124610138117',NULL,'9999',10.81,1,3,NULL),(28,7333366,'1991-11-26 00:00:00',2,1,12,2008,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124161251116134431433923575124222244147',16414,'9998',42.86,1,2,1),(28,7333374,'1994-07-29 00:00:00',4,4,12,2011,'F','N','JOAO WINCKLER','XANXERÊ','SC','124241241147161431523314245122610124057',NULL,'840',16.93,1,3,NULL),(28,7333382,'1984-06-20 00:00:00',2,1,12,2002,'F','N','JURERE','FLORIANÓPOLIS','SC','124201201112233731226848482114130263147',NULL,'9998',0.00,1,2,1),(28,7333390,'1993-01-20 00:00:00',4,1,12,2011,'M','N','PRIMAVERA','NOVO HAMBURGO','RS','120203201217471611348873575121610154142',NULL,'9998',0.00,1,3,NULL),(28,7333404,'1991-04-01 00:00:00',4,1,12,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241231473312366823471112221414045',NULL,'1022',52.09,1,3,NULL),(28,7333412,'1993-04-02 00:00:00',4,1,12,2010,'M','N','ACLIMAÇÃO','S PAULO','SP','125252251211431231358814522114610114012',NULL,'9998',0.00,1,3,NULL),(28,7333439,'1988-04-25 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241247316272411443634292123131067117',16260,'9999',43.20,1,3,NULL),(28,7333455,'1993-06-26 00:00:00',2,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217152431457819475124230226182',4298,'1022',58.36,1,3,NULL),(28,7333463,'1991-10-29 00:00:00',4,1,12,2008,'F','N','IMIGRANTES','CONCÓRDIA','SC','124243241117574421429614445124233243047',6204,'192',53.84,1,3,NULL),(28,7333471,'1982-10-17 00:00:00',4,1,12,2001,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124162241216145431538714475122221467097',NULL,'391',0.00,1,3,NULL),(28,7333480,'1989-02-06 00:00:00',2,1,12,2006,'M','N','ITAQUERA','S PAULO','SP','125251253136141731343429445125343264187',13577,'9998',39.14,1,2,1),(28,7333498,'1994-04-14 00:00:00',2,1,12,2011,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','624242241117161751327611241124610127067',18221,'257',30.82,1,3,NULL),(28,7333501,'1993-09-01 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241125372751435324244124610132142',NULL,'283',33.21,1,2,1),(28,7333510,'1994-07-07 00:00:00',4,17,12,2011,'F','N','CENTRO','LONDRINA','PR','116163161216271431439813215122610141027',NULL,'9998',0.00,1,3,NULL),(28,7333528,'1992-03-17 00:00:00',2,1,12,2009,'M','N','SÃO JOSÉ','BAIXO GUANDU','ES','108083081216571431556931575124610137042',NULL,'9998',0.00,1,3,NULL),(28,7333536,'1994-11-05 00:00:00',4,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124242241117151431336713575124610162147',9882,'592',43.89,1,3,NULL),(28,7333544,'1991-05-13 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241137271431531334442112610161195',NULL,'298',20.54,1,2,1),(28,7333552,'1992-11-09 00:00:00',4,10,11,2009,'F','N','CENTRO','TUBARÃO','SC','124242241217475431469913575122231043097',5806,'807',53.77,1,3,NULL),(28,7333579,'1992-10-20 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241317113331224421341324610122147',NULL,'1022',21.88,1,3,NULL),(28,7333587,'1992-09-01 00:00:00',4,15,6,2010,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124242248217372421244669345121231468015',NULL,'995',0.00,1,3,NULL),(28,7333609,'1994-04-16 00:00:00',4,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241115371431444314572124610132012',NULL,'307',21.24,2,1,1),(28,7333617,'1992-02-18 00:00:00',4,1,6,2010,'F','N','FAZ SANTO ANTONIO','S JOSÉ','SC','124161241117572411436514592124133234057',17438,'739',33.80,3,2,1),(28,7333633,'1991-12-18 00:00:00',2,1,6,2010,'M','N','LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC','124242241217172331437811435124232027061',13871,'883',39.06,1,3,NULL),(28,7333641,'1985-02-10 00:00:00',2,1,12,2003,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124161167116371421114444445124610147147',NULL,'9998',14.21,1,2,1),(28,7333668,'1992-11-20 00:00:00',4,1,12,2010,'M','N','JARDIM QUIETUDE','PR GRANDE','SP','125254251216371231146733575114610118117',NULL,'9998',0.00,1,3,NULL),(28,7333676,'1988-04-24 00:00:00',2,1,11,2005,'M','N','PROMORAR','FLORIANÓPOLIS','SC','124242241217145411426519342112610137047',NULL,'269',29.59,2,1,2),(28,7333684,'1994-06-25 00:00:00',4,1,11,2011,'M','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124242241215151611467312345114610127042',11940,'1022',44.80,1,3,NULL),(28,7333692,'1981-05-08 00:00:00',4,1,12,2011,'M','N','CIDADE FLORIANOPOLIS','S JOSÉ','SC','224246247622172421236654245124610132042',NULL,'270',25.52,1,3,NULL),(28,7333706,'1992-02-21 00:00:00',2,8,12,2009,'M','N','BOM RETIRO','JOINVILLE','SC','124243241116151131423635285111131217057',NULL,'146',24.33,1,3,NULL),(28,7333714,'1995-03-24 00:00:00',4,1,12,2011,'F','N','CACHOEIRA B JESUS','FLORIANÓPOLIS','SC','124241241115141431325421245124610122192',16386,'307',34.13,1,2,1),(28,7333730,'1993-11-01 00:00:00',2,1,12,2010,'M','N','PINHEIRA','PALHOÇA','SC','124241241127142441321119245114610164187',NULL,'595',32.55,4,2,1),(28,7333757,'1995-04-10 00:00:00',4,1,12,2012,'M','S','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241217111431478754575124610137112',NULL,'262',22.68,4,3,NULL),(28,7333765,'1990-01-27 00:00:00',2,1,12,2007,'F','N','UNIVERSITARIO','TIJUCAS','SC','124243241317161431457514244112610125043',NULL,'783',30.19,1,3,NULL),(28,7333773,'1990-05-11 00:00:00',4,1,6,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201207346151431228644245114610124197',19489,'9998',32.77,1,3,NULL),(28,7333781,'1992-05-08 00:00:00',4,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124241241115131431426329445124610127117',19095,'734',22.79,2,1,1),(28,7333803,'1982-07-18 00:00:00',2,1,12,1999,'F','N','SAVEIROS','BIGUAÇU','SC','124241241146533331115541112124610125142',NULL,'275',28.43,4,2,1),(28,7333820,'1994-07-12 00:00:00',4,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241225111431423634574124610133147',13077,'262',42.04,1,3,NULL),(28,7333838,'1993-06-25 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241123132411338429592114610166061',7073,'283',52.68,4,2,1),(28,7333846,'1990-09-10 00:00:00',4,1,12,2007,'M','N','JARDIM SÃO PAULO','AMERICANA','SP','124254251237473431459819592124222927042',7926,'9998',49.65,1,3,NULL),(28,7333854,'1988-03-29 00:00:00',2,1,12,2008,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124201207146132431223344445124143227097',12063,'9998',43.18,1,2,1),(28,7333889,'1979-06-30 00:00:00',4,1,10,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241247126135431456619215121610164082',NULL,'9999',0.00,2,1,1),(28,7333897,'1994-12-14 00:00:00',4,1,12,2011,'M','N','CENTRO','TIJUCAS','SC','124241241115161531213341215121610167042',NULL,'783',16.84,1,3,NULL),(28,7333919,'1992-11-13 00:00:00',4,22,12,2011,'M','N','CENTRO','S JOÃO BATISTA','SC','124241241124161221543314145122610124032',19566,'712',32.26,1,2,1),(28,7333927,'1993-02-26 00:00:00',2,3,12,2011,'M','N','VARZEA','ITAPEMA','SC','124241241116131531226623575124610117067',NULL,'406',0.00,1,2,1),(28,7333935,'1991-03-09 00:00:00',4,1,12,2008,'M','N','SÃO LUIS','JARAGUÁ SUL','SC','124241241216152411456621495124222337182',4254,'1061',63.90,1,3,NULL),(28,7333943,'1989-11-05 00:00:00',2,3,12,2006,'F','N','BOMBAS','BOMBINHAS','SC','124243241216153411369921315124240432192',NULL,'781',0.00,1,3,NULL),(28,7333951,'1993-11-29 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124241241127131431229551385124230461197',NULL,'100',22.99,1,2,1),(28,7333960,'1989-11-13 00:00:00',2,1,11,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243247347132722126644345134133262187',NULL,'1198',27.36,1,3,NULL),(28,7333978,'1988-10-12 00:00:00',4,1,12,2006,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124242241216275431447823575114122937121',8237,'1022',56.73,1,3,NULL),(28,7333986,'1987-04-09 00:00:00',4,1,11,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216373421137844445124322142175',NULL,'226',0.00,1,3,NULL),(28,7334001,'1990-07-30 00:00:00',4,6,2,2008,'M','N','CENTRO','BAL CAMBORIÚ','SC','124243241216151741243342325122230264172',19958,'967',28.73,1,3,NULL),(28,7334010,'1992-09-05 00:00:00',4,6,12,2009,'F','N','BARRA SUL','BAL CAMBORIÚ','SC','124242241215112431458832575114131035097',NULL,'1038',20.44,1,3,NULL),(28,7334036,'1990-08-07 00:00:00',4,1,12,2008,'M','N','JARDIM DAS ACACIAS','S PAULO','SP','125252251226371441228779475121112161112',11837,'9998',42.46,1,3,NULL),(28,7334044,'1989-11-17 00:00:00',4,1,11,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212274131338823472122131144182',2532,'262',68.16,1,3,NULL),(28,7334052,'1989-09-26 00:00:00',2,2,12,2006,'F','N','FORTALEZA','BLUMENAU','SC','124251251137131431223624285114610135142',NULL,'9998',42.05,1,2,1),(28,7334060,'1982-01-31 00:00:00',4,1,11,1999,'M','N','SETOR JARDIM GOIAS','GOIÂNIA','GO','109222221216554711686933425122343247042',273,'9998',72.70,4,3,NULL),(28,7334079,'1994-01-07 00:00:00',4,1,12,2010,'M','N','CENTRO','GAROPABA','SC','124244241127372431217724572114610126012',3442,'322',58.92,1,3,NULL),(28,7334087,'1989-10-18 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124243241217132431579714225124613267042',NULL,'1077',23.09,1,3,NULL),(28,7334095,'1964-06-16 00:00:00',4,1,12,1981,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241243127272431153647375122322326142',10377,'34',53.12,1,2,1),(28,7334109,'1988-11-26 00:00:00',4,1,12,2005,'M','N','RIO BRANCO','PTO ALEGRE','RS','120202201216151431136619575114142464047',1704,'9998',70.80,1,3,NULL),(28,7334117,'1991-09-04 00:00:00',4,1,11,2008,'F','N','CENTRO','CURITIBA','PR','116162161217574431228921575324610147047',1668,'9998',65.59,1,3,NULL),(28,7334125,'1993-08-08 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241112472431316454182114610113075',16091,'298',34.96,1,2,1),(28,7334141,'1984-08-28 00:00:00',4,1,12,2005,'F','N','SERRARIA','S JOSÉ','SC','224201207223131431235354342114140821197',NULL,'9998',35.87,4,3,NULL),(28,7334176,'1987-04-20 00:00:00',4,1,12,2004,'F','N','JARDIM PALMARES','TANGARÁ SERRA','MT','111111111116132411323322375122340748177',8213,'9998',45.92,1,2,1),(28,7334184,'1991-08-13 00:00:00',6,1,12,2009,'F','N','PARQUE AGARI','PARANAGUÁ','PR','116161165117371411115549295125243265171',NULL,'9998',0.00,4,3,NULL),(28,7334214,'1995-07-30 00:00:00',4,1,12,2012,'M','S','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241616111731536313575122610117092',NULL,'1075',19.42,1,3,NULL),(28,7334222,'1990-01-01 00:00:00',4,1,11,2007,'M','N','CIDADE JARDIM','PIRACICABA','SP','125253251436472411447722475115140764161',19360,'9998',33.57,1,3,NULL),(28,7334230,'1985-07-15 00:00:00',2,1,12,2003,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124051241147375432326644442114610136027',NULL,'279',29.30,4,1,1),(28,7334249,'1995-05-15 00:00:00',4,1,12,2012,'M','S','MONTE CASTELO','CPO GRANDE','MS','112242241216111731548613572122610142182',NULL,'270',0.00,1,3,NULL),(28,7334273,'1994-02-08 00:00:00',4,1,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431256923575124610167057',5040,'262',57.55,1,3,NULL),(28,7334281,'1991-02-28 00:00:00',2,1,2,2009,'M','N','JARDIM DA PENHA','VITÓRIA','ES','108052051217571731326629575115610167117',NULL,'9998',NULL,4,3,NULL),(28,7334290,'1993-05-12 00:00:00',2,1,7,2011,'F','N','SANTA TERESA','S PEDRO ALCÂNTARA','SC','124241241116211731225623286124610125087',17638,'739',39.91,4,3,NULL),(28,7334303,'1991-05-22 00:00:00',4,1,12,2009,'F','N','MONTE CARLO','CPO GRANDE','MS','112122121217111411369819575124142826172',13533,'9998',48.19,1,3,NULL),(28,7334320,'1994-07-29 00:00:00',4,9,12,2011,'F','N','CENTRO','LAGES','SC','124134241215121431358814575125610154077',17976,'499',39.00,4,3,NULL),(28,7334338,'1994-02-11 00:00:00',4,1,12,2010,'M','N','CENTRO','LONDRINA','PR','116111161217372412568831575114610162057',6129,'9998',51.90,3,3,NULL),(28,7334346,'1990-02-08 00:00:00',4,1,12,2007,'M','N','JD PARAISO','BOTUCATU','SP','125252251216573431468923575125610137052',296,'9998',75.57,1,3,NULL),(28,7334354,'1990-01-29 00:00:00',2,1,12,2007,'M','N','JARDIM COQUEIROS','PALHOÇA','SC','124241241136141421315628185114610114027',19775,'591',30.45,1,3,NULL),(28,7334370,'1982-12-10 00:00:00',4,1,2,2001,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242246115575431446833372124322627127',758,'306',73.49,1,3,NULL),(28,7334389,'1992-02-25 00:00:00',4,1,12,2009,'M','N','JD V SAINT CLAIRE','SOROCABA','SP','125252251217571432378823281112610114054',NULL,'9998',0.00,1,3,NULL),(28,7334400,'1993-08-31 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431478813495122610166122',13681,'262',39.02,4,3,NULL),(28,7334427,'1988-09-06 00:00:00',4,8,12,2007,'M','N','SANTA CATARINA','JOINVILLE','SC','124243246217111432438614445234133267147',NULL,'1006',14.45,1,3,NULL),(28,7334435,'1991-02-21 00:00:00',4,1,12,2008,'F','N','SERRARIA','S JOSÉ','SC','124241241116131711553634342112130234057',18629,'732',36.77,1,3,NULL),(28,7334451,'1987-04-02 00:00:00',4,1,12,2004,'M','N','CAMPINAS','S JOSÉ','SC','124242241216473431326721445112320267042',10565,'723',52.81,1,3,NULL),(28,7334460,'1992-03-29 00:00:00',4,1,12,2009,'F','N','CENTRO','PONTALINA','GO','109092091215571731438831572122610137057',950,'9998',69.47,1,3,NULL),(28,7334478,'1993-07-20 00:00:00',2,15,12,2010,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241127272751333629191111610128022',19835,'30',29.99,1,3,NULL),(28,7334494,'1989-05-10 00:00:00',2,1,12,2007,'M','N','ENSEADA DE BRITO','PALHOÇA','SC','124241241126142411634321245123121731182',NULL,'594',25.07,1,2,1),(28,7334508,'1994-07-12 00:00:00',4,4,12,2011,'F','N','MENINO DEUS','PATO BRANCO','PR','116162161216151431338824372122610162142',NULL,'9998',0.00,1,3,NULL),(28,7334516,'1994-06-25 00:00:00',4,1,1,2012,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241115371731626614375124610114057',9215,'772',48.19,4,2,1),(28,7334524,'1995-03-09 00:00:00',4,16,12,2012,'F','S','CENTRO','CURITIBANOS','SC','124242241216111431356823575122610111122',NULL,'881',20.69,1,3,NULL),(28,7334532,'1985-12-01 00:00:00',2,1,12,2003,'M','N','FLORIANOPOLIS DOWNTO','FLORIANÓPOLIS','SC','124251251146234411226528281334142867182',2971,'9998',61.74,4,2,1),(28,7334540,'1993-03-24 00:00:00',4,1,12,2010,'F','N','MARAPÉ','SANTOS','SP','125252251215471431436812571122610142092',5747,'9998',52.20,1,3,NULL),(28,7334559,'1985-05-05 00:00:00',2,1,12,2006,'F','N','INGLESES','FLORIANÓPOLIS','SC','124161241337261131213344342124610166194',19195,'9999',34.39,1,3,NULL),(28,7334567,'1984-10-10 00:00:00',4,1,12,2012,'M','S','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241416171421549933232122610117115',NULL,'272',37.42,1,3,NULL),(28,7334575,'1995-08-08 00:00:00',4,1,2,2012,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111431433821575122610117187',NULL,'1134',16.55,1,3,NULL),(28,7334583,'1987-03-30 00:00:00',2,1,12,2006,'F','N','RATONES','FLORIANÓPOLIS','SC','124243241335374411217941213324610141095',NULL,'279',23.35,1,3,NULL),(28,7334591,'1993-08-07 00:00:00',2,16,12,2010,'F','N','INTERIOR','FR ROGÉRIO','SC','124241241143371412523335353322610137052',NULL,'320',21.19,1,3,NULL),(28,7334605,'1981-05-10 00:00:00',2,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','624241247612261612234354282124610144047',11616,'9999',40.70,1,3,NULL),(28,7334613,'1993-11-12 00:00:00',4,10,12,2010,'M','N','SÃO JOÃO MD','TUBARÃO','SC','124244241212472431568614575112610162142',8991,'807',48.58,1,3,NULL),(28,7334621,'1986-12-17 00:00:00',4,5,12,2004,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242246217142431459819345121230722155',8127,'188',56.92,1,3,NULL),(28,7334648,'1995-01-10 00:00:00',4,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116151411459933135124610162142',NULL,'307',27.46,1,2,1),(28,7334656,'1992-11-20 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124203241116132711327631415124610123097',19368,'257',33.55,1,3,NULL),(28,7334664,'1995-12-10 00:00:00',4,6,11,2012,'F','S','RESSACADA','ITAJAÍ','SC','124242241215111431337732575122610137122',NULL,'9997',32.28,1,3,NULL),(28,7334672,'1986-09-16 00:00:00',2,1,12,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124201206116151421254343435124142926045',9520,'9998',54.51,1,3,NULL),(28,7334680,'1993-06-30 00:00:00',4,8,12,2010,'M','N','BUCAREIN','JOINVILLE','SC','124241241115371432326614572111610124047',18460,'465',37.42,1,2,1),(28,7334699,'1990-10-23 00:00:00',2,1,12,2007,'M','N','TIJUQUINHAS','BIGUAÇU','SC','124241241114154421124944445122121167082',NULL,'64',14.89,1,2,1),(28,7334702,'1991-09-23 00:00:00',4,1,12,2009,'M','N','VILA CRISTOVAM','LIMEIRA','SP','125251251137571411336623572124610167187',4928,'9998',56.65,1,2,1),(28,7334729,'1990-08-15 00:00:00',2,16,12,2007,'F','N','SÃO LUIZ','CURITIBANOS','SC','124241241116272752426313385124610122187',NULL,'239',43.24,1,3,NULL),(28,7334745,'1992-12-26 00:00:00',2,5,11,2009,'F','N','CENTRO','NOVA VENEZA','SC','124242241215573431458813572114610133142',3954,'213',58.82,1,3,NULL),(28,7334761,'1993-03-14 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216472431436923572122610144142',4902,'299',57.16,1,3,NULL),(28,7334770,'1992-07-14 00:00:00',4,8,11,2009,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116161161217571431567732575124610122092',4752,'9998',56.37,1,3,NULL),(28,7334788,'1993-07-08 00:00:00',2,15,12,2010,'F','N','COLONINHA','ARARANGUÁ','SC','124243241115473431535334575112610132092',9884,'970',48.47,1,3,NULL),(28,7334800,'1984-09-10 00:00:00',2,1,2,2006,'M','N','ANDRE CARLONE','SERRA','ES','108081087112271211316627584124241513122',NULL,'9998',0.00,4,2,1),(28,7334826,'1985-10-25 00:00:00',2,1,12,2003,'M','N','BARREIROS','S JOSÉ','SC','224241241411132411232253435121320926187',14936,'418',45.75,1,3,NULL),(28,7334834,'1994-08-05 00:00:00',4,4,12,2011,'M','N','CENTRO','CHAPECÓ','SC','124241241117471431368933575122610124047',13994,'169',40.08,1,3,NULL),(28,7334842,'1989-12-15 00:00:00',6,1,12,2007,'F','N','OURO VERDE','OURINHOS','SP','125251258117131731435613135123242737042',17881,'9998',39.26,1,2,1),(28,7334850,'1993-04-26 00:00:00',2,1,12,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217111211138833571112610117012',19003,'9997',28.82,1,3,NULL),(28,7334869,'1980-12-31 00:00:00',4,1,12,1998,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124201201147131721223344142223610128187',NULL,'9998',0.00,1,2,1),(28,7334877,'1994-11-24 00:00:00',2,4,12,2011,'M','N','CENTRO','TANGARÁ','SC','124241243137151431536434246325610127052',NULL,'779',0.00,1,2,1),(28,7334885,'1992-10-19 00:00:00',4,1,12,2009,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124244241127573441569611575124610138176',718,'322',72.12,1,3,NULL),(28,7334915,'1989-05-07 00:00:00',2,1,12,2005,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241216143431239614445124321524097',8126,'666',47.17,1,3,NULL),(28,7334923,'1994-07-16 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215111432433514212124610123187',12761,'300',42.32,1,3,NULL),(28,7334940,'1993-04-15 00:00:00',4,1,12,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241312142741433511345124610127045',NULL,'298',18.89,1,3,NULL),(28,7334958,'1974-10-19 00:00:00',2,1,11,2011,'M','N','FORQUILHAS','S JOSÉ','SC','224241247146131431423111145132610166182',NULL,'9999',28.19,1,3,NULL),(28,7334966,'1992-09-01 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216153411458913595122232024077',NULL,'262',0.00,1,3,NULL),(28,7334974,'1995-04-28 00:00:00',4,8,12,2011,'M','N','SAGUAÇU','JOINVILLE','SC','124242241216111431447931575122610136091',NULL,'1016',17.00,1,3,NULL),(28,7334982,'1996-04-22 00:00:00',2,10,11,2013,'F','S','CENTRO','TUBARÃO','SC','124242241215111731427731491122610123072',NULL,'806',28.00,1,3,NULL),(28,7334990,'1983-04-08 00:00:00',2,1,12,2000,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124251251116131441424311315123341764177',14300,'9998',46.95,1,2,1),(28,7335008,'1989-06-09 00:00:00',2,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','224133131215572731266653571122610164147',1197,'9998',67.50,1,3,NULL),(28,7335016,'1990-09-22 00:00:00',2,16,12,2007,'F','N','INTERIOR','IOMERÊ','SC','124241241124161431526615232123330127052',NULL,'853',28.52,1,3,NULL),(28,7335024,'1995-01-12 00:00:00',2,1,12,2011,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241117111531323314442224610117042',NULL,'1136',22.32,1,2,1),(28,7335032,'1981-04-06 00:00:00',4,1,12,2001,'F','N','ZONA SETE','MARINGÁ','PR','116241241136372421323354315224333228187',NULL,'603',0.00,1,2,1),(28,7335040,'1986-02-14 00:00:00',4,1,11,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241211575411289811572122610167111',5964,'270',54.51,4,3,NULL),(28,7335067,'1994-02-03 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124241241115161431333414342124610127012',NULL,'732',20.52,1,2,1),(28,7335083,'1966-01-29 00:00:00',2,1,12,1991,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241245126163721223343235134132831197',NULL,'322',17.55,1,2,1),(28,7335091,'1988-10-21 00:00:00',4,8,12,2007,'M','N','ITAUM','JOINVILLE','SC','224243241317141431236344245132610147052',17329,'482',40.70,1,3,NULL),(28,7335105,'1995-01-25 00:00:00',2,16,12,2011,'F','N','LAU MELLO','FR ROGÉRIO','SC','124241241115371431313325571224610133057',16996,'320',32.30,1,2,1),(28,7335113,'1994-02-07 00:00:00',2,15,12,2011,'F','N','CEDRO','MARACAJÁ','SC','124241241117271221424429332223610114053',NULL,'550',22.55,1,2,1),(28,7335121,'1987-08-09 00:00:00',2,1,12,2005,'M','N','AREIAS CAMPECHE','FLORIANÓPOLIS','SC','124254211336271411139843235334610145047',NULL,'9998',37.55,4,3,NULL),(28,7335130,'1992-01-30 00:00:00',4,1,12,2009,'F','N','CHARQUEADAS','CAXIAS SUL','RS','120201201126231411123644145234610146047',15138,'9998',35.92,1,2,1),(28,7335148,'1994-03-14 00:00:00',2,27,11,2010,'M','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124241241116372431549832575122610144187',15022,'245',36.96,1,2,1),(28,7335156,'1973-06-30 00:00:00',4,1,12,1997,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224243243326235431543354372124130436145',NULL,'840',16.91,3,3,NULL),(28,7335164,'1989-10-28 00:00:00',4,16,12,2006,'M','N','BOSQUE','CURITIBANOS','SC','124242241211111431333632311122610128057',NULL,'881',0.00,4,3,NULL),(28,7335172,'1975-01-06 00:00:00',4,1,12,1992,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241111143421544471415124320612092',8969,'293',55.48,1,3,NULL),(28,7335180,'1990-07-22 00:00:00',2,3,12,2007,'F','N','VILA PEDRINI','JOAÇABA','SC','124242241216474431454611575122230224147',11337,'962',51.58,1,3,NULL),(28,7335199,'1989-09-22 00:00:00',2,1,12,2006,'F','N','SERRARIA','S JOSÉ','SC','124241241111232421456429441134610154147',NULL,'65',20.16,1,2,1),(28,7335210,'1995-01-14 00:00:00',4,1,12,2011,'F','N','CENTRO','TIJUCAS','SC','124243241215111431438312572221610156147',19908,'948',29.24,1,3,NULL),(28,7335237,'1994-01-29 00:00:00',4,4,12,2011,'F','N','CENTRO','SEARA','SC','124241241116371731435314475124610164197',11972,'763',41.88,1,2,1),(28,7335245,'1994-04-14 00:00:00',2,1,12,2011,'M','N','BAIRRO IPIRANGA','S JOSÉ','SC','124241248115141432326524345114610112147',19094,'307',34.90,1,2,1),(28,7335253,'1991-09-04 00:00:00',4,8,12,2008,'M','N','JARDIM ESPLANADA II','S JOSÉ CAMPOS','SP','125252251215571431248834575114143214047',2053,'9998',65.23,1,3,NULL),(28,7335296,'1985-06-06 00:00:00',4,1,12,2002,'F','N','VILA MARIANA','S PAULO','SP','125052251216574451376639471125610126042',NULL,'9998',37.46,4,1,2),(28,7335300,'1993-06-01 00:00:00',2,9,12,2010,'F','N','RIBEIRÃO DO TIGRE','AGROLÂNDIA','SC','124241241117131431523315572124232632147',11883,'850',41.07,1,2,1),(28,7335318,'1987-03-24 00:00:00',4,1,11,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243247447271621249824244122133242053',17065,'9999',41.39,1,3,NULL),(28,7335326,'1993-04-07 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241136472431626331372224610124147',12641,'278',43.73,2,1,1),(28,7335342,'1987-02-12 00:00:00',2,1,2,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241112135421333411242132610117042',NULL,'267',9.65,1,2,1),(28,7335350,'1992-01-25 00:00:00',4,1,6,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242247217211331231821485114610137114',19183,'9999',34.44,2,1,2),(28,7335369,'1992-01-18 00:00:00',4,1,12,2008,'F','N','SÃO FRANCISCO','CPO GRANDE','MS','112122121216471411468834575122142663192',NULL,'9998',0.00,1,3,NULL),(28,7335377,'1991-09-27 00:00:00',4,8,12,2008,'F','N','ZONA DOIS','MARINGÁ','PR','116162161216473431378813575122242434142',NULL,'9998',0.00,1,3,NULL),(28,7335393,'1986-05-16 00:00:00',2,15,12,2003,'M','N','CENTRO','MRO GRANDE','SC','124241241126172421436654345123333267181',NULL,'568',26.02,1,3,NULL),(28,7335407,'1992-04-21 00:00:00',2,17,12,2009,'F','N','JARDIM AMERICA','MAFRA','SC','124241241145131431424462245234140238172',NULL,'542',0.00,1,2,1),(28,7335415,'1993-08-12 00:00:00',2,1,12,2010,'F','N','GRANJA UNIÃO','FLORES CUNHA','RS','120201201116471431436612575124610164182',6840,'9998',49.85,1,2,1),(28,7335423,'1994-04-02 00:00:00',2,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241114371411323323571124610117147',14172,'307',40.45,1,2,1),(28,7335431,'1968-03-22 00:00:00',4,1,12,1988,'M','N','TRINDADE','FLORIANÓPOLIS','SC','524201208126155752112249395121222268182',NULL,'9998',29.82,1,3,NULL),(28,7335440,'1990-10-14 00:00:00',2,1,12,2007,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243241116374731549613375124610127142',10040,'271',48.32,1,3,NULL),(28,7335458,'1963-06-19 00:00:00',2,6,12,1993,'M','N','SÃO JOÃO','ITAJAÍ','SC','224203203126152411476243132122320867187',NULL,'9998',0.00,1,3,NULL),(28,7335466,'1996-07-25 00:00:00',4,9,12,2013,'M','S','CENTRO','LAGES','SC','124241241217131431277929575121610137057',NULL,'499',31.46,1,3,NULL),(28,7335482,'1992-03-26 00:00:00',2,1,12,2010,'M','N','CENTRO','CAMBORIÚ','SC','124243248317272431348433585112610164042',16574,'130',38.20,1,3,NULL),(28,7335504,'1980-04-08 00:00:00',2,1,12,2005,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','624201201127141431326354495124132122027',18955,'592',35.47,2,1,1),(28,7335520,'1992-11-21 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124244241211132431438613495124610122147',15175,'1023',39.35,1,3,NULL),(28,7335547,'1992-05-11 00:00:00',4,1,12,2009,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241216271731347517445114143164187',NULL,'723',19.68,1,3,NULL),(28,7335555,'1988-05-18 00:00:00',4,1,12,2005,'F','N','JARDIM REFLORENDA','BOTUCATU','SP','125251251136371731654319345234110131077',NULL,'9998',0.00,1,2,1),(28,7335580,'1994-08-05 00:00:00',4,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124131241112131511326874343124610127077',NULL,'307',16.10,1,2,1),(28,7335598,'1981-02-27 00:00:00',4,1,11,1998,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216152751379613575122520914152',9571,'262',54.42,1,3,NULL),(28,7335601,'1993-02-15 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215152721389912572112231427073',NULL,'1022',21.78,1,3,NULL),(28,7335610,'1963-12-15 00:00:00',4,1,12,1987,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224211212116132421454411315122320917187',NULL,'9998',40.96,1,2,1),(28,7335628,'1987-03-27 00:00:00',2,1,12,2004,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241132133451336643232124131047042',12105,'296',50.39,1,2,1),(28,7335636,'1992-03-13 00:00:00',4,1,12,2009,'M','N','BOA VISTA','S CARLOS','SP','125252251217571231459833575124610117152',2081,'9998',64.05,1,3,NULL),(28,7335644,'1994-05-30 00:00:00',4,8,12,2011,'M','N','AMÉRICA','JOINVILLE','SC','124242241215121432689613575124610136192',13638,'1016',47.98,1,3,NULL),(28,7335660,'1987-12-06 00:00:00',4,5,11,2005,'F','N','CENTRO','CRICIÚMA','SC','124242241132452431458912225134331367152',15695,'210',44.31,2,1,2),(28,7335679,'1980-03-04 00:00:00',4,4,12,1997,'M','N','CENTRO','IVATÉ','PR','116161161146473431433331385124340636097',1936,'9998',63.64,1,2,1),(28,7335687,'1992-08-16 00:00:00',2,1,12,2009,'M','N','REAL PARQUE','S JOSÉ','SC','124243247216472431415312195132230814047',NULL,'9999',0.00,1,3,NULL),(28,7335709,'1993-04-23 00:00:00',2,1,12,2009,'M','N','AREIAS DE PALHOCINHA','GAROPABA','SC','124241241125141431326424346214610127047',18212,'322',30.39,1,2,1),(28,7335717,'1983-09-23 00:00:00',4,1,12,2001,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124282288217141411437642495122141437042',NULL,'9998',0.00,1,3,NULL),(28,7335725,'1964-06-16 00:00:00',2,1,12,1983,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224172171217141511456642322133143221121',NULL,'9998',10.19,4,1,2),(28,7335741,'1966-09-16 00:00:00',2,6,12,1993,'F','N','SÃO JOÃO','ITAJAÍ','SC','224203243126151431475553212122131024187',NULL,'388',0.00,1,3,NULL),(28,7335768,'1992-08-17 00:00:00',2,1,12,2009,'M','N','CARVOEIRAS','FLORIANÓPOLIS','SC','112121121217111431548829375114240714077',NULL,'9998',32.80,1,3,NULL),(28,7335776,'1991-08-14 00:00:00',4,1,11,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215274731389931445124121464043',13777,'1022',47.75,1,3,NULL),(28,7335792,'1991-10-06 00:00:00',2,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241131152711324314344124610113141',NULL,'257',24.93,1,2,1),(28,7335806,'1995-11-23 00:00:00',4,24,12,2013,'M','S','CENTRO','RIO SUL','SC','124242241216111731448919575122610144012',NULL,'959',48.33,1,3,NULL),(28,7335814,'1993-04-18 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216112431354823575122221427043',17693,'1022',39.75,1,3,NULL),(28,7335849,'1993-06-03 00:00:00',4,4,12,2010,'M','N','CENTRO','MARIÓPOLIS','PR','116161161134131431224634384124610168057',15827,'9998',33.29,1,2,1),(28,7335857,'1994-09-08 00:00:00',4,1,12,2011,'M','N','TAPERA','FLORIANÓPOLIS','SC','124143241115471421324624575124610167057',9646,'307',48.45,4,1,2),(28,7335865,'1993-06-27 00:00:00',2,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241522111231531114445125610127143',NULL,'262',26.96,1,3,NULL),(28,7335873,'1994-04-15 00:00:00',2,8,12,2011,'F','N','ENGENHO','LAPA','PR','116162161216471511426831575112610136117',NULL,'9998',0.00,1,3,NULL),(28,7335881,'1993-12-23 00:00:00',2,1,12,2010,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124241241117371431423311175124610165042',13111,'1248',41.78,1,2,1),(28,7335890,'1993-09-26 00:00:00',2,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241215111431466669572124610168077',13958,'262',36.95,1,3,NULL),(28,7335903,'1985-05-04 00:00:00',2,10,12,2006,'M','N','DEHON','TUBARÃO','SC','124131131116131431547939275125141048082',NULL,'9998',0.00,2,1,1),(28,7335911,'1993-03-05 00:00:00',2,9,11,2010,'M','N','CENTRO','CAPINZAL','SC','124242241217351441448634575114610167011',NULL,'1093',0.00,1,3,NULL),(28,7335920,'1994-02-12 00:00:00',2,4,12,2011,'M','N','CENTRO','SERTÃO','RS','120201201117371411324431275121610126177',14168,'9998',37.39,1,2,1),(28,7335938,'1994-05-08 00:00:00',4,10,11,2011,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241241215111231628823575114610144012',10795,'1120',42.49,1,3,NULL),(28,7335954,'1988-03-06 00:00:00',4,1,12,2005,'M','N','JARDIM RENATA','INDAIATUBA','SP','125251251136431431356314215122243242052',17599,'9998',40.04,1,2,1),(28,7335962,'1992-05-08 00:00:00',4,1,12,2011,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124203247631151232123629275124610167187',17562,'9999',40.15,1,3,NULL),(28,7335970,'1984-06-12 00:00:00',4,15,11,2001,'F','N','CENTRO','ARARANGUÁ','SC','224242241315572321246952472132333242107',NULL,'970',0.00,1,3,NULL),(28,7335989,'1994-10-07 00:00:00',2,4,10,2011,'M','N','CENTRO','TRINDADE SUL','RS','120201281116131432455821575112610147042',NULL,'9998',27.73,1,3,NULL),(28,7335997,'1989-07-23 00:00:00',2,23,12,2008,'F','N','INDUSTRIAL NORTE','RIO NEGRINHO','SC','124241241136371451313421482314610144047',NULL,'669',0.00,1,3,NULL),(28,7336012,'1982-01-14 00:00:00',2,1,12,2000,'M','N','INGLESES','FLORIANÓPOLIS','SC','124163241137234431423131482214220867047',14916,'9997',45.79,4,1,2),(28,7336020,'1983-06-07 00:00:00',2,1,12,2000,'F','N','BARREIROS','S JOSÉ','SC','124201201116131731126374342124143226192',NULL,'9998',0.00,1,2,1),(28,7336039,'1994-07-23 00:00:00',2,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241125141731423319295331610137142',NULL,'1248',20.95,1,3,NULL),(28,7336047,'1994-12-06 00:00:00',4,4,12,2011,'F','N','INTERIOR','ARVOREDO','SC','124241248127111531544835575122610113197',NULL,'36',20.27,1,3,NULL),(28,7336055,'1993-03-19 00:00:00',4,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217153331238833575125221465147',5965,'1026',53.34,1,3,NULL),(28,7336063,'1993-03-12 00:00:00',2,4,12,2010,'F','N','CENTRO','PTE SERRADA','SC','124241241116131432526612585124610137177',13687,'629',37.42,1,2,1),(28,7336071,'1985-11-30 00:00:00',4,1,6,2004,'M','N','CENTRO','PENHA','SC','124242247536372411228679375124221625197',7668,'9999',57.69,1,3,NULL),(28,7336080,'1985-07-10 00:00:00',2,1,12,2002,'F','N','CANASVEIRAS','FLORIANÓPOLIS','SC','124241241127131411132342112114130236187',NULL,'22',0.00,1,2,1),(28,7336098,'1992-08-31 00:00:00',4,1,12,2011,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242246337141431436612445124610122173',NULL,'306',25.03,1,3,NULL),(28,7336101,'1960-11-25 00:00:00',2,3,6,1988,'F','N','MEIA PRAIA','ITAPEMA','SC','524201204136131441223443433124342226097',NULL,'9998',34.16,1,3,NULL),(28,7336110,'1993-03-26 00:00:00',2,1,7,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242247215112431389934575112610167182',NULL,'9999',21.88,1,3,NULL),(28,7336128,'1995-12-12 00:00:00',4,4,12,2011,'F','N','PALMITAL','CHAPECÓ','SC','128241241212111431348522145122610136142',NULL,'1021',12.40,1,3,NULL),(28,7336136,'1991-10-23 00:00:00',2,1,11,2008,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217142421449711315134610137112',18674,'269',36.58,1,3,NULL),(28,7336144,'1986-04-17 00:00:00',4,1,12,2003,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241216273441326329432322132533097',NULL,'1244',14.68,1,3,NULL),(28,7336152,'1993-10-20 00:00:00',2,1,12,2011,'F','N','CENTRO','S MIGUEL IGUAÇU','PR','116163166115161431469913475112610146092',NULL,'9998',0.00,1,3,NULL),(28,7336187,'1993-11-11 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215151732435319586122610164043',13670,'9997',40.17,1,3,NULL),(28,7336195,'1994-08-24 00:00:00',2,1,12,2011,'F','N','CENTRO','BIGUAÇU','SC','124241241115221411425614272323610126142',15554,'65',38.50,1,2,1),(28,7336209,'1995-05-26 00:00:00',4,10,11,2011,'F','N','HUMAITÁ','TUBARÃO','SC','124242248215312711547619575124610116187',7119,'807',49.91,1,3,NULL),(28,7336217,'1991-12-31 00:00:00',2,4,12,2008,'F','N','SÃO FRANCISCO','CEL FREITAS','SC','124241241116573431326424195124610126182',NULL,'199',0.00,1,2,1),(28,7336225,'1989-01-22 00:00:00',4,1,12,2006,'M','N','BELA VISTA','S JOSÉ','SC','124242241236152731536669345124221867063',7238,'809',53.25,1,3,NULL),(28,7336233,'1974-04-21 00:00:00',2,4,12,1996,'F','N','CENTRO','S DOMINGOS','SC','224241247131151411443443431122342953142',8655,'9999',49.71,1,3,NULL),(28,7336241,'1994-11-04 00:00:00',2,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241241115371211433311575124610124147',11595,'733',46.38,1,2,1),(28,7336250,'1993-05-31 00:00:00',2,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124244241116142131544413345111610127043',17516,'298',32.23,1,3,NULL),(28,7336268,'1991-08-30 00:00:00',2,1,12,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124161161132371531323356243124610127047',NULL,'9998',30.19,1,2,1),(28,7336276,'1987-08-29 00:00:00',2,25,12,2005,'M','N','BOM JESUS','CAÇADOR','SC','124241241136131511323833245122130727047',NULL,'124',20.06,1,3,NULL),(28,7336284,'1993-10-30 00:00:00',2,5,12,2010,'M','N','OPERARIA NOVA','CRICIÚMA','SC','124244243216131421336613345124610168077',15124,'995',45.36,1,3,NULL),(28,7336292,'1991-01-30 00:00:00',4,1,12,2008,'F','N','ITAGUAÇÚ','FLORIANÓPOLIS','SC','124241241137131411424424182114610116047',NULL,'333',23.87,1,3,NULL),(28,7336306,'1994-02-20 00:00:00',4,1,12,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241112151431326674585124610118177',NULL,'298',21.19,1,3,NULL),(28,7336314,'1987-02-04 00:00:00',2,1,12,2004,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224253251116131721328944245122141467047',19927,'9998',29.01,1,3,NULL),(28,7336322,'1990-05-25 00:00:00',2,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241247336131411423314345124610134112',12960,'977',41.54,1,3,NULL),(28,7336330,'1994-08-03 00:00:00',2,10,12,2011,'M','N','SÃO JOÃO','S MARTINHO','SC','124241241116161731413315575122610132047',NULL,'750',21.40,1,2,1),(28,7336349,'1994-03-25 00:00:00',2,1,12,2010,'F','N','BAIRRO IPIRANGA','S JOSÉ','SC','124242241217131131423614575114610127052',20067,'1078',26.95,1,3,NULL),(28,7336357,'1993-04-12 00:00:00',4,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124241241215111231326613575124610124112',NULL,'300',26.30,2,1,2),(28,7336365,'1994-06-13 00:00:00',4,8,11,2011,'F','N','BOA VISTA','CURITIBA','PR','116162161215121331459832375125610164147',NULL,'9998',0.00,1,3,NULL),(28,7336373,'1992-03-17 00:00:00',2,9,6,2010,'M','N','IPIRANGA','LAGES','SC','124242247215471421425619392122142437047',NULL,'9999',0.00,1,3,NULL),(28,7336381,'1982-07-23 00:00:00',4,1,12,1998,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124204201216571711227851475122142861192',NULL,'9998',0.00,1,3,NULL),(28,7336390,'1994-09-18 00:00:00',2,2,12,2011,'M','N','VILA NOVA','BLUMENAU','SC','124241241115471211323314472224610127042',19150,'79',26.39,2,2,1),(28,7336411,'1987-09-09 00:00:00',2,1,7,2008,'M','N','GANCHOS','GOV CELSO RAMOS','SC','124241247142141411633319345224610137111',NULL,'9999',33.16,1,2,1),(28,7336420,'1992-07-23 00:00:00',4,1,12,2009,'F','N','BOSQUE','PRES PRUDENTE','SP','125252251216571431469813575122610146197',4129,'9998',57.59,1,3,NULL),(28,7336438,'1992-09-24 00:00:00',2,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124241244131141431327629295134610123143',NULL,'239',14.48,4,2,1),(28,7336454,'1994-09-10 00:00:00',2,10,12,2011,'F','N','CENTRO','TUBARÃO','SC','124242241115141431438923342122610122147',19635,'1034',31.70,1,3,NULL),(28,7336462,'1993-05-17 00:00:00',4,17,12,2010,'M','N','BOA VISTA','CANOINHAS','SC','124241241111131411527311241121610126142',NULL,'146',9.19,1,2,1),(28,7336470,'1991-05-17 00:00:00',4,1,6,2009,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124284281116142431327814575124221747042',NULL,'9998',37.11,1,3,NULL),(28,7336497,'1992-10-24 00:00:00',2,8,12,2010,'F','N','VILA CASTELAR','LIMEIRA','SP','125252251216471431546721575122610161197',NULL,'9998',18.71,1,3,NULL),(28,7336500,'1992-05-06 00:00:00',4,1,11,2009,'F','N','JARDIM MARAMBA','BAURU','SP','125251251216271711446611275122610145142',NULL,'9998',18.33,1,3,NULL),(28,7336519,'1982-09-15 00:00:00',2,1,12,2003,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243247326274411326644145233613224097',12585,'964',40.37,4,3,NULL),(28,7336527,'1981-04-01 00:00:00',4,1,10,1998,'F','N','NSA SRA DO ROSARIO','S JOSÉ','SC','224242247437133731328744245122142742042',NULL,'9999',0.00,4,3,NULL),(28,7336535,'1994-06-03 00:00:00',4,1,12,2011,'F','N','JARDIM ABAETÉ','SOROCABA','SP','125252251216111431438814575121610135187',6329,'9998',52.63,1,3,NULL),(28,7336543,'1994-09-12 00:00:00',4,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241117171731626613572124610123147',18282,'733',38.03,1,2,1),(28,7336551,'1994-05-24 00:00:00',2,1,12,2011,'F','N','FORQUILHAS','S JOSÉ','SC','124241241117371731526434572124610127147',20150,'733',24.39,4,2,1),(28,7336560,'1981-11-18 00:00:00',4,1,4,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','124161166116142421157843335121541467047',6105,'9998',60.41,1,3,NULL),(28,7336578,'1993-07-19 00:00:00',4,10,11,2011,'M','N','DEHON','TUBARÃO','SC','124242241216111411366914575122610124052',9539,'806',45.31,1,3,NULL),(28,7336594,'1989-05-13 00:00:00',2,1,12,2006,'M','N','CAMINHO NOVO','PALHOÇA','SC','124241241114131411426611445113133238042',NULL,'591',0.00,1,2,1),(28,7336608,'1993-12-23 00:00:00',4,4,12,2011,'M','N','CENTRO','MONDAÍ','SC','124241241117471531468812345122610127052',20159,'564',23.33,1,2,1),(28,7336616,'1992-08-10 00:00:00',4,1,12,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115373431249923575112221432047',NULL,'239',41.75,1,2,1),(28,7336624,'1991-11-14 00:00:00',4,6,12,2009,'M','N','ITAJUBA','BARRA VELHA','SC','124241241316141532433421115122230227067',NULL,'58',24.48,1,3,NULL),(28,7336632,'1979-09-16 00:00:00',2,1,12,2000,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224241248117371731224344445124610123187',19890,'281',29.44,1,2,1),(28,7336640,'1992-12-21 00:00:00',4,15,12,2009,'M','N','LAGOÃO','ARARANGUÁ','SC','124241241126163732523434185111610162065',NULL,'30',8.57,1,3,NULL),(28,7336659,'1993-03-25 00:00:00',4,1,12,2011,'M','N','CACHOEIRA DO BOM JS','FLORIANÓPOLIS','SC','124243241215131411248612315124613237112',11744,'1048',50.95,1,3,NULL),(28,7336675,'1993-01-26 00:00:00',2,15,12,2011,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241241125141431431524345124610121077',NULL,'29',0.00,1,3,NULL),(28,7336683,'1995-02-17 00:00:00',4,3,2,2012,'F','N','CENTRO','CAMBORIÚ','SC','124241241112161712226624242114610114051',NULL,'1043',0.00,1,3,NULL),(28,7336691,'1995-02-27 00:00:00',2,17,12,2011,'F','N','VILA IVETE','MAFRA','SC','124241241115371731323621275122610123187',19432,'542',33.14,1,2,1),(28,7336705,'1993-11-02 00:00:00',4,4,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124201201116152711336614175124220714172',10648,'9998',43.08,1,2,1),(28,7336713,'1988-08-30 00:00:00',4,1,12,2006,'M','N','CAPÃO DA IMBUIA','CURITIBA','PR','116164161311212441534469272124141017112',4386,'9998',54.10,1,3,NULL),(28,7336721,'1992-09-22 00:00:00',4,1,12,2010,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','123242241217372431379911375112131923125',5315,'883',57.57,4,3,NULL),(28,7336730,'1994-08-28 00:00:00',2,1,12,2011,'F','N','CACHOEIRA','FLORIANÓPOLIS','SC','124241241225111411536419375124610131012',2759,'262',62.58,1,3,NULL),(28,7336748,'1992-07-31 00:00:00',2,1,12,2009,'F','N','AREIAS','S JOSÉ','SC','124241241117371431526613382114610164142',16685,'734',42.24,4,2,1),(28,7336756,'1992-01-18 00:00:00',2,1,12,2009,'M','N','TIJUQUINHAS','BIGUAÇU','SC','124242241215573751376823475124610138092',3842,'1118',59.84,1,3,NULL),(28,7336764,'1970-04-05 00:00:00',4,1,7,2005,'F','N','CAEIRA SACO LIMÕES','FLORIANÓPOLIS','SC','224161247126231421326354242222610125047',19161,'9999',34.57,1,2,1),(28,7336772,'1976-04-24 00:00:00',4,1,12,1996,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','624241241332134451324351312112610168147',18647,'270',36.71,1,3,NULL),(28,7336780,'1991-08-08 00:00:00',2,4,6,2010,'M','N','BELVEDERE','CHAPECÓ','SC','124241241326141711433419391124231424057',NULL,'9997',0.00,1,3,NULL),(28,7336802,'1994-07-18 00:00:00',4,1,11,2011,'M','N','CENTRO','BATATAIS','SP','125252251216111431369914295124610127042',7042,'9998',51.47,1,3,NULL),(28,7336810,'1992-05-24 00:00:00',2,5,12,2009,'M','N','COHAB JOÃO DE BARRO','ORLEANS','SC','124241241136131411221344342224131555147',NULL,'580',0.00,4,3,NULL),(28,7336829,'1993-03-09 00:00:00',2,26,12,2010,'M','N','SANTA CRUZ','CONCÓRDIA','SC','124241242116152331456611595124610167042',8583,'196',48.38,1,2,1),(28,7336845,'1993-04-20 00:00:00',2,4,12,2010,'F','N','INTERIOR','CEL FREITAS','SC','124241241116161331423335445132610155047',NULL,'199',30.12,1,2,1),(28,7336853,'1984-02-10 00:00:00',4,1,12,2003,'M','N','SANTA TERESA','PTO ALEGRE','RS','120201201116131411334669441114610164037',NULL,'9998',29.23,1,2,1),(28,7336888,'1993-10-05 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217131731318814345125610124072',NULL,'269',18.84,3,3,NULL),(28,7336896,'1993-05-04 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241216132431334611382124610123042',13112,'1048',41.71,1,3,NULL),(28,7336900,'1990-03-24 00:00:00',4,1,12,2007,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224144141116271431236653485124610148187',18298,'9998',37.96,1,3,NULL),(28,7336918,'1991-01-17 00:00:00',4,1,12,2009,'M','N','VILA NOVA MANCHESTER','S PAULO','SP','125252251217533411538813575124610117042',3301,'9998',58.31,1,3,NULL),(28,7336926,'1989-05-22 00:00:00',4,1,12,2007,'F','N','PRAINHA','FLORIANÓPOLIS','SC','224241245117132411217544442344610161147',NULL,'275',7.33,2,1,1),(28,7336934,'1988-09-11 00:00:00',2,1,7,2011,'M','N','CAPIVARI INGLESES','FLORIANÓPOLIS','SC','124243247323271711128813483314610136047',NULL,'977',NULL,1,3,NULL),(28,7336942,'1988-04-19 00:00:00',2,1,5,2006,'M','N','ITAGUÁ','UBATUBA','SP','125252257137131441226623445121140637033',NULL,'9998',26.06,1,3,NULL),(28,7336969,'1986-01-11 00:00:00',2,1,12,2003,'F','N','PRAIA DE FORA','PALHOÇA','SC','124203201116271431638612485124141546182',6082,'9998',53.18,1,3,NULL),(28,7336977,'1988-03-07 00:00:00',4,1,12,2005,'M','N','KOBRASOL','S JOSÉ','SC','124242241215473451358834481124130667041',2675,'270',63.97,1,3,NULL),(28,7336985,'1981-10-01 00:00:00',2,1,12,2001,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124133257127271421124441215122143231042',15213,'9998',45.20,1,3,NULL),(28,7336993,'1990-10-22 00:00:00',2,5,12,2007,'F','N','CENTRO','COCAL SUL','SC','124242241216575431449712372122610123182',9793,'213',45.83,1,3,NULL),(28,7337019,'1995-09-11 00:00:00',4,1,12,2012,'M','S','SAMBAQUI','FLORIANÓPOLIS','SC','124242241215111431356813535124610127052',NULL,'1169',47.15,1,3,NULL),(28,7337027,'1984-01-12 00:00:00',2,1,12,2002,'F','N','ROÇADO','S JOSÉ','SC','624242247346135751328654482222130438187',NULL,'9997',28.99,1,3,NULL),(28,7337035,'1949-08-04 00:00:00',4,1,12,1969,'M','N','TRINDADE','FLORIANÓPOLIS','SC','524211218117142421168643432132341438097',NULL,'9998',7.02,1,2,1),(28,7337043,'1987-10-02 00:00:00',4,1,12,2004,'F','N','MORRO DA BINA','BIGUAÇU','SC','124241241314132421336624312214333227097',16186,'1011',43.36,1,3,NULL),(28,7337051,'1985-02-16 00:00:00',4,8,12,2002,'M','N','ANITA GARIBALDI','JOINVILLE','SC','124241241216373411458632412132331514042',6395,'486',59.88,1,3,NULL),(28,7337060,'1993-02-06 00:00:00',4,1,8,2010,'F','N','SANTA ROSA','NITERÓI','RJ','121122211416471731357929575124610164117',7775,'9998',47.79,1,3,NULL),(28,7337078,'1984-05-06 00:00:00',4,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216153221448813485122421412095',5504,'266',61.49,1,3,NULL),(28,7337086,'1993-05-22 00:00:00',2,1,12,2011,'F','N','REAL PARQUE','S JOSÉ','SC','124241241135271431533319341124610122192',NULL,'734',21.72,4,2,1),(28,7337094,'1993-08-05 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112531358732342125231017122',NULL,'1169',36.27,1,3,NULL),(28,7337116,'1992-09-29 00:00:00',2,4,11,2009,'M','N','ZONA RURAL','MARIÓPOLIS','PR','116161161126131411413315275324610114062',11244,'9998',41.81,1,2,1),(28,7337124,'1991-11-30 00:00:00',2,1,12,2009,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241211275421336829285124131267042',5589,'1022',53.75,1,3,NULL),(28,7337132,'1988-03-28 00:00:00',4,8,12,2005,'M','N','AGUA VERDE','CURITIBA','PR','116162161216471431369833385122343167052',NULL,'9998',0.00,1,3,NULL),(28,7337159,'1994-07-13 00:00:00',4,5,11,2011,'M','N','SÃO CRISTÓVÃO','CRICIÚMA','SC','124242246215111431477932575112610127082',18081,'9997',38.67,1,3,NULL),(28,7337167,'1987-02-03 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241111153431446819385122121424022',16662,'307',42.28,2,1,2),(28,7337175,'1985-03-06 00:00:00',2,1,6,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241317371431113344442334131448071',17971,'300',30.43,1,3,NULL),(28,7337183,'1990-10-22 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124161161117141431326469445114610143052',NULL,'9998',21.79,1,3,NULL),(28,7337191,'1993-02-10 00:00:00',4,16,12,2010,'M','N','CENTRO','LAGES','SC','124243241214162431366823575145242644192',18455,'237',37.45,1,3,NULL),(28,7337205,'1987-07-01 00:00:00',4,1,12,2004,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241211133431346511495124132733147',6314,'884',52.17,1,3,NULL),(28,7337213,'1994-10-07 00:00:00',4,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241215111431336831575124610127042',11573,'272',43.59,1,3,NULL),(28,7337221,'1995-03-08 00:00:00',4,1,12,2011,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241241115111231433321481124610117047',19740,'1248',30.74,1,2,1),(28,7337230,'1995-09-18 00:00:00',4,9,12,2012,'F','S','CENTRO','LAGES','SC','124241241115111431228629295124610127142',NULL,'498',16.84,1,3,NULL),(28,7337248,'1993-02-05 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215472431488812375122610134042',2315,'262',63.95,1,3,NULL),(28,7337256,'1964-11-20 00:00:00',2,1,12,2001,'F','N','IPIRANGA','S JOSÉ','SC','124201247216131741223344145124133266191',NULL,'9999',28.16,1,3,NULL),(28,7337264,'1967-11-03 00:00:00',2,1,12,2001,'F','N','MORRO DA BINA','BIGUAÇU','SC','224241241112131431334444142212131026187',NULL,'521',23.34,1,2,1),(28,7337299,'1987-12-01 00:00:00',2,1,12,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124161161214152411459914435134321333145',10905,'9998',52.28,4,3,NULL),(28,7337302,'1978-07-01 00:00:00',2,1,12,1995,'M','N','BARREIROS','S JOSÉ','SC','224242241217274721443943435132320237043',11910,'272',50.67,1,3,NULL),(28,7337310,'1994-03-11 00:00:00',4,22,12,2010,'M','N','CENTRO','BRUSQUE','SC','124242241215372431589919495122610167042',318,'109',78.98,1,3,NULL),(28,7337329,'1993-09-04 00:00:00',4,7,6,2011,'M','N','CENTRO','JOAÇABA','SC','124244281437371231249911414112610127077',8299,'9998',56.63,1,3,NULL),(28,7337337,'1992-03-26 00:00:00',4,1,7,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244247336132411447634385124610126152',NULL,'977',38.85,1,3,NULL),(28,7337345,'1993-03-08 00:00:00',2,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241135371431636339295224610113017',NULL,'1116',0.00,4,2,1),(28,7337361,'1995-07-19 00:00:00',4,17,12,2012,'M','S','CENTRO','CANOINHAS','SC','124242241215161731367733575122610167052',NULL,'154',52.21,1,3,NULL),(28,7337388,'1994-07-06 00:00:00',4,1,12,2011,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241115371431636923375124610164042',8472,'307',47.55,1,2,1),(28,7337396,'1994-06-26 00:00:00',2,1,12,2011,'M','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','124241241225131711626631575124610167012',10179,'262',45.54,4,3,NULL),(28,7337400,'1994-06-13 00:00:00',2,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124244241415131431228521272124610124017',NULL,'1075',24.13,1,3,NULL),(28,7337418,'1992-07-21 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241243117371221413344345124610123157',16343,'359',43.01,1,2,1),(28,7337426,'1994-05-04 00:00:00',4,8,11,2011,'M','N','ATIRADORES','JOINVILLE','SC','124242241215371431489914471122610167071',1950,'461',63.65,1,3,NULL),(28,7337434,'1980-01-02 00:00:00',4,8,1,1999,'M','N','BOM RETIRO','JOINVILLE','SC','124252257236131431547611375122340226117',NULL,'9998',0.00,1,3,NULL),(28,7337442,'1980-07-21 00:00:00',4,15,12,1999,'F','N','VILA SÃO JOSÉ','ARARANGUÁ','SC','224201241346142441239952115124531227057',17600,'28',40.04,1,3,NULL),(28,7337450,'1964-03-22 00:00:00',4,1,12,1980,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','524162241216141121437944442132343261097',NULL,'9998',46.38,1,3,NULL),(28,7337469,'1994-05-21 00:00:00',4,22,12,2011,'F','N','CENTRO','S JOÃO BATISTA','SC','124241241117141731643514345122610138197',NULL,'712',21.30,1,2,1),(28,7337485,'1985-12-26 00:00:00',2,8,7,2006,'F','N','POCINHO','CAMPINA G SUL','PR','116161168116575441368619575124610137096',NULL,'9998',0.00,1,2,1),(28,7337493,'1993-03-23 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241145141431636621211124610116092',NULL,'307',18.41,1,2,1),(28,7337515,'1992-02-26 00:00:00',4,10,12,2009,'F','N','MORRO DA ANTENA','TREZE MAIO','SC','124241241126141721433264245124232548192',NULL,'793',0.00,4,3,NULL),(28,7337523,'1991-05-18 00:00:00',4,1,12,2009,'F','N','VILA BANDEIRANTES','CPO GRANDE','MS','112122121216575751548831575122610168187',501,'9998',70.38,1,3,NULL),(28,7337531,'1993-06-07 00:00:00',4,6,12,2011,'F','N','PALMITAL','PARANAGUÁ','PR','116162163117371431224429575124610137142',12066,'9998',40.71,1,3,NULL),(28,7337558,'1993-02-18 00:00:00',2,1,12,2010,'M','N','JARDIM BIGUAÇU','BIGUAÇU','SC','124243241117142431333312345122610127062',19634,'65',31.71,1,3,NULL),(28,7337590,'1990-10-06 00:00:00',4,2,12,2008,'M','N','NOVA ESPERANÇA','BLUMENAU','SC','124241247315121431359913245134610147142',18356,'9999',37.76,4,3,NULL),(28,7337612,'1986-01-17 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242248217132711238611315124331036187',18266,'270',38.08,1,3,NULL),(28,7337620,'1992-05-09 00:00:00',4,1,12,2010,'F','N','AEROPORTO','ARACAJU','SE','126262261216471431546667575114610124092',19667,'9998',31.49,4,3,NULL),(28,7337639,'1994-12-22 00:00:00',2,27,12,2011,'M','N','CENTRO','GUARUJÁ SUL','SC','124241241146161731453923395122610168187',NULL,'339',0.00,1,2,1),(28,7337647,'1993-10-10 00:00:00',4,1,12,2011,'M','N','BIGUAÇU','BIGUAÇU','SC','124243241114141731445619575114610167047',NULL,'65',27.70,1,3,NULL),(28,7337655,'1992-05-27 00:00:00',2,1,12,2009,'M','N','ARAÇATUBA','IMBITUBA','SC','124241241126371331344329215124610112112',13398,'361',48.40,1,2,1),(28,7337671,'1994-08-13 00:00:00',2,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124241241115131411443511236124610161192',NULL,'1116',20.61,1,3,NULL),(28,7337680,'1987-11-02 00:00:00',4,8,12,2006,'M','N','BOM RETIRO','JOINVILLE','SC','124256251237132431128814475124233232181',11391,'9998',51.49,3,3,NULL),(28,7337698,'1988-04-06 00:00:00',2,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217112411536444345112610162181',19196,'259',34.38,1,3,NULL),(28,7337701,'1991-07-04 00:00:00',2,1,12,2009,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124241241137251411424444341223130216112',13740,'292',38.77,3,2,1),(28,7337710,'1991-06-19 00:00:00',4,1,11,2008,'F','N','CAMPINAS','S JOSÉ','SC','124242241217152411348833571124221412195',1501,'723',71.62,1,3,NULL),(28,7337728,'1991-07-03 00:00:00',4,1,12,2008,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124242241211273431579813575112233268192',14811,'273',45.97,1,3,NULL),(28,7337736,'1993-10-04 00:00:00',2,1,11,2010,'F','N','ALVORADA','FRANCISCO BELTRÃO','PR','116162161236472431447811595114610161172',3568,'9998',60.17,1,3,NULL),(28,7337744,'1992-09-19 00:00:00',2,27,12,2009,'F','N','CENTRO','S MIGUEL OESTE','SC','124241241116272731426624385124232832012',10159,'757',43.35,1,2,1),(28,7337752,'1992-01-13 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124243241116373221568632445113133267042',NULL,'271',16.61,1,3,NULL),(28,7337760,'1991-06-03 00:00:00',4,1,12,2008,'M','N','CONSOLACAO','S PAULO','SP','125272271216571741186917575115610164186',NULL,'9998',0.00,1,3,NULL),(28,7337779,'1992-04-02 00:00:00',4,1,12,2009,'M','N','BELA VISTA','PALHOÇA','SC','124242241225232431235724245124122268097',10683,'262',42.32,1,3,NULL),(28,7337787,'1988-04-26 00:00:00',5,1,7,2007,'M','N','FLOR DE NÁPOLES','S JOSÉ','SC','124241247326271431533564245324610124057',15567,'9999',38.70,4,1,2),(28,7337795,'1994-05-08 00:00:00',4,5,11,2011,'M','N','SANTA CATARINA','CRICIÚMA','SC','124242241215111431469919295122610167077',10896,'226',52.29,1,3,NULL),(28,7337809,'1985-06-04 00:00:00',2,1,12,2002,'F','N','EMBOABA','TRAMANDAÍ','RS','120201201126162731126344445124142265143',NULL,'9998',0.00,1,2,1),(28,7337817,'1988-03-16 00:00:00',2,1,11,2005,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241122234421433614145123330164147',19170,'941',34.51,1,2,1),(28,7337825,'1995-01-15 00:00:00',4,2,12,2012,'F','S','ITOUPAVA NORTE','BLUMENAU','SC','124244241235111411469823435122610114142',NULL,'909',40.84,1,3,NULL),(28,7337833,'1989-08-14 00:00:00',4,1,12,2007,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242281231152411239933575122220864131',NULL,'9998',0.00,1,3,NULL),(28,7337841,'1993-05-25 00:00:00',4,1,12,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','624242241415472431466923572344610134042',12147,'270',42.65,1,3,NULL),(28,7337850,'1995-07-30 00:00:00',2,2,12,2011,'F','N','CENTRO','VÍTOR MEIRELES','SC','124241241126161431348632595122610137052',13526,'834',39.12,1,2,1),(28,7337876,'1994-10-07 00:00:00',4,4,12,2011,'M','N','ESPLANADA','CHAPECÓ','SC','124241241215151441338614575122610114172',NULL,'1021',11.74,1,3,NULL),(28,7337884,'1978-10-18 00:00:00',2,1,12,1999,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241136154421234444245134343222157',14451,'307',46.66,1,2,1),(28,7337892,'1992-12-28 00:00:00',4,1,12,2010,'F','N','VILA EMA','S JOSÉ CAMPOS','SP','125252256216271431448814345134610147187',10431,'9998',42.30,1,3,NULL),(28,7337906,'1992-03-06 00:00:00',2,1,6,2011,'F','N','IPIRANGA','S JOSÉ','SC','124243243115371421326519381124610123012',7150,'306',52.53,1,3,NULL),(28,7337914,'1995-07-18 00:00:00',4,1,12,2011,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124242241217121731438711312124610122192',NULL,'1133',26.33,1,3,NULL),(28,7337922,'1992-03-01 00:00:00',2,26,12,2008,'F','N','SÃO CRISTÓVÃO','CONCÓRDIA','SC','124241241146131731439724285123233235142',NULL,'194',9.79,4,2,1),(28,7337930,'1994-10-20 00:00:00',4,1,11,2011,'M','N','ZONA DOIS','UMUARAMA','PR','116162161217111432477716575112610167042',14535,'9998',40.10,1,3,NULL),(28,7337949,'1987-10-27 00:00:00',2,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251131336575431116541215124222622097',4373,'9998',56.08,1,3,NULL),(28,7337957,'1986-05-09 00:00:00',2,1,6,2004,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243247316372121526823215123610154027',NULL,'1003',27.10,1,3,NULL),(28,7337965,'1993-04-14 00:00:00',4,1,12,2011,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241225111331626614376124610125097',NULL,'262',24.98,1,3,NULL),(28,7337973,'1988-09-24 00:00:00',2,3,12,2005,'M','N','CENTRO','BAL CAMBORIÚ','SC','124201201126574431436316272224610167042',11774,'9998',41.42,1,2,1),(28,7337981,'1993-10-09 00:00:00',2,1,12,2010,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241226132431436914345122230217057',12801,'262',42.88,1,3,NULL),(28,7337990,'1987-11-30 00:00:00',2,3,12,2004,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241216375431378812575122131424092',6200,'1017',60.25,1,3,NULL),(28,7338007,'1980-01-14 00:00:00',2,16,6,2007,'F','N','CENTRO','CURITIBANOS','SC','124241247226171451414548485114610133187',NULL,'515',24.08,1,3,NULL),(28,7338015,'1995-11-10 00:00:00',4,1,12,2011,'F','N','LOT VALDIR MARIOTTI','ALFREDO WAGNER','SC','124241241122131431536933575123610136147',NULL,'13',26.40,1,2,1),(28,7338023,'1992-03-23 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215574431476814595112610137077',6915,'270',53.46,1,3,NULL),(28,7338040,'1982-09-14 00:00:00',4,1,12,1999,'F','N','BARREIROS','S JOSÉ','SC','224052051211131522366653475122431064057',13553,'9998',48.15,1,3,NULL),(28,7338058,'1986-09-16 00:00:00',2,1,12,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241216374751336619495114231441093',18171,'270',38.37,1,3,NULL),(28,7338066,'1991-07-25 00:00:00',4,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217372412348614575114131414192',8018,'1169',57.12,1,3,NULL),(28,7338074,'1987-03-23 00:00:00',2,5,12,2004,'F','N','MONTE VERDE','MRO FUMAÇA','SC','124241241142574431223321292124613227147',12057,'567',43.38,1,2,1),(28,7338082,'1992-11-23 00:00:00',2,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241217473431437814575114610167047',8874,'1168',46.37,1,3,NULL),(28,7338090,'1992-07-10 00:00:00',2,15,12,2009,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241116152431426829285122133247057',NULL,'30',0.00,1,2,1),(28,7338104,'1992-08-26 00:00:00',4,1,11,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241417132431228844347124122324017',NULL,'489',22.71,1,3,NULL),(28,7338112,'1994-09-05 00:00:00',2,10,12,2011,'F','N','CAMPO DE FORA','LAGUNA','SC','124241241117371731434824575125610134147',12831,'521',39.87,1,2,1),(28,7338120,'1985-11-29 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243241216375441559613315124123264023',8538,'9997',49.51,1,3,NULL),(28,7338139,'1990-10-28 00:00:00',4,6,12,2007,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244241215123441546533295113610135187',11111,'44',51.94,1,3,NULL),(28,7338155,'1994-07-23 00:00:00',2,1,12,2012,'M','S','ROÇADO','S JOSÉ','SC','124242241212171751558652242212610167065',NULL,'738',22.49,1,3,NULL),(28,7338163,'1986-10-18 00:00:00',3,1,12,2004,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','624251251116112431326759485114220964187',13701,'9998',47.88,4,2,1),(28,7338171,'1993-04-29 00:00:00',4,23,12,2010,'F','N','BARRA DO RIO MOLHA','JARAGUÁ SUL','SC','124241241145141711443439345124233231142',18510,'438',37.25,1,2,1),(28,7338201,'1990-02-26 00:00:00',4,1,12,2008,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241112132231323923345124133211051',NULL,'307',25.89,1,3,NULL),(28,7338210,'1994-02-10 00:00:00',4,24,12,2011,'M','N','CENTRO','RIO SUL','SC','124241241137131321423611595124613247147',NULL,'659',20.63,1,2,1),(28,7338228,'1995-12-31 00:00:00',4,1,12,2012,'F','S','NOSSA SEN DO ROSARIO','S JOSÉ','SC','124241241117131431536434575224610164187',NULL,'729',6.17,1,3,NULL),(28,7338236,'1990-12-04 00:00:00',2,5,11,2007,'M','N','ESPIGAÃO DA PEDRA','ARARANGUÁ','SC','124241246116132431424431415134610167067',20077,'209',26.81,1,2,1),(28,7338244,'1994-12-11 00:00:00',4,4,12,2011,'F','N','PARQUE DAS PALMEIRAS','CHAPECÓ','SC','124242241215371432366617575122610128147',16795,'185',42.00,1,3,NULL),(28,7338252,'1994-02-16 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215271431363322295112610124142',NULL,'226',0.00,1,3,NULL),(28,7338260,'1993-10-26 00:00:00',4,1,12,2011,'F','N','JARDIM AMÉRICA','PIRAJUÍ','SP','125251251116161431426664572124610122017',NULL,'9998',26.57,1,2,1),(28,7338295,'1986-01-26 00:00:00',2,1,7,2004,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241126372421353474345122610117063',NULL,'772',32.75,1,2,1),(28,7338309,'1992-12-10 00:00:00',2,5,11,2010,'F','N','CENTRO','MRO FUMAÇA','SC','124244241211372431346612271214610147042',8848,'213',46.25,1,3,NULL),(28,7338325,'1993-12-02 00:00:00',2,5,7,2011,'M','N','SÃO SIMÃO','CRICIÚMA','SC','124241246215271431436534575122610137117',NULL,'995',9.71,1,3,NULL),(28,7338333,'1992-04-06 00:00:00',4,1,11,2009,'F','N','CARAVAGGIO','NOVA VENEZA','SC','124244241217474421566812372114233222183',NULL,'226',0.00,1,3,NULL),(28,7338341,'1988-05-10 00:00:00',4,1,11,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217143431448839295123130247182',NULL,'1198',0.00,1,3,NULL),(28,7338350,'1993-11-26 00:00:00',4,1,12,2011,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241411131431446414575112610162042',NULL,'1223',0.00,1,3,NULL),(28,7338368,'1994-11-10 00:00:00',2,1,12,2011,'F','N','ESPÍRITO SANTO','PTO ALEGRE','RS','120201201116371721437913575124610115097',9926,'9998',44.71,1,2,1),(28,7338384,'1992-08-31 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124241241116142431545334385114610164037',NULL,'257',24.36,1,2,1),(28,7338392,'1993-04-07 00:00:00',2,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241215272431437731415125131964182',11530,'299',51.27,1,3,NULL),(28,7338406,'1995-12-16 00:00:00',2,1,12,2012,'F','S','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124243241217111531523422571324610114012',NULL,'1048',28.70,1,3,NULL),(28,7338414,'1995-09-17 00:00:00',4,1,12,2012,'F','S','CENTRO','S BONIFÁCIO','SC','124241241217161731558833575122610134052',NULL,'1223',42.92,1,3,NULL),(28,7338422,'1994-08-09 00:00:00',6,1,12,2011,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241115141531223824145124610147117',NULL,'592',14.96,1,3,NULL),(28,7338449,'1990-12-27 00:00:00',2,1,12,2007,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116371431123544245123610137147',11597,'727',44.85,1,2,1),(28,7338481,'1994-11-22 00:00:00',2,1,12,2011,'F','N','USINA','ANTÔNIO CARLOS','SC','124241241137371431534619585124610135052',7783,'21',51.10,1,2,1),(28,7338503,'1991-11-12 00:00:00',2,10,12,2008,'F','N','SÃO MARTINHO','TUBARÃO','SC','124241241127141411524513245124231413182',19205,'802',34.35,1,3,NULL),(28,7338511,'1992-01-25 00:00:00',2,6,12,2009,'F','N','PRAÇA','TIJUCAS','SC','124243241331132431426419382124610121147',NULL,'781',29.29,1,3,NULL),(28,7338520,'1995-04-30 00:00:00',4,1,12,2012,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242248235111711348833482112610137092',NULL,'272',42.45,1,3,NULL),(28,7338538,'1993-12-14 00:00:00',2,7,12,2011,'M','N','SANTA TEREZA','VIDEIRA','SC','124241241217141431433312145111610117053',19881,'1080',29.54,1,3,NULL),(28,7338546,'1992-07-09 00:00:00',4,26,12,2009,'F','N','CENTRO','LINDÓIA SUL','SC','124241241147141731423336245125230644075',NULL,'534',0.00,1,3,NULL),(28,7338554,'1990-04-24 00:00:00',4,1,12,2007,'M','N','BARRA DO ARIRIU','PALHOÇA','SC','124241241116131431234624482113610127147',19625,'281',31.79,1,2,1),(28,7338562,'1989-10-21 00:00:00',2,1,12,2007,'F','N','VILA ALEMÃ','RIO CLARO','SP','125252251216371451438822495121143244147',2530,'9998',68.17,1,3,NULL),(28,7338570,'1994-06-10 00:00:00',4,22,12,2011,'M','N','CENTRO','S JOÃO BATISTA','SC','124241241137161432536334371125610147052',15498,'712',34.20,1,3,NULL),(28,7338589,'1994-03-28 00:00:00',2,1,12,2011,'F','N','ESQUINA','URUBICI','SC','124243241147271431428719575124610164147',12670,'818',39.90,1,3,NULL),(28,7338597,'1985-09-07 00:00:00',2,15,11,2008,'M','N','PARQUE ALVORADA','ARARANGUÁ','SC','224241247126132121324344242121610127047',NULL,'9999',25.77,4,3,NULL),(28,7338600,'1994-12-15 00:00:00',4,24,11,2011,'F','N','CENTRO','STA TEREZINHA','SC','124243241415121411434632575122610163182',NULL,'991',31.62,4,3,NULL),(28,7338619,'1994-05-14 00:00:00',4,1,12,2012,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241216171751359713595114610168012',NULL,'9997',26.97,1,3,NULL),(28,7338627,'1994-03-27 00:00:00',2,9,11,2011,'F','N','MARTORANO','S JOAQUIM','SC','124242241215161731427916575122610127072',7909,'721',50.94,1,3,NULL),(28,7338643,'1985-10-11 00:00:00',2,1,7,2005,'M','N','AREIAS','S JOSÉ','SC','224241241337372731234644345132610162043',NULL,'300',29.73,1,3,NULL),(28,7338651,'1994-11-16 00:00:00',4,1,12,2011,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124241241117141531525531245124610127047',NULL,'293',18.00,4,1,1),(28,7338660,'1991-06-27 00:00:00',4,1,12,2010,'M','N','PRAINHA','CARAGUATATUBA','SP','125253251416271431434821575111610134092',16801,'9998',32.86,1,3,NULL),(28,7338678,'1994-11-02 00:00:00',4,1,12,2011,'M','N','RIODO CEDRO','ÁGUAS MORNAS','SC','124241241115161431444336392124610127042',14186,'978',37.23,1,2,1),(28,7338686,'1994-01-27 00:00:00',4,1,12,2011,'F','N','PERDIZES','S PAULO','SP','125252251216151711468721275124610127047',7842,'9998',57.39,1,3,NULL),(28,7338694,'1995-01-20 00:00:00',2,1,12,2011,'M','N','BOM VIVER','BIGUAÇU','SC','124242248215111432336619575124610137045',19019,'1040',26.92,1,3,NULL),(28,7338708,'1993-12-22 00:00:00',4,1,11,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215122331369911572112610143042',1843,'1022',65.28,1,3,NULL),(28,7338724,'1993-02-27 00:00:00',4,1,12,2010,'M','N','CESARINO BORBA','IRACEMÁPOLIS','SP','125251251136131431636319185124610113097',14282,'9998',35.55,2,1,1),(28,7338732,'1994-11-28 00:00:00',4,4,12,2011,'F','N','ESTEVÃO CARRARO','ERECHIM','RS','120201201115271431216628271124610125052',11260,'9998',44.38,1,2,1),(28,7338740,'1987-05-08 00:00:00',4,4,11,2004,'F','N','NEVA','CASCAVEL','PR','116162161215575731537831575122143264147',NULL,'9998',0.00,1,3,NULL),(28,7338775,'1994-09-06 00:00:00',4,8,11,2011,'F','N','AMÉRICA','JOINVILLE','SC','124242248215111431579814575122610132182',NULL,'9997',0.00,1,3,NULL),(28,7338783,'1993-11-17 00:00:00',2,8,12,2010,'M','N','CENTRO','STO INÁCIO','PR','116163161215471751436611575124610147057',NULL,'9998',0.00,1,3,NULL),(28,7338791,'1995-11-27 00:00:00',4,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216111411457732575122610124032',18429,'259',37.54,1,3,NULL),(28,7338821,'1993-04-20 00:00:00',2,1,12,2010,'F','N','SOTECO','VL VELHA','ES','108082081216471431326621575124610122143',11741,'9998',40.39,1,3,NULL),(28,7338830,'1992-03-26 00:00:00',4,10,12,2009,'F','N','HUMAITÁ','TUBARÃO','SC','124242241215273431447714575122230467142',9867,'797',45.59,1,3,NULL),(28,7338848,'1991-12-20 00:00:00',2,1,7,2010,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124244247235472431469912281124610127042',12791,'9999',42.21,1,3,NULL),(28,7338856,'1994-05-14 00:00:00',4,5,11,2011,'M','N','MORRO ESTEVÃO','CRICIÚMA','SC','124242241215221431666832395112610147041',18504,'226',37.27,1,3,NULL),(28,7338864,'1995-10-18 00:00:00',2,15,12,2010,'M','N','CIDADE ALTA','TURVO','SC','124242241212111751448316562121612367041',NULL,'813',20.95,4,3,NULL),(28,7338872,'1994-06-16 00:00:00',4,1,12,2011,'M','N','JARDIM LA SALLE','TOLEDO','PR','116162161217111531559911575112610137062',19242,'9998',34.16,1,3,NULL),(28,7338880,'1991-04-25 00:00:00',4,8,12,2008,'F','N','BIGORRILHO','CURITIBA','PR','116162161211573411558811571111610163023',2380,'9998',63.66,1,3,NULL),(28,7338899,'1990-09-08 00:00:00',5,27,12,2007,'M','N','CENTRO','TOLEDO','PR','116162161215271431236923375112140267063',8653,'9998',47.01,1,3,NULL),(28,7338902,'1990-11-07 00:00:00',2,1,12,2008,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241146242431423524242241610167157',NULL,'941',24.82,1,3,NULL),(28,7338910,'1982-11-04 00:00:00',4,1,12,2000,'F','N','CAMPINAS','S JOSÉ','SC','124241241126135411133344445124330234057',14712,'736',34.06,1,2,1),(28,7338929,'1994-08-05 00:00:00',4,5,11,2011,'F','N','JARDIM PANORAMA','FOZ IGUAÇU','PR','116162161215111431458821595122610121142',18473,'9998',37.37,1,3,NULL),(28,7338937,'1995-02-16 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111121458833575122610127045',12049,'270',41.95,1,3,NULL),(28,7338953,'1994-03-12 00:00:00',2,1,12,2011,'M','N','CAIERA','FLORIANÓPOLIS','SC','124241241131111221533623571114613227092',NULL,'278',23.67,1,2,1),(28,7338970,'1991-12-02 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241217252431447723446124231837187',19639,'1022',31.68,1,3,NULL),(28,7338988,'1986-05-09 00:00:00',4,6,12,2004,'F','N','CENTRO','ITAJAÍ','SC','124201205117131751123649395124231267187',17359,'9998',32.57,4,3,NULL),(28,7338996,'1994-09-05 00:00:00',4,1,12,2012,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111411589833372124610134062',NULL,'262',52.58,1,3,NULL),(28,7339003,'1993-05-21 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241217372431356612572124610128097',19543,'272',32.39,1,3,NULL),(28,7339011,'1993-08-09 00:00:00',2,1,12,2011,'M','N','IPANEMA','PTO ALEGRE','RS','120201201113371411337821583124610115117',8863,'9998',51.04,1,3,NULL),(28,7339020,'1991-08-03 00:00:00',2,1,11,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241248117131421334471345124610164117',19582,'9999',32.15,4,2,1),(28,7339038,'1994-01-24 00:00:00',4,1,12,2011,'F','N','JARDIM DOS LÍRIOS','MARÍLIA','SP','125254251217111431436614175122610124142',NULL,'9998',29.25,1,3,NULL),(28,7339046,'1990-07-05 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241211375431468813575114121462162',13735,'270',47.83,1,3,NULL),(28,7339062,'1989-02-12 00:00:00',2,1,12,2007,'F','N','SANTA ISABEL','ÁGUAS MORNAS','SC','124241241135474731434435345134610167057',12745,'12',42.94,1,2,1),(28,7339070,'1995-03-20 00:00:00',4,5,12,2012,'F','S','CENTRO','SIDERÓPOLIS','SC','124242241215111631236612395112610114142',NULL,'226',19.40,1,3,NULL),(28,7339089,'1993-10-22 00:00:00',4,5,11,2010,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242246217142431449817385124230827122',10165,'995',43.81,1,3,NULL),(28,7339097,'1991-01-25 00:00:00',2,5,12,2008,'F','N','OPERARIA NOVA','CRICIÚMA','SC','124241241215471431343634372122131368077',15531,'920',44.65,1,3,NULL),(28,7339100,'1976-12-31 00:00:00',4,1,12,1995,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','224041243246145431338343435122131762087',9699,'9997',54.22,4,3,NULL),(28,7339119,'1988-12-22 00:00:00',4,27,12,2008,'M','N','CENTRO','TOLEDO','PR','116162217437111431558811375112610167045',NULL,'9998',0.00,1,3,NULL),(28,7339127,'1987-05-08 00:00:00',4,4,11,2004,'F','N','NEVA','CASCAVEL','PR','116162161215575751537831575122143264147',NULL,'9998',0.00,1,3,NULL),(28,7339135,'1992-03-18 00:00:00',2,7,12,2009,'M','N','JARDIM AMERICA','ASSIS CHATEAUBRIAND','PR','116163161216472431436632575112141112032',14982,'9998',35.86,1,3,NULL),(28,7339143,'1993-02-04 00:00:00',2,3,12,2011,'M','N','AREIAS','CAMBORIÚ','SC','124244241214131431536811315122610124092',17660,'1091',39.86,1,3,NULL),(28,7339151,'1994-09-20 00:00:00',4,8,12,2011,'M','N','JARDIM MARAJÁ','MARÍLIA','SP','125252251211271341457919571123343228127',8862,'9998',48.36,1,3,NULL),(28,7339160,'1994-12-10 00:00:00',4,1,12,2012,'F','S','RIO TAVARES','FLORIANÓPOLIS','SC','124252241215111432368811575124610138185',NULL,'262',35.90,1,3,NULL),(28,7339178,'1994-07-09 00:00:00',2,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241145141431536331245124610128057',NULL,'733',24.48,1,2,1),(28,7339186,'1993-08-16 00:00:00',4,1,12,2010,'F','N','BOA PARADA','S PEDRO ALCÂNTARA','SC','124244241215372431538811371124610156097',10235,'1074',48.28,1,3,NULL),(28,7339194,'1994-11-16 00:00:00',2,8,11,2011,'F','N','BOA VISTA','JOINVILLE','SC','124241241116371431523424572221610122012',15945,'477',37.00,1,2,1),(28,7339208,'1992-01-18 00:00:00',4,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241213375732458832572122231034195',3970,'1050',58.99,1,3,NULL),(28,7339216,'1992-03-19 00:00:00',2,10,12,2009,'F','N','CENTRO','IMARUÍ','SC','124241241116372411458833575122132668147',NULL,'356',41.71,1,3,NULL),(28,7339224,'1992-11-26 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116112431436833375124221564192',9720,'384',54.18,1,2,1),(28,7339232,'1976-07-13 00:00:00',4,1,12,1999,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241215131411249912185121130214185',15080,'270',45.45,1,3,NULL),(28,7339240,'1988-03-28 00:00:00',4,10,12,2005,'F','N','ENCANTADA','GAROPABA','SC','124241241127131422423411312134130224142',20121,'322',25.53,1,3,NULL),(28,7339267,'1995-09-30 00:00:00',4,23,12,2012,'F','S','NOVA BRASÍLIA','JARAGUÁ SUL','SC','124242241217111731479934275122610162182',NULL,'1174',45.48,1,3,NULL),(28,7339275,'1994-10-02 00:00:00',4,1,12,2012,'F','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215111731489813575122610137042',NULL,'270',20.38,1,3,NULL),(28,7339291,'1988-08-20 00:00:00',4,1,12,2006,'M','N','BETEL','PAULÍNIA','SP','125254251217471431469913335122243232182',NULL,'9998',0.00,1,3,NULL),(28,7339305,'1992-08-06 00:00:00',2,1,7,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241116131431338923245124610137047',NULL,'276',0.00,1,2,1),(28,7339313,'1992-09-02 00:00:00',4,8,12,2009,'M','N','MARAPÉ','SANTOS','SP','125254251217571431668811575114610167042',6717,'9998',50.31,1,3,NULL),(28,7339321,'1995-10-15 01:00:00',4,15,11,2012,'M','S','VILA ESTRELA','PNT GROSSA','PR','116162161216121731468819575122610128181',NULL,'9998',48.02,3,3,NULL),(28,7339330,'1993-11-09 00:00:00',4,1,12,2011,'M','N','IPIRANGA','S JOSÉ','SC','124243241325111221526524275124210117045',16198,'262',34.45,2,1,2),(28,7339364,'1994-05-14 00:00:00',2,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241115131431534711342321610127142',NULL,'592',30.49,1,2,1),(28,7339372,'1992-06-21 00:00:00',4,1,12,2009,'M','N','PARQUE SÃO VICENTE','MAUÁ','SP','125252251216572431468614571115610134077',1130,'9998',68.35,1,3,NULL),(28,7339380,'1992-08-18 00:00:00',2,1,12,2009,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241126131431423324442324610117045',NULL,'295',8.21,1,2,1),(28,7339399,'1994-08-16 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124244241215111441658923575121610161172',12040,'723',38.26,1,3,NULL),(28,7339402,'1991-05-28 00:00:00',4,1,12,2008,'M','N','FORQUILHAS','S JOSÉ','SC','124241241116153431335613275114610164112',12125,'732',40.90,1,2,1),(28,7339410,'1993-09-03 00:00:00',2,10,11,2011,'F','N','MAR GROSSO','LAGUNA','SC','124242241215122431336937595112610136042',4665,'807',56.98,1,3,NULL),(28,7339429,'1995-03-13 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431347933575122610117091',18748,'262',36.30,1,3,NULL),(28,7339437,'1995-08-11 00:00:00',4,2,10,2012,'F','S','PONTA AGUDA','BLUMENAU','SC','124242241212111431339933575122610124092',NULL,'909',44.28,1,3,NULL),(28,7339445,'1994-07-29 00:00:00',4,23,12,2011,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241232162431458831572122610127142',13726,'1174',40.39,1,3,NULL),(28,7339453,'1993-03-06 00:00:00',2,1,12,2011,'F','N','SANTOS SARAIVA','S JOSÉ','SC','124241241115211712523314572342610114142',NULL,'727',26.75,1,2,1),(28,7339461,'1993-12-28 00:00:00',2,1,11,2010,'M','N','ALTO ARIRIU','PALHOÇA','SC','124241241127141731436613475114130267182',NULL,'773',11.25,5,3,NULL),(28,7339470,'1992-03-03 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124132241237271431247722475122610167043',10274,'9998',53.27,1,3,NULL),(28,7339488,'1995-11-11 00:00:00',4,5,12,2012,'F','S','CENTRO','SIDERÓPOLIS','SC','124242241215111631346839495112610116091',NULL,'226',30.05,1,3,NULL),(28,7339496,'1987-10-28 00:00:00',2,1,12,2006,'M','N','PINHEIRA','PALHOÇA','SC','124241241147134441335531315222230614092',17405,'595',40.52,1,2,1),(28,7339500,'1994-03-12 00:00:00',2,15,12,2011,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','624161241115141421213654381323610113077',NULL,'29',28.17,1,2,1),(28,7339518,'1993-10-11 00:00:00',2,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241216112431218644345124610137182',NULL,'737',24.19,1,3,NULL),(28,7339526,'1989-07-30 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224241241127242731227659385124610147067',NULL,'290',27.86,2,1,1),(28,7339534,'1986-01-27 00:00:00',4,1,12,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251216271441243744445134341465183',16095,'9998',43.51,4,3,NULL),(28,7339542,'1994-06-04 00:00:00',2,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241112141431346711275124610124052',NULL,'307',29.18,1,3,NULL),(28,7339550,'1975-12-03 00:00:00',4,1,3,1998,'F','N','NOSSA SEN DO ROSARIO','S JOSÉ','SC','124241247127132421331142125332610167047',NULL,'9999',27.03,1,2,1),(28,7339569,'1994-10-20 00:00:00',4,1,12,2011,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242247215111741456532295124610138055',19952,'1022',28.79,1,3,NULL),(28,7339577,'1992-04-14 00:00:00',4,17,12,2009,'M','N','CENTRO','CANOINHAS','SC','124241241116142731534611285121233228017',11511,'146',42.45,1,2,1),(28,7339593,'1993-08-07 00:00:00',2,15,12,2010,'F','N','MATO ALTO','ARARANGUÁ','SC','124241248126131431423314445314610134055',NULL,'30',0.00,1,3,NULL),(28,7339607,'1993-11-01 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241315272731326829345114610164047',NULL,'1022',35.50,1,3,NULL),(28,7339615,'1968-01-04 00:00:00',4,1,12,1987,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124201206147154411258343335132331466182',NULL,'9998',0.00,1,3,NULL),(28,7339631,'1992-08-27 00:00:00',2,2,12,2009,'F','N','TESTO SALTO','BLUMENAU','SC','124241241137151432343329342124610126057',17900,'81',39.21,1,3,NULL),(28,7339640,'1994-07-06 00:00:00',4,9,12,2011,'M','N','CENTENÁRIO','LAGES','SC','124241241111271431433631571124610121147',18324,'935',37.88,1,2,1),(28,7339658,'1994-02-08 00:00:00',2,1,12,2011,'M','N','PRAIA DE FORA','PALHOÇA','SC','124241248115371711224311582124610117042',NULL,'591',28.61,1,2,1),(28,7339666,'1993-05-17 00:00:00',2,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241246113141411325611292224610121122',6887,'306',50.12,1,2,1),(28,7339682,'1994-02-19 00:00:00',4,1,12,2011,'M','N','LAGOINHA','RIBEIRÃO PRETO','SP','125252251216111431459931575122610144057',NULL,'9998',0.00,1,3,NULL),(28,7339712,'1975-06-28 00:00:00',4,1,12,2005,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224094111337141431138844445124343254147',NULL,'9998',26.32,1,3,NULL),(28,7339720,'1992-06-09 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242245216111431439912275124130715097',NULL,'44',34.52,1,3,NULL),(28,7339747,'1991-03-24 00:00:00',2,15,12,2008,'F','N','DIVINÉIA','ARARANGUÁ','SC','124241241116131451226329295124233227057',NULL,'30',26.68,1,2,1),(28,7339755,'1991-10-22 00:00:00',4,1,12,2008,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124202201417273431546731345124141424057',12074,'9998',50.42,4,3,NULL),(28,7339771,'1994-09-25 00:00:00',4,9,12,2011,'F','N','IGARAS','OTACÍLIO COSTA','SC','124241241126131431221823575324610113142',19909,'583',29.20,1,2,1),(28,7339780,'1993-08-23 00:00:00',2,26,12,2010,'M','N','CINQUENTENARIO','CONCÓRDIA','SC','124241241116371431446813575112131467012',NULL,'1001',35.28,1,3,NULL),(28,7339798,'1993-07-02 00:00:00',4,1,12,2011,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241225111431223624372124610121147',NULL,'262',0.00,1,3,NULL),(28,7339801,'1982-09-03 00:00:00',4,1,11,2001,'F','N','FATIMA','COLOMBO','PR','116163161337471721224841313214142962177',NULL,'9998',0.00,1,3,NULL),(28,7339810,'1995-10-16 00:00:00',4,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215111431469913575112610168122',8563,'270',45.22,1,3,NULL),(28,7339828,'1991-09-13 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124204208137131421633524245135610136147',16952,'9998',41.64,1,3,NULL),(28,7339836,'1994-09-22 00:00:00',2,8,11,2011,'F','N','BUCAREIN','JOINVILLE','SC','124242241215111431548914575114610167077',14489,'1016',46.61,1,3,NULL),(28,7339844,'1994-09-02 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241217122411459912245114610134132',1678,'737',67.52,1,3,NULL),(28,7339852,'1970-11-12 00:00:00',2,1,12,1983,'F','N','CARIANOS','FLORIANÓPOLIS','SC','624242246242154411421151115134122314097',15150,'67',37.84,1,3,NULL),(28,7339860,'1989-06-07 00:00:00',2,1,12,2006,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124203201217471531525664482144610168047',13856,'9998',47.64,1,3,NULL),(28,7339879,'1995-01-27 00:00:00',4,15,12,2011,'M','N','SANGA DA TOCA','ARARANGUÁ','SC','124241241135141731443619245124610125145',15468,'30',36.30,1,2,1),(28,7339895,'1995-07-09 00:00:00',4,1,12,2012,'M','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216111431348814575122610164117',NULL,'738',43.12,1,3,NULL),(28,7339909,'1994-11-07 00:00:00',2,3,12,2012,'M','S','CENTRO','BAL CAMBORIÚ','SC','124241241216111441446721575124610152062',NULL,'1059',51.51,4,3,NULL),(28,7339917,'1989-08-06 00:00:00',4,2,12,2007,'F','N','PETROPOLIS','BLUMENAU','SC','124242241326131231438611575124131437011',19332,'79',33.72,1,3,NULL),(28,7339925,'1993-05-07 00:00:00',4,4,11,2010,'M','N','PIO CORREA','CRICIÚMA','SC','124244241215472411458833495122610147187',246,'211',77.16,1,3,NULL),(28,7339933,'1993-05-17 00:00:00',4,1,12,2010,'M','N','QUINTA DA BOA VISTA','JUNDIAÍ','SP','125252251236472431579832585112610164102',1257,'9998',65.02,1,3,NULL),(28,7339941,'1994-04-17 00:00:00',4,1,12,2011,'M','N','IBIRAQUERA','IMBITUBA','SC','124201241147371431438839575114610137047',4259,'1136',57.82,1,2,1),(28,7339950,'1993-02-04 00:00:00',4,9,12,2010,'M','N','GUARUJA','LAGES','SC','124241241137131631526619191224610162187',NULL,'935',9.78,1,2,1),(28,7339968,'1993-08-24 00:00:00',4,1,11,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124243241215272711569713575122610125187',9071,'270',50.66,1,3,NULL),(28,7339976,'1994-11-23 00:00:00',4,7,11,2011,'F','N','JARDIM PRIMAVERAS','SINOP','MT','111112111236271432455832596121610127037',7191,'9998',49.70,1,3,NULL),(28,7339992,'1994-07-21 00:00:00',4,10,11,2011,'M','N','MONTE CASTELO','TUBARÃO','SC','124244241217111731436932575112610164192',NULL,'806',0.00,1,3,NULL),(28,7340001,'1991-04-15 00:00:00',2,8,12,2008,'F','N','BOM RETIRO','JOINVILLE','SC','124241245146372441123444145121230664177',17346,'697',29.69,3,3,NULL),(28,7340010,'1992-05-30 00:00:00',2,1,12,2009,'F','N','CENTRO DE PALHOÇA','PALHOÇA','SC','124241241215372721443319395124132731122',18109,'1011',38.55,1,3,NULL),(28,7340028,'1993-07-26 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215372431258823435124222528182',4786,'262',58.85,1,3,NULL),(28,7340036,'1989-09-23 00:00:00',1,1,12,2006,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241147472711123344145123610168187',11291,'761',44.36,1,2,1),(28,7340044,'1993-04-17 00:00:00',2,24,12,2010,'F','N','SÃO CRISTOVÃO','TRÊS BARRAS','SC','124241241116472431313319595124610124077',NULL,'153',22.65,1,2,1),(28,7340052,'1988-08-16 00:00:00',4,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241316474431456617145112610122147',14209,'269',47.08,1,3,NULL),(28,7340060,'1995-12-26 00:00:00',4,1,12,2012,'F','S','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215111431578814472122610125145',NULL,'951',26.67,1,3,NULL),(28,7340079,'1994-07-17 00:00:00',4,17,12,2011,'M','N','ALTO DE MAFRA','MAFRA','SC','124241241115371721426635372224610118067',NULL,'542',18.60,1,3,NULL),(28,7340087,'1994-07-13 00:00:00',4,1,11,2011,'M','N','AEROPORTO','GOIÂNIA','GO','109092091215111431459933595121610167057',2733,'9998',61.60,4,3,NULL),(28,7340095,'1993-04-29 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111531536813575124610168142',NULL,'270',27.27,1,3,NULL),(28,7340109,'1993-09-20 00:00:00',2,1,11,2011,'F','N','MORADA DO SOL','PRES FIGUEIREDO','AM','104044041116271431335723575123610137076',NULL,'9998',0.00,4,3,NULL),(28,7340117,'1991-05-23 00:00:00',4,1,12,2008,'F','N','JARDIM APRAZIVEL','PR GRANDE','SP','125251251116271751325514295124610134182',16120,'9998',33.98,1,2,1),(28,7340125,'1995-05-10 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241225131431446614241124610127052',10561,'262',43.80,4,3,NULL),(28,7340133,'1994-01-12 00:00:00',2,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241215132421336828341134610125057',7737,'1022',49.64,1,3,NULL),(28,7340141,'1984-08-29 00:00:00',4,1,11,2003,'F','N','SAO JOSE','S JOSÉ','SC','124241241127132431611129485124610127157',NULL,'731',26.49,1,2,1),(28,7340150,'1993-03-08 00:00:00',4,2,11,2011,'F','N','CAPITAIS','TIMBÓ','SC','124241241215211731469712175111610138142',6300,'1157',52.94,1,3,NULL),(28,7340168,'1990-12-17 00:00:00',2,8,12,2007,'F','N','CENTRO','S MATEUS SUL','PR','116162161216574431358723574112610166142',NULL,'9998',0.00,1,3,NULL),(28,7340176,'1992-12-23 00:00:00',4,22,12,2010,'F','N','CENTRO','BRUSQUE','SC','124243241117272411436611275122610122192',NULL,'112',33.88,1,3,NULL),(28,7340184,'1993-08-31 00:00:00',2,1,12,2010,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124244241415472431265823475124610157052',3554,'272',60.44,1,3,NULL),(28,7340192,'1994-04-12 00:00:00',4,27,12,2010,'F','N','CENTRO','PARAÍSO','SC','124241241116472411425612575124610117057',5530,'604',53.42,1,2,1),(28,7340206,'1993-07-24 00:00:00',2,1,7,2011,'M','N','IPIRANGA','S JOSÉ','SC','124241247617271431246823395124610134047',NULL,'9999',17.83,1,3,NULL),(28,7340214,'1993-06-29 00:00:00',4,1,12,2010,'M','N','CENTRO','SUMARÉ','SP','125253251117471431345821272121610114054',9026,'9998',47.89,1,3,NULL),(28,7340222,'1995-03-07 00:00:00',2,15,12,2011,'M','N','COLONINHA','ARARANGUÁ','SC','124241241115271721326634572225610137142',NULL,'29',19.01,1,3,NULL),(28,7340249,'1980-05-08 00:00:00',2,1,12,1997,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124204201216262421126541416112131927117',15069,'9998',45.48,1,3,NULL),(28,7340257,'1994-02-25 00:00:00',4,24,12,2011,'F','N','RIBEIRÃO DOS LOBOS','TAIÓ','SC','124241241116111631313379575224610122147',19091,'777',34.91,1,2,1),(28,7340265,'1991-11-10 00:00:00',2,7,12,2008,'F','N','CENTRO','JOAÇABA','SC','124242241215373431548534375112142067117',14019,'962',37.76,1,3,NULL),(28,7340273,'1994-06-09 00:00:00',4,10,9,2011,'F','N','VILA MOEMA','TUBARÃO','SC','124242241216112431478912375122610113122',11558,'807',51.24,1,3,NULL),(28,7340290,'1994-12-02 00:00:00',2,1,12,2011,'F','N','JOSÉ BONIFÁCIO','ERECHIM','RS','120201201117131431648713445125610123172',13872,'9998',36.43,1,2,1),(28,7340303,'1995-07-18 00:00:00',4,9,12,2012,'F','S','CENTRO','LAGES','SC','124242241215111331446923572122610124147',NULL,'499',18.92,1,3,NULL),(28,7340311,'1989-03-01 00:00:00',2,1,11,2005,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241126271732111149295124610167057',18796,'444',36.11,1,2,1),(28,7340320,'1992-08-15 00:00:00',4,1,12,2010,'M','N','RATONES','FLORIANÓPOLIS','SC','124071241117131531328543482114610168067',18538,'307',37.15,4,2,1),(28,7340338,'1947-10-19 00:00:00',2,5,12,1967,'M','N','COMERCIÁRIO','CRICIÚMA','SC','224241161116152711356643235112341267075',NULL,'9998',26.68,2,1,1),(28,7340346,'1993-11-04 00:00:00',2,1,12,2010,'F','N','FARROUPILHA','PTO ALEGRE','RS','120202201217471431388833571124610167132',7441,'9998',51.26,1,3,NULL),(28,7340354,'1994-02-28 00:00:00',4,1,12,2011,'F','N','JARDIM PAULISTANO','SOROCABA','SP','125252251216111731368824575112610144147',15947,'9998',34.81,1,3,NULL),(28,7340362,'1990-05-18 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215374411566612482124130264047',5226,'1022',61.99,1,3,NULL),(28,7340389,'1994-04-11 00:00:00',4,1,12,2011,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241117131431323311372124610136147',19832,'591',30.00,1,2,1),(28,7340397,'1994-04-08 00:00:00',4,24,12,2011,'M','N','VILA NOVA','ITUPORANGA','SC','105241241136131431424411245121610137017',NULL,'416',15.46,1,3,NULL),(28,7340400,'1985-01-22 00:00:00',2,1,12,2004,'M','N','FORQUILHAS','S JOSÉ','SC','124241241146473421536144445123610127141',NULL,'727',27.99,1,3,NULL),(28,7340419,'1995-03-05 00:00:00',2,4,12,2012,'F','S','CENTRO','SANTIAGO SUL','SC','124241241115131411536923275125610123147',NULL,'866',20.01,2,3,NULL),(28,7340427,'1991-10-31 00:00:00',4,8,11,2008,'M','N','COSTA E SILVA','JOINVILLE','SC','124252251216372111489911575122221464121',14580,'9998',46.39,4,3,NULL),(28,7340435,'1995-08-10 00:00:00',4,1,12,2011,'M','N','ARNE TREZE','PALMAS','TO','127272271217111431459913575124610147057',12009,'9998',42.56,1,3,NULL),(28,7340443,'1993-09-03 00:00:00',4,1,12,1993,'F','N','PICADAS DO SUL','S JOSÉ','SC','124244241412372431449913575124133224142',9086,'1074',47.89,1,3,NULL),(28,7340451,'1967-12-09 00:00:00',4,1,12,1985,'M','N','JARDIM BELA SUIÇA','LONDRINA','PR','516161161316151411133349395112140246117',16796,'9998',42.00,3,3,NULL),(28,7340460,'1987-03-19 00:00:00',4,1,2,2010,'F','N','DORES','STA MARIA','RS','120203207336141441635944245224243225183',NULL,'9998',0.00,1,3,NULL),(28,7340478,'1993-10-15 00:00:00',4,24,11,2010,'F','N','CENTRO','ITUPORANGA','SC','124241241215572431525535572122610126147',12117,'1173',45.27,1,3,NULL),(28,7340486,'1994-05-31 00:00:00',2,4,12,2011,'F','N','BAIXADA INDUSTRIAL','PATO BRANCO','PR','116164168416111731345314575125610128142',NULL,'9998',24.11,1,3,NULL),(28,7340494,'1993-08-26 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241315131431558813485124610137047',19661,'307',31.51,1,3,NULL),(28,7340508,'1994-03-27 00:00:00',2,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117271431328529582324610124186',11903,'286',42.44,2,1,1),(28,7340516,'1994-05-23 00:00:00',4,23,12,2011,'M','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124243241217371731447511575112610127012',6137,'442',53.22,1,3,NULL),(28,7340524,'1987-11-01 00:00:00',4,1,11,2006,'M','N','KOBRASOL','S JOSÉ','SC','124243247247141231336823295134130717067',NULL,'1036',0.00,1,3,NULL),(28,7340532,'1990-03-21 00:00:00',2,1,12,2008,'F','N','CENTRO','FORMOSA OESTE','PR','116164161315573411434732595114610162142',6501,'9998',53.60,1,3,NULL),(28,7340540,'1995-04-28 00:00:00',4,26,12,2012,'F','S','FLORESTA','CONCÓRDIA','SC','124242241215151531369613572112610127043',NULL,'190',30.64,1,3,NULL),(28,7340559,'1979-12-20 00:00:00',4,1,12,1996,'F','N','CENTRO','FLORIANÓPOLIS','SC','224242248216141411348441315122333228182',13749,'71',47.81,1,3,NULL),(28,7340567,'1992-12-04 00:00:00',4,8,12,2010,'M','N','CRISTO REI','CURITIBA','PR','116162163117111431268823575124241436042',NULL,'9998',0.00,1,3,NULL),(28,7340575,'1994-04-23 00:00:00',2,9,12,2011,'F','N','CAROBA','LAGES','SC','124244241116371431428311575224610154147',NULL,'500',23.24,1,3,NULL),(28,7340605,'1992-10-30 00:00:00',4,1,12,2010,'M','N','MARIAPOLIS GINETTA','VARGEM G PAULISTA','SP','125252251211271411333822121122610113172',NULL,'9998',0.00,1,3,NULL),(28,7340613,'1988-12-28 00:00:00',4,1,12,2006,'M','N','IPIRANGA','S JOSÉ','SC','124242241212133431349321585124131067042',15525,'976',44.66,2,1,2),(28,7340621,'1995-10-03 00:00:00',4,26,12,2012,'F','S','BELA VISTA','CONCÓRDIA','SC','124242241212111732446822275115610168182',NULL,'190',44.39,1,3,NULL),(28,7340630,'1994-05-14 00:00:00',2,1,12,2011,'F','N','PRAIA DE FORA','PALHOÇA','SC','124241241125141431424629342124610126157',NULL,'594',18.99,4,2,1),(28,7340648,'1994-08-23 00:00:00',2,8,12,2011,'M','N','CENTRO','S MATEUS SUL','PR','116164161417161431348723574112610164174',15934,'9998',33.66,1,3,NULL),(28,7340656,'1979-01-04 00:00:00',2,1,12,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','124161166126143431133343235124123262182',14970,'9998',45.68,1,2,1),(28,7340664,'1994-02-21 00:00:00',4,8,12,2011,'M','N','CAJURU','CURITIBA','PR','116162161215471431336811575124610127042',7613,'9998',50.60,1,3,NULL),(28,7340672,'1994-06-18 00:00:00',4,1,11,2011,'M','N','PAE CARA','GUARUJÁ','SP','125252251216411731449934175112610163043',17309,'9998',40.76,4,3,NULL),(28,7340680,'1993-10-11 00:00:00',4,1,12,2010,'M','N','CAMPO DUNA','GAROPABA','SC','124241241112372431334615275114233222142',14174,'1136',38.65,1,2,1),(28,7340699,'1990-06-15 00:00:00',4,1,12,2007,'M','N','BETEL','PAULÍNIA','SP','125254251217151431466834575124241418187',8109,'9998',56.95,4,3,NULL),(28,7340710,'1994-05-31 00:00:00',2,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124243241215372732376652575112610162042',19766,'1223',30.53,1,3,NULL),(28,7340737,'1993-04-02 00:00:00',2,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124201241112472231435714591124610127142',12830,'49',40.17,1,2,1),(28,7340753,'1990-10-08 00:00:00',2,9,12,2007,'F','N','UNIVERSITÁRIO','LAGES','SC','124241241316131231438612485122233164067',16447,'202',34.49,1,3,NULL),(28,7340761,'1992-12-28 00:00:00',2,23,12,2010,'M','N','NOVA BRASÍLIA','JARAGUÁ SUL','SC','124241241116372431536634385122610132142',4863,'425',54.06,1,2,1),(28,7340770,'1992-07-06 00:00:00',2,1,12,2009,'M','N','PASSA VINTE','PALHOÇA','SC','124241241116132431534334445134610167047',NULL,'733',25.02,1,2,1),(28,7340788,'1994-11-11 00:00:00',2,10,10,2011,'M','N','MAR GROSSO','LAGUNA','SC','124242241215111231358831575122610167047',8044,'807',51.23,1,3,NULL),(28,7340796,'1992-08-24 00:00:00',2,4,12,2009,'F','N','COLINA VERDE','SALTO LONTRA','PR','116161161116372431533311275124610126142',13423,'9998',37.88,1,2,1),(28,7340818,'1994-12-12 00:00:00',4,1,12,2011,'F','N','CENTRO','S PEDRO ALCÂNTARA','SC','124241241126171711623613575114610117057',NULL,'869',20.80,1,2,1),(28,7340834,'1994-04-30 00:00:00',4,1,12,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241215221211437823435124610117045',9789,'299',54.08,1,3,NULL),(28,7340842,'1976-04-17 00:00:00',2,1,11,2004,'F','N','TAPERA','FLORIANÓPOLIS','SC','224251241116131421546643135124140262147',15988,'9997',43.71,1,2,1),(28,7340850,'1994-05-31 00:00:00',4,1,11,2011,'M','N','BOM PASTOR','MANHUAÇU','MG','113132131216271231586612422122610167042',7100,'1098',50.61,1,3,NULL),(28,7340869,'1994-11-05 00:00:00',2,10,12,2011,'F','N','SÃO CLEMENTE','TUBARÃO','SC','124243248215111431448733572122610124072',18294,'806',37.98,1,3,NULL),(28,7340877,'1985-01-17 00:00:00',2,1,12,2004,'F','N','BARREIROS','S JOSÉ','SC','224213215316131421226644142224141823187',12366,'9998',49.99,1,3,NULL),(28,7340885,'1985-12-13 00:00:00',4,1,12,2004,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124251251417251221237819245113241666127',5749,'9998',61.04,1,3,NULL),(28,7340893,'1993-02-01 00:00:00',2,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','107243241215272421568914145122610124042',17108,'1014',41.24,1,3,NULL),(28,7340915,'1991-10-11 00:00:00',2,1,12,2008,'F','N','IPIRANGA','S JOSÉ','SC','124241241117273131324823385124610113047',19076,'734',35.00,1,2,1),(28,7340923,'1994-07-11 00:00:00',4,1,11,2011,'M','N','ÁGUA VERDE','CURITIBA','PR','116242161232471431468932575122610127063',NULL,'9998',0.00,1,3,NULL),(28,7340931,'1992-06-01 00:00:00',2,4,2,2009,'M','N','BAIXADA INDUSTRIAL','PATO BRANCO','PR','116161168116171721338474215115610128052',NULL,'9998',24.19,1,3,NULL),(28,7340940,'1993-11-29 00:00:00',4,10,11,2011,'F','N','MAR GROSSO','LAGUNA','SC','124242241215111431367923575112610164192',NULL,'807',0.00,4,3,NULL),(28,7340958,'1994-03-30 00:00:00',4,1,7,2011,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243246117131732348724575124610137017',NULL,'306',25.76,1,3,NULL),(28,7340974,'1986-08-17 00:00:00',4,1,12,2003,'F','N','CENTRO','TOLEDO','PR','116162161214571441346932494122342062107',3650,'9998',59.01,1,3,NULL),(28,7340990,'1994-07-19 00:00:00',4,4,12,2011,'F','N','ALVORADA','CHAPECÓ','SC','124241241335131431423619275124610136147',19222,'1094',34.22,1,3,NULL),(28,7341008,'1992-03-17 00:00:00',4,8,12,2009,'F','N','JARDIM DAS FLORES','PIRAPOZINHO','SP','125252251215571431548811172124610124097',2134,'9998',62.99,1,3,NULL),(28,7341016,'1992-01-30 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241122472712624311372324610118142',11553,'922',44.82,1,2,1),(28,7341024,'1992-02-15 00:00:00',4,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241216474751549831575124610124091',6520,'737',53.96,1,3,NULL),(28,7341032,'1995-01-15 00:00:00',4,9,12,2011,'F','N','CENTRO','LAGES','SC','124241241116141431226519245124610134147',NULL,'935',17.43,3,3,NULL),(28,7341040,'1993-04-16 00:00:00',4,1,12,2010,'M','N','JARDIM SÃO LUIZ','RIBEIRÃO PRETO','SP','125122121215371231448832475122610117062',3676,'9998',65.22,1,3,NULL),(28,7341059,'1980-11-02 00:00:00',6,1,12,1998,'F','N','BOSQUE DAS MANSÕES','S JOSÉ','SC','124243243211151531347751471212133268181',NULL,'9997',27.80,1,3,NULL),(28,7341075,'1995-04-03 00:00:00',4,2,12,2012,'F','S','IMIGRANTES','TIMBÓ','SC','124241241215111431434614575122610161097',NULL,'1157',21.76,1,3,NULL),(28,7341083,'1992-04-06 00:00:00',4,23,12,2009,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242161217573211579911591124610111172',4350,'9998',59.67,1,3,NULL),(28,7341091,'1982-04-29 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','624242241216153711338844445121322165183',6966,'266',58.89,1,3,NULL),(28,7341105,'1994-12-15 00:00:00',4,2,11,2012,'F','S','CENTRO','RIO CEDROS','SC','124241241215111731438722345122610134077',NULL,'1157',33.14,1,3,NULL),(28,7341113,'1992-10-31 00:00:00',2,1,12,2009,'F','N','ARIRIÚ','PALHOÇA','SC','124241241122132411433629442234133256042',NULL,'593',14.19,1,2,1),(28,7341121,'1993-09-30 00:00:00',4,8,12,2010,'F','N','BHOEHMERWALD','S BENTO SUL','SC','124241241135371731433514385224610146042',19252,'697',34.12,1,3,NULL),(28,7341130,'1995-11-19 00:00:00',4,2,12,2012,'M','S','CENTRO','POMERODE','SC','124242241217111751589939595125610164032',NULL,'909',61.29,1,3,NULL),(28,7341148,'1994-06-07 00:00:00',2,1,12,2011,'F','N','RIO DO CEDRO','ÁGUAS MORNAS','SC','124241241117131431313325572124610123057',NULL,'978',15.16,1,2,1),(28,7341156,'1994-12-08 00:00:00',1,3,12,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124241241117211411433623575124610166187',9278,'405',50.37,1,2,1),(28,7341164,'1994-01-26 00:00:00',4,6,10,2010,'F','N','CENTRO','NAVEGANTES','SC','124242161216474741469931575112610162045',3595,'9998',58.88,1,3,NULL),(28,7341172,'1993-08-12 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241215472431656622575114610127041',2225,'738',64.60,1,3,NULL),(28,7341180,'1994-04-24 00:00:00',4,1,12,2011,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241225131431536923575114610167183',16125,'262',35.75,1,3,NULL),(28,7341199,'1991-06-11 00:00:00',4,1,12,2008,'M','N','SÃO FRANCISCO','TORRES','RS','124202201216575431359913575122232467117',1933,'9998',70.02,1,3,NULL),(28,7341202,'1995-04-01 00:00:00',2,5,12,2011,'F','N','CENTRO','ÁGUA BOA','MT','111112111217111431433933432121610127017',NULL,'9998',21.18,1,3,NULL),(28,7341229,'1994-05-10 00:00:00',4,17,12,2011,'F','N','ALTO DAS PALMEIRAS','CANOINHAS','SC','124241241116371431326813575122610136187',NULL,'146',0.00,1,2,1),(28,7341237,'1995-11-01 00:00:00',4,1,12,2012,'M','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111731356832575124610117097',NULL,'270',39.02,1,3,NULL),(28,7341245,'1994-04-25 00:00:00',4,3,12,2011,'F','N','PEREQUÊ','PTO BELO','SC','124163161116371431528821275121610124142',9723,'630',45.04,1,3,NULL),(28,7341253,'1993-03-30 00:00:00',2,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124074247415131331316728375214613225147',NULL,'9999',24.09,4,3,NULL),(28,7341270,'1972-07-09 00:00:00',2,1,12,1991,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241248326275421123349172324223028142',10915,'781',44.64,4,1,2),(28,7341288,'1991-04-29 00:00:00',2,1,12,2008,'F','N','JARDIM SOLEMAR','S JOSÉ','SC','124241248111132711623319192344610132047',NULL,'726',28.99,4,2,1),(28,7341296,'1995-04-27 00:00:00',4,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111731456824575122610124147',NULL,'1022',22.21,1,3,NULL),(28,7341318,'1993-12-04 00:00:00',2,1,12,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241115371441125514571124610166052',17426,'295',29.37,4,2,1),(28,7341326,'1987-07-05 00:00:00',4,8,12,2004,'M','N','JARDIM GUAPIRA','S PAULO','SP','125254258216471441449811315122343264186',NULL,'9998',0.00,1,3,NULL),(28,7341334,'1995-01-15 00:00:00',4,22,11,2012,'F','S','PRIMEIRO DE MAIO','BRUSQUE','SC','124242241215111431446833575122610124192',NULL,'107',38.68,1,3,NULL),(28,7341342,'1990-02-09 00:00:00',4,1,12,2007,'F','N','CENTRO','PALHOÇA','SC','124242241216153431468914574114122327182',6459,'1075',50.83,1,3,NULL),(28,7341350,'1992-09-24 00:00:00',4,1,12,2011,'M','N','JARDIM CIDADE FLORIA','S JOSÉ','SC','124244241211111531468411345112610127042',19623,'1118',23.66,3,3,NULL),(28,7341369,'1993-10-01 00:00:00',4,27,12,2010,'F','N','NOVO BAIRRO','MARAVILHA','SC','124241161316371411439923575124242966177',13214,'9998',38.59,1,3,NULL),(28,7341385,'1993-01-04 00:00:00',4,1,12,2011,'F','N','FLOR DE NÁPOLIS','S JOSÉ','SC','124241241137131431313529575124610123017',19121,'727',34.79,1,2,1),(28,7341393,'1994-06-14 00:00:00',4,1,12,2011,'F','N','CENTRO','S PEDRO ALCÂNTARA','SC','124241241126131311325832575114610117057',NULL,'869',17.92,1,2,1),(28,7341407,'1994-10-15 00:00:00',2,1,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115371231446721575124610127061',NULL,'307',33.40,1,2,1),(28,7341415,'1993-08-31 00:00:00',4,8,12,2010,'M','N','JARDIM DOS IPÊS','INDAIATUBA','SP','125212251217371221358834574112610168027',3810,'1278',56.11,1,3,NULL),(28,7341431,'1993-10-14 00:00:00',2,1,12,2010,'M','N','FLORESTA','S JOSÉ','SC','124242241215372231558813575114610127062',10110,'1022',46.42,1,3,NULL),(28,7341440,'1991-02-26 00:00:00',2,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217153431388614475124121124041',16607,'262',42.41,1,3,NULL),(28,7341458,'1978-03-13 00:00:00',2,1,12,1995,'F','N','CAMPINAS','S JOSÉ','SC','124201201216132421235343435124141361041',11278,'9998',51.65,1,3,NULL),(28,7341466,'1993-03-31 00:00:00',2,1,12,2010,'F','N','VILA MELGES','SOROCABA','SP','125253251216371431328711575124610122152',NULL,'9998',0.00,1,3,NULL),(28,7341482,'1992-11-05 00:00:00',4,8,11,2010,'F','N','AMÉRICA','JOINVILLE','SC','120242241217122431348814495122241022152',6078,'1063',60.46,1,3,NULL),(28,7341490,'1994-07-05 00:00:00',4,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124241241117141751546711215114610163197',18768,'734',36.23,1,2,1),(28,7341504,'1993-03-12 00:00:00',4,1,12,2010,'M','N','CENTRO','ASSIS CHATEAUBRIAND','PR','116161161217271431234639495125610118197',9433,'9998',46.18,3,3,NULL),(28,7341512,'1995-05-19 00:00:00',2,1,12,2011,'M','N','IPIRANGA','S JOSÉ','SC','124241241217131431649833575124610137047',19648,'1118',31.62,1,3,NULL),(28,7341520,'1994-07-06 00:00:00',4,1,12,2011,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241115371431323524572144610164146',NULL,'286',21.71,1,2,1),(28,7341539,'1991-06-26 00:00:00',4,1,12,2009,'M','N','ARIRIU','PALHOÇA','SC','124241241111132411336419241124231427092',NULL,'116',0.00,1,2,1),(28,7341555,'1994-10-18 00:00:00',4,2,12,2011,'F','N','PINHEIRO','PRES GETÚLIO','SC','124241241124161431436632141221610122017',12746,'644',40.91,1,2,1),(28,7341563,'1981-03-09 00:00:00',4,1,12,2000,'F','N','BARREIROS','FLORIANÓPOLIS','SC','124241241141132411123641211314610164141',20049,'507',27.33,4,3,NULL),(28,7341571,'1992-08-09 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241213372411269923495124120347112',15724,'1022',35.14,4,3,NULL),(28,7341598,'1978-07-25 00:00:00',2,24,12,1997,'M','N','CENTRO','RIO SUL','SC','224132133124131421523643132122231758017',16292,'9998',43.12,4,3,NULL),(28,7341601,'1992-08-19 00:00:00',4,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241435131121223521595112131044194',8483,'732',56.30,1,3,NULL),(28,7341610,'1993-01-29 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241212132731446613495124231013182',17558,'270',40.16,1,3,NULL),(28,7341628,'1992-04-10 00:00:00',2,1,12,2009,'F','N','BUENO','GOIÂNIA','GO','109092091215571431348832575122610123142',NULL,'9998',0.00,3,3,NULL),(28,7341636,'1995-01-11 00:00:00',2,1,11,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215112721328661294124610138185',17670,'300',29.63,1,3,NULL),(28,7341644,'1994-12-17 00:00:00',2,1,12,2011,'F','N','JARDIM CARANDAI','BIGUAÇU','SC','124242241315161431459833572124610137097',11062,'271',42.10,1,3,NULL),(28,7341652,'1994-08-31 00:00:00',4,2,12,2011,'F','N','PROGRESSO','BLUMENAU','SC','124241241117471431436634575124610123142',NULL,'85',14.85,1,2,1),(28,7341679,'1989-11-23 00:00:00',2,1,12,2006,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241111372421424423391332610128153',13732,'941',40.89,1,2,1),(28,7341687,'1995-08-14 00:00:00',2,9,12,2011,'M','N','CENTRO','CORREIA PINTO','SC','124242241215111451558913575124610137067',NULL,'1207',26.05,1,3,NULL),(28,7341709,'1994-04-02 00:00:00',4,26,12,2010,'M','N','LIBERDADE','CONCÓRDIA','SC','124243241316271431458931345122610124057',12579,'192',49.67,1,3,NULL),(28,7341733,'1971-06-03 00:00:00',4,8,12,1988,'M','N','PARQUE GUARANI','JOINVILLE','SC','124164161212164731116977373335141546187',11017,'9998',52.11,4,3,NULL),(28,7341750,'1991-08-09 00:00:00',4,1,12,2008,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124241241122154232523624572112610162197',17298,'728',40.79,1,2,1),(28,7341768,'1995-10-20 00:00:00',4,1,12,2012,'M','S','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242246313131431457733375122610134097',NULL,'306',48.14,1,3,NULL),(28,7341784,'1989-12-25 00:00:00',4,1,12,2011,'F','N','JURERE','FLORIANÓPOLIS','SC','124201247426141711536463445124610135187',NULL,'9999',0.00,1,3,NULL),(28,7341792,'1991-04-15 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241215473731423619345124121244147',6659,'1223',52.65,1,3,NULL),(28,7341806,'1989-12-23 00:00:00',2,16,12,2010,'M','N','GETULIO VARGAS','CURITIBANOS','SC','124241242117132431423316572344610127142',NULL,'960',21.96,4,2,1),(28,7341814,'1990-11-20 00:00:00',2,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241122372431423334575121610127041',8702,'282',49.31,1,2,1),(28,7341822,'1995-03-07 00:00:00',4,23,12,2012,'F','S','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124242241215111431467831575122610122182',NULL,'1174',43.02,1,3,NULL),(28,7341830,'1993-10-03 00:00:00',4,1,12,2011,'M','N','SETOR BUENO','GOIÂNIA','GO','109092091217171431443811175112610126042',NULL,'9998',0.00,1,3,NULL),(28,7341849,'1994-08-18 00:00:00',2,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124242241212111431326627572124610133142',13134,'1050',41.50,1,3,NULL),(28,7341857,'1950-04-27 00:00:00',2,1,12,2001,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241112135411111341112124610124042',19876,'290',29.58,1,2,1),(28,7341865,'1994-02-21 00:00:00',4,1,12,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241215111221567811575114610114187',5947,'270',60.68,1,3,NULL),(28,7341873,'1987-11-19 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124243241315273441668633475122220743012',2891,'1022',67.18,1,3,NULL),(28,7341881,'1994-02-12 00:00:00',4,10,11,2011,'M','N','REPRESA','BRAÇO NORTE','SC','124241241136131431323318385224610138147',NULL,'100',21.95,1,3,NULL),(28,7341890,'1979-03-07 00:00:00',4,1,12,1996,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241126242411243319345224221662182',14218,'560',47.07,1,3,NULL),(28,7341903,'1996-04-29 00:00:00',2,1,11,2012,'M','S','SAMBAQUI','FLORIANÓPOLIS','SC','124242241217111431445624275124610134017',NULL,'1048',47.19,1,3,NULL),(28,7341911,'1992-11-27 00:00:00',4,8,11,2010,'F','N','JARDIM DAS AMERICAS','CURITIBA','PR','116162161216472431356824575125610124182',9737,'9998',51.40,1,3,NULL),(28,7341938,'1972-09-06 00:00:00',2,1,6,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','224241248126131512313644142114610111087',NULL,'306',21.65,1,2,1),(28,7341946,'1984-06-26 00:00:00',4,5,11,2001,'M','N','CENTRO','CRICIÚMA','SC','124243241311112111443343332112121712162',13292,'226',48.57,1,3,NULL),(28,7341954,'1959-04-10 00:00:00',2,1,12,1979,'F','N','ROÇADO','S JOSÉ','SC','524241241147131731126679482212131038187',NULL,'591',24.45,1,3,NULL),(28,7341962,'1993-11-21 00:00:00',4,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241121372431434923575124131316182',10575,'702',46.82,1,2,1),(28,7341970,'1993-04-21 00:00:00',4,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242247417472431359823595124233224182',NULL,'9999',33.22,1,3,NULL),(28,7341989,'1991-07-08 00:00:00',4,22,12,2008,'M','N','CENTRO','GARIBALDI','RS','120201201111151431468814275122240327047',12483,'9998',49.82,1,2,1),(28,7341997,'1993-09-11 00:00:00',4,15,12,2010,'M','N','JARDIM CIBELE','ARARANGUÁ','SC','124243241116372431524414575122610124142',2939,'30',62.79,1,3,NULL),(28,7342004,'1989-06-14 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116272411348623345124130244022',16672,'307',42.26,1,3,NULL),(28,7342012,'1992-05-02 00:00:00',2,1,12,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241416142431469613445124220625117',7603,'300',52.45,4,1,2),(28,7342020,'1991-09-22 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216472421237763571114131014092',11690,'262',43.43,1,3,NULL),(28,7342039,'1983-06-11 00:00:00',2,1,12,2000,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124201201116135731126644145124121724043',NULL,'9998',0.00,1,3,NULL),(28,7342047,'1993-01-18 00:00:00',4,1,11,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242248215111721346611575114610114041',19714,'1022',31.05,1,3,NULL),(28,7342055,'1994-06-02 00:00:00',4,3,12,2011,'F','N','NOVA ESPERANÇA','BAL CAMBORIÚ','SC','124241241116271431424314575124610127047',11509,'1087',43.22,4,2,1),(28,7342063,'1989-02-09 00:00:00',2,8,12,2006,'M','N','AMERICA','JOINVILLE','SC','124241241215515411457723475111610117042',NULL,'1016',23.69,1,3,NULL),(28,7342071,'1994-02-07 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124244241236111532445614575122610117042',9076,'1077',48.41,1,3,NULL),(28,7342080,'1995-03-30 00:00:00',4,6,12,2012,'M','S','CENTRO','BAL CAMBORIÚ','SC','124242241217151332476931295122610117042',NULL,'1057',0.00,1,3,NULL),(28,7342098,'1995-11-11 00:00:00',2,10,12,2011,'F','N','TERMAS DO GRAVATAL','GRAVATAL','SC','124241241215111431437612575124610133196',7353,'806',58.22,1,3,NULL),(28,7342101,'1994-06-26 00:00:00',2,16,12,2011,'M','N','CENTRO','STA CECÍLIA','SC','124241241115271731459914271121610134097',19106,'686',34.86,1,2,1),(28,7342110,'1994-01-16 00:00:00',4,1,11,2011,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217371431256724572124610147112',1344,'270',69.06,1,3,NULL),(28,7342128,'1994-01-03 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431479813575125610131012',5379,'1050',57.66,1,3,NULL),(28,7342136,'1991-06-29 00:00:00',4,1,12,2008,'F','N','CENTRO','VIDEIRA','SC','124241241117131431233744345114233246092',8732,'831',55.87,1,2,1),(28,7342144,'1993-03-12 00:00:00',4,1,12,2010,'F','N','CENTRO','PTO ALEGRE','RS','120202208217471432448831475125610123186',10284,'9998',44.66,1,3,NULL),(28,7342152,'1995-04-17 00:00:00',2,24,11,2012,'F','S','CENTRO','AGRONÔMICA','SC','124244241215171431446811295112610117012',NULL,'991',26.69,1,3,NULL),(28,7342160,'1994-01-11 00:00:00',2,1,12,2011,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124243241115131431425923375224610163017',6492,'271',51.80,1,3,NULL),(28,7342187,'1992-09-12 00:00:00',4,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241212112531358933585124231022175',NULL,'988',23.79,1,3,NULL),(28,7342195,'1995-04-18 00:00:00',4,2,11,2012,'F','S','GASPARINHO','GASPAR','SC','124241241217151731467412215122610138191',NULL,'1137',39.80,1,3,NULL),(28,7342209,'1995-05-03 00:00:00',4,1,12,2011,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241312111431426824572124610124045',19702,'307',31.16,1,3,NULL),(28,7342217,'1991-07-24 00:00:00',2,15,12,2010,'M','N','SARANDI','PTO ALEGRE','RS','120202207237371151235311215122610167013',NULL,'9998',0.00,1,3,NULL),(28,7342225,'1992-04-27 00:00:00',4,5,12,2009,'F','N','MORRO DA FIGUEIRA','LAURO MÜLLER','SC','124241241116131431332319144114610147047',NULL,'531',14.74,1,2,1),(28,7342241,'1994-02-07 00:00:00',4,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241115132111323331172224610127072',NULL,'298',25.94,1,2,1),(28,7342250,'1995-02-21 00:00:00',4,10,12,2012,'M','S','CENTRO','TUBARÃO','SC','124244241415111732236632571122610167182',NULL,'806',0.00,1,3,NULL),(28,7342268,'1994-10-16 01:00:00',4,1,12,2011,'F','N','GUAIUBA','IMBITUBA','SC','124241243115371431324411575124610137142',17360,'359',31.84,1,2,1),(28,7342276,'1993-07-29 00:00:00',4,1,12,2010,'F','N','CENTRO','S MIGUEL ARCANJO','SP','125254251416472431538636571122610114177',12971,'9998',39.49,1,3,NULL),(28,7342284,'1986-12-11 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241316354411469852445124133262185',NULL,'271',0.00,1,3,NULL),(28,7342292,'1977-12-10 00:00:00',4,1,12,1994,'M','N','INGLESES','FLORIANÓPOLIS','SC','624252251417153711236742425125140467057',6863,'9998',59.07,1,3,NULL),(28,7342306,'1975-07-26 00:00:00',2,1,12,1992,'M','N','CENTRO','FLORIANÓPOLIS','SC','524202201337153711337649495112121768172',10945,'9998',52.20,1,3,NULL),(28,7342314,'1993-10-03 00:00:00',2,1,12,2010,'F','N','CENTRO','CERQUILHO','SP','125252251217471331448831575124610126092',NULL,'9998',0.00,1,3,NULL),(28,7342322,'1994-04-07 00:00:00',2,8,12,2011,'M','N','IRIRIÚ','JOINVILLE','SC','124241241146151432647739575121610124041',12643,'470',41.83,1,2,1),(28,7342349,'1993-11-25 00:00:00',4,8,12,2010,'F','N','CAPÃO DA IMBUIA','CURITIBA','PR','116164161116372731458613575124142447087',NULL,'9998',0.00,1,3,NULL),(28,7342381,'1988-07-20 00:00:00',2,1,12,2005,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241117575431646632225122610124117',12352,'307',50.01,3,3,NULL),(28,7342390,'1989-11-13 00:00:00',2,1,12,2008,'F','N','PINHEIRA','PALHOÇA','SC','124241241127373431323411282224123024092',NULL,'595',0.00,1,2,1),(28,7342403,'1990-04-23 00:00:00',2,1,12,2007,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241122132451423549392324610125017',NULL,'307',30.16,1,2,1),(28,7342411,'1978-05-22 00:00:00',2,8,12,2011,'M','N','PARQUE GUARANI','JOINVILLE','SC','124202247115161431514141312324610126187',NULL,'9997',24.05,1,3,NULL),(28,7342420,'1978-10-27 00:00:00',4,1,7,1997,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241316133741637811491114121967023',14141,'307',47.20,1,3,NULL),(28,7342446,'1994-07-15 00:00:00',2,1,12,2011,'F','N','CENTRO','BIGUAÇU','SC','124241241116371431423631275124610134142',18495,'65',28.08,1,2,1),(28,7342454,'1977-12-20 00:00:00',4,8,11,1997,'M','N','BOQUEIRAO','CURITIBA','PR','116163161315571431246843431114141414097',NULL,'9998',0.00,4,3,NULL),(28,7342462,'1992-08-17 00:00:00',2,15,12,2009,'F','N','JARDIM TIMBAUVA','GRAVATAÍ','RS','120253251214571431258714375122610164087',9180,'9998',48.96,1,3,NULL),(28,7342470,'1995-05-25 00:00:00',4,8,12,2012,'F','S','AMERICA','JOINVILLE','SC','124242241216171752366632572122610112195',NULL,'457',20.07,1,3,NULL),(28,7342489,'1988-11-25 00:00:00',4,1,12,2006,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217153411129933475122120734045',10667,'270',52.65,4,3,NULL),(28,7342497,'1992-04-18 00:00:00',4,1,11,2011,'F','N','CENTRO','TRÊS RIOS','RJ','121212211217121331387814575112610164092',14476,'9998',46.63,1,3,NULL),(28,7342500,'1994-07-07 00:00:00',4,22,12,2011,'M','N','SANTA TERESINHA','BRUSQUE','SC','124242241215111431448812225112610112122',7587,'109',49.49,1,3,NULL),(28,7342519,'1994-10-11 00:00:00',4,7,12,2011,'F','N','JOSÉ RUPP','HERVAL D OESTE','SC','124241241115131431213529292224610116097',NULL,'341',22.51,1,3,NULL),(28,7342527,'1976-06-14 00:00:00',2,1,12,1995,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124051053146275711123343235124221417047',10273,'9998',46.58,2,1,1),(28,7342535,'1995-06-26 00:00:00',2,15,12,2012,'F','S','SÃO CRISTÓVÃO','TURVO','SC','124242241216121431437734572122610135142',NULL,'813',34.64,1,3,NULL),(28,7342543,'1992-03-29 00:00:00',2,1,12,2009,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215372231559914572112133227045',1376,'270',68.88,1,3,NULL),(28,7342551,'1994-07-24 00:00:00',2,3,12,2011,'F','N','PEREQUE','PTO BELO','SC','124242241216111431458711275322610137182',16132,'1111',43.45,1,3,NULL),(28,7342560,'1994-09-09 00:00:00',2,1,12,2011,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241142131431211629242124610168141',17468,'591',32.60,1,2,1),(28,7342578,'1989-02-27 00:00:00',4,8,12,2006,'M','N','ATIRADORES','JOINVILLE','SC','124242241212575451669614575122232414125',1362,'1105',71.44,1,3,NULL),(28,7342586,'1994-11-10 00:00:00',2,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124252241215131411428839295122610142077',18117,'1049',38.53,1,3,NULL),(28,7342594,'1986-04-10 00:00:00',2,1,12,2005,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241116373731336519225122123227112',12826,'307',49.27,1,2,1),(28,7342632,'1992-12-31 00:00:00',2,1,12,2009,'M','N','PQ CONTINENTAL II','GUARULHOS','SP','125251251131131411527814341124610134181',NULL,'9998',0.00,2,1,1),(28,7342640,'1990-07-13 00:00:00',4,5,12,2007,'M','N','CENTRO','CRICIÚMA','SC','124242242211273431438932242122130267047',19235,'211',34.19,1,3,NULL),(28,7342667,'1994-11-23 00:00:00',4,1,12,2011,'F','N','CIDADE ALTA','MARINGÁ','PR','116161161411111311579614495122610166172',15091,'9998',35.66,1,3,NULL),(28,7342675,'1994-02-11 00:00:00',2,4,12,2011,'M','N','CENTRO','SERTÃO','RS','120201201113131231323533575125610134047',9808,'9998',47.09,1,2,1),(28,7342691,'1991-12-16 00:00:00',4,1,12,2008,'M','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124242241217554421548833596112230411032',13296,'1022',48.56,1,3,NULL),(28,7342705,'1994-04-27 00:00:00',2,10,12,2011,'M','N','CABEÇUDA','LAGUNA','SC','124241241135431431548933575124610167077',7034,'523',52.10,4,2,1),(28,7342713,'1993-01-03 00:00:00',4,1,12,2010,'M','N','CENTRO','BEBEDOURO','SP','125252251215371431348821572122610124077',6970,'9998',52.60,1,3,NULL),(28,7342721,'1978-03-31 00:00:00',2,1,12,2004,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124243248322134441431223475314610114112',18859,'290',35.85,1,3,NULL),(28,7342748,'1989-09-22 00:00:00',4,1,6,2008,'F','N','JARDIM DAS ACACIAS','UBERLÂNDIA','MG','113132281417574731459911575122610125112',3162,'9998',59.75,1,3,NULL),(28,7342756,'1994-08-20 00:00:00',2,1,12,2011,'F','N','PASSA VINTE','PALHOÇA','SC','124242241215131432323621295112610167092',NULL,'1011',35.30,1,3,NULL),(28,7342764,'1993-08-14 00:00:00',2,8,11,2011,'F','N','BUTANTÃ','S PAULO','SP','125252251217371711466823276124610153027',NULL,'9998',0.00,1,3,NULL),(28,7342799,'1993-10-09 00:00:00',2,3,11,2010,'F','N','VILA REAL','BAL CAMBORIÚ','SC','124241241116272431421211145133610162197',18379,'51',26.36,1,2,1),(28,7342802,'1990-06-13 00:00:00',2,8,11,2007,'M','N','ITAUM','JOINVILLE','SC','124241241117141731223324341123610167172',NULL,'466',7.82,1,3,NULL),(28,7342810,'1992-08-26 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241248225371731536634344114610167017',12301,'262',42.67,1,3,NULL),(28,7342829,'1993-09-16 00:00:00',4,1,12,2010,'F','N','BARRA DE JANGADA','PERUÍBE','SP','125252251217471741248813571125610142047',9918,'9998',44.40,1,3,NULL),(28,7342837,'1991-05-01 00:00:00',4,1,12,2008,'F','N','CENTRO','BIGUAÇU','SC','124241241315131731221344245314610128187',NULL,'63',25.23,1,3,NULL),(28,7342845,'1991-12-31 00:00:00',4,6,11,2008,'F','N','FAZENDA','ITAJAÍ','SC','124242241211574751458834582122610167132',12016,'1026',50.52,1,3,NULL),(28,7342853,'1994-05-06 00:00:00',4,1,12,2011,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241225131431323319175124610113042',12710,'262',39.89,1,3,NULL),(28,7342861,'1994-11-15 00:00:00',2,27,12,2011,'F','N','INTERIOR','IRACEMINHA','SC','124241241115161431423426175124610167147',NULL,'377',0.00,1,2,1),(28,7342870,'1995-06-17 00:00:00',2,1,11,2012,'F','S','ESTREITO','FLORIANÓPOLIS','SC','124242241215111732366922585122610147052',NULL,'1011',25.53,1,3,NULL),(28,7342888,'1989-08-14 00:00:00',4,25,12,2006,'F','N','FLORESTA','VIDEIRA','SC','124241241116141431237829292112610161093',NULL,'831',26.83,4,3,NULL),(28,7342896,'1994-07-10 00:00:00',4,4,12,2011,'M','N','CENTRO','XANXERÊ','SC','124242241216171431346612575122610124147',NULL,'836',0.00,1,3,NULL),(28,7342900,'1992-12-08 00:00:00',2,1,12,2010,'M','N','PEDRA BRANCA','PALHOÇA','SC','124242246217111731426613435112610117057',NULL,'9997',22.71,4,3,NULL),(28,7342918,'1993-06-26 00:00:00',2,1,12,2009,'F','N','VILA PAULICEIA','S PAULO','SP','125252251217571751689711572125610164053',NULL,'9998',0.00,1,3,NULL),(28,7342926,'1993-11-11 00:00:00',2,6,12,2010,'F','N','CENTRO','LAURENTINO','SC','124241241125271731324419275122610134147',NULL,'528',0.00,1,2,1),(28,7342934,'1993-06-03 00:00:00',4,1,12,2010,'F','N','BUENO','GOIÂNIA','GO','109093091215371731436639572224610164047',8186,'9998',50.77,4,3,NULL),(28,7342942,'1986-08-24 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','624241241437152412233372495131610164015',13244,'459',48.64,1,3,NULL),(28,7342969,'1993-08-31 00:00:00',4,1,12,2010,'M','N','VENDAVAL','BIGUAÇU','SC','124242241217371431423619195124610124187',8968,'63',55.48,1,3,NULL),(28,7342977,'1995-04-17 00:00:00',2,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241217111731533632585122610113046',19046,'1118',35.12,1,3,NULL),(28,7342993,'1993-02-10 00:00:00',2,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241117471431463313575124610164142',16631,'307',42.36,1,2,1),(28,7343019,'1989-10-18 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242246217153431387923595122233224182',NULL,'270',0.00,1,3,NULL),(28,7343043,'1992-08-31 00:00:00',2,1,12,2010,'M','N','PARTENON','PTO ALEGRE','RS','120201208137371531326634275124610137043',NULL,'9998',25.51,1,2,1),(28,7343051,'1987-01-27 00:00:00',4,1,10,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624241247127131431644311146213610126027',18711,'9999',36.41,1,2,1),(28,7343060,'1993-09-28 00:00:00',2,6,12,2010,'F','N','OLIVEIRA','TIJUCAS','SC','124241241114271431323732485124610128157',NULL,'783',0.00,1,2,1),(28,7343078,'1994-08-20 00:00:00',2,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431458613475122610167045',7967,'299',51.75,1,3,NULL),(28,7343094,'1978-10-10 00:00:00',4,27,12,1998,'M','N','CENTRO','STO CRISTO','RS','120202201436161121313337182315140732014',16989,'9998',41.57,1,3,NULL),(28,7343108,'1994-10-20 00:00:00',2,26,12,2011,'M','N','SALETE','CONCÓRDIA','SC','124241241115471431444912242122610137057',NULL,'192',20.55,1,2,1),(28,7343116,'1991-12-14 00:00:00',2,9,6,2010,'F','N','JARDIM','IJUÍ','RS','120204208336131431524629285122241317182',NULL,'9998',0.00,4,3,NULL),(28,7343124,'1995-07-10 00:00:00',2,1,12,2011,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241115131731238924492124610122187',14631,'267',46.29,1,3,NULL),(28,7343132,'1984-12-10 00:00:00',2,1,12,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248632131221111179592345610128197',NULL,'9999',0.00,1,3,NULL),(28,7343140,'1993-09-06 00:00:00',2,1,10,2010,'F','N','VILA PARAISO','JAGUARUNA','SC','124244241217271431468813385114610162052',6213,'806',60.22,1,3,NULL),(28,7343159,'1983-05-16 00:00:00',4,1,12,2000,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241216152411568812415122321432041',3409,'270',65.84,1,3,NULL),(28,7343167,'1995-10-01 00:00:00',4,1,12,2012,'F','S','VILA DOZE','ANTÔNIO CARLOS','SC','124241241136151552523339572112610164145',NULL,'21',27.01,1,3,NULL),(28,7343183,'1994-01-07 00:00:00',4,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','124242241215471431458818575122610132042',NULL,'154',19.48,1,3,NULL),(28,7343191,'1994-07-20 00:00:00',4,6,11,2011,'M','N','CENTRO','LUIZ ALVES','SC','124241241215151431466812245122610127042',1688,'389',66.31,1,3,NULL),(28,7343205,'1982-08-23 00:00:00',2,1,12,2002,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124061061117141431314344245124610136117',18166,'9998',38.39,4,2,1),(28,7343221,'1995-11-16 00:00:00',2,1,12,2012,'F','S','PEDRA BRANCA','PALHOÇA','SC','124242241115111752468713575124610126092',NULL,'271',45.47,1,3,NULL),(28,7343230,'1992-07-12 00:00:00',2,1,12,2009,'M','N','REAL PARQUE','S JOSÉ','SC','124242241215152431568613395114133268183',6362,'270',54.40,1,3,NULL),(28,7343248,'1993-06-12 00:00:00',2,1,11,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124243241215111411325611575124610122047',NULL,'300',0.00,1,3,NULL),(28,7343264,'1992-04-21 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124163241117271431226544345324610137157',17546,'288',40.19,1,3,NULL),(28,7343280,'1994-06-26 00:00:00',2,1,12,2011,'F','N','SAUDADE','BIGUAÇU','SC','124241241116321322526411272124610123041',17120,'65',35.92,4,2,1),(28,7343299,'1991-10-01 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241132473721428723592124233261167',NULL,'307',20.84,1,3,NULL),(28,7343302,'1994-08-08 00:00:00',4,1,12,2011,'M','N','CENTRO','GAROPABA','SC','124241241147151432536612246121610137177',NULL,'322',18.45,1,2,1),(28,7343310,'1988-09-01 00:00:00',2,1,12,2006,'M','N','JARDIM EQUATORIAL','MACAPÁ','AP','103034031416151121339643435122241718052',NULL,'9998',0.00,5,3,NULL),(28,7343329,'1994-11-26 00:00:00',4,1,12,2011,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241126161531433634375124610165017',NULL,'1099',23.80,1,2,1),(28,7343337,'1992-09-15 00:00:00',4,1,11,2009,'M','N','CENTRO','PATO BRANCO','PR','116162161216471731438612595124610154022',NULL,'9998',34.03,1,3,NULL),(28,7343345,'1994-09-26 00:00:00',2,25,12,2011,'F','N','GIOPPO','CAÇADOR','SC','124241241135271411425521595323610164013',NULL,'123',0.00,1,2,1),(28,7343353,'1991-09-21 00:00:00',2,1,12,2009,'M','N','VILA VALENÇA','S VICENTE','SP','125251251216271711428613341124610127047',8478,'9998',50.81,4,1,2),(28,7343370,'1993-02-19 00:00:00',4,4,12,2010,'M','N','SANTA CATARINA','S LOURENÇO OESTE','SC','124241241116152531435532571122241467052',10376,'745',40.73,1,2,1),(28,7343388,'1994-04-07 00:00:00',4,1,12,2011,'F','N','CENTRO','IMBITUBA','SC','124243241116131451343619575122611165012',8494,'1034',49.65,1,3,NULL),(28,7343396,'1989-02-01 00:00:00',2,1,12,2005,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124012011215575431126632572124233227042',797,'9998',71.25,4,1,2),(28,7343400,'1989-07-20 00:00:00',4,1,12,2006,'F','N','IPIRANGA','S JOSÉ','SC','124242241217143421436823345132131027057',NULL,'738',24.15,1,3,NULL),(28,7343418,'1994-07-29 00:00:00',4,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241215151431324614445122610164141',NULL,'1049',20.93,1,3,NULL),(28,7343426,'1993-07-28 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124161161215471741436632345133610164117',NULL,'9998',14.25,4,3,NULL),(28,7343434,'1966-11-07 00:00:00',4,1,12,1991,'M','N','CENTRO','FLORIANÓPOLIS','SC','224201207622271431368653395122610164183',13723,'9998',47.85,1,3,NULL),(28,7343442,'1974-09-09 00:00:00',2,1,6,1994,'M','N','PRADO','BIGUAÇU','SC','124241247346155441336444345114121656052',9986,'63',53.75,1,3,NULL),(28,7343450,'1993-04-06 00:00:00',4,1,12,2009,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216372431368823575124131026182',13274,'983',48.59,1,3,NULL),(28,7343469,'1987-02-16 00:00:00',4,1,12,2004,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124052051217153451489914576122220364187',2623,'9998',67.94,1,3,NULL),(28,7343477,'1992-10-12 00:00:00',2,1,12,2010,'M','N','NOSSA SRA DAS DORES','LIMEIRA','SP','125251251145471711423311275124610164194',NULL,'9998',25.74,1,2,1),(28,7343485,'1992-05-10 00:00:00',3,1,11,2009,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241415112411469913575112223267042',5531,'270',61.44,1,3,NULL),(28,7343493,'1993-08-21 00:00:00',2,1,12,2010,'F','N','SÃO CRISTÓVÃO','UNIÃO VITÓRIA','PR','116163161117162431538933332124242322012',12954,'9998',40.20,3,3,NULL),(28,7343507,'1995-09-30 00:00:00',4,1,12,2012,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','124244241215111431247823575124610146182',NULL,'1169',44.00,1,3,NULL),(28,7343515,'1992-10-14 00:00:00',4,5,12,2009,'M','N','SANTA CATARINA','SAPUCAIA SUL','RS','120203201217571441448833575115610164057',519,'9998',68.81,1,3,NULL),(28,7343523,'1994-07-31 00:00:00',2,1,11,2011,'M','N','IPIRANGA','S JOSÉ','SC','124243241215111731436813375124610167097',12001,'1118',43.63,1,3,NULL),(28,7343531,'1993-01-14 00:00:00',4,8,12,2009,'M','N','APARECIDA','SANTOS','SP','125252251237571411389714595122610127182',NULL,'9998',0.00,3,3,NULL),(28,7343558,'1991-12-09 00:00:00',2,1,12,2010,'M','N','SÃO SEBASTIÃO','PALHOÇA','SC','124242241235152421366441321122610147062',18920,'1076',35.60,1,3,NULL),(28,7343574,'1993-07-11 00:00:00',2,1,12,2010,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241117371731436623372114610164147',NULL,'276',19.20,4,1,1),(28,7343582,'1993-08-13 00:00:00',2,1,12,2010,'M','N','CENTRO','GAROPABA','SC','124241241127271432226624375114610147047',13279,'322',40.37,1,2,1),(28,7343590,'1994-06-12 00:00:00',4,6,12,2010,'M','N','MEIA PRAIA','ITAPEMA','SC','124242241215272231538714285122610122042',6461,'9997',59.76,1,3,NULL),(28,7343604,'1994-02-14 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124202201216131431434712385114143236147',NULL,'9998',0.00,1,3,NULL),(28,7343612,'1995-07-12 00:00:00',4,2,12,2012,'F','S','VILA NOVA','BLUMENAU','SC','124244241117141431437923571122610167072',NULL,'88',49.74,1,3,NULL),(28,7343620,'1990-02-16 00:00:00',4,1,12,2011,'M','N','JURERE','FLORIANÓPOLIS','SC','124242247216153411247612425124610167091',NULL,'9999',30.43,1,3,NULL),(28,7343639,'1977-01-08 00:00:00',2,1,12,2002,'M','N','RATONES','FLORIANÓPOLIS','SC','124111111126131441334521115124640211087',NULL,'9998',37.18,4,1,2),(28,7343647,'1994-01-11 00:00:00',2,1,12,2011,'M','N','CHACARA CACHOEIRA','CPO GRANDE','MS','112122121216573751358839595122610168187',5321,'9998',61.80,1,3,NULL),(28,7343655,'1995-06-07 00:00:00',2,24,11,2012,'F','S','CENTRO','RIO SUL','SC','124241241215111431324612575122610134052',NULL,'991',37.43,1,3,NULL),(28,7343663,'1995-07-14 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431366923575125610123172',13756,'270',47.80,1,3,NULL),(28,7343671,'1993-04-01 00:00:00',4,27,12,2010,'F','N','NOVA CIDADE','CASCAVEL','PR','116161161117471431436823575112610165177',9919,'9998',53.85,1,2,1),(28,7343680,'1989-05-16 00:00:00',4,1,12,2007,'M','N','CERQUEIRA CÉSAR','S PAULO','SP','125252251217571411368833473114610167011',1959,'9998',64.54,1,3,NULL),(28,7343698,'1987-03-29 00:00:00',2,1,12,2004,'M','N','JARDIM AQUARIUS','PALHOÇA','SC','124241241127334421443628345134132064057',6455,'591',56.65,1,2,1),(28,7343701,'1993-04-11 00:00:00',2,1,11,2010,'M','N','JARDIM CONSOLI','LIMEIRA','SP','125252251217471431435512585112610167042',NULL,'9998',0.00,1,3,NULL),(28,7343710,'1988-03-14 00:00:00',4,1,12,2005,'M','N','CHAMPAGNE','GARIBALDI','RS','124201201111152421638832295134221462141',9641,'9998',54.30,1,2,1),(28,7343728,'1994-03-15 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241415112431557632575122610144187',5483,'270',57.39,1,3,NULL),(28,7343744,'1994-01-10 00:00:00',2,8,12,2011,'M','N','VILA ATHAIDE','PARAGUAÇU PAULISTA','SP','125254251217211431236823245121610134042',13146,'9998',40.54,4,3,NULL),(28,7343752,'1982-02-08 00:00:00',4,1,12,1999,'F','N','VILA OTTO','CPO LARGO','PR','116162251415471231466611415122342612097',NULL,'9998',0.00,1,3,NULL),(28,7343760,'1995-11-20 00:00:00',4,10,11,2012,'F','S','CONGONHAS','TUBARÃO','SC','124244241415111431578924575122610162122',NULL,'806',55.64,1,3,NULL),(28,7343779,'1994-10-15 00:00:00',3,1,12,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241115111431137823375124610122095',18736,'267',36.33,1,2,1),(28,7343787,'1994-11-20 00:00:00',4,2,11,2012,'F','S','DOS ESTADOS','TIMBÓ','SC','124243241215111731336612572122610133182',NULL,'1157',41.46,1,3,NULL),(28,7343795,'1979-11-18 00:00:00',4,1,6,2000,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201207227131751223341117224141044177',NULL,'9998',16.51,1,3,NULL),(28,7343809,'1992-03-30 00:00:00',4,1,12,2008,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241216573731686617475112131014142',12245,'272',40.27,1,3,NULL),(28,7343817,'1959-03-11 00:00:00',4,1,12,1978,'F','N','PEDRA BRANCA','PALHOÇA','SC','524244248412133431138849412112321337142',NULL,'262',0.00,1,3,NULL),(28,7343825,'1993-01-22 00:00:00',4,8,11,2010,'F','N','JARDIM SOPHIA','JOINVILLE','SC','124241246216231431225334441134610131142',17656,'1006',27.67,1,3,NULL),(28,7343841,'1993-08-17 00:00:00',4,1,12,2011,'F','N','CENTRO','MACHADO','MG','113132131337371431558613575122610138187',17142,'9998',32.20,1,3,NULL),(28,7343850,'1991-11-14 00:00:00',4,10,12,2010,'F','N','PASSO DO GADO','TUBARÃO','SC','124244247436151621336933281124610117042',NULL,'9999',11.22,1,3,NULL),(28,7343868,'1993-05-23 00:00:00',2,8,12,2010,'F','N','PAULAS','S FRANCISCO SUL','SC','124242244216472511548611571124610124072',7409,'992',52.69,1,3,NULL),(28,7343876,'1993-10-20 00:00:00',2,15,12,2011,'F','N','ALTO FELIZ','ARARANGUÁ','SC','124241241115371731214429572344610167057',NULL,'29',31.57,1,2,1),(28,7343884,'1993-12-30 00:00:00',4,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241116171311236624345122610132182',19721,'591',30.92,1,2,1),(28,7343892,'1994-07-24 00:00:00',2,5,11,2011,'F','N','CENTRO','FORQUILHINHA','SC','124243241215371431536411575124610127147',19441,'312',33.09,1,3,NULL),(28,7343914,'1994-08-10 00:00:00',4,1,12,2011,'M','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241241125161431321339175124610141077',NULL,'1099',21.03,1,2,1),(28,7343922,'1996-09-19 00:00:00',4,4,12,2012,'F','S','CENTRO','PALMITOS','SC','124243241417151431548931575124610124072',NULL,'1161',13.86,1,3,NULL),(28,7343930,'1975-06-03 00:00:00',2,8,12,2011,'M','N','PARQUE GUARANI','JOINVILLE','SC','124203247112161731316341112324610127047',NULL,'9997',21.84,1,3,NULL),(28,7343949,'1995-01-05 00:00:00',4,1,12,2011,'F','N','COSTA DO MACACU','GAROPABA','SC','124241241127141431538612574122610167143',8532,'322',47.01,1,2,1),(28,7343957,'1993-06-21 00:00:00',4,24,11,2010,'M','N','SUMARÉ','RIO SUL','SC','124242241217472431468933572122610127042',11515,'991',51.29,1,3,NULL),(28,7343965,'1982-02-21 00:00:00',2,1,12,2004,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','224111111133131431445553315134133222187',NULL,'9998',0.00,2,1,1),(28,7343981,'1994-12-30 00:00:00',2,1,12,2011,'F','N','CENTRO','S BONIFÁCIO','SC','124241241125161431536633575121610144077',NULL,'702',16.79,1,2,1),(28,7343990,'1995-08-09 00:00:00',4,1,11,2012,'F','S','CENTRO','PALHOÇA','SC','124242241215151731356832575124610125042',NULL,'737',50.68,1,3,NULL),(28,7344007,'1993-01-12 00:00:00',2,1,12,2010,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241116472431435511345124610121142',14628,'772',35.80,1,2,1),(28,7344015,'1991-11-17 00:00:00',2,1,12,2008,'F','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241135372431333623245124613222147',16454,'772',32.64,1,2,1),(28,7344023,'1988-05-25 00:00:00',2,1,11,2006,'F','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124244247417374411328821311325133244027',14286,'9999',46.98,4,1,2),(28,7344031,'1994-04-25 00:00:00',2,1,12,2011,'F','N','TRINTADE','FLORIANÓPOLIS','SC','124242241115121431428913575124610126112',7060,'270',52.36,1,3,NULL),(28,7344040,'1992-11-05 00:00:00',4,27,12,2010,'M','N','CENTRO','PELOTAS','RS','120241241347271411317831595114243264187',16135,'1179',34.93,4,3,NULL),(28,7344058,'1991-11-29 00:00:00',2,1,12,2009,'M','N','JARDIM RES FLORA','LIMEIRA','SP','125252251426471211468812571121610117127',NULL,'9998',0.00,1,3,NULL),(28,7344066,'1991-06-14 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241241217134731437311145115610127047',NULL,'300',30.50,1,3,NULL),(28,7344074,'1991-03-27 00:00:00',4,1,12,2008,'F','N','ACIOLI','JOÃO NEIVA','ES','108084081216571411663336572122141462047',2946,'9998',62.67,1,3,NULL),(28,7344090,'1988-01-28 00:00:00',4,1,12,2005,'F','N','CENTRO','VLE REAL','RS','120201201116571411476812575124142827187',NULL,'9998',33.76,1,2,1),(28,7344104,'1994-01-20 00:00:00',4,1,12,2011,'F','N','ARIRIÚ','PALHOÇA','SC','124242248315141711426651382124613216097',15483,'772',37.40,1,3,NULL),(28,7344112,'1994-09-08 00:00:00',4,27,11,2011,'M','N','CENTRO','ITAPIRANGA','SC','124241241217161431479512425122610145186',3102,'1060',60.32,1,3,NULL),(28,7344120,'1990-06-10 00:00:00',6,1,2,2009,'F','N','SOBRADINHO DF','SOBRADINHO','DF','207073071316131751265543435222610117143',NULL,'9998',0.00,4,3,NULL),(28,7344139,'1993-01-11 00:00:00',4,1,11,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241235111711453412572122610118042',16462,'724',42.74,1,3,NULL),(28,7344147,'1994-02-13 00:00:00',2,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124243241135111431323414185112610127042',18062,'592',31.44,1,3,NULL),(28,7344155,'1995-11-20 00:00:00',4,1,12,2012,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124242241217111731459813575114610164197',NULL,'270',47.44,1,3,NULL),(28,7344171,'1992-03-19 00:00:00',2,1,12,2009,'M','N','PRAÇA','TIJUCAS','SC','124241241147131631326614345122131224143',NULL,'971',NULL,1,2,1),(28,7344180,'1993-03-20 00:00:00',4,1,11,2011,'M','N','ALTO DA XV','CURITIBA','PR','116164161437271531469939395121610167117',NULL,'9998',0.00,1,3,NULL),(28,7344201,'1992-07-01 00:00:00',4,26,11,2009,'F','N','CENTRO','GETÚLIO VARGAS','RS','120203201216451731548812491125610126182',7939,'9998',50.97,1,3,NULL),(28,7344210,'1993-02-03 00:00:00',2,1,12,2010,'M','N','CENTRO','CANELA','RS','120202201216471731348612485112610137187',NULL,'9998',0.00,4,3,NULL),(28,7344228,'1994-04-18 00:00:00',2,1,12,2011,'M','N','CENTRO','S GABRIEL OESTE','MS','112122121216112731548854575121610138197',14316,'9998',46.92,1,3,NULL),(28,7344236,'1990-11-26 00:00:00',2,1,11,2007,'M','N','ARIRIÚ','PALHOÇA','SC','124241241126374731333633245224610127047',19593,'285',32.09,2,1,1),(28,7344244,'1995-02-22 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124243241115141731537813272114610122112',NULL,'307',25.57,1,3,NULL),(28,7344252,'1994-03-30 00:00:00',4,1,12,2011,'F','N','CENTRO','PTO BELO','SC','124251247125151431435833275124610126182',NULL,'1220',0.00,1,2,1),(28,7344260,'1986-06-03 00:00:00',4,15,12,2003,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','224241241137272231336844142222133224117',14515,'29',41.89,1,2,1),(28,7344279,'1993-09-30 00:00:00',4,1,12,2010,'F','N','CENTRO','PTO ALEGRE','RS','120203201116371731326724275114610135187',NULL,'9998',35.16,1,3,NULL),(28,7344295,'1987-09-21 00:00:00',2,1,12,2005,'M','N','SANTA TEREZINHA','PIRACICABA','SP','125251251116473431456613485123610167042',4476,'9998',56.19,4,1,1),(28,7344309,'1994-10-29 00:00:00',4,1,12,2011,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241225111431425953595124610132125',10723,'262',44.95,1,3,NULL),(28,7344317,'1994-07-02 00:00:00',4,5,12,2011,'F','N','ARGENTINA','CRICIÚMA','SC','124241248115371431426614592114610167187',NULL,'209',32.82,1,2,1),(28,7344333,'1988-10-29 00:00:00',2,1,12,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124244247412131711628933415124131066097',9979,'9999',47.39,1,3,NULL),(28,7344350,'1992-12-06 00:00:00',4,1,11,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215473221469813315122130265045',2638,'270',62.02,1,3,NULL),(28,7344376,'1993-11-14 00:00:00',2,1,11,2010,'F','N','SERTAO','STO AMARO IMPERATRIZ','SC','124241241146131431321664181324610126197',NULL,'941',12.93,1,2,1),(28,7344384,'1992-12-11 00:00:00',4,1,12,2009,'M','N','JARDIM CAROLINA','BIGUAÇU','SC','124241241147271121634411342224610117047',16137,'64',33.59,1,2,1),(28,7344414,'1991-03-27 00:00:00',2,1,12,2008,'M','N','KOBRASOL','S JOSÉ','SC','124161241217374631248811575114241464052',2409,'1022',68.51,1,3,NULL),(28,7344422,'1995-02-17 00:00:00',2,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124243241215111411248931395114610147047',11671,'724',43.52,1,3,NULL),(28,7344430,'1990-06-26 00:00:00',4,17,12,2007,'F','N','ZONA RURAL','IRINEÓPOLIS','SC','124241241116161431533335245222610112147',14470,'381',33.98,1,2,1),(28,7344449,'1994-05-20 00:00:00',2,10,11,2011,'M','N','OFICINAS','TUBARÃO','SC','124242241215111431439913572111610127052',9529,'806',47.57,1,3,NULL),(28,7344457,'1994-04-23 00:00:00',2,1,12,2011,'F','N','JARDIM ATLANTICO','S JOSÉ','SC','124241241115371411627569574124610162091',14177,'307',38.03,1,2,1),(28,7344465,'1994-07-14 00:00:00',4,24,11,2011,'F','N','CENTRO','ITUPORANGA','SC','124243241215111431448813575124610131057',5857,'991',53.91,1,3,NULL),(28,7344473,'1992-03-18 00:00:00',4,1,12,2009,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124252251237472411137831341124222266142',NULL,'9998',0.00,1,3,NULL),(28,7344490,'1982-08-16 00:00:00',4,1,12,1999,'F','N','COHAB TABLADA','PELOTAS','RS','124201201112131421223311395124342964181',16194,'9998',43.35,1,3,NULL),(28,7344503,'1992-02-13 00:00:00',2,23,12,2009,'M','N','SCHROEDER UM','SCHROEDER','SC','124161165116131431333344442214610144142',17729,'9998',39.67,1,2,1),(28,7344511,'1991-09-10 00:00:00',1,1,6,2010,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241147372441423611441124610126191',15417,'591',38.57,1,2,1),(28,7344520,'1993-09-20 00:00:00',2,4,12,2010,'F','N','CENTRO','SEARA','SC','124241241116132431436613575124241563187',5049,'384',55.83,1,2,1),(28,7344538,'1994-11-08 00:00:00',4,8,12,2012,'F','S','IRIRIÚ','JOINVILLE','SC','124242241215111551446912192125610167142',NULL,'462',45.70,1,3,NULL),(28,7344554,'1991-06-30 00:00:00',4,1,12,2009,'F','N','JARDIM GUARANI','CAMPINAS','SP','125252251236471731448811495112610122197',9743,'9998',48.97,1,3,NULL),(28,7344562,'1993-10-22 00:00:00',2,1,11,2011,'M','N','JARDIM CIDADE','S JOSÉ','SC','124242241215111111468819595112610112047',NULL,'1118',23.89,1,3,NULL),(28,7344570,'1995-01-15 00:00:00',4,1,12,2011,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116131431447814575114610142145',14978,'296',35.39,1,2,1),(28,7344589,'1995-05-08 00:00:00',4,5,11,2012,'M','S','PRIMEIRA LINHA','CRICIÚMA','SC','124243241215131331323611272124610167012',NULL,'213',49.27,1,3,NULL),(28,7344597,'1994-04-18 00:00:00',2,1,12,2011,'M','N','CENTRO','S GABRIEL OESTE','MS','112122121116161731548854575121610138042',19855,'9998',29.80,1,3,NULL),(28,7344600,'1994-05-11 00:00:00',2,15,11,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124244241215111431458632572122610125077',12612,'26',40.42,1,3,NULL),(28,7344619,'1993-12-08 00:00:00',2,1,12,2010,'F','N','SÃO MARCOS','BIGUAÇU','SC','124241241116152431523615312224610146142',12289,'65',41.31,1,2,1),(28,7344627,'1994-02-20 00:00:00',4,23,12,2011,'F','N','ILHA DA FIGUEIRA','GUARAMIRIM','SC','124241241122141711433321392124610112057',NULL,'436',20.55,1,2,1),(28,7344635,'1993-05-10 00:00:00',2,1,11,2010,'F','N','ALTO DA LAPA','S PAULO','SP','125252258216471751548815571124610168187',NULL,'9998',0.00,1,3,NULL),(28,7344643,'1991-10-02 00:00:00',4,5,11,2009,'F','N','CENTRO','CRICIÚMA','SC','124253251415572411539913271121610117187',6276,'9998',52.66,1,3,NULL),(28,7344651,'1987-09-21 00:00:00',4,1,12,2005,'F','N','VILA MARIA','JAÚ','SP','125251251235371411133479375224610167032',858,'9998',70.32,1,3,NULL),(28,7344678,'1992-06-16 00:00:00',4,4,12,2009,'M','N','CENTRO','CHAPECÓ','SC','124241241117373531134921472114230767117',12807,'383',40.55,1,2,1),(28,7344686,'1992-01-09 00:00:00',4,1,12,2009,'F','N','CENTRO','CRICIÚMA','SC','124242241216571431446614275112610162147',12727,'210',49.39,1,3,NULL),(28,7344694,'1994-01-13 00:00:00',4,10,11,2011,'F','N','OFICINAS','TUBARÃO','SC','124242241215111431338711415122610136192',13914,'807',47.54,1,3,NULL),(28,7344708,'1995-05-05 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431468824345112610118187',16788,'270',42.01,1,3,NULL),(28,7344716,'1993-09-10 00:00:00',2,1,12,2010,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124242241217273431366619345112610117012',11629,'270',43.14,1,3,NULL),(28,7344724,'1994-05-23 00:00:00',4,27,11,2011,'M','N','RAINHA DA PAZ','ITAPIRANGA','SC','124241241215111431434833235122610134042',13362,'1060',41.08,1,3,NULL),(28,7344732,'1990-10-17 00:00:00',4,1,7,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124281288114141431116444442324610137045',18788,'9998',36.13,2,1,1),(28,7344740,'1991-02-20 00:00:00',4,1,10,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241126141431424441312124610123147',NULL,'9999',0.00,1,2,1),(28,7344759,'1994-03-12 00:00:00',4,1,12,2011,'M','N','POTECAS','S JOSÉ','SC','124241241112131431225629392124610152047',17133,'734',30.16,1,3,NULL),(28,7344775,'1995-08-22 00:00:00',4,2,12,2012,'F','S','ITOUPAVA CENTRAL','BLUMENAU','SC','124244241217161431459933575122610123042',NULL,'87',41.58,1,3,NULL),(28,7344805,'1995-07-11 00:00:00',4,2,11,2012,'F','S','VELHA CENTRAL','BLUMENAU','SC','124242248215111731429831575124610123147',NULL,'855',0.00,1,3,NULL),(28,7344813,'1994-09-07 00:00:00',4,4,12,2011,'F','N','INTERIOR','SAUDADES','SC','124241241115131431323335572122610134057',15226,'572',34.26,1,2,1),(28,7344821,'1994-05-09 00:00:00',4,27,12,2011,'F','N','CENTRO','S MIGUEL OESTE','SC','124164241417371431538719272122610166097',5201,'752',55.24,1,3,NULL),(28,7344830,'1995-07-11 00:00:00',2,1,12,2011,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241116371431526312575124610132152',15096,'772',39.79,1,2,1),(28,7344848,'1992-12-19 00:00:00',4,1,12,2010,'F','N','VILA BOCAINA','MAUÁ','SP','125252251216471431636611291131610134072',6820,'9998',52.86,1,3,NULL),(28,7344856,'1995-10-01 00:00:00',4,1,1,2012,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111432539833575124610123182',11839,'270',50.80,1,3,NULL),(28,7344864,'1985-08-26 00:00:00',2,1,12,2003,'F','N','BALNEARIO ESTREITO','FLORIANÓPOLIS','SC','124241241116132721333329285214123064017',17323,'292',40.72,1,3,NULL),(28,7344872,'1960-04-21 00:00:00',4,1,12,1980,'M','N','ROÇADO','S JOSÉ','SC','224241208416131431534344245122130352013',19844,'9998',29.89,4,1,2),(28,7344899,'1992-05-10 00:00:00',4,2,12,2009,'F','N','SAO PEDRO','APIÚNA','SC','124242241215573431437923575124610125182',1409,'346',65.25,1,3,NULL),(28,7344902,'1987-03-05 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124203207137131441115641115225610164172',NULL,'9998',NULL,1,3,NULL),(28,7344929,'1992-03-22 00:00:00',4,1,12,2009,'M','N','CENTRO','LONDRINA','PR','116161161117151411227913585121141726177',19323,'9998',33.77,1,2,1),(28,7344937,'1993-01-18 00:00:00',4,6,12,2010,'F','N','PLANALTO','VACARIA','RS','120204241217472521337832575112610146042',NULL,'53',0.00,1,3,NULL),(28,7344945,'1994-08-24 00:00:00',4,5,12,2011,'M','N','LIRI','IÇARA','SC','124242241215111431126612215124610164117',NULL,'213',0.00,1,3,NULL),(28,7344953,'1994-03-21 00:00:00',4,8,12,2011,'M','N','VILLAGE REGINA','PENÁPOLIS','SP','125252251215171421436611575122610164182',NULL,'9998',0.00,1,3,NULL),(28,7344970,'1993-03-06 00:00:00',4,1,11,2010,'M','N','FLORESTA','RIO BRANCO','AC','101224221216472431469913575112610124057',NULL,'9998',0.00,1,3,NULL),(28,7344988,'1993-12-26 00:00:00',4,9,12,2011,'M','N','CONTA DINHEIRO','LAGES','SC','124243241215131431226623372224610137077',NULL,'1207',21.80,1,3,NULL),(28,7345003,'1994-01-25 00:00:00',4,5,11,2011,'M','N','COND DEU','ORLEANS','SC','124243241217121431444833475124610126122',2890,'226',59.91,1,3,NULL),(28,7345011,'1990-07-07 00:00:00',4,1,8,2009,'M','N','JD JHON KENNEDY','IBIPORÃ','PR','116162167436131431528721385123140264057',NULL,'9998',0.00,1,3,NULL),(28,7345020,'1990-10-08 00:00:00',2,8,11,2008,'M','N','CANTO DO FORTE','PR GRANDE','SP','125254251416572731536832445125610127032',3926,'9998',58.68,1,3,NULL),(28,7345038,'1969-12-14 00:00:00',4,1,12,1987,'M','N','CENTRO','FLORIANÓPOLIS','SC','124201203111151531243341411134610124093',NULL,'9998',29.26,1,3,NULL),(28,7345054,'1994-03-28 00:00:00',4,1,12,2011,'M','N','LOMBA ALTA','ALFREDO WAGNER','SC','124241241125131431424416252122610132047',4355,'13',56.80,1,2,1),(28,7345062,'1990-07-02 00:00:00',4,1,12,2007,'M','N','BARREIROS','S JOSÉ','SC','124241241131574431228874285124610127057',14345,'288',46.88,1,2,1),(28,7345070,'1984-02-24 00:00:00',2,1,12,2004,'M','N','VILA MONTEIRO','PIRACICABA','SP','125251251136573711421139191321610166022',7592,'9998',53.91,2,1,1),(28,7345089,'1991-12-03 00:00:00',2,27,12,2008,'M','N','CENTRO','STO ANTÔNIO SUDOESTE','PR','116161161116573441456632475122610137127',1829,'9998',64.44,1,2,1),(28,7345097,'1985-07-29 00:00:00',4,1,12,2002,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124242241216275441239843332113131034092',10720,'723',52.56,1,3,NULL),(28,7345100,'1996-10-05 00:00:00',2,1,9,2012,'F','S','CENTRO','S JOSÉ','SC','124242241215151731457613475124610128012',NULL,'1011',28.91,1,3,NULL),(28,7345119,'1989-04-14 00:00:00',2,27,12,2007,'M','N','GENERAL OSÓRIO','ESTEIO','RS','120201201146271441336624345124141463097',NULL,'9998',0.00,1,2,1),(28,7345135,'1994-02-19 00:00:00',4,1,1,2012,'M','N','PRAIA DE FORA','PALHOÇA','SC','124243241132141421255579315134610115042',NULL,'592',0.00,1,3,NULL),(28,7345151,'1994-12-29 00:00:00',2,8,12,2011,'F','N','SATÉLITE','VÁRZEA PAULISTA','SP','125251251116131411438812595122610166143',NULL,'9998',0.00,1,2,1),(28,7345160,'1991-04-05 00:00:00',4,1,12,2008,'F','N','JD MARIA DO CARMO','SOROCABA','SP','125254251214575431428614572124610132047',8682,'9998',47.68,1,3,NULL),(28,7345178,'1956-03-02 00:00:00',2,1,12,1980,'M','N','VILA SÃO FRANCISCO','S PAULO','SP','525253217146131422348619422122141062047',8660,'9998',56.01,1,3,NULL),(28,7345208,'1995-05-21 00:00:00',4,9,12,2012,'M','S','CENTRO','LAGES','SC','124242241215111421378811575122610147012',NULL,'499',32.68,1,3,NULL),(28,7345216,'1994-11-22 00:00:00',4,10,12,2011,'M','N','NOVA BRASILIA','IMBITUBA','SC','124241241135471431553614575114610117032',6349,'359',53.60,1,2,1),(28,7345232,'1994-07-05 00:00:00',2,10,12,2011,'M','N','MIRIM','IMBITUBA','SC','124241241117131431426923572224610117042',8927,'359',48.64,1,2,1),(28,7345240,'1983-08-10 00:00:00',4,1,12,2000,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124201207216141421123344242123141227043',15503,'9998',44.69,1,3,NULL),(28,7345259,'1990-08-02 00:00:00',4,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241215152431346633575112121432095',8940,'1050',55.52,1,3,NULL),(28,7345267,'1993-08-13 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272751488823575125121467182',682,'1022',72.23,1,3,NULL),(28,7345275,'1994-07-18 00:00:00',4,10,11,2011,'F','N','CENTRO','BRAÇO NORTE','SC','124242241215112431466832575122610126142',8492,'806',47.45,1,3,NULL),(28,7345283,'1994-09-02 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241246116111412259924575124610116142',17824,'306',39.41,1,2,1),(28,7345291,'1993-12-29 00:00:00',2,17,12,2011,'F','N','QUEIMADOS','AT BELA VISTA','SC','124241248115161431423312575122610134075',NULL,'603',0.00,1,3,NULL),(28,7345305,'1994-08-15 00:00:00',4,17,12,2011,'M','N','CENTRO','UNIÃO VITÓRIA','PR','116164161215121411459933575125610162097',NULL,'9998',0.00,1,3,NULL),(28,7345313,'1975-10-27 00:00:00',2,1,12,1994,'M','N','JURERE','FLORIANÓPOLIS','SC','124204207427151431549611112122330124127',NULL,'9998',22.42,1,3,NULL),(28,7345321,'1991-04-22 00:00:00',2,1,12,2008,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241116272431126844241134610124073',19355,'542',33.58,1,3,NULL),(28,7345330,'1994-09-15 00:00:00',2,1,12,2011,'F','N','TIJUQUINHAS','BIGUAÇU','SC','124241241115371431526619595124610136142',12097,'64',41.81,1,2,1),(28,7345348,'1990-01-06 00:00:00',4,1,12,2007,'M','N','BOQUEIRÃO','SANTOS','SP','125254251216472711247824495124140264117',6999,'9998',53.08,1,3,NULL),(28,7345356,'1992-03-18 00:00:00',4,1,12,2009,'M','N','NOSSA SENHORA FÁTIMA','LIMEIRA','SP','125251251126571411334114155121610165172',NULL,'9998',0.00,1,2,1),(28,7345364,'1992-05-26 00:00:00',2,1,12,2009,'F','N','ABILIO PEDRO','LIMEIRA','SP','125251251145571721225524382314610134072',11443,'9998',44.77,1,3,NULL),(28,7345380,'1987-11-30 00:00:00',2,8,12,2005,'F','N','SANTA CATARINA','JOINVILLE','SC','124241241116374131323524582114610126047',8470,'492',49.76,1,2,1),(28,7345399,'1995-03-18 00:00:00',4,1,11,2012,'F','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241115111431346934245112610134055',NULL,'271',25.94,1,3,NULL),(28,7345402,'1987-04-06 00:00:00',4,6,12,2004,'M','N','PIONEIROS','BAL CAMBORIÚ','SC','124242241436472431338823385124610161112',3925,'855',58.95,1,3,NULL),(28,7345410,'1992-11-22 00:00:00',4,1,12,2009,'M','N','PILARZINHO','CURITIBA','PR','116162161215472751238933575124610137187',9137,'9998',46.07,1,3,NULL),(28,7345429,'1991-05-19 00:00:00',4,1,12,2008,'F','N','VILA BOCAINA','MAUÁ','SP','125251251216571431636611295122610134142',1504,'9998',64.03,4,3,NULL),(28,7345445,'1994-09-26 00:00:00',2,1,12,1994,'F','N','ARIRIÚ','PALHOÇA','SC','124241241117131431425569592124610111142',NULL,'592',14.17,1,3,NULL),(28,7345453,'1979-06-29 00:00:00',6,1,9,2006,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241248136152541324429275124122252057',19976,'739',28.51,1,3,NULL),(28,7345461,'1992-05-02 00:00:00',2,1,12,2010,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241111151421458614245124610127043',NULL,'307',25.05,1,2,1),(28,7345488,'1994-11-09 00:00:00',4,26,11,2011,'F','N','IMPERIAL','CONCÓRDIA','SC','124241241216131731437539574122610167147',17200,'1000',41.02,1,3,NULL),(28,7345496,'1994-04-26 00:00:00',2,1,12,2011,'F','N','PLANALTO PARAISO','S CARLOS','SP','125252251217111411678811575122610122126',1051,'9998',68.38,1,3,NULL),(28,7345500,'1994-06-19 00:00:00',4,4,12,2011,'F','N','CENTRO','PATO BRANCO','PR','116161161416151411349614572122610143147',12887,'9998',41.11,1,3,NULL),(28,7345518,'1991-08-18 00:00:00',2,1,11,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241316171411453713395124610124042',NULL,'298',29.02,1,3,NULL),(28,7345526,'1967-11-04 00:00:00',4,1,7,1986,'M','N','CARIANOS','FLORIANÓPOLIS','SC','324241246126135421454443335122231017042',NULL,'306',0.00,1,2,1),(28,7345534,'1988-09-14 00:00:00',2,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124281281144231431223349242334610115075',NULL,'9998',27.88,1,2,1),(28,7345542,'1994-03-15 00:00:00',4,4,12,2011,'M','N','JARDIM ITALIA','CHAPECÓ','SC','124241241114131431323611575124610137187',6268,'177',52.95,1,2,1),(28,7345550,'1992-01-06 00:00:00',4,1,12,2011,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241241115152431468853485122610137057',NULL,'267',33.15,1,2,1),(28,7345569,'1994-12-28 00:00:00',2,1,12,2012,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124242241415151732344819592124610126172',NULL,'273',18.45,1,3,NULL),(28,7345585,'1986-02-02 00:00:00',2,1,12,2003,'F','N','JARDIM JANAINA','BIGUAÇU','SC','224241241126575431325354385114231064147',18355,'307',37.76,1,2,1),(28,7345593,'1989-05-01 00:00:00',4,1,12,2007,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124161241216132131226314245134133212054',18661,'272',36.63,1,3,NULL),(28,7345615,'1993-03-10 00:00:00',4,1,12,2011,'M','N','JARDIM ADRIANA','GUARULHOS','SP','125252253216471741468711575114610134012',NULL,'9998',0.00,1,3,NULL),(28,7345623,'1989-10-27 00:00:00',2,1,12,2007,'M','N','IPANEMA','PTO ALEGRE','RS','120201201137231732335823295124241232177',NULL,'9998',0.00,4,2,1),(28,7345631,'1994-11-15 00:00:00',4,1,12,2012,'M','S','FAZENDA SANTO ANTONI','S JOSÉ','SC','124242241215151431469824575122610124147',NULL,'737',39.83,1,3,NULL),(28,7345640,'1992-04-18 00:00:00',4,4,12,2009,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116242241216153411458613575124241424092',7633,'1026',52.58,1,3,NULL),(28,7345658,'1985-07-30 00:00:00',2,1,12,2002,'M','N','AREIAS','PAULO LOPES','SC','124243248316132421346819335122610154052',13896,'739',47.57,1,3,NULL),(28,7345666,'1975-05-02 00:00:00',2,1,12,1995,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241247226142721221344345234610124017',NULL,'497',34.85,1,3,NULL),(28,7345674,'1994-05-04 00:00:00',2,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124061241117131331413323382224610155187',15832,'1097',32.85,1,2,1),(28,7345682,'1992-12-14 00:00:00',2,6,12,2009,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124244241212473431229923592224610123112',12608,'967',44.83,1,3,NULL),(28,7345690,'1994-07-12 00:00:00',4,17,12,2011,'M','N','VILA NOVA','MAFRA','SC','124241241115371431334823572124610137067',14720,'545',37.73,1,2,1),(28,7345704,'1993-03-19 00:00:00',2,1,12,2010,'F','N','ARIRIU','PALHOÇA','SC','124241248115371731446312122114610121142',NULL,'591',17.89,1,2,1),(28,7345712,'1993-12-24 00:00:00',4,2,11,2011,'F','N','JARDIM BLUMENAU','BLUMENAU','SC','124242241211272411246922575112610116142',745,'909',71.90,1,3,NULL),(28,7345739,'1992-11-03 00:00:00',4,1,12,2010,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241215132451449811577124233267042',6108,'1250',54.41,1,3,NULL),(28,7345747,'1995-08-24 00:00:00',2,5,11,2012,'F','S','PRESIDENTE VARGAS','IÇARA','SC','124244241215171332336332482124610132183',NULL,'226',32.73,1,3,NULL),(28,7345755,'1989-05-01 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241125471711633419391124610121187',NULL,'727',24.72,1,2,1),(28,7345763,'1994-08-16 00:00:00',6,1,11,2011,'F','N','SERRARIAS','S JOSÉ','SC','124244241235371422539512172122610165077',19904,'63',29.31,1,3,NULL),(28,7345771,'1988-03-06 00:00:00',4,1,12,2005,'M','N','HIGIENÓPOLIS','PTO ALEGRE','RS','120202201217251451489831345122141247186',NULL,'9998',0.00,1,3,NULL),(28,7345780,'1994-01-22 00:00:00',2,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241125131431433632345122610126047',NULL,'282',22.93,1,2,1),(28,7345798,'1994-06-14 00:00:00',4,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124241241115131421435514345125610164097',13746,'1116',39.83,1,2,1),(28,7345801,'1991-06-11 00:00:00',2,4,12,2009,'F','N','CENTRO','ERVAL GRANDE','RS','120201201116132731423623595124231344192',12667,'9998',40.58,1,2,1),(28,7345828,'1993-11-05 00:00:00',4,7,11,2011,'M','N','NOSSA S DE LURDES','JOAÇABA','SC','124242241237151231469813435122610162042',17049,'962',31.30,1,3,NULL),(28,7345836,'1991-09-26 00:00:00',4,22,12,2009,'M','N','COAÇU','FORTALEZA','CE','106062061237573431568614571112610122047',NULL,'9998',0.00,4,3,NULL),(28,7345844,'1994-05-29 00:00:00',4,5,11,2011,'F','N','CEARÁ','CRICIÚMA','SC','124243241216111231426632575112610114092',14447,'213',38.69,1,3,NULL),(28,7345860,'1977-11-10 00:00:00',4,1,12,1994,'F','N','CENTRO','FLORIANÓPOLIS','SC','224242241211144721438844441122131465147',16178,'262',43.38,1,3,NULL),(28,7345887,'1991-07-21 00:00:00',2,1,12,2008,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124241241335374431336514245124231025092',8650,'1118',48.35,1,3,NULL),(28,7345909,'1991-01-10 00:00:00',2,8,12,2008,'F','N','CANTO DO FORTE','PR GRANDE','SP','125251251116471731344823575125610124072',11395,'9998',43.82,1,2,1),(28,7345917,'1993-04-17 00:00:00',4,1,12,2010,'F','N','FORQUILHINHAS','S JOSÉ','SC','124243241136371431436314345124610126072',13331,'733',43.08,4,3,NULL),(28,7345925,'1994-06-18 00:00:00',4,4,12,2011,'F','N','CENTRO','PINHALZINHO','SC','124241241116131531528931575122610134147',NULL,'616',26.24,1,2,1),(28,7345933,'1995-05-06 00:00:00',2,1,12,2012,'M','S','VILA ROSELI','PARIQUERA-AÇU','SP','125253251217111431248823575122610167042',NULL,'9998',41.24,1,3,NULL),(28,7345941,'1993-07-20 00:00:00',4,22,12,2010,'F','N','AREÃO','CANELINHA','SC','124241241127161411534312445122131426052',NULL,'142',29.35,1,2,1),(28,7345950,'1994-06-17 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215111431347613575122610127042',13793,'1118',40.55,1,3,NULL),(28,7345968,'1984-12-28 00:00:00',4,1,12,2003,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124244161441273311128941215134243214177',12564,'9998',49.69,1,3,NULL),(28,7345976,'1991-07-20 00:00:00',4,1,12,2008,'M','N','JARDIM ZAÍRA','MAUÁ','SP','125251251136571431433319245124610127042',11131,'9998',41.66,4,2,1),(28,7345984,'1991-04-22 00:00:00',4,10,12,2008,'M','N','SANGÃOZINHO','SANGÃO','SC','124241241126152431533315442112610132097',13375,'685',36.93,1,2,1),(28,7346000,'1992-06-30 00:00:00',2,1,12,2011,'M','N','BOM VIVER','BIGUAÇU','SC','124241241115141431543623395124610137057',17047,'1116',41.42,4,2,1),(28,7346018,'1992-09-01 00:00:00',2,6,12,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124201241416111431636711575124610167047',NULL,'9997',17.61,1,3,NULL),(28,7346026,'1979-12-14 00:00:00',2,1,12,1999,'F','N','AREIAS','S JOSÉ','SC','224241241126135431431253485122232721187',NULL,'297',21.26,1,2,1),(28,7346034,'1995-09-01 00:00:00',4,2,2,2012,'M','N','VILA NOVA','BLUMENAU','SC','124242241217111431458831495122610136122',11923,'855',50.65,1,3,NULL),(28,7346042,'1995-01-04 00:00:00',4,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431528951575122610133122',903,'270',68.77,1,3,NULL),(28,7346050,'1987-08-16 00:00:00',4,1,12,2004,'M','N','PARQUE RINCÃO','COTIA','SP','125254251116153751445833375121610166187',10368,'9998',53.13,4,3,NULL),(28,7346069,'1991-10-15 00:00:00',4,1,11,2008,'M','N','CENTRO','LONDRINA','PR','116162161216572431458931575112610167052',NULL,'9998',0.00,1,3,NULL),(28,7346077,'1994-02-11 00:00:00',4,1,12,2011,'M','N','FAZ SANTO ANTONIO','S JOSÉ','SC','124242241215272411336821215122610124017',3654,'270',60.02,1,3,NULL),(28,7346085,'1994-06-11 00:00:00',4,1,11,2011,'F','N','VILA NORMA','SALTO','SP','125252253216121431386512475122610133142',1919,'9998',65.73,1,3,NULL),(28,7346093,'1990-07-01 00:00:00',4,23,12,2007,'M','N','CENTRO','JARAGUÁ SUL','SC','124242241217131732236744345122130214147',20048,'1061',27.34,1,3,NULL),(28,7346107,'1994-04-18 00:00:00',2,1,12,2012,'F','S','CAMPINAS','S JOSÉ','SC','124241241112161411343623574224610136182',NULL,'732',23.47,1,3,NULL),(28,7346115,'1993-06-02 00:00:00',2,1,11,2010,'F','N','BANZATO','MARÍLIA','SP','125112111215371431588614575125143234192',NULL,'9998',0.00,1,3,NULL),(28,7346123,'1994-03-03 00:00:00',4,8,6,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242281415111431338814395124610137092',16079,'9998',43.54,1,3,NULL),(28,7346131,'1992-05-11 00:00:00',4,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241215515431236832595122610124097',4742,'1026',55.91,4,3,NULL),(28,7346166,'1995-01-20 00:00:00',4,22,12,2012,'M','S','SANTA RITA','BRUSQUE','SC','124241241415131752338611275122610117097',NULL,'107',57.89,1,3,NULL),(28,7346174,'1990-09-10 00:00:00',4,9,7,2009,'M','N','SAO CRISTOVAO','LAGES','SC','124283281417161431359912375112610167112',NULL,'9998',29.80,1,3,NULL),(28,7346182,'1988-01-02 00:00:00',4,2,12,2007,'F','N','VICTOR KONDER','BLUMENAU','SC','124241247246271431236923485122131362187',NULL,'9999',0.00,1,3,NULL),(28,7346190,'1994-09-22 00:00:00',4,16,12,2011,'F','N','SAO LUIS','CURITIBANOS','SC','124241241115371731535624575124610136177',16671,'239',42.26,1,2,1),(28,7346204,'1994-12-12 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241248116371731221923575124610166197',NULL,'733',29.02,1,2,1),(28,7346220,'1994-10-04 00:00:00',4,15,11,2011,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241215121411349933295122610125097',9711,'26',47.07,1,3,NULL),(28,7346239,'1985-04-20 00:00:00',4,1,12,2006,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124251251147131431239444242134140267197',19757,'9998',30.63,1,3,NULL),(28,7346247,'1995-06-10 00:00:00',2,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124242241211111411448611575122610168172',6387,'723',53.81,1,3,NULL),(28,7346255,'1996-10-26 00:00:00',2,10,12,2013,'F','S','CENTRO','GAROPABA','SC','124241241216111731448413595122610168072',NULL,'1253',32.67,1,3,NULL),(28,7346271,'1995-01-15 00:00:00',2,4,2,2013,'F','S','PINHEIRINHO','PATO BRANCO','PR','116161166217111731433334595122610154183',NULL,'9998',32.48,1,3,NULL),(28,7346280,'1987-12-25 00:00:00',4,1,12,2005,'M','N','SAÚDE','S PAULO','SP','125251251117131431433329282114140227047',13616,'9998',39.12,4,2,1),(28,7346298,'1993-08-25 00:00:00',2,8,12,2011,'F','N','PROGRESSO','S BENTO SUL','SC','124241241112371731535632572122610161012',8068,'697',50.19,1,2,1),(28,7346310,'1992-03-26 00:00:00',6,1,12,2009,'F','N','CENTRO','JABOTICABAL','SP','125252251217572311455815576125610143072',2855,'9998',64.19,1,3,NULL),(28,7346328,'1994-03-31 00:00:00',4,15,12,2011,'F','N','PORTO LACUSTRE','OSÓRIO','RS','120201201116151432456933372122610134097',NULL,'9998',24.28,1,2,1),(28,7346336,'1994-03-17 00:00:00',4,10,12,2011,'F','N','ITAPIRUBÁ','IMBITUBA','SC','124241241135271431216629295114610138197',NULL,'359',31.29,1,2,1),(28,7346344,'1994-05-17 00:00:00',4,5,12,2011,'F','N','BORTOLUZZI','NOVA VENEZA','SC','124241241117161432438833375124610131147',NULL,'576',11.23,1,3,NULL),(28,7346352,'1994-03-08 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115131712436813335124610127042',11579,'271',44.15,4,2,1),(28,7346360,'1994-08-29 00:00:00',4,1,12,2011,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241115371331424714242122610127093',18909,'772',28.15,3,2,1),(28,7346379,'1994-08-03 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124243241215131431436614245122610134142',NULL,'1078',30.98,1,3,NULL),(28,7346387,'1994-02-05 00:00:00',4,1,10,2011,'M','N','ALTO','PIRACICABA','SP','125252251217121532476512571122610126181',4741,'9998',56.37,1,3,NULL),(28,7346395,'1996-05-23 00:00:00',4,8,12,2013,'F','S','FLORESTA','JOINVILLE','SC','124242241237111732369933575122610118191',NULL,'1063',52.48,1,3,NULL),(28,7346409,'1985-06-18 00:00:00',4,7,12,2002,'M','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124242241217131431126644345121230248067',NULL,'138',0.00,1,3,NULL),(28,7346417,'1994-07-01 00:00:00',4,1,12,2011,'F','N','ENCANTADA','GAROPABA','SC','124241241127161431428821575222610143182',16191,'322',43.35,1,2,1),(28,7346425,'1959-09-15 00:00:00',4,1,12,1980,'M','N','ESTREITO','FLORIANÓPOLIS','SC','524202206236131411143642325123141417137',NULL,'9998',28.09,1,3,NULL),(28,7346433,'1989-04-04 00:00:00',4,16,12,2006,'M','N','INTERIOR','FR ROGÉRIO','SC','124241241111472431323634492323610117055',NULL,'320',0.00,1,2,1),(28,7346441,'1994-03-26 00:00:00',4,1,12,2011,'M','N','CENTRO','STO ANTÔNIO PLATINA','PR','116161161117371732345621375122610164052',NULL,'9998',0.00,1,3,NULL),(28,7346450,'1994-09-06 00:00:00',4,1,12,2011,'F','N','VILA NOVA','PTO ALEGRE','RS','120202201217131531447831572112610162097',NULL,'9998',0.00,1,3,NULL),(28,7346468,'1993-07-27 00:00:00',2,8,12,2010,'M','N','COSTA E SILVA','JOINVILLE','SC','125084241215472152589612345112610137182',NULL,'1006',32.43,1,3,NULL),(28,7346484,'1994-05-14 00:00:00',2,17,11,2011,'M','N','CENTRO','CANOINHAS','SC','124242247215111511348924472115610134057',8087,'154',49.67,1,3,NULL),(28,7346492,'1995-03-18 00:00:00',2,1,11,2012,'F','S','CARVOEIRA','FLORIANÓPOLIS','SC','124244241416111421648814495122610118192',NULL,'262',32.05,1,3,NULL),(28,7346506,'1994-05-06 00:00:00',4,8,12,2011,'F','N','AFONSO PENA','S JOSÉ PINHAIS','PR','116162161216111411468913575122610157077',NULL,'9998',0.00,4,3,NULL),(28,7346514,'1990-08-01 00:00:00',4,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','624243244412311731353412395124133227052',19389,'512',33.40,1,3,NULL),(28,7346522,'1994-01-23 00:00:00',2,1,12,2011,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124241241117271431524331192124610163147',17332,'307',40.69,1,2,1),(28,7346530,'1993-02-21 00:00:00',2,6,12,2010,'F','N','ITAIPAVA','ITAJAÍ','SC','124243241215372531326823475224610144057',11180,'392',51.82,1,3,NULL),(28,7346549,'1990-11-26 00:00:00',4,1,12,2008,'F','N','JD ASTRO','SOROCABA','SP','125252251216572431368812571122610167182',1722,'9998',64.12,1,3,NULL),(28,7346557,'1993-06-15 00:00:00',2,1,12,2011,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124241241147141131223344244124610137143',NULL,'282',16.90,4,2,1),(28,7346565,'1994-12-26 00:00:00',4,1,12,2011,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124243241115151431346614235111610134142',NULL,'592',26.77,1,3,NULL),(28,7346573,'1987-02-11 00:00:00',2,1,12,2004,'F','N','J N S AUXILIADORA','CAMPINAS','SP','125251251116472751227679245134240267092',NULL,'9998',27.24,1,2,1),(28,7346581,'1989-06-08 00:00:00',4,1,12,2006,'F','N','FONSECA','NITERÓI','RJ','121212211216471231336624375114610122077',NULL,'9998',0.00,1,3,NULL),(28,7346590,'1994-02-21 00:00:00',2,8,12,2011,'F','N','ACARAÍ','S FRANCISCO SUL','SC','124242241215111431344613396325610135072',NULL,'992',27.50,1,3,NULL),(28,7346611,'1987-11-17 00:00:00',2,1,12,2006,'M','N','CENTRO','S JOSÉ','SC','124242241433132231526444445114231037052',NULL,'728',0.00,1,3,NULL),(28,7346638,'1992-07-12 00:00:00',2,15,12,2009,'M','N','BAIRRO ESTREITO','MELEIRO','SC','124241241136151731654135395122610127052',NULL,'559',20.73,1,3,NULL),(28,7346646,'1986-06-03 00:00:00',2,1,5,2009,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241247326131411643933245234610124077',NULL,'9999',0.00,1,3,NULL),(28,7346654,'1994-04-03 00:00:00',2,5,12,2011,'M','N','COMERCIARIO','CRICIÚMA','SC','124242241216111431459614572142611022192',19428,'210',33.18,1,3,NULL),(28,7346662,'1982-06-21 00:00:00',2,16,12,1999,'F','N','ÁGUA VERDE','CURITIBA','PR','216241161316572751283354474112341368182',NULL,'9998',0.00,1,3,NULL),(28,7346670,'1994-02-06 00:00:00',4,6,11,2011,'M','N','DOM BOSCO','ITAJAÍ','SC','124241241337121431557823285124610168187',1394,'1026',67.04,4,3,NULL),(28,7346689,'1994-07-26 00:00:00',4,4,12,2011,'F','N','BELA VISTA','CHAPECÓ','SC','124241241115141631436513295124610127147',NULL,'169',7.70,1,3,NULL),(28,7346697,'1974-01-25 00:00:00',2,1,12,1990,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','224243201116154721658643435124121562147',NULL,'9998',0.00,1,3,NULL),(28,7346700,'1984-09-20 00:00:00',2,1,11,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212133211236823472112332821092',14540,'820',46.50,1,3,NULL),(28,7346719,'1991-05-11 00:00:00',4,1,1,2012,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124243247232111411446334485124610126182',NULL,'9999',35.64,1,3,NULL),(28,7346727,'1994-05-14 00:00:00',2,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215122431457914245122610124172',11757,'226',50.93,1,3,NULL),(28,7346735,'1984-04-09 00:00:00',2,1,12,2001,'M','N','RIEBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241121473411425411385124610164047',15912,'278',43.86,1,3,NULL),(28,7346743,'1993-02-02 00:00:00',2,1,6,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247217271231337831494122610122022',16900,'270',41.76,1,3,NULL),(28,7346751,'1992-02-27 00:00:00',4,2,12,2009,'M','N','VILA NOVA','BLUMENAU','SC','124242241216573431579911395122610167112',2533,'855',68.16,1,3,NULL),(28,7346760,'1994-05-04 00:00:00',4,8,12,2011,'M','N','NOVA BRASÍLIA','JOINVILLE','SC','124244241337151522446714375124610127057',19306,'481',25.40,1,3,NULL),(28,7346786,'1994-09-10 00:00:00',2,5,12,2012,'F','S','COMERCIARIO','CRICIÚMA','SC','124241243215151731556514575124610123076',NULL,'995',27.58,1,3,NULL),(28,7346794,'1994-07-31 00:00:00',4,4,12,2011,'F','N','CENTRO','NONOAI','RS','120201201317131431426811215124610112197',NULL,'9998',0.00,1,3,NULL),(28,7346824,'1992-06-07 00:00:00',2,1,12,2009,'F','N','FEITORIA','S LEOPOLDO','RS','120203201217141411644712345124610165147',18775,'9997',36.19,1,3,NULL),(28,7346832,'1993-08-01 00:00:00',4,1,11,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215272431568822375114121247017',10552,'270',50.51,1,3,NULL),(28,7346840,'1991-11-15 00:00:00',2,16,12,2009,'F','N','CENTRO','CURITIBANOS','SC','124241161116471431528679572245610168097',NULL,'9998',0.00,1,2,1),(28,7346859,'1992-05-05 00:00:00',4,1,11,2009,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215152711567967475124233266192',14577,'1022',46.39,1,3,NULL),(28,7346867,'1990-05-23 00:00:00',2,1,12,2007,'F','N','CENTRO','IMBITUBA','SC','124241241117232421527751245124130214027',12736,'361',41.01,1,2,1),(28,7346875,'1995-01-14 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202241212111731466714572124610114087',17619,'1022',28.75,1,3,NULL),(28,7346883,'1993-05-03 00:00:00',4,24,12,2010,'M','N','SUMARÉ','RIO SUL','SC','124241248117151421449813375122233264047',5767,'657',53.20,1,2,1),(28,7346891,'1990-08-30 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124021021217371731426379375124610133077',14698,'9998',41.49,1,3,NULL),(28,7346905,'1995-07-21 00:00:00',4,1,12,2012,'F','S','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241116131711543331282124610111141',NULL,'1248',23.43,1,3,NULL),(28,7346913,'1993-10-28 00:00:00',4,1,12,2011,'M','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215121431388622375122610117117',15544,'270',44.64,1,3,NULL),(28,7346921,'1992-01-31 00:00:00',4,8,12,2009,'M','N','CRISTO REI','CURITIBA','PR','116252251217571431369834575122610137031',NULL,'9998',0.00,1,3,NULL),(28,7346930,'1995-01-22 00:00:00',4,22,10,2011,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241215111731348632575122610118147',10478,'1244',52.95,1,3,NULL),(28,7346956,'1992-09-26 00:00:00',2,1,12,2010,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241241116371431537414274344610127083',12279,'307',44.86,1,2,1),(28,7346972,'1995-03-28 00:00:00',2,8,12,2011,'F','N','CENTRO','S FRANCISCO SUL','SC','124242241215111731326612575122610124192',NULL,'867',25.37,1,3,NULL),(28,7346980,'1991-04-13 00:00:00',2,1,11,2008,'M','N','CENTRO','PIRACICABA','SP','125253251116372431547834115125241437092',12709,'9998',41.38,1,3,NULL),(28,7346999,'1986-09-11 00:00:00',4,1,7,2004,'M','N','INGLESES','FLORIANÓPOLIS','SC','324243247617155752489919577115123268186',6083,'1003',52.66,4,3,NULL),(28,7347006,'1991-06-06 00:00:00',4,1,6,2010,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215473421448832375114610167113',NULL,'1133',31.64,1,3,NULL),(28,7347014,'1994-06-08 00:00:00',4,8,10,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241216131431528821572212610163042',1184,'457',69.25,3,3,NULL),(28,7347022,'1994-04-10 00:00:00',4,5,12,2011,'M','N','CENTRO','S LUDGERO','SC','124241241116151431335634275125610134047',14318,'748',37.81,1,2,1),(28,7347030,'1970-03-07 00:00:00',4,1,11,1997,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224202207623131711223644345122132124097',NULL,'9998',0.00,1,3,NULL),(28,7347049,'1994-02-19 00:00:00',4,1,12,2011,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124242241215111431346822572324610124042',12266,'1022',42.59,1,3,NULL),(28,7347057,'1992-01-30 00:00:00',4,1,12,2010,'F','N','CENTRO','LIMEIRA','SP','125253251115471411223827145121610164027',NULL,'9998',32.75,2,1,2),(28,7347065,'1995-01-22 00:00:00',2,1,2,2012,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241215111431346619295124230224082',19678,'807',31.40,1,3,NULL),(28,7347081,'1994-02-09 00:00:00',4,8,12,2011,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161215111411559814575112610127072',NULL,'9998',0.00,3,3,NULL),(28,7347090,'1993-10-22 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124243247316151431337923575124610168187',17345,'9999',31.15,1,3,NULL),(28,7347103,'1992-02-06 00:00:00',2,1,12,2008,'F','N','CETRO','IBAITI','PR','116161161116572431543619575122610132157',5699,'9998',56.89,1,2,1),(28,7347111,'1990-11-14 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241212472411447739585114131417063',14681,'1022',46.21,1,3,NULL),(28,7347120,'1982-01-10 00:00:00',4,1,12,1999,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116475721344529495122322634097',6275,'293',52.67,1,2,1),(28,7347138,'1992-05-07 00:00:00',4,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124262261216112431563812175121221912097',11144,'9998',51.89,1,3,NULL),(28,7347146,'1993-04-21 00:00:00',4,6,12,2010,'M','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241215472431346824445122610127077',2515,'394',63.64,1,3,NULL),(28,7347154,'1991-05-16 00:00:00',2,9,12,2008,'M','N','CENTRO','VARGEM','SC','124241241126131421444923435121131438047',7541,'1082',50.34,1,2,1),(28,7347162,'1993-12-22 00:00:00',4,1,11,2010,'M','N','GRANJA JULIETA','S PAULO','SP','125252251217471431368811171122610167042',5113,'9998',53.50,1,3,NULL),(28,7347189,'1992-03-03 00:00:00',4,1,12,2010,'M','N','VILA EMA','S JOSÉ CAMPOS','SP','125252251215471431478833575121610166012',8820,'9998',48.83,1,3,NULL),(28,7347200,'1994-02-21 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124241241117471431316824575124610124047',10608,'307',46.61,1,2,1),(28,7347219,'1994-06-15 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116271131456713575114610168142',NULL,'307',33.94,1,2,1),(28,7347227,'1993-06-17 00:00:00',2,1,12,2011,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215111431333333372124610117092',9744,'299',48.69,1,3,NULL),(28,7347235,'1985-02-03 00:00:00',2,1,12,2002,'F','N','CAMPINAS','S JOSÉ','SC','124243247417153751346633345122330267056',18552,'9999',37.05,1,3,NULL),(28,7347260,'1992-09-21 00:00:00',4,1,12,2012,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124241241415111752456679375124610127182',NULL,'1022',30.37,4,3,NULL),(28,7347278,'1992-06-16 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241217114431436933375111222963097',11793,'1010',43.10,1,3,NULL),(28,7347286,'1994-01-19 00:00:00',2,1,12,2011,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124243241117111431368613275124610136142',7515,'267',52.10,1,3,NULL),(28,7347308,'1988-01-20 00:00:00',2,1,12,2005,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124244248116444421448613595122230247042',8841,'307',50.67,1,3,NULL),(28,7347316,'1993-04-18 00:00:00',4,1,12,2010,'F','N','INGÁ','NITERÓI','RJ','121212211217471431488831575122610124047',NULL,'9998',0.00,1,3,NULL),(28,7347324,'1992-05-04 00:00:00',4,5,12,2009,'M','N','MORRO ESTEVÃO','CRICIÚMA','SC','124242246215473231558413375124131067112',1947,'995',66.78,1,3,NULL),(28,7347332,'1992-11-06 00:00:00',2,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241216133411433633445124610127042',NULL,'1023',22.60,1,3,NULL),(28,7347340,'1994-07-08 00:00:00',2,1,12,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241112131221436634245124610134042',NULL,'733',19.20,4,3,NULL),(28,7347359,'1994-11-04 00:00:00',4,10,12,2011,'M','N','CENTRO','IMARUÍ','SC','124241241117131431446923575122610124017',8455,'356',49.50,1,2,1),(28,7347367,'1995-06-05 00:00:00',4,1,12,2012,'M','S','CENTRO','TIJUCAS','SC','124242241215111752558432575122610166047',NULL,'948',59.04,1,3,NULL),(28,7347375,'1992-01-22 00:00:00',2,8,12,2009,'M','N','PROGRESSO','S BENTO SUL','SC','124241246216141431443614345122610117057',19442,'974',33.09,1,3,NULL),(28,7347383,'1992-11-05 00:00:00',2,1,12,2010,'M','N','JARDIM BANCARIOS','LONDRINA','PR','116161161116371412449514385111241244097',10590,'9998',45.53,1,2,1),(28,7347391,'1989-11-07 00:00:00',2,1,2,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241247317272441423513585114610167187',NULL,'9999',14.65,1,3,NULL),(28,7347413,'1993-12-08 00:00:00',2,1,12,2011,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241115131321623324282314611464057',NULL,'278',22.27,1,2,1),(28,7347421,'1986-03-26 00:00:00',2,1,12,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241126313731546431575122231018147',NULL,'288',0.00,1,3,NULL),(28,7347430,'1993-08-05 00:00:00',2,1,11,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217253431457812585122133221143',6378,'270',53.20,1,3,NULL),(28,7347448,'1993-04-29 00:00:00',4,1,12,2011,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242241216151231365632572124610167042',19244,'1049',34.15,1,3,NULL),(28,7347456,'1995-06-20 00:00:00',2,5,12,2011,'F','N','MONTE VERDE','MRO FUMAÇA','SC','124243243215111211457614245122610167147',NULL,'995',26.08,1,3,NULL),(28,7347464,'1983-05-18 00:00:00',2,1,12,2000,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124201201116131441226648385114130227157',NULL,'9998',30.39,1,2,1),(28,7347472,'1994-08-17 00:00:00',4,1,2,2012,'M','N','AREIAS','S JOSÉ','SC','124242241117371431456512575124610117042',3677,'739',64.93,1,3,NULL),(28,7347480,'1993-04-01 00:00:00',4,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115231711526634295124610122147',NULL,'281',26.14,2,1,1),(28,7347499,'1993-02-11 00:00:00',4,1,12,2010,'M','N','VILA MORANGUEIRA','MARINGÁ','PR','116222161216272431359912572122610164122',2929,'9998',60.97,3,3,NULL),(28,7347502,'1994-04-08 00:00:00',2,16,12,2011,'M','N','INTERIOR','FRAIBURGO','SC','124241241115371511423423472224610117057',NULL,'320',25.96,4,2,1),(28,7347510,'1994-11-03 00:00:00',2,1,12,2011,'M','N','CAMPO DUNA','GAROPABA','SC','124241241145151431533311572344610113177',19943,'361',28.85,1,2,1),(28,7347529,'1994-09-11 00:00:00',4,1,12,2011,'M','N','INGLESES DO RIO VERM','FLORIANÓPOLIS','SC','124244241215111531346821295124610117112',10512,'270',45.95,1,3,NULL),(28,7347537,'1984-04-22 00:00:00',4,1,6,2002,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124163167126131421123344392131140264187',16054,'9998',43.60,1,3,NULL),(28,7347545,'1994-04-29 00:00:00',4,3,12,2011,'M','N','PARQUE OURO VERDE','FOZ IGUAÇU','PR','116162161217111411379914472112610124013',NULL,'9998',0.00,1,3,NULL),(28,7347553,'1991-04-04 00:00:00',4,1,12,2008,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217373431469933475114610137122',2518,'270',62.86,1,3,NULL),(28,7347561,'1995-02-10 00:00:00',4,1,12,2011,'F','N','BREJARÚ','PALHOÇA','SC','124243248212111731323534472224610122147',20036,'9997',27.51,1,3,NULL),(28,7347570,'1983-04-05 00:00:00',2,15,12,2001,'M','N','UNIVERSITARIO','CRICIÚMA','SC','124241246216132421654433145134132328111',19521,'920',32.55,1,3,NULL),(28,7347588,'1992-11-23 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124242241216372731533623445114610167113',16035,'1118',34.75,1,3,NULL),(28,7347596,'1992-08-09 00:00:00',4,1,12,2009,'F','N','CENTRO','IMARUÍ','SC','124241241126131431623923382334132024057',NULL,'356',0.00,1,2,1),(28,7347618,'1993-02-01 00:00:00',2,1,12,2010,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241117373751423314375124610164077',11332,'21',44.98,1,2,1),(28,7347626,'1993-11-29 00:00:00',4,4,12,2011,'F','N','LA SALLE','PATO BRANCO','PR','116162161215271431569812395125610126022',NULL,'9998',0.00,1,3,NULL),(28,7347642,'1992-05-09 00:00:00',4,8,12,2009,'M','N','ÁGUA VERDE','CURITIBA','PR','116252251216572431337822595114610167047',NULL,'9998',0.00,1,3,NULL),(28,7347650,'1994-03-04 00:00:00',2,15,12,2011,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','124241241146131431525314341121610147057',20167,'29',22.15,1,3,NULL),(28,7347669,'1994-07-01 00:00:00',4,1,12,2011,'M','N','SOUSAS','CAMPINAS','SP','125252251215111431368837572122610147052',NULL,'9998',0.00,1,3,NULL),(28,7347677,'1993-01-15 00:00:00',2,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241246137141421533524395124610162182',NULL,'274',8.06,1,2,1),(28,7347685,'1994-08-15 00:00:00',4,1,12,2011,'M','N','ARIRIÚ DA FORMIGA','PALHOÇA','SC','124241241115141431435331575124610137042',12294,'592',41.77,1,2,1),(28,7347693,'1990-10-25 00:00:00',4,1,12,2008,'M','N','PINGUIRITO','GAROPABA','SC','124241241147131432334374245114130226057',14732,'322',46.11,1,2,1),(28,7347715,'1991-10-10 00:00:00',4,4,11,2008,'M','N','JARDIM NOVA YORK','CASCAVEL','PR','116162161215572431479811575122610167062',5984,'9998',51.36,1,3,NULL),(28,7347723,'1994-09-22 00:00:00',4,1,12,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241115371432523329575124610164147',17582,'278',40.10,2,1,1),(28,7347731,'1994-01-04 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241415111231524621595122610162182',12575,'270',42.59,2,1,2),(28,7347740,'1993-08-07 00:00:00',2,1,12,2011,'F','N','ASA NORTE','BRASÍLIA','DF','107072071214311431568813575122610137142',7923,'9998',51.15,1,3,NULL),(28,7347758,'1993-09-29 00:00:00',2,7,12,2010,'M','N','CENTRO','CAMPOS NOVOS','SC','124242241216371431469914175112610134052',NULL,'138',16.97,1,3,NULL),(28,7347774,'1983-06-19 00:00:00',4,1,12,2003,'M','N','BELA VISTA','S JOSÉ','SC','124224221132232431539613485114610117042',NULL,'9998',30.34,4,3,NULL),(28,7347782,'1983-09-13 00:00:00',2,8,12,2000,'M','N','ITACOLOMI','BAL PIÇARRAS','SC','124241241116241421126644345323131427042',17344,'614',40.67,1,3,NULL),(28,7347790,'1993-03-27 00:00:00',2,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241117271741323614441144610144197',18622,'257',36.81,1,2,1),(28,7347804,'1994-10-19 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121731477632575114610134056',3821,'270',58.96,1,3,NULL),(28,7347812,'1992-02-01 00:00:00',4,22,11,2009,'F','N','CENTRO','BRUSQUE','SC','124242241215574431588811495112610162182',3714,'109',65.13,1,3,NULL),(28,7347820,'1991-03-25 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241136111632521121115334610116177',NULL,'922',25.72,1,3,NULL),(28,7347847,'1994-08-23 00:00:00',4,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124242241215131431358414575144610122142',13493,'9997',48.26,1,3,NULL),(28,7347871,'1993-04-29 00:00:00',2,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242241217152731336623245134610163077',NULL,'1022',23.34,1,3,NULL),(28,7347898,'1993-11-02 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241116373431226728375114610137072',7799,'271',52.65,1,3,NULL),(28,7347901,'1995-12-07 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431247921475122610134122',NULL,'1169',37.15,1,3,NULL),(28,7347910,'1994-07-18 00:00:00',2,1,11,2011,'F','N','CENTRO','S PEDRO ALCÂNTARA','SC','124243241215471331433912575122610164182',NULL,'270',31.99,1,3,NULL),(28,7347936,'1991-03-06 00:00:00',4,1,12,2008,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241216574751389719575122131038097',2163,'270',67.29,1,3,NULL),(28,7347944,'1990-07-15 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124202208217371531128822171321140264017',4297,'9998',58.48,1,3,NULL),(28,7347952,'1991-10-10 00:00:00',2,1,12,2009,'F','N','BREJARU','PALHOÇA','SC','124241241116474451211529392124610166147',9677,'592',50.03,1,2,1),(28,7347960,'1986-03-28 00:00:00',4,8,12,2003,'F','N','JARDIM SOFIA','JOINVILLE','SC','124203201216134441125723385122221462051',10019,'9998',53.68,1,3,NULL),(28,7347979,'1959-06-06 00:00:00',2,1,7,1987,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','224241246126155411446443231123221744093',14057,'306',47.31,1,2,1),(28,7347987,'1994-06-23 00:00:00',4,22,10,2011,'M','N','SÃO LUIZ','BRUSQUE','SC','124241241215121411445613575112610164027',4369,'1244',58.70,1,3,NULL),(28,7347995,'1994-12-03 00:00:00',2,1,11,2011,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215171431449613575114610138182',NULL,'1051',24.80,1,3,NULL),(28,7348002,'1991-08-21 00:00:00',4,1,12,2008,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241137471711424414232334610167182',14297,'65',46.95,1,2,1),(28,7348010,'1994-05-08 00:00:00',2,1,12,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244248116271431536612525222610117052',15211,'307',36.13,1,3,NULL),(28,7348029,'1995-10-19 00:00:00',4,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124242241212111431426634442122610122145',NULL,'262',23.55,1,3,NULL),(28,7348037,'1990-12-17 00:00:00',4,6,12,2009,'F','N','JABAQUARA','S PAULO','SP','125252251111471431458713575114610167077',9266,'9998',46.63,1,3,NULL),(28,7348045,'1989-04-02 00:00:00',2,1,12,2006,'F','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124241241116142431433317442114610123142',18696,'307',36.48,2,1,1),(28,7348070,'1994-09-09 00:00:00',2,1,12,2011,'F','N','BREJARU','PALHOÇA','SC','124241248315111431323634172124610127047',15961,'1218',36.95,1,3,NULL),(28,7348088,'1995-01-21 00:00:00',2,9,12,2011,'F','N','SÂO CRISTOVÂO','LAGES','SC','124242241235111431436511315124610131077',NULL,'497',19.77,1,3,NULL),(28,7348096,'1992-05-22 00:00:00',2,5,11,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241217472751439911595112610128187',14388,'213',38.49,1,3,NULL),(28,7348100,'1994-11-08 00:00:00',4,8,11,2012,'M','S','ATIRADORES','JOINVILLE','SC','124242241215111732359712572122610118197',NULL,'1063',49.04,1,3,NULL),(28,7348118,'1990-09-23 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216272441324911211124223268185',NULL,'1022',0.00,1,3,NULL),(28,7348126,'1988-04-04 00:00:00',6,1,12,2006,'M','N','BARREIROS','S JOSÉ','SC','124241241127132431325319383214610112012',NULL,'736',19.07,1,2,1),(28,7348134,'1993-03-15 00:00:00',2,1,7,2011,'F','N','ARIRIÚ','PALHOÇA','SC','124242241117371431336623475124610135097',12814,'739',41.64,1,3,NULL),(28,7348142,'1995-04-19 00:00:00',2,15,12,2011,'F','N','RAIZEIRA','SOMBRIO','SC','124241241115111431433933275122610124147',NULL,'1033',31.91,1,3,NULL),(28,7348150,'1991-12-11 00:00:00',4,24,12,2009,'M','N','SUMARÉ','RIO SUL','SC','124242241416271431436871446123231437042',NULL,'654',32.33,1,3,NULL),(28,7348185,'1987-10-27 00:00:00',4,1,12,2006,'M','N','NOVA ESPERANÇA','BAL CAMBORIÚ','SC','224241241136151741233344345123133262182',18717,'51',36.40,1,3,NULL),(28,7348193,'1994-02-24 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117151431337619395114610136182',15095,'257',45.42,1,2,1),(28,7348207,'1993-01-22 00:00:00',2,15,12,2011,'M','N','COLONINHA','ARARANGUÁ','SC','124243241135141421236534315125610127117',NULL,'29',0.00,1,3,NULL),(28,7348215,'1995-01-15 00:00:00',4,1,11,2011,'F','N','JOÂO PAULO','FLORIANÓPOLIS','SC','124243241115371751445923575114610167072',9709,'271',48.45,1,3,NULL),(28,7348223,'1992-12-10 00:00:00',4,4,11,2009,'M','N','CENTRO','CASCAVEL','PR','116162161215513232488812575112610167062',NULL,'9998',0.00,1,3,NULL),(28,7348274,'1994-02-07 00:00:00',2,1,12,2011,'M','N','ROÇADO','S JOSÉ','SC','124244241215111231465733575114610137042',5566,'1011',55.25,1,3,NULL),(28,7348282,'1994-09-20 00:00:00',2,5,10,2011,'F','N','JARDIM ITALIA','COCAL SUL','SC','124244241215111431366874575124610122092',12614,'213',44.97,1,3,NULL),(28,7348290,'1995-05-06 00:00:00',1,2,12,2012,'F','S','SALTO','BLUMENAU','SC','124242241217151411459923475124610124052',NULL,'87',26.04,1,3,NULL),(28,7348304,'1988-02-14 00:00:00',4,1,12,2010,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241247147131422325324442344610124067',11165,'9999',43.17,4,2,1),(28,7348312,'1993-11-08 00:00:00',4,3,11,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241216472231338812295124231424097',NULL,'1038',0.00,1,3,NULL),(28,7348339,'1992-04-08 00:00:00',2,1,12,2010,'M','N','JARDIM CIDADE','S JOSÉ','SC','124241241116372131434623495114610114047',NULL,'734',16.90,2,1,1),(28,7348347,'1993-03-26 00:00:00',2,5,12,2010,'F','N','CENTRO','CIDREIRA','RS','120121201112471431323311272344610164047',9545,'9998',45.35,1,2,1),(28,7348355,'1987-10-26 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215152152328621415122333262047',15074,'9997',45.46,1,3,NULL),(28,7348363,'1990-06-20 00:00:00',2,1,12,2008,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124243241137271431523639485124233267042',NULL,'288',31.64,2,1,2),(28,7348371,'1994-03-09 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243241117371431428824575124610136182',19647,'307',31.62,1,3,NULL),(28,7348380,'1994-08-13 00:00:00',4,1,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124244241211111431357722422122610167145',NULL,'226',24.17,1,3,NULL),(28,7348398,'1994-02-28 00:00:00',2,10,11,2011,'F','N','OFICINAS','TUBARÃO','SC','124242241215111231437923335122610116142',16051,'807',34.04,1,3,NULL),(28,7348401,'1992-02-13 00:00:00',4,3,12,2009,'M','N','GLEBA PALHANO','LONDRINA','PR','116162161216572411488823595112610167042',1928,'9998',64.43,1,3,NULL),(28,7348410,'1995-01-29 00:00:00',4,9,12,2011,'M','N','CENTRO','LAGES','SC','124242241215111532346623375121610137012',9560,'499',49.13,1,3,NULL),(28,7348428,'1992-07-06 00:00:00',4,17,11,2009,'M','N','SOSSEGO','CANOINHAS','SC','124242241213133151336612435114230467187',NULL,'154',24.14,1,3,NULL),(28,7348444,'1993-12-07 00:00:00',4,1,12,2011,'F','N','SANTA CLARA','BOM RETIRO','SC','124241248132161731523616575124610158197',NULL,'95',10.49,1,3,NULL),(28,7348452,'1991-05-13 00:00:00',2,9,12,2008,'F','N','CENTRO','PTE ALTA NORTE','SC','124241242112474431225663571124131427017',14761,'1222',40.12,1,2,1),(28,7348460,'1994-08-02 00:00:00',4,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215151431578811575122610137116',4963,'226',62.49,1,3,NULL),(28,7348487,'1958-09-07 00:00:00',2,1,1,1985,'M','N','SERTÃO DO MARUIM','S JOSÉ','SC','224241243136132411446444342124610162167',NULL,'306',24.06,1,2,1),(28,7348495,'1993-12-26 00:00:00',4,8,12,2011,'M','N','RODOVIÁRIA','ANDRADINA','SP','125252251215151431458832172121610127057',NULL,'9998',36.64,4,3,NULL),(28,7348509,'1993-04-07 00:00:00',2,1,11,2010,'M','N','ATIRADORES','JOINVILLE','SC','124242241216272431458832375121223217062',3589,'461',58.92,1,3,NULL),(28,7348517,'1995-01-18 00:00:00',4,10,12,2011,'M','N','OFICINAS','TUBARÃO','SC','124242241215111431335923435122610132052',NULL,'806',22.63,1,3,NULL),(28,7348525,'1995-06-29 00:00:00',4,1,12,2012,'F','S','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124242248215151311356632575112610134192',NULL,'270',40.35,1,3,NULL),(28,7348533,'1992-02-24 00:00:00',4,8,11,2009,'M','N','FLORESTA','JOINVILLE','SC','124242241217272511468312345122610127042',NULL,'461',0.00,1,3,NULL),(28,7348541,'1995-04-24 00:00:00',4,1,12,2011,'F','N','S ANTONIO DE LISBOA','FLORIANÓPOLIS','SC','124242241215111711466812572122610166075',13408,'262',48.38,1,3,NULL),(28,7348550,'1994-07-19 00:00:00',4,4,11,2011,'F','N','JARDIM ELDORADO','VILHENA','RO','122223221316251432448913475121610124147',15497,'9998',35.11,1,3,NULL),(28,7348568,'1993-09-08 00:00:00',2,9,12,2011,'M','N','CENTRO','LAGES','SC','124242241215371331448912245122610124012',NULL,'9999',0.00,1,3,NULL),(28,7348576,'1993-02-08 00:00:00',4,6,12,2010,'M','N','EMBARÉ','SANTOS','SP','125252251216471431346821575121610127042',5712,'9998',52.77,4,3,NULL),(28,7348584,'1994-09-20 00:00:00',2,1,12,2011,'M','N','CENTRO','ÁGUAS MORNAS','SC','124241241345111311533332145124610127042',13484,'1223',38.99,1,3,NULL),(28,7348592,'1996-05-22 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431469614595112610127142',NULL,'1050',0.00,1,3,NULL),(28,7348606,'1993-11-03 00:00:00',4,22,11,2011,'F','N','SÃO LUIZ','BRUSQUE','SC','124242241215221431536612575122610133112',NULL,'1244',0.00,1,3,NULL),(28,7348614,'1987-05-12 00:00:00',2,1,9,2005,'M','N','SANTA TEREZA','S PEDRO ALCÂNTARA','SC','124241241116153441456613435112123243147',NULL,'739',35.25,1,2,1),(28,7348622,'1994-01-09 00:00:00',4,1,12,2011,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124242241215111431546632375122610114042',NULL,'259',0.00,1,3,NULL),(28,7348630,'1995-03-19 00:00:00',2,15,12,2012,'F','S','VILA SÃO JOSÉ','ARARANGUÁ','SC','124242241215111711433931575122610148072',NULL,'27',36.89,1,3,NULL),(28,7348649,'1992-12-29 00:00:00',4,24,11,2010,'F','N','SUMARÉ','RIO SUL','SC','124242241215112431446613395124231431077',NULL,'991',0.00,4,3,NULL),(28,7348657,'1994-12-13 00:00:00',2,10,12,2011,'F','N','PICANÇO','GUARULHOS','SP','125252251217472731338824585124610162147',NULL,'9998',0.00,1,3,NULL),(28,7348665,'1993-04-24 00:00:00',4,4,12,2010,'M','N','JARDIM URBANO','PALOTINA','PR','116162161215272431459912575112610127057',3454,'9998',59.78,1,3,NULL),(28,7348681,'1990-11-20 00:00:00',4,1,12,2007,'M','N','AREIAS','S JOSÉ','SC','224241248127132751223544143215610128197',NULL,'9997',22.89,4,2,1),(28,7348690,'1994-10-16 01:00:00',4,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241215111431346629575114610163112',18648,'1118',36.71,1,3,NULL),(28,7348703,'1991-02-01 00:00:00',4,1,11,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241316121431437723341124132066172',NULL,'9997',35.63,1,3,NULL),(28,7348711,'1993-01-15 00:00:00',4,9,12,2010,'F','N','CENTRO','LAGES','SC','124242241216153431348614575125231042092',11545,'499',41.34,1,3,NULL),(28,7348720,'1992-08-31 00:00:00',4,2,12,2009,'F','N','AGUA VERDE','BLUMENAU','SC','124241241115241731453619245124130224147',NULL,'84',16.35,1,3,NULL),(28,7348738,'1994-12-12 00:00:00',4,8,12,2011,'F','N','BOA VISTA','JOINVILLE','SC','124241241217371432238669595124610123147',NULL,'1105',28.58,4,3,NULL),(28,7348746,'1987-03-16 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201241122134711224444146124610228182',NULL,'922',0.00,1,3,NULL),(28,7348754,'1994-03-21 00:00:00',4,1,11,2012,'M','S','CENTRO','BAL CAMBORIÚ','SC','124242241217111731489813495122610167122',NULL,'9997',34.81,1,3,NULL),(28,7348762,'1994-02-15 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124243241215111231237473375114610117062',NULL,'259',23.72,1,3,NULL),(28,7348770,'1993-11-03 00:00:00',4,8,12,2011,'M','N','JARDIM SÃO VICENTE','STA RITA P QUATRO','SP','125252251217111741346824245112610126187',13159,'9998',39.37,1,3,NULL),(28,7348789,'1992-12-23 00:00:00',2,6,12,2009,'F','N','CENTRO','LONDRINA','PR','116162151216572751539977575112610168187',NULL,'9998',0.00,1,3,NULL),(28,7348819,'1994-03-13 00:00:00',2,1,12,2011,'M','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241117111431333634575124610127042',NULL,'257',25.29,1,2,1),(28,7348827,'1991-12-17 00:00:00',4,1,7,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241225371431444314345124610132072',NULL,'9999',15.13,2,1,2),(28,7348835,'1992-10-19 00:00:00',4,3,12,2009,'F','N','RES VALE DO ARVOREDO','LONDRINA','PR','116162161215571431358711575112610112142',7901,'9998',49.96,1,3,NULL),(28,7348843,'1993-03-23 00:00:00',4,8,12,2010,'M','N','JARDIM JEQUITIBÁ','INDAIATUBA','SP','125252251217471441447831575112610168054',5275,'9998',56.01,1,3,NULL),(28,7348860,'1994-01-05 00:00:00',2,1,12,2010,'F','N','NOVA DESCOBERTA','TIJUCAS','SC','124241241216111431444517585124230816192',NULL,'948',0.00,1,3,NULL),(28,7348894,'1994-03-08 00:00:00',4,5,11,2012,'F','S','CENTENÁRIO','JARAGUÁ SUL','SC','124241243117131711423635572224610168017',NULL,'228',17.39,1,3,NULL),(28,7348908,'1992-09-24 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215112431456811385122231167041',17087,'1022',41.33,1,3,NULL),(28,7348916,'1994-01-25 00:00:00',2,7,12,2011,'F','N','CENTRO','ARROIO TRINTA','SC','124091241135131731326314342222610132147',12335,'853',41.93,1,2,1),(28,7348924,'1991-12-10 00:00:00',4,1,12,2009,'F','N','VILA MONTEIRO','PIRACICABA','SP','125252251216571531438839574122610123127',2268,'9998',65.13,1,3,NULL),(28,7348940,'1988-12-17 00:00:00',4,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124202201216575731466939375124220624047',4834,'9998',55.21,1,3,NULL),(28,7348959,'1991-06-28 00:00:00',4,1,12,2008,'M','N','TANCREDO NEVES','LIMEIRA','SP','125251251117471511312219195124610115141',NULL,'9998',0.00,4,2,1),(28,7348967,'1994-12-11 00:00:00',2,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241215131431326924175124610127047',17620,'300',33.70,1,3,NULL),(28,7348975,'1985-12-14 00:00:00',2,16,12,2003,'F','N','SANTO ANTONIO','CURITIBANOS','SC','124241241216162531438433345122330234145',NULL,'237',34.27,1,3,NULL),(28,7348983,'1986-01-30 00:00:00',2,1,12,2003,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241216575731349919495122530223187',13285,'270',48.58,1,3,NULL),(28,7348991,'1985-02-17 00:00:00',4,1,12,2003,'M','N','FORQUILHINHAS','S JOSÉ','SC','524241241136141411136644242132133262053',NULL,'539',24.44,1,3,NULL),(28,7349009,'1992-10-26 00:00:00',4,1,12,2010,'M','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125251251216371411678611475124610117041',17863,'9998',39.31,1,3,NULL),(28,7349017,'1994-01-14 00:00:00',4,1,12,2011,'M','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241111141531443314572221610127142',NULL,'941',21.23,1,2,1),(28,7349025,'1985-07-07 00:00:00',2,4,12,2005,'M','N','SANTO ANTONIO','BRAGA','RS','620201208127161531433319442112610167047',NULL,'9998',10.57,4,1,1),(28,7349041,'1993-01-03 00:00:00',4,1,7,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244247216111431358864342124610164072',NULL,'9999',24.10,1,3,NULL),(28,7349050,'1994-01-31 00:00:00',4,6,11,2011,'M','N','DOM BOSCO','ITAJAÍ','SC','124242241217111412325812272321610134042',12365,'1026',49.99,1,3,NULL),(28,7349068,'1992-03-23 00:00:00',4,1,12,2010,'M','N','PACAEMBU','S PAULO','SP','125072251216571441447921575125610166117',NULL,'9998',0.00,1,3,NULL),(28,7349084,'1992-12-03 00:00:00',4,1,12,2010,'M','N','JARDIM MORUMBI','S PAULO','SP','125122121216371441488831575122610137042',1707,'9998',63.67,1,3,NULL),(28,7349092,'1994-11-15 00:00:00',2,10,12,2011,'F','N','CENTRO','IMBITUBA','SC','124241241235131421438613535124610167147',NULL,'1120',18.32,1,3,NULL),(28,7349106,'1966-07-28 00:00:00',2,1,12,1984,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241117142111456641312112610167041',NULL,'293',30.34,1,2,1),(28,7349114,'1991-05-31 00:00:00',4,1,12,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217272431489813495121122027042',520,'1169',77.03,1,3,NULL),(28,7349122,'1994-10-02 00:00:00',4,1,11,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431466811375122610113182',NULL,'270',28.60,1,3,NULL),(28,7349130,'1994-01-16 00:00:00',4,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124251241215141332556412245122610121017',17193,'1175',31.78,1,3,NULL),(28,7349149,'1959-10-21 00:00:00',4,15,3,1980,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','224201201136171411421641215122610154197',NULL,'9998',39.32,1,3,NULL),(28,7349157,'1991-05-14 00:00:00',2,1,12,2009,'F','N','CAMINHO NOVO','PALHOÇA','SC','124244241335371431226624575214610122097',NULL,'592',39.05,1,3,NULL),(28,7349165,'1988-08-23 00:00:00',2,1,12,2005,'M','N','PICADAS DO SUL','S JOSÉ','SC','124242241211575431569713485124220767187',6555,'269',51.73,1,3,NULL),(28,7349173,'1994-02-07 00:00:00',2,4,12,2010,'F','N','CENTRO','XANXERÊ','SC','124244241415473431336771575114610124197',2144,'1233',64.05,1,3,NULL),(28,7349181,'1992-07-07 00:00:00',2,1,11,2009,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241112373431433519592124610124147',NULL,'257',25.80,1,2,1),(28,7349190,'1995-08-10 00:00:00',2,8,12,2012,'F','S','PETRÓPOLIS','JOINVILLE','SC','124244241216131231437634575124610132147',NULL,'459',54.31,4,3,NULL),(28,7349203,'1992-05-15 00:00:00',4,6,12,2009,'M','N','ALTO BOA VISTA','MOGI CRUZES','SP','125251251115571431347813572122610122097',NULL,'9998',0.00,1,2,1),(28,7349211,'1993-01-08 00:00:00',2,17,12,2010,'F','N','CENTRO','CANOINHAS','SC','116242241224472411449834475124610137087',8302,'154',49.35,1,3,NULL),(28,7349220,'1990-05-07 00:00:00',2,1,12,2007,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124201201116474411345734575124140431092',6767,'9998',53.13,1,2,1),(28,7349238,'1992-03-27 00:00:00',2,1,12,2010,'F','N','BUENO','GOIÂNIA','GO','109092091215371431536923482225141061182',18132,'9998',38.47,1,3,NULL),(28,7349246,'1984-07-22 00:00:00',4,1,12,2002,'F','N','CENTRO','S BORJA','RS','120214121216372711626813492124242068042',14776,'9998',40.93,2,3,NULL),(28,7349254,'1993-04-28 00:00:00',2,1,12,2009,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124242241217373431436639335122230268091',18394,'1010',37.67,1,3,NULL),(28,7349262,'1988-01-28 00:00:00',2,1,12,2007,'M','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124161161126131711123624345111610137057',NULL,'9998',0.00,1,3,NULL),(28,7349270,'1994-04-19 00:00:00',4,1,12,2011,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241241115131731326431495124610127017',16013,'739',33.66,1,2,1),(28,7349289,'1994-12-25 00:00:00',2,9,12,2011,'F','N','ESTREITO','ALFREDO WAGNER','SC','105241241117131431411363572321610123097',16173,'13',35.12,1,2,1),(28,7349297,'1994-09-05 00:00:00',4,1,11,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431448611575124610134042',676,'1022',73.57,1,3,NULL),(28,7349319,'1995-11-03 00:00:00',4,1,11,2012,'M','S','VILA ESPERANÇA','IMBITUBA','SC','124244241215271531469611375115610166117',NULL,'807',0.00,1,3,NULL),(28,7349327,'1985-11-12 00:00:00',2,1,12,2003,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241116153411346419375124122333187',NULL,'257',25.86,1,3,NULL),(28,7349343,'1993-09-01 00:00:00',4,17,12,2010,'F','N','JARDIM AMÉRICA','MAFRA','SC','124241161116131131423429172214610123147',NULL,'9998',0.00,1,2,1),(28,7349351,'1994-04-26 00:00:00',2,5,12,2011,'F','N','JARDIM SILVANA','IÇARA','SC','124241241215161231433414175112610143147',18072,'920',38.68,1,3,NULL),(28,7349360,'1993-08-08 00:00:00',4,1,12,2011,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241116471431336714575124610126147',NULL,'772',20.91,1,3,NULL),(28,7349394,'1995-07-20 00:00:00',4,1,11,2012,'M','S','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124244241217111731445414575124610167012',NULL,'1022',38.29,1,3,NULL),(28,7349408,'1994-10-29 00:00:00',4,1,12,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115141431336714345124610137047',NULL,'281',0.00,1,2,1),(28,7349416,'1979-12-31 00:00:00',2,1,12,2000,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224241247126133231233251285124330221197',16700,'9999',42.20,2,1,1),(28,7349424,'1993-10-10 00:00:00',2,8,11,2011,'F','N','ANITA GARIBALDI','JOINVILLE','SC','124242241215131431335722575122610133197',9240,'1063',55.00,1,3,NULL),(28,7349432,'1994-07-27 00:00:00',2,22,10,2011,'F','N','CENTRO','NOVA TRENTO','SC','124241241215112431447633585122610127147',7277,'1244',52.58,1,3,NULL),(28,7349440,'1991-01-26 00:00:00',4,1,12,2008,'F','N','PARQUE SAO JORGE','FRANCA','SP','125252251216571431358834585122610127012',NULL,'9998',0.00,1,3,NULL),(28,7349459,'1990-09-13 00:00:00',2,10,12,2008,'M','N','CENTRO','TUBARÃO','SC','124244241415372451456614375112130837047',17878,'809',39.27,4,3,NULL),(28,7349467,'1992-08-18 00:00:00',4,1,12,2011,'F','N','BELA VISTA','S JOSÉ','SC','124241241116231431539613575114610117142',NULL,'726',14.46,2,2,1),(28,7349483,'1993-10-07 00:00:00',4,1,11,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111441328724575124610146183',10958,'299',44.58,1,3,NULL),(28,7349491,'1986-04-12 00:00:00',2,1,12,2004,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241126132711545313442134610168157',NULL,'291',17.59,1,2,1),(28,7349505,'1995-08-07 00:00:00',4,1,12,2011,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124242241215111731466829575122610133185',NULL,'270',28.99,4,3,NULL),(28,7349513,'1993-03-16 00:00:00',2,27,12,2009,'M','N','CENTRO','DIONÍSIO CERQUEIRA','SC','124164161416573431437732575114610165047',NULL,'9998',49.22,1,3,NULL),(28,7349521,'1993-08-25 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241248115141711323439395124610124147',NULL,'257',27.58,4,2,1),(28,7349530,'1993-05-13 00:00:00',4,1,12,2010,'M','N','CAMINHO NOVO','PALHOÇA','SC','124242241111132431226624442124610132072',16499,'733',31.26,1,3,NULL),(28,7349548,'1993-05-21 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244247416111411448832345132610127042',NULL,'9999',0.00,1,3,NULL),(28,7349556,'1994-09-02 00:00:00',2,5,12,2011,'M','N','QUARTA LINHA','CRICIÚMA','SC','124241241127141731325524142124610122042',15538,'879',36.11,1,2,1),(28,7349564,'1995-04-04 00:00:00',4,2,12,2011,'M','N','GARCIA','BLUMENAU','SC','124242241215111431359911575125610164117',8886,'87',55.61,1,3,NULL),(28,7349580,'1992-03-09 00:00:00',4,4,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116164161216573431438614572124610124182',5053,'9998',56.17,1,3,NULL),(28,7349599,'1992-09-20 00:00:00',2,17,12,2009,'F','N','CENTRO','UNIÃO VITÓRIA','PR','116242161217472431328824574124232644197',NULL,'9998',0.00,1,3,NULL),(28,7349610,'1994-10-11 00:00:00',4,22,11,2011,'M','N','VELHA','NOVA TRENTO','SC','124164241415111432438833575114610164145',4120,'1244',59.45,1,3,NULL),(28,7349629,'1992-02-26 00:00:00',4,8,12,2009,'F','N','LIBERDADE','S PAULO','SP','125252251116573441438823575125610126042',843,'9998',69.81,4,3,NULL),(28,7349645,'1992-01-31 00:00:00',4,1,12,2009,'F','N','CAMPO GRANDE','SANTOS','SP','125252251215572411466811575124610163077',1445,'9998',66.26,1,3,NULL),(28,7349653,'1994-11-26 00:00:00',2,9,12,2011,'M','N','MARTORANO','S JOAQUIM','SC','624242241135111451445912325125610128052',16972,'721',41.60,1,3,NULL),(28,7349661,'1992-06-18 00:00:00',4,1,12,2009,'F','N','NOVA POMPÉIA','PIRACICABA','SP','125252251217571711447811292122610167122',3111,'9998',59.31,1,3,NULL),(28,7349670,'1985-03-15 00:00:00',2,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124131131316132431124641395124321468197',2539,'9998',68.13,1,3,NULL),(28,7349688,'1988-07-16 00:00:00',4,8,11,2005,'M','N','JARDIM SOCIAL','CURITIBA','PR','116162161216511421468613595112141024057',NULL,'9998',0.00,1,3,NULL),(28,7349696,'1992-03-06 00:00:00',4,1,12,2009,'M','N','CAMBUÍ','CAMPINAS','SP','125252251215571231486812375112610167046',288,'9998',74.87,1,3,NULL),(28,7349700,'1994-05-12 00:00:00',4,8,12,2011,'M','N','CENTRO','APUCARANA','PR','116154161216111431479914271122610147122',7280,'9998',50.87,1,3,NULL),(28,7349718,'1990-05-24 00:00:00',2,24,12,2007,'F','N','LAGOAS','VÍTOR MEIRELES','SC','124241241127161441333414245234230818182',19536,'834',32.44,1,3,NULL),(28,7349726,'1993-03-23 00:00:00',2,1,12,2011,'F','N','JURERE','FLORIANÓPOLIS','SC','124242241317131431448811575114610131142',NULL,'307',31.90,1,3,NULL),(28,7349734,'1994-01-11 00:00:00',4,6,12,2011,'F','N','CORDEIROS','ITAJAÍ','SC','124242241215111431448834342122610145177',3003,'392',59.15,1,3,NULL),(28,7349742,'1994-08-14 00:00:00',2,1,11,2011,'M','N','JARDIM AMÉRICA','GOIÂNIA','GO','109094091217111431468833575114610167047',7723,'9998',48.07,4,3,NULL),(28,7349750,'1994-07-04 00:00:00',4,1,12,2011,'F','N','VILA IPIRANGA','PTO ALEGRE','RS','120202201217111411437621112122610111047',7085,'9998',50.85,1,3,NULL),(28,7349769,'1993-09-02 00:00:00',4,26,10,2010,'M','N','VILA VERDE','GAURAMA','RS','120201201215471431336639475124610122012',1833,'9998',64.49,1,3,NULL),(28,7349777,'1992-08-23 00:00:00',4,1,7,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124072071117572431169639575112610127072',6341,'9998',51.98,4,3,NULL),(28,7349785,'1991-09-11 00:00:00',2,1,12,2009,'M','N','CAMPINAS','S JOSÉ','SC','124241241136172431423624215113610167012',NULL,'733',0.00,4,1,1),(28,7349793,'1994-06-25 00:00:00',4,15,10,2011,'M','N','CENTRO','ARARANGUÁ','SC','124241241215211452364532572125610134092',10115,'26',53.54,4,3,NULL),(28,7349807,'1994-11-15 00:00:00',4,1,12,2012,'M','S','BARREIROS','S JOSÉ','SC','124242241217151752439714595115610168112',NULL,'738',12.07,1,3,NULL),(28,7349823,'1992-10-02 00:00:00',2,26,12,2011,'F','N','SALETE','CONCÓRDIA','SC','124241245137131711621335295124610148142',NULL,'192',0.00,1,3,NULL),(28,7349858,'1994-03-24 00:00:00',4,1,12,2011,'F','N','TIJUCA','RIO JANEIRO','RJ','121212211236111431369811582122610123077',NULL,'9998',0.00,1,3,NULL),(28,7349866,'1993-04-20 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241117241521324429242214610124187',19477,'257',32.85,4,2,1),(28,7349874,'1992-12-09 00:00:00',2,4,12,2009,'F','N','CENTRO','CAXAMBU SUL','SC','124241241134141411125544342212610125147',NULL,'704',35.67,1,2,1),(28,7349890,'1986-09-15 00:00:00',2,1,12,2003,'F','N','NOSSA S DO ROSÁRIO','S JOSÉ','SC','124161161337131411143312215132131061093',NULL,'9998',25.44,1,3,NULL),(28,7349912,'1993-04-01 00:00:00',4,1,2,2012,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124243241115371132348834375122610166045',NULL,'739',0.00,3,3,NULL),(28,7349920,'1990-12-18 00:00:00',2,1,10,2008,'F','N','CIDADE ALTA','BENTO GONÇALVES','RS','120201201116371131323334345124610168187',NULL,'9998',0.00,1,2,1),(28,7349939,'1995-09-23 00:00:00',4,1,12,2012,'M','S','PICADAS DO SUL','S JOSÉ','SC','124242241215111431358824575124610122075',NULL,'1074',29.62,1,3,NULL),(28,7349947,'1994-10-03 00:00:00',4,4,12,2011,'F','N','PINHEIRINHO','MACEIÓ','AL','124241248115151731326733572122610125187',NULL,'182',20.88,1,3,NULL),(28,7349963,'1994-03-21 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121731438634575115610128182',8539,'1022',48.89,1,3,NULL),(28,7349980,'1991-07-06 00:00:00',4,1,12,2008,'F','N','LAGO NORTE','LG NORTE','DF','107072071217572431488831575112610132094',NULL,'9998',0.00,1,3,NULL),(28,7350007,'1991-01-15 00:00:00',2,1,12,2007,'F','N','VALPARAISO','BLUMENAU','SC','124241241215573331133824195124610112091',8942,'67',49.71,1,3,NULL),(28,7350015,'1993-12-04 00:00:00',4,1,12,2010,'F','N','BELA VISTA','PALHOÇA','SC','124241241122151751533314345122610124052',NULL,'1108',34.05,1,2,1),(28,7350023,'1995-10-20 00:00:00',4,2,12,2011,'F','N','ASILO','BLUMENAU','SC','124242241216111431449933475112610126142',NULL,'855',21.92,1,3,NULL),(28,7350031,'1987-07-08 00:00:00',4,1,12,2004,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241415573732426469491124230227077',18165,'9997',38.39,1,3,NULL),(28,7350058,'1959-09-29 00:00:00',4,1,12,1977,'F','N','UNIVERSITÁRIO','BIGUAÇU','SC','224241245236155411673312386112610111157',20061,'9997',27.04,1,3,NULL),(28,7350074,'1989-12-27 00:00:00',4,1,12,2008,'F','N','VENDAVAL','BIGUAÇU','SC','124241247221132431237723241224610122177',16579,'9999',34.45,1,3,NULL),(28,7350082,'1993-03-08 00:00:00',2,1,11,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244246436111131444632325122610117042',NULL,'1051',15.55,1,3,NULL),(28,7350090,'1995-12-10 00:00:00',4,1,11,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217131751228823575125610167047',NULL,'1168',37.34,1,3,NULL),(28,7350104,'1993-08-20 00:00:00',4,16,12,2010,'F','N','AGUA SANTA','CURITIBANOS','SC','124241241112271111524314372325610124087',17852,'240',32.09,4,2,1),(28,7350112,'1985-06-21 00:00:00',4,1,12,2002,'F','N','ZONA CINCO','MARINGÁ','PR','116162161216151431258611415132341041187',11795,'9998',50.86,3,3,NULL),(28,7350120,'1987-07-14 00:00:00',2,17,12,2005,'M','N','CENTRO','CANOINHAS','SC','124241241127143111324211112124141724177',12096,'146',43.13,1,2,1),(28,7350139,'1991-04-12 00:00:00',2,1,12,2008,'F','N','JURERE','FLORIANÓPOLIS','SC','124282241215134731448811485114133231192',10755,'1048',45.04,1,3,NULL),(28,7350147,'1994-07-25 00:00:00',4,3,12,2011,'F','N','VILA NOVA','NOVO HAMBURGO','RS','120204201217131731535412342122610148047',13589,'9998',39.62,1,3,NULL),(28,7350155,'1994-06-30 00:00:00',2,1,11,2011,'F','N','NSSA SRA DO ROSÁRIO','S JOSÉ','SC','124242241211131411546613571124610134071',4086,'1022',57.77,1,3,NULL),(28,7350163,'1984-09-11 00:00:00',2,1,12,2002,'M','N','PERDIZES','S PAULO','SP','125131131147572411323329442114610112197',8265,'9998',46.57,4,2,1),(28,7350180,'1991-12-11 00:00:00',2,8,12,2011,'F','N','VALE DO SOL','BIRIGÜI','SP','125251251136131432416611575122610163197',NULL,'9998',29.76,1,2,1),(28,7350198,'1982-11-30 00:00:00',4,1,12,2002,'M','N','BARREIROS','S JOSÉ','SC','124241241113153411123344345133121834015',10621,'905',52.71,1,3,NULL),(28,7350201,'1994-06-25 00:00:00',2,1,12,2011,'M','N','FUNDOS','BIGUAÇU','SC','124243241315131431524611175121610126067',NULL,'63',21.78,1,3,NULL),(28,7350210,'1994-10-18 00:00:00',4,1,12,2012,'M','S','MONTE VERDE','FLORIANÓPOLIS','SC','124242241237111431456934575122610128182',NULL,'272',34.75,1,3,NULL),(28,7350228,'1994-06-09 00:00:00',2,22,12,2011,'M','N','SANTA RITA','BRUSQUE','SC','124241241136141231439614345121610127042',9576,'876',46.34,1,2,1),(28,7350236,'1993-06-13 00:00:00',2,1,11,2011,'M','N','SERRARIA','S JOSÉ','SC','124243241215111431355923575122610117042',18801,'63',27.54,3,3,NULL),(28,7350244,'1987-12-21 00:00:00',4,1,12,2006,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241112472731546823385123221462067',14781,'307',46.02,1,2,1),(28,7350252,'1990-01-14 00:00:00',4,8,12,2007,'F','N','PARQUE DOS PRINCIPES','S PAULO','SP','125252251216371731538812482122343217184',NULL,'9998',0.00,1,3,NULL),(28,7350260,'1993-07-26 00:00:00',4,1,12,2011,'M','N','CAMPO DUNA','GAROPABA','SC','124241241125131431424923445344610124197',NULL,'1136',12.52,1,2,1),(28,7350279,'1994-06-01 00:00:00',4,8,12,2011,'F','N','SÃO MARCOS','JOINVILLE','SC','124243241215111431548734272114610137142',9708,'457',44.64,1,3,NULL),(28,7350287,'1994-12-06 00:00:00',4,1,12,2011,'M','N','IBIRAQUERA','IMBITUBA','SC','124241241117151411326511575125610126192',NULL,'361',0.00,1,2,1),(28,7350295,'1993-03-20 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242246117131431338821275124610132092',9600,'306',46.25,1,3,NULL),(28,7350309,'1993-10-08 00:00:00',2,1,12,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241216132221323554345114610167182',16677,'988',32.91,2,1,2),(28,7350317,'1995-11-11 00:00:00',4,10,11,2012,'F','S','CENTRO','TUBARÃO','SC','124242241217111431569913575122610124182',NULL,'806',47.32,1,3,NULL),(28,7350325,'1993-12-30 00:00:00',2,1,12,2010,'M','N','ROÇADO','S JOSÉ','SC','124242241215462231364923575112610127045',1659,'1022',67.81,1,3,NULL),(28,7350333,'1994-01-25 00:00:00',4,1,12,2010,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','124244241215473431129613275124610162047',9049,'1207',46.13,1,3,NULL),(28,7350341,'1986-09-18 00:00:00',2,15,11,2002,'M','N','CENTRO','RIO JANEIRO','RJ','124241247126131431253644245124610127112',NULL,'29',NULL,4,2,1),(28,7350350,'1994-10-20 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215151432468611575122610127147',17075,'259',34.10,1,3,NULL),(28,7350368,'1993-10-25 00:00:00',4,8,11,2010,'F','N','CAMPO COMPRIDO','CURITIBA','PR','116161161216571711586632571114610141096',NULL,'9998',0.00,1,3,NULL),(28,7350376,'1995-09-14 00:00:00',2,10,12,2012,'F','S','RECIFE','TUBARÃO','SC','124241241217111732446634575124610137097',NULL,'806',33.66,1,3,NULL),(28,7350384,'1994-07-18 00:00:00',4,1,12,2011,'F','N','BARRA DA LAGOIA','FLORIANÓPOLIS','SC','124201248121131711426479191324610125177',NULL,'282',0.00,1,3,NULL),(28,7350392,'1965-05-31 00:00:00',5,1,12,1982,'F','N','CENTRO','HERVAL D OESTE','SC','124241243427141711433313211122330216187',17857,'446',39.32,1,3,NULL),(28,7350406,'1995-07-08 00:00:00',4,1,12,2011,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124242248215131731466639375124610134187',19371,'270',33.54,1,3,NULL),(28,7350414,'1972-09-16 00:00:00',4,15,12,1990,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','224241243226131441353344145122330743142',19343,'549',33.62,1,3,NULL),(28,7350422,'1991-09-13 00:00:00',2,1,12,2010,'F','N','REAL PARQUE','S JOSÉ','SC','124241241125151431326623295114610118082',NULL,'257',28.17,4,2,1),(28,7350430,'1995-02-10 00:00:00',2,1,11,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215112731459634572122610123092',14237,'270',39.70,1,3,NULL),(28,7350449,'1994-01-10 00:00:00',2,7,12,2010,'F','N','CAETANO BRANCO','JOAÇABA','SC','124241241114341431325827241124610124122',NULL,'539',0.00,1,2,1),(28,7350457,'1991-11-04 00:00:00',6,1,12,2010,'F','N','ESTRELAS','VIÇOSA','MG','113133131316471431439613135122610126092',13711,'9998',38.55,2,3,NULL),(28,7350473,'1971-07-03 00:00:00',4,1,12,1995,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241126275421333343135124223262097',5116,'100',57.39,1,2,1),(28,7350481,'1993-12-02 00:00:00',2,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241215372431568834375122610137182',NULL,'270',29.92,4,3,NULL),(28,7350511,'1993-10-15 00:00:00',4,1,12,2011,'M','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124241241116151431536414272124610162092',18906,'257',27.31,1,3,NULL),(28,7350520,'1993-06-18 00:00:00',4,1,11,2010,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244241435472431444612275122610117042',10166,'1118',53.45,1,3,NULL),(28,7350546,'1994-08-20 00:00:00',4,9,12,2011,'M','N','CENTRO','LAGES','SC','124242241215111431446614475122610111142',10197,'499',44.83,1,3,NULL),(28,7350562,'1993-01-17 00:00:00',2,1,12,2010,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215372751545514371124610126187',NULL,'9997',22.21,1,3,NULL),(28,7350570,'1989-08-03 00:00:00',2,1,7,2008,'F','N','SÃO LUIZ','S JOSÉ','SC','124241241135232132425534141114610124184',NULL,'736',30.37,1,2,1),(28,7350589,'1995-06-01 00:00:00',4,10,12,2012,'F','S','NOVA FÁTIMA','STA ROSA LIMA','SC','124241241125141732514426165124610154052',NULL,'688',7.96,1,3,NULL),(28,7350600,'1994-07-06 00:00:00',4,1,12,2011,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124244241232111411336624572124610127182',13020,'1022',40.06,1,3,NULL),(28,7350619,'1993-03-08 00:00:00',2,1,12,2010,'F','N','MAR GROSSO','LAGUNA','SC','124242241216372731459913235124610114182',9765,'807',47.44,1,3,NULL),(28,7350627,'1991-01-26 00:00:00',4,1,12,2010,'M','N','NSA SRA DO ROSÁRIO','S JOSÉ','SC','124241246136152411336524245124221467047',10676,'306',52.64,1,2,1),(28,7350635,'1994-04-15 00:00:00',4,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217112431259813215122610143097',10414,'883',45.80,1,3,NULL),(28,7350643,'1993-11-11 00:00:00',4,1,12,2011,'M','N','VILA MONTEIRO','PIRACICABA','SP','125252251217111422448732575112610112087',NULL,'9998',33.50,1,3,NULL),(28,7350678,'1994-01-09 00:00:00',4,1,11,2011,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124242241235121431248923572124610133145',5733,'1011',53.68,1,3,NULL),(28,7350694,'1992-04-02 00:00:00',2,1,12,2010,'M','N','SERRARIA','S JOSÉ','SC','124241241147372411531441345213610115182',NULL,'307',0.00,1,2,1),(28,7350708,'1985-10-03 00:00:00',4,1,12,2003,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','125251251117575731426611442114610164047',4221,'9998',55.88,1,2,1),(28,7350716,'1993-02-16 00:00:00',4,1,11,2010,'M','N','JD AQUARIUS','S JOSÉ CAMPOS','SP','125252251215471631366639595124610167047',NULL,'9998',0.00,1,3,NULL),(28,7350732,'1994-08-04 00:00:00',4,8,12,2011,'M','N','CENTRO','GLÓRIA DOURADOS','MS','112124121217111531435911575122610148057',NULL,'9998',0.00,1,3,NULL),(28,7350740,'1994-06-18 00:00:00',2,1,12,2011,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124242241215111411657314575122610126187',NULL,'63',24.56,1,3,NULL),(28,7350759,'1994-04-01 00:00:00',2,3,12,2011,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124241241215111431426614575125610127041',19468,'1119',32.92,1,3,NULL),(28,7350767,'1992-09-16 00:00:00',2,17,12,2009,'F','N','CENTRO','CANOINHAS','SC','124241244115131331223344446235610124187',NULL,'146',20.94,1,2,1),(28,7350775,'1992-04-22 00:00:00',2,1,11,2009,'F','N','PANTANO DO SUL','FLORIANÓPOLIS','SC','124241241125433311528474345124610167062',19873,'291',29.68,2,1,1),(28,7350783,'1995-07-23 00:00:00',4,1,12,2012,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111131259933595114610112092',NULL,'270',37.78,1,3,NULL),(28,7350805,'1994-03-22 00:00:00',4,15,12,2011,'F','N','SÃO CRISTOVÃO','TURVO','SC','124241241111141331444332225122610148092',NULL,'814',16.62,1,3,NULL),(28,7350813,'1995-08-10 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431266923575112610126092',NULL,'270',49.85,1,3,NULL),(28,7350821,'1987-05-12 00:00:00',2,3,6,2005,'M','N','MEIA PRAIA','ITAPEMA','SC','124241247316131441248949395124131066027',17296,'9999',40.79,1,3,NULL),(28,7350830,'1995-03-31 00:00:00',4,1,11,2012,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124242241217111531685734585112610127112',NULL,'270',32.13,1,3,NULL),(28,7350848,'1994-11-28 00:00:00',4,1,11,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241217111431558932572122610124142',8331,'262',49.84,1,3,NULL),(28,7350856,'1994-04-24 00:00:00',2,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','113132131212111431368614345112610138182',8724,'9998',45.58,1,3,NULL),(28,7350864,'1995-05-17 00:00:00',4,1,12,2012,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241216111751369931575122610124145',NULL,'272',22.55,1,3,NULL),(28,7350872,'1977-07-07 00:00:00',2,1,12,1994,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242246222212522122235121212122262192',9628,'269',54.32,1,3,NULL),(28,7350902,'1993-01-21 00:00:00',2,1,12,2011,'M','N','FORQUILHAS','S JOSÉ','SC','124242246116151431426611345124610137055',13734,'306',39.01,1,3,NULL),(28,7350910,'1994-01-15 00:00:00',2,5,12,2011,'M','N','COMERCIÁRIO','CRICIÚMA','SC','124242248215111452334919495122610162017',15335,'213',34.29,1,3,NULL),(28,7350929,'1988-03-21 00:00:00',4,1,12,2005,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215473431236631572122321417172',NULL,'270',0.00,1,3,NULL),(28,7350937,'1995-02-09 00:00:00',4,8,12,2011,'F','N','CENTRO','CAMBIRA','PR','116164168215111431466832591122610135147',NULL,'9998',0.00,1,3,NULL),(28,7350945,'1994-11-14 00:00:00',2,1,11,2011,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124242241415121751279823575114610167042',6345,'270',52.00,1,3,NULL),(28,7350961,'1994-06-14 00:00:00',2,17,12,2011,'F','N','ESTRELA','PNT GROSSA','PR','116162161216471431478813572122610134147',2441,'9998',62.29,1,3,NULL),(28,7350988,'1995-04-12 00:00:00',4,17,12,2012,'F','S','CENTRO','UNIÃO VITÓRIA','PR','116242241217111431459833575122610127092',NULL,'633',0.00,1,3,NULL),(28,7350996,'1984-12-04 00:00:00',6,1,12,2003,'M','N','PICADAS DO NORTE','S JOSÉ','SC','124243247226272431214678285324231067092',NULL,'9999',0.00,1,3,NULL),(28,7351011,'1994-12-20 00:00:00',2,1,12,2012,'F','S','REAL PARQUE','S JOSÉ','SC','124241241217141431445623275122610134052',NULL,'976',37.12,1,3,NULL),(28,7351046,'1995-10-16 00:00:00',4,8,12,2012,'F','S','AMÉRICA','JOINVILLE','SC','124242241217111732469914575122610111146',NULL,'1063',0.00,1,3,NULL),(28,7351054,'1994-11-10 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217111431468914446122610141197',NULL,'262',30.43,1,3,NULL),(28,7351062,'1994-05-28 00:00:00',4,10,11,2011,'M','N','MAR GROSSO','LAGUNA','SC','124242241215122531468612575114610164112',6451,'807',54.37,1,3,NULL),(28,7351089,'1992-03-29 00:00:00',4,1,12,2009,'M','N','PORTAL DAS ROSAS','LIMEIRA','SP','125252251214521212438811382112610112197',10855,'9998',43.23,1,3,NULL),(28,7351097,'1993-04-25 00:00:00',4,5,10,2011,'M','N','CENTRO','SIDERÓPOLIS','SC','124242241215122431638524575124610164192',756,'226',70.59,1,3,NULL),(28,7351100,'1993-02-25 00:00:00',4,1,12,2010,'F','N','CENTRO','DIADEMA','SP','125252251217471431348833575122143233147',4838,'9998',57.89,1,3,NULL),(28,7351119,'1993-03-25 00:00:00',4,8,12,2010,'M','N','VILA GOMES CARDIM','S PAULO','SP','125252251215471431469811476112610127047',427,'9998',72.70,1,3,NULL),(28,7351127,'1973-05-21 00:00:00',4,1,12,1991,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','224243241126333711357452181122131026182',NULL,'272',0.00,1,3,NULL),(28,7351135,'1994-03-04 00:00:00',4,22,12,2011,'M','N','JARDIM CENTENÁRIO','S CARLOS','SP','125252251217471411469933575124610144092',1413,'9998',66.46,1,3,NULL),(28,7351143,'1994-03-29 00:00:00',4,1,12,2012,'F','S','PONTE DO IMARUIM','PALHOÇA','SC','124241241415111712233321345124610115142',NULL,'1010',17.95,1,3,NULL),(28,7351151,'1993-12-21 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','624242243215111431437611585122610117042',16304,'738',36.51,1,3,NULL),(28,7351160,'1993-05-04 00:00:00',4,1,6,2011,'F','N','JARDIM ACLIMAÇAO','MARINGÁ','PR','116162281417271731569813575112610124011',2837,'9998',60.91,1,3,NULL),(28,7351178,'1994-08-14 00:00:00',2,1,12,2011,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241215151722468833576222610135172',NULL,'262',11.06,1,3,NULL),(28,7351186,'1994-11-28 00:00:00',2,1,12,2012,'F','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241216111511321824575122610133142',NULL,'269',19.80,1,3,NULL),(28,7351194,'1982-10-11 00:00:00',2,1,12,2005,'F','N','JARDIM DOS ESTADOS','SOROCABA','SP','124251258126132411113148195224223234092',NULL,'9998',0.00,3,2,1),(28,7351208,'1994-01-17 00:00:00',4,1,12,2011,'M','N','SERRARIA','S JOSÉ','SC','124241241117131711322623575124610164147',NULL,'257',26.70,1,2,1),(28,7351224,'1995-06-09 00:00:00',4,1,12,2011,'M','N','UNIVERSITARIO','TIJUCAS','SC','124242241215111431334933575121610137057',NULL,'948',20.49,1,3,NULL),(28,7351232,'1994-10-08 00:00:00',4,4,12,2011,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116162161117111231518832575112610137112',NULL,'9998',23.29,1,3,NULL),(28,7351240,'1995-04-19 00:00:00',2,1,12,2011,'F','N','MAR GROSSO','LAGUNA','SC','124244241216311431459913235124610117142',14922,'270',40.29,1,3,NULL),(28,7351259,'1993-05-27 00:00:00',4,1,11,2010,'F','N','GLEBA PALHANO','LONDRINA','PR','116092091216472431468814574122610162187',NULL,'9998',0.00,1,3,NULL),(28,7351267,'1994-01-18 00:00:00',2,3,12,2010,'M','N','JARDIM GISELA','TOLEDO','PR','116164161216471531323632393121610134142',NULL,'9998',0.00,1,3,NULL),(28,7351275,'1983-04-20 00:00:00',4,1,12,2008,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624161247337132121361153442124610163047',19988,'9999',28.24,1,3,NULL),(28,7351283,'1993-02-26 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116373731325311345112610148111',NULL,'1034',0.00,1,2,1),(28,7351291,'1992-12-23 00:00:00',4,1,12,2010,'M','N','JARDIM IGUATEMI','SOROCABA','SP','125252251217471431478813575112610162144',NULL,'9998',0.00,1,3,NULL),(28,7351305,'1989-06-22 00:00:00',2,1,12,2006,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241116154421445319375112610167042',14925,'276',45.77,4,2,1),(28,7351313,'1994-06-27 00:00:00',2,1,11,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241215111431559814575124610137047',8595,'300',56.11,1,3,NULL),(28,7351330,'1994-02-04 00:00:00',4,8,12,2011,'F','N','COSTA E SILVA','JOINVILLE','SC','124241241215131731446824575124610124072',7510,'861',50.83,1,3,NULL),(28,7351348,'1990-04-04 00:00:00',2,2,12,2007,'F','N','ALTO DA XV','GUARAPUAVA','PR','116162161217574731448814572125610134182',2660,'9998',62.75,1,3,NULL),(28,7351356,'1994-02-14 00:00:00',4,9,11,2010,'F','N','CENTRO','LAGES','SC','124242241215113431368811575112230461182',NULL,'270',0.00,1,3,NULL),(28,7351364,'1995-12-08 00:00:00',4,1,12,2012,'M','S','BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC','124242241217111431479813575114610128187',NULL,'270',42.66,1,3,NULL),(28,7351372,'1993-02-02 00:00:00',2,1,12,2011,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124242246115471431336933285124610123072',13390,'306',39.60,1,3,NULL),(28,7351380,'1995-02-03 00:00:00',4,10,11,2011,'M','N','CENTRO','TUBARÃO','SC','124242241216151431358913575125610124197',NULL,'806',36.83,1,3,NULL),(28,7351399,'1992-12-19 00:00:00',4,17,1,2010,'M','N','JARDIM DO MOINHO','MAFRA','SC','124241166216371731446639442125610127045',18595,'9997',36.92,1,3,NULL),(28,7351402,'1995-02-25 00:00:00',2,5,12,2011,'M','N','BORTOLOTTO','NOVA VENEZA','SC','124242241215161431323923572124610138117',18700,'995',36.46,1,3,NULL),(28,7351410,'1994-08-08 00:00:00',2,26,11,2011,'M','N','LINHO','ERECHIM','RS','120201201215271431436824475114610122142',1206,'9998',67.14,1,3,NULL),(28,7351429,'1987-07-08 00:00:00',4,1,12,2004,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241416533711526469415124230247072',NULL,'9997',29.92,1,3,NULL),(28,7351437,'1994-10-09 00:00:00',2,17,11,2011,'F','N','TRICOLIN','CANOINHAS','SC','124241241215122431436734575122610123077',11177,'154',43.44,1,3,NULL),(28,7351453,'1992-10-09 00:00:00',4,1,12,2010,'M','N','PERDIZES','S PAULO','SP','125252251217471451458914575112610167043',NULL,'9998',0.00,1,3,NULL),(28,7351496,'1993-09-10 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215111731236824595124610134191',NULL,'273',16.95,1,3,NULL),(28,7351500,'1994-01-10 00:00:00',4,1,12,2010,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124242241213372431438934572124231032042',8025,'1223',55.50,1,3,NULL),(28,7351518,'1991-09-05 00:00:00',4,1,12,2008,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201217571731477932471112141017185',1211,'9998',65.94,1,3,NULL),(28,7351526,'1994-04-15 00:00:00',2,9,12,2011,'M','N','PETRÓPOLIS','LAGES','SC','124242241215111431356834585122610167052',NULL,'497',28.43,4,3,NULL),(28,7351534,'1994-04-27 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217122431368923575125610122147',16649,'270',42.32,1,3,NULL),(28,7351542,'1993-04-12 00:00:00',2,17,12,2010,'M','N','CENTRO','CANOINHAS','SC','124243241317111731446815575112610168017',19971,'146',28.57,1,3,NULL),(28,7351550,'1992-12-29 00:00:00',2,1,12,2009,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124251251116132431621619185124222832087',16302,'9998',43.10,2,1,1),(28,7351569,'1993-06-28 00:00:00',2,1,12,2010,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215153431439913575122230423195',7021,'1050',50.92,1,3,NULL),(28,7351577,'1994-11-22 00:00:00',2,15,12,2011,'F','N','MATO ALTO','ARARANGUÁ','SC','124241241115471432523411572224610144052',NULL,'30',34.78,1,2,1),(28,7351585,'1978-04-26 00:00:00',2,1,12,1995,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124132131216572451346823445122343266112',NULL,'9998',33.54,1,3,NULL),(28,7351607,'1993-04-17 00:00:00',4,1,6,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241217372431436631485114231016182',17224,'300',32.36,1,3,NULL),(28,7351615,'1994-05-18 00:00:00',4,1,11,2011,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124244241215111431267731375112610124092',12743,'270',49.37,1,3,NULL),(28,7351623,'1993-10-13 00:00:00',4,1,12,2010,'M','N','AFONSO PENA','S JOSÉ PINHAIS','PR','116164161217131431436619395114240668145',6452,'9998',54.22,4,3,NULL),(28,7351631,'1995-04-18 00:00:00',4,2,12,2012,'M','S','VICTOR KONDER','BLUMENAU','SC','124212241115151431338819571114610136172',NULL,'88',47.51,1,3,NULL),(28,7351640,'1992-10-08 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217472432444632285111131524042',6428,'407',54.86,1,3,NULL),(28,7351666,'1994-05-11 00:00:00',4,25,11,2011,'M','N','CENTRO','FRAIBURGO','SC','124241241415111741359633575122610164126',7945,'885',57.23,1,3,NULL),(28,7351674,'1994-02-17 00:00:00',4,1,11,2011,'F','N','JD DAS INDÚSTRIA','S JOSÉ CAMPOS','SP','125252251217111431469914345122610126012',6951,'9998',50.26,1,3,NULL),(28,7351682,'1994-03-28 00:00:00',4,26,12,2011,'F','N','CENTRO','CONCÓRDIA','SC','124241241115151431569813432122610133047',NULL,'192',16.09,1,3,NULL),(28,7351690,'1993-07-27 00:00:00',2,1,12,2010,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','120204201417231742656527575214610137047',15423,'9998',39.86,2,1,2),(28,7351712,'1994-10-12 00:00:00',4,15,12,2011,'M','N','SÃO FRANCISCO','SOMBRIO','SC','124241241115141432333334245122610127047',15313,'1033',35.69,1,3,NULL),(28,7351720,'1993-11-22 00:00:00',2,5,12,2011,'F','N','LOMBA','ORLEANS','SC','124244241315111431433622312122610138077',NULL,'581',15.57,1,3,NULL),(28,7351739,'1983-06-23 00:00:00',4,2,12,2000,'F','N','JD SÃO JOÃO','PORECATU','PR','116162161116471731434419495125341362017',14370,'9998',39.08,1,3,NULL),(28,7351747,'1994-06-10 00:00:00',2,1,12,2011,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241115141421323314175124610117142',NULL,'592',0.00,1,2,1),(28,7351755,'1993-03-22 00:00:00',2,1,12,2010,'F','N','IPIRANGA','FLORIANÓPOLIS','SC','124201201112131731623334442344610134042',NULL,'9998',22.21,1,3,NULL),(28,7351771,'1993-02-08 00:00:00',4,1,12,2010,'F','N','CHÁCARA NAZARETH','PIRACICABA','SP','125251251215471431646634575122610137057',NULL,'9998',0.00,1,3,NULL),(28,7351780,'1979-10-29 00:00:00',4,1,11,1996,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241217575431128967272122332847042',3417,'266',61.62,1,3,NULL),(28,7351798,'1992-11-08 00:00:00',2,1,12,2009,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241117371431226724345113610127057',NULL,'278',25.90,1,2,1),(28,7351801,'1994-02-23 00:00:00',4,26,12,2011,'M','N','INTERIOR','LINDÓIA SUL','SC','124241241127131421526632245122610114087',NULL,'534',0.00,1,3,NULL),(28,7351836,'1990-01-27 00:00:00',2,1,12,2007,'F','N','IPIRANGA','S JOSÉ','SC','124242241211274731476912275122123217072',12956,'262',49.06,1,3,NULL),(28,7351844,'1988-12-12 00:00:00',2,1,12,2005,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241216475431534431572124333235177',11031,'1048',52.09,1,3,NULL),(28,7351852,'1993-08-19 00:00:00',4,1,12,2011,'F','N','TERRAS DE PIRACICABA','PIRACICABA','SP','125252251217151431359914575122610136092',15275,'9998',34.84,4,3,NULL),(28,7351879,'1994-11-02 00:00:00',2,4,12,2011,'F','N','NITERÓI','SEARA','SC','124243241115111731546619572122610168052',14722,'384',34.92,1,3,NULL),(28,7351895,'1993-10-12 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217271432388824575112610137122',14294,'270',37.67,1,3,NULL),(28,7351909,'1993-10-05 00:00:00',4,16,12,2010,'F','N','SÃO JOSÉ','CURITIBANOS','SC','124241241115151632323311275112610122147',17311,'239',30.53,2,3,NULL),(28,7351917,'1980-07-03 00:00:00',2,1,12,2001,'F','N','IPIRANGA','S JOSÉ','SC','124243247247132131318561442124133224097',NULL,'725',0.00,1,3,NULL),(28,7351925,'1994-02-25 00:00:00',2,1,11,2011,'M','N','SANTA CLARA','GUARULHOS','SP','125252251217111441368813572122610134046',6935,'9998',49.53,1,3,NULL),(28,7351933,'1993-07-06 00:00:00',4,1,12,2010,'F','N','AGUA VERDE','CURITIBA','PR','116242161231372431589914575114140431187',NULL,'9998',0.00,1,3,NULL),(28,7351941,'1992-04-08 00:00:00',2,23,12,2010,'F','N','VILA NOVA','RIO NEGRINHO','SC','124241241117371431633411571122610165177',NULL,'669',0.00,1,2,1),(28,7351950,'1994-06-23 00:00:00',4,6,12,2011,'M','N','SAO JUDAS','ITAJAÍ','SC','124242241212111431336934575121610134042',NULL,'391',21.00,2,3,NULL),(28,7351968,'1980-12-09 00:00:00',6,1,12,1999,'F','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124241247422132411228774345124131343181',18036,'270',38.78,4,3,NULL),(28,7351984,'1988-03-13 00:00:00',2,1,12,2009,'M','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124161161426131311323344112114610137057',NULL,'9999',0.00,1,3,NULL),(28,7351992,'1992-05-18 00:00:00',2,1,12,2009,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241212373411239821575124241436142',3565,'262',58.57,1,3,NULL),(28,7352000,'1993-11-08 00:00:00',4,8,10,2010,'M','N','SAGUAÇU','JOINVILLE','SC','124242241216112411358612375122121467124',12012,'1063',50.53,1,3,NULL),(28,7352018,'1988-08-23 00:00:00',4,1,12,2006,'M','N','IPIRANGA','S JOSÉ','SC','124241241117154411533614145123610168175',11609,'734',44.03,1,2,1),(28,7352034,'1995-11-26 00:00:00',4,4,1,2012,'M','N','CENTRO','CHAPECÓ','SC','124242241215111431557412285122610134092',13709,'1021',39.44,1,3,NULL),(28,7352042,'1994-06-28 00:00:00',4,4,12,2011,'M','N','CENTRO','MARMELEIRO','PR','116161161212151112443816575111610164012',5923,'9998',55.11,1,3,NULL),(28,7352050,'1987-10-21 00:00:00',4,26,12,2004,'F','N','NAÇÕES','CONCÓRDIA','SC','124243241116471421436632415125131062182',4282,'192',57.72,1,3,NULL),(28,7352069,'1971-12-11 00:00:00',2,8,12,1996,'F','N','BALNEÁRIO ENSEADA','S FRANCISCO SUL','SC','224251253226573421433351385124140842147',2814,'9998',62.35,1,3,NULL),(28,7352077,'1991-05-12 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216272431468512445122131036182',18546,'269',37.07,1,3,NULL),(28,7352085,'1994-06-03 00:00:00',4,7,11,2011,'M','N','SÃO CRISTÓVÃO','VIDEIRA','SC','124241241217111421448819175122610164072',1764,'829',66.30,1,3,NULL),(28,7352093,'1992-12-01 00:00:00',4,2,12,2010,'M','N','CENTRO','TIMBÓ','SC','124242241215112431347932345121231447182',NULL,'1157',35.90,1,3,NULL),(28,7352115,'1993-12-27 00:00:00',4,1,11,2011,'F','N','VILA NOVA','PIRAPORA B JESUS','SP','125252251216271411558812575122610142172',NULL,'9998',0.00,1,3,NULL),(28,7352131,'1993-12-29 00:00:00',2,1,12,2011,'M','N','CENTRO','PENÁPOLIS','SP','125254251215111431453933575122610137092',NULL,'9998',30.44,1,3,NULL),(28,7352140,'1994-09-06 00:00:00',4,9,12,2011,'M','N','FREI ROGERIO','LAGES','SC','124241241135131731425629391122610162042',18613,'935',36.86,4,2,1),(28,7352158,'1981-09-26 00:00:00',4,1,12,1999,'F','N','VILA IMPERIAL','S JOSÉ R PRETO','SP','525251258131411211224421491121112511182',6533,'9998',51.98,1,2,1),(28,7352166,'1991-06-05 00:00:00',2,1,6,2011,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241246117141731537824345124133262097',14988,'306',36.27,1,2,1),(28,7352182,'1994-10-23 00:00:00',2,5,11,2011,'M','N','CENTRO','FORQUILHINHA','SC','124242241215161431438811315124610118092',18258,'880',38.09,1,3,NULL),(28,7352204,'1986-03-25 00:00:00',2,1,12,2003,'F','N','INGLESES','FLORIANÓPOLIS','SC','124203208216371421236644245124142226147',NULL,'9998',28.65,1,3,NULL),(28,7352212,'1993-10-28 00:00:00',4,1,11,2010,'M','N','JARDIM SOCIAL','CURITIBA','PR','116162161216472431488831575122610167062',NULL,'9998',0.00,1,3,NULL),(28,7352220,'1994-07-11 00:00:00',4,1,12,2011,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124243241215111731336613572124610117117',NULL,'1023',22.78,1,3,NULL),(28,7352239,'1990-09-27 00:00:00',4,1,12,2008,'M','N','NOVA ITAPIRA','ITAPIRA','SP','125252251216451411478832571121141437183',1156,'9998',68.84,1,3,NULL),(28,7352247,'1994-05-19 00:00:00',4,2,12,2011,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124252241215111431338614575114610127091',4555,'71',58.42,1,3,NULL),(28,7352255,'1991-04-18 00:00:00',2,1,12,2008,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241122142531424614342134610157077',NULL,'290',0.00,1,3,NULL),(28,7352263,'1985-10-08 00:00:00',2,1,12,2002,'F','N','BARREIROS','S JOSÉ','SC','124241241136135441124644345124130854157',NULL,'315',17.24,1,2,1),(28,7352271,'1994-10-14 00:00:00',2,4,12,2011,'F','N','NATUREZA','ITÁ','SC','124241241116131412346913335124610166072',5101,'384',53.93,1,2,1),(28,7352298,'1992-11-19 00:00:00',4,8,11,2011,'M','N','BOM RETIRO','JOINVILLE','SC','124242241215471511469913475112610144067',NULL,'1063',NULL,1,3,NULL),(28,7352310,'1995-06-23 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212131731448619392114610113097',10588,'1022',45.95,1,3,NULL),(28,7352328,'1993-12-01 00:00:00',2,15,12,2011,'F','N','CENTRO','ARARANGUÁ','SC','124241241115471431526733272124610124052',NULL,'29',26.75,1,2,1),(28,7352336,'1995-06-30 00:00:00',4,4,11,2011,'M','N','CENTRO','CHAPECÓ','SC','124242241215112431448914575124610148152',NULL,'1021',25.11,1,3,NULL),(28,7352344,'1994-07-25 00:00:00',5,7,12,2011,'F','N','CENTRO','ARROIO TRINTA','SC','124241241146131431438912272122610127052',15056,'853',37.48,1,2,1),(28,7352360,'1993-10-01 00:00:00',4,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241215131411532817395124610167047',NULL,'300',0.00,1,3,NULL),(28,7352379,'1993-04-13 00:00:00',2,1,12,2010,'M','N','CAJURU','CURITIBA','PR','116163161216471431447613375124610137047',4216,'9998',59.31,1,3,NULL),(28,7352387,'1988-04-27 00:00:00',2,8,12,2005,'F','N','PARQUE SAN REMO I','UMUARAMA','PR','116161161216575431646514275123143134177',1785,'9998',66.56,1,3,NULL),(28,7352395,'1994-10-21 00:00:00',4,1,11,2011,'F','N','JARDIM DOS ESTADOS','CPO GRANDE','MS','112122121216472431589933575122610127127',NULL,'9998',0.00,1,3,NULL),(28,7352409,'1978-05-28 00:00:00',4,1,12,1996,'M','N','CENTRO','FLORIANÓPOLIS','SC','124251255116171411136841315122342052142',NULL,'9998',17.70,1,3,NULL),(28,7352425,'1994-12-13 00:00:00',2,1,11,2011,'M','N','CENTRO HISTÓRICO','PTO ALEGRE','RS','120202201217111411468831571114610134047',NULL,'9998',0.00,1,3,NULL),(28,7352433,'1990-05-14 00:00:00',4,8,12,2007,'M','N','AGUA VERDE','CURITIBA','PR','116162161216571451256811575124610162187',NULL,'9998',0.00,1,3,NULL),(28,7352441,'1985-11-04 00:00:00',2,1,12,2003,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','224201208117131752223354281214610147047',NULL,'9998',31.43,1,3,NULL),(28,7352468,'1988-10-23 00:00:00',2,1,7,2008,'M','N','BELA VISTA I','S JOSÉ','SC','124243247131544421426744345123610167047',NULL,'9999',28.62,1,3,NULL),(28,7352476,'1986-04-19 00:00:00',2,1,11,2003,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124251251147131331416423285125610138182',NULL,'9998',0.00,3,2,1),(28,7352484,'1994-01-13 00:00:00',4,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124242161215372431557713345114610162047',15668,'9998',44.36,1,3,NULL),(28,7352492,'1994-05-14 00:00:00',2,8,12,2011,'F','N','JARDIM GUARAITUBA','PARANAGUÁ','PR','116161161216111231228624572124610121147',NULL,'9998',0.00,1,3,NULL),(28,7352506,'1994-08-24 00:00:00',2,5,11,2011,'F','N','MICHEL','CRICIÚMA','SC','124242241215111431468911575122610117042',10418,'226',48.32,1,3,NULL),(28,7352514,'1994-08-17 00:00:00',4,6,12,2011,'F','N','SÃO JOÃO','ITAJAÍ','SC','124242241215271731339834185124610162097',9591,'392',47.28,1,3,NULL),(28,7352522,'1992-07-07 00:00:00',4,2,12,2011,'F','N','CENTRO','RIBEIRÃO PRETO','SP','125252251217111431338813575122610133043',10047,'9998',45.06,1,3,NULL),(28,7352530,'1988-03-20 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124242248215574451323414575124133222097',16765,'943',42.07,1,3,NULL),(28,7352549,'1994-07-15 00:00:00',2,1,12,2011,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124053241137341431436714275124610124147',13223,'733',39.36,4,3,NULL),(28,7352557,'1989-10-06 00:00:00',4,1,12,2007,'F','N','OLIMPICO','S CAETANO SUL','SP','125252251115571431477514575112610164147',1239,'9998',65.79,1,3,NULL),(28,7352565,'1995-08-06 00:00:00',2,1,12,2012,'F','S','CENTRO','PALHOÇA','SC','124242241215111711336833575122610134047',NULL,'989',29.89,1,3,NULL),(28,7352573,'1989-08-22 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124162161216223431127744442112141017082',17563,'9998',40.15,1,3,NULL),(28,7352581,'1990-02-25 00:00:00',4,1,12,2007,'M','N','NOVA PIRACICABA','PIRACICABA','SP','125252251216571431458611215122610162047',328,'9998',72.72,1,3,NULL),(28,7352590,'1992-04-05 00:00:00',4,8,11,2009,'F','N','BOM RETIRO','CURITIBA','PR','116162161215572431469833575112610163092',6080,'9998',56.12,1,3,NULL),(28,7352603,'1993-03-16 00:00:00',4,1,12,2010,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241235372411369912385124610138022',5170,'951',54.24,2,3,NULL),(28,7352611,'1992-04-20 00:00:00',4,6,12,2009,'F','N','JARIDM IRAJÁ','RIBEIRÃO PRETO','SP','125242251215572431469814571112610132122',9405,'9998',46.60,1,3,NULL),(28,7352620,'1994-09-01 00:00:00',4,3,12,2011,'F','N','PEREQUÊ','PTO BELO','SC','124242241215121431268922575122610126182',NULL,'1038',34.23,1,3,NULL),(28,7352638,'1995-03-28 00:00:00',4,1,12,2012,'M','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217131532526719372124610137117',NULL,'9997',19.09,1,3,NULL),(28,7352646,'1994-05-13 00:00:00',4,2,12,2011,'M','N','PRAIA DO JARDIM','ANGRA REIS','RJ','121214211216151231467732395122610137042',NULL,'9998',0.00,1,3,NULL),(28,7352654,'1995-07-04 00:00:00',4,1,11,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111732489733575122610137012',NULL,'1169',58.41,1,3,NULL),(28,7352662,'1965-03-16 00:00:00',4,1,12,1983,'M','N','BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC','624073071217132411528644342124130744087',NULL,'9998',0.00,1,3,NULL),(28,7352670,'1994-11-25 00:00:00',4,6,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215111431568832475122610166196',14158,'9997',38.90,1,3,NULL),(28,7352689,'1994-01-14 00:00:00',4,16,12,2011,'F','N','LARANJEIRAS','RIO SUL','SC','124241248122141431466513442123610128142',NULL,'658',24.39,1,2,1),(28,7352697,'1994-12-22 00:00:00',4,1,12,2011,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215171431469823576122610131052',NULL,'270',0.00,1,3,NULL),(28,7352700,'1993-10-08 00:00:00',2,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124242248215152731437931573112410168191',13227,'1011',48.66,1,3,NULL),(28,7352719,'1992-08-10 00:00:00',2,1,12,2011,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124243241415111711367732395122610124125',13269,'1048',42.15,1,3,NULL),(28,7352735,'1993-07-18 00:00:00',2,1,11,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241215221431433512185124610111092',17164,'1197',41.11,1,3,NULL),(28,7352743,'1994-11-11 00:00:00',2,4,12,2011,'M','N','ZUNA RURAL','SAUDADES','SC','124241241115131411534336572224610116142',8546,'761',46.63,1,2,1),(28,7352751,'1992-09-23 00:00:00',4,1,12,2010,'M','N','VILA HARMONIA','ARARAQUARA','SP','125252251216471441469831575122610137126',691,'9998',70.29,1,3,NULL),(28,7352760,'1993-06-11 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201117372751525519572124610167142',14625,'9998',40.86,1,2,1),(28,7352778,'1993-12-29 00:00:00',4,8,12,2010,'M','N','BOM RETIRO','JOINVILLE','SC','124244241217372431158932275114231437042',6157,'499',60.31,1,3,NULL),(28,7352786,'1992-06-26 00:00:00',4,8,12,2009,'M','N','AGUA VERDE','CURITIBA','PR','111112091217571431479931575122610162052',NULL,'9998',0.00,1,3,NULL),(28,7352794,'1994-05-09 00:00:00',4,1,12,2011,'M','N','CAMINHO NOVO','PALHOÇA','SC','124244241215111742469713575124610168187',6827,'989',54.17,1,3,NULL),(28,7352816,'1989-09-21 00:00:00',2,22,12,2008,'M','N','AGUAS CLARAS','BRUSQUE','SC','124241248126271731434314145321610124067',NULL,'113',0.00,1,2,1),(28,7352824,'1992-05-14 00:00:00',2,1,11,2010,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241215314431369811585124610117052',14973,'270',36.94,1,3,NULL),(28,7352832,'1994-04-19 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241217131431548834575122610138052',15672,'1075',33.41,1,3,NULL),(28,7352840,'1991-03-31 00:00:00',2,8,12,2008,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124212211216131431447924495121243224096',NULL,'9998',0.00,1,3,NULL),(28,7352859,'1989-09-15 00:00:00',4,9,12,2007,'M','N','BRASIL','UBERLÂNDIA','MG','113131131116572431438614375123610132097',7916,'9998',49.96,1,2,1),(28,7352867,'1994-08-04 00:00:00',4,1,11,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215112731487912575112610167112',5372,'270',56.58,1,3,NULL),(28,7352875,'1994-10-18 00:00:00',4,1,12,2012,'M','S','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241237111731559913475122610166052',NULL,'1106',49.70,1,3,NULL),(28,7352883,'1988-12-06 00:00:00',4,27,12,2007,'M','N','SANTA TEREZINHA','GUARACIABA','SC','124241241122131421533624142123333212032',NULL,'334',7.68,1,2,1),(28,7352891,'1971-07-06 00:00:00',2,1,5,2008,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241247622131431325319445134610124187',19153,'9999',34.63,1,3,NULL),(28,7352905,'1994-09-13 00:00:00',4,1,12,2011,'F','N','CENTRO','CRUZ ALTA','RS','120202201216151731245823592122610168182',NULL,'9998',0.00,1,3,NULL),(28,7352913,'1992-09-10 00:00:00',2,15,11,2009,'F','N','CENTRO','TURVO','SC','124242241216573431637812395122130421092',12324,'32',50.05,1,3,NULL),(28,7352930,'1994-10-11 00:00:00',2,27,12,2011,'M','N','INDUSTRIAL','FRANCISCO BELTRÃO','PR','116161161417111711469463575122610132042',9877,'9998',48.13,1,3,NULL),(28,7352948,'1995-09-05 00:00:00',4,24,12,2012,'M','S','JARDIM AMÉRICA','RIO SUL','SC','603023023321422321363133184311531525165',NULL,'991',44.82,1,3,NULL),(28,7352956,'1986-03-04 00:00:00',4,8,12,2003,'M','N','VILA NOVA','S LOURENÇO','MG','113132131216151431365811415123441418096',NULL,'9998',0.00,1,3,NULL),(28,7352964,'1993-12-03 00:00:00',4,1,12,2011,'F','N','AGRONOMIA','PTO ALEGRE','RS','120202201217271431364919375114610144042',NULL,'9998',0.00,1,3,NULL),(28,7352972,'1992-07-20 00:00:00',4,23,12,2009,'M','N','JOÃO PESSOA','JARAGUÁ SUL','SC','124241241136141421436633215124610137052',18835,'762',35.95,1,3,NULL),(28,7352999,'1994-07-12 00:00:00',4,4,12,2011,'M','N','CENTRO','CASCAVEL','PR','116162161215471431339923575124610167187',13071,'9998',48.88,1,3,NULL),(28,7353022,'1992-04-12 00:00:00',5,15,8,2010,'M','N','VILA LOURDES','FORQUILHINHA','SC','124241241127131231333314242122610127053',NULL,'309',0.00,1,2,1),(28,7353030,'1994-09-21 00:00:00',4,1,12,2011,'M','N','JARDIM CENTENÁRIO','POÇOS CALDAS','MG','113132131217111431469819575122610127097',NULL,'9998',0.00,1,3,NULL),(28,7353049,'1995-05-29 00:00:00',4,1,12,2011,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124241241117271511659713575112610156197',NULL,'286',28.22,1,2,1),(28,7353057,'1993-10-04 00:00:00',2,1,12,2011,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124241241126141331533434345124610137143',NULL,'282',27.07,1,3,NULL),(28,7353073,'1994-02-21 00:00:00',4,1,12,2011,'M','N','SÃO PELEGRINO','CAXIAS SUL','RS','120202201217111751347939575112610167042',NULL,'9998',0.00,1,3,NULL),(28,7353081,'1994-06-09 00:00:00',4,1,11,2011,'M','N','SANTA GERTRUDES','MARÍLIA','SP','125252251217371431478833575122610161122',7781,'9998',57.52,1,3,NULL),(28,7353090,'1987-02-01 00:00:00',2,1,11,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241332143431448833342122610167057',18673,'1003',36.58,1,3,NULL),(28,7353103,'1992-04-01 00:00:00',4,1,12,2009,'F','N','SETOR BUENO','GOIÂNIA','GO','109092091211511411169912592122610113011',2063,'9998',61.98,1,3,NULL),(28,7353111,'1993-10-10 00:00:00',4,1,12,2010,'F','N','SAGRADA FAMÍLIA','CAXIAS SUL','RS','120202201217371531538912375122141064122',17694,'9998',39.75,1,3,NULL),(28,7353120,'1991-09-27 00:00:00',4,8,12,2008,'M','N','BIGORRILHO','CURITIBA','PR','116162161216413421248811575114610117082',NULL,'9998',0.00,1,3,NULL),(28,7353138,'1991-10-07 00:00:00',4,1,12,2010,'M','N','IPANEMA','PTO ALEGRE','RS','120202201217571711568911392114610134112',7031,'9998',51.60,1,3,NULL),(28,7353146,'1990-10-02 00:00:00',4,1,12,2008,'M','N','CENTRO','MARÍLIA','SP','125252251215471741349811345115141427187',6189,'9998',53.85,1,3,NULL),(28,7353154,'1993-08-09 00:00:00',2,15,12,2011,'M','N','CENTRO','ARROIO SAL','RS','120201201415111431333334345124610127042',16979,'9998',30.33,4,3,NULL),(28,7353162,'1992-07-24 00:00:00',2,1,12,2009,'F','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241122141431524311442134610123017',NULL,'291',20.98,1,2,1),(28,7353170,'1989-12-29 00:00:00',4,1,12,2009,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241317133421427721445114123247067',13295,'9999',48.56,1,3,NULL),(28,7353189,'1973-06-16 00:00:00',2,1,12,1990,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','424241241127473431323349392123610163187',NULL,'359',34.84,1,2,1),(28,7353197,'1994-12-29 00:00:00',4,4,12,2011,'F','N','CENTRO','JESUÍTAS','PR','116163161117161431449613575122610134052',NULL,'9998',0.00,1,3,NULL),(28,7353200,'1987-09-05 00:00:00',4,8,12,2004,'F','N','PINHEIRINHO','CURITIBA','PR','116161161345571451433339273124140262147',NULL,'9998',0.00,1,3,NULL),(28,7353219,'1977-08-01 00:00:00',4,1,12,1995,'M','N','ITAGUAÇU','FLORIANÓPOLIS','SC','124202201216154511129941215122141432042',NULL,'9998',0.00,1,3,NULL),(28,7353227,'1992-12-06 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241243115372732536613385114610127043',NULL,'734',39.93,4,3,NULL),(28,7353235,'1994-08-30 00:00:00',4,1,11,2011,'M','N','JARDIM ITATIAIA','JUNDIAÍ','SP','125252251217111431479834575112610134172',NULL,'9998',0.00,2,3,NULL),(28,7353251,'1994-06-24 00:00:00',2,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241115141421228421185224610124187',NULL,'1248',24.24,1,2,1),(28,7353260,'1984-04-28 00:00:00',2,1,11,2004,'M','N','COLONINHA','FLORIANÓPOLIS','SC','124203207123131421226944243333231037057',18431,'9998',37.53,2,1,2),(28,7353278,'1994-07-20 00:00:00',2,5,12,2011,'F','N','CENTRO','CRICIÚMA','SC','124243241215351432529811575124610133073',17427,'995',40.47,1,3,NULL),(28,7353286,'1966-04-04 00:00:00',2,1,7,1993,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124201201117151712141147385115610157097',NULL,'9998',26.57,1,3,NULL),(28,7353294,'1994-12-13 00:00:00',4,1,11,2011,'M','N','POMPEIA','S PAULO','SP','125252251217131431376924572122610167057',8557,'9998',46.55,1,3,NULL),(28,7353316,'1958-11-03 00:00:00',2,1,12,1985,'F','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','224211216216153111346654395122340823195',NULL,'9998',31.41,1,3,NULL),(28,7353324,'1992-10-07 00:00:00',4,1,12,2010,'M','N','ALTO DA BOA VISTA','S PAULO','SP','125252251216371331488812575122610167012',4031,'9998',59.34,1,3,NULL),(28,7353332,'1992-04-10 00:00:00',2,8,12,2009,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161217572431469833574124610142027',NULL,'9998',0.00,1,3,NULL),(28,7353340,'1994-07-06 00:00:00',4,2,12,2011,'M','N','FORTALEZA','BLUMENAU','SC','124241246217141331468614275124610117052',18555,'1018',37.04,1,3,NULL),(28,7353359,'1989-06-17 00:00:00',2,8,12,2006,'F','N','CRISTO REI','CURITIBA','PR','116164161435574731456911575124610162042',1368,'9998',67.08,1,3,NULL),(28,7353367,'1992-06-12 00:00:00',4,1,12,2009,'M','N','REAL PARQUE','S JOSÉ','SC','124244241215154731656674275112220432187',1230,'1022',67.77,1,3,NULL),(28,7353391,'1994-03-15 00:00:00',4,22,11,2011,'F','N','CENTRO','S JOÃO BATISTA','SC','124241248315141731663313141124610112147',18327,'1244',37.87,1,3,NULL),(28,7353405,'1991-08-14 00:00:00',4,5,11,2008,'F','N','LINHA BATISTA','CRICIÚMA','SC','124242241216112431446614495124231424071',14731,'213',46.11,1,3,NULL),(28,7353413,'1994-02-26 00:00:00',4,25,12,2011,'F','N','SÃO CRISTÓVÃO','VIDEIRA','SC','124242241215151431447732275122610128072',15317,'829',44.99,1,3,NULL),(28,7353421,'1987-08-29 00:00:00',4,8,12,2004,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161212571421245819411121342614172',NULL,'9998',0.00,1,3,NULL),(28,7353430,'1992-07-24 00:00:00',2,10,12,2011,'M','N','HUMAITÁ','TUBARÃO','SC','124241241215111431666654591112610117062',6507,'807',54.16,1,3,NULL),(28,7353456,'1991-04-30 00:00:00',4,1,12,2008,'F','N','KOBRASOL','S JOSÉ','SC','124243241216473331436611442124610162187',8032,'737',51.40,1,3,NULL),(28,7353464,'1978-09-01 00:00:00',2,1,12,1996,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','224281281117131131233851485124341467147',17606,'9998',40.02,4,3,NULL),(28,7353499,'1988-07-22 00:00:00',4,5,12,2005,'F','N','ARIZONA','LAURO MÜLLER','SC','124241245136141431433619345124333231092',19409,'531',33.28,1,2,1),(28,7353502,'1989-07-05 00:00:00',2,8,12,2006,'M','N','PARANAGUAMIRIM','JOINVILLE','SC','124241241126131421533711145134132318041',NULL,'468',12.54,1,2,1),(28,7353510,'1993-07-18 00:00:00',4,1,11,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241415472421488833375125231034092',8972,'270',46.93,1,3,NULL),(28,7353529,'1993-08-19 00:00:00',4,2,12,2011,'M','N','ITOUPAVA SECA','BLUMENAU','SC','124242241215111411468617495124610164145',2639,'909',63.67,4,3,NULL),(28,7353537,'1994-03-04 00:00:00',4,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242248215271431455612572122610113182',8042,'299',48.82,1,3,NULL),(28,7353545,'1994-05-18 00:00:00',4,1,12,2011,'M','N','MORUMBY LLL','SOROCABA','SP','125254251215111431468836572124610164037',11045,'9998',43.55,1,3,NULL),(28,7353553,'1994-12-20 00:00:00',2,7,12,2011,'F','N','FREI BRUNO','JOAÇABA','SC','124241243115131432216669282324610123097',NULL,'448',14.15,1,3,NULL),(28,7353570,'1995-09-15 00:00:00',4,1,12,2012,'F','S','CENTRO','MEDIANEIRA','PR','116162161217111431436923235122610122142',NULL,'9998',0.00,1,3,NULL),(28,7353588,'1989-02-17 00:00:00',2,1,12,2006,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124241247116131431224467395114610127047',NULL,'9999',25.19,1,3,NULL),(28,7353618,'1994-06-09 00:00:00',4,1,12,2011,'F','N','BANZATO','MARÍLIA','SP','125252251214121431468833575112610124047',13164,'9998',41.52,1,3,NULL),(28,7353634,'1992-02-18 00:00:00',4,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124204241413153411234423445124230767112',NULL,'1049',10.07,1,3,NULL),(28,7353642,'1986-12-16 00:00:00',2,1,10,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124246247236131711343624472112131267192',NULL,'9999',NULL,4,3,NULL),(28,7353650,'1990-06-29 00:00:00',4,1,12,2007,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241248116113731625511595124613264042',NULL,'509',20.97,1,2,1),(28,7353677,'1995-02-09 00:00:00',4,1,11,2011,'M','N','BIGORRILHO','CURITIBA','PR','116162161217111241388831584112610162176',790,'9998',70.72,3,3,NULL),(28,7353685,'1994-06-04 00:00:00',2,1,11,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241215112231456823575124610127062',NULL,'300',27.59,1,3,NULL),(28,7353693,'1995-07-01 00:00:00',4,10,11,2011,'F','N','CENTRO','TUBARÃO','SC','124242241215111732459933575122610114192',12450,'807',49.88,1,3,NULL),(28,7353707,'1994-10-28 00:00:00',4,15,11,2011,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124244241215121531438914272112610137047',4066,'970',58.38,1,3,NULL),(28,7353715,'1993-01-04 00:00:00',4,1,12,2010,'M','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241117171411547619592124233238182',NULL,'772',18.97,1,2,1),(28,7353723,'1994-06-30 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241112271431326614285125610138142',12004,'257',41.91,1,2,1),(28,7353740,'1989-04-23 00:00:00',4,1,12,2007,'M','N','CAMINHO NOVO','PALHOÇA','SC','224241241127131431221144345124610138012',NULL,'728',23.76,1,3,NULL),(28,7353758,'1991-10-30 00:00:00',4,1,12,2009,'F','N','TAGUATINGA SUL','TAGUATINGA','DF','107072071215571431468823574122610135092',7760,'9998',57.55,1,3,NULL),(28,7353766,'1993-01-06 00:00:00',4,25,12,2010,'M','N','CENTRO','CAÇADOR','SC','124243241327131421433811145121231414097',17738,'1240',29.90,1,3,NULL),(28,7353774,'1986-07-13 00:00:00',4,1,12,2004,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124254251216132431348827475122232427092',1953,'9998',63.81,1,3,NULL),(28,7353782,'1995-07-05 00:00:00',4,15,12,2012,'M','S','COLONINHA','ARARANGUÁ','SC','124242241215111232458911245132610117112',NULL,'970',36.40,1,3,NULL),(28,7353790,'1995-06-20 00:00:00',4,4,12,2012,'M','S','CENTRO','CHAPECÓ','SC','124242161216151331376623575112610148017',NULL,'168',38.79,1,3,NULL),(28,7353812,'1994-03-02 00:00:00',4,8,12,2011,'M','N','FLORESTA','JOINVILLE','SC','124243248215111712359629492121610117082',18114,'1006',38.55,1,3,NULL),(28,7353820,'1971-08-14 00:00:00',4,8,12,1998,'M','N','ESPINHEIRO','JOINVILLE','SC','224241248126131411222344245124133218161',NULL,'513',0.00,1,2,1),(28,7353839,'1994-04-01 00:00:00',4,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124241241215371431369933575122610162122',4900,'185',57.57,1,3,NULL),(28,7353847,'1979-02-06 00:00:00',4,1,12,1997,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124252251217143441156643335122120264112',7707,'9998',57.63,1,3,NULL),(28,7353855,'1995-09-08 00:00:00',4,1,12,2011,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124163241215111731227724575124610132117',NULL,'1022',0.00,1,3,NULL),(28,7353871,'1990-11-22 00:00:00',2,25,12,2007,'F','N','CENTRO','CURITIBA','PR','116243161216575411243923575115610162182',7542,'1124',49.89,1,3,NULL),(28,7353880,'1983-04-16 00:00:00',2,1,4,2002,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124161161137141421635549192115610162187',NULL,'9998',19.39,1,2,1),(28,7353898,'1994-10-04 00:00:00',4,1,12,2011,'F','N','BNH BARAO I','TOLEDO','PR','116162161215111431468932575112610134053',NULL,'9998',0.00,1,3,NULL),(28,7353901,'1994-11-17 00:00:00',2,10,12,2011,'F','N','VILA NOVA ALVORADA','IMBITUBA','SC','124242241216112431364412575122610137142',15207,'362',34.71,1,3,NULL),(28,7353928,'1990-01-07 00:00:00',2,1,7,2008,'F','N','SERRARIA','S JOSÉ','SC','124241247236242751433314445124610126181',NULL,'9999',0.00,1,3,NULL),(28,7353936,'1992-11-14 00:00:00',4,1,12,2010,'M','N','VILA MADALENA','S PAULO','SP','125242241215272241258823575125610167187',16381,'1022',42.94,1,3,NULL),(28,7353944,'1992-01-22 00:00:00',2,4,12,2008,'F','N','CRISTO REI','QUILOMBO','SC','124241248126131731623414185114131057057',NULL,'648',18.47,4,3,NULL),(28,7353952,'1994-09-03 00:00:00',4,1,12,2011,'M','N','TERRA NOVA','VALINHOS','SP','125252251217111431485812575112610167043',NULL,'9998',0.00,1,3,NULL),(28,7353960,'1995-08-01 00:00:00',2,1,12,2011,'F','N','CENTRO','BIGUAÇU','SC','124242241215151732236732575122610143147',18292,'738',37.99,1,3,NULL),(28,7353979,'1990-08-11 00:00:00',4,1,12,2007,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124251251235153421126634495124221444182',2491,'9998',68.27,3,3,NULL),(28,7353995,'1992-07-19 00:00:00',2,1,12,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241212113431436929572134230244147',10033,'270',46.58,1,3,NULL),(28,7354002,'1990-11-30 00:00:00',4,1,12,2007,'M','N','TRAÇADO','URUBICI','SC','124241241117131432322534245111333227047',NULL,'818',23.54,1,2,1),(28,7354010,'1994-01-20 00:00:00',2,4,12,2011,'M','N','INTERIOR','S JOÃO OESTE','SC','124241241111151411336435245125610134127',5896,'1115',52.15,1,2,1),(28,7354037,'1991-02-20 00:00:00',2,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241415272211479933442112231812042',18864,'271',35.83,1,3,NULL),(28,7354045,'1994-05-17 00:00:00',2,1,10,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241212221431428331575122610147072',10120,'9997',45.88,1,3,NULL),(28,7354061,'1995-02-25 00:00:00',4,1,12,2012,'F','S','CENTRO','ANTÔNIO CARLOS','SC','124241241115151431324619175122610137147',NULL,'21',29.15,1,3,NULL),(28,7354070,'1994-03-26 00:00:00',4,23,12,2011,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241215111331336813572122610167012',NULL,'441',0.00,5,3,NULL),(28,7354088,'1992-08-04 00:00:00',4,1,12,2010,'F','N','JARDIM PAULISTA','S PAULO','SP','125252251216471731348839575124610161187',NULL,'9998',27.72,4,3,NULL),(28,7354096,'1994-08-03 00:00:00',4,2,11,2011,'M','N','SETOR SUL','GOIÂNIA','GO','109092091217111411469931395112610164052',5657,'9998',54.70,1,3,NULL),(28,7354134,'1994-06-19 00:00:00',4,1,12,2011,'F','N','CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124241241115471231336331335124610127047',NULL,'772',18.78,1,2,1),(28,7354142,'1994-04-23 00:00:00',4,1,11,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111431336614575125610167022',13195,'723',40.03,1,3,NULL),(28,7354150,'1994-08-24 00:00:00',2,4,12,2011,'F','N','BELA VISTA','PTE SERRADA','SC','124241241112131331323314575125610154142',17264,'629',40.86,1,2,1),(28,7354169,'1994-11-03 00:00:00',4,2,11,2011,'M','N','CAPITAIS','TIMBÓ','SC','124241241215111431566512575121610134042',13570,'1157',41.50,1,3,NULL),(28,7354177,'1994-09-02 00:00:00',4,1,11,2011,'M','N','SETOR SERRINHA','GOIÂNIA','GO','109092091215111431469933575122610164052',11733,'9998',50.96,1,3,NULL),(28,7354185,'1993-07-25 00:00:00',2,5,12,2010,'F','N','CENTRO','CRICIÚMA','SC','124242241216142431229934342124133231141',NULL,'213',32.39,1,3,NULL),(28,7354193,'1993-10-29 00:00:00',4,1,12,2010,'F','N','ROYAL PARK','LONDRINA','PR','116162161217471431589832592112610132183',15416,'9998',44.83,3,3,NULL),(28,7354207,'1995-11-30 00:00:00',4,5,10,2012,'M','S','MINA BRASIL','CRICIÚMA','SC','124242241217371411558811294122610124062',NULL,'226',45.37,1,3,NULL),(28,7354215,'1994-05-06 00:00:00',2,1,12,2011,'M','N','IPIRANGA','S JOSÉ','SC','124242241216151431366613595121610167053',16550,'976',34.10,1,3,NULL),(28,7354231,'1994-06-29 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121431359933575115610167182',2560,'270',60.42,1,3,NULL),(28,7354240,'1989-06-30 00:00:00',2,8,11,2006,'M','N','JARDIM DOS PRINCIPES','UMUARAMA','PR','116164168435571431578851345112610167052',NULL,'9998',0.00,1,3,NULL),(28,7354258,'1984-03-23 00:00:00',4,1,12,2001,'M','N','ESTREITO','FLORIANÓPOLIS','SC','624242241211274431328644445114610167047',NULL,'724',0.00,1,3,NULL),(28,7354266,'1994-05-06 00:00:00',2,15,12,2011,'M','N','POÇO VERDE','MELEIRO','SC','124241241115131431437534575124610127055',NULL,'559',26.67,1,2,1),(28,7354274,'1979-06-18 00:00:00',2,1,12,1996,'M','N','BELA VISTA','PALHOÇA','SC','624201208213151411244654445122140767113',16047,'9998',43.61,1,3,NULL),(28,7354282,'1993-06-30 00:00:00',4,5,11,2010,'F','N','LOTE SEIS','CRICIÚMA','SC','124242241216473431339931575122610114012',2042,'211',65.07,1,3,NULL),(28,7354304,'1987-07-03 00:00:00',2,15,12,2004,'F','N','VILA CONCEIÇÃO','S JOÃO SUL','SC','124241241116162421125643335123332764182',NULL,'717',21.28,1,3,NULL),(28,7354312,'1990-11-11 00:00:00',2,1,12,2010,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241248115231411316521585224610127042',18305,'9999',37.94,1,2,1),(28,7354347,'1993-03-16 00:00:00',2,1,12,2010,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124243241116232731436534375124610147045',NULL,'286',26.30,1,3,NULL),(28,7354363,'1993-02-13 00:00:00',2,1,12,2010,'F','N','FORQUILHAS','S JOSÉ','SC','124241241116271431536614145124610122052',13248,'733',42.16,1,2,1),(28,7354371,'1991-06-21 00:00:00',4,1,12,2008,'M','N','RESIDENCIAL TAMBORÉ','BARUERI','SP','125252251211471211489813571122141434182',NULL,'9998',0.00,1,3,NULL),(28,7354380,'1984-12-30 00:00:00',2,1,12,2001,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115575721326319285124223227097',6829,'281',54.03,4,1,1),(28,7354398,'1992-04-27 00:00:00',2,1,12,2009,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124166168616153451248879497124610168197',NULL,'9998',23.77,1,3,NULL),(28,7354401,'1993-05-09 00:00:00',4,3,12,2010,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215413431429831152112610136112',1470,'9997',66.78,1,3,NULL),(28,7354410,'1994-09-18 00:00:00',4,1,11,2011,'M','N','AREIAS','S JOSÉ','SC','124243241216131411325614575124610167182',NULL,'1078',26.58,1,3,NULL),(28,7354428,'1994-12-16 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243241215111432453722392124610137051',4809,'1022',58.10,1,3,NULL),(28,7354436,'1991-01-19 00:00:00',4,1,12,2008,'M','N','CENTRO','TAUBATÉ','SP','125252251215571421369833575112610167047',NULL,'9998',0.00,1,3,NULL),(28,7354452,'1981-03-31 00:00:00',2,1,12,2000,'F','N','INGLESES','FLORIANÓPOLIS','SC','524202201317573451138741415112610166192',11212,'9998',51.76,1,3,NULL),(28,7354460,'1994-04-19 00:00:00',2,1,12,2011,'M','N','PAES LEME','IMBITUBA','SC','124241248111371751334329575124610167077',17921,'359',30.07,1,3,NULL),(28,7354479,'1994-11-08 00:00:00',2,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241215111431323329245124610164197',15136,'976',37.89,4,3,NULL),(28,7354487,'1994-11-17 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115151531468913575124610167047',11649,'271',42.12,1,2,1),(28,7354495,'1985-06-14 00:00:00',2,1,12,2003,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224241241123132721323348383112610137187',18038,'279',38.78,1,2,1),(28,7354509,'1993-11-17 00:00:00',4,8,12,2010,'F','N','CENTRO','CURITIBA','PR','116161161117471431563939575125610164147',7324,'9998',51.12,4,2,1),(28,7354517,'1996-01-18 00:00:00',2,24,11,2012,'F','S','CENTRO','AURORA','SC','124241248215111431456632275112612421142',NULL,'991',29.73,1,3,NULL),(28,7354525,'1994-03-17 00:00:00',4,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241215374411436732245124133246192',7536,'1223',50.49,1,3,NULL),(28,7354533,'1991-12-22 00:00:00',2,8,12,2008,'F','N','ÁGUAS BELAS','S JOSÉ PINHAIS','PR','116162161215572431448314571124610146182',NULL,'9998',0.00,1,3,NULL),(28,7354541,'1995-05-02 00:00:00',2,10,12,2012,'F','S','OFICINAS','TUBARÃO','SC','124244248212111631329933572122610124147',NULL,'807',34.54,1,3,NULL),(28,7354550,'1992-07-04 00:00:00',4,9,12,2009,'M','N','SANTA HELENA','LAGES','SC','124244241216272441344834375112121432177',251,'499',76.61,4,3,NULL),(28,7354568,'1989-10-31 00:00:00',2,1,10,2006,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241213133411328744245124121964052',17504,'44',40.28,1,3,NULL),(28,7354576,'1995-08-15 00:00:00',2,24,11,2012,'F','S','CENTRO','RIO SUL','SC','124242241215271531569711575122610134051',NULL,'991',35.89,1,3,NULL),(28,7354584,'1993-09-19 00:00:00',2,1,12,2010,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124241241122132711436679292124230828042',17777,'283',39.54,1,2,1),(28,7354592,'1993-10-17 01:00:00',4,1,12,2012,'M','S','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215111431467732225122610128185',NULL,'1250',0.00,1,3,NULL),(28,7354606,'1994-06-14 00:00:00',2,10,10,2011,'F','N','OFICINAS','TUBARÃO','SC','124241241345121431323614245114610144147',14751,'807',36.92,4,1,2),(28,7354614,'1986-11-14 00:00:00',2,1,12,2003,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','624201201136472211258953132112231417012',NULL,'9998',0.00,1,2,1),(28,7354622,'1995-02-28 00:00:00',4,8,12,2012,'M','S','CENTRO','S FRANCISCO SUL','SC','124242241215111431348912485124610117057',NULL,'1016',41.41,1,3,NULL),(28,7354630,'1993-05-31 00:00:00',2,1,11,2010,'M','N','JARDIM AMERICA','GOIÂNIA','GO','109092091215471231625824575124610167122',14709,'9998',46.15,4,3,NULL),(28,7354649,'1992-01-12 00:00:00',2,1,12,2009,'F','N','SERRARIA','S JOSÉ','SC','124241241126142421426314242124610162147',18354,'1116',37.76,1,2,1),(28,7354665,'1994-04-10 00:00:00',2,4,12,2011,'M','N','CENTRO','PINHALZINHO','SC','124243241137161431433619295122610127047',13575,'616',39.75,1,3,NULL),(28,7354673,'1994-12-28 00:00:00',4,1,12,2011,'M','N','RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC','124241241136131531215319572124610117111',NULL,'278',11.59,1,2,1),(28,7354681,'1995-05-26 00:00:00',4,1,12,2012,'M','S','BARREIROS','S JOSÉ','SC','124242241217151431469813577122610168055',NULL,'1134',57.01,4,3,NULL),(28,7354703,'1992-08-22 00:00:00',2,1,12,2009,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124241241137132421113839145324223027142',NULL,'785',23.21,1,2,1),(28,7354711,'1993-01-13 00:00:00',2,1,10,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241216271431358824575114610167043',NULL,'9997',29.41,1,3,NULL),(28,7354738,'1994-05-04 00:00:00',2,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241211111131446611275112610117041',NULL,'262',22.62,1,3,NULL),(28,7354746,'1994-08-11 00:00:00',4,16,12,2011,'F','N','N S APARECIDA','CURITIBANOS','SC','124241241115371431339923575124610134187',13124,'239',41.75,1,2,1),(28,7354754,'1985-08-01 00:00:00',2,1,6,2011,'M','N','CAMINHO NOVO','PALHOÇA','SC','624241247126132741335341115122610125117',NULL,'9999',16.03,1,3,NULL),(28,7354762,'1995-12-06 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431338923575122610131145',NULL,'266',49.07,1,3,NULL),(28,7354770,'1994-08-03 00:00:00',4,8,12,2012,'M','S','COSTA E SILVA','JOINVILLE','SC','124242241215111431227824575124610132032',NULL,'461',55.64,1,3,NULL),(28,7354789,'1987-12-30 00:00:00',2,1,12,2004,'F','N','CAMPINAS','S JOSÉ','SC','124241241315273431236644345124130237057',13365,'943',48.46,1,3,NULL),(28,7354797,'1985-03-17 00:00:00',2,1,12,2003,'M','N','SAVEIRO','BIGUAÇU','SC','224241241132271431224344145123610167047',8935,'65',49.15,4,2,1),(28,7354800,'1994-06-06 00:00:00',2,4,12,2011,'M','N','CENTRO','CHAPECÓ','SC','124161241111271431329713575125610127042',6190,'169',53.19,1,2,1),(28,7354819,'1993-10-07 00:00:00',4,2,12,2010,'M','N','VALPARAÍSO','BLUMENAU','SC','124241241415272441459714575124610167042',9176,'71',45.93,1,3,NULL),(28,7354827,'1995-04-24 00:00:00',4,10,11,2012,'F','S','HUMAITÁ','TUBARÃO','SC','124242241217111431468832574122610167122',NULL,'806',55.79,1,3,NULL),(28,7354835,'1995-01-07 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111731557612575122610117047',11924,'1022',43.69,1,3,NULL),(28,7354851,'1994-07-06 00:00:00',2,1,11,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241115161331326511575114610117042',NULL,'271',27.69,1,3,NULL),(28,7354878,'1973-12-25 00:00:00',4,1,12,1991,'F','N','IPIRANGA','S JOSÉ','SC','524212215217141421316744445124143232147',17803,'9998',39.46,1,3,NULL),(28,7354886,'1994-11-04 00:00:00',4,1,12,2011,'F','N','TATUAPE','S PAULO','SP','125252251216371431446934575124610122187',NULL,'9998',0.00,1,3,NULL),(28,7354894,'1994-05-08 00:00:00',2,9,12,2010,'F','N','CENTRO','ANITA GARIBALDI','SC','124241241115472751636933595122610162052',NULL,'18',17.60,1,2,1),(28,7354908,'1995-08-21 00:00:00',4,5,12,2012,'F','S','CENTRO','SIDERÓPOLIS','SC','124242241217111732456314475122610124142',NULL,'767',32.48,1,3,NULL),(28,7354916,'1990-05-07 00:00:00',2,1,7,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241247217372731428621575114610127042',NULL,'9997',22.41,1,3,NULL),(28,7354924,'1993-12-31 00:00:00',2,1,12,2011,'M','N','BAUNEÁRIO','FLORIANÓPOLIS','SC','124244248417111531457732385114610124182',NULL,'1022',25.97,1,3,NULL),(28,7354932,'1995-04-27 00:00:00',4,1,11,2012,'F','S','CAMPINAS','S JOSÉ','SC','124242241215111432467612385112610131182',NULL,'737',23.50,1,3,NULL),(28,7354940,'1986-09-15 00:00:00',4,1,12,2003,'M','N','PRAIA COMPRIDA','S JOSÉ','SC','124244241216152411463314245133120767097',NULL,'1076',0.00,1,3,NULL),(28,7354959,'1990-07-22 00:00:00',2,1,12,2008,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241247225371421436711115123610127067',NULL,'300',21.02,1,3,NULL),(28,7354967,'1989-03-04 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124162161215152411458812592122221464122',9220,'9998',55.04,1,3,NULL),(28,7354975,'1993-07-05 00:00:00',4,3,11,2011,'F','N','CENTRO','MARINGÁ','PR','116162161216371431546712572122610162092',NULL,'9998',0.00,1,3,NULL),(28,7354983,'1994-08-06 00:00:00',4,1,12,2011,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241248117151431536414342122610165142',15904,'306',43.88,1,3,NULL),(28,7354991,'1994-12-23 00:00:00',2,1,12,2011,'M','N','PROGRESSO','BENTO GONÇALVES','RS','120201208137151231533311395122610167057',NULL,'9998',27.70,4,1,1),(28,7355009,'1995-07-16 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215151531448832375112610117182',16754,'262',42.08,1,3,NULL),(28,7355017,'1993-03-14 00:00:00',4,1,12,2010,'F','N','IPIRANGA','S JOSÉ','SC','124241241136272431423634245134610124147',18142,'734',32.10,1,2,1),(28,7355025,'1992-11-02 00:00:00',2,1,11,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241247122131411425664271224610147047',NULL,'9999',31.05,4,2,1),(28,7355033,'1994-02-01 00:00:00',4,1,12,2011,'M','N','RESIDENCIAL OLINDA','GOIÂNIA','GO','109094096116371411469911575122610162092',4377,'9998',55.67,4,3,NULL),(28,7355041,'1992-10-20 00:00:00',4,1,12,2010,'M','N','CENTRO','OLÍMPIA','SP','125252251216471431239627575122610144187',8038,'9998',48.36,1,3,NULL),(28,7355050,'1992-12-01 00:00:00',4,1,11,2009,'M','N','BETEL','PAULÍNIA','SP','125252251216471421159812325122143264164',3018,'9998',61.84,1,3,NULL),(28,7355068,'1994-06-23 00:00:00',4,1,12,2011,'M','N','CAMINHO NOVO','PALHOÇA','SC','124243241115151431336631345114610164147',10834,'592',46.37,1,3,NULL),(28,7355076,'1988-03-12 00:00:00',4,1,12,2005,'F','N','JURERE','FLORIANÓPOLIS','SC','124242241216373431346712445124233224157',NULL,'272',23.45,1,3,NULL),(28,7355084,'1994-08-24 00:00:00',4,16,12,2011,'F','N','APARECIDA','CURITIBANOS','SC','124241241117371532439619575125610114197',NULL,'239',16.03,3,2,1),(28,7355092,'1994-02-02 00:00:00',2,15,12,2011,'F','N','JARDIM NICOLAU','JACINTO MACHADO','SC','124241241115171431514311241121610145147',19608,'420',31.94,1,2,1),(28,7355106,'1993-06-25 00:00:00',2,1,12,2010,'M','N','CENTRO','S JOSÉ','SC','124242241211132721226911342124610167187',NULL,'723',14.37,1,3,NULL),(28,7355122,'1993-11-21 00:00:00',4,8,12,2010,'M','N','CENTRO','BOTUCATU','SP','125254251414411741338814575112610127017',4034,'9998',56.35,1,3,NULL),(28,7355130,'1988-08-12 00:00:00',2,15,12,2005,'M','N','ARIZONA','JACINTO MACHADO','SC','124241241126141232234344345113610127057',18468,'420',26.12,1,3,NULL),(28,7355157,'1993-07-03 00:00:00',2,1,12,2010,'F','N','CENTRO','UNIÃO VITÓRIA','PR','116163161216131432649933572125610121187',16705,'9997',34.08,1,3,NULL),(28,7355173,'1994-06-20 00:00:00',2,26,12,2011,'M','N','PLANALTO','CONCÓRDIA','SC','124241248117111531213329296224610154057',NULL,'858',15.23,1,2,1),(28,7355181,'1993-12-04 00:00:00',4,7,12,1993,'F','N','FLOR DA SERRA','JOAÇABA','SC','124241241336132411323439594124231414147',14256,'454',37.28,4,1,2),(28,7355190,'1994-06-26 00:00:00',4,24,12,2011,'M','N','TABOÃO','RIO SUL','SC','124244241114471331446514395122610137042',NULL,'659',21.59,1,3,NULL),(28,7355203,'1993-09-28 00:00:00',4,1,11,2010,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217372441347832575124610124062',2686,'270',65.52,1,3,NULL),(28,7355220,'1990-06-09 00:00:00',2,3,12,2007,'M','N','JD NOVO HORIZONTE','MARINGÁ','PR','116161161415573431548811442122610167052',5616,'9998',54.08,1,3,NULL),(28,7355238,'1990-06-23 00:00:00',4,1,12,2007,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242248237132411118631285124133246097',16973,'624',41.60,1,3,NULL),(28,7355246,'1994-04-30 00:00:00',4,8,12,2011,'M','N','BOM RETIRO','JOINVILLE','SC','124242241217141532348612575122610167075',17575,'1006',40.12,1,3,NULL),(28,7355254,'1993-09-10 00:00:00',2,4,12,2010,'M','N','CENTRO','PATO BRANCO','PR','116162161216372431358933575122610128092',NULL,'9998',0.00,4,3,NULL),(28,7355262,'1993-09-28 00:00:00',2,1,11,2011,'F','N','BARREIROS','S JOSÉ','SC','124282247215121421238921572114610164147',16090,'1118',36.22,4,3,NULL),(28,7355270,'1993-12-22 00:00:00',4,1,12,2011,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124242241215111431668623585114610127047',5320,'1250',53.73,4,3,NULL),(28,7355289,'1985-07-25 00:00:00',4,1,12,2004,'M','N','PENHA','S PAULO','SP','125254251417131431348829495122241022172',16071,'9998',43.56,1,3,NULL),(28,7355300,'1991-03-02 00:00:00',2,1,12,2008,'F','N','SETOR HAB CONTAGEM','SOBRADINHO','DF','107071071117572431556319572124142525042',2043,'9998',64.61,1,3,NULL),(28,7355327,'1995-06-04 00:00:00',4,23,12,2012,'F','S','AMIZADE','JARAGUÁ SUL','SC','124242241215111411489911592122610135142',NULL,'1174',0.00,1,3,NULL),(28,7355335,'1994-03-31 00:00:00',2,10,12,2011,'F','N','MIRIM','IMBITUBA','SC','124241241116371422326614575124610111142',NULL,'359',17.89,1,2,1),(28,7355351,'1994-09-13 00:00:00',2,1,1,2012,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241117471752323668592244610125026',19883,'281',29.50,4,2,1),(28,7355360,'1992-04-09 00:00:00',2,1,11,2009,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241212373731347913575114610142162',5406,'883',57.11,1,3,NULL),(28,7355378,'1993-05-08 00:00:00',2,10,12,2009,'F','N','PAES LEME','IMBITUBA','SC','124241248112271431438614585112610113047',NULL,'359',29.90,1,2,1),(28,7355386,'1994-04-18 00:00:00',4,15,12,2011,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241117151431627513575125610124197',14463,'30',46.64,1,2,1),(28,7355394,'1994-02-25 00:00:00',4,22,12,2011,'F','N','CARDOSO','S JOÃO BATISTA','SC','124241241115141431333919345122610136192',17555,'712',30.75,1,2,1),(28,7355416,'1986-12-31 00:00:00',4,6,11,2004,'F','N','DAS NAÇÕES','BAL CAMBORIÚ','SC','124242241215472441444422472124131324147',8453,'721',50.34,1,3,NULL),(28,7355424,'1988-02-17 00:00:00',4,1,11,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241243127131122536539392111613247117',NULL,'274',8.61,4,2,1),(28,7355432,'1992-04-20 00:00:00',4,2,12,2009,'F','N','VILA NOVA','BLUMENAU','SC','124242241215573731357824571124610113117',3709,'855',60.96,1,3,NULL),(28,7355440,'1992-10-05 00:00:00',4,1,12,2010,'M','N','LAGO SUL','LG SUL','DF','107072071215371331368823575112141467046',11532,'9998',51.27,1,3,NULL),(28,7355459,'1995-10-04 00:00:00',2,10,12,2013,'F','S','MAR GROSSO','LAGUNA','SC','124242244215111231336812574122610134072',NULL,'807',26.88,1,3,NULL),(28,7355467,'1988-04-02 00:00:00',4,1,12,2007,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124243248216252421323322325123310722192',NULL,'307',0.00,1,3,NULL),(28,7355475,'1992-07-05 00:00:00',4,1,12,2009,'F','N','BARREIROS','S JOSÉ','SC','124242241215271731489632445124610133072',16713,'266',42.17,1,3,NULL),(28,7355483,'1983-04-17 00:00:00',2,1,12,2000,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','224241241121152411223354231122330218187',17735,'772',39.65,1,2,1),(28,7355505,'1983-07-27 00:00:00',2,1,12,2001,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124241241216155431446512275124330213187',4689,'270',57.16,1,3,NULL),(28,7355513,'1994-12-07 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111731488962495122610114047',NULL,'262',0.00,1,3,NULL),(28,7355521,'1994-03-18 00:00:00',4,1,12,2011,'F','N','ICARAY','ARAÇATUBA','SP','125252251215111431447832575122610124042',17634,'9998',28.54,1,3,NULL),(28,7355548,'1995-07-27 00:00:00',2,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111731569919492122610138182',NULL,'262',29.61,1,3,NULL),(28,7355556,'1992-08-01 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215112531567932475122222227047',18677,'1050',36.56,1,3,NULL),(28,7355564,'1995-07-01 00:00:00',4,1,12,2012,'M','S','IPIRANGA','S JOSÉ','SC','124242241215111432456633435124610117147',NULL,'1118',38.33,1,3,NULL),(28,7355572,'1992-06-23 00:00:00',2,1,12,2009,'F','N','MONTE CASTELO','CPO GRANDE','MS','112122121215572431347823494124141462147',1690,'9998',64.37,1,3,NULL),(28,7355599,'1993-11-17 00:00:00',4,8,12,2010,'F','N','BIGORRILHO','CURITIBA','PR','116162161217472431568811574122610163187',NULL,'9998',0.00,3,3,NULL),(28,7355602,'1992-12-08 00:00:00',4,1,6,2011,'M','N','CENTRO','S JOSÉ','SC','124242241311142731435612441114610127067',19264,'739',34.05,1,3,NULL),(28,7355610,'1994-03-28 00:00:00',4,10,11,2011,'F','N','STO ANTÔNIO DE PÁDUA','TUBARÃO','SC','124242241215111431459913575112610162193',5549,'807',54.86,1,3,NULL),(28,7355629,'1994-03-03 00:00:00',2,1,12,2011,'F','N','FAZENDASANTOANTÔNIO','S JOSÉ','SC','124241241116151731436614595124610138092',17367,'728',31.19,1,2,1),(28,7355637,'1993-04-06 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136372431363329342124610147042',NULL,'257',0.00,1,3,NULL),(28,7355645,'1981-07-16 00:00:00',4,1,12,2000,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124162161217144421259941415122520768095',NULL,'9998',0.00,1,3,NULL),(28,7355653,'1984-09-27 00:00:00',4,2,12,2002,'M','N','SALTO','BLUMENAU','SC','124241241215471731467612325112331046127',1772,'88',65.33,1,3,NULL),(28,7355670,'1968-09-07 00:00:00',2,1,12,2007,'F','N','INGLESES','FLORIANÓPOLIS','SC','624163247127132421634444242121610125142',10717,'9999',44.24,1,3,NULL),(28,7355688,'1991-07-18 00:00:00',2,1,12,2008,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124241241112131121424811435214610137147',NULL,'288',28.73,1,2,1),(28,7355696,'1993-03-18 00:00:00',4,15,12,2011,'F','N','SÃO LUIZ','SOMBRIO','SC','124244207346111631425812595122610114097',NULL,'9999',0.00,4,3,NULL),(28,7355718,'1992-06-15 00:00:00',2,5,12,2011,'F','N','QUARTA LINHA','CRICIÚMA','SC','124141241427132431324629195134610135092',NULL,'920',0.00,4,3,NULL),(28,7355726,'1995-07-22 00:00:00',4,17,12,2012,'M','S','CENTRO','CANOINHAS','SC','124241241215111411459813472122610122062',NULL,'154',49.71,1,3,NULL),(28,7355734,'1961-05-24 00:00:00',2,1,12,1979,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','524241243126151721436644141124330924123',NULL,'155',13.32,1,3,NULL),(28,7355750,'1994-01-05 00:00:00',4,5,12,2011,'M','N','PROGRESSO','CRICIÚMA','SC','124241241145141411636614245114610125142',13797,'209',39.08,4,2,1),(28,7355769,'1992-04-26 00:00:00',4,1,11,2009,'M','N','CENTRO','PNT GROSSA','PR','116162166216471431228824475125610167012',NULL,'9998',0.00,1,3,NULL),(28,7355785,'1989-01-05 00:00:00',4,15,12,2006,'F','N','CENTRO','BRAÇO NORTE','SC','124202201216571431468911571124142422097',NULL,'9998',0.00,1,3,NULL),(28,7355793,'1994-10-07 00:00:00',4,10,12,2011,'M','N','OFICINAS','TUBARÃO','SC','124242241215111431436814575122610167052',NULL,'1120',18.16,1,3,NULL),(28,7355807,'1992-03-30 00:00:00',4,1,11,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241331141741338611245124610144102',15707,'977',37.01,1,3,NULL),(28,7355815,'1991-01-12 00:00:00',4,1,12,2008,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124243241311272411449813345123610112057',NULL,'257',25.55,1,3,NULL),(28,7355823,'1994-04-13 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241241117151531546614572124610147067',18679,'733',36.55,1,2,1),(28,7355831,'1994-02-24 00:00:00',4,1,12,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124243241337141431434634342124610164111',NULL,'285',26.84,1,3,NULL),(28,7355840,'1989-01-30 00:00:00',4,1,12,2008,'F','N','MENINO DEUS','STA MARIA','RS','120203207116131741324844245124241864182',NULL,'9998',0.00,4,3,NULL),(28,7355858,'1988-05-21 00:00:00',4,1,12,2006,'M','N','FORQUILHINHAS','S JOSÉ','SC','124244241116153741346333445124121762043',11288,'306',51.64,1,3,NULL),(28,7355874,'1994-05-20 00:00:00',4,1,12,2011,'F','N','CENTRO','AQUIDAUANA','MS','112124121217161431527833575115610132147',NULL,'9998',0.00,1,3,NULL),(28,7355890,'1994-02-04 00:00:00',2,3,12,2011,'F','N','PEREQUÊ','PTO BELO','SC','124161241215121431658712215122610167142',NULL,'1111',0.00,1,3,NULL),(28,7355904,'1994-07-19 00:00:00',2,1,11,2011,'F','N','UNIVERSITÁRIO','LAJEADO','RS','120202201216271411443911581122610135122',12364,'9998',40.60,1,3,NULL),(28,7355912,'1993-09-26 00:00:00',2,1,11,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242247215371431228629475112610134077',11425,'9999',42.79,1,3,NULL),(28,7355920,'1989-04-14 00:00:00',2,1,12,2006,'F','N','KOBRASOL','S JOSÉ','SC','124241241126272521131146342114610126143',NULL,'13',21.78,1,2,1),(28,7355939,'1984-11-13 00:00:00',4,1,12,2002,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124201201127131111123844145124133262187',NULL,'9998',0.00,1,2,1),(28,7355947,'1994-10-16 01:00:00',4,1,12,2011,'M','N','CENTRO','S JOSÉ','SC','124241241117151232647824575114610147047',1760,'739',70.66,1,2,1),(28,7355955,'1992-07-08 00:00:00',4,1,11,2010,'M','N','BETEL','PAULÍNIA','SP','125252251217271331468924361122610138112',NULL,'9998',37.60,1,3,NULL),(28,7355971,'1991-05-10 00:00:00',2,1,12,2010,'F','N','PROGRESSO','BENTO GONÇALVES','RS','120201208137271231533311375113610167057',NULL,'9998',0.00,2,1,1),(28,7355980,'1995-02-08 00:00:00',4,27,11,2011,'M','N','AGOSTINI','S MIGUEL OESTE','SC','124111241415131431435923575122610135192',9390,'1179',45.86,1,3,NULL),(28,7355998,'1994-07-05 00:00:00',2,15,11,2011,'F','N','CENTRO','ARROIO SAL','RS','120201201215161431448933595124610121052',NULL,'9998',0.00,1,3,NULL),(28,7356005,'1994-04-08 00:00:00',4,10,12,2011,'M','N','PAES LEME','IMBITUBA','SC','124241241117271732436614575122610124147',9467,'359',46.77,1,3,NULL),(28,7356013,'1994-03-13 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241217111431467923575122610142142',8774,'1022',47.74,1,3,NULL),(28,7356021,'1992-04-02 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241112133431139933575124233212192',NULL,'267',21.80,1,2,1),(28,7356030,'1987-11-18 00:00:00',4,1,12,2004,'M','N','CAMINHO NOVO','PALHOÇA','SC','224241241115153411266943335133431067082',6909,'271',59.00,4,2,1),(28,7356048,'1994-02-24 00:00:00',2,1,12,2011,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117371431543313275124610127141',6858,'271',53.61,1,2,1),(28,7356056,'1993-01-29 00:00:00',2,4,12,2011,'M','N','CENTRO','JABOTICABA','RS','120201201136111431426211345124610114157',NULL,'9998',0.00,1,3,NULL),(28,7356064,'1992-09-09 00:00:00',4,1,12,2009,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241123132431436913345124610162027',19670,'274',31.48,1,2,1),(28,7356072,'1992-03-03 00:00:00',4,1,12,2009,'F','N','INTERLAGOS','S PAULO','SP','125252251217271731438832415122243212097',17356,'9998',40.63,1,3,NULL),(28,7356080,'1990-07-09 00:00:00',2,1,12,2007,'F','N','VILA DOM PEDRO I','S PAULO','SP','125252251216573431479911571112610167142',6526,'9998',50.43,1,3,NULL),(28,7356099,'1990-11-21 00:00:00',4,23,11,2008,'M','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124242241215131431436619395122610137017',19856,'1174',29.78,1,3,NULL),(28,7356102,'1994-01-21 00:00:00',4,3,11,2011,'M','N','MARIA IZABEL','MARÍLIA','SP','125252251215111431459912375122610132097',13254,'9998',40.66,1,3,NULL),(28,7356110,'1989-11-10 00:00:00',4,1,12,2006,'M','N','CENTRO','CURITIBA','PR','116161161117271232123841415124341766017',7650,'9998',57.72,1,2,1),(28,7356137,'1992-10-23 00:00:00',4,1,11,2010,'M','N','JARDIM RECANTO','VALINHOS','SP','125252251217471441468934575122610134041',696,'9998',68.69,4,3,NULL),(28,7356145,'1987-06-05 00:00:00',2,1,12,2005,'M','N','BOMFIM','PTO ALEGRE','RS','120204201116573431456829575115610166047',NULL,'9998',0.00,1,3,NULL),(28,7356153,'1994-06-25 00:00:00',2,4,12,2011,'F','N','CENTRO','FRANCISCO BELTRÃO','PR','116162161217271731538623575122610163182',9161,'9998',45.26,1,3,NULL),(28,7356170,'1990-08-20 00:00:00',4,15,12,2010,'M','N','FAXINAL','TORRES','RS','120201201126131431635632225121610132142',NULL,'9998',28.09,1,2,1),(28,7356188,'1993-03-29 00:00:00',2,5,11,2011,'M','N','PRÓSPERA','CRICIÚMA','SC','124241241215111731336824592124610167041',14993,'226',40.03,1,3,NULL),(28,7356196,'1995-08-26 00:00:00',4,1,11,2013,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431237713435122610137147',NULL,'270',48.61,1,3,NULL),(28,7356200,'1994-08-10 00:00:00',4,1,12,2011,'F','N','VILA SEIXAS','RIBEIRÃO PRETO','SP','125252251216111431478614395122610127072',5124,'9998',54.58,1,3,NULL),(28,7356218,'1994-07-14 00:00:00',2,1,12,2011,'M','N','ALDEIA FIGUEIRA','JOSÉ BOITEUX','SC','124241241126131311529719572224610167057',NULL,'1064',24.26,5,4,NULL),(28,7356226,'1994-01-31 00:00:00',2,1,11,2011,'M','N','AREIAS','S JOSÉ','SC','124242241215111221336624572112610167042',13287,'1118',48.58,1,3,NULL),(28,7356234,'1989-01-20 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241115575431559913572124610167017',678,'751',72.86,1,3,NULL),(28,7356242,'1996-03-22 00:00:00',4,8,12,2011,'M','N','VILA NOVA','JOINVILLE','SC','124241246217111731458614575114610127037',19580,'1006',32.17,1,3,NULL),(28,7356250,'1992-09-27 00:00:00',4,5,11,2009,'F','N','PIO CORRÊA','CRICIÚMA','SC','124242247217573451569911574112610134192',16793,'226',42.00,1,3,NULL),(28,7356269,'1994-10-08 00:00:00',4,1,12,2011,'M','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','124242248235111431467613385122610147182',NULL,'300',29.49,1,3,NULL),(28,7356285,'1994-04-01 00:00:00',4,1,12,2011,'M','N','JARDIM DAS PALMEIRAS','PALHOÇA','SC','124243241315131431338929292124610137057',NULL,'1074',25.53,1,3,NULL),(28,7356293,'1993-06-19 00:00:00',4,1,11,2010,'M','N','VILA TUPI','PR GRANDE','SP','125252251217271231538829315112610137047',NULL,'9997',0.00,1,3,NULL),(28,7356307,'1994-11-29 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117111411223629342114610147047',NULL,'287',19.50,1,2,1),(28,7356315,'1991-11-30 00:00:00',4,1,10,2009,'F','N','PARQUE HIPOLITO','LIMEIRA','SP','125251251135371421633314245124610156147',13024,'9998',42.49,1,2,1),(28,7356323,'1994-08-16 00:00:00',4,3,12,2011,'F','N','MORRETES','ITAPEMA','SC','124241241115271431444953575124610131192',12201,'405',41.98,1,2,1),(28,7356331,'1986-06-05 00:00:00',2,1,12,2002,'M','N','CENTRO','FORQUILHINHA','SC','124242241147161411538811481221230867057',18316,'309',37.91,1,3,NULL),(28,7356340,'1992-01-07 00:00:00',4,4,11,2008,'M','N','CENTRO','S LOURENÇO OESTE','SC','124243161317571731436631115122610114067',NULL,'9998',30.31,1,3,NULL),(28,7356366,'1994-11-01 00:00:00',4,4,12,2011,'F','N','COQUEIRAL','CASCAVEL','PR','116162161216111431479933575112610134043',NULL,'9998',31.07,1,3,NULL),(28,7356374,'1993-09-26 00:00:00',4,1,12,2010,'M','N','PARTENON','PTO ALEGRE','RS','120202201216371431466614575112140227042',NULL,'9998',0.00,1,3,NULL),(28,7356390,'1990-02-14 00:00:00',2,6,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216472431478613571114233217093',15155,'262',45.30,1,3,NULL),(28,7356412,'1989-11-17 00:00:00',2,1,12,2007,'M','N','CAMPINAS','S JOSÉ','SC','124241241237115731466614445124220914042',15154,'262',45.30,1,3,NULL),(28,7356420,'1993-07-03 00:00:00',2,1,12,2010,'F','N','CENTRO','UNIÃO VITÓRIA','PR','116163161216131731649933572125242924017',NULL,'9997',0.00,1,3,NULL),(28,7356439,'1993-05-24 00:00:00',4,27,12,2009,'M','N','CENTRO','S MIGUEL OESTE','SC','124246248637143251324963212121610137055',14171,'752',47.15,5,3,NULL),(28,7356447,'1995-05-02 00:00:00',4,1,12,2011,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124243241115271332436613575124610125057',18790,'772',36.12,1,3,NULL),(28,7356455,'1993-11-04 00:00:00',4,10,11,2010,'M','N','CENTRO','CURITIBA','PR','116241241347142431444633345124240622097',5417,'807',54.65,1,3,NULL),(28,7356463,'1991-09-10 00:00:00',4,1,12,2008,'M','N','PARAÍSO','S PAULO','SP','125252251211572441356921575122610127082',1615,'9998',66.13,1,3,NULL),(28,7356471,'1989-12-07 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124132131216473431378619441122233212093',12833,'9998',49.26,1,3,NULL),(28,7356498,'1994-01-28 00:00:00',4,3,12,2011,'F','N','CENTRO','CAMBORIÚ','SC','124241241114371431553319575122610144147',NULL,'130',27.52,1,2,1),(28,7356501,'1993-11-04 00:00:00',4,10,11,2010,'M','N','DEHON','TUBARÃO','SC','124242241212152431448834382122221417052',NULL,'806',11.36,1,3,NULL),(28,7356510,'1993-04-07 00:00:00',2,1,12,2010,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241116472321526333245124610124052',NULL,'287',19.23,2,1,1),(28,7356528,'1993-11-21 00:00:00',4,1,12,2011,'F','N','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241415111411445817575122610114115',14358,'884',39.11,1,3,NULL),(28,7356544,'1995-11-05 00:00:00',4,1,11,2012,'M','S','AREIAS','S JOSÉ','SC','124242241115171431446613572124610134147',NULL,'271',27.55,1,3,NULL),(28,7356552,'1989-06-29 00:00:00',2,1,12,2006,'F','N','PANAZZOLO','CAXIAS SUL','RS','120201201216574431237721445124610147097',NULL,'9998',0.00,1,3,NULL),(28,7356560,'1994-06-10 00:00:00',4,1,10,2011,'F','N','OLARIA','PTO VELHO','RO','122222221217151431568812315122610166012',NULL,'9998',0.00,1,3,NULL),(28,7356579,'1990-02-07 00:00:00',4,8,12,2007,'M','N','MERCÊS','CURITIBA','PR','125253251215573451448811572324610164187',NULL,'9998',0.00,1,3,NULL),(28,7356587,'1970-08-10 00:00:00',4,1,12,1989,'F','N','IPIRANGA','S JOSÉ','SC','624241243126155431364653485113122266092',17397,'592',40.55,1,2,1),(28,7356595,'1983-02-01 00:00:00',2,15,12,2011,'F','N','VILA CONCEIÇÃO','S JOÃO SUL','SC','224201241126141421433153315122610124182',NULL,'9999',24.87,1,3,NULL),(28,7356609,'1988-11-16 00:00:00',4,1,12,2005,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241215473431469931495124333234142',NULL,'270',0.00,1,3,NULL),(28,7356617,'1994-04-30 00:00:00',4,1,12,2011,'F','N','AREIAS','S JOSÉ','SC','124243241116372411447914575122610114143',14083,'739',37.80,4,3,NULL),(28,7356625,'1985-04-27 00:00:00',4,27,12,2002,'M','N','CENTRO','BARRACÃO','PR','116161161416473431156612425122241424042',NULL,'9998',0.00,4,3,NULL),(28,7356633,'1994-12-23 00:00:00',2,6,12,2011,'F','N','CENTRO','NAVEGANTES','SC','124241241115371411333334195125610127042',NULL,'570',0.00,4,3,NULL),(28,7356650,'1994-02-19 00:00:00',4,4,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241417372431558833576114610126012',6566,'1248',53.18,1,3,NULL),(28,7356668,'1993-03-31 00:00:00',2,4,12,2011,'M','N','VILA PINTO','PALMEIRA MISSÕES','RS','120201201147131431213644245335610167042',17107,'9998',29.94,4,3,NULL),(28,7356676,'1982-11-09 00:00:00',4,1,1,2003,'M','N','FUNDOS','BIGUAÇU','SC','224241246122134421544343135132332314147',NULL,'306',0.00,1,3,NULL),(28,7356692,'1989-10-06 00:00:00',4,4,12,2006,'M','N','EFAPI','CHAPECÓ','SC','124241248136141341437621245124610162172',17962,'184',39.05,3,2,1),(28,7356706,'1969-11-29 00:00:00',4,1,12,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','524243247612134431144942325133610114095',6007,'9999',53.69,1,3,NULL),(28,7356714,'1989-06-09 00:00:00',4,8,12,2006,'F','N','VILA NOVA','JOINVILLE','SC','124241241136474431458633342123233234027',18112,'473',38.55,1,2,1),(28,7356722,'1991-06-13 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216372431326614575114610117047',15855,'1050',39.66,1,3,NULL),(28,7356730,'1982-09-08 00:00:00',2,1,12,2000,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','224201201147272451226654192122610163037',13790,'9998',47.72,1,2,1),(28,7356749,'1992-01-22 00:00:00',4,1,12,2009,'M','N','JARDIM CARVALHO','PNT GROSSA','PR','116163161217473431569613575122610134182',NULL,'9998',0.00,1,3,NULL),(28,7356757,'1991-06-29 00:00:00',2,1,12,2008,'F','N','FLORESTA','S JOSÉ','SC','124244241216273431526621395124120847052',8101,'738',56.96,1,3,NULL),(28,7356765,'1992-01-24 00:00:00',2,15,11,2009,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241116473731323314241123230714042',18818,'30',36.02,1,3,NULL),(28,7356773,'1986-10-31 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242248215145441539812295121333241182',17982,'272',38.99,1,3,NULL),(28,7356781,'1994-08-23 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241248115471731623529291124610137142',NULL,'257',14.62,4,1,1),(28,7356790,'1992-05-24 00:00:00',4,8,12,2009,'M','N','VILA CASONE','LONDRINA','PR','116161161117551431336624575212610167094',NULL,'9998',28.05,1,2,1),(28,7356803,'1994-07-18 00:00:00',2,16,12,2011,'F','N','ÁGUA SANTA','CURITIBANOS','SC','124241241115471731429619574124610121095',16222,'239',33.01,1,2,1),(28,7356820,'1992-03-01 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216473431435729495124230268145',13605,'1022',48.05,1,3,NULL),(28,7356838,'1991-10-18 00:00:00',2,15,1,2012,'M','N','CENTRO','ARARANGUÁ','SC','124244241346141431329513345122610162142',19312,'29',33.81,1,3,NULL),(28,7356846,'1991-02-22 00:00:00',2,1,12,2008,'M','N','CENTRO','S JOSÉ','SC','124241241127131122536734346112610118141',NULL,'728',28.28,1,2,1),(28,7356854,'1994-12-10 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241217112231337731575122610124187',1305,'270',66.62,1,3,NULL),(28,7356862,'1990-09-08 00:00:00',4,1,12,2008,'M','N','VILA SÃO JORGE','SANTOS','SP','125251251117571431346834275114610164057',6990,'9998',50.88,4,2,1),(28,7356889,'1991-03-02 00:00:00',4,1,12,2008,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241111444231536823595124221437042',17456,'257',40.40,1,2,1),(28,7356897,'1991-12-20 00:00:00',2,1,12,2010,'M','N','CENTRO','SANTANA LIVRAMENTO','RS','120203208316471731524436572125612464197',NULL,'9998',0.00,1,3,NULL),(28,7356919,'1993-07-19 00:00:00',2,9,12,2011,'F','N','COHAB I','S JOAQUIM','SC','124241245147131731223629395125610168187',NULL,'719',0.00,4,2,1),(28,7356927,'1982-03-06 00:00:00',2,1,12,2002,'M','N','PÂNTANO DO SUL','FLORIANÓPOLIS','SC','124241241126142721642332245134133267185',19812,'291',30.20,1,2,1),(28,7356935,'1992-01-02 00:00:00',2,1,12,2009,'M','N','BARREIROS','S JOSÉ','SC','124242241215474731466813385112132067047',11514,'1022',51.29,1,3,NULL),(28,7356943,'1994-02-21 00:00:00',2,1,12,2011,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241117471231425631575114610164055',NULL,'287',23.33,1,2,1),(28,7356951,'1981-10-21 00:00:00',2,2,12,1999,'F','N','SÃO LUIZ','BRUSQUE','SC','224242241216473421253353415122333261092',16376,'107',42.95,1,3,NULL),(28,7356978,'1983-11-20 00:00:00',4,1,12,2000,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124201201217372431179913215132121437012',NULL,'9998',20.26,1,3,NULL),(28,7356994,'1994-03-01 00:00:00',4,1,11,2011,'M','N','SACO GRANDE','FLORIANÓPOLIS','SC','124242241211111511458812195124610167017',9348,'270',51.80,1,3,NULL),(28,7357001,'1993-05-11 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215372711477832372122610137142',10883,'262',45.51,1,3,NULL),(28,7357010,'1994-05-16 00:00:00',4,15,12,2011,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241115111431533629295121610137053',20062,'30',27.03,2,1,1),(28,7357028,'1990-06-18 00:00:00',2,8,11,2007,'M','N','ATIRADORES','JOINVILLE','SC','116162161216573741448714571114610144092',1203,'9998',69.42,1,3,NULL),(28,7357036,'1993-09-19 00:00:00',4,5,12,2010,'F','N','BEL RECANTO','URUSSANGA','SC','124241241147271431444923285124610121147',18793,'822',36.11,1,3,NULL),(28,7357044,'1994-06-27 00:00:00',2,1,12,2011,'F','N','GRAGERU','ARACAJU','SE','126052261215111411468924575112610145092',NULL,'9998',0.00,1,3,NULL),(28,7357052,'1994-06-18 00:00:00',4,1,12,2011,'F','N','ABRAÃO','FLORIANÓPOLIS','SC','124241241225131431326624285124610145192',15805,'262',44.08,1,3,NULL),(28,7357060,'1993-09-02 00:00:00',2,1,12,2010,'F','N','MONTE CRISTO','FLORIANÓPOLIS','SC','124243241117572731633571142124610112147',14700,'733',46.17,1,3,NULL),(28,7357079,'1992-03-29 00:00:00',4,1,12,2009,'F','N','JURERÊ','FLORIANÓPOLIS','SC','124242241116154431468814576114222261193',16298,'272',37.01,1,3,NULL),(28,7357087,'1991-09-18 00:00:00',2,1,12,2008,'F','N','CAMPO D UNA','GAROPABA','SC','124241241115575751335639575122142447041',18009,'1136',30.69,1,2,1),(28,7357095,'1988-06-27 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243247221471431223319345124610138023',NULL,'977',0.00,1,3,NULL),(28,7357109,'1995-03-11 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241216111711226924575122610112142',NULL,'1169',38.76,1,3,NULL),(28,7357133,'1993-03-20 00:00:00',4,15,12,2010,'F','N','CENTRO','BRAÇO NORTE','SC','124202201216471431468911575124610121147',9925,'9998',45.51,1,3,NULL),(28,7357141,'1992-11-19 00:00:00',4,1,11,2009,'M','N','FORQUILHINHAS','S JOSÉ','SC','124243243111131431423714245124610117037',NULL,'727',21.30,4,1,2),(28,7357176,'1986-12-18 00:00:00',2,1,12,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124282288217161431627713491334610167027',NULL,'9998',12.72,4,3,NULL),(28,7357184,'1994-02-17 00:00:00',4,1,12,2011,'M','N','JARDIM MARINGÁ','SINOP','MT','111112111217111431355812574122610164042',9275,'9998',46.64,2,3,NULL),(28,7357206,'1993-10-23 00:00:00',2,4,12,2010,'F','N','LIXEIRA','CUIABÁ','MT','111111111336471731537821272124610154142',6741,'9998',49.01,1,3,NULL),(28,7357214,'1989-08-24 00:00:00',2,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241145274431446454242124610127147',NULL,'281',50.35,1,2,1),(28,7357222,'1993-06-04 00:00:00',4,1,11,2010,'M','N','BELA VISTA I','S JOSÉ','SC','124241246411271411329911375124610164012',7047,'902',52.26,1,3,NULL),(28,7357230,'1994-05-17 00:00:00',4,15,11,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241415131431435931215122610134052',13363,'26',38.97,1,3,NULL),(28,7357249,'1994-01-15 00:00:00',4,27,12,2011,'F','N','CENTRO','CUNHA PORÃ','SC','624241241115371731436632275124610121182',NULL,'552',0.00,1,3,NULL),(28,7357257,'1993-05-31 00:00:00',2,3,12,2010,'M','N','CACHOEIRA','ARAUCÁRIA','PR','116161161135472431326624345124610164142',NULL,'9998',0.00,4,2,1),(28,7357265,'1979-09-11 00:00:00',2,1,11,1999,'M','N','BELA VISTA','S JOSÉ','SC','224241247226133421248644145132123034062',7502,'270',50.81,1,3,NULL),(28,7357273,'1986-09-30 00:00:00',4,1,12,2007,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124134131426372751637821395124141862191',7484,'9998',58.00,1,3,NULL),(28,7357281,'1994-02-17 00:00:00',2,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241215111431556833245124610167057',7778,'1010',50.79,1,3,NULL),(28,7357290,'1995-02-17 00:00:00',4,10,12,2011,'M','N','AIURÊ','GR PARÁ','SC','124241241117161431223623575124610122147',9905,'330',45.59,1,2,1),(28,7357303,'1991-04-21 00:00:00',2,10,12,2007,'M','N','PROGRESSO','LAGUNA','SC','124251256116271431533639382114610167052',NULL,'9998',19.85,4,2,1),(28,7357311,'1988-02-06 00:00:00',4,1,12,2005,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124282281211373411278921471122530237183',NULL,'9998',0.00,1,3,NULL),(28,7357320,'1983-05-26 00:00:00',4,1,12,2000,'M','N','PANTANAL','FLORIANÓPOLIS','SC','624201201117133721236444445122120747057',5075,'9998',62.26,1,3,NULL),(28,7357338,'1981-07-03 00:00:00',4,1,12,1997,'F','N','INGLESES','FLORIANÓPOLIS','SC','524202201216131411416444445124610128187',19837,'9998',29.95,1,3,NULL),(28,7357346,'1993-05-01 00:00:00',4,8,12,2010,'M','N','MONTE CARLO','CPO GRANDE','MS','112122121217421411469713572112610164112',627,'9998',72.54,4,3,NULL),(28,7357354,'1992-08-05 00:00:00',4,8,12,2009,'M','N','FÁTIMA','JOINVILLE','SC','124241241117271441345624385114133224171',15795,'492',44.10,1,2,1),(28,7357362,'1994-09-20 00:00:00',4,1,11,2011,'M','N','JARDIM CARANDAI','BIGUAÇU','SC','124241241135141411327614292121610124187',NULL,'65',17.27,3,2,1),(28,7357370,'1995-02-22 00:00:00',4,1,12,2011,'F','N','CENTRO','CARAZINHO','RS','120202201216111731248831575122610124183',3001,'9998',60.34,1,3,NULL),(28,7357389,'1992-06-14 00:00:00',2,7,1,2010,'M','N','CRUZEIRO DO SUL','JOAÇABA','SC','124241241416371431123311245122610134042',18206,'9999',38.28,1,3,NULL),(28,7357397,'1991-04-29 00:00:00',4,1,11,2008,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373431469834285125131431092',1625,'71',64.80,1,3,NULL),(28,7357400,'1986-11-23 00:00:00',2,2,12,2008,'F','N','VILA NOVA','BLUMENAU','SC','224244247217573451286651275122610114072',4572,'9999',56.27,1,3,NULL),(28,7357419,'1994-05-25 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215121711468811575124610155017',2383,'270',64.30,1,3,NULL),(28,7357435,'1994-02-23 00:00:00',4,15,12,2011,'M','N','CENTRO','ARARANGUÁ','SC','124244241445151431338814275124610112047',NULL,'920',24.73,1,3,NULL),(28,7357443,'1994-01-21 00:00:00',4,1,12,2011,'F','N','POPULAR','CUIABÁ','MT','111112111117211431468831572122610135072',13372,'9998',48.45,3,3,NULL),(28,7357451,'1993-01-31 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215271411333422295122610134053',15262,'1197',38.00,1,3,NULL),(28,7357460,'1992-01-16 00:00:00',2,1,12,2009,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241137271131536414485114610123057',NULL,'307',17.12,1,2,1),(28,7357478,'1994-04-11 00:00:00',4,1,11,2011,'M','N','REGIÃO DO LAGO','CASCAVEL','PR','116162161215121531389812375125610136042',NULL,'9998',0.00,1,3,NULL),(28,7357486,'1994-08-26 00:00:00',4,1,11,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241225131431436314575124610133097',18506,'262',27.56,1,3,NULL),(28,7357494,'1992-11-07 00:00:00',4,5,12,2009,'F','N','CENTRO','TRAMANDAÍ','RS','120201201116131331528822371124610154117',7568,'9998',51.72,1,2,1),(28,7357508,'1985-10-05 00:00:00',2,1,12,2002,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124202201216354421238844345124223237117',NULL,'9998',0.00,1,3,NULL),(28,7357524,'1994-11-08 00:00:00',2,15,11,2011,'M','N','JARDIM ITALIA','COCAL SUL','SC','124241246217151711457834395122610112052',10131,'188',44.11,1,3,NULL),(28,7357532,'1995-01-05 00:00:00',2,1,12,2011,'F','N','LOMBA ALTA','ALFREDO WAGNER','SC','124241241125161431536416342224610127147',NULL,'13',30.86,1,2,1),(28,7357540,'1994-03-18 00:00:00',4,1,11,2011,'F','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241215472131466814575122610165192',8393,'270',49.90,1,3,NULL),(28,7357559,'1982-12-28 00:00:00',4,1,12,2000,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241137144431125644345133120764042',12875,'740',49.19,1,2,1),(28,7357567,'1987-09-29 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241117142431369933442122222226187',10962,'306',52.17,1,3,NULL),(28,7357575,'1986-11-21 00:00:00',4,1,12,2004,'F','N','PONTA DA PRAIA','SANTOS','SP','125254251217141441226641415121343261027',13319,'9998',40.14,4,3,NULL),(28,7357583,'1991-01-11 00:00:00',4,9,12,2007,'M','N','SANTA HELENA','LAGES','SC','124242241232575431466939575122610126092',1403,'515',69.07,1,3,NULL),(28,7357591,'1992-05-31 00:00:00',6,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241126371431435839345124610127042',17487,'293',40.33,1,2,1),(28,7357605,'1990-10-04 00:00:00',2,1,12,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241121373721636621345114610125142',14028,'274',47.36,2,1,1),(28,7357621,'1980-10-18 00:00:00',4,1,12,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124162247237142431227644445122333234012',NULL,'270',33.40,1,3,NULL),(28,7357648,'1994-05-16 00:00:00',4,8,12,2011,'F','N','VILAGE SAINT CLAIRE','SOROCABA','SP','125252251217111431457839575122610144017',12851,'9998',49.22,1,3,NULL),(28,7357656,'1988-01-23 00:00:00',4,1,10,2007,'M','N','SACO GRANDE II','FLORIANÓPOLIS','SC','124244247415443431349933345132233247047',13259,'270',48.62,1,3,NULL),(28,7357664,'1993-11-01 00:00:00',4,1,12,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124241241127471331433314345124610127047',NULL,'1097',26.46,1,2,1),(28,7357672,'1988-05-26 00:00:00',2,1,12,2005,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215515451388822571112610163095',NULL,'262',0.00,4,3,NULL),(28,7357680,'1993-05-12 00:00:00',4,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242248212273421458814342134610118037',11418,'270',41.47,1,3,NULL),(28,7357699,'1992-03-09 00:00:00',2,1,12,2010,'M','N','MANEJO','RESENDE','RJ','121212217437572711353823575112121415076',4675,'9998',56.70,2,1,2),(28,7357702,'1978-09-26 00:00:00',2,1,10,2007,'F','N','DANIELA','FLORIANÓPOLIS','SC','124241247142131431223351112124613211097',NULL,'9999',33.93,1,3,NULL),(28,7357710,'1954-07-25 00:00:00',2,1,12,1986,'F','N','BARREIROS SAO JOSE','S JOSÉ','SC','124201205416114431334343335225141628143',19340,'9998',24.94,1,3,NULL),(28,7357729,'1982-10-13 00:00:00',4,1,12,1999,'F','N','BELA VISTA','PALHOÇA','SC','224081081447161431346838285124140237017',19234,'9998',34.19,4,1,2),(28,7357737,'1992-08-19 00:00:00',2,8,11,2009,'F','N','CENTRO','CIDADE GAÚCHA','PR','116162161215571431568811585122610134042',NULL,'9998',0.00,1,3,NULL),(28,7357745,'1990-09-03 00:00:00',2,1,12,2007,'F','N','IPIRANGA','S JOSÉ','SC','124241241116473431323321285124610123197',6522,'734',53.07,1,2,1),(28,7357753,'1994-03-24 00:00:00',2,15,12,2011,'M','N','DIVINÉIA','ARARANGUÁ','SC','124241241135111432424431272121610147052',17467,'30',34.01,1,2,1),(28,7357761,'1994-03-27 00:00:00',4,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124242243215111231336621585124610111077',NULL,'1118',27.37,1,3,NULL),(28,7357788,'1973-11-29 00:00:00',4,1,12,1997,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224203207127131421523379245134610114147',19818,'9998',30.15,2,3,NULL),(28,7357796,'1993-12-06 00:00:00',4,6,12,2011,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124242241235111431338933345122610123147',NULL,'388',15.84,1,3,NULL),(28,7357800,'1983-04-13 00:00:00',2,1,12,2002,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124131131117152731133343435122431467053',13123,'9998',48.81,4,2,1),(28,7357826,'1993-11-14 00:00:00',4,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241115371431424624575124610124147',10535,'286',45.93,1,2,1),(28,7357842,'1991-01-31 00:00:00',2,15,12,2008,'M','N','VILA SÃO JOSE','ARARANGUÁ','SC','124241248127131721624311245125610112017',NULL,'29',25.81,1,2,1),(28,7357850,'1992-12-20 00:00:00',4,4,12,2009,'M','N','EFAPI','CHAPECÓ','SC','124241241111141632337629342124610132027',17223,'184',34.68,1,3,NULL),(28,7357877,'1985-10-07 00:00:00',4,8,12,2002,'F','N','PITEIRAS','BARRA MANSA','RJ','121214213236131431438933185124542246181',NULL,'9998',0.00,1,3,NULL),(28,7357893,'1992-10-14 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216372731436413575124610127187',4912,'273',55.52,1,3,NULL),(28,7357907,'1993-12-04 00:00:00',4,1,12,2011,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124241241227111431438633575122610147057',17358,'1074',33.48,1,3,NULL),(28,7357923,'1985-12-29 00:00:00',4,1,12,2003,'M','N','COPACABANA','RIO JANEIRO','RJ','121212211217151431378723475124343262152',13702,'9998',47.88,1,3,NULL),(28,7357940,'1992-10-14 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216372731436413575124610127187',3750,'273',58.62,1,3,NULL),(28,7357958,'1994-05-18 00:00:00',2,1,12,2011,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241121161731416511475125610118147',NULL,'13',15.82,1,2,1),(28,7357966,'1987-12-07 00:00:00',2,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241126174411214614145124133237033',NULL,'307',42.10,4,2,1),(28,7357974,'1975-01-26 00:00:00',2,1,12,1995,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241247627131431421339242114610127187',NULL,'9999',29.43,1,3,NULL),(28,7357982,'1994-06-28 00:00:00',4,1,11,2011,'F','N','VILA IZABEL','CURITIBA','PR','116162161217121431348719575114610134147',NULL,'9998',0.00,1,3,NULL),(28,7358008,'1991-11-22 00:00:00',4,6,12,2008,'M','N','VILA OPERARIA','ITAJAÍ','SC','124242241216111711358814345135131427057',14585,'454',46.38,1,3,NULL),(28,7358016,'1995-03-07 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111431257921575124610132042',NULL,'1250',37.76,1,3,NULL),(28,7358024,'1990-03-19 00:00:00',2,1,6,2011,'M','N','CENTRO','CANOAS','RS','120201207622131431323639245124610164187',18233,'9998',29.38,1,3,NULL),(28,7358032,'1982-11-05 00:00:00',5,1,12,2000,'F','N','PANTANAL','FLORIANÓPOLIS','SC','624201201126153411236554395122222267092',14437,'9998',40.65,1,2,1),(28,7358040,'1986-05-02 00:00:00',2,26,12,2003,'F','N','CENTRO','PALMA SOLA','SC','124241241123371431123643332324610135147',NULL,'599',0.00,1,2,1),(28,7358059,'1994-06-13 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215371732479812376122610168137',4609,'262',57.50,1,3,NULL),(28,7358067,'1993-01-18 00:00:00',2,17,12,2009,'F','N','BIGORRILHO','CURITIBA','PR','116163161216472431335923575124140626047',NULL,'9998',0.00,1,3,NULL),(28,7358075,'1990-09-29 00:00:00',2,8,11,2009,'M','N','GLORIA','JOINVILLE','SC','124242248416312422447739325122130232122',NULL,'1063',26.82,1,3,NULL),(28,7358091,'1993-11-16 00:00:00',2,1,12,2010,'M','N','CENTRO','TIJUCAS','SC','124241241216112411546614345121230225097',13657,'1119',38.70,1,3,NULL),(28,7358105,'1988-02-16 00:00:00',2,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216373712666663572122122362125',10257,'260',53.30,1,3,NULL),(28,7358113,'1994-08-09 00:00:00',4,27,12,2011,'M','N','RUSCHEL','IPORÃ OESTE','SC','124241241137131411337934275122610166172',NULL,'371',23.26,1,2,1),(28,7358121,'1992-07-08 00:00:00',4,1,12,2009,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241216312411569814575124131417042',5405,'262',57.62,1,3,NULL),(28,7358130,'1992-11-30 00:00:00',4,23,12,2009,'F','N','PARQUE SÃO JORGE','S PAULO','SP','125252251217371431548612581125133167077',3736,'9998',60.08,1,3,NULL),(28,7358148,'1974-03-10 00:00:00',4,1,12,1998,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','624241241127135331326458385124610166187',NULL,'397',22.34,1,2,1),(28,7358172,'1960-05-28 00:00:00',4,1,11,1977,'M','N','TAPERA','FLORIANÓPOLIS','SC','524203203131132431123449415123142018141',15748,'9997',44.21,1,3,NULL),(28,7358180,'1994-02-03 00:00:00',2,1,12,2011,'M','N','JARDIM PALMARES','RIBEIRÃO PRETO','SP','125251251415271731569824291122610136182',17306,'9998',40.77,1,3,NULL),(28,7358199,'1989-08-27 00:00:00',4,1,12,2006,'M','N','JURERE','FLORIANÓPOLIS','SC','124243241216352441358924475122130764183',NULL,'272',0.00,1,3,NULL),(28,7358202,'1994-09-07 00:00:00',4,26,12,2011,'M','N','IMIGRANTES','CONCÓRDIA','SC','124241241115371431216321275124610144057',14649,'192',37.58,4,1,1),(28,7358210,'1982-03-04 00:00:00',6,8,12,2000,'M','N','ALVINÓPOLIS','ATIBAIA','SP','125253257426131431326441315124142362034',NULL,'9998',11.95,1,3,NULL),(28,7358229,'1994-10-31 00:00:00',2,15,12,2011,'M','N','MANOEL ALVES','MELEIRO','SC','124241241116372431526532572123610137052',19261,'559',34.07,1,2,1),(28,7358237,'1981-09-01 00:00:00',4,1,12,2000,'M','N','SÃO CARLOS','POUSO ALEGRE','MG','213252137136131711321541415122441964043',14445,'9998',46.67,1,3,NULL),(28,7358253,'1994-04-15 00:00:00',2,6,12,2011,'F','N','ARMAÇÃO','PENHA','SC','124241241115372431535621345124610127057',12908,'609',41.96,1,2,1),(28,7358261,'1985-10-01 00:00:00',4,1,12,2002,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124204203214152721125943395131322266097',12741,'9998',49.37,1,3,NULL),(28,7358288,'1991-07-29 00:00:00',2,1,12,2008,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241127474751434634385124610167042',12510,'296',43.63,4,2,1),(28,7358296,'1994-09-09 00:00:00',4,9,11,2011,'F','N','SÃO CRISTOVÃO','LAGES','SC','124243248617131431226821411122610166077',15006,'1106',36.73,1,3,NULL),(28,7358300,'1989-09-06 00:00:00',4,1,12,2006,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124201201136372411423564345124610135147',16528,'9998',34.51,1,2,1),(28,7358318,'1966-12-12 00:00:00',2,1,8,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241247117131431522159242122610124097',NULL,'9999',33.43,1,3,NULL),(28,7358326,'1990-08-06 00:00:00',4,1,12,2007,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124243241316275711446629595124120354045',NULL,'1022',30.34,4,3,NULL),(28,7358342,'1991-01-21 00:00:00',2,1,8,2011,'F','N','ARIRIÚ DA FORMIGA','PALHOÇA','SC','124161241116133431336624345124610166182',15837,'9997',44.01,1,3,NULL),(28,7358350,'1990-03-09 00:00:00',4,1,12,2007,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241117144431448822444114610114117',18251,'267',38.12,1,2,1),(28,7358369,'1994-06-11 00:00:00',2,1,12,2011,'F','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241117371421533314572124610167077',19999,'307',28.09,1,2,1),(28,7358385,'1987-03-02 00:00:00',4,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217473431347912471124331824017',8765,'266',55.83,1,3,NULL),(28,7358407,'1995-05-25 00:00:00',4,1,12,2012,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241217111731368914575124610126037',NULL,'270',51.64,1,3,NULL),(28,7358423,'1995-03-30 00:00:00',2,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241115131731527313577124610153182',NULL,'267',35.54,1,2,1),(28,7358431,'1935-10-23 00:00:00',2,1,12,1959,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224241241126155711373349195112421467041',NULL,'307',0.00,1,3,NULL),(28,7358440,'1988-06-09 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124202201237371711126719445124133264197',NULL,'9998',0.00,4,3,NULL),(28,7358458,'1994-04-07 00:00:00',4,26,12,2011,'M','N','DA AMIZADE','LINDÓIA SUL','SC','124241241147131421226644245121610114057',17450,'534',29.05,1,2,1),(28,7358466,'1990-10-05 00:00:00',2,1,12,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124131131117131731215649395124610164182',NULL,'9998',33.74,4,2,1),(28,7358474,'1990-08-12 00:00:00',4,1,6,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124242247217272411439633575114610132182',15518,'270',44.67,1,3,NULL),(28,7358482,'1988-10-19 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124161241413434322218547572123221012173',414,'633',73.28,4,3,NULL),(28,7358504,'1986-08-27 00:00:00',4,1,12,2003,'M','N','PAULICÉIA','S BERNARDO CAMPO','SP','125122121216573731437723572114141467147',885,'9998',70.65,3,3,NULL),(28,7358512,'1991-03-24 00:00:00',2,6,12,2008,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241216371741226579345124133226182',17867,'1157',39.30,1,3,NULL),(28,7358520,'1995-12-03 00:00:00',4,3,12,2012,'F','S','MEIA PRAIA','ITAPEMA','SC','124244241217121731368839575122610132092',NULL,'403',42.15,2,3,NULL),(28,7358539,'1986-09-19 00:00:00',4,1,12,2004,'M','N','CAMPINAS','S JOSÉ','SC','124241241215575431487612432112122324187',6557,'737',59.59,4,3,NULL),(28,7358563,'1991-10-28 00:00:00',4,1,12,2008,'F','N','BATEL','CURITIBA','PR','116162161216571451279619475112610144047',NULL,'9998',0.00,3,3,NULL),(28,7358571,'1991-04-19 00:00:00',2,9,12,2007,'M','N','CENTRO','VACARIA','RS','120203201216472441449911475124142414042',766,'9998',69.58,1,3,NULL),(28,7358598,'1995-10-24 00:00:00',4,4,12,2011,'M','N','CENTRO','XAXIM','SC','124241241117271731438814172122610144147',NULL,'847',27.83,1,3,NULL),(28,7358601,'1994-11-19 00:00:00',4,7,11,2011,'M','N','SANTA TEREZA','JOAÇABA','SC','124242247321111421323334575122610116072',NULL,'9999',11.22,1,3,NULL),(28,7358610,'1991-12-23 00:00:00',4,9,11,2008,'M','N','SÃO CRISTOVÃO','LAGES','SC','124243241116153731436614272122610138187',7670,'512',53.91,1,3,NULL),(28,7358636,'1993-04-08 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272431389813575122230417062',NULL,'262',0.00,1,3,NULL),(28,7358644,'1954-06-29 00:00:00',4,1,12,1974,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','624241243126152741363249495112330232192',10168,'805',53.44,1,2,1),(28,7358652,'1977-07-25 00:00:00',4,1,12,1994,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124201201116571451126944345122133232097',NULL,'9998',0.00,1,3,NULL),(28,7358660,'1992-11-17 00:00:00',4,1,12,2010,'M','N','SANTO AMARO','S PAULO','SP','125252251216271431346824442124610135054',10340,'9998',44.23,4,3,NULL),(28,7358679,'1980-11-14 00:00:00',4,1,3,1993,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242247646152411448839315124133214117',18386,'1003',37.69,2,3,NULL),(28,7358687,'1993-05-15 00:00:00',4,1,11,2010,'F','N','GUABIROTUBA','CURITIBA','PR','112122121217411431547612275124610127142',4160,'9998',59.10,1,3,NULL),(28,7358695,'1986-01-09 00:00:00',4,1,5,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124204201417152421139911425132321147052',13778,'9998',47.75,1,3,NULL),(28,7358709,'1992-12-26 00:00:00',4,1,12,2009,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241116471431425318275124610132183',3933,'307',60.98,1,2,1),(28,7358717,'1992-01-28 00:00:00',4,8,12,2009,'M','N','CENTRO','CANOINHAS','SC','124241241117161431554432575112610167042',NULL,'146',0.00,1,2,1),(28,7358725,'1992-03-05 00:00:00',4,23,12,2009,'F','N','SÃO LUÍS','JARAGUÁ SUL','SC','124241241117131431443424485114610133181',NULL,'435',23.00,4,2,1),(28,7358733,'1977-08-30 00:00:00',4,1,12,1996,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','224201207147371431656848285122140736057',8941,'9998',55.52,1,2,1),(28,7358741,'1994-01-16 00:00:00',4,1,12,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241217121411324314375124610134112',NULL,'300',24.93,1,3,NULL),(28,7358750,'1969-04-23 00:00:00',2,23,12,1997,'F','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124131135126131421332244242114133241197',NULL,'9998',30.39,1,2,1),(28,7358768,'1993-02-16 00:00:00',2,1,11,2010,'F','N','CENTRO','BEBEDOURO','SP','125254101216131751449312415113610162147',13609,'9998',48.04,1,3,NULL),(28,7358784,'1989-11-30 00:00:00',2,1,12,2007,'M','N','SEMIRAMIS DE BARROS','LONDRINA','PR','116161161146211731333329395124140227167',NULL,'9998',35.13,1,2,1),(28,7358792,'1982-05-20 00:00:00',4,2,12,2000,'M','N','VITOR KONDER','BLUMENAU','SC','124243246146374431156643332132320264042',NULL,'306',0.00,1,3,NULL),(28,7358806,'1989-09-26 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242243117154421448811495124220768015',11727,'129',50.97,1,3,NULL),(28,7358814,'1986-09-03 00:00:00',4,8,12,2004,'F','N','SAGUAÇU','JOINVILLE','SC','124244241235574431238929441112130647092',13501,'459',48.24,1,3,NULL),(28,7358849,'1989-02-20 00:00:00',3,1,12,2006,'F','N','JARDIM ARAPONGAS','COLOMBO','PR','116161161116151431443614335124240945182',NULL,'9998',0.00,1,2,1),(28,7358857,'1993-08-19 00:00:00',4,10,12,2011,'M','N','NAVEGANTES','LAGUNA','SC','124242241225131641328623315121610164172',7949,'524',52.29,1,3,NULL),(28,7358865,'1992-06-19 00:00:00',4,1,12,2011,'M','N','JUVEVE','CURITIBA','PR','116162167135572411268812575114610116042',NULL,'9998',0.00,1,3,NULL),(28,7358873,'1990-03-02 00:00:00',4,1,12,2007,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124252251217153711117923295121221862117',5033,'9998',56.48,1,3,NULL),(28,7358881,'1981-01-16 00:00:00',4,1,1,1999,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241212154431126748495124130764097',9064,'237',55.31,1,3,NULL),(28,7358890,'1993-03-18 00:00:00',4,15,12,2010,'M','N','MATO ALTO','ARARANGUÁ','SC','124241241116472731323624275124610131187',14020,'30',37.75,1,2,1),(28,7358903,'1990-04-22 00:00:00',4,1,12,2007,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124242241215274451359933491122220736185',7696,'883',57.64,1,3,NULL),(28,7358911,'1987-06-17 00:00:00',4,1,12,2004,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124252251215473411149923475124220712047',11583,'9998',51.20,4,3,NULL),(28,7358920,'1994-06-15 00:00:00',3,1,12,2011,'F','N','COLÔNIA SANTANA','S JOSÉ','SC','124241241121141311623329141124610126157',19922,'731',29.04,1,3,NULL),(28,7358938,'1991-02-26 00:00:00',4,1,12,2008,'F','N','MONTE SERRAT','FLORIANÓPOLIS','SC','124243241316232731436614345134610167057',19171,'295',34.51,1,3,NULL),(28,7358946,'1990-06-15 00:00:00',4,10,12,2008,'M','N','SANTO ANDRÉ','CAPIVARI BAIXO','SC','124241246217272431447619445122132834191',NULL,'1120',0.00,4,3,NULL),(28,7358962,'1991-04-29 00:00:00',4,1,11,2010,'M','N','BUTANTÃ','S PAULO','SP','125252258417571511588813575115610167047',6202,'9998',51.85,1,3,NULL),(28,7358970,'1983-12-09 00:00:00',4,1,12,2000,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216155731139833485122522324192',12893,'836',49.17,1,3,NULL),(28,7358989,'1995-04-30 00:00:00',4,6,11,2011,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124242241215111751436611575112610164017',NULL,'9997',0.00,1,3,NULL),(28,7359004,'1991-10-18 00:00:00',4,1,12,2008,'M','N','IPIRANGA','S JOSÉ','SC','124243241115372431226824235124221464043',NULL,'734',22.45,1,3,NULL),(28,7359020,'1987-06-10 00:00:00',2,1,12,2005,'M','N','BELA VISTA I','S JOSÉ','SC','124241247346371441236629145122610144017',19424,'9999',33.20,1,3,NULL),(28,7359039,'1984-10-12 00:00:00',4,1,1,2011,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124246248636151111166833215114610127015',NULL,'9997',0.00,1,3,NULL),(28,7359047,'1993-06-28 00:00:00',4,2,12,2010,'M','N','ITOUPAVA CENTRAL','BLUMENAU','SC','124241241115131231343834345122610162097',NULL,'83',32.38,1,3,NULL),(28,7359055,'1990-10-25 00:00:00',2,1,12,2008,'F','N','SANTANA','S PAULO','SP','125252251217571531534911575124610166017',3174,'9998',58.97,4,3,NULL),(28,7359063,'1996-05-02 00:00:00',2,10,12,2013,'F','S','CENTRO','GAROPABA','SC','124241248416111711548412575122610118092',NULL,'1253',26.40,1,3,NULL),(28,7359080,'1994-11-02 00:00:00',4,1,12,2011,'F','N','CENTRO','TAUBATÉ','SP','125253251215111431469831575122610162042',3798,'9998',59.11,1,3,NULL),(28,7359098,'1994-06-21 00:00:00',2,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241215111231478612395131610167092',7894,'737',48.48,1,3,NULL),(28,7359110,'1992-03-16 00:00:00',2,8,12,2009,'F','N','AVENTUREIRO','JOINVILLE','SC','124243241216575731338611575122610124177',300,'1016',75.68,1,3,NULL),(28,7359128,'1994-01-23 00:00:00',2,16,12,2009,'F','N','CENTRO','LEBON RÉGIS','SC','124241241142572411336863571112610124111',18283,'532',38.03,1,2,1),(28,7359136,'1987-06-19 00:00:00',4,1,12,2003,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241135371731623179392234610128187',NULL,'772',19.91,1,2,1),(28,7359152,'1987-06-12 00:00:00',4,1,12,2004,'M','N','JD CID FLORIANOPOLIS','S JOSÉ','SC','124241241216373711436431345124610114182',6510,'943',51.86,1,3,NULL),(28,7359160,'1995-05-18 00:00:00',4,6,12,2012,'F','S','CENTRO','BAL CAMBORIÚ','SC','124242241215111431478932575122610122192',NULL,'9997',25.47,1,3,NULL),(28,7359179,'1990-07-25 00:00:00',2,8,11,2008,'F','N','JARDIM DALLAS','PALOTINA','PR','116284161246473411116515375121240664092',NULL,'9998',0.00,1,3,NULL),(28,7359187,'1990-08-13 00:00:00',2,1,12,2007,'M','N','ABRAAO','FLORIANÓPOLIS','SC','124242241216474731569924572112133234097',2521,'262',64.16,1,3,NULL),(28,7359195,'1993-07-14 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124242241215372431447832345132610162192',8148,'738',47.55,1,3,NULL),(28,7359217,'1986-03-04 00:00:00',4,8,12,2003,'M','N','CAMPO COMPRIDO','CURITIBA','PR','216161161136573441226651474121610124047',2809,'9998',63.50,1,2,1),(28,7359225,'1991-05-27 00:00:00',4,1,12,2010,'M','N','JOAO PAULO','FLORIANÓPOLIS','SC','124241248136132411433211345124610163195',14714,'306',38.84,4,2,1),(28,7359233,'1973-11-17 00:00:00',4,1,12,1993,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224241248427133751527344445124121926143',NULL,'9997',27.72,1,3,NULL),(28,7359250,'1975-04-20 00:00:00',4,1,12,1992,'M','N','CENTRO','FLORIANÓPOLIS','SC','224243241216375711489943335132521467042',5475,'262',61.53,1,3,NULL),(28,7359268,'1993-11-14 00:00:00',2,16,12,2011,'F','N','AGUA SANTA','CURITIBANOS','SC','124241248115372521314624573125221014142',NULL,'240',18.68,1,3,NULL),(28,7359284,'1980-02-07 00:00:00',2,1,12,1999,'F','N','JD STA MARIA','S PAULO','SP','525131251126272421373354195125341323027',NULL,'9998',0.00,1,2,1),(28,7359292,'1976-12-17 00:00:00',2,1,12,1996,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241315375431243629442114421932097',10384,'272',49.44,1,3,NULL),(28,7359330,'1990-03-15 00:00:00',2,1,11,2007,'M','N','MARTORANO','S JOAQUIM','SC','124242241215575231448613572125130367047',NULL,'1035',31.21,1,3,NULL),(28,7359349,'1992-12-09 00:00:00',4,8,12,2009,'M','N','GUABIROTUBA','CURITIBA','PR','116162161215572411568812574122610117032',NULL,'9998',0.00,3,3,NULL),(28,7359357,'1993-09-06 00:00:00',4,8,11,2011,'F','N','GLORIA','JOINVILLE','SC','124242241215131232557612575122610133117',NULL,'461',0.00,1,3,NULL),(28,7359381,'1993-02-01 00:00:00',2,8,12,2010,'F','N','PROGRESSO','S BENTO SUL','SC','124241241135371431325539385224610123147',NULL,'697',21.96,1,2,1),(28,7359390,'1989-01-11 00:00:00',2,25,12,2006,'M','N','INTERIOR','VIDEIRA','SC','124241241126141431333336145122610127052',NULL,'618',33.74,1,2,1),(28,7359403,'1995-08-23 00:00:00',4,9,12,2011,'F','N','ZONA RURAL','BOM RETIRO','SC','124241241127131431424923575124610136142',16101,'935',33.05,1,2,1),(28,7359420,'1993-08-08 00:00:00',2,16,12,2011,'F','N','COHAB UM','CURITIBANOS','SC','124241248112312521621419572345222413142',NULL,'240',29.59,1,3,NULL),(28,7359438,'1980-12-01 00:00:00',4,1,12,1998,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241233415111233344442122341562141',10256,'1063',44.65,1,3,NULL),(28,7359446,'1992-02-28 00:00:00',4,1,12,2008,'M','N','CENTRO','PALHOÇA','SC','124242241216113751238833445122230264197',4036,'1011',64.41,1,3,NULL),(28,7359470,'1991-09-27 00:00:00',2,6,11,2009,'M','N','VILA OPERARIA','ITAJAÍ','SC','124163241316471431448823274124610127067',NULL,'393',17.50,1,3,NULL),(28,7359489,'1994-03-31 00:00:00',2,7,12,2011,'F','N','CIDADE JARDIM','CATANDUVAS','SC','124241248116311211415423596324613023092',NULL,'161',20.76,1,3,NULL),(28,7359497,'1987-09-17 00:00:00',2,1,12,2005,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124055051517141441139743435133141767112',NULL,'9998',0.00,4,3,NULL),(28,7359500,'1990-06-01 00:00:00',4,22,12,2007,'M','N','LIMOEIRO','BRUSQUE','SC','124241241115131731435314345134130768157',19231,'116',34.20,1,2,1),(28,7359519,'1994-06-09 00:00:00',2,24,12,2011,'F','N','CRUZEIRO','RIO CAMPO','SC','124241241126161231633619245121610124142',NULL,'651',0.00,1,3,NULL),(28,7359527,'1995-03-28 00:00:00',4,1,12,2011,'M','N','ESTREITO','ALFREDO WAGNER','SC','124241241122161731445912245121610127182',NULL,'13',18.26,1,2,1),(28,7359535,'1991-01-13 00:00:00',2,6,11,2009,'F','N','SANTA CECILIA','PTO ALEGRE','RS','120203207217151331336723485112142512182',NULL,'9998',0.00,1,3,NULL),(28,7359543,'1994-12-11 00:00:00',2,26,12,2011,'F','N','ZONA RURAL','ITÁ','SC','124241248117131731613436596324610127187',12595,'196',41.95,1,3,NULL),(28,7359551,'1993-07-09 00:00:00',4,1,12,2010,'F','N','ENCRUZILHADA','SANTOS','SP','125253251117271431546933575124241437042',11756,'9998',39.48,1,3,NULL),(28,7359560,'1985-01-22 00:00:00',4,1,12,2002,'M','N','ARRAIAL DA JUDA','PTO SEGURO','BA','124052051236575411448832485122221622112',18260,'9998',38.08,4,3,NULL),(28,7359578,'1989-07-25 00:00:00',4,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215232431338844442124131065157',NULL,'53',22.58,1,3,NULL),(28,7359586,'1993-05-30 00:00:00',2,1,12,2010,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241112572711546619171124610124091',18049,'593',38.74,1,2,1),(28,7359594,'1994-02-03 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216111432689812345122610163072',NULL,'1048',15.77,1,3,NULL),(28,7359608,'1978-04-30 00:00:00',2,1,12,1995,'F','N','CENTRO','FLORIANÓPOLIS','SC','624243241126135431234659295124223042187',18915,'307',35.63,1,3,NULL),(28,7359616,'1994-07-20 00:00:00',4,16,12,2011,'M','N','INTERIOR','FR ROGÉRIO','SC','124241241115371431436933572224610117057',16812,'320',33.19,1,2,1),(28,7359624,'1987-09-10 00:00:00',5,1,11,2009,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124131137326131441112644346234142826187',NULL,'9998',23.55,2,1,2),(28,7359632,'1985-02-28 00:00:00',4,1,5,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241146144431346729245124233261182',NULL,'307',20.77,1,2,1),(28,7359659,'1994-05-04 00:00:00',4,17,12,2011,'M','N','CAMPO DA AGUA VERDE','CANOINHAS','SC','125241241217111441433912172122610164082',NULL,'973',0.00,1,3,NULL),(28,7359667,'1982-03-13 00:00:00',2,8,10,2011,'M','N','PARQUE GUARANI','JOINVILLE','SC','224241247135131731413354182345610123047',NULL,'9999',14.29,3,3,NULL),(28,7359675,'1989-01-10 00:00:00',2,1,10,2007,'M','N','CENTRO','CURITIBA','PR','116251168127272751436839491115610167047',NULL,'9998',0.00,2,1,1),(28,7359683,'1968-03-16 00:00:00',4,1,12,1985,'M','N','BALNEÁRIO DO ESTREIT','FLORIANÓPOLIS','SC','224242241216155421366643432122322632043',8133,'262',56.91,1,3,NULL),(28,7359691,'1992-10-11 00:00:00',2,1,12,1992,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124244246117271712456614575124610167057',11134,'306',46.87,1,3,NULL),(28,7359713,'1994-01-31 00:00:00',5,4,11,2010,'F','N','CAMOBI','STA MARIA','RS','120201201217472431453933494124610134077',NULL,'9998',0.00,1,3,NULL),(28,7359721,'1988-08-26 00:00:00',4,1,12,2006,'F','N','CARIANOS','FLORIANÓPOLIS','SC','624244241216152731238644445124610117147',14661,'855',46.25,3,3,NULL),(28,7359730,'1990-03-18 00:00:00',2,4,12,2007,'M','N','LA SALLE','PATO BRANCO','PR','116241241126374421445716475124122232037',11132,'579',51.91,1,2,1),(28,7359748,'1991-01-14 00:00:00',2,1,12,2008,'M','N','AREIAS DO MEIO','GOV CELSO RAMOS','SC','124241241146133731433634245232231412077',15311,'329',35.97,4,1,1),(28,7359764,'1955-05-07 00:00:00',2,1,12,1974,'M','N','CENTRO','FLORIANÓPOLIS','SC','224244241236154741438549295122121144042',NULL,'262',0.00,1,3,NULL),(28,7359772,'1972-04-04 00:00:00',2,1,12,1991,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','524241247327134431323444141134610123197',16491,'9999',42.68,1,3,NULL),(28,7359780,'1991-11-27 00:00:00',4,1,6,2010,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242247437342421366734415124610136185',11276,'9999',42.75,1,3,NULL),(28,7359799,'1993-08-26 00:00:00',2,1,12,2011,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241243127131531433633575124610126041',19839,'591',29.92,2,1,1),(28,7359802,'1993-05-09 00:00:00',2,5,11,2010,'F','N','CENTRO','ORLEANS','SC','124242241216152731424412395122231066182',NULL,'226',0.00,1,3,NULL),(28,7359810,'1995-01-30 00:00:00',2,1,12,2011,'M','N','UNIVERSITARIO','TIJUCAS','SC','124242241217111732357814572112610167047',NULL,'948',26.63,1,3,NULL),(28,7359829,'1992-08-26 00:00:00',4,1,12,2009,'M','N','ASA NORTE','BRASÍLIA','DF','125072021216253231469813575124141427052',10026,'9998',53.67,1,3,NULL),(28,7359837,'1993-04-15 00:00:00',2,1,12,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241217151431569912575121110117042',16967,'951',36.46,1,3,NULL),(28,7359845,'1991-12-07 00:00:00',4,1,11,2009,'F','N','BOQUEIRÃO','SANTOS','SP','125252251217572431489914575112610164012',2307,'9998',60.85,1,3,NULL),(28,7359853,'1992-03-04 00:00:00',4,1,6,2011,'F','N','CENTRO','BIGUAÇU','SC','124241247625271752226569375114610167192',18762,'9999',36.24,1,3,NULL),(28,7359861,'1994-01-08 00:00:00',2,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124241241117161431326336582324610167047',NULL,'13',19.29,1,3,NULL),(28,7359870,'1981-06-08 00:00:00',2,1,12,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','624241241146134721236949495122321127067',16732,'332',42.13,1,2,1),(28,7359896,'1993-04-15 00:00:00',4,1,12,2011,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124243241132371731433511345124610117045',NULL,'298',0.00,1,3,NULL),(28,7359900,'1994-03-15 00:00:00',4,3,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124242243115111531348931575124610127112',10388,'129',44.59,1,3,NULL),(28,7359918,'1984-12-29 00:00:00',2,1,12,2001,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124254251117131411126641415124341325147',19760,'9998',30.60,1,3,NULL),(28,7359926,'1985-01-03 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241336333421135344245222231364057',15288,'186',45.08,1,3,NULL),(28,7359934,'1985-03-20 00:00:00',5,1,12,2002,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216154721333823245114331524185',NULL,'226',0.00,1,3,NULL),(28,7359942,'1993-02-25 00:00:00',4,1,12,2009,'F','N','CENTRO','LONDRINA','PR','116162161215572411468833572112610144147',NULL,'9998',0.00,1,3,NULL),(28,7359950,'1973-08-16 00:00:00',2,1,12,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','524251257121272721124641315121610114182',NULL,'9998',27.96,1,3,NULL),(28,7359977,'1993-12-27 00:00:00',4,10,12,2011,'F','N','CENTRO','GR PARÁ','SC','124243241116131451426524575124610134197',16856,'330',31.70,1,3,NULL),(28,7359985,'1968-10-04 00:00:00',4,1,12,1985,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124212211216141421256443335132342431092',NULL,'9998',0.00,1,3,NULL),(28,7359993,'1992-11-30 00:00:00',4,1,12,2009,'M','N','ALPHAVILLE','CAMPINAS','SP','125254251217571431557911315122610147042',5662,'9998',52.37,1,3,NULL),(28,7360010,'1994-11-03 00:00:00',4,10,12,2011,'F','N','PARQUE DAS ACACIAS','S LUDGERO','SC','124241241135371331333333585125610134157',NULL,'748',21.49,1,3,NULL),(28,7360037,'1993-04-25 00:00:00',4,3,12,2010,'M','N','CENTRO','LGA VERMELHA','RS','120201201116161431338711345132143231147',NULL,'9998',0.00,1,2,1),(28,7360045,'1986-07-01 00:00:00',2,8,10,2011,'M','N','PARQUE GUARANI','JOINVILLE','SC','124241247135131712513324282345610123187',NULL,'9999',7.47,2,1,1),(28,7360053,'1989-04-25 00:00:00',2,4,12,2006,'F','N','LA SALLE','PATO BRANCO','PR','116162161216573421347714475114610124147',1395,'9998',66.66,1,3,NULL),(28,7360061,'1978-03-02 00:00:00',4,1,12,1995,'M','N','BARREIROS','S JOSÉ','SC','524242241116153531459641415124321417042',NULL,'211',0.00,1,3,NULL),(28,7360070,'1993-09-26 00:00:00',4,1,12,2010,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','124241241215372451467633595114610167062',4445,'1048',59.69,1,3,NULL),(28,7360088,'1993-01-14 00:00:00',4,1,12,2010,'M','N','CENTRO','BIGUAÇU','SC','124241248212132732334434345114610117097',NULL,'63',26.30,1,3,NULL),(28,7360096,'1994-07-25 00:00:00',2,16,12,2011,'F','N','SÃO LUIZ','CURITIBANOS','SC','124241241135141431322339282224610114145',NULL,'239',22.69,1,2,1),(28,7360100,'1994-06-25 00:00:00',4,10,12,2011,'M','N','CENTRO','CAPIVARI BAIXO','SC','124241241117271431436433575124610127147',4167,'158',57.48,1,2,1),(28,7360118,'1991-02-26 00:00:00',6,1,11,2010,'M','N','ALTO','CURITIBA','PR','116162161217471321369923441212610164052',18482,'9998',37.35,1,3,NULL),(28,7360134,'1993-10-10 00:00:00',4,3,12,2010,'F','N','JARDIM IATE CLUBE','BAL CAMBORIÚ','SC','124241241146131431643521245135610133077',20081,'51',26.71,1,2,1),(28,7360142,'1992-07-15 00:00:00',2,1,12,2010,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241247217371431127774342232610132047',17816,'9999',30.36,1,3,NULL),(28,7360150,'1992-06-15 00:00:00',2,15,12,2009,'F','N','JARDIM ITALIA','MELEIRO','SC','124241241116131441424415345124231936182',NULL,'559',0.00,1,3,NULL),(28,7360169,'1992-04-28 00:00:00',2,1,12,2010,'M','N','SERTÃO','STO AMARO IMPERATRIZ','SC','124192197147141411628874482114610117043',NULL,'9998',26.81,4,1,2),(28,7360177,'1993-06-06 00:00:00',4,1,12,2011,'F','N','BORGO','BENTO GONÇALVES','RS','120202207217161431268633575112610164187',NULL,'9998',0.00,1,3,NULL),(28,7360185,'1979-12-24 00:00:00',2,1,12,2000,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124243247226133611126941215124332722092',18623,'9999',36.81,1,3,NULL),(28,7360215,'1993-03-13 00:00:00',4,1,6,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241246117152431448819395124610167187',NULL,'306',0.00,4,2,1),(28,7360223,'1991-01-23 00:00:00',2,1,12,2009,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241117153231446623445124230227117',16087,'267',43.53,1,2,1),(28,7360231,'1994-06-28 00:00:00',4,1,12,2011,'M','N','BESENELO','NOVA TRENTO','SC','124242241215112211358832322124610168191',NULL,'948',0.00,1,3,NULL),(28,7360258,'1994-04-06 00:00:00',4,16,12,2011,'M','N','CENTRO','MTE CARLO','SC','124241241116111412226827575124610114051',NULL,'936',23.86,1,3,NULL),(28,7360266,'1992-07-24 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116162161216571431568812572115610163012',NULL,'9998',0.00,1,3,NULL),(28,7360274,'1965-05-18 00:00:00',4,10,12,1981,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','524242246217131441225544445334610132145',NULL,'806',0.00,1,3,NULL),(28,7360290,'1987-06-25 00:00:00',2,1,12,2005,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216373731388814495122343233157',6104,'270',60.41,1,3,NULL),(28,7360304,'1989-06-07 00:00:00',4,1,12,2011,'M','N','SOROCABA','PAULO LOPES','SC','124241241125131131423319345224610137172',17191,'607',33.46,1,2,1),(28,7360312,'1995-11-24 00:00:00',4,4,12,2012,'F','S','CENTRO','CHAPECÓ','SC','124242241212111751349834472115610164147',NULL,'185',33.62,1,3,NULL),(28,7360339,'1988-05-05 00:00:00',2,1,12,2005,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241416373431116644445324122337147',13578,'102',38.85,1,3,NULL),(28,7360347,'1992-12-23 00:00:00',2,1,6,2011,'F','N','FAZENDA STO ANTÔNIO','S JOSÉ','SC','124241247137141731523311282224610134147',NULL,'9999',31.08,4,1,1),(28,7360371,'1992-05-08 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241122131411337923342135610137057',NULL,'277',27.13,4,1,1),(28,7360398,'1994-02-04 00:00:00',4,10,12,2011,'M','N','CENTRO','IMBITUBA','SC','124241241115151431546914335112610127062',19774,'1034',30.45,1,2,1),(28,7360401,'1984-10-10 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216574431248939435124231064042',NULL,'262',0.00,1,3,NULL),(28,7360410,'1971-07-26 00:00:00',4,1,2,1989,'M','N','INGLESES','FLORIANÓPOLIS','SC','524163162116142441349453435124342247042',17451,'9998',40.41,1,3,NULL),(28,7360428,'1994-01-13 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241114472431536823575224610114187',NULL,'307',23.89,4,2,1),(28,7360436,'1991-08-21 00:00:00',2,1,12,2008,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124241241116273331626513445134233214057',NULL,'281',23.55,1,2,1),(28,7360444,'1994-02-05 00:00:00',2,9,12,2011,'M','N','SÃO CRISTÓVÃO','LAGES','SC','124242241115151431688813575122610137172',NULL,'1208',0.00,1,3,NULL),(28,7360460,'1990-10-03 00:00:00',1,24,6,2008,'F','N','CENTRO','AGRONÔMICA','SC','124242281416575441459814345134610126092',7472,'9998',52.76,1,3,NULL),(28,7360487,'1994-05-01 00:00:00',2,10,11,2011,'F','N','CENTRO','TUBARÃO','SC','124242241215171431439914445122610124072',NULL,'807',23.06,1,3,NULL),(28,7360495,'1981-10-02 00:00:00',4,1,11,1998,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124252251436131421426548482214130228187',18630,'9998',36.77,1,3,NULL),(28,7360509,'1994-01-03 00:00:00',2,1,12,2011,'M','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124244241115161431636733381124610127042',NULL,'733',25.34,1,3,NULL),(28,7360517,'1988-06-24 00:00:00',2,1,12,2005,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124251251122371431328879245124610138097',15737,'9998',35.49,1,2,1),(28,7360525,'1991-03-22 00:00:00',2,4,12,2008,'M','N','CENTRO','FRANCISCO BELTRÃO','PR','116243241216573421348823573125610127013',NULL,'1156',36.12,1,3,NULL),(28,7360533,'1982-08-02 00:00:00',2,1,12,2001,'M','N','VALDIR FURTADO AMORI','CACHOEIRO ITAPEMIRIM','ES','108081081116131441333311235224341926057',NULL,'9998',0.00,4,2,1),(28,7360541,'1993-07-25 00:00:00',4,8,12,2010,'M','N','CENTRO','ITAPEVA','SP','125252251412513731556813575122141417047',942,'9998',69.65,1,3,NULL),(28,7360550,'1994-09-22 00:00:00',2,1,12,2010,'F','N','ARUANA','ARACAJU','SE','126262261215471431368713575122610168182',4047,'9998',59.14,4,3,NULL),(28,7360568,'1990-11-28 00:00:00',4,1,12,2007,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124244241211143411335923495124231014117',18217,'1022',38.25,1,3,NULL),(28,7360576,'1976-09-16 00:00:00',2,1,11,1993,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','524201201127131731423344442334130212187',17506,'9998',31.81,1,2,1),(28,7360584,'1994-09-11 00:00:00',4,2,12,2011,'F','N','PROGRESSO','BLUMENAU','SC','124241241116371431435411345124610124142',11461,'80',43.88,1,2,1),(28,7360606,'1991-01-28 00:00:00',4,15,12,2007,'M','N','MADUREIRA','CAXIAS SUL','RS','120202201216573431369911575122221464043',NULL,'9998',0.00,1,3,NULL),(28,7360614,'1988-01-13 00:00:00',2,1,12,2005,'M','N','OUVIDOR','GAROPABA','SC','124241241132131712514411315123610117067',16790,'322',33.54,1,2,1),(28,7360622,'1987-10-15 00:00:00',2,1,12,2004,'F','N','COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC','124201201147271111126644145114610168197',17915,'9998',39.16,3,2,1),(28,7360630,'1992-07-11 00:00:00',2,4,12,2009,'F','N','CENTRO','S MARCOS','RS','120201201216573411453612581124610127147',11208,'9998',43.59,1,3,NULL),(28,7360657,'1985-08-06 00:00:00',2,1,12,2001,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241146271731124444191314610167047',17290,'298',40.81,1,2,1),(28,7360673,'1989-03-19 00:00:00',2,1,12,2006,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124201201116134731123544345134610123187',13506,'9998',39.17,1,3,NULL),(28,7360681,'1989-09-04 00:00:00',2,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241315131431636324445114610165177',NULL,'580',0.00,4,3,NULL),(28,7360690,'1987-08-23 00:00:00',2,10,12,2004,'F','N','HUMAITÁ','TUBARÃO','SC','224242241316132451648953575122331012011',17273,'804',40.84,1,3,NULL),(28,7360703,'1982-10-04 00:00:00',4,1,12,2000,'M','N','INGLESES','FLORIANÓPOLIS','SC','224242241232112431236644445132330227042',14668,'262',46.23,1,3,NULL),(28,7360720,'1987-06-18 00:00:00',2,1,12,2006,'M','N','FLORESTA','PTO ALEGRE','RS','120202201216472431547634495122141024043',128,'9998',76.80,1,3,NULL),(28,7360754,'1992-03-12 00:00:00',2,1,12,2009,'M','N','BELA VISTA','BOM RETIRO','SC','124241241136373431426611415122610137067',16804,'95',35.34,1,2,1),(28,7360762,'1988-07-14 00:00:00',2,1,3,2008,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241243236131431224469145124610157097',NULL,'307',0.00,4,1,2),(28,7360770,'1993-12-01 00:00:00',2,15,12,2010,'F','N','CENTRO','PASSO TORRES','SC','124241241147371431323632275121610132147',13288,'605',42.10,1,2,1),(28,7360789,'1976-02-11 00:00:00',2,1,10,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201247114441422323149212124610161142',NULL,'9999',20.75,4,2,1),(28,7360797,'1984-11-25 00:00:00',2,1,12,2004,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241217135411478313445122231067042',12396,'1022',49.95,1,3,NULL),(28,7360800,'1974-03-19 00:00:00',2,1,12,1993,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','224241241321152411225344141122320928187',17071,'296',41.38,1,3,NULL),(28,7360819,'1993-08-24 00:00:00',4,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124203241216372751637619395124610127042',10531,'1134',44.56,1,3,NULL),(28,7360827,'1991-10-14 00:00:00',2,1,12,2010,'M','N','CAMPINAS','S JOSÉ','SC','111113111117231431428713385123242428185',NULL,'9998',0.00,1,3,NULL),(28,7360835,'1987-10-22 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116272431327724182124133231187',11707,'787',42.37,1,2,1),(28,7360843,'1993-05-15 00:00:00',4,6,7,2011,'F','N','ESTRADINHA','PARANAGUÁ','PR','116164168116371431346923575124610123012',NULL,'9998',0.00,1,3,NULL),(28,7360851,'1990-12-21 00:00:00',4,1,11,2009,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124242241215574431469832575112230234096',12452,'270',44.50,1,3,NULL),(28,7360878,'1991-09-04 00:00:00',4,9,12,2008,'M','N','COPACABANA','LAGES','SC','124241241116373752436629575112610147067',9604,'935',54.36,1,2,1),(28,7360886,'1985-05-11 00:00:00',2,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216132431126643235124322764093',18724,'272',36.38,1,3,NULL),(28,7360894,'1993-04-05 00:00:00',4,5,12,2009,'M','N','PRESIDENTE VARGAS','IÇARA','SC','124243241217151431656634345124133264112',15998,'995',43.70,1,3,NULL),(28,7360908,'1995-06-21 00:00:00',4,1,12,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241212131711325629575124610145072',6264,'273',60.12,1,3,NULL),(28,7360932,'1991-05-23 00:00:00',2,8,12,2008,'M','N','MOSSUNGUE','CURITIBA','PR','116161161116371431326621334114610143147',14362,'9998',46.83,4,2,1),(28,7360940,'1967-09-21 00:00:00',2,1,12,1986,'F','N','CAMPINAS','S JOSÉ','SC','124204241337135711223344341124232223193',19535,'293',32.44,1,3,NULL),(28,7360959,'1982-02-18 00:00:00',4,1,12,1999,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241316143441556641415134332036015',13046,'359',48.92,1,3,NULL),(28,7360967,'1991-02-02 00:00:00',2,1,11,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124203207446372751238419495124610132097',12964,'9998',38.53,1,3,NULL),(28,7360975,'1991-07-02 00:00:00',4,8,12,2008,'M','N','CENTRO','CANOINHAS','SC','124243241211154431478813575124241067062',NULL,'154',0.00,1,3,NULL),(28,7360983,'1993-08-26 00:00:00',4,6,12,2010,'F','N','RIO DA PRATA','RIO CAMPO','SC','124241241125161531324639575121233227052',NULL,'651',0.00,1,2,1),(28,7360991,'1992-01-22 00:00:00',2,1,12,2009,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241117151732423339395224610128182',NULL,'292',21.70,2,1,1),(28,7361025,'1995-08-21 00:00:00',4,10,12,2011,'M','N','ENCRUZO','JAGUARUNA','SC','124242241215111441249931572114610125092',3517,'806',65.55,1,3,NULL),(28,7361033,'1992-12-08 00:00:00',4,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241213373731289913372114140264055',NULL,'1133',0.00,3,3,NULL),(28,7361041,'1987-10-03 00:00:00',4,3,12,2004,'M','N','RURAL','IRACEMA OESTE','PR','116161161126312731521226195314141417067',NULL,'9998',15.61,4,2,1),(28,7361050,'1984-01-28 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124202248227131431616644345224133216192',NULL,'9998',27.19,1,3,NULL),(28,7361068,'1984-07-18 00:00:00',2,15,12,2000,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124241241122132431224828282344131024067',15812,'420',44.07,1,2,1),(28,7361076,'1993-07-09 00:00:00',4,3,12,2010,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241316472231436815575124610147142',10841,'44',42.46,1,3,NULL),(28,7361084,'1992-08-28 00:00:00',2,1,12,2011,'F','N','BREJARÚ','PALHOÇA','SC','124241241115131431423334112321610124147',15197,'592',36.81,4,2,1),(28,7361092,'1992-09-22 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241217272441239919576114131964026',15762,'883',34.24,4,3,NULL),(28,7361114,'1974-08-01 00:00:00',2,3,12,1994,'F','N','PARQUE','RIO GRANDE','RS','120201208116175751224633495134610148092',NULL,'9998',0.00,1,2,1),(28,7361122,'1992-09-09 00:00:00',4,1,12,2010,'M','N','AGUA FRIA','S PAULO','SP','125252251215471431458812471122610124042',NULL,'9998',0.00,1,3,NULL),(28,7361130,'1981-02-04 00:00:00',4,1,12,2000,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241126474451226529282124121457122',2128,'307',69.41,1,3,NULL),(28,7361149,'1994-03-10 00:00:00',4,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241112272231324319472122610128142',NULL,'772',16.57,1,2,1),(28,7361165,'1991-11-19 00:00:00',4,4,12,2008,'M','N','MIRANTE','ITÁ','SC','124241241136131431423319345121610164051',19970,'383',28.57,1,3,NULL),(28,7361173,'1992-09-01 00:00:00',2,1,12,2011,'F','N','CENTRO','ANTÔNIO CARLOS','SC','124241241115161431543619395121610147047',NULL,'21',15.10,1,2,1),(28,7361181,'1990-01-05 00:00:00',4,1,12,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124244241113432421238629495124232117052',NULL,'271',0.00,1,3,NULL),(28,7361190,'1994-03-16 00:00:00',2,3,12,2011,'M','N','BOMBAS','BOMBINHAS','SC','124241242117372441573512295121610165142',4290,'129',60.00,1,3,NULL),(28,7361203,'1992-06-25 00:00:00',4,5,12,2009,'M','N','BEL RECANTO','URUSSANGA','SC','124241241136151431446923385124131267072',17968,'822',39.02,1,3,NULL),(28,7361211,'1994-07-02 00:00:00',4,1,12,2011,'F','N','JARDIM DONA MARIA','PITANGA','PR','116161161116251411348733275122610124147',NULL,'9998',0.00,1,2,1),(28,7361246,'1990-12-02 00:00:00',2,1,12,2007,'M','N','PACHECOS','PALHOÇA','SC','124241241117154411554933235134122266141',NULL,'306',0.00,4,2,1),(28,7361254,'1978-05-26 00:00:00',2,1,6,1997,'M','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','124203207326131421238624142234320962097',NULL,'9998',0.00,1,3,NULL),(28,7361289,'1994-08-15 00:00:00',4,2,12,2011,'M','N','VELHA','BLUMENAU','SC','124241241115151631466539572124610144082',9977,'84',45.29,1,2,1),(28,7361297,'1993-09-23 00:00:00',4,16,12,2010,'F','N','CENTRO','STA CECÍLIA','SC','124241241115311431525932572114610138142',19364,'686',33.56,1,3,NULL),(28,7361300,'1992-06-11 00:00:00',2,4,12,2009,'F','N','CENTRO','CASCAVEL','PR','116241241117131431114444242125610167147',NULL,'818',0.00,1,2,1),(28,7361319,'1993-07-17 00:00:00',4,2,12,2010,'F','N','GARCIA','BLUMENAU','SC','124241241435141431453321241124610121112',NULL,'85',0.00,1,3,NULL),(28,7361335,'1986-04-18 00:00:00',2,8,12,2003,'F','N','CENTRO','IGUAPE','SP','125251251116471431657813575124343224097',10108,'9998',47.28,1,2,1),(28,7361343,'1992-06-05 00:00:00',2,1,12,2009,'F','N','JOAO PAULO','FLORIANÓPOLIS','SC','124241241132573431524311295124610126027',15149,'922',39.24,1,2,1),(28,7361351,'1980-06-17 00:00:00',2,1,12,1997,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124203201117154751148773435122321523017',11742,'9998',50.95,1,3,NULL),(28,7361360,'1994-05-12 00:00:00',2,5,12,2011,'M','N','CENTRO','PR GRANDE','SC','124241241135471331536614475121610127052',14560,'641',34.87,1,2,1),(28,7361386,'1994-01-21 00:00:00',2,7,12,2010,'M','N','INTERIOR','BARRACÃO','RS','120201201115131411623823552214131437057',18287,'9998',26.84,1,2,1),(28,7361424,'1993-06-11 00:00:00',2,1,12,2010,'F','N','CENTRO','PALHOÇA','SC','124241241426142431423631345224130823142',11832,'9997',42.48,1,3,NULL),(28,7361467,'1987-02-17 00:00:00',4,1,12,2004,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124052051217572451438819395123122653027',11949,'9998',50.62,4,3,NULL),(28,7361475,'1995-03-18 00:00:00',4,1,12,2011,'F','N','SERRARIA','S JOSÉ','SC','124241241116371411326529576124610127142',14909,'1116',40.06,1,2,1),(28,7361483,'1961-10-15 00:00:00',2,1,12,1981,'M','N','PONTA DE BAIXO','S JOSÉ','SC','624241242116155751553643431122320362047',NULL,'143',16.80,1,3,NULL),(28,7361491,'1994-03-18 00:00:00',4,5,10,2011,'F','N','VILA NOVA','IÇARA','SC','124242241215111411224624595124610165042',NULL,'226',0.00,1,3,NULL),(28,7361513,'1992-08-17 00:00:00',2,23,11,2009,'F','N','INDUSTRIAL NORTE','RIO NEGRINHO','SC','124241241112373231324414572122610167147',11846,'669',42.27,1,2,1),(28,7361521,'1991-10-25 00:00:00',2,4,12,2011,'M','N','CENTRO','CASCAVEL','PR','116243161322141431536413342124610117047',NULL,'9998',0.00,1,3,NULL),(28,7361530,'1987-07-01 00:00:00',4,1,12,2005,'F','N','KOBRASOL','S JOSÉ','SC','124164161216273431457336495124121444142',NULL,'9998',0.00,1,3,NULL),(28,7361548,'1994-03-04 00:00:00',2,5,11,2011,'F','N','CENTRO','MRO FUMAÇA','SC','124241241215112331536514575124610165117',NULL,'226',28.60,1,3,NULL),(28,7361564,'1985-05-31 00:00:00',2,15,12,2002,'F','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','624241241116131431326654345222332222147',17113,'29',41.23,1,3,NULL),(28,7361572,'1993-06-08 00:00:00',4,1,7,2011,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244241217141111126611395134610117117',18950,'9999',35.49,1,3,NULL),(28,7361599,'1986-07-02 00:00:00',4,1,6,2005,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','624241241117275431339653385112610161192',14768,'306',46.05,1,2,1),(28,7361602,'1985-11-03 00:00:00',2,1,12,2002,'M','N','BOM JESUS','RIO NEGRO','PR','116161161116131431546719485112143267047',18515,'9998',37.24,1,2,1),(28,7361610,'1982-10-02 00:00:00',4,1,7,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242246116135421168923485124120734195',8832,'306',55.71,1,3,NULL),(28,7361653,'1994-02-09 00:00:00',2,1,12,2010,'M','N','CENTRO','VIDAL RAMOS','SC','124241241117271431556632295121231437053',16291,'828',43.12,1,2,1),(28,7361670,'1984-09-01 00:00:00',4,1,11,2002,'F','N','BACACHERI','CURITIBA','PR','116162161216371731559829413122340664147',NULL,'9998',0.00,3,3,NULL),(28,7361688,'1983-09-17 00:00:00',2,8,12,2001,'M','N','ITAUM','JOINVILLE','SC','124242241226371721343419341221331238047',18591,'459',36.93,1,3,NULL),(28,7361696,'1994-12-19 00:00:00',2,3,12,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124243243115171431437933575124610133077',NULL,'129',26.16,1,3,NULL),(28,7361700,'1993-03-11 00:00:00',2,7,12,2010,'F','N','CENTRO','ÁGUA DOCE','SC','124241241111131732536924245134610124147',NULL,'539',30.36,1,2,1),(28,7361718,'1992-05-26 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124242241216133421447613575122221428097',12497,'1022',42.38,1,3,NULL),(28,7361726,'1993-08-12 00:00:00',4,1,12,2010,'F','N','CRISTAL','PTO ALEGRE','RS','120202201216471431448933595112610166192',NULL,'9998',0.00,1,3,NULL),(28,7361734,'1989-01-07 00:00:00',4,4,12,2009,'M','N','CENTRO','PALMAS','PR','116163161146142421123344245123610132182',15658,'9998',33.91,1,3,NULL),(28,7361742,'1980-01-13 00:00:00',4,1,12,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241236374431238842125334121062187',NULL,'262',0.00,1,3,NULL),(28,7361750,'1976-05-11 00:00:00',4,1,12,1993,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','624242241216145751255843235122330264197',NULL,'270',11.13,1,3,NULL),(28,7361769,'1991-09-17 00:00:00',2,6,12,2008,'F','N','CENTRO','S JOSÉ OURO','RS','124201201116131431535633235124233222142',NULL,'9998',0.00,1,2,1),(28,7361777,'1993-12-20 00:00:00',4,1,12,2010,'M','N','CENTRO','RIBEIRÃO PRETO','SP','125131251137471431335614575122610167052',15212,'9998',31.65,1,2,1),(28,7361785,'1991-08-12 00:00:00',2,6,12,2008,'M','N','CENTRO','NAVEGANTES','SC','124244241416473411337839595121610127112',2174,'937',63.66,1,3,NULL),(28,7361793,'1993-10-25 00:00:00',2,1,6,2011,'M','N','STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC','124242241216471431458811575114610127112',16962,'262',41.62,4,3,NULL),(28,7361807,'1976-04-03 00:00:00',2,1,12,2003,'M','N','KOBRASOL','S JOSÉ','SC','124242246316135721316633475124330762083',13521,'303',48.21,1,3,NULL),(28,7361815,'1986-06-30 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241112334431124444442334610113041',19685,'307',31.35,1,3,NULL),(28,7361823,'1994-10-27 00:00:00',4,1,11,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111752457713575122613224042',NULL,'270',50.98,1,3,NULL),(28,7361831,'1967-06-17 00:00:00',3,1,6,1985,'F','N','CARIANOS','FLORIANÓPOLIS','SC','224241248116155411523651475124332616092',14295,'306',46.96,1,3,NULL),(28,7361858,'1987-07-10 00:00:00',2,1,12,2005,'M','N','BOM JESUS','JARDINÓPOLIS','SP','125251251137132741325639315124610137042',NULL,'9998',28.04,1,2,1),(28,7361874,'1988-05-04 00:00:00',4,1,6,2007,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124252281416152411259522175122221625117',8116,'9998',48.58,1,3,NULL),(28,7361904,'1992-10-18 00:00:00',2,1,1,2012,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241316231431546623395122610134057',20118,'9999',25.74,1,3,NULL),(28,7361912,'1994-08-27 00:00:00',2,1,12,2011,'F','N','ALTO ARIRIU','PALHOÇA','SC','124241241117111731321624242124610118047',17933,'592',29.95,1,2,1),(28,7361920,'1994-03-30 00:00:00',2,16,12,2011,'F','N','CENTRO','BRUNÓPOLIS','SC','124241241127131431323311372324610134147',15892,'911',37.20,1,2,1),(28,7361939,'1960-09-29 00:00:00',2,1,12,1982,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124211213122275411116478192313120662197',8592,'9998',50.23,1,3,NULL),(28,7361955,'1988-05-28 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241127135431436511242224610115172',19197,'922',34.38,4,2,1),(28,7361963,'1993-12-04 00:00:00',2,1,12,2010,'F','N','FAZENDA STO ANTONIO','S JOSÉ','SC','124241241136172741425619245122610122184',20032,'733',27.63,1,2,1),(28,7361971,'1994-06-19 00:00:00',4,2,12,2011,'M','N','VELHA','BLUMENAU','SC','124242241215111431368823575124610144192',8715,'87',55.90,1,3,NULL),(28,7361980,'1995-04-25 00:00:00',4,10,11,2012,'M','S','OFICINAS','TUBARÃO','SC','124242243215111731358824572122610134052',NULL,'806',40.35,1,3,NULL),(28,7362005,'1993-09-02 00:00:00',4,2,12,2010,'F','N','CENTRO','ARAPONGAS','PR','116162161214472431558511575112610137072',NULL,'9998',0.00,1,3,NULL),(28,7362013,'1990-07-22 00:00:00',2,1,12,2007,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','224241241116134431325854342124610133182',13402,'307',48.38,2,1,1),(28,7362021,'1994-01-27 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241111141431424613271124610166097',NULL,'276',24.04,2,1,1),(28,7362030,'1987-12-06 00:00:00',4,1,3,2006,'M','N','STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC','124242241117133721328844245234121664181',15758,'739',44.18,1,3,NULL),(28,7362064,'1989-07-23 00:00:00',4,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241241127151411436823475124610162187',17953,'315',39.07,1,2,1),(28,7362072,'1992-12-06 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124244247236373431546669575114610132042',7299,'9999',51.87,2,1,2),(28,7362102,'1995-01-18 00:00:00',4,2,12,2012,'M','S','ASILO','BLUMENAU','SC','124242241217111732236724215124610168187',NULL,'87',27.32,1,3,NULL),(28,7362110,'1975-08-26 00:00:00',2,1,11,1993,'F','N','SANTOS SARAIVA','S JOSÉ','SC','224163161116131411233343335123610155097',NULL,'9998',39.08,1,3,NULL),(28,7362129,'1991-02-03 00:00:00',2,5,12,2009,'F','N','SATURNO','FORQUILHINHA','SC','124241241146141431323329495124231026142',NULL,'310',30.81,1,2,1),(28,7362137,'1992-05-19 00:00:00',2,1,12,2010,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242247417132131538313575124230423145',NULL,'9999',18.56,1,3,NULL),(28,7362145,'1995-03-25 00:00:00',2,26,12,2011,'F','N','INTERIOR','CONCÓRDIA','SC','124241241111131531324714572324610126052',NULL,'192',0.00,1,2,1),(28,7362153,'1989-05-20 00:00:00',4,3,12,2006,'F','N','XIV DE NOVEMBRO','CASCAVEL','PR','116162161216131421433612142122241233012',NULL,'9998',32.50,4,3,NULL),(28,7362161,'1984-10-07 00:00:00',2,1,11,2003,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124202201215472441129914482121223064047',16518,'9998',42.62,1,3,NULL),(28,7362170,'1993-01-18 00:00:00',2,27,12,2010,'F','N','ESTRELA','S MIGUEL OESTE','SC','124241246416351331536821395122610111012',NULL,'1179',0.00,1,3,NULL),(28,7362188,'1987-08-12 00:00:00',2,1,12,2005,'F','N','JARDIM CIDADE','S JOSÉ','SC','124242241217132411536844445124231348092',19541,'738',32.41,1,3,NULL),(28,7362196,'1993-03-21 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215132431453923375124231024057',NULL,'226',0.00,1,3,NULL),(28,7362200,'1993-05-26 00:00:00',4,1,12,2010,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124241241127142441536623341124610136091',13840,'283',36.80,1,2,1),(28,7362242,'1985-11-29 00:00:00',4,6,11,2002,'F','N','CENTRO','CURITIBA','PR','116162161216574431458833475114341364142',2240,'9998',69.04,1,3,NULL),(28,7362277,'1980-04-21 00:00:00',2,1,12,2000,'M','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','624241241122133751431149195121521664027',NULL,'857',18.41,5,3,NULL),(28,7362285,'1985-04-08 00:00:00',4,1,12,2002,'F','N','TAPAJÓS','INDAIAL','SC','124241241127141351323371285124132228182',NULL,'365',0.00,1,3,NULL),(28,7362307,'1993-09-02 00:00:00',4,1,12,2010,'M','N','HIGIENOPOLIS','STA CRUZ SUL','RS','120202201217371431469834475124241422042',NULL,'9998',0.00,1,3,NULL),(28,7362315,'1994-04-21 00:00:00',4,10,12,2011,'M','N','PASSO DO GADO','TUBARÃO','SC','124241241115271421324439395124610144142',NULL,'1034',0.00,1,2,1),(28,7362323,'1986-08-24 00:00:00',2,4,12,2004,'F','N','JARDIM AMÉRICA','CHAPECÓ','SC','124244241211553421236923435122330147057',8506,'185',48.29,4,3,NULL),(28,7362331,'1994-06-08 00:00:00',2,3,12,2011,'M','N','CENTRO','PARANATINGA','MT','111112111336161431233836585121610167042',NULL,'9998',0.00,1,3,NULL),(28,7362340,'1990-10-23 00:00:00',2,8,11,2008,'F','N','TROPICAL','CASCAVEL','PR','116164161216471441449821575112610161182',NULL,'9998',0.00,1,3,NULL),(28,7362358,'1994-04-20 00:00:00',2,1,12,2011,'F','N','JD INOCOOP','RIO CLARO','SP','125253251417231431317634315123610134097',13182,'9998',40.71,1,3,NULL),(28,7362366,'1994-06-03 00:00:00',2,1,11,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431456611575125610124192',12537,'272',44.63,1,3,NULL),(28,7362374,'1993-07-21 00:00:00',4,8,12,2010,'M','N','JARDIM ELDORADO','PARANAGUÁ','PR','116162161216471431238839575124610124067',NULL,'9998',0.00,1,3,NULL),(28,7362382,'1983-06-07 00:00:00',2,1,12,2000,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124203201113153221135649495122321567047',NULL,'9998',0.00,1,3,NULL),(28,7362390,'1991-10-20 01:00:00',4,1,12,2009,'M','N','DEMÉTRIA','BOTUCATU','SP','125252251215571411548812575112610167016',11751,'9998',50.94,1,3,NULL),(28,7362404,'1992-11-09 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241115372711456413375124221464017',5754,'267',54.82,1,2,1),(28,7362412,'1993-07-18 00:00:00',6,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241125372431435611515124610127022',9843,'282',48.92,1,2,1),(28,7362420,'1988-07-01 00:00:00',4,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244247337142711556823445124141022183',NULL,'9999',28.54,4,3,NULL),(28,7362439,'1993-03-16 00:00:00',4,1,12,2010,'F','N','BARREITOS','S JOSÉ','SC','124243241216272731526734445134610124142',8145,'1118',51.26,1,3,NULL),(28,7362447,'1991-01-03 00:00:00',4,15,12,2008,'F','N','URUSSANGUINHA','ARARANGUÁ','SC','124242241416274751468619495112123262052',15481,'30',44.73,1,3,NULL),(28,7362455,'1995-05-24 00:00:00',4,2,12,2013,'M','S','MORRETES','ITAPEMA','SC','124241241116131431223822485124610164177',NULL,'9998',28.51,1,3,NULL),(28,7362471,'1995-03-11 00:00:00',4,22,12,2011,'F','N','TAJUGA II','S JOÃO BATISTA','SC','124241241117161131557733245122610122182',18419,'712',27.20,1,3,NULL),(28,7362501,'1983-12-08 00:00:00',2,1,12,2001,'F','N','PANATANAL','FLORIANÓPOLIS','SC','124241241116134451433439295124222637072',15165,'1005',36.29,2,1,1),(28,7362510,'1994-02-24 00:00:00',2,3,12,2010,'M','N','CENTRO','CAMBORIÚ','SC','124242241215271431548814575124131467077',16244,'389',43.25,1,3,NULL),(28,7362528,'1991-07-17 00:00:00',2,5,7,2009,'F','N','CEARÁ','CRICIÚMA','SC','124244248416273431226624445134610124142',4383,'995',58.58,1,3,NULL),(28,7362536,'1994-05-30 00:00:00',2,4,12,2011,'F','N','JRDIM ITALIA','CHAPECÓ','SC','124241241111371231536611145122610163142',12878,'169',42.14,1,2,1),(28,7362552,'1991-04-07 00:00:00',2,23,12,2008,'M','N','VILA LALAU','JARAGUÁ SUL','SC','124241241147111431536412295122610157042',NULL,'430',25.12,1,2,1),(28,7362579,'1992-01-28 00:00:00',2,4,12,2007,'F','N','CENTRO','PTE SERRADA','SC','124241241216473751437923495124133228197',3411,'1071',60.30,4,3,NULL),(28,7362587,'1986-12-30 00:00:00',4,1,12,2006,'F','N','SAO LUIZ','S JOSÉ','SC','124241241137151421321424341124610114192',NULL,'729',9.36,1,3,NULL),(28,7362595,'1992-12-29 00:00:00',4,2,12,2010,'M','N','GARCIA','BLUMENAU','SC','124242241237472431437712372112610167147',5707,'71',61.11,4,3,NULL),(28,7362609,'1980-02-07 00:00:00',4,1,12,1996,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','524243241316373711147343432122321725092',NULL,'270',0.00,4,1,2),(28,7362617,'1964-09-25 00:00:00',2,1,12,1984,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','224243241337141411225649392144610167187',NULL,'9997',20.40,2,1,2),(28,7362625,'1994-08-04 00:00:00',4,5,10,2011,'M','N','PROSPERA','CRICIÚMA','SC','124242241215111431538811575112610167112',19218,'226',34.24,1,3,NULL),(28,7362633,'1982-02-23 00:00:00',2,1,12,2001,'M','N','KOBRASOL','S JOSÉ','SC','124242241332375731424414445111133262187',NULL,'306',14.83,1,3,NULL),(28,7362641,'1977-02-27 00:00:00',4,1,12,1995,'M','N','JURERE','FLORIANÓPOLIS','SC','124242241216142711159841413122342417187',NULL,'270',0.00,1,3,NULL),(28,7362650,'1992-04-03 00:00:00',4,1,12,2009,'F','N','MOLLON','STA BÁRBARA D OESTE','SP','125254251216471411435632321122143265132',NULL,'9998',0.00,1,3,NULL),(28,7362668,'1994-08-09 00:00:00',2,1,12,2011,'M','N','PLANO DIRETOR SUL','PALMAS','TO','109142098215171731535611585123610168142',NULL,'9998',0.00,4,3,NULL),(28,7362676,'1986-05-02 00:00:00',2,1,12,2000,'F','N','PORTO DA LAGOA','FLORIANÓPOLIS','SC','124241241116373431434435315124610124057',NULL,'192',0.00,1,2,1),(28,7362684,'1988-10-04 00:00:00',2,1,12,2006,'M','N','BELA VISTA','S JOSÉ','SC','624242241217143431357613445122233262071',19641,'738',31.67,2,1,2),(28,7362714,'1971-01-07 00:00:00',2,1,12,1989,'F','N','SAMBAQUI','FLORIANÓPOLIS','SC','124201203227333431233379482124232826187',11863,'9998',42.66,1,3,NULL),(28,7362722,'1993-07-11 00:00:00',2,1,12,2010,'M','N','CINQUENTENARIO','CAXIAS SUL','RS','120202201215572231577812571112240827112',16496,'9998',42.67,1,3,NULL),(28,7362730,'1990-07-10 00:00:00',2,1,12,2008,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','224243247626131731434444345114610164017',NULL,'9999',18.34,1,3,NULL),(28,7362749,'1989-07-26 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215155332457813575114233247037',NULL,'737',0.00,1,3,NULL),(28,7362757,'1987-04-19 00:00:00',2,1,12,2004,'M','N','BOM JESUS','RIO NEGRO','PR','116161161116131431546719485123132337042',NULL,'9998',27.32,1,2,1),(28,7362765,'1993-10-16 00:00:00',4,1,11,2010,'M','N','CACHOEIRAS','BIGUAÇU','SC','124241241116132331623531342324610132073',NULL,'64',22.60,2,1,1),(28,7362790,'1995-10-19 00:00:00',4,1,12,2012,'M','S','ESTREITO','FLORIANÓPOLIS','SC','124242241212111411538612575124610127047',NULL,'270',25.51,1,3,NULL),(28,7362803,'1994-05-30 00:00:00',2,4,12,2011,'F','N','JRDIM ITALIA','CHAPECÓ','SC','124241241111371431536611145122610166177',13191,'169',39.25,4,2,1),(28,7362811,'1969-08-12 00:00:00',2,1,12,1985,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124244248417272451218649392344333253097',NULL,'262',25.70,1,3,NULL),(28,7362820,'1994-12-14 00:00:00',2,7,12,2011,'M','N','APARECIDA','CAMPOS NOVOS','SC','124241248115141431423313342123610167053',19765,'139',30.54,4,2,1),(28,7362838,'1994-12-21 00:00:00',2,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124243241215111431336612375122610125142',14506,'1191',33.95,1,3,NULL),(28,7362846,'1987-01-12 00:00:00',4,1,12,2005,'F','N','BARREIROS','S JOSÉ','SC','124241248136272431436313372124231417017',NULL,'257',21.59,1,2,1),(28,7362862,'1995-01-18 00:00:00',2,16,12,2011,'M','N','CENTRO','CURITIBANOS','SC','124244241115471431338861315122610114065',18207,'239',38.28,1,3,NULL),(28,7362889,'1991-12-12 00:00:00',2,23,12,2008,'F','N','TRÊS RIOS DO SUL','JARAGUÁ SUL','SC','124241241346131731456619295124231066142',19826,'432',30.07,1,3,NULL),(28,7362897,'1986-01-24 00:00:00',2,1,12,2002,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124283161316133411118813445345121417097',5935,'9998',60.69,4,3,NULL),(28,7362900,'1995-06-17 00:00:00',4,1,11,2012,'M','S','SACO GRANDE','FLORIANÓPOLIS','SC','124242241217121752489833575112610164062',NULL,'270',32.96,1,3,NULL),(28,7362919,'1993-05-26 00:00:00',4,5,11,2010,'M','N','JARDIM MARISTELA','CRICIÚMA','SC','124242241217112431448833215122231067111',11701,'211',40.86,1,3,NULL),(28,7362927,'1991-11-01 00:00:00',4,1,11,2009,'M','N','ARCO IRIS','PANAMBI','RS','120201201137161521333317245114610133097',NULL,'9998',0.00,1,3,NULL),(28,7362943,'1994-08-04 00:00:00',4,10,12,2011,'M','N','CABEÇUDA','LAGUNA','SC','124241241117372431636414575124610127077',NULL,'523',22.66,1,2,1),(28,7362960,'1980-03-13 00:00:00',4,1,12,1997,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','624241241316133751259643435122331068047',14353,'272',46.86,1,3,NULL),(28,7362978,'1992-06-28 00:00:00',4,8,12,2010,'F','N','CENTRO','CURITIBA','PR','116162161215172611558539475124240412142',11607,'9998',40.83,3,3,NULL),(28,7362986,'1993-11-24 00:00:00',4,1,12,2010,'M','N','CENTRO','PALHOÇA','SC','124244241212112431457732575124221424092',9944,'1022',47.79,1,3,NULL),(28,7362994,'1989-05-12 00:00:00',2,1,12,2006,'F','N','CAMPINAS','S JOSÉ','SC','124241241212375431234611312124120524142',18737,'1036',36.33,1,3,NULL),(28,7363001,'1986-07-06 00:00:00',2,1,12,2003,'M','N','CENTRO','S JOSÉ','SC','124203201417132451348344445322131467187',17122,'9998',41.21,1,3,NULL),(28,7363010,'1990-04-25 00:00:00',4,8,12,2007,'M','N','CENTRO','CURITIBA','PR','116161161211515211543831383331610115121',1723,'9998',63.82,1,3,NULL),(28,7363028,'1994-09-02 00:00:00',4,4,12,2011,'F','N','UNIVERSITÁRIO','CHAPECÓ','SC','124241241115471431326514245124610133092',13148,'169',38.66,1,2,1),(28,7363036,'1989-05-28 00:00:00',2,1,12,2006,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241115473431343311342134610164147',13854,'289',47.64,1,2,1),(28,7363044,'1994-05-16 00:00:00',4,7,11,2011,'M','N','REBOUCAS','CURITIBA','PR','116241161216111532548519595125610117042',10576,'9998',45.07,1,3,NULL),(28,7363060,'1990-01-26 00:00:00',2,1,12,2008,'F','N','STO AMARO IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124071078146141721526841415124610168185',NULL,'9998',0.00,1,3,NULL),(28,7363087,'1992-02-27 00:00:00',4,8,12,2010,'M','N','CENTRO','LONDRINA','PR','116164161217371431338739295122610162097',NULL,'9998',0.00,1,3,NULL),(28,7363095,'1995-01-01 00:00:00',4,4,12,2011,'M','N','CENTRO','CHAPECÓ','SC','124244241117271431338922145121610127082',5524,'169',54.86,1,3,NULL),(28,7363109,'1971-04-21 00:00:00',2,1,12,1998,'F','N','CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC','224271091126331431525554385324610147187',NULL,'9998',21.59,5,2,1),(28,7363117,'1984-10-18 00:00:00',4,10,11,2002,'M','N','OFICINAS','TUBARÃO','SC','124242241217131451446773435124131064097',17094,'806',41.29,1,3,NULL),(28,7363125,'1993-03-15 00:00:00',4,1,12,2009,'F','N','CENTRO','S JOSÉ','SC','124244241215573431379613575122610124182',3135,'270',66.53,1,3,NULL),(28,7363133,'1985-08-29 00:00:00',4,1,8,2003,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124241243446154421454819311123120864045',12739,'232',40.33,1,3,NULL),(28,7363141,'1990-11-14 00:00:00',2,1,11,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215575431346831592112133233097',4837,'1118',59.05,1,3,NULL),(28,7363150,'1993-02-11 00:00:00',2,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243244432142331653631172112610162011',NULL,'295',15.06,1,3,NULL),(28,7363168,'1994-12-22 00:00:00',4,25,12,2011,'F','N','SANTA CLARA','CAÇADOR','SC','124241241116371431423511171124610147187',14743,'122',37.37,1,2,1),(28,7363176,'1961-08-22 00:00:00',4,1,12,1985,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241243323152421164443133334131046192',NULL,'9997',0.00,1,3,NULL),(28,7363192,'1962-10-25 00:00:00',4,1,12,2004,'F','N','FAZ STO ANTONIO','S JOSÉ','SC','224241241127331721433351275124610162027',NULL,'736',17.52,1,2,1),(28,7363206,'1979-10-11 00:00:00',2,1,12,2003,'M','N','TAPERA','FLORIANÓPOLIS','SC','124243241122272731333319245234130814047',NULL,'278',34.15,2,1,2),(28,7363214,'1994-03-20 00:00:00',2,1,12,2011,'M','N','IGARA','CANOAS','RS','120202202117111431467734575114610128097',NULL,'9998',28.56,1,3,NULL),(28,7363222,'1985-10-24 00:00:00',2,6,12,2003,'M','N','CENTRO','BAL CAMBORIÚ','SC','124241241132473441328613445121331563097',NULL,'49',29.94,4,2,1),(28,7363230,'1975-12-21 00:00:00',4,1,12,1993,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241316145411543543435124322246175',6544,'26',59.61,1,3,NULL),(28,7363249,'1994-02-17 00:00:00',2,10,12,2011,'F','N','BEIRA RIO','S LUDGERO','SC','124241241335371411423311285124610147047',9025,'950',48.12,4,3,NULL),(28,7363257,'1991-08-22 00:00:00',2,1,12,2008,'F','N','BARREIROS','S JOSÉ','SC','124241241217375431333637275124610134194',20027,'868',27.68,1,3,NULL),(28,7363265,'1991-01-30 00:00:00',4,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215374431338821475112133232077',8158,'270',56.86,1,3,NULL),(28,7363273,'1994-11-10 00:00:00',2,1,12,2011,'F','N','IPIRANGA','S JOSÉ','SC','124161241115371431323624576124610133147',17097,'734',33.11,4,2,1),(28,7363281,'1993-05-05 00:00:00',2,1,12,2010,'F','N','ZONA NORTE','IA SOLTEIRA','SP','125253251216371331336812575121610163142',7393,'9998',50.71,1,3,NULL),(28,7363290,'1988-04-03 00:00:00',2,1,12,2005,'F','N','FLORESTA','PTO ALEGRE','RS','120202201216572431473616595114610124182',NULL,'9998',0.00,1,3,NULL),(28,7363303,'1991-10-16 00:00:00',4,17,12,2009,'M','N','ALTO DE MAFRA','MAFRA','SC','124243241215573431375914595122610164122',2427,'541',66.49,1,3,NULL),(28,7363311,'1994-01-27 00:00:00',2,3,12,2011,'M','N','CENTRO','PTO BELO','SC','124241248115141131534923575121610117052',NULL,'630',15.23,1,2,1),(28,7363338,'1991-07-27 00:00:00',4,1,12,2008,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241247217274411227624442114610115092',NULL,'9999',26.67,1,3,NULL),(28,7363354,'1988-04-05 00:00:00',2,1,6,2010,'M','N','SERRARIA','S JOSÉ','SC','124241247121152112113344341323610153187',20156,'9997',23.59,1,2,1),(28,7363362,'1977-08-15 00:00:00',4,1,11,1999,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124161166127133451126441315125221132127',8215,'9998',56.76,1,2,1),(28,7363370,'1993-02-05 00:00:00',4,8,12,2010,'M','N','VILA IZABEL','CURITIBA','PR','116161161116471731336414575114610164047',NULL,'9998',0.00,1,2,1),(28,7363389,'1972-12-17 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124244247211112311322212243122232312173',981,'9999',74.12,1,3,NULL),(28,7363397,'1989-09-14 00:00:00',4,1,12,2009,'M','N','PONTA GROSSA','PTO ALEGRE','RS','120204207316133731548711395124141964012',16630,'9998',33.91,1,3,NULL),(28,7363400,'1994-01-12 00:00:00',4,16,12,2011,'F','N','SÃO CRISTOVÃO','STA CECÍLIA','SC','124241241146141731526629575122610127077',18303,'686',26.69,1,2,1),(28,7363419,'1993-07-21 00:00:00',4,1,11,2010,'M','N','CENTRO','FAXINAL','PR','116162161211211111219922571112610117162',NULL,'9998',0.00,1,3,NULL),(28,7363427,'1995-08-09 00:00:00',4,1,11,2012,'M','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217111732469933571122610147115',NULL,'262',53.69,1,3,NULL),(28,7363435,'1994-12-04 00:00:00',2,1,12,2012,'M','S','CAMPINAS','S JOSÉ','SC','124242243232111731554812572122610113047',NULL,'9997',20.62,1,3,NULL),(28,7363443,'1995-08-01 00:00:00',4,26,11,2012,'F','S','CENTRO','CONCÓRDIA','SC','124241241215111732438932575122610128147',NULL,'1000',53.20,1,3,NULL),(28,7363451,'1989-04-05 00:00:00',4,1,12,2007,'F','N','STO AMARO IMPERATRIZ','STO AMARO IMPERATRIZ','SC','124073077336161411538833585124143148187',NULL,'9998',20.80,1,3,NULL),(28,7363460,'1995-01-25 00:00:00',2,1,12,2012,'F','S','BARREIROS','S JOSÉ','SC','124242241117151732429614492124610127146',NULL,'738',49.50,1,3,NULL),(28,7363478,'1990-04-12 00:00:00',4,1,12,2008,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241316373411348723215124130844112',17465,'1022',40.38,1,3,NULL),(28,7363494,'1993-06-05 00:00:00',2,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242248215111431445837275115610127042',NULL,'737',0.00,1,3,NULL),(28,7363508,'1992-02-26 00:00:00',4,1,12,2009,'M','N','JARDIM RECORD','TABOÃO SERRA','SP','125252251217111431564632215122141427142',NULL,'9998',0.00,1,3,NULL),(28,7363532,'1983-11-30 00:00:00',4,1,11,2001,'M','N','MICHEL','CRICIÚMA','SC','124244248211153441568631475124320964092',12306,'210',50.07,1,3,NULL),(28,7363567,'1987-04-04 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241127144431126644142122333228095',7808,'922',51.54,1,2,1),(28,7363575,'1992-05-08 00:00:00',4,1,11,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111431438934596125610132087',NULL,'9997',14.39,1,3,NULL),(28,7363583,'1994-04-25 00:00:00',4,17,12,2011,'F','N','CAMPO AGUA VERDE','CANOINHAS','SC','124241241116111431239823572122610114077',11687,'146',40.88,1,2,1),(28,7363591,'1985-04-12 00:00:00',2,6,12,2002,'M','N','CENTRO','CPO LARGO','PR','116163168416471731348619215124340367127',NULL,'9998',0.00,1,3,NULL),(28,7363605,'1994-03-05 00:00:00',2,8,12,2011,'F','N','CENTRO','PASSO FUNDO','RS','120201201217131431447824576124610135077',NULL,'9998',0.00,1,3,NULL),(28,7363613,'1995-05-05 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431535632572122610123072',19365,'1050',33.56,1,3,NULL),(28,7363621,'1993-11-09 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241316272431359813575122610124187',NULL,'733',27.00,4,3,NULL),(28,7363630,'1993-11-15 00:00:00',2,25,12,2011,'M','N','CENTRO','CAÇADOR','SC','124244241215111431466614575122610127072',NULL,'120',21.04,1,3,NULL),(28,7363648,'1992-03-24 00:00:00',4,5,12,2009,'F','N','PIO CORREA','CRICIÚMA','SC','124242241215573531329814592122610124042',12773,'226',49.33,1,3,NULL),(28,7363656,'1994-02-06 00:00:00',4,15,12,2011,'M','N','GUARITA','SOMBRIO','SC','124241241116141431416426185121610147157',19568,'1033',32.24,1,2,1),(28,7363664,'1995-01-10 00:00:00',2,4,12,2011,'F','N','MATINHO','XANXERÊ','SC','124242247215151431343634575122610145052',10044,'836',46.86,1,3,NULL),(28,7363672,'1986-11-11 00:00:00',2,15,12,2007,'F','N','CRISTO REDENTOR','PTO ALEGRE','RS','120202207241271731416621485122340238147',NULL,'9998',0.00,1,3,NULL),(28,7363680,'1994-07-04 00:00:00',2,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215111751427923575125610148012',NULL,'210',29.51,1,3,NULL),(28,7363699,'1992-06-29 00:00:00',3,1,12,2009,'M','N','BRASILIA','LG SUL','DF','107072071216271511579933575112141437047',6755,'9998',51.86,4,3,NULL),(28,7363702,'1994-02-10 00:00:00',4,27,12,2011,'M','N','CENTRO','S MIGUEL OESTE','SC','124242246216111431359812575122610164042',14838,'1179',34.82,1,3,NULL),(28,7363710,'1993-06-23 00:00:00',2,9,12,2011,'M','N','CENTRO','LAGES','SC','124242247416151511448936485112610127047',NULL,'9999',23.64,1,3,NULL),(28,7363729,'1977-12-22 00:00:00',4,1,12,1997,'M','N','FAZ STO ANTONIO','S JOSÉ','SC','124242241216144411548739445132331066182',NULL,'269',0.00,1,3,NULL),(28,7363737,'1992-08-27 00:00:00',2,1,12,2010,'F','N','BARREIROS','S JOSÉ','SC','124243241117131431434823385124610131187',11009,'726',45.96,1,3,NULL),(28,7363745,'1994-04-18 00:00:00',4,4,11,2011,'M','N','MARIA GORETTI','CHAPECÓ','SC','124241247337131421336622242124610127052',NULL,'9999',19.59,1,3,NULL),(28,7363753,'1994-12-31 00:00:00',2,9,12,2011,'F','N','ESQUINA','URUBICI','SC','124241241117151431424315272122610137147',NULL,'1182',0.00,1,2,1),(28,7363761,'1987-04-11 00:00:00',4,1,12,2005,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124201204126231421123343135123610131187',20022,'9998',27.75,1,2,1),(28,7363770,'1988-02-19 00:00:00',4,1,12,2005,'M','N','CAMPINAS','S JOSÉ','SC','124241241217374431468413345134131452052',18934,'737',35.55,1,3,NULL),(28,7363788,'1994-02-13 00:00:00',4,1,12,2012,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124241241216111431369933575112610127092',NULL,'270',15.94,1,3,NULL),(28,7363796,'1994-04-01 00:00:00',4,1,11,2011,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124244241215112431457813175114610137057',3830,'299',58.21,1,3,NULL),(28,7363800,'1985-03-20 00:00:00',4,1,12,2002,'M','N','CENTRO','FLORIANÓPOLIS','SC','124253258117151421319748485124342122061',NULL,'9998',0.00,1,3,NULL),(28,7363818,'1992-10-22 00:00:00',2,24,12,2009,'F','N','CENTRO','ITUPORANGA','SC','124242241232161431338933585124232835142',NULL,'1173',0.00,1,3,NULL),(28,7363834,'1993-12-19 00:00:00',1,4,12,2011,'M','N','INTERIOR','AT BELA VISTA','SC','124241242115371731424636572224610114012',19836,'196',29.99,1,3,NULL),(28,7363842,'1996-02-22 00:00:00',2,1,11,2012,'F','S','BARRA DO ARIRIU','PALHOÇA','SC','124242241212111221453712272124610116097',NULL,'989',14.33,1,3,NULL),(28,7363850,'1994-12-08 00:00:00',2,5,10,2011,'F','N','CENTRO','SIDERÓPOLIS','SC','124242241211112331216629293224610114117',9780,'226',45.76,1,3,NULL),(28,7363869,'1955-09-28 00:00:00',4,1,12,2011,'M','N','NOSSA SRA DO ROSARIO','S JOSÉ','SC','224241248126131431223344242124610165187',18463,'9999',37.41,1,2,1),(28,7363877,'1993-06-18 00:00:00',4,10,12,2010,'M','N','OFICINAS','TUBARÃO','SC','124244241215472431357811575112610162122',6298,'807',53.90,1,3,NULL),(28,7363885,'1994-12-05 00:00:00',4,8,12,2011,'F','N','SANTO ANTONIO','JOINVILLE','SC','124242241217371731446412575122610163187',4139,'1063',57.45,4,3,NULL),(28,7363893,'1988-02-23 00:00:00',2,5,12,2005,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124244241215372431439413375122610124017',NULL,'720',46.06,1,3,NULL),(28,7363907,'1994-01-16 00:00:00',2,1,11,2011,'F','N','JARDIM JANAINA','BIGUAÇU','SC','124241248315111531446514345124610137143',NULL,'1040',18.25,1,3,NULL),(28,7363915,'1982-03-16 00:00:00',2,1,12,1999,'F','N','REAL PARQUE','S JOSÉ','SC','124241241116134721123344445124120842077',12721,'271',49.40,4,2,1),(28,7363923,'1992-07-15 00:00:00',4,1,10,2009,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241215573431468732575114121468187',5714,'269',61.10,1,3,NULL),(28,7363931,'1993-06-23 00:00:00',4,4,12,2010,'F','N','VILA ARMANDO ANES','PASSO FUNDO','RS','120202201216471431457924575112610164142',10856,'9998',43.16,1,3,NULL),(28,7363940,'1993-12-28 00:00:00',4,24,11,2011,'M','N','SUMARE','RIO SUL','SC','124242241215111431465632575122610127052',11215,'991',44.63,1,3,NULL),(28,7363958,'1993-07-04 00:00:00',2,1,7,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242247235371331448633475124610157182',15987,'270',43.71,1,3,NULL),(28,7363974,'1995-04-04 00:00:00',2,25,11,2011,'M','N','SESI','VIDEIRA','SC','124242241215151431449614341135610124042',18188,'829',38.34,1,3,NULL),(28,7363990,'1994-08-06 00:00:00',4,4,11,2011,'M','N','CENTRO','CASCAVEL','PR','116162161215471741389811575122610166121',NULL,'9998',0.00,1,3,NULL),(28,7364008,'1986-07-27 00:00:00',2,1,12,2003,'M','N','FORQUILHINHAS','S JOSÉ','SC','124245241526373411136843435124130214182',8537,'524',49.54,4,1,2),(28,7364024,'1990-01-30 00:00:00',4,15,12,2007,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201217571731469939475124240737042',6670,'9998',52.82,1,3,NULL),(28,7364032,'1994-09-21 00:00:00',4,1,12,2011,'M','N','FAZENDA DO MAX','S JOSÉ','SC','124241241115141431523361245124610117012',NULL,'733',28.57,2,2,1),(28,7364040,'1995-07-14 00:00:00',4,4,12,2011,'F','N','CINQUENTENÁRIO','CONCÓRDIA','SC','124241241115271231449933595122610126187',17020,'192',32.90,1,2,1),(28,7364059,'1992-04-19 00:00:00',4,1,12,2008,'F','N','AUXILIADORA','PTO ALEGRE','RS','120203201217472751228611575114143262157',12972,'9998',49.03,1,3,NULL),(28,7364083,'1989-04-27 00:00:00',2,1,12,2007,'F','N','JARDIM SÃO FRANCISCO','STA BÁRBARA D OESTE','SP','125241241117131431434823345122610126193',19262,'257',34.06,1,2,1),(28,7364091,'1991-01-29 00:00:00',4,4,12,2007,'M','N','ALTO IRANI','IRANI','SC','124241241117131431433623245125610127057',NULL,'379',37.58,1,2,1),(28,7364105,'1967-02-21 00:00:00',4,1,12,1984,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224241241126372431458643335134333222187',11884,'307',50.72,1,2,1),(28,7364113,'1974-05-16 00:00:00',4,1,12,1992,'F','N','JD ATLÂNTICO','FLORIANÓPOLIS','SC','124251241147144751336823495123331267147',14278,'307',46.99,1,2,1),(28,7364121,'1994-06-28 00:00:00',2,1,12,2011,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241215111431448839575124610123112',5893,'272',55.50,1,3,NULL),(28,7364130,'1994-10-08 00:00:00',2,8,10,2011,'M','N','CENTRO','CURITIBA','PR','116252161215471431548611412124610164112',6731,'9998',52.58,3,3,NULL),(28,7364148,'1994-10-06 00:00:00',4,4,12,2011,'F','N','SÃO GOTARDO','S MIGUEL OESTE','SC','124242241215131431337832575122610123017',5795,'1079',53.70,1,3,NULL),(28,7364164,'1995-08-14 00:00:00',2,26,12,2011,'F','N','VISTA ALEGRE','CONCÓRDIA','SC','124241241135111431336919195122610138047',NULL,'194',24.65,1,2,1),(28,7364172,'1995-04-09 00:00:00',2,5,12,2012,'F','S','PINHEIRINHO','CRICIÚMA','SC','124242241215111431439919391122610147142',NULL,'226',30.66,1,3,NULL),(28,7364199,'1994-10-17 00:00:00',4,4,12,2011,'F','N','SANTA MARIA','CHAPECÓ','SC','124241241117371331438811345122610146142',8606,'169',47.70,1,2,1),(28,7364202,'1994-06-17 00:00:00',4,22,11,2011,'M','N','GUARANI','BRUSQUE','SC','124243241215121431323411572112610164182',NULL,'109',32.66,4,3,NULL),(28,7364210,'1994-03-16 00:00:00',4,8,12,2011,'F','N','IRIRIU','JOINVILLE','SC','124241241114471431346314574124610128011',NULL,'470',0.00,1,3,NULL),(28,7364229,'1994-09-23 00:00:00',2,1,12,2011,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241325111331449934175114610117117',NULL,'290',23.60,1,3,NULL),(28,7364245,'1972-05-13 00:00:00',4,15,12,1989,'M','N','JARDIM DAS AVENIDAS','ARARANGUÁ','SC','224241243127141421233641215132130327112',NULL,'29',0.00,1,2,1),(28,7364253,'1990-05-29 00:00:00',2,1,12,2007,'M','N','PARQUE NOVO RIO','S JOÃO MERITI','RJ','121211211136371331323344245224610166147',NULL,'9998',0.00,1,2,1),(28,7364261,'1995-01-07 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431338813572122610124142',NULL,'1050',0.00,1,3,NULL),(28,7364270,'1994-08-28 00:00:00',2,1,12,2011,'M','N','AMBROSIO DE DENTRO','GAROPABA','SC','124241241127131532427823185124610117117',NULL,'322',18.39,1,2,1),(28,7364288,'1993-12-25 00:00:00',4,1,11,2010,'F','N','MONTE CASTELO','CPO GRANDE','MS','112122121216472411329813575112610132042',NULL,'9998',0.00,4,3,NULL),(28,7364300,'1994-04-28 00:00:00',4,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241215271431663512245112610137185',12052,'299',50.45,1,3,NULL),(28,7364318,'1992-11-04 00:00:00',4,1,12,2009,'F','N','CENTRO','CARAZINHO','RS','124202208316131431439811185124233241182',20020,'9998',27.80,1,3,NULL),(28,7364334,'1975-10-21 00:00:00',4,1,12,1990,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242241216152431349612345132333267043',19589,'262',32.12,1,3,NULL),(28,7364342,'1992-08-19 00:00:00',4,8,12,2009,'F','N','CENTRO','CURITIBA','PR','116252161212573431549934573121610162052',NULL,'9998',0.00,4,3,NULL),(28,7364350,'1994-05-30 00:00:00',2,10,12,2012,'M','S','CENTRO','BRAÇO NORTE','SC','124242241116141531425533245122610127042',NULL,'100',16.98,1,3,NULL),(28,7364369,'1994-01-04 00:00:00',2,4,12,2010,'M','N','CENTRO','NOVA OLÍMPIA','PR','116161161114471431526924585124610122172',4937,'9998',57.95,1,2,1),(28,7364377,'1994-12-22 00:00:00',4,2,12,2011,'F','N','GARCIA','BLUMENAU','SC','124241248115141431438834395124610147077',16770,'88',42.05,1,2,1),(28,7364385,'1993-03-19 00:00:00',2,1,12,2010,'M','N','COND MORADA DO SOL','FERNANDÓPOLIS','SP','125252251215471431448839571125610118182',NULL,'9998',45.34,1,3,NULL),(28,7364393,'1992-09-12 00:00:00',4,6,12,2009,'F','N','CENTRO','ITAJAÍ','SC','124242241116373431559713575125233264147',14984,'388',45.64,1,3,NULL),(28,7364407,'1995-03-24 00:00:00',2,1,12,2012,'M','S','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217151431356924572121610164125',NULL,'1168',38.64,1,3,NULL),(28,7364415,'1994-01-30 00:00:00',4,1,11,2011,'F','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241215161731325519572122610144095',19564,'63',32.27,1,3,NULL),(28,7364440,'1996-11-27 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241215111431566914575122610167092',NULL,'1134',28.09,1,3,NULL),(28,7364458,'1990-06-02 00:00:00',2,1,11,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241216151421126819415124333248092',17731,'807',39.66,1,3,NULL),(28,7364466,'1992-01-23 00:00:00',4,9,12,2008,'F','N','CENTRO','PTE ALTA','SC','124241241117161731438923345122231468145',NULL,'625',0.00,1,2,1),(28,7364474,'1993-01-21 00:00:00',2,4,12,2010,'F','N','CENTRO','GRAMADO LOUREIROS','RS','120201201115271451233321215124610142187',NULL,'9998',0.00,1,2,1),(28,7364482,'1991-01-02 00:00:00',2,1,11,2008,'M','N','SANTINHO','FLORIANÓPOLIS','SC','124121241121131331523329141124610124042',NULL,'922',0.00,1,2,1),(28,7364490,'1993-12-22 00:00:00',2,4,12,2010,'M','N','PRIMAVERA','XAXIM','SC','124241241117131431433833135122243224057',NULL,'847',28.33,1,4,NULL),(28,7364504,'1992-01-08 00:00:00',4,9,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242246216141411436912245122233216142',NULL,'1106',23.50,1,3,NULL),(28,7364512,'1990-04-21 00:00:00',2,1,12,2007,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241112133421433374341224610117043',16061,'65',34.21,3,2,1),(28,7364520,'1994-04-21 00:00:00',2,5,12,2011,'F','N','CENTRO','IÇARA','SC','124241248136161431536313595125610134042',19813,'1005',30.20,1,2,1),(28,7364539,'1994-12-17 00:00:00',4,5,11,2011,'F','N','PIO CORREA','CRICIÚMA','SC','124242241215111411459832575122610116122',17364,'226',40.62,1,3,NULL),(28,7364547,'1994-06-26 00:00:00',2,3,12,2011,'F','N','CENTRO','PTO BELO','SC','124241241215111731436824345122610126192',NULL,'1111',0.00,1,3,NULL),(28,7364555,'1995-11-01 00:00:00',4,6,12,2012,'F','S','FAZENDA','ITAJAÍ','SC','124242241217151731479833575122610126192',NULL,'392',49.44,1,3,NULL),(28,7364563,'1994-09-28 00:00:00',4,1,12,2011,'F','N','RIO BRANCO','CAXIAS SUL','RS','120202201216471331473632335122610127042',16089,'9998',43.53,1,3,NULL),(28,7364571,'1992-01-08 00:00:00',2,3,12,2010,'M','N','AREIAS','CAMBORIÚ','SC','124241242116111431623315245314610167052',9122,'129',48.13,1,2,1),(28,7364580,'1995-11-01 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111731368921575112610164122',NULL,'1169',51.55,1,3,NULL),(28,7364598,'1990-05-13 00:00:00',4,3,12,2007,'F','N','BATEL','CURITIBA','PR','116162161216573431468932575122610124142',6426,'9998',49.97,1,3,NULL),(28,7364601,'1982-04-05 00:00:00',4,1,12,1999,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241217155421469911315122433261062',4590,'269',63.21,1,3,NULL),(28,7364610,'1993-11-07 00:00:00',2,4,12,2011,'M','N','CENTRO','S JOSÉ CEDRO','SC','124241241317271511443929295124610126072',3932,'752',55.47,1,3,NULL),(28,7364628,'1989-09-13 00:00:00',4,1,12,2007,'M','N','BELA VISTA I','S JOSÉ','SC','124242241216374732444414392122233233152',6311,'737',60.04,1,3,NULL),(28,7364636,'1987-09-22 00:00:00',2,1,12,2005,'M','N','VENDAVAL','BIGUAÇU','SC','124241241111165731336619241134121427047',12357,'306',50.00,1,2,1),(28,7364644,'1990-05-31 00:00:00',4,8,12,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124062061212131431338624445124610162191',19484,'9998',32.82,2,1,2),(28,7364652,'1994-08-01 00:00:00',2,1,12,2011,'F','N','CENTRO','GRAVATAÍ','RS','120203201217471431419819595122610166147',9066,'9998',50.30,1,3,NULL),(28,7364660,'1992-07-15 00:00:00',4,1,12,2009,'M','N','CAMPO COMPRIDO','CURITIBA','PR','116161161116572431339819575124610162057',NULL,'9998',0.00,1,3,NULL),(28,7364679,'1975-11-03 00:00:00',2,1,11,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','624121247112131421336654382113610161147',NULL,'9997',28.77,1,2,1),(28,7364687,'1991-04-07 00:00:00',4,1,12,2008,'F','N','SÃO CRISTÓVÃO','CASCAVEL','PR','116164161316573411549714575124610166092',5091,'9998',56.76,1,3,NULL),(28,7364717,'1994-10-20 00:00:00',2,15,11,2011,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124244241415211411438934475122610117052',12360,'27',43.22,1,3,NULL),(28,7364725,'1994-10-18 00:00:00',4,4,12,2011,'F','N','CENTRO','CEL MARTINS','SC','124241241136371431346819575122610168147',10692,'200',43.46,1,2,1),(28,7364733,'1983-10-07 00:00:00',4,1,12,2000,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124242241216154711249541413124520464027',5215,'226',62.01,1,3,NULL),(28,7364741,'1994-11-03 00:00:00',4,1,12,2012,'M','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215111431478811295122610123052',NULL,'1169',41.53,1,3,NULL),(28,7364750,'1994-05-16 00:00:00',2,4,12,2011,'M','N','CENTRO','ERECHIM','RS','120201208136131731328614345122610164047',NULL,'9998',0.00,1,2,1),(28,7364768,'1994-09-23 00:00:00',4,24,12,2011,'F','N','BUDAG','RIO SUL','SC','124241241115431431323924572122610127147',15055,'657',37.52,1,2,1),(28,7364776,'1993-06-30 00:00:00',4,4,12,2011,'F','N','VILA NOVA','FRANCISCO BELTRÃO','PR','116164161216271431459939395122610121072',6834,'9998',50.43,1,3,NULL),(28,7364784,'1991-03-26 00:00:00',4,8,12,2008,'F','N','CENTRO','CURITIBA','PR','116252251216575451549914575115610146142',NULL,'9998',0.00,1,3,NULL),(28,7364814,'1994-06-02 00:00:00',4,1,12,2011,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241116141111425311315121613264041',NULL,'772',17.94,1,2,1),(28,7364822,'1986-02-17 00:00:00',4,1,12,2004,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216154731457729495112221232093',6627,'272',59.47,1,3,NULL),(28,7364830,'1992-09-17 00:00:00',2,1,12,2010,'F','N','JARDIM CID DE FPOLIS','S JOSÉ','SC','124242241215112411436813145124131013017',14699,'738',46.17,1,3,NULL),(28,7364849,'1981-04-25 00:00:00',4,1,12,1998,'F','N','FORQUILHAS','S JOSÉ','SC','224241241146272741333359195124610156187',12605,'293',41.17,1,2,1),(28,7364857,'1995-12-24 00:00:00',2,1,12,2011,'F','N','PRAIA COMPRIDA','S JOSÉ','SC','124242241216151311367613575122610125145',13380,'270',48.43,1,3,NULL),(28,7364865,'1990-06-14 00:00:00',4,1,12,2007,'M','N','VISTA VERDE','S JOSÉ CAMPOS','SP','125252256237571751456823471144610164187',406,'9998',73.69,4,3,NULL),(28,7364873,'1994-06-26 00:00:00',2,3,12,2011,'F','N','DOS MUNICÍPIOS','BAL CAMBORIÚ','SC','124241241116271411436331575122610134017',NULL,'51',28.08,4,3,NULL),(28,7364881,'1994-09-03 00:00:00',4,6,12,2011,'F','N','CIDADE NOVA','ITAJAÍ','SC','124241241116371731425614395124610134147',NULL,'395',31.78,1,2,1),(28,7364890,'1994-08-23 00:00:00',2,17,12,2011,'M','N','VISTA ALEGRE','MAFRA','SC','124241241116131411333323395122610167142',NULL,'542',32.10,4,2,1),(28,7364903,'1995-03-04 00:00:00',4,2,11,2012,'F','S','ITOUPAVA SECA','BLUMENAU','SC','124242241216111431457732575122610162072',NULL,'909',49.49,1,3,NULL),(28,7364911,'1994-10-20 00:00:00',4,4,12,2011,'M','N','BELA VISTA','PINHALZINHO','SC','124242241215151431358923575122610137067',6095,'1070',53.73,1,3,NULL),(28,7364920,'1984-01-20 00:00:00',2,1,12,2003,'M','N','FORQUILHAS','S JOSÉ','SC','124241241142132431423214142324610111047',NULL,'727',0.00,1,2,1),(28,7364938,'1990-05-02 00:00:00',2,5,12,2007,'F','N','CENTRO','CRICIÚMA','SC','124242241216133411336933485122131366041',10750,'226',44.78,1,3,NULL),(28,7364946,'1989-06-12 00:00:00',4,1,12,2006,'F','N','PANTANAL','FLORIANÓPOLIS','SC','125253251216252451366627475122243221096',6928,'9998',58.96,1,3,NULL),(28,7364954,'1993-08-31 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217472441234923575122610162197',NULL,'1169',NULL,1,3,NULL),(28,7364962,'1989-05-12 00:00:00',2,1,11,2008,'M','N','CENTRO','S JOSÉ','SC','124242241211474411338934342114610163112',NULL,'1075',33.81,1,3,NULL),(28,7364970,'1993-05-18 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242247215211331356612571122610116136',9553,'9999',54.45,1,3,NULL),(28,7364989,'1986-12-13 00:00:00',2,1,12,2004,'M','N','CENTRO','FLORIANÓPOLIS','SC','124241241125272431126648285112610117047',19796,'277',30.34,2,1,1),(28,7364997,'1994-06-27 00:00:00',2,8,12,2011,'F','N','SANTO ANTONIO','JOINVILLE','SC','124244241217111431459813372121610127082',2763,'931',61.07,4,3,NULL),(28,7365004,'1990-03-23 00:00:00',4,24,12,2007,'M','N','CENTRO','ITUPORANGA','SC','124241241116131421333316385123230224142',NULL,'888',23.59,1,3,NULL),(28,7365020,'1993-04-13 00:00:00',4,2,12,2010,'F','N','ITOUPAVA SECA','BLUMENAU','SC','124242161216372431279913585122231433092',NULL,'9998',0.00,1,3,NULL),(28,7365039,'1994-12-16 00:00:00',2,1,11,2011,'F','N','PONTA DE BAIXO','S JOSÉ','SC','124242241215112431236823575124610162072',11411,'1022',43.81,1,3,NULL),(28,7365055,'1983-03-03 00:00:00',4,15,11,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217372431358813495122132564142',NULL,'27',13.71,1,3,NULL),(28,7365063,'1991-03-15 00:00:00',4,23,12,2008,'M','N','BAEPENDI','JARAGUÁ SUL','SC','124241241146371411433314185121141125067',NULL,'433',43.56,1,2,1),(28,7365080,'1994-10-10 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215311751489954575125610147122',3718,'270',61.16,1,3,NULL),(28,7365098,'1995-05-23 00:00:00',4,1,2,2013,'M','S','JARDIM DOS BANCÁRIOS','CASTRO','PR','116162161215111331366634175112610114042',NULL,'9998',50.89,1,3,NULL),(28,7365101,'1993-11-10 00:00:00',4,4,12,2010,'F','N','NOVA IORQUE','CASCAVEL','PR','116161161215472431466612575122610164092',NULL,'9998',0.00,1,3,NULL),(28,7365110,'1991-08-04 00:00:00',2,1,12,2009,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241146271731446314345114610164117',19285,'282',33.93,1,2,1),(28,7365128,'1994-08-28 00:00:00',5,7,12,2011,'F','N','CENTRO','ARROIO TRINTA','SC','124241241117131411333321285122610144057',19380,'853',33.47,1,2,1),(28,7365136,'1994-03-05 00:00:00',4,25,11,2010,'F','N','CENTRO','CURITIBA','PR','116242241217371431588612575112133231182',14283,'120',46.98,1,3,NULL),(28,7365144,'1986-06-16 00:00:00',4,1,12,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124162161216112451146744445134341164182',NULL,'9998',0.00,1,3,NULL),(28,7365152,'1995-11-30 00:00:00',4,1,12,2012,'F','S','TRINDADE','FLORIANÓPOLIS','SC','124243241115111752549614575122610128092',NULL,'271',38.76,1,3,NULL),(28,7365160,'1989-05-01 00:00:00',2,1,8,2007,'M','N','CENTRO','S JOSÉ','SC','124242241117134121436624345133610112042',NULL,'739',30.13,1,3,NULL),(28,7365179,'1994-04-28 00:00:00',4,10,12,2011,'F','N','PORTINHO','LAGUNA','SC','124241241117371431226627472224610136097',17243,'521',31.27,1,2,1),(28,7365187,'1993-12-04 00:00:00',4,1,12,2011,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','624241241117111431536613575114610115145',20074,'592',26.83,1,3,NULL),(28,7365195,'1996-03-09 00:00:00',4,9,12,2011,'F','N','CENTRO','LAGES','SC','124242241215111431468814442122610124142',17721,'497',39.69,1,3,NULL),(28,7365225,'1995-03-09 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241217112532568912426122610167112',NULL,'262',42.46,1,3,NULL),(28,7365233,'1994-11-08 00:00:00',4,9,11,2011,'F','N','CENTRO','LAGES','SC','124242241215112432469912595112610127092',13718,'1207',39.77,1,3,NULL),(28,7365241,'1996-01-02 00:00:00',4,15,12,2011,'F','N','MATO ALTO','ARARANGUÁ','SC','124241241415111631468312575122610162142',20087,'26',26.60,1,3,NULL),(28,7365250,'1993-09-30 00:00:00',4,1,11,2010,'M','N','DANIELA','FLORIANÓPOLIS','SC','124242241215272531488813575112610131176',NULL,'270',0.00,1,3,NULL),(28,7365268,'1994-10-06 00:00:00',2,1,12,2011,'F','N','TRAÇADO','URUBICI','SC','124241241116141431426633572122610127142',11184,'818',43.26,1,3,NULL),(28,7365276,'1984-08-21 00:00:00',4,1,12,2002,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241114255431439413392224223267042',NULL,'757',0.00,1,2,1),(28,7365284,'1991-12-01 00:00:00',2,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124244241116153411646613572114610166097',11058,'298',46.38,1,3,NULL),(28,7365292,'1994-12-15 00:00:00',4,8,12,2011,'F','N','MACOPA','TELÊMACO BORBA','PR','116162161216141731458914472112610124142',NULL,'9998',0.00,1,3,NULL),(28,7365306,'1988-12-06 00:00:00',4,1,12,2005,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241116374431579734475122530237185',4772,'271',62.85,1,3,NULL),(28,7365314,'1991-07-21 00:00:00',2,1,12,2009,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241247347573431324624345134610117147',11647,'300',42.33,1,3,NULL),(28,7365330,'1994-12-26 00:00:00',4,23,12,2011,'F','N','CZERNIEWICZ','JARAGUÁ SUL','SC','124241241217111431333639575124610114037',11692,'1061',40.94,1,3,NULL),(28,7365373,'1992-02-07 00:00:00',2,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124051051117131731516623585114140244047',NULL,'9998',0.00,2,1,1),(28,7365381,'1984-10-30 00:00:00',2,1,12,2005,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124121121121371431623344241331142723183',NULL,'9998',20.89,4,2,1),(28,7365390,'1989-12-27 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241415575432648832375122610117042',6178,'1022',56.49,1,3,NULL),(28,7365403,'1994-10-16 01:00:00',2,3,12,2011,'M','N','JARDIM AEROPORTO','IGUATEMI','MS','112121121147131711535631585111610168172',NULL,'9998',0.00,1,3,NULL),(28,7365411,'1993-12-31 00:00:00',2,16,12,2010,'M','N','CENTRO','STA CECÍLIA','SC','624241241116371411339923385124610124057',NULL,'686',14.82,1,2,1),(28,7365420,'1993-04-14 00:00:00',4,1,12,2010,'M','N','BELA VISTA','PTO ALEGRE','RS','120204201417272431449814377124241467112',11798,'9998',41.94,1,3,NULL),(28,7365454,'1992-06-23 00:00:00',4,27,12,2010,'M','N','INTERIOR','ANCHIETA','SC','124241242113211732533823482324610127057',12703,'135',41.14,1,3,NULL),(28,7365462,'1990-01-17 00:00:00',2,3,12,2007,'M','N','CENTRO','BAL CAMBORIÚ','SC','124102101216151411326923415321140416152',11483,'9998',40.67,4,3,NULL),(28,7365489,'1994-12-20 00:00:00',4,1,12,2011,'F','N','CENTRO','CANELINHA','SC','124243241116471431524511145234610136177',18721,'142',36.39,1,3,NULL),(28,7365497,'1991-06-11 00:00:00',4,16,12,2008,'M','N','AGUA SANTA','CURITIBANOS','SC','124243241316141431549913375122130434042',NULL,'239',0.00,1,3,NULL),(28,7365519,'1995-09-19 00:00:00',2,24,12,2012,'F','S','CENTRO','ITUPORANGA','SC','124243241214111731435832575122610118147',NULL,'1173',35.43,1,3,NULL),(28,7365527,'1994-11-11 00:00:00',4,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217111532468714475124630137142',NULL,'9997',29.41,1,3,NULL),(28,7365535,'1978-08-10 00:00:00',2,1,12,2010,'M','N','FORQUILHINHAS','S JOSÉ','SC','224241247126131431231144145122610114191',18789,'9999',36.13,4,2,1),(28,7365543,'1994-04-19 00:00:00',4,7,12,2011,'F','N','SENHOR BOM JESUS','CAMPOS NOVOS','SC','124243241111131431546911382124610127147',17225,'139',31.04,1,3,NULL),(28,7365551,'1994-04-16 00:00:00',4,4,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242248212111211238812595111610117082',10647,'1038',43.91,1,3,NULL),(28,7365560,'1989-10-11 00:00:00',4,1,11,2006,'M','N','PRAIA MOLE','FLORIANÓPOLIS','SC','124242241217141411136941325135133267113',NULL,'9997',0.00,1,3,NULL),(28,7365578,'1992-06-19 00:00:00',4,1,12,2010,'M','N','CENTRO','STO ANTÔNIO PLATINA','PR','116161161117371411356812575115141442171',6231,'9998',52.60,1,2,1),(28,7365586,'1994-05-27 00:00:00',4,1,12,2011,'M','N','BOM JESUS','RIO NEGRO','PR','116161161117271431446923575124610124097',7244,'9998',50.51,1,2,1),(28,7365594,'1994-11-04 00:00:00',4,7,12,2011,'F','N','INTERIOR','IBIRUBÁ','RS','120203201116131431548816574122610136052',4106,'9998',57.25,1,3,NULL),(28,7365608,'1993-03-09 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241437132431434614185114120934177',14666,'922',36.71,1,3,NULL),(28,7365616,'1991-11-13 00:00:00',4,4,12,2008,'M','N','CENTRO','JARDINÓPOLIS','SC','124241251116271431338613575123610124052',NULL,'9998',26.32,1,3,NULL),(28,7365624,'1993-12-01 00:00:00',2,10,12,2010,'F','N','CENTRO','ORLEANS','SC','124244241216152411324915575122613231142',2731,'581',62.27,1,3,NULL),(28,7365632,'1995-01-23 00:00:00',4,2,12,2012,'F','S','TESTO SALTO','BLUMENAU','SC','124244241215111432429611475124610124142',NULL,'87',37.95,1,3,NULL),(28,7365640,'1973-10-28 00:00:00',4,1,12,1992,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241248127333721433333215124330218153',18076,'282',38.68,3,3,NULL),(28,7365659,'1967-02-13 00:00:00',2,1,12,1985,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','224203245116153721343143435134321666182',15505,'169',44.69,1,3,NULL),(28,7365667,'1994-03-19 00:00:00',2,5,11,2011,'F','N','OPERÁRIA NOVA','CRICIÚMA','SC','124242241215111431434812275122610138092',NULL,'210',0.00,1,3,NULL),(28,7365675,'1993-12-21 00:00:00',4,6,11,2011,'F','N','NAÇÕES','BAL CAMBORIÚ','SC','124212241215111431469712595112610126074',10821,'1038',44.45,1,3,NULL),(28,7365683,'1994-07-18 00:00:00',4,4,12,2011,'M','N','CENTRO','NOVA STA ROSA','PR','116164161216471431589636575124610137077',NULL,'9998',0.00,1,3,NULL),(28,7365691,'1994-12-05 00:00:00',2,10,12,2012,'M','S','OFICINAS','TUBARÃO','SC','124242241215111411459924577111610164176',NULL,'806',32.16,1,3,NULL),(28,7365705,'1992-08-19 00:00:00',4,1,12,2011,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241112131432323534385124610137042',NULL,'257',21.44,4,2,1),(28,7365713,'1992-12-18 00:00:00',4,1,12,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111731556613575124610122012',NULL,'1050',28.87,1,3,NULL),(28,7365721,'1991-04-05 00:00:00',4,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241212373431336639312125231427012',12973,'1022',49.03,1,3,NULL),(28,7365730,'1981-01-31 00:00:00',2,1,12,1997,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','224243241115133411326741211234133238011',15958,'307',31.27,1,3,NULL),(28,7365748,'1987-03-24 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','624243241317574421589643335122333232052',3465,'271',65.68,1,3,NULL),(28,7365756,'1994-07-05 00:00:00',4,4,12,2011,'M','N','SÃO CRISTÓVÃO','CHAPECÓ','SC','124241241115371431553933395122610137042',11935,'169',42.39,1,2,1),(28,7365764,'1992-07-25 00:00:00',3,1,12,2009,'M','N','PETRÓPOLIS','PASSO FUNDO','RS','120202201216472411346713575124610147122',1851,'9998',62.95,1,3,NULL),(28,7365772,'1991-11-03 00:00:00',2,27,12,2008,'F','N','NOSSA SRA DE FÁTIMA','BARRACÃO','PR','116164161216473751359933575122141067142',17163,'9998',41.11,1,3,NULL),(28,7365780,'1987-09-29 00:00:00',2,3,12,2004,'F','N','CENTRO','BAL CAMBORIÚ','SC','124202201216131721125744445111143224141',18970,'9998',35.41,1,3,NULL),(28,7365799,'1994-05-05 00:00:00',2,8,12,2011,'F','N','COMASA','JOINVILLE','SC','124243241316271431335924575114610134192',13392,'478',39.18,1,3,NULL),(28,7365802,'1994-04-08 00:00:00',4,8,11,2011,'M','N','GLORIA','JOINVILLE','SC','124242241216371432349931375122610112127',13954,'1006',47.49,1,3,NULL),(28,7365810,'1994-08-31 00:00:00',2,1,12,2011,'F','N','VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC','124242241215131432316623595124610113072',6835,'1223',49.56,1,3,NULL),(28,7365829,'1993-04-16 00:00:00',2,4,12,2010,'F','N','BAIRRO SIMONETO','BARRACÃO','PR','116161168115371431433633415122610166012',NULL,'9998',0.00,1,2,1),(28,7365837,'1991-07-09 00:00:00',2,1,12,2008,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241116133431536317245124610126042',18550,'307',37.06,1,2,1),(28,7365845,'1986-09-29 00:00:00',2,1,12,2004,'F','N','CANTO','FLORIANÓPOLIS','SC','124242241316143731338833445124222226187',10715,'300',52.57,1,3,NULL),(28,7365853,'1994-06-02 00:00:00',4,22,12,2011,'F','N','SÃO LUIZ','BRUSQUE','SC','124241241135141451324623395124610132197',NULL,'111',24.98,1,2,1),(28,7365861,'1990-11-15 00:00:00',2,23,12,2007,'F','N','BAEPENDI','JARAGUÁ SUL','SC','124243241215575431456632575122610167187',2704,'1174',62.36,1,3,NULL),(28,7365870,'1987-11-16 00:00:00',4,1,12,2004,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124244248216373451386313425114610168193',NULL,'266',0.00,1,3,NULL),(28,7365888,'1992-10-03 00:00:00',4,1,11,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217152411468624385114610164147',NULL,'807',19.83,1,3,NULL),(28,7365896,'1994-03-18 00:00:00',2,7,12,2011,'F','N','INTERIOR','BARRACÃO','RS','120201201116131431435936475124610128057',NULL,'9998',0.00,1,2,1),(28,7365900,'1994-09-10 00:00:00',4,7,11,2011,'F','N','FARROUPILHA','VIDEIRA','SC','624241241211111231555712575122610162183',NULL,'829',0.00,1,3,NULL),(28,7365918,'1986-01-24 00:00:00',2,4,12,2004,'M','N','CENTRO','CHAPECÓ','SC','124241241146133451124349395123231267042',NULL,'704',29.27,1,2,1),(28,7365926,'1995-05-07 00:00:00',4,1,12,2012,'F','S','PONTE DE IMARUIN','PALHOÇA','SC','124242241215111431426632472122610165183',NULL,'1011',33.97,1,3,NULL),(28,7365942,'1984-10-28 00:00:00',2,1,12,2002,'M','N','ARIRIU','PALHOÇA','SC','124241241122474431236443435113610122042',11726,'591',50.97,1,2,1),(28,7365950,'1991-12-26 00:00:00',2,1,12,2009,'M','N','JARDIM HORTÊNCIA','LIMEIRA','SP','125252251115572431478713575112610125054',5333,'9998',54.38,1,3,NULL),(28,7365969,'1992-01-23 00:00:00',2,1,12,2009,'M','N','VILA NOVA BOTUCATU','BOTUCATU','SP','125252251217471131448714575112610117044',NULL,'9998',0.00,1,3,NULL),(28,7365977,'1988-07-17 00:00:00',4,1,11,2005,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124241241117133111114548286211613248117',17274,'69',40.83,1,2,1),(28,7365985,'1995-03-05 00:00:00',2,24,10,2011,'F','N','PROGRESSO','POUSO REDONDO','SC','124241241215112431446932575122610124142',13157,'991',41.38,1,3,NULL),(28,7365993,'1989-06-16 00:00:00',4,3,12,2007,'F','N','MEIA PRAIA','ITAPEMA','SC','124222221117471711356621275122231012192',NULL,'9998',0.00,4,3,NULL),(28,7366000,'1994-12-28 00:00:00',2,25,11,2011,'M','N','SANTO ANTONIO','FRAIBURGO','SC','124242241216111331486512225122610118194',NULL,'885',25.81,1,3,NULL),(28,7366027,'1994-06-23 00:00:00',4,1,12,2012,'M','S','PANTANAL','FLORIANÓPOLIS','SC','124241241117171611258813575124610117117',NULL,'267',35.33,1,3,NULL),(28,7366035,'1994-03-15 00:00:00',4,22,10,2011,'F','N','CENTRO','JACAREZINHO','PR','116162161215111431563923572312610157052',18339,'9998',28.13,1,3,NULL),(28,7366043,'1977-11-13 00:00:00',5,1,12,1999,'M','N','CENTRO','FLORIANÓPOLIS','SC','224161161137131631332344215334610136047',NULL,'9998',16.48,2,1,1),(28,7366051,'1994-03-01 00:00:00',4,25,12,2011,'F','N','GIOPPO','CAÇADOR','SC','124243241115151431437823572122610124022',12587,'124',40.05,1,3,NULL),(28,7366060,'1964-07-09 00:00:00',2,1,12,1981,'F','N','CAMPINAS','S JOSÉ','SC','224134243117151411355353372122331322147',18362,'306',37.74,1,3,NULL),(28,7366078,'1994-09-14 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124244248117131732423119295124610126147',17967,'306',39.02,1,3,NULL),(28,7366086,'1994-03-10 00:00:00',2,1,12,2011,'F','N','CENTRO','ANGELINA','SC','124241241116161421539933575122610127147',14556,'17',37.77,1,2,1),(28,7366094,'1994-07-20 00:00:00',4,22,11,2011,'F','N','CENTRO','S JOÃO BATISTA','SC','124243241215111431546632571122610167182',NULL,'1244',27.50,1,3,NULL),(28,7366108,'1988-05-28 00:00:00',2,1,12,2005,'M','N','CENTRO','S PEDRO ALCÂNTARA','SC','224251251117131421235511135124610112182',NULL,'9998',0.00,1,3,NULL),(28,7366116,'1989-09-25 00:00:00',4,1,5,2011,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','224243241347141711323354245124610136187',13963,'9997',37.54,1,3,NULL),(28,7366132,'1988-02-22 00:00:00',5,1,6,2006,'M','N','MORRO AGUDO','PAULO LOPES','SC','124161288116133721421674385323233267047',12387,'9998',41.62,1,3,NULL),(28,7366140,'1985-01-23 00:00:00',2,1,12,2002,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124251258117342431326649295344610168042',NULL,'9998',0.00,1,2,1),(28,7366159,'1995-06-06 00:00:00',4,1,12,2012,'M','S','ITACORUBI','FLORIANÓPOLIS','SC','124242248237111411579913595124610112042',NULL,'270',41.64,1,3,NULL),(28,7366183,'1975-04-27 00:00:00',2,1,12,1995,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243243246143411134444345132130266185',16123,'9997',43.46,1,3,NULL),(28,7366191,'1994-02-11 00:00:00',4,5,11,2011,'M','N','CARAVAGGIO','NOVA VENEZA','SC','124242241215131732428822245124610168012',7763,'213',50.34,1,3,NULL),(28,7366213,'1987-05-19 00:00:00',4,6,6,2005,'M','N','CENTRO','BAL CAMBORIÚ','SC','124203201136151431155571345125133264047',NULL,'9998',0.00,1,3,NULL),(28,7366256,'1990-01-27 00:00:00',4,1,12,2007,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241215373431238611415124230468183',11860,'1022',41.68,1,3,NULL),(28,7366264,'1990-12-20 00:00:00',4,8,12,2008,'F','N','MARÍLIA','MARÍLIA','SP','125252251216572431547819575112610134047',6491,'9998',52.65,1,3,NULL),(28,7366280,'1992-04-20 00:00:00',4,6,12,2009,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242244216572431479913575122610117112',3934,'9997',57.48,1,3,NULL),(28,7366299,'1994-01-13 00:00:00',4,1,11,2010,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241211372431557614285112233227142',NULL,'738',23.44,1,3,NULL),(28,7366302,'1993-03-27 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241213372731368822575112610167047',6668,'1168',54.39,1,3,NULL),(28,7366310,'1979-10-26 00:00:00',4,1,8,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241157626132751126644145224221527187',19296,'9998',33.88,4,3,NULL),(28,7366345,'1991-04-07 00:00:00',2,1,12,2010,'M','N','CENTRO','CASCAVEL','PR','116164168436273431558732575114610162097',NULL,'9998',0.00,1,3,NULL),(28,7366353,'1980-06-21 00:00:00',2,1,6,2000,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','224051051112131421326644445125140268187',NULL,'9998',28.15,4,3,NULL),(28,7366361,'1991-07-18 00:00:00',4,8,12,2008,'M','N','JARDIM EUROPA','PNT GROSSA','PR','116162161217221431278832575112142867122',NULL,'9998',0.00,1,3,NULL),(28,7366370,'1994-01-16 00:00:00',2,10,12,2011,'M','N','CENTRO','LAGUNA','SC','124242247147271431469913385112610124012',2405,'9999',64.16,1,3,NULL),(28,7366388,'1994-04-12 00:00:00',4,1,12,2011,'M','N','CENTRO','ANITÁPOLIS','SC','124241241145271411336913575124610124042',7037,'19',52.50,1,2,1),(28,7366396,'1991-08-30 00:00:00',4,1,11,2008,'M','N','SUMARÉ','RIO SUL','SC','124242241216574751358911275125610162142',277,'991',76.22,1,3,NULL),(28,7366426,'1993-02-22 00:00:00',4,3,12,2010,'F','N','MORRETES','ITAPEMA','SC','124241241217132431359613395115133232017',9271,'1111',44.44,1,3,NULL),(28,7366434,'1994-07-05 00:00:00',4,5,12,2011,'F','N','COMERCIARIO','CRICIÚMA','SC','124242241215151531436612571122610168195',8956,'995',47.73,1,3,NULL),(28,7366442,'1994-08-17 00:00:00',4,22,10,2011,'M','N','SÃO LUIZ','BRUSQUE','SC','124242241215211431478823575112610164052',5983,'1244',54.65,4,3,NULL),(28,7366450,'1994-08-27 00:00:00',4,3,10,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124162241216131411448922222122610127082',10858,'403',42.37,1,3,NULL),(28,7366469,'1995-08-04 00:00:00',2,24,12,2012,'F','S','ITOUPAVA SECA','BLUMENAU','SC','124242241217131431556632575125610158147',NULL,'88',36.50,1,3,NULL),(28,7366477,'1994-05-22 00:00:00',2,1,12,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','124241241112161431323329582224610121097',NULL,'1097',20.88,1,2,1),(28,7366485,'1981-08-19 00:00:00',2,1,11,2011,'F','N','JARDIM DAS ACÁCIAS','S JOSÉ','SC','124241247131133441213644242214610124097',12702,'9999',41.25,1,3,NULL),(28,7366493,'1994-12-02 00:00:00',4,8,12,2012,'F','S','GUANABARA','JOINVILLE','SC','124242241216111232416934575122610118072',NULL,'459',38.93,1,3,NULL),(28,7366515,'1994-05-23 00:00:00',4,24,12,2011,'F','N','VICTOR KONDER','TAIÓ','SC','124241241116131231329934575122610126142',20016,'777',27.84,1,2,1),(28,7366523,'1994-05-10 00:00:00',2,26,12,2011,'F','N','CENTRO','VARGEÃO','SC','124244241217112431425314591124610164142',NULL,'836',23.67,1,3,NULL),(28,7366531,'1995-06-27 00:00:00',4,24,12,2012,'F','S','CENTRO','ITUPORANGA','SC','124244241416111731548513575122610167142',NULL,'1173',30.30,1,3,NULL),(28,7366540,'1960-09-15 00:00:00',2,1,12,1984,'F','N','COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC','224241243122274431324454382124333226187',NULL,'281',0.00,1,2,1),(28,7366558,'1988-02-25 00:00:00',2,3,11,2006,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241215575551446632492125610127047',12790,'52',46.16,1,3,NULL),(28,7366566,'1994-01-31 00:00:00',4,1,12,2011,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241115131431549819482124610122093',NULL,'267',17.65,1,3,NULL),(28,7366574,'1994-10-28 00:00:00',4,7,12,2011,'F','N','CENTRO','CAMPOS NOVOS','SC','124241241115371431635312571122610146097',18437,'139',26.02,1,3,NULL),(28,7366582,'1984-01-14 00:00:00',4,15,1,2002,'M','N','SANTA ISABEL','VIAMÃO','RS','120241241436154731458611575124241444047',NULL,'813',0.00,1,3,NULL),(28,7366604,'1992-12-28 00:00:00',2,1,12,2011,'F','N','KOBRASOL','S JOSÉ','SC','124243241116131431324624372324610164017',NULL,'733',0.00,1,3,NULL),(28,7366612,'1993-11-09 00:00:00',4,1,11,2011,'F','N','JD ESPLANADA','S JOSÉ CAMPOS','SP','125252251217111431468834575122610162117',4645,'9998',56.16,1,3,NULL),(28,7366620,'1990-04-02 00:00:00',2,1,12,2007,'F','N','ST DOS FUNCIONÁRIOS','GOIÂNIA','GO','109091091415571431216624572224610133097',NULL,'9998',0.00,4,3,NULL),(28,7366639,'1994-12-17 00:00:00',2,4,12,2011,'F','N','LINHA SANTO ANTONIO','ESPIGÃO AT IGUAÇU','PR','116161161114171431453335573224610113047',NULL,'9998',0.00,1,2,1),(28,7366647,'1994-09-28 00:00:00',4,1,12,2011,'M','N','VILA FALCAO','BAURU','SP','125252251217111431368712575122610117042',8232,'9998',49.47,1,3,NULL),(28,7366655,'1990-04-07 00:00:00',2,1,12,2007,'M','N','CENTRO','CURITIBA','PR','116163161417413421536639295124241464012',10772,'9998',52.48,3,3,NULL),(28,7366663,'1994-06-17 00:00:00',4,1,12,2011,'M','N','ITAPETI','MOGI CRUZES','SP','125252251216111331668812575122610167053',13101,'9998',39.13,2,3,NULL),(28,7366680,'1991-05-05 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241115272731228621385124610127162',13202,'267',39.20,1,2,1),(28,7366698,'1992-02-17 00:00:00',2,4,12,2009,'F','N','JARDIM LA SALLE','TOLEDO','PR','116164161115571431559921475122610147147',1679,'9998',65.03,1,3,NULL),(28,7366701,'1992-11-12 00:00:00',2,1,12,2009,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241215375432648832575122231427145',11533,'270',48.40,1,3,NULL),(28,7366710,'1992-10-20 00:00:00',4,1,11,2009,'F','N','BATEL','CURITIBA','PR','116162161216412411438811595124610115012',9181,'9998',48.58,1,3,NULL),(28,7366728,'1994-07-30 00:00:00',4,1,12,2011,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241115151431549613575124610124062',10973,'271',43.02,1,2,1),(28,7366736,'1987-09-03 00:00:00',4,2,12,2005,'M','N','QUINTINO','TIMBÓ','SC','124241241316111431326449295125131468172',NULL,'37',0.00,1,3,NULL),(28,7366744,'1985-03-26 00:00:00',2,1,12,2004,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241136144721521441213324233222157',NULL,'276',20.38,1,2,1),(28,7366760,'1991-04-01 00:00:00',2,2,12,2008,'F','N','RIBEIRAO FRESCO','BLUMENAU','SC','124241241136131421314329382224610148147',18945,'79',35.50,1,2,1),(28,7366779,'1991-03-05 00:00:00',4,8,12,2009,'M','N','AMÉRICA','JOINVILLE','SC','124242241215372431466963575114221427042',NULL,'1118',0.00,1,3,NULL),(28,7366787,'1993-09-05 00:00:00',4,17,12,2010,'M','N','CAMPO DA LANÇA','MAFRA','SC','124163166415472441348923586222610164097',4223,'9998',58.17,1,3,NULL),(28,7366809,'1994-04-25 00:00:00',2,10,12,2011,'M','N','ABISCINIA','BRAÇO NORTE','SC','124243241116161411226624472122610135147',NULL,'100',0.00,1,3,NULL),(28,7366817,'1992-08-09 00:00:00',2,1,12,2009,'M','N','IBIRAQUERA','IMBITUBA','SC','124241241116372411326419375124610124042',8801,'1136',50.23,1,2,1),(28,7366833,'1991-08-14 00:00:00',4,10,12,2008,'F','N','CENTRO','TUBARÃO','SC','124242241215111731337932345122231036041',17391,'807',40.56,1,3,NULL),(28,7366841,'1992-02-19 00:00:00',2,4,12,2009,'F','N','IPIRANGA','FREDERICO WESTPHALEN','RS','120201201211132731355929591124610168187',3151,'9998',59.76,1,3,NULL),(28,7366850,'1993-11-28 00:00:00',4,1,11,2010,'M','N','TRISTEZA','PTO ALEGRE','RS','120202201217471431569912575124610127112',NULL,'9998',0.00,1,3,NULL),(28,7366868,'1991-03-29 00:00:00',2,1,2,2010,'F','N','MORRO AGUDO','PAULO LOPES','SC','124241248226132752523315345134232768187',NULL,'9999',22.42,1,3,NULL),(28,7366876,'1994-12-14 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217111751237831485114610164051',17518,'270',40.25,1,3,NULL),(28,7366884,'1993-03-26 00:00:00',2,8,12,2010,'M','N','SETOR OESTE','GOIÂNIA','GO','109092091437111431558834575312241417044',NULL,'9998',0.00,1,3,NULL),(28,7366906,'1994-08-26 00:00:00',2,9,12,2011,'M','N','OURO','S JOSÉ OURO','RS','120201242115161431423616292122610167067',20055,'960',27.22,1,3,NULL),(28,7366914,'1995-10-27 00:00:00',4,8,11,2012,'F','S','SANTO ANTONIO','JOINVILLE','SC','124242241217121742449834275122610135012',NULL,'459',49.37,1,3,NULL),(28,7366922,'1985-05-06 00:00:00',2,16,12,2002,'M','N','SÃO JOSÉ','CURITIBANOS','SC','224241241127141431224341211112610127045',NULL,'239',25.71,4,3,NULL),(28,7366949,'1994-02-04 00:00:00',4,3,12,2011,'M','N','JARDIM TROPICAL','MARÍLIA','SP','125254251317111431438619295221610137047',5294,'9998',56.75,1,3,NULL),(28,7366957,'1994-04-24 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241136151231424421275323313224047',NULL,'730',25.38,1,2,1),(28,7366965,'1992-05-22 00:00:00',4,1,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','624241241317131231446533245124610134117',18531,'732',37.18,1,3,NULL),(28,7366973,'1993-06-11 00:00:00',4,1,6,2010,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','124241241237151731446623575112231042112',NULL,'270',0.00,1,3,NULL),(28,7366981,'1990-01-18 00:00:00',4,1,8,2008,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124243247636151421367933385112130217062',NULL,'9999',16.52,1,3,NULL),(28,7366990,'1995-10-24 00:00:00',4,4,12,2011,'M','N','CENTRO','XAXIM','SC','124241241114271231468834575122610164147',NULL,'847',23.99,1,2,1),(28,7367007,'1994-12-02 00:00:00',4,8,12,2012,'F','S','GUANABARA','JOINVILLE','SC','124242241216111232416934575122610118072',NULL,'459',48.74,1,3,NULL),(28,7367015,'1992-11-12 00:00:00',4,16,12,2009,'F','N','SÃO JOSÉ','CURITIBANOS','SC','124241241116142711625513591224223216017',13093,'1130',39.27,4,2,1),(28,7367023,'1994-03-24 00:00:00',2,8,12,2011,'F','N','JARDIM SANTA ROSA','PARANAGUÁ','PR','116164161217131732348319585124610151182',NULL,'9998',21.29,4,3,NULL),(28,7367031,'1994-03-24 00:00:00',2,8,12,2011,'F','N','JARDIM SANTA ROSA','PARANAGUÁ','PR','116164161336131731348313585124610131187',NULL,'9998',22.61,4,3,NULL),(28,7367040,'1955-12-23 00:00:00',4,1,12,1973,'M','N','CARIANOS','FLORIANÓPOLIS','SC','224241241112143441543449295122320461093',NULL,'307',0.00,1,2,1),(28,7367058,'1993-02-09 00:00:00',2,15,12,2010,'F','N','CENTRO','TURVO','SC','124241241415272131438632575122610134097',NULL,'970',23.35,1,3,NULL),(28,7367066,'1992-10-31 00:00:00',6,1,12,2010,'M','N','ITOUPAVA NORTE','BLUMENAU','SC','124242241212272431436614571124610167187',NULL,'71',34.74,1,3,NULL),(28,7367074,'1989-04-22 00:00:00',4,1,12,2004,'F','N','BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC','124201201126131421522329242234610124182',NULL,'9998',16.58,1,3,NULL),(28,7367082,'1994-10-18 00:00:00',4,3,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242161217121411468811172124610162192',6712,'9998',53.02,1,3,NULL),(28,7367090,'1985-10-04 00:00:00',6,1,12,2005,'M','N','BOA VISTA','NOVO HAMBURGO','RS','112202208217111431539814445134142722147',NULL,'9998',15.75,1,3,NULL),(28,7367120,'1994-12-12 00:00:00',2,16,12,2011,'F','N','CENTRO','CURITIBANOS','SC','124242241415131731337913592122610127142',10232,'239',45.82,1,3,NULL),(28,7367139,'1986-07-27 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124243247327141421223644142214610144143',NULL,'977',0.00,1,3,NULL),(28,7367155,'1995-04-04 00:00:00',4,17,12,2011,'F','N','SOSSEGO','CANOINHAS','SC','124241241114371431516514575122610124192',NULL,'146',15.99,1,2,1),(28,7367163,'1992-01-30 00:00:00',2,6,12,2009,'M','N','MOINHOS','LAJEADO','RS','120201241117131431636411341124241447047',19464,'406',32.96,1,2,1),(28,7367171,'1994-09-20 00:00:00',4,7,12,2011,'F','N','PARQUE JARDIM OURO','OURO','SC','124241241215271431223623575122610116072',16939,'1093',31.05,1,3,NULL),(28,7367180,'1994-03-26 00:00:00',4,8,12,2011,'F','N','JARIVATUBA','JOINVILLE','SC','124241241115251431316631116324610132192',17057,'492',31.48,1,2,1),(28,7367198,'1991-12-27 00:00:00',2,9,12,2010,'M','N','ESTREITO','ALFREDO WAGNER','SC','124241247336132231113549192211610127052',NULL,'515',25.18,1,3,NULL),(28,7367201,'1994-03-14 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241117171712516338572124610117142',NULL,'307',20.42,1,2,1),(28,7367210,'1988-02-27 00:00:00',4,1,12,2005,'M','N','STO ANTONIO DE LISOA','FLORIANÓPOLIS','SC','124242241216153431466632275122231034112',18847,'1048',35.89,1,3,NULL),(28,7367228,'1994-06-06 00:00:00',4,10,12,2011,'M','N','CENTRO','S MARTINHO','SC','124241241125471432458911575121610127042',18778,'750',36.19,1,2,1),(28,7367236,'1993-12-05 00:00:00',4,1,10,2011,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124242241215121712469713575124610128112',16553,'1051',42.53,1,3,NULL),(28,7367244,'1994-04-04 00:00:00',4,4,12,2011,'M','N','CENTRO','CUNHA PORÃ','SC','124241241137161431463612145122610134147',NULL,'234',0.00,1,3,NULL),(28,7367252,'1993-11-05 00:00:00',4,1,12,2011,'M','N','JARDIM SÃO PAULO','SOROCABA','SP','125252251217111431459831572122610162046',600,'9998',70.32,1,3,NULL),(28,7367260,'1993-06-07 00:00:00',2,1,12,2010,'F','N','TRISTEZA','PTO ALEGRE','RS','120202201217271751327529294124610137072',11186,'9998',48.91,1,3,NULL),(28,7367279,'1987-08-04 00:00:00',4,5,12,2004,'F','N','TERCEIRA LINHA','IÇARA','SC','124241241116151731463313345132232368142',NULL,'1005',0.00,1,3,NULL),(28,7367287,'1994-06-01 00:00:00',4,1,11,2011,'M','N','ROÇADO','S JOSÉ','SC','124243241211111431368834281122610164142',NULL,'1076',21.63,1,3,NULL),(28,7367295,'1995-07-23 00:00:00',4,15,12,2012,'M','S','FIGUEIRA','JACINTO MACHADO','SC','124242241215111411348712322114610122182',NULL,'970',52.07,1,3,NULL),(28,7367309,'1989-04-03 00:00:00',2,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216243412236614241222231064042',NULL,'9997',16.30,1,3,NULL),(28,7367317,'1991-12-04 00:00:00',4,1,12,2009,'M','N','CENTRO','JOSÉ BONIFÁCIO','SP','125252251215371431436431585125141764172',11164,'9998',51.85,4,3,NULL),(28,7367325,'1994-07-25 00:00:00',2,2,11,2011,'F','N','VILA NOVA','BLUMENAU','SC','124242241215111751449811412122610133192',NULL,'855',20.17,1,3,NULL),(28,7367341,'1984-11-25 00:00:00',4,9,12,2004,'M','N','CORAL','LAGES','SC','124241241115372431348833325122330734097',16293,'513',42.51,1,2,1),(28,7367350,'1995-11-17 00:00:00',4,4,11,2012,'M','S','CENTRO','CHAPECÓ','SC','124243241215111431546712215112610127187',NULL,'1191',0.00,1,3,NULL),(28,7367368,'1967-06-01 00:00:00',4,1,12,1985,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224243246337142711554444442132121467047',16340,'230',43.02,1,3,NULL),(28,7367376,'1982-08-03 00:00:00',2,1,12,2002,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','224241241127134421223149345134610132195',NULL,'294',25.74,1,2,1),(28,7367384,'1994-03-22 00:00:00',2,8,12,2010,'F','N','CIDADE INDUSTRIAL','CURITIBA','PR','116163161145471431428634575124610143182',NULL,'9998',0.00,1,3,NULL),(28,7367406,'1995-07-05 00:00:00',4,22,11,2012,'F','S','NOVA BRASÍLIA','BRUSQUE','SC','124244241217111431456812345122610112142',NULL,'1244',44.22,1,3,NULL),(28,7367414,'1990-11-30 00:00:00',2,5,11,2008,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124241241216133711236313495124231028092',19093,'226',34.90,1,3,NULL),(28,7367422,'1991-11-28 00:00:00',4,1,12,2009,'M','N','BOSQUE','CAMPINAS','SP','125253251216571221523769575224610117057',NULL,'9998',0.00,1,3,NULL),(28,7367449,'1978-03-14 00:00:00',2,1,12,1997,'M','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','224241248346134451233543232122120268187',16722,'9999',42.15,1,3,NULL),(28,7367457,'1991-11-15 00:00:00',4,1,12,2009,'F','N','CENTRO','NAVEGANTES','SC','124241241126131431223344345223133226147',NULL,'569',11.62,4,3,NULL),(28,7367465,'1994-11-17 00:00:00',2,25,12,2011,'F','N','MATRIZ','VIDEIRA','SC','124241241215131431226629345122610123182',NULL,'829',0.00,1,3,NULL),(28,7367473,'1995-05-17 00:00:00',4,1,11,2012,'F','S','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124242241215111422463362575112610133195',NULL,'1022',28.18,1,3,NULL),(28,7367481,'1994-06-13 00:00:00',4,4,12,2011,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124241241117371431349814575122610136047',12530,'169',43.51,1,2,1),(28,7367490,'1990-12-29 00:00:00',4,1,12,2008,'M','N','CAPÃO DA IMBUIA','CURITIBA','PR','116162161216471431458817572121141467112',2503,'9998',63.04,1,3,NULL),(28,7367503,'1990-10-20 00:00:00',2,1,12,2007,'M','N','CENTRO','FLORIANÓPOLIS','SC','124101101116141731226644245334610123147',NULL,'9998',34.32,4,2,1),(28,7367511,'1985-11-16 00:00:00',4,1,12,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241137372411323548385114330241187',NULL,'89',46.97,1,2,1),(28,7367538,'1954-03-04 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','524241247132162431224464212124231026187',NULL,'288',0.00,1,2,1),(28,7367554,'1993-10-09 00:00:00',2,1,12,2010,'F','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241146273751426913295114133216092',NULL,'593',0.00,1,2,1),(28,7367562,'1995-12-13 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124072241215121431379733575122610124172',11127,'262',51.92,1,3,NULL),(28,7367570,'1984-02-01 00:00:00',2,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224201208126131421116544142244141217127',NULL,'9998',0.00,1,2,1),(28,7367589,'1991-10-11 00:00:00',1,16,12,2009,'M','N','CENTRO','CURITIBANOS','SC','124241242114133421323615582124220327047',NULL,'8',25.20,1,2,1),(28,7367597,'1994-07-19 00:00:00',4,15,11,2011,'M','N','SÃO LUIZ','SOMBRIO','SC','124242241216111222348823575112610164012',15833,'770',44.02,1,3,NULL),(28,7367600,'1994-02-22 00:00:00',4,1,12,2011,'M','N','JD PANORAMA','S JOSÉ R PRETO','SP','125252251215111431448611595122610132052',4958,'9998',62.50,1,3,NULL),(28,7367627,'1992-01-18 00:00:00',4,9,11,2011,'M','N','CENTRO','LAGES','SC','124244247317111731557861482122610147012',NULL,'9999',15.10,1,3,NULL),(28,7367635,'1989-12-15 00:00:00',2,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124244241216132411328724495124121921187',15535,'299',44.65,1,3,NULL),(28,7367643,'1994-08-20 00:00:00',2,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215131531568916275124610121185',7278,'270',52.54,1,3,NULL),(28,7367651,'1979-10-27 00:00:00',2,5,12,1998,'M','N','VILA ZULEIMA','CRICIÚMA','SC','224243248446131231336419482322333237091',20009,'9999',27.97,2,1,2),(28,7367660,'1991-09-21 00:00:00',4,1,12,2009,'F','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','124244241415473431558811575114610133185',7108,'1250',58.64,1,3,NULL),(28,7367678,'1991-06-21 00:00:00',2,1,12,2009,'F','N','ESPÍRITO SANTO','PTO ALEGRE','RS','120201208217571431439619595124143244097',NULL,'9998',23.66,1,3,NULL),(28,7367686,'1994-12-20 00:00:00',2,1,12,2011,'F','N','CENTRO','PITANGA','PR','116161161116271411546833275122610124147',NULL,'9998',0.00,4,1,1),(28,7367694,'1993-09-21 00:00:00',4,17,12,2011,'F','N','INTERIOR','IRINEÓPOLIS','SC','124241248136131731424335595224610166142',NULL,'381',8.45,1,2,1),(28,7367708,'1958-01-10 00:00:00',2,8,12,1979,'M','N','JARDIM SANTA ROSA','PARANAGUÁ','PR','516161161136131731343343192123342236047',NULL,'9998',19.70,4,2,1),(28,7367724,'1994-09-30 00:00:00',4,4,12,2011,'F','N','PRESIDENTE MEDICE','CHAPECÓ','SC','124241241115131751323324272225610122077',NULL,'179',24.32,1,2,1),(28,7367732,'1994-10-26 00:00:00',4,8,11,2011,'F','N','GLÓRIA','JOINVILLE','SC','124242241215111331669612575112610113092',13512,'457',48.23,1,3,NULL),(28,7367740,'1981-03-31 00:00:00',4,1,12,1998,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241236273411127841412224322266193',NULL,'1169',0.00,1,3,NULL),(28,7367759,'1990-05-09 00:00:00',2,1,12,2007,'F','N','SOBRADINHO','SOBRADINHO','DF','107072071216571431569934585122241562197',NULL,'9998',0.00,1,3,NULL),(28,7367767,'1994-06-29 00:00:00',4,10,11,2011,'M','N','CENTRO','TUBARÃO','SC','124242241215131231438714575111610137187',NULL,'1120',25.16,1,3,NULL),(28,7367775,'1985-06-12 00:00:00',2,8,10,2011,'M','N','PARQUE GUARANI','JOINVILLE','SC','124161247115131732426634125224610124067',NULL,'9999',30.19,4,2,1),(28,7367783,'1991-12-06 00:00:00',2,1,12,2010,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241211212711538851371124610168052',19228,'269',34.21,1,3,NULL),(28,7367791,'1987-08-26 00:00:00',4,1,12,2004,'M','N','CENTRO','SANTANA PTE PENSA','SP','125251255136372441224621475124340232092',6490,'9998',53.28,1,2,1),(28,7367805,'1990-05-03 00:00:00',2,1,12,2007,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241212133722438931492124231147042',10061,'272',47.23,1,3,NULL),(28,7367813,'1987-07-11 00:00:00',4,1,12,2004,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224242241212474431233654485124332821175',NULL,'266',0.00,1,3,NULL),(28,7367821,'1994-07-18 00:00:00',4,2,12,2011,'F','N','BUTANTA','S PAULO','SP','125252251417131431556824571124610144147',NULL,'9998',0.00,1,3,NULL),(28,7367830,'1993-01-08 00:00:00',4,3,12,2010,'F','N','ALTO','PIRACICABA','SP','125252251215471411556834575112610142091',2168,'9998',62.26,1,3,NULL),(28,7367848,'1990-07-16 00:00:00',2,1,12,2007,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241137143411324644245124230264012',14366,'763',46.82,1,2,1),(28,7367856,'1990-01-02 00:00:00',4,16,12,2007,'M','N','BOM JESUS','CURITIBANOS','SC','124241241137141531434437442313610137087',NULL,'239',15.85,3,3,NULL),(28,7367872,'1994-03-14 00:00:00',4,10,12,2010,'M','N','MAGALHÃES','LAGUNA','SC','124243241217152731346431315122610114157',15999,'525',43.70,1,3,NULL),(28,7367899,'1995-12-01 00:00:00',4,1,12,2011,'M','N','KOBRASOL','S JOSÉ','SC','124242241217111411358833275124610127162',19644,'723',31.65,1,3,NULL),(28,7367902,'1988-07-11 00:00:00',2,8,11,2005,'F','N','CENTRO','CURITIBA','PR','116164161216574431584532575122610122172',5743,'9998',55.64,1,3,NULL),(28,7367910,'1995-07-12 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111431366821575122610122112',NULL,'1169',15.07,1,3,NULL),(28,7367929,'1991-10-19 00:00:00',2,1,12,2011,'F','N','CARIANOS','FLORIANÓPOLIS','SC','124244247436131511336622275124610117142',NULL,'9999',25.64,1,3,NULL),(28,7367937,'1990-06-08 00:00:00',2,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241144152711113421385124221518045',NULL,'689',0.00,1,2,1),(28,7367945,'1982-04-11 00:00:00',2,15,2,2001,'M','N','CIDADE ALTA','ARARANGUÁ','SC','624201206117151451343743435125131767053',NULL,'9998',0.00,1,2,1),(28,7367953,'1990-03-02 00:00:00',2,1,12,2007,'F','N','CAMPO DUNA','GAROPABA','SC','124241241146135431433611585124131423142',NULL,'322',24.09,1,2,1),(28,7367961,'1986-04-17 00:00:00',4,1,12,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224203208316131322117844345344142012097',NULL,'9998',0.00,1,3,NULL),(28,7367970,'1995-05-03 00:00:00',4,8,12,2011,'M','N','ATIRADORES','JOINVILLE','SC','124242241217111532569711585122610127047',14713,'457',46.14,1,3,NULL),(28,7367988,'1993-04-03 00:00:00',2,1,12,2010,'F','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','124241241225472432224464585114610148147',15578,'262',34.99,1,3,NULL),(28,7367996,'1995-02-08 00:00:00',4,8,11,2012,'M','S','BOA VISTA','JOINVILLE','SC','124244241211111431356923575122610167013',NULL,'489',35.61,1,3,NULL),(28,7368003,'1994-07-05 00:00:00',2,10,11,2011,'F','N','DEHON','TUBARÃO','SC','124241241215131441636624575122610123187',10527,'806',52.88,1,3,NULL),(28,7368011,'1994-02-18 00:00:00',2,1,12,2011,'M','N','NOSSA SR DO ROSARIO','S JOSÉ','SC','124241241115111431536633592224610167043',17554,'271',40.17,1,2,1),(28,7368020,'1993-12-13 00:00:00',2,1,12,2011,'F','N','LIBERDADE','S PAULO','SP','125252251215211411479814571122610113147',NULL,'9998',31.66,3,3,NULL),(28,7368038,'1992-05-20 00:00:00',4,10,12,2009,'M','N','CENTRO','TUBARÃO','SC','124244241317131731238927372122231267046',NULL,'798',0.00,1,3,NULL),(28,7368046,'1988-05-05 00:00:00',2,25,11,2007,'F','N','SAMBUGARO','PATO BRANCO','PR','116161168136171751526629395132610134142',NULL,'9998',18.31,1,3,NULL),(28,7368054,'1994-12-21 00:00:00',2,9,11,2011,'M','N','MORRO DO POSTO','LAGES','SC','124243241215112411458813435111610167042',13373,'1207',48.45,1,3,NULL),(28,7368062,'1994-10-26 00:00:00',4,16,12,2011,'F','N','COAB UM','CURITIBANOS','SC','124241241115371731523315382224610128145',NULL,'240',21.51,1,3,NULL),(28,7368070,'1994-06-30 00:00:00',2,1,11,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241115131431346574575124610127117',NULL,'271',9.22,1,2,1),(28,7368089,'1992-11-11 00:00:00',2,15,12,2010,'M','N','JARDIM NICOLAU','JACINTO MACHADO','SC','124243241142141431643611242111610127047',NULL,'420',21.90,1,3,NULL),(28,7368097,'1995-03-01 00:00:00',4,6,12,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124242241215111431428812572112610135117',16239,'1038',34.43,1,3,NULL),(28,7368100,'1975-10-31 00:00:00',2,16,12,1993,'M','N','SÃO LUIZ','CURITIBANOS','SC','124241242116141731153343435124332712065',12787,'741',49.31,1,3,NULL),(28,7368127,'1983-08-05 00:00:00',2,1,12,2001,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224241241116144421234543335124130237053',NULL,'727',34.18,2,1,1),(28,7368135,'1994-07-31 00:00:00',2,7,12,2011,'F','N','MORADA DO SOL','CAMPOS NOVOS','SC','124241241111141431426433341122610124012',17310,'140',30.59,1,2,1),(28,7368143,'1993-10-23 00:00:00',4,7,12,2010,'F','N','FLOR DA SERRA','JOAÇABA','SC','124242241216133431438419575122610125187',6922,'454',58.97,1,3,NULL),(28,7368151,'1991-12-23 00:00:00',4,8,12,2009,'M','N','ALTO DA GLORIA','CURITIBA','PR','116244241216574751477631171124610162071',NULL,'486',0.00,1,3,NULL),(28,7368178,'1995-09-17 00:00:00',4,1,11,2011,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124244241217111431336821572122610112145',15459,'1134',44.77,1,3,NULL),(28,7368186,'1996-08-27 00:00:00',4,1,11,2013,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241217111731589813575122610118122',NULL,'270',48.58,1,3,NULL),(28,7368194,'1990-01-12 00:00:00',4,8,12,2007,'M','N','BIGORRILHO','CURITIBA','PR','116161161215511711437632295121243227057',NULL,'9998',0.00,1,3,NULL),(28,7368208,'1996-09-30 00:00:00',4,1,11,2013,'F','S','SUMARE','RIO SUL','SC','124242241215111431448811592122610124052',NULL,'991',20.97,1,3,NULL),(28,7368216,'1994-08-01 00:00:00',4,1,12,2011,'M','N','CITY RIBEIRAO','RIBEIRÃO PRETO','SP','109252253216111431489911475122610162052',15716,'9998',44.27,1,3,NULL),(28,7368224,'1993-02-26 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241126272431423334585124610124042',10823,'282',45.63,1,2,1),(28,7368232,'1994-10-03 00:00:00',4,8,12,2011,'F','N','SAGUAÇU','JOINVILLE','SC','124242241215111231488812575122610114072',18585,'457',36.96,1,3,NULL),(28,7368240,'1993-02-16 00:00:00',2,1,12,2011,'M','N','CALHEIROS','GOV CELSO RAMOS','SC','124241241112131432334923392223610127185',NULL,'329',14.65,1,3,NULL),(28,7368259,'1989-11-16 00:00:00',4,1,12,2006,'F','N','ANA MARIA','RIBEIRÃO PRETO','SP','125252251217571431468811575124141763147',388,'9998',73.51,1,3,NULL),(28,7368267,'1993-07-08 00:00:00',2,1,12,2010,'F','N','CENTRO','ÁGUAS MORNAS','SC','124241241126272731446631515114610147147',NULL,'12',47.83,1,2,1),(28,7368275,'1993-07-11 00:00:00',2,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124243241111132331416621571124131056097',NULL,'772',28.90,1,3,NULL),(28,7368283,'1993-12-17 00:00:00',4,1,1,2012,'F','N','FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC','124241248145161532326624575124610135012',NULL,'1099',0.00,1,3,NULL),(28,7368291,'1967-07-19 00:00:00',4,1,11,1989,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624241244236133411423343432332610143187',NULL,'1169',13.02,2,1,2),(28,7368305,'1964-04-26 00:00:00',2,1,7,2010,'F','N','SÃO JOAO DO RIO VERM','FLORIANÓPOLIS','SC','224251247213131711471173145122610162041',NULL,'9999',17.40,2,1,2),(28,7368313,'1992-03-18 00:00:00',4,1,12,2009,'F','N','CENTRO','STA CECÍLIA','SC','124241241231573431338813571112610134197',3642,'881',60.70,1,3,NULL),(28,7368321,'1994-04-26 00:00:00',2,9,12,2011,'F','N','SÃO CRISTOVÃO','LAGES','SC','124241241117371431333411575122610137052',7890,'935',52.23,1,2,1),(28,7368330,'1995-05-06 00:00:00',4,1,12,2012,'M','S','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124242241217111711459931495112610164041',NULL,'1250',42.99,1,3,NULL),(28,7368348,'1971-11-17 00:00:00',2,1,11,1989,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','624204201412141431429641312332140428117',17732,'9998',39.66,1,3,NULL),(28,7368356,'1986-09-19 00:00:00',4,1,12,2004,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124252251216113431368814345125221422012',13637,'9998',47.99,1,3,NULL),(28,7368372,'1991-07-18 00:00:00',4,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115131711216679572324610164142',NULL,'732',0.00,1,2,1),(28,7368380,'1994-04-12 00:00:00',2,15,12,2011,'F','N','DIVINÉIA','ARARANGUÁ','SC','124241241115371431326839575121610127057',15017,'30',35.39,1,2,1),(28,7368399,'1994-02-02 00:00:00',2,1,12,2011,'F','N','SETOR MORADA DO SOL','RIO VERDE','GO','124092091217111731534535275112610126042',18444,'9998',37.49,4,3,NULL),(28,7368402,'1990-09-22 00:00:00',4,1,7,2007,'F','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','224243241212574431319933475212222164167',5742,'270',61.05,1,3,NULL),(28,7368410,'1984-05-03 00:00:00',2,1,12,2002,'F','N','BARREIRINHA','CURITIBA','PR','124161168426231731434671195124143033117',19679,'9998',31.39,4,3,NULL),(28,7368429,'1989-06-10 00:00:00',5,1,12,2006,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217155431548819345124223234037',5874,'269',53.42,1,3,NULL),(28,7368437,'1994-05-20 00:00:00',4,1,12,2010,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242241217472411568814574124610164055',4917,'951',57.05,1,3,NULL),(28,7368445,'1982-02-01 00:00:00',2,1,1,2000,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124121127226133441323321313324610131072',NULL,'9998',0.00,1,3,NULL),(28,7368453,'1991-01-12 00:00:00',4,8,12,2008,'F','N','AGUA VERDE','CURITIBA','PR','116162161215572411469933575122142414097',1292,'9998',66.73,1,3,NULL),(28,7368461,'1983-11-25 00:00:00',4,1,12,2001,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124243241216135711119441411314222243142',NULL,'185',25.53,1,3,NULL),(28,7368470,'1993-12-31 00:00:00',4,1,12,2011,'M','N','BELA VISTA','S JOSÉ','SC','624243248225111751424431575124610127042',NULL,'976',28.58,4,3,NULL),(28,7368488,'1958-02-10 00:00:00',4,4,12,1975,'F','N','CENTRO','RIQUEZA','SC','124241205127162111243343332334610121184',NULL,'9998',24.79,1,3,NULL),(28,7368496,'1991-07-13 00:00:00',2,1,7,2009,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241117574431536715575124230411147',NULL,'739',12.69,1,2,1),(28,7368500,'1964-03-10 00:00:00',4,1,12,1982,'M','N','CAMPINAS','S JOSÉ','SC','524243246216113741478641425122321428141',NULL,'1105',0.00,1,3,NULL),(28,7368518,'1991-10-06 00:00:00',4,4,12,2008,'F','N','XAXIM','CURITIBA','PR','116164161116114431536913575114610122197',NULL,'9998',0.00,1,3,NULL),(28,7368526,'1988-06-23 00:00:00',4,1,12,2005,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124242241212273741327624472324223264187',9051,'260',55.33,1,3,NULL),(28,7368534,'1994-02-24 00:00:00',5,4,12,2011,'F','N','CENTRO','XANXERÊ','SC','124241241216271431456923375122610163077',11415,'9997',42.52,1,3,NULL),(28,7368542,'1981-12-04 00:00:00',2,1,12,1998,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224164161116152751536643235121131954187',NULL,'9998',44.47,1,3,NULL),(28,7368550,'1967-09-01 00:00:00',4,1,6,1986,'F','N','TRINDADE','FLORIANÓPOLIS','SC','224281281117151731269851345122430432182',14078,'9998',47.29,3,3,NULL),(28,7368569,'1990-05-25 00:00:00',2,1,12,2007,'F','N','COBRE','CANELINHA','SC','124241241126142451443419292124222366042',18602,'142',36.89,1,3,NULL),(28,7368577,'1983-10-07 00:00:00',4,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','224051055112151431213353572224143056097',NULL,'9998',20.26,1,2,1),(28,7368585,'1991-01-11 00:00:00',4,25,12,2008,'M','N','BELLO','CAÇADOR','SC','124241241115371441636413285124132337057',NULL,'123',0.00,1,2,1),(28,7368593,'1987-10-05 00:00:00',2,1,12,2005,'F','N','INGLESES','FLORIANÓPOLIS','SC','124251251145372431423524345124610122042',9928,'9998',48.70,1,2,1),(28,7368607,'1993-08-06 00:00:00',4,1,11,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124132241217111631489717575124610162057',2740,'270',60.87,1,3,NULL),(28,7368615,'1992-02-06 00:00:00',4,1,11,2009,'M','N','JARDIM DO MAR','S BERNARDO CAMPO','SP','125252251216472111339924575122610167057',1054,'9998',68.42,1,3,NULL),(28,7368623,'1988-02-16 00:00:00',4,1,12,2005,'M','N','PARQUE DAS ÁRVORES','CERQUILHO','SP','116251251217571412458823575125241832043',NULL,'9998',0.00,1,3,NULL),(28,7368640,'1990-11-18 00:00:00',4,1,12,2008,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241113162231226624345124231412177',20035,'288',27.54,1,3,NULL),(28,7368658,'1994-12-01 00:00:00',4,4,12,2011,'F','N','SAIC','CHAPECÓ','SC','124241241112371231223521575122610124142',16951,'857',31.47,1,2,1),(28,7368666,'1993-02-08 00:00:00',4,1,12,2010,'F','N','VILA MORANGUEIRA','MARINGÁ','PR','116162161237471311338713572122610127142',NULL,'9998',0.00,1,3,NULL),(28,7368712,'1987-08-09 00:00:00',2,1,12,2005,'F','N','BARREIROS','S JOSÉ','SC','124241241116133141628312445124610121034',18488,'257',37.33,1,3,NULL),(28,7368720,'1981-04-28 00:00:00',2,1,12,1998,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241126152721223327335334121468142',NULL,'772',0.00,1,2,1),(28,7368739,'1982-05-12 00:00:00',4,1,12,1999,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201111131231126623482124610167187',NULL,'9998',0.00,1,3,NULL),(28,7368747,'1993-04-05 00:00:00',2,4,12,2011,'M','N','CENTRO','S DOMINGOS','SC','124241241215111431436413272122610167042',20051,'836',27.32,1,3,NULL),(28,7368755,'1991-03-12 00:00:00',4,4,11,2008,'F','N','BANCARIOS','PATO BRANCO','PR','116161161117131731346724245122142732012',NULL,'9998',0.00,1,2,1),(28,7368763,'1991-08-03 00:00:00',4,10,11,2008,'M','N','OFICINAS','TUBARÃO','SC','624242241211372121326923471125123267052',3812,'807',60.42,1,3,NULL),(28,7368771,'1992-11-18 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215373411358734592122232443157',3639,'270',65.12,1,3,NULL),(28,7368780,'1954-02-15 00:00:00',2,1,11,1977,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','224202201116153751243343232132140461092',16709,'9998',42.18,2,1,2),(28,7368798,'1994-08-24 00:00:00',2,1,12,2011,'F','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241115131731623729592124610166097',15111,'307',36.71,1,2,1),(28,7368810,'1995-12-19 00:00:00',4,5,12,2011,'F','N','CENTRO','SIDERÓPOLIS','SC','124242241215111431358812595114610114147',17221,'226',40.94,1,3,NULL),(28,7368836,'1993-03-24 00:00:00',4,1,12,2010,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217152431259713575124231464142',4008,'270',64.45,1,3,NULL),(28,7368844,'1994-08-28 00:00:00',2,15,11,2011,'F','N','ESTREITO','MELEIRO','SC','124253241215321431443432345124610162122',NULL,'27',22.56,1,3,NULL),(28,7368852,'1992-12-08 00:00:00',4,1,12,2010,'F','N','CENTRO','CANELINHA','SC','124241241146472411331314245121610148057',16131,'142',32.17,1,2,1),(28,7368860,'1995-03-20 00:00:00',2,5,12,2011,'F','N','BALNEARIO RINCAO','IÇARA','SC','124244241217161631437618575122610135112',NULL,'349',12.04,1,3,NULL),(28,7368879,'1991-05-08 00:00:00',2,7,12,2009,'F','N','CENTRO','HERVAL D OESTE','SC','124241243146372431338634375124230424197',12225,'341',41.06,1,2,1),(28,7368887,'1991-04-26 00:00:00',4,1,12,2008,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124072071217472421578733572122221434042',1714,'9998',70.77,1,3,NULL),(28,7368895,'1991-10-21 00:00:00',4,8,12,2009,'M','N','SANTO ANTÔNIO','JOINVILLE','SC','124242241217113731568711575125221462042',NULL,'457',0.00,1,3,NULL),(28,7368909,'1994-04-07 00:00:00',2,1,12,2011,'F','N','SANTA CRUZ','RONDONÓPOLIS','MT','111112118215111531455612575122610156012',NULL,'9998',0.00,1,3,NULL),(28,7368933,'1994-02-02 00:00:00',2,10,12,2011,'F','N','VILLAGE','IMBITUBA','SC','124243241115271431358813575122610136147',12723,'359',42.86,1,3,NULL),(28,7368941,'1993-06-30 00:00:00',4,3,11,2010,'M','N','JD PROGRESSO','NAVIRAÍ','MS','124161163116211331214431415122610127047',NULL,'49',0.00,4,3,NULL),(28,7368950,'1991-11-14 00:00:00',4,1,12,2009,'M','N','CENTRO','CAPIVARI','SP','125252251216571431438839285122610137043',5693,'9998',54.76,1,3,NULL),(28,7368968,'1993-04-01 00:00:00',2,17,12,2010,'F','N','CENTRO','MAFRA','SC','124164241217472431449414571125610144097',NULL,'541',34.27,1,3,NULL),(28,7368976,'1978-05-08 00:00:00',5,1,12,1997,'F','N','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124242241131155732214348285123121963095',NULL,'307',27.08,1,3,NULL),(28,7368984,'1978-04-01 00:00:00',4,1,12,1995,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241241116142421254572425132610136197',12402,'69',49.94,1,2,1),(28,7369000,'1992-09-19 00:00:00',2,8,12,2010,'F','N','CENTRO','ITABERÁ','SP','125252161216472751443616575125610134097',11892,'9998',45.53,1,3,NULL),(28,7369018,'1992-08-21 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124243241116142431627514445115610122192',NULL,'307',29.26,1,3,NULL),(28,7369026,'1992-03-26 00:00:00',2,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124242241217142731438829592135230247045',18805,'1169',36.07,1,3,NULL),(28,7369034,'1944-03-26 00:00:00',4,1,12,2011,'F','N','JARDIM PEDREIRA','S PAULO','SP','125253251116471411438813575124610165087',NULL,'9998',14.04,2,3,NULL),(28,7369042,'1990-06-11 00:00:00',4,1,12,2008,'M','N','JD PARAISO','CAMPINAS','SP','125252251217471431469812341122141467017',NULL,'9998',13.32,1,3,NULL),(28,7369069,'1985-04-13 00:00:00',4,3,12,2004,'M','N','CENTRO','BAL CAMBORIÚ','SC','124161161417471711344321575122140626052',NULL,'9998',0.00,5,3,NULL),(28,7369085,'1985-03-23 00:00:00',4,8,10,2011,'M','N','PARQUE GUARANI','JOINVILLE','SC','624241247135131712516851182225610117057',NULL,'9999',4.82,1,3,NULL),(28,7369093,'1987-04-13 00:00:00',2,1,12,2004,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201201117134411233443435123233232092',NULL,'9998',29.47,1,2,1),(28,7369123,'1991-04-18 00:00:00',4,1,12,2008,'F','N','VILA IPOJUCA','S PAULO','SP','125252251217471431378823375124142667057',NULL,'9998',0.00,1,3,NULL),(28,7369131,'1992-04-02 00:00:00',4,1,12,2011,'F','N','CENTRO','ANITÁPOLIS','SC','124241247125141431336633241122610122142',NULL,'9999',0.00,1,2,1),(28,7369140,'1994-08-05 00:00:00',2,5,11,2011,'F','N','CENTRO','IÇARA','SC','124242241215111431438914575122610135052',7999,'226',49.50,1,3,NULL),(28,7369158,'1966-07-06 00:00:00',2,1,12,1986,'F','N','ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC','224241248226152712421354482114610127187',NULL,'9997',21.74,1,3,NULL),(28,7369174,'1994-10-17 00:00:00',4,1,12,2011,'F','N','CDO GUAPORÉ UM','RIBEIRÃO PRETO','SP','125252251217111451546632574122610115187',NULL,'9998',0.00,1,3,NULL),(28,7369182,'1992-10-03 00:00:00',2,1,12,2010,'M','N','VILA DUTRA','BAURU','SP','125254251217131311227672485124142022092',NULL,'9998',0.00,2,1,2),(28,7369204,'1992-08-21 00:00:00',4,1,11,2009,'M','N','JURERÊ','FLORIANÓPOLIS','SC','124242241216472431247723385124131022147',NULL,'270',0.00,1,3,NULL),(28,7369239,'1992-10-21 00:00:00',4,1,11,2009,'M','N','CAMPINAS','S JOSÉ','SC','124244241216142721568813495122120727063',9393,'723',54.73,4,3,NULL),(28,7369247,'1977-08-08 00:00:00',2,1,12,2011,'F','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','624241244126132411233354141124133233057',NULL,'306',27.21,1,2,1),(28,7369255,'1993-05-03 00:00:00',4,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241217132431448819115124610164011',7721,'270',49.48,1,3,NULL),(28,7369263,'1993-08-16 00:00:00',2,1,12,2011,'F','N','ARMAÇAO P SUL','FLORIANÓPOLIS','SC','624161241127131731314678382324610164145',NULL,'291',0.00,1,3,NULL),(28,7369271,'1994-07-09 00:00:00',4,1,12,2011,'M','N','SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC','124241241135141431436632345124610167067',18848,'772',26.85,1,2,1),(28,7369280,'1989-04-13 00:00:00',2,16,12,2006,'M','N','BOSQUE','CURITIBANOS','SC','124242241416574431169823375114231467042',12062,'239',50.44,2,1,2),(28,7369298,'1993-08-09 00:00:00',4,1,12,2010,'M','N','CENTRO HISTÓRICO','S JOSÉ','SC','124241241117131411335527245114610117057',NULL,'728',14.04,1,3,NULL),(28,7369301,'1994-05-24 00:00:00',2,1,1,2012,'F','N','SERTÃO','STO AMARO IMPERATRIZ','SC','124241241117271432424621375124610124142',NULL,'772',17.14,1,2,1),(28,7369328,'1988-11-28 00:00:00',4,15,12,2005,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241245136112431436863315123130616047',NULL,'29',0.00,1,2,1),(28,7369336,'1993-06-03 00:00:00',4,1,12,2010,'F','N','SAGRADA FAMILIA','BELO HORIZONTE','MG','113134131217271431327649342334610135127',NULL,'9998',0.00,4,1,2),(28,7369344,'1987-02-07 00:00:00',6,1,12,2006,'F','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241116132531431339395124232727151',20059,'307',27.10,1,2,1),(28,7369352,'1986-12-10 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241216134411468812325132331466047',11502,'265',51.31,1,3,NULL),(28,7369360,'1987-11-29 00:00:00',4,1,12,2005,'M','N','REBOUÇAS','CURITIBA','PR','124163161127151431146544345124141468182',NULL,'9998',0.00,1,3,NULL),(28,7369379,'1994-03-08 00:00:00',4,3,12,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124241241115371431538611312325610125177',7886,'51',51.64,2,1,1),(28,7369387,'1994-02-03 00:00:00',4,23,11,2011,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241215111431478811576122610131012',6004,'442',60.57,1,3,NULL),(28,7369395,'1994-05-12 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215272411659731195122610137072',10878,'1022',44.72,3,3,NULL),(28,7369425,'1993-02-25 00:00:00',4,8,11,2010,'M','N','BOM RETIRO','JOINVILLE','SC','124241241215212431488912192112221461143',3259,'270',66.22,1,3,NULL),(28,7369433,'1967-05-03 00:00:00',6,1,12,1999,'F','N','SERRARIA','S JOSÉ','SC','224241207412132411223354385124322235102',NULL,'9999',26.08,4,1,2),(28,7369441,'1990-09-20 00:00:00',4,1,12,2009,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','124242245217142731459923495122231047147',NULL,'1022',0.00,1,3,NULL),(28,7369450,'1994-06-10 00:00:00',4,4,12,2011,'M','N','CENTRO','XANXERÊ','SC','124243241215241132333952115121610157177',19212,'1233',34.29,1,3,NULL),(28,7369468,'1993-05-16 00:00:00',2,1,12,2010,'F','N','BOM VIVER','BIGUAÇU','SC','124241241117132431436834342124133268142',19871,'66',29.69,1,2,1),(28,7369476,'1994-02-23 00:00:00',4,1,12,2011,'M','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124242241215151432446632575114610167047',17135,'1022',41.18,1,3,NULL),(28,7369484,'1978-02-24 00:00:00',4,1,12,1995,'M','N','KOBRASOL','S JOSÉ','SC','124241244121575431336443235123610128117',10503,'307',45.89,1,2,1),(28,7369492,'1993-01-09 00:00:00',4,1,12,2010,'M','N','VIVENDAS','S JOSÉ R PRETO','SP','125254251215471411468814495122610117012',2048,'9998',64.25,1,3,NULL),(28,7369506,'1994-06-04 00:00:00',4,5,11,2011,'M','N','CENTRO','IÇARA','SC','124242241215111431384832275114610164046',9241,'226',55.00,1,3,NULL),(28,7369522,'1989-06-25 00:00:00',4,10,12,2007,'M','N','CENTRO','IMBITUBA','SC','124241248635271411416651495115610164092',NULL,'9997',0.00,1,3,NULL),(28,7369549,'1993-05-10 00:00:00',4,1,12,2010,'F','N','JARDIM MONUMENTO','PIRACICABA','SP','125252251216151431454412175112140934077',NULL,'9998',0.00,1,3,NULL),(28,7369557,'1974-11-05 00:00:00',4,1,12,1994,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241126133431223344245124122264147',17626,'69',39.94,1,3,NULL),(28,7369565,'1988-06-18 00:00:00',4,1,12,2006,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124253256311132411116513381341121767162',NULL,'9998',26.87,1,3,NULL),(28,7369581,'1992-05-28 00:00:00',4,1,12,2009,'F','N','CENTRO','S ROQUE','SP','125252251217471311328714472112610134092',14315,'9998',46.92,1,3,NULL),(28,7369590,'1994-08-24 00:00:00',2,1,12,2011,'F','N','CENTRO','ANITÁPOLIS','SC','124241241115131431433833575122610134052',16757,'19',32.06,1,2,1),(28,7369603,'1994-12-09 00:00:00',4,22,11,2012,'F','S','CENTRO','GUABIRUBA','SC','124242248216111751558619495122610168192',NULL,'107',39.27,1,3,NULL),(28,7369611,'1995-03-23 00:00:00',2,1,12,2011,'M','N','COBRE','CANELINHA','SC','124241241125141251443439295122610167047',NULL,'142',25.81,1,2,1),(28,7369638,'1984-06-25 00:00:00',2,1,12,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244246132275411228642325122333224112',8078,'306',51.99,1,3,NULL),(28,7369646,'1994-08-04 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217111441469811575124610126187',11027,'270',42.78,1,3,NULL),(28,7369654,'1986-12-29 00:00:00',4,1,12,2003,'F','N','CORRÉGO GRANDE','FLORIANÓPOLIS','SC','124244241215275431366923482122221838057',4980,'270',62.44,1,3,NULL),(28,7369662,'1992-12-23 00:00:00',4,1,12,2009,'M','N','NOSSA S DE LURDES','CAMPOS NOVOS','SC','124242241215572431488912575112610134072',7740,'962',48.21,1,3,NULL),(28,7369670,'1993-12-03 00:00:00',2,8,11,2011,'M','N','BACAXERI','CURITIBA','PR','116163168325421451648314375124610157147',NULL,'9998',26.37,1,3,NULL),(28,7369689,'1995-04-16 00:00:00',4,16,12,2011,'F','N','BOM JESUS','CURITIBANOS','SC','124241241115371431336614475122610123147',NULL,'239',16.93,1,3,NULL),(28,7369700,'1989-05-21 00:00:00',2,1,12,2011,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124241247217141731236441112122610148052',13653,'9999',40.28,1,3,NULL),(28,7369719,'1992-04-30 00:00:00',2,1,12,2009,'M','N','FAZENDA SANTO ANTONI','S JOSÉ','SC','124242241216113421554811225122121267042',15915,'737',43.86,1,3,NULL),(28,7369727,'1993-06-21 00:00:00',4,3,12,2010,'M','N','CENTRO','ARARAS','SP','125252251215471431468814275122610137052',8338,'9998',46.45,1,3,NULL),(28,7369735,'1994-08-16 00:00:00',4,3,12,2011,'M','N','MORRETES','ITAPEMA','SC','124241241115111732444933575121610127057',NULL,'405',0.00,1,2,1),(28,7369743,'1992-02-12 00:00:00',2,1,12,2009,'F','N','CENTRO','ANITÁPOLIS','SC','124241241111141431324633341133610127052',NULL,'19',25.73,1,2,1),(28,7369751,'1989-04-09 00:00:00',2,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124241241111133431336824445124122634097',NULL,'257',20.31,2,1,1),(28,7369760,'1994-08-16 00:00:00',4,3,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124254241135111421326614575125610167042',NULL,'403',0.00,1,3,NULL),(28,7369786,'1992-12-08 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242247436131431368733475122610134093',NULL,'1076',18.55,4,3,NULL),(28,7369794,'1992-01-20 00:00:00',2,1,12,2009,'M','N','CESARINO BORBA','IRACEMÁPOLIS','SP','125252251215571721128814345123610167047',10840,'9998',42.74,1,3,NULL),(28,7369816,'1990-11-07 00:00:00',4,1,12,2008,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124243241215153431345332345124233262097',18853,'1022',35.87,1,3,NULL),(28,7369824,'1993-02-06 00:00:00',4,24,12,2010,'F','N','CENTRO','ITUPORANGA','SC','124244241126152431544573445122610124042',NULL,'533',17.99,1,3,NULL),(28,7369832,'1983-03-20 00:00:00',4,1,12,2000,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124162241217144711587613415122322412042',NULL,'389',0.00,1,3,NULL),(28,7369840,'1995-04-21 00:00:00',2,10,11,2011,'M','N','CENTRO','SOMBRIO','SC','124242241234162131327839385125610135142',9651,'770',47.38,1,3,NULL),(28,7369867,'1993-05-06 00:00:00',4,1,11,2011,'M','N','MORRO DA BINA','BIGUAÇU','SC','124241247326141431336321242321610124117',19408,'9999',33.29,1,3,NULL),(28,7369875,'1992-01-22 00:00:00',2,1,12,2009,'F','N','JARDIM CIDADE','S JOSÉ','SC','124252091416131431116644445124610167013',19747,'9998',30.68,4,3,NULL),(28,7369891,'1992-09-13 00:00:00',2,1,12,2011,'M','N','BOM VIVER','BIGUAÇU','SC','124243241215131431534412245124610132187',19684,'300',31.36,1,3,NULL),(28,7369905,'1994-10-20 00:00:00',4,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124243241215111631434812575122610138142',NULL,'1191',18.77,1,3,NULL),(28,7369913,'1994-09-23 00:00:00',4,5,11,2011,'M','N','COMERCIARIO','CRICIÚMA','SC','124242241115131431438833395222610162047',12650,'210',49.54,1,3,NULL),(28,7369921,'1990-04-02 00:00:00',4,1,12,2007,'M','N','PARQUE SANTANA','MOGI CRUZES','SP','125252251215573411357833491115610117112',NULL,'9998',0.00,1,3,NULL),(28,7369948,'1990-09-24 00:00:00',2,5,12,2011,'M','N','VILA ZULEIMA','CRICIÚMA','SC','124243247326171431423411315124610132147',NULL,'9999',0.00,1,3,NULL),(28,7369964,'1995-04-07 00:00:00',4,8,12,2013,'M','S','COSTA E SILVA','JOINVILLE','SC','124242241215111431346934575122610138095',NULL,'1265',48.43,1,3,NULL),(28,7369972,'1990-02-05 00:00:00',2,1,12,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124241247446472411434119345114610167197',15231,'977',36.40,1,3,NULL),(28,7369980,'1992-08-09 00:00:00',2,4,12,2009,'F','N','CENTRO','SERRA ALTA','SC','124241241146371411623312195124610124147',17765,'765',29.96,1,2,1),(28,7369999,'1993-11-15 00:00:00',2,4,12,2011,'F','N','CENTRO','CUNHA PORÃ','SC','124241241115141431535812345124610126172',NULL,'552',0.00,1,2,1),(28,7370008,'1994-05-04 00:00:00',4,22,12,2011,'F','N','CENTRO','BRUSQUE','SC','124241241135151731538814245122610112142',19180,'111',34.46,1,3,NULL),(28,7370016,'1994-03-22 00:00:00',4,6,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124242241215151431366812575122610144092',9307,'1057',54.87,3,3,NULL),(28,7370024,'1994-10-17 00:00:00',2,1,12,2011,'M','N','CENTRO','PATO BRAGADO','PR','116163161417151431456632571114610134052',18104,'9998',28.45,1,3,NULL),(28,7370032,'1994-05-04 00:00:00',2,8,10,2011,'M','N','IRIRIU','JOINVILLE','SC','124242241225171411358812276124610127082',NULL,'931',0.00,1,3,NULL),(28,7370040,'1994-09-23 00:00:00',4,4,12,2011,'F','N','SAIC','CHAPECÓ','SC','124241241111471441465612575121610161022',NULL,'169',0.00,1,2,1),(28,7370067,'1993-07-05 00:00:00',4,1,12,2011,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241415111132469613275114610147057',NULL,'1022',23.21,1,3,NULL),(28,7370075,'1980-11-14 00:00:00',2,1,12,1999,'M','N','SANTA TERESA','S PEDRO ALCÂNTARA','SC','124241243136145751166543335134123262182',14942,'739',45.73,2,1,1),(28,7370091,'1994-10-19 00:00:00',4,10,11,2011,'M','N','CENTRO','LAGUNA','SC','124242241215112231338613575112610167072',1845,'807',64.44,1,3,NULL),(28,7370105,'1985-01-14 00:00:00',2,1,12,2002,'M','N','FLORESTA','S JOSÉ','SC','124212211216131731126314245124233227062',NULL,'9998',0.00,2,1,2),(28,7370113,'1994-10-01 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124162241215111431367639475122610162182',19099,'270',34.87,1,3,NULL),(28,7370121,'1993-11-04 00:00:00',4,8,12,2010,'F','N','CENTRO','PRUDENTÓPOLIS','PR','116162161215571431636916575122610163027',NULL,'9998',0.00,1,3,NULL),(28,7370148,'1984-08-23 00:00:00',4,1,12,2001,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224254251216572411478842423132343266123',6049,'9998',60.50,1,3,NULL),(28,7370156,'1994-12-06 00:00:00',4,3,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124242241217111431253812195122610167111',NULL,'1038',0.00,1,3,NULL),(28,7370164,'1994-03-30 00:00:00',4,4,12,2010,'F','N','BRASILIA','PATO BRANCO','PR','116161161116472431548834575122210421157',11824,'9998',40.00,1,2,1),(28,7370172,'1994-06-12 00:00:00',4,1,11,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215111431489811475122610117115',12093,'270',50.40,1,3,NULL),(28,7370180,'1976-09-05 00:00:00',4,1,11,2008,'M','N','S JOAO RIO VERMELHO','FLORIANÓPOLIS','SC','524203208122171331216519142114241424112',NULL,'9998',30.76,2,3,NULL),(28,7370202,'1994-10-20 00:00:00',4,4,12,2011,'F','N','CENTRO','CHAPECÓ','SC','124243241215111531436812575122610118142',NULL,'1191',30.59,1,3,NULL),(28,7370229,'1992-03-19 00:00:00',2,1,11,2010,'F','N','RATONES','FLORIANÓPOLIS','SC','124241241112471732616349492324610145017',10379,'288',48.15,1,2,1),(28,7370237,'1990-01-09 00:00:00',4,1,12,2007,'F','N','INDIANOPOLIS','S PAULO','SP','125252251217571431258831575124610162187',NULL,'9998',0.00,1,3,NULL),(28,7370245,'1992-01-15 00:00:00',2,9,12,2008,'M','N','SANTA RITA','LAGES','SC','124244241215373431546633345122610123142',NULL,'515',30.17,1,3,NULL),(28,7370296,'1991-10-24 00:00:00',4,27,12,2008,'M','N','ESTRELA','S MIGUEL OESTE','SC','124243241116371441455923285112610166187',8561,'757',49.40,1,3,NULL),(28,7370326,'1963-06-10 00:00:00',4,1,12,1983,'M','N','BARREIROS','S JOSÉ','SC','224242248127153411546642325122320824127',17800,'307',39.47,1,3,NULL),(28,7370334,'1995-04-04 00:00:00',4,4,12,2011,'F','N','INTERIOR','ABELARDO LUZ','SC','124243241216131431536816255124610147142',5456,'836',53.86,1,3,NULL),(28,7370342,'1990-10-19 00:00:00',2,1,12,2008,'F','N','JARDIM UNIVERSITÁRIO','MARINGÁ','PR','116161168137171432125448385125142263183',NULL,'9998',28.14,1,3,NULL),(28,7370350,'1994-08-11 00:00:00',4,1,12,2011,'M','N','RIO ALFA','ANITÁPOLIS','SC','124241241127141732637414572214610124042',15706,'19',44.28,1,3,NULL),(28,7370369,'1988-12-17 00:00:00',2,1,12,2006,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124244241116373431446619495124221147042',13767,'271',47.78,1,3,NULL),(28,7370377,'1983-12-20 00:00:00',2,1,12,2002,'F','N','PACHECO','PALHOÇA','SC','124241241116132441236344245123232824157',13566,'359',48.12,1,2,1),(28,7370393,'1993-04-28 00:00:00',4,1,12,2010,'F','N','CENTRO','ARAPONGAS','PR','116162161215471431359822575112610123012',NULL,'9998',0.00,1,3,NULL),(28,7370407,'1993-07-26 00:00:00',2,1,12,2010,'F','N','LIBERDADE','NOVO HAMBURGO','RS','120201201317471331227911572212610164077',16990,'9998',33.73,1,3,NULL),(28,7370423,'1995-04-12 00:00:00',2,1,12,2011,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241235111431239829595122610125185',NULL,'272',33.25,1,3,NULL),(28,7370431,'1995-01-04 00:00:00',2,1,11,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241216171711467712345112610138052',NULL,'273',29.39,1,3,NULL),(28,7370440,'1993-09-03 00:00:00',4,1,11,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124244241215111431528623371125610167117',5899,'270',56.23,1,3,NULL),(28,7370458,'1979-03-09 00:00:00',4,1,12,1998,'F','N','BARREIROS','S JOSÉ','SC','624252251216151441248672472112143263181',NULL,'9998',30.52,1,3,NULL),(28,7370466,'1991-11-01 00:00:00',2,1,12,2008,'F','N','RIO TAVERES','FLORIANÓPOLIS','SC','124241241211144421446613441124230827042',NULL,'300',31.70,1,3,NULL),(28,7370474,'1994-12-27 00:00:00',4,1,12,2011,'F','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124241241115151751469831411124610168095',NULL,'267',0.00,1,2,1),(28,7370482,'1994-02-25 00:00:00',4,1,12,2011,'M','N','JARDIM IRAJA','RIBEIRÃO PRETO','SP','125252251217111411489822575112610161127',NULL,'9998',0.00,1,3,NULL),(28,7370490,'1994-05-06 00:00:00',4,8,11,2011,'F','N','VILA ESTÁDIO','ARAÇATUBA','SP','125252251217111531454632375112610131184',NULL,'9998',0.00,1,3,NULL),(28,7370504,'1985-04-01 00:00:00',4,1,12,2004,'M','N','BARREIROS','S JOSÉ','SC','124201241326151451133344145114130212172',17991,'9998',38.95,1,3,NULL),(28,7370512,'1989-05-30 00:00:00',4,3,12,2006,'M','N','CENTRO','URAÍ','PR','116162161117151431435512585112343267077',NULL,'9998',0.00,3,3,NULL),(28,7370520,'1994-11-07 00:00:00',4,1,12,2011,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','624242241216151731366632575122610167042',15355,'1134',34.73,1,3,NULL),(28,7370539,'1985-06-29 00:00:00',4,1,12,2002,'F','N','PASSA VINTE','PALHOÇA','SC','124241241147132431333324345124130216147',17817,'295',30.10,1,2,1),(28,7370547,'1991-12-07 00:00:00',4,1,12,2008,'F','N','SANTA CRUZ','LUÍS E MAGALHÃES','BA','105162161216574751347732225122222933017',976,'9998',68.62,1,3,NULL),(28,7370555,'1990-11-18 00:00:00',4,1,12,2009,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','125204201117372151646619575122610126177',2029,'9998',64.06,1,3,NULL),(28,7370571,'1995-08-01 00:00:00',4,1,12,2011,'F','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241117111711333633435122610127185',19627,'267',31.79,1,2,1),(28,7370580,'1990-12-15 00:00:00',2,1,12,2008,'F','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124051051116132431523324482124132534147',NULL,'9998',0.00,2,1,1),(28,7370598,'1984-10-03 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124114111215271741133324475124333236122',12750,'9998',39.39,1,3,NULL),(28,7370601,'1994-06-21 00:00:00',4,6,12,2011,'M','N','VILLAGE CAMPINAS','CAMPINAS','SP','125252251215111631459613475224610167047',13245,'9998',48.64,1,3,NULL),(28,7370610,'1993-07-01 00:00:00',2,24,12,2011,'F','N','CENTRO','AGROLÂNDIA','SC','124241241121431131523314141321610116052',NULL,'6',0.00,1,2,1),(28,7370628,'1954-12-05 00:00:00',4,1,12,1974,'M','N','RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC','224051051147151412446641315124340847042',16113,'9998',43.48,4,3,NULL),(28,7370636,'1990-01-26 00:00:00',4,1,12,2007,'F','N','BOM VIVER','BIGUAÇU','SC','124241248142131421321329245124610124097',NULL,'66',18.83,1,2,1),(28,7370644,'1991-05-23 00:00:00',2,1,12,2009,'F','N','CAMPINAS','S JOSÉ','SC','124243241416371731324574445224610124047',NULL,'732',25.69,1,3,NULL),(28,7370652,'1990-03-16 00:00:00',1,1,12,2009,'M','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241121312321523613381344123227052',NULL,'941',0.00,4,2,1),(28,7370660,'1964-04-29 00:00:00',3,1,12,1980,'F','N','CENTRO','FLORIANÓPOLIS','SC','224203205116141451438453333132341167047',NULL,'9998',0.00,1,3,NULL),(28,7370687,'1986-06-26 00:00:00',4,1,12,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241116273421379914335122330267042',5080,'267',62.25,1,2,1),(28,7370695,'1990-06-19 00:00:00',2,1,12,2007,'F','N','CAPUTERA','LAGUNA','SC','124241248136141711613319282324610127143',NULL,'1147',0.00,1,3,NULL),(28,7370709,'1990-12-07 00:00:00',2,6,7,2008,'F','N','MEIA PRAIA','ITAPEMA','SC','124243247336375411343623575124142162192',NULL,'9999',17.03,4,3,NULL),(28,7370717,'1984-04-03 00:00:00',2,1,6,2002,'F','N','BELA VISTA I','S JOSÉ','SC','124241241326131421323341215222130823187',NULL,'1198',23.46,1,3,NULL),(28,7370725,'1995-01-06 00:00:00',4,8,12,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241217111431279924476112610113182',NULL,'457',29.10,1,3,NULL),(28,7370741,'1995-11-06 00:00:00',4,1,12,2012,'F','S','CENTRO','ARAPONGAS','PR','116162161215111411359822575112610123192',NULL,'9998',0.00,2,3,NULL),(28,7370750,'1993-05-14 00:00:00',4,1,12,2010,'M','N','CENTRO','CAMBUÍ','MG','113134131117131432323311575112610167047',NULL,'9998',0.00,1,3,NULL),(28,7370768,'1994-03-05 00:00:00',2,1,1,2012,'M','N','BARREIROS','S JOSÉ','SC','124241241116131431326519575124610137047',NULL,'257',28.95,1,2,1),(28,7370776,'1982-08-28 00:00:00',2,1,12,1999,'F','N','ROCADO','S JOSÉ','SC','224241241126375431233351232123230216092',15064,'729',36.61,1,2,1),(28,7370784,'1990-04-19 00:00:00',2,1,12,2008,'F','N','FORQUILHINHAS','S JOSÉ','SC','124242241317131431426411312134610135147',16752,'727',42.09,1,3,NULL),(28,7370806,'1993-04-24 00:00:00',4,1,12,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241248115471731313529395124610127057',NULL,'281',33.15,1,2,1),(28,7370814,'1992-07-05 00:00:00',4,17,12,2009,'M','N','CENTRO','ITAIÓPOLIS','SC','124241241221473411437832345124240444147',NULL,'1024',0.00,1,3,NULL),(28,7370822,'1990-01-26 00:00:00',3,8,12,2008,'M','N','VILA MARIANA','S PAULO','SP','125252251236571431358824375125610142172',NULL,'9998',0.00,1,3,NULL),(28,7370830,'1991-09-24 00:00:00',4,1,1,2012,'F','N','BARRA DO ARIRIU','PALHOÇA','SC','124241247127131732633334145124610156041',NULL,'9999',13.29,1,3,NULL),(28,7370849,'1976-06-25 00:00:00',2,1,12,2010,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624246248642131221111179192345610168197',NULL,'9999',0.00,1,3,NULL),(28,7370857,'1994-06-09 00:00:00',4,2,12,2011,'F','N','ESTADOS','TIMBÓ','SC','124241241126131431536412295122610163012',12716,'870',40.99,1,2,1),(28,7370873,'1991-02-21 00:00:00',4,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241126131421632231195214610112147',NULL,'922',25.63,1,3,NULL),(28,7370881,'1992-07-17 00:00:00',4,1,12,2009,'M','N','JARDIM COLEGINHO','JACAREÍ','SP','125252256236371431488812385124610112122',16906,'9998',41.74,1,3,NULL),(28,7370903,'1991-01-10 00:00:00',2,1,12,2007,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241316573431559933395122131328187',NULL,'1146',22.73,1,3,NULL),(28,7370920,'1962-09-14 00:00:00',2,1,12,1980,'F','N','TRINDADE','FLORIANÓPOLIS','SC','424281288117111431224444445122141123012',18989,'9998',35.36,1,3,NULL),(28,7370938,'1993-11-10 00:00:00',4,1,12,2011,'F','N','PARQUE HORTOLANDIA','HORTOLÂNDIA','SP','125254251436121411438823285124610122173',9734,'9998',45.45,1,3,NULL),(28,7370962,'1962-11-26 00:00:00',4,1,12,1980,'M','N','CENTRO','TUBARÃO','SC','124242241216374411368841415122321437187',NULL,'797',0.00,1,3,NULL),(28,7370989,'1994-12-14 00:00:00',2,15,12,2011,'F','N','CENTRO','TURVO','SC','124242241216152231658832575122610124092',19406,'813',26.17,1,3,NULL),(28,7370997,'1988-07-05 00:00:00',2,16,12,2008,'M','N','BOM JESUS','CURITIBANOS','SC','124241241111141222414334245122610124042',NULL,'239',29.11,1,3,NULL),(28,7371012,'1993-11-10 00:00:00',4,1,11,2011,'F','N','BELA VISTA','S PAULO','SP','125252258217371411378924575124610156047',NULL,'9998',0.00,1,3,NULL),(28,7371039,'1994-01-22 00:00:00',4,1,12,2012,'M','S','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217111411478823575112610112142',NULL,'1118',30.32,1,3,NULL),(28,7371047,'1961-06-11 00:00:00',2,1,7,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124203248612131411126649295122230264192',9794,'9997',45.77,1,3,NULL),(28,7371055,'1983-12-03 00:00:00',2,1,12,2002,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241122143721423259242334610137147',NULL,'946',0.00,4,2,1),(28,7371063,'1994-07-05 00:00:00',4,5,11,2011,'F','N','CENTRO','CRICIÚMA','SC','124242241215151411288714575122610117057',NULL,'211',33.07,1,3,NULL),(28,7371071,'1994-04-09 00:00:00',2,6,12,2011,'F','N','VILA OPERÁRIA','ITAJAÍ','SC','124244241115131431626621572124610136122',NULL,'395',23.99,1,3,NULL),(28,7371098,'1989-01-12 00:00:00',2,1,12,2011,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','624241248122172431621459282214610112057',15401,'290',38.22,1,2,1),(28,7371101,'1993-11-10 00:00:00',4,8,11,2010,'F','N','HAUER','CURITIBA','PR','116162161435571451458832571124610132097',NULL,'9998',0.00,1,3,NULL),(28,7371110,'1994-12-18 00:00:00',4,1,12,2012,'M','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241213111122333311495122610117012',NULL,'299',45.62,1,3,NULL),(28,7371128,'1987-04-03 00:00:00',2,1,12,2005,'M','N','KOBRASOL','S JOSÉ','SC','124244241217144431246629345233610147047',NULL,'737',21.21,1,3,NULL),(28,7371136,'1990-07-21 00:00:00',2,1,12,2010,'F','N','ROÇADO','S JOSÉ','SC','124241247126131431326679242234610138197',NULL,'729',22.06,1,2,1),(28,7371144,'1995-01-17 00:00:00',4,5,10,2011,'F','N','COMERCIÁRIO','CRICIÚMA','SC','124242248215111431358919525122610122142',NULL,'213',0.00,1,3,NULL),(28,7371152,'1961-09-05 00:00:00',4,1,12,1978,'M','N','ESTREITO','FLORIANÓPOLIS','SC','224242243212153441354443435122122326193',17532,'1198',40.21,1,3,NULL),(28,7371160,'1988-06-03 00:00:00',4,9,12,2005,'M','N','CENTRO','ALFREDO WAGNER','SC','124241241216143431468812432122322662142',NULL,'497',0.00,1,3,NULL),(28,7371179,'1993-10-07 00:00:00',2,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241248126131731313329195124613255072',18912,'282',27.74,2,1,1),(28,7371217,'1991-09-02 00:00:00',4,1,12,2008,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241415273431226329485114610133192',15500,'269',44.69,1,3,NULL),(28,7371225,'1993-05-31 00:00:00',4,1,12,2010,'M','N','PONTE DE IMARUI','PALHOÇA','SC','124242241216132431436614385112610134097',NULL,'1010',27.47,1,3,NULL),(28,7371233,'1994-04-09 00:00:00',4,8,12,2011,'M','N','VILA DALVA','S PAULO','SP','125252251217421431548613575124610124047',9090,'9998',43.67,1,3,NULL),(28,7371241,'1985-04-24 00:00:00',4,1,12,2001,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241216152431579613335132321032062',NULL,'259',0.00,1,3,NULL),(28,7371250,'1989-06-27 00:00:00',2,1,12,2007,'M','N','GUARDA DO CUBATAO','PALHOÇA','SC','224241241136162431433644342314610136042',19905,'592',29.31,4,2,1),(28,7371268,'1995-01-22 00:00:00',2,1,12,2011,'F','N','CHÁCARA CACHOEIRA','CPO GRANDE','MS','112122121217151231468713572122610117142',NULL,'9998',0.00,1,3,NULL),(28,7371276,'1992-11-17 00:00:00',2,1,12,2010,'M','N','VILA LEOPOLDINA','S PAULO','SP','125252251217471731449614445122610167054',NULL,'9998',25.27,1,3,NULL),(28,7371306,'1982-11-30 00:00:00',4,1,11,1999,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241116155411158643232122420728145',3184,'307',66.41,1,3,NULL),(28,7371314,'1994-05-21 00:00:00',4,1,12,2011,'M','N','PORTAL DAS PRIMAVERA','COLORADO','PR','116162161216111421488811595112610167052',NULL,'9998',0.00,1,3,NULL),(28,7371322,'1993-12-21 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241211111711368834444115610117122',NULL,'270',0.00,1,3,NULL),(28,7371330,'1992-09-23 00:00:00',4,1,12,2009,'M','N','SERRARIAS','S JOSÉ','SC','124241241116132732537613285125122218147',13608,'257',36.40,1,3,NULL),(28,7371349,'1994-03-17 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','120202201217111531169833575124610144147',3564,'9998',58.63,1,3,NULL),(28,7371357,'1990-04-19 00:00:00',2,3,12,2008,'M','N','PEREQUÊ','PTO BELO','SC','124203201117151431669813475124233237067',14275,'9998',36.66,1,3,NULL),(28,7371365,'1995-01-27 00:00:00',4,1,11,2011,'M','N','PASSA VINTE','PALHOÇA','SC','624242241235121731369813575114610122182',6495,'1011',55.77,1,3,NULL),(28,7371373,'1983-04-08 00:00:00',4,8,12,2000,'M','N','CENTRO','JOINVILLE','SC','124242241216114711136543435124323265147',14324,'912',46.91,1,3,NULL),(28,7371390,'1995-02-10 00:00:00',4,1,12,2012,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241215171731368813315124610123182',NULL,'270',58.69,1,3,NULL),(28,7371403,'1989-12-13 00:00:00',4,8,12,2007,'M','N','PAIQUERÊ','VALINHOS','SP','125252251216571411369921575122240767182',3122,'9998',57.95,1,3,NULL),(28,7371411,'1993-06-12 00:00:00',2,3,12,2010,'F','N','PARQUE AEROPORTO','TAUBATÉ','SP','125251251127572731227429375225610124042',6862,'9998',51.79,1,3,NULL),(28,7371438,'1963-08-16 00:00:00',2,1,11,1981,'M','N','CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC','224241246124144421334644141123610127142',NULL,'257',29.16,1,2,1),(28,7371446,'1989-09-11 00:00:00',4,2,12,2006,'F','N','GARCIA','BLUMENAU','SC','124242241215575431238814185112121564197',3287,'855',61.57,1,3,NULL),(28,7371454,'1988-01-25 00:00:00',4,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124244242437173411228611475114610167112',NULL,'1022',24.63,1,3,NULL),(28,7371462,'1991-05-02 00:00:00',4,1,12,2008,'F','N','JD MARIA AUGUSTA','TAUBATÉ','SP','125254251436472451348931572124241412112',5590,'9998',51.96,1,3,NULL),(28,7371470,'1994-04-16 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215131431446614575122610142051',5606,'273',56.25,1,3,NULL),(28,7371497,'1994-07-30 00:00:00',4,16,12,2011,'F','N','CENTRO','CURITIBANOS','SC','124244241412151531413318575122610114145',NULL,'239',13.22,1,3,NULL),(28,7371500,'1981-04-23 00:00:00',2,1,12,2001,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124241247127331431316647142124610111147',NULL,'9999',0.00,1,3,NULL),(28,7371519,'1994-03-17 00:00:00',2,2,12,2011,'M','N','CENTRO','BLUMENAU','SC','124242241215111432455512595122610127042',8931,'855',47.38,1,3,NULL),(28,7371527,'1975-01-18 00:00:00',2,1,12,1995,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224171171127375421546653115122122226092',13567,'9998',48.12,4,2,1),(28,7371578,'1993-05-31 00:00:00',4,1,12,2010,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116471721426621575124610114013',19176,'307',24.06,2,1,1),(28,7371586,'1994-10-25 00:00:00',2,16,12,2010,'F','N','CENTRO','STA CECÍLIA','SC','124241241112571431436923575122610123147',19425,'686',33.19,1,2,1),(28,7371608,'1994-11-22 00:00:00',2,15,12,2011,'F','N','RAIZEIRA','SOMBRIO','SC','124241241117371411325323575123610122017',11606,'1033',41.67,1,2,1),(28,7371616,'1994-09-30 00:00:00',4,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241241215111431224624375124610121072',14986,'300',39.04,1,3,NULL),(28,7371624,'1993-01-12 00:00:00',4,8,12,2009,'M','N','CENTRO','LONDRINA','PR','116162161216472431459913575112231467042',12033,'9998',50.48,1,3,NULL),(28,7371632,'1993-01-16 00:00:00',4,17,10,2010,'F','N','CENTRO','CANOINHAS','SC','124162161215472431588811575112610166072',7105,'9998',51.88,1,3,NULL),(28,7371640,'1983-04-16 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241122372431123315442314610124042',17572,'93',31.57,1,2,1),(28,7371659,'1990-11-24 00:00:00',4,1,11,2007,'F','N','LUCAS ARAÚJO','PASSO FUNDO','RS','120203201317573111434624585125240317187',NULL,'9998',0.00,1,3,NULL),(28,7371667,'1981-06-04 00:00:00',2,1,12,2000,'M','N','SANTANA','RIO SUL','SC','124244241112135411336749392134130237092',15552,'659',44.62,1,3,NULL),(28,7371683,'1993-10-04 00:00:00',4,1,11,2010,'M','N','CENTRO','S JOSÉ CAMPOS','SP','111112111215471411478934595124610167057',NULL,'9998',0.00,1,3,NULL),(28,7371691,'1993-08-04 00:00:00',2,24,12,2010,'F','N','GABIROBA','ITUPORANGA','SC','124241248146151431623319192222133214142',19356,'416',33.58,1,2,1),(28,7371705,'1993-05-27 00:00:00',2,9,12,2010,'F','N','CENTRO','ALFREDO WAGNER','SC','124241241216111731468812591124230367142',NULL,'497',0.00,1,3,NULL),(28,7371713,'1967-10-29 00:00:00',4,1,12,1985,'F','N','LOT DONA ADELIA','S JOSÉ','SC','224241248147133731525659382244122362147',NULL,'307',20.57,1,2,1),(28,7371721,'1993-12-16 00:00:00',2,1,12,2011,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241116152751456613575124610134052',1364,'267',65.96,1,2,1),(28,7371748,'1994-03-22 00:00:00',4,1,12,2011,'M','N','VILA VICENTINA','GUARULHOS','SP','125251251116471431567734575122610132052',NULL,'9998',18.57,1,2,1),(28,7371764,'1988-07-24 00:00:00',4,1,12,2005,'F','N','CENTRO','LONDRINA','PR','116092091217475431438813575124241462052',4671,'9998',54.39,1,3,NULL),(28,7371772,'1985-11-03 00:00:00',4,1,12,2003,'M','N','SERRARIA','S JOSÉ','SC','624241241217132421226644345134130267057',NULL,'269',0.00,2,1,2),(28,7371780,'1994-08-23 00:00:00',2,1,12,2011,'F','N','CENTRO','TRINDADE SUL','RS','124201201137131431323674145124610121147',14852,'9998',35.72,1,2,1),(28,7371799,'1968-09-25 00:00:00',4,1,7,1988,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224241247226134411441154142124610167147',NULL,'9999',20.07,1,3,NULL),(28,7371802,'1979-08-18 00:00:00',4,1,12,1997,'F','N','BARREIROS','S JOSÉ','SC','124243241127131431322344445124330266182',NULL,'734',0.00,1,3,NULL),(28,7371810,'1994-03-21 00:00:00',4,1,1,2012,'M','N','PASSA VINTE','PALHOÇA','SC','124241241115131431423623245121610167142',NULL,'592',18.67,1,2,1),(28,7371829,'1993-08-27 00:00:00',2,7,12,2010,'F','N','SENHOR BOM JESUS','CAMPOS NOVOS','SC','124241241116371441433313342334231427142',NULL,'139',0.00,1,2,1),(28,7371845,'1994-03-22 00:00:00',2,9,12,2011,'F','N','CENTRO','LAGES','SC','124242243236112431337833575122610114017',7011,'497',54.08,1,3,NULL),(28,7371853,'1987-05-15 00:00:00',2,1,11,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124243241416132421448914545122333253187',NULL,'1114',24.04,5,3,NULL),(28,7371861,'1991-12-15 00:00:00',4,1,12,2008,'F','N','ALDEIA DA SERRA','BARUERI','SP','125252251217571411478812591112610165147',254,'9998',77.72,1,3,NULL),(28,7371870,'1991-08-31 00:00:00',4,1,12,2010,'M','N','TAPERA','FLORIANÓPOLIS','SC','124244241127271731326829242134610132042',19220,'283',34.22,1,3,NULL),(28,7371888,'1994-09-14 00:00:00',4,6,12,2011,'M','N','FAZENDA','ITAJAÍ','SC','124242241216371431334629582122610112141',8783,'1172',45.20,1,3,NULL),(28,7371896,'1962-12-25 00:00:00',2,1,12,1990,'F','N','CENTRO','FLORIANÓPOLIS','SC','524206288642131731113349192344141051097',NULL,'9999',33.82,1,2,1),(28,7371918,'1994-03-01 00:00:00',4,1,12,2011,'M','N','ALPHAVILLE','SANTANA PARNAÍBA','SP','125252251211111431458819372122610167082',NULL,'9998',0.00,1,3,NULL),(28,7371926,'1996-05-23 00:00:00',4,1,12,2012,'M','S','JURERE','FLORIANÓPOLIS','SC','124242241217111412478812375112610124182',NULL,'1169',0.00,4,3,NULL),(28,7371942,'1994-01-01 00:00:00',4,5,12,2011,'M','N','JARDIM MARISTELA','CRICIÚMA','SC','124241241112141231325524385124610166187',19808,'953',30.26,2,1,1),(28,7371950,'1983-06-26 00:00:00',4,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','124201201117131721117649392124141036177',NULL,'9998',11.55,1,3,NULL),(28,7371969,'1994-06-30 00:00:00',4,23,12,2011,'M','N','CENTRO','AMPÉRE','PR','116162161114131431423432113321610126057',16230,'9998',43.27,4,3,NULL),(28,7371985,'1992-08-22 00:00:00',2,1,8,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124242241115144531435823381124233224147',15291,'739',35.15,1,3,NULL),(28,7372000,'1980-07-24 00:00:00',2,1,12,2001,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124201208121133611111148151121223267047',NULL,'9998',22.80,1,3,NULL),(28,7372019,'1993-05-31 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241116111121426621575124610114193',NULL,'307',9.69,2,1,1),(28,7372027,'1991-10-15 00:00:00',2,23,12,2009,'F','N','ZONA RURAL','CIANORTE','PR','116161168116271711337514345123143268172',NULL,'9998',27.18,1,3,NULL),(28,7372043,'1989-06-27 00:00:00',2,1,10,2006,'M','N','UVARANAS','PNT GROSSA','PR','116162161316575431559931171122142424092',3567,'9998',60.88,1,3,NULL),(28,7372051,'1987-10-01 00:00:00',2,1,12,2004,'F','N','IPIRANGA','S JOSÉ','SC','124241241117132421123344346134610114143',NULL,'598',0.00,1,2,1),(28,7372078,'1995-08-11 00:00:00',4,2,11,2012,'F','S','VELHA','BLUMENAU','SC','124242241215111431349932575122610166182',NULL,'855',43.29,1,3,NULL),(28,7372086,'1991-12-10 00:00:00',2,1,12,2009,'F','N','VILA PAULISTA','LIMEIRA','SP','125251251126471531623314282124610115187',17182,'9998',32.84,4,2,1),(28,7372108,'1985-08-19 00:00:00',4,8,12,2002,'M','N','BOM RETIRO','JOINVILLE','SC','124252251216574741136512275122121412181',10021,'9998',53.68,1,3,NULL),(28,7372124,'1977-08-05 00:00:00',4,1,12,1994,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124251256317153421247543435122121164123',NULL,'9998',0.00,1,3,NULL),(28,7372132,'1994-03-12 00:00:00',2,1,1,2012,'F','N','BARREIROS','S JOSÉ','SC','124243241116151431423511345324610125197',12691,'739',49.44,1,3,NULL),(28,7372159,'1994-12-11 00:00:00',2,1,12,2011,'M','N','VARGEM PEQUENA','FLORIANÓPOLIS','SC','124244241215131431334611295124610124172',15736,'884',37.59,5,4,NULL),(28,7372167,'1994-04-08 00:00:00',4,1,12,2011,'F','N','FLORESTA','S JOSÉ','SC','124242241215171431454834176124610167145',12418,'270',49.92,1,3,NULL),(28,7372175,'1977-08-14 00:00:00',4,1,12,1994,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124202201217274431333614435124122334142',3165,'9998',66.46,1,3,NULL),(28,7372191,'1994-04-27 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124242241212111332458832572112610112141',16899,'737',35.82,1,3,NULL),(28,7372205,'1994-09-14 00:00:00',4,1,12,2011,'M','N','BATEL','CURITIBA','PR','116164161412471431468814485122610147112',NULL,'9998',0.00,4,3,NULL),(28,7372213,'1993-05-24 00:00:00',2,3,12,2010,'M','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162161216371431458811575124610167042',NULL,'9998',0.00,1,3,NULL),(28,7372248,'1994-05-22 00:00:00',4,1,11,2011,'M','N','JDM ROLINÓPOLIS','S PAULO','SP','125252251217271431257821395124610152093',2552,'9998',60.63,1,3,NULL),(28,7372256,'1994-01-27 00:00:00',2,1,12,2010,'M','N','JARDIM AQUARIUS','PALHOÇA','SC','124244241117252411424939375122231027042',NULL,'592',26.16,1,3,NULL),(28,7372264,'1995-06-27 00:00:00',4,1,11,2011,'M','N','SERRARIA','S JOSÉ','SC','124242241215111232326611575112610134042',3150,'1118',61.18,1,3,NULL),(28,7372280,'1994-01-14 00:00:00',2,1,12,2010,'M','N','VILA NOVA','IMBITUBA','SC','124241243117152231435923575114231427112',10255,'359',44.75,1,2,1),(28,7372302,'1982-01-23 00:00:00',4,1,12,2002,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241121474421113349495224330832187',NULL,'277',0.00,1,3,NULL),(28,7372329,'1979-09-05 00:00:00',4,1,12,1996,'M','N','INGLESES','FLORIANÓPOLIS','SC','124202201216133412128844445122141264117',19177,'9998',34.47,1,3,NULL),(28,7372345,'1994-04-13 00:00:00',4,1,12,2011,'F','N','CENTRO','MATINHOS','PR','116162161215271431334513575125610134147',NULL,'9998',0.00,1,3,NULL),(28,7372353,'1987-04-29 00:00:00',2,1,12,2004,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124202201316133412117748485324123062187',NULL,'9998',0.00,1,3,NULL),(28,7372370,'1995-08-26 00:00:00',2,1,12,2012,'F','S','SANTA MARIA','ANTÔNIO CARLOS','SC','124241241116161731433634575124610117072',NULL,'21',16.75,1,3,NULL),(28,7372388,'1975-10-16 00:00:00',4,1,12,2000,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124203247316241721228641125123610128183',17326,'9998',40.71,2,1,2),(28,7372396,'1991-08-22 00:00:00',2,3,11,2009,'M','N','COHAB','OURINHOS','SP','125252251217271431348611415122610164042',9934,'9998',46.26,1,3,NULL),(28,7372400,'1990-06-22 00:00:00',2,1,12,2009,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124204201411142421228313282224131038147',17610,'9998',40.00,1,3,NULL),(28,7372418,'1956-09-07 00:00:00',3,1,12,1975,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','224251131116135751463349292112122864052',NULL,'9998',0.00,1,3,NULL),(28,7372426,'1993-04-13 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241216111712336319472114610163042',NULL,'1118',17.09,2,1,2),(28,7372442,'1995-02-19 00:00:00',4,9,12,2012,'F','S','SÃO CRISTÓVÃO','LAGES','SC','124242241215111431359739375122610137172',NULL,'499',37.58,1,3,NULL),(28,7372450,'1993-06-06 00:00:00',2,1,10,2010,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124243241215372431557612241122610118112',13634,'1022',47.99,1,3,NULL),(28,7372469,'1994-11-23 00:00:00',4,5,11,2011,'M','N','PIO CORREA','CRICIÚMA','SC','124242241217271431478812175122610167122',8552,'9997',56.17,1,3,NULL),(28,7372485,'1993-11-10 00:00:00',2,1,12,2010,'F','N','CENTRO','GAROPABA','SC','124241241126132432423631285233610124177',NULL,'322',30.36,1,2,1),(28,7372493,'1995-09-16 00:00:00',2,9,12,2011,'F','N','FREI ROGERIO','LAGES','SC','124242241115111431589924575112610148142',NULL,'1207',21.55,1,3,NULL),(28,7372507,'1992-06-17 00:00:00',4,1,11,2009,'F','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242241217173431589933375124230222142',10526,'270',52.88,1,3,NULL),(28,7372523,'1994-06-08 00:00:00',4,1,12,2011,'F','N','SÃO SEBASTIÃO','PALHOÇA','SC','124241241627131431526311172324610113147',7732,'262',49.71,1,3,NULL),(28,7372558,'1992-01-08 00:00:00',4,1,12,2009,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241217275752456919295145133266177',18923,'270',35.59,1,3,NULL),(28,7372590,'1993-05-24 00:00:00',2,1,12,2011,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241415131431324434585124610117012',20057,'1023',27.12,1,3,NULL),(28,7372604,'1992-11-10 00:00:00',2,1,11,2009,'F','N','CHÁCARA SÃO BENTO','VALINHOS','SP','125252251217471431548812572122140633093',NULL,'9998',0.00,1,3,NULL),(28,7372639,'1988-06-30 00:00:00',2,1,12,2006,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241116172411424613395125231968017',NULL,'935',0.00,1,3,NULL),(28,7372647,'1984-07-17 00:00:00',4,1,12,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','116161167426132411226624145114121414093',16974,'9998',41.60,1,3,NULL),(28,7372663,'1994-08-02 00:00:00',2,16,2,2011,'F','N','INTERIOR','PAPANDUVA','SC','124241241146131432511315452344610126057',NULL,'1151',0.00,1,3,NULL),(28,7372671,'1980-09-09 00:00:00',4,1,11,1998,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','220204201316161431427741412131141434117',16354,'9998',42.99,1,3,NULL),(28,7372698,'1994-08-27 00:00:00',4,15,11,2011,'M','N','COLONINHA','ARARANGUÁ','SC','124242241215221751447839585112610122122',NULL,'26',23.70,1,3,NULL),(28,7372701,'1993-04-29 00:00:00',2,1,12,2010,'F','N','AMAMBAÍ','CPO GRANDE','MS','112122121215472431657332575112610167017',NULL,'9998',0.00,3,3,NULL),(28,7372710,'1994-09-03 00:00:00',2,5,12,2011,'M','N','CENTRO','LAURO MÜLLER','SC','124241241215111431456613575122610168012',11927,'581',50.64,1,3,NULL),(28,7372728,'1992-01-10 00:00:00',4,1,12,2009,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241221316472431338529412124610164145',11784,'9998',50.88,1,3,NULL),(28,7372736,'1995-04-25 00:00:00',4,1,12,2011,'M','N','VICTOR KONDER','BLUMENAU','SC','124242241217111431478813575124610137042',9963,'855',45.07,1,3,NULL),(28,7372744,'1993-04-16 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243244336272751246829595124610112047',NULL,'257',17.55,1,3,NULL),(28,7372760,'1994-12-18 00:00:00',2,26,11,2011,'M','N','JOSÉ BONIFÁCIO','ERECHIM','RS','120201201214371432633335571121610147047',4791,'9998',56.06,1,3,NULL),(28,7372779,'1992-05-07 00:00:00',2,5,12,2009,'M','N','ORATÓRIO','ORLEANS','SC','124241241116151431531316592212610127072',NULL,'580',28.21,1,2,1),(28,7372787,'1986-05-04 00:00:00',2,1,12,2003,'M','N','KOBRASOL','S JOSÉ','SC','124242241212133411256624345122130217047',NULL,'724',0.00,1,3,NULL),(28,7372809,'1988-06-20 00:00:00',2,1,12,2005,'F','N','POÇO FUNDO','STO AMARO IMPERATRIZ','SC','124241241136272721543412345124610134182',14455,'772',46.65,1,2,1),(28,7372817,'1994-08-03 00:00:00',2,1,12,2011,'M','N','VARGEM GRANDE','ÁGUAS MORNAS','SC','124241241112141731434619341222610117052',NULL,'978',15.94,1,3,NULL),(28,7372833,'1994-10-03 00:00:00',2,24,12,2012,'F','S','SUMARÉ','RIO SUL','SC','124242241215111731489611575122610124077',NULL,'654',18.91,1,3,NULL),(28,7372841,'1984-02-28 00:00:00',2,1,7,2004,'M','N','BARRA DO ARIRÍU','PALHOÇA','SC','124243248136474751323329395124610114181',NULL,'592',25.14,1,3,NULL),(28,7372850,'1994-12-26 00:00:00',4,1,12,2012,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241215111711249821571122610164197',NULL,'883',45.72,1,3,NULL),(28,7372868,'1993-09-02 00:00:00',4,2,12,2011,'M','N','JARDIM BLUEMANU','BLUMENAU','SC','124242241215111431438832475122610167042',NULL,'909',17.77,1,3,NULL),(28,7372876,'1994-04-26 00:00:00',4,8,11,2011,'F','N','BACACHERI','CURITIBA','PR','116162161216471431455711575114610142017',NULL,'9998',0.00,1,3,NULL),(28,7372892,'1995-09-24 00:00:00',4,7,12,2012,'M','S','CENTRO','ARROIO TRINTA','SC','124241241132171531566862275112610137052',NULL,'853',28.98,1,3,NULL),(28,7372906,'1974-05-10 00:00:00',4,1,12,2009,'F','N','CENTRO','IMBITUBA','SC','124241247136272421214144445114610116117',12561,'9999',39.43,1,2,1),(28,7372914,'1981-01-09 00:00:00',2,1,7,2003,'M','N','INGLESES','FLORIANÓPOLIS','SC','124201206137131121246344245134143232047',16264,'9998',43.19,1,2,1),(28,7372922,'1991-02-19 00:00:00',4,1,12,2008,'M','N','CENTRO','LONDRINA','PR','116162161217574431468833572112610164057',NULL,'9998',0.00,1,3,NULL),(28,7372930,'1993-06-02 00:00:00',4,10,11,2010,'F','N','CENTRO','TUBARÃO','SC','124242241216372731338934372122610162077',8901,'806',48.24,1,3,NULL),(28,7372949,'1994-02-27 00:00:00',2,24,12,2011,'F','N','IPIRANGA','AGROLÂNDIA','SC','124241241135141331336624342121610137142',18727,'6',25.87,1,2,1),(28,7372957,'1984-02-10 00:00:00',4,1,11,2001,'M','N','CANELA','SALVADOR','BA','105052051216151441258831485122541054022',NULL,'9998',0.00,2,3,NULL),(28,7372965,'1994-05-30 00:00:00',4,8,12,2011,'F','N','RIO NEGRO','S BENTO SUL','SC','124241241117141531456634575122610114147',15347,'697',36.31,1,2,1),(28,7372973,'1994-05-04 00:00:00',4,5,12,2011,'F','N','JUSSARA','MRO FUMAÇA','SC','124241241135111431324319275324610114017',19278,'567',33.96,1,2,1),(28,7372990,'1994-11-12 00:00:00',2,9,12,2011,'F','N','CENTRO','LAGES','SC','124244241216131431214763572225610162197',NULL,'1207',21.34,1,3,NULL),(28,7373015,'1994-06-22 00:00:00',2,15,12,2011,'F','N','COLONINHA','ARARANGUÁ','SC','124241241125141731323444242323610124197',NULL,'29',22.47,1,2,1),(28,7373023,'1993-03-18 00:00:00',4,1,12,2011,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','624241241115111431326829595124610117141',18177,'307',38.36,1,3,NULL),(28,7373040,'1987-04-05 00:00:00',2,1,12,2004,'M','N','NOSSA SRA DO ROSÁRIO','S JOSÉ','SC','124242241213373221433475317121610122176',7217,'723',58.45,1,3,NULL),(28,7373058,'1991-08-27 00:00:00',4,8,12,2008,'M','N','VILA XAVIER','ARARAQUARA','SP','125251251216161431338823585122143212082',NULL,'9998',22.72,1,3,NULL),(28,7373066,'1985-01-30 00:00:00',4,1,12,2002,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124252251216142431128844345124220712061',7691,'9998',57.66,1,3,NULL),(28,7373090,'1992-03-27 00:00:00',2,6,12,2009,'M','N','HIDRAULICA','LAJEADO','RS','120206201417371431557812342122610127047',5168,'9998',55.09,1,3,NULL),(28,7373112,'1994-08-23 00:00:00',2,1,12,2011,'M','N','CENTRO','CAMPINAS','SP','125252251217111731436612575122610132142',5341,'9998',53.30,1,3,NULL),(28,7373120,'1985-10-22 00:00:00',4,1,12,2003,'M','N','PECUARIA','CAMPOS GOYTACAZES','RJ','121211211336271411331667491224610167117',NULL,'9998',0.00,1,3,NULL),(28,7373139,'1990-02-22 00:00:00',4,1,7,2011,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242247236132751466819575112610164052',NULL,'9999',7.13,1,3,NULL),(28,7373147,'1996-01-25 00:00:00',4,1,12,2011,'F','N','UNIVERSITARIO','TIJUCAS','SC','124242241215111431348834242112610117142',19831,'948',30.02,1,3,NULL),(28,7373155,'1993-08-24 00:00:00',2,3,12,2010,'M','N','CENTRO','STA ISABEL IVAÍ','PR','116163161215371431346912572112610164047',NULL,'9998',0.00,1,3,NULL),(28,7373163,'1990-03-02 00:00:00',2,7,12,2007,'F','N','SANTO ANTONIO','CAMPOS NOVOS','SC','124242241212173431336614245122231338091',18965,'138',35.44,1,3,NULL),(28,7373171,'1992-04-29 00:00:00',4,1,7,2010,'M','N','CACUPÉ','FLORIANÓPOLIS','SC','124244247217372441329921415124610131097',10718,'9999',52.56,4,3,NULL),(28,7373180,'1995-02-06 00:00:00',2,9,12,2011,'F','N','CENTRO','BOM RETIRO','SC','124243241124161431433923392122610147142',NULL,'95',0.00,1,3,NULL),(28,7373198,'1992-07-31 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241116131431426114395124230225142',NULL,'9997',24.99,1,2,1),(28,7373201,'1994-08-17 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124243243312141411521111145124610114183',NULL,'868',15.54,1,3,NULL),(28,7373228,'1985-05-17 00:00:00',4,1,12,2001,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224063061117335421363553142122230224097',NULL,'9998',23.66,1,3,NULL),(28,7373236,'1992-09-25 00:00:00',4,8,12,2010,'M','N','BIGORRILHO','CURITIBA','PR','116162161235471431469811574112610124182',NULL,'9998',0.00,1,3,NULL),(28,7373244,'1993-05-24 00:00:00',2,3,12,2010,'M','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162211216371431458811575124610167042',NULL,'9998',0.00,1,3,NULL),(28,7373252,'1994-01-13 00:00:00',2,9,12,2011,'F','N','CORAL','LAGES','SC','124242241216121431438912395112610113142',16744,'497',42.11,1,3,NULL),(28,7373260,'1993-02-26 00:00:00',4,1,12,2010,'M','N','CENTRO','CPO GRANDE','MS','112122121215471211368833572122610167077',4515,'9998',63.35,1,3,NULL),(28,7373287,'1993-02-16 00:00:00',2,1,12,2010,'M','N','PONTA DAS CANAS','FLORIANÓPOLIS','SC','124242241216272431536824321331610167042',18884,'1048',35.75,1,3,NULL),(28,7373295,'1979-04-16 00:00:00',4,1,12,1995,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124202201217171421188743432122140267042',NULL,'9998',0.00,1,3,NULL),(28,7373317,'1993-09-25 00:00:00',4,1,12,2011,'M','N','SETOR BELA VISTA','GOIÂNIA','GO','109092091217111431268833574122610164024',5396,'9998',54.13,1,3,NULL),(28,7373333,'1992-09-30 00:00:00',4,1,12,2010,'M','N','BAIXADA','PATO BRANCO','PR','116162161116151431358934575112142262192',3872,'9998',58.91,1,3,NULL),(28,7373341,'1985-10-10 00:00:00',4,1,12,2005,'M','N','CENTRO','FLORIANÓPOLIS','SC','124243241316133441338813495344233264051',NULL,'307',26.29,3,3,NULL),(28,7373368,'1992-02-20 00:00:00',4,1,12,2009,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241116152722546613235124122967112',NULL,'9997',22.46,4,2,1),(28,7373384,'1992-01-14 00:00:00',4,1,12,2009,'M','N','PONTA DA PRAIA','SANTOS','SP','125252251217151431346923275122242827056',14793,'9998',46.00,1,3,NULL),(28,7373392,'1981-12-15 00:00:00',2,1,12,2000,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124162168212142111158879491124221737186',NULL,'9998',25.65,3,3,NULL),(28,7373414,'1984-09-02 00:00:00',2,1,12,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124244241222471722224344241314610155141',NULL,'977',0.00,3,3,NULL),(28,7373422,'1995-05-19 00:00:00',4,2,12,2011,'F','N','VELHA','BLUMENAU','SC','124242241217151531438814572124610143147',6397,'88',53.68,1,3,NULL),(28,7373430,'1995-04-05 00:00:00',4,25,12,2012,'F','S','CENTRO','CAÇADOR','SC','124242241216111431346931585122610128052',NULL,'120',38.78,1,3,NULL),(28,7373449,'1994-06-09 00:00:00',4,1,12,2011,'F','N','FLORETA','S JOSÉ','SC','124241241116151431526434245224610154092',NULL,'293',0.00,1,2,1),(28,7373457,'1994-09-17 00:00:00',4,1,12,2011,'M','N','RIO BROKER','S BONIFÁCIO','SC','124241241122161431633316262214610137052',NULL,'702',22.09,1,2,1),(28,7373465,'1978-07-12 00:00:00',4,1,12,1997,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124251253446132411223311315223121166097',13338,'9998',41.27,1,3,NULL),(28,7373473,'1990-10-02 00:00:00',4,1,12,2008,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','124251251116472711538813295124223242175',6034,'9998',55.70,3,2,1),(28,7373481,'1990-08-13 00:00:00',2,1,11,2008,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241416154411389813425122610165015',18028,'1022',25.70,1,3,NULL),(28,7373503,'1983-01-28 00:00:00',2,1,12,2000,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124242241216133431226616292124122924077',18075,'720',38.68,1,3,NULL),(28,7373520,'1992-12-06 00:00:00',4,3,12,2010,'M','N','CENTRO','CORNÉLIO PROCÓPIO','PR','116162161236471431478812595122610167092',NULL,'9998',0.00,1,3,NULL),(28,7373538,'1993-08-27 00:00:00',2,1,12,2010,'F','N','STA MÔNICA','FLORIANÓPOLIS','SC','124242241216112431548919595124230264092',10435,'270',44.39,1,3,NULL),(28,7373546,'1994-08-16 00:00:00',2,22,11,2011,'M','N','CENTRO','BRUSQUE','SC','124242241215141231235512375112610137042',NULL,'107',0.00,1,3,NULL),(28,7373554,'1994-10-15 00:00:00',5,1,11,2011,'M','N','RONDINHA','CPO LARGO','PR','116162161215111431568912595122610167047',NULL,'9998',0.00,1,3,NULL),(28,7373562,'1993-12-02 00:00:00',4,1,12,2011,'M','N','JARDIM BRASIL','GOIÂNIA','GO','109092091235111432326623575124610112142',10966,'9998',46.76,1,3,NULL),(28,7373570,'1994-08-06 00:00:00',4,1,12,2011,'M','N','IPIRANGA','S JOSÉ','SC','124242241215121431368613135124610114077',15688,'738',44.32,1,3,NULL),(28,7373589,'1983-05-12 00:00:00',2,1,12,2000,'F','N','PRAIA DOS INGLESES','FLORIANÓPOLIS','SC','124243241126132431628661285124133227187',NULL,'922',0.00,1,3,NULL),(28,7373597,'1994-10-21 00:00:00',4,8,11,2011,'F','N','PARQUE RENATO MAIA','GUARULHOS','SP','125252251215111431466831575122610125042',NULL,'9998',0.00,1,3,NULL),(28,7373600,'1994-08-15 00:00:00',2,1,11,2011,'F','N','FLORESTA','S JOSÉ','SC','124242241235111431336934275124610168182',NULL,'300',14.44,1,3,NULL),(28,7373627,'1980-12-13 00:00:00',4,1,12,1998,'M','N','SERRINHA','FLORIANÓPOLIS','SC','124161161317473431567611585122120762052',10860,'9998',52.33,1,3,NULL),(28,7373643,'1996-03-07 00:00:00',4,1,12,2013,'F','S','ITAGUAÇU','FLORIANÓPOLIS','SC','124242241217111532367933595124610131182',NULL,'270',43.78,1,3,NULL),(28,7373660,'1991-04-07 00:00:00',2,16,12,2009,'M','N','CONCEIÇÃO','ZORTÉA','SC','124241241126271411536613185124610114052',NULL,'849',23.59,1,2,1),(28,7373678,'1994-11-11 00:00:00',4,8,11,2011,'F','N','CENTRO','CURITIBA','PR','116162161211121721536612575124610117147',NULL,'9998',21.36,3,3,NULL),(28,7373694,'1993-04-27 00:00:00',4,1,12,2011,'M','N','CAMPINAS','S JOSÉ','SC','124242241236111431478913475112610137074',15873,'737',37.01,1,3,NULL),(28,7373708,'1993-07-18 00:00:00',4,1,12,2011,'M','N','JATIBAIA SOUSAS','CAMPINAS','SP','125251251317311431558614581124610167047',NULL,'9998',24.81,1,3,NULL),(28,7373716,'1992-03-17 00:00:00',4,1,12,2010,'F','N','JARDIM PETROPOLIS','PIRACICABA','SP','125252251245471431436812345122610124092',NULL,'9998',0.00,1,3,NULL),(28,7373732,'1995-08-07 00:00:00',2,15,12,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124242241214131431425911375122610122142',NULL,'26',24.91,1,3,NULL),(28,7373740,'1994-08-25 00:00:00',2,1,12,2011,'M','N','JARDIM ELDORADO','PALHOÇA','SC','124241241117141751436424332231610137182',NULL,'591',29.52,1,2,1),(28,7373759,'1992-02-06 00:00:00',2,1,12,2010,'M','N','RESSACADA','GAROPABA','SC','124241241137131422213329182243610167147',NULL,'322',19.70,1,2,1),(28,7373767,'1992-08-20 00:00:00',4,2,12,2010,'M','N','QUINTINO BOCAIUVA','TIMBÓ','SC','124241241136151431443511345135610112097',NULL,'787',26.69,4,3,NULL),(28,7373775,'1990-06-08 00:00:00',4,15,12,2008,'M','N','LAGOÃO','ARARANGUÁ','SC','124241241125131732533324242312610154047',NULL,'30',0.00,4,3,NULL),(28,7373783,'1989-12-20 00:00:00',2,1,12,1989,'F','N','RUDÃO','HERVAL D OESTE','SC','124241241112131421326811485114131064147',NULL,'341',0.00,4,3,NULL),(28,7373791,'1980-12-08 00:00:00',4,1,12,1997,'M','N','CENTRO','FLORIANÓPOLIS','SC','124203201417271411188943335122440744182',2832,'9998',67.33,1,3,NULL),(28,7373805,'1993-11-05 00:00:00',2,1,12,2010,'F','N','CENTRO','VACARIA','RS','120201201116151741433634595124231523187',16301,'9998',43.10,1,2,1),(28,7373813,'1992-08-22 00:00:00',3,1,11,2010,'M','N','CONSOLAÇÃO','S PAULO','SP','125252251417471751668832394114610137047',11310,'9998',51.62,2,3,NULL),(28,7373821,'1993-04-09 00:00:00',4,10,11,2010,'F','N','VILA MOEMA','TUBARÃO','SC','124242241217472721223829395122610167072',14291,'807',46.97,1,3,NULL),(28,7373830,'1993-03-27 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241215472431459914575122610166152',8529,'1063',56.21,1,3,NULL),(28,7373848,'1994-10-20 00:00:00',4,1,11,2011,'M','N','CABRAL','CURITIBA','PR','116162161216111411556612371122610132182',NULL,'9998',0.00,1,3,NULL),(28,7373864,'1994-06-08 00:00:00',4,8,12,2011,'M','N','CAMPOLIM','SOROCABA','SP','125252251215111331447812592122610137127',9693,'9998',46.75,1,3,NULL),(28,7373899,'1994-09-04 00:00:00',4,4,12,2012,'F','S','VENEZA','XANXERÊ','SC','124242241215121731426834575124610123147',NULL,'1233',0.00,1,3,NULL),(28,7373902,'1992-06-22 00:00:00',2,1,12,2009,'M','N','ARIRIU','PALHOÇA','SC','124242241216373431266613435122231427182',NULL,'1075',13.25,1,3,NULL),(28,7373910,'1987-12-08 00:00:00',4,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124242241212373411457919495122231017057',NULL,'270',0.00,1,3,NULL),(28,7373929,'1989-02-26 00:00:00',2,1,7,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201207332131431523379445114610127047',NULL,'9998',24.97,2,3,NULL),(28,7373937,'1976-07-12 00:00:00',4,1,12,2011,'F','N','FORQUILHINHAS','S JOSÉ','SC','224241247426131711428351115112610111092',NULL,'944',19.05,1,3,NULL),(28,7373945,'1994-03-21 00:00:00',4,1,12,2011,'M','N','COSTEIRA','FLORIANÓPOLIS','SC','124241241117141112536334345124610127062',18824,'281',26.26,1,3,NULL),(28,7373961,'1992-08-28 00:00:00',4,4,12,2009,'M','N','SANTA MARIA','CHAPECÓ','SC','124242241216473712348923375112121467126',NULL,'185',21.83,1,3,NULL),(28,7373970,'1994-05-12 00:00:00',2,10,11,2011,'M','N','VILA NOVA ALVORADA','IMBITUBA','SC','124243241215371431435431175124610137117',16807,'362',33.12,1,3,NULL),(28,7373988,'1968-05-14 00:00:00',2,1,7,1986,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224201201126131711421359292124341642047',NULL,'9998',0.00,1,3,NULL),(28,7374003,'1995-01-26 00:00:00',2,1,12,2011,'M','N','COLÔNIA SANTANA','S JOSÉ','SC','124242241311111431368633571124610122182',16897,'267',41.77,1,3,NULL),(28,7374011,'1995-07-12 00:00:00',4,1,12,2012,'M','S','JARDIM ÁUREA','DOURADOS','MS','112122121417111432438832595122610137062',NULL,'9998',0.00,1,3,NULL),(28,7374038,'1994-09-01 00:00:00',4,1,12,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124242241215131431449615275114610162047',NULL,'884',36.02,1,3,NULL),(28,7374046,'1990-05-22 00:00:00',2,1,12,2007,'F','N','BARREIROS','S JOSÉ','SC','124241241442474431433311195124221327147',7248,'401',58.40,1,3,NULL),(28,7374054,'1995-08-30 00:00:00',4,1,12,2012,'M','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241217151752389923575112610124095',NULL,'1169',56.98,1,3,NULL),(28,7374070,'1978-03-03 00:00:00',4,1,11,1994,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124241243126374431225344245133131067147',19743,'294',30.70,4,1,1),(28,7374100,'1991-11-25 00:00:00',5,1,12,2008,'M','N','ZONA UM','CIANORTE','PR','116161241117574431537923335124121424147',8707,'298',55.91,1,2,1),(28,7374119,'1989-04-19 00:00:00',4,1,12,2007,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','224243247436271731213354481114130864077',NULL,'9999',6.33,4,3,NULL),(28,7374127,'1994-01-10 00:00:00',4,8,12,2011,'F','N','CENTRO','CURITIBA','PR','116115161217111431548832592122610134092',4799,'9998',56.86,1,3,NULL),(28,7374135,'1994-06-23 00:00:00',4,1,12,2011,'M','N','SHANGRILA','BAURU','SP','125252251211111411468812575112610167043',14882,'9998',45.84,4,3,NULL),(28,7374151,'1993-07-24 00:00:00',2,5,12,2010,'M','N','NOVA YORK','FORQUILHINHA','SC','124241246124142411433314241244610137177',NULL,'310',30.00,4,2,1),(28,7374160,'1991-01-21 00:00:00',2,1,12,2008,'M','N','CENTRO','VACARIA','RS','120202201216471131346822292124131427047',14985,'9998',45.64,1,3,NULL),(28,7374186,'1993-04-21 00:00:00',2,1,12,2012,'M','S','TRINDADE','FLORIANÓPOLIS','SC','124242241212111431245823575124610127057',NULL,'1133',0.00,1,3,NULL),(28,7374216,'1990-09-05 00:00:00',6,1,12,2010,'F','N','SERRARIA','S JOSÉ','SC','124241241116121431323331475124610123141',NULL,'739',13.07,1,2,1),(28,7374224,'1992-08-30 00:00:00',4,1,5,2011,'M','N','SETOR BUENO','GOIÂNIA','GO','109092281417371431478813595112610164123',NULL,'9998',0.00,1,3,NULL),(28,7374232,'1994-07-28 00:00:00',4,1,12,2011,'M','N','NOSSA SR DO ROSÁRIO','S JOSÉ','SC','124241241316141531325614245114610114072',NULL,'729',22.43,1,3,NULL),(28,7374259,'1991-05-19 00:00:00',2,1,12,2010,'M','N','HUMBERTO TEIXEIRA II','BANDEIRANTES','PR','124161166146141431525612215123610142057',NULL,'9998',13.06,1,2,1),(28,7374267,'1992-03-26 00:00:00',4,1,12,2009,'F','N','BELA VISTA','GOIÂNIA','GO','109092091215571431576716572122610132097',4266,'9998',63.87,1,3,NULL),(28,7374275,'1989-12-29 00:00:00',2,1,12,2008,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124203201116273441348831242324141033147',6359,'9998',53.52,1,3,NULL),(28,7374283,'1981-05-03 00:00:00',4,1,12,2000,'M','N','ITACORUBI','JOINVILLE','SC','224161161126142421236543235122432026071',17932,'9998',39.14,1,2,1),(28,7374291,'1995-11-10 00:00:00',4,8,11,2012,'M','S','CENTRO','S FRANCISCO SUL','SC','124242241215111731556933575124610168077',NULL,'1063',40.55,4,3,NULL),(28,7374305,'1994-06-03 00:00:00',4,1,12,2011,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241135231431323615182124610128047',NULL,'773',0.00,1,2,1),(28,7374313,'1990-04-25 00:00:00',4,8,12,2007,'M','N','COSTA E SILVA','JOINVILLE','SC','124162241216474431479813575122221438052',14301,'185',46.95,1,3,NULL),(28,7374330,'1994-08-16 00:00:00',2,2,12,2011,'M','N','CENTRO','NOVA LONDRINA','PR','116162161216111231468616575122610167071',13449,'9998',39.04,1,3,NULL),(28,7374348,'1991-06-22 00:00:00',4,1,12,2008,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124182181217112411386923575122141932173',NULL,'9998',0.00,1,3,NULL),(28,7374356,'1988-05-12 00:00:00',2,1,12,2008,'M','N','REAL PARQUE','S JOSÉ','SC','124241241127271421223329342214610134187',NULL,'734',18.40,1,2,1),(28,7374364,'1994-06-10 00:00:00',2,1,1,2012,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115151632525679385124610112047',19126,'257',34.75,1,2,1),(28,7374380,'1977-03-22 00:00:00',2,1,10,1999,'F','N','CENTRO','FLORIANÓPOLIS','SC','224241247126131731321149295135131946197',19920,'1166',29.07,1,3,NULL),(28,7374399,'1992-04-13 00:00:00',4,9,12,2009,'F','N','CONTA DINHEIRO','LAGES','SC','124241241117433431226669575114610161077',8550,'512',48.65,1,2,1),(28,7374402,'1995-08-11 00:00:00',4,6,12,2012,'F','S','CENTRO','ITAJAÍ','SC','124242241212111431369933575122610121142',NULL,'392',32.38,1,3,NULL),(28,7374429,'1992-01-04 00:00:00',2,1,12,2010,'F','N','SALGADO FILHO','BELO HORIZONTE','MG','113132131211471411248712485114610122072',NULL,'9998',0.00,1,3,NULL),(28,7374437,'1988-10-10 00:00:00',2,1,12,2007,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241126132441223341115134223214055',NULL,'9999',0.00,3,2,1),(28,7374461,'1992-07-30 00:00:00',4,1,12,2010,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124244241416152431458933475121231117111',5910,'457',52.42,1,3,NULL),(28,7374488,'1982-06-02 00:00:00',4,1,12,1999,'F','N','MIRANDÓPOLIS','S PAULO','SP','125251251216572731256824475125343162147',2713,'9998',61.77,3,3,NULL),(28,7374496,'1974-01-07 00:00:00',2,1,12,2008,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241247126373731321644342124610123143',NULL,'9999',28.40,5,4,NULL),(28,7374500,'1994-06-01 00:00:00',4,1,12,2011,'F','N','ROMEU TORTORELLI','S CARLOS','SP','125252251216111431344923175122610124122',2566,'9998',63.26,1,3,NULL),(28,7374518,'1975-08-01 00:00:00',2,1,12,1994,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224244247426132121438654415122130264187',19571,'1076',32.22,1,3,NULL),(28,7374526,'1994-05-17 00:00:00',4,1,12,2011,'F','N','PARQUE SALUTARIS','PARAÍBA SUL','RJ','121212211216121451468931595124610146187',3795,'9998',56.64,1,3,NULL),(28,7374534,'1993-08-10 00:00:00',4,1,12,2010,'F','N','MALOTA','JUNDIAÍ','SP','125252251237472231568834575122610127092',NULL,'9998',32.05,1,3,NULL),(28,7374542,'1993-07-26 00:00:00',2,1,11,2010,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','224161161142131732222244342344610124147',14485,'9998',40.56,1,2,1),(28,7374585,'1995-08-04 00:00:00',4,6,12,2012,'F','S','CENTRO','BAL CAMBORIÚ','SC','124242246215111311457832377121610137182',NULL,'9997',46.06,1,3,NULL),(28,7374593,'1995-02-22 00:00:00',4,3,12,2011,'M','N','MEIA PRAIA','ITAPEMA','SC','124241241115131431426611215114610164147',NULL,'405',0.00,1,3,NULL),(28,7374607,'1990-11-04 00:00:00',2,22,12,2007,'F','N','JARDIM IGUAÇU','ARAUCÁRIA','PR','116161161216141331333923495124241363032',19676,'9998',31.42,1,3,NULL),(28,7374615,'1994-04-02 00:00:00',4,1,12,2011,'F','N','CENTRO','ITARARÉ','SP','125252251217111431519911571112610167056',NULL,'9998',0.00,1,3,NULL),(28,7374623,'1994-10-04 00:00:00',4,4,12,2011,'M','N','VILA TOLENTINO','CASCAVEL','PR','116162161215122711485832575112610162162',11982,'9998',50.57,1,3,NULL),(28,7374640,'1959-10-19 00:00:00',6,1,12,1977,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','224241241116113431433352432122332736141',17404,'805',40.52,1,3,NULL),(28,7374682,'1986-03-21 00:00:00',5,1,12,2003,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124112111216153721359941415125221438092',NULL,'9998',0.00,4,3,NULL),(28,7374690,'1994-01-03 00:00:00',2,10,12,2010,'M','N','CRISTO REI','IÇARA','SC','124241241136141731527414285124610125147',NULL,'1005',28.45,1,2,1),(28,7374704,'1990-03-03 00:00:00',2,7,12,2008,'M','N','SÃO LUIZ','CAPINZAL','SC','624243241213271721456619345123610127092',12918,'1093',39.96,1,3,NULL),(28,7374712,'1979-11-01 00:00:00',2,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241212143111428813442124432822172',NULL,'9999',0.00,1,3,NULL),(28,7374739,'1992-09-22 00:00:00',4,1,12,2009,'M','N','BALNEARIO','FLORIANÓPOLIS','SC','124242241211112411468713435112610117012',NULL,'270',0.00,1,3,NULL),(28,7374747,'1982-12-25 00:00:00',4,1,7,2003,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124132137146133431228743432224141564197',13781,'9998',47.74,1,3,NULL),(28,7374755,'1972-05-21 00:00:00',2,1,12,1994,'M','N','BELA VISTA','CÂNDIDO ABREU','PR','216161168126161411233343435122341324042',NULL,'9997',15.34,1,2,1),(28,7374763,'1984-05-10 00:00:00',2,1,11,2009,'F','N','FORQUILHINHAS','S JOSÉ','SC','224243248322331421226444495333613216182',NULL,'944',16.44,4,3,NULL),(28,7374771,'1972-06-05 00:00:00',4,1,12,1992,'F','N','BARREIROS','S JOSÉ','SC','224243241126134451148644245122320864197',14126,'284',47.23,3,3,NULL),(28,7374780,'1972-10-23 00:00:00',4,1,12,1991,'F','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241248647234751139641415125520948182',16346,'305',43.00,1,3,NULL),(28,7374798,'1994-06-18 00:00:00',4,4,11,2011,'M','N','MARIA LUIZA','CASCAVEL','PR','116161011111111732333333333333330333033',9032,'9998',55.39,1,3,NULL),(28,7374801,'1980-08-12 00:00:00',2,1,12,1999,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124202201326131451126641311321143221097',NULL,'9998',0.00,1,3,NULL),(28,7374810,'1951-05-22 00:00:00',4,1,12,1970,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','224131135447131711453353372124342848097',17650,'9998',39.88,1,3,NULL),(28,7374828,'1979-03-31 00:00:00',4,1,12,1997,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','524243241314213641353412335124331236063',NULL,'272',0.00,1,3,NULL),(28,7374836,'1993-03-05 00:00:00',2,1,12,2011,'M','N','MONTE VERDE','FLORIANÓPOLIS','SC','124241241112131432339629592124610117051',16622,'271',35.35,1,2,1),(28,7374844,'1989-08-08 00:00:00',2,4,11,2006,'M','N','JABUTICABAL','ERECHIM','RS','120202201217573431539611595121610166036',NULL,'9998',51.54,1,3,NULL),(28,7374852,'1988-05-02 00:00:00',4,2,12,2005,'M','N','VELHA','BLUMENAU','SC','124244241416142411449832125122231417117',NULL,'855',0.00,3,3,NULL),(28,7374860,'1993-06-07 00:00:00',2,1,12,2010,'M','N','COLINA VERDE','CURITIBA','PR','116162161216571411358834575124610124097',1842,'9998',66.72,1,3,NULL),(28,7374879,'1993-06-08 00:00:00',2,1,12,2010,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124243241116372751426629372124610168032',NULL,'739',26.45,1,3,NULL),(28,7374887,'1995-05-19 00:00:00',4,15,12,2012,'M','S','RODEIO DA AREIA','TURVO','SC','124242241217111511369932596122610164182',NULL,'813',33.61,1,3,NULL),(28,7374895,'1994-08-06 00:00:00',4,1,12,2011,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241111131431335722575111610117042',15270,'307',35.32,1,2,1),(28,7374917,'1994-07-21 00:00:00',2,23,12,2011,'M','N','BARRA DO RIO CERRO','JARAGUÁ SUL','SC','124244241215111731427619575122610127057',NULL,'424',24.64,1,3,NULL),(28,7374933,'1996-03-17 00:00:00',4,1,12,2012,'M','S','FORQUILINHAS','S JOSÉ','SC','124242247217141512426632242122610117077',NULL,'9999',24.65,1,3,NULL),(28,7374941,'1988-07-12 00:00:00',2,1,9,2010,'F','N','ENSEADA DE BRITO','PALHOÇA','SC','124243247327371431543311345124610127147',NULL,'9999',24.53,4,3,NULL),(28,7374950,'1995-08-18 00:00:00',4,1,12,2012,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111432468834575122610127147',NULL,'270',46.32,1,3,NULL),(28,7374976,'1992-01-20 00:00:00',2,15,12,2009,'F','N','SANGA DA TOCA','ARARANGUÁ','SC','124241241112232731223529292124610163197',NULL,'29',35.11,1,2,1),(28,7374992,'1994-08-26 00:00:00',4,1,12,2012,'F','S','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111731358822375124610137042',NULL,'270',43.02,1,3,NULL),(28,7375000,'1990-10-23 00:00:00',4,1,12,2009,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241211172431468923442132132567182',NULL,'269',29.61,4,3,NULL),(28,7375018,'1969-06-08 00:00:00',4,1,12,1987,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224241161217152441448843235134321437095',11818,'9998',50.83,1,3,NULL),(28,7375026,'1992-06-27 00:00:00',4,1,11,2009,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124242241216152431446924585114231027147',NULL,'1049',21.82,1,3,NULL),(28,7375034,'1995-05-19 00:00:00',4,1,11,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124241241115371431369713575124610122012',9432,'271',46.24,1,2,1),(28,7375042,'1986-01-21 00:00:00',2,1,12,2003,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124242241217144731288831495122420267185',NULL,'270',0.00,1,3,NULL),(28,7375050,'1986-11-27 00:00:00',4,1,12,2004,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124243241346152431118848482124133214113',NULL,'86',9.09,1,3,NULL),(28,7375093,'1996-03-20 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241212111411269923574112610168195',12874,'262',49.19,1,3,NULL),(28,7375107,'1994-09-11 00:00:00',4,6,12,2011,'M','N','FAZENDA','ITAJAÍ','SC','124242241215141731469931275122610147182',16387,'392',42.92,1,3,NULL),(28,7375123,'1993-02-03 00:00:00',4,1,12,2010,'M','N','CITY','RIBEIRÃO PRETO','SP','125252251217471431566632575122610137047',14493,'9998',37.47,1,3,NULL),(28,7375131,'1993-03-18 00:00:00',4,7,12,2010,'F','N','SÃO FRANCISCO','LUZERNA','SC','124241241115372751345913595124231454091',7253,'539',58.39,1,2,1),(28,7375140,'1996-02-24 00:00:00',4,1,11,2012,'F','S','CABRAL','CURITIBA','PR','116162161235111451556632571121610124072',NULL,'9998',0.00,1,3,NULL),(28,7375158,'1981-06-19 00:00:00',4,1,12,1998,'F','N','CENTRO','CURITIBA','PR','116161161216371751239943295125243215097',NULL,'9998',0.00,1,3,NULL),(28,7375166,'1992-10-15 00:00:00',2,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241112233431327624245114610113143',NULL,'307',0.00,1,2,1),(28,7375174,'1986-11-07 00:00:00',2,6,12,2004,'F','N','PIONEIROS','BAL CAMBORIÚ','SC','124201201112131751116344345124143227147',NULL,'9998',0.00,1,3,NULL),(28,7375182,'1993-10-06 00:00:00',2,1,12,2010,'M','N','JARDIM MARIA ESTELA','S PAULO','SP','125132131216471431358814585114610167047',NULL,'9998',0.00,1,3,NULL),(28,7375190,'1994-05-10 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124244241415111431553317575124610167042',NULL,'1050',0.00,1,3,NULL),(28,7375204,'1992-02-28 00:00:00',2,1,12,2009,'F','N','CENTRO','S BENTO SUL','SC','124242241216131431449811445122610162187',NULL,'1178',0.00,4,1,2),(28,7375212,'1974-04-03 00:00:00',4,1,9,2002,'M','N','KOBRASOL','S JOSÉ','SC','224241247147131441124444345124610126177',NULL,'9999',36.63,1,2,1),(28,7375220,'1995-07-24 00:00:00',4,1,12,2011,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241215111631336829576112610164047',19275,'723',33.98,1,3,NULL),(28,7375239,'1994-05-30 00:00:00',2,4,12,2011,'M','N','CENTRO','ALPESTRE','RS','120201208135241731436819571122610118057',NULL,'9998',0.00,1,2,1),(28,7375247,'1994-03-11 00:00:00',4,1,12,2011,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241215131411336623575114610142042',10493,'1022',52.93,1,3,NULL),(28,7375255,'1992-04-30 00:00:00',2,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241248116273421438923385124233262072',16056,'1089',34.06,1,2,1),(28,7375263,'1970-07-12 00:00:00',2,1,1,2004,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','224203205137131311523143132124132764027',18220,'9998',38.24,2,3,NULL),(28,7375271,'1991-05-03 00:00:00',4,1,12,2010,'M','N','JARDIM ANCHIETA','FLORIANÓPOLIS','SC','124282281217111431556612125122341464045',NULL,'9998',0.00,1,3,NULL),(28,7375298,'1994-11-19 00:00:00',4,8,12,2011,'F','N','CENTRO','JOINVILLE','SC','124244241216122431449932575122610127052',7467,'931',46.95,1,3,NULL),(28,7375310,'1987-10-23 00:00:00',4,1,12,2006,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124163161137371431228644442224141028117',NULL,'9998',0.00,1,3,NULL),(28,7375328,'1995-08-29 00:00:00',4,8,12,2012,'M','S','COSTA E SILVA','JOINVILLE','SC','124242241216111431449912575122610142017',NULL,'1265',41.38,1,3,NULL),(28,7375336,'1995-02-05 00:00:00',2,1,12,2012,'F','S','SOROCABA DE DENTRO','BIGUAÇU','SC','124241241215161731364811275122610134142',NULL,'1040',24.77,1,3,NULL),(28,7375360,'1992-12-08 00:00:00',2,1,7,2011,'F','N','RIO BRANCO','CAXIAS SUL','RS','120201207336131431226424375124242866097',NULL,'9998',0.00,1,3,NULL),(28,7375379,'1994-12-27 00:00:00',4,1,1,2012,'F','N','BARRA DO ARIRIÚ','PALHOÇA','SC','124241241115141411423523392114610164072',17662,'592',30.18,1,2,1),(28,7375387,'1993-03-29 00:00:00',4,8,12,2011,'M','N','ÁGUA VERDE','CURITIBA','PR','116162161216121731459919575122610137052',NULL,'9998',0.00,1,3,NULL),(28,7375395,'1989-09-29 00:00:00',4,1,12,2009,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241116141431425834245124610133157',NULL,'298',15.43,1,2,1),(28,7375409,'1957-08-23 00:00:00',4,1,12,1977,'M','N','JARDIM LIBERDADE','MARINGÁ','PR','116161161121133431125541412122141412042',NULL,'9998',0.00,1,3,NULL),(28,7375433,'1993-01-06 00:00:00',2,1,12,2010,'F','N','VILA NOVA','IMBITUBA','SC','124241243116371421316514375124610117143',18996,'359',29.90,4,2,1),(28,7375441,'1993-08-03 00:00:00',4,1,12,2010,'M','N','VILA IDA','S PAULO','SP','125252251217371411688812592122610137186',NULL,'9998',0.00,3,3,NULL),(28,7375450,'1987-06-19 00:00:00',2,8,12,2005,'M','N','GUARANI','BRUSQUE','SC','124241241216132431353329315122131437147',NULL,'87',0.00,4,3,NULL),(28,7375468,'1961-09-13 00:00:00',2,1,12,1997,'F','N','PANTANAL','FLORIANÓPOLIS','SC','524241247117151451112271286315610133187',NULL,'9999',22.82,1,2,1),(28,7375476,'1993-12-02 00:00:00',4,1,12,2011,'M','N','JARDINS MÔNACO','APARECIDA GOIÂNIA','GO','109092091217111432548832575122610124042',2954,'9998',60.76,1,3,NULL),(28,7375484,'1994-07-23 00:00:00',2,10,12,2011,'M','N','PORTO DA VILA','IMBITUBA','SC','124241241117271431324614575124610117042',NULL,'359',21.00,1,2,1),(28,7375492,'1985-04-24 00:00:00',4,1,9,2011,'F','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241247127271531448613315124610122187',NULL,'9999',15.06,1,2,1),(28,7375506,'1979-10-15 00:00:00',4,1,12,1997,'F','N','SERTÃO DO MARUIM','S JOSÉ','SC','124243241116133721136443435122531243187',14883,'271',45.84,2,1,2),(28,7375514,'1994-08-18 00:00:00',2,6,11,2011,'F','N','CENTRO','BAL CAMBORIÚ','SC','124202241215111431158764275124610114147',18152,'9997',28.00,1,3,NULL),(28,7375522,'1990-09-01 00:00:00',4,1,12,2007,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215232441469933485112131037047',13403,'1022',48.38,1,3,NULL),(28,7375530,'1994-06-03 00:00:00',4,8,11,2011,'F','N','PORTÃO','CURITIBA','PR','116162161215121731478814595112610168113',NULL,'9998',0.00,1,3,NULL),(28,7375557,'1993-08-15 00:00:00',4,17,12,2011,'F','N','JARDIM AMÉRICA','MAFRA','SC','124241161216111431446912572122610164142',NULL,'9998',0.00,1,3,NULL),(28,7375565,'1994-11-08 00:00:00',4,6,11,2011,'M','N','CENTRO','BAL CAMBORIÚ','SC','124244248415111432438611575121630127112',NULL,'1038',26.38,4,3,NULL),(28,7375573,'1968-06-19 00:00:00',4,1,12,1985,'M','N','PARQUE SÃO ORGE','FLORIANÓPOLIS','SC','224242241216132431568641315131120264181',15697,'260',44.31,1,3,NULL),(28,7375603,'1988-11-09 00:00:00',4,1,12,2006,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124254251216241431458774445124140248187',16433,'9998',42.81,1,3,NULL),(28,7375638,'1995-10-03 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241237111411458832375112610151192',NULL,'262',31.18,1,3,NULL),(28,7375646,'1989-04-11 00:00:00',4,1,12,2006,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124252211216574431469812485124221462141',NULL,'9998',0.00,1,3,NULL),(28,7375654,'1993-06-18 00:00:00',2,1,12,2010,'F','N','VILA NOVA','ÁGUAS MORNAS','SC','124241241135142731633411495114610132057',18214,'978',38.26,1,2,1),(28,7375662,'1993-12-26 00:00:00',2,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241215132431456833575124610154147',10611,'1050',44.44,1,3,NULL),(28,7375670,'1984-05-04 00:00:00',2,1,12,2001,'M','N','BELA VISTA','PALHOÇA','SC','124241241112142111435614342114610112147',19713,'17',31.06,1,2,1),(28,7375697,'1992-10-19 00:00:00',4,1,11,2010,'M','N','SANTA MONICA','OSVALDO CRUZ','SP','125252251215471431567812575112610124122',NULL,'9998',0.00,1,3,NULL),(28,7375700,'1995-03-21 00:00:00',4,3,12,2012,'F','S','PRIMAVERA','NOVO HAMBURGO','RS','120202201216111212478712577125610162072',NULL,'9998',35.63,1,3,NULL),(28,7375719,'1994-10-03 00:00:00',4,17,12,2011,'M','N','CENTRO','MAJ VIEIRA','SC','124241241337111731445413275124610162052',14961,'973',36.16,1,3,NULL),(28,7375727,'1981-08-29 00:00:00',4,1,12,1998,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124201201116272411258842325122121432042',NULL,'9998',0.00,1,2,1),(28,7375743,'1994-07-25 00:00:00',2,15,12,2011,'F','N','CENTRO','ERMO','SC','124241241115471731436411395124610124142',16096,'250',38.51,1,2,1),(28,7375760,'1987-11-03 00:00:00',2,1,12,2005,'M','N','CAMPINAS','S JOSÉ','SC','124241241312273221344611315122122337043',19497,'1036',32.72,1,3,NULL),(28,7375794,'1982-12-25 00:00:00',2,1,12,1999,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','624243161336142731227741415122221467117',NULL,'9998',0.00,1,3,NULL),(28,7375816,'1992-08-14 00:00:00',4,1,12,2010,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216142431227744342124133266187',12120,'1022',50.37,1,3,NULL),(28,7375824,'1994-07-27 00:00:00',4,8,12,2011,'F','N','ATIRADORES','JOINVILLE','SC','124242241215121431356934574124610138132',NULL,'1016',30.39,1,3,NULL),(28,7375832,'1995-05-29 00:00:00',4,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124242241217111431448831575122610134192',10205,'1198',45.44,1,3,NULL),(28,7375840,'1993-05-09 00:00:00',2,10,12,2010,'M','N','CENTRO','STA ROSA LIMA','SC','124241241117161421439631255113610122097',NULL,'688',26.56,1,2,1),(28,7375859,'1993-12-21 00:00:00',2,23,12,2011,'M','N','JARAGUA ESQUERDO','JARAGUÁ SUL','SC','124242241215111721638934575122610157047',NULL,'424',21.51,1,3,NULL),(28,7375867,'1992-06-30 00:00:00',2,1,12,2010,'M','N','MORRRO AGUDO','PAULO LOPES','SC','124241248626132632423315345123233267047',NULL,'262',0.00,1,3,NULL),(28,7375875,'1990-03-16 00:00:00',4,2,12,2007,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','124243241615152231346412485112221466192',8196,'88',56.79,4,3,NULL),(28,7375883,'1993-08-06 00:00:00',4,8,11,2010,'M','N','BANZATO','MARÍLIA','SP','125252251217371431557832575112610137187',15161,'9998',33.34,1,3,NULL),(28,7375891,'1994-03-27 00:00:00',4,1,12,2011,'F','N','CONDOMÍNIO SABARÁ','S CARLOS','SP','125252251217111211458814575122610134197',NULL,'1278',0.00,1,3,NULL),(28,7375905,'1990-04-18 00:00:00',4,6,12,2007,'F','N','FAZENDA','ITAJAÍ','SC','124242161212473232348611575124241062047',2215,'9998',69.14,1,3,NULL),(28,7375921,'1971-04-16 00:00:00',4,1,12,1988,'M','N','CENTRO','FLORIANÓPOLIS','SC','124103101216371431144643435332341413182',5992,'9998',50.06,4,3,NULL),(28,7375948,'1991-05-08 00:00:00',4,1,12,2008,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124241241116153451433636295124220762177',16280,'812',43.15,1,2,1),(28,7375956,'1990-10-02 00:00:00',2,1,12,2007,'F','N','ZONA SEIS','MARINGÁ','PR','116162161215572431553611575122610127017',NULL,'9998',0.00,1,3,NULL),(28,7375972,'1988-05-28 00:00:00',4,1,7,2006,'M','N','ARMAÇÃO','FLORIANÓPOLIS','SC','124241241116111711444933375124333267142',14251,'306',47.02,1,2,1),(28,7375980,'1974-09-28 00:00:00',5,1,10,1993,'M','N','PAGANI','PALHOÇA','SC','424201202116132431145541285122530232047',14311,'9998',46.93,1,2,1),(28,7376022,'1994-08-02 00:00:00',4,15,12,2011,'M','N','SOARES','ARARANGUÁ','SC','124241241122131111423321272324610167052',18361,'250',27.24,1,3,NULL),(28,7376030,'1993-11-22 00:00:00',4,8,11,2010,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161216471441389732571121610125172',NULL,'9998',0.00,1,3,NULL),(28,7376049,'1994-04-03 00:00:00',6,1,12,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241115141231416621395124610115052',NULL,'307',24.34,3,2,1),(28,7376057,'1994-04-19 00:00:00',2,1,11,2011,'M','N','BELA VISTA','PALHOÇA','SC','124242241215111431538634575122610127042',18520,'737',37.23,1,3,NULL),(28,7376065,'1995-06-20 00:00:00',4,8,11,2012,'F','S','FLORESTA','JOINVILLE','SC','124244241217111731568774572112610168192',NULL,'1063',0.00,1,3,NULL),(28,7376073,'1991-04-10 00:00:00',2,1,12,2008,'F','N','BANDEIRANTES','CPO GRANDE','MS','112122121214571431334923572122610126097',NULL,'9998',19.56,1,3,NULL),(28,7376081,'1994-11-03 00:00:00',2,27,12,2011,'M','N','CENTRO','CPO ERÊ','SC','124241242115131721632923492124610127057',NULL,'135',16.50,1,2,1),(28,7376090,'1979-08-31 00:00:00',2,1,12,2011,'F','N','ROÇADO','S JOSÉ','SC','124201241335141411226344445122610126142',19918,'944',29.10,1,3,NULL),(28,7376103,'1994-01-22 00:00:00',4,1,12,2011,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431327661375124610127185',11484,'883',51.35,1,3,NULL),(28,7376111,'1994-02-03 00:00:00',4,16,12,2011,'F','N','INTERIOR','CURITIBANOS','SC','124241241115111431314479571124610134052',18326,'1129',27.54,1,2,1),(28,7376138,'1993-07-28 00:00:00',4,25,11,2011,'M','N','SANTA MONICA','FRAIBURGO','SC','124243241217111532323319575125610167017',14608,'885',37.80,1,3,NULL),(28,7376146,'1995-12-30 00:00:00',4,1,12,2012,'F','S','RESSACADA','ITAJAÍ','SC','124242241215171511359713175122610168092',NULL,'1026',32.53,1,3,NULL),(28,7376154,'1991-03-16 00:00:00',2,1,12,2008,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','124241241117143322443311415224231267145',16373,'298',42.95,1,2,1),(28,7376162,'1993-05-13 00:00:00',4,1,12,2010,'M','N','ASA SUL','BRASÍLIA','DF','107242241216152751458611215112610168186',NULL,'1022',0.00,1,3,NULL),(28,7376170,'1994-03-12 00:00:00',2,1,12,2011,'F','N','CENTRO','S SEBASTIÃO CAÍ','RS','120204201217141311478812573124610137077',9981,'9998',45.88,1,3,NULL),(28,7376197,'1995-06-25 00:00:00',4,23,12,2012,'F','S','CENTRO','JARAGUÁ SUL','SC','124242241215151431337724572125610132197',NULL,'1174',44.15,1,3,NULL),(28,7376200,'1993-08-08 00:00:00',4,16,12,2010,'F','N','CENTRO','S CRISTÓVÃO SUL','SC','124241241121131431523834241122233148197',NULL,'705',0.00,1,3,NULL),(28,7376219,'1992-02-07 00:00:00',4,1,12,2010,'M','N','KOBRASOL','S JOSÉ','SC','124241248117131431436632395124610168197',16581,'9997',33.17,1,3,NULL),(28,7376227,'1994-08-22 00:00:00',4,1,11,2011,'F','N','CENTRO','PIRACICABA','SP','125252251216111751659914571122610136022',8162,'9998',48.75,1,3,NULL),(28,7376235,'1991-06-20 00:00:00',4,1,12,2008,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124274251216372411655322225122610127183',15775,'9998',44.15,1,3,NULL),(28,7376243,'1994-01-20 00:00:00',4,1,11,2011,'F','N','ALTO','PIRACICABA','SP','125252251217111431469811571122610134043',NULL,'9998',0.00,1,3,NULL),(28,7376251,'1992-11-13 00:00:00',4,1,12,2009,'M','N','CENTRO','FLORIANÓPOLIS','SC','120242241217474411469813575124243266045',NULL,'262',0.00,1,3,NULL),(28,7376260,'1983-12-31 00:00:00',4,1,12,2003,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124201247426131751633333292122131046047',NULL,'9999',0.00,4,3,NULL),(28,7376278,'1988-01-30 00:00:00',4,1,12,2005,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124243241216273431449644445134321135095',13548,'269',48.16,4,3,NULL),(28,7376286,'1990-08-10 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124204241216372411226931375124140223147',NULL,'403',27.33,1,3,NULL),(28,7376294,'1993-02-27 00:00:00',2,4,12,2011,'M','N','BELA VISTA','QUEDAS IGUAÇU','PR','116161161137131731533514342115610167187',16991,'9998',32.22,1,2,1),(28,7376308,'1995-07-30 00:00:00',2,5,12,2012,'F','S','CENTRO','SIDERÓPOLIS','SC','124242241217151511436933385122610163147',NULL,'767',34.70,1,3,NULL),(28,7376316,'1991-01-31 00:00:00',4,8,6,2011,'F','N','JD INDEPENDENCIA','S PAULO','SP','125252251211272511148812571114610116143',NULL,'9998',0.00,1,3,NULL),(28,7376324,'1990-02-09 00:00:00',4,1,12,2007,'F','N','BELA VISTA','GOIÂNIA','GO','109092091214571411576715572122610145182',6480,'9998',52.27,1,3,NULL),(28,7376332,'1989-05-09 00:00:00',2,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124204201236142711346932271121221416097',16207,'9998',43.32,1,3,NULL),(28,7376340,'1993-09-29 00:00:00',4,1,12,2011,'M','N','SÃO BENTO','VALINHOS','SP','125254251217111421358822572112610118182',NULL,'9998',0.00,1,3,NULL),(28,7376359,'1991-03-30 00:00:00',4,1,12,2008,'F','N','GRANJA OLGA II','SOROCABA','SP','125252251217141751448821416121243264022',NULL,'9998',0.00,4,3,NULL),(28,7376367,'1996-03-31 00:00:00',4,1,11,2011,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111741356912375114610124147',17536,'1022',40.20,1,3,NULL),(28,7376383,'1991-12-11 00:00:00',2,10,12,2009,'M','N','VILA MOEMA','TUBARÃO','SC','124241241317131431333311285122131427042',NULL,'9999',0.00,1,3,NULL),(28,7376391,'1989-08-17 00:00:00',2,1,12,2006,'M','N','PONTA DE BAIXO','S JOSÉ','SC','124243241317155422448633245124130867057',18636,'1076',36.76,1,3,NULL),(28,7376405,'1992-09-20 00:00:00',4,1,12,2009,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124072241217152751568813395124221467182',5012,'9997',62.38,1,3,NULL),(28,7376413,'1994-10-13 00:00:00',4,1,12,2012,'F','S','CENTRO','FLORIANÓPOLIS','SC','124242241215111751468813432112610138141',NULL,'1169',7.05,1,3,NULL),(28,7376430,'1994-02-18 00:00:00',2,1,12,2011,'M','N','IPIRANGA','S JOSÉ','SC','124243241135131431435714385124610137052',NULL,'734',0.00,1,3,NULL),(28,7376464,'1991-05-02 00:00:00',4,1,12,2008,'M','N','PARTENOM','PTO ALEGRE','RS','120221121146271411125444245134141466057',17790,'9998',39.50,4,1,1),(28,7376472,'1989-08-29 00:00:00',2,1,12,2007,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124251241132133411336619345123133264047',16498,'307',34.86,4,1,1),(28,7376480,'1989-04-19 00:00:00',4,3,12,2006,'M','N','MORRETES','TIJUCAS','SC','124241241117142441423339345124230766182',18089,'783',38.64,1,2,1),(28,7376499,'1969-08-22 00:00:00',4,1,12,1989,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','524243247447142711426654315123133224017',NULL,'9999',28.75,1,3,NULL),(28,7376502,'1992-09-20 00:00:00',4,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124242241215372732249614485114122261195',NULL,'270',38.24,1,3,NULL),(28,7376510,'1994-06-09 00:00:00',2,1,12,2011,'M','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124243241117151431453823275124610167186',8283,'267',48.66,1,3,NULL),(28,7376553,'1992-09-25 00:00:00',2,1,12,2010,'F','N','VILA SANTA CASSIA','S BERNARDO CAMPO','SP','125252251216471431356824275122610123092',14069,'9998',37.79,1,3,NULL),(28,7376570,'1994-06-19 00:00:00',4,1,12,2011,'F','N','CENTRO','PALHOÇA','SC','124242241215111431536314345122610133147',15187,'1175',38.17,1,3,NULL),(28,7376588,'1991-11-12 00:00:00',4,8,12,2010,'M','N','JD GLÓRIA','AMERICANA','SP','125252257135271431458814345124610124047',19299,'9998',33.86,1,3,NULL),(28,7376596,'1993-09-09 00:00:00',2,1,12,2010,'M','N','PARQUE NOVO MUNDO','AMERICANA','SP','125244251215132441547711575124240664047',7161,'9998',51.24,1,3,NULL),(28,7376600,'1986-11-07 00:00:00',2,1,12,2004,'M','N','PACHECO','PALHOÇA','SC','124241241127152431466633245122231047042',18810,'593',36.06,1,2,1),(28,7376634,'1981-03-31 00:00:00',4,3,10,2010,'M','N','UNIVERSITÁRIO','TIJUCAS','SC','124254247446133721238444345121610122092',15303,'9999',39.93,1,3,NULL),(28,7376642,'1991-04-07 00:00:00',4,1,12,2009,'M','N','VILA RIO NOVO','AVARÉ','SP','125251251147131751328623315333610114187',NULL,'9998',0.00,1,3,NULL),(28,7376650,'1979-05-31 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','224254241116141431568841215122333223122',NULL,'49',13.61,1,3,NULL),(28,7376669,'1988-12-03 00:00:00',1,1,12,2005,'M','N','INGLESES','FLORIANÓPOLIS','SC','224241241126371431326648182324610144092',18334,'922',37.84,1,2,1),(28,7376685,'1994-03-01 00:00:00',4,1,12,2011,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124244247317131411433838575114133261187',11985,'9999',43.56,1,3,NULL),(28,7376693,'1993-06-18 00:00:00',4,4,12,2011,'F','N','CENTRO','ERECHIM','RS','120201201137471431646621175122610125072',2749,'9998',60.55,1,2,1),(28,7376715,'1995-01-26 00:00:00',2,10,11,2012,'F','S','OFICINAS','TUBARÃO','SC','124242248217111751569914592122610127072',NULL,'806',34.23,1,3,NULL),(28,7376723,'1994-05-13 00:00:00',4,5,12,2011,'M','N','CENTRO','TERRA AREIA','RS','120201201137131411226679375121610162177',NULL,'9998',0.00,4,2,1),(28,7376740,'1994-09-15 00:00:00',4,6,11,2011,'F','N','CENTRO','ITAJAÍ','SC','124242241215111431469833475122610128057',NULL,'392',39.29,1,3,NULL),(28,7376774,'1988-12-29 00:00:00',4,1,12,2006,'F','N','BARREIROS','S JOSÉ','SC','124242241215574431448622325122221537017',5865,'270',60.80,1,3,NULL),(28,7376782,'1984-08-20 00:00:00',2,1,12,2001,'F','N','FUNDOS','BIGUAÇU','SC','124161241126253431325411345124610164183',13044,'65',48.92,1,3,NULL),(28,7376790,'1994-09-29 00:00:00',4,6,12,2012,'F','S','CENTRO','BARRA VELHA','SC','124242241216131431439911575122610168187',NULL,'1105',40.58,1,3,NULL),(28,7376804,'1991-04-13 00:00:00',2,1,9,2011,'F','N','EXTENSAO DO BOSQUE','RIO OSTRAS','RJ','121214217336371411636517375122610124147',NULL,'9998',13.35,2,3,NULL),(28,7376812,'1989-02-11 00:00:00',2,27,12,2011,'M','N','INTERIOR','DIONÍSIO CERQUEIRA','SC','124241241136131431423315252314610117052',NULL,'245',0.00,4,2,1),(28,7376839,'1991-02-26 00:00:00',4,1,3,2009,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242201212271311567934315124143235017',10771,'9998',52.48,1,3,NULL),(28,7376855,'1981-05-19 00:00:00',2,1,12,2001,'M','N','CENTRO','ARAUCÁRIA','PR','216161161125572431323353271214610164057',7620,'9998',57.77,1,2,1),(28,7376863,'1978-10-15 00:00:00',2,15,12,1996,'M','N','URUSSANGUINHA','ARARANGUÁ','SC','124241248121131421126241112332610164043',NULL,'29',9.19,4,3,NULL),(28,7376871,'1993-08-22 00:00:00',4,1,12,2011,'M','N','SHALON','MIRANDA','MS','112122121216151732448839575122610167042',13442,'9998',40.42,2,1,2),(28,7376901,'1966-02-13 00:00:00',2,1,12,1985,'F','N','INGLESES','FLORIANÓPOLIS','SC','124201201147131431326374345224231012157',NULL,'9998',21.87,4,1,1),(28,7376936,'1991-02-16 00:00:00',4,1,12,2010,'F','N','CENTRO','STO AMARO IMPERATRIZ','SC','124241241116412431523319395124610118122',NULL,'772',17.74,1,2,1),(28,7376944,'1994-02-10 00:00:00',4,23,12,2011,'F','N','CENTRO','JARAGUÁ SUL','SC','124242241217111431455832572112610132147',13446,'1174',48.32,1,3,NULL),(28,7376979,'1994-03-20 00:00:00',4,1,12,2011,'M','N','CIDADE JARDIM I','AMERICANA','SP','125252251216111231438821575112610167087',NULL,'9998',0.00,1,3,NULL),(28,7376987,'1974-11-11 00:00:00',4,1,12,1992,'F','N','SACO DOS LIMOES','FLORIANÓPOLIS','SC','224241241135154431365353275114610164145',20090,'307',26.53,1,2,1),(28,7376995,'1992-07-12 00:00:00',4,1,12,2009,'M','N','VILA VITÓRIA','INDAIATUBA','SP','125251251217571431356923575122140227042',789,'9998',73.05,1,3,NULL),(28,7377002,'1990-03-12 00:00:00',2,1,12,2007,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241236155731645334475124233262097',10054,'988',45.79,1,3,NULL),(28,7377010,'1992-12-20 00:00:00',2,1,12,2009,'M','N','KOBRASOL','S JOSÉ','SC','124241241126142411634611395124232828193',18147,'262',38.43,1,3,NULL),(28,7377029,'1993-12-29 00:00:00',4,3,12,2010,'F','N','UNIVERSITÁRIO','TIJUCAS','SC','124242248211372441458614286124610126142',NULL,'1119',0.00,1,3,NULL),(28,7377037,'1994-08-29 00:00:00',4,1,12,2011,'F','N','VILA NOVA','IMBITUBA','SC','124241241116121331314937572122610124142',NULL,'360',29.64,1,2,1),(28,7377045,'1994-03-05 00:00:00',2,9,12,2011,'F','N','SANTA CLARA','BOM RETIRO','SC','124244241122161431444631572122610137143',NULL,'95',13.94,1,3,NULL),(28,7377053,'1989-04-26 00:00:00',4,1,12,2006,'M','N','CIDADE NOVA','MARINGÁ','PR','116162161211111311328814282111140312021',NULL,'259',0.00,1,3,NULL),(28,7377061,'1988-05-31 00:00:00',2,15,12,2006,'M','N','RIO CANOAS','PR GRANDE','SC','124241248131131712224779495231610144147',NULL,'641',26.08,1,3,NULL),(28,7377070,'1988-01-15 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124242241216112431347714572125221424092',NULL,'9997',0.00,1,3,NULL),(28,7377088,'1991-11-13 00:00:00',4,1,12,2009,'F','N','MIRANDOPOLIS','S PAULO','SP','125252253216571731469832585115610133057',14342,'9998',46.88,1,3,NULL),(28,7377096,'1992-09-30 00:00:00',2,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241637141721453622243114610138183',15266,'9997',36.10,1,3,NULL),(28,7377118,'1996-06-25 00:00:00',2,1,11,2013,'M','S','ARIRIÚ','PALHOÇA','SC','124244241215111231377813572122610117185',NULL,'1011',18.81,1,3,NULL),(28,7377134,'1993-03-16 00:00:00',4,1,11,2011,'M','N','SANTA MONICA','FLORIANÓPOLIS','SC','124242241215151441675669575122610137042',NULL,'272',15.62,1,3,NULL),(28,7377142,'1994-10-06 00:00:00',2,1,12,2012,'F','S','RIO VERMELHO','FLORIANÓPOLIS','SC','124244241215161221658322592124610137072',NULL,'270',37.53,4,3,NULL),(28,7377150,'1993-12-17 00:00:00',2,1,12,2011,'F','N','SUL DO RIO','STO AMARO IMPERATRIZ','SC','124241241115111531625515575122610114142',NULL,'773',22.31,1,2,1),(28,7377169,'1994-09-24 00:00:00',4,1,12,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242248117151431469613575124610117042',17491,'306',40.32,1,3,NULL),(28,7377177,'1982-01-27 00:00:00',4,1,1,2000,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124072077216574421168813495132321963123',6975,'9998',58.88,1,3,NULL),(28,7377185,'1994-06-11 00:00:00',4,1,12,2012,'F','S','CAMPECHE','FLORIANÓPOLIS','SC','124242241217151731548714572124610122182',NULL,'1133',28.90,1,3,NULL),(28,7377207,'1994-12-18 00:00:00',4,5,11,2010,'M','N','CENTRO','CRICIÚMA','SC','124242241215111412438812275111610144032',12014,'226',50.53,1,3,NULL),(28,7377215,'1977-08-10 00:00:00',4,1,12,2000,'M','N','CENTRO','FLORIANÓPOLIS','SC','224243247346155411343744445125122364052',NULL,'9999',37.70,1,3,NULL),(28,7377223,'1995-06-29 00:00:00',4,1,10,2012,'F','S','JURERE INTERNACIONAL','FLORIANÓPOLIS','SC','124242241215111711579933595122610134047',NULL,'1048',28.22,1,3,NULL),(28,7377231,'1991-02-20 00:00:00',4,8,12,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161216572431368814375122241024182',NULL,'9998',0.00,1,3,NULL),(28,7377258,'1988-11-07 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217152431479813475124221456095',NULL,'262',0.00,1,3,NULL),(28,7377274,'1992-03-02 00:00:00',2,23,12,2009,'F','N','AMIZADE','JARAGUÁ SUL','SC','124242241216423431548611575124232633012',19186,'1174',34.42,1,3,NULL),(28,7377282,'1975-08-17 00:00:00',2,1,12,1994,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124241241122135411123643135115131014187',NULL,'671',14.18,1,2,1),(28,7377290,'1992-11-10 00:00:00',4,1,12,2010,'M','N','BROOKLIN','S PAULO','SP','125252251215471731489832575122610167047',5663,'9998',51.58,1,3,NULL),(28,7377304,'1991-03-18 00:00:00',2,1,12,2008,'F','N','CAMPO DE DEMONSTRAÇA','S PEDRO ALCÂNTARA','SC','124241241123132421423315443224610155197',17785,'869',39.51,1,2,1),(28,7377312,'1993-10-01 00:00:00',4,6,12,2010,'M','N','CENTRO','BARRA VELHA','SC','124241241127161431326669395115610127057',NULL,'57',0.00,1,2,1),(28,7377320,'1994-05-28 00:00:00',4,1,12,2011,'F','N','JARDIM AUTONOMISTA','CPO GRANDE','MS','112122125217171431588811575122610166072',NULL,'9998',0.00,1,3,NULL),(28,7377339,'1969-01-08 00:00:00',4,1,12,1986,'F','N','CENTRO','FLORIANÓPOLIS','SC','624243243326135441257643235122531023097',16276,'303',43.16,1,3,NULL),(28,7377347,'1993-10-20 00:00:00',4,8,12,2010,'F','N','AMÉRICA','JOINVILLE','SC','124242241217132441469933575124231466017',3541,'457',57.03,1,3,NULL),(28,7377355,'1983-07-11 00:00:00',2,1,12,2000,'F','N','JARDIM PROGRESSO','CORDEIRÓPOLIS','SP','225251258117371451423654384224610136092',NULL,'9998',0.00,2,1,1),(28,7377363,'1994-03-02 00:00:00',4,1,12,2010,'M','N','JARDIM DAS AMÉRICAS','CUIABÁ','MT','111112111216471421363823575142610117052',NULL,'9998',0.00,1,3,NULL),(28,7377371,'1986-05-20 00:00:00',2,1,12,2004,'M','N','CATIAPOÃ','S VICENTE','SP','125251251117131711544629345124141966047',15582,'9998',44.56,1,2,1),(28,7377398,'1994-03-29 00:00:00',4,17,12,2011,'F','N','SÃO CRISTOVÃO','PAPANDUVA','SC','124243161217112731446616475112610167047',NULL,'9998',0.00,1,3,NULL),(28,7377401,'1990-11-07 00:00:00',2,15,11,2008,'F','N','CIDADE ALTA','BENTO GONÇALVES','RS','120243241215132431128844335124241447081',16377,'983',42.95,5,3,NULL),(28,7377410,'1985-08-10 00:00:00',2,1,7,2004,'F','N','BELA VISTA','S JOSÉ','SC','124241241116132441125343236324133046192',NULL,'239',19.83,3,3,NULL),(28,7377428,'1990-02-26 00:00:00',2,1,12,2009,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241112131411223349252324131223077',NULL,'339',0.00,2,1,1),(28,7377436,'1983-06-27 00:00:00',2,1,12,2002,'M','N','VARGEM BOM JESUS','FLORIANÓPOLIS','SC','124052051211111711328511111211441316021',18006,'9998',38.90,4,3,NULL),(28,7377444,'1989-12-16 00:00:00',4,8,11,2006,'F','N','SANTA FELICIDADE','CURITIBA','PR','116162161215471411448731375122140864142',NULL,'9998',0.00,1,3,NULL),(28,7377452,'1993-07-14 00:00:00',4,4,12,2011,'F','N','CENTRO','PATO BRANCO','PR','116163162116271731459933575124610166117',7118,'9998',51.26,4,3,NULL),(28,7377460,'1994-10-09 00:00:00',2,15,12,2011,'M','N','BOA VISTA','MELEIRO','SC','124241241115131231423336592212610144047',14244,'559',37.17,1,3,NULL),(28,7377479,'1981-12-04 00:00:00',4,1,12,2001,'F','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124173171116131711326629315114141347117',17916,'9998',39.16,1,3,NULL),(28,7377487,'1996-01-23 00:00:00',2,5,11,2011,'M','N','CENTRO','CRICIÚMA','SC','124242241215111431338811285122610118012',NULL,'226',33.03,1,3,NULL),(28,7377509,'1994-06-28 00:00:00',4,5,11,2011,'M','N','PIO CORRÊA','CRICIÚMA','SC','124242241215111431466812375122610114192',13057,'226',48.90,1,3,NULL),(28,7377525,'1995-01-26 00:00:00',2,1,12,2012,'F','S','PONTE DO IMARUIM','PALHOÇA','SC','124241241117151711626331375122610124017',NULL,'592',24.55,1,3,NULL),(28,7377533,'1994-02-23 00:00:00',4,1,11,2011,'F','N','JARDIM SÃO NICOLAU','BIGUAÇU','SC','124242241236111731436819395124610137077',NULL,'63',0.00,1,3,NULL),(28,7377541,'1992-09-12 00:00:00',2,1,11,2010,'F','N','CAMPINAS','S JOSÉ','SC','124242241211372431369933575122230268182',14450,'270',46.66,1,3,NULL),(28,7377550,'1995-09-22 00:00:00',2,6,12,2012,'F','S','CENTRO','BARRA VELHA','SC','124243241217131731426833192124610148117',NULL,'1031',45.69,1,3,NULL),(28,7377568,'1966-04-27 00:00:00',2,1,12,1984,'M','N','CANTO DA LAGOA','FLORIANÓPOLIS','SC','224241241422145431442143135112122217093',NULL,'641',0.00,1,3,NULL),(28,7377584,'1989-06-18 00:00:00',4,1,11,2006,'M','N','MORRO DAS PEDRAS','FLORIANÓPOLIS','SC','124243241136111431346731345114610162097',16217,'278',43.30,1,3,NULL),(28,7377592,'1995-03-24 00:00:00',4,2,12,2012,'M','S','JARDIM BLUMENAU','BLUMENAU','SC','124242241217111412468932572122610124172',NULL,'87',55.27,1,3,NULL),(28,7377606,'1995-10-15 01:00:00',4,7,12,2012,'F','S','CENTRO','ARROIO TRINTA','SC','124241241115161731468833575122610124053',NULL,'853',41.27,1,3,NULL),(28,7377614,'1995-03-13 00:00:00',2,1,12,2011,'F','N','FLORESTA','JOINVILLE','SC','120202201217241231447732241224610126022',12350,'9998',41.00,1,3,NULL),(28,7377622,'1992-09-28 00:00:00',4,1,12,2010,'M','N','CANTO DOS ARAÇAS','FLORIANÓPOLIS','SC','124242241215112731438711595122233227114',11436,'262',51.43,1,3,NULL),(28,7377630,'1991-11-29 00:00:00',2,4,12,2008,'M','N','CENTRO','CHAPECÓ','SC','124241241215373731526631575122123242192',6048,'185',60.50,1,3,NULL),(28,7377665,'1994-02-14 00:00:00',2,15,12,2011,'F','N','MORRO DOS CONVENTOS','ARARANGUÁ','SC','124241241115471431316521382344610124147',NULL,'29',25.24,1,2,1),(28,7377673,'1991-06-27 00:00:00',4,1,12,2009,'M','N','JARDIM AQUARIUS','S JOSÉ CAMPOS','SP','125252251217371431469834475122141862182',8626,'9998',48.34,1,3,NULL),(28,7377690,'1995-02-14 00:00:00',4,1,12,2012,'M','S','FLORESTA','S JOSÉ','SC','124242241217111722457739495124610167052',NULL,'1118',40.00,1,3,NULL),(28,7377720,'1990-08-06 00:00:00',2,1,11,2011,'F','N','TAPERA','FLORIANÓPOLIS','SC','524241247227111421623624282224610114042',NULL,'9999',34.39,1,3,NULL),(28,7377738,'1988-10-09 00:00:00',4,1,12,2005,'M','N','PEDRA BRANCA','PALHOÇA','SC','124252241217575431558814595122232464047',3318,'270',66.03,1,3,NULL),(28,7377746,'1993-03-18 00:00:00',4,15,12,2011,'F','N','CIDADE ALTA','ARARANGUÁ','SC','124241241135141431643631282322610137055',NULL,'30',19.85,1,2,1),(28,7377762,'1994-11-18 00:00:00',2,1,12,2011,'M','N','NOSSA S DO ROSARIO','S JOSÉ','SC','124241241116141432436734395114610167047',NULL,'733',23.62,1,2,1),(28,7377789,'1992-08-06 00:00:00',4,1,12,2009,'F','N','CENTRO','MRO AGUDO','SP','125252251316511431448613572114610164142',7303,'9998',51.46,1,3,NULL),(28,7377800,'1991-01-11 00:00:00',4,1,12,2008,'F','N','JARDIM VILA MARIANA','S PAULO','SP','125252251217572132368934446112142838197',14929,'9998',45.76,1,3,NULL),(28,7377819,'1994-02-09 00:00:00',2,1,12,2010,'M','N','CIDADE ALEGRIA','URUGUAIANA','RS','120201201117131732623311275124610162147',17896,'9998',39.22,3,3,NULL),(28,7377827,'1994-02-21 00:00:00',2,15,12,2011,'M','N','CENTRO','TIMBÉ SUL','SC','124241241215151431446632245122610138052',12725,'813',40.29,1,3,NULL),(28,7377835,'1979-09-07 00:00:00',4,1,12,1996,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241214152721126643435124321561187',NULL,'270',0.00,1,3,NULL),(28,7377860,'1992-02-24 00:00:00',4,1,12,2009,'M','N','ESTREITO','FLORIANÓPOLIS','SC','124242241215121431358833435124610162112',NULL,'1036',32.18,1,3,NULL),(28,7377878,'1984-07-27 00:00:00',2,1,12,2004,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124241241136152411326549197111121661182',15279,'281',45.10,4,2,1),(28,7377886,'1994-11-09 00:00:00',4,1,12,2012,'M','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431689931575122610117042',NULL,'883',26.22,1,3,NULL),(28,7377894,'1991-03-05 00:00:00',6,1,10,2011,'F','N','VARGEM GRANDE','FLORIANÓPOLIS','SC','124121247325131421326329295124610126147',19748,'9999',30.67,1,3,NULL),(28,7377908,'1993-03-14 00:00:00',4,22,12,2010,'F','N','JARDIM MALUCHE','BRUSQUE','SC','124242241216413411458912575122610162092',6133,'107',54.60,1,3,NULL),(28,7377916,'1995-11-05 00:00:00',4,9,12,2008,'M','N','CONTA DINHEIRO','LAGES','SC','124242241217353411437832175112231437092',NULL,'515',14.07,3,3,NULL),(28,7377924,'1994-09-05 00:00:00',4,9,12,2011,'M','N','UNIVERSITÁRIO','LAGES','SC','124162246417141431239614385124610132187',NULL,'1106',25.75,1,3,NULL),(28,7377932,'1983-07-03 00:00:00',5,1,12,2000,'M','N','KOBRASOL','S JOSÉ','SC','124161161136434731226949395124122218182',NULL,'9998',34.04,1,2,1),(28,7377940,'1994-04-17 00:00:00',4,1,12,2011,'F','N','FAZENDA DA ARMAÇAO','GOV CELSO RAMOS','SC','124241241126131411424619345122610124072',NULL,'1099',13.47,1,2,1),(28,7377959,'1994-02-09 00:00:00',2,1,12,2011,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215111121356934575124610127147',NULL,'1050',25.80,1,3,NULL),(28,7377967,'1979-09-17 00:00:00',2,1,12,2001,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124131131117131411111341111341141122171',NULL,'9999',26.19,2,2,1),(28,7377975,'1994-11-04 00:00:00',4,2,12,2011,'M','N','GARCIA','BLUMENAU','SC','124243241116111411477939475122610124187',5646,'88',56.55,1,3,NULL),(28,7377991,'1992-03-03 00:00:00',2,8,11,2009,'F','N','SÃO BRAZ','CURITIBA','PR','116162161215572451568834275112610162097',2067,'9998',62.90,1,3,NULL),(28,7378009,'1993-05-24 00:00:00',4,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124204201236112441347922375124231564142',15661,'9998',44.37,1,3,NULL),(28,7378017,'1992-12-22 00:00:00',4,1,12,2010,'M','N','CHACARA PRIMAVERA','CAMPINAS','SP','125252251216471731358819572112610168182',12317,'9998',50.06,1,3,NULL),(28,7378025,'1994-04-18 00:00:00',2,15,12,2011,'F','N','COLINA SORRISO','CAXIAS SUL','RS','120203201215371431357612575122610124042',17827,'9998',39.41,1,3,NULL),(28,7378033,'1991-11-06 00:00:00',4,8,12,2008,'F','N','BACACHERI','CURITIBA','PR','116212161216573431459931575112610162017',NULL,'9998',0.00,1,3,NULL),(28,7378041,'1992-09-08 00:00:00',2,1,12,2009,'F','N','FLOR DE NAPOLIS','S JOSÉ','SC','124241241116172731438613385124220627057',15433,'739',44.80,1,2,1),(28,7378068,'1993-06-21 00:00:00',4,1,11,2010,'M','N','CIDADE JARDIM','S PAULO','SP','125252281237371411456831375112610137112',10102,'9998',45.53,1,3,NULL),(28,7378122,'1986-05-09 00:00:00',6,8,12,2006,'F','N','BARREIRINHA','CURITIBA','PR','116161161116131711436631345125341466181',NULL,'9998',0.00,1,3,NULL),(28,7378130,'1995-09-16 00:00:00',4,1,12,2011,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241215111531448811575124610132145',16947,'1022',41.65,1,3,NULL),(28,7378149,'1977-03-29 00:00:00',4,1,12,2000,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124203201147143431126344245123222367021',NULL,'9998',0.00,1,3,NULL),(28,7378157,'1994-01-20 00:00:00',4,1,12,2011,'F','N','CENTRO DE PALHOÇA','PALHOÇA','SC','124241241115111431437414395124610117092',18259,'592',29.35,1,2,1),(28,7378165,'1994-06-26 00:00:00',4,10,12,2011,'M','N','CENTRO','IMARUÍ','SC','124241241116371711214329575224610146042',NULL,'356',25.33,4,2,1),(28,7378173,'1995-02-24 00:00:00',4,2,12,2011,'M','N','COPHAMA','CPO GRANDE','MS','112122121216121431469933575122610132017',17834,'9998',39.38,1,3,NULL),(28,7378181,'1993-04-23 00:00:00',2,1,12,2010,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124244241117372731458623432112610127012',NULL,'267',0.00,1,3,NULL),(28,7378190,'1992-08-10 00:00:00',4,4,12,2009,'M','N','SAMBAQUI','FLORIANÓPOLIS','SC','124202241215574531239912571122220232135',1218,'265',67.93,1,3,NULL),(28,7378203,'1987-08-12 00:00:00',4,1,12,2005,'F','N','FORQUILHAS','S JOSÉ','SC','224051055116132421223744445114610165147',NULL,'9998',0.00,4,3,NULL),(28,7378211,'1995-05-20 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124242241217111411338833411122610126182',NULL,'262',27.69,1,3,NULL),(28,7378220,'1980-04-08 00:00:00',4,1,12,1998,'M','N','AGRONOMICA','FLORIANÓPOLIS','SC','624203207316131721255943335132342162183',NULL,'9998',0.00,1,3,NULL),(28,7378238,'1993-04-21 00:00:00',4,1,12,2011,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241217141451468611445124610162192',17499,'9999',40.30,1,3,NULL),(28,7378262,'1985-01-15 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124241247122231111221179212124610118067',13454,'9999',40.78,2,1,1),(28,7378289,'1992-12-16 00:00:00',2,1,12,2010,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124242241215152431436613335112233215077',NULL,'272',0.00,1,3,NULL),(28,7378319,'1992-11-26 00:00:00',4,8,12,2009,'F','N','CENTRO','STA MARIA VITÓRIA','BA','105052051215471431326623585114612622142',15565,'9998',44.60,5,3,NULL),(28,7378327,'1992-04-08 00:00:00',4,4,12,2009,'M','N','CENTRO','IRANI','SC','124241241146161431233414145122610116052',NULL,'379',0.00,1,3,NULL),(28,7378335,'1994-01-23 00:00:00',4,1,12,2011,'M','N','BOA ESPERANÇA','PAULÍNIA','SP','125252251215271431438811375112610167122',NULL,'9998',0.00,1,3,NULL),(28,7378343,'1968-02-27 00:00:00',4,1,12,1986,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224202161216141421548844245132141422097',15067,'9998',45.48,1,3,NULL),(28,7378378,'1995-02-22 00:00:00',4,1,11,2011,'F','N','KOBRASOL','S JOSÉ','SC','124242241217162431456611575122610137147',6413,'1077',52.81,1,3,NULL),(28,7378386,'1992-01-10 00:00:00',2,1,12,2010,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241117472731436514342124233267047',14060,'288',39.62,1,2,1),(28,7378394,'1989-03-22 00:00:00',2,1,12,2006,'M','N','INGLESES','FLORIANÓPOLIS','SC','224061061116131411523641312224231064097',14557,'9998',36.05,4,2,1),(28,7378416,'1988-09-18 00:00:00',2,1,11,2005,'M','N','CAMPINAS','S JOSÉ','SC','124242241216113221466833475122221413143',10907,'723',52.28,1,3,NULL),(28,7378424,'1992-09-01 00:00:00',4,2,12,2009,'M','N','GARCIA','BLUMENAU','SC','124242241217151431438814185124231064197',14543,'71',46.48,1,3,NULL),(28,7378432,'1992-08-30 00:00:00',2,1,12,2011,'M','N','FUNDOS','BIGUAÇU','SC','124242248216111722426632195122610117062',NULL,'1118',0.00,1,3,NULL),(28,7378440,'1995-05-16 00:00:00',4,1,12,2012,'F','S','COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC','124242241217151431426511576114610121015',NULL,'1022',34.08,1,3,NULL),(28,7378475,'1994-04-29 00:00:00',4,6,12,2011,'F','N','NAÇÕES','CAMBORIÚ','SC','124243241346131432424411595122610123187',18016,'873',30.25,1,3,NULL),(28,7378483,'1984-03-19 00:00:00',2,1,12,2001,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124201201316143751656413396121220368097',7387,'9998',58.17,1,3,NULL),(28,7378521,'1994-08-05 00:00:00',4,1,12,2011,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241125141431423342125224610123185',NULL,'282',25.54,1,3,NULL),(28,7378530,'1994-05-24 00:00:00',4,17,12,2011,'F','N','CENTRO','MAFRA','SC','124241241215121731458833575122610166092',NULL,'9997',0.00,1,3,NULL),(28,7378548,'1992-10-25 01:00:00',2,1,12,2009,'M','N','ESPÍRITO SANTO','PTO ALEGRE','RS','120202201217151431537832375121240664092',2901,'9998',67.16,1,3,NULL),(28,7378556,'1996-02-05 00:00:00',2,1,12,2012,'F','S','CENTRO','RIO SUL','SC','124242241215111432369934595122610167052',NULL,'991',21.91,1,3,NULL),(28,7378564,'1992-02-06 00:00:00',4,2,12,2009,'F','N','CENTRO','POMERODE','SC','124242241235272411347823575122132567052',8041,'855',49.80,1,3,NULL),(28,7378572,'1994-05-20 00:00:00',2,1,11,2011,'M','N','SÃO JOSÉ','S JOSÉ','SC','124244248216112611466532295111610117114',15713,'724',33.69,1,3,NULL),(28,7378580,'1990-03-20 00:00:00',4,1,12,2007,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241216375711358821445114123264097',14957,'269',45.70,1,3,NULL),(28,7378599,'1994-03-01 00:00:00',4,1,12,2011,'M','N','JARDIM DOS CAMARGOS','BARUERI','SP','125252251216371431338821275124610124016',NULL,'9998',0.00,1,3,NULL),(28,7378602,'1985-08-11 00:00:00',4,1,12,2002,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','224242241216154431248843335122321767052',3065,'44',66.71,1,3,NULL),(28,7378610,'1991-03-25 00:00:00',2,8,12,2008,'M','N','AVENTUREIRO','JOINVILLE','SC','124241241136131431331427241124132334052',NULL,'483',19.76,1,2,1),(28,7378629,'1994-10-27 00:00:00',4,15,12,2011,'F','N','LAGOÃO','ARARANGUÁ','SC','124241241136141231423519295125610127142',NULL,'30',22.61,1,3,NULL),(28,7378637,'1993-09-15 00:00:00',4,1,12,2011,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241248117271411538739596124610141182',11843,'306',43.14,1,2,1),(28,7378661,'1969-05-20 00:00:00',2,1,12,1988,'F','N','BALNEARIO','FLORIANÓPOLIS','SC','224131135116133431323654182124610166182',17568,'9998',40.14,1,3,NULL),(28,7378670,'1995-02-26 00:00:00',4,1,11,2012,'F','S','ITACORUBI','FLORIANÓPOLIS','SC','124242241217171431389912572112610134192',NULL,'270',31.84,1,3,NULL),(28,7378688,'1994-09-29 00:00:00',4,1,12,2011,'F','N','HIGIENOPOLIS','PTO ALEGRE','RS','120202201217271431379934445112610137047',NULL,'9998',0.00,1,3,NULL),(28,7378696,'1992-12-05 00:00:00',4,1,7,2011,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124264247416131411368733575114610117017',14880,'9999',45.84,1,3,NULL),(28,7378718,'1995-02-28 00:00:00',2,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124242241215121231368821315122610117112',18045,'270',38.75,1,3,NULL),(28,7378726,'1994-08-11 00:00:00',4,2,12,2011,'M','N','CENTRO','POMERODE','SC','124242241215111431468611475122610137042',9866,'624',45.80,1,3,NULL),(28,7378734,'1992-06-14 00:00:00',4,24,12,2009,'M','N','CENTRO','PETROLÂNDIA','SC','124241241117371431434911575122610137187',NULL,'1222',0.00,1,3,NULL),(28,7378742,'1991-01-01 00:00:00',2,1,12,2009,'F','N','CENTRO','FLORIANÓPOLIS','SC','124243247337132721227624345124610127164',NULL,'9999',23.10,1,3,NULL),(28,7378769,'1986-11-08 00:00:00',4,8,11,2004,'F','N','JARSIM SOCIAL','CURITIBA','PR','116162161213511431468613593112610143147',NULL,'9998',0.00,1,3,NULL),(28,7378777,'1994-11-09 00:00:00',4,1,12,2012,'M','S','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241215111431689931575122610117042',NULL,'883',42.65,1,3,NULL),(28,7378785,'1993-05-08 00:00:00',4,6,10,2010,'M','N','NAÇÕES','BAL CAMBORIÚ','SC','124241241216151711537839472225133248015',14367,'44',46.82,1,3,NULL),(28,7378793,'1994-04-27 00:00:00',2,1,12,2011,'F','N','VARGINHA','STO AMARO IMPERATRIZ','SC','124241241315131431436634342124610127147',18825,'1223',25.13,1,3,NULL),(28,7378807,'1989-09-28 00:00:00',4,1,11,2006,'M','N','VILA OLIVEIRA','MOGI CRUZES','SP','125252251216251711459811395112143267112',NULL,'9998',0.00,1,3,NULL),(28,7378815,'1994-12-22 00:00:00',4,8,12,2012,'M','S','CENTRO','JOINVILLE','SC','124242241215111212567612575112610127012',NULL,'457',29.70,1,3,NULL),(28,7378823,'1994-10-26 00:00:00',2,1,12,2011,'F','N','TOMAZ COELHO','ARAUCÁRIA','PR','116152161215471431448834575122610137147',NULL,'9998',0.00,4,3,NULL),(28,7378831,'1988-09-27 00:00:00',2,1,12,2005,'F','N','ITOUPAVAZINHA','BLUMENAU','SC','124161161126132441323324245124130236177',NULL,'9998',0.00,1,2,1),(28,7378866,'1995-03-22 00:00:00',4,2,12,2012,'M','S','PONTA AGUDA','BLUMENAU','SC','124242241217151431469912595122610124181',NULL,'88',25.75,1,3,NULL),(28,7378874,'1993-03-09 00:00:00',2,1,12,2010,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124243244116232751326619215124610122147',15581,'239',35.86,1,3,NULL),(28,7378882,'1993-09-13 00:00:00',2,1,12,2010,'F','N','ENCANTADA','GAROPABA','SC','124241241126131132525314245121610164117',NULL,'322',27.34,1,3,NULL),(28,7378890,'1994-08-25 00:00:00',4,1,12,2011,'F','N','JARDIM AEROPORTO','VÁRZEA GRANDE','MT','111113111315121231435615575124610137142',11542,'9998',42.92,1,3,NULL),(28,7378904,'1995-01-10 00:00:00',2,5,11,2011,'F','N','SANTA ROSA','FORQUILHINHA','SC','124241246215151431238719275124610162057',17134,'995',41.18,1,3,NULL),(28,7378912,'1991-05-30 00:00:00',2,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124241241117161431623111485324610114147',17960,'591',30.85,1,2,1),(28,7378963,'1993-08-01 00:00:00',2,2,12,2010,'M','N','CARIJÓS','INDAIAL','SC','124241241626151331433424242122610152171',16688,'365',35.65,4,3,NULL),(28,7378971,'1994-10-11 00:00:00',4,1,12,2011,'F','N','SERRARIAS','S JOSÉ','SC','124241241137131731513339286324610115057',NULL,'730',0.00,1,2,1),(28,7378998,'1987-04-28 00:00:00',2,1,12,2005,'M','N','VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC','124241241117433442436633242234121364142',NULL,'307',0.00,2,1,1),(28,7379013,'1994-02-09 00:00:00',4,2,12,2011,'M','N','NOVA PETRÓPOLIS','S BERNARDO CAMPO','SP','125252251217111431479834575124610168012',4553,'9998',54.92,1,3,NULL),(28,7379030,'1989-08-21 00:00:00',4,1,12,2007,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241417373431558833345124610167067',17180,'9997',41.09,2,1,2),(28,7379056,'1981-01-11 00:00:00',4,1,12,1999,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224251251116131731457653185114610163143',17889,'9998',39.23,1,3,NULL),(28,7379064,'1994-09-09 00:00:00',2,1,2,2012,'F','N','BARREIROS','S JOSÉ','SC','124242241117131411526314575124610117052',NULL,'739',27.02,1,3,NULL),(28,7379080,'1995-09-07 00:00:00',4,1,12,2011,'F','N','BEIRA MAR','FLORIANÓPOLIS','SC','124242241215111711578822575122610168012',NULL,'270',20.19,1,3,NULL),(28,7379102,'1994-06-19 00:00:00',4,1,12,2011,'M','N','CENTRO','PALHOÇA','SC','124242241215111431536314345122610137047',NULL,'1175',18.45,1,3,NULL),(28,7379110,'1990-06-01 00:00:00',2,1,12,2007,'M','N','PINGUIRITO','GAROPABA','SC','124241241125133411323439295114610114065',7743,'322',50.96,1,2,1),(28,7379129,'1994-08-19 00:00:00',4,16,12,2011,'F','N','CENTRO','CURITIBANOS','SC','124241241115371731434623475125610134177',15438,'239',35.51,1,2,1),(28,7379145,'1994-10-26 00:00:00',4,10,12,2011,'M','N','RIO GABIROBA','S MARTINHO','SC','124241241125141421473832345112610112052',19090,'750',34.92,1,2,1),(28,7379153,'1993-04-07 00:00:00',4,1,11,2010,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','124242241237154521469913575124221424052',3915,'1022',59.31,1,3,NULL),(28,7379161,'1993-11-09 00:00:00',4,1,12,2011,'M','N','BANCÁRIOS','PATO BRANCO','PR','116162163117151431358834345121610167052',NULL,'9998',0.00,1,3,NULL),(28,7379170,'1995-01-23 00:00:00',2,1,12,2012,'F','S','AREIAS','S JOSÉ','SC','124242241211111712557612582125610114072',NULL,'976',17.64,1,3,NULL),(28,7379188,'1994-05-06 00:00:00',4,10,12,2011,'M','N','CENTRO','GR PARÁ','SC','124241241125141431544931345122610134172',8386,'330',46.53,1,2,1),(28,7379218,'1993-12-11 00:00:00',2,1,12,2010,'F','N','CAMPECHE','FLORIANÓPOLIS','SC','124241241431372431233614571124231036183',11844,'988',42.89,1,3,NULL),(28,7379226,'1981-10-08 00:00:00',4,1,12,2000,'M','N','CAMPINAS','S JOSÉ','SC','124242241337152111357839242112610112182',11350,'269',51.56,1,3,NULL),(28,7379234,'1988-01-27 00:00:00',4,1,12,2006,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','624241241336132421331944345134133264057',19460,'1022',32.99,1,3,NULL),(28,7379242,'1993-03-04 00:00:00',2,1,12,2010,'F','N','JOSÉ MENDES','FLORIANÓPOLIS','SC','124244241126242431436714275124610164042',NULL,'286',33.81,1,3,NULL),(28,7379269,'1994-11-08 00:00:00',4,1,12,2011,'F','N','SAGRADA FAMÍLIA','CAXIAS SUL','RS','120202201217111731548812572122610113197',NULL,'9998',0.00,1,3,NULL),(28,7379277,'1993-06-24 00:00:00',4,1,12,2010,'M','N','AREIAS','S JOSÉ','SC','124241241412132431436729345114610167042',NULL,'300',33.32,1,3,NULL),(28,7379285,'1987-12-28 00:00:00',4,7,12,2005,'F','N','RIO MADEIRA','PTO VELHO','RO','122244241216574431459614485112142513094',4411,'138',56.92,1,3,NULL),(28,7379293,'1954-09-28 00:00:00',4,1,12,1973,'F','N','SANTA MONICA','FLORIANÓPOLIS','SC','524202201112152421344341412122320235047',14646,'9998',46.27,1,3,NULL),(28,7379307,'1991-01-01 00:00:00',4,8,11,2008,'F','N','BATEL','CURITIBA','PR','116162161215511731446616572124610127142',1828,'9998',65.84,1,3,NULL),(28,7379315,'1992-07-05 00:00:00',4,1,12,2009,'F','N','FLOR DA SERRA','JOAÇABA','SC','124242241217372431428822382222610123147',NULL,'962',0.00,1,3,NULL),(28,7379323,'1986-04-29 00:00:00',4,1,12,2003,'F','N','CENTRO','FLORIANÓPOLIS','SC','124241241216375451369614415122333267052',13081,'262',48.86,1,3,NULL),(28,7379331,'1995-09-12 00:00:00',4,26,12,2012,'F','S','FLORESTA','CONCÓRDIA','SC','124242241215131431456921575122610132147',NULL,'1000',39.11,1,3,NULL),(28,7379340,'1993-09-20 00:00:00',4,1,12,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','124244241317151431346513241132610127147',NULL,'592',20.00,1,3,NULL),(28,7379358,'1994-08-17 00:00:00',4,6,12,2011,'M','N','CENTRO','NAVEGANTES','SC','124241241135271741535614185121610124187',NULL,'570',0.00,1,2,1),(28,7379366,'1993-07-30 00:00:00',4,1,12,2010,'F','N','VILA LAURA','S CARLOS','SP','125122251216411431139933575124610164072',5579,'9998',53.90,4,3,NULL),(28,7379374,'1994-03-23 00:00:00',4,17,11,2011,'M','N','JARDIM OSCAVO SANTOS','LONDRINA','PR','116164161217111431457931571112610164047',2670,'9998',64.36,1,3,NULL),(28,7379382,'1994-03-04 00:00:00',4,2,11,2011,'M','N','CENTRO','INDAIAL','SC','124242241217111431379831375122610134042',11787,'855',50.87,1,3,NULL),(28,7379390,'1993-11-03 00:00:00',2,1,12,2011,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241111131431535314242124610137147',NULL,'1248',26.02,1,2,1),(28,7379404,'1988-12-05 00:00:00',4,1,12,2005,'F','N','IPIRANGA','S JOSÉ','SC','124241241216373431458823372124223214147',NULL,'943',0.00,2,1,2),(28,7379412,'1984-07-24 00:00:00',2,10,12,2001,'M','N','HUMAITA','TUBARÃO','SC','224241241116152712653343232132330257043',10984,'808',52.15,1,2,1),(28,7379420,'1996-05-20 00:00:00',4,1,2,2012,'M','N','CENTRO','TELÊMACO BORBA','PR','116162161217151452649934575112610144172',11800,'9998',50.85,1,3,NULL),(28,7379471,'1994-10-27 00:00:00',4,6,12,2011,'F','N','CORDEIROS','ITAJAÍ','SC','124241241415111731636614485124610128092',NULL,'388',26.91,1,3,NULL),(28,7379498,'1994-10-03 00:00:00',2,8,12,2011,'F','N','JARDIM COOPAGRO','TOLEDO','PR','116164161215151421336934575122610124147',19300,'9998',33.86,1,3,NULL),(28,7379501,'1992-01-06 00:00:00',4,6,12,2009,'F','N','CENTRO','NAVEGANTES','SC','124242241216473431369911575122610166012',887,'392',69.48,1,3,NULL),(28,7379528,'1994-08-20 00:00:00',4,5,11,2011,'M','N','BALNEÁRIO RINCÃO','IÇARA','SC','124242241212111411323629572122610167187',NULL,'349',0.00,1,3,NULL),(28,7379536,'1992-10-18 00:00:00',4,1,12,2011,'M','N','SJ DO RIO VEMELHO','FLORIANÓPOLIS','SC','124191247326371321339641315124610144057',16608,'9999',36.45,1,3,NULL),(28,7379552,'1994-04-09 00:00:00',2,8,11,2011,'F','N','CENTRO','S FRANCISCO SUL','SC','124242248217121431358814475124610161092',17272,'1016',40.85,4,3,NULL),(28,7379560,'1993-01-26 00:00:00',4,1,12,2011,'M','N','GUARDA DO CUBATÃO','PALHOÇA','SC','124241241117111431356814385124610134042',NULL,'592',32.76,1,3,NULL),(28,7379587,'1990-04-02 00:00:00',2,1,12,2007,'M','N','CARIANOS','FLORIANÓPOLIS','SC','124242241316475421338652225133610157062',19610,'1098',31.93,1,3,NULL),(28,7379609,'1985-10-24 00:00:00',4,1,12,2003,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241215274751538871345121121165095',14607,'980',46.34,1,3,NULL),(28,7379617,'1993-03-23 00:00:00',4,26,11,2010,'M','N','CENTRO','ERECHIM','RS','120202201215271431458821572112141447057',NULL,'9998',0.00,1,3,NULL),(28,7379633,'1994-06-06 00:00:00',4,1,12,2011,'M','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215271431356933395122610128072',NULL,'259',26.33,1,3,NULL),(28,7379650,'1989-07-22 00:00:00',4,1,8,2007,'M','N','COQUEIROS','FLORIANÓPOLIS','SC','124241241317575431237624575114131442147',5055,'9999',54.53,1,3,NULL),(28,7379668,'1992-09-05 00:00:00',4,1,11,2009,'F','N','JARDIM SÃO JOSÉ','CAMBÉ','PR','116162161217572431368939571122610128182',NULL,'9998',0.00,1,3,NULL),(28,7379676,'1994-07-15 00:00:00',4,1,12,2011,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241217121431568812575122610127112',2103,'270',65.98,1,3,NULL),(28,7379684,'1994-10-25 00:00:00',4,4,12,2011,'F','N','SANTA CRUZ','GUARAPUAVA','PR','116162161215121431359933572112610136191',5976,'9998',54.85,1,3,NULL),(28,7379692,'1992-05-04 00:00:00',4,1,12,2008,'M','N','NOVA BRASILIA','IMBITUBA','SC','124241241116141431125844345124131464177',10650,'1034',52.67,1,2,1),(28,7379706,'1993-05-16 00:00:00',2,5,12,2011,'M','N','SANTA BARBARA','CRICIÚMA','SC','124241246217111231333432575122610152052',17492,'995',40.32,1,3,NULL),(28,7379714,'1994-12-28 00:00:00',4,1,12,2011,'M','N','RIO TAVARES','FLORIANÓPOLIS','SC','124241241116371231434421475124610122141',9652,'285',47.09,1,2,1),(28,7379722,'1994-12-19 00:00:00',2,17,11,2011,'F','N','CAMPO DA ÁGUA VERDE','CANOINHAS','SC','124241241235132441348321571124610126072',NULL,'154',24.95,1,3,NULL),(28,7379730,'1990-06-21 00:00:00',4,8,12,2007,'M','N','AAHÚ','CURITIBA','PR','116162161211574751489933575124610164187',NULL,'9998',0.00,1,3,NULL),(28,7379749,'1989-06-18 00:00:00',2,1,12,2007,'F','N','PASSA VINTE','PALHOÇA','SC','124243241136142411446823345124610124147',19495,'733',32.73,2,1,2),(28,7379757,'1994-08-05 00:00:00',4,2,11,2011,'F','N','VILA EMBARE','VALINHOS','SP','125252251217471431488869571122610132072',NULL,'9998',0.00,1,3,NULL),(28,7379765,'1994-02-01 00:00:00',4,2,11,2011,'F','N','MEIA PRAIA','ITAPEMA','SC','124244241215111431336612575112610126017',NULL,'1038',0.00,1,3,NULL),(28,7379781,'1981-02-03 00:00:00',4,1,12,2000,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','224201205216154411257873235112322742047',14129,'9998',47.22,1,3,NULL),(28,7379803,'1992-10-21 00:00:00',4,8,12,2010,'M','N','GUANABARA','JOINVILLE','SC','124241246215471431448612345124610167072',12239,'1105',50.18,1,3,NULL),(28,7379820,'1992-12-03 00:00:00',2,8,12,2010,'F','N','ALTO DO HIGIENOPOLIS','CATANDUVA','SP','125252251216371431266823575122610134142',NULL,'9998',0.00,1,3,NULL),(28,7379846,'1989-04-29 00:00:00',2,1,12,2007,'M','N','CENTRO','S PEDRO','SP','125251251416272411447732435324240625092',NULL,'9998',0.00,1,3,NULL),(28,7379854,'1994-05-13 00:00:00',4,8,12,2011,'F','N','IRIRIU','JOINVILLE','SC','124242245115112731458811571112610124147',5625,'1063',54.42,4,3,NULL),(28,7379870,'1993-02-25 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124244241217151411358613435122610132092',11341,'988',44.28,4,3,NULL),(28,7379889,'1989-09-26 00:00:00',2,8,12,2011,'F','N','PIRAI','ARAQUARI','SC','624241247134131432511159196344610163187',NULL,'9999',27.48,5,4,NULL),(28,7379897,'1994-10-12 00:00:00',2,9,12,2011,'F','N','CARAVAGIO','LAGES','SC','124241241115271431226824575124610126147',18366,'512',37.73,3,2,1),(28,7379919,'1992-05-11 00:00:00',4,1,12,2010,'M','N','IMIRIM','S PAULO','SP','125252251236471451368923435124610127111',13045,'1015',48.92,1,3,NULL),(28,7379927,'1984-01-18 00:00:00',4,1,12,2004,'F','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124254251246141431238644245224142326087',NULL,'9998',23.63,1,3,NULL),(28,7379935,'1993-11-07 00:00:00',4,8,11,2011,'M','N','SAGUAÇU','JOINVILLE','SC','124244241215111441579614396124610124182',NULL,'931',0.00,4,3,NULL),(28,7379943,'1994-01-30 00:00:00',1,1,12,2011,'M','N','ALPHAVILLE','CAMPINAS','SP','125252251215111441469931475124610167097',2221,'9998',62.72,1,3,NULL),(28,7379951,'1979-03-22 00:00:00',2,1,12,1998,'M','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','524201203136131451433544142124141942183',NULL,'9998',0.00,1,3,NULL),(28,7379960,'1982-03-23 00:00:00',2,1,12,2000,'F','N','CAMPO DUNA','GAROPABA','SC','620201205216471421223679395124142236187',NULL,'9998',30.93,1,3,NULL),(28,7379978,'1994-04-09 00:00:00',4,5,7,2011,'M','N','CENTRO','CRICIÚMA','SC','124244241216151731449933345124610167042',9839,'995',45.33,1,3,NULL),(28,7379994,'1993-10-01 00:00:00',4,1,12,2011,'M','N','JARDIM IRAJA','RIBEIRÃO PRETO','SP','125252251216111311368811575122610114012',NULL,'9998',0.00,1,3,NULL),(28,7380011,'1992-08-18 00:00:00',4,1,12,2009,'F','N','CENTRO','ABELARDO LUZ','SC','124242241115173431458614195124232444147',9065,'1022',55.31,1,3,NULL),(28,7380020,'1995-06-07 00:00:00',4,4,12,2011,'F','N','SANTA MARIA','CHAPECÓ','SC','124241241115131431326831575112610134147',16383,'169',33.54,1,2,1),(28,7380038,'1994-07-19 00:00:00',4,5,12,2011,'F','N','ARGENTINA','CRICIÚMA','SC','124241248115371431416524592344610162187',17519,'209',40.25,1,2,1),(28,7380046,'1986-08-27 00:00:00',4,1,12,2003,'F','N','CAMINHO NOVO','PALHOÇA','SC','124241241116135431233619391124422227027',16357,'591',42.98,1,2,1),(28,7380054,'1990-03-08 00:00:00',4,15,11,2007,'M','N','CENTRO','ARARANGUÁ','SC','124241241116132711426711345123132014183',18627,'29',36.78,1,3,NULL),(28,7380062,'1992-08-12 00:00:00',4,1,12,2009,'F','N','POMPEIA','S PAULO','SP','125252251215571431469913572125610124072',NULL,'9998',0.00,1,3,NULL),(28,7380070,'1985-04-05 00:00:00',2,1,6,2004,'M','N','LAGOA DA CONCEICÃO','FLORIANÓPOLIS','SC','124244281316152431338821595124321762092',NULL,'9998',0.00,1,3,NULL),(28,7380089,'1993-06-21 00:00:00',4,1,12,2011,'M','N','CONJUNTO SÃO BENEDIT','JACAREÍ','SP','125252258216111431457912595112610147112',13551,'9998',38.79,1,3,NULL),(28,7380119,'1994-08-02 00:00:00',4,22,12,2012,'M','S','SOUZA CRUZ','BRUSQUE','SC','124242241215111432479933241121610132052',NULL,'1123',46.33,1,3,NULL),(28,7380127,'1992-05-21 00:00:00',4,1,9,2010,'F','N','PONTE DO IMARUIM','PALHOÇA','SC','224241247335211131423331375112610154147',NULL,'9999',14.81,1,3,NULL),(28,7380151,'1995-10-06 00:00:00',4,5,11,2011,'F','N','VILA NOVA','IÇARA','SC','124244241215111531466532575112610134142',NULL,'226',0.00,1,3,NULL),(28,7380160,'1994-07-18 00:00:00',4,1,12,2011,'F','N','BURU','SALTO','SP','125252256212111751489812572112610167143',2496,'9998',61.93,1,3,NULL),(28,7380186,'1977-01-30 00:00:00',2,1,11,1997,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124221118126144421162244145134220556082',NULL,'9998',28.69,3,3,NULL),(28,7380208,'1989-09-18 00:00:00',4,1,12,2006,'F','N','JARDIM AMAZONAS','FOZ IGUAÇU','PR','116161161217141751446512495122241528182',NULL,'9998',23.23,1,3,NULL),(28,7380224,'1995-07-04 00:00:00',4,1,12,2012,'F','S','CAPOEIRAS','FLORIANÓPOLIS','SC','624242241217111231435512595122610118142',NULL,'737',18.45,1,3,NULL),(28,7380232,'1982-10-27 00:00:00',4,1,7,2003,'M','N','JOSE MENDES','FLORIANÓPOLIS','SC','124241246116475421236644445122222324017',17691,'306',39.76,4,2,1),(28,7380240,'1980-11-29 00:00:00',2,8,11,1998,'F','N','NOVO MUNDO','CURITIBA','PR','216161161126573431223354235124141362147',NULL,'9998',0.00,4,1,1),(28,7380259,'1991-01-18 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124241241116274731468933345124610131142',17282,'307',34.54,1,2,1),(28,7380267,'1994-08-13 00:00:00',4,1,12,2011,'M','N','JARDIM ANTARTICA','RIBEIRÃO PRETO','SP','125252251215111411478933571112610166142',NULL,'9998',0.00,1,3,NULL),(28,7380291,'1980-10-26 00:00:00',2,1,12,2001,'F','N','CENTRO','FLORIANÓPOLIS','SC','224071071112121511256953472124232828115',NULL,'9998',28.16,4,2,1),(28,7380305,'1991-04-16 00:00:00',2,4,12,2008,'M','N','INTERIOR','ARVOREDO','SC','124241241126142441633355152113610117052',NULL,'36',26.62,1,3,NULL),(28,7380313,'1992-02-10 00:00:00',2,8,11,2009,'F','N','BATEL','CURITIBA','PR','116162161217571431546829591125610146147',NULL,'9998',0.00,1,3,NULL),(28,7380321,'1994-10-08 00:00:00',4,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124241241215111431426622181124610137017',16535,'1118',33.23,1,3,NULL),(28,7380356,'1967-04-25 00:00:00',2,16,12,1984,'M','N','NOSSA S APARECIDA','CURITIBANOS','SC','124241242137141711543343431142330238192',NULL,'8',28.34,1,3,NULL),(28,7380372,'1994-08-06 00:00:00',2,1,11,2011,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','124242241215111431468912575124610137185',10516,'270',45.19,1,3,NULL),(28,7380399,'1986-11-28 00:00:00',4,1,12,2004,'M','N','ITACORUBI','FLORIANÓPOLIS','SC','124241241117134751426614245124121934187',14247,'307',47.03,4,2,1),(28,7380402,'1982-03-29 00:00:00',2,1,12,2001,'F','N','SACO GRANDE','FLORIANÓPOLIS','SC','224041044122332411223443431124133058157',17573,'9998',40.12,4,3,NULL),(28,7380429,'1965-10-07 00:00:00',4,1,11,1984,'F','N','COQUEIROS','FLORIANÓPOLIS','SC','224241245116145411476353445132610124147',17009,'307',41.53,1,3,NULL),(28,7380445,'1994-05-20 00:00:00',4,1,12,2011,'M','N','PETRÓPOLIS','PTO ALEGRE','RS','120202201217371431477914595122610127047',6405,'9998',51.64,1,3,NULL),(28,7380453,'1993-08-01 00:00:00',4,1,12,2011,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241136271411533563385224610136112',15954,'1248',43.79,4,2,1),(28,7380461,'1991-07-16 00:00:00',2,1,12,2008,'F','N','REAL PARQUE','S JOSÉ','SC','124243241216272731423871282214610137187',14748,'1040',38.64,2,3,NULL),(28,7380470,'1993-09-25 00:00:00',4,1,10,2011,'F','N','PITUBA','SALVADOR','BA','105052051215111411358812571122610167147',NULL,'9998',0.00,1,3,NULL),(28,7380488,'1993-07-08 00:00:00',2,1,12,2010,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241411412421335624345224140812017',19455,'1022',33.00,4,3,NULL),(28,7380496,'1989-10-26 00:00:00',4,1,12,2006,'M','N','CENTRO','FLORIANÓPOLIS','SC','124161161116131431333374342224230822057',NULL,'9998',11.55,1,2,1),(28,7380526,'1976-08-23 00:00:00',2,1,8,2006,'F','N','SAÕ GERALDO','GRAVATAÍ','RS','120204207226131721223644245124141337147',NULL,'9998',0.00,1,3,NULL),(28,7380542,'1992-01-28 00:00:00',4,1,12,2009,'M','N','CHAMPAGNAT','LONDRINA','PR','116162161215571711558913575222610114122',NULL,'9998',0.00,1,3,NULL),(28,7380550,'1986-06-26 00:00:00',2,1,12,2008,'F','N','CANASVIEIRAS','FLORIANÓPOLIS','SC','124201207142141431446644445114142817187',18725,'9998',36.37,1,2,1),(28,7380577,'1992-09-10 00:00:00',2,1,12,2010,'F','N','BOM SUCESSO I','S MATEUS','ES','108082081216471431346839595114242937143',NULL,'9998',0.00,1,3,NULL),(28,7380585,'1993-07-28 00:00:00',4,8,12,2010,'F','N','VILA ARRIETE','S PAULO','SP','125252251216471411428713385122610121042',NULL,'9998',0.00,1,3,NULL),(28,7380593,'1993-04-30 00:00:00',4,1,12,2011,'M','N','SANTA TERESA','S PEDRO ALCÂNTARA','SC','124241241125161431366613341224610137042',19758,'869',30.62,1,3,NULL),(28,7380623,'1959-05-16 00:00:00',2,1,10,1982,'M','N','CAMPECHE','FLORIANÓPOLIS','SC','224241247647132452566643235124123261183',17234,'9999',40.92,1,3,NULL),(28,7380631,'1996-02-16 00:00:00',4,10,12,2011,'M','N','VILA NOVA','IMBITUBA','SC','124241241115161431336413575112610124047',NULL,'359',0.00,1,3,NULL),(28,7380640,'1993-10-17 01:00:00',2,2,12,2010,'F','N','BAL S FRANCISCO','S PAULO','SP','125252251216471431438612575124610153142',NULL,'9998',0.00,1,3,NULL),(28,7380658,'1988-07-09 00:00:00',2,1,4,2006,'F','N','ABRAAO','FLORIANÓPOLIS','SC','124241241117153431447823335124322724147',NULL,'306',31.78,1,2,1),(28,7380666,'1972-05-30 00:00:00',2,1,9,1995,'M','N','CENTRO','PALHOÇA','SC','624241246124135721534443235132322324047',15558,'306',44.61,1,2,1),(28,7380682,'1993-07-15 00:00:00',4,1,11,2010,'M','N','CARVOEIRA','FLORIANÓPOLIS','SC','124241241117131731325614475114610157045',NULL,'298',17.82,1,2,1),(28,7380712,'1990-09-24 00:00:00',4,1,12,2008,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','125242241215475431469913575114221464057',3995,'270',64.48,1,3,NULL),(28,7380739,'1995-09-15 00:00:00',4,5,11,2012,'M','S','CENTRO','ORLEANS','SC','124241243247151751448939245124610144172',NULL,'231',28.51,1,3,NULL),(28,7380747,'1986-10-10 00:00:00',2,1,12,2004,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241126474411526724345124230224057',17207,'274',41.00,5,2,1),(28,7380755,'1994-09-06 00:00:00',4,1,12,2011,'F','N','CARVOEIRA','FLORIANÓPOLIS','SC','111112111212111431256816572125610127072',NULL,'9998',0.00,1,3,NULL),(28,7380763,'1994-11-18 00:00:00',4,1,12,2011,'F','N','SANTINHO','FLORIANÓPOLIS','SC','124241241117131731426613575124610134187',NULL,'307',15.35,1,2,1),(28,7380801,'1993-06-07 00:00:00',2,1,12,2011,'M','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241117131431659813572121610137052',5914,'267',57.07,1,2,1),(28,7380810,'1991-09-22 00:00:00',4,1,12,2008,'M','N','BARREIROS','S JOSÉ','SC','124242241215113431348933595124230732092',13417,'738',36.95,1,3,NULL),(28,7380828,'1995-05-09 00:00:00',2,25,12,2012,'F','S','VISTA ALEGRE','VIDEIRA','SC','124241241115161732324923575124610147057',NULL,'650',15.75,1,3,NULL),(28,7380836,'1986-02-08 00:00:00',2,8,12,2003,'F','N','JARDIM CARUMBÉ','S PAULO','SP','125251251117574421223529475124243237097',5939,'9998',55.21,2,1,1),(28,7380844,'1990-10-05 00:00:00',2,1,12,2008,'F','N','INGLESES','FLORIANÓPOLIS','SC','124161241337231431223344342121610127057',NULL,'977',18.62,1,3,NULL),(28,7380852,'1994-01-25 00:00:00',2,4,12,2011,'M','N','UNIÃO','MARAVILHA','SC','124241241117131431433634142125610162012',9924,'552',47.30,1,2,1),(28,7380860,'1994-09-01 00:00:00',4,7,12,2011,'F','N','VILA ALEMANHA','LUZERNA','SC','124241241117271431436613475124610164177',5332,'539',55.01,1,2,1),(28,7380879,'1993-01-15 00:00:00',2,1,12,2011,'M','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','124241241135141422433334142124610137117',19900,'1248',29.37,4,2,1),(28,7380895,'1992-11-21 00:00:00',2,4,12,2008,'F','N','BELA VISTA','CHAPECÓ','SC','124243241116374431459933572122231327017',8008,'180',50.44,1,3,NULL),(28,7380909,'1994-07-14 00:00:00',4,1,12,2012,'F','S','JURERE','FLORIANÓPOLIS','SC','124242248217111531429913435124610117041',NULL,'270',24.09,1,3,NULL),(28,7380925,'1983-09-06 00:00:00',2,1,12,2001,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241416135721123344145134122962075',NULL,'499',0.00,1,3,NULL),(28,7380941,'1993-03-01 00:00:00',4,1,12,2010,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241136131732513328395124610132147',NULL,'296',22.40,1,2,1),(28,7380984,'1994-10-19 00:00:00',4,1,12,2011,'F','N','JARDIM ATLANTICO','FLORIANÓPOLIS','SC','124242241215111521238613575122610164075',13113,'270',41.38,1,3,NULL),(28,7381000,'1993-10-01 00:00:00',2,1,12,2011,'M','N','RIO CAVEIRAS','BIGUAÇU','SC','124241241115271421426467595124610121112',19080,'1088',34.97,1,2,1),(28,7381018,'1993-07-12 00:00:00',4,1,12,2011,'M','N','BARREIROS','S JOSÉ','SC','124212241215121411346833575112610117042',NULL,'738',27.22,4,3,NULL),(28,7381026,'1994-06-26 00:00:00',2,22,12,2011,'F','N','NOVA BRASILIA','BRUSQUE','SC','124241241147141221688712345232610122142',NULL,'876',14.24,1,2,1),(28,7381042,'1993-06-29 00:00:00',4,1,12,2010,'F','N','REBOUÇAS','CURITIBA','PR','116252161217371531668811575122142034074',NULL,'9998',0.00,1,3,NULL),(28,7381050,'1968-06-09 00:00:00',2,1,12,1986,'M','N','TRINDADE','FLORIANÓPOLIS','SC','224241241146135121438643332122121427047',18972,'298',35.40,1,2,1),(28,7381069,'1994-08-06 00:00:00',2,24,11,2011,'M','N','SEMINÁRIO','ITUPORANGA','SC','124243248217131731556933335131610134187',12185,'1173',39.66,1,3,NULL),(28,7381077,'1992-06-05 00:00:00',2,1,12,2009,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124131131136271411323344342324230267042',NULL,'9998',20.23,4,2,1),(28,7381093,'1993-04-12 00:00:00',4,1,12,2010,'M','N','AGRONÔMICA','FLORIANÓPOLIS','SC','124241241116132431336623575114610134047',NULL,'298',8.34,1,2,1),(28,7381107,'1985-08-22 00:00:00',2,1,7,2003,'F','N','PACHECOS','PALHOÇA','SC','224242241117143221238543235124323033187',18752,'306',36.29,2,1,2),(28,7381115,'1994-06-29 00:00:00',4,15,12,2011,'M','N','PARQUE DAS AVENIDA','SOMBRIO','SC','124241241117151232423331275112610124027',NULL,'1033',25.74,1,3,NULL),(28,7381131,'1994-04-22 00:00:00',4,8,12,2011,'F','N','CENTRO','PASSO FUNDO','RS','120202201215131431558932294114610165077',NULL,'9998',0.00,1,3,NULL),(28,7381140,'1986-12-14 00:00:00',4,1,12,2003,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241217154711459919475332321446197',4513,'266',63.35,1,3,NULL),(28,7381158,'1993-05-10 00:00:00',4,1,10,2010,'M','N','CAMPINAS','S JOSÉ','SC','124242241235152751467833345124610117186',5706,'723',53.77,1,3,NULL),(28,7381182,'1993-04-07 00:00:00',2,8,12,2009,'F','N','ÁGUA VERDE','CURITIBA','PR','116243161216573431248921275114610164092',NULL,'9998',0.00,1,3,NULL),(28,7381204,'1992-03-07 00:00:00',2,8,12,2009,'F','N','UMBARÁ','CURITIBA','PR','116162161216573431424314575124610162077',4760,'9998',57.46,1,3,NULL),(28,7381212,'1981-10-25 00:00:00',2,1,12,2001,'M','N','NOSSA SENHORA DO ROS','S JOSÉ','SC','124243241347131421426631345124230227067',NULL,'1076',0.00,1,3,NULL),(28,7381239,'1983-11-02 00:00:00',4,1,12,2002,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241117131151644612345124610144147',18113,'591',38.55,1,2,1),(28,7381271,'1994-06-09 00:00:00',4,1,12,2011,'M','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242246111151131568833491124610126012',NULL,'306',18.66,1,3,NULL),(28,7381301,'1991-09-17 00:00:00',2,1,11,2009,'M','N','INGLESES','FLORIANÓPOLIS','SC','124243241312111421557833245112133267112',NULL,'288',19.28,1,3,NULL),(28,7381310,'1980-01-10 00:00:00',4,5,12,1997,'M','N','SÃO CRISTÓVÃO','TURVO','SC','124244241216161331463412325122130764045',NULL,'32',34.27,1,3,NULL),(28,7381328,'1994-11-08 00:00:00',4,24,12,2011,'F','N','LARANJEIRAS','RIO SUL','SC','124241241125151431436932575122610113142',NULL,'657',0.00,1,2,1),(28,7381336,'1986-08-18 00:00:00',4,1,12,2005,'M','N','PINHEIROS','S PAULO','SP','125252251237571431469811571122610132097',825,'9998',72.18,3,3,NULL),(28,7381344,'1994-07-15 00:00:00',4,22,12,2011,'M','N','SANTA TEREZINHA','BRUSQUE','SC','124244241217131431538613585121610137012',15104,'1090',38.17,1,3,NULL),(28,7381352,'1992-03-31 00:00:00',2,1,12,2010,'M','N','PASSA VINTE','PALHOÇA','SC','124241241116131421436413145122610117063',NULL,'592',24.72,1,2,1),(28,7381360,'1994-04-26 00:00:00',2,1,12,2011,'M','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124242241215411311439613575122610164052',19147,'1118',34.67,2,1,2),(28,7381379,'1992-05-05 00:00:00',4,1,12,2009,'M','N','JD ELDORADO','INDAIATUBA','SP','125251251127371431343617215124610134092',14690,'9998',46.19,1,2,1),(28,7381409,'1987-01-17 00:00:00',4,1,12,2005,'M','N','BARREIROS','S JOSÉ','SC','124241241116131421126641415122113212062',15427,'257',39.25,1,2,1),(28,7381417,'1985-03-02 00:00:00',4,1,12,2002,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124243141436154431123341215122220748192',8163,'9998',48.14,1,3,NULL),(28,7381433,'1992-10-11 00:00:00',2,1,12,2011,'F','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124241241115131711336319395124610167077',NULL,'732',15.75,1,2,1),(28,7381441,'1994-09-10 00:00:00',4,2,11,2011,'F','N','PASSO MANSO','BLUMENAU','SC','124241241117131411546933584124610127142',6696,'88',53.37,1,2,1),(28,7381450,'1991-04-08 00:00:00',2,1,12,2008,'M','N','CORREGO GRANDE','FLORIANÓPOLIS','SC','124242241214313731258823395124220367137',NULL,'1022',22.74,1,3,NULL),(28,7381476,'1992-03-07 00:00:00',4,3,12,2009,'F','N','PARQUE RES AMERICA','BIRIGÜI','SP','125284281215371431436614385114610124097',8677,'9998',48.80,3,3,NULL),(28,7381506,'1988-09-12 00:00:00',4,8,12,2005,'M','N','BOM RETIRO','JOINVILLE','SC','124241241116272231336624475125221467051',11966,'659',50.59,1,2,1),(28,7381514,'1987-01-22 00:00:00',2,1,12,2004,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224241247336132432424444145234230225057',NULL,'9999',37.77,1,3,NULL),(28,7381530,'1993-06-28 00:00:00',4,10,11,2010,'M','N','BELA VISTA','BRAÇO NORTE','SC','124241241115162431338524345112610138147',7523,'100',48.92,1,2,1),(28,7381549,'1988-11-17 00:00:00',2,1,12,2005,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','224202201216132731225544445234143126055',13935,'9998',47.52,3,3,NULL),(28,7381557,'1994-08-01 00:00:00',4,1,12,2011,'M','N','LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC','124242241215111731467834575124610117122',10852,'270',44.85,1,3,NULL),(28,7381565,'1995-03-29 00:00:00',2,24,12,2012,'M','S','CENTRO','RIO SUL','SC','124244248615111431246833185122610137042',NULL,'991',30.45,1,3,NULL),(28,7381581,'1960-02-01 00:00:00',4,1,12,1977,'M','N','BARREIROS','S JOSÉ','SC','224201208121133411343543431122521812191',15445,'9998',44.79,1,2,1),(28,7381590,'1994-12-14 00:00:00',4,1,12,2012,'M','S','CENTRO','BAL CAMBORIÚ','SC','124242241217111732369913575122610166047',NULL,'44',45.31,1,3,NULL),(28,7381603,'1986-06-04 00:00:00',4,1,12,2003,'F','N','JARDIM DAS DRACENAS','BARRA BONITA','SP','125253251216471421468814245124341564187',NULL,'9998',0.00,4,3,NULL),(28,7381611,'1988-01-05 00:00:00',4,1,12,2005,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124252251216142522118834445122322533187',NULL,'9998',22.19,3,3,NULL),(28,7381638,'1995-03-23 00:00:00',4,25,12,2011,'F','N','CENTRO','CAÇADOR','SC','124241241116161331436321574122610132012',18325,'124',28.61,1,2,1),(28,7381646,'1993-12-02 00:00:00',4,1,12,2011,'M','N','SUMAREZINHO','RIBEIRÃO PRETO','SP','125252251215111431546812575122610167042',NULL,'9998',0.00,1,3,NULL),(28,7381654,'1992-11-06 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124241241126472441224622576224610167112',9974,'282',47.36,1,2,1),(28,7381670,'1967-08-08 00:00:00',2,1,12,1984,'F','N','BARREIROS','S JOSÉ','SC','224052058236141331363639395122342733183',NULL,'9998',34.69,4,3,NULL),(28,7381689,'1994-09-05 00:00:00',4,4,11,2011,'M','N','JARDIM ITÁLIA','CHAPECÓ','SC','124242241215111431358812295122610162032',9536,'1191',48.12,1,3,NULL),(28,7381700,'1992-01-13 00:00:00',4,1,12,2009,'M','N','IPANEMA','PTO ALEGRE','RS','120212201217272451469911375114241966063',4627,'9998',56.04,1,3,NULL),(28,7381719,'1990-03-15 00:00:00',2,1,12,2007,'F','N','TRINDADE','FLORIANÓPOLIS','SC','124241241215114511126631385125221734092',18290,'983',38.00,1,3,NULL),(28,7381727,'1992-12-30 00:00:00',2,4,12,2010,'M','N','PERPÉTUO SOCORRO','S LOURENÇO OESTE','SC','124242241116371441538613392112610134027',17029,'744',41.46,1,3,NULL),(28,7381735,'1989-11-09 00:00:00',4,1,10,2010,'M','N','VILA SOUTO','BAURU','SP','125254257117251431259611481122610117012',NULL,'9998',44.17,1,3,NULL),(28,7381743,'1976-07-20 00:00:00',2,1,11,1996,'M','N','CENTRO','FLORIANÓPOLIS','SC','224112111336153421346644345122140727042',NULL,'9998',0.00,4,3,NULL),(28,7381778,'1990-02-18 00:00:00',2,1,11,2007,'M','N','MONTE CASTELO','TUBARÃO','SC','124242241216144431358929491122231017042',NULL,'807',0.00,1,3,NULL),(28,7381786,'1988-01-31 00:00:00',2,1,12,2005,'M','N','FORQUILHAS','S JOSÉ','SC','224251251126144411233644145123130268182',16306,'9998',32.52,4,2,1),(28,7381794,'1994-06-28 00:00:00',4,26,12,2011,'F','N','SANTA CRUZ','CONCÓRDIA','SC','124241241115371631455613285124610144191',NULL,'192',37.27,1,3,NULL),(28,7381816,'1995-09-22 00:00:00',2,1,11,2012,'M','S','JORDÃO','GOV CELSO RAMOS','SC','124242241215111751426612575124610164147',NULL,'1118',37.31,1,3,NULL),(28,7381824,'1993-11-20 00:00:00',2,4,12,2010,'F','N','CENTRO','ITAPIRANGA','SC','124241248246471431336632275112610132142',NULL,'1060',0.00,1,3,NULL),(28,7381832,'1978-02-27 00:00:00',5,3,12,1998,'F','N','CENTRO','BAL CAMBORIÚ','SC','524161167126132411535341115122231015142',NULL,'9998',16.10,1,2,1),(28,7381867,'1993-07-29 00:00:00',4,1,12,2011,'F','N','JARDIM PAULISTA','S PAULO','SP','125252251217371431476924475122610134142',NULL,'9998',0.00,1,3,NULL),(28,7381891,'1991-07-19 00:00:00',4,1,7,2011,'M','N','SANTA MÔNICA','FLORIANÓPOLIS','SC','124242247217171711458649595112230212092',NULL,'270',0.00,1,3,NULL),(28,7381905,'1993-05-15 00:00:00',4,1,12,2010,'M','N','PONTE DO IMARUIM','PALHOÇA','SC','124241241135272721236629345114610137042',5769,'592',56.76,1,2,1),(28,7381913,'1994-06-06 00:00:00',4,1,11,2011,'M','N','JARDIM LOFREDO','OSASCO','SP','125251251127141731423734345124610167053',19892,'9998',29.43,1,3,NULL),(28,7381921,'1983-06-04 00:00:00',4,1,11,2001,'M','N','CENTRO','FLORIANÓPOLIS','SC','124192191217112411159944445134130726081',18160,'9998',38.40,4,3,NULL),(28,7381930,'1988-09-01 00:00:00',2,1,12,2006,'F','N','COLONINHA','FLORIANÓPOLIS','SC','124241241126375431424623285124610117057',NULL,'257',0.00,2,1,1),(28,7381948,'1987-10-13 00:00:00',4,1,12,2005,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124012241217473421488932475122221562122',2244,'270',60.49,4,3,NULL),(28,7381964,'1969-07-16 00:00:00',2,1,12,1987,'F','N','TRINDADE','FLORIANÓPOLIS','SC','624201203226133121331342125124130832037',19194,'9998',34.39,4,1,2),(28,7381972,'1991-09-16 00:00:00',2,4,12,2009,'F','N','CENTRO','FREDERICO WESTPHALEN','RS','120201201116131711533731415122610166044',16060,'9998',34.51,1,3,NULL),(28,7381980,'1991-10-15 00:00:00',4,8,12,2008,'M','N','FLORESTA','JOINVILLE','SC','124242241217374431358923575124140444112',268,'1016',74.89,1,3,NULL),(28,7381999,'1993-11-17 00:00:00',2,25,12,2010,'M','N','ZONA RURAL','PINHEIRO PRETO','SC','124241248116162441424636565122610114192',18105,'831',38.57,1,2,1),(28,7382006,'1993-12-18 00:00:00',2,1,12,2011,'F','N','ESTREITO','FLORIANÓPOLIS','SC','124241241115151431569933572124610165147',13173,'267',43.35,4,2,1),(28,7382022,'1983-11-11 00:00:00',4,1,12,2001,'F','N','NSA SRA FATIMA','AMERICANA','SP','125252251215571431478811573122343264182',NULL,'9998',0.00,1,3,NULL),(28,7382030,'1990-03-23 00:00:00',4,1,12,2006,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124244241114372731238944445124123232072',5948,'1034',60.68,1,3,NULL),(28,7382049,'1985-08-11 00:00:00',2,1,12,2002,'F','N','PQ CESARINO BORBA','IRACEMÁPOLIS','SP','125251251117471741646319245122340835047',NULL,'9998',0.00,2,1,1),(28,7382057,'1992-12-21 00:00:00',4,22,12,2010,'M','N','PONTA FINA NORTE','NOVA TRENTO','SC','124242241215371351553514445132610167052',NULL,'948',21.15,2,3,NULL),(28,7382065,'1987-08-25 00:00:00',1,26,12,2011,'M','N','CENTRO','CONCÓRDIA','SC','124241247136271411221444342113610127097',NULL,'9999',0.00,1,3,NULL),(28,7382073,'1995-03-26 00:00:00',4,4,12,2011,'M','N','PALMITAL','CHAPECÓ','SC','124243241325141431436313445124610112047',NULL,'1126',6.62,4,3,NULL),(28,7382081,'1993-04-27 00:00:00',2,1,12,2011,'F','N','MARGARIDA','STA CRUZ SUL','RS','120201201136141431326623342124610135077',11889,'9998',42.64,1,3,NULL),(28,7382090,'1983-12-05 00:00:00',2,1,12,2002,'F','N','FORQUILHINHAS','S JOSÉ','SC','124241247447133751525313345124322725147',19983,'1036',28.35,1,3,NULL),(28,7382103,'1991-05-06 00:00:00',4,1,12,2010,'M','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124242241217271431456612392114130235112',19315,'1048',33.80,1,3,NULL),(28,7382111,'1994-08-22 00:00:00',4,8,12,2011,'F','N','CIDADE NOVA','PTO UNIÃO','SC','124244241216131531648611395122610126095',18043,'632',38.76,1,3,NULL),(28,7382120,'1991-01-29 00:00:00',4,8,12,2008,'F','N','ÁGUA VERDE','CURITIBA','PR','116162161217571431249711571114141062187',NULL,'9998',0.00,1,3,NULL),(28,7382138,'1994-05-08 00:00:00',4,1,12,2011,'M','N','CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC','124244241216111411428715195124610144012',NULL,'1048',29.89,4,3,NULL),(28,7382146,'1994-10-04 00:00:00',4,9,11,2011,'M','N','VILA NOVA','LAGES','SC','124242241216111751456619575122610164043',5129,'497',55.28,1,3,NULL),(28,7382162,'1994-02-18 00:00:00',2,1,12,2011,'F','N','BARREIROS','S JOSÉ','SC','124242241215122431446833575112610114112',15677,'738',36.73,1,3,NULL),(28,7382189,'1984-12-22 00:00:00',4,1,12,2002,'M','N','CAMPINAS','S JOSÉ','SC','124242241216145231377923435122430214057',5087,'270',62.23,1,3,NULL),(28,7382200,'1994-08-26 00:00:00',4,16,12,2011,'F','N','PAPUA','S CRISTÓVÃO SUL','SC','124241241135161131424414585124233223035',NULL,'705',0.00,1,2,1),(28,7382227,'1988-08-06 00:00:00',4,8,12,2006,'M','N','ITAUM','JOINVILLE','SC','124243248345574411537621385124131424091',NULL,'486',0.00,1,3,NULL),(28,7382235,'1964-04-17 00:00:00',2,1,12,2004,'F','N','RIO TAVARES','FLORIANÓPOLIS','SC','224241241322151221435542122122610137061',NULL,'9997',31.34,1,3,NULL),(28,7382243,'1976-09-22 00:00:00',4,1,12,1993,'M','N','JOÃO PAULO','FLORIANÓPOLIS','SC','224243241216132411278844241122521026172',4101,'27',64.26,1,3,NULL),(28,7382251,'1993-05-31 00:00:00',4,9,12,2011,'M','N','ÁGUA VERDE','CURITIBA','PR','116162166115371441469813371122610128182',NULL,'9998',0.00,1,3,NULL),(28,7382260,'1990-10-19 00:00:00',2,3,12,2007,'F','N','CENTRO','BAL CAMBORIÚ','SC','124142141216511411526424575124231014182',NULL,'9998',0.00,4,3,NULL),(28,7382286,'1992-08-28 00:00:00',4,15,12,2010,'M','N','PIXIRICA','MORRINHOS SUL','RS','120201121136131731523437572111610163142',NULL,'9998',22.12,1,3,NULL),(28,7382294,'1985-04-10 00:00:00',2,1,12,2002,'M','N','ZONA RURAL','CUNHATAÍ','SC','124241241126161421463923235132341267042',12220,'235',39.08,4,2,1),(28,7382308,'1993-01-13 00:00:00',4,8,12,2010,'F','N','ENSEADA','S FRANCISCO SUL','SC','124241241115271431526419185114610166197',15184,'24',45.25,1,2,1),(28,7382324,'1985-12-12 00:00:00',2,1,12,2006,'M','N','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124201241342271431433317412122131244047',18392,'574',37.68,1,3,NULL),(28,7382332,'1991-07-08 00:00:00',2,6,12,2008,'F','N','CENTRO','ITAJAÍ','SC','124242241215575431443924295125130663077',4688,'1026',58.84,1,3,NULL),(28,7382383,'1993-08-31 00:00:00',4,1,7,2011,'M','N','REAL PARQUE','S JOSÉ','SC','124241241116141431556333415123610167042',19660,'739',31.52,1,3,NULL),(28,7382391,'1994-03-15 00:00:00',2,3,12,2011,'F','N','CENTRO','ITAPEMA','SC','124242241215221431536719372124613221147',19065,'403',26.30,1,3,NULL),(28,7382405,'1961-11-20 00:00:00',2,1,12,1979,'F','N','PANTANAL','FLORIANÓPOLIS','SC','224242241217152411233451392112121262147',NULL,'9997',0.00,1,3,NULL),(28,7382413,'1988-07-27 00:00:00',2,22,12,2010,'M','N','CENTRO','S JOÃO BATISTA','SC','124241247126371421535519295132230234087',15364,'9999',44.92,1,3,NULL),(28,7382421,'1994-01-26 00:00:00',2,24,12,2011,'M','N','BUDAG','RIO SUL','SC','124241241121111221338624145321610164057',14040,'864',36.95,1,2,1),(28,7382430,'1993-11-12 00:00:00',4,1,12,2010,'F','N','JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC','124241241212272431538811342124610163142',18940,'300',35.52,1,3,NULL),(28,7382456,'1984-03-30 00:00:00',4,2,12,2002,'F','N','ITOUPAVA NORTE','BLUMENAU','SC','224131131132131711421244142231610133047',19504,'9998',32.64,4,2,1),(28,7382464,'1995-04-21 00:00:00',4,23,12,2011,'M','N','JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC','124241241145141731635519345121610117057',NULL,'438',0.00,1,2,1),(28,7382472,'1988-11-08 00:00:00',2,1,4,2011,'M','N','BALNEÁRIO','FLORIANÓPOLIS','SC','124242248416141431568931375112610167142',NULL,'306',42.74,1,3,NULL),(28,7382480,'1991-02-14 00:00:00',2,1,12,2008,'F','N','CÓRREGO GRANDE','FLORIANÓPOLIS','SC','124241241417473741549613495124231864187',7529,'1022',57.92,1,3,NULL),(28,7382502,'1983-03-01 00:00:00',2,25,12,2000,'M','N','SANTA TEREZA','VIDEIRA','SC','124243241235153441389911495122231064022',NULL,'968',0.00,1,3,NULL),(28,7382510,'1994-04-27 00:00:00',4,1,12,2011,'F','N','CAMPINAS','S JOSÉ','SC','124241241117371431326629572124610118147',15723,'732',36.85,1,2,1),(28,7382529,'1994-03-30 00:00:00',2,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242248416152711428614143134610137015',NULL,'307',26.04,1,3,NULL),(28,7382537,'1994-03-30 00:00:00',4,1,11,2012,'M','S','CENTRO','FLORIANÓPOLIS','SC','124244241115151432469933575122610137182',NULL,'267',20.88,1,3,NULL),(28,7382545,'1987-02-13 00:00:00',4,1,12,2004,'F','N','BOM ABRIGO','FLORIANÓPOLIS','SC','124242241216575411388913572122133237092',6114,'499',51.85,1,3,NULL),(28,7382553,'1985-10-21 00:00:00',2,1,12,2003,'F','N','CENTRO','S JOSÉ','SC','124241241121131441536624241124130616032',NULL,'719',24.19,4,2,1),(28,7382561,'1992-06-04 00:00:00',2,1,12,2009,'M','N','JARDIM PAULISTA','PRES PRUDENTE','SP','125252251217471431568811375122141027042',NULL,'9998',0.00,1,3,NULL),(28,7382588,'1993-10-06 00:00:00',2,1,12,2011,'M','N','RIO VERMELHO','FLORIANÓPOLIS','SC','124241241126111311223329345114610117042',NULL,'274',23.59,1,2,1),(28,7382596,'1989-04-28 00:00:00',2,1,12,2006,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124251251145133421124311245124610142092',14250,'9998',38.40,1,2,1),(28,7382600,'1990-09-11 00:00:00',2,1,12,2007,'F','N','SERRARIA','S JOSÉ','SC','124244241215472721546511245124130224083',14084,'1075',37.70,1,3,NULL),(28,7382618,'1992-07-30 00:00:00',1,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124241241137372431436634342124222237057',20092,'1248',26.49,1,3,NULL),(28,7382634,'1989-07-14 00:00:00',4,1,12,2009,'F','N','INGLESES','FLORIANÓPOLIS','SC','124244241127471421327811486124610151097',14948,'290',38.09,1,3,NULL),(28,7382642,'1982-10-09 00:00:00',2,1,12,2003,'F','N','FORQUILHAS','S JOSÉ','SC','224241241126142711223354191123332734142',NULL,'727',35.58,1,2,1),(28,7382669,'1993-05-08 00:00:00',4,1,12,2010,'M','N','JARDIM CASQUEIRO','CUBATÃO','SP','125253251117271431346614571124610137057',8748,'9998',46.62,4,3,NULL),(28,7382685,'1994-03-31 00:00:00',4,10,12,2011,'M','N','SÃO JOÃO MD','TUBARÃO','SC','124243246215151431456819575124610127052',16448,'1120',33.13,1,3,NULL),(28,7382693,'1992-03-16 00:00:00',4,2,6,2011,'F','N','VELHA','BLUMENAU','SC','128286288637161731326632395122610168142',NULL,'9998',0.00,1,3,NULL),(28,7382731,'1994-08-08 00:00:00',4,23,12,2011,'M','N','ILHA DA FIGUEIRA','JARAGUÁ SUL','SC','124241241137141432446834245122610127052',16460,'430',42.75,1,3,NULL),(28,7382740,'1994-07-20 00:00:00',4,24,12,2011,'M','N','CENTRO','PRES GETÚLIO','SC','124242241215141411479914591121610117012',NULL,'654',22.56,2,3,NULL),(28,7382774,'1994-01-28 00:00:00',4,10,12,2011,'F','N','CENTRO','TUBARÃO','SC','124241241215151431536511575122610136177',14062,'1120',39.26,1,3,NULL),(28,7382782,'1987-07-16 00:00:00',4,1,12,2005,'M','N','CENTRO','PELOTAS','RS','120202201116511731458511591122410167041',7146,'9998',58.58,1,3,NULL),(28,7382790,'1996-02-23 00:00:00',4,5,12,2012,'M','S','SANTISTA','ORLEANS','SC','624244243217111531436879575124610114052',NULL,'9997',35.46,1,3,NULL),(28,7382804,'1995-03-16 00:00:00',4,10,12,2011,'M','N','CENTRO','BRAÇO NORTE','SC','124244241215111531227712575224610114117',9210,'807',55.05,1,3,NULL),(28,7382812,'1995-05-12 00:00:00',2,1,12,2011,'M','N','ITAGUA','ITAGUARU','GO','109091091216171411478932575125610162042',NULL,'9998',0.00,1,3,NULL),(28,7382820,'1989-11-27 00:00:00',4,1,12,2007,'M','N','PQ NOVA CARIOBA','AMERICANA','SP','116254251217141431447834445122140767042',9673,'9998',54.25,1,3,NULL),(28,7382839,'1988-08-27 00:00:00',2,8,12,2005,'F','N','CENTRO','CURITIBA','PR','116161161416573431246624471122610132177',NULL,'9998',0.00,1,3,NULL),(28,7382847,'1993-09-21 00:00:00',2,4,12,2011,'M','N','SAO PEDRO','XANXERÊ','SC','124243241215111231226922375122610114042',9975,'836',47.31,1,3,NULL),(28,7382855,'1993-04-22 00:00:00',4,1,12,2010,'M','N','INGLESES','FLORIANÓPOLIS','SC','124242241215111711239921415114610114117',NULL,'9999',23.68,1,3,NULL),(28,7382863,'1974-02-04 00:00:00',2,1,12,2004,'F','N','ESTREITO','FLORIANÓPOLIS','SC','224141141122131431416449392114610126091',15295,'9998',37.47,2,2,1),(28,7382871,'1988-02-11 00:00:00',4,17,12,2006,'M','N','RESTINGA','MAFRA','SC','124241248112131751433933282223130827092',NULL,'542',14.53,1,3,NULL),(28,7382880,'1990-08-15 00:00:00',2,5,12,2007,'M','N','JARDIM ITÁLIA','COCAL SUL','SC','124241241127131331429513475112610127142',NULL,'189',7.05,1,3,NULL),(28,7382898,'1994-06-03 00:00:00',4,8,12,2010,'M','N','ITAUM','JOINVILLE','SC','124241246216371731536614345124610127057',16426,'1006',42.83,1,3,NULL),(28,7382901,'1986-10-12 00:00:00',5,1,12,2004,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','524241241121142711213444241124610114071',13988,'821',40.19,1,2,1),(28,7382910,'1993-01-25 00:00:00',2,1,12,2010,'M','N','BARREIROS','S JOSÉ','SC','124241244136142131447644445124231336147',NULL,'239',28.88,1,3,NULL),(28,7382928,'1993-01-18 00:00:00',2,1,10,2011,'M','N','EMBRATEL','PTO VELHO','RO','122224221217151531255631475122610116042',NULL,'9998',0.00,4,3,NULL),(28,7382936,'1985-08-21 00:00:00',4,1,12,2002,'F','N','BATEL','CURITIBA','PR','116162161217471431385812145124342612147',NULL,'9998',0.00,1,3,NULL),(28,7382944,'1982-01-12 00:00:00',2,1,12,2002,'M','N','TRINDADE','FLORIANÓPOLIS','SC','124161161127132431323644342134610124047',NULL,'9998',14.23,1,2,1),(28,7382952,'1994-05-30 00:00:00',4,6,12,2011,'M','N','BOMBAS','BOMBINHAS','SC','124242241215112731456821575112610134047',5050,'407',54.12,1,3,NULL),(28,7382960,'1995-06-06 00:00:00',4,1,12,2012,'F','S','SACO DOS LIMÕES','FLORIANÓPOLIS','SC','124241241117131752426724295124610123017',NULL,'281',28.20,1,3,NULL),(28,7382987,'1994-03-26 00:00:00',2,4,12,2011,'F','N','CENTRO','VARGEÃO','SC','124241241135161731426623475122610134177',NULL,'824',25.10,1,2,1),(28,7383002,'1994-10-09 00:00:00',4,25,12,2011,'F','N','CENTRO','FRAIBURGO','SC','124241241137161412436439572122610127182',16934,'314',32.21,1,2,1),(28,7383010,'1977-10-03 00:00:00',2,1,12,1995,'F','N','LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC','124251251416232721128444445124143244187',NULL,'9998',29.79,1,3,NULL),(28,7383037,'1981-06-20 00:00:00',4,1,12,1998,'M','N','CENTRO','FLORIANÓPOLIS','SC','124242241215152441368811285122321066182',NULL,'270',0.00,1,3,NULL),(28,7383045,'1986-09-17 00:00:00',4,1,6,2005,'M','N','BELA VISTA','S JOSÉ','SC','124244247447141411256613331122131046057',NULL,'9999',12.71,4,3,NULL),(28,7383061,'1994-07-30 00:00:00',4,1,12,2011,'M','N','PORTAL DAS ACACIAS','INDAIATUBA','SP','125252251217111411468831585112610134023',NULL,'1133',0.00,1,3,NULL),(28,7383070,'1962-12-25 00:00:00',4,1,12,1980,'M','N','PANTANAL','FLORIANÓPOLIS','SC','224171171217112711546442122122342317112',NULL,'9998',0.00,1,3,NULL),(28,7383088,'1994-05-04 00:00:00',2,6,12,2011,'F','N','SÃO VICENTE','ITAJAÍ','SC','124242241215371431358912345122610167077',NULL,'388',25.74,4,3,NULL),(28,7383096,'1986-10-31 00:00:00',4,1,12,2004,'M','N','PANTANAL','FLORIANÓPOLIS','SC','124242241212123221232765344132321435171',3444,'807',65.73,1,3,NULL),(28,7383100,'1965-06-03 00:00:00',4,1,12,1983,'F','N','PANTANAL','FLORIANÓPOLIS','SC','124243248116134741228741315134330212091',NULL,'267',0.00,1,3,NULL),(28,7383118,'1988-09-26 00:00:00',2,1,12,2005,'F','N','ITACORUBI','FLORIANÓPOLIS','SC','124242241216574731468933575114242464077',NULL,'270',0.00,1,3,NULL),(28,7383126,'1991-01-15 00:00:00',4,3,12,2007,'M','N','SAINT ETIENNE','CAXIAS SUL','RS','120202201216571431478939575122610167085',1124,'9998',66.69,1,3,NULL),(28,7383134,'1952-02-25 00:00:00',6,1,12,1972,'M','N','PRAIA BRAVA','FLORIANÓPOLIS','SC','524161161126161431158443135122141144187',NULL,'9998',15.02,1,2,1),(28,7383142,'1986-12-20 00:00:00',4,1,12,2003,'M','N','JARDIM ATLÂNTICO','S JOSÉ','SC','124244241437115411444623375124231334187',12798,'736',49.30,1,3,NULL),(28,7383177,'1995-08-11 00:00:00',4,9,2,2012,'F','N','CENTRO','LAGES','SC','124242244215111411337832272122610154012',NULL,'499',0.00,1,3,NULL),(28,7383185,'1992-07-30 00:00:00',4,1,12,2009,'M','N','EMBARÉ','SANTOS','SP','125252251217512411428811571122610117042',NULL,'9998',0.00,1,3,NULL),(28,7383207,'1991-03-27 00:00:00',2,1,12,2008,'M','N','CAPOEIRAS','FLORIANÓPOLIS','SC','124242241212172711479813472122131067082',NULL,'1022',0.00,1,3,NULL),(28,7383231,'1990-01-04 00:00:00',2,1,12,2008,'F','N','JARDIM INOCOOP','RIO CLARO','SP','125251251117171131317628385123243263187',NULL,'9998',0.00,1,2,1),(28,7383258,'1993-05-13 00:00:00',4,1,12,2011,'M','N','BARRA DA LAGOA','FLORIANÓPOLIS','SC','124241241117131711524633291124610168182',NULL,'307',19.47,1,2,1),(28,7383274,'1989-04-30 00:00:00',4,15,12,2006,'M','N','CIDADE ALTA','ARARANGUÁ','SC','124242241215271431348923415122131056032',NULL,'32',34.19,1,3,NULL),(28,7383282,'1994-07-22 00:00:00',4,10,12,2011,'M','N','CENTRO','ORLEANS','SC','124242241117131431347933435125610162052',NULL,'580',0.00,4,3,NULL);
/*!40000 ALTER TABLE candidato ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `categoria`
--

DROP TABLE IF EXISTS categoria;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE categoria (
  id_evento smallint(6) NOT NULL,
  id_categoria tinyint(4) NOT NULL,
  nome_categoria varchar(48) DEFAULT NULL,
  perc_vagas decimal(5,2) DEFAULT NULL,
  PRIMARY KEY (id_evento,id_categoria)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categoria`
--

LOCK TABLES categoria WRITE;
/*!40000 ALTER TABLE categoria DISABLE KEYS */;
INSERT INTO categoria VALUES (15,1,'Candidatos auto declarados Negros',10.00),(15,2,'Candidatos oriundos de Escola Pública',20.00),(15,3,'Candidatos da Classificação Geral (Não Optantes)',70.00),(15,4,'Candidatos auto declarados Indígenas',0.00),(16,1,'Candidatos autodeclarados Negros',10.00),(16,2,'Candidatos oriundos de Escola Pública',20.00),(16,3,'Candidatos da Classificação Geral (Não Optantes)',70.00),(16,4,'Candidatos autodeclarados Indígenas',0.00),(20,1,'Candidatos autodeclarados Negros',10.00),(20,2,'Candidatos oriundos de Escola Pública',20.00),(20,3,'Candidatos da Classificação Geral (Não Optantes)',70.00),(20,4,'Candidatos autodeclarados Indígenas',0.00),(25,1,'Candidatos autodeclarados Negros',10.00),(25,2,'Candidatos oriundos de Escola Pública',20.00),(25,3,'Candidatos da Classificação Geral (Não Optantes)',70.00),(25,4,'Candidatos autodeclarados Indígenas',0.00),(28,1,'Candidatos autodeclarados Negros',10.00),(28,2,'Candidatos oriundos de Escola Pública',20.00),(28,3,'Candidatos da Classificação Geral (Não Optantes)',70.00),(28,4,'Candidatos autodeclarados Indígenas',0.00);
/*!40000 ALTER TABLE categoria ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `area_curso`
--

DROP TABLE IF EXISTS area_curso;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE area_curso (
  id_area smallint(6) NOT NULL,
  nome_area varchar(40) NOT NULL,
  PRIMARY KEY (id_area)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `area_curso`
--

LOCK TABLES area_curso WRITE;
/*!40000 ALTER TABLE area_curso DISABLE KEYS */;
INSERT INTO area_curso VALUES (1,'Ciências Exatas'),(2,'Ciências Biológicas'),(3,'Ciências Sociais');
/*!40000 ALTER TABLE area_curso ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `unidade_federativa`
--

DROP TABLE IF EXISTS unidade_federativa;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE unidade_federativa (
  id_unidade_federativa char(2) NOT NULL,
  nome_unidade_federativa varchar(40) NOT NULL,
  PRIMARY KEY (id_unidade_federativa)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `unidade_federativa`
--

LOCK TABLES unidade_federativa WRITE;
/*!40000 ALTER TABLE unidade_federativa DISABLE KEYS */;
INSERT INTO unidade_federativa VALUES ('AC','Acre'),('AL','Alagoas'),('AM','Amazonas'),('AP','Amapá'),('BA','Bahia'),('CE','Ceará'),('DF','Distrito Federal'),('ES','Espírito Santo'),('EX','Exterior'),('GO','Goiás'),('MA','Maranhão'),('MG','Minas Gerais'),('MS','Mato Grosso do Sul'),('MT','Mato Grosso'),('NI','Não informado'),('PA','Pará'),('PB','Paraíba'),('PE','Pernambuco'),('PI','Piauí'),('PR','Paraná'),('RJ','Rio de Janeiro'),('RN','Rio Grande do Norte'),('RO','Rondônia'),('RR','Roraima'),('RS','Rio Grande do Sul'),('SC','Santa Catarina'),('SE','Sergipe'),('SP','São Paulo'),('ST',' Estrangeiro'),('TO','Tocantins');
/*!40000 ALTER TABLE unidade_federativa ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `candidato_classificado`
--

DROP TABLE IF EXISTS candidato_classificado;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE candidato_classificado (
  id_evento smallint(6) NOT NULL,
  id_candidato decimal(7,0) NOT NULL,
  id_opcao char(2) NOT NULL,
  id_categoria tinyint(4) DEFAULT NULL,
  codigo_opcao smallint(6) DEFAULT NULL,
  periodo tinyint(4) DEFAULT NULL,
  ordem_classificacao decimal(5,0) DEFAULT NULL,
  PRIMARY KEY (id_evento,id_candidato),
  KEY fk_candidato_classificado_opcao_candidato (id_evento,id_candidato,id_opcao),
  KEY fk_candidato_classificado_categoria (id_evento,id_categoria),
  CONSTRAINT fk_candidato_classificado_opcao_candidato FOREIGN KEY (id_evento, id_candidato, id_opcao) REFERENCES opcao_candidato (id_evento, id_candidato, id_opcao),
  CONSTRAINT fk_candidato_classificado_candidato FOREIGN KEY (id_evento, id_candidato) REFERENCES candidato (id_evento, id_candidato),
  CONSTRAINT fk_candidato_classificado_categoria FOREIGN KEY (id_evento, id_categoria) REFERENCES categoria (id_evento, id_categoria)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `candidato_classificado`
--

LOCK TABLES candidato_classificado WRITE;
/*!40000 ALTER TABLE candidato_classificado DISABLE KEYS */;
INSERT INTO candidato_classificado VALUES (15,2000024,'1',2,101,2,9),(15,2000113,'1',2,451,1,1),(15,2000164,'1',2,5,1,4),(15,2000210,'1',2,238,1,4),(15,2000350,'2',1,101,1,3),(15,2000369,'1',3,215,2,23),(15,2000385,'1',3,332,2,3),(15,2000563,'1',2,420,2,8),(15,2000628,'1',3,201,1,12),(15,2000679,'1',2,320,2,1),(15,2000733,'1',3,319,1,10),(15,2000750,'1',3,329,1,3),(15,2001071,'1',2,444,1,4),(15,2001080,'1',3,304,2,64),(15,2001268,'1',3,428,2,48),(15,2001730,'1',3,331,1,20),(15,2001756,'1',3,223,1,34),(15,2001772,'1',2,5,1,2),(15,2001829,'1',3,309,1,4),(15,2001900,'1',2,203,2,19),(15,2001934,'1',3,108,1,13),(15,2001942,'1',3,217,2,52),(15,2002027,'1',3,102,1,27),(15,2002086,'1A',3,233,1,15),(15,2002124,'1',3,426,2,1),(15,2002132,'1',2,5,1,8),(15,2002167,'1',1,104,2,7),(15,2002329,'1',3,238,1,13),(15,2002442,'1',3,324,1,20),(15,2002477,'1',3,324,2,31),(15,2002736,'1',2,207,2,10),(15,2002850,'1',2,310,1,1),(15,2002868,'1',3,220,2,41),(15,2002876,'1',3,217,1,22),(15,2002892,'1',3,223,1,1),(15,2002914,'1',3,5,2,33),(15,2002922,'1',2,217,2,9),(15,2002949,'1',3,326,1,1),(15,2002981,'1',3,108,2,39),(15,2003015,'1',3,317,2,50),(15,2003120,'1',3,101,1,10),(15,2003155,'1',2,203,1,2),(15,2003201,'1',3,501,2,55),(15,2003309,'1',3,208,2,62),(15,2003325,'1',3,303,1,6),(15,2003376,'1',2,202,2,16),(15,2003457,'1',3,415,1,12),(15,2003678,'1',3,328,1,13),(15,2003732,'1',3,450,1,7),(15,2003740,'1',2,224,2,5),(15,2003783,'1',3,108,1,8),(15,2003821,'1',3,108,1,17),(15,2003856,'1',2,326,1,3),(15,2003872,'1',3,220,1,2),(15,2003902,'1',3,424,1,9),(15,2003937,'1A',3,201,1,22),(15,2004135,'1',3,331,1,15),(15,2004151,'1',3,108,2,24),(15,2004208,'1',3,224,2,5),(15,2004313,'1',2,108,1,4),(15,2004399,'1',2,450,1,2),(15,2004402,'1',2,339,2,10),(15,2004445,'1',3,501,2,36),(15,2004550,'1',3,308,2,67),(15,2004577,'1',3,328,1,25),(15,2004615,'1',3,332,2,28),(15,2004674,'1',3,316,2,41),(15,2004720,'1',3,444,1,5),(15,2004798,'1',3,101,2,35),(15,2004844,'1A',3,202,2,55),(15,2004909,'1A',3,215,1,3),(15,2004933,'1',3,211,1,9),(15,2004941,'1',3,215,1,5),(15,2005077,'1',3,415,2,33),(15,2005093,'1',3,103,2,67),(15,2005158,'1',2,303,2,11),(15,2005220,'1',3,220,1,9),(15,2005298,'1',3,217,2,30),(15,2005387,'1A',3,201,1,23),(15,2005450,'1A',3,213,2,22),(15,2005581,'1',3,301,1,32),(15,2005611,'1',1,320,2,2),(15,2005956,'1',2,415,1,3),(15,2005980,'1',3,208,2,46),(15,2006014,'1',2,326,1,6),(15,2006030,'1',3,9,1,20),(15,2006120,'1',3,216,2,19),(15,2006235,'1',3,234,2,27),(15,2006243,'1',3,104,1,21),(15,2006286,'1',3,308,2,44),(15,2006332,'1',3,404,2,24),(15,2006421,'1',2,203,2,20),(15,2006456,'1',3,303,2,53),(15,2006618,'1',3,318,1,20),(15,2006626,'1',3,208,2,55),(15,2006669,'1',3,234,2,34),(15,2006693,'1',2,450,1,5),(15,2006707,'1',2,331,1,4),(15,2006715,'1',1,428,2,2),(15,2006723,'1',3,212,2,17),(15,2006790,'1',3,324,1,9),(15,2006804,'1',2,451,1,4),(15,2007002,'1',3,424,1,1),(15,2007150,'1A',3,201,2,41),(15,2007177,'1',3,101,2,45),(15,2007215,'1',3,319,2,37),(15,2007436,'1',2,302,1,7),(15,2007452,'1',3,208,1,5),(15,2007517,'1',2,104,1,9),(15,2007770,'1',3,404,1,1),(15,2007835,'1',3,502,1,7),(15,2007878,'1',3,316,1,1),(15,2007932,'1',3,320,2,22),(15,2007983,'1',3,303,1,20),(15,2008076,'1',3,332,2,9),(15,2008114,'1',3,451,1,10),(15,2008130,'1',3,301,2,64),(15,2008173,'1',1,220,2,6),(15,2008220,'1',3,317,1,23),(15,2008335,'1',3,233,2,44),(15,2008424,'1',3,309,2,40),(15,2008475,'1',3,421,1,2),(15,2008505,'1',3,420,1,16),(15,2008556,'1A',3,428,2,35),(15,2008599,'1',3,308,1,23),(15,2008858,'1',2,101,2,10),(15,2008866,'1',2,217,1,5),(15,2008882,'1',3,222,1,12),(15,2008890,'1',2,216,1,1),(15,2008947,'1',2,324,2,11),(15,2008963,'1',3,424,1,23),(15,2009072,'1',3,201,2,63),(15,2009129,'1',3,223,1,24),(15,2009137,'1',3,101,1,24),(15,2009218,'1',3,501,1,21),(15,2009315,'1',3,404,2,35),(15,2009331,'1',2,317,1,7),(15,2009340,'1',3,103,2,68),(15,2009358,'1',3,238,1,5),(15,2009382,'1',3,426,2,17),(15,2009412,'1',2,9,1,2),(15,2009633,'1',3,201,1,10),(15,2009684,'1',3,320,2,21),(15,2009722,'1',3,223,1,20),(15,2009757,'1',2,108,1,6),(15,2009838,'1A',3,212,1,5),(15,2009870,'1',3,318,2,39),(15,2009919,'1',2,202,2,19),(15,2009994,'1A',2,208,2,11),(15,2010038,'1',3,303,1,7),(15,2010054,'1',3,333,1,6),(15,2010089,'1',3,5,2,35),(15,2010186,'1',3,215,2,16),(15,2010194,'1',3,203,2,53),(15,2010267,'1',3,420,1,8),(15,2010275,'1',3,233,1,14),(15,2010291,'1',3,304,1,10),(15,2010429,'1',3,108,1,3),(15,2010461,'1',3,328,1,22),(15,2010569,'1',3,331,1,6),(15,2010577,'1',3,420,1,4),(15,2010640,'1',3,309,1,23),(15,2010674,'1',3,333,1,14),(15,2010739,'1',3,217,1,11),(15,2010747,'1',3,108,1,2),(15,2010763,'1',3,211,1,26),(15,2010810,'1',3,102,1,29),(15,2010895,'1',3,203,1,29),(15,2010909,'1',3,303,2,34),(15,2010917,'1',3,207,1,1),(15,2011018,'1',3,103,1,35),(15,2011034,'1',3,213,2,21),(15,2011115,'1',2,104,2,12),(15,2011140,'1',2,301,1,3),(15,2011174,'1',3,217,2,49),(15,2011298,'1',3,428,2,60),(15,2011409,'1',3,5,1,12),(15,2011433,'1',3,318,2,33),(15,2011468,'1',3,233,1,2),(15,2011581,'1A',3,208,2,43),(15,2011590,'1',3,301,2,35),(15,2011662,'1',3,328,1,1),(15,2011697,'1',3,102,2,57),(15,2011751,'1',3,424,1,28),(15,2011905,'1',3,318,1,6),(15,2011999,'1',2,103,1,5),(15,2012049,'1',3,424,1,15),(15,2012219,'1',3,101,2,40),(15,2012448,'1',3,220,2,37),(15,2012456,'1',3,309,2,34),(15,2012502,'1',3,203,2,56),(15,2012537,'1',3,103,1,23),(15,2012545,'1',3,333,1,15),(15,2012669,'1',3,309,1,17),(15,2012707,'1',2,207,2,16),(15,2012987,'1A',3,211,1,19),(15,2013118,'1',3,415,1,6),(15,2013215,'2',1,302,1,1),(15,2013339,'1',3,429,2,23),(15,2013363,'1',3,201,1,21),(15,2013371,'1',3,203,2,44),(15,2013452,'1',2,102,1,12),(15,2013886,'1',3,203,2,39),(15,2013959,'1',3,220,2,25),(15,2014009,'1',3,238,1,1),(15,2014017,'1',3,303,2,42),(15,2014025,'1',3,404,1,19),(15,2014033,'1',3,108,1,7),(15,2014181,'1',3,108,1,11),(15,2014220,'1',3,302,2,37),(15,2014238,'1',3,303,1,26),(15,2014254,'1',3,324,2,29),(15,2014319,'1',3,308,2,42),(15,2014327,'1',3,304,2,48),(15,2014343,'1',3,203,1,15),(15,2014360,'1',3,223,1,21),(15,2014386,'1',3,425,1,14),(15,2014440,'1',3,502,2,34),(15,2014564,'1',3,404,2,27),(15,2014718,'1',3,207,1,2),(15,2014785,'1',3,301,1,15),(15,2014793,'1',3,203,2,45),(15,2014920,'1',3,444,2,41),(15,2014963,'1',3,202,1,3),(15,2015005,'1',3,302,2,48),(15,2015080,'1',3,238,2,54),(15,2015196,'1A',3,421,1,26),(15,2015242,'1',3,421,1,6),(15,2015277,'1',3,102,2,62),(15,2015471,'1',3,316,2,55),(15,2015528,'1',3,104,2,33),(15,2015536,'1',3,102,1,33),(15,2015641,'1A',3,208,2,53),(15,2015757,'1',3,202,2,60),(15,2015781,'1',3,327,2,7),(15,2015889,'1',3,208,1,6),(15,2015927,'1',3,211,2,32),(15,2015960,'1',3,233,1,8),(15,2016028,'1',3,415,1,7),(15,2016052,'1',3,501,2,37),(15,2016087,'1',3,328,1,17),(15,2016109,'1',3,425,1,18),(15,2016206,'1A',3,238,2,48),(15,2016257,'1',3,415,1,10),(15,2016290,'1',3,212,1,10),(15,2016311,'1',1,101,2,6),(15,2016320,'1',3,234,1,5),(15,2016346,'1',2,304,1,9),(15,2016370,'1',3,103,1,29),(15,2016389,'1',3,302,1,19),(15,2016559,'1',3,207,2,50),(15,2016575,'1',3,450,1,6),(15,2016583,'1',3,333,1,1),(15,2016591,'1A',3,202,2,40),(15,2016656,'1',3,207,2,41),(15,2016664,'1',3,420,1,19),(15,2016710,'1',3,103,2,54),(15,2016796,'1',3,103,2,37),(15,2016842,'1',3,426,2,28),(15,2016869,'1',3,225,1,21),(15,2016877,'1',3,220,1,20),(15,2016893,'1A',3,201,1,18),(15,2017032,'1',3,501,2,62),(15,2017083,'1',3,216,2,27),(15,2017105,'1',3,423,1,21),(15,2017113,'1',3,103,2,60),(15,2017130,'1',3,415,2,26),(15,2017180,'1',3,327,2,19),(15,2017199,'1',3,207,1,5),(15,2017270,'1',3,301,1,14),(15,2017296,'1',3,223,1,31),(15,2017377,'1',3,103,1,25),(15,2017512,'1',3,202,1,7),(15,2017571,'1',3,332,2,4),(15,2017636,'1',3,301,2,55),(15,2017695,'1',3,220,1,5),(15,2017776,'1',2,108,2,9),(15,2017830,'1',3,101,1,4),(15,2017890,'1',3,212,2,27),(15,2017938,'1',3,217,1,16),(15,2018098,'1',3,304,2,38),(15,2018101,'1',2,217,1,3),(15,2018179,'1',1,214,1,1),(15,2018306,'1',2,304,1,1),(15,2018381,'1',3,108,1,12),(15,2018420,'1',2,203,1,7),(15,2018543,'1',2,103,2,11),(15,2018578,'1',2,404,1,1),(15,2018667,'1A',3,423,1,17),(15,2018764,'1',3,233,2,35),(15,2018772,'1',3,301,2,36),(15,2018888,'1',3,319,1,24),(15,2018918,'1',2,203,1,4),(15,2019027,'1',3,320,2,23),(15,2019078,'1',2,212,2,6),(15,2019140,'1',1,303,2,7),(15,2019450,'1',3,202,2,57),(15,2019485,'1',3,404,2,25),(15,2019744,'1',2,238,1,8),(15,2019922,'2',1,207,2,8),(15,2019930,'1',3,326,1,6),(15,2019949,'1',3,426,2,6),(15,2019990,'1',3,217,1,27),(15,2020050,'1',2,216,2,7),(15,2020181,'1',2,202,1,7),(15,2020378,'1',3,9,1,5),(15,2020394,'1',3,214,2,29),(15,2020459,'1',3,424,1,26),(15,2020491,'1',3,339,1,4),(15,2020696,'1',3,304,1,28),(15,2020726,'1',3,316,2,51),(15,2020807,'1',2,2,1,8),(15,2020823,'1A',3,213,1,4),(15,2020858,'1',3,310,1,30),(15,2020980,'1',2,324,2,16),(15,2021242,'1',3,318,1,10),(15,2021579,'1',3,217,2,54),(15,2021617,'1',1,5,1,1),(15,2021625,'1',3,103,1,2),(15,2021706,'1',2,425,1,7),(15,2021870,'1',3,308,2,68),(15,2022010,'1',3,102,2,69),(15,2022184,'1',2,220,1,6),(15,2022222,'1A',3,208,2,66),(15,2022281,'1',3,208,2,54),(15,2022320,'1A',3,421,1,29),(15,2022346,'1A',3,202,2,53),(15,2022389,'1',3,302,1,1),(15,2022443,'1',3,308,1,28),(15,2022478,'1',3,318,1,29),(15,2022486,'1',3,234,2,40),(15,2022710,'1',3,103,2,38),(15,2022788,'1',3,5,2,36),(15,2022885,'1',3,108,2,29),(15,2022982,'1',2,333,1,5),(15,2023016,'1',3,2,1,6),(15,2023032,'1',3,108,2,40),(15,2023040,'1',3,420,2,42),(15,2023105,'1',3,225,1,4),(15,2023130,'1',3,302,1,8),(15,2023148,'1',3,404,1,16),(15,2023318,'1',2,327,2,3),(15,2023369,'1',3,304,2,45),(15,2023440,'1',2,425,1,6),(15,2023458,'1',3,213,1,14),(15,2023504,'1',3,216,2,21),(15,2023679,'1',3,420,2,26),(15,2023954,'1',3,309,2,45),(15,2024217,'1',3,104,1,2),(15,2024306,'1',2,320,2,4),(15,2024349,'1',1,327,2,4),(15,2024357,'1A',3,238,2,45),(15,2024381,'1',3,207,2,36),(15,2024446,'1',3,207,1,20),(15,2024470,'1A',3,202,2,46),(15,2024560,'1',3,304,2,42),(15,2024616,'1',3,319,1,26),(15,2024730,'2',1,211,1,2),(15,2024810,'1',3,424,1,4),(15,2024853,'1',3,327,2,24),(15,2024985,'1',3,333,1,12),(15,2025167,'1',3,203,1,3),(15,2025205,'1',3,223,1,42),(15,2025230,'1A',3,214,2,17),(15,2025256,'1',3,220,2,35),(15,2025396,'1',3,303,2,41),(15,2025442,'1',2,333,1,3),(15,2025485,'1',3,207,1,9),(15,2025582,'1',3,502,2,42),(15,2025671,'1',3,234,2,24),(15,2025752,'1',2,426,2,6),(15,2025787,'1A',3,214,1,14),(15,2025973,'1',3,429,2,1),(15,2026023,'1',3,201,2,54),(15,2026066,'1',3,103,2,50),(15,2026252,'1',3,103,1,33),(15,2026287,'1',3,319,2,44),(15,2026295,'1',3,317,1,24),(15,2026325,'1',3,318,2,54),(15,2026341,'1',3,326,1,23),(15,2026350,'1',3,202,2,56),(15,2026392,'1',3,225,1,18),(15,2026465,'1',3,421,1,19),(15,2026686,'1',3,208,1,23),(15,2026694,'1',3,304,2,65),(15,2026767,'1',3,212,2,23),(15,2026813,'1',3,319,2,32),(15,2026880,'1',3,444,2,35),(15,2026929,'1',1,104,2,6),(15,2026996,'1',2,203,2,14),(15,2027038,'1A',3,201,1,6),(15,2027119,'1A',3,211,2,46),(15,2027267,'1',3,304,1,14),(15,2027445,'1',3,308,2,36),(15,2027461,'1',3,310,1,3),(15,2027470,'1',3,217,2,42),(15,2027739,'1A',3,208,2,51),(15,2027798,'1',3,203,2,46),(15,2027801,'1',3,225,1,9),(15,2027836,'1',3,420,2,29),(15,2027909,'1',3,308,1,26),(15,2027968,'1',3,5,1,11),(15,2028034,'1',3,202,1,1),(15,2028107,'1',3,216,1,7),(15,2028166,'1A',3,421,1,22),(15,2028212,'1',3,444,1,13),(15,2028263,'1',2,317,1,8),(15,2028298,'1',3,103,2,70),(15,2028336,'1',3,425,1,6),(15,2028352,'1A',3,201,2,50),(15,2028379,'1',3,207,1,3),(15,2028409,'1',2,104,2,11),(15,2028417,'1',3,202,1,2),(15,2028468,'1',3,502,2,36),(15,2028476,'1A',3,202,2,73),(15,2028484,'1',3,415,1,3),(15,2028506,'1',2,102,2,24),(15,2028638,'1',3,216,1,1),(15,2028760,'1',3,201,1,35),(15,2028808,'1',3,103,2,41),(15,2028824,'1',3,310,1,17),(15,2029065,'1',3,102,2,78),(15,2029120,'1',3,304,2,51),(15,2029154,'1',3,318,1,13),(15,2029189,'1',3,501,2,57),(15,2029200,'1',3,303,2,43),(15,2029308,'1',3,5,2,34),(15,2029332,'1',3,102,2,55),(15,2029340,'1',3,102,2,50),(15,2029448,'1',3,301,2,44),(15,2029502,'1',3,304,2,43),(15,2029537,'1A',3,211,2,45),(15,2029596,'1',3,309,1,1),(15,2029618,'1',1,301,1,2),(15,2029731,'1',3,102,1,18),(15,2030144,'1',3,103,1,5),(15,2030276,'1',3,103,1,12),(15,2030314,'1A',3,202,2,52),(15,2030322,'1',3,203,2,50),(15,2030349,'1',3,320,2,20),(15,2030357,'1',3,216,1,16),(15,2030586,'1',3,102,2,86),(15,2030616,'1',3,318,2,57),(15,2030721,'1',3,108,1,14),(15,2030730,'1',3,208,1,21),(15,2030772,'1',3,215,2,21),(15,2030810,'1',3,5,1,7),(15,2030829,'1A',3,214,2,27),(15,2030861,'1A',3,213,1,8),(15,2030918,'1',3,429,2,14),(15,2030942,'1',3,2,1,34),(15,2031124,'1',3,502,1,21),(15,2031140,'1',3,102,2,74),(15,2031167,'1A',3,202,1,33),(15,2031191,'1',1,339,1,2),(15,2031337,'1',3,202,2,67),(15,2031400,'1',2,420,2,9),(15,2031418,'1',3,104,2,40),(15,2031442,'1',2,202,1,10),(15,2031566,'1',3,404,2,32),(15,2031728,'1',2,501,2,10),(15,2031752,'1',1,207,1,2),(15,2032040,'1',3,5,1,21),(15,2032104,'1',3,223,1,41),(15,2032180,'1',3,318,2,63),(15,2032520,'1',2,211,1,8),(15,2032627,'1',3,317,1,17),(15,2032724,'2',1,234,1,1),(15,2032872,'1',1,208,2,8),(15,2032910,'1',3,318,2,36),(15,2033062,'1',3,103,2,44),(15,2033100,'1',3,302,1,11),(15,2033208,'1',3,339,1,1),(15,2033216,'2',1,108,2,6),(15,2033224,'1',3,234,2,38),(15,2033291,'1',3,427,1,16),(15,2033372,'1',1,319,2,6),(15,2033461,'1',3,420,1,11),(15,2033640,'1A',2,220,2,9),(15,2033828,'1',3,428,1,29),(15,2033950,'1',3,203,1,6),(15,2034042,'1',3,415,1,19),(15,2034069,'1A',2,216,2,9),(15,2034077,'1',3,308,1,21),(15,2034093,'1',2,415,2,10),(15,2034131,'1',3,202,1,6),(15,2034360,'1',3,5,1,8),(15,2034379,'1',3,328,1,15),(15,2034387,'1',2,451,1,5),(15,2034425,'1A',3,429,2,20),(15,2034557,'1A',3,212,2,22),(15,2034573,'1',3,225,1,13),(15,2034638,'1',3,238,1,16),(15,2034662,'1',3,2,1,23),(15,2034883,'1',2,302,2,14),(15,2034999,'1',3,103,1,16),(15,2035022,'1',2,104,1,4),(15,2035049,'1',3,103,1,31),(15,2035073,'1',3,9,1,11),(15,2035146,'1',3,225,1,3),(15,2035278,'1',3,424,1,22),(15,2035367,'1',3,429,2,17),(15,2035375,'1',2,201,1,2),(15,2035405,'1',3,223,1,51),(15,2035529,'1',3,428,2,50),(15,2035650,'1A',3,208,2,60),(15,2035693,'1',3,225,1,44),(15,2035740,'1',3,308,1,8),(15,2035766,'1',3,502,2,33),(15,2035944,'1',3,309,1,3),(15,2035960,'1',3,102,1,30),(15,2036169,'1',3,326,1,25),(15,2036339,'1',3,224,2,8),(15,2036371,'1',3,203,2,66),(15,2036428,'1',2,208,2,19),(15,2036479,'1',1,332,2,2),(15,2036525,'1',3,220,1,19),(15,2036738,'1',3,215,2,27),(15,2036835,'1',3,304,1,2),(15,2037033,'1',3,217,1,12),(15,2037050,'1',2,9,1,1),(15,2037114,'1',3,223,1,12),(15,2037424,'1',2,501,2,14),(15,2037467,'1',3,211,2,29),(15,2037556,'1',2,303,2,16),(15,2037629,'1',2,102,2,13),(15,2037661,'1',2,318,1,9),(15,2037718,'1',2,331,1,5),(15,2037777,'1',3,104,2,60),(15,2037815,'1',3,324,1,15),(15,2037980,'1',3,2,1,2),(15,2038056,'1',3,301,1,23),(15,2038145,'1',3,450,1,3),(15,2038196,'1',2,420,2,7),(15,2038226,'1',2,303,1,8),(15,2038285,'1',3,5,1,6),(15,2038315,'1',3,428,1,30),(15,2038331,'1',3,108,1,9),(15,2038340,'1',2,102,2,19),(15,2038420,'1',3,212,1,13),(15,2038501,'1',3,309,1,8),(15,2038552,'1',2,302,2,11),(15,2038595,'1A',3,208,1,14),(15,2038692,'1A',3,201,2,42),(15,2038714,'1',3,317,1,16),(15,2038765,'1',3,211,2,35),(15,2038862,'1',3,502,1,13),(15,2038951,'1',3,104,2,56),(15,2039125,'1',3,404,2,40),(15,2039257,'1',3,202,2,63),(15,2039290,'1',3,501,2,66),(15,2039303,'1',3,304,2,44),(15,2039311,'1',3,302,2,35),(15,2039370,'1',3,208,2,67),(15,2039389,'1',3,211,2,41),(15,2039427,'1A',3,202,1,20),(15,2039605,'1',3,301,1,9),(15,2039648,'1',3,102,1,21),(15,2039826,'1',3,225,1,11),(15,2039842,'1',3,102,1,24),(15,2039877,'1',3,316,2,37),(15,2039893,'1',3,213,1,1),(15,2039958,'1',3,220,1,3),(15,2040026,'1A',3,201,2,43),(15,2040050,'1',3,404,2,37),(15,2040077,'1',3,102,2,51),(15,2040255,'1',3,234,2,25),(15,2040263,'1',3,102,2,85),(15,2040271,'1',3,5,2,40),(15,2040417,'1A',2,214,1,4),(15,2040433,'1A',3,208,1,9),(15,2040506,'1A',3,207,2,32),(15,2040743,'1',1,217,1,2),(15,2040778,'1',3,427,1,1),(15,2040930,'1',3,207,1,17),(15,2041014,'1',3,303,1,19),(15,2041111,'1',3,501,2,51),(15,2041120,'1',3,339,2,23),(15,2041324,'1',3,426,2,14),(15,2041375,'1A',3,201,1,13),(15,2041391,'1',3,444,1,11),(15,2041472,'1',3,303,2,48),(15,2041600,'1',3,104,1,25),(15,2041685,'1',2,444,2,7),(15,2041707,'1',2,318,1,7),(15,2041723,'1',3,415,2,23),(15,2041871,'1',3,220,1,18),(15,2041936,'1',2,5,1,3),(15,2042070,'1',2,423,1,3),(15,2042118,'1',3,238,1,30),(15,2042126,'1',3,317,1,10),(15,2042223,'1',3,326,1,19),(15,2042274,'1',3,324,1,26),(15,2042290,'1',3,450,1,12),(15,2042592,'1',2,425,1,8),(15,2042673,'1',3,225,1,27),(15,2042690,'1',2,450,1,3),(15,2042800,'1',2,2,1,6),(15,2042860,'1',3,420,1,5),(15,2042878,'1',3,102,2,71),(15,2042940,'1',3,339,2,28),(15,2043092,'1',3,316,2,60),(15,2043203,'1',2,215,1,1),(15,2043246,'1',3,308,2,38),(15,2043351,'1',3,324,1,1),(15,2043408,'2',1,102,2,8),(15,2043475,'1',2,316,2,16),(15,2043645,'1',3,102,1,22),(15,2043742,'1A',3,215,1,9),(15,2043750,'1',2,214,2,8),(15,2043793,'1',3,220,1,13),(15,2043831,'1',3,103,2,45),(15,2043882,'1',3,415,1,5),(15,2044102,'1',3,301,2,34),(15,2044153,'1',3,207,2,38),(15,2044196,'1',2,223,1,1),(15,2044463,'1',2,234,1,2),(15,2044498,'1',3,217,1,15),(15,2044587,'1',3,319,1,15),(15,2044633,'1',3,104,1,1),(15,2044650,'1',3,316,2,57),(15,2044811,'1',3,317,1,18),(15,2044846,'1',1,238,2,6),(15,2044951,'1',3,329,1,6),(15,2045028,'1',3,212,2,25),(15,2045141,'1',1,220,1,3),(15,2045257,'1',3,102,1,9),(15,2045362,'1',1,220,1,1),(15,2045427,'1A',3,215,2,14),(15,2045443,'1',1,415,2,4),(15,2045486,'1',3,429,2,8),(15,2045630,'1',3,302,2,33),(15,2045940,'1',3,238,2,56),(15,2046091,'1',3,310,1,4),(15,2046105,'1',1,103,1,1),(15,2046172,'1',3,217,1,19),(15,2046229,'1',3,303,1,2),(15,2046237,'1',3,303,1,18),(15,2046261,'1',3,316,1,26),(15,2046318,'1',3,217,1,24),(15,2046393,'1',3,316,2,49),(15,2046423,'1',3,502,2,28),(15,2046458,'1',3,225,1,2),(15,2046628,'1',3,308,2,40),(15,2046660,'1',2,5,1,6),(15,2046679,'1',3,308,1,6),(15,2046806,'1',3,217,1,3),(15,2046962,'1',2,327,2,1),(15,2046970,'1',1,101,2,7),(15,2047128,'1',3,320,2,17),(15,2047136,'1',3,5,1,28),(15,2047144,'1',2,203,1,8),(15,2047160,'1A',3,238,2,55),(15,2047500,'1',3,302,2,31),(15,2047578,'1',2,501,1,9),(15,2047624,'1',3,207,1,27),(15,2047837,'1',3,234,2,28),(15,2047853,'1',3,202,2,65),(15,2047942,'1',3,104,2,44),(15,2048027,'1',3,104,2,43),(15,2048051,'1A',3,208,2,41),(15,2048116,'1',2,450,1,4),(15,2048205,'1',3,203,2,41),(15,2048213,'1',3,420,1,1),(15,2048248,'1',3,202,1,24),(15,2048302,'1',3,203,2,61),(15,2048345,'1',3,222,1,1),(15,2048477,'1',3,501,1,1),(15,2048523,'1',3,326,1,10),(15,2048582,'1',3,238,2,60),(15,2048647,'1',3,201,1,9),(15,2048710,'1',2,319,2,14),(15,2048736,'1',3,333,1,3),(15,2048957,'1',2,103,1,3),(15,2049015,'1',3,303,2,31),(15,2049066,'1',2,324,2,9),(15,2049090,'1A',3,233,2,28),(15,2049147,'1',3,317,1,14),(15,2049201,'1',3,208,1,34),(15,2049236,'1',3,208,1,30),(15,2049325,'1',2,216,1,3),(15,2049341,'1',3,319,1,4),(15,2049392,'1',3,331,1,5),(15,2049570,'1',3,319,2,42),(15,2049740,'1',2,203,2,11),(15,2049791,'1',3,203,1,22),(15,2049880,'1',3,320,2,27),(15,2049953,'1',3,304,2,41),(15,2049970,'1',3,203,2,62),(15,2050021,'1',3,451,1,1),(15,2050080,'1',3,212,1,1),(15,2050110,'1',3,102,2,84),(15,2050196,'1',3,238,2,40),(15,2050242,'1',3,207,2,54),(15,2050455,'1',3,203,1,23),(15,2050480,'1',3,415,2,38),(15,2050544,'1',3,316,1,23),(15,2050641,'1',3,420,2,33),(15,2050790,'1',3,203,1,28),(15,2050838,'1',3,319,1,1),(15,2050960,'1',2,103,2,19),(15,2051095,'1',1,211,2,5),(15,2051206,'1',3,302,1,13),(15,2051249,'1',3,203,2,52),(15,2051273,'1',3,301,1,6),(15,2051338,'1',3,308,2,52),(15,2051486,'1',3,223,1,26),(15,2051532,'1',3,224,2,13),(15,2051591,'1',2,428,2,14),(15,2051605,'1',3,339,2,33),(15,2051621,'1',3,428,1,2),(15,2051761,'1',1,203,1,1),(15,2051885,'1',3,5,2,48),(15,2051893,'1',2,104,2,13),(15,2051940,'1',3,428,1,23),(15,2051990,'1',2,225,1,10),(15,2052059,'1',3,203,1,11),(15,2052067,'1',2,404,2,8),(15,2052148,'1',2,238,2,12),(15,2052164,'1',3,303,1,27),(15,2052199,'1',3,207,1,12),(15,2052253,'1',3,207,2,29),(15,2052288,'1',3,316,1,27),(15,2052296,'1',3,501,1,12),(15,2052466,'1',3,319,1,2),(15,2052547,'1',3,203,1,33),(15,2052601,'1',3,202,1,11),(15,2052652,'1',3,238,1,8),(15,2052717,'1',3,203,2,70),(15,2052750,'1',1,2,1,1),(15,2052784,'1',3,211,1,17),(15,2052830,'1A',3,202,1,16),(15,2052865,'1A',3,215,2,17),(15,2052962,'1',3,233,1,1),(15,2052989,'1',2,318,2,12),(15,2053020,'1',3,201,2,52),(15,2053110,'1',3,102,1,26),(15,2053179,'1',3,101,2,38),(15,2053209,'1',3,319,1,22),(15,2053250,'1',2,201,1,1),(15,2053411,'1',3,5,1,27),(15,2053420,'1A',3,201,2,60),(15,2053489,'1',3,420,2,30),(15,2053535,'1',3,211,1,2),(15,2053624,'1',2,304,1,2),(15,2053837,'1',3,214,2,30),(15,2053896,'1',2,217,2,13),(15,2053977,'1',3,103,1,3),(15,2054000,'1',3,225,1,22),(15,2054213,'1',3,301,2,38),(15,2054256,'1',2,2,1,4),(15,2054353,'1',2,104,1,6),(15,2054442,'1A',3,233,1,21),(15,2054450,'1',2,428,2,10),(15,2054540,'1',2,102,1,9),(15,2054620,'1A',3,201,2,55),(15,2054701,'1',3,103,2,43),(15,2054728,'1',3,202,2,37),(15,2054752,'1',3,303,2,36),(15,2054884,'1',3,220,2,29),(15,2054957,'1',3,203,1,14),(15,2054981,'1A',2,220,2,11),(15,2055015,'1',3,339,1,20),(15,2055090,'1',3,223,1,50),(15,2055112,'1',3,502,2,43),(15,2055201,'1',3,234,2,31),(15,2055481,'1',3,324,2,51),(15,2055490,'1',2,238,1,5),(15,2055546,'1',3,217,2,36),(15,2055597,'1',3,103,1,1),(15,2055619,'1',3,420,1,9),(15,2055643,'1',2,238,1,2),(15,2055660,'1',3,319,1,7),(15,2055708,'1',3,104,2,63),(15,2055775,'1',3,217,2,40),(15,2055872,'1',3,2,1,11),(15,2055929,'1',3,5,2,42),(15,2055937,'1',3,420,2,35),(15,2055996,'1A',3,233,1,13),(15,2056135,'1',3,303,1,24),(15,2056143,'1',1,208,1,1),(15,2056224,'1',3,201,1,1),(15,2056275,'1',3,501,1,8),(15,2056291,'1A',3,201,2,49),(15,2056321,'1A',3,208,2,65),(15,2056410,'1',3,327,2,28),(15,2056488,'1A',3,233,2,24),(15,2056682,'1',3,404,1,7),(15,2056690,'1',3,302,2,55),(15,2056763,'1',3,2,1,10),(15,2056801,'1',3,333,1,13),(15,2056852,'1',3,238,1,9),(15,2056950,'1',3,327,2,30),(15,2057018,'1',3,303,2,46),(15,2057123,'1A',3,233,1,19),(15,2057166,'1',3,425,1,24),(15,2057247,'1',3,328,1,12),(15,2057255,'1',3,420,2,27),(15,2057298,'1',3,233,1,9),(15,2057352,'1',2,501,2,11),(15,2057441,'1A',3,207,2,45),(15,2057611,'1',3,302,1,21),(15,2057638,'1',3,207,1,10),(15,2057727,'1',3,104,1,3),(15,2057786,'1',2,426,2,4),(15,2057905,'1',3,301,1,30),(15,2057948,'1A',3,212,1,3),(15,2057999,'1',3,104,1,29),(15,2058073,'1',3,318,1,4),(15,2058170,'1',3,331,1,25),(15,2058227,'1',3,104,2,61),(15,2058235,'1',2,102,1,6),(15,2058251,'1',3,102,2,70),(15,2058260,'1',3,203,2,40),(15,2058405,'1A',3,201,1,30),(15,2058464,'1',3,317,2,57),(15,2058642,'1',3,203,1,37),(15,2058693,'1',3,319,1,13),(15,2058723,'1',3,9,1,26),(15,2058740,'1',1,238,2,10),(15,2058790,'1',3,2,1,15),(15,2058880,'1',3,420,2,36),(15,2058936,'1A',3,208,1,17),(15,2059002,'1',3,104,2,41),(15,2059045,'1',3,302,2,32),(15,2059096,'1',3,215,1,8),(15,2059207,'1',3,5,2,46),(15,2059215,'1',3,424,1,24),(15,2059266,'1',3,220,1,4),(15,2059282,'1',3,103,2,62),(15,2059320,'1',3,102,1,20),(15,2059339,'1',3,216,1,11),(15,2059550,'1',3,203,2,57),(15,2059606,'1',3,203,1,36),(15,2059630,'1',3,9,1,27),(15,2059657,'1',3,303,2,29),(15,2059789,'1',3,207,2,49),(15,2059797,'1',3,308,1,14),(15,2059835,'1A',3,233,2,42),(15,2059851,'1',3,301,1,17),(15,2059878,'1',3,208,1,26),(15,2059916,'1',3,103,1,15),(15,2060019,'1',2,324,1,5),(15,2060027,'1',1,216,1,1),(15,2060043,'1A',3,215,1,4),(15,2060116,'1',3,308,1,10),(15,2060124,'1',3,201,2,69),(15,2060191,'2',1,102,1,3),(15,2060361,'1',3,502,1,6),(15,2060396,'1',3,203,2,51),(15,2060493,'1',3,327,2,29),(15,2060590,'1',3,108,2,35),(15,2060612,'1',3,5,2,32),(15,2060639,'1',3,317,2,53),(15,2060663,'1',3,103,1,8),(15,2060680,'1',3,102,2,48),(15,2060884,'1',3,102,2,60),(15,2060892,'1',3,238,1,4),(15,2060949,'1',3,202,2,70),(15,2060981,'1',3,301,1,19),(15,2061082,'1',3,102,1,23),(15,2061201,'1',2,301,1,4),(15,2061252,'1',3,102,2,63),(15,2061317,'1A',3,214,1,15),(15,2061392,'1',3,222,1,21),(15,2061465,'1',2,426,2,5),(15,2061473,'1',3,5,1,16),(15,2061481,'1',3,501,1,28),(15,2061520,'1',2,207,1,7),(15,2061589,'1',2,425,1,5),(15,2061732,'1',2,424,1,4),(15,2061813,'1',3,304,1,27),(15,2061902,'1',3,222,1,3),(15,2061910,'1A',3,211,2,43),(15,2062020,'1',2,202,1,5),(15,2062046,'1',3,103,2,53),(15,2062208,'1',3,223,1,38),(15,2062216,'1',3,309,2,37),(15,2062429,'1',3,317,1,21),(15,2062500,'1',3,308,1,4),(15,2062607,'1',3,301,1,12),(15,2062747,'1',3,424,1,17),(15,2062763,'1A',3,201,1,19),(15,2062780,'1',3,424,1,12),(15,2062828,'1',3,444,2,30),(15,2063085,'1A',3,212,1,11),(15,2063107,'1',2,203,1,5),(15,2063131,'1',3,238,2,52),(15,2063255,'1',3,238,2,38),(15,2063310,'1',3,444,2,40),(15,2063379,'1',3,217,1,10),(15,2063450,'1',3,103,1,6),(15,2063492,'1',3,5,2,39),(15,2063549,'1',3,101,1,21),(15,2063751,'1',3,102,1,17),(15,2063760,'1',3,502,1,22),(15,2063824,'1A',3,202,1,32),(15,2063859,'1',3,316,1,29),(15,2063972,'1',3,2,1,8),(15,2064278,'1',3,202,2,59),(15,2064294,'1A',3,421,1,23),(15,2064308,'1',3,333,1,11),(15,2064413,'1',3,304,1,15),(15,2064421,'1',3,501,2,47),(15,2064561,'1',2,304,1,5),(15,2064600,'1',3,319,2,43),(15,2064677,'1',3,223,1,8),(15,2064839,'1',3,319,2,30),(15,2065010,'1',3,102,1,2),(15,2065134,'1',3,308,2,50),(15,2065185,'1',1,103,2,9),(15,2065290,'1',3,420,1,13),(15,2065444,'1',1,234,2,3),(15,2065479,'1',2,103,1,1),(15,2065495,'1A',3,214,1,12),(15,2065576,'1',3,425,1,9),(15,2065584,'1',3,316,1,3),(15,2065665,'1',3,304,1,25),(15,2065789,'1',3,316,1,9),(15,2066084,'1',2,202,1,3),(15,2066106,'1',3,302,1,24),(15,2066122,'1',3,327,2,6),(15,2066300,'1',2,308,2,17),(15,2066327,'1',3,310,1,12),(15,2066360,'1',3,426,2,3),(15,2066483,'1',3,423,1,5),(15,2066513,'1',3,234,2,26),(15,2066718,'1',3,216,2,28),(15,2066769,'1',3,426,2,23),(15,2066815,'1',3,233,1,12),(15,2066882,'1',3,302,2,56),(15,2066955,'1',1,201,1,4),(15,2067102,'1',3,5,2,31),(15,2067137,'1',3,5,1,18),(15,2067200,'1',3,101,1,18),(15,2067340,'1',3,108,1,6),(15,2067366,'1',3,103,1,10),(15,2067510,'1',3,212,1,15),(15,2067544,'1A',3,202,2,62),(15,2067560,'1',1,202,2,5),(15,2067684,'1',2,501,2,17),(15,2067927,'1',3,211,1,16),(15,2067951,'1',2,428,1,6),(15,2068001,'1',3,301,2,52),(15,2068028,'1A',3,238,1,22),(15,2068079,'1',3,214,1,2),(15,2068214,'1',3,327,2,8),(15,2068249,'1',3,5,2,50),(15,2068389,'1',3,327,2,31),(15,2068508,'1A',3,238,1,2),(15,2068540,'1',3,203,1,10),(15,2068745,'1',2,444,1,5),(15,2068770,'1',3,502,2,38),(15,2069059,'1',3,216,2,20),(15,2069067,'1',3,451,1,11),(15,2069075,'1',3,324,1,14),(15,2069083,'1',3,213,2,15),(15,2069130,'1A',3,427,1,6),(15,2069148,'1',3,211,1,25),(15,2069210,'1',3,211,2,34),(15,2069229,'1',3,326,1,8),(15,2069300,'1',3,303,2,50),(15,2069431,'1',3,201,2,68),(15,2069512,'1',1,211,1,3),(15,2069520,'1',3,308,1,20),(15,2069547,'2',1,329,1,4),(15,2069571,'1',3,415,1,18),(15,2069598,'1',3,102,1,35),(15,2069814,'1',2,501,1,2),(15,2069873,'1',3,326,1,20),(15,2069997,'1',3,202,1,10),(15,2070057,'1A',3,233,2,38),(15,2070197,'1',3,220,1,15),(15,2070235,'1',3,212,1,12),(15,2070391,'1',3,303,2,45),(15,2070405,'1',3,421,1,3),(15,2070448,'1',3,327,2,20),(15,2070464,'1',3,502,1,12),(15,2070561,'1',3,223,1,27),(15,2070782,'1',1,103,2,7),(15,2070812,'1',3,220,2,36),(15,2070839,'1',2,420,1,2),(15,2070855,'1',3,332,2,12),(15,2070871,'1',3,303,1,10),(15,2070880,'1',3,207,1,28),(15,2070944,'1',3,201,1,25),(15,2071029,'1',3,202,2,72),(15,2071240,'1',1,316,1,4),(15,2071479,'1',2,201,2,14),(15,2071533,'1',3,5,1,20),(15,2071622,'1',1,213,1,2),(15,2071770,'1',3,102,1,42),(15,2071800,'1',3,502,1,8),(15,2071843,'1',3,101,2,27),(15,2071932,'1',2,428,1,3),(15,2071983,'1',1,501,1,1),(15,2071991,'1',2,415,1,2),(15,2072033,'1',2,451,1,6),(15,2072165,'1',2,217,1,4),(15,2072343,'1',3,222,1,17),(15,2072483,'1',3,415,2,41),(15,2072491,'1',3,9,1,25),(15,2072521,'1',3,502,2,35),(15,2072629,'1',3,324,1,8),(15,2072807,'1',3,324,1,25),(15,2072939,'1',2,329,1,6),(15,2072955,'1',1,104,2,9),(15,2073005,'1',3,331,1,4),(15,2073064,'1',3,316,1,16),(15,2073277,'1',2,208,1,5),(15,2073439,'1',3,339,1,11),(15,2073552,'1',3,310,1,20),(15,2073609,'1',1,5,1,4),(15,2073633,'1A',2,424,1,7),(15,2073889,'1',3,333,1,10),(15,2073900,'1',3,318,1,25),(15,2073935,'1',3,339,2,36),(15,2074087,'1',2,225,1,3),(15,2074095,'1',2,304,2,10),(15,2074265,'1',3,9,1,10),(15,2074311,'1A',3,208,2,56),(15,2074362,'1A',3,212,2,24),(15,2074400,'1A',3,427,1,20),(15,2074486,'1',2,201,2,16),(15,2074559,'1',3,308,1,7),(15,2074583,'1',3,234,2,43),(15,2074605,'1',3,217,1,7),(15,2074613,'1',3,429,2,26),(15,2074680,'1',2,203,2,17),(15,2074737,'1',2,224,2,6),(15,2074834,'1A',3,215,1,6),(15,2074931,'1',3,224,2,6),(15,2074940,'1',3,101,2,28),(15,2074958,'1',3,426,2,25),(15,2075016,'1',3,223,1,18),(15,2075148,'1',3,203,2,76),(15,2075172,'1',3,316,1,18),(15,2075288,'1A',3,233,2,36),(15,2075296,'1',3,203,2,73),(15,2075393,'1',3,5,1,13),(15,2075490,'1',3,215,2,31),(15,2075563,'1',3,427,1,5),(15,2075601,'1',3,415,1,15),(15,2075679,'1A',2,233,1,6),(15,2075725,'1',3,215,2,24),(15,2075865,'1',3,101,2,29),(15,2075873,'1',3,238,2,49),(15,2075962,'1',1,217,2,5),(15,2076004,'1',3,234,2,39),(15,2076020,'1',1,326,1,2),(15,2076209,'1',1,216,2,4),(15,2076241,'1',3,428,2,51),(15,2076322,'1',3,318,2,47),(15,2076330,'1',3,424,1,31),(15,2076403,'1',2,301,1,9),(15,2076519,'1',3,301,1,25),(15,2076560,'1',3,211,1,7),(15,2076608,'1',2,318,1,2),(15,2076829,'1',3,333,1,2),(15,2076934,'1',3,308,1,29),(15,2077086,'1',3,104,1,8),(15,2077205,'1',2,424,1,8),(15,2077329,'1',3,332,2,27),(15,2077337,'1',1,316,1,5),(15,2077396,'1',3,108,1,15),(15,2077434,'1',3,426,2,15),(15,2077930,'1',3,324,1,18),(15,2078007,'1',2,429,2,8),(15,2078066,'1',3,217,1,23),(15,2078155,'1A',3,212,2,18),(15,2078198,'1',3,425,1,25),(15,2078325,'1',1,104,1,4),(15,2078465,'1',3,203,1,21),(15,2078490,'1',3,207,2,53),(15,2078538,'1',3,203,1,7),(15,2078546,'1',3,108,2,41),(15,2078619,'1',3,303,1,1),(15,2078791,'1',2,103,1,6),(15,2078856,'1',3,104,1,19),(15,2079178,'1',3,234,2,42),(15,2079186,'1',3,104,2,32),(15,2079194,'1',2,302,2,13),(15,2079453,'1',3,108,2,22),(15,2079496,'1',3,317,2,32),(15,2079500,'1A',3,202,1,23),(15,2079526,'1A',2,428,1,8),(15,2079542,'1',3,319,1,27),(15,2079640,'1',3,303,2,32),(15,2079844,'1',3,316,1,20),(15,2079909,'1',3,318,1,15),(15,2079925,'1',3,304,1,31),(15,2079941,'1',2,233,1,1),(15,2080176,'1',3,213,1,2),(15,2080389,'1',3,404,2,28),(15,2080397,'1',3,104,1,22),(15,2080583,'1',3,319,1,20),(15,2080605,'1',3,316,2,32),(15,2080672,'1',2,424,1,2),(15,2080834,'1',3,224,2,7),(15,2080850,'1',3,319,2,39),(15,2080907,'1',3,425,1,11),(15,2080966,'1',3,319,2,29),(15,2080974,'1',3,308,1,3),(15,2081067,'1',1,208,2,9),(15,2081091,'1',3,217,2,34),(15,2081156,'1',2,222,1,1),(15,2081180,'1',2,217,1,6),(15,2081199,'1A',3,421,1,15),(15,2081210,'1',3,427,1,21),(15,2081261,'1',1,318,2,9),(15,2081490,'1',1,301,2,8),(15,2081520,'1',3,238,2,67),(15,2081709,'1',3,216,1,5),(15,2081890,'1',3,429,2,25),(15,2081911,'1',2,217,2,14),(15,2081997,'1',2,225,1,6),(15,2082080,'1',2,332,2,4),(15,2082683,'1',2,420,1,3),(15,2082810,'1',3,9,1,3),(15,2082829,'1',3,102,1,31),(15,2082845,'1',3,450,1,10),(15,2082870,'1',3,2,1,19),(15,2082918,'1',1,319,1,1),(15,2082934,'1',2,317,1,1),(15,2082969,'1',3,101,2,30),(15,2083000,'1',3,428,1,24),(15,2083116,'1',3,304,2,35),(15,2083132,'1',3,203,2,47),(15,2083523,'1',3,215,2,25),(15,2083620,'1',3,301,2,49),(15,2083698,'1',3,415,2,40),(15,2083850,'1',2,303,2,14),(15,2083990,'1',3,318,2,34),(15,2084007,'1',3,201,2,37),(15,2084074,'1',3,428,2,49),(15,2084104,'1A',3,201,2,58),(15,2084163,'1A',3,202,1,35),(15,2084295,'1',3,301,1,22),(15,2084341,'1',3,104,2,34),(15,2084449,'1',3,324,1,24),(15,2084481,'1',3,327,2,23),(15,2084732,'1',3,5,1,10),(15,2084848,'1',2,423,1,8),(15,2084872,'1',2,301,2,18),(15,2085020,'1',3,101,1,14),(15,2085070,'1',3,317,2,47),(15,2085275,'1',3,201,1,27),(15,2085410,'1',2,304,1,7),(15,2085500,'1',3,451,1,3),(15,2085658,'1',3,319,1,12),(15,2085674,'1',3,225,1,48),(15,2085690,'1',3,213,1,13),(15,2085704,'1',3,233,2,25),(15,2085763,'1',3,220,1,12),(15,2085780,'1',3,222,1,13),(15,2085828,'1',1,103,1,3),(15,2085879,'1',3,303,1,25),(15,2085976,'1',3,331,1,24),(15,2085984,'1',3,102,1,15),(15,2086050,'1',3,404,1,15),(15,2086069,'1',3,9,1,24),(15,2086123,'1',3,2,1,4),(15,2086212,'1',3,328,1,11),(15,2086310,'1',2,318,1,4),(15,2086484,'2',1,201,2,7),(15,2086638,'1',3,207,2,40),(15,2086964,'1',1,319,1,4),(15,2087022,'1',3,444,2,38),(15,2087170,'1',3,502,2,44),(15,2087197,'1',3,207,2,42),(15,2087200,'1',3,203,1,34),(15,2087235,'1',3,9,1,15),(15,2087294,'1',3,208,2,50),(15,2087316,'1',3,301,2,61),(15,2087383,'1',2,304,1,4),(15,2087588,'1',3,318,1,28),(15,2087723,'1',3,101,1,1),(15,2087731,'1',3,501,1,17),(15,2087812,'1A',3,201,2,65),(15,2087944,'1',2,501,2,18),(15,2087995,'1',3,207,1,19),(15,2088134,'1',3,9,1,19),(15,2088223,'1',3,404,2,39),(15,2088347,'1',3,404,1,6),(15,2088355,'1',3,304,1,5),(15,2088436,'1',3,502,1,3),(15,2088452,'1',3,302,2,53),(15,2088460,'1',3,309,2,35),(15,2088509,'1',2,202,2,12),(15,2088550,'1',3,450,1,4),(15,2088576,'1',3,108,1,5),(15,2088681,'1',3,102,1,37),(15,2088703,'1',2,302,2,15),(15,2088851,'1',3,108,2,36),(15,2089092,'1',2,309,1,6),(15,2089149,'1',3,207,1,14),(15,2089475,'1',3,225,1,35),(15,2089491,'1',3,238,1,20),(15,2089548,'1',1,215,2,3),(15,2089572,'1',3,203,1,25),(15,2089602,'1',3,208,2,69),(15,2089700,'1',2,502,1,5),(15,2089726,'1',3,217,2,29),(15,2089823,'1',2,203,1,10),(15,2089882,'1',3,426,2,12),(15,2089963,'1',3,223,1,3),(15,2090015,'1',3,329,1,8),(15,2090082,'1',2,217,1,8),(15,2090260,'1',3,104,1,13),(15,2090520,'1',3,217,1,4),(15,2090589,'1',2,102,2,18),(15,2090619,'1',2,427,1,6),(15,2090660,'1',1,238,2,9),(15,2090864,'1',2,208,2,17),(15,2090902,'1',1,421,1,2),(15,2090929,'1',2,104,1,1),(15,2090945,'1',3,308,1,17),(15,2091100,'1',3,421,1,17),(15,2091127,'1',3,103,2,59),(15,2091135,'1',3,5,1,1),(15,2091186,'1A',2,211,2,10),(15,2091194,'1',3,103,1,14),(15,2091208,'1',3,201,2,64),(15,2091275,'1',3,308,2,55),(15,2091488,'1',3,501,1,30),(15,2091542,'1',3,301,2,33),(15,2091577,'1',3,501,1,32),(15,2091674,'1',2,9,1,4),(15,2091720,'1',3,225,1,38),(15,2091747,'1',3,502,1,5),(15,2091771,'1',3,415,1,2),(15,2091828,'1',3,225,1,30),(15,2092050,'1',3,211,2,39),(15,2092077,'1',3,5,2,43),(15,2092140,'1',3,102,2,76),(15,2092166,'1',3,203,2,48),(15,2092174,'1',2,421,1,6),(15,2092360,'1',3,316,2,53),(15,2092468,'1',1,501,2,3),(15,2092476,'1',3,201,2,66),(15,2092662,'1',1,326,1,1),(15,2092743,'1',3,220,1,10),(15,2092867,'1A',2,428,2,12),(15,2092905,'1',2,201,2,18),(15,2093022,'1',2,427,1,2),(15,2093049,'1',3,9,1,18),(15,2093146,'1',3,103,2,66),(15,2093200,'1',3,233,1,23),(15,2093243,'1',3,2,1,31),(15,2093260,'1',3,302,2,59),(15,2093308,'1',3,327,2,13),(15,2093359,'1',3,426,2,19),(15,2093634,'1',2,301,2,16),(15,2093758,'1',3,301,2,53),(15,2093782,'1',3,450,1,8),(15,2093812,'1',3,103,2,42),(15,2094037,'1',3,428,1,3),(15,2094061,'1',2,423,1,1),(15,2094126,'1A',2,423,1,6),(15,2094142,'1',3,214,1,11),(15,2094150,'1',3,324,2,48),(15,2094339,'1',3,317,1,26),(15,2094584,'1',3,304,1,3),(15,2094673,'1',3,101,2,36),(15,2094835,'1',3,101,1,20),(15,2094851,'1',1,223,1,1),(15,2094991,'1',3,501,2,59),(15,2095157,'1',1,319,1,3),(15,2095211,'1',3,217,1,9),(15,2095343,'1A',1,220,2,5),(15,2095491,'1',2,328,1,4),(15,2095556,'1',3,429,2,3),(15,2095742,'1',3,222,1,11),(15,2095866,'1',1,103,2,8),(15,2095882,'1',3,303,1,14),(15,2095980,'1',3,302,1,12),(15,2095998,'1',3,102,1,36),(15,2096129,'1',3,103,1,24),(15,2096552,'1A',3,233,1,17),(15,2096617,'1',2,223,1,8),(15,2096706,'1',3,201,2,67),(15,2096722,'1',3,233,1,4),(15,2096730,'1A',3,208,1,15),(15,2096811,'1',1,104,1,2),(15,2097079,'1',3,238,2,36),(15,2097273,'1',3,501,1,14),(15,2097311,'1A',2,212,2,5),(15,2097435,'1',3,324,1,23),(15,2097486,'1A',3,202,1,28),(15,2097540,'1',3,217,1,21),(15,2097559,'1',3,327,2,18),(15,2097583,'1',3,319,1,23),(15,2097591,'1',1,404,1,3),(15,2097621,'1',3,404,1,20),(15,2097770,'1',3,339,2,22),(15,2097796,'1',1,102,2,7),(15,2097990,'1',3,424,1,18),(15,2098067,'1',1,502,1,2),(15,2098148,'1',3,429,2,9),(15,2098237,'1',3,217,1,26),(15,2098393,'1',3,319,1,3),(15,2098571,'1',3,502,2,23),(15,2098636,'1',2,444,2,9),(15,2098695,'1',3,308,2,60),(15,2098725,'1',3,420,1,12),(15,2098873,'1',3,404,1,18),(15,2099187,'1',2,332,2,6),(15,2099322,'1',3,202,1,13),(15,2099519,'1',3,220,2,33),(15,2099535,'1',3,428,1,18),(15,2099691,'1',1,216,1,2),(15,2099748,'1',3,302,1,26),(15,2099756,'1A',2,201,2,20),(15,2099918,'1',3,501,2,52),(15,2100169,'1',3,108,1,21),(15,2100231,'1',3,304,2,37),(15,2100240,'1A',3,213,2,23),(15,2100452,'1',3,404,1,14),(15,2100479,'1',3,424,1,16),(15,2100525,'1',3,444,1,16),(15,2100630,'1',3,318,2,46),(15,2100657,'1',2,444,2,11),(15,2100690,'1',3,502,1,4),(15,2100800,'1',2,318,1,6),(15,2100819,'1',3,332,2,7),(15,2101009,'1',3,331,1,17),(15,2101203,'1',3,317,1,29),(15,2101220,'1',3,303,2,47),(15,2101238,'1',3,238,1,3),(15,2101262,'1',3,211,1,8),(15,2101335,'1',3,5,1,23),(15,2101360,'1A',3,213,1,10),(15,2101475,'1A',3,233,2,33),(15,2101556,'1',3,104,2,54),(15,2101602,'1A',3,423,1,13),(15,2101696,'1',3,317,1,6),(15,2101726,'1A',3,428,2,58),(15,2101807,'1',3,223,1,7),(15,2101858,'1',3,211,2,53),(15,2101866,'1',3,316,2,36),(15,2101912,'1A',3,214,2,21),(15,2102099,'1',2,318,1,1),(15,2102161,'1',3,203,1,4),(15,2102170,'1',3,428,2,34),(15,2102188,'1',3,404,1,4),(15,2102200,'1',3,5,1,4),(15,2102234,'1A',2,220,2,10),(15,2102285,'1',3,320,2,15),(15,2102420,'1',3,444,2,28),(15,2102455,'1',3,2,1,1),(15,2102820,'1',3,301,1,2),(15,2102846,'1',3,217,1,13),(15,2102943,'1',2,304,2,17),(15,2102994,'1',3,502,1,18),(15,2103052,'1',3,212,2,26),(15,2103060,'1',3,214,1,5),(15,2103206,'1',3,201,1,8),(15,2103265,'1',3,404,1,3),(15,2103354,'1',3,320,2,2),(15,2103451,'1',2,103,2,13),(15,2103460,'1',2,9,1,6),(15,2103516,'1A',3,202,2,58),(15,2103613,'1A',2,214,2,5),(15,2103745,'1',2,202,2,11),(15,2103869,'1',3,234,2,45),(15,2103877,'1',3,108,2,23),(15,2103982,'1',3,217,2,43),(15,2104075,'1',3,309,2,54),(15,2104440,'1',2,428,1,1),(15,2104504,'1',2,415,2,12),(15,2104563,'1',2,502,1,2),(15,2104571,'1',3,101,1,2),(15,2104636,'1',2,201,1,6),(15,2104768,'1',3,217,1,14),(15,2104814,'1',2,328,1,5),(15,2104873,'1',3,217,2,33),(15,2104970,'1',3,217,2,47),(15,2105071,'1',2,223,1,10),(15,2105101,'1',3,220,2,31),(15,2105128,'1',3,103,1,32),(15,2105187,'1',3,302,2,58),(15,2105209,'1',3,216,1,9),(15,2105292,'1',3,5,2,49),(15,2105365,'1',3,428,2,32),(15,2105373,'1',3,223,1,4),(15,2105420,'1',3,104,1,16),(15,2105500,'1',3,104,2,62),(15,2105535,'1',3,5,1,14),(15,2105560,'1',2,316,1,6),(15,2105586,'1',3,303,2,40),(15,2105667,'1',3,224,2,11),(15,2105683,'1',3,102,1,41),(15,2105691,'1',2,104,1,2),(15,2105756,'1',3,102,2,75),(15,2105764,'1',2,304,1,3),(15,2105802,'1',3,450,1,17),(15,2105829,'1',2,420,1,1),(15,2105896,'1',3,211,1,4),(15,2105942,'1',3,329,1,22),(15,2105969,'1',3,203,2,64),(15,2105993,'1A',3,208,1,16),(15,2106000,'1',3,309,1,5),(15,2106132,'1',3,102,2,49),(15,2106159,'1',3,101,1,22),(15,2106167,'1',3,304,1,13),(15,2106213,'1',3,203,1,26),(15,2106302,'1',3,211,2,42),(15,2106361,'1',1,203,2,3),(15,2106442,'1',3,301,1,3),(15,2106515,'1',3,224,2,25),(15,2106736,'1A',3,238,2,41),(15,2106795,'1',3,316,1,11),(15,2106833,'1',2,203,2,18),(15,2106906,'1',3,224,2,12),(15,2107007,'1',3,220,2,26),(15,2107120,'1',2,101,2,12),(15,2107236,'1',3,225,1,29),(15,2107244,'1',3,213,2,28),(15,2107295,'1',3,217,2,48),(15,2107341,'1',3,326,1,3),(15,2107368,'1A',2,233,2,9),(15,2107384,'1',3,214,1,4),(15,2107406,'1',3,303,1,17),(15,2107422,'1',3,327,2,21),(15,2107546,'1',3,108,2,26),(15,2107570,'1',3,225,1,15),(15,2107600,'1',3,201,2,44),(15,2107724,'1',3,103,2,63),(15,2107813,'1',3,102,2,82),(15,2107848,'1',3,217,2,35),(15,2107910,'1',3,316,1,8),(15,2108054,'1',2,331,1,3),(15,2108100,'1',2,102,1,11),(15,2108143,'1',1,202,2,7),(15,2108232,'1',2,309,2,16),(15,2108372,'1',2,301,2,14),(15,2108445,'1',3,309,1,14),(15,2108631,'1',3,428,1,9),(15,2108755,'1',3,428,2,56),(15,2108887,'1',2,319,1,3),(15,2108968,'1A',3,421,1,16),(15,2109069,'1',2,302,1,8),(15,2109077,'1A',3,215,1,10),(15,2109085,'1',2,308,2,15),(15,2109166,'1',1,217,2,6),(15,2109174,'1',3,207,1,16),(15,2109182,'1',2,207,1,8),(15,2109271,'1A',3,201,1,33),(15,2109360,'1',3,326,1,27),(15,2109395,'1A',3,211,1,24),(15,2109441,'1',3,317,2,34),(15,2109476,'1',3,404,1,2),(15,2109565,'1',3,318,1,11),(15,2109620,'1',3,103,1,28),(15,2109662,'1',3,102,1,4),(15,2109670,'1',3,501,1,10),(15,2109786,'1',3,202,1,21),(15,2109840,'1',3,203,2,68),(15,2109905,'2',2,223,1,2),(15,2110008,'1',3,103,2,69),(15,2110105,'1',3,233,1,3),(15,2110210,'1',3,201,1,5),(15,2110318,'1',3,501,1,2),(15,2110350,'1',3,208,2,70),(15,2110393,'1',3,201,2,45),(15,2110458,'1',3,203,2,67),(15,2110539,'2',1,502,1,1),(15,2110580,'1',3,220,2,27),(15,2110636,'1',3,415,2,25),(15,2110695,'1',3,304,2,62),(15,2110741,'1',3,326,1,21),(15,2110768,'1',2,203,2,15),(15,2110776,'1A',3,428,1,27),(15,2110784,'1',3,223,1,13),(15,2110881,'1',3,424,1,29),(15,2110938,'1',3,317,2,52),(15,2110946,'1',3,303,2,35),(15,2111055,'1',2,444,2,12),(15,2111063,'1',3,103,2,61),(15,2111160,'1A',2,424,1,5),(15,2111179,'1',2,317,2,16),(15,2111195,'1',3,428,1,21),(15,2111322,'1A',3,215,2,18),(15,2111349,'1',2,102,1,2),(15,2111381,'1A',3,211,2,47),(15,2111403,'1',3,415,1,14),(15,2111640,'1',3,104,2,52),(15,2111675,'1',3,415,1,16),(15,2111691,'1A',2,201,2,13),(15,2111861,'1',3,203,1,13),(15,2112078,'1A',3,220,2,40),(15,2112108,'1',3,103,1,34),(15,2112116,'1',2,103,2,18),(15,2112132,'1',2,415,1,1),(15,2112183,'1',3,101,1,7),(15,2112213,'1',3,426,2,7),(15,2112248,'1',3,203,1,2),(15,2112337,'1A',3,215,1,13),(15,2112353,'1',3,303,2,55),(15,2112396,'1',2,102,1,4),(15,2112418,'1',3,225,1,50),(15,2112469,'1',1,324,1,3),(15,2112647,'1A',3,214,2,25),(15,2112655,'1',2,501,2,12),(15,2112680,'1A',3,212,1,6),(15,2112710,'1',3,316,2,63),(15,2112817,'1A',3,201,2,36),(15,2112841,'1',2,104,1,3),(15,2112850,'1',3,103,1,30),(15,2112949,'1',3,310,1,13),(15,2112957,'1',3,333,1,20),(15,2112965,'1',3,214,2,16),(15,2112973,'1',3,5,2,41),(15,2113066,'1',3,309,2,47),(15,2113112,'1',3,211,1,6),(15,2113155,'1',2,223,1,11),(15,2113163,'1',3,9,1,4),(15,2113180,'1',3,104,1,15),(15,2113201,'1',3,214,1,7),(15,2113350,'1',2,327,2,2),(15,2113465,'1',2,316,1,3),(15,2113554,'1A',3,233,2,26),(15,2113570,'1',3,326,1,4),(15,2113619,'1',3,203,2,60),(15,2113635,'1',2,304,1,6),(15,2113643,'1',3,207,2,34),(15,2113686,'1',2,301,2,15),(15,2113694,'1',3,103,2,36),(15,2113767,'1',3,217,1,5),(15,2113775,'1',2,429,2,1),(15,2113791,'1',3,202,1,5),(15,2113830,'1',2,225,1,9),(15,2113929,'1',2,404,1,2),(15,2114020,'1',3,303,2,37),(15,2114054,'1',2,339,1,3),(15,2114186,'1',3,319,2,47),(15,2114224,'1',3,329,1,16),(15,2114259,'1',3,304,2,46),(15,2114267,'1A',3,233,1,11),(15,2114313,'1',3,501,1,26),(15,2114364,'1',2,108,2,12),(15,2114380,'1',3,415,2,37),(15,2114402,'1A',3,201,1,7),(15,2114461,'1',3,108,2,32),(15,2114488,'1',3,108,1,10),(15,2114496,'1',2,309,1,4),(15,2114534,'1',2,301,2,12),(15,2114640,'1',2,216,1,4),(15,2114658,'1',3,103,2,65),(15,2114844,'1',3,217,2,53),(15,2114909,'1',3,102,1,1),(15,2114917,'1',3,5,1,17),(15,2114968,'1',3,9,1,1),(15,2115085,'1',3,203,1,20),(15,2115158,'1',3,203,1,12),(15,2115166,'1',3,233,1,7),(15,2115190,'1',2,108,2,8),(15,2115425,'1A',3,202,2,44),(15,2115476,'1',3,104,2,58),(15,2115506,'1',3,317,2,54),(15,2115719,'1',3,415,2,32),(15,2115727,'1',3,319,2,36),(15,2115816,'1',3,328,1,9),(15,2115832,'1',3,319,1,18),(15,2115840,'1',3,429,2,7),(15,2115948,'1',2,301,1,2),(15,2116006,'1',3,104,1,6),(15,2116090,'1',3,212,1,2),(15,2116189,'1',3,102,2,47),(15,2116316,'1',3,207,1,22),(15,2116383,'1',3,316,1,12),(15,2116421,'1',3,101,2,48),(15,2116480,'1',3,302,1,23),(15,2116510,'1',3,332,2,26),(15,2116596,'1',3,104,1,14),(15,2116600,'1',3,217,1,1),(15,2116650,'1',3,101,1,12),(15,2116707,'1',3,207,2,44),(15,2116731,'2',1,425,1,4),(15,2116871,'1',2,5,2,12),(15,2116901,'1',3,318,2,43),(15,2117282,'1',3,415,2,29),(15,2117436,'1',2,501,1,5),(15,2117460,'1',3,310,1,8),(15,2117827,'1A',3,428,2,41),(15,2117843,'1',3,502,1,20),(15,2117878,'1',3,211,2,48),(15,2117967,'1',3,302,1,29),(15,2117975,'1',3,501,1,18),(15,2118017,'1',3,444,1,8),(15,2118050,'1',3,108,1,19),(15,2118092,'1',3,423,1,6),(15,2118246,'1',3,428,1,14),(15,2118254,'1',3,501,2,44),(15,2118319,'1',3,101,2,26),(15,2118459,'1',2,233,2,10),(15,2118467,'1',3,108,2,27),(15,2118505,'1',3,301,1,1),(15,2118610,'1',3,429,2,11),(15,2118629,'1A',3,238,2,53),(15,2118670,'1',3,303,2,52),(15,2118700,'1',3,201,1,29),(15,2118734,'1',3,310,1,26),(15,2118807,'1',3,5,2,37),(15,2118939,'1',3,202,1,22),(15,2119250,'1',3,238,1,28),(15,2119323,'1',3,415,2,36),(15,2119331,'1',3,108,2,30),(15,2119404,'1',2,423,1,2),(15,2119609,'1',3,451,1,17),(15,2119692,'1',2,104,2,15),(15,2119757,'1',3,2,1,27),(15,2119765,'1',2,217,1,7),(15,2119846,'1',3,332,2,8),(15,2119889,'1',3,318,2,52),(15,2119897,'1',1,316,2,9),(15,2119986,'1',3,9,1,16),(15,2120011,'1',3,319,2,33),(15,2120046,'1',3,319,2,41),(15,2120070,'1',2,208,2,15),(15,2120127,'1',3,233,2,45),(15,2120186,'1',3,404,2,41),(15,2120410,'1A',3,208,2,68),(15,2120534,'1',1,331,1,3),(15,2120585,'1',3,216,2,29),(15,2120666,'1',2,317,2,15),(15,2120747,'1',2,332,2,2),(15,2120771,'1',3,316,1,21),(15,2120909,'1',3,9,1,7),(15,2120950,'1',3,301,2,60),(15,2121000,'1',3,429,2,18),(15,2121034,'1A',3,208,2,40),(15,2121050,'1',3,2,1,33),(15,2121077,'1',3,102,1,39),(15,2121115,'1',3,327,2,15),(15,2121433,'1',3,318,2,32),(15,2121441,'1',1,224,2,1),(15,2121450,'1',3,233,1,16),(15,2121492,'1',2,203,2,13),(15,2121565,'1',3,102,2,64),(15,2121654,'1',3,427,1,23),(15,2121719,'1',3,308,1,22),(15,2121778,'1',3,304,1,6),(15,2121808,'1',3,450,1,5),(15,2121824,'1',3,309,1,10),(15,2121875,'1',3,238,1,18),(15,2121930,'2',1,324,2,7),(15,2122022,'1',3,104,1,7),(15,2122073,'1',3,444,2,27),(15,2122111,'1',3,316,1,24),(15,2122154,'1',3,211,1,10),(15,2122243,'1',3,450,1,11),(15,2122480,'1',3,309,1,18),(15,2122510,'1',3,301,1,27),(15,2122650,'1',3,404,2,23),(15,2122715,'1',3,333,1,8),(15,2122731,'1A',3,423,1,11),(15,2122839,'1',2,429,2,6),(15,2122910,'1',3,303,1,22),(15,2123010,'1',1,207,1,1),(15,2123177,'1',2,223,1,13),(15,2123185,'2',1,211,2,6),(15,2123215,'1',3,308,2,39),(15,2123258,'1',3,404,2,22),(15,2123274,'1',3,203,2,72),(15,2123282,'1',2,331,1,1),(15,2123312,'1',3,428,1,25),(15,2123371,'1',3,303,1,4),(15,2123479,'1',3,327,2,10),(15,2123525,'1',1,207,2,5),(15,2123592,'1',3,501,1,6),(15,2123614,'1',3,420,2,28),(15,2123770,'1',3,216,1,6),(15,2123827,'1',3,222,1,7),(15,2123991,'1',3,5,2,56),(15,2124017,'1',2,103,1,8),(15,2124025,'1',3,5,1,15),(15,2124300,'1',3,211,2,49),(15,2124327,'1',3,9,1,22),(15,2124386,'1',3,304,2,58),(15,2124432,'1A',3,211,2,37),(15,2124475,'1',3,212,1,4),(15,2124548,'1',3,304,2,52),(15,2124696,'1A',2,202,2,18),(15,2124700,'1A',3,201,2,39),(15,2124874,'1',3,211,1,22),(15,2124904,'1',3,331,1,12),(15,2124920,'1',2,101,1,1),(15,2124980,'1',3,203,1,24),(15,2125030,'1',3,104,2,46),(15,2125056,'1',3,318,2,42),(15,2125110,'1',3,501,2,42),(15,2125200,'1',3,501,1,19),(15,2125315,'1',3,103,1,7),(15,2125366,'1',2,301,2,13),(15,2125447,'1',3,324,2,36),(15,2125528,'1',3,103,2,40),(15,2125625,'1',3,339,1,3),(15,2125668,'1',3,339,2,24),(15,2125730,'1',3,223,1,9),(15,2125765,'1',3,316,2,42),(15,2125781,'1A',3,214,2,28),(15,2125790,'1',3,303,2,33),(15,2125900,'1',3,220,2,30),(15,2125951,'1',3,2,1,3),(15,2126010,'1',3,303,1,15),(15,2126079,'1',3,302,1,30),(15,2126184,'1',2,211,1,2),(15,2126303,'1',3,303,2,38),(15,2126362,'1',3,424,1,5),(15,2126435,'1A',3,211,1,20),(15,2126460,'1',3,104,2,45),(15,2126567,'1',3,415,2,42),(15,2126591,'1',1,5,2,8),(15,2126656,'1',2,102,2,15),(15,2126710,'1',3,429,2,5),(15,2126818,'1',3,225,1,40),(15,2126869,'1',2,225,1,1),(15,2126931,'1',3,207,1,11),(15,2126990,'1',3,316,1,19),(15,2127032,'1',3,324,1,28),(15,2127040,'1',2,303,1,5),(15,2127121,'1',3,222,1,9),(15,2127253,'1',2,211,2,9),(15,2127539,'1',3,333,1,18),(15,2127555,'1A',2,213,2,8),(15,2127571,'1',2,428,2,13),(15,2127695,'1',3,214,2,18),(15,2127750,'1',3,450,1,9),(15,2127814,'1',3,420,2,43),(15,2127890,'1',3,216,2,25),(15,2128063,'1',2,234,2,9),(15,2128144,'1',3,327,2,25),(15,2128306,'1',2,208,2,14),(15,2128357,'1',3,316,2,44),(15,2128390,'1',3,420,2,34),(15,2128454,'1',3,208,2,45),(15,2128551,'1',1,201,2,6),(15,2128632,'1',3,502,1,11),(15,2128837,'1',3,225,1,6),(15,2128950,'1A',3,421,1,14),(15,2129124,'1',3,203,1,32),(15,2129167,'1',2,238,1,6),(15,2129264,'1',3,104,1,31),(15,2129272,'1',3,428,2,37),(15,2129329,'1',3,102,1,32),(15,2129337,'1',1,429,2,3),(15,2129370,'1',3,444,2,42),(15,2129531,'1',3,223,1,28),(15,2129736,'1',3,104,1,27),(15,2129817,'1',3,324,1,2),(15,2129922,'1',3,225,1,19),(15,2130149,'1',3,317,1,1),(15,2130203,'1',3,108,2,37),(15,2130343,'1',3,320,2,12),(15,2130432,'1',2,316,1,8),(15,2130475,'1',3,309,2,29),(15,2130483,'1',3,208,1,1),(15,2130688,'1',1,217,1,1),(15,2130696,'1',3,319,2,34),(15,2130750,'1',3,324,2,32),(15,2130815,'1',3,333,1,19),(15,2130823,'1',3,302,1,4),(15,2130840,'1',2,302,2,9),(15,2130971,'1',3,5,2,52),(15,2131080,'1',3,108,1,18),(15,2131285,'1',1,211,2,8),(15,2131307,'1',3,304,1,29),(15,2131331,'1',3,423,1,27),(15,2131447,'1',3,5,2,30),(15,2131463,'1',3,309,1,6),(15,2131510,'1',3,103,1,4),(15,2131528,'1',3,203,2,49),(15,2131579,'1',3,216,1,4),(15,2131595,'1',3,304,2,49),(15,2131609,'1',2,301,1,7),(15,2131730,'1',3,201,2,47),(15,2131803,'1A',3,215,2,15),(15,2131889,'1',3,308,2,56),(15,2131900,'1A',3,201,2,62),(15,2132028,'1',3,238,1,7),(15,2132087,'1',2,423,1,5),(15,2132184,'1',2,420,1,5),(15,2132303,'1',3,211,2,40),(15,2132435,'1',3,318,1,21),(15,2132451,'1',3,317,1,5),(15,2132460,'1',3,102,2,81),(15,2132508,'1',3,203,1,38),(15,2132540,'1',3,501,2,48),(15,2132656,'1A',3,213,2,18),(15,2132680,'1A',3,202,2,45),(15,2132931,'1',3,234,1,6),(15,2132966,'1',3,103,1,11),(15,2133113,'1',3,104,1,20),(15,2133199,'1A',3,202,2,68),(15,2133300,'1',3,301,2,54),(15,2133482,'1',3,234,1,7),(15,2133571,'1',3,102,1,14),(15,2133806,'1',3,101,1,16),(15,2133873,'1A',2,201,2,17),(15,2133989,'1',3,425,1,5),(15,2134160,'1',3,102,1,3),(15,2134179,'1',2,103,2,15),(15,2134241,'1',1,318,1,3),(15,2134349,'1',2,102,2,21),(15,2134640,'1',2,421,1,2),(15,2134721,'1',3,217,1,18),(15,2134730,'1',1,318,1,2),(15,2134802,'1A',3,208,1,31),(15,2134942,'1',1,333,1,3),(15,2135035,'2',1,425,1,2),(15,2135086,'1',2,326,1,1),(15,2135116,'1',3,326,1,16),(15,2135132,'1',3,339,2,27),(15,2135230,'1',2,421,1,3),(15,2135272,'1',2,502,1,1),(15,2135329,'1',3,339,1,14),(15,2135337,'1',3,328,1,10),(15,2135418,'1',3,404,1,21),(15,2135566,'1',3,308,2,61),(15,2135671,'1',3,223,1,11),(15,2135728,'1',2,216,1,2),(15,2135825,'1',1,238,1,1),(15,2135868,'1',3,225,1,14),(15,2135930,'1',2,234,2,8),(15,2136325,'1',3,213,2,26),(15,2136422,'1',2,238,1,9),(15,2136430,'1',3,308,1,25),(15,2136449,'1',1,208,2,7),(15,2136465,'1',3,304,1,17),(15,2136716,'1',3,303,1,11),(15,2136805,'1',3,304,2,61),(15,2136988,'1',3,102,2,46),(15,2136996,'1',3,316,1,22),(15,2137020,'1A',2,421,1,5),(15,2137100,'1',3,104,2,47),(15,2137119,'1',3,2,1,18),(15,2137143,'1',3,225,1,5),(15,2137232,'1',3,429,2,22),(15,2137291,'1',3,308,1,1),(15,2137313,'1A',3,238,1,29),(15,2137321,'1',2,102,2,14),(15,2137569,'1',3,217,2,38),(15,2137615,'1',3,208,2,36),(15,2137704,'1',3,101,2,42),(15,2137879,'1A',2,208,2,16),(15,2137895,'1',3,501,1,3),(15,2137941,'1A',3,201,1,15),(15,2137984,'1',3,318,1,19),(15,2138182,'1',3,308,2,49),(15,2138263,'1',3,225,1,36),(15,2138298,'1',1,303,1,3),(15,2138450,'1',3,451,1,16),(15,2138468,'1',1,224,2,3),(15,2138573,'1',3,310,1,25),(15,2138590,'1',2,2,1,2),(15,2138611,'1',2,310,1,3),(15,2138654,'1',3,339,2,35),(15,2138697,'1',3,223,1,30),(15,2138719,'1',3,317,1,22),(15,2138751,'1',3,444,2,22),(15,2138832,'1',3,420,1,6),(15,2138840,'1',3,324,2,39),(15,2138875,'1',3,310,1,31),(15,2138891,'1A',3,202,2,47),(15,2139006,'1',3,420,2,41),(15,2139065,'1',3,225,1,25),(15,2139227,'2',1,304,2,4),(15,2139332,'1',3,324,1,12),(15,2139383,'1A',3,216,2,22),(15,2139430,'1',3,103,2,55),(15,2139499,'1',2,238,2,16),(15,2139774,'1A',3,213,2,20),(15,2139804,'1',3,319,2,52),(15,2139820,'1',3,316,1,15),(15,2139839,'1',1,309,1,4),(15,2139898,'1',3,104,1,5),(15,2139936,'1',2,319,2,11),(15,2139944,'1',3,103,2,51),(15,2139995,'1',3,222,1,5),(15,2140012,'1',2,201,2,11),(15,2140160,'1',3,216,2,30),(15,2140233,'1A',3,208,2,52),(15,2140454,'1',2,404,2,10),(15,2140500,'1',2,303,1,2),(15,2140527,'1',3,301,1,10),(15,2140578,'1',3,207,2,39),(15,2140683,'1',1,202,2,6),(15,2140861,'1',3,103,1,17),(15,2140942,'1',3,333,1,17),(15,2140993,'1',3,102,1,16),(15,2141167,'1',3,501,1,9),(15,2141175,'1',2,308,1,3),(15,2141299,'1A',3,233,1,5),(15,2141400,'1',3,502,1,14),(15,2141434,'1',3,320,2,4),(15,2141469,'1',3,203,1,17),(15,2141493,'1',3,2,1,12),(15,2141574,'1',1,331,1,2),(15,2141647,'1',2,225,1,7),(15,2141779,'1',3,308,1,24),(15,2141795,'1',3,201,1,26),(15,2141817,'1',3,301,2,46),(15,2141841,'1',3,326,1,17),(15,2142023,'1',3,238,1,32),(15,2142082,'1A',3,233,1,20),(15,2142090,'1',3,238,2,50),(15,2142104,'1',1,339,2,4),(15,2142112,'1',3,303,2,44),(15,2142198,'1',3,233,2,39),(15,2142384,'1',2,420,1,6),(15,2142449,'1A',3,208,1,29),(15,2142465,'1A',3,211,2,52),(15,2142473,'1',3,327,2,12),(15,2142538,'1',3,302,1,7),(15,2142589,'1',3,326,1,5),(15,2142724,'1',3,304,1,4),(15,2143003,'1',3,415,2,28),(15,2143054,'1',3,331,1,9),(15,2143089,'1',3,102,2,72),(15,2143267,'1',3,104,1,24),(15,2143445,'1',2,404,1,6),(15,2143518,'1A',2,213,2,6),(15,2143534,'1',3,429,2,16),(15,2143577,'1',3,444,1,14),(15,2143585,'1',3,108,2,25),(15,2143780,'1',1,303,2,6),(15,2143844,'1',1,318,2,6),(15,2143895,'1',3,308,2,37),(15,2144000,'1',2,428,1,4),(15,2144190,'1A',3,202,2,38),(15,2144310,'1',3,501,2,61),(15,2144344,'1',2,103,2,14),(15,2144433,'1A',3,238,1,35),(15,2144557,'1',3,224,2,4),(15,2144662,'1',3,318,1,18),(15,2144778,'1',3,207,1,12),(15,2145014,'1',3,101,1,13),(15,2145138,'1',3,202,2,69),(15,2145154,'1A',3,201,2,57),(15,2145197,'1',3,329,1,23),(15,2145235,'1',2,301,1,1),(15,2145243,'1',1,415,2,5),(15,2145278,'1',3,415,2,24),(15,2145294,'1',2,103,1,7),(15,2145316,'1',3,103,1,27),(15,2145359,'1',3,309,1,15),(15,2145413,'1',1,327,2,3),(15,2145596,'1',3,9,1,21),(15,2145618,'1',3,102,1,40),(15,2145790,'2',1,429,2,2),(15,2145847,'1',3,103,1,18),(15,2145863,'1A',3,233,2,34),(15,2145928,'1',3,203,1,19),(15,2145979,'1',3,238,1,24),(15,2145995,'1',2,238,2,11),(15,2146134,'1',3,207,2,37),(15,2146347,'1',3,339,2,38),(15,2146444,'1',3,317,1,11),(15,2146452,'1',3,333,1,5),(15,2146487,'1',2,502,2,8),(15,2146649,'1',3,102,2,80),(15,2146720,'1',3,102,2,56),(15,2146738,'1',3,328,1,16),(15,2146746,'1',3,101,2,32),(15,2146860,'1',3,319,2,35),(15,2146967,'1',3,304,1,1),(15,2147068,'1',3,215,2,32),(15,2147181,'1A',1,201,1,3),(15,2147297,'1A',3,202,1,31),(15,2147467,'1',3,203,1,35),(15,2147483,'1',3,5,2,53),(15,2147505,'1',3,216,1,14),(15,2147556,'1',3,310,1,1),(15,2147718,'1',3,444,1,15),(15,2147734,'1A',3,421,1,13),(15,2147777,'1',2,444,2,8),(15,2147874,'1',3,308,2,65),(15,2147947,'1',2,208,1,4),(15,2147963,'1',3,319,2,51),(15,2148072,'1',3,102,2,73),(15,2148080,'1',3,444,2,32),(15,2148099,'1',3,332,2,24),(15,2148234,'1',1,208,2,6),(15,2148269,'1',3,428,1,22),(15,2148293,'1',3,108,1,4),(15,2148447,'1',2,316,2,10),(15,2148552,'1',3,415,1,20),(15,2148595,'1',1,319,1,2),(15,2148668,'1A',3,208,2,44),(15,2148722,'1',1,424,1,1),(15,2148749,'1',3,304,2,40),(15,2148773,'1A',3,211,2,33),(15,2148820,'1',2,426,2,2),(15,2148870,'1',3,428,2,55),(15,2148919,'1',3,404,1,13),(15,2148927,'1',3,450,1,16),(15,2149109,'1',3,415,1,8),(15,2149133,'1',3,324,2,42),(15,2149192,'1',3,502,1,16),(15,2149214,'1',1,220,1,2),(15,2149281,'1',3,108,2,28),(15,2149478,'1',3,309,2,53),(15,2149591,'1',3,329,1,15),(15,2149753,'1',3,339,1,5),(15,2149877,'1',3,207,2,55),(15,2149931,'1',3,319,1,17),(15,2149940,'1',3,207,1,25),(15,2150034,'1',3,203,2,43),(15,2150271,'1',3,222,1,18),(15,2150298,'1',3,211,1,27),(15,2150425,'1',3,301,1,21),(15,2150506,'1',3,301,1,29),(15,2150573,'1',3,225,1,47),(15,2150638,'1',3,444,1,19),(15,2150654,'1',2,319,1,4),(15,2150700,'1',2,308,2,20),(15,2150760,'1',2,207,2,11),(15,2150778,'1',3,217,1,20),(15,2151030,'1',3,424,1,2),(15,2151090,'1',3,214,1,9),(15,2151138,'1',3,225,1,31),(15,2151219,'1',3,309,2,33),(15,2151251,'1',3,5,1,19),(15,2151375,'1',3,102,1,38),(15,2151391,'1',3,332,2,20),(15,2151456,'1',3,428,2,44),(15,2151596,'1',2,316,2,15),(15,2151782,'1',3,444,1,3),(15,2151863,'1',3,310,1,23),(15,2151928,'1',1,5,2,5),(15,2151960,'1',3,450,1,1),(15,2151995,'1',1,216,2,5),(15,2152002,'1',2,220,1,4),(15,2152070,'2',1,426,2,1),(15,2152150,'1',3,339,1,17),(15,2152177,'1',3,324,2,53),(15,2152207,'1',3,317,1,20),(15,2152231,'1',3,217,2,31),(15,2152487,'1',3,225,1,45),(15,2152509,'1',3,415,1,17),(15,2152703,'1',3,214,1,3),(15,2152738,'1',3,211,2,30),(15,2152894,'1',3,104,2,36),(15,2152975,'1',3,421,1,7),(15,2153033,'1',3,225,1,24),(15,2153068,'1',2,104,1,8),(15,2153149,'1',3,203,1,31),(15,2153408,'1A',3,213,2,16),(15,2153424,'1',2,304,2,15),(15,2153459,'1',2,339,2,8),(15,2153483,'1',3,444,1,6),(15,2153491,'1',3,207,1,15),(15,2153548,'1',3,316,2,62),(15,2153564,'1',3,339,2,29),(15,2153572,'1',2,326,1,2),(15,2153629,'1',3,215,2,26),(15,2153696,'1',2,233,2,12),(15,2153769,'1',3,501,2,54),(15,2153807,'1',3,326,1,9),(15,2153971,'1A',3,202,1,15),(15,2154072,'1',3,302,1,5),(15,2154080,'1',3,424,1,7),(15,2154153,'1',3,201,2,53),(15,2154218,'1',3,428,1,15),(15,2154234,'1',3,5,2,44),(15,2154374,'1',3,102,1,10),(15,2154439,'1',3,329,1,24),(15,2154510,'1',3,308,2,69),(15,2154749,'1',3,415,2,30),(15,2154757,'1',3,316,1,4),(15,2154790,'1',3,201,2,46),(15,2154897,'1',3,223,1,44),(15,2154943,'1',3,104,2,35),(15,2154986,'1',3,327,2,2),(15,2155028,'1',2,310,1,2),(15,2155117,'1A',3,214,2,23),(15,2155214,'1',3,5,1,5),(15,2155230,'1',2,234,2,10),(15,2155427,'1',3,326,1,7),(15,2155443,'1',2,225,1,8),(15,2155605,'1',3,207,1,23),(15,2155710,'1',3,339,2,31),(15,2155877,'1',3,318,2,61),(15,2155885,'1',3,103,2,46),(15,2155907,'1',3,101,2,44),(15,2156075,'1',3,238,2,47),(15,2156261,'1A',2,208,2,12),(15,2156318,'1',2,333,1,6),(15,2156369,'1',3,303,2,54),(15,2156393,'1',3,233,2,31),(15,2156504,'1A',3,238,1,12),(15,2156598,'1',3,444,2,36),(15,2156601,'1',3,320,2,19),(15,2156636,'1',3,303,1,3),(15,2156709,'1',3,303,1,5),(15,2156768,'1',3,217,1,2),(15,2156911,'1',2,302,1,6),(15,2156946,'1',3,301,1,26),(15,2157080,'1',3,301,1,24),(15,2157128,'1',3,316,2,50),(15,2157519,'1',3,103,1,26),(15,2157640,'1',3,319,2,46),(15,2157659,'1',3,9,1,13),(15,2157730,'1',3,423,1,31),(15,2157829,'1',2,502,2,11),(15,2157853,'1',3,304,2,54),(15,2157888,'1',3,428,1,5),(15,2157969,'1',3,104,1,4),(15,2158078,'1',3,317,2,37),(15,2158086,'1',3,202,1,4),(15,2158221,'1',3,308,2,57),(15,2158256,'1',2,103,1,9),(15,2158418,'1',3,302,1,2),(15,2158515,'1',3,234,2,37),(15,2158620,'1',1,104,1,1),(15,2158922,'1',3,326,1,32),(15,2158981,'1',3,502,2,39),(15,2159007,'1',3,331,1,11),(15,2159104,'1',3,501,2,40),(15,2159210,'1',3,2,1,32),(15,2159554,'1',3,318,1,2),(15,2159643,'1',3,216,1,8),(15,2159678,'1',3,103,1,19),(15,2159686,'1',2,308,1,6),(15,2159716,'1',3,301,1,8),(15,2159970,'1',2,208,1,2),(15,2160048,'1',2,220,2,7),(15,2160137,'1',3,211,2,56),(15,2160226,'1',3,2,1,26),(15,2160277,'1A',3,201,1,32),(15,2160609,'1',3,220,2,39),(15,2160625,'1',3,233,1,18),(15,2160650,'1',3,201,2,56),(15,2160676,'1A',3,214,2,24),(15,2160722,'1A',3,215,1,12),(15,2160838,'1',3,301,2,59),(15,2160919,'1',3,326,1,15),(15,2161044,'1',2,101,1,5),(15,2161184,'1',3,104,1,12),(15,2161265,'1',3,319,2,53),(15,2161346,'1',2,309,2,11),(15,2161419,'1',3,317,2,48),(15,2161575,'1',3,217,2,51),(15,2161672,'1',3,222,1,23),(15,2161699,'1',3,234,1,22),(15,2161826,'1',3,108,2,31),(15,2161842,'1',3,207,2,48),(15,2162008,'1',3,316,2,47),(15,2162075,'1A',3,201,2,38),(15,2162130,'1',3,108,2,34),(15,2162180,'1',3,501,1,33),(15,2162199,'1',3,233,2,46),(15,2162210,'1',3,234,1,17),(15,2162270,'1',2,5,2,13),(15,2162440,'1',3,303,1,9),(15,2162504,'1',2,103,2,16),(15,2162610,'1',3,429,2,6),(15,2162792,'1',3,207,1,4),(15,2163039,'1A',3,213,1,7),(15,2163209,'2',1,502,2,3),(15,2163225,'1',3,104,2,42),(15,2163268,'1',3,224,2,23),(15,2163284,'1',3,444,2,29),(15,2163314,'1',3,420,1,18),(15,2163403,'1',3,207,1,13),(15,2163438,'1',2,101,1,7),(15,2163608,'1',1,108,1,2),(15,2163691,'1',3,425,1,13),(15,2163705,'1',3,415,1,13),(15,2163713,'1',3,215,2,30),(15,2163764,'1',3,328,1,5),(15,2163780,'1',3,319,2,48),(15,2163853,'1',3,103,1,9),(15,2163918,'1',3,317,1,8),(15,2163950,'1',3,444,2,24),(15,2164019,'1',3,9,1,17),(15,2164027,'1A',3,202,1,18),(15,2164205,'1',3,328,1,23),(15,2164280,'1',1,104,1,3),(15,2164434,'1',3,302,1,9),(15,2164515,'1',3,216,1,12),(15,2164671,'1',3,331,1,26),(15,2164876,'1',3,308,2,58),(15,2164906,'1A',3,202,2,41),(15,2164990,'1A',3,202,2,50),(15,2165082,'1A',3,428,2,39),(15,2165090,'1',1,108,2,4),(15,2165155,'1',2,308,1,2),(15,2165260,'1',3,203,2,65),(15,2165317,'1',3,302,1,6),(15,2165520,'1',3,444,1,1),(15,2165589,'1',3,317,1,12),(15,2165651,'1',3,308,1,18),(15,2165716,'1',3,339,1,10),(15,2165988,'1',3,329,1,12),(15,2166062,'1',3,217,2,55),(15,2166135,'1',3,216,1,10),(15,2166151,'1',3,328,1,21),(15,2166178,'1A',3,238,2,51),(15,2166275,'1',3,318,2,50),(15,2166305,'1',3,217,2,45),(15,2166542,'1',3,213,2,29),(15,2166844,'1A',3,238,2,66),(15,2166887,'1',3,220,2,42),(15,2166933,'1',3,404,1,12),(15,2166976,'1A',3,212,2,21),(15,2167000,'1',3,207,2,30),(15,2167131,'1',3,316,2,33),(15,2167379,'1',2,223,1,12),(15,2167395,'1',3,316,2,40),(15,2167468,'1A',3,233,2,29),(15,2167549,'1',2,104,2,17),(15,2167662,'1',3,203,2,71),(15,2167670,'1',3,103,2,49),(15,2167760,'1',2,308,2,19),(15,2167786,'1',3,423,1,10),(15,2167816,'1',3,317,2,49),(15,2167972,'1',3,223,1,10),(15,2168090,'1',3,9,1,8),(15,2168162,'1',2,428,2,9),(15,2168197,'1',3,318,2,40),(15,2168227,'1',2,103,2,20),(15,2168294,'1',2,216,2,6),(15,2168405,'1',2,444,1,3),(15,2168413,'1',3,339,2,39),(15,2168464,'1A',3,213,1,9),(15,2168626,'1',3,303,1,13),(15,2168685,'1',3,308,1,35),(15,2168693,'1',2,104,2,10),(15,2168740,'1',3,309,1,28),(15,2168790,'1',3,225,1,1),(15,2168804,'1',2,211,1,6),(15,2168871,'1',2,102,2,17),(15,2168960,'1',3,309,2,41),(15,2168979,'1',2,316,2,18),(15,2169142,'1A',3,215,2,20),(15,2169177,'1',3,450,1,21),(15,2169215,'1A',3,212,1,14),(15,2169444,'1',3,304,1,7),(15,2169606,'1',1,426,2,4),(15,2169690,'1',3,318,2,49),(15,2169819,'1',3,318,1,1),(15,2169878,'1',2,101,1,6),(15,2169924,'1',3,301,2,58),(15,2169975,'1',3,234,2,36),(15,2169991,'1',2,5,1,7),(15,2170060,'1',3,423,1,16),(15,2170124,'1',3,502,1,1),(15,2170221,'1',1,303,1,1),(15,2170230,'1',3,220,1,6),(15,2170256,'1',2,214,1,1),(15,2170280,'1',2,501,2,13),(15,2170388,'1',2,415,2,8),(15,2170442,'1',2,215,1,4),(15,2170469,'1',3,102,2,77),(15,2170515,'1',2,102,1,7),(15,2170531,'1',3,339,2,42),(15,2170795,'1',2,324,2,10),(15,2170833,'1A',3,202,2,51),(15,2170868,'1',3,102,1,7),(15,2170957,'1A',3,238,2,61),(15,2171015,'1',3,213,2,27),(15,2171074,'1',2,5,1,1),(15,2171287,'1',3,501,2,50),(15,2171350,'1',3,203,2,63),(15,2171422,'1',3,104,2,49),(15,2171570,'1',3,339,1,19),(15,2171635,'1',3,319,1,11),(15,2171783,'1',2,207,2,13),(15,2171945,'1',2,303,1,7),(15,2172100,'1',3,103,2,47),(15,2172208,'1',2,320,2,2),(15,2172232,'1',3,425,1,17),(15,2172240,'1',2,101,1,4),(15,2172402,'1',3,327,2,14),(15,2172445,'1',2,404,2,12),(15,2172607,'1',3,327,2,1),(15,2172623,'1',3,319,2,45),(15,2172631,'1',3,316,1,2),(15,2172682,'1',3,234,2,41),(15,2172704,'1',3,234,1,11),(15,2172780,'1',3,451,1,21),(15,2172879,'1',3,211,2,50),(15,2172887,'1A',3,238,2,63),(15,2172984,'1',2,213,1,2),(15,2173000,'1',3,103,2,58),(15,2173034,'1',3,332,2,18),(15,2173042,'1',3,101,2,34),(15,2173263,'1',3,201,1,2),(15,2173360,'1',3,316,2,48),(15,2173379,'1',3,304,2,59),(15,2173387,'1',3,326,1,26),(15,2173476,'1',3,220,1,17),(15,2173530,'1A',3,424,1,10),(15,2173581,'1A',3,238,1,25),(15,2173662,'1',3,215,2,28),(15,2173670,'1',3,208,1,2),(15,2173751,'1',2,5,2,14),(15,2173816,'1',2,316,1,4),(15,2173832,'1',3,304,1,24),(15,2174014,'1',3,425,1,7),(15,2174065,'1',3,103,2,57),(15,2174120,'1',3,302,2,38),(15,2174138,'1',3,234,1,1),(15,2174251,'1',3,425,1,15),(15,2174430,'1',3,5,2,29),(15,2174529,'1',3,223,1,40),(15,2174537,'1',3,404,2,33),(15,2174545,'1',3,220,2,32),(15,2174570,'1',3,444,1,20),(15,2174685,'1',3,104,2,48),(15,2174880,'1A',3,201,1,28),(15,2174928,'1',3,429,2,27),(15,2174936,'1',1,404,2,4),(15,2174995,'1',3,501,1,7),(15,2175177,'1',3,234,2,32),(15,2175223,'1',2,317,2,10),(15,2175266,'1',3,303,1,8),(15,2175282,'1',3,301,1,7),(15,2175290,'1',3,424,1,25),(15,2175304,'1',3,234,1,10),(15,2175339,'1',3,301,2,37),(15,2175762,'1A',3,429,2,24),(15,2175770,'1',3,316,1,6),(15,2175797,'1',3,420,1,3),(15,2175878,'1',3,217,2,50),(15,2175924,'1',3,102,2,44),(15,2175967,'1',3,223,1,15),(15,2175991,'1',3,234,1,14),(15,2176017,'1',3,5,1,2),(15,2176068,'1',3,304,1,30),(15,2176106,'1',3,320,2,3),(15,2176181,'1',2,101,2,13),(15,2176203,'1',2,308,1,9),(15,2176378,'1',3,101,1,23),(15,2176394,'1',2,234,1,3),(15,2176513,'1',3,319,2,31),(15,2176696,'1',3,501,2,65),(15,2176700,'1A',2,214,1,3),(15,2176793,'1',3,424,1,6),(15,2176866,'1',3,301,2,50),(15,2176874,'1',3,238,2,44),(15,2176890,'1',3,310,1,5),(15,2177072,'1',3,302,1,22),(15,2177218,'1',3,327,2,11),(15,2177269,'1',3,208,1,33),(15,2177285,'1',2,328,1,1),(15,2177358,'1A',3,238,2,69),(15,2177382,'1',3,101,1,6),(15,2177650,'1',3,301,2,39),(15,2177676,'1',3,304,2,47),(15,2177714,'1',3,316,2,54),(15,2177820,'1',3,222,1,6),(15,2177846,'1',3,208,1,27),(15,2177951,'1',2,308,1,8),(15,2178044,'1',2,501,1,4),(15,2178052,'1',3,301,1,20),(15,2178265,'1',3,318,2,58),(15,2178338,'1',3,304,1,33),(15,2178346,'1',3,9,1,28),(15,2178370,'1',2,324,1,7),(15,2178486,'1',3,425,1,22),(15,2178729,'1',3,303,1,28),(15,2178834,'1A',3,208,2,49),(15,2178885,'1',3,103,2,64),(15,2178931,'1',3,101,1,5),(15,2179105,'1',1,203,2,4),(15,2179113,'1',3,214,1,8),(15,2179156,'1A',3,208,2,64),(15,2179369,'1',2,302,1,1),(15,2179458,'1',3,451,1,12),(15,2179482,'1',3,217,1,25),(15,2179490,'1',3,5,2,38),(15,2179598,'1',2,214,2,7),(15,2179601,'1',2,303,2,9),(15,2179636,'1',3,234,1,18),(15,2179644,'1',3,203,1,5),(15,2179709,'1',3,211,1,15),(15,2179849,'1',2,238,1,1),(15,2179890,'1',3,220,1,7),(15,2180138,'1',3,420,1,15),(15,2180154,'1',3,5,2,55),(15,2180189,'1',3,308,1,12),(15,2180260,'1A',3,208,2,37),(15,2180588,'2',1,9,1,4),(15,2180618,'1',3,5,1,9),(15,2180669,'1',3,233,2,30),(15,2180723,'1',3,316,2,52),(15,2180847,'1',3,318,2,41),(15,2180880,'1',3,502,1,17),(15,2180936,'1',3,301,2,51),(15,2181096,'1',3,329,1,1),(15,2181177,'1',2,103,1,2),(15,2181282,'1',2,420,1,4),(15,2181371,'1',3,308,2,46),(15,2181380,'1',2,302,1,4),(15,2181479,'1',3,102,1,28),(15,2181525,'1',2,202,1,8),(15,2181649,'1A',3,202,2,42),(15,2181754,'1',3,309,1,25),(15,2182084,'1',3,317,2,40),(15,2182114,'1',3,103,1,20),(15,2182130,'1',3,310,1,14),(15,2182211,'1',2,319,2,9),(15,2182262,'1',3,304,2,57),(15,2182297,'1',3,428,1,12),(15,2182459,'1',3,304,2,53),(15,2182491,'1',3,303,2,49),(15,2182521,'1',3,423,1,3),(15,2182530,'1',3,9,1,6),(15,2182629,'1',3,301,1,31),(15,2182661,'1',1,217,1,4),(15,2182769,'1',3,302,2,51),(15,2182785,'1',3,428,1,20),(15,2182939,'1',3,213,1,12),(15,2183021,'2',1,102,2,6),(15,2183030,'1',2,201,1,3),(15,2183056,'1',2,319,1,8),(15,2183226,'1',3,224,2,14),(15,2183366,'1',3,101,2,31),(15,2183412,'1',3,318,1,23),(15,2183544,'1',3,102,2,68),(15,2183579,'1',3,220,1,21),(15,2183633,'1',2,207,1,3),(15,2183641,'1',3,501,2,60),(15,2183650,'1',3,450,1,18),(15,2183722,'1',3,319,1,21),(15,2183811,'1',1,202,1,2),(15,2183935,'1',3,415,1,21),(15,2183951,'1A',3,208,2,59),(15,2184001,'1',3,225,1,7),(15,2184044,'1',2,310,1,5),(15,2184052,'1',3,303,1,23),(15,2184079,'1',3,102,1,13),(15,2184176,'1',3,223,1,32),(15,2184303,'1A',3,428,2,40),(15,2184320,'1',3,329,1,10),(15,2184389,'1',2,207,1,4),(15,2184419,'1',3,327,2,9),(15,2184591,'1',2,101,2,11),(15,2184630,'1',3,444,2,26),(15,2184648,'1',2,310,1,7),(15,2184729,'1',3,238,2,46),(15,2184850,'1',3,304,1,8),(15,2185113,'1',2,423,1,4),(15,2185237,'1',3,202,2,66),(15,2185350,'1',3,444,2,23),(15,2185407,'1',1,103,2,10),(15,2185423,'1A',3,201,1,31),(15,2185512,'1A',3,428,2,61),(15,2185563,'1',3,213,2,24),(15,2185571,'1',3,420,2,31),(15,2185628,'1',2,428,1,7),(15,2185750,'1',1,108,2,5),(15,2185849,'1',3,302,1,25),(15,2185873,'1',3,501,1,27),(15,2186020,'1',2,331,1,7),(15,2186322,'1',3,9,1,12),(15,2186365,'1',2,319,1,2),(15,2186454,'1',2,502,2,10),(15,2186780,'1',3,318,2,35),(15,2186829,'1',3,316,2,46),(15,2186870,'1A',2,215,2,7),(15,2186900,'1',3,234,2,23),(15,2187019,'1',3,318,1,7),(15,2187027,'1',3,301,2,47),(15,2187060,'1',3,225,1,23),(15,2187086,'1',3,415,2,22),(15,2187116,'1',2,319,2,12),(15,2187299,'1',3,444,2,31),(15,2187345,'1',2,332,2,8),(15,2187353,'1',3,421,1,9),(15,2187361,'1',3,302,2,41),(15,2187655,'1',3,304,1,26),(15,2187760,'1',3,308,2,45),(15,2187892,'1A',3,212,1,7),(15,2187957,'1A',3,427,1,8),(15,2188058,'1',2,5,2,15),(15,2188155,'1',2,220,1,3),(15,2188295,'1',3,225,1,20),(15,2188368,'1',3,216,2,31),(15,2188414,'1',3,415,1,11),(15,2188490,'1',3,238,1,19),(15,2188503,'1',3,329,1,19),(15,2188597,'1',3,101,1,9),(15,2188686,'1',3,317,2,44),(15,2188732,'1',3,216,1,15),(15,2188775,'1',3,223,1,16),(15,2188830,'1',2,207,1,1),(15,2188856,'1',3,202,2,43),(15,2188880,'1',2,5,2,9),(15,2188945,'1',2,5,1,5),(15,2188953,'1',3,2,1,29),(15,2189038,'1',3,223,1,48),(15,2189135,'1',2,211,1,4),(15,2189216,'1',3,420,1,7),(15,2189305,'1',3,302,2,40),(15,2189674,'1',1,103,1,5),(15,2189720,'1',3,102,2,54),(15,2189739,'1',3,328,1,14),(15,2189844,'1',3,327,2,27),(15,2190079,'1',3,225,1,8),(15,2190141,'1',3,450,1,13),(15,2190400,'1',3,201,1,34),(15,2190435,'1',3,428,2,38),(15,2190486,'1',3,303,1,21),(15,2190702,'1',3,329,1,9),(15,2190788,'1',2,9,1,7),(15,2190850,'1',3,317,2,56),(15,2190907,'1',3,319,1,5),(15,2190990,'1',2,203,1,1),(15,2191075,'1',3,328,1,24),(15,2191105,'1',3,217,2,37),(15,2191164,'1',3,301,1,5),(15,2191210,'1A',3,212,1,9),(15,2191261,'1',2,9,1,8),(15,2191369,'1A',3,212,2,20),(15,2191695,'1',3,302,1,10),(15,2191776,'1',3,225,1,12),(15,2191814,'1',2,303,2,12),(15,2191857,'1',3,234,2,30),(15,2191911,'1',3,420,1,2),(15,2191946,'1',3,424,1,14),(15,2192039,'1A',3,208,1,24),(15,2192055,'1',3,324,2,56),(15,2192136,'1',2,234,1,1),(15,2192160,'1',3,238,1,11),(15,2192179,'1A',3,233,2,32),(15,2192217,'1',3,317,1,15),(15,2192446,'2',1,309,2,6),(15,2192551,'1',2,332,2,1),(15,2192578,'1',3,2,1,5),(15,2192977,'1',2,211,2,12),(15,2192985,'1A',2,208,1,10),(15,2193027,'1',3,101,1,3),(15,2193086,'1A',3,207,1,26),(15,2193280,'1',3,301,2,62),(15,2193434,'1',3,207,1,18),(15,2193450,'1',3,316,1,7),(15,2193540,'1',3,225,1,37),(15,2193558,'1',2,216,1,5),(15,2193752,'1',2,213,1,4),(15,2193795,'1A',3,238,2,59),(15,2193833,'1',3,5,1,3),(15,2194015,'1A',3,233,1,10),(15,2194295,'1',3,329,1,11),(15,2194350,'1',3,203,1,18),(15,2194406,'1',2,301,2,10),(15,2194635,'1',2,316,1,2),(15,2194643,'1',3,234,2,35),(15,2194660,'1',3,303,2,56),(15,2194694,'1',3,428,1,26),(15,2194740,'1',3,211,1,3),(15,2194805,'1',3,324,1,4),(15,2194902,'1',3,223,1,17),(15,2194961,'1',3,304,1,9),(15,2194970,'1',3,502,2,30),(15,2195062,'1',3,326,1,31),(15,2195135,'1',3,428,1,1),(15,2195232,'1',3,324,2,37),(15,2195259,'1',3,104,1,9),(15,2195291,'1',3,304,2,63),(15,2195330,'1',3,333,1,9),(15,2195399,'1',3,450,1,19),(15,2195429,'1',2,202,2,13),(15,2195631,'1',3,326,1,2),(15,2195674,'1',3,319,1,28),(15,2195763,'1',3,308,1,19),(15,2195925,'1',3,234,1,12),(15,2195968,'1',3,420,2,40),(15,2196042,'1',3,450,1,20),(15,2196050,'1',3,214,2,19),(15,2196069,'1',3,319,2,40),(15,2196506,'1',3,420,2,44),(15,2196700,'1',3,444,1,17),(15,2196808,'1',3,426,2,24),(15,2196859,'1',3,207,1,8),(15,2196956,'1',3,5,2,54),(15,2197057,'1',3,220,1,14),(15,2197103,'1',3,203,1,16),(15,2197138,'1',3,318,1,24),(15,2197308,'1A',3,238,1,33),(15,2197324,'1',2,101,2,14),(15,2197332,'1',3,331,1,7),(15,2197340,'1A',3,212,2,19),(15,2197359,'1',3,102,2,83),(15,2197448,'1',3,420,1,10),(15,2197693,'1',3,238,1,14),(15,2197707,'1',3,220,2,28),(15,2197847,'1',3,208,2,58),(15,2197855,'1',3,420,2,39),(15,2197863,'1',3,329,1,7),(15,2197928,'1',2,308,1,10),(15,2197987,'1',3,211,1,5),(15,2198088,'1',3,203,2,42),(15,2198100,'1',3,207,2,47),(15,2198150,'1',3,415,2,34),(15,2198177,'1',3,208,1,20),(15,2198215,'1',3,324,1,10),(15,2198223,'1',3,317,2,43),(15,2198258,'1',2,202,1,4),(15,2198290,'1',3,234,1,9),(15,2198347,'1',3,208,1,11),(15,2198398,'1',1,216,1,3),(15,2198517,'1',3,428,1,6),(15,2198576,'1',3,103,2,39),(15,2198630,'1',3,224,2,28),(15,2198649,'1',3,101,2,37),(15,2198665,'1',2,208,1,3),(15,2198673,'1',3,324,1,3),(15,2198800,'1',3,5,2,47),(15,2198819,'1',3,451,1,9),(15,2198975,'1',3,207,1,7),(15,2199041,'1',1,208,2,10),(15,2199130,'1',2,420,2,10),(15,2199297,'1',1,304,2,3),(15,2199351,'1',3,423,1,20),(15,2199629,'1',3,233,2,41),(15,2199637,'1',2,223,1,4),(15,2199815,'1',3,234,1,20),(15,2199831,'1',3,223,1,39),(15,2199840,'1',1,225,1,2),(15,2199963,'1',3,104,2,53),(15,2199998,'1',3,318,1,17),(15,2200066,'1',2,318,2,13),(15,2200082,'1',3,201,2,61),(15,2200147,'1A',3,428,2,42),(15,2200236,'1',3,104,2,59),(15,2200260,'1',2,104,1,7),(15,2200287,'1',2,201,1,9),(15,2200341,'1',3,428,2,52),(15,2200414,'1A',3,427,1,18),(15,2200457,'1',3,102,2,66),(15,2200562,'1',3,2,1,20),(15,2200570,'1',2,318,2,10),(15,2200791,'1',3,320,2,16),(15,2201062,'1',3,319,2,38),(15,2201100,'1',3,316,1,14),(15,2201410,'1',3,339,1,6),(15,2201429,'1',2,308,2,11),(15,2201534,'1',2,234,1,4),(15,2201585,'2',1,211,2,7),(15,2201607,'1',3,327,2,3),(15,2201917,'1',3,202,1,26),(15,2201984,'1',2,238,2,18),(15,2202034,'1',3,203,2,59),(15,2202077,'1',3,238,1,23),(15,2202158,'1A',3,426,2,26),(15,2202255,'1',3,220,1,1),(15,2202727,'1',3,304,2,36),(15,2202751,'1',2,317,2,13),(15,2202760,'1A',3,202,2,71),(15,2202930,'1',3,207,2,31),(15,2203022,'1',3,316,2,34),(15,2203170,'1',2,2,1,9),(15,2203294,'1',3,201,1,17),(15,2203405,'1',3,234,2,29),(15,2203421,'1',3,216,1,17),(15,2203588,'1',3,333,1,7),(15,2203871,'1',3,207,2,46),(15,2203880,'1',1,415,2,6),(15,2204061,'1',3,421,1,1),(15,2204207,'1',2,101,2,8),(15,2204290,'1',2,426,2,1),(15,2204339,'1',3,319,1,14),(15,2204460,'1',3,308,1,16),(15,2204479,'1',3,310,1,16),(15,2204533,'1A',2,427,1,8),(15,2204541,'1',3,208,2,61),(15,2204690,'1',2,450,1,6),(15,2204720,'1',1,212,1,1),(15,2204746,'1',3,2,1,24),(15,2204754,'1',3,319,1,16),(15,2204843,'1',2,212,2,7),(15,2205050,'1',3,225,1,33),(15,2205068,'1',2,102,2,20),(15,2205130,'1A',3,421,1,27),(15,2205165,'1A',3,216,2,24),(15,2205254,'1',3,102,2,67),(15,2205599,'1',3,415,2,35),(15,2205670,'1',2,220,2,8),(15,2205734,'1',3,302,2,42),(15,2205807,'1',3,225,1,28),(15,2205823,'1',3,501,1,20),(15,2205831,'1',2,332,2,3),(15,2205955,'1A',2,213,2,5),(15,2206242,'1A',3,215,1,7),(15,2206358,'1',3,214,1,13),(15,2206420,'1',3,319,2,55),(15,2206498,'1',3,2,1,30),(15,2206536,'1',3,203,1,1),(15,2206609,'1',3,320,2,6),(15,2206692,'1',3,324,2,47),(15,2206714,'1',3,326,1,18),(15,2206790,'1',3,202,1,19),(15,2206897,'1',3,224,2,19),(15,2206986,'1',2,303,1,4),(15,2207052,'1',3,318,2,44),(15,2207249,'1',3,451,1,4),(15,2207290,'1',3,101,1,8),(15,2207320,'1',2,234,2,12),(15,2207362,'1',1,5,2,7),(15,2207575,'1',3,428,1,8),(15,2207672,'1',3,302,2,36),(15,2207680,'1',1,404,1,1),(15,2207826,'1',3,208,1,28),(15,2208199,'1',3,324,2,38),(15,2208407,'1',3,301,2,40),(15,2208512,'1',2,427,1,7),(15,2208520,'1',3,234,1,2),(15,2208547,'1',3,208,2,42),(15,2208563,'1',2,333,1,4),(15,2208610,'1',3,234,1,13),(15,2208652,'1A',3,427,1,17),(15,2208679,'1',3,223,1,19),(15,2208920,'1',3,429,2,2),(15,2208946,'1',3,217,2,46),(15,2209055,'1',3,104,2,51),(15,2209187,'1A',3,238,1,26),(15,2209314,'1',3,420,2,37),(15,2209411,'1',3,333,1,16),(15,2209543,'1',3,429,2,10),(15,2209691,'1A',3,213,2,19),(15,2209748,'1',3,301,2,43),(15,2209756,'1',3,501,1,22),(15,2209926,'1',3,425,1,27),(15,2210312,'1',2,202,2,14),(15,2210380,'1A',3,212,2,16),(15,2210410,'1',1,420,1,2),(15,2210665,'1',3,444,2,37),(15,2210690,'1',2,215,1,3),(15,2210789,'1',3,308,2,43),(15,2210835,'1',3,211,1,14),(15,2210894,'1',2,303,2,15),(15,2210908,'1',3,332,2,21),(15,2211025,'1A',3,202,1,30),(15,2211106,'1',3,216,1,3),(15,2211181,'1',2,320,2,6),(15,2211190,'1',1,224,2,2),(15,2211254,'1',3,102,1,8),(15,2211408,'1',3,319,2,50),(15,2211475,'1',2,331,1,2),(15,2211629,'1',2,316,2,17),(15,2211670,'1',3,302,1,20),(15,2211718,'1',3,224,2,15),(15,2211742,'1',3,317,2,42),(15,2211785,'1',3,108,1,16),(15,2211823,'1',3,211,2,44),(15,2211890,'1',1,208,1,3),(15,2211920,'1',3,420,2,32),(15,2212064,'1',2,238,2,14),(15,2212110,'1',3,304,1,23),(15,2212145,'1',3,208,2,38),(15,2212242,'1',3,423,1,26),(15,2212307,'1',3,309,2,49),(15,2212323,'1',3,444,2,33),(15,2212501,'1',3,318,1,30),(15,2212544,'1',3,450,1,22),(15,2212587,'1',3,108,2,38),(15,2212714,'1',2,103,1,4),(15,2212730,'1',3,304,1,12),(15,2212757,'1',3,501,1,16),(15,2213044,'1',3,238,1,17),(15,2213222,'1',3,426,2,5),(15,2213370,'1',3,223,1,14),(15,2213451,'1',3,318,1,27),(15,2213559,'1',3,211,1,11),(15,2213613,'1',2,103,2,12),(15,2213672,'1',2,208,1,1),(15,2213800,'1A',2,208,2,20),(15,2213834,'1',3,331,1,22),(15,2214121,'1',2,2,1,7),(15,2214180,'1',3,101,2,39),(15,2214210,'1A',3,213,1,6),(15,2214377,'1',3,202,1,12),(15,2214415,'1',3,309,2,56),(15,2214458,'1A',3,214,2,22),(15,2214474,'1',2,316,1,5),(15,2214776,'1',2,421,1,7),(15,2214849,'1',3,101,1,19),(15,2214989,'1',3,421,1,11),(15,2214997,'1',1,319,2,7),(15,2215071,'2',1,427,1,2),(15,2215233,'1',3,328,1,19),(15,2215780,'1',3,103,1,21),(15,2215810,'1',3,327,2,22),(15,2215870,'1',3,309,1,19),(15,2215896,'1',2,102,2,22),(15,2216116,'2',1,309,1,2),(15,2216175,'1',2,318,1,8),(15,2216191,'1',2,201,1,4),(15,2216221,'1',3,424,1,11),(15,2216272,'1',1,301,1,1),(15,2216361,'1',3,233,2,43),(15,2216418,'1',1,326,1,4),(15,2216442,'1',2,424,1,3),(15,2216566,'1',3,104,1,28),(15,2216604,'1',3,415,1,4),(15,2216639,'1',1,318,1,1),(15,2216647,'1',3,214,2,26),(15,2216701,'1',2,220,1,2),(15,2216710,'1',3,234,1,15),(15,2216760,'1',3,427,1,9),(15,2216892,'1',3,421,1,5),(15,2216990,'1',3,103,2,56),(15,2217058,'1A',3,201,2,70),(15,2217449,'1',3,220,2,23),(15,2217465,'1',3,420,1,21),(15,2217511,'1',3,502,2,37),(15,2217813,'1',1,444,2,4),(15,2217821,'1',2,502,1,6),(15,2217856,'1',1,201,1,2),(15,2217872,'1',3,502,1,9),(15,2217945,'1',3,318,1,16),(15,2218283,'1A',3,208,2,63),(15,2218330,'1',2,502,2,9),(15,2218356,'1',3,207,1,21),(15,2218410,'1',2,222,1,5),(15,2218445,'1',3,304,2,39),(15,2218453,'1',3,304,1,20),(15,2218496,'1',3,324,2,35),(15,2218542,'1',3,428,2,36),(15,2218577,'1',2,217,2,10),(15,2218763,'1',3,304,2,67),(15,2219077,'1',3,320,2,26),(15,2219085,'1',2,421,1,4),(15,2219123,'1',3,208,2,48),(15,2219166,'1',3,328,1,18),(15,2219522,'1',3,2,1,16),(15,2219620,'1',2,202,2,17),(15,2219638,'1',3,444,1,2),(15,2219689,'1',2,320,2,7),(15,2219824,'1',3,224,2,16),(15,2219832,'1',3,326,1,13),(15,2219840,'1',3,451,1,6),(15,2219930,'1',3,318,2,59),(15,2219956,'1',1,302,2,3),(15,2219999,'1',3,324,2,41),(15,2220032,'1',3,318,2,37),(15,2220067,'1',3,302,2,47),(15,2220490,'1',2,108,2,10),(15,2220512,'1',2,5,2,10),(15,2220580,'1',2,108,2,7),(15,2220636,'1',3,426,2,22),(15,2220644,'1',3,2,1,22),(15,2220849,'1',2,331,1,6),(15,2220873,'1',3,102,2,52),(15,2220881,'1',3,308,1,11),(15,2220903,'1',3,339,2,41),(15,2221039,'1',3,426,2,27),(15,2221110,'1A',3,212,1,8),(15,2221284,'1A',2,220,2,12),(15,2221292,'1',1,415,1,2),(15,2221551,'1A',3,208,1,18),(15,2221640,'1',3,428,1,28),(15,2221756,'1',2,224,2,1),(15,2221764,'1',3,331,1,23),(15,2221837,'1A',3,421,1,18),(15,2221853,'1',3,234,1,3),(15,2221861,'1',3,102,1,43),(15,2222086,'1',3,317,2,33),(15,2222272,'1',3,320,2,9),(15,2222353,'1',1,339,2,5),(15,2222400,'1',3,309,1,13),(15,2222639,'1',3,102,1,5),(15,2222930,'1',3,318,2,62),(15,2222965,'1',3,302,2,45),(15,2222990,'1',3,302,2,54),(15,2223120,'1',2,207,2,12),(15,2223210,'1',3,429,2,4),(15,2223376,'1',3,317,2,45),(15,2223562,'1',3,310,1,28),(15,2224046,'1',3,102,2,65),(15,2224089,'1',3,5,2,45),(15,2224127,'1',3,202,1,8),(15,2224151,'1A',3,201,2,51),(15,2224470,'1',3,208,1,22),(15,2224526,'1',1,9,1,1),(15,2224666,'1A',3,211,1,23),(15,2224836,'1',3,501,1,34),(15,2224992,'1',3,423,1,22),(15,2225182,'1',3,103,1,13),(15,2225409,'1',2,427,1,4),(15,2225743,'1',3,501,1,4),(15,2225867,'1',3,208,2,57),(15,2225964,'1',3,450,1,15),(15,2226146,'1',2,304,2,11),(15,2226170,'1',3,203,2,54),(15,2226197,'1',3,320,2,5),(15,2226243,'1',3,302,2,39),(15,2226383,'1',3,225,1,43),(15,2226510,'1',3,316,2,38),(15,2226693,'1',3,203,1,8),(15,2226731,'1',2,326,1,9),(15,2226880,'1',2,238,1,7),(15,2227061,'1',3,324,2,34),(15,2227495,'1',3,213,2,25),(15,2227673,'2',1,421,1,1),(15,2227720,'1',2,304,2,13),(15,2227746,'1',3,234,1,19),(15,2227762,'1A',2,233,2,7),(15,2227789,'1',3,501,1,13),(15,2227827,'1',3,339,1,8),(15,2227886,'1',3,415,1,1),(15,2227908,'1',3,225,1,41),(15,2228041,'1',3,238,1,21),(15,2228289,'1',3,303,2,51),(15,2228343,'1',2,320,2,3),(15,2228530,'1',2,208,1,6),(15,2228629,'1',3,224,2,18),(15,2228696,'1',3,316,1,17),(15,2228858,'1A',3,428,2,47),(15,2229358,'1',2,234,2,7),(15,2229471,'1',3,310,1,7),(15,2229560,'1A',3,216,2,23),(15,2229595,'1',3,331,1,10),(15,2229722,'1',3,234,1,4),(15,2229781,'1',3,451,1,15),(15,2229935,'1',3,502,2,32),(15,2230321,'1',3,104,1,23),(15,2230496,'1',2,317,1,3),(15,2230992,'1A',3,202,2,54),(15,2231131,'1',3,223,1,43),(15,2231190,'1A',3,427,1,14),(15,2231352,'1',4,211,1,3),(15,2231360,'1',2,238,2,20),(15,2231484,'1',3,104,1,17),(15,2231522,'1',1,320,2,3),(15,2231549,'1',3,212,2,30),(15,2231611,'1',3,222,1,4),(15,2231638,'1',3,309,2,55),(15,2231689,'1A',3,202,1,36),(15,2231778,'1',3,304,1,32),(15,2231930,'1',1,329,1,1),(15,2231980,'1',3,108,2,33),(15,2232111,'1',3,404,1,9),(15,2232189,'1',3,421,1,28),(15,2232219,'1',3,501,1,23),(15,2232251,'1',3,5,1,26),(15,2232456,'1',2,308,2,18),(15,2232537,'1',3,212,2,31),(15,2232812,'1',3,101,1,17),(15,2232880,'1',3,444,1,9),(15,2232960,'2',1,318,1,5),(15,2233037,'1',4,5,1,1),(15,2233207,'1',2,222,1,3),(15,2233290,'1',2,415,1,5),(15,2233304,'1',2,318,2,18),(15,2233568,'1',3,317,1,27),(15,2233606,'1',3,451,1,22),(15,2233703,'1A',3,421,1,10),(15,2233908,'1',3,324,1,5),(15,2234041,'1',3,420,1,14),(15,2234190,'1',2,429,2,2),(15,2234564,'1',2,217,1,1),(15,2234653,'1',3,404,2,26),(15,2234718,'1',2,208,1,8),(15,2234882,'1',2,234,1,5),(15,2235021,'1',2,202,1,6),(15,2235374,'1',3,415,2,39),(15,2235447,'1',3,501,1,31),(15,2235471,'1',3,316,2,59),(15,2235714,'1',3,318,1,9),(15,2235900,'1',3,203,1,9),(15,2235935,'1',3,317,2,41),(15,2236001,'1',3,238,1,34),(15,2236010,'1',3,208,2,39),(15,2236060,'1',3,451,1,2),(15,2236265,'1',3,238,1,6),(15,2236460,'1',3,302,2,46),(15,2236486,'1',3,404,2,31),(15,2236680,'1',3,302,1,17),(15,2236834,'1',3,429,2,15),(15,2237156,'1',2,303,1,3),(15,2237210,'1',3,427,1,27),(15,2237415,'1',3,428,1,31),(15,2237580,'1',3,203,2,55),(15,2237660,'1',3,428,1,4),(15,2237873,'1A',3,238,2,70),(15,2237903,'1',3,103,1,22),(15,2237946,'1A',3,202,1,34),(15,2238101,'1',1,332,2,4),(15,2238250,'1',2,317,2,9),(15,2238357,'1',3,331,1,28),(15,2238381,'1',2,318,2,17),(15,2238446,'1',3,309,1,24),(15,2238535,'1',3,238,2,64),(15,2238624,'1',3,2,1,28),(15,2238667,'1A',3,238,2,65),(15,2238705,'1',3,333,1,4),(15,2238934,'1A',3,429,2,29),(15,2238993,'1',3,101,1,15),(15,2239078,'1',3,318,1,8),(15,2239183,'1',3,316,1,30),(15,2239493,'1',2,303,1,1),(15,2239698,'1A',2,427,1,3),(15,2239795,'1',2,211,1,3),(15,2240122,'1',3,203,2,58),(15,2240181,'1',2,224,2,7),(15,2240220,'1',3,425,1,26),(15,2240335,'1',3,301,1,11),(15,2240424,'1',2,426,2,7),(15,2240505,'1',3,425,1,2),(15,2240670,'1',3,444,2,34),(15,2240734,'1',1,217,2,7),(15,2240955,'1',2,333,1,2),(15,2241234,'1',3,420,2,24),(15,2241323,'1',3,203,1,30),(15,2241480,'1',3,324,2,44),(15,2241498,'1',3,309,1,12),(15,2241692,'1',3,428,1,13),(15,2241706,'1',3,308,2,41),(15,2241838,'1',3,444,1,12),(15,2241889,'1',3,217,1,6),(15,2241900,'1',3,208,1,10),(15,2241943,'1',2,304,2,14),(15,2242010,'1',2,224,2,4),(15,2242265,'1',3,104,2,38),(15,2242290,'1',1,238,1,3),(15,2242443,'1',3,104,1,18),(15,2242710,'1',3,203,1,27),(15,2242737,'1',2,319,1,7),(15,2243148,'1',3,201,2,59),(15,2243539,'1',2,425,1,2),(15,2243547,'1',3,211,1,12),(15,2243709,'1A',3,233,2,40),(15,2243857,'1',2,421,1,8),(15,2243911,'1',3,309,2,30),(15,2243920,'1',3,213,1,5),(15,2243997,'1',3,225,1,10),(15,2244128,'1',3,304,1,21),(15,2244365,'1',3,428,2,62),(15,2244403,'1A',3,427,1,7),(15,2244420,'1',3,339,1,2),(15,2244438,'1',3,308,1,9),(15,2244446,'1A',3,214,2,20),(15,2244489,'1',2,238,2,17),(15,2244519,'1',3,501,2,53),(15,2244527,'1',3,319,1,19),(15,2244853,'1',2,317,2,14),(15,2244888,'1',3,310,1,15),(15,2245191,'1',1,317,2,4),(15,2245248,'1',3,317,1,25),(15,2245450,'1',3,216,1,2),(15,2245469,'1',2,203,2,12),(15,2245639,'1',1,301,2,5),(15,2245710,'1',3,329,1,21),(15,2245922,'1',3,319,2,49),(15,2245930,'1A',3,208,1,13),(15,2246147,'1',2,215,2,6),(15,2246279,'1',3,308,2,54),(15,2246490,'1',2,211,2,16),(15,2246589,'1',3,203,2,74),(15,2246627,'1A',3,201,2,40),(15,2246732,'1',2,217,2,16),(15,2246740,'1',2,302,2,16),(15,2246910,'1',2,207,2,9),(15,2247011,'1',3,310,1,19),(15,2247062,'1',3,2,1,25),(15,2247127,'1',2,207,1,2),(15,2247283,'1A',3,423,1,25),(15,2247445,'1',3,450,1,2),(15,2247593,'1',2,211,2,14),(15,2247879,'1',3,427,1,4),(15,2248000,'1A',3,238,2,62),(15,2248093,'1',3,5,1,24),(15,2248190,'1',3,316,1,5),(15,2248212,'1',3,326,1,28),(15,2248301,'1',3,316,1,31),(15,2248425,'1',3,220,2,34),(15,2248484,'1',2,451,1,2),(15,2248492,'1',3,423,1,8),(15,2248662,'1',3,339,1,9),(15,2248875,'1',3,423,1,1),(15,2249014,'1A',3,233,2,37),(15,2249111,'1',3,501,1,15),(15,2249553,'1',3,319,1,25),(15,2249561,'2',1,420,2,3),(15,2249618,'1',3,502,2,40),(15,2249758,'1',3,220,1,16),(15,2249774,'1',3,104,1,11),(15,2249936,'1',2,104,2,14),(15,2250004,'1A',3,213,2,17),(15,2250055,'1',3,308,2,47),(15,2250250,'1',2,310,1,4),(15,2250292,'1',3,208,1,4),(15,2250365,'1',2,309,1,2),(15,2250713,'1A',3,233,2,27),(15,2250802,'1',3,502,1,19),(15,2250870,'1',3,202,1,25),(15,2250888,'1',3,317,1,4),(15,2250934,'1',3,316,1,13),(15,2250950,'1',3,101,2,33),(15,2250969,'1',3,328,1,7),(15,2250993,'1',3,426,2,4),(15,2251035,'1',3,317,1,19),(15,2251051,'2',1,102,2,9),(15,2251108,'1',2,420,2,11),(15,2251515,'1',3,302,2,50),(15,2251582,'1',3,301,2,45),(15,2251663,'1',3,339,2,25),(15,2251680,'1',3,202,2,39),(15,2251779,'1',3,425,1,8),(15,2251914,'1',3,225,1,39),(15,2251949,'1',3,2,1,9),(15,2251957,'1',3,420,1,17),(15,2251990,'1',3,324,1,6),(15,2252031,'1',3,501,2,49),(15,2252040,'1',2,5,2,11),(15,2252139,'1',3,319,2,54),(15,2252210,'1',3,224,2,27),(15,2252244,'1',3,217,2,41),(15,2252368,'1',3,102,1,11),(15,2252384,'1',3,309,1,27),(15,2252406,'1',1,404,1,2),(15,2252457,'1',1,202,1,3),(15,2252597,'1',3,420,1,22),(15,2252635,'1',2,212,2,8),(15,2252643,'1',3,423,1,14),(15,2252651,'1',3,212,2,28),(15,2252678,'1A',3,202,2,48),(15,2252708,'1',2,2,1,1),(15,2253020,'1',3,326,1,11),(15,2253070,'1A',2,212,1,4),(15,2253089,'1',3,327,2,16),(15,2253097,'1',1,316,1,1),(15,2253119,'1',3,224,2,1),(15,2253348,'1',3,426,2,18),(15,2253399,'1',3,426,2,13),(15,2253682,'1',3,502,2,26),(15,2253798,'1',3,102,1,25),(15,2253852,'1',3,310,1,21),(15,2253917,'1',2,316,1,7),(15,2253933,'1',2,108,2,11),(15,2253968,'1',3,328,1,3),(15,2254018,'1',1,304,1,2),(15,2254140,'1',2,304,2,18),(15,2254247,'1',3,425,1,23),(15,2254565,'1',3,328,1,6),(15,2254581,'1',3,331,1,16),(15,2254697,'1',1,444,1,2),(15,2254875,'1',3,308,1,32),(15,2254891,'1',2,234,1,6),(15,2254948,'1',3,317,2,36),(15,2255138,'1',3,318,1,31),(15,2255197,'1',3,102,1,12),(15,2255294,'1',2,501,2,16),(15,2255332,'1',3,320,2,11),(15,2255430,'1',3,225,1,49),(15,2255537,'2',1,317,2,6),(15,2255626,'1',3,303,1,16),(15,2255871,'1',3,303,2,30),(15,2255910,'1',3,324,2,46),(15,2255928,'1',3,317,2,39),(15,2255944,'1A',1,208,1,2),(15,2255987,'1',2,203,2,16),(15,2256053,'1',3,207,2,35),(15,2256096,'1',2,501,1,3),(15,2256118,'1',3,203,2,69),(15,2256126,'1',3,301,1,16),(15,2256770,'1',2,415,2,7),(15,2256789,'1',3,302,1,16),(15,2256851,'1',3,104,1,30),(15,2256886,'1',3,104,2,39),(15,2256940,'1',3,301,2,63),(15,2257025,'1',1,404,2,5),(15,2257297,'1A',3,208,1,25),(15,2257459,'1',2,217,2,15),(15,2257467,'1',3,328,1,4),(15,2257513,'1',3,328,1,2),(15,2257599,'1',3,104,2,37),(15,2257645,'1',3,316,1,25),(15,2257700,'1',3,424,1,20),(15,2258315,'1',3,302,1,28),(15,2258447,'1',3,224,2,3),(15,2258609,'1',3,202,2,49),(15,2258722,'1',3,108,2,42),(15,2258757,'1',2,303,2,10),(15,2258870,'1',3,302,1,15),(15,2258927,'1',3,501,1,5),(15,2258978,'1',3,316,2,58),(15,2259036,'1A',3,427,1,26),(15,2259265,'1',3,320,2,13),(15,2259320,'1',3,423,1,19),(15,2259494,'1',3,404,2,34),(15,2259834,'1',3,5,1,22),(15,2260158,'1A',3,428,1,17),(15,2260220,'1',3,427,1,25),(15,2260247,'1',2,319,2,16),(15,2260433,'1',1,225,1,1),(15,2260450,'1',3,102,1,19),(15,2260565,'1',3,223,1,5),(15,2260581,'1',2,427,1,1),(15,2260743,'1',3,324,2,45),(15,2260816,'1',3,324,1,22),(15,2260840,'1',3,501,2,38),(15,2260913,'1A',3,208,1,32),(15,2260948,'1',3,425,1,16),(15,2260956,'1',3,310,1,29),(15,2261057,'1A',3,213,1,11),(15,2261146,'1',3,324,1,19),(15,2261197,'1',3,317,1,13),(15,2261200,'1',2,201,1,7),(15,2261294,'1',1,331,1,4),(15,2261545,'1',3,327,2,26),(15,2261588,'1',3,328,1,26),(15,2261669,'1A',3,423,1,15),(15,2261952,'1',3,332,2,1),(15,2262037,'1',2,501,1,1),(15,2262070,'1A',3,215,1,11),(15,2262100,'1',3,318,1,14),(15,2262150,'1',1,202,1,1),(15,2262169,'1',3,324,2,30),(15,2262258,'1',3,310,1,2),(15,2262290,'1',3,502,1,15),(15,2262380,'1',3,301,2,41),(15,2262401,'1',2,233,1,4),(15,2262614,'1',3,332,2,2),(15,2262649,'1',2,326,1,5),(15,2262746,'1',3,501,1,25),(15,2262827,'1',3,331,1,8),(15,2263319,'1',3,101,2,49),(15,2263750,'1',1,451,1,2),(15,2263815,'1',2,104,2,16),(15,2263882,'1',2,309,1,3),(15,2263912,'1',3,423,1,2),(15,2263963,'1',3,404,2,36),(15,2264048,'1',1,102,1,2),(15,2264170,'1',3,331,1,21),(15,2264196,'1',3,501,2,67),(15,2264285,'1',3,215,2,22),(15,2264358,'1',3,428,1,19),(15,2264366,'1',3,319,1,6),(15,2264420,'1A',3,202,2,61),(15,2264510,'1',3,224,2,22),(15,2264552,'1',3,9,1,2),(15,2264579,'1A',3,215,2,19),(15,2264625,'1',3,324,1,21),(15,2264706,'1',2,222,1,6),(15,2264722,'1',3,444,1,18),(15,2264900,'1',3,501,2,58),(15,2264986,'1',3,211,1,1),(15,2265079,'1',3,301,2,56),(15,2265117,'1',3,429,2,12),(15,2265605,'1',3,201,1,16),(15,2265621,'1',3,225,1,16),(15,2265664,'1',3,9,1,9),(15,2265680,'1',3,104,2,50),(15,2265800,'1',2,103,1,10),(15,2265923,'1',3,317,1,3),(15,2266059,'1',2,201,1,5),(15,2266113,'1',3,317,1,28),(15,2266130,'1',3,317,1,2),(15,2266180,'1',3,318,1,26),(15,2266210,'1',2,428,1,5),(15,2266431,'1',3,429,2,19),(15,2266547,'1',1,238,1,5),(15,2266571,'1',3,415,2,31),(15,2266601,'1',3,451,1,8),(15,2266660,'1',3,302,2,57),(15,2266873,'1',2,301,1,8),(15,2266881,'1',2,301,1,6),(15,2267098,'1',3,420,2,25),(15,2267128,'1',3,502,2,27),(15,2267233,'1',3,207,2,33),(15,2267292,'1',3,233,1,22),(15,2267470,'1',3,404,1,5),(15,2267594,'1',1,234,1,2),(15,2267632,'1',2,404,1,5),(15,2267667,'1',3,502,2,24),(15,2267721,'1',3,324,2,55),(15,2267810,'1',2,201,2,19),(15,2267896,'1',2,332,2,7),(15,2268000,'1',3,211,2,38),(15,2268124,'1',2,202,1,9),(15,2268221,'1A',3,208,1,35),(15,2268299,'1',3,450,1,14),(15,2268388,'1',3,104,2,55),(15,2268442,'1',3,2,1,21),(15,2268469,'1A',3,424,1,19),(15,2268728,'1',2,203,1,3),(15,2268868,'1',3,203,2,75),(15,2269058,'1',3,9,1,14),(15,2269210,'1',3,302,1,14),(15,2269287,'1',3,426,2,9),(15,2269295,'1',3,319,1,8),(15,2269350,'1',2,329,1,4),(15,2269449,'1',3,444,2,25),(15,2269457,'1',3,318,2,56),(15,2269520,'1',2,211,1,7),(15,2269562,'1',2,329,1,1),(15,2269635,'1',3,217,2,39),(15,2270072,'1',3,421,1,20),(15,2270153,'1',2,9,1,3),(15,2270609,'1A',3,429,2,13),(15,2270706,'1',3,201,2,48),(15,2270820,'1A',3,202,2,64),(15,2270951,'1',3,211,1,21),(15,2270978,'1',3,225,1,32),(15,2270994,'1',3,214,1,10),(15,2271036,'1',3,444,1,4),(15,2271150,'1',1,102,1,4),(15,2271206,'1',3,101,2,25),(15,2271338,'1',1,329,1,2),(15,2271508,'2',1,451,1,1),(15,2271591,'1',3,102,2,53),(15,2271605,'1',2,425,1,1),(15,2271613,'1',2,429,2,7),(15,2271761,'1',3,234,1,16),(15,2271788,'1',3,310,1,6),(15,2271877,'1',3,207,2,43),(15,2271923,'1',2,318,1,5),(15,2272270,'1',3,427,1,11),(15,2272288,'1',3,309,1,21),(15,2272423,'1',2,415,1,4),(15,2272890,'1',3,201,1,3),(15,2272946,'1',3,324,2,43),(15,2273411,'1',3,404,2,42),(15,2273608,'1A',3,208,1,7),(15,2273640,'1',1,310,1,1),(15,2273659,'1',3,302,2,44),(15,2273780,'1',2,423,1,7),(15,2273900,'1',3,211,2,36),(15,2273934,'1',1,303,2,5),(15,2274000,'1',1,450,1,1),(15,2274256,'1',3,224,2,24),(15,2274329,'1A',3,421,1,24),(15,2274345,'1A',3,428,2,43),(15,2274361,'1',2,208,2,18),(15,2274418,'1',3,201,1,11),(15,2274639,'1',3,211,2,51),(15,2274655,'1',3,316,2,35),(15,2274671,'1',3,108,1,1),(15,2274752,'1',3,308,1,31),(15,2274876,'1',3,426,2,11),(15,2275074,'1',3,103,2,52),(15,2275090,'1',3,328,1,27),(15,2275210,'1',3,424,1,27),(15,2275287,'1',3,302,1,27),(15,2275414,'1',3,451,1,13),(15,2275600,'1',3,222,1,10),(15,2275627,'1',3,238,1,10),(15,2275651,'1',3,224,2,10),(15,2275660,'1',2,444,1,1),(15,2275830,'1',3,425,1,3),(15,2276437,'1',2,215,2,8),(15,2276461,'1',3,444,1,7),(15,2276488,'1',3,104,1,26),(15,2276496,'1',3,217,2,32),(15,2276640,'1',2,5,2,16),(15,2276755,'1',3,332,2,22),(15,2276763,'1',3,329,1,17),(15,2277034,'1',3,318,1,5),(15,2277042,'1',3,339,1,12),(15,2277050,'1',2,102,1,3),(15,2277140,'1A',2,233,2,8),(15,2277263,'1',3,213,1,3),(15,2277310,'1',2,316,2,12),(15,2277379,'1',3,303,1,12),(15,2277514,'1A',3,211,2,54),(15,2277700,'2',1,101,1,2),(15,2277794,'1',2,102,2,16),(15,2277816,'1',2,329,1,5),(15,2277883,'1',2,2,1,3),(15,2277913,'1',3,329,1,4),(15,2277980,'1A',3,201,1,14),(15,2278081,'1',3,208,1,19),(15,2278189,'1',3,238,2,43),(15,2278197,'1',3,304,2,68),(15,2278405,'1',3,238,2,37),(15,2278502,'1',3,319,1,9),(15,2278618,'1',3,215,2,29),(15,2278626,'1',3,211,1,18),(15,2278758,'1',3,214,1,1),(15,2278812,'1',3,304,2,56),(15,2278820,'1',1,327,2,2),(15,2279002,'1',3,424,1,21),(15,2279061,'1',3,2,1,17),(15,2279100,'1',2,223,1,9),(15,2279134,'1',3,222,1,8),(15,2279150,'1',3,425,1,19),(15,2279177,'1',3,304,1,19),(15,2279827,'1',3,308,1,5),(15,2279940,'1',3,304,1,18),(15,2280078,'1',3,329,1,5),(15,2280132,'1',2,222,1,4),(15,2280175,'1',3,310,1,24),(15,2280221,'1',3,224,2,17),(15,2280299,'1',3,308,2,51),(15,2280361,'1A',3,201,1,20),(15,2280523,'1',2,103,2,17),(15,2280566,'1',3,102,2,45),(15,2280710,'1',3,501,2,45),(15,2280736,'1',3,102,1,34),(15,2280922,'1',3,328,1,8),(15,2281040,'1',2,102,1,10),(15,2281163,'1',3,308,1,34),(15,2281325,'1',3,424,1,8),(15,2281449,'1',3,501,2,39),(15,2281538,'1',3,425,1,4),(15,2281589,'1',3,223,1,33),(15,2281597,'1',1,331,1,1),(15,2281600,'1',3,220,2,38),(15,2281643,'1',1,327,2,1),(15,2282038,'1',3,331,1,2),(15,2282046,'1',3,216,1,13),(15,2282100,'1',3,425,1,21),(15,2282305,'1',3,316,2,43),(15,2282399,'1',2,339,2,12),(15,2282461,'1',3,2,1,13),(15,2282500,'1',2,102,1,8),(15,2282585,'1',3,320,2,7),(15,2282623,'1',3,423,1,23),(15,2282704,'1',3,425,1,20),(15,2282828,'1',3,427,1,29),(15,2282909,'1',3,302,1,18),(15,2282976,'1',3,222,1,22),(15,2282984,'1',3,224,2,20),(15,2283069,'1',3,425,1,12),(15,2283310,'1',3,501,1,29),(15,2283328,'2',1,201,2,9),(15,2283352,'1',3,102,1,6),(15,2283468,'1',3,451,1,20),(15,2283476,'1',2,339,1,2),(15,2283522,'1',3,211,2,55),(15,2283530,'1',3,501,2,43),(15,2283794,'1',3,308,2,70),(15,2283816,'1',3,101,2,41),(15,2283840,'1',2,208,1,9),(15,2283905,'1',3,238,1,31),(15,2283980,'1',3,208,1,3),(15,2284103,'1',3,423,1,28),(15,2284120,'1',3,301,2,48),(15,2284553,'2',1,304,1,1),(15,2284723,'2',1,102,1,5),(15,2285070,'1A',3,238,2,57),(15,2285282,'1',3,216,2,26),(15,2285371,'1',3,214,1,6),(15,2285487,'1A',3,215,1,2),(15,2285495,'1A',3,208,1,8),(15,2285690,'1',3,332,2,25),(15,2285746,'1',3,309,2,42),(15,2285819,'1',3,302,2,60),(15,2285916,'1',3,332,2,5),(15,2285932,'1',3,9,1,23),(15,2286106,'1',3,108,1,20),(15,2286220,'1',3,202,1,14),(15,2286238,'2',1,303,2,8),(15,2286335,'1',3,308,2,53),(15,2286572,'1',3,423,1,7),(15,2286750,'1',3,316,1,28),(15,2286831,'1',3,223,1,25),(15,2286955,'2',1,429,2,1),(15,2287110,'1',2,207,2,14),(15,2287315,'1',3,202,1,9),(15,2287609,'1',2,104,2,18),(15,2287714,'1',3,318,2,45),(15,2287749,'1',3,425,1,10),(15,2287773,'1',3,318,2,53),(15,2288168,'1',3,444,2,39),(15,2288320,'1',2,328,1,2),(15,2288427,'1',1,207,2,7),(15,2288486,'1A',3,423,1,30),(15,2288745,'1',2,201,1,8),(15,2288958,'1',3,331,1,3),(15,2288982,'1A',3,238,2,42),(15,2289016,'1',3,502,2,25),(15,2289105,'1',3,444,1,10),(15,2289121,'1A',3,421,1,25),(15,2289210,'1',3,238,2,39),(15,2289229,'1',3,332,2,17),(15,2289288,'1',3,217,1,17),(15,2289610,'1',3,501,2,35),(15,2289890,'1',3,317,2,51),(15,2290324,'1',3,320,2,18),(15,2290499,'1',3,2,1,7),(15,2290944,'1',2,212,1,2),(15,2290979,'1',3,318,2,51),(15,2291355,'1',3,326,1,29),(15,2291487,'1',3,207,1,6),(15,2291525,'1',3,212,2,29),(15,2291673,'1',3,318,2,38),(15,2291819,'1',3,104,2,57),(15,2291886,'1',3,310,1,10),(15,2291916,'1',3,415,1,9),(15,2292033,'1',3,404,1,10),(15,2292050,'1A',3,428,2,59),(15,2292076,'1',3,2,1,35),(15,2292190,'1',3,308,1,2),(15,2292203,'1',1,201,1,5),(15,2292220,'1',3,102,2,59),(15,2292254,'1',3,427,1,22),(15,2292300,'1',2,426,2,8),(15,2292408,'1',3,302,2,49),(15,2292831,'1',3,103,2,48),(15,2292882,'1',3,220,1,8),(15,2292998,'1',3,215,1,1),(15,2293099,'1',1,214,2,2),(15,2293188,'2',1,9,1,2),(15,2293374,'2',1,309,2,5),(15,2293382,'1',2,308,2,16),(15,2293498,'1',3,304,2,55),(15,2293528,'1',3,316,2,39),(15,2293617,'1',3,319,2,56),(15,2293625,'1',3,222,1,19),(15,2293900,'1',2,502,1,4),(15,2294117,'1',3,5,2,51),(15,2294389,'1A',3,423,1,18),(15,2294508,'1',3,501,2,56),(15,2294583,'1',1,207,1,3),(15,2294745,'1',3,404,1,17),(15,2294842,'1',3,302,1,3),(15,2294869,'1A',3,208,2,47),(15,2294885,'1',2,203,1,6),(15,2294915,'1',3,326,1,24),(15,2294923,'1',1,215,1,1),(15,2294958,'1',3,339,1,21),(15,2295199,'1',2,238,2,13),(15,2295202,'1',3,309,2,46),(15,2295300,'1',3,331,1,1),(15,2295318,'1',3,301,2,42),(15,2295598,'1',1,316,1,2),(15,2296101,'1',1,220,2,4),(15,2296152,'1',1,415,1,3),(15,2296241,'1',1,425,1,1),(15,2296462,'1',3,404,2,29),(15,2296578,'1',3,331,1,13),(15,2296586,'1',3,211,2,31),(15,2296675,'1',3,324,2,33),(15,2296730,'1',3,427,1,10),(15,2296780,'1',3,207,1,24),(15,2296870,'1',3,308,2,48),(15,2297302,'1',3,339,2,34),(15,2297310,'1',3,501,2,63),(15,2297337,'1',3,223,1,36),(15,2297400,'1',1,217,2,8),(15,2297442,'1',1,327,2,5),(15,2297485,'1',3,202,1,17),(15,2297523,'1',3,331,1,18),(15,2297582,'1',3,301,1,28),(15,2297752,'1',1,302,1,2),(15,2297760,'1',3,309,2,50),(15,2297833,'1',3,301,2,57),(15,2297876,'1',3,308,2,66),(15,2298139,'1',3,310,1,22),(15,2298171,'1',1,324,2,8),(15,2298260,'1',1,444,1,1),(15,2298287,'1A',3,421,1,21),(15,2298414,'1',3,216,2,18),(15,2298643,'1',3,207,2,51),(15,2299046,'1A',3,238,1,15),(15,2299160,'1',2,451,1,3),(15,2299178,'1',3,327,2,4),(15,2299194,'1',2,301,1,5),(15,2299470,'1',3,320,2,28),(15,2299747,'1',3,304,2,60),(15,2300010,'1',3,427,1,3),(15,2300133,'1A',3,427,1,12),(15,2300150,'1',1,319,2,8),(15,2300362,'1',3,421,1,12),(15,2300486,'1A',2,233,2,11),(15,2300575,'1',3,428,2,54),(15,2300729,'1',3,223,1,45),(15,2300850,'1',3,304,1,11),(15,2300893,'1',1,316,2,6),(15,2301296,'1',3,328,1,20),(15,2301466,'1',3,324,2,54),(15,2301512,'1',2,2,1,5),(15,2301547,'1',3,225,1,34),(15,2301768,'1',3,223,1,6),(15,2301865,'1',1,207,1,4),(15,2302055,'1',3,234,1,8),(15,2302136,'1',3,304,1,16),(15,2302160,'1',3,429,2,21),(15,2302187,'1',2,324,2,12),(15,2302551,'1',3,339,2,40),(15,2302683,'1',3,427,1,28),(15,2303159,'1',3,304,2,66),(15,2303248,'1',3,316,2,56),(15,2303302,'1',2,214,1,2),(15,2303396,'1',3,317,2,31),(15,2303582,'1',1,222,1,1),(15,2303590,'1',3,451,1,7),(15,2303760,'1',3,428,2,33),(15,2303850,'1',3,223,1,47),(15,2303981,'1',3,425,1,1),(15,2304031,'1',3,451,1,18),(15,2304104,'1A',2,212,1,3),(15,2304210,'1',2,309,1,5),(15,2304392,'1',3,444,1,21),(15,2304546,'1',3,426,2,10),(15,2304619,'1',3,326,1,12),(15,2304708,'1',3,223,1,37),(15,2304732,'1',3,238,2,68),(15,2304805,'1',3,317,2,35),(15,2304880,'1',3,318,1,12),(15,2304929,'1',3,451,1,19),(15,2304970,'1',2,202,2,20),(15,2305488,'1',1,308,1,3),(15,2305585,'1',3,217,1,8),(15,2305690,'1',3,316,1,10),(15,2305836,'1',1,318,2,7),(15,2305844,'1',3,426,2,20),(15,2305895,'1',3,224,2,2),(15,2305909,'2',1,211,1,4),(15,2305968,'1',3,339,1,15),(15,2306018,'1',3,320,2,14),(15,2306077,'1',3,220,2,24),(15,2306158,'1',1,318,1,4),(15,2306204,'1',3,327,2,5),(15,2306271,'1A',3,202,1,29),(15,2306913,'1',1,233,1,1),(15,2307014,'1',3,327,2,17),(15,2307030,'1',1,308,1,2),(15,2307073,'1',3,420,2,38),(15,2307146,'1',3,320,2,25),(15,2307421,'1',2,213,1,3),(15,2307561,'1',3,404,1,11),(15,2307626,'1',1,101,1,4),(15,2307634,'1',3,223,1,35),(15,2308207,'1',3,428,1,11),(15,2308215,'2',1,427,1,1),(15,2308495,'1',1,420,1,1),(15,2308800,'1',3,308,1,27),(15,2308916,'1A',2,213,2,7),(15,2308983,'1',1,202,1,4),(15,2309050,'1',2,444,2,10),(15,2309092,'1',3,5,1,25),(15,2309130,'1',2,223,1,5),(15,2309149,'1',3,501,2,41),(15,2309165,'1',2,318,2,15),(15,2309289,'1',3,302,2,52),(15,2309297,'1A',2,215,2,9),(15,2309475,'1',2,304,1,8),(15,2309602,'1',3,217,1,28),(15,2309637,'1',3,201,1,4),(15,2309734,'1',3,502,2,31),(15,2310236,'1',3,301,1,13),(15,2310260,'1',2,450,1,1),(15,2310376,'1',3,428,2,45),(15,2310384,'1',3,207,2,52),(15,2310392,'1',3,310,1,18),(15,2310422,'1',1,301,1,3),(15,2310570,'2',1,102,1,1),(15,2310619,'1',1,5,2,6),(15,2310783,'1',3,420,2,23),(15,2310899,'1',2,425,1,4),(15,2311135,'1',3,309,1,20),(15,2311364,'1',3,332,2,11),(15,2311380,'1',3,404,1,8),(15,2311550,'1',3,224,2,21),(15,2311810,'1',3,316,2,45),(15,2312050,'1',2,318,1,3),(15,2312174,'1A',3,233,1,6),(15,2312441,'1',3,309,1,9),(15,2312492,'1',3,208,1,12),(15,2312620,'1',3,2,1,14),(15,2312751,'1',2,211,1,1),(15,2313014,'1',3,333,1,21),(15,2313162,'1',3,222,1,15),(15,2313170,'1',1,103,1,2),(15,2313340,'1',3,428,2,57),(15,2313472,'1',3,317,2,58),(15,2313600,'1',1,103,1,4),(15,2313898,'1',3,317,1,7),(15,2313995,'1',3,501,1,24),(15,2314533,'1',3,427,1,2),(15,2314541,'1',3,423,1,24),(15,2314703,'1',3,428,1,16),(15,2314886,'1',3,316,2,61),(15,2314924,'1',3,326,1,22),(15,2315041,'1',2,208,1,7),(15,2315076,'1',3,324,2,50),(15,2315203,'1',3,339,2,32),(15,2315319,'1',3,502,2,29),(15,2315327,'1',2,318,2,16),(15,2315424,'1',3,332,2,6),(15,2315912,'1',1,301,1,4),(15,2316064,'1',3,502,1,10),(15,2316080,'1',2,327,2,7),(15,2316110,'1',3,428,1,10),(15,2316137,'1',3,339,1,13),(15,2316153,'1',2,501,1,6),(15,2316196,'1',3,304,1,34),(15,2316269,'1',3,310,1,27),(15,2316498,'1',3,404,2,38),(15,2316536,'1',3,309,2,52),(15,2316560,'1',3,304,2,50),(15,2316781,'1',3,308,2,63),(15,2316820,'1',3,420,1,20),(15,2316846,'1',3,310,1,11),(15,2316889,'1',3,451,1,5),(15,2317320,'1',2,225,1,13),(15,2317583,'1',2,211,2,15),(15,2317761,'1',3,220,2,22),(15,2317818,'1',3,318,2,60),(15,2317842,'1',3,426,2,2),(15,2317915,'1',3,331,1,14),(15,2318440,'1',2,328,1,7),(15,2318466,'1',3,308,2,62),(15,2318547,'1',2,102,2,23),(15,2318970,'1',2,329,1,7),(15,2320096,'1',3,324,1,7),(15,2320118,'1',3,303,2,39),(15,2320339,'1',3,318,1,3),(15,2320622,'1',3,332,2,13),(15,2320673,'1',3,317,2,46),(15,2320908,'1',1,101,2,5),(15,2320916,'1',3,301,1,4),(15,2320983,'1',3,318,1,22),(15,2321033,'1',3,102,2,58),(15,2321190,'1',1,203,1,2),(15,2321270,'1',3,234,1,21),(15,2321289,'1A',3,421,1,30),(15,2321378,'1',3,310,1,9),(15,2321653,'1',3,329,1,18),(15,2322382,'1',3,501,1,11),(15,2322463,'1',2,215,1,5),(15,2322641,'1',1,207,2,6),(15,2322722,'1',3,317,2,30),(15,2322757,'1',3,222,1,20),(15,2322765,'1',3,339,1,7),(15,2322862,'1',1,425,1,3),(15,2322897,'1',3,421,1,4),(15,2323150,'1',2,233,1,2),(15,2323516,'1',2,333,1,1),(15,2323672,'1',3,320,2,24),(15,2323907,'1',2,310,1,8),(15,2324091,'1',3,339,2,37),(15,2324172,'1',3,502,1,2),(15,2324334,'1',2,502,2,7),(15,2324385,'1',3,320,2,1),(15,2324733,'1',3,501,2,68),(15,2324920,'1',2,308,1,4),(15,2325144,'1',3,326,1,14),(15,2325314,'1',2,309,1,7),(15,2325403,'1',3,238,1,27),(15,2325489,'1',3,501,2,46),(15,2325870,'1',3,423,1,4),(15,2326663,'1',3,425,1,28),(15,2326825,'1',1,333,1,2),(15,2326892,'1',1,5,1,2),(15,2326914,'1',2,301,2,11),(15,2327139,'1A',2,424,1,6),(15,2327201,'1',3,102,2,61),(15,2327309,'1',3,318,2,55),(15,2327325,'1',3,428,2,46),(15,2327767,'1',3,428,2,53),(15,2328003,'1A',3,211,1,28),(15,2328216,'1',3,225,1,42),(15,2328542,'1',1,303,1,2),(15,2328879,'1A',3,427,1,24),(15,2328968,'1',3,302,2,61),(15,2329530,'1',3,424,1,13),(15,2330067,'1',2,421,1,1),(15,2330415,'1A',2,212,1,1),(15,2330652,'1',1,317,1,2),(15,2330954,'1',3,238,2,58),(15,2331381,'1',3,328,1,28),(15,2331420,'1',3,317,1,9),(15,2800187,'1',1,317,1,1),(15,2800195,'1',2,501,2,15),(15,2800209,'1',2,308,1,7),(15,2800241,'1',2,225,1,2),(15,2800250,'1A',2,428,2,11),(15,2800322,'1',2,202,1,2),(15,2800373,'1',2,203,1,9),(15,2800411,'1',2,426,2,3),(15,2800420,'1',2,317,1,5),(15,2800519,'1',2,211,2,11),(15,2800543,'2',1,428,1,1),(15,2800560,'1',2,207,2,15),(15,2800594,'1A',3,201,1,24),(15,2800608,'1A',2,214,2,6),(15,2800616,'1',2,420,2,12),(15,2800640,'1',1,215,2,4),(15,2800691,'1',1,339,1,1),(15,2800713,'1',1,309,1,1),(15,2800900,'1',2,238,2,19),(15,2801000,'1',1,324,1,1),(15,2801060,'1',3,332,2,15),(15,2801370,'1',1,102,2,10),(15,2801485,'1',2,329,1,3),(15,2801515,'1',1,238,2,7),(15,2801566,'1',2,238,1,3),(15,2801612,'1',2,217,2,12),(15,2801647,'1',3,329,1,2),(15,2801760,'1',2,202,2,15),(15,2801906,'1',1,316,2,8),(15,2801930,'1',2,324,1,4),(15,2801949,'1',2,308,1,5),(15,2802023,'1',1,233,2,2),(15,2802066,'1',2,220,1,1),(15,2802112,'1',2,444,1,2),(15,2802180,'1',2,339,1,1),(15,2802201,'1',1,101,1,1),(15,2802333,'1',2,332,2,5),(15,2802368,'1',1,316,1,3),(15,2802414,'1',1,308,2,8),(15,2802503,'1',3,223,1,46),(15,2802570,'1',3,224,2,26),(15,2802651,'1A',2,428,2,16),(15,2802660,'1',2,327,2,4),(15,2802678,'1',2,316,1,9),(15,2802848,'1',2,328,1,6),(15,2802899,'1',2,320,2,8),(15,2803135,'1A',3,423,1,12),(15,2803240,'1',2,238,1,10),(15,2803380,'1',2,429,2,4),(15,2803429,'1',1,301,2,7),(15,2803445,'1',2,317,1,4),(15,2803453,'1',1,332,2,3),(15,2803470,'1',3,332,2,10),(15,2803518,'1',2,303,2,13),(15,2803534,'1',2,217,2,11),(15,2803585,'1',2,104,1,5),(15,2803631,'1',2,415,2,11),(15,2803755,'1',2,308,2,12),(15,2803771,'1',3,101,2,46),(15,2803810,'1',3,309,2,32),(15,2803852,'1',3,339,2,30),(15,2803887,'1',2,324,1,6),(15,2803917,'1',2,108,1,2),(15,2803925,'1',2,502,1,3),(15,2803933,'1',2,324,2,14),(15,2803941,'1',2,309,2,13),(15,2803968,'1',2,225,1,5),(15,2803976,'1',2,309,1,8),(15,2804107,'1',2,223,1,7),(15,2804131,'1',3,220,1,11),(15,2804220,'1',3,339,1,16),(15,2804280,'1',3,451,1,14),(15,2804379,'1',1,326,1,3),(15,2804492,'1',2,329,1,2),(15,2804581,'1',3,222,1,16),(15,2804662,'1',3,309,1,16),(15,2804697,'1',3,309,2,38),(15,2804700,'1',3,427,1,15),(15,2804930,'1',3,308,1,30),(15,2804948,'1',1,201,2,10),(15,2804956,'1',2,309,1,1),(15,2804980,'1',3,223,1,49),(15,2805014,'1',1,324,2,5),(15,2805146,'1',3,317,2,38),(15,2805243,'1',2,302,2,10),(15,2805251,'1',2,102,1,1),(15,2805332,'1',2,215,1,2),(15,2805340,'1',1,5,1,3),(15,2805529,'1',2,317,1,2),(15,2805537,'1',1,444,2,5),(15,2805553,'1',3,428,1,7),(15,2805588,'1',2,319,2,10),(15,2805618,'1',3,101,2,47),(15,2805677,'1',2,309,2,14),(15,2805685,'1',2,501,1,8),(15,2805715,'1',2,415,2,9),(15,2805995,'1',2,302,1,5),(15,2806053,'1',2,429,2,3),(15,2806282,'1',2,302,2,12),(15,2806339,'1',3,309,2,36),(15,2806428,'1',2,316,2,14),(15,2806525,'1',1,339,1,3),(15,2806576,'1',2,223,1,3),(15,2806606,'1',3,309,2,51),(15,2806665,'1',2,319,1,6),(15,2806681,'1',3,202,1,27),(15,2806940,'1',1,309,1,3),(15,2806975,'1',2,238,2,15),(15,2807068,'1',3,415,2,27),(15,2807289,'1',1,238,2,8),(15,2807343,'1',3,309,1,22),(15,2807351,'1',3,309,1,7),(15,2807491,'1',2,302,1,3),(15,2807505,'1',2,428,1,2),(15,2807610,'1',3,332,2,19),(15,2807777,'1',3,326,1,30),(15,2807840,'1',1,332,2,1),(15,2807882,'1',3,339,1,18),(15,2807980,'1',1,444,2,6),(15,2808030,'1',1,450,1,2),(15,2808102,'1',3,332,2,16),(15,2808153,'1',2,225,1,11),(15,2808218,'1',1,213,1,1),(15,2808250,'1',1,324,1,2),(15,2808293,'1',3,320,2,10),(15,2808307,'1',3,320,2,8),(15,2808331,'1',3,424,1,3),(15,2808374,'2',1,309,2,8),(15,2808480,'1',2,339,2,9),(15,2808536,'1',3,222,1,14),(15,2808625,'1',2,327,2,8),(15,2808706,'1',1,108,1,3),(15,2808790,'1',2,324,1,8),(15,2808811,'1',2,102,1,5),(15,2808919,'1',2,224,2,2),(15,2809044,'1',2,316,2,11),(15,2809052,'1',3,301,1,18),(15,2809109,'1A',2,211,2,13),(15,2809117,'1',3,423,1,9),(15,2809141,'1',3,308,1,33),(15,2809168,'1',3,222,1,2),(15,2809184,'1',1,318,2,8),(15,2809290,'1',3,317,2,55),(15,2809338,'1A',2,233,1,5),(15,2809362,'1',3,404,2,30),(15,2809648,'1',3,329,1,14),(15,2809699,'1',2,317,2,12),(15,2809729,'1',1,320,2,1),(15,2809737,'1',2,234,2,11),(15,2809842,'1',2,429,2,5),(15,2809877,'1',2,444,1,6),(15,2809982,'1',2,339,1,4),(15,2810018,'1',2,428,2,15),(15,2810298,'1',3,308,2,64),(15,2810336,'1',3,302,2,43),(15,2810573,'1',3,101,2,43),(15,2810670,'1',2,319,1,5),(15,2810697,'1',2,319,1,1),(15,2810719,'1',3,421,1,8),(15,2810778,'1',3,308,1,13),(15,2810794,'1',2,207,1,6),(15,2810816,'1',2,309,2,15),(15,2810867,'1',2,339,1,6),(15,2810905,'1',3,429,2,28),(15,2810921,'1',2,223,1,6),(15,2810956,'1',2,316,1,1),(15,2810980,'1',1,308,2,6),(15,2811057,'1',1,308,2,9),(15,2811065,'1',3,217,2,56),(15,2811189,'1A',2,208,2,13),(15,2811219,'1',3,308,2,59),(15,2811235,'1',2,211,1,5),(15,2811243,'1',1,502,2,4),(15,2811693,'1',1,423,1,1),(15,2811774,'1',3,309,1,26),(15,2811782,'1',2,404,2,11),(15,2811847,'1',2,309,2,9),(15,2811928,'1',3,223,1,2),(15,2811936,'1',2,404,2,7),(15,2811944,'1',2,501,1,7),(15,2811952,'1',2,318,2,14),(15,2812096,'1',3,324,1,16),(15,2812118,'1',3,309,2,43),(15,2812240,'1',2,316,2,13),(15,2812282,'1',2,108,1,3),(15,2812304,'1',3,223,1,29),(15,2812347,'1A',1,201,2,8),(15,2812495,'1',2,216,2,8),(15,2812533,'1',3,309,2,44),(15,2812541,'1',2,317,1,6),(15,2812622,'1',3,225,1,17),(15,2812630,'1',1,324,1,4),(15,2812673,'1',2,502,2,12),(15,2812681,'1',3,309,2,39),(15,2812789,'1',2,233,1,3),(15,2812797,'1',2,304,2,16),(15,2812827,'1',2,327,2,5),(15,2813009,'1',2,324,1,2),(15,2813025,'1',1,415,1,1),(15,2813084,'1',3,309,1,11),(15,2813157,'1',1,309,2,7),(15,2813190,'1',2,326,1,7),(15,2813327,'1',2,201,2,15),(15,2813491,'1',1,308,2,7),(15,2813548,'1',2,302,1,2),(15,2813572,'1',1,213,2,3),(15,2813777,'1',2,324,1,1),(15,2813807,'1',3,104,1,10),(15,2813858,'1',2,308,2,14),(15,2813866,'1',1,501,2,4),(15,2813890,'1',1,308,1,1),(15,2814200,'2',1,426,2,2),(15,2814269,'1',1,426,2,3),(15,2814382,'1',3,101,1,11),(15,2814390,'1',2,213,1,1),(15,2814528,'1',1,420,2,4),(15,2814536,'1',1,208,1,5),(15,2814560,'1',2,424,1,1),(15,2814625,'1',2,224,2,8),(15,2814781,'1',3,502,2,41),(15,2814838,'1',2,404,1,3),(15,2814943,'1',3,309,2,31),(15,2815010,'1',2,326,1,4),(15,2815184,'2',1,324,2,6),(15,2815257,'1',2,224,2,3),(15,2815290,'1',3,309,1,2),(15,2815354,'1',2,310,1,6),(15,2815389,'1',2,415,1,6),(15,2815397,'1',1,308,1,5),(15,2815435,'1',3,329,1,20),(15,2815478,'1',1,316,2,7),(15,2815524,'1',1,308,1,4),(15,2815567,'1',1,238,1,4),(15,2815575,'1',1,317,1,3),(15,2815605,'1',1,208,1,4),(15,2815648,'1',3,426,2,21),(15,2815672,'1',2,108,1,1),(15,2815842,'1',1,303,1,4),(15,2815931,'1',3,223,1,23),(15,2816032,'1',3,324,1,17),(15,2816229,'1',2,328,1,3),(15,2816288,'1',3,318,2,48),(15,2816440,'1',3,324,2,40),(15,2816458,'1',3,324,2,52),(15,2816660,'1',2,207,1,5),(15,2816903,'1',3,304,1,22),(15,2816911,'1',1,320,2,4),(15,2816938,'1',3,324,1,11),(15,2816962,'1',2,339,2,7),(15,2817152,'1',2,225,1,4),(15,2817195,'1',1,333,1,1),(15,2817365,'1',1,301,2,6),(15,2817403,'1',2,319,2,13),(15,2817497,'1',2,331,1,8),(15,2817500,'1',2,308,1,1),(15,2817560,'1',1,108,1,1),(15,2817578,'1',1,217,1,3),(15,2817624,'2',1,329,1,3),(15,2817705,'1',1,9,1,3),(15,2817845,'1',2,327,2,9),(15,2817870,'1',3,217,2,44),(15,2817896,'1',2,324,2,15),(15,2817900,'1',3,302,2,34),(15,2817942,'1',2,201,1,10),(15,2817950,'2',1,308,2,10),(15,2818078,'1',1,103,2,6),(15,2818086,'1',1,404,2,6),(15,2818183,'1',2,320,2,5),(15,2818213,'1',2,326,1,8),(15,2818230,'1',2,217,1,2),(15,2818248,'1',2,319,2,15),(15,2818264,'1',3,224,2,9),(15,2818280,'1',2,324,2,13),(15,2818299,'1',2,301,2,17),(15,2818329,'1',3,309,2,48),(15,2818345,'1',3,331,1,19),(15,2818426,'1',2,9,1,5),(15,2818485,'1',3,426,2,16),(15,2818647,'1A',3,427,1,30),(15,2818680,'1',2,324,1,3),(15,2818736,'1',1,444,1,3),(15,2818787,'1',3,102,2,79),(15,2818825,'1',1,238,1,2),(15,2818892,'1',3,427,1,13),(15,2819198,'2',1,317,2,5),(15,2819341,'1',2,309,2,10),(15,2819520,'1',2,303,1,6),(15,2819600,'1',3,324,1,13),(15,2819635,'1',2,427,1,5),(15,2819708,'1',3,427,1,19),(15,2819716,'1',2,309,2,12),(15,2819821,'1',2,425,1,3),(15,2819872,'1',1,339,2,6),(15,2819902,'2',1,104,1,5),(15,2819953,'1',2,202,1,1),(15,2820064,'1',3,332,2,23),(15,2820080,'1',3,234,2,44),(15,2820110,'1',2,317,2,11),(15,2820137,'1',2,225,1,12),(15,2820145,'1',3,332,2,14),(15,2820226,'1',3,329,1,13),(15,2820390,'1',2,108,1,5),(15,2820498,'1',1,211,1,1),(15,2820501,'1',2,404,2,9),(15,2820510,'1',2,101,1,3),(15,2820552,'1',2,327,2,6),(15,2820617,'1',2,222,1,2),(15,2820730,'1',3,339,2,26),(15,2820790,'1',3,225,1,26),(15,2820943,'1',2,339,2,11),(15,2820986,'1A',3,424,1,30),(15,2821028,'1',4,101,1,2),(15,2821214,'1',1,501,1,2),(15,2821230,'2',1,104,2,8),(15,2821257,'1',2,220,1,5),(15,2821362,'1',2,201,2,12),(15,2821478,'1',3,331,1,27),(15,2821656,'1',1,319,2,5),(15,2821753,'1',2,304,2,12),(15,2821834,'1',1,224,2,4),(15,2821907,'1',3,225,1,46),(15,2821966,'1',2,318,2,11),(15,2822113,'1',3,223,1,22),(15,2822881,'1A',3,211,1,13),(15,2823012,'1',3,423,1,29),(15,2823241,'1',3,324,1,27),(15,2823284,'1',3,234,2,33),(15,2823756,'1',3,426,2,8),(15,2823772,'1',2,339,1,5),(15,2824507,'1',3,501,2,64),(15,2824574,'1',2,308,2,13),(15,2824582,'2',1,215,1,2),(15,2824655,'1',1,201,1,1),(15,2824779,'1',2,101,1,2),(15,2825198,'1',3,308,1,15),(15,2825520,'1',3,324,2,49),(15,2825562,'1',2,404,1,4),(16,3000036,'1',3,319,1,9),(16,3000079,'1',3,316,1,30),(16,3000141,'1',3,415,2,28),(16,3000168,'1',3,302,2,49),(16,3000176,'1',3,316,2,36),(16,3000249,'1',3,303,1,12),(16,3000257,'1',3,309,2,39),(16,3000400,'1',2,340,2,14),(16,3000460,'1',3,234,1,22),(16,3000524,'1',2,238,1,2),(16,3000737,'1',3,501,1,24),(16,3000761,'1A',3,233,2,38),(16,3000834,'1',1,303,2,8),(16,3000842,'1',3,329,1,20),(16,3000893,'1',2,308,1,1),(16,3000915,'1',1,213,1,1),(16,3000923,'1',1,203,1,3),(16,3000958,'1',3,302,2,46),(16,3001059,'1',1,103,1,3),(16,3001288,'1',2,415,1,2),(16,3001300,'1',2,324,1,2),(16,3001377,'1',3,102,1,40),(16,3001407,'1',3,216,1,4),(16,3001423,'1',1,103,1,4),(16,3001490,'1',3,404,2,29),(16,3001504,'1',3,308,2,70),(16,3001512,'1',3,501,1,20),(16,3001660,'1',1,302,1,1),(16,3001709,'1',2,9,1,3),(16,3001733,'1',3,5,2,37),(16,3001768,'1',3,420,2,27),(16,3001776,'1',2,310,1,6),(16,3001857,'1',3,317,2,49),(16,3001873,'1',3,102,1,11),(16,3001920,'1',3,319,2,58),(16,3001997,'1',3,426,2,3),(16,3002004,'1',3,308,2,75),(16,3002195,'1',2,203,1,4),(16,3002250,'1A',2,211,1,7),(16,3002306,'1',3,5,1,27),(16,3002330,'1',3,238,1,27),(16,3002446,'1',3,318,2,55),(16,3002470,'1',2,502,2,11),(16,3002560,'1',3,309,2,32),(16,3002616,'1',1,238,2,7),(16,3002675,'1',2,215,2,8),(16,3002691,'1',3,238,2,43),(16,3002730,'1',3,214,2,27),(16,3002764,'1',2,301,1,2),(16,3003060,'1',3,424,1,26),(16,3003124,'1',3,104,1,10),(16,3003230,'1',3,450,1,16),(16,3003329,'1A',3,201,2,69),(16,3003353,'1',3,214,1,10),(16,3003388,'1',1,103,2,10),(16,3003400,'1',3,303,1,20),(16,3003477,'1',3,309,2,40),(16,3003515,'1',3,108,1,26),(16,3003540,'1',3,104,2,56),(16,3003558,'1',2,304,2,15),(16,3003639,'1',3,225,1,8),(16,3003647,'1',3,101,2,54),(16,3003655,'1',3,317,1,26),(16,3003671,'1',3,207,1,24),(16,3003698,'1',3,301,1,17),(16,3003744,'1',1,317,2,8),(16,3003884,'1',3,222,1,7),(16,3003981,'1',2,502,1,1),(16,3004104,'1',3,428,1,24),(16,3004139,'1',3,103,2,54),(16,3004244,'1',2,316,1,9),(16,3004287,'1',2,201,2,17),(16,3004295,'1',2,327,2,4),(16,3004325,'1',2,201,2,13),(16,3004368,'1',3,220,1,8),(16,3004457,'1',3,415,2,27),(16,3004481,'1',3,415,2,38),(16,3004520,'1A',3,238,1,6),(16,3004627,'1',3,503,1,17),(16,3004651,'1A',3,220,2,44),(16,3004694,'1A',3,216,2,30),(16,3004740,'1',3,326,1,8),(16,3004759,'1',3,108,2,50),(16,3004767,'1',3,208,1,17),(16,3004775,'1',3,316,2,55),(16,3004783,'1',2,503,1,3),(16,3004899,'1',3,303,1,14),(16,3004902,'1',3,308,1,36),(16,3004910,'1',3,203,1,35),(16,3004945,'1',3,9,1,27),(16,3004996,'1',3,214,1,1),(16,3005186,'1',3,426,2,15),(16,3005216,'1',3,108,1,20),(16,3005224,'1',3,501,1,29),(16,3005240,'1',3,207,2,55),(16,3005267,'1',2,3,1,2),(16,3005291,'1',3,201,1,20),(16,3005380,'1',3,319,2,49),(16,3005445,'1',3,340,2,45),(16,3005526,'1',1,212,2,3),(16,3005534,'1',3,310,1,23),(16,3005577,'1',3,304,2,65),(16,3005631,'1',3,3,1,16),(16,3005658,'1',3,220,1,14),(16,3005720,'1',3,102,1,4),(16,3005917,'1',3,203,2,74),(16,3005950,'1',2,428,1,2),(16,3005976,'1',3,108,1,5),(16,3006042,'1',1,211,1,4),(16,3006140,'1',3,340,2,51),(16,3006190,'1',3,304,2,55),(16,3006239,'1',3,428,1,8),(16,3006379,'1',3,308,2,62),(16,3006425,'1',3,308,1,31),(16,3006450,'1',3,320,2,20),(16,3006476,'1A',3,208,1,11),(16,3006484,'1',3,452,1,1),(16,3006514,'1',2,215,1,1),(16,3006549,'1',2,102,2,17),(16,3006573,'1',2,319,1,1),(16,3006638,'1',3,220,2,35),(16,3006735,'1',3,428,2,35),(16,3006816,'1',3,428,2,40),(16,3006930,'1',3,303,1,8),(16,3006948,'1',3,207,1,22),(16,3006964,'1',3,203,1,28),(16,3006980,'1',3,103,1,33),(16,3007022,'1',3,2,1,37),(16,3007030,'1',3,424,1,24),(16,3007111,'1',3,340,1,4),(16,3007359,'1',2,308,2,13),(16,3007553,'1',3,404,1,2),(16,3007588,'1',3,320,2,11),(16,3007669,'1',1,201,2,8),(16,3007758,'1',3,451,1,23),(16,3007839,'1',1,203,1,2),(16,3007960,'1',3,333,1,9),(16,3008002,'1',1,308,1,1),(16,3008088,'1',2,428,2,14),(16,3008142,'1',3,301,1,32),(16,3008380,'1',3,201,1,12),(16,3008444,'1',3,317,2,34),(16,3008460,'1',2,501,1,2),(16,3008509,'1',2,202,1,4),(16,3008550,'1',3,5,2,32),(16,3008657,'1',3,326,1,6),(16,3008711,'1',2,201,2,15),(16,3008720,'1',3,308,2,50),(16,3008835,'1',3,103,1,6),(16,3008886,'1',3,211,2,46),(16,3008924,'1',3,301,2,43),(16,3008967,'1',3,324,1,23),(16,3009009,'1',3,3,2,49),(16,3009190,'1',3,103,2,55),(16,3009220,'1',3,309,2,45),(16,3009467,'1',3,318,2,66),(16,3009629,'1',3,103,2,63),(16,3009645,'1',3,201,1,19),(16,3009700,'1',3,427,1,9),(16,3009718,'1',3,101,1,23),(16,3009742,'1',3,453,2,17),(16,3010015,'1',2,203,2,19),(16,3010147,'1',3,203,1,18),(16,3010163,'1',3,309,1,4),(16,3010171,'1',3,501,2,57),(16,3010279,'1',3,203,2,47),(16,3010490,'1',2,103,1,6),(16,3010538,'1',3,208,1,32),(16,3010597,'1',3,331,1,7),(16,3010678,'1',3,324,1,10),(16,3010740,'1',2,425,1,6),(16,3010767,'1',3,220,1,5),(16,3010783,'1',3,220,2,28),(16,3010791,'1',3,3,2,61),(16,3010805,'1',2,331,1,7),(16,3010856,'1',3,324,1,31),(16,3010902,'1',3,428,1,1),(16,3010953,'1',3,203,1,7),(16,3011070,'1',3,452,1,5),(16,3011089,'1',3,319,2,40),(16,3011135,'1',3,216,2,19),(16,3011160,'1',3,102,1,12),(16,3011232,'1',3,303,1,11),(16,3011356,'1',3,103,1,15),(16,3011399,'1A',3,215,1,8),(16,3011453,'1',3,203,1,8),(16,3011500,'1',3,332,2,3),(16,3011593,'1A',3,211,1,10),(16,3011631,'1',3,214,1,8),(16,3011780,'1',2,501,1,6),(16,3011828,'1',3,104,1,35),(16,3011887,'1',3,319,1,1),(16,3011917,'1',3,233,1,1),(16,3011933,'1',3,225,1,22),(16,3011984,'1',3,502,1,13),(16,3012026,'1',3,301,1,24),(16,3012077,'1',3,103,1,19),(16,3012085,'1',2,201,2,12),(16,3012123,'1',3,332,2,12),(16,3012190,'1',3,5,2,38),(16,3012212,'1A',3,428,2,49),(16,3012239,'1',3,203,1,26),(16,3012271,'1',2,225,1,3),(16,3012310,'1A',3,202,2,62),(16,3012328,'1',3,211,1,27),(16,3012352,'1',3,212,1,9),(16,3012387,'1',3,340,1,6),(16,3012522,'1',3,303,1,16),(16,3012581,'1',3,319,1,29),(16,3012697,'1',3,238,1,28),(16,3012719,'1',3,203,2,41),(16,3012921,'1',3,501,1,13),(16,3013073,'1',1,332,2,1),(16,3013251,'1',3,326,1,25),(16,3013448,'1',3,108,1,12),(16,3013588,'1',3,203,2,55),(16,3013600,'1',2,216,1,4),(16,3013650,'1',3,3,1,17),(16,3013898,'1',2,326,1,5),(16,3013979,'1',3,207,2,35),(16,3014002,'1',3,223,1,34),(16,3014100,'1',3,326,1,5),(16,3014118,'1',3,220,2,53),(16,3014169,'1',3,415,1,2),(16,3014193,'1',3,319,1,8),(16,3014207,'1',3,225,1,11),(16,3014223,'1',3,102,1,10),(16,3014258,'1',2,444,2,11),(16,3014282,'1',3,316,1,17),(16,3014380,'1',3,213,2,27),(16,3014444,'1',3,203,2,53),(16,3014460,'1',3,201,2,47),(16,3014541,'1',3,303,2,41),(16,3014584,'1',3,223,1,39),(16,3014746,'1',3,101,2,51),(16,3014754,'1',3,102,2,76),(16,3014770,'1',3,308,1,10),(16,3014819,'1',3,203,2,70),(16,3014916,'1',3,208,1,6),(16,3014924,'1',3,429,2,5),(16,3015076,'1A',3,201,1,24),(16,3015254,'1',3,301,2,37),(16,3015300,'1',3,428,2,39),(16,3015424,'1',3,2,1,7),(16,3015475,'1',3,5,1,3),(16,3015670,'1',3,329,1,8),(16,3015700,'1',1,220,1,2),(16,3015726,'1',3,332,2,11),(16,3015939,'1',2,211,1,3),(16,3015963,'1',3,220,2,54),(16,3015998,'1',3,101,1,10),(16,3016056,'1',3,201,1,11),(16,3016315,'1',3,310,1,21),(16,3016374,'1A',3,202,1,21),(16,3016536,'1',2,108,2,12),(16,3016617,'1',3,108,1,24),(16,3016668,'1',3,201,1,38),(16,3016706,'1',3,316,2,42),(16,3016730,'1',2,329,1,3),(16,3016870,'1',3,425,1,19),(16,3016978,'1',3,5,1,6),(16,3016994,'1A',3,208,2,68),(16,3017028,'1',2,238,2,11),(16,3017036,'1',2,108,1,4),(16,3017109,'1',3,208,2,56),(16,3017192,'1',2,103,2,13),(16,3017214,'1',2,450,1,2),(16,3017249,'1',3,452,1,8),(16,3017273,'1',3,503,2,35),(16,3017338,'1',3,201,1,35),(16,3017362,'1A',3,212,2,26),(16,3017435,'1',3,225,1,17),(16,3017494,'1',3,415,1,6),(16,3017710,'1A',3,202,2,43),(16,3017737,'1',3,207,2,34),(16,3017761,'1',3,238,1,11),(16,3017850,'1',3,318,1,15),(16,3017966,'1',3,234,1,18),(16,3018008,'1',3,222,1,23),(16,3018180,'1',3,415,2,36),(16,3018199,'1',3,216,2,31),(16,3018210,'1',3,316,2,70),(16,3018296,'1A',3,202,1,28),(16,3018407,'1',3,103,2,65),(16,3018423,'1',3,428,1,20),(16,3018610,'1',1,329,1,2),(16,3018644,'1A',2,215,1,2),(16,3018687,'1',3,320,2,25),(16,3018725,'1',2,453,2,7),(16,3018768,'1',3,340,1,8),(16,3018830,'1',3,308,1,16),(16,3018881,'1',3,420,1,3),(16,3018890,'1',2,238,1,10),(16,3018903,'1',3,9,1,22),(16,3018954,'1',2,207,2,15),(16,3019080,'1',3,328,1,5),(16,3019179,'1',3,301,2,36),(16,3019209,'1',2,304,1,3),(16,3019217,'1',3,421,1,14),(16,3019349,'1',2,203,2,18),(16,3019420,'1',3,451,1,19),(16,3019470,'1',3,317,1,14),(16,3019489,'1',3,213,1,2),(16,3019667,'1',3,450,1,8),(16,3019675,'1',3,501,2,71),(16,3019691,'1',2,444,1,3),(16,3019713,'1',2,452,1,2),(16,3019918,'1',1,304,1,5),(16,3019969,'1',3,104,1,32),(16,3020002,'1',1,207,1,3),(16,3020061,'1',3,339,2,36),(16,3020126,'1',3,2,1,14),(16,3020177,'1',3,2,1,12),(16,3020193,'1',3,234,1,3),(16,3020215,'1',3,303,2,35),(16,3020274,'1',2,320,2,6),(16,3020355,'1',3,225,1,5),(16,3020371,'1',3,310,1,9),(16,3020380,'1',3,301,1,18),(16,3020410,'1',3,503,1,13),(16,3020428,'1',3,340,2,33),(16,3020614,'1',3,502,1,19),(16,3020657,'1',3,211,1,2),(16,3020681,'1',3,318,1,7),(16,3020746,'1',3,326,1,28),(16,3020878,'1',2,207,1,3),(16,3020959,'1',3,238,2,48),(16,3021076,'1',3,207,2,53),(16,3021114,'1',2,3,2,9),(16,3021157,'1',3,429,2,2),(16,3021300,'1',3,423,1,8),(16,3021360,'1',3,425,1,13),(16,3021483,'1',3,319,1,21),(16,3021521,'1',2,317,2,11),(16,3021653,'1',3,404,2,33),(16,3021688,'1',3,428,1,29),(16,3021700,'1',3,101,1,25),(16,3021750,'1A',3,233,1,11),(16,3021777,'1',3,450,1,18),(16,3022161,'1',2,220,1,5),(16,3022331,'1',3,222,1,24),(16,3022340,'1',3,425,1,6),(16,3022382,'1',2,208,1,10),(16,3022560,'1',3,208,1,9),(16,3022650,'1',3,201,1,3),(16,3022668,'1',3,415,2,34),(16,3022676,'1',2,302,1,5),(16,3022692,'1',3,450,1,12),(16,3022749,'1',3,207,1,25),(16,3022765,'1',3,428,2,56),(16,3022781,'1',3,223,1,25),(16,3022862,'1A',3,238,2,70),(16,3023028,'1',2,238,1,9),(16,3023079,'1',3,102,2,85),(16,3023184,'1',3,420,2,22),(16,3023214,'1',3,415,1,20),(16,3023257,'1A',3,201,2,65),(16,3023281,'1',3,420,2,16),(16,3023435,'1',3,453,2,19),(16,3023478,'1',2,328,1,5),(16,3023680,'1',3,310,1,7),(16,3023737,'1',3,201,1,18),(16,3023745,'1',3,327,2,31),(16,3023842,'1',3,202,1,13),(16,3023850,'1',3,453,1,9),(16,3023893,'1',3,404,2,41),(16,3023915,'1',3,503,2,36),(16,3024202,'1A',2,202,2,18),(16,3024210,'1',3,9,1,10),(16,3024245,'1A',3,202,2,47),(16,3024253,'1',2,225,1,10),(16,3024270,'1',3,102,1,1),(16,3024369,'1',2,319,2,15),(16,3024466,'1',3,234,2,49),(16,3024482,'1',1,203,1,4),(16,3024490,'1',3,9,1,11),(16,3024504,'1A',3,201,2,70),(16,3024512,'1',2,429,2,1),(16,3024580,'1A',3,211,2,37),(16,3024628,'1',3,220,2,30),(16,3024695,'1',3,223,1,3),(16,3024750,'1',2,303,1,4),(16,3024776,'1',3,104,2,53),(16,3024792,'1A',3,201,2,73),(16,3024814,'1',3,340,2,41),(16,3024822,'1',3,220,2,29),(16,3024857,'1A',3,208,2,40),(16,3024962,'1',3,202,2,73),(16,3025020,'1',3,310,1,6),(16,3025144,'1',3,501,1,6),(16,3025187,'1',3,415,2,26),(16,3025241,'1',3,303,1,3),(16,3025624,'1',3,415,1,18),(16,3025659,'1',3,420,2,18),(16,3025705,'1',3,9,1,25),(16,3025780,'1',3,444,1,2),(16,3025810,'1',3,303,1,10),(16,3025888,'1',3,428,2,34),(16,3025985,'1A',3,208,2,51),(16,3026094,'1',3,319,2,48),(16,3026108,'1',3,316,1,13),(16,3026140,'1',3,103,1,26),(16,3026159,'1',3,220,2,33),(16,3026167,'1',3,501,2,37),(16,3026183,'1',3,301,2,45),(16,3026221,'1',3,208,2,43),(16,3026396,'1',3,203,1,5),(16,3026485,'1',3,304,2,38),(16,3026507,'1',3,429,2,23),(16,3026680,'1A',3,238,1,10),(16,3026710,'1',3,220,1,6),(16,3026841,'1',2,415,2,10),(16,3026914,'1A',3,207,2,29),(16,3026930,'1',3,203,2,71),(16,3027082,'1',3,444,2,30),(16,3027163,'1',3,503,1,12),(16,3027180,'1',3,301,1,25),(16,3027260,'1',3,317,2,57),(16,3027490,'1',3,302,2,61),(16,3027511,'1',3,101,2,55),(16,3027520,'1A',3,233,2,35),(16,3027627,'1',3,211,2,34),(16,3027686,'1A',3,215,1,17),(16,3027759,'1',3,216,1,2),(16,3027783,'1',3,103,2,43),(16,3027848,'1',3,328,1,3),(16,3027899,'1A',3,215,1,5),(16,3027937,'1',3,233,2,37),(16,3028003,'1',3,225,1,44),(16,3028011,'1',3,425,1,3),(16,3028020,'1',2,9,1,9),(16,3028038,'1',3,201,1,6),(16,3028062,'1',3,108,2,47),(16,3028100,'1',3,203,1,3),(16,3028208,'1A',3,208,1,28),(16,3028321,'1',3,104,2,60),(16,3028330,'1',3,216,2,24),(16,3028410,'1',3,326,1,13),(16,3028445,'1',3,502,2,37),(16,3028461,'1',3,340,2,35),(16,3028518,'1',3,222,1,3),(16,3028542,'1',3,104,2,63),(16,3028623,'1',3,207,1,2),(16,3028674,'1A',3,212,1,13),(16,3028798,'1',3,327,2,6),(16,3028836,'1',3,301,1,27),(16,3029042,'1',3,302,2,60),(16,3029077,'1',2,340,2,9),(16,3029158,'1',3,201,1,9),(16,3029220,'1',3,208,2,63),(16,3029522,'1',3,324,1,6),(16,3029549,'1',3,212,2,15),(16,3029581,'1',3,216,2,25),(16,3029654,'1',3,425,1,24),(16,3029689,'1',3,340,1,2),(16,3029727,'1',3,309,1,24),(16,3029875,'1',3,233,1,26),(16,3029972,'1',3,450,1,5),(16,3029999,'1',3,339,1,7),(16,3030016,'1',2,103,2,12),(16,3030032,'1',2,238,2,19),(16,3030083,'1',1,404,1,3),(16,3030130,'1A',3,424,1,21),(16,3030156,'1',3,324,1,26),(16,3030202,'1',3,501,2,74),(16,3030261,'1',3,316,1,14),(16,3030318,'1',1,103,2,9),(16,3030571,'1',1,329,1,1),(16,3030741,'1',2,103,2,14),(16,3030857,'1',3,9,1,4),(16,3030911,'1',2,214,1,1),(16,3030938,'1',3,328,1,27),(16,3031080,'1',3,319,1,6),(16,3031179,'1',3,220,1,15),(16,3031241,'1',3,303,2,51),(16,3031292,'1',3,302,2,63),(16,3031306,'1',1,444,1,1),(16,3031438,'1A',3,202,2,36),(16,3031446,'1',3,9,1,19),(16,3031519,'1',3,302,1,22),(16,3031586,'1',2,303,1,9),(16,3031594,'1',3,108,1,27),(16,3031691,'1',3,332,2,19),(16,3031705,'1',3,220,1,16),(16,3031730,'1',2,310,1,5),(16,3031810,'1',2,238,1,1),(16,3031888,'1',3,423,1,18),(16,3031896,'1',2,317,1,9),(16,3031918,'1',3,201,1,13),(16,3031993,'1',3,224,2,17),(16,3032051,'1',3,501,1,7),(16,3032116,'1',3,309,2,59),(16,3032140,'1',3,453,1,14),(16,3032159,'1',3,319,1,13),(16,3032230,'1',3,101,1,6),(16,3032337,'1',3,428,1,13),(16,3032370,'1',2,238,1,7),(16,3032418,'1',3,101,1,11),(16,3032485,'1',3,2,1,22),(16,3032540,'1',3,202,2,60),(16,3032574,'1',2,340,1,4),(16,3032612,'1',3,318,1,33),(16,3032698,'1',3,428,2,60),(16,3032841,'1',3,453,1,4),(16,3032892,'1',3,501,2,68),(16,3033007,'1',3,302,2,56),(16,3033040,'1',3,5,1,8),(16,3033066,'1',3,225,1,14),(16,3033155,'1',3,415,1,19),(16,3033287,'1',3,222,1,26),(16,3033309,'1A',3,427,1,5),(16,3033422,'1',1,444,1,2),(16,3033511,'1',3,225,1,15),(16,3033538,'1',3,317,2,63),(16,3033597,'1',3,316,1,26),(16,3033740,'1',3,208,1,10),(16,3033775,'1',3,203,2,45),(16,3033830,'1A',3,233,2,47),(16,3034020,'1',3,208,1,15),(16,3034062,'1',3,202,1,1),(16,3034097,'1',3,104,2,43),(16,3034160,'1',3,103,2,40),(16,3034208,'1',3,220,2,48),(16,3034216,'1A',3,238,2,63),(16,3034305,'1',2,203,2,13),(16,3034313,'1',3,428,2,54),(16,3034372,'1',2,302,2,17),(16,3034445,'1',3,223,1,7),(16,3034453,'1',3,451,1,18),(16,3034569,'1',2,319,2,11),(16,3034585,'1',3,216,2,33),(16,3034615,'1',3,211,1,9),(16,3034704,'1',3,319,1,17),(16,3034712,'1',3,503,2,41),(16,3034720,'1',3,216,2,32),(16,3034755,'1',3,301,1,9),(16,3034771,'1',3,326,1,7),(16,3034801,'1',3,309,2,47),(16,3034860,'1',3,503,1,6),(16,3034909,'1A',3,212,2,20),(16,3034917,'1',1,213,1,2),(16,3034976,'1',3,453,1,5),(16,3034992,'1',3,428,1,21),(16,3035034,'1',3,302,1,11),(16,3035107,'1A',3,216,2,28),(16,3035123,'1',3,502,1,10),(16,3035182,'1',3,318,2,34),(16,3035204,'1',3,429,2,16),(16,3035280,'1',2,201,1,3),(16,3035301,'1',3,207,1,14),(16,3035328,'1',1,207,1,1),(16,3035484,'1',3,429,2,20),(16,3035549,'1',3,203,2,52),(16,3035611,'1',3,451,1,10),(16,3035620,'1',3,502,2,36),(16,3035760,'1',3,428,2,46),(16,3035778,'1',3,102,1,22),(16,3035859,'1',3,318,1,24),(16,3035999,'1',3,216,1,12),(16,3036065,'1',3,340,2,39),(16,3036103,'1',2,421,1,3),(16,3036111,'1',3,108,2,58),(16,3036154,'1',3,340,2,42),(16,3036251,'1',1,202,1,3),(16,3036359,'1',3,108,1,2),(16,3036472,'1',3,319,2,37),(16,3036510,'1',3,214,2,23),(16,3036600,'1',3,304,1,28),(16,3036634,'1',2,340,2,10),(16,3036707,'1',3,224,2,27),(16,3036790,'1',3,234,1,14),(16,3036804,'1',3,104,2,52),(16,3036839,'1',3,211,2,35),(16,3036910,'1A',3,202,2,53),(16,3036979,'1',3,5,2,41),(16,3037037,'1',2,101,1,7),(16,3037185,'1',2,220,2,12),(16,3037193,'1',3,3,1,26),(16,3037410,'1',3,102,1,17),(16,3037479,'1',3,211,1,13),(16,3037509,'1',3,3,1,30),(16,3037592,'1',2,216,2,9),(16,3037630,'1',3,424,1,13),(16,3037762,'1',3,220,1,12),(16,3037789,'1A',2,215,2,7),(16,3037827,'1',3,203,2,46),(16,3037886,'1',3,302,2,55),(16,3038106,'1',3,502,2,41),(16,3038181,'1',3,451,1,1),(16,3038211,'1',3,425,1,16),(16,3038246,'1',3,444,2,37),(16,3038262,'1',3,303,1,29),(16,3038300,'1',2,324,1,8),(16,3038360,'1',3,201,1,31),(16,3038378,'1',3,316,2,67),(16,3038483,'1',3,208,1,3),(16,3038491,'1',1,104,2,9),(16,3038530,'1A',3,202,2,59),(16,3038580,'1',3,318,1,26),(16,3038637,'1',2,220,2,14),(16,3038645,'1',3,104,2,61),(16,3038726,'1',3,103,1,25),(16,3038750,'1',3,238,1,2),(16,3038882,'1',3,3,1,3),(16,3038939,'1',3,238,2,47),(16,3038980,'1',2,201,2,19),(16,3038998,'1',2,238,2,12),(16,3039080,'1',3,103,1,14),(16,3039102,'1',3,327,2,30),(16,3039161,'1',3,428,1,4),(16,3039170,'1',3,450,1,2),(16,3039200,'1',3,225,1,6),(16,3039293,'1',3,225,1,27),(16,3039307,'1',3,317,1,24),(16,3039331,'1',1,450,1,1),(16,3039366,'1',3,5,1,20),(16,3039480,'1',3,316,1,8),(16,3039536,'1',3,101,1,15),(16,3039617,'1',1,319,1,5),(16,3039846,'1',2,202,1,10),(16,3039978,'1',3,220,1,19),(16,3039994,'1',3,224,2,26),(16,3040062,'1',2,108,2,9),(16,3040070,'1',2,205,1,1),(16,3040097,'1',3,101,2,45),(16,3040143,'1',1,101,1,4),(16,3040194,'1',3,108,2,41),(16,3040283,'1',3,317,2,46),(16,3040380,'1',3,304,2,53),(16,3040496,'1',3,220,2,41),(16,3040550,'1',2,104,1,8),(16,3040577,'1',3,318,1,27),(16,3040623,'1A',3,233,1,16),(16,3040658,'1',3,104,2,57),(16,3040674,'1',1,104,1,2),(16,3040712,'1',3,216,2,26),(16,3040780,'1',3,9,1,13),(16,3040984,'1',3,319,2,62),(16,3041000,'1',3,316,2,59),(16,3041026,'1',3,220,2,39),(16,3041050,'1',3,108,2,34),(16,3041158,'1',3,208,1,31),(16,3041190,'1',3,308,2,45),(16,3041255,'1',3,333,1,6),(16,3041395,'1',3,304,2,50),(16,3041441,'1',1,327,2,1),(16,3041492,'1',3,304,1,24),(16,3041514,'1',1,340,1,2),(16,3041530,'1',3,220,2,31),(16,3041697,'1',3,102,2,82),(16,3041743,'1',3,207,2,56),(16,3041794,'1',1,212,1,1),(16,3041808,'1',3,207,2,49),(16,3041840,'1',3,428,2,48),(16,3041883,'1',2,316,1,6),(16,3041913,'1',3,102,2,70),(16,3042006,'1',3,5,2,63),(16,3042090,'1',2,444,1,5),(16,3042251,'1',2,202,1,5),(16,3042340,'1',3,302,2,67),(16,3042383,'1',3,201,2,44),(16,3042456,'1',1,333,1,1),(16,3042588,'1',3,238,1,5),(16,3042596,'1',2,428,1,3),(16,3042626,'1',3,202,2,65),(16,3042634,'1',2,501,1,1),(16,3042812,'1A',3,238,1,24),(16,3042863,'1',3,327,2,14),(16,3042871,'1',3,104,2,49),(16,3042880,'1',3,328,1,26),(16,3042901,'1',3,5,2,50),(16,3042987,'1',3,331,1,2),(16,3043002,'1',1,201,2,11),(16,3043118,'1',3,501,2,67),(16,3043126,'1',3,415,1,1),(16,3043193,'1',3,103,2,39),(16,3043282,'1A',3,202,1,29),(16,3043487,'1',3,427,1,6),(16,3043517,'1',2,450,1,4),(16,3043703,'1',3,308,1,23),(16,3043720,'1',3,3,2,47),(16,3043746,'1A',3,208,2,69),(16,3043762,'1',3,103,2,58),(16,3043860,'1',3,223,1,32),(16,3043908,'1',3,501,1,26),(16,3043932,'1',3,3,2,34),(16,3043967,'1',3,450,1,19),(16,3044181,'1',2,201,2,18),(16,3044203,'1',3,303,1,30),(16,3044254,'1',3,450,1,3),(16,3044408,'1',3,214,2,24),(16,3044467,'1',3,420,1,8),(16,3044513,'1',3,233,2,54),(16,3044564,'1',3,102,1,30),(16,3044670,'1',3,108,1,15),(16,3044688,'1',3,225,1,34),(16,3044700,'1',3,428,2,33),(16,3044785,'1',3,213,2,19),(16,3044858,'1',3,2,1,29),(16,3045005,'1',3,333,1,7),(16,3045048,'1',3,452,2,26),(16,3045099,'1',3,415,1,9),(16,3045110,'1',2,103,1,5),(16,3045188,'1',3,304,2,60),(16,3045200,'1',3,502,2,26),(16,3045218,'1',3,324,1,12),(16,3045242,'1',3,211,2,55),(16,3045277,'1',3,103,1,18),(16,3045382,'1',3,317,1,30),(16,3045404,'1',3,316,2,37),(16,3045480,'1',1,103,2,8),(16,3045536,'1',3,220,1,10),(16,3045641,'1',3,2,1,36),(16,3045684,'1',2,103,2,16),(16,3045722,'1',2,331,1,8),(16,3045773,'1',3,103,2,52),(16,3045811,'1',3,220,1,4),(16,3045889,'1',3,101,2,29),(16,3045897,'1',3,319,1,25),(16,3045919,'1',3,309,1,22),(16,3045927,'1',3,102,2,59),(16,3046028,'1',3,415,1,7),(16,3046036,'1',3,102,2,77),(16,3046052,'1',2,211,1,4),(16,3046087,'1',3,203,2,72),(16,3046109,'1',3,329,1,4),(16,3046133,'1',3,502,1,2),(16,3046150,'1',3,303,1,18),(16,3046168,'1',3,452,2,19),(16,3046354,'1',3,340,1,5),(16,3046494,'1A',3,201,1,33),(16,3046621,'1',1,211,2,9),(16,3046699,'1A',3,233,1,10),(16,3046788,'1',3,429,2,12),(16,3046885,'1',3,234,2,30),(16,3047156,'1',3,104,2,39),(16,3047172,'1A',3,202,2,38),(16,3047253,'1',2,101,1,4),(16,3047261,'1',3,502,2,25),(16,3047318,'1',2,216,1,3),(16,3047539,'1',3,320,2,19),(16,3047733,'1',2,503,2,7),(16,3047830,'1',2,317,1,2),(16,3047954,'1A',3,233,2,39),(16,3048160,'1',3,324,1,2),(16,3048250,'1',1,415,1,3),(16,3048381,'1',3,415,1,15),(16,3048470,'1',3,331,1,25),(16,3048519,'1',1,319,1,3),(16,3048527,'1',3,207,2,38),(16,3048756,'1',3,310,1,2),(16,3048780,'1',2,302,2,15),(16,3048918,'1',3,201,1,32),(16,3048926,'1',3,103,2,47),(16,3048985,'1',3,319,1,26),(16,3048993,'1',3,304,1,7),(16,3049019,'1',2,238,2,18),(16,3049086,'1',3,450,1,22),(16,3049116,'1',3,425,1,10),(16,3049140,'1',3,103,2,68),(16,3049167,'1',3,216,1,13),(16,3049221,'1',3,452,1,11),(16,3049248,'1A',3,211,2,63),(16,3049264,'1A',3,215,1,6),(16,3049329,'1A',3,208,1,19),(16,3049434,'1',3,308,1,27),(16,3049582,'1',3,420,1,12),(16,3049590,'1',1,102,2,11),(16,3049620,'1',2,208,1,9),(16,3049752,'1A',3,238,2,51),(16,3049795,'1',3,103,1,7),(16,3049841,'1',3,301,2,56),(16,3049876,'1',3,207,1,17),(16,3049892,'1',3,220,2,27),(16,3049965,'1',3,5,2,45),(16,3050068,'1',3,3,1,10),(16,3050084,'1',3,208,2,66),(16,3050360,'1',3,108,2,40),(16,3050505,'1',2,108,1,5),(16,3050530,'1',3,108,1,8),(16,3050564,'1',3,220,2,40),(16,3050645,'1',2,452,1,1),(16,3050785,'1',3,333,1,5),(16,3050831,'1',3,220,1,9),(16,3050858,'1',3,103,1,17),(16,3050866,'1',3,103,2,70),(16,3051048,'1',3,108,2,42),(16,3051080,'1',2,317,1,4),(16,3051170,'1',3,103,2,64),(16,3051226,'1',3,501,1,3),(16,3051234,'1',3,207,1,20),(16,3051269,'1',3,309,1,12),(16,3051307,'1',3,202,1,33),(16,3051315,'1A',3,426,2,27),(16,3051331,'1',2,415,1,6),(16,3051374,'1',3,450,1,21),(16,3051390,'1',3,211,2,54),(16,3051404,'1',2,201,1,1),(16,3051447,'1',3,317,2,36),(16,3051471,'1',3,302,2,33),(16,3051528,'1',2,214,1,4),(16,3051803,'1',1,203,1,5),(16,3051846,'1',2,201,1,2),(16,3052079,'1',3,301,1,8),(16,3052117,'1',3,102,2,55),(16,3052133,'1',3,203,2,65),(16,3052192,'1',1,304,1,3),(16,3052222,'1',3,201,1,2),(16,3052303,'1A',3,208,1,34),(16,3052389,'1',2,208,1,2),(16,3052672,'1A',3,211,1,19),(16,3052745,'1',3,2,1,11),(16,3052770,'1',3,316,1,5),(16,3052818,'1',3,318,1,21),(16,3052940,'1',3,104,1,28),(16,3052982,'1',3,421,1,23),(16,3053008,'1',2,220,1,6),(16,3053067,'1',3,453,1,1),(16,3053083,'1',3,333,1,19),(16,3053164,'1',3,214,1,2),(16,3053261,'1',3,3,1,22),(16,3053334,'1',3,211,1,20),(16,3053342,'1',3,2,1,6),(16,3053458,'1',3,426,2,2),(16,3053482,'1A',3,202,2,49),(16,3053512,'1',3,103,1,34),(16,3053822,'1',3,202,1,9),(16,3053849,'1',3,319,1,5),(16,3053920,'1',2,318,1,2),(16,3053962,'1',2,108,2,15),(16,3053997,'1',3,203,2,73),(16,3054039,'1A',3,208,2,53),(16,3054071,'1A',3,238,2,66),(16,3054136,'1',3,340,1,23),(16,3054152,'1',3,429,2,3),(16,3054179,'1',3,101,2,28),(16,3054268,'1',3,108,1,25),(16,3054314,'1',3,310,1,27),(16,3054322,'1',3,317,1,10),(16,3054330,'1',3,340,2,54),(16,3054365,'1',3,319,1,31),(16,3054381,'1',3,108,2,55),(16,3054470,'1',3,215,1,1),(16,3054500,'1',3,103,2,50),(16,3054560,'1A',3,426,2,20),(16,3054616,'1',3,427,1,2),(16,3054675,'1',3,319,2,56),(16,3054713,'1',3,233,2,32),(16,3054756,'1',2,303,2,16),(16,3054764,'1',1,108,2,5),(16,3054799,'1',3,212,1,8),(16,3054829,'1',3,201,1,17),(16,3054861,'1',3,9,1,26),(16,3055043,'1',3,3,2,55),(16,3055094,'1',3,208,2,59),(16,3055159,'1',3,202,1,27),(16,3055175,'1',3,302,2,52),(16,3055213,'1',3,319,1,20),(16,3055272,'1',3,309,2,31),(16,3055329,'1',3,340,1,16),(16,3055396,'1',3,203,1,31),(16,3055450,'1',3,5,1,10),(16,3055566,'1',3,225,1,24),(16,3055582,'1',3,2,1,27),(16,3055787,'1',3,303,1,6),(16,3055795,'1',3,333,1,4),(16,3055892,'1',3,102,1,37),(16,3055906,'1',2,108,2,16),(16,3055981,'1',3,302,2,44),(16,3055990,'1',2,404,2,12),(16,3056015,'1',2,102,2,21),(16,3056090,'1',2,108,1,2),(16,3056139,'1',2,202,1,6),(16,3056376,'1',3,450,1,10),(16,3056546,'1',3,103,1,9),(16,3056686,'1',3,503,2,46),(16,3056821,'1A',3,202,2,67),(16,3056830,'1',3,503,1,4),(16,3056872,'1',3,309,2,51),(16,3056929,'1',3,420,2,28),(16,3057100,'1',3,319,1,11),(16,3057240,'1',3,202,2,72),(16,3057267,'1',2,238,2,20),(16,3057275,'1',3,225,1,19),(16,3057348,'1',3,2,1,20),(16,3057364,'1',3,415,2,40),(16,3057496,'1',3,213,1,8),(16,3057526,'1',1,309,1,1),(16,3057615,'1',3,103,1,24),(16,3057682,'1',3,5,1,17),(16,3057771,'1',1,301,2,10),(16,3057860,'1',3,102,1,27),(16,3057909,'1',2,304,1,1),(16,3057950,'1',2,303,2,14),(16,3058018,'1',3,234,1,24),(16,3058174,'1',2,333,1,3),(16,3058247,'1',1,103,1,5),(16,3058263,'1A',3,202,1,10),(16,3058310,'1',3,502,1,12),(16,3058379,'1',3,319,2,36),(16,3058441,'1',1,326,1,3),(16,3058506,'1',3,316,2,41),(16,3058557,'1',3,310,1,15),(16,3058565,'1',3,103,2,61),(16,3058670,'1',3,415,1,11),(16,3058778,'1',3,5,2,36),(16,3058816,'1',3,329,1,17),(16,3058859,'1',3,216,1,3),(16,3058964,'1',3,102,2,69),(16,3058980,'1',2,318,1,8),(16,3058999,'1',3,234,1,9),(16,3059022,'1',3,203,2,57),(16,3059030,'1',3,301,1,13),(16,3059065,'1',3,108,2,52),(16,3059111,'1',3,108,2,32),(16,3059120,'1',3,331,1,30),(16,3059286,'1',2,333,1,1),(16,3059383,'1',2,308,2,15),(16,3059391,'1',2,302,1,6),(16,3059421,'1',1,211,2,7),(16,3059464,'1',3,238,2,61),(16,3059731,'1',3,340,1,27),(16,3059812,'1',3,404,2,40),(16,3059847,'1',3,211,1,5),(16,3059898,'1',3,423,1,4),(16,3059910,'1',3,421,1,27),(16,3059952,'1',3,203,1,27),(16,3059987,'1',3,501,1,15),(16,3060128,'1A',2,212,2,7),(16,3060144,'1',3,415,2,31),(16,3060152,'1A',3,214,2,15),(16,3060209,'1',3,223,1,8),(16,3060284,'1',3,308,2,41),(16,3060306,'1',3,451,1,12),(16,3060438,'1',2,211,2,11),(16,3060446,'1',3,211,1,1),(16,3060489,'1',3,319,1,24),(16,3060535,'1',3,415,2,33),(16,3060543,'1A',2,233,2,13),(16,3060594,'1',3,202,1,4),(16,3060608,'1',3,203,1,25),(16,3060624,'1',3,308,2,42),(16,3060675,'1',2,502,1,4),(16,3060900,'1',3,108,1,23),(16,3061027,'1',3,404,1,19),(16,3061094,'1',3,502,1,1),(16,3061191,'1',2,503,1,4),(16,3061272,'1',3,453,1,3),(16,3061353,'1',3,319,2,47),(16,3061477,'1',1,316,1,5),(16,3061663,'1',3,102,1,13),(16,3061914,'1A',3,202,1,20),(16,3062155,'1',3,319,1,14),(16,3062180,'1',2,452,2,7),(16,3062210,'1',3,316,1,20),(16,3062252,'1',3,318,2,36),(16,3062287,'1',3,501,1,31),(16,3062325,'1',3,310,1,10),(16,3062333,'1',3,425,1,22),(16,3062392,'1',3,203,2,51),(16,3062775,'1',3,208,1,13),(16,3062910,'1',3,316,2,53),(16,3062929,'1',3,202,1,5),(16,3063062,'1',3,308,1,38),(16,3063143,'1',3,316,1,10),(16,3063160,'1',3,203,1,22),(16,3063194,'1',3,444,1,8),(16,3063224,'1A',3,201,2,49),(16,3063267,'1',3,426,2,8),(16,3063453,'1',3,327,2,18),(16,3063496,'1',3,225,1,47),(16,3063518,'1',3,224,2,2),(16,3063534,'1',3,319,2,35),(16,3063550,'1',3,102,2,89),(16,3063631,'1',2,208,1,1),(16,3063674,'1',3,303,1,1),(16,3063712,'1',3,404,1,10),(16,3063771,'1',3,309,2,43),(16,3063887,'1A',2,215,1,5),(16,3064042,'1',3,102,1,8),(16,3064328,'1',3,301,2,65),(16,3064484,'1',2,303,2,12),(16,3064581,'1',3,415,1,17),(16,3064638,'1',3,404,1,18),(16,3064786,'1',3,303,2,47),(16,3064905,'1',3,503,1,15),(16,3064964,'1',2,103,1,8),(16,3065200,'1',3,319,2,34),(16,3065219,'1',3,328,1,10),(16,3065235,'1',2,9,1,8),(16,3065286,'1A',3,238,2,59),(16,3065332,'1',3,452,2,24),(16,3065359,'1',3,503,2,31),(16,3065510,'1',3,208,2,74),(16,3065537,'1',3,327,2,11),(16,3065600,'1',3,329,1,11),(16,3065642,'1',2,9,1,2),(16,3065669,'1A',3,214,2,20),(16,3065707,'1',3,303,2,33),(16,3065863,'1',3,223,1,4),(16,3066029,'1',3,103,2,38),(16,3066126,'1',3,301,1,34),(16,3066274,'1',3,2,1,24),(16,3066339,'1',3,101,2,31),(16,3066436,'1',3,208,1,2),(16,3066630,'1',1,317,1,4),(16,3066703,'1',2,303,1,8),(16,3066789,'1',3,308,1,29),(16,3066800,'1',3,103,1,2),(16,3066835,'1',2,208,1,6),(16,3066940,'1',3,452,2,18),(16,3067050,'1',3,453,1,8),(16,3067068,'1',2,319,2,18),(16,3067157,'1',3,316,2,66),(16,3067270,'1',3,503,1,16),(16,3067300,'1',3,502,2,45),(16,3067394,'1',2,302,2,10),(16,3067475,'1A',1,202,1,5),(16,3067491,'1',3,452,1,4),(16,3067580,'1',3,234,2,44),(16,3067653,'1',3,207,2,43),(16,3067696,'1',3,208,1,20),(16,3067769,'1',3,453,1,11),(16,3067815,'1',2,317,2,16),(16,3067831,'1',3,319,2,39),(16,3067840,'1A',3,233,1,23),(16,3067963,'1',2,309,1,2),(16,3068285,'1',3,103,1,5),(16,3068439,'1',3,211,2,44),(16,3068781,'1A',3,429,2,13),(16,3069036,'1',3,326,1,32),(16,3069052,'1',3,319,1,3),(16,3069117,'1',2,216,2,6),(16,3069303,'1',2,212,2,8),(16,3069338,'1',2,9,1,1),(16,3069354,'1',3,331,1,9),(16,3069443,'1',3,104,2,59),(16,3069460,'1A',3,233,1,12),(16,3069591,'1',3,302,1,24),(16,3069788,'1',3,425,1,25),(16,3069796,'1',3,326,1,4),(16,3069893,'1',3,420,2,21),(16,3069982,'1',2,318,1,3),(16,3070000,'1',2,201,1,10),(16,3070204,'1',2,3,1,8),(16,3070581,'1A',3,233,1,5),(16,3070590,'1',3,3,2,62),(16,3070603,'1A',3,215,2,20),(16,3070646,'1',3,238,1,32),(16,3070808,'1',3,108,1,21),(16,3070816,'1',3,302,2,65),(16,3070840,'1',3,202,1,16),(16,3070930,'1',3,304,1,21),(16,3070999,'1',2,220,2,13),(16,3071030,'1',3,319,1,30),(16,3071049,'1',3,201,2,52),(16,3071057,'1',3,318,1,31),(16,3071154,'1',3,207,1,3),(16,3071189,'1',3,208,2,70),(16,3071200,'1',3,2,1,3),(16,3071405,'1',3,318,2,46),(16,3071413,'1',3,203,2,75),(16,3071421,'1',3,304,2,41),(16,3071456,'1',3,444,2,40),(16,3071464,'1',3,208,1,8),(16,3071561,'1',3,415,2,41),(16,3071782,'1',3,103,1,29),(16,3071804,'1',2,212,1,2),(16,3071901,'1',3,203,1,36),(16,3072037,'1A',3,212,1,11),(16,3072177,'1',3,3,2,57),(16,3072185,'1',1,302,1,5),(16,3072215,'1',3,223,1,17),(16,3072258,'1',3,318,2,44),(16,3072290,'1',3,326,1,29),(16,3072363,'1',3,103,1,23),(16,3072576,'1',3,444,1,10),(16,3072606,'1',3,404,1,5),(16,3072703,'1',3,103,1,13),(16,3072711,'1',3,420,2,19),(16,3072819,'1',3,301,2,38),(16,3072827,'1',3,309,1,17),(16,3072878,'1',3,234,2,50),(16,3072908,'1',3,102,2,71),(16,3072983,'1',3,319,1,4),(16,3073009,'1',3,420,2,26),(16,3073106,'1',2,215,2,6),(16,3073173,'1',2,450,1,6),(16,3073297,'1',2,452,2,6),(16,3073424,'1',3,222,1,14),(16,3073483,'1',1,102,1,5),(16,3073513,'1',3,328,1,20),(16,3073572,'1A',3,212,2,24),(16,3073718,'1',3,234,1,1),(16,3073882,'1',3,214,2,17),(16,3074099,'1',3,421,1,2),(16,3074153,'1A',2,215,1,3),(16,3074170,'1',2,104,1,5),(16,3074200,'1',3,205,1,3),(16,3074226,'1',3,453,1,13),(16,3074269,'1',3,340,1,13),(16,3074340,'1',3,301,2,58),(16,3074498,'1',3,304,1,31),(16,3074510,'1',3,225,1,29),(16,3074528,'1',3,104,2,62),(16,3074595,'1A',3,211,1,30),(16,3074641,'1',3,214,1,6),(16,3074650,'1',1,404,2,5),(16,3074714,'1',3,415,2,32),(16,3074820,'1',3,201,1,25),(16,3074889,'1',3,203,2,49),(16,3074927,'1',3,318,2,35),(16,3074978,'1',3,304,2,42),(16,3075095,'1',3,207,1,8),(16,3075117,'1',3,452,1,14),(16,3075150,'1',3,333,1,20),(16,3075222,'1',3,303,2,50),(16,3075257,'1A',2,212,1,3),(16,3075427,'1',3,301,1,31),(16,3075451,'1',3,452,2,22),(16,3075575,'1',3,303,2,40),(16,3075613,'1',3,216,2,27),(16,3075710,'1',3,340,2,37),(16,3075800,'1A',3,424,1,30),(16,3075834,'1',3,317,1,29),(16,3075842,'1',3,317,1,28),(16,3075877,'1',3,340,1,10),(16,3075885,'1',3,102,1,15),(16,3075931,'1',3,216,1,11),(16,3075966,'1',3,303,1,25),(16,3076024,'1',2,501,2,20),(16,3076113,'1',3,201,1,23),(16,3076156,'1',3,302,1,4),(16,3076253,'1',3,329,1,10),(16,3076261,'1',3,215,2,30),(16,3076326,'1',2,238,2,15),(16,3076539,'1',3,3,2,46),(16,3076814,'1',3,415,2,23),(16,3076830,'1',3,205,1,11),(16,3076920,'1A',3,233,1,20),(16,3077110,'1',2,308,1,4),(16,3077136,'1',3,318,1,19),(16,3077144,'1',3,309,1,8),(16,3077357,'1A',3,202,1,15),(16,3077373,'1',3,319,1,18),(16,3077438,'1',3,501,1,27),(16,3077500,'1',3,444,2,23),(16,3077519,'1',3,213,1,13),(16,3077578,'1',3,428,2,45),(16,3077594,'1',3,238,1,20),(16,3077616,'1',3,238,2,65),(16,3077748,'1A',3,238,1,4),(16,3077802,'1',3,108,1,1),(16,3077837,'1',3,108,1,28),(16,3077870,'1',3,503,1,7),(16,3077918,'1',2,211,2,12),(16,3078078,'1',2,318,1,6),(16,3078094,'1',2,301,2,13),(16,3078213,'1',3,316,1,22),(16,3078345,'1',3,9,1,3),(16,3078400,'1',3,332,2,18),(16,3078639,'1',2,5,1,5),(16,3078647,'1A',3,233,2,44),(16,3078779,'1A',2,233,2,14),(16,3078892,'1',2,316,1,10),(16,3078981,'1',3,207,1,21),(16,3079139,'1',3,211,2,51),(16,3079171,'1',3,319,1,16),(16,3079180,'1',3,108,1,14),(16,3079260,'1',3,304,1,20),(16,3079384,'1',3,225,1,50),(16,3079457,'1',3,225,1,18),(16,3079520,'1',3,452,1,9),(16,3079538,'1',2,318,1,7),(16,3079821,'1',3,224,2,4),(16,3079848,'1',3,5,2,48),(16,3079872,'1',2,328,1,2),(16,3079910,'1A',3,213,1,6),(16,3080021,'1',3,301,2,62),(16,3080048,'1',3,301,1,2),(16,3080170,'1',2,102,2,23),(16,3080285,'1',3,5,1,21),(16,3080340,'1',1,319,1,2),(16,3080366,'1',2,304,1,7),(16,3080382,'1',3,203,1,14),(16,3080536,'1',3,332,2,6),(16,3080560,'1A',2,213,2,6),(16,3080579,'1',3,317,2,41),(16,3080625,'1',2,216,1,2),(16,3080633,'1',3,316,2,64),(16,3080684,'1',3,327,2,28),(16,3080862,'1',3,301,2,51),(16,3080986,'1',3,316,1,16),(16,3081001,'1',3,201,2,40),(16,3081141,'1',3,102,1,36),(16,3081214,'1',3,326,1,2),(16,3081362,'1',3,223,1,19),(16,3081486,'1A',3,424,1,15),(16,3081540,'1',3,3,1,7),(16,3081583,'1',3,423,1,24),(16,3081656,'1',3,208,1,4),(16,3081869,'1',3,208,1,1),(16,3082067,'1A',3,238,2,37),(16,3082075,'1',3,234,2,54),(16,3082202,'1',3,203,1,4),(16,3082210,'1',2,104,2,20),(16,3082270,'1',3,3,1,29),(16,3082512,'1',3,2,1,30),(16,3082636,'1',3,309,1,7),(16,3082695,'1',3,5,1,14),(16,3082709,'1',3,5,1,29),(16,3082717,'1',3,102,1,20),(16,3082741,'1',3,225,1,37),(16,3082776,'1',3,452,2,30),(16,3082857,'1',3,211,1,28),(16,3082938,'1',3,308,2,65),(16,3082954,'1',3,424,1,18),(16,3082962,'1',3,102,1,21),(16,3082970,'1',2,103,1,9),(16,3083152,'1',2,223,1,7),(16,3083250,'1',3,303,1,28),(16,3083390,'1',3,238,1,9),(16,3083535,'1',2,102,1,3),(16,3083594,'1',3,320,2,12),(16,3083756,'1',2,444,1,4),(16,3083861,'1',3,308,1,8),(16,3083985,'1',3,201,2,64),(16,3084051,'1',2,102,1,7),(16,3084140,'1A',3,208,2,77),(16,3084280,'1',3,428,1,5),(16,3084310,'1',3,222,1,2),(16,3084388,'1',3,420,2,23),(16,3084515,'1',3,302,1,19),(16,3084558,'1',3,203,2,66),(16,3084574,'1',3,320,2,27),(16,3084612,'1',2,340,1,7),(16,3084680,'1',3,501,1,22),(16,3085074,'1',3,319,2,42),(16,3085147,'1',3,502,1,22),(16,3085163,'1A',3,233,1,7),(16,3085180,'1',3,303,2,54),(16,3085236,'1',3,103,2,44),(16,3085287,'1',3,304,2,56),(16,3085350,'1A',3,214,1,13),(16,3085368,'1',3,201,1,14),(16,3085481,'1',3,423,1,3),(16,3085538,'1',3,453,2,23),(16,3085597,'1',3,502,1,9),(16,3085694,'1A',3,208,2,67),(16,3085716,'1',3,238,1,3),(16,3086038,'1A',3,202,2,54),(16,3086178,'1',2,108,2,10),(16,3086232,'1',3,203,1,16),(16,3086240,'1',3,5,1,19),(16,3086267,'1',2,316,1,3),(16,3086283,'1',3,216,1,5),(16,3086321,'1',3,304,2,36),(16,3086348,'1',3,202,2,51),(16,3086542,'1',2,426,2,3),(16,3086550,'1',3,333,1,2),(16,3086712,'1',3,103,1,20),(16,3086755,'1',3,233,1,9),(16,3087069,'1',2,404,2,11),(16,3087174,'1',3,301,2,47),(16,3087239,'1',3,415,2,22),(16,3087280,'1',3,214,2,18),(16,3087425,'1',2,208,1,8),(16,3087484,'1',2,429,2,8),(16,3087506,'1',3,316,1,21),(16,3087514,'1',3,103,2,36),(16,3087522,'1',3,101,2,46),(16,3087654,'1',3,3,2,42),(16,3087735,'1',3,5,2,58),(16,3087760,'1',3,223,1,31),(16,3087816,'1',3,428,1,10),(16,3087824,'1',3,316,2,45),(16,3087948,'1',3,222,1,4),(16,3087964,'1',3,340,2,50),(16,3087980,'1',3,203,2,54),(16,3088103,'1',3,420,1,9),(16,3088197,'1',1,317,1,1),(16,3088235,'1',3,102,2,60),(16,3088260,'1',3,201,2,71),(16,3088405,'1',3,301,2,67),(16,3088774,'1',3,320,2,24),(16,3088855,'1',3,502,2,35),(16,3088880,'1',3,201,2,75),(16,3088936,'1',3,104,2,68),(16,3088979,'1',3,501,2,45),(16,3088987,'1',3,317,1,12),(16,3089045,'1A',3,208,1,12),(16,3089096,'1',3,202,2,58),(16,3089118,'1',3,332,2,31),(16,3089150,'1',3,225,1,45),(16,3089169,'1',3,320,2,7),(16,3089282,'1',3,101,2,48),(16,3089320,'1',3,428,2,59),(16,3089401,'1',3,211,1,24),(16,3089428,'1A',3,211,1,6),(16,3089568,'1',2,453,1,4),(16,3089738,'1',3,213,1,3),(16,3089754,'1',3,3,2,63),(16,3089975,'1',3,214,1,7),(16,3089983,'1',3,340,1,1),(16,3090019,'1',3,233,2,28),(16,3090035,'1',3,222,1,21),(16,3090051,'1',3,103,2,62),(16,3090175,'1',3,212,2,22),(16,3090248,'1',3,225,1,36),(16,3090280,'1A',3,201,1,30),(16,3090370,'1',3,5,1,9),(16,3090434,'1',3,238,2,42),(16,3090450,'1',3,302,1,25),(16,3090558,'1',3,423,1,17),(16,3090574,'1',3,304,1,13),(16,3090680,'1',2,502,2,10),(16,3090779,'1A',3,208,2,48),(16,3090833,'1',3,104,1,27),(16,3090876,'1',3,233,1,2),(16,3091180,'1',3,203,1,21),(16,3091430,'1',3,319,2,46),(16,3091449,'1',3,102,2,66),(16,3091660,'1',3,103,1,16),(16,3091708,'1',2,316,1,1),(16,3091759,'1',2,202,1,8),(16,3091791,'1',3,103,2,45),(16,3091821,'1',3,309,1,6),(16,3091937,'1',3,108,1,9),(16,3092240,'1',2,101,1,6),(16,3092259,'1',3,223,1,22),(16,3092399,'1',3,320,2,5),(16,3092470,'1',3,501,2,39),(16,3092500,'1',3,302,2,53),(16,3092615,'1',3,108,1,22),(16,3092623,'1',3,101,1,5),(16,3092690,'1',3,428,2,55),(16,3092712,'1',3,234,2,34),(16,3092780,'1',3,420,1,11),(16,3092879,'1',3,201,2,77),(16,3093000,'1',3,303,2,63),(16,3093042,'1',2,233,1,2),(16,3093050,'1',3,9,1,24),(16,3093239,'1',3,503,1,5),(16,3093328,'1',2,333,1,6),(16,3093441,'1A',3,208,1,7),(16,3093484,'1',3,317,1,25),(16,3093573,'1',3,303,1,22),(16,3093816,'1',1,415,2,5),(16,3093840,'1',3,326,1,1),(16,3093999,'1A',3,238,2,45),(16,3094006,'1',3,450,1,11),(16,3094294,'1',3,102,2,72),(16,3094324,'1',3,103,1,4),(16,3094340,'1',2,203,2,16),(16,3094383,'1A',3,202,2,66),(16,3094480,'1',1,5,1,1),(16,3094502,'1',3,222,1,19),(16,3094626,'1',3,103,2,48),(16,3094685,'1',3,9,1,18),(16,3094707,'1',3,303,2,44),(16,3094774,'1',3,423,1,12),(16,3094820,'1',3,9,1,7),(16,3094855,'1',3,225,1,23),(16,3094871,'1',3,207,2,39),(16,3094928,'1',3,224,2,22),(16,3094952,'1A',3,201,1,34),(16,3095053,'1A',3,202,2,42),(16,3095312,'1',3,425,1,12),(16,3095347,'1',3,310,1,5),(16,3095460,'1',3,207,1,26),(16,3095517,'1',3,3,1,18),(16,3095630,'1',3,326,1,20),(16,3095657,'1',3,238,1,23),(16,3095665,'1',2,203,1,5),(16,3095720,'1',3,5,1,24),(16,3095827,'1',2,327,2,3),(16,3095835,'1',3,319,1,7),(16,3095916,'1A',3,211,2,47),(16,3096033,'1',3,331,1,3),(16,3096041,'1',1,202,2,6),(16,3096114,'1',3,501,2,58),(16,3096238,'1A',3,208,2,55),(16,3096289,'1',3,502,2,40),(16,3096319,'1',3,5,2,55),(16,3096327,'1',3,102,1,2),(16,3096505,'1',3,415,1,12),(16,3096513,'1',3,238,1,31),(16,3096629,'1',3,319,1,28),(16,3096831,'1',3,302,2,43),(16,3096858,'1A',3,233,2,30),(16,3096882,'1',3,203,1,23),(16,3096912,'1',2,420,2,5),(16,3096920,'1',3,316,1,28),(16,3096939,'1',3,301,1,5),(16,3096947,'1',3,304,2,63),(16,3097005,'1',3,208,1,21),(16,3097030,'1',1,215,1,1),(16,3097064,'1',3,108,2,36),(16,3097072,'1',3,203,1,12),(16,3097110,'1',3,426,2,18),(16,3097145,'1',3,501,1,33),(16,3097196,'1A',3,233,1,21),(16,3097250,'1A',3,202,2,41),(16,3097366,'1',3,502,2,39),(16,3097374,'1',3,502,2,30),(16,3097382,'1',3,202,1,7),(16,3097455,'1',3,451,1,14),(16,3097471,'1',3,104,2,37),(16,3097510,'1',3,404,2,28),(16,3097528,'1',3,238,2,36),(16,3097544,'1',3,104,2,41),(16,3097552,'1',3,211,2,41),(16,3097609,'1',3,333,1,15),(16,3097641,'1',3,302,1,3),(16,3097668,'1',2,404,2,9),(16,3097730,'1',3,108,2,37),(16,3097773,'1',3,208,2,61),(16,3097790,'1',3,215,1,2),(16,3097846,'1',2,2,1,1),(16,3098079,'1',3,339,1,17),(16,3098087,'1',3,9,1,17),(16,3098125,'1',3,223,1,6),(16,3098176,'1',2,415,1,4),(16,3098230,'1',3,102,1,7),(16,3098265,'1',3,207,1,9),(16,3098281,'1',3,429,2,21),(16,3098320,'1',3,201,1,1),(16,3098338,'1',3,5,1,4),(16,3098362,'1',3,102,1,23),(16,3098389,'1',3,9,1,21),(16,3098494,'1',3,211,2,38),(16,3098540,'1',3,324,1,22),(16,3098567,'1A',3,201,2,61),(16,3098575,'1',1,327,2,3),(16,3098680,'1',3,220,1,22),(16,3098699,'1',2,302,1,9),(16,3098800,'1',2,102,1,13),(16,3098893,'1',3,102,2,81),(16,3098923,'1',2,207,1,1),(16,3098958,'1',3,2,1,2),(16,3098966,'1',3,501,1,10),(16,3099067,'1',3,428,1,14),(16,3099148,'1',3,203,1,17),(16,3099156,'1',3,327,2,27),(16,3099164,'1',3,501,2,36),(16,3099229,'1',3,340,2,40),(16,3099270,'1',3,212,2,18),(16,3099288,'1',3,9,1,28),(16,3099318,'1',3,319,2,44),(16,3099342,'1A',3,201,2,53),(16,3099377,'1',3,5,2,61),(16,3099440,'1',3,452,2,31),(16,3099563,'1',3,223,1,2),(16,3099695,'1',3,220,1,2),(16,3099725,'1',3,317,1,5),(16,3099997,'1',3,224,2,6),(16,3100030,'1',3,108,1,11),(16,3100065,'1',1,207,2,8),(16,3100120,'1',3,332,2,16),(16,3100197,'1',3,213,2,17),(16,3100200,'1',3,428,1,7),(16,3100332,'1',3,201,1,7),(16,3100340,'1',3,503,2,30),(16,3100359,'1',3,503,2,32),(16,3100375,'1A',3,220,2,51),(16,3100391,'1',3,104,2,64),(16,3100413,'1A',3,238,2,39),(16,3100430,'1',3,502,1,17),(16,3100596,'1',3,9,1,15),(16,3100766,'1',3,316,2,46),(16,3100782,'1',3,319,1,2),(16,3100847,'1',2,423,1,3),(16,3100855,'1',3,303,2,32),(16,3100928,'1',1,203,1,6),(16,3100944,'1A',3,215,2,28),(16,3101053,'1',3,103,1,1),(16,3101142,'1',3,308,1,1),(16,3101185,'1',3,502,2,46),(16,3101223,'1',3,303,2,37),(16,3101304,'1',2,502,2,9),(16,3101339,'1',3,5,1,1),(16,3101444,'1',3,220,1,3),(16,3101495,'1',2,108,1,3),(16,3101541,'1',3,102,1,19),(16,3101690,'1',3,202,2,48),(16,3101754,'1',3,104,1,11),(16,3101843,'1',3,332,2,23),(16,3102041,'1',3,428,1,3),(16,3102050,'1',3,415,1,3),(16,3102157,'1',3,303,2,61),(16,3102165,'1',3,108,2,48),(16,3102254,'1',3,102,2,90),(16,3102343,'1',3,319,2,60),(16,3102351,'1',3,304,2,54),(16,3102459,'1',2,308,2,20),(16,3102530,'1',3,428,2,37),(16,3102688,'1',3,340,1,12),(16,3102769,'1',3,453,2,18),(16,3102807,'1',3,316,2,43),(16,3102858,'1',3,502,1,4),(16,3102866,'1A',3,208,2,49),(16,3102912,'1',2,203,2,20),(16,3103021,'1A',3,233,1,13),(16,3103293,'1',3,451,1,17),(16,3103382,'1',3,310,1,18),(16,3103455,'1',3,320,2,1),(16,3103471,'1',3,452,2,25),(16,3103510,'1',3,317,1,22),(16,3103536,'1',3,203,2,58),(16,3103595,'1',3,329,1,1),(16,3103676,'1',3,444,2,29),(16,3103706,'1',2,318,2,14),(16,3103722,'1',3,222,1,13),(16,3103854,'1',3,452,2,21),(16,3103862,'1',3,501,2,66),(16,3103870,'1',2,102,1,12),(16,3103960,'1',3,444,2,32),(16,3103994,'1',3,318,1,32),(16,3104052,'1A',3,201,1,21),(16,3104168,'1',3,420,1,10),(16,3104206,'1',3,404,1,3),(16,3104214,'1',3,233,2,43),(16,3104303,'1',1,450,1,2),(16,3104516,'1',2,340,2,16),(16,3104583,'1',2,101,2,10),(16,3104656,'1',3,302,2,48),(16,3104869,'1',3,301,1,30),(16,3105008,'1',2,423,1,4),(16,3105059,'1',3,316,2,38),(16,3105245,'1',3,340,2,56),(16,3105326,'1',3,3,1,4),(16,3105342,'1',2,214,1,3),(16,3105377,'1A',3,202,1,14),(16,3105407,'1',2,104,1,4),(16,3105423,'1',3,304,2,59),(16,3105440,'1',3,203,1,34),(16,3105490,'1',3,404,2,32),(16,3105598,'1',3,424,1,4),(16,3105610,'1A',3,429,2,22),(16,3105628,'1',3,452,1,10),(16,3105652,'1',3,207,2,36),(16,3105679,'1',2,428,2,12),(16,3105687,'1',3,104,1,20),(16,3105822,'1',2,202,1,1),(16,3105849,'1',3,201,2,58),(16,3105857,'1',3,103,2,46),(16,3105865,'1',3,234,2,46),(16,3105970,'1',3,339,2,29),(16,3106047,'1',3,326,1,17),(16,3106071,'1',3,301,1,26),(16,3106250,'1',3,2,1,8),(16,3106322,'1',3,319,1,12),(16,3106535,'1',2,316,1,4),(16,3106578,'1',3,103,2,53),(16,3106616,'1',3,2,1,32),(16,3106675,'1A',3,212,1,7),(16,3106756,'1',1,303,1,5),(16,3106829,'1',3,415,1,8),(16,3106977,'1A',3,429,2,14),(16,3107027,'1',3,415,2,29),(16,3107035,'1A',3,215,2,29),(16,3107256,'1',3,304,1,14),(16,3107264,'1',3,327,2,10),(16,3107280,'1',3,2,1,21),(16,3107426,'1',3,3,2,35),(16,3107469,'1',3,302,2,41),(16,3107485,'1',3,103,1,12),(16,3107612,'1',2,331,1,1),(16,3107647,'1',3,203,1,20),(16,3107663,'1',3,309,2,30),(16,3107680,'1',3,415,2,30),(16,3107736,'1',3,340,1,18),(16,3107795,'1',3,238,2,46),(16,3107833,'1',3,223,1,1),(16,3107868,'1',3,503,1,21),(16,3107884,'1',3,104,1,9),(16,3107914,'1',3,424,1,9),(16,3107922,'1',3,202,2,40),(16,3107949,'1',3,318,2,64),(16,3108023,'1',2,450,1,1),(16,3108309,'1',3,316,2,50),(16,3108430,'1',3,303,2,53),(16,3108473,'1',2,213,1,1),(16,3108481,'1',3,101,2,39),(16,3108570,'1',3,2,1,5),(16,3108589,'1',3,328,1,6),(16,3109054,'1',3,326,1,14),(16,3109070,'1',3,424,1,22),(16,3109100,'1A',3,201,1,15),(16,3109151,'1',3,102,1,33),(16,3109178,'1',3,453,1,2),(16,3109348,'1',3,453,1,10),(16,3109399,'1',3,101,2,26),(16,3109437,'1',3,203,1,15),(16,3109453,'1',3,202,1,22),(16,3109461,'1',3,108,1,6),(16,3109593,'1',3,326,1,12),(16,3109720,'1',3,301,2,44),(16,3109763,'1',2,101,1,1),(16,3109852,'1',3,104,1,8),(16,3109860,'1',3,203,2,50),(16,3109976,'1',3,320,2,26),(16,3110010,'1',3,2,1,33),(16,3110028,'1',3,211,2,53),(16,3110060,'1',3,308,1,4),(16,3110192,'1',3,331,1,11),(16,3110222,'1',3,205,1,14),(16,3110249,'1A',3,208,1,18),(16,3110354,'1',3,238,1,17),(16,3110389,'1',3,339,1,20),(16,3110486,'1A',3,213,1,5),(16,3110559,'1',3,404,1,1),(16,3110575,'1',3,201,1,16),(16,3110745,'1',3,320,2,29),(16,3110796,'1',3,303,2,60),(16,3111091,'1',2,220,1,3),(16,3111113,'1A',3,215,1,13),(16,3111199,'1',3,340,2,44),(16,3111245,'1',3,316,2,44),(16,3111253,'1',3,320,2,3),(16,3111342,'1',3,320,2,4),(16,3111385,'1',3,340,2,38),(16,3111539,'1',3,320,2,2),(16,3111580,'1',3,502,2,33),(16,3111598,'1A',3,201,1,29),(16,3111628,'1',3,450,1,6),(16,3111636,'1',3,303,2,38),(16,3111679,'1',2,103,1,2),(16,3111709,'1',3,220,1,17),(16,3111768,'1',3,317,2,53),(16,3111776,'1',3,104,1,22),(16,3111822,'1',3,303,2,39),(16,3111830,'1',3,424,1,16),(16,3112004,'1',3,301,2,64),(16,3112071,'1',3,429,2,8),(16,3112128,'1A',3,211,1,26),(16,3112144,'1A',3,212,2,16),(16,3112292,'1',3,5,2,57),(16,3112322,'1',3,301,1,6),(16,3112390,'1',3,452,1,12),(16,3112411,'1',3,316,2,71),(16,3112470,'1',3,233,1,3),(16,3112683,'1',3,308,1,12),(16,3112802,'1',3,453,1,7),(16,3112810,'1',3,224,2,14),(16,3112896,'1',2,340,1,3),(16,3112950,'1',1,303,2,7),(16,3112969,'1',3,428,1,12),(16,3113000,'1',3,201,2,51),(16,3113094,'1',3,234,2,35),(16,3113116,'1',3,333,1,1),(16,3113140,'1',2,104,2,18),(16,3113205,'1',3,9,1,8),(16,3113213,'1',3,302,2,34),(16,3113230,'1',1,104,1,3),(16,3113302,'1',3,104,1,34),(16,3113493,'1',3,2,1,38),(16,3113523,'1',1,340,1,1),(16,3113604,'1',3,207,1,5),(16,3113728,'1',3,207,1,23),(16,3113779,'1',1,328,1,2),(16,3113833,'1',1,233,1,2),(16,3113876,'1',3,327,2,4),(16,3113965,'1',3,234,2,47),(16,3114007,'1',3,234,1,21),(16,3114031,'1',3,333,1,13),(16,3114180,'1',1,502,1,1),(16,3114538,'1',2,104,2,15),(16,3114570,'1',3,303,2,59),(16,3114600,'1',1,238,1,3),(16,3114686,'1',3,339,1,18),(16,3114775,'1',1,303,1,4),(16,3114791,'1',1,326,1,4),(16,3114830,'1',1,108,1,4),(16,3114864,'1',3,316,1,33),(16,3114899,'1',3,503,2,33),(16,3114970,'1',3,503,2,42),(16,3115011,'1',3,104,2,50),(16,3115020,'1',2,208,2,16),(16,3115046,'1',3,302,2,57),(16,3115143,'1',1,216,2,5),(16,3115720,'1',3,444,1,9),(16,3115771,'1',3,215,2,33),(16,3115917,'1',3,234,1,10),(16,3115925,'1A',3,215,2,23),(16,3116000,'1',2,3,1,4),(16,3116018,'1',3,318,2,40),(16,3116034,'1',3,207,1,4),(16,3116131,'1',3,208,1,26),(16,3116174,'1',3,319,2,38),(16,3116182,'1',2,202,2,12),(16,3116310,'1',3,326,1,23),(16,3116344,'1',3,108,2,46),(16,3116522,'1',2,317,1,1),(16,3116611,'1A',3,216,2,29),(16,3116719,'1',3,318,2,58),(16,3116735,'1',2,502,1,5),(16,3116808,'1',2,5,1,8),(16,3116824,'1',3,303,2,56),(16,3117049,'1',3,428,1,11),(16,3117081,'1',3,426,2,29),(16,3117103,'1',3,450,1,7),(16,3117308,'1',3,215,1,10),(16,3117502,'1',2,201,1,8),(16,3117553,'1',3,428,2,36),(16,3117588,'1',2,208,1,5),(16,3117626,'1',2,202,2,17),(16,3117669,'1',3,233,1,14),(16,3117782,'1',3,3,2,39),(16,3117804,'1',3,104,1,4),(16,3117910,'1',3,429,2,9),(16,3117936,'1',3,222,1,18),(16,3118622,'1',3,328,1,11),(16,3118657,'1',2,309,1,6),(16,3118762,'1',3,9,1,9),(16,3118940,'1',3,303,1,7),(16,3118983,'1',3,2,1,4),(16,3119114,'1',3,502,2,34),(16,3119211,'1A',3,213,2,20),(16,3119319,'1',3,238,2,41),(16,3119378,'1',3,2,1,1),(16,3119629,'1',3,234,2,37),(16,3119874,'1',3,102,1,9),(16,3120201,'1',3,5,1,12),(16,3120279,'1A',1,207,1,4),(16,3120325,'1',3,425,1,11),(16,3120384,'1',3,224,2,10),(16,3120457,'1',3,2,1,15),(16,3120481,'1',3,211,2,36),(16,3120511,'1',3,502,2,29),(16,3120538,'1',3,207,2,37),(16,3120562,'1',3,108,2,56),(16,3120570,'1',3,501,2,56),(16,3120708,'1',3,444,1,6),(16,3120783,'1',3,303,1,15),(16,3121208,'1A',3,215,1,18),(16,3121283,'1',2,102,2,25),(16,3121550,'1',3,420,2,17),(16,3121577,'1',3,5,1,30),(16,3121585,'1',3,501,2,52),(16,3121879,'1',1,5,1,5),(16,3121968,'1',3,444,1,11),(16,3122093,'1',3,3,2,41),(16,3122123,'1',3,310,1,3),(16,3122239,'1',2,326,1,6),(16,3122247,'1',3,101,2,43),(16,3122255,'1',3,203,2,39),(16,3122271,'1',2,208,2,11),(16,3122433,'1',3,9,1,30),(16,3122549,'1',1,202,1,2),(16,3122662,'1',2,5,1,3),(16,3122751,'1',3,317,1,19),(16,3122778,'1',3,452,1,7),(16,3122786,'1',3,501,2,64),(16,3122883,'1',3,424,1,1),(16,3122956,'1',2,101,2,14),(16,3123014,'1',3,304,2,40),(16,3123022,'1',3,103,1,30),(16,3123111,'1',1,212,2,4),(16,3123200,'1',3,304,1,5),(16,3123294,'1',3,308,2,53),(16,3123340,'1',3,308,1,14),(16,3123405,'1A',2,208,2,15),(16,3123430,'1',3,201,2,76),(16,3123448,'1',3,310,1,31),(16,3123499,'1',3,428,2,64),(16,3123561,'1',3,332,2,8),(16,3123634,'1',3,308,2,48),(16,3123650,'1',3,404,2,42),(16,3123723,'1',3,327,2,3),(16,3123790,'1',3,304,2,45),(16,3123839,'1',3,102,2,62),(16,3123847,'1A',3,212,2,17),(16,3123863,'1',3,3,2,50),(16,3124100,'1',3,425,1,23),(16,3124282,'1',3,340,1,21),(16,3124320,'1',3,308,1,33),(16,3124410,'1',3,220,1,21),(16,3124525,'1',2,326,1,1),(16,3124720,'1',3,316,2,47),(16,3124738,'1A',3,238,2,40),(16,3124754,'1',3,201,2,62),(16,3124843,'1',3,5,2,62),(16,3124851,'1',3,304,2,64),(16,3124886,'1',3,317,1,20),(16,3124894,'1',3,201,2,56),(16,3124908,'1',3,317,2,32),(16,3124932,'1',3,2,1,17),(16,3124959,'1',3,317,2,62),(16,3125050,'1',3,301,1,10),(16,3125203,'1',3,425,1,1),(16,3125220,'1',3,101,2,36),(16,3125360,'1',2,216,1,5),(16,3125394,'1',3,428,2,62),(16,3125416,'1',3,332,2,7),(16,3125475,'1',3,318,1,5),(16,3125483,'1',3,208,2,54),(16,3125734,'1',3,205,1,5),(16,3125793,'1',3,102,1,35),(16,3125963,'1',3,104,1,15),(16,3126030,'1',3,309,2,58),(16,3126048,'1',2,319,1,9),(16,3126137,'1',3,201,1,4),(16,3126145,'1',3,328,1,13),(16,3126331,'1',3,302,2,59),(16,3126420,'1',3,203,1,24),(16,3126625,'1',2,2,1,4),(16,3126668,'1',3,316,2,56),(16,3126692,'1',3,404,2,38),(16,3126722,'1',3,404,2,37),(16,3126749,'1',3,234,2,53),(16,3126781,'1',2,425,1,3),(16,3126803,'1',3,451,1,7),(16,3126854,'1',3,318,1,16),(16,3127036,'1',3,302,2,36),(16,3127044,'1',3,301,1,16),(16,3127150,'1',2,203,1,11),(16,3127265,'1A',3,421,1,26),(16,3127370,'1',3,220,1,20),(16,3127478,'1',3,302,2,66),(16,3127540,'1',3,502,1,20),(16,3127567,'1',3,340,1,19),(16,3127575,'1',3,331,1,1),(16,3127630,'1',3,503,2,24),(16,3127702,'1',3,108,2,33),(16,3127729,'1',3,301,2,39),(16,3127818,'1',3,101,1,2),(16,3127834,'1',3,224,2,5),(16,3127869,'1',3,234,1,13),(16,3127931,'1',3,327,2,7),(16,3128024,'1',3,304,1,8),(16,3128075,'1',3,327,2,15),(16,3128245,'1',3,308,2,59),(16,3128288,'1',3,102,1,24),(16,3128318,'1',3,302,1,14),(16,3128458,'1',3,2,1,31),(16,3128555,'1',3,444,1,19),(16,3128628,'1',3,203,2,48),(16,3128660,'1',2,302,1,4),(16,3128776,'1',1,415,2,4),(16,3128814,'1',3,205,1,12),(16,3128903,'1',3,211,1,7),(16,3128920,'1',3,203,1,13),(16,3129039,'1',3,303,2,49),(16,3129098,'1',3,212,2,25),(16,3129128,'1',2,215,2,10),(16,3129144,'1',3,303,1,24),(16,3129160,'1',3,201,2,43),(16,3129187,'1',3,327,2,9),(16,3129292,'1',3,104,1,5),(16,3129322,'1',1,302,1,3),(16,3129497,'1',3,319,1,10),(16,3129519,'1',3,3,1,9),(16,3129543,'1',3,215,1,12),(16,3129802,'1',2,102,1,1),(16,3129969,'1',3,420,1,6),(16,3130096,'1',2,203,1,1),(16,3130231,'1',3,207,1,6),(16,3130320,'1A',3,220,2,46),(16,3130363,'1',2,103,1,4),(16,3130428,'1',3,310,1,12),(16,3130436,'1',2,331,1,2),(16,3130550,'1A',3,202,1,24),(16,3130614,'1',3,308,2,67),(16,3130622,'1',3,238,2,55),(16,3130690,'1',2,101,2,11),(16,3130762,'1',3,302,1,5),(16,3130797,'1',3,319,2,53),(16,3130800,'1',3,208,2,60),(16,3130959,'1',1,103,1,2),(16,3130967,'1',3,203,1,33),(16,3131009,'1',2,207,1,2),(16,3131076,'1',2,104,2,13),(16,3131190,'1',1,203,2,10),(16,3131386,'1',3,452,2,27),(16,3131416,'1',3,415,2,37),(16,3131637,'1',3,309,2,37),(16,3131726,'1',3,451,1,16),(16,3131777,'1',3,201,2,72),(16,3131815,'1',3,329,1,16),(16,3131840,'1',2,304,2,16),(16,3131866,'1',3,404,2,39),(16,3131912,'1',2,101,2,9),(16,3131947,'1',3,318,1,29),(16,3132099,'1',1,211,1,3),(16,3132129,'1',3,224,2,8),(16,3132137,'1',2,102,2,20),(16,3132145,'1',3,3,2,32),(16,3132188,'1',3,319,2,61),(16,3132196,'1',3,308,2,43),(16,3132218,'1',3,301,1,11),(16,3132242,'1',2,234,1,4),(16,3132471,'1',3,308,2,44),(16,3132498,'1',3,233,2,49),(16,3132501,'1',3,223,1,35),(16,3132587,'1',2,207,1,6),(16,3132595,'1',2,415,2,8),(16,3132633,'1',3,208,2,62),(16,3132676,'1',2,238,2,16),(16,3132765,'1',3,225,1,10),(16,3132900,'1',3,211,1,12),(16,3133010,'1',3,404,2,34),(16,3133060,'1',3,302,1,27),(16,3133141,'1',3,503,1,19),(16,3133265,'1',3,211,2,52),(16,3133567,'1',2,503,2,12),(16,3133575,'1',3,426,2,6),(16,3133583,'1',2,415,1,5),(16,3133656,'1',3,303,1,26),(16,3133672,'1',3,320,2,13),(16,3133745,'1',3,203,2,43),(16,3133834,'1',3,102,2,49),(16,3133842,'1A',3,421,1,25),(16,3133885,'1',3,501,2,73),(16,3133958,'1',3,301,2,46),(16,3133982,'1',3,216,2,35),(16,3134067,'1',3,101,1,17),(16,3134075,'1',1,103,2,6),(16,3134091,'1',3,339,1,21),(16,3134121,'1',3,222,1,25),(16,3134199,'1',3,223,1,12),(16,3134202,'1A',2,211,1,9),(16,3134490,'1',3,428,1,22),(16,3134504,'1',2,102,2,14),(16,3134636,'1',3,503,2,40),(16,3134768,'1',3,501,2,62),(16,3134857,'1',3,309,1,2),(16,3134890,'1',1,316,1,2),(16,3135098,'1',3,238,1,16),(16,3135101,'1',1,303,1,2),(16,3135128,'1',2,201,1,5),(16,3135225,'1',3,317,2,43),(16,3135330,'1',3,216,1,16),(16,3135349,'1',3,202,2,45),(16,3135357,'1',3,404,2,30),(16,3135381,'1',3,301,1,23),(16,3135390,'1',3,234,1,6),(16,3135403,'1',3,5,2,59),(16,3135420,'1',2,316,2,19),(16,3135462,'1',3,309,1,3),(16,3135527,'1',3,316,1,19),(16,3135578,'1',3,102,2,93),(16,3135586,'1',3,304,1,25),(16,3135659,'1',3,5,2,35),(16,3135772,'1',3,223,1,28),(16,3135853,'1A',3,214,2,21),(16,3135896,'1',3,444,1,14),(16,3135926,'1',3,215,1,11),(16,3136078,'1',3,423,1,7),(16,3136116,'1',3,301,2,48),(16,3136221,'1',2,304,2,14),(16,3136230,'1',3,320,2,9),(16,3136264,'1',3,102,1,45),(16,3136345,'1',2,201,2,20),(16,3136396,'1',2,503,2,9),(16,3136590,'1',1,316,1,4),(16,3136604,'1',3,501,1,1),(16,3136779,'1',3,327,2,19),(16,3136906,'1',3,3,2,52),(16,3136914,'1',3,220,1,1),(16,3136922,'1',3,302,1,31),(16,3136957,'1',3,211,1,25),(16,3136973,'1',3,234,1,16),(16,3137147,'1A',3,423,1,11),(16,3137163,'1',3,2,1,10),(16,3137201,'1',3,234,2,33),(16,3137228,'1',3,340,2,48),(16,3137287,'1',3,201,2,57),(16,3137333,'1',2,429,2,6),(16,3137350,'1',3,404,1,7),(16,3137414,'1',2,104,1,6),(16,3137422,'1A',3,426,2,21),(16,3137562,'1A',3,211,1,16),(16,3137570,'1',3,104,1,1),(16,3137651,'1',3,101,2,41),(16,3137660,'1',3,302,2,47),(16,3137716,'1',3,5,2,47),(16,3137856,'1',2,302,1,8),(16,3138372,'1A',3,233,2,40),(16,3138437,'1',3,211,1,8),(16,3138496,'1',3,222,1,17),(16,3138577,'1',3,5,1,7),(16,3138682,'1',2,3,1,6),(16,3138739,'1',3,318,2,52),(16,3138780,'1A',3,213,2,16),(16,3138925,'1',1,208,1,1),(16,3138941,'1',2,203,1,2),(16,3138968,'1',3,328,1,24),(16,3138976,'1',3,310,1,22),(16,3138992,'1',3,328,1,9),(16,3139220,'1',3,424,1,2),(16,3139441,'1',2,339,1,4),(16,3139581,'1',3,301,1,22),(16,3139590,'1',3,224,2,12),(16,3139654,'1',3,102,1,14),(16,3140016,'1',3,319,2,41),(16,3140040,'1',3,207,1,16),(16,3140059,'1',3,453,2,22),(16,3140172,'1',3,104,2,40),(16,3140199,'1',1,214,1,1),(16,3140202,'1',2,340,1,2),(16,3140210,'1',3,452,1,3),(16,3140237,'1',3,428,1,15),(16,3140253,'1',2,104,2,16),(16,3140318,'1',3,201,1,8),(16,3140385,'1',3,234,2,32),(16,3140407,'1',3,216,1,15),(16,3140474,'1',3,238,2,64),(16,3140555,'1',1,340,1,4),(16,3140601,'1A',2,208,2,17),(16,3140865,'1A',3,208,1,36),(16,3141233,'1',3,316,1,4),(16,3141403,'1',3,223,1,13),(16,3141543,'1',3,207,2,51),(16,3141659,'1',3,340,1,15),(16,3141772,'1',3,203,1,37),(16,3141853,'1',1,203,2,9),(16,3141870,'1',3,501,1,18),(16,3141926,'1',3,108,1,3),(16,3141993,'1',3,208,2,44),(16,3142388,'1',3,404,1,21),(16,3142400,'1',3,318,2,41),(16,3142558,'1A',3,213,1,12),(16,3142620,'1',3,101,1,12),(16,3142698,'1',3,108,2,44),(16,3142809,'1',3,223,1,24),(16,3142817,'1',2,427,1,7),(16,3142850,'1A',3,201,2,45),(16,3142868,'1',3,102,2,73),(16,3142914,'1',2,339,2,12),(16,3142981,'1',2,415,2,7),(16,3143139,'1',3,108,1,7),(16,3143236,'1',3,238,1,18),(16,3143325,'1',3,101,1,14),(16,3143368,'1',3,303,1,31),(16,3143384,'1',2,317,1,7),(16,3143490,'1',2,220,2,8),(16,3143562,'1',3,319,2,50),(16,3143619,'1',3,420,1,7),(16,3143791,'1',3,104,2,67),(16,3143805,'1',3,339,2,34),(16,3143856,'1',3,234,2,43),(16,3143880,'1',1,501,1,3),(16,3143961,'1',3,9,1,32),(16,3144062,'1',3,301,1,15),(16,3144070,'1',3,223,1,9),(16,3144283,'1',1,303,2,9),(16,3144305,'1',3,215,1,14),(16,3144402,'1',2,309,2,14),(16,3144445,'1',1,444,2,6),(16,3144470,'1',3,332,2,20),(16,3144666,'1A',3,214,2,19),(16,3144682,'1',3,318,1,1),(16,3144712,'1',2,310,1,4),(16,3144844,'1',2,452,1,4),(16,3144909,'1',2,303,1,6),(16,3144992,'1',3,301,2,61),(16,3145212,'1',3,225,1,7),(16,3145263,'1',3,340,1,28),(16,3145336,'1',3,2,1,13),(16,3145344,'1',1,302,1,4),(16,3145379,'1',3,329,1,9),(16,3145476,'1',2,207,1,8),(16,3145549,'1',3,316,1,34),(16,3145565,'1',3,301,2,52),(16,3145646,'1',3,308,1,37),(16,3145760,'1',3,453,2,21),(16,3145786,'1',1,328,1,3),(16,3145948,'1',3,5,1,5),(16,3145964,'1',3,415,2,39),(16,3146200,'1',3,452,2,23),(16,3146375,'1',3,205,1,4),(16,3146405,'1',3,319,2,63),(16,3146421,'1',3,317,1,6),(16,3146529,'1',2,429,2,5),(16,3146626,'1',3,316,1,24),(16,3146685,'1',1,102,2,9),(16,3146723,'1',1,102,2,8),(16,3146774,'1',2,5,2,17),(16,3146979,'1',3,319,1,22),(16,3147223,'1',3,304,1,6),(16,3147266,'1',3,423,1,31),(16,3147355,'1',1,329,1,4),(16,3147436,'1',3,203,2,60),(16,3147487,'1',2,316,1,2),(16,3147533,'1',2,208,1,7),(16,3147720,'1',2,428,2,11),(16,3147738,'1',3,501,2,53),(16,3147746,'1',3,317,1,11),(16,3147800,'1',3,331,1,6),(16,3147843,'1',2,501,2,19),(16,3147860,'1',3,304,2,49),(16,3147940,'1',2,220,2,9),(16,3147975,'1',3,211,1,17),(16,3148076,'1',3,220,1,23),(16,3148106,'1',3,103,1,11),(16,3148190,'1A',2,208,2,18),(16,3148270,'1',3,444,1,21),(16,3148408,'1',1,102,1,2),(16,3148459,'1',3,220,2,38),(16,3148475,'1',3,428,1,9),(16,3148572,'1',3,428,1,23),(16,3148602,'1',3,202,2,71),(16,3148793,'1',3,201,2,42),(16,3148858,'1',1,233,1,1),(16,3148920,'1',2,214,2,7),(16,3148980,'1',2,333,1,2),(16,3149056,'1',3,302,1,2),(16,3149072,'1',3,303,2,55),(16,3149129,'1',2,303,2,13),(16,3149161,'1',2,501,1,9),(16,3149170,'1',2,212,1,1),(16,3149226,'1',3,423,1,5),(16,3149340,'1',3,203,2,56),(16,3149358,'1',2,503,1,6),(16,3149439,'1',2,103,2,11),(16,3149455,'1',1,102,1,6),(16,3149544,'1',3,303,1,17),(16,3149595,'1',3,303,1,19),(16,3149684,'1',3,201,1,5),(16,3149722,'1',2,428,1,8),(16,3149765,'1',3,318,2,54),(16,3149803,'1',3,444,2,39),(16,3149854,'1',2,108,1,1),(16,3149978,'1',1,452,1,1),(16,3150070,'1',2,420,1,1),(16,3150097,'1A',3,238,2,60),(16,3150100,'1',3,202,1,8),(16,3150119,'1A',3,215,1,16),(16,3150348,'1',3,426,2,10),(16,3150364,'1',3,329,1,5),(16,3150372,'1',3,444,1,12),(16,3150402,'1',3,329,1,2),(16,3150607,'1',3,211,2,43),(16,3150615,'1',2,425,1,4),(16,3150666,'1',2,319,1,8),(16,3150674,'1',3,208,2,64),(16,3150682,'1',3,234,2,45),(16,3150720,'1',3,318,1,28),(16,3150895,'1',2,319,2,17),(16,3150968,'1',2,103,1,7),(16,3151093,'1',3,333,1,8),(16,3151115,'1A',3,202,2,63),(16,3151212,'1',2,320,2,2),(16,3151263,'1',3,428,2,50),(16,3151301,'1',3,201,2,48),(16,3151344,'1',3,102,2,79),(16,3151450,'1',3,308,1,32),(16,3151468,'1A',3,216,2,20),(16,3151530,'1',3,302,2,64),(16,3151891,'1',3,2,1,23),(16,3151905,'1',3,225,1,33),(16,3151948,'1',3,452,1,15),(16,3151964,'1',3,103,2,59),(16,3152006,'1',3,308,1,18),(16,3152014,'1A',3,202,2,37),(16,3152030,'1',3,304,2,35),(16,3152235,'1',3,301,1,19),(16,3152278,'1',3,453,2,28),(16,3152456,'1',3,302,1,9),(16,3152510,'1A',3,202,1,19),(16,3152600,'1',2,103,1,1),(16,3152650,'1',3,308,1,21),(16,3152669,'1',3,5,2,49),(16,3152677,'1',3,220,2,34),(16,3152766,'1',2,309,1,1),(16,3152839,'1',3,420,2,24),(16,3152871,'1A',2,426,2,8),(16,3152960,'1',3,102,2,54),(16,3153010,'1',3,426,2,28),(16,3153029,'1',3,233,2,48),(16,3153061,'1',2,220,2,11),(16,3153134,'1',3,211,1,4),(16,3153223,'1',3,101,1,4),(16,3153290,'1',3,324,1,8),(16,3153304,'1',1,101,1,1),(16,3153479,'1',3,309,2,41),(16,3153487,'1',3,503,1,23),(16,3153517,'1',2,332,2,3),(16,3153533,'1',3,202,2,69),(16,3153541,'1',3,104,1,25),(16,3153550,'1',3,303,2,42),(16,3153622,'1',3,212,1,10),(16,3153835,'1',3,423,1,26),(16,3153851,'1',3,220,1,7),(16,3153860,'1',3,201,2,50),(16,3153975,'1',3,301,1,35),(16,3153983,'1',3,304,1,17),(16,3154009,'1',2,201,1,6),(16,3154041,'1',3,301,1,21),(16,3154050,'1',3,233,2,52),(16,3154092,'1',3,326,1,9),(16,3154181,'1',2,340,1,8),(16,3154203,'1',3,340,2,34),(16,3154270,'1',3,104,1,29),(16,3154327,'1',3,308,1,22),(16,3154360,'1',1,238,1,1),(16,3154378,'1',3,102,1,34),(16,3154432,'1',3,103,1,10),(16,3154459,'1',3,303,1,5),(16,3154599,'1',1,104,1,4),(16,3154734,'1',3,319,2,51),(16,3154769,'1',3,108,2,54),(16,3154947,'1',3,428,2,38),(16,3154980,'1',2,104,1,10),(16,3155226,'1',3,316,1,3),(16,3155285,'1',3,340,1,3),(16,3155366,'1',3,104,2,42),(16,3155404,'1',3,302,2,58),(16,3155439,'1',2,211,2,13),(16,3155471,'1',2,2,1,8),(16,3155498,'1A',3,202,2,39),(16,3155714,'1',3,316,2,74),(16,3155765,'1',3,215,2,26),(16,3155897,'1',2,331,1,3),(16,3156028,'1',3,203,1,2),(16,3156044,'1',3,214,1,4),(16,3156087,'1',3,302,1,6),(16,3156249,'1',3,207,1,19),(16,3156397,'1',3,319,1,19),(16,3156400,'1',3,303,1,2),(16,3156460,'1',3,211,2,32),(16,3156524,'1',3,214,1,5),(16,3156540,'1',3,424,1,28),(16,3156893,'1',3,309,1,21),(16,3156923,'1',3,304,1,12),(16,3157105,'1',3,203,1,10),(16,3157156,'1',3,3,2,59),(16,3157253,'1',3,301,1,1),(16,3157431,'1',2,104,2,11),(16,3157440,'1',3,234,1,4),(16,3157628,'1',3,340,2,36),(16,3157636,'1',3,203,2,76),(16,3157849,'1',3,212,1,3),(16,3157946,'1',3,331,1,18),(16,3157954,'1',3,214,2,28),(16,3157997,'1A',2,203,2,14),(16,3158047,'1',3,233,2,51),(16,3158063,'1A',3,213,2,18),(16,3158225,'1',2,451,1,1),(16,3158250,'1',3,340,2,55),(16,3158489,'1A',3,213,1,4),(16,3158519,'1',3,332,2,4),(16,3158578,'1',3,3,2,37),(16,3158608,'1',1,453,1,1),(16,3158683,'1',2,201,1,7),(16,3158853,'1',3,102,1,26),(16,3158918,'1',3,303,1,27),(16,3158942,'1',3,2,1,16),(16,3159086,'1',3,318,1,20),(16,3159116,'1',3,317,2,33),(16,3159159,'1',3,216,1,8),(16,3159493,'1',3,202,2,61),(16,3159531,'1',3,429,2,19),(16,3159574,'1',3,108,2,39),(16,3159590,'1',3,415,1,5),(16,3159647,'1',3,101,2,27),(16,3159663,'1',3,103,2,57),(16,3159736,'1A',3,202,1,17),(16,3159752,'1',3,5,2,42),(16,3159809,'1',2,425,1,1),(16,3159990,'1',3,333,1,11),(16,3160106,'1',2,238,2,14),(16,3160130,'1',3,203,1,29),(16,3160394,'1',3,331,1,10),(16,3160424,'1',3,502,1,15),(16,3160637,'1',3,216,1,7),(16,3160890,'1',2,2,1,2),(16,3161013,'1',3,102,2,68),(16,3161080,'1',3,428,1,32),(16,3161153,'1',3,502,1,3),(16,3161170,'1',3,102,2,91),(16,3161218,'1',3,222,1,6),(16,3161382,'1',3,332,2,9),(16,3161471,'1A',3,202,2,46),(16,3161501,'1',3,205,1,13),(16,3161560,'1',3,216,1,14),(16,3161579,'1',3,450,1,9),(16,3161595,'1',3,5,1,15),(16,3161609,'1',1,101,2,5),(16,3161625,'1',1,415,1,1),(16,3161870,'1',2,208,1,3),(16,3161951,'1A',3,201,2,55),(16,3162010,'1',3,220,2,26),(16,3162320,'1',3,301,2,59),(16,3162346,'1',3,317,2,58),(16,3162370,'1',3,108,2,35),(16,3162435,'1',3,102,1,39),(16,3162478,'1',2,303,2,17),(16,3162710,'1',3,103,2,42),(16,3162796,'1',3,234,1,27),(16,3162877,'1',2,503,1,2),(16,3162982,'1',2,451,1,2),(16,3163237,'1',3,222,1,20),(16,3163369,'1',3,9,1,31),(16,3163393,'1',3,207,2,32),(16,3163490,'1',3,303,2,62),(16,3163679,'1',3,501,2,50),(16,3163695,'1',3,332,2,2),(16,3163814,'1',3,220,2,49),(16,3163903,'1A',3,426,2,24),(16,3164160,'1',3,238,1,33),(16,3164241,'1',2,207,2,9),(16,3164250,'1',3,207,2,48),(16,3164357,'1',3,5,2,44),(16,3164411,'1',3,308,2,76),(16,3164446,'1',3,501,1,30),(16,3164454,'1A',3,424,1,27),(16,3164551,'1',1,301,2,9),(16,3164624,'1',2,234,2,14),(16,3164756,'1',3,302,1,13),(16,3164802,'1',3,302,2,42),(16,3164977,'1',3,101,1,18),(16,3165000,'1',3,220,1,11),(16,3165027,'1A',3,233,1,4),(16,3165248,'1',1,303,1,1),(16,3165426,'1',3,324,1,17),(16,3165540,'1',3,302,1,15),(16,3165582,'1',3,233,2,27),(16,3165590,'1',3,503,1,14),(16,3165760,'1',3,318,1,10),(16,3165787,'1',3,340,2,30),(16,3165892,'1',3,316,2,62),(16,3165949,'1',2,420,1,3),(16,3165981,'1',3,203,2,59),(16,3166007,'1',2,420,1,2),(16,3166040,'1',3,102,2,87),(16,3166082,'1',3,211,2,58),(16,3166171,'1',3,502,2,32),(16,3166198,'1',3,103,1,27),(16,3166201,'1',3,104,2,70),(16,3166384,'1A',3,421,1,22),(16,3166546,'1',3,331,1,13),(16,3166597,'1',2,503,2,10),(16,3166651,'1',3,5,2,46),(16,3166805,'1',1,319,2,6),(16,3166929,'1',3,301,1,14),(16,3166988,'1',3,421,1,5),(16,3167011,'1',1,211,2,6),(16,3167054,'1',2,223,1,2),(16,3167119,'1',3,317,1,9),(16,3167127,'1',2,421,1,5),(16,3167232,'1',3,101,1,1),(16,3167496,'1',3,316,1,31),(16,3167623,'1',3,324,1,21),(16,3167690,'1',3,202,1,11),(16,3167771,'1',2,326,1,2),(16,3167798,'1',3,427,1,17),(16,3167801,'1',3,429,2,15),(16,3167879,'1',3,332,2,24),(16,3167887,'1',2,502,1,6),(16,3167909,'1A',3,238,2,50),(16,3168093,'1',3,318,2,37),(16,3168271,'1',3,5,1,22),(16,3168409,'1A',3,238,1,35),(16,3168492,'1',2,201,2,14),(16,3168638,'1',3,238,1,29),(16,3168646,'1',3,317,2,61),(16,3168751,'1',3,320,2,6),(16,3168875,'1',3,223,1,16),(16,3168980,'1',3,327,2,26),(16,3168999,'1',3,331,1,19),(16,3169146,'1',3,318,2,59),(16,3169235,'1',2,339,2,10),(16,3169340,'1',2,303,1,1),(16,3169430,'1',3,317,2,45),(16,3169464,'1',3,103,2,69),(16,3169472,'1',3,102,2,48),(16,3169529,'1',3,333,1,10),(16,3169561,'1',3,238,2,38),(16,3169693,'1',3,223,1,41),(16,3169766,'1',3,211,1,15),(16,3169863,'1A',3,208,2,57),(16,3169936,'1',3,327,2,13),(16,3169944,'1',3,203,1,9),(16,3170047,'1',1,340,2,5),(16,3170209,'1',3,304,2,44),(16,3170225,'1A',2,202,2,13),(16,3170390,'1A',3,213,1,7),(16,3170403,'1',3,308,2,74),(16,3170438,'1',2,303,2,10),(16,3170560,'1',3,301,1,12),(16,3170624,'1',3,108,1,13),(16,3170640,'1',3,5,2,56),(16,3170845,'1',3,104,1,6),(16,3170900,'1',3,220,2,43),(16,3170977,'1',3,425,1,15),(16,3171078,'1',1,203,2,8),(16,3171116,'1',3,428,1,6),(16,3171248,'1',3,215,2,37),(16,3171280,'1',3,9,1,1),(16,3171337,'1',3,108,2,43),(16,3171353,'1',3,331,1,29),(16,3171450,'1',3,102,1,29),(16,3171701,'1',3,308,1,35),(16,3171744,'1',3,101,2,49),(16,3171876,'1A',3,213,2,23),(16,3171914,'1',1,201,1,1),(16,3172031,'1A',2,238,2,17),(16,3172058,'1A',3,212,1,4),(16,3172112,'1',3,309,2,56),(16,3172171,'1',3,207,2,42),(16,3172350,'1',3,329,1,25),(16,3172376,'1',3,318,1,3),(16,3172392,'1',3,3,2,33),(16,3172406,'1',3,101,1,16),(16,3172449,'1',2,502,2,7),(16,3172570,'1',3,316,2,65),(16,3172589,'1',3,404,2,22),(16,3172600,'1',2,426,2,7),(16,3172732,'1',3,415,2,35),(16,3172805,'1',2,303,1,7),(16,3172830,'1',3,319,2,32),(16,3172902,'1',3,102,2,78),(16,3172996,'1',3,208,1,14),(16,3173003,'1',3,339,2,22),(16,3173100,'1',3,304,1,22),(16,3173178,'1',3,301,2,70),(16,3173194,'1',3,212,2,23),(16,3173224,'1',2,234,1,5),(16,3173240,'1',3,304,2,37),(16,3173321,'1',2,308,1,2),(16,3173380,'1',3,225,1,30),(16,3173488,'1',3,3,2,48),(16,3173569,'1',2,302,1,3),(16,3173658,'1',1,316,1,3),(16,3173690,'1',3,340,1,14),(16,3173704,'1',3,108,2,30),(16,3173712,'1',1,104,2,7),(16,3173941,'1',2,451,1,4),(16,3174034,'1A',3,208,2,75),(16,3174158,'1',3,425,1,18),(16,3174255,'1',3,3,2,40),(16,3174263,'1',3,225,1,43),(16,3174310,'1',3,214,1,9),(16,3174492,'1',3,444,1,5),(16,3174565,'1',3,501,2,40),(16,3174719,'1',3,501,2,54),(16,3174751,'1',2,301,2,19),(16,3174786,'1',3,215,2,38),(16,3174859,'1',2,415,1,3),(16,3174875,'1',2,310,1,7),(16,3174883,'1',2,211,1,5),(16,3174930,'1',3,429,2,17),(16,3174999,'1',3,201,1,27),(16,3175120,'1',2,104,1,3),(16,3175227,'1',3,215,2,32),(16,3175235,'1A',3,238,1,34),(16,3175278,'1',3,211,1,14),(16,3175499,'1A',2,213,2,5),(16,3175650,'1',3,102,2,84),(16,3175863,'1',3,101,2,32),(16,3175987,'1',3,320,2,22),(16,3176010,'1',3,3,1,25),(16,3176126,'1',3,234,1,25),(16,3176142,'1',3,108,1,10),(16,3176150,'1',3,502,1,14),(16,3176169,'1',3,501,2,48),(16,3176193,'1',3,5,1,26),(16,3176215,'1',3,304,1,10),(16,3176231,'1',3,202,1,30),(16,3176304,'1',3,415,1,4),(16,3176371,'1',3,5,2,40),(16,3176428,'1',3,429,2,29),(16,3176460,'1',3,316,2,69),(16,3176592,'1',3,108,2,49),(16,3176665,'1',3,317,2,59),(16,3176673,'1',3,333,1,12),(16,3176690,'1',3,302,2,38),(16,3177130,'1',3,453,2,27),(16,3177211,'1',3,203,2,68),(16,3177220,'1',3,202,1,31),(16,3177424,'1',3,318,1,9),(16,3177459,'1',2,404,1,1),(16,3177475,'1A',3,215,2,25),(16,3177602,'1',3,304,2,43),(16,3177688,'1',3,104,1,19),(16,3177742,'1',3,326,1,19),(16,3177815,'1',3,308,1,2),(16,3177823,'1',3,108,1,17),(16,3177831,'1',3,309,1,26),(16,3177840,'1',3,301,2,68),(16,3177912,'1',3,303,2,46),(16,3177963,'1',3,2,1,40),(16,3178013,'1',2,309,2,10),(16,3178170,'1',3,316,2,68),(16,3178218,'1',3,102,2,64),(16,3178560,'1',3,101,2,47),(16,3178641,'1',3,318,2,63),(16,3178862,'1',2,203,2,15),(16,3178927,'1',1,216,1,1),(16,3179079,'1',3,102,2,63),(16,3179109,'1A',3,238,1,25),(16,3179222,'1',3,444,1,13),(16,3179257,'1',3,201,2,41),(16,3179281,'1',3,108,2,57),(16,3179290,'1',2,202,2,20),(16,3179338,'1',2,503,1,5),(16,3179354,'1',2,108,1,8),(16,3179451,'1',3,320,2,17),(16,3179460,'1',2,317,2,18),(16,3179532,'1',2,104,1,2),(16,3179540,'1',3,317,2,51),(16,3179648,'1',1,303,1,3),(16,3179826,'1',3,104,2,47),(16,3179940,'1A',3,215,2,27),(16,3179982,'1',3,309,1,15),(16,3180115,'1',2,3,2,10),(16,3180220,'1',3,340,1,22),(16,3180344,'1',3,202,2,68),(16,3180433,'1',2,329,1,6),(16,3180441,'1',3,223,1,29),(16,3180565,'1',3,310,1,29),(16,3180590,'1',3,203,1,1),(16,3180778,'1',3,318,2,42),(16,3180832,'1',3,310,1,14),(16,3180875,'1',3,421,1,4),(16,3180891,'1',3,428,1,2),(16,3181111,'1',3,451,1,6),(16,3181138,'1',3,425,1,8),(16,3181162,'1',1,5,2,8),(16,3181359,'1',3,207,2,31),(16,3181448,'1',3,225,1,38),(16,3181553,'1',3,501,2,47),(16,3181561,'1',3,238,2,56),(16,3181820,'1A',3,424,1,11),(16,3181871,'1',3,233,2,33),(16,3181952,'1',3,319,1,15),(16,3182029,'1',3,9,1,20),(16,3182231,'1',2,501,1,10),(16,3182339,'1',3,444,1,1),(16,3182371,'1',2,5,1,1),(16,3182460,'1',2,203,1,6),(16,3182479,'1',3,108,2,51),(16,3182517,'1',3,302,1,16),(16,3182665,'1',3,9,1,5),(16,3182827,'1',3,212,1,14),(16,3182843,'1',3,207,1,15),(16,3183009,'1',3,308,2,58),(16,3183041,'1A',3,214,2,16),(16,3183084,'1',3,324,1,14),(16,3183220,'1',3,103,1,22),(16,3183319,'1',2,301,1,10),(16,3183327,'1',2,216,2,8),(16,3183335,'1',3,324,1,16),(16,3183483,'1',3,203,1,38),(16,3183572,'1',2,3,2,14),(16,3183610,'1',3,302,2,32),(16,3183726,'1',3,339,1,2),(16,3183866,'1',3,302,2,50),(16,3184064,'1',3,310,1,28),(16,3184080,'1',3,317,1,17),(16,3184102,'1',3,450,1,15),(16,3184242,'1',1,444,1,3),(16,3184315,'1',2,202,1,7),(16,3184323,'1',1,211,1,1),(16,3184331,'1A',3,208,2,39),(16,3184340,'1A',3,424,1,25),(16,3184439,'1',3,202,1,23),(16,3184455,'1',2,428,1,5),(16,3184510,'1',3,328,1,22),(16,3184536,'1',3,101,2,37),(16,3184544,'1',3,331,1,14),(16,3184838,'1',2,428,1,1),(16,3184846,'1',3,238,1,15),(16,3184870,'1',2,444,2,9),(16,3184943,'1',3,331,1,31),(16,3184986,'1',2,211,2,10),(16,3185117,'1',3,316,2,57),(16,3185273,'1',3,3,1,14),(16,3185362,'1',3,317,1,18),(16,3185508,'1',3,428,1,25),(16,3185559,'1',3,415,1,16),(16,3185591,'1',3,329,1,18),(16,3185621,'1',3,327,2,1),(16,3185630,'1',3,327,2,17),(16,3185672,'1',3,310,1,20),(16,3185729,'1',3,317,2,47),(16,3185834,'1',3,308,2,71),(16,3186130,'1',1,301,1,4),(16,3186172,'1',3,310,1,25),(16,3186253,'1',3,424,1,8),(16,3186270,'1A',2,211,2,16),(16,3186300,'1',3,233,1,18),(16,3186415,'1',3,427,1,3),(16,3186490,'1',2,102,2,22),(16,3186610,'1',2,426,2,4),(16,3186636,'1',3,424,1,3),(16,3186660,'1',3,102,2,51),(16,3186830,'1',3,224,2,25),(16,3186962,'1A',3,233,1,24),(16,3187012,'1',3,212,2,27),(16,3187080,'1',3,203,2,42),(16,3187390,'1A',3,215,2,19),(16,3187462,'1',3,304,1,15),(16,3187489,'1',1,201,1,2),(16,3187640,'1',2,308,2,14),(16,3187667,'1',3,213,1,1),(16,3187764,'1',2,211,2,17),(16,3187896,'1',3,238,1,14),(16,3188027,'1',3,339,2,25),(16,3188035,'1',3,224,2,11),(16,3188132,'1',3,320,2,23),(16,3188159,'1',3,331,1,22),(16,3188191,'1',3,415,1,13),(16,3188361,'1',3,501,2,70),(16,3188396,'1',3,101,2,53),(16,3188507,'1',3,101,1,19),(16,3188620,'1',3,220,2,36),(16,3188639,'1',2,308,1,7),(16,3188647,'1',3,201,2,54),(16,3188663,'1',3,207,1,7),(16,3188671,'1',3,216,2,22),(16,3188809,'1',3,302,1,23),(16,3188876,'1',3,225,1,3),(16,3188884,'1',2,233,1,3),(16,3189058,'1',3,303,2,43),(16,3189260,'1',3,201,2,67),(16,3189295,'1',3,301,2,60),(16,3189333,'1',3,503,2,43),(16,3189473,'1',3,101,2,42),(16,3189554,'1',3,3,2,58),(16,3189651,'1A',3,208,1,24),(16,3189716,'1',1,220,1,4),(16,3189872,'1',3,501,1,35),(16,3189929,'1',3,444,2,22),(16,3190072,'1',3,207,1,27),(16,3190129,'1',3,222,1,11),(16,3190234,'1',3,207,1,28),(16,3190374,'1',3,216,2,34),(16,3190412,'1',3,310,1,19),(16,3190625,'1',3,501,2,63),(16,3190919,'1',3,317,1,27),(16,3191044,'1',3,404,2,27),(16,3191125,'1',2,203,1,10),(16,3191222,'1',3,309,1,28),(16,3191664,'1',3,211,2,60),(16,3191680,'1',3,420,1,1),(16,3191800,'1',1,420,1,1),(16,3191834,'1',3,340,2,53),(16,3191940,'1',3,425,1,21),(16,3192172,'1',2,103,2,18),(16,3192202,'1',3,318,2,38),(16,3192261,'1A',3,202,2,52),(16,3192288,'1',3,101,1,13),(16,3192296,'1',2,329,1,7),(16,3192334,'1',3,211,2,33),(16,3192580,'1A',3,421,1,30),(16,3192652,'1',3,450,1,13),(16,3192687,'1',3,317,2,54),(16,3192695,'1',3,211,1,23),(16,3192741,'1',3,429,2,11),(16,3192857,'1',3,220,2,42),(16,3193268,'1',3,101,2,34),(16,3193446,'1',3,102,1,32),(16,3193543,'1A',3,202,2,64),(16,3193624,'1',2,104,2,14),(16,3193667,'1',3,208,2,72),(16,3193683,'1',2,238,1,4),(16,3193730,'1',3,102,2,46),(16,3193810,'1',3,104,1,16),(16,3193934,'1',3,333,1,14),(16,3194060,'1',3,453,2,15),(16,3194094,'1',3,223,1,30),(16,3194116,'1',3,220,2,37),(16,3194175,'1A',3,427,1,7),(16,3194469,'1',2,301,2,15),(16,3194540,'1',3,238,2,57),(16,3194604,'1',3,453,2,20),(16,3194647,'1',2,302,1,7),(16,3194698,'1',3,320,2,35),(16,3194809,'1',3,309,1,1),(16,3194892,'1',2,340,2,12),(16,3194922,'1',3,205,1,2),(16,3194949,'1',2,301,2,16),(16,3195090,'1',2,225,1,5),(16,3195198,'1',3,327,2,2),(16,3195228,'1',3,339,1,1),(16,3195341,'1',3,501,2,51),(16,3195368,'1',3,211,1,31),(16,3195570,'1',3,201,2,60),(16,3195589,'1',3,308,2,68),(16,3195775,'1',2,326,1,4),(16,3195856,'1',3,415,2,42),(16,3195970,'1',3,444,2,41),(16,3196011,'1',3,223,1,23),(16,3196291,'1',3,316,2,48),(16,3196372,'1',2,223,1,1),(16,3196410,'1',2,332,2,5),(16,3196488,'1',3,233,2,45),(16,3196615,'1',3,2,1,18),(16,3196631,'1',3,102,2,56),(16,3196739,'1',2,102,1,6),(16,3196852,'1',3,316,1,25),(16,3196895,'1',3,208,1,30),(16,3196976,'1',2,420,2,7),(16,3197247,'1',3,104,1,24),(16,3197336,'1',2,318,2,10),(16,3197344,'1',2,302,2,12),(16,3197476,'1',2,202,1,9),(16,3197557,'1',3,310,1,32),(16,3197743,'1',3,340,2,46),(16,3197751,'1',4,5,1,2),(16,3197816,'1',2,211,2,15),(16,3197832,'1',3,331,1,23),(16,3197867,'1',2,340,1,1),(16,3197875,'1',3,5,2,43),(16,3197948,'1',3,301,2,54),(16,3198014,'1',3,308,1,13),(16,3198146,'1',1,420,2,3),(16,3198162,'1',2,103,2,17),(16,3198286,'1',3,317,2,38),(16,3198316,'1',3,201,2,46),(16,3198545,'1',3,319,2,43),(16,3198642,'1',3,501,2,60),(16,3198707,'1',1,108,1,2),(16,3198812,'1',3,304,1,3),(16,3198855,'1',2,223,1,3),(16,3198936,'1',1,317,1,2),(16,3198952,'1',3,309,2,54),(16,3199002,'1',2,207,2,12),(16,3199045,'1',3,234,1,19),(16,3199070,'1',2,415,2,9),(16,3199223,'1',3,104,1,30),(16,3199266,'1',2,340,2,11),(16,3199290,'1',3,451,1,2),(16,3199320,'1',3,326,1,16),(16,3199371,'1',2,5,2,13),(16,3199487,'1',3,302,2,51),(16,3199541,'1',3,501,2,42),(16,3199614,'1',3,444,2,24),(16,3199754,'1',3,102,2,53),(16,3199789,'1',2,2,1,5),(16,3199835,'1',3,451,1,24),(16,3199851,'1',2,220,2,10),(16,3199886,'1',3,102,1,18),(16,3200108,'1',3,331,1,21),(16,3200302,'1',3,309,2,52),(16,3200337,'1',2,2,1,9),(16,3200434,'1A',3,212,2,19),(16,3200469,'1',3,220,2,32),(16,3200477,'1',1,211,1,2),(16,3200515,'1',3,234,1,5),(16,3200639,'1',3,203,2,62),(16,3200698,'1',3,308,2,40),(16,3200701,'1',3,332,2,29),(16,3200841,'1',2,203,1,7),(16,3200922,'1',2,332,2,7),(16,3201368,'1',3,101,2,33),(16,3201422,'1',3,101,2,35),(16,3201686,'1',3,102,2,58),(16,3201740,'1',3,316,2,73),(16,3201880,'1',2,202,2,19),(16,3201937,'1',3,331,1,32),(16,3202046,'1',3,3,1,8),(16,3202100,'1',3,104,2,36),(16,3202127,'1',3,332,2,15),(16,3202194,'1',3,309,2,48),(16,3202240,'1',2,324,2,12),(16,3202330,'1',3,308,1,7),(16,3202348,'1',3,103,1,35),(16,3202500,'1',3,202,1,2),(16,3202569,'1',2,501,2,12),(16,3202615,'1',3,328,1,14),(16,3202640,'1',3,316,1,27),(16,3202739,'1',3,319,2,57),(16,3202810,'1',2,309,2,13),(16,3202852,'1A',3,201,1,36),(16,3202887,'1A',3,213,2,22),(16,3202976,'1',2,102,1,5),(16,3203115,'1',2,104,1,1),(16,3203174,'1',2,427,1,2),(16,3203581,'1A',3,202,2,50),(16,3203786,'1A',3,214,2,25),(16,3203808,'1',3,301,2,53),(16,3203891,'1',3,451,1,3),(16,3203980,'1',2,308,1,6),(16,3204006,'1',2,104,2,17),(16,3204065,'1',3,208,2,45),(16,3204090,'1',3,320,2,8),(16,3204120,'1',3,309,2,42),(16,3204154,'1',3,304,1,2),(16,3204170,'1',3,452,2,17),(16,3204260,'1',3,426,2,26),(16,3204529,'1',3,102,2,65),(16,3204634,'1',3,203,2,67),(16,3204723,'1',3,309,1,19),(16,3204820,'1',3,202,1,18),(16,3204880,'1',2,318,1,4),(16,3204936,'1',2,339,2,9),(16,3205134,'1',3,319,2,52),(16,3205231,'1',3,501,1,19),(16,3205282,'1',3,503,2,44),(16,3205290,'1',3,104,1,13),(16,3205355,'1A',3,214,2,29),(16,3205380,'1',3,501,2,59),(16,3205487,'1',3,332,2,14),(16,3205592,'1',3,301,2,55),(16,3205649,'1A',3,208,1,33),(16,3205851,'1',3,304,2,51),(16,3205924,'1',3,102,2,83),(16,3205983,'1A',3,202,2,56),(16,3206033,'1',3,5,2,52),(16,3206190,'1',2,309,2,15),(16,3206220,'1',3,220,1,24),(16,3206246,'1',3,326,1,11),(16,3206262,'1A',3,238,2,49),(16,3206300,'1',1,203,1,1),(16,3206351,'1',3,318,2,51),(16,3206360,'1',3,318,2,43),(16,3206602,'1A',3,202,1,25),(16,3206610,'1',3,326,1,27),(16,3206629,'1',3,503,1,8),(16,3206750,'1',2,234,2,12),(16,3206793,'1A',3,214,2,22),(16,3206807,'1',3,332,2,13),(16,3206815,'1A',3,238,1,13),(16,3206971,'1',3,103,1,32),(16,3206998,'1A',3,208,1,25),(16,3207013,'1',3,9,1,6),(16,3207153,'1',3,207,1,18),(16,3207188,'1',1,201,2,7),(16,3207269,'1',3,104,1,2),(16,3207455,'1',3,211,1,11),(16,3207498,'1',3,404,1,9),(16,3207536,'1',2,415,1,1),(16,3207587,'1',3,421,1,31),(16,3207595,'1',3,215,2,35),(16,3207617,'1',3,104,1,33),(16,3207625,'1',3,234,1,15),(16,3207641,'1',3,327,2,12),(16,3207749,'1',3,304,1,19),(16,3207846,'1',3,222,1,15),(16,3207870,'1',3,203,1,32),(16,3207978,'1',2,423,1,2),(16,3208028,'1',3,215,2,34),(16,3208052,'1',2,5,2,10),(16,3208079,'1',3,207,1,11),(16,3208087,'1',2,450,1,5),(16,3208214,'1',2,205,1,3),(16,3208354,'1',3,501,2,75),(16,3208443,'1',3,426,2,12),(16,3208451,'1',3,234,2,55),(16,3208672,'1',3,428,1,17),(16,3209008,'1',1,301,1,2),(16,3209598,'1',2,202,2,16),(16,3209644,'1',2,108,1,7),(16,3209784,'1',2,225,1,4),(16,3209822,'1',3,428,2,47),(16,3209865,'1',3,302,2,40),(16,3210006,'1',3,333,1,16),(16,3210170,'1',3,104,2,66),(16,3210286,'1',3,426,2,13),(16,3210332,'1',3,104,1,3),(16,3210448,'1',3,453,1,6),(16,3210529,'1',3,318,2,50),(16,3210561,'1',3,404,2,35),(16,3210596,'1',2,324,2,10),(16,3210626,'1',3,104,2,51),(16,3210634,'1',3,220,2,50),(16,3210642,'1A',3,201,1,37),(16,3210669,'1',3,225,1,4),(16,3210731,'1',1,103,2,7),(16,3210944,'1',3,309,1,9),(16,3210960,'1',3,502,1,16),(16,3211002,'1A',3,202,1,35),(16,3211045,'1',3,328,1,8),(16,3211061,'1',3,301,1,29),(16,3211070,'1',3,425,1,28),(16,3211150,'1',3,3,1,2),(16,3211339,'1',3,216,1,17),(16,3211363,'1',3,208,1,27),(16,3211487,'1',1,108,1,1),(16,3211509,'1',3,318,2,39),(16,3211584,'1',3,102,2,57),(16,3211665,'1',3,427,1,8),(16,3211800,'1',2,104,1,7),(16,3211827,'1',3,429,2,4),(16,3211878,'1',3,421,1,3),(16,3211916,'1',3,104,2,69),(16,3211959,'1',2,328,1,1),(16,3212165,'1',3,234,1,7),(16,3212181,'1',3,339,2,31),(16,3212262,'1',2,5,1,2),(16,3212408,'1',1,501,1,4),(16,3212440,'1',3,309,1,27),(16,3212521,'1',1,102,2,10),(16,3212602,'1',3,502,2,31),(16,3212670,'1',3,316,2,52),(16,3212785,'1',3,423,1,13),(16,3212807,'1',3,304,1,4),(16,3212882,'1',3,326,1,31),(16,3212939,'1',1,202,1,4),(16,3212955,'1',3,233,2,29),(16,3213021,'1',3,3,1,1),(16,3213323,'1',3,208,1,5),(16,3213420,'1',3,309,2,50),(16,3213609,'1',2,453,1,1),(16,3213730,'1',1,9,1,2),(16,3213757,'1',3,423,1,2),(16,3213773,'1',3,5,2,54),(16,3213846,'1',3,332,2,26),(16,3213854,'1A',3,212,1,6),(16,3214010,'1',3,302,1,26),(16,3214087,'1',3,316,1,9),(16,3214109,'1',2,102,1,11),(16,3214290,'1',3,444,1,4),(16,3214303,'1',3,501,1,4),(16,3214397,'1A',3,233,1,25),(16,3214753,'1',3,317,2,50),(16,3214800,'1',3,211,2,50),(16,3214850,'1',1,340,1,3),(16,3214907,'1',1,216,2,4),(16,3215067,'1',3,424,1,7),(16,3215172,'1',2,202,2,15),(16,3215180,'1A',3,215,1,9),(16,3215202,'1A',3,238,2,54),(16,3215288,'1',3,501,1,2),(16,3215342,'1',3,5,1,31),(16,3215385,'1',3,501,1,12),(16,3215393,'1',1,301,1,1),(16,3215440,'1',3,220,2,52),(16,3215539,'1A',3,202,1,26),(16,3215652,'1',2,223,1,9),(16,3215857,'1',1,301,1,5),(16,3215881,'1',3,304,1,16),(16,3216055,'1',3,102,2,67),(16,3216233,'1',3,501,1,32),(16,3216365,'1A',3,213,2,15),(16,3216438,'1',3,503,2,25),(16,3216462,'1',3,501,1,17),(16,3216489,'1',2,103,1,3),(16,3216586,'1',3,502,2,28),(16,3216616,'1',3,444,2,34),(16,3216632,'1',3,203,2,69),(16,3216640,'1A',3,202,1,12),(16,3216896,'1',3,205,1,9),(16,3216977,'1',3,215,1,3),(16,3217094,'1',3,3,1,28),(16,3217116,'1',3,308,1,6),(16,3217167,'1',3,5,1,11),(16,3217400,'1',2,453,2,5),(16,3217698,'1',3,423,1,10),(16,3217914,'1',3,202,2,44),(16,3218082,'1',2,9,1,4),(16,3218201,'1',2,301,1,1),(16,3218279,'1',3,318,2,45),(16,3218511,'1',3,220,1,25),(16,3218643,'1A',2,233,1,5),(16,3218651,'1',3,203,2,40),(16,3218678,'1',2,301,1,5),(16,3218708,'1',2,340,2,13),(16,3218724,'1',3,304,2,33),(16,3218830,'1',3,102,1,16),(16,3218880,'1',1,340,2,6),(16,3218996,'1',3,203,1,19),(16,3219046,'1',3,308,1,28),(16,3219313,'1',3,333,1,17),(16,3219410,'1',3,339,2,32),(16,3219461,'1',3,310,1,8),(16,3219518,'1A',2,233,2,9),(16,3219593,'1',3,215,2,36),(16,3219658,'1A',1,208,1,3),(16,3219852,'1',3,302,2,39),(16,3220095,'1',3,5,1,13),(16,3220230,'1',3,2,1,45),(16,3220320,'1',2,238,1,6),(16,3220389,'1',3,317,1,15),(16,3220443,'1',3,301,2,40),(16,3220702,'1',3,5,1,23),(16,3220761,'1',3,331,1,12),(16,3220915,'1',3,340,2,49),(16,3221008,'1',3,104,1,14),(16,3221032,'1',2,101,2,15),(16,3221202,'1',3,224,2,3),(16,3221245,'1',3,501,1,8),(16,3221296,'1',3,318,1,8),(16,3221318,'1',3,301,1,28),(16,3221466,'1A',3,424,1,29),(16,3221512,'1',3,213,2,26),(16,3221555,'1',2,317,2,15),(16,3221784,'1',2,317,2,13),(16,3221857,'1',3,340,1,24),(16,3221920,'1',2,102,2,26),(16,3222012,'1',3,101,1,8),(16,3222225,'1',3,318,2,47),(16,3222233,'1',3,203,1,6),(16,3222241,'1',2,303,1,2),(16,3222322,'1',3,238,2,67),(16,3222349,'1A',2,233,2,8),(16,3222420,'1A',3,201,2,66),(16,3222470,'1',3,9,1,2),(16,3222594,'1',3,316,1,29),(16,3222608,'1',2,426,2,5),(16,3222756,'1',3,215,2,31),(16,3222918,'1',2,223,1,13),(16,3222950,'1',3,317,1,3),(16,3222993,'1',3,211,1,21),(16,3223035,'1',3,302,1,30),(16,3223060,'1',1,5,1,2),(16,3223205,'1',2,420,2,8),(16,3223329,'1',2,207,2,10),(16,3223345,'1',3,421,1,12),(16,3223361,'1',3,503,2,37),(16,3223493,'1',3,213,2,29),(16,3223540,'1',3,404,1,12),(16,3223574,'1',3,101,1,7),(16,3223787,'1',3,318,1,6),(16,3223990,'1',3,453,2,25),(16,3224112,'1',3,208,1,22),(16,3224287,'1',3,102,1,41),(16,3224422,'1',2,309,1,5),(16,3224481,'1',3,212,1,1),(16,3224635,'1',3,207,1,10),(16,3224759,'1',3,102,2,52),(16,3224864,'1',3,104,2,48),(16,3225046,'1',2,208,1,4),(16,3225151,'1',3,320,2,37),(16,3225160,'1',3,320,2,21),(16,3225470,'1A',3,202,1,32),(16,3225500,'1',3,339,1,19),(16,3225615,'1',3,316,1,18),(16,3225666,'1',1,216,1,2),(16,3225682,'1',3,108,2,31),(16,3225755,'1',3,452,1,2),(16,3225780,'1',3,203,1,11),(16,3225844,'1',1,415,1,2),(16,3225887,'1',3,238,1,1),(16,3225925,'1',3,212,1,2),(16,3225941,'1A',3,423,1,23),(16,3226077,'1',1,102,1,4),(16,3226093,'1',2,101,1,8),(16,3226140,'1',3,302,1,28),(16,3226190,'1',3,104,2,38),(16,3226239,'1',3,102,1,6),(16,3226255,'1',3,425,1,9),(16,3226425,'1',3,332,2,17),(16,3226573,'1',3,503,1,20),(16,3226875,'1',3,233,2,46),(16,3227421,'1',2,501,1,8),(16,3227480,'1',3,216,2,21),(16,3227545,'1',3,220,1,13),(16,3227588,'1',3,339,1,10),(16,3227596,'1',3,303,2,48),(16,3227626,'1',3,308,2,72),(16,3227715,'1',1,329,1,3),(16,3227880,'1',2,202,2,11),(16,3227936,'1',3,202,2,55),(16,3228002,'1',3,324,1,3),(16,3228010,'1',3,301,2,50),(16,3228037,'1',3,303,1,13),(16,3228096,'1',3,309,1,23),(16,3228169,'1',3,444,2,27),(16,3228479,'1',2,214,2,5),(16,3228517,'1',3,203,2,77),(16,3228550,'1',3,104,2,55),(16,3228584,'1A',2,203,2,17),(16,3228657,'1',1,211,1,5),(16,3228673,'1',3,340,1,9),(16,3228754,'1',3,340,2,43),(16,3228762,'1',1,319,1,4),(16,3228827,'1A',3,233,1,17),(16,3229033,'1',3,428,2,41),(16,3229181,'1A',3,426,2,22),(16,3229211,'1',3,234,2,40),(16,3229297,'1',3,404,2,24),(16,3229300,'1',2,302,2,18),(16,3229645,'1',3,207,1,13),(16,3229750,'1',2,101,2,12),(16,3229840,'1',3,327,2,20),(16,3229866,'1A',3,424,1,34),(16,3229971,'1',3,303,2,58),(16,3229980,'1',3,238,1,8),(16,3230015,'1',3,308,1,17),(16,3230155,'1A',3,233,1,8),(16,3230180,'1',2,453,2,8),(16,3230201,'1',3,340,1,20),(16,3230228,'1',3,3,1,13),(16,3230287,'1',3,302,1,8),(16,3230341,'1',2,451,1,5),(16,3230368,'1',3,207,1,1),(16,3230422,'1A',3,215,2,22),(16,3230570,'1',3,427,1,1),(16,3230643,'1',3,201,2,74),(16,3230686,'1',3,340,1,26),(16,3230775,'1',3,303,2,45),(16,3230872,'1',3,224,2,18),(16,3230910,'1',3,9,1,16),(16,3230945,'1',3,319,1,23),(16,3231100,'1',3,203,2,63),(16,3231143,'1',3,216,1,6),(16,3231275,'1A',3,211,2,62),(16,3231283,'1',2,108,2,13),(16,3231313,'1A',3,238,1,21),(16,3231330,'1',3,216,1,9),(16,3231585,'1',3,318,2,67),(16,3231658,'1',3,333,1,21),(16,3231860,'1',1,301,1,3),(16,3231917,'1',3,223,1,38),(16,3232174,'1',3,108,1,19),(16,3232280,'1',1,104,1,1),(16,3232328,'1',3,425,1,17),(16,3232409,'1',3,101,2,40),(16,3232417,'1A',3,238,1,30),(16,3232530,'1',3,211,1,18),(16,3232603,'1',3,102,1,5),(16,3232662,'1',3,316,1,2),(16,3232670,'1',2,332,2,2),(16,3232689,'1',3,302,1,18),(16,3232743,'1A',2,202,2,14),(16,3232816,'1',3,501,2,41),(16,3232832,'1',3,319,2,59),(16,3232891,'1',3,104,2,58),(16,3232964,'1',3,2,1,41),(16,3233081,'1',3,332,2,10),(16,3233170,'1',3,420,1,13),(16,3233227,'1',3,318,1,17),(16,3233375,'1',3,238,2,44),(16,3233448,'1',3,328,1,1),(16,3233502,'1',3,421,1,28),(16,3233553,'1',3,3,1,5),(16,3233960,'1A',3,212,1,12),(16,3233995,'1',3,5,1,16),(16,3234347,'1',2,302,1,1),(16,3234371,'1A',3,207,2,50),(16,3234410,'1',3,404,2,25),(16,3234436,'1',3,340,2,29),(16,3234487,'1',3,220,1,18),(16,3234550,'1',3,302,2,45),(16,3234630,'1',3,308,1,3),(16,3234770,'1',1,214,2,3),(16,3234894,'1',3,309,1,16),(16,3234975,'1',3,9,1,29),(16,3235076,'1',3,453,2,16),(16,3235238,'1',2,318,2,15),(16,3235327,'1',3,308,2,69),(16,3235777,'1',3,320,2,34),(16,3235785,'1',2,502,1,3),(16,3235793,'1',3,207,2,45),(16,3235866,'1',3,304,2,32),(16,3236048,'1',3,423,1,28),(16,3236102,'1',3,309,2,46),(16,3236250,'1',2,234,2,11),(16,3236480,'1',3,103,2,41),(16,3236501,'1',3,503,1,10),(16,3236536,'1',3,104,1,18),(16,3236560,'1',3,3,2,31),(16,3236579,'1',2,303,2,18),(16,3236650,'1',3,103,1,8),(16,3236714,'1',2,225,1,1),(16,3236803,'1',3,329,1,19),(16,3236897,'1',3,428,1,18),(16,3236935,'1',3,316,2,60),(16,3237010,'1',2,223,1,5),(16,3237117,'1',3,318,1,13),(16,3237168,'1',2,309,2,12),(16,3237370,'1',3,450,1,1),(16,3237494,'1',2,503,2,11),(16,3237591,'1',2,310,1,1),(16,3237664,'1',3,2,1,28),(16,3237680,'1A',3,426,2,19),(16,3237737,'1',1,453,2,3),(16,3237788,'1',3,451,1,9),(16,3237796,'1',1,214,1,2),(16,3237800,'1',2,233,1,4),(16,3237974,'1',3,429,2,7),(16,3238040,'1',3,317,1,2),(16,3238105,'1',3,304,1,1),(16,3238156,'1',3,328,1,21),(16,3238261,'1',2,302,1,2),(16,3238504,'1',3,222,1,16),(16,3238598,'1',3,223,1,37),(16,3238601,'1',3,208,2,76),(16,3238679,'1',2,329,1,1),(16,3238709,'1',3,309,1,25),(16,3238857,'1',2,222,1,1),(16,3238873,'1',1,304,1,1),(16,3238946,'1',3,225,1,49),(16,3239047,'1',3,310,1,24),(16,3239268,'1',3,340,1,7),(16,3239330,'1',1,304,2,7),(16,3239519,'1',3,324,1,25),(16,3239756,'1',3,207,2,40),(16,3239853,'1',3,304,1,27),(16,3239896,'1',3,319,2,55),(16,3239926,'1',3,421,1,1),(16,3239942,'1',2,320,2,8),(16,3239993,'1',2,213,2,7),(16,3240061,'1',3,444,2,36),(16,3240070,'1',3,101,1,3),(16,3240126,'1',3,415,2,25),(16,3240134,'1',3,453,2,24),(16,3240185,'1',3,316,2,40),(16,3240207,'1',2,427,1,1),(16,3240282,'1A',3,211,2,48),(16,3240339,'1',3,309,2,33),(16,3240401,'1',3,234,2,29),(16,3240517,'1',3,302,1,20),(16,3240649,'1',3,233,2,31),(16,3240657,'1',3,225,1,2),(16,3240754,'1',2,234,1,1),(16,3240932,'1',2,220,1,2),(16,3240959,'1',1,201,1,4),(16,3241017,'1',3,103,2,60),(16,3241165,'1',3,327,2,16),(16,3241343,'1',1,238,2,6),(16,3241351,'1A',3,211,2,45),(16,3241378,'1',2,205,1,4),(16,3241408,'1',3,444,2,26),(16,3241459,'1',3,324,2,34),(16,3241467,'1',3,426,2,4),(16,3241700,'1',3,324,1,5),(16,3241718,'1',2,304,1,9),(16,3241785,'1',3,304,2,48),(16,3242030,'1',3,339,2,30),(16,3242064,'1',3,452,1,6),(16,3242102,'1',3,501,2,65),(16,3242218,'1',3,101,1,9),(16,3242234,'1A',3,421,1,32),(16,3242242,'1',3,2,1,26),(16,3242277,'1',2,103,1,10),(16,3242307,'1',2,404,2,7),(16,3242331,'1',3,340,1,17),(16,3242617,'1',2,5,2,15),(16,3242692,'1',3,501,2,49),(16,3242803,'1',3,234,1,28),(16,3242811,'1',3,301,2,49),(16,3242900,'1',3,211,2,56),(16,3242951,'1',3,503,1,3),(16,3243001,'1',3,224,2,7),(16,3243176,'1',3,103,1,31),(16,3243290,'1',3,318,2,48),(16,3243320,'1',3,428,1,19),(16,3243389,'1',2,3,2,12),(16,3243427,'1',3,233,1,15),(16,3243567,'1',3,212,1,5),(16,3243672,'1',1,327,2,2),(16,3243753,'1',2,5,2,18),(16,3243761,'1A',3,208,2,58),(16,3243907,'1',3,103,2,51),(16,3243923,'1',3,101,1,20),(16,3243974,'1',3,310,1,26),(16,3244024,'1',3,320,2,30),(16,3244040,'1',3,339,2,24),(16,3244113,'1',2,201,1,4),(16,3244202,'1',3,404,2,26),(16,3244296,'1',3,316,1,12),(16,3244547,'1',3,503,1,11),(16,3244644,'1',3,225,1,12),(16,3244679,'1',3,328,1,7),(16,3244687,'1',3,2,1,44),(16,3244792,'1',2,329,1,4),(16,3244849,'1',3,329,1,14),(16,3244911,'1',3,318,2,65),(16,3244962,'1',4,103,1,1),(16,3245462,'1',3,5,1,25),(16,3245764,'1',3,301,1,7),(16,3245918,'1',3,421,1,6),(16,3245926,'1',3,333,1,3),(16,3245985,'1',3,426,2,14),(16,3246124,'1',3,301,1,4),(16,3246167,'1',2,426,2,2),(16,3246213,'1',3,5,2,53),(16,3246221,'1',3,108,2,59),(16,3246256,'1',2,211,2,18),(16,3246272,'1',2,501,2,17),(16,3246310,'1',3,332,2,5),(16,3246388,'1',2,224,2,6),(16,3246426,'1',3,104,2,44),(16,3246434,'1',3,3,1,27),(16,3246485,'1',3,104,2,45),(16,3246558,'1',3,201,1,10),(16,3246620,'1',3,216,2,23),(16,3246647,'1',3,501,2,61),(16,3246752,'1',3,331,1,17),(16,3246892,'1',3,9,1,12),(16,3246914,'1',3,208,2,65),(16,3247155,'1',2,451,1,6),(16,3247368,'1',3,304,2,39),(16,3247457,'1',3,421,1,16),(16,3247511,'1',1,212,1,2),(16,3247678,'1',3,503,2,27),(16,3247708,'1',2,404,1,3),(16,3247945,'1',3,317,1,8),(16,3247996,'1',3,308,2,51),(16,3248119,'1A',2,211,2,14),(16,3248488,'1',1,316,1,1),(16,3248577,'1',3,207,1,12),(16,3248640,'1',1,420,2,4),(16,3248682,'1A',3,201,2,68),(16,3248895,'1',3,104,2,65),(16,3249166,'1A',2,421,1,4),(16,3249204,'1',3,108,1,18),(16,3249212,'1',3,225,1,41),(16,3249395,'1',3,3,1,15),(16,3249468,'1',2,104,2,19),(16,3249476,'1',3,503,2,39),(16,3249620,'1',3,2,1,39),(16,3250156,'1A',3,233,1,19),(16,3250245,'1',3,427,1,4),(16,3250261,'1',3,502,1,7),(16,3250270,'1',3,9,1,23),(16,3250300,'1',3,501,1,34),(16,3250393,'1',3,317,2,37),(16,3250792,'1A',3,215,1,7),(16,3250890,'1',3,339,1,4),(16,3250911,'1',3,326,1,10),(16,3250970,'1',3,339,1,5),(16,3250997,'1',3,220,2,47),(16,3251136,'1',2,208,2,19),(16,3251144,'1',3,103,2,67),(16,3251187,'1',1,3,1,2),(16,3251438,'1',3,329,1,15),(16,3251446,'1',3,205,1,8),(16,3251560,'1A',3,208,1,37),(16,3251659,'1',3,205,1,1),(16,3251667,'1',3,234,2,42),(16,3251705,'1',3,310,1,16),(16,3251802,'1',2,207,2,14),(16,3251845,'1',3,326,1,18),(16,3251993,'1',2,211,1,1),(16,3252108,'1',3,450,1,17),(16,3252116,'1',2,501,2,16),(16,3252191,'1',3,215,1,15),(16,3252221,'1',2,223,1,8),(16,3252370,'1',3,3,1,11),(16,3252531,'1',3,502,2,24),(16,3252671,'1',3,238,1,7),(16,3252949,'1',2,208,2,13),(16,3253260,'1',1,326,1,2),(16,3253465,'1',3,304,1,30),(16,3253503,'1',3,328,1,12),(16,3253767,'1',1,317,2,7),(16,3253872,'1',3,5,1,28),(16,3254020,'1',3,2,1,9),(16,3254038,'1A',3,429,2,27),(16,3254054,'1',3,503,2,34),(16,3254062,'1',3,301,2,63),(16,3254380,'1',3,326,1,3),(16,3254399,'1A',3,208,1,23),(16,3254577,'1',3,426,2,30),(16,3254593,'1',3,328,1,17),(16,3254682,'1',3,222,1,1),(16,3254801,'1',3,308,2,63),(16,3254941,'1',2,216,1,1),(16,3254984,'1',3,303,2,36),(16,3255000,'1',3,3,1,12),(16,3255050,'1A',3,208,2,41),(16,3255085,'1',3,308,2,57),(16,3255182,'1',3,211,1,22),(16,3255271,'1',3,303,2,57),(16,3255280,'1',3,302,1,12),(16,3255581,'1',3,207,2,44),(16,3255603,'1',3,234,1,20),(16,3255620,'1',3,213,1,10),(16,3255662,'1',2,303,1,5),(16,3255816,'1',2,203,1,9),(16,3255883,'1',3,331,1,24),(16,3256219,'1',3,310,1,11),(16,3256243,'1',3,303,1,21),(16,3256340,'1A',3,238,2,53),(16,3256405,'1',3,213,2,21),(16,3256430,'1',3,420,1,4),(16,3256448,'1',3,201,1,22),(16,3256480,'1',3,213,1,9),(16,3256529,'1',3,302,2,54),(16,3256545,'1',3,203,2,44),(16,3256715,'1',1,425,1,2),(16,3257010,'1',3,308,1,20),(16,3257126,'1',3,324,1,15),(16,3257185,'1',3,308,1,24),(16,3257541,'1',3,102,1,3),(16,3257819,'1',1,303,2,6),(16,3257835,'1',2,101,2,13),(16,3257908,'1',3,201,2,63),(16,3257924,'1',3,326,1,24),(16,3257983,'1',3,234,2,38),(16,3258068,'1',3,328,1,28),(16,3258173,'1',3,202,1,34),(16,3258246,'1',3,420,1,2),(16,3258343,'1',3,238,1,19),(16,3258513,'1A',2,212,1,4),(16,3258572,'1',3,453,2,26),(16,3258580,'1',3,203,2,64),(16,3258610,'1',3,425,1,14),(16,3258700,'1',3,304,1,26),(16,3258734,'1',2,5,2,12),(16,3258785,'1',3,102,1,43),(16,3258807,'1',3,3,2,36),(16,3258890,'1',3,501,1,5),(16,3258904,'1',3,426,2,11),(16,3258912,'1',2,224,2,1),(16,3258955,'1',2,233,1,7),(16,3258963,'1',3,302,1,17),(16,3259358,'1',3,101,2,44),(16,3259366,'1',3,444,1,17),(16,3259390,'1',2,207,2,13),(16,3259498,'1',3,329,1,12),(16,3259501,'1',2,304,2,10),(16,3259552,'1',3,224,2,16),(16,3259870,'1',2,301,2,11),(16,3260038,'1',2,302,2,14),(16,3260119,'1',2,426,2,6),(16,3260151,'1',2,224,2,5),(16,3260186,'1',3,224,2,9),(16,3260216,'1',3,234,1,26),(16,3260224,'1',1,453,1,2),(16,3260259,'1',1,202,1,1),(16,3260283,'1',3,302,2,62),(16,3260330,'1',3,339,2,35),(16,3260356,'1',3,208,2,42),(16,3260437,'1',3,320,2,14),(16,3260488,'1',3,238,2,58),(16,3260615,'1',1,238,1,5),(16,3260640,'1',1,444,2,5),(16,3260780,'1',3,429,2,10),(16,3260801,'1',3,104,2,46),(16,3260836,'1',3,101,2,52),(16,3260852,'1',3,225,1,26),(16,3261042,'1',3,102,2,47),(16,3261182,'1',3,415,1,21),(16,3261441,'1',3,216,2,18),(16,3261468,'1',3,503,2,26),(16,3261549,'1',3,426,2,25),(16,3261565,'1',3,328,1,16),(16,3261603,'1',3,320,2,38),(16,3261620,'1',3,316,2,63),(16,3261875,'1',2,304,2,17),(16,3261980,'1',3,225,1,16),(16,3261999,'1',3,316,2,54),(16,3262014,'1',3,318,1,11),(16,3262332,'1',3,324,1,24),(16,3262359,'1',3,501,1,16),(16,3262421,'1',2,421,1,1),(16,3262464,'1A',3,208,2,71),(16,3262537,'1',3,316,1,7),(16,3262561,'1',2,317,2,10),(16,3262588,'1',2,203,2,12),(16,3262693,'1',3,234,1,12),(16,3262740,'1',2,451,1,3),(16,3262820,'1',3,5,2,51),(16,3262847,'1',3,234,2,48),(16,3262855,'1',3,404,1,13),(16,3262910,'1',3,102,2,92),(16,3262944,'1',3,421,1,19),(16,3262960,'1',3,101,2,50),(16,3263363,'1',3,207,2,33),(16,3263371,'1',3,404,1,17),(16,3263460,'1',3,207,2,54),(16,3263517,'1',3,444,2,25),(16,3263827,'1',3,423,1,16),(16,3263959,'1',3,318,1,25),(16,3264181,'1',3,501,1,28),(16,3264211,'1',3,301,2,69),(16,3264645,'1',3,234,2,41),(16,3264777,'1',3,318,2,56),(16,3264785,'1',3,415,1,14),(16,3264912,'1',3,5,2,33),(16,3264998,'1',3,444,2,33),(16,3265048,'1',3,452,2,29),(16,3265064,'1',3,238,1,22),(16,3265110,'1',3,452,2,20),(16,3265200,'1',3,104,1,21),(16,3265234,'1',2,316,2,13),(16,3265323,'1',3,304,2,47),(16,3265366,'1',3,102,1,28),(16,3265455,'1',3,223,1,10),(16,3265463,'1',3,452,1,13),(16,3265560,'1',3,317,2,52),(16,3265633,'1',3,222,1,22),(16,3265676,'1',3,101,1,21),(16,3265765,'1',2,326,1,3),(16,3265803,'1',3,304,1,9),(16,3265897,'1',2,3,2,11),(16,3265900,'1',3,404,2,31),(16,3265986,'1',3,238,1,12),(16,3266001,'1',2,3,1,3),(16,3266184,'1',3,104,1,12),(16,3266206,'1',3,451,1,11),(16,3266214,'1',3,317,2,40),(16,3266265,'1',2,304,2,18),(16,3266419,'1',3,2,1,34),(16,3266702,'1',3,332,2,22),(16,3266761,'1',2,3,1,1),(16,3266826,'1',3,201,2,39),(16,3266834,'1',3,207,2,46),(16,3266923,'1A',3,208,1,29),(16,3266940,'1',3,201,1,26),(16,3267067,'1',3,503,2,47),(16,3267113,'1A',3,427,1,12),(16,3267261,'1',3,214,1,11),(16,3267369,'1',3,302,1,1),(16,3267466,'1',3,319,2,33),(16,3267563,'1',1,5,2,7),(16,3267660,'1',2,102,2,24),(16,3267679,'1',2,424,1,1),(16,3267768,'1',3,308,2,47),(16,3267784,'1',2,102,2,15),(16,3267857,'1',3,320,2,31),(16,3267865,'1',3,423,1,29),(16,3267881,'1',3,340,1,11),(16,3267903,'1',3,101,2,30),(16,3267946,'1',3,444,1,7),(16,3268063,'1',3,211,2,57),(16,3268160,'1',3,451,1,13),(16,3268209,'1',3,320,2,32),(16,3268241,'1',3,451,1,22),(16,3268322,'1',2,501,1,4),(16,3268462,'1',3,5,2,60),(16,3268560,'1A',3,429,2,18),(16,3268608,'1',3,234,2,31),(16,3268667,'1',3,327,2,5),(16,3268870,'1',1,501,1,1),(16,3268950,'1',3,211,2,40),(16,3268985,'1',1,326,1,1),(16,3269000,'1',3,428,1,31),(16,3269400,'1',3,303,1,9),(16,3269566,'1',3,309,1,5),(16,3269663,'1',3,502,2,47),(16,3269698,'1A',3,215,2,21),(16,3269914,'1',3,452,2,16),(16,3270157,'1',3,208,1,16),(16,3270386,'1',3,404,1,4),(16,3270483,'1',3,225,1,46),(16,3270564,'1A',2,215,1,4),(16,3270688,'1',3,324,1,19),(16,3270742,'1',2,104,2,12),(16,3270904,'1',3,425,1,20),(16,3271285,'1',3,302,1,29),(16,3271340,'1',3,310,1,13),(16,3271471,'1',3,108,2,45),(16,3271510,'1',3,421,1,8),(16,3271650,'1',3,3,2,45),(16,3271838,'1',3,329,1,26),(16,3271862,'1',3,223,1,33),(16,3271960,'1',3,327,2,29),(16,3272133,'1',2,102,2,18),(16,3272176,'1',1,201,1,5),(16,3272192,'1',3,326,1,21),(16,3272311,'1',2,503,1,1),(16,3272508,'1',2,225,1,11),(16,3272583,'1',3,308,2,39),(16,3272605,'1',3,502,2,42),(16,3272770,'1',3,503,2,38),(16,3273210,'1',2,234,1,3),(16,3273393,'1',2,444,1,2),(16,3273822,'1',3,103,1,28),(16,3274039,'1',3,320,2,28),(16,3274080,'1',3,103,2,37),(16,3274144,'1',3,332,2,25),(16,3274241,'1',3,340,2,52),(16,3274381,'1',2,207,2,11),(16,3274420,'1A',3,215,2,24),(16,3274500,'1',3,327,2,23),(16,3274683,'1',3,108,2,38),(16,3274969,'1',1,426,2,1),(16,3274993,'1',3,202,1,3),(16,3275108,'1',3,222,1,5),(16,3275191,'1',3,319,1,27),(16,3275205,'1',2,9,1,7),(16,3275302,'1',3,309,2,49),(16,3275540,'1',3,214,1,3),(16,3275620,'1',3,324,1,7),(16,3275680,'1',3,318,1,4),(16,3275914,'1',1,317,2,6),(16,3276260,'1',1,9,1,3),(16,3276287,'1',3,332,2,21),(16,3276295,'1',3,102,2,75),(16,3276473,'1A',3,213,2,24),(16,3276660,'1',3,216,1,10),(16,3276678,'1',3,233,1,22),(16,3276856,'1',3,225,1,31),(16,3277178,'1',3,316,2,58),(16,3277232,'1',3,340,2,32),(16,3277739,'1',3,501,1,9),(16,3277771,'1',3,208,1,35),(16,3277836,'1',3,205,1,10),(16,3277941,'1A',3,427,1,14),(16,3277992,'1',3,340,2,31),(16,3278123,'1',3,428,2,44),(16,3278360,'1',3,404,1,11),(16,3278395,'1A',3,424,1,23),(16,3278514,'1',3,205,1,7),(16,3278603,'1',1,207,2,7),(16,3278808,'1',2,233,1,6),(16,3278930,'1',3,324,2,35),(16,3278948,'1A',3,238,2,52),(16,3279324,'1',3,502,1,11),(16,3279545,'1',3,420,2,20),(16,3279626,'1',3,501,2,72),(16,3279863,'1',3,501,1,11),(16,3280012,'1',3,3,2,64),(16,3280063,'1',3,428,2,53),(16,3280080,'1',3,214,1,14),(16,3280128,'1',3,2,1,25),(16,3280373,'1',3,328,1,18),(16,3280403,'1A',3,427,1,15),(16,3280535,'1',3,102,2,86),(16,3280942,'1',3,331,1,8),(16,3281167,'1',3,503,1,18),(16,3281450,'1',2,319,1,3),(16,3281469,'1',3,421,1,13),(16,3281477,'1',3,450,1,4),(16,3281485,'1',3,302,1,7),(16,3281515,'1',3,501,2,44),(16,3281639,'1',3,328,1,2),(16,3281728,'1A',3,424,1,33),(16,3281736,'1',2,220,1,4),(16,3281744,'1',3,225,1,13),(16,3281752,'1',3,444,2,31),(16,3281922,'1',3,318,2,61),(16,3281981,'1A',3,421,1,10),(16,3282058,'1A',3,208,2,73),(16,3282473,'1',3,102,1,25),(16,3282511,'1',3,444,1,15),(16,3282600,'1',3,108,2,53),(16,3282627,'1A',3,207,2,47),(16,3282694,'1',2,301,2,20),(16,3282740,'1',3,223,1,18),(16,3282767,'1',3,415,2,24),(16,3282783,'1',3,224,2,15),(16,3282856,'1',2,304,1,8),(16,3282929,'1A',3,429,2,25),(16,3282953,'1',2,320,2,1),(16,3283003,'1',3,211,1,3),(16,3283020,'1A',3,212,2,28),(16,3283070,'1',3,203,1,30),(16,3283143,'1',3,329,1,13),(16,3283194,'1',2,3,1,5),(16,3283518,'1',2,3,1,7),(16,3283720,'1',3,211,2,61),(16,3283763,'1',2,502,2,8),(16,3283925,'1',3,317,1,13),(16,3283968,'1',2,301,2,12),(16,3284018,'1',3,319,2,45),(16,3284107,'1',3,234,1,8),(16,3284115,'1',3,503,1,9),(16,3284123,'1',2,304,2,11),(16,3284280,'1',3,421,1,29),(16,3284310,'1',2,502,1,2),(16,3284352,'1',3,102,2,61),(16,3284450,'1',2,444,2,7),(16,3284468,'1',1,301,2,6),(16,3284565,'1',3,205,1,6),(16,3284573,'1',3,423,1,9),(16,3284638,'1',1,201,2,10),(16,3284689,'1A',3,208,2,47),(16,3284794,'1',3,224,2,19),(16,3284859,'1',1,301,2,7),(16,3284913,'1',3,104,1,7),(16,3284956,'1',2,340,1,6),(16,3285120,'1',3,108,2,29),(16,3285235,'1',3,318,1,14),(16,3285405,'1A',1,215,1,2),(16,3285448,'1',2,108,2,14),(16,3285472,'1',3,331,1,15),(16,3285626,'1A',3,233,2,41),(16,3285804,'1',3,332,2,1),(16,3285839,'1',3,503,1,22),(16,3285855,'1',3,339,1,6),(16,3286045,'1',2,404,1,2),(16,3286134,'1',3,303,1,4),(16,3286240,'1',3,324,1,1),(16,3286274,'1',3,428,2,61),(16,3286347,'1',1,333,1,2),(16,3286452,'1',3,424,1,20),(16,3286541,'1',3,303,2,34),(16,3286606,'1',3,428,2,63),(16,3286762,'1A',2,428,2,13),(16,3286878,'1',2,404,1,4),(16,3286916,'1',1,429,2,2),(16,3286932,'1',2,320,2,4),(16,3286975,'1',3,421,1,7),(16,3287084,'1',3,320,2,16),(16,3287092,'1',3,501,2,55),(16,3287122,'1',3,102,1,42),(16,3287408,'1',3,222,1,10),(16,3287505,'1',3,318,1,23),(16,3287777,'1A',3,212,2,21),(16,3288072,'1',3,316,2,51),(16,3288315,'1',3,202,2,74),(16,3288390,'1',2,102,2,16),(16,3288510,'1',1,101,1,2),(16,3288668,'1',3,317,1,4),(16,3288854,'1',2,104,1,9),(16,3289214,'1',3,104,1,31),(16,3289338,'1A',2,214,2,8),(16,3289362,'1',2,303,2,11),(16,3289540,'1',2,501,2,14),(16,3289818,'1',2,320,2,5),(16,3289850,'1A',2,424,1,3),(16,3290069,'1',3,331,1,4),(16,3290468,'1',3,426,2,5),(16,3290492,'1',3,214,2,26),(16,3290646,'1A',3,233,2,42),(16,3291103,'1',3,233,2,50),(16,3291340,'1',1,404,2,6),(16,3291405,'1',1,104,2,8),(16,3291480,'1',2,452,2,5),(16,3291502,'1',2,223,1,10),(16,3291510,'1',3,318,1,2),(16,3291596,'1',3,308,1,30),(16,3291847,'1',3,328,1,19),(16,3292053,'1',3,420,1,5),(16,3292207,'1',3,102,1,44),(16,3292258,'1',3,301,1,20),(16,3292266,'1',3,304,1,18),(16,3292282,'1',2,319,2,14),(16,3292428,'1',3,103,1,3),(16,3292479,'1',3,428,2,52),(16,3292509,'1',3,202,1,6),(16,3292525,'1',3,328,1,4),(16,3292673,'1',3,233,2,53),(16,3292843,'1',3,225,1,40),(16,3293009,'1',1,9,1,4),(16,3293114,'1',1,5,2,6),(16,3293530,'1',3,205,1,15),(16,3293645,'1',3,328,1,23),(16,3293653,'1A',3,211,2,42),(16,3293718,'1',3,2,1,19),(16,3293947,'1',2,331,1,6),(16,3294129,'1',3,104,2,54),(16,3294153,'1',3,503,1,1),(16,3294382,'1',3,309,1,11),(16,3294544,'1',2,324,1,7),(16,3294722,'1',3,310,1,17),(16,3295133,'1',3,450,1,20),(16,3295168,'1',3,304,2,57),(16,3295281,'1',3,233,2,34),(16,3295460,'1',3,502,1,21),(16,3295559,'1',3,318,2,69),(16,3295605,'1',3,328,1,25),(16,3295966,'1',3,223,1,26),(16,3295982,'1',3,318,2,68),(16,3296130,'1',3,234,2,39),(16,3296229,'1',3,329,1,21),(16,3296261,'1',2,308,1,3),(16,3296563,'1A',3,424,1,32),(16,3296725,'1',3,324,1,9),(16,3296830,'1',3,415,1,10),(16,3296954,'1',2,319,1,5),(16,3297144,'1',3,309,2,60),(16,3297179,'1',3,213,2,28),(16,3297233,'1',2,207,1,7),(16,3297306,'1',3,427,1,10),(16,3297519,'1A',3,233,1,6),(16,3297829,'1',3,309,1,20),(16,3297853,'1',2,101,1,5),(16,3297888,'1A',3,427,1,18),(16,3297918,'1',1,201,2,9),(16,3298159,'1A',2,213,2,8),(16,3298337,'1',3,317,1,1),(16,3298353,'1',2,220,1,1),(16,3298639,'1',3,316,2,61),(16,3298655,'1',3,501,1,25),(16,3298698,'1',2,207,1,5),(16,3298701,'1',3,426,2,17),(16,3298965,'1',3,501,2,43),(16,3299066,'1',3,304,1,29),(16,3299350,'1',3,327,2,22),(16,3299481,'1',3,225,1,28),(16,3299970,'1',2,319,2,10),(16,3300196,'1',3,316,1,1),(16,3300226,'1A',3,207,2,52),(16,3300331,'1A',3,213,1,14),(16,3300439,'1',2,501,1,7),(16,3300650,'1',3,425,1,27),(16,3301354,'1',1,201,1,6),(16,3301478,'1',3,3,2,53),(16,3301583,'1',3,310,1,4),(16,3301982,'1',3,444,2,35),(16,3302016,'1',3,421,1,15),(16,3302229,'1A',1,211,2,8),(16,3302245,'1',3,208,2,50),(16,3302350,'1',3,332,2,30),(16,3302415,'1',2,211,1,2),(16,3302580,'1',3,424,1,31),(16,3302768,'1',1,340,2,7),(16,3303632,'1',3,424,1,14),(16,3303748,'1',3,211,2,59),(16,3303756,'1',3,502,1,18),(16,3303829,'1',3,452,2,28),(16,3304051,'1',2,329,1,5),(16,3304078,'1',3,303,2,52),(16,3304086,'1',3,503,2,28),(16,3304264,'1A',3,423,1,20),(16,3304361,'1',1,444,2,4),(16,3304400,'1',3,304,2,61),(16,3304426,'1',3,104,1,17),(16,3304434,'1',3,201,2,59),(16,3304442,'1',2,333,1,5),(16,3304477,'1',3,424,1,10),(16,3304760,'1',3,317,1,16),(16,3304884,'1A',3,233,2,36),(16,3304922,'1',3,3,1,6),(16,3305252,'1',3,101,1,24),(16,3305392,'1',2,339,2,8),(16,3305546,'1',3,225,1,20),(16,3305830,'1',3,309,1,10),(16,3306194,'1',3,302,2,37),(16,3306240,'1',3,324,1,20),(16,3306410,'1',3,316,1,35),(16,3306640,'1',2,420,1,4),(16,3306690,'1',3,420,1,14),(16,3306933,'1',2,102,1,2),(16,3307000,'1',3,503,1,2),(16,3307069,'1',3,316,1,11),(16,3307123,'1',3,301,1,33),(16,3307140,'1',1,5,1,4),(16,3307280,'1',3,502,1,23),(16,3307298,'1',3,319,2,64),(16,3307352,'1',3,444,1,18),(16,3307484,'1',3,223,1,42),(16,3307573,'1',3,108,1,4),(16,3307700,'1',3,317,1,7),(16,3307840,'1',3,5,2,39),(16,3307921,'1',3,428,2,58),(16,3307930,'1',3,339,1,15),(16,3307964,'1',1,319,2,8),(16,3308200,'1',3,103,2,56),(16,3308359,'1',3,424,1,19),(16,3308570,'1',3,340,1,25),(16,3308693,'1',2,316,1,8),(16,3308782,'1',3,3,2,60),(16,3308804,'1',3,9,1,14),(16,3308910,'1',3,316,2,39),(16,3309207,'1',3,404,1,16),(16,3309304,'1',3,207,2,30),(16,3309681,'1',3,339,1,12),(16,3309703,'1A',3,201,1,28),(16,3309908,'1',2,428,2,15),(16,3309991,'1',3,101,2,38),(16,3310043,'1',3,502,2,38),(16,3310396,'1',3,3,1,24),(16,3310418,'1A',3,421,1,11),(16,3310639,'1',3,425,1,4),(16,3310647,'1',3,208,2,46),(16,3310701,'1',3,320,2,15),(16,3310760,'1',3,501,2,46),(16,3310787,'1',3,339,1,9),(16,3310809,'1',3,216,1,1),(16,3310990,'1',3,428,1,26),(16,3311040,'1',3,326,1,15),(16,3311058,'1A',3,238,2,68),(16,3311252,'1',3,223,1,14),(16,3311295,'1',3,317,2,35),(16,3311384,'1A',3,208,2,38),(16,3311449,'1',3,324,1,11),(16,3311546,'1',2,429,2,7),(16,3311619,'1',3,320,2,33),(16,3311791,'1',2,103,2,20),(16,3311821,'1',3,426,2,9),(16,3311872,'1',3,329,1,24),(16,3312011,'1',3,301,1,3),(16,3312046,'1',2,309,2,9),(16,3312054,'1',3,453,1,12),(16,3312070,'1',3,332,2,27),(16,3312089,'1',3,329,1,23),(16,3312259,'1',3,331,1,5),(16,3312755,'1',3,318,2,60),(16,3313050,'1',3,103,2,66),(16,3313166,'1',1,319,2,7),(16,3313220,'1',3,404,1,8),(16,3313379,'1',2,308,1,10),(16,3313832,'1',3,234,1,11),(16,3314006,'1A',3,211,2,39),(16,3314065,'1',2,339,1,5),(16,3314200,'1',3,324,1,28),(16,3314251,'1',3,102,1,38),(16,3314502,'1',3,329,1,7),(16,3314545,'1',3,103,2,49),(16,3314685,'1',3,308,2,64),(16,3314774,'1',3,320,2,10),(16,3314898,'1',3,304,2,46),(16,3314901,'1',3,316,1,23),(16,3314936,'1',3,103,1,21),(16,3314995,'1',3,318,2,49),(16,3315045,'1',3,309,1,13),(16,3315096,'1',3,225,1,35),(16,3315169,'1',3,3,2,44),(16,3315193,'1',3,425,1,2),(16,3315207,'1',3,404,1,14),(16,3315312,'1',2,5,1,4),(16,3315428,'1A',2,424,1,5),(16,3315452,'1',3,451,1,8),(16,3315509,'1',2,5,1,7),(16,3315576,'1',2,5,2,11),(16,3315592,'1',3,420,2,25),(16,3315746,'1',1,101,1,3),(16,3315770,'1',1,453,2,4),(16,3315932,'1',3,304,2,58),(16,3316025,'1',3,329,1,6),(16,3316084,'1',3,339,1,13),(16,3316149,'1',3,421,1,33),(16,3316521,'1',3,327,2,8),(16,3316645,'1',3,308,2,46),(16,3316734,'1',1,318,1,2),(16,3316777,'1',3,428,1,27),(16,3316866,'1',1,216,1,3),(16,3317005,'1A',3,423,1,22),(16,3317137,'1',3,426,2,7),(16,3317170,'1',3,308,1,11),(16,3317358,'1',3,326,1,26),(16,3317374,'1',3,318,1,18),(16,3317587,'1',2,225,1,6),(16,3317668,'1',3,318,2,57),(16,3317676,'1',1,207,2,5),(16,3317927,'1A',2,427,1,6),(16,3318184,'1',3,424,1,6),(16,3318478,'1',2,339,1,3),(16,3318826,'1A',2,212,2,5),(16,3318834,'1',2,316,2,18),(16,3318885,'1',3,3,1,21),(16,3319024,'1',3,429,2,6),(16,3319075,'1',1,201,1,3),(16,3319121,'1',2,444,2,10),(16,3319148,'1',3,421,1,21),(16,3319156,'1',3,102,2,88),(16,3319210,'1A',3,211,2,49),(16,3319288,'1',3,3,1,19),(16,3319504,'1',2,102,1,8),(16,3319555,'1',2,5,2,16),(16,3319652,'1',3,2,1,42),(16,3319873,'1',3,404,1,15),(16,3320065,'1',3,502,2,44),(16,3320227,'1',3,502,1,6),(16,3320308,'1',3,425,1,5),(16,3320502,'1A',3,426,2,31),(16,3321096,'1',3,208,2,52),(16,3321312,'1',3,423,1,14),(16,3321436,'1',3,451,1,5),(16,3321444,'1',3,501,2,69),(16,3321509,'1',3,423,1,6),(16,3321673,'1',2,304,2,12),(16,3321711,'1',2,415,2,11),(16,3322017,'1',1,207,2,6),(16,3322025,'1',2,340,1,5),(16,3322041,'1',3,421,1,24),(16,3322181,'1',3,304,2,34),(16,3322262,'1',3,301,2,57),(16,3322394,'1',3,444,1,3),(16,3322556,'1',3,316,1,32),(16,3322645,'1',3,304,2,62),(16,3322726,'1',2,316,2,15),(16,3323030,'1',2,223,1,12),(16,3323056,'1',1,404,1,1),(16,3323250,'1',3,222,1,8),(16,3323773,'1',3,215,1,4),(16,3323951,'1',3,331,1,20),(16,3323986,'1',1,5,2,9),(16,3324052,'1',3,225,1,1),(16,3324222,'1',3,333,1,18),(16,3324311,'1',2,428,2,16),(16,3324524,'1',3,2,1,35),(16,3324567,'1',3,428,2,57),(16,3324796,'1',2,309,1,7),(16,3324826,'1',3,444,2,28),(16,3325040,'1',3,301,2,41),(16,3325202,'1',3,428,2,51),(16,3325369,'1',3,425,1,7),(16,3325385,'1',1,423,1,1),(16,3325547,'1',1,339,1,2),(16,3325555,'1',3,309,2,55),(16,3325598,'1',3,421,1,17),(16,3325806,'1',3,340,2,47),(16,3325954,'1',3,309,2,38),(16,3326047,'1',1,302,1,2),(16,3326233,'1',3,317,1,23),(16,3326330,'1',3,444,2,38),(16,3326411,'1A',3,429,2,30),(16,3326489,'1',3,5,2,34),(16,3326586,'1',3,324,1,18),(16,3326659,'1',3,2,1,43),(16,3326802,'1',3,308,2,52),(16,3326810,'1',3,304,1,11),(16,3326845,'1',3,318,1,22),(16,3326993,'1',3,213,2,25),(16,3327205,'1',3,308,2,49),(16,3327485,'1',3,223,1,15),(16,3327493,'1',3,444,2,42),(16,3327833,'1',3,326,1,30),(16,3328066,'1',1,318,1,1),(16,3328228,'1',3,310,1,1),(16,3328295,'1',2,301,1,8),(16,3328333,'1',3,102,1,31),(16,3328392,'1',3,104,1,23),(16,3328775,'1',3,203,2,61),(16,3328805,'1A',3,429,2,26),(16,3328961,'1',3,309,2,44),(16,3329356,'1',3,421,1,18),(16,3329453,'1',3,318,2,62),(16,3329461,'1',3,308,2,55),(16,3329585,'1',3,331,1,26),(16,3330117,'1',3,101,1,22),(16,3330222,'1',3,308,2,73),(16,3330818,'1',3,331,1,28),(16,3330850,'1',3,224,2,1),(16,3331040,'1',2,340,2,15),(16,3331083,'1',3,3,1,23),(16,3331563,'1',3,331,1,27),(16,3331776,'1',3,238,2,62),(16,3331989,'1',3,303,1,23),(16,3332160,'1',1,220,1,1),(16,3332438,'1',3,451,1,20),(16,3332489,'1',2,421,1,2),(16,3333086,'1',3,225,1,21),(16,3333302,'1',2,203,1,8),(16,3334155,'1',3,451,1,15),(16,3334694,'1',3,428,1,28),(16,3334775,'1',3,426,2,1),(16,3334880,'1',3,429,2,1),(16,3335348,'1',1,318,1,3),(16,3335364,'1',3,5,1,18),(16,3335380,'1',3,318,1,30),(16,3335429,'1',3,317,1,21),(16,3335720,'1',3,428,1,16),(16,3335780,'1',3,238,1,26),(16,3335798,'1',3,404,1,6),(16,3335836,'1',3,425,1,26),(16,3335887,'1',3,309,2,34),(16,3336077,'1',3,102,2,80),(16,3336441,'1',3,207,2,41),(16,3336492,'1',2,238,1,3),(16,3337120,'1',3,427,1,11),(16,3337499,'1',1,238,1,2),(16,3337618,'1',3,104,1,26),(16,3338266,'1',3,224,2,20),(16,3338380,'1A',3,202,2,57),(16,3338401,'1',3,317,2,44),(16,3338495,'1',3,424,1,5),(16,3338525,'1',2,404,2,8),(16,3338690,'1',3,304,2,52),(16,3338770,'1',3,318,1,12),(16,3338908,'1',3,5,1,2),(16,3338940,'1',1,238,2,9),(16,3338975,'1',3,329,1,3),(16,3339246,'1',2,213,1,4),(16,3339408,'1',3,301,2,66),(16,3339432,'1',3,404,2,36),(16,3800130,'1',2,202,1,3),(16,3800180,'1',2,238,1,8),(16,3800270,'1',2,207,1,4),(16,3800407,'1',3,428,1,30),(16,3800415,'1',3,317,1,31),(16,3800547,'1',3,426,2,23),(16,3800598,'1',2,310,1,8),(16,3800636,'1',3,503,2,45),(16,3800741,'1',3,309,2,35),(16,3800784,'1',2,326,1,7),(16,3800865,'1',3,339,2,33),(16,3800890,'1',1,404,2,4),(16,3801152,'1',1,213,2,3),(16,3801268,'1',3,223,1,20),(16,3801403,'1',3,317,2,55),(16,3801527,'1',3,429,2,24),(16,3801721,'1',3,451,1,21),(16,3801730,'1',2,102,1,9),(16,3801772,'1',1,104,1,5),(16,3801780,'1',2,220,1,7),(16,3801799,'1',3,3,2,56),(16,3801802,'1A',3,423,1,30),(16,3801853,'1',2,324,1,3),(16,3801861,'1',3,316,2,72),(16,3801870,'1',2,428,1,4),(16,3801900,'1',2,223,1,11),(16,3801942,'1',3,234,1,2),(16,3802027,'1',1,415,2,6),(16,3802051,'1',3,102,2,74),(16,3802078,'1',2,324,2,9),(16,3802108,'1A',3,421,1,34),(16,3802159,'1',3,309,1,18),(16,3802370,'1',1,317,2,9),(16,3802400,'1',3,3,1,20),(16,3802477,'1',2,101,1,3),(16,3802493,'1',3,234,2,36),(16,3802582,'1',3,224,2,13),(16,3802604,'1',3,501,1,14),(16,3802744,'1',2,101,1,2),(16,3802787,'1',2,201,2,22),(16,3802817,'1',3,332,2,28),(16,3802825,'1',3,327,2,25),(16,3802850,'1',1,429,2,1),(16,3802930,'1',2,428,1,7),(16,3803015,'1',2,423,1,1),(16,3803023,'1',2,102,2,19),(16,3803082,'1',2,301,1,6),(16,3803317,'1',2,301,2,17),(16,3803325,'1',2,102,1,10),(16,3803350,'1',2,304,1,6),(16,3803368,'1',2,317,1,5),(16,3803546,'1',3,308,1,25),(16,3803562,'1',1,309,1,2),(16,3803627,'1',1,301,2,8),(16,3803732,'1',2,215,2,9),(16,3803759,'1',2,216,2,10),(16,3803783,'1',2,103,2,15),(16,3803791,'1',2,317,2,14),(16,3803813,'1',2,211,1,8),(16,3803880,'1',3,317,2,56),(16,3803945,'1',2,501,2,13),(16,3803953,'1',2,320,2,3),(16,3803961,'1',3,308,1,15),(16,3804291,'1',2,9,1,5),(16,3804313,'1A',3,423,1,25),(16,3804330,'1',2,327,2,7),(16,3804380,'1',3,501,1,21),(16,3804461,'1',3,329,1,22),(16,3804496,'1',2,426,2,1),(16,3804550,'1',2,310,1,3),(16,3804682,'1',3,302,2,35),(16,3804755,'1',2,302,2,11),(16,3804801,'1',3,309,2,36),(16,3804836,'1',2,233,1,1),(16,3804860,'1',3,424,1,12),(16,3804887,'1',2,202,1,2),(16,3805000,'1',2,423,1,8),(16,3805034,'1',1,339,1,1),(16,3805069,'1',3,308,1,26),(16,3805123,'1',2,324,1,5),(16,3805158,'1',3,319,2,54),(16,3805220,'1',2,427,1,3),(16,3805239,'1A',2,429,2,3),(16,3805247,'1',1,304,2,6),(16,3805301,'1',3,222,1,9),(16,3805433,'1',3,339,1,11),(16,3805646,'1',3,223,1,36),(16,3805735,'1',3,339,1,14),(16,3805840,'1',3,451,1,4),(16,3805980,'1',2,303,1,3),(16,3806057,'1',2,2,1,7),(16,3806065,'1',2,201,1,11),(16,3806154,'1',3,444,1,16),(16,3806278,'1',2,213,1,3),(16,3806316,'1',3,427,1,16),(16,3806324,'1',2,425,1,2),(16,3806375,'1',3,3,2,43),(16,3806529,'1',2,319,1,4),(16,3806545,'1',2,234,2,13),(16,3806596,'1',3,3,2,54),(16,3806600,'1',2,238,1,5),(16,3806618,'1',3,224,2,21),(16,3806715,'1',3,339,2,28),(16,3806804,'1',2,424,1,4),(16,3807134,'1',1,208,1,2),(16,3807207,'1',3,324,1,27),(16,3807215,'1',2,207,2,16),(16,3807282,'1',1,238,1,4),(16,3807290,'1',2,223,1,4),(16,3807444,'1',2,234,2,10),(16,3807460,'1',2,201,2,16),(16,3807550,'1',2,444,2,12),(16,3807568,'1',2,302,2,13),(16,3807630,'1',2,317,2,17),(16,3807657,'1',2,304,1,5),(16,3807690,'1',1,317,1,3),(16,3807720,'1',2,425,1,5),(16,3807894,'1',3,309,2,57),(16,3807967,'1',2,316,2,12),(16,3808050,'1',3,308,1,19),(16,3808106,'1',2,339,2,11),(16,3808114,'1',3,339,2,26),(16,3808122,'1',2,225,1,2),(16,3808130,'1A',1,424,1,1),(16,3808173,'1',2,211,1,6),(16,3808190,'1',3,428,2,43),(16,3808262,'1',2,339,2,7),(16,3808505,'1',2,452,1,3),(16,3808572,'1',1,316,2,6),(16,3808742,'1',3,339,1,8),(16,3808777,'1',3,339,1,16),(16,3808866,'1',2,423,1,6),(16,3808920,'1',2,326,1,9),(16,3808939,'1',3,501,1,23),(16,3808947,'1',2,5,1,6),(16,3809013,'1',3,309,1,14),(16,3809021,'1',2,310,1,2),(16,3809196,'1',2,420,2,6),(16,3809218,'1',2,332,2,8),(16,3809277,'1',3,202,2,70),(16,3809382,'1',2,5,1,9),(16,3809625,'1',1,420,1,2),(16,3809862,'1',1,207,1,2),(16,3810070,'1',2,309,2,16),(16,3810224,'1',2,225,1,12),(16,3810283,'1',2,301,2,18),(16,3810445,'1',3,225,1,25),(16,3810453,'1',1,3,1,1),(16,3810593,'1',3,324,1,32),(16,3810607,'1',1,333,1,3),(16,3810615,'1',3,324,1,4),(16,3810623,'1',3,502,1,5),(16,3810763,'1',1,425,1,3),(16,3810771,'1',3,444,1,20),(16,3811115,'1',1,327,2,5),(16,3811158,'1',3,327,2,21),(16,3811174,'1',1,304,1,2),(16,3811182,'1',2,423,1,7),(16,3811212,'1',3,423,1,15),(16,3811565,'1',3,238,2,69),(16,3811620,'1',2,328,1,3),(16,3811662,'1',2,234,2,8),(16,3811921,'1',2,103,2,19),(16,3811948,'1',2,425,1,8),(16,3812014,'1',2,308,2,19),(16,3812022,'1',1,310,1,1),(16,3812030,'1',3,225,1,42),(16,3812073,'1',3,302,1,21),(16,3812090,'1',2,304,1,2),(16,3812278,'1',2,324,1,1),(16,3812308,'1',2,309,1,3),(16,3812367,'1',3,450,1,14),(16,3812375,'1',3,320,2,36),(16,3812979,'1',2,320,2,10),(16,3813037,'1',1,238,2,8),(16,3813266,'1',3,339,2,23),(16,3813320,'1',2,3,2,13),(16,3813347,'1',3,223,1,40),(16,3813398,'1',3,502,2,27),(16,3813533,'1',2,225,1,9),(16,3813851,'1',2,201,2,21),(16,3813878,'1',2,320,2,9),(16,3813967,'1',3,214,1,12),(16,3814017,'1',2,216,2,7),(16,3814149,'1',3,331,1,16),(16,3814190,'1',1,425,1,4),(16,3814327,'1',2,318,1,5),(16,3814343,'1',2,234,2,9),(16,3814378,'1',3,327,2,24),(16,3814386,'1',3,224,2,24),(16,3814599,'1',2,332,2,1),(16,3814602,'1',1,309,1,3),(16,3814726,'1',3,426,2,16),(16,3814769,'1',2,2,1,6),(16,3814874,'1',2,318,2,18),(16,3814882,'1',1,317,1,5),(16,3815030,'1',2,328,1,6),(16,3815110,'1',2,309,1,4),(16,3815404,'1',2,225,1,8),(16,3815439,'1',3,223,1,11),(16,3815536,'1',2,324,1,6),(16,3815552,'1',1,103,1,1),(16,3815889,'1',2,453,1,2),(16,3815900,'1',1,102,1,7),(16,3815935,'1',3,310,1,30),(16,3815943,'1',2,301,1,7),(16,3816028,'1',1,328,1,1),(16,3816036,'1',3,225,1,48),(16,3816133,'1',3,423,1,19),(16,3816222,'1',2,501,1,5),(16,3816338,'1',3,211,1,29),(16,3816400,'1',3,324,1,30),(16,3816575,'1',1,238,2,10),(16,3816770,'1',3,420,2,15),(16,3816842,'1',1,425,1,1),(16,3816869,'1',3,234,2,51),(16,3816893,'1',2,316,2,11),(16,3816923,'1',3,421,1,20),(16,3816982,'1',2,308,2,17),(16,3817016,'1',3,423,1,1),(16,3817296,'1',3,429,2,28),(16,3817334,'1',2,423,1,5),(16,3817466,'1',3,223,1,27),(16,3817474,'1',3,404,2,23),(16,3817520,'1',3,309,2,53),(16,3817725,'1',1,102,1,1),(16,3817733,'1',3,326,1,22),(16,3817741,'1',2,213,1,2),(16,3817806,'1',2,428,2,10),(16,3817865,'1',2,238,2,13),(16,3817890,'1',3,316,1,15),(16,3817911,'1',2,331,1,5),(16,3817920,'1',3,308,2,61),(16,3817938,'1',3,308,2,66),(16,3817946,'1',3,421,1,9),(16,3817954,'1',2,324,2,11),(16,3817970,'1',3,301,2,42),(16,3818020,'1',2,326,1,8),(16,3818047,'1',2,214,2,6),(16,3818071,'1',3,225,1,9),(16,3818098,'1',3,339,2,27),(16,3818128,'1',2,327,2,1),(16,3818179,'1',2,316,2,17),(16,3818314,'1',2,318,1,1),(16,3818349,'1',3,308,1,9),(16,3818462,'1',2,319,2,16),(16,3818489,'1',2,203,1,3),(16,3818594,'1',3,308,2,56),(16,3818608,'1',3,222,1,12),(16,3818764,'1',3,234,1,17),(16,3818780,'1',2,327,2,2),(16,3818837,'1',3,234,2,52),(16,3818926,'1',2,212,2,6),(16,3819060,'1',1,220,1,3),(16,3819183,'1',3,317,2,39),(16,3819230,'1',3,3,2,51),(16,3819256,'1',2,308,2,18),(16,3819396,'1',2,102,1,4),(16,3819426,'1',1,203,2,11),(16,3819531,'1',2,205,1,2),(16,3819825,'1',1,203,2,7),(16,3819965,'1',2,214,1,2),(16,3820084,'1',2,501,1,3),(16,3820114,'1',2,304,2,13),(16,3820173,'1',1,327,2,4),(16,3820181,'1',2,319,2,13),(16,3820416,'1',3,108,1,16),(16,3820432,'1',1,104,2,10),(16,3820653,'1',3,424,1,17),(16,3820670,'1',2,9,1,6),(16,3820718,'1',3,102,2,50),(16,3820734,'1',3,220,2,45),(16,3820840,'1',2,502,2,12),(16,3820858,'1',2,503,2,8),(16,3820998,'1',3,308,1,5),(16,3821021,'1',1,319,1,1),(16,3821080,'1',2,2,1,10),(16,3821145,'1',1,104,2,6),(16,3821382,'1',3,339,1,3),(16,3821390,'1',3,428,2,42),(16,3821412,'1',2,327,2,8),(16,3821676,'1',1,5,1,3),(16,3821820,'1',3,316,2,49),(16,3821838,'1',2,427,1,4),(16,3821927,'1',3,3,2,38),(16,3821943,'1',2,318,2,12),(16,3822192,'1',2,308,2,16),(16,3822222,'1',2,450,1,3),(16,3822354,'1',2,415,2,12),(16,3822400,'1',2,328,1,4),(16,3822419,'1',2,424,1,2),(16,3822427,'1',2,303,2,15),(16,3822591,'1',2,309,2,11),(16,3822613,'1',2,301,1,4),(16,3822656,'1',2,425,1,7),(16,3822729,'1',2,331,1,4),(16,3822761,'1',3,225,1,32),(16,3822834,'1',2,233,2,12),(16,3822850,'1',2,308,2,12),(16,3822907,'1',2,2,1,3),(16,3822923,'1',3,309,2,61),(16,3822931,'1',3,234,1,23),(16,3822958,'1',2,203,2,22),(16,3822990,'1',2,324,1,4),(16,3823008,'1',2,332,2,6),(16,3823067,'1',2,444,2,8),(16,3823091,'1',2,223,1,6),(16,3823113,'1',2,301,1,9),(16,3823130,'1',2,234,1,2),(16,3823245,'1',2,301,2,14),(16,3823253,'1',2,501,2,11),(16,3823261,'1',3,423,1,21),(16,3823270,'1',2,339,1,6),(16,3823288,'1',2,320,2,7),(16,3823318,'1',2,108,2,11),(16,3823440,'1',3,308,1,34),(16,3823504,'1',3,317,2,42),(16,3823636,'1',3,320,2,18),(16,3823644,'1',2,224,2,7),(16,3823709,'1',2,339,1,1),(16,3823717,'1',2,329,1,2),(16,3823741,'1',3,225,1,39),(16,3823814,'1',3,404,1,20),(16,3823830,'1',3,309,1,29),(16,3823873,'1',2,501,2,18),(16,3823903,'1',2,319,1,7),(16,3823920,'1',2,224,2,4),(16,3824004,'1',2,318,2,11),(16,3824012,'1',3,317,2,48),(16,3824020,'1',3,502,1,8),(16,3824080,'1',2,319,2,12),(16,3824101,'1',3,223,1,5),(16,3824195,'1',3,324,2,33),(16,3824306,'1',2,308,1,9),(16,3824357,'1',2,208,2,14),(16,3824403,'1',3,304,1,23),(16,3824411,'1',1,503,1,1),(16,3824446,'1',3,501,2,38),(16,3824489,'1',2,318,2,13),(16,3824497,'1',3,423,1,27),(16,3824519,'1',2,208,2,20),(16,3824578,'1',2,234,1,6),(16,3824616,'1',1,404,1,2),(16,3824691,'1',2,332,2,4),(16,3824705,'1',3,224,2,23),(16,3824772,'1',2,316,1,7),(16,3824780,'1',2,444,1,6),(16,3824853,'1',1,304,1,4),(16,3824861,'1',2,317,1,6),(16,3824870,'1',2,404,1,6),(16,3824926,'1',2,304,1,4),(16,3824950,'1',2,224,2,3),(16,3824985,'1',2,5,2,14),(16,3825000,'1',3,324,1,29),(16,3825019,'1',2,108,1,6),(16,3825027,'1',3,503,2,29),(16,3825108,'1',2,203,2,21),(16,3825167,'1',2,225,1,7),(16,3825191,'1',2,428,2,9),(16,3825205,'1',2,318,2,16),(16,3825256,'1',3,234,2,56),(16,3825264,'1',2,421,1,6),(16,3825272,'1',1,340,2,8),(16,3825302,'1',2,428,1,6),(16,3825370,'1',2,444,1,1),(16,3825400,'1',2,301,1,3),(16,3825442,'1',3,302,1,10),(16,3825485,'1',2,317,2,12),(16,3825515,'1',2,316,1,5),(16,3825574,'1',2,429,2,2),(16,3825582,'1',2,316,2,16),(16,3825612,'1',3,324,1,13),(16,3825663,'1',1,108,1,3),(16,3825671,'1',2,404,1,5),(16,3825680,'1',2,317,1,3),(16,3825760,'1A',2,427,1,5),(16,3825809,'1',2,316,2,14),(16,3825817,'1',2,327,2,6),(16,3826015,'1',1,339,1,3),(16,3826074,'1A',3,213,1,11),(16,3826082,'1',3,308,2,60),(16,3826120,'1',3,317,2,60),(16,3826139,'1',2,327,2,5),(16,3826180,'1',3,318,2,53),(16,3826201,'1',2,308,1,8),(16,3826279,'1',2,453,2,6),(16,3826287,'1',3,223,1,21),(16,3826333,'1',2,317,1,8),(16,3826341,'1',3,502,2,43),(16,3826350,'1',3,308,2,54),(16,3826368,'1',1,102,1,3),(16,3826376,'1',2,318,2,17),(16,3826406,'1',1,9,1,1),(16,3826449,'1A',2,233,2,11),(16,3826465,'1',2,339,1,2),(16,3826538,'1',3,328,1,15),(16,3826651,'1',2,234,1,7),(16,3826708,'1',2,233,2,10),(16,3826732,'1',2,224,2,2),(16,3826767,'1',2,501,2,15),(16,3826783,'1',2,309,1,8),(16,3826821,'1',2,302,2,16),(16,3826937,'1',2,319,1,2),(16,3826953,'1',3,316,1,6),(16,3826988,'1',2,327,2,9),(16,3827038,'1',2,308,2,11),(16,3827119,'1',2,429,2,4),(16,3827135,'1',3,427,1,13),(16,3827143,'1',1,501,1,2),(16,3827186,'1',2,308,1,5),(16,3827313,'1',2,404,2,10),(16,3827321,'1',1,308,1,2),(16,3827372,'1',2,224,2,8),(16,3827402,'1',1,501,1,5),(16,3827470,'1',2,208,2,12),(16,3827690,'1',2,316,2,20),(16,3827879,'1',2,201,1,9),(16,3827909,'1',1,310,1,2),(16,3828042,'1',2,333,1,4),(16,3828174,'1',2,318,1,9),(16,3828247,'1',2,452,2,8),(16,3828379,'1',2,453,1,3),(16,3828387,'1',2,319,1,6),(20,5000009,'1',2,303,1,1),(20,5000033,'1',3,503,1,6),(20,5000050,'1',2,652,1,5),(20,5000068,'1',3,302,1,15),(20,5000165,'1',2,340,2,13),(20,5000190,'1A',3,215,1,10),(20,5000246,'1',3,319,1,22),(20,5000270,'1',3,309,1,11),(20,5000351,'1',3,5,2,37),(20,5000386,'1',3,235,1,9),(20,5000424,'1',3,320,2,27),(20,5000467,'1',3,103,2,61),(20,5000475,'1',3,101,1,9),(20,5000513,'1',2,501,2,16),(20,5000742,'1',3,316,1,29),(20,5000777,'1',3,225,1,19),(20,5000793,'1',2,215,1,1),(20,5000840,'1',3,102,2,56),(20,5000858,'1',3,316,2,47),(20,5000874,'1',3,207,1,11),(20,5000882,'1',3,429,2,12),(20,5000912,'1',3,102,2,58),(20,5000980,'1',3,420,2,23),(20,5001137,'1',2,429,2,1),(20,5001200,'1',3,103,2,57),(20,5001242,'1',3,103,1,3),(20,5001250,'1',3,3,1,16),(20,5001277,'1',3,336,1,23),(20,5001293,'1',3,332,2,26),(20,5001358,'1',2,234,1,6),(20,5001382,'1',3,324,1,26),(20,5001390,'1',3,234,1,11),(20,5001412,'1',3,601,1,48),(20,5001439,'1',3,2,1,36),(20,5001455,'1',3,108,2,33),(20,5001471,'1',3,302,1,32),(20,5001501,'1A',3,421,1,6),(20,5001552,'1',1,5,2,8),(20,5001560,'1A',2,211,1,7),(20,5001773,'1',3,451,1,5),(20,5001854,'1',2,208,2,13),(20,5001900,'1A',2,235,1,4),(20,5001951,'1',2,233,1,1),(20,5002109,'1',3,601,2,292),(20,5002133,'1',2,202,1,1),(20,5002214,'1',3,320,2,13),(20,5002222,'1',3,304,1,38),(20,5002230,'1',3,233,1,5),(20,5002320,'1',3,202,1,31),(20,5002338,'1',3,317,2,40),(20,5002397,'1',3,428,1,13),(20,5002435,'1',3,101,2,43),(20,5002460,'1',3,450,1,21),(20,5002486,'1',2,101,1,6),(20,5002508,'1A',3,213,1,2),(20,5002516,'1',2,238,1,5),(20,5002672,'1',3,203,2,55),(20,5002737,'1',3,304,1,15),(20,5002796,'1',3,324,1,3),(20,5002877,'1A',1,208,1,5),(20,5002885,'1',3,301,2,44),(20,5002893,'1',2,340,2,15),(20,5003040,'1',2,450,1,6),(20,5003229,'1',3,234,2,44),(20,5003237,'1',2,429,2,8),(20,5003245,'1',1,502,2,1),(20,5003261,'1',3,207,2,47),(20,5003296,'1',2,238,1,8),(20,5003334,'1',3,319,1,18),(20,5003415,'1',3,203,2,77),(20,5003490,'1',1,339,2,2),(20,5003504,'1',3,501,1,38),(20,5003539,'1',3,102,2,93),(20,5003571,'1',3,340,2,43),(20,5003636,'1',3,9,1,1),(20,5003679,'1',3,327,2,23),(20,5003709,'1',2,331,1,2),(20,5003873,'1',3,301,1,11),(20,5003881,'1',3,234,2,62),(20,5003920,'1',3,302,1,7),(20,5003954,'1',3,203,1,9),(20,5003962,'1',3,104,2,79),(20,5004055,'1',3,223,1,18),(20,5004080,'1',3,110,1,3),(20,5004110,'1',3,601,1,75),(20,5004306,'1',3,340,2,58),(20,5004330,'1',3,102,2,86),(20,5004411,'1',3,319,2,58),(20,5004438,'1',2,102,2,18),(20,5004454,'1A',3,601,2,207),(20,5004489,'1',3,104,1,4),(20,5004543,'1',3,415,1,8),(20,5004594,'1',3,103,2,55),(20,5004667,'1',3,108,1,1),(20,5004772,'1',3,420,2,26),(20,5004810,'1',3,329,1,12),(20,5004888,'1A',3,208,1,25),(20,5004942,'1',2,202,1,4),(20,5004993,'1',3,653,2,55),(20,5005140,'1',3,225,1,7),(20,5005167,'1',3,316,2,55),(20,5005183,'1',3,444,1,4),(20,5005221,'1',3,503,2,46),(20,5005230,'1',3,203,2,65),(20,5005248,'1',3,215,2,36),(20,5005337,'1',3,220,1,5),(20,5005485,'1A',3,601,1,78),(20,5005493,'1A',3,213,2,20),(20,5005507,'1',3,601,1,91),(20,5005515,'1',3,308,1,10),(20,5005540,'1',3,304,1,1),(20,5005558,'1',2,9,1,3),(20,5005647,'1',2,601,2,45),(20,5005671,'1',3,102,2,55),(20,5005752,'1',3,102,1,43),(20,5005795,'1',3,337,1,11),(20,5005809,'1',3,427,1,27),(20,5005981,'1',3,220,1,10),(20,5006007,'1',3,503,2,28),(20,5006066,'1',3,214,1,3),(20,5006082,'1',3,101,1,13),(20,5006180,'1',2,9,1,1),(20,5006414,'1',3,601,2,317),(20,5006520,'1',2,319,2,10),(20,5006635,'1A',3,601,1,114),(20,5006678,'1',3,103,2,64),(20,5006708,'1',2,318,2,14),(20,5006716,'1',3,339,2,29),(20,5006724,'1A',3,233,2,44),(20,5006740,'1',3,319,1,29),(20,5006902,'1',3,310,1,22),(20,5006910,'1',3,324,1,8),(20,5007119,'1',1,103,1,5),(20,5007143,'1',3,235,2,45),(20,5007151,'1',3,225,1,5),(20,5007313,'1',3,302,1,25),(20,5007356,'1',3,425,1,14),(20,5007410,'1',3,304,1,31),(20,5007623,'1',3,328,1,4),(20,5007690,'1A',2,213,1,3),(20,5007771,'1',3,327,2,26),(20,5007909,'1',3,428,1,17),(20,5008026,'1',3,331,1,20),(20,5008093,'1',2,651,1,1),(20,5008131,'1',2,205,2,5),(20,5008204,'1',3,301,2,37),(20,5008298,'1',1,503,2,2),(20,5008514,'1',2,303,2,16),(20,5008522,'1',3,601,2,175),(20,5008565,'1',3,310,1,8),(20,5008581,'1',3,503,1,7),(20,5008611,'1',2,201,1,1),(20,5008662,'1',3,319,2,56),(20,5008689,'1',3,340,2,35),(20,5008719,'1',3,326,1,4),(20,5008883,'1',3,233,1,10),(20,5008905,'1',3,601,1,125),(20,5009014,'1',1,110,2,5),(20,5009049,'1A',3,215,1,8),(20,5009065,'1',3,104,2,46),(20,5009090,'1',3,216,2,23),(20,5009162,'1',2,420,2,6),(20,5009286,'1',2,2,1,7),(20,5009308,'1',3,203,1,32),(20,5009359,'1',3,3,2,57),(20,5009367,'1',3,340,1,5),(20,5009391,'1',3,601,1,8),(20,5009413,'1',3,208,2,53),(20,5009677,'1',3,207,2,30),(20,5009758,'1',3,214,2,32),(20,5009839,'1',3,415,2,44),(20,5009847,'1',3,601,2,285),(20,5009855,'1',3,223,1,9),(20,5010071,'1',3,320,2,24),(20,5010110,'1',3,104,1,20),(20,5010152,'1',2,331,1,6),(20,5010160,'1',3,653,1,2),(20,5010217,'1',3,501,1,32),(20,5010322,'1',2,238,1,3),(20,5010373,'1',3,110,1,11),(20,5010420,'1A',3,601,2,331),(20,5010616,'1',3,340,1,21),(20,5010691,'1A',3,233,1,26),(20,5010730,'1',3,102,2,85),(20,5010772,'1A',3,652,1,29),(20,5010780,'1',2,652,2,13),(20,5010810,'1',1,326,1,3),(20,5010896,'1',3,502,2,37),(20,5010934,'1',3,318,2,51),(20,5011035,'1',2,2,1,2),(20,5011078,'1',2,211,1,1),(20,5011175,'1',3,503,1,19),(20,5011213,'1',3,337,1,14),(20,5011345,'1',3,340,1,1),(20,5011388,'1',3,601,1,105),(20,5011418,'1',3,234,1,22),(20,5011582,'1',3,501,2,55),(20,5011647,'1A',2,601,1,31),(20,5011698,'1A',3,601,1,29),(20,5011710,'1',3,208,1,16),(20,5011787,'1',3,215,2,31),(20,5011809,'1',3,104,1,2),(20,5011833,'1',3,5,1,12),(20,5011868,'1',3,415,2,35),(20,5011892,'1',3,203,1,30),(20,5011914,'1',3,101,2,34),(20,5012040,'1',3,102,2,103),(20,5012112,'1',3,316,1,5),(20,5012120,'1A',3,653,1,4),(20,5012252,'1',3,501,2,42),(20,5012260,'1',3,340,2,40),(20,5012287,'1',3,452,2,20),(20,5012309,'1',3,220,2,38),(20,5012368,'1',3,453,2,23),(20,5012414,'1',2,101,2,9),(20,5012570,'1',3,503,2,36),(20,5012597,'1',3,201,2,49),(20,5012627,'1',3,308,1,27),(20,5012660,'1A',3,601,1,28),(20,5012686,'1A',3,601,1,71),(20,5012732,'1',2,211,2,17),(20,5012740,'1',3,208,2,66),(20,5012805,'1',2,238,2,12),(20,5012856,'1',3,202,1,14),(20,5012880,'1',3,208,2,61),(20,5012899,'1',3,429,2,21),(20,5012929,'1',3,601,1,88),(20,5012961,'1',3,453,2,24),(20,5012970,'1A',3,211,1,20),(20,5013062,'1',3,5,2,36),(20,5013070,'1',3,601,2,246),(20,5013135,'1',2,301,1,3),(20,5013151,'1',3,103,2,39),(20,5013275,'1',2,102,1,2),(20,5013313,'1',3,103,2,53),(20,5013364,'1A',3,220,2,44),(20,5013488,'1A',3,235,1,23),(20,5013534,'1',3,428,1,26),(20,5013542,'1',3,5,1,14),(20,5013585,'1',2,104,1,2),(20,5013593,'1',3,3,1,18),(20,5013640,'1',3,103,1,9),(20,5013674,'1',3,202,2,75),(20,5013682,'1A',3,601,1,101),(20,5013763,'1',3,453,1,3),(20,5013879,'1',3,211,1,2),(20,5013941,'1',3,309,1,19),(20,5013984,'1',3,102,2,71),(20,5014026,'1',3,502,1,15),(20,5014042,'1',3,233,1,18),(20,5014085,'1A',3,235,2,27),(20,5014158,'1',1,208,2,6),(20,5014255,'1A',3,652,1,17),(20,5014344,'1',3,101,2,33),(20,5014395,'1',3,503,2,35),(20,5014433,'1',2,203,2,19),(20,5014450,'1',3,9,1,7),(20,5014530,'1',3,108,2,37),(20,5014549,'1',3,109,1,12),(20,5014603,'1',3,203,1,17),(20,5014646,'1A',3,208,2,43),(20,5014662,'1',2,303,1,3),(20,5014760,'1A',3,202,1,33),(20,5014816,'1',3,304,1,23),(20,5014913,'1',3,428,1,8),(20,5015120,'1',3,203,2,74),(20,5015189,'1',3,308,1,11),(20,5015197,'1',2,101,2,14),(20,5015383,'1',3,211,2,41),(20,5015448,'1',3,319,1,8),(20,5015464,'1A',3,214,2,22),(20,5015537,'1',3,211,1,10),(20,5015570,'1',2,415,1,4),(20,5015618,'1',3,205,2,25),(20,5015634,'1',3,601,1,12),(20,5015731,'1',3,320,2,23),(20,5015839,'1',3,108,1,2),(20,5015847,'1',3,601,2,167),(20,5015880,'1',3,415,1,5),(20,5016150,'1',2,415,2,9),(20,5016193,'1A',3,601,1,22),(20,5016215,'1',3,340,2,57),(20,5016240,'1',3,102,2,65),(20,5016380,'1A',3,233,1,20),(20,5016436,'1',3,601,2,262),(20,5016479,'1',3,110,1,18),(20,5016495,'1',3,452,2,16),(20,5016541,'1',3,303,1,19),(20,5016568,'1A',3,652,1,11),(20,5016576,'1',3,216,1,4),(20,5016584,'1A',3,601,2,337),(20,5016649,'1',3,601,1,157),(20,5016665,'1',3,326,1,8),(20,5016690,'1',3,102,1,19),(20,5016703,'1',3,302,2,54),(20,5016819,'1',3,319,1,2),(20,5016843,'1',3,336,1,5),(20,5016878,'1',3,220,1,7),(20,5016894,'1',3,316,1,23),(20,5016967,'1',3,212,1,13),(20,5016991,'1A',3,208,2,62),(20,5017076,'1',3,214,2,28),(20,5017106,'1',3,110,1,17),(20,5017114,'1',3,102,2,77),(20,5017149,'1A',3,653,1,20),(20,5017220,'1',3,327,2,4),(20,5017238,'1',2,108,2,10),(20,5017378,'1A',3,601,2,303),(20,5017440,'1',3,234,1,12),(20,5017491,'1',3,220,1,4),(20,5017564,'1A',3,215,1,2),(20,5017580,'1',1,203,1,2),(20,5017645,'1A',3,208,1,33),(20,5017670,'1',3,104,2,71),(20,5017742,'1A',3,220,2,32),(20,5017769,'1',3,211,1,3),(20,5017793,'1',3,415,1,17),(20,5017890,'1A',3,601,2,220),(20,5017912,'1',3,420,1,3),(20,5018021,'1',3,208,2,57),(20,5018080,'1',3,333,1,2),(20,5018218,'1',3,444,2,29),(20,5018277,'1A',3,233,1,25),(20,5018285,'1',3,211,1,19),(20,5018358,'1',3,102,2,70),(20,5018382,'1',3,601,1,149),(20,5018749,'1',3,103,1,33),(20,5018757,'1',3,316,2,65),(20,5018803,'1',3,214,1,6),(20,5018862,'1',2,103,1,3),(20,5018889,'1',3,3,1,8),(20,5018919,'1A',3,220,2,43),(20,5018927,'1',3,319,2,57),(20,5019095,'1',3,3,2,41),(20,5019176,'1',3,340,2,47),(20,5019214,'1',3,501,1,29),(20,5019281,'1',1,215,1,1),(20,5019290,'1',3,425,1,21),(20,5019303,'1',3,234,1,25),(20,5019320,'1',3,104,2,47),(20,5019575,'1',3,319,2,49),(20,5019656,'1',3,601,1,84),(20,5019664,'1A',3,601,2,346),(20,5019710,'1A',3,653,1,9),(20,5019788,'1',2,102,1,1),(20,5019842,'1',3,5,1,8),(20,5019869,'1',3,601,1,129),(20,5020034,'1',1,238,2,6),(20,5020050,'1A',3,601,1,20),(20,5020085,'1A',3,215,1,17),(20,5020158,'1',2,331,1,8),(20,5020174,'1A',3,233,2,38),(20,5020212,'1',3,316,1,1),(20,5020220,'1',3,340,2,59),(20,5020310,'1',3,234,2,35),(20,5020387,'1',3,328,1,3),(20,5020450,'1A',3,601,1,124),(20,5020662,'1',3,551,1,23),(20,5020719,'1',2,332,2,5),(20,5020735,'1',3,316,2,37),(20,5020875,'1',3,404,2,29),(20,5020964,'1A',3,212,2,26),(20,5020999,'1A',3,235,2,32),(20,5021219,'1',3,308,1,34),(20,5021294,'1',3,331,1,23),(20,5021308,'1A',1,203,1,6),(20,5021324,'1',3,302,2,47),(20,5021359,'1',3,109,2,42),(20,5021367,'1',1,208,1,3),(20,5021456,'1A',2,211,2,16),(20,5021529,'1',3,415,2,31),(20,5021588,'1',2,102,2,25),(20,5022053,'1',2,220,2,14),(20,5022096,'1',3,5,1,19),(20,5022142,'1',2,103,2,13),(20,5022193,'1',3,327,2,12),(20,5022371,'1A',2,211,2,18),(20,5022428,'1',3,102,1,26),(20,5022436,'1',1,450,1,3),(20,5022487,'1',3,404,2,32),(20,5022509,'1',3,238,1,33),(20,5022606,'1',3,104,1,17),(20,5022681,'1',3,108,1,24),(20,5022860,'1',3,501,2,75),(20,5022878,'1',3,216,1,8),(20,5022959,'1',3,103,1,23),(20,5023033,'1',3,426,2,15),(20,5023114,'1',2,601,1,30),(20,5023246,'1',3,207,1,16),(20,5023351,'1',3,3,1,29),(20,5023602,'1',3,302,2,61),(20,5023645,'1',3,339,1,18),(20,5023661,'1A',3,211,2,62),(20,5023823,'1',2,317,1,5),(20,5023904,'1',3,303,1,27),(20,5023980,'1',3,453,2,18),(20,5024153,'1',3,332,2,13),(20,5024161,'1',3,201,1,39),(20,5024250,'1',3,319,1,23),(20,5024420,'1A',3,208,2,68),(20,5024455,'1',3,318,1,23),(20,5024501,'1',3,101,2,39),(20,5024510,'1',2,224,2,1),(20,5024528,'1',2,203,1,6),(20,5024536,'1',3,233,1,17),(20,5024579,'1',3,3,1,3),(20,5024587,'1',2,104,2,19),(20,5024676,'1',3,212,2,29),(20,5024684,'1',3,317,1,21),(20,5024870,'1',3,502,2,51),(20,5024927,'1A',3,653,1,27),(20,5024978,'1',3,501,1,34),(20,5025001,'1',3,303,2,48),(20,5025036,'1',3,216,1,12),(20,5025044,'1',3,601,1,39),(20,5025087,'1',1,303,2,6),(20,5025222,'1',3,301,1,30),(20,5025320,'1',2,202,1,2),(20,5025524,'1',3,317,2,66),(20,5025591,'1',3,427,1,15),(20,5025656,'1',3,601,1,128),(20,5025702,'1',3,208,2,55),(20,5025710,'1',3,201,1,12),(20,5025770,'1A',3,601,1,99),(20,5026016,'1',3,101,2,55),(20,5026024,'1',2,234,1,4),(20,5026040,'1',2,233,1,3),(20,5026075,'1',3,331,1,1),(20,5026083,'1',3,601,2,232),(20,5026261,'1',2,203,1,7),(20,5026296,'1A',3,651,1,15),(20,5026415,'1',3,211,2,59),(20,5026520,'1',3,333,1,15),(20,5026555,'1',3,601,2,344),(20,5026652,'1',3,211,1,5),(20,5026660,'1',3,319,2,35),(20,5026679,'1',3,421,1,3),(20,5026709,'1',3,222,1,5),(20,5026717,'1A',2,653,1,8),(20,5026938,'1',3,201,2,77),(20,5026946,'1',3,308,1,30),(20,5027012,'1',3,425,1,18),(20,5027071,'1',3,421,1,2),(20,5027080,'1',3,340,2,36),(20,5027144,'1A',3,233,1,23),(20,5027225,'1',1,318,1,1),(20,5027250,'1',2,415,1,3),(20,5027519,'1A',3,601,2,294),(20,5027543,'1',3,601,1,32),(20,5027551,'1',3,310,1,17),(20,5027632,'1',3,453,1,8),(20,5027683,'1',2,2,1,8),(20,5027748,'1',2,502,2,13),(20,5027780,'1',3,203,2,51),(20,5027837,'1',3,202,1,11),(20,5027896,'1',3,310,1,11),(20,5027942,'1',1,452,1,2),(20,5028043,'1',3,318,2,54),(20,5028086,'1',2,102,2,20),(20,5028116,'1',3,9,1,30),(20,5028213,'1',3,415,2,43),(20,5028302,'1',3,220,1,6),(20,5028329,'1',3,216,1,11),(20,5028426,'1',3,340,1,18),(20,5028507,'1',3,202,1,27),(20,5028752,'1',2,415,2,8),(20,5028809,'1',3,208,1,27),(20,5028817,'1',3,309,1,3),(20,5028833,'1',3,320,2,1),(20,5028949,'1',1,319,1,3),(20,5029171,'1',3,453,1,9),(20,5029210,'1A',3,235,1,18),(20,5029236,'1',3,104,1,5),(20,5029449,'1',3,2,1,18),(20,5029481,'1',3,233,1,4),(20,5029554,'1',3,104,2,60),(20,5029562,'1',3,211,2,56),(20,5029589,'1A',3,653,1,16),(20,5029732,'1',3,316,2,42),(20,5029872,'1',2,103,2,16),(20,5029902,'1',3,404,1,17),(20,5029953,'1',3,104,2,75),(20,5029988,'1',2,110,1,7),(20,5029996,'1',3,104,1,25),(20,5030080,'1',3,5,2,62),(20,5030137,'1',3,101,1,20),(20,5030161,'1',3,103,1,35),(20,5030218,'1',1,601,1,1),(20,5030315,'1',3,2,1,30),(20,5030471,'1',2,208,1,9),(20,5030536,'1',3,502,1,19),(20,5030552,'1',3,453,1,14),(20,5030625,'1',3,205,2,20),(20,5030641,'1',3,9,1,13),(20,5030684,'1',3,103,2,52),(20,5030765,'1',3,109,1,5),(20,5030820,'1',3,303,2,50),(20,5030854,'1',3,102,2,53),(20,5030862,'1',1,103,2,6),(20,5031052,'1',3,339,2,22),(20,5031060,'1',3,104,1,24),(20,5031192,'1',3,207,2,52),(20,5031281,'1',3,238,1,7),(20,5031303,'1',3,331,1,25),(20,5031389,'1',2,207,1,6),(20,5031397,'1',3,316,2,63),(20,5031419,'1',3,302,1,19),(20,5031532,'1',3,444,1,16),(20,5031672,'1',2,9,1,2),(20,5031788,'1',2,324,1,6),(20,5031796,'1',3,207,2,57),(20,5031885,'1A',3,601,2,269),(20,5031958,'1',3,201,1,28),(20,5032016,'1',3,502,2,36),(20,5032024,'1',3,319,1,5),(20,5032105,'1',3,415,2,24),(20,5032113,'1',3,101,2,48),(20,5032121,'1',3,102,2,90),(20,5032156,'1',3,340,1,24),(20,5032164,'1',3,234,2,53),(20,5032300,'1',3,304,1,22),(20,5032393,'1A',3,653,1,25),(20,5032490,'1',3,102,2,57),(20,5032520,'1',3,310,1,15),(20,5032679,'1A',3,601,2,221),(20,5032687,'1',3,208,1,5),(20,5032741,'1',3,234,1,18),(20,5032830,'1',3,201,1,8),(20,5032865,'1',3,108,2,40),(20,5032881,'1',3,202,2,59),(20,5032890,'1',3,103,2,36),(20,5032970,'1',3,336,1,18),(20,5033063,'1',3,337,1,10),(20,5033080,'1',3,234,1,24),(20,5033101,'1',3,308,2,50),(20,5033209,'1',3,328,1,12),(20,5033330,'1',1,5,2,9),(20,5033373,'1',2,302,2,18),(20,5033381,'1',3,453,2,17),(20,5033403,'1',3,220,1,13),(20,5033411,'1',2,653,1,1),(20,5033420,'1',3,216,2,20),(20,5033454,'1',3,220,2,41),(20,5033489,'1',3,502,1,26),(20,5033667,'1',1,340,2,5),(20,5033829,'1',3,450,1,9),(20,5033837,'1',3,326,1,7),(20,5033926,'1',3,103,2,44),(20,5033950,'1',1,103,2,9),(20,5034094,'1A',3,208,2,39),(20,5034191,'1',3,233,1,3),(20,5034256,'1A',3,212,2,16),(20,5034337,'1',3,109,1,18),(20,5034418,'1',3,208,2,73),(20,5034434,'1',3,216,2,28),(20,5034558,'1',3,214,2,23),(20,5034604,'1A',3,215,1,6),(20,5034671,'1',3,303,2,57),(20,5034795,'1',2,207,1,3),(20,5034833,'1',2,651,1,2),(20,5034973,'1',3,235,1,4),(20,5035007,'1A',3,208,1,17),(20,5035066,'1',3,208,2,58),(20,5035120,'1A',3,601,1,104),(20,5035147,'1A',2,652,1,6),(20,5035210,'1',3,102,2,98),(20,5035252,'1',3,9,1,4),(20,5035325,'1',3,428,1,2),(20,5035406,'1',3,453,2,28),(20,5035694,'1',2,551,1,5),(20,5035767,'1',3,220,1,11),(20,5035791,'1',3,404,1,1),(20,5035821,'1',1,319,1,5),(20,5035856,'1',3,427,1,16),(20,5035953,'1',3,234,2,55),(20,5035961,'1',3,213,1,9),(20,5036054,'1',3,336,1,21),(20,5036143,'1',3,103,2,66),(20,5036224,'1',3,452,2,27),(20,5036305,'1',3,453,1,1),(20,5036313,'1',3,304,2,65),(20,5036410,'1',2,331,1,1),(20,5036429,'1',3,211,1,8),(20,5036470,'1',2,202,2,15),(20,5036526,'1',3,108,1,11),(20,5036542,'1',2,238,2,17),(20,5036585,'1',3,501,2,43),(20,5036615,'1',3,404,1,8),(20,5036640,'1',3,101,2,46),(20,5036674,'1',3,426,2,13),(20,5036739,'1A',3,601,1,19),(20,5036755,'1',3,310,1,27),(20,5037069,'1',3,601,1,154),(20,5037107,'1',3,301,2,75),(20,5037131,'1',3,220,1,22),(20,5037166,'1',3,319,1,28),(20,5037174,'1',3,222,1,14),(20,5037182,'1',3,103,2,43),(20,5037298,'1',2,501,1,7),(20,5037352,'1',3,220,2,39),(20,5037379,'1',3,450,1,4),(20,5037409,'1',3,5,2,46),(20,5037433,'1',3,424,1,16),(20,5037468,'1',2,103,2,11),(20,5037689,'1',3,303,1,11),(20,5037778,'1',3,225,1,18),(20,5037840,'1',3,601,2,239),(20,5037859,'1',3,211,1,22),(20,5038030,'1',2,332,2,6),(20,5038162,'1',3,220,2,33),(20,5038251,'1',3,501,1,6),(20,5038421,'1A',1,653,1,1),(20,5038448,'1',3,203,2,42),(20,5038480,'1',2,317,1,4),(20,5038596,'1',3,425,1,19),(20,5038600,'1',3,601,2,312),(20,5038642,'1',3,502,1,2),(20,5038766,'1A',3,428,1,30),(20,5038910,'1',3,601,2,332),(20,5038952,'1',3,502,1,7),(20,5039126,'1',3,207,1,23),(20,5039150,'1',3,453,2,25),(20,5039177,'1',2,308,1,11),(20,5039193,'1',3,304,2,52),(20,5039266,'1',3,340,2,50),(20,5039371,'1',3,318,1,8),(20,5039568,'1',3,5,2,40),(20,5039657,'1',3,601,1,141),(20,5039681,'1',3,327,2,22),(20,5039762,'1',3,103,1,7),(20,5039789,'1',1,310,1,1),(20,5039835,'1',3,304,2,57),(20,5039894,'1',2,201,2,16),(20,5039932,'1',3,104,1,18),(20,5039967,'1',3,309,1,1),(20,5040051,'1',3,109,2,38),(20,5040116,'1',3,338,1,3),(20,5040361,'1A',3,211,2,43),(20,5040400,'1A',3,201,2,47),(20,5040698,'1',3,103,1,6),(20,5040760,'1',3,415,1,2),(20,5040825,'1',3,601,2,236),(20,5040868,'1',3,427,1,17),(20,5041040,'1',3,235,1,3),(20,5041090,'1A',3,208,1,34),(20,5041139,'1',3,424,1,18),(20,5041201,'1',3,601,1,42),(20,5041252,'1',3,103,2,46),(20,5041287,'1',3,108,1,27),(20,5041295,'1',3,3,2,46),(20,5041309,'1',3,5,1,6),(20,5041490,'1',3,207,2,37),(20,5041651,'1',2,429,2,3),(20,5041694,'1',3,3,1,27),(20,5041732,'1A',3,601,2,320),(20,5041910,'1',3,331,1,21),(20,5041996,'1',3,205,1,15),(20,5042020,'1',3,502,1,20),(20,5042143,'1',3,340,1,26),(20,5042178,'1',3,601,1,65),(20,5042232,'1A',3,233,2,40),(20,5042267,'1',3,317,2,69),(20,5042275,'1',3,320,2,8),(20,5042330,'1',2,225,1,1),(20,5042364,'1',3,317,1,7),(20,5042453,'1',3,444,1,5),(20,5042542,'1',3,104,1,21),(20,5042607,'1',3,225,1,4),(20,5042704,'1A',3,653,2,40),(20,5043026,'1',3,104,1,26),(20,5043115,'1',3,301,1,16),(20,5043280,'1',2,302,2,15),(20,5043310,'1A',3,424,1,29),(20,5043352,'1',3,220,2,34),(20,5043425,'1',3,304,1,14),(20,5043514,'1',3,427,1,9),(20,5043565,'1',3,340,2,51),(20,5043638,'1',3,203,2,54),(20,5043689,'1',3,202,1,8),(20,5043760,'1',3,109,1,1),(20,5043808,'1',3,451,1,14),(20,5043905,'1',3,238,2,63),(20,5044138,'1A',3,424,1,30),(20,5044278,'1',3,308,1,16),(20,5044294,'1',3,329,1,16),(20,5044308,'1',3,220,2,31),(20,5044359,'1',3,425,1,10),(20,5044383,'1',3,201,1,13),(20,5044456,'1',2,502,1,7),(20,5044464,'1',3,503,2,32),(20,5044642,'1',3,340,2,45),(20,5044685,'1',1,238,1,3),(20,5044723,'1',3,103,2,37),(20,5044731,'1',3,301,2,54),(20,5044782,'1',2,207,1,5),(20,5044812,'1',3,302,1,1),(20,5044901,'1A',3,651,1,3),(20,5045088,'1',3,104,1,27),(20,5045169,'1',3,601,2,290),(20,5045207,'1',3,415,2,36),(20,5045274,'1',3,9,1,5),(20,5045282,'1',3,326,1,26),(20,5045290,'1',3,303,1,24),(20,5045410,'1',3,601,2,169),(20,5045444,'1',3,108,1,6),(20,5045479,'1',3,324,2,43),(20,5045525,'1',3,235,1,12),(20,5045568,'1',3,601,2,287),(20,5045622,'1',3,202,2,38),(20,5045703,'1',3,213,1,8),(20,5045711,'1',3,320,2,36),(20,5045746,'1',3,501,2,82),(20,5045789,'1A',3,601,1,69),(20,5045819,'1',3,103,1,13),(20,5045827,'1',3,101,1,6),(20,5045894,'1',3,108,1,25),(20,5045908,'1A',3,202,1,12),(20,5045932,'1',3,102,2,81),(20,5045940,'1',3,303,2,52),(20,5046025,'1',3,450,1,3),(20,5046203,'1',3,318,1,9),(20,5046297,'1',3,203,1,34),(20,5046378,'1',3,233,1,1),(20,5046505,'1',3,235,2,43),(20,5046653,'1',3,103,1,4),(20,5046661,'1',3,501,2,74),(20,5046670,'1',3,318,2,67),(20,5046777,'1',3,333,1,17),(20,5046866,'1',3,109,2,40),(20,5046963,'1A',3,601,1,5),(20,5047064,'1',3,319,1,16),(20,5047072,'1',3,225,1,24),(20,5047161,'1',3,503,2,54),(20,5047323,'1',3,319,2,36),(20,5047404,'1',1,451,1,1),(20,5047587,'1',3,214,1,1),(20,5047765,'1',3,340,1,14),(20,5047790,'1',3,110,1,7),(20,5047811,'1',3,319,1,15),(20,5047862,'1',3,216,1,17),(20,5047870,'1',3,652,1,4),(20,5047935,'1',3,318,2,60),(20,5047994,'1',3,339,1,13),(20,5048044,'1',3,601,2,314),(20,5048052,'1',3,9,1,14),(20,5048109,'1',3,451,1,1),(20,5048141,'1',3,336,1,12),(20,5048150,'1',3,201,1,21),(20,5048192,'1',3,316,2,50),(20,5048257,'1',3,104,2,43),(20,5048311,'1',3,502,2,35),(20,5048354,'1',3,331,1,4),(20,5048478,'1',3,501,1,11),(20,5048486,'1',2,319,1,6),(20,5048508,'1',2,601,2,44),(20,5048532,'1',2,429,2,7),(20,5048540,'1',2,220,1,6),(20,5048648,'1A',3,601,1,53),(20,5048672,'1A',3,652,1,8),(20,5048788,'1',3,316,1,4),(20,5048800,'1',3,203,2,39),(20,5048885,'1',3,404,1,5),(20,5048958,'1',3,302,1,34),(20,5049016,'1A',3,601,2,313),(20,5049059,'1',3,207,1,15),(20,5049067,'1',3,303,1,22),(20,5049130,'1',1,316,1,1),(20,5049172,'1',3,308,2,36),(20,5049180,'1',3,207,1,22),(20,5049407,'1',3,501,1,7),(20,5049571,'1',3,104,1,13),(20,5049644,'1',3,205,1,11),(20,5049652,'1',3,103,1,5),(20,5049687,'1',2,316,1,7),(20,5049822,'1A',3,601,1,74),(20,5049857,'1A',3,220,1,24),(20,5049903,'1',3,103,1,24),(20,5050065,'1',3,308,2,52),(20,5050111,'1',3,502,1,23),(20,5050162,'1A',3,213,2,18),(20,5050227,'1',3,304,2,67),(20,5050324,'1',3,317,2,64),(20,5050340,'1',3,340,1,16),(20,5050359,'1',3,317,1,12),(20,5050367,'1',3,203,2,67),(20,5050448,'1',3,104,1,12),(20,5050456,'1',3,601,1,135),(20,5050480,'1',2,415,2,10),(20,5050510,'1',2,110,1,12),(20,5050723,'1',3,415,2,23),(20,5050910,'1A',3,601,1,16),(20,5050944,'1',3,423,1,7),(20,5050979,'1',3,9,1,24),(20,5051304,'1',1,234,2,1),(20,5051525,'1',3,220,2,37),(20,5051550,'1',3,451,1,19),(20,5051703,'1',3,109,1,2),(20,5051797,'1',3,303,1,8),(20,5051908,'1',3,223,1,19),(20,5051932,'1',3,201,1,22),(20,5052025,'1',2,601,2,41),(20,5052050,'1',3,234,1,6),(20,5052424,'1',3,340,1,6),(20,5052475,'1',3,102,1,44),(20,5052572,'1',3,316,2,66),(20,5052793,'1A',3,233,1,15),(20,5052815,'1',2,208,1,3),(20,5052840,'1',3,202,2,64),(20,5052858,'1A',3,215,1,15),(20,5052912,'1',3,450,1,15),(20,5052939,'1',3,450,1,5),(20,5053102,'1A',3,601,1,57),(20,5053110,'1A',3,601,2,213),(20,5053153,'1A',3,235,1,6),(20,5053170,'1',3,302,1,21),(20,5053323,'1A',3,235,1,20),(20,5053340,'1',3,502,2,29),(20,5053374,'1',3,224,2,15),(20,5053412,'1',3,340,2,34),(20,5053650,'1',3,308,1,2),(20,5053781,'1',3,104,2,54),(20,5053919,'1',3,453,1,11),(20,5053978,'1',3,415,2,28),(20,5054010,'1',3,103,1,8),(20,5054052,'1',3,109,2,49),(20,5054079,'1',3,340,1,2),(20,5054087,'1',2,101,1,8),(20,5054117,'1',3,303,2,45),(20,5054125,'1',3,212,2,17),(20,5054303,'1',3,9,1,17),(20,5054346,'1',3,213,2,30),(20,5054370,'1A',3,201,1,34),(20,5054419,'1',3,302,1,9),(20,5054443,'1',3,3,1,25),(20,5054451,'1',3,308,1,15),(20,5054583,'1',2,222,1,5),(20,5054605,'1',3,108,1,10),(20,5054656,'1',3,207,2,59),(20,5054702,'1',3,501,1,18),(20,5054710,'1',3,428,1,1),(20,5054753,'1',3,331,1,13),(20,5054826,'1A',3,207,2,54),(20,5054869,'1',3,424,1,12),(20,5054923,'1',3,551,1,34),(20,5054931,'1',2,110,1,9),(20,5054982,'1',1,9,1,2),(20,5055024,'1',3,503,1,13),(20,5055040,'1',3,316,1,34),(20,5055075,'1A',3,220,2,40),(20,5055156,'1',3,9,1,20),(20,5055172,'1',3,225,1,9),(20,5055334,'1',3,326,1,1),(20,5055350,'1',3,225,1,6),(20,5055482,'1',3,429,2,1),(20,5055610,'1',3,108,1,22),(20,5055636,'1',3,308,1,7),(20,5055814,'1',2,220,2,8),(20,5055830,'1',2,108,2,16),(20,5055873,'1',2,108,1,4),(20,5055911,'1',1,317,1,3),(20,5056020,'1',3,5,1,18),(20,5056071,'1',2,501,2,12),(20,5056080,'1',3,214,2,30),(20,5056110,'1',3,444,1,12),(20,5056217,'1',3,501,1,26),(20,5056233,'1A',3,601,1,35),(20,5056284,'1',3,601,2,296),(20,5056632,'1',3,103,2,47),(20,5056730,'1',3,429,2,24),(20,5056748,'1A',3,601,1,30),(20,5056888,'1',3,328,1,1),(20,5056918,'1',3,601,1,123),(20,5056985,'1',3,203,1,29),(20,5057051,'1',3,216,2,32),(20,5057060,'1',3,404,1,13),(20,5057264,'1',3,333,1,20),(20,5057345,'1',2,331,1,7),(20,5057388,'1',3,601,1,58),(20,5057400,'1',3,235,1,13),(20,5057418,'1',3,333,1,3),(20,5057531,'1',3,234,1,23),(20,5057639,'1',3,309,1,23),(20,5057680,'1',2,551,1,2),(20,5057710,'1',3,202,1,21),(20,5057736,'1',2,215,1,4),(20,5057779,'1',2,302,1,8),(20,5057850,'1A',3,220,2,46),(20,5057906,'1',3,208,1,26),(20,5057914,'1',3,319,2,33),(20,5058023,'1',3,3,1,23),(20,5058511,'1A',3,601,2,229),(20,5058651,'1',2,203,2,22),(20,5058732,'1',3,317,2,46),(20,5058759,'1',3,308,1,14),(20,5058805,'1',3,329,1,27),(20,5058856,'1',3,303,2,32),(20,5058872,'1',3,426,2,12),(20,5058970,'1',2,428,2,10),(20,5059062,'1',3,201,2,84),(20,5059143,'1',3,104,2,52),(20,5059364,'1',3,308,1,25),(20,5059461,'1',3,203,1,16),(20,5059500,'1',3,233,1,9),(20,5059682,'1A',3,235,1,19),(20,5059720,'1',3,317,1,13),(20,5059836,'1',3,108,1,19),(20,5059860,'1',3,452,2,19),(20,5059887,'1',3,216,1,9),(20,5060052,'1',3,304,1,27),(20,5060079,'1A',3,601,1,10),(20,5060087,'1',3,503,1,8),(20,5060141,'1',3,503,2,33),(20,5060176,'1',1,220,1,1),(20,5060435,'1A',3,211,2,61),(20,5060524,'1',3,102,2,83),(20,5060630,'1',2,501,2,17),(20,5060664,'1',2,220,1,1),(20,5060761,'1',3,220,1,2),(20,5060796,'1',3,302,2,51),(20,5060842,'1',3,503,2,50),(20,5060923,'1',3,601,1,77),(20,5060931,'1A',3,601,2,284),(20,5061032,'1',3,327,2,27),(20,5061113,'1',3,601,1,13),(20,5061270,'1',2,320,2,5),(20,5061326,'1',3,424,1,5),(20,5061350,'1',3,601,2,166),(20,5061369,'1',3,214,1,2),(20,5061415,'1',3,207,2,50),(20,5061709,'1',3,104,2,68),(20,5061733,'1',3,108,2,55),(20,5061814,'1',3,203,1,20),(20,5061890,'1',3,310,1,18),(20,5061938,'1',3,108,2,60),(20,5061962,'1',3,444,2,33),(20,5062012,'1',3,102,2,94),(20,5062098,'1A',3,601,2,223),(20,5062128,'1',3,324,1,5),(20,5062284,'1A',3,211,2,64),(20,5062411,'1',1,207,1,3),(20,5062438,'1',3,302,1,29),(20,5062519,'1',3,301,2,48),(20,5062535,'1',3,238,1,10),(20,5062675,'1',3,233,1,2),(20,5062730,'1A',3,202,2,48),(20,5062799,'1',2,601,1,1),(20,5062829,'1',3,303,1,21),(20,5062985,'1A',2,601,2,48),(20,5063027,'1A',3,238,1,23),(20,5063132,'1',3,309,2,35),(20,5063191,'1',3,238,1,15),(20,5063213,'1',3,319,2,38),(20,5063345,'1',3,202,1,6),(20,5063353,'1',3,304,2,71),(20,5063400,'1',3,340,1,13),(20,5063680,'1',3,203,2,62),(20,5063698,'1',3,215,2,20),(20,5063744,'1A',3,214,2,21),(20,5063817,'1',3,110,1,9),(20,5063825,'1',3,234,2,42),(20,5063841,'1',3,104,1,19),(20,5063922,'1',3,207,1,2),(20,5064007,'1',3,404,2,44),(20,5064058,'1A',3,201,2,52),(20,5064074,'1',3,104,2,53),(20,5064090,'1',3,340,1,27),(20,5064139,'1',3,601,1,133),(20,5064147,'1',3,601,1,43),(20,5064180,'1',3,452,1,9),(20,5064210,'1A',2,233,1,6),(20,5064228,'1',2,502,1,5),(20,5064244,'1A',3,233,1,24),(20,5064260,'1',2,444,2,10),(20,5064279,'1',3,319,2,42),(20,5064317,'1',3,201,2,56),(20,5064457,'1',3,320,2,22),(20,5064511,'1',3,320,2,10),(20,5064546,'1',3,233,2,47),(20,5064597,'1',3,420,1,7),(20,5064651,'1',3,301,2,72),(20,5064694,'1',3,428,1,11),(20,5064724,'1',3,234,1,29),(20,5064848,'1',3,101,2,42),(20,5064902,'1',2,102,2,22),(20,5065062,'1',3,308,2,57),(20,5065151,'1',3,207,1,4),(20,5065267,'1',3,304,2,47),(20,5065305,'1',3,108,2,38),(20,5065364,'1',3,319,1,11),(20,5065445,'1',3,208,2,65),(20,5065453,'1',3,333,1,22),(20,5065470,'1A',3,220,2,47),(20,5065640,'1',3,303,2,54),(20,5065704,'1',2,203,2,14),(20,5065810,'1',3,102,1,1),(20,5065828,'1',2,303,2,17),(20,5065844,'1',3,304,2,82),(20,5065917,'1A',3,601,1,31),(20,5065984,'1',3,223,1,16),(20,5066034,'1',3,601,1,46),(20,5066085,'1',2,103,2,12),(20,5066131,'1',2,5,2,13),(20,5066220,'1',3,103,1,21),(20,5066379,'1',3,428,1,20),(20,5066409,'1A',3,601,2,250),(20,5066468,'1',3,3,1,1),(20,5066514,'1',3,216,1,13),(20,5066581,'1',3,103,2,45),(20,5066590,'1',3,444,1,7),(20,5066727,'1',3,328,1,5),(20,5066824,'1',3,301,1,12),(20,5066956,'1',3,601,2,293),(20,5066964,'1',3,301,2,73),(20,5067006,'1',3,303,1,17),(20,5067189,'1',3,319,2,46),(20,5067219,'1',3,316,1,22),(20,5067391,'1',2,3,1,3),(20,5067456,'1A',3,220,2,49),(20,5067472,'1',3,216,1,2),(20,5067553,'1A',3,238,2,43),(20,5067600,'1',2,444,2,8),(20,5067642,'1',3,304,1,16),(20,5067669,'1',3,429,2,17),(20,5067774,'1',3,211,1,15),(20,5067855,'1',3,2,1,9),(20,5067880,'1',3,336,1,19),(20,5068142,'1',3,302,1,8),(20,5068185,'1',2,5,1,3),(20,5068215,'1',3,304,1,26),(20,5068231,'1',3,601,1,76),(20,5068401,'1',3,303,2,41),(20,5068460,'1',3,103,1,16),(20,5068487,'1',3,320,2,16),(20,5068509,'1',3,103,1,34),(20,5068657,'1',3,317,1,22),(20,5068673,'1',3,203,2,60),(20,5068746,'1',3,501,2,63),(20,5068797,'1',3,203,1,23),(20,5068860,'1',3,601,1,14),(20,5068967,'1',3,502,1,16),(20,5069025,'1',2,3,1,1),(20,5069084,'1',3,103,1,14),(20,5069130,'1',2,110,1,4),(20,5069165,'1',3,3,1,15),(20,5069173,'1',3,326,1,33),(20,5069211,'1',3,2,1,34),(20,5069238,'1',3,415,2,42),(20,5069327,'1',2,332,2,4),(20,5069351,'1',3,340,1,23),(20,5069378,'1',3,429,2,3),(20,5069394,'1',3,317,2,39),(20,5069432,'1A',2,601,1,34),(20,5069599,'1',2,421,1,3),(20,5069645,'1',3,340,1,12),(20,5069653,'1A',3,216,2,21),(20,5069700,'1',3,301,1,7),(20,5069750,'1',2,319,2,17),(20,5069769,'1',3,101,1,24),(20,5069939,'1',1,319,1,4),(20,5069955,'1',3,404,2,33),(20,5069971,'1',3,303,2,63),(20,5070023,'1',3,303,2,39),(20,5070058,'1',3,211,1,13),(20,5070074,'1',2,332,2,3),(20,5070139,'1',2,316,1,2),(20,5070210,'1',1,327,2,1),(20,5070287,'1',3,102,1,38),(20,5070295,'1',3,201,1,19),(20,5070309,'1',3,316,2,40),(20,5070554,'1',3,2,1,22),(20,5070570,'1',3,429,2,18),(20,5070694,'1',3,320,2,15),(20,5070740,'1',3,327,2,24),(20,5070759,'1',3,601,2,336),(20,5070783,'1A',3,211,2,42),(20,5070805,'1',2,404,1,6),(20,5070848,'1',3,319,2,65),(20,5070910,'1',1,103,1,3),(20,5070937,'1',3,234,2,50),(20,5071054,'1',3,301,1,2),(20,5071151,'1A',2,233,1,4),(20,5071178,'1',3,234,1,16),(20,5071208,'1',3,317,1,6),(20,5071240,'1',2,339,1,8),(20,5071267,'1',3,225,1,15),(20,5071348,'1',3,340,2,54),(20,5071372,'1',2,207,2,11),(20,5071488,'1',3,318,2,52),(20,5071658,'1',3,302,2,40),(20,5071712,'1',3,501,1,35),(20,5071801,'1A',3,238,2,40),(20,5071895,'1',3,428,1,25),(20,5071909,'1',3,425,1,8),(20,5071925,'1',2,301,1,6),(20,5071950,'1',3,326,1,9),(20,5072158,'1',3,326,1,27),(20,5072190,'1',3,320,2,38),(20,5072476,'1',3,101,2,26),(20,5072565,'1',2,108,2,14),(20,5072646,'1',2,302,1,7),(20,5072670,'1',3,234,1,30),(20,5072840,'1',3,202,1,28),(20,5072883,'1A',3,235,1,17),(20,5072905,'1',3,108,1,13),(20,5072930,'1',3,308,1,32),(20,5073014,'1',3,304,2,75),(20,5073197,'1',3,5,2,52),(20,5073251,'1',3,427,1,11),(20,5073359,'1A',3,215,1,3),(20,5073502,'1',3,301,2,59),(20,5073545,'1',3,201,2,60),(20,5073570,'1',2,109,1,6),(20,5073731,'1',3,426,2,1),(20,5073758,'1',3,601,1,109),(20,5073766,'1',3,317,2,34),(20,5073790,'1A',3,238,1,12),(20,5073910,'1',3,303,1,10),(20,5074088,'1',3,601,2,328),(20,5074169,'1',3,234,1,2),(20,5074193,'1',2,328,1,3),(20,5074223,'1',3,234,2,41),(20,5074240,'1',3,304,2,77),(20,5074258,'1',3,324,1,20),(20,5074266,'1',3,429,2,22),(20,5074282,'1',2,601,1,32),(20,5074290,'1',3,333,1,12),(20,5074410,'1',3,453,1,13),(20,5074452,'1A',3,208,2,40),(20,5074495,'1',3,108,1,28),(20,5074509,'1',3,202,2,55),(20,5074606,'1',3,303,1,15),(20,5074614,'1',3,102,1,27),(20,5074630,'1',3,211,2,37),(20,5074711,'1',1,202,1,2),(20,5074827,'1',3,101,2,30),(20,5074894,'1A',3,214,1,10),(20,5074932,'1',3,319,2,64),(20,5075076,'1A',3,601,1,6),(20,5075122,'1',3,110,1,12),(20,5075149,'1',3,601,1,140),(20,5075289,'1',3,452,2,17),(20,5075297,'1',3,304,1,9),(20,5075467,'1',3,104,1,39),(20,5075491,'1A',3,238,1,35),(20,5075556,'1',3,327,2,28),(20,5075580,'1',3,652,1,18),(20,5075629,'1',3,331,1,8),(20,5075653,'1',3,316,1,30),(20,5075785,'1',2,316,1,9),(20,5075858,'1',3,340,2,30),(20,5075904,'1',2,109,2,11),(20,5076048,'1',3,103,1,30),(20,5076102,'1',3,2,1,19),(20,5076285,'1',3,216,1,16),(20,5076307,'1',3,316,2,60),(20,5076382,'1',3,103,2,41),(20,5076404,'1',3,302,2,50),(20,5076412,'1',3,316,2,71),(20,5076447,'1',3,5,2,54),(20,5076480,'1',3,316,2,49),(20,5076544,'1',3,303,1,23),(20,5076609,'1',3,333,1,13),(20,5076625,'1',3,316,1,7),(20,5076706,'1',3,503,1,24),(20,5076730,'1',3,309,1,15),(20,5076803,'1',3,501,2,66),(20,5076820,'1',3,333,1,9),(20,5076838,'1',3,329,1,15),(20,5076854,'1A',3,215,1,12),(20,5076897,'1',3,333,1,14),(20,5077095,'1A',3,235,1,15),(20,5077125,'1',3,423,1,18),(20,5077206,'1',3,301,1,3),(20,5077281,'1',3,601,1,150),(20,5077354,'1',3,502,2,38),(20,5077389,'1',3,3,2,38),(20,5077400,'1',3,201,1,18),(20,5077460,'1',3,318,2,57),(20,5077486,'1',3,211,1,28),(20,5077664,'1',3,103,1,28),(20,5077702,'1',3,110,1,13),(20,5077753,'1',3,316,1,17),(20,5077800,'1',2,207,1,4),(20,5077966,'1',3,340,2,44),(20,5078148,'1',3,332,2,27),(20,5078261,'1',3,5,1,16),(20,5078393,'1',3,9,1,23),(20,5078482,'1',2,238,2,16),(20,5078490,'1',3,2,1,32),(20,5078555,'1',3,444,1,18),(20,5078695,'1',3,320,2,2),(20,5078873,'1',3,104,1,11),(20,5079306,'1',2,303,1,7),(20,5079330,'1',3,202,2,49),(20,5079373,'1',3,601,2,283),(20,5079500,'1',3,203,1,1),(20,5079640,'1',3,216,1,5),(20,5079756,'1',3,207,2,29),(20,5079900,'1',3,234,1,4),(20,5079926,'1',1,213,1,2),(20,5080053,'1A',3,601,1,103),(20,5080185,'1',3,3,2,54),(20,5080207,'1',3,304,2,59),(20,5080258,'1A',3,211,2,46),(20,5080282,'1',3,601,2,161),(20,5080363,'1',3,108,2,45),(20,5080517,'1',3,601,2,309),(20,5080827,'1',3,301,2,40),(20,5080878,'1',3,238,2,57),(20,5080916,'1',3,234,2,63),(20,5080991,'1',2,102,1,11),(20,5081076,'1',3,453,2,22),(20,5081149,'1A',3,214,2,17),(20,5081238,'1',2,302,1,1),(20,5081270,'1',3,326,1,3),(20,5081335,'1',3,450,1,1),(20,5081440,'1',3,235,2,38),(20,5081467,'1',2,5,2,15),(20,5081505,'1',3,5,1,10),(20,5081564,'1',3,212,1,5),(20,5081572,'1A',3,201,1,38),(20,5081580,'1',3,317,2,45),(20,5081645,'1',3,216,2,18),(20,5081718,'1',3,201,1,24),(20,5081939,'1',3,429,2,6),(20,5081963,'1A',3,238,1,34),(20,5081971,'1A',3,601,1,131),(20,5081998,'1',3,220,2,35),(20,5082005,'1A',3,214,1,5),(20,5082021,'1',3,303,2,40),(20,5082064,'1',3,329,1,4),(20,5082102,'1',3,103,2,54),(20,5082110,'1',3,234,1,14),(20,5082137,'1',3,102,2,59),(20,5082153,'1',2,450,1,1),(20,5082234,'1',3,303,1,26),(20,5082307,'1A',2,601,1,22),(20,5082412,'1',3,234,1,17),(20,5082420,'1A',3,201,2,62),(20,5082447,'1',3,340,1,9),(20,5082587,'1A',3,653,2,36),(20,5082625,'1',2,109,1,7),(20,5082730,'1',3,207,1,5),(20,5082803,'1',2,302,2,12),(20,5082897,'1',2,451,1,5),(20,5082900,'1',3,501,2,48),(20,5082927,'1',3,223,1,13),(20,5083060,'1',2,103,2,19),(20,5083141,'1',3,304,2,58),(20,5083257,'1',3,235,1,8),(20,5083478,'1',2,340,2,14),(20,5083630,'1',3,238,1,27),(20,5083702,'1',3,601,2,286),(20,5083761,'1',3,207,1,14),(20,5083800,'1',3,5,2,33),(20,5083826,'1',3,308,2,45),(20,5083893,'1',3,220,2,50),(20,5083958,'1',2,225,1,11),(20,5084024,'1',3,329,1,19),(20,5084059,'1',3,211,1,9),(20,5084202,'1',3,303,2,51),(20,5084342,'1',1,103,2,7),(20,5084415,'1A',3,211,2,58),(20,5084440,'1',3,220,2,55),(20,5084458,'1',2,318,2,12),(20,5084490,'1',3,320,2,25),(20,5084504,'1',3,201,2,81),(20,5084520,'1',3,201,2,80),(20,5084652,'1',1,501,1,2),(20,5084970,'1',1,216,2,5),(20,5085101,'1',3,207,1,12),(20,5085152,'1',3,318,1,21),(20,5085160,'1',3,234,2,46),(20,5085179,'1',3,308,2,62),(20,5085284,'1',3,424,1,31),(20,5085330,'1',3,601,1,72),(20,5085349,'1',3,308,1,26),(20,5085365,'1',3,202,1,37),(20,5085403,'1',2,201,2,12),(20,5085446,'1',3,207,2,44),(20,5085500,'1',3,316,1,33),(20,5085543,'1A',3,601,2,215),(20,5085560,'1',3,104,1,37),(20,5085594,'1',3,426,2,18),(20,5085705,'1',3,301,1,28),(20,5085721,'1',3,235,2,44),(20,5085799,'1',3,304,2,72),(20,5085802,'1',3,203,2,73),(20,5085810,'1',3,316,2,54),(20,5085942,'1',3,429,2,13),(20,5085993,'1',3,109,1,30),(20,5086051,'1A',3,202,1,29),(20,5086299,'1',3,301,2,76),(20,5086337,'1',3,420,1,10),(20,5086353,'1',3,203,1,6),(20,5086400,'1',3,3,1,22),(20,5086418,'1',2,424,1,3),(20,5086426,'1',2,327,2,3),(20,5086590,'1',1,316,1,3),(20,5086760,'1',3,234,2,56),(20,5086795,'1',3,207,1,20),(20,5086817,'1',2,102,2,19),(20,5086922,'1',3,203,2,46),(20,5087171,'1',3,234,1,1),(20,5087287,'1',3,304,1,5),(20,5087430,'1',3,238,2,66),(20,5087538,'1',3,404,1,18),(20,5087570,'1',3,318,1,19),(20,5087716,'1',2,317,1,1),(20,5087902,'1',2,502,1,3),(20,5087961,'1',3,331,1,11),(20,5088011,'1',3,9,1,19),(20,5088127,'1',3,404,2,30),(20,5088291,'1',3,304,2,64),(20,5088313,'1',2,331,1,5),(20,5088461,'1',3,211,2,66),(20,5088488,'1',3,429,2,29),(20,5088569,'1',3,101,2,27),(20,5088593,'1',2,428,2,14),(20,5088615,'1',3,316,1,21),(20,5088640,'1',3,503,1,22),(20,5088704,'1',3,211,1,25),(20,5088780,'1',2,503,1,7),(20,5088798,'1',3,301,1,35),(20,5088909,'1A',3,601,2,216),(20,5089026,'1',2,304,1,4),(20,5089069,'1',3,404,1,2),(20,5089077,'1A',1,201,1,4),(20,5089115,'1',3,102,2,69),(20,5089166,'1',3,320,2,33),(20,5089190,'1',3,340,1,19),(20,5089298,'1',2,340,2,11),(20,5089530,'1',3,444,1,19),(20,5089549,'1',3,208,2,60),(20,5089662,'1A',3,651,1,9),(20,5089689,'1',3,318,1,11),(20,5089700,'1',3,601,2,190),(20,5089719,'1',3,5,1,21),(20,5089751,'1A',3,212,2,21),(20,5089972,'1',3,102,2,91),(20,5090040,'1A',3,213,1,12),(20,5090083,'1',3,324,1,6),(20,5090342,'1A',3,653,2,35),(20,5090385,'1',3,108,2,44),(20,5090393,'1',3,224,2,8),(20,5090415,'1',3,304,2,46),(20,5090733,'1',3,104,2,48),(20,5090806,'1',3,103,1,11),(20,5090890,'1',3,5,1,1),(20,5090911,'1',3,420,2,22),(20,5090962,'1',3,319,1,17),(20,5091080,'1',2,501,1,4),(20,5091110,'1',3,601,2,263),(20,5091179,'1',2,320,2,4),(20,5091187,'1',3,420,2,31),(20,5091209,'1',3,501,2,76),(20,5091217,'1',3,336,1,2),(20,5091314,'1A',3,202,2,45),(20,5091349,'1',3,5,1,23),(20,5091365,'1',3,601,2,260),(20,5091438,'1',3,316,1,24),(20,5091543,'1A',3,208,1,21),(20,5091594,'1',3,235,2,28),(20,5091608,'1',3,601,1,143),(20,5091667,'1',3,9,1,29),(20,5091683,'1',1,318,1,3),(20,5091691,'1',3,301,1,32),(20,5091748,'1',3,320,2,9),(20,5091772,'1',2,333,1,1),(20,5091829,'1',3,211,2,45),(20,5092051,'1',3,303,2,58),(20,5092094,'1',3,303,2,37),(20,5092183,'1A',3,201,2,59),(20,5092370,'1',3,220,1,8),(20,5092418,'1',3,220,1,21),(20,5092507,'1',3,5,1,11),(20,5092523,'1',3,331,1,16),(20,5092647,'1',3,235,1,5),(20,5092655,'1',3,501,2,56),(20,5092663,'1',3,601,2,159),(20,5092698,'1',3,601,1,145),(20,5092787,'1',3,309,2,37),(20,5093007,'1',2,203,2,21),(20,5093058,'1A',2,601,1,18),(20,5093074,'1',3,302,1,33),(20,5093090,'1A',3,233,2,41),(20,5093120,'1',3,104,1,3),(20,5093244,'1',3,404,1,16),(20,5093333,'1',3,601,2,173),(20,5093376,'1',3,208,1,9),(20,5093430,'1',3,201,1,32),(20,5093457,'1',3,601,2,270),(20,5093490,'1',3,234,1,8),(20,5093511,'1A',3,238,1,8),(20,5093600,'1',3,601,2,341),(20,5093694,'1',3,208,1,15),(20,5093805,'1',3,102,1,16),(20,5093821,'1',2,238,2,14),(20,5094011,'1',2,220,1,4),(20,5094020,'1',3,201,1,26),(20,5094143,'1',3,303,1,9),(20,5094194,'1',3,238,2,36),(20,5094224,'1',3,415,1,13),(20,5094305,'1',3,302,1,16),(20,5094348,'1',3,233,2,52),(20,5094461,'1',3,213,2,17),(20,5094470,'1',3,207,1,8),(20,5094496,'1',3,108,1,14),(20,5094500,'1A',3,233,2,46),(20,5094534,'1',3,601,1,86),(20,5094623,'1',3,551,1,31),(20,5094631,'1',2,202,2,16),(20,5094895,'1A',3,211,2,49),(20,5094950,'1',3,327,2,19),(20,5094976,'1',3,340,2,31),(20,5094984,'1',3,318,2,49),(20,5095034,'1A',3,653,2,31),(20,5095085,'1',3,203,2,75),(20,5095115,'1',3,104,1,31),(20,5095190,'1',3,109,1,8),(20,5095239,'1A',3,235,2,34),(20,5095280,'1A',3,208,1,28),(20,5095387,'1',3,309,1,25),(20,5095450,'1A',3,233,1,22),(20,5095468,'1',3,444,1,13),(20,5095697,'1',3,220,1,15),(20,5095700,'1',3,318,1,30),(20,5095727,'1A',3,601,2,196),(20,5095743,'1A',3,202,1,35),(20,5095816,'1',3,203,1,38),(20,5095832,'1',3,104,2,78),(20,5095867,'1A',3,601,2,158),(20,5095905,'1',1,203,1,1),(20,5095913,'1',2,109,1,1),(20,5095930,'1A',3,423,1,11),(20,5095999,'1',1,220,1,2),(20,5096006,'1',3,423,1,23),(20,5096049,'1',3,203,2,48),(20,5096065,'1',3,234,2,43),(20,5096111,'1',2,501,1,8),(20,5096170,'1',3,601,1,122),(20,5096278,'1',3,102,1,28),(20,5096286,'1',3,424,1,4),(20,5096316,'1',2,303,1,2),(20,5096324,'1',2,420,1,1),(20,5096340,'1',3,3,1,17),(20,5096480,'1',3,426,2,3),(20,5096570,'1',3,452,2,23),(20,5096634,'1A',3,202,1,17),(20,5096723,'1',2,426,2,7),(20,5096774,'1',2,318,2,18),(20,5096804,'1',3,502,1,5),(20,5097070,'1',3,216,2,35),(20,5097150,'1',3,327,2,31),(20,5097177,'1',3,225,1,21),(20,5097193,'1A',3,601,2,325),(20,5097223,'1',3,104,2,55),(20,5097258,'1',2,5,1,2),(20,5097282,'1',3,203,2,53),(20,5097355,'1',3,503,2,53),(20,5097509,'1',3,234,2,58),(20,5097576,'1',2,102,1,5),(20,5097622,'1',3,301,2,52),(20,5097630,'1',3,101,1,16),(20,5097649,'1A',3,235,1,21),(20,5097754,'1',3,317,1,9),(20,5097843,'1',2,2,1,10),(20,5097886,'1',3,220,1,9),(20,5097940,'1A',3,202,1,15),(20,5098025,'1',3,652,1,12),(20,5098041,'1A',3,653,1,15),(20,5098076,'1',3,102,1,29),(20,5098165,'1',2,601,1,33),(20,5098190,'1',3,304,2,76),(20,5098300,'1',3,102,1,42),(20,5098319,'1A',3,601,2,191),(20,5098386,'1',2,220,1,2),(20,5098408,'1',3,452,2,28),(20,5098521,'1',2,207,2,9),(20,5098572,'1',1,303,1,1),(20,5098610,'1',3,651,1,23),(20,5098645,'1',3,601,1,137),(20,5098858,'1',3,320,2,21),(20,5098882,'1',2,238,1,7),(20,5098920,'1',3,601,2,237),(20,5099145,'1',3,318,1,4),(20,5099161,'1',2,316,2,20),(20,5099170,'1',2,326,1,3),(20,5099293,'1',2,453,1,1),(20,5099404,'1',3,104,2,72),(20,5099447,'1',3,222,1,4),(20,5099633,'1',3,320,2,32),(20,5099650,'1',3,340,1,28),(20,5099722,'1',1,501,1,1),(20,5099870,'1',3,327,2,14),(20,5100054,'1',3,317,1,27),(20,5100119,'1',3,108,1,32),(20,5100160,'1',3,336,1,14),(20,5100194,'1',3,216,2,24),(20,5100232,'1',2,317,2,16),(20,5100275,'1',3,308,1,5),(20,5100720,'1',3,302,2,63),(20,5100798,'1',2,502,1,2),(20,5100810,'1',3,453,2,27),(20,5100887,'1A',2,211,2,15),(20,5100976,'1',2,224,2,4),(20,5100992,'1',3,301,2,65),(20,5101077,'1',3,316,1,14),(20,5101123,'1',1,103,1,2),(20,5101263,'1',3,415,1,20),(20,5101336,'1',3,310,1,16),(20,5101344,'1',3,211,1,12),(20,5101379,'1',3,102,2,88),(20,5101409,'1',3,318,2,66),(20,5101476,'1',3,103,2,60),(20,5101484,'1',2,601,1,13),(20,5101689,'1A',3,202,1,10),(20,5101743,'1',3,304,1,4),(20,5101794,'1',3,213,2,28),(20,5101816,'1',3,103,2,56),(20,5101972,'1',3,109,1,7),(20,5102057,'1',3,208,1,3),(20,5102200,'1',3,304,2,56),(20,5102235,'1',3,208,2,37),(20,5102286,'1',3,301,2,38),(20,5102308,'1',3,601,2,228),(20,5102332,'1',2,108,2,12),(20,5102391,'1',3,109,1,23),(20,5102553,'1',3,205,1,16),(20,5102596,'1',3,208,2,49),(20,5102618,'1',3,223,1,12),(20,5102693,'1',3,319,1,4),(20,5102715,'1',3,5,1,5),(20,5102740,'1A',3,233,1,14),(20,5102774,'1',3,317,2,56),(20,5103029,'1A',3,601,2,257),(20,5103037,'1',3,207,2,41),(20,5103126,'1',3,420,2,27),(20,5103207,'1',3,103,1,19),(20,5103258,'1',3,201,1,3),(20,5103339,'1',3,234,1,20),(20,5103347,'1',3,208,2,70),(20,5103401,'1',3,238,2,37),(20,5103444,'1',3,404,1,14),(20,5103592,'1',3,9,1,10),(20,5103665,'1',2,319,2,16),(20,5103940,'1',3,211,2,34),(20,5104084,'1',3,203,1,3),(20,5104106,'1',3,238,1,5),(20,5104220,'1',3,425,1,17),(20,5104297,'1',2,329,1,5),(20,5104319,'1',3,324,2,38),(20,5104343,'1',3,551,1,17),(20,5104432,'1',3,104,1,14),(20,5104440,'1',3,331,1,19),(20,5104610,'1',2,501,1,10),(20,5104637,'1',3,304,1,29),(20,5104718,'1',3,303,1,16),(20,5104815,'1',3,601,2,343),(20,5104823,'1',3,108,1,23),(20,5105048,'1',3,215,2,29),(20,5105056,'1',3,327,2,9),(20,5105072,'1',3,103,2,65),(20,5105129,'1',3,234,1,5),(20,5105200,'1',3,208,1,8),(20,5105242,'1',3,336,1,4),(20,5105269,'1',3,304,2,54),(20,5105315,'1',3,201,2,82),(20,5105358,'1',3,2,1,42),(20,5105420,'1',1,425,1,1),(20,5105439,'1',2,205,1,3),(20,5105455,'1',2,501,1,6),(20,5105544,'1',1,308,2,5),(20,5105714,'1',2,3,2,16),(20,5105749,'1',3,205,1,7),(20,5105757,'1',3,326,1,31),(20,5105781,'1',3,207,2,46),(20,5105811,'1',2,601,1,36),(20,5105889,'1',3,104,1,22),(20,5106125,'1A',3,238,1,19),(20,5106214,'1',3,444,2,23),(20,5106370,'1',3,601,1,56),(20,5106583,'1',3,502,1,9),(20,5106605,'1',3,317,2,38),(20,5106710,'1A',3,601,1,87),(20,5106796,'1',3,108,1,31),(20,5106877,'1',3,303,1,28),(20,5106907,'1',3,201,2,63),(20,5107067,'1',3,332,2,23),(20,5107180,'1',3,420,1,1),(20,5107261,'1',3,501,1,14),(20,5107334,'1',3,5,2,57),(20,5107431,'1',3,302,2,52),(20,5107628,'1',3,203,1,12),(20,5107679,'1A',3,202,2,61),(20,5107709,'1',2,108,1,1),(20,5107717,'1',3,304,2,62),(20,5107822,'1',2,503,1,4),(20,5107962,'1',3,339,2,39),(20,5108004,'1',3,103,1,20),(20,5108101,'1',3,104,1,7),(20,5108179,'1',3,302,1,28),(20,5108209,'1',2,326,1,1),(20,5108268,'1',3,317,2,68),(20,5108462,'1',3,102,2,75),(20,5108489,'1',3,303,2,60),(20,5108497,'1',1,211,1,4),(20,5108594,'1',3,317,1,30),(20,5108659,'1',2,653,2,14),(20,5108683,'1',3,327,2,7),(20,5108799,'1',2,222,1,6),(20,5108934,'1',2,108,1,3),(20,5109345,'1A',3,651,1,11),(20,5109396,'1',3,304,2,73),(20,5109485,'1',3,332,2,10),(20,5109523,'1A',3,202,1,20),(20,5109574,'1',3,423,1,3),(20,5109701,'1',2,208,2,14),(20,5109795,'1',3,309,2,34),(20,5109973,'1',3,304,2,74),(20,5110025,'1',3,9,1,26),(20,5110211,'1',3,601,1,47),(20,5110440,'1',3,318,2,43),(20,5110475,'1',3,5,1,13),(20,5110505,'1',2,3,1,6),(20,5110653,'1',3,501,1,17),(20,5110769,'1',3,335,1,3),(20,5110890,'1',2,233,2,14),(20,5110963,'1',2,501,1,5),(20,5110980,'1',3,425,1,13),(20,5111129,'1',3,450,1,18),(20,5111293,'1',3,339,2,31),(20,5111307,'1',3,211,1,21),(20,5111480,'1',3,452,1,4),(20,5111544,'1',3,109,2,48),(20,5111560,'1',3,201,2,58),(20,5111668,'1',3,304,2,70),(20,5111692,'1',3,102,1,7),(20,5111820,'1',3,317,2,36),(20,5111862,'1A',3,214,1,4),(20,5111943,'1',3,426,2,2),(20,5111978,'1',3,211,2,51),(20,5112001,'1',3,328,1,11),(20,5112087,'1',3,420,2,29),(20,5112125,'1A',2,601,1,38),(20,5112133,'1',3,333,1,11),(20,5112192,'1',3,205,1,5),(20,5112290,'1',3,302,1,23),(20,5112354,'1',3,302,2,42),(20,5112400,'1',3,234,2,54),(20,5112460,'1',3,303,2,43),(20,5112575,'1',3,109,1,6),(20,5112591,'1',3,425,1,12),(20,5112613,'1',2,652,2,15),(20,5112826,'1',3,318,2,50),(20,5112915,'1',2,444,2,11),(20,5112940,'1',3,102,1,31),(20,5112974,'1',3,304,2,41),(20,5113024,'1A',3,235,2,35),(20,5113270,'1',3,340,2,39),(20,5113288,'1A',3,601,2,160),(20,5113350,'1',1,301,1,1),(20,5113369,'1A',3,220,1,20),(20,5113377,'1',3,108,2,63),(20,5113431,'1A',3,601,2,197),(20,5113520,'1',3,208,2,47),(20,5113539,'1',3,203,2,61),(20,5113555,'1',3,503,1,25),(20,5113580,'1A',3,238,2,49),(20,5113636,'1',3,317,1,18),(20,5113652,'1A',3,601,2,182),(20,5113687,'1',2,224,2,8),(20,5113709,'1',3,238,2,61),(20,5113822,'1',3,327,2,1),(20,5113911,'1',3,302,2,69),(20,5113920,'1',3,601,2,326),(20,5113970,'1',3,202,1,24),(20,5114039,'1',2,340,1,3),(20,5114080,'1',1,450,1,1),(20,5114128,'1',3,108,2,41),(20,5114195,'1',2,318,2,11),(20,5114209,'1',3,651,1,1),(20,5114225,'1A',3,653,2,38),(20,5114250,'1',3,316,2,70),(20,5114314,'1',3,651,1,26),(20,5114390,'1',3,211,2,35),(20,5114403,'1',3,425,1,16),(20,5114446,'1',3,316,2,69),(20,5114675,'1',3,208,2,46),(20,5114683,'1',3,301,2,69),(20,5114721,'1',3,317,2,48),(20,5114802,'1',3,104,2,59),(20,5114837,'1',3,503,1,20),(20,5114853,'1',3,601,1,54),(20,5114900,'1',3,503,1,11),(20,5115043,'1',3,316,1,19),(20,5115116,'1A',3,601,1,25),(20,5115140,'1',3,551,1,32),(20,5115175,'1',3,220,1,17),(20,5115418,'1',3,301,2,67),(20,5115485,'1',3,102,1,50),(20,5115566,'1',3,551,1,14),(20,5115817,'1A',3,214,2,25),(20,5115876,'1',3,203,2,64),(20,5115965,'1',3,5,2,61),(20,5116104,'1',2,203,1,11),(20,5116198,'1',3,601,2,272),(20,5116279,'1',3,317,1,31),(20,5116333,'1',3,103,1,1),(20,5116392,'1',3,318,1,28),(20,5116406,'1',3,207,1,13),(20,5116414,'1',3,327,2,15),(20,5116457,'1',3,203,2,41),(20,5116465,'1',3,423,1,12),(20,5116490,'1',3,233,2,42),(20,5116643,'1',2,309,2,15),(20,5116651,'1',3,303,2,35),(20,5117089,'1',3,5,2,59),(20,5117135,'1A',3,235,1,24),(20,5117143,'1',3,203,1,15),(20,5117259,'1',2,201,2,13),(20,5117283,'1',3,102,2,60),(20,5117348,'1',3,316,2,62),(20,5117461,'1',2,5,1,5),(20,5117577,'1',2,601,2,49),(20,5117690,'1',3,415,2,33),(20,5117739,'1',3,308,2,68),(20,5117763,'1',3,452,1,10),(20,5117771,'1',1,203,2,8),(20,5117860,'1',2,201,2,18),(20,5117992,'1',3,208,1,29),(20,5118190,'1',3,224,2,7),(20,5118220,'1',3,421,1,16),(20,5118247,'1',3,501,2,45),(20,5118263,'1',3,207,2,35),(20,5118522,'1',2,428,1,1),(20,5118565,'1',3,223,1,11),(20,5118646,'1',3,5,2,60),(20,5118654,'1',3,336,1,8),(20,5118689,'1',3,5,2,53),(20,5119146,'1',3,332,2,18),(20,5119235,'1',3,103,2,49),(20,5119367,'1',3,3,2,34),(20,5119391,'1',3,310,1,21),(20,5119510,'1',3,102,1,25),(20,5119588,'1',3,601,2,265),(20,5119618,'1',2,551,1,20),(20,5119650,'1',3,340,2,37),(20,5119723,'1',3,222,1,17),(20,5119758,'1',3,444,2,30),(20,5119928,'1',2,425,1,8),(20,5120020,'1',3,103,2,70),(20,5120047,'1',3,501,2,81),(20,5120160,'1',2,333,1,2),(20,5120276,'1A',3,421,1,13),(20,5120284,'1',3,444,2,31),(20,5120349,'1',2,2,1,9),(20,5120381,'1',3,110,2,29),(20,5120497,'1',3,318,1,2),(20,5120608,'1',3,202,1,32),(20,5120667,'1',3,9,1,12),(20,5120721,'1',3,324,1,28),(20,5120748,'1',3,109,2,43),(20,5120799,'1',3,216,1,10),(20,5120829,'1',3,104,1,29),(20,5120861,'1',3,427,1,29),(20,5120918,'1A',3,212,2,15),(20,5120977,'1',3,103,1,26),(20,5121035,'1',2,317,2,10),(20,5121051,'1',2,303,1,4),(20,5121108,'1A',3,215,1,1),(20,5121116,'1',3,308,2,43),(20,5121183,'1',2,326,1,7),(20,5121469,'1',2,503,1,1),(20,5121590,'1',3,452,1,6),(20,5121604,'1',3,201,1,16),(20,5121817,'1',3,303,2,61),(20,5121884,'1',2,109,1,3),(20,5121981,'1',3,319,2,53),(20,5122015,'1',3,423,1,2),(20,5122074,'1',2,309,1,2),(20,5122104,'1',3,309,1,22),(20,5122198,'1',2,222,1,3),(20,5122481,'1',3,502,1,4),(20,5122651,'1',3,220,2,51),(20,5122694,'1',2,421,1,2),(20,5122724,'1',3,220,1,12),(20,5122899,'1',2,213,1,1),(20,5122961,'1',2,339,1,9),(20,5122988,'1',3,208,1,10),(20,5123038,'1',3,238,1,14),(20,5123054,'1',3,108,2,47),(20,5123062,'1',3,101,2,49),(20,5123143,'1',3,303,1,18),(20,5123186,'1',3,421,1,8),(20,5123240,'1',2,202,1,6),(20,5123259,'1',3,329,1,20),(20,5123321,'1',3,501,2,58),(20,5123372,'1',3,3,2,42),(20,5123593,'1',3,319,1,9),(20,5123615,'1',3,110,1,19),(20,5123623,'1',3,308,2,54),(20,5123640,'1',3,238,2,48),(20,5123658,'1',2,102,2,21),(20,5123674,'1',3,301,1,13),(20,5123704,'1',3,103,2,38),(20,5123720,'1',3,308,1,19),(20,5123801,'1',3,324,1,15),(20,5123828,'1',3,316,2,68),(20,5124239,'1A',3,601,1,117),(20,5124298,'1A',3,233,1,21),(20,5124484,'1',3,225,1,10),(20,5124506,'1',3,601,2,298),(20,5124573,'1',2,9,1,9),(20,5124700,'1',3,316,1,11),(20,5124751,'1',3,233,1,16),(20,5124794,'1A',3,214,2,24),(20,5124840,'1',3,109,1,22),(20,5124883,'1',3,601,2,276),(20,5124930,'1',3,333,1,21),(20,5124972,'1',2,234,1,3),(20,5125138,'1',3,503,2,44),(20,5125154,'1',2,551,1,15),(20,5125189,'1',1,203,1,5),(20,5125316,'1',3,310,1,13),(20,5125359,'1',2,208,1,1),(20,5125430,'1',3,238,1,6),(20,5125480,'1',3,109,1,26),(20,5125502,'1',3,429,2,19),(20,5125693,'1',3,201,2,44),(20,5125758,'1',3,304,2,49),(20,5125766,'1',3,2,1,17),(20,5125847,'1',2,452,1,4),(20,5125880,'1',3,339,1,10),(20,5125928,'1',3,301,2,61),(20,5126002,'1',3,203,1,36),(20,5126037,'1',3,301,2,70),(20,5126282,'1',3,319,2,40),(20,5126380,'1',3,452,1,2),(20,5126525,'1',3,5,1,24),(20,5126550,'1',2,308,1,9),(20,5126673,'1',3,319,2,62),(20,5126703,'1',2,215,2,9),(20,5126738,'1',3,503,2,30),(20,5126746,'1',3,340,2,38),(20,5126770,'1',3,5,1,17),(20,5126827,'1',3,304,1,10),(20,5126886,'1',3,235,1,2),(20,5126908,'1',3,317,2,54),(20,5127106,'1',3,207,2,39),(20,5127319,'1',3,3,1,11),(20,5127335,'1A',3,653,1,14),(20,5127459,'1',3,601,2,302),(20,5127467,'1',3,101,1,1),(20,5127483,'1',3,238,1,24),(20,5127530,'1',3,601,1,108),(20,5127645,'1',3,303,1,3),(20,5127785,'1',2,108,1,6),(20,5127866,'1',3,501,2,78),(20,5128218,'1',3,304,1,19),(20,5128234,'1',2,420,1,2),(20,5128269,'1',3,222,1,7),(20,5128323,'1',3,316,1,10),(20,5128358,'1',3,601,1,136),(20,5128412,'1',3,601,2,211),(20,5128420,'1',3,501,2,60),(20,5128498,'1',3,601,2,315),(20,5128633,'1',1,109,1,1),(20,5128684,'1',3,103,1,22),(20,5128706,'1',3,450,1,20),(20,5128757,'1',1,5,1,3),(20,5128790,'1',3,215,2,35),(20,5128897,'1',3,201,1,9),(20,5128919,'1',3,319,2,43),(20,5128927,'1',2,324,1,4),(20,5128978,'1',3,420,2,21),(20,5129028,'1',3,301,2,39),(20,5129044,'1',3,340,1,25),(20,5129087,'1',3,104,2,50),(20,5129184,'1',3,202,2,41),(20,5129206,'1',3,203,2,45),(20,5129230,'1',3,103,1,29),(20,5129281,'1',3,233,2,30),(20,5129290,'1',1,339,2,5),(20,5129311,'1',3,327,2,10),(20,5129362,'1',3,203,2,79),(20,5129419,'1',3,101,1,8),(20,5129591,'1A',3,211,2,63),(20,5129761,'1',3,501,2,52),(20,5129770,'1',3,502,1,3),(20,5130069,'1',3,444,2,22),(20,5130115,'1',3,207,2,40),(20,5130271,'1A',3,235,2,25),(20,5130379,'1',3,109,2,50),(20,5130433,'1',3,340,1,15),(20,5130492,'1',3,324,1,30),(20,5130514,'1',3,103,2,67),(20,5130662,'1',3,103,2,62),(20,5130760,'1',2,103,2,18),(20,5130778,'1',3,202,2,77),(20,5130859,'1',3,207,1,21),(20,5130875,'1A',1,220,1,3),(20,5130883,'1',3,320,2,7),(20,5130921,'1A',3,220,1,23),(20,5130956,'1A',3,201,2,71),(20,5131014,'1',2,503,1,3),(20,5131170,'1',1,238,2,8),(20,5131286,'1',3,208,1,2),(20,5131294,'1A',3,601,1,147),(20,5131308,'1A',2,214,2,7),(20,5131316,'1A',3,202,2,70),(20,5131324,'1',3,318,2,40),(20,5131405,'1A',3,208,1,22),(20,5131430,'1',3,340,2,46),(20,5131618,'1A',3,215,1,14),(20,5131642,'1',2,319,2,14),(20,5131855,'1A',3,208,2,54),(20,5131936,'1',2,444,1,2),(20,5131987,'1',3,319,1,12),(20,5132053,'1A',3,601,1,93),(20,5132185,'1',3,415,1,3),(20,5132282,'1A',3,653,2,43),(20,5132371,'1',3,102,2,61),(20,5132533,'1',3,503,2,39),(20,5132649,'1',3,340,2,48),(20,5132657,'1',3,212,2,18),(20,5132665,'1',3,318,2,45),(20,5132819,'1',3,3,2,39),(20,5132851,'1',3,201,1,1),(20,5133009,'1',2,202,1,9),(20,5133025,'1',3,327,2,11),(20,5133076,'1',3,104,2,73),(20,5133114,'1',3,340,1,3),(20,5133157,'1',2,310,1,4),(20,5133289,'1',2,317,1,8),(20,5133351,'1A',2,601,2,47),(20,5133483,'1',3,201,2,67),(20,5133599,'1',2,103,2,17),(20,5133670,'1',3,326,1,14),(20,5133696,'1',3,333,1,5),(20,5133718,'1',3,317,2,57),(20,5133769,'1',3,5,1,29),(20,5133904,'1',1,303,2,7),(20,5133963,'1',3,316,2,73),(20,5134005,'1',3,102,1,10),(20,5134056,'1',1,452,1,1),(20,5134307,'1',3,415,1,15),(20,5134447,'1',3,103,1,32),(20,5134544,'1A',3,601,2,231),(20,5134560,'1',3,304,2,68),(20,5134587,'1',3,503,1,9),(20,5134625,'1',3,234,1,21),(20,5134749,'1',2,601,1,17),(20,5134811,'1',3,304,2,51),(20,5134820,'1',2,213,2,8),(20,5134889,'1',3,340,1,8),(20,5134900,'1',3,501,1,24),(20,5134919,'1',3,501,2,73),(20,5135176,'1',3,304,1,35),(20,5135184,'1',2,207,2,12),(20,5135192,'1',3,301,1,25),(20,5135230,'1A',3,208,2,59),(20,5135320,'1',3,215,2,21),(20,5135338,'1',3,308,2,35),(20,5135397,'1',3,601,2,281),(20,5135427,'1A',2,220,1,7),(20,5135508,'1',3,308,1,9),(20,5135567,'1',3,428,1,28),(20,5135575,'1',3,207,1,7),(20,5135605,'1A',3,426,2,22),(20,5135664,'1',2,3,2,13),(20,5135672,'1',3,450,1,13),(20,5135702,'1A',3,424,1,17),(20,5135842,'1',3,501,2,72),(20,5135850,'1',2,601,1,10),(20,5135877,'1',3,223,1,2),(20,5135907,'1',1,331,1,2),(20,5135923,'1A',3,213,1,11),(20,5135940,'1',3,309,1,17),(20,5136016,'1',3,317,1,24),(20,5136032,'1',3,205,1,3),(20,5136148,'1',3,211,1,14),(20,5136172,'1',3,203,1,4),(20,5136180,'1',3,444,2,42),(20,5136210,'1',3,551,1,7),(20,5136431,'1',3,319,1,30),(20,5136440,'1A',3,235,1,22),(20,5136458,'1',3,203,1,5),(20,5136598,'1',3,340,1,7),(20,5136610,'1',3,212,1,9),(20,5136725,'1A',3,201,2,53),(20,5136784,'1',3,303,2,53),(20,5136865,'1',3,207,1,1),(20,5136890,'1',3,225,1,25),(20,5136920,'1',3,5,1,7),(20,5136997,'1',3,318,1,13),(20,5137020,'1',3,201,1,5),(20,5137080,'1',3,2,1,6),(20,5137128,'1',2,201,1,9),(20,5137136,'1',3,211,1,24),(20,5137187,'1',2,208,1,7),(20,5137268,'1',3,203,2,59),(20,5137276,'1',3,503,1,23),(20,5137284,'1',2,601,1,39),(20,5137314,'1',3,213,2,27),(20,5137403,'1',2,324,2,15),(20,5137551,'1',3,415,2,38),(20,5137586,'1',3,2,1,1),(20,5137705,'1A',3,235,1,14),(20,5137870,'1A',3,235,2,26),(20,5137900,'1',3,601,2,288),(20,5137926,'1',3,601,2,218),(20,5137934,'1',3,220,1,26),(20,5137969,'1',2,202,2,12),(20,5138140,'1',3,207,2,58),(20,5138159,'1',3,9,1,8),(20,5138191,'1A',3,233,2,39),(20,5138213,'1',3,427,1,24),(20,5138221,'1',3,329,1,24),(20,5138272,'1',2,201,2,17),(20,5138299,'1',3,404,2,27),(20,5138477,'1A',3,201,2,42),(20,5138612,'1',2,317,1,6),(20,5138663,'1',3,102,1,15),(20,5138671,'1A',3,601,2,242),(20,5138779,'1A',3,601,1,83),(20,5138833,'1',3,104,1,30),(20,5138981,'1',2,601,1,6),(20,5139040,'1',3,225,1,11),(20,5139155,'1A',3,202,1,18),(20,5139171,'1',3,235,2,48),(20,5139180,'1',3,304,1,17),(20,5139279,'1',3,320,2,5),(20,5139317,'1',3,304,2,61),(20,5139333,'1A',3,653,1,3),(20,5139376,'1',3,201,2,41),(20,5139430,'1',3,427,1,18),(20,5139503,'1',3,318,2,61),(20,5139511,'1',1,501,1,3),(20,5139538,'1',3,404,2,43),(20,5139554,'1',3,110,1,10),(20,5139805,'1A',3,601,2,319),(20,5139856,'1',3,337,1,19),(20,5139953,'1',2,501,2,20),(20,5140021,'1',3,326,1,6),(20,5140072,'1',3,3,1,24),(20,5140110,'1',3,415,1,9),(20,5140560,'1',3,332,2,28),(20,5140668,'1A',3,201,2,69),(20,5140722,'1',3,425,1,22),(20,5140889,'1A',3,601,2,274),(20,5140919,'1',3,424,1,13),(20,5140951,'1',3,101,2,35),(20,5141141,'1',3,304,2,80),(20,5141427,'1',2,102,1,4),(20,5141435,'1A',3,421,1,7),(20,5141460,'1',2,103,1,5),(20,5141524,'1',3,318,2,34),(20,5141567,'1A',2,215,2,8),(20,5141770,'1',3,601,2,186),(20,5141842,'1',3,5,2,48),(20,5141877,'1',3,202,2,62),(20,5141885,'1',3,224,2,10),(20,5141893,'1',2,205,2,6),(20,5141931,'1',3,5,1,30),(20,5141990,'1',3,444,2,26),(20,5142008,'1',3,208,1,20),(20,5142032,'1',3,501,2,67),(20,5142210,'1',3,110,1,14),(20,5142237,'1',2,203,1,9),(20,5142245,'1',2,302,2,16),(20,5142377,'1',3,427,1,21),(20,5142385,'1A',3,214,1,11),(20,5142423,'1A',3,601,1,18),(20,5142547,'1',3,444,2,35),(20,5142652,'1',2,203,2,12),(20,5142695,'1',3,420,2,24),(20,5142873,'1',3,332,2,7),(20,5142911,'1',3,301,2,63),(20,5143110,'1A',3,202,2,56),(20,5143209,'1',3,5,2,56),(20,5143225,'1',3,327,2,30),(20,5143284,'1',1,340,1,2),(20,5143314,'1A',2,235,1,6),(20,5143349,'1',3,316,1,27),(20,5143438,'1',3,309,1,18),(20,5143500,'1',3,653,1,28),(20,5143586,'1',3,451,1,13),(20,5143616,'1',2,318,1,6),(20,5143624,'1',3,304,1,36),(20,5143659,'1',3,601,2,282),(20,5143691,'1',3,428,1,19),(20,5143748,'1',3,503,2,51),(20,5143756,'1A',3,601,1,156),(20,5143780,'1',3,316,2,56),(20,5143802,'1',3,205,1,12),(20,5143870,'1',2,201,2,14),(20,5143918,'1',3,337,1,1),(20,5144078,'1',3,453,1,12),(20,5144264,'1',3,329,1,18),(20,5144299,'1',3,318,1,17),(20,5144400,'1',3,653,2,57),(20,5144477,'1A',3,651,1,4),(20,5144647,'1',3,317,2,61),(20,5144655,'1',2,108,2,11),(20,5144701,'1',3,3,1,21),(20,5144736,'1',3,601,2,297),(20,5144752,'1A',3,213,2,22),(20,5144930,'1',3,420,1,15),(20,5144990,'1',2,424,1,8),(20,5145066,'1A',3,208,2,42),(20,5145112,'1A',3,233,2,45),(20,5145120,'1',3,601,2,205),(20,5145155,'1',3,108,1,17),(20,5145198,'1',3,319,1,7),(20,5145260,'1',2,502,2,14),(20,5145473,'1',2,601,1,37),(20,5145490,'1',3,333,1,6),(20,5145716,'1',2,201,1,11),(20,5145732,'1',3,5,1,28),(20,5145775,'1',3,216,1,14),(20,5145830,'1',3,601,1,62),(20,5146020,'1',3,601,2,185),(20,5146160,'1',3,327,2,13),(20,5146232,'1',2,551,1,9),(20,5146240,'1',3,207,1,26),(20,5146305,'1',1,333,1,1),(20,5146364,'1',3,104,1,15),(20,5146461,'1',3,235,2,46),(20,5146690,'1',3,316,2,38),(20,5146828,'1',3,503,2,42),(20,5146879,'1',3,222,1,15),(20,5146976,'1A',3,202,2,58),(20,5146984,'1',3,208,1,4),(20,5147107,'1',2,3,2,9),(20,5147239,'1A',3,201,2,78),(20,5147247,'1',3,320,2,28),(20,5147255,'1A',3,212,1,14),(20,5147271,'1A',3,233,2,43),(20,5147476,'1',3,102,1,40),(20,5147573,'1',3,234,2,33),(20,5147590,'1',3,102,1,36),(20,5147697,'1',3,3,2,43),(20,5147719,'1A',3,601,2,244),(20,5147816,'1',3,211,2,44),(20,5147948,'1',3,415,1,14),(20,5147980,'1',3,428,1,22),(20,5147999,'1',3,304,2,55),(20,5148065,'1',2,339,1,3),(20,5148103,'1',1,303,1,4),(20,5148120,'1',3,304,2,79),(20,5148235,'1',3,601,1,94),(20,5148367,'1',3,215,2,27),(20,5148529,'1A',3,601,1,132),(20,5148537,'1',3,502,2,33),(20,5148650,'1',3,213,2,24),(20,5148669,'1',3,303,2,42),(20,5148707,'1',3,301,2,74),(20,5148804,'1',3,453,2,21),(20,5148847,'1A',3,233,2,34),(20,5148871,'1',3,201,2,50),(20,5149096,'1',3,310,1,7),(20,5149185,'1',3,224,2,14),(20,5149215,'1',3,427,1,4),(20,5149223,'1',2,316,2,17),(20,5149320,'1',3,5,2,49),(20,5149436,'1',3,426,2,31),(20,5149525,'1A',2,211,1,4),(20,5149622,'1A',3,214,1,12),(20,5149908,'1',2,319,2,18),(20,5150051,'1A',2,601,1,20),(20,5150132,'1',3,425,1,2),(20,5150183,'1',1,101,1,4),(20,5150221,'1',3,233,2,50),(20,5150248,'1',2,425,1,3),(20,5150418,'1',3,501,2,68),(20,5150450,'1',3,318,1,1),(20,5150531,'1',3,101,2,47),(20,5150620,'1',3,501,2,79),(20,5150680,'1',3,601,1,9),(20,5150736,'1',3,201,2,83),(20,5150760,'1',3,425,1,11),(20,5150779,'1',2,109,2,15),(20,5150787,'1',3,309,2,41),(20,5150809,'1',2,424,1,5),(20,5151090,'1',3,317,1,29),(20,5151210,'1',3,601,2,188),(20,5151244,'1',3,601,2,227),(20,5151317,'1',3,310,1,19),(20,5151333,'1',3,320,2,12),(20,5151376,'1',2,444,1,4),(20,5151392,'1',3,108,1,8),(20,5151473,'1',3,319,2,44),(20,5151520,'1',1,213,1,1),(20,5151538,'1',3,324,1,4),(20,5151570,'1',3,317,2,51),(20,5151759,'1',2,214,1,1),(20,5151791,'1',3,104,2,40),(20,5151856,'1',3,301,1,18),(20,5151864,'1',3,102,1,39),(20,5151970,'1',3,203,1,13),(20,5152224,'1A',3,601,1,95),(20,5152461,'1',2,103,2,14),(20,5152550,'1A',3,601,1,7),(20,5152674,'1',3,601,2,264),(20,5152755,'1',3,303,1,4),(20,5152763,'1',3,201,2,51),(20,5152771,'1',3,503,2,45),(20,5152810,'1',3,423,1,4),(20,5152828,'1',3,319,1,26),(20,5152879,'1',3,211,1,27),(20,5152887,'1',3,318,2,65),(20,5152984,'1',3,202,2,76),(20,5153018,'1',2,109,2,10),(20,5153026,'1',3,426,2,6),(20,5153344,'1',3,331,1,28),(20,5153352,'1',3,415,1,6),(20,5153425,'1',2,320,2,6),(20,5153433,'1',3,216,1,1),(20,5153484,'1',3,451,1,17),(20,5153530,'1',3,108,1,16),(20,5153727,'1',3,203,2,52),(20,5153808,'1A',3,238,1,30),(20,5153832,'1',3,207,1,18),(20,5153867,'1',3,102,1,11),(20,5153905,'1',3,102,2,87),(20,5153999,'1',3,302,1,13),(20,5154057,'1',2,324,2,9),(20,5154103,'1',2,318,1,4),(20,5154316,'1',3,5,2,58),(20,5154367,'1',2,502,1,1),(20,5154421,'1',3,502,1,28),(20,5154510,'1',2,101,1,4),(20,5154529,'1',3,220,1,14),(20,5154618,'1',3,304,1,21),(20,5154707,'1',3,601,2,208),(20,5154723,'1',1,501,1,5),(20,5154804,'1A',3,208,1,11),(20,5155037,'1',3,331,1,26),(20,5155169,'1',3,308,1,1),(20,5155240,'1',2,216,1,4),(20,5155258,'1',3,201,2,76),(20,5155266,'1',2,304,1,2),(20,5155274,'1',3,316,2,45),(20,5155312,'1',3,102,1,35),(20,5155568,'1',3,207,2,38),(20,5155614,'1',3,203,2,44),(20,5155657,'1',3,316,2,44),(20,5155703,'1',3,234,2,61),(20,5155789,'1',3,222,1,11),(20,5155827,'1',3,326,1,2),(20,5155886,'1',3,304,2,43),(20,5155940,'1A',3,211,1,17),(20,5156092,'1',3,238,1,13),(20,5156122,'1',3,203,1,33),(20,5156130,'1',3,212,2,30),(20,5156270,'1A',3,213,1,6),(20,5156408,'1',3,207,2,53),(20,5156556,'1',3,302,1,26),(20,5156602,'1',3,329,1,13),(20,5156645,'1A',3,202,1,5),(20,5156661,'1',3,428,1,6),(20,5156777,'1',3,302,1,6),(20,5156815,'1',3,101,2,29),(20,5156939,'1',3,303,1,12),(20,5156971,'1',2,108,2,15),(20,5157013,'1',3,332,2,1),(20,5157021,'1',3,303,2,33),(20,5157161,'1',3,203,2,72),(20,5157200,'1',3,502,1,10),(20,5157331,'1',3,101,1,11),(20,5157366,'1',3,103,1,31),(20,5157536,'1',3,3,2,35),(20,5157617,'1A',3,601,1,34),(20,5157641,'1',2,502,2,10),(20,5157668,'1',3,201,2,68),(20,5157706,'1A',3,601,2,204),(20,5158052,'1',2,207,1,8),(20,5158079,'1',3,425,1,4),(20,5158117,'1',3,653,2,33),(20,5158303,'1',3,3,2,32),(20,5158427,'1',3,211,2,57),(20,5158508,'1',3,326,1,18),(20,5158540,'1A',3,202,1,13),(20,5158567,'1',3,203,1,2),(20,5158656,'1',2,302,1,6),(20,5158702,'1',2,208,1,4),(20,5158761,'1',3,502,1,27),(20,5158800,'1',1,212,1,2),(20,5158850,'1',3,238,2,51),(20,5158966,'1',1,212,1,1),(20,5159032,'1A',2,423,1,2),(20,5159040,'1',3,213,1,14),(20,5159075,'1',3,214,2,26),(20,5159083,'1',3,304,1,8),(20,5159121,'1',3,2,1,5),(20,5159164,'1',3,233,2,36),(20,5159237,'1',3,502,2,44),(20,5159288,'1',3,238,1,9),(20,5159326,'1',3,238,2,65),(20,5159369,'1',2,207,2,13),(20,5159407,'1',3,101,2,32),(20,5159423,'1',3,601,1,138),(20,5159750,'1',1,415,1,1),(20,5159768,'1',3,301,1,31),(20,5159792,'1',3,108,2,62),(20,5160359,'1A',2,601,1,4),(20,5160391,'1',2,601,2,43),(20,5160618,'1',1,211,1,1),(20,5160634,'1',3,326,1,22),(20,5160812,'1',3,205,2,21),(20,5160871,'1A',2,211,2,13),(20,5160898,'1',2,5,2,12),(20,5161207,'1',3,551,1,8),(20,5161215,'1',3,304,2,48),(20,5161231,'1',3,444,1,10),(20,5161339,'1',3,108,2,58),(20,5161398,'1A',3,211,2,48),(20,5161444,'1',2,201,2,15),(20,5161584,'1',3,301,1,15),(20,5161673,'1',1,451,1,2),(20,5161789,'1',3,503,1,1),(20,5161843,'1',3,339,1,11),(20,5162050,'1',3,601,1,81),(20,5162130,'1',3,317,1,4),(20,5162289,'1',2,450,1,4),(20,5162351,'1',3,444,2,36),(20,5162360,'1',3,327,2,25),(20,5162416,'1',3,310,1,2),(20,5162459,'1',3,318,1,12),(20,5162718,'1A',3,212,2,24),(20,5163056,'1A',3,601,2,311),(20,5163064,'1',3,316,1,9),(20,5163170,'1',2,223,1,1),(20,5163307,'1',3,426,2,28),(20,5163366,'1',2,302,1,5),(20,5163382,'1',3,324,1,2),(20,5163536,'1',3,501,2,57),(20,5163692,'1',3,601,2,192),(20,5163927,'1A',3,601,2,214),(20,5163978,'1',3,503,2,56),(20,5164036,'1',3,333,1,7),(20,5164109,'1',2,317,2,13),(20,5164125,'1',3,503,1,17),(20,5164192,'1',3,501,1,4),(20,5164346,'1',3,327,2,2),(20,5164354,'1A',3,208,2,64),(20,5164397,'1',2,319,2,15),(20,5164400,'1A',2,208,2,12),(20,5164451,'1',2,104,1,4),(20,5164559,'1',3,319,1,14),(20,5164842,'1',3,2,1,15),(20,5164990,'1',3,303,2,56),(20,5165148,'1',3,308,1,17),(20,5165172,'1',3,415,1,10),(20,5165377,'1',3,336,1,6),(20,5165440,'1',1,101,1,2),(20,5165490,'1',3,337,1,12),(20,5165547,'1',3,326,1,16),(20,5165580,'1',3,215,2,37),(20,5165601,'1',3,203,1,26),(20,5165610,'1',3,301,1,4),(20,5165628,'1',3,203,1,7),(20,5165636,'1A',3,423,1,17),(20,5165709,'1',3,503,2,43),(20,5166136,'1',3,101,1,15),(20,5166187,'1',3,3,2,63),(20,5166209,'1',3,238,1,25),(20,5166373,'1',3,308,1,31),(20,5166489,'1A',2,233,2,8),(20,5166535,'1A',2,202,2,14),(20,5166586,'1',1,238,1,2),(20,5166900,'1',2,309,1,1),(20,5166918,'1',3,319,2,66),(20,5167027,'1',3,501,1,21),(20,5167175,'1',2,102,2,23),(20,5167191,'1',3,225,1,2),(20,5167248,'1',3,424,1,9),(20,5167264,'1',3,316,1,13),(20,5167302,'1',1,317,1,2),(20,5167329,'1',3,653,2,61),(20,5167370,'1',3,102,2,102),(20,5167434,'1',3,326,1,17),(20,5167450,'1',3,302,1,17),(20,5167523,'1',2,201,2,20),(20,5167574,'1',3,404,1,21),(20,5167590,'1',3,302,2,62),(20,5167612,'1',3,301,2,68),(20,5167620,'1',3,208,2,48),(20,5167655,'1',3,329,1,11),(20,5167744,'1',3,3,1,5),(20,5167787,'1',1,5,1,1),(20,5167868,'1',3,428,1,23),(20,5167914,'1',3,425,1,3),(20,5168112,'1',3,208,1,32),(20,5168120,'1',3,202,1,16),(20,5168171,'1',3,426,2,21),(20,5168180,'1',3,601,2,226),(20,5168228,'1',3,101,1,10),(20,5168317,'1',3,324,1,12),(20,5168341,'1',2,207,2,15),(20,5168350,'1',3,503,2,31),(20,5168376,'1',3,5,1,15),(20,5168716,'1',3,220,1,25),(20,5168724,'1',3,108,2,42),(20,5168821,'1',3,109,1,19),(20,5169011,'1',3,304,1,34),(20,5169020,'1',3,304,1,32),(20,5169224,'1A',3,214,2,19),(20,5169240,'1',3,108,1,20),(20,5169291,'1',3,102,1,41),(20,5169437,'1',3,224,2,12),(20,5169453,'1',3,326,1,11),(20,5169593,'1',3,601,1,59),(20,5169704,'1',2,324,2,12),(20,5169739,'1',2,317,2,17),(20,5169747,'1',3,319,2,48),(20,5169780,'1',3,238,2,64),(20,5169852,'1',3,426,2,11),(20,5170311,'1A',2,211,2,12),(20,5170320,'1A',3,601,2,195),(20,5170818,'1',3,340,1,17),(20,5171040,'1',3,235,2,41),(20,5171121,'1',3,9,1,3),(20,5171288,'1',2,225,1,5),(20,5171300,'1',2,207,2,14),(20,5171342,'1',3,421,1,15),(20,5171415,'1',3,308,1,20),(20,5171652,'1',2,340,1,8),(20,5171822,'1',1,340,1,3),(20,5171865,'1',3,234,1,28),(20,5171938,'1',3,310,1,5),(20,5172225,'1',2,415,1,5),(20,5172365,'1',3,238,1,21),(20,5172470,'1',3,503,1,18),(20,5172586,'1',3,653,2,62),(20,5172691,'1',3,234,1,15),(20,5172861,'1',3,501,2,47),(20,5172969,'1',3,453,2,26),(20,5173370,'1',3,653,1,24),(20,5173426,'1A',3,211,2,52),(20,5173647,'1',3,601,2,201),(20,5173752,'1',3,3,2,62),(20,5173760,'1',3,201,1,11),(20,5173817,'1',3,601,2,275),(20,5173990,'1',2,316,1,5),(20,5174007,'1',3,216,2,31),(20,5174112,'1',3,101,2,50),(20,5174317,'1A',3,601,1,24),(20,5174414,'1',2,327,2,5),(20,5174538,'1',2,101,1,2),(20,5174678,'1',2,601,1,7),(20,5174864,'1',2,316,1,4),(20,5174902,'1',2,234,2,9),(20,5175283,'1',3,110,1,1),(20,5175372,'1',3,450,1,7),(20,5175399,'1',3,303,2,34),(20,5175470,'1',2,652,2,12),(20,5175526,'1',3,427,1,7),(20,5175607,'1',2,452,2,8),(20,5175852,'1',3,404,2,41),(20,5175941,'1',3,423,1,14),(20,5175950,'1',3,211,1,1),(20,5176107,'1',3,101,2,52),(20,5176140,'1A',3,601,1,115),(20,5176182,'1A',3,235,2,29),(20,5176379,'1',3,451,1,16),(20,5176409,'1',1,203,1,3),(20,5176417,'1',2,551,1,8),(20,5176476,'1',3,316,2,51),(20,5176620,'1A',3,601,1,64),(20,5176654,'1A',3,211,1,23),(20,5176697,'1',3,304,1,33),(20,5176921,'1',3,211,1,6),(20,5177030,'1A',3,238,2,68),(20,5177057,'1',3,501,2,77),(20,5177200,'1',3,428,2,39),(20,5177227,'1',3,108,2,34),(20,5177359,'1',2,302,2,14),(20,5177367,'1',3,205,1,9),(20,5177499,'1',3,404,1,23),(20,5177510,'1',3,108,2,48),(20,5177642,'1',3,216,1,7),(20,5177669,'1',3,108,2,61),(20,5177731,'1A',3,202,2,69),(20,5177804,'1',2,653,1,5),(20,5177812,'1',3,331,1,14),(20,5177820,'1',3,318,2,69),(20,5177936,'1',1,238,1,5),(20,5177987,'1',3,9,1,33),(20,5178193,'1A',3,601,2,180),(20,5178282,'1',2,425,1,5),(20,5178401,'1',3,203,2,71),(20,5178436,'1A',3,429,2,28),(20,5178576,'1',3,317,1,26),(20,5178657,'1',3,301,2,58),(20,5178800,'1',3,453,2,19),(20,5178827,'1',3,301,1,27),(20,5178835,'1',3,452,1,13),(20,5178878,'1',3,201,1,27),(20,5178916,'1',3,220,2,28),(20,5178975,'1',3,420,1,8),(20,5178983,'1',3,205,1,8),(20,5179173,'1',3,223,1,6),(20,5179246,'1',3,234,1,27),(20,5179297,'1',3,428,1,18),(20,5179351,'1',1,238,1,1),(20,5179491,'1',1,444,1,2),(20,5179505,'1',3,329,1,8),(20,5179513,'1',2,235,1,1),(20,5179556,'1',2,235,2,12),(20,5179602,'1',3,451,1,12),(20,5179700,'1',3,302,1,27),(20,5179823,'1',3,425,1,24),(20,5179840,'1',3,310,1,3),(20,5180031,'1',2,238,1,10),(20,5180333,'1',3,339,2,30),(20,5180376,'1',3,339,2,23),(20,5180384,'1',3,503,1,21),(20,5180554,'1',3,3,1,26),(20,5180597,'1',1,326,1,2),(20,5180627,'1',3,324,1,24),(20,5180830,'1',3,502,1,6),(20,5180899,'1',3,301,2,50),(20,5181135,'1',3,339,2,19),(20,5181186,'1',2,103,1,8),(20,5181216,'1',2,207,1,2),(20,5181364,'1',3,451,1,9),(20,5181402,'1',3,108,1,12),(20,5181496,'1A',3,652,1,28),(20,5181500,'1',3,421,1,11),(20,5181739,'1',3,108,1,5),(20,5181917,'1',3,444,1,8),(20,5182018,'1',2,216,1,1),(20,5182026,'1',1,319,1,2),(20,5182123,'1',3,308,2,71),(20,5182212,'1',3,235,2,31),(20,5182220,'1',3,301,1,6),(20,5182280,'1',3,319,2,47),(20,5182344,'1',3,336,1,22),(20,5182484,'1A',3,653,1,10),(20,5182581,'1',3,203,1,21),(20,5182727,'1',2,426,2,2),(20,5182905,'1',3,303,1,29),(20,5183057,'1',2,502,2,11),(20,5183278,'1',3,212,2,27),(20,5183332,'1A',3,201,1,33),(20,5183340,'1A',3,424,1,24),(20,5183391,'1',3,203,2,63),(20,5183529,'1',2,216,2,9),(20,5183685,'1',2,207,1,1),(20,5183766,'1',3,2,1,40),(20,5183774,'1',3,601,2,256),(20,5183979,'1',3,502,1,12),(20,5184061,'1',3,212,1,1),(20,5184304,'1',2,5,1,4),(20,5184312,'1',2,108,2,9),(20,5184320,'1',3,601,2,233),(20,5184339,'1A',3,653,1,30),(20,5184460,'1A',3,202,2,43),(20,5184711,'1',3,415,1,22),(20,5184789,'1',3,101,1,22),(20,5184860,'1',3,318,1,33),(20,5184908,'1',3,303,1,31),(20,5184940,'1',2,551,1,23),(20,5184959,'1',3,109,2,32),(20,5185050,'1',3,328,1,10),(20,5185203,'1',3,108,1,9),(20,5185254,'1',3,502,1,24),(20,5185343,'1A',3,233,2,32),(20,5185386,'1',3,425,1,1),(20,5185424,'1',3,220,2,54),(20,5185467,'1A',3,427,1,12),(20,5185513,'1',3,220,2,29),(20,5185521,'1',1,503,1,1),(20,5185572,'1',2,104,1,9),(20,5185700,'1',3,415,1,12),(20,5185840,'1',3,339,1,16),(20,5185904,'1',2,201,1,8),(20,5185912,'1',3,420,1,5),(20,5186005,'1',2,551,1,1),(20,5186013,'1',3,108,2,57),(20,5186080,'1',3,415,2,45),(20,5186102,'1',1,318,1,2),(20,5186110,'1',3,103,2,58),(20,5186277,'1A',3,601,1,85),(20,5186285,'1A',3,601,2,280),(20,5186510,'1',3,328,1,6),(20,5186552,'1',3,2,1,29),(20,5186668,'1',3,340,2,42),(20,5186692,'1',2,551,1,7),(20,5186706,'1',3,429,2,10),(20,5186838,'1',3,427,1,14),(20,5186919,'1',3,340,1,10),(20,5186935,'1',3,2,1,24),(20,5186951,'1',3,303,1,14),(20,5186986,'1A',3,211,2,65),(20,5186994,'1',2,5,1,9),(20,5187109,'1',2,202,2,11),(20,5187206,'1A',3,601,1,33),(20,5187230,'1',3,501,2,44),(20,5187338,'1',2,102,2,14),(20,5187362,'1',3,319,1,19),(20,5187370,'1',2,653,1,2),(20,5187583,'1',3,234,2,48),(20,5187648,'1',3,201,2,55),(20,5187729,'1',3,110,1,5),(20,5187737,'1',3,220,1,18),(20,5187788,'1',3,452,1,8),(20,5187800,'1',3,451,1,7),(20,5187818,'1',2,501,2,14),(20,5187850,'1',3,326,1,5),(20,5187877,'1',2,309,2,13),(20,5187958,'1',2,652,1,7),(20,5188059,'1',3,601,2,329),(20,5188164,'1',1,327,2,2),(20,5188199,'1A',3,601,2,181),(20,5188318,'1',3,304,1,20),(20,5188458,'1A',2,601,1,19),(20,5188695,'1',3,420,2,28),(20,5188768,'1',3,340,2,52),(20,5188776,'1',3,207,1,3),(20,5188814,'1',2,104,1,1),(20,5188881,'1',3,502,1,18),(20,5189071,'1',3,651,1,24),(20,5189136,'1',3,225,1,12),(20,5189209,'1A',3,214,1,16),(20,5189306,'1',3,404,2,25),(20,5189403,'1',1,104,1,1),(20,5189462,'1',3,216,2,34),(20,5189608,'1',3,222,1,2),(20,5189691,'1',2,203,1,5),(20,5189764,'1',3,331,1,6),(20,5189900,'1',3,308,1,12),(20,5189918,'1',3,104,2,67),(20,5189926,'1',3,501,1,2),(20,5190002,'1',3,320,2,39),(20,5190010,'1',3,651,1,16),(20,5190100,'1',3,304,1,24),(20,5190169,'1',3,503,2,49),(20,5190193,'1',3,653,1,1),(20,5190215,'1',1,225,1,1),(20,5190223,'1',2,211,1,2),(20,5190231,'1',3,238,1,22),(20,5190240,'1',3,110,1,16),(20,5190339,'1',3,551,1,18),(20,5190347,'1',3,318,1,6),(20,5190401,'1A',3,601,1,45),(20,5190487,'1',3,423,1,19),(20,5190495,'1',3,208,1,31),(20,5190517,'1',2,304,1,3),(20,5190533,'1',3,213,1,5),(20,5190746,'1',3,601,1,126),(20,5190878,'1',3,214,1,14),(20,5191033,'1',3,501,2,71),(20,5191041,'1',2,104,2,20),(20,5191114,'1',3,213,1,7),(20,5191211,'1',2,308,2,20),(20,5191327,'1',3,303,2,46),(20,5191360,'1',3,201,2,74),(20,5191432,'1',2,502,1,6),(20,5191505,'1',3,104,1,1),(20,5191696,'1A',2,235,1,5),(20,5191750,'1',3,319,2,50),(20,5191831,'1',3,444,1,21),(20,5191920,'1',3,207,1,10),(20,5191955,'1',3,225,1,16),(20,5192021,'1',3,301,1,21),(20,5192056,'1',3,201,1,14),(20,5192064,'1',2,326,1,4),(20,5192161,'1A',3,653,2,41),(20,5192170,'1',3,308,1,4),(20,5192226,'1',3,208,2,56),(20,5192250,'1A',3,601,1,27),(20,5192331,'1',3,308,2,44),(20,5192374,'1',3,2,1,26),(20,5192404,'1',2,328,1,1),(20,5192439,'1',3,601,1,121),(20,5192455,'1',3,601,1,38),(20,5192480,'1',3,425,1,7),(20,5192544,'1',2,340,1,5),(20,5192579,'1',2,2,1,4),(20,5192730,'1',3,329,1,7),(20,5192749,'1A',3,235,2,36),(20,5192870,'1',3,318,2,64),(20,5193079,'1',3,303,1,13),(20,5193362,'1',3,102,1,8),(20,5193400,'1',3,331,1,24),(20,5193443,'1',3,601,2,271),(20,5193532,'1',3,304,1,37),(20,5193648,'1',3,108,1,29),(20,5193664,'1',3,420,2,20),(20,5193699,'1',3,201,1,7),(20,5193745,'1',3,309,1,2),(20,5193761,'1',3,9,1,25),(20,5193788,'1A',3,233,2,28),(20,5193834,'1',3,502,2,47),(20,5193907,'1A',3,601,1,89),(20,5193940,'1',2,421,1,4),(20,5194024,'1',3,238,1,20),(20,5194040,'1',3,109,1,20),(20,5194075,'1',2,208,1,8),(20,5194113,'1',2,2,1,5),(20,5194121,'1',3,444,1,15),(20,5194288,'1',3,108,1,26),(20,5194342,'1',3,340,2,55),(20,5194369,'1',1,308,2,3),(20,5194431,'1',3,301,2,66),(20,5194466,'1',2,216,1,2),(20,5194512,'1',2,234,1,1),(20,5194601,'1A',3,429,2,25),(20,5194644,'1',3,308,1,29),(20,5194946,'1',3,203,1,31),(20,5194954,'1',3,301,1,26),(20,5194962,'1',3,601,1,146),(20,5194989,'1',2,327,2,2),(20,5195004,'1',3,308,2,56),(20,5195039,'1',3,502,1,17),(20,5195128,'1',3,103,1,2),(20,5195179,'1A',3,208,2,63),(20,5195330,'1',2,328,1,2),(20,5195470,'1',3,203,1,8),(20,5195578,'1',1,444,1,1),(20,5195691,'1',3,103,1,10),(20,5195764,'1',3,318,2,55),(20,5195780,'1',3,451,1,4),(20,5195802,'1',2,303,1,6),(20,5195810,'1',3,316,1,28),(20,5195837,'1',2,301,2,19),(20,5195950,'1',2,426,2,1),(20,5196019,'1',3,203,1,35),(20,5196221,'1',2,428,2,12),(20,5196302,'1',3,223,1,17),(20,5196388,'1',2,102,1,6),(20,5196442,'1',2,220,1,3),(20,5196566,'1',3,108,2,35),(20,5196604,'1',3,303,1,25),(20,5196833,'1',3,201,1,37),(20,5196868,'1',3,303,1,1),(20,5196876,'1',3,335,1,1),(20,5196892,'1',3,303,1,30),(20,5196906,'1',3,331,1,5),(20,5196965,'1',3,207,1,27),(20,5197082,'1',3,340,2,53),(20,5197120,'1',3,452,1,12),(20,5197198,'1',3,335,1,2),(20,5197287,'1A',3,208,2,45),(20,5197333,'1',3,224,2,2),(20,5197392,'1A',3,201,1,29),(20,5197465,'1',2,5,2,10),(20,5197520,'1',2,320,2,2),(20,5197546,'1',3,453,2,15),(20,5197619,'1',3,238,2,38),(20,5197694,'1',3,207,1,17),(20,5197740,'1A',3,202,2,53),(20,5197759,'1',3,103,2,59),(20,5197910,'1',3,324,1,25),(20,5198054,'1',3,102,1,46),(20,5198097,'1',3,601,2,273),(20,5198364,'1A',2,601,1,15),(20,5198453,'1',2,109,1,4),(20,5198585,'1',2,238,1,6),(20,5198658,'1A',2,215,2,7),(20,5198682,'1A',3,601,2,162),(20,5198828,'1',2,5,1,7),(20,5198879,'1',2,503,2,9),(20,5198895,'1',3,551,1,12),(20,5198992,'1',3,424,1,23),(20,5199050,'1',3,222,1,9),(20,5199107,'1',3,102,1,33),(20,5199115,'1',3,551,1,5),(20,5199182,'1',3,102,1,4),(20,5199204,'1',3,319,1,20),(20,5199409,'1',3,332,2,30),(20,5199476,'1A',3,212,1,7),(20,5199484,'1',2,502,2,12),(20,5199506,'1',3,316,1,16),(20,5199549,'1',3,423,1,16),(20,5199581,'1',3,202,1,3),(20,5199921,'1',2,653,2,13),(20,5199948,'1',3,5,2,32),(20,5200180,'1A',2,215,2,10),(20,5200199,'1',3,340,2,41),(20,5200202,'1',3,103,1,17),(20,5200253,'1',3,601,1,127),(20,5200326,'1A',3,428,1,27),(20,5200423,'1A',3,653,1,21),(20,5200440,'1',2,110,2,15),(20,5200563,'1',3,332,2,9),(20,5200598,'1',3,317,2,35),(20,5200687,'1',3,453,1,2),(20,5200695,'1',3,238,1,26),(20,5200709,'1',3,225,1,8),(20,5200741,'1',3,444,2,24),(20,5200784,'1',3,2,1,13),(20,5200857,'1',3,336,1,13),(20,5200946,'1',3,601,1,41),(20,5201004,'1',3,601,1,111),(20,5201098,'1',2,425,1,1),(20,5201101,'1',3,337,1,17),(20,5201160,'1',3,303,1,2),(20,5201217,'1',3,238,1,3),(20,5201446,'1',3,339,1,5),(20,5201489,'1',3,502,1,22),(20,5201560,'1',2,452,2,7),(20,5201586,'1',3,216,2,25),(20,5201608,'1',3,224,2,13),(20,5201675,'1',3,420,1,6),(20,5201705,'1',3,302,1,5),(20,5201918,'1',2,601,1,29),(20,5202000,'1',3,309,2,32),(20,5202051,'1',3,208,1,18),(20,5202060,'1',3,104,1,34),(20,5202078,'1',2,340,1,2),(20,5202272,'1',3,420,1,2),(20,5202280,'1',3,451,1,18),(20,5202370,'1A',3,653,1,8),(20,5202388,'1',2,501,1,9),(20,5202485,'1',3,324,1,10),(20,5202515,'1',2,302,1,9),(20,5202604,'1',2,208,1,6),(20,5202698,'1',2,303,2,11),(20,5202752,'1',2,601,1,40),(20,5202795,'1',2,426,2,4),(20,5202868,'1',3,424,1,2),(20,5202965,'1',3,101,2,44),(20,5203090,'1',3,425,1,15),(20,5203325,'1',3,308,2,66),(20,5203376,'1',3,324,1,22),(20,5203457,'1',1,5,1,2),(20,5203503,'1',3,332,2,2),(20,5203724,'1',2,328,1,4),(20,5203996,'1',3,234,2,47),(20,5204003,'1',3,324,2,44),(20,5204135,'1',3,233,2,55),(20,5204259,'1',3,426,2,26),(20,5204518,'1',3,651,1,18),(20,5204534,'1',1,316,1,4),(20,5204607,'1',1,303,1,2),(20,5204739,'1',3,2,1,2),(20,5204810,'1',3,317,1,2),(20,5204909,'1',3,320,2,11),(20,5204933,'1',2,5,1,6),(20,5205050,'1',3,308,1,22),(20,5205069,'1',3,234,1,31),(20,5205212,'1',3,427,1,31),(20,5205220,'1',3,102,1,51),(20,5205425,'1A',3,235,1,11),(20,5205484,'1',3,102,1,20),(20,5205514,'1',2,207,1,7),(20,5205522,'1',3,202,2,44),(20,5205751,'1',3,208,1,13),(20,5205786,'1',2,103,2,20),(20,5205794,'1',2,102,1,3),(20,5205891,'1',3,318,2,62),(20,5205956,'1A',3,601,2,217),(20,5205964,'1',3,213,2,25),(20,5206022,'1',1,203,2,7),(20,5206049,'1',3,444,1,6),(20,5206545,'1',2,404,1,5),(20,5206588,'1',3,601,1,73),(20,5206812,'1',3,201,1,4),(20,5206880,'1',3,317,2,65),(20,5206910,'1',3,238,2,59),(20,5206928,'1',1,103,1,4),(20,5207002,'1',3,102,1,14),(20,5207207,'1',3,317,2,67),(20,5207215,'1',3,102,2,54),(20,5207231,'1',2,340,2,9),(20,5207266,'1A',3,238,2,52),(20,5207274,'1',3,102,2,95),(20,5207398,'1',3,503,2,55),(20,5207444,'1',3,319,1,13),(20,5207509,'1',3,5,1,25),(20,5207606,'1',3,222,1,16),(20,5207789,'1A',3,601,1,79),(20,5207851,'1',3,233,2,53),(20,5207860,'1',3,2,1,21),(20,5207932,'1',3,303,2,59),(20,5207959,'1A',3,652,1,24),(20,5207983,'1',2,202,2,13),(20,5208025,'1A',3,233,2,31),(20,5208190,'1',1,316,1,2),(20,5208343,'1',2,102,1,10),(20,5208386,'1',3,301,1,23),(20,5208394,'1',3,502,1,8),(20,5208572,'1',3,501,2,40),(20,5208670,'1',3,234,2,34),(20,5208696,'1',3,5,1,4),(20,5208890,'1A',3,212,1,8),(20,5208904,'1',3,109,1,4),(20,5209064,'1',3,101,2,53),(20,5209200,'1',3,216,2,19),(20,5209480,'1',3,302,2,55),(20,5209552,'1',3,502,2,54),(20,5209587,'1',3,103,2,48),(20,5209595,'1',2,450,1,3),(20,5209617,'1',3,415,1,16),(20,5209625,'1',3,203,1,10),(20,5209650,'1',2,9,1,5),(20,5209730,'1',3,340,2,29),(20,5209820,'1',3,551,1,25),(20,5209862,'1',3,207,2,55),(20,5209870,'1',3,302,2,41),(20,5209889,'1',3,653,2,52),(20,5210135,'1',2,421,1,1),(20,5210240,'1',3,428,1,10),(20,5210496,'1',3,2,1,28),(20,5210500,'1',3,428,2,35),(20,5210640,'1',3,653,2,44),(20,5210682,'1',2,101,1,3),(20,5210771,'1',3,208,2,50),(20,5210810,'1',3,308,2,41),(20,5210976,'1A',2,216,2,7),(20,5211018,'1',3,452,2,21),(20,5211255,'1',3,601,2,247),(20,5211336,'1',2,551,1,18),(20,5211352,'1',3,238,2,50),(20,5211522,'1A',3,651,1,8),(20,5211565,'1',3,224,2,3),(20,5211689,'1',3,453,2,16),(20,5211883,'1',2,337,1,5),(20,5212103,'1',3,420,1,16),(20,5212138,'1',3,451,1,15),(20,5212260,'1',3,2,1,33),(20,5212278,'1A',3,211,1,11),(20,5212332,'1',3,304,1,25),(20,5212405,'1',3,233,1,19),(20,5212529,'1',3,332,2,6),(20,5212634,'1',3,109,1,31),(20,5212642,'1',3,310,1,20),(20,5212669,'1',3,452,1,3),(20,5212758,'1',3,337,1,3),(20,5212782,'1',3,444,2,38),(20,5212790,'1',2,415,1,6),(20,5212847,'1',2,452,2,6),(20,5212880,'1',3,404,2,37),(20,5212960,'1',2,108,1,5),(20,5212995,'1',1,428,1,1),(20,5213037,'1',3,424,1,21),(20,5213100,'1',2,339,1,1),(20,5213169,'1',2,213,1,2),(20,5213274,'1',2,551,1,25),(20,5213282,'1',3,234,1,10),(20,5213304,'1',2,451,1,2),(20,5213371,'1',2,102,1,12),(20,5213380,'1',2,324,2,14),(20,5213398,'1',2,309,1,5),(20,5213410,'1',3,324,1,14),(20,5213436,'1',2,101,2,10),(20,5213541,'1',2,222,1,4),(20,5213576,'1',3,308,2,47),(20,5213584,'1',2,202,2,17),(20,5213630,'1',3,104,2,74),(20,5213649,'1',3,425,1,27),(20,5213703,'1',3,601,2,334),(20,5213797,'1',3,450,1,17),(20,5213835,'1',2,501,2,13),(20,5213878,'1',3,429,2,20),(20,5214157,'1',3,601,2,307),(20,5214165,'1',3,302,1,30),(20,5214173,'1',2,324,2,16),(20,5214211,'1A',3,601,1,15),(20,5214238,'1',1,501,1,4),(20,5214319,'1',2,203,1,1),(20,5214394,'1',2,601,1,27),(20,5214483,'1',3,501,2,50),(20,5214610,'1',3,452,1,5),(20,5214645,'1',2,102,2,16),(20,5214653,'1',1,5,1,4),(20,5214726,'1A',3,601,2,198),(20,5214777,'1',3,601,2,164),(20,5214890,'1',2,101,2,12),(20,5214963,'1',2,202,1,3),(20,5214980,'1',2,102,1,9),(20,5215030,'1',3,5,1,27),(20,5215056,'1',3,302,2,39),(20,5215064,'1',1,428,2,4),(20,5215129,'1',2,333,1,4),(20,5215145,'1',2,318,1,8),(20,5215226,'1',3,225,1,27),(20,5215242,'1',3,201,1,10),(20,5215250,'1A',3,601,1,97),(20,5215269,'1',2,101,1,5),(20,5215315,'1',3,9,1,15),(20,5215374,'1',2,216,1,5),(20,5215404,'1',3,324,2,39),(20,5215412,'1',3,425,1,20),(20,5215480,'1',2,110,2,14),(20,5215560,'1',1,216,2,4),(20,5215722,'1',2,109,1,8),(20,5215935,'1',2,339,1,10),(20,5215986,'1',3,234,2,57),(20,5216010,'1',3,340,2,32),(20,5216028,'1',3,404,1,10),(20,5216079,'1',2,319,2,13),(20,5216095,'1',3,601,1,155),(20,5216109,'1',3,301,2,42),(20,5216125,'1A',2,214,1,3),(20,5216141,'1',3,337,1,7),(20,5216192,'1',2,109,2,16),(20,5216222,'1',1,103,2,10),(20,5216257,'1',2,601,1,2),(20,5216281,'1',3,423,1,22),(20,5216303,'1',1,103,1,1),(20,5216478,'1',3,503,1,10),(20,5216516,'1',2,415,1,2),(20,5216656,'1',2,308,1,8),(20,5216699,'1',3,424,1,26),(20,5216770,'1',3,220,2,27),(20,5216885,'1',3,426,2,30),(20,5216907,'1',2,308,2,19),(20,5216915,'1',3,335,1,8),(20,5216923,'1',3,425,1,29),(20,5216958,'1',2,110,1,5),(20,5217032,'1',3,302,2,43),(20,5217040,'1',2,301,1,7),(20,5217288,'1',3,332,2,21),(20,5217296,'1',2,316,2,19),(20,5217385,'1',3,653,2,37),(20,5217431,'1',3,9,1,6),(20,5217490,'1',3,326,1,15),(20,5217504,'1',1,9,1,1),(20,5217520,'1',3,110,2,33),(20,5217555,'1',2,308,1,12),(20,5217610,'1',3,309,1,28),(20,5217628,'1',3,428,1,4),(20,5217695,'1',3,501,1,12),(20,5217709,'1',2,301,1,2),(20,5217717,'1',2,3,1,7),(20,5217750,'1',3,103,1,12),(20,5217768,'1',2,102,2,26),(20,5217849,'1',2,424,1,7),(20,5217881,'1',2,318,2,13),(20,5217890,'1',3,444,2,41),(20,5217911,'1',3,308,2,59),(20,5217920,'1',1,308,2,7),(20,5217989,'1',3,317,2,52),(20,5218004,'1',3,336,1,20),(20,5218110,'1',2,5,2,18),(20,5218152,'1',3,110,2,26),(20,5218381,'1',3,601,2,279),(20,5218411,'1',2,301,2,14),(20,5218420,'1',2,3,2,14),(20,5218497,'1',3,3,1,12),(20,5218616,'1',3,601,1,82),(20,5218730,'1',2,108,2,13),(20,5218764,'1',3,317,2,42),(20,5218829,'1',2,102,2,17),(20,5218950,'1',3,444,2,40),(20,5219027,'1',3,428,2,34),(20,5219086,'1A',2,653,1,3),(20,5219124,'1',2,415,2,12),(20,5219264,'1',2,420,2,5),(20,5219272,'1',3,444,2,45),(20,5219302,'1',3,215,2,22),(20,5219345,'1',3,601,2,184),(20,5219639,'1',3,207,2,36),(20,5219701,'1',2,104,2,18),(20,5219876,'1A',3,235,2,30),(20,5220297,'1',2,238,2,18),(20,5220327,'1',2,223,1,2),(20,5220432,'1A',3,653,1,29),(20,5220467,'1',3,653,1,17),(20,5220475,'1',2,652,2,11),(20,5220505,'1',2,324,2,11),(20,5220572,'1',3,5,2,47),(20,5220661,'1',3,326,1,24),(20,5220670,'1A',3,652,1,14),(20,5220688,'1',2,308,2,17),(20,5220696,'1',2,404,2,8),(20,5220734,'1',3,102,1,18),(20,5220785,'1',3,318,2,46),(20,5220858,'1A',3,202,2,68),(20,5221056,'1',3,309,1,27),(20,5221102,'1A',3,423,1,5),(20,5221250,'1',2,317,2,15),(20,5221269,'1',2,216,2,6),(20,5221277,'1',3,331,1,15),(20,5221285,'1A',3,214,2,18),(20,5221315,'1',3,601,1,151),(20,5221358,'1',2,220,1,5),(20,5221374,'1',3,339,1,8),(20,5221498,'1A',3,211,2,36),(20,5221587,'1',3,327,2,20),(20,5221609,'1',3,601,2,176),(20,5221641,'1',3,109,2,59),(20,5221676,'1',3,444,2,32),(20,5221781,'1',3,601,2,268),(20,5221889,'1',3,317,1,1),(20,5221935,'1',2,225,1,10),(20,5221986,'1',3,319,1,6),(20,5221994,'1',3,503,1,27),(20,5222338,'1',4,103,1,2),(20,5222397,'1',2,316,2,16),(20,5222605,'1',2,336,1,5),(20,5222648,'1',1,101,1,3),(20,5222826,'1',3,551,1,4),(20,5222842,'1',2,336,1,2),(20,5222877,'1',3,203,2,47),(20,5222893,'1A',3,601,1,44),(20,5222931,'1',3,601,1,118),(20,5222982,'1',2,308,1,16),(20,5223024,'1',3,502,2,55),(20,5223270,'1',2,101,2,15),(20,5223288,'1',3,108,2,46),(20,5223318,'1',3,601,2,187),(20,5223377,'1A',2,211,1,8),(20,5223504,'1',3,503,2,29),(20,5223539,'1',3,601,2,171),(20,5223610,'1A',3,601,1,63),(20,5223709,'1',3,222,1,13),(20,5223792,'1',2,201,2,21),(20,5223849,'1A',3,211,2,53),(20,5224080,'1',2,202,2,18),(20,5224144,'1',3,301,2,45),(20,5224543,'1',3,201,1,35),(20,5224551,'1',1,428,1,2),(20,5224640,'1',2,214,2,6),(20,5224691,'1',3,302,2,65),(20,5224721,'1A',3,201,2,45),(20,5224748,'1',2,428,1,3),(20,5224942,'1A',3,601,2,235),(20,5225019,'1A',2,214,1,2),(20,5225132,'1',2,308,1,14),(20,5225248,'1',3,317,2,37),(20,5225256,'1',3,201,1,2),(20,5225264,'1',3,301,1,20),(20,5225337,'1',3,110,2,25),(20,5225450,'1',3,319,2,37),(20,5225558,'1',2,336,1,3),(20,5225566,'1',3,324,2,32),(20,5225582,'1',3,101,2,54),(20,5225620,'1',2,420,2,7),(20,5225760,'1',2,327,2,6),(20,5225787,'1',1,303,2,9),(20,5225841,'1',3,110,2,24),(20,5225868,'1',2,201,1,10),(20,5225884,'1',3,238,2,44),(20,5225914,'1',3,339,1,1),(20,5226007,'1',3,601,2,193),(20,5226040,'1',3,5,2,38),(20,5226120,'1',3,216,1,6),(20,5226210,'1',3,308,2,46),(20,5226279,'1',3,317,1,33),(20,5226309,'1',3,233,1,6),(20,5226368,'1',2,224,2,6),(20,5226473,'1',3,332,2,14),(20,5226708,'1',3,601,2,170),(20,5226813,'1',3,5,2,35),(20,5226830,'1',3,324,1,19),(20,5226856,'1',2,309,2,11),(20,5226988,'1',2,213,2,6),(20,5227208,'1',2,428,1,6),(20,5227275,'1',3,324,2,35),(20,5227321,'1',2,316,2,11),(20,5227330,'1',3,501,2,51),(20,5227348,'1',3,205,1,10),(20,5227429,'1',3,316,2,53),(20,5227453,'1',2,404,1,3),(20,5227470,'1',2,503,1,5),(20,5227615,'1',3,101,2,28),(20,5227640,'1A',3,653,1,26),(20,5227720,'1',2,319,1,1),(20,5227836,'1',3,108,2,53),(20,5227844,'1',3,318,1,15),(20,5227887,'1',3,318,1,29),(20,5227895,'1',2,301,2,18),(20,5227917,'1A',3,429,2,31),(20,5227925,'1',2,3,1,8),(20,5228018,'1',3,428,1,24),(20,5228077,'1',3,101,1,23),(20,5228131,'1',2,428,2,15),(20,5228174,'1',2,5,2,17),(20,5228212,'1',3,339,2,34),(20,5228336,'1',3,339,2,24),(20,5228379,'1',2,428,1,8),(20,5228409,'1',2,501,1,3),(20,5228433,'1',3,302,1,11),(20,5228492,'1',3,444,1,9),(20,5228530,'1',3,101,2,51),(20,5228719,'1',2,211,1,6),(20,5228743,'1',3,601,2,209),(20,5228778,'1',2,205,1,4),(20,5228794,'1',3,601,2,230),(20,5228808,'1',3,332,2,4),(20,5228824,'1',3,309,1,13),(20,5228921,'1',2,304,1,1),(20,5228980,'1',3,102,1,48),(20,5229006,'1',2,453,2,7),(20,5229014,'1',3,332,2,15),(20,5229073,'1',1,429,2,1),(20,5229111,'1',3,316,2,52),(20,5229138,'1',3,103,2,42),(20,5229278,'1',3,502,2,34),(20,5229332,'1',2,310,1,1),(20,5229375,'1',3,332,2,16),(20,5229464,'1',1,324,1,1),(20,5229499,'1',3,503,2,38),(20,5229677,'1',3,2,1,31),(20,5229723,'1',3,601,2,234),(20,5229790,'1',3,109,1,3),(20,5229839,'1',2,451,1,4),(20,5229928,'1',3,317,2,49),(20,5229979,'1',2,303,2,13),(20,5229987,'1',3,339,1,6),(20,5230004,'1',3,601,2,243),(20,5230110,'1',3,211,2,40),(20,5230330,'1',2,233,2,9),(20,5230365,'1',3,109,2,57),(20,5230438,'1',3,104,2,76),(20,5230616,'1',3,220,1,19),(20,5230691,'1',3,301,1,5),(20,5230721,'1',3,309,2,36),(20,5230764,'1',3,201,1,20),(20,5230837,'1',3,225,1,29),(20,5231051,'1A',3,601,1,49),(20,5231060,'1',3,421,1,10),(20,5231094,'1',3,302,1,12),(20,5231116,'1',3,653,1,22),(20,5231140,'1',3,332,2,11),(20,5231256,'1',2,205,1,2),(20,5231523,'1',3,551,1,21),(20,5231574,'1',3,328,1,9),(20,5231582,'1',2,339,1,5),(20,5231590,'1',2,452,1,3),(20,5231620,'1A',3,201,2,73),(20,5231663,'1',1,101,1,1),(20,5231671,'1A',3,427,1,25),(20,5231957,'1',3,202,2,67),(20,5231981,'1',3,601,2,323),(20,5232082,'1',1,444,1,3),(20,5232090,'1',3,653,1,18),(20,5232147,'1',3,9,1,28),(20,5232180,'1',3,109,2,33),(20,5232287,'1',2,224,2,3),(20,5232350,'1',2,319,2,11),(20,5232368,'1',3,309,1,5),(20,5232376,'1',3,205,2,23),(20,5232392,'1',3,304,2,44),(20,5232422,'1',2,652,2,16),(20,5232503,'1',3,304,2,50),(20,5232589,'1',3,652,1,32),(20,5232597,'1',3,450,1,8),(20,5232600,'1',2,336,1,4),(20,5232619,'1',3,108,2,49),(20,5232678,'1',3,102,2,66),(20,5232830,'1',3,2,1,11),(20,5232864,'1',1,238,2,7),(20,5232880,'1',3,331,1,29),(20,5232902,'1',2,308,1,7),(20,5232996,'1',2,308,1,13),(20,5233070,'1',3,336,1,15),(20,5233100,'1A',3,235,1,7),(20,5233127,'1',1,203,2,9),(20,5233216,'1',2,601,2,46),(20,5233275,'1',2,427,1,1),(20,5233402,'1',3,501,1,31),(20,5233429,'1',2,319,1,2),(20,5233461,'1',3,102,2,104),(20,5233674,'1',2,329,1,1),(20,5233682,'1',2,302,2,11),(20,5233704,'1',3,5,2,39),(20,5233747,'1',3,203,1,37),(20,5233798,'1',1,202,1,3),(20,5233852,'1',3,319,1,24),(20,5233984,'1A',2,202,2,19),(20,5234069,'1',2,309,2,16),(20,5234174,'1',3,223,1,5),(20,5234395,'1',3,203,1,19),(20,5234468,'1',2,652,2,20),(20,5234484,'1',3,316,1,3),(20,5234492,'1',3,224,2,1),(20,5234697,'1',3,109,1,28),(20,5234816,'1',3,303,2,49),(20,5234948,'1',3,108,1,21),(20,5235065,'1',3,3,2,33),(20,5235103,'1',3,502,1,25),(20,5235154,'1',2,317,1,9),(20,5235278,'1A',2,425,1,7),(20,5235286,'1',3,109,2,35),(20,5235464,'1A',3,233,1,11),(20,5235588,'1',3,404,2,39),(20,5235677,'1',2,101,2,11),(20,5235928,'1A',3,202,1,34),(20,5235987,'1',3,501,2,49),(20,5236053,'1A',3,201,2,43),(20,5236118,'1',3,108,1,7),(20,5236134,'1',3,651,1,20),(20,5236142,'1',3,102,1,34),(20,5236355,'1',3,220,2,45),(20,5236401,'1',2,5,2,16),(20,5236533,'1',2,308,1,3),(20,5236550,'1',3,207,1,6),(20,5236665,'1',3,503,1,26),(20,5236681,'1',3,551,1,6),(20,5236690,'1',3,317,1,8),(20,5236827,'1',3,109,2,34),(20,5236924,'1',3,452,2,22),(20,5236959,'1',3,339,1,14),(20,5237092,'1',2,303,1,9),(20,5237165,'1A',3,426,2,19),(20,5237238,'1',2,103,1,10),(20,5237343,'1',3,424,1,14),(20,5237467,'1',3,420,2,32),(20,5237602,'1A',3,235,1,16),(20,5237637,'1',3,425,1,28),(20,5237734,'1',3,653,2,54),(20,5237947,'1',3,208,2,67),(20,5238170,'1A',3,601,2,163),(20,5238188,'1A',3,233,2,49),(20,5238218,'1',3,339,2,42),(20,5238242,'1',3,2,1,35),(20,5238250,'1',3,301,1,33),(20,5238412,'1',3,327,2,18),(20,5238420,'1A',3,601,2,202),(20,5238455,'1',3,102,1,13),(20,5238480,'1',3,215,2,33),(20,5238803,'1',2,309,1,7),(20,5238838,'1',3,335,1,5),(20,5238900,'1',3,427,1,2),(20,5238986,'1A',3,651,1,2),(20,5239281,'1',3,444,1,14),(20,5239486,'1',3,328,1,8),(20,5239621,'1',3,202,2,73),(20,5239648,'1',3,304,2,66),(20,5239710,'1A',3,208,2,38),(20,5239753,'1',2,652,1,1),(20,5239915,'1',3,109,1,9),(20,5240174,'1',3,337,1,16),(20,5240387,'1',1,216,1,2),(20,5240425,'1',2,201,1,7),(20,5240549,'1A',3,202,1,9),(20,5240689,'1',1,211,1,2),(20,5240727,'1',3,108,2,56),(20,5241111,'1',3,2,1,16),(20,5241332,'1',3,424,1,10),(20,5241340,'1',3,201,2,46),(20,5241448,'1',3,601,2,177),(20,5241553,'1',3,211,1,18),(20,5241561,'1',3,324,2,42),(20,5241626,'1',3,331,1,3),(20,5241782,'1',3,551,1,39),(20,5241790,'1',2,205,2,7),(20,5241804,'1',3,339,1,9),(20,5241863,'1',3,308,1,24),(20,5241936,'1',3,318,1,27),(20,5241944,'1A',3,202,2,63),(20,5242010,'1',2,203,1,10),(20,5242134,'1A',3,208,2,71),(20,5242193,'1',3,308,2,67),(20,5242266,'1',3,333,1,4),(20,5242320,'1',3,331,1,12),(20,5242533,'1',3,203,1,27),(20,5242541,'1',3,3,1,6),(20,5242550,'1',3,102,1,5),(20,5242665,'1',2,301,1,8),(20,5242690,'1',3,501,1,19),(20,5242851,'1',2,423,1,6),(20,5242878,'1',3,9,1,18),(20,5242924,'1',3,211,1,30),(20,5242967,'1',2,318,1,2),(20,5243009,'1',2,225,1,2),(20,5243017,'1',1,452,2,3),(20,5243041,'1',3,501,1,13),(20,5243262,'1',3,235,2,42),(20,5243394,'1',2,110,1,8),(20,5243459,'1',3,601,2,305),(20,5243467,'1',3,234,2,38),(20,5243556,'1',3,308,2,48),(20,5243564,'1',2,327,2,8),(20,5243599,'1',3,651,1,17),(20,5243653,'1',3,601,2,345),(20,5243696,'1',2,101,2,13),(20,5243700,'1',3,427,1,10),(20,5243726,'1',3,9,1,21),(20,5243777,'1',3,320,2,34),(20,5243785,'1',3,339,2,43),(20,5243793,'1',2,319,2,12),(20,5243823,'1',3,101,2,38),(20,5243866,'1',3,225,1,17),(20,5243904,'1',3,308,2,69),(20,5243947,'1',3,238,2,62),(20,5244005,'1',2,9,1,4),(20,5244021,'1',3,320,2,14),(20,5244064,'1',3,109,1,11),(20,5244099,'1',2,5,2,11),(20,5244188,'1',3,327,2,8),(20,5244242,'1',3,502,2,50),(20,5244293,'1',2,415,1,1),(20,5244340,'1',1,317,1,1),(20,5244374,'1',3,429,2,14),(20,5244412,'1',3,225,1,23),(20,5244420,'1',3,302,1,3),(20,5244480,'1',2,301,1,10),(20,5244544,'1',3,211,1,4),(20,5244684,'1',3,502,2,45),(20,5244714,'1',3,318,1,3),(20,5244773,'1',3,601,1,134),(20,5244790,'1',3,102,1,12),(20,5244960,'1',2,3,2,15),(20,5245001,'1',2,301,1,1),(20,5245010,'1',3,108,2,64),(20,5245206,'1',3,551,1,16),(20,5245222,'1',2,317,1,7),(20,5245265,'1',2,308,1,15),(20,5245290,'1',2,102,1,7),(20,5245346,'1',2,337,1,4),(20,5245397,'1',3,202,2,60),(20,5245427,'1A',3,601,1,40),(20,5245532,'1',3,302,2,45),(20,5245630,'1',3,501,1,20),(20,5245796,'1',2,317,2,12),(20,5245885,'1',2,339,1,4),(20,5245893,'1',3,201,2,79),(20,5245931,'1',3,316,1,18),(20,5245990,'1',3,320,2,3),(20,5246105,'1',2,3,1,5),(20,5246342,'1',2,2,1,1),(20,5246393,'1',1,339,2,4),(20,5246415,'1',2,331,1,4),(20,5246440,'1',3,2,1,44),(20,5246504,'1',3,324,2,37),(20,5246741,'1',3,415,2,29),(20,5246750,'1',3,3,2,49),(20,5246784,'1',2,425,1,4),(20,5246873,'1',3,415,2,30),(20,5246903,'1',2,601,1,11),(20,5246946,'1',2,453,1,3),(20,5246997,'1',3,304,2,40),(20,5247004,'1',3,102,1,23),(20,5247020,'1',1,308,2,6),(20,5247195,'1',3,109,2,52),(20,5247292,'1',2,428,2,11),(20,5247322,'1',1,5,2,7),(20,5247330,'1',2,301,1,5),(20,5247403,'1',2,201,1,4),(20,5247438,'1',3,212,1,10),(20,5247462,'1A',3,212,2,19),(20,5247675,'1',2,110,1,2),(20,5247691,'1',2,308,1,5),(20,5247713,'1A',3,215,1,18),(20,5247730,'1',2,316,2,14),(20,5247764,'1',3,601,1,1),(20,5247896,'1',3,309,1,8),(20,5247900,'1',2,234,2,11),(20,5247918,'1',2,110,1,3),(20,5248035,'1A',2,208,1,5),(20,5248086,'1',3,101,1,18),(20,5248175,'1',2,340,1,6),(20,5248329,'1',2,551,1,13),(20,5248493,'1',3,551,1,35),(20,5248639,'1',3,216,2,27),(20,5248736,'1',2,103,1,4),(20,5248744,'1',3,224,2,4),(20,5248779,'1',3,427,1,13),(20,5248787,'1',3,102,1,32),(20,5248876,'1',3,601,2,199),(20,5248906,'1',3,222,1,8),(20,5249074,'1',3,316,2,36),(20,5249082,'1A',3,214,1,9),(20,5249090,'1',3,101,1,4),(20,5249112,'1',3,104,1,10),(20,5249317,'1',3,5,2,55),(20,5249333,'1',3,205,2,18),(20,5249376,'1',3,319,2,39),(20,5249457,'1',2,225,1,9),(20,5249481,'1',3,316,2,64),(20,5249490,'1',2,327,2,9),(20,5249643,'1',3,326,1,13),(20,5249694,'1',3,337,1,2),(20,5249716,'1',3,415,2,26),(20,5249724,'1',3,551,1,2),(20,5249848,'1',3,309,1,12),(20,5249864,'1A',3,601,2,219),(20,5249902,'1',3,2,1,37),(20,5249910,'1',2,324,1,2),(20,5249929,'1A',2,212,1,4),(20,5249988,'1',3,101,2,36),(20,5249996,'1',3,428,2,31),(20,5250099,'1',2,333,1,6),(20,5250110,'1',3,415,2,34),(20,5250137,'1',1,301,1,4),(20,5250226,'1',3,101,2,31),(20,5250285,'1',3,318,1,25),(20,5250323,'1',1,238,2,10),(20,5250560,'1',3,453,1,10),(20,5250579,'1',3,427,1,23),(20,5250609,'1',3,233,1,7),(20,5250765,'1',3,453,1,4),(20,5250846,'1',3,551,1,36),(20,5250897,'1',3,224,2,5),(20,5250986,'1',1,336,1,1),(20,5251079,'1',2,220,2,11),(20,5251087,'1',2,601,1,23),(20,5251117,'1A',3,238,1,11),(20,5251150,'1',2,503,1,2),(20,5251206,'1',3,404,2,38),(20,5251303,'1',2,426,2,8),(20,5251346,'1A',3,601,1,153),(20,5251362,'1',1,423,1,3),(20,5251524,'1',3,327,2,5),(20,5251559,'1',3,324,2,31),(20,5251575,'1',1,428,2,3),(20,5251664,'1',1,207,1,1),(20,5251702,'1',3,308,2,53),(20,5251788,'1',2,453,1,4),(20,5251834,'1',2,309,1,3),(20,5251850,'1',2,103,1,9),(20,5251966,'1',3,326,1,23),(20,5252040,'1',3,233,1,8),(20,5252059,'1',3,301,2,41),(20,5252180,'1',3,551,1,33),(20,5252210,'1',3,452,2,15),(20,5252229,'1',2,326,1,5),(20,5252253,'1',2,224,2,5),(20,5252300,'1',3,301,2,55),(20,5252377,'1A',3,211,2,32),(20,5252385,'1',3,310,1,14),(20,5252407,'1',3,108,1,30),(20,5252423,'1',2,235,2,11),(20,5252458,'1',3,319,1,3),(20,5252580,'1',2,303,2,10),(20,5252610,'1',3,104,2,69),(20,5252644,'1',3,404,1,20),(20,5252660,'1',3,203,2,40),(20,5252695,'1',3,324,1,7),(20,5252750,'1',3,302,2,44),(20,5252822,'1',3,328,1,13),(20,5252830,'1',2,423,1,5),(20,5252920,'1A',3,220,2,53),(20,5252962,'1',3,415,2,37),(20,5253098,'1',3,208,1,23),(20,5253233,'1',3,109,2,54),(20,5253250,'1A',3,238,1,4),(20,5253292,'1A',3,233,2,48),(20,5253306,'1',3,452,2,18),(20,5253438,'1',3,501,1,25),(20,5253578,'1',3,102,2,99),(20,5253586,'1',2,109,1,5),(20,5253624,'1A',3,211,1,7),(20,5253640,'1',3,2,1,10),(20,5253667,'1',3,203,2,69),(20,5253705,'1',3,428,2,38),(20,5253721,'1A',3,238,1,32),(20,5253756,'1',3,319,1,27),(20,5253772,'1',2,324,1,3),(20,5253829,'1',3,303,1,7),(20,5253837,'1',3,601,2,347),(20,5253845,'1',3,224,2,19),(20,5253870,'1',3,318,2,36),(20,5253888,'1',3,101,2,37),(20,5254000,'1',2,238,1,2),(20,5254116,'1A',3,601,2,203),(20,5254370,'1',3,2,1,38),(20,5254396,'1',3,102,2,96),(20,5254426,'1',3,415,1,1),(20,5254531,'1',3,415,2,40),(20,5254566,'1',3,102,2,97),(20,5254574,'1',3,503,1,16),(20,5254701,'1',3,202,2,47),(20,5254787,'1',2,2,1,11),(20,5254965,'1',3,309,1,30),(20,5255023,'1',3,326,1,19),(20,5255155,'1',3,303,1,6),(20,5255180,'1',3,503,2,47),(20,5255201,'1',3,238,2,54),(20,5255287,'1A',3,652,1,5),(20,5255295,'1',3,451,1,11),(20,5255376,'1',3,234,1,26),(20,5255422,'1',3,101,1,2),(20,5255465,'1',3,110,2,32),(20,5255520,'1A',3,201,2,64),(20,5255554,'1',2,233,2,10),(20,5255767,'1A',3,235,1,10),(20,5255791,'1',3,108,2,50),(20,5255856,'1',3,423,1,15),(20,5255988,'1',2,201,1,2),(20,5256143,'1',3,302,2,56),(20,5256151,'1',3,215,2,24),(20,5256178,'1',3,301,2,62),(20,5256240,'1',3,201,1,30),(20,5256321,'1',3,309,2,38),(20,5256356,'1',2,501,2,19),(20,5256364,'1',3,324,2,45),(20,5256402,'1',3,451,1,6),(20,5256526,'1',2,222,1,1),(20,5256585,'1',3,5,1,20),(20,5256615,'1',3,601,2,225),(20,5256658,'1',3,444,1,11),(20,5256682,'1',3,216,1,3),(20,5256690,'1',3,308,2,64),(20,5256810,'1',3,201,2,57),(20,5256836,'1',2,316,1,8),(20,5257018,'1',2,551,1,17),(20,5257220,'1',1,9,1,3),(20,5257301,'1',3,421,1,5),(20,5257310,'1',3,404,2,45),(20,5257395,'1A',3,651,1,5),(20,5257484,'1A',2,601,1,14),(20,5257506,'1',3,317,2,59),(20,5257573,'1',2,415,2,7),(20,5257603,'1',2,203,2,13),(20,5257670,'1',3,101,2,41),(20,5257689,'1',3,2,1,7),(20,5257697,'1',3,203,1,18),(20,5257964,'1',3,102,2,64),(20,5257999,'1',2,320,2,1),(20,5258006,'1',3,216,2,33),(20,5258065,'1',3,211,1,16),(20,5258090,'1',3,601,1,142),(20,5258120,'1A',2,208,2,18),(20,5258154,'1',3,501,2,69),(20,5258316,'1',3,208,1,7),(20,5258383,'1',3,339,2,38),(20,5258405,'1',3,551,1,37),(20,5258413,'1',3,415,1,21),(20,5258600,'1',2,2,1,3),(20,5258677,'1',3,224,2,22),(20,5258715,'1A',2,601,1,8),(20,5258782,'1',3,331,1,10),(20,5258820,'1A',3,601,1,107),(20,5258855,'1',3,601,2,300),(20,5258944,'1',2,220,2,12),(20,5258952,'1',3,601,2,206),(20,5259070,'1',2,318,2,17),(20,5259142,'1',2,318,1,1),(20,5259215,'1',3,429,2,5),(20,5259223,'1',3,102,2,68),(20,5259231,'1',3,202,2,72),(20,5259290,'1A',2,653,2,15),(20,5259320,'1',3,101,1,19),(20,5259410,'1',2,332,2,2),(20,5259428,'1',3,551,1,19),(20,5259436,'1',3,304,1,13),(20,5259444,'1',3,308,2,51),(20,5259533,'1',2,551,1,14),(20,5259550,'1',3,429,2,4),(20,5259606,'1',2,453,2,5),(20,5259649,'1',3,225,1,28),(20,5259657,'1',3,503,1,14),(20,5259746,'1',3,302,2,67),(20,5259819,'1A',3,215,1,9),(20,5259843,'1A',3,652,1,13),(20,5259851,'1A',3,208,2,69),(20,5259967,'1',3,9,1,11),(20,5259975,'1A',2,233,2,11),(20,5259983,'1',3,104,2,58),(20,5260094,'1',3,453,1,7),(20,5260116,'1',3,502,2,49),(20,5260132,'1',3,318,1,16),(20,5260213,'1A',2,233,2,12),(20,5260221,'1',2,423,1,3),(20,5260256,'1',2,104,1,8),(20,5260345,'1',3,332,2,32),(20,5260361,'1',3,317,1,23),(20,5260515,'1',2,601,1,28),(20,5260540,'1',3,415,2,27),(20,5260558,'1',3,551,1,22),(20,5260639,'1',1,110,1,1),(20,5260655,'1',2,316,2,15),(20,5260663,'1',3,501,2,80),(20,5260680,'1',3,224,2,6),(20,5260736,'1',3,653,2,56),(20,5260787,'1',3,421,1,14),(20,5260825,'1A',3,208,2,41),(20,5260892,'1',3,503,2,41),(20,5261023,'1',2,238,2,13),(20,5261171,'1',3,222,1,18),(20,5261236,'1',3,3,1,9),(20,5261287,'1',2,444,1,1),(20,5261384,'1',3,203,2,58),(20,5261520,'1',3,324,2,36),(20,5261546,'1',3,235,1,1),(20,5261635,'1',3,404,2,42),(20,5261643,'1A',3,201,1,40),(20,5261678,'1',3,216,2,29),(20,5261759,'1',1,203,1,4),(20,5261813,'1',3,324,1,17),(20,5261821,'1',3,404,2,31),(20,5261996,'1',2,201,2,19),(20,5262003,'1',3,302,2,48),(20,5262127,'1',3,601,1,50),(20,5262160,'1',3,601,2,342),(20,5262275,'1A',3,202,1,36),(20,5262283,'1A',3,601,1,68),(20,5262313,'1',2,302,2,10),(20,5262372,'1',2,317,1,3),(20,5262496,'1',3,428,1,5),(20,5262526,'1',3,316,1,20),(20,5262577,'1A',2,208,2,20),(20,5262585,'1',3,302,2,59),(20,5262712,'1',3,207,2,34),(20,5262720,'1',3,320,2,4),(20,5262941,'1',3,201,1,15),(20,5262984,'1',3,302,2,66),(20,5263000,'1',3,503,1,3),(20,5263069,'1',2,340,1,7),(20,5263107,'1',3,102,2,62),(20,5263115,'1',3,551,1,40),(20,5263158,'1',2,102,2,15),(20,5263166,'1',3,301,1,17),(20,5263174,'1',2,338,1,4),(20,5263190,'1',3,333,1,1),(20,5263336,'1',2,653,1,6),(20,5263387,'1',3,101,1,25),(20,5263450,'1',3,551,1,28),(20,5263484,'1',2,203,1,4),(20,5263581,'1',3,308,2,58),(20,5263662,'1',2,309,1,6),(20,5263700,'1',3,551,1,26),(20,5263778,'1',3,104,1,32),(20,5263816,'1',2,203,2,20),(20,5263859,'1',1,308,2,8),(20,5263875,'1',2,420,1,4),(20,5263980,'1',2,601,1,26),(20,5264006,'1',3,339,1,12),(20,5264081,'1',3,551,1,30),(20,5264227,'1',3,421,1,1),(20,5264243,'1A',3,238,1,18),(20,5264367,'1',2,320,2,8),(20,5264677,'1',3,601,2,267),(20,5264685,'1',3,203,2,76),(20,5264820,'1',3,102,1,2),(20,5264863,'1',3,653,1,11),(20,5264952,'1A',3,212,2,25),(20,5264995,'1',3,502,1,14),(20,5265126,'1',3,304,1,28),(20,5265371,'1',2,404,2,7),(20,5265649,'1',3,326,1,28),(20,5265657,'1',3,203,2,70),(20,5265789,'1',3,5,2,50),(20,5265827,'1',2,208,2,17),(20,5266122,'1',2,233,1,7),(20,5266157,'1',3,326,1,20),(20,5266173,'1',2,202,1,8),(20,5266211,'1',3,108,1,15),(20,5266246,'1',3,309,1,10),(20,5266351,'1',3,110,1,6),(20,5266440,'1',3,310,1,30),(20,5266467,'1',2,551,1,19),(20,5266670,'1',3,428,2,36),(20,5266688,'1',3,101,1,3),(20,5266777,'1',1,415,1,2),(20,5266793,'1',3,309,1,16),(20,5266815,'1',3,427,1,22),(20,5266971,'1',3,207,2,60),(20,5267005,'1',3,211,1,26),(20,5267064,'1',3,201,1,17),(20,5267250,'1',3,653,2,51),(20,5267277,'1A',3,653,2,42),(20,5267390,'1',3,102,2,67),(20,5267404,'1',3,102,2,73),(20,5267412,'1',3,102,1,17),(20,5267595,'1',3,202,2,46),(20,5267749,'1',3,102,1,3),(20,5267757,'1',3,502,2,42),(20,5267846,'1',3,444,2,25),(20,5267935,'1A',3,601,1,119),(20,5267943,'1',1,337,1,1),(20,5268214,'1',3,102,1,45),(20,5268540,'1',3,201,1,36),(20,5268559,'1',3,426,2,10),(20,5268621,'1',3,215,2,28),(20,5268761,'1',3,601,1,55),(20,5269032,'1A',3,213,2,15),(20,5269040,'1',2,551,1,24),(20,5269083,'1',3,104,2,57),(20,5269172,'1',1,551,1,1),(20,5269180,'1',3,502,2,46),(20,5269326,'1',3,415,1,11),(20,5269407,'1A',3,601,1,113),(20,5269598,'1',3,329,1,25),(20,5269628,'1',3,110,1,20),(20,5269695,'1',2,317,2,14),(20,5269709,'1',2,318,2,15),(20,5269806,'1',2,235,2,10),(20,5269849,'1',3,308,2,65),(20,5269857,'1',2,102,2,24),(20,5269954,'1',3,601,2,249),(20,5269970,'1',2,234,1,2),(20,5270090,'1',3,324,2,33),(20,5270103,'1',3,201,2,70),(20,5270189,'1',2,104,1,7),(20,5270260,'1',3,203,2,78),(20,5270359,'1A',2,653,1,4),(20,5270456,'1',3,3,1,31),(20,5270545,'1',3,224,2,11),(20,5270553,'1',2,501,2,22),(20,5270588,'1',3,205,2,22),(20,5270715,'1',3,652,1,31),(20,5270790,'1',2,339,1,2),(20,5270812,'1',3,317,2,44),(20,5270928,'1',3,102,2,78),(20,5271088,'1',3,319,2,54),(20,5271185,'1',2,234,2,10),(20,5271193,'1',3,108,1,4),(20,5271231,'1',3,5,2,41),(20,5271320,'1',2,327,2,7),(20,5271363,'1',1,601,1,3),(20,5271738,'1',3,339,2,25),(20,5271800,'1A',2,601,1,35),(20,5271878,'1',3,104,1,9),(20,5271894,'1',3,331,1,2),(20,5271916,'1',3,102,1,37),(20,5272033,'1',3,308,1,8),(20,5272122,'1',3,424,1,28),(20,5272165,'1',3,450,1,6),(20,5272270,'1',3,427,1,5),(20,5272360,'1',3,317,1,25),(20,5272394,'1',3,332,2,29),(20,5272521,'1',2,451,1,3),(20,5272530,'1',3,424,1,32),(20,5272556,'1A',3,212,1,11),(20,5272580,'1',3,220,2,36),(20,5272645,'1',2,340,2,10),(20,5272688,'1',3,420,2,17),(20,5272823,'1',3,9,1,16),(20,5272840,'1',3,652,1,33),(20,5272890,'1',2,333,1,5),(20,5272904,'1',3,5,1,22),(20,5272963,'1',3,104,1,38),(20,5272998,'1',3,303,1,20),(20,5273005,'1A',3,202,2,65),(20,5273030,'1',3,207,2,42),(20,5273188,'1',3,104,2,42),(20,5273218,'1',2,203,1,2),(20,5273269,'1',2,212,1,3),(20,5273293,'1',3,207,1,19),(20,5273307,'1',3,302,1,20),(20,5273331,'1',3,601,1,61),(20,5273374,'1',3,428,1,14),(20,5273412,'1',3,215,2,39),(20,5273447,'1A',2,235,2,8),(20,5273455,'1',2,207,2,10),(20,5273498,'1',3,2,1,43),(20,5273510,'1',3,103,1,27),(20,5273668,'1A',2,653,2,10),(20,5273684,'1',2,238,1,1),(20,5273846,'1',2,302,1,4),(20,5273870,'1',2,212,1,1),(20,5273897,'1',3,423,1,13),(20,5273986,'1A',3,214,1,13),(20,5274028,'1',1,201,1,1),(20,5274060,'1',3,216,2,26),(20,5274141,'1',2,310,1,2),(20,5274150,'1',3,326,1,10),(20,5274435,'1',3,339,2,41),(20,5274532,'1A',3,601,1,36),(20,5274559,'1A',2,652,1,9),(20,5274737,'1',3,5,1,3),(20,5274869,'1',3,220,1,3),(20,5274931,'1',3,238,1,1),(20,5275008,'1',3,651,1,25),(20,5275024,'1',3,201,2,66),(20,5275059,'1',3,503,1,15),(20,5275253,'1',3,203,1,22),(20,5275296,'1',3,3,1,4),(20,5275334,'1',3,302,2,58),(20,5275350,'1',3,333,1,19),(20,5275539,'1A',3,601,1,2),(20,5275547,'1',2,324,1,8),(20,5275598,'1',3,501,2,64),(20,5275610,'1',3,2,1,14),(20,5275636,'1',3,201,2,54),(20,5275695,'1',3,318,2,44),(20,5275709,'1',3,308,2,70),(20,5275733,'1',3,223,1,3),(20,5275776,'1',3,202,1,7),(20,5275997,'1',3,452,2,29),(20,5276071,'1',3,332,2,20),(20,5276195,'1',3,5,2,43),(20,5276314,'1',3,420,1,9),(20,5276403,'1',3,336,1,3),(20,5276420,'1',3,319,2,32),(20,5276438,'1',3,429,2,15),(20,5276497,'1',2,503,1,6),(20,5276616,'1',2,202,1,5),(20,5276632,'1A',3,652,1,1),(20,5276691,'1',2,215,1,2),(20,5276845,'1',3,339,1,2),(20,5277221,'1',2,429,2,6),(20,5277280,'1A',3,601,2,189),(20,5277310,'1',1,423,1,1),(20,5277388,'1',2,235,1,3),(20,5277523,'1',2,212,2,7),(20,5277604,'1',3,216,2,30),(20,5277787,'1',3,428,1,15),(20,5277825,'1',3,203,2,56),(20,5277884,'1',3,310,1,26),(20,5277922,'1A',3,233,1,27),(20,5277957,'1',3,601,2,255),(20,5277965,'1',1,303,2,8),(20,5277973,'1',3,5,1,31),(20,5278104,'1',3,212,1,4),(20,5278139,'1',3,203,1,25),(20,5278147,'1',3,320,2,18),(20,5278163,'1',3,601,2,299),(20,5278210,'1',3,214,1,7),(20,5278244,'1',2,103,1,7),(20,5278252,'1',2,453,2,8),(20,5278260,'1',2,302,1,2),(20,5278287,'1',3,651,1,22),(20,5278376,'1',3,332,2,24),(20,5278481,'1',2,103,1,1),(20,5278511,'1A',3,215,1,19),(20,5278597,'1',3,110,2,36),(20,5278660,'1A',3,601,1,148),(20,5278732,'1',2,208,1,10),(20,5278856,'1',2,426,2,3),(20,5278902,'1',1,211,1,5),(20,5278910,'1',3,424,1,8),(20,5278929,'1',3,109,2,45),(20,5279089,'1',3,450,1,10),(20,5279259,'1',3,304,1,12),(20,5279275,'1',3,238,2,47),(20,5279305,'1',2,302,2,17),(20,5279313,'1',3,404,1,15),(20,5279356,'1',2,301,2,17),(20,5279372,'1',3,104,2,64),(20,5279518,'1A',3,215,1,4),(20,5279526,'1',3,319,1,10),(20,5279534,'1',3,310,1,9),(20,5279550,'1A',3,601,1,4),(20,5279607,'1',3,110,1,23),(20,5279658,'1',3,5,2,44),(20,5279666,'1',1,308,2,2),(20,5279712,'1A',3,653,2,34),(20,5279852,'1',3,238,2,56),(20,5279909,'1',1,301,1,3),(20,5280028,'1A',3,213,2,16),(20,5280036,'1',2,333,1,3),(20,5280117,'1',3,429,2,8),(20,5280141,'1',3,103,2,69),(20,5280427,'1',2,503,2,12),(20,5280486,'1A',2,213,2,7),(20,5280494,'1',3,317,2,55),(20,5280524,'1',2,201,1,6),(20,5280540,'1',3,224,2,9),(20,5280583,'1',3,3,2,52),(20,5280605,'1',3,109,2,36),(20,5280613,'1',2,337,1,3),(20,5280656,'1',2,429,2,5),(20,5280672,'1',3,102,2,84),(20,5280680,'1',2,201,1,5),(20,5280699,'1',2,234,2,12),(20,5280753,'1',2,220,2,9),(20,5280796,'1',2,453,2,6),(20,5280877,'1',3,653,2,50),(20,5280893,'1',2,308,1,1),(20,5280907,'1',3,234,2,45),(20,5280974,'1',2,104,1,6),(20,5281032,'1',3,301,1,22),(20,5281067,'1',2,110,1,10),(20,5281105,'1',3,339,2,32),(20,5281172,'1',3,223,1,10),(20,5281261,'1',3,3,2,37),(20,5281431,'1',3,329,1,3),(20,5281466,'1',3,308,2,42),(20,5281490,'1',3,324,2,41),(20,5281610,'1',3,427,1,30),(20,5281687,'1',3,202,2,74),(20,5281733,'1',3,427,1,28),(20,5281750,'1',3,2,1,20),(20,5281784,'1',3,234,2,40),(20,5281989,'1',3,427,1,26),(20,5282055,'1',3,601,2,194),(20,5282101,'1',3,502,2,32),(20,5282160,'1',2,301,1,4),(20,5282217,'1',3,104,2,62),(20,5282233,'1',3,501,2,61),(20,5282314,'1',2,404,2,10),(20,5282373,'1',3,653,1,13),(20,5282446,'1',3,102,1,9),(20,5282624,'1',3,444,1,1),(20,5282659,'1',2,415,2,11),(20,5282675,'1',3,203,1,11),(20,5282772,'1',2,652,2,18),(20,5282829,'1',3,303,2,36),(20,5282837,'1',3,208,2,51),(20,5282918,'1A',2,235,1,2),(20,5282950,'1',3,102,2,74),(20,5283000,'1',3,238,2,55),(20,5283019,'1',2,301,2,16),(20,5283086,'1',3,238,2,58),(20,5283132,'1',3,601,1,17),(20,5283175,'1',2,203,2,18),(20,5283205,'1',2,427,1,2),(20,5283221,'1',2,324,1,1),(20,5283310,'1',1,316,1,5),(20,5283388,'1',3,9,1,27),(20,5283426,'1',3,601,2,238),(20,5283434,'1',2,101,1,1),(20,5283515,'1',3,207,2,48),(20,5283566,'1',3,2,1,8),(20,5283582,'1',2,316,2,12),(20,5283647,'1',3,601,2,322),(20,5283701,'1',3,301,1,10),(20,5283795,'1',3,304,1,2),(20,5283914,'1',3,319,2,51),(20,5283990,'1',3,601,1,60),(20,5284023,'1A',3,601,1,26),(20,5284066,'1',2,203,1,3),(20,5284260,'1',2,238,1,4),(20,5284376,'1',3,339,2,40),(20,5284490,'1',3,234,2,36),(20,5284511,'1',1,233,1,1),(20,5284619,'1',1,309,1,1),(20,5284643,'1',2,404,1,2),(20,5284694,'1',2,340,1,4),(20,5284708,'1',2,225,1,6),(20,5284759,'1',2,303,1,5),(20,5284899,'1A',2,213,2,5),(20,5284988,'1',2,215,2,6),(20,5285054,'1',3,319,2,63),(20,5285097,'1',3,103,2,68),(20,5285151,'1',2,331,1,3),(20,5285208,'1',3,110,1,15),(20,5285224,'1A',3,213,2,23),(20,5285259,'1',3,208,1,30),(20,5285283,'1',2,304,1,5),(20,5285356,'1',3,336,1,7),(20,5285380,'1',3,234,2,64),(20,5285500,'1',3,301,2,53),(20,5285550,'1',3,328,1,2),(20,5285585,'1A',3,601,1,23),(20,5285615,'1',3,213,1,10),(20,5285640,'1',2,327,2,1),(20,5285690,'1',3,301,2,57),(20,5285712,'1',2,452,1,2),(20,5285720,'1',2,104,2,17),(20,5285798,'1',2,601,1,5),(20,5285844,'1',3,601,2,165),(20,5285909,'1',3,601,2,258),(20,5286026,'1',3,301,1,14),(20,5286034,'1',1,339,2,3),(20,5286115,'1',3,601,1,52),(20,5286158,'1',3,339,1,3),(20,5286190,'1',2,551,1,11),(20,5286204,'1',3,308,2,39),(20,5286271,'1',3,201,2,61),(20,5286336,'1',3,103,1,15),(20,5286387,'1',3,203,1,24),(20,5286441,'1',3,303,2,44),(20,5286565,'1',3,423,1,9),(20,5286654,'1',3,601,2,253),(20,5286662,'1',2,108,1,7),(20,5286719,'1',3,215,2,25),(20,5286760,'1',2,652,2,17),(20,5286891,'1',3,102,1,22),(20,5286930,'1',3,652,1,36),(20,5286948,'1',3,316,2,41),(20,5287030,'1',3,104,2,66),(20,5287383,'1',3,104,2,41),(20,5287499,'1',3,5,2,34),(20,5287715,'1',3,426,2,8),(20,5287723,'1A',3,601,2,295),(20,5287758,'1',3,452,1,1),(20,5287766,'1A',3,601,2,259),(20,5287774,'1',3,233,2,54),(20,5287910,'1',3,319,1,21),(20,5288037,'1',2,316,1,1),(20,5288100,'1A',3,601,1,66),(20,5288142,'1',3,202,1,1),(20,5288150,'1A',3,652,1,15),(20,5288282,'1',2,316,1,3),(20,5288355,'1',3,415,2,46),(20,5288401,'1',3,501,1,5),(20,5288592,'1',2,211,2,11),(20,5288622,'1',3,203,1,14),(20,5288720,'1',2,110,1,1),(20,5288860,'1',3,215,2,30),(20,5289025,'1',3,212,1,3),(20,5289084,'1A',3,601,2,261),(20,5289092,'1',3,303,2,38),(20,5289157,'1',3,9,1,31),(20,5289203,'1',3,309,2,31),(20,5289238,'1',3,601,1,100),(20,5289246,'1',3,3,2,50),(20,5289297,'1',3,208,1,35),(20,5289327,'1',3,9,1,2),(20,5289343,'1',3,319,2,55),(20,5289408,'1',2,104,1,5),(20,5289483,'1',2,340,2,16),(20,5289580,'1',3,101,1,21),(20,5289939,'1',3,3,2,53),(20,5290058,'1',3,109,1,24),(20,5290112,'1',3,3,2,58),(20,5290279,'1',2,444,1,5),(20,5290384,'1',3,216,2,22),(20,5290546,'1',3,333,1,16),(20,5290619,'1',3,302,2,38),(20,5290651,'1',1,110,1,3),(20,5290660,'1',2,450,1,5),(20,5290708,'1',3,5,2,42),(20,5290724,'1',2,109,1,2),(20,5290759,'1',3,215,2,23),(20,5290821,'1',3,203,2,66),(20,5290830,'1A',2,653,2,12),(20,5290872,'1',3,327,2,21),(20,5291089,'1',3,302,1,18),(20,5291127,'1',3,225,1,26),(20,5291160,'1',2,318,2,10),(20,5291240,'1',3,108,1,18),(20,5291437,'1A',3,220,2,48),(20,5291488,'1',2,233,1,2),(20,5291585,'1',3,110,1,22),(20,5291917,'1',3,207,2,32),(20,5291984,'1',2,238,2,11),(20,5291992,'1',3,404,2,47),(20,5292190,'1',3,104,1,28),(20,5292220,'1',3,326,1,21),(20,5292506,'1',2,222,1,2),(20,5292514,'1',2,304,1,7),(20,5292530,'1',2,309,2,10),(20,5292549,'1A',2,427,1,3),(20,5292751,'1',1,216,1,1),(20,5292832,'1',2,326,1,2),(20,5292956,'1',3,316,2,61),(20,5293073,'1',3,222,1,19),(20,5293090,'1',3,420,2,30),(20,5293219,'1',2,426,2,5),(20,5293243,'1',3,308,2,38),(20,5293316,'1',3,316,2,48),(20,5293359,'1',3,652,1,27),(20,5293405,'1A',3,601,2,278),(20,5293430,'1',3,102,2,92),(20,5293472,'1',3,238,2,60),(20,5293596,'1',3,222,1,3),(20,5293642,'1',2,501,1,11),(20,5293693,'1',3,317,1,11),(20,5293723,'1',3,452,2,24),(20,5293855,'1',3,339,1,7),(20,5293898,'1',2,310,1,5),(20,5293910,'1',3,601,2,245),(20,5294010,'1A',3,213,1,1),(20,5294029,'1',3,3,2,61),(20,5294053,'1',2,104,1,3),(20,5294304,'1',3,502,1,13),(20,5294380,'1',3,103,2,40),(20,5294410,'1',2,502,2,9),(20,5294452,'1',2,225,1,4),(20,5294487,'1',2,338,1,2),(20,5294533,'1',3,601,2,248),(20,5294665,'1',3,317,2,60),(20,5294690,'1',3,3,2,44),(20,5294746,'1',3,214,2,27),(20,5294819,'1',3,427,1,8),(20,5294983,'1',2,317,2,11),(20,5294991,'1',2,303,2,14),(20,5295041,'1',2,234,1,5),(20,5295050,'1',3,202,2,39),(20,5295068,'1',1,309,1,2),(20,5295220,'1',3,444,2,34),(20,5295262,'1',2,310,1,6),(20,5295289,'1',2,201,2,22),(20,5295319,'1',3,308,2,40),(20,5295408,'1A',3,601,1,70),(20,5295491,'1',2,201,1,3),(20,5295521,'1',3,309,1,9),(20,5295602,'1',3,420,1,14),(20,5295610,'1',3,601,1,21),(20,5295645,'1',3,316,1,32),(20,5295661,'1',3,102,2,82),(20,5295718,'1',3,404,1,11),(20,5295734,'1',1,208,2,7),(20,5295785,'1',2,424,1,6),(20,5295912,'1',3,235,2,37),(20,5295920,'1',3,328,1,7),(20,5296102,'1',3,208,1,14),(20,5296145,'1',3,302,1,4),(20,5296188,'1',2,652,1,8),(20,5296196,'1',3,213,2,26),(20,5296374,'1',3,3,1,14),(20,5296382,'1',3,444,2,39),(20,5296390,'1',3,318,2,68),(20,5296480,'1',3,301,1,9),(20,5296609,'1A',3,601,2,222),(20,5296722,'1A',2,653,1,7),(20,5297001,'1',3,3,1,7),(20,5297036,'1',3,109,2,37),(20,5297109,'1',3,302,2,35),(20,5297206,'1',3,104,2,51),(20,5297311,'1',3,2,1,4),(20,5297346,'1',2,420,1,3),(20,5297613,'1',3,104,1,6),(20,5297656,'1A',3,208,1,12),(20,5297826,'1',3,324,1,11),(20,5297907,'1A',3,213,2,21),(20,5297931,'1',3,326,1,12),(20,5298040,'1',3,450,1,12),(20,5298059,'1',3,304,1,6),(20,5298083,'1',3,104,1,8),(20,5298318,'1',3,404,2,36),(20,5298342,'1',3,318,2,41),(20,5298393,'1',3,203,2,43),(20,5298407,'1',2,3,2,12),(20,5298466,'1',3,601,2,277),(20,5298474,'1',3,207,1,9),(20,5298539,'1',1,5,2,6),(20,5298547,'1',3,444,1,17),(20,5298598,'1',3,601,2,179),(20,5298628,'1',3,601,2,224),(20,5298709,'1',3,234,2,59),(20,5298733,'1',3,303,2,47),(20,5298873,'1',2,301,2,12),(20,5298911,'1',2,337,1,1),(20,5299101,'1',3,302,2,37),(20,5299152,'1',3,225,1,1),(20,5299195,'1',3,450,1,2),(20,5299233,'1',3,421,1,17),(20,5299306,'1',2,303,2,18),(20,5299578,'1',2,309,2,9),(20,5299624,'1',3,316,2,43),(20,5299772,'1',3,203,2,49),(20,5299799,'1',3,339,2,33),(20,5299810,'1A',3,215,1,16),(20,5299837,'1',3,104,2,70),(20,5299853,'1A',3,202,2,54),(20,5299900,'1',3,501,2,54),(20,5299934,'1',3,501,1,8),(20,5299969,'1',3,3,1,13),(20,5300002,'1',2,225,1,3),(20,5300215,'1',3,316,2,67),(20,5300258,'1',3,316,1,8),(20,5300266,'1',2,551,1,10),(20,5300274,'1',3,501,1,16),(20,5300282,'1',4,501,1,1),(20,5300290,'1',2,3,1,4),(20,5300304,'1',3,340,2,49),(20,5300312,'1',2,235,2,9),(20,5300410,'1',3,205,2,19),(20,5300428,'1',3,601,2,251),(20,5300495,'1',3,327,2,16),(20,5300622,'1',3,102,2,89),(20,5300762,'1',3,233,2,33),(20,5300789,'1',3,201,1,6),(20,5300819,'1',3,310,1,28),(20,5300835,'1A',3,211,2,54),(20,5301009,'1',3,420,1,4),(20,5301050,'1',2,109,2,9),(20,5301068,'1',2,503,2,11),(20,5301114,'1',3,319,2,34),(20,5301130,'1',3,429,2,27),(20,5301149,'1A',3,601,2,254),(20,5301173,'1',2,336,1,6),(20,5301181,'1A',3,238,2,41),(20,5301203,'1',3,201,2,48),(20,5301378,'1',3,223,1,14),(20,5301491,'1',3,340,1,11),(20,5301513,'1',3,202,1,2),(20,5301548,'1',3,103,1,18),(20,5301750,'1',3,340,2,33),(20,5301769,'1',1,601,1,2),(20,5301785,'1A',2,208,2,15),(20,5301793,'1A',3,208,1,19),(20,5301815,'1',3,502,1,1),(20,5301840,'1',3,303,2,55),(20,5301890,'1',3,317,1,19),(20,5301912,'1',3,332,2,19),(20,5301963,'1',3,234,1,32),(20,5302048,'1A',3,202,2,40),(20,5302110,'1',2,212,2,8),(20,5302196,'1',2,304,1,6),(20,5302234,'1',3,340,2,56),(20,5302323,'1',1,5,1,5),(20,5302366,'1',3,415,1,7),(20,5302404,'1',3,302,2,49),(20,5302641,'1',3,309,1,7),(20,5302676,'1',2,319,1,9),(20,5302765,'1',2,234,1,7),(20,5302900,'1',2,205,1,1),(20,5302943,'1',1,319,1,1),(20,5303060,'1',2,326,1,6),(20,5303095,'1',3,326,1,32),(20,5303206,'1',2,103,1,2),(20,5303400,'1',3,103,1,25),(20,5303419,'1',3,652,1,26),(20,5303435,'1A',3,238,2,69),(20,5303451,'1',3,503,1,2),(20,5303508,'1',3,420,2,19),(20,5303583,'1',3,215,2,32),(20,5303621,'1',3,551,1,42),(20,5303800,'1',3,201,1,23),(20,5303915,'1',2,102,1,13),(20,5304296,'1',3,234,2,49),(20,5304318,'1',3,302,2,64),(20,5304350,'1A',2,212,2,6),(20,5304458,'1',3,424,1,1),(20,5304466,'1',2,108,1,8),(20,5304610,'1',3,503,1,12),(20,5304679,'1',3,429,2,9),(20,5304741,'1',2,224,2,7),(20,5304776,'1',3,415,2,32),(20,5304806,'1',3,317,1,15),(20,5304962,'1',3,2,1,25),(20,5305047,'1',3,104,2,56),(20,5305241,'1',2,9,1,8),(20,5305250,'1',3,502,2,30),(20,5305284,'1A',3,202,2,71),(20,5305373,'1',3,423,1,25),(20,5305390,'1',3,3,1,2),(20,5305462,'1',3,3,1,19),(20,5305470,'1',3,340,1,20),(20,5305489,'1',2,426,2,6),(20,5305519,'1A',2,601,1,12),(20,5305543,'1',3,109,1,14),(20,5305691,'1',3,501,1,10),(20,5305713,'1',3,101,1,7),(20,5305756,'1',3,415,2,41),(20,5305861,'1',2,9,1,7),(20,5305977,'1',3,503,1,5),(20,5306019,'1',3,2,1,3),(20,5306108,'1',3,429,2,7),(20,5306167,'1',2,308,1,4),(20,5306183,'1',3,109,2,47),(20,5306191,'1',3,501,2,59),(20,5306248,'1',3,503,2,40),(20,5306272,'1',3,653,2,32),(20,5306299,'1',3,316,1,12),(20,5306418,'1A',3,601,2,324),(20,5306426,'1',3,415,1,4),(20,5306434,'1',1,308,2,1),(20,5306493,'1',3,316,1,2),(20,5306531,'1',3,208,2,44),(20,5306558,'1',3,302,2,46),(20,5306574,'1',3,102,1,49),(20,5306647,'1',3,308,2,60),(20,5306663,'1',3,427,1,1),(20,5306710,'1',3,302,2,60),(20,5306884,'1',3,205,2,26),(20,5307058,'1',3,332,2,17),(20,5307074,'1',3,205,1,6),(20,5307236,'1A',3,212,2,28),(20,5307279,'1',3,211,2,47),(20,5307350,'1',3,318,2,37),(20,5307562,'1',3,301,2,47),(20,5307589,'1',3,233,1,13),(20,5307651,'1',3,404,1,7),(20,5307708,'1',2,318,1,5),(20,5307961,'1',3,444,2,28),(20,5308011,'1',3,333,1,10),(20,5308186,'1',3,2,1,12),(20,5308208,'1',3,3,2,55),(20,5308410,'1',3,224,2,16),(20,5308623,'1',3,211,2,39),(20,5308771,'1',3,415,1,18),(20,5308798,'1',3,309,2,33),(20,5308895,'1',2,501,2,21),(20,5308925,'1',3,2,1,41),(20,5309000,'1',3,109,2,39),(20,5309042,'1',1,333,1,2),(20,5309140,'1',3,104,1,35),(20,5309204,'1',3,404,1,12),(20,5309220,'1',3,102,2,79),(20,5309301,'1',2,551,1,27),(20,5309328,'1',2,216,1,3),(20,5309409,'1',3,428,1,7),(20,5309565,'1',3,304,1,11),(20,5309581,'1',3,310,1,4),(20,5309620,'1',3,213,1,3),(20,5309670,'1',3,317,2,62),(20,5309824,'1',3,404,2,28),(20,5309930,'1',1,651,1,1),(20,5309956,'1',3,109,2,44),(20,5310040,'1',3,104,2,63),(20,5310105,'1',2,425,1,2),(20,5310121,'1',2,339,1,11),(20,5310202,'1',3,309,1,29),(20,5310270,'1',3,3,2,56),(20,5310440,'1',3,551,1,41),(20,5310504,'1',3,301,2,49),(20,5310512,'1',3,601,1,98),(20,5310695,'1',3,212,1,2),(20,5310792,'1',3,309,1,26),(20,5310806,'1',1,404,1,1),(20,5310849,'1',3,310,1,12),(20,5310865,'1A',3,208,2,36),(20,5310911,'1',2,108,1,2),(20,5310962,'1A',3,238,2,42),(20,5311012,'1',3,104,1,23),(20,5311063,'1',3,317,1,32),(20,5311071,'1',2,329,1,4),(20,5311187,'1',2,316,1,10),(20,5311209,'1',2,216,2,10),(20,5311268,'1',2,211,1,5),(20,5311349,'1A',3,238,2,46),(20,5311381,'1',2,601,1,9),(20,5311390,'1',3,215,2,38),(20,5311420,'1',3,301,1,1),(20,5311560,'1A',3,601,2,321),(20,5311713,'1',3,339,2,36),(20,5311829,'1A',3,601,1,37),(20,5312035,'1',3,319,2,41),(20,5312086,'1A',2,214,1,4),(20,5312175,'1',2,428,1,2),(20,5312272,'1',3,212,2,22),(20,5312310,'1',2,428,2,13),(20,5312329,'1',3,333,1,18),(20,5312388,'1',3,427,1,3),(20,5312469,'1',2,205,2,8),(20,5312493,'1',1,201,1,3),(20,5312540,'1',3,301,2,43),(20,5312647,'1',2,214,2,5),(20,5312680,'1',2,316,1,6),(20,5312728,'1',3,5,2,51),(20,5312760,'1',2,332,2,8),(20,5312841,'1',3,601,2,289),(20,5312876,'1',3,317,1,20),(20,5313015,'1',3,329,1,6),(20,5313074,'1',3,5,2,45),(20,5313201,'1',3,420,1,12),(20,5313210,'1',3,318,2,48),(20,5313562,'1',3,318,1,18),(20,5313570,'1',3,216,1,15),(20,5313600,'1',3,317,1,16),(20,5313660,'1A',2,220,2,10),(20,5313708,'1',3,601,2,266),(20,5313732,'1',3,316,2,59),(20,5313791,'1',3,101,1,5),(20,5313821,'1',3,302,2,70),(20,5313864,'1',3,331,1,27),(20,5314054,'1',2,109,2,12),(20,5314070,'1',3,5,1,2),(20,5314194,'1A',3,202,2,42),(20,5314240,'1',3,102,1,21),(20,5314429,'1',2,104,2,11),(20,5314518,'1',3,327,2,32),(20,5314909,'1',3,109,1,16),(20,5315000,'1',3,317,1,10),(20,5315182,'1',3,301,2,60),(20,5315239,'1',3,339,2,37),(20,5315387,'1',3,304,1,30),(20,5315409,'1',3,501,2,70),(20,5315433,'1',3,301,2,64),(20,5315468,'1',2,324,2,13),(20,5315476,'1',2,420,2,8),(20,5315530,'1',2,223,1,3),(20,5315719,'1A',3,652,1,9),(20,5315751,'1',3,320,2,29),(20,5315875,'1',3,104,2,61),(20,5315921,'1',3,320,2,30),(20,5316065,'1A',3,651,1,6),(20,5316120,'1',3,339,2,28),(20,5316189,'1',2,329,1,6),(20,5316197,'1A',2,202,2,20),(20,5316200,'1',3,109,1,25),(20,5316227,'1',1,423,1,2),(20,5316332,'1',3,425,1,5),(20,5316359,'1',3,501,1,22),(20,5316421,'1',3,207,2,56),(20,5316553,'1',2,502,2,8),(20,5316669,'1',3,502,2,53),(20,5316863,'1',1,109,2,2),(20,5316936,'1',3,428,2,37),(20,5316960,'1',2,301,2,11),(20,5317100,'1',2,319,1,7),(20,5317142,'1',3,202,1,30),(20,5317223,'1A',2,428,2,9),(20,5317258,'1',3,324,2,40),(20,5317274,'1',1,109,2,3),(20,5317320,'1',3,338,1,2),(20,5317436,'1',2,651,1,3),(20,5317568,'1',3,102,2,72),(20,5317584,'1',3,450,1,14),(20,5317720,'1',3,235,2,39),(20,5317983,'1',2,308,1,10),(20,5318157,'1',2,319,1,4),(20,5318254,'1',3,420,2,18),(20,5318262,'1',3,339,2,20),(20,5318270,'1',2,207,2,16),(20,5318319,'1',3,309,1,6),(20,5318335,'1A',3,212,2,20),(20,5318343,'1',3,415,2,25),(20,5318351,'1',2,652,1,2),(20,5318394,'1',3,425,1,30),(20,5318491,'1A',3,651,1,19),(20,5318734,'1A',3,213,2,19),(20,5318815,'1',2,318,1,3),(20,5318874,'1',3,110,2,27),(20,5318882,'1',2,404,1,4),(20,5318912,'1',2,208,2,11),(20,5318939,'1',2,338,1,5),(20,5318947,'1',3,318,2,39),(20,5318998,'1',3,601,2,168),(20,5319102,'1',3,601,2,316),(20,5319110,'1A',3,238,2,67),(20,5319226,'1',3,320,2,37),(20,5319250,'1',3,317,1,3),(20,5319277,'1',3,444,2,37),(20,5319382,'1',2,652,1,3),(20,5319579,'1A',3,601,1,67),(20,5319757,'1',3,302,2,57),(20,5319820,'1',3,316,1,25),(20,5319951,'1',1,208,1,4),(20,5320038,'1',3,319,1,31),(20,5320119,'1',3,212,1,6),(20,5320186,'1',3,425,1,26),(20,5320380,'1',3,319,2,61),(20,5320518,'1',3,110,1,4),(20,5320607,'1',2,110,1,6),(20,5320623,'1',3,329,1,17),(20,5320631,'1',3,451,1,22),(20,5321042,'1',3,316,2,57),(20,5321123,'1A',3,215,1,5),(20,5321140,'1',3,110,1,2),(20,5321182,'1',3,302,1,31),(20,5321239,'1',3,452,2,25),(20,5321301,'1A',3,601,2,318),(20,5321387,'1A',3,208,1,6),(20,5321565,'1',2,110,2,16),(20,5321778,'1',2,324,1,5),(20,5321972,'1',3,327,2,29),(20,5321980,'1',3,316,1,6),(20,5322022,'1',3,234,1,7),(20,5322111,'1',3,404,1,3),(20,5322324,'1',3,502,1,11),(20,5322383,'1',3,9,1,32),(20,5322561,'1',3,551,1,20),(20,5322570,'1',3,9,1,9),(20,5322618,'1',3,302,2,68),(20,5322847,'1',3,211,2,67),(20,5322987,'1',3,404,1,9),(20,5323010,'1',3,423,1,8),(20,5323100,'1',3,428,1,9),(20,5323215,'1',3,420,1,11),(20,5323240,'1',3,426,2,23),(20,5323509,'1',3,109,2,53),(20,5323550,'1',3,301,1,36),(20,5323690,'1',3,320,2,6),(20,5323819,'1',2,421,1,5),(20,5323878,'1',3,223,1,1),(20,5323959,'1',3,317,2,43),(20,5324106,'1',3,339,2,21),(20,5324157,'1',3,326,1,30),(20,5324165,'1A',3,220,2,52),(20,5324220,'1',2,340,1,1),(20,5324262,'1',1,453,1,2),(20,5324351,'1',3,201,2,65),(20,5324440,'1',3,102,2,63),(20,5324610,'1',3,304,2,60),(20,5324726,'1',3,501,2,53),(20,5324769,'1',3,653,2,53),(20,5324831,'1',1,3,1,1),(20,5324858,'1',3,207,2,51),(20,5324912,'1',2,211,2,10),(20,5324971,'1',3,601,1,102),(20,5325021,'1',3,339,2,35),(20,5325056,'1',3,203,2,68),(20,5325064,'1',3,233,2,51),(20,5325226,'1',3,324,1,16),(20,5325293,'1',3,211,2,60),(20,5325587,'1',2,104,2,13),(20,5325722,'1',3,502,2,52),(20,5325781,'1',1,207,1,2),(20,5326125,'1',3,502,2,43),(20,5326192,'1',3,318,2,38),(20,5326206,'1',2,208,1,2),(20,5326338,'1',3,224,2,20),(20,5326400,'1A',3,653,1,5),(20,5326427,'1',3,316,1,35),(20,5326478,'1',3,318,1,24),(20,5326613,'1',3,324,1,1),(20,5326621,'1A',3,601,2,348),(20,5326761,'1',3,653,2,59),(20,5326869,'1A',3,233,2,35),(20,5327180,'1',2,5,1,1),(20,5327210,'1A',3,601,1,96),(20,5327245,'1',3,108,2,43),(20,5327334,'1',3,3,2,60),(20,5327628,'1',3,201,1,31),(20,5327741,'1A',3,208,2,72),(20,5327776,'1',1,208,1,2),(20,5327911,'1A',3,214,1,8),(20,5328179,'1',2,452,2,5),(20,5328233,'1',3,201,1,25),(20,5328373,'1A',3,652,1,23),(20,5328500,'1',3,601,2,306),(20,5328608,'1',3,3,2,47),(20,5328616,'1',3,109,1,21),(20,5328640,'1',3,425,1,23),(20,5328659,'1A',3,601,1,51),(20,5328721,'1',3,301,2,56),(20,5328756,'1',3,501,2,41),(20,5329027,'1',2,501,1,2),(20,5329159,'1',3,205,1,2),(20,5329280,'1',1,216,1,3),(20,5329302,'1',2,3,2,11),(20,5329493,'1',2,301,2,13),(20,5329515,'1A',3,601,1,11),(20,5329795,'1',3,318,1,32),(20,5329833,'1',3,317,1,17),(20,5329965,'1',3,309,2,39),(20,5330017,'1',3,337,1,8),(20,5330050,'1',3,451,1,21),(20,5330165,'1',3,234,2,51),(20,5330203,'1A',3,215,1,13),(20,5330327,'1',3,318,2,35),(20,5330343,'1',3,214,2,31),(20,5330394,'1A',3,601,1,110),(20,5330408,'1A',3,653,2,48),(20,5330521,'1',2,425,1,6),(20,5330661,'1A',3,426,2,16),(20,5330696,'1',2,404,1,1),(20,5330718,'1',3,317,2,47),(20,5330742,'1',2,109,2,14),(20,5330750,'1',2,238,2,15),(20,5330890,'1',3,223,1,15),(20,5331013,'1',2,601,1,24),(20,5331030,'1',3,223,1,7),(20,5331064,'1',3,208,1,1),(20,5331161,'1',3,429,2,16),(20,5331226,'1',3,317,2,53),(20,5331277,'1',3,103,2,50),(20,5331293,'1',3,444,2,43),(20,5331323,'1',3,234,2,52),(20,5331412,'1',3,404,2,26),(20,5331501,'1A',3,238,2,70),(20,5331528,'1',3,301,2,51),(20,5331579,'1',3,317,1,28),(20,5331706,'1',3,234,2,60),(20,5331722,'1',3,404,1,6),(20,5331749,'1',3,319,2,59),(20,5331790,'1',3,335,1,6),(20,5331862,'1',3,309,2,40),(20,5331870,'1',3,601,2,338),(20,5331935,'1',2,340,2,12),(20,5331986,'1',3,318,2,53),(20,5332117,'1',3,339,1,17),(20,5332273,'1',3,3,1,20),(20,5332311,'1',3,304,2,53),(20,5332400,'1',3,503,2,37),(20,5332575,'1',3,304,2,39),(20,5332591,'1',2,3,2,10),(20,5332745,'1',3,551,1,27),(20,5332753,'1',3,404,2,46),(20,5332800,'1',2,551,1,22),(20,5332893,'1',3,101,2,45),(20,5332958,'1',3,551,1,43),(20,5333032,'1',3,501,1,30),(20,5333059,'1A',3,652,1,10),(20,5333091,'1',3,551,1,45),(20,5333199,'1',3,452,1,14),(20,5333377,'1',3,329,1,9),(20,5333598,'1',3,3,1,10),(20,5333660,'1',3,301,1,34),(20,5333725,'1',3,332,2,5),(20,5333814,'1',3,101,1,17),(20,5333822,'1',3,2,1,23),(20,5334110,'1',3,320,2,35),(20,5334225,'1',2,101,1,7),(20,5334284,'1',3,309,1,21),(20,5334349,'1',3,205,1,4),(20,5334357,'1',2,424,1,1),(20,5334489,'1',3,104,2,44),(20,5334594,'1',3,225,1,22),(20,5334608,'1',3,211,2,55),(20,5334683,'1',3,551,1,1),(20,5334888,'1',2,302,1,3),(20,5335515,'1',3,331,1,7),(20,5335523,'1',2,332,2,7),(20,5335531,'1',3,309,1,24),(20,5335582,'1',3,3,2,48),(20,5335612,'1',2,601,1,16),(20,5335671,'1',3,652,1,34),(20,5335795,'1A',2,202,1,10),(20,5335884,'1',3,653,2,45),(20,5335892,'1',3,404,2,24),(20,5336090,'1',2,320,2,3),(20,5336198,'1',3,502,2,39),(20,5336210,'1',2,303,2,15),(20,5336228,'1A',3,653,2,39),(20,5336317,'1',3,225,1,20),(20,5336473,'1',3,203,2,57),(20,5336570,'1',2,318,1,9),(20,5336627,'1A',2,601,2,42),(20,5336694,'1',3,310,1,10),(20,5336910,'1',3,318,1,22),(20,5337046,'1',3,308,2,37),(20,5337186,'1',3,318,2,56),(20,5337240,'1',3,601,2,339),(20,5337283,'1',2,429,2,4),(20,5337330,'1',3,309,1,20),(20,5337380,'1',2,551,1,3),(20,5337402,'1',1,238,1,4),(20,5337550,'1A',2,212,1,2),(20,5337690,'1',3,339,1,4),(20,5337780,'1',1,303,1,3),(20,5337925,'1',3,101,2,40),(20,5337941,'1',2,309,1,8),(20,5337968,'1',3,423,1,21),(20,5337976,'1',3,444,1,3),(20,5337984,'1',3,302,1,22),(20,5338034,'1',3,502,2,31),(20,5338042,'1',3,102,2,80),(20,5338158,'1',2,601,1,25),(20,5338190,'1',3,340,1,4),(20,5338204,'1',3,316,2,75),(20,5338255,'1',3,551,1,10),(20,5338549,'1',3,450,1,19),(20,5338875,'1',3,317,2,63),(20,5338930,'1',3,317,2,50),(20,5338972,'1',3,332,2,31),(20,5339065,'1',3,310,1,25),(20,5339162,'1',3,110,2,35),(20,5339340,'1',3,424,1,11),(20,5339367,'1',2,551,1,16),(20,5339561,'1',3,318,1,26),(20,5339570,'1',2,444,2,9),(20,5339707,'1A',3,212,1,12),(20,5339936,'1',2,453,1,2),(20,5340004,'1',3,329,1,1),(20,5340063,'1',3,3,2,45),(20,5340144,'1',3,319,2,60),(20,5340330,'1',2,551,1,4),(20,5340500,'1',3,551,1,24),(20,5340608,'1',2,423,1,1),(20,5340624,'1',2,452,1,1),(20,5340683,'1',2,317,2,18),(20,5340748,'1',3,207,2,31),(20,5340810,'1',3,551,1,29),(20,5340870,'1',3,308,1,3),(20,5341051,'1',3,238,1,31),(20,5341116,'1',3,429,2,23),(20,5341175,'1',3,109,2,55),(20,5341442,'1',3,653,2,60),(20,5341493,'1',2,102,1,8),(20,5341515,'1',2,203,2,16),(20,5341531,'1',3,601,2,327),(20,5341647,'1',2,339,1,7),(20,5341884,'1',3,207,2,43),(20,5341930,'1',3,502,2,48),(20,5341949,'1',2,238,2,19),(20,5342325,'1',2,234,1,8),(20,5342350,'1',3,551,1,38),(20,5342600,'1',3,551,1,9),(20,5342686,'1',3,324,1,27),(20,5342740,'1',3,423,1,1),(20,5342880,'1A',3,601,1,120),(20,5343003,'1',3,424,1,20),(20,5343348,'1',3,302,2,36),(20,5343488,'1',3,308,1,18),(20,5343690,'1',3,426,2,25),(20,5343720,'1',1,110,1,4),(20,5343798,'1',3,319,2,52),(20,5343828,'1A',3,208,2,52),(20,5343917,'1',3,601,2,178),(20,5344603,'1',1,303,1,5),(20,5344689,'1',1,324,1,2),(20,5344883,'1',3,324,1,18),(20,5345219,'1',1,103,2,8),(20,5345308,'1',3,211,2,33),(20,5345391,'1',3,452,1,11),(20,5345448,'1',3,319,1,1),(20,5345529,'1',3,601,1,80),(20,5345634,'1',2,309,2,12),(20,5345650,'1',3,223,1,4),(20,5345685,'1',3,308,2,55),(20,5345723,'1A',3,651,1,21),(20,5345740,'1',2,338,1,3),(20,5345936,'1',3,337,1,9),(20,5346037,'1',2,652,1,10),(20,5346169,'1',1,238,2,9),(20,5346398,'1',3,317,1,5),(20,5346576,'1',3,653,2,58),(20,5347050,'1',3,108,1,3),(20,5347122,'1',3,420,2,25),(20,5347149,'1',2,308,1,6),(20,5347459,'1A',2,601,1,21),(20,5347602,'1A',3,652,1,30),(20,5347629,'1',3,318,1,20),(20,5347700,'1',1,201,1,2),(20,5347807,'1',3,337,1,13),(20,5347815,'1',2,3,1,2),(20,5348099,'1',3,110,1,8),(20,5348110,'1',3,104,2,65),(20,5348323,'1',2,320,2,7),(20,5348390,'1',3,203,2,50),(20,5348480,'1',3,317,2,58),(20,5348803,'1',3,337,1,5),(20,5348978,'1',2,338,1,1),(20,5349109,'1',2,423,1,4),(20,5349338,'1',3,501,1,36),(20,5349346,'1',3,601,2,335),(20,5349524,'1',3,215,2,26),(20,5349672,'1',2,309,2,14),(20,5349699,'1',3,316,1,31),(20,5349737,'1',3,551,1,11),(20,5349826,'1',3,502,2,41),(20,5349966,'1A',3,202,2,57),(20,5350174,'1',3,426,2,20),(20,5350271,'1',2,223,1,5),(20,5350310,'1',3,331,1,22),(20,5350662,'1',3,109,2,46),(20,5350700,'1',2,215,1,3),(20,5350760,'1',3,238,1,2),(20,5350832,'1',3,652,1,20),(20,5350921,'1',3,503,1,4),(20,5351162,'1',2,653,2,11),(20,5351480,'1A',3,211,1,29),(20,5351529,'1',3,337,1,4),(20,5351570,'1',3,337,1,15),(20,5351766,'1',3,451,1,10),(20,5351839,'1',3,423,1,24),(20,5351847,'1',2,104,2,15),(20,5351944,'1',3,451,1,2),(20,5351995,'1',3,318,1,10),(20,5352053,'1',3,651,1,12),(20,5352061,'1',2,104,2,12),(20,5352100,'1',3,501,1,37),(20,5352193,'1',2,404,2,11),(20,5352223,'1',3,318,1,7),(20,5352380,'1',3,424,1,6),(20,5352460,'1',1,326,1,1),(20,5352495,'1A',3,238,1,16),(20,5352649,'1',3,201,2,72),(20,5352657,'1',3,425,1,25),(20,5352681,'1',1,327,2,4),(20,5352711,'1',2,652,2,19),(20,5352770,'1',3,316,2,74),(20,5352789,'1',1,450,1,2),(20,5352800,'1',3,601,2,310),(20,5352843,'1',3,601,1,112),(20,5353246,'1',3,109,1,17),(20,5353270,'1',3,320,2,17),(20,5353432,'1A',3,202,1,25),(20,5353483,'1',3,652,1,25),(20,5353556,'1',3,101,1,14),(20,5353599,'1',3,444,1,2),(20,5353874,'1A',3,652,1,21),(20,5354234,'1',3,301,2,71),(20,5354277,'1',3,223,1,20),(20,5354366,'1A',3,601,2,240),(20,5354498,'1',3,308,1,21),(20,5354528,'1',2,310,1,8),(20,5354536,'1',3,308,1,23),(20,5354587,'1',2,551,1,6),(20,5354650,'1',2,444,2,7),(20,5354668,'1',3,304,2,42),(20,5354692,'1',3,108,2,54),(20,5354919,'1',3,424,1,22),(20,5355052,'1A',3,601,2,241),(20,5355125,'1A',3,601,1,3),(20,5355265,'1',1,653,1,2),(20,5355419,'1',3,428,1,21),(20,5355508,'1',1,453,2,4),(20,5355770,'1',3,223,1,8),(20,5356083,'1',2,501,1,1),(20,5356202,'1',3,324,1,13),(20,5356229,'1',1,340,1,4),(20,5356237,'1',1,110,1,2),(20,5356318,'1',2,303,2,12),(20,5356385,'1',2,104,1,10),(20,5356466,'1',3,329,1,5),(20,5356610,'1',2,444,1,6),(20,5356962,'1',3,224,2,18),(20,5357020,'1',3,652,1,35),(20,5357063,'1',3,551,1,3),(20,5357136,'1',3,234,2,39),(20,5357225,'1',3,652,1,2),(20,5357241,'1',2,551,1,26),(20,5357845,'1A',3,653,2,46),(20,5357900,'1',3,205,1,1),(20,5357926,'1',3,214,2,20),(20,5357942,'1',3,329,1,22),(20,5358019,'1',3,501,1,33),(20,5358035,'1A',3,202,2,66),(20,5358485,'1',3,329,1,23),(20,5358507,'1',3,652,1,16),(20,5358590,'1',3,304,2,63),(20,5358876,'1A',3,601,1,106),(20,5358981,'1',3,551,1,44),(20,5359007,'1A',3,601,1,139),(20,5359112,'1',3,340,1,22),(20,5359341,'1',2,424,1,4),(20,5359449,'1',3,324,2,47),(20,5359597,'1',2,203,2,17),(20,5359635,'1A',3,652,1,22),(20,5359961,'1',1,308,2,4),(20,5360072,'1A',3,601,2,308),(20,5360102,'1',2,652,1,4),(20,5360196,'1',3,238,2,39),(20,5360250,'1',3,304,2,83),(20,5360498,'1',2,109,2,13),(20,5360587,'1',3,103,2,51),(20,5360625,'1',3,102,2,100),(20,5360714,'1',1,331,1,3),(20,5360935,'1',3,5,1,26),(20,5361150,'1A',2,215,1,5),(20,5361222,'1',3,501,2,83),(20,5361249,'1',3,336,1,1),(20,5361460,'1',3,425,1,6),(20,5361494,'1',3,220,2,30),(20,5361680,'1',3,101,2,56),(20,5361699,'1',3,220,1,1),(20,5361702,'1',3,444,2,27),(20,5361869,'1',3,110,2,28),(20,5362156,'1',2,310,1,7),(20,5362270,'1A',3,233,2,29),(20,5362288,'1',3,308,2,61),(20,5362717,'1',3,238,2,53),(20,5362954,'1',3,207,1,24),(20,5363101,'1',3,601,2,174),(20,5363110,'1',3,104,1,36),(20,5363136,'1',3,450,1,16),(20,5363144,'1',2,319,1,3),(20,5363209,'1',3,428,2,32),(20,5363225,'1',3,652,1,6),(20,5363420,'1',3,335,1,7),(20,5363446,'1',3,429,2,11),(20,5363560,'1',3,303,2,62),(20,5363667,'1A',2,208,2,19),(20,5363705,'1A',3,213,1,13),(20,5363985,'1',1,302,1,1),(20,5364108,'1',3,225,1,14),(20,5364205,'1',2,301,1,9),(20,5364361,'1',3,318,2,58),(20,5364531,'1',3,211,2,38),(20,5364825,'1',3,222,1,6),(20,5365104,'1',1,453,2,3),(20,5365260,'1',2,319,1,8),(20,5365309,'1',3,426,2,17),(20,5365368,'1',2,326,1,9),(20,5365651,'1',3,203,1,28),(20,5365740,'1',3,302,1,14),(20,5365759,'1',3,304,1,3),(20,5365813,'1',2,104,2,16),(20,5365848,'1',3,320,2,26),(20,5365856,'1',3,426,2,9),(20,5365899,'1',3,205,2,24),(20,5365961,'1',3,601,2,340),(20,5365970,'1',2,327,2,4),(20,5366011,'1',3,336,1,17),(20,5366186,'1',3,220,2,42),(20,5366194,'1',2,502,1,4),(20,5366224,'1',3,301,2,46),(20,5366275,'1',3,102,1,30),(20,5366291,'1',3,426,2,7),(20,5366399,'1',2,211,1,9),(20,5366534,'1',3,302,1,24),(20,5366810,'1',3,109,1,10),(20,5366879,'1',3,551,1,15),(20,5367093,'1',1,301,1,2),(20,5367204,'1',3,104,2,45),(20,5367387,'1',2,211,2,14),(20,5367506,'1',2,332,2,1),(20,5367662,'1',3,319,2,67),(20,5367727,'1',2,301,2,15),(20,5367808,'1',3,652,1,7),(20,5367816,'1',3,104,1,33),(20,5367859,'1',3,415,2,39),(20,5367891,'1',3,109,2,41),(20,5367930,'1',3,102,2,101),(20,5368030,'1',3,207,1,28),(20,5368227,'1',2,9,1,6),(20,5368260,'1',3,423,1,10),(20,5368294,'1',3,426,2,14),(20,5368324,'1',3,421,1,12),(20,5368669,'1',2,216,2,8),(20,5368715,'1',2,308,2,18),(20,5368928,'1',2,308,1,2),(20,5368936,'1',3,601,1,116),(20,5368979,'1',3,102,1,6),(20,5369100,'1',3,426,2,29),(20,5369126,'1',3,108,2,59),(20,5369231,'1',2,501,2,18),(20,5369436,'1',3,2,1,27),(20,5369541,'1',3,207,2,49),(20,5369550,'1',2,324,2,10),(20,5369568,'1',3,211,1,31),(20,5369711,'1',3,110,2,30),(20,5369746,'1',3,202,2,51),(20,5369754,'1',3,5,1,9),(20,5369770,'1',2,309,1,4),(20,5369886,'1',3,424,1,3),(20,5369967,'1',3,3,2,51),(20,5370035,'1',3,653,1,7),(20,5370302,'1',3,108,2,52),(20,5370361,'1',3,308,2,72),(20,5370493,'1',3,102,1,24),(20,5370647,'1',2,551,1,21),(20,5370752,'1A',3,215,1,7),(20,5370809,'1',3,551,1,13),(20,5371031,'1',3,327,2,6),(20,5371082,'1',2,104,2,14),(20,5371090,'1',3,428,1,3),(20,5371201,'1',3,335,1,4),(20,5371341,'1',3,453,1,5),(20,5371422,'1',3,109,2,56),(20,5371562,'1',3,316,2,72),(20,5371570,'1',3,110,2,34),(20,5371627,'1',3,214,2,29),(20,5371651,'1',3,320,2,19),(20,5372194,'1',1,302,1,2),(20,5372208,'1',3,652,1,3),(20,5372518,'1',3,316,2,39),(20,5372844,'1',3,404,2,35),(20,5372852,'1',3,339,2,26),(20,5372968,'1',3,301,1,8),(20,5373093,'1',3,304,2,78),(20,5373344,'1',3,336,1,9),(20,5373468,'1',3,109,2,51),(20,5373476,'1',2,301,2,20),(20,5373522,'1',3,427,1,20),(20,5373689,'1',3,428,1,29),(20,5373760,'1',3,337,1,6),(20,5373875,'1',3,501,1,3),(20,5374014,'1',3,109,1,13),(20,5374162,'1',3,304,1,7),(20,5374278,'1',3,501,2,65),(20,5374316,'1',3,336,1,11),(20,5374529,'1',3,452,2,26),(20,5374570,'1',3,110,2,31),(20,5374596,'1',3,444,1,20),(20,5374677,'1',3,501,1,39),(20,5374685,'1',1,211,1,3),(20,5374898,'1',3,308,1,28),(20,5375002,'1',3,421,1,9),(20,5375088,'1',3,337,1,18),(20,5375371,'1',2,238,2,20),(20,5375380,'1',3,425,1,9),(20,5375401,'1',2,424,1,2),(20,5375428,'1',3,332,2,3),(20,5375517,'1',3,502,2,40),(20,5375533,'1',3,3,2,59),(20,5375649,'1',2,316,2,18),(20,5375665,'1',2,225,1,7),(20,5375800,'1',3,426,2,24),(20,5375827,'1A',3,211,2,50),(20,5376149,'1',3,404,1,4),(20,5376190,'1',2,450,1,2),(20,5376289,'1A',3,238,1,17),(20,5376351,'1',3,235,2,40),(20,5376408,'1',3,653,1,19),(20,5376432,'1',3,102,2,76),(20,5376459,'1',3,104,2,77),(20,5376661,'1',3,310,1,6),(20,5376793,'1',2,103,2,15),(20,5376882,'1',2,339,1,6),(20,5376939,'1',2,203,2,15),(20,5377145,'1',3,324,1,29),(20,5377250,'1A',3,238,1,29),(20,5377447,'1',3,427,1,6),(20,5377609,'1',3,304,2,45),(20,5377714,'1',3,207,2,33),(20,5377773,'1',3,324,2,34),(20,5377870,'1',3,318,2,63),(20,5377927,'1',1,327,2,3),(20,5378001,'1',2,225,1,8),(20,5378036,'1',3,320,2,20),(20,5378273,'1',2,404,2,9),(20,5378559,'1',2,329,1,3),(20,5378575,'1',3,104,1,16),(20,5378737,'1',2,444,2,12),(20,5378923,'1',2,110,1,11),(20,5378931,'1',2,329,1,2),(20,5378940,'1',3,234,1,13),(20,5379105,'1',3,233,1,12),(20,5379210,'1',2,2,1,6),(20,5379490,'1A',2,220,2,13),(20,5379636,'1',3,110,1,21),(20,5379660,'1',3,651,1,13),(20,5379814,'1A',3,213,1,4),(20,5379938,'1',1,340,1,1),(20,5380120,'1',3,501,2,62),(20,5380227,'1',3,424,1,15),(20,5380413,'1',3,452,1,7),(20,5380464,'1',3,5,2,63),(20,5380588,'1',3,238,2,45),(20,5380634,'1',3,444,2,44),(20,5380685,'1',3,308,2,63),(20,5380863,'1',3,214,1,15),(20,5380910,'1',3,339,1,15),(20,5380987,'1',3,503,2,48),(20,5381045,'1',3,109,1,15),(20,5381053,'1',3,207,1,25),(20,5381231,'1A',3,202,1,22),(20,5381240,'1',3,309,1,14),(20,5381258,'1',3,202,1,4),(20,5381274,'1',3,308,1,6),(20,5381282,'1',3,108,2,51),(20,5381290,'1A',3,601,2,252),(20,5381371,'1',3,308,1,13),(20,5381380,'1',3,302,1,2),(20,5381401,'1A',3,208,1,24),(20,5381428,'1A',3,212,2,23),(20,5381568,'1',3,324,2,46),(20,5381576,'1',3,301,1,19),(20,5381606,'1',2,444,1,3),(20,5381622,'1',3,332,2,25),(20,5381690,'1',2,326,1,8),(20,5381720,'1',3,303,1,5),(20,5381851,'1',2,601,1,3),(20,5381975,'1',3,451,1,3),(20,5382017,'1',3,424,1,25),(20,5382050,'1',3,503,2,52),(20,5382092,'1',3,202,1,23),(20,5382106,'1',3,319,2,45),(20,5382211,'1',2,429,2,2),(20,5382335,'1',2,336,1,1),(20,5382351,'1',2,329,1,7),(20,5382475,'1',3,601,2,301),(20,5382670,'1',3,220,1,16),(20,5382998,'1',2,211,1,3),(20,5383030,'1',3,205,1,13),(20,5383498,'1',3,326,1,25),(20,5383528,'1',2,238,1,9),(20,5383617,'1',3,331,1,9),(20,5383668,'1',3,9,1,22),(20,5383684,'1',3,429,2,2),(20,5383714,'1',3,205,2,28),(20,5383790,'1',2,110,1,13),(20,5383897,'1A',3,601,2,183),(20,5383994,'1',1,207,1,4),(20,5384060,'1',3,450,1,11),(20,5384087,'1',3,308,2,49),(20,5384176,'1',2,337,1,2),(20,5384370,'1',3,501,1,9),(20,5384397,'1',3,234,1,3),(20,5384532,'1',2,303,1,8),(20,5384672,'1',3,320,2,31),(20,5384834,'1',3,205,1,14),(20,5385075,'1',3,329,1,2),(20,5385130,'1',3,103,2,63),(20,5385202,'1',2,319,1,5),(20,5385245,'1',3,451,1,8),(20,5385261,'1',3,324,1,9),(20,5385440,'1',3,453,2,20),(20,5385466,'1',2,324,1,7),(20,5385474,'1',3,207,2,45),(20,5385580,'1',3,317,2,41),(20,5385768,'1',3,316,2,46),(20,5385784,'1',2,501,2,15),(20,5385890,'1',3,318,2,42),(20,5385946,'1',3,332,2,22),(20,5386012,'1A',3,601,1,90),(20,5386110,'1',3,601,2,304),(20,5386187,'1',2,503,2,10),(20,5386330,'1',2,318,1,7),(20,5386349,'1',3,109,1,27),(20,5386420,'1',2,208,2,16),(20,5386470,'1A',3,601,2,291),(20,5386624,'1',3,501,1,1),(20,5386667,'1',3,653,2,49),(20,5386748,'1A',3,202,2,52),(20,5386756,'1',2,339,2,12),(20,5386764,'1',3,201,2,75),(20,5386829,'1',2,223,1,4),(20,5386853,'1',3,329,1,10),(20,5386918,'1',3,109,1,29),(20,5387043,'1',3,317,1,14),(20,5387175,'1',3,327,2,3),(20,5387248,'1',1,339,1,1),(20,5387264,'1',2,103,1,6),(20,5387272,'1',3,424,1,27),(20,5387302,'1',3,102,1,52),(20,5387426,'1A',2,213,1,4),(20,5387639,'1A',3,653,1,12),(20,5387841,'1',3,102,1,47),(20,5387914,'1',2,404,2,12),(20,5388007,'1A',1,202,1,1),(20,5388139,'1',3,332,2,8),(20,5388155,'1',3,318,2,59),(20,5388384,'1',2,503,2,8),(20,5388414,'1',3,205,2,17),(20,5388481,'1A',3,429,2,30),(20,5388589,'1',3,332,2,12),(20,5388775,'1',3,324,1,23),(20,5388830,'1',3,415,1,19),(20,5388872,'1',3,404,2,34),(20,5389003,'1',3,2,1,39),(20,5389020,'1',3,301,1,29),(20,5389208,'1',2,5,2,14),(20,5389275,'1A',3,202,1,19),(20,5389364,'1A',2,233,2,13),(20,5389453,'1A',3,601,1,144),(20,5389496,'1',3,326,1,29),(20,5389658,'1',3,101,1,12),(20,5389666,'1',3,338,1,1),(20,5389747,'1',2,202,1,7),(20,5390052,'1A',3,202,1,26),(20,5390095,'1',2,652,2,14),(20,5390109,'1',2,551,1,12),(20,5390117,'1',2,316,2,13),(20,5390273,'1',2,302,2,13),(20,5390281,'1A',3,428,2,33),(20,5390320,'1',2,428,1,4),(20,5390613,'1',3,108,2,39),(20,5390737,'1',3,309,1,4),(20,5390770,'1',3,601,2,212),(20,5390907,'1',3,331,1,18),(20,5390915,'1',3,420,1,13),(20,5391040,'1',3,205,2,27),(20,5391377,'1',2,214,2,8),(20,5391520,'1',2,224,2,2),(20,5391598,'1A',3,601,2,210),(20,5391954,'1',3,316,2,58),(20,5392152,'1',3,424,1,7),(20,5392381,'1',3,308,1,33),(20,5392420,'1',1,331,1,1),(20,5392535,'1',3,427,1,19),(20,5392551,'1',1,320,2,1),(20,5392608,'1',3,423,1,20),(20,5392705,'1',3,426,2,32),(20,5392756,'1',3,225,1,3),(20,5392888,'1',3,423,1,6),(20,5393035,'1',3,3,1,28),(20,5393124,'1',3,451,1,20),(20,5393230,'1A',3,653,1,6),(20,5393337,'1',3,404,2,40),(20,5393434,'1',3,425,1,31),(20,5393469,'1',2,653,2,9),(20,5393744,'1',3,3,2,40),(20,5393868,'1A',3,202,2,50),(20,5393922,'1',3,428,1,16),(20,5394171,'1',3,428,1,12),(20,5394180,'1',2,451,1,1),(20,5394317,'1',3,108,2,36),(20,5394406,'1',3,104,2,49),(20,5394490,'1',2,428,1,7),(20,5394546,'1',3,339,2,27),(20,5394716,'1',3,424,1,19),(20,5394724,'1',3,234,2,37),(20,5394740,'1A',3,653,1,23),(20,5394783,'1',3,429,2,26),(20,5394872,'1',3,316,1,15),(20,5394988,'1',2,310,1,3),(20,5395119,'1A',3,601,2,333),(20,5395216,'1',3,329,1,26),(20,5395305,'1',2,451,1,6),(20,5395313,'1',3,235,2,33),(20,5395380,'1',3,453,1,6),(20,5395461,'1',3,310,1,23),(20,5395879,'1',3,421,1,4),(20,5396026,'1',3,426,2,5),(20,5396034,'1',3,302,1,10),(20,5396271,'1',2,203,1,8),(20,5396298,'1',1,208,1,1),(20,5396395,'1A',3,651,1,14),(20,5396530,'1',3,304,2,81),(20,5396646,'1',3,502,1,21),(20,5396697,'1',3,651,1,10),(20,5396824,'1',3,318,2,47),(20,5396964,'1',3,318,1,31),(20,5397219,'1',3,324,1,21),(20,5397260,'1',3,3,2,36),(20,5397278,'1',3,301,1,24),(20,5397340,'1',3,501,1,15),(20,5397383,'1',3,225,1,13),(20,5397472,'1',3,336,1,16),(20,5397634,'1',3,601,1,92),(20,5397669,'1',3,503,2,34),(20,5397758,'1',3,426,2,4),(20,5397774,'1A',3,651,1,7),(20,5397782,'1',3,310,1,24),(20,5397944,'1A',2,235,2,7),(20,5397987,'1',3,318,1,5),(20,5398045,'1',3,233,2,37),(20,5398088,'1',3,235,2,47),(20,5398193,'1A',3,215,1,11),(20,5398339,'1',3,310,1,1),(20,5398355,'1',2,317,1,2),(20,5398363,'1',3,404,1,19),(20,5398436,'1',1,453,1,1),(20,5398568,'1A',3,601,1,152),(20,5398576,'1',3,215,2,34),(20,5399041,'1',3,601,2,172),(20,5399300,'1',3,501,1,27),(20,5399475,'1',3,426,2,27),(20,5399505,'1',3,404,1,22),(20,5399513,'1',3,338,1,4),(20,5399572,'1',3,222,1,1),(20,5399599,'1',3,653,2,47),(20,5399726,'1',3,109,2,58),(20,5399742,'1',3,316,1,26),(20,5400082,'1',3,336,1,10),(20,5400198,'1',2,428,2,16),(20,5400341,'1',3,319,1,25),(20,5400457,'1',3,302,2,53),(20,5400511,'1',3,327,2,17),(20,5400562,'1',3,222,1,10),(20,5400600,'1',3,501,1,23),(20,5401003,'1',3,222,1,12),(20,5401232,'1',3,501,1,28),(20,5401259,'1',3,213,2,29),(20,5401283,'1',3,333,1,8),(20,5401313,'1',3,224,2,17),(20,5401518,'1A',2,233,1,5),(20,5401631,'1A',3,601,1,130),(20,5401810,'1',3,601,2,200),(20,5402034,'1',3,310,1,29),(20,5402115,'1',3,601,2,330),(20,5402433,'1',3,329,1,21),(20,5402549,'1',3,329,1,14),(20,5402638,'1',3,304,2,69),(20,5402867,'1',3,304,1,18),(20,5402999,'1',2,428,1,5),(20,5403162,'1',3,318,1,14),(20,5403219,'1',2,653,2,16),(20,5403685,'1',3,652,1,19),(20,5403723,'1',3,3,1,30),(20,5403812,'1',2,5,1,8),(20,5403880,'1',3,234,1,19),(20,5403979,'1',3,234,1,9),(20,5404061,'1',3,501,2,46),(20,5404100,'1',3,238,1,28),(20,5404355,'1',2,318,2,16),(20,5404630,'1',3,331,1,17),(20,5404827,'1A',2,212,2,5),(20,5404843,'1',3,224,2,21),(25,6000010,'1',3,329,1,4),(25,6000118,'1',3,320,2,20),(25,6000185,'1',3,503,1,4),(25,6000215,'1',2,319,2,17),(25,6000240,'1',3,501,1,11),(25,6000282,'1',3,318,1,14),(25,6000290,'1',3,317,2,46),(25,6000339,'1',3,101,2,44),(25,6000401,'1',2,453,2,5),(25,6000592,'1',2,501,1,3),(25,6000649,'1',3,503,1,23),(25,6000770,'1A',3,652,1,11),(25,6000797,'1A',3,233,2,35),(25,6000878,'1',3,224,2,27),(25,6001084,'1',3,327,2,4),(25,6001106,'1',2,310,1,4),(25,6001149,'1',3,3,2,33),(25,6001181,'1',2,316,1,8),(25,6001300,'1',3,327,2,28),(25,6001360,'1',3,5,2,41),(25,6001440,'1',2,601,2,67),(25,6001530,'1',2,415,2,11),(25,6001629,'1',3,423,1,10),(25,6001637,'1',3,424,1,9),(25,6001661,'1',3,452,1,14),(25,6001688,'1',2,302,1,5),(25,6001696,'1A',3,426,2,3),(25,6001734,'1',3,5,1,23),(25,6001750,'1',3,331,1,4),(25,6001769,'1',3,207,2,40),(25,6001920,'1',3,415,2,38),(25,6001980,'1A',3,601,1,153),(25,6002021,'1',3,103,1,5),(25,6002129,'1',3,302,2,64),(25,6002196,'1A',3,211,2,52),(25,6002307,'1',2,320,2,1),(25,6002323,'1',1,208,1,1),(25,6002439,'1',1,319,1,4),(25,6002528,'1A',3,652,1,16),(25,6002544,'1',2,202,2,19),(25,6002595,'1',1,303,1,3),(25,6002609,'1',3,101,2,50),(25,6002625,'1',3,303,2,33),(25,6002668,'1',2,404,1,2),(25,6002838,'1',2,415,2,8),(25,6002900,'1A',3,655,2,42),(25,6002927,'1',2,3,1,6),(25,6002935,'1',1,202,1,2),(25,6002986,'1',3,317,2,55),(25,6003060,'1',3,102,2,95),(25,6003079,'1',3,601,1,130),(25,6003109,'1',3,451,1,16),(25,6003206,'1',2,3,2,14),(25,6003249,'1A',2,653,1,8),(25,6003303,'1',3,335,1,11),(25,6003389,'1',3,102,2,55),(25,6003532,'1',3,415,2,26),(25,6003648,'1',3,208,2,44),(25,6003745,'1',3,208,1,24),(25,6003770,'1',3,103,2,59),(25,6003877,'1',2,303,1,2),(25,6003940,'1A',3,211,1,26),(25,6003958,'1',2,319,2,15),(25,6003990,'1',3,319,1,13),(25,6004024,'1A',3,238,2,64),(25,6004075,'1',1,450,1,2),(25,6004105,'1',3,551,1,21),(25,6004199,'1',3,208,2,67),(25,6004210,'1',3,335,1,15),(25,6004342,'1',3,601,1,93),(25,6004350,'1',1,327,2,3),(25,6004385,'1',2,425,1,8),(25,6004431,'1',3,301,2,55),(25,6004539,'1',2,310,1,2),(25,6004555,'1',3,601,2,298),(25,6004571,'1',3,109,2,57),(25,6004598,'1',1,317,1,2),(25,6004784,'1',2,339,1,6),(25,6004938,'1',1,9,1,2),(25,6004962,'1',3,450,1,18),(25,6004989,'1',3,234,2,42),(25,6005004,'1',1,212,1,2),(25,6005039,'1',3,3,1,7),(25,6005063,'1',2,201,2,20),(25,6005080,'1',3,109,2,31),(25,6005101,'1',3,203,2,52),(25,6005136,'1',2,214,2,8),(25,6005195,'1',3,421,1,25),(25,6005306,'1',3,234,1,28),(25,6005519,'1',3,310,1,6),(25,6005594,'1',3,102,2,91),(25,6005624,'1',3,426,2,24),(25,6005713,'1',1,303,1,1),(25,6005780,'1',3,104,1,14),(25,6005837,'1',3,451,1,18),(25,6005888,'1',3,201,2,43),(25,6005950,'1',2,451,1,6),(25,6006019,'1',2,428,1,3),(25,6006078,'1',2,2,1,5),(25,6006094,'1',3,444,2,25),(25,6006230,'1',3,108,2,57),(25,6006256,'1',2,653,1,3),(25,6006272,'1',2,318,1,9),(25,6006370,'1',2,332,2,1),(25,6006388,'1',3,453,1,12),(25,6006418,'1',3,654,2,41),(25,6006450,'1',1,320,2,1),(25,6006469,'1',2,317,1,9),(25,6006639,'1',3,234,2,54),(25,6006701,'1',1,103,1,1),(25,6006710,'1A',3,211,2,32),(25,6006728,'1',3,501,2,56),(25,6006744,'1',3,109,2,50),(25,6006779,'1',2,201,2,17),(25,6006825,'1',3,202,1,2),(25,6006906,'1A',2,235,2,11),(25,6006914,'1A',2,213,1,3),(25,6006930,'1',3,339,2,37),(25,6007163,'1',3,421,1,24),(25,6007198,'1',3,238,1,3),(25,6007309,'1',3,331,1,12),(25,6007317,'1',3,320,2,13),(25,6007430,'1A',3,211,2,49),(25,6007457,'1',3,101,2,48),(25,6007481,'1A',3,211,2,40),(25,6007520,'1',3,421,1,34),(25,6007554,'1',2,317,1,7),(25,6007678,'1',2,101,2,15),(25,6007732,'1A',3,213,2,20),(25,6007910,'1',3,340,1,3),(25,6007929,'1',3,223,1,1),(25,6007953,'1',3,452,2,22),(25,6007988,'1',3,208,2,69),(25,6007996,'1',2,104,1,4),(25,6008097,'1',3,203,1,17),(25,6008216,'1',1,326,1,2),(25,6008267,'1',3,421,1,11),(25,6008283,'1',3,102,2,78),(25,6008321,'1',2,319,1,6),(25,6008380,'1A',3,235,1,12),(25,6008410,'1',3,211,1,11),(25,6008445,'1',2,233,1,2),(25,6008470,'1',3,102,2,70),(25,6008496,'1',3,102,2,59),(25,6008526,'1',2,301,1,9),(25,6008550,'1',3,652,2,64),(25,6008631,'1',3,340,1,6),(25,6008836,'1',3,601,1,121),(25,6008844,'1',2,109,2,14),(25,6009018,'1',2,303,2,13),(25,6009026,'1',3,317,2,54),(25,6009158,'1',3,327,2,17),(25,6009166,'1',2,3,1,1),(25,6009190,'1',3,205,2,22),(25,6009204,'1',1,201,1,3),(25,6009247,'1A',2,214,2,5),(25,6009298,'1',3,109,1,12),(25,6009379,'1',3,301,1,33),(25,6009387,'1',3,340,2,54),(25,6009450,'1',2,215,1,3),(25,6009484,'1',2,5,2,18),(25,6009492,'1A',3,212,1,9),(25,6009522,'1',3,317,2,61),(25,6009662,'1A',3,601,2,161),(25,6009697,'1',3,234,2,43),(25,6009700,'1',3,110,2,41),(25,6009751,'1',3,426,2,5),(25,6009760,'1',2,302,1,1),(25,6009816,'1',2,452,2,6),(25,6009840,'1A',2,429,2,8),(25,6009867,'1',3,319,1,23),(25,6009883,'1',2,211,1,9),(25,6010008,'1',2,601,2,69),(25,6010016,'1',3,103,1,23),(25,6010024,'1',3,601,1,152),(25,6010032,'1',3,326,1,18),(25,6010105,'1',2,551,2,21),(25,6010202,'1A',3,601,1,18),(25,6010253,'1',3,309,2,29),(25,6010296,'1',3,104,2,55),(25,6010326,'1',3,421,1,3),(25,6010423,'1',3,502,2,39),(25,6010482,'1',3,429,2,25),(25,6010504,'1',3,101,1,5),(25,6010610,'1',3,211,1,17),(25,6010687,'1A',3,233,1,19),(25,6010733,'1',3,234,2,48),(25,6010776,'1',3,102,1,45),(25,6010849,'1',3,336,1,10),(25,6010938,'1A',3,233,2,34),(25,6011039,'1',1,421,1,1),(25,6011071,'1A',2,233,2,11),(25,6011276,'1',3,503,1,18),(25,6011411,'1',1,203,1,4),(25,6011438,'1',3,308,1,21),(25,6011462,'1',3,310,1,8),(25,6011470,'1A',3,601,1,149),(25,6011497,'1',3,2,1,24),(25,6011543,'1',3,3,1,17),(25,6011624,'1A',2,424,1,4),(25,6011659,'1',3,203,2,39),(25,6011675,'1',3,340,1,26),(25,6011713,'1',3,551,2,105),(25,6011810,'1A',3,233,2,26),(25,6011837,'1',1,214,1,1),(25,6011926,'1A',3,601,2,236),(25,6011969,'1',3,601,2,254),(25,6011985,'1',3,331,1,10),(25,6012000,'1A',1,208,2,7),(25,6012043,'1',3,220,1,9),(25,6012086,'1',3,101,1,17),(25,6012167,'1',3,421,1,6),(25,6012183,'1',1,415,1,2),(25,6012221,'1A',3,212,1,10),(25,6012230,'1',3,235,2,41),(25,6012264,'1',3,233,1,16),(25,6012302,'1',3,201,2,73),(25,6012329,'1',2,201,2,13),(25,6012400,'1',3,102,1,6),(25,6012418,'1',3,301,1,24),(25,6012450,'1',2,103,2,17),(25,6012469,'1',2,202,1,7),(25,6012493,'1',3,317,1,7),(25,6012523,'1',3,233,2,50),(25,6012590,'1',2,551,1,17),(25,6012647,'1',3,333,1,19),(25,6012671,'1',3,428,2,48),(25,6012779,'1',3,601,2,226),(25,6012868,'1',3,109,1,21),(25,6012914,'1',3,421,1,28),(25,6012930,'1',3,420,1,14),(25,6012957,'1',3,324,2,33),(25,6013007,'1',1,205,1,1),(25,6013074,'1',3,316,1,18),(25,6013082,'1',3,654,2,40),(25,6013228,'1',3,428,2,41),(25,6013244,'1',3,308,2,58),(25,6013287,'1',2,3,2,16),(25,6013295,'1',2,208,1,2),(25,6013325,'1',2,308,2,12),(25,6013406,'1',3,319,1,3),(25,6013414,'1A',3,429,2,24),(25,6013430,'1',3,308,1,17),(25,6013511,'1',3,216,2,33),(25,6013538,'1',3,331,1,6),(25,6013600,'1',2,327,2,1),(25,6013643,'1A',3,201,2,64),(25,6013724,'1',3,201,2,54),(25,6013732,'1',2,308,1,8),(25,6013775,'1',3,428,2,31),(25,6013791,'1',2,201,2,14),(25,6013821,'1',3,110,1,14),(25,6013830,'1',2,223,1,3),(25,6013988,'1',2,208,2,18),(25,6013996,'1',3,317,2,58),(25,6014046,'1',3,201,2,72),(25,6014054,'1',1,233,1,3),(25,6014089,'1',3,235,1,6),(25,6014127,'1',3,415,2,28),(25,6014143,'1',3,212,2,25),(25,6014232,'1',3,317,1,8),(25,6014313,'1',1,103,1,4),(25,6014330,'1',3,234,1,23),(25,6014461,'1',2,102,1,7),(25,6014488,'1',3,109,2,51),(25,6014526,'1',3,652,1,28),(25,6014615,'1',3,655,1,8),(25,6014631,'1A',3,601,2,269),(25,6014658,'1',2,428,1,6),(25,6014682,'1A',2,601,2,46),(25,6014771,'1',2,340,1,7),(25,6015077,'1A',3,202,2,65),(25,6015190,'1',3,109,2,52),(25,6015425,'1',3,224,2,9),(25,6015433,'1',3,551,2,127),(25,6015654,'1A',2,655,1,4),(25,6015867,'1',3,333,1,16),(25,6015921,'1A',3,202,2,72),(25,6015972,'1',2,318,2,11),(25,6016081,'1',3,9,1,12),(25,6016090,'1',3,601,2,297),(25,6016146,'1',2,110,2,10),(25,6016162,'1',2,213,1,2),(25,6016170,'1',3,324,1,22),(25,6016197,'1',3,224,2,10),(25,6016219,'1',2,103,1,1),(25,6016251,'1',2,318,2,17),(25,6016260,'1',3,327,2,14),(25,6016405,'1',3,216,2,26),(25,6016430,'1',3,316,1,26),(25,6016472,'1',3,502,1,9),(25,6016510,'1',3,302,2,42),(25,6016553,'1',3,420,2,16),(25,6016677,'1',3,238,1,23),(25,6016804,'1',3,304,1,9),(25,6016910,'1',2,9,1,5),(25,6017185,'1',3,309,2,56),(25,6017223,'1',3,428,1,29),(25,6017240,'1',1,303,2,9),(25,6017258,'1A',3,233,2,41),(25,6017398,'1',1,317,2,6),(25,6017487,'1',3,333,1,13),(25,6017541,'1',2,308,1,9),(25,6017550,'1',3,415,1,4),(25,6017568,'1',3,5,2,42),(25,6017703,'1',1,415,1,1),(25,6017835,'1',3,429,2,5),(25,6017886,'1',2,110,2,12),(25,6017991,'1',1,103,1,5),(25,6018149,'1',2,324,1,2),(25,6018165,'1A',3,652,1,2),(25,6018203,'1',3,428,2,53),(25,6018220,'1',3,110,2,58),(25,6018262,'1',2,335,2,7),(25,6018491,'1',3,303,2,58),(25,6018530,'1',3,225,1,38),(25,6018548,'1',3,3,2,40),(25,6018610,'1',2,503,2,8),(25,6018670,'1',2,104,2,13),(25,6018696,'1A',3,655,1,19),(25,6018700,'1',2,444,2,9),(25,6018769,'1A',2,238,2,18),(25,6019064,'1',2,340,2,15),(25,6019080,'1',3,220,2,32),(25,6019102,'1',3,3,2,53),(25,6019170,'1A',3,601,1,51),(25,6019188,'1A',3,652,2,52),(25,6019226,'1',2,110,1,8),(25,6019269,'1A',2,211,1,5),(25,6019285,'1',3,426,2,29),(25,6019420,'1',3,302,1,15),(25,6019480,'1',3,211,2,36),(25,6019536,'1',3,5,1,19),(25,6019650,'1',3,238,1,4),(25,6019684,'1',3,207,1,10),(25,6020100,'1',3,303,1,29),(25,6020143,'1',3,421,1,17),(25,6020348,'1',3,551,1,70),(25,6020356,'1',2,317,2,11),(25,6020682,'1',2,318,1,3),(25,6020704,'1',3,215,2,37),(25,6020712,'1',3,208,1,20),(25,6020860,'1',1,652,1,3),(25,6020887,'1',3,318,2,53),(25,6021220,'1',2,551,1,9),(25,6021298,'1A',3,238,1,12),(25,6021476,'1',3,601,2,277),(25,6021549,'1',3,319,2,62),(25,6021743,'1',3,110,2,47),(25,6021824,'1A',3,235,1,14),(25,6021840,'1',3,104,1,19),(25,6021999,'1',3,332,2,28),(25,6022120,'1',1,310,1,1),(25,6022146,'1',3,101,1,16),(25,6022162,'1',2,601,1,5),(25,6022170,'1',2,319,1,1),(25,6022235,'1',3,502,1,13),(25,6022367,'1',3,301,1,28),(25,6022375,'1',3,328,1,26),(25,6022456,'1A',3,601,1,19),(25,6022480,'1',3,501,2,70),(25,6022499,'1',3,214,2,19),(25,6022537,'1',3,303,2,60),(25,6022588,'1',3,304,1,10),(25,6022707,'1',3,212,2,21),(25,6022740,'1',3,501,1,7),(25,6022766,'1A',3,233,2,47),(25,6022804,'1',3,211,1,10),(25,6022855,'1',3,503,1,1),(25,6022871,'1',3,338,1,3),(25,6022898,'1',3,104,1,24),(25,6022952,'1',3,225,1,19),(25,6022995,'1',3,340,1,18),(25,6023002,'1',3,415,2,30),(25,6023045,'1',3,502,1,27),(25,6023061,'1',1,444,2,6),(25,6023100,'1',2,327,2,8),(25,6023118,'1',3,425,1,19),(25,6023134,'1A',3,208,2,42),(25,6023142,'1A',2,202,2,12),(25,6023274,'1',2,302,2,14),(25,6023347,'1',1,301,1,2),(25,6023380,'1',3,429,2,19),(25,6023509,'1',3,205,1,8),(25,6023665,'1',3,109,1,17),(25,6023681,'1',3,601,2,223),(25,6023754,'1',3,340,2,36),(25,6023940,'1',3,331,1,7),(25,6024009,'1',3,3,1,1),(25,6024017,'1',3,652,1,22),(25,6024050,'1',2,404,2,12),(25,6024106,'1',3,216,1,4),(25,6024122,'1A',3,212,1,7),(25,6024190,'1',2,9,1,1),(25,6024254,'1',3,203,2,51),(25,6024270,'1',3,103,2,40),(25,6024289,'1',3,304,1,1),(25,6024297,'1',1,303,1,5),(25,6024300,'1',3,213,2,23),(25,6024335,'1',1,211,1,5),(25,6024432,'1',3,551,2,125),(25,6024483,'1',3,234,2,47),(25,6024505,'1',3,216,1,6),(25,6024521,'1',2,104,2,19),(25,6024548,'1',3,225,1,25),(25,6024610,'1',1,319,1,2),(25,6024629,'1',3,104,2,36),(25,6024653,'1',3,429,2,17),(25,6024726,'1',3,316,1,29),(25,6024750,'1',3,103,1,1),(25,6024793,'1',2,652,1,5),(25,6024882,'1',1,302,1,5),(25,6024890,'1',3,3,1,20),(25,6024904,'1',3,101,2,26),(25,6024912,'1A',3,652,1,9),(25,6025013,'1',3,340,1,19),(25,6025145,'1',2,340,1,4),(25,6025226,'1',3,223,1,30),(25,6025277,'1',3,223,1,9),(25,6025293,'1',3,316,2,36),(25,6025323,'1',3,201,2,65),(25,6025587,'1',3,601,2,303),(25,6025625,'1',3,653,1,17),(25,6025641,'1',3,233,1,8),(25,6025790,'1',3,601,1,12),(25,6025846,'1',3,103,2,51),(25,6025870,'1',3,238,2,58),(25,6025897,'1',3,104,2,60),(25,6025919,'1',3,215,2,28),(25,6025935,'1',3,104,1,34),(25,6026001,'1',3,216,2,28),(25,6026036,'1',3,201,1,21),(25,6026087,'1',3,339,1,14),(25,6026346,'1',3,207,1,8),(25,6026370,'1',3,224,2,3),(25,6026419,'1',3,207,1,28),(25,6026540,'1',3,415,1,17),(25,6026605,'1',3,220,2,41),(25,6026770,'1',3,324,2,38),(25,6026796,'1A',3,212,1,6),(25,6026834,'1A',3,601,1,64),(25,6026850,'1',3,420,1,9),(25,6026885,'1',3,340,1,5),(25,6026907,'1',3,3,2,34),(25,6026923,'1',3,319,2,36),(25,6027032,'1',3,108,1,5),(25,6027067,'1',3,103,1,35),(25,6027113,'1',3,202,1,9),(25,6027130,'1',3,109,1,19),(25,6027199,'1',3,110,2,60),(25,6027229,'1',3,3,1,18),(25,6027253,'1',3,501,2,54),(25,6027261,'1',3,415,1,13),(25,6027300,'1A',3,211,1,23),(25,6027334,'1',3,2,1,1),(25,6027393,'1',3,426,2,4),(25,6027407,'1',2,501,2,19),(25,6027539,'1',3,216,2,19),(25,6027571,'1',3,601,2,301),(25,6027601,'1',3,203,2,62),(25,6027628,'1',3,238,1,19),(25,6027644,'1',2,324,1,8),(25,6027660,'1',3,5,1,6),(25,6027750,'1',2,339,2,12),(25,6027768,'1',3,238,2,38),(25,6027776,'1',3,309,2,53),(25,6027822,'1',2,601,1,7),(25,6027954,'1',3,501,2,79),(25,6028098,'1',3,337,1,8),(25,6028187,'1',3,318,2,42),(25,6028195,'1',3,203,1,8),(25,6028292,'1',3,601,2,304),(25,6028349,'1',3,424,1,20),(25,6028357,'1A',3,235,2,30),(25,6028390,'1',3,102,1,30),(25,6028438,'1',3,104,2,48),(25,6028497,'1',3,551,2,117),(25,6028500,'1',3,318,1,26),(25,6028594,'1',3,103,1,27),(25,6028675,'1',3,110,1,17),(25,6028772,'1',2,316,2,11),(25,6028799,'1A',3,601,1,101),(25,6028810,'1A',3,201,2,66),(25,6028853,'1',3,5,2,53),(25,6028870,'1',2,338,1,1),(25,6028896,'1',3,2,1,27),(25,6028900,'1',2,224,2,5),(25,6029175,'1',3,108,1,1),(25,6029205,'1',3,203,1,33),(25,6029248,'1',3,215,2,31),(25,6029299,'1',2,101,1,5),(25,6029310,'1',3,233,2,25),(25,6029370,'1',3,601,2,267),(25,6029442,'1',3,415,2,24),(25,6029450,'1',3,655,2,34),(25,6029477,'1',3,655,1,9),(25,6029620,'1A',3,211,1,29),(25,6029655,'1',3,9,1,2),(25,6029736,'1',3,503,2,44),(25,6029744,'1',3,108,2,42),(25,6029825,'1',2,303,1,3),(25,6029841,'1',3,207,1,25),(25,6029850,'1',3,201,2,48),(25,6029930,'1',3,336,1,17),(25,6029965,'1',3,224,2,23),(25,6030017,'1',3,207,1,26),(25,6030050,'1',2,201,1,8),(25,6030106,'1',3,303,2,36),(25,6030130,'1A',3,601,2,182),(25,6030149,'1',3,103,1,8),(25,6030181,'1',3,601,1,96),(25,6030220,'1A',3,429,2,30),(25,6030270,'1',3,102,2,100),(25,6030394,'1',2,303,2,15),(25,6030416,'1',2,336,1,2),(25,6030432,'1',3,501,1,26),(25,6030459,'1A',3,652,1,29),(25,6030521,'1',3,337,1,10),(25,6030610,'1',3,420,1,11),(25,6030874,'1',3,316,1,32),(25,6030912,'1A',3,211,1,21),(25,6030939,'1',2,601,2,63),(25,6030998,'1',3,9,1,29),(25,6031013,'1A',3,601,2,183),(25,6031196,'1',3,225,1,26),(25,6031315,'1',3,9,1,24),(25,6031420,'1',3,104,2,71),(25,6031439,'1',3,601,2,308),(25,6031552,'1A',3,211,2,55),(25,6031617,'1',3,109,1,16),(25,6031749,'1',3,318,2,62),(25,6031854,'1',3,101,1,9),(25,6031900,'1',3,102,2,54),(25,6032141,'1',3,109,2,42),(25,6032176,'1',3,332,2,21),(25,6032303,'1',3,233,1,3),(25,6032435,'1A',3,214,2,20),(25,6032451,'1',3,452,1,4),(25,6032494,'1',3,444,2,36),(25,6032508,'1',3,337,1,16),(25,6032591,'1',3,301,1,14),(25,6032613,'1A',3,212,1,12),(25,6032702,'1A',3,652,2,51),(25,6032729,'1',2,203,1,1),(25,6032737,'1',3,319,1,30),(25,6032745,'1',3,501,1,29),(25,6032869,'1',3,423,1,7),(25,6032907,'1A',3,652,1,5),(25,6032915,'1',3,502,1,15),(25,6032990,'1',3,340,1,27),(25,6033008,'1',2,652,2,18),(25,6033130,'1',3,302,2,57),(25,6033199,'1',3,101,1,12),(25,6033229,'1A',3,208,1,16),(25,6033695,'1',2,338,1,3),(25,6033709,'1',3,420,2,21),(25,6033768,'1',3,202,2,70),(25,6033792,'1A',3,601,2,256),(25,6033873,'1',3,601,2,293),(25,6034063,'1',3,216,1,15),(25,6034128,'1',2,225,1,10),(25,6034314,'1',3,216,2,31),(25,6034357,'1',3,320,2,1),(25,6034365,'1A',3,207,2,42),(25,6034438,'1',3,101,2,28),(25,6034454,'1',3,233,1,20),(25,6034691,'1',3,601,2,271),(25,6034799,'1',3,104,1,4),(25,6034802,'1',3,453,1,5),(25,6034810,'1',3,211,1,6),(25,6034829,'1',3,208,1,2),(25,6034985,'1',1,601,1,2),(25,6034993,'1',3,238,2,62),(25,6035159,'1',1,309,1,3),(25,6035175,'1',3,310,1,1),(25,6035191,'1',3,205,2,20),(25,6035264,'1',3,207,1,5),(25,6035302,'1',2,238,1,7),(25,6035353,'1',2,601,1,20),(25,6035426,'1',3,103,1,18),(25,6035450,'1',2,304,2,13),(25,6035469,'1',3,303,1,9),(25,6035515,'1',1,308,1,2),(25,6035639,'1A',3,215,2,20),(25,6035698,'1',3,109,2,37),(25,6035787,'1',2,5,1,8),(25,6035795,'1',3,102,1,5),(25,6035809,'1',2,208,2,19),(25,6035892,'1',3,214,1,9),(25,6035914,'1',3,309,2,30),(25,6035990,'1',2,104,2,15),(25,6036074,'1',3,501,1,10),(25,6036279,'1A',3,601,2,198),(25,6036341,'1',3,451,1,4),(25,6036457,'1',3,203,1,25),(25,6036562,'1A',3,202,1,17),(25,6036627,'1',3,452,1,2),(25,6036643,'1',3,551,1,37),(25,6036660,'1A',3,220,2,51),(25,6036686,'1',2,303,1,6),(25,6036724,'1',3,310,1,23),(25,6036775,'1',3,424,1,2),(25,6036783,'1',3,304,2,68),(25,6036830,'1A',3,202,2,56),(25,6036856,'1',3,328,1,18),(25,6036899,'1',3,452,1,7),(25,6036902,'1',2,207,1,4),(25,6037054,'1',2,238,2,11),(25,6037062,'1',3,303,1,1),(25,6037089,'1A',2,202,2,17),(25,6037194,'1',3,654,2,31),(25,6037364,'1',2,601,1,15),(25,6037410,'1',2,225,1,14),(25,6037437,'1',2,9,1,7),(25,6037496,'1',3,501,2,45),(25,6037739,'1A',3,202,2,71),(25,6037755,'1',3,203,2,45),(25,6037801,'1',3,2,1,14),(25,6037852,'1',2,203,2,14),(25,6037887,'1',3,655,1,5),(25,6037950,'1',3,208,1,6),(25,6037992,'1',3,501,2,40),(25,6038034,'1',3,415,1,2),(25,6038093,'1',3,109,1,3),(25,6038182,'1',3,5,1,21),(25,6038220,'1',2,203,1,6),(25,6038328,'1A',3,423,1,21),(25,6038336,'1',3,214,2,15),(25,6038425,'1',2,653,1,1),(25,6038549,'1',2,9,1,2),(25,6038557,'1',3,339,2,40),(25,6038573,'1',3,207,2,50),(25,6038590,'1',3,302,2,60),(25,6038646,'1',3,101,2,35),(25,6038689,'1',2,233,2,14),(25,6038743,'1',3,3,1,11),(25,6038751,'1',3,337,1,2),(25,6038832,'1',3,654,2,38),(25,6039006,'1',3,203,1,34),(25,6039103,'1',3,452,2,20),(25,6039227,'1',2,9,1,6),(25,6039235,'1',2,102,1,12),(25,6039243,'1',3,235,2,35),(25,6039286,'1',3,213,2,27),(25,6039332,'1',2,103,1,9),(25,6039359,'1',3,220,1,18),(25,6039375,'1',3,503,2,27),(25,6039383,'1',1,453,1,2),(25,6039405,'1',3,319,2,47),(25,6039480,'1',2,201,2,19),(25,6039634,'1',3,339,1,12),(25,6039707,'1',1,319,2,7),(25,6039766,'1',3,328,1,27),(25,6039847,'1',3,327,2,15),(25,6039901,'1',2,320,2,7),(25,6039960,'1',3,235,2,44),(25,6040217,'1',2,655,1,5),(25,6040225,'1',2,316,2,17),(25,6040241,'1',2,339,1,4),(25,6040330,'1',2,316,1,3),(25,6040390,'1',3,326,1,7),(25,6040420,'1',3,109,2,43),(25,6040713,'1',1,501,1,3),(25,6040730,'1',3,304,2,59),(25,6040764,'1',3,238,1,2),(25,6040829,'1',1,220,1,2),(25,6040861,'1',3,308,2,61),(25,6040977,'1',3,317,1,1),(25,6040985,'1',3,225,1,49),(25,6041000,'1A',3,421,1,31),(25,6041027,'1',3,207,1,17),(25,6041159,'1',2,601,2,72),(25,6041221,'1',2,216,1,4),(25,6041280,'1',3,601,1,118),(25,6041345,'1A',3,426,2,11),(25,6041612,'1',3,320,2,4),(25,6041671,'1',3,101,1,14),(25,6041876,'1A',3,601,2,191),(25,6041906,'1',3,426,2,27),(25,6041922,'1A',3,652,2,39),(25,6041957,'1',3,655,2,44),(25,6041981,'1',3,339,2,36),(25,6042007,'1',3,601,1,146),(25,6042066,'1',2,5,1,1),(25,6042171,'1',3,653,2,33),(25,6042180,'1',3,316,2,43),(25,6042260,'1',3,302,2,54),(25,6042325,'1',3,9,1,15),(25,6042490,'1A',3,652,2,50),(25,6042503,'1',3,318,1,23),(25,6042511,'1',2,450,1,2),(25,6042783,'1',2,207,2,9),(25,6042929,'1A',2,202,1,6),(25,6043054,'1',2,444,1,1),(25,6043070,'1',3,308,2,72),(25,6043089,'1',3,337,1,17),(25,6043240,'1',3,653,2,45),(25,6043267,'1',3,9,1,30),(25,6043305,'1',3,404,2,23),(25,6043437,'1',2,207,1,2),(25,6043470,'1',1,103,2,8),(25,6043496,'1',3,201,1,36),(25,6043500,'1',2,308,1,3),(25,6043542,'1',3,301,2,41),(25,6043585,'1',3,428,2,42),(25,6043739,'1',2,205,2,7),(25,6043755,'1A',2,601,2,42),(25,6043836,'1',2,318,2,16),(25,6044140,'1',3,551,2,87),(25,6044247,'1',2,207,1,3),(25,6044387,'1',3,110,1,12),(25,6044441,'1',2,233,2,13),(25,6044590,'1',3,501,2,55),(25,6044646,'1',2,205,2,8),(25,6044670,'1',1,319,2,9),(25,6044697,'1',2,453,1,1),(25,6044824,'1',3,220,2,45),(25,6044891,'1',3,317,2,35),(25,6044948,'1',3,108,2,54),(25,6044972,'1',2,319,1,3),(25,6044980,'1',3,319,2,59),(25,6045057,'1',3,223,1,22),(25,6045448,'1',2,5,1,6),(25,6045570,'1',2,601,2,64),(25,6045600,'1',3,309,2,50),(25,6045707,'1A',3,601,1,30),(25,6045723,'1',3,304,1,28),(25,6045812,'1',3,601,2,231),(25,6045863,'1',3,220,2,28),(25,6045928,'1',3,601,2,167),(25,6046142,'1A',3,233,1,24),(25,6046177,'1',3,652,2,44),(25,6046495,'1',3,5,2,54),(25,6046851,'1',2,302,2,16),(25,6046860,'1',3,502,2,34),(25,6046878,'1',3,319,2,38),(25,6047017,'1',3,324,1,7),(25,6047378,'1',2,450,1,1),(25,6047432,'1',3,223,1,11),(25,6047459,'1',2,220,1,1),(25,6047467,'1',3,452,1,3),(25,6047530,'1',2,205,1,4),(25,6047564,'1',1,238,1,3),(25,6047580,'1',3,233,1,7),(25,6047599,'1',3,601,1,116),(25,6047610,'1',3,238,1,20),(25,6047629,'1',3,104,2,50),(25,6047653,'1',3,304,1,15),(25,6047750,'1',3,654,1,1),(25,6047890,'1',3,103,2,54),(25,6047912,'1',2,318,1,8),(25,6047955,'1',3,601,1,148),(25,6048170,'1',2,9,1,3),(25,6048226,'1',3,601,2,194),(25,6048242,'1',3,319,1,31),(25,6048340,'1',3,104,1,22),(25,6048358,'1',3,601,1,13),(25,6048455,'1',2,415,2,9),(25,6048625,'1',2,331,1,5),(25,6048676,'1A',2,208,2,12),(25,6048706,'1',3,9,1,23),(25,6048757,'1',3,451,1,9),(25,6048765,'1',3,601,1,37),(25,6048790,'1',3,223,1,35),(25,6048897,'1',3,5,1,28),(25,6048935,'1',3,338,1,15),(25,6049044,'1',3,301,2,71),(25,6049060,'1',3,233,2,40),(25,6049125,'1',3,208,2,37),(25,6049222,'1',3,225,1,28),(25,6049362,'1',2,3,2,13),(25,6049710,'1',2,320,2,2),(25,6049770,'1A',2,235,1,6),(25,6049796,'1',2,102,2,23),(25,6049834,'1',1,452,1,1),(25,6049842,'1',3,340,2,45),(25,6049966,'1',3,103,1,9),(25,6049990,'1',3,304,2,58),(25,6050077,'1A',3,220,2,40),(25,6050131,'1',2,110,1,6),(25,6050166,'1',1,102,1,4),(25,6050174,'1',3,333,1,17),(25,6050190,'1',3,304,2,43),(25,6050220,'1',3,317,1,10),(25,6050336,'1A',3,601,1,133),(25,6050379,'1',2,331,1,8),(25,6050395,'1',3,428,1,8),(25,6050433,'1A',3,233,2,27),(25,6050492,'1',3,235,2,42),(25,6050581,'1',2,102,2,24),(25,6050697,'1',3,214,1,3),(25,6050778,'1',3,551,1,5),(25,6050786,'1A',3,428,2,32),(25,6050859,'1',3,302,1,8),(25,6051022,'1',1,303,2,7),(25,6051030,'1',2,225,1,2),(25,6051049,'1',3,551,2,132),(25,6051189,'1',2,318,1,1),(25,6051197,'1',2,215,2,10),(25,6051324,'1',3,238,1,30),(25,6051340,'1A',3,655,1,7),(25,6051359,'1',3,326,1,27),(25,6051383,'1',3,453,1,10),(25,6051391,'1',3,308,2,49),(25,6051464,'1A',3,601,1,52),(25,6051529,'1',3,333,1,2),(25,6051677,'1',1,340,1,2),(25,6051863,'1',3,109,1,20),(25,6052240,'1',2,310,1,7),(25,6052290,'1',3,220,2,48),(25,6052460,'1',3,503,2,45),(25,6052517,'1',3,425,1,22),(25,6052584,'1',3,5,2,61),(25,6052630,'1',2,234,1,6),(25,6052720,'1',3,415,2,34),(25,6052819,'1',3,324,1,10),(25,6052827,'1',2,326,1,2),(25,6052916,'1',3,203,2,43),(25,6052959,'1A',3,233,2,29),(25,6053017,'1',3,216,1,8),(25,6053068,'1A',3,601,2,171),(25,6053114,'1',3,215,2,32),(25,6053122,'1',3,336,1,16),(25,6053165,'1',2,102,2,15),(25,6053351,'1',3,103,2,68),(25,6053386,'1',3,316,1,24),(25,6053483,'1',3,212,2,28),(25,6053491,'1A',3,211,1,18),(25,6053645,'1',3,324,1,20),(25,6053718,'1',3,301,2,73),(25,6053726,'1',3,601,1,97),(25,6053777,'1',1,654,1,2),(25,6053815,'1',3,5,2,45),(25,6053998,'1',3,340,2,29),(25,6054021,'1',3,654,1,9),(25,6054080,'1',3,203,1,18),(25,6054137,'1',2,308,2,20),(25,6054170,'1',3,332,2,20),(25,6054498,'1',3,329,1,8),(25,6054579,'1',3,319,1,10),(25,6054609,'1',3,110,1,28),(25,6054749,'1',2,225,1,7),(25,6054773,'1',3,326,1,17),(25,6054790,'1',3,420,2,20),(25,6054862,'1',3,652,2,69),(25,6054943,'1',2,601,1,24),(25,6054960,'1',3,404,1,18),(25,6054994,'1A',2,238,1,10),(25,6055125,'1',3,333,1,9),(25,6055400,'1A',3,213,2,16),(25,6055613,'1',3,308,2,56),(25,6055656,'1',3,427,1,8),(25,6055737,'1',3,216,1,10),(25,6055958,'1A',3,220,2,46),(25,6055966,'1',3,319,1,15),(25,6056075,'1',3,202,2,68),(25,6056083,'1',3,451,1,21),(25,6056172,'1',3,316,1,30),(25,6056270,'1',3,426,2,31),(25,6056334,'1',3,214,2,22),(25,6056350,'1',3,5,1,26),(25,6056482,'1',3,332,2,12),(25,6056512,'1',3,220,1,7),(25,6056563,'1',3,601,1,92),(25,6056636,'1',3,503,2,37),(25,6056709,'1',2,103,2,12),(25,6056822,'1',3,108,2,37),(25,6056865,'1',3,9,1,26),(25,6056881,'1',1,320,2,2),(25,6057020,'1',3,101,1,11),(25,6057071,'1',1,444,1,3),(25,6057136,'1',3,108,2,33),(25,6057144,'1',3,336,1,12),(25,6057497,'1',3,310,1,19),(25,6057551,'1',3,655,2,27),(25,6057683,'1',3,304,1,8),(25,6057691,'1',3,601,1,94),(25,6057764,'1',3,5,2,60),(25,6057853,'1',2,652,2,11),(25,6057969,'1',3,428,2,54),(25,6058175,'1',3,302,2,40),(25,6058213,'1',3,326,1,29),(25,6058248,'1',3,224,2,19),(25,6058299,'1',3,203,2,69),(25,6058400,'1',3,103,1,20),(25,6058434,'1',3,303,2,32),(25,6058469,'1',3,207,1,7),(25,6058663,'1',2,235,1,3),(25,6058787,'1',3,601,1,139),(25,6058817,'1',3,108,1,13),(25,6058833,'1',3,424,1,14),(25,6058965,'1',3,238,1,35),(25,6059015,'1',3,301,1,21),(25,6059023,'1',3,501,1,33),(25,6059058,'1A',3,601,1,99),(25,6059112,'1',3,340,1,7),(25,6059120,'1',3,331,1,21),(25,6059171,'1',3,216,2,20),(25,6059392,'1A',3,653,1,6),(25,6059422,'1',3,444,2,41),(25,6059430,'1',3,415,1,8),(25,6059449,'1A',3,233,1,9),(25,6059457,'1',3,501,1,17),(25,6059511,'1',3,109,2,54),(25,6059589,'1',3,110,1,8),(25,6059600,'1',3,453,2,19),(25,6059635,'1',3,303,1,11),(25,6059791,'1',2,340,2,13),(25,6059805,'1',3,303,2,46),(25,6059864,'1',3,303,2,63),(25,6059880,'1A',3,601,1,8),(25,6059953,'1A',3,601,2,261),(25,6060005,'1A',3,235,2,26),(25,6060064,'1',3,224,2,13),(25,6060080,'1',3,428,2,34),(25,6060110,'1',3,5,2,63),(25,6060188,'1',3,103,1,22),(25,6060269,'1A',3,202,2,63),(25,6060560,'1',3,102,1,46),(25,6060706,'1',3,205,1,3),(25,6060714,'1A',3,215,2,19),(25,6060781,'1',1,428,2,5),(25,6060838,'1A',3,601,2,202),(25,6060846,'1',1,5,2,8),(25,6060960,'1',2,503,2,12),(25,6060978,'1A',3,238,1,16),(25,6061001,'1A',3,601,1,48),(25,6061036,'1',3,423,1,11),(25,6061052,'1',3,2,1,20),(25,6061354,'1',3,108,1,27),(25,6061389,'1',1,319,2,6),(25,6061397,'1',3,601,1,131),(25,6061672,'1',3,202,2,53),(25,6061680,'1',3,103,2,55),(25,6061745,'1',3,225,1,46),(25,6061893,'1',1,653,1,1),(25,6061907,'1',3,211,2,48),(25,6062121,'1',3,551,2,131),(25,6062296,'1',3,207,2,32),(25,6062342,'1',2,201,2,18),(25,6062563,'1',3,208,1,9),(25,6062598,'1',3,9,1,17),(25,6062644,'1',3,211,1,3),(25,6062695,'1',3,335,2,31),(25,6062709,'1',1,203,1,3),(25,6062717,'1',3,103,1,19),(25,6062920,'1',3,335,1,8),(25,6063080,'1',3,424,1,10),(25,6063098,'1',3,652,2,59),(25,6063187,'1',3,420,2,22),(25,6063322,'1',3,551,1,39),(25,6063454,'1',2,203,1,8),(25,6063489,'1',3,220,1,6),(25,6063560,'1',2,308,1,1),(25,6063616,'1',3,222,1,9),(25,6063640,'1',3,102,2,63),(25,6063799,'1A',3,202,2,66),(25,6063969,'1',2,452,2,5),(25,6063977,'1',1,5,1,4),(25,6063985,'1',2,601,1,30),(25,6063993,'1',3,234,1,19),(25,6064000,'1',3,215,1,8),(25,6064078,'1',2,103,2,15),(25,6064094,'1',3,201,1,14),(25,6064388,'1',3,423,1,9),(25,6064450,'1',2,220,2,10),(25,6064515,'1',3,304,2,60),(25,6064566,'1',3,309,1,22),(25,6064833,'1',3,339,1,13),(25,6064841,'1',3,318,2,37),(25,6064914,'1',1,453,1,1),(25,6065007,'1',3,110,2,55),(25,6065040,'1',3,451,1,8),(25,6065120,'1',3,551,1,32),(25,6065171,'1',3,429,2,12),(25,6065252,'1',3,9,1,20),(25,6065520,'1',3,339,1,7),(25,6065597,'1',2,109,2,9),(25,6065660,'1',3,234,2,36),(25,6065678,'1',3,453,2,23),(25,6065694,'1',2,3,1,3),(25,6065848,'1',3,551,1,12),(25,6065910,'1',1,329,1,1),(25,6065988,'1',2,101,1,8),(25,6066062,'1',3,501,1,18),(25,6066160,'1',2,308,1,2),(25,6066194,'1A',3,423,1,17),(25,6066348,'1',3,327,2,26),(25,6066356,'1A',3,652,1,30),(25,6066402,'1',3,320,2,24),(25,6066429,'1',3,601,2,228),(25,6066445,'1',2,202,2,16),(25,6066500,'1',2,652,2,14),(25,6066593,'1',3,551,1,50),(25,6066607,'1',3,331,1,25),(25,6066623,'1',2,503,1,6),(25,6066640,'1',2,337,1,4),(25,6066666,'1',3,102,2,57),(25,6066801,'1',3,203,2,46),(25,6066879,'1',2,201,1,4),(25,6066917,'1',3,110,1,18),(25,6066984,'1',3,320,2,7),(25,6067034,'1',2,220,1,3),(25,6067042,'1',3,233,1,18),(25,6067085,'1',2,101,1,6),(25,6067123,'1',1,551,1,1),(25,6067379,'1',3,415,1,19),(25,6067425,'1',3,551,1,26),(25,6067450,'1',3,109,1,2),(25,6067492,'1',2,203,2,18),(25,6067514,'1',1,102,1,1),(25,6067867,'1',3,234,1,4),(25,6067921,'1A',3,233,1,11),(25,6067930,'1',2,102,2,14),(25,6067980,'1',2,503,2,10),(25,6068103,'1',3,318,2,34),(25,6068227,'1',3,429,2,2),(25,6068235,'1',3,5,2,34),(25,6068251,'1',3,428,1,1),(25,6068367,'1',2,324,1,5),(25,6068472,'1',3,5,1,11),(25,6068685,'1',3,503,2,48),(25,6068707,'1',3,404,2,45),(25,6068901,'1',3,450,1,7),(25,6068944,'1',3,2,1,10),(25,6068952,'1',2,201,2,21),(25,6069061,'1A',3,235,1,18),(25,6069177,'1A',3,601,2,273),(25,6069401,'1',3,224,2,26),(25,6069690,'1',3,203,1,38),(25,6069738,'1',3,110,1,23),(25,6069762,'1',3,103,1,26),(25,6069894,'1',2,212,1,1),(25,6069924,'1',3,502,1,23),(25,6069940,'1',3,301,2,63),(25,6069975,'1',3,340,1,1),(25,6070051,'1',3,444,1,5),(25,6070124,'1',3,308,1,27),(25,6070248,'1A',3,233,1,12),(25,6070299,'1A',3,233,2,38),(25,6070329,'1',3,601,1,4),(25,6070450,'1',3,216,1,12),(25,6070680,'1A',3,601,1,85),(25,6070698,'1',2,444,2,12),(25,6070710,'1',3,202,1,4),(25,6070841,'1',3,211,1,5),(25,6071007,'1',3,309,1,12),(25,6071120,'1',2,203,2,16),(25,6071139,'1',3,203,1,24),(25,6071147,'1',1,654,1,3),(25,6071236,'1',3,318,2,33),(25,6071244,'1',3,5,2,39),(25,6071252,'1',3,104,2,53),(25,6071279,'1',2,308,1,4),(25,6071333,'1',1,428,2,4),(25,6071406,'1',2,452,1,2),(25,6071414,'1',3,103,1,28),(25,6071481,'1',3,208,2,58),(25,6071503,'1',3,320,2,22),(25,6071554,'1',3,327,2,27),(25,6071694,'1',1,420,1,2),(25,6071708,'1A',3,601,1,21),(25,6071740,'1',3,102,1,47),(25,6071805,'1',2,2,1,1),(25,6071813,'1',3,308,2,66),(25,6071872,'1',2,551,2,32),(25,6071988,'1',3,3,1,30),(25,6072011,'1A',3,233,1,13),(25,6072119,'1A',3,601,1,53),(25,6072224,'1',3,310,1,24),(25,6072240,'1',3,340,1,10),(25,6072356,'1',3,320,2,15),(25,6072402,'1',3,502,2,50),(25,6072429,'1',3,329,1,16),(25,6072534,'1',2,452,2,8),(25,6072593,'1',3,208,1,32),(25,6072666,'1',3,452,1,12),(25,6072682,'1',3,423,1,14),(25,6072690,'1',2,601,1,12),(25,6072810,'1',3,309,1,9),(25,6072887,'1',3,110,2,31),(25,6072917,'1',3,340,1,23),(25,6072933,'1',3,102,2,93),(25,6073190,'1',3,502,1,12),(25,6073204,'1',3,212,2,23),(25,6073247,'1',3,225,1,30),(25,6073263,'1',3,424,1,32),(25,6073271,'1',3,404,2,46),(25,6073387,'1',3,3,1,25),(25,6073425,'1',3,203,1,30),(25,6073530,'1',2,238,1,1),(25,6073557,'1A',3,235,2,22),(25,6073581,'1',3,428,2,37),(25,6073689,'1A',3,601,2,196),(25,6073778,'1',3,214,2,18),(25,6073948,'1',3,502,1,8),(25,6074049,'1',3,102,1,28),(25,6074200,'1',2,5,1,3),(25,6074219,'1',1,207,1,4),(25,6074413,'1',3,551,1,51),(25,6074529,'1',3,238,2,69),(25,6074677,'1',3,655,2,37),(25,6074685,'1',3,304,2,51),(25,6074774,'1',3,340,1,11),(25,6074910,'1',3,201,1,19),(25,6075002,'1',2,653,1,4),(25,6075070,'1',3,308,2,48),(25,6075487,'1',3,652,2,48),(25,6075517,'1',2,654,1,5),(25,6075576,'1',3,452,2,18),(25,6075584,'1',3,103,2,47),(25,6075592,'1',3,601,2,212),(25,6075665,'1',3,451,1,12),(25,6075673,'1',3,340,2,46),(25,6075797,'1',3,420,2,18),(25,6075860,'1A',2,428,2,12),(25,6075940,'1',3,425,1,14),(25,6075991,'1',3,503,2,42),(25,6076041,'1',3,304,2,49),(25,6076076,'1',3,211,1,30),(25,6076262,'1',3,404,2,44),(25,6076327,'1',3,207,1,14),(25,6076424,'1',3,238,1,26),(25,6076580,'1',3,203,2,67),(25,6076696,'1',3,215,2,34),(25,6076939,'1',2,551,2,37),(25,6076971,'1A',3,202,2,52),(25,6077110,'1',3,110,2,46),(25,6077129,'1',2,318,2,14),(25,6077170,'1',3,108,2,45),(25,6077188,'1',2,425,1,1),(25,6077498,'1',3,207,1,11),(25,6077510,'1',3,308,1,28),(25,6077528,'1',3,501,1,38),(25,6077579,'1A',3,601,1,113),(25,6077684,'1',3,316,1,13),(25,6077722,'1A',3,601,2,257),(25,6077749,'1',3,211,1,9),(25,6077889,'1',3,308,1,16),(25,6077951,'1',3,415,1,20),(25,6078044,'1',3,502,1,17),(25,6078206,'1',3,101,1,19),(25,6078303,'1',3,450,1,15),(25,6078320,'1',2,502,2,9),(25,6078354,'1A',1,215,1,2),(25,6078699,'1',2,316,2,20),(25,6078770,'1',3,453,1,9),(25,6078931,'1',3,201,1,2),(25,6079059,'1',3,203,2,60),(25,6079067,'1',3,318,1,3),(25,6079075,'1',3,503,2,34),(25,6079083,'1',3,329,1,11),(25,6079237,'1',2,104,1,6),(25,6079393,'1',3,421,1,20),(25,6079431,'1',3,5,1,29),(25,6079504,'1',1,336,1,3),(25,6079598,'1A',3,652,2,57),(25,6079644,'1',1,324,1,3),(25,6079679,'1',3,453,2,21),(25,6079806,'1',3,308,2,64),(25,6079962,'1',3,551,1,35),(25,6080120,'1',1,223,1,1),(25,6080154,'1',3,302,1,25),(25,6080316,'1',3,333,1,5),(25,6080405,'1',3,2,1,28),(25,6080499,'1',3,301,2,57),(25,6080650,'1',3,601,2,288),(25,6080731,'1A',3,601,2,260),(25,6081010,'1',1,654,1,1),(25,6081070,'1',3,451,1,15),(25,6081258,'1',3,338,1,14),(25,6081339,'1',2,203,2,17),(25,6081410,'1',3,404,2,35),(25,6081436,'1',3,451,1,13),(25,6081550,'1',3,103,2,41),(25,6081576,'1',3,102,2,76),(25,6081606,'1',3,102,2,65),(25,6081614,'1',1,201,2,11),(25,6081681,'1',3,502,2,54),(25,6081754,'1',2,415,1,5),(25,6081800,'1',1,203,1,2),(25,6081878,'1',3,316,2,39),(25,6082033,'1A',2,220,2,14),(25,6082157,'1',3,452,2,25),(25,6082262,'1',3,601,1,71),(25,6082300,'1',3,327,2,12),(25,6082343,'1',2,424,1,5),(25,6082483,'1',3,601,2,305),(25,6082513,'1',3,205,1,9),(25,6082556,'1',3,335,2,30),(25,6082572,'1A',3,601,2,174),(25,6082629,'1',1,319,1,1),(25,6082637,'1',3,317,1,28),(25,6082653,'1',2,317,2,10),(25,6082840,'1',3,203,1,21),(25,6083013,'1',3,429,2,3),(25,6083030,'1',3,428,2,52),(25,6083064,'1',3,303,2,56),(25,6083080,'1',1,225,1,3),(25,6083110,'1',3,304,1,33),(25,6083277,'1',3,601,1,128),(25,6083315,'1A',3,212,1,14),(25,6083340,'1',3,2,1,36),(25,6083447,'1',3,208,2,70),(25,6083455,'1',3,423,1,12),(25,6083471,'1',1,212,1,1),(25,6083501,'1',2,234,1,1),(25,6083609,'1',3,103,1,4),(25,6083684,'1',1,211,2,7),(25,6083722,'1',2,208,2,20),(25,6083870,'1',3,222,1,13),(25,6083935,'1',2,424,1,8),(25,6083986,'1',3,304,2,64),(25,6083994,'1',3,3,2,44),(25,6084060,'1',3,601,2,221),(25,6084079,'1',3,3,1,24),(25,6084087,'1A',2,233,2,8),(25,6084176,'1',3,425,1,26),(25,6084249,'1',3,301,1,19),(25,6084320,'1',3,235,2,31),(25,6084397,'1',2,102,2,20),(25,6084419,'1',3,308,1,30),(25,6084583,'1',2,320,2,10),(25,6084672,'1',3,428,1,10),(25,6084680,'1',3,428,1,19),(25,6084699,'1',3,104,1,26),(25,6084702,'1',3,320,2,21),(25,6084753,'1',3,404,1,9),(25,6084826,'1',3,326,1,13),(25,6084834,'1',3,653,1,14),(25,6084842,'1',2,5,2,16),(25,6084877,'1A',3,220,2,34),(25,6084966,'1',2,205,1,1),(25,6085040,'1A',3,601,2,240),(25,6085059,'1',3,234,2,39),(25,6085075,'1',2,332,2,4),(25,6085172,'1',3,207,1,4),(25,6085270,'1',2,601,1,4),(25,6085296,'1',3,301,2,74),(25,6085350,'1',3,336,1,15),(25,6085377,'1',3,339,1,16),(25,6085431,'1',1,335,2,2),(25,6085520,'1',3,104,2,57),(25,6085660,'1',2,551,1,20),(25,6085709,'1A',3,653,1,7),(25,6085792,'1',3,110,2,51),(25,6085822,'1',2,304,2,11),(25,6085857,'1',3,104,2,38),(25,6085865,'1',3,428,2,40),(25,6085954,'1',3,216,2,29),(25,6086225,'1',3,222,1,15),(25,6086462,'1',1,5,1,2),(25,6086608,'1',3,327,2,2),(25,6086616,'1A',3,214,1,11),(25,6086861,'1',2,320,2,5),(25,6086934,'1',3,101,1,1),(25,6087175,'1',3,319,2,39),(25,6087221,'1',1,3,1,2),(25,6087280,'1',3,301,2,44),(25,6087329,'1',3,502,1,3),(25,6087450,'1',2,2,1,7),(25,6087647,'1',2,304,2,12),(25,6087710,'1',3,235,2,39),(25,6087787,'1',2,420,2,6),(25,6087809,'1',3,238,1,25),(25,6087817,'1',3,326,1,4),(25,6087965,'1',3,104,1,1),(25,6087990,'1',3,404,1,22),(25,6088198,'1',3,309,1,1),(25,6088210,'1',2,205,1,3),(25,6088228,'1',3,316,2,61),(25,6088279,'1',3,501,1,1),(25,6088333,'1',3,444,2,22),(25,6088368,'1',3,425,1,28),(25,6088457,'1',3,304,1,20),(25,6088538,'1',3,304,1,30),(25,6088570,'1',3,340,2,33),(25,6088775,'1',3,224,2,18),(25,6088813,'1A',3,201,1,37),(25,6088902,'1',3,203,2,44),(25,6088945,'1',3,654,2,43),(25,6088996,'1',1,110,1,2),(25,6089054,'1',3,308,2,65),(25,6089160,'1',3,304,1,3),(25,6089194,'1',3,202,1,6),(25,6089445,'1',2,601,1,13),(25,6089542,'1',3,424,1,3),(25,6089623,'1A',3,601,2,282),(25,6089631,'1',2,5,2,13),(25,6089755,'1A',3,601,1,46),(25,6089771,'1',3,654,1,7),(25,6089798,'1',1,102,1,3),(25,6089895,'1',3,309,1,27),(25,6089968,'1',3,102,1,40),(25,6090010,'1',3,601,1,62),(25,6090257,'1A',3,208,1,23),(25,6090273,'1A',3,653,2,32),(25,6090281,'1',1,201,1,5),(25,6090338,'1',3,654,2,35),(25,6090346,'1A',3,208,2,54),(25,6090443,'1',3,225,1,15),(25,6090478,'1',3,203,2,63),(25,6090508,'1A',3,601,1,66),(25,6090656,'1',3,108,2,38),(25,6090664,'1',3,340,1,15),(25,6090702,'1',1,109,1,1),(25,6090729,'1A',3,208,2,60),(25,6090745,'1',3,103,2,66),(25,6090850,'1',2,444,2,11),(25,6090958,'1',2,207,2,15),(25,6091008,'1',3,110,1,29),(25,6091113,'1',3,340,2,34),(25,6091393,'1',3,110,2,61),(25,6091520,'1',2,216,2,8),(25,6091547,'1',3,108,1,10),(25,6091563,'1',3,332,2,19),(25,6091571,'1',3,234,1,26),(25,6091784,'1',3,415,2,31),(25,6091857,'1',2,103,1,10),(25,6091890,'1A',3,235,1,16),(25,6092047,'1A',3,201,2,77),(25,6092144,'1',3,104,2,68),(25,6092160,'1',3,303,1,20),(25,6092217,'1',1,336,1,2),(25,6092276,'1',3,601,1,29),(25,6092284,'1A',3,220,1,16),(25,6092330,'1',3,309,2,37),(25,6092349,'1',3,104,1,32),(25,6092489,'1A',3,215,1,13),(25,6092519,'1',3,205,2,21),(25,6092527,'1',2,308,2,18),(25,6092578,'1',3,332,2,2),(25,6092640,'1',3,317,1,9),(25,6092730,'1',3,304,1,7),(25,6092888,'1',2,339,1,2),(25,6092896,'1',3,337,1,15),(25,6092926,'1A',3,428,2,46),(25,6093019,'1',3,328,1,20),(25,6093043,'1A',1,211,1,1),(25,6093078,'1A',3,655,2,33),(25,6093124,'1',3,109,2,58),(25,6093167,'1A',3,207,2,38),(25,6093191,'1',2,108,1,4),(25,6093213,'1',2,501,1,1),(25,6093248,'1',2,104,1,7),(25,6093272,'1A',3,233,2,37),(25,6093299,'1',3,652,2,75),(25,6093310,'1',3,415,1,9),(25,6093345,'1',1,331,1,2),(25,6093353,'1',2,203,2,15),(25,6093396,'1',2,319,2,10),(25,6093477,'1',2,415,1,6),(25,6093604,'1A',3,216,2,34),(25,6093671,'1',1,216,2,4),(25,6093779,'1',2,654,2,11),(25,6093914,'1',3,220,2,35),(25,6093957,'1',3,450,1,4),(25,6094163,'1',3,207,2,51),(25,6094325,'1',2,3,1,2),(25,6094562,'1A',3,601,2,197),(25,6094694,'1A',3,652,1,31),(25,6094724,'1',3,5,1,17),(25,6094961,'1A',2,601,2,75),(25,6094988,'1',3,303,2,61),(25,6094996,'1',2,317,1,5),(25,6095011,'1',3,601,1,17),(25,6095020,'1',3,201,1,11),(25,6095151,'1',3,324,1,25),(25,6095194,'1',3,420,2,25),(25,6095232,'1',3,404,2,42),(25,6095372,'1',3,320,2,34),(25,6095445,'1',3,302,2,43),(25,6095461,'1',1,340,2,6),(25,6095593,'1A',3,601,2,220),(25,6095658,'1',3,303,1,6),(25,6095666,'1',3,207,1,19),(25,6095739,'1',2,225,1,3),(25,6095771,'1',3,654,2,23),(25,6095801,'1',2,309,2,15),(25,6096018,'1',2,337,1,5),(25,6096034,'1',3,309,2,43),(25,6096115,'1',3,213,2,22),(25,6096131,'1',1,201,1,4),(25,6096140,'1',3,202,1,12),(25,6096174,'1',2,238,2,17),(25,6096301,'1',3,201,2,58),(25,6096310,'1',2,9,1,4),(25,6096395,'1',2,426,2,5),(25,6096425,'1',2,329,1,1),(25,6096514,'1',3,201,2,62),(25,6096565,'1',2,423,1,3),(25,6096727,'1',2,201,1,9),(25,6096808,'1',3,333,1,18),(25,6096867,'1',3,9,1,10),(25,6096883,'1',3,420,2,26),(25,6096913,'1',3,601,2,284),(25,6096930,'1',3,103,1,14),(25,6097049,'1',3,326,1,1),(25,6097103,'1',3,304,1,2),(25,6097189,'1A',2,601,1,40),(25,6097219,'1A',2,208,2,15),(25,6097227,'1',3,207,2,47),(25,6097340,'1',2,103,1,6),(25,6097375,'1',3,319,1,12),(25,6097448,'1',3,316,2,62),(25,6097510,'1',3,2,1,21),(25,6097685,'1',3,103,2,61),(25,6097812,'1',2,335,1,1),(25,6097871,'1',1,201,1,2),(25,6098029,'1',3,425,1,2),(25,6098037,'1',3,203,1,9),(25,6098100,'1',3,201,2,42),(25,6098223,'1',1,238,2,9),(25,6098266,'1',2,202,1,1),(25,6098606,'1',2,501,2,21),(25,6098622,'1',3,317,1,2),(25,6098657,'1',3,652,1,13),(25,6098797,'1',3,415,2,41),(25,6098800,'1',2,211,2,15),(25,6098835,'1A',3,601,1,78),(25,6098843,'1',3,317,2,63),(25,6098959,'1',1,337,1,2),(25,6099106,'1',3,301,1,4),(25,6099173,'1',2,303,1,9),(25,6099190,'1',3,216,1,14),(25,6099254,'1',3,551,2,119),(25,6099408,'1A',3,655,1,4),(25,6099416,'1',3,238,1,13),(25,6099475,'1',3,601,2,159),(25,6099653,'1',1,303,2,8),(25,6099718,'1',3,338,1,7),(25,6099750,'1',3,601,1,27),(25,6099823,'1',3,224,2,20),(25,6099858,'1',2,2,1,4),(25,6099874,'1',3,318,2,46),(25,6100155,'1',3,551,1,40),(25,6100228,'1',3,328,1,3),(25,6100244,'1',3,317,2,56),(25,6100252,'1',2,319,1,9),(25,6100430,'1',3,601,2,209),(25,6100457,'1',3,211,2,39),(25,6100473,'1',3,103,2,48),(25,6100562,'1',3,201,1,35),(25,6100619,'1',3,208,1,33),(25,6100660,'1',3,233,1,22),(25,6100678,'1',3,340,2,31),(25,6100694,'1',1,327,2,1),(25,6100716,'1',2,201,1,2),(25,6100740,'1',2,340,2,12),(25,6100953,'1',3,423,1,16),(25,6101020,'1',3,424,1,24),(25,6101160,'1',3,653,1,4),(25,6101348,'1',3,234,2,59),(25,6101402,'1A',3,208,2,71),(25,6101461,'1',3,309,1,19),(25,6101585,'1',3,235,2,36),(25,6101631,'1',3,3,2,55),(25,6101682,'1',2,108,1,3),(25,6101739,'1',3,102,1,38),(25,6101801,'1',3,213,1,10),(25,6101852,'1',1,317,1,5),(25,6101909,'1',3,324,2,37),(25,6101925,'1',3,304,2,66),(25,6101933,'1',3,5,2,59),(25,6101984,'1',3,601,2,192),(25,6102018,'1',3,427,1,14),(25,6102034,'1A',2,215,1,2),(25,6102042,'1',3,103,2,52),(25,6102050,'1',2,108,2,15),(25,6102077,'1',3,502,2,40),(25,6102239,'1A',3,220,2,29),(25,6102263,'1',3,444,2,29),(25,6102280,'1',3,110,1,22),(25,6102433,'1',3,102,1,21),(25,6102492,'1',3,303,1,27),(25,6102514,'1',3,319,2,53),(25,6102611,'1',3,503,2,40),(25,6102719,'1',3,207,1,16),(25,6102891,'1',3,208,2,52),(25,6103006,'1',2,211,1,4),(25,6103014,'1',3,301,1,20),(25,6103030,'1',3,235,1,5),(25,6103170,'1',3,426,2,20),(25,6103197,'1',3,238,1,6),(25,6103227,'1',3,653,1,9),(25,6103316,'1',3,453,1,1),(25,6103480,'1',2,309,1,6),(25,6103529,'1',3,317,1,15),(25,6103553,'1',1,101,1,1),(25,6103570,'1',3,601,2,259),(25,6103723,'1',2,444,1,2),(25,6103731,'1',3,202,1,33),(25,6103766,'1A',3,652,2,41),(25,6103790,'1',3,601,2,188),(25,6103820,'1A',3,215,2,22),(25,6103901,'1A',3,202,2,42),(25,6103952,'1',3,303,1,24),(25,6103960,'1',3,103,2,64),(25,6103995,'1',2,211,1,7),(25,6104045,'1A',2,215,1,4),(25,6104185,'1',2,551,1,6),(25,6104193,'1',3,304,2,50),(25,6104223,'1',3,415,2,29),(25,6104371,'1',2,102,2,17),(25,6104380,'1',2,337,1,2),(25,6104460,'1',3,101,2,47),(25,6104606,'1',3,655,1,2),(25,6104789,'1A',3,208,1,5),(25,6104819,'1',3,207,1,13),(25,6104908,'1',3,428,1,24),(25,6104940,'1',2,301,2,12),(25,6104983,'1',2,450,1,5),(25,6105033,'1',3,308,2,45),(25,6105050,'1A',3,233,2,39),(25,6105092,'1A',3,208,2,65),(25,6105149,'1',3,319,1,19),(25,6105203,'1',3,103,2,37),(25,6105289,'1',3,208,1,14),(25,6105297,'1',2,2,1,11),(25,6105386,'1',3,102,2,53),(25,6105513,'1',2,303,1,5),(25,6105521,'1',3,203,2,65),(25,6105610,'1',3,110,2,42),(25,6105645,'1',3,655,2,36),(25,6105653,'1',3,338,1,2),(25,6105670,'1',3,601,1,140),(25,6105688,'1A',3,208,2,40),(25,6105696,'1',3,319,2,52),(25,6105866,'1',3,212,1,8),(25,6106137,'1A',1,202,1,1),(25,6106234,'1',2,102,1,11),(25,6106242,'1',3,420,1,3),(25,6106323,'1',3,108,2,35),(25,6106617,'1',3,303,1,26),(25,6106633,'1',3,303,1,12),(25,6106668,'1',3,216,2,24),(25,6106692,'1A',3,601,1,26),(25,6106765,'1',3,502,1,4),(25,6106803,'1',3,654,1,2),(25,6106951,'1A',3,601,1,136),(25,6106978,'1A',3,220,2,44),(25,6107044,'1',2,110,1,5),(25,6107150,'1',3,110,1,21),(25,6107389,'1A',3,211,1,25),(25,6107516,'1',3,2,1,3),(25,6107575,'1',3,326,1,15),(25,6107630,'1',3,320,2,17),(25,6107672,'1',3,222,1,17),(25,6107800,'1',2,309,2,12),(25,6107826,'1',1,308,2,7),(25,6107834,'1',2,425,1,6),(25,6107842,'1',1,220,2,6),(25,6107907,'1',3,301,2,49),(25,6107958,'1A',3,601,2,170),(25,6107974,'1A',3,601,2,281),(25,6108008,'1',3,225,1,23),(25,6108075,'1',3,109,2,45),(25,6108164,'1',3,303,1,17),(25,6108202,'1',3,110,2,44),(25,6108253,'1',3,103,2,50),(25,6108288,'1',1,101,1,2),(25,6108660,'1',2,601,1,23),(25,6108733,'1',3,654,1,6),(25,6108830,'1',3,404,1,5),(25,6108849,'1',3,233,1,1),(25,6109187,'1',3,110,1,30),(25,6109250,'1',3,308,2,70),(25,6109322,'1',3,103,1,30),(25,6109330,'1',3,110,2,38),(25,6109349,'1',3,3,1,3),(25,6109446,'1',3,319,1,22),(25,6109470,'1',1,450,1,3),(25,6109608,'1',3,103,2,45),(25,6109870,'1',3,101,2,46),(25,6109977,'1',3,415,1,16),(25,6109985,'1',3,316,1,8),(25,6109993,'1',3,103,2,63),(25,6110045,'1',3,304,2,65),(25,6110053,'1',3,211,1,24),(25,6110061,'1',3,5,1,3),(25,6110096,'1',3,102,1,27),(25,6110169,'1',3,450,1,17),(25,6110223,'1',2,201,2,16),(25,6110231,'1',3,317,2,44),(25,6110274,'1',3,503,2,31),(25,6110398,'1',3,207,2,37),(25,6110410,'1',3,320,2,23),(25,6110673,'1',3,216,1,3),(25,6110878,'1',3,103,2,65),(25,6110932,'1',3,335,2,29),(25,6110967,'1',3,214,1,5),(25,6111041,'1A',3,233,2,36),(25,6111050,'1',3,452,2,21),(25,6111092,'1',3,319,2,44),(25,6111122,'1',2,318,1,2),(25,6111190,'1A',3,601,2,249),(25,6111254,'1',3,415,1,1),(25,6111270,'1',2,302,2,12),(25,6111289,'1',3,235,2,38),(25,6111319,'1A',3,213,1,8),(25,6111327,'1',3,335,1,21),(25,6111351,'1',3,9,1,1),(25,6111378,'1',3,319,2,43),(25,6111386,'1',3,108,1,2),(25,6111467,'1',3,301,2,67),(25,6111505,'1',3,309,1,5),(25,6111610,'1A',3,202,1,19),(25,6111815,'1',3,203,1,32),(25,6111823,'1',3,220,1,4),(25,6111831,'1',3,220,1,23),(25,6111866,'1',3,339,1,6),(25,6111874,'1A',3,214,2,30),(25,6111890,'1',3,201,1,27),(25,6111998,'1',3,501,1,19),(25,6112269,'1',3,452,2,16),(25,6112447,'1',2,340,2,9),(25,6112528,'1A',3,601,2,185),(25,6112641,'1A',3,211,2,57),(25,6112765,'1',2,304,2,18),(25,6112820,'1',3,428,2,43),(25,6112935,'1',3,332,2,26),(25,6112943,'1',3,319,2,33),(25,6113001,'1',3,203,1,4),(25,6113028,'1',3,310,1,5),(25,6113540,'1',2,318,1,7),(25,6113605,'1',2,101,2,11),(25,6113656,'1',2,3,1,4),(25,6113788,'1',3,234,1,9),(25,6113885,'1',3,329,1,28),(25,6113966,'1',3,108,2,47),(25,6114032,'1',3,104,1,23),(25,6114059,'1',3,308,2,44),(25,6114229,'1',3,426,2,7),(25,6114296,'1A',2,220,1,5),(25,6114326,'1',3,423,1,15),(25,6114350,'1',3,3,1,21),(25,6114431,'1',3,427,1,12),(25,6114504,'1',3,222,1,14),(25,6114512,'1',3,223,1,31),(25,6114563,'1',3,424,1,8),(25,6114610,'1',3,317,1,26),(25,6114628,'1',3,601,1,141),(25,6114644,'1',3,101,2,37),(25,6114768,'1',3,303,2,53),(25,6114792,'1',2,333,1,6),(25,6114865,'1',3,326,1,31),(25,6115071,'1',2,238,2,19),(25,6115209,'1',3,326,1,16),(25,6115292,'1',3,654,1,12),(25,6115357,'1',3,216,2,21),(25,6115365,'1',3,503,1,12),(25,6115489,'1',3,222,1,6),(25,6115527,'1A',2,202,1,9),(25,6115780,'1',3,220,1,12),(25,6115837,'1',3,225,1,31),(25,6116019,'1',3,102,1,20),(25,6116027,'1',3,302,2,55),(25,6116108,'1A',1,233,2,5),(25,6116116,'1',3,301,1,15),(25,6116213,'1A',3,601,1,72),(25,6116353,'1',3,205,1,7),(25,6116477,'1',3,425,1,24),(25,6116680,'1',3,309,2,32),(25,6116779,'1',3,332,2,5),(25,6116787,'1',3,404,1,6),(25,6116892,'1',3,234,1,14),(25,6116906,'1',3,444,1,13),(25,6116922,'1',3,425,1,4),(25,6117015,'1',1,234,1,2),(25,6117104,'1',2,207,1,5),(25,6117147,'1',3,319,2,35),(25,6117210,'1',3,316,1,22),(25,6117325,'1',3,331,1,19),(25,6117384,'1',3,501,1,3),(25,6117414,'1',3,318,1,11),(25,6117457,'1',3,415,1,3),(25,6117473,'1',3,415,2,36),(25,6117546,'1A',1,601,1,1),(25,6117627,'1',3,202,1,7),(25,6117660,'1',2,101,1,2),(25,6117716,'1',3,326,1,11),(25,6117864,'1',1,208,1,2),(25,6117910,'1',2,238,2,14),(25,6117953,'1',1,320,2,3),(25,6118100,'1',3,304,2,67),(25,6118194,'1',1,103,2,9),(25,6118259,'1',2,309,1,1),(25,6118372,'1',2,223,1,13),(25,6118429,'1',3,319,2,49),(25,6118623,'1',3,654,2,45),(25,6118631,'1A',3,202,2,49),(25,6118720,'1',3,652,1,23),(25,6118747,'1',3,202,2,36),(25,6118828,'1',3,337,1,7),(25,6118941,'1',3,207,1,24),(25,6119263,'1',3,103,2,38),(25,6119344,'1A',3,653,1,22),(25,6119352,'1',2,207,2,16),(25,6119492,'1',3,601,1,132),(25,6119522,'1',3,103,2,49),(25,6119581,'1',2,316,1,2),(25,6119760,'1',3,452,2,29),(25,6119816,'1',3,424,1,26),(25,6119867,'1',3,5,1,24),(25,6119956,'1',3,601,2,234),(25,6120091,'1',3,316,2,49),(25,6120130,'1',3,502,2,32),(25,6120253,'1',3,331,1,8),(25,6120601,'1',3,317,2,33),(25,6120610,'1',3,601,1,47),(25,6120830,'1',3,601,1,102),(25,6120920,'1',3,302,1,21),(25,6121039,'1',3,302,1,5),(25,6121233,'1A',3,235,2,29),(25,6121241,'1',3,207,2,56),(25,6121306,'1A',2,601,2,52),(25,6121403,'1',3,110,1,27),(25,6121462,'1',3,2,1,38),(25,6121500,'1',3,302,1,20),(25,6121624,'1',3,3,2,45),(25,6121659,'1A',3,211,2,43),(25,6121802,'1',3,109,1,25),(25,6121934,'1',2,211,1,3),(25,6121950,'1',3,203,2,49),(25,6121969,'1',3,316,2,58),(25,6122051,'1',3,601,2,225),(25,6122124,'1A',3,652,2,42),(25,6122213,'1',2,601,1,36),(25,6122272,'1',3,309,1,6),(25,6122299,'1A',3,202,1,14),(25,6122310,'1',2,102,1,5),(25,6122540,'1A',3,652,1,33),(25,6122574,'1',3,326,1,14),(25,6122612,'1',3,420,2,17),(25,6122663,'1',3,340,2,32),(25,6122701,'1',3,303,1,4),(25,6122850,'1',2,309,2,14),(25,6123015,'1',3,222,1,8),(25,6123040,'1',3,102,1,19),(25,6123090,'1',3,450,1,1),(25,6123163,'1A',3,202,1,16),(25,6123473,'1',3,201,2,67),(25,6123570,'1',3,5,1,10),(25,6123589,'1A',2,601,2,71),(25,6123775,'1',3,309,1,20),(25,6123856,'1',3,450,1,6),(25,6123929,'1',3,317,2,62),(25,6124160,'1',3,318,1,6),(25,6124178,'1',3,653,1,19),(25,6124232,'1',3,309,1,24),(25,6124380,'1A',3,213,2,17),(25,6124402,'1',3,316,1,16),(25,6124674,'1',3,444,2,30),(25,6124747,'1',1,304,1,2),(25,6124755,'1A',3,202,2,48),(25,6124780,'1',2,423,1,4),(25,6124798,'1',3,319,1,6),(25,6124836,'1',2,652,1,3),(25,6124887,'1',3,213,2,29),(25,6124992,'1',3,101,1,3),(25,6125450,'1',3,213,2,26),(25,6125573,'1',3,310,1,18),(25,6125689,'1',3,420,1,4),(25,6125808,'1',2,238,1,8),(25,6125867,'1',3,301,2,68),(25,6125972,'1',3,333,1,6),(25,6126022,'1',3,303,1,23),(25,6126103,'1',2,110,1,1),(25,6126146,'1',1,101,2,6),(25,6126235,'1',3,225,1,48),(25,6126448,'1',3,216,1,1),(25,6126472,'1',3,415,2,32),(25,6126510,'1',3,223,1,36),(25,6126618,'1',3,2,1,19),(25,6126650,'1',3,601,2,184),(25,6126669,'1',3,424,1,30),(25,6126677,'1',3,235,1,11),(25,6126707,'1',3,234,2,35),(25,6126715,'1',3,426,2,1),(25,6126723,'1',3,421,1,16),(25,6126820,'1',3,329,1,17),(25,6126863,'1',3,102,1,17),(25,6126910,'1',2,103,1,7),(25,6126987,'1A',3,601,1,123),(25,6127126,'1',1,335,2,1),(25,6127150,'1',3,2,1,41),(25,6127185,'1',3,238,2,40),(25,6127339,'1',2,420,1,1),(25,6127355,'1',2,225,1,6),(25,6127479,'1',3,425,1,13),(25,6127711,'1',3,102,1,31),(25,6127800,'1',1,429,2,1),(25,6127894,'1',3,2,1,18),(25,6127908,'1',3,316,2,47),(25,6128084,'1',3,428,1,25),(25,6128173,'1',3,301,2,38),(25,6128211,'1',3,203,1,11),(25,6128262,'1',3,104,1,6),(25,6128297,'1',3,404,2,29),(25,6128319,'1',3,316,2,66),(25,6128483,'1',2,427,1,6),(25,6128688,'1',2,424,1,3),(25,6128700,'1',2,404,2,9),(25,6128734,'1',3,225,1,21),(25,6128912,'1',2,225,1,1),(25,6128955,'1',3,225,1,37),(25,6128971,'1',2,302,1,4),(25,6129064,'1',3,309,2,36),(25,6129072,'1A',3,208,1,22),(25,6129137,'1',2,652,1,4),(25,6129161,'1',3,102,2,52),(25,6129200,'1',3,428,2,36),(25,6129234,'1',3,309,2,55),(25,6129439,'1',3,551,1,15),(25,6129447,'1',3,233,1,6),(25,6129455,'1',3,310,1,31),(25,6129480,'1',3,3,2,42),(25,6129528,'1',3,601,2,247),(25,6129536,'1A',3,601,1,50),(25,6129641,'1',3,333,1,12),(25,6129730,'1',3,205,1,1),(25,6129757,'1',2,201,2,12),(25,6129765,'1',3,551,1,42),(25,6129978,'1',3,203,1,35),(25,6130100,'1',3,316,2,53),(25,6130119,'1',3,2,1,40),(25,6130127,'1',2,101,2,13),(25,6130283,'1',3,424,1,16),(25,6130402,'1A',2,220,2,9),(25,6130437,'1',3,452,1,1),(25,6130704,'1',2,601,1,6),(25,6130720,'1',3,308,1,13),(25,6130747,'1',3,339,2,24),(25,6130836,'1',1,220,2,5),(25,6131034,'1',3,309,1,21),(25,6131050,'1',3,220,1,25),(25,6131115,'1',3,302,1,30),(25,6131174,'1A',3,233,1,21),(25,6131310,'1',3,601,2,203),(25,6131379,'1',3,428,1,15),(25,6131387,'1',2,234,1,4),(25,6131409,'1',3,303,2,48),(25,6131450,'1',2,333,1,1),(25,6131530,'1A',3,201,1,29),(25,6131603,'1',3,308,1,22),(25,6131654,'1',2,302,2,10),(25,6131760,'1',2,332,2,7),(25,6131786,'1A',3,601,1,24),(25,6131840,'1',3,223,1,16),(25,6131964,'1',3,319,1,2),(25,6131972,'1',3,420,1,12),(25,6132073,'1',3,110,2,45),(25,6132146,'1',3,104,2,69),(25,6132243,'1',2,654,2,7),(25,6132278,'1',3,336,1,6),(25,6132316,'1',2,201,1,5),(25,6132391,'1',2,423,1,1),(25,6132430,'1',3,326,1,25),(25,6132553,'1',2,223,1,8),(25,6132707,'1',3,110,1,5),(25,6132758,'1',2,318,2,13),(25,6132804,'1A',2,601,1,16),(25,6132871,'1',3,551,2,97),(25,6132910,'1',2,319,2,18),(25,6133045,'1',2,203,1,7),(25,6133185,'1',1,5,1,3),(25,6133240,'1',2,317,1,2),(25,6133290,'1',3,326,1,8),(25,6133690,'1A',3,601,2,216),(25,6133711,'1',3,308,1,19),(25,6133827,'1',3,451,1,3),(25,6133835,'1',3,501,2,78),(25,6133878,'1A',3,601,1,38),(25,6133908,'1',3,301,1,29),(25,6134041,'1',3,108,2,48),(25,6134050,'1',3,320,2,18),(25,6134092,'1',2,235,1,2),(25,6134378,'1',3,337,1,14),(25,6134386,'1',1,222,1,1),(25,6134432,'1',3,108,2,55),(25,6134440,'1',3,428,1,26),(25,6134459,'1',3,428,2,57),(25,6134483,'1',3,339,2,33),(25,6134556,'1',3,304,1,16),(25,6134653,'1',3,208,2,55),(25,6134700,'1',3,317,2,47),(25,6134734,'1',3,102,1,13),(25,6134785,'1',3,102,1,2),(25,6134815,'1',3,444,1,9),(25,6134866,'1',3,202,1,10),(25,6134920,'1',3,103,1,7),(25,6135030,'1',2,302,2,15),(25,6135056,'1',3,601,2,295),(25,6135226,'1',3,654,1,15),(25,6135269,'1',3,310,1,10),(25,6135447,'1',3,216,2,32),(25,6135463,'1',3,503,1,20),(25,6135714,'1',1,333,1,1),(25,6135722,'1',3,502,2,41),(25,6135889,'1',2,234,2,11),(25,6135935,'1',3,2,1,8),(25,6136150,'1A',3,601,2,248),(25,6136257,'1',3,203,2,50),(25,6136303,'1',3,328,1,22),(25,6136494,'1',3,502,1,14),(25,6136559,'1',3,304,2,69),(25,6136567,'1',3,328,1,29),(25,6136621,'1',1,208,1,3),(25,6136648,'1',3,423,1,1),(25,6136656,'1',3,444,1,18),(25,6136699,'1',3,601,1,63),(25,6136702,'1',3,202,2,44),(25,6136729,'1A',3,215,1,15),(25,6136770,'1',2,332,2,6),(25,6136923,'1',3,302,2,66),(25,6136958,'1',3,108,2,52),(25,6137083,'1',3,601,2,315),(25,6137130,'1',3,303,2,59),(25,6137164,'1',3,5,1,9),(25,6137202,'1',3,319,2,45),(25,6137210,'1',3,319,1,24),(25,6137237,'1',3,3,2,47),(25,6137288,'1',3,335,1,20),(25,6137415,'1',3,214,1,12),(25,6137423,'1',3,653,2,60),(25,6137504,'1',3,303,2,37),(25,6137512,'1',3,328,1,14),(25,6137610,'1',3,104,2,40),(25,6137660,'1',3,338,1,4),(25,6137687,'1',3,104,1,7),(25,6137822,'1',3,601,1,156),(25,6137920,'1',3,101,2,45),(25,6137954,'1',2,329,1,3),(25,6138063,'1',3,233,1,14),(25,6138152,'1',3,3,2,46),(25,6138225,'1',3,101,2,43),(25,6138403,'1',3,444,1,21),(25,6138446,'1',3,201,1,16),(25,6138594,'1',3,203,1,12),(25,6138632,'1',3,601,1,73),(25,6138799,'1',3,319,1,26),(25,6138900,'1',3,203,2,47),(25,6139078,'1',1,103,2,10),(25,6139094,'1',3,303,2,41),(25,6139140,'1',3,551,1,71),(25,6139213,'1',3,303,2,49),(25,6139248,'1',3,316,2,52),(25,6139337,'1A',3,235,1,2),(25,6139442,'1',3,501,1,30),(25,6139450,'1',3,453,2,22),(25,6139574,'1A',3,214,2,26),(25,6139590,'1',3,503,2,47),(25,6139701,'1',3,203,2,74),(25,6139728,'1',2,551,1,13),(25,6139752,'1',3,207,2,33),(25,6139787,'1',3,201,1,9),(25,6139817,'1',3,332,2,10),(25,6139833,'1',3,5,1,25),(25,6139892,'1',3,303,2,57),(25,6139906,'1A',2,653,2,14),(25,6139981,'1A',3,212,2,18),(25,6140041,'1',3,214,1,1),(25,6140114,'1',2,339,2,11),(25,6140270,'1',2,235,2,9),(25,6140343,'1',1,420,2,4),(25,6140440,'1',2,208,2,14),(25,6140530,'1',2,304,2,16),(25,6140564,'1',3,340,2,56),(25,6140572,'1',2,339,2,9),(25,6140599,'1',2,234,2,14),(25,6140670,'1',3,333,1,4),(25,6140718,'1',3,337,1,11),(25,6140807,'1',3,424,1,18),(25,6140980,'1',3,235,2,25),(25,6141137,'1',3,318,2,59),(25,6141161,'1',3,205,2,17),(25,6141218,'1',3,102,2,51),(25,6141226,'1',3,404,1,2),(25,6141374,'1',3,336,1,1),(25,6141390,'1',3,310,1,17),(25,6141480,'1',3,551,2,98),(25,6141668,'1',3,326,1,10),(25,6141706,'1A',2,424,1,6),(25,6141714,'1',3,233,1,23),(25,6141803,'1',3,104,2,46),(25,6141811,'1A',3,208,1,7),(25,6141943,'1',3,108,1,23),(25,6141986,'1',3,205,1,12),(25,6142109,'1',2,208,1,1),(25,6142150,'1',2,309,2,10),(25,6142184,'1',2,208,1,3),(25,6142206,'1',2,326,1,3),(25,6142303,'1',3,203,2,48),(25,6142370,'1',3,109,2,56),(25,6142451,'1',3,652,2,76),(25,6142494,'1',2,3,2,9),(25,6142508,'1',3,551,1,10),(25,6142583,'1',3,318,2,64),(25,6142621,'1',3,420,2,24),(25,6142788,'1',3,340,1,20),(25,6142796,'1',3,317,2,34),(25,6142800,'1',2,207,2,11),(25,6142818,'1',3,551,1,38),(25,6142869,'1',3,450,1,8),(25,6142931,'1',2,301,1,6),(25,6142974,'1',3,339,2,25),(25,6142982,'1',1,3,1,1),(25,6143016,'1',2,444,1,5),(25,6143075,'1',3,551,1,58),(25,6143105,'1A',3,601,2,243),(25,6143130,'1',1,109,1,2),(25,6143156,'1',2,601,1,31),(25,6143199,'1A',3,601,1,82),(25,6143229,'1',3,444,1,11),(25,6143253,'1',3,304,2,61),(25,6143300,'1A',3,653,2,35),(25,6143490,'1',3,444,2,24),(25,6143539,'1',3,551,2,99),(25,6143601,'1',1,5,1,1),(25,6143687,'1A',3,601,2,262),(25,6143865,'1A',2,655,2,10),(25,6144071,'1',3,102,2,62),(25,6144098,'1',2,319,2,13),(25,6144110,'1',3,203,1,20),(25,6144152,'1',2,426,2,2),(25,6144187,'1',3,319,2,61),(25,6144195,'1',3,319,1,25),(25,6144390,'1',3,3,2,59),(25,6144519,'1',3,318,1,7),(25,6144543,'1',3,318,1,18),(25,6144551,'1',2,302,1,9),(25,6144578,'1',3,223,1,18),(25,6144632,'1',3,103,1,33),(25,6144713,'1',3,404,2,40),(25,6144780,'1',2,601,2,44),(25,6144829,'1',3,235,2,37),(25,6144950,'1',2,2,1,6),(25,6144993,'1',2,103,2,19),(25,6145051,'1',1,308,1,4),(25,6145230,'1',2,225,1,12),(25,6145299,'1',3,202,1,5),(25,6145310,'1',2,109,2,15),(25,6145345,'1',3,319,1,5),(25,6145396,'1',1,207,2,5),(25,6145469,'1A',3,429,2,10),(25,6145507,'1',3,108,2,46),(25,6145515,'1',3,104,1,15),(25,6145531,'1',3,601,2,252),(25,6145574,'1',1,601,1,4),(25,6145680,'1',3,2,1,4),(25,6145760,'1',3,337,1,4),(25,6145787,'1',2,3,2,10),(25,6145850,'1',3,316,1,4),(25,6146058,'1',3,324,1,8),(25,6146236,'1',3,108,1,28),(25,6146252,'1',2,450,1,4),(25,6146376,'1',2,551,1,5),(25,6146473,'1',3,205,1,6),(25,6146490,'1',3,235,1,3),(25,6146520,'1',3,3,2,41),(25,6146678,'1',2,444,1,6),(25,6146791,'1',3,502,2,55),(25,6146880,'1',3,102,1,32),(25,6146996,'1',3,108,1,15),(25,6147011,'1',3,207,2,44),(25,6147038,'1',3,318,1,9),(25,6147224,'1',2,336,1,1),(25,6147267,'1',3,429,2,15),(25,6147330,'1A',3,601,2,168),(25,6147348,'1',3,338,1,16),(25,6147372,'1',3,234,2,55),(25,6147542,'1',3,303,2,51),(25,6147550,'1',3,220,2,26),(25,6147593,'1',3,415,2,42),(25,6147879,'1',3,103,1,2),(25,6147976,'1',3,203,2,73),(25,6148069,'1',3,653,2,46),(25,6148174,'1A',3,215,1,10),(25,6148344,'1',3,501,1,2),(25,6148379,'1',1,324,1,1),(25,6148425,'1A',3,601,1,35),(25,6148565,'1A',3,601,1,54),(25,6148662,'1',3,104,1,20),(25,6148719,'1',1,233,1,1),(25,6148948,'1',3,102,2,79),(25,6149057,'1A',3,655,1,20),(25,6149227,'1',3,654,1,5),(25,6149405,'1',1,319,2,8),(25,6149529,'1',3,329,1,2),(25,6149561,'1',3,201,1,23),(25,6149731,'1',3,444,1,14),(25,6149766,'1',3,201,2,75),(25,6149804,'1',3,102,2,58),(25,6149855,'1',3,304,1,12),(25,6149871,'1',3,601,1,60),(25,6149928,'1',3,9,1,8),(25,6150012,'1A',3,211,1,28),(25,6150020,'1',3,201,2,57),(25,6150063,'1',2,103,2,20),(25,6150136,'1',1,5,2,7),(25,6150217,'1',3,551,2,90),(25,6150284,'1',3,303,1,28),(25,6150497,'1',3,203,1,3),(25,6150764,'1A',3,601,1,109),(25,6150896,'1',3,214,1,10),(25,6150993,'1A',3,601,1,107),(25,6151043,'1',3,3,1,29),(25,6151124,'1',3,653,2,55),(25,6151175,'1A',3,235,1,4),(25,6151213,'1',3,233,1,2),(25,6151469,'1',3,337,1,12),(25,6151701,'1',3,404,1,14),(25,6151728,'1',3,319,2,55),(25,6151809,'1',3,103,2,67),(25,6151833,'1',2,303,1,1),(25,6151957,'1',2,444,2,8),(25,6152155,'1',3,223,1,10),(25,6152260,'1',2,503,2,9),(25,6152317,'1',3,428,1,13),(25,6152341,'1',3,601,1,125),(25,6152376,'1',3,203,1,14),(25,6152481,'1A',3,601,2,265),(25,6152627,'1',3,214,2,29),(25,6152791,'1',3,110,2,49),(25,6152821,'1',2,339,2,7),(25,6152937,'1',1,316,2,9),(25,6153046,'1',2,551,1,14),(25,6153097,'1',2,308,2,16),(25,6153100,'1A',3,601,2,272),(25,6153119,'1',1,233,1,4),(25,6153216,'1',3,319,2,56),(25,6153267,'1',1,339,2,6),(25,6153364,'1',1,203,2,8),(25,6153399,'1',2,318,2,18),(25,6153518,'1',3,319,1,8),(25,6153640,'1',2,429,2,6),(25,6153690,'1',3,653,2,47),(25,6153909,'1',3,238,2,56),(25,6153925,'1',3,420,1,13),(25,6153984,'1',2,655,1,1),(25,6154131,'1',2,108,1,8),(25,6154506,'1',3,2,1,12),(25,6154611,'1',3,201,1,20),(25,6154638,'1',3,309,2,39),(25,6154735,'1',3,102,1,37),(25,6154760,'1',3,224,2,28),(25,6154794,'1',1,339,1,3),(25,6154883,'1',2,309,1,8),(25,6154891,'1',1,309,1,4),(25,6154964,'1',3,421,1,22),(25,6155065,'1',2,207,1,6),(25,6155197,'1',3,234,2,44),(25,6155251,'1',3,303,1,15),(25,6155324,'1',3,428,1,2),(25,6155456,'1',2,220,2,12),(25,6155472,'1',3,108,1,17),(25,6155669,'1',2,211,1,1),(25,6155758,'1',1,225,1,2),(25,6155863,'1',3,5,1,20),(25,6155960,'1',3,301,1,23),(25,6156118,'1',3,225,1,6),(25,6156177,'1',3,225,1,29),(25,6156274,'1',3,104,2,70),(25,6156495,'1',3,327,2,31),(25,6156770,'1',3,319,1,16),(25,6157017,'1',2,203,2,19),(25,6157033,'1',3,327,2,6),(25,6157050,'1',2,340,1,1),(25,6157084,'1',3,309,2,35),(25,6157106,'1',3,103,1,29),(25,6157122,'1',2,224,2,6),(25,6157149,'1A',3,211,2,35),(25,6157173,'1A',3,601,1,32),(25,6157203,'1',3,216,1,11),(25,6157270,'1',3,654,2,27),(25,6157564,'1',3,425,1,12),(25,6157670,'1',3,317,1,21),(25,6157700,'1',3,316,2,42),(25,6157726,'1',3,444,1,17),(25,6157785,'1',2,652,1,8),(25,6157840,'1',2,201,1,7),(25,6157890,'1',3,328,1,16),(25,6157939,'1',3,208,1,25),(25,6158064,'1',2,319,1,7),(25,6158099,'1A',3,601,2,268),(25,6158170,'1',3,104,1,17),(25,6158277,'1',3,316,1,19),(25,6158463,'1',3,303,1,18),(25,6158528,'1',3,202,2,37),(25,6158706,'1',3,205,1,13),(25,6158757,'1',3,5,1,7),(25,6158811,'1',3,205,1,11),(25,6158820,'1',2,103,2,16),(25,6158846,'1',3,404,1,4),(25,6158927,'1',3,318,2,55),(25,6158935,'1A',3,214,2,27),(25,6158943,'1',3,450,1,12),(25,6159010,'1',3,109,1,5),(25,6159052,'1',2,335,2,11),(25,6159095,'1',3,208,1,4),(25,6159125,'1',3,223,1,3),(25,6159184,'1',3,3,2,32),(25,6159486,'1',3,213,2,28),(25,6159605,'1',3,501,2,46),(25,6159613,'1',3,5,2,50),(25,6159621,'1',3,301,2,65),(25,6159648,'1A',3,212,2,20),(25,6159753,'1',3,423,1,25),(25,6159770,'1',3,203,2,68),(25,6159788,'1A',3,202,2,55),(25,6159958,'1',3,318,2,35),(25,6160069,'1A',3,208,2,46),(25,6160077,'1',3,108,1,16),(25,6160174,'1',3,501,2,41),(25,6160271,'1',3,340,2,43),(25,6160298,'1',3,326,1,2),(25,6160387,'1A',3,601,2,270),(25,6160425,'1',2,423,1,5),(25,6160433,'1',3,223,1,5),(25,6160450,'1',3,233,1,5),(25,6160484,'1',3,104,2,43),(25,6160573,'1',3,104,1,3),(25,6160611,'1',2,208,1,10),(25,6160913,'1',3,201,1,18),(25,6160999,'1',1,451,1,1),(25,6161120,'1',3,503,1,19),(25,6161138,'1',3,214,1,8),(25,6161294,'1',3,551,1,19),(25,6161316,'1',3,503,2,49),(25,6161383,'1',2,339,2,8),(25,6161464,'1',3,324,2,35),(25,6161626,'1',3,317,1,4),(25,6161677,'1',3,652,2,56),(25,6161790,'1',2,234,1,7),(25,6162088,'1',2,109,1,6),(25,6162290,'1',3,428,2,58),(25,6162410,'1',2,308,2,14),(25,6162436,'1',3,335,1,7),(25,6162509,'1',2,327,2,2),(25,6162525,'1',3,223,1,2),(25,6162576,'1',2,223,1,1),(25,6162606,'1',3,101,1,23),(25,6162673,'1',1,234,1,4),(25,6162967,'1',3,654,2,24),(25,6162975,'1',3,5,1,12),(25,6163084,'1',3,302,2,49),(25,6163130,'1',2,202,2,15),(25,6163165,'1',3,207,2,45),(25,6163416,'1',3,5,2,52),(25,6163483,'1',3,303,2,47),(25,6163491,'1',2,110,2,9),(25,6163548,'1',3,601,1,120),(25,6163750,'1',3,502,2,29),(25,6163777,'1',3,335,1,18),(25,6163831,'1',3,101,1,2),(25,6163882,'1',3,452,2,15),(25,6163904,'1',3,224,2,11),(25,6163920,'1',1,220,2,7),(25,6163939,'1',3,234,2,34),(25,6163963,'1',2,207,1,7),(25,6163971,'1',3,5,1,18),(25,6163980,'1',2,102,1,8),(25,6163998,'1',2,335,1,6),(25,6164030,'1',3,421,1,32),(25,6164048,'1',3,324,1,19),(25,6164110,'1',2,303,2,18),(25,6164170,'1',2,235,1,4),(25,6164200,'1',2,426,2,8),(25,6164390,'1',3,333,1,14),(25,6164404,'1',3,326,1,9),(25,6164439,'1',3,5,2,33),(25,6164463,'1',2,337,1,3),(25,6164471,'1',2,425,1,7),(25,6164544,'1',2,421,1,2),(25,6164560,'1',1,5,2,9),(25,6164609,'1',3,304,1,17),(25,6164714,'1',2,423,1,7),(25,6164765,'1',3,308,1,24),(25,6164854,'1',3,103,2,60),(25,6164897,'1A',2,212,1,3),(25,6164978,'1',2,104,2,12),(25,6165028,'1',3,655,1,18),(25,6165036,'1',1,211,1,3),(25,6165117,'1',3,302,2,47),(25,6165125,'1',3,3,2,54),(25,6165230,'1',2,238,1,5),(25,6165273,'1',2,502,1,2),(25,6165419,'1',3,205,1,15),(25,6165524,'1',1,415,2,6),(25,6165672,'1',3,317,2,39),(25,6165818,'1',1,110,1,1),(25,6165877,'1',3,503,2,26),(25,6165958,'1',3,653,2,57),(25,6166245,'1',1,301,1,1),(25,6166342,'1A',3,202,1,18),(25,6166571,'1',2,340,2,10),(25,6166598,'1A',3,428,2,33),(25,6166687,'1',3,310,1,9),(25,6166768,'1',2,453,2,7),(25,6166989,'1',3,207,2,43),(25,6167039,'1',2,104,1,3),(25,6167055,'1',2,551,1,1),(25,6167454,'1A',2,655,1,3),(25,6167519,'1',3,207,2,34),(25,6167675,'1',3,601,1,135),(25,6167730,'1',3,102,1,33),(25,6167802,'1',2,103,1,2),(25,6167829,'1A',3,213,1,7),(25,6168086,'1A',3,215,1,2),(25,6168167,'1',3,338,1,10),(25,6168256,'1',1,212,2,4),(25,6168310,'1',3,501,2,51),(25,6168620,'1',3,225,1,17),(25,6168701,'1',2,215,2,9),(25,6168884,'1',3,501,1,25),(25,6168949,'1',3,319,2,40),(25,6169155,'1',3,235,1,21),(25,6169198,'1',3,502,2,45),(25,6169201,'1A',3,215,1,4),(25,6169236,'1A',3,233,2,46),(25,6169341,'1',2,326,1,1),(25,6169368,'1',3,103,1,11),(25,6169678,'1A',2,601,2,74),(25,6169813,'1',3,551,1,3),(25,6170153,'1',2,316,2,16),(25,6170196,'1',2,501,2,17),(25,6170234,'1',3,319,2,46),(25,6170293,'1A',3,202,1,32),(25,6170331,'1A',3,601,1,137),(25,6170358,'1',3,225,1,32),(25,6170439,'1',3,108,1,12),(25,6170730,'1',3,309,1,10),(25,6170757,'1A',2,653,2,16),(25,6170765,'1',3,238,2,42),(25,6170870,'1',3,551,2,118),(25,6170978,'1A',2,601,1,26),(25,6170994,'1',3,652,2,67),(25,6171141,'1',3,340,1,9),(25,6171168,'1',3,425,1,16),(25,6171230,'1',1,333,1,3),(25,6171257,'1',3,318,2,45),(25,6171273,'1',3,203,1,36),(25,6171397,'1',3,222,1,1),(25,6171400,'1A',2,601,2,50),(25,6171419,'1',3,425,1,25),(25,6171427,'1',3,3,1,26),(25,6171648,'1A',3,601,2,208),(25,6171710,'1',3,207,2,39),(25,6171850,'1',3,428,1,7),(25,6171966,'1',2,224,2,4),(25,6172091,'1',3,102,2,50),(25,6172156,'1',3,208,2,38),(25,6172172,'1',3,102,1,34),(25,6172180,'1',3,318,2,58),(25,6172199,'1A',2,214,1,3),(25,6172296,'1',3,324,1,1),(25,6172318,'1',3,655,2,26),(25,6172393,'1',2,428,1,8),(25,6172423,'1',2,601,1,35),(25,6172440,'1',3,319,2,57),(25,6172490,'1',2,203,1,10),(25,6172512,'1A',3,652,1,4),(25,6172539,'1',2,3,1,5),(25,6172601,'1',2,308,2,11),(25,6172750,'1',3,233,1,10),(25,6172768,'1',3,652,2,68),(25,6172784,'1',3,654,2,29),(25,6172792,'1',2,208,1,6),(25,6172962,'1A',2,211,2,16),(25,6173152,'1A',3,655,1,16),(25,6173160,'1A',3,211,2,62),(25,6173217,'1',3,203,1,28),(25,6173284,'1A',3,601,1,111),(25,6173381,'1',1,317,1,4),(25,6173403,'1',2,203,2,22),(25,6173411,'1A',3,207,2,48),(25,6173454,'1',1,652,1,2),(25,6173500,'1',1,101,1,4),(25,6173608,'1',3,427,1,1),(25,6173640,'1',3,335,1,4),(25,6173705,'1',3,328,1,24),(25,6173748,'1',2,503,1,2),(25,6173772,'1A',3,202,1,23),(25,6173780,'1',3,551,2,124),(25,6173926,'1A',3,238,1,14),(25,6174035,'1',3,420,1,1),(25,6174167,'1',3,601,2,173),(25,6174248,'1',3,104,1,31),(25,6174264,'1',3,601,2,314),(25,6174400,'1',1,216,1,2),(25,6174469,'1A',3,220,2,31),(25,6174574,'1',3,103,2,46),(25,6174620,'1A',3,653,2,34),(25,6174655,'1',2,110,1,2),(25,6174698,'1',3,652,2,74),(25,6174825,'1',3,101,2,49),(25,6174973,'1A',3,208,1,12),(25,6175139,'1A',3,424,1,29),(25,6175155,'1A',3,202,2,61),(25,6175210,'1',2,601,1,14),(25,6175260,'1A',2,207,2,14),(25,6175341,'1',1,340,1,1),(25,6175376,'1',3,108,1,11),(25,6175422,'1',2,103,2,13),(25,6175511,'1',3,238,1,15),(25,6175538,'1',3,211,1,7),(25,6175570,'1',3,551,1,46),(25,6175627,'1',3,502,2,42),(25,6175660,'1',3,336,1,8),(25,6175724,'1',3,428,1,20),(25,6175856,'1',3,3,2,50),(25,6175880,'1',2,332,2,3),(25,6176046,'1',3,318,1,28),(25,6176054,'1',2,208,1,7),(25,6176089,'1A',3,208,2,49),(25,6176097,'1',2,451,1,2),(25,6176194,'1',2,202,1,2),(25,6176321,'1',2,310,1,6),(25,6176348,'1',2,2,1,2),(25,6176356,'1',3,207,2,52),(25,6176372,'1A',3,601,1,134),(25,6176666,'1',3,220,1,24),(25,6176704,'1',3,450,1,19),(25,6176836,'1',3,303,1,7),(25,6176909,'1',3,424,1,23),(25,6176984,'1',3,223,1,14),(25,6177107,'1',2,201,2,15),(25,6177158,'1',3,216,2,25),(25,6177174,'1',3,652,2,49),(25,6177298,'1',1,319,1,5),(25,6177301,'1',3,5,1,5),(25,6177433,'1',1,103,2,6),(25,6177450,'1A',3,601,2,242),(25,6177506,'1',3,551,1,18),(25,6177557,'1A',3,652,1,8),(25,6177638,'1',3,220,1,21),(25,6177700,'1',2,202,1,3),(25,6177719,'1',3,238,2,49),(25,6177778,'1',3,101,2,36),(25,6177808,'1',3,501,1,4),(25,6177859,'1',3,340,1,22),(25,6177883,'1',2,216,2,9),(25,6178030,'1',3,317,1,6),(25,6178111,'1',3,502,1,21),(25,6178197,'1',3,452,2,17),(25,6178278,'1A',3,655,2,29),(25,6178340,'1A',3,213,1,13),(25,6178375,'1',2,501,1,4),(25,6178448,'1',3,452,2,26),(25,6178464,'1A',3,653,1,5),(25,6178618,'1',3,202,1,24),(25,6178707,'1',3,303,2,54),(25,6178855,'1',3,551,2,109),(25,6178871,'1A',3,652,2,61),(25,6178901,'1A',3,235,1,8),(25,6178952,'1',1,203,1,1),(25,6179150,'1A',3,601,1,119),(25,6179231,'1',3,103,1,10),(25,6179355,'1',3,333,1,7),(25,6179401,'1',3,102,2,94),(25,6179517,'1A',2,653,2,11),(25,6179541,'1',2,109,1,5),(25,6179622,'1A',3,601,2,201),(25,6179665,'1',3,304,2,46),(25,6179690,'1A',3,215,1,6),(25,6179711,'1',2,234,2,13),(25,6179720,'1',3,302,1,29),(25,6179738,'1',3,203,2,56),(25,6179819,'1',1,404,1,1),(25,6179851,'1',3,444,1,2),(25,6179894,'1',3,104,1,29),(25,6179975,'1',3,308,2,57),(25,6180213,'1A',3,202,1,15),(25,6180230,'1',3,320,2,28),(25,6180264,'1',3,103,2,53),(25,6180310,'1',3,303,2,40),(25,6180361,'1',3,304,2,38),(25,6180370,'1',3,319,2,54),(25,6180388,'1',2,336,1,4),(25,6180442,'1A',3,601,1,65),(25,6180515,'1A',3,601,1,58),(25,6180663,'1',3,339,1,8),(25,6180728,'1',2,428,2,13),(25,6180760,'1',2,424,1,2),(25,6180825,'1',3,103,1,6),(25,6180850,'1',2,319,1,4),(25,6180914,'1',3,326,1,3),(25,6180930,'1',2,234,2,15),(25,6180990,'1',3,223,1,29),(25,6181040,'1',3,326,1,5),(25,6181210,'1',3,108,2,30),(25,6181260,'1A',2,655,2,7),(25,6181325,'1',2,340,1,2),(25,6181392,'1',2,326,1,4),(25,6181538,'1',3,234,2,33),(25,6181570,'1',3,104,1,12),(25,6181600,'1',3,235,2,43),(25,6181635,'1',3,425,1,29),(25,6181775,'1',3,220,1,22),(25,6181902,'1',3,308,2,73),(25,6181970,'1A',3,208,2,73),(25,6182020,'1',2,503,1,7),(25,6182119,'1',3,501,2,75),(25,6182135,'1',3,404,1,19),(25,6182259,'1A',3,653,2,37),(25,6182267,'1',2,203,2,12),(25,6182291,'1',3,234,2,37),(25,6182372,'1',3,501,2,59),(25,6182410,'1',2,502,2,13),(25,6182526,'1',1,234,1,1),(25,6182550,'1',2,104,2,14),(25,6182712,'1',3,104,2,61),(25,6182720,'1',3,453,1,7),(25,6182739,'1',3,2,1,42),(25,6182992,'1',3,103,1,34),(25,6183018,'1',2,317,1,8),(25,6183026,'1',3,104,2,72),(25,6183050,'1',1,337,1,1),(25,6183123,'1',3,220,1,2),(25,6183166,'1A',3,652,1,6),(25,6183220,'1',3,201,1,7),(25,6183360,'1A',3,215,2,21),(25,6183514,'1',3,309,1,11),(25,6183735,'1',3,332,2,15),(25,6183760,'1',3,339,1,11),(25,6183972,'1A',3,601,1,145),(25,6184081,'1',3,104,2,58),(25,6184120,'1',3,415,2,27),(25,6184278,'1A',2,652,2,12),(25,6184332,'1',3,110,2,35),(25,6184456,'1',3,310,1,15),(25,6184472,'1',2,223,1,5),(25,6184502,'1',3,213,1,3),(25,6184685,'1',3,9,1,3),(25,6184715,'1',2,317,2,12),(25,6184723,'1',3,309,2,41),(25,6184731,'1',2,503,2,11),(25,6184928,'1',2,340,1,3),(25,6184944,'1A',3,429,2,22),(25,6184960,'1',2,324,2,12),(25,6185177,'1',2,551,2,33),(25,6185347,'1',1,5,1,5),(25,6185355,'1',3,653,2,56),(25,6185380,'1',1,404,1,2),(25,6185452,'1',3,601,1,1),(25,6185622,'1',3,302,1,19),(25,6185770,'1',3,327,2,20),(25,6185835,'1',3,201,1,12),(25,6185886,'1',3,339,2,30),(25,6185894,'1',2,109,2,13),(25,6186033,'1A',3,213,1,4),(25,6186041,'1',2,304,1,6),(25,6186076,'1',3,233,1,4),(25,6186084,'1',3,234,1,27),(25,6186106,'1',3,9,1,31),(25,6186157,'1',3,421,1,19),(25,6186165,'1A',3,601,2,181),(25,6186270,'1A',3,211,2,38),(25,6186394,'1A',3,215,1,14),(25,6186408,'1',3,503,1,3),(25,6186459,'1',2,503,2,13),(25,6186521,'1',3,3,2,56),(25,6186599,'1',2,453,1,3),(25,6186602,'1',3,5,1,13),(25,6186670,'1',3,654,1,4),(25,6186700,'1',3,103,2,42),(25,6186793,'1',3,104,2,42),(25,6186840,'1A',3,428,2,51),(25,6186882,'1',3,309,2,40),(25,6186920,'1',3,214,2,17),(25,6186947,'1',3,304,2,39),(25,6187072,'1',3,102,1,1),(25,6187080,'1',1,501,1,1),(25,6187188,'1',3,340,2,41),(25,6187226,'1',3,110,1,16),(25,6187331,'1',3,601,2,312),(25,6187340,'1',2,101,1,3),(25,6187439,'1',2,420,2,8),(25,6187463,'1',3,302,1,4),(25,6187501,'1',3,225,1,14),(25,6187595,'1',2,102,1,2),(25,6187790,'1',3,452,2,27),(25,6187846,'1A',2,233,2,9),(25,6188117,'1A',3,211,2,59),(25,6188150,'1',3,109,2,53),(25,6188257,'1',1,309,1,2),(25,6188311,'1',3,108,1,26),(25,6188346,'1',3,234,1,20),(25,6188354,'1',3,213,1,15),(25,6188397,'1',2,444,1,4),(25,6188419,'1',1,428,1,1),(25,6188575,'1A',3,220,2,36),(25,6188656,'1',3,211,1,31),(25,6188664,'1',2,201,1,6),(25,6188761,'1',3,404,1,16),(25,6188770,'1',3,301,2,40),(25,6188788,'1',3,339,1,21),(25,6188974,'1',3,216,1,7),(25,6189016,'1',3,214,1,6),(25,6189059,'1',3,211,2,45),(25,6189083,'1',3,503,2,38),(25,6189245,'1',3,202,1,1),(25,6189300,'1',2,3,2,15),(25,6189458,'1',3,503,1,7),(25,6189580,'1',3,653,1,26),(25,6189687,'1',3,415,2,39),(25,6189717,'1',3,103,1,17),(25,6189733,'1',3,238,1,33),(25,6189920,'1',3,425,1,15),(25,6189938,'1',2,301,1,1),(25,6189954,'1A',3,233,1,17),(25,6190081,'1',3,101,2,30),(25,6190154,'1',3,201,2,55),(25,6190383,'1',3,208,2,64),(25,6190421,'1',3,327,2,30),(25,6190430,'1',3,203,1,1),(25,6190570,'1',3,426,2,6),(25,6190693,'1A',1,235,1,3),(25,6190740,'1',3,331,1,13),(25,6190855,'1',2,316,1,10),(25,6190952,'1',2,102,1,4),(25,6191002,'1',3,415,2,23),(25,6191029,'1',3,601,2,245),(25,6191061,'1',3,104,1,10),(25,6191070,'1',3,444,2,32),(25,6191096,'1',3,302,2,65),(25,6191126,'1',3,203,2,55),(25,6191150,'1',3,501,1,24),(25,6191240,'1A',3,202,1,11),(25,6191355,'1A',3,233,2,42),(25,6191380,'1A',3,652,2,38),(25,6191401,'1',3,415,1,18),(25,6191428,'1',2,333,1,2),(25,6191460,'1',2,653,1,2),(25,6191487,'1',3,5,1,30),(25,6191509,'1',3,336,1,20),(25,6191525,'1',3,201,1,22),(25,6191568,'1',3,308,2,47),(25,6191584,'1',3,453,1,3),(25,6191738,'1',1,310,1,2),(25,6191754,'1A',3,601,1,44),(25,6191770,'1',2,420,1,2),(25,6191835,'1A',3,202,2,58),(25,6192017,'1',3,207,2,46),(25,6192041,'1',3,336,1,18),(25,6192092,'1',3,340,2,50),(25,6192106,'1',1,108,2,5),(25,6192157,'1',1,216,1,1),(25,6192173,'1',3,108,1,8),(25,6192262,'1',2,425,1,3),(25,6192289,'1',3,427,1,7),(25,6192351,'1A',3,601,1,16),(25,6192360,'1',3,425,1,5),(25,6192394,'1',3,301,2,51),(25,6192491,'1',3,601,2,311),(25,6192572,'1',3,101,2,34),(25,6192602,'1',3,601,1,77),(25,6192610,'1',3,451,1,10),(25,6192637,'1',2,225,1,9),(25,6192645,'1',2,302,2,18),(25,6192661,'1',2,102,1,3),(25,6192670,'1',3,551,1,2),(25,6192700,'1A',3,655,2,28),(25,6192831,'1',3,238,2,44),(25,6192874,'1',2,335,2,9),(25,6192920,'1A',2,220,1,7),(25,6192947,'1',3,301,2,62),(25,6193048,'1',2,340,1,5),(25,6193099,'1',3,304,2,52),(25,6193110,'1',2,102,2,18),(25,6193200,'1',3,201,1,3),(25,6193390,'1',3,404,2,30),(25,6193528,'1',3,208,2,39),(25,6193595,'1',2,302,1,3),(25,6193609,'1',3,654,2,22),(25,6193633,'1A',3,653,1,27),(25,6193706,'1',3,301,1,11),(25,6193749,'1',3,208,1,27),(25,6193790,'1',3,502,2,36),(25,6193960,'1',3,234,2,38),(25,6193994,'1A',3,214,2,21),(25,6194052,'1',3,224,2,5),(25,6194079,'1',3,207,1,3),(25,6194184,'1',2,201,1,10),(25,6194206,'1',2,104,1,9),(25,6194222,'1',3,331,1,14),(25,6194230,'1',3,3,1,4),(25,6194427,'1',2,444,2,10),(25,6194532,'1',3,601,1,103),(25,6194575,'1',3,3,2,49),(25,6194710,'1',2,303,2,10),(25,6194770,'1',2,501,1,11),(25,6194850,'1',3,420,2,23),(25,6194869,'1A',3,202,1,31),(25,6194885,'1',3,301,2,75),(25,6194958,'1',2,415,2,10),(25,6195105,'1',2,203,2,20),(25,6195121,'1',3,207,2,54),(25,6195326,'1',3,601,1,3),(25,6195393,'1',1,238,2,6),(25,6195440,'1A',3,601,1,80),(25,6195466,'1',2,428,2,10),(25,6195490,'1',3,340,1,8),(25,6195547,'1',3,110,2,39),(25,6195580,'1',1,207,1,2),(25,6195679,'1',3,317,2,43),(25,6195741,'1',2,101,1,7),(25,6195750,'1',3,318,1,31),(25,6195865,'1',3,104,2,37),(25,6195911,'1',2,444,2,7),(25,6196020,'1',1,503,1,3),(25,6196101,'1',2,335,2,10),(25,6196195,'1',3,104,2,63),(25,6196365,'1',3,222,1,11),(25,6196381,'1',3,318,1,17),(25,6196420,'1',3,304,2,70),(25,6196527,'1',3,324,1,23),(25,6196691,'1',3,103,2,43),(25,6196713,'1',3,104,2,52),(25,6196926,'1A',3,208,2,62),(25,6196950,'1',3,503,1,10),(25,6197159,'1',3,318,2,50),(25,6197175,'1',2,601,2,41),(25,6197230,'1',3,551,2,114),(25,6197272,'1',3,332,2,29),(25,6197299,'1',2,215,2,8),(25,6197396,'1',3,551,1,11),(25,6197434,'1A',3,233,2,32),(25,6197507,'1',3,551,1,60),(25,6197574,'1',2,207,1,1),(25,6197582,'1',2,601,2,66),(25,6197612,'1',3,428,1,9),(25,6197655,'1',3,201,1,32),(25,6197710,'1',3,326,1,23),(25,6197817,'1',1,415,1,3),(25,6197850,'1A',2,238,2,20),(25,6197868,'1',3,335,1,12),(25,6197930,'1',2,110,1,7),(25,6197973,'1',3,327,2,10),(25,6198082,'1',3,450,1,11),(25,6198139,'1',3,319,1,20),(25,6198198,'1A',3,428,2,55),(25,6198210,'1',2,301,2,17),(25,6198228,'1',3,101,2,42),(25,6198279,'1',3,5,1,8),(25,6198414,'1A',3,601,1,81),(25,6198430,'1',3,103,1,13),(25,6198597,'1',3,102,2,81),(25,6198635,'1',3,601,2,229),(25,6198716,'1',3,551,1,53),(25,6198791,'1',3,329,1,12),(25,6198821,'1',2,102,1,6),(25,6198864,'1',3,102,1,16),(25,6198929,'1',3,212,1,4),(25,6199240,'1',1,653,1,2),(25,6199313,'1',2,452,1,1),(25,6199410,'1',3,426,2,18),(25,6199453,'1',3,309,1,14),(25,6199488,'1',2,301,1,4),(25,6199569,'1A',2,235,1,5),(25,6199674,'1',3,429,2,18),(25,6199909,'1',3,317,1,30),(25,6199925,'1',3,220,1,5),(25,6199984,'1A',3,212,1,13),(25,6200125,'1',3,301,2,58),(25,6200141,'1A',3,653,2,42),(25,6200184,'1',3,211,2,41),(25,6200214,'1',1,108,1,3),(25,6200249,'1',3,423,1,13),(25,6200397,'1',3,104,2,44),(25,6200460,'1',2,451,1,3),(25,6200524,'1',3,101,1,13),(25,6200656,'1',3,429,2,13),(25,6200869,'1',3,316,1,33),(25,6200974,'1',3,102,2,80),(25,6201172,'1',3,207,1,18),(25,6201342,'1',3,103,1,24),(25,6201458,'1',3,234,2,29),(25,6201539,'1',3,103,2,44),(25,6201563,'1',2,310,1,3),(25,6201580,'1',3,211,2,34),(25,6201636,'1',3,318,2,54),(25,6201733,'1A',3,601,1,69),(25,6201784,'1',3,309,1,28),(25,6201873,'1',1,238,2,8),(25,6202039,'1',3,503,1,25),(25,6202080,'1',2,502,1,7),(25,6202152,'1',3,415,1,21),(25,6202225,'1',3,238,1,9),(25,6202292,'1',3,501,2,65),(25,6202306,'1',3,655,1,6),(25,6202420,'1',3,102,2,61),(25,6202551,'1',3,502,1,18),(25,6202675,'1',3,208,2,47),(25,6202772,'1',2,451,1,4),(25,6202799,'1',2,329,1,4),(25,6202845,'1A',3,215,1,18),(25,6202861,'1A',3,238,1,21),(25,6202926,'1',3,304,2,56),(25,6203019,'1',2,601,1,1),(25,6203043,'1',3,304,1,18),(25,6203132,'1',3,203,2,72),(25,6203183,'1',2,5,2,15),(25,6203230,'1',2,109,1,1),(25,6203248,'1',3,654,2,34),(25,6203337,'1',3,310,1,14),(25,6203450,'1',2,203,1,5),(25,6203477,'1',2,235,2,10),(25,6203507,'1',1,331,1,1),(25,6203523,'1',2,426,2,6),(25,6203574,'1',3,601,1,151),(25,6203582,'1',3,426,2,15),(25,6203728,'1',3,303,1,2),(25,6203744,'1',3,3,2,61),(25,6203795,'1',2,2,1,9),(25,6203825,'1',2,212,1,2),(25,6203833,'1',3,601,1,28),(25,6203930,'1',1,503,1,2),(25,6203965,'1',3,104,2,54),(25,6203990,'1',3,328,1,13),(25,6204147,'1',3,104,1,16),(25,6204163,'1',3,202,1,8),(25,6204325,'1',3,109,1,7),(25,6204368,'1',3,208,2,53),(25,6204392,'1',3,9,1,22),(25,6204430,'1',2,309,1,3),(25,6204457,'1',3,601,1,39),(25,6204503,'1',3,201,2,45),(25,6204600,'1',3,101,2,33),(25,6204627,'1',3,427,1,27),(25,6204848,'1',3,103,1,32),(25,6204970,'1',3,501,2,72),(25,6205062,'1',3,303,1,31),(25,6205119,'1',3,2,1,9),(25,6205186,'1',1,303,2,6),(25,6205305,'1',3,652,2,63),(25,6205313,'1',3,109,2,44),(25,6205330,'1',2,304,1,4),(25,6205356,'1',3,220,1,1),(25,6205461,'1',2,214,1,2),(25,6205526,'1A',3,213,1,11),(25,6205569,'1',2,302,1,7),(25,6205577,'1',3,104,2,41),(25,6205623,'1',3,319,1,11),(25,6205631,'1',2,601,1,3),(25,6205712,'1A',3,426,2,32),(25,6206000,'1',3,501,1,5),(25,6206395,'1',3,101,2,31),(25,6206450,'1',3,303,1,14),(25,6206476,'1',3,303,1,8),(25,6206646,'1',3,601,1,20),(25,6206816,'1',3,328,1,4),(25,6207014,'1',3,503,2,30),(25,6207049,'1',3,9,1,9),(25,6207170,'1',2,301,1,7),(25,6207286,'1',3,654,2,33),(25,6207340,'1',3,601,1,7),(25,6207375,'1',2,103,2,11),(25,6207383,'1A',3,202,2,51),(25,6207391,'1',3,340,2,51),(25,6207456,'1',2,317,2,16),(25,6207537,'1',2,109,2,10),(25,6207570,'1',3,428,1,22),(25,6207618,'1',3,215,2,24),(25,6207642,'1',3,234,2,53),(25,6207669,'1',3,203,1,23),(25,6207740,'1',3,303,2,34),(25,6207987,'1',3,415,2,33),(25,6208207,'1',3,223,1,8),(25,6208240,'1',3,339,2,23),(25,6208339,'1',3,331,1,15),(25,6208371,'1',3,5,2,36),(25,6208401,'1',3,503,2,51),(25,6208460,'1',3,320,2,3),(25,6208720,'1',1,333,1,2),(25,6208797,'1',3,207,1,20),(25,6208878,'1',2,238,2,15),(25,6208975,'1A',3,213,1,14),(25,6209106,'1',3,601,2,218),(25,6209181,'1',3,303,2,43),(25,6209670,'1A',3,214,2,23),(25,6209696,'1',3,415,1,10),(25,6209734,'1',2,234,1,3),(25,6209769,'1',3,332,2,1),(25,6210023,'1',2,601,1,25),(25,6210171,'1',3,303,2,42),(25,6210180,'1',3,211,2,63),(25,6210228,'1',3,319,2,60),(25,6210260,'1A',3,652,2,58),(25,6210600,'1',2,336,1,3),(25,6210643,'1',2,551,2,36),(25,6210856,'1',3,655,1,17),(25,6211070,'1',3,340,2,55),(25,6211178,'1',3,655,1,1),(25,6211208,'1',3,316,1,35),(25,6211305,'1',3,320,2,30),(25,6211399,'1',3,426,2,26),(25,6211410,'1',3,501,2,71),(25,6211461,'1',3,201,2,41),(25,6211542,'1',3,203,2,42),(25,6211615,'1',3,328,1,5),(25,6211682,'1',3,339,2,26),(25,6211690,'1',3,332,2,9),(25,6211712,'1',3,340,1,13),(25,6211909,'1',3,601,1,90),(25,6211941,'1',3,429,2,26),(25,6212018,'1',3,316,1,27),(25,6212085,'1',3,5,1,15),(25,6212131,'1',3,220,1,8),(25,6212190,'1',2,110,2,13),(25,6212310,'1A',3,213,1,1),(25,6212344,'1',3,320,2,25),(25,6212441,'1',1,211,2,8),(25,6212476,'1',3,654,2,42),(25,6212506,'1',3,601,2,158),(25,6212565,'1',3,601,2,172),(25,6212590,'1',3,224,2,4),(25,6212662,'1',2,301,2,16),(25,6212735,'1',3,319,1,17),(25,6212743,'1',2,203,1,9),(25,6213170,'1',3,302,2,35),(25,6213294,'1',2,601,1,22),(25,6213359,'1',3,324,1,6),(25,6213405,'1',3,551,1,1),(25,6213537,'1',2,203,1,3),(25,6213561,'1',2,201,1,1),(25,6213570,'1',3,310,1,7),(25,6213618,'1',3,308,1,34),(25,6213847,'1',3,426,2,12),(25,6213880,'1',3,329,1,26),(25,6213960,'1A',3,429,2,28),(25,6214142,'1',3,225,1,24),(25,6214193,'1',2,551,1,3),(25,6214266,'1',3,207,2,29),(25,6214347,'1',3,453,2,18),(25,6214355,'1',3,551,2,121),(25,6214371,'1',1,225,1,1),(25,6214380,'1',3,426,2,19),(25,6214410,'1',2,404,1,5),(25,6214479,'1',1,653,1,3),(25,6214533,'1',3,551,2,130),(25,6214541,'1',2,335,1,5),(25,6214568,'1',3,208,1,29),(25,6214592,'1',3,201,2,53),(25,6214606,'1',3,337,1,6),(25,6214835,'1',3,238,1,1),(25,6214991,'1',3,102,2,69),(25,6215319,'1',3,427,1,6),(25,6215459,'1',3,108,1,4),(25,6215491,'1',3,426,2,8),(25,6215505,'1',3,502,1,5),(25,6215513,'1',2,502,1,6),(25,6215599,'1',3,203,2,75),(25,6215742,'1',3,234,1,21),(25,6215750,'1',3,201,1,31),(25,6215785,'1',3,655,1,3),(25,6215858,'1',3,425,1,17),(25,6215890,'1',3,302,1,11),(25,6216072,'1',3,224,2,22),(25,6216102,'1',3,309,1,2),(25,6216129,'1',2,303,2,17),(25,6216145,'1',2,318,1,6),(25,6216196,'1',1,317,2,9),(25,6216200,'1',3,238,1,5),(25,6216250,'1',2,309,2,11),(25,6216323,'1',3,304,2,44),(25,6216331,'1',3,317,2,48),(25,6216722,'1',3,215,2,29),(25,6216820,'1',2,208,2,16),(25,6216935,'1',3,216,2,23),(25,6217087,'1A',3,601,1,22),(25,6217729,'1',1,101,1,3),(25,6218075,'1A',3,238,2,63),(25,6218164,'1',3,103,2,62),(25,6218253,'1',3,415,2,37),(25,6218261,'1',3,340,1,2),(25,6218385,'1',3,503,2,36),(25,6218393,'1',3,319,1,21),(25,6218431,'1',3,212,1,3),(25,6218504,'1',3,109,2,40),(25,6218512,'1',3,238,1,22),(25,6218555,'1',2,301,1,10),(25,6218814,'1',3,601,2,310),(25,6218962,'1',3,301,1,8),(25,6218989,'1A',2,601,2,61),(25,6219292,'1',3,216,1,13),(25,6219314,'1',3,652,1,37),(25,6219373,'1',3,102,2,75),(25,6219390,'1',3,502,1,24),(25,6219489,'1',3,302,1,26),(25,6219527,'1A',3,429,2,20),(25,6219624,'1',3,203,2,70),(25,6219691,'1',3,303,1,13),(25,6219748,'1',3,339,2,41),(25,6219934,'1',2,108,1,7),(25,6219950,'1',3,201,1,25),(25,6220150,'1',3,3,1,8),(25,6220169,'1',3,201,2,61),(25,6220266,'1',3,425,1,6),(25,6220320,'1',3,329,1,19),(25,6220495,'1',3,103,2,36),(25,6220509,'1',1,303,1,4),(25,6220533,'1',3,220,2,38),(25,6220550,'1',3,653,2,54),(25,6220584,'1',2,3,1,7),(25,6220622,'1',3,225,1,18),(25,6220746,'1',2,308,2,15),(25,6220770,'1',3,110,2,53),(25,6220860,'1',3,216,2,27),(25,6220916,'1',3,336,1,11),(25,6220991,'1',3,317,1,23),(25,6221041,'1',2,233,1,6),(25,6221084,'1',2,104,1,2),(25,6221092,'1',3,601,2,200),(25,6221149,'1',2,238,2,13),(25,6221203,'1',3,301,2,66),(25,6221335,'1',3,329,1,13),(25,6221661,'1',3,551,1,47),(25,6221742,'1',3,303,1,21),(25,6221769,'1',3,203,1,13),(25,6221793,'1',2,420,2,7),(25,6221955,'1',3,211,2,46),(25,6222005,'1',3,420,2,27),(25,6222030,'1',3,302,1,3),(25,6222072,'1',3,339,1,18),(25,6222129,'1',3,318,1,20),(25,6222137,'1',1,302,1,1),(25,6222161,'1',3,304,1,21),(25,6222382,'1',3,340,2,52),(25,6222528,'1',3,3,2,48),(25,6222650,'1',1,324,1,2),(25,6222757,'1',3,426,2,17),(25,6222803,'1',3,302,1,12),(25,6222838,'1',3,601,2,263),(25,6222854,'1A',1,212,2,3),(25,6222862,'1',3,319,2,48),(25,6222943,'1',3,429,2,29),(25,6223052,'1',3,318,2,36),(25,6223087,'1',3,421,1,35),(25,6223125,'1',3,202,2,45),(25,6223150,'1A',3,211,1,20),(25,6223206,'1',3,316,1,17),(25,6223320,'1',1,428,1,3),(25,6223354,'1',3,327,2,25),(25,6223400,'1',3,202,1,3),(25,6223532,'1',3,234,1,11),(25,6223680,'1',3,102,2,73),(25,6223737,'1',3,340,1,4),(25,6223788,'1',3,208,1,19),(25,6223923,'1',3,238,2,51),(25,6223940,'1',2,304,1,3),(25,6224075,'1',3,601,2,258),(25,6224172,'1',2,501,2,18),(25,6224245,'1',3,551,2,101),(25,6224253,'1',3,308,1,26),(25,6224288,'1',1,5,2,6),(25,6224490,'1',3,420,1,7),(25,6224539,'1',3,501,1,23),(25,6224750,'1',3,654,1,11),(25,6224792,'1',3,308,2,63),(25,6224806,'1',3,301,1,32),(25,6224814,'1',3,501,2,66),(25,6224873,'1',2,234,1,5),(25,6224903,'1',3,423,1,4),(25,6224946,'1',2,304,1,9),(25,6225063,'1',3,428,2,49),(25,6225098,'1',3,551,2,110),(25,6225187,'1',3,551,1,62),(25,6225195,'1',3,404,1,8),(25,6225209,'1',2,601,2,49),(25,6225314,'1',3,551,2,115),(25,6225543,'1',1,450,1,1),(25,6225659,'1A',3,202,1,25),(25,6225675,'1',3,302,2,63),(25,6225691,'1',3,329,1,24),(25,6225721,'1A',3,652,1,17),(25,6225772,'1',3,110,1,19),(25,6225845,'1',3,2,1,39),(25,6225896,'1A',3,601,2,283),(25,6225950,'1',3,301,2,54),(25,6226078,'1',3,234,1,13),(25,6226086,'1',3,110,1,9),(25,6226094,'1A',3,601,2,285),(25,6226213,'1',3,9,1,13),(25,6226256,'1',2,5,2,14),(25,6226388,'1',3,601,2,276),(25,6226396,'1',3,223,1,27),(25,6226426,'1',3,428,1,17),(25,6226442,'1A',3,427,1,10),(25,6226469,'1',3,331,1,18),(25,6226523,'1',2,654,1,2),(25,6226531,'1',2,103,1,5),(25,6226540,'1',3,551,1,7),(25,6226574,'1',3,110,1,7),(25,6226604,'1A',3,655,1,11),(25,6226655,'1',2,415,1,3),(25,6226701,'1',3,225,1,47),(25,6226728,'1A',3,201,1,34),(25,6226850,'1',2,308,2,17),(25,6226957,'1',3,201,2,74),(25,6226981,'1',3,324,1,2),(25,6227058,'1A',3,652,1,19),(25,6227066,'1',2,327,2,4),(25,6227104,'1',2,302,2,13),(25,6227112,'1',3,652,1,14),(25,6227155,'1',2,103,1,4),(25,6227163,'1',3,234,2,45),(25,6227198,'1',3,316,1,9),(25,6227279,'1',3,551,2,111),(25,6227430,'1',3,205,2,16),(25,6227449,'1',3,424,1,6),(25,6227660,'1',3,452,1,13),(25,6227783,'1',2,203,2,21),(25,6227899,'1A',3,601,2,195),(25,6228232,'1',3,335,2,32),(25,6228283,'1',3,225,1,22),(25,6228372,'1',3,9,1,4),(25,6228429,'1',2,303,2,12),(25,6228569,'1',3,319,2,41),(25,6228585,'1',3,102,1,36),(25,6228593,'1',2,501,1,7),(25,6228747,'1',3,308,1,10),(25,6228828,'1A',2,233,1,4),(25,6228852,'1',3,5,2,57),(25,6228879,'1',3,2,1,11),(25,6228992,'1',3,301,2,60),(25,6229026,'1',3,304,1,19),(25,6229140,'1',3,2,1,22),(25,6229220,'1',3,310,1,22),(25,6229247,'1',3,103,1,25),(25,6229336,'1',3,326,1,22),(25,6229352,'1',2,601,2,78),(25,6229450,'1',3,336,1,9),(25,6229492,'1',1,101,2,7),(25,6229581,'1',3,207,2,35),(25,6229654,'1',3,654,1,14),(25,6229719,'1',3,415,1,6),(25,6229786,'1',2,319,2,11),(25,6229794,'1',3,501,1,21),(25,6229824,'1',3,318,1,15),(25,6229832,'1',3,308,1,25),(25,6229930,'1A',3,653,1,23),(25,6229999,'1A',2,655,2,11),(25,6230024,'1',3,301,1,17),(25,6230059,'1',3,304,1,13),(25,6230199,'1',3,331,1,20),(25,6230288,'1',3,551,1,75),(25,6230342,'1',3,302,2,45),(25,6230350,'1',3,108,2,31),(25,6230423,'1',3,303,1,5),(25,6230520,'1A',3,220,2,49),(25,6230709,'1A',2,653,2,10),(25,6230750,'1',3,301,2,48),(25,6230776,'1',3,654,1,16),(25,6230792,'1',3,601,2,313),(25,6230814,'1',3,308,1,5),(25,6230890,'1',3,337,1,13),(25,6231020,'1',3,223,1,24),(25,6231047,'1',2,202,2,14),(25,6231101,'1',1,201,2,7),(25,6231225,'1',1,104,1,4),(25,6231233,'1',3,202,2,50),(25,6231250,'1',3,501,2,61),(25,6231268,'1A',2,601,1,33),(25,6231381,'1',2,502,1,3),(25,6231390,'1',3,331,1,1),(25,6231420,'1',2,3,1,8),(25,6231535,'1',3,301,1,9),(25,6231608,'1',3,328,1,28),(25,6231624,'1',3,340,2,44),(25,6231748,'1',3,109,2,49),(25,6231799,'1A',3,601,1,91),(25,6231888,'1',3,317,1,11),(25,6231900,'1',2,654,1,3),(25,6231977,'1',2,501,2,16),(25,6232019,'1',1,308,2,6),(25,6232078,'1',3,104,2,47),(25,6232191,'1',3,339,2,27),(25,6232221,'1',3,104,1,9),(25,6232272,'1',3,215,2,30),(25,6232280,'1',3,9,1,21),(25,6232310,'1',3,420,1,8),(25,6232396,'1',3,601,2,292),(25,6232540,'1',2,235,1,1),(25,6232558,'1',3,331,1,28),(25,6232612,'1',3,652,2,62),(25,6232647,'1',3,319,1,14),(25,6232655,'1',3,415,2,35),(25,6232760,'1',3,238,2,46),(25,6232833,'1',3,453,2,15),(25,6232876,'1',3,317,2,57),(25,6232892,'1',3,225,1,43),(25,6232965,'1',3,404,2,28),(25,6233007,'1',1,308,1,3),(25,6233031,'1A',3,202,1,28),(25,6233104,'1',3,503,2,35),(25,6233139,'1',2,5,1,7),(25,6233171,'1',3,101,1,7),(25,6233180,'1',3,427,1,16),(25,6233201,'1',3,208,1,10),(25,6233317,'1',3,415,2,22),(25,6233406,'1',3,235,2,23),(25,6233473,'1',1,317,1,1),(25,6233562,'1',3,340,1,28),(25,6233716,'1',3,303,2,35),(25,6233759,'1',3,654,2,26),(25,6233830,'1',3,202,1,13),(25,6234003,'1A',3,601,2,279),(25,6234011,'1',3,601,1,15),(25,6234020,'1',3,103,2,39),(25,6234127,'1',3,425,1,7),(25,6234143,'1',3,453,1,13),(25,6234178,'1',3,238,2,70),(25,6234348,'1',3,327,2,8),(25,6234402,'1',3,102,2,56),(25,6234500,'1',3,208,2,43),(25,6234720,'1',2,301,2,11),(25,6234739,'1A',3,202,2,59),(25,6234771,'1',2,5,1,9),(25,6234976,'1',3,5,2,35),(25,6235140,'1',3,303,1,3),(25,6235247,'1',3,202,1,29),(25,6235263,'1',3,451,1,2),(25,6235271,'1',3,601,2,302),(25,6235298,'1A',2,652,2,19),(25,6235310,'1',3,203,1,2),(25,6235395,'1',3,551,1,66),(25,6235506,'1A',3,208,1,13),(25,6235549,'1',3,211,2,54),(25,6235638,'1',3,303,1,19),(25,6235662,'1',3,301,2,36),(25,6235689,'1',2,211,1,2),(25,6235697,'1',3,301,1,3),(25,6235816,'1',3,5,1,22),(25,6235824,'1',3,336,1,2),(25,6236049,'1',2,301,2,18),(25,6236138,'1',3,316,1,1),(25,6236146,'1',2,104,1,8),(25,6236243,'1',3,340,2,30),(25,6236316,'1',2,339,2,10),(25,6236421,'1',3,234,2,56),(25,6236545,'1',2,653,2,12),(25,6236553,'1',2,328,1,6),(25,6236669,'1A',3,601,2,278),(25,6236715,'1',3,108,1,22),(25,6236812,'1',2,426,2,7),(25,6237061,'1',3,207,1,27),(25,6237100,'1',3,110,1,4),(25,6237118,'1',2,301,1,3),(25,6237134,'1A',3,233,2,28),(25,6237169,'1',3,316,2,70),(25,6237193,'1',3,428,2,38),(25,6237282,'1',3,428,1,18),(25,6237290,'1',3,654,1,20),(25,6237320,'1',1,340,1,4),(25,6237371,'1',2,327,2,5),(25,6237487,'1',1,215,1,1),(25,6237550,'1',3,225,1,3),(25,6237681,'1',3,654,1,3),(25,6237690,'1',1,235,1,2),(25,6237738,'1',3,109,1,1),(25,6237762,'1',3,318,2,40),(25,6237770,'1',2,208,1,4),(25,6237908,'1',3,302,1,28),(25,6237967,'1',3,333,1,15),(25,6237975,'1',3,319,1,9),(25,6237991,'1',2,233,1,1),(25,6238017,'1',2,103,2,14),(25,6238033,'1',3,9,1,7),(25,6238050,'1',3,453,1,11),(25,6238084,'1A',3,202,1,27),(25,6238300,'1',3,340,2,37),(25,6238319,'1',3,601,1,150),(25,6238440,'1',3,336,1,21),(25,6238483,'1',2,601,1,19),(25,6238530,'1',3,203,2,54),(25,6238548,'1',3,320,2,11),(25,6238599,'1',3,339,1,3),(25,6238700,'1',3,104,2,45),(25,6238726,'1',2,420,1,3),(25,6238734,'1',2,220,2,8),(25,6238769,'1',2,328,1,3),(25,6238939,'1',3,108,1,14),(25,6239021,'1',3,108,1,20),(25,6239030,'1',2,202,2,18),(25,6239048,'1',3,304,1,24),(25,6239110,'1',3,428,1,3),(25,6239137,'1',3,211,1,16),(25,6239226,'1A',3,429,2,8),(25,6239285,'1',3,429,2,1),(25,6239340,'1',3,108,2,53),(25,6239366,'1',1,309,2,5),(25,6239390,'1A',3,601,1,40),(25,6239447,'1',3,208,1,8),(25,6239471,'1',3,201,2,47),(25,6239510,'1',3,301,2,43),(25,6239560,'1A',3,601,1,68),(25,6239587,'1',3,424,1,15),(25,6239595,'1',3,301,1,2),(25,6239617,'1',3,207,2,53),(25,6239676,'1',3,317,1,18),(25,6239706,'1',3,601,2,316),(25,6239714,'1',2,103,1,8),(25,6239838,'1',2,223,1,10),(25,6239854,'1',3,324,1,13),(25,6239862,'1',2,108,2,13),(25,6239935,'1',3,224,2,7),(25,6240020,'1A',3,214,2,28),(25,6240259,'1',3,404,1,20),(25,6240313,'1',3,421,1,5),(25,6240321,'1A',3,220,2,50),(25,6240348,'1A',3,601,1,100),(25,6240488,'1',3,3,2,43),(25,6240577,'1',3,319,1,28),(25,6240623,'1',3,207,1,23),(25,6240739,'1',2,208,1,5),(25,6240801,'1',3,317,2,32),(25,6241077,'1A',3,601,1,9),(25,6241140,'1',1,103,1,2),(25,6241182,'1',2,429,2,2),(25,6241212,'1',2,216,2,6),(25,6241255,'1',3,238,2,61),(25,6241298,'1',3,109,2,41),(25,6241484,'1',2,101,1,1),(25,6241506,'1',2,216,2,10),(25,6241530,'1',2,212,2,8),(25,6241549,'1',3,233,2,43),(25,6241611,'1',3,108,2,40),(25,6241727,'1A',3,220,1,19),(25,6241735,'1A',2,428,2,16),(25,6241972,'1',3,202,1,20),(25,6241980,'1',3,225,1,35),(25,6241999,'1',3,501,2,82),(25,6242073,'1',2,404,2,8),(25,6242081,'1',2,309,2,9),(25,6242170,'1',2,452,2,7),(25,6242219,'1',3,103,2,57),(25,6242243,'1',3,215,2,33),(25,6242332,'1',3,109,1,14),(25,6242367,'1',3,201,1,38),(25,6242405,'1',3,452,1,10),(25,6242499,'1',2,502,2,10),(25,6242529,'1',3,205,2,19),(25,6242618,'1',3,652,1,15),(25,6242820,'1',3,404,1,12),(25,6242863,'1',3,310,1,12),(25,6243070,'1',2,214,2,7),(25,6243096,'1',2,327,2,3),(25,6243169,'1',3,319,1,1),(25,6243207,'1',3,501,1,27),(25,6243231,'1A',3,235,1,17),(25,6243258,'1',2,238,1,3),(25,6243436,'1',2,327,2,6),(25,6243487,'1',3,208,1,26),(25,6243649,'1',3,224,2,25),(25,6243657,'1',3,203,2,58),(25,6243720,'1',3,652,2,73),(25,6243983,'1',3,426,2,25),(25,6244106,'1A',2,233,1,7),(25,6244238,'1A',3,655,1,21),(25,6244327,'1',3,428,2,59),(25,6244513,'1',3,222,1,3),(25,6244734,'1',3,211,2,33),(25,6244742,'1',3,501,1,37),(25,6244769,'1',3,109,1,22),(25,6244807,'1',3,224,2,29),(25,6244823,'1',3,308,1,15),(25,6244866,'1',3,225,1,20),(25,6244904,'1',3,339,1,15),(25,6244955,'1',3,317,2,41),(25,6245153,'1',3,404,1,15),(25,6245307,'1',3,203,1,31),(25,6245374,'1',3,551,1,13),(25,6245455,'1',3,502,2,37),(25,6245528,'1',3,423,1,31),(25,6245668,'1',2,333,1,4),(25,6245773,'1',3,335,2,33),(25,6245919,'1A',3,211,1,14),(25,6246010,'1A',3,652,1,20),(25,6246028,'1',3,654,2,32),(25,6246036,'1A',3,653,1,12),(25,6246079,'1',3,501,1,22),(25,6246117,'1',3,331,1,22),(25,6246176,'1',3,310,1,27),(25,6246303,'1',3,320,2,29),(25,6246400,'1',3,104,1,30),(25,6246486,'1',1,109,1,3),(25,6246532,'1',2,426,2,4),(25,6246613,'1',3,339,1,4),(25,6246621,'1',3,316,2,68),(25,6246630,'1A',3,429,2,16),(25,6246648,'1',3,502,1,6),(25,6246656,'1',2,304,1,2),(25,6246729,'1A',3,601,1,114),(25,6246770,'1',1,425,1,2),(25,6246907,'1',3,429,2,14),(25,6246940,'1',2,207,1,8),(25,6247067,'1',2,324,1,3),(25,6247105,'1',3,316,2,63),(25,6247121,'1',3,421,1,26),(25,6247172,'1',3,234,1,22),(25,6247202,'1',3,223,1,4),(25,6247288,'1',2,601,1,18),(25,6247296,'1A',3,214,1,14),(25,6247326,'1',3,101,1,15),(25,6247350,'1',2,503,1,4),(25,6247369,'1A',3,235,1,13),(25,6247377,'1',3,104,2,67),(25,6247539,'1',3,308,1,20),(25,6247865,'1A',3,601,2,290),(25,6248020,'1',3,335,1,5),(25,6248047,'1A',3,421,1,12),(25,6248187,'1',3,108,1,6),(25,6248268,'1A',3,601,1,105),(25,6248276,'1',3,502,2,56),(25,6248322,'1',3,110,1,11),(25,6248454,'1',3,215,2,26),(25,6248675,'1',3,213,2,19),(25,6248780,'1',3,316,2,67),(25,6248870,'1',3,212,2,27),(25,6249027,'1',3,108,2,41),(25,6249086,'1',3,425,1,10),(25,6249159,'1',1,301,1,3),(25,6249175,'1',3,301,1,5),(25,6249256,'1',3,316,2,44),(25,6249310,'1',2,453,2,8),(25,6249400,'1',3,551,1,6),(25,6249469,'1',2,425,1,5),(25,6249540,'1',3,331,1,11),(25,6249574,'1',2,101,1,4),(25,6249647,'1',2,652,1,1),(25,6249663,'1',3,501,1,9),(25,6249698,'1A',3,202,2,39),(25,6249710,'1',3,653,2,61),(25,6249906,'1',3,425,1,8),(25,6249922,'1',3,309,2,47),(25,6249973,'1',3,215,2,35),(25,6249981,'1',3,212,2,24),(25,6250009,'1',3,453,2,17),(25,6250122,'1',3,331,1,26),(25,6250190,'1',3,238,2,66),(25,6250203,'1',3,109,1,10),(25,6250254,'1',3,320,2,27),(25,6250289,'1',3,452,1,11),(25,6250297,'1',3,316,1,11),(25,6250360,'1',3,238,2,60),(25,6250386,'1',3,208,2,63),(25,6250521,'1',3,501,1,16),(25,6250661,'1',3,304,1,26),(25,6250700,'1',2,451,1,5),(25,6250734,'1',3,320,2,19),(25,6250920,'1',3,316,2,59),(25,6251102,'1',3,102,2,85),(25,6251110,'1',3,214,1,7),(25,6251196,'1',2,220,2,13),(25,6251366,'1A',3,601,2,253),(25,6251455,'1',3,319,2,63),(25,6251498,'1A',3,213,1,12),(25,6251536,'1',3,207,1,21),(25,6251579,'1A',3,653,1,28),(25,6251609,'1',2,108,2,11),(25,6251625,'1',3,318,2,39),(25,6251722,'1',3,601,2,230),(25,6251757,'1A',3,601,2,238),(25,6251803,'1',3,104,2,39),(25,6251838,'1',3,404,2,43),(25,6251927,'1A',3,601,2,175),(25,6251951,'1',3,234,2,50),(25,6251960,'1',3,102,1,10),(25,6252010,'1',3,415,2,40),(25,6252087,'1',3,225,1,34),(25,6252249,'1',3,340,1,21),(25,6252290,'1',3,501,1,14),(25,6252346,'1',1,428,1,2),(25,6252354,'1A',3,235,1,10),(25,6252419,'1',1,503,1,1),(25,6252532,'1',3,102,2,99),(25,6252605,'1',3,340,1,17),(25,6252664,'1A',3,214,2,16),(25,6252761,'1',3,655,2,25),(25,6252796,'1A',3,220,1,20),(25,6252850,'1A',2,601,1,8),(25,6252877,'1',3,301,1,7),(25,6252893,'1',3,304,1,5),(25,6252907,'1A',3,429,2,9),(25,6252915,'1',1,104,1,5),(25,6253008,'1',3,101,1,4),(25,6253032,'1',3,601,1,110),(25,6253040,'1',3,318,2,52),(25,6253091,'1',2,326,1,8),(25,6253105,'1',3,102,1,3),(25,6253164,'1',3,201,2,44),(25,6253253,'1',3,108,1,7),(25,6253326,'1',3,201,2,52),(25,6253334,'1',3,302,1,9),(25,6253342,'1A',3,238,2,41),(25,6253377,'1',3,654,1,17),(25,6253458,'1',3,108,1,9),(25,6253512,'1',2,103,2,18),(25,6253539,'1',3,208,1,11),(25,6253679,'1',3,337,1,9),(25,6253750,'1',3,423,1,23),(25,6253776,'1',3,339,2,42),(25,6253830,'1',2,551,2,31),(25,6254160,'1',3,234,1,24),(25,6254217,'1',3,104,1,33),(25,6254314,'1',3,501,2,64),(25,6254349,'1',3,304,1,6),(25,6254357,'1',3,301,2,46),(25,6254365,'1',3,211,1,27),(25,6254381,'1',3,425,1,1),(25,6254420,'1',3,444,2,42),(25,6254500,'1',2,211,1,6),(25,6254519,'1A',2,215,2,7),(25,6254527,'1',3,5,1,31),(25,6254535,'1',3,319,2,34),(25,6254543,'1A',3,655,2,45),(25,6254616,'1',3,428,2,45),(25,6254683,'1A',3,202,2,40),(25,6254730,'1',3,501,2,48),(25,6254802,'1',2,101,2,14),(25,6254853,'1',3,316,1,23),(25,6254934,'1',3,451,1,19),(25,6255060,'1',2,238,1,4),(25,6255078,'1',3,316,2,41),(25,6255116,'1',3,110,2,36),(25,6255191,'1',3,601,1,23),(25,6255213,'1',3,3,2,57),(25,6255469,'1',2,501,1,2),(25,6255507,'1',3,302,2,67),(25,6255590,'1A',3,208,1,21),(25,6255604,'1',3,317,1,31),(25,6255787,'1A',3,202,2,43),(25,6255809,'1',3,102,2,97),(25,6255981,'1',3,233,1,15),(25,6256031,'1',3,428,2,35),(25,6256163,'1',3,551,1,45),(25,6256333,'1',3,207,1,22),(25,6256341,'1',3,108,2,44),(25,6256368,'1',2,5,2,10),(25,6256422,'1',3,426,2,10),(25,6256490,'1',3,327,2,16),(25,6256635,'1A',3,202,1,35),(25,6256678,'1A',3,211,2,47),(25,6256694,'1',3,302,2,52),(25,6256830,'1',3,102,1,15),(25,6256872,'1',3,104,1,25),(25,6256899,'1',3,225,1,12),(25,6256961,'1',3,453,1,14),(25,6257020,'1',3,201,2,39),(25,6257089,'1',3,201,1,17),(25,6257127,'1',3,324,2,31),(25,6257178,'1',1,316,1,2),(25,6257305,'1',3,214,1,2),(25,6257364,'1',3,207,2,30),(25,6257399,'1',3,502,2,48),(25,6257402,'1',3,102,2,60),(25,6257453,'1',3,216,1,16),(25,6257500,'1',3,501,2,50),(25,6257518,'1',3,2,1,26),(25,6257550,'1',3,104,1,18),(25,6257607,'1',3,9,1,27),(25,6257747,'1A',3,220,2,30),(25,6257836,'1',3,340,1,16),(25,6257860,'1A',3,235,2,24),(25,6257887,'1',3,303,2,62),(25,6257941,'1',3,316,1,14),(25,6258034,'1',2,551,1,2),(25,6258115,'1',2,551,1,10),(25,6258212,'1',2,654,2,9),(25,6258255,'1',3,652,2,71),(25,6258263,'1',3,238,1,17),(25,6258450,'1',3,327,2,9),(25,6258603,'1',3,339,2,31),(25,6258654,'1',3,207,1,15),(25,6258794,'1',2,424,1,7),(25,6258867,'1',3,225,1,27),(25,6258875,'1',1,444,1,2),(25,6258956,'1',3,110,2,33),(25,6259103,'1A',3,233,2,31),(25,6259324,'1',3,429,2,11),(25,6259375,'1',3,316,1,34),(25,6259448,'1',2,503,1,3),(25,6259553,'1',2,238,1,6),(25,6259618,'1A',3,653,1,15),(25,6259650,'1',3,601,1,55),(25,6259707,'1A',3,235,2,33),(25,6259847,'1',3,338,1,5),(25,6259863,'1',3,502,1,10),(25,6259871,'1',3,238,1,32),(25,6259979,'1',3,104,2,59),(25,6260012,'1',2,655,2,12),(25,6260055,'1',2,109,2,12),(25,6260101,'1A',3,423,1,30),(25,6260110,'1A',3,652,1,21),(25,6260152,'1',2,551,2,26),(25,6260268,'1',2,211,2,14),(25,6260276,'1',3,101,2,27),(25,6260322,'1',3,316,2,38),(25,6260330,'1',3,203,2,40),(25,6260349,'1',2,9,1,9),(25,6260390,'1',2,324,1,6),(25,6260411,'1',3,108,1,21),(25,6260578,'1',3,502,1,19),(25,6260624,'1',3,450,1,20),(25,6260713,'1',3,102,2,66),(25,6260756,'1',2,316,2,15),(25,6260772,'1',3,302,2,56),(25,6260810,'1A',2,211,2,11),(25,6260845,'1',3,551,2,104),(25,6261000,'1',1,201,2,8),(25,6261027,'1',2,320,2,4),(25,6261132,'1',3,324,1,14),(25,6261221,'1A',2,652,1,6),(25,6261256,'1',3,317,1,12),(25,6261272,'1',3,225,1,36),(25,6261310,'1',1,104,1,3),(25,6261388,'1',3,404,1,3),(25,6261450,'1',3,318,1,8),(25,6261469,'1',3,326,1,34),(25,6261523,'1',2,318,1,4),(25,6261531,'1',3,102,2,98),(25,6261663,'1',3,338,1,13),(25,6261671,'1',3,551,2,84),(25,6261680,'1',3,238,1,29),(25,6261698,'1',3,308,1,23),(25,6261701,'1',3,304,1,27),(25,6261787,'1A',3,652,2,55),(25,6261906,'1A',2,235,2,7),(25,6262040,'1',3,338,1,1),(25,6262082,'1',3,332,2,24),(25,6262163,'1',3,655,1,10),(25,6262180,'1',3,319,1,7),(25,6262198,'1A',3,655,2,30),(25,6262228,'1',2,104,2,17),(25,6262309,'1',2,328,1,2),(25,6262392,'1',3,551,2,116),(25,6262406,'1',3,302,2,46),(25,6262520,'1A',3,601,1,142),(25,6262538,'1',3,601,1,83),(25,6262562,'1',2,214,1,1),(25,6262597,'1',3,332,2,8),(25,6262619,'1',3,301,2,72),(25,6262643,'1A',3,601,1,11),(25,6262651,'1',3,404,1,7),(25,6262678,'1',2,5,1,4),(25,6262740,'1',3,208,2,57),(25,6262805,'1',3,501,1,36),(25,6262864,'1',3,238,2,37),(25,6262872,'1',3,308,1,3),(25,6262910,'1',2,203,1,11),(25,6262996,'1',3,551,1,74),(25,6263038,'1',3,309,1,4),(25,6263054,'1A',3,212,2,19),(25,6263062,'1',3,225,1,45),(25,6263070,'1A',3,238,2,47),(25,6263135,'1',3,110,2,43),(25,6263208,'1',3,501,2,47),(25,6263240,'1',3,339,1,1),(25,6263267,'1',3,425,1,18),(25,6263330,'1',3,233,2,45),(25,6263348,'1',3,551,2,129),(25,6263470,'1',2,335,1,3),(25,6263526,'1A',3,601,2,169),(25,6263615,'1',3,328,1,25),(25,6263623,'1',3,3,1,16),(25,6263674,'1',3,652,2,46),(25,6263755,'1',3,224,2,30),(25,6263810,'1',3,109,2,48),(25,6263852,'1',3,302,2,62),(25,6263879,'1',3,220,2,47),(25,6263933,'1',3,9,1,28),(25,6263968,'1',2,324,2,10),(25,6264026,'1',3,302,2,37),(25,6264069,'1',3,601,1,98),(25,6264077,'1',1,235,2,4),(25,6264123,'1',3,601,2,162),(25,6264140,'1',3,453,2,20),(25,6264182,'1',1,340,2,8),(25,6264239,'1A',3,601,1,74),(25,6264247,'1',2,304,2,10),(25,6264336,'1',3,102,1,41),(25,6264514,'1',3,110,2,52),(25,6264530,'1',3,301,2,61),(25,6264590,'1',3,110,1,3),(25,6264620,'1',3,301,1,34),(25,6264638,'1',3,551,1,30),(25,6264646,'1',2,108,1,5),(25,6264654,'1',3,450,1,5),(25,6264735,'1',2,235,2,8),(25,6264778,'1',3,327,2,1),(25,6264905,'1',3,2,1,15),(25,6264948,'1',2,420,1,4),(25,6264980,'1',3,2,1,43),(25,6264999,'1A',3,601,1,6),(25,6265057,'1',2,304,2,14),(25,6265103,'1',3,655,2,32),(25,6265286,'1',3,335,1,22),(25,6265332,'1',3,319,2,37),(25,6265421,'1',1,327,2,2),(25,6265570,'1',3,309,2,52),(25,6265731,'1A',3,211,2,58),(25,6265758,'1',3,201,2,51),(25,6265766,'1',3,5,2,38),(25,6265880,'1',3,235,1,1),(25,6265910,'1',3,453,2,28),(25,6265936,'1',3,220,1,3),(25,6265952,'1',3,308,1,7),(25,6266010,'1',3,110,1,25),(25,6266045,'1',3,450,1,14),(25,6266070,'1A',3,652,1,7),(25,6266118,'1',2,225,1,15),(25,6266142,'1',3,212,1,5),(25,6266169,'1',3,425,1,3),(25,6266282,'1',1,304,1,1),(25,6266657,'1',3,329,1,15),(25,6266673,'1',3,234,2,52),(25,6266703,'1',3,215,2,25),(25,6266789,'1A',3,653,1,8),(25,6266800,'1',3,653,2,36),(25,6266924,'1',2,429,2,1),(25,6266975,'1',3,220,1,10),(25,6267068,'1',3,601,1,129),(25,6267084,'1',2,331,1,6),(25,6267114,'1A',3,655,2,48),(25,6267157,'1',2,203,2,13),(25,6267297,'1A',3,601,2,286),(25,6267408,'1',1,339,2,5),(25,6267467,'1',3,317,1,25),(25,6267491,'1',3,203,2,64),(25,6267548,'1',3,502,1,28),(25,6267629,'1',3,601,2,300),(25,6267645,'1',2,211,2,13),(25,6267696,'1',3,304,2,63),(25,6267734,'1',3,551,1,67),(25,6267785,'1',3,501,2,49),(25,6267858,'1',3,203,1,27),(25,6267890,'1',3,420,1,10),(25,6267904,'1',1,207,2,7),(25,6267947,'1',3,502,2,43),(25,6267955,'1',2,108,2,12),(25,6267971,'1',3,102,2,68),(25,6268021,'1A',1,202,2,6),(25,6268137,'1A',3,601,1,36),(25,6268161,'1A',3,601,1,70),(25,6268218,'1',3,340,2,35),(25,6268226,'1',3,444,1,7),(25,6268250,'1',3,108,2,50),(25,6268307,'1',1,207,2,6),(25,6268366,'1',2,424,1,1),(25,6268498,'1',3,404,2,32),(25,6268617,'1',3,222,1,4),(25,6268676,'1',3,654,1,18),(25,6268692,'1',1,429,2,2),(25,6268730,'1',3,215,2,38),(25,6268757,'1',3,304,2,48),(25,6268935,'1',2,104,1,5),(25,6268986,'1',3,444,1,8),(25,6269028,'1A',2,652,2,16),(25,6269117,'1',3,316,1,2),(25,6269281,'1',3,444,2,31),(25,6269290,'1',2,110,2,11),(25,6269400,'1',3,233,2,48),(25,6269427,'1',3,601,2,291),(25,6269435,'1',3,220,1,11),(25,6269567,'1',3,415,1,7),(25,6269664,'1',4,238,1,1),(25,6269826,'1',3,309,2,51),(25,6269915,'1',3,452,1,5),(25,6269940,'1',2,450,1,3),(25,6269958,'1',3,444,2,34),(25,6269990,'1',3,203,2,59),(25,6270050,'1A',3,202,1,26),(25,6270069,'1',3,301,1,25),(25,6270115,'1',1,501,1,4),(25,6270190,'1',3,503,2,43),(25,6270247,'1',3,404,2,24),(25,6270298,'1',3,220,2,42),(25,6270360,'1A',3,211,1,12),(25,6270387,'1',2,427,1,1),(25,6270450,'1',3,304,1,14),(25,6270514,'1',2,329,1,6),(25,6270662,'1',3,205,1,4),(25,6270697,'1',3,601,2,222),(25,6270794,'1',3,423,1,32),(25,6270930,'1',3,326,1,33),(25,6271138,'1',3,234,1,25),(25,6271189,'1',2,109,2,16),(25,6271200,'1',3,220,1,17),(25,6271243,'1',3,501,1,6),(25,6271278,'1',3,3,1,14),(25,6271294,'1',3,304,2,42),(25,6271383,'1',3,551,1,23),(25,6271391,'1',3,415,1,15),(25,6271537,'1',3,101,1,25),(25,6271847,'1A',3,601,1,34),(25,6271898,'1',3,310,1,3),(25,6272274,'1',3,451,1,14),(25,6272304,'1',1,318,1,2),(25,6272533,'1',3,304,1,4),(25,6272568,'1A',3,652,1,36),(25,6272584,'1',3,5,1,27),(25,6272622,'1',3,108,1,18),(25,6272690,'1',1,339,1,2),(25,6272711,'1',3,503,1,15),(25,6272720,'1',3,501,2,53),(25,6272738,'1',3,503,1,17),(25,6272746,'1',2,324,2,9),(25,6272770,'1',3,502,2,47),(25,6272894,'1A',3,601,1,45),(25,6272916,'1',1,109,1,4),(25,6272924,'1',3,652,1,24),(25,6272932,'1',2,215,1,1),(25,6273157,'1',3,318,2,38),(25,6273394,'1',3,551,1,27),(25,6273670,'1',2,404,1,1),(25,6273688,'1',3,337,1,1),(25,6273726,'1A',3,655,1,14),(25,6273777,'1',3,327,2,3),(25,6273912,'1',2,310,1,8),(25,6273939,'1',3,234,1,6),(25,6274030,'1',2,225,1,5),(25,6274048,'1',3,426,2,14),(25,6274056,'1',3,316,2,64),(25,6274072,'1',3,110,2,48),(25,6274080,'1',3,101,2,40),(25,6274188,'1',1,319,1,3),(25,6274340,'1',2,551,2,38),(25,6274390,'1',3,551,2,100),(25,6274404,'1A',3,601,1,49),(25,6274447,'1',3,326,1,28),(25,6274501,'1',2,501,2,14),(25,6274668,'1',3,235,2,40),(25,6274714,'1',3,102,1,29),(25,6274781,'1',3,304,2,45),(25,6274846,'1',2,428,1,4),(25,6274919,'1',1,108,1,1),(25,6274986,'1',3,201,2,76),(25,6275010,'1',3,308,1,4),(25,6275087,'1',3,423,1,20),(25,6275109,'1',3,427,1,26),(25,6275117,'1',2,317,2,14),(25,6275184,'1',3,110,1,1),(25,6275265,'1',3,109,1,6),(25,6275281,'1',3,223,1,25),(25,6275303,'1A',2,213,2,5),(25,6275338,'1',3,234,1,16),(25,6275362,'1',3,326,1,12),(25,6275397,'1',1,328,1,1),(25,6275400,'1',3,551,1,8),(25,6275435,'1',2,503,2,14),(25,6275494,'1',1,331,1,3),(25,6275516,'1',1,317,2,7),(25,6275575,'1',2,450,1,6),(25,6275591,'1',1,340,2,7),(25,6275621,'1A',2,212,1,4),(25,6275770,'1',2,5,2,11),(25,6275834,'1',2,333,1,5),(25,6275885,'1',3,104,2,66),(25,6276024,'1',3,2,1,16),(25,6276423,'1',2,201,2,22),(25,6276512,'1',3,202,2,54),(25,6276598,'1',2,108,2,10),(25,6276601,'1',2,319,2,12),(25,6276636,'1A',3,238,2,45),(25,6276660,'1',3,101,2,41),(25,6276814,'1',3,304,2,55),(25,6276911,'1A',3,653,1,11),(25,6276946,'1',2,502,2,12),(25,6276954,'1',1,220,1,4),(25,6276970,'1',3,453,1,6),(25,6277039,'1',3,3,2,36),(25,6277080,'1A',3,601,2,213),(25,6277373,'1A',3,653,2,39),(25,6277470,'1',3,501,2,44),(25,6277802,'1',1,308,1,5),(25,6277853,'1',3,444,2,26),(25,6277861,'1',3,601,2,289),(25,6277942,'1',2,318,1,5),(25,6277977,'1',3,601,1,59),(25,6277985,'1',3,501,1,35),(25,6278035,'1',1,318,1,4),(25,6278124,'1',3,203,1,15),(25,6278159,'1',3,501,2,83),(25,6278191,'1',3,453,2,16),(25,6278221,'1',3,551,2,108),(25,6278230,'1',2,304,2,15),(25,6278280,'1',3,424,1,31),(25,6278337,'1',1,332,2,2),(25,6278353,'1',2,108,1,1),(25,6278469,'1',3,9,1,11),(25,6278736,'1',3,653,2,52),(25,6278876,'1',3,319,2,42),(25,6278892,'1',3,324,2,34),(25,6278965,'1',3,501,1,12),(25,6279147,'1',1,203,2,9),(25,6279155,'1',3,3,1,23),(25,6279171,'1',2,339,1,3),(25,6279236,'1',3,317,1,27),(25,6279449,'1',3,102,2,83),(25,6279511,'1',3,421,1,4),(25,6279538,'1',3,335,1,10),(25,6279570,'1',3,101,1,22),(25,6279600,'1',2,655,1,2),(25,6279775,'1',2,404,2,7),(25,6279830,'1',2,415,2,12),(25,6279848,'1',2,3,2,12),(25,6279945,'1',3,211,1,8),(25,6279996,'1',3,329,1,1),(25,6280102,'1',1,336,1,1),(25,6280170,'1',3,339,1,9),(25,6280200,'1',3,450,1,3),(25,6280242,'1A',2,212,2,5),(25,6280374,'1',2,501,1,5),(25,6280471,'1',3,238,2,36),(25,6280480,'1',2,104,1,10),(25,6280587,'1',3,308,2,71),(25,6280641,'1',2,303,2,16),(25,6280820,'1',3,551,2,80),(25,6280862,'1',3,551,2,126),(25,6280897,'1',3,654,1,13),(25,6281265,'1',3,420,1,6),(25,6281303,'1',2,301,2,19),(25,6281354,'1',3,109,2,30),(25,6281524,'1',3,424,1,25),(25,6281648,'1',1,452,1,2),(25,6281664,'1A',3,601,1,112),(25,6281699,'1',3,404,1,10),(25,6281800,'1',2,224,2,7),(25,6282024,'1',3,223,1,34),(25,6282067,'1',3,601,2,306),(25,6282121,'1',1,203,2,11),(25,6282199,'1',2,108,1,2),(25,6282261,'1',3,110,1,13),(25,6282300,'1',3,2,1,30),(25,6282504,'1',3,302,1,27),(25,6282628,'1',3,317,2,45),(25,6282695,'1A',3,220,2,37),(25,6282709,'1',2,220,1,4),(25,6282954,'1',3,304,1,31),(25,6283004,'1A',2,601,2,60),(25,6283063,'1',3,208,2,56),(25,6283071,'1',3,308,1,9),(25,6283187,'1',3,101,1,6),(25,6283217,'1',3,212,1,1),(25,6283284,'1A',3,653,1,2),(25,6283403,'1',3,451,1,17),(25,6283446,'1A',2,601,2,62),(25,6283470,'1A',3,215,1,17),(25,6283527,'1A',3,212,2,16),(25,6283543,'1A',3,421,1,9),(25,6283551,'1',3,551,2,102),(25,6283560,'1',3,223,1,21),(25,6283586,'1A',3,601,1,67),(25,6283748,'1',2,110,1,4),(25,6283772,'1A',3,215,1,5),(25,6283918,'1',3,415,1,12),(25,6284000,'1',3,333,1,1),(25,6284159,'1',2,304,1,5),(25,6284299,'1',3,208,1,28),(25,6284310,'1',3,324,1,12),(25,6284337,'1',2,213,1,4),(25,6284345,'1',3,5,2,46),(25,6284477,'1',3,601,2,206),(25,6284515,'1',1,202,2,8),(25,6284590,'1',3,301,2,50),(25,6284639,'1',3,308,1,18),(25,6284728,'1A',3,601,2,237),(25,6285082,'1',3,207,1,1),(25,6285210,'1',2,2,1,8),(25,6285279,'1',2,320,2,9),(25,6285295,'1',3,104,2,56),(25,6285430,'1',3,502,2,44),(25,6285449,'1',3,653,1,24),(25,6285473,'1',2,5,2,12),(25,6285481,'1',2,233,2,10),(25,6285597,'1',2,415,1,1),(25,6285619,'1',3,601,2,309),(25,6285724,'1',3,3,2,31),(25,6285732,'1',3,201,1,8),(25,6285872,'1',1,9,1,3),(25,6285929,'1',3,601,2,205),(25,6285945,'1',1,101,2,5),(25,6285988,'1',3,109,1,27),(25,6286038,'1',3,601,2,190),(25,6286046,'1',1,9,1,5),(25,6286100,'1',3,310,1,21),(25,6286208,'1',3,318,1,32),(25,6286240,'1',2,109,1,4),(25,6286275,'1',3,318,1,4),(25,6286305,'1',3,234,1,15),(25,6286313,'1',3,304,2,62),(25,6286321,'1',3,501,2,76),(25,6286348,'1',3,5,1,4),(25,6286453,'1',3,601,2,187),(25,6286500,'1',3,317,2,50),(25,6286518,'1',2,303,2,14),(25,6286577,'1',3,601,1,122),(25,6286615,'1',3,203,2,66),(25,6286658,'1',3,108,2,34),(25,6286690,'1',3,225,1,8),(25,6286798,'1',3,104,1,27),(25,6286801,'1',3,109,2,35),(25,6286852,'1A',3,212,2,15),(25,6286879,'1',3,318,2,57),(25,6286984,'1',3,319,1,27),(25,6286992,'1',2,601,2,65),(25,6287166,'1',2,302,2,17),(25,6287182,'1',1,302,1,3),(25,6287190,'1',3,303,2,44),(25,6287212,'1',2,502,1,5),(25,6287263,'1',3,203,1,6),(25,6287514,'1',1,652,1,1),(25,6287565,'1',3,302,2,32),(25,6287603,'1',3,551,1,14),(25,6287697,'1',1,207,1,3),(25,6287735,'1',3,426,2,28),(25,6287743,'1',3,308,2,41),(25,6287816,'1',3,308,1,35),(25,6287832,'1',3,551,1,69),(25,6287859,'1',3,551,1,28),(25,6287921,'1',3,331,1,9),(25,6287948,'1',3,331,1,16),(25,6288022,'1',3,302,1,18),(25,6288219,'1A',3,211,2,51),(25,6288227,'1A',1,202,1,5),(25,6288278,'1',3,318,2,68),(25,6288405,'1',3,338,1,6),(25,6288421,'1A',2,655,2,9),(25,6288456,'1',3,324,1,29),(25,6288588,'1',2,316,2,12),(25,6288634,'1',3,453,1,4),(25,6288707,'1',1,211,1,4),(25,6288740,'1',2,220,2,11),(25,6288960,'1',3,238,2,59),(25,6289134,'1',3,453,2,27),(25,6289150,'1',1,301,1,5),(25,6289215,'1',3,223,1,20),(25,6289258,'1',2,316,2,18),(25,6289320,'1',3,415,1,14),(25,6289339,'1',2,654,1,1),(25,6289371,'1',3,444,1,6),(25,6289665,'1',2,428,1,5),(25,6289703,'1',2,102,1,9),(25,6289770,'1',3,302,2,41),(25,6289789,'1',3,328,1,19),(25,6289894,'1A',3,208,2,61),(25,6289975,'1',3,324,1,9),(25,6290116,'1A',2,653,1,7),(25,6290230,'1',3,601,2,232),(25,6290299,'1',3,3,1,12),(25,6290540,'1',3,213,2,31),(25,6290590,'1A',3,601,1,43),(25,6290671,'1',3,216,2,30),(25,6290698,'1',3,340,1,25),(25,6290701,'1',3,303,1,25),(25,6290744,'1',2,326,1,5),(25,6290760,'1',3,326,1,32),(25,6290884,'1',3,110,2,40),(25,6290965,'1',2,238,2,12),(25,6290990,'1',3,501,2,73),(25,6291066,'1',2,205,1,2),(25,6291074,'1',3,102,2,64),(25,6291163,'1',2,551,2,39),(25,6291171,'1',2,423,1,2),(25,6291228,'1',3,551,1,29),(25,6291252,'1',3,654,2,36),(25,6291287,'1',3,316,1,21),(25,6291392,'1',2,223,1,6),(25,6291457,'1',3,324,2,32),(25,6291686,'1',3,654,2,25),(25,6291694,'1',3,5,2,51),(25,6291856,'1',3,302,2,48),(25,6291872,'1',3,304,2,57),(25,6291953,'1',3,317,1,3),(25,6291970,'1',3,601,2,164),(25,6292038,'1',3,423,1,28),(25,6292054,'1',3,102,1,26),(25,6292070,'1A',3,235,1,20),(25,6292097,'1',3,220,1,14),(25,6292100,'1',3,421,1,18),(25,6292232,'1',3,304,2,41),(25,6292330,'1',3,316,1,28),(25,6292550,'1',3,327,2,22),(25,6292631,'1A',2,652,2,15),(25,6292682,'1',3,213,2,24),(25,6292798,'1',3,336,1,13),(25,6293050,'1',2,216,1,1),(25,6293085,'1',3,503,1,21),(25,6293298,'1A',3,423,1,19),(25,6293310,'1',2,601,1,17),(25,6293336,'1',3,303,2,38),(25,6293395,'1',3,308,2,52),(25,6293433,'1',2,601,1,29),(25,6293476,'1',1,203,1,5),(25,6293557,'1A',3,601,2,210),(25,6293581,'1',2,501,1,8),(25,6293611,'1',2,301,1,5),(25,6293638,'1A',3,601,1,87),(25,6293646,'1',3,652,2,53),(25,6293719,'1',2,429,2,7),(25,6293751,'1',3,320,2,26),(25,6293840,'1',3,328,1,1),(25,6293964,'1',3,108,2,43),(25,6294057,'1',3,337,1,5),(25,6294090,'1',3,428,1,28),(25,6294383,'1',3,309,1,16),(25,6294480,'1',3,201,2,68),(25,6294537,'1',3,502,1,2),(25,6294596,'1',3,213,2,30),(25,6294650,'1',3,601,2,176),(25,6294693,'1',3,202,1,21),(25,6294723,'1',2,223,1,12),(25,6294774,'1',3,234,2,30),(25,6294804,'1',3,304,2,47),(25,6294839,'1',3,103,2,56),(25,6294855,'1',3,224,2,8),(25,6294910,'1',3,102,2,67),(25,6295002,'1',2,103,1,3),(25,6295231,'1',3,102,2,84),(25,6295274,'1',3,103,1,12),(25,6295517,'1',3,501,2,43),(25,6295584,'1A',3,601,2,193),(25,6295592,'1',3,652,2,43),(25,6295622,'1A',3,215,1,12),(25,6295649,'1',3,420,2,19),(25,6295657,'1',3,339,2,32),(25,6295762,'1',3,108,1,24),(25,6295800,'1',3,452,2,19),(25,6295843,'1',3,425,1,21),(25,6296025,'1A',3,201,2,46),(25,6296033,'1',3,428,1,11),(25,6296041,'1',3,331,1,2),(25,6296149,'1A',3,601,1,154),(25,6296297,'1',3,501,2,77),(25,6296300,'1',3,234,2,40),(25,6296327,'1',2,335,2,12),(25,6296416,'1',3,336,1,19),(25,6296467,'1',1,211,2,6),(25,6296475,'1A',3,601,2,163),(25,6296610,'1',3,302,2,58),(25,6296700,'1',3,316,2,65),(25,6296823,'1A',3,215,1,9),(25,6296882,'1',3,317,1,13),(25,6296890,'1',3,208,2,45),(25,6296904,'1',2,224,2,8),(25,6297005,'1',3,428,2,39),(25,6297013,'1',2,653,2,15),(25,6297145,'1',3,5,2,56),(25,6297153,'1',3,102,1,12),(25,6297200,'1',3,503,1,16),(25,6297250,'1',3,316,1,20),(25,6297315,'1',2,319,1,5),(25,6297404,'1',3,426,2,30),(25,6297501,'1',3,654,2,37),(25,6297595,'1',3,340,2,40),(25,6297714,'1A',3,601,1,61),(25,6297749,'1A',3,653,1,10),(25,6297846,'1',3,304,2,36),(25,6297943,'1A',3,235,1,15),(25,6297951,'1',3,326,1,20),(25,6298028,'1',3,324,1,16),(25,6298060,'1',2,304,1,8),(25,6298095,'1',3,339,1,10),(25,6298150,'1',3,444,1,19),(25,6298214,'1',2,551,2,40),(25,6298346,'1',2,324,1,1),(25,6298389,'1',2,652,1,10),(25,6298508,'1A',3,601,1,89),(25,6298591,'1',3,203,1,19),(25,6298729,'1',3,652,1,12),(25,6298796,'1',3,203,1,37),(25,6298818,'1',3,551,2,93),(25,6298826,'1A',3,601,1,75),(25,6298842,'1',2,310,1,1),(25,6298877,'1A',2,215,2,6),(25,6298885,'1',2,601,1,9),(25,6298907,'1',2,601,1,34),(25,6299083,'1',2,551,2,24),(25,6299113,'1',2,415,1,4),(25,6299148,'1',2,326,1,9),(25,6299377,'1A',3,652,1,26),(25,6299504,'1',2,318,2,10),(25,6299539,'1',2,202,2,13),(25,6299555,'1',3,331,1,3),(25,6299563,'1',3,601,2,244),(25,6299687,'1',3,318,2,56),(25,6299849,'1',2,317,1,4),(25,6299873,'1',3,317,2,60),(25,6299946,'1',3,324,1,17),(25,6299997,'1',3,238,1,10),(25,6300014,'1',3,501,1,13),(25,6300189,'1',3,316,2,40),(25,6300197,'1',2,317,2,15),(25,6300200,'1',2,423,1,8),(25,6300316,'1',2,551,1,11),(25,6300448,'1',3,427,1,5),(25,6300596,'1A',3,238,1,27),(25,6300642,'1',3,109,1,24),(25,6300731,'1',2,551,1,8),(25,6300790,'1',3,310,1,26),(25,6300944,'1',3,102,2,92),(25,6301088,'1',3,324,1,26),(25,6301096,'1A',3,601,1,155),(25,6301142,'1',2,421,1,1),(25,6301185,'1',3,423,1,6),(25,6301215,'1',3,108,2,58),(25,6301231,'1',3,202,2,38),(25,6301290,'1',3,424,1,21),(25,6301355,'1',3,320,2,12),(25,6301363,'1',3,320,2,6),(25,6301410,'1',3,309,1,26),(25,6301444,'1',2,216,1,2),(25,6301622,'1',3,5,2,37),(25,6301665,'1',3,101,2,52),(25,6301673,'1',3,302,1,10),(25,6301738,'1',3,601,1,84),(25,6301819,'1',3,225,1,16),(25,6301916,'1',3,5,1,14),(25,6301940,'1',3,326,1,24),(25,6301959,'1',3,212,2,22),(25,6301975,'1',3,502,2,52),(25,6302033,'1',2,216,1,5),(25,6302084,'1',3,223,1,19),(25,6302092,'1',3,444,2,39),(25,6302106,'1',3,202,1,34),(25,6302130,'1',3,103,1,3),(25,6302165,'1',3,102,1,22),(25,6302190,'1A',2,427,1,4),(25,6302262,'1',3,318,2,47),(25,6302335,'1',3,502,2,49),(25,6302343,'1',3,202,2,41),(25,6302360,'1',3,336,1,3),(25,6302580,'1A',3,655,1,12),(25,6302637,'1',3,551,1,31),(25,6302645,'1',3,503,1,9),(25,6302688,'1',2,654,1,4),(25,6302750,'1',3,101,1,21),(25,6302807,'1A',3,212,1,11),(25,6302920,'1',3,301,2,52),(25,6303013,'1',3,201,1,26),(25,6303293,'1',3,2,1,31),(25,6303439,'1',2,551,2,34),(25,6303544,'1',2,502,2,11),(25,6303668,'1',2,601,2,48),(25,6303714,'1',3,320,2,32),(25,6303790,'1',3,655,2,40),(25,6303927,'1',3,308,2,53),(25,6303978,'1',2,551,1,12),(25,6304150,'1',3,653,1,13),(25,6304354,'1',3,428,1,27),(25,6304362,'1',2,601,2,68),(25,6304532,'1',3,308,1,11),(25,6304559,'1',3,451,1,23),(25,6304591,'1',3,335,1,14),(25,6304613,'1',3,428,1,5),(25,6304664,'1',3,203,2,61),(25,6304699,'1',3,421,1,2),(25,6304788,'1',2,601,2,58),(25,6304893,'1',3,332,2,13),(25,6304931,'1',3,3,1,5),(25,6305016,'1',3,503,2,52),(25,6305040,'1',1,216,1,3),(25,6305156,'1',3,203,2,57),(25,6305261,'1',3,653,2,44),(25,6305342,'1',3,213,1,2),(25,6305377,'1',2,224,2,3),(25,6305407,'1',1,208,1,5),(25,6305423,'1',3,424,1,19),(25,6305547,'1',3,317,1,16),(25,6305601,'1',3,421,1,14),(25,6305679,'1',3,421,1,15),(25,6305806,'1',3,327,2,18),(25,6305857,'1',1,104,2,6),(25,6305920,'1A',3,601,1,79),(25,6306039,'1',3,427,1,19),(25,6306071,'1',3,601,2,227),(25,6306128,'1',3,302,1,31),(25,6306438,'1',3,318,2,48),(25,6306462,'1',3,309,1,13),(25,6306497,'1',3,551,1,65),(25,6306543,'1',3,551,2,106),(25,6306756,'1',3,425,1,20),(25,6306764,'1',2,601,2,76),(25,6306802,'1A',3,235,2,34),(25,6306810,'1',3,317,2,36),(25,6306896,'1',3,653,2,38),(25,6306900,'1',3,309,2,34),(25,6307132,'1',3,3,2,38),(25,6307329,'1',3,653,2,59),(25,6307388,'1',3,233,2,44),(25,6307760,'1',3,104,1,21),(25,6307825,'1A',3,201,1,33),(25,6307833,'1',1,601,1,3),(25,6308058,'1',3,337,1,18),(25,6308082,'1',3,501,1,32),(25,6308155,'1',3,331,1,17),(25,6308244,'1',3,452,2,23),(25,6308317,'1',2,101,2,12),(25,6308406,'1',3,215,2,27),(25,6308783,'1',3,503,1,5),(25,6308961,'1',3,211,1,13),(25,6309020,'1',3,453,1,2),(25,6309070,'1',3,308,1,8),(25,6309127,'1',3,501,2,57),(25,6309178,'1',3,234,1,1),(25,6309313,'1',3,110,1,26),(25,6309364,'1A',2,202,1,5),(25,6309410,'1',2,303,1,8),(25,6309640,'1',3,208,1,31),(25,6309674,'1',2,9,1,8),(25,6309720,'1',3,551,2,120),(25,6309836,'1',3,234,1,5),(25,6309844,'1A',2,601,2,43),(25,6309852,'1',2,234,1,2),(25,6309992,'1',3,444,1,1),(25,6310087,'1',3,654,2,44),(25,6310117,'1',3,301,1,10),(25,6310141,'1',3,316,2,48),(25,6310222,'1',3,326,1,30),(25,6310354,'1',3,444,1,16),(25,6310389,'1A',2,212,2,6),(25,6310400,'1',3,655,2,31),(25,6310419,'1',2,332,2,8),(25,6310451,'1',3,551,1,9),(25,6310540,'1',3,653,2,50),(25,6310567,'1',3,238,2,57),(25,6310605,'1',3,308,2,43),(25,6310729,'1',3,329,1,22),(25,6310770,'1A',3,653,1,29),(25,6310842,'1',3,310,1,11),(25,6310885,'1',3,301,1,27),(25,6311032,'1',3,551,1,49),(25,6311075,'1',3,302,1,16),(25,6311237,'1',3,238,1,11),(25,6311261,'1',3,309,1,23),(25,6311288,'1',3,2,1,29),(25,6311377,'1',3,318,1,25),(25,6311458,'1',3,108,2,59),(25,6311466,'1',3,9,1,14),(25,6311512,'1',3,308,2,39),(25,6311750,'1',3,654,2,28),(25,6311954,'1',2,502,2,14),(25,6312055,'1',3,103,2,69),(25,6312071,'1',3,318,1,13),(25,6312098,'1A',3,428,1,21),(25,6312217,'1',3,308,2,60),(25,6312241,'1',3,108,2,32),(25,6312411,'1',3,2,1,35),(25,6312462,'1',3,503,2,41),(25,6312489,'1',3,601,1,14),(25,6312667,'1',3,302,2,34),(25,6312780,'1',2,551,1,18),(25,6312837,'1',3,319,2,32),(25,6312896,'1',3,208,2,48),(25,6312977,'1',3,202,1,22),(25,6313132,'1',3,301,1,13),(25,6313426,'1',3,225,1,7),(25,6313680,'1',3,502,1,26),(25,6313728,'1',3,203,2,53),(25,6313787,'1',3,332,2,3),(25,6313914,'1',3,335,1,2),(25,6313973,'1',1,501,1,5),(25,6314066,'1A',3,653,1,20),(25,6314139,'1A',2,652,1,9),(25,6314210,'1',2,502,2,8),(25,6314287,'1A',3,653,1,1),(25,6314422,'1',3,2,1,7),(25,6314430,'1',3,551,1,63),(25,6314457,'1',3,319,1,4),(25,6314481,'1A',3,214,2,25),(25,6314511,'1',3,234,2,49),(25,6314562,'1',3,316,1,6),(25,6314589,'1',3,328,1,23),(25,6314619,'1',3,452,2,24),(25,6314660,'1',3,201,1,15),(25,6314716,'1',3,301,1,12),(25,6314899,'1',3,109,2,38),(25,6314937,'1',3,601,1,5),(25,6315020,'1',3,203,1,10),(25,6315135,'1',2,308,1,5),(25,6315240,'1',3,110,1,24),(25,6315330,'1',2,238,1,9),(25,6315380,'1',2,404,1,3),(25,6315461,'1',2,333,1,3),(25,6315550,'1A',2,601,1,38),(25,6315577,'1',3,404,2,25),(25,6315631,'1',3,9,1,19),(25,6315658,'1',3,339,2,39),(25,6315704,'1',2,223,1,2),(25,6315712,'1',2,501,2,22),(25,6315720,'1',2,225,1,4),(25,6315755,'1A',3,601,1,117),(25,6315860,'1',2,309,1,7),(25,6315887,'1',1,316,2,7),(25,6315976,'1',3,335,1,23),(25,6316034,'1',2,108,2,9),(25,6316158,'1A',3,421,1,21),(25,6316166,'1',2,205,2,5),(25,6316182,'1A',3,429,2,21),(25,6316212,'1',3,108,2,51),(25,6316255,'1',3,3,1,6),(25,6316271,'1',3,503,1,13),(25,6316280,'1',3,316,1,15),(25,6316387,'1',3,503,1,14),(25,6316433,'1',2,101,2,10),(25,6316530,'1',2,225,1,13),(25,6316557,'1',3,234,2,46),(25,6316565,'1A',3,423,1,22),(25,6316603,'1A',3,207,2,31),(25,6317197,'1',3,501,2,81),(25,6317235,'1',2,319,1,8),(25,6317375,'1',2,503,1,5),(25,6317510,'1',3,318,1,29),(25,6317561,'1',3,336,1,14),(25,6318037,'1',1,233,1,2),(25,6318061,'1',3,336,1,5),(25,6318134,'1',2,211,2,10),(25,6318150,'1',3,223,1,28),(25,6318169,'1',3,216,1,9),(25,6318177,'1',3,328,1,7),(25,6318274,'1',3,601,1,25),(25,6318401,'1',2,316,2,19),(25,6318428,'1',2,233,1,3),(25,6318495,'1',2,5,1,2),(25,6318576,'1',3,451,1,7),(25,6318630,'1',3,551,2,95),(25,6318746,'1',3,335,1,6),(25,6318797,'1',3,234,1,10),(25,6318819,'1',3,404,2,31),(25,6318878,'1',3,102,1,24),(25,6319017,'1',3,318,2,65),(25,6319149,'1',3,216,1,17),(25,6319270,'1',3,404,2,34),(25,6319378,'1',3,317,2,51),(25,6319408,'1',2,415,2,7),(25,6319440,'1',3,404,1,11),(25,6319564,'1',3,308,2,40),(25,6319580,'1',2,336,1,6),(25,6319602,'1',3,551,2,91),(25,6319610,'1',3,303,2,55),(25,6319750,'1',2,316,1,4),(25,6319793,'1',3,415,1,11),(25,6319831,'1',3,339,1,2),(25,6319955,'1',1,208,2,6),(25,6320112,'1',2,601,2,45),(25,6320422,'1',3,205,1,2),(25,6320686,'1',3,340,2,42),(25,6320953,'1',3,653,2,49),(25,6321330,'1A',3,601,1,138),(25,6321356,'1',2,208,2,17),(25,6321542,'1',3,503,2,29),(25,6321577,'1',3,316,2,54),(25,6321640,'1',3,335,2,28),(25,6321763,'1',3,102,1,18),(25,6321992,'1',2,317,2,18),(25,6322069,'1',3,102,1,7),(25,6322115,'1',1,238,1,4),(25,6322174,'1',2,213,2,6),(25,6322204,'1',1,201,1,1),(25,6322310,'1',2,301,2,13),(25,6322506,'1',2,331,1,7),(25,6322514,'1',3,316,1,10),(25,6322760,'1',3,309,2,31),(25,6322794,'1',3,304,2,37),(25,6322816,'1',3,104,1,11),(25,6322930,'1',3,3,2,35),(25,6323332,'1A',3,212,2,17),(25,6323480,'1',2,108,1,6),(25,6323588,'1',3,339,2,38),(25,6323650,'1',3,308,2,69),(25,6323677,'1',3,301,2,45),(25,6323723,'1',3,214,1,4),(25,6323812,'1',3,308,1,12),(25,6323839,'1',3,427,1,24),(25,6323901,'1',3,502,1,20),(25,6323952,'1',3,338,1,17),(25,6324029,'1A',3,601,2,264),(25,6324037,'1A',2,233,2,12),(25,6324169,'1',3,101,2,38),(25,6324193,'1',2,551,1,16),(25,6324207,'1',3,309,2,49),(25,6324274,'1',1,316,2,8),(25,6324525,'1',2,340,2,16),(25,6324720,'1',2,453,2,6),(25,6324860,'1',2,429,2,3),(25,6324886,'1',3,301,2,69),(25,6324894,'1',3,9,1,18),(25,6324916,'1A',3,601,1,88),(25,6324924,'1',3,654,1,10),(25,6324932,'1',1,233,2,6),(25,6324959,'1',2,207,2,12),(25,6324991,'1',3,304,1,25),(25,6325025,'1',2,5,1,5),(25,6325092,'1',3,212,2,26),(25,6325122,'1',3,502,1,16),(25,6325220,'1',3,601,2,266),(25,6325343,'1',2,101,2,9),(25,6325629,'1',3,451,1,22),(25,6325769,'1',3,318,2,44),(25,6325823,'1',3,102,1,44),(25,6325866,'1A',3,213,2,21),(25,6325882,'1',1,234,2,5),(25,6325939,'1',3,317,2,49),(25,6325955,'1',3,424,1,13),(25,6325963,'1',3,5,2,32),(25,6325971,'1A',3,238,1,28),(25,6326013,'1',3,501,1,39),(25,6326021,'1A',3,233,2,33),(25,6326030,'1',3,340,1,14),(25,6326080,'1',2,427,1,3),(25,6326200,'1A',3,211,2,56),(25,6326234,'1',3,104,2,62),(25,6326242,'1',3,318,2,63),(25,6326277,'1',1,301,1,4),(25,6326331,'1',3,304,1,32),(25,6326358,'1',3,317,2,59),(25,6326404,'1',2,429,2,5),(25,6326412,'1',3,310,1,2),(25,6326439,'1',3,427,1,17),(25,6326455,'1',2,551,1,19),(25,6326463,'1',3,340,2,47),(25,6326480,'1',1,203,2,10),(25,6326595,'1',3,601,2,294),(25,6326650,'1',1,102,1,2),(25,6326668,'1',2,503,1,1),(25,6326706,'1',3,340,2,38),(25,6326846,'1',3,319,1,29),(25,6326927,'1',3,5,2,40),(25,6326935,'1',3,423,1,2),(25,6326943,'1',3,202,2,67),(25,6327036,'1',3,655,2,47),(25,6327095,'1',2,317,1,6),(25,6327184,'1',3,601,2,204),(25,6327249,'1',3,5,2,43),(25,6327346,'1',3,201,1,5),(25,6327370,'1',3,3,2,39),(25,6327419,'1',3,102,1,9),(25,6327486,'1A',2,213,2,7),(25,6327567,'1',3,238,2,53),(25,6327621,'1',3,308,2,50),(25,6327630,'1',3,317,1,5),(25,6327672,'1',3,316,2,45),(25,6327710,'1',1,9,1,4),(25,6327788,'1',2,224,2,1),(25,6327850,'1',3,450,1,21),(25,6327915,'1',2,216,1,3),(25,6327923,'1',3,109,1,11),(25,6327958,'1',1,501,1,2),(25,6328008,'1A',3,215,1,11),(25,6328083,'1',3,338,1,9),(25,6328105,'1',2,652,1,2),(25,6328164,'1',3,301,1,1),(25,6328180,'1',3,501,1,31),(25,6328199,'1',1,318,1,3),(25,6328202,'1A',3,213,1,6),(25,6328270,'1',3,203,2,41),(25,6328474,'1',3,328,1,12),(25,6328512,'1',3,238,1,7),(25,6328555,'1',3,309,2,57),(25,6328563,'1',2,220,1,2),(25,6328580,'1',3,601,2,180),(25,6328601,'1',3,318,1,2),(25,6328865,'1',3,601,2,165),(25,6328946,'1',3,309,1,15),(25,6328954,'1',3,320,2,2),(25,6329179,'1',2,324,2,11),(25,6329217,'1A',3,208,1,15),(25,6329225,'1A',3,601,2,207),(25,6329284,'1',1,309,2,6),(25,6329322,'1',3,320,2,9),(25,6329349,'1',3,335,1,3),(25,6329365,'1',3,207,1,12),(25,6329454,'1',3,203,1,5),(25,6329616,'1',3,234,1,7),(25,6329675,'1A',3,211,1,22),(25,6329683,'1',3,444,2,37),(25,6329705,'1',2,319,1,2),(25,6329721,'1',2,328,1,1),(25,6329730,'1',3,450,1,2),(25,6329802,'1',3,425,1,27),(25,6329810,'1',3,317,1,17),(25,6329837,'1',3,234,2,31),(25,6329853,'1',3,655,1,13),(25,6329861,'1',3,211,2,42),(25,6329985,'1',3,601,1,56),(25,6330010,'1',3,601,2,299),(25,6330037,'1',3,501,2,42),(25,6330100,'1A',3,652,2,65),(25,6330193,'1',3,225,1,1),(25,6330207,'1',3,317,2,53),(25,6330312,'1',3,551,2,86),(25,6330339,'1',3,308,2,36),(25,6330347,'1',3,503,1,11),(25,6330363,'1',3,601,2,274),(25,6330398,'1',2,601,2,51),(25,6330495,'1',3,302,2,39),(25,6330525,'1',3,324,1,5),(25,6330614,'1',1,202,1,4),(25,6330649,'1',3,102,2,96),(25,6330657,'1',3,329,1,30),(25,6330673,'1',3,327,2,24),(25,6330754,'1',3,102,1,48),(25,6330797,'1',2,220,1,6),(25,6330835,'1',3,310,1,32),(25,6330908,'1',3,551,2,82),(25,6331017,'1A',3,238,2,48),(25,6331033,'1',3,104,2,65),(25,6331190,'1',3,551,1,59),(25,6331203,'1A',3,601,2,280),(25,6331270,'1',3,427,1,15),(25,6331300,'1',3,601,2,307),(25,6331408,'1',3,216,1,5),(25,6331459,'1',3,318,2,61),(25,6331645,'1',2,652,2,13),(25,6331742,'1',2,225,1,8),(25,6331777,'1',3,444,2,27),(25,6331815,'1',3,444,2,23),(25,6331823,'1',1,425,1,1),(25,6331866,'1',2,340,2,11),(25,6331955,'1',3,238,2,55),(25,6332021,'1A',2,601,2,59),(25,6332080,'1',3,309,2,38),(25,6332145,'1',2,338,1,5),(25,6332161,'1',3,427,1,2),(25,6332285,'1',2,301,1,8),(25,6332307,'1',1,224,2,1),(25,6332315,'1',3,318,1,10),(25,6332331,'1',3,450,1,9),(25,6332390,'1',3,332,2,27),(25,6332501,'1A',3,652,1,35),(25,6332528,'1',3,428,1,23),(25,6332609,'1',2,653,1,6),(25,6332684,'1',3,452,2,28),(25,6332765,'1A',3,208,1,30),(25,6332773,'1',2,329,1,2),(25,6332790,'1',3,551,1,4),(25,6332838,'1',2,304,1,7),(25,6332846,'1',1,415,2,5),(25,6332919,'1',2,302,1,8),(25,6333028,'1',3,327,2,7),(25,6333150,'1',3,238,1,31),(25,6333206,'1',3,444,1,4),(25,6333230,'1',3,215,1,1),(25,6333249,'1',3,208,2,59),(25,6333320,'1A',3,421,1,23),(25,6333400,'1',3,109,1,28),(25,6333486,'1',3,308,2,46),(25,6333567,'1',3,207,2,36),(25,6333583,'1',3,317,1,29),(25,6333664,'1',3,109,2,39),(25,6333699,'1',3,234,1,3),(25,6333737,'1',2,316,2,14),(25,6333796,'1',2,110,2,15),(25,6333800,'1',3,207,1,9),(25,6333842,'1',2,207,2,10),(25,6333893,'1',3,601,2,246),(25,6333931,'1',3,102,2,74),(25,6333974,'1',3,110,1,10),(25,6333990,'1',3,326,1,19),(25,6334121,'1',2,302,2,11),(25,6334148,'1',2,601,1,11),(25,6334199,'1',3,317,2,37),(25,6334245,'1',3,238,1,18),(25,6334253,'1',3,201,1,30),(25,6334270,'1',3,653,1,21),(25,6334296,'1',3,327,2,5),(25,6334300,'1',2,302,1,6),(25,6334334,'1',3,336,1,4),(25,6334369,'1',3,601,2,178),(25,6334377,'1',3,201,2,60),(25,6334431,'1',3,108,1,25),(25,6334440,'1',3,110,2,57),(25,6334474,'1',1,108,1,2),(25,6334610,'1',3,320,2,33),(25,6334628,'1',3,308,1,6),(25,6334644,'1A',3,601,1,95),(25,6334660,'1',3,301,2,56),(25,6334709,'1A',2,601,2,77),(25,6334768,'1',3,222,1,7),(25,6334806,'1',3,2,1,32),(25,6335179,'1',3,101,1,18),(25,6335357,'1A',3,601,2,233),(25,6335420,'1',3,201,2,63),(25,6335519,'1',3,301,1,31),(25,6335586,'1',3,238,1,24),(25,6335616,'1',2,501,1,10),(25,6335713,'1',3,329,1,9),(25,6335721,'1',3,101,2,32),(25,6335772,'1',3,302,2,44),(25,6335810,'1',3,601,2,177),(25,6335829,'1',3,302,1,1),(25,6335837,'1',3,304,1,22),(25,6335888,'1',2,318,2,12),(25,6335934,'1',3,319,1,18),(25,6336035,'1',3,303,2,52),(25,6336051,'1',3,3,1,15),(25,6336060,'1',3,652,1,3),(25,6336159,'1',3,452,1,9),(25,6336175,'1',3,316,2,57),(25,6336191,'1',3,444,1,10),(25,6336299,'1',3,652,2,40),(25,6336388,'1',2,303,1,7),(25,6336507,'1A',3,601,1,127),(25,6336701,'1',3,316,2,46),(25,6336787,'1',3,501,2,67),(25,6336841,'1',3,318,1,5),(25,6336906,'1',3,503,2,33),(25,6336949,'1',3,317,1,14),(25,6337104,'1',2,336,1,5),(25,6337139,'1',3,224,2,6),(25,6337171,'1A',3,426,2,9),(25,6337295,'1',3,203,2,76),(25,6337350,'1',3,317,2,38),(25,6337473,'1',3,328,1,2),(25,6337511,'1',3,238,2,54),(25,6337520,'1',3,301,1,22),(25,6337554,'1',3,501,2,63),(25,6337570,'1',2,320,2,3),(25,6337635,'1',3,223,1,12),(25,6337678,'1',3,654,1,21),(25,6337848,'1',3,309,2,48),(25,6337937,'1',2,317,2,13),(25,6337970,'1',3,234,2,58),(25,6338135,'1',3,308,2,55),(25,6338275,'1',2,502,1,4),(25,6338380,'1',3,601,1,106),(25,6338453,'1',3,201,2,49),(25,6338550,'1',2,452,1,3),(25,6338585,'1A',3,653,2,30),(25,6338720,'1',3,654,1,8),(25,6338801,'1',2,202,1,8),(25,6338810,'1A',3,201,2,69),(25,6338836,'1',3,551,1,33),(25,6338860,'1',3,225,1,9),(25,6338895,'1',3,220,2,27),(25,6338909,'1',2,551,2,25),(25,6338933,'1',3,329,1,6),(25,6339336,'1',3,104,1,8),(25,6339409,'1',3,109,1,8),(25,6339476,'1',2,319,2,16),(25,6339514,'1',3,303,2,45),(25,6339530,'1',3,303,2,39),(25,6339778,'1',3,224,2,1),(25,6339786,'1',3,235,1,7),(25,6339808,'1',3,216,2,18),(25,6340261,'1',3,340,2,48),(25,6340326,'1',1,339,1,1),(25,6340334,'1',3,304,1,34),(25,6340369,'1',3,551,2,79),(25,6340385,'1',2,426,2,3),(25,6340431,'1',3,9,1,6),(25,6340440,'1',3,339,1,20),(25,6340474,'1',3,453,1,8),(25,6340490,'1',1,317,1,3),(25,6340563,'1A',3,213,2,18),(25,6340580,'1',2,421,1,4),(25,6340601,'1',3,222,1,16),(25,6340652,'1',3,216,2,35),(25,6340750,'1',3,333,1,11),(25,6340814,'1',3,309,1,25),(25,6340890,'1',2,551,2,29),(25,6340962,'1',2,415,1,2),(25,6340970,'1',3,301,2,39),(25,6341055,'1',2,329,1,5),(25,6341063,'1A',3,653,1,18),(25,6341128,'1',3,3,2,58),(25,6341292,'1',3,502,2,35),(25,6341900,'1',3,338,1,19),(25,6341918,'1',3,332,2,23),(25,6341969,'1',2,551,2,27),(25,6342035,'1',3,101,1,20),(25,6342116,'1',3,329,1,14),(25,6342175,'1',3,302,2,59),(25,6342191,'1',3,309,2,58),(25,6342230,'1',2,102,2,21),(25,6342272,'1A',3,601,2,239),(25,6342396,'1',3,425,1,9),(25,6342531,'1A',3,655,1,15),(25,6342604,'1',3,201,1,13),(25,6342647,'1',2,601,1,2),(25,6342671,'1',3,318,1,24),(25,6342825,'1',2,303,2,11),(25,6342833,'1A',2,601,1,32),(25,6342892,'1',3,203,1,7),(25,6342957,'1',3,208,1,3),(25,6343031,'1',3,316,1,31),(25,6343074,'1',3,336,1,7),(25,6343139,'1',3,333,1,8),(25,6343163,'1',2,426,2,1),(25,6343252,'1',3,425,1,23),(25,6343422,'1A',3,601,1,57),(25,6343635,'1',3,308,2,62),(25,6343961,'1',3,420,1,5),(25,6344003,'1',3,223,1,23),(25,6344054,'1',3,308,2,68),(25,6344160,'1',1,207,1,1),(25,6344291,'1',3,333,1,20),(25,6344305,'1',3,423,1,26),(25,6344461,'1',3,324,2,36),(25,6344470,'1',3,238,2,39),(25,6344488,'1',3,225,1,5),(25,6344496,'1',2,551,2,28),(25,6344607,'1',3,201,2,50),(25,6344631,'1A',3,427,1,21),(25,6344674,'1',3,104,1,13),(25,6344771,'1',3,102,2,72),(25,6344810,'1',2,655,2,8),(25,6345115,'1',2,326,1,7),(25,6345123,'1',2,601,2,73),(25,6345158,'1',3,109,2,46),(25,6345182,'1A',3,601,2,166),(25,6345310,'1A',3,208,1,17),(25,6345328,'1',3,310,1,4),(25,6345484,'1',3,201,1,6),(25,6345506,'1',3,551,1,68),(25,6345514,'1',3,444,1,20),(25,6345530,'1',3,320,2,35),(25,6345603,'1',3,109,2,59),(25,6345662,'1A',3,215,1,7),(25,6345700,'1',2,601,1,39),(25,6345735,'1',3,317,1,20),(25,6345840,'1',3,208,1,34),(25,6345905,'1',3,308,1,14),(25,6345913,'1',3,103,2,70),(25,6346251,'1',3,102,2,88),(25,6346480,'1',2,331,1,1),(25,6346618,'1',3,102,1,8),(25,6346669,'1',3,316,2,56),(25,6346685,'1A',3,202,2,47),(25,6346723,'1',3,340,2,39),(25,6346812,'1',3,655,2,46),(25,6346839,'1',3,601,2,215),(25,6346855,'1',3,319,2,51),(25,6346880,'1',3,551,1,52),(25,6346901,'1',3,318,1,16),(25,6346936,'1',3,503,2,28),(25,6346952,'1',3,110,2,62),(25,6347061,'1',3,501,2,60),(25,6347100,'1',3,428,2,50),(25,6347207,'1A',3,208,1,35),(25,6347320,'1',3,551,1,43),(25,6347355,'1',3,503,1,6),(25,6347410,'1',1,444,1,1),(25,6347444,'1',3,302,1,22),(25,6347479,'1',1,425,1,3),(25,6347509,'1',3,316,2,37),(25,6347673,'1',2,309,1,2),(25,6347681,'1',2,102,2,25),(25,6347746,'1',3,332,2,7),(25,6347770,'1',2,211,2,18),(25,6347797,'1',1,108,1,4),(25,6347819,'1',3,503,1,8),(25,6347924,'1',3,309,2,46),(25,6348017,'1',3,216,2,22),(25,6348025,'1',3,3,2,52),(25,6348092,'1',3,102,1,39),(25,6348157,'1',3,653,2,43),(25,6348173,'1',3,205,1,5),(25,6348190,'1',3,2,1,25),(25,6348297,'1',3,303,2,50),(25,6348408,'1',3,423,1,8),(25,6348459,'1',3,309,2,33),(25,6348530,'1',3,5,1,2),(25,6348939,'1',3,326,1,6),(25,6348980,'1',3,421,1,7),(25,6349200,'1',3,308,1,1),(25,6349307,'1',3,324,1,28),(25,6349315,'1',3,201,1,24),(25,6349331,'1',2,317,1,3),(25,6349390,'1',3,318,2,67),(25,6349412,'1A',3,652,1,25),(25,6349536,'1',3,238,1,8),(25,6349587,'1',3,207,1,2),(25,6349676,'1A',3,601,1,126),(25,6349684,'1',3,301,1,30),(25,6349722,'1',2,3,2,11),(25,6349765,'1',3,444,2,40),(25,6349820,'1A',3,601,2,157),(25,6349846,'1',3,301,2,59),(25,6349960,'1',3,601,1,76),(25,6350020,'1',3,102,1,43),(25,6350135,'1',3,551,2,112),(25,6350356,'1A',3,652,2,54),(25,6350364,'1A',3,601,2,211),(25,6350399,'1',2,102,2,26),(25,6350402,'1',3,332,2,22),(25,6350437,'1',3,601,2,179),(25,6350569,'1',3,329,1,20),(25,6350763,'1',3,5,1,1),(25,6350836,'1',3,5,2,49),(25,6350860,'1A',3,208,1,18),(25,6350879,'1',3,450,1,13),(25,6351034,'1A',3,201,2,71),(25,6351050,'1',3,426,2,16),(25,6351085,'1A',3,208,2,68),(25,6351140,'1',3,303,1,16),(25,6351255,'1',3,302,1,13),(25,6351468,'1',3,421,1,10),(25,6351522,'1',3,444,2,38),(25,6351581,'1',3,211,2,44),(25,6351590,'1',3,332,2,6),(25,6351700,'1',3,328,1,10),(25,6351905,'1',3,104,2,49),(25,6351913,'1',3,308,1,31),(25,6352057,'1',3,205,1,14),(25,6352120,'1',2,340,2,14),(25,6352200,'1',3,301,1,35),(25,6352251,'1',3,452,2,30),(25,6352448,'1',3,5,2,44),(25,6352618,'1',3,551,1,22),(25,6352723,'1',3,110,1,6),(25,6352731,'1A',2,652,2,20),(25,6352774,'1',3,452,1,6),(25,6352847,'1',2,203,1,2),(25,6352898,'1',3,211,2,61),(25,6352928,'1',3,310,1,28),(25,6352960,'1',3,329,1,7),(25,6353290,'1A',3,235,2,32),(25,6353312,'1',2,404,2,10),(25,6353401,'1A',3,208,2,41),(25,6353460,'1',3,503,2,50),(25,6353487,'1',3,551,1,72),(25,6353533,'1',3,551,1,36),(25,6353576,'1',3,102,1,25),(25,6353614,'1A',3,211,1,19),(25,6353657,'1',3,213,1,9),(25,6353690,'1',2,102,2,16),(25,6353703,'1A',3,208,1,1),(25,6353819,'1A',3,235,2,28),(25,6354009,'1',3,302,1,23),(25,6354050,'1',3,103,1,31),(25,6354157,'1',2,316,1,6),(25,6354181,'1',3,601,1,10),(25,6354351,'1',3,551,2,85),(25,6354386,'1',3,318,2,51),(25,6354394,'1',2,501,2,12),(25,6354491,'1',3,501,1,28),(25,6354548,'1',2,453,1,2),(25,6354602,'1',3,303,1,22),(25,6354629,'1',2,2,1,10),(25,6354718,'1',3,201,1,10),(25,6354742,'1',3,109,1,18),(25,6354750,'1A',3,601,1,42),(25,6354777,'1',3,429,2,6),(25,6354840,'1',3,551,1,57),(25,6354971,'1',2,104,2,20),(25,6355080,'1',3,102,1,14),(25,6355153,'1A',3,238,2,68),(25,6355188,'1',3,551,1,25),(25,6355242,'1',3,310,1,20),(25,6355277,'1',3,324,1,15),(25,6355293,'1',3,318,1,19),(25,6355331,'1',3,318,1,30),(25,6355374,'1',2,102,2,19),(25,6355447,'1',1,338,1,1),(25,6355498,'1',2,301,2,14),(25,6355820,'1',3,423,1,18),(25,6355846,'1',3,102,2,71),(25,6355889,'1',3,502,2,33),(25,6355994,'1',3,302,2,36),(25,6356010,'1',2,102,1,10),(25,6356133,'1',3,104,2,51),(25,6356486,'1',3,308,1,33),(25,6356516,'1',2,335,2,8),(25,6356583,'1A',3,601,2,189),(25,6356591,'1',3,319,2,50),(25,6356672,'1A',2,601,1,37),(25,6356680,'1',3,234,1,12),(25,6356729,'1',3,318,1,1),(25,6356761,'1A',3,653,2,31),(25,6356796,'1',1,340,1,3),(25,6356800,'1',1,203,1,6),(25,6356907,'1A',2,653,2,9),(25,6356931,'1',3,225,1,44),(25,6356940,'1A',2,214,1,4),(25,6356974,'1',3,208,2,66),(25,6357059,'1',2,501,1,6),(25,6357083,'1A',3,424,1,12),(25,6357091,'1',3,207,1,6),(25,6357105,'1',3,201,1,1),(25,6357202,'1',3,202,1,30),(25,6357342,'1',3,501,2,68),(25,6357474,'1',3,502,1,22),(25,6357504,'1',2,213,1,1),(25,6357512,'1',2,109,1,2),(25,6357555,'1',1,207,2,8),(25,6357628,'1',3,551,2,122),(25,6357660,'1',1,220,1,3),(25,6357687,'1',2,428,2,11),(25,6357776,'1',2,428,1,1),(25,6357784,'1',3,220,1,15),(25,6357792,'1',3,327,2,21),(25,6357814,'1',3,503,2,32),(25,6357830,'1',3,207,2,55),(25,6357873,'1',3,503,2,39),(25,6357962,'1',1,104,1,1),(25,6358063,'1',3,238,2,52),(25,6358071,'1',1,327,2,4),(25,6358179,'1',1,316,1,4),(25,6358241,'1',3,302,1,24),(25,6358306,'1',3,104,1,2),(25,6358314,'1A',3,201,2,56),(25,6358349,'1',3,104,1,5),(25,6358411,'1',3,502,2,46),(25,6358420,'1A',2,427,1,2),(25,6358438,'1',1,420,2,3),(25,6358446,'1',2,428,1,7),(25,6358535,'1A',3,652,1,27),(25,6358608,'1',3,340,2,49),(25,6358616,'1',3,551,2,92),(25,6358691,'1',3,420,1,2),(25,6358705,'1',3,319,2,58),(25,6358764,'1',3,335,1,17),(25,6358772,'1',3,304,2,54),(25,6358799,'1',3,3,2,62),(25,6358802,'1',3,551,2,123),(25,6358845,'1',3,324,1,18),(25,6358853,'1',2,211,1,8),(25,6359027,'1',3,427,1,4),(25,6359043,'1A',3,601,1,115),(25,6359051,'1',2,404,2,11),(25,6359116,'1',1,340,2,5),(25,6359140,'1',3,601,2,186),(25,6359183,'1A',2,208,1,9),(25,6359361,'1',3,224,2,12),(25,6359388,'1',3,102,2,82),(25,6359400,'1',3,318,1,12),(25,6359434,'1',2,601,2,57),(25,6359639,'1',3,109,2,34),(25,6359671,'1',3,2,1,34),(25,6359680,'1',3,234,2,57),(25,6359698,'1',3,234,2,32),(25,6359850,'1',2,427,1,5),(25,6359914,'1',2,551,1,4),(25,6359922,'1',3,327,2,11),(25,6360050,'1',3,310,1,25),(25,6360084,'1',3,301,1,18),(25,6360114,'1',3,108,2,56),(25,6360157,'1A',3,235,1,19),(25,6360181,'1',3,451,1,11),(25,6360220,'1',1,104,2,7),(25,6360246,'1',3,338,1,8),(25,6360300,'1',3,652,1,34),(25,6360416,'1',3,3,1,2),(25,6360440,'1',2,654,2,12),(25,6360505,'1',3,551,1,16),(25,6360572,'1',3,225,1,11),(25,6360629,'1',2,502,1,1),(25,6360670,'1',3,551,2,107),(25,6360785,'1',3,428,2,56),(25,6360793,'1',3,429,2,4),(25,6360815,'1',1,316,2,10),(25,6360823,'1',1,453,2,4),(25,6360840,'1',3,551,1,44),(25,6360866,'1',2,423,1,6),(25,6361021,'1',1,238,1,1),(25,6361030,'1',2,339,1,1),(25,6361072,'1',2,331,1,2),(25,6361080,'1',3,338,1,11),(25,6361293,'1',3,551,1,76),(25,6361382,'1',3,429,2,27),(25,6361579,'1',3,110,1,20),(25,6361609,'1',3,110,2,59),(25,6361650,'1',4,103,1,2),(25,6361676,'1',3,451,1,5),(25,6361706,'1',3,5,1,16),(25,6361714,'1',3,224,2,17),(25,6361765,'1',3,551,2,83),(25,6361862,'1',3,501,2,69),(25,6362010,'1',3,404,2,38),(25,6362052,'1',1,104,1,2),(25,6362176,'1',3,316,2,69),(25,6362184,'1',3,318,2,66),(25,6362257,'1',3,108,2,49),(25,6362265,'1',2,110,2,14),(25,6362303,'1',3,108,2,29),(25,6362338,'1',3,317,1,24),(25,6362354,'1',3,110,1,2),(25,6362389,'1',3,326,1,26),(25,6362397,'1',1,453,2,3),(25,6362451,'1',3,201,2,59),(25,6362672,'1',3,238,1,34),(25,6362885,'1',2,340,1,8),(25,6363032,'1',3,503,1,2),(25,6363040,'1',3,332,2,11),(25,6363105,'1',3,215,2,23),(25,6363202,'1',2,309,2,16),(25,6363334,'1',2,404,1,6),(25,6363520,'1',3,601,2,251),(25,6363580,'1',2,205,2,6),(25,6363784,'1',3,424,1,4),(25,6363873,'1',3,302,1,2),(25,6363890,'1A',3,655,2,39),(25,6363946,'1',3,109,2,29),(25,6364101,'1A',2,202,1,4),(25,6364110,'1',3,308,1,2),(25,6364136,'1',3,211,2,37),(25,6364187,'1',3,501,1,20),(25,6364209,'1',3,444,2,35),(25,6364322,'1',3,108,2,36),(25,6364578,'1',2,109,1,3),(25,6364624,'1',2,501,2,13),(25,6364802,'1',2,428,2,15),(25,6364870,'1',3,502,2,53),(25,6364896,'1',1,444,2,4),(25,6364900,'1',3,9,1,5),(25,6364993,'1',2,452,1,4),(25,6365035,'1',3,332,2,4),(25,6365094,'1A',3,211,2,60),(25,6365221,'1',2,328,1,4),(25,6365248,'1',3,202,2,62),(25,6365329,'1',1,203,2,7),(25,6365604,'1',3,302,2,51),(25,6365620,'1',3,202,2,46),(25,6365710,'1',3,324,1,27),(25,6365922,'1A',3,601,1,86),(25,6365930,'1',2,104,1,1),(25,6365957,'1',3,337,1,3),(25,6366066,'1',2,428,2,9),(25,6366074,'1',3,421,1,30),(25,6366082,'1',2,453,1,4),(25,6366090,'1',3,203,2,77),(25,6366236,'1',2,331,1,3),(25,6366414,'1',2,234,2,9),(25,6366430,'1',3,652,1,18),(25,6366554,'1',3,318,2,43),(25,6366619,'1',3,335,1,16),(25,6366643,'1',2,425,1,2),(25,6366856,'1',3,3,1,10),(25,6366864,'1',3,415,2,25),(25,6366945,'1A',3,202,2,60),(25,6367445,'1',3,317,1,19),(25,6367542,'1',3,223,1,13),(25,6367631,'1',3,339,2,35),(25,6367810,'1',3,335,1,19),(25,6367925,'1',3,601,1,41),(25,6367968,'1',2,109,2,11),(25,6367984,'1',3,551,2,94),(25,6367992,'1',3,332,2,14),(25,6368042,'1A',3,653,1,16),(25,6368069,'1',2,654,2,8),(25,6368174,'1A',3,601,1,31),(25,6368182,'1',3,652,2,77),(25,6368255,'1',3,2,1,2),(25,6368271,'1',3,2,1,33),(25,6368425,'1',2,201,1,3),(25,6368573,'1',2,601,2,55),(25,6368590,'1',3,108,1,19),(25,6368670,'1',3,215,1,3),(25,6368751,'1',3,339,2,34),(25,6368808,'1',3,654,2,39),(25,6368824,'1',3,216,1,2),(25,6368832,'1',2,319,2,14),(25,6368840,'1',3,109,1,4),(25,6368859,'1',1,109,2,5),(25,6368867,'1',3,333,1,10),(25,6368905,'1',2,208,2,13),(25,6368930,'1',3,655,1,24),(25,6368948,'1',1,302,1,4),(25,6368964,'1',3,220,1,13),(25,6368999,'1A',3,213,1,5),(25,6369014,'1',3,335,1,9),(25,6369138,'1',3,340,2,53),(25,6369324,'1',3,329,1,18),(25,6369405,'1',3,320,2,5),(25,6369464,'1',3,308,1,29),(25,6369502,'1',3,551,1,55),(25,6369529,'1A',2,601,1,10),(25,6369545,'1A',3,202,2,57),(25,6369561,'1',2,551,1,15),(25,6369642,'1',3,404,1,1),(25,6369782,'1',1,103,2,7),(25,6369812,'1',3,327,2,23),(25,6369880,'1',3,316,1,12),(25,6369944,'1',3,329,1,3),(25,6370098,'1',3,332,2,17),(25,6370217,'1',1,316,1,3),(25,6370233,'1',3,551,2,81),(25,6370250,'1',3,331,1,23),(25,6370292,'1',3,102,1,11),(25,6370349,'1',2,332,2,2),(25,6370381,'1',3,3,1,27),(25,6370446,'1',3,238,2,67),(25,6370470,'1',3,316,2,50),(25,6370489,'1',3,103,1,21),(25,6370527,'1',3,102,2,49),(25,6370535,'1',2,104,2,11),(25,6370624,'1',3,304,1,11),(25,6370772,'1',2,223,1,9),(25,6370918,'1',2,601,2,54),(25,6370934,'1',3,225,1,40),(25,6370977,'1',3,223,1,32),(25,6371051,'1',3,324,1,24),(25,6371264,'1',3,652,2,72),(25,6371299,'1',3,309,1,18),(25,6371353,'1',2,601,2,47),(25,6371434,'1',2,404,1,4),(25,6371469,'1',3,101,2,39),(25,6371531,'1',3,301,2,37),(25,6371540,'1',3,501,2,74),(25,6371787,'1',2,234,2,12),(25,6371795,'1',3,421,1,33),(25,6371817,'1',2,309,1,5),(25,6372007,'1A',3,238,2,50),(25,6372023,'1',2,301,2,20),(25,6372058,'1',3,310,1,29),(25,6372066,'1',1,9,1,1),(25,6372120,'1',2,238,1,2),(25,6372180,'1',3,601,2,296),(25,6372260,'1',3,304,1,29),(25,6372287,'1',3,109,2,33),(25,6372422,'1',2,110,2,16),(25,6372430,'1',2,309,1,4),(25,6372570,'1',1,309,1,1),(25,6372597,'1',3,423,1,24),(25,6372686,'1',1,302,1,2),(25,6372732,'1',3,211,2,53),(25,6372759,'1',2,102,1,1),(25,6372848,'1',3,211,1,4),(25,6372880,'1',3,320,2,10),(25,6372899,'1',3,309,2,42),(25,6373038,'1A',3,652,2,60),(25,6373186,'1',3,421,1,29),(25,6373313,'1',3,109,1,9),(25,6373437,'1',3,404,2,33),(25,6373470,'1',3,654,1,19),(25,6373666,'1',3,551,2,96),(25,6373712,'1',3,453,2,24),(25,6373810,'1A',3,601,2,224),(25,6373879,'1',2,303,1,4),(25,6374050,'1',3,225,1,41),(25,6374123,'1',3,428,1,4),(25,6374301,'1',3,214,1,13),(25,6374352,'1',3,316,2,55),(25,6374522,'1',3,502,1,7),(25,6374549,'1A',3,655,2,38),(25,6374581,'1',3,501,1,8),(25,6374930,'1',1,201,2,9),(25,6374980,'1A',3,424,1,7),(25,6375022,'1',3,654,2,30),(25,6375057,'1',3,327,2,19),(25,6375227,'1',3,326,1,21),(25,6375618,'1',1,332,2,1),(25,6375626,'1',3,421,1,13),(25,6375782,'1A',3,655,2,43),(25,6375804,'1',1,415,2,4),(25,6375812,'1',3,304,2,53),(25,6375847,'1',2,428,2,14),(25,6375855,'1',3,225,1,33),(25,6375944,'1',3,428,2,44),(25,6376002,'1',3,238,2,65),(25,6376088,'1',3,234,1,17),(25,6376100,'1',3,301,2,47),(25,6376193,'1',3,502,1,1),(25,6376240,'1',1,238,2,10),(25,6376371,'1',3,102,2,87),(25,6376479,'1',3,109,1,15),(25,6376576,'1',3,212,1,2),(25,6376630,'1',3,429,2,7),(25,6376657,'1',3,302,1,6),(25,6376673,'1',2,213,2,8),(25,6376819,'1',3,3,2,51),(25,6376975,'1',3,453,2,26),(25,6377084,'1',3,551,2,113),(25,6377190,'1',2,202,1,10),(25,6377319,'1',3,110,2,34),(25,6377467,'1A',2,214,2,6),(25,6377475,'1',2,339,1,5),(25,6377521,'1',2,340,1,6),(25,6377572,'1',1,201,2,10),(25,6377602,'1',3,451,1,6),(25,6377742,'1A',3,421,1,27),(25,6377777,'1A',3,427,1,3),(25,6377882,'1',3,301,2,53),(25,6377963,'1',3,224,2,21),(25,6378285,'1A',1,235,1,1),(25,6378340,'1',3,328,1,11),(25,6378412,'1',3,451,1,20),(25,6378455,'1',3,501,2,52),(25,6378471,'1',2,335,1,4),(25,6378480,'1',3,110,1,15),(25,6378633,'1A',3,601,1,108),(25,6378714,'1',3,329,1,29),(25,6378951,'1',2,601,2,53),(25,6379028,'1',3,652,1,1),(25,6379052,'1',3,426,2,23),(25,6379095,'1',2,234,2,10),(25,6379109,'1',3,201,1,28),(25,6379184,'1',3,423,1,29),(25,6379249,'1',2,653,2,13),(25,6379427,'1',1,238,1,2),(25,6379443,'1',3,427,1,11),(25,6379460,'1',3,501,1,34),(25,6379486,'1',2,109,1,7),(25,6379699,'1',3,223,1,6),(25,6379869,'1',3,551,2,103),(25,6379923,'1',3,101,1,8),(25,6380107,'1',1,213,1,1),(25,6380131,'1',3,101,2,51),(25,6380190,'1',3,309,2,44),(25,6380220,'1',3,327,2,32),(25,6380239,'1',3,501,2,58),(25,6380344,'1',3,211,1,1),(25,6380360,'1',3,5,2,62),(25,6380441,'1A',2,215,1,5),(25,6380565,'1',3,653,2,51),(25,6380670,'1',3,404,1,21),(25,6380867,'1',3,220,2,33),(25,6381057,'1',3,551,2,88),(25,6381154,'1',3,225,1,4),(25,6381197,'1',2,208,1,8),(25,6381260,'1',3,222,1,12),(25,6381359,'1',3,425,1,11),(25,6381405,'1',2,203,1,4),(25,6381413,'1',3,420,2,28),(25,6381499,'1',3,3,1,19),(25,6381529,'1',3,551,1,64),(25,6381600,'1',2,326,1,6),(25,6381723,'1',3,308,2,54),(25,6381758,'1',2,551,2,23),(25,6381804,'1',2,102,2,22),(25,6381898,'1',3,301,1,6),(25,6382126,'1A',3,601,1,147),(25,6382231,'1',3,203,1,26),(25,6382339,'1',3,9,1,16),(25,6382398,'1',2,318,2,15),(25,6382908,'1',3,302,2,33),(25,6382959,'1',3,450,1,10),(25,6383068,'1',3,339,1,19),(25,6383092,'1',3,203,1,22),(25,6383122,'1',3,328,1,15),(25,6383211,'1',3,301,1,26),(25,6383319,'1A',3,601,2,255),(25,6383335,'1A',3,426,2,21),(25,6383378,'1A',3,601,2,217),(25,6383408,'1',2,332,2,5),(25,6383459,'1',3,339,1,17),(25,6383475,'1A',3,601,2,214),(25,6383653,'1',3,335,2,27),(25,6383688,'1',3,324,2,30),(25,6383696,'1',3,308,2,37),(25,6383807,'1',3,308,2,51),(25,6383971,'1',3,329,1,21),(25,6384013,'1A',3,211,2,50),(25,6384153,'1',3,102,2,86),(25,6384340,'1',2,216,2,7),(25,6384447,'1',3,5,2,48),(25,6384749,'1',3,339,2,28),(25,6385079,'1',3,302,1,17),(25,6385117,'1',3,223,1,33),(25,6385150,'1',2,104,2,16),(25,6385192,'1',3,452,1,8),(25,6385206,'1',3,324,1,4),(25,6385516,'1A',3,208,2,36),(25,6385540,'1',2,301,1,2),(25,6385559,'1',3,317,1,22),(25,6385729,'1A',2,207,2,13),(25,6385761,'1',2,201,1,11),(25,6385826,'1',3,5,2,47),(25,6385834,'1',3,444,1,15),(25,6385966,'1',3,450,1,16),(25,6386253,'1',2,304,1,1),(25,6386342,'1',3,2,1,44),(25,6386377,'1',3,318,2,41),(25,6386393,'1',2,224,2,2),(25,6386474,'1',2,338,1,2),(25,6386571,'1',3,503,1,24),(25,6386580,'1',3,201,1,4),(25,6386598,'1',3,424,1,28),(25,6386768,'1',3,601,1,2),(25,6386830,'1',2,551,1,7),(25,6386920,'1',3,451,1,1),(25,6387012,'1',2,238,2,16),(25,6387101,'1',3,308,2,59),(25,6387136,'1',3,421,1,1),(25,6387160,'1',1,208,1,4),(25,6387241,'1A',3,655,2,41),(25,6387276,'1A',3,208,2,50),(25,6387314,'1',3,302,2,50),(25,6387381,'1',3,224,2,2),(25,6387446,'1',1,318,1,1),(25,6387462,'1',3,404,2,39),(25,6387535,'1',3,339,1,5),(25,6387586,'1A',3,201,2,70),(25,6387616,'1A',3,220,2,43),(25,6387845,'1',3,109,2,47),(25,6387985,'1',3,303,1,30),(25,6388000,'1A',2,235,2,12),(25,6388094,'1',3,304,2,35),(25,6388116,'1',3,655,1,22),(25,6388183,'1',3,503,2,53),(25,6388213,'1',1,238,2,7),(25,6388230,'1',3,428,1,6),(25,6388256,'1',3,453,2,25),(25,6388264,'1',3,335,1,24),(25,6388396,'1A',3,653,1,25),(25,6388418,'1',2,317,1,1),(25,6388477,'1',3,225,1,42),(25,6388507,'1',3,601,2,287),(25,6388531,'1',3,235,2,27),(25,6388582,'1',2,317,2,17),(25,6388850,'1',3,310,1,13),(25,6388914,'1',3,223,1,7),(25,6388949,'1',3,601,2,199),(25,6389023,'1',2,108,2,16),(25,6389031,'1',3,225,1,13),(25,6389066,'1',2,551,2,22),(25,6389112,'1',3,329,1,23),(25,6389155,'1',2,451,1,1),(25,6389201,'1A',2,233,1,5),(25,6389260,'1',3,652,1,10),(25,6389350,'1A',2,601,1,28),(25,6389449,'1',3,318,2,60),(25,6389465,'1',2,501,1,9),(25,6389562,'1',2,601,1,21),(25,6389635,'1',3,202,2,69),(25,6389694,'1',2,655,1,6),(25,6389724,'1',3,205,2,18),(25,6389759,'1',3,551,1,41),(25,6389856,'1',3,316,2,60),(25,6389953,'1',3,207,2,49),(25,6389996,'1',3,301,2,64),(25,6390072,'1',2,212,2,7),(25,6390102,'1',3,5,2,58),(25,6390226,'1',1,316,1,1),(25,6390374,'1',3,339,2,22),(25,6390439,'1',2,551,2,30),(25,6390528,'1',3,2,1,6),(25,6390552,'1',3,9,1,25),(25,6390633,'1',3,420,2,15),(25,6390781,'1',2,304,2,17),(25,6390854,'1A',3,653,2,40),(25,6390889,'1',3,108,1,3),(25,6390960,'1',3,316,1,25),(25,6391052,'1',3,225,1,10),(25,6391192,'1',2,421,1,3),(25,6391214,'1',3,331,1,24),(25,6391290,'1',3,203,1,16),(25,6391311,'1',3,233,2,49),(25,6391354,'1',3,2,1,17),(25,6391397,'1',3,2,1,37),(25,6391400,'1',3,424,1,1),(25,6391435,'1',3,318,1,27),(25,6391516,'1',3,110,2,56),(25,6391524,'1',3,101,2,29),(25,6391532,'1',2,202,2,11),(25,6391737,'1',3,109,2,55),(25,6391761,'1',2,302,1,2),(25,6391869,'1',3,324,1,11),(25,6391907,'1A',3,423,1,27),(25,6392067,'1',3,320,2,31),(25,6392148,'1',3,302,1,14),(25,6392172,'1',3,309,1,17),(25,6392253,'1',3,333,1,21),(25,6392407,'1',3,211,1,15),(25,6392504,'1',3,324,1,21),(25,6392601,'1',3,328,1,8),(25,6392768,'1',2,316,2,13),(25,6392776,'1',1,316,2,6),(25,6392881,'1',3,428,2,47),(25,6392903,'1',3,335,1,1),(25,6392989,'1',1,202,1,3),(25,6393152,'1',3,335,2,34),(25,6393233,'1',2,308,1,7),(25,6393306,'1',2,428,1,2),(25,6393403,'1',3,338,1,12),(25,6393535,'1A',2,652,1,7),(25,6393586,'1',3,202,2,64),(25,6393640,'1',2,331,1,4),(25,6393667,'1',3,601,2,219),(25,6393675,'1',2,316,1,9),(25,6393705,'1',3,109,2,32),(25,6393845,'1',3,309,1,3),(25,6393853,'1',3,601,2,160),(25,6393918,'1',3,332,2,18),(25,6393950,'1',2,108,2,14),(25,6393969,'1',3,317,2,40),(25,6394035,'1',2,335,1,2),(25,6394086,'1',3,551,1,17),(25,6394094,'1',3,428,1,16),(25,6394124,'1',3,653,2,58),(25,6394230,'1A',3,601,1,143),(25,6394264,'1',3,404,2,27),(25,6394485,'1',3,317,2,42),(25,6394507,'1',3,201,2,40),(25,6394558,'1',3,328,1,21),(25,6394604,'1',1,326,1,1),(25,6394612,'1',3,309,1,7),(25,6394655,'1',3,332,2,25),(25,6394671,'1',3,329,1,27),(25,6394833,'1',2,501,2,20),(25,6394914,'1',2,328,1,5),(25,6394981,'1',2,316,1,1),(25,6395120,'1',3,328,1,17),(25,6395163,'1',3,444,1,3),(25,6395210,'1',3,302,2,38),(25,6395244,'1',3,110,2,50),(25,6395597,'1',3,329,1,10),(25,6395643,'1',2,309,2,13),(25,6395660,'1',1,216,2,5),(25,6395830,'1',3,502,2,38),(25,6395961,'1',3,203,2,71),(25,6396054,'1',2,234,2,16),(25,6396135,'1',1,211,2,9),(25,6396143,'1',1,101,2,8),(25,6396208,'1',3,316,1,7),(25,6396240,'1',3,224,2,16),(25,6396267,'1',3,103,1,16),(25,6396305,'1',3,3,1,28),(25,6396348,'1',3,101,1,10),(25,6396488,'1',2,501,2,15),(25,6396682,'1',3,225,1,39),(25,6396747,'1',3,224,2,14),(25,6396763,'1',3,222,1,5),(25,6396801,'1',3,427,1,13),(25,6396976,'1',1,308,1,1),(25,6397190,'1',3,211,1,2),(25,6397441,'1',3,3,2,37),(25,6397549,'1',3,234,2,51),(25,6397859,'1',3,427,1,23),(25,6397948,'1',2,429,2,4),(25,6397964,'1',3,233,2,30),(25,6398243,'1',3,302,2,61),(25,6398316,'1',2,208,2,11),(25,6398391,'1',3,501,1,15),(25,6398405,'1',3,3,1,13),(25,6398421,'1',3,223,1,15),(25,6398464,'1',3,340,1,24),(25,6398650,'1',3,320,2,14),(25,6398707,'1',1,202,2,7),(25,6398804,'1',3,444,2,33),(25,6398979,'1',3,109,1,23),(25,6399002,'1',3,502,1,25),(25,6399096,'1',3,601,2,235),(25,6399142,'1',3,551,1,48),(25,6399169,'1',1,339,2,4),(25,6399380,'1',2,328,1,7),(25,6399436,'1',3,310,1,30),(25,6399452,'1A',3,215,1,16),(25,6399568,'1A',2,601,2,56),(25,6399584,'1',3,444,2,28),(25,6399649,'1',2,338,1,4),(25,6399738,'1',2,211,2,17),(25,6400213,'1',3,424,1,17),(25,6400221,'1',3,223,1,17),(25,6400272,'1',3,110,2,32),(25,6400558,'1',3,427,1,9),(25,6400728,'1',3,655,1,23),(25,6400744,'1',3,222,1,10),(25,6401023,'1',3,301,1,16),(25,6401074,'1',3,301,2,42),(25,6401163,'1',3,551,1,78),(25,6401333,'1A',3,601,1,144),(25,6401465,'1',3,308,1,32),(25,6401902,'1',3,215,2,36),(25,6401929,'1',3,316,1,3),(25,6401970,'1A',3,652,2,47),(25,6402127,'1',3,3,1,9),(25,6402224,'1',3,222,1,2),(25,6402259,'1A',3,652,2,45),(25,6402593,'1',2,425,1,4),(25,6402623,'1',3,503,2,46),(25,6402771,'1',2,316,1,5),(25,6403158,'1',2,225,1,11),(25,6403190,'1A',3,601,2,275),(25,6403360,'1',2,301,2,15),(25,6403387,'1',2,444,1,3),(25,6403522,'1A',3,427,1,22),(25,6403530,'1A',3,653,1,3),(25,6403549,'1',3,224,2,15),(25,6403573,'1',3,652,2,66),(25,6403816,'1',3,502,2,51),(25,6403867,'1',3,404,1,13),(25,6403891,'1',3,3,1,22),(25,6404243,'1',2,601,1,27),(25,6404324,'1',3,318,2,49),(25,6404367,'1',3,551,1,56),(25,6404413,'1',3,320,2,8),(25,6404693,'1',3,304,2,40),(25,6404774,'1A',3,427,1,18),(25,6404790,'1',3,304,1,23),(25,6404871,'1',3,103,2,58),(25,6405312,'1',1,238,1,5),(25,6405347,'1',3,223,1,26),(25,6405452,'1',2,551,2,35),(25,6405479,'1',3,109,2,36),(25,6405711,'1',3,404,2,41),(25,6405762,'1',3,551,1,20),(25,6405827,'1',3,331,1,27),(25,6405851,'1',3,444,1,12),(25,6405878,'1',3,108,2,39),(25,6406068,'1',3,2,1,13),(25,6406173,'1',3,551,1,77),(25,6406181,'1',3,320,2,16),(25,6406351,'1',3,551,1,73),(25,6406378,'1',2,5,2,17),(25,6406394,'1',3,309,2,54),(25,6406513,'1',3,213,2,25),(25,6406572,'1A',3,423,1,5),(25,6406599,'1',3,428,1,14),(25,6406602,'1',2,223,1,4),(25,6406645,'1',3,426,2,2),(25,6406785,'1',3,234,1,8),(25,6406882,'1',2,223,1,7),(25,6407226,'1',3,338,1,18),(25,6407285,'1',2,102,1,13),(25,6407340,'1',3,109,1,13),(25,6407528,'1',1,551,1,2),(25,6407544,'1',3,3,2,60),(25,6407706,'1',2,601,2,80),(25,6407722,'1',3,302,2,53),(25,6407730,'1',3,333,1,3),(25,6407919,'1',2,420,2,5),(25,6408060,'1A',3,424,1,5),(25,6408095,'1',3,102,1,42),(25,6408125,'1',3,102,1,23),(25,6408230,'1',3,335,2,26),(25,6408257,'1',3,503,1,22),(25,6408494,'1',1,103,1,3),(25,6408559,'1',3,502,2,31),(25,6408648,'1A',2,652,2,17),(25,6408800,'1',3,329,1,5),(25,6408885,'1',2,2,1,3),(25,6408915,'1',3,423,1,3),(25,6409008,'1',3,551,2,128),(25,6409040,'1',3,428,1,12),(25,6409075,'1',2,324,2,13),(25,6409130,'1',2,316,1,7),(25,6409164,'1',3,102,2,77),(25,6409237,'1',1,444,2,5),(25,6409342,'1A',3,429,2,23),(25,6409350,'1',3,203,1,29),(25,6409407,'1',3,101,1,24),(25,6409580,'1',3,501,2,80),(25,6409725,'1',3,653,2,48),(25,6409890,'1A',2,211,2,12),(25,6409920,'1A',3,238,2,43),(25,6410073,'1',3,601,2,250),(25,6410197,'1',2,308,1,10),(25,6410286,'1',3,234,1,2),(25,6410456,'1',3,308,2,38),(25,6410588,'1',3,234,2,41),(25,6410707,'1',3,551,1,24),(25,6410731,'1',3,234,1,18),(25,6410782,'1',3,308,2,42),(25,6410855,'1',3,339,2,29),(25,6410928,'1',3,2,1,5),(25,6411037,'1',3,310,1,16),(25,6411045,'1',2,104,2,18),(25,6411061,'1',2,601,2,70),(25,6411088,'1',1,201,1,6),(25,6411215,'1',2,308,1,6),(25,6411487,'1',3,424,1,11),(25,6411509,'1',3,103,1,15),(25,6411592,'1',2,223,1,11),(25,6411657,'1',3,316,1,5),(25,6411665,'1',3,303,1,10),(25,6411681,'1',3,109,1,26),(25,6411762,'1',3,331,1,5),(25,6411878,'1',2,308,2,19),(25,6411916,'1A',3,601,2,241),(25,6412106,'1',3,415,1,5),(25,6412130,'1',3,335,1,13),(25,6412165,'1',3,501,2,62),(25,6412505,'1',3,324,2,39),(25,6412661,'1A',3,601,1,124),(25,6412688,'1',3,427,1,25),(25,6412696,'1',2,320,2,6),(25,6412769,'1A',3,427,1,20),(25,6412998,'1',3,502,1,11),(25,6413188,'1',3,2,1,23),(25,6413200,'1',2,337,1,1),(25,6413323,'1',3,324,1,3),(25,6413340,'1',3,309,1,8),(25,6413846,'1',1,234,1,3),(25,6413943,'1',2,327,2,9),(25,6414346,'1',1,332,2,3),(25,6414508,'1',3,302,1,7),(25,6414559,'1',3,332,2,16),(25,6414591,'1A',3,653,2,41),(25,6414648,'1',3,652,1,32),(25,6414915,'1A',3,208,2,72),(25,6415075,'1',3,102,2,89),(25,6415130,'1',3,318,1,21),(25,6415172,'1',1,220,1,1),(25,6415296,'1',3,104,1,35),(25,6415539,'1',3,329,1,25),(25,6415601,'1',3,225,1,2),(25,6415610,'1',3,335,2,25),(25,6415652,'1',3,309,2,45),(25,6415750,'1',3,551,1,61),(25,6415822,'1',3,5,2,55),(25,6415954,'1',3,551,1,34),(25,6416268,'1',3,317,2,52),(25,6416780,'1',3,340,1,12),(25,6417183,'1',3,404,1,17),(25,6417493,'1',3,426,2,13),(25,6418007,'1',3,327,2,13),(25,6418015,'1',2,324,1,4),(25,6418333,'1',2,310,1,5),(25,6418538,'1A',3,601,1,104),(25,6418597,'1',3,318,1,22),(25,6418686,'1',3,404,2,36),(25,6418848,'1A',2,653,1,5),(25,6418945,'1',2,109,1,8),(25,6419160,'1',3,653,2,53),(25,6419283,'1',3,308,2,67),(25,6420192,'1',2,308,2,13),(25,6420346,'1',1,211,1,2),(25,6420435,'1',1,104,2,8),(25,6420885,'1',3,235,1,9),(25,6420966,'1',1,316,1,5),(25,6421008,'1',3,110,2,37),(25,6421083,'1',1,420,1,1),(25,6421369,'1',3,404,2,26),(25,6421458,'1',3,421,1,8),(25,6421482,'1',3,102,2,90),(25,6421873,'1',2,234,1,8),(25,6422187,'1',3,220,2,39),(25,6422438,'1',3,205,1,10),(25,6422462,'1',2,320,2,8),(25,6422861,'1',3,428,2,30),(25,6423027,'1',2,324,1,7),(25,6423051,'1',2,202,2,20),(25,6423124,'1A',1,214,1,2),(25,6423230,'1',3,207,2,41),(25,6423272,'1',3,331,1,29),(25,6423310,'1',3,301,2,70),(25,6423434,'1',3,214,2,24),(25,6423493,'1A',3,601,1,33),(25,6423787,'1A',3,208,2,51),(25,6423825,'1',3,426,2,22),(25,6423957,'1',3,652,2,70),(25,6424147,'1',3,655,2,35),(25,6424171,'1',2,654,1,6),(25,6424201,'1',3,104,2,64),(25,6424376,'1',3,328,1,6),(25,6424414,'1',3,110,2,54),(25,6424635,'1',2,327,2,7),(25,6424813,'1',3,424,1,22),(25,6425020,'1',3,224,2,24),(25,6425070,'1',2,110,1,3),(25,6425097,'1',3,404,2,37),(25,6425127,'1',3,102,1,4),(25,6425321,'1',3,327,2,29),(25,6425348,'1',3,551,2,89),(25,6425402,'1',2,654,2,10),(25,6425453,'1',1,317,2,8),(25,6425461,'1',3,316,2,51),(25,6425470,'1',2,601,2,79),(25,6425542,'1',3,104,1,28),(25,6425810,'1',3,328,1,9),(25,6425984,'1',1,303,1,2),(25,6426212,'1A',3,424,1,27),(25,6426301,'1',3,551,1,54),(25,6426468,'1',3,502,2,30),(25,6426492,'1',3,102,1,35),(28,7000146,'1',3,208,1,35),(28,7000162,'1',2,302,2,13),(28,7000189,'1',3,501,1,40),(28,7000200,'1A',3,652,1,14),(28,7000219,'1',3,317,1,12),(28,7000243,'1',3,450,1,19),(28,7000278,'1',3,338,1,21),(28,7000286,'1',3,309,2,59),(28,7000294,'1',3,103,1,7),(28,7000316,'1',3,340,2,50),(28,7000324,'1',1,201,2,10),(28,7000413,'1',3,213,1,13),(28,7000448,'1',3,503,1,13),(28,7000472,'1',1,104,1,3),(28,7000510,'1',3,450,1,14),(28,7000642,'1A',3,601,1,120),(28,7000812,'1',3,501,2,83),(28,7000820,'1',3,102,1,37),(28,7000871,'1',1,103,1,2),(28,7000995,'1',3,424,1,5),(28,7001088,'1',3,207,2,36),(28,7001118,'1A',3,238,1,33),(28,7001177,'1',3,211,2,45),(28,7001266,'1',3,104,1,12),(28,7001347,'1',3,319,2,53),(28,7001355,'1',3,238,2,64),(28,7001444,'1',3,318,1,14),(28,7001452,'1A',2,652,2,13),(28,7001509,'1',3,331,1,11),(28,7001533,'1',3,103,2,45),(28,7001630,'1A',3,202,2,67),(28,7001649,'1',2,601,2,71),(28,7001673,'1A',3,421,1,18),(28,7001681,'1',3,304,1,34),(28,7001770,'1',3,336,1,8),(28,7001797,'1',3,104,2,68),(28,7001878,'1',3,501,2,53),(28,7001916,'1',3,235,2,40),(28,7001924,'1',2,216,1,4),(28,7001983,'1',3,444,2,24),(28,7001991,'1',3,5,2,45),(28,7002009,'1',3,224,2,1),(28,7002025,'1',3,320,2,11),(28,7002076,'1',3,319,2,43),(28,7002084,'1',1,102,1,2),(28,7002165,'1',3,424,1,30),(28,7002190,'1',3,318,1,33),(28,7002220,'1',3,502,1,16),(28,7002246,'1',3,101,2,37),(28,7002262,'1',2,601,2,49),(28,7002351,'1A',2,652,2,14),(28,7002408,'1',2,601,2,57),(28,7002467,'1',3,601,1,106),(28,7002491,'1A',2,202,2,18),(28,7002556,'1',3,450,1,8),(28,7002696,'1',2,454,2,22),(28,7002807,'1',3,427,1,5),(28,7002823,'1',3,601,1,103),(28,7002920,'1',3,203,2,55),(28,7003056,'1',3,103,2,51),(28,7003196,'1',3,103,1,30),(28,7003200,'1',2,211,2,11),(28,7003234,'1',3,103,1,23),(28,7003269,'1',3,224,2,5),(28,7003331,'1',3,109,2,35),(28,7003366,'1',3,339,1,14),(28,7003501,'1',3,5,1,27),(28,7003544,'1',3,440,1,6),(28,7003587,'1',3,324,1,9),(28,7003617,'1',3,102,2,50),(28,7003668,'1',3,102,2,76),(28,7003676,'1',3,207,1,6),(28,7003730,'1',1,340,1,2),(28,7003790,'1',3,216,1,10),(28,7003811,'1',1,601,1,1),(28,7003943,'1',3,103,1,11),(28,7003978,'1',3,340,2,39),(28,7003986,'1',3,102,2,51),(28,7004010,'1',2,301,1,2),(28,7004141,'1',3,338,1,11),(28,7004176,'1',3,338,1,6),(28,7004222,'1',3,601,1,116),(28,7004273,'1',3,332,2,3),(28,7004290,'1',1,319,2,6),(28,7004320,'1',3,3,1,17),(28,7004435,'1',3,110,2,37),(28,7004451,'1',3,230,1,5),(28,7004478,'1',3,552,2,6),(28,7004583,'1',3,5,1,16),(28,7004591,'1',3,318,1,30),(28,7004656,'1',3,233,2,55),(28,7004796,'1',3,3,2,73),(28,7005121,'1',2,202,1,1),(28,7005130,'1',3,331,1,23),(28,7005415,'1',3,601,1,89),(28,7005423,'1',2,222,1,5),(28,7005431,'1',3,109,2,56),(28,7005512,'1A',2,652,1,5),(28,7005601,'1',2,601,1,28),(28,7005628,'1',3,102,1,34),(28,7005857,'1',2,340,2,13),(28,7005911,'1',3,303,2,43),(28,7005920,'1',3,454,1,17),(28,7005938,'1',1,9,1,5),(28,7006039,'1',3,223,1,46),(28,7006209,'1',3,340,1,4),(28,7006250,'1',3,319,1,6),(28,7006365,'1',3,551,1,30),(28,7006411,'1',3,215,1,4),(28,7006586,'1',3,601,1,77),(28,7006624,'1',3,502,1,29),(28,7006640,'1',3,552,2,15),(28,7006667,'1A',3,211,1,17),(28,7006705,'1',3,208,1,13),(28,7006730,'1',3,202,1,6),(28,7006900,'1',3,502,2,55),(28,7007000,'1',2,207,1,2),(28,7007175,'1',3,503,1,17),(28,7007230,'1',3,502,1,13),(28,7007370,'1',3,502,2,35),(28,7007469,'1',3,224,2,2),(28,7007620,'1',3,230,1,9),(28,7007655,'1',3,234,2,66),(28,7007698,'1',1,202,1,1),(28,7007701,'1',3,454,2,75),(28,7007728,'1',3,201,1,31),(28,7007760,'1A',3,601,1,62),(28,7007779,'1',3,108,1,19),(28,7007787,'1',3,202,1,5),(28,7007906,'1A',2,215,1,2),(28,7008040,'1',3,308,2,93),(28,7008058,'1',3,320,2,18),(28,7008090,'1A',3,238,2,37),(28,7008104,'1',3,320,2,39),(28,7008260,'1',3,9,1,24),(28,7008279,'1',3,421,1,12),(28,7008287,'1',3,220,1,3),(28,7008511,'1',3,601,2,157),(28,7008694,'1',3,5,1,20),(28,7008724,'1',3,319,1,27),(28,7008732,'1A',3,202,1,23),(28,7008864,'1',3,501,2,52),(28,7008970,'1',3,333,1,19),(28,7009070,'1',3,201,1,7),(28,7009208,'1',2,103,1,6),(28,7009216,'1',3,328,1,19),(28,7009232,'1',3,104,1,30),(28,7009291,'1',3,104,1,3),(28,7009380,'1',3,223,1,45),(28,7009402,'1',3,223,1,41),(28,7009445,'1',2,103,1,5),(28,7009453,'1A',3,201,2,44),(28,7009500,'1A',3,601,2,290),(28,7009631,'1A',3,655,2,41),(28,7009640,'1',3,333,1,10),(28,7009682,'1A',3,601,1,68),(28,7009712,'1',3,5,1,25),(28,7010079,'1',3,428,2,46),(28,7010095,'1',3,108,1,14),(28,7010133,'1',1,303,1,2),(28,7010265,'1',3,503,1,19),(28,7010303,'1',3,302,2,45),(28,7010311,'1',3,238,1,15),(28,7010338,'1',3,319,2,45),(28,7010486,'1',3,338,1,19),(28,7010559,'1A',3,601,2,262),(28,7010648,'1',2,235,2,8),(28,7010680,'1',2,203,1,9),(28,7010958,'1A',3,601,1,28),(28,7010990,'1',3,333,1,12),(28,7011024,'1',3,428,1,20),(28,7011083,'1',3,3,2,66),(28,7011300,'1',3,213,2,19),(28,7011393,'1',3,207,2,46),(28,7011571,'1A',3,211,2,32),(28,7011610,'1',3,332,2,2),(28,7011636,'1',3,444,1,11),(28,7011660,'1',3,207,1,26),(28,7011695,'1',3,108,2,43),(28,7011709,'1',2,207,1,7),(28,7011784,'1',3,102,2,75),(28,7011830,'1',3,202,1,25),(28,7011903,'1',3,428,1,37),(28,7011920,'1',3,203,1,36),(28,7012039,'1',3,327,2,15),(28,7012047,'1A',3,202,1,28),(28,7012063,'1',3,424,1,28),(28,7012110,'1',3,5,2,34),(28,7012128,'1',3,501,2,71),(28,7012241,'1',3,2,1,27),(28,7012292,'1',3,424,1,3),(28,7012330,'1',3,225,1,39),(28,7012357,'1',2,340,2,16),(28,7012373,'1',3,103,1,16),(28,7012390,'1',3,108,1,8),(28,7012420,'1',2,320,2,5),(28,7012438,'1',3,454,2,80),(28,7012535,'1',3,203,1,30),(28,7012594,'1',3,318,1,17),(28,7012667,'1A',3,601,2,220),(28,7012691,'1',3,211,1,11),(28,7012721,'1',3,318,1,3),(28,7012861,'1',3,301,2,56),(28,7012900,'1',3,601,2,189),(28,7012934,'1A',2,601,2,42),(28,7012950,'1',3,454,2,55),(28,7013000,'1',3,110,2,31),(28,7013043,'1',3,308,1,12),(28,7013205,'1',3,423,1,15),(28,7013272,'1',3,222,1,5),(28,7013361,'1',1,303,2,7),(28,7013442,'1',1,319,1,4),(28,7013574,'1',3,102,2,61),(28,7013590,'1',3,335,1,10),(28,7013728,'1',3,454,2,59),(28,7013841,'1',3,601,1,79),(28,7013884,'1',3,340,2,51),(28,7013930,'1',2,340,2,11),(28,7013957,'1',3,601,2,251),(28,7013981,'1A',3,233,2,35),(28,7014066,'1',3,333,1,14),(28,7014074,'1',2,601,1,16),(28,7014120,'1A',3,601,1,23),(28,7014201,'1',3,551,1,45),(28,7014295,'1',2,601,1,14),(28,7014309,'1',3,102,1,48),(28,7014449,'1',3,220,1,13),(28,7014465,'1',3,102,2,100),(28,7014511,'1',3,601,1,95),(28,7014562,'1',3,207,1,13),(28,7014627,'1',2,425,1,6),(28,7014759,'1',3,110,2,42),(28,7014791,'1',3,318,1,34),(28,7014821,'1',3,319,1,24),(28,7014848,'1',3,425,1,11),(28,7014872,'1',3,503,2,36),(28,7014880,'1',3,207,2,51),(28,7014996,'1',3,502,1,10),(28,7015011,'1',3,304,1,14),(28,7015046,'1',2,552,2,6),(28,7015100,'1',3,108,1,22),(28,7015186,'1',3,2,1,15),(28,7015208,'1',3,340,2,48),(28,7015313,'1',3,2,1,7),(28,7015348,'1',3,310,1,2),(28,7015402,'1',3,103,1,12),(28,7015488,'1',3,202,2,39),(28,7015534,'1',3,108,2,31),(28,7015542,'1',3,301,1,6),(28,7015623,'1',3,108,2,34),(28,7015674,'1',3,454,2,76),(28,7015720,'1',3,502,2,51),(28,7015780,'1',3,428,1,10),(28,7015810,'1',3,654,2,29),(28,7015895,'1',3,501,2,45),(28,7015992,'1',3,317,2,54),(28,7016050,'1',3,223,1,12),(28,7016093,'1',2,9,1,2),(28,7016107,'1A',2,202,2,15),(28,7016182,'1',3,104,2,69),(28,7016239,'1',3,304,1,9),(28,7016344,'1',3,301,2,41),(28,7016379,'1',3,109,1,1),(28,7016425,'1',3,503,1,15),(28,7016522,'1',1,203,1,1),(28,7016530,'1',3,104,2,55),(28,7016557,'1',2,103,1,3),(28,7016719,'1',3,310,1,23),(28,7016948,'1',3,5,2,40),(28,7016972,'1',3,103,1,29),(28,7016999,'1',3,340,1,21),(28,7017057,'1',3,303,2,40),(28,7017073,'1A',3,421,1,16),(28,7017081,'1',3,9,1,4),(28,7017138,'1A',3,601,1,100),(28,7017154,'1A',3,601,1,54),(28,7017197,'1',3,213,2,29),(28,7017251,'1',3,340,2,32),(28,7017286,'1',3,654,1,11),(28,7017405,'1',3,103,2,61),(28,7017472,'1',2,213,1,1),(28,7017499,'1',3,319,1,25),(28,7017669,'1',3,109,2,42),(28,7017677,'1A',3,601,1,56),(28,7017685,'1',3,318,2,37),(28,7017715,'1',2,601,2,54),(28,7017758,'1',1,444,1,1),(28,7017804,'1',3,317,1,9),(28,7017863,'1',3,318,1,11),(28,7017898,'1',3,331,1,19),(28,7017979,'1',3,501,1,16),(28,7017995,'1A',3,211,2,47),(28,7018037,'1',3,319,2,49),(28,7018096,'1',2,652,1,9),(28,7018118,'1',3,201,2,71),(28,7018290,'1',3,326,1,12),(28,7018304,'1',1,216,1,2),(28,7018509,'1',3,454,2,78),(28,7018592,'1',2,301,1,5),(28,7018614,'1',2,415,2,12),(28,7018673,'1A',3,202,1,35),(28,7018738,'1',3,213,2,30),(28,7018789,'1',1,102,1,4),(28,7018800,'1A',3,211,2,50),(28,7018835,'1',3,110,2,56),(28,7018932,'1',3,103,1,21),(28,7019025,'1',1,102,1,1),(28,7019106,'1',3,319,2,36),(28,7019327,'1',3,234,1,2),(28,7019440,'1',3,552,2,11),(28,7019491,'1',2,601,1,15),(28,7019513,'1A',3,655,1,22),(28,7019521,'1',3,601,1,149),(28,7019807,'1',3,216,1,13),(28,7019831,'1',3,201,1,2),(28,7020040,'1',3,301,2,58),(28,7020058,'1',3,337,1,8),(28,7020082,'1',3,110,1,21),(28,7020090,'1A',3,235,1,1),(28,7020112,'1',3,235,2,33),(28,7020171,'1A',3,601,1,60),(28,7020198,'1',3,207,1,28),(28,7020210,'1',1,215,1,1),(28,7020287,'1',3,444,1,4),(28,7020350,'1',3,216,2,30),(28,7020627,'1',3,415,1,4),(28,7020759,'1',3,552,2,32),(28,7020791,'1',3,319,2,48),(28,7020848,'1',3,320,2,2),(28,7020902,'1',2,208,2,12),(28,7020929,'1',3,415,1,17),(28,7021062,'1',3,308,2,77),(28,7021089,'1',2,103,2,15),(28,7021143,'1',3,336,1,22),(28,7021399,'1A',1,212,1,2),(28,7021593,'1',3,601,2,173),(28,7021615,'1',3,303,1,5),(28,7021640,'1',3,208,1,17),(28,7021704,'1',3,208,2,43),(28,7021720,'1',3,235,2,38),(28,7021755,'1',3,201,1,11),(28,7021844,'1',3,108,1,1),(28,7021879,'1A',3,601,1,91),(28,7021984,'1A',2,202,1,6),(28,7022000,'1',3,102,2,59),(28,7022115,'1',3,320,2,3),(28,7022174,'1',3,601,1,72),(28,7022280,'1',3,319,2,62),(28,7022336,'1',3,103,1,27),(28,7022409,'1',3,309,2,58),(28,7022425,'1',3,340,1,7),(28,7022549,'1',3,225,1,12),(28,7022638,'1',3,310,1,24),(28,7022700,'1',2,201,2,19),(28,7022794,'1',3,104,1,1),(28,7022816,'1',3,502,2,60),(28,7022875,'1',3,303,2,62),(28,7022883,'1',3,338,1,23),(28,7022891,'1',3,203,1,12),(28,7022921,'1',3,326,1,8),(28,7022956,'1',3,502,2,53),(28,7022972,'1',3,337,1,2),(28,7022980,'1',3,415,1,14),(28,7023014,'1',3,317,1,11),(28,7023030,'1A',3,207,2,31),(28,7023065,'1',3,423,1,23),(28,7023219,'1',3,303,1,9),(28,7023260,'1',3,5,1,17),(28,7023405,'1',2,203,1,5),(28,7023430,'1',3,302,2,63),(28,7023588,'1',3,319,2,57),(28,7023596,'1',3,103,1,19),(28,7023600,'1A',3,211,1,26),(28,7023634,'1',1,238,2,8),(28,7023766,'1',3,215,2,27),(28,7023820,'1',3,101,1,23),(28,7023839,'1',2,601,1,24),(28,7023847,'1',3,424,1,17),(28,7023855,'1A',3,601,2,211),(28,7023936,'1',3,454,2,57),(28,7023979,'1',3,9,1,19),(28,7024045,'1',2,303,1,2),(28,7024070,'1',3,327,2,2),(28,7024207,'1',3,303,2,42),(28,7024258,'1A',3,652,1,27),(28,7024347,'1',3,415,2,28),(28,7024517,'1',3,301,1,15),(28,7024525,'1',3,233,2,31),(28,7024592,'1',3,317,2,56),(28,7024614,'1',3,404,2,29),(28,7024762,'1',3,203,2,61),(28,7024789,'1',3,233,1,11),(28,7024800,'1',3,655,1,18),(28,7024894,'1A',3,211,2,55),(28,7024908,'1',3,5,2,49),(28,7024924,'1A',3,652,1,21),(28,7024959,'1',3,303,1,11),(28,7025025,'1A',3,652,1,1),(28,7025068,'1',3,310,1,8),(28,7025173,'1',3,212,2,25),(28,7025297,'1',3,302,2,46),(28,7025327,'1',2,415,2,8),(28,7025335,'1',3,102,2,94),(28,7025416,'1',3,104,1,9),(28,7025459,'1',3,108,1,11),(28,7025483,'1',3,207,2,39),(28,7025521,'1',3,415,2,26),(28,7025629,'1A',3,601,1,139),(28,7025637,'1',3,317,2,32),(28,7025742,'1',3,301,1,8),(28,7025769,'1',3,303,2,52),(28,7025858,'1',3,601,2,288),(28,7025866,'1',3,108,2,38),(28,7025971,'1',3,302,1,33),(28,7025980,'1',3,335,1,7),(28,7026005,'1A',3,423,1,16),(28,7026056,'1',2,331,1,5),(28,7026064,'1',3,309,1,14),(28,7026102,'1',3,220,1,9),(28,7026218,'1',3,201,1,27),(28,7026307,'1',2,326,1,3),(28,7026374,'1',3,216,1,8),(28,7026412,'1',2,601,1,6),(28,7026447,'1',3,331,1,2),(28,7026501,'1',3,110,1,19),(28,7026536,'1',3,103,2,54),(28,7026625,'1',3,2,1,9),(28,7026749,'1',3,552,2,14),(28,7026757,'1',3,333,1,2),(28,7026854,'1',3,415,1,1),(28,7027044,'1A',3,652,1,36),(28,7027060,'1',3,502,2,56),(28,7027206,'1',3,317,2,57),(28,7027214,'1',3,3,1,32),(28,7027273,'1',3,303,2,37),(28,7027397,'1A',3,652,2,63),(28,7027516,'1',3,104,1,10),(28,7027532,'1',3,454,1,8),(28,7027567,'1',2,318,1,1),(28,7027583,'1',3,655,1,1),(28,7027699,'1',3,234,1,15),(28,7027729,'1',3,502,1,27),(28,7027753,'1',3,318,2,59),(28,7027800,'1',3,110,1,13),(28,7027818,'1',3,340,2,52),(28,7027834,'1A',3,213,1,15),(28,7027842,'1',3,203,2,63),(28,7027974,'1',3,415,1,18),(28,7027982,'1',3,208,1,20),(28,7028202,'1',3,319,1,21),(28,7028229,'1',3,340,1,12),(28,7028300,'1',3,324,1,20),(28,7028350,'1',3,333,1,17),(28,7028458,'1',3,654,1,12),(28,7028482,'1',3,103,1,17),(28,7028490,'1',3,207,2,33),(28,7028571,'1',3,309,1,37),(28,7028601,'1A',2,215,1,5),(28,7028610,'1',3,109,2,41),(28,7028679,'1',3,203,1,6),(28,7028709,'1',3,203,1,9),(28,7028814,'1',3,207,2,47),(28,7028865,'1',3,601,2,301),(28,7028903,'1A',3,202,1,15),(28,7028911,'1',3,327,2,23),(28,7028970,'1',2,652,2,15),(28,7029047,'1A',2,233,2,12),(28,7029080,'1',3,201,2,40),(28,7029209,'1',3,427,1,11),(28,7029217,'1A',3,652,2,45),(28,7029276,'1',1,203,2,7),(28,7029349,'1',3,440,1,16),(28,7029357,'1',3,333,1,15),(28,7029420,'1',3,220,2,33),(28,7029470,'1',3,454,1,23),(28,7029500,'1',3,304,2,60),(28,7029527,'1',3,404,2,41),(28,7029535,'1',3,109,1,3),(28,7029586,'1',2,425,1,5),(28,7029608,'1',3,201,1,26),(28,7029632,'1',3,337,1,13),(28,7029705,'1',3,316,1,10),(28,7029810,'1',2,601,1,3),(28,7029853,'1',2,501,1,11),(28,7030070,'1',3,220,2,54),(28,7030240,'1',3,501,1,4),(28,7030380,'1',3,103,1,3),(28,7030401,'1',3,426,2,1),(28,7030436,'1',3,202,1,18),(28,7030487,'1',3,444,1,3),(28,7030509,'1A',3,601,1,29),(28,7030533,'1',3,421,1,3),(28,7030630,'1A',3,238,1,13),(28,7030657,'1',3,201,1,18),(28,7030746,'1',3,211,1,3),(28,7030754,'1A',2,601,1,1),(28,7030800,'1',3,301,1,23),(28,7030940,'1',3,234,2,54),(28,7031076,'1',3,223,1,1),(28,7031092,'1A',3,655,1,8),(28,7031106,'1',3,319,1,10),(28,7031211,'1',3,220,1,10),(28,7031262,'1',3,2,1,22),(28,7031289,'1',3,653,1,28),(28,7031297,'1',3,203,1,3),(28,7031386,'1',3,220,1,6),(28,7031416,'1',3,303,1,30),(28,7031467,'1',3,501,2,85),(28,7031564,'1',3,601,1,143),(28,7031580,'1A',3,211,1,14),(28,7031637,'1',1,208,1,2),(28,7031661,'1',3,454,2,49),(28,7031670,'1',3,653,1,27),(28,7031718,'1',2,102,2,19),(28,7031742,'1',3,214,1,2),(28,7031831,'1',3,109,1,5),(28,7031840,'1',3,203,2,54),(28,7031890,'1A',3,601,1,142),(28,7031963,'1',3,215,2,39),(28,7031971,'1A',3,212,1,11),(28,7032056,'1',3,326,1,11),(28,7032102,'1',3,238,1,3),(28,7032242,'1',3,308,2,78),(28,7032269,'1',3,340,1,25),(28,7032277,'1',3,501,2,72),(28,7032285,'1',3,317,1,25),(28,7032315,'1',3,552,2,1),(28,7032382,'1',3,109,1,13),(28,7032412,'1',3,207,1,27),(28,7032420,'1',3,103,2,64),(28,7032501,'1',3,109,2,39),(28,7032544,'1',3,5,1,13),(28,7032587,'1A',3,601,1,146),(28,7032633,'1',3,308,1,2),(28,7032706,'1',3,207,1,21),(28,7032730,'1',3,301,1,22),(28,7032790,'1',3,207,2,55),(28,7032820,'1',3,202,2,48),(28,7032897,'1',3,301,2,45),(28,7032943,'1',3,303,2,38),(28,7033052,'1',3,333,1,11),(28,7033087,'1',3,454,2,70),(28,7033095,'1',3,454,2,60),(28,7033257,'1',3,216,2,22),(28,7033354,'1',2,450,1,4),(28,7033400,'1',3,201,2,65),(28,7033451,'1',3,203,1,17),(28,7033478,'1',3,441,1,3),(28,7033516,'1',2,304,2,18),(28,7033575,'1',3,337,1,19),(28,7033656,'1',1,208,1,5),(28,7033680,'1',3,103,1,35),(28,7033710,'1',3,5,1,11),(28,7033770,'1',3,104,1,14),(28,7033796,'1',3,454,2,53),(28,7033869,'1',3,201,1,20),(28,7033877,'1',3,316,2,57),(28,7034105,'1',3,415,1,16),(28,7034210,'1',3,337,1,17),(28,7034342,'1',3,304,1,32),(28,7034350,'1',3,303,1,24),(28,7034407,'1',3,234,2,50),(28,7034490,'1',2,653,1,7),(28,7034504,'1',3,101,1,19),(28,7034563,'1A',3,235,1,16),(28,7034571,'1',3,319,1,2),(28,7034610,'1A',2,601,2,58),(28,7034652,'1',3,238,1,1),(28,7034660,'1',3,203,1,13),(28,7034725,'1',2,326,1,5),(28,7034776,'1',3,317,2,43),(28,7034814,'1A',3,601,2,203),(28,7034865,'1',2,102,1,3),(28,7034881,'1',1,301,1,3),(28,7034890,'1',3,601,1,150),(28,7034954,'1',3,220,2,50),(28,7035004,'1',3,502,2,54),(28,7035063,'1',3,551,1,61),(28,7035128,'1',3,454,1,25),(28,7035179,'1',3,3,2,49),(28,7035225,'1',1,103,2,7),(28,7035365,'1',3,2,1,35),(28,7035403,'1',1,304,1,1),(28,7035497,'1',2,103,1,8),(28,7035535,'1A',3,215,1,17),(28,7035551,'1',3,340,1,18),(28,7035748,'1A',3,211,2,64),(28,7035837,'1',3,454,2,51),(28,7035845,'1',3,454,1,36),(28,7036108,'1',3,103,2,62),(28,7036175,'1',3,109,2,57),(28,7036221,'1',3,331,1,7),(28,7036230,'1',3,654,1,1),(28,7036256,'1',3,501,1,6),(28,7036345,'1',3,601,2,176),(28,7036361,'1',3,454,1,28),(28,7036450,'1A',3,601,1,14),(28,7036582,'1',3,238,2,36),(28,7036590,'1',3,319,1,22),(28,7036620,'1',3,2,1,34),(28,7036701,'1',3,5,1,6),(28,7036728,'1A',3,652,1,22),(28,7036841,'1',3,108,1,27),(28,7036868,'1A',3,233,2,43),(28,7036914,'1',3,201,2,55),(28,7036949,'1',3,653,1,26),(28,7037007,'1',3,308,1,32),(28,7037210,'1',3,318,2,45),(28,7037376,'1',3,214,1,9),(28,7037392,'1',3,3,2,39),(28,7037422,'1',2,316,2,19),(28,7037473,'1A',2,214,1,4),(28,7037503,'1',2,450,1,2),(28,7037520,'1',1,103,2,9),(28,7037570,'1',2,327,2,7),(28,7037660,'1',3,336,1,6),(28,7037678,'1',2,108,2,10),(28,7037686,'1',1,103,2,8),(28,7037937,'1',3,104,2,58),(28,7037945,'1',3,450,1,6),(28,7037988,'1A',3,653,1,31),(28,7038038,'1',3,601,1,135),(28,7038054,'1',3,404,1,1),(28,7038178,'1',3,308,2,49),(28,7038194,'1',3,332,2,5),(28,7038267,'1',2,2,1,3),(28,7038275,'1',3,104,2,67),(28,7038305,'1',3,601,2,249),(28,7038402,'1',3,211,1,31),(28,7038429,'1',3,601,2,285),(28,7038640,'1',2,103,2,12),(28,7038860,'1A',3,211,2,58),(28,7038950,'1',3,207,2,29),(28,7038992,'1',3,601,2,237),(28,7039077,'1',3,102,1,24),(28,7039131,'1',3,502,2,34),(28,7039212,'1',2,303,2,14),(28,7039379,'1',3,332,2,8),(28,7039387,'1',3,316,1,25),(28,7039425,'1',3,335,1,9),(28,7039530,'1',3,309,1,30),(28,7039611,'1',3,335,1,4),(28,7039638,'1',3,316,2,65),(28,7039646,'1',3,238,1,23),(28,7039905,'1',3,103,1,14),(28,7040024,'1',2,303,1,9),(28,7040040,'1',3,308,2,64),(28,7040156,'1',3,5,2,60),(28,7040180,'1',2,5,2,16),(28,7040318,'1',2,110,2,16),(28,7040466,'1',3,317,2,47),(28,7040580,'1',3,110,2,43),(28,7040610,'1',1,201,1,2),(28,7040687,'1A',3,213,1,8),(28,7040768,'1',3,444,2,23),(28,7040784,'1',1,316,1,1),(28,7040920,'1',3,205,2,22),(28,7040954,'1',3,316,2,60),(28,7041055,'1',3,104,2,46),(28,7041136,'1',3,302,1,5),(28,7041225,'1',3,108,1,6),(28,7041454,'1',3,601,2,259),(28,7041560,'1',3,208,2,50),(28,7041578,'1',3,205,1,9),(28,7041640,'1',3,327,2,3),(28,7041659,'1',3,238,2,66),(28,7041772,'1A',2,203,2,21),(28,7041802,'1',3,235,1,11),(28,7041896,'1',3,110,2,45),(28,7042183,'1',3,451,1,18),(28,7042221,'1',2,318,2,17),(28,7042230,'1',3,110,2,48),(28,7042264,'1',3,234,1,1),(28,7042280,'1',3,551,1,17),(28,7042302,'1',3,211,1,7),(28,7042337,'1',2,454,1,6),(28,7042434,'1A',3,211,1,23),(28,7042477,'1',3,223,1,36),(28,7042493,'1',3,207,1,19),(28,7042540,'1',3,110,2,59),(28,7042604,'1',3,234,2,55),(28,7042752,'1',3,201,1,15),(28,7042825,'1',3,222,1,31),(28,7042841,'1',2,211,2,13),(28,7043058,'1',3,108,2,46),(28,7043147,'1',3,652,1,6),(28,7043236,'1A',3,424,1,32),(28,7043295,'1',3,108,2,29),(28,7043406,'1',3,223,1,33),(28,7043457,'1',3,317,1,7),(28,7043546,'1A',3,202,2,54),(28,7043570,'1',3,454,2,77),(28,7043589,'1',3,404,1,14),(28,7043597,'1',3,202,1,34),(28,7043643,'1',3,601,2,296),(28,7043651,'1',1,238,1,3),(28,7043708,'1',1,201,1,3),(28,7043767,'1',3,340,2,34),(28,7043783,'1',3,9,1,29),(28,7043791,'1',2,601,1,18),(28,7043996,'1',3,317,1,10),(28,7044062,'1',3,214,2,23),(28,7044119,'1',3,340,1,28),(28,7044135,'1A',3,427,1,14),(28,7044186,'1',3,454,2,52),(28,7044224,'1',3,601,2,205),(28,7044321,'1',2,327,2,3),(28,7044453,'1',3,220,2,41),(28,7044526,'1',3,110,2,34),(28,7044534,'1',2,203,2,16),(28,7044623,'1',3,214,2,17),(28,7044810,'1',3,551,1,39),(28,7044836,'1',3,316,1,7),(28,7044917,'1',3,5,1,24),(28,7044933,'1',3,653,2,42),(28,7044984,'1',3,230,1,12),(28,7045026,'1',3,317,2,59),(28,7045140,'1',3,426,2,29),(28,7045166,'1',2,454,2,14),(28,7045247,'1A',3,601,2,159),(28,7045280,'1',2,327,2,9),(28,7045310,'1',3,203,2,46),(28,7045336,'1A',3,653,2,51),(28,7045344,'1',3,425,1,17),(28,7045417,'1',3,303,2,57),(28,7045468,'1A',3,652,1,7),(28,7045565,'1',3,203,1,22),(28,7045590,'1',3,3,2,45),(28,7045662,'1',3,601,1,94),(28,7045727,'1',2,214,2,7),(28,7045999,'1A',2,601,1,23),(28,7046081,'1',3,316,2,45),(28,7046138,'1',3,301,2,51),(28,7046235,'1',2,454,2,20),(28,7046243,'1',3,207,2,49),(28,7046340,'1',3,601,2,223),(28,7046375,'1',3,214,2,16),(28,7046391,'1',3,5,1,3),(28,7046413,'1A',3,233,1,20),(28,7046499,'1',3,208,2,67),(28,7046502,'1',3,425,1,7),(28,7046570,'1',3,208,2,52),(28,7046715,'1',3,234,1,37),(28,7046782,'1',3,202,1,30),(28,7046928,'1',3,108,2,36),(28,7046952,'1',3,333,1,22),(28,7047002,'1',3,303,2,45),(28,7047029,'1',3,201,1,6),(28,7047045,'1',3,203,1,31),(28,7047118,'1A',3,652,1,34),(28,7047126,'1',2,5,2,11),(28,7047142,'1',3,225,1,22),(28,7047150,'1',3,5,1,21),(28,7047215,'1',3,103,2,44),(28,7047231,'1',3,302,2,62),(28,7047410,'1',3,102,1,11),(28,7047541,'1',3,220,2,32),(28,7047770,'1',3,601,1,101),(28,7047789,'1',3,332,2,35),(28,7047819,'1A',3,652,2,47),(28,7047886,'1',2,316,2,17),(28,7047967,'1',2,319,1,2),(28,7048025,'1',3,2,1,23),(28,7048084,'1',3,415,2,31),(28,7048203,'1',3,303,2,39),(28,7048220,'1',2,103,2,14),(28,7048289,'1',3,654,2,25),(28,7048297,'1',3,415,2,30),(28,7048335,'1',3,319,2,46),(28,7048424,'1',2,450,1,1),(28,7048491,'1',3,216,2,25),(28,7048530,'1A',3,601,1,37),(28,7048572,'1',3,320,2,31),(28,7048599,'1',3,208,1,30),(28,7048602,'1',3,319,2,52),(28,7048610,'1',1,109,1,2),(28,7048742,'1A',3,601,1,43),(28,7048769,'1',2,102,2,18),(28,7048785,'1',3,110,1,29),(28,7048947,'1',3,319,2,35),(28,7048963,'1',3,110,2,50),(28,7049064,'1',3,331,1,29),(28,7049099,'1',3,207,1,2),(28,7049129,'1',3,552,2,16),(28,7049153,'1',3,3,2,71),(28,7049161,'1',3,102,1,15),(28,7049188,'1',2,601,2,51),(28,7049200,'1',2,501,1,9),(28,7049242,'1',3,108,1,21),(28,7049250,'1',3,415,2,42),(28,7049315,'1',3,230,1,1),(28,7049552,'1',3,424,1,10),(28,7049560,'1A',3,601,1,49),(28,7049595,'1',3,223,1,24),(28,7049668,'1',1,238,1,1),(28,7049692,'1A',3,233,1,22),(28,7049714,'1',3,424,1,22),(28,7049854,'1',3,310,1,11),(28,7049862,'1',3,3,1,24),(28,7049870,'1',1,316,2,8),(28,7049919,'1',2,220,2,9),(28,7049951,'1A',3,212,2,17),(28,7049986,'1',3,103,1,10),(28,7050232,'1',3,211,2,36),(28,7050410,'1',3,223,1,20),(28,7050429,'1A',3,427,1,10),(28,7050526,'1',3,224,2,25),(28,7050577,'1',3,205,1,14),(28,7050593,'1A',3,652,2,54),(28,7050674,'1',3,203,2,60),(28,7050720,'1',3,104,2,38),(28,7050828,'1',3,104,1,29),(28,7050879,'1',3,207,1,12),(28,7050887,'1A',3,238,2,45),(28,7050917,'1A',3,233,2,41),(28,7051115,'1',3,318,1,31),(28,7051310,'1',3,110,1,3),(28,7051336,'1',3,203,1,33),(28,7051468,'1A',3,428,2,63),(28,7051557,'1',3,331,1,22),(28,7051581,'1',3,203,1,37),(28,7051590,'1',3,332,2,21),(28,7051727,'1',3,3,1,6),(28,7051735,'1',3,319,2,44),(28,7051972,'1',3,301,1,30),(28,7052103,'1A',3,601,2,227),(28,7052278,'1',3,319,1,26),(28,7052294,'1',3,319,2,55),(28,7052332,'1',3,450,1,7),(28,7052367,'1A',3,652,2,59),(28,7052448,'1',3,319,1,9),(28,7052480,'1',2,336,1,6),(28,7052618,'1',3,109,1,16),(28,7052731,'1A',3,238,2,61),(28,7052774,'1',3,501,1,29),(28,7052812,'1',1,339,1,2),(28,7052928,'1',2,101,1,1),(28,7052944,'1',3,238,1,21),(28,7052960,'1',2,110,1,1),(28,7053010,'1',3,5,1,2),(28,7053029,'1',3,338,1,8),(28,7053061,'1',3,301,1,2),(28,7053282,'1',3,205,1,13),(28,7053290,'1A',2,601,1,17),(28,7053380,'1A',3,601,1,137),(28,7053444,'1',3,601,2,299),(28,7053452,'1',3,319,2,61),(28,7053533,'1',3,102,1,23),(28,7053541,'1',3,454,2,83),(28,7053550,'1',3,339,1,18),(28,7053665,'1',2,333,1,1),(28,7053673,'1',3,326,1,2),(28,7053819,'1',3,211,1,19),(28,7053894,'1',3,454,1,14),(28,7053975,'1',3,203,1,26),(28,7054149,'1',3,214,1,11),(28,7054165,'1',2,208,1,8),(28,7054190,'1',1,104,1,2),(28,7054238,'1',3,215,1,1),(28,7054408,'1',3,216,1,16),(28,7054483,'1',2,319,1,6),(28,7054530,'1',3,429,2,19),(28,7054580,'1',3,308,2,88),(28,7054602,'1',3,318,2,70),(28,7054629,'1',3,337,1,4),(28,7054661,'1',3,319,1,20),(28,7054866,'1A',3,601,1,81),(28,7054912,'1',3,211,1,21),(28,7054955,'1A',3,202,1,14),(28,7055021,'1',3,223,1,4),(28,7055226,'1',3,302,2,55),(28,7055234,'1',3,215,2,31),(28,7055285,'1',3,601,2,257),(28,7055455,'1',3,318,2,49),(28,7055528,'1',1,238,2,6),(28,7055544,'1',3,203,1,32),(28,7055587,'1',3,301,1,34),(28,7055595,'1',3,201,2,70),(28,7055609,'1',3,601,2,267),(28,7055617,'1',3,503,1,7),(28,7055854,'1A',2,213,2,8),(28,7055897,'1A',2,655,2,12),(28,7055919,'1',2,454,1,12),(28,7055943,'1A',3,426,2,38),(28,7056109,'1A',3,220,2,43),(28,7056184,'1',2,340,1,8),(28,7056214,'1',3,108,1,9),(28,7056222,'1',3,454,1,12),(28,7056338,'1',3,201,2,72),(28,7056451,'1',3,601,1,7),(28,7056494,'1A',3,202,2,41),(28,7056761,'1',3,201,2,75),(28,7056800,'1',3,103,1,28),(28,7056818,'1',3,104,2,45),(28,7056842,'1',3,201,1,1),(28,7056907,'1',3,233,2,33),(28,7056915,'1',2,415,1,2),(28,7056931,'1',3,220,2,40),(28,7056974,'1A',3,213,2,22),(28,7057008,'1',2,102,2,25),(28,7057067,'1',3,302,1,12),(28,7057121,'1',3,233,2,28),(28,7057156,'1',3,319,1,19),(28,7057180,'1',2,340,1,3),(28,7057237,'1',3,318,1,29),(28,7057350,'1A',3,211,2,37),(28,7057458,'1',2,203,1,10),(28,7057482,'1',3,216,2,27),(28,7057547,'1',3,303,1,7),(28,7057563,'1',3,319,2,59),(28,7057601,'1A',3,428,2,65),(28,7057717,'1',3,552,2,19),(28,7057784,'1A',2,235,1,5),(28,7057806,'1',3,303,2,54),(28,7057814,'1A',3,601,1,50),(28,7057830,'1A',3,213,1,6),(28,7057970,'1',1,655,1,1),(28,7057989,'1',3,450,1,13),(28,7058020,'1',3,234,1,26),(28,7058055,'1A',3,601,1,38),(28,7058063,'1',2,5,1,3),(28,7058071,'1A',3,601,1,96),(28,7058098,'1',3,331,1,6),(28,7058250,'1',3,212,1,2),(28,7058322,'1',3,103,2,46),(28,7058330,'1',3,339,1,11),(28,7058403,'1',3,212,1,1),(28,7058438,'1',3,653,1,25),(28,7058454,'1',3,601,1,13),(28,7058470,'1',3,652,2,77),(28,7058489,'1',3,502,2,57),(28,7058500,'1',3,108,1,4),(28,7058748,'1A',3,214,2,20),(28,7058780,'1',3,207,1,22),(28,7058799,'1',2,104,1,7),(28,7058845,'1',2,316,2,12),(28,7058888,'1',3,5,2,62),(28,7058969,'1',1,103,2,10),(28,7058985,'1',3,320,2,41),(28,7059175,'1',3,653,2,44),(28,7059221,'1',3,203,1,8),(28,7059248,'1',3,501,1,33),(28,7059280,'1',3,203,1,7),(28,7059442,'1',3,102,2,64),(28,7059523,'1',2,601,1,27),(28,7059698,'1',2,301,2,17),(28,7059744,'1A',3,428,2,45),(28,7059841,'1',3,103,2,67),(28,7059850,'1',3,303,2,53),(28,7059914,'1',3,223,1,31),(28,7059965,'1',3,109,2,58),(28,7060076,'1',3,655,2,43),(28,7060386,'1',3,302,2,70),(28,7060521,'1',2,340,2,12),(28,7060530,'1',3,102,1,13),(28,7060564,'1',2,208,1,1),(28,7060599,'1A',3,202,1,26),(28,7060610,'1',3,302,2,69),(28,7060661,'1',2,451,1,4),(28,7060726,'1',2,103,2,13),(28,7060840,'1A',3,601,2,302),(28,7060912,'1',3,503,1,33),(28,7061013,'1',3,103,2,57),(28,7061200,'1',3,425,1,20),(28,7061226,'1',3,444,2,37),(28,7061242,'1',3,301,2,39),(28,7061307,'1',3,551,1,67),(28,7061323,'1',2,317,1,8),(28,7061374,'1',2,304,1,5),(28,7061412,'1',3,5,1,28),(28,7061463,'1',3,103,2,47),(28,7061471,'1',3,316,1,29),(28,7061579,'1',3,302,2,39),(28,7061668,'1',3,304,2,55),(28,7061676,'1',3,102,2,65),(28,7061811,'1',3,203,1,20),(28,7061846,'1',2,201,2,12),(28,7061943,'1',3,223,1,17),(28,7061994,'1',2,5,1,9),(28,7062001,'1',3,302,1,16),(28,7062087,'1',3,551,1,50),(28,7062095,'1',3,450,1,11),(28,7062117,'1',3,203,2,45),(28,7062150,'1',2,201,1,6),(28,7062338,'1',3,304,1,25),(28,7062346,'1',3,316,1,1),(28,7062354,'1',3,304,1,8),(28,7062362,'1',3,320,2,9),(28,7062494,'1',3,225,1,25),(28,7062516,'1',3,2,1,46),(28,7062575,'1',2,454,2,21),(28,7062591,'1',3,317,2,66),(28,7062605,'1',2,424,1,1),(28,7062656,'1A',3,601,2,187),(28,7063032,'1',3,225,1,8),(28,7063121,'1',3,444,1,1),(28,7063202,'1',3,233,1,9),(28,7063253,'1',3,440,1,8),(28,7063270,'1',3,601,2,306),(28,7063423,'1',3,224,2,36),(28,7063466,'1A',3,202,2,76),(28,7063725,'1A',3,601,2,235),(28,7063857,'1',3,308,1,34),(28,7063946,'1',3,404,2,26),(28,7064357,'1',3,101,1,14),(28,7064381,'1',3,103,2,43),(28,7064438,'1',3,421,1,5),(28,7064489,'1A',3,212,2,18),(28,7064527,'1',3,109,1,11),(28,7064551,'1A',3,601,2,197),(28,7064586,'1',3,328,1,5),(28,7064616,'1',2,319,1,8),(28,7064632,'1',3,103,1,32),(28,7064640,'1',1,444,1,2),(28,7064748,'1A',2,202,1,9),(28,7064756,'1',2,319,2,17),(28,7064942,'1',3,444,1,2),(28,7064950,'1',3,304,2,51),(28,7064985,'1',3,203,2,75),(28,7065060,'1',3,301,2,65),(28,7065078,'1',3,212,2,23),(28,7065175,'1',3,5,2,53),(28,7065191,'1',3,302,1,7),(28,7065230,'1',3,601,1,111),(28,7065256,'1',2,220,1,6),(28,7065272,'1A',3,429,2,17),(28,7065418,'1',1,216,2,5),(28,7065450,'1',3,429,2,6),(28,7065540,'1',3,319,1,23),(28,7065680,'1A',2,207,2,12),(28,7065752,'1',3,104,1,8),(28,7065906,'1A',3,235,1,12),(28,7066007,'1',3,654,1,21),(28,7066112,'1',3,304,1,10),(28,7066155,'1A',2,202,1,7),(28,7066228,'1',3,454,2,47),(28,7066287,'1',2,654,1,3),(28,7066295,'1',2,601,1,33),(28,7066309,'1',3,302,1,4),(28,7066449,'1',2,208,2,13),(28,7066457,'1',3,601,1,46),(28,7066473,'1',3,333,1,4),(28,7066490,'1',3,450,1,15),(28,7066511,'1',3,9,1,5),(28,7066643,'1',3,238,2,38),(28,7066813,'1',3,201,2,69),(28,7066864,'1',3,103,2,65),(28,7066970,'1',3,101,2,33),(28,7067011,'1',3,3,1,7),(28,7067020,'1',3,601,2,191),(28,7067046,'1',3,201,2,76),(28,7067151,'1',3,503,1,12),(28,7067186,'1A',3,426,2,9),(28,7067208,'1',3,404,2,25),(28,7067275,'1',3,317,2,39),(28,7067283,'1',3,109,1,15),(28,7067321,'1A',3,429,2,31),(28,7067348,'1',3,234,1,16),(28,7067380,'1',3,303,2,55),(28,7067453,'1',3,503,1,10),(28,7067461,'1',4,103,2,2),(28,7067593,'1',3,601,2,206),(28,7067666,'1',2,310,1,3),(28,7067704,'1',3,503,1,2),(28,7067739,'1',3,5,2,35),(28,7067755,'1',3,309,1,9),(28,7067763,'1A',3,235,1,7),(28,7067798,'1',3,104,2,64),(28,7067860,'1',3,302,2,47),(28,7067968,'1',2,203,2,15),(28,7068085,'1A',2,233,1,4),(28,7068107,'1',3,451,1,5),(28,7068158,'1A',3,652,1,19),(28,7068182,'1',3,101,1,16),(28,7068255,'1',3,427,1,13),(28,7068298,'1',3,319,1,15),(28,7068425,'1',3,3,2,43),(28,7068441,'1',3,340,1,23),(28,7068468,'1',2,331,1,8),(28,7068476,'1A',3,601,1,87),(28,7068514,'1',2,202,1,3),(28,7068565,'1',3,601,2,200),(28,7068638,'1',3,502,1,3),(28,7068662,'1',3,222,1,19),(28,7068859,'1',1,450,1,3),(28,7068956,'1',1,238,2,9),(28,7069197,'1',3,214,1,5),(28,7069316,'1',3,304,2,54),(28,7069375,'1',3,415,2,24),(28,7069421,'1',3,304,2,49),(28,7069430,'1',3,340,1,15),(28,7069456,'1',3,103,2,63),(28,7069472,'1',3,110,2,36),(28,7069502,'1',3,319,2,47),(28,7069545,'1',3,304,1,13),(28,7069561,'1',3,421,1,7),(28,7069723,'1',3,601,2,217),(28,7069731,'1',3,103,2,38),(28,7069936,'1A',3,601,2,214),(28,7069987,'1',1,404,1,2),(28,7070179,'1',3,303,2,56),(28,7070187,'1',3,340,1,13),(28,7070209,'1',3,216,2,26),(28,7070284,'1',3,329,1,1),(28,7070527,'1',3,201,2,41),(28,7070535,'1',3,108,2,37),(28,7070560,'1',3,302,1,21),(28,7070624,'1',3,304,2,36),(28,7070632,'1',3,103,1,22),(28,7070705,'1',3,220,2,35),(28,7070748,'1',3,308,1,15),(28,7070756,'1',2,103,1,2),(28,7070764,'1',3,207,1,5),(28,7070772,'1',3,223,1,50),(28,7070780,'1',3,104,2,53),(28,7070802,'1',3,331,1,10),(28,7070829,'1',3,103,1,31),(28,7070993,'1A',3,601,1,52),(28,7071086,'1',3,653,2,38),(28,7071230,'1',3,3,2,50),(28,7071280,'1',3,340,2,33),(28,7071310,'1',3,450,1,1),(28,7071361,'1',3,216,2,23),(28,7071388,'1',3,310,1,20),(28,7071450,'1',1,216,1,1),(28,7071531,'1',3,208,2,48),(28,7071566,'1',3,502,2,48),(28,7071655,'1',3,224,2,7),(28,7071736,'1',3,502,1,14),(28,7071779,'1',3,444,2,38),(28,7071817,'1',3,454,2,44),(28,7071930,'1',3,5,2,61),(28,7071957,'1',3,415,2,32),(28,7072090,'1',3,2,1,1),(28,7072155,'1',2,601,1,9),(28,7072210,'1A',3,601,2,225),(28,7072236,'1',3,201,1,13),(28,7072430,'1',3,502,2,43),(28,7072562,'1',3,212,1,5),(28,7072589,'1',3,310,1,15),(28,7072635,'1',3,319,1,3),(28,7072651,'1',3,655,1,17),(28,7072686,'1',3,502,1,17),(28,7072716,'1',3,202,2,62),(28,7072813,'1',3,654,2,28),(28,7072864,'1',3,654,1,19),(28,7073216,'1',3,454,1,3),(28,7073224,'1',2,454,2,19),(28,7073283,'1',3,202,2,74),(28,7073410,'1',3,654,1,20),(28,7073429,'1',3,319,1,1),(28,7073518,'1',3,428,1,39),(28,7073569,'1',3,501,2,79),(28,7073585,'1',2,425,1,1),(28,7073755,'1',3,304,2,69),(28,7073801,'1',3,215,2,36),(28,7073810,'1',3,304,2,45),(28,7073836,'1',3,223,1,13),(28,7073852,'1',3,336,1,14),(28,7073925,'1',2,101,1,4),(28,7073984,'1',3,310,1,16),(28,7074026,'1',3,3,2,64),(28,7074034,'1',3,552,2,25),(28,7074050,'1A',3,214,2,18),(28,7074174,'1',3,201,2,58),(28,7074212,'1',2,340,1,6),(28,7074255,'1',3,454,2,72),(28,7074310,'1',3,304,2,62),(28,7074379,'1',3,5,1,19),(28,7074387,'1',3,233,2,51),(28,7074417,'1',3,215,2,26),(28,7074530,'1A',3,601,1,151),(28,7074565,'1',3,304,1,19),(28,7074581,'1',3,425,1,21),(28,7074603,'1',2,235,1,4),(28,7074638,'1',3,336,1,16),(28,7074689,'1',3,101,2,47),(28,7074786,'1',3,429,2,8),(28,7074794,'1',3,551,1,46),(28,7074832,'1A',3,233,2,40),(28,7074840,'1A',3,235,1,9),(28,7074867,'1',3,103,1,2),(28,7075146,'1',2,501,2,19),(28,7075154,'1A',3,601,2,181),(28,7075294,'1',3,318,2,42),(28,7075316,'1',3,203,1,11),(28,7075340,'1',3,425,1,28),(28,7075464,'1',3,327,2,24),(28,7075529,'1',3,601,1,71),(28,7075596,'1',3,222,1,6),(28,7075847,'1A',3,215,2,20),(28,7075871,'1',3,235,2,32),(28,7075880,'1',3,302,1,29),(28,7075898,'1',3,202,1,9),(28,7075944,'1',3,9,1,8),(28,7075960,'1',2,103,1,7),(28,7076088,'1',3,502,2,66),(28,7076100,'1',3,203,2,47),(28,7076169,'1',3,223,1,16),(28,7076177,'1A',2,212,1,4),(28,7076185,'1',3,202,1,7),(28,7076193,'1',3,233,1,12),(28,7076266,'1',3,208,1,22),(28,7076290,'1',2,302,1,3),(28,7076371,'1',3,333,1,16),(28,7076614,'1A',3,233,1,27),(28,7076649,'1',3,454,1,39),(28,7076673,'1',3,234,2,56),(28,7076894,'1',3,235,2,35),(28,7076959,'1',3,601,2,230),(28,7076983,'1',3,426,2,15),(28,7077106,'1',3,316,2,68),(28,7077211,'1',3,318,2,50),(28,7077262,'1',3,454,1,26),(28,7077467,'1A',3,601,2,222),(28,7077530,'1',3,108,1,20),(28,7077661,'1',3,303,1,13),(28,7077700,'1',3,103,2,40),(28,7077807,'1',3,337,1,15),(28,7077823,'1',3,215,2,38),(28,7077858,'1',3,326,1,22),(28,7077904,'1',3,404,2,30),(28,7077920,'1',3,320,2,36),(28,7077939,'1',3,103,2,55),(28,7077955,'1',3,201,1,19),(28,7078080,'1',3,454,2,61),(28,7078218,'1',2,102,1,12),(28,7078226,'1A',2,429,2,7),(28,7078269,'1',3,654,2,32),(28,7078315,'1',2,216,2,8),(28,7078447,'1',1,238,1,2),(28,7078498,'1A',3,427,1,4),(28,7078587,'1',3,309,2,42),(28,7078609,'1',3,415,1,3),(28,7078684,'1',3,103,1,4),(28,7078790,'1',3,454,2,74),(28,7078897,'1',2,110,2,12),(28,7078978,'1',2,109,2,12),(28,7079044,'1',3,205,2,23),(28,7079150,'1',3,109,1,27),(28,7079192,'1',2,201,1,3),(28,7079206,'1',3,424,1,14),(28,7079214,'1',3,320,2,30),(28,7079222,'1',3,333,1,8),(28,7079516,'1A',3,220,2,36),(28,7079672,'1',2,316,1,9),(28,7079893,'1',3,415,1,10),(28,7079940,'1',3,208,2,68),(28,7079974,'1',3,109,2,32),(28,7080158,'1',3,3,2,59),(28,7080166,'1',3,201,2,53),(28,7080247,'1',3,101,1,13),(28,7080271,'1',3,340,2,36),(28,7080280,'1',3,601,1,119),(28,7080301,'1',3,308,2,74),(28,7080310,'1',3,3,1,4),(28,7080417,'1A',3,215,1,5),(28,7080433,'1',3,3,2,41),(28,7080557,'1',3,318,1,21),(28,7080573,'1',3,319,1,29),(28,7080620,'1',2,340,2,15),(28,7080662,'1A',2,601,1,12),(28,7080786,'1',3,303,2,32),(28,7080808,'1',3,223,1,30),(28,7080816,'1',3,309,2,54),(28,7080913,'1',3,502,2,37),(28,7081057,'1',3,230,1,15),(28,7081103,'1',3,309,1,35),(28,7081111,'1',3,304,2,47),(28,7081120,'1',3,101,2,39),(28,7081294,'1',3,316,1,35),(28,7081359,'1',3,102,2,53),(28,7081480,'1',2,5,1,1),(28,7081537,'1',3,207,2,37),(28,7081545,'1',3,601,2,210),(28,7081561,'1',3,304,2,52),(28,7081588,'1',2,319,1,1),(28,7081650,'1',3,205,1,1),(28,7081677,'1',3,238,2,40),(28,7081693,'1A',3,601,2,166),(28,7081707,'1',3,102,1,22),(28,7081804,'1',3,203,2,49),(28,7081812,'1',3,304,1,2),(28,7081863,'1',3,207,1,11),(28,7081944,'1',3,203,1,21),(28,7081952,'1',3,601,1,34),(28,7082010,'1A',2,424,1,3),(28,7082096,'1',2,108,2,15),(28,7082118,'1',3,108,1,28),(28,7082142,'1',3,425,1,22),(28,7082223,'1',3,208,1,8),(28,7082410,'1A',3,215,1,8),(28,7082428,'1',3,203,2,71),(28,7082487,'1',3,652,1,4),(28,7082509,'1',3,552,2,26),(28,7082622,'1',3,317,1,13),(28,7082770,'1',3,109,1,6),(28,7082789,'1',3,324,1,1),(28,7082819,'1',3,224,2,23),(28,7082940,'1A',3,424,1,19),(28,7082959,'1',2,9,1,4),(28,7083009,'1',1,303,1,1),(28,7083017,'1',3,451,1,15),(28,7083165,'1',3,318,1,13),(28,7083254,'1',2,601,2,62),(28,7083262,'1',3,423,1,35),(28,7083351,'1',2,238,1,4),(28,7083475,'1',2,104,1,8),(28,7083483,'1',3,324,1,24),(28,7083505,'1',2,102,1,5),(28,7083513,'1',2,318,2,18),(28,7083564,'1',3,502,1,28),(28,7083629,'1',3,205,1,10),(28,7083645,'1',3,340,1,17),(28,7083670,'1A',3,233,1,21),(28,7083700,'1',3,326,1,27),(28,7083718,'1',3,444,2,36),(28,7083742,'1',2,301,2,20),(28,7083777,'1',3,316,1,28),(28,7083904,'1',3,233,1,1),(28,7084145,'1A',3,601,2,244),(28,7084188,'1',3,214,1,7),(28,7084200,'1',3,601,2,198),(28,7084242,'1',3,601,2,294),(28,7084471,'1',3,338,1,9),(28,7084579,'1',2,109,2,11),(28,7084650,'1',3,336,1,3),(28,7084811,'1',3,303,1,15),(28,7084889,'1',3,428,2,49),(28,7085036,'1',3,338,1,7),(28,7085079,'1',3,328,1,16),(28,7085150,'1',1,201,2,8),(28,7085320,'1',3,329,1,30),(28,7085443,'1A',3,424,1,11),(28,7085486,'1',3,303,2,61),(28,7085532,'1',2,203,2,12),(28,7085567,'1',3,230,1,8),(28,7085613,'1',2,103,2,11),(28,7085621,'1',3,101,1,7),(28,7085648,'1',3,302,1,32),(28,7085702,'1',3,201,2,45),(28,7085737,'1',3,601,2,307),(28,7085800,'1',3,424,1,1),(28,7085974,'1',3,440,1,15),(28,7085990,'1A',3,201,2,64),(28,7086008,'1',3,202,1,3),(28,7086016,'1',3,211,1,8),(28,7086024,'1',3,415,1,8),(28,7086180,'1',3,102,1,36),(28,7086270,'1',3,428,2,71),(28,7086369,'1',1,333,1,2),(28,7086407,'1',3,103,2,49),(28,7086431,'1',3,324,1,14),(28,7086520,'1',2,211,2,15),(28,7086636,'1A',3,202,1,17),(28,7086660,'1A',3,235,2,29),(28,7086865,'1',2,444,1,2),(28,7086911,'1',3,308,2,91),(28,7086997,'1',2,320,2,2),(28,7087012,'1',3,203,2,44),(28,7087020,'1',2,654,2,9),(28,7087039,'1A',3,220,2,38),(28,7087071,'1',3,223,1,15),(28,7087144,'1',3,503,1,18),(28,7087209,'1',3,327,2,20),(28,7087250,'1',3,501,2,76),(28,7087268,'1',2,102,2,17),(28,7087322,'1',3,103,1,24),(28,7087330,'1',3,203,2,56),(28,7087403,'1',2,208,2,18),(28,7087411,'1A',2,215,1,3),(28,7087420,'1',3,326,1,30),(28,7087446,'1',2,208,2,17),(28,7087560,'1',3,454,1,35),(28,7087721,'1',2,552,2,7),(28,7087829,'1',2,319,2,11),(28,7088027,'1A',3,652,1,18),(28,7088051,'1',3,601,1,126),(28,7088272,'1',2,450,1,3),(28,7088396,'1',3,302,1,17),(28,7088418,'1',3,302,1,24),(28,7088450,'1',3,317,1,19),(28,7088531,'1',3,109,2,62),(28,7088590,'1A',3,215,1,19),(28,7088647,'1',3,301,1,32),(28,7088884,'1',1,601,1,4),(28,7089031,'1',3,109,1,9),(28,7089210,'1',3,234,2,42),(28,7089252,'1',3,230,1,6),(28,7089295,'1',2,339,2,9),(28,7089317,'1',3,5,2,37),(28,7089325,'1',2,202,1,4),(28,7089341,'1',3,216,1,7),(28,7089430,'1',3,425,1,6),(28,7089597,'1',3,212,2,28),(28,7089694,'1A',3,233,1,16),(28,7089759,'1',3,9,1,7),(28,7089813,'1',3,235,1,13),(28,7089899,'1',3,208,1,15),(28,7089937,'1',3,654,1,9),(28,7090005,'1',3,102,1,6),(28,7090013,'1',3,202,2,72),(28,7090137,'1',3,223,1,9),(28,7090145,'1',3,340,2,29),(28,7090226,'1',2,552,2,3),(28,7090269,'1',3,501,1,14),(28,7090307,'1',3,302,1,1),(28,7090315,'1',3,426,2,35),(28,7090331,'1',2,425,1,7),(28,7090366,'1',2,316,2,16),(28,7090439,'1',3,225,1,1),(28,7090510,'1',3,203,1,28),(28,7090765,'1',3,103,2,56),(28,7090943,'1',2,653,1,1),(28,7091010,'1',2,104,2,13),(28,7091192,'1',3,426,2,25),(28,7091214,'1',2,337,1,2),(28,7091338,'1',2,601,2,43),(28,7091494,'1',3,109,1,12),(28,7091575,'1',3,208,1,32),(28,7091842,'1',3,103,2,37),(28,7091877,'1',1,316,2,6),(28,7091893,'1',3,214,1,10),(28,7091982,'1A',3,601,1,92),(28,7092024,'1',3,336,1,10),(28,7092202,'1',3,202,1,12),(28,7092270,'1A',2,238,2,12),(28,7092288,'1',3,654,1,14),(28,7092504,'1',3,328,1,18),(28,7092547,'1',3,2,1,11),(28,7092598,'1',3,220,2,30),(28,7092725,'1',1,214,2,4),(28,7092806,'1',3,104,1,34),(28,7092822,'1',3,5,2,44),(28,7092865,'1',3,108,1,12),(28,7092903,'1',3,223,1,47),(28,7092954,'1',3,601,1,2),(28,7093004,'1',3,302,1,26),(28,7093071,'1A',3,601,1,16),(28,7093144,'1A',3,601,2,241),(28,7093276,'1',3,216,1,2),(28,7093381,'1',3,333,1,21),(28,7093403,'1',2,103,2,20),(28,7093527,'1A',3,652,2,68),(28,7093543,'1',3,233,2,49),(28,7093586,'1',3,425,1,30),(28,7093713,'1A',3,653,1,13),(28,7093764,'1',3,108,1,15),(28,7093780,'1',3,104,1,22),(28,7093853,'1',3,310,1,19),(28,7093926,'1',3,102,1,27),(28,7093934,'1',3,454,1,2),(28,7094043,'1',3,201,1,23),(28,7094051,'1',3,3,1,2),(28,7094060,'1',3,552,2,31),(28,7094078,'1',3,309,1,27),(28,7094094,'1',3,318,2,43),(28,7094159,'1',2,102,1,4),(28,7094175,'1A',3,601,1,67),(28,7094205,'1',3,502,1,12),(28,7094213,'1',3,339,2,30),(28,7094329,'1',3,208,1,3),(28,7094337,'1',3,303,1,20),(28,7094388,'1',3,336,1,15),(28,7094400,'1',3,101,1,17),(28,7094426,'1',3,551,1,73),(28,7094450,'1',3,203,2,43),(28,7094485,'1',3,108,2,53),(28,7094604,'1',3,215,2,35),(28,7094671,'1',3,340,1,11),(28,7094698,'1',3,3,2,54),(28,7094728,'1',3,109,2,61),(28,7094817,'1',2,425,1,8),(28,7094841,'1',3,203,2,52),(28,7094965,'1',3,303,1,23),(28,7095279,'1',3,310,1,14),(28,7095317,'1',3,423,1,20),(28,7095333,'1',3,302,1,25),(28,7095554,'1',3,454,1,7),(28,7095562,'1',3,220,1,7),(28,7095686,'1',3,503,1,25),(28,7095902,'1',2,552,2,4),(28,7095970,'1',2,104,2,14),(28,7096046,'1',2,202,2,12),(28,7096070,'1',3,108,1,17),(28,7096089,'1',3,234,1,13),(28,7096330,'1',3,101,2,41),(28,7096356,'1',2,654,1,1),(28,7096364,'1',3,319,1,13),(28,7096372,'1',3,338,1,5),(28,7096410,'1',3,9,1,1),(28,7096461,'1',2,201,1,4),(28,7096496,'1',3,214,1,1),(28,7096550,'1',2,216,2,6),(28,7096658,'1',2,327,2,8),(28,7096674,'1',3,103,1,1),(28,7096682,'1',3,601,2,240),(28,7096801,'1',3,415,1,7),(28,7097042,'1',3,220,1,20),(28,7097077,'1',3,208,1,7),(28,7097093,'1',3,301,1,9),(28,7097298,'1',3,501,1,1),(28,7097310,'1',3,424,1,4),(28,7097441,'1',3,208,2,69),(28,7097468,'1A',3,601,1,33),(28,7097476,'1',2,103,1,10),(28,7097492,'1',3,309,1,21),(28,7097573,'1',3,320,2,40),(28,7097638,'1',3,202,1,13),(28,7097956,'1A',2,211,1,6),(28,7097972,'1A',3,211,1,25),(28,7098014,'1',3,109,1,10),(28,7098049,'1A',3,601,1,30),(28,7098111,'1',1,208,1,4),(28,7098413,'1',3,5,2,36),(28,7098456,'1',3,3,1,16),(28,7098529,'1',3,339,2,27),(28,7098650,'1',3,316,2,66),(28,7098669,'1',3,238,1,32),(28,7098820,'1',2,601,1,31),(28,7098928,'1',3,301,1,12),(28,7099088,'1',3,653,2,46),(28,7099150,'1',3,216,1,15),(28,7099266,'1',3,103,1,13),(28,7099304,'1',3,5,1,1),(28,7099401,'1A',3,202,2,69),(28,7099568,'1A',3,233,1,10),(28,7099576,'1',2,104,2,16),(28,7099614,'1',3,316,2,54),(28,7099649,'1A',3,238,1,31),(28,7099916,'1',3,104,2,52),(28,7099932,'1',3,601,1,11),(28,7100000,'1',3,340,1,8),(28,7100043,'1A',3,233,1,6),(28,7100086,'1',3,440,1,13),(28,7100159,'1',3,102,2,88),(28,7100183,'1',3,102,1,31),(28,7100272,'1A',3,601,2,224),(28,7100280,'1',3,302,1,31),(28,7100302,'1',3,225,1,9),(28,7100329,'1',3,317,2,58),(28,7100450,'1',3,654,1,7),(28,7100477,'1',3,102,2,80),(28,7100485,'1',3,103,2,36),(28,7100558,'1',3,454,1,32),(28,7100639,'1A',3,202,2,66),(28,7100647,'1',3,653,1,14),(28,7100795,'1',3,211,1,13),(28,7100914,'1',3,331,1,14),(28,7100930,'1A',3,652,1,15),(28,7101040,'1',3,501,2,67),(28,7101112,'1',3,207,1,18),(28,7101120,'1',3,216,1,9),(28,7101155,'1',1,303,2,9),(28,7101171,'1',3,202,2,56),(28,7101228,'1',3,331,1,1),(28,7101295,'1',3,302,1,18),(28,7101384,'1',3,214,2,28),(28,7101406,'1',3,320,2,25),(28,7101457,'1',3,340,2,42),(28,7101511,'1',3,601,1,145),(28,7101538,'1A',3,653,2,59),(28,7101619,'1',3,304,2,42),(28,7101686,'1A',3,429,2,12),(28,7101716,'1',3,208,1,5),(28,7101732,'1',3,340,2,31),(28,7101783,'1',3,309,2,65),(28,7101813,'1',3,654,2,30),(28,7101953,'1',3,220,2,31),(28,7102089,'1',3,601,2,226),(28,7102127,'1',3,303,1,17),(28,7102275,'1',3,235,2,30),(28,7102305,'1',3,319,1,17),(28,7102348,'1',3,5,1,30),(28,7102364,'1',3,201,1,10),(28,7102496,'1',1,207,1,2),(28,7102526,'1',3,454,1,21),(28,7102534,'1',3,201,2,52),(28,7102542,'1',3,502,1,8),(28,7102623,'1',3,205,1,8),(28,7102658,'1A',3,601,2,261),(28,7102690,'1',3,301,1,1),(28,7102712,'1',3,207,1,9),(28,7102771,'1',3,454,1,20),(28,7102828,'1',3,601,2,295),(28,7102844,'1',3,601,2,233),(28,7102925,'1',3,201,1,22),(28,7102976,'1',2,214,2,6),(28,7102992,'1',2,302,2,12),(28,7103115,'1',2,238,2,14),(28,7103131,'1',3,428,1,28),(28,7103166,'1',2,211,1,1),(28,7103182,'1',3,340,2,55),(28,7103212,'1A',3,653,2,40),(28,7103263,'1',3,302,1,2),(28,7103271,'1',1,212,1,1),(28,7103310,'1A',3,213,1,9),(28,7103417,'1A',3,601,2,168),(28,7103492,'1A',3,215,1,11),(28,7103506,'1',3,302,2,71),(28,7103530,'1',3,9,1,17),(28,7103620,'1',3,552,2,3),(28,7103638,'1',3,501,2,47),(28,7103670,'1',3,9,1,13),(28,7103719,'1A',3,211,2,33),(28,7103859,'1',3,211,2,40),(28,7103875,'1A',3,215,2,23),(28,7103883,'1',3,207,2,43),(28,7103948,'1',3,303,1,31),(28,7103956,'1',3,301,2,47),(28,7104006,'1',3,454,2,48),(28,7104014,'1',3,601,1,42),(28,7104189,'1',3,5,1,8),(28,7104286,'1',3,233,1,14),(28,7104340,'1',3,551,1,13),(28,7104367,'1A',3,212,1,13),(28,7104375,'1',3,207,1,10),(28,7104464,'1',3,234,1,7),(28,7104570,'1A',3,601,2,196),(28,7104707,'1',3,103,2,41),(28,7104715,'1',3,103,2,48),(28,7104790,'1',3,235,1,5),(28,7104910,'1',3,601,2,232),(28,7104979,'1',3,208,2,57),(28,7105045,'1',3,320,2,42),(28,7105126,'1',3,208,2,44),(28,7105177,'1A',3,214,2,15),(28,7105193,'1',3,304,2,67),(28,7105290,'1',1,101,1,3),(28,7105312,'1',3,415,2,25),(28,7105363,'1',3,501,2,86),(28,7105401,'1',2,304,1,9),(28,7105509,'1',3,220,2,53),(28,7105517,'1',3,444,2,39),(28,7105525,'1',3,502,1,1),(28,7105550,'1',3,454,1,37),(28,7105649,'1',3,302,1,13),(28,7105657,'1',3,201,1,17),(28,7105665,'1',3,9,1,27),(28,7105860,'1',3,109,1,28),(28,7105878,'1',3,440,1,9),(28,7106050,'1',3,551,1,9),(28,7106149,'1',3,5,2,33),(28,7106181,'1',3,444,2,26),(28,7106190,'1',3,308,2,57),(28,7106360,'1',3,238,1,26),(28,7106408,'1',2,203,1,11),(28,7106459,'1',3,404,2,27),(28,7106475,'1',3,332,2,11),(28,7106548,'1',3,2,1,20),(28,7106637,'1',3,601,1,24),(28,7106653,'1',3,101,1,9),(28,7106807,'1',3,234,1,30),(28,7106831,'1A',3,601,1,138),(28,7106947,'1',3,215,2,21),(28,7107064,'1',2,238,1,3),(28,7107099,'1',3,320,2,1),(28,7107145,'1',3,415,1,6),(28,7107200,'1',3,655,2,46),(28,7107307,'1',2,331,1,4),(28,7107340,'1',3,501,1,34),(28,7107374,'1',3,310,1,7),(28,7107382,'1',3,601,2,309),(28,7107404,'1',3,652,2,79),(28,7107463,'1',3,109,1,30),(28,7107676,'1',3,3,1,3),(28,7107706,'1',3,328,1,22),(28,7107773,'1',3,317,1,26),(28,7107846,'1',3,601,2,229),(28,7107870,'1',2,415,2,9),(28,7107935,'1',3,427,1,15),(28,7107951,'1',3,503,1,3),(28,7108010,'1',3,102,2,96),(28,7108109,'1',3,451,1,17),(28,7108346,'1',3,212,1,3),(28,7108419,'1',3,9,1,23),(28,7108460,'1',3,318,2,35),(28,7108516,'1',3,327,2,22),(28,7108575,'1',2,451,1,3),(28,7108630,'1A',3,601,2,275),(28,7108680,'1',3,552,2,7),(28,7108745,'1A',3,601,2,236),(28,7108869,'1',2,108,1,1),(28,7109237,'1',3,234,2,65),(28,7109296,'1',3,404,1,2),(28,7109474,'1',2,501,1,5),(28,7109563,'1',3,415,2,22),(28,7109636,'1',3,3,2,67),(28,7109806,'1',2,5,1,4),(28,7109903,'1A',3,207,2,42),(28,7109954,'1',2,319,2,14),(28,7109962,'1',3,340,2,45),(28,7110022,'1',3,421,1,1),(28,7110103,'1',3,404,1,11),(28,7110138,'1',3,415,1,12),(28,7110189,'1',3,304,1,17),(28,7110200,'1',3,426,2,2),(28,7110227,'1',3,503,2,38),(28,7110235,'1',3,235,2,36),(28,7110286,'1',3,104,2,54),(28,7110324,'1',3,319,2,54),(28,7110367,'1',3,318,1,5),(28,7110375,'1',3,5,1,26),(28,7110600,'1A',2,601,2,68),(28,7110782,'1',3,319,1,7),(28,7110790,'1A',2,653,1,5),(28,7110812,'1',3,207,1,20),(28,7110871,'1A',3,601,1,63),(28,7110936,'1',2,327,2,4),(28,7111088,'1',3,102,1,45),(28,7111126,'1',2,201,1,5),(28,7111304,'1',3,652,2,57),(28,7111436,'1',3,329,1,20),(28,7111487,'1',3,317,2,41),(28,7111533,'1',3,429,2,28),(28,7111576,'1',3,309,1,6),(28,7111622,'1',3,454,2,46),(28,7111649,'1',3,103,2,59),(28,7111690,'1',3,104,2,48),(28,7111800,'1',3,216,2,20),(28,7111894,'1',3,303,2,41),(28,7112084,'1',2,340,1,2),(28,7112254,'1',3,103,1,9),(28,7112270,'1',3,3,1,25),(28,7112475,'1',3,415,1,5),(28,7112491,'1',3,207,1,8),(28,7112580,'1',3,201,1,36),(28,7112653,'1',3,440,1,10),(28,7112718,'1',3,205,2,24),(28,7112750,'1',3,339,1,22),(28,7112777,'1',3,318,1,23),(28,7112793,'1A',3,653,1,21),(28,7112882,'1',3,301,1,17),(28,7113030,'1',3,501,2,61),(28,7113170,'1',3,201,1,35),(28,7113250,'1',2,337,1,1),(28,7113277,'1',3,214,2,19),(28,7113323,'1',3,3,1,31),(28,7113447,'1',3,230,1,28),(28,7113480,'1',2,238,2,19),(28,7113650,'1A',3,652,1,38),(28,7113684,'1',3,214,1,6),(28,7113730,'1',3,601,1,19),(28,7113749,'1',3,238,1,29),(28,7113838,'1',3,102,2,54),(28,7113960,'1',1,202,1,2),(28,7114001,'1',3,202,2,61),(28,7114052,'1A',3,601,1,40),(28,7114060,'1A',3,601,1,70),(28,7114109,'1',3,220,2,39),(28,7114273,'1',3,202,1,1),(28,7114516,'1',3,303,1,6),(28,7114583,'1',3,202,1,37),(28,7114770,'1',3,501,2,59),(28,7115008,'1',3,501,2,75),(28,7115016,'1',3,304,2,65),(28,7115040,'1A',3,202,2,59),(28,7115083,'1',3,503,1,21),(28,7115113,'1',3,340,1,24),(28,7115369,'1',3,302,1,34),(28,7115393,'1',3,415,1,21),(28,7115415,'1',3,308,2,68),(28,7115440,'1A',3,202,2,77),(28,7115520,'1',3,103,1,6),(28,7115660,'1',3,415,1,19),(28,7115806,'1',3,601,2,310),(28,7115873,'1',3,503,1,16),(28,7115903,'1',3,208,2,66),(28,7115938,'1',3,109,1,14),(28,7116047,'1',3,104,1,33),(28,7116268,'1A',3,653,1,23),(28,7116438,'1',3,340,2,49),(28,7116446,'1',3,302,1,20),(28,7116462,'1',3,601,2,282),(28,7116527,'1',2,303,1,8),(28,7116543,'1',3,102,1,25),(28,7116560,'1',3,429,2,22),(28,7116675,'1',3,302,2,53),(28,7116691,'1',3,303,1,3),(28,7116705,'1',3,108,2,45),(28,7116713,'1',3,425,1,29),(28,7116764,'1',2,211,1,2),(28,7116799,'1',3,601,1,113),(28,7116802,'1',3,601,2,182),(28,7116829,'1',2,5,1,2),(28,7116950,'1',3,304,2,40),(28,7116969,'1',3,304,2,39),(28,7117019,'1',3,238,1,7),(28,7117108,'1',3,601,1,4),(28,7117132,'1',3,552,2,29),(28,7117140,'1',3,2,1,19),(28,7117159,'1',2,201,2,20),(28,7117167,'1',3,309,2,53),(28,7117183,'1',3,301,2,44),(28,7117205,'1',3,215,2,34),(28,7117299,'1',3,110,1,15),(28,7117345,'1',3,202,1,27),(28,7117370,'1',3,423,1,36),(28,7117469,'1',3,653,2,49),(28,7117477,'1',2,302,2,14),(28,7117620,'1',2,103,1,4),(28,7117639,'1',3,421,1,19),(28,7117698,'1A',2,233,2,11),(28,7117760,'1',3,216,2,34),(28,7117779,'1',3,444,2,31),(28,7117906,'1',3,423,1,1),(28,7118074,'1A',3,220,1,18),(28,7118210,'1',3,102,2,67),(28,7118244,'1',3,201,1,16),(28,7118309,'1A',3,207,2,41),(28,7118350,'1',3,208,2,40),(28,7118376,'1',2,5,1,7),(28,7118384,'1',3,302,1,19),(28,7118430,'1',3,333,1,7),(28,7118546,'1',3,601,1,133),(28,7118619,'1',3,109,1,8),(28,7118732,'1',2,601,2,48),(28,7118805,'1',3,212,2,21),(28,7118937,'1',3,329,1,26),(28,7118961,'1',3,223,1,43),(28,7118996,'1',3,215,2,32),(28,7119038,'1A',3,652,1,2),(28,7119046,'1A',3,213,1,10),(28,7119100,'1',3,326,1,5),(28,7119224,'1',3,324,1,19),(28,7119410,'1',3,404,1,7),(28,7119437,'1',3,318,1,10),(28,7119461,'1',3,339,1,1),(28,7119496,'1',3,102,2,72),(28,7119569,'1',3,318,1,7),(28,7119593,'1',3,454,1,6),(28,7119658,'1',3,224,2,24),(28,7119674,'1',3,326,1,32),(28,7119739,'1',3,317,2,46),(28,7120044,'1',3,308,1,36),(28,7120109,'1',3,551,1,63),(28,7120451,'1',2,319,2,13),(28,7120583,'1',3,308,1,6),(28,7120664,'1',3,337,1,5),(28,7120729,'1',3,104,1,26),(28,7120737,'1A',3,653,2,53),(28,7121032,'1',2,501,1,2),(28,7121040,'1',3,222,1,21),(28,7121121,'1A',3,601,1,15),(28,7121164,'1A',3,212,1,10),(28,7121547,'1A',3,211,2,65),(28,7121598,'1',3,319,1,14),(28,7121636,'1',3,238,1,5),(28,7121652,'1',3,425,1,13),(28,7121784,'1A',3,653,2,52),(28,7121890,'1A',3,212,1,8),(28,7121903,'1',3,332,2,19),(28,7121970,'1',3,214,2,26),(28,7121989,'1',1,319,2,8),(28,7122055,'1',3,201,1,3),(28,7122101,'1',3,203,2,65),(28,7122187,'1',3,319,2,33),(28,7122209,'1',2,654,1,6),(28,7122276,'1',3,108,1,7),(28,7122284,'1',3,601,1,41),(28,7122306,'1',3,211,2,53),(28,7122373,'1',3,233,1,7),(28,7122381,'1',3,440,1,4),(28,7122438,'1',3,652,2,73),(28,7122497,'1A',2,601,1,26),(28,7122500,'1A',3,215,1,9),(28,7122519,'1',3,501,2,55),(28,7122527,'1',3,333,1,9),(28,7122705,'1',3,328,1,21),(28,7122713,'1',3,502,2,52),(28,7122756,'1',3,303,1,12),(28,7122810,'1',3,316,1,26),(28,7122861,'1',3,234,1,20),(28,7122969,'1',2,208,1,9),(28,7123167,'1A',3,653,1,11),(28,7123280,'1',2,301,1,4),(28,7123302,'1',3,109,1,2),(28,7123337,'1',3,308,2,50),(28,7123370,'1',3,222,1,15),(28,7123531,'1',3,104,1,4),(28,7123752,'1',3,503,1,26),(28,7123833,'1',3,303,1,4),(28,7123850,'1',3,601,1,90),(28,7123868,'1',2,340,2,10),(28,7123876,'1',3,552,2,17),(28,7123930,'1',3,235,1,15),(28,7124147,'1',3,316,1,19),(28,7124180,'1',2,222,1,2),(28,7124201,'1',3,654,1,6),(28,7124244,'1',3,601,2,177),(28,7124252,'1',2,109,1,4),(28,7124260,'1A',3,238,1,25),(28,7124317,'1',1,108,1,3),(28,7124392,'1',3,428,1,1),(28,7124449,'1A',3,601,1,20),(28,7124511,'1',2,110,2,15),(28,7124562,'1',2,653,2,12),(28,7124570,'1A',3,235,1,2),(28,7124589,'1',3,601,2,221),(28,7124635,'1',3,653,2,48),(28,7124821,'1',3,109,2,38),(28,7124864,'1',3,201,1,34),(28,7124961,'1',3,9,1,10),(28,7124988,'1',3,208,2,64),(28,7125038,'1A',2,212,1,3),(28,7125127,'1',3,328,1,10),(28,7125151,'1',3,208,1,31),(28,7125160,'1',2,652,1,10),(28,7125313,'1',3,201,1,21),(28,7125348,'1',3,310,1,3),(28,7125534,'1A',3,652,1,29),(28,7125550,'1',3,203,1,5),(28,7125763,'1',3,202,2,64),(28,7125909,'1',2,215,2,10),(28,7125925,'1',3,9,1,20),(28,7125968,'1',3,9,1,3),(28,7125984,'1',3,211,2,60),(28,7126050,'1',3,319,2,41),(28,7126069,'1A',3,213,2,24),(28,7126093,'1',3,308,1,5),(28,7126123,'1',3,216,1,5),(28,7126166,'1',3,303,2,50),(28,7126255,'1',3,310,1,36),(28,7126514,'1',3,3,1,11),(28,7126522,'1',3,104,1,31),(28,7126530,'1',2,317,1,4),(28,7126590,'1',3,208,2,65),(28,7126638,'1A',3,238,2,50),(28,7126832,'1',2,9,1,8),(28,7126859,'1',3,301,2,50),(28,7126875,'1',3,301,2,42),(28,7126930,'1',2,654,1,2),(28,7127200,'1',3,101,1,12),(28,7127367,'1A',3,235,1,8),(28,7127472,'1',3,502,1,26),(28,7127499,'1',3,110,1,1),(28,7127693,'1',3,201,1,4),(28,7127774,'1',3,415,2,41),(28,7127804,'1',3,207,2,40),(28,7127839,'1',3,102,2,82),(28,7127910,'1',3,428,1,25),(28,7128002,'1',3,208,1,23),(28,7128088,'1A',3,601,2,268),(28,7128207,'1',3,207,1,4),(28,7128347,'1',3,308,2,92),(28,7128460,'1',3,225,1,14),(28,7128525,'1',3,103,2,66),(28,7128657,'1',3,203,1,18),(28,7128673,'1',2,102,1,13),(28,7128827,'1A',3,601,1,112),(28,7128835,'1',3,454,2,73),(28,7128932,'1',3,415,1,15),(28,7128975,'1A',3,601,2,263),(28,7129270,'1',3,102,1,16),(28,7129289,'1',3,304,1,15),(28,7129378,'1',3,211,1,28),(28,7129394,'1',3,339,1,6),(28,7129432,'1',3,444,1,16),(28,7129491,'1',3,310,1,25),(28,7129530,'1',3,428,1,33),(28,7129548,'1',3,102,1,17),(28,7129637,'1',3,327,2,19),(28,7129718,'1',3,104,2,44),(28,7129777,'1',3,454,1,42),(28,7129807,'1',3,551,1,69),(28,7129866,'1A',3,653,1,9),(28,7129904,'1',3,319,1,4),(28,7129955,'1',2,304,1,2),(28,7130074,'1',3,332,2,27),(28,7130090,'1',3,654,1,17),(28,7130104,'1',2,501,2,15),(28,7130112,'1A',3,220,2,34),(28,7130180,'1',3,233,2,50),(28,7130201,'1A',3,202,1,33),(28,7130244,'1',3,336,1,5),(28,7130252,'1',3,102,1,12),(28,7130384,'1',3,234,2,41),(28,7130465,'1',3,326,1,1),(28,7130554,'1',3,301,2,37),(28,7130589,'1',3,202,2,63),(28,7130597,'1',2,317,1,6),(28,7130619,'1',3,212,1,14),(28,7130643,'1A',3,601,1,6),(28,7130724,'1',3,234,1,24),(28,7130740,'1',3,309,1,15),(28,7130783,'1A',3,235,2,24),(28,7130970,'1',3,5,1,7),(28,7131070,'1',2,655,2,11),(28,7131097,'1',2,203,2,20),(28,7131100,'1',3,331,1,12),(28,7131143,'1',3,203,2,53),(28,7131194,'1',1,326,1,2),(28,7131224,'1',3,224,2,15),(28,7131291,'1A',3,235,1,3),(28,7131313,'1',3,233,2,54),(28,7131356,'1',3,104,2,60),(28,7131364,'1',3,223,1,38),(28,7131399,'1',3,428,1,22),(28,7131437,'1A',3,201,2,67),(28,7131542,'1',3,103,2,68),(28,7131550,'1',2,238,1,6),(28,7131577,'1',3,332,2,12),(28,7131607,'1',1,333,1,1),(28,7131690,'1',3,238,2,67),(28,7131895,'1',3,331,1,13),(28,7131992,'1A',3,655,1,7),(28,7132000,'1',3,551,1,35),(28,7132131,'1',3,203,1,2),(28,7132328,'1',3,201,1,12),(28,7132379,'1',3,224,2,38),(28,7132387,'1',3,3,2,52),(28,7132441,'1',3,454,1,24),(28,7132468,'1',3,444,2,40),(28,7132506,'1',2,238,2,15),(28,7132573,'1',3,427,1,23),(28,7132611,'1',3,234,1,38),(28,7132891,'1A',1,220,1,2),(28,7133014,'1',3,320,2,23),(28,7133049,'1',3,502,1,11),(28,7133073,'1',3,454,2,45),(28,7133103,'1A',3,421,1,22),(28,7133120,'1',3,207,1,14),(28,7133146,'1',2,207,1,1),(28,7133170,'1',2,601,2,60),(28,7133294,'1',3,301,1,25),(28,7133316,'1A',3,427,1,22),(28,7133340,'1A',3,235,1,14),(28,7133391,'1',3,223,1,21),(28,7133421,'1',3,601,2,272),(28,7133448,'1',3,223,1,49),(28,7133456,'1',2,203,2,19),(28,7133480,'1',3,552,2,22),(28,7133502,'1',3,320,2,16),(28,7133529,'1',3,310,1,30),(28,7133600,'1A',3,655,2,23),(28,7133618,'1',3,428,2,69),(28,7133766,'1',2,5,1,6),(28,7133782,'1',3,654,1,23),(28,7134010,'1',1,201,2,11),(28,7134045,'1',3,301,1,27),(28,7134100,'1',3,202,2,70),(28,7134118,'1',2,326,1,4),(28,7134177,'1',3,230,1,22),(28,7134592,'1',2,102,1,7),(28,7134614,'1',3,110,1,22),(28,7134843,'1',3,109,2,36),(28,7134886,'1',3,428,1,21),(28,7134967,'1',2,454,2,24),(28,7135149,'1',1,101,1,2),(28,7135181,'1',2,110,1,7),(28,7135262,'1',1,203,1,5),(28,7135327,'1',3,102,1,8),(28,7135440,'1',3,450,1,20),(28,7135475,'1',3,327,2,21),(28,7135602,'1',3,327,2,18),(28,7135629,'1',3,652,1,9),(28,7135882,'1',3,451,1,11),(28,7135939,'1',3,551,1,53),(28,7135998,'1',2,9,1,5),(28,7136021,'1',3,5,2,52),(28,7136048,'1A',3,653,2,50),(28,7136102,'1',2,331,1,1),(28,7136218,'1',3,653,1,4),(28,7136366,'1A',3,233,1,19),(28,7136412,'1',3,3,2,72),(28,7136528,'1',3,415,2,23),(28,7136633,'1',3,340,1,20),(28,7136668,'1',3,303,2,58),(28,7136749,'1',3,211,1,10),(28,7136790,'1A',3,601,1,108),(28,7136838,'1',3,316,1,31),(28,7136951,'1',3,340,1,26),(28,7137060,'1',3,102,2,55),(28,7137079,'1',3,501,1,24),(28,7137133,'1',3,104,2,62),(28,7137230,'1',3,654,2,31),(28,7137389,'1',3,108,2,56),(28,7137559,'1',3,235,1,10),(28,7137583,'1',3,329,1,3),(28,7137745,'1',3,233,2,38),(28,7137761,'1',3,207,1,7),(28,7137796,'1',2,302,2,16),(28,7138032,'1',3,203,1,14),(28,7138121,'1',3,104,1,24),(28,7138148,'1',3,338,1,15),(28,7138180,'1',3,428,1,32),(28,7138326,'1',3,234,2,45),(28,7138342,'1',3,653,2,41),(28,7138423,'1',2,101,1,5),(28,7138458,'1',2,339,2,8),(28,7138580,'1',3,502,2,50),(28,7138636,'1A',3,202,2,47),(28,7138679,'1',3,552,2,20),(28,7138709,'1',3,327,2,29),(28,7139012,'1',3,655,2,40),(28,7139284,'1',3,303,2,47),(28,7139292,'1',3,3,1,27),(28,7139381,'1',3,428,1,12),(28,7139489,'1',2,415,1,3),(28,7139748,'1A',3,601,1,48),(28,7139802,'1A',3,601,2,271),(28,7139950,'1',3,102,2,78),(28,7140029,'1',1,220,1,3),(28,7140045,'1',1,104,2,8),(28,7140070,'1',3,302,2,36),(28,7140096,'1A',3,601,1,80),(28,7140150,'1',3,444,2,22),(28,7140177,'1A',3,653,1,30),(28,7140207,'1',3,601,1,47),(28,7140258,'1',1,425,1,1),(28,7140274,'1',3,451,1,9),(28,7140290,'1A',3,601,2,161),(28,7140410,'1',2,404,1,6),(28,7140436,'1',3,220,2,44),(28,7140495,'1',3,551,1,25),(28,7140584,'1',3,326,1,10),(28,7140649,'1',2,103,1,9),(28,7140665,'1',3,3,2,48),(28,7140673,'1',1,655,1,2),(28,7140738,'1',3,222,1,20),(28,7140770,'1',3,302,1,27),(28,7140800,'1A',3,220,1,24),(28,7140835,'1',1,103,1,3),(28,7140851,'1',3,333,1,6),(28,7140932,'1A',3,202,2,52),(28,7140975,'1',3,316,2,58),(28,7140991,'1',3,655,1,9),(28,7141050,'1A',3,601,2,247),(28,7141149,'1',2,501,2,16),(28,7141181,'1',3,5,1,18),(28,7141203,'1',3,317,2,49),(28,7141238,'1',3,428,2,48),(28,7141270,'1',3,203,2,67),(28,7141351,'1',3,201,2,54),(28,7141386,'1',1,454,1,2),(28,7141424,'1A',3,601,1,102),(28,7141599,'1',3,201,1,32),(28,7141602,'1',3,222,1,29),(28,7141645,'1',3,339,1,15),(28,7141653,'1',3,108,2,32),(28,7141661,'1',2,653,1,3),(28,7141890,'1A',3,601,1,88),(28,7141904,'1',3,501,2,58),(28,7142056,'1',3,110,2,40),(28,7142110,'1',1,454,1,6),(28,7142129,'1',2,220,1,1),(28,7142153,'1A',3,652,2,48),(28,7142170,'1',3,234,2,60),(28,7142218,'1',3,454,2,66),(28,7142277,'1',3,318,2,68),(28,7142536,'1',3,224,2,10),(28,7142560,'1',3,101,2,28),(28,7142668,'1',2,319,2,16),(28,7142722,'1',3,101,2,36),(28,7142854,'1',3,235,1,21),(28,7142862,'1',3,653,2,58),(28,7142897,'1',3,3,2,75),(28,7143001,'1',2,211,2,12),(28,7143028,'1',3,2,1,44),(28,7143141,'1',3,110,1,5),(28,7143150,'1',3,238,2,52),(28,7143206,'1',3,2,1,3),(28,7143362,'1',3,318,2,66),(28,7143621,'1A',3,652,1,13),(28,7143656,'1',3,601,2,228),(28,7143672,'1',3,303,2,34),(28,7143788,'1',2,601,1,13),(28,7143850,'1',2,326,1,7),(28,7144016,'1',3,318,2,47),(28,7144164,'1',2,601,2,73),(28,7144199,'1',2,601,1,25),(28,7144326,'1',2,3,1,1),(28,7144342,'1A',3,238,2,60),(28,7144504,'1',3,104,2,43),(28,7144601,'1',2,601,1,39),(28,7144628,'1',3,234,1,39),(28,7144679,'1',3,601,1,117),(28,7144814,'1',2,333,1,5),(28,7144865,'1',3,102,1,42),(28,7144903,'1',3,201,2,74),(28,7145098,'1',3,205,1,16),(28,7145160,'1',3,441,1,2),(28,7145187,'1',3,318,2,55),(28,7145225,'1',3,220,2,49),(28,7145322,'1',3,234,1,23),(28,7145373,'1',3,216,1,11),(28,7145535,'1',3,103,1,8),(28,7145560,'1',3,102,1,1),(28,7145713,'1',3,423,1,4),(28,7145721,'1',3,201,2,60),(28,7145780,'1',3,9,1,6),(28,7145829,'1',1,317,1,5),(28,7145918,'1',3,3,1,9),(28,7145942,'1',3,110,2,32),(28,7146000,'1',3,222,1,22),(28,7146078,'1A',3,652,2,40),(28,7146213,'1',2,207,2,14),(28,7146302,'1',3,415,1,20),(28,7146450,'1',3,503,1,1),(28,7146507,'1',3,326,1,31),(28,7146531,'1',1,201,1,1),(28,7146574,'1',3,309,2,62),(28,7146701,'1',2,101,1,8),(28,7146744,'1',3,501,2,51),(28,7146884,'1',3,104,1,11),(28,7147082,'1',3,423,1,21),(28,7147104,'1A',3,601,1,154),(28,7147112,'1',3,102,2,73),(28,7147279,'1',3,425,1,18),(28,7147333,'1',3,203,1,23),(28,7147406,'1',3,109,2,34),(28,7147589,'1',3,214,1,4),(28,7147597,'1',3,3,2,74),(28,7147619,'1',1,317,1,2),(28,7147635,'1',3,101,1,25),(28,7147740,'1',3,316,1,23),(28,7147856,'1',3,501,2,84),(28,7147880,'1A',2,207,2,15),(28,7148143,'1',3,220,2,27),(28,7148151,'1',3,337,1,3),(28,7148186,'1',3,308,2,54),(28,7148208,'1',3,304,2,61),(28,7148216,'1',3,214,1,3),(28,7148267,'1',3,551,1,4),(28,7148402,'1A',3,213,1,1),(28,7148429,'1',3,101,2,31),(28,7148500,'1',3,220,1,22),(28,7148550,'1A',3,220,1,17),(28,7148585,'1',3,302,1,10),(28,7148623,'1',3,428,1,19),(28,7148658,'1A',3,601,1,97),(28,7148780,'1A',1,601,1,6),(28,7148798,'1',3,501,1,35),(28,7148852,'1',2,103,2,18),(28,7149115,'1A',3,601,2,192),(28,7149123,'1',3,450,1,9),(28,7149204,'1',3,233,1,24),(28,7149220,'1',3,208,2,73),(28,7149255,'1',3,340,2,44),(28,7149280,'1',3,316,1,8),(28,7149310,'1A',3,428,2,53),(28,7149336,'1',3,324,1,18),(28,7149395,'1A',3,421,1,27),(28,7149425,'1',3,501,2,69),(28,7149484,'1',3,302,2,48),(28,7149514,'1',3,216,2,19),(28,7149549,'1',3,454,1,16),(28,7149573,'1',3,454,2,69),(28,7149603,'1',3,216,2,31),(28,7149620,'1',3,211,1,1),(28,7149646,'1',3,302,2,59),(28,7149697,'1A',3,601,1,65),(28,7149832,'1',3,601,2,243),(28,7149999,'1',3,501,1,10),(28,7150075,'1',3,201,1,24),(28,7150091,'1',1,203,1,4),(28,7150180,'1',3,9,1,12),(28,7150199,'1',3,102,1,18),(28,7150547,'1',3,220,1,25),(28,7150555,'1A',3,652,1,33),(28,7150636,'1',3,309,1,18),(28,7150644,'1',3,310,1,4),(28,7150792,'1',3,308,2,86),(28,7150920,'1',2,655,2,10),(28,7150954,'1A',3,215,1,7),(28,7151004,'1',3,103,1,26),(28,7151020,'1',3,327,2,34),(28,7151047,'1',2,320,2,3),(28,7151055,'1',3,652,2,80),(28,7151080,'1',3,309,2,45),(28,7151136,'1',2,454,1,9),(28,7151160,'1',3,203,1,29),(28,7151179,'1',3,309,2,44),(28,7151225,'1',3,316,2,52),(28,7151241,'1',3,110,2,57),(28,7151519,'1',3,337,1,16),(28,7151683,'1',3,238,2,62),(28,7151713,'1',3,225,1,48),(28,7151721,'1',3,304,2,46),(28,7151756,'1',3,308,1,20),(28,7151764,'1',3,404,1,15),(28,7151799,'1',2,222,1,3),(28,7151888,'1',3,238,1,34),(28,7152132,'1',2,201,2,21),(28,7152191,'1',3,238,1,28),(28,7152205,'1',3,427,1,6),(28,7152418,'1A',3,601,2,242),(28,7152477,'1',3,301,1,29),(28,7152540,'1',3,2,1,16),(28,7152620,'1',3,208,1,26),(28,7152647,'1',3,3,1,26),(28,7152701,'1',3,235,2,22),(28,7152787,'1',2,654,2,10),(28,7153015,'1',3,440,1,1),(28,7153120,'1',3,324,1,5),(28,7153210,'1',3,3,1,12),(28,7153260,'1',3,324,1,22),(28,7153384,'1A',3,653,2,35),(28,7153538,'1A',3,202,2,71),(28,7153554,'1',2,303,2,18),(28,7153686,'1',3,301,2,66),(28,7153767,'1',3,302,1,9),(28,7153848,'1',3,235,2,39),(28,7153899,'1',2,415,1,6),(28,7154011,'1',2,216,1,5),(28,7154038,'1',3,102,2,69),(28,7154070,'1',3,108,1,13),(28,7154097,'1',3,308,2,48),(28,7154100,'1',3,451,1,7),(28,7154143,'1',3,5,2,55),(28,7154151,'1A',3,235,2,23),(28,7154232,'1',3,2,1,31),(28,7154518,'1',3,238,1,14),(28,7154542,'1',3,320,2,37),(28,7154798,'1',3,309,2,50),(28,7154976,'1',3,329,1,19),(28,7155085,'1',3,426,2,36),(28,7155115,'1',3,2,1,12),(28,7155212,'1',3,424,1,36),(28,7155263,'1',3,101,2,27),(28,7155395,'1',3,601,2,165),(28,7155441,'1',3,205,1,2),(28,7155468,'1',3,454,1,10),(28,7155506,'1',3,303,2,60),(28,7155530,'1',3,301,2,38),(28,7155590,'1',3,426,2,22),(28,7155611,'1',3,316,2,47),(28,7155719,'1',3,201,2,39),(28,7155727,'1A',3,215,2,24),(28,7155760,'1A',3,653,2,37),(28,7155867,'1A',3,202,1,36),(28,7155930,'1',3,2,1,41),(28,7156200,'1',3,429,2,21),(28,7156316,'1',3,5,2,47),(28,7156405,'1',3,109,1,20),(28,7156448,'1',3,208,2,63),(28,7156529,'1',2,654,2,7),(28,7156600,'1',3,336,1,12),(28,7156731,'1',3,601,2,218),(28,7156790,'1',3,201,1,9),(28,7156804,'1',3,319,2,38),(28,7156979,'1',3,235,2,42),(28,7157070,'1',3,450,1,2),(28,7157096,'1',3,224,2,3),(28,7157177,'1',3,429,2,4),(28,7157215,'1',3,230,1,2),(28,7157363,'1',3,108,2,35),(28,7157428,'1',3,339,2,31),(28,7157487,'1',3,222,1,17),(28,7157525,'1',2,326,1,6),(28,7157630,'1',3,444,2,32),(28,7157703,'1',3,444,2,27),(28,7157843,'1',3,220,1,23),(28,7157860,'1',3,102,2,86),(28,7157894,'1',3,338,1,12),(28,7158157,'1',3,653,1,16),(28,7158181,'1',3,102,1,47),(28,7158238,'1',3,326,1,15),(28,7158262,'1',3,421,1,2),(28,7158297,'1',3,235,2,34),(28,7158300,'1',3,319,2,39),(28,7158530,'1A',3,601,1,125),(28,7158548,'1',3,207,1,1),(28,7158564,'1',3,503,1,4),(28,7158580,'1',2,102,1,10),(28,7158696,'1',3,310,1,21),(28,7158769,'1A',3,653,2,54),(28,7158777,'1',3,428,1,17),(28,7158904,'1A',3,601,1,130),(28,7158963,'1',3,316,1,24),(28,7159242,'1',2,304,2,12),(28,7159382,'1',3,551,1,65),(28,7159404,'1',3,423,1,11),(28,7159455,'1',3,551,1,70),(28,7159536,'1',2,102,1,8),(28,7159544,'1',3,102,2,77),(28,7159641,'1',3,238,2,70),(28,7159650,'1',3,601,1,141),(28,7159668,'1A',3,601,1,105),(28,7159684,'1',2,201,2,18),(28,7159781,'1',3,5,2,46),(28,7159790,'1',3,5,1,4),(28,7159803,'1',2,654,1,4),(28,7159846,'1',3,337,1,6),(28,7159919,'1A',3,233,2,37),(28,7160151,'1',3,653,2,62),(28,7160208,'1A',3,202,2,42),(28,7160240,'1',3,303,2,51),(28,7160275,'1',3,223,1,10),(28,7160321,'1',3,317,1,4),(28,7160348,'1',3,329,1,7),(28,7160437,'1',3,225,1,5),(28,7160526,'1',3,316,2,39),(28,7160720,'1',3,335,1,13),(28,7160879,'1',3,108,2,47),(28,7160909,'1',3,318,2,46),(28,7160917,'1A',3,601,1,31),(28,7160976,'1',3,233,1,4),(28,7161018,'1',3,551,1,6),(28,7161069,'1',2,102,2,15),(28,7161158,'1',3,421,1,20),(28,7161166,'1',3,208,2,70),(28,7161298,'1',3,5,1,23),(28,7161310,'1',3,207,1,17),(28,7161352,'1',1,207,1,1),(28,7161379,'1',3,102,2,49),(28,7161387,'1',3,104,2,41),(28,7161425,'1',2,201,1,2),(28,7161476,'1',1,211,1,1),(28,7161522,'1',3,223,1,28),(28,7161611,'1A',3,213,1,16),(28,7161719,'1',3,454,1,11),(28,7161751,'1',3,203,2,76),(28,7161778,'1',3,301,2,49),(28,7161859,'1A',3,202,2,49),(28,7161875,'1',2,319,2,12),(28,7161891,'1',3,318,1,12),(28,7161913,'1',3,2,1,14),(28,7161930,'1',2,454,1,10),(28,7161948,'1',3,109,2,50),(28,7162014,'1',3,5,2,39),(28,7162049,'1',3,654,1,22),(28,7162081,'1',3,2,1,38),(28,7162146,'1',2,208,1,2),(28,7162154,'1',3,454,1,5),(28,7162260,'1',3,318,2,60),(28,7162340,'1A',3,653,1,20),(28,7162456,'1',3,2,1,30),(28,7162499,'1',3,5,2,59),(28,7162553,'1',3,222,1,10),(28,7162693,'1',3,102,2,74),(28,7162707,'1',3,110,1,9),(28,7162820,'1',3,326,1,21),(28,7162928,'1',3,655,2,28),(28,7162936,'1A',3,601,1,78),(28,7162987,'1',3,103,2,39),(28,7163010,'1',1,415,1,1),(28,7163045,'1',3,317,2,36),(28,7163118,'1',2,336,1,1),(28,7163150,'1A',3,653,1,8),(28,7163169,'1A',3,427,1,30),(28,7163223,'1',3,502,2,64),(28,7163312,'1A',3,213,1,12),(28,7163371,'1A',3,601,2,246),(28,7163401,'1A',3,233,2,45),(28,7163410,'1',3,102,2,83),(28,7163436,'1',2,404,1,4),(28,7163444,'1',3,304,2,48),(28,7163452,'1A',3,214,2,22),(28,7163479,'1',3,426,2,3),(28,7163495,'1',2,202,1,2),(28,7163576,'1A',3,215,1,15),(28,7163673,'1',3,336,1,4),(28,7163800,'1',3,101,1,10),(28,7163878,'1',1,5,1,1),(28,7163886,'1',3,318,2,57),(28,7163959,'1',3,318,2,48),(28,7163975,'1A',3,215,1,14),(28,7164106,'1',3,302,1,14),(28,7164130,'1',3,3,1,30),(28,7164173,'1',3,444,2,34),(28,7164270,'1',3,654,1,5),(28,7164327,'1',3,340,2,43),(28,7164335,'1',3,303,1,2),(28,7164440,'1',3,2,1,49),(28,7164467,'1',3,203,1,24),(28,7164599,'1',3,404,2,22),(28,7164661,'1',3,654,2,26),(28,7164700,'1',3,340,1,16),(28,7164742,'1',3,415,2,27),(28,7164769,'1',3,212,2,27),(28,7165234,'1',3,454,1,33),(28,7165242,'1',2,202,2,14),(28,7165285,'1',3,3,2,47),(28,7165307,'1',3,3,2,40),(28,7165315,'1',3,202,2,38),(28,7165366,'1',3,205,1,6),(28,7165374,'1',3,216,1,12),(28,7165420,'1A',3,652,2,43),(28,7165501,'1A',2,601,2,44),(28,7165579,'1',3,225,1,15),(28,7165595,'1',3,404,1,12),(28,7165625,'1',3,301,2,63),(28,7165838,'1',3,224,2,4),(28,7165854,'1',3,424,1,20),(28,7166010,'1',3,110,2,55),(28,7166044,'1',3,501,2,48),(28,7166052,'1',3,308,2,51),(28,7166087,'1',3,327,2,26),(28,7166206,'1',3,427,1,25),(28,7166311,'1',2,317,2,11),(28,7166443,'1A',3,601,2,167),(28,7166460,'1A',2,233,2,10),(28,7166613,'1',3,202,1,19),(28,7166621,'1',3,424,1,8),(28,7166710,'1',3,201,2,49),(28,7166729,'1A',3,238,2,41),(28,7166770,'1',3,211,2,57),(28,7166800,'1',2,404,2,10),(28,7166869,'1',3,601,1,107),(28,7166893,'1',4,501,1,6),(28,7166907,'1',3,211,1,9),(28,7166974,'1',3,652,1,16),(28,7167016,'1',3,308,2,83),(28,7167148,'1',3,601,2,163),(28,7167156,'1',3,103,1,34),(28,7167172,'1',3,109,2,51),(28,7167342,'1',3,103,1,18),(28,7167350,'1',3,551,1,62),(28,7167369,'1',2,108,1,4),(28,7167407,'1',3,308,2,82),(28,7167415,'1A',2,655,1,5),(28,7167431,'1',3,3,1,14),(28,7167539,'1',3,3,2,42),(28,7167547,'1',3,426,2,8),(28,7167628,'1A',3,215,1,13),(28,7167636,'1',3,103,2,60),(28,7167652,'1',2,318,1,4),(28,7167695,'1',1,108,2,7),(28,7167725,'1',2,333,1,6),(28,7167750,'1',3,224,2,21),(28,7167776,'1',3,601,1,27),(28,7167857,'1',3,102,1,43),(28,7167997,'1',3,238,2,57),(28,7168128,'1',3,211,1,29),(28,7168160,'1',3,216,1,3),(28,7168195,'1',3,202,1,4),(28,7168268,'1A',3,235,1,4),(28,7168357,'1',3,501,1,39),(28,7168462,'1',1,340,1,1),(28,7168551,'1',3,101,2,44),(28,7168594,'1',3,331,1,3),(28,7168640,'1',3,102,2,58),(28,7168675,'1',3,426,2,12),(28,7168900,'1',3,316,1,11),(28,7168934,'1',3,404,2,24),(28,7169167,'1',3,317,1,30),(28,7169310,'1',3,425,1,12),(28,7169329,'1',3,328,1,9),(28,7169558,'1',3,501,1,19),(28,7169582,'1A',3,601,2,194),(28,7169671,'1',3,5,2,57),(28,7169825,'1',3,429,2,26),(28,7169906,'1',2,601,2,79),(28,7169949,'1',3,309,1,1),(28,7170050,'1',3,319,2,40),(28,7170068,'1',3,331,1,8),(28,7170092,'1',2,213,1,3),(28,7170270,'1',3,601,2,212),(28,7170386,'1',3,502,1,4),(28,7170432,'1',3,340,1,5),(28,7170483,'1',3,3,1,21),(28,7170513,'1',3,2,1,5),(28,7170521,'1',3,233,2,53),(28,7170564,'1',3,102,2,95),(28,7170572,'1',2,109,1,2),(28,7170602,'1',3,102,1,10),(28,7170645,'1',3,303,2,48),(28,7170742,'1',3,601,1,74),(28,7170777,'1',2,317,1,2),(28,7170840,'1',2,211,2,17),(28,7170980,'1',3,304,2,70),(28,7171005,'1A',3,211,1,22),(28,7171021,'1A',3,211,1,24),(28,7171048,'1',2,317,1,9),(28,7171072,'1',3,203,2,41),(28,7171080,'1A',3,601,2,204),(28,7171102,'1',3,110,1,4),(28,7171129,'1',3,108,2,49),(28,7171145,'1',3,203,2,39),(28,7171234,'1',3,211,2,46),(28,7171269,'1',3,208,2,39),(28,7171382,'1',3,454,1,18),(28,7171412,'1',3,211,2,49),(28,7171471,'1',3,601,2,155),(28,7171480,'1A',3,601,2,188),(28,7171579,'1',3,214,1,14),(28,7171587,'1',3,310,1,33),(28,7171625,'1A',3,655,1,2),(28,7171668,'1',3,601,1,39),(28,7171757,'1',3,601,1,75),(28,7171803,'1',3,404,2,39),(28,7171811,'1',3,208,2,49),(28,7171838,'1',3,501,1,28),(28,7171897,'1',3,339,2,29),(28,7171935,'1',3,415,2,36),(28,7172036,'1',3,201,2,51),(28,7172060,'1',3,428,2,66),(28,7172176,'1',3,425,1,2),(28,7172184,'1',3,428,1,35),(28,7172265,'1',3,423,1,37),(28,7172281,'1A',3,424,1,13),(28,7172303,'1',2,108,1,3),(28,7172362,'1A',2,235,2,10),(28,7172400,'1',3,652,1,25),(28,7172516,'1',3,238,2,48),(28,7172630,'1',3,104,1,6),(28,7172699,'1',3,327,2,1),(28,7172710,'1A',2,655,1,2),(28,7172737,'1',3,316,2,38),(28,7172753,'1A',3,601,2,207),(28,7172818,'1',3,404,1,3),(28,7173130,'1',3,304,1,21),(28,7173156,'1',2,208,2,11),(28,7173300,'1',3,428,2,61),(28,7173407,'1',3,201,1,5),(28,7173512,'1A',3,215,1,3),(28,7173652,'1',2,303,2,10),(28,7173660,'1',3,201,1,8),(28,7173717,'1',3,502,2,46),(28,7173768,'1',3,304,1,29),(28,7173849,'1',3,551,1,2),(28,7173890,'1',3,110,2,54),(28,7174055,'1',3,9,1,9),(28,7174276,'1',2,213,1,2),(28,7174446,'1',3,655,1,10),(28,7174608,'1',3,110,1,16),(28,7174691,'1',3,202,1,24),(28,7174870,'1',3,309,2,67),(28,7174985,'1',3,216,2,29),(28,7175019,'1',2,501,2,22),(28,7175035,'1',3,551,1,1),(28,7175388,'1',1,214,1,1),(28,7175450,'1',3,201,1,29),(28,7175531,'1',3,502,2,32),(28,7175566,'1',3,318,2,58),(28,7175663,'1',3,340,2,40),(28,7175752,'1',3,551,1,74),(28,7175892,'1',3,211,1,27),(28,7176015,'1',1,444,2,6),(28,7176090,'1',3,5,2,63),(28,7176147,'1',3,234,1,25),(28,7176198,'1',3,110,1,25),(28,7176210,'1',3,308,2,44),(28,7176368,'1',3,426,2,20),(28,7176392,'1A',3,421,1,6),(28,7176490,'1',3,601,2,252),(28,7176503,'1',3,308,2,69),(28,7176546,'1A',2,601,2,75),(28,7176627,'1',3,502,1,24),(28,7176635,'1A',3,233,1,5),(28,7176708,'1',3,9,1,15),(28,7176856,'1',3,304,2,66),(28,7176872,'1',3,101,1,18),(28,7176880,'1',3,331,1,5),(28,7176961,'1',3,207,2,53),(28,7176970,'1',3,225,1,23),(28,7177011,'1A',3,601,1,66),(28,7177135,'1A',3,235,2,26),(28,7177216,'1',3,224,2,19),(28,7177453,'1A',3,202,1,29),(28,7177623,'1',3,318,1,27),(28,7177879,'1',3,551,1,59),(28,7177950,'1',2,444,2,10),(28,7178085,'1',3,104,1,13),(28,7178123,'1',3,501,1,41),(28,7178417,'1',3,337,1,11),(28,7178433,'1',3,501,1,9),(28,7178476,'1A',3,601,2,300),(28,7178514,'1A',3,601,1,73),(28,7178700,'1',3,454,2,82),(28,7178727,'1',3,454,1,30),(28,7178816,'1',3,327,2,16),(28,7178859,'1',3,101,1,5),(28,7179006,'1',1,316,2,9),(28,7179022,'1',3,301,2,70),(28,7179057,'1',3,208,2,58),(28,7179189,'1',3,223,1,44),(28,7179197,'1',3,216,1,1),(28,7179243,'1',3,601,1,36),(28,7179308,'1',3,454,1,15),(28,7179375,'1',3,428,1,16),(28,7179405,'1',3,502,1,31),(28,7179510,'1',3,234,2,58),(28,7179596,'1',3,339,1,5),(28,7179715,'1',3,304,1,27),(28,7179740,'1',3,207,1,24),(28,7179847,'1',3,109,2,59),(28,7179910,'1',2,653,2,11),(28,7179995,'1',3,302,1,22),(28,7180055,'1',3,601,2,273),(28,7180110,'1A',3,233,1,15),(28,7180187,'1',3,9,1,14),(28,7180276,'1',3,109,1,22),(28,7180349,'1',3,336,1,13),(28,7180373,'1',2,104,2,12),(28,7180390,'1',3,320,2,33),(28,7180454,'1',3,207,2,56),(28,7180470,'1',3,208,1,24),(28,7180489,'1',3,444,1,9),(28,7180543,'1',2,207,1,3),(28,7180560,'1',3,108,2,41),(28,7180616,'1',3,214,1,8),(28,7180624,'1',3,303,2,59),(28,7180632,'1',3,655,1,5),(28,7180675,'1',3,423,1,28),(28,7180861,'1A',2,233,2,13),(28,7181027,'1A',3,215,1,10),(28,7181205,'1',3,101,2,35),(28,7181221,'1',3,339,2,40),(28,7181370,'1',3,310,1,18),(28,7181388,'1A',3,601,2,260),(28,7181400,'1',3,501,2,60),(28,7181477,'1',3,454,2,62),(28,7181523,'1',3,203,2,48),(28,7181558,'1',3,308,1,11),(28,7181574,'1',3,454,2,56),(28,7181612,'1',3,102,1,39),(28,7181736,'1',3,301,2,36),(28,7181884,'1',3,230,1,23),(28,7181990,'1',1,202,1,3),(28,7182015,'1A',3,653,1,2),(28,7182023,'1',3,427,1,29),(28,7182040,'1A',3,601,2,291),(28,7182090,'1',3,211,1,6),(28,7182104,'1',3,213,2,18),(28,7182287,'1',3,326,1,20),(28,7182295,'1',3,317,1,17),(28,7182333,'1',3,224,2,20),(28,7182511,'1',1,302,1,1),(28,7182520,'1',3,104,1,25),(28,7182643,'1',3,109,1,4),(28,7182805,'1',3,101,2,29),(28,7182910,'1A',3,212,1,6),(28,7182953,'1',3,428,2,47),(28,7183003,'1',2,208,1,6),(28,7183020,'1',3,426,2,7),(28,7183100,'1A',3,233,1,8),(28,7183232,'1',3,332,2,9),(28,7183267,'1',3,222,1,16),(28,7183470,'1',2,207,2,16),(28,7183585,'1',3,109,1,26),(28,7183690,'1',3,215,2,29),(28,7183810,'1',3,424,1,9),(28,7183887,'1',3,110,1,6),(28,7184042,'1',3,317,1,18),(28,7184077,'1',3,222,1,32),(28,7184085,'1',3,308,2,90),(28,7184190,'1',3,207,2,35),(28,7184271,'1',1,108,1,4),(28,7184301,'1',2,318,2,12),(28,7184328,'1',2,5,1,8),(28,7184344,'1',1,303,1,3),(28,7184387,'1',2,601,1,34),(28,7184476,'1',2,5,2,14),(28,7184492,'1',3,317,2,55),(28,7184506,'1',2,212,2,5),(28,7184549,'1',3,308,1,22),(28,7184557,'1',3,653,1,22),(28,7184565,'1',2,207,1,4),(28,7184573,'1',2,601,1,19),(28,7184620,'1',3,329,1,25),(28,7184662,'1',3,3,1,13),(28,7184697,'1',1,108,1,2),(28,7184743,'1',2,552,2,5),(28,7184883,'1',1,319,1,2),(28,7184921,'1',2,216,1,1),(28,7184948,'1',3,108,2,55),(28,7185022,'1',3,208,2,71),(28,7185065,'1',3,103,1,15),(28,7185120,'1',2,101,2,14),(28,7185162,'1',1,108,1,1),(28,7185260,'1',3,326,1,26),(28,7185308,'1',3,404,1,6),(28,7185340,'1',3,601,1,9),(28,7185375,'1',3,201,2,66),(28,7185421,'1',3,654,2,41),(28,7185464,'1',2,429,2,8),(28,7185480,'1',3,102,1,46),(28,7185502,'1',3,102,1,30),(28,7185510,'1',3,302,2,68),(28,7185537,'1',3,327,2,31),(28,7185618,'1',2,216,1,3),(28,7185626,'1A',3,655,2,35),(28,7185766,'1',2,201,1,10),(28,7185820,'1',3,652,2,60),(28,7185839,'1',3,3,1,35),(28,7185855,'1',3,234,1,36),(28,7185979,'1',3,203,2,73),(28,7186045,'1A',2,653,2,9),(28,7186126,'1',3,202,2,57),(28,7186150,'1',3,2,1,28),(28,7186177,'1',2,303,2,11),(28,7186185,'1',2,103,2,16),(28,7186193,'1',3,205,2,21),(28,7186231,'1',1,104,2,10),(28,7186304,'1',3,423,1,19),(28,7186312,'1',3,110,2,38),(28,7186401,'1',3,601,2,305),(28,7186436,'1',3,451,1,8),(28,7186665,'1',3,213,1,11),(28,7186681,'1',2,444,1,4),(28,7186711,'1',3,426,2,19),(28,7186738,'1',3,320,2,20),(28,7186770,'1',2,102,2,21),(28,7186819,'1',2,316,1,3),(28,7186851,'1',3,224,2,34),(28,7186860,'1',2,108,1,8),(28,7186886,'1',3,302,2,57),(28,7186967,'1',1,415,2,4),(28,7187092,'1',2,301,1,3),(28,7187122,'1',1,109,1,1),(28,7187327,'1',3,601,1,84),(28,7187343,'1',2,222,1,4),(28,7187580,'1',3,104,2,70),(28,7187718,'1',1,301,1,5),(28,7187823,'1',3,302,1,35),(28,7187874,'1',3,101,1,6),(28,7187971,'1',2,201,2,22),(28,7188048,'1',3,224,2,6),(28,7188072,'1',3,428,2,50),(28,7188080,'1',1,5,2,8),(28,7188102,'1',2,304,1,7),(28,7188145,'1',2,101,2,12),(28,7188170,'1',3,601,2,308),(28,7188218,'1A',3,653,1,32),(28,7188226,'1',3,318,2,38),(28,7188277,'1',2,501,1,7),(28,7188285,'1',3,316,2,71),(28,7188323,'1',3,309,2,63),(28,7188331,'1',2,318,1,3),(28,7188366,'1',1,235,1,3),(28,7188412,'1',2,9,1,3),(28,7188447,'1',1,211,1,5),(28,7188455,'1A',2,238,2,11),(28,7188463,'1',3,301,1,16),(28,7188471,'1',3,426,2,6),(28,7188587,'1',2,444,2,9),(28,7188684,'1',2,601,2,65),(28,7188765,'1A',3,211,2,43),(28,7188870,'1',1,214,2,3),(28,7188927,'1',2,336,1,5),(28,7188960,'1',3,339,2,33),(28,7189028,'1',3,309,1,24),(28,7189044,'1',3,5,2,32),(28,7189079,'1',3,304,1,5),(28,7189117,'1',3,224,2,13),(28,7189141,'1',3,216,2,33),(28,7189206,'1A',3,211,2,54),(28,7189370,'1',3,404,1,5),(28,7189427,'1',3,331,1,28),(28,7189516,'1',3,317,1,22),(28,7189575,'1',3,654,2,45),(28,7189591,'1',3,404,1,19),(28,7189648,'1',3,340,1,6),(28,7189788,'1',3,230,1,19),(28,7189796,'1',3,223,1,42),(28,7189818,'1',2,318,2,10),(28,7189869,'1',3,309,2,56),(28,7189877,'1',3,424,1,31),(28,7189990,'1',3,109,2,31),(28,7190123,'1',3,110,2,61),(28,7190182,'1',3,332,2,7),(28,7190212,'1',3,327,2,7),(28,7190310,'1',3,102,2,92),(28,7190336,'1',3,319,2,60),(28,7190344,'1',3,404,2,31),(28,7190379,'1',2,327,2,1),(28,7190395,'1',2,501,2,17),(28,7190409,'1',3,332,2,30),(28,7190484,'1',3,317,1,27),(28,7190492,'1',2,304,2,15),(28,7190557,'1',3,601,1,1),(28,7190565,'1',3,222,1,23),(28,7190573,'1',3,303,1,29),(28,7190638,'1',1,203,1,3),(28,7190646,'1',2,104,2,15),(28,7190743,'1',3,222,1,26),(28,7190956,'1A',3,652,1,12),(28,7191022,'1',1,203,2,10),(28,7191103,'1',3,454,2,64),(28,7191120,'1',3,316,2,49),(28,7191227,'1A',3,601,1,3),(28,7191260,'1',4,103,1,1),(28,7191421,'1A',3,601,1,152),(28,7191448,'1',3,324,1,4),(28,7191499,'1A',3,652,2,50),(28,7191634,'1',3,320,2,26),(28,7191650,'1A',3,655,2,36),(28,7191707,'1',2,235,1,1),(28,7191715,'1',3,215,2,30),(28,7191731,'1',3,308,1,4),(28,7191758,'1',3,5,1,5),(28,7191790,'1',3,552,2,27),(28,7191804,'1A',3,601,1,140),(28,7191820,'1',3,225,1,19),(28,7191847,'1',3,427,1,7),(28,7191979,'1',3,551,1,38),(28,7192037,'1',3,316,1,4),(28,7192053,'1',3,238,1,27),(28,7192150,'1',3,317,2,48),(28,7192185,'1',3,201,2,59),(28,7192207,'1',3,601,1,114),(28,7192258,'1',1,326,1,1),(28,7192363,'1',3,338,1,22),(28,7192401,'1',3,211,2,42),(28,7192428,'1',3,224,2,17),(28,7192444,'1',2,302,2,11),(28,7192550,'1',3,230,1,10),(28,7192576,'1',3,429,2,13),(28,7192630,'1A',3,214,2,21),(28,7192657,'1',1,110,1,3),(28,7192665,'1',3,551,1,28),(28,7192762,'1',2,404,2,8),(28,7192789,'1',3,304,1,28),(28,7192878,'1',3,304,2,43),(28,7193033,'1',3,309,1,2),(28,7193068,'1',3,3,2,46),(28,7193092,'1',3,220,1,12),(28,7193157,'1',3,654,2,38),(28,7193220,'1',3,3,1,18),(28,7193246,'1',2,501,2,14),(28,7193300,'1',3,501,1,25),(28,7193386,'1',3,235,2,25),(28,7193408,'1',3,233,1,23),(28,7193416,'1',1,104,1,5),(28,7193459,'1',2,303,1,3),(28,7193483,'1',3,308,2,53),(28,7193521,'1',3,234,1,31),(28,7193548,'1',3,440,1,12),(28,7193564,'1A',2,429,2,1),(28,7193580,'1',3,202,1,16),(28,7193629,'1',3,316,2,37),(28,7193661,'1',2,101,2,13),(28,7193688,'1A',3,652,2,71),(28,7193823,'1',3,551,1,14),(28,7193840,'1',3,426,2,33),(28,7193882,'1',3,3,1,29),(28,7193955,'1',3,415,2,29),(28,7193998,'1',3,233,2,52),(28,7194048,'1',3,329,1,29),(28,7194129,'1',3,451,1,4),(28,7194137,'1',3,652,1,31),(28,7194161,'1',3,308,1,1),(28,7194188,'1',1,216,2,4),(28,7194498,'1',3,308,2,79),(28,7194536,'1',2,203,1,7),(28,7194633,'1',3,103,2,42),(28,7194692,'1',3,213,2,27),(28,7194765,'1',1,415,2,6),(28,7194870,'1',3,601,1,44),(28,7194889,'1',3,501,2,50),(28,7194927,'1',3,309,1,39),(28,7195010,'1',3,102,2,85),(28,7195109,'1',3,201,2,46),(28,7195133,'1',3,501,2,66),(28,7195176,'1',3,425,1,27),(28,7195184,'1',2,317,2,10),(28,7195214,'1A',3,212,2,15),(28,7195249,'1A',3,601,1,132),(28,7195257,'1A',3,220,2,48),(28,7195532,'1',3,301,2,54),(28,7195575,'1',3,310,1,32),(28,7195591,'1',3,238,1,4),(28,7195613,'1',3,454,2,79),(28,7195648,'1',3,340,2,41),(28,7195664,'1',3,316,2,67),(28,7195800,'1',3,235,2,37),(28,7195842,'1',1,331,1,1),(28,7195877,'1',3,104,1,17),(28,7195893,'1',3,108,2,50),(28,7195915,'1',3,104,1,27),(28,7196016,'1A',3,655,1,15),(28,7196059,'1',3,104,2,40),(28,7196067,'1',3,327,2,14),(28,7196083,'1',3,203,1,34),(28,7196091,'1',2,5,2,18),(28,7196156,'1',2,454,1,1),(28,7196229,'1',3,103,1,5),(28,7196261,'1',3,203,1,1),(28,7196342,'1',3,326,1,7),(28,7196377,'1A',3,202,2,58),(28,7196539,'1',2,5,2,10),(28,7196636,'1A',3,423,1,27),(28,7196768,'1',2,316,1,4),(28,7196776,'1',3,225,1,16),(28,7196946,'1A',3,215,2,22),(28,7197004,'1',3,101,1,22),(28,7197055,'1',3,108,1,5),(28,7197136,'1',3,301,2,67),(28,7197225,'1A',3,601,2,195),(28,7197241,'1',3,652,2,46),(28,7197284,'1',3,601,2,293),(28,7197403,'1A',3,213,1,3),(28,7197527,'1',3,340,1,19),(28,7197594,'1A',2,601,1,5),(28,7197608,'1',3,202,1,8),(28,7197748,'1A',3,424,1,34),(28,7197756,'1',3,501,1,17),(28,7197829,'1',3,423,1,2),(28,7197861,'1',2,339,1,3),(28,7198051,'1',2,212,2,7),(28,7198132,'1',3,104,2,42),(28,7198213,'1',3,302,2,44),(28,7198248,'1',2,222,1,1),(28,7198272,'1',3,238,1,16),(28,7198280,'1',2,104,2,11),(28,7198302,'1',3,101,2,38),(28,7198310,'1A',2,601,2,72),(28,7198396,'1A',3,238,2,49),(28,7198450,'1A',3,601,1,22),(28,7198477,'1',3,108,1,18),(28,7198485,'1',1,340,2,7),(28,7198507,'1',3,654,2,35),(28,7198540,'1',2,319,2,15),(28,7198582,'1',3,304,2,53),(28,7198590,'1',3,310,1,22),(28,7198680,'1',3,3,2,51),(28,7198787,'1',2,308,1,5),(28,7198850,'1',3,326,1,14),(28,7198876,'1A',3,652,2,61),(28,7198914,'1',2,444,1,3),(28,7199007,'1',3,309,1,26),(28,7199082,'1',3,326,1,13),(28,7199104,'1',3,234,1,18),(28,7199112,'1',3,332,2,29),(28,7199139,'1',1,102,1,3),(28,7199147,'1',3,225,1,33),(28,7199155,'1',3,230,1,17),(28,7199198,'1',2,208,1,7),(28,7199228,'1',2,110,2,13),(28,7199333,'1',3,202,2,60),(28,7199341,'1',2,235,2,7),(28,7199368,'1',2,208,1,5),(28,7199600,'1',2,339,2,12),(28,7199708,'1',1,415,1,2),(28,7199724,'1',3,652,2,51),(28,7199775,'1',3,302,2,64),(28,7199805,'1',2,301,2,13),(28,7199813,'1',3,324,1,30),(28,7199953,'1',2,235,1,2),(28,7200005,'1',3,317,1,24),(28,7200048,'1',1,5,1,4),(28,7200145,'1A',3,601,2,286),(28,7200161,'1A',2,601,2,61),(28,7200188,'1',2,201,2,14),(28,7200242,'1',3,338,1,18),(28,7200277,'1',3,317,1,14),(28,7200390,'1',3,207,1,23),(28,7200480,'1',1,450,1,2),(28,7200692,'1',3,332,2,1),(28,7200706,'1',3,203,2,74),(28,7200919,'1A',3,601,2,258),(28,7200951,'1',1,303,1,4),(28,7201044,'1',2,454,1,8),(28,7201150,'1',2,310,1,1),(28,7201184,'1',2,340,2,9),(28,7201443,'1',3,502,1,20),(28,7201508,'1',3,440,1,7),(28,7201656,'1A',3,235,1,6),(28,7201699,'1',2,109,2,9),(28,7201729,'1',2,415,1,4),(28,7201796,'1',3,441,1,8),(28,7201893,'1',3,203,2,70),(28,7201907,'1A',2,235,2,12),(28,7201923,'1',3,415,2,34),(28,7201958,'1',3,502,1,6),(28,7202040,'1',2,220,1,4),(28,7202113,'1',1,318,1,1),(28,7202148,'1',2,211,1,8),(28,7202229,'1',1,451,1,1),(28,7202237,'1',3,655,2,37),(28,7202318,'1',2,109,1,7),(28,7202342,'1',2,336,1,2),(28,7202431,'1',1,336,1,2),(28,7202474,'1',2,233,1,2),(28,7202555,'1',3,304,2,56),(28,7202598,'1',2,103,2,17),(28,7202660,'1',1,201,1,4),(28,7202750,'1',3,223,1,23),(28,7202911,'1',2,5,2,17),(28,7202938,'1',3,316,1,20),(28,7202989,'1A',2,215,1,4),(28,7202997,'1',3,104,1,18),(28,7203012,'1',2,233,1,3),(28,7203020,'1',3,654,2,46),(28,7203063,'1',3,2,1,45),(28,7203152,'1',3,234,2,63),(28,7203195,'1',3,451,1,13),(28,7203233,'1',3,308,2,59),(28,7203241,'1',3,9,1,16),(28,7203268,'1',1,220,1,1),(28,7203306,'1',3,601,2,253),(28,7203497,'1',2,211,2,14),(28,7203500,'1',2,454,2,15),(28,7203560,'1',3,328,1,8),(28,7203624,'1',3,427,1,12),(28,7203632,'1',3,225,1,36),(28,7204043,'1',3,304,1,18),(28,7204051,'1',3,310,1,39),(28,7204205,'1',3,108,2,40),(28,7204329,'1',2,108,1,5),(28,7204361,'1',3,205,1,17),(28,7204426,'1',3,220,2,45),(28,7204493,'1',3,309,1,5),(28,7204515,'1',3,328,1,1),(28,7204523,'1',3,208,1,33),(28,7204582,'1',3,336,1,18),(28,7204671,'1',1,203,2,11),(28,7204710,'1',3,309,2,52),(28,7204787,'1',3,223,1,26),(28,7204876,'1',3,337,1,7),(28,7204892,'1',1,318,1,2),(28,7204930,'1',3,551,1,75),(28,7204957,'1',3,339,1,13),(28,7205015,'1',3,102,1,33),(28,7205104,'1',3,101,2,42),(28,7205112,'1',2,501,2,20),(28,7205210,'1',3,234,1,35),(28,7205228,'1',2,501,1,1),(28,7205244,'1',3,215,2,33),(28,7205341,'1A',3,423,1,9),(28,7205376,'1',2,654,2,11),(28,7205465,'1',3,552,2,10),(28,7205490,'1',3,428,1,7),(28,7205546,'1',3,309,1,20),(28,7205562,'1',3,234,1,11),(28,7205635,'1A',2,211,1,9),(28,7205775,'1',3,502,1,21),(28,7205821,'1A',2,653,2,16),(28,7205848,'1',3,329,1,4),(28,7205929,'1',3,5,1,31),(28,7205953,'1',3,404,1,20),(28,7206054,'1',3,109,2,60),(28,7206097,'1',2,340,2,14),(28,7206143,'1',2,318,1,2),(28,7206186,'1',3,5,2,48),(28,7206208,'1',3,234,1,27),(28,7206216,'1',3,308,1,10),(28,7206240,'1',3,224,2,11),(28,7206305,'1',3,327,2,33),(28,7206321,'1',1,5,2,6),(28,7206399,'1',3,208,2,53),(28,7206410,'1',3,102,2,70),(28,7206437,'1',3,109,1,23),(28,7206453,'1A',3,601,1,25),(28,7206470,'1',3,328,1,23),(28,7206542,'1',3,201,2,42),(28,7206550,'1',1,319,1,1),(28,7206615,'1',3,450,1,5),(28,7206828,'1',3,329,1,27),(28,7206852,'1',3,225,1,7),(28,7206887,'1',3,326,1,28),(28,7207042,'1',3,202,1,10),(28,7207204,'1',3,335,1,5),(28,7207212,'1A',3,233,2,30),(28,7207220,'1',3,208,2,72),(28,7207271,'1',2,317,2,17),(28,7207301,'1',3,429,2,18),(28,7207328,'1',3,109,2,55),(28,7207352,'1',3,454,1,38),(28,7207379,'1',3,551,1,10),(28,7207409,'1',3,404,2,38),(28,7207441,'1',3,308,2,46),(28,7207468,'1',3,324,1,7),(28,7207506,'1',3,655,1,4),(28,7207565,'1',3,451,1,16),(28,7207590,'1A',1,235,2,4),(28,7207620,'1',3,304,2,37),(28,7207670,'1',3,404,2,28),(28,7207794,'1',2,302,2,15),(28,7207859,'1',3,424,1,26),(28,7208367,'1',1,108,2,5),(28,7208375,'1',3,202,1,22),(28,7208545,'1',3,309,2,60),(28,7208570,'1',3,202,2,55),(28,7208642,'1',3,104,2,51),(28,7208774,'1',3,319,1,8),(28,7208820,'1',3,339,2,32),(28,7208979,'1',1,101,2,5),(28,7209061,'1',3,308,1,30),(28,7209142,'1A',2,653,2,13),(28,7209150,'1A',2,202,1,10),(28,7209347,'1',3,234,2,48),(28,7209401,'1',3,450,1,18),(28,7209444,'1',3,324,1,6),(28,7209517,'1',3,5,1,12),(28,7209568,'1',3,502,2,58),(28,7209584,'1',3,308,1,8),(28,7209665,'1',2,301,1,9),(28,7209800,'1',2,601,1,35),(28,7209878,'1',3,308,2,67),(28,7210175,'1',3,223,1,7),(28,7210299,'1',3,444,2,42),(28,7210310,'1',3,653,1,10),(28,7210361,'1',3,101,1,11),(28,7210370,'1',2,3,1,3),(28,7210671,'1',3,601,2,311),(28,7210795,'1A',3,601,1,59),(28,7210949,'1',3,404,1,21),(28,7210973,'1',3,502,2,44),(28,7211082,'1',3,5,1,9),(28,7211112,'1',3,318,2,40),(28,7211147,'1A',3,601,1,45),(28,7211171,'1',3,502,2,39),(28,7211260,'1',3,601,1,85),(28,7211350,'1',3,309,1,25),(28,7211384,'1',2,404,2,12),(28,7211708,'1',3,428,1,11),(28,7211821,'1',2,3,1,4),(28,7211856,'1',3,551,1,37),(28,7211902,'1',3,308,1,42),(28,7211945,'1',1,207,2,7),(28,7212054,'1',3,340,1,2),(28,7212127,'1A',3,211,1,16),(28,7212216,'1',3,320,2,28),(28,7212399,'1',2,653,2,10),(28,7212410,'1',3,501,2,77),(28,7212461,'1',3,551,1,18),(28,7212470,'1',3,329,1,12),(28,7212526,'1',2,303,2,17),(28,7212542,'1',3,332,2,26),(28,7212607,'1',3,104,1,7),(28,7212658,'1',3,426,2,13),(28,7212798,'1A',2,601,2,46),(28,7212860,'1',3,309,1,17),(28,7212950,'1',3,319,2,51),(28,7213115,'1',3,222,1,13),(28,7213140,'1',3,318,2,53),(28,7213158,'1',3,317,2,62),(28,7213263,'1A',3,214,2,24),(28,7213271,'1',3,331,1,16),(28,7213468,'1',3,238,2,51),(28,7213565,'1',3,109,2,37),(28,7213743,'1',3,552,2,8),(28,7213840,'1',2,316,1,2),(28,7213883,'1',3,551,1,15),(28,7213980,'1',3,223,1,37),(28,7214065,'1',2,319,2,18),(28,7214111,'1',3,324,1,21),(28,7214243,'1A',3,211,2,62),(28,7214332,'1',2,110,1,5),(28,7214430,'1A',2,601,1,32),(28,7214499,'1',3,655,2,34),(28,7214553,'1',3,304,1,30),(28,7214600,'1',3,318,1,15),(28,7214626,'1',2,109,1,6),(28,7214685,'1',3,102,1,14),(28,7214740,'1',2,318,2,16),(28,7214774,'1',3,205,1,4),(28,7214782,'1',2,340,1,1),(28,7214790,'1',2,318,1,8),(28,7214944,'1',1,212,2,3),(28,7214952,'1',2,333,1,3),(28,7214960,'1',3,551,1,33),(28,7214987,'1',3,2,1,25),(28,7215010,'1',2,238,1,9),(28,7215037,'1',3,103,2,70),(28,7215118,'1',3,601,1,118),(28,7215150,'1',3,303,1,1),(28,7215452,'1',3,336,1,9),(28,7215495,'1',2,333,1,4),(28,7215533,'1',3,423,1,7),(28,7215630,'1',3,425,1,25),(28,7215843,'1',3,427,1,1),(28,7216025,'1',3,404,2,37),(28,7216173,'1A',2,601,1,22),(28,7216220,'1',2,207,2,10),(28,7216327,'1A',3,652,2,39),(28,7216386,'1',3,308,2,52),(28,7216394,'1A',3,212,2,20),(28,7216424,'1',3,223,1,29),(28,7216440,'1',2,653,2,14),(28,7216459,'1',3,324,1,2),(28,7216483,'1',3,3,1,19),(28,7216548,'1',3,654,2,34),(28,7216580,'1',3,502,2,47),(28,7216629,'1',3,224,2,8),(28,7216688,'1',3,225,1,38),(28,7216734,'1',2,333,1,2),(28,7216742,'1',3,2,1,10),(28,7216866,'1',3,101,2,43),(28,7216947,'1',2,451,1,6),(28,7217048,'1A',3,652,1,30),(28,7217137,'1',3,501,2,70),(28,7217161,'1',3,308,1,27),(28,7217200,'1A',2,238,2,17),(28,7217285,'1',3,215,1,6),(28,7217315,'1',3,454,2,67),(28,7217340,'1',3,102,1,35),(28,7217447,'1',2,216,2,7),(28,7217528,'1',2,327,2,5),(28,7217609,'1',2,454,1,5),(28,7217668,'1A',2,220,2,12),(28,7217706,'1',3,238,2,43),(28,7217730,'1',3,3,2,57),(28,7217846,'1',2,304,1,6),(28,7217900,'1',3,551,1,41),(28,7217960,'1',3,102,1,4),(28,7218001,'1',3,301,1,19),(28,7218044,'1',3,454,2,58),(28,7218060,'1',3,202,2,45),(28,7218125,'1',3,415,1,13),(28,7218214,'1',3,654,2,44),(28,7218290,'1A',2,429,2,6),(28,7218320,'1',3,309,1,19),(28,7218370,'1A',3,601,2,239),(28,7218486,'1',3,316,2,56),(28,7218494,'1',3,652,2,56),(28,7218559,'1',3,653,1,1),(28,7218605,'1',3,103,2,58),(28,7218702,'1',3,308,1,35),(28,7218753,'1',3,331,1,24),(28,7218800,'1',3,454,2,71),(28,7218818,'1',2,5,1,5),(28,7218834,'1',3,301,1,18),(28,7218931,'1',3,224,2,12),(28,7219016,'1A',3,201,2,61),(28,7219091,'1',3,224,2,14),(28,7219180,'1',3,108,2,44),(28,7219326,'1A',3,601,1,53),(28,7219580,'1',2,601,2,76),(28,7219695,'1',3,5,1,22),(28,7219857,'1',3,211,1,12),(28,7219946,'1',3,339,2,43),(28,7220111,'1',3,444,1,10),(28,7220138,'1',3,340,1,14),(28,7220162,'1',3,108,2,33),(28,7220200,'1',3,655,2,33),(28,7220294,'1',2,415,2,10),(28,7220308,'1',3,551,1,7),(28,7220367,'1',3,428,1,5),(28,7220375,'1',3,308,1,39),(28,7220383,'1',3,101,1,24),(28,7220430,'1',3,211,2,48),(28,7220596,'1A',3,235,2,27),(28,7220669,'1',1,444,1,3),(28,7220693,'1A',3,214,1,12),(28,7220723,'1',3,444,1,13),(28,7220731,'1',1,216,1,3),(28,7220758,'1A',3,235,2,28),(28,7220847,'1',3,234,1,3),(28,7220910,'1',1,104,1,4),(28,7220944,'1',3,551,1,55),(28,7220987,'1',3,655,1,6),(28,7221002,'1',3,317,1,3),(28,7221100,'1',3,303,1,21),(28,7221118,'1',3,224,2,9),(28,7221134,'1',3,308,1,23),(28,7221274,'1',3,220,1,16),(28,7221320,'1',2,601,1,7),(28,7221436,'1',3,653,2,55),(28,7221460,'1',3,201,2,63),(28,7221606,'1',2,215,2,8),(28,7221703,'1',3,310,1,6),(28,7221746,'1',2,101,2,9),(28,7221878,'1',3,324,1,10),(28,7221894,'1',3,2,1,36),(28,7221908,'1',3,238,1,18),(28,7221932,'1',3,415,2,39),(28,7222033,'1',3,3,1,20),(28,7222130,'1',2,208,1,10),(28,7222149,'1',3,223,1,19),(28,7222238,'1A',3,601,2,185),(28,7222289,'1',3,317,2,38),(28,7222327,'1',3,2,1,39),(28,7222360,'1',3,423,1,8),(28,7222386,'1',3,109,1,17),(28,7222394,'1',3,653,1,12),(28,7222432,'1',3,2,1,13),(28,7222548,'1',3,316,1,34),(28,7222610,'1',2,104,1,5),(28,7222734,'1',3,208,1,21),(28,7222807,'1',3,316,1,9),(28,7222815,'1',3,102,1,29),(28,7222823,'1',2,327,2,2),(28,7222840,'1',3,234,1,4),(28,7222939,'1',2,655,1,1),(28,7222963,'1',2,207,1,6),(28,7223005,'1',1,316,1,5),(28,7223013,'1',3,201,2,56),(28,7223080,'1',2,317,1,5),(28,7223099,'1',3,223,1,48),(28,7223102,'1',3,336,1,2),(28,7223153,'1',3,310,1,9),(28,7223323,'1',3,302,2,61),(28,7223366,'1',2,108,2,13),(28,7223374,'1',1,203,2,9),(28,7223420,'1',3,308,2,75),(28,7223510,'1',3,303,1,27),(28,7223536,'1',3,429,2,7),(28,7223633,'1',3,308,1,9),(28,7223692,'1',3,421,1,17),(28,7223706,'1',1,201,1,6),(28,7223722,'1',3,110,1,2),(28,7223757,'1A',2,235,1,6),(28,7223862,'1',2,102,1,9),(28,7223870,'1',3,502,2,65),(28,7223994,'1',3,316,1,17),(28,7224001,'1',3,9,1,28),(28,7224010,'1',2,211,1,3),(28,7224109,'1',3,429,2,23),(28,7224125,'1',3,208,2,42),(28,7224168,'1',1,211,1,4),(28,7224257,'1',2,317,2,12),(28,7224281,'1',3,655,2,32),(28,7224303,'1',1,207,2,5),(28,7224389,'1',3,216,1,17),(28,7224451,'1',3,501,1,31),(28,7224532,'1',3,202,2,44),(28,7224540,'1',3,310,1,29),(28,7224591,'1',2,654,2,12),(28,7224672,'1',3,320,2,43),(28,7224680,'1',1,319,2,9),(28,7224702,'1A',3,601,1,127),(28,7224710,'1',1,317,1,3),(28,7224877,'1A',2,213,2,5),(28,7224907,'1',1,207,2,8),(28,7224923,'1',3,653,2,63),(28,7225130,'1',3,652,2,81),(28,7225148,'1',2,102,1,6),(28,7225270,'1',3,309,1,7),(28,7225318,'1',3,310,1,38),(28,7225334,'1',3,501,1,32),(28,7225342,'1',3,337,1,18),(28,7225784,'1',3,308,2,55),(28,7225849,'1',3,309,2,71),(28,7225989,'1',3,230,1,16),(28,7226020,'1A',3,601,2,245),(28,7226098,'1',3,316,2,59),(28,7226128,'1',3,337,1,1),(28,7226284,'1',3,302,2,38),(28,7226420,'1',3,429,2,15),(28,7226691,'1',3,310,1,10),(28,7226772,'1',3,331,1,30),(28,7226861,'1',1,207,1,3),(28,7226900,'1',3,5,1,10),(28,7226969,'1',2,336,1,4),(28,7226993,'1',3,428,1,2),(28,7227060,'1',3,223,1,6),(28,7227167,'1',3,441,1,10),(28,7227175,'1',3,551,1,48),(28,7227213,'1',1,101,2,7),(28,7227361,'1',3,427,1,18),(28,7227418,'1',3,309,2,57),(28,7227426,'1A',3,601,1,5),(28,7227477,'1',3,338,1,13),(28,7227485,'1',3,202,1,31),(28,7227582,'1',3,601,2,284),(28,7227671,'1',3,234,2,57),(28,7227760,'1',3,339,1,3),(28,7227795,'1',2,331,1,7),(28,7227809,'1',3,332,2,32),(28,7227841,'1',1,110,1,1),(28,7227850,'1',3,102,1,44),(28,7227892,'1',2,339,1,6),(28,7227957,'1',1,235,1,2),(28,7228031,'1',3,238,2,39),(28,7228147,'1',2,233,2,14),(28,7228155,'1',3,301,2,69),(28,7228180,'1',3,205,1,20),(28,7228244,'1A',3,601,2,274),(28,7228414,'1',1,327,2,1),(28,7228473,'1',3,652,1,35),(28,7228511,'1',2,654,2,8),(28,7228520,'1',3,102,2,57),(28,7228554,'1',3,404,1,16),(28,7228562,'1',3,429,2,14),(28,7228694,'1',2,104,1,3),(28,7228708,'1',3,108,2,42),(28,7228732,'1',2,110,1,8),(28,7228759,'1',2,318,2,14),(28,7228791,'1',2,109,1,3),(28,7228821,'1',2,317,2,16),(28,7228856,'1',3,304,1,6),(28,7228872,'1',2,233,2,9),(28,7228880,'1',3,551,1,43),(28,7229003,'1',3,220,1,2),(28,7229100,'1',2,444,2,12),(28,7229364,'1',3,655,2,44),(28,7229429,'1',2,110,2,9),(28,7229445,'1',2,303,2,16),(28,7229488,'1',2,233,1,1),(28,7229550,'1',3,335,1,2),(28,7229585,'1',2,450,1,6),(28,7229615,'1',2,302,2,17),(28,7229666,'1',1,339,1,1),(28,7229933,'1',3,319,1,18),(28,7229984,'1A',2,211,1,7),(28,7229992,'1',3,301,1,11),(28,7230001,'1',2,601,2,77),(28,7230036,'1',3,207,2,30),(28,7230109,'1',3,208,2,41),(28,7230117,'1',3,329,1,5),(28,7230150,'1',2,208,1,4),(28,7230265,'1',3,309,1,12),(28,7230303,'1',3,102,2,89),(28,7230320,'1',3,2,1,21),(28,7230389,'1',3,451,1,21),(28,7230400,'1',3,652,1,37),(28,7230494,'1A',3,601,2,186),(28,7230630,'1',3,444,1,6),(28,7230702,'1',3,503,1,32),(28,7230737,'1A',3,423,1,34),(28,7230761,'1',3,444,1,12),(28,7230788,'1',2,238,1,7),(28,7230826,'1',1,337,1,1),(28,7230931,'1',3,444,2,35),(28,7230958,'1A',3,601,1,115),(28,7231148,'1',3,601,2,216),(28,7231164,'1',3,234,2,46),(28,7231199,'1',3,333,1,13),(28,7231237,'1',3,101,1,15),(28,7231270,'1',2,202,1,8),(28,7231288,'1',3,208,2,61),(28,7231350,'1',3,653,2,60),(28,7231393,'1',2,654,1,5),(28,7231407,'1',3,308,1,25),(28,7231571,'1',3,423,1,17),(28,7231660,'1',3,101,1,20),(28,7231709,'1',2,302,1,4),(28,7231784,'1',2,316,1,1),(28,7231814,'1',3,601,1,93),(28,7231822,'1',3,318,1,16),(28,7231849,'1',3,222,1,9),(28,7231911,'1',3,238,2,56),(28,7231920,'1',3,101,2,45),(28,7232020,'1',3,551,1,19),(28,7232055,'1',3,317,2,34),(28,7232063,'1A',3,215,1,16),(28,7232080,'1A',3,653,1,17),(28,7232152,'1',3,319,2,50),(28,7232250,'1A',2,235,2,9),(28,7232306,'1',1,319,1,3),(28,7232365,'1',3,220,2,47),(28,7232381,'1',2,202,2,19),(28,7232420,'1',3,423,1,5),(28,7232594,'1',3,109,2,54),(28,7232721,'1',3,301,1,26),(28,7232772,'1',3,503,1,22),(28,7232870,'1A',3,238,1,6),(28,7232934,'1',3,234,1,9),(28,7232950,'1',3,652,2,69),(28,7233035,'1',3,339,1,20),(28,7233108,'1',2,207,1,5),(28,7233221,'1',3,205,1,3),(28,7233299,'1',2,501,1,6),(28,7233370,'1',2,601,2,74),(28,7233400,'1',3,426,2,5),(28,7233507,'1A',3,213,2,17),(28,7233523,'1',3,326,1,29),(28,7233620,'1',2,655,1,6),(28,7233752,'1',3,101,2,51),(28,7233868,'1A',3,655,2,27),(28,7233914,'1',3,428,1,14),(28,7234082,'1',3,109,2,45),(28,7234198,'1',3,454,1,13),(28,7234309,'1',3,225,1,31),(28,7234449,'1A',3,213,1,5),(28,7234589,'1',3,428,1,3),(28,7234643,'1',3,339,1,2),(28,7234686,'1',3,324,1,15),(28,7234724,'1',3,309,2,61),(28,7234767,'1',3,428,1,24),(28,7234783,'1',3,208,2,56),(28,7234872,'1',3,110,2,39),(28,7234902,'1',2,101,1,2),(28,7234970,'1',3,339,2,34),(28,7235038,'1',3,304,1,33),(28,7235062,'1',2,103,2,19),(28,7235100,'1',3,5,2,41),(28,7235127,'1',3,429,2,2),(28,7235135,'1',3,3,2,37),(28,7235186,'1',2,501,1,4),(28,7235259,'1A',2,601,1,2),(28,7235267,'1',3,340,2,54),(28,7235313,'1',2,201,1,11),(28,7235402,'1',2,238,1,10),(28,7235429,'1',3,222,1,12),(28,7235437,'1',2,303,2,13),(28,7235461,'1',3,308,2,70),(28,7235577,'1',3,317,2,33),(28,7235615,'1',2,601,1,37),(28,7235658,'1',3,203,2,42),(28,7235682,'1',3,3,2,38),(28,7235690,'1',3,213,2,31),(28,7235747,'1',1,415,2,5),(28,7235780,'1',3,110,1,11),(28,7235941,'1',3,429,2,9),(28,7236042,'1',3,110,2,51),(28,7236158,'1',3,202,2,40),(28,7236212,'1',2,319,1,7),(28,7236255,'1A',3,429,2,29),(28,7236336,'1',3,655,1,11),(28,7236379,'1',3,3,2,68),(28,7236417,'1',3,308,1,41),(28,7236425,'1',3,450,1,21),(28,7236433,'1',2,415,2,7),(28,7236441,'1',3,203,2,62),(28,7236468,'1',3,302,1,30),(28,7236492,'1',3,102,2,60),(28,7236530,'1',3,340,2,35),(28,7236549,'1A',3,235,1,19),(28,7236557,'1',3,309,2,48),(28,7236654,'1',3,331,1,18),(28,7236689,'1',3,316,2,64),(28,7236760,'1',3,428,1,15),(28,7236808,'1A',3,212,2,19),(28,7236891,'1',3,316,2,44),(28,7237030,'1',1,101,1,4),(28,7237065,'1',2,601,2,47),(28,7237073,'1',3,404,1,13),(28,7237090,'1',2,319,2,10),(28,7237227,'1',3,108,2,54),(28,7237235,'1',3,309,2,66),(28,7237421,'1',3,336,1,21),(28,7237430,'1',3,317,1,6),(28,7237529,'1',3,652,1,26),(28,7237650,'1',3,652,2,72),(28,7237731,'1',3,101,2,32),(28,7237782,'1',3,202,1,11),(28,7237847,'1',3,332,2,22),(28,7237898,'1',3,318,1,18),(28,7237960,'1A',3,201,2,68),(28,7238010,'1',2,102,2,24),(28,7238045,'1A',3,601,2,250),(28,7238134,'1',3,203,1,35),(28,7238142,'1',3,425,1,4),(28,7238193,'1',3,2,1,2),(28,7238312,'1',3,207,2,50),(28,7238436,'1',3,220,2,52),(28,7238452,'1',3,404,2,33),(28,7238460,'1',2,104,2,20),(28,7238509,'1',3,551,1,24),(28,7238517,'1',3,338,1,3),(28,7238525,'1',2,301,2,18),(28,7238533,'1',3,329,1,9),(28,7238576,'1',3,552,2,30),(28,7238673,'1',3,224,2,22),(28,7238762,'1',3,202,1,20),(28,7238770,'1A',2,233,1,7),(28,7238789,'1',2,108,2,14),(28,7238797,'1',3,207,1,25),(28,7238819,'1',3,427,1,3),(28,7238878,'1',3,233,1,2),(28,7238940,'1',3,601,2,269),(28,7239017,'1',3,225,1,35),(28,7239130,'1A',3,233,2,34),(28,7239165,'1',3,428,2,43),(28,7239254,'1',3,301,2,59),(28,7239351,'1',3,304,2,44),(28,7239378,'1',3,601,1,121),(28,7239386,'1A',3,215,2,25),(28,7239416,'1',3,327,2,9),(28,7239440,'1',3,222,1,35),(28,7239513,'1',2,202,2,13),(28,7239742,'1',3,5,2,56),(28,7239793,'1',3,425,1,31),(28,7239939,'1A',3,233,2,29),(28,7239971,'1',3,104,1,5),(28,7240228,'1',3,304,2,38),(28,7240252,'1',3,551,1,71),(28,7240317,'1',3,601,2,215),(28,7240376,'1',3,225,1,21),(28,7240465,'1',3,102,1,19),(28,7240481,'1',1,103,2,6),(28,7240643,'1',3,601,2,283),(28,7240694,'1A',2,601,1,38),(28,7240767,'1',2,108,2,12),(28,7240775,'1',3,501,2,73),(28,7240805,'1',3,501,1,30),(28,7240880,'1',3,309,1,4),(28,7240902,'1',3,301,2,73),(28,7241046,'1',3,429,2,25),(28,7241216,'1',3,102,2,93),(28,7241321,'1',3,428,1,8),(28,7241380,'1',3,110,2,53),(28,7241399,'1A',3,233,2,32),(28,7241437,'1A',2,601,1,36),(28,7241488,'1',3,211,2,38),(28,7241577,'1',3,102,2,91),(28,7241810,'1',3,454,2,81),(28,7241976,'1',1,214,1,2),(28,7241984,'1',3,102,2,84),(28,7242077,'1',3,501,2,78),(28,7242123,'1',3,316,2,36),(28,7242131,'1',3,654,1,8),(28,7242166,'1',3,652,2,62),(28,7242255,'1',2,317,2,18),(28,7242484,'1',1,201,2,9),(28,7242611,'1',1,203,1,6),(28,7242646,'1',2,104,2,17),(28,7242662,'1',2,102,1,11),(28,7242689,'1',3,601,2,248),(28,7242719,'1',2,208,2,16),(28,7242727,'1',3,208,1,6),(28,7242751,'1',1,208,1,3),(28,7242832,'1',3,5,2,42),(28,7243030,'1',3,223,1,5),(28,7243081,'1',3,310,1,28),(28,7243146,'1',3,317,1,29),(28,7243405,'1A',1,601,1,2),(28,7243545,'1',2,302,1,2),(28,7243600,'1',3,601,2,208),(28,7243677,'1',3,238,2,55),(28,7243782,'1',3,318,1,2),(28,7243847,'1',3,502,2,59),(28,7243901,'1',2,320,2,4),(28,7244053,'1',3,201,1,25),(28,7244150,'1A',3,652,1,24),(28,7244274,'1',3,3,2,55),(28,7244312,'1',3,222,1,24),(28,7244355,'1',3,208,2,51),(28,7244479,'1',3,301,1,13),(28,7244525,'1A',3,427,1,24),(28,7244614,'1',3,503,1,8),(28,7244673,'1',3,230,1,7),(28,7244762,'1',2,301,1,6),(28,7244770,'1',3,501,1,20),(28,7244878,'1',2,316,1,7),(28,7244924,'1',3,333,1,18),(28,7245092,'1A',3,212,2,16),(28,7245130,'1',3,404,1,10),(28,7245165,'1A',3,601,1,35),(28,7245254,'1',2,303,1,6),(28,7245319,'1',2,552,2,1),(28,7245335,'1',2,9,1,6),(28,7245386,'1A',3,235,1,18),(28,7245394,'1',2,652,1,3),(28,7245408,'1',3,201,2,62),(28,7245424,'1',3,109,1,25),(28,7245459,'1',2,109,1,1),(28,7245475,'1',3,304,2,58),(28,7245530,'1',1,454,1,5),(28,7245572,'1',1,103,1,1),(28,7245580,'1',3,225,1,2),(28,7245599,'1A',3,213,1,14),(28,7245637,'1',2,454,2,17),(28,7245653,'1',3,450,1,16),(28,7245742,'1',2,318,1,7),(28,7245874,'1',3,230,1,14),(28,7245939,'1',3,338,1,4),(28,7245955,'1',3,331,1,25),(28,7245971,'1A',2,211,1,5),(28,7245998,'1A',3,601,1,86),(28,7246170,'1',3,222,1,2),(28,7246218,'1',3,404,2,42),(28,7246412,'1',2,601,2,80),(28,7246420,'1',2,201,1,7),(28,7246528,'1',3,5,2,38),(28,7246579,'1',2,415,1,5),(28,7246625,'1A',2,207,2,11),(28,7246803,'1A',3,423,1,30),(28,7246897,'1',3,302,2,42),(28,7247095,'1',2,203,2,18),(28,7247109,'1',3,301,2,48),(28,7247168,'1',3,428,1,13),(28,7247222,'1',3,336,1,1),(28,7247249,'1',3,601,1,129),(28,7247303,'1',3,202,1,32),(28,7247338,'1',3,551,1,23),(28,7247362,'1A',3,601,2,280),(28,7247540,'1',3,340,2,37),(28,7247583,'1',3,211,2,44),(28,7247630,'1',2,302,1,9),(28,7247699,'1',3,104,1,35),(28,7247710,'1',3,501,2,80),(28,7247729,'1',2,601,2,50),(28,7247818,'1',3,421,1,21),(28,7247842,'1A',2,652,1,1),(28,7248024,'1',3,5,1,14),(28,7248040,'1',3,202,1,2),(28,7248091,'1',3,319,2,42),(28,7248121,'1',3,428,1,27),(28,7248130,'1',3,335,1,6),(28,7248172,'1',3,223,1,32),(28,7248261,'1A',3,216,2,24),(28,7248342,'1',3,652,1,3),(28,7248369,'1',3,216,2,32),(28,7248385,'1',3,301,1,5),(28,7248415,'1',3,316,2,46),(28,7248555,'1',3,2,1,47),(28,7248601,'1',3,102,1,26),(28,7248784,'1',1,212,2,4),(28,7248792,'1A',3,652,2,74),(28,7249020,'1',3,208,1,19),(28,7249110,'1A',3,423,1,33),(28,7249306,'1',3,340,2,47),(28,7249403,'1',3,225,1,3),(28,7249586,'1',3,302,1,15),(28,7249748,'1',3,310,1,13),(28,7249810,'1',3,326,1,17),(28,7249896,'1',3,102,1,7),(28,7250061,'1A',3,652,2,67),(28,7250088,'1',3,427,1,2),(28,7250290,'1',3,551,1,36),(28,7250312,'1',3,317,2,65),(28,7250487,'1',2,340,1,4),(28,7250533,'1',3,653,1,3),(28,7250541,'1',3,207,1,15),(28,7250649,'1',3,238,2,47),(28,7250673,'1',3,102,1,9),(28,7250754,'1',3,404,2,32),(28,7250797,'1',3,333,1,3),(28,7250827,'1',3,428,1,4),(28,7251017,'1',3,110,1,26),(28,7251041,'1A',3,601,1,104),(28,7251106,'1',3,454,1,4),(28,7251114,'1',3,308,1,19),(28,7251238,'1',3,104,2,65),(28,7251246,'1',2,319,1,9),(28,7251289,'1',3,601,2,199),(28,7251424,'1',3,503,1,30),(28,7251432,'1',3,302,1,11),(28,7251440,'1',3,652,2,53),(28,7251475,'1',2,201,1,1),(28,7251491,'1',3,654,2,39),(28,7251548,'1',3,551,1,52),(28,7251564,'1',3,655,2,38),(28,7251572,'1',3,9,1,26),(28,7251637,'1',3,501,1,27),(28,7251653,'1',3,203,2,77),(28,7251726,'1A',3,652,1,32),(28,7251807,'1',3,326,1,34),(28,7251858,'1',3,301,2,75),(28,7252013,'1',3,203,2,51),(28,7252153,'1',3,303,1,10),(28,7252188,'1',3,425,1,14),(28,7252242,'1',3,205,1,15),(28,7252307,'1',3,9,1,31),(28,7252315,'1',3,454,1,29),(28,7252366,'1A',3,601,1,26),(28,7252455,'1',3,301,1,4),(28,7252501,'1',3,234,2,52),(28,7252544,'1',2,103,1,1),(28,7252765,'1',3,328,1,3),(28,7252862,'1',3,601,2,298),(28,7252919,'1',3,601,1,55),(28,7253117,'1A',3,601,1,21),(28,7253290,'1',3,415,2,37),(28,7253346,'1',2,304,1,1),(28,7253389,'1',3,2,1,24),(28,7253516,'1',3,601,1,69),(28,7253583,'1',3,421,1,24),(28,7253591,'1',3,309,2,72),(28,7253605,'1',3,424,1,24),(28,7253680,'1',3,503,2,40),(28,7253710,'1',3,331,1,4),(28,7253818,'1',3,328,1,17),(28,7253850,'1',3,319,2,37),(28,7254008,'1',3,425,1,9),(28,7254130,'1',3,109,2,44),(28,7254237,'1',3,2,1,4),(28,7254245,'1',3,203,1,27),(28,7254253,'1',3,110,2,58),(28,7254261,'1',1,110,1,2),(28,7254318,'1',3,301,2,40),(28,7254350,'1A',2,601,2,52),(28,7254431,'1',2,201,1,9),(28,7254490,'1',2,212,2,6),(28,7254512,'1',1,103,1,4),(28,7254679,'1A',3,426,2,10),(28,7254806,'1',3,208,1,1),(28,7254822,'1',3,9,1,2),(28,7254830,'1',3,230,1,21),(28,7254881,'1',3,601,2,270),(28,7255071,'1',3,303,1,14),(28,7255144,'1',3,9,1,18),(28,7255268,'1',3,109,1,19),(28,7255322,'1',3,327,2,25),(28,7255349,'1',3,230,1,18),(28,7255357,'1',2,308,1,3),(28,7255365,'1',3,201,1,33),(28,7255373,'1',2,332,2,1),(28,7255411,'1',3,404,2,34),(28,7255519,'1',3,103,2,69),(28,7255713,'1',3,225,1,30),(28,7255799,'1',3,316,2,63),(28,7255810,'1',3,102,2,79),(28,7255888,'1',3,207,2,32),(28,7255934,'1',3,301,2,68),(28,7255950,'1',2,302,2,18),(28,7255993,'1',2,302,1,7),(28,7256060,'1',3,451,1,1),(28,7256132,'1',3,202,2,51),(28,7256175,'1A',2,220,2,8),(28,7256256,'1',3,3,2,65),(28,7256272,'1',3,333,1,20),(28,7256329,'1A',3,426,2,18),(28,7256418,'1',3,318,2,56),(28,7256450,'1',3,328,1,20),(28,7256620,'1A',3,601,1,83),(28,7256655,'1',2,301,1,8),(28,7256698,'1',3,203,2,72),(28,7256701,'1',3,220,1,8),(28,7256736,'1',1,451,1,2),(28,7256825,'1',2,201,2,17),(28,7256884,'1',3,304,1,23),(28,7256990,'1',2,316,1,6),(28,7257090,'1',2,301,2,12),(28,7257155,'1',3,108,2,52),(28,7257210,'1',3,502,2,42),(28,7257341,'1',2,215,2,9),(28,7257449,'1',3,222,1,27),(28,7257481,'1',1,108,2,8),(28,7257511,'1',3,308,2,47),(28,7257520,'1',3,338,1,20),(28,7257562,'1',3,104,1,15),(28,7257716,'1',3,428,1,26),(28,7257724,'1',2,332,2,2),(28,7257791,'1A',3,653,1,18),(28,7257937,'1',3,551,1,72),(28,7257970,'1',3,601,2,265),(28,7258070,'1A',2,601,1,21),(28,7258119,'1',2,302,1,5),(28,7258186,'1',3,208,1,28),(28,7258313,'1A',1,211,1,2),(28,7258380,'1',3,327,2,27),(28,7258682,'1',2,502,1,1),(28,7258720,'1',3,444,2,28),(28,7258780,'1',2,316,2,15),(28,7258810,'1',3,317,1,8),(28,7258976,'1',3,329,1,28),(28,7259042,'1',3,234,1,19),(28,7259050,'1',3,423,1,10),(28,7259140,'1A',3,423,1,31),(28,7259204,'1',3,501,1,36),(28,7259298,'1',3,301,2,60),(28,7259484,'1A',3,653,1,6),(28,7259514,'1',1,203,2,8),(28,7259530,'1',3,222,1,34),(28,7259557,'1',2,102,1,1),(28,7259573,'1',3,3,2,61),(28,7259611,'1',3,319,1,11),(28,7259620,'1A',3,215,1,12),(28,7259689,'1',3,309,2,69),(28,7259883,'1',3,110,2,46),(28,7260024,'1',3,552,2,4),(28,7260083,'1',3,429,2,10),(28,7260156,'1',2,415,1,1),(28,7260210,'1',3,223,1,2),(28,7260628,'1',3,110,1,27),(28,7260660,'1A',3,601,2,156),(28,7260687,'1',3,3,1,10),(28,7260873,'1A',3,424,1,25),(28,7260903,'1',3,320,2,15),(28,7261004,'1',3,551,1,16),(28,7261012,'1',3,320,2,13),(28,7261110,'1',3,655,1,3),(28,7261195,'1',2,304,2,17),(28,7261233,'1',2,303,1,5),(28,7261268,'1',3,102,1,5),(28,7261357,'1',3,110,1,7),(28,7261446,'1',2,3,1,2),(28,7261624,'1',3,502,1,15),(28,7261675,'1',1,404,2,4),(28,7261713,'1',3,103,2,50),(28,7261888,'1',3,454,1,9),(28,7261896,'1',3,225,1,37),(28,7261950,'1',3,503,1,28),(28,7262019,'1A',3,426,2,30),(28,7262027,'1',3,501,1,12),(28,7262167,'1',3,201,1,28),(28,7262191,'1',3,333,1,1),(28,7262213,'1',3,320,2,5),(28,7262221,'1',3,309,1,32),(28,7262280,'1A',3,655,1,20),(28,7262345,'1',3,303,2,33),(28,7262426,'1',3,201,2,47),(28,7262582,'1',2,652,2,16),(28,7262590,'1',3,317,2,35),(28,7262620,'1',3,316,1,6),(28,7262655,'1',3,336,1,11),(28,7262663,'1',3,652,2,52),(28,7262701,'1',2,303,2,12),(28,7262728,'1',3,551,1,8),(28,7262841,'1',3,327,2,17),(28,7262973,'1',3,109,2,33),(28,7263139,'1',3,318,1,6),(28,7263201,'1',1,340,1,3),(28,7263228,'1',1,301,1,4),(28,7263244,'1',3,655,1,16),(28,7263392,'1A',3,601,2,281),(28,7263490,'1A',3,601,1,8),(28,7263511,'1',2,601,2,66),(28,7263716,'1',3,337,1,10),(28,7263740,'1A',3,601,1,10),(28,7263821,'1',3,425,1,26),(28,7263864,'1',3,404,2,35),(28,7263953,'1',3,340,1,27),(28,7263988,'1A',2,652,2,12),(28,7264011,'1',3,654,2,37),(28,7264100,'1',1,208,2,6),(28,7264143,'1',3,223,1,11),(28,7264364,'1',3,2,1,51),(28,7264410,'1A',3,601,2,190),(28,7264437,'1',3,3,1,22),(28,7264755,'1',3,205,1,11),(28,7264852,'1',3,316,2,69),(28,7264879,'1',3,551,1,49),(28,7264992,'1',3,234,1,28),(28,7265107,'1',3,102,2,63),(28,7265123,'1',3,655,2,25),(28,7265140,'1',3,3,2,44),(28,7265182,'1',3,441,1,1),(28,7265220,'1A',3,215,1,2),(28,7265271,'1',2,208,1,3),(28,7265298,'1',3,235,2,41),(28,7265387,'1',2,109,2,10),(28,7265581,'1',3,551,1,11),(28,7265638,'1',3,332,2,18),(28,7265689,'1',3,551,1,58),(28,7265735,'1',1,454,1,3),(28,7265816,'1',3,303,1,18),(28,7265867,'1A',3,238,1,20),(28,7265875,'1',3,109,2,49),(28,7265883,'1',3,102,2,66),(28,7266022,'1',2,203,2,14),(28,7266081,'1',3,655,1,19),(28,7266324,'1',3,310,1,12),(28,7266332,'1A',3,202,2,50),(28,7266529,'1',3,425,1,3),(28,7266545,'1',2,104,1,6),(28,7266570,'1',3,601,2,304),(28,7266650,'1',2,454,2,18),(28,7266669,'1',3,9,1,21),(28,7266707,'1',2,216,2,10),(28,7266782,'1',3,317,1,20),(28,7266812,'1',3,501,2,65),(28,7266871,'1',2,109,2,15),(28,7266936,'1',3,503,1,20),(28,7266944,'1',2,601,2,56),(28,7266987,'1',2,211,1,4),(28,7267010,'1',3,339,1,12),(28,7267045,'1',3,404,1,4),(28,7267053,'1',3,654,1,2),(28,7267070,'1',2,215,2,6),(28,7267126,'1',3,2,1,8),(28,7267193,'1',3,104,2,39),(28,7267312,'1',3,208,1,29),(28,7267339,'1A',3,601,2,160),(28,7267584,'1',3,501,1,38),(28,7267681,'1',3,303,1,22),(28,7267703,'1',1,211,2,7),(28,7267851,'1',3,102,2,56),(28,7267959,'1',3,338,1,16),(28,7268149,'1',3,423,1,29),(28,7268157,'1',2,501,2,13),(28,7268190,'1',3,339,2,38),(28,7268262,'1',2,316,1,10),(28,7268327,'1',3,501,2,49),(28,7268378,'1',3,340,1,9),(28,7268459,'1',1,211,1,3),(28,7268521,'1',3,551,1,42),(28,7268530,'1',3,501,1,13),(28,7268718,'1',3,223,1,8),(28,7268742,'1',3,318,1,24),(28,7268769,'1A',3,427,1,26),(28,7268823,'1',3,320,2,8),(28,7268882,'1',3,108,1,3),(28,7268920,'1',3,317,2,50),(28,7269048,'1',3,316,1,13),(28,7269099,'1',3,109,1,7),(28,7269110,'1',2,238,2,20),(28,7269200,'1',3,201,2,43),(28,7269226,'1A',3,653,2,47),(28,7269269,'1',3,103,2,53),(28,7269390,'1',3,103,1,20),(28,7269439,'1',2,331,1,3),(28,7269447,'1',3,201,2,50),(28,7269544,'1',3,303,1,26),(28,7269552,'1',3,415,1,9),(28,7269595,'1A',2,652,1,7),(28,7269625,'1',2,304,2,10),(28,7269650,'1',3,234,1,21),(28,7269668,'1A',3,601,1,17),(28,7269862,'1',3,207,2,48),(28,7269943,'1A',3,601,2,266),(28,7269986,'1A',3,220,2,51),(28,7270003,'1',2,5,2,15),(28,7270283,'1',3,225,1,26),(28,7270399,'1',1,316,1,4),(28,7270453,'1A',3,601,2,178),(28,7270496,'1',3,203,1,19),(28,7270534,'1',3,223,1,39),(28,7270640,'1',3,109,2,40),(28,7270682,'1A',3,601,1,128),(28,7270712,'1',3,655,2,42),(28,7270780,'1',3,653,2,45),(28,7270828,'1',3,655,2,26),(28,7270844,'1',2,336,1,3),(28,7271182,'1A',3,601,2,158),(28,7271263,'1',3,441,1,9),(28,7271301,'1',3,317,1,5),(28,7271395,'1',3,316,2,50),(28,7271484,'1',3,339,2,42),(28,7271557,'1',3,214,1,13),(28,7271646,'1A',2,653,1,6),(28,7271700,'1',3,320,2,12),(28,7271786,'1',3,102,1,21),(28,7271808,'1',3,234,1,14),(28,7271824,'1',3,318,1,26),(28,7271832,'1',3,429,2,27),(28,7271883,'1',3,454,1,40),(28,7271999,'1',3,339,1,17),(28,7272006,'1',3,327,2,13),(28,7272081,'1',3,2,1,50),(28,7272090,'1A',3,601,2,213),(28,7272120,'1',3,428,2,56),(28,7272200,'1',1,104,2,7),(28,7272278,'1',3,5,2,54),(28,7272324,'1',3,652,2,42),(28,7272367,'1',3,2,1,17),(28,7272375,'1',3,238,2,59),(28,7272596,'1',2,552,2,8),(28,7272740,'1',3,104,1,28),(28,7272774,'1',3,302,1,28),(28,7272812,'1',2,317,1,3),(28,7272855,'1',2,653,2,15),(28,7272928,'1',2,303,1,4),(28,7273215,'1',3,652,2,58),(28,7273231,'1',3,601,2,312),(28,7273355,'1',3,101,1,8),(28,7273371,'1A',3,652,2,55),(28,7273592,'1',3,302,2,67),(28,7273690,'1',2,203,2,13),(28,7273738,'1',3,421,1,11),(28,7273746,'1',3,338,1,2),(28,7273770,'1',3,319,1,16),(28,7273819,'1',3,222,1,8),(28,7273860,'1',1,9,1,2),(28,7273908,'1',3,3,1,8),(28,7274114,'1A',3,655,2,24),(28,7274149,'1',3,441,1,5),(28,7274190,'1',3,332,2,16),(28,7274246,'1',3,316,1,32),(28,7274270,'1',1,319,1,5),(28,7274300,'1',3,424,1,16),(28,7274386,'1',3,316,2,53),(28,7274408,'1',2,601,2,78),(28,7274424,'1A',3,652,2,66),(28,7274432,'1',3,207,2,52),(28,7274440,'1',3,230,1,13),(28,7274459,'1',3,328,1,12),(28,7274467,'1',2,404,1,1),(28,7274580,'1',3,208,1,4),(28,7274629,'1',2,110,2,10),(28,7274645,'1',3,444,1,8),(28,7274696,'1',2,108,2,16),(28,7274700,'1',3,428,2,60),(28,7274726,'1',3,551,1,57),(28,7274742,'1',3,224,2,27),(28,7274750,'1A',3,220,2,26),(28,7274874,'1',2,201,2,13),(28,7275137,'1',3,101,2,50),(28,7275145,'1',3,304,2,41),(28,7275161,'1',2,454,1,3),(28,7275250,'1',1,340,2,8),(28,7275293,'1',3,329,1,23),(28,7275323,'1',3,238,2,44),(28,7275480,'1A',3,655,1,14),(28,7275501,'1',1,340,2,5),(28,7275536,'1',3,214,2,25),(28,7275609,'1',3,230,1,3),(28,7275706,'1',3,101,2,46),(28,7275730,'1',3,104,2,63),(28,7275897,'1',3,501,2,74),(28,7275900,'1A',2,601,2,45),(28,7275935,'1',3,309,1,33),(28,7276168,'1',3,426,2,14),(28,7276230,'1',3,502,1,30),(28,7276249,'1',3,503,1,6),(28,7276311,'1',2,211,2,18),(28,7276397,'1',2,104,1,2),(28,7276460,'1',2,104,2,18),(28,7276648,'1A',2,601,1,8),(28,7276729,'1',3,653,1,5),(28,7276893,'1',2,652,1,4),(28,7277040,'1',3,309,2,43),(28,7277075,'1',2,201,2,15),(28,7277130,'1A',2,220,2,11),(28,7277210,'1A',3,652,1,23),(28,7277253,'1',3,308,2,72),(28,7277296,'1',3,316,1,27),(28,7277318,'1',3,223,1,34),(28,7277440,'1',3,654,1,4),(28,7277504,'1',3,421,1,14),(28,7277660,'1',3,601,2,303),(28,7277849,'1A',3,655,1,12),(28,7277911,'1',3,318,2,69),(28,7277938,'1',3,501,2,64),(28,7277970,'1',3,317,2,44),(28,7278020,'1',3,319,2,34),(28,7278160,'1A',3,653,2,36),(28,7278250,'1',3,310,1,37),(28,7278284,'1',3,223,1,18),(28,7278330,'1',3,316,2,62),(28,7278365,'1',3,331,1,26),(28,7278454,'1A',3,653,2,34),(28,7278489,'1',3,203,2,69),(28,7278500,'1',2,110,2,11),(28,7278519,'1',3,502,1,2),(28,7278527,'1',2,304,2,16),(28,7278683,'1',3,302,2,58),(28,7278713,'1',3,652,2,76),(28,7278772,'1',3,501,2,62),(28,7278969,'1',3,426,2,32),(28,7278977,'1',3,326,1,4),(28,7278985,'1',3,552,2,9),(28,7279132,'1',3,201,2,57),(28,7279191,'1',3,109,2,52),(28,7279256,'1',3,503,2,41),(28,7279329,'1',3,318,1,32),(28,7279396,'1',3,203,2,50),(28,7279442,'1',3,317,1,15),(28,7279558,'1',3,317,2,52),(28,7279620,'1',3,340,2,53),(28,7279663,'1',3,421,1,26),(28,7279744,'1',3,444,2,29),(28,7279779,'1',3,428,2,52),(28,7279841,'1',3,104,1,23),(28,7279868,'1',3,454,2,43),(28,7279957,'1',2,235,1,3),(28,7279965,'1',3,220,1,11),(28,7280149,'1',3,552,2,28),(28,7280181,'1',3,501,1,42),(28,7280203,'1',3,3,2,58),(28,7280270,'1',3,340,1,3),(28,7280343,'1',3,108,2,48),(28,7280637,'1',3,110,2,41),(28,7280750,'1',2,319,1,3),(28,7280815,'1',3,444,1,19),(28,7280912,'1A',3,601,2,264),(28,7281005,'1',3,326,1,6),(28,7281056,'1',3,302,2,65),(28,7281099,'1',3,327,2,11),(28,7281129,'1',1,303,1,5),(28,7281293,'1',2,444,1,6),(28,7281501,'1',3,223,1,40),(28,7281560,'1',3,653,2,39),(28,7281625,'1',2,404,2,7),(28,7281650,'1A',2,220,2,13),(28,7281730,'1A',3,238,2,42),(28,7281781,'1',3,216,2,18),(28,7281803,'1',3,316,2,43),(28,7281846,'1',3,502,1,9),(28,7281854,'1',2,301,1,10),(28,7281935,'1',3,551,1,32),(28,7282010,'1',3,503,1,5),(28,7282303,'1A',2,212,1,1),(28,7282370,'1',3,320,2,32),(28,7282494,'1',3,301,1,28),(28,7282559,'1',3,501,2,54),(28,7282664,'1',2,454,1,11),(28,7282729,'1A',3,233,2,42),(28,7282761,'1A',3,238,2,54),(28,7282796,'1',2,652,1,2),(28,7282842,'1',3,208,2,45),(28,7282877,'1',3,2,1,18),(28,7282990,'1',3,317,1,21),(28,7283032,'1',3,425,1,1),(28,7283067,'1A',2,212,1,2),(28,7283199,'1',3,3,2,36),(28,7283245,'1A',3,655,2,30),(28,7283296,'1',2,109,2,14),(28,7283326,'1',3,304,1,26),(28,7283369,'1',3,303,2,49),(28,7283440,'1',2,301,2,15),(28,7283512,'1',3,440,1,2),(28,7283563,'1A',3,202,2,68),(28,7283610,'1',3,503,1,9),(28,7283652,'1',3,102,1,20),(28,7283903,'1',2,444,1,1),(28,7283911,'1A',3,601,1,76),(28,7284012,'1',3,222,1,1),(28,7284055,'1',3,338,1,17),(28,7284063,'1',3,424,1,12),(28,7284144,'1',3,428,2,51),(28,7284314,'1',3,429,2,5),(28,7284322,'1',2,109,1,5),(28,7284586,'1',3,318,1,4),(28,7284608,'1A',3,653,1,15),(28,7284624,'1',3,304,2,57),(28,7284667,'1',3,109,2,47),(28,7284683,'1',3,304,1,16),(28,7284764,'1',3,213,2,26),(28,7284780,'1',2,653,1,2),(28,7284845,'1',2,102,2,23),(28,7284896,'1',3,329,1,2),(28,7284993,'1',3,454,1,31),(28,7285116,'1',3,102,2,87),(28,7285159,'1',2,208,2,14),(28,7285175,'1',3,501,2,81),(28,7285213,'1',3,428,2,41),(28,7285299,'1',3,309,1,36),(28,7285337,'1',2,101,1,6),(28,7285388,'1',3,238,1,12),(28,7285442,'1',2,203,1,3),(28,7285477,'1A',3,601,2,279),(28,7285531,'1',3,310,1,27),(28,7285647,'1A',2,202,2,17),(28,7285868,'1',3,110,1,8),(28,7285914,'1',3,309,1,28),(28,7285949,'1',3,234,1,6),(28,7285957,'1',3,339,1,10),(28,7286015,'1',3,304,1,1),(28,7286040,'1',2,101,2,15),(28,7286147,'1',3,339,1,7),(28,7286244,'1',3,318,2,39),(28,7286279,'1',3,328,1,6),(28,7286287,'1',3,101,1,21),(28,7286325,'1',3,301,1,31),(28,7286422,'1',3,222,1,7),(28,7286430,'1',3,503,1,34),(28,7286465,'1',3,3,1,5),(28,7286570,'1',3,224,2,37),(28,7286651,'1',2,454,1,7),(28,7286660,'1',3,309,1,23),(28,7286775,'1A',3,202,2,75),(28,7286856,'1A',3,238,1,9),(28,7286929,'1',3,316,2,55),(28,7286945,'1',3,654,1,15),(28,7286996,'1',3,654,1,16),(28,7287038,'1',3,304,2,64),(28,7287046,'1A',3,601,2,202),(28,7287127,'1',3,502,2,49),(28,7287151,'1',3,310,1,17),(28,7287178,'1',3,331,1,21),(28,7287291,'1',3,332,2,28),(28,7287313,'1',3,404,2,40),(28,7287429,'1',3,101,1,4),(28,7287526,'1',3,332,2,24),(28,7287623,'1A',3,652,1,5),(28,7287658,'1',3,426,2,4),(28,7287666,'1',3,208,2,46),(28,7287674,'1A',3,653,2,61),(28,7287690,'1',2,316,2,11),(28,7287720,'1A',3,211,2,52),(28,7287747,'1',3,220,2,42),(28,7287798,'1',3,308,2,76),(28,7287810,'1A',3,211,2,59),(28,7287836,'1',3,318,2,54),(28,7287909,'1',1,104,2,9),(28,7288077,'1',3,203,2,58),(28,7288093,'1',2,202,2,11),(28,7288115,'1A',2,215,1,1),(28,7288352,'1',2,316,2,18),(28,7288425,'1A',3,601,2,219),(28,7288450,'1',2,304,1,4),(28,7288484,'1A',3,652,2,41),(28,7288506,'1',3,2,1,43),(28,7288549,'1',3,208,1,18),(28,7288557,'1A',3,212,1,7),(28,7288590,'1',3,551,1,26),(28,7288654,'1',3,551,1,20),(28,7288700,'1',3,318,2,52),(28,7288743,'1',3,102,1,3),(28,7288760,'1',3,332,2,33),(28,7288786,'1A',3,601,2,171),(28,7288808,'1',2,451,1,1),(28,7288824,'1',3,102,2,98),(28,7288891,'1',3,3,2,70),(28,7288913,'1',3,304,1,3),(28,7288964,'1',3,316,2,61),(28,7289014,'1',3,223,1,22),(28,7289065,'1',2,201,2,16),(28,7289138,'1',2,220,2,14),(28,7289146,'1',3,428,1,34),(28,7289200,'1',3,423,1,3),(28,7289294,'1',3,335,1,16),(28,7289340,'1',3,301,2,61),(28,7289375,'1',3,5,1,29),(28,7289464,'1',3,501,2,63),(28,7289502,'1',2,2,1,1),(28,7289537,'1A',3,601,1,136),(28,7289545,'1',2,233,1,6),(28,7289570,'1',3,309,1,29),(28,7289618,'1',3,2,1,26),(28,7289731,'1',3,202,2,65),(28,7289782,'1',3,208,2,38),(28,7289812,'1',3,234,1,22),(28,7290209,'1',3,329,1,21),(28,7290217,'1',3,428,1,36),(28,7290233,'1',3,216,2,28),(28,7290241,'1',2,339,1,1),(28,7290381,'1',3,224,2,30),(28,7290420,'1',2,203,1,8),(28,7290500,'1',3,319,1,30),(28,7290560,'1',2,501,1,8),(28,7290683,'1',3,318,2,44),(28,7290691,'1A',3,601,2,292),(28,7290780,'1',3,303,1,19),(28,7291116,'1',3,234,2,59),(28,7291256,'1',2,454,2,16),(28,7291302,'1',3,326,1,18),(28,7291337,'1',3,211,1,30),(28,7291370,'1',3,552,2,21),(28,7291612,'1',3,329,1,11),(28,7291779,'1',3,101,1,3),(28,7291817,'1A',2,207,1,8),(28,7291833,'1',3,102,1,41),(28,7291957,'1',3,110,2,52),(28,7292023,'1',3,601,2,254),(28,7292228,'1',3,654,2,36),(28,7292376,'1',3,318,2,61),(28,7292490,'1',3,320,2,10),(28,7292538,'1',3,225,1,13),(28,7292562,'1A',3,211,2,39),(28,7292570,'1',3,222,1,18),(28,7292643,'1',3,316,1,14),(28,7292686,'1',3,308,2,60),(28,7292856,'1',2,304,2,13),(28,7292880,'1',3,308,2,87),(28,7292970,'1',3,102,2,62),(28,7292988,'1',3,428,1,9),(28,7293011,'1',3,415,2,38),(28,7293089,'1',3,301,1,7),(28,7293135,'1',3,308,2,58),(28,7293240,'1',2,601,2,55),(28,7293461,'1',3,213,2,28),(28,7293534,'1',3,225,1,32),(28,7293542,'1',3,201,1,37),(28,7293631,'1',2,552,2,2),(28,7293720,'1',3,339,2,23),(28,7293747,'1',2,318,1,9),(28,7293755,'1',3,302,2,66),(28,7294026,'1',3,211,1,4),(28,7294042,'1',3,230,1,11),(28,7294115,'1',3,503,1,27),(28,7294166,'1',3,302,2,54),(28,7294190,'1',2,108,1,6),(28,7294328,'1A',3,601,1,12),(28,7294387,'1',2,212,2,8),(28,7294468,'1A',3,652,1,10),(28,7294492,'1',3,207,2,34),(28,7294581,'1',3,327,2,12),(28,7294611,'1',3,309,2,47),(28,7294662,'1A',3,601,2,179),(28,7294700,'1',3,230,1,27),(28,7294719,'1',2,203,1,4),(28,7294760,'1',3,332,2,20),(28,7294786,'1',3,339,2,35),(28,7294808,'1',3,428,2,55),(28,7295049,'1',3,220,1,14),(28,7295103,'1',3,654,1,18),(28,7295219,'1',2,110,1,6),(28,7295260,'1',1,5,2,7),(28,7295405,'1A',3,233,2,44),(28,7295421,'1',3,102,2,71),(28,7295430,'1',3,316,2,40),(28,7295553,'1',3,3,1,28),(28,7295634,'1A',3,238,1,19),(28,7295669,'1',2,109,1,8),(28,7295707,'1',2,318,2,15),(28,7295740,'1A',2,202,2,16),(28,7295804,'1',1,444,2,4),(28,7295839,'1',3,203,1,4),(28,7295871,'1',3,225,1,29),(28,7295910,'1A',3,220,2,28),(28,7296002,'1',3,207,1,3),(28,7296053,'1',3,224,2,26),(28,7296118,'1',2,220,2,10),(28,7296339,'1',3,308,1,33),(28,7296487,'1',2,207,2,9),(28,7296495,'1A',3,235,1,20),(28,7296576,'1',3,601,1,109),(28,7296681,'1',2,301,2,14),(28,7296746,'1',3,225,1,46),(28,7296762,'1',3,301,2,74),(28,7296789,'1',3,202,2,73),(28,7296800,'1',3,104,2,50),(28,7296894,'1',2,101,1,7),(28,7297106,'1',3,233,1,18),(28,7297165,'1',3,301,1,3),(28,7297181,'1',3,551,1,66),(28,7297289,'1',3,319,1,28),(28,7297386,'1A',3,233,1,13),(28,7297475,'1',3,234,2,43),(28,7297505,'1A',3,423,1,13),(28,7297513,'1A',3,601,2,287),(28,7297599,'1',3,216,2,35),(28,7297637,'1',3,222,1,4),(28,7297718,'1',3,309,1,16),(28,7297726,'1',3,427,1,28),(28,7297742,'1',3,308,1,28),(28,7297823,'1',3,220,2,37),(28,7297882,'1',3,302,1,3),(28,7298005,'1',3,304,1,11),(28,7298048,'1',3,451,1,20),(28,7298269,'1A',2,653,1,4),(28,7298293,'1',1,207,1,4),(28,7298315,'1',3,309,2,51),(28,7298323,'1',3,238,1,2),(28,7298331,'1',2,102,2,20),(28,7298382,'1',3,309,1,34),(28,7298447,'1',3,220,1,21),(28,7298617,'1',2,3,1,5),(28,7298757,'1',3,203,1,10),(28,7298790,'1',3,308,1,37),(28,7298820,'1',3,425,1,8),(28,7298846,'1A',3,238,2,53),(28,7298900,'1',3,404,1,9),(28,7299044,'1',3,225,1,20),(28,7299087,'1',3,201,1,38),(28,7299117,'1',3,301,2,71),(28,7299230,'1',3,601,1,148),(28,7299281,'1',1,9,1,4),(28,7299303,'1',3,3,2,60),(28,7299346,'1',3,327,2,5),(28,7299370,'1',2,203,1,1),(28,7299427,'1',3,601,1,110),(28,7299451,'1',2,601,1,11),(28,7299591,'1',3,444,2,25),(28,7299613,'1',3,104,2,47),(28,7299621,'1',3,9,1,25),(28,7299680,'1',3,211,1,5),(28,7299702,'1',3,207,1,16),(28,7299737,'1',1,601,1,5),(28,7299753,'1',3,340,1,1),(28,7299869,'1',3,426,2,23),(28,7299923,'1A',3,601,2,201),(28,7299940,'1',1,9,1,1),(28,7299990,'1',3,208,1,10),(28,7300050,'1',3,327,2,4),(28,7300123,'1',3,309,2,68),(28,7300131,'1',3,339,2,37),(28,7300182,'1',3,104,1,16),(28,7300204,'1',2,331,1,2),(28,7300280,'1',3,110,2,30),(28,7300352,'1',3,303,1,16),(28,7300433,'1',3,220,1,1),(28,7300450,'1',3,318,1,28),(28,7300530,'1A',3,601,1,61),(28,7300573,'1',3,426,2,21),(28,7300670,'1',3,318,2,67),(28,7300700,'1A',3,423,1,25),(28,7300727,'1',2,203,1,6),(28,7300786,'1A',3,220,1,19),(28,7300816,'1',3,301,1,35),(28,7300980,'1',3,103,1,33),(28,7301090,'1',3,444,1,17),(28,7301120,'1',2,207,2,13),(28,7301197,'1',3,503,2,44),(28,7301227,'1',3,222,1,14),(28,7301286,'1',3,318,1,8),(28,7301448,'1',2,454,1,4),(28,7301456,'1',3,318,2,64),(28,7301499,'1',3,454,2,68),(28,7301502,'1',3,203,2,40),(28,7301669,'1',3,331,1,15),(28,7301693,'1',2,429,2,4),(28,7301715,'1',3,201,1,14),(28,7301740,'1',3,208,2,36),(28,7301839,'1',3,415,2,35),(28,7301871,'1',3,336,1,7),(28,7301995,'1',3,601,2,314),(28,7302169,'1',3,654,2,33),(28,7302193,'1A',3,207,2,38),(28,7302207,'1',3,415,2,33),(28,7302355,'1',2,404,2,9),(28,7302363,'1',2,5,2,12),(28,7302398,'1',3,451,1,3),(28,7302452,'1',3,502,1,7),(28,7302614,'1',3,308,1,21),(28,7302649,'1',3,102,2,68),(28,7302673,'1',3,404,1,8),(28,7302797,'1',3,652,2,65),(28,7302819,'1A',3,655,1,21),(28,7302827,'1',3,329,1,16),(28,7302851,'1',1,5,1,2),(28,7302967,'1',3,426,2,27),(28,7302983,'1',2,110,1,2),(28,7302991,'1',3,317,2,67),(28,7303017,'1',3,225,1,27),(28,7303130,'1',3,216,1,4),(28,7303149,'1',2,318,2,11),(28,7303173,'1A',2,220,1,7),(28,7303181,'1',3,222,1,25),(28,7303238,'1',2,308,1,2),(28,7303262,'1',3,238,1,8),(28,7303297,'1',3,339,1,19),(28,7303475,'1',3,5,1,15),(28,7303491,'1',3,203,1,25),(28,7303505,'1',3,404,1,18),(28,7303548,'1A',2,235,2,11),(28,7303610,'1',3,444,1,14),(28,7303718,'1',3,309,2,70),(28,7303742,'1',3,109,1,18),(28,7303947,'1A',3,211,2,61),(28,7303963,'1',3,201,1,30),(28,7303971,'1',3,501,1,8),(28,7303998,'1',2,302,1,8),(28,7304153,'1',3,308,2,56),(28,7304188,'1',3,424,1,7),(28,7304285,'1',3,308,1,38),(28,7304331,'1',3,108,2,39),(28,7304420,'1',3,110,1,14),(28,7304560,'1',3,309,1,22),(28,7304595,'1',2,317,2,14),(28,7304609,'1',2,102,2,26),(28,7304625,'1',3,320,2,7),(28,7304650,'1',3,336,1,19),(28,7304668,'1',3,503,1,14),(28,7304897,'1',2,339,1,2),(28,7304927,'1',3,301,2,57),(28,7304978,'1',3,501,1,37),(28,7304994,'1',2,326,1,2),(28,7305028,'1',3,425,1,19),(28,7305095,'1',2,109,2,13),(28,7305249,'1',3,318,1,1),(28,7305338,'1',3,211,2,35),(28,7305397,'1',3,3,1,1),(28,7305460,'1',3,428,1,6),(28,7305532,'1A',3,653,1,7),(28,7305575,'1',3,340,2,46),(28,7305630,'1',3,213,1,7),(28,7305699,'1',3,326,1,9),(28,7305753,'1A',3,601,2,276),(28,7305842,'1',3,104,2,37),(28,7305869,'1A',3,233,2,46),(28,7305940,'1',1,201,1,5),(28,7305958,'1',3,317,1,16),(28,7306008,'1',1,220,1,4),(28,7306016,'1',3,502,2,38),(28,7306040,'1A',3,655,2,45),(28,7306091,'1',3,108,1,23),(28,7306105,'1',2,302,1,1),(28,7306180,'1',1,9,1,3),(28,7306199,'1',3,224,2,29),(28,7306210,'1',3,501,1,15),(28,7306245,'1A',3,601,1,32),(28,7306350,'1',2,316,1,5),(28,7306440,'1',3,502,1,25),(28,7306636,'1',2,220,1,2),(28,7306687,'1',3,110,1,24),(28,7306741,'1',2,220,1,3),(28,7306911,'1',3,427,1,17),(28,7307047,'1',3,454,1,19),(28,7307136,'1',3,425,1,15),(28,7307152,'1',1,316,1,2),(28,7307160,'1',2,601,2,53),(28,7307241,'1',3,429,2,30),(28,7307284,'1',3,234,2,51),(28,7307365,'1A',3,653,2,56),(28,7307497,'1',3,501,2,46),(28,7307500,'1A',2,601,2,69),(28,7307543,'1',3,552,2,13),(28,7307586,'1',3,108,1,16),(28,7307594,'1',3,225,1,45),(28,7307616,'1',3,309,1,8),(28,7307730,'1',2,454,1,2),(28,7307829,'1',3,301,2,62),(28,7307837,'1A',3,601,2,174),(28,7307853,'1',3,211,2,41),(28,7307870,'1',3,502,2,61),(28,7307977,'1',3,208,1,16),(28,7308019,'1',3,324,1,13),(28,7308035,'1',3,601,2,256),(28,7308370,'1A',3,601,2,162),(28,7308418,'1',3,601,1,82),(28,7308434,'1',3,318,2,62),(28,7308442,'1',2,110,1,4),(28,7308450,'1',3,317,2,42),(28,7308582,'1',3,203,1,38),(28,7308590,'1',3,9,1,11),(28,7308639,'1A',2,601,1,20),(28,7308655,'1',3,303,2,46),(28,7308736,'1',2,451,1,5),(28,7308744,'1',2,340,1,7),(28,7308779,'1',3,552,2,23),(28,7308795,'1',3,503,1,35),(28,7308892,'1',3,551,1,60),(28,7309090,'1',3,234,1,12),(28,7309163,'1',3,303,1,28),(28,7309201,'1',3,317,2,40),(28,7309210,'1',3,552,2,18),(28,7309252,'1',3,211,2,63),(28,7309333,'1A',3,207,2,44),(28,7309341,'1',3,421,1,25),(28,7309481,'1',3,551,1,5),(28,7309538,'1',3,108,1,10),(28,7309562,'1A',3,428,1,23),(28,7309570,'1',3,304,1,22),(28,7309678,'1',3,103,1,25),(28,7309716,'1',3,501,1,26),(28,7309724,'1A',3,653,1,19),(28,7309830,'1',3,301,1,14),(28,7309856,'1',3,444,2,33),(28,7309988,'1',2,2,1,4),(28,7310005,'1',3,501,1,5),(28,7310021,'1',3,335,1,11),(28,7310056,'1',3,426,2,37),(28,7310129,'1',3,317,2,60),(28,7310170,'1',3,317,2,45),(28,7310307,'1',3,424,1,15),(28,7310315,'1',1,340,1,4),(28,7310366,'1',3,301,1,33),(28,7310390,'1',3,203,1,16),(28,7310510,'1',3,222,1,11),(28,7310528,'1',3,104,2,49),(28,7310579,'1',3,208,2,37),(28,7310668,'1',3,655,2,31),(28,7310684,'1A',2,601,2,67),(28,7310706,'1',3,654,2,47),(28,7310781,'1A',3,601,1,153),(28,7310986,'1A',3,233,2,39),(28,7311001,'1',3,421,1,28),(28,7311087,'1',3,3,2,69),(28,7311206,'1',3,424,1,2),(28,7311311,'1',3,331,1,17),(28,7311419,'1',3,451,1,10),(28,7311427,'1',3,450,1,4),(28,7311877,'1',3,308,1,7),(28,7311915,'1',3,319,2,63),(28,7311931,'1',1,303,2,6),(28,7312024,'1',3,444,2,30),(28,7312040,'1A',3,238,1,22),(28,7312059,'1',3,302,2,49),(28,7312121,'1',3,340,1,10),(28,7312202,'1A',3,211,2,56),(28,7312245,'1',3,308,1,14),(28,7312334,'1',3,427,1,21),(28,7312385,'1',3,233,1,3),(28,7312466,'1',3,339,1,9),(28,7312474,'1',3,328,1,4),(28,7312504,'1',3,302,2,52),(28,7312512,'1',3,308,2,84),(28,7312580,'1',2,109,2,16),(28,7312601,'1',3,326,1,25),(28,7312610,'1',3,318,2,36),(28,7312717,'1',3,316,2,41),(28,7312970,'1',3,220,1,5),(28,7313004,'1',3,208,1,12),(28,7313179,'1',3,308,2,89),(28,7313292,'1',3,302,2,50),(28,7313500,'1',2,429,2,2),(28,7313578,'1A',3,423,1,22),(28,7313640,'1',3,309,1,31),(28,7313721,'1',3,502,2,45),(28,7313730,'1',3,308,1,43),(28,7313780,'1',3,3,2,53),(28,7313853,'1',3,303,2,36),(28,7313918,'1',3,503,2,43),(28,7314140,'1A',3,238,1,10),(28,7314183,'1',4,303,1,5),(28,7314191,'1',2,501,1,3),(28,7314280,'1',3,339,1,4),(28,7314299,'1',3,101,2,52),(28,7314310,'1',3,308,2,73),(28,7314337,'1',3,415,2,40),(28,7314361,'1',2,429,2,5),(28,7314400,'1',3,454,1,22),(28,7314426,'1',3,223,1,14),(28,7314442,'1',3,317,2,51),(28,7314485,'1',3,3,1,33),(28,7314558,'1',3,440,1,3),(28,7314604,'1',2,326,1,1),(28,7314655,'1',3,310,1,34),(28,7314817,'1',3,238,1,24),(28,7314841,'1',3,308,1,40),(28,7314906,'1',3,404,2,44),(28,7314914,'1',3,301,1,10),(28,7314965,'1',3,332,2,15),(28,7314981,'1',3,320,2,29),(28,7315015,'1A',2,211,2,16),(28,7315147,'1A',2,213,1,4),(28,7315180,'1',1,327,2,2),(28,7315287,'1A',3,652,1,28),(28,7315376,'1',3,326,1,33),(28,7315465,'1A',3,238,1,35),(28,7315589,'1A',3,601,1,131),(28,7315708,'1',3,234,1,33),(28,7315759,'1',2,238,1,1),(28,7315813,'1',3,338,1,10),(28,7315970,'1',3,104,1,19),(28,7316003,'1',3,234,2,53),(28,7316046,'1',3,205,1,18),(28,7316135,'1',3,102,2,99),(28,7316143,'1',3,225,1,24),(28,7316240,'1',3,2,1,6),(28,7316275,'1',3,5,2,43),(28,7316496,'1',2,108,1,7),(28,7316542,'1',3,230,1,20),(28,7316550,'1',2,208,2,19),(28,7316569,'1',2,104,1,10),(28,7316607,'1',3,102,2,97),(28,7316631,'1',3,428,2,44),(28,7316674,'1',3,423,1,6),(28,7316755,'1',2,308,1,4),(28,7316771,'1',1,429,2,1),(28,7316828,'1',3,238,1,11),(28,7316976,'1',2,302,2,10),(28,7316992,'1',3,501,1,3),(28,7317018,'1',3,109,2,43),(28,7317042,'1',3,319,2,58),(28,7317123,'1',3,308,2,81),(28,7317166,'1',2,429,2,3),(28,7317182,'1',3,234,2,49),(28,7317212,'1',2,304,2,11),(28,7317328,'1',2,655,2,8),(28,7317336,'1',3,234,1,10),(28,7317360,'1',3,601,2,193),(28,7317450,'1',3,104,2,57),(28,7317468,'1',3,205,1,12),(28,7317565,'1',2,301,2,11),(28,7317751,'1',3,216,1,14),(28,7317760,'1',3,552,2,2),(28,7317794,'1',2,238,1,2),(28,7317905,'1',2,301,1,1),(28,7317913,'1',3,303,2,63),(28,7318065,'1',3,451,1,14),(28,7318170,'1',2,104,1,9),(28,7318294,'1',3,205,1,5),(28,7318316,'1A',3,601,2,297),(28,7318367,'1',1,303,2,8),(28,7318600,'1',3,201,2,48),(28,7318642,'1',3,319,1,12),(28,7318782,'1',3,205,1,7),(28,7318790,'1A',2,601,1,29),(28,7318804,'1',3,332,2,10),(28,7318995,'1',3,310,1,1),(28,7319274,'1',3,211,1,15),(28,7319304,'1',2,303,1,7),(28,7319541,'1',2,104,1,1),(28,7319630,'1',3,208,2,54),(28,7319665,'1',3,450,1,3),(28,7319673,'1',3,326,1,24),(28,7319711,'1',3,104,1,32),(28,7319843,'1',2,655,2,7),(28,7319959,'1',3,444,1,15),(28,7319967,'1',3,110,1,10),(28,7320175,'1',3,304,2,50),(28,7320221,'1',2,102,1,2),(28,7320280,'1',3,224,2,33),(28,7320469,'1A',3,601,1,51),(28,7320477,'1',3,205,1,19),(28,7320493,'1',3,211,1,18),(28,7320531,'1A',2,601,1,30),(28,7320728,'1',3,654,2,27),(28,7320744,'1A',3,601,2,234),(28,7320884,'1',1,444,2,5),(28,7320906,'1',3,552,2,12),(28,7320981,'1',2,203,2,22),(28,7321007,'1',3,404,1,17),(28,7321295,'1',3,502,2,40),(28,7321406,'1',3,308,1,24),(28,7321449,'1',3,601,1,64),(28,7321597,'1',3,316,1,18),(28,7321600,'1',3,234,2,44),(28,7321678,'1',3,503,2,37),(28,7321708,'1',3,421,1,10),(28,7321767,'1',3,328,1,2),(28,7321945,'1',3,332,2,17),(28,7322054,'1',2,317,1,7),(28,7322089,'1',2,213,2,6),(28,7322119,'1A',3,601,2,172),(28,7322240,'1A',3,601,2,183),(28,7322267,'1',2,601,2,59),(28,7322380,'1',2,501,2,21),(28,7322445,'1',2,601,1,40),(28,7322461,'1',3,208,1,25),(28,7322488,'1',3,303,2,44),(28,7322518,'1',3,316,1,30),(28,7322593,'1',3,502,2,62),(28,7322615,'1',3,308,2,63),(28,7322666,'1',3,310,1,35),(28,7322739,'1',2,104,1,4),(28,7322879,'1',2,316,2,20),(28,7322909,'1',3,320,2,17),(28,7323085,'1',3,551,1,12),(28,7323140,'1',3,501,1,21),(28,7323212,'1',3,501,2,87),(28,7323255,'1',3,102,2,90),(28,7323271,'1A',2,601,2,63),(28,7323301,'1',3,601,1,99),(28,7323336,'1',3,317,1,1),(28,7323387,'1',3,326,1,16),(28,7323450,'1',3,110,2,47),(28,7323530,'1',2,318,1,6),(28,7323590,'1',3,339,2,45),(28,7323638,'1',2,339,2,10),(28,7323808,'1',2,326,1,9),(28,7323921,'1',3,213,2,25),(28,7323980,'1',3,308,2,45),(28,7324057,'1',3,234,1,34),(28,7324219,'1',3,320,2,35),(28,7324332,'1',3,332,2,14),(28,7324367,'1',1,317,1,1),(28,7324375,'1',3,102,1,2),(28,7324405,'1',3,109,2,53),(28,7324430,'1',3,2,1,29),(28,7324502,'1',3,320,2,38),(28,7324510,'1',3,501,1,7),(28,7324529,'1',3,302,2,51),(28,7324715,'1',3,429,2,1),(28,7324740,'1',3,301,2,52),(28,7324790,'1',3,202,1,21),(28,7324871,'1',3,308,1,13),(28,7324987,'1',3,208,1,14),(28,7324995,'1',3,444,1,20),(28,7325150,'1A',3,215,1,18),(28,7325258,'1',3,223,1,25),(28,7325274,'1',3,238,1,30),(28,7325347,'1',3,104,2,61),(28,7325444,'1',3,428,2,42),(28,7325517,'1',3,109,1,29),(28,7325541,'1',2,319,1,4),(28,7325690,'1',3,501,2,82),(28,7325703,'1',3,316,1,5),(28,7325711,'1A',3,601,1,123),(28,7325762,'1',3,551,1,64),(28,7325789,'1',3,238,2,63),(28,7325959,'1A',1,211,2,6),(28,7326092,'1',3,501,2,44),(28,7326289,'1',1,450,1,1),(28,7326793,'1',2,425,1,2),(28,7326831,'1A',3,601,1,147),(28,7326963,'1',3,340,2,56),(28,7327048,'1',3,9,1,30),(28,7327080,'1',3,208,1,11),(28,7327200,'1',3,208,2,59),(28,7327242,'1',3,233,2,36),(28,7327285,'1',3,331,1,27),(28,7327404,'1',3,425,1,23),(28,7327463,'1',3,324,1,27),(28,7327501,'1',3,441,1,11),(28,7327560,'1',3,3,1,15),(28,7327609,'1',2,304,1,8),(28,7327749,'1',3,336,1,17),(28,7327781,'1',3,225,1,28),(28,7327846,'1',3,302,2,43),(28,7327854,'1',2,444,2,7),(28,7327862,'1A',3,601,2,164),(28,7327870,'1',1,454,2,8),(28,7327960,'1',3,501,1,11),(28,7328010,'1',3,213,2,20),(28,7328273,'1A',3,426,2,28),(28,7328320,'1',3,501,1,43),(28,7328354,'1A',3,601,1,57),(28,7328419,'1',3,332,2,23),(28,7328443,'1',3,337,1,12),(28,7328478,'1A',3,652,2,70),(28,7328516,'1',3,426,2,16),(28,7328524,'1',3,302,2,41),(28,7328591,'1',2,454,2,23),(28,7328656,'1',3,110,2,35),(28,7328699,'1',3,202,2,43),(28,7328737,'1',3,104,1,21),(28,7328842,'1',3,503,2,42),(28,7328931,'1',2,502,1,2),(28,7328990,'1',3,316,1,33),(28,7329032,'1',3,301,2,72),(28,7329083,'1',3,427,1,27),(28,7329164,'1',2,404,1,2),(28,7329253,'1',2,316,2,13),(28,7329296,'1',3,329,1,10),(28,7329369,'1',3,503,1,29),(28,7329385,'1A',3,424,1,29),(28,7329458,'1',3,454,2,85),(28,7329466,'1',3,404,2,43),(28,7329520,'1',2,110,1,3),(28,7329547,'1',1,501,1,1),(28,7329580,'1A',3,235,1,17),(28,7329628,'1',2,101,2,10),(28,7329873,'1',2,208,2,15),(28,7329989,'1',3,208,2,62),(28,7330022,'1',1,101,2,6),(28,7330340,'1',2,652,1,6),(28,7330448,'1',3,301,2,46),(28,7330642,'1',2,303,1,1),(28,7330685,'1',3,211,2,51),(28,7330707,'1',3,230,1,25),(28,7330715,'1',2,501,2,18),(28,7330766,'1',3,551,1,31),(28,7330820,'1',3,309,1,40),(28,7330847,'1',3,110,1,18),(28,7330901,'1',3,444,1,21),(28,7331045,'1',3,208,2,60),(28,7331088,'1',2,304,1,3),(28,7331096,'1',2,216,1,2),(28,7331118,'1',3,428,1,31),(28,7331126,'1',3,335,1,14),(28,7331169,'1',3,202,2,53),(28,7331215,'1',3,101,2,40),(28,7331347,'1',3,215,2,37),(28,7331355,'1',3,440,1,11),(28,7331371,'1',3,552,2,24),(28,7331436,'1',2,450,1,5),(28,7331550,'1A',3,233,1,17),(28,7331630,'1A',3,601,1,144),(28,7331665,'1',1,601,1,3),(28,7331681,'1',3,103,2,52),(28,7331690,'1',3,339,2,46),(28,7331738,'1',3,303,1,8),(28,7332092,'1',3,304,1,4),(28,7332114,'1',3,225,1,44),(28,7332246,'1',3,339,2,26),(28,7332335,'1',3,316,2,70),(28,7332386,'1',3,654,2,40),(28,7332432,'1',3,316,1,15),(28,7332777,'1',3,503,1,23),(28,7332793,'1',3,207,2,54),(28,7332823,'1',3,450,1,17),(28,7332858,'1',2,203,2,17),(28,7332874,'1',3,428,1,40),(28,7332890,'1',3,324,1,25),(28,7332963,'1',2,337,1,4),(28,7333064,'1',3,203,1,15),(28,7333072,'1',2,501,1,10),(28,7333099,'1',3,454,2,84),(28,7333153,'1',3,234,2,47),(28,7333234,'1',2,404,1,5),(28,7333285,'1',1,101,1,1),(28,7333480,'1',2,318,1,5),(28,7333684,'1',3,327,2,30),(28,7333838,'1',2,238,1,5),(28,7333854,'1',3,327,2,32),(28,7334044,'1',3,317,1,2),(28,7334079,'1',3,108,2,30),(28,7334109,'1',3,5,2,50),(28,7334273,'1',3,316,1,22),(28,7334303,'1',3,324,1,8),(28,7334516,'1',2,301,1,7),(28,7334559,'1',3,428,2,68),(28,7334621,'1',3,655,2,29),(28,7334656,'1',3,324,1,26),(28,7334672,'1',3,3,1,34),(28,7334702,'1',2,233,1,5),(28,7334788,'1',3,110,1,28),(28,7334842,'1',3,441,1,7),(28,7334885,'1',3,203,2,68),(28,7334923,'1',3,309,1,11),(28,7335172,'1',3,101,2,34),(28,7335350,'1',1,331,1,2),(28,7335415,'1',2,211,2,10),(28,7335504,'1',1,454,2,7),(28,7335636,'1',3,212,2,24),(28,7335644,'1A',3,428,1,30),(28,7335857,'1',1,203,1,2),(28,7335881,'1',2,302,1,6),(28,7336012,'1',1,316,1,3),(28,7336063,'1',3,3,2,62),(28,7336071,'1',3,327,2,8),(28,7336195,'1',3,339,2,25),(28,7336241,'1',2,316,2,14),(28,7336322,'1',3,339,1,8),(28,7336578,'1A',3,601,2,255),(28,7336632,'1',2,339,2,11),(28,7336721,'1',3,304,1,24),(28,7336756,'1',3,104,2,59),(28,7336764,'1',3,335,1,12),(28,7336772,'1',3,309,2,55),(28,7336969,'1',3,102,1,38),(28,7337078,'1A',3,238,2,46),(28,7337116,'1A',2,601,1,4),(28,7337124,'1',3,318,1,19),(28,7337167,'1',1,235,2,5),(28,7337205,'1',3,238,2,65),(28,7337299,'1',3,109,1,24),(28,7337302,'1',3,429,2,16),(28,7337329,'1',3,551,1,3),(28,7337426,'1',3,601,1,18),(28,7337612,'1',3,428,2,64),(28,7337701,'1',3,3,2,63),(28,7337710,'1A',3,212,1,12),(28,7337779,'1',3,225,1,17),(28,7337787,'1',1,336,1,1),(28,7337817,'1',2,404,2,11),(28,7338023,'1',3,301,2,64),(28,7338112,'1A',2,655,2,9),(28,7338120,'1',3,110,1,20),(28,7338139,'1',3,310,1,26),(28,7338368,'1',3,654,1,13),(28,7338449,'1',3,444,2,41),(28,7338481,'1',2,215,2,7),(28,7338538,'1',3,223,1,52),(28,7338562,'1',3,319,1,31),(28,7338686,'1',3,444,1,18),(28,7338708,'1',3,211,1,20),(28,7338724,'1',1,208,1,1),(28,7338732,'1',2,9,1,9),(28,7338899,'1',3,318,2,51),(28,7338910,'1',2,317,2,15),(28,7338937,'1',3,308,1,16),(28,7339011,'1',3,654,1,10),(28,7339089,'1',3,317,2,37),(28,7339194,'1',2,601,2,64),(28,7339208,'1',3,319,2,56),(28,7339232,'1',3,503,1,24),(28,7339313,'1',3,208,2,55),(28,7339496,'1',2,110,2,14),(28,7339534,'1',3,222,1,28),(28,7339577,'1',2,655,1,4),(28,7339844,'1A',3,233,1,26),(28,7339860,'1',3,423,1,14),(28,7339917,'1',3,234,2,62),(28,7339933,'1A',3,213,1,2),(28,7339941,'1',2,340,1,5),(28,7339968,'1A',3,601,2,238),(28,7340150,'1',3,301,2,53),(28,7340184,'1',3,454,1,34),(28,7340249,'1',3,324,1,12),(28,7340257,'1',2,2,1,2),(28,7340362,'1',3,425,1,5),(28,7340443,'1',3,302,2,40),(28,7340451,'1',3,329,1,22),(28,7340508,'1',1,5,1,5),(28,7340516,'1A',3,601,1,122),(28,7340613,'1',1,238,1,4),(28,7340710,'1',3,234,2,67),(28,7340842,'1',3,503,1,31),(28,7340877,'1',3,308,1,18),(28,7341091,'1',3,451,1,12),(28,7341156,'1',3,421,1,4),(28,7341245,'1A',3,652,1,17),(28,7341415,'1A',3,601,1,58),(28,7341458,'1',3,503,1,11),(28,7341563,'1',3,329,1,31),(28,7341601,'1',3,429,2,3),(28,7341636,'1',3,223,1,35),(28,7341733,'1',3,601,2,313),(28,7341814,'1',2,9,1,1),(28,7341873,'1',3,235,2,31),(28,7341962,'1',2,9,1,7),(28,7341989,'1',3,502,1,18),(28,7341997,'1',3,108,1,25),(28,7342004,'1',3,332,2,31),(28,7342047,'1',3,335,1,15),(28,7342071,'1',3,502,1,5),(28,7342098,'1',3,225,1,6),(28,7342110,'1A',3,213,1,4),(28,7342136,'1',2,454,2,13),(28,7342160,'1',3,304,2,35),(28,7342209,'1',3,428,2,72),(28,7342292,'1',3,3,1,23),(28,7342381,'1',3,2,1,37),(28,7342489,'1',3,424,1,6),(28,7342527,'1',1,5,1,3),(28,7342543,'1',3,201,2,77),(28,7342551,'1',3,502,2,36),(28,7342810,'1',3,501,2,68),(28,7342942,'1',3,421,1,8),(28,7342977,'1A',3,428,2,67),(28,7342993,'1',2,326,1,8),(28,7343094,'1',3,222,1,33),(28,7343124,'1',3,110,2,60),(28,7343205,'1',2,424,1,2),(28,7343230,'1',3,238,2,69),(28,7343388,'1',3,304,2,63),(28,7343442,'1',3,329,1,6),(28,7343469,'1',3,501,1,2),(28,7343590,'1A',3,601,1,134),(28,7343698,'1',3,316,2,51),(28,7343779,'1A',2,424,1,4),(28,7344104,'1',3,424,1,23),(28,7344236,'1',1,454,2,9),(28,7344260,'1',3,652,2,49),(28,7344295,'1',1,103,1,5),(28,7344333,'1',3,318,2,63),(28,7344430,'1',2,317,2,13),(28,7344511,'1',2,337,1,3),(28,7344520,'1',3,102,1,28),(28,7344600,'1',3,3,2,56),(28,7344651,'1',3,303,2,35),(28,7344678,'1',2,208,2,20),(28,7344716,'1',3,234,1,17),(28,7344732,'1',1,235,2,6),(28,7344813,'1',2,304,2,14),(28,7344864,'1',3,339,2,44),(28,7344872,'1',1,502,1,1),(28,7345020,'1',3,316,1,12),(28,7345054,'1',2,216,2,9),(28,7345097,'1',3,110,2,33),(28,7345178,'1',3,234,1,8),(28,7345216,'1A',3,238,2,68),(28,7345232,'1',2,202,2,20),(28,7345259,'1',3,302,2,37),(28,7345267,'1',3,303,1,25),(28,7345330,'1',2,301,2,19),(28,7345380,'1',3,601,2,209),(28,7345542,'1',3,654,1,3),(28,7345593,'1',3,224,2,31),(28,7345640,'1A',3,601,2,180),(28,7345690,'1',2,601,2,41),(28,7345712,'1',3,319,1,5),(28,7345798,'1',2,425,1,3),(28,7345909,'1',2,655,1,3),(28,7345968,'1',3,329,1,14),(28,7345976,'1',3,331,1,20),(28,7346042,'1',3,216,2,21),(28,7346050,'1',3,428,1,18),(28,7346077,'1',3,653,1,24),(28,7346085,'1',3,212,2,22),(28,7346093,'1',3,503,2,45),(28,7346190,'1',3,551,1,34),(28,7346247,'1',3,102,1,40),(28,7346280,'1',2,444,2,8),(28,7346360,'1',3,308,2,80),(28,7346387,'1',3,304,1,20),(28,7346522,'1',2,404,1,3),(28,7346670,'1A',3,212,1,9),(28,7346883,'1',3,454,2,86),(28,7346956,'1',2,444,1,5),(28,7346999,'1',3,208,2,47),(28,7347014,'1',3,220,2,29),(28,7347146,'1A',3,233,2,48),(28,7347189,'1',3,326,1,23),(28,7347235,'1',3,308,2,71),(28,7347324,'1',3,5,2,58),(28,7347383,'1',3,329,1,8),(28,7347448,'1',3,234,2,61),(28,7347588,'1',3,225,1,34),(28,7347685,'1',3,317,2,61),(28,7347723,'1',1,319,2,7),(28,7347936,'1',3,104,1,20),(28,7347960,'1',3,601,2,277),(28,7347987,'1',3,326,1,3),(28,7348045,'1',1,316,2,7),(28,7348134,'1',3,502,1,19),(28,7348304,'1',3,429,2,11),(28,7348347,'1',3,317,1,31),(28,7348355,'1',3,428,1,38),(28,7348410,'1',3,102,2,81),(28,7348460,'1',3,454,2,63),(28,7348843,'1',3,601,1,98),(28,7348908,'1',3,502,2,41),(28,7349084,'1A',3,220,2,46),(28,7349114,'1',3,211,1,2),(28,7349297,'1',3,203,2,64),(28,7349432,'1',3,102,2,52),(28,7349483,'1',3,320,2,14),(28,7349777,'1A',3,653,2,64),(28,7349793,'1A',3,652,1,20),(28,7350074,'1A',3,428,2,54),(28,7350104,'1',3,551,1,47),(28,7350120,'1',2,214,2,8),(28,7350163,'1',2,415,2,11),(28,7350198,'1',3,332,2,13),(28,7350228,'1',2,238,2,16),(28,7350309,'1',1,304,1,2),(28,7350325,'1',3,233,1,25),(28,7350457,'1',3,441,1,4),(28,7350600,'1',3,309,1,13),(28,7350708,'1',3,104,2,66),(28,7350759,'1',3,234,2,64),(28,7350775,'1',1,332,2,1),(28,7350848,'1',3,101,2,26),(28,7351097,'1',3,208,1,2),(28,7351119,'1',3,216,1,6),(28,7351135,'1',3,415,1,11),(28,7351330,'1',3,601,2,175),(28,7351410,'1A',3,214,2,27),(28,7351550,'1',1,207,2,6),(28,7351623,'1',3,318,1,25),(28,7351690,'1',1,108,2,6),(28,7351909,'1',3,551,1,40),(28,7351968,'1',3,440,1,5),(28,7352042,'1A',3,653,2,57),(28,7352085,'1',3,202,2,46),(28,7352166,'1',3,423,1,18),(28,7352239,'1',3,108,1,2),(28,7352310,'1',3,309,1,3),(28,7352506,'1',3,451,1,19),(28,7352751,'1',3,203,2,66),(28,7352867,'1',3,301,2,43),(28,7353367,'1',3,316,1,3),(28,7353413,'1',3,551,1,21),(28,7353510,'1',3,317,1,23),(28,7353529,'1',3,319,2,32),(28,7353545,'1',3,501,2,56),(28,7353707,'1',3,301,1,24),(28,7353847,'1',3,320,2,6),(28,7353979,'1A',3,213,2,21),(28,7354010,'1',3,223,1,3),(28,7354037,'1',3,230,1,24),(28,7354193,'1',3,308,1,31),(28,7354231,'1A',3,213,2,23),(28,7354312,'1',3,224,2,28),(28,7354401,'1',3,340,1,22),(28,7354428,'1',3,336,1,20),(28,7354452,'1',3,501,2,57),(28,7354495,'1',2,339,1,4),(28,7354550,'1',3,222,1,3),(28,7354606,'1',1,104,2,6),(28,7354649,'1',2,339,1,5),(28,7354797,'1A',2,213,2,7),(28,7354819,'1',3,655,2,39),(28,7354878,'1',3,652,2,82),(28,7355033,'1',3,454,2,50),(28,7355041,'1',3,304,2,59),(28,7355050,'1',3,318,1,9),(28,7355238,'1A',3,424,1,33),(28,7355360,'1',3,102,1,32),(28,7355483,'1',3,423,1,26),(28,7355750,'1',3,224,2,16),(28,7355858,'1',3,426,2,11),(28,7355947,'1',3,208,1,9),(28,7356110,'1',2,238,1,8),(28,7356323,'1',3,308,1,17),(28,7356331,'1',3,332,2,34),(28,7356528,'1',3,329,1,15),(28,7356587,'1A',3,426,2,31),(28,7356706,'1',3,318,1,22),(28,7356722,'1',3,332,2,25),(28,7356730,'1',3,109,2,46),(28,7356803,'1',3,551,1,29),(28,7356854,'1',3,201,2,73),(28,7357010,'1',1,652,1,2),(28,7357222,'1',3,327,2,6),(28,7357230,'1',3,652,2,44),(28,7357320,'1',3,208,1,34),(28,7357346,'1',3,203,2,59),(28,7357354,'1',3,328,1,15),(28,7357370,'1',3,108,1,26),(28,7357397,'1',3,207,2,45),(28,7357419,'1',3,451,1,2),(28,7357451,'1',3,2,1,42),(28,7357605,'1',1,5,2,9),(28,7357656,'1',3,234,1,32),(28,7357699,'1A',1,233,1,1),(28,7357710,'1',3,502,2,63),(28,7357729,'1',3,309,2,64),(28,7357788,'1',3,324,1,28),(28,7357826,'1',3,101,2,49),(28,7357893,'1',3,302,1,8),(28,7357907,'1',3,309,2,41),(28,7357923,'1',3,421,1,9),(28,7357940,'1',3,302,1,6),(28,7358032,'1',2,444,2,11),(28,7358105,'1',3,302,2,60),(28,7358172,'1',3,339,2,28),(28,7358202,'1',1,415,1,3),(28,7358229,'1A',2,652,1,8),(28,7358237,'1',3,335,1,3),(28,7358342,'1',3,2,1,48),(28,7358350,'1',3,308,2,66),(28,7358458,'1',3,551,1,44),(28,7358474,'1A',3,427,1,9),(28,7358512,'1',3,329,1,24),(28,7358571,'1',3,104,1,2),(28,7358610,'1A',3,601,2,184),(28,7358679,'1A',3,426,2,34),(28,7358709,'1',3,301,1,21),(28,7358814,'1',3,110,2,49),(28,7358857,'1',3,327,2,10),(28,7358903,'1',3,326,1,19),(28,7358962,'1',3,304,1,31),(28,7358970,'1A',3,426,2,17),(28,7359020,'1',3,224,2,35),(28,7359080,'1',3,215,2,28),(28,7359098,'1',3,302,1,23),(28,7359152,'1',3,320,2,4),(28,7359225,'1',2,331,1,6),(28,7359438,'1',3,318,2,65),(28,7359586,'1',3,335,1,8),(28,7359691,'1',3,225,1,18),(28,7359748,'1',1,201,2,7),(28,7359772,'1A',3,426,2,26),(28,7359853,'1',3,225,1,43),(28,7360100,'1',3,208,1,27),(28,7360460,'1',3,601,2,170),(28,7360576,'1',3,338,1,14),(28,7360584,'1',3,2,1,32),(28,7360657,'1',2,320,2,1),(28,7360690,'1',3,652,2,78),(28,7360770,'1',3,429,2,20),(28,7360797,'1',3,320,2,21),(28,7360800,'1',3,339,2,39),(28,7360894,'1',3,652,2,64),(28,7360908,'1',3,308,1,3),(28,7360940,'1',3,426,2,40),(28,7360959,'1',3,320,2,27),(28,7361084,'1',2,102,2,16),(28,7361092,'1',3,328,1,14),(28,7361130,'1',3,211,2,34),(28,7361190,'1',3,653,2,33),(28,7361343,'1',3,339,1,21),(28,7361386,'1',3,551,1,54),(28,7361467,'1',3,654,1,24),(28,7361475,'1',2,102,2,14),(28,7361564,'1',3,652,2,75),(28,7361572,'1',3,332,2,36),(28,7361807,'1',3,428,1,29),(28,7361831,'1',3,424,1,18),(28,7361904,'1',3,234,2,68),(28,7361920,'1',3,551,1,27),(28,7361963,'1',2,502,1,3),(28,7361971,'1',3,225,1,11),(28,7362013,'1',3,404,2,23),(28,7362072,'1A',1,235,1,1),(28,7362161,'1',3,339,2,36),(28,7362200,'1',2,425,1,4),(28,7362358,'1',3,502,1,22),(28,7362404,'1',2,303,2,15),(28,7362412,'1A',2,238,2,18),(28,7362439,'1',3,110,1,17),(28,7362471,'1',3,427,1,19),(28,7362528,'1',3,316,1,16),(28,7362579,'1',3,101,1,2),(28,7362684,'1',1,238,2,10),(28,7362862,'1',3,551,1,51),(28,7362897,'1',3,316,2,42),(28,7363125,'1',3,104,2,36),(28,7363230,'1',3,425,1,10),(28,7363249,'1',3,110,1,23),(28,7363354,'1',2,332,2,3),(28,7363362,'1',3,425,1,16),(28,7363532,'1',3,329,1,13),(28,7363567,'1',3,234,1,5),(28,7363583,'1',2,101,1,3),(28,7363613,'1',3,428,2,70),(28,7363656,'1A',2,652,2,11),(28,7363796,'1',3,301,1,20),(28,7363877,'1',3,316,2,48),(28,7363915,'1',2,317,1,1),(28,7364008,'1',1,104,1,1),(28,7364024,'1',3,501,1,18),(28,7364083,'1',3,230,1,26),(28,7364121,'1',3,331,1,9),(28,7364318,'1',3,338,1,24),(28,7364369,'1',2,220,1,5),(28,7364377,'1A',2,601,2,70),(28,7364601,'1',3,454,2,54),(28,7364610,'1',3,454,1,41),(28,7364636,'1',3,317,2,63),(28,7364652,'1',3,337,1,14),(28,7364768,'1',3,224,2,18),(28,7364776,'1A',3,652,1,8),(28,7364822,'1',3,335,1,1),(28,7364849,'1',3,320,2,24),(28,7364911,'1',3,552,2,5),(28,7364989,'1',1,404,1,3),(28,7365039,'1',3,451,1,22),(28,7365306,'1',3,444,1,5),(28,7365390,'1A',3,601,1,124),(28,7365462,'1',3,337,1,20),(28,7365535,'1',3,224,2,32),(28,7365578,'1A',2,214,1,2),(28,7365594,'1',3,653,1,29),(28,7365608,'1',3,654,2,43),(28,7365624,'1',3,310,1,5),(28,7365659,'1',3,339,2,24),(28,7365748,'1',3,238,1,17),(28,7365764,'1',3,340,2,30),(28,7365799,'1',3,423,1,12),(28,7365845,'1',3,109,1,21),(28,7365950,'1',3,451,1,6),(28,7365977,'1',2,501,2,12),(28,7366078,'1',3,308,2,62),(28,7366086,'1',3,654,2,42),(28,7366116,'1',3,320,2,34),(28,7366183,'1',3,329,1,17),(28,7366388,'1',2,108,2,9),(28,7366396,'1',3,220,1,4),(28,7366434,'1A',3,652,1,11),(28,7366612,'1',3,108,2,51),(28,7366680,'1',2,101,2,11),(28,7366906,'1',3,551,1,68),(28,7367120,'1A',3,601,2,289),(28,7367252,'1',3,203,2,57),(28,7367449,'1',3,222,1,30),(28,7367490,'1',3,333,1,5),(28,7367643,'1',3,501,1,22),(28,7367651,'1',1,652,1,1),(28,7367791,'1',2,202,1,5),(28,7367805,'1',3,302,2,56),(28,7367830,'1',3,450,1,10),(28,7367899,'1',3,223,1,51),(28,7368224,'1',2,316,1,8),(28,7368321,'1',2,214,2,5),(28,7368380,'1',3,654,2,48),(28,7368437,'1',3,332,2,4),(28,7368569,'1',3,324,1,23),(28,7368607,'1',3,304,1,7),(28,7368615,'1',3,212,1,4),(28,7368712,'1',3,427,1,20),(28,7368763,'1',3,104,2,56),(28,7368780,'1',1,454,1,4),(28,7368887,'1',3,5,2,51),(28,7368984,'1',3,320,2,22),(28,7369239,'1',3,317,1,28),(28,7369280,'1',1,454,1,1),(28,7369344,'1',3,440,1,14),(28,7369352,'1',3,327,2,28),(28,7369425,'1',3,454,1,27),(28,7369468,'1',2,308,1,6),(28,7369484,'1',3,101,2,48),(28,7369557,'1',3,428,2,59),(28,7369654,'1',3,316,1,21),(28,7369840,'1',3,324,1,3),(28,7370148,'1',3,225,1,4),(28,7370229,'1',2,301,2,16),(28,7370296,'1',3,225,1,10),(28,7370326,'1A',3,427,1,16),(28,7370350,'1A',3,421,1,13),(28,7370539,'1',3,428,2,62),(28,7370555,'1',3,340,2,38),(28,7370571,'1',2,308,1,1),(28,7370687,'1',2,5,2,13),(28,7370857,'1',3,110,2,44),(28,7370920,'1',3,423,1,32),(28,7371047,'1',3,425,1,24),(28,7371098,'1',3,308,1,29),(28,7371152,'1',3,428,2,57),(28,7371306,'1',3,101,1,1),(28,7371330,'1',3,429,2,24),(28,7371519,'1A',3,601,2,231),(28,7371578,'1',3,308,2,85),(28,7371721,'1',2,203,1,2),(28,7371942,'1',1,454,2,10),(28,7372108,'1',3,601,2,278),(28,7372159,'1',4,207,1,4),(28,7372167,'1',3,317,2,64),(28,7372248,'1',3,450,1,12),(28,7372388,'1',1,238,2,7),(28,7372523,'1',3,318,2,41),(28,7372647,'1A',3,423,1,24),(28,7372906,'1',3,309,1,10),(28,7372914,'1',3,324,1,16),(28,7373040,'1',3,332,2,6),(28,7373066,'1',3,208,2,74),(28,7373171,'1',3,328,1,7),(28,7373317,'1A',3,655,1,13),(28,7373473,'1',2,319,1,5),(28,7373503,'1',3,503,2,39),(28,7373805,'1',2,102,2,22),(28,7374070,'1',1,317,1,4),(28,7374100,'1',3,101,2,30),(28,7374283,'1',2,310,1,2),(28,7374399,'1',2,104,2,19),(28,7374526,'1',3,304,1,12),(28,7374542,'1',3,339,1,16),(28,7374640,'1',3,441,1,6),(28,7374780,'1A',3,421,1,15),(28,7374810,'1A',3,424,1,35),(28,7375018,'1',3,317,2,53),(28,7375131,'1',3,337,1,9),(28,7375263,'1',3,308,2,65),(28,7375298,'1A',3,601,2,169),(28,7375379,'1',3,309,2,46),(28,7375433,'1',2,339,2,7),(28,7375506,'1',1,301,1,1),(28,7375522,'1',3,502,1,23),(28,7375573,'1',3,328,1,13),(28,7375948,'1',2,318,2,13),(28,7376090,'1',3,324,1,29),(28,7376111,'1',3,551,1,56),(28,7376219,'1',3,324,1,17),(28,7376235,'1',3,502,2,33),(28,7376464,'1',3,225,1,40),(28,7376472,'1',1,238,1,5),(28,7376596,'1',3,110,1,12),(28,7376634,'1',3,223,1,27),(28,7376669,'1',3,421,1,23),(28,7376693,'1',2,201,1,8),(28,7376987,'1',2,308,1,7),(28,7376995,'1',3,220,1,15),(28,7377177,'1',3,338,1,1),(28,7377339,'1',3,329,1,18),(28,7377371,'1',2,327,2,6),(28,7377479,'1',3,308,2,61),(28,7377878,'1',3,328,1,11),(28,7377975,'1',3,318,1,20),(28,7378190,'1',3,316,1,2),(28,7378262,'1',1,340,2,6),(28,7378378,'1',3,9,1,22),(28,7378483,'1',3,501,1,23),(28,7378548,'1',3,108,1,24),(28,7378572,'1',3,404,2,36),(28,7378637,'1',3,320,2,19),(28,7378661,'1',3,428,2,58),(28,7378696,'1',3,427,1,8),(28,7378785,'1',3,2,1,40),(28,7378874,'1',3,426,2,24),(28,7379030,'1',1,301,1,2),(28,7379056,'1',3,309,2,49),(28,7379110,'1',3,230,1,4),(28,7379129,'1',3,551,1,22),(28,7379188,'1A',2,238,2,13),(28,7379293,'1A',3,424,1,21),(28,7379412,'1',2,653,1,8),(28,7379420,'1',3,2,1,33),(28,7379501,'1',3,454,1,1),(28,7379676,'1',3,212,2,26),(28,7379749,'1',1,101,2,8),(28,7379781,'1',3,109,2,48),(28,7379919,'1',3,234,1,29),(28,7380160,'1A',3,233,2,47),(28,7380321,'1',3,309,1,38),(28,7380399,'1',3,324,1,11),(28,7380445,'1',3,301,2,55),(28,7380453,'1',3,424,1,27),(28,7380461,'1',3,308,1,26),(28,7380593,'1',3,225,1,47),(28,7380747,'1',3,339,2,41),(28,7380801,'1A',2,214,1,1),(28,7380860,'1',2,108,1,2),(28,7380984,'1',3,310,1,31),(28,7381158,'1',3,444,1,7),(28,7381239,'1',3,225,1,41),(28,7381360,'1',1,404,1,1),(28,7381441,'1A',2,214,1,3),(28,7381506,'1',2,601,1,10),(28,7381530,'1',2,108,2,11),(28,7381719,'1',3,225,1,42),(28,7381905,'1A',2,233,2,8),(28,7381964,'1',3,426,2,39),(28,7381980,'1',3,415,1,2),(28,7382006,'1',2,451,1,2),(28,7382030,'1',3,238,2,58),(28,7382146,'1',3,653,2,43),(28,7382669,'1',3,304,2,68),(28,7382901,'1',3,234,1,40),(28,7382952,'1',3,454,2,65),(28,7383096,'1',3,213,2,32);
/*!40000 ALTER TABLE candidato_classificado ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `centro_curso`
--

DROP TABLE IF EXISTS centro_curso;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE centro_curso (
  id_centro smallint(6) NOT NULL,
  nome_centro varchar(40) NOT NULL,
  sigla_centro char(5) NOT NULL,
  PRIMARY KEY (id_centro)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `centro_curso`
--

LOCK TABLES centro_curso WRITE;
/*!40000 ALTER TABLE centro_curso DISABLE KEYS */;
INSERT INTO centro_curso VALUES (1,'CENTRO DE CIÊNCIAS DA SAÚDE','CCS'),(2,'CENTRO DE DESPORTOS','CDS'),(3,'CENTRO DE CIÊNCIAS DA EDUCAÇÃO','CED'),(4,'CENTRO DE CIÊNCIAS JURÍDICAS','CCJ'),(5,'CENTRO SÓCIO-ECONÔMICO','CSE'),(6,'CENTRO TECNOLÓGICO','CTC'),(7,'CENTRO DE CIÊNCIAS AGRÁRIAS','CCA'),(8,'CENTRO DE CIÊNCIAS BIOLÓGICAS','CCB'),(9,'CENTRO DE CIÊNCIAS FÍSICAS E MATEMÁTICAS','CFM'),(10,'CENTRO DE FILOSOFIA E CIÊNCIAS HUMANAS','CFH'),(11,'CENTRO DE COMUNICAÇÃO E EXPRESSÃO','CCE'),(12,'COLÉGIO AGRÍCOLA DE CAMBORIÚ','CAC'),(13,'COLÉGIO AGRÍCOLA DE ARAQUARÍ','CASGO'),(14,'COLÉGIO DE APLICAÇÃO','CA'),(24,'CAMPUS DE ARARANGUÁ','ARA'),(25,'CAMPUS DE JOINVILLE','JOI'),(26,'CAMPUS DE CURITIBANOS','CTBO'),(27,'CAMPUS CAMBORIÚ','CAMB'),(28,'CAMPUS ARAQUARI','ARAQ');
/*!40000 ALTER TABLE centro_curso ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `boletim_desempenho`
--

DROP TABLE IF EXISTS boletim_desempenho;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE boletim_desempenho (
  id_evento decimal(10,0) NOT NULL,
  id_candidato decimal(7,0) NOT NULL,
  acertos_biologia decimal(5,2) DEFAULT NULL,
  acertos_geografia decimal(5,2) DEFAULT NULL,
  acertos_matematica decimal(5,2) DEFAULT NULL,
  acertos_lingua_estrangeira decimal(5,2) DEFAULT NULL,
  acertos_portugues decimal(5,2) DEFAULT NULL,
  nota_redacao decimal(5,2) DEFAULT NULL,
  acertos_fisica decimal(5,2) DEFAULT NULL,
  acertos_historia decimal(5,2) DEFAULT NULL,
  acertos_quimica decimal(5,2) DEFAULT NULL,
  id_opcao1 smallint(6) DEFAULT NULL,
  id_opcao2 smallint(6) DEFAULT NULL,
  id_opcao1a smallint(6) DEFAULT NULL,
  bairro varchar(20) DEFAULT NULL,
  cidade varchar(40) DEFAULT NULL,
  unidade_federativa char(2) DEFAULT NULL,
  classificacao_geral decimal(6,0) DEFAULT NULL,
  posicao_1 decimal(5,0) DEFAULT NULL,
  posicao_2 decimal(5,0) DEFAULT NULL,
  posicao_1a decimal(5,0) DEFAULT NULL,
  faltante_dia_1 char(1) DEFAULT NULL,
  faltante_dia_2 char(1) DEFAULT NULL,
  faltante_dia_3 char(1) DEFAULT NULL,
  id_lingua tinyint(4) DEFAULT NULL,
  id_local smallint(6) DEFAULT NULL,
  PRIMARY KEY (id_evento,id_candidato)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `boletim_desempenho`
--

LOCK TABLES boletim_desempenho WRITE;
/*!40000 ALTER TABLE boletim_desempenho DISABLE KEYS */;
INSERT INTO boletim_desempenho VALUES (15,2000016,2.00,8.00,1.00,8.00,4.00,6.50,2.00,5.00,3.00,103,5,NULL,'VILA NOVA','JARAGUA DO SUL','SC',14380,2582,1224,NULL,NULL,NULL,NULL,4,8),(15,2000024,4.00,6.00,3.00,8.00,7.00,4.50,5.00,6.00,3.00,101,327,NULL,'CENTRO','FLORIANOPOLIS','SC',9057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000032,0.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,2,108,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2000059,0.00,2.00,1.00,2.00,3.00,NULL,2.00,2.00,2.00,2,224,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000067,3.00,6.00,1.00,5.00,8.00,6.25,2.00,6.00,2.00,420,426,NULL,'JARDIM SANTA CLARA','SUMARE','SP',14694,291,191,NULL,NULL,NULL,NULL,4,1),(15,2000075,3.00,8.00,1.00,7.00,6.00,5.00,5.00,6.00,3.00,108,451,NULL,'CENTRO','JACINTO MACHADO','SC',12560,275,191,NULL,NULL,NULL,NULL,4,5),(15,2000083,3.00,7.00,4.00,6.00,6.00,5.75,2.00,5.00,3.00,501,502,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',13445,143,232,NULL,NULL,NULL,NULL,2,1),(15,2000091,3.00,6.00,3.00,5.00,8.00,7.25,5.00,5.00,1.00,207,316,201,'PASSA VINTE','PALHOCA','SC',11455,562,939,634,NULL,NULL,NULL,2,1),(15,2000105,2.00,4.00,2.00,2.00,3.00,NULL,2.00,3.00,2.00,238,339,NULL,'ALVORADA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2000113,4.00,8.00,5.00,9.00,8.00,7.75,7.00,8.00,5.00,451,426,NULL,'ABRAÃO','FLORIANOPOLIS','SC',2085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000121,4.00,8.00,0.00,7.00,9.00,5.50,6.00,8.00,3.00,104,NULL,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',8182,268,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000130,4.00,6.00,3.00,8.00,6.00,6.00,6.00,4.00,3.00,103,108,NULL,'VILA CARRÃO','SAO PAULO','SP',10190,2165,707,NULL,NULL,NULL,NULL,2,1),(15,2000164,4.00,8.00,5.00,9.00,9.00,6.75,6.00,9.00,5.00,5,317,NULL,'INGLESES','FLORIANOPOLIS','SC',2753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000172,1.00,4.00,3.00,6.00,7.00,4.00,3.00,5.00,2.00,103,101,NULL,'CENTRO','CRISSIUMAL','RS',17129,2805,677,NULL,NULL,NULL,NULL,2,1),(15,2000180,3.00,7.00,1.00,5.00,6.00,7.00,4.00,6.00,2.00,207,404,203,'ARIRIÚ','PALHOCA','SC',12497,609,359,861,NULL,NULL,NULL,2,1),(15,2000199,3.00,6.00,2.00,6.00,8.00,3.50,3.00,4.00,2.00,308,9,NULL,'ITACORUBI','FLORIANOPOLIS','SC',16821,73,635,NULL,NULL,NULL,NULL,2,1),(15,2000202,4.00,8.00,2.00,7.00,8.00,6.75,2.00,8.00,1.00,450,451,NULL,'NAÇÕES','BALNEARIO CAMBORIU','SC',9144,89,166,NULL,NULL,NULL,NULL,4,6),(15,2000210,7.00,8.00,7.00,6.00,9.00,4.75,7.00,7.00,4.00,238,225,NULL,'CARIANOS','FLORIANOPOLIS','SC',2858,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2000229,3.00,4.00,2.00,2.00,4.00,NULL,1.00,2.00,2.00,208,318,238,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000245,2.00,1.00,3.00,7.00,4.00,6.50,3.00,4.00,1.00,108,211,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',20383,446,1010,NULL,NULL,NULL,NULL,2,1),(15,2000253,2.00,5.00,5.00,5.00,4.00,5.75,3.00,4.00,1.00,420,108,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',17790,350,878,NULL,NULL,NULL,NULL,2,1),(15,2000261,3.00,7.00,3.00,1.00,5.00,6.00,3.00,5.00,1.00,225,222,NULL,'SANTO ANTONIO','TUBARAO','SC',19251,56,202,NULL,NULL,NULL,NULL,4,10),(15,2000270,0.00,0.00,0.00,0.00,0.00,NULL,1.00,1.00,2.00,319,5,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000288,0.00,4.00,3.00,6.00,5.00,NULL,6.00,5.00,3.00,316,317,NULL,'PAGARÁ','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2000296,2.00,4.00,3.00,5.00,5.00,6.00,3.00,3.00,1.00,203,214,233,'FLORESTA','JOINVILLE','SC',19841,1131,795,439,NULL,NULL,NULL,5,8),(15,2000300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,9,NULL,'CERRO NEGRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2000318,6.00,6.00,6.00,8.00,8.00,7.25,7.00,8.00,5.00,103,319,NULL,'CENTRO','BENTO GONCALVES','RS',2517,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2000326,5.00,8.00,3.00,3.00,7.00,4.75,7.00,5.00,4.00,103,104,NULL,'VILA FORMOSA','ALFENAS','MG',9717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000334,8.00,8.00,8.00,7.00,9.00,6.50,8.00,7.00,6.00,103,NULL,NULL,'CAMPINAS','SAO JOSE','SC',810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,217,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2000350,3.00,5.00,3.00,2.00,5.00,6.25,2.00,7.00,3.00,103,101,NULL,'ESTREITO','FLORIANOPOLIS','SC',16476,2756,NULL,NULL,NULL,NULL,NULL,5,1),(15,2000369,5.00,8.00,6.00,9.00,9.00,5.50,8.00,5.00,6.00,215,103,216,'JOÃO RIBEIRO','ARAXA','MG',2581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000385,5.00,8.00,5.00,7.00,7.00,7.50,7.00,6.00,6.00,332,331,NULL,'MIRANDÓPOLIS','SAO PAULO','SP',3570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000393,6.00,8.00,9.00,8.00,8.00,7.50,9.00,8.00,8.00,103,303,NULL,'SANTA BÁRBARA','CRICIUMA','SC',279,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2000407,2.00,5.00,4.00,0.00,7.00,7.75,6.00,4.00,3.00,301,207,NULL,'CARIANOS','FLORIANOPOLIS','SC',16445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000415,2.00,5.00,1.00,1.00,7.00,5.25,3.00,3.00,1.00,103,NULL,NULL,'JARDIM AMÉRICA','DOURADOS','MS',21447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000431,2.00,3.00,1.00,6.00,6.00,NULL,0.00,0.00,0.00,103,102,NULL,'JARDIM AMÉRICA','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(15,2000440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,303,NULL,'LA SALLE','XANXERE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2000458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,5,425,'FIGUEIRA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2000482,0.00,7.00,4.00,7.00,6.00,4.25,3.00,7.00,2.00,318,304,NULL,'BELA VISTA I','SAO JOSE','SC',14869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000512,3.00,6.00,1.00,4.00,3.00,4.00,1.00,3.00,2.00,333,108,NULL,'CENTRO','AGROLANDIA','SC',21538,408,980,NULL,NULL,NULL,NULL,2,9),(15,2000520,1.00,3.00,2.00,3.00,4.00,6.00,3.00,3.00,2.00,404,308,NULL,'ARIRIÚ','PALHOCA','SC',22202,274,493,NULL,NULL,NULL,NULL,2,1),(15,2000539,4.00,8.00,5.00,2.00,7.00,7.50,3.00,7.00,2.00,207,420,201,'OFICINAS','TUBARAO','SC',9408,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2000547,0.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,318,320,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(15,2000563,2.00,7.00,5.00,7.00,8.00,5.25,7.00,4.00,4.00,420,450,NULL,'ESTREITO','FLORIANOPOLIS','SC',6664,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000571,3.00,7.00,5.00,3.00,9.00,6.25,5.00,7.00,2.00,5,425,NULL,'CENTRO','PALHOCA','SC',10004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000580,4.00,8.00,6.00,5.00,7.00,5.25,5.00,7.00,3.00,102,324,NULL,'SAO CRISTOVAO','LAGES','SC',7041,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2000598,0.00,7.00,2.00,7.00,7.00,4.25,3.00,4.00,3.00,329,328,NULL,'ARMAÇAO','FLORIANOPOLIS','SC',16148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2000601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,203,'BELA VISTA','TEIXEIRA DE FREITAS','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2000610,1.00,3.00,7.00,5.00,7.00,6.50,5.00,5.00,1.00,238,222,208,'CAMPINAS','SAO JOSE','SC',13926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2000628,7.00,9.00,7.00,7.00,9.00,4.50,9.00,7.00,7.00,201,318,203,'JARDIM AMÉRICA','FRAIBURGO','SC',914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2000636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,216,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2000660,5.00,5.00,2.00,1.00,5.00,4.00,5.00,6.00,2.00,303,451,NULL,'NSA S DE LOURDES','SANTA MARIA','RS',17833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000679,4.00,7.00,6.00,8.00,8.00,6.50,8.00,8.00,5.00,320,327,NULL,'ASSUNÇÃO','SAO BERNARDO DO CAMPO','SP',2114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000687,4.00,6.00,0.00,7.00,7.00,6.50,3.00,6.00,2.00,5,426,NULL,'AVENTUREIRO','JOINVILLE','SC',13917,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2000695,1.00,5.00,2.00,1.00,2.00,NULL,3.00,4.00,3.00,316,502,NULL,'JARDIM','SAO JOSE DO CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2000709,3.00,5.00,4.00,6.00,5.00,6.00,4.00,3.00,2.00,308,428,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',16852,75,224,NULL,NULL,NULL,NULL,2,1),(15,2000717,5.00,3.00,6.00,3.00,7.00,6.75,5.00,6.00,4.00,207,216,201,'CENTRO','TUBARAO','SC',10368,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2000725,3.00,7.00,7.00,7.00,8.00,7.00,5.00,5.00,3.00,207,NULL,201,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',7194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000733,4.00,8.00,8.00,9.00,8.00,7.50,6.00,7.00,5.00,319,NULL,NULL,'JD DAS LARANJEIRAS','SAO PAULO','SP',2304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000741,2.00,6.00,6.00,2.00,6.00,6.00,6.00,5.00,2.00,9,NULL,NULL,'NONOAI','PORTO ALEGRE','RS',13434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000750,5.00,9.00,7.00,9.00,8.00,6.00,8.00,8.00,4.00,329,308,NULL,'CAMPINAS','SAO JOSE','SC',1998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000784,3.00,1.00,1.00,5.00,5.00,6.50,3.00,3.00,2.00,501,502,NULL,'PETROPOLIS','LAGES','SC',20578,279,342,NULL,NULL,NULL,NULL,2,9),(15,2000806,6.00,8.00,7.00,6.00,8.00,7.25,9.00,2.00,7.00,415,450,NULL,'VILA ADYANA','SAO JOSE DOS CAMPOS','SP',3429,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000814,3.00,7.00,2.00,1.00,2.00,NULL,3.00,7.00,2.00,108,NULL,NULL,'MUNICIPIOS','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2000822,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,103,501,NULL,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(15,2000830,3.00,7.00,6.00,7.00,8.00,6.50,4.00,3.00,3.00,207,427,201,'OPERARIA NOVA','CRICIUMA','SC',9317,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(15,2000849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,102,233,'ATALAIA','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2000857,5.00,6.00,3.00,1.00,6.00,6.25,3.00,6.00,4.00,102,108,NULL,'V PINHEIRO','JACAREI','SP',14756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000865,3.00,7.00,3.00,7.00,6.00,5.75,6.00,6.00,4.00,212,424,238,'COQUEIROS','FLORIANOPOLIS','SC',8143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000873,3.00,7.00,2.00,4.00,4.00,5.50,5.00,3.00,3.00,319,108,NULL,'OFINAS','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2000903,1.00,4.00,0.00,7.00,6.00,5.50,3.00,1.00,1.00,415,309,NULL,'TRINDADE','FLORIANOPOLIS','SC',21094,535,237,NULL,NULL,NULL,NULL,2,1),(15,2000911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,426,NULL,'VILA OPERARIA','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2000920,4.00,7.00,4.00,2.00,8.00,6.75,5.00,3.00,4.00,5,427,NULL,'CENTRO','BOM RETIRO','SC',11395,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2000938,0.00,6.00,3.00,2.00,4.00,NULL,1.00,3.00,2.00,103,102,NULL,'JARDIM BANDEIRANTES','VERA CRUZ DO OESTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000946,2.00,5.00,4.00,8.00,6.00,5.00,5.00,5.00,4.00,202,203,213,'TRINDADE','FLORIANOPOLIS','SC',11735,450,1362,183,NULL,NULL,NULL,4,1),(15,2000954,6.00,8.00,7.00,8.00,9.00,5.75,7.00,5.00,5.00,103,316,NULL,'ANITA GARIBALDI','JOINVILLE','SC',1956,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2000962,3.00,6.00,2.00,2.00,6.00,5.50,5.00,5.00,5.00,333,108,NULL,'CAMPINAS','SAO JOSE','SC',14977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000970,4.00,7.00,6.00,5.00,7.00,6.25,5.00,6.00,2.00,317,318,NULL,'BARREIROS','SAO JOSE','SC',8527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000989,4.00,5.00,4.00,6.00,7.00,5.25,5.00,5.00,3.00,103,216,NULL,'JUVEVE','CURITIBA','PR',11164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2000997,2.00,4.00,3.00,4.00,5.00,4.75,2.00,4.00,0.00,103,217,NULL,'CENTRO','MARIANO MORO','RS',21723,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2001004,8.00,8.00,8.00,8.00,9.00,7.00,7.00,8.00,5.00,103,339,NULL,'TRINDADE','FLORIANOPOLIS','SC',794,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TATUAPE','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2001020,0.00,4.00,4.00,6.00,6.00,4.75,3.00,3.00,2.00,211,502,215,'SÃO CRISTOVÃO','CHAPECO','SC',18749,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2001039,2.00,6.00,5.00,5.00,5.00,6.25,5.00,2.00,1.00,319,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',15289,304,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001047,4.00,6.00,3.00,4.00,6.00,5.75,2.00,5.00,1.00,5,320,NULL,'MEIA PRAIA','ITAPEMA','SC',15495,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2001055,6.00,7.00,6.00,7.00,6.00,5.50,8.00,7.00,5.00,103,319,NULL,'PARQUE ALTO TAQUARAL','CAMPINAS','SP',4409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001063,4.00,7.00,6.00,6.00,8.00,6.50,4.00,7.00,3.00,333,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',6578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001071,5.00,8.00,2.00,9.00,9.00,6.00,4.00,8.00,3.00,444,404,NULL,'CENTRO','SAO VICENTE','SP',4728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001080,5.00,8.00,3.00,7.00,7.00,7.00,5.00,5.00,5.00,304,421,NULL,'PICADAS DO SUL','SAO JOSE','SC',6713,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2001098,3.00,7.00,6.00,1.00,5.00,5.25,3.00,4.00,2.00,208,222,238,'TRINDADE','FLORIANOPOLIS','SC',17082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001101,5.00,5.00,4.00,3.00,8.00,5.50,3.00,5.00,2.00,5,451,NULL,'SANTANA','RIO DO SUL','SC',13737,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2001110,3.00,8.00,3.00,7.00,5.00,6.50,1.00,4.00,1.00,304,222,NULL,'CENTRO','ERECHIM','RS',15817,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2001144,5.00,7.00,8.00,6.00,8.00,6.00,8.00,5.00,6.00,103,220,NULL,'TRINDADE','FLORIANOPOLIS','SC',2861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001160,5.00,7.00,7.00,5.00,8.00,5.75,9.00,7.00,9.00,103,NULL,NULL,'ACLIMAÇÃO','SAO JOSE DO RIO PRETO','SP',1848,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2001179,1.00,7.00,1.00,1.00,5.00,6.00,2.00,5.00,1.00,327,5,NULL,'GUATÁ','LAURO MULLER','SC',21342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001187,2.00,6.00,4.00,2.00,5.00,5.50,3.00,2.00,1.00,203,220,214,'TRINDADE','FLORIANOPOLIS','SC',20122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001209,3.00,4.00,1.00,1.00,4.00,7.75,5.00,2.00,4.00,420,216,NULL,'CENTRO','CASCAVEL','PR',19409,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2001217,6.00,6.00,0.00,4.00,7.00,5.50,3.00,6.00,4.00,332,320,NULL,'PANTANAL','FLORIANOPOLIS','SC',12709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001233,2.00,5.00,3.00,6.00,5.00,5.00,3.00,2.00,2.00,333,502,NULL,'HUGO LANGE','CURITIBA','PR',18904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001241,5.00,6.00,7.00,9.00,6.00,5.50,6.00,7.00,7.00,103,216,NULL,'NOVO MUNDO','CURITIBA','PR',3628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001250,3.00,1.00,1.00,3.00,2.00,NULL,3.00,3.00,3.00,216,217,233,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2001268,3.00,6.00,1.00,5.00,7.00,6.00,3.00,4.00,3.00,428,415,425,'PANTANAL','FLORIANOPOLIS','SC',15656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001276,3.00,5.00,2.00,7.00,7.00,4.00,3.00,6.00,1.00,317,224,NULL,'PRADO','BIGUACU','SC',16195,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2001284,3.00,6.00,2.00,5.00,6.00,5.50,4.00,4.00,1.00,420,238,NULL,'CENTRO','CAPINZAL','SC',16974,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2001306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'BARRA DA TIJUCA','RIO DE JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2001314,3.00,6.00,2.00,5.00,5.00,6.75,1.00,6.00,2.00,415,303,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',17536,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2001330,3.00,6.00,2.00,3.00,6.00,5.75,3.00,3.00,2.00,415,404,NULL,'BOIÇUCANGA','SAO SEBASTIAO','SP',18717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001349,3.00,8.00,4.00,4.00,8.00,7.50,6.00,8.00,3.00,319,444,NULL,'ARMAÇÃO DO PÂNTANO S','FLORIANOPOLIS','SC',6179,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2001357,4.00,6.00,7.00,4.00,7.00,5.75,4.00,5.00,5.00,317,224,NULL,'ESTREITO','FLORIANOPOLIS','SC',9862,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2001381,2.00,5.00,0.00,3.00,5.00,3.00,4.00,5.00,2.00,423,319,424,'SANTOS DUMONT','SAO JOSE','SC',21417,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2001390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,201,216,'CENTRO','CAMBE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2001403,6.00,8.00,7.00,6.00,8.00,6.50,5.00,6.00,5.00,103,450,NULL,'CORAL','LAGES','SC',4427,1325,226,NULL,NULL,NULL,NULL,4,9),(15,2001411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,339,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2001420,1.00,6.00,2.00,4.00,5.00,5.50,3.00,6.00,2.00,420,203,NULL,'STEFFEN','BRUSQUE','SC',18074,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2001438,6.00,6.00,5.00,2.00,5.00,5.00,8.00,8.00,4.00,303,5,NULL,'VILA ADYANNA','SAO JOSE DOS CAMPOS','SP',7620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001446,4.00,4.00,4.00,8.00,7.00,4.00,5.00,5.00,4.00,303,316,NULL,'JD OURO BRANCO','PARANAVAI','PR',10982,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2001470,4.00,8.00,3.00,6.00,9.00,5.75,4.00,6.00,2.00,318,238,NULL,'TRINDADE','FLORIANOPOLIS','SC',8483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001489,3.00,5.00,4.00,2.00,2.00,NULL,2.00,2.00,3.00,103,216,NULL,'BELVEDERE II','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2001497,4.00,4.00,0.00,3.00,4.00,NULL,3.00,2.00,1.00,103,444,NULL,'CEARA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2001519,3.00,8.00,5.00,4.00,8.00,6.00,7.00,6.00,3.00,203,202,211,'PRESIDENTE MEDICI','CHAPECO','SC',7421,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2001527,6.00,6.00,8.00,8.00,8.00,5.75,8.00,7.00,7.00,103,201,NULL,'JARDIM SANTA CRUZ','AVARE','SP',1299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001535,7.00,8.00,9.00,7.00,9.00,6.50,9.00,7.00,6.00,103,NULL,NULL,'CENTRO','TUBARAO','SC',646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,425,NULL,'CENTRO','PRESIDENTE GETULIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2001578,2.00,4.00,5.00,1.00,5.00,6.75,3.00,4.00,3.00,404,444,NULL,'CAMPINAS','SAO JOSE','SC',18914,178,544,NULL,NULL,NULL,NULL,4,1),(15,2001586,8.00,9.00,8.00,5.00,9.00,8.75,9.00,8.00,7.00,103,224,NULL,'NOVA BRASÍLIA','JARAGUA DO SUL','SC',281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001594,6.00,8.00,3.00,7.00,8.00,3.75,6.00,3.00,2.00,104,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',10778,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2001608,5.00,8.00,5.00,2.00,8.00,3.00,7.00,6.00,3.00,103,102,NULL,'CENTRO','CAIBI','SC',8422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001624,2.00,6.00,2.00,5.00,7.00,4.00,3.00,3.00,2.00,339,309,NULL,'SANTANA','PORTO ALEGRE','RS',18112,87,189,NULL,NULL,NULL,NULL,2,1),(15,2001632,8.00,9.00,7.00,7.00,9.00,6.00,7.00,8.00,7.00,103,303,NULL,'MEIA PRAIA','ITAPEMA','SC',659,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2001640,0.00,8.00,0.00,4.00,3.00,4.25,3.00,7.00,1.00,5,317,NULL,'VILA PORTUGUESA','LONDRINA','PR',20524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2001659,5.00,7.00,5.00,7.00,7.00,5.00,6.00,7.00,4.00,238,208,NULL,'BOM RETIRO','JOINVILLE','SC',6212,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2001675,7.00,8.00,7.00,9.00,9.00,5.75,9.00,7.00,6.00,303,5,NULL,'CENTRO','SAO JOSE','SC',982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001683,2.00,9.00,5.00,4.00,9.00,5.25,5.00,5.00,4.00,104,333,NULL,'CENTRO','FLORIANOPOLIS','SC',8114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001691,1.00,5.00,4.00,0.00,3.00,5.00,4.00,3.00,0.00,316,339,NULL,'IPIRANGA','SAO JOSE','SC',22493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2001713,2.00,6.00,5.00,5.00,5.00,5.00,4.00,5.00,1.00,451,324,NULL,'COSTA DE DENTRO','FLORIANOPOLIS','SC',15953,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2001721,3.00,7.00,3.00,0.00,5.00,4.00,5.00,4.00,4.00,104,217,NULL,'COQUEIROS','FLORIANOPOLIS','SC',17245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001730,3.00,9.00,4.00,5.00,9.00,3.25,5.00,8.00,3.00,331,332,NULL,'CENTRO','SAO JOAQUIM','SC',8020,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2001756,3.00,6.00,3.00,3.00,6.00,5.25,3.00,4.00,2.00,223,224,NULL,'SANTO ANTÔNIO','PORTO ALEGRE','RS',17340,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2001764,2.00,3.00,2.00,4.00,4.00,5.50,3.00,3.00,3.00,333,502,NULL,'SÃO JOÃO','BENTO GONCALVES','RS',21130,392,351,NULL,NULL,NULL,NULL,4,9),(15,2001772,6.00,8.00,6.00,9.00,9.00,6.75,8.00,6.00,7.00,5,303,NULL,'SANTO ANTÔNIO','FRAIBURGO','SC',1006,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2001780,2.00,5.00,2.00,4.00,4.00,6.00,3.00,1.00,2.00,404,308,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',21444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2001799,4.00,8.00,3.00,6.00,7.00,5.50,5.00,4.00,2.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',10779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001802,6.00,7.00,7.00,6.00,9.00,6.50,6.00,7.00,6.00,104,211,NULL,'CENTRO','LAGUNA','SC',3477,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2001810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,318,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2001829,3.00,5.00,5.00,7.00,8.00,5.25,5.00,7.00,4.00,309,326,NULL,'TRINDADE','FLORIANOPOLIS','SC',7926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001837,2.00,3.00,1.00,4.00,5.00,5.00,3.00,5.00,3.00,502,108,NULL,'BARREIROS','SAO JOSE','SC',20445,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2001845,3.00,4.00,2.00,0.00,5.00,NULL,1.00,3.00,3.00,103,102,NULL,'RECIFE','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2001861,2.00,5.00,4.00,9.00,6.00,5.00,2.00,4.00,2.00,214,333,238,'MAGALHÃES','LAGUNA','SC',15322,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2001888,5.00,8.00,3.00,6.00,7.00,8.00,6.00,6.00,4.00,108,333,NULL,'FLORESTA','BELO HORIZONTE','MG',5865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001896,3.00,7.00,6.00,6.00,6.00,4.25,6.00,7.00,4.00,103,217,NULL,'CENTRO','PORTO ALEGRE','RS',9022,2038,349,NULL,NULL,NULL,NULL,2,1),(15,2001900,3.00,5.00,8.00,8.00,7.00,6.00,7.00,6.00,4.00,203,108,202,'CENTRO','MERCEDES','PR',5297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001918,5.00,5.00,1.00,5.00,7.00,6.50,5.00,7.00,2.00,317,339,NULL,'CAMPINAS','SAO JOSE','SC',12045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2001926,3.00,3.00,1.00,7.00,4.00,3.75,3.00,2.00,2.00,102,101,NULL,'PROGRESSO','LAGUNA','SC',20838,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2001934,5.00,7.00,7.00,8.00,9.00,7.25,8.00,8.00,7.00,108,332,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',1112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001942,6.00,8.00,3.00,6.00,8.00,7.00,3.00,4.00,5.00,217,102,NULL,'ESTREITO','FLORIANOPOLIS','SC',8230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2001950,8.00,7.00,7.00,8.00,8.00,5.50,8.00,7.00,3.00,103,211,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',1960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001969,3.00,7.00,2.00,5.00,7.00,6.25,3.00,4.00,4.00,319,329,NULL,'BARREIROS','SAO JOSE','SC',12314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2001977,4.00,6.00,4.00,9.00,6.00,5.50,4.00,4.00,5.00,108,333,NULL,'ENGENHO NOVO','BARUERI','SP',8327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2001985,1.00,5.00,5.00,0.00,5.00,4.50,4.00,1.00,2.00,104,317,NULL,'CAMINHO NOVO','PALHOCA','SC',21691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002027,7.00,7.00,5.00,8.00,8.00,6.75,5.00,6.00,7.00,102,217,NULL,'COLONINHA','ARARANGUA','SC',2553,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2002035,3.00,6.00,3.00,2.00,3.00,3.00,3.00,5.00,2.00,327,326,NULL,'CENTRO','ITAPEMA','SC',20452,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2002043,6.00,8.00,7.00,7.00,8.00,5.75,5.00,8.00,5.00,303,415,NULL,'CENTRO','GASPAR','SC',3248,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2002051,2.00,6.00,0.00,2.00,5.00,5.00,4.00,4.00,3.00,203,333,208,'PONTA DAS CANAS','FLORIANOPOLIS','SC',19595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002060,5.00,7.00,3.00,5.00,8.00,6.00,5.00,6.00,3.00,103,217,NULL,'CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC',9968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002086,6.00,8.00,8.00,6.00,9.00,6.25,8.00,7.00,6.00,214,301,233,'CENTRO','FLORIANOPOLIS','SC',1013,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002094,4.00,9.00,7.00,9.00,8.00,8.50,7.00,9.00,7.00,103,NULL,NULL,'JARDIM AMÉRICA','ITUPORANGA','SC',1060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002108,3.00,7.00,1.00,6.00,5.00,5.25,4.00,5.00,2.00,5,103,NULL,'CENTRO','JARAGUA DO SUL','SC',15171,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2002116,4.00,7.00,6.00,7.00,8.00,6.25,3.00,7.00,6.00,316,501,NULL,'CAMPINAS','SAO JOSE','SC',5423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002124,3.00,8.00,8.00,8.00,8.00,6.50,6.00,5.00,5.00,426,9,425,'CENTRO','FLORIANOPOLIS','SC',3183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002132,3.00,8.00,7.00,7.00,7.00,6.00,5.00,8.00,4.00,5,225,NULL,'TRINDADE','FLORIANOPOLIS','SC',3562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002140,3.00,5.00,1.00,2.00,6.00,6.50,3.00,4.00,2.00,103,108,NULL,'CARIANOS','FLORIANOPOLIS','SC',19762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002159,6.00,9.00,7.00,6.00,6.00,6.00,8.00,6.00,5.00,214,215,233,'CENTRO','FLORIANOPOLIS','SC',2151,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002167,3.00,5.00,2.00,3.00,4.00,5.25,0.00,5.00,2.00,104,103,NULL,'JARDIM AMÉRICA','CHAPECO','SC',21249,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2002175,7.00,9.00,7.00,7.00,8.00,6.50,8.00,6.00,6.00,5,303,NULL,'CENTRO','PALHOCA','SC',1713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002183,6.00,7.00,3.00,6.00,8.00,6.25,7.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',5431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002191,6.00,7.00,4.00,6.00,7.00,6.25,8.00,3.00,2.00,211,333,215,'MEDICINA','ITAJUBA','MG',9263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002205,4.00,7.00,2.00,4.00,6.00,5.25,4.00,5.00,3.00,238,339,NULL,'INGLESES DO RIO VERM','FLORIANOPOLIS','SC',14535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002213,1.00,3.00,6.00,0.00,7.00,5.50,3.00,3.00,2.00,329,327,NULL,'CENTRO','FLORIANOPOLIS','SC',20177,74,450,NULL,NULL,NULL,NULL,4,1),(15,2002230,1.00,3.00,2.00,4.00,2.00,NULL,4.00,2.00,1.00,102,215,NULL,'BORTOLON','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2002264,3.00,7.00,4.00,9.00,9.00,7.00,5.00,4.00,4.00,303,415,NULL,'CENTRO','CONCORDIA','SC',6036,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2002280,3.00,6.00,1.00,4.00,7.00,3.00,3.00,5.00,2.00,320,404,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',18738,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002302,5.00,7.00,5.00,7.00,8.00,5.50,5.00,5.00,2.00,108,333,NULL,'PACHECOS','PALHOCA','SC',7778,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002310,6.00,7.00,9.00,6.00,8.00,7.00,9.00,7.00,6.00,303,212,NULL,'CENTRO','FLORIANOPOLIS','SC',987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002329,5.00,7.00,7.00,8.00,9.00,7.25,7.00,7.00,7.00,238,316,208,'CENTRO','CRICIUMA','SC',1783,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2002337,5.00,7.00,9.00,4.00,8.00,4.00,7.00,7.00,5.00,203,2,233,'AMERICA','JOINVILLE','SC',3877,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2002345,1.00,6.00,1.00,3.00,4.00,5.25,1.00,3.00,3.00,104,319,NULL,'ESTREITO','FLORIANOPOLIS','SC',22056,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002353,7.00,8.00,9.00,8.00,9.00,8.00,7.00,8.00,9.00,103,104,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',184,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2002361,2.00,6.00,1.00,6.00,9.00,4.75,5.00,5.00,3.00,415,NULL,NULL,'JARDIM SÃO BENEDITO','CAMBUI','MG',14290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2002388,8.00,6.00,7.00,8.00,6.00,3.75,7.00,6.00,5.00,103,NULL,NULL,'VILAS DO ATLANTICO','LAURO DE FREITAS','BA',5087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002396,2.00,5.00,2.00,6.00,8.00,5.75,6.00,4.00,3.00,104,101,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',12657,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002400,4.00,5.00,9.00,6.00,8.00,3.50,6.00,6.00,4.00,303,5,NULL,'PANTANAL','FLORIANOPOLIS','SC',6662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002434,6.00,7.00,6.00,4.00,8.00,4.75,9.00,7.00,5.00,213,304,214,'JARDIM ESPLANADA','SAO JOSE DOS CAMPOS','SP',4032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002442,3.00,7.00,5.00,4.00,4.00,6.00,4.00,5.00,5.00,324,328,NULL,'JARDIM TAMOIO BALSAN','JUNDIAI','SP',12587,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002450,0.00,7.00,1.00,7.00,7.00,NULL,2.00,3.00,4.00,201,104,207,'VILA PEDRINI','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2002469,1.00,5.00,4.00,0.00,2.00,NULL,2.00,5.00,2.00,201,304,208,'CENTRO','SAO JOSE DO CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2002477,2.00,5.00,5.00,4.00,6.00,5.75,4.00,5.00,3.00,324,332,NULL,'ITACORUBI','FLORIANOPOLIS','SC',14155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002485,2.00,4.00,5.00,1.00,4.00,4.50,4.00,2.00,3.00,103,208,NULL,'IMPERIAL','CONCORDIA','SC',21563,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2002493,4.00,7.00,5.00,5.00,8.00,4.75,6.00,8.00,3.00,5,318,NULL,'ABRAAO','FLORIANOPOLIS','SC',6616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002507,2.00,6.00,2.00,3.00,4.00,3.75,4.00,4.00,2.00,333,108,NULL,'CENTRO','UMUARAMA','PR',20839,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2002515,3.00,8.00,2.00,6.00,6.00,5.50,3.00,7.00,3.00,415,450,NULL,'VILA APARECIDA','BOTUCATU','SP',10473,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002531,3.00,6.00,3.00,3.00,7.00,6.25,6.00,6.00,2.00,317,224,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',12012,151,187,NULL,NULL,NULL,NULL,4,1),(15,2002540,3.00,7.00,5.00,4.00,7.00,6.25,8.00,4.00,6.00,103,102,NULL,'CENTRO','CURITIBA','PR',7241,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2002558,5.00,5.00,4.00,5.00,7.00,7.00,5.00,2.00,2.00,420,207,NULL,'SAO CRISTOVAO','SALVADOR','BA',14254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002566,2.00,6.00,1.00,4.00,6.00,6.00,1.00,3.00,1.00,303,NULL,NULL,'VILA ALEMANHA','LUZERNA','SC',20082,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2002574,3.00,4.00,1.00,1.00,4.00,NULL,4.00,0.00,2.00,5,415,NULL,'CIDADE ALTA','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2002582,6.00,8.00,3.00,5.00,7.00,6.25,7.00,7.00,5.00,103,216,NULL,'BORTOLOTTO','NOVA VENEZA','SC',5171,1476,662,NULL,NULL,NULL,NULL,4,5),(15,2002590,6.00,7.00,8.00,7.00,8.00,5.25,9.00,6.00,5.00,5,308,NULL,'PANTANAL','FLORIANOPOLIS','SC',1920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002604,4.00,4.00,1.00,2.00,6.00,6.00,4.00,5.00,3.00,108,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',17305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002612,4.00,7.00,5.00,7.00,8.00,6.00,6.00,7.00,6.00,201,420,207,'CENTRO','CASCAVEL','PR',4360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002620,3.00,5.00,4.00,5.00,6.00,5.25,3.00,5.00,3.00,319,324,NULL,'BARREIROS','SAO JOSE','SC',16308,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002639,1.00,7.00,2.00,6.00,7.00,4.50,4.00,5.00,3.00,317,208,NULL,'JARDIM SOCIAL','SAO JOSE','SC',14975,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002647,2.00,5.00,1.00,5.00,2.00,NULL,2.00,2.00,2.00,317,426,NULL,'REAL PARQUE','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002655,4.00,8.00,1.00,8.00,5.00,8.50,4.00,5.00,2.00,5,317,NULL,'JARDIM CALIFORNIA','FLORIANOPOLIS','SC',11400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002663,6.00,8.00,7.00,9.00,8.00,6.00,7.00,8.00,6.00,103,319,NULL,'CENTRO','FLORIANOPOLIS','SC',618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002671,4.00,6.00,2.00,0.00,7.00,5.25,4.00,2.00,3.00,103,101,NULL,'CENTRO','RIO NEGRINHO','SC',18732,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2002680,2.00,4.00,2.00,3.00,3.00,5.75,4.00,3.00,0.00,502,501,NULL,'HIGIENÓPOLIS','SANTA CRUZ DO SUL','RS',21920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'EMBARÉ','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2002701,3.00,8.00,4.00,5.00,6.00,7.25,5.00,6.00,5.00,104,102,NULL,'CENTRO','FORQUILHINHA','SC',8164,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2002710,2.00,7.00,4.00,1.00,8.00,5.50,5.00,4.00,4.00,102,217,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',15094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002728,2.00,6.00,6.00,3.00,8.00,6.00,5.00,2.00,5.00,220,202,203,'MORUMBI','LINS','SP',13028,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2002736,7.00,6.00,6.00,4.00,8.00,6.75,6.00,4.00,4.00,207,415,201,'BARREIROS','FLORIANOPOLIS','SC',5213,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002744,3.00,4.00,1.00,7.00,7.00,5.50,3.00,2.00,3.00,103,9,NULL,'CENTRO','RIO DO SUL','SC',18190,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2002752,2.00,7.00,2.00,6.00,8.00,7.00,3.00,7.00,1.00,450,328,NULL,'ESTREITO','FLORIANOPOLIS','SC',11251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002760,3.00,6.00,5.00,6.00,8.00,6.00,6.00,8.00,6.00,216,215,201,'SACO DOS LIMOES','FLORIANOPOLIS','SC',4618,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002779,2.00,5.00,3.00,7.00,5.00,7.25,4.00,5.00,3.00,415,327,NULL,'CENTRO','FLORIANOPOLIS','SC',15055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002795,3.00,6.00,1.00,0.00,4.00,5.25,3.00,3.00,1.00,103,NULL,NULL,'BAIXADA','PATO BRANCO','PR',22004,3097,NULL,NULL,NULL,NULL,NULL,4,10),(15,2002809,5.00,5.00,3.00,7.00,8.00,4.00,6.00,6.00,3.00,333,234,NULL,'PRÓSPERA','CRICIUMA','SC',9187,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2002817,4.00,5.00,5.00,2.00,7.00,7.50,5.00,3.00,4.00,101,NULL,NULL,'JARDIM SANTA FÉ','SAO PAULO','SP',13047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002825,4.00,7.00,4.00,4.00,8.00,6.00,6.00,6.00,5.00,415,450,NULL,'CENTRO','FLORIANOPOLIS','SC',6521,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002833,6.00,6.00,5.00,5.00,6.00,4.75,3.00,2.00,7.00,103,9,NULL,'SAGRADO C DE JESUS','LAGES','SC',11113,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2002841,4.00,5.00,1.00,3.00,7.00,4.25,1.00,4.00,1.00,331,332,NULL,'VALPARAISO','SANTO ANDRE','SP',20199,92,310,NULL,NULL,NULL,NULL,2,1),(15,2002850,3.00,6.00,4.00,6.00,5.00,4.75,4.00,5.00,6.00,310,320,NULL,'SANTA CLARA','SUMARE','SP',10364,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002868,5.00,7.00,10.00,6.00,9.00,6.25,9.00,7.00,9.00,220,201,203,'CENTRO','MANGUEIRINHA','PR',715,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2002876,5.00,7.00,6.00,5.00,7.00,7.00,5.00,7.00,5.00,217,328,NULL,'COQUEIROS','FLORIANOPOLIS','SC',4684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002892,6.00,9.00,8.00,8.00,8.00,6.00,6.00,5.00,6.00,223,224,NULL,'BARREIROS','SAO JOSE','SC',2412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002914,8.00,9.00,7.00,9.00,7.00,6.25,8.00,8.00,6.00,5,318,NULL,'CENTRO','FLORIANOPOLIS','SC',630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002922,4.00,8.00,4.00,6.00,8.00,4.50,3.00,8.00,2.00,217,421,NULL,'RIO MIGUEL','AGUAS MORNAS','SC',8851,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002930,3.00,7.00,3.00,5.00,5.00,4.50,4.00,2.00,4.00,214,316,220,'VILA OPERÁRIA','ITAJAI','SC',17366,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2002949,5.00,8.00,9.00,8.00,9.00,7.75,8.00,8.00,6.00,326,327,NULL,'BARREIROS','SAO JOSE','SC',724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002965,2.00,5.00,1.00,1.00,4.00,5.50,2.00,4.00,3.00,327,320,NULL,'BOQUEIRAO','CURITIBA','PR',21662,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2002973,8.00,8.00,9.00,8.00,9.00,6.00,8.00,8.00,7.00,103,451,NULL,'CENTRO','ITAPEMA','SC',321,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2002981,6.00,8.00,8.00,8.00,9.00,5.50,7.00,6.00,4.00,108,333,NULL,'CENTRO','PATO BRANCO','PR',2606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2002990,1.00,3.00,3.00,2.00,6.00,5.00,2.00,3.00,3.00,103,5,NULL,'FERNANDES','SAO JOAO BATISTA','SC',21923,3093,1348,NULL,NULL,NULL,NULL,2,1),(15,2003007,2.00,5.00,0.00,5.00,4.00,5.00,5.00,4.00,2.00,102,333,NULL,'IBIRAQUERA','IMBITUBA','SC',19820,446,984,NULL,NULL,NULL,NULL,2,1),(15,2003015,4.00,6.00,8.00,5.00,7.00,5.50,6.00,6.00,4.00,317,316,NULL,'ITACORUBI','FLORIANOPOLIS','SC',7004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003023,3.00,7.00,3.00,7.00,4.00,6.00,7.00,5.00,4.00,214,212,233,'JD CRISTO REI','MARILIA','SP',10223,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2003040,3.00,5.00,2.00,5.00,6.00,6.00,2.00,4.00,2.00,103,101,NULL,'IRIRIÚ','JOINVILLE','SC',17656,2843,689,NULL,NULL,NULL,NULL,4,8),(15,2003058,2.00,4.00,2.00,3.00,5.00,5.25,3.00,4.00,2.00,318,222,NULL,'ESTREITO','FLORIANOPOLIS','SC',20893,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2003066,7.00,8.00,7.00,8.00,8.00,6.00,7.00,8.00,4.00,303,428,NULL,'BALNEARIO','FLORIANOPOLIS','SC',1895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003074,1.00,3.00,0.00,1.00,5.00,NULL,2.00,4.00,2.00,425,339,429,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003082,7.00,8.00,8.00,8.00,7.00,8.00,8.00,7.00,6.00,103,421,NULL,'JARDIM EUROPA','BIGUACU','SC',828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003090,3.00,5.00,2.00,3.00,6.00,5.75,3.00,4.00,2.00,339,309,NULL,'ESTREITO','FLORIANOPOLIS','SC',19190,107,205,NULL,NULL,NULL,NULL,4,1),(15,2003104,7.00,5.00,7.00,6.00,6.00,3.75,7.00,5.00,5.00,207,333,201,'JARDIM INDEPENDENCIA','RIBEIRAO PRETO','SP',6365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003112,6.00,7.00,5.00,5.00,5.00,6.00,7.00,5.00,3.00,201,333,208,'CENTRO','BALNEARIO CAMBORIU','SC',9351,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2003120,6.00,7.00,6.00,7.00,8.00,6.50,7.00,5.00,4.00,101,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',4400,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2003139,2.00,3.00,0.00,4.00,5.00,NULL,4.00,6.00,4.00,303,301,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2003147,3.00,5.00,2.00,6.00,7.00,6.25,4.00,4.00,4.00,9,102,NULL,'CENTRO','FLORIANOPOLIS','SC',13237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2003155,8.00,9.00,9.00,8.00,8.00,7.00,9.00,8.00,7.00,203,208,202,'ABRAÃO','FLORIANOPOLIS','SC',277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003163,8.00,9.00,9.00,8.00,9.00,6.75,9.00,8.00,7.00,103,217,NULL,'CENTRO','FLORIANOPOLIS','SC',131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003171,5.00,8.00,3.00,5.00,9.00,7.00,6.00,7.00,3.00,301,316,NULL,'SAGUAÇU','JOINVILLE','SC',5933,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2003180,2.00,6.00,3.00,6.00,8.00,5.50,4.00,5.00,4.00,207,319,NULL,'ILHA DA FIGUEIRA','JARAGUA DO SUL','SC',11708,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2003198,6.00,7.00,7.00,6.00,8.00,6.50,7.00,9.00,6.00,203,201,NULL,'CENTRO','HERVAL D OESTE','SC',1633,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2003201,3.00,8.00,5.00,9.00,7.00,4.50,5.00,6.00,1.00,501,425,NULL,'FLORESTA','SAO JOSE','SC',7985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003244,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,328,326,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2003252,6.00,7.00,5.00,7.00,7.00,5.50,5.00,4.00,4.00,450,451,NULL,'KOBRASOL','SAO JOSE','SC',7654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003260,3.00,5.00,1.00,7.00,8.00,6.00,5.00,3.00,3.00,319,103,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',12968,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2003279,2.00,3.00,0.00,0.00,3.00,NULL,5.00,2.00,2.00,303,333,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2003287,0.00,6.00,2.00,6.00,6.00,4.25,3.00,5.00,5.00,415,310,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003295,5.00,8.00,7.00,7.00,8.00,4.50,7.00,6.00,4.00,104,9,NULL,'CENTRO','ERECHIM','RS',3701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2003309,7.00,7.00,8.00,8.00,6.00,5.25,7.00,5.00,5.00,208,420,NULL,'PARQUE SÃO JORGE','FLORIANOPOLIS','SC',3237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,333,NULL,'LEME','RIO DE JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2003325,7.00,9.00,8.00,9.00,9.00,7.25,9.00,8.00,8.00,303,223,NULL,'COPACABANA','LAGES','SC',96,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2003341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,202,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2003350,6.00,8.00,7.00,8.00,6.00,4.00,6.00,5.00,5.00,333,208,NULL,'TRINDADE','FLORIANOPOLIS','SC',4417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003368,1.00,5.00,2.00,7.00,3.00,5.75,4.00,7.00,4.00,424,450,427,'AGRONÔMICA','FLORIANOPOLIS','SC',15278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003376,2.00,8.00,3.00,9.00,9.00,6.50,5.00,7.00,2.00,202,238,216,'ITOUPAVA NORTE','BLUMENAU','SC',6739,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2003384,3.00,5.00,4.00,6.00,4.00,5.00,4.00,4.00,1.00,303,NULL,NULL,'PARAISO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2003392,1.00,5.00,1.00,6.00,4.00,5.75,3.00,1.00,3.00,238,208,211,'TRINDADE','FLORIANOPOLIS','SC',20937,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2003406,2.00,2.00,3.00,0.00,5.00,NULL,1.00,2.00,3.00,208,9,238,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2003414,4.00,4.00,5.00,5.00,7.00,6.50,5.00,3.00,7.00,420,207,NULL,'ICARAÍ','NITEROI','RJ',9321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003422,4.00,6.00,4.00,5.00,9.00,4.00,8.00,6.00,4.00,208,333,213,'MAGALHÃES','LAGUNA','SC',8188,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2003430,5.00,7.00,5.00,3.00,6.00,6.25,7.00,4.00,4.00,202,2,220,'CENTRO','VARGEM GRANDE DO SUL','SP',7110,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2003449,6.00,8.00,9.00,6.00,9.00,5.00,8.00,7.00,6.00,103,317,NULL,'CENTRO','FLORIANOPOLIS','SC',1918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003457,6.00,8.00,8.00,8.00,8.00,7.50,8.00,6.00,7.00,415,331,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',825,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2003465,3.00,4.00,2.00,3.00,4.00,5.00,4.00,4.00,3.00,333,NULL,NULL,'PARQUE VERDE','CASCAVEL','PR',19870,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2003481,2.00,4.00,1.00,1.00,4.00,4.00,3.00,4.00,4.00,102,225,NULL,'TAPERA','FLORIANOPOLIS','SC',21858,507,208,NULL,NULL,NULL,NULL,4,1),(15,2003490,2.00,5.00,6.00,6.00,6.00,5.75,3.00,4.00,4.00,207,420,NULL,'GLÓRIA','JOINVILLE','SC',12766,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2003503,4.00,4.00,6.00,4.00,6.00,5.00,4.00,3.00,3.00,104,102,NULL,'MOLLON','SANTA BARBARA D OESTE','SP',13684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003511,4.00,6.00,3.00,3.00,7.00,6.50,5.00,5.00,4.00,102,216,NULL,'CZERNIEWICZ','JARAGUA DO SUL','SC',11064,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2003520,5.00,6.00,7.00,6.00,6.00,8.00,9.00,5.00,6.00,103,NULL,NULL,'LIBERDADE','SAO PAULO','SP',4081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003538,1.00,7.00,5.00,5.00,6.00,5.00,6.00,6.00,2.00,238,427,220,'CAPOEIRAS','FLORIANOPOLIS','SC',11945,422,156,442,NULL,NULL,NULL,4,1),(15,2003546,4.00,7.00,5.00,3.00,5.00,4.25,7.00,5.00,4.00,233,217,215,'PARQUE GABRIELA','OURINHOS','SP',10992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003554,3.00,6.00,3.00,1.00,3.00,6.50,3.00,4.00,3.00,103,102,NULL,'RIO GRANDE','PALHOCA','SC',19603,2960,1077,NULL,NULL,NULL,NULL,4,1),(15,2003562,4.00,5.00,7.00,7.00,8.00,5.75,4.00,6.00,5.00,201,224,212,'PETRÓPOLIS','PORTO ALEGRE','RS',6519,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2003570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,429,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2003589,3.00,6.00,0.00,6.00,6.00,6.25,6.00,4.00,2.00,451,339,NULL,'CENTRO','CRICIUMA','SC',14277,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2003597,3.00,7.00,6.00,1.00,8.00,6.50,5.00,5.00,4.00,207,424,201,'MENINO DEUS','PORTO ALEGRE','RS',10804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003600,4.00,5.00,3.00,6.00,7.00,5.25,7.00,4.00,4.00,301,303,NULL,'CENTRO','PIRACICABA','SP',9671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003619,2.00,6.00,2.00,2.00,5.00,6.00,5.00,4.00,4.00,404,211,NULL,'CENTRO','PRESIDENTE GETULIO','SC',17430,152,973,NULL,NULL,NULL,NULL,4,1),(15,2003627,3.00,7.00,4.00,5.00,8.00,6.25,4.00,6.00,4.00,303,339,NULL,'CENTRO','FLORIANOPOLIS','SC',8456,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2003635,8.00,9.00,2.00,5.00,8.00,7.25,2.00,7.00,4.00,103,319,NULL,'MONTE CASTELO','CAMPO GRANDE','MS',6700,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2003643,5.00,8.00,5.00,9.00,7.00,6.25,7.00,7.00,5.00,207,420,201,'CENTRO','JARAGUA DO SUL','SC',3881,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2003651,5.00,7.00,7.00,9.00,7.00,6.50,8.00,5.00,4.00,108,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',3264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003678,2.00,6.00,5.00,8.00,7.00,5.00,6.00,6.00,2.00,328,329,NULL,'FAZENDA','ITAJAI','SC',9937,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2003686,1.00,6.00,5.00,7.00,8.00,5.75,4.00,5.00,3.00,5,319,NULL,'CENTRO','GETULIO VARGAS','RS',11507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2003694,0.00,4.00,1.00,1.00,3.00,NULL,1.00,2.00,2.00,101,NULL,NULL,'BRASILIA','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003708,4.00,9.00,7.00,6.00,7.00,7.25,8.00,6.00,8.00,103,NULL,NULL,'VILA SANTA ISABEL','FRANCA','SP',2128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003716,2.00,5.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,208,201,238,'SANTO ANTONIO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2003724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,333,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2003732,6.00,8.00,7.00,7.00,9.00,9.50,6.00,7.00,5.00,450,425,NULL,'CENTRO','FLORIANOPOLIS','SC',1597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003740,4.00,6.00,6.00,4.00,7.00,4.25,4.00,6.00,3.00,224,327,NULL,'COSTEIRA','FLORIANOPOLIS','SC',10800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003759,4.00,6.00,3.00,1.00,4.00,4.50,7.00,5.00,3.00,304,302,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',14991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003767,2.00,7.00,3.00,3.00,3.00,2.00,4.00,2.00,1.00,420,301,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2003775,5.00,7.00,7.00,5.00,9.00,7.00,7.00,6.00,5.00,303,424,NULL,'CENTRO','FLORIANOPOLIS','SC',4029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003783,8.00,8.00,9.00,8.00,7.00,5.50,9.00,8.00,7.00,108,333,NULL,'INGLESES','FLORIANOPOLIS','SC',747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2003805,3.00,6.00,4.00,3.00,6.00,5.00,3.00,6.00,0.00,302,304,NULL,'GUIOMAR','ANTONIO CARLOS','SC',16158,133,402,NULL,NULL,NULL,NULL,4,1),(15,2003813,6.00,5.00,5.00,3.00,6.00,6.25,9.00,6.00,8.00,108,333,NULL,'CANDELARIA','NATAL','RN',4767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003821,8.00,6.00,7.00,8.00,9.00,7.25,8.00,5.00,6.00,108,211,NULL,'BOA VISTA','JOINVILLE','SC',1326,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2003830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,215,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2003848,1.00,4.00,3.00,4.00,6.00,6.50,2.00,4.00,4.00,501,211,NULL,'FÁTIMA','OTACILIO COSTA','SC',18634,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2003856,6.00,6.00,4.00,8.00,8.00,6.00,5.00,6.00,4.00,326,427,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',6553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003864,6.00,8.00,6.00,9.00,7.00,5.75,9.00,7.00,7.00,203,303,214,'CENTRO','FLORIANOPOLIS','SC',1239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2003872,9.00,8.00,9.00,10.00,9.00,7.00,9.00,7.00,7.00,220,202,203,'JUVEVÊ','CURITIBA','PR',62,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003899,4.00,8.00,6.00,8.00,9.00,6.25,4.00,7.00,4.00,103,104,NULL,'PINHEIRINHO','CRICIUMA','SC',5013,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2003902,4.00,7.00,2.00,9.00,8.00,5.50,2.00,8.00,2.00,424,450,427,'COSTEIRA','FLORIANOPOLIS','SC',8227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003929,2.00,6.00,3.00,4.00,8.00,6.25,5.00,6.00,5.00,207,333,NULL,'MARIA LUIZA','CASCAVEL','PR',10549,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2003937,7.00,7.00,8.00,6.00,9.00,5.00,9.00,8.00,8.00,203,202,201,'JARDIM CLAUDIA','LONDRINA','PR',1215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003961,3.00,6.00,0.00,5.00,7.00,5.75,3.00,5.00,4.00,103,101,NULL,'VARGINHA','ITAJUBA','MG',15579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003970,8.00,9.00,7.00,7.00,9.00,4.50,9.00,9.00,6.00,103,9,NULL,'CENTRO','SANTA MARIA','RS',807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2003996,3.00,5.00,3.00,8.00,4.00,3.75,4.00,5.00,3.00,215,501,216,'FREI ROGÉRIO','LAGES','SC',16298,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2004003,2.00,6.00,5.00,6.00,4.00,4.00,6.00,5.00,5.00,233,217,216,'CENTRO','UBERABA','MG',10818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004046,4.00,8.00,6.00,7.00,8.00,5.75,3.00,5.00,4.00,104,101,NULL,'IMIGRANTES','TIMBO','SC',7260,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2004054,6.00,8.00,3.00,4.00,8.00,6.00,6.00,7.00,3.00,102,207,NULL,'CENTRO','FLORIANOPOLIS','SC',6463,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2004062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,328,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2004070,2.00,6.00,1.00,5.00,7.00,4.00,2.00,3.00,2.00,301,103,NULL,'CENTRO','LONDRINA','PR',18274,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004089,5.00,6.00,7.00,9.00,6.00,5.75,7.00,7.00,6.00,203,202,220,'CENTRO','PELOTAS','RS',2653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2004100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JURERE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2004119,5.00,8.00,2.00,6.00,7.00,4.75,3.00,3.00,6.00,207,420,201,'AGRONÔMICA','FLORIANOPOLIS','SC',10518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004127,3.00,8.00,5.00,2.00,7.00,4.75,7.00,4.00,6.00,103,101,NULL,'SAGRADO C DE JESUS','LAGES','SC',9298,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2004135,1.00,9.00,6.00,6.00,5.00,8.00,6.00,6.00,3.00,331,415,NULL,'CAMINHO DO PARQUE','VITORIA DA CONQUISTA','BA',7537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2004143,2.00,6.00,3.00,6.00,7.00,5.00,4.00,4.00,4.00,203,301,214,'SOMBRIO','SANTO AMARO DA IMPERATRIZ','SC',12185,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2004151,8.00,7.00,6.00,8.00,8.00,7.00,8.00,6.00,7.00,108,428,NULL,'SETOR BUENO','GOIANIA','GO',1525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004160,8.00,8.00,8.00,4.00,7.00,5.75,9.00,5.00,9.00,103,303,NULL,'CENTRO','DOLCINOPOLIS','SP',2163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,415,NULL,'JARDIM AMÉRICA','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2004186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,214,203,'SÃO JOÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2004194,3.00,8.00,4.00,4.00,7.00,5.75,4.00,6.00,2.00,420,207,NULL,'NOSSA SRA DO ROSÁRIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004208,2.00,7.00,6.00,9.00,7.00,6.75,6.00,7.00,3.00,224,223,NULL,'CAMPINAS','SAO JOSE','SC',5458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004216,3.00,7.00,5.00,3.00,7.00,6.25,4.00,5.00,5.00,217,222,NULL,'JD TARRAF I','SAO JOSE DO RIO PRETO','SP',10532,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004224,5.00,8.00,4.00,4.00,7.00,6.50,5.00,5.00,3.00,103,101,NULL,'ESTREITO','FLORIANOPOLIS','SC',8953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004232,4.00,8.00,4.00,6.00,5.00,4.50,6.00,7.00,4.00,201,331,203,'CENTRO','PRESIDENTE GETULIO','SC',9233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2004240,4.00,6.00,7.00,6.00,7.00,4.75,7.00,6.00,4.00,238,316,208,'ITACORUBI','FLORIANOPOLIS','SC',7531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004259,2.00,4.00,3.00,6.00,5.00,5.75,5.00,4.00,4.00,301,316,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',14116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004267,4.00,7.00,1.00,7.00,6.00,6.25,4.00,5.00,2.00,304,301,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',13741,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2004283,4.00,8.00,1.00,3.00,8.00,3.50,2.00,5.00,1.00,102,217,NULL,'CENTRO','PLANALTO ALEGRE','SC',17201,374,477,NULL,NULL,NULL,NULL,4,4),(15,2004291,4.00,8.00,4.00,5.00,7.00,6.50,5.00,4.00,3.00,319,426,NULL,'KOBRASOL','SAO JOSE','SC',9149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004305,1.00,3.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,420,208,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2004313,6.00,9.00,6.00,6.00,8.00,7.25,7.00,7.00,6.00,108,326,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',2675,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2004330,3.00,7.00,3.00,7.00,5.00,5.00,6.00,5.00,2.00,316,215,NULL,'JARDIM TAROBÁ','FOZ DO IGUACU','PR',11757,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2004348,7.00,7.00,7.00,7.00,7.00,6.25,9.00,8.00,9.00,220,203,NULL,'JARDIM ANDRADE','LONDRINA','PR',852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004356,3.00,6.00,4.00,8.00,7.00,7.25,5.00,7.00,3.00,319,104,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',7780,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2004364,2.00,5.00,1.00,4.00,8.00,3.75,3.00,6.00,3.00,429,427,425,'ITAGUAÇU','FLORIANOPOLIS','SC',16498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004372,4.00,8.00,3.00,6.00,7.00,5.75,5.00,8.00,2.00,103,303,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',7190,1794,1072,NULL,NULL,NULL,NULL,2,1),(15,2004380,5.00,7.00,2.00,7.00,4.00,3.25,5.00,6.00,3.00,203,201,NULL,'LAGO SUL','LAGO SUL','DF',12404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2004399,4.00,8.00,5.00,7.00,9.00,4.50,7.00,6.00,4.00,450,420,NULL,'CENTRO','CRICIUMA','SC',5464,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2004402,2.00,7.00,2.00,7.00,7.00,5.50,3.00,6.00,2.00,339,NULL,NULL,'CENTRO','BALNEARIO ARROIO DO SILVA','SC',13453,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2004410,4.00,7.00,6.00,5.00,7.00,5.25,6.00,6.00,3.00,202,216,214,'CENTRO','BIRIGUI','SP',7707,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2004437,3.00,8.00,6.00,5.00,8.00,7.00,7.00,5.00,3.00,103,9,NULL,'CENTRO','LAGES','SC',5964,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2004445,4.00,8.00,4.00,6.00,7.00,4.50,6.00,7.00,4.00,501,217,NULL,'CIDADE DAS FLORES','OSASCO','SP',6953,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2004453,1.00,4.00,0.00,3.00,8.00,NULL,1.00,3.00,2.00,303,5,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2004461,6.00,7.00,6.00,6.00,8.00,5.50,3.00,6.00,4.00,238,108,207,'COLONINHA','GASPAR','SC',6414,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2004470,3.00,1.00,1.00,2.00,3.00,NULL,1.00,3.00,2.00,339,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2004488,4.00,7.00,4.00,3.00,5.00,4.25,4.00,3.00,2.00,303,304,NULL,'CENTRO','GAROPABA','SC',17977,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2004496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,429,NULL,'SÃO FRANCISCO XAVIER','BASTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2004500,3.00,8.00,6.00,6.00,7.00,5.00,7.00,8.00,3.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',4191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004518,7.00,8.00,8.00,9.00,7.00,8.50,8.00,8.00,8.00,211,2,233,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004534,3.00,6.00,4.00,5.00,4.00,5.25,7.00,7.00,1.00,2,222,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',11808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004542,5.00,8.00,4.00,6.00,6.00,6.00,6.00,6.00,3.00,319,428,NULL,'ESTREITO','FLORIANOPOLIS','SC',6482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2004550,5.00,3.00,5.00,5.00,6.00,4.25,2.00,5.00,2.00,308,427,NULL,'SAO LUIZ','SAO JOSE','SC',16470,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2004577,3.00,6.00,2.00,7.00,5.00,5.25,3.00,6.00,3.00,328,329,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',13575,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2004585,4.00,5.00,3.00,3.00,6.00,5.25,7.00,6.00,2.00,207,319,NULL,'INDEPENDÊNCIA','CASCAVEL','PR',13354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004593,4.00,6.00,6.00,5.00,6.00,6.75,5.00,4.00,2.00,317,224,NULL,'CAMPECHE','FLORIANOPOLIS','SC',11311,142,177,NULL,NULL,NULL,NULL,2,1),(15,2004607,2.00,4.00,4.00,5.00,3.00,5.75,3.00,3.00,3.00,317,324,NULL,'HUMAITÁ','BENTO GONCALVES','RS',19844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004615,3.00,6.00,2.00,7.00,7.00,5.75,3.00,7.00,3.00,332,331,NULL,'ARMACAO P SUL','FLORIANOPOLIS','SC',10413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004623,2.00,5.00,1.00,4.00,3.00,4.50,4.00,1.00,2.00,103,NULL,NULL,'CENTRO','CARDOSO','SP',22354,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2004640,2.00,2.00,1.00,6.00,6.00,5.50,3.00,2.00,2.00,444,9,NULL,'CAMPINAS','SAO JOSE','SC',20820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2004658,4.00,7.00,1.00,2.00,8.00,4.00,5.00,4.00,3.00,103,NULL,NULL,'SETOR OESTE','GOIANIA','GO',14795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004666,8.00,7.00,4.00,7.00,8.00,6.25,7.00,5.00,7.00,303,301,NULL,'BATEL','CURITIBA','PR',2721,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2004674,6.00,7.00,6.00,8.00,8.00,7.00,7.00,5.00,5.00,316,304,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',3199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004682,3.00,5.00,3.00,2.00,5.00,5.50,4.00,3.00,1.00,216,217,NULL,'VILA VÍTÓRIA','LAGUNA','SC',20791,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2004690,6.00,7.00,8.00,6.00,7.00,5.00,9.00,7.00,7.00,233,216,203,'CAMPO BELO','SAO PAULO','SP',2762,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2004704,3.00,6.00,2.00,3.00,6.00,3.25,5.00,8.00,4.00,203,233,220,'JARDIM ANDREIA','BITURUNA','PR',15236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2004712,0.00,4.00,5.00,3.00,6.00,4.75,3.00,4.00,2.00,103,104,NULL,'BELA VISTA','SAO LUDGERO','SC',19851,2986,1238,NULL,NULL,NULL,NULL,4,5),(15,2004720,7.00,8.00,5.00,9.00,8.00,6.25,7.00,8.00,4.00,444,108,NULL,'TRINDADE','FLORIANOPOLIS','SC',2341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004739,2.00,3.00,1.00,8.00,7.00,4.50,4.00,4.00,1.00,451,319,NULL,'INGLESES','FLORIANOPOLIS','SC',18261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2004747,2.00,7.00,2.00,6.00,4.00,4.75,5.00,7.00,2.00,201,225,NULL,'AREIAS','SAO JOSE','SC',13732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004771,3.00,8.00,5.00,9.00,9.00,6.75,6.00,6.00,6.00,103,102,NULL,'MORRO CHIC','ITAJUBA','MG',3511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004780,5.00,5.00,4.00,5.00,7.00,4.75,6.00,4.00,4.00,5,207,NULL,'CONSOLADORA','GETULIO VARGAS','RS',9824,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2004798,3.00,7.00,4.00,6.00,8.00,7.50,4.00,5.00,5.00,101,444,NULL,'CENTRO','FLORIANOPOLIS','SC',7506,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2004801,4.00,2.00,2.00,2.00,6.00,6.75,4.00,5.00,1.00,101,108,NULL,'CENTRO','FLORIANOPOLIS','SC',19624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004836,5.00,8.00,5.00,2.00,7.00,5.25,5.00,6.00,4.00,220,201,213,'SAO PEDRO','PORTO UNIAO','SC',9429,394,1269,155,NULL,NULL,NULL,4,1),(15,2004844,6.00,7.00,5.00,9.00,6.00,8.00,8.00,7.00,4.00,203,201,202,'CENTRO','FLORIANOPOLIS','SC',1954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004860,3.00,4.00,3.00,4.00,4.00,5.50,3.00,5.00,3.00,215,NULL,201,'CATARINA FONTANA','CONCORDIA','SC',18412,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2004879,4.00,4.00,6.00,2.00,8.00,4.00,4.00,6.00,5.00,202,224,212,'TRINDADE','FLORIANOPOLIS','SC',11363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2004895,5.00,7.00,8.00,7.00,9.00,6.50,9.00,8.00,3.00,103,108,NULL,'ITACORUBI','FLORIANOPOLIS','SC',2294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004909,6.00,8.00,5.00,9.00,9.00,5.25,8.00,7.00,8.00,214,2,215,'TRINDADE','FLORIANOPOLIS','SC',1204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004917,3.00,4.00,6.00,8.00,6.00,5.50,5.00,5.00,5.00,207,104,211,'SANTA PAULA','SAO CAETANO DO SUL','SP',10898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004925,4.00,7.00,4.00,4.00,7.00,7.50,3.00,6.00,2.00,310,303,NULL,'JARDIM PORTUGAL','SAO JOSE DOS CAMPOS','SP',11609,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2004933,5.00,8.00,8.00,9.00,9.00,8.00,7.00,8.00,6.00,211,216,215,'CENTRO','FLORIANOPOLIS','SC',744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004941,6.00,6.00,7.00,8.00,7.00,5.75,8.00,8.00,6.00,215,303,211,'CARVOEIRA','FLORIANOPOLIS','SC',1244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2004950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2004984,3.00,6.00,3.00,6.00,6.00,5.50,4.00,6.00,2.00,5,427,NULL,'ITACORUBI','FLORIANOPOLIS','SC',13803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2004992,5.00,7.00,7.00,6.00,7.00,5.50,6.00,7.00,5.00,213,225,201,'ATIRADORES','JOINVILLE','SC',4617,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2005000,6.00,7.00,4.00,7.00,7.00,5.75,7.00,8.00,7.00,103,319,NULL,'CENTRO','NOVA ANDRADINA','MS',3651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005018,4.00,3.00,5.00,5.00,7.00,5.50,4.00,6.00,3.00,404,444,NULL,'ESTREITO','FLORIANOPOLIS','SC',12641,83,425,NULL,NULL,NULL,NULL,4,1),(15,2005026,9.00,8.00,9.00,8.00,9.00,5.00,9.00,7.00,8.00,103,224,NULL,'TRINDADE','FLORIANOPOLIS','SC',271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005042,2.00,4.00,2.00,5.00,5.00,5.25,4.00,5.00,3.00,308,310,NULL,'ESTREITO','FLORIANOPOLIS','SC',17542,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2005050,4.00,6.00,2.00,6.00,7.00,3.00,3.00,5.00,4.00,215,501,201,'RIO TAVARES','FLORIANOPOLIS','SC',14160,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2005069,5.00,8.00,8.00,5.00,5.00,5.00,8.00,6.00,6.00,203,201,211,'GONZAGA','SANTOS','SP',3749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005077,6.00,6.00,7.00,9.00,8.00,7.50,8.00,5.00,8.00,415,103,NULL,'URBANOVA','SAO JOSE DOS CAMPOS','SP',1702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005085,4.00,6.00,4.00,8.00,7.00,6.25,6.00,5.00,3.00,102,9,NULL,'CENTRO','SINOP','MT',8213,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2005093,9.00,9.00,8.00,8.00,9.00,6.75,8.00,9.00,8.00,103,101,NULL,'CARIANOS','FLORIANOPOLIS','SC',121,67,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005107,1.00,7.00,3.00,5.00,7.00,4.75,4.00,6.00,2.00,238,225,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',13501,487,143,NULL,NULL,NULL,NULL,2,1),(15,2005123,3.00,6.00,3.00,2.00,6.00,5.50,4.00,6.00,2.00,320,324,NULL,'ST ANTONIO DE LISBOA','FLORIANOPOLIS','SC',15695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,328,427,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2005140,4.00,8.00,4.00,8.00,6.00,5.00,6.00,6.00,3.00,333,502,NULL,'VILA SANTANA','VALINHOS','SP',7349,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2005158,6.00,8.00,6.00,7.00,8.00,4.75,8.00,5.00,4.00,303,429,NULL,'KOBRASOL','SAO JOSE','SC',4825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005166,5.00,7.00,4.00,5.00,8.00,6.50,5.00,5.00,4.00,317,223,NULL,'CENTRO','FLORIANOPOLIS','SC',8406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2005174,5.00,8.00,4.00,7.00,6.00,6.00,6.00,7.00,4.00,108,501,NULL,'BARREIROS','SAO JOSE','SC',6155,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2005182,6.00,8.00,4.00,4.00,8.00,6.75,7.00,7.00,1.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',7092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005190,3.00,4.00,3.00,4.00,4.00,5.25,2.00,0.00,2.00,5,203,NULL,'SERRARIA','SAO JOSE','SC',22293,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2005204,4.00,4.00,0.00,2.00,7.00,6.00,3.00,6.00,1.00,415,451,NULL,'ABRAAO','FLORIANOPOLIS','SC',18589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005212,3.00,6.00,3.00,7.00,6.00,4.00,2.00,4.00,2.00,425,415,NULL,'CENTRO CÍVICO','CURITIBA','PR',17369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005220,9.00,9.00,8.00,9.00,9.00,5.25,9.00,9.00,8.00,220,333,202,'BOM VIVER','BIGUACU','SC',125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005239,2.00,7.00,2.00,0.00,7.00,5.50,3.00,5.00,3.00,5,303,NULL,'CENTRO','OURO','SC',17960,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2005247,5.00,7.00,4.00,7.00,9.00,5.50,6.00,6.00,4.00,208,103,238,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',5419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005263,3.00,6.00,5.00,2.00,7.00,6.00,7.00,6.00,2.00,211,333,207,'CENTRO','SAO JOSE','SC',10953,390,689,539,NULL,NULL,NULL,4,1),(15,2005271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,308,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2005298,5.00,8.00,6.00,6.00,8.00,5.50,4.00,8.00,5.00,217,328,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',5184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005301,4.00,9.00,6.00,9.00,9.00,6.25,1.00,8.00,3.00,415,428,NULL,'CAMPINAS','SAO JOSE','SC',5123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005310,3.00,5.00,7.00,2.00,8.00,5.75,6.00,4.00,4.00,5,316,NULL,'CIDADE JARDIM','CATANDUVAS','SC',10866,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2005328,2.00,7.00,1.00,2.00,3.00,4.50,2.00,3.00,1.00,501,502,NULL,'SAGRADO C DE JESUS','LAGES','SC',22391,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2005344,4.00,6.00,3.00,3.00,6.00,5.75,4.00,6.00,2.00,502,234,NULL,'JARDIM VERA CRUZ','SAO BERNARDO DO CAMPO','SP',13912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005352,3.00,5.00,2.00,4.00,6.00,6.50,3.00,4.00,2.00,428,NULL,423,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',17448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2005379,3.00,5.00,3.00,6.00,8.00,4.75,6.00,4.00,3.00,102,101,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',12316,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2005387,6.00,9.00,9.00,5.00,8.00,6.25,9.00,7.00,5.00,203,214,201,'CARVOEIRA','FLORIANOPOLIS','SC',1221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,2,NULL,'ESTÂNCIA VELHA','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2005409,4.00,6.00,4.00,5.00,3.00,5.25,5.00,6.00,5.00,203,220,202,'ASILO','BLUMENAU','SC',11975,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2005417,6.00,7.00,3.00,7.00,8.00,5.00,4.00,7.00,3.00,304,318,NULL,'ARMAÇAO','FLORIANOPOLIS','SC',7381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2005425,0.00,4.00,1.00,4.00,5.00,5.50,3.00,4.00,4.00,202,420,213,'SÃO GOTARDO','SAO MIGUEL DOESTE','SC',19991,664,881,322,NULL,NULL,NULL,2,7),(15,2005433,3.00,6.00,1.00,2.00,9.00,6.00,3.00,4.00,2.00,302,201,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',17176,145,1368,NULL,NULL,NULL,NULL,2,1),(15,2005450,5.00,9.00,4.00,9.00,9.00,6.00,8.00,6.00,6.00,202,225,213,'WERNER PLAAS','AMERICANA','SP',2746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005468,5.00,6.00,7.00,2.00,7.00,5.50,4.00,4.00,2.00,303,302,NULL,'KOBRASOL','SAO JOSE','SC',11554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005476,1.00,0.00,3.00,2.00,3.00,4.25,3.00,5.00,2.00,102,217,NULL,'CENTRO','ARMAZEM','SC',22487,529,543,NULL,NULL,NULL,NULL,4,10),(15,2005492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2005506,1.00,4.00,6.00,4.00,6.00,6.00,5.00,4.00,4.00,203,202,208,'TRIBESS','BLUMENAU','SC',12960,880,880,486,NULL,NULL,NULL,4,2),(15,2005514,1.00,2.00,4.00,3.00,6.00,NULL,3.00,1.00,2.00,301,302,NULL,'CENTRO','CORONEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2005522,5.00,9.00,6.00,3.00,7.00,4.25,8.00,5.00,4.00,202,NULL,NULL,'CENTRO','CASCAVEL','PR',7250,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2005530,5.00,8.00,6.00,8.00,8.00,5.25,9.00,7.00,7.00,103,319,NULL,'GUARÁ I','GUARA','DF',2106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2005565,8.00,8.00,9.00,8.00,8.00,8.00,6.00,9.00,4.00,103,104,NULL,'SÃO JOSÉ','SAO JOSE','SC',570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,201,NULL,'VILA ROBERTINA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2005581,6.00,7.00,6.00,8.00,8.00,6.25,7.00,7.00,5.00,301,316,NULL,'CENTRO','GASPAR','SC',3013,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2005590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,450,NULL,'BOQUEIRAO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2005603,5.00,7.00,6.00,9.00,8.00,5.00,7.00,7.00,3.00,420,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',4166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005611,4.00,7.00,4.00,6.00,4.00,4.25,2.00,5.00,2.00,320,310,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',16062,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2005620,4.00,8.00,4.00,5.00,5.00,5.25,3.00,4.00,1.00,201,5,202,'JARDIM AMERICA','GOIANIA','GO',14017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005638,1.00,3.00,0.00,5.00,4.00,NULL,2.00,0.00,2.00,332,333,NULL,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2005646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,238,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2005654,4.00,7.00,3.00,5.00,6.00,5.00,3.00,6.00,4.00,332,327,NULL,'CENTRO','BIGUACU','SC',12102,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2005689,1.00,4.00,3.00,4.00,2.00,NULL,3.00,0.00,2.00,101,222,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2005697,3.00,6.00,1.00,4.00,6.00,5.00,4.00,7.00,2.00,450,238,NULL,'SANTA CRUZ','RONDONOPOLIS','MT',16013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,102,NULL,'CENTRO','SAO TOME','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2005719,5.00,7.00,5.00,6.00,7.00,4.75,7.00,5.00,6.00,201,2,233,'BOM ABRIGO','FLORIANOPOLIS','SC',5690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2005727,3.00,5.00,5.00,6.00,3.00,6.25,3.00,2.00,3.00,203,NULL,NULL,'SANTO ANTONIO','CAMPOS NOVOS','SC',16076,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2005743,1.00,7.00,6.00,8.00,6.00,4.25,5.00,6.00,3.00,317,213,NULL,'INGLESES DO RIO VERM','FLORIANOPOLIS','SC',9718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005751,4.00,7.00,9.00,5.00,7.00,6.00,8.00,7.00,5.00,203,201,233,'CIDADE ALTA','ARARANGUA','SC',2994,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2005760,1.00,6.00,5.00,0.00,6.00,6.50,4.00,5.00,4.00,212,214,202,'STELLA MARIS','ANDRADINA','SP',16924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005786,2.00,7.00,1.00,2.00,7.00,5.00,3.00,7.00,4.00,207,331,201,'COPACABANA','LAGES','SC',15858,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2005794,6.00,8.00,6.00,7.00,9.00,6.00,6.00,6.00,6.00,103,303,NULL,'SANTA TEREZINHA','SAO PAULO','SP',3159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005808,4.00,6.00,2.00,7.00,4.00,5.00,3.00,2.00,3.00,203,317,214,'CAMPINAS','SAO JOSE','SC',17528,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2005816,3.00,3.00,0.00,4.00,7.00,NULL,1.00,3.00,1.00,319,327,NULL,'BREJARÚ II','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2005824,4.00,8.00,6.00,2.00,8.00,6.50,7.00,6.00,4.00,303,5,NULL,'AGUA VERDE','JARAGUA DO SUL','SC',5611,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2005840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2005859,3.00,4.00,2.00,7.00,6.00,5.00,4.00,4.00,3.00,233,NULL,NULL,'CENTRO','PONTA GROSSA','PR',14835,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2005867,4.00,7.00,8.00,8.00,8.00,7.50,8.00,6.00,6.00,207,223,201,'TRINDADE','FLORIANOPOLIS','SC',2593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005875,1.00,5.00,5.00,5.00,6.00,6.75,6.00,5.00,3.00,103,216,NULL,'BALNEARIO','FLORIANOPOLIS','SC',11763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2005883,3.00,3.00,4.00,4.00,7.00,5.50,2.00,3.00,3.00,415,316,NULL,'SÃO SEBASTIÃO','PALHOCA','SC',18128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2005891,8.00,8.00,7.00,6.00,8.00,6.25,9.00,7.00,8.00,103,303,NULL,'JARDIM LEBRON','CAMPO GRANDE','MS',1035,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2005905,2.00,1.00,1.00,1.00,2.00,NULL,3.00,4.00,4.00,9,302,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'PAULISTA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2005930,3.00,4.00,5.00,5.00,7.00,4.00,5.00,4.00,1.00,415,420,NULL,'VILA NOVA','BLUMENAU','SC',14360,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2005956,7.00,8.00,7.00,6.00,8.00,6.50,8.00,8.00,3.00,415,320,NULL,'CAMPECHE','FLORIANOPOLIS','SC',1892,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2005972,7.00,4.00,6.00,7.00,6.00,6.50,7.00,6.00,7.00,216,201,233,'VISTA ALEGRE','VINHEDO','SP',3797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005980,7.00,7.00,7.00,8.00,9.00,4.75,7.00,5.00,5.00,208,238,220,'PARAGUAI','JACINTO MACHADO','SC',2732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2005999,5.00,6.00,6.00,3.00,7.00,4.75,6.00,4.00,5.00,208,429,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',9697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006006,7.00,7.00,5.00,5.00,6.00,4.75,5.00,5.00,4.00,104,102,NULL,'FLORESTA','SAO JOSE','SC',8453,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2006014,5.00,7.00,3.00,8.00,8.00,5.50,6.00,7.00,0.00,326,421,NULL,'DEHON','TUBARAO','SC',8229,NULL,NULL,NULL,NULL,NULL,NULL,5,10),(15,2006022,6.00,4.00,6.00,8.00,6.00,5.00,8.00,5.00,6.00,103,216,NULL,'PORTAL DE DOURADOS','DOURADOS','MS',5795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006030,4.00,7.00,5.00,8.00,9.00,7.50,5.00,7.00,6.00,9,404,NULL,'CRISTO REDENTOR','PORTO ALEGRE','RS',3689,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2006049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,203,NULL,'JUVEVÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2006057,2.00,5.00,1.00,1.00,4.00,5.50,3.00,4.00,4.00,319,NULL,NULL,'BAIPENDI','JARAGUA DO SUL','SC',21346,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2006065,1.00,8.00,6.00,8.00,6.00,3.75,5.00,4.00,6.00,108,211,NULL,'CRUZEIRO BRASILIA','CRUZEIRO','DF',9182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006081,3.00,6.00,3.00,6.00,8.00,6.50,3.00,7.00,3.00,101,9,NULL,'INGLESES','FLORIANOPOLIS','SC',10912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006103,5.00,9.00,7.00,5.00,7.00,5.00,7.00,8.00,3.00,220,103,215,'TRINDADE','FLORIANOPOLIS','SC',3888,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2006111,6.00,8.00,8.00,3.00,8.00,5.75,8.00,6.00,5.00,104,304,NULL,'CENTRO','FLORIANOPOLIS','SC',4375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006120,6.00,9.00,9.00,6.00,9.00,6.00,9.00,7.00,8.00,216,217,211,'VILA NOVA BOTUCATU','BOTUCATU','SP',866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2006138,2.00,8.00,3.00,9.00,8.00,6.25,6.00,7.00,5.00,415,450,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',5198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006146,1.00,5.00,2.00,7.00,2.00,NULL,1.00,5.00,2.00,415,450,NULL,'VILA MASCOTE','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006154,3.00,5.00,5.00,6.00,7.00,5.00,6.00,4.00,3.00,302,308,NULL,'CENTRO','FLORIANOPOLIS','SC',10781,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2006162,2.00,4.00,0.00,4.00,6.00,3.50,2.00,5.00,1.00,101,501,NULL,'JURERE TRADICIONAL','FLORIANOPOLIS','SC',22226,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2006170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2006189,4.00,6.00,8.00,8.00,7.00,7.00,8.00,6.00,6.00,220,103,203,'CENTRO','DEODAPOLIS','MS',2558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006197,2.00,6.00,4.00,2.00,5.00,3.00,3.00,3.00,3.00,316,203,NULL,'BARREIROS','SAO JOSE','SC',20087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006200,4.00,3.00,7.00,5.00,7.00,6.00,7.00,4.00,4.00,213,318,212,'IPIRANGA','SAO JOSE','SC',9782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,303,NULL,'VILA MASCARO','SANTO ANTONIO DA PLATINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2006227,7.00,7.00,7.00,5.00,9.00,5.50,6.00,7.00,7.00,103,207,NULL,'ATIRADORES','JOINVILLE','SC',2560,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2006235,4.00,7.00,5.00,6.00,7.00,5.75,7.00,7.00,3.00,234,333,NULL,'CAMPECHE','FLORIANOPOLIS','SC',6640,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2006243,6.00,9.00,8.00,6.00,7.00,7.25,9.00,7.00,5.00,104,318,NULL,'CENTRO','FLORIANOPOLIS','SC',1605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006251,3.00,6.00,2.00,4.00,5.00,3.75,3.00,6.00,2.00,301,420,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',18546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006278,2.00,6.00,5.00,5.00,5.00,6.25,4.00,4.00,3.00,211,501,201,'CENTRO','OSVALDO CRUZ','SP',14405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006286,3.00,5.00,5.00,7.00,7.00,5.75,1.00,4.00,3.00,308,319,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',14139,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2006294,2.00,6.00,3.00,5.00,5.00,5.25,4.00,7.00,3.00,451,223,NULL,'CENTRO','FLORIANOPOLIS','SC',15023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006308,6.00,7.00,7.00,7.00,7.00,5.50,4.00,5.00,5.00,420,429,NULL,'CENTRO','FLORIANOPOLIS','SC',5632,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2006324,2.00,4.00,2.00,2.00,7.00,6.00,5.00,4.00,2.00,238,427,202,'KOBRASOL','SAO JOSE','SC',19225,715,208,649,NULL,NULL,NULL,4,1),(15,2006332,2.00,8.00,4.00,7.00,8.00,5.00,3.00,7.00,3.00,404,423,NULL,'BARREIROS','SAO JOSE','SC',8457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2006340,3.00,5.00,0.00,5.00,7.00,5.25,4.00,4.00,0.00,429,318,425,'TABOÃO','RIO DO SUL','SC',19530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006359,3.00,8.00,5.00,8.00,8.00,6.25,2.00,4.00,2.00,316,324,NULL,'LOTEAMENTO BROERING','SANTO AMARO DA IMPERATRIZ','SC',9513,212,157,NULL,NULL,NULL,NULL,2,1),(15,2006375,5.00,8.00,6.00,4.00,7.00,7.50,6.00,6.00,4.00,103,9,NULL,'ANDORINHA','ITAPEMA','SC',5268,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2006383,3.00,7.00,6.00,5.00,8.00,8.00,4.00,4.00,4.00,333,108,NULL,'TRINDADE','FLORIANOPOLIS','SC',8732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006405,5.00,8.00,8.00,7.00,6.00,8.00,9.00,6.00,9.00,103,9,NULL,'GUARA','GUARA','DF',1050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006413,3.00,5.00,3.00,7.00,8.00,7.00,4.00,4.00,2.00,303,429,NULL,'KOBRASOL','SAO JOSE','SC',12818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006421,5.00,7.00,6.00,4.00,8.00,5.00,6.00,8.00,4.00,203,304,NULL,'SANTA MARIA','CHAPECO','SC',5497,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2006430,3.00,6.00,4.00,3.00,7.00,6.75,5.00,5.00,6.00,203,318,214,'CIDADE JARDIM','CATANDUVAS','SC',10370,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2006456,6.00,7.00,9.00,8.00,9.00,6.75,7.00,7.00,7.00,303,415,NULL,'PARQUE SÃO JORGE','FLORIANOPOLIS','SC',699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006464,2.00,7.00,1.00,5.00,7.00,5.75,4.00,6.00,3.00,103,104,NULL,'ATERRADO','POUSO REDONDO','SC',12803,2427,1098,NULL,NULL,NULL,NULL,2,2),(15,2006472,2.00,7.00,2.00,7.00,8.00,6.25,4.00,5.00,5.00,317,327,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',9962,103,278,NULL,NULL,NULL,NULL,2,1),(15,2006480,3.00,7.00,7.00,6.00,9.00,6.50,7.00,8.00,4.00,233,238,201,'CARVOEIRA','FLORIANOPOLIS','SC',4173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006499,3.00,6.00,3.00,4.00,5.00,4.75,3.00,4.00,3.00,5,303,NULL,'CENTRO CIVICO','CURITIBA','PR',18159,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2006502,4.00,7.00,3.00,7.00,6.00,5.00,6.00,7.00,2.00,501,332,NULL,'COQUEIROS','FLORIANOPOLIS','SC',10133,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2006510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,238,202,'CENTRO','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2006529,1.00,7.00,2.00,8.00,7.00,3.50,5.00,4.00,1.00,5,332,NULL,'JD BARRAGEM III','AGUAS LINDAS DE GOIAS','GO',14236,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2006545,2.00,4.00,3.00,3.00,6.00,2.00,3.00,2.00,3.00,333,108,NULL,'BOSQUE DOS IPÊS','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2006553,2.00,8.00,4.00,4.00,5.00,5.25,4.00,5.00,2.00,207,444,215,'ARMAÇÃO','FLORIANOPOLIS','SC',13420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2006570,4.00,6.00,7.00,9.00,8.00,7.25,3.00,6.00,4.00,207,428,201,'CENTRO','CHAPECO','SC',6462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,319,NULL,'JARDIM GUAIRACÁ','MATELANDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2006600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,420,NULL,'SANTANA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2006618,3.00,8.00,8.00,4.00,8.00,6.00,8.00,6.00,7.00,318,316,NULL,'CENTRO','FLORIANOPOLIS','SC',3591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006626,3.00,6.00,8.00,8.00,6.00,6.00,8.00,6.00,7.00,208,420,NULL,'APARECIDA','JABOTICABAL','SP',3048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006634,1.00,3.00,3.00,5.00,4.00,4.25,2.00,4.00,3.00,317,NULL,NULL,'RECANTO VERDE','SAO PAULO','SP',21026,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2006642,4.00,5.00,3.00,5.00,8.00,5.50,3.00,4.00,3.00,101,324,NULL,'RATONES','FLORIANOPOLIS','SC',13171,112,204,NULL,NULL,NULL,NULL,2,1),(15,2006650,4.00,6.00,5.00,4.00,8.00,5.00,5.00,5.00,5.00,208,502,238,'BARRA DA LAGOA','FLORIANOPOLIS','SC',9713,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2006669,4.00,9.00,5.00,4.00,8.00,5.00,5.00,6.00,3.00,234,NULL,NULL,'CARIANOS','FLORIANOPOLIS','SC',8320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006677,3.00,7.00,3.00,4.00,6.00,5.00,4.00,4.00,2.00,103,9,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2006685,1.00,4.00,2.00,3.00,4.00,3.50,4.00,6.00,4.00,216,217,NULL,'BOSQUE','CURITIBANOS','SC',19371,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2006693,3.00,8.00,4.00,9.00,8.00,6.00,7.00,7.00,2.00,450,451,NULL,'CENTRO','SANTA MARIA','RS',6282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006707,5.00,7.00,6.00,2.00,7.00,5.00,6.00,7.00,2.00,331,5,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',9133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006715,3.00,5.00,2.00,5.00,6.00,3.50,4.00,2.00,3.00,428,5,425,'INGLESES','FLORIANOPOLIS','SC',19514,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2006723,7.00,7.00,6.00,7.00,8.00,6.50,8.00,7.00,6.00,212,316,201,'CENTRO','FLORIANOPOLIS','SC',1758,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2006731,4.00,6.00,1.00,2.00,8.00,5.50,4.00,6.00,3.00,103,319,NULL,'PROGRESSO','LAGUNA','SC',14347,2577,799,NULL,NULL,NULL,NULL,4,10),(15,2006740,3.00,5.00,3.00,6.00,6.00,5.25,1.00,6.00,2.00,5,NULL,NULL,'CENTRO','SAO BENTO DO SUL','SC',16446,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2006758,3.00,5.00,2.00,2.00,8.00,5.50,1.00,3.00,3.00,104,103,NULL,'RIO BONITO','IRATI','PR',19128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,104,NULL,'CENTRO','CAMPINA GRANDE DO SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2006782,7.00,7.00,6.00,8.00,8.00,4.50,8.00,5.00,6.00,108,333,NULL,'ALTO PEREQUE','PORTO BELO','SC',2947,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2006790,3.00,7.00,3.00,7.00,6.00,6.50,5.00,6.00,2.00,324,308,NULL,'TRINDADE','FLORIANOPOLIS','SC',9957,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2006804,4.00,7.00,4.00,4.00,6.00,5.25,7.00,6.00,4.00,451,318,NULL,'JARDIM','CONCORDIA','SC',9554,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2006812,2.00,6.00,0.00,2.00,6.00,NULL,4.00,2.00,3.00,216,217,215,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2006820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,9,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2006839,2.00,7.00,4.00,0.00,4.00,NULL,0.00,3.00,4.00,451,215,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006847,1.00,2.00,2.00,1.00,2.00,NULL,1.00,3.00,2.00,319,9,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2006880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2006898,6.00,8.00,6.00,5.00,6.00,5.75,8.00,5.00,5.00,211,501,233,'CENTRO','CACADOR','SC',5326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006901,7.00,6.00,4.00,8.00,7.00,6.25,5.00,9.00,4.00,103,301,NULL,'CENTRO','BRACO DO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2006910,5.00,7.00,4.00,7.00,7.00,6.50,5.00,7.00,5.00,5,316,NULL,'CENTRO','SANTA MARIA','RS',6721,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2006928,7.00,7.00,8.00,6.00,9.00,5.50,7.00,7.00,5.00,207,201,212,'AGRONÔMICA','FLORIANOPOLIS','SC',2417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006936,5.00,9.00,9.00,10.00,9.00,6.75,8.00,4.00,5.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',1072,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2006944,4.00,7.00,6.00,2.00,6.00,3.00,4.00,6.00,3.00,318,304,NULL,'NOVA SUIÇA','BUENO BRANDAO','MG',13847,165,365,NULL,NULL,NULL,NULL,4,1),(15,2006952,6.00,7.00,8.00,6.00,5.00,4.75,7.00,6.00,6.00,202,233,213,'CENTRO','POMERODE','SC',3597,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2006960,4.00,7.00,8.00,9.00,8.00,7.00,6.00,7.00,4.00,303,318,NULL,'CENTRO','FLORIANOPOLIS','SC',3073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2006987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,319,421,'UBATUBA','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2006995,1.00,5.00,2.00,6.00,8.00,4.00,5.00,5.00,3.00,316,317,NULL,'SÃO VICENTE DE PAULA','ERECHIM','RS',15151,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007002,3.00,8.00,9.00,9.00,8.00,9.00,8.00,8.00,6.00,424,NULL,NULL,'CASCADURA','RIO DE JANEIRO','RJ',790,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2007010,5.00,7.00,1.00,4.00,6.00,6.75,4.00,2.00,3.00,217,102,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',15957,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007029,3.00,6.00,1.00,6.00,6.00,4.25,6.00,7.00,3.00,238,425,208,'SERRINHA','FLORIANOPOLIS','SC',11916,420,310,423,NULL,NULL,NULL,2,1),(15,2007037,2.00,4.00,2.00,3.00,6.00,5.50,4.00,5.00,3.00,103,319,NULL,'PARQUE SANTO ANTONIO','GUARULHOS','SP',16104,2731,827,NULL,NULL,NULL,NULL,2,1),(15,2007045,1.00,7.00,4.00,6.00,5.00,1.50,6.00,6.00,2.00,333,108,NULL,'VILA SÃO PAULO','JUNDIAI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,5,NULL,'SETOR OESTE','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2007061,2.00,8.00,7.00,6.00,7.00,6.75,7.00,6.00,5.00,233,203,202,'JARDIM ESPERANÇA','PILAR DO SUL','SP',4993,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2007088,2.00,4.00,5.00,7.00,6.00,NULL,0.00,0.00,0.00,201,212,207,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(15,2007096,3.00,8.00,3.00,9.00,6.00,7.25,2.00,8.00,3.00,415,NULL,NULL,'CENTRO','OURINHOS','SP',6726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007118,1.00,3.00,3.00,1.00,3.00,5.75,4.00,1.00,3.00,420,329,NULL,'CENTRO','MORRO DA FUMACA','SC',21836,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2007126,1.00,4.00,0.00,0.00,5.00,NULL,3.00,7.00,2.00,303,5,NULL,'ENCRUZILHADA','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007134,3.00,7.00,3.00,5.00,4.00,5.75,4.00,5.00,4.00,320,339,NULL,'VILA MORANGUEIRA','MARINGA','PR',13026,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007142,1.00,5.00,2.00,2.00,1.00,NULL,3.00,2.00,1.00,301,308,NULL,'ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007150,5.00,7.00,7.00,9.00,9.00,6.00,7.00,7.00,5.00,207,319,201,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',1951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007177,4.00,8.00,4.00,6.00,7.00,6.00,5.00,5.00,4.00,101,217,NULL,'FORQUILHINHAS','SAO JOSE','SC',8934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007185,5.00,6.00,6.00,7.00,6.00,4.00,6.00,7.00,5.00,303,301,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007193,6.00,8.00,7.00,6.00,7.00,4.75,9.00,9.00,7.00,203,214,NULL,'VILA RIO BRANCO','CASTRO','PR',1987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007207,2.00,5.00,3.00,3.00,3.00,3.75,4.00,5.00,2.00,220,223,203,'CENTRO','BALNEARIO CAMBORIU','SC',20595,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2007215,5.00,8.00,5.00,6.00,7.00,6.00,7.00,7.00,3.00,319,5,NULL,'CENTRO','PORTO ALEGRE','RS',3982,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2007223,0.00,5.00,3.00,1.00,3.00,6.00,4.00,2.00,3.00,108,333,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',21530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007231,1.00,3.00,0.00,3.00,4.00,5.50,4.00,5.00,1.00,451,450,NULL,'CARMEM','PASSO FUNDO','RS',22140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007258,4.00,8.00,6.00,5.00,8.00,5.50,5.00,7.00,5.00,420,333,NULL,'CENTRO','CHAPECO','SC',5506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007266,4.00,7.00,3.00,2.00,4.00,6.00,3.00,3.00,5.00,304,302,NULL,'IPIRANGA','SAO JOSE','SC',18031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007274,0.00,5.00,0.00,3.00,6.00,NULL,2.00,3.00,2.00,426,208,423,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007290,4.00,7.00,5.00,6.00,9.00,4.75,6.00,8.00,5.00,319,327,NULL,'PASSA VINTE','PALHOCA','SC',5485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007304,4.00,5.00,1.00,3.00,4.00,4.75,2.00,4.00,3.00,238,NULL,203,'ESPLANADA','CHAPECO','SC',19854,737,NULL,1132,NULL,NULL,NULL,4,4),(15,2007312,8.00,8.00,8.00,9.00,8.00,8.00,6.00,6.00,5.00,103,NULL,NULL,'PETRÓPOLIS','PORTO ALEGRE','RS',1965,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2007339,1.00,3.00,4.00,5.00,6.00,3.50,1.00,3.00,3.00,404,302,NULL,'FORQUILHINHAS','SAO JOSE','SC',21586,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007347,5.00,7.00,6.00,2.00,7.00,6.25,3.00,5.00,5.00,415,327,NULL,'AREIAS','SAO JOSE','SC',8831,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007363,5.00,6.00,4.00,4.00,8.00,6.00,3.00,5.00,2.00,429,324,NULL,'SERRARIA','SAO JOSE','SC',11406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007371,6.00,7.00,5.00,7.00,7.00,6.25,6.00,6.00,4.00,103,5,NULL,'CENTRO','FLORIANOPOLIS','SC',4985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007380,3.00,5.00,5.00,4.00,8.00,6.00,7.00,4.00,6.00,103,101,NULL,'VILAS BOAS','CAMPO GRANDE','MS',8497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007401,4.00,5.00,3.00,8.00,5.00,6.00,4.00,5.00,3.00,5,224,NULL,'SERRARIA','SAO JOSE','SC',13025,568,202,NULL,NULL,NULL,NULL,2,1),(15,2007428,4.00,6.00,3.00,4.00,6.00,4.75,5.00,3.00,5.00,212,220,214,'SETOR BUENO','GOIANIA','GO',13782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007436,4.00,7.00,4.00,4.00,9.00,7.25,5.00,6.00,4.00,302,324,NULL,'COLÔNIA SANTANA','SAO JOSE','SC',7037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,108,NULL,'CENTRO','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2007452,6.00,8.00,8.00,9.00,8.00,5.00,9.00,7.00,8.00,208,220,238,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007460,3.00,7.00,5.00,4.00,5.00,5.00,5.00,4.00,4.00,420,444,NULL,'ESTREITO','FLORIANOPOLIS','SC',13935,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007479,2.00,4.00,1.00,4.00,5.00,4.75,2.00,3.00,4.00,103,108,NULL,'ESCOLA AGRICOLA','BLUMENAU','SC',21057,3052,969,NULL,NULL,NULL,NULL,2,2),(15,2007495,2.00,2.00,1.00,4.00,4.00,5.75,3.00,5.00,4.00,318,317,NULL,'CENTRO','FLORIANOPOLIS','SC',21020,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007517,4.00,8.00,4.00,8.00,8.00,5.00,6.00,7.00,5.00,104,108,NULL,'TRINDADE','FLORIANOPOLIS','SC',4866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007525,3.00,5.00,2.00,4.00,5.00,5.50,5.00,0.00,3.00,104,102,NULL,'PANORÂMICO','MARAVILHA','SC',19459,630,1070,NULL,NULL,NULL,NULL,2,1),(15,2007533,5.00,8.00,6.00,8.00,7.00,5.75,5.00,6.00,5.00,420,327,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',4235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007550,1.00,4.00,4.00,4.00,8.00,4.75,5.00,2.00,4.00,9,444,NULL,'CAMPECHE','FLORIANOPOLIS','SC',15904,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007568,1.00,4.00,3.00,2.00,5.00,5.50,4.00,4.00,1.00,108,415,NULL,'UNIVERSITÁRIO','LAGES','SC',20392,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2007576,3.00,5.00,1.00,7.00,4.00,5.00,3.00,5.00,2.00,423,310,427,'CENTRO','FLORIANOPOLIS','SC',18762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007584,2.00,6.00,1.00,7.00,7.00,5.00,6.00,4.00,3.00,420,207,NULL,'CENTRO','JARAGUA DO SUL','SC',12602,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2007592,3.00,7.00,1.00,5.00,5.00,4.75,4.00,6.00,3.00,318,304,NULL,'CENTRO','BAURU','SP',14589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007606,4.00,7.00,8.00,4.00,8.00,5.50,7.00,8.00,5.00,214,233,203,'JARDIM OSVALDO SELLA','CAMBE','PR',4220,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2007614,4.00,5.00,5.00,5.00,4.00,3.75,3.00,5.00,2.00,301,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',17766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,501,NULL,'UVARANAS','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2007630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,444,NULL,'ANDORINHA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2007649,4.00,8.00,4.00,5.00,7.00,3.50,7.00,5.00,6.00,104,NULL,NULL,'SANTA TEREZINHA','GASPAR','SC',7865,255,NULL,NULL,NULL,NULL,NULL,2,2),(15,2007665,4.00,6.00,2.00,1.00,7.00,6.50,5.00,5.00,1.00,444,302,NULL,'CAMINHO NOVO','PALHOCA','SC',13767,115,263,NULL,NULL,NULL,NULL,4,1),(15,2007673,3.00,6.00,2.00,0.00,4.00,4.00,4.00,2.00,4.00,333,332,NULL,'MAUA','JAGUARIUNA','SP',20954,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007690,5.00,7.00,6.00,3.00,5.00,3.75,6.00,6.00,7.00,108,333,NULL,'CASTELO','BATATAIS','SP',7545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007703,6.00,7.00,3.00,6.00,8.00,5.50,5.00,5.00,3.00,319,317,NULL,'CENTRO','FLORIANOPOLIS','SC',8417,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007711,9.00,8.00,9.00,8.00,9.00,5.25,9.00,7.00,8.00,103,224,NULL,'CAMPINAS','SAO JOSE','SC',213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007720,2.00,3.00,0.00,4.00,3.00,4.00,4.00,2.00,3.00,316,318,NULL,'CENTRO','FLORIANOPOLIS','SC',22394,689,539,NULL,NULL,NULL,NULL,2,1),(15,2007738,2.00,4.00,2.00,5.00,4.00,2.00,3.00,3.00,0.00,319,9,NULL,'CENTRO','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,222,NULL,'IRINEU COMELLI','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2007762,3.00,5.00,3.00,5.00,4.00,6.00,6.00,3.00,6.00,102,9,NULL,'CENTRO','LAGES','SC',12922,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2007770,7.00,8.00,8.00,8.00,8.00,6.00,8.00,7.00,5.00,404,327,NULL,'CENTRO','FLORIANOPOLIS','SC',1193,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007789,7.00,8.00,9.00,8.00,8.00,7.25,8.00,8.00,8.00,103,203,NULL,'CENTRO','CONCORDIA','SC',415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007797,6.00,7.00,8.00,3.00,7.00,5.25,8.00,7.00,5.00,201,301,207,'TIJUQUINHAS','BIGUACU','SC',3736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007800,2.00,5.00,2.00,7.00,8.00,6.50,5.00,5.00,0.00,415,308,NULL,'ABRAAO','FLORIANOPOLIS','SC',14196,351,309,NULL,NULL,NULL,NULL,2,1),(15,2007827,6.00,8.00,1.00,8.00,9.00,4.75,4.00,6.00,2.00,303,327,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',8121,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007835,5.00,7.00,6.00,7.00,9.00,4.75,7.00,6.00,3.00,502,427,NULL,'ITAGUAÇÚ','FLORIANOPOLIS','SC',5845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007843,2.00,6.00,2.00,5.00,7.00,6.00,2.00,3.00,3.00,415,326,NULL,'SERRARIA','SAO JOSE','SC',15781,390,288,NULL,NULL,NULL,NULL,2,1),(15,2007860,5.00,9.00,5.00,7.00,8.00,6.00,5.00,8.00,3.00,5,319,NULL,'SERRARIA','SAO JOSE','SC',4752,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007878,6.00,8.00,8.00,9.00,9.00,7.75,9.00,8.00,5.00,316,317,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007886,0.00,4.00,1.00,4.00,4.00,NULL,1.00,4.00,1.00,404,308,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007894,4.00,8.00,8.00,7.00,8.00,5.50,8.00,5.00,5.00,220,201,202,'DOS ESTADOS','BALNEARIO CAMBORIU','SC',2998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007908,2.00,4.00,3.00,6.00,6.00,6.50,4.00,5.00,0.00,103,104,NULL,'ANA RECH','CAXIAS DO SUL','RS',17266,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007916,3.00,7.00,3.00,1.00,5.00,5.00,2.00,3.00,5.00,238,301,208,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',18817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007932,5.00,8.00,1.00,7.00,7.00,7.50,6.00,5.00,3.00,320,327,NULL,'ESTREITO','FLORIANOPOLIS','SC',8088,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2007940,3.00,7.00,3.00,5.00,9.00,6.00,7.00,8.00,2.00,5,339,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',7358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2007967,3.00,7.00,5.00,5.00,7.00,4.50,6.00,6.00,0.00,310,320,NULL,'JARDIM DOS ESTADOS','POCOS DE CALDAS','MG',11760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007983,8.00,8.00,8.00,8.00,9.00,6.50,9.00,7.00,8.00,303,5,NULL,'COQUEIROS','FLORIANOPOLIS','SC',354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2007991,6.00,8.00,6.00,7.00,8.00,7.00,6.00,7.00,5.00,103,207,NULL,'CENTRO','LAGES','SC',3061,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2008009,3.00,5.00,2.00,3.00,5.00,5.75,2.00,4.00,2.00,211,415,NULL,'VILA FLOR','CAPIVARI DE BAIXO','SC',20630,702,816,NULL,NULL,NULL,NULL,4,10),(15,2008017,4.00,7.00,5.00,2.00,7.00,6.50,2.00,5.00,3.00,102,NULL,NULL,'MORADA DO SOL','CAMBARA','PR',14238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008025,3.00,6.00,0.00,0.00,7.00,5.50,2.00,5.00,1.00,326,329,NULL,'ARROIO CORRENTE','JAGUARUNA','SC',20901,120,257,NULL,NULL,NULL,NULL,4,10),(15,2008033,5.00,7.00,6.00,7.00,9.00,6.25,7.00,6.00,5.00,212,304,213,'CENTRO','CHAPECO','SC',3576,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2008041,1.00,6.00,2.00,6.00,5.00,4.50,7.00,3.00,0.00,333,NULL,NULL,'ZONA SETE','MARINGA','PR',17365,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2008050,4.00,7.00,5.00,8.00,7.00,4.75,7.00,7.00,3.00,201,333,238,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',5729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008068,3.00,6.00,1.00,1.00,4.00,3.00,7.00,5.00,4.00,234,215,NULL,'MORADA DO SOL','AVARE','SP',18281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008076,2.00,9.00,6.00,6.00,7.00,6.75,5.00,7.00,3.00,332,318,NULL,'ESTREITO','FLORIANOPOLIS','SC',5524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2008084,1.00,4.00,4.00,4.00,5.00,4.50,4.00,4.00,3.00,103,NULL,NULL,'CENTRO','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2008106,4.00,7.00,5.00,5.00,7.00,6.25,4.00,7.00,5.00,102,308,NULL,'COQUEIROS','FLORIANOPOLIS','SC',7401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2008114,6.00,7.00,5.00,4.00,7.00,6.50,7.00,3.00,5.00,451,450,NULL,'JARDIM BELA VISTA','SAO JOSE DOS CAMPOS','SP',6782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008122,2.00,6.00,1.00,4.00,3.00,4.25,3.00,3.00,3.00,317,5,NULL,'AREIAS','SAO JOSE','SC',20807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008130,3.00,7.00,7.00,7.00,9.00,5.25,7.00,7.00,1.00,301,316,NULL,'CENTRO','CURITIBA','PR',5067,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2008149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,201,NULL,'MONTE LIBANO','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2008157,2.00,6.00,1.00,8.00,9.00,5.25,6.00,5.00,2.00,5,427,NULL,'TRINDADE','FLORIANOPOLIS','SC',10921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008165,2.00,8.00,2.00,0.00,6.00,5.75,4.00,5.00,4.00,211,9,207,'JARDIM ITÁLIA','CHAPECO','SC',16074,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2008173,3.00,3.00,3.00,6.00,3.00,3.00,2.00,3.00,2.00,220,214,NULL,'CENTRO','TUPA','SP',21959,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2008181,4.00,8.00,5.00,5.00,8.00,5.25,6.00,7.00,3.00,301,212,NULL,'CENTRO','LAGES','SC',6899,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2008190,3.00,5.00,2.00,4.00,4.00,3.75,1.00,2.00,1.00,404,333,NULL,'IPIRANGA','SAO JOSE','SC',22217,275,1083,NULL,NULL,NULL,NULL,2,1),(15,2008211,3.00,7.00,4.00,3.00,7.00,4.25,3.00,5.00,3.00,202,2,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',15694,567,224,NULL,NULL,NULL,NULL,4,1),(15,2008220,5.00,7.00,7.00,7.00,8.00,5.50,8.00,7.00,2.00,317,318,NULL,'CENTRO','PALHOCA','SC',5090,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2008238,8.00,8.00,8.00,7.00,9.00,7.00,6.00,7.00,6.00,303,207,NULL,'BELA VISTA','IBIRAMA','SC',1593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008246,0.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,404,444,NULL,'TRINTA RÉIS','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(15,2008254,4.00,6.00,1.00,6.00,7.00,6.50,2.00,5.00,1.00,450,451,NULL,'CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC',16052,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2008262,4.00,5.00,8.00,6.00,6.00,6.25,4.00,4.00,4.00,102,238,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',10146,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2008270,4.00,7.00,4.00,3.00,7.00,6.25,7.00,8.00,6.00,103,102,NULL,'CENTRO','JAGUAPITA','PR',5966,1629,709,NULL,NULL,NULL,NULL,4,8),(15,2008297,5.00,8.00,6.00,3.00,8.00,5.50,6.00,4.00,3.00,211,215,212,'JD CHACARA INGLESA','SAO BERNARDO DO CAMPO','SP',9722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008300,6.00,8.00,9.00,8.00,7.00,5.75,8.00,7.00,7.00,5,327,NULL,'TRINDADE','FLORIANOPOLIS','SC',1214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,222,NULL,'TIMBOPEBA','SAO JOAO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2008335,6.00,7.00,7.00,9.00,8.00,8.00,7.00,6.00,3.00,233,5,201,'FORTALEZA','BLUMENAU','SC',2179,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2008386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,5,NULL,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2008394,5.00,5.00,3.00,7.00,6.00,3.00,5.00,8.00,5.00,103,303,NULL,'VILA CRUZEIRO','SAO PAULO','SP',8374,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2008408,1.00,5.00,3.00,4.00,3.00,4.50,3.00,7.00,1.00,103,102,NULL,'SÃO PEDRO','PORTO UNIAO','SC',19800,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2008424,2.00,4.00,4.00,3.00,6.00,5.50,3.00,4.00,3.00,309,339,NULL,'COLATTO','XANXERE','SC',18144,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2008432,4.00,7.00,2.00,5.00,9.00,6.50,3.00,4.00,3.00,333,NULL,NULL,'PASSO DOS FORTES','CHAPECO','SC',11355,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2008440,3.00,4.00,2.00,1.00,5.00,5.50,1.00,5.00,2.00,319,102,NULL,'RIO CAVEIRAS','BIGUACU','SC',21976,507,1135,NULL,NULL,NULL,NULL,2,1),(15,2008459,2.00,7.00,2.00,2.00,6.00,4.75,5.00,6.00,3.00,451,450,NULL,'BIGORRILHO','CURITIBA','PR',17103,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2008467,4.00,8.00,3.00,1.00,5.00,5.75,5.00,6.00,2.00,317,331,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',13412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008475,6.00,8.00,4.00,8.00,10.00,4.75,7.00,8.00,3.00,421,415,424,'COQUEIROS','FLORIANOPOLIS','SC',3446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008505,6.00,9.00,7.00,9.00,9.00,6.00,7.00,7.00,4.00,420,9,NULL,'VILA NOVA','BLUMENAU','SC',2099,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2008521,3.00,7.00,6.00,3.00,5.00,5.25,4.00,3.00,1.00,319,301,NULL,'CENTRO','FLORIANOPOLIS','SC',16587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008530,1.00,8.00,3.00,7.00,9.00,4.50,5.00,5.00,3.00,420,213,NULL,'SAIC','CHAPECO','SC',9721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008556,3.00,5.00,4.00,2.00,7.00,5.00,4.00,9.00,4.00,426,326,428,'TRINDADE','FLORIANOPOLIS','SC',13117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,202,212,'SETOR OESTE','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2008572,5.00,6.00,5.00,8.00,9.00,5.00,7.00,7.00,5.00,420,208,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',3965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008599,4.00,7.00,2.00,5.00,9.00,6.50,3.00,3.00,5.00,308,324,NULL,'KOBRASOL','SAO JOSE','SC',12542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008602,3.00,3.00,2.00,3.00,6.00,NULL,2.00,0.00,3.00,303,415,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,101,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2008645,3.00,7.00,3.00,7.00,6.00,4.50,2.00,3.00,1.00,333,108,NULL,'VILA TUPI','PRAIA GRANDE','SP',17056,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2008661,6.00,8.00,7.00,2.00,7.00,5.75,4.00,6.00,4.00,103,9,NULL,'JARDIM PAULISTANO','RIBEIRAO PRETO','SP',8875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008670,6.00,6.00,3.00,6.00,7.00,4.50,6.00,6.00,3.00,304,318,NULL,'MICHEL','CRICIUMA','SC',8764,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2008688,0.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,5,318,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2008700,3.00,7.00,1.00,6.00,5.00,5.75,6.00,6.00,3.00,302,2,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',13312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008718,4.00,6.00,3.00,7.00,5.00,6.00,5.00,5.00,4.00,103,428,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',10039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2008726,2.00,5.00,5.00,8.00,7.00,6.00,6.00,5.00,2.00,238,224,208,'SERTÃO DO IMARUIM','SAO JOSE','SC',9664,310,155,324,NULL,NULL,NULL,4,1),(15,2008734,5.00,5.00,7.00,8.00,9.00,5.00,6.00,6.00,5.00,208,NULL,238,'CENTRO','FLORIANOPOLIS','SC',4460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008742,3.00,6.00,6.00,1.00,8.00,5.50,5.00,4.00,2.00,103,301,NULL,'NOVA BRASILIA','JOINVILLE','SC',14080,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2008777,2.00,8.00,4.00,5.00,4.00,5.00,5.00,6.00,1.00,220,208,203,'SÃO SEBASTIÃO','MINEIROS','GO',13793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008785,4.00,5.00,5.00,6.00,7.00,4.75,6.00,4.00,3.00,420,208,NULL,'COQUEIROS','FLORIANOPOLIS','SC',9371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008793,6.00,3.00,5.00,6.00,7.00,3.50,5.00,6.00,1.00,207,420,NULL,'JARDIM SÃO FRANCISCO','LINS','SP',13058,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2008815,5.00,5.00,6.00,6.00,7.00,5.75,7.00,7.00,3.00,211,201,NULL,'ZONA SETE','MARINGA','PR',5565,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2008823,1.00,3.00,1.00,1.00,4.00,NULL,3.00,3.00,3.00,217,216,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2008831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,233,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2008840,4.00,6.00,8.00,6.00,9.00,4.00,5.00,4.00,2.00,316,317,NULL,'CENTRO','UBERABA','MG',9167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008858,7.00,6.00,2.00,3.00,8.00,5.50,6.00,6.00,3.00,101,309,NULL,'JARDIM AQUARIUS','PALHOCA','SC',9098,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2008866,4.00,8.00,4.00,7.00,7.00,4.50,4.00,5.00,5.00,217,502,NULL,'PASSO DOS FORTES','CHAPECO','SC',7039,NULL,NULL,NULL,NULL,NULL,NULL,3,4),(15,2008882,4.00,8.00,7.00,4.00,6.00,5.50,7.00,6.00,4.00,222,224,NULL,'TABOLEIRO','BALNEARIO CAMBORIU','SC',6433,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2008890,5.00,7.00,9.00,8.00,9.00,6.50,9.00,8.00,7.00,216,2,202,'MAR GROSSO','LAGUNA','SC',949,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2008904,2.00,4.00,2.00,1.00,6.00,3.25,4.00,5.00,2.00,304,301,NULL,'CENTRO LESTE','PRIMAVERA DO LESTE','MT',21128,214,836,NULL,NULL,NULL,NULL,4,4),(15,2008912,2.00,5.00,3.00,4.00,6.00,6.75,4.00,3.00,3.00,104,102,NULL,'CENTRO','ITAJAI','SC',16568,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2008920,4.00,6.00,3.00,2.00,6.00,6.50,3.00,7.00,2.00,420,208,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',15086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ITUIUTABA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2008947,3.00,9.00,3.00,6.00,4.00,3.00,5.00,6.00,3.00,324,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',14543,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2008955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2008963,4.00,5.00,3.00,6.00,7.00,4.25,4.00,7.00,4.00,424,423,427,'AMERICA','JOINVILLE','SC',11331,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2008971,5.00,8.00,5.00,9.00,7.00,6.00,5.00,7.00,3.00,415,420,NULL,'CRUZEIRO','CAXIAS DO SUL','RS',4911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2008980,3.00,8.00,4.00,9.00,8.00,5.75,7.00,4.00,6.00,420,450,NULL,'SANTA ROSALIA','LIMEIRA','SP',5717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009005,3.00,6.00,5.00,5.00,6.00,5.75,4.00,4.00,1.00,319,309,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',13254,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2009013,5.00,8.00,8.00,5.00,7.00,6.75,5.00,7.00,5.00,108,502,NULL,'SERRINHA','FLORIANOPOLIS','SC',4458,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2009030,2.00,5.00,1.00,2.00,5.00,5.50,3.00,4.00,3.00,103,101,NULL,'MORRO GRANDE','SANGAO','SC',19405,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2009048,2.00,3.00,0.00,6.00,3.00,5.00,4.00,3.00,4.00,101,421,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',21457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2009056,5.00,5.00,5.00,7.00,8.00,7.25,6.00,6.00,3.00,104,103,NULL,'BOSQUE DA SAÚDE','SAO PAULO','SP',5631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009064,5.00,8.00,6.00,9.00,7.00,6.50,9.00,7.00,4.00,303,5,NULL,'TRINDADE','FLORIANOPOLIS','SC',2290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009072,7.00,6.00,8.00,7.00,9.00,4.25,9.00,8.00,4.00,201,222,238,'CORREGO GRANDE','FLORIANOPOLIS','SC',2406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009080,6.00,4.00,6.00,4.00,6.00,3.75,6.00,6.00,2.00,420,NULL,NULL,'FORTALEZA','BLUMENAU','SC',11088,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2009099,6.00,8.00,8.00,7.00,7.00,4.75,8.00,5.00,3.00,208,NULL,NULL,'AMERICA','JOINVILLE','SC',3894,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2009102,5.00,7.00,4.00,9.00,8.00,7.00,7.00,5.00,4.00,415,429,NULL,'CENTRO','FLORIANOPOLIS','SC',4932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009129,1.00,7.00,5.00,4.00,7.00,5.00,5.00,5.00,4.00,223,NULL,NULL,'BARREIROS','SAO JOSE','SC',13134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009137,6.00,6.00,5.00,7.00,7.00,6.00,6.00,3.00,5.00,101,9,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',6598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2009153,5.00,6.00,1.00,7.00,6.00,6.25,3.00,4.00,5.00,425,429,NULL,'INGLESES','FLORIANOPOLIS','SC',12691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009200,2.00,6.00,5.00,3.00,7.00,5.50,3.00,5.00,4.00,104,101,NULL,'JARDIM OLIDEL','ALUMINIO','SP',14287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009218,4.00,9.00,6.00,3.00,8.00,6.75,6.00,7.00,4.00,501,213,NULL,'CENTRO','ARMAZEM','SC',5609,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2009226,6.00,7.00,4.00,8.00,7.00,5.50,5.00,6.00,2.00,212,213,214,'MALUCHE','BRUSQUE','SC',7173,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2009242,5.00,6.00,4.00,5.00,7.00,5.75,8.00,5.00,4.00,208,225,238,'BARREIROS','SAO JOSE','SC',7866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009269,5.00,7.00,6.00,7.00,6.00,3.50,5.00,6.00,5.00,303,326,NULL,'BOMBAS','BOMBINHAS','SC',7828,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2009277,1.00,2.00,3.00,2.00,3.00,NULL,3.00,1.00,3.00,308,101,NULL,'BELA VISTA I','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009285,9.00,8.00,9.00,7.00,9.00,6.50,9.00,7.00,6.00,103,216,NULL,'SERRINHA','FLORIANOPOLIS','SC',267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009293,6.00,8.00,7.00,8.00,8.00,7.00,7.00,6.00,5.00,303,5,NULL,'PANTANAL','FLORIANOPOLIS','SC',2239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009307,2.00,5.00,2.00,7.00,6.00,8.50,5.00,3.00,3.00,303,5,NULL,'BOA VISTA','CURITIBA','PR',14909,693,1234,NULL,NULL,NULL,NULL,2,1),(15,2009315,5.00,8.00,1.00,6.00,6.00,3.00,7.00,6.00,3.00,404,444,NULL,'CENTRO','FLORIANOPOLIS','SC',10035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009323,1.00,3.00,3.00,7.00,7.00,5.75,5.00,4.00,4.00,215,102,207,'ESTREITO','FLORIANOPOLIS','SC',15554,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2009331,5.00,7.00,6.00,8.00,7.00,7.00,5.00,5.00,4.00,317,5,NULL,'ESTREITO','FLORIANOPOLIS','SC',4765,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2009340,7.00,9.00,8.00,10.00,9.00,7.00,9.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009358,6.00,8.00,8.00,9.00,8.00,6.00,8.00,7.00,7.00,238,420,208,'CENTRO','FLORIANOPOLIS','SC',1169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009366,4.00,8.00,4.00,8.00,8.00,7.25,5.00,6.00,4.00,103,NULL,NULL,'SETOR AEROPORTO','GOIANIA','GO',4526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009374,6.00,7.00,5.00,7.00,9.00,5.25,4.00,7.00,3.00,420,301,NULL,'ITACORUBI','FLORIANOPOLIS','SC',7067,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2009382,3.00,5.00,4.00,8.00,5.00,5.75,5.00,5.00,5.00,426,428,425,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',10339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009404,3.00,3.00,1.00,5.00,8.00,6.50,6.00,3.00,5.00,238,223,215,'ESTREITO','FLORIANOPOLIS','SC',14069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009412,7.00,7.00,4.00,6.00,7.00,6.00,7.00,5.00,7.00,9,319,NULL,'CENTRO','SAO VICENTE','SP',4475,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2009420,1.00,3.00,3.00,6.00,5.00,4.75,0.00,4.00,2.00,501,502,NULL,'CENTRO','VACARIA','RS',21496,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2009439,4.00,6.00,6.00,3.00,8.00,3.50,5.00,3.00,3.00,233,225,201,'NOVA EUROPA','LIMEIRA','SP',12777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2009447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,215,201,'VILA IPIRANGA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2009463,3.00,6.00,1.00,2.00,6.00,6.00,4.00,4.00,2.00,328,310,NULL,'BELA VISTA','CHAPECO','SC',18084,38,174,NULL,NULL,NULL,NULL,4,4),(15,2009480,5.00,6.00,6.00,5.00,7.00,6.00,3.00,4.00,4.00,102,108,NULL,'FLORESTA','JOINVILLE','SC',10294,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2009498,5.00,8.00,5.00,7.00,9.00,5.25,6.00,5.00,4.00,316,301,NULL,'VILA NOVA','BLUMENAU','SC',6247,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2009501,4.00,6.00,4.00,6.00,8.00,4.75,5.00,3.00,3.00,238,324,208,'SERRARIA','SAO JOSE','SC',11537,400,184,401,NULL,NULL,NULL,4,1),(15,2009528,4.00,8.00,3.00,6.00,8.00,6.00,4.00,5.00,3.00,103,2,NULL,'TAPERA','FLORIANOPOLIS','SC',9843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009536,2.00,4.00,3.00,0.00,6.00,NULL,0.00,2.00,2.00,404,333,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009544,2.00,6.00,3.00,3.00,5.00,5.25,2.00,1.00,2.00,502,202,NULL,'JARDIM DAS HONTENCIA','FRAIBURGO','SC',21178,104,959,NULL,NULL,NULL,NULL,2,3),(15,2009552,4.00,7.00,4.00,4.00,5.00,3.75,6.00,7.00,5.00,316,327,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',10797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009560,8.00,9.00,7.00,5.00,8.00,6.00,8.00,7.00,4.00,303,301,NULL,'CENTRO','CHAPECO','SC',1534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009579,3.00,5.00,5.00,1.00,7.00,4.25,5.00,5.00,3.00,316,420,NULL,'SANTA BÁRBARA','CRICIUMA','SC',15363,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2009587,6.00,8.00,6.00,7.00,7.00,7.25,3.00,7.00,4.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009595,6.00,8.00,8.00,4.00,8.00,6.25,7.00,7.00,4.00,203,201,NULL,'CENTRO','ITUPORANGA','SC',3456,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2009609,6.00,8.00,7.00,6.00,8.00,6.50,6.00,6.00,4.00,203,2,215,'CENTRO','FLORIANOPOLIS','SC',3323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009617,3.00,4.00,4.00,5.00,6.00,4.25,4.00,2.00,1.00,444,9,NULL,'JARDIM CARANDAI','BIGUACU','SC',19131,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2009625,4.00,6.00,2.00,1.00,5.00,5.00,5.00,3.00,2.00,444,101,NULL,'TRINDADE','FLORIANOPOLIS','SC',20155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009633,7.00,9.00,7.00,6.00,9.00,6.50,8.00,8.00,7.00,201,425,212,'PONTE DO IMARUIM','PALHOCA','SC',758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009641,8.00,8.00,7.00,8.00,7.00,6.00,7.00,9.00,5.00,103,102,NULL,'JARDIM AMÉRICA','SAO PAULO','SP',1140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009650,4.00,5.00,2.00,0.00,0.00,NULL,3.00,4.00,2.00,324,424,NULL,'INGLESES DO RIO VERM','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2009668,2.00,4.00,4.00,4.00,7.00,5.50,2.00,3.00,3.00,103,104,NULL,'BUDAG','RIO DO SUL','SC',17162,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2009684,2.00,6.00,3.00,8.00,8.00,5.75,5.00,7.00,3.00,320,310,NULL,'JARDIM BOM PASTOR','SANTO ANDRE','SP',8012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009692,5.00,6.00,7.00,8.00,6.00,5.75,5.00,7.00,4.00,207,424,201,'CENTRO','FLORIANOPOLIS','SC',5459,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2009706,3.00,8.00,4.00,4.00,3.00,5.00,2.00,6.00,1.00,217,108,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',17262,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2009714,6.00,8.00,6.00,6.00,9.00,7.50,6.00,7.00,5.00,103,104,NULL,'SANTO ANTONIO','JOINVILLE','SC',2242,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2009722,3.00,6.00,3.00,5.00,5.00,5.00,5.00,7.00,3.00,223,224,NULL,'BOMBAS','BOMBINHAS','SC',11698,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2009730,6.00,7.00,5.00,7.00,6.00,4.75,8.00,5.00,3.00,5,303,NULL,'GLÓRIA','JOINVILLE','SC',6685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2009757,6.00,8.00,4.00,6.00,8.00,7.00,6.00,8.00,5.00,108,103,NULL,'MONTE CASTELO','TUBARAO','SC',4035,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2009765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,310,NULL,'VILA MARIANA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2009773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,203,NULL,'CENTRO','JACIARA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2009781,3.00,3.00,2.00,4.00,5.00,4.50,4.00,2.00,3.00,2,225,NULL,'DEMARCHI','SAO BERNARDO DO CAMPO','SP',20540,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2009790,4.00,8.00,3.00,6.00,8.00,6.00,6.00,5.00,2.00,415,451,NULL,'CENTRO','FLORIANOPOLIS','SC',8470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009811,1.00,3.00,3.00,1.00,7.00,6.50,2.00,4.00,3.00,2,225,NULL,'APARECIDA','CURITIBANOS','SC',20639,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2009820,3.00,6.00,7.00,6.00,6.00,5.00,6.00,5.00,2.00,201,415,212,'CENTRO','IBIRAMA','SC',9679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009838,5.00,9.00,8.00,6.00,7.00,6.75,9.00,6.00,8.00,203,201,212,'ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP',1121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009854,3.00,5.00,2.00,6.00,6.00,5.50,4.00,2.00,4.00,444,427,NULL,'INGLESES DO RIO VERM','FLORIANOPOLIS','SC',16650,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2009862,4.00,4.00,3.00,3.00,3.00,5.50,2.00,4.00,2.00,308,451,NULL,'PANTANAL','FLORIANOPOLIS','SC',20572,171,288,NULL,NULL,NULL,NULL,2,1),(15,2009870,6.00,8.00,4.00,7.00,9.00,5.00,5.00,6.00,3.00,318,304,NULL,'INGLESES','FLORIANOPOLIS','SC',5277,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2009889,2.00,5.00,2.00,3.00,7.00,NULL,0.00,0.00,0.00,102,415,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(15,2009897,3.00,7.00,4.00,2.00,5.00,5.00,5.00,4.00,3.00,5,NULL,NULL,'ITACUROBI','FLORIANOPOLIS','SC',16296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,451,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2009919,4.00,8.00,8.00,1.00,7.00,4.50,7.00,7.00,5.00,202,213,220,'CORONEL RENNO','JACUTINGA','MG',6804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009927,4.00,5.00,6.00,5.00,7.00,6.75,6.00,5.00,4.00,102,108,NULL,'JARDIM SIMUS','SOROCABA','SP',9262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009935,3.00,7.00,8.00,7.00,8.00,5.25,5.00,4.00,5.00,215,220,212,'CENTRO','CAMPO GRANDE','MS',5598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009943,2.00,5.00,4.00,2.00,4.00,4.00,2.00,4.00,2.00,202,213,NULL,'AREIAO','PIRACICABA','SP',22084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2009951,1.00,9.00,4.00,3.00,5.00,4.75,2.00,3.00,3.00,216,217,212,'CENTRO','BRUSQUE','SC',17399,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2009960,1.00,3.00,4.00,5.00,4.00,4.75,3.00,1.00,2.00,104,101,NULL,'SANTANA','SANTO AMARO DA IMPERATRIZ','SC',22228,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2009978,4.00,5.00,4.00,5.00,5.00,5.25,7.00,5.00,2.00,316,318,NULL,'CENTRO','RIO DO SUL','SC',11741,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2009994,4.00,7.00,5.00,7.00,7.00,5.25,7.00,5.00,3.00,238,420,208,'CANTO DOS GANCHOS','GOVERNADOR CELSO RAMOS','SC',6935,191,NULL,NULL,NULL,NULL,NULL,2,1),(15,2010003,4.00,8.00,6.00,5.00,5.00,5.50,4.00,2.00,2.00,208,301,NULL,'CENTRO','SAO JOAQUIM','SC',12751,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2010011,3.00,5.00,4.00,5.00,8.00,6.50,6.00,6.00,4.00,104,102,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',9247,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2010038,8.00,7.00,9.00,7.00,9.00,6.50,10.00,8.00,9.00,303,5,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010046,2.00,7.00,2.00,7.00,6.00,5.50,1.00,7.00,4.00,501,502,NULL,'CONTA DINHEIRO','LAGES','SC',13004,134,229,NULL,NULL,NULL,NULL,2,9),(15,2010054,7.00,8.00,9.00,8.00,8.00,6.25,8.00,5.00,7.00,333,216,NULL,'CENTRO','LONDRINA','PR',1502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010062,7.00,7.00,7.00,6.00,8.00,5.50,8.00,5.00,4.00,103,101,NULL,'ABRAÃO','FLORIANOPOLIS','SC',3680,1174,404,NULL,NULL,NULL,NULL,4,1),(15,2010070,2.00,1.00,1.00,0.00,5.00,NULL,1.00,5.00,2.00,208,420,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010089,7.00,9.00,9.00,8.00,9.00,5.50,9.00,7.00,6.00,5,319,NULL,'JURERÊ','FLORIANOPOLIS','SC',729,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2010100,6.00,7.00,6.00,6.00,9.00,7.25,5.00,5.00,3.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5993,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2010127,3.00,7.00,4.00,4.00,6.00,3.50,4.00,5.00,2.00,404,224,NULL,'COLONINHA','FLORIANOPOLIS','SC',16452,136,239,NULL,NULL,NULL,NULL,2,1),(15,2010135,6.00,7.00,4.00,1.00,8.00,5.75,6.00,6.00,5.00,103,319,NULL,'VALE DO SOL','SAO JOSE DO RIO PRETO','SP',8378,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2010143,6.00,7.00,3.00,6.00,8.00,6.25,3.00,4.00,2.00,103,9,NULL,'JARDIM PAULISTA','RIBEIRAO PRETO','SP',8992,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2010151,4.00,8.00,4.00,7.00,8.00,7.25,5.00,6.00,3.00,303,102,NULL,'AMÉRICA','JOINVILLE','SC',5433,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2010160,3.00,8.00,6.00,7.00,7.00,7.00,7.00,5.00,5.00,420,9,NULL,'CENTRO','LAGES','SC',5135,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2010186,4.00,8.00,9.00,7.00,5.00,5.75,9.00,7.00,9.00,215,102,233,'VILA INDUSTRIAL','SAO JOSE DOS CAMPOS','SP',2029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2010194,7.00,9.00,7.00,9.00,8.00,6.50,9.00,7.00,8.00,203,223,207,'AGRONÔMICA','FLORIANOPOLIS','SC',475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010208,2.00,2.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,103,108,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2010232,4.00,6.00,4.00,5.00,7.00,6.25,6.00,6.00,4.00,104,502,NULL,'JARDIM MINUANO','SAO JOAQUIM','SC',7822,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2010240,4.00,7.00,1.00,3.00,4.00,2.00,3.00,4.00,1.00,207,333,NULL,'ASA SUL','BRASILIA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010259,3.00,9.00,5.00,9.00,8.00,6.75,7.00,7.00,4.00,450,420,NULL,'JARDIM CAMPESTRE','ARARAS','SP',3742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010267,7.00,8.00,6.00,9.00,8.00,6.25,8.00,9.00,4.00,420,326,NULL,'NOVA PIRACICABA','PIRACICABA','SP',1284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010275,8.00,8.00,9.00,7.00,8.00,5.50,8.00,6.00,7.00,233,216,214,'CENTRO','GRAVATAL','SC',939,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2010283,5.00,9.00,8.00,10.00,9.00,5.25,9.00,7.00,6.00,303,5,NULL,'ATIRADORES','JOINVILLE','SC',851,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2010291,5.00,6.00,8.00,9.00,9.00,6.75,7.00,7.00,8.00,304,318,NULL,'JARDIM GUADALUPE','OSASCO','SP',1539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010305,8.00,6.00,4.00,4.00,7.00,4.50,4.00,6.00,4.00,108,333,NULL,'VILA CLEMENTINO','SAO PAULO','SP',8535,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2010313,0.00,4.00,1.00,7.00,3.00,4.75,1.00,2.00,1.00,102,319,NULL,'CENTRO','ALFREDO WAGNER','SC',22464,527,996,NULL,NULL,NULL,NULL,2,1),(15,2010330,5.00,6.00,6.00,8.00,8.00,5.50,5.00,3.00,3.00,220,103,203,'CAPOEIRAS','FLORIANOPOLIS','SC',7451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010356,2.00,7.00,5.00,3.00,6.00,5.50,3.00,3.00,4.00,450,NULL,NULL,'JD SANTO ALBERTO','SANTO ANDRE','SP',16000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010364,4.00,4.00,3.00,3.00,4.00,4.75,6.00,5.00,3.00,213,501,215,'PANTANAL','FLORIANOPOLIS','SC',16434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010372,5.00,7.00,3.00,6.00,9.00,6.50,5.00,4.00,6.00,104,102,NULL,'PRESIDENTE MEDICE','CHAPECO','SC',7240,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2010399,4.00,7.00,0.00,9.00,8.00,6.50,6.00,6.00,2.00,415,428,NULL,'CENTRO','FLORIANOPOLIS','SC',8104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010410,2.00,3.00,0.00,4.00,4.00,4.50,4.00,4.00,1.00,9,319,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',22371,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2010429,7.00,9.00,8.00,8.00,9.00,6.00,8.00,8.00,6.00,108,428,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010437,4.00,7.00,3.00,6.00,8.00,5.25,6.00,6.00,3.00,103,102,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',9794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2010445,3.00,8.00,9.00,8.00,9.00,6.25,9.00,8.00,6.00,303,224,NULL,'CENTRO','FLORIANOPOLIS','SC',1055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010453,3.00,7.00,3.00,3.00,4.00,5.00,4.00,4.00,2.00,103,415,NULL,'JARDINS FLORENÇA','GOIANIA','GO',18293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010461,5.00,7.00,4.00,6.00,5.00,4.75,4.00,5.00,2.00,328,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',13062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010470,7.00,9.00,6.00,8.00,9.00,7.75,7.00,7.00,6.00,103,104,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',587,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2010488,2.00,5.00,2.00,5.00,8.00,5.75,3.00,4.00,3.00,308,339,NULL,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',16796,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2010496,2.00,6.00,5.00,7.00,8.00,6.75,5.00,4.00,3.00,415,420,NULL,'PRESIDENTE MÉDICI','CHAPECO','SC',9559,260,623,NULL,NULL,NULL,NULL,2,4),(15,2010518,4.00,7.00,4.00,7.00,7.00,7.00,6.00,9.00,6.00,5,318,NULL,'AMÉRICA','JOINVILLE','SC',3911,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2010526,3.00,9.00,3.00,8.00,7.00,5.00,6.00,6.00,2.00,207,420,201,'CENTRO','ITAJAI','SC',7942,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2010534,4.00,7.00,3.00,6.00,6.00,6.00,4.00,6.00,2.00,415,426,NULL,'SÃO FRANCISCO','SAO LOURENCO DO OESTE','SC',9630,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2010550,7.00,7.00,7.00,3.00,7.00,5.75,5.00,6.00,5.00,319,308,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',6276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010569,4.00,9.00,7.00,6.00,9.00,6.00,6.00,5.00,3.00,331,332,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',5107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010577,7.00,9.00,7.00,9.00,9.00,8.50,6.00,6.00,6.00,420,415,NULL,'CAMPINAS','SAO JOSE','SC',917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010585,1.00,5.00,5.00,4.00,6.00,4.00,3.00,6.00,1.00,207,215,NULL,'CENTRO','REGISTRO','SP',17280,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2010593,4.00,6.00,6.00,7.00,7.00,5.75,4.00,5.00,2.00,415,5,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',9857,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2010607,3.00,5.00,2.00,4.00,5.00,6.25,3.00,4.00,3.00,332,324,NULL,'ESTREITO','FLORIANOPOLIS','SC',18373,107,327,NULL,NULL,NULL,NULL,2,1),(15,2010615,3.00,4.00,2.00,3.00,5.00,3.75,3.00,2.00,3.00,5,316,NULL,'PRAINHA','FLORIANOPOLIS','SC',21418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2010640,2.00,5.00,1.00,4.00,7.00,6.00,5.00,5.00,4.00,309,339,NULL,'COQUEIROS','FLORIANOPOLIS','SC',15720,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2010658,7.00,8.00,7.00,5.00,8.00,5.00,6.00,4.00,5.00,319,233,NULL,'TRINDADE','FLORIANOPOLIS','SC',5480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010666,6.00,7.00,6.00,7.00,8.00,5.00,5.00,5.00,3.00,103,108,NULL,'LAGOA DA CONCEICAO','FLORIANOPOLIS','SC',5470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010674,7.00,7.00,7.00,6.00,8.00,7.25,7.00,6.00,6.00,333,108,NULL,'CENTRO','BOTUCATU','SP',2361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,108,NULL,'CENTRO','VARGEAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2010690,5.00,9.00,7.00,6.00,8.00,7.50,9.00,7.00,6.00,103,333,NULL,'PADRE CHAGAS','GUARAPUAVA','PR',1620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,333,NULL,'VILA MARIANA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2010712,4.00,7.00,2.00,5.00,9.00,5.50,2.00,7.00,2.00,5,303,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',11607,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010720,4.00,7.00,4.00,6.00,8.00,4.75,5.00,6.00,3.00,103,NULL,NULL,'SANTO ANTONIO','ARACAJU','SE',9689,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2010739,3.00,8.00,7.00,8.00,8.00,7.75,7.00,5.00,6.00,217,2,NULL,'STA RITA DE CÁSSIA','SANTA BARBARA D OESTE','SP',3357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010747,9.00,8.00,9.00,9.00,9.00,6.75,7.00,7.00,5.00,108,502,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010755,3.00,7.00,5.00,8.00,7.00,6.50,7.00,5.00,3.00,211,424,215,'SANTOS DUMOND','SAO JOSE','SC',6440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010763,6.00,8.00,5.00,9.00,8.00,6.00,7.00,8.00,7.00,211,234,201,'JARDIM PAULISTANO','SAO PAULO','SP',1334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010771,2.00,2.00,3.00,2.00,5.00,NULL,4.00,2.00,2.00,9,215,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010780,3.00,7.00,3.00,1.00,8.00,6.50,6.00,5.00,4.00,103,319,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',10885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010798,4.00,6.00,4.00,7.00,6.00,6.25,7.00,7.00,3.00,102,333,NULL,'CENTRO','LAGES','SC',6696,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2010801,0.00,7.00,1.00,1.00,5.00,4.75,2.00,3.00,2.00,103,211,NULL,'CENTRO','ITAJAI','SC',21962,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2010810,7.00,8.00,7.00,5.00,6.00,6.25,8.00,8.00,7.00,102,104,NULL,'BOA VISTA','BOTUCATU','SP',2818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010828,4.00,6.00,7.00,7.00,6.00,6.50,7.00,5.00,3.00,103,319,NULL,'VILA NOVA','FRANCISCO BELTRAO','PR',7332,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2010844,9.00,9.00,6.00,7.00,8.00,6.25,9.00,9.00,7.00,103,104,NULL,'CENTRO','CRICIUMA','SC',896,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2010852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2010860,5.00,8.00,4.00,9.00,6.00,6.75,5.00,5.00,3.00,211,333,208,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010879,2.00,4.00,0.00,7.00,5.00,4.75,5.00,4.00,3.00,415,5,NULL,'CENTRO','OURINHOS','SP',17940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2010887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,208,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2010895,8.00,7.00,9.00,9.00,9.00,6.75,9.00,7.00,8.00,203,216,201,'NOVO HORIZONTE','MARINGA','PR',235,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2010909,4.00,8.00,7.00,9.00,9.00,8.00,8.00,8.00,7.00,303,5,NULL,'FUNCIONÁRIOS','BELO HORIZONTE','MG',548,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2010917,9.00,8.00,9.00,7.00,8.00,6.00,8.00,8.00,8.00,207,223,212,'CARVOEIRA','FLORIANOPOLIS','SC',197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010925,4.00,7.00,3.00,3.00,6.00,5.25,6.00,3.00,5.00,104,444,NULL,'SUMARE','RIO DO SUL','SC',12145,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2010941,5.00,7.00,7.00,4.00,8.00,5.50,7.00,7.00,5.00,104,103,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',4722,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2010950,3.00,3.00,0.00,0.00,4.00,NULL,4.00,3.00,0.00,316,301,NULL,'CENTRO','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010968,8.00,8.00,8.00,8.00,7.00,6.75,8.00,7.00,7.00,220,203,NULL,'ESTADOS UNIDOS','UBERABA','MG',768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2010976,3.00,6.00,1.00,5.00,6.00,5.50,6.00,3.00,1.00,319,339,NULL,'BARREIROS','SAO JOSE','SC',15730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2010984,6.00,7.00,4.00,7.00,8.00,5.25,5.00,5.00,4.00,5,426,NULL,'VARGEM BOM JESUS','FLORIANOPOLIS','SC',7248,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2010992,2.00,6.00,1.00,4.00,7.00,4.50,6.00,1.00,2.00,303,207,NULL,'LABIENÓPOLIS','GARCA','SP',17664,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011018,8.00,9.00,9.00,10.00,8.00,5.75,9.00,9.00,8.00,103,NULL,NULL,'PORTÃO','LAURO DE FREITAS','BA',61,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011034,7.00,7.00,3.00,8.00,7.00,8.00,6.00,7.00,7.00,213,NULL,NULL,'NOVA GUARA','GUARATINGUETA','SP',2648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2011042,4.00,5.00,2.00,7.00,8.00,6.75,4.00,7.00,4.00,103,9,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',9282,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2011069,2.00,4.00,3.00,5.00,4.00,5.50,3.00,4.00,3.00,207,420,201,'J N SRA AUXILIADORA','CAMPINAS','SP',18294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011077,3.00,6.00,6.00,7.00,8.00,6.50,8.00,7.00,2.00,208,2,238,'ESTREITO','FLORIANOPOLIS','SC',5846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011085,5.00,7.00,3.00,8.00,7.00,5.75,4.00,4.00,1.00,101,502,NULL,'ESTREITO','FLORIANOPOLIS','SC',10179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011107,4.00,8.00,5.00,5.00,8.00,5.00,7.00,4.00,6.00,201,223,202,'CAMPECHE','FLORIANOPOLIS','SC',6781,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2011115,5.00,6.00,6.00,8.00,8.00,6.75,5.00,5.00,4.00,104,308,NULL,'CIDADE BAIXA','PORTO ALEGRE','RS',5688,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2011123,4.00,7.00,7.00,5.00,8.00,6.50,5.00,6.00,4.00,211,224,215,'PANTANAL','FLORIANOPOLIS','SC',6644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2011140,4.00,7.00,6.00,4.00,7.00,5.75,7.00,6.00,3.00,301,316,NULL,'FAZ SANTO ANTÔNIO','SAO JOSE','SC',6711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011158,7.00,9.00,9.00,6.00,8.00,7.00,9.00,7.00,5.00,103,216,NULL,'RIO MAINA','CRICIUMA','SC',1319,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2011166,3.00,8.00,8.00,7.00,6.00,4.25,7.00,4.00,6.00,303,5,NULL,'SANTA CRUZ','RIBEIRAO PRETO','SP',6461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011174,6.00,7.00,2.00,3.00,6.00,6.25,7.00,8.00,4.00,217,NULL,NULL,'BOA VISTA','BOTUCATU','SP',8026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,222,NULL,'PARQUE DA MATRIZ','CACHOEIRINHA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2011190,3.00,6.00,5.00,0.00,4.00,5.75,5.00,3.00,3.00,104,238,NULL,'CAMPINAS','SAO JOSE','SC',18375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011204,2.00,7.00,5.00,8.00,7.00,5.50,2.00,4.00,3.00,303,5,NULL,'VILA SUZANA','SAO PAULO','SP',10608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011212,4.00,2.00,0.00,4.00,5.00,2.00,2.00,1.00,5.00,103,102,NULL,'CENTRO','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2011220,4.00,6.00,5.00,4.00,8.00,4.75,5.00,7.00,2.00,501,502,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',10858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011239,2.00,7.00,6.00,5.00,7.00,5.25,7.00,4.00,4.00,202,233,213,'ALTO DA TIJUCA','CANOINHAS','SC',8926,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2011247,6.00,7.00,8.00,7.00,9.00,6.25,7.00,6.00,7.00,207,423,212,'SANTA MÔNICA','FLORIANOPOLIS','SC',1839,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2011255,3.00,7.00,9.00,8.00,8.00,6.25,8.00,6.00,5.00,203,220,214,'REAL PARQUE','SAO PAULO','SP',2991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,201,NULL,'SANTA CATARINA','JUIZ DE FORA','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2011271,5.00,7.00,7.00,7.00,7.00,6.50,8.00,6.00,5.00,203,201,213,'ITOUPAVA NORTE','BLUMENAU','SC',3530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011280,5.00,7.00,6.00,6.00,8.00,4.50,4.00,6.00,4.00,420,208,NULL,'PONTE IMARUIM','PALHOCA','SC',7712,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2011298,4.00,3.00,3.00,7.00,5.00,5.75,3.00,3.00,3.00,428,324,427,'CENTRO','FLORIANOPOLIS','SC',17032,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2011301,1.00,5.00,0.00,2.00,3.00,6.00,4.00,3.00,1.00,415,424,NULL,'VILA MATTEO BEI','SAO VICENTE','SP',22001,557,268,NULL,NULL,NULL,NULL,4,1),(15,2011310,7.00,9.00,7.00,9.00,9.00,8.50,8.00,7.00,6.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,108,NULL,'FLORIANOPOLIS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2011352,2.00,5.00,4.00,1.00,6.00,6.00,3.00,7.00,3.00,203,317,214,'PINHEIRINHO','PATO BRANCO','PR',16211,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2011360,0.00,5.00,2.00,5.00,7.00,5.50,2.00,3.00,0.00,502,233,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20819,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2011387,1.00,7.00,1.00,6.00,6.00,5.50,3.00,4.00,3.00,428,423,426,'VILA NOVA','JOINVILLE','SC',17379,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2011409,7.00,9.00,9.00,7.00,9.00,7.75,8.00,9.00,6.00,5,220,NULL,'TRINDADE','FLORIANOPOLIS','SC',296,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2011417,2.00,4.00,2.00,6.00,7.00,6.75,3.00,6.00,0.00,103,101,NULL,'ICARAY','ARACATUBA','SP',17391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011425,2.00,4.00,3.00,3.00,5.00,4.50,2.00,4.00,0.00,104,103,NULL,'KOBRASOL','SAO JOSE','SC',22033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011433,5.00,7.00,7.00,5.00,8.00,6.00,5.00,7.00,5.00,318,316,NULL,'CARIANOS','FLORIANOPOLIS','SC',4955,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2011441,8.00,9.00,5.00,9.00,9.00,5.50,7.00,7.00,5.00,5,310,NULL,'CENTRO','FLORIANOPOLIS','SC',1293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011450,6.00,8.00,5.00,9.00,8.00,8.75,6.00,6.00,3.00,207,425,NULL,'CARIANOS','FLORIANOPOLIS','SC',2545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011468,7.00,8.00,9.00,9.00,9.00,7.25,9.00,8.00,7.00,233,2,215,'TRINDADE','FLORIANOPOLIS','SC',280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011476,1.00,6.00,1.00,5.00,6.00,4.50,4.00,4.00,2.00,327,NULL,NULL,'BARREIROS','SAO JOSE','SC',19291,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2011492,3.00,4.00,6.00,7.00,6.00,4.25,2.00,3.00,2.00,101,308,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',16668,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2011506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,214,'MERCÊS','UBERABA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2011514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'VILA SOFIA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2011522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,316,NULL,'PARQUE SÃO MATHEUS','PRESIDENTE PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2011549,4.00,8.00,4.00,5.00,7.00,6.00,5.00,6.00,2.00,5,328,NULL,'CAMPECHE','FLORIANOPOLIS','SC',9674,420,72,NULL,NULL,NULL,NULL,4,1),(15,2011557,6.00,9.00,6.00,7.00,8.00,7.00,6.00,8.00,3.00,103,319,NULL,'JARDIM BELA VISTA','ITAPIRANGA','SC',4070,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2011565,1.00,5.00,3.00,3.00,4.00,6.50,3.00,2.00,1.00,104,101,NULL,'BATEL','CURITIBA','PR',21673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011573,4.00,7.00,7.00,6.00,8.00,6.00,6.00,7.00,4.00,303,301,NULL,'ITACORUBI','FLORIANOPOLIS','SC',5329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011581,7.00,8.00,8.00,8.00,8.00,4.00,8.00,7.00,5.00,202,2,208,'CENTRO','PONTE SERRADA','SC',2703,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2011590,6.00,8.00,7.00,9.00,8.00,6.50,6.00,7.00,4.00,301,316,NULL,'HIGIENÓPOLIS','SAO PAULO','SP',3156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011603,6.00,7.00,4.00,6.00,7.00,4.75,7.00,7.00,3.00,5,329,NULL,'BUCAREIN','JOINVILLE','SC',7242,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2011611,7.00,6.00,8.00,5.00,7.00,7.75,6.00,6.00,3.00,104,103,NULL,'AMÉRICA','JOINVILLE','SC',5141,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2011620,4.00,6.00,2.00,2.00,5.00,7.00,5.00,4.00,3.00,9,425,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',14362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011638,4.00,7.00,7.00,8.00,7.00,6.75,6.00,7.00,4.00,103,216,NULL,'CENTRO','RIBEIRAO PRETO','SP',3975,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2011646,4.00,8.00,2.00,7.00,7.00,6.00,6.00,4.00,3.00,9,104,NULL,'CAJURU','CURITIBA','PR',9871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011654,7.00,9.00,8.00,7.00,7.00,6.00,9.00,7.00,7.00,203,NULL,NULL,'CRISTO REI','CURITIBA','PR',967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011662,4.00,6.00,7.00,9.00,6.00,6.25,8.00,7.00,7.00,328,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',2427,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2011670,3.00,5.00,5.00,4.00,7.00,5.75,5.00,5.00,4.00,207,420,211,'REUNIDAS','CACADOR','SC',12300,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2011689,8.00,9.00,7.00,2.00,9.00,6.50,7.00,8.00,5.00,103,104,NULL,'MERCES','CURITIBA','PR',2252,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2011697,6.00,6.00,5.00,6.00,9.00,4.75,7.00,7.00,4.00,102,318,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',4521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011700,7.00,7.00,6.00,6.00,8.00,4.00,8.00,5.00,7.00,203,420,NULL,'CAMPINAS','SAO JOSE','SC',3593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011719,0.00,6.00,1.00,5.00,6.00,3.75,3.00,2.00,1.00,318,225,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',22043,267,210,NULL,NULL,NULL,NULL,2,1),(15,2011727,5.00,5.00,6.00,7.00,5.00,4.50,7.00,5.00,4.00,317,316,NULL,'TRIANON','GUARAPUAVA','PR',8145,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2011735,7.00,7.00,8.00,9.00,7.00,4.25,9.00,5.00,7.00,220,233,203,'VILA SANTISTA','ATIBAIA','SP',2007,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2011743,5.00,6.00,8.00,6.00,7.00,7.25,8.00,6.00,3.00,220,213,202,'JD ROSEIRA','LIMEIRA','SP',5031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011751,3.00,8.00,2.00,4.00,6.00,7.00,4.00,6.00,3.00,424,501,423,'STO ANTONIO DE LISBO','FLORIANOPOLIS','SC',12169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011760,3.00,5.00,1.00,6.00,6.00,5.00,3.00,3.00,2.00,103,NULL,NULL,'JARDIM ALVORADA','OURINHOS','SP',18045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2011778,7.00,8.00,7.00,4.00,9.00,7.00,5.00,6.00,4.00,420,331,NULL,'JARDIM AMÉRICA','CAXIAS DO SUL','RS',4510,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2011786,3.00,3.00,6.00,8.00,6.00,5.00,3.00,4.00,4.00,203,233,202,'MORADA DO SOL','INDAIATUBA','SP',13712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,319,NULL,'CENTRO','REDENTORA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2011808,1.00,6.00,2.00,6.00,8.00,5.25,2.00,7.00,3.00,5,415,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2011816,4.00,7.00,6.00,8.00,6.00,7.00,5.00,6.00,2.00,304,318,NULL,'APARECIDA','SANTOS','SP',7251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011824,5.00,7.00,6.00,9.00,6.00,5.50,8.00,7.00,5.00,203,220,214,'CENTRO','CRUZEIRO DO OESTE','PR',2839,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2011840,7.00,7.00,5.00,9.00,8.00,5.75,5.00,7.00,5.00,450,420,NULL,'VILA SUÍÇA','INDAIATUBA','SP',3733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011883,0.00,5.00,1.00,0.00,4.00,NULL,3.00,2.00,3.00,502,101,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,2,216,'CIDADE BAIXA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2011905,7.00,9.00,4.00,9.00,8.00,7.50,7.00,9.00,3.00,318,304,NULL,'JARDIM UIRÁ','SAO JOSE DOS CAMPOS','SP',1850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,326,NULL,'JARDIM MARAJOARA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2011921,6.00,5.00,1.00,4.00,8.00,5.00,4.00,4.00,1.00,207,420,208,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',15792,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2011930,6.00,7.00,7.00,5.00,7.00,5.00,9.00,8.00,4.00,104,203,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',4076,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2011948,7.00,9.00,9.00,7.00,8.00,7.00,9.00,7.00,9.00,103,415,NULL,'BAIRRO ALTO','PIRACICABA','SP',154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,309,NULL,'PEDRA BRANCA','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2011964,4.00,6.00,6.00,8.00,8.00,5.75,6.00,7.00,4.00,220,214,203,'JARDIM DAS HORTÊNCIA','FRAIBURGO','SC',3662,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2011972,2.00,6.00,2.00,6.00,4.00,5.25,4.00,2.00,2.00,213,317,212,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2011980,7.00,8.00,9.00,7.00,9.00,5.50,9.00,6.00,7.00,103,102,NULL,'CENTRO','CURITIBA','PR',816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2011999,7.00,8.00,10.00,8.00,8.00,5.25,9.00,8.00,7.00,103,333,NULL,'DAS NAÇÕES','TIMBO','SC',291,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2012014,5.00,6.00,6.00,7.00,8.00,5.75,5.00,8.00,5.00,104,217,NULL,'BARREIROS','SAO JOSE','SC',4704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2012022,3.00,5.00,5.00,7.00,8.00,4.75,7.00,4.00,3.00,238,225,202,'GRAGERU','ARACAJU','SE',9160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012030,8.00,7.00,5.00,7.00,7.00,6.50,6.00,6.00,5.00,103,104,NULL,'DIVINÉIA','ARARANGUA','SC',3694,1178,885,NULL,NULL,NULL,NULL,2,5),(15,2012049,3.00,7.00,5.00,7.00,9.00,7.75,3.00,4.00,4.00,424,309,423,'COQUEIROS','FLORIANOPOLIS','SC',8836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012065,3.00,6.00,3.00,9.00,5.00,6.50,4.00,5.00,2.00,333,108,NULL,'ALTO DE PINHEIROS','SAO PAULO','SP',11871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012073,6.00,9.00,5.00,6.00,8.00,6.25,5.00,8.00,2.00,103,NULL,NULL,'JARDIM ITABOA','CAMPO LARGO','PR',4673,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2012081,2.00,4.00,3.00,3.00,4.00,5.00,3.00,2.00,2.00,201,212,207,'ALVORADA','XAXIM','SC',21848,1123,582,1021,NULL,NULL,NULL,4,4),(15,2012090,6.00,7.00,7.00,8.00,9.00,6.25,5.00,5.00,4.00,103,104,NULL,'URUSSANGUINHA','ARARANGUA','SC',4485,1337,913,NULL,NULL,NULL,NULL,2,10),(15,2012111,1.00,7.00,4.00,0.00,5.00,4.25,2.00,6.00,4.00,213,302,214,'BARRA DO ARIRIU','PALHOCA','SC',18696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,319,208,'CENTRO','CAMPO DO TENENTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2012138,4.00,7.00,5.00,6.00,7.00,7.00,6.00,6.00,4.00,211,501,233,'TRICOLIM','CANOINHAS','SC',6495,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2012146,1.00,4.00,1.00,1.00,5.00,NULL,3.00,3.00,2.00,303,502,NULL,'KOBRASSOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012154,4.00,7.00,2.00,8.00,7.00,7.50,5.00,7.00,4.00,319,101,NULL,'CARIANOS','FLORIANOPOLIS','SC',6330,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2012170,3.00,7.00,6.00,7.00,8.00,6.00,9.00,7.00,6.00,220,303,208,'CENTRO','LAGES','SC',3687,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2012189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,319,NULL,'JARDIM PACAEMBÚ','VARGEM GRANDE DO SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2012197,2.00,8.00,4.00,5.00,7.00,6.25,5.00,8.00,4.00,317,429,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',8136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2012200,2.00,3.00,4.00,4.00,2.00,NULL,2.00,3.00,4.00,201,316,203,'JD DAS INDUSTRIAS','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2012219,7.00,7.00,2.00,5.00,7.00,5.50,5.00,7.00,3.00,101,501,NULL,'CAMPINAS','SAO JOSE','SC',7966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2012227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,211,215,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2012235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'DORES','SANTA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2012243,3.00,4.00,3.00,5.00,4.00,4.50,1.00,4.00,3.00,201,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',20422,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2012251,3.00,5.00,1.00,3.00,4.00,5.25,1.00,4.00,3.00,444,211,NULL,'JARDIM CARANDAI','BIGUACU','SC',21529,282,1021,NULL,NULL,NULL,NULL,2,1),(15,2012260,5.00,7.00,3.00,6.00,7.00,6.00,4.00,7.00,4.00,319,427,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',8370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012286,8.00,9.00,6.00,5.00,9.00,6.25,8.00,8.00,8.00,103,9,NULL,'SÃO RAFAEL','RIO NEGRINHO','SC',466,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2012294,3.00,6.00,5.00,9.00,5.00,4.50,6.00,6.00,4.00,214,233,203,'SÃO JUDAS TADEU','SOROCABA','SP',8625,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2012324,2.00,5.00,0.00,5.00,8.00,4.75,2.00,2.00,3.00,102,9,NULL,'CENTRO','PALHOCA','SC',20362,462,712,NULL,NULL,NULL,NULL,2,1),(15,2012332,6.00,8.00,5.00,7.00,7.00,7.00,6.00,5.00,5.00,103,207,NULL,'AMERICA','JOINVILLE','SC',4428,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2012340,3.00,8.00,6.00,6.00,6.00,5.50,8.00,6.00,5.00,216,211,215,'CENTRO','FORQUILHINHA','SC',6105,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2012359,5.00,8.00,8.00,5.00,8.00,6.50,8.00,7.00,6.00,103,216,NULL,'CENTRO','CONCORDIA','SC',2274,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2012375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,101,NULL,'FACULDADE','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2012383,3.00,8.00,7.00,8.00,5.00,6.50,6.00,3.00,4.00,319,103,NULL,'SÃO LEOPOLDO','CAXIAS DO SUL','RS',7502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012391,3.00,5.00,4.00,6.00,6.00,5.25,3.00,5.00,1.00,415,318,NULL,'CENTRO','TAPEJARA','RS',15805,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2012405,2.00,4.00,7.00,4.00,5.00,5.25,5.00,5.00,3.00,304,301,NULL,'NOTRE DAME','CAMPINAS','SP',13223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012413,3.00,6.00,4.00,3.00,8.00,5.75,5.00,6.00,3.00,331,304,NULL,'CENTRO','JOINVILLE','SC',11478,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2012421,8.00,7.00,8.00,6.00,8.00,5.25,8.00,7.00,7.00,103,102,NULL,'HIGIENÓPOLIS','SAO PAULO','SP',1546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012430,3.00,7.00,3.00,2.00,7.00,6.50,5.00,4.00,5.00,103,303,NULL,'CENTRO CIVICO','CURITIBA','PR',12356,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2012448,7.00,9.00,9.00,9.00,8.00,6.75,9.00,7.00,5.00,220,222,202,'CENTRO','FLORIANOPOLIS','SC',674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012456,2.00,6.00,1.00,2.00,7.00,5.50,4.00,6.00,2.00,309,101,NULL,'COQUEIROS','FLORIANOPOLIS','SC',17580,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2012464,3.00,1.00,1.00,1.00,2.00,NULL,2.00,1.00,0.00,303,NULL,NULL,'CENTRO','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012472,4.00,7.00,6.00,6.00,8.00,4.75,5.00,7.00,4.00,103,101,NULL,'FARROUPILHA','VIDEIRA','SC',6759,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2012480,8.00,7.00,9.00,9.00,6.00,4.50,9.00,9.00,7.00,203,214,220,'JARDIM DAS AMERICAS','LONDRINA','PR',833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012502,6.00,9.00,8.00,8.00,8.00,5.75,9.00,8.00,7.00,203,225,233,'COQUEIROS','FLORIANOPOLIS','SC',479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012510,4.00,7.00,0.00,5.00,8.00,6.00,3.00,5.00,3.00,326,327,NULL,'ELIZABETE','ICARA','SC',13115,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2012529,2.00,7.00,7.00,2.00,7.00,5.75,5.00,8.00,5.00,103,104,NULL,'BOMBAS','BOMBINHAS','SC',8979,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2012537,8.00,8.00,10.00,9.00,9.00,7.00,9.00,8.00,9.00,103,NULL,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',35,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012545,6.00,8.00,7.00,8.00,8.00,5.75,8.00,8.00,4.00,333,108,NULL,'CAMPECHE','FLORIANOPOLIS','SC',2364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,303,NULL,'PORTAL DO SOL I','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2012561,2.00,7.00,4.00,5.00,6.00,5.50,2.00,3.00,2.00,318,420,NULL,'PANTANAL','FLORIANOPOLIS','SC',16009,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2012570,2.00,7.00,8.00,8.00,5.00,5.75,8.00,7.00,5.00,103,5,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',5022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012588,2.00,3.00,1.00,4.00,4.00,5.00,3.00,2.00,2.00,233,423,212,'CENTRO','SANTA CRUZ DO SUL','RS',22416,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2012596,3.00,8.00,6.00,3.00,7.00,5.00,8.00,8.00,5.00,203,304,NULL,'CENTRO','FLORIANOPOLIS','SC',5209,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2012600,4.00,7.00,7.00,9.00,7.00,6.50,6.00,7.00,3.00,308,319,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2012626,4.00,7.00,3.00,6.00,4.00,5.50,3.00,4.00,3.00,102,215,NULL,'JARDIM PANORAMICO','IVOTI','RS',15489,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2012634,4.00,5.00,2.00,1.00,6.00,4.50,3.00,6.00,3.00,415,425,NULL,'CENTRO','BRAGANCA PAULISTA','SP',17887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012642,1.00,6.00,4.00,5.00,7.00,4.50,6.00,6.00,1.00,420,444,NULL,'INGLESES','FLORIANOPOLIS','SC',14932,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2012650,1.00,7.00,3.00,4.00,6.00,6.00,5.00,4.00,3.00,303,5,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',14612,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2012669,2.00,6.00,3.00,7.00,7.00,5.75,3.00,4.00,2.00,309,427,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',14874,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2012677,4.00,7.00,7.00,9.00,6.00,7.25,9.00,4.00,7.00,103,102,NULL,'JD BONFIGLIOLI','SAO PAULO','SP',3152,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2012685,3.00,4.00,0.00,5.00,8.00,NULL,2.00,4.00,3.00,324,329,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2012707,5.00,8.00,5.00,5.00,9.00,4.00,5.00,8.00,4.00,207,420,201,'AURORA','CARLOS BARBOSA','RS',6430,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2012715,7.00,6.00,9.00,7.00,8.00,6.75,7.00,8.00,9.00,103,9,NULL,'GARCIA','BLUMENAU','SC',691,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2012723,5.00,8.00,3.00,8.00,6.00,5.50,4.00,7.00,5.00,103,NULL,NULL,'CRUZEIRO','CAPAO BONITO','SP',6943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2012731,4.00,3.00,0.00,3.00,6.00,4.50,3.00,3.00,1.00,203,220,214,'PONTA DAS CANAS','FLORIANOPOLIS','SC',21639,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2012740,1.00,8.00,2.00,5.00,7.00,5.50,5.00,5.00,3.00,420,316,NULL,'CENTRO','CURITIBA','PR',15065,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2012758,2.00,7.00,4.00,6.00,8.00,7.25,5.00,2.00,3.00,211,108,216,'MONTE BELO','JOACABA','SC',9414,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2012766,6.00,6.00,0.00,7.00,6.00,5.75,6.00,6.00,4.00,501,333,NULL,'ASILO','BLUMENAU','SC',9710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2012782,3.00,6.00,7.00,3.00,3.00,3.75,4.00,3.00,4.00,201,223,212,'GUANABARA','JOINVILLE','SC',16736,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2012790,5.00,6.00,4.00,3.00,6.00,3.00,5.00,5.00,2.00,234,333,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',14887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2012804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2012812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,238,NULL,'JARDIM ESPERANÇA','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2012820,5.00,7.00,6.00,4.00,8.00,5.00,6.00,7.00,5.00,104,316,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',5415,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2012839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'SAO BRAZ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2012847,2.00,3.00,2.00,5.00,7.00,4.00,3.00,3.00,3.00,102,9,NULL,'BOSQUE','CURITIBANOS','SC',20365,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2012863,3.00,4.00,4.00,4.00,8.00,3.50,4.00,2.00,2.00,339,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',19214,108,354,NULL,NULL,NULL,NULL,2,1),(15,2012871,5.00,7.00,3.00,6.00,6.00,5.75,4.00,5.00,3.00,102,501,NULL,'ZONA NORTE','ILHA SOLTEIRA','SP',10701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012880,4.00,6.00,4.00,8.00,7.00,5.50,3.00,4.00,1.00,304,310,NULL,'TUDE BASTOS','PRAIA GRANDE','SP',12979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012898,4.00,6.00,5.00,6.00,4.00,6.00,4.00,2.00,2.00,451,329,NULL,'ITACORUBI','FLORIANOPOLIS','SC',15508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012901,3.00,8.00,7.00,7.00,7.00,7.25,7.00,6.00,1.00,303,5,NULL,'CENTRO','LAGES','SC',6200,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2012928,6.00,5.00,5.00,4.00,7.00,5.75,5.00,6.00,5.00,9,303,NULL,'CENTRO','SAO JOSE DOS CAMPOS','SP',7206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2012936,3.00,6.00,6.00,7.00,8.00,6.50,8.00,5.00,4.00,207,420,213,'CENTRO','FLORIANOPOLIS','SC',5005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2012944,5.00,7.00,5.00,7.00,8.00,6.25,6.00,5.00,5.00,415,326,NULL,'JARDIM DAS AMÉRICAS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2012952,2.00,7.00,1.00,4.00,5.00,5.25,4.00,6.00,4.00,326,NULL,NULL,'JARDIM PANORAMA','FOZ DO IGUACU','PR',14956,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2012960,0.00,3.00,1.00,4.00,6.00,5.00,3.00,3.00,2.00,102,108,NULL,'FORQUILHINHAS','SAO JOSE','SC',21388,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2012979,3.00,5.00,2.00,5.00,7.00,5.75,5.00,7.00,3.00,301,303,NULL,'CENTRO','NOVA VENEZA','SC',11200,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2012987,9.00,9.00,8.00,8.00,7.00,6.50,7.00,8.00,5.00,214,318,211,'CENTRO','TUBARAO','SC',1138,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2012995,4.00,6.00,4.00,6.00,4.00,7.00,5.00,3.00,1.00,108,234,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',15583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013002,4.00,6.00,5.00,7.00,8.00,5.50,5.00,6.00,4.00,420,208,NULL,'OLARIAS','PONTA GROSSA','PR',6828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013010,6.00,8.00,9.00,7.00,8.00,5.75,7.00,5.00,6.00,303,302,NULL,'CENTRO','FLORIANOPOLIS','SC',2635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013029,3.00,7.00,6.00,4.00,7.00,4.25,8.00,4.00,2.00,208,202,238,'BARREIROS','SAO JOSE','SC',10530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013037,1.00,1.00,1.00,0.00,4.00,NULL,3.00,1.00,1.00,234,333,NULL,'SÃO PEDRO','SAO JOSE DOS PINHAIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013045,1.00,3.00,2.00,1.00,6.00,NULL,1.00,2.00,3.00,308,428,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013053,4.00,2.00,4.00,3.00,2.00,NULL,3.00,3.00,4.00,316,324,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2013061,0.00,5.00,3.00,4.00,6.00,6.75,1.00,3.00,1.00,301,NULL,NULL,'ELIZA GAVA','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2013070,2.00,8.00,8.00,7.00,7.00,6.50,8.00,5.00,6.00,220,NULL,NULL,'POMPÉIA','SAO PAULO','SP',3995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013088,0.00,6.00,0.00,1.00,4.00,NULL,4.00,3.00,2.00,331,332,NULL,'SAMUEL SANDRINI','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2013096,2.00,4.00,2.00,5.00,5.00,4.25,2.00,2.00,2.00,333,332,NULL,'IBIRAQUERA','IMBITUBA','SC',21844,414,328,NULL,NULL,NULL,NULL,2,1),(15,2013100,2.00,3.00,2.00,4.00,4.00,6.25,2.00,3.00,3.00,333,339,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',21194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013118,8.00,9.00,6.00,9.00,8.00,7.25,8.00,7.00,7.00,415,424,NULL,'TRINDADE','FLORIANOPOLIS','SC',606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013126,5.00,7.00,6.00,5.00,8.00,6.00,6.00,7.00,4.00,104,9,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',5895,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2013134,4.00,4.00,5.00,5.00,7.00,4.75,4.00,3.00,2.00,319,304,NULL,'INGLESES','FLORIANOPOLIS','SC',14903,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2013142,3.00,6.00,3.00,6.00,7.00,6.75,2.00,5.00,2.00,333,331,NULL,'ARMAÇÃO DO PANTANO D','FLORIANOPOLIS','SC',14389,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2013150,4.00,4.00,5.00,6.00,5.00,6.25,5.00,6.00,3.00,444,NULL,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',9902,54,NULL,NULL,NULL,NULL,NULL,2,1),(15,2013169,3.00,7.00,6.00,7.00,5.00,6.75,7.00,5.00,4.00,203,NULL,NULL,'JARDIM DAS AMÉRICAS','PATO BRANCO','PR',8096,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2013177,3.00,7.00,4.00,7.00,7.00,6.50,5.00,4.00,3.00,9,444,NULL,'ZONA SETE','MARINGA','PR',10089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013193,2.00,4.00,2.00,4.00,5.00,5.25,4.00,0.00,1.00,214,NULL,213,'ARAXA','LONDRINA','PR',21925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013215,5.00,8.00,3.00,7.00,7.00,5.25,6.00,6.00,4.00,5,302,NULL,'CENTRO','FLORIANOPOLIS','SC',6741,311,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013231,7.00,5.00,7.00,8.00,7.00,6.00,7.00,5.00,6.00,216,217,215,'CENTRO','RIO DAS ANTAS','SC',3808,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2013240,3.00,5.00,4.00,3.00,6.00,5.25,5.00,5.00,4.00,5,320,NULL,'BARREIROS','SAO JOSE','SC',14073,607,187,NULL,NULL,NULL,NULL,4,1),(15,2013258,1.00,0.00,2.00,2.00,1.00,NULL,3.00,1.00,2.00,108,308,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2013274,6.00,9.00,8.00,6.00,9.00,7.00,6.00,5.00,7.00,103,428,NULL,'ABRAÃO','FLORIANOPOLIS','SC',1864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013290,4.00,5.00,5.00,5.00,8.00,0.00,6.00,5.00,4.00,5,303,NULL,'ACARAÍ','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2013304,4.00,6.00,5.00,3.00,6.00,5.50,4.00,3.00,2.00,103,9,NULL,'N S DO ROSÁRIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013312,3.00,7.00,2.00,7.00,6.00,5.75,4.00,3.00,2.00,101,333,NULL,'CAMPECHE','FLORIANOPOLIS','SC',13927,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2013320,5.00,8.00,6.00,7.00,9.00,5.75,7.00,5.00,4.00,207,223,201,'KOBRASOL','SAO JOSE','SC',4219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013339,3.00,7.00,5.00,7.00,7.00,5.50,4.00,4.00,4.00,429,424,425,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',10243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013363,7.00,7.00,9.00,8.00,7.00,6.00,8.00,7.00,7.00,201,223,211,'TRINDADE','FLORIANOPOLIS','SC',1197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013371,8.00,7.00,9.00,9.00,9.00,6.00,9.00,8.00,7.00,203,233,202,'ASA SUL','BRASILIA','DF',403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013380,4.00,8.00,4.00,0.00,9.00,3.00,5.00,8.00,2.00,5,303,NULL,'RUDGE RAMOS','SAO BERNARDO DO CAMPO','SP',11571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013398,6.00,7.00,8.00,7.00,7.00,6.25,6.00,5.00,5.00,5,316,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',3688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013401,2.00,5.00,0.00,6.00,5.00,4.50,1.00,5.00,3.00,429,424,425,'CAMINHO NOVO','PALHOCA','SC',19113,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2013410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,308,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2013428,3.00,6.00,4.00,7.00,8.00,5.75,6.00,7.00,2.00,103,444,NULL,'SION','BELO HORIZONTE','MG',9226,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2013444,4.00,5.00,5.00,8.00,7.00,7.00,4.00,5.00,5.00,319,NULL,NULL,'VILA ADYANA','SAO JOSE DOS CAMPOS','SP',7086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013452,6.00,9.00,3.00,7.00,5.00,6.00,7.00,5.00,7.00,102,217,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',5833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2013460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,319,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2013479,1.00,3.00,4.00,7.00,6.00,4.25,5.00,4.00,4.00,103,104,NULL,'SANTA BARBARA','CRICIUMA','SC',15545,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2013487,1.00,6.00,3.00,2.00,5.00,4.00,4.00,3.00,3.00,214,203,220,'BARRA DO RIO CERRO','JARAGUA DO SUL','SC',20359,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2013495,4.00,8.00,6.00,5.00,7.00,6.00,6.00,5.00,2.00,208,420,238,'IPIRANGA','SAO JOSE','SC',8544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,331,NULL,'CENTRO','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2013525,4.00,8.00,8.00,9.00,7.00,7.50,6.00,6.00,4.00,103,104,NULL,'CENTRO','BRUSQUE','SC',3076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013533,3.00,6.00,5.00,6.00,8.00,6.00,6.00,7.00,4.00,213,212,202,'ESTREITO','FLORIANOPOLIS','SC',6362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013541,6.00,5.00,7.00,6.00,8.00,6.25,5.00,3.00,3.00,104,444,NULL,'BARRA GRANDE','SALETE','SC',7980,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2013568,4.00,9.00,7.00,7.00,8.00,8.00,5.00,6.00,4.00,103,104,NULL,'CENTRO','PONTA GROSSA','PR',4276,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2013576,6.00,8.00,6.00,2.00,6.00,6.75,7.00,8.00,7.00,108,102,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',3779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013584,2.00,5.00,1.00,1.00,2.00,NULL,3.00,3.00,1.00,420,301,NULL,'BARRA DO RIO CERRO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2013592,3.00,6.00,4.00,4.00,4.00,5.50,3.00,4.00,3.00,215,9,216,'ZONA SETE','MARINGA','PR',17123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013614,4.00,4.00,3.00,3.00,7.00,5.50,6.00,3.00,3.00,103,104,NULL,'INDUSTRIÁRIOS','CONCORDIA','SC',15360,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2013622,2.00,6.00,7.00,2.00,5.00,5.50,4.00,3.00,1.00,238,213,202,'JARDIM AGU','OSASCO','SP',16080,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2013630,2.00,6.00,3.00,3.00,6.00,5.00,3.00,3.00,1.00,303,5,NULL,'CAMPINAS','SAO JOSE','SC',18874,817,1301,NULL,NULL,NULL,NULL,4,1),(15,2013649,1.00,4.00,2.00,4.00,8.00,6.50,4.00,5.00,2.00,211,309,215,'CENTRO','GENERAL CARNEIRO','PR',17066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013657,5.00,7.00,6.00,5.00,7.00,5.25,7.00,6.00,2.00,202,208,NULL,'JD HEDY','LONDRINA','PR',7854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013665,5.00,8.00,7.00,9.00,9.00,7.25,5.00,7.00,3.00,303,327,NULL,'COQUEIROS','FLORIANOPOLIS','SC',3179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013673,4.00,7.00,7.00,6.00,7.00,5.50,5.00,4.00,6.00,103,101,NULL,'SAGUAÇU','JOINVILLE','SC',6499,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2013690,7.00,9.00,8.00,8.00,8.00,8.00,6.00,7.00,7.00,103,NULL,NULL,'SETOR JAÓ','GOIANIA','GO',811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013703,5.00,8.00,9.00,5.00,9.00,5.00,5.00,6.00,5.00,215,102,216,'MORUMBI','SAO PAULO','SP',5071,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2013711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA RICA','CAMBE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2013720,5.00,7.00,5.00,3.00,6.00,5.50,7.00,7.00,3.00,420,415,NULL,'JARDIM FERRARI','ITAPEVA','SP',8341,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2013738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TATUAPE','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2013746,4.00,4.00,5.00,6.00,7.00,5.75,3.00,4.00,2.00,211,333,215,'CENTRO','CASCAVEL','PR',13959,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2013754,5.00,7.00,3.00,8.00,7.00,5.50,6.00,3.00,4.00,316,301,NULL,'CENTRO','CANOINHAS','SC',8385,171,547,NULL,NULL,NULL,NULL,2,1),(15,2013762,2.00,5.00,4.00,8.00,5.00,6.75,2.00,3.00,1.00,102,429,NULL,'CENTRO','VACARIA','RS',16318,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2013770,3.00,4.00,5.00,6.00,7.00,5.50,4.00,6.00,3.00,102,302,NULL,'PASSAGEM','TUBARAO','SC',11209,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2013789,1.00,3.00,1.00,4.00,5.00,5.25,2.00,5.00,1.00,308,327,NULL,'KOBRASOL','SAO JOSE','SC',22032,217,482,NULL,NULL,NULL,NULL,2,1),(15,2013797,3.00,5.00,2.00,2.00,7.00,5.00,3.00,2.00,3.00,103,5,NULL,'CENTRO','ITAJAI','SC',19718,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2013800,6.00,8.00,5.00,8.00,7.00,6.50,7.00,6.00,6.00,216,233,NULL,'VISTA ALEGRE','VINHEDO','SP',3201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013819,5.00,6.00,2.00,4.00,7.00,5.50,4.00,7.00,2.00,404,9,NULL,'CENTRO','PALHOCA','SC',11627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013827,6.00,4.00,4.00,4.00,7.00,5.75,6.00,4.00,4.00,103,108,NULL,'SETOR BUENO','GOIANIA','GO',10109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013835,2.00,6.00,5.00,7.00,9.00,6.00,8.00,8.00,3.00,316,317,NULL,'CAMPINAS','SAO JOSE','SC',5106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013843,3.00,6.00,1.00,8.00,5.00,5.25,4.00,6.00,2.00,203,2,233,'BARREIROS','SAO JOSE','SC',11938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013851,3.00,6.00,4.00,5.00,6.00,7.00,5.00,8.00,3.00,104,215,NULL,'CENTRO','VIAMAO','RS',8829,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2013886,9.00,7.00,8.00,9.00,8.00,5.75,9.00,7.00,7.00,203,NULL,220,'BATEL','CURITIBA','PR',339,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2013894,6.00,5.00,4.00,7.00,7.00,6.75,4.00,4.00,2.00,103,319,NULL,'CENTRO','GUARAMIRIM','SC',10209,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2013908,3.00,6.00,2.00,7.00,5.00,6.00,6.00,7.00,4.00,220,202,203,'SAN REMO','VOTUPORANGA','SP',9304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013916,7.00,8.00,7.00,8.00,8.00,6.25,7.00,6.00,7.00,103,333,NULL,'CENTRO','CURITIBA','PR',1548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013924,8.00,8.00,7.00,7.00,8.00,6.50,8.00,8.00,7.00,103,5,NULL,'VILA FORMOSA','SAO PAULO','SP',593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013932,2.00,5.00,3.00,2.00,4.00,5.00,3.00,2.00,4.00,320,225,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',21196,99,204,NULL,NULL,NULL,NULL,2,1),(15,2013940,5.00,9.00,6.00,8.00,9.00,7.75,6.00,9.00,5.00,103,5,NULL,'ITOUPAVA SECA','BLUMENAU','SC',1630,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2013959,7.00,8.00,9.00,9.00,8.00,6.50,9.00,6.00,8.00,220,213,203,'ÁGUA VERDE','CURITIBA','PR',449,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2013967,5.00,5.00,7.00,5.00,7.00,5.00,7.00,7.00,3.00,207,5,NULL,'SAUSALITO','MAIRIPORA','SP',6536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2013975,2.00,6.00,5.00,4.00,7.00,5.50,7.00,6.00,2.00,103,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',11201,2288,NULL,NULL,NULL,NULL,NULL,2,8),(15,2013983,6.00,7.00,5.00,7.00,6.00,5.75,6.00,7.00,2.00,216,203,202,'CENTRO','CASCAVEL','PR',7388,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2013991,0.00,6.00,2.00,5.00,5.00,NULL,3.00,5.00,5.00,207,420,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2014009,8.00,8.00,9.00,9.00,8.00,6.75,8.00,6.00,6.00,238,222,208,'COQUEIROS','FLORIANOPOLIS','SC',540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014017,8.00,8.00,9.00,8.00,8.00,7.50,9.00,5.00,7.00,303,428,NULL,'CENTRO','CRICIUMA','SC',595,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2014025,5.00,6.00,6.00,6.00,6.00,4.25,6.00,5.00,4.00,404,339,NULL,'CRUZEIRO','SAO BENTO DO SUL','SC',8094,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2014033,6.00,8.00,8.00,9.00,9.00,8.00,8.00,6.00,7.00,108,326,NULL,'TRINDADE','FLORIANOPOLIS','SC',624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014041,1.00,7.00,3.00,6.00,4.00,4.50,2.00,4.00,2.00,304,444,NULL,'CENTRO','FLORIANOPOLIS','SC',17677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014050,5.00,7.00,1.00,4.00,8.00,6.75,6.00,4.00,3.00,103,101,NULL,'ANITA GARIBALDI','JOINVILLE','SC',9540,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2014068,2.00,5.00,3.00,4.00,7.00,4.50,3.00,4.00,3.00,319,9,NULL,'SANTO ANTÃO','BENTO GONCALVES','RS',19236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014076,3.00,6.00,7.00,6.00,8.00,3.00,7.00,6.00,2.00,202,213,NULL,'COND PITANGUEIRAS','POCOS DE CALDAS','MG',9860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014106,5.00,6.00,8.00,7.00,6.00,3.50,7.00,6.00,5.00,316,451,NULL,'VILA TATETUBA','SAO JOSE DOS CAMPOS','SP',5967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014114,5.00,6.00,5.00,5.00,5.00,6.25,5.00,4.00,3.00,420,2,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014122,6.00,8.00,8.00,7.00,8.00,6.25,8.00,6.00,4.00,220,333,207,'TRINDADE','FLORIANOPOLIS','SC',2436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014130,5.00,6.00,2.00,5.00,7.00,6.00,4.00,3.00,4.00,9,421,NULL,'IPIRANGA','SAO JOSE','SC',11896,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2014157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,207,NULL,'CENTRO','ITAIPULANDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2014173,4.00,4.00,4.00,6.00,7.00,4.75,6.00,7.00,2.00,303,415,NULL,'FLORESTA','JOINVILLE','SC',10581,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2014181,7.00,9.00,9.00,8.00,8.00,6.25,8.00,5.00,6.00,108,428,NULL,'PANTANAL','FLORIANOPOLIS','SC',1075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014203,5.00,9.00,8.00,5.00,8.00,5.75,7.00,7.00,4.00,202,332,213,'KOBRASOL','SAO JOSE','SC',2806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2014220,3.00,8.00,4.00,5.00,7.00,7.00,5.00,8.00,4.00,302,304,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',7511,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2014238,6.00,7.00,9.00,9.00,9.00,6.75,9.00,7.00,7.00,303,103,NULL,'CENTRO','FLORIANOPOLIS','SC',465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014254,1.00,8.00,3.00,5.00,7.00,6.00,3.00,6.00,2.00,324,426,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',14106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2014270,8.00,9.00,9.00,7.00,9.00,6.50,9.00,7.00,9.00,103,211,NULL,'PRIMEIRO DE MAIO','ICARA','SC',165,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2014289,3.00,6.00,3.00,1.00,6.00,4.00,3.00,7.00,4.00,450,451,NULL,'VILA NOVA','ICARA','SC',16483,167,237,NULL,NULL,NULL,NULL,4,5),(15,2014297,4.00,8.00,4.00,3.00,6.00,6.00,3.00,4.00,4.00,9,102,NULL,'JARDIM DAS ACACIAS','CRAVINHOS','SP',12982,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2014319,2.00,6.00,4.00,7.00,6.00,6.50,2.00,5.00,1.00,308,309,NULL,'CAMPECHE','FLORIANOPOLIS','SC',13977,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2014327,5.00,7.00,7.00,4.00,7.00,4.75,8.00,8.00,3.00,304,2,NULL,'CANTINA','ITAJUBA','MG',5204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014335,7.00,7.00,8.00,7.00,8.00,5.75,8.00,5.00,7.00,103,303,NULL,'CENTRO','CURITIBA','PR',2318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014343,8.00,8.00,9.00,8.00,8.00,7.00,9.00,8.00,9.00,203,214,220,'VILA NOVA','BLUMENAU','SC',95,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2014351,1.00,7.00,5.00,4.00,4.00,6.00,4.00,7.00,2.00,238,421,NULL,'CENTRO','FLORIANOPOLIS','SC',14873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014360,6.00,4.00,6.00,5.00,6.00,6.50,3.00,4.00,3.00,223,212,NULL,'CENTRO','FLORIANOPOLIS','SC',12040,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2014378,5.00,6.00,7.00,9.00,8.00,4.75,4.00,5.00,3.00,215,233,211,'CENTRO','CANOINHAS','SC',7842,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2014386,5.00,6.00,7.00,6.00,8.00,6.25,3.00,6.00,4.00,425,424,421,'TRINDADE','FLORIANOPOLIS','SC',6517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014394,3.00,7.00,7.00,2.00,6.00,7.00,4.00,4.00,3.00,102,216,NULL,'FIUZA LIMA','ITAJAI','SC',12208,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2014408,5.00,5.00,4.00,4.00,6.00,4.25,6.00,4.00,4.00,220,203,NULL,'MEDIANEIRA','CAXIAS DO SUL','RS',13721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014424,7.00,8.00,8.00,8.00,9.00,6.00,9.00,8.00,7.00,103,333,NULL,'SOBRADINHO','SOBRADINHO','DF',609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2014432,2.00,7.00,6.00,7.00,5.00,5.75,6.00,5.00,6.00,233,215,216,'JARDIM PANORAMA','VINHEDO','SP',7035,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2014440,3.00,6.00,5.00,6.00,8.00,6.50,3.00,5.00,2.00,502,9,NULL,'CENTRO','FLORIANOPOLIS','SC',11019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014459,6.00,7.00,5.00,8.00,8.00,6.50,3.00,6.00,4.00,303,425,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',5936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2014475,5.00,8.00,8.00,9.00,9.00,7.50,7.00,6.00,4.00,220,301,216,'PRAIA COMPRIDA','SAO JOSE','SC',1663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014491,2.00,6.00,2.00,3.00,1.00,NULL,2.00,2.00,2.00,5,NULL,NULL,'JARDIM DAS PAINEIRAS','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2014505,2.00,2.00,0.00,2.00,6.00,NULL,4.00,1.00,4.00,444,9,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2014513,4.00,8.00,2.00,7.00,7.00,8.50,7.00,6.00,4.00,104,427,NULL,'CENTRO','FLORIANOPOLIS','SC',5887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014521,1.00,5.00,3.00,3.00,4.00,6.00,3.00,4.00,2.00,501,108,NULL,'ZONA RURAL','SALTO DO LONTRA','PR',20020,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2014548,4.00,8.00,6.00,6.00,7.00,6.00,8.00,8.00,2.00,211,501,212,'OFICINAS','TUBARAO','SC',4915,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2014564,4.00,8.00,4.00,7.00,6.00,6.50,3.00,6.00,4.00,404,302,NULL,'CENTRO','BIGUACU','SC',8650,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2014580,7.00,9.00,7.00,3.00,8.00,7.25,8.00,6.00,6.00,103,101,NULL,'SAGRADO CORAÇÃO','LAGES','SC',2952,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2014602,3.00,6.00,5.00,7.00,8.00,6.50,6.00,6.00,5.00,214,213,203,'CENTRO','TAUBATE','SP',6975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014610,4.00,6.00,5.00,7.00,8.00,7.25,5.00,6.00,5.00,303,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',6082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014629,4.00,7.00,6.00,5.00,7.00,6.25,6.00,2.00,5.00,304,318,NULL,'GLÓRIA','JOINVILLE','SC',7696,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2014637,4.00,4.00,5.00,6.00,6.00,5.75,7.00,4.00,4.00,304,203,NULL,'SAO JUDAS','SAO PAULO','SP',9767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LOTEAMENTO BELVEDERE','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2014653,4.00,8.00,5.00,10.00,7.00,8.25,7.00,6.00,6.00,216,217,NULL,'VILA A','FOZ DO IGUACU','PR',3206,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2014661,4.00,8.00,6.00,9.00,6.00,6.75,4.00,9.00,6.00,450,415,NULL,'CASTELO BRANCO','RIBEIRAO PRETO','SP',3172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2014670,1.00,6.00,6.00,6.00,9.00,3.75,4.00,4.00,2.00,5,220,NULL,'CENTRO','ARARANGUA','SC',12211,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2014688,5.00,8.00,4.00,5.00,6.00,5.50,6.00,7.00,2.00,319,310,NULL,'PONTE DO IMARUIM','PALHOCA','SC',9064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2014696,3.00,6.00,3.00,2.00,3.00,5.25,2.00,4.00,1.00,318,415,NULL,'PONTE DO IMARUIM','PALHOCA','SC',20328,251,812,NULL,NULL,NULL,NULL,2,1),(15,2014700,4.00,7.00,7.00,6.00,8.00,4.75,7.00,8.00,4.00,220,202,213,'LIBERDADE','SAO PAULO','SP',4260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014718,8.00,9.00,7.00,9.00,8.00,8.00,9.00,9.00,7.00,207,450,NULL,'CAMPINAS','SAO JOSE','SC',204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014726,3.00,5.00,5.00,1.00,6.00,4.25,2.00,3.00,3.00,9,215,NULL,'CENTRO','CHAPECO','SC',19485,284,611,NULL,NULL,NULL,NULL,4,4),(15,2014742,2.00,8.00,5.00,5.00,8.00,6.50,5.00,5.00,2.00,501,502,NULL,'TRINDADE','FLORIANOPOLIS','SC',9628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2014750,5.00,8.00,6.00,4.00,9.00,6.00,7.00,6.00,5.00,420,424,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',4960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014769,4.00,5.00,3.00,2.00,3.00,3.00,4.00,5.00,5.00,415,214,NULL,'NOVA ESPERANÇA III','CUIABA','MT',18473,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2014785,5.00,8.00,6.00,9.00,8.00,8.00,7.00,5.00,6.00,301,304,NULL,'CENTRO','ERECHIM','RS',1876,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2014793,5.00,8.00,8.00,7.00,8.00,9.00,9.00,9.00,8.00,203,201,208,'INGLESES','FLORIANOPOLIS','SC',408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014807,5.00,6.00,7.00,7.00,6.00,4.75,5.00,5.00,4.00,215,444,238,'CENTRO','FLORIANOPOLIS','SC',5777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2014823,4.00,8.00,6.00,4.00,8.00,3.75,4.00,5.00,2.00,108,333,NULL,'EXPOSIÇÃO','CAXIAS DO SUL','RS',10330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014831,0.00,4.00,1.00,4.00,3.00,3.75,2.00,6.00,2.00,108,329,NULL,'ARMAÇÃO P DO SUL','FLORIANOPOLIS','SC',22178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2014840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,212,NULL,'SÃO ROQUE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2014866,5.00,9.00,9.00,9.00,9.00,5.50,9.00,7.00,6.00,103,NULL,NULL,'SUDOESTE','CRUZEIRO','DF',880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014874,3.00,8.00,6.00,6.00,7.00,5.75,7.00,7.00,4.00,103,318,NULL,'PERDIZES','SAO PAULO','SP',5493,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2014882,6.00,6.00,8.00,9.00,7.00,6.25,8.00,5.00,6.00,216,NULL,215,'JARDIM MORUMBI','ARARAQUARA','SP',2397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014890,5.00,9.00,4.00,6.00,7.00,5.50,6.00,8.00,5.00,5,316,NULL,'PONTE DO IMARUIM','PALHOCA','SC',5321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014904,2.00,6.00,1.00,1.00,6.00,4.75,5.00,4.00,3.00,502,501,NULL,'VILA MOEMA','TUBARAO','SC',18149,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2014912,4.00,5.00,5.00,4.00,3.00,5.00,3.00,4.00,2.00,108,333,NULL,'JARDIM SANTA TERESA','JUNDIAI','SP',18484,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2014920,4.00,6.00,8.00,1.00,7.00,6.00,5.00,6.00,6.00,444,222,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',8703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,301,203,'CENTRO','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',5,6),(15,2014947,3.00,6.00,6.00,7.00,7.00,5.00,7.00,4.00,1.00,9,301,NULL,'BARREIROS','SAO JOSE','SC',9419,99,572,NULL,NULL,NULL,NULL,2,1),(15,2014955,2.00,4.00,0.00,3.00,2.00,NULL,3.00,2.00,1.00,303,5,NULL,'ALTO','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014963,7.00,8.00,10.00,9.00,9.00,7.25,9.00,8.00,7.00,202,333,215,'KOBRASOL','SAO JOSE','SC',198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2014971,4.00,7.00,5.00,4.00,4.00,4.00,6.00,5.00,2.00,108,104,NULL,'CENTRO','SANTA MARIA','RS',14006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015005,3.00,7.00,4.00,6.00,8.00,5.50,5.00,6.00,3.00,302,201,NULL,'CAMPINAS','SAO JOSE','SC',8810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015021,4.00,6.00,5.00,4.00,5.00,5.50,6.00,4.00,2.00,103,101,NULL,'JARDIM PROENÇA','CAMPINAS','SP',11744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015030,6.00,7.00,5.00,7.00,8.00,4.00,8.00,4.00,5.00,103,333,NULL,'JARDIM LA SALLE','TOLEDO','PR',5096,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2015048,1.00,5.00,4.00,7.00,7.00,6.25,4.00,5.00,4.00,104,NULL,NULL,'CENTRO','TUPARENDI','RS',11391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015064,3.00,7.00,4.00,7.00,6.00,4.00,4.00,4.00,2.00,429,324,425,'TRINDADE','FLORIANOPOLIS','SC',13629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015072,3.00,6.00,1.00,4.00,7.00,6.50,5.00,5.00,2.00,420,429,NULL,'ITACORUBI','FLORIANOPOLIS','SC',14153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015080,6.00,6.00,7.00,8.00,8.00,4.75,7.00,6.00,6.00,238,NULL,211,'TRINDADE','FLORIANOPOLIS','SC',3549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015102,2.00,8.00,4.00,3.00,6.00,5.50,6.00,6.00,3.00,501,NULL,NULL,'BANCARIOS','PATO BRANCO','PR',12303,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2015110,4.00,6.00,5.00,5.00,6.00,3.75,5.00,5.00,4.00,207,420,NULL,'ALVORADA','XAXIM','SC',12264,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2015129,1.00,6.00,5.00,2.00,3.00,5.50,4.00,1.00,3.00,309,NULL,NULL,'CENTRO','BLUMENAU','SC',21670,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2015137,4.00,4.00,6.00,6.00,5.00,5.50,4.00,2.00,3.00,233,NULL,NULL,'PATRIMÔNIO VELHO','VOTUPORANGA','SP',14754,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2015161,4.00,6.00,6.00,4.00,6.00,5.50,3.00,6.00,5.00,303,425,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',10477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015196,3.00,4.00,3.00,7.00,8.00,3.50,2.00,4.00,3.00,424,324,421,'CENTRO','FLORIANOPOLIS','SC',16177,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2015200,1.00,2.00,1.00,0.00,5.00,NULL,2.00,4.00,3.00,104,NULL,NULL,'CENTRO','PALMA SOLA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2015226,1.00,5.00,4.00,9.00,6.00,4.50,3.00,3.00,2.00,421,222,424,'CENTRO','CHAPECO','SC',17317,NULL,NULL,NULL,NULL,NULL,NULL,1,4),(15,2015234,4.00,7.00,3.00,5.00,6.00,4.75,4.00,4.00,2.00,103,104,NULL,'CENTRO','GARUVA','SC',13557,2500,1117,NULL,NULL,NULL,NULL,2,8),(15,2015242,2.00,7.00,4.00,6.00,8.00,8.00,6.00,6.00,4.00,421,320,426,'CARVOEIRA','FLORIANOPOLIS','SC',7812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015250,8.00,8.00,9.00,8.00,9.00,6.25,9.00,7.00,7.00,103,104,NULL,'CAMPINAS','SAO JOSE','SC',589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015269,8.00,8.00,5.00,7.00,8.00,4.00,7.00,6.00,4.00,333,103,NULL,'CAMPUS DO CTA','SAO JOSE DOS CAMPOS','SP',3547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015277,7.00,7.00,7.00,7.00,7.00,5.75,6.00,5.00,4.00,102,420,NULL,'CENTRO','FLORIANOPOLIS','SC',4760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015285,2.00,6.00,2.00,2.00,6.00,6.00,5.00,6.00,3.00,202,203,213,'BUENO','GOIANIA','GO',15667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015293,0.00,6.00,2.00,3.00,9.00,6.00,4.00,8.00,4.00,317,238,NULL,'ITACORUBI','FLORIANOPOLIS','SC',10864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015307,5.00,8.00,3.00,6.00,8.00,7.00,5.00,5.00,3.00,104,108,NULL,'CENTRO','CAXIAS DO SUL','RS',7598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2015315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,216,NULL,'CENTRO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2015323,5.00,8.00,5.00,7.00,5.00,5.00,6.00,6.00,3.00,420,450,NULL,'PEDRA BRANCA','PALHOCA','SC',7533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015331,3.00,9.00,4.00,9.00,8.00,7.25,5.00,6.00,3.00,207,2,211,'CORREGO GRANDE','FLORIANOPOLIS','SC',5781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015340,4.00,5.00,5.00,7.00,8.00,6.25,4.00,5.00,2.00,303,310,NULL,'ESTREITO','FLORIANOPOLIS','SC',9369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2015358,3.00,5.00,1.00,1.00,5.00,4.75,4.00,6.00,5.00,214,222,NULL,'CENTRO','ANTONIO CARLOS','SC',18560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015366,0.00,4.00,0.00,1.00,8.00,NULL,3.00,5.00,3.00,211,102,NULL,'RAINHA DA PAZ','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2015374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,415,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2015382,5.00,8.00,7.00,9.00,9.00,5.50,9.00,6.00,6.00,203,214,220,'JARDIM VIVENDAS','SAO JOSE DO RIO PRETO','SP',1475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015404,5.00,6.00,6.00,2.00,4.00,4.25,5.00,5.00,4.00,108,502,NULL,'JARDIM SATÉLITE','SAO JOSE DOS CAMPOS','SP',12637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015420,7.00,8.00,6.00,9.00,7.00,8.75,8.00,7.00,4.00,303,2,NULL,'BOSQUE DAS MANSÕES','SAO JOSE','SC',874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015439,4.00,7.00,4.00,3.00,5.00,4.00,5.00,8.00,4.00,103,NULL,NULL,'JD ANALIA FRANCO','SAO PAULO','SP',10795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015447,7.00,7.00,8.00,8.00,9.00,6.50,9.00,7.00,5.00,103,203,NULL,'CENTRO','PALHOCA','SC',938,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2015463,7.00,8.00,9.00,6.00,9.00,5.25,8.00,6.00,6.00,103,216,NULL,'MORRO ESTEVÃO','CRICIUMA','SC',1508,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2015471,6.00,8.00,2.00,8.00,8.00,6.00,7.00,7.00,6.00,316,451,NULL,'BARREIROS','SAO JOSE','SC',3955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015480,1.00,7.00,5.00,4.00,7.00,4.75,4.00,6.00,3.00,217,424,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',13642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015498,2.00,5.00,4.00,8.00,8.00,5.00,4.00,3.00,1.00,103,423,NULL,'VILA NOVA','FRANCISCO BELTRAO','PR',14584,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2015501,2.00,5.00,4.00,5.00,6.00,5.00,4.00,3.00,2.00,404,339,NULL,'COLONIAL','SAO BENTO DO SUL','SC',17798,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2015510,5.00,7.00,5.00,2.00,7.00,7.25,7.00,5.00,4.00,207,NULL,201,'CENTRO','FLORIANOPOLIS','SC',6871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015528,8.00,9.00,7.00,4.00,8.00,4.25,9.00,7.00,6.00,104,101,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',1994,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2015536,6.00,8.00,8.00,5.00,7.00,6.50,7.00,8.00,5.00,102,211,NULL,'VILA INDUSTRIAL','MOGI DAS CRUZES','SP',3278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015544,4.00,8.00,7.00,5.00,8.00,6.00,7.00,4.00,5.00,301,316,NULL,'BATEL','CURITIBA','PR',6320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015560,3.00,7.00,5.00,8.00,8.00,6.00,7.00,5.00,4.00,238,425,212,'BARREIROS','SAO JOSE','SC',6665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015587,3.00,6.00,5.00,8.00,5.00,5.50,7.00,5.00,3.00,202,208,203,'VILA SUZANA','SAO PAULO','SP',9112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015595,6.00,9.00,6.00,4.00,7.00,6.25,8.00,4.00,5.00,103,102,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',4386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015609,5.00,6.00,1.00,2.00,4.00,6.00,4.00,4.00,4.00,104,103,NULL,'CENTRO','CURITIBANOS','SC',16870,543,3231,NULL,NULL,NULL,NULL,4,9),(15,2015617,8.00,9.00,9.00,5.00,9.00,6.75,9.00,7.00,7.00,103,2,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015625,4.00,7.00,4.00,7.00,7.00,6.25,4.00,2.00,4.00,316,207,NULL,'CENTRO','CRICIUMA','SC',11522,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2015633,1.00,7.00,2.00,3.00,6.00,5.50,4.00,3.00,3.00,233,444,213,'CARVOEIRA','FLORIANOPOLIS','SC',18807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015641,6.00,7.00,6.00,9.00,8.00,5.75,8.00,7.00,3.00,214,316,208,'SUDOESTE','CRUZEIRO','DF',2975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015650,6.00,8.00,5.00,7.00,8.00,8.00,9.00,6.00,6.00,103,421,NULL,'BARRA DO RIO CERRO','JARAGUA DO SUL','SC',2269,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2015668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'VILA UBERABINHA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2015676,3.00,6.00,4.00,2.00,6.00,5.00,5.00,7.00,4.00,104,450,NULL,'CENTRO','TUBARAO','SC',13435,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2015692,3.00,6.00,3.00,2.00,5.00,5.75,2.00,3.00,4.00,238,224,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',19399,722,279,NULL,NULL,NULL,NULL,4,1),(15,2015706,8.00,8.00,10.00,8.00,9.00,4.75,9.00,8.00,5.00,103,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015714,6.00,7.00,6.00,9.00,7.00,5.75,7.00,7.00,6.00,103,319,NULL,'TAYANA PARK','CAMPO GRANDE','MS',2639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015722,5.00,7.00,7.00,8.00,7.00,3.50,4.00,5.00,4.00,108,333,NULL,'JARDIM AMÉRICA','JUNDIAI','SP',8010,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2015730,5.00,9.00,7.00,7.00,8.00,7.75,8.00,7.00,5.00,103,303,NULL,'CAMPINAS','SAO JOSE','SC',1679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015749,2.00,6.00,5.00,7.00,7.00,5.00,5.00,6.00,3.00,326,324,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',10972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2015757,8.00,8.00,8.00,7.00,5.00,6.50,7.00,6.00,7.00,202,324,215,'BELA VISTA','PALHOCA','SC',2021,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2015765,2.00,5.00,5.00,2.00,6.00,4.00,2.00,5.00,3.00,329,308,NULL,'SÃO FRANCISCO','SANTO AMARO DA IMPERATRIZ','SC',18468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015773,1.00,7.00,5.00,7.00,4.00,5.00,5.00,5.00,4.00,203,220,214,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2015781,3.00,6.00,6.00,9.00,6.00,7.50,6.00,9.00,5.00,327,326,NULL,'MOGILAR','MOGI DAS CRUZES','SP',3730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015790,2.00,5.00,2.00,1.00,6.00,6.00,3.00,2.00,2.00,103,101,NULL,'CENTRO','ARROIO DO MEIO','RS',21284,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2015820,4.00,7.00,6.00,8.00,9.00,7.50,6.00,6.00,4.00,415,5,NULL,'GRANDE COLORADO','SOBRADINHO','DF',4453,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2015838,7.00,8.00,9.00,10.00,9.00,6.25,9.00,9.00,8.00,103,427,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015846,6.00,9.00,9.00,4.00,7.00,5.00,8.00,7.00,4.00,5,103,NULL,'TRINDADE','FLORIANOPOLIS','SC',2993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2015870,3.00,3.00,4.00,6.00,7.00,6.50,4.00,5.00,3.00,333,234,NULL,'SOLAR VILLE','GOIANIA','GO',13216,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2015889,6.00,8.00,9.00,9.00,5.00,6.50,9.00,7.00,8.00,208,202,NULL,'JD OURO BRANCO','RIBEIRAO PRETO','SP',824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015897,4.00,9.00,8.00,7.00,8.00,4.75,8.00,6.00,8.00,5,303,NULL,'CENTRO','CRICIUMA','SC',2671,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2015900,2.00,8.00,2.00,6.00,8.00,6.00,3.00,4.00,3.00,404,444,NULL,'FORQUILHINHAS','SAO JOSE','SC',13603,97,447,NULL,NULL,NULL,NULL,4,1),(15,2015919,4.00,3.00,4.00,8.00,7.00,5.50,3.00,2.00,3.00,215,217,216,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',12546,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2015927,6.00,8.00,6.00,8.00,9.00,6.50,9.00,7.00,6.00,211,101,215,'CENTRO','TUBARAO','SC',1560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015935,2.00,4.00,2.00,5.00,1.00,NULL,4.00,2.00,2.00,238,203,208,'SANTA AUGUSTA','BRACO DO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2015943,5.00,6.00,5.00,6.00,7.00,6.25,4.00,5.00,5.00,301,207,NULL,'CENTRO','FLORIANOPOLIS','SC',8543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2015951,3.00,6.00,8.00,5.00,7.00,5.00,7.00,6.00,5.00,208,9,238,'PARQUE DAS AVENIDAS','SOMBRIO','SC',6900,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2015960,4.00,9.00,9.00,6.00,9.00,7.25,8.00,7.00,8.00,233,217,216,'FIGUEIRA','JACINTO MACHADO','SC',840,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2015978,8.00,8.00,8.00,8.00,8.00,8.00,9.00,8.00,6.00,103,104,NULL,'SÃO SIMÃO','CRICIUMA','SC',315,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2015986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,316,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2015994,4.00,8.00,3.00,3.00,5.00,5.00,4.00,7.00,2.00,238,316,208,'CAMPECHE','FLORIANOPOLIS','SC',12861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016001,2.00,8.00,7.00,9.00,9.00,8.25,7.00,8.00,3.00,202,2,233,'CENTRO','FLORIANOPOLIS','SC',2755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016010,7.00,7.00,8.00,8.00,8.00,6.50,8.00,4.00,5.00,203,2,214,'BARREIROS','SAO JOSE','SC',2548,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2016028,7.00,6.00,7.00,9.00,8.00,7.50,8.00,9.00,5.00,415,304,NULL,'CAMPOS ELISEOS','SAO PAULO','SP',610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016036,3.00,6.00,5.00,4.00,5.00,5.50,6.00,6.00,3.00,444,326,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016052,4.00,6.00,4.00,7.00,9.00,5.50,5.00,8.00,4.00,501,211,NULL,'CIDADE ALTA','ARARANGUA','SC',6972,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2016060,3.00,4.00,3.00,4.00,5.00,5.50,4.00,2.00,2.00,202,2,213,'CENTRO','CURITIBANOS','SC',18670,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2016079,6.00,9.00,8.00,3.00,9.00,6.00,9.00,6.00,7.00,103,225,NULL,'PATAMARES','SALVADOR','BA',2130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016087,3.00,6.00,3.00,4.00,6.00,5.00,6.00,7.00,4.00,328,329,NULL,'AMIZADE','JARAGUA DO SUL','SC',12152,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2016109,3.00,7.00,5.00,9.00,7.00,8.00,5.00,5.00,3.00,425,451,426,'FLAMENGO','RIO DE JANEIRO','RJ',7174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016117,6.00,9.00,6.00,9.00,9.00,6.25,6.00,9.00,5.00,103,424,NULL,'JARDIM ITALIA','CHAPECO','SC',1327,NULL,NULL,NULL,NULL,NULL,NULL,3,4),(15,2016125,4.00,8.00,5.00,9.00,8.00,6.00,6.00,6.00,3.00,203,222,208,'CENTRO','FLORIANOPOLIS','SC',4637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016133,3.00,4.00,2.00,7.00,7.00,5.00,4.00,3.00,4.00,215,211,216,'MARIA GORETTI','CHAPECO','SC',14349,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2016141,5.00,8.00,7.00,5.00,8.00,3.75,9.00,7.00,6.00,104,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',3601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016150,2.00,6.00,2.00,5.00,2.00,NULL,2.00,3.00,3.00,211,9,215,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2016176,0.00,4.00,2.00,1.00,5.00,NULL,3.00,4.00,1.00,324,308,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016192,7.00,5.00,9.00,6.00,5.00,5.00,7.00,7.00,4.00,203,301,214,'PRAIA DOS AMORES','BALNEARIO CAMBORIU','SC',5332,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2016206,2.00,9.00,5.00,8.00,8.00,6.50,7.00,8.00,4.00,211,NULL,238,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',3442,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2016214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,201,202,'JARDIM TV MORENA','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2016222,7.00,6.00,6.00,7.00,8.00,6.50,7.00,5.00,5.00,203,220,214,'VILA BETANIA','SAO JOSE DOS CAMPOS','SP',3845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2016230,3.00,5.00,6.00,6.00,4.00,6.00,3.00,4.00,3.00,207,NULL,NULL,'VILLAGE III','PORTO SEGURO','BA',15648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016249,3.00,8.00,2.00,6.00,8.00,7.00,4.00,6.00,3.00,104,101,NULL,'PRADINHO','SAO JOAQUIM','SC',8894,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2016257,8.00,8.00,7.00,7.00,8.00,8.25,8.00,8.00,7.00,415,333,NULL,'JARDIM PAULISTA','RIBEIRAO PRETO','SP',654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016265,2.00,4.00,4.00,6.00,6.00,6.50,7.00,4.00,4.00,2,225,NULL,'ESTREITO','FLORIANOPOLIS','SC',11443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016281,2.00,6.00,3.00,3.00,9.00,6.00,3.00,6.00,4.00,316,317,NULL,'CAMPINAS','SAO JOSE','SC',12298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016290,6.00,7.00,9.00,7.00,8.00,5.75,8.00,7.00,6.00,212,238,213,'COQUEIROS','FLORIANOPOLIS','SC',1517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016303,3.00,5.00,2.00,1.00,4.00,5.50,1.00,4.00,3.00,104,502,NULL,'ARMAÇÃO P DO SUL','FLORIANOPOLIS','SC',21493,706,362,NULL,NULL,NULL,NULL,4,1),(15,2016311,0.00,5.00,0.00,5.00,6.00,4.50,1.00,4.00,4.00,101,308,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',21450,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2016320,4.00,9.00,5.00,8.00,8.00,6.00,8.00,6.00,7.00,234,333,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',2209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016338,5.00,5.00,4.00,6.00,8.00,7.00,6.00,7.00,4.00,450,310,NULL,'ASA SUL','BRASILIA','DF',5818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016346,4.00,6.00,2.00,2.00,7.00,4.00,7.00,7.00,2.00,304,222,NULL,'MARRIA GORETTI','CHAPECO','SC',12301,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2016370,8.00,8.00,9.00,9.00,9.00,7.50,9.00,8.00,8.00,103,104,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',44,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016389,6.00,7.00,5.00,9.00,7.00,6.50,8.00,5.00,4.00,302,317,NULL,'CENTRO','FLORIANOPOLIS','SC',4175,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2016397,4.00,6.00,3.00,4.00,5.00,5.25,6.00,3.00,3.00,102,103,NULL,'MORRO ESTEVAO','CRICIUMA','SC',14110,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2016400,2.00,5.00,0.00,5.00,5.00,4.50,5.00,7.00,1.00,326,327,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',17783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016419,7.00,7.00,7.00,7.00,7.00,7.75,8.00,6.00,7.00,207,420,NULL,'SANTO ANTÔNIO','TUBARAO','SC',1851,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2016427,0.00,5.00,1.00,6.00,4.00,4.50,2.00,5.00,2.00,415,207,NULL,'JARDIM SAO MIGUEL','BIGUACU','SC',20466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2016435,3.00,7.00,4.00,6.00,9.00,7.25,5.00,6.00,3.00,420,428,NULL,'SANTINHO','FLORIANOPOLIS','SC',7127,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2016443,5.00,5.00,5.00,4.00,8.00,5.50,5.00,5.00,4.00,303,428,NULL,'CENTRO','FLORIANOPOLIS','SC',9613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016460,0.00,0.00,0.00,5.00,4.00,NULL,3.00,2.00,1.00,420,415,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2016478,1.00,4.00,1.00,2.00,3.00,NULL,3.00,3.00,1.00,425,332,429,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016494,2.00,4.00,1.00,3.00,7.00,4.50,3.00,3.00,3.00,104,9,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',20827,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2016508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,203,213,'BARRA DA TIJUCA','RIO DE JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2016516,1.00,5.00,4.00,5.00,6.00,5.00,4.00,4.00,3.00,9,201,NULL,'CRUZEIRO','CAXIAS DO SUL','RS',16814,231,1362,NULL,NULL,NULL,NULL,2,1),(15,2016524,5.00,8.00,4.00,7.00,8.00,6.25,7.00,6.00,5.00,211,9,215,'ATIRADORES','JOINVILLE','SC',5622,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2016532,5.00,8.00,6.00,6.00,6.00,6.25,6.00,5.00,3.00,103,225,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',7484,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2016540,5.00,5.00,7.00,3.00,3.00,5.75,5.00,3.00,3.00,502,101,NULL,'CARIANOS','FLORIANOPOLIS','SC',14174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016559,6.00,8.00,7.00,8.00,8.00,6.50,7.00,7.00,5.00,207,420,212,'CENTRO','FLORIANOPOLIS','SC',1650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016575,5.00,8.00,9.00,4.00,8.00,6.00,8.00,8.00,8.00,450,415,NULL,'ZONA SETE','MARINGA','PR',1536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016583,8.00,9.00,9.00,9.00,8.00,8.00,7.00,7.00,6.00,333,108,NULL,'PÂNTANO DO SUL','FLORIANOPOLIS','SC',459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016591,5.00,6.00,8.00,9.00,8.00,5.75,8.00,8.00,8.00,203,222,202,'PONTO NOVO','ARACAJU','SE',1449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,208,'CASTELO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2016613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,222,238,'PITUBA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2016621,0.00,2.00,0.00,1.00,2.00,NULL,2.00,1.00,1.00,303,319,NULL,'BANDEIRANTES','CAPIVARI DE BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016630,0.00,2.00,1.00,4.00,8.00,7.00,6.00,5.00,4.00,103,104,NULL,'BOM FIM','PORTO ALEGRE','RS',16287,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2016648,4.00,8.00,5.00,9.00,6.00,5.75,5.00,7.00,4.00,303,328,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2016656,4.00,9.00,7.00,7.00,9.00,8.00,8.00,7.00,6.00,207,201,233,'PASSO MANSO','BLUMENAU','SC',1442,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2016664,6.00,9.00,8.00,6.00,8.00,6.75,9.00,6.00,4.00,420,324,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',2561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,326,NULL,'PONTE DE IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2016699,4.00,7.00,6.00,8.00,7.00,5.50,6.00,7.00,5.00,104,101,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',4141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016702,6.00,7.00,1.00,4.00,7.00,5.25,5.00,4.00,3.00,301,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',12534,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2016710,7.00,9.00,9.00,9.00,8.00,8.00,9.00,6.00,8.00,103,324,NULL,'TRINDADE','FLORIANOPOLIS','SC',91,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016729,7.00,8.00,8.00,9.00,8.00,7.00,8.00,8.00,7.00,103,428,NULL,'ABRAÃO','FLORIANOPOLIS','SC',557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016745,1.00,4.00,5.00,5.00,7.00,5.75,4.00,4.00,4.00,301,303,NULL,'INGLESES','FLORIANOPOLIS','SC',14107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016753,3.00,7.00,7.00,6.00,3.00,4.75,5.00,5.00,4.00,333,203,NULL,'CENTRO','ITAPORANGA','SP',11115,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2016761,5.00,8.00,8.00,9.00,8.00,5.50,8.00,7.00,7.00,5,303,NULL,'CENTRO','FLORIANOPOLIS','SC',1218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016770,2.00,4.00,1.00,3.00,6.00,NULL,0.00,4.00,2.00,502,9,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2016788,3.00,5.00,2.00,3.00,7.00,6.50,2.00,4.00,2.00,420,223,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',19711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016796,8.00,9.00,8.00,9.00,9.00,7.00,9.00,8.00,9.00,103,501,NULL,'CAMPINAS','SAO JOSE','SC',65,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016800,1.00,3.00,2.00,5.00,3.00,NULL,2.00,1.00,1.00,450,420,NULL,'PORTA CEU','SAO LOURENCO','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2016818,4.00,6.00,6.00,4.00,5.00,5.25,5.00,4.00,2.00,220,214,203,'CENTRO','CRICIUMA','SC',13372,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2016826,6.00,6.00,3.00,7.00,9.00,5.75,6.00,6.00,4.00,103,320,NULL,'TATUAPÉ','SAO PAULO','SP',6163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016842,2.00,6.00,3.00,6.00,7.00,5.00,4.00,7.00,2.00,426,424,428,'BUCAREIN','JOINVILLE','SC',12994,NULL,NULL,NULL,NULL,NULL,NULL,3,8),(15,2016850,1.00,5.00,4.00,2.00,6.00,6.75,6.00,5.00,3.00,108,310,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',14924,330,153,NULL,NULL,NULL,NULL,4,1),(15,2016869,4.00,5.00,3.00,8.00,5.00,4.50,7.00,6.00,2.00,225,2,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',11695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016877,7.00,7.00,8.00,9.00,9.00,6.25,9.00,7.00,9.00,220,213,202,'JARDIM PAULISTANO','SAO CARLOS','SP',358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'ALVORADA','FRANCISCO BELTRAO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2016893,7.00,7.00,9.00,8.00,6.00,7.00,8.00,7.00,6.00,220,318,201,'JARDIM BANDEIRANTES','ARAPONGAS','PR',1046,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2016907,5.00,5.00,3.00,6.00,7.00,5.25,6.00,4.00,2.00,333,420,NULL,'CENTRO','GOIANIA','GO',12014,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2016915,7.00,8.00,6.00,8.00,9.00,5.50,9.00,6.00,5.00,203,301,214,'INDEPENDENCIA','PORTO ALEGRE','RS',1930,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2016923,3.00,6.00,6.00,6.00,8.00,6.00,8.00,6.00,6.00,202,208,203,'SÃO SEBASTIÃO','PALHOCA','SC',4420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016931,6.00,5.00,7.00,5.00,5.00,4.25,4.00,5.00,5.00,103,104,NULL,'CENTRO','MEDIANEIRA','PR',9223,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2016940,7.00,9.00,8.00,6.00,8.00,7.00,7.00,7.00,5.00,103,201,NULL,'CENTRO','NAVEGANTES','SC',1165,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2016958,4.00,8.00,7.00,9.00,6.00,5.50,8.00,7.00,3.00,103,211,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2016966,4.00,8.00,3.00,6.00,6.00,6.50,3.00,9.00,3.00,415,327,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',7815,206,247,NULL,NULL,NULL,NULL,2,1),(15,2016982,4.00,8.00,7.00,9.00,9.00,5.50,7.00,7.00,4.00,415,326,NULL,'CENTRO','PELOTAS','RS',2895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017008,1.00,7.00,3.00,2.00,6.00,6.25,1.00,3.00,3.00,333,425,NULL,'CENTRO','FRUTAL','MG',18341,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2017016,0.00,5.00,3.00,2.00,6.00,5.50,3.00,2.00,4.00,427,316,424,'ALTAVILLE','POUSO ALEGRE','MG',20474,87,1233,89,NULL,NULL,NULL,4,1),(15,2017032,4.00,7.00,7.00,5.00,7.00,6.25,5.00,5.00,3.00,501,502,NULL,'PRESIDENTE VARGAS','ICARA','SC',8664,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2017040,3.00,6.00,1.00,9.00,7.00,5.50,3.00,2.00,3.00,9,319,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',15941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2017059,7.00,9.00,9.00,8.00,8.00,6.25,9.00,7.00,8.00,103,102,NULL,'COQUEIROS','FLORIANOPOLIS','SC',301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017067,4.00,5.00,6.00,8.00,6.00,5.25,5.00,6.00,3.00,220,238,208,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',8790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017083,5.00,8.00,7.00,9.00,8.00,6.75,9.00,8.00,7.00,216,202,215,'COND VL DO ARVOREDO','LONDRINA','PR',1130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017091,5.00,8.00,3.00,6.00,8.00,6.00,6.00,3.00,5.00,203,202,214,'AGUA VERDE','CURITIBA','PR',7568,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2017105,2.00,5.00,3.00,6.00,7.00,6.00,4.00,6.00,3.00,423,425,428,'BARREIROS','SAO JOSE','SC',12141,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2017113,7.00,9.00,9.00,9.00,8.00,6.25,9.00,9.00,8.00,103,NULL,NULL,'CAMPOLIM','SOROCABA','SP',104,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2017121,4.00,8.00,1.00,5.00,6.00,4.00,4.00,5.00,3.00,404,444,NULL,'PANTANAL','FLORIANOPOLIS','SC',15347,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2017130,6.00,7.00,8.00,8.00,8.00,8.00,8.00,6.00,6.00,415,310,NULL,'ASA SUL','BRASILIA','DF',1409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017148,1.00,4.00,4.00,6.00,5.00,6.00,4.00,5.00,2.00,216,225,208,'MIRANTE','ITA','SC',15967,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2017156,4.00,7.00,8.00,7.00,8.00,7.00,7.00,7.00,5.00,104,319,NULL,'CENTRO','CHAPECO','SC',3430,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2017164,2.00,6.00,4.00,4.00,8.00,5.00,2.00,3.00,3.00,316,339,NULL,'SERRARIA','BIGUACU','SC',16557,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2017172,4.00,5.00,5.00,5.00,6.00,6.50,7.00,2.00,6.00,5,415,NULL,'VILA TOLENTINO','CASCAVEL','PR',9920,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2017180,4.00,8.00,5.00,7.00,8.00,3.75,7.00,6.00,3.00,327,301,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',6355,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2017199,6.00,9.00,8.00,9.00,9.00,5.50,9.00,8.00,8.00,207,301,NULL,'JARDIM AMÉRICA','MAFRA','SC',413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017202,4.00,8.00,2.00,6.00,8.00,2.00,6.00,7.00,2.00,303,310,NULL,'INTERLAGOS','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2017210,8.00,8.00,5.00,8.00,8.00,5.75,8.00,5.00,3.00,103,216,NULL,'STO ANTÔNIO DE PÁDUA','TUBARAO','SC',3776,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2017237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,220,214,'URBANOVA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2017253,3.00,6.00,4.00,7.00,6.00,5.50,6.00,4.00,4.00,103,212,NULL,'BROOKLIN','SAO PAULO','SP',11197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017261,3.00,4.00,4.00,7.00,7.00,4.75,3.00,6.00,3.00,319,328,NULL,'CENTRO','FLORIANOPOLIS','SC',13975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017270,6.00,8.00,7.00,6.00,9.00,7.00,6.00,7.00,5.00,301,316,NULL,'PONTA DE BAIXO','SAO JOSE','SC',1832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017296,2.00,6.00,4.00,3.00,7.00,6.00,5.00,2.00,4.00,223,222,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',15876,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2017300,3.00,6.00,4.00,9.00,6.00,6.50,5.00,7.00,2.00,108,331,NULL,'GUARDA DO EMBAÚ','PALHOCA','SC',8382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017318,3.00,8.00,5.00,6.00,7.00,6.25,7.00,5.00,4.00,103,9,NULL,'SÃO CRISTÓVÃO','CRICIUMA','SC',6549,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2017326,2.00,7.00,2.00,7.00,6.00,4.00,6.00,6.00,4.00,5,327,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',10337,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2017334,4.00,7.00,7.00,3.00,7.00,6.00,5.00,6.00,4.00,415,420,NULL,'FAZENDA','ITAJAI','SC',8301,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2017342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,415,NULL,'RIO DO BRAÇO','SAO JOAO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2017369,3.00,5.00,6.00,6.00,7.00,6.00,3.00,2.00,3.00,234,444,NULL,'CENTRO','FLORIANOPOLIS','SC',14054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2017377,9.00,8.00,9.00,8.00,9.00,8.25,9.00,8.00,8.00,103,108,NULL,'SAO BASILIO','BRACO DO NORTE','SC',40,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2017385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'MENINO DEUS','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2017393,9.00,8.00,9.00,8.00,6.00,5.25,9.00,7.00,8.00,103,NULL,NULL,'CENTRO','JARAGUA DO SUL','SC',393,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2017415,1.00,2.00,1.00,5.00,4.00,NULL,2.00,3.00,2.00,102,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2017423,3.00,7.00,8.00,5.00,6.00,6.50,7.00,5.00,4.00,214,212,213,'JARDIM DONA NICOTA','BOTUCATU','SP',6452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2017431,3.00,6.00,7.00,5.00,6.00,6.50,5.00,4.00,5.00,326,309,NULL,'ITAGUACU','FLORIANOPOLIS','SC',9323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SOCIAL','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2017458,3.00,6.00,2.00,2.00,6.00,5.00,4.00,5.00,4.00,444,324,NULL,'TRINDADE','FLORIANOPOLIS','SC',16997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017466,7.00,9.00,9.00,5.00,7.00,4.00,9.00,6.00,8.00,203,303,214,'MERCES','CURITIBA','PR',1764,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2017474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2017482,3.00,5.00,1.00,4.00,6.00,5.50,3.00,3.00,1.00,238,339,208,'ITAGUAÇU','FLORIANOPOLIS','SC',19471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2017490,3.00,7.00,4.00,6.00,8.00,6.00,4.00,5.00,3.00,415,103,NULL,'VILA SANTA CATARINA','SAO JOAO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2017512,7.00,9.00,7.00,7.00,8.00,7.00,9.00,9.00,9.00,202,216,213,'JARDIM SATELITE','SAO JOSE DOS CAMPOS','SP',391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'JARDIM AMÉRICA','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2017547,1.00,7.00,0.00,3.00,6.00,NULL,4.00,4.00,4.00,104,502,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2017555,2.00,6.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,339,451,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2017563,6.00,8.00,5.00,7.00,8.00,6.25,3.00,7.00,4.00,207,319,201,'CENTRO II','BRUSQUE','SC',4661,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2017571,5.00,8.00,7.00,7.00,6.00,7.00,6.00,7.00,3.00,332,501,NULL,'TRINDADE','FLORIANOPOLIS','SC',3857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017580,2.00,6.00,2.00,6.00,3.00,4.25,3.00,4.00,2.00,102,319,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',19127,429,904,NULL,NULL,NULL,NULL,2,1),(15,2017598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SOCIAL','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2017601,1.00,2.00,1.00,6.00,2.00,NULL,3.00,3.00,2.00,104,NULL,NULL,'JARDIM','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2017610,6.00,7.00,6.00,4.00,8.00,6.25,6.00,6.00,2.00,103,9,NULL,'COLONINHA','ARARANGUA','SC',7837,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2017636,5.00,8.00,5.00,6.00,7.00,6.75,7.00,6.00,4.00,301,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',4655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017652,1.00,6.00,0.00,6.00,4.00,5.25,2.00,3.00,5.00,217,222,NULL,'PICADAS DO SUL','SAO JOSE','SC',18579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2017660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,104,NULL,'VILA MILITAR','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2017679,1.00,3.00,8.00,7.00,6.00,5.00,6.00,5.00,4.00,203,220,202,'JOÃO BATISTA TONIAL','XANXERE','SC',10932,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2017687,4.00,6.00,5.00,7.00,7.00,5.75,2.00,6.00,2.00,423,215,425,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2017695,7.00,9.00,9.00,9.00,9.00,7.00,9.00,8.00,8.00,220,203,208,'ZONA SETE','MARINGA','PR',73,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017709,5.00,7.00,6.00,7.00,7.00,5.50,6.00,6.00,4.00,103,223,NULL,'CENTRO','FLORIANOPOLIS','SC',4371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017717,5.00,5.00,6.00,6.00,8.00,6.00,6.00,7.00,5.00,201,202,211,'BNH SEGUNDO PLANO','DOURADOS','MS',5452,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2017725,4.00,6.00,2.00,6.00,9.00,5.00,6.00,8.00,3.00,333,451,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',7643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017733,4.00,3.00,1.00,6.00,8.00,5.75,2.00,3.00,2.00,415,319,NULL,'URUSSANGUINHA','ARARANGUA','SC',17463,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2017741,4.00,8.00,4.00,4.00,6.00,5.50,6.00,7.00,2.00,5,201,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',10008,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2017750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,103,NULL,'CIDADE JARDIM','JACAREI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2017768,3.00,6.00,2.00,2.00,8.00,6.25,5.00,3.00,2.00,103,5,NULL,'CENTRO','CRICIUMA','SC',15999,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2017776,7.00,8.00,7.00,5.00,6.00,5.50,7.00,4.00,5.00,108,320,NULL,'INGLESES','FLORIANOPOLIS','SC',5637,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2017784,3.00,7.00,9.00,4.00,8.00,4.00,7.00,6.00,7.00,202,213,203,'ZONA SETE','MARINGA','PR',4729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017792,3.00,6.00,2.00,3.00,5.00,2.50,2.00,4.00,4.00,451,201,NULL,'NOVA BRASÍLIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017814,4.00,6.00,1.00,8.00,5.00,5.25,4.00,7.00,1.00,207,NULL,NULL,'CENTRO','RIBEIRAO PRETO','SP',13227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017822,4.00,8.00,7.00,6.00,7.00,5.25,7.00,7.00,6.00,216,NULL,NULL,'SANTA CLARA','LINS','SP',4234,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2017830,7.00,9.00,6.00,5.00,9.00,6.00,6.00,8.00,4.00,101,424,NULL,'ESTREITO','FLORIANOPOLIS','SC',3020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017857,3.00,7.00,4.00,5.00,6.00,5.75,6.00,5.00,2.00,211,234,201,'SANTA AUGUSTA','CRICIUMA','SC',11066,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2017865,6.00,6.00,5.00,6.00,7.00,4.75,5.00,6.00,4.00,207,9,NULL,'BETEL','PAULINIA','SP',8216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017873,4.00,6.00,4.00,7.00,8.00,7.00,6.00,4.00,4.00,303,425,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',6859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017881,3.00,5.00,6.00,1.00,6.00,4.50,4.00,2.00,1.00,108,404,NULL,'PRIMAVERA','SAO JOSE DO CEDRO','SC',19577,429,463,NULL,NULL,NULL,NULL,4,4),(15,2017890,5.00,8.00,7.00,7.00,5.00,6.25,9.00,8.00,7.00,212,NULL,201,'ALTO DE PINHEIROS','SAO PAULO','SP',2345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017903,2.00,6.00,2.00,5.00,6.00,6.25,5.00,3.00,4.00,316,317,NULL,'IPIRANGA','SAO JOSE','SC',15142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2017911,6.00,6.00,6.00,7.00,6.00,6.00,9.00,8.00,5.00,220,303,233,'BELA VISTA','IPATINGA','MG',3270,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2017938,5.00,8.00,6.00,6.00,9.00,5.00,5.00,7.00,6.00,217,223,NULL,'FAZENDA','ITAJAI','SC',3906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2017946,5.00,4.00,8.00,6.00,5.00,5.50,5.00,4.00,5.00,213,214,212,'SETOR OESTE','GOIANIA','GO',8239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017954,2.00,3.00,5.00,5.00,7.00,5.50,4.00,1.00,1.00,207,324,201,'ANITA GARIBALDI','JOINVILLE','SC',18985,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2017962,3.00,4.00,3.00,4.00,5.00,4.75,3.00,1.00,4.00,5,303,NULL,'COQUEIROS','FLORIANOPOLIS','SC',19764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2017970,3.00,5.00,5.00,3.00,7.00,6.25,4.00,4.00,2.00,302,304,NULL,'NOSSA SRA DO ROSARIO','SAO JOSE','SC',14710,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2017997,5.00,7.00,4.00,7.00,8.00,8.00,6.00,7.00,3.00,103,326,NULL,'LOURDES','CAXIAS DO SUL','RS',4570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018012,4.00,7.00,4.00,8.00,7.00,6.25,6.00,7.00,3.00,319,328,NULL,'TAPERA','FLORIANOPOLIS','SC',6599,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2018020,3.00,7.00,4.00,7.00,7.00,0.00,4.00,6.00,6.00,5,316,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018047,5.00,8.00,8.00,7.00,6.00,6.25,6.00,8.00,3.00,216,415,201,'MENINO DEUS','PORTO ALEGRE','RS',4128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'CENTRO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2018063,6.00,7.00,5.00,6.00,7.00,5.00,7.00,7.00,3.00,103,319,NULL,'GLÓRIA','JOINVILLE','SC',5256,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2018071,3.00,2.00,4.00,7.00,5.00,6.00,1.00,2.00,1.00,420,207,NULL,'APARECIDA','SANTOS','SP',20912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018080,3.00,7.00,5.00,6.00,8.00,5.75,5.00,7.00,2.00,233,234,211,'ITOUPAVA CENTRAL','BLUMENAU','SC',7705,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2018098,5.00,6.00,8.00,8.00,8.00,5.25,7.00,4.00,5.00,304,2,NULL,'JARDIM NOVO HORIZONT','MARINGA','PR',3791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018101,6.00,7.00,4.00,7.00,7.00,5.00,7.00,6.00,4.00,217,427,NULL,'TAPERA','FLORIANOPOLIS','SC',5562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018110,4.00,7.00,4.00,3.00,7.00,7.50,7.00,6.00,4.00,303,5,NULL,'ESTREITO','FLORIANOPOLIS','SC',8275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018128,3.00,6.00,6.00,7.00,7.00,6.00,6.00,4.00,3.00,211,310,NULL,'CENTRO','ARROIO TRINTA','SC',9214,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2018136,7.00,9.00,8.00,7.00,7.00,5.75,8.00,9.00,7.00,103,217,NULL,'JARDIM ITU SABARÁ','PORTO ALEGRE','RS',786,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2018144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,424,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2018160,1.00,6.00,3.00,7.00,7.00,6.50,3.00,4.00,1.00,301,316,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',15416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018179,3.00,8.00,6.00,9.00,7.00,6.00,8.00,5.00,6.00,214,415,203,'TERRAS DE SÃO JOÃO','JACAREI','SP',3773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018187,6.00,6.00,8.00,4.00,7.00,4.75,8.00,8.00,8.00,203,220,202,'BELA VISTA','RIO NEGRINHO','SC',2485,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2018195,3.00,4.00,3.00,6.00,8.00,4.50,4.00,5.00,2.00,101,309,NULL,'TRINDADE','FLORIANOPOLIS','SC',13779,127,142,NULL,NULL,NULL,NULL,2,1),(15,2018209,1.00,4.00,5.00,6.00,3.00,6.25,3.00,2.00,3.00,216,215,NULL,'VILA SANTA CATARINA','SAO PAULO','SP',19427,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2018217,2.00,5.00,6.00,7.00,4.00,5.00,5.00,6.00,3.00,203,220,214,'ENTRE RIOS','JORDAOZINHO','PR',10622,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2018225,3.00,5.00,1.00,6.00,7.00,6.25,2.00,7.00,3.00,103,104,NULL,'CENTRO','CACADOR','SC',14374,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2018233,6.00,8.00,5.00,9.00,6.00,6.75,8.00,7.00,5.00,103,NULL,NULL,'CALIFORNIA','BELO HORIZONTE','MG',2156,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2018241,5.00,6.00,6.00,5.00,7.00,5.50,8.00,6.00,4.00,202,214,220,'MITANTE','ITA','SC',6201,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2018250,2.00,3.00,0.00,5.00,3.00,NULL,2.00,2.00,2.00,316,339,NULL,'VILA NOVA','PORTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2018268,0.00,2.00,1.00,1.00,5.00,NULL,3.00,3.00,2.00,102,308,NULL,'CALDAS DA IMPERATRIZ','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2018276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'BOQUEIRAO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2018284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,324,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2018292,0.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,317,324,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2018306,5.00,6.00,2.00,6.00,8.00,5.75,5.00,7.00,3.00,304,223,NULL,'CASTELO BRANCO','XANXERE','SC',8266,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2018314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,501,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2018330,4.00,5.00,5.00,6.00,8.00,5.50,5.00,7.00,2.00,317,423,NULL,'JARDIM JANAINA','BIGUACU','SC',9080,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2018349,5.00,6.00,2.00,5.00,7.00,5.00,6.00,6.00,5.00,211,333,NULL,'SANTA PAULA','SAO CAETANO DO SUL','SP',9825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,223,208,'LAGO NORTE','LAGO NORTE','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2018373,3.00,6.00,3.00,2.00,6.00,6.00,4.00,4.00,3.00,415,333,NULL,'REBOUÇAS','CURITIBA','PR',17125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018381,7.00,7.00,8.00,9.00,8.00,7.25,9.00,6.00,6.00,108,101,NULL,'CENTRO','TUBARAO','SC',1105,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2018403,3.00,5.00,5.00,7.00,6.00,6.00,5.00,4.00,4.00,208,238,220,'VILA A','FOZ DO IGUACU','PR',10951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018411,3.00,8.00,3.00,7.00,8.00,4.25,5.00,5.00,3.00,201,203,220,'VILA A','FOZ DO IGUACU','PR',9941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018420,7.00,8.00,7.00,5.00,8.00,7.00,8.00,7.00,5.00,203,238,214,'PANTANAL','FLORIANOPOLIS','SC',1830,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2018438,2.00,6.00,5.00,6.00,4.00,4.50,5.00,3.00,2.00,203,202,201,'CENTRO NORTE','SANTO ANGELO','RS',15777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018454,3.00,3.00,3.00,5.00,5.00,4.75,5.00,2.00,2.00,238,NULL,208,'INGLESES','FLORIANOPOLIS','SC',19625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018462,5.00,6.00,3.00,4.00,7.00,5.75,6.00,4.00,5.00,103,108,NULL,'BARREIROS','SAO JOSE','SC',11206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,331,NULL,'TRINTA E UM DE MARÇO','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2018489,5.00,6.00,8.00,8.00,8.00,6.75,7.00,3.00,5.00,203,202,214,'CENTRO','SOMBRIO','SC',4049,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2018527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'ASA NORTE','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2018535,0.00,3.00,1.00,5.00,2.00,NULL,2.00,5.00,2.00,201,207,208,'PRIMAVERA II','PRIMAVERA DO LESTE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2018543,7.00,8.00,6.00,8.00,9.00,6.00,8.00,9.00,6.00,103,101,NULL,'CARIANOS','FLORIANOPOLIS','SC',822,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2018551,6.00,7.00,6.00,8.00,6.00,5.25,7.00,6.00,5.00,238,326,211,'PANTANAL','FLORIANOPOLIS','SC',4291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,425,NULL,'AFONSO PENA','SAO JOSE DOS PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2018578,4.00,8.00,6.00,7.00,9.00,8.00,5.00,6.00,4.00,404,328,NULL,'CAMPECHE','FLORIANOPOLIS','SC',4439,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2018608,2.00,3.00,2.00,5.00,6.00,5.25,2.00,4.00,2.00,309,319,NULL,'CAMPINAS','SAO JOSE','SC',20124,65,926,NULL,NULL,NULL,NULL,2,1),(15,2018616,2.00,9.00,3.00,5.00,6.00,4.75,3.00,4.00,5.00,331,333,NULL,'PADRE AUGUSTO SANI','JAU','SP',13339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2018624,4.00,6.00,3.00,8.00,7.00,8.50,4.00,6.00,5.00,5,318,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',6886,316,325,NULL,NULL,NULL,NULL,1,1),(15,2018640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA GILDA','SANTO ANDRE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2018659,2.00,7.00,4.00,5.00,7.00,5.25,5.00,6.00,2.00,233,203,214,'JD MARILU','SAO PAULO','SP',12213,303,1370,400,NULL,NULL,NULL,2,8),(15,2018667,2.00,9.00,3.00,2.00,7.00,5.25,6.00,7.00,3.00,425,426,423,'PANTANAL','FLORIANOPOLIS','SC',11357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018675,6.00,7.00,8.00,5.00,7.00,6.75,7.00,6.00,7.00,103,319,NULL,'CAMPOS ELISEOS','SAO PAULO','SP',2986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018683,3.00,4.00,1.00,2.00,4.00,6.00,5.00,3.00,4.00,302,318,NULL,'ESTREITO','FLORIANOPOLIS','SC',19567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018691,2.00,8.00,5.00,3.00,8.00,6.50,2.00,5.00,2.00,238,317,208,'FORQUILHAS','SAO JOSE','SC',13617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018705,2.00,3.00,0.00,0.00,3.00,NULL,2.00,4.00,2.00,101,309,NULL,'SERRARIA','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018713,2.00,4.00,4.00,5.00,6.00,5.25,1.00,2.00,1.00,208,201,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',20072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2018721,5.00,7.00,5.00,4.00,6.00,3.25,6.00,3.00,4.00,103,333,NULL,'VILA MARISTELA','PRESIDENTE PRUDENTE','SP',11876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018748,4.00,5.00,7.00,8.00,8.00,7.00,4.00,6.00,3.00,238,425,208,'ESTREITO','FLORIANOPOLIS','SC',5160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018756,3.00,6.00,3.00,7.00,4.00,4.75,3.00,4.00,4.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018764,7.00,8.00,7.00,6.00,8.00,5.50,8.00,7.00,6.00,233,NULL,216,'TRINDADE','FLORIANOPOLIS','SC',1678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2018772,7.00,8.00,4.00,7.00,8.00,6.50,6.00,7.00,5.00,301,304,NULL,'CENTRO','FLORIANOPOLIS','SC',3271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018780,2.00,4.00,1.00,0.00,8.00,5.00,4.00,5.00,1.00,415,102,NULL,'VILA FORMOSA','BLUMENAU','SC',20735,526,1105,NULL,NULL,NULL,NULL,4,2),(15,2018799,3.00,3.00,4.00,2.00,8.00,5.00,4.00,5.00,5.00,238,308,208,'MONTE VERDE','FLORIANOPOLIS','SC',14806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018802,3.00,9.00,5.00,6.00,9.00,5.50,7.00,8.00,5.00,216,217,215,'CENTRO','FLORIANOPOLIS','SC',3918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018810,1.00,2.00,0.00,4.00,5.00,NULL,3.00,2.00,2.00,103,101,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2018829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2018845,4.00,7.00,2.00,7.00,7.00,7.00,2.00,7.00,2.00,327,339,NULL,'PRAIA DA ARMAÇÃO','FLORIANOPOLIS','SC',10962,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2018861,3.00,4.00,3.00,4.00,7.00,6.75,5.00,7.00,1.00,104,501,NULL,'SANTA CRUZ','CONCORDIA','SC',13159,423,437,NULL,NULL,NULL,NULL,2,4),(15,2018888,5.00,8.00,6.00,9.00,5.00,4.25,9.00,8.00,6.00,319,329,NULL,'CENTRO','CHAPECO','SC',3053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018896,7.00,9.00,6.00,6.00,8.00,7.00,7.00,8.00,6.00,103,502,NULL,'GRAVATA','NAVEGANTES','SC',1697,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2018900,7.00,9.00,9.00,6.00,8.00,7.00,7.00,9.00,6.00,103,444,NULL,'INDEPENDÊNCIA','PORTO ALEGRE','RS',1268,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2018918,7.00,9.00,7.00,8.00,9.00,5.00,9.00,8.00,5.00,203,327,233,'CENTRO','SAO JOSE','SC',1343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018926,3.00,6.00,4.00,6.00,6.00,6.50,4.00,5.00,2.00,333,327,NULL,'CENTRO','FLORIANOPOLIS','SC',11964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2018934,3.00,6.00,8.00,1.00,5.00,5.25,7.00,5.00,5.00,203,202,216,'CENTRO','TAGUAI','SP',10572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018969,3.00,3.00,1.00,4.00,5.00,4.50,2.00,4.00,2.00,420,238,NULL,'TAPERA','FLORIANOPOLIS','SC',20787,418,1024,NULL,NULL,NULL,NULL,2,1),(15,2018977,7.00,5.00,1.00,7.00,6.00,4.00,5.00,5.00,2.00,9,NULL,NULL,'RECANTO AZUL','BOTUCATU','SP',12829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2018985,1.00,3.00,2.00,2.00,8.00,NULL,2.00,2.00,2.00,211,216,NULL,'JARDIM AMÉRICA','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2019000,1.00,5.00,6.00,7.00,5.00,5.25,3.00,1.00,3.00,451,450,NULL,'DAS NAÇÕES','BALNEARIO CAMBORIU','SC',18109,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2019027,6.00,5.00,4.00,4.00,8.00,6.50,6.00,7.00,2.00,320,329,NULL,'CAMPINAS','SAO JOSE','SC',8397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019043,2.00,5.00,0.00,1.00,4.00,NULL,4.00,2.00,2.00,318,333,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019060,8.00,7.00,9.00,3.00,8.00,5.25,9.00,8.00,8.00,103,108,NULL,'OFICINAS','TUBARAO','SC',1104,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2019078,3.00,6.00,4.00,5.00,6.00,5.50,4.00,5.00,4.00,212,233,201,'SAO NICOLAU','BIGUACU','SC',12027,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019086,3.00,5.00,1.00,3.00,6.00,3.75,3.00,6.00,1.00,310,326,NULL,'CAMOBI','SANTA MARIA','RS',20008,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019094,6.00,6.00,1.00,5.00,7.00,5.75,5.00,7.00,4.00,108,319,NULL,'SÃO BENEDITO','RIO CLARO','SP',8605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,9,NULL,'INTERIOR','IPUACU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2019124,1.00,5.00,2.00,6.00,5.00,6.25,3.00,2.00,4.00,103,333,NULL,'CAMPECHE','FLORIANOPOLIS','SC',18345,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019132,1.00,4.00,0.00,3.00,4.00,NULL,2.00,3.00,3.00,308,319,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019140,0.00,8.00,1.00,1.00,5.00,7.50,4.00,7.00,2.00,303,450,NULL,'ESPRAIADO','NOVA TRENTO','SC',17667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,108,NULL,'FAZENDA','PALMEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',1,1),(15,2019183,4.00,9.00,3.00,8.00,8.00,7.00,3.00,7.00,3.00,301,304,NULL,'ITACORUBI','FLORIANOPOLIS','SC',6483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2019205,2.00,4.00,3.00,5.00,8.00,5.25,4.00,3.00,3.00,404,234,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',14721,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019248,5.00,4.00,1.00,4.00,6.00,5.00,4.00,1.00,3.00,316,317,NULL,'FORQUILHINHAS','SAO JOSE','SC',18941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019264,6.00,6.00,6.00,8.00,7.00,7.50,5.00,3.00,2.00,319,333,NULL,'CENTRO','MARAU','RS',6802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019272,2.00,4.00,6.00,5.00,8.00,5.00,5.00,5.00,4.00,316,222,NULL,'JARDIM JANAÍNA','BIGUACU','SC',12386,328,138,NULL,NULL,NULL,NULL,2,1),(15,2019299,4.00,6.00,8.00,9.00,7.00,6.00,6.00,4.00,4.00,207,420,201,'CENTRO','TANGARA','SC',4970,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2019302,4.00,6.00,4.00,3.00,6.00,6.00,5.00,6.00,2.00,301,316,NULL,'CIDADE NOVA','JUNDIAI','SP',11172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2019337,4.00,8.00,2.00,3.00,8.00,5.25,3.00,4.00,2.00,224,324,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',15400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019345,3.00,7.00,4.00,6.00,6.00,6.75,4.00,6.00,2.00,310,301,NULL,'CAMPINAS','SAO JOSE','SC',9289,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019353,0.00,5.00,4.00,1.00,5.00,5.50,3.00,4.00,1.00,9,319,NULL,'COSTEIRA','FLORIANOPOLIS','SC',21344,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019361,7.00,8.00,8.00,8.00,8.00,6.00,8.00,7.00,7.00,103,NULL,NULL,'VILA PARIS','BELO HORIZONTE','MG',958,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2019370,4.00,5.00,3.00,4.00,7.00,5.25,2.00,6.00,2.00,451,450,NULL,'SERRARIA','SAO JOSE','SC',15921,48,324,NULL,NULL,NULL,NULL,2,1),(15,2019388,6.00,8.00,6.00,5.00,9.00,4.50,9.00,7.00,6.00,303,217,NULL,'CENTRO','BIGUACU','SC',2316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019396,0.00,2.00,1.00,2.00,4.00,NULL,3.00,3.00,2.00,420,NULL,NULL,'VILA NORTE','SANTA RITA DO PASSA QUATRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019400,8.00,8.00,6.00,4.00,8.00,5.25,9.00,7.00,7.00,103,303,NULL,'JD SANTA RITA','MARINGA','PR',1667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019418,3.00,6.00,2.00,5.00,2.00,NULL,3.00,6.00,3.00,108,333,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019434,2.00,7.00,3.00,6.00,7.00,6.00,2.00,6.00,3.00,320,415,NULL,'COQUEIROS','FLORIANOPOLIS','SC',13526,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019442,5.00,6.00,5.00,6.00,8.00,3.75,5.00,2.00,3.00,301,309,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',12711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019450,8.00,9.00,6.00,6.00,8.00,5.00,8.00,6.00,6.00,202,213,201,'ITOUPAVA CENTRAL','BLUMENAU','SC',1993,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2019485,5.00,5.00,3.00,6.00,8.00,6.50,6.00,4.00,4.00,404,304,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',8475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019493,5.00,8.00,8.00,8.00,7.00,6.50,6.00,3.00,5.00,214,216,212,'CINELÂNDIA','SANTA RITA DO PASSA QUATRO','SP',4800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019507,2.00,6.00,2.00,5.00,7.00,5.25,4.00,6.00,2.00,101,302,NULL,'FLOR DE NÁPOLIS','SAO JOSE','SC',14521,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,225,NULL,'PORTAO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2019523,3.00,5.00,2.00,4.00,8.00,4.00,3.00,3.00,3.00,101,423,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',17600,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019531,5.00,6.00,3.00,6.00,7.00,8.50,6.00,6.00,5.00,103,319,NULL,'BAIRRO ALTO','CURITIBA','PR',5826,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2019540,1.00,6.00,4.00,5.00,6.00,4.50,2.00,5.00,4.00,303,310,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',16492,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019558,5.00,7.00,4.00,7.00,8.00,7.25,7.00,6.00,3.00,5,220,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',4649,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2019574,3.00,7.00,0.00,4.00,7.00,NULL,5.00,5.00,0.00,5,310,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,324,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2019612,7.00,9.00,7.00,8.00,9.00,6.25,8.00,7.00,6.00,103,102,NULL,'CENTRO','ERECHIM','RS',922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019620,4.00,7.00,4.00,5.00,7.00,5.75,3.00,6.00,1.00,415,303,NULL,'CENTRO','RIBEIRAO PRETO','SP',11806,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2019639,4.00,7.00,4.00,4.00,6.00,6.00,4.00,6.00,4.00,327,308,NULL,'INGLESES','FLORIANOPOLIS','SC',10775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019647,3.00,5.00,1.00,3.00,5.00,NULL,0.00,5.00,1.00,103,101,NULL,'CENTRO','IMARUI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019655,1.00,6.00,3.00,4.00,7.00,4.25,3.00,2.00,1.00,317,222,NULL,'TRINDADE','FLORIANOPOLIS','SC',20342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019663,0.00,6.00,2.00,5.00,4.00,4.25,2.00,5.00,3.00,238,429,208,'NOVO MINAS GERAIS','CAMPO GRANDE','MS',19884,743,293,792,NULL,NULL,NULL,2,1),(15,2019671,1.00,6.00,5.00,3.00,6.00,4.25,4.00,3.00,0.00,201,207,203,'OFICINAS','TUBARAO','SC',19999,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2019680,7.00,9.00,8.00,7.00,7.00,6.50,7.00,7.00,6.00,103,101,NULL,'PRESIDENTE KENNEDY','FORTALEZA','CE',1367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019728,3.00,8.00,3.00,4.00,7.00,6.25,4.00,6.00,3.00,318,424,NULL,'TRINDADE','FLORIANOPOLIS','SC',11725,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,329,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2019744,7.00,6.00,5.00,8.00,8.00,5.75,6.00,7.00,4.00,238,208,NULL,'AREIAS','FLORIANOPOLIS','SC',3262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019760,0.00,7.00,2.00,3.00,7.00,3.75,5.00,5.00,3.00,318,320,NULL,'IPIRANGA','SAO JOSE','SC',16762,207,205,NULL,NULL,NULL,NULL,2,1),(15,2019779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'PQ SÃO LUIZ','JUNDIAI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2019787,3.00,8.00,3.00,5.00,8.00,4.50,3.00,6.00,1.00,203,214,215,'GUAIANASES','SAO PAULO','SP',12010,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2019795,3.00,5.00,3.00,3.00,7.00,6.50,5.00,4.00,4.00,216,211,213,'VILA NOVA','JOINVILLE','SC',14502,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2019809,3.00,3.00,2.00,4.00,3.00,6.00,2.00,4.00,3.00,101,224,NULL,'ESTREITO','FLORIANOPOLIS','SC',21231,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019825,2.00,3.00,1.00,0.00,4.00,NULL,4.00,1.00,2.00,103,104,NULL,'SAO CRISTOVAO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2019833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'BOA VISTA','PINDAMONHANGABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2019841,2.00,8.00,7.00,7.00,6.00,6.00,7.00,3.00,3.00,208,213,202,'JARDIM RECREIO','SERTAOZINHO','SP',7909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019850,3.00,3.00,1.00,1.00,6.00,NULL,2.00,3.00,1.00,316,101,NULL,'ABRAÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019868,4.00,6.00,3.00,6.00,5.00,5.00,2.00,5.00,3.00,217,NULL,NULL,'COSTEIRA','FLORIANOPOLIS','SC',15161,131,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019876,3.00,3.00,3.00,3.00,2.00,NULL,2.00,1.00,1.00,104,103,NULL,'PARQUE SÃO JORGE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019884,4.00,5.00,1.00,7.00,8.00,5.25,6.00,5.00,3.00,303,327,NULL,'ITACORUBI','FLORIANOPOLIS','SC',10879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019892,3.00,8.00,2.00,4.00,5.00,4.75,2.00,6.00,3.00,319,310,NULL,'BUTANTÃ','SAO PAULO','SP',15917,319,157,NULL,NULL,NULL,NULL,2,1),(15,2019914,5.00,7.00,7.00,6.00,7.00,5.00,5.00,4.00,4.00,220,202,203,'VILA OLINDA','CAMPO GRANDE','MS',7578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019922,2.00,4.00,4.00,7.00,7.00,5.75,4.00,4.00,2.00,103,207,NULL,'PROGRESSO','BENTO GONCALVES','RS',15424,2673,NULL,NULL,NULL,NULL,NULL,2,8),(15,2019930,2.00,8.00,8.00,9.00,9.00,6.25,8.00,7.00,3.00,326,327,NULL,'ASA SUL','BRASILIA','DF',2024,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2019949,5.00,7.00,6.00,4.00,7.00,7.00,4.00,7.00,4.00,426,320,427,'FLORESTA','SAO JOSE','SC',6869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2019973,4.00,3.00,1.00,4.00,5.00,5.00,6.00,2.00,4.00,424,427,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',19643,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2019981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,501,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2019990,2.00,8.00,8.00,4.00,7.00,6.50,6.00,6.00,6.00,217,223,NULL,'IPIRANGA','SAO JOSE','SC',5092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020017,2.00,6.00,3.00,6.00,5.00,5.50,4.00,4.00,5.00,333,502,NULL,'CENTRO','JABORA','SC',15592,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2020033,3.00,6.00,3.00,4.00,2.00,NULL,3.00,5.00,1.00,103,102,NULL,'CENTRO','MACHADINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2020041,2.00,4.00,1.00,0.00,4.00,NULL,0.00,4.00,2.00,339,317,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020050,3.00,8.00,6.00,5.00,8.00,4.00,7.00,6.00,6.00,216,108,211,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',6152,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020068,3.00,4.00,4.00,4.00,6.00,5.25,6.00,6.00,3.00,319,202,NULL,'TRIÂNGULO','CARLOS BARBOSA','RS',12834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020076,4.00,5.00,1.00,5.00,5.00,5.00,4.00,4.00,2.00,238,301,NULL,'CENTRO','PALHOCA','SC',18182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020084,1.00,4.00,2.00,4.00,6.00,3.50,3.00,3.00,3.00,339,309,NULL,'PORTO DA LAGOA','FLORIANOPOLIS','SC',20728,134,230,NULL,NULL,NULL,NULL,2,1),(15,2020092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,444,212,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2020106,4.00,6.00,4.00,9.00,6.00,3.75,5.00,6.00,1.00,208,222,238,'GONZAGA','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020130,5.00,6.00,5.00,9.00,6.00,3.75,4.00,4.00,5.00,203,220,214,'TRÊS FIGUEIRAS','PORTO ALEGRE','RS',8298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020157,5.00,6.00,7.00,2.00,6.00,5.25,8.00,7.00,3.00,220,320,214,'VILA EMA','SAO JOSE DOS CAMPOS','SP',8503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,327,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2020181,5.00,8.00,7.00,5.00,8.00,5.25,6.00,7.00,6.00,202,208,201,'VILA MARIANA','SAO PAULO','SP',4301,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,327,NULL,'JD PRESIDENTE','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2020203,3.00,5.00,4.00,4.00,7.00,4.50,4.00,6.00,1.00,404,444,NULL,'BARREIROS','SAO JOSE','SC',14946,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020211,6.00,9.00,8.00,7.00,6.00,5.00,9.00,6.00,5.00,103,319,NULL,'PANTANAL','FLORIANOPOLIS','SC',3153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020220,7.00,8.00,5.00,8.00,8.00,6.25,7.00,7.00,7.00,303,5,NULL,'JDM DAS AMERICAS','CUIABA','MT',1665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020238,7.00,8.00,7.00,9.00,8.00,7.00,6.00,5.00,5.00,5,303,NULL,'PANTANAL','FLORIANOPOLIS','SC',2463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020254,1.00,6.00,3.00,6.00,5.00,4.75,5.00,4.00,2.00,108,501,NULL,'JARDIM AEROPORTO','BAURU','SP',15661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020262,6.00,9.00,2.00,7.00,8.00,6.25,6.00,4.00,2.00,103,102,NULL,'CORAL','LAGES','SC',6704,1720,727,NULL,NULL,NULL,NULL,2,9),(15,2020270,7.00,8.00,8.00,6.00,8.00,6.00,9.00,7.00,7.00,103,NULL,NULL,'CENTRO','ITAJAI','SC',915,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2020297,1.00,6.00,3.00,2.00,4.00,4.25,2.00,4.00,2.00,308,427,NULL,'COQUEIROS','FLORIANOPOLIS','SC',22035,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020300,2.00,3.00,2.00,6.00,5.00,6.75,4.00,2.00,4.00,103,104,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',18132,2873,1206,NULL,NULL,NULL,NULL,2,6),(15,2020319,7.00,8.00,8.00,6.00,8.00,6.75,7.00,5.00,6.00,103,108,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',2365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020327,3.00,8.00,3.00,1.00,6.00,5.00,4.00,7.00,3.00,301,420,NULL,'CENTRO','FLORIANOPOLIS','SC',12375,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020335,5.00,5.00,6.00,3.00,7.00,5.00,6.00,5.00,4.00,238,304,208,'PARQUE DE EXPOSIÇÕES','CONCORDIA','SC',10482,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2020343,3.00,5.00,4.00,2.00,5.00,3.00,4.00,4.00,2.00,333,444,NULL,'VILA BOCAINA','MAUA','SP',19715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020351,5.00,6.00,6.00,8.00,9.00,6.00,5.00,7.00,6.00,415,329,NULL,'CENTRO','FLORIANOPOLIS','SC',4001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020378,6.00,9.00,5.00,8.00,9.00,6.75,8.00,7.00,6.00,9,415,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',1455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020386,2.00,7.00,5.00,4.00,3.00,5.75,5.00,4.00,2.00,103,NULL,NULL,'JD MARIA LUIZA','JUNDIAI','SP',16077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020394,4.00,9.00,8.00,9.00,8.00,7.25,9.00,8.00,4.00,214,501,207,'FUNDOS','BIGUACU','SC',1002,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2020408,6.00,8.00,5.00,6.00,8.00,4.25,8.00,8.00,6.00,103,101,NULL,'SERTAO','SANTO AMARO DA IMPERATRIZ','SC',2988,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020432,4.00,7.00,3.00,6.00,6.00,3.25,5.00,5.00,3.00,203,2,233,'CAPOEIRAS','FLORIANOPOLIS','SC',12859,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020440,4.00,8.00,6.00,7.00,6.00,6.25,5.00,6.00,2.00,201,207,212,'CAMPECHE','FLORIANOPOLIS','SC',8167,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020459,2.00,6.00,3.00,6.00,7.00,6.50,7.00,6.00,1.00,424,427,421,'PICADAS DO NORTE','SAO JOSE','SC',11628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020467,6.00,8.00,7.00,7.00,8.00,9.00,8.00,9.00,5.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',853,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2020475,3.00,6.00,4.00,5.00,8.00,5.50,5.00,6.00,2.00,102,9,NULL,'VILA BETHANIA','SAO JOSE DOS CAMPOS','SP',10723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020491,3.00,7.00,5.00,5.00,4.00,5.75,7.00,6.00,4.00,339,427,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',9079,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020505,2.00,3.00,2.00,4.00,4.00,4.75,3.00,3.00,2.00,320,339,NULL,'BARREIROS','SAO JOSE','SC',21557,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020513,7.00,9.00,8.00,8.00,9.00,7.00,7.00,6.00,4.00,103,203,NULL,'EUGENIO SCHNEIDER','RIO DO SUL','SC',1250,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2020521,1.00,5.00,2.00,6.00,5.00,5.00,3.00,1.00,2.00,217,NULL,NULL,'PAROLIN','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020530,4.00,8.00,8.00,6.00,7.00,4.50,8.00,5.00,4.00,203,225,238,'AREIAS','SAO JOSE','SC',4856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,238,NULL,'CAMINHO NOVO','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2020572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,304,NULL,'CENTRO','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2020580,1.00,5.00,2.00,1.00,5.00,4.00,4.00,5.00,1.00,502,501,NULL,'ESTREITO','FLORIANOPOLIS','SC',21466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020599,2.00,5.00,4.00,3.00,4.00,6.00,3.00,4.00,3.00,333,211,NULL,'CENTRO','FLORIANOPOLIS','SC',19316,351,995,NULL,NULL,NULL,NULL,4,1),(15,2020637,5.00,7.00,6.00,9.00,8.00,6.25,6.00,8.00,4.00,108,211,NULL,'FLORA','VACARIA','RS',3482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020645,4.00,7.00,3.00,3.00,5.00,4.75,5.00,5.00,1.00,333,502,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',15881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020653,4.00,7.00,4.00,7.00,8.00,4.25,5.00,6.00,4.00,301,304,NULL,'CENTRO','FLORIANOPOLIS','SC',8945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020661,1.00,6.00,3.00,4.00,8.00,3.00,4.00,4.00,2.00,203,429,202,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',16980,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020688,5.00,7.00,1.00,7.00,5.00,6.00,4.00,7.00,2.00,319,308,NULL,'SEMINÁRIO','TAIO','SC',10869,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020696,4.00,8.00,7.00,9.00,9.00,5.25,7.00,6.00,4.00,304,318,NULL,'JARDIM MALUCHE','BRUSQUE','SC',2745,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2020700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,2,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2020726,5.00,8.00,7.00,5.00,8.00,5.50,7.00,7.00,4.00,316,502,NULL,'FIGUEIRA','JACINTO MACHADO','SC',3739,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2020742,5.00,7.00,7.00,6.00,8.00,5.50,6.00,8.00,4.00,104,423,NULL,'CENTRO','FLORIANOPOLIS','SC',5068,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020750,3.00,5.00,2.00,5.00,5.00,5.00,4.00,5.00,4.00,333,426,NULL,'AREIAS','SAO JOSE','SC',16526,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020777,2.00,5.00,3.00,7.00,4.00,4.75,5.00,6.00,1.00,217,234,NULL,'CENTRO','FLORIANOPOLIS','SC',13785,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020785,3.00,4.00,4.00,6.00,6.00,5.75,2.00,2.00,1.00,415,451,NULL,'CENTRO HISTÓRICO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020793,3.00,4.00,3.00,4.00,6.00,4.00,3.00,2.00,1.00,212,317,201,'PARQUE VERDE','CASCAVEL','PR',20981,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020807,3.00,7.00,1.00,5.00,6.00,5.00,5.00,3.00,1.00,2,225,NULL,'VILA MORAES','CALDAS NOVAS','GO',17335,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020823,6.00,8.00,9.00,8.00,8.00,5.25,9.00,7.00,7.00,220,NULL,213,'CARVOEIRA','FLORIANOPOLIS','SC',788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020831,5.00,7.00,4.00,5.00,6.00,3.50,5.00,5.00,2.00,103,333,NULL,'UBERABA','CURITIBA','PR',13388,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2020858,3.00,7.00,5.00,8.00,6.00,6.00,4.00,4.00,5.00,310,429,NULL,'COQUEIROS','FLORIANOPOLIS','SC',8218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,333,NULL,'MEDIANEIRA','SANTA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2020874,2.00,6.00,4.00,5.00,8.00,5.00,6.00,0.00,3.00,451,108,NULL,'CENTRO','FLORIANOPOLIS','SC',15402,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2020882,3.00,4.00,5.00,3.00,7.00,4.25,7.00,3.00,4.00,404,444,NULL,'FUNCIONÁRIOS','BELO HORIZONTE','MG',14226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020890,5.00,7.00,6.00,3.00,9.00,5.75,7.00,9.00,5.00,212,238,201,'COQUEIROS','FLORIANOPOLIS','SC',4002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020912,4.00,7.00,7.00,6.00,7.00,4.25,7.00,7.00,2.00,420,324,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',7213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2020920,3.00,7.00,5.00,2.00,8.00,5.25,5.00,4.00,4.00,101,108,NULL,'FLORESTA','JOINVILLE','SC',11170,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2020939,2.00,6.00,1.00,5.00,9.00,2.25,4.00,4.00,2.00,316,301,NULL,'SANTO ANTÔNIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020947,0.00,5.00,4.00,4.00,6.00,5.75,5.00,4.00,3.00,319,303,NULL,'NATUREZA','ITA','SC',17011,360,1269,NULL,NULL,NULL,NULL,4,4),(15,2020955,5.00,7.00,5.00,8.00,8.00,6.00,6.00,7.00,5.00,420,207,NULL,'SAGUAÇÚ','JOINVILLE','SC',4273,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2020963,3.00,4.00,2.00,2.00,2.00,NULL,2.00,3.00,2.00,103,9,NULL,'SAO RAFAEL','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2020971,2.00,8.00,4.00,7.00,5.00,5.50,3.00,6.00,2.00,234,502,NULL,'SÃO LUIZ','ITU','SP',12683,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2020980,2.00,6.00,4.00,4.00,5.00,4.50,4.00,5.00,3.00,324,317,NULL,'ROÇADO','SAO JOSE','SC',15458,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2020998,4.00,8.00,7.00,5.00,7.00,7.00,4.00,6.00,3.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',7466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021005,8.00,6.00,6.00,4.00,8.00,7.75,8.00,5.00,5.00,103,303,NULL,'LIBERDADE','SAO PAULO','SP',4080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021013,8.00,7.00,9.00,9.00,8.00,8.00,9.00,7.00,6.00,103,427,NULL,'CENTRO','URUSSANGA','SC',338,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2021021,5.00,8.00,7.00,7.00,9.00,6.75,8.00,7.00,6.00,103,303,NULL,'CENTRO','CURITIBA','PR',1507,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2021030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,104,NULL,'JARDIM MAUÁ','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2021048,1.00,2.00,3.00,3.00,3.00,NULL,2.00,2.00,3.00,308,420,NULL,'ARMAÇÃO DO SUL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2021056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,324,NULL,'VENEZA','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2021064,1.00,3.00,2.00,4.00,4.00,4.00,3.00,3.00,2.00,420,203,NULL,'SANTA TEREZINHA','VACARIA','RS',22447,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2021072,4.00,6.00,3.00,8.00,7.00,4.50,6.00,8.00,2.00,233,203,214,'CENTRO','PATO BRANCO','PR',9673,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2021080,6.00,9.00,8.00,5.00,9.00,5.00,8.00,7.00,3.00,108,333,NULL,'CENTRO','FLORIANOPOLIS','SC',2894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021099,2.00,2.00,1.00,5.00,7.00,6.75,4.00,5.00,1.00,217,303,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',19032,179,1294,NULL,NULL,NULL,NULL,2,1),(15,2021102,7.00,8.00,9.00,6.00,9.00,6.25,9.00,9.00,8.00,103,101,NULL,'CENTRO','CONCORDIA','SC',421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021110,0.00,1.00,1.00,3.00,5.00,NULL,3.00,3.00,2.00,303,301,NULL,'CENTRO','ITA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2021129,1.00,6.00,5.00,3.00,5.00,3.75,5.00,4.00,1.00,318,320,NULL,'CENTRO','GUAPORE','RS',17927,223,219,NULL,NULL,NULL,NULL,4,8),(15,2021137,3.00,3.00,4.00,1.00,6.00,4.75,2.00,3.00,3.00,444,5,NULL,'AVENTUREIRO','JOINVILLE','SC',21140,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2021153,1.00,7.00,3.00,7.00,7.00,6.25,5.00,5.00,3.00,303,304,NULL,'CENTRO','FLORIANOPOLIS','SC',10302,542,317,NULL,NULL,NULL,NULL,2,1),(15,2021161,1.00,3.00,4.00,2.00,4.00,5.25,2.00,3.00,2.00,233,203,216,'CENTRO','JOACABA','SC',22116,472,1461,566,NULL,NULL,NULL,4,7),(15,2021170,3.00,7.00,2.00,6.00,5.00,6.00,4.00,4.00,4.00,9,319,NULL,'CENTRO','XANXERE','SC',12883,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2021188,6.00,6.00,8.00,4.00,7.00,5.50,8.00,4.00,7.00,203,202,233,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',5697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021196,4.00,6.00,4.00,6.00,8.00,5.50,6.00,4.00,2.00,103,333,NULL,'PASSO DOS FORTES','CHAPECO','SC',10936,2260,687,NULL,NULL,NULL,NULL,2,4),(15,2021200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2021218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,238,208,'CENTRO','ITARARE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2021234,6.00,8.00,7.00,7.00,8.00,6.25,6.00,7.00,4.00,216,208,213,'PRIMEIRO DE MAIO','BRUSQUE','SC',3435,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2021242,5.00,9.00,5.00,9.00,6.00,6.25,9.00,7.00,6.00,318,201,NULL,'MICHEL','CRICIUMA','SC',2186,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2021250,5.00,7.00,5.00,8.00,9.00,6.50,7.00,5.00,6.00,450,428,NULL,'CENTRO','ERECHIM','RS',4396,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2021269,5.00,8.00,5.00,7.00,8.00,6.50,6.00,8.00,5.00,207,420,NULL,'CENTRO','CASCAVEL','PR',3011,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2021285,3.00,5.00,3.00,2.00,4.00,5.50,4.00,5.00,4.00,101,501,NULL,'COQUEIROS','FLORIANOPOLIS','SC',18153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021293,2.00,3.00,3.00,5.00,5.00,5.50,4.00,5.00,2.00,420,450,NULL,'CENTRO','ITARARE','SP',18921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021307,4.00,6.00,6.00,6.00,7.00,3.00,6.00,4.00,4.00,208,104,238,'JARDIM FLORIDIANA','RIO CLARO','SP',10132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021323,4.00,6.00,4.00,2.00,7.00,5.50,7.00,2.00,3.00,217,211,NULL,'CENTRO','POMERODE','SC',13671,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2021331,5.00,6.00,7.00,2.00,6.00,6.00,6.00,7.00,2.00,201,318,207,'BARREIROS','SAO JOSE','SC',9416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021340,7.00,8.00,9.00,4.00,8.00,7.00,8.00,7.00,8.00,103,101,NULL,'PONTA DA PRAIA','SANTOS','SP',888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021358,4.00,5.00,6.00,8.00,9.00,6.00,6.00,5.00,3.00,103,102,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',5756,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2021366,7.00,7.00,6.00,7.00,8.00,5.00,8.00,7.00,2.00,220,NULL,203,'FAZENDA','ITAJAI','SC',4723,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2021374,4.00,8.00,7.00,7.00,8.00,3.75,5.00,7.00,2.00,5,333,NULL,'MAR GROSSO','LAGUNA','SC',6391,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2021382,2.00,5.00,5.00,7.00,8.00,5.75,6.00,3.00,3.00,104,102,NULL,'CENTRO','CHAPECO','SC',11950,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2021390,3.00,6.00,3.00,4.00,5.00,4.25,3.00,3.00,2.00,327,415,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',19423,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2021404,3.00,8.00,7.00,6.00,7.00,5.00,6.00,7.00,3.00,220,203,214,'CENTRO','NAVEGANTES','SC',5787,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2021420,2.00,6.00,2.00,6.00,4.00,5.25,3.00,5.00,3.00,319,444,NULL,'OFICINAS','TUBARAO','SC',17794,383,524,NULL,NULL,NULL,NULL,2,10),(15,2021447,0.00,2.00,1.00,1.00,3.00,NULL,3.00,2.00,2.00,104,NULL,NULL,'CENTRO','IJUI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2021455,3.00,5.00,3.00,6.00,5.00,5.00,4.00,5.00,3.00,303,5,NULL,'CENTRO','MARINGA','PR',13891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021463,7.00,7.00,4.00,8.00,8.00,6.25,7.00,4.00,3.00,207,333,201,'COSTEIRA PIRAJUBAÉ','FLORIANOPOLIS','SC',4999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2021510,4.00,5.00,2.00,2.00,6.00,5.50,5.00,4.00,1.00,420,319,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',18694,372,893,NULL,NULL,NULL,NULL,4,3),(15,2021528,4.00,7.00,4.00,4.00,5.00,5.50,5.00,5.00,5.00,202,203,213,'CENTRO','CASA BRANCA','SP',11796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,404,NULL,'CENTRO','DIONISIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2021544,9.00,8.00,8.00,9.00,9.00,6.00,9.00,7.00,7.00,103,102,NULL,'CAMPECHE','FLORIANOPOLIS','SC',137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021552,1.00,6.00,3.00,8.00,4.00,7.00,4.00,5.00,4.00,238,203,211,'LAGOA DA CONCEICAO','FLORIANOPOLIS','SC',13190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021560,1.00,4.00,2.00,4.00,5.00,4.25,2.00,5.00,2.00,319,9,NULL,'JARDIM GLORIA','BENTO GONCALVES','RS',21370,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2021579,5.00,6.00,4.00,6.00,8.00,4.25,8.00,5.00,4.00,217,324,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',8448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021587,2.00,4.00,0.00,5.00,7.00,4.50,4.00,4.00,2.00,502,423,NULL,'ITACORUBI','FLORIANOPOLIS','SC',19540,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2021609,7.00,7.00,7.00,8.00,7.00,6.25,9.00,8.00,7.00,103,213,NULL,'FUNCIONARIOS','BELO HORIZONTE','MG',946,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2021617,3.00,9.00,4.00,8.00,8.00,7.25,6.00,8.00,3.00,5,211,NULL,'CENTRO','CAMBORIU','SC',4389,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2021625,8.00,9.00,9.00,9.00,9.00,8.75,9.00,9.00,8.00,103,101,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',2,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021641,5.00,7.00,6.00,6.00,7.00,4.75,6.00,5.00,3.00,103,207,NULL,'BAEPENDI','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2021650,3.00,5.00,0.00,5.00,6.00,5.00,3.00,2.00,1.00,302,304,NULL,'KOBRASOL','SAO JOSE','SC',20044,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2021668,5.00,6.00,5.00,6.00,5.00,4.50,3.00,5.00,3.00,238,333,208,'TRINDADE','FLORIANOPOLIS','SC',13323,482,778,494,NULL,NULL,NULL,2,1),(15,2021706,5.00,7.00,6.00,4.00,5.00,5.75,7.00,6.00,4.00,425,223,421,'CAMPINAS','SAO JOSE','SC',7609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,5,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2021722,2.00,3.00,3.00,2.00,7.00,NULL,2.00,1.00,2.00,425,421,NULL,'NOSS SENH DO ROSARIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2021749,6.00,8.00,6.00,9.00,8.00,5.50,6.00,6.00,2.00,420,326,NULL,'PANTANAL','FLORIANOPOLIS','SC',3724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021757,4.00,5.00,2.00,6.00,5.00,4.75,4.00,5.00,6.00,103,319,NULL,'TAGUATINGA','TAGUATINGA','DF',13394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021765,4.00,6.00,3.00,3.00,5.00,4.75,2.00,3.00,2.00,101,339,NULL,'CAMPINAS','SAO JOSE','SC',19673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2021773,2.00,6.00,1.00,6.00,7.00,4.00,3.00,3.00,3.00,423,427,424,'ESTREITO','FLORIANOPOLIS','SC',18572,67,204,72,NULL,NULL,NULL,2,1),(15,2021781,4.00,6.00,5.00,4.00,4.00,4.75,6.00,2.00,0.00,308,339,NULL,'PORTO DA LAGOA','FLORIANOPOLIS','SC',18347,110,341,NULL,NULL,NULL,NULL,2,1),(15,2021790,6.00,4.00,2.00,8.00,6.00,4.50,6.00,5.00,5.00,208,222,216,'COLONINHA','FLORIANOPOLIS','SC',9476,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2021820,2.00,4.00,0.00,2.00,5.00,NULL,4.00,3.00,2.00,333,332,NULL,'FAZENDA STO ANTÔNIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021838,4.00,8.00,3.00,6.00,7.00,6.25,7.00,6.00,6.00,420,301,NULL,'IMIGRANTES','CONCORDIA','SC',6459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021846,7.00,6.00,8.00,8.00,9.00,6.00,5.00,7.00,8.00,103,NULL,NULL,'VILA SUISSA','MOGI DAS CRUZES','SP',2227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021854,1.00,7.00,5.00,6.00,7.00,6.50,4.00,7.00,4.00,207,420,201,'LUTHER KING','FRANCISCO BELTRAO','PR',9271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021870,1.00,8.00,3.00,5.00,6.00,4.75,3.00,5.00,1.00,308,217,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',16500,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2021889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,420,NULL,'JD DAS FELICIDADES','JANDAIA DO SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2021919,4.00,7.00,6.00,8.00,6.00,6.50,5.00,7.00,4.00,103,102,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',5153,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2021927,2.00,5.00,8.00,6.00,7.00,5.00,5.00,4.00,2.00,203,202,201,'ANITA GARIBALDI','JOINVILLE','SC',11037,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2021943,6.00,8.00,7.00,8.00,9.00,6.25,9.00,9.00,7.00,103,303,NULL,'CAMPO GRANDE','SANTOS','SP',785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021951,5.00,8.00,3.00,7.00,6.00,6.00,2.00,7.00,5.00,301,212,NULL,'VL NOVA SANTA CLARA','BAURU','SP',7676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021978,2.00,4.00,1.00,1.00,7.00,NULL,2.00,2.00,4.00,101,9,NULL,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2021986,7.00,9.00,7.00,9.00,7.00,7.50,7.00,7.00,5.00,303,319,NULL,'SERRINHA','FLORIANOPOLIS','SC',1614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2021994,3.00,6.00,4.00,6.00,6.00,3.75,3.00,4.00,3.00,316,301,NULL,'INGLESES','FLORIANOPOLIS','SC',15284,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2022001,3.00,5.00,2.00,6.00,6.00,6.25,5.00,5.00,3.00,317,308,NULL,'JARDIM ELDORADO','PALHOCA','SC',13487,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2022010,6.00,7.00,7.00,5.00,8.00,6.50,5.00,8.00,4.00,102,216,NULL,'VILA COPEL','RESERVA DO IGUACU','PR',5164,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2022028,3.00,4.00,2.00,4.00,8.00,4.75,3.00,2.00,3.00,104,333,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2022036,3.00,7.00,2.00,1.00,5.00,4.75,3.00,4.00,2.00,201,213,212,'ESTREITO','FLORIANOPOLIS','SC',19166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,104,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2022052,6.00,8.00,6.00,8.00,7.00,6.00,7.00,5.00,3.00,103,101,NULL,'CENTRO','FRANCA','SP',4209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022060,1.00,3.00,1.00,4.00,4.00,4.00,4.00,4.00,3.00,207,444,NULL,'LARANJEIRAS','RIO DO SUL','SC',21443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2022079,3.00,7.00,0.00,3.00,4.00,NULL,5.00,4.00,3.00,108,415,NULL,'BOA VISTA','PINDAMONHANGABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'JARDIM UNIVERSITÁRIO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2022117,1.00,7.00,6.00,7.00,6.00,7.00,5.00,4.00,3.00,301,317,NULL,'CENTRO','SAO JOSE','SC',10528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022125,3.00,6.00,4.00,6.00,4.00,5.00,3.00,7.00,3.00,501,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',13999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2022133,1.00,7.00,3.00,6.00,7.00,5.75,2.00,4.00,3.00,333,NULL,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',14702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2022141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,420,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2022168,2.00,4.00,1.00,0.00,4.00,NULL,1.00,5.00,1.00,415,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022176,7.00,7.00,8.00,3.00,8.00,7.25,8.00,7.00,4.00,216,201,202,'CENTRO','CRICIUMA','SC',3303,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2022184,5.00,7.00,5.00,4.00,8.00,5.25,8.00,6.00,7.00,220,202,203,'SANTA MARIA','CHAPECO','SC',4691,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2022192,2.00,4.00,3.00,2.00,4.00,NULL,3.00,2.00,1.00,202,NULL,208,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022214,6.00,7.00,5.00,6.00,8.00,5.25,6.00,8.00,4.00,203,108,208,'CENTRO','CURITIBANOS','SC',4714,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2022222,3.00,8.00,7.00,8.00,8.00,4.50,8.00,6.00,7.00,202,304,208,'CENTRO','SAO BENTO DO SUL','SC',3318,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2022230,4.00,7.00,6.00,7.00,6.00,5.50,7.00,5.00,5.00,333,234,NULL,'VILLAGE','IMBITUBA','SC',5759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022249,2.00,7.00,4.00,9.00,8.00,7.00,4.00,8.00,4.00,303,320,NULL,'CENTRO','FLORIANOPOLIS','SC',6489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022257,7.00,7.00,8.00,9.00,8.00,6.00,7.00,6.00,6.00,103,104,NULL,'SAGRADO COR DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2022265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,415,NULL,'VILA MARIANA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2022273,3.00,1.00,1.00,1.00,5.00,5.00,3.00,5.00,2.00,303,5,NULL,'JD AQUARIUS','SAO JOSE DOS CAMPOS','SP',22282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022281,5.00,8.00,5.00,9.00,8.00,5.50,8.00,7.00,2.00,208,NULL,NULL,'SANTA TEREZA','JOACABA','SC',2990,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2022290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,426,NULL,'MOINHOS DE VENTO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2022303,4.00,7.00,0.00,6.00,7.00,4.50,3.00,3.00,4.00,101,326,NULL,'CENTRO','FLORIANOPOLIS','SC',14538,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2022311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,5,NULL,'LAGO SUL','LAGO SUL','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2022320,4.00,6.00,0.00,4.00,7.00,4.75,2.00,5.00,3.00,425,308,421,'ST ANTONIO DE LISBOA','FLORIANOPOLIS','SC',16593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022338,5.00,5.00,6.00,4.00,8.00,5.00,3.00,6.00,2.00,108,451,NULL,'CENTRO','VIDAL RAMOS','SC',10320,209,177,NULL,NULL,NULL,NULL,4,1),(15,2022346,6.00,6.00,9.00,5.00,8.00,6.75,7.00,6.00,7.00,203,NULL,202,'VILA NOVA','BLUMENAU','SC',1912,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2022354,6.00,5.00,7.00,4.00,7.00,4.25,7.00,3.00,6.00,216,316,NULL,'PORTÃO','CURITIBA','PR',7540,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2022362,6.00,6.00,6.00,5.00,7.00,5.75,8.00,7.00,5.00,5,326,NULL,'GUANABARA','JOINVILLE','SC',3815,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2022370,7.00,7.00,5.00,7.00,6.00,8.00,7.00,8.00,7.00,103,108,NULL,'JD LAS PALMAS','GUARUJA','SP',1734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022389,7.00,8.00,7.00,8.00,9.00,6.50,6.00,8.00,6.00,302,428,NULL,'PICADAS DO SUL','SAO JOSE','SC',1231,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2022397,8.00,7.00,8.00,6.00,6.00,7.00,9.00,6.00,5.00,203,NULL,NULL,'JARDIM TABAETÊ','MARINGA','PR',2536,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2022419,2.00,5.00,0.00,3.00,6.00,6.75,3.00,3.00,4.00,202,201,233,'BOA VISTA','RIO DO SUL','SC',18808,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2022427,3.00,6.00,5.00,5.00,6.00,5.25,3.00,6.00,2.00,207,211,201,'CAMPECHE','FLORIANOPOLIS','SC',11952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022443,4.00,5.00,1.00,8.00,6.00,7.50,3.00,5.00,4.00,308,428,NULL,'TRINDADE','FLORIANOPOLIS','SC',12836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022451,4.00,7.00,7.00,6.00,8.00,5.75,6.00,5.00,2.00,316,332,NULL,'CAMPECHE','FLORIANOPOLIS','SC',6902,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2022460,2.00,1.00,2.00,0.00,5.00,NULL,2.00,2.00,0.00,404,301,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022478,5.00,7.00,7.00,8.00,8.00,6.00,6.00,6.00,3.00,318,316,NULL,'COQUEIROS','FLORIANOPOLIS','SC',4487,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2022486,4.00,7.00,5.00,5.00,7.00,5.50,5.00,5.00,4.00,234,333,NULL,'CAMPECHE','FLORIANOPOLIS','SC',9026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022494,4.00,6.00,1.00,5.00,8.00,6.00,4.00,7.00,3.00,450,415,NULL,'CENTRO','PALHOCA','SC',11109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2022516,3.00,8.00,5.00,8.00,9.00,6.50,5.00,9.00,3.00,5,316,NULL,'MONTE CASTELO','TUBARAO','SC',3260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022524,4.00,7.00,4.00,3.00,8.00,4.75,5.00,7.00,3.00,332,423,NULL,'CARIANOS','FLORIANOPOLIS','SC',11008,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2022532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'JARDIM ALVORADA','VOTUPORANGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2022540,2.00,5.00,5.00,5.00,6.00,4.00,8.00,2.00,3.00,203,202,220,'JARDIM KARLA','FOZ DO IGUACU','PR',14784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,333,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2022575,3.00,3.00,0.00,6.00,4.00,5.00,3.00,3.00,2.00,9,103,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',21104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2022583,2.00,7.00,2.00,1.00,6.00,4.50,9.00,3.00,3.00,404,302,NULL,'ESTREITO','FLORIANOPOLIS','SC',15956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022591,5.00,5.00,6.00,7.00,8.00,6.50,7.00,6.00,3.00,103,216,NULL,'CENTRO','FOZ DO IGUACU','PR',5638,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2022605,2.00,7.00,4.00,1.00,9.00,4.75,3.00,6.00,3.00,5,NULL,NULL,'CENTRO','LOANDA','PR',13898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2022613,3.00,5.00,5.00,6.00,6.00,5.25,4.00,7.00,3.00,201,NULL,207,'VELHA','BLUMENAU','SC',9678,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2022621,6.00,7.00,8.00,7.00,7.00,6.75,9.00,6.00,5.00,103,303,NULL,'AMÉRICA','JOINVILLE','SC',2420,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2022630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,5,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2022648,3.00,8.00,6.00,6.00,7.00,4.50,6.00,6.00,4.00,203,420,214,'UNIVERSITARIO','CHAPECO','SC',6415,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2022656,8.00,9.00,9.00,9.00,8.00,6.50,9.00,8.00,6.00,103,223,NULL,'CENTRO','FLORIANOPOLIS','SC',369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2022672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,428,NULL,'VILA IPOJUCA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2022680,6.00,7.00,6.00,9.00,8.00,7.25,6.00,7.00,4.00,303,NULL,NULL,'ALTO DA RUA XV','CURITIBA','PR',2594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022699,5.00,7.00,5.00,2.00,8.00,6.25,8.00,5.00,5.00,207,NULL,NULL,'ASA SUL','BRASILIA','DF',6790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022702,1.00,4.00,2.00,1.00,4.00,5.25,5.00,4.00,2.00,327,329,NULL,'VENEZA','XANXERE','SC',21900,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2022710,9.00,9.00,9.00,8.00,8.00,7.00,9.00,8.00,9.00,103,429,NULL,'CENTRO','XANXERE','SC',67,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2022729,4.00,6.00,5.00,4.00,6.00,4.25,4.00,6.00,2.00,318,304,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',12783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022737,5.00,8.00,5.00,8.00,7.00,6.25,7.00,8.00,3.00,103,NULL,NULL,'CENTRO','CRICIUMA','SC',2729,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2022753,3.00,7.00,2.00,4.00,4.00,6.00,4.00,5.00,3.00,104,308,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2022788,7.00,9.00,8.00,9.00,8.00,6.00,7.00,9.00,6.00,5,238,NULL,'CENTRO','FLORIANOPOLIS','SC',736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,201,NULL,'CENTRO','MARAU','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2022800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,303,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2022818,2.00,7.00,7.00,6.00,8.00,6.25,7.00,3.00,3.00,207,303,201,'CENTRO','SEARA','SC',7633,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2022826,3.00,7.00,4.00,6.00,7.00,4.50,4.00,4.00,2.00,216,211,233,'BARREIROS','SAO JOSE','SC',12258,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2022834,5.00,9.00,5.00,7.00,7.00,6.00,8.00,6.00,5.00,220,328,202,'MICHEL','CRICIUMA','SC',3548,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2022842,1.00,5.00,3.00,0.00,6.00,4.25,2.00,4.00,1.00,327,328,NULL,'CENTRO','CAPINZAL','SC',22090,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2022850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,319,NULL,'V MEDON','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2022869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,319,NULL,'CENTRO','MARAU','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2022877,7.00,8.00,4.00,6.00,8.00,7.75,7.00,8.00,6.00,103,102,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',1807,728,596,NULL,NULL,NULL,NULL,2,1),(15,2022885,7.00,7.00,7.00,9.00,8.00,7.00,8.00,6.00,6.00,108,103,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',1915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022893,3.00,5.00,3.00,3.00,7.00,5.25,5.00,5.00,5.00,108,333,NULL,'PASSA VINTE','PALHOCA','SC',14350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022907,2.00,5.00,3.00,3.00,6.00,5.00,4.00,3.00,2.00,201,207,202,'ITACOLOMI','GRAVATAI','RS',19404,1023,1283,653,NULL,NULL,NULL,2,1),(15,2022915,5.00,6.00,8.00,8.00,7.00,5.00,8.00,7.00,4.00,233,301,203,'PORTAL DA OLARIA','SAO SEBASTIAO','SP',3757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,451,NULL,'JARDIM IMPERIAL','ATIBAIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2022931,6.00,8.00,5.00,5.00,9.00,5.00,7.00,6.00,7.00,103,104,NULL,'CENTRO','SANTA CECILIA','SC',4237,1287,904,NULL,NULL,NULL,NULL,2,3),(15,2022940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2022958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,220,215,'CENTRO','PRUDENTOPOLIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2022966,4.00,4.00,5.00,4.00,3.00,5.00,2.00,7.00,3.00,214,303,203,'JARDIM GLÓRIA','AMERICANA','SP',16343,499,1254,1006,NULL,NULL,NULL,2,2),(15,2022974,2.00,7.00,4.00,4.00,7.00,5.00,4.00,2.00,2.00,108,502,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',16390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2022982,3.00,8.00,4.00,5.00,7.00,5.00,4.00,6.00,4.00,333,444,NULL,'SERTÃO DO RIBEIRÃO','FLORIANOPOLIS','SC',9170,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2022990,2.00,6.00,4.00,1.00,7.00,4.50,3.00,3.00,3.00,217,212,NULL,'FORQUILHAS','SAO JOSE','SC',18235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023008,3.00,8.00,4.00,8.00,8.00,6.25,6.00,7.00,2.00,301,316,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',6390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023016,3.00,9.00,9.00,8.00,6.00,5.00,7.00,7.00,6.00,2,215,NULL,'ENCRUZILHADA','SANTOS','SP',2574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023024,3.00,7.00,3.00,4.00,5.00,3.75,4.00,4.00,3.00,213,203,214,'CENTRO','SINOP','MT',15391,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2023032,7.00,6.00,7.00,4.00,9.00,6.75,8.00,7.00,5.00,108,102,NULL,'ESTREITO','FLORIANOPOLIS','SC',2735,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2023040,4.00,9.00,7.00,9.00,8.00,6.50,8.00,6.00,2.00,420,450,NULL,'COQUEIROS','FLORIANOPOLIS','SC',3468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023059,2.00,4.00,4.00,7.00,6.00,6.50,2.00,2.00,3.00,5,301,NULL,'PICADAS DO SUL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2023067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,502,215,'JARDIM BELA VISTA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',1,4),(15,2023075,4.00,6.00,4.00,9.00,7.00,7.50,4.00,6.00,4.00,103,NULL,NULL,'LA SALLE','XANXERE','SC',6416,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2023083,2.00,6.00,3.00,3.00,7.00,2.50,4.00,5.00,1.00,333,216,NULL,'JARDIM IGUAÇU','MARINGA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023105,4.00,7.00,6.00,7.00,6.00,5.75,8.00,6.00,4.00,225,224,NULL,'JD MIRNA','TABOAO DA SERRA','SP',5861,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2023121,4.00,8.00,2.00,4.00,9.00,5.75,6.00,8.00,6.00,450,310,NULL,'AMÉRICA','JOINVILLE','SC',5901,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2023130,6.00,8.00,7.00,8.00,9.00,7.00,8.00,7.00,3.00,302,328,NULL,'KOBRASOL','SAO JOSE','SC',2500,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2023148,6.00,6.00,7.00,5.00,6.00,3.50,6.00,6.00,6.00,404,308,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',7476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023156,8.00,8.00,7.00,7.00,8.00,6.50,7.00,4.00,6.00,103,NULL,NULL,'CENTRO','MARINGA','PR',1939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023164,5.00,7.00,3.00,2.00,8.00,7.00,5.00,5.00,4.00,415,5,NULL,'GIOCONDO ORSI','CAMPO GRANDE','MS',9696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,316,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2023180,1.00,6.00,2.00,4.00,6.00,2.25,2.00,5.00,3.00,238,420,208,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2023199,4.00,6.00,5.00,6.00,6.00,6.00,4.00,5.00,4.00,212,214,220,'ASA NORTE','BRASILIA','DF',10730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023202,0.00,5.00,2.00,6.00,6.00,5.75,4.00,3.00,3.00,207,420,201,'BELA VISTA','ALVORADA','RS',17837,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2023210,2.00,7.00,1.00,5.00,4.00,6.25,4.00,6.00,2.00,303,108,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',15743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023229,5.00,7.00,4.00,7.00,6.00,6.00,6.00,7.00,2.00,202,326,213,'NOVA BRASÍLIA','JARAGUA DO SUL','SC',6901,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2023237,7.00,7.00,4.00,5.00,6.00,6.75,9.00,7.00,6.00,220,214,216,'COSTA NERY','MINEIROS','GO',3405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023245,1.00,5.00,4.00,6.00,7.00,5.00,7.00,4.00,5.00,103,202,NULL,'SAGUAÇU','JOINVILLE','SC',11042,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2023253,2.00,3.00,3.00,3.00,7.00,4.50,5.00,4.00,1.00,501,333,NULL,'PASSA VINTE','PALHOCA','SC',19394,259,970,NULL,NULL,NULL,NULL,2,1),(15,2023261,7.00,8.00,6.00,5.00,8.00,6.00,9.00,7.00,6.00,103,316,NULL,'CENTRO','XANXERE','SC',2390,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2023288,4.00,5.00,2.00,6.00,8.00,5.75,3.00,7.00,2.00,415,327,NULL,'VILA NOVA','RIO NEGRINHO','SC',12312,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2023296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,333,220,'MATA DA PRAIA','VITORIA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2023300,1.00,7.00,4.00,8.00,7.00,4.50,4.00,5.00,2.00,303,309,NULL,'DE FÁTIMA','FLORIANOPOLIS','SC',13550,649,140,NULL,NULL,NULL,NULL,2,1),(15,2023318,5.00,7.00,3.00,7.00,8.00,4.25,4.00,6.00,3.00,327,332,NULL,'PANTANAL','FLORIANOPOLIS','SC',9525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023326,4.00,6.00,5.00,5.00,8.00,5.25,6.00,6.00,1.00,5,318,NULL,'JD NOVO HORIZONTE','MARINGA','PR',9434,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2023342,5.00,7.00,2.00,4.00,8.00,6.50,4.00,7.00,5.00,301,211,NULL,'CENTRO','FLORIANOPOLIS','SC',9394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023369,4.00,6.00,7.00,7.00,8.00,6.00,6.00,8.00,3.00,304,223,NULL,'CENTRO','CHAPECO','SC',4776,NULL,NULL,NULL,NULL,NULL,NULL,3,4),(15,2023377,4.00,8.00,5.00,8.00,9.00,6.50,5.00,8.00,5.00,201,212,216,'TRINDADE','FLORIANOPOLIS','SC',3039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023385,3.00,4.00,1.00,3.00,6.00,4.25,4.00,3.00,3.00,5,303,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2023393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,203,201,'CENTRO','ALTA FLORESTA','MT',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2023407,3.00,7.00,3.00,4.00,7.00,6.25,3.00,7.00,4.00,5,328,NULL,'CENTRO','FLORIANOPOLIS','SC',10891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'MOINHOS DE VENTO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2023431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,234,212,'LAGOA DA CAONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2023440,2.00,8.00,4.00,8.00,8.00,4.75,7.00,5.00,4.00,425,207,429,'BOM ABRIGO','FLORIANOPOLIS','SC',6981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023458,5.00,8.00,6.00,8.00,9.00,7.25,8.00,7.00,6.00,213,212,214,'PRAIA BRAVA','FLORIANOPOLIS','SC',1853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2023466,3.00,4.00,5.00,5.00,7.00,4.00,4.00,5.00,4.00,208,444,NULL,'ITAIPU','NITEROI','RJ',13152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023482,6.00,6.00,7.00,8.00,8.00,6.75,7.00,6.00,5.00,207,301,201,'SAGUAÇU','JOINVILLE','SC',2860,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2023490,2.00,5.00,0.00,5.00,3.00,4.75,2.00,4.00,3.00,327,326,NULL,'EFAPI','CHAPECO','SC',21086,181,336,NULL,NULL,NULL,NULL,2,4),(15,2023504,7.00,7.00,9.00,6.00,9.00,5.75,8.00,8.00,7.00,216,NULL,NULL,'IND NORTE','SINOP','MT',944,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2023512,4.00,7.00,3.00,3.00,6.00,6.00,4.00,5.00,5.00,429,427,NULL,'BARREIROS','SAO JOSE','SC',11973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023520,5.00,8.00,7.00,8.00,6.00,6.25,6.00,5.00,5.00,103,101,NULL,'BOSQUE DA SAUDE','SAO PAULO','SP',4401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023539,4.00,7.00,3.00,6.00,5.00,5.25,3.00,1.00,3.00,9,103,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',16310,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2023555,2.00,7.00,4.00,4.00,5.00,6.25,4.00,6.00,4.00,102,428,NULL,'SERRARIA','SAO JOSE','SC',12315,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2023563,1.00,4.00,1.00,3.00,3.00,6.50,3.00,5.00,2.00,303,326,NULL,'ESTREITO','FLORIANOPOLIS','SC',20576,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2023571,1.00,3.00,3.00,0.00,5.00,NULL,3.00,4.00,2.00,233,102,215,'VILA NOVA','TRES BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023598,5.00,6.00,5.00,8.00,7.00,5.75,7.00,7.00,4.00,420,316,NULL,'VILA GOMES','CAMPO GRANDE','MS',4930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023601,7.00,7.00,8.00,9.00,6.00,4.75,9.00,7.00,8.00,203,214,216,'COND ARUJAZINHO IV','ARUJA','SP',1370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023610,2.00,4.00,3.00,2.00,4.00,3.75,3.00,2.00,4.00,103,101,NULL,'PORTO DOS PADRES','PARANAGUA','PR',22218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023628,2.00,7.00,0.00,5.00,8.00,4.00,4.00,6.00,3.00,444,5,NULL,'BAIRRO DE FÁTIMA','FLORIANOPOLIS','SC',15401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2023636,6.00,6.00,7.00,6.00,5.00,4.75,7.00,8.00,7.00,103,211,NULL,'MIRANDÓPOLIS','SAO PAULO','SP',3049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023644,2.00,3.00,2.00,3.00,7.00,5.75,4.00,4.00,1.00,316,207,NULL,'JARDIM ESMERALDA','FOZ DO IGUACU','PR',19802,597,1286,NULL,NULL,NULL,NULL,4,4),(15,2023652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,333,NULL,'NOVA PIRACICABA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2023660,3.00,7.00,4.00,4.00,6.00,5.50,3.00,5.00,1.00,108,501,NULL,'COLATTO','XANXERE','SC',15913,355,484,NULL,NULL,NULL,NULL,2,4),(15,2023679,4.00,8.00,6.00,9.00,9.00,5.00,6.00,6.00,6.00,420,208,NULL,'SAGUAÇU','JOINVILLE','SC',2792,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2023687,3.00,3.00,1.00,7.00,4.00,5.50,3.00,1.00,2.00,103,450,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',21195,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2023709,2.00,7.00,3.00,6.00,6.00,6.00,3.00,6.00,3.00,304,318,NULL,'SANTO AMARO','SAO PAULO','SP',12633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023717,4.00,8.00,2.00,7.00,8.00,6.25,4.00,6.00,2.00,108,333,NULL,'SAO PEDRO','RIO NEGRINHO','SC',8740,168,617,NULL,NULL,NULL,NULL,2,8),(15,2023725,0.00,0.00,0.00,1.00,0.00,NULL,0.00,2.00,0.00,327,326,NULL,'PROGRESSO','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2023733,0.00,3.00,4.00,2.00,3.00,NULL,0.00,0.00,0.00,207,319,202,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2023768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,319,NULL,'VILA APARECIDA','BRAGANCA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2023792,1.00,6.00,1.00,0.00,2.00,NULL,3.00,5.00,2.00,5,327,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2023806,5.00,6.00,9.00,8.00,9.00,6.25,9.00,7.00,7.00,203,202,NULL,'J ALTO DAS ACÁCIAS','CRAVINHOS','SP',986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,215,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2023849,6.00,7.00,5.00,7.00,8.00,6.50,7.00,5.00,6.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',3220,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2023857,4.00,8.00,8.00,5.00,6.00,6.75,8.00,7.00,6.00,211,202,216,'JARDIM CARAMURU','DOURADOS','MS',3038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,502,215,'JARDIM BELA VISTA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',1,4),(15,2023873,4.00,7.00,3.00,6.00,8.00,5.50,7.00,7.00,4.00,420,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',7345,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2023890,7.00,5.00,8.00,8.00,8.00,6.75,9.00,6.00,8.00,103,5,NULL,'CERQUEIRA CESAR','SAO PAULO','SP',1056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023903,4.00,5.00,3.00,6.00,5.00,6.25,3.00,4.00,3.00,101,339,NULL,'STEFFEN','BRUSQUE','SC',15073,147,281,NULL,NULL,NULL,NULL,2,1),(15,2023911,6.00,9.00,8.00,8.00,8.00,6.50,9.00,6.00,6.00,103,303,NULL,'JARDIM ITÁLIA','CHAPECO','SC',800,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2023938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,326,NULL,'JARDIM SOLJUMAR','SERTAOZINHO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2023946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2023954,4.00,5.00,1.00,5.00,5.00,3.50,3.00,5.00,3.00,309,429,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',18552,45,NULL,NULL,NULL,NULL,NULL,2,1),(15,2023962,8.00,9.00,9.00,8.00,8.00,4.50,9.00,9.00,6.00,103,NULL,NULL,'SÃO CRISTÓVÃO','SALETE','SC',366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2023970,0.00,5.00,4.00,3.00,6.00,5.75,3.00,4.00,3.00,103,101,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',18355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023989,2.00,3.00,2.00,3.00,5.00,4.50,4.00,3.00,2.00,451,429,NULL,'CAMPECHE','FLORIANOPOLIS','SC',19811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2023997,3.00,7.00,5.00,3.00,8.00,5.50,7.00,3.00,3.00,103,101,NULL,'SAO LUIZ','BRUSQUE','SC',11879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024012,4.00,6.00,3.00,4.00,6.00,6.25,3.00,4.00,2.00,201,317,212,'GANCHOS DE FORA','GOVERNADOR CELSO RAMOS','SC',16262,863,589,332,NULL,NULL,NULL,2,1),(15,2024039,3.00,5.00,3.00,8.00,8.00,6.00,5.00,5.00,2.00,319,328,NULL,'JURERÊ','FLORIANOPOLIS','SC',10087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024055,2.00,5.00,0.00,0.00,7.00,NULL,2.00,2.00,2.00,420,333,NULL,'PASSO DA AREIA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024071,2.00,5.00,3.00,2.00,3.00,3.50,4.00,6.00,2.00,203,201,214,'CENTRO','UNIAO DA VITORIA','PR',21289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024080,3.00,8.00,4.00,6.00,7.00,5.50,2.00,4.00,3.00,201,301,207,'KOBRASOL','SAO JOSE','SC',13218,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2024101,2.00,6.00,1.00,0.00,6.00,5.00,3.00,5.00,1.00,208,444,238,'PRAIA COMPRIDA','SAO JOSE','SC',20237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024110,3.00,5.00,3.00,5.00,8.00,6.50,4.00,4.00,3.00,207,404,211,'CENTRO','CHAPECO','SC',12662,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2024128,2.00,7.00,3.00,5.00,7.00,5.00,4.00,7.00,2.00,444,103,NULL,'CENTRO','PIUI','MG',12459,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2024136,5.00,7.00,7.00,8.00,7.00,5.25,6.00,5.00,3.00,238,420,208,'CAMPINAS','SAO JOSE','SC',6017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,425,NULL,'ENSEADA DO BRITO','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2024152,2.00,7.00,4.00,5.00,7.00,5.50,5.00,7.00,3.00,404,444,NULL,'COLONINHA','FLORIANOPOLIS','SC',11147,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2024179,2.00,7.00,4.00,5.00,6.00,5.75,4.00,7.00,2.00,450,444,NULL,'PARK WAY','NUCLEO BANDEIRANTE','DF',12881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024187,4.00,3.00,2.00,4.00,4.00,4.50,3.00,5.00,2.00,103,203,NULL,'ACLIMAÇÃO','SAO PAULO','SP',19043,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2024195,0.00,6.00,5.00,6.00,7.00,NULL,7.00,4.00,4.00,208,303,238,'BAEPENDI','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2024209,4.00,4.00,0.00,3.00,7.00,4.50,3.00,3.00,2.00,318,339,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',20551,257,404,NULL,NULL,NULL,NULL,2,1),(15,2024217,7.00,9.00,9.00,10.00,9.00,5.25,10.00,9.00,7.00,104,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',86,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024225,6.00,8.00,6.00,4.00,5.00,6.00,6.00,5.00,4.00,213,233,214,'JD AQUARIUS','SAO JOSE DOS CAMPOS','SP',7541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024233,3.00,7.00,4.00,6.00,7.00,3.75,0.00,2.00,2.00,216,234,233,'PRÓSPERA','CRICIUMA','SC',18078,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2024241,2.00,4.00,1.00,0.00,7.00,NULL,1.00,4.00,2.00,415,427,NULL,'RIBEIRÃO AREADO','IBIRAMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2024250,4.00,7.00,5.00,5.00,8.00,5.50,5.00,5.00,3.00,216,238,220,'PLANALTO','VACARIA','RS',8523,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2024268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,415,NULL,'JARDIM VITÓRIA','MARILIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2024276,4.00,6.00,5.00,5.00,5.00,4.75,5.00,4.00,5.00,211,216,207,'GUAIUBA','GUARUJA','SP',13247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024284,2.00,7.00,4.00,7.00,5.00,6.50,3.00,6.00,3.00,207,450,NULL,'CAMPINAS','SAO JOSE','SC',12358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024292,5.00,6.00,6.00,6.00,8.00,3.75,7.00,4.00,4.00,102,216,NULL,'BELA VISTA','SAO JOSE','SC',9003,163,715,NULL,NULL,NULL,NULL,2,1),(15,2024306,7.00,6.00,5.00,8.00,7.00,7.25,5.00,7.00,3.00,320,415,NULL,'CENTRO','MEDIANEIRA','PR',5189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,102,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2024322,6.00,7.00,5.00,7.00,6.00,5.75,6.00,6.00,6.00,415,108,NULL,'VILA FORMOSA','APUCARANA','PR',4634,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2024330,4.00,7.00,7.00,8.00,8.00,4.75,5.00,5.00,5.00,203,217,220,'GREEN VALLEY','SAO JOSE DO RIO PRETO','SP',5907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024349,1.00,5.00,1.00,4.00,4.00,6.00,3.00,5.00,2.00,327,329,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',20860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024357,8.00,7.00,6.00,7.00,9.00,6.25,7.00,6.00,3.00,201,424,238,'CENTRO','FLORIANOPOLIS','SC',3308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024365,2.00,4.00,4.00,5.00,4.00,6.25,4.00,2.00,2.00,303,333,NULL,'COSTA E SILVA','JOINVILLE','SC',18988,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2024373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,333,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2024381,4.00,6.00,9.00,5.00,9.00,7.25,8.00,8.00,7.00,207,316,201,'CENTRO','TIMBE DO SUL','SC',1386,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2024411,4.00,7.00,4.00,6.00,6.00,7.25,6.00,8.00,3.00,5,423,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',6924,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2024420,5.00,6.00,3.00,3.00,7.00,5.50,5.00,6.00,4.00,420,NULL,NULL,'VIANELO','JUNDIAI','SP',10375,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2024438,6.00,8.00,7.00,8.00,6.00,6.25,7.00,5.00,6.00,103,NULL,NULL,'ACLIMAÇÃO','SAO PAULO','SP',2738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024446,7.00,8.00,7.00,7.00,8.00,6.50,8.00,7.00,8.00,207,420,201,'CAPOEIRAS','FLORIANOPOLIS','SC',1123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024454,3.00,7.00,7.00,8.00,5.00,4.75,8.00,6.00,7.00,215,102,216,'GRANJA VIANA','COTIA','SP',3858,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2024462,5.00,7.00,4.00,6.00,6.00,4.50,5.00,6.00,4.00,103,NULL,NULL,'SANTA TEREZA','VIDEIRA','SC',8922,2018,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024470,5.00,9.00,6.00,8.00,7.00,6.50,7.00,9.00,6.00,203,318,202,'CENTRO','FLORIANOPOLIS','SC',1600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024500,7.00,4.00,4.00,5.00,6.00,5.00,3.00,3.00,4.00,103,104,NULL,'JARDIM AUTONOMISTA','CAMPO GRANDE','MS',14240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024527,3.00,6.00,4.00,3.00,8.00,6.25,7.00,8.00,4.00,208,222,238,'ITACORUBI','FLORIANOPOLIS','SC',8076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024543,3.00,6.00,6.00,5.00,7.00,4.75,8.00,3.00,4.00,216,333,214,'CENTRO','CORREIA PINTO','SC',9877,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2024551,5.00,8.00,3.00,7.00,6.00,6.00,5.00,4.00,4.00,5,NULL,NULL,'GUANABARA','JOINVILLE','SC',7887,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2024560,4.00,7.00,6.00,8.00,7.00,6.25,7.00,7.00,4.00,304,301,NULL,'ITACORUBI','FLORIANOPOLIS','SC',4556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024578,2.00,6.00,4.00,6.00,7.00,5.75,3.00,3.00,1.00,108,333,NULL,'SAO PEDRO','RIO NEGRINHO','SC',16086,359,859,NULL,NULL,NULL,NULL,2,8),(15,2024586,7.00,8.00,9.00,7.00,8.00,6.75,9.00,6.00,8.00,103,NULL,NULL,'BAIRRO ALTO','BOTUCATU','SP',658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2024608,5.00,9.00,8.00,8.00,7.00,3.50,8.00,8.00,5.00,103,NULL,NULL,'CENTRO','TAUBATE','SP',2172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024616,7.00,7.00,5.00,9.00,9.00,7.25,5.00,6.00,5.00,319,309,NULL,'DOM BOSCO','ITAJAI','SC',3120,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2024624,5.00,8.00,8.00,3.00,9.00,4.75,9.00,8.00,5.00,201,220,212,'CENTRO','POUSO ALEGRE','MG',3412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024632,5.00,6.00,3.00,7.00,8.00,7.00,3.00,7.00,6.00,220,304,215,'ACLIMAÇÃO','CUIABA','MT',6084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024640,5.00,5.00,4.00,5.00,5.00,3.50,6.00,3.00,2.00,224,225,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',15789,45,160,NULL,NULL,NULL,NULL,2,1),(15,2024659,2.00,7.00,1.00,5.00,5.00,5.25,3.00,5.00,4.00,102,216,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',15338,334,779,NULL,NULL,NULL,NULL,2,1),(15,2024667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,212,202,'IMPERIAL','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2024683,3.00,7.00,0.00,2.00,3.00,4.50,4.00,3.00,1.00,404,332,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',21759,261,327,NULL,NULL,NULL,NULL,2,1),(15,2024691,4.00,6.00,1.00,0.00,5.00,5.50,3.00,5.00,3.00,103,5,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',18342,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2024705,1.00,3.00,2.00,2.00,5.00,5.25,3.00,4.00,3.00,103,303,NULL,'CURITIBANOS','CURITIBANOS','SC',20995,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2024713,4.00,6.00,3.00,6.00,6.00,5.50,4.00,3.00,1.00,333,332,NULL,'BOM VIVER','BIGUACU','SC',15562,242,262,NULL,NULL,NULL,NULL,2,1),(15,2024730,5.00,6.00,2.00,2.00,7.00,6.00,4.00,5.00,3.00,319,211,NULL,'ITACORUBI','FLORIANOPOLIS','SC',13562,257,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024748,5.00,7.00,6.00,9.00,7.00,6.00,8.00,7.00,3.00,216,420,201,'JARDIM DAS PALMEIRAS','SANTO ANGELO','RS',3441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024764,3.00,8.00,2.00,3.00,5.00,5.00,4.00,6.00,3.00,320,310,NULL,'JARDIM AVENIDA','SAO PAULO','SP',14497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'ESTAÇÃO','ASCURRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2024799,3.00,4.00,5.00,7.00,7.00,5.75,5.00,2.00,4.00,207,415,201,'CENTRO','BALNEARIO CAMBORIU','SC',11978,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2024802,2.00,7.00,4.00,8.00,8.00,4.25,8.00,7.00,4.00,238,331,NULL,'ITACORUBI','FLORIANOPOLIS','SC',6449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024810,6.00,7.00,5.00,8.00,8.00,6.75,4.00,7.00,2.00,424,333,423,'RIO VERMELHO','FLORIANOPOLIS','SC',5175,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2024829,3.00,7.00,1.00,2.00,5.00,5.25,4.00,6.00,4.00,203,201,214,'CENTRO','BRUSQUE','SC',16748,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2024837,6.00,6.00,2.00,6.00,6.00,4.75,3.00,4.00,5.00,103,104,NULL,'CENTRO','GUARAPUAVA','PR',13660,2504,1120,NULL,NULL,NULL,NULL,2,4),(15,2024845,5.00,7.00,5.00,7.00,6.00,3.50,7.00,6.00,4.00,316,339,NULL,'CAMPECHE','FLORIANOPOLIS','SC',7130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024853,4.00,7.00,5.00,6.00,8.00,6.00,4.00,7.00,2.00,327,425,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',7667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','DOM AQUINO','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2024870,4.00,7.00,6.00,6.00,9.00,6.00,6.00,4.00,1.00,103,9,NULL,'NOVA VICENÇA','TIMBE DO SUL','SC',7247,1806,459,NULL,NULL,NULL,NULL,4,5),(15,2024888,3.00,5.00,0.00,3.00,4.00,5.50,3.00,4.00,1.00,108,324,NULL,'CAMPINAS','SAO JOSE','SC',21503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024896,5.00,6.00,4.00,7.00,6.00,4.75,6.00,4.00,2.00,103,108,NULL,'DR ARI LUNARDI','XAXIM','SC',10504,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2024900,3.00,5.00,3.00,7.00,5.00,5.25,6.00,4.00,2.00,103,427,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',14102,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2024926,7.00,8.00,4.00,9.00,6.00,5.00,5.00,8.00,2.00,108,320,NULL,'LAPA','SAO PAULO','SP',4602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024942,3.00,8.00,5.00,9.00,6.00,7.00,6.00,6.00,4.00,415,424,NULL,'FAZENDA DO MAX','SAO JOSE','SC',5849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2024977,3.00,4.00,4.00,6.00,7.00,5.25,6.00,3.00,3.00,415,309,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',12970,323,133,NULL,NULL,NULL,NULL,2,1),(15,2024985,5.00,8.00,6.00,7.00,7.00,7.75,7.00,7.00,6.00,333,331,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',2240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025019,7.00,7.00,5.00,6.00,5.00,5.00,6.00,5.00,5.00,202,234,213,'VILLAGGIO CAPRICCIO','LOUVEIRA','SP',7384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025027,2.00,6.00,3.00,7.00,6.00,4.75,4.00,5.00,4.00,302,223,NULL,'POTECAS','SAO JOSE','SC',13021,95,159,NULL,NULL,NULL,NULL,2,1),(15,2025035,3.00,4.00,2.00,0.00,3.00,5.50,3.00,3.00,2.00,426,222,421,'ITACORUBI','FLORIANOPOLIS','SC',22200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025043,6.00,7.00,9.00,7.00,8.00,6.50,8.00,4.00,6.00,103,104,NULL,'ÁGUA VERDE','CURITIBA','PR',2262,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2025051,2.00,6.00,3.00,3.00,3.00,0.00,6.00,3.00,2.00,211,501,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025060,3.00,4.00,2.00,5.00,6.00,5.75,5.00,3.00,1.00,502,324,NULL,'CENTRO','PRAIA GRANDE','SC',19265,84,355,NULL,NULL,NULL,NULL,2,5),(15,2025078,5.00,5.00,3.00,3.00,8.00,6.50,5.00,3.00,3.00,103,319,NULL,'CENTRO','LAGES','SC',14008,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2025086,2.00,5.00,5.00,7.00,6.00,6.00,5.00,6.00,4.00,316,318,NULL,'PANTANAL','FLORIANOPOLIS','SC',10416,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025094,3.00,5.00,3.00,4.00,8.00,5.00,3.00,5.00,2.00,319,308,NULL,'ITAGUAÇÚ','FLORIANOPOLIS','SC',15165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,425,NULL,'ASA NORTE','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2025116,2.00,3.00,0.00,3.00,5.00,NULL,4.00,3.00,2.00,104,222,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025124,5.00,5.00,4.00,2.00,7.00,4.75,7.00,6.00,5.00,203,501,214,'CENTRO','CAMBE','PR',10015,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2025159,5.00,9.00,7.00,7.00,8.00,6.25,9.00,5.00,5.00,103,108,NULL,'ARIRIU','PALHOCA','SC',2522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025167,8.00,8.00,9.00,9.00,9.00,8.00,9.00,9.00,7.00,203,211,201,'CENTRO','CAPINZAL','SC',19,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'CENTRO','SANTO ANTONIO DA PLATINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2025183,2.00,6.00,7.00,8.00,9.00,6.00,5.00,8.00,4.00,5,329,NULL,'CENTRO','PORTO ALEGRE','RS',4452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025205,2.00,7.00,3.00,5.00,3.00,6.00,3.00,3.00,2.00,223,329,NULL,'CENTRO','CAMBORIU','SC',18861,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2025230,7.00,9.00,8.00,9.00,8.00,4.00,9.00,7.00,7.00,203,2,214,'ESTREITO','FLORIANOPOLIS','SC',829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025248,2.00,5.00,2.00,4.00,5.00,3.00,3.00,5.00,2.00,238,202,208,'SAO BENTO','BENTO GONCALVES','RS',20172,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2025256,8.00,8.00,9.00,10.00,6.00,6.50,9.00,7.00,5.00,220,202,203,'CENTRO','ARARAS','SP',638,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025264,6.00,7.00,2.00,0.00,7.00,6.50,5.00,5.00,5.00,211,203,233,'SANTA MARIA','CHAPECO','SC',12228,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2025272,4.00,7.00,4.00,5.00,9.00,6.75,5.00,3.00,3.00,103,420,NULL,'MARGEM ESQUERDA','GASPAR','SC',9807,2126,631,NULL,NULL,NULL,NULL,2,2),(15,2025280,6.00,4.00,5.00,5.00,7.00,6.50,4.00,6.00,4.00,108,333,NULL,'CENTRO','PIEDADE','SP',7968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025299,2.00,2.00,2.00,3.00,4.00,NULL,2.00,3.00,1.00,208,420,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025310,5.00,5.00,3.00,8.00,9.00,6.50,3.00,7.00,4.00,301,319,NULL,'JARDIM FESTUGATO','FOZ DO IGUACU','PR',6661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025329,5.00,8.00,7.00,2.00,8.00,6.25,5.00,5.00,4.00,216,NULL,NULL,'JARDIM MARISTELA','CRICIUMA','SC',6808,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2025353,2.00,7.00,0.00,1.00,5.00,5.00,3.00,6.00,2.00,317,316,NULL,'PASSA VINTE','PALHOCA','SC',19834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025361,6.00,7.00,5.00,7.00,7.00,3.25,4.00,7.00,3.00,103,501,NULL,'CENTRO','ANGULO','PR',8511,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025370,2.00,7.00,5.00,7.00,7.00,5.25,6.00,5.00,3.00,318,317,NULL,'ABRAÃO','FLORIANOPOLIS','SC',9446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025396,8.00,9.00,9.00,8.00,8.00,7.00,7.00,5.00,8.00,303,502,NULL,'CENTRO','FLORIANOPOLIS','SC',582,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2025400,4.00,6.00,5.00,9.00,8.00,5.25,4.00,3.00,2.00,420,428,NULL,'HIGIENOPÓLIS','SANTA CRUZ DO SUL','RS',9168,NULL,NULL,NULL,NULL,NULL,NULL,3,2),(15,2025418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,425,NULL,'CIDADE BAIXA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2025426,5.00,7.00,5.00,7.00,5.00,6.50,4.00,6.00,2.00,238,329,NULL,'ITACORUBI','FLORIANOPOLIS','SC',9931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025442,5.00,6.00,5.00,3.00,7.00,6.50,6.00,7.00,4.00,333,108,NULL,'P LARANJEIRAS','CAIEIRAS','SP',7798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025450,5.00,8.00,8.00,3.00,9.00,7.75,7.00,7.00,4.00,216,NULL,NULL,'JARDIM CRUZEIRO','SAO JOSE DOS PINHAIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025477,1.00,5.00,2.00,5.00,4.00,4.00,2.00,4.00,3.00,211,303,207,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2025485,8.00,8.00,7.00,7.00,9.00,8.50,7.00,8.00,6.00,207,329,201,'TRINDADE','FLORIANOPOLIS','SC',748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025493,2.00,4.00,3.00,6.00,5.00,7.00,4.00,5.00,3.00,415,320,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',14720,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025515,4.00,6.00,3.00,7.00,8.00,6.25,5.00,3.00,3.00,102,217,NULL,'JARDIM SANTANA','FRANCA','SP',10911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025531,5.00,7.00,7.00,7.00,8.00,6.25,6.00,6.00,7.00,214,301,212,'CENTRO','ARARANGUA','SC',3657,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2025540,3.00,6.00,5.00,4.00,7.00,6.25,4.00,5.00,2.00,415,426,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',13102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025558,0.00,4.00,1.00,6.00,6.00,4.50,6.00,5.00,1.00,103,102,NULL,'CENTRO','FRANCISCO BELTRAO','PR',17618,2838,1015,NULL,NULL,NULL,NULL,2,4),(15,2025566,3.00,7.00,4.00,4.00,7.00,5.00,6.00,6.00,3.00,207,212,201,'RIO CAVEIRAS','BIGUACU','SC',11071,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025574,3.00,7.00,5.00,7.00,7.00,7.00,6.00,4.00,4.00,212,211,201,'CENTRO','BALNEARIO CAMBORIU','SC',8436,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2025582,3.00,6.00,3.00,5.00,5.00,4.50,5.00,6.00,2.00,502,404,NULL,'COQUEIROS','FLORIANOPOLIS','SC',12609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,103,NULL,'CENTRO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2025604,0.00,3.00,1.00,1.00,3.00,NULL,2.00,3.00,2.00,339,308,NULL,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025612,5.00,7.00,5.00,7.00,8.00,5.75,7.00,7.00,3.00,103,102,NULL,'SÃO JOSÉ','FRAIBURGO','SC',6026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025620,4.00,7.00,4.00,7.00,8.00,5.50,4.00,6.00,3.00,207,303,233,'ANITA GARIBALDI','JOINVILLE','SC',8850,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2025639,2.00,3.00,4.00,5.00,8.00,7.00,3.00,4.00,5.00,316,326,NULL,'ITANHANGÁ PARK','CAMPO GRANDE','MS',13000,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','BARRETOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2025655,1.00,5.00,4.00,2.00,7.00,5.50,4.00,3.00,4.00,203,302,NULL,'VRGEM DO BOM JESUS','FLORIANOPOLIS','SC',17850,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025663,2.00,3.00,3.00,7.00,6.00,5.25,3.00,3.00,3.00,103,308,NULL,'BELA VISTA III','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025671,7.00,7.00,5.00,6.00,7.00,5.25,6.00,5.00,5.00,234,502,NULL,'ENSEADA DE BRITO','PALHOCA','SC',6543,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025680,3.00,6.00,1.00,4.00,7.00,5.00,4.00,5.00,4.00,333,316,NULL,'SÃO PEDRO','BELO HORIZONTE','MG',16179,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025698,3.00,5.00,5.00,6.00,6.00,6.75,2.00,3.00,2.00,316,444,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',15511,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,333,211,'CENTRO','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2025728,2.00,6.00,3.00,2.00,5.00,7.25,3.00,5.00,3.00,211,326,233,'CENTRO','JAGUARUNA','SC',17212,602,303,393,NULL,NULL,NULL,4,10),(15,2025736,3.00,5.00,4.00,5.00,5.00,5.75,6.00,4.00,3.00,319,329,NULL,'CENTRO','VARZEA GRANDE','MT',14464,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,202,NULL,'IMBEL','ITAJUBA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2025752,1.00,7.00,3.00,5.00,9.00,6.25,5.00,5.00,2.00,426,451,NULL,'INGLESES','FLORIANOPOLIS','SC',10722,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025779,5.00,8.00,4.00,8.00,8.00,4.50,4.00,8.00,5.00,303,444,NULL,'CENTRO','FLORIANOPOLIS','SC',5097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025787,7.00,9.00,8.00,8.00,8.00,6.25,8.00,7.00,6.00,203,213,214,'CENTRO','CURITIBA','PR',750,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2025795,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,103,502,NULL,'CENTRO','SEARA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(15,2025817,7.00,8.00,8.00,7.00,8.00,5.50,8.00,8.00,4.00,103,NULL,NULL,'ASA SUL','BRASILIA','DF',1573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025825,2.00,6.00,4.00,6.00,6.00,6.00,5.00,5.00,3.00,104,103,NULL,'STO ANTÔNIO LISBOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'JARDIM VIVENDAS','SAO JOSE DO RIO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2025841,1.00,6.00,2.00,6.00,7.00,7.00,4.00,3.00,3.00,108,444,NULL,'COSTEIRA','FLORIANOPOLIS','SC',15098,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025876,3.00,6.00,5.00,4.00,6.00,4.75,4.00,5.00,4.00,207,420,NULL,'TAMBAÚ','JOAO PESSOA','PB',12138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025892,2.00,4.00,0.00,1.00,6.00,5.00,1.00,7.00,2.00,303,5,NULL,'ASA SUL','BRASILIA','DF',21785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025906,2.00,8.00,3.00,5.00,6.00,6.00,4.00,4.00,2.00,103,502,NULL,'CENTRO','SAO LOURENCO DO OESTE','SC',14476,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2025914,5.00,5.00,7.00,5.00,8.00,6.75,6.00,5.00,5.00,420,9,NULL,'CENTRO','CASCAVEL','PR',6855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025922,5.00,7.00,4.00,4.00,8.00,5.75,6.00,7.00,5.00,103,101,NULL,'CENTRO','REGISTRO','SP',7289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025930,6.00,6.00,8.00,8.00,8.00,6.50,7.00,5.00,4.00,211,217,216,'CAMPECHE','FLORIANOPOLIS','SC',3072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025949,6.00,7.00,5.00,8.00,8.00,7.25,5.00,6.00,6.00,208,2,203,'TROPICAL','CASCAVEL','PR',3725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2025957,5.00,6.00,5.00,6.00,8.00,5.50,7.00,5.00,3.00,415,310,NULL,'JD DAS INDUSTRIAS','SAO JOSE DOS CAMPOS','SP',8826,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025973,4.00,7.00,6.00,7.00,9.00,7.25,6.00,8.00,4.00,429,5,423,'NSA SRA DO ROSARIO','SAO JOSE','SC',2826,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2025981,2.00,3.00,0.00,6.00,5.00,6.25,3.00,1.00,2.00,211,333,NULL,'JAROSESKI','DESCANSO','SC',21175,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2026007,3.00,7.00,4.00,3.00,6.00,5.25,3.00,9.00,4.00,201,233,202,'CENTRO','ANTONIO CARLOS','SC',11539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026015,1.00,6.00,1.00,7.00,3.00,5.00,2.00,6.00,3.00,415,316,NULL,'JARDIM JANAINA','BIGUACU','SC',18492,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026023,5.00,8.00,9.00,7.00,7.00,6.50,9.00,6.00,5.00,201,233,212,'JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP',2279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026031,1.00,7.00,2.00,3.00,1.00,NULL,1.00,5.00,1.00,316,317,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026040,7.00,6.00,4.00,4.00,9.00,4.75,7.00,8.00,5.00,103,303,NULL,'AGUA VERDE','CURITIBA','PR',5024,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2026058,4.00,8.00,2.00,2.00,7.00,5.75,6.00,5.00,4.00,333,238,NULL,'ESTREITO','FLORIANOPOLIS','SC',11724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026066,8.00,8.00,8.00,9.00,9.00,6.50,9.00,9.00,8.00,103,319,NULL,'ROÇADO','SAO JOSE','SC',85,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026074,2.00,4.00,1.00,4.00,5.00,4.25,3.00,3.00,2.00,5,207,NULL,'JARDIM TREMENBÉ','SAO PAULO','SP',21008,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026090,2.00,4.00,4.00,0.00,6.00,NULL,2.00,1.00,2.00,211,331,215,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2026104,4.00,8.00,3.00,1.00,5.00,5.50,3.00,5.00,3.00,201,207,203,'VILA NOVA','LAGES','SC',15915,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2026112,5.00,8.00,5.00,5.00,8.00,7.25,6.00,6.00,5.00,103,9,NULL,'SANTA TEREZINHA','SOROCABA','SP',4808,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2026120,4.00,7.00,2.00,6.00,7.00,4.75,4.00,3.00,2.00,224,225,NULL,'RIO HERN','SCHROEDER','SC',14356,38,152,NULL,NULL,NULL,NULL,2,8),(15,2026139,8.00,8.00,9.00,7.00,9.00,7.00,8.00,9.00,7.00,103,104,NULL,'NAÇÕES','TIMBO','SC',231,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2026147,3.00,6.00,2.00,5.00,8.00,5.25,3.00,2.00,2.00,303,420,NULL,'VILA NOVA','LAGES','SC',17902,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2026155,8.00,9.00,7.00,9.00,9.00,2.50,7.00,7.00,6.00,103,102,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2026163,5.00,6.00,8.00,5.00,7.00,6.75,8.00,7.00,6.00,103,NULL,NULL,'CENTRO','POUSO ALEGRE','MG',2982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026171,3.00,1.00,2.00,2.00,4.00,NULL,2.00,1.00,2.00,208,425,NULL,'CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,213,220,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2026201,3.00,7.00,6.00,6.00,7.00,7.50,3.00,6.00,2.00,207,420,201,'SÃO FRANCISCO','CAMPO GRANDE','MS',8287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026210,0.00,7.00,0.00,7.00,6.00,NULL,6.00,5.00,2.00,415,303,NULL,'JARDIM UNIVERSITARIO','MARINGA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026228,1.00,5.00,1.00,3.00,6.00,3.75,2.00,4.00,4.00,103,104,NULL,'ACLIMAÇAO','SAO PAULO','SP',20210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026236,6.00,5.00,6.00,9.00,8.00,5.50,8.00,7.00,5.00,5,238,NULL,'OFICINAS','TUBARAO','SC',2371,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2026244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,420,NULL,'LOGRADOURO','NOVA PETROPOLIS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2026252,8.00,9.00,9.00,9.00,8.00,5.50,9.00,8.00,9.00,103,9,NULL,'COQUEIROS','FLORIANOPOLIS','SC',57,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'PÃO DE AÇÚCAR','CAPIVARI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2026279,5.00,8.00,2.00,4.00,7.00,5.25,6.00,8.00,1.00,103,108,NULL,'KOBRASOL','SAO JOSE','SC',9062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026287,5.00,7.00,4.00,9.00,8.00,7.00,7.00,5.00,4.00,319,423,NULL,'CENTRO','FLORIANOPOLIS','SC',4444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026295,4.00,7.00,7.00,6.00,8.00,6.00,6.00,7.00,3.00,317,333,NULL,'GUIOMAR DE FORA','ANTONIO CARLOS','SC',5208,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026317,7.00,8.00,8.00,5.00,8.00,7.00,8.00,7.00,6.00,5,NULL,NULL,'GLÓRIA','JOINVILLE','SC',1535,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2026325,6.00,7.00,8.00,3.00,5.00,5.25,7.00,5.00,5.00,318,304,NULL,'VILLA PAVAN','AMERICANA','SP',6540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026341,5.00,8.00,2.00,6.00,7.00,5.75,6.00,7.00,4.00,326,327,NULL,'SUDOESTE','CRUZEIRO','DF',6364,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026350,8.00,7.00,6.00,6.00,8.00,4.75,9.00,8.00,6.00,202,220,203,'SAGUAÇU','JOINVILLE','SC',1971,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2026376,5.00,7.00,7.00,1.00,7.00,4.50,8.00,6.00,4.00,203,220,214,'JARDIM SANTA CRUZ','RIBEIRAO PRETO','SP',7128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026392,3.00,7.00,4.00,6.00,3.00,5.00,6.00,6.00,4.00,225,224,NULL,'PONTA DE BAIXO','SAO JOSE','SC',10958,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026406,8.00,9.00,9.00,5.00,8.00,6.50,9.00,9.00,5.00,103,102,NULL,'TRINDADE','FLORIANOPOLIS','SC',451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026422,7.00,8.00,7.00,4.00,7.00,7.25,8.00,8.00,8.00,220,202,203,'CENTRO','UMUARAMA','PR',1434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026457,3.00,5.00,4.00,1.00,6.00,4.75,5.00,1.00,2.00,216,316,215,'CENTRO','JARAGUA DO SUL','SC',19066,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2026465,1.00,5.00,7.00,6.00,4.00,3.00,5.00,4.00,5.00,421,423,428,'MONTE CRISTO','FLORIANOPOLIS','SC',15012,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2026473,5.00,3.00,5.00,4.00,6.00,5.50,8.00,4.00,4.00,202,225,203,'TERMAS','GRAVATAL','SC',11093,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2026490,6.00,7.00,4.00,5.00,8.00,7.00,7.00,7.00,6.00,103,104,NULL,'VL ROSÁLIA','GUARULHOS','SP',4216,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026503,3.00,8.00,1.00,7.00,6.00,3.75,4.00,4.00,1.00,450,451,NULL,'ARMAÇÃO DO PANTANO D','FLORIANOPOLIS','SC',16571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026520,5.00,7.00,3.00,7.00,8.00,6.00,5.00,7.00,4.00,415,423,NULL,'CENTRO','FLORIANOPOLIS','SC',5520,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026546,7.00,8.00,9.00,6.00,9.00,4.25,6.00,6.00,7.00,103,102,NULL,'POMPÉIA','SANTOS','SP',1943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026554,4.00,6.00,3.00,7.00,9.00,3.00,3.00,6.00,5.00,415,319,NULL,'AEROPORTO','MARINGA','PR',9391,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026562,1.00,6.00,8.00,6.00,7.00,6.75,8.00,5.00,5.00,220,213,203,'CAMPOLIM','SOROCABA','SP',6383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026570,3.00,2.00,4.00,3.00,2.00,NULL,4.00,3.00,2.00,201,302,212,'VILA PARAÍSO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2026597,3.00,7.00,1.00,5.00,6.00,4.00,3.00,6.00,2.00,316,501,NULL,'JARDIM EUROPA','SOROCABA','SP',16943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026619,2.00,6.00,4.00,7.00,9.00,7.25,5.00,8.00,3.00,450,304,NULL,'CHÁCARA PRIMAVERA','CAMPINAS','SP',7587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026627,3.00,8.00,4.00,8.00,7.00,8.50,7.00,7.00,2.00,211,234,215,'SERRINHA','FLORIANOPOLIS','SC',4384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026635,5.00,5.00,5.00,3.00,7.00,4.25,5.00,2.00,4.00,214,223,216,'IRIRIÚ','JOINVILLE','SC',14060,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2026643,4.00,7.00,2.00,3.00,7.00,5.50,6.00,3.00,4.00,103,102,NULL,'CEM CASAS','TELEMACO BORBA','PR',12626,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2026651,4.00,8.00,2.00,5.00,7.00,4.75,5.00,5.00,4.00,211,203,214,'BARRA DA TIJUCA','RIO DE JANEIRO','RJ',10688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026686,5.00,8.00,6.00,8.00,5.00,6.00,8.00,7.00,7.00,208,222,238,'CARVOEIRA','FLORIANOPOLIS','SC',1911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026694,5.00,8.00,4.00,4.00,9.00,6.00,4.00,8.00,4.00,304,318,NULL,'JARDIM NOVA EUROPA','CAMPINAS','SP',6826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026708,4.00,8.00,7.00,9.00,8.00,6.75,8.00,8.00,7.00,5,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',1255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026716,4.00,5.00,5.00,2.00,6.00,5.00,6.00,2.00,3.00,201,NULL,NULL,'CENTRO','SAO JOAO BATISTA','SC',16384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026724,7.00,8.00,6.00,6.00,9.00,6.50,6.00,6.00,5.00,103,203,NULL,'CIDADE NOVA','PORTO UNIAO','SC',3638,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2026740,4.00,6.00,7.00,5.00,4.00,5.75,7.00,5.00,3.00,207,211,208,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',9173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026767,5.00,7.00,9.00,5.00,8.00,6.25,7.00,8.00,7.00,212,304,201,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',1984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026775,2.00,4.00,0.00,6.00,5.00,6.00,4.00,4.00,1.00,327,329,NULL,'CAMPINAS','SAO JOSE','SC',19866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026783,7.00,9.00,8.00,6.00,7.00,5.75,5.00,8.00,6.00,303,424,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',2090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026791,6.00,7.00,7.00,5.00,6.00,7.50,6.00,5.00,5.00,108,333,NULL,'CENTRO','BOTUCATU','SP',5234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026805,3.00,5.00,0.00,3.00,6.00,4.50,4.00,3.00,2.00,303,331,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',20390,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026813,6.00,8.00,6.00,6.00,7.00,6.00,8.00,6.00,6.00,319,320,NULL,'CENTRO','FLORIANOPOLIS','SC',3602,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026821,3.00,8.00,4.00,5.00,8.00,6.00,6.00,5.00,2.00,207,103,201,'CENTRO','CRICIUMA','SC',7651,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2026830,4.00,6.00,2.00,6.00,8.00,5.75,3.00,4.00,2.00,415,101,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',14775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026848,6.00,8.00,4.00,7.00,8.00,6.75,6.00,6.00,5.00,103,233,NULL,'CENTRO','CRICIUMA','SC',5091,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2026856,4.00,6.00,2.00,5.00,6.00,6.00,4.00,3.00,3.00,207,203,220,'BARRA DA LAGOA','FLORIANOPOLIS','SC',13263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026864,4.00,8.00,3.00,4.00,5.00,5.50,1.00,4.00,3.00,332,331,NULL,'RIO CAVEIRAS','BIGUACU','SC',16428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026880,2.00,7.00,3.00,5.00,7.00,7.25,7.00,6.00,5.00,444,404,NULL,'PANTANAL','FLORIANOPOLIS','SC',8112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026899,4.00,8.00,8.00,5.00,7.00,6.50,6.00,6.00,6.00,103,NULL,NULL,'ALPHACONDE II','BARUERI','SP',3682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026902,7.00,8.00,4.00,9.00,9.00,7.50,6.00,8.00,5.00,303,328,NULL,'LOURDES','CAXIAS DO SUL','RS',1623,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026910,3.00,3.00,2.00,5.00,5.00,4.75,3.00,2.00,5.00,304,301,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',20110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026929,2.00,3.00,5.00,5.00,4.00,5.25,3.00,2.00,3.00,104,223,NULL,'CAMPECHE','FLORIANOPOLIS','SC',19759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026937,4.00,6.00,5.00,8.00,6.00,4.25,5.00,7.00,3.00,303,NULL,NULL,'JD LEONIDIA','JACAREI','SP',9691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026945,7.00,8.00,7.00,8.00,9.00,5.75,8.00,7.00,6.00,103,101,NULL,'BOA VISTA','JOINVILLE','SC',1716,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2026953,4.00,7.00,5.00,5.00,6.00,6.00,6.00,5.00,2.00,201,316,207,'VILA TOLENTINO','CASCAVEL','PR',10121,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2026961,3.00,4.00,5.00,3.00,7.00,6.25,4.00,5.00,2.00,103,104,NULL,'COSTA E SILVA','JOINVILLE','SC',14943,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2026970,3.00,4.00,4.00,6.00,7.00,6.25,7.00,7.00,4.00,202,238,208,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',9005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2026996,6.00,7.00,6.00,8.00,8.00,6.00,5.00,7.00,3.00,203,201,202,'CENTRO','GASPAR','SC',3219,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2027003,4.00,7.00,4.00,3.00,9.00,5.50,6.00,4.00,5.00,301,304,NULL,'CENTRO','OURINHOS','SP',9994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027011,2.00,6.00,3.00,5.00,5.00,5.50,2.00,2.00,2.00,103,NULL,NULL,'SÃO JUDAS','ITAJAI','SC',20048,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2027020,1.00,3.00,2.00,5.00,4.00,4.00,4.00,5.00,1.00,333,427,NULL,'CAMPECHE','FLORIANOPOLIS','SC',21505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027038,7.00,8.00,8.00,9.00,8.00,7.50,9.00,8.00,5.00,203,104,201,'CENTRO','CHAPECO','SC',680,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2027046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,333,212,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2027062,1.00,5.00,2.00,3.00,3.00,5.25,4.00,4.00,2.00,203,301,211,'SANTO ANTONIO','FLORIANOPOLIS','SC',20831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2027070,4.00,6.00,5.00,5.00,8.00,6.00,6.00,4.00,4.00,102,217,NULL,'CENTRO','BOTUCATU','SP',8568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027089,9.00,7.00,9.00,5.00,8.00,7.75,8.00,8.00,7.00,103,319,NULL,'CENTRO','FLORIANOPOLIS','SC',453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027097,4.00,5.00,5.00,9.00,7.00,5.25,5.00,7.00,5.00,420,404,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027100,2.00,7.00,3.00,5.00,5.00,5.50,4.00,8.00,2.00,303,5,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',13808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027119,6.00,9.00,8.00,4.00,8.00,5.25,8.00,7.00,7.00,207,301,211,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',1953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CAXAMBU','JUNDIAI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2027135,2.00,7.00,2.00,5.00,6.00,5.75,4.00,6.00,3.00,444,9,NULL,'FORQUILHINHAS','SAO JOSE','SC',14032,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2027143,4.00,7.00,2.00,6.00,5.00,5.50,2.00,2.00,2.00,101,102,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',16840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027151,2.00,5.00,4.00,5.00,5.00,5.50,2.00,4.00,4.00,444,404,NULL,'TRINDADE','FLORIANOPOLIS','SC',17161,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2027160,3.00,4.00,4.00,6.00,7.00,6.75,5.00,6.00,4.00,303,207,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2027178,3.00,7.00,1.00,5.00,6.00,5.00,6.00,6.00,3.00,303,333,NULL,'CENTRO','SORRISO','MT',12338,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2027186,3.00,4.00,3.00,8.00,9.00,4.00,3.00,4.00,2.00,9,215,NULL,'JARAGUÁ ESQUERDO','JARAGUA DO SUL','SC',13965,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2027194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,339,NULL,'PONTA DA PRAIA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2027208,4.00,4.00,6.00,8.00,8.00,5.50,7.00,6.00,6.00,207,301,201,'VELHA','BLUMENAU','SC',5651,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2027216,5.00,8.00,7.00,5.00,7.00,5.25,6.00,7.00,5.00,103,101,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',5275,1494,444,NULL,NULL,NULL,NULL,4,1),(15,2027224,4.00,5.00,3.00,5.00,8.00,4.75,5.00,3.00,4.00,316,423,NULL,'BARREIROS','SAO JOSE','SC',12532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2027232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,212,203,'PARQUE DOS PRINCIPES','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2027240,8.00,7.00,6.00,8.00,8.00,6.00,5.00,5.00,5.00,103,101,NULL,'CENTRO','TIJUCAS','SC',3502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027259,5.00,4.00,2.00,5.00,6.00,5.25,4.00,4.00,3.00,102,NULL,NULL,'CENTRO','SANTIAGO','RS',15449,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2027267,4.00,9.00,7.00,10.00,7.00,6.00,9.00,7.00,5.00,304,316,NULL,'BARREIROS','SAO JOSE','SC',1872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027275,6.00,8.00,7.00,8.00,8.00,8.00,6.00,6.00,6.00,303,428,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',1718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,234,NULL,'VILA SONIA','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2027291,8.00,8.00,5.00,7.00,8.00,6.50,9.00,6.00,9.00,103,319,NULL,'JD DAS INDUSTRIAS','SAO JOSE DOS CAMPOS','SP',1225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027305,4.00,8.00,5.00,4.00,8.00,6.25,6.00,7.00,3.00,201,224,238,'CENTRO','FLORIANOPOLIS','SC',7414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2027313,3.00,7.00,2.00,7.00,4.00,5.75,1.00,5.00,2.00,215,331,216,'CENTRO','LONDRINA','PR',15901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027321,6.00,7.00,6.00,7.00,8.00,5.75,8.00,6.00,6.00,216,217,215,'TRINDADE','FLORIANOPOLIS','SC',2509,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2027330,4.00,6.00,6.00,3.00,7.00,6.00,5.00,3.00,5.00,108,NULL,NULL,'CENTRO','CAPIVARI','SP',10048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027348,1.00,2.00,1.00,5.00,7.00,NULL,2.00,2.00,3.00,423,427,NULL,'JOSE MENDES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2027356,7.00,8.00,9.00,7.00,8.00,7.00,8.00,9.00,8.00,103,104,NULL,'CENTRO','INDAIATUBA','SP',343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027364,7.00,9.00,9.00,8.00,8.00,6.00,9.00,9.00,7.00,103,108,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',276,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2027372,3.00,4.00,4.00,7.00,7.00,6.00,5.00,3.00,2.00,9,215,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',13309,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2027380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2027399,5.00,8.00,6.00,4.00,6.00,1.75,7.00,7.00,7.00,220,207,214,'PARQUE VITORIA','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027402,5.00,7.00,4.00,7.00,6.00,5.75,7.00,6.00,5.00,103,104,NULL,'CENTRO','CHAPECO','SC',6230,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2027410,2.00,7.00,8.00,5.00,6.00,4.50,8.00,7.00,6.00,103,303,NULL,'CENTRO','CAPIVARI','SP',5557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027429,7.00,8.00,7.00,7.00,9.00,5.00,9.00,9.00,7.00,103,NULL,NULL,'JD INDÚSTRIAS','SAO JOSE DOS CAMPOS','SP',1021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027437,5.00,8.00,2.00,7.00,7.00,7.00,6.00,6.00,3.00,450,NULL,NULL,'SANTO ANTÔNIO','LOUVEIRA','SP',6952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027445,4.00,6.00,1.00,7.00,6.00,5.25,5.00,5.00,2.00,308,324,NULL,'CAMPINAS','SAO JOSE','SC',13241,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2027453,2.00,6.00,5.00,7.00,6.00,5.50,5.00,6.00,3.00,103,303,NULL,'ASA SUL','BRASILIA','DF',10306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027461,6.00,8.00,4.00,7.00,8.00,5.75,6.00,8.00,6.00,310,320,NULL,'VILA ADYANA','SAO JOSE DOS CAMPOS','SP',2214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027470,4.00,6.00,5.00,7.00,6.00,6.25,6.00,4.00,5.00,217,215,NULL,'CENTRO','FLORIANOPOLIS','SC',7121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027496,1.00,7.00,3.00,1.00,8.00,5.75,3.00,4.00,4.00,101,207,NULL,'SANTA CLARA','FORQUILHINHA','SC',17368,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2027500,3.00,7.00,5.00,2.00,6.00,5.00,4.00,5.00,3.00,216,213,201,'VL SANTOS','CACAPAVA','SP',15441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027518,2.00,6.00,5.00,5.00,7.00,6.75,4.00,4.00,2.00,102,217,NULL,'VELHA','BLUMENAU','SC',13173,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2027526,2.00,4.00,3.00,2.00,8.00,4.00,2.00,6.00,3.00,108,101,NULL,'BOA PARADA','SAO PEDRO DE ALCANTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027534,0.00,5.00,1.00,7.00,6.00,4.00,5.00,7.00,2.00,208,202,203,'JARDIM UNIVERSITARIO','CASCAVEL','PR',15617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,202,214,'JARDIN GUANABARA','RIO DE JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2027550,6.00,9.00,5.00,4.00,7.00,6.00,5.00,6.00,4.00,333,5,NULL,'CIDADE NOVA','PORTO UNIAO','SC',7034,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2027569,4.00,4.00,9.00,6.00,6.00,6.50,9.00,7.00,6.00,201,216,233,'JARDIM CRISTAL','APARECIDA DE GOIANIA','GO',3307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027577,1.00,3.00,3.00,8.00,6.00,5.25,6.00,3.00,3.00,207,420,215,'ESTREITO','FLORIANOPOLIS','SC',14876,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2027585,3.00,5.00,1.00,3.00,7.00,6.75,5.00,6.00,3.00,214,201,203,'BARREIROS','SAO JOSE','SC',13796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027593,4.00,5.00,6.00,8.00,8.00,6.25,5.00,4.00,3.00,420,238,NULL,'CENTRO','FLORIANOPOLIS','SC',9380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027607,5.00,6.00,6.00,3.00,6.00,5.50,5.00,4.00,3.00,304,302,NULL,'GUIOMAR DE FORA','ANTONIO CARLOS','SC',9959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027615,2.00,3.00,0.00,4.00,2.00,NULL,1.00,3.00,2.00,404,9,NULL,'GASPARETO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2027631,1.00,4.00,1.00,1.00,6.00,NULL,3.00,4.00,1.00,101,102,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027640,5.00,7.00,6.00,7.00,6.00,6.00,5.00,4.00,7.00,104,102,NULL,'JARDIM PARAÍSO','BOTUCATU','SP',5675,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2027658,3.00,3.00,1.00,4.00,3.00,5.25,1.00,4.00,2.00,212,NULL,201,'VITORIA','VACARIA','RS',22023,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2027666,4.00,6.00,3.00,6.00,8.00,6.25,4.00,4.00,3.00,207,319,208,'PANTANAL','FLORIANOPOLIS','SC',10847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027674,5.00,6.00,4.00,6.00,8.00,6.00,7.00,5.00,2.00,303,304,NULL,'ÁGUAS CLARAS','TAGUATINGA','DF',8111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027682,1.00,6.00,4.00,3.00,4.00,5.25,3.00,5.00,2.00,220,213,203,'GERMANA','CACAPAVA','SP',17959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027690,3.00,6.00,3.00,7.00,5.00,5.50,3.00,4.00,4.00,5,327,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',14849,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2027704,6.00,6.00,1.00,8.00,7.00,4.75,1.00,6.00,4.00,104,101,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',11533,371,563,NULL,NULL,NULL,NULL,4,1),(15,2027712,1.00,6.00,1.00,7.00,4.00,5.75,3.00,4.00,2.00,207,102,216,'AGRONÔMICA','FLORIANOPOLIS','SC',18273,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2027720,2.00,5.00,5.00,5.00,7.00,7.75,5.00,5.00,5.00,201,NULL,203,'BELA VISTA','SAO JOSE','SC',9557,524,NULL,726,NULL,NULL,NULL,2,1),(15,2027739,3.00,8.00,8.00,9.00,8.00,6.25,7.00,6.00,4.00,220,223,208,'SÃO JOÃO','ITAJAI','SC',2941,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2027747,2.00,4.00,1.00,2.00,3.00,NULL,2.00,3.00,2.00,102,304,NULL,'CENTRO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2027755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,327,NULL,'VILA REAL','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2027763,6.00,7.00,7.00,5.00,7.00,5.25,6.00,6.00,7.00,203,220,214,'CENTRO','JOINVILLE','SC',4332,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2027771,3.00,9.00,5.00,7.00,7.00,6.50,6.00,7.00,5.00,220,203,202,'CORDEIROS','ITAJAI','SC',5008,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2027780,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,404,425,NULL,'CENTRO','JARDINOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(15,2027798,6.00,9.00,8.00,8.00,9.00,6.00,8.00,8.00,8.00,203,202,216,'MEIA PRAIA','ITAPEMA','SC',427,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2027801,4.00,7.00,4.00,7.00,5.00,6.50,5.00,7.00,4.00,225,224,NULL,'TRINDADE','FLORIANOPOLIS','SC',8906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027828,1.00,6.00,2.00,5.00,4.00,5.25,4.00,3.00,2.00,103,303,NULL,'JARDIM ALVORADA','CUIABA','MT',19410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027836,4.00,8.00,6.00,9.00,6.00,6.00,8.00,8.00,6.00,420,233,NULL,'CENTRO','POMERODE','SC',3099,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2027844,6.00,7.00,6.00,6.00,8.00,6.50,6.00,6.00,3.00,216,217,211,'COMERCIÁRIO','CRICIUMA','SC',5592,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2027852,8.00,7.00,8.00,6.00,8.00,8.25,8.00,6.00,9.00,103,108,NULL,'SAUDE','SAO PAULO','SP',738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027879,0.00,2.00,3.00,2.00,4.00,NULL,2.00,2.00,1.00,319,415,NULL,'CHACARA CACHOEIRA','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2027887,2.00,6.00,4.00,3.00,6.00,5.75,4.00,4.00,3.00,9,319,NULL,'COQUEIROS','FLORIANOPOLIS','SC',16677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027895,6.00,8.00,6.00,7.00,7.00,5.50,6.00,6.00,6.00,103,104,NULL,'SETOR SUL','GOIANIA','GO',4709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2027909,3.00,5.00,4.00,8.00,8.00,5.00,3.00,4.00,2.00,308,426,NULL,'COSTEIRA','FLORIANOPOLIS','SC',12661,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2027917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,415,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2027925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,213,202,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2027933,5.00,7.00,2.00,5.00,4.00,4.00,6.00,6.00,2.00,203,NULL,NULL,'CENTRO','PEDRINHAS PAULISTA','SP',13477,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2027941,3.00,6.00,7.00,7.00,8.00,6.25,5.00,5.00,5.00,207,420,201,'BARREIROS','SAO JOSE','SC',6317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027968,6.00,8.00,9.00,9.00,8.00,7.25,9.00,6.00,8.00,5,429,NULL,'COQUEIROS','FLORIANOPOLIS','SC',289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027976,4.00,4.00,2.00,2.00,5.00,4.25,3.00,5.00,2.00,339,319,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',20242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027984,4.00,9.00,6.00,9.00,9.00,3.00,6.00,7.00,4.00,450,301,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',4068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2027992,6.00,8.00,6.00,7.00,8.00,5.50,7.00,5.00,4.00,103,203,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028000,5.00,8.00,8.00,8.00,9.00,7.25,7.00,7.00,6.00,103,102,NULL,'CENTRO','TIMBO','SC',1288,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2028018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'ZONA TRÊS','CIANORTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2028026,7.00,8.00,8.00,8.00,8.00,6.00,7.00,8.00,7.00,203,214,220,'GRAGERU','ARACAJU','SE',1098,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2028034,7.00,8.00,10.00,10.00,9.00,8.00,9.00,8.00,8.00,202,225,216,'CENTRO','FLORIANOPOLIS','SC',13,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028042,1.00,1.00,4.00,1.00,6.00,NULL,2.00,2.00,4.00,501,211,NULL,'SANTA ANA','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2028050,1.00,6.00,4.00,7.00,8.00,5.50,4.00,6.00,2.00,319,328,NULL,'CAMPINAS','SAO JOSE','SC',12044,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2028069,2.00,4.00,2.00,2.00,5.00,NULL,1.00,2.00,2.00,202,213,NULL,'UNIVERSITÁRIO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2028077,7.00,7.00,5.00,6.00,8.00,6.50,8.00,6.00,4.00,103,316,NULL,'CENTRO','FLORIANOPOLIS','SC',3450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028093,5.00,5.00,5.00,6.00,5.00,4.50,3.00,5.00,4.00,220,NULL,NULL,'ITAGUAÇÚ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028107,8.00,8.00,9.00,7.00,9.00,5.50,9.00,8.00,7.00,216,102,215,'BELA VISTA','CORONEL VIVIDA','PR',396,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2028123,5.00,9.00,5.00,8.00,7.00,6.25,6.00,7.00,5.00,415,450,NULL,'CENTRO','FLORIANOPOLIS','SC',3719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028131,6.00,7.00,8.00,6.00,8.00,7.00,7.00,8.00,5.00,203,333,216,'CENTRO','ITAPEMA','SC',2359,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2028140,3.00,6.00,3.00,8.00,8.00,7.00,7.00,4.00,3.00,304,301,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028166,2.00,5.00,4.00,3.00,6.00,6.75,4.00,6.00,2.00,426,428,421,'BOM VIVER','BIGUACU','SC',15434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028174,3.00,2.00,1.00,5.00,5.00,NULL,2.00,1.00,2.00,319,328,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2028182,4.00,7.00,7.00,9.00,4.00,6.00,5.00,7.00,3.00,324,502,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028212,4.00,9.00,8.00,8.00,6.00,5.75,7.00,6.00,3.00,444,404,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',3889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028220,1.00,6.00,2.00,4.00,6.00,5.50,5.00,3.00,2.00,316,333,NULL,'FLORESTA','SAO JOSE','SC',17356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2028239,2.00,5.00,5.00,7.00,7.00,5.75,4.00,4.00,3.00,303,420,NULL,'CENTR','JARAGUA DO SUL','SC',12329,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2028247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,420,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2028255,4.00,8.00,7.00,7.00,7.00,6.00,6.00,3.00,3.00,216,217,212,'PONTE DO IMARUIM','PALHOCA','SC',7076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028263,4.00,8.00,5.00,6.00,8.00,7.50,7.00,6.00,3.00,317,5,NULL,'JARDIM AMERICA','CAXIAS DO SUL','RS',5414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2028271,3.00,7.00,2.00,5.00,5.00,6.75,5.00,4.00,1.00,207,420,211,'CENTRO','FLORIANOPOLIS','SC',15301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028280,7.00,7.00,8.00,10.00,7.00,5.00,7.00,7.00,8.00,103,104,NULL,'AMIZADE','JARAGUA DO SUL','SC',1227,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2028298,8.00,8.00,9.00,9.00,9.00,5.75,8.00,7.00,9.00,103,420,NULL,'CENTRO','FLORIANOPOLIS','SC',124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028310,3.00,8.00,3.00,3.00,7.00,5.75,3.00,5.00,4.00,301,303,NULL,'VILA MATILDE','SAO PAULO','SP',14048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028328,3.00,7.00,3.00,5.00,8.00,6.50,1.00,7.00,2.00,103,9,NULL,'BOEHMERWALDT','JOINVILLE','SC',13050,2451,552,NULL,NULL,NULL,NULL,4,8),(15,2028336,4.00,7.00,6.00,8.00,7.00,6.25,6.00,8.00,4.00,425,426,421,'BARREIROS','SAO JOSE','SC',4102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028344,5.00,7.00,6.00,4.00,8.00,7.00,6.00,5.00,2.00,104,223,NULL,'BARREIROS','SAO JOSE','SC',7538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028352,4.00,7.00,7.00,8.00,9.00,7.00,6.00,7.00,6.00,214,212,201,'PONTA AGUDA','BLUMENAU','SC',2188,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2028360,4.00,7.00,5.00,5.00,7.00,6.25,6.00,6.00,7.00,215,9,216,'PERDIZES','SAO PAULO','SP',5011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028379,7.00,9.00,9.00,9.00,8.00,7.00,9.00,7.00,8.00,207,420,201,'CORREGO GRANDE','FLORIANOPOLIS','SC',298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028387,5.00,6.00,8.00,5.00,4.00,4.50,8.00,5.00,6.00,220,234,201,'JARDIM PARAÍSO','BOTUCATU','SP',6215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028395,4.00,6.00,3.00,4.00,8.00,5.00,5.00,3.00,2.00,104,9,NULL,'ARIRIÚ','PALHOCA','SC',14993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2028409,5.00,8.00,4.00,7.00,8.00,5.00,5.00,7.00,4.00,104,327,NULL,'GAVEA','JACINTO MACHADO','SC',5369,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2028417,9.00,9.00,7.00,9.00,9.00,7.75,9.00,9.00,7.00,202,310,208,'CENTRO','DOURADOS','MS',48,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028433,3.00,7.00,9.00,5.00,5.00,5.00,8.00,7.00,4.00,233,212,NULL,'ELOY CHAVES','JUNDIAI','SP',5484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028441,4.00,7.00,7.00,8.00,8.00,6.50,8.00,6.00,5.00,220,213,202,'BARAO GERALDO','CAMPINAS','SP',3235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,223,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2028468,2.00,7.00,3.00,6.00,7.00,6.00,5.00,6.00,3.00,502,501,NULL,'ITACORUBI','FLORIANOPOLIS','SC',11325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2028476,4.00,7.00,8.00,4.00,9.00,5.25,9.00,5.00,9.00,220,213,202,'CENTRO DA LAGOA','FLORIANOPOLIS','SC',2360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028484,6.00,8.00,6.00,9.00,9.00,8.50,9.00,7.00,7.00,415,216,NULL,'CENTRO','OURINHOS','SP',426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028492,2.00,8.00,5.00,4.00,7.00,4.75,7.00,7.00,5.00,203,214,216,'CENTRO','PALHOCA','SC',8179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028506,4.00,7.00,7.00,5.00,6.00,5.00,5.00,5.00,4.00,102,429,NULL,'CAMPECHE','FLORIANOPOLIS','SC',8539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028514,1.00,7.00,3.00,6.00,5.00,6.50,4.00,4.00,2.00,233,320,213,'URUSANGUINHA','ARARANGUA','SC',15581,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2028522,1.00,5.00,2.00,1.00,5.00,4.50,2.00,4.00,2.00,404,308,NULL,'ARMAÇAO DO PANTANO','FLORIANOPOLIS','SC',21640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028530,7.00,7.00,7.00,7.00,7.00,7.50,7.00,6.00,6.00,103,102,NULL,'UNIVERSITÁRIO','CORUMBA','MS',2715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028557,2.00,6.00,6.00,4.00,7.00,6.00,6.00,2.00,2.00,233,203,NULL,'CENTRO','BOM JARDIM DA SERRA','SC',13853,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2028565,3.00,6.00,4.00,2.00,5.00,5.00,5.00,5.00,2.00,301,303,NULL,'JARDIN IRAJA','RIBEIRAO PRETO','SP',16511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028573,3.00,7.00,5.00,3.00,8.00,5.00,5.00,4.00,3.00,101,309,NULL,'ABRAÃO','FLORIANOPOLIS','SC',12456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028590,2.00,5.00,5.00,7.00,8.00,5.00,4.00,4.00,3.00,207,420,211,'CANASVIEIRAS','FLORIANOPOLIS','SC',13391,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2028603,5.00,7.00,5.00,7.00,9.00,6.50,7.00,6.00,2.00,319,NULL,NULL,'CAMPECHE','FLORIANOPOLIS','SC',6315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028620,3.00,3.00,2.00,7.00,5.00,4.00,3.00,6.00,1.00,108,451,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',19015,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2028638,8.00,9.00,9.00,10.00,8.00,6.00,9.00,8.00,8.00,216,425,233,'SAGUAÇU','JOINVILLE','SC',31,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2028646,0.00,3.00,4.00,3.00,2.00,NULL,4.00,4.00,2.00,203,2,202,'AREA RURAL','VARGEAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2028654,4.00,6.00,4.00,2.00,5.00,3.50,5.00,2.00,2.00,220,214,203,'SANTA ROSA','PORTO UNIAO','SC',19370,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2028662,7.00,9.00,6.00,8.00,9.00,5.25,8.00,7.00,6.00,103,216,NULL,'ANITA GARIBALDI','JOINVILLE','SC',1384,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2028670,3.00,7.00,4.00,5.00,6.00,5.50,5.00,5.00,4.00,303,319,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',11310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,207,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2028700,3.00,5.00,2.00,6.00,5.00,6.00,4.00,7.00,4.00,502,501,NULL,'CAMPECHE','FLORIANOPOLIS','SC',14927,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2028719,2.00,8.00,5.00,8.00,8.00,6.00,5.00,7.00,1.00,319,428,NULL,'CENTRO','BIGUACU','SC',8391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2028735,3.00,7.00,3.00,4.00,5.00,7.25,5.00,3.00,3.00,9,420,NULL,'BARRA DA ITOPAVA','RIO DO SUL','SC',13383,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2028743,4.00,8.00,5.00,8.00,8.00,5.25,7.00,4.00,3.00,316,301,NULL,'CENTRO','FLORIANOPOLIS','SC',5996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028751,5.00,6.00,3.00,1.00,8.00,5.00,6.00,3.00,3.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',13668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028760,4.00,9.00,8.00,5.00,9.00,5.50,8.00,8.00,7.00,201,212,211,'COQUEIROS','FLORIANOPOLIS','SC',1601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028786,3.00,5.00,1.00,9.00,6.00,5.50,4.00,7.00,2.00,103,NULL,NULL,'CENTRO','FAXINAL DOS GUEDES','SC',11981,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2028794,5.00,7.00,9.00,4.00,8.00,5.00,7.00,8.00,6.00,303,5,NULL,'CENTRO','CAPAO BONITO','SP',3987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028808,7.00,9.00,9.00,8.00,9.00,7.75,9.00,8.00,9.00,103,102,NULL,'FÁTIMA','JOINVILLE','SC',75,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2028816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,NULL,'CENTRO','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2028824,3.00,9.00,4.00,8.00,7.00,4.50,5.00,7.00,4.00,310,320,NULL,'VIVENDAS DO LAGO','SOROCABA','SP',6213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028832,6.00,7.00,9.00,7.00,9.00,4.50,8.00,8.00,8.00,103,333,NULL,'CENTRO','ICARA','SC',1007,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2028840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,318,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2028859,2.00,7.00,1.00,0.00,7.00,4.75,3.00,4.00,3.00,207,308,201,'AGRONÔMICA','FLORIANOPOLIS','SC',19684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028867,8.00,8.00,5.00,8.00,7.00,6.75,9.00,9.00,5.00,103,9,NULL,'TRINDADE','FLORIANOPOLIS','SC',1195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,101,NULL,'CENTRO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2028891,7.00,7.00,8.00,6.00,8.00,5.25,7.00,6.00,5.00,211,444,214,'INGLESES','FLORIANOPOLIS','SC',3375,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2028905,2.00,8.00,4.00,7.00,7.00,6.75,3.00,6.00,1.00,304,318,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',10923,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2028921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'BROTAS','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2028948,3.00,6.00,3.00,6.00,6.00,3.50,3.00,3.00,3.00,502,501,NULL,'CECAP','BOTUCATU','SP',17268,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2028956,2.00,5.00,2.00,2.00,1.00,NULL,4.00,4.00,4.00,213,238,202,'CENTRO','CORONEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2028964,3.00,6.00,0.00,1.00,5.00,5.50,2.00,8.00,3.00,211,5,216,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2028972,5.00,7.00,7.00,5.00,6.00,4.00,7.00,4.00,5.00,203,201,207,'CENTRO','RIO DO SUL','SC',7976,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2029006,3.00,6.00,5.00,5.00,8.00,4.75,4.00,7.00,4.00,207,224,215,'BARREIROS','SAO JOSE','SC',10747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029014,5.00,9.00,2.00,2.00,7.00,5.00,6.00,7.00,5.00,217,223,NULL,'ARMAÇAO DO PANTANO','FLORIANOPOLIS','SC',9047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029022,1.00,4.00,4.00,5.00,5.00,6.25,1.00,3.00,3.00,301,316,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029030,3.00,4.00,5.00,6.00,5.00,0.00,4.00,1.00,2.00,212,215,213,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2029049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,329,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2029057,5.00,6.00,3.00,1.00,9.00,6.25,5.00,4.00,2.00,302,303,NULL,'CAMINHO NOVO','PALHOCA','SC',13549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029065,4.00,8.00,6.00,4.00,8.00,6.75,4.00,8.00,3.00,102,9,NULL,'CIDADE NOVA','ITAJAI','SC',5522,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2029073,2.00,5.00,5.00,6.00,6.00,6.00,6.00,6.00,5.00,216,201,NULL,'CENTRO','JOACABA','SC',9549,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2029081,7.00,8.00,7.00,7.00,8.00,6.75,7.00,6.00,7.00,103,101,NULL,'SANTA FELICIDADE','CURITIBA','PR',1252,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2029090,2.00,6.00,2.00,5.00,7.00,5.00,3.00,4.00,1.00,324,429,NULL,'INGLESES','FLORIANOPOLIS','SC',17820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2029103,2.00,7.00,5.00,6.00,6.00,6.25,5.00,5.00,2.00,207,5,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029111,3.00,8.00,5.00,5.00,5.00,7.00,4.00,7.00,2.00,450,NULL,NULL,'CENTRO','PALMAS','TO',10142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029120,3.00,9.00,4.00,7.00,7.00,4.50,5.00,8.00,6.00,304,9,NULL,'PARQUE IMPERADOR','CAMPINAS','SP',5508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029138,7.00,7.00,8.00,7.00,8.00,6.00,7.00,8.00,8.00,103,108,NULL,'JARDIM SATELITE','SAO JOSE DOS CAMPOS','SP',1034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029154,7.00,8.00,7.00,6.00,7.00,6.00,8.00,7.00,5.00,318,339,NULL,'CENTRO','FLORIANOPOLIS','SC',2487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029170,3.00,5.00,1.00,6.00,5.00,5.50,4.00,7.00,4.00,303,310,NULL,'COSTA DE DENTRO','FLORIANOPOLIS','SC',13896,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2029189,4.00,8.00,5.00,6.00,8.00,6.00,4.00,4.00,4.00,501,333,NULL,'CAMPINAS','SAO JOSE','SC',8255,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2029200,7.00,9.00,9.00,9.00,8.00,7.25,9.00,7.00,5.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029219,2.00,7.00,5.00,5.00,6.00,4.75,6.00,5.00,4.00,213,201,216,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2029235,1.00,5.00,2.00,4.00,8.00,6.50,3.00,4.00,1.00,207,420,203,'SÃO JOÃO','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2029243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,333,214,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2029260,7.00,9.00,7.00,5.00,7.00,7.75,5.00,7.00,5.00,203,333,207,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029278,4.00,6.00,6.00,4.00,7.00,6.00,4.00,4.00,3.00,207,420,NULL,'ITACORUBI','FLORIANOPOLIS','SC',12281,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2029286,5.00,7.00,4.00,6.00,7.00,6.25,6.00,6.00,5.00,103,501,NULL,'PORTÃO','CURITIBA','PR',6045,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2029294,8.00,6.00,8.00,7.00,8.00,6.00,5.00,5.00,4.00,211,NULL,201,'PARK ALPHAVILLE','PORTO VELHO','RO',3731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029308,7.00,8.00,6.00,9.00,9.00,7.50,8.00,9.00,6.00,5,303,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029316,4.00,7.00,2.00,0.00,4.00,NULL,4.00,7.00,5.00,216,217,215,'JARDIM','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2029324,4.00,7.00,2.00,8.00,4.00,5.00,4.00,8.00,2.00,301,316,NULL,'PINHEIRINHO','ITAJUBA','MG',11615,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2029332,3.00,7.00,6.00,8.00,8.00,7.00,7.00,6.00,4.00,102,9,NULL,'CENTRO','JARAGUA DO SUL','SC',4324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029340,6.00,5.00,4.00,9.00,9.00,7.25,6.00,5.00,4.00,102,101,NULL,'ANITA GARIBALDI','JOINVILLE','SC',4249,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2029359,1.00,3.00,3.00,2.00,7.00,4.50,1.00,5.00,2.00,339,104,NULL,'FLORESTA','JOINVILLE','SC',21581,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2029367,6.00,6.00,6.00,7.00,6.00,5.50,7.00,5.00,1.00,103,202,NULL,'TRINDADE','FLORIANOPOLIS','SC',9013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CHAPADA','MANAUS','AM',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2029391,3.00,8.00,5.00,9.00,7.00,5.75,5.00,7.00,6.00,5,201,NULL,'CENTRO','FARROUPILHA','RS',5488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029405,7.00,8.00,8.00,7.00,8.00,7.00,9.00,8.00,8.00,303,5,NULL,'JARDIM DAS INDÚSTRIA','SAO JOSE DOS CAMPOS','SP',872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029413,0.00,1.00,2.00,2.00,3.00,NULL,2.00,2.00,3.00,103,101,NULL,'JARDIN','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2029421,1.00,5.00,3.00,1.00,5.00,5.75,3.00,2.00,1.00,303,301,NULL,'INGLESES','FLORIANOPOLIS','SC',22244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2029448,5.00,8.00,6.00,7.00,7.00,6.25,6.00,7.00,4.00,301,309,NULL,'CENTRO','FLORIANOPOLIS','SC',4037,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2029456,4.00,8.00,3.00,2.00,6.00,7.00,5.00,4.00,4.00,104,102,NULL,'CENTRO','MASSARANDUBA','SC',10114,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2029464,0.00,7.00,4.00,3.00,4.00,4.75,3.00,4.00,4.00,102,103,NULL,'FLORESTA','JOINVILLE','SC',18544,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2029472,5.00,6.00,4.00,5.00,8.00,5.00,5.00,7.00,3.00,238,318,208,'ITACORUBI','FLORIANOPOLIS','SC',8860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029480,7.00,7.00,6.00,8.00,7.00,6.50,6.00,5.00,5.00,103,203,NULL,'CENTRO','JARAGUA DO SUL','SC',3998,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2029499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,310,NULL,'CENTRO','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2029502,4.00,8.00,4.00,7.00,9.00,6.25,8.00,6.00,3.00,304,318,NULL,'CENTRO','FLORIANOPOLIS','SC',4678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029510,3.00,8.00,3.00,6.00,7.00,4.50,4.00,5.00,4.00,316,301,NULL,'BALDAN','LONDRINA','PR',11977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029529,2.00,5.00,6.00,4.00,7.00,5.00,5.00,7.00,2.00,304,318,NULL,'VILA OLIMPIA','SAO PAULO','SP',12871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2029537,7.00,6.00,8.00,9.00,6.00,5.25,6.00,8.00,7.00,216,2,211,'CENTRO','LAGES','SC',1828,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2029545,9.00,8.00,10.00,8.00,6.00,5.75,8.00,8.00,7.00,103,108,NULL,'LIBERDADE','SAO PAULO','SP',604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029553,7.00,8.00,7.00,5.00,8.00,7.25,6.00,4.00,3.00,316,317,NULL,'KOBRASOL','SAO JOSE','SC',5253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2029561,7.00,7.00,5.00,3.00,6.00,6.00,5.00,5.00,4.00,317,429,NULL,'CENTRO','PAULO LOPES','SC',9719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029588,1.00,7.00,3.00,4.00,8.00,6.00,2.00,5.00,2.00,326,310,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',15058,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2029596,5.00,9.00,6.00,6.00,8.00,7.00,5.00,9.00,5.00,309,339,NULL,'CENTRO','FLORIANOPOLIS','SC',3561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029600,4.00,6.00,3.00,6.00,4.00,6.00,5.00,5.00,3.00,103,309,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029618,4.00,7.00,4.00,6.00,5.00,5.25,3.00,5.00,2.00,301,207,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',12463,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2029626,7.00,7.00,8.00,8.00,8.00,7.00,7.00,5.00,4.00,103,108,NULL,'ITACORUBI','FLORIANOPOLIS','SC',2111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029634,7.00,9.00,8.00,6.00,8.00,6.50,8.00,6.00,7.00,103,216,NULL,'CENTRO','CAMBORIU','SC',1168,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2029642,4.00,9.00,8.00,6.00,8.00,5.75,8.00,7.00,5.00,203,233,202,'MORRO CHIC','ITAJUBA','MG',2566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029650,0.00,5.00,1.00,1.00,5.00,4.25,5.00,5.00,5.00,104,NULL,NULL,'JARDIM ITÁLIA','CHAPECO','SC',20413,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2029669,4.00,7.00,5.00,7.00,8.00,6.50,6.00,8.00,3.00,303,428,NULL,'CENTRO','BIGUACU','SC',5710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,420,NULL,'FLORESTA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2029693,5.00,6.00,5.00,3.00,8.00,6.25,4.00,7.00,3.00,420,450,NULL,'FLORADAS DE SÃO JOSÉ','SAO JOSE DOS CAMPOS','SP',9793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029723,6.00,8.00,8.00,4.00,7.00,7.00,7.00,4.00,3.00,203,223,202,'JARDIM MANSUR','CAMPO GRANDE','MS',5373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029731,8.00,7.00,6.00,5.00,9.00,6.50,7.00,6.00,7.00,102,217,NULL,'JD AUGUSTA','SAO JOSE DOS CAMPOS','SP',2045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029740,3.00,6.00,6.00,5.00,6.00,5.75,2.00,4.00,2.00,103,101,NULL,'CARIANOS','FLORIANOPOLIS','SC',14094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029758,5.00,8.00,6.00,7.00,8.00,4.75,8.00,6.00,5.00,216,501,233,'FIGUEIRA','JACINTO MACHADO','SC',3212,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2029766,7.00,8.00,8.00,8.00,9.00,6.75,5.00,6.00,5.00,207,429,215,'TRINDADE','FLORIANOPOLIS','SC',2267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2029804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,415,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2029820,2.00,2.00,0.00,1.00,3.00,NULL,2.00,2.00,1.00,103,9,NULL,'JARDIM MARINGÁ','SINOP','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2029839,1.00,5.00,1.00,7.00,7.00,5.50,3.00,2.00,2.00,316,425,NULL,'KOBRASOL','SAO JOSE','SC',18530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029863,4.00,7.00,1.00,4.00,6.00,5.00,2.00,2.00,2.00,211,404,233,'AGRONOMICA','FLORIANOPOLIS','SC',19229,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2029871,3.00,6.00,0.00,2.00,6.00,5.50,4.00,2.00,4.00,301,326,NULL,'CAMPECHE','FLORIANOPOLIS','SC',18685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029880,5.00,6.00,6.00,7.00,7.00,5.00,7.00,6.00,2.00,201,319,207,'SAGRADO CORAÇAO DE J','LAGES','SC',7214,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2029898,4.00,8.00,4.00,8.00,7.00,7.00,7.00,6.00,4.00,450,427,NULL,'OCTOGONAL','CRUZEIRO','DF',5390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029901,5.00,7.00,3.00,7.00,6.00,5.75,6.00,8.00,5.00,238,5,208,'CENTRO','NAVEGANTES','SC',7169,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2029910,3.00,6.00,1.00,1.00,8.00,6.25,3.00,3.00,2.00,308,319,NULL,'JARDIM MODELO','AMPARO','SP',19391,130,909,NULL,NULL,NULL,NULL,4,1),(15,2029928,4.00,3.00,5.00,7.00,7.00,5.00,4.00,5.00,3.00,102,223,NULL,'PANTANAL','FLORIANOPOLIS','SC',12374,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2029936,8.00,8.00,7.00,5.00,7.00,6.00,7.00,8.00,6.00,103,450,NULL,'TRINDADE','FLORIANOPOLIS','SC',2554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029944,5.00,8.00,8.00,6.00,8.00,3.75,6.00,5.00,4.00,202,223,203,'JARDIM MANSUR','CAMPO GRANDE','MS',5694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029952,3.00,6.00,3.00,1.00,7.00,5.00,6.00,2.00,3.00,5,208,NULL,'CENTRO','FLORIANOPOLIS','SC',16566,704,1053,NULL,NULL,NULL,NULL,4,1),(15,2029960,7.00,8.00,6.00,9.00,8.00,6.75,9.00,6.00,7.00,103,425,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',1167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029979,5.00,8.00,3.00,6.00,7.00,4.75,7.00,8.00,3.00,103,201,NULL,'CENTRO','CURITIBA','PR',6885,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2029987,5.00,5.00,3.00,2.00,7.00,7.25,5.00,5.00,3.00,103,308,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',11865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2029995,1.00,2.00,1.00,3.00,4.00,5.00,1.00,4.00,4.00,9,215,NULL,'CAMPINAS','SAO JOSE','SC',22238,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2030004,1.00,3.00,3.00,3.00,7.00,7.00,3.00,3.00,4.00,415,328,NULL,'COQUEIROS','FLORIANOPOLIS','SC',19109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2030012,2.00,6.00,5.00,7.00,9.00,6.25,6.00,4.00,5.00,415,309,NULL,'MORUMBI','SAO PAULO','SP',6541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030039,1.00,5.00,2.00,5.00,6.00,7.50,2.00,4.00,1.00,317,429,NULL,'CARIANOS','FLORIANOPOLIS','SC',18619,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2030047,3.00,3.00,3.00,5.00,3.00,4.50,6.00,3.00,4.00,501,213,NULL,'BELA VISTA','NOVA PRATA DO IGUACU','PR',18563,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2030055,5.00,8.00,6.00,2.00,7.00,5.50,5.00,7.00,4.00,5,303,NULL,'ESTREITO','FLORIANOPOLIS','SC',7554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030071,4.00,7.00,8.00,6.00,8.00,5.75,6.00,7.00,5.00,202,222,213,'COQUEIROS','FLORIANOPOLIS','SC',3455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030080,6.00,8.00,5.00,8.00,6.00,5.50,7.00,4.00,3.00,203,202,201,'GLEBA F PALHANO','LONDRINA','PR',7126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030098,6.00,5.00,4.00,7.00,8.00,6.50,6.00,5.00,5.00,415,451,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',6698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030110,1.00,5.00,3.00,1.00,5.00,NULL,3.00,3.00,1.00,309,326,NULL,'ABRAÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030128,3.00,8.00,5.00,6.00,8.00,5.00,4.00,5.00,3.00,316,301,NULL,'CAMBUI','CAMPINAS','SP',10240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030144,9.00,9.00,9.00,9.00,9.00,7.50,9.00,8.00,9.00,103,208,NULL,'CENTRO','FLORIANOPOLIS','SC',7,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030152,2.00,3.00,3.00,4.00,4.00,5.50,4.00,3.00,4.00,215,202,201,'CAPITAIS','TIMBO','SC',18147,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2030160,2.00,7.00,6.00,6.00,6.00,5.00,5.00,8.00,2.00,201,214,203,'NAÇÕES','FRAIBURGO','SC',9164,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2030179,3.00,8.00,7.00,9.00,8.00,7.00,8.00,7.00,3.00,303,415,NULL,'CACUPÉ','FLORIANOPOLIS','SC',3520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030187,1.00,6.00,1.00,2.00,6.00,4.25,3.00,6.00,5.00,238,332,208,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',18288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030195,3.00,6.00,2.00,3.00,3.00,3.25,3.00,4.00,2.00,450,415,NULL,'ALPHAVILLE','CAMPINAS','SP',21377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030209,4.00,9.00,8.00,6.00,7.00,6.25,8.00,6.00,6.00,103,9,NULL,'NOVA OURINHOS','OURINHOS','SP',2954,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2030250,3.00,6.00,0.00,6.00,7.00,6.25,3.00,3.00,2.00,415,308,NULL,'CAMPINAS','SAO JOSE','SC',17136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2030276,9.00,9.00,9.00,9.00,9.00,7.00,9.00,9.00,9.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',17,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030284,8.00,8.00,9.00,9.00,9.00,4.75,8.00,6.00,5.00,103,238,NULL,'CENTRO','FLORIANOPOLIS','SC',969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030292,8.00,9.00,9.00,5.00,8.00,6.50,8.00,9.00,9.00,103,303,NULL,'OESTE','GOIANIA','GO',242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030306,2.00,7.00,4.00,9.00,6.00,5.25,7.00,6.00,5.00,319,2,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030314,6.00,6.00,8.00,7.00,7.00,7.00,8.00,8.00,6.00,220,310,202,'CENTRO','BEBEDOURO','SP',1800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030322,6.00,8.00,8.00,9.00,9.00,9.25,8.00,6.00,7.00,203,NULL,214,'PIO CORRÊA','CRICIUMA','SC',442,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2030330,4.00,8.00,6.00,5.00,9.00,6.75,7.00,6.00,5.00,207,9,201,'CORREGO GRANDE','FLORIANOPOLIS','SC',4023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030349,5.00,7.00,4.00,7.00,7.00,6.00,5.00,6.00,3.00,320,310,NULL,'ESTREITO','FLORIANOPOLIS','SC',7793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030357,7.00,7.00,9.00,7.00,9.00,6.25,9.00,7.00,6.00,216,NULL,NULL,'GLÓRIA','JOINVILLE','SC',651,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2030365,4.00,7.00,3.00,7.00,8.00,6.25,3.00,7.00,3.00,319,424,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',8866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2030373,2.00,8.00,6.00,5.00,5.00,5.00,6.00,4.00,2.00,104,303,NULL,'ZONA I A','UMUARAMA','PR',10991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030381,5.00,8.00,7.00,6.00,8.00,6.75,7.00,6.00,5.00,211,331,NULL,'SANTA AUGUSTA','CRICIUMA','SC',3519,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2030390,1.00,5.00,6.00,2.00,6.00,4.75,6.00,4.00,1.00,202,201,213,'CENTRO','SOROCABA','SP',15273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030403,5.00,8.00,6.00,4.00,6.00,6.25,6.00,5.00,5.00,103,108,NULL,'SANTA TEREZINHA','SAO BERNARDO DO CAMPO','SP',6672,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2030420,4.00,6.00,4.00,4.00,5.00,6.00,4.00,1.00,3.00,211,333,216,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030446,4.00,8.00,4.00,7.00,8.00,0.00,6.00,5.00,3.00,102,NULL,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2030454,6.00,6.00,6.00,8.00,9.00,6.25,5.00,5.00,6.00,103,102,NULL,'BATEL','CURITIBA','PR',4471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030462,4.00,8.00,3.00,9.00,6.00,5.75,5.00,6.00,3.00,333,332,NULL,'CENTRO','FLORIANOPOLIS','SC',7397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030470,6.00,7.00,6.00,8.00,8.00,6.25,5.00,7.00,5.00,103,104,NULL,'COSTA E SILVA','JOINVILLE','SC',2979,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2030489,6.00,6.00,5.00,8.00,7.00,5.25,6.00,6.00,6.00,103,101,NULL,'AMÉRICA','JOINVILLE','SC',4963,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2030497,4.00,7.00,3.00,5.00,4.00,4.00,4.00,6.00,2.00,331,332,NULL,'JARDIM DA PEDREIRA','SAO PAULO','SP',14618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030519,5.00,6.00,5.00,3.00,4.00,6.75,5.00,4.00,2.00,211,103,233,'FLÂNDRIA','POMPEIA','SP',12611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030527,3.00,5.00,0.00,4.00,4.00,NULL,5.00,5.00,1.00,5,202,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2030535,3.00,6.00,2.00,4.00,4.00,5.25,4.00,3.00,3.00,104,324,NULL,'AMIZADE','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2030543,8.00,8.00,8.00,8.00,8.00,5.75,8.00,6.00,9.00,103,104,NULL,'CENTRO','UMUARAMA','PR',796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030551,4.00,4.00,3.00,6.00,6.00,5.50,2.00,4.00,3.00,103,101,NULL,'FLORESTA','SAO JOSE','SC',17326,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2030560,2.00,7.00,3.00,4.00,5.00,6.50,3.00,5.00,3.00,211,501,207,'BOM FIM','PORTO ALEGRE','RS',16021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030578,5.00,7.00,5.00,8.00,8.00,5.50,5.00,7.00,4.00,415,319,NULL,'SUDOESTE','BRASILIA','DF',5247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030586,5.00,6.00,4.00,7.00,8.00,5.50,7.00,6.00,5.00,102,317,NULL,'CENTRO','SOMBRIO','SC',5744,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2030594,4.00,5.00,2.00,3.00,2.00,NULL,5.00,4.00,1.00,5,102,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030608,2.00,7.00,7.00,4.00,9.00,7.00,6.00,7.00,5.00,208,316,238,'CENTRO','BALNEARIO ARROIO DO SILVA','SC',6079,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2030616,5.00,6.00,8.00,3.00,7.00,6.50,8.00,6.00,3.00,318,304,NULL,'CAMPECHE','FLORIANOPOLIS','SC',6582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,304,213,'JARDIM SANTO ANTÔNIO','CONCHAL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2030632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'BOSQUE IMPERIAL','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2030640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2030659,8.00,8.00,7.00,9.00,6.00,5.50,9.00,8.00,8.00,103,NULL,NULL,'GUARÁ','GUARA','DF',707,353,NULL,NULL,NULL,NULL,NULL,2,1),(15,2030667,3.00,6.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,108,333,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030683,4.00,6.00,3.00,2.00,6.00,5.25,5.00,4.00,1.00,103,104,NULL,'RIO GRANDE','PALHOCA','SC',16489,2757,1175,NULL,NULL,NULL,NULL,4,1),(15,2030691,6.00,6.00,5.00,5.00,8.00,7.00,6.00,7.00,5.00,319,423,NULL,'CAMPINAS','SAO JOSE','SC',5271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2030705,2.00,8.00,7.00,3.00,7.00,5.75,7.00,4.00,3.00,215,201,216,'SAMBAQUI','FLORIANOPOLIS','SC',10469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030721,7.00,9.00,7.00,7.00,10.00,6.75,7.00,7.00,6.00,108,333,NULL,'PINHEIROS','SAO PAULO','SP',1158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030730,7.00,7.00,7.00,7.00,7.00,5.75,9.00,7.00,5.00,208,420,203,'CENTRO','FLORIANOPOLIS','SC',1745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,213,NULL,'MACEDO','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2030756,6.00,7.00,7.00,9.00,6.00,7.25,7.00,7.00,7.00,103,217,NULL,'SANTA FELICIDADE','CURITIBA','PR',2196,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2030764,2.00,8.00,8.00,8.00,7.00,7.00,6.00,7.00,5.00,207,451,215,'JARDIM ITÁLIA','CUIABA','MT',3004,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2030772,7.00,8.00,7.00,5.00,8.00,6.75,6.00,8.00,6.00,215,NULL,216,'JARDIM NOVA LONDRES','LONDRINA','PR',2303,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2030780,3.00,6.00,2.00,4.00,5.00,6.25,4.00,4.00,4.00,103,NULL,NULL,'CENTRO','SAO MIGUEL DO IGUACU','PR',14677,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2030799,7.00,5.00,6.00,8.00,7.00,7.25,6.00,8.00,2.00,108,450,NULL,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',3846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030810,7.00,8.00,8.00,9.00,9.00,7.75,8.00,9.00,5.00,5,421,NULL,'SANTA ISABEL','FORQUILHINHA','SC',210,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2030829,8.00,8.00,9.00,8.00,9.00,5.50,9.00,6.00,5.00,203,202,214,'BOM RETIRO','JOINVILLE','SC',1000,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2030845,3.00,6.00,2.00,9.00,7.00,5.25,6.00,4.00,3.00,333,502,NULL,'SÃO JOSÉ','CRICIUMA','SC',9899,113,185,NULL,NULL,NULL,NULL,5,5),(15,2030853,1.00,6.00,3.00,3.00,7.00,6.00,4.00,1.00,2.00,103,9,NULL,'GLORIA','JOINVILLE','SC',18032,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2030861,5.00,8.00,8.00,7.00,7.00,7.50,9.00,5.00,8.00,220,233,213,'SETOR BUENO','GOIANIA','GO',1205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030870,5.00,6.00,3.00,5.00,7.00,8.00,8.00,5.00,3.00,103,108,NULL,'VILA SÃO JOSÉ','SAO BERNARDO DO CAMPO','SP',7601,1849,658,NULL,NULL,NULL,NULL,2,1),(15,2030888,0.00,3.00,2.00,3.00,5.00,4.00,4.00,2.00,3.00,220,NULL,212,'CENTRO','SAO MIGUEL DOESTE','SC',22274,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2030900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'JUVEVÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2030918,4.00,6.00,1.00,8.00,7.00,6.75,6.00,7.00,2.00,429,319,425,'CIDADE ALTA','MEDIANEIRA','PR',8853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030926,1.00,5.00,2.00,6.00,6.00,5.25,3.00,3.00,3.00,420,450,NULL,'CENTRO','ITAPEJARA D OESTE','PR',18455,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2030934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,202,216,'ZONA II','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2030942,3.00,7.00,5.00,7.00,8.00,5.00,7.00,5.00,2.00,2,222,NULL,'INGLESES','FLORIANOPOLIS','SC',8917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030950,8.00,9.00,8.00,8.00,9.00,6.50,9.00,8.00,7.00,103,9,NULL,'CENTRO','CURITIBANOS','SC',248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2030969,5.00,6.00,3.00,5.00,7.00,3.75,4.00,4.00,2.00,317,316,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',14170,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2030977,0.00,5.00,2.00,1.00,7.00,NULL,4.00,6.00,1.00,201,207,NULL,'JARDIM DAS AVENIDAS','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2030993,7.00,8.00,7.00,2.00,9.00,7.00,8.00,7.00,6.00,103,NULL,NULL,'CENTRO','ITAJAI','SC',2869,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2031000,5.00,8.00,5.00,5.00,4.00,4.00,5.00,5.00,3.00,103,108,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',12419,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2031027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'ZONA SETE','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2031035,3.00,7.00,3.00,5.00,5.00,5.50,3.00,5.00,4.00,103,NULL,NULL,'JARDIM AMÉRICA','ITUPORANGA','SC',13154,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2031043,4.00,8.00,6.00,7.00,6.00,5.75,5.00,7.00,4.00,316,301,NULL,'CENTRO','FLORIANOPOLIS','SC',5862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031078,6.00,7.00,6.00,6.00,8.00,7.00,5.00,4.00,3.00,103,101,NULL,'GRANJEIRO','JATAI','GO',6486,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2031086,7.00,8.00,9.00,9.00,8.00,7.00,9.00,8.00,8.00,103,NULL,NULL,'LARANJEIRAS','RIO DE JANEIRO','RJ',245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031108,4.00,8.00,7.00,9.00,8.00,5.00,6.00,7.00,5.00,214,201,212,'RESIDENCIAL PARAÍSO','FRANCA','SP',3408,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2031116,7.00,9.00,9.00,7.00,8.00,5.00,9.00,6.00,8.00,203,216,220,'ATIRADORES','JOINVILLE','SC',798,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2031124,4.00,7.00,4.00,8.00,6.00,5.50,4.00,8.00,2.00,502,424,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',8326,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2031132,1.00,7.00,5.00,10.00,5.00,5.00,5.00,6.00,3.00,318,304,NULL,'ALTO DE SANTANA','SAO PAULO','SP',9468,NULL,NULL,NULL,NULL,NULL,NULL,3,8),(15,2031140,8.00,7.00,7.00,6.00,4.00,4.50,7.00,5.00,6.00,102,301,NULL,'PEDRA DE AMOLAR','ILHOTA','SC',5328,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2031159,1.00,4.00,1.00,3.00,5.00,2.00,3.00,4.00,4.00,316,220,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031167,7.00,8.00,8.00,7.00,6.00,5.25,8.00,7.00,8.00,203,2,202,'DEHON','TUBARAO','SC',1156,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2031183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'VILA TATETUBA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2031191,4.00,7.00,2.00,5.00,7.00,5.00,3.00,1.00,2.00,339,423,NULL,'CENTRO','FLORIANOPOLIS','SC',19020,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2031205,4.00,6.00,9.00,5.00,8.00,6.75,6.00,4.00,6.00,103,104,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',5281,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2031213,8.00,7.00,6.00,7.00,8.00,4.50,8.00,8.00,7.00,103,102,NULL,'BELA VISTA','SAO PAULO','SP',1382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETRÓPOLIS','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2031230,3.00,7.00,5.00,6.00,8.00,6.50,6.00,6.00,4.00,207,424,201,'ITACORUBI','FLORIANOPOLIS','SC',7210,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2031248,1.00,2.00,1.00,6.00,5.00,6.25,3.00,3.00,2.00,319,309,NULL,'KOBRASOL','SAO JOSE','SC',21668,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2031256,2.00,5.00,1.00,2.00,6.00,7.00,4.00,5.00,2.00,102,217,NULL,'MATINHO','XANXERE','SC',16887,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2031264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2031272,3.00,6.00,5.00,8.00,8.00,5.50,2.00,5.00,3.00,303,5,NULL,'IATE C DE AMERICANA','AMERICANA','SP',10184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031302,5.00,8.00,6.00,4.00,7.00,6.25,3.00,7.00,5.00,415,450,NULL,'CRUZEIRO','CAXIAS DO SUL','RS',7315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031329,3.00,7.00,4.00,7.00,8.00,5.50,5.00,8.00,5.00,303,5,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',6279,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2031337,5.00,6.00,6.00,9.00,6.00,6.50,9.00,7.00,7.00,202,201,203,'HIGIENÓPOLIS','SAO PAULO','SP',2207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031345,3.00,3.00,5.00,3.00,6.00,5.25,2.00,2.00,1.00,203,319,202,'CAMPECHE','FLORIANOPOLIS','SC',20750,1167,939,679,NULL,NULL,NULL,2,1),(15,2031353,4.00,7.00,8.00,8.00,8.00,5.75,7.00,6.00,2.00,108,215,NULL,'SAGUAÇU','JOINVILLE','SC',3838,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2031361,6.00,7.00,7.00,8.00,9.00,5.25,9.00,5.00,5.00,220,233,214,'JARDIM ITALIA','CHAPECO','SC',2286,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2031370,3.00,8.00,4.00,7.00,9.00,6.75,5.00,9.00,4.00,104,404,NULL,'ÁGUA VERDE','BLUMENAU','SC',4907,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2031388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,225,NULL,'CENTRO','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2031396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,207,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2031400,4.00,8.00,2.00,8.00,8.00,7.00,5.00,7.00,3.00,420,9,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',6951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2031418,5.00,7.00,7.00,7.00,8.00,6.25,9.00,8.00,5.00,104,203,NULL,'CENTRO','CRICIUMA','SC',2197,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2031426,8.00,8.00,7.00,8.00,8.00,6.75,5.00,6.00,6.00,207,9,NULL,'MICHEL','CRICIUMA','SC',2104,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2031434,3.00,5.00,6.00,4.00,5.00,5.00,7.00,5.00,5.00,203,233,214,'JARDIM PRIMAVERA','CAMPINAS','SP',10269,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2031442,5.00,6.00,8.00,4.00,7.00,3.00,7.00,7.00,5.00,202,222,208,'CENTRO','SANTA TEREZINHA','SC',6031,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2031450,3.00,5.00,2.00,5.00,7.00,6.00,4.00,5.00,2.00,108,333,NULL,'BARREIROS','SAO JOSE','SC',15596,347,847,NULL,NULL,NULL,NULL,2,1),(15,2031469,1.00,6.00,0.00,4.00,6.00,NULL,4.00,3.00,2.00,101,429,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2031477,3.00,8.00,3.00,7.00,5.00,4.50,5.00,6.00,3.00,214,317,211,'CENTRO','CASCAVEL','PR',11176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031485,4.00,5.00,6.00,6.00,8.00,6.00,3.00,5.00,5.00,103,319,NULL,'SÃO LUIZ','CRICIUMA','SC',8329,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2031493,0.00,8.00,3.00,4.00,5.00,5.75,2.00,3.00,2.00,451,331,NULL,'CENTRO','SAO JOAO BATISTA','SC',18199,71,212,NULL,NULL,NULL,NULL,2,1),(15,2031507,5.00,5.00,7.00,1.00,7.00,5.25,7.00,5.00,4.00,220,202,203,'PIRABEIRABA','JOINVILLE','SC',9162,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2031515,3.00,5.00,3.00,5.00,8.00,5.25,6.00,4.00,3.00,238,332,208,'ESTREITO','FLORIANOPOLIS','SC',12267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031531,2.00,4.00,5.00,6.00,6.00,5.25,2.00,4.00,3.00,425,224,428,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031558,4.00,6.00,3.00,3.00,6.00,4.75,6.00,6.00,4.00,327,329,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',12304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031566,5.00,7.00,5.00,4.00,8.00,4.50,5.00,4.00,5.00,404,224,NULL,'ESTREITO','FLORIANOPOLIS','SC',9714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','PALMAS','TO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2031590,2.00,6.00,4.00,2.00,3.00,4.50,5.00,4.00,4.00,225,216,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031604,5.00,4.00,5.00,4.00,8.00,7.50,6.00,5.00,3.00,333,9,NULL,'JARDIM RIVA','PRIMAVERA DO LESTE','MT',8680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031612,6.00,7.00,2.00,7.00,6.00,5.75,3.00,4.00,1.00,331,326,NULL,'ESTREITO','FLORIANOPOLIS','SC',14122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2031620,3.00,7.00,5.00,5.00,8.00,5.50,5.00,6.00,3.00,216,NULL,214,'GUANABARA','JOINVILLE','SC',7650,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2031647,3.00,5.00,2.00,9.00,8.00,5.50,3.00,4.00,2.00,429,NULL,425,'JARDIM RIVA','PRIMAVERA DO LESTE','MT',12699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031655,0.00,5.00,0.00,1.00,5.00,5.75,3.00,5.00,3.00,326,327,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',21416,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2031663,2.00,5.00,2.00,2.00,4.00,6.50,5.00,5.00,2.00,5,238,NULL,'CAMPINAS','SAO JOSE','SC',19414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2031680,7.00,7.00,6.00,1.00,8.00,4.00,6.00,8.00,6.00,103,NULL,NULL,'ZONA TRÊS','MARINGA','PR',5507,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2031701,3.00,6.00,1.00,3.00,4.00,4.50,4.00,3.00,4.00,309,331,NULL,'BELA VISTA I','SAO JOSE','SC',19965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031710,4.00,6.00,8.00,7.00,6.00,5.75,6.00,5.00,3.00,213,222,202,'CANASVIEIRAS','FLORIANOPOLIS','SC',7467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031728,5.00,8.00,4.00,3.00,6.00,6.00,6.00,6.00,5.00,501,333,NULL,'VILA FORMOSA','SAO PAULO','SP',8284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031736,2.00,7.00,3.00,5.00,7.00,4.25,6.00,5.00,4.00,103,104,NULL,'CRUZEIRO','SAO LOURENCO DO OESTE','SC',10464,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2031752,2.00,8.00,2.00,8.00,7.00,4.00,6.00,6.00,3.00,207,420,NULL,'COPACABANA','LAGES','SC',10454,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2031760,4.00,8.00,2.00,3.00,7.00,7.00,2.00,4.00,4.00,501,211,NULL,'BUCAREIN','JOINVILLE','SC',15469,180,940,NULL,NULL,NULL,NULL,2,8),(15,2031779,1.00,3.00,4.00,5.00,5.00,5.50,6.00,2.00,3.00,420,208,NULL,'CENTRO','ERECHIM','RS',19203,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2031787,2.00,8.00,2.00,1.00,4.00,4.50,5.00,3.00,2.00,102,216,NULL,'CENTRO','FRAIBURGO','SC',20332,460,818,NULL,NULL,NULL,NULL,2,3),(15,2031809,3.00,6.00,2.00,4.00,7.00,5.25,5.00,5.00,2.00,415,426,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',14696,368,192,NULL,NULL,NULL,NULL,4,1),(15,2031817,7.00,7.00,7.00,5.00,8.00,5.50,5.00,7.00,3.00,5,238,NULL,'COQUEIROS','FLORIANOPOLIS','SC',5916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2031833,1.00,6.00,5.00,2.00,7.00,6.00,4.00,3.00,3.00,104,103,NULL,'JARDIM MONTE ALEGRE','TABOAO DA SERRA','SP',16030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031841,2.00,7.00,4.00,7.00,5.00,4.50,4.00,3.00,2.00,327,326,NULL,'JARDIM PRIMAVERA','JACAREI','SP',14758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2031850,2.00,8.00,4.00,5.00,6.00,6.25,3.00,5.00,1.00,404,320,NULL,'ITAGUAÇÚ','FLORIANOPOLIS','SC',14314,104,188,NULL,NULL,NULL,NULL,4,1),(15,2031868,3.00,8.00,5.00,8.00,8.00,7.00,7.00,7.00,2.00,208,224,207,'ARMAÇÃO','PENHA','SC',4379,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2031876,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,207,415,201,'PQ CIDADE JARDIM II','JUNDIAI','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2031884,3.00,6.00,1.00,7.00,5.00,5.75,6.00,6.00,2.00,207,333,NULL,'CENTRO','SAO LOURENCO DO OESTE','SC',14067,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2031892,4.00,6.00,2.00,6.00,7.00,6.00,7.00,5.00,4.00,9,102,NULL,'ESTREITO','FLORIANOPOLIS','SC',9283,97,810,NULL,NULL,NULL,NULL,2,1),(15,2031914,4.00,7.00,4.00,6.00,7.00,5.00,5.00,3.00,2.00,404,333,NULL,'CAMPINAS','SAO JOSE','SC',12200,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2031922,5.00,5.00,3.00,5.00,6.00,6.25,6.00,2.00,3.00,101,339,NULL,'BARREIROS','SAO JOSE','SC',12901,105,250,NULL,NULL,NULL,NULL,2,1),(15,2031930,1.00,3.00,3.00,0.00,4.00,NULL,1.00,2.00,2.00,324,301,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2031949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,203,NULL,'CENTRO','ENTRE RIOS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2031957,2.00,7.00,3.00,5.00,5.00,4.75,3.00,5.00,4.00,420,301,NULL,'COLONINHA','FLORIANOPOLIS','SC',14486,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2031973,2.00,8.00,2.00,3.00,4.00,3.25,5.00,7.00,3.00,326,327,NULL,'CORAL','LAGES','SC',15532,84,377,NULL,NULL,NULL,NULL,2,9),(15,2031981,5.00,5.00,3.00,6.00,6.00,5.25,4.00,5.00,4.00,327,415,NULL,'ITAUM','JOINVILLE','SC',12191,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2031990,7.00,9.00,7.00,2.00,8.00,5.00,9.00,8.00,9.00,103,203,NULL,'CENTRO','LOANDA','PR',1870,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2032015,7.00,6.00,7.00,8.00,7.00,5.25,6.00,5.00,6.00,450,415,NULL,'BELA VISTA','SAO JOSE DOS CAMPOS','SP',3580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2032031,8.00,9.00,9.00,7.00,8.00,6.25,8.00,6.00,8.00,103,101,NULL,'RIACHO FUNDO I','RIACHO FUNDO','DF',849,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2032040,6.00,8.00,8.00,8.00,8.00,8.00,9.00,9.00,6.00,5,224,NULL,'CENTRO','SAO JOSE','SC',400,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2032058,4.00,6.00,5.00,8.00,6.00,5.25,5.00,3.00,2.00,429,427,421,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2032066,5.00,7.00,4.00,8.00,7.00,5.75,7.00,4.00,5.00,303,428,NULL,'CENTRO','FLORIANOPOLIS','SC',4938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2032074,5.00,8.00,7.00,6.00,7.00,6.50,6.00,8.00,4.00,238,2,NULL,'COQUEIROS','FLORIANOPOLIS','SC',4390,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2032082,2.00,6.00,7.00,4.00,8.00,4.75,4.00,3.00,2.00,333,427,NULL,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',12762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2032104,4.00,3.00,2.00,5.00,4.00,4.50,4.00,4.00,4.00,223,201,NULL,'MARIA CÉU','CRICIUMA','SC',18602,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2032139,6.00,8.00,7.00,4.00,6.00,5.25,8.00,7.00,4.00,201,212,214,'PARQUE DAS PALMEIRAS','CHAPECO','SC',6024,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2032147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,207,201,'SAO CRISTOVAO','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2032155,5.00,7.00,5.00,7.00,8.00,4.50,3.00,6.00,3.00,318,317,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',8228,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2032163,3.00,6.00,2.00,4.00,3.00,5.00,3.00,5.00,3.00,333,404,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',18907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2032180,5.00,7.00,6.00,8.00,7.00,3.75,7.00,6.00,2.00,318,224,NULL,'PONTA DE BAIXO','SAO JOSE','SC',6801,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2032198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','POTIRENDABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2032201,3.00,7.00,4.00,7.00,6.00,6.50,4.00,6.00,1.00,104,426,NULL,'BELA VISTA I','SAO JOSE','SC',11792,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2032210,4.00,4.00,5.00,5.00,6.00,5.00,2.00,3.00,2.00,102,404,NULL,'BELA VISTA','CAXIAS DO SUL','RS',17497,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2032228,3.00,5.00,3.00,5.00,4.00,3.75,5.00,2.00,1.00,9,502,NULL,'COLÔNIA SANTANA','SAO JOSE','SC',18992,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2032236,3.00,7.00,4.00,5.00,7.00,5.00,3.00,4.00,2.00,303,326,NULL,'EUGÊNIO SCHNEIDER','RIO DO SUL','SC',13424,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2032244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,215,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2032252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,5,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2032260,2.00,2.00,3.00,1.00,3.00,NULL,2.00,3.00,2.00,333,217,NULL,'IMIGRANTES','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2032279,3.00,4.00,6.00,4.00,5.00,4.75,7.00,4.00,6.00,214,213,212,'CENTRO','FARTURA','SP',12321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2032287,6.00,8.00,6.00,8.00,9.00,7.00,6.00,7.00,6.00,103,108,NULL,'FLORESTA','SAO JOSE','SC',2607,949,556,NULL,NULL,NULL,NULL,4,1),(15,2032295,6.00,7.00,5.00,5.00,7.00,6.75,4.00,4.00,2.00,415,451,NULL,'IRIRIÚ','JOINVILLE','SC',9509,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2032309,7.00,8.00,9.00,8.00,9.00,5.25,7.00,6.00,7.00,103,102,NULL,'VILA NOVA','MAFRA','SC',1801,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2032317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,501,220,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2032325,0.00,4.00,1.00,6.00,3.00,NULL,2.00,2.00,1.00,215,104,233,'ARMAÇÃO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2032333,2.00,5.00,1.00,3.00,6.00,6.50,1.00,2.00,2.00,415,339,NULL,'VILA AVIAÇÃO','BAURU','SP',20759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2032350,2.00,2.00,0.00,2.00,5.00,NULL,2.00,3.00,2.00,420,444,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2032368,0.00,5.00,3.00,2.00,7.00,4.75,1.00,5.00,3.00,201,NULL,207,'SALETTE','FRAIBURGO','SC',21087,1092,NULL,986,NULL,NULL,NULL,4,7),(15,2032392,2.00,4.00,0.00,4.00,6.00,5.50,1.00,4.00,3.00,404,423,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',20552,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2032406,8.00,8.00,8.00,6.00,9.00,6.50,8.00,8.00,6.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2032422,2.00,4.00,3.00,5.00,5.00,5.50,3.00,3.00,2.00,216,9,233,'CENTRO','PINHEIRO PRETO','SC',18810,524,675,419,NULL,NULL,NULL,4,7),(15,2032457,3.00,6.00,5.00,5.00,6.00,5.50,3.00,6.00,2.00,318,316,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2032465,1.00,4.00,5.00,6.00,4.00,5.00,5.00,4.00,3.00,316,301,NULL,'JD ESPLANADA','PRESIDENTE PRUDENTE','SP',17046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2032473,3.00,4.00,3.00,6.00,5.00,5.75,3.00,5.00,2.00,103,101,NULL,'CENTRO','CHAPADAO DO SUL','MS',16893,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2032490,4.00,7.00,0.00,6.00,6.00,5.00,4.00,4.00,2.00,301,316,NULL,'BARRA DO RIO CERRO','JARAGUA DO SUL','SC',15407,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2032520,4.00,7.00,4.00,6.00,8.00,5.50,4.00,6.00,4.00,211,324,216,'CAMPECHE','FLORIANOPOLIS','SC',8241,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2032538,1.00,5.00,3.00,2.00,8.00,4.75,3.00,4.00,3.00,333,444,NULL,'INGLESES','FLORIANOPOLIS','SC',18728,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2032546,5.00,7.00,4.00,7.00,8.00,6.00,6.00,6.00,8.00,103,108,NULL,'JD DAS LARANJEIRAS','SAO PAULO','SP',4654,1372,590,NULL,NULL,NULL,NULL,4,1),(15,2032554,2.00,5.00,5.00,4.00,7.00,5.75,7.00,4.00,3.00,201,222,212,'ESTREITO','FLORIANOPOLIS','SC',12437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2032562,2.00,6.00,3.00,7.00,8.00,5.75,5.00,4.00,3.00,302,317,NULL,'BORGO','BENTO GONCALVES','RS',12772,89,547,NULL,NULL,NULL,NULL,2,9),(15,2032570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,333,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2032589,3.00,7.00,6.00,4.00,5.00,4.00,5.00,5.00,3.00,214,212,211,'DEMARCHI','SAO BERNARDO DO CAMPO','SP',14182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2032597,3.00,6.00,0.00,3.00,6.00,5.75,3.00,6.00,2.00,211,103,233,'COLONIAL','SAO BENTO DO SUL','SC',18392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2032600,7.00,8.00,4.00,7.00,8.00,5.50,6.00,4.00,4.00,103,101,NULL,'PIO X','CAXIAS DO SUL','RS',6146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2032627,2.00,9.00,7.00,4.00,8.00,5.25,7.00,8.00,4.00,317,318,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',4653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2032635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2032643,2.00,3.00,0.00,1.00,4.00,NULL,1.00,3.00,3.00,207,420,201,'CENTRO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2032651,4.00,3.00,1.00,5.00,5.00,4.25,5.00,1.00,2.00,9,308,NULL,'CAMPECHE','FLORIANOPOLIS','SC',21330,321,466,NULL,NULL,NULL,NULL,2,1),(15,2032660,2.00,8.00,1.00,4.00,5.00,6.50,2.00,3.00,2.00,5,316,NULL,'CAMPECHE','FLORIANOPOLIS','SC',18656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2032678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,326,NULL,'ALPHAVILLE','SANTANA DE PARNAIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2032686,5.00,7.00,8.00,8.00,8.00,6.25,7.00,7.00,3.00,211,333,201,'CENTRO','CRICIUMA','SC',3221,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2032694,4.00,6.00,5.00,3.00,6.00,5.50,5.00,4.00,2.00,333,501,NULL,'CRUZEIRO DO SUL','CRICIUMA','SC',12087,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2032708,4.00,7.00,2.00,6.00,7.00,6.50,6.00,5.00,3.00,233,444,201,'PRÓSPERA','CRICIUMA','SC',9579,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2032724,2.00,7.00,5.00,3.00,8.00,4.75,7.00,4.00,4.00,333,234,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',11650,149,NULL,NULL,NULL,NULL,NULL,4,1),(15,2032732,3.00,6.00,3.00,5.00,8.00,4.25,5.00,3.00,3.00,333,502,NULL,'PIO CORRÊA','CRICIUMA','SC',13980,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2032740,4.00,6.00,7.00,8.00,4.00,5.50,5.00,4.00,1.00,318,316,NULL,'COMERCIÁRIO','CRICIUMA','SC',11169,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2032759,3.00,5.00,5.00,3.00,5.00,4.00,5.00,3.00,3.00,207,420,201,'CENTRO','CRICIUMA','SC',16733,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2032767,6.00,7.00,8.00,3.00,8.00,6.00,8.00,7.00,3.00,103,451,NULL,'CAMPECHE','FLORIANOPOLIS','SC',4348,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2032775,0.00,0.00,0.00,7.00,7.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2032783,5.00,8.00,5.00,6.00,6.00,5.00,8.00,6.00,6.00,203,2,233,'HUMAITÁ','TUBARAO','SC',5467,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2032791,3.00,5.00,3.00,0.00,5.00,5.50,3.00,3.00,2.00,103,104,NULL,'CENTRO','CRICIUMA','SC',21343,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2032805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,328,NULL,'PIO CORREA','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2032813,0.00,6.00,6.00,6.00,5.00,6.25,3.00,2.00,2.00,303,223,NULL,'CRUZEIRO DO SUL','CRICIUMA','SC',16903,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2032821,4.00,8.00,4.00,9.00,6.00,6.50,7.00,4.00,4.00,316,301,NULL,'CENTRO','JOINVILLE','SC',6466,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2032830,4.00,8.00,8.00,5.00,7.00,6.00,6.00,6.00,4.00,103,102,NULL,'MONTE ALEGRE','CAMBORIU','SC',5382,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2032848,3.00,8.00,5.00,9.00,8.00,6.00,5.00,6.00,3.00,415,333,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',6167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2032856,3.00,7.00,3.00,5.00,5.00,6.25,4.00,6.00,2.00,303,220,NULL,'JARDIM MARISTELA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2032864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,202,NULL,'CENTRO','SAO JOSE DOS PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2032872,4.00,4.00,2.00,2.00,6.00,5.25,6.00,5.00,1.00,208,2,213,'AREIAS','SAO JOSE','SC',17666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2032880,1.00,5.00,0.00,3.00,6.00,NULL,2.00,3.00,1.00,211,108,207,'SANTA MARIA','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2032899,3.00,7.00,5.00,7.00,9.00,6.00,6.00,5.00,4.00,212,201,220,'SION','BELO HORIZONTE','MG',6591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2032902,4.00,4.00,4.00,3.00,7.00,5.25,3.00,5.00,3.00,101,308,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',14197,131,310,NULL,NULL,NULL,NULL,4,1),(15,2032910,5.00,8.00,5.00,7.00,8.00,6.25,6.00,7.00,4.00,318,212,NULL,'ARIRIU','PALHOCA','SC',5081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2032929,0.00,2.00,0.00,0.00,4.00,NULL,1.00,3.00,1.00,501,502,NULL,'VALADA MOSQUITO','AGRONOMICA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2032937,3.00,6.00,3.00,3.00,7.00,5.25,2.00,4.00,2.00,316,425,NULL,'FLOR DE NÁPOLIS','SAO JOSE','SC',18178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2032945,1.00,3.00,2.00,1.00,6.00,6.75,2.00,4.00,4.00,301,444,NULL,'CENTRO','NOVA VENEZA','SC',19655,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2032953,3.00,5.00,2.00,8.00,5.00,4.75,6.00,5.00,3.00,103,104,NULL,'JD DAS AMÉRICAS','CURITIBA','PR',12866,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2032961,3.00,7.00,6.00,5.00,7.00,7.75,4.00,8.00,4.00,5,428,NULL,'TRINDADE','FLORIANOPOLIS','SC',6242,291,142,NULL,NULL,NULL,NULL,2,1),(15,2032970,3.00,8.00,2.00,5.00,6.00,6.50,6.00,7.00,4.00,212,NULL,NULL,'JARDIM MODELO','ITUVERAVA','SP',9487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2032996,1.00,5.00,3.00,6.00,6.00,5.50,5.00,3.00,5.00,423,NULL,NULL,'ROÇADO','SAO JOSE','SC',16376,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2033003,2.00,7.00,3.00,5.00,7.00,5.25,5.00,5.00,2.00,332,424,NULL,'JD VARGINHA','SAO PAULO','SP',13195,60,194,NULL,NULL,NULL,NULL,2,1),(15,2033011,2.00,6.00,1.00,1.00,5.00,4.25,3.00,4.00,2.00,223,217,NULL,'CENTRO','BIGUACU','SC',22034,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2033020,1.00,4.00,3.00,2.00,3.00,NULL,0.00,1.00,1.00,501,317,NULL,'CENTRO','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2033038,3.00,7.00,6.00,8.00,7.00,7.25,4.00,4.00,3.00,103,303,NULL,'PIO CORREA','CRICIUMA','SC',8821,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2033054,4.00,5.00,5.00,6.00,5.00,4.75,6.00,5.00,3.00,404,223,NULL,'COSTEIRA','FLORIANOPOLIS','SC',11590,59,147,NULL,NULL,NULL,NULL,2,1),(15,2033062,8.00,9.00,9.00,7.00,9.00,7.50,8.00,8.00,9.00,103,303,NULL,'UNIVERSITARIO','LAGES','SC',79,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2033070,2.00,4.00,3.00,2.00,5.00,5.50,4.00,3.00,3.00,101,427,NULL,'ESTREITO','FLORIANOPOLIS','SC',19722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033089,2.00,5.00,4.00,4.00,7.00,5.50,6.00,3.00,2.00,301,215,NULL,'COMERCIARIO','CRICIUMA','SC',13679,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2033097,1.00,5.00,2.00,4.00,5.00,3.25,3.00,5.00,3.00,429,423,421,'SERRARIA','SAO JOSE','SC',20182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2033100,6.00,7.00,6.00,5.00,8.00,6.75,7.00,6.00,6.00,302,223,NULL,'BARREIROS','SAO JOSE','SC',3362,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2033119,2.00,5.00,1.00,5.00,4.00,3.75,2.00,5.00,4.00,332,426,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',19918,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2033127,8.00,9.00,7.00,7.00,8.00,6.75,8.00,8.00,6.00,103,102,NULL,'CAMPO LENÇOL','RIO NEGRINHO','SC',850,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2033135,4.00,7.00,5.00,5.00,8.00,7.50,7.00,6.00,6.00,103,104,NULL,'CENTRO','MARINGA','PR',5295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'PENHA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2033151,5.00,6.00,2.00,5.00,5.00,6.25,4.00,5.00,4.00,5,316,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',12253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033160,4.00,6.00,2.00,4.00,8.00,6.75,5.00,5.00,4.00,103,319,NULL,'CAMPECHE','FLORIANOPOLIS','SC',10160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033186,5.00,5.00,6.00,5.00,8.00,6.00,5.00,4.00,4.00,104,102,NULL,'HUMAITÁ','TUBARAO','SC',7658,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2033194,6.00,8.00,7.00,7.00,6.00,7.00,9.00,7.00,7.00,103,451,NULL,'ACAMARI','VICOSA','MG',1276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033208,0.00,6.00,6.00,5.00,8.00,7.75,5.00,5.00,4.00,339,320,NULL,'CENTRO','FLORIANOPOLIS','SC',8176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033216,3.00,4.00,4.00,3.00,5.00,3.50,2.00,3.00,1.00,103,108,NULL,'JARDIM MIRIAM','SAO PAULO','SP',20709,3030,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033224,2.00,6.00,8.00,6.00,8.00,5.25,5.00,7.00,2.00,234,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',8811,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2033240,3.00,7.00,3.00,1.00,7.00,4.50,3.00,4.00,3.00,444,502,NULL,'BELA VISTA','SAO JOSE','SC',16960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,215,NULL,'ZONA RURAL','GALVAO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2033291,2.00,8.00,4.00,5.00,9.00,5.50,4.00,5.00,1.00,427,424,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',12275,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2033305,3.00,5.00,4.00,5.00,3.00,4.00,3.00,5.00,3.00,224,222,NULL,'CENTRO','CAMBORIU','SC',18212,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2033313,4.00,7.00,5.00,2.00,4.00,3.75,5.00,6.00,5.00,103,216,NULL,'CORAL','LAGES','SC',11920,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2033348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,216,214,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2033372,3.00,7.00,0.00,4.00,5.00,4.50,2.00,5.00,2.00,319,329,NULL,'BERGER','CACADOR','SC',19319,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2033399,2.00,6.00,1.00,7.00,6.00,4.00,6.00,5.00,2.00,207,333,NULL,'JARDIM LIBERDADE','MARINGA','PR',14906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033402,5.00,8.00,5.00,5.00,8.00,6.50,5.00,6.00,4.00,108,424,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',5616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033429,5.00,8.00,6.00,8.00,5.00,5.75,7.00,6.00,3.00,103,NULL,NULL,'BOSQUE','PRESIDENTE PRUDENTE','SP',4746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033437,4.00,6.00,6.00,1.00,7.00,6.00,5.00,5.00,4.00,5,316,NULL,'CENTRO','CURITIBA','PR',12183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033445,4.00,6.00,2.00,5.00,5.00,5.50,5.00,3.00,3.00,317,NULL,NULL,'SERRINHA','FLORIANOPOLIS','SC',16265,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2033453,7.00,7.00,6.00,6.00,7.00,5.25,6.00,6.00,4.00,303,5,NULL,'VISTA VERDE','SAO JOSE DOS CAMPOS','SP',5847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033461,4.00,8.00,6.00,7.00,8.00,7.50,8.00,7.00,6.00,420,328,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',1746,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2033470,5.00,8.00,6.00,8.00,7.00,6.25,8.00,6.00,4.00,202,225,213,'PRAIA COMPRIDA','SAO JOSE','SC',3765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,215,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2033500,2.00,4.00,4.00,4.00,8.00,5.50,1.00,2.00,4.00,316,425,NULL,'ANDORINHA','ITAPEMA','SC',18624,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2033518,1.00,6.00,5.00,4.00,7.00,4.75,5.00,6.00,4.00,207,420,201,'ALTO DE MAFRA','MAFRA','SC',12604,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2033526,9.00,8.00,7.00,2.00,8.00,6.75,6.00,6.00,8.00,103,101,NULL,'SANTA ROSA','CAMPO LARGO','PR',1838,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2033534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2033542,1.00,3.00,1.00,4.00,5.00,5.00,4.00,5.00,4.00,238,224,208,'PASSA VINTE','PALHOCA','SC',19754,736,284,785,NULL,NULL,NULL,2,1),(15,2033550,8.00,8.00,9.00,8.00,9.00,7.25,8.00,8.00,7.00,103,319,NULL,'PRAEIRO','CUIABA','MT',251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033585,5.00,9.00,8.00,7.00,7.00,6.00,9.00,8.00,5.00,203,316,214,'TRINDADE','FLORIANOPOLIS','SC',1345,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2033607,6.00,7.00,5.00,6.00,7.00,4.00,3.00,7.00,5.00,211,5,207,'JARDIM BELA VISTA','CAMPO GRANDE','MS',7697,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2033615,4.00,7.00,7.00,3.00,5.00,4.75,6.00,3.00,3.00,444,108,NULL,'SANTANA','SAO JOSE DOS CAMPOS','SP',10916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033623,3.00,5.00,0.00,4.00,6.00,4.75,4.00,3.00,4.00,502,501,NULL,'JURERÊ','FLORIANOPOLIS','SC',18909,80,536,NULL,NULL,NULL,NULL,2,1),(15,2033631,2.00,5.00,3.00,5.00,6.00,4.50,4.00,4.00,1.00,319,309,NULL,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',17707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2033640,4.00,8.00,3.00,3.00,8.00,5.25,8.00,8.00,3.00,203,214,220,'GETHAL','LAGES','SC',7392,606,NULL,NULL,NULL,NULL,NULL,4,9),(15,2033658,2.00,6.00,8.00,7.00,8.00,4.75,8.00,6.00,4.00,220,203,202,'VILA MUQUI','TERESOPOLIS','RJ',4853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2033666,4.00,8.00,4.00,1.00,6.00,5.50,5.00,6.00,3.00,304,303,NULL,'PREVIDÊNCIA','SAO PAULO','SP',13147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033674,2.00,5.00,5.00,5.00,7.00,5.50,3.00,4.00,3.00,444,101,NULL,'CENTRO','FLORIANOPOLIS','SC',13740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2033682,3.00,5.00,4.00,6.00,5.00,3.50,4.00,3.00,0.00,319,425,NULL,'ORTIZES','VALINHOS','SP',18948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2033712,3.00,5.00,2.00,9.00,5.00,5.75,2.00,3.00,2.00,329,425,NULL,'BARREIROS','SAO JOSE','SC',16161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033720,5.00,8.00,5.00,5.00,6.00,7.00,5.00,8.00,1.00,207,327,201,'SÃO CRISTOVÃO','FAXINAL DOS GUEDES','SC',7570,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2033739,6.00,8.00,9.00,8.00,8.00,5.00,9.00,8.00,8.00,103,108,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033755,5.00,7.00,7.00,3.00,7.00,5.75,7.00,7.00,7.00,214,212,213,'GRANJA VIANA','COTIA','SP',4579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,327,NULL,'CENTRO','CUNHA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2033780,4.00,6.00,5.00,6.00,9.00,6.50,5.00,7.00,4.00,220,203,202,'SANTA INÊS','TRES PASSOS','RS',6563,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2033798,4.00,5.00,4.00,5.00,7.00,6.00,4.00,2.00,1.00,302,223,NULL,'INGLESES','FLORIANOPOLIS','SC',15005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2033801,2.00,4.00,1.00,1.00,4.00,NULL,1.00,2.00,1.00,216,203,220,'JARDIM DO LAGO','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033828,3.00,6.00,3.00,5.00,8.00,4.75,7.00,4.00,4.00,428,420,425,'FORQUILHINHAS','SAO JOSE','SC',11162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033844,6.00,9.00,6.00,7.00,9.00,5.00,8.00,5.00,6.00,103,102,NULL,'CENTRO','POMERODE','SC',3027,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2033852,4.00,5.00,2.00,8.00,5.00,6.25,5.00,3.00,2.00,319,308,NULL,'CAMPINAS','SAO JOSE','SC',15118,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2033860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,9,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2033879,4.00,5.00,6.00,7.00,4.00,4.25,7.00,6.00,6.00,203,223,202,'COLONIA HOLANDESA','ARAPOTI','PR',8731,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2033887,1.00,3.00,2.00,2.00,5.00,4.50,3.00,3.00,3.00,220,216,233,'BARRA','JARAGUA DO SUL','SC',21750,613,830,467,NULL,NULL,NULL,4,8),(15,2033895,3.00,5.00,3.00,2.00,6.00,5.25,3.00,3.00,4.00,103,104,NULL,'CENTRO','NAVEGANTES','SC',17868,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2033909,1.00,2.00,5.00,1.00,4.00,4.00,3.00,7.00,3.00,220,NULL,NULL,'BOM PASTOR','TUBARAO','SC',20654,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2033925,3.00,7.00,7.00,8.00,5.00,5.25,7.00,5.00,4.00,220,202,208,'ALPHAVILLE','SANTANA DE PARNAIBA','SP',6910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033941,0.00,1.00,1.00,4.00,2.00,NULL,1.00,4.00,0.00,201,404,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2033950,8.00,9.00,8.00,9.00,9.00,7.25,8.00,8.00,9.00,203,NULL,201,'TRINDADE','FLORIANOPOLIS','SC',32,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2033968,6.00,7.00,9.00,3.00,8.00,6.25,8.00,7.00,3.00,220,202,203,'ZONA I','CIANORTE','PR',3478,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2033984,3.00,7.00,5.00,4.00,5.00,6.25,4.00,5.00,3.00,201,233,212,'KOBRASOL','SAO JOSE','SC',13749,738,587,277,NULL,NULL,NULL,2,1),(15,2033992,4.00,8.00,5.00,6.00,9.00,4.25,5.00,6.00,4.00,319,333,NULL,'BARREIROS','SAO JOSE','SC',7359,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2034000,3.00,7.00,3.00,3.00,5.00,5.00,6.00,7.00,3.00,202,213,203,'CENTRO','NOVA ITABERABA','SC',13086,498,444,886,NULL,NULL,NULL,4,4),(15,2034018,5.00,5.00,5.00,6.00,5.00,6.00,5.00,6.00,4.00,104,102,NULL,'CENTRO','LAGES','SC',9991,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2034026,1.00,4.00,4.00,4.00,5.00,6.00,2.00,2.00,2.00,102,339,NULL,'KOBRASOL','SAO JOSE','SC',19687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034042,6.00,7.00,9.00,7.00,9.00,6.50,8.00,7.00,5.00,415,212,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',1134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034050,3.00,6.00,6.00,1.00,8.00,5.50,6.00,3.00,3.00,103,9,NULL,'COSTA E SILVA','JOINVILLE','SC',12776,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2034069,3.00,6.00,6.00,6.00,8.00,6.00,4.00,5.00,5.00,202,318,216,'FLORESTA','JOINVILLE','SC',7266,283,NULL,NULL,NULL,NULL,NULL,4,8),(15,2034077,3.00,6.00,5.00,5.00,7.00,5.50,4.00,5.00,2.00,308,309,NULL,'ESTREITO','FLORIANOPOLIS','SC',12467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,333,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2034093,3.00,7.00,4.00,7.00,8.00,6.50,5.00,5.00,7.00,415,451,NULL,'CENTRO','ITAPEMA','SC',5705,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2034107,6.00,8.00,5.00,6.00,8.00,6.75,7.00,6.00,3.00,108,324,NULL,'ESTREITO','FLORIANOPOLIS','SC',4214,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2034123,3.00,5.00,2.00,5.00,5.00,2.50,4.00,2.00,1.00,211,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2034131,8.00,8.00,8.00,8.00,8.00,7.00,8.00,7.00,7.00,202,103,213,'CENTRO','TIMBO','SC',333,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2034140,4.00,6.00,3.00,4.00,5.00,4.25,3.00,6.00,4.00,215,217,201,'CENTRO','FLORIANOPOLIS','SC',15646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034158,3.00,5.00,3.00,6.00,7.00,6.25,3.00,6.00,3.00,102,217,NULL,'CENTRO','FRAIBURGO','SC',11240,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2034166,4.00,7.00,4.00,2.00,6.00,4.75,5.00,8.00,4.00,103,104,NULL,'CENTRO','PINHALZINHO','SC',12072,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2034182,4.00,5.00,2.00,4.00,4.00,3.00,5.00,2.00,2.00,216,208,203,'FAZENDINHA','ITAJAI','SC',20308,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2034190,4.00,5.00,5.00,4.00,8.00,6.00,5.00,3.00,4.00,202,304,213,'GLORIA','JOINVILLE','SC',12706,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2034204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,220,214,'CENTRO','ITAARA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2034212,6.00,8.00,9.00,6.00,8.00,3.00,7.00,5.00,8.00,220,202,203,'CENTRO','RIBEIRAO PRETO','SP',2720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034239,4.00,6.00,4.00,6.00,6.00,5.00,3.00,4.00,3.00,207,420,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034247,2.00,5.00,4.00,5.00,8.00,6.50,5.00,5.00,3.00,103,108,NULL,'VILA MOEMA','TUBARAO','SC',11307,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2034255,0.00,4.00,0.00,1.00,4.00,NULL,2.00,2.00,2.00,333,108,NULL,'CENTRO','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2034263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,102,NULL,'DALBÉRGIA','IBIRAMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2034271,5.00,7.00,7.00,7.00,7.00,5.50,8.00,6.00,5.00,207,424,201,'TRINDADE','FLORIANOPOLIS','SC',3500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034298,3.00,5.00,1.00,3.00,4.00,5.25,5.00,6.00,4.00,207,NULL,201,'BOTAFOGO','RIO DE JANEIRO','RJ',17492,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2034328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,324,NULL,'SANTO ANTONIO','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2034336,3.00,6.00,4.00,4.00,7.00,6.25,3.00,4.00,2.00,214,208,203,'CENTRO','LAGES','SC',14590,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2034344,4.00,5.00,3.00,3.00,6.00,5.75,4.00,3.00,3.00,201,223,216,'CAMPINAS','SAO JOSE','SC',16576,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2034352,7.00,8.00,9.00,5.00,9.00,5.75,9.00,9.00,8.00,103,108,NULL,'ASILO','BLUMENAU','SC',376,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2034360,7.00,8.00,9.00,6.00,9.00,9.50,9.00,8.00,6.00,5,429,NULL,'CENTRO','FLORIANOPOLIS','SC',227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034379,3.00,7.00,5.00,5.00,7.00,4.50,5.00,6.00,2.00,328,329,NULL,'BALNEÁRIO RINCÃO','ICARA','SC',10511,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2034387,4.00,8.00,2.00,7.00,7.00,5.50,6.00,4.00,2.00,451,320,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',10297,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2034395,1.00,8.00,4.00,4.00,6.00,5.00,5.00,6.00,2.00,316,238,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',15331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,326,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2034425,2.00,8.00,2.00,8.00,8.00,6.75,4.00,3.00,5.00,425,NULL,429,'DOM JOAQUIM','BRUSQUE','SC',9462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034433,3.00,8.00,1.00,1.00,6.00,5.00,4.00,2.00,2.00,308,309,NULL,'TAPERA','FLORIANOPOLIS','SC',19299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2034441,4.00,6.00,5.00,8.00,7.00,7.00,5.00,6.00,4.00,238,213,208,'CENTRO','ASSIS','SP',6427,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2034450,1.00,5.00,2.00,3.00,6.00,4.00,0.00,5.00,1.00,333,108,NULL,'VILA SANTO ANTONIO','IMBITUBA','SC',21829,413,984,NULL,NULL,NULL,NULL,2,10),(15,2034476,5.00,5.00,2.00,3.00,6.00,5.00,5.00,3.00,3.00,208,316,NULL,'IPIRANGA','SAO JOSE','SC',17220,670,1120,NULL,NULL,NULL,NULL,4,1),(15,2034484,4.00,9.00,5.00,9.00,7.00,7.25,7.00,6.00,3.00,5,421,NULL,'TRINDADE','FLORIANOPOLIS','SC',3324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034492,3.00,8.00,4.00,9.00,8.00,6.50,4.00,7.00,5.00,103,104,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2034506,3.00,6.00,4.00,5.00,7.00,6.25,3.00,2.00,4.00,316,317,NULL,'INGLESES','FLORIANOPOLIS','SC',12712,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2034514,3.00,6.00,4.00,3.00,6.00,5.25,6.00,5.00,4.00,203,207,NULL,'GOIÂNIA','GOIANIA','GO',12900,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034522,2.00,6.00,5.00,4.00,8.00,6.75,6.00,5.00,4.00,415,5,NULL,'FLORESTA','JOINVILLE','SC',9174,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2034530,2.00,3.00,3.00,4.00,4.00,5.75,6.00,2.00,4.00,217,216,NULL,'MEIA PRAIA','ITAPEMA','SC',19665,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2034557,6.00,7.00,8.00,8.00,7.00,7.50,6.00,8.00,7.00,214,233,212,'JARDIM FLORENÇA','LIMEIRA','SP',1885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034573,4.00,6.00,2.00,7.00,6.00,5.50,3.00,7.00,3.00,225,2,NULL,'CENTRO','QUILOMBO','SC',9776,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2034590,4.00,6.00,2.00,6.00,7.00,6.00,4.00,4.00,5.00,103,104,NULL,'AMÉRICA','JOINVILLE','SC',11882,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2034638,5.00,7.00,7.00,9.00,8.00,7.00,6.00,7.00,5.00,238,104,211,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',1927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034646,5.00,7.00,8.00,8.00,7.00,4.75,7.00,5.00,4.00,103,NULL,NULL,'FIGUEIRA','GASPAR','SC',5115,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2034662,2.00,5.00,8.00,8.00,7.00,5.50,8.00,5.00,4.00,2,225,NULL,'SANTA FELICIDADE','CURITIBA','PR',6610,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2034670,8.00,8.00,8.00,6.00,8.00,5.75,8.00,8.00,9.00,103,215,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',712,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2034689,2.00,7.00,6.00,4.00,7.00,6.25,7.00,5.00,4.00,104,326,NULL,'VILA LENZI','JARAGUA DO SUL','SC',7459,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2034700,3.00,5.00,4.00,5.00,6.00,5.75,4.00,5.00,3.00,101,339,NULL,'ROÇADO','SAO JOSE','SC',16036,173,299,NULL,NULL,NULL,NULL,2,1),(15,2034719,7.00,8.00,8.00,4.00,9.00,5.50,7.00,7.00,6.00,103,NULL,NULL,'SÃO GERALDO','PORTO ALEGRE','RS',2223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2034735,7.00,8.00,9.00,8.00,6.00,6.50,7.00,6.00,3.00,103,9,NULL,'CENTRO','CURITIBA','PR',3146,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2034743,2.00,8.00,3.00,7.00,8.00,6.75,5.00,8.00,1.00,326,332,NULL,'CAMPINAS','SAO JOSE','SC',8555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034751,4.00,6.00,4.00,3.00,7.00,4.00,5.00,4.00,3.00,201,233,212,'BEM RETIRO','JOINVILLE','SC',13781,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2034778,4.00,5.00,2.00,4.00,6.00,6.75,5.00,4.00,1.00,216,103,212,'GARCIA','BLUMENAU','SC',15821,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2034786,2.00,7.00,1.00,6.00,7.00,6.00,3.00,6.00,3.00,451,327,NULL,'JARDIM ELDORADO','PALHOCA','SC',13594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034794,2.00,5.00,3.00,3.00,3.00,6.00,2.00,4.00,2.00,217,310,NULL,'JARDIM VISTA ALEGRE','MAFRA','SC',20518,190,179,NULL,NULL,NULL,NULL,2,1),(15,2034824,2.00,5.00,3.00,2.00,5.00,5.50,4.00,4.00,2.00,103,104,NULL,'CENTRO','GUARATUBA','PR',17906,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2034832,3.00,7.00,4.00,3.00,8.00,5.00,3.00,7.00,4.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',10061,2154,NULL,NULL,NULL,NULL,NULL,4,8),(15,2034840,5.00,7.00,6.00,4.00,8.00,3.50,7.00,7.00,6.00,102,5,NULL,'ITACORUBI','FLORIANOPOLIS','SC',6893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034859,3.00,7.00,3.00,4.00,5.00,5.25,5.00,4.00,4.00,302,304,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2034867,3.00,7.00,1.00,6.00,7.00,5.50,6.00,6.00,3.00,303,104,NULL,'CENTRO','FLORIANOPOLIS','SC',10001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034875,5.00,7.00,4.00,2.00,7.00,6.50,4.00,4.00,4.00,202,211,214,'VILA SÃO CARLOS','APUCARANA','PR',11323,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2034883,4.00,6.00,5.00,5.00,8.00,6.25,6.00,4.00,2.00,302,308,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',10632,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2034921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,203,NULL,'CENTRO','TERRA ROXA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2034930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2034948,3.00,5.00,4.00,8.00,6.00,3.50,5.00,6.00,3.00,304,318,NULL,'VILA ADYANA','SAO JOSE DOS CAMPOS','SP',11606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2034964,3.00,8.00,7.00,3.00,7.00,6.50,6.00,7.00,2.00,303,421,NULL,'TRINDADE','FLORIANOPOLIS','SC',7301,411,81,NULL,NULL,NULL,NULL,4,1),(15,2034999,9.00,8.00,9.00,10.00,8.00,6.50,9.00,8.00,8.00,103,102,NULL,'VILA IPIRANGA','PORTO ALEGRE','RS',23,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2035006,3.00,7.00,6.00,2.00,8.00,5.25,3.00,5.00,4.00,5,303,NULL,'RONDINHA II','SANTA CECILIA','SC',12543,543,1183,NULL,NULL,NULL,NULL,4,9),(15,2035014,4.00,9.00,3.00,7.00,5.00,7.00,5.00,8.00,3.00,415,450,NULL,'OCTOGONAL','CRUZEIRO','DF',7869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035022,6.00,7.00,6.00,7.00,8.00,6.75,8.00,6.00,5.00,104,9,NULL,'COLONINHA','FLORIANOPOLIS','SC',2871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2035049,9.00,8.00,9.00,8.00,8.00,8.00,9.00,8.00,7.00,103,NULL,NULL,'IMIGRANTES','TIMBO','SC',55,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2035057,6.00,6.00,6.00,9.00,9.00,7.25,7.00,6.00,4.00,103,9,NULL,'COQUEIROS','FLORIANOPOLIS','SC',2937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,450,NULL,'POMERANOS','TIMBO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2035073,6.00,8.00,7.00,6.00,8.00,7.00,6.00,7.00,5.00,9,429,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',2899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035081,0.00,5.00,1.00,2.00,5.00,NULL,2.00,2.00,3.00,5,424,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035090,3.00,8.00,3.00,3.00,5.00,5.25,5.00,6.00,4.00,333,304,NULL,'CENTRO','FLORIANOPOLIS','SC',12195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035103,5.00,6.00,6.00,6.00,8.00,8.50,5.00,6.00,2.00,450,420,NULL,'TRINDADE','FLORIANOPOLIS','SC',6436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035120,4.00,7.00,6.00,3.00,7.00,4.25,6.00,5.00,5.00,201,212,211,'SOLAR DOS LAGOS','SAO LOURENCO','MG',8762,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2035138,5.00,3.00,6.00,5.00,6.00,5.75,6.00,4.00,1.00,104,502,NULL,'ROCHDALE','OSASCO','SP',13653,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2035146,3.00,7.00,6.00,8.00,7.00,6.00,5.00,7.00,5.00,225,2,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',4096,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2035154,4.00,6.00,5.00,5.00,6.00,7.00,6.00,6.00,3.00,420,238,NULL,'ABRAÃO','FLORIANOPOLIS','SC',7168,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2035162,5.00,8.00,3.00,4.00,6.00,4.25,6.00,6.00,3.00,331,332,NULL,'JURERE','FLORIANOPOLIS','SC',10246,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2035170,7.00,8.00,5.00,4.00,7.00,6.75,7.00,7.00,4.00,415,426,NULL,'COQUEIROS','FLORIANOPOLIS','SC',4572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,201,212,'PARQUE DA REPRESA','JUNDIAI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2035200,4.00,7.00,5.00,4.00,6.00,7.00,6.00,6.00,5.00,208,303,233,'ATIRADORES','JOINVILLE','SC',8546,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2035219,2.00,3.00,2.00,4.00,6.00,5.00,5.00,3.00,3.00,203,208,214,'ASILO','BLUMENAU','SC',18113,1062,1083,533,NULL,NULL,NULL,2,2),(15,2035227,2.00,4.00,3.00,4.00,4.00,5.00,4.00,5.00,1.00,451,208,NULL,'CENTRO','PALMA SOLA','SC',19667,85,1107,NULL,NULL,NULL,NULL,2,4),(15,2035235,4.00,9.00,6.00,6.00,7.00,5.50,6.00,6.00,4.00,450,451,NULL,'JD NOVA MANCHESTAR','SOROCABA','SP',6086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035251,4.00,6.00,4.00,6.00,6.00,5.25,3.00,4.00,4.00,333,316,NULL,'VILA MARIANA','SAO PAULO','SP',13856,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2035260,4.00,8.00,6.00,5.00,8.00,5.75,5.00,7.00,5.00,303,216,NULL,'MIRIM','IMBITUBA','SC',5939,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2035278,1.00,7.00,2.00,6.00,8.00,6.50,7.00,6.00,1.00,424,450,425,'CENTRO','JABOTICABAL','SP',11013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035286,5.00,4.00,5.00,5.00,7.00,4.75,4.00,4.00,3.00,238,217,208,'BELA VISTA','SAO JOSE','SC',13797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035294,7.00,7.00,8.00,8.00,6.00,5.75,7.00,8.00,8.00,103,NULL,NULL,'RECANTO TROPICAL','CASCAVEL','PR',1230,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2035308,2.00,6.00,3.00,4.00,8.00,4.50,3.00,5.00,3.00,102,217,NULL,'FATIMA','FLORIANOPOLIS','SC',15296,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2035316,3.00,5.00,6.00,4.00,3.00,5.00,4.00,4.00,1.00,203,NULL,NULL,'JARDIM IMPERIAL','MARINGA','PR',17475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035324,2.00,4.00,1.00,6.00,4.00,5.25,2.00,5.00,2.00,216,501,203,'CENTRO','ITAIPULANDIA','PR',19792,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2035332,5.00,5.00,2.00,5.00,7.00,5.00,5.00,4.00,4.00,444,101,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',12442,95,578,NULL,NULL,NULL,NULL,2,1),(15,2035340,3.00,8.00,6.00,7.00,8.00,7.00,7.00,6.00,5.00,415,NULL,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2035359,6.00,9.00,8.00,8.00,9.00,7.50,8.00,6.00,9.00,103,319,NULL,'PANTANAL','FLORIANOPOLIS','SC',317,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2035367,6.00,6.00,2.00,7.00,8.00,6.00,4.00,7.00,2.00,429,318,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',9268,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2035375,5.00,7.00,5.00,8.00,9.00,7.75,5.00,8.00,4.00,201,222,233,'CENTRO','REDENTORA','RS',3640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035391,5.00,9.00,4.00,8.00,8.00,8.00,7.00,7.00,4.00,5,444,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',2688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035405,4.00,4.00,2.00,4.00,5.00,3.75,2.00,1.00,3.00,223,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',21646,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2035413,4.00,7.00,4.00,3.00,7.00,5.00,3.00,8.00,2.00,103,211,NULL,'RIO DO PEIXE','LUIZ ALVES','SC',12205,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2035421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'ASA NORTE','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2035456,3.00,7.00,5.00,7.00,8.00,7.00,7.00,7.00,5.00,9,331,NULL,'IPIRANGA','SAO JOSE','SC',5231,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2035472,1.00,3.00,1.00,2.00,6.00,NULL,4.00,2.00,2.00,103,316,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2035480,3.00,5.00,3.00,2.00,3.00,4.00,3.00,2.00,2.00,103,211,NULL,'BELA VISTA','OSASCO','SP',21904,3092,1024,NULL,NULL,NULL,NULL,2,6),(15,2035499,7.00,8.00,8.00,8.00,6.00,5.75,9.00,7.00,7.00,103,319,NULL,'CENTRO','CARAMBEI','PR',936,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2035502,1.00,6.00,3.00,3.00,5.00,5.25,5.00,7.00,4.00,404,324,NULL,'TRINDADE','FLORIANOPOLIS','SC',15288,117,248,NULL,NULL,NULL,NULL,2,1),(15,2035510,3.00,6.00,5.00,4.00,4.00,5.75,5.00,6.00,1.00,202,201,220,'CENTRO','PALHOCA','SC',15711,569,1348,516,NULL,NULL,NULL,4,1),(15,2035529,3.00,6.00,1.00,3.00,7.00,7.00,4.00,4.00,3.00,428,426,425,'CAPOEIRAS','FLORIANOPOLIS','SC',15843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035537,7.00,8.00,9.00,9.00,7.00,5.25,8.00,6.00,8.00,103,216,NULL,'CENTRO','CASCAVEL','PR',974,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2035545,3.00,7.00,6.00,4.00,3.00,6.25,5.00,4.00,6.00,103,316,NULL,'CENTRO','TIMBO','SC',10767,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2035553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,304,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2035561,5.00,8.00,4.00,3.00,7.00,4.25,8.00,7.00,6.00,104,2,NULL,'RETIRO DAS FONTES','ATIBAIA','SP',6539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035570,4.00,6.00,5.00,6.00,7.00,5.50,6.00,6.00,5.00,420,415,NULL,'CENTRO','ICARA','SC',6929,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2035588,7.00,8.00,8.00,7.00,5.00,5.75,8.00,7.00,7.00,5,316,NULL,'ATIRADORES','JOINVILLE','SC',1556,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2035596,3.00,7.00,3.00,7.00,6.00,6.00,3.00,4.00,3.00,319,9,NULL,'CENTRO','NAVEGANTES','SC',12476,227,542,NULL,NULL,NULL,NULL,2,6),(15,2035600,2.00,5.00,0.00,3.00,4.00,NULL,4.00,5.00,2.00,450,429,NULL,'GLORIA','CATANDUVA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035618,2.00,6.00,1.00,4.00,6.00,5.75,3.00,6.00,2.00,108,423,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',17135,379,205,NULL,NULL,NULL,NULL,2,1),(15,2035626,4.00,6.00,5.00,8.00,6.00,4.75,5.00,3.00,3.00,201,317,208,'CENTRO','CHAPECO','SC',9775,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2035650,5.00,7.00,7.00,9.00,8.00,6.50,7.00,4.00,5.00,211,102,208,'GRANJA','PONTA PORA','MS',3215,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2035669,2.00,2.00,4.00,5.00,6.00,4.50,4.00,4.00,2.00,225,223,NULL,'CENTRO','FLORIANOPOLIS','SC',19255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035685,1.00,7.00,3.00,8.00,4.00,5.00,7.00,4.00,2.00,208,319,238,'MENINO DEUS','PATO BRANCO','PR',13282,492,772,479,NULL,NULL,NULL,4,1),(15,2035693,1.00,6.00,4.00,1.00,6.00,6.75,3.00,3.00,3.00,225,217,NULL,'CENTRO','ICARA','SC',17244,44,NULL,NULL,NULL,NULL,NULL,4,5),(15,2035707,4.00,6.00,5.00,6.00,9.00,5.00,6.00,7.00,5.00,211,333,215,'CORREGO GRANDE','FLORIANOPOLIS','SC',6394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035715,5.00,6.00,4.00,8.00,8.00,6.50,6.00,5.00,5.00,420,9,NULL,'CENTRO','JARAGUA DO SUL','SC',5246,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2035723,3.00,6.00,3.00,7.00,7.00,5.50,5.00,3.00,2.00,208,222,NULL,'CENTRO','CHAPECO','SC',13118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035740,5.00,6.00,2.00,5.00,6.00,6.50,6.00,6.00,4.00,308,101,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',8950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2035766,3.00,7.00,4.00,5.00,7.00,5.25,5.00,6.00,3.00,502,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',11009,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2035774,7.00,8.00,8.00,6.00,8.00,8.50,8.00,7.00,6.00,303,5,NULL,'TRINDADE','FLORIANOPOLIS','SC',745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035782,5.00,4.00,2.00,6.00,6.00,4.50,4.00,2.00,3.00,108,444,NULL,'JARDIM ELDORADO II','BAURU','SP',15762,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2035790,4.00,6.00,7.00,5.00,6.00,5.00,6.00,5.00,5.00,202,NULL,208,'ZONA SETE','MARINGA','PR',7834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2035812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,327,NULL,'CENTRO','IBIRUBA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2035820,8.00,8.00,8.00,7.00,8.00,6.50,8.00,8.00,6.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',1005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035839,3.00,7.00,4.00,7.00,8.00,4.50,6.00,7.00,3.00,103,303,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',8513,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2035847,3.00,7.00,2.00,0.00,6.00,4.75,3.00,6.00,4.00,301,501,NULL,'ZONA UM','MARINGA','PR',16873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035855,3.00,6.00,2.00,5.00,4.00,4.75,2.00,6.00,3.00,319,339,NULL,'CENTRO','SANTA ROSA DO SUL','SC',17208,366,315,NULL,NULL,NULL,NULL,2,5),(15,2035863,5.00,6.00,4.00,6.00,7.00,6.50,4.00,6.00,4.00,203,201,202,'BARIGUI','ARAUCARIA','PR',8736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2035871,5.00,8.00,3.00,6.00,9.00,5.25,6.00,5.00,3.00,108,102,NULL,'CIDADE ALTA','ARARANGUA','SC',7797,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2035880,5.00,7.00,7.00,5.00,7.00,4.50,7.00,7.00,5.00,202,214,220,'ZONA UM','UMUARAMA','PR',5472,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2035898,1.00,5.00,6.00,7.00,7.00,6.50,5.00,3.00,4.00,316,425,NULL,'CENTRO','FLORIANOPOLIS','SC',10533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2035936,5.00,8.00,7.00,4.00,8.00,3.50,7.00,6.00,5.00,9,215,NULL,'CAMPECHE','FLORIANOPOLIS','SC',5882,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2035944,3.00,9.00,3.00,6.00,8.00,6.50,7.00,6.00,5.00,309,339,NULL,'CENTRO','SANTA MARIA','RS',6996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2035952,2.00,7.00,6.00,6.00,8.00,7.00,5.00,7.00,3.00,5,303,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',6265,293,1056,NULL,NULL,NULL,NULL,4,1),(15,2035960,5.00,8.00,5.00,8.00,9.00,5.50,6.00,7.00,5.00,102,217,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',2891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2035979,2.00,4.00,6.00,4.00,8.00,6.25,5.00,4.00,4.00,415,420,NULL,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',12099,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2035987,8.00,8.00,8.00,5.00,8.00,6.25,8.00,8.00,5.00,220,NULL,203,'CENTRO','PALMAS','PR',1510,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2035995,6.00,6.00,9.00,6.00,7.00,4.50,9.00,7.00,8.00,203,214,NULL,'VILA ASSUNÇÃO','BOTUCATU','SP',1878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,451,NULL,'PLANO DIRETOR SUL','PALMAS','TO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2036029,3.00,2.00,4.00,4.00,5.00,3.00,4.00,5.00,3.00,203,225,214,'BAIRRO DA FIGUEIRA','URUSSANGA','SC',19741,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2036037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2036061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,324,202,'BOM PRINCIPIO','GRAVATAI','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2036088,3.00,6.00,5.00,7.00,5.00,5.50,5.00,5.00,1.00,302,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',12610,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036100,0.00,6.00,1.00,5.00,1.00,NULL,3.00,1.00,3.00,102,332,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036126,3.00,7.00,3.00,8.00,5.00,6.25,5.00,4.00,3.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',11542,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2036142,3.00,7.00,2.00,5.00,8.00,5.50,3.00,4.00,3.00,318,332,NULL,'PONTE DO IMARUIM','PALHOCA','SC',12975,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036150,2.00,3.00,1.00,4.00,3.00,5.00,3.00,4.00,2.00,502,501,NULL,'AREIAS','SAO JOSE','SC',22123,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036169,3.00,6.00,3.00,8.00,9.00,6.75,5.00,8.00,3.00,326,327,NULL,'COMERCIÁRIO','CRICIUMA','SC',6955,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2036185,5.00,5.00,0.00,5.00,6.00,6.50,4.00,3.00,2.00,333,108,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',17120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036193,4.00,9.00,4.00,7.00,8.00,5.00,7.00,6.00,5.00,103,NULL,NULL,'VILA MAIA','GUARUJA','SP',4160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036207,2.00,6.00,1.00,7.00,5.00,5.25,3.00,5.00,2.00,308,333,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',17252,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036215,3.00,6.00,2.00,7.00,5.00,6.50,2.00,4.00,2.00,317,318,NULL,'ESTREITO','FLORIANOPOLIS','SC',14685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036223,7.00,7.00,7.00,8.00,6.00,7.00,9.00,7.00,7.00,103,214,NULL,'ANHANGABAÚ','JUNDIAI','SP',1144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036231,8.00,8.00,9.00,9.00,9.00,7.50,9.00,6.00,7.00,103,101,NULL,'CENTRO','PALHOCA','SC',244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036240,3.00,5.00,0.00,5.00,7.00,NULL,4.00,4.00,3.00,451,450,NULL,'DANIELA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','ARARUNA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2036266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,444,203,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2036274,7.00,8.00,7.00,8.00,8.00,6.25,9.00,6.00,7.00,303,310,NULL,'AVENTUREIRO','JOINVILLE','SC',1261,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2036282,4.00,7.00,4.00,7.00,7.00,4.75,5.00,4.00,1.00,211,9,207,'PRAIA BRAVA','ITAJAI','SC',11294,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2036304,3.00,7.00,3.00,6.00,6.00,3.25,2.00,6.00,2.00,450,451,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',15045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036312,3.00,5.00,4.00,1.00,6.00,5.50,5.00,5.00,1.00,103,101,NULL,'CENTRO','FLORIANOPOLIS','SC',16236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,328,NULL,'SÃO CRISTÓVÃO','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2036339,2.00,6.00,4.00,8.00,7.00,7.25,6.00,5.00,5.00,224,223,NULL,'CENTRO','FLORIANOPOLIS','SC',7294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036347,4.00,7.00,2.00,2.00,5.00,5.00,3.00,3.00,2.00,9,217,NULL,'CENTRO','HERVAL D OESTE','SC',18911,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2036355,4.00,5.00,6.00,6.00,4.00,2.00,4.00,6.00,2.00,103,301,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036363,5.00,7.00,6.00,3.00,8.00,4.50,5.00,7.00,4.00,5,303,NULL,'AVENTUREIRO','JOINVILLE','SC',7422,335,1081,NULL,NULL,NULL,NULL,4,8),(15,2036371,4.00,9.00,9.00,9.00,8.00,6.50,9.00,8.00,7.00,203,216,214,'PRAIA DA COSTA','VILA VELHA','ES',573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036380,3.00,5.00,2.00,4.00,4.00,4.25,3.00,3.00,2.00,308,502,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',21166,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036398,5.00,5.00,8.00,8.00,8.00,6.00,6.00,5.00,6.00,103,9,NULL,'VILA MACHADINHO','PRESIDENTE PRUDENTE','SP',4442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036401,4.00,8.00,3.00,6.00,6.00,5.75,6.00,7.00,6.00,238,NULL,208,'TRINDADE','FLORIANOPOLIS','SC',7347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036410,5.00,7.00,5.00,6.00,6.00,6.00,8.00,8.00,3.00,202,213,220,'IRIRIÚ','JOINVILLE','SC',5504,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2036428,7.00,7.00,7.00,4.00,6.00,4.75,6.00,6.00,3.00,208,222,238,'CENTRO','LAGUNA','SC',8044,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2036436,7.00,7.00,5.00,5.00,6.00,5.00,8.00,6.00,4.00,208,203,238,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',6325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036444,1.00,6.00,5.00,0.00,7.00,3.00,2.00,3.00,4.00,238,217,208,'PICADAS DO SUL','SAO JOSE','SC',20364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036452,6.00,8.00,3.00,6.00,7.00,6.25,4.00,6.00,3.00,102,108,NULL,'JARDIM DAS PALMEIRAS','PALHOCA','SC',8250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036460,3.00,7.00,4.00,5.00,7.00,6.25,8.00,6.00,3.00,207,420,NULL,'PARQUE SAO SEBASTIAO','RIBEIRAO PRETO','SP',8948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036479,2.00,7.00,3.00,8.00,7.00,6.00,3.00,4.00,2.00,332,324,NULL,'NOSSA SRA DO ROSÁRIO','SAO JOSE','SC',12237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2036525,7.00,8.00,9.00,9.00,9.00,7.00,9.00,7.00,8.00,220,202,203,'ILHA DO GOVERNADOR','RIO DE JANEIRO','RJ',330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036541,3.00,7.00,3.00,6.00,7.00,3.25,4.00,5.00,2.00,101,309,NULL,'BALNEÁRIO DANIELA','FLORIANOPOLIS','SC',14167,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036550,2.00,7.00,1.00,4.00,5.00,4.75,3.00,5.00,2.00,339,NULL,NULL,'VILA DO BOSQUE','SAO PAULO','SP',18972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036568,1.00,4.00,0.00,1.00,5.00,6.25,5.00,3.00,4.00,5,415,NULL,'COSTA E SILVA','JOINVILLE','SC',21720,888,836,NULL,NULL,NULL,NULL,4,8),(15,2036576,3.00,4.00,3.00,5.00,6.00,4.50,3.00,3.00,5.00,9,301,NULL,'FLORESTA','SAO JOSE','SC',17596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036584,4.00,6.00,5.00,7.00,8.00,7.50,4.00,5.00,3.00,415,421,NULL,'CENTRO','SANTA ROSA','RS',7372,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2036592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,415,429,'CENTRO','FRANCISCO BELTRAO','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(15,2036606,1.00,5.00,2.00,5.00,5.00,7.00,4.00,7.00,2.00,326,423,NULL,'REAL PARQUE','SAO JOSE','SC',16532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036614,6.00,9.00,6.00,6.00,8.00,4.50,8.00,7.00,9.00,103,102,NULL,'CENTRO','ELDORADO','SP',1903,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036622,3.00,6.00,2.00,2.00,8.00,5.25,3.00,3.00,1.00,211,404,NULL,'CENTRO','IMBITUBA','SC',19415,675,461,NULL,NULL,NULL,NULL,4,1),(15,2036630,2.00,4.00,3.00,6.00,7.00,4.25,3.00,4.00,2.00,327,415,NULL,'FUNDOS','BIGUACU','SC',17209,136,765,NULL,NULL,NULL,NULL,2,1),(15,2036649,5.00,6.00,5.00,9.00,9.00,6.75,5.00,7.00,3.00,303,415,NULL,'NOSSA S DO ROSÁRIO','SAO JOSE','SC',4772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036665,4.00,6.00,3.00,4.00,5.00,5.00,3.00,6.00,3.00,333,217,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',15110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036681,3.00,7.00,4.00,8.00,8.00,5.25,6.00,5.00,4.00,103,404,NULL,'GARCIA','BLUMENAU','SC',5912,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2036690,1.00,6.00,0.00,3.00,4.00,5.00,3.00,4.00,1.00,303,421,NULL,'CRUZEIRO DO SUL','JOACABA','SC',21781,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2036711,5.00,7.00,2.00,1.00,5.00,5.50,5.00,6.00,3.00,212,5,211,'ESTREITO','FLORIANOPOLIS','SC',13790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036720,2.00,2.00,1.00,5.00,1.00,NULL,3.00,2.00,2.00,444,404,NULL,'CENTRO','PALMA SOLA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2036738,4.00,8.00,7.00,8.00,7.00,6.00,7.00,5.00,6.00,215,304,216,'VISC DE ITAMARACA','VALINHOS','SP',3272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036746,2.00,4.00,1.00,6.00,5.00,6.25,2.00,0.00,1.00,9,301,NULL,'KOBRAOL II','SAO JOSE','SC',21712,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036754,4.00,5.00,4.00,5.00,7.00,5.50,3.00,1.00,3.00,103,9,NULL,'JARDIM CALIFÓRNIA','RIBEIRAO PRETO','SP',17649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036762,3.00,5.00,1.00,4.00,3.00,3.75,2.00,4.00,3.00,324,428,NULL,'BELA VISTA I','SAO JOSE','SC',20869,94,248,NULL,NULL,NULL,NULL,2,1),(15,2036770,4.00,5.00,1.00,4.00,7.00,6.50,4.00,4.00,1.00,333,9,NULL,'INTERIOR','MARIANO MORO','RS',16141,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2036789,5.00,8.00,1.00,7.00,6.00,6.00,7.00,6.00,4.00,103,319,NULL,'CENTRO','CURITIBA','PR',7317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036797,5.00,4.00,7.00,9.00,8.00,6.00,7.00,6.00,3.00,303,502,NULL,'CENTRO','FLORIANOPOLIS','SC',4848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036800,1.00,6.00,1.00,4.00,4.00,4.50,4.00,6.00,2.00,5,9,NULL,'AMERICA','JOINVILLE','SC',19904,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2036819,5.00,7.00,4.00,3.00,8.00,3.50,4.00,5.00,5.00,108,NULL,NULL,'VILA EMA','SAO JOSE DOS CAMPOS','SP',11126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036835,7.00,8.00,8.00,7.00,8.00,8.00,9.00,8.00,8.00,304,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036843,4.00,6.00,3.00,3.00,4.00,4.25,4.00,4.00,2.00,502,309,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',18388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036851,5.00,5.00,3.00,6.00,4.00,3.25,5.00,4.00,4.00,211,501,NULL,'SAO FERNANDES','VALINHOS','SP',14981,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036860,2.00,7.00,3.00,6.00,5.00,4.75,4.00,3.00,4.00,501,304,NULL,'PARQUE DA REPRESA','JUNDIAI','SP',15541,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036878,1.00,5.00,2.00,5.00,4.00,5.25,2.00,3.00,1.00,444,324,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',21724,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2036908,7.00,8.00,4.00,2.00,8.00,4.75,7.00,8.00,7.00,103,301,NULL,'PARQUE GLORIA','CATANDUVA','SP',4433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036916,0.00,3.00,0.00,3.00,6.00,NULL,3.00,1.00,4.00,102,104,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2036932,2.00,5.00,4.00,8.00,5.00,6.00,4.00,7.00,5.00,450,420,NULL,'SANTANA','PORTO ALEGRE','RS',9461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036940,4.00,8.00,5.00,7.00,8.00,4.75,6.00,5.00,7.00,238,220,201,'CENTRO','BRACO DO NORTE','SC',6299,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2036959,5.00,6.00,6.00,9.00,6.00,4.50,5.00,7.00,2.00,208,444,238,'BAIRRO DE FATIMA','FLORIANOPOLIS','SC',7505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036967,4.00,5.00,4.00,4.00,6.00,5.75,5.00,3.00,4.00,502,102,NULL,'VILA JACI','SAO JOSE DOS CAMPOS','SP',14062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2036975,2.00,9.00,5.00,4.00,6.00,5.75,4.00,6.00,3.00,203,201,214,'CENTRO','TREZE TILIAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2037009,3.00,7.00,3.00,7.00,8.00,6.50,4.00,5.00,4.00,301,304,NULL,'CENTRO','CRICIUMA','SC',9552,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2037017,7.00,7.00,8.00,7.00,7.00,6.50,9.00,8.00,7.00,103,NULL,NULL,'AUXILIADORA','PORTO ALEGRE','RS',983,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2037025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2037033,6.00,6.00,7.00,5.00,8.00,4.50,9.00,8.00,5.00,217,108,NULL,'PERERQUE','PORTO BELO','SC',3395,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2037050,8.00,7.00,9.00,9.00,8.00,6.75,8.00,9.00,7.00,9,101,NULL,'PONTE DO IMARUIM','PALHOCA','SC',483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,316,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2037076,0.00,5.00,3.00,6.00,5.00,5.50,3.00,5.00,2.00,339,309,NULL,'ESTREITO','ALFREDO WAGNER','SC',18472,94,193,NULL,NULL,NULL,NULL,2,9),(15,2037084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,234,NULL,'CENTRO','IPAMERI','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2037092,0.00,3.00,1.00,6.00,4.00,5.75,3.00,3.00,3.00,303,NULL,NULL,'CACHOEIRA','FLORIANOPOLIS','SC',20825,868,NULL,NULL,NULL,NULL,NULL,2,1),(15,2037106,2.00,5.00,2.00,4.00,7.00,6.50,6.00,3.00,2.00,9,5,NULL,'CENTRO','MORRO DA FUMACA','SC',17299,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2037114,4.00,7.00,7.00,7.00,6.00,5.25,4.00,4.00,3.00,223,224,NULL,'MEIA PRAIA','ITAPEMA','SC',8801,NULL,NULL,NULL,NULL,NULL,NULL,5,6),(15,2037122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'TUCANOS','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2037130,2.00,3.00,1.00,4.00,5.00,NULL,3.00,2.00,1.00,207,NULL,233,'LINHA ENCRUZILHADA','LACERDOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2037149,0.00,4.00,1.00,0.00,4.00,NULL,3.00,2.00,1.00,104,223,NULL,'FLORESTA','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,7),(15,2037157,3.00,8.00,4.00,5.00,6.00,3.00,6.00,6.00,4.00,333,103,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',10792,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2037165,5.00,8.00,8.00,3.00,6.00,4.50,9.00,6.00,7.00,220,203,214,'JARDIM CALIFORNIA','RIBEIRAO PRETO','SP',4594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037190,4.00,6.00,4.00,7.00,5.00,6.00,4.00,4.00,1.00,501,223,NULL,'CENTRO','ANTONIO CARLOS','SC',13155,137,161,NULL,NULL,NULL,NULL,2,1),(15,2037203,3.00,5.00,4.00,3.00,6.00,5.50,5.00,6.00,1.00,301,316,NULL,'BELA VISTA','ARROIO DO MEIO','RS',14596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037211,1.00,5.00,1.00,1.00,1.00,NULL,1.00,3.00,3.00,103,101,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037238,4.00,6.00,5.00,5.00,7.00,5.25,5.00,6.00,5.00,108,501,NULL,'PQ AVENIDA','LIMEIRA','SP',8392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037246,5.00,7.00,5.00,4.00,7.00,5.75,5.00,4.00,5.00,108,333,NULL,'SAGUAÇU','JOINVILLE','SC',9773,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2037254,4.00,7.00,6.00,5.00,7.00,5.75,8.00,7.00,6.00,103,101,NULL,'CHÁCARA PAVOEIRO','COTIA','SP',4742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037262,3.00,8.00,3.00,7.00,5.00,4.50,5.00,7.00,3.00,202,216,203,'CENTRO','LONDRINA','PR',8389,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2037270,3.00,7.00,6.00,8.00,8.00,7.00,7.00,6.00,4.00,415,420,NULL,'CENTRO','INDAIAL','SC',5082,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2037289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2037297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2037300,4.00,7.00,8.00,5.00,8.00,3.00,8.00,8.00,7.00,201,318,202,'GRANJA VIANA','CARAPICUIBA','SP',3479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2037319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,316,NULL,'BOA VISTA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2037327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,215,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2037335,6.00,9.00,7.00,9.00,9.00,7.25,8.00,5.00,6.00,303,429,NULL,'ESTREITO','FLORIANOPOLIS','SC',1439,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037343,7.00,7.00,5.00,4.00,7.00,5.25,5.00,4.00,4.00,103,104,NULL,'CENTRO','VITORINO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2037360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,327,NULL,'PQ PRADO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2037378,2.00,6.00,2.00,6.00,6.00,6.25,4.00,4.00,2.00,318,317,NULL,'ARMAÇAO','FLORIANOPOLIS','SC',15062,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2037386,2.00,6.00,4.00,5.00,8.00,4.00,5.00,7.00,0.00,450,333,NULL,'VILA ADYANNA','SAO JOSE DOS CAMPOS','SP',13822,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2037394,2.00,8.00,7.00,8.00,8.00,5.75,3.00,8.00,3.00,203,444,201,'CRUZEIRO DO SUL','CRICIUMA','SC',7217,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2037408,2.00,2.00,1.00,2.00,2.00,NULL,2.00,1.00,2.00,420,NULL,NULL,'JURERÊ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037416,4.00,8.00,5.00,9.00,8.00,7.00,7.00,8.00,5.00,5,303,NULL,'SAGUAÇU','JOINVILLE','SC',2418,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2037424,2.00,8.00,6.00,7.00,4.00,6.25,2.00,7.00,2.00,501,331,NULL,'INGLESES','FLORIANOPOLIS','SC',9342,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2037432,1.00,3.00,1.00,0.00,4.00,NULL,1.00,1.00,4.00,333,101,NULL,'ARAÇATUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037459,2.00,4.00,4.00,4.00,5.00,5.75,4.00,2.00,3.00,224,317,NULL,'SOROCABA DE FORA','BIGUACU','SC',19104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2037467,7.00,7.00,8.00,6.00,8.00,7.50,8.00,6.00,5.00,211,444,233,'CENTRO','FLORIANOPOLIS','SC',1472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037475,1.00,6.00,3.00,1.00,6.00,4.50,6.00,4.00,2.00,331,326,NULL,'TRINDADE','FLORIANOPOLIS','SC',16888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037491,3.00,4.00,1.00,5.00,6.00,6.00,4.00,4.00,2.00,420,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',16843,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2037505,1.00,5.00,2.00,4.00,7.00,5.25,4.00,4.00,4.00,301,303,NULL,'BARREIROS','SAO JOSE','SC',17768,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2037530,3.00,7.00,7.00,2.00,5.00,5.00,5.00,5.00,3.00,201,223,203,'MAGALHÃES','LAGUNA','SC',13814,744,167,914,NULL,NULL,NULL,4,10),(15,2037548,1.00,7.00,4.00,4.00,5.00,6.00,3.00,4.00,3.00,424,423,427,'CENTRO','FLORIANOPOLIS','SC',17817,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2037556,3.00,7.00,3.00,6.00,8.00,6.75,6.00,8.00,2.00,303,223,NULL,'CENTRO','LAGUNA','SC',7010,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2037564,3.00,7.00,5.00,5.00,8.00,5.50,6.00,4.00,3.00,501,502,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',9343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037572,6.00,7.00,7.00,8.00,8.00,5.75,7.00,8.00,5.00,103,320,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',2058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037580,2.00,4.00,3.00,6.00,4.00,2.00,1.00,3.00,3.00,333,108,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037599,4.00,7.00,5.00,3.00,6.00,4.25,6.00,5.00,1.00,238,317,208,'MAR DAS PEDRAS','BIGUACU','SC',14484,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2037602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,213,215,'POMPEIA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2037629,6.00,7.00,6.00,2.00,7.00,5.50,4.00,7.00,6.00,102,217,NULL,'CENTRO','GAROPABA','SC',6071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037645,4.00,7.00,4.00,6.00,8.00,4.75,6.00,8.00,2.00,301,304,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',7178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037661,6.00,7.00,3.00,3.00,4.00,4.75,7.00,8.00,3.00,318,304,NULL,'VILA JUNQUEIRA','SAO ROQUE','SP',9128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037670,5.00,6.00,6.00,8.00,7.00,5.50,6.00,4.00,3.00,102,217,NULL,'CHACARA DAS PEDRAS','PORTO ALEGRE','RS',7958,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2037688,6.00,7.00,8.00,4.00,6.00,7.00,9.00,9.00,8.00,103,NULL,NULL,'INTERLAGOS','SAO PAULO','SP',885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,103,NULL,'VILA OPERÁRIA','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2037700,4.00,7.00,5.00,9.00,6.00,7.00,6.00,5.00,4.00,103,102,NULL,'CENTRO','COLORADO','PR',6888,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2037718,4.00,8.00,5.00,1.00,6.00,5.50,6.00,5.00,4.00,331,339,NULL,'KOBRASOL','SAO JOSE','SC',9923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037726,2.00,4.00,5.00,3.00,7.00,6.75,4.00,5.00,2.00,301,302,NULL,'ITACUBI','FLORIANOPOLIS','SC',15353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037734,5.00,6.00,2.00,6.00,6.00,5.00,5.00,5.00,4.00,404,444,NULL,'CAMPECHE','FLORIANOPOLIS','SC',12046,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2037750,5.00,8.00,6.00,8.00,6.00,6.00,5.00,7.00,4.00,415,428,NULL,'JARDIM DAS INDUSTRIA','SAO JOSE DOS CAMPOS','SP',4766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037777,7.00,8.00,8.00,7.00,8.00,5.75,6.00,7.00,3.00,104,102,NULL,'TRINDADE','FLORIANOPOLIS','SC',2946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037785,0.00,6.00,2.00,6.00,6.00,5.00,3.00,6.00,2.00,207,NULL,NULL,'CACH BOM JESUS','SAO PAULO','SP',17485,838,NULL,NULL,NULL,NULL,NULL,2,1),(15,2037793,3.00,7.00,7.00,7.00,5.00,4.25,7.00,7.00,4.00,220,202,203,'CENTRO','ITAPORANGA','SP',6435,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2037815,5.00,7.00,6.00,4.00,7.00,6.00,2.00,6.00,2.00,324,317,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',11776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037823,3.00,4.00,7.00,7.00,3.00,3.00,3.00,5.00,6.00,102,NULL,NULL,'JARDIM RENATA','ARUJA','SP',14406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2037831,1.00,5.00,2.00,5.00,5.00,5.25,4.00,5.00,3.00,451,426,NULL,'BELA VISTA I','SAO JOSE','SC',17657,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2037840,4.00,7.00,5.00,8.00,9.00,7.75,7.00,6.00,6.00,415,320,NULL,'BANDEIRANTES','CORNELIO PROCOPIO','PR',2533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,333,NULL,'SUDOESTE','CRUZEIRO','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2037866,3.00,7.00,6.00,3.00,8.00,6.25,6.00,5.00,5.00,103,303,NULL,'JARDIM LA SALLE','TOLEDO','PR',8440,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2037874,3.00,7.00,4.00,1.00,6.00,5.25,3.00,6.00,3.00,319,309,NULL,'ESTREITO','FLORIANOPOLIS','SC',15313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037882,2.00,5.00,4.00,3.00,5.00,5.00,5.00,6.00,1.00,420,301,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037890,5.00,6.00,7.00,3.00,5.00,5.75,7.00,7.00,1.00,316,301,NULL,'NS DO ROSARIO FLORES','SAO JOSE','SC',10101,234,588,NULL,NULL,NULL,NULL,4,1),(15,2037904,2.00,7.00,2.00,7.00,7.00,5.75,3.00,4.00,2.00,220,214,213,'SÃO DOMINGOS','SAO JOSE DOS PINHAIS','PR',15329,510,765,249,NULL,NULL,NULL,2,1),(15,2037912,4.00,4.00,4.00,5.00,4.00,5.00,4.00,6.00,4.00,208,420,202,'BOTAFOGO','CAMPINAS','SP',13497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037920,6.00,8.00,8.00,8.00,9.00,7.00,7.00,7.00,7.00,103,217,NULL,'CENTRO','FLORIANOPOLIS','SC',864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'LAPA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2037947,4.00,7.00,3.00,2.00,3.00,4.00,1.00,7.00,3.00,208,222,238,'VENDAVAL','BIGUACU','SC',18396,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2037955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,203,213,'JARDIM ESMERALDA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2037963,1.00,7.00,4.00,6.00,7.00,4.50,4.00,5.00,2.00,404,329,NULL,'CAMPINAS','SAO JOSE','SC',14112,99,171,NULL,NULL,NULL,NULL,2,1),(15,2037971,5.00,7.00,3.00,3.00,8.00,6.50,5.00,5.00,3.00,103,9,NULL,'SOLAR DOS LAGOS','SAO LOURENCO','MG',10490,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2037980,7.00,9.00,8.00,8.00,8.00,7.75,8.00,8.00,8.00,2,225,NULL,'MATA DA PRAIA','VITORIA','ES',262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2037998,4.00,7.00,7.00,5.00,9.00,6.25,9.00,2.00,4.00,211,102,216,'TAQUARAL','CAMPINAS','SP',6019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038013,3.00,7.00,4.00,5.00,7.00,5.50,3.00,4.00,3.00,108,222,NULL,'RIBEIRÃO DA LHA','FLORIANOPOLIS','SC',11710,249,128,NULL,NULL,NULL,NULL,4,1),(15,2038021,5.00,4.00,2.00,5.00,8.00,6.50,3.00,2.00,2.00,319,415,NULL,'TRINDADE','FLORIANOPOLIS','SC',16770,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038030,0.00,5.00,3.00,4.00,4.00,5.00,4.00,2.00,1.00,102,103,NULL,'FERNANDO SENS','ITUPORANGA','SC',21786,504,3281,NULL,NULL,NULL,NULL,4,8),(15,2038048,7.00,6.00,6.00,7.00,7.00,4.25,6.00,6.00,6.00,216,333,215,'CORREGO GRANDE','FLORIANOPOLIS','SC',5728,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038056,6.00,8.00,8.00,3.00,7.00,6.25,8.00,8.00,8.00,301,316,NULL,'PARQUE SANTA TEREZA','SANTA ISABEL','SP',2257,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2038064,3.00,7.00,4.00,3.00,8.00,7.00,5.00,7.00,4.00,103,9,NULL,'ESTREITO','FLORIANOPOLIS','SC',8141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038072,1.00,3.00,2.00,2.00,5.00,NULL,0.00,4.00,3.00,102,404,NULL,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2038099,3.00,3.00,0.00,0.00,5.00,0.00,6.00,5.00,1.00,220,225,203,'CENTRO','NAVIRAI','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038102,3.00,6.00,4.00,7.00,8.00,6.50,5.00,6.00,4.00,415,425,NULL,'IRIRIÚ','JOINVILLE','SC',7950,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2038110,0.00,5.00,0.00,3.00,4.00,NULL,2.00,4.00,0.00,301,208,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038129,3.00,3.00,5.00,7.00,7.00,5.75,6.00,6.00,3.00,220,2,203,'ZONA TRES','UMUARAMA','PR',9774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038137,4.00,8.00,3.00,7.00,8.00,6.00,5.00,5.00,4.00,333,327,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',7547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038145,7.00,8.00,7.00,8.00,9.00,7.75,6.00,8.00,5.00,450,326,NULL,'MATA DA PRAIA','VITORIA','ES',1324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038153,4.00,8.00,5.00,5.00,7.00,6.00,6.00,6.00,5.00,207,420,201,'CENTRO','BALNEARIO CAMBORIU','SC',6740,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2038188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,104,202,'NOSSA SRA DAS DORES','SANTA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2038196,3.00,7.00,4.00,8.00,8.00,5.00,6.00,8.00,3.00,420,207,NULL,'PARQUE DOS PINHEIROS','FLORES DA CUNHA','RS',5712,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2038200,2.00,3.00,2.00,3.00,6.00,NULL,1.00,2.00,3.00,317,444,NULL,'FOR DE NPOLIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038218,4.00,7.00,4.00,1.00,4.00,5.50,5.00,4.00,4.00,217,102,NULL,'JARDIM ELIZABETE','ICARA','SC',15332,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2038226,4.00,9.00,6.00,7.00,8.00,7.25,5.00,7.00,3.00,303,329,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',4064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038234,8.00,8.00,9.00,6.00,9.00,4.75,9.00,7.00,8.00,103,NULL,NULL,'COQUEIROS','FLORIANOPOLIS','SC',494,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,108,NULL,'ST OESTE','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2038250,3.00,6.00,3.00,5.00,7.00,5.25,2.00,5.00,2.00,333,217,NULL,'ESTREITO','FLORIANOPOLIS','SC',16165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038269,2.00,7.00,3.00,3.00,7.00,6.00,5.00,5.00,3.00,420,207,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',14337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'JARDIM PLANALTO','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2038285,7.00,9.00,9.00,9.00,9.00,6.50,9.00,8.00,8.00,5,225,NULL,'JARDIM MALUCHE','BRUSQUE','SC',190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038307,3.00,7.00,2.00,5.00,7.00,6.00,3.00,5.00,3.00,207,333,216,'PANTANAL','FLORIANOPOLIS','SC',13709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038315,1.00,5.00,5.00,8.00,7.00,5.75,6.00,3.00,3.00,428,308,424,'STO ANTONIO LISBOA','FLORIANOPOLIS','SC',11499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038331,8.00,8.00,7.00,8.00,9.00,6.00,8.00,7.00,6.00,108,333,NULL,'VILA MARIANA','SAO PAULO','SP',778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038340,5.00,7.00,4.00,5.00,9.00,6.75,5.00,4.00,4.00,102,223,NULL,'ALTO RIBEIRÃO','FLORIANOPOLIS','SC',7572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038358,4.00,8.00,7.00,9.00,9.00,7.50,6.00,8.00,4.00,415,450,NULL,'CENTRO','FLORIANOPOLIS','SC',2844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038366,4.00,8.00,3.00,4.00,7.00,6.00,6.00,6.00,5.00,103,104,NULL,'CENTRO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2038374,2.00,7.00,5.00,7.00,7.00,6.25,6.00,6.00,3.00,304,301,NULL,'COMERCIÁRIO','CRICIUMA','SC',8324,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2038404,0.00,3.00,2.00,4.00,4.00,3.00,2.00,4.00,2.00,451,324,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',22455,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038412,7.00,9.00,5.00,9.00,7.00,7.00,9.00,7.00,5.00,303,415,NULL,'CANTO','FLORIANOPOLIS','SC',1041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038420,7.00,8.00,8.00,8.00,8.00,5.75,8.00,6.00,4.00,212,316,201,'CORREGO SECO','ITAMBARACA','PR',1580,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2038439,5.00,9.00,5.00,9.00,9.00,5.00,5.00,7.00,6.00,103,9,NULL,'CENTRO','FLORIANOPOLIS','SC',2782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038447,4.00,7.00,3.00,5.00,4.00,5.50,2.00,5.00,3.00,103,101,NULL,'ROCIO GRANDE','SAO FRANCISCO DO SUL','SC',15526,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2038455,1.00,7.00,4.00,6.00,7.00,5.50,5.00,7.00,4.00,320,310,NULL,'PARQUE LAGOINHA','SANTA RITA DO PASSA QUATRO','SP',10226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038463,5.00,6.00,4.00,2.00,8.00,5.75,7.00,6.00,4.00,303,5,NULL,'NOVA BONSUCESSO','GUARULHOS','SP',8092,452,1107,NULL,NULL,NULL,NULL,2,8),(15,2038471,4.00,8.00,3.00,3.00,4.00,5.00,5.00,6.00,2.00,208,501,238,'VILA BECKER','SANTO AMARO DA IMPERATRIZ','SC',15134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038480,2.00,6.00,2.00,3.00,4.00,5.00,2.00,4.00,2.00,102,103,NULL,'CENTRO','NOVA MUTUM','MT',19935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038498,4.00,6.00,3.00,5.00,5.00,5.50,3.00,4.00,3.00,101,217,NULL,'CENTRO','BIGUACU','SC',15195,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038501,3.00,7.00,4.00,7.00,7.00,5.25,4.00,6.00,4.00,309,339,NULL,'AMARALINA','SALVADOR','BA',9810,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038510,4.00,9.00,3.00,8.00,8.00,6.75,5.00,7.00,3.00,303,326,NULL,'GLÓRIA','JOINVILLE','SC',5736,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2038528,2.00,5.00,1.00,3.00,2.00,NULL,3.00,2.00,2.00,215,421,NULL,'CENTRO','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038536,2.00,4.00,2.00,4.00,4.00,4.50,3.00,2.00,2.00,501,234,NULL,'CENTRO','IPORA','GO',22155,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038544,8.00,9.00,7.00,8.00,8.00,7.00,8.00,8.00,4.00,103,310,NULL,'ITACORUBI','FLORIANOPOLIS','SC',971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038552,4.00,6.00,5.00,4.00,7.00,4.50,6.00,6.00,4.00,302,317,NULL,'CENTRO','PALHOCA','SC',10162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038560,5.00,8.00,5.00,6.00,8.00,6.25,6.00,8.00,4.00,213,220,202,'CENTRO','TUBARAO','SC',4972,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2038579,2.00,5.00,4.00,5.00,5.00,5.00,3.00,4.00,4.00,420,308,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',17329,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038587,5.00,7.00,6.00,8.00,8.00,5.00,7.00,4.00,4.00,104,207,NULL,'CENTRO','BIGUACU','SC',6219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038595,6.00,7.00,9.00,8.00,8.00,5.25,9.00,7.00,6.00,203,303,208,'SANTA FÉ','CAMPO GRANDE','MS',1339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038609,5.00,6.00,3.00,4.00,7.00,7.25,6.00,5.00,5.00,215,108,NULL,'CENTRO','FLORES DA CUNHA','RS',8246,180,671,NULL,NULL,NULL,NULL,4,3),(15,2038617,2.00,5.00,2.00,1.00,2.00,NULL,3.00,5.00,3.00,5,339,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038625,5.00,7.00,4.00,4.00,7.00,4.25,5.00,3.00,4.00,207,420,201,'SAO JUDAS','ITAJAI','SC',9723,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2038633,4.00,7.00,2.00,1.00,4.00,5.00,2.00,5.00,3.00,103,104,NULL,'BRUSQUE','LAGES','SC',18458,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2038650,2.00,2.00,1.00,2.00,5.00,NULL,0.00,1.00,1.00,5,415,NULL,'LAGOA DA CONCEICAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038668,2.00,3.00,3.00,4.00,6.00,6.75,3.00,3.00,1.00,207,420,201,'CENTREVILLE','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,404,NULL,'LEME','RIO DE JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2038684,6.00,7.00,9.00,8.00,8.00,6.00,7.00,8.00,7.00,303,5,NULL,'ÁGUA VERDE','BLUMENAU','SC',1236,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2038692,5.00,8.00,8.00,8.00,9.00,6.00,8.00,6.00,6.00,207,303,201,'TRINDADE','FLORIANOPOLIS','SC',1952,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038714,5.00,6.00,7.00,8.00,6.00,5.50,6.00,7.00,5.00,317,316,NULL,'IPIRANGA','SAO JOSE','SC',4591,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038722,3.00,8.00,7.00,6.00,8.00,6.00,4.00,6.00,5.00,207,420,201,'AGRONÔMICA','FLORIANOPOLIS','SC',6796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038730,5.00,5.00,5.00,6.00,7.00,4.25,6.00,6.00,1.00,9,101,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',11398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038749,3.00,7.00,3.00,6.00,7.00,7.75,8.00,6.00,5.00,415,450,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',5679,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038757,5.00,7.00,6.00,6.00,8.00,4.00,7.00,8.00,5.00,303,5,NULL,'GLÓRIA','JOINVILLE','SC',4464,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2038765,7.00,9.00,9.00,5.00,6.00,5.25,8.00,7.00,7.00,211,501,207,'FLORESTA','SAO JOSE','SC',1618,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038773,2.00,6.00,4.00,8.00,5.00,5.00,4.00,5.00,1.00,104,425,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038781,5.00,6.00,4.00,9.00,6.00,4.50,4.00,6.00,3.00,104,415,NULL,'SUDOESTE','CRUZEIRO','DF',8465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038790,3.00,7.00,2.00,4.00,4.00,6.00,4.00,7.00,2.00,9,333,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',15389,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038803,6.00,7.00,4.00,6.00,9.00,4.50,7.00,9.00,7.00,5,404,NULL,'ÁGUA VERDE','BLUMENAU','SC',3243,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2038811,4.00,3.00,4.00,8.00,3.00,5.25,5.00,2.00,3.00,301,NULL,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038838,3.00,6.00,3.00,3.00,5.00,4.75,4.00,5.00,3.00,5,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',15966,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2038862,5.00,8.00,4.00,3.00,7.00,5.25,6.00,6.00,6.00,502,108,NULL,'CENTRO','FLORIANOPOLIS','SC',7355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038870,3.00,4.00,2.00,5.00,5.00,4.50,2.00,4.00,3.00,207,420,NULL,'BARREIROS','SAO JOSE','SC',19350,915,866,NULL,NULL,NULL,NULL,2,1),(15,2038889,3.00,7.00,3.00,5.00,6.00,4.50,5.00,3.00,2.00,103,429,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',17449,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038897,4.00,6.00,4.00,6.00,8.00,5.00,4.00,5.00,2.00,103,104,NULL,'CENTRO','ERECHIM','RS',11163,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2038900,1.00,6.00,3.00,6.00,4.00,4.50,3.00,3.00,1.00,415,450,NULL,'NOSSA SRA APARECIDA','NOVA MUTUM','MT',20472,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038919,4.00,7.00,4.00,5.00,6.00,5.00,4.00,5.00,2.00,2,223,NULL,'BARRA DO ARIRIÚ','PALHOCA','SC',10692,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,2,NULL,'CENTRO','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2038935,2.00,8.00,7.00,6.00,4.00,4.25,7.00,6.00,5.00,238,NULL,208,'CONCEIÇÃO','ITAPETININGA','SP',6728,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038951,6.00,7.00,7.00,7.00,7.00,6.25,6.00,7.00,6.00,104,302,NULL,'BARREIROS','SAO JOSE','SC',2847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2038978,3.00,7.00,7.00,6.00,8.00,5.75,6.00,7.00,3.00,316,NULL,NULL,'CAMPINAS','SAO JOSE','SC',6043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2038986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,9,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2038994,2.00,7.00,2.00,3.00,7.00,6.50,2.00,3.00,1.00,316,208,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',18391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039001,4.00,3.00,4.00,2.00,3.00,4.00,1.00,2.00,2.00,317,316,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',22363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2039010,3.00,6.00,5.00,8.00,7.00,4.75,6.00,7.00,4.00,5,303,NULL,'JARDIM BOM PASTOR','BOTUCATU','SP',7196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039036,5.00,6.00,5.00,9.00,9.00,5.75,6.00,7.00,3.00,207,420,212,'VILA A','FOZ DO IGUACU','PR',4983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039044,6.00,8.00,4.00,4.00,6.00,5.75,5.00,8.00,4.00,104,102,NULL,'CENTRO','SERRA ALTA','SC',6286,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2039052,2.00,5.00,1.00,4.00,3.00,5.00,2.00,5.00,2.00,303,331,NULL,'CENTRO','FLORIANOPOLIS','SC',21510,880,253,NULL,NULL,NULL,NULL,2,1),(15,2039060,6.00,6.00,7.00,5.00,8.00,6.75,6.00,5.00,5.00,103,404,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2039079,6.00,7.00,4.00,7.00,8.00,6.25,6.00,7.00,4.00,207,451,215,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',5261,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039087,6.00,6.00,5.00,4.00,6.00,4.75,6.00,3.00,5.00,203,214,202,'JARAGUA ESQUERDO','JARAGUA DO SUL','SC',9330,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2039095,6.00,7.00,5.00,7.00,7.00,6.00,6.00,6.00,5.00,216,203,233,'CENTRO','ERECHIM','RS',4208,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2039125,5.00,7.00,2.00,6.00,7.00,3.75,6.00,5.00,2.00,404,421,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',10271,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2039133,2.00,3.00,4.00,1.00,5.00,4.25,5.00,3.00,3.00,212,444,201,'ABRAÃO','FLORIANOPOLIS','SC',20433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039141,1.00,3.00,2.00,3.00,4.00,7.00,4.00,3.00,2.00,103,9,NULL,'GUANABARA','JOINVILLE','SC',20631,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2039150,1.00,7.00,4.00,0.00,5.00,4.25,4.00,2.00,3.00,202,213,203,'UBATUBA','SAO FRANCISCO DO SUL','SC',20649,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2039168,3.00,7.00,3.00,5.00,4.00,5.75,2.00,5.00,5.00,303,5,NULL,'CENTRO','CONCORDIA','SC',14037,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2039176,5.00,7.00,6.00,9.00,7.00,7.00,9.00,7.00,8.00,103,333,NULL,'CENTRO','FLORIANOPOLIS','SC',1174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039184,4.00,8.00,8.00,8.00,6.00,5.25,8.00,6.00,5.00,203,202,214,'CENTRO','MONDAI','SC',3374,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2039192,4.00,8.00,5.00,9.00,8.00,5.50,6.00,6.00,4.00,103,102,NULL,'ITAGUAÇÚ','FLORIANOPOLIS','SC',4734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039206,3.00,7.00,4.00,6.00,5.00,6.50,6.00,4.00,3.00,201,420,233,'CENTRO','PALHOCA','SC',11079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039214,4.00,6.00,4.00,2.00,7.00,4.75,4.00,4.00,3.00,207,420,201,'ITOUPAVA NORTE','BLUMENAU','SC',14220,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2039230,5.00,9.00,4.00,4.00,6.00,5.75,6.00,7.00,4.00,304,301,NULL,'SERRINHA','FLORIANOPOLIS','SC',7403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039249,2.00,4.00,4.00,2.00,4.00,6.50,3.00,4.00,2.00,238,224,208,'CENTRO','FLORIANOPOLIS','SC',19928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039257,6.00,6.00,7.00,8.00,7.00,6.75,9.00,7.00,5.00,202,212,213,'PARQUE VERDE','BELEM','PA',2141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039265,7.00,8.00,8.00,5.00,8.00,6.00,8.00,8.00,7.00,103,102,NULL,'CENTRO','SETE BARRAS','SP',1125,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2039273,5.00,9.00,6.00,6.00,8.00,4.75,6.00,7.00,4.00,207,423,212,'CAMPINAS','SAO JOSE','SC',5197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2039281,1.00,6.00,3.00,4.00,4.00,4.75,3.00,3.00,3.00,212,404,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',19064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2039290,4.00,7.00,4.00,6.00,6.00,4.75,6.00,7.00,4.00,501,420,NULL,'VILA A','FOZ DO IGUACU','PR',8856,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2039303,5.00,8.00,5.00,8.00,7.00,5.50,7.00,6.00,4.00,304,425,NULL,'CENTRO','FLORIANOPOLIS','SC',4726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039311,5.00,4.00,5.00,5.00,8.00,6.25,7.00,6.00,6.00,302,317,NULL,'FORQUILHINHAS','SAO JOSE','SC',6724,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2039320,6.00,8.00,7.00,9.00,8.00,5.75,7.00,7.00,6.00,303,5,NULL,'SUDOESTE','CRUZEIRO','DF',1817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2039346,1.00,5.00,1.00,5.00,6.00,4.50,3.00,3.00,2.00,102,207,NULL,'CENTRO','SERRA ALTA','SC',20758,472,1307,NULL,NULL,NULL,NULL,2,4),(15,2039354,8.00,8.00,9.00,8.00,8.00,8.25,7.00,8.00,6.00,103,9,NULL,'CENTRO','CRICIUMA','SC',702,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2039370,6.00,7.00,5.00,8.00,9.00,5.75,7.00,8.00,3.00,208,2,238,'BARREIROS','SAO JOSE','SC',3361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039389,6.00,8.00,7.00,8.00,9.00,6.50,7.00,8.00,5.00,211,331,207,'V NOVA CACHOEIRINHA','SAO PAULO','SP',1738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2039400,4.00,8.00,6.00,6.00,6.00,5.25,7.00,6.00,3.00,203,213,214,'CANASVIEIRAS','FLORIANOPOLIS','SC',6406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2039419,4.00,7.00,4.00,3.00,6.00,5.25,3.00,5.00,2.00,208,108,238,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',13692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039427,8.00,7.00,9.00,8.00,8.00,4.00,8.00,7.00,8.00,203,2,202,'CENTRO','CHAPECO','SC',782,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2039435,5.00,8.00,6.00,3.00,8.00,5.00,7.00,7.00,4.00,303,326,NULL,'FLORESTA','JOINVILLE','SC',5424,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2039443,7.00,6.00,7.00,7.00,7.00,6.00,5.00,5.00,7.00,103,104,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',3735,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2039460,1.00,4.00,2.00,6.00,7.00,7.00,2.00,3.00,5.00,103,217,NULL,'CENTRO','CURITIBA','PR',16560,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2039478,2.00,6.00,1.00,7.00,7.00,7.00,2.00,3.00,1.00,444,9,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',17483,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2039508,1.00,4.00,1.00,3.00,5.00,4.00,3.00,2.00,3.00,333,332,NULL,'FLORESTA','SAO JOSE','SC',22103,421,331,NULL,NULL,NULL,NULL,2,1),(15,2039524,4.00,7.00,3.00,4.00,6.00,5.50,3.00,6.00,3.00,429,326,425,'ABRAÃO','FLORIANOPOLIS','SC',14918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039532,4.00,5.00,4.00,8.00,6.00,6.75,5.00,3.00,1.00,420,9,NULL,'CAMPINAS','SAO JOSE','SC',13332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039540,1.00,3.00,2.00,7.00,5.00,4.50,3.00,6.00,2.00,316,317,NULL,'ESPLANADA II','SAO JOSE DOS CAMPOS','SP',18596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2039559,4.00,6.00,5.00,6.00,6.00,6.25,6.00,5.00,5.00,103,NULL,NULL,'VILA SÃO JOSÉ','SAO JOSE DO RIO PRETO','SP',6964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039567,5.00,8.00,4.00,4.00,9.00,4.75,4.00,8.00,2.00,104,102,NULL,'LÍDER','CHAPECO','SC',8027,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2039575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,211,'CENTRO','CARAMBEI','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2039591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,444,NULL,'FÁTIMA','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2039605,3.00,9.00,7.00,9.00,8.00,6.75,8.00,7.00,5.00,301,303,NULL,'SANTA BÁRBARA','CRICIUMA','SC',1594,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2039613,5.00,6.00,6.00,2.00,6.00,5.50,8.00,6.00,4.00,202,223,NULL,'ANNES','PASSO FUNDO','RS',7720,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2039621,5.00,7.00,4.00,0.00,3.00,NULL,6.00,7.00,3.00,331,501,NULL,'JARDIM UMARIZAL','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039630,6.00,9.00,3.00,8.00,7.00,5.50,2.00,2.00,7.00,103,104,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',7302,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2039648,7.00,9.00,4.00,7.00,9.00,6.75,5.00,7.00,6.00,102,333,NULL,'CENTRO','FOZ DO IGUACU','PR',2385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039656,5.00,6.00,7.00,2.00,5.00,6.00,4.00,5.00,3.00,202,223,203,'CENTRO','PASSO FUNDO','RS',11462,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2039664,5.00,6.00,4.00,4.00,7.00,5.25,2.00,5.00,3.00,303,5,NULL,'CENTRO','ITAJAI','SC',14674,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2039672,4.00,6.00,4.00,2.00,7.00,5.50,7.00,3.00,2.00,317,420,NULL,'BARREIROS','SAO JOSE','SC',14923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039699,4.00,2.00,6.00,7.00,7.00,5.50,6.00,4.00,4.00,318,304,NULL,'VILA PARAISO','BOTUCATU','SP',10913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039702,4.00,7.00,6.00,7.00,8.00,5.25,6.00,5.00,3.00,415,326,NULL,'FORTALEZA','BLUMENAU','SC',7632,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2039729,6.00,6.00,9.00,1.00,5.00,5.75,6.00,4.00,3.00,303,319,NULL,'BUENOS AIRES','MAFRA','SC',8491,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2039745,1.00,6.00,1.00,5.00,5.00,5.00,3.00,3.00,2.00,332,320,NULL,'CENTRO','SAO LEOPOLDO','RS',19339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2039753,3.00,2.00,3.00,0.00,3.00,NULL,3.00,1.00,2.00,103,104,NULL,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039761,5.00,5.00,6.00,5.00,8.00,6.75,7.00,6.00,5.00,216,316,215,'BELLO','CACADOR','SC',5695,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2039770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,310,NULL,'CENTRO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2039788,7.00,6.00,8.00,5.00,7.00,6.75,7.00,5.00,4.00,207,420,201,'SANTO ANTÔNIO','JOINVILLE','SC',5238,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2039796,4.00,6.00,5.00,5.00,7.00,7.00,6.00,5.00,4.00,207,223,201,'CENTRO','FLORIANOPOLIS','SC',8197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2039800,3.00,3.00,2.00,2.00,7.00,5.75,4.00,3.00,3.00,224,223,NULL,'PAULO DE FRONTIN','CRICIUMA','SC',19343,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2039818,7.00,8.00,8.00,9.00,8.00,6.00,8.00,5.00,7.00,103,102,NULL,'ÁGUA VERDE','CURITIBA','PR',961,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2039826,0.00,6.00,6.00,5.00,6.00,5.50,7.00,5.00,4.00,225,202,NULL,'SÃO BENTO BAIXO','NOVA VENEZA','SC',9244,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2039834,6.00,8.00,8.00,8.00,8.00,6.25,9.00,6.00,8.00,103,NULL,NULL,'VILA BASTOS','SANTO ANDRE','SP',735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039842,5.00,8.00,7.00,6.00,9.00,6.00,7.00,8.00,6.00,102,216,NULL,'GARCIA','BLUMENAU','SC',2453,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2039850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,333,203,'CENTRO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2039869,6.00,7.00,6.00,6.00,9.00,6.25,7.00,7.00,5.00,104,9,NULL,'CENTRO','BIGUACU','SC',3143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039877,7.00,8.00,5.00,7.00,8.00,3.25,6.00,7.00,7.00,316,301,NULL,'URBANOVA','SAO JOSE DOS CAMPOS','SP',3046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039893,8.00,8.00,9.00,9.00,9.00,6.75,9.00,8.00,8.00,213,103,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',45,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039907,4.00,7.00,8.00,7.00,9.00,4.50,6.00,6.00,5.00,201,2,212,'CENTRO','FLORIANOPOLIS','SC',4440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039923,4.00,8.00,5.00,3.00,5.00,5.00,4.00,3.00,4.00,203,214,NULL,'BATEL','CURITIBA','PR',12555,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2039931,5.00,5.00,6.00,6.00,7.00,4.75,4.00,6.00,5.00,102,427,NULL,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',8034,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2039940,3.00,9.00,5.00,9.00,8.00,6.00,7.00,8.00,5.00,211,333,216,'JABUTICABEIRAS','TAUBATE','SP',3148,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2039958,8.00,8.00,9.00,9.00,8.00,7.25,9.00,9.00,8.00,220,213,202,'PORTÃO','CURITIBA','PR',66,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2039966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,222,NULL,'PARQUE VERDE CAMAÇAR','CAMACARI','BA',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2039974,2.00,8.00,2.00,6.00,6.00,5.25,3.00,6.00,2.00,327,426,NULL,'RIO CAVEIRAS','BIGUACU','SC',14967,96,194,NULL,NULL,NULL,NULL,2,1),(15,2039982,6.00,8.00,9.00,8.00,9.00,6.50,8.00,6.00,5.00,103,217,NULL,'CENTRO','CURITIBA','PR',1485,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2040018,0.00,7.00,7.00,7.00,6.00,6.00,6.00,5.00,4.00,212,214,NULL,'JARDIM SÃO DIMAS','SAO JOSE DOS CAMPOS','SP',7989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040026,6.00,8.00,8.00,9.00,9.00,6.50,6.00,7.00,6.00,207,420,201,'JARDIM EUROPA','BIGUACU','SC',1975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040050,4.00,8.00,3.00,5.00,5.00,4.50,6.00,7.00,3.00,404,444,NULL,'BALNEARIO','FLORIANOPOLIS','SC',10122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2040069,2.00,7.00,3.00,6.00,6.00,3.75,1.00,5.00,2.00,318,317,NULL,'PRAIA DE FORA','PALHOCA','SC',17601,221,611,NULL,NULL,NULL,NULL,2,1),(15,2040077,6.00,6.00,7.00,6.00,3.00,7.00,9.00,6.00,8.00,102,217,NULL,'CHÁCARA BARRETO','CANOAS','RS',4292,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2040085,1.00,5.00,2.00,4.00,6.00,4.00,2.00,3.00,3.00,502,NULL,NULL,'FREI ROGERIO','LAGES','SC',20966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2040093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,319,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2040107,1.00,7.00,4.00,4.00,8.00,5.50,5.00,4.00,3.00,326,420,NULL,'CENTRO','FLORIANOPOLIS','SC',12549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'JARDIM UNIVERSITÁRIO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2040123,3.00,7.00,6.00,7.00,8.00,6.00,6.00,6.00,6.00,203,225,215,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2040140,0.00,5.00,1.00,1.00,5.00,NULL,5.00,2.00,1.00,207,201,203,'AEROPORTO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2040158,7.00,9.00,8.00,9.00,9.00,7.50,9.00,8.00,8.00,103,428,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,2,216,'CENTRO','LAJEADO GRANDE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2040174,4.00,7.00,5.00,6.00,8.00,4.25,4.00,5.00,3.00,316,317,NULL,'ROÇADO','SAO JOSE','SC',8586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040182,7.00,8.00,2.00,5.00,7.00,6.50,7.00,7.00,4.00,207,420,220,'MONTE LIBANO','CAMPO GRANDE','MS',6053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040190,3.00,4.00,2.00,8.00,7.00,5.50,6.00,4.00,1.00,203,214,NULL,'AMÉRICA','JOINVILLE','SC',13158,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(15,2040204,7.00,8.00,9.00,9.00,8.00,5.25,8.00,6.00,7.00,220,202,203,'CENTRO','MARINGA','PR',1175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,103,201,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2040239,2.00,5.00,0.00,1.00,6.00,NULL,5.00,4.00,5.00,207,104,201,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2040247,4.00,7.00,9.00,2.00,9.00,7.75,9.00,5.00,8.00,211,NULL,203,'VILA ITI','PRESIDENTE PRUDENTE','SP',2348,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2040255,4.00,9.00,2.00,8.00,9.00,6.25,5.00,9.00,2.00,234,318,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',6548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040263,5.00,7.00,5.00,7.00,7.00,5.50,6.00,5.00,5.00,102,217,NULL,'INGLESES','FLORIANOPOLIS','SC',5741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040271,7.00,8.00,8.00,8.00,9.00,7.25,9.00,3.00,7.00,5,451,NULL,'TRINDADE','FLORIANOPOLIS','SC',868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040280,2.00,7.00,3.00,6.00,6.00,6.25,3.00,8.00,3.00,319,326,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',10599,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2040301,3.00,5.00,3.00,9.00,4.00,5.50,4.00,4.00,1.00,207,420,NULL,'CAMPINAS','SAO JOSE','SC',15507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040310,3.00,7.00,4.00,3.00,8.00,5.75,4.00,5.00,3.00,425,207,NULL,'TRINDADE','FLORIANOPOLIS','SC',11625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040328,3.00,5.00,6.00,3.00,7.00,3.25,6.00,7.00,4.00,102,108,NULL,'JD CHAPADÃO','CAMPINAS','SP',10431,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2040336,2.00,5.00,3.00,1.00,7.00,4.00,6.00,4.00,2.00,215,102,208,'JARDIM SAIRA','SOROCABA','SP',19022,372,1055,746,NULL,NULL,NULL,4,6),(15,2040352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'JARDIM ITAPUA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2040360,4.00,6.00,5.00,8.00,7.00,4.75,7.00,8.00,4.00,316,2,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',5928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040387,7.00,7.00,6.00,3.00,9.00,6.50,8.00,6.00,4.00,211,234,233,'CENTRO','ARMAZEM','SC',3768,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2040395,4.00,2.00,2.00,5.00,3.00,5.50,5.00,2.00,4.00,238,301,233,'BARRA DA LAGOA','FLORIANOPOLIS','SC',20057,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2040409,7.00,8.00,9.00,7.00,8.00,5.25,7.00,8.00,7.00,103,216,NULL,'ITACORUBI','FLORIANOPOLIS','SC',832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2040417,4.00,7.00,3.00,6.00,8.00,4.25,6.00,7.00,3.00,203,202,214,'PARQUE DAS OFICINAS','ARAPONGAS','PR',8902,695,NULL,NULL,NULL,NULL,NULL,2,1),(15,2040425,4.00,9.00,7.00,8.00,8.00,4.00,6.00,6.00,7.00,103,104,NULL,'AGUA VERDE','CURITIBA','PR',3819,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2040433,7.00,7.00,7.00,8.00,8.00,7.00,8.00,8.00,8.00,203,2,208,'BALNEÁRIO','FLORIANOPOLIS','SC',928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2040450,7.00,7.00,7.00,8.00,9.00,7.00,9.00,7.00,5.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',1106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,9,NULL,'SANTISTA','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2040484,1.00,3.00,3.00,3.00,4.00,NULL,3.00,3.00,1.00,101,103,NULL,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2040492,0.00,4.00,3.00,2.00,5.00,NULL,2.00,5.00,4.00,333,211,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2040506,6.00,8.00,8.00,8.00,9.00,6.50,8.00,6.00,8.00,220,5,207,'IRIRIÚ','JOINVILLE','SC',1316,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2040514,3.00,3.00,3.00,3.00,6.00,6.00,4.00,4.00,2.00,238,225,216,'TRINDADE','FLORIANOPOLIS','SC',18120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2040522,2.00,3.00,3.00,1.00,7.00,5.25,3.00,3.00,2.00,425,451,429,'CARIANOS','FLORIANOPOLIS','SC',21106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040530,2.00,5.00,3.00,7.00,5.00,4.25,4.00,6.00,3.00,326,301,NULL,'PÂNTANO DO SUL','FLORIANOPOLIS','SC',15662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040549,3.00,7.00,6.00,2.00,7.00,5.00,6.00,3.00,2.00,404,428,NULL,'PANTANAL','FLORIANOPOLIS','SC',12638,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,333,NULL,'BOA VISTA','RIO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2040565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,319,NULL,'BUTANTÃ','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2040573,5.00,7.00,5.00,7.00,8.00,6.00,6.00,6.00,4.00,220,NULL,203,'CENTRO','SOROCABA','SP',5914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOOCA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2040603,3.00,7.00,4.00,7.00,7.00,5.50,5.00,5.00,2.00,317,324,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',11295,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2040611,7.00,7.00,7.00,7.00,8.00,8.25,5.00,3.00,7.00,103,9,NULL,'CENTRO','ERECHIM','RS',3110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040620,4.00,7.00,5.00,7.00,8.00,6.00,3.00,7.00,3.00,304,324,NULL,'CENTRO','FLORIANOPOLIS','SC',7932,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2040638,3.00,7.00,5.00,3.00,9.00,6.25,4.00,5.00,3.00,319,301,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',11070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,308,NULL,'JARDIM AMANDA','HORTOLANDIA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2040662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,103,NULL,'VILA ADYANNA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2040670,1.00,7.00,2.00,9.00,7.00,5.75,4.00,5.00,3.00,214,233,220,'COQUEIROS','FLORIANOPOLIS','SC',11841,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2040689,3.00,8.00,7.00,5.00,7.00,4.75,7.00,7.00,6.00,103,208,NULL,'CAMPO GRANDE','SANTOS','SP',5291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040700,4.00,5.00,5.00,6.00,7.00,6.25,3.00,5.00,5.00,207,420,201,'ESTREITO','FLORIANOPOLIS','SC',10626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040727,4.00,6.00,7.00,6.00,7.00,7.75,7.00,5.00,5.00,216,217,233,'PANTANAL','FLORIANOPOLIS','SC',4694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,201,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2040743,4.00,7.00,4.00,6.00,8.00,6.25,5.00,2.00,3.00,217,332,NULL,'FAZENDA','ITAJAI','SC',10457,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2040760,3.00,3.00,2.00,7.00,6.00,5.75,3.00,7.00,2.00,319,9,NULL,'ITAIPU','MEDIANEIRA','PR',14320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040778,6.00,7.00,6.00,8.00,8.00,7.50,6.00,5.00,5.00,427,420,423,'CANASVIEIRAS','FLORIANOPOLIS','SC',4212,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2040786,3.00,5.00,5.00,3.00,7.00,4.50,4.00,6.00,2.00,404,223,NULL,'TRINDADE','FLORIANOPOLIS','SC',15312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040794,2.00,8.00,0.00,4.00,6.00,5.00,2.00,6.00,2.00,211,331,215,'ESTREITO','FLORIANOPOLIS','SC',17814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2040808,8.00,8.00,3.00,9.00,8.00,5.00,8.00,8.00,7.00,103,NULL,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',1425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040816,3.00,6.00,3.00,1.00,6.00,4.25,7.00,5.00,1.00,208,NULL,238,'SAGUAÇU','JOINVILLE','SC',17933,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2040824,4.00,7.00,4.00,3.00,6.00,4.25,3.00,3.00,4.00,203,201,211,'FLORESTA','JOINVILLE','SC',15268,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2040832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,339,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2040840,5.00,8.00,5.00,5.00,8.00,6.25,6.00,5.00,5.00,102,211,NULL,'GLÓRIA','JOINVILLE','SC',6625,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2040867,6.00,8.00,3.00,7.00,8.00,5.75,4.00,7.00,3.00,319,329,NULL,'TRINDADE','FLORIANOPOLIS','SC',6577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040875,3.00,6.00,5.00,5.00,7.00,5.00,6.00,7.00,5.00,214,333,212,'AMÉRICA','JOINVILLE','SC',7733,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2040883,2.00,3.00,2.00,3.00,6.00,3.75,4.00,3.00,2.00,501,502,NULL,'AGUA VERDE','CURITIBA','PR',21042,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2040891,3.00,6.00,3.00,5.00,4.00,5.50,4.00,5.00,2.00,103,415,NULL,'CENTRO','CLEVELANDIA','PR',15333,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2040913,3.00,6.00,3.00,7.00,5.00,5.00,4.00,3.00,2.00,415,451,NULL,'ROÇADO','SAO JOSE','SC',14288,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2040921,4.00,7.00,6.00,3.00,5.00,6.50,3.00,5.00,2.00,304,320,NULL,'MARAPÉ','SANTOS','SP',12353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040930,6.00,7.00,8.00,9.00,9.00,5.75,8.00,8.00,4.00,207,427,201,'CAMPINAS','SAO JOSE','SC',1017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040956,4.00,8.00,8.00,9.00,8.00,7.00,6.00,7.00,2.00,415,450,NULL,'CENTRO','FLORIANOPOLIS','SC',2403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2040972,5.00,7.00,2.00,6.00,8.00,7.50,3.00,5.00,5.00,103,102,NULL,'CENTRO','CURITIBA','PR',8798,2004,797,NULL,NULL,NULL,NULL,2,8),(15,2040980,1.00,7.00,7.00,4.00,5.00,5.00,3.00,3.00,0.00,425,316,423,'CANASVIEIRAS','FLORIANOPOLIS','SC',18174,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2040999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,5,NULL,'PONTO CHIC','IBIRAMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2041006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'AHHÚ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2041014,8.00,7.00,9.00,7.00,8.00,6.75,8.00,9.00,8.00,303,5,NULL,'VILA ADYANNA','SAO JOSE DOS CAMPOS','SP',334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041022,5.00,6.00,3.00,7.00,7.00,6.50,5.00,7.00,2.00,303,415,NULL,'CENTRO','BRUSQUE','SC',10110,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2041030,2.00,4.00,3.00,6.00,7.00,4.25,3.00,4.00,4.00,303,331,NULL,'CENTRO','NOVA TRENTO','SC',17652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2041049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'PARQUE OSWALDO SELLA','CAMBE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2041057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2041065,2.00,4.00,5.00,8.00,5.00,7.00,4.00,5.00,4.00,103,216,NULL,'JARDIM DO SALSO','PORTO ALEGRE','RS',10557,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2041073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,217,NULL,'LAGO SUL','LAGO SUL','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2041081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2041103,3.00,7.00,3.00,3.00,6.00,5.00,5.00,5.00,4.00,420,208,NULL,'SÃO BASILIO','BRACO DO NORTE','SC',13523,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2041111,4.00,7.00,5.00,9.00,5.00,3.00,7.00,4.00,5.00,501,211,NULL,'BARÃO GERALDO','CAMPINAS','SP',7848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041120,3.00,6.00,2.00,6.00,8.00,4.75,2.00,5.00,3.00,339,309,NULL,'VILA JONES','AMERICANA','SP',14643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041138,3.00,4.00,5.00,3.00,5.00,5.00,5.00,4.00,2.00,220,238,203,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041146,3.00,7.00,5.00,5.00,4.00,5.00,4.00,2.00,2.00,331,423,NULL,'CENTRO','LAGUNA','SC',16894,74,202,NULL,NULL,NULL,NULL,2,10),(15,2041162,0.00,2.00,1.00,4.00,7.00,NULL,1.00,3.00,1.00,102,339,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2041170,2.00,5.00,4.00,7.00,6.00,5.00,4.00,3.00,3.00,303,424,NULL,'PONTE DO IMARUIM','PALHOCA','SC',14525,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2041189,3.00,4.00,2.00,1.00,5.00,NULL,3.00,1.00,0.00,201,316,212,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041197,6.00,7.00,7.00,6.00,7.00,6.75,7.00,5.00,3.00,211,224,NULL,'JARDIM LEOPOLDINA','PORTO ALEGRE','RS',4587,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2041219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,501,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2041227,8.00,8.00,8.00,8.00,9.00,5.25,9.00,7.00,8.00,103,207,NULL,'SAGUAÇU','JOINVILLE','SC',299,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2041235,4.00,6.00,4.00,0.00,5.00,4.50,4.00,3.00,0.00,203,501,211,'SÃO BENTO BAIXO','NOVA VENEZA','SC',20369,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2041243,2.00,8.00,2.00,4.00,6.00,5.75,5.00,4.00,2.00,103,9,NULL,'CENTRO','SINOP','MT',15070,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2041260,5.00,9.00,7.00,5.00,9.00,5.50,8.00,8.00,6.00,103,108,NULL,'ASILO','BLUMENAU','SC',1819,734,537,NULL,NULL,NULL,NULL,4,2),(15,2041278,5.00,7.00,8.00,6.00,8.00,7.75,7.00,4.00,5.00,104,316,NULL,'CENTRO','FLORIANOPOLIS','SC',4405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2041286,2.00,8.00,4.00,6.00,5.00,6.00,6.00,6.00,5.00,207,327,201,'AGRONÔMICA','FLORIANOPOLIS','SC',9102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041294,5.00,8.00,6.00,5.00,7.00,5.00,7.00,7.00,5.00,103,5,NULL,'MORADA DA COLINA','RESENDE','RJ',4588,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2041308,6.00,8.00,8.00,8.00,6.00,4.50,9.00,6.00,8.00,103,502,NULL,'PARQUE CONTINENTAL','SAO PAULO','SP',2201,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2041324,4.00,7.00,4.00,4.00,6.00,5.50,4.00,8.00,3.00,426,324,429,'MONTESE','FORTALEZA','CE',10145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041332,5.00,6.00,6.00,5.00,5.00,4.75,6.00,5.00,6.00,103,108,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',8065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,208,201,'CENTRO','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2041359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,211,NULL,'CENTRO','JABORA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2041367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'PIATAN','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2041375,8.00,8.00,9.00,7.00,7.00,6.25,8.00,5.00,7.00,203,2,201,'CENTRO','FLORIANOPOLIS','SC',934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041383,7.00,7.00,6.00,4.00,8.00,7.00,7.00,6.00,5.00,211,103,216,'PONTA DA PRAIA','SANTOS','SP',4015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041391,6.00,8.00,5.00,7.00,7.00,5.75,7.00,7.00,5.00,444,319,NULL,'CENTRO','SAO BENTO DO SUL','SC',3606,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2041405,5.00,7.00,7.00,7.00,6.00,5.50,7.00,6.00,6.00,303,5,NULL,'VILA MATHIAS','SANTOS','SP',3186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2041421,4.00,8.00,4.00,6.00,6.00,6.25,5.00,2.00,5.00,319,421,NULL,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',10079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041430,7.00,7.00,9.00,7.00,7.00,6.50,7.00,7.00,8.00,103,102,NULL,'VILA MAZZEI','SANTO ANDRE','SP',1248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041448,6.00,7.00,9.00,8.00,9.00,7.25,8.00,7.00,8.00,103,108,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041456,5.00,7.00,5.00,8.00,7.00,5.75,6.00,7.00,6.00,103,NULL,NULL,'CAIÇARAS','LONDRINA','PR',4274,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2041464,2.00,5.00,6.00,6.00,7.00,8.00,3.00,5.00,1.00,238,333,208,'CORREGO GRANDE','FLORIANOPOLIS','SC',12071,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2041472,6.00,8.00,7.00,8.00,9.00,5.75,9.00,8.00,7.00,303,5,NULL,'CENTRO','SAO JOSE','SC',671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041480,4.00,6.00,4.00,6.00,8.00,5.75,4.00,5.00,2.00,202,208,203,'CENTRO','PORTO ALEGRE','RS',11041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2041499,1.00,5.00,3.00,5.00,6.00,6.75,2.00,4.00,3.00,238,317,202,'ESTREITO','FLORIANOPOLIS','SC',17608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041502,3.00,4.00,1.00,6.00,6.00,5.75,5.00,2.00,3.00,303,5,NULL,'BARREIROS','SAO JOSE','SC',16157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2041510,2.00,6.00,2.00,7.00,7.00,6.25,3.00,4.00,2.00,444,215,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',15066,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2041529,4.00,6.00,5.00,2.00,5.00,3.50,7.00,6.00,5.00,103,208,NULL,'PINHEIROS','SAO PAULO','SP',11338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041537,3.00,6.00,6.00,9.00,7.00,5.50,3.00,6.00,3.00,301,NULL,NULL,'MOINHO VELHO','SAO PAULO','SP',8880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041545,0.00,4.00,2.00,2.00,3.00,NULL,1.00,1.00,1.00,420,415,NULL,'VILA A','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2041553,5.00,4.00,2.00,4.00,4.00,6.50,5.00,6.00,2.00,102,415,NULL,'ZONA SETE','MARINGA','PR',15766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041561,2.00,4.00,3.00,4.00,3.00,2.50,3.00,2.00,3.00,423,9,NULL,'SUFIATTI','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2041588,2.00,7.00,5.00,6.00,6.00,5.00,4.00,6.00,3.00,202,203,220,'NITERÓI','SEARA','SC',12943,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2041600,7.00,8.00,8.00,6.00,9.00,6.50,9.00,6.00,6.00,104,423,NULL,'KOBRASOL','SAO JOSE','SC',1669,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2041618,7.00,9.00,7.00,3.00,7.00,5.25,8.00,8.00,5.00,5,103,NULL,'KOBRASOL','SAO JOSE','SC',2827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041626,0.00,5.00,1.00,2.00,6.00,NULL,3.00,4.00,4.00,238,316,203,'LÍDER','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2041642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,304,NULL,'RIO BRANCO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2041669,2.00,9.00,1.00,4.00,6.00,4.25,3.00,6.00,1.00,328,427,NULL,'CAMPECHE','FLORIANOPOLIS','SC',17926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2041677,4.00,8.00,5.00,9.00,9.00,7.50,7.00,6.00,3.00,303,425,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',3096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041685,4.00,7.00,1.00,6.00,7.00,6.00,6.00,7.00,3.00,444,404,NULL,'PANTANAL','FLORIANOPOLIS','SC',8594,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2041693,1.00,5.00,1.00,2.00,7.00,6.50,5.00,5.00,4.00,203,214,201,'CENTRO','CRICIUMA','SC',17417,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2041707,5.00,7.00,6.00,6.00,7.00,6.00,5.00,5.00,1.00,318,332,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',8617,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2041715,2.00,4.00,3.00,1.00,6.00,4.75,3.00,5.00,5.00,502,108,NULL,'CENTRO','BOM RETIRO','SC',19002,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2041723,8.00,8.00,7.00,9.00,8.00,5.00,9.00,7.00,6.00,415,NULL,NULL,'OFICINAS','TUBARAO','SC',1307,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2041731,4.00,7.00,6.00,9.00,6.00,4.50,7.00,4.00,5.00,220,201,203,'CENTRO','CURITIBA','PR',6877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041758,4.00,5.00,2.00,6.00,6.00,4.75,4.00,1.00,2.00,214,NULL,203,'PAULAS','SAO FRANCISCO DO SUL','SC',17997,530,NULL,1058,NULL,NULL,NULL,2,8),(15,2041766,4.00,7.00,6.00,3.00,8.00,4.00,6.00,2.00,4.00,103,303,NULL,'BATEL','CURITIBA','PR',10677,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2041782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,420,203,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2041790,2.00,8.00,5.00,5.00,4.00,4.00,4.00,6.00,2.00,303,428,NULL,'CAMPECHE','FLORIANOPOLIS','SC',14804,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2041812,6.00,7.00,6.00,6.00,7.00,7.25,2.00,3.00,4.00,9,104,NULL,'CAMPINAS','SAO JOSE','SC',8348,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2041820,3.00,7.00,8.00,6.00,8.00,6.00,5.00,6.00,3.00,216,333,215,'MORADA DO OURO','CUIABA','MT',5834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041847,2.00,4.00,0.00,2.00,3.00,NULL,1.00,4.00,1.00,108,333,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2041871,6.00,8.00,8.00,9.00,8.00,4.75,9.00,8.00,9.00,220,214,213,'CENTRO','ERECHIM','RS',327,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2041880,3.00,5.00,1.00,3.00,3.00,4.25,2.00,3.00,1.00,319,404,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',22436,528,531,NULL,NULL,NULL,NULL,4,1),(15,2041898,5.00,8.00,3.00,5.00,7.00,7.25,7.00,8.00,3.00,212,316,213,'COQUEIROS','FLORIANOPOLIS','SC',5269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2041901,1.00,4.00,2.00,1.00,6.00,5.00,3.00,4.00,4.00,211,404,208,'TRINDADE','FLORIANOPOLIS','SC',21095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,304,212,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2041928,4.00,7.00,4.00,7.00,6.00,5.25,5.00,5.00,3.00,304,326,NULL,'JARDIM SÃO LUIZ','SUZANO','SP',10007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041936,6.00,8.00,7.00,9.00,7.00,7.00,6.00,7.00,3.00,5,303,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',2258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041952,2.00,8.00,5.00,5.00,7.00,5.75,5.00,5.00,1.00,329,425,NULL,'BARREIROS','SAO JOSE','SC',13193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2041979,4.00,6.00,3.00,0.00,7.00,5.75,3.00,5.00,5.00,207,420,220,'ITAPOCU','ARAQUARI','SC',13619,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2041987,2.00,4.00,1.00,1.00,4.00,NULL,1.00,3.00,3.00,101,308,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042010,5.00,7.00,1.00,5.00,8.00,7.00,3.00,4.00,1.00,103,NULL,NULL,'OFICINAS','TUBARAO','SC',12552,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2042029,4.00,6.00,4.00,5.00,6.00,7.00,3.00,4.00,3.00,415,320,NULL,'CENTRO','PALHOCA','SC',11421,294,158,NULL,NULL,NULL,NULL,4,1),(15,2042037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,108,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2042053,6.00,9.00,5.00,6.00,8.00,7.25,7.00,7.00,3.00,303,5,NULL,'NOSSA SENHORA DO ROS','SAO JOSE','SC',3600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042070,4.00,7.00,1.00,8.00,7.00,6.50,3.00,7.00,3.00,423,427,426,'AGRONÔMICA','FLORIANOPOLIS','SC',9672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2042088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'TABOÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2042100,4.00,8.00,4.00,5.00,7.00,6.25,6.00,5.00,2.00,238,319,208,'SANTA LUZIA','CRICIUMA','SC',9750,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2042118,5.00,6.00,6.00,7.00,8.00,7.00,7.00,8.00,6.00,238,222,208,'CENTRO','CRICIUMA','SC',2815,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2042126,5.00,8.00,5.00,6.00,9.00,6.50,7.00,8.00,3.00,317,333,NULL,'ITACORUBI','FLORIANOPOLIS','SC',3207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042134,2.00,5.00,4.00,3.00,6.00,5.25,3.00,1.00,3.00,108,333,NULL,'VILA MARCONDES','CARAPICUIBA','SP',20053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042142,3.00,8.00,3.00,6.00,5.00,6.75,4.00,7.00,2.00,316,317,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',9945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042150,1.00,5.00,4.00,2.00,4.00,3.50,3.00,3.00,1.00,201,238,220,'ITACORUBI','FLORIANOPOLIS','SC',22059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042169,5.00,8.00,5.00,6.00,7.00,6.75,7.00,6.00,3.00,207,333,212,'CENTRO','URUSSANGA','SC',5633,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2042193,4.00,6.00,4.00,2.00,6.00,4.50,3.00,5.00,4.00,303,425,NULL,'TRINDADE','FLORIANOPOLIS','SC',15643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042207,2.00,4.00,2.00,2.00,6.00,5.50,5.00,5.00,2.00,108,101,NULL,'CENTRO','POMERODE','SC',19237,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2042215,5.00,8.00,6.00,5.00,9.00,5.50,6.00,6.00,3.00,108,102,NULL,'COQUEIROS','FLORIANOPOLIS','SC',5376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042223,6.00,8.00,6.00,9.00,8.00,4.75,3.00,7.00,2.00,326,331,NULL,'ESTREITO','FLORIANOPOLIS','SC',5621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042231,3.00,6.00,3.00,2.00,4.00,3.75,2.00,4.00,5.00,304,302,NULL,'PANTANAL','FLORIANOPOLIS','SC',19359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042240,4.00,7.00,4.00,5.00,7.00,5.00,3.00,5.00,3.00,332,502,NULL,'PANTANAL','FLORIANOPOLIS','SC',11575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2042258,7.00,8.00,9.00,9.00,9.00,5.00,9.00,7.00,9.00,103,502,NULL,'COLONINHA','ARARANGUA','SC',420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042266,3.00,6.00,1.00,4.00,5.00,4.50,1.00,4.00,1.00,415,339,NULL,'BARRA DO ARIRIÚ','PALHOCA','SC',20857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2042274,3.00,7.00,1.00,7.00,7.00,7.25,3.00,4.00,2.00,324,429,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',13658,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2042282,3.00,5.00,3.00,3.00,7.00,4.00,2.00,4.00,2.00,5,317,NULL,'KOBRASOL','SAO JOSE','SC',18884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042290,5.00,8.00,7.00,7.00,9.00,6.25,9.00,5.00,6.00,450,415,NULL,'CENTRO','CURITIBA','PR',2037,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2042304,3.00,5.00,0.00,0.00,4.00,NULL,2.00,4.00,2.00,201,NULL,NULL,'CENTRO','IMBUIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042312,3.00,3.00,2.00,6.00,7.00,5.50,1.00,1.00,3.00,317,308,NULL,'DEHON','TUBARAO','SC',20302,369,435,NULL,NULL,NULL,NULL,4,10),(15,2042355,1.00,6.00,4.00,7.00,6.00,5.25,3.00,7.00,4.00,501,213,NULL,'KOBRASOL','SAO JOSE','SC',13091,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2042363,7.00,7.00,6.00,9.00,8.00,5.50,7.00,6.00,6.00,207,211,201,'CENTRO','FOZ DO IGUACU','PR',2694,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2042371,2.00,3.00,0.00,4.00,5.00,NULL,4.00,8.00,4.00,328,331,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2042380,3.00,8.00,4.00,5.00,6.00,6.00,5.00,5.00,5.00,201,225,238,'CENTRO','RIO NEGRINHO','SC',10619,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2042401,5.00,8.00,4.00,6.00,6.00,6.50,7.00,5.00,4.00,301,303,NULL,'MAR GROSSO','LAGUNA','SC',5715,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2042410,0.00,4.00,1.00,4.00,7.00,NULL,2.00,3.00,0.00,420,208,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2042428,3.00,7.00,6.00,7.00,5.00,3.75,4.00,5.00,4.00,444,224,NULL,'CENTRO','ITAPEMA','SC',10765,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2042436,4.00,7.00,4.00,5.00,8.00,7.50,6.00,5.00,5.00,420,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',5985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042444,6.00,9.00,5.00,4.00,8.00,5.50,7.00,7.00,4.00,202,333,213,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',3425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042452,3.00,6.00,4.00,4.00,4.00,4.25,3.00,5.00,1.00,203,333,201,'CENTRO','PASSO FUNDO','RS',19030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042479,3.00,7.00,4.00,6.00,7.00,5.00,8.00,6.00,2.00,316,317,NULL,'COQUEIROS','FLORIANOPOLIS','SC',8910,193,470,NULL,NULL,NULL,NULL,4,1),(15,2042487,8.00,8.00,6.00,8.00,8.00,5.75,9.00,8.00,7.00,103,203,NULL,'CENTRO','IMBITUBA','SC',1203,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2042495,1.00,1.00,1.00,2.00,3.00,NULL,0.00,5.00,1.00,207,NULL,NULL,'COMERCIARIO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2042517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,102,NULL,'ANTONIO PAGLIA','PONTE SERRADA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2042533,6.00,7.00,7.00,6.00,8.00,5.00,9.00,5.00,6.00,202,208,220,'SANTA AUGUSTA','CRICIUMA','SC',3624,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2042550,5.00,6.00,5.00,5.00,6.00,4.75,4.00,3.00,3.00,327,424,NULL,'ITACORUBI','FLORIANOPOLIS','SC',13765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042568,4.00,5.00,9.00,8.00,8.00,3.50,7.00,7.00,4.00,420,NULL,NULL,'JARDIM PANORAMA','ARAPONGAS','PR',4288,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2042576,6.00,5.00,1.00,7.00,8.00,5.75,7.00,6.00,6.00,103,415,NULL,'JARDIM MINUANO','SAO JOAQUIM','SC',7222,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2042584,5.00,5.00,8.00,2.00,9.00,3.00,8.00,5.00,8.00,203,201,202,'ZONA SETE','MARINGA','PR',6916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042592,3.00,8.00,2.00,4.00,7.00,6.25,4.00,6.00,4.00,425,429,NULL,'SERRARIA','SAO JOSE','SC',10748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,324,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2042614,5.00,5.00,4.00,3.00,7.00,4.75,4.00,5.00,4.00,103,207,NULL,'ALPHAVILLE','SANTANA DE PARNAIBA','SP',12688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042630,4.00,6.00,3.00,9.00,7.00,5.50,4.00,4.00,4.00,9,502,NULL,'ASA NORTE','BRASILIA','DF',9141,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2042657,5.00,8.00,1.00,4.00,5.00,5.00,4.00,8.00,3.00,332,327,NULL,'SERRARIA','SAO JOSE','SC',11668,45,304,NULL,NULL,NULL,NULL,4,1),(15,2042673,4.00,6.00,5.00,1.00,6.00,4.00,6.00,5.00,4.00,225,224,NULL,'ESTREITO','SAO PAULO','SP',13962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042681,6.00,3.00,5.00,5.00,6.00,6.00,6.00,5.00,5.00,103,104,NULL,'MORANGUEIRA','MARINGA','PR',8306,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2042690,5.00,7.00,5.00,4.00,7.00,4.00,8.00,7.00,6.00,450,415,NULL,'JARDIM PARAISO','BOTUCATU','SP',5698,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2042703,1.00,3.00,2.00,3.00,5.00,4.00,3.00,5.00,2.00,425,102,423,'JARDIM JANAINA','BIGUACU','SC',21364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042738,2.00,6.00,1.00,2.00,4.00,5.75,5.00,4.00,5.00,217,225,NULL,'CENTRO','JOACABA','SC',18570,171,181,NULL,NULL,NULL,NULL,4,7),(15,2042762,3.00,5.00,1.00,6.00,8.00,5.25,2.00,4.00,2.00,415,208,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',16890,420,1059,NULL,NULL,NULL,NULL,2,1),(15,2042797,2.00,5.00,1.00,4.00,5.00,NULL,4.00,5.00,0.00,329,310,NULL,'RATONES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2042800,3.00,7.00,5.00,2.00,5.00,5.25,7.00,6.00,3.00,2,220,NULL,'COHAB','SANANDUVA','RS',13007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042819,6.00,8.00,8.00,2.00,7.00,5.00,8.00,4.00,8.00,220,308,202,'CENTRO','BALNEARIO CAMBORIU','SC',4964,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2042843,1.00,7.00,2.00,6.00,7.00,3.75,3.00,4.00,1.00,302,222,NULL,'BARREIROS','SAO JOSE','SC',17581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042851,2.00,5.00,6.00,1.00,9.00,6.50,4.00,6.00,3.00,103,319,NULL,'FORQUILHINHAS','SAO JOSE','SC',12379,2394,758,NULL,NULL,NULL,NULL,4,1),(15,2042860,6.00,8.00,9.00,8.00,8.00,8.00,7.00,6.00,5.00,420,450,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',1010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2042878,6.00,6.00,7.00,6.00,8.00,5.50,7.00,6.00,4.00,102,316,NULL,'GARCIA','BLUMENAU','SC',5237,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2042894,7.00,8.00,8.00,5.00,8.00,7.00,9.00,5.00,8.00,103,220,NULL,'JARDIM RASSLEM','DOURADOS','MS',1418,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2042908,7.00,8.00,9.00,5.00,9.00,8.00,5.00,8.00,4.00,103,108,NULL,'SÃO LUÍS','JARAGUA DO SUL','SC',2126,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2042916,4.00,8.00,6.00,7.00,9.00,5.50,6.00,8.00,6.00,103,303,NULL,'PONTA AGUDA','BLUMENAU','SC',2799,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2042940,5.00,4.00,3.00,5.00,7.00,6.00,4.00,3.00,3.00,339,426,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',15028,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2042959,3.00,3.00,3.00,6.00,4.00,6.25,2.00,5.00,1.00,217,426,NULL,'CAPÃO DA CRUZ','SAPUCAIA DO SUL','RS',18637,175,228,NULL,NULL,NULL,NULL,2,1),(15,2042967,3.00,4.00,4.00,4.00,5.00,4.25,4.00,3.00,2.00,202,NULL,213,'ITOUPAVA NORTE','BLUMENAU','SC',19181,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2042975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'FARROUPILHA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2042983,3.00,4.00,1.00,7.00,5.00,5.00,2.00,5.00,2.00,108,327,NULL,'SAO BENEDITO','GUARATINGUETA','SP',17848,400,419,NULL,NULL,NULL,NULL,2,1),(15,2042991,4.00,7.00,6.00,5.00,7.00,6.25,5.00,5.00,4.00,207,303,201,'CENTRO','CURITIBA','PR',6735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043009,4.00,7.00,2.00,7.00,7.00,5.25,4.00,6.00,2.00,333,234,NULL,'CANTO','FLORIANOPOLIS','SC',9963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043017,3.00,7.00,2.00,5.00,6.00,5.50,5.00,6.00,3.00,217,329,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',12578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043025,2.00,7.00,2.00,1.00,5.00,5.25,3.00,4.00,5.00,319,329,NULL,'CALEGARIS','PAULINIA','SP',18343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,208,NULL,'CENTRO','FLORIDA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2043068,2.00,4.00,0.00,5.00,3.00,6.00,3.00,1.00,2.00,308,9,NULL,'INGLESES','FLORIANOPOLIS','SC',21800,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2043076,4.00,8.00,6.00,6.00,9.00,5.75,7.00,7.00,2.00,103,108,NULL,'JARDIM ELDORADO','PALHOCA','SC',5241,1490,611,NULL,NULL,NULL,NULL,2,1),(15,2043092,5.00,6.00,6.00,7.00,8.00,6.50,6.00,7.00,4.00,316,5,NULL,'CAMPINAS','SAO JOSE','SC',4394,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2043106,4.00,7.00,6.00,5.00,8.00,6.00,5.00,7.00,4.00,301,333,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',5226,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2043114,2.00,7.00,5.00,5.00,6.00,4.25,4.00,7.00,4.00,317,333,NULL,'VILA ADYANA','SAO JOSE DOS CAMPOS','SP',11842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2043122,2.00,3.00,4.00,2.00,5.00,4.75,3.00,2.00,2.00,308,324,NULL,'COSTEIRA','FLORIANOPOLIS','SC',21776,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2043130,4.00,6.00,4.00,7.00,8.00,5.25,5.00,4.00,2.00,103,450,NULL,'VILA RAU','JARAGUA DO SUL','SC',11639,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2043149,5.00,8.00,5.00,7.00,7.00,4.75,6.00,6.00,4.00,103,415,NULL,'CENTRO','MARIALVA','PR',7098,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2043157,5.00,9.00,8.00,9.00,8.00,5.50,6.00,6.00,7.00,214,222,203,'TRINDADE','FLORIANOPOLIS','SC',1688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,329,NULL,'MOEMA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2043173,5.00,7.00,2.00,3.00,7.00,6.50,6.00,6.00,4.00,103,415,NULL,'SUMARÉ','PARANAVAI','PR',10216,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2043181,6.00,7.00,6.00,7.00,8.00,6.75,6.00,5.00,6.00,103,104,NULL,'PORTÃO','CURITIBA','PR',3109,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2043190,6.00,6.00,6.00,4.00,6.00,5.00,7.00,5.00,5.00,211,404,201,'PANTANAL','FLORIANOPOLIS','SC',8629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043203,5.00,8.00,7.00,3.00,8.00,5.75,7.00,7.00,6.00,215,233,216,'TUPI','BELO HORIZONTE','MG',3656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043211,4.00,6.00,4.00,1.00,5.00,4.25,3.00,3.00,3.00,216,217,202,'VILA BERNARDES','ARAPONGAS','PR',18875,528,503,644,NULL,NULL,NULL,4,1),(15,2043238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,224,NULL,'JARDIM MINEZOTA','SUMARE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2043246,2.00,5.00,4.00,7.00,5.00,4.50,3.00,7.00,3.00,308,425,NULL,'ITACORUBI','FLORIANOPOLIS','SC',13298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043254,1.00,6.00,4.00,4.00,7.00,4.00,3.00,7.00,1.00,333,502,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',17514,293,294,NULL,NULL,NULL,NULL,2,1),(15,2043262,7.00,8.00,8.00,7.00,9.00,8.50,8.00,8.00,7.00,103,NULL,NULL,'CIDADE UNIVERSITÁRIA','BAURU','SP',246,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2043270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,451,NULL,'SANTIAGO','CONCEICAO DA BARRA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2043289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BERNARDINO DE CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2043297,4.00,6.00,6.00,6.00,8.00,5.25,5.00,8.00,3.00,238,316,208,'ESTREITO','FLORIANOPOLIS','SC',6173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043300,2.00,3.00,3.00,6.00,6.00,5.50,2.00,3.00,2.00,9,404,NULL,'INGLESES','FLORIANOPOLIS','SC',19130,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2043327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2043343,5.00,6.00,6.00,1.00,6.00,4.50,7.00,3.00,5.00,214,212,213,'CENTRO','PEREIRA BARRETO','SP',10893,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2043351,6.00,9.00,5.00,10.00,8.00,7.00,3.00,8.00,3.00,324,318,NULL,'PRAIA DOS AMORES','BALNEARIO CAMBORIU','SC',3979,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(15,2043360,3.00,6.00,4.00,5.00,4.00,5.00,2.00,3.00,2.00,304,301,NULL,'KOBRASOL','SAO JOSE','SC',19269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2043378,4.00,7.00,4.00,6.00,6.00,5.50,3.00,6.00,4.00,316,327,NULL,'BARREIROS','SAO JOSE','SC',9805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043394,2.00,6.00,3.00,4.00,7.00,5.00,2.00,3.00,2.00,301,108,NULL,'TRINDADE','FLORIANOPOLIS','SC',18573,316,896,NULL,NULL,NULL,NULL,4,1),(15,2043408,2.00,3.00,5.00,4.00,4.00,3.50,3.00,3.00,3.00,103,102,NULL,'ITAGUAÇÚ','FLORIANOPOLIS','SC',20284,3015,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043416,2.00,4.00,4.00,5.00,8.00,3.75,6.00,7.00,1.00,217,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',14386,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2043424,7.00,7.00,5.00,8.00,9.00,5.50,5.00,3.00,2.00,103,220,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',6709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043432,5.00,5.00,4.00,4.00,5.00,5.00,5.00,5.00,3.00,333,211,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',14216,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2043459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,220,201,'COUNTRY','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2043475,5.00,8.00,4.00,4.00,6.00,6.25,6.00,6.00,4.00,316,317,NULL,'ESTREITO','FLORIANOPOLIS','SC',7269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043483,2.00,6.00,1.00,0.00,8.00,NULL,3.00,4.00,2.00,216,217,211,'CANTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2043491,3.00,3.00,4.00,1.00,4.00,5.75,6.00,4.00,1.00,220,203,202,'PIONEIROS','ITA','SC',17922,551,1422,621,NULL,NULL,NULL,2,4),(15,2043505,0.00,6.00,2.00,6.00,7.00,4.25,3.00,3.00,2.00,104,102,NULL,'CENTRO','MAXIMILIANO DE ALMEIDA','RS',17651,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2043513,0.00,2.00,1.00,0.00,2.00,NULL,1.00,3.00,0.00,308,420,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2043521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,333,NULL,'ZONA TRES','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2043530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,5,NULL,'COUNTRY','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2043556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'INTERIOR','ZORTEA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2043564,3.00,3.00,3.00,6.00,8.00,7.50,5.00,5.00,2.00,450,415,NULL,'PINHEIRINHO','PATO BRANCO','PR',12289,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2043572,3.00,6.00,3.00,4.00,7.00,4.75,5.00,5.00,4.00,211,224,238,'TRINDADE','FLORIANOPOLIS','SC',12405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2043580,4.00,7.00,2.00,6.00,6.00,3.50,3.00,3.00,3.00,316,415,NULL,'SANTA TEREZA','VIDEIRA','SC',16403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043599,1.00,7.00,3.00,2.00,5.00,4.50,3.00,3.00,5.00,203,220,214,'CENTRO','BAGE','RS',19561,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2043602,6.00,8.00,8.00,5.00,9.00,5.75,8.00,8.00,5.00,103,444,NULL,'SANTA CATARINA','LAGES','SC',2481,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2043610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,102,NULL,'CENTRO','IPIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2043629,3.00,3.00,2.00,2.00,7.00,5.25,5.00,2.00,2.00,238,415,208,'GUANABARA','JOINVILLE','SC',21252,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2043645,4.00,8.00,6.00,8.00,8.00,7.50,7.00,8.00,6.00,102,9,NULL,'CENTRO','FLORIANOPOLIS','SC',2396,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2043653,1.00,7.00,1.00,6.00,7.00,4.00,3.00,5.00,1.00,5,303,NULL,'INGLESES','FLORIANOPOLIS','SC',17565,732,1274,NULL,NULL,NULL,NULL,2,1),(15,2043661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,415,207,'CENTRO','CHAPADAO DO SUL','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2043670,0.00,7.00,3.00,2.00,5.00,5.25,4.00,2.00,3.00,103,NULL,NULL,'QUEDAS DO PALMITAL','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2043688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,215,NULL,'JD PAULICEIA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2043696,4.00,3.00,5.00,8.00,8.00,6.75,7.00,3.00,3.00,220,238,208,'BARREIROS','SAO JOSE','SC',9312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043718,3.00,5.00,2.00,1.00,5.00,5.25,3.00,1.00,5.00,208,444,NULL,'CENTRO','FLORIANOPOLIS','SC',20107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043726,4.00,6.00,6.00,2.00,7.00,6.00,7.00,5.00,3.00,102,215,NULL,'MARIA GORETTI','BENTO GONCALVES','RS',11029,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2043734,4.00,7.00,4.00,7.00,7.00,5.75,5.00,5.00,3.00,420,316,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',9427,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2043742,8.00,6.00,8.00,6.00,8.00,6.50,9.00,8.00,7.00,216,211,215,'BELA VISTA','GOIANIA','GO',1444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043750,2.00,4.00,4.00,3.00,6.00,5.50,5.00,5.00,4.00,214,220,207,'CENTRO','MONDAI','SC',15793,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2043769,4.00,5.00,1.00,5.00,4.00,4.25,3.00,2.00,2.00,108,333,NULL,'CENTRO','IMBITUBA','SC',20117,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2043777,4.00,7.00,2.00,7.00,7.00,6.00,3.00,6.00,2.00,327,5,NULL,'CENTRO','ORLEANS','SC',12250,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2043793,7.00,8.00,9.00,8.00,7.00,7.50,9.00,7.00,8.00,220,238,208,'BARREIROS','SAO JOSE','SC',191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043807,2.00,7.00,5.00,3.00,7.00,4.50,5.00,7.00,5.00,213,2,202,'BARRO VERMELHO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2043815,4.00,5.00,3.00,3.00,5.00,4.50,3.00,4.00,2.00,332,331,NULL,'CENTRO','FLORIANOPOLIS','SC',18922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043823,4.00,5.00,4.00,2.00,5.00,6.50,2.00,5.00,2.00,104,NULL,NULL,'CENTRO','SALTO VELOSO','SC',17634,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2043831,8.00,9.00,10.00,7.00,9.00,9.50,9.00,7.00,8.00,103,102,NULL,'TRINDADE','FLORIANOPOLIS','SC',80,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','SANTA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2043866,3.00,7.00,4.00,7.00,8.00,7.75,3.00,7.00,4.00,415,429,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',6595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043874,7.00,7.00,9.00,9.00,8.00,7.00,8.00,6.00,6.00,103,NULL,NULL,'VILA IPIRANGA','LONDRINA','PR',1347,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2043882,7.00,9.00,6.00,9.00,8.00,7.50,8.00,9.00,8.00,415,327,NULL,'CAMPINAS','SAO JOSE','SC',444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043890,4.00,7.00,2.00,2.00,7.00,4.50,3.00,1.00,2.00,108,501,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',18129,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2043912,2.00,7.00,4.00,2.00,5.00,4.75,6.00,6.00,2.00,420,203,NULL,'CENTRO','JOACABA','SC',15308,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2043920,3.00,7.00,3.00,5.00,7.00,6.00,6.00,4.00,2.00,233,NULL,NULL,'VERMELHO','ORLEANS','SC',11771,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2043939,3.00,6.00,4.00,6.00,6.00,6.25,7.00,6.00,3.00,238,222,208,'BALNEÁRIO','FLORIANOPOLIS','SC',10050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043947,4.00,6.00,7.00,1.00,7.00,4.75,5.00,3.00,4.00,207,301,215,'SÃO FRANCISCO','BENTO GONCALVES','RS',14234,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2043963,4.00,8.00,6.00,8.00,7.00,4.25,7.00,6.00,3.00,216,217,233,'ASA SUL','BRASILIA','DF',4879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2043971,6.00,7.00,6.00,7.00,7.00,6.50,5.00,6.00,4.00,103,217,NULL,'ARIRIÚ','PALHOCA','SC',6127,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2043980,2.00,4.00,1.00,5.00,4.00,0.00,3.00,1.00,2.00,308,319,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2043998,7.00,9.00,8.00,7.00,8.00,6.25,8.00,5.00,6.00,103,104,NULL,'FAZENDA','ITAJAI','SC',1372,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2044005,4.00,8.00,4.00,0.00,0.00,NULL,6.00,7.00,2.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(15,2044021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'VILA NOVA OSASCO','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2044048,4.00,6.00,8.00,5.00,8.00,6.75,9.00,7.00,6.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',2628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044056,6.00,8.00,3.00,7.00,7.00,6.50,6.00,9.00,6.00,103,104,NULL,'LIBERDADE','SAO PAULO','SP',3306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044072,0.00,5.00,1.00,3.00,4.00,5.25,2.00,3.00,4.00,424,319,426,'ITAGUAÇU','FLORIANOPOLIS','SC',21734,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2044099,4.00,5.00,5.00,8.00,8.00,6.00,5.00,5.00,2.00,103,207,NULL,'CENTRO','XANXERE','SC',8567,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2044102,3.00,8.00,9.00,6.00,8.00,5.25,6.00,9.00,5.00,301,316,NULL,'SETOR BUENO','GOIANIA','GO',3116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044110,3.00,7.00,5.00,6.00,8.00,6.00,6.00,6.00,4.00,303,424,NULL,'CENTRO','FLORIANOPOLIS','SC',6095,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2044137,1.00,4.00,2.00,3.00,7.00,5.75,2.00,4.00,1.00,101,217,NULL,'MARCÍLIO DIAS','CANOINHAS','SC',20032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044145,4.00,9.00,6.00,6.00,7.00,6.75,9.00,6.00,3.00,203,202,220,'ZONA DOIS','CIANORTE','PR',4071,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2044153,5.00,8.00,7.00,8.00,9.00,6.75,8.00,8.00,6.00,207,420,NULL,'CENTRO','ERECHIM','RS',1393,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2044170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,201,216,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2044196,4.00,5.00,8.00,4.00,7.00,6.25,4.00,7.00,2.00,223,225,NULL,'PROGRESSO','LAGUNA','SC',9735,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2044200,4.00,7.00,2.00,7.00,6.00,5.00,3.00,4.00,2.00,327,426,NULL,'INGLESES','FLORIANOPOLIS','SC',14516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2044218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,301,NULL,'AUXILIADORA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2044234,2.00,5.00,1.00,4.00,4.00,4.25,2.00,5.00,4.00,429,424,425,'ITACORUBI','FLORIANOPOLIS','SC',20285,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2044242,6.00,8.00,8.00,9.00,9.00,7.00,8.00,6.00,4.00,103,104,NULL,'CENTRO','BOMBINHAS','SC',1127,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2044250,2.00,7.00,3.00,7.00,6.00,4.75,3.00,6.00,2.00,327,326,NULL,'JD NOVO HORIZONTE','CARAPICUIBA','SP',13730,75,260,NULL,NULL,NULL,NULL,2,1),(15,2044269,8.00,7.00,8.00,8.00,8.00,7.00,9.00,8.00,8.00,103,223,NULL,'CENTRO','CRICIUMA','SC',328,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2044277,3.00,7.00,4.00,6.00,7.00,5.25,5.00,5.00,1.00,404,444,NULL,'JURERE','FLORIANOPOLIS','SC',11926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2044285,6.00,8.00,7.00,9.00,9.00,5.75,9.00,7.00,5.00,203,214,220,'CENTRO','CHAPECO','SC',903,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2044293,5.00,7.00,7.00,3.00,6.00,5.50,6.00,5.00,5.00,233,217,215,'CENTRO','SANTA MARIA','RS',8427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044307,1.00,5.00,5.00,6.00,6.00,5.75,4.00,4.00,4.00,208,420,NULL,'CIDADE NOVA','JACUPIRANGA','SP',13512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044323,0.00,6.00,1.00,1.00,5.00,NULL,1.00,3.00,2.00,428,316,426,'PARQUE','FARROUPILHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2044331,6.00,7.00,4.00,4.00,7.00,7.00,7.00,5.00,3.00,103,104,NULL,'ZONA SETE','MARINGA','PR',8737,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2044340,2.00,5.00,2.00,4.00,6.00,5.25,2.00,4.00,5.00,317,404,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',18265,310,440,NULL,NULL,NULL,NULL,2,1),(15,2044358,6.00,8.00,6.00,7.00,7.00,6.00,7.00,9.00,4.00,103,207,NULL,'JARDIM PANORAMA','SAO JOSE DO RIO PRETO','SP',3236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044366,2.00,6.00,2.00,5.00,4.00,5.25,4.00,6.00,1.00,201,404,207,'CENTRO','VIDEIRA','SC',17249,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2044382,2.00,4.00,1.00,3.00,7.00,6.00,2.00,5.00,4.00,319,320,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',17416,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2044404,2.00,6.00,1.00,4.00,7.00,6.50,3.00,4.00,2.00,104,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',16826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,102,215,'CENTRO','MONTE CASTELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2044420,5.00,7.00,3.00,5.00,5.00,5.75,7.00,6.00,6.00,103,104,NULL,'JARDIM MARACANÃ','DOURADOS','MS',7703,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2044439,3.00,6.00,2.00,5.00,6.00,5.00,3.00,4.00,4.00,101,424,NULL,'CAMPECHE','FLORIANOPOLIS','SC',16253,179,219,NULL,NULL,NULL,NULL,2,1),(15,2044447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,316,NULL,'JARDIM CARANDAÍ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2044463,4.00,7.00,4.00,5.00,8.00,5.50,5.00,6.00,4.00,234,317,NULL,'BARREIROS','SAO JOSE','SC',8311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2044480,1.00,5.00,2.00,5.00,3.00,5.75,4.00,4.00,3.00,101,103,NULL,'BERNECK','MUNDO NOVO','MS',19518,251,3261,NULL,NULL,NULL,NULL,2,1),(15,2044498,5.00,7.00,6.00,9.00,7.00,6.00,6.00,7.00,4.00,217,501,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',3830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044528,2.00,5.00,3.00,7.00,4.00,5.75,3.00,4.00,4.00,317,224,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2044536,2.00,5.00,4.00,5.00,5.00,5.00,4.00,4.00,2.00,316,318,NULL,'FORQUILHINHAS','SAO JOSE','SC',16325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2044544,1.00,5.00,6.00,4.00,7.00,6.00,5.00,4.00,3.00,301,316,NULL,'JARDIM ANA EMILIA','TAUBATE','SP',12942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044552,3.00,5.00,4.00,2.00,5.00,6.75,4.00,4.00,4.00,301,324,NULL,'CENTRO','IBIAM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2044560,3.00,8.00,8.00,6.00,7.00,7.50,6.00,3.00,4.00,104,301,NULL,'CENTRO','FLORIANOPOLIS','SC',6946,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2044579,5.00,7.00,7.00,2.00,8.00,5.75,6.00,4.00,4.00,103,301,NULL,'CENTRO','XANXERE','SC',8346,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2044587,5.00,6.00,5.00,9.00,9.00,6.00,8.00,7.00,6.00,319,428,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',2600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044595,1.00,4.00,1.00,4.00,2.00,NULL,3.00,5.00,2.00,301,444,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044609,5.00,7.00,6.00,7.00,7.00,4.50,7.00,5.00,5.00,212,208,201,'FLAMBOYAN','CUIABA','MT',5145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044625,1.00,8.00,2.00,3.00,3.00,4.25,4.00,5.00,2.00,211,333,216,'PALHOCINHA','GAROPABA','SC',17747,618,911,498,NULL,NULL,NULL,2,1),(15,2044633,7.00,9.00,7.00,9.00,10.00,7.75,9.00,9.00,7.00,104,327,NULL,'ESTREITO','FLORIANOPOLIS','SC',54,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044641,2.00,5.00,1.00,7.00,4.00,5.00,2.00,3.00,1.00,5,451,NULL,'AREIAS DA PALHOCINHA','GAROPABA','SC',19790,823,282,NULL,NULL,NULL,NULL,2,1),(15,2044650,4.00,7.00,5.00,7.00,7.00,6.75,7.00,7.00,5.00,316,301,NULL,'ABRAAO','FLORIANOPOLIS','SC',4047,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2044668,2.00,4.00,4.00,4.00,4.00,5.25,3.00,4.00,3.00,316,333,NULL,'CENTRO','CORUPA','SC',20157,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2044684,4.00,5.00,3.00,4.00,4.00,6.75,6.00,2.00,5.00,103,108,NULL,'BATEL','CURITIBA','PR',13313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044706,4.00,7.00,1.00,5.00,6.00,4.75,4.00,6.00,2.00,5,303,NULL,'TRINDADE','FLORIANOPOLIS','SC',14367,620,1217,NULL,NULL,NULL,NULL,2,1),(15,2044714,6.00,8.00,7.00,8.00,8.00,6.00,7.00,5.00,6.00,5,317,NULL,'AEROPORTO','TUBARAO','SC',2557,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2044730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,415,NULL,'SANTA TEREZINHA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2044749,3.00,6.00,2.00,5.00,7.00,4.00,4.00,4.00,2.00,319,415,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044757,3.00,7.00,3.00,4.00,6.00,4.00,5.00,4.00,3.00,201,415,NULL,'ANITA GARIBALDI','JOINVILLE','SC',16412,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2044765,3.00,5.00,1.00,3.00,6.00,4.00,5.00,4.00,4.00,103,108,NULL,'BARREIROS','SAO JOSE','SC',17641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CERQUEIRA CESAR','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2044790,1.00,5.00,3.00,4.00,5.00,6.25,2.00,3.00,3.00,108,319,NULL,'SÃO VICENTE','ITAJAI','SC',20521,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2044803,3.00,7.00,5.00,7.00,6.00,5.00,6.00,6.00,1.00,333,420,NULL,'CENTRO','PATO BRANCO','PR',10100,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2044811,5.00,9.00,7.00,5.00,9.00,5.25,5.00,7.00,4.00,317,NULL,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',4685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044820,4.00,5.00,6.00,6.00,8.00,6.50,4.00,6.00,3.00,207,420,201,'ILHA DA FIGUEIRA','JARAGUA DO SUL','SC',8396,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2044838,3.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,1.00,104,102,NULL,'X DE NOVEMBRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2044846,2.00,7.00,2.00,4.00,4.00,7.00,4.00,4.00,2.00,238,320,208,'KOBRASOL','SAO JOSE','SC',17174,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2044854,2.00,6.00,2.00,6.00,7.00,5.25,1.00,6.00,4.00,207,NULL,201,'BROOKLIN','SAO PAULO','SP',14945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2044862,1.00,6.00,2.00,2.00,4.00,NULL,3.00,1.00,1.00,415,5,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2044870,1.00,5.00,0.00,5.00,5.00,4.75,0.00,4.00,3.00,207,303,211,'CENTRO','TUBARAO','SC',22008,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2044889,3.00,9.00,6.00,7.00,6.00,5.75,8.00,7.00,3.00,220,208,203,'RESIDENCIAL DO LAGO','LONDRINA','PR',4350,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2044897,3.00,6.00,5.00,4.00,6.00,8.00,5.00,5.00,2.00,103,101,NULL,'LAGO SUL','LAGO SUL','DF',11405,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2044919,3.00,7.00,3.00,6.00,4.00,6.25,4.00,3.00,2.00,215,420,216,'CENTRO','PARAPUA','SP',15135,301,762,436,NULL,NULL,NULL,2,1),(15,2044927,2.00,5.00,3.00,7.00,5.00,6.00,3.00,7.00,3.00,415,451,NULL,'VILA NOVA','ICARA','SC',13265,330,200,NULL,NULL,NULL,NULL,2,5),(15,2044943,3.00,5.00,4.00,6.00,6.00,5.25,4.00,5.00,1.00,101,339,NULL,'CENTRO','FLORIANOPOLIS','SC',14377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044951,3.00,6.00,7.00,9.00,6.00,4.50,9.00,8.00,5.00,329,319,NULL,'JD ANTARTICA','RIBEIRAO PRETO','SP',4202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044978,6.00,7.00,7.00,5.00,8.00,6.50,7.00,5.00,7.00,103,404,NULL,'CRISTO REI','CURITIBA','PR',2510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2044986,2.00,8.00,2.00,3.00,7.00,NULL,1.00,8.00,0.00,333,331,NULL,'RIO CAVEIRAS','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2044994,4.00,7.00,6.00,4.00,8.00,6.25,6.00,5.00,4.00,108,502,NULL,'COQUEIROS','FLORIANOPOLIS','SC',7735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045001,4.00,6.00,6.00,6.00,6.00,6.50,6.00,7.00,3.00,202,222,238,'AGRONÔMICA','FLORIANOPOLIS','SC',6922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045010,3.00,8.00,1.00,7.00,6.00,6.50,5.00,6.00,3.00,319,328,NULL,'MORRO DO ESPELHO','SAO LEOPOLDO','RS',11825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045028,7.00,9.00,6.00,8.00,6.00,5.75,8.00,7.00,6.00,212,NULL,213,'ANITA GARIBALDI','JOINVILLE','SC',2028,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2045036,4.00,7.00,4.00,8.00,7.00,7.00,5.00,6.00,2.00,303,202,NULL,'CENTRO','ERMO','SC',7286,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2045044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,304,NULL,'ASA NORTE','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2045052,3.00,3.00,1.00,6.00,6.00,5.75,2.00,2.00,3.00,319,308,NULL,'CENTRO','XAXIM','SC',20248,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2045060,2.00,8.00,4.00,5.00,3.00,4.50,1.00,4.00,2.00,308,424,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',20004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2045079,3.00,7.00,7.00,6.00,8.00,6.75,5.00,6.00,5.00,103,102,NULL,'CENTRO','ITAPEMA','SC',5347,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2045087,0.00,5.00,2.00,2.00,6.00,NULL,1.00,3.00,3.00,316,211,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045095,1.00,7.00,1.00,7.00,6.00,6.25,2.00,5.00,2.00,423,324,427,'COSTEIRA PIRAJUBAÉ','FLORIANOPOLIS','SC',16570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2045109,7.00,7.00,4.00,6.00,6.00,6.50,5.00,5.00,3.00,103,333,NULL,'JARDIM CARVALHO','PONTA GROSSA','PR',7209,1796,568,NULL,NULL,NULL,NULL,2,1),(15,2045117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,207,NULL,'JARDIM PAGANI','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2045125,2.00,7.00,1.00,2.00,5.00,6.50,7.00,4.00,3.00,207,NULL,NULL,'CENTRO','UCHOA','SP',15251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045141,4.00,5.00,6.00,5.00,7.00,4.75,6.00,4.00,3.00,220,208,214,'JARDIM CENTRAL','SAO BERNARDO DO CAMPO','SP',11308,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2045150,3.00,6.00,6.00,3.00,7.00,6.00,5.00,4.00,0.00,501,502,NULL,'CAMPINAS','SAO JOSE','SC',14994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045168,0.00,3.00,1.00,6.00,4.00,NULL,2.00,4.00,2.00,425,502,429,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045176,3.00,6.00,7.00,8.00,7.00,5.75,6.00,5.00,3.00,238,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',6428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045192,3.00,5.00,6.00,1.00,8.00,6.25,2.00,2.00,4.00,211,NULL,NULL,'URBANOVA','SAO JOSE DOS CAMPOS','SP',15819,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2045214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,234,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2045230,3.00,7.00,4.00,6.00,6.00,5.25,4.00,4.00,2.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',14926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2045249,1.00,3.00,3.00,1.00,4.00,NULL,1.00,3.00,2.00,103,9,NULL,'CENTRO','SINOP','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045257,7.00,8.00,7.00,7.00,9.00,5.50,7.00,8.00,4.00,102,333,NULL,'CACUPÉ','FLORIANOPOLIS','SC',1628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2045265,8.00,6.00,6.00,6.00,8.00,4.75,7.00,6.00,6.00,216,202,203,'CENTRO','ITAPEMA','SC',3956,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2045273,2.00,3.00,1.00,3.00,3.00,5.50,4.00,4.00,4.00,102,339,NULL,'CENTRO','LEOBERTO LEAL','SC',20945,479,422,NULL,NULL,NULL,NULL,2,1),(15,2045281,0.00,5.00,2.00,6.00,2.00,NULL,5.00,5.00,5.00,326,324,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2045311,6.00,6.00,5.00,3.00,8.00,5.75,6.00,5.00,5.00,102,216,NULL,'VILA GOMES','SAO PAULO','SP',8131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045320,2.00,7.00,4.00,2.00,5.00,5.50,3.00,3.00,1.00,450,233,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',19062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,320,NULL,'CENTRO','SAO JOAO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2045362,3.00,6.00,5.00,6.00,7.00,6.25,7.00,7.00,3.00,220,203,216,'VILA GUAIRA','GOIOERE','PR',7023,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2045389,4.00,4.00,5.00,2.00,6.00,3.00,4.00,2.00,2.00,9,211,NULL,'CENTRO','TAUBATE','SP',19191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045397,4.00,5.00,4.00,2.00,7.00,5.25,5.00,3.00,3.00,420,207,NULL,'COSTEIRA','FLORIANOPOLIS','SC',14893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045400,7.00,8.00,8.00,5.00,9.00,7.00,9.00,7.00,8.00,103,104,NULL,'LUZIA','ARACAJU','SE',710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045427,6.00,6.00,7.00,6.00,8.00,6.75,8.00,6.00,6.00,207,201,215,'ANITA GARIBALDI','JOINVILLE','SC',1900,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2045435,7.00,7.00,4.00,5.00,6.00,4.75,6.00,7.00,5.00,103,102,NULL,'CENTRO','MALACACHETA','MG',6770,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2045443,3.00,6.00,1.00,3.00,7.00,5.50,3.00,6.00,3.00,415,309,NULL,'CENTRO','FLORIANOPOLIS','SC',15729,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2045451,3.00,3.00,0.00,1.00,3.00,NULL,1.00,0.00,1.00,207,420,NULL,'CORDEIROS','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2045486,5.00,8.00,5.00,6.00,7.00,6.75,5.00,4.00,4.00,429,331,428,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',7164,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2045494,1.00,8.00,4.00,5.00,8.00,6.75,6.00,2.00,3.00,238,317,212,'CENTRO','FLORIANOPOLIS','SC',9792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045524,1.00,7.00,4.00,6.00,5.00,5.25,5.00,4.00,3.00,5,214,NULL,'BOA VISTA','CURITIBA','PR',13825,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2045532,3.00,7.00,2.00,7.00,6.00,4.75,4.00,6.00,4.00,103,207,NULL,'PEREIRA ALVES','CORREIA PINTO','SC',13379,2480,1190,NULL,NULL,NULL,NULL,2,9),(15,2045540,4.00,5.00,1.00,7.00,6.00,5.25,5.00,6.00,1.00,420,319,NULL,'SCHRAMM','SAO BENTO DO SUL','SC',13643,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2045559,4.00,6.00,4.00,8.00,9.00,6.25,5.00,7.00,5.00,9,223,NULL,'ST ANTÔNIO DE LISBOA','FLORIANOPOLIS','SC',5430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045567,5.00,7.00,1.00,3.00,7.00,6.00,3.00,4.00,1.00,108,501,NULL,'APARECIDA','SANTOS','SP',15403,341,473,NULL,NULL,NULL,NULL,2,2),(15,2045575,3.00,6.00,3.00,1.00,6.00,5.00,3.00,7.00,1.00,304,329,NULL,'CENTRO','BIGUACU','SC',19112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045583,5.00,6.00,8.00,7.00,8.00,6.00,6.00,3.00,6.00,211,333,215,'CENTRO','FLORIANOPOLIS','SC',4692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045591,2.00,3.00,2.00,5.00,5.00,6.25,2.00,3.00,1.00,319,424,NULL,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',21788,501,265,NULL,NULL,NULL,NULL,2,1),(15,2045605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,216,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2045613,2.00,7.00,3.00,4.00,6.00,4.25,5.00,7.00,3.00,215,333,NULL,'MANDAQUI','SAO PAULO','SP',12795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045621,3.00,8.00,2.00,4.00,5.00,4.50,2.00,3.00,2.00,207,308,NULL,'ARIRIU DA FORMIGA','PALHOCA','SC',18698,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2045630,3.00,8.00,8.00,8.00,8.00,6.00,4.00,5.00,3.00,302,444,NULL,'ITACORUBI','FLORIANOPOLIS','SC',6464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045648,7.00,8.00,8.00,8.00,7.00,5.00,9.00,7.00,7.00,214,203,220,'BOA VISTA','MARILIA','SP',1577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045656,2.00,5.00,3.00,5.00,5.00,5.50,5.00,5.00,5.00,102,215,NULL,'CENTRO','SAO MARCOS','RS',14940,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2045664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SHANGAI','JUNDIAI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2045672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,238,NULL,'ASA NORTE','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2045680,2.00,5.00,5.00,6.00,8.00,3.50,6.00,5.00,3.00,103,333,NULL,'CENTRO','FLORIANOPOLIS','SC',11633,2331,707,NULL,NULL,NULL,NULL,4,1),(15,2045729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,319,NULL,'COHAB','PONTA PORA','MS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2045737,3.00,5.00,4.00,4.00,5.00,5.75,3.00,5.00,3.00,444,502,NULL,'CENTRO','HERVAL D OESTE','SC',16990,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2045761,1.00,5.00,3.00,4.00,4.00,6.00,5.00,5.00,4.00,501,333,NULL,'CENTRO','PRUDENTOPOLIS','PR',17739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2045770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'JD CANUTO','GUAPIARA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2045788,5.00,9.00,8.00,6.00,8.00,5.25,9.00,5.00,5.00,207,301,212,'JARDIM PAULISTA','SAO PAULO','SP',3291,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2045796,6.00,9.00,4.00,8.00,9.00,7.75,6.00,7.00,3.00,103,101,NULL,'TRINDADE','FLORIANOPOLIS','SC',2662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045818,7.00,9.00,1.00,9.00,8.00,5.50,5.00,8.00,2.00,103,225,NULL,'CENTRO','FLORIANOPOLIS','SC',7140,1786,91,NULL,NULL,NULL,NULL,4,1),(15,2045826,2.00,4.00,3.00,3.00,7.00,5.00,4.00,4.00,1.00,5,331,NULL,'CENTRO','FLORIANOPOLIS','SC',19594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045834,2.00,3.00,1.00,0.00,7.00,NULL,2.00,3.00,2.00,103,104,NULL,'LARANJEIRAS','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2045842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,319,NULL,'MANDAQUI','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2045850,3.00,4.00,0.00,1.00,3.00,NULL,4.00,3.00,3.00,308,222,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2045869,5.00,6.00,2.00,4.00,8.00,5.00,5.00,6.00,3.00,332,421,NULL,'CENTRO','TUBARAO','SC',11388,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2045877,2.00,5.00,6.00,8.00,7.00,5.50,6.00,6.00,1.00,5,318,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',9450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045893,2.00,6.00,4.00,2.00,7.00,5.50,5.00,4.00,3.00,207,303,201,'PAES LEME','IMBITUBA','SC',16064,781,1251,854,NULL,NULL,NULL,4,1),(15,2045907,3.00,7.00,1.00,4.00,5.00,4.50,3.00,3.00,1.00,108,451,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',19739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2045915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,420,NULL,'CONTA DINHEIRO CORAL','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2045923,1.00,4.00,1.00,2.00,3.00,5.50,4.00,2.00,4.00,103,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUA DO SUL','SC',21420,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2045931,2.00,7.00,6.00,6.00,9.00,6.00,6.00,8.00,5.00,5,316,NULL,'JARAGUÁ ESQUERDO','JARAGUA DO SUL','SC',5236,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2045940,4.00,7.00,8.00,9.00,7.00,6.25,8.00,5.00,5.00,238,202,208,'MORRO DA CRUZ','PATO BRANCO','PR',3587,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2045958,3.00,7.00,5.00,3.00,5.00,6.50,6.00,5.00,4.00,102,215,NULL,'CENTRO','SANTA MARIA','RS',12090,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2045974,5.00,4.00,6.00,4.00,8.00,7.00,7.00,6.00,4.00,207,420,201,'CARIANOS','FLORIANOPOLIS','SC',7104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2045990,1.00,5.00,3.00,6.00,8.00,4.75,2.00,4.00,3.00,415,303,NULL,'SAGRADO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2046008,3.00,6.00,2.00,3.00,4.00,3.00,5.00,3.00,3.00,224,225,NULL,'INGLESES','FLORIANOPOLIS','SC',21021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046016,4.00,5.00,0.00,3.00,7.00,NULL,1.00,4.00,2.00,324,339,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2046024,2.00,5.00,3.00,0.00,4.00,5.00,2.00,4.00,2.00,444,404,NULL,'CENTRO','FLORIANOPOLIS','SC',22135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046032,2.00,5.00,2.00,0.00,4.00,3.00,4.00,5.00,3.00,301,302,NULL,'FAZENDA STO ANTOMIO','SAO JOSE','SC',21317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046059,2.00,5.00,2.00,4.00,5.00,7.00,2.00,4.00,2.00,5,104,NULL,'ASA NORTE','BRASILIA','DF',18087,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2046067,4.00,7.00,3.00,8.00,4.00,5.25,6.00,5.00,4.00,102,420,NULL,'CENTRO','GAROPABA','SC',10027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046075,5.00,8.00,5.00,2.00,8.00,6.25,5.00,5.00,5.00,104,415,NULL,'JARDIM IMPERIAL','CUIABA','MT',6976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046083,7.00,8.00,7.00,7.00,7.00,7.00,8.00,8.00,8.00,103,9,NULL,'COSTA E SILVA','JOINVILLE','SC',865,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2046091,5.00,8.00,4.00,8.00,7.00,6.75,6.00,7.00,6.00,310,328,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',3902,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2046105,6.00,8.00,4.00,9.00,8.00,7.00,5.00,8.00,4.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',3837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046113,2.00,5.00,3.00,3.00,6.00,6.75,3.00,5.00,3.00,303,5,NULL,'GONZAGA','SANTOS','SP',17050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046130,6.00,6.00,8.00,5.00,8.00,6.75,9.00,5.00,7.00,103,NULL,NULL,'CENTRO','SAO ROQUE','SP',2797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046156,4.00,8.00,2.00,4.00,5.00,7.25,5.00,7.00,5.00,415,451,NULL,'SANTA TEREZINHA','CAPINZAL','SC',9038,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2046164,2.00,3.00,2.00,1.00,4.00,4.75,3.00,4.00,2.00,426,423,NULL,'INGLESES','FLORIANOPOLIS','SC',22118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046172,3.00,4.00,6.00,6.00,8.00,6.50,8.00,6.00,8.00,217,216,NULL,'BARREIROS','SAO JOSE','SC',4065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046210,8.00,9.00,8.00,3.00,7.00,6.25,7.00,9.00,7.00,103,233,NULL,'PROGRESSO','BLUMENAU','SC',1820,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2046229,9.00,9.00,9.00,9.00,9.00,7.75,8.00,8.00,7.00,303,424,NULL,'BARREIROS','SAO JOSE','SC',16,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046237,7.00,9.00,8.00,9.00,9.00,7.75,8.00,8.00,5.00,303,5,NULL,'TRINDADE','FLORIANOPOLIS','SC',318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','VERA CRUZ DO OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2046261,5.00,8.00,7.00,8.00,8.00,6.50,7.00,7.00,7.00,316,304,NULL,'ESTREITO','FLORIANOPOLIS','SC',2551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046270,6.00,8.00,8.00,9.00,7.00,7.25,7.00,8.00,5.00,303,425,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046288,3.00,6.00,0.00,2.00,6.00,6.00,5.00,4.00,2.00,339,101,NULL,'CENTRO','ITAPIRANGA','SC',18097,86,698,NULL,NULL,NULL,NULL,4,4),(15,2046296,3.00,8.00,6.00,7.00,9.00,6.75,5.00,6.00,4.00,201,326,207,'CAMPINAS','SAO JOSE','SC',5079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046318,4.00,7.00,4.00,8.00,9.00,5.75,6.00,7.00,4.00,217,216,NULL,'BARREIROS','SAO JOSE','SC',4761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046326,3.00,5.00,5.00,7.00,8.00,8.25,5.00,5.00,3.00,316,101,NULL,'BARREIROS','SAO JOSE','SC',8559,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2046350,3.00,6.00,3.00,4.00,4.00,4.25,4.00,2.00,3.00,333,108,NULL,'AREIAS','SAO JOSE','SC',19677,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2046369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,316,233,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2046377,6.00,7.00,7.00,7.00,8.00,7.00,7.00,7.00,5.00,103,102,NULL,'CENTRO','LEBON REGIS','SC',2355,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2046385,2.00,5.00,3.00,6.00,3.00,5.25,1.00,2.00,5.00,5,425,NULL,'TRINDADE','FLORIANOPOLIS','SC',20061,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2046393,4.00,7.00,6.00,7.00,8.00,6.00,7.00,8.00,5.00,316,NULL,NULL,'NAÇÕES','BALNEARIO CAMBORIU','SC',3709,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2046407,2.00,8.00,4.00,5.00,5.00,5.25,4.00,5.00,3.00,331,NULL,NULL,'CENTRO','BARBACENA','MG',12343,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2046415,5.00,8.00,7.00,6.00,7.00,5.25,6.00,5.00,5.00,303,5,NULL,'JARDIM PAULISTA','SAO PAULO','SP',4696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046423,4.00,6.00,4.00,5.00,7.00,5.75,6.00,6.00,5.00,502,102,NULL,'SESI','VIDEIRA','SC',9293,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2046431,2.00,8.00,5.00,7.00,7.00,7.00,2.00,8.00,3.00,203,5,238,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046440,3.00,1.00,3.00,3.00,4.00,NULL,3.00,2.00,2.00,213,202,214,'JD PAULISTA','ATIBAIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046458,7.00,5.00,6.00,9.00,7.00,6.75,8.00,6.00,6.00,225,2,NULL,'FLORESTA','JOINVILLE','SC',1893,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2046474,4.00,7.00,3.00,2.00,7.00,6.00,2.00,7.00,3.00,207,208,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',12905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046482,7.00,8.00,7.00,6.00,8.00,7.00,8.00,8.00,6.00,103,425,NULL,'PIRABEIRABA','JOINVILLE','SC',1456,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2046504,3.00,7.00,6.00,7.00,8.00,5.50,7.00,6.00,5.00,203,220,202,'ITOUPAVA NORTE','BLUMENAU','SC',6239,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2046520,3.00,5.00,3.00,8.00,7.00,6.00,7.00,6.00,3.00,103,104,NULL,'BOA VISTA','JOINVILLE','SC',9273,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2046539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'AFONSO PENA','SAO JOSE DOS PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2046547,4.00,9.00,5.00,5.00,7.00,6.25,5.00,5.00,5.00,103,428,NULL,'CENTRO','FLORIANOPOLIS','SC',6554,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2046555,1.00,6.00,4.00,3.00,7.00,5.50,2.00,5.00,3.00,450,329,NULL,'CENTRO','CAMPINAS','SP',15682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046580,8.00,8.00,8.00,8.00,8.00,7.50,9.00,8.00,8.00,103,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',171,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2046601,5.00,9.00,1.00,4.00,9.00,6.00,5.00,8.00,2.00,420,415,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',8362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046610,1.00,4.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,501,214,NULL,'INTERIOR','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,7),(15,2046628,1.00,7.00,2.00,6.00,7.00,5.75,5.00,4.00,3.00,308,451,NULL,'BARREIROS','SAO JOSE','SC',13811,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2046636,3.00,7.00,2.00,0.00,4.00,4.50,4.00,7.00,4.00,326,319,NULL,'CAMPINAS','SAO JOSE','SC',17679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,502,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,2),(15,2046652,4.00,5.00,0.00,8.00,6.00,6.50,5.00,5.00,3.00,103,102,NULL,'PIO X','CAXIAS DO SUL','RS',11315,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2046660,6.00,7.00,8.00,5.00,8.00,6.25,8.00,7.00,5.00,5,329,NULL,'TRINDADE','FLORIANOPOLIS','SC',3149,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2046679,4.00,7.00,4.00,4.00,7.00,5.75,6.00,6.00,3.00,308,425,NULL,'BARREIROS','SAO JOSE','SC',8841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046687,1.00,3.00,1.00,5.00,3.00,6.50,4.00,4.00,2.00,319,339,NULL,'LOURDES','CAXIAS DO SUL','RS',20662,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2046709,4.00,4.00,2.00,5.00,5.00,5.75,3.00,3.00,3.00,333,444,NULL,'AVENTUREIRO','JOINVILLE','SC',18253,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2046717,5.00,7.00,7.00,6.00,6.00,6.00,9.00,6.00,6.00,220,NULL,NULL,'SETOR AEROPORTO','GOIANIA','GO',3564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046725,6.00,4.00,2.00,3.00,9.00,5.00,6.00,6.00,2.00,202,420,207,'CENTRO','FLORIANOPOLIS','SC',11954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046750,5.00,6.00,3.00,5.00,4.00,5.50,6.00,3.00,3.00,319,303,NULL,'CENTRO','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2046768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,333,NULL,'VILA ROSA','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2046776,7.00,8.00,6.00,6.00,8.00,7.25,8.00,9.00,4.00,103,NULL,NULL,'SÃO VICENTE','ITAJAI','SC',1744,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2046784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,301,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2046806,6.00,8.00,7.00,9.00,9.00,5.25,8.00,7.00,6.00,217,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',1377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046822,4.00,7.00,2.00,8.00,8.00,5.00,7.00,6.00,5.00,108,333,NULL,'DAS PALMEIRAS','CAMPINAS','SP',7019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046830,2.00,5.00,3.00,7.00,6.00,5.50,5.00,6.00,2.00,108,327,NULL,'LOURDES','CAXIAS DO SUL','RS',14194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046857,6.00,6.00,2.00,4.00,9.00,4.75,7.00,7.00,2.00,211,9,215,'SERTÃO DO IMARUI','SAO JOSE','SC',8830,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2046865,6.00,8.00,6.00,6.00,6.00,5.50,8.00,6.00,6.00,103,216,NULL,'BOA VIAGEM','RECIFE','PE',4028,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2046873,3.00,6.00,4.00,7.00,4.00,5.50,4.00,4.00,2.00,212,201,215,'CENTRO','AGUA BOA','MT',16145,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2046890,4.00,7.00,5.00,3.00,6.00,6.00,6.00,6.00,4.00,215,217,NULL,'CENTRO','PONTA GROSSA','PR',8446,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2046903,2.00,6.00,5.00,2.00,6.00,5.50,6.00,4.00,6.00,319,NULL,NULL,'VILA CLAUDIA','LIMEIRA','SP',13942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2046920,6.00,8.00,9.00,6.00,9.00,8.00,9.00,7.00,6.00,303,316,NULL,'CAMPINAS','SAO JOSE','SC',809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046938,5.00,9.00,6.00,8.00,8.00,5.75,7.00,5.00,4.00,5,425,NULL,'CRISTAL','PORTO ALEGRE','RS',3634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046946,2.00,7.00,1.00,4.00,8.00,5.75,5.00,5.00,2.00,103,333,NULL,'CENTRO','GURUPI','TO',14284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046954,6.00,8.00,7.00,7.00,8.00,6.50,8.00,7.00,4.00,207,108,201,'SANTA MÔNICA','FLORIANOPOLIS','SC',2680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046962,3.00,7.00,3.00,8.00,7.00,6.75,5.00,6.00,2.00,327,326,NULL,'COQUEIROS','FLORIANOPOLIS','SC',7820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046970,1.00,5.00,2.00,0.00,4.00,5.75,2.00,6.00,2.00,101,309,NULL,'AREIAS','SAO JOSE','SC',21549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2046989,2.00,4.00,3.00,6.00,4.00,5.75,2.00,3.00,3.00,5,303,NULL,'KOBRASOL','SAO JOSE','SC',18627,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2046997,3.00,7.00,3.00,7.00,8.00,6.50,6.00,5.00,4.00,103,319,NULL,'CENTRO','CANOINHAS','SC',7486,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2047012,5.00,7.00,5.00,3.00,7.00,7.75,6.00,6.00,6.00,415,426,NULL,'VILA MARIANA','SAO PAULO','SP',5416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047020,3.00,4.00,0.00,6.00,3.00,NULL,5.00,3.00,3.00,316,238,NULL,'CENTRO','JATAI','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2047039,2.00,6.00,4.00,4.00,7.00,5.25,3.00,4.00,2.00,102,421,NULL,'CENTRO','ANITAPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047047,3.00,7.00,6.00,7.00,8.00,6.50,5.00,8.00,5.00,450,415,NULL,'JARDIM PONTAL','ILHEUS','BA',4838,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2047063,1.00,4.00,2.00,5.00,1.00,NULL,3.00,4.00,2.00,317,302,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2047080,4.00,7.00,0.00,8.00,8.00,5.75,4.00,6.00,4.00,303,415,NULL,'AEROPORTO','TUBARAO','SC',9586,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2047098,3.00,5.00,5.00,5.00,5.00,5.00,6.00,4.00,4.00,202,220,213,'CAPÃO DA IMBUIA','CURITIBA','PR',13639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047101,4.00,6.00,7.00,3.00,8.00,5.25,7.00,6.00,3.00,215,233,216,'QUIRIRIM','TAUBATE','SP',6833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2047128,4.00,7.00,6.00,7.00,7.00,4.75,6.00,7.00,3.00,320,339,NULL,'RIO BRANCO','PORTO ALEGRE','RS',7343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047136,5.00,7.00,9.00,9.00,8.00,6.50,9.00,8.00,7.00,5,318,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047144,6.00,7.00,8.00,7.00,7.00,5.25,6.00,8.00,7.00,203,102,202,'CENTRO','SANTA ROSA DE LIMA','SC',2271,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2047152,3.00,4.00,4.00,5.00,6.00,4.25,6.00,5.00,2.00,203,220,214,'SANTA CASA','GOIOERE','PR',14042,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2047160,3.00,8.00,7.00,7.00,6.00,7.00,6.00,8.00,6.00,208,222,238,'IPIRANGA','SAO JOSE','SC',3572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2047179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,333,202,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2047187,8.00,7.00,9.00,7.00,8.00,5.50,8.00,6.00,7.00,103,101,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',1451,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2047195,4.00,6.00,5.00,8.00,7.00,7.25,8.00,6.00,4.00,203,333,202,'CENTRO','CAMPO ALEGRE','SC',5111,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2047209,3.00,6.00,5.00,6.00,7.00,5.25,4.00,4.00,3.00,202,NULL,NULL,'CENTRO','CARDOSO','SP',12520,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2047217,2.00,7.00,2.00,2.00,9.00,8.00,5.00,6.00,3.00,444,215,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',12753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047225,4.00,6.00,4.00,6.00,8.00,5.75,5.00,6.00,2.00,103,102,NULL,'CENTRO','TURVO','SC',9728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047233,5.00,5.00,6.00,9.00,5.00,6.75,6.00,3.00,3.00,216,202,201,'JARDIM AMÉRICA','CAXIAS DO SUL','RS',7899,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2047241,7.00,8.00,8.00,6.00,9.00,5.00,7.00,4.00,7.00,201,207,NULL,'ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP',3406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047250,2.00,8.00,6.00,8.00,9.00,7.25,8.00,7.00,4.00,203,303,214,'MARCO','BELEM','PA',3006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047268,6.00,7.00,7.00,5.00,8.00,5.50,6.00,8.00,5.00,203,225,214,'FLORESTA','JOINVILLE','SC',3752,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2047284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,324,NULL,'MADUREIRA','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2047306,4.00,7.00,5.00,6.00,8.00,5.50,6.00,7.00,3.00,103,102,NULL,'CENTRO','FLORIANOPOLIS','SC',6513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047314,3.00,6.00,2.00,6.00,8.00,5.00,7.00,6.00,3.00,444,332,NULL,'CENTRO','FLORIANOPOLIS','SC',11664,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2047322,8.00,8.00,8.00,6.00,9.00,6.00,9.00,7.00,8.00,103,104,NULL,'CENTRO','TREMEMBE','SP',370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CIDADE ADEMAR','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2047357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,5,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2047390,6.00,7.00,3.00,9.00,5.00,6.00,5.00,6.00,3.00,415,5,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047403,5.00,7.00,7.00,6.00,8.00,5.00,5.00,8.00,3.00,103,104,NULL,'AGUA VERDE','JARAGUA DO SUL','SC',4412,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2047411,5.00,7.00,1.00,7.00,6.00,6.50,4.00,4.00,3.00,450,216,NULL,'FLORESTA','CRICIUMA','SC',13009,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2047420,8.00,9.00,6.00,7.00,8.00,4.00,8.00,7.00,5.00,103,331,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',2842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047438,6.00,7.00,9.00,8.00,7.00,5.75,6.00,7.00,6.00,103,501,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',1922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047446,4.00,6.00,3.00,7.00,7.00,4.75,6.00,6.00,3.00,203,108,NULL,'CENTRO','PORTO BELO','SC',9401,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2047462,4.00,8.00,4.00,8.00,8.00,5.25,7.00,7.00,5.00,5,303,NULL,'LAGO NORTE','LAGO NORTE','DF',4662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,211,NULL,'CENTRO','SANTA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2047489,6.00,9.00,9.00,6.00,8.00,8.00,8.00,6.00,4.00,103,303,NULL,'CENTRO','BIGUACU','SC',1419,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2047500,5.00,9.00,4.00,5.00,7.00,5.50,7.00,7.00,3.00,302,301,NULL,'SERRARIA','SAO JOSE','SC',6340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047519,2.00,6.00,4.00,7.00,6.00,6.25,4.00,3.00,2.00,215,NULL,NULL,'BONFIM PAULISTA','RIBEIRAO PRETO','SP',14041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2047527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,103,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2047535,6.00,9.00,4.00,4.00,8.00,5.25,7.00,7.00,5.00,103,216,NULL,'NOVO CENTRO','MARINGA','PR',4994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047543,2.00,7.00,3.00,4.00,5.00,5.50,5.00,6.00,3.00,5,319,NULL,'MERCÊS','CURITIBA','PR',12629,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2047551,4.00,4.00,6.00,5.00,4.00,4.50,4.00,4.00,3.00,208,233,238,'SÃO ROQUE','BENTO GONCALVES','RS',14556,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2047578,3.00,6.00,4.00,4.00,8.00,7.50,5.00,6.00,5.00,501,423,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',8244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2047586,3.00,3.00,0.00,1.00,5.00,NULL,3.00,3.00,2.00,102,108,NULL,'FUNDO CANOAS','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2047608,7.00,7.00,7.00,9.00,9.00,8.00,6.00,6.00,7.00,103,104,NULL,'JD PORTO ALEGRE','TOLEDO','PR',781,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2047616,6.00,8.00,5.00,7.00,8.00,6.75,8.00,6.00,7.00,103,101,NULL,'JURERE','FLORIANOPOLIS','SC',2425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047624,8.00,7.00,8.00,7.00,8.00,5.25,7.00,6.00,7.00,207,420,201,'SAGUAÇU','JOINVILLE','SC',1207,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2047632,8.00,9.00,6.00,9.00,8.00,7.00,8.00,8.00,5.00,103,450,NULL,'GLÓRIA','JOINVILLE','SC',549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047640,6.00,7.00,8.00,5.00,9.00,7.00,8.00,8.00,8.00,103,104,NULL,'JD COOPAGRO','TOLEDO','PR',1438,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2047667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,9,NULL,'CENTRO','SANTA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2047675,5.00,7.00,2.00,10.00,8.00,7.00,5.00,5.00,3.00,319,425,NULL,'CENTRO','ERECHIM','RS',6974,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2047683,7.00,8.00,8.00,5.00,6.00,9.25,8.00,5.00,5.00,103,9,NULL,'ALTO TAQUARAL','CAMPINAS','SP',1860,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2047705,4.00,8.00,3.00,6.00,6.00,5.50,2.00,5.00,3.00,211,303,215,'GONZAGA','SANTOS','SP',13295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047713,3.00,5.00,3.00,5.00,2.00,NULL,4.00,1.00,2.00,211,333,215,'VILA NOVA','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2047721,1.00,5.00,4.00,5.00,7.00,5.00,3.00,5.00,4.00,404,324,NULL,'ITACORUBI','FLORIANOPOLIS','SC',14577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047730,7.00,7.00,6.00,6.00,7.00,6.50,7.00,7.00,4.00,103,104,NULL,'CENTRO','MAJOR VIEIRA','SC',3586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047764,5.00,8.00,7.00,5.00,9.00,4.00,9.00,6.00,8.00,216,214,203,'MATO ALTO','ARARANGUA','SC',2047,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2047772,1.00,8.00,4.00,6.00,6.00,4.00,5.00,5.00,4.00,238,327,208,'ABRAÃO','FLORIANOPOLIS','SC',10683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047780,5.00,5.00,2.00,3.00,6.00,3.50,4.00,7.00,2.00,327,339,NULL,'FORQUILHINHAS','SAO JOSE','SC',15610,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2047799,1.00,4.00,2.00,4.00,2.00,NULL,4.00,2.00,3.00,103,319,NULL,'LA SALLE','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2047810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,421,NULL,'OXFORD','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2047829,4.00,7.00,3.00,7.00,6.00,7.00,3.00,5.00,2.00,420,450,NULL,'AMÉRICA','JOINVILLE','SC',12170,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2047837,4.00,7.00,6.00,5.00,7.00,4.25,7.00,7.00,4.00,234,2,NULL,'JARDIM DAS ACACIAS','SAO JOSE','SC',6968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2047845,4.00,7.00,6.00,2.00,6.00,6.00,7.00,6.00,4.00,217,2,NULL,'CENTRO','PATOS DE MINAS','MG',9553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047853,4.00,7.00,8.00,8.00,9.00,5.75,9.00,7.00,5.00,202,2,213,'CENTRO','FLORIANOPOLIS','SC',2157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047870,6.00,8.00,2.00,2.00,6.00,6.50,5.00,4.00,3.00,101,333,NULL,'FLOR DE NAPOLIS','SAO JOSE','SC',12664,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047888,5.00,6.00,9.00,7.00,7.00,5.50,6.00,5.00,5.00,203,202,216,'LAGO SUL','LAGO SUL','DF',5066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047896,3.00,7.00,1.00,1.00,5.00,5.75,3.00,5.00,3.00,103,9,NULL,'CIDADE BAIXA','PORTO ALEGRE','RS',17871,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2047900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2047934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2047942,5.00,7.00,7.00,7.00,8.00,7.50,7.00,6.00,6.00,104,316,NULL,'CENTRO','BRUSQUE','SC',2375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047950,4.00,5.00,1.00,6.00,4.00,5.00,5.00,2.00,2.00,103,404,NULL,'ÁGUAS CLARAS','BRASILIA','DF',19952,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2047969,3.00,5.00,5.00,2.00,7.00,5.50,6.00,5.00,5.00,217,421,NULL,'SERRARIA','SAO JOSE','SC',11028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047977,5.00,8.00,6.00,7.00,7.00,4.75,7.00,6.00,3.00,103,216,NULL,'BOM RETIRO','JOINVILLE','SC',5819,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2047985,2.00,6.00,4.00,2.00,6.00,5.00,7.00,5.00,2.00,103,9,NULL,'CENTRO','SINOP','MT',14888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2047993,5.00,6.00,5.00,8.00,8.00,6.00,3.00,6.00,2.00,207,420,201,'VARGEM GRANDE','FLORIANOPOLIS','SC',8289,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2048000,4.00,5.00,2.00,2.00,4.00,4.25,3.00,7.00,4.00,101,102,NULL,'CENTRO','CURITIBANOS','SC',16896,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2048027,6.00,7.00,9.00,7.00,8.00,5.50,8.00,7.00,6.00,104,404,NULL,'CENTRO','FLORIANOPOLIS','SC',2342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,333,203,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2048043,5.00,6.00,2.00,3.00,8.00,5.25,4.00,7.00,1.00,103,102,NULL,'SANTA RITA','BRUSQUE','SC',13213,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2048051,6.00,8.00,7.00,6.00,8.00,7.00,7.00,7.00,4.00,214,223,208,'KOBRASOL','SAO JOSE','SC',2657,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2048060,1.00,6.00,7.00,3.00,8.00,7.25,5.00,4.00,3.00,207,420,201,'CENTRO','IMBITUBA','SC',11380,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2048078,3.00,7.00,4.00,7.00,6.00,5.25,6.00,7.00,4.00,303,NULL,NULL,'ILHA DOS ARAÚJOS','GOVERNADOR VALADARES','MG',8480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048086,1.00,3.00,4.00,6.00,7.00,5.50,4.00,4.00,1.00,308,444,NULL,'BELA VISTA','SAO JOSE','SC',18007,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2048094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'SETOR BUENO','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2048116,5.00,7.00,5.00,8.00,8.00,4.75,4.00,8.00,4.00,450,428,NULL,'SWIFT','CAMPINAS','SP',5800,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2048124,7.00,7.00,5.00,5.00,8.00,6.50,6.00,7.00,6.00,420,207,NULL,'VILA MUSSOLINI','SAO BERNARDO DO CAMPO','SP',4207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048132,5.00,7.00,6.00,8.00,7.00,5.75,5.00,8.00,5.00,108,104,NULL,'BOA ESPERANÇA','CUIABA','MT',4416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048140,3.00,7.00,7.00,9.00,8.00,6.25,4.00,5.00,4.00,212,501,211,'PANAMBY','SAO PAULO','SP',6158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048167,1.00,7.00,6.00,5.00,7.00,4.50,4.00,5.00,2.00,202,304,213,'CARAÍBA','SEARA','SC',13080,496,356,210,NULL,NULL,NULL,2,4),(15,2048175,1.00,8.00,6.00,3.00,6.00,5.50,6.00,7.00,2.00,238,404,208,'COSTA E SILVA','JOINVILLE','SC',9965,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2048191,4.00,5.00,2.00,5.00,6.00,5.25,3.00,4.00,2.00,5,320,NULL,'CENTRO','OURO','SC',16368,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2048205,6.00,8.00,9.00,7.00,9.00,7.25,9.00,8.00,8.00,203,327,201,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048213,7.00,8.00,9.00,9.00,9.00,7.00,9.00,8.00,7.00,420,424,NULL,'PONTE DO IMARUIM','PALHOCA','SC',113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,201,NULL,'CENTRO','XANXERE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2048248,6.00,7.00,9.00,9.00,9.00,4.75,9.00,6.00,8.00,202,215,220,'CENTRO','SAO BENTO DO SUL','SC',909,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2048264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,308,NULL,'JARDIM ORIENTAL','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2048280,4.00,5.00,3.00,2.00,5.00,4.75,2.00,4.00,5.00,104,101,NULL,'COQUEIROS','FLORIANOPOLIS','SC',18897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048299,1.00,7.00,3.00,2.00,7.00,6.25,2.00,3.00,3.00,308,424,NULL,'CAMPECHE','FLORIANOPOLIS','SC',17917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048302,7.00,8.00,8.00,8.00,7.00,7.75,8.00,7.00,8.00,203,NULL,201,'JD DAS INDUSTRIAS','SAO JOSE DOS CAMPOS','SP',544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048310,3.00,4.00,6.00,9.00,6.00,7.00,5.00,6.00,6.00,216,201,207,'MADUREIRA','CAXIAS DO SUL','RS',6755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048329,8.00,7.00,6.00,6.00,7.00,5.75,7.00,7.00,6.00,103,319,NULL,'VILA MARIA','PALMEIRA','PR',2798,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2048337,5.00,8.00,6.00,6.00,9.00,8.00,7.00,7.00,4.00,303,404,NULL,'CENTRO','IMBITUBA','SC',3665,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2048345,7.00,9.00,9.00,9.00,8.00,6.25,9.00,8.00,9.00,222,223,NULL,'CENTRO','ITAJAI','SC',110,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2048353,2.00,5.00,3.00,1.00,6.00,6.75,5.00,5.00,3.00,501,233,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',16270,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2048361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,444,NULL,'JD BRASIL','AMPARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2048388,4.00,6.00,3.00,5.00,7.00,5.00,5.00,6.00,5.00,319,451,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',10999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2048396,4.00,7.00,3.00,7.00,6.00,4.75,3.00,7.00,2.00,211,202,215,'NUNES','NONOAI','RS',12065,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2048400,4.00,7.00,2.00,3.00,6.00,4.50,5.00,6.00,4.00,104,502,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',12270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,207,NULL,'SANTA TEREZINHA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2048450,4.00,4.00,5.00,7.00,6.00,8.25,5.00,6.00,3.00,319,328,NULL,'SOMBRIO','SANTO AMARO DA IMPERATRIZ','SC',7441,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2048469,6.00,8.00,2.00,9.00,7.00,6.00,7.00,7.00,4.00,207,420,215,'CENTRO TEC AEROESP','SAO JOSE DOS CAMPOS','SP',4498,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2048477,6.00,8.00,8.00,8.00,8.00,6.25,8.00,8.00,8.00,501,233,NULL,'BARREIROS','SAO JOSE','SC',627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048493,5.00,9.00,9.00,8.00,8.00,7.25,9.00,8.00,5.00,103,203,NULL,'ESTREITO','FLORIANOPOLIS','SC',669,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2048507,1.00,5.00,1.00,5.00,4.00,5.00,4.00,2.00,2.00,207,420,201,'FIGUEIRA','URUSSANGA','SC',21329,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(15,2048515,6.00,7.00,6.00,8.00,7.00,6.25,6.00,6.00,6.00,207,NULL,211,'JOAO PAULO','FLORIANOPOLIS','SC',3106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048523,5.00,6.00,6.00,8.00,9.00,5.00,8.00,7.00,5.00,326,327,NULL,'JARDIM SATÉLITE','SAO JOSE DOS CAMPOS','SP',2915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048531,1.00,3.00,1.00,5.00,5.00,3.00,3.00,3.00,2.00,415,451,NULL,'ITACORUBI','FLORIANOPOLIS','SC',22392,565,308,NULL,NULL,NULL,NULL,2,1),(15,2048540,1.00,3.00,1.00,4.00,3.00,NULL,1.00,2.00,2.00,108,333,NULL,'BARRA SECA','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2048558,5.00,7.00,6.00,7.00,9.00,6.00,6.00,5.00,4.00,103,108,NULL,'ROÇADO','SAO JOSE','SC',5100,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2048566,4.00,8.00,4.00,8.00,7.00,6.50,5.00,6.00,4.00,108,103,NULL,'JARDIM YPÊ','FOZ DO IGUACU','PR',6560,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2048574,3.00,6.00,1.00,5.00,7.00,6.00,1.00,2.00,1.00,9,420,NULL,'PANTANAL','FLORIANOPOLIS','SC',19091,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2048582,6.00,9.00,6.00,5.00,8.00,6.00,9.00,6.00,3.00,238,327,201,'CENTRO','CRICIUMA','SC',3788,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2048590,6.00,8.00,1.00,7.00,8.00,6.25,4.00,5.00,4.00,303,415,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',8330,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2048604,5.00,9.00,8.00,7.00,8.00,5.00,8.00,8.00,3.00,103,207,NULL,'AGUA VERDE','CURITIBA','PR',2435,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(15,2048612,3.00,7.00,2.00,4.00,5.00,5.25,2.00,4.00,2.00,103,108,NULL,'SÃO PAULO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2048620,3.00,5.00,4.00,6.00,7.00,3.50,7.00,6.00,1.00,207,420,NULL,'JARDIM NOVO OASIS','MARINGA','PR',12039,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2048639,5.00,4.00,4.00,1.00,7.00,6.25,2.00,5.00,3.00,5,415,NULL,'SANTA TEREZINHA','GASPAR','SC',15552,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2048647,8.00,7.00,9.00,8.00,8.00,7.50,9.00,6.00,7.00,201,212,233,'SÃO JOÃO','ITAJAI','SC',749,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2048663,6.00,4.00,9.00,0.00,5.00,5.25,8.00,6.00,5.00,203,225,201,'NOVA DESCOBERTA','TIJUCAS','SC',8059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048671,5.00,7.00,3.00,7.00,7.00,7.00,6.00,6.00,2.00,450,415,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',7528,78,638,NULL,NULL,NULL,NULL,3,1),(15,2048680,1.00,5.00,3.00,1.00,6.00,5.50,2.00,4.00,5.00,207,420,201,'ESCOLAR','SALTO VELOSO','SC',19744,929,873,1038,NULL,NULL,NULL,4,7),(15,2048698,4.00,7.00,6.00,1.00,4.00,6.00,5.00,4.00,4.00,102,501,NULL,'BAIRRO ALTO','CURITIBA','PR',12482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048701,5.00,7.00,4.00,9.00,7.00,7.75,6.00,5.00,5.00,103,319,NULL,'ASA SUL','BRASILIA','DF',3460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048710,4.00,7.00,7.00,3.00,7.00,6.00,5.00,6.00,3.00,319,214,NULL,'CASA GRANDE','DIADEMA','SP',8371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048728,1.00,5.00,0.00,5.00,3.00,NULL,2.00,4.00,2.00,215,324,211,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2048736,8.00,8.00,8.00,8.00,8.00,6.25,7.00,7.00,6.00,333,404,NULL,'CRUZEIRO DO SUL','CRICIUMA','SC',950,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2048752,3.00,5.00,6.00,5.00,5.00,3.00,6.00,4.00,2.00,103,9,NULL,'NOVA BRASÍLIA','JOINVILLE','SC',14257,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2048760,4.00,7.00,1.00,2.00,7.00,4.00,3.00,6.00,4.00,331,211,NULL,'CORAL','LAGES','SC',15844,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2048779,3.00,7.00,5.00,2.00,6.00,4.25,6.00,5.00,2.00,203,220,214,'NUEVO','DIADEMA','SP',13461,900,735,436,NULL,NULL,NULL,4,1),(15,2048787,2.00,4.00,1.00,3.00,5.00,4.75,3.00,6.00,0.00,316,324,NULL,'CAMPINAS','SAO JOSE','SC',20647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048825,7.00,6.00,8.00,6.00,8.00,6.50,8.00,6.00,6.00,5,316,NULL,'CENTRO','PAPANDUVA','SC',1714,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2048833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JD VITORIA','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2048841,4.00,8.00,6.00,9.00,7.00,5.00,8.00,6.00,4.00,201,224,212,'OFICINAS','TUBARAO','SC',3697,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2048876,0.00,8.00,3.00,4.00,7.00,4.50,4.00,6.00,2.00,316,451,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',15719,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2048884,6.00,7.00,6.00,9.00,8.00,7.00,8.00,6.00,3.00,202,214,213,'PLANALTO DO SOL','SUMARE','SP',3036,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2048922,1.00,6.00,4.00,4.00,4.00,5.00,3.00,7.00,3.00,208,304,238,'CENTRO','CONCORDIA','SC',16675,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2048930,1.00,5.00,4.00,5.00,7.00,4.75,4.00,3.00,2.00,207,425,201,'SERRARIA','SAO JOSE','SC',17615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048949,2.00,4.00,1.00,2.00,7.00,4.75,4.00,4.00,2.00,103,333,NULL,'ESTUDANTES','IPIRA','SC',21030,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2048957,7.00,9.00,9.00,8.00,9.00,6.50,8.00,8.00,8.00,103,203,NULL,'CENTRO','IMBITUBA','SC',170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048973,5.00,7.00,5.00,8.00,8.00,6.25,6.00,6.00,6.00,207,215,201,'CENTRO','CRICIUMA','SC',3929,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2048981,4.00,7.00,6.00,4.00,7.00,6.00,7.00,7.00,3.00,303,318,NULL,'FLORESTA','SAO JOSE','SC',6193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2048990,6.00,7.00,7.00,8.00,8.00,5.25,9.00,3.00,5.00,213,301,208,'JARDIM BONGIOVANI','PRESIDENTE PRUDENTE','SP',3871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049015,8.00,8.00,8.00,9.00,8.00,6.50,8.00,8.00,7.00,303,5,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049031,2.00,7.00,5.00,3.00,6.00,4.75,5.00,5.00,3.00,203,103,214,'SÃO VICENTE DE PAULO','ERECHIM','RS',14014,919,3208,446,NULL,NULL,NULL,4,4),(15,2049040,3.00,3.00,2.00,3.00,2.00,NULL,5.00,4.00,2.00,201,319,212,'CENTRO','SINOP','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,304,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2049066,2.00,6.00,3.00,6.00,6.00,5.00,4.00,5.00,5.00,324,339,NULL,'BARREIROS','FLORIANOPOLIS','SC',14081,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2049074,6.00,8.00,9.00,9.00,7.00,6.75,9.00,8.00,6.00,103,225,NULL,'SANTA PAULA','SAO CAETANO DO SUL','SP',345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049082,5.00,9.00,6.00,7.00,9.00,3.75,8.00,7.00,6.00,5,316,NULL,'NOVA BRASÍLIA','ITAJAI','SC',2521,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2049090,9.00,8.00,8.00,4.00,8.00,5.75,9.00,8.00,8.00,203,208,233,'CENTRO','GRAVATAL','SC',1337,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2049104,8.00,8.00,8.00,9.00,9.00,4.00,9.00,9.00,7.00,103,303,NULL,'ECOLOGIA','SEROPEDICA','RJ',167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049120,3.00,8.00,7.00,7.00,8.00,7.00,6.00,4.00,4.00,103,501,NULL,'VILA FLORESTA','CRICIUMA','SC',5652,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2049139,7.00,7.00,6.00,7.00,6.00,5.00,8.00,7.00,7.00,214,212,NULL,'SUMARÉ','SAO PAULO','SP',2809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049147,5.00,7.00,7.00,6.00,8.00,5.75,6.00,7.00,4.00,317,423,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',3901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2049155,0.00,4.00,5.00,3.00,4.00,5.00,1.00,4.00,3.00,339,316,NULL,'SOCORRO','MOGI DAS CRUZES','SP',20768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049163,8.00,9.00,5.00,7.00,7.00,5.50,7.00,8.00,7.00,103,101,NULL,'FLORESTA','BELO HORIZONTE','MG',1398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049180,5.00,6.00,6.00,4.00,8.00,7.00,8.00,4.00,6.00,104,425,NULL,'TRINDADE','FLORIANOPOLIS','SC',5754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049198,3.00,7.00,2.00,5.00,5.00,7.25,4.00,4.00,3.00,103,421,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049201,4.00,9.00,8.00,8.00,9.00,5.00,9.00,6.00,5.00,208,238,NULL,'VILA PROGRESSO','GUARULHOS','SP',2401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049210,1.00,4.00,0.00,0.00,4.00,NULL,3.00,3.00,2.00,502,108,NULL,'AGUA VERDE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2049228,5.00,7.00,5.00,5.00,8.00,6.50,7.00,6.00,6.00,303,5,NULL,'INGLESES','FLORIANOPOLIS','SC',5521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049236,4.00,9.00,4.00,9.00,9.00,7.00,8.00,7.00,6.00,208,NULL,238,'RIO VERMELHO','FLORIANOPOLIS','SC',2253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049244,4.00,7.00,4.00,2.00,8.00,5.50,6.00,6.00,5.00,207,429,215,'BOM ABRIGO','FLORIANOPOLIS','SC',9145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049252,2.00,6.00,1.00,2.00,7.00,5.00,3.00,3.00,4.00,9,101,NULL,'SANTA MARIA','CHAPECO','SC',19138,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2049260,3.00,8.00,5.00,3.00,5.00,3.50,7.00,5.00,3.00,302,301,NULL,'CUMBICA','GUARULHOS','SP',13139,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2049287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,220,NULL,'CENTRO','SANTO ANTONIO DA PLATINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2049309,3.00,6.00,5.00,6.00,7.00,5.50,3.00,3.00,4.00,215,319,220,'CENTRO','CHAPECO','SC',13019,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2049317,4.00,5.00,5.00,3.00,5.00,5.25,4.00,4.00,2.00,2,216,NULL,'PARQUE BUTURUSSU','SAO PAULO','SP',17270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049325,4.00,9.00,8.00,6.00,8.00,7.25,8.00,5.00,7.00,216,217,215,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',1550,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2049333,3.00,7.00,3.00,5.00,7.00,6.00,4.00,6.00,5.00,103,101,NULL,'SERRARIA','SAO JOSE','SC',10359,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2049341,7.00,7.00,5.00,8.00,7.00,7.50,9.00,8.00,5.00,319,327,NULL,'AZENHA','PORTO ALEGRE','RS',1278,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2049350,2.00,4.00,6.00,7.00,8.00,3.50,5.00,5.00,3.00,202,213,201,'TRINDADE','FLORIANOPOLIS','SC',11601,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2049368,4.00,8.00,6.00,6.00,7.00,3.75,7.00,6.00,4.00,201,216,207,'BARREIROS','SAO JOSE','SC',7184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2049376,1.00,4.00,4.00,4.00,4.00,4.50,3.00,6.00,2.00,317,318,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',19734,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2049384,0.00,5.00,0.00,3.00,6.00,4.75,5.00,3.00,1.00,302,304,NULL,'TRINDADE','FLORIANOPOLIS','SC',21405,194,442,NULL,NULL,NULL,NULL,2,1),(15,2049392,5.00,8.00,5.00,7.00,6.00,6.75,5.00,6.00,6.00,331,NULL,NULL,'SANTA TERESA','PORTO ALEGRE','RS',5009,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2049406,2.00,5.00,4.00,2.00,5.00,3.75,5.00,4.00,2.00,444,404,NULL,'CENTRO','PINHALZINHO','SC',20034,244,473,NULL,NULL,NULL,NULL,4,4),(15,2049414,5.00,7.00,4.00,6.00,8.00,5.50,8.00,7.00,6.00,103,108,NULL,'VILA NOVA','BLUMENAU','SC',4178,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2049430,7.00,6.00,5.00,8.00,9.00,6.75,6.00,7.00,3.00,104,333,NULL,'SANTA CRUZ','CONCORDIA','SC',3699,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2049449,3.00,8.00,3.00,4.00,7.00,5.50,4.00,5.00,3.00,108,326,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',13291,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2049457,5.00,8.00,7.00,3.00,5.00,0.00,8.00,3.00,5.00,203,201,220,'CENTRO','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2049465,4.00,7.00,4.00,3.00,7.00,5.25,7.00,6.00,1.00,5,303,NULL,'GLORIA','JOINVILLE','SC',10395,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2049473,8.00,8.00,6.00,6.00,6.00,4.75,7.00,8.00,4.00,103,104,NULL,'NOVO MINAS GERAIS','CAMPO GRANDE','MS',3535,1152,877,NULL,NULL,NULL,NULL,4,1),(15,2049481,4.00,6.00,4.00,6.00,6.00,6.00,6.00,6.00,3.00,211,501,215,'JARDIM ITALIA','MELEIRO','SC',8921,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2049503,2.00,6.00,3.00,3.00,6.00,2.50,2.00,6.00,1.00,213,208,202,'BELA VISTA II','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2049511,3.00,7.00,3.00,6.00,7.00,5.25,5.00,4.00,2.00,319,9,NULL,'CENTRO','FLORIANOPOLIS','SC',13651,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2049520,6.00,8.00,4.00,5.00,7.00,5.00,5.00,6.00,5.00,103,451,NULL,'VILA MOEMA','TUBARAO','SC',6942,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2049538,7.00,8.00,7.00,5.00,7.00,6.00,8.00,6.00,8.00,216,211,233,'GUANABARA','JOINVILLE','SC',2770,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2049546,2.00,6.00,4.00,6.00,8.00,6.25,4.00,6.00,4.00,316,2,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',8713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049554,1.00,6.00,5.00,7.00,5.00,6.50,1.00,5.00,2.00,211,108,201,'MAR GROSSO','LAGUNA','SC',15408,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2049562,7.00,8.00,6.00,7.00,7.00,6.25,5.00,4.00,4.00,319,427,NULL,'JUVENTUDE','BENTO GONCALVES','RS',5186,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2049570,4.00,7.00,6.00,8.00,7.00,7.50,7.00,6.00,3.00,319,329,NULL,'CENTRO','SAO BERNARDO DO CAMPO','SP',4317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049589,2.00,8.00,8.00,4.00,4.00,5.75,8.00,4.00,3.00,211,220,NULL,'CENTRO','PARANAGUA','PR',9611,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2049597,4.00,7.00,5.00,2.00,5.00,6.00,6.00,3.00,2.00,203,214,NULL,'MINA BRASIL','CRICIUMA','SC',13863,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2049600,3.00,9.00,7.00,6.00,9.00,7.50,6.00,7.00,5.00,303,326,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',2739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049619,2.00,6.00,4.00,3.00,5.00,5.00,5.00,5.00,3.00,303,5,NULL,'SAO FRANCISCO','VALINHOS','SP',15960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'USINA SANTA ADÉLIA','JABOTICABAL','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2049643,3.00,5.00,3.00,7.00,8.00,5.50,3.00,3.00,4.00,333,423,NULL,'CAMPINAS','SAO JOSE','SC',12904,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2049651,3.00,6.00,3.00,4.00,5.00,6.50,3.00,4.00,1.00,202,201,203,'JARDIM VISTA ALEGRE','SAO PAULO','SP',17683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049660,1.00,3.00,4.00,4.00,4.00,5.75,5.00,5.00,5.00,216,201,NULL,'JARDIM UMARIZAL','SAO PAULO','SP',16665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049678,3.00,7.00,1.00,7.00,7.00,6.75,3.00,5.00,2.00,217,215,NULL,'PRIMEIRO DE MAIO','FARROUPILHA','RS',12912,102,547,NULL,NULL,NULL,NULL,2,1),(15,2049686,2.00,6.00,5.00,4.00,7.00,6.75,5.00,7.00,6.00,216,213,233,'CENTRO','CONCORDIA','SC',8293,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2049694,3.00,6.00,4.00,3.00,6.00,5.75,2.00,3.00,3.00,108,333,NULL,'ESTREITO','FLORIANOPOLIS','SC',17815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2049708,1.00,1.00,1.00,0.00,1.00,NULL,2.00,1.00,4.00,317,224,NULL,'PASSA VINTE','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2049716,1.00,4.00,3.00,4.00,6.00,5.25,2.00,5.00,2.00,301,428,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',20387,343,244,NULL,NULL,NULL,NULL,2,1),(15,2049724,3.00,5.00,2.00,1.00,1.00,NULL,3.00,4.00,2.00,208,NULL,220,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2049732,3.00,7.00,1.00,3.00,5.00,5.25,3.00,3.00,5.00,216,217,233,'VILA LUZITA','SANTO ANDRE','SP',16919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049740,8.00,8.00,9.00,5.00,7.00,4.50,7.00,5.00,7.00,203,201,214,'JARDIM SOFIA','JOINVILLE','SC',2813,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2049759,4.00,5.00,1.00,2.00,6.00,4.75,4.00,4.00,2.00,316,333,NULL,'LISBOA FORQUILHAS','SAO JOSE','SC',19761,593,983,NULL,NULL,NULL,NULL,4,1),(15,2049767,2.00,3.00,5.00,0.00,5.00,4.75,3.00,3.00,3.00,203,301,220,'CENTRO','SANTA FE DO SUL','SP',21217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049775,2.00,6.00,4.00,2.00,6.00,3.00,3.00,4.00,3.00,203,316,NULL,'MATO ALTO','ARARANGUA','SC',19707,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2049783,1.00,6.00,3.00,5.00,6.00,4.50,5.00,6.00,0.00,103,425,NULL,'CENTRO','FLORIANOPOLIS','SC',16633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049791,7.00,9.00,10.00,8.00,10.00,7.00,8.00,9.00,8.00,203,NULL,214,'ANITA GARIBALDI','JOINVILLE','SC',138,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2049805,5.00,8.00,5.00,9.00,9.00,7.00,5.00,6.00,4.00,108,225,NULL,'JARDIM ATLÂNICO','FLORIANOPOLIS','SC',4048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049813,6.00,8.00,3.00,3.00,6.00,5.75,2.00,5.00,4.00,217,202,NULL,'JARDIM TAROBÁ','FOZ DO IGUACU','PR',10726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049830,9.00,8.00,8.00,7.00,8.00,6.75,7.00,7.00,7.00,103,303,NULL,'BOM RETIRO','BLUMENAU','SC',692,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2049848,4.00,5.00,4.00,8.00,7.00,5.75,4.00,7.00,2.00,304,310,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049856,2.00,8.00,7.00,4.00,7.00,5.75,4.00,4.00,3.00,319,420,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',11272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049864,2.00,7.00,5.00,4.00,5.00,NULL,3.00,6.00,0.00,333,501,NULL,'ZONA INDUSTRIAL NORT','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2049872,2.00,4.00,2.00,0.00,6.00,5.00,3.00,2.00,3.00,104,103,NULL,'PRAIA DOS AMORES','BALNEARIO CAMBORIU','SC',21719,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2049880,5.00,8.00,1.00,3.00,8.00,6.75,6.00,6.00,2.00,320,327,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',9075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049899,3.00,8.00,2.00,0.00,0.00,NULL,7.00,6.00,3.00,303,5,NULL,'CENTRO','CAMPO NOVO DO PARECIS','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2049910,3.00,6.00,0.00,3.00,5.00,NULL,3.00,3.00,3.00,234,444,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049945,3.00,2.00,2.00,2.00,5.00,4.75,4.00,2.00,4.00,316,425,NULL,'BIGORRILHO','CURITIBA','PR',21285,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2049953,4.00,7.00,8.00,6.00,6.00,5.00,7.00,7.00,5.00,304,318,NULL,'PARAISO','SAO PAULO','SP',4534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2049961,2.00,5.00,0.00,6.00,7.00,6.00,5.00,2.00,3.00,104,333,NULL,'CENTRO','PALMITOS','SC',17309,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2049970,8.00,8.00,9.00,8.00,8.00,8.50,8.00,7.00,7.00,203,502,233,'CENTRO','JAGUARUNA','SC',553,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2049988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA QUATRO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2049996,2.00,8.00,5.00,4.00,7.00,5.00,6.00,5.00,3.00,501,103,NULL,'INDUSTRIAL','FRANCISCO BELTRAO','PR',11245,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2050005,3.00,6.00,5.00,3.00,6.00,5.00,6.00,4.00,5.00,208,203,214,'JD PAULISTA','SAO PAULO','SP',12247,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2050021,6.00,7.00,8.00,9.00,9.00,7.50,8.00,7.00,5.00,451,328,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',1181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2050030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,NULL,'FABRÍCIO','UBERABA','MG',NULL,NULL,NULL,NULL,'S','S','S',3,1),(15,2050048,6.00,7.00,5.00,0.00,6.00,5.75,6.00,5.00,6.00,103,101,NULL,'JARDIM AYMARÁ','PRESIDENTE EPITACIO','SP',8538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2050080,7.00,9.00,8.00,8.00,8.00,7.00,9.00,6.00,8.00,212,214,201,'CENTRO','RIBEIRAO PRETO','SP',437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2050099,6.00,8.00,5.00,5.00,5.00,4.75,8.00,7.00,6.00,108,102,NULL,'JARDIM ITÁLIA','ITAPETININGA','SP',4706,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2050102,3.00,8.00,4.00,4.00,5.00,5.50,4.00,6.00,4.00,104,444,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',12645,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2050110,4.00,8.00,5.00,7.00,8.00,4.25,8.00,5.00,3.00,102,324,NULL,'CENTRO','FLORIANOPOLIS','SC',5704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2050137,4.00,6.00,1.00,6.00,6.00,5.00,4.00,3.00,3.00,103,104,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',16097,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2050145,7.00,8.00,8.00,8.00,9.00,5.50,9.00,8.00,6.00,103,303,NULL,'CENTRO','TUBARAO','SC',704,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2050153,0.00,5.00,3.00,3.00,5.00,3.25,5.00,3.00,4.00,233,9,214,'BAL ARROIO CORRENTE','JAGUARUNA','SC',20313,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2050161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,502,NULL,'SUMARÉ','RIO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',1,9),(15,2050170,7.00,6.00,8.00,8.00,6.00,5.75,8.00,5.00,7.00,103,215,NULL,'JD DAS PAINEIRAS','BRAGANCA PAULISTA','SP',2496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2050188,3.00,7.00,7.00,5.00,7.00,5.50,6.00,7.00,7.00,207,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',6083,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2050196,3.00,8.00,5.00,8.00,8.00,6.25,9.00,8.00,3.00,238,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',3141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2050218,5.00,7.00,5.00,3.00,7.00,5.00,6.00,6.00,4.00,214,302,233,'CENTRO','TURVO','SC',9088,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2050226,3.00,6.00,5.00,3.00,4.00,4.00,3.00,2.00,3.00,203,NULL,214,'VILA MADALENA','SAO PAULO','SP',19550,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2050234,5.00,6.00,3.00,1.00,6.00,5.50,5.00,5.00,2.00,103,104,NULL,'CAPAO DA IMBUIA','CURITIBA','PR',14843,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2050242,6.00,7.00,8.00,6.00,9.00,5.25,8.00,7.00,6.00,207,224,201,'CENTRO','FLORIANOPOLIS','SC',1773,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2050269,5.00,7.00,9.00,3.00,8.00,6.50,8.00,7.00,7.00,203,202,216,'HORTO FLORESTAL','SALVADOR','BA',2333,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2050277,2.00,2.00,0.00,2.00,4.00,NULL,2.00,2.00,4.00,308,339,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2050285,3.00,7.00,0.00,6.00,7.00,6.50,4.00,5.00,3.00,303,5,NULL,'CENTRO','CRICIUMA','SC',13438,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2050293,3.00,5.00,2.00,6.00,6.00,5.00,3.00,6.00,4.00,217,216,NULL,'CENTRO','SOMBRIO','SC',14768,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2050307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2050315,1.00,5.00,5.00,4.00,7.00,5.75,4.00,6.00,4.00,303,333,NULL,'CENTRO','TUBARAO','SC',12842,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2050323,2.00,4.00,3.00,3.00,6.00,4.50,2.00,3.00,1.00,302,301,NULL,'FORQUILHAS','SAO JOSE','SC',21601,197,852,NULL,NULL,NULL,NULL,4,1),(15,2050331,3.00,2.00,6.00,7.00,8.00,5.50,4.00,3.00,2.00,104,2,NULL,'INTERIOR','FLORES DA CUNHA','RS',13778,452,203,NULL,NULL,NULL,NULL,2,1),(15,2050358,4.00,4.00,3.00,7.00,8.00,5.50,3.00,4.00,3.00,444,426,NULL,'SERRARIA','SAO JOSE','SC',13157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2050366,6.00,7.00,5.00,8.00,8.00,5.25,6.00,4.00,3.00,420,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',5903,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2050390,7.00,5.00,8.00,7.00,7.00,3.25,8.00,5.00,6.00,216,215,212,'SETOR H','ALTA FLORESTA','MT',4262,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2050404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'CENTRO','BARRACAO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2050412,6.00,7.00,9.00,8.00,9.00,5.50,9.00,6.00,7.00,103,104,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',1036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2050420,3.00,4.00,3.00,3.00,4.00,5.25,4.00,5.00,1.00,103,102,NULL,'BOMBAS','BOMBINHAS','SC',19830,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2050439,4.00,8.00,3.00,7.00,7.00,4.75,4.00,6.00,2.00,207,320,NULL,'CENTRO','IMBITUBA','SC',9885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2050455,8.00,8.00,8.00,9.00,7.00,6.75,9.00,8.00,8.00,203,2,220,'CHÁCARA DO OURO','MOGI GUACU','SP',141,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2050463,6.00,7.00,5.00,4.00,8.00,7.25,5.00,5.00,5.00,207,424,233,'CARIANOS','FLORIANOPOLIS','SC',6603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2050480,7.00,8.00,5.00,8.00,8.00,6.50,8.00,8.00,5.00,415,5,NULL,'GUAXUMA','MACEIO','AL',1966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2050498,2.00,7.00,2.00,6.00,8.00,6.75,4.00,6.00,1.00,501,333,NULL,'CENTRO','FLORIANOPOLIS','SC',11125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2050501,6.00,7.00,6.00,5.00,7.00,5.00,6.00,7.00,2.00,103,203,NULL,'PROGRESSO','LAGUNA','SC',7234,1804,1323,NULL,NULL,NULL,NULL,4,10),(15,2050510,4.00,6.00,2.00,1.00,4.00,4.25,5.00,2.00,1.00,108,203,NULL,'INDEPENDENCIA','PORTO ALEGRE','RS',20534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2050528,4.00,6.00,2.00,7.00,8.00,6.25,6.00,5.00,6.00,103,NULL,NULL,'OLARIAS','PONTA GROSSA','PR',7575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2050536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'CENTRO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2050544,8.00,8.00,5.00,6.00,8.00,6.00,7.00,7.00,6.00,316,339,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',2409,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2050579,2.00,3.00,2.00,6.00,4.00,NULL,0.00,0.00,0.00,301,316,NULL,'VILA EMA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2050617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'JARDIM BOURBON','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2050633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2050641,4.00,8.00,7.00,8.00,7.00,6.75,7.00,6.00,5.00,420,207,NULL,'AMERICANO','LAJEADO','RS',3265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2050668,3.00,4.00,6.00,6.00,9.00,8.00,5.00,8.00,7.00,216,217,233,'SÃO PEDRO','ESTACAO','RS',4456,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2050676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,216,NULL,'LIMOEIRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2050684,3.00,7.00,4.00,0.00,6.00,NULL,7.00,8.00,3.00,222,208,NULL,'ACLIMAÇÃO','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2050692,5.00,7.00,8.00,6.00,8.00,7.50,7.00,7.00,7.00,103,429,NULL,'ATIRADORES','JOINVILLE','SC',1932,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2050706,2.00,5.00,6.00,3.00,6.00,6.00,6.00,5.00,3.00,202,211,220,'CENTRO','ITAPORA','MS',13084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2050714,3.00,2.00,0.00,3.00,3.00,NULL,1.00,3.00,2.00,103,101,NULL,'DAS NAÇÕES','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2050722,4.00,8.00,4.00,4.00,6.00,5.00,5.00,4.00,3.00,207,333,208,'JOÃO PAULO','FLORIANOPOLIS','SC',12326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2050730,2.00,5.00,4.00,1.00,5.00,6.25,4.00,4.00,3.00,103,9,NULL,'JARDIM ALVORADA','SAO CARLOS','SC',17670,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2050765,5.00,8.00,3.00,4.00,7.00,4.50,7.00,6.00,3.00,303,5,NULL,'SÃO JOÃO','ITAJAI','SC',8452,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2050773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'ZONA SETE','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2050790,7.00,8.00,10.00,7.00,8.00,7.00,9.00,7.00,9.00,203,211,214,'ZONA CINCO','MARINGA','PR',216,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2050803,3.00,4.00,2.00,1.00,4.00,4.25,3.00,5.00,1.00,333,NULL,NULL,'CHACARA FABIANA','BIGUACU','SC',22304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2050820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,102,NULL,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2050838,7.00,9.00,7.00,8.00,8.00,5.75,8.00,8.00,8.00,319,316,NULL,'PORTAO','CURITIBA','PR',637,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2050846,5.00,4.00,7.00,8.00,7.00,6.50,2.00,5.00,4.00,317,224,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',9239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2050854,7.00,7.00,4.00,3.00,7.00,5.75,6.00,6.00,4.00,103,101,NULL,'JARDIM MORRO VERDE','SAO PAULO','SP',6920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2050862,2.00,4.00,3.00,5.00,4.00,2.50,4.00,3.00,2.00,213,102,238,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2050870,9.00,7.00,7.00,6.00,8.00,4.75,5.00,6.00,6.00,103,101,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',3325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2050889,2.00,4.00,3.00,7.00,6.00,5.25,3.00,3.00,3.00,333,108,NULL,'ROÇADO','SAO JOSE','SC',18881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2050897,7.00,8.00,7.00,6.00,8.00,4.25,8.00,7.00,7.00,103,333,NULL,'ASA SUL','BRASILIA','DF',2772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2050900,5.00,6.00,5.00,7.00,9.00,7.00,8.00,7.00,8.00,103,104,NULL,'VALE SAN FERNANDO','LONDRINA','PR',1896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2050919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,319,NULL,'PETRÓPOLIS','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2050927,3.00,6.00,1.00,5.00,5.00,6.00,3.00,2.00,2.00,211,501,215,'VILA NOVA','IMBITUBA','SC',19619,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2050935,0.00,6.00,2.00,3.00,6.00,4.00,4.00,4.00,2.00,404,333,NULL,'ESTREITO','FLORIANOPOLIS','SC',19833,198,985,NULL,NULL,NULL,NULL,4,1),(15,2050951,1.00,2.00,3.00,2.00,2.00,NULL,3.00,1.00,4.00,304,318,NULL,'VALPARAISO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2050960,7.00,6.00,8.00,9.00,9.00,5.00,5.00,8.00,5.00,103,9,NULL,'CENTRO','RIO FORTUNA','SC',1662,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2050986,1.00,4.00,4.00,1.00,6.00,5.50,4.00,7.00,3.00,327,415,NULL,'CENTRO','CANOINHAS','SC',17568,141,771,NULL,NULL,NULL,NULL,4,8),(15,2050994,3.00,7.00,8.00,6.00,6.00,6.50,7.00,4.00,3.00,207,215,201,'NOSSA SENHORA APAREC','FRANCISCO BELTRAO','PR',6925,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2051001,2.00,5.00,1.00,3.00,4.00,4.50,1.00,4.00,3.00,332,327,NULL,'BELA VISTA','PALHOCA','SC',22240,151,483,NULL,NULL,NULL,NULL,2,1),(15,2051010,2.00,3.00,1.00,7.00,5.00,5.50,3.00,4.00,2.00,5,339,NULL,'PICADAS DO SUL','SAO JOSE','SC',18723,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2051028,4.00,7.00,6.00,7.00,6.00,6.25,5.00,6.00,5.00,208,333,238,'BRASÍLIA','PATO BRANCO','PR',6133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051036,2.00,3.00,3.00,4.00,5.00,5.50,4.00,3.00,2.00,102,425,NULL,'CENTRO','SEARA','SC',20845,476,426,NULL,NULL,NULL,NULL,4,4),(15,2051044,6.00,8.00,7.00,8.00,8.00,7.25,7.00,7.00,4.00,103,319,NULL,'HORTO FLORESTAL','SALVADOR','BA',1331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'REGIÃO LAGO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2051079,4.00,7.00,7.00,6.00,5.00,5.75,6.00,5.00,4.00,202,203,201,'CENTRO','POMERODE','SC',7308,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2051087,4.00,7.00,3.00,6.00,8.00,6.75,6.00,6.00,4.00,207,424,215,'BALNEÁRIO','FLORIANOPOLIS','SC',6771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2051095,4.00,5.00,4.00,6.00,5.00,5.00,4.00,4.00,2.00,211,201,207,'CENTRO','NAVIRAI','MS',15961,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2051109,3.00,7.00,4.00,3.00,7.00,5.25,5.00,5.00,4.00,316,301,NULL,'AMÉRICA','JOINVILLE','SC',12695,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2051125,3.00,8.00,4.00,2.00,7.00,5.75,6.00,5.00,7.00,103,NULL,NULL,'MORUMBI SUL','SAO PAULO','SP',8517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051141,5.00,8.00,4.00,5.00,6.00,6.00,7.00,8.00,5.00,415,303,NULL,'NOVA BRASÍLIA','JARAGUA DO SUL','SC',4426,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2051150,2.00,2.00,1.00,4.00,3.00,6.50,3.00,4.00,3.00,423,327,428,'FAZENDA STO ANTONIO','SAO JOSE','SC',21866,110,480,101,NULL,NULL,NULL,2,1),(15,2051168,1.00,8.00,5.00,4.00,7.00,6.75,4.00,6.00,4.00,5,NULL,NULL,'N SEN DO ROSÁRIO','SAO JOSE','SC',11052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051176,5.00,4.00,5.00,4.00,8.00,5.25,4.00,5.00,3.00,303,212,NULL,'CENTRO','CORUPA','SC',11428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2051184,2.00,5.00,2.00,4.00,4.00,5.50,5.00,3.00,4.00,207,404,NULL,'CARIANOS','FLORIANOPOLIS','SC',19159,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2051192,5.00,4.00,5.00,5.00,6.00,4.50,7.00,5.00,3.00,208,NULL,238,'PASSA VINTE','PALHOCA','SC',11618,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2051206,4.00,8.00,7.00,7.00,8.00,5.25,6.00,7.00,4.00,302,301,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',3795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051222,5.00,5.00,7.00,6.00,9.00,4.50,6.00,5.00,5.00,104,102,NULL,'CENTRO','GUARACIABA','SC',6353,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2051230,2.00,3.00,1.00,3.00,6.00,3.75,3.00,4.00,4.00,319,404,NULL,'GUARDA DO EMBAÚ','PALHOCA','SC',20697,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2051249,6.00,8.00,9.00,7.00,8.00,6.00,9.00,7.00,9.00,203,216,202,'PETRÓPOLIS','JOINVILLE','SC',463,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2051257,2.00,6.00,2.00,4.00,7.00,5.25,3.00,5.00,2.00,301,316,NULL,'MONTE CASTELO','SAO JOSE DOS CAMPOS','SP',16444,273,1097,NULL,NULL,NULL,NULL,2,1),(15,2051265,3.00,5.00,9.00,7.00,4.00,5.50,7.00,7.00,2.00,220,201,202,'CONTA DINHEIRO','LAGES','SC',8802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051273,5.00,9.00,8.00,7.00,9.00,6.00,9.00,9.00,4.00,301,316,NULL,'CENTRO','APARECIDA','SP',1234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051281,1.00,5.00,1.00,6.00,4.00,4.50,1.00,5.00,1.00,108,333,NULL,'SANTA FÉ','CAXIAS DO SUL','RS',21383,470,1050,NULL,NULL,NULL,NULL,2,1),(15,2051303,1.00,5.00,3.00,5.00,3.00,5.00,1.00,2.00,2.00,5,415,NULL,'MORRETES','ITAPEMA','SC',22017,899,839,NULL,NULL,NULL,NULL,2,3),(15,2051320,8.00,7.00,6.00,8.00,8.00,7.25,7.00,8.00,5.00,103,211,NULL,'PETROPOLIS','PORTO ALEGRE','RS',1383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051338,1.00,6.00,3.00,4.00,8.00,5.00,4.00,5.00,2.00,308,339,NULL,'COSTEIRA','FLORIANOPOLIS','SC',15127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051346,6.00,8.00,8.00,8.00,8.00,5.75,6.00,8.00,5.00,303,5,NULL,'OESTE','GOIANIA','GO',1432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051354,6.00,8.00,8.00,8.00,7.00,7.50,8.00,6.00,6.00,103,108,NULL,'ÁGUA VERDE','CURITIBA','PR',2147,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2051362,7.00,8.00,8.00,5.00,8.00,6.75,7.00,8.00,5.00,103,319,NULL,'CENTRO','XANXERE','SC',1866,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2051370,1.00,5.00,2.00,5.00,6.00,4.50,1.00,3.00,2.00,104,103,NULL,'BOM JESUS I','RIO DAS PEDRAS','SP',20928,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2051389,1.00,6.00,2.00,3.00,5.00,2.50,3.00,5.00,3.00,326,331,NULL,'N SEN DO ROSÁRIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2051397,4.00,6.00,4.00,1.00,6.00,5.75,4.00,4.00,3.00,103,NULL,NULL,'CENTRO','TENENTE PORTELA','RS',16290,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2051400,2.00,2.00,0.00,3.00,6.00,NULL,3.00,2.00,1.00,302,301,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2051419,3.00,6.00,2.00,0.00,6.00,4.75,4.00,4.00,2.00,318,444,NULL,'CENTRO','BALNEARIO BARRA DO SUL','SC',18452,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2051435,4.00,8.00,4.00,6.00,7.00,5.75,3.00,4.00,5.00,301,223,NULL,'CENTRO','GAROPABA','SC',9442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051451,4.00,3.00,4.00,5.00,7.00,5.50,4.00,2.00,3.00,316,NULL,NULL,'BARREIROS','SAO JOSE','SC',16705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2051478,4.00,5.00,3.00,7.00,3.00,5.25,3.00,6.00,2.00,429,327,425,'SACO GRANDE','FLORIANOPOLIS','SC',14537,75,362,96,NULL,NULL,NULL,4,1),(15,2051486,3.00,8.00,9.00,1.00,4.00,4.25,3.00,6.00,4.00,223,222,NULL,'PICADAS DO SUL','SAO JOSE','SC',13498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051494,3.00,3.00,1.00,2.00,6.00,NULL,2.00,4.00,0.00,310,303,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051508,7.00,6.00,7.00,6.00,9.00,6.00,9.00,7.00,8.00,103,217,NULL,'CENTRO','CURITIBA','PR',1148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051524,1.00,4.00,2.00,2.00,3.00,4.50,3.00,2.00,4.00,333,108,NULL,'VILA MATILDE','FOZ DO IGUACU','PR',22242,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2051532,4.00,7.00,6.00,5.00,5.00,5.75,5.00,3.00,4.00,224,201,NULL,'BOMBAS','BOMBINHAS','SC',10196,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2051540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,304,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2051559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2051567,5.00,8.00,7.00,5.00,7.00,7.00,8.00,8.00,8.00,5,318,NULL,'CIDADE BAIXA','PORTO ALEGRE','RS',1653,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2051583,2.00,4.00,3.00,2.00,2.00,NULL,3.00,3.00,2.00,102,217,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051591,4.00,7.00,2.00,2.00,7.00,5.75,3.00,6.00,2.00,428,427,426,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',15095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051605,3.00,5.00,4.00,6.00,4.00,3.25,2.00,6.00,4.00,339,444,NULL,'BOSQUE DOS EUCALIPTO','SAO JOSE DOS CAMPOS','SP',15343,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2051613,2.00,5.00,1.00,7.00,6.00,4.50,4.00,3.00,3.00,420,207,NULL,'VILA NOVA','GOIANIA','GO',18303,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2051621,4.00,8.00,6.00,6.00,7.00,5.50,7.00,8.00,5.00,428,NULL,426,'TRINDADE','FLORIANOPOLIS','SC',3588,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2051630,5.00,8.00,5.00,8.00,7.00,7.50,7.00,8.00,5.00,103,319,NULL,'SERRA','BELO HORIZONTE','MG',3118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051648,3.00,5.00,3.00,2.00,3.00,4.50,3.00,3.00,2.00,308,404,NULL,'AREIAS','SAO JOSE','SC',21983,216,518,NULL,NULL,NULL,NULL,2,1),(15,2051656,1.00,7.00,2.00,1.00,5.00,5.75,3.00,5.00,1.00,415,429,NULL,'ZIMBROS','BOMBINHAS','SC',20855,531,300,NULL,NULL,NULL,NULL,2,1),(15,2051664,3.00,5.00,1.00,3.00,3.00,5.75,3.00,3.00,1.00,301,9,NULL,'FAZENDA DO MAX','SAO JOSE','SC',22259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,216,NULL,'GIULIANO','ADAMANTINA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2051729,3.00,6.00,4.00,2.00,6.00,3.50,4.00,3.00,2.00,207,NULL,201,'INTERLAGOS','SAO PAULO','SP',20218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051737,3.00,6.00,5.00,5.00,7.00,6.00,4.00,2.00,5.00,9,211,NULL,'CENTRO','COCAL DO SUL','SC',12167,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2051753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2051761,5.00,9.00,7.00,5.00,8.00,5.75,9.00,9.00,8.00,203,202,220,'INGLESES','FLORIANOPOLIS','SC',1329,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2051788,3.00,6.00,3.00,3.00,6.00,4.00,5.00,5.00,1.00,327,329,NULL,'VARGINHA','SANTO AMARO DA IMPERATRIZ','SC',16858,126,208,NULL,NULL,NULL,NULL,4,1),(15,2051796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'LAGO NORTE','LAGO NORTE','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2051800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAROLINA','RIO VERDE','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2051818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,211,214,'VALPARAISO','SANTO ANDRE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2051826,6.00,7.00,2.00,3.00,7.00,5.00,6.00,5.00,2.00,333,NULL,NULL,'PQUE N SRA GRAÇAS','PONTA GROSSA','PR',12906,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2051834,3.00,8.00,3.00,2.00,8.00,6.00,4.00,5.00,4.00,108,319,NULL,'CHICO DE PAULA','JARAGUA DO SUL','SC',12511,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2051850,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,324,318,NULL,'PÂNTANO DO SUL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2051869,2.00,5.00,2.00,5.00,4.00,6.50,3.00,5.00,4.00,108,319,NULL,'CENTRO','ERECHIM','RS',17126,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2051877,4.00,7.00,4.00,7.00,6.00,6.25,7.00,8.00,4.00,415,331,NULL,'MICHEL','CRICIUMA','SC',5568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051885,7.00,8.00,8.00,8.00,8.00,6.00,9.00,8.00,6.00,5,424,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',1045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051893,5.00,7.00,6.00,7.00,9.00,5.75,6.00,5.00,4.00,104,308,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',5844,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2051907,8.00,9.00,8.00,10.00,8.00,5.75,9.00,6.00,8.00,103,201,NULL,'LAGO SUL','LAGO SUL','DF',319,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2051940,1.00,7.00,4.00,7.00,6.00,7.25,3.00,6.00,3.00,428,424,425,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',10163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2051958,0.00,0.00,0.00,7.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELVEDERE','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2051966,4.00,6.00,7.00,6.00,6.00,6.75,6.00,4.00,5.00,211,501,201,'CENTRO','SAO MIGUEL DOESTE','SC',6756,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2051974,7.00,8.00,7.00,8.00,7.00,6.50,7.00,7.00,5.00,216,217,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',1672,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2051990,3.00,3.00,3.00,5.00,7.00,6.50,6.00,3.00,4.00,225,233,NULL,'INGLESES','FLORIANOPOLIS','SC',13329,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2052008,4.00,6.00,4.00,5.00,8.00,5.75,4.00,4.00,3.00,101,108,NULL,'ITACORUBI','FLORIANOPOLIS','SC',11186,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2052016,4.00,7.00,6.00,7.00,9.00,6.50,6.00,6.00,6.00,303,326,NULL,'VILA MARIANA','GARCA','SP',3238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052032,7.00,8.00,6.00,8.00,8.00,4.50,7.00,7.00,4.00,201,NULL,212,'VILA ESPERANÇA','SAO PAULO','SP',3855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052040,5.00,4.00,6.00,0.00,6.00,5.75,4.00,6.00,4.00,103,108,NULL,'JARDIM HIGIANÓPLIS','PARANAVAI','PR',12921,2438,780,NULL,NULL,NULL,NULL,4,1),(15,2052059,8.00,9.00,9.00,9.00,7.00,7.25,9.00,8.00,8.00,203,420,212,'BOA VISTA','JOINVILLE','SC',59,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2052067,5.00,7.00,3.00,4.00,8.00,5.50,5.00,5.00,4.00,404,332,NULL,'TRINDADE','FLORIANOPOLIS','SC',9564,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2052075,6.00,6.00,1.00,3.00,7.00,5.00,6.00,2.00,1.00,415,450,NULL,'TAPERA','FLORIANOPOLIS','SC',16065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052083,2.00,3.00,4.00,5.00,6.00,6.00,5.00,6.00,3.00,103,102,NULL,'FLORESTA','SAO JOSE','SC',15286,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2052091,1.00,7.00,7.00,9.00,7.00,4.00,8.00,7.00,4.00,316,301,NULL,'JARDIM PAULISTA','PRESIDENTE PRUDENTE','SP',5625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052105,2.00,5.00,1.00,5.00,7.00,4.00,4.00,4.00,2.00,213,444,202,'CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC',18865,307,542,642,NULL,NULL,NULL,2,1),(15,2052113,7.00,7.00,9.00,8.00,7.00,7.00,9.00,7.00,7.00,103,444,NULL,'RIO BRANCO','PORTO ALEGRE','RS',765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052121,0.00,0.00,1.00,2.00,3.00,NULL,2.00,4.00,2.00,9,339,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2052130,6.00,8.00,8.00,7.00,8.00,5.25,7.00,6.00,5.00,108,102,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',3314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052148,3.00,7.00,6.00,9.00,7.00,5.00,7.00,7.00,3.00,238,224,213,'PÂNTANO DO SUL','FLORIANOPOLIS','SC',4578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CONDOMÍNIO MARAMBAIA','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2052164,8.00,8.00,9.00,7.00,9.00,6.00,9.00,8.00,7.00,303,5,NULL,'BARREIROS','SAO JOSE','SC',474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052172,3.00,7.00,2.00,5.00,7.00,6.00,5.00,6.00,2.00,238,317,208,'CARIANOS','FLORIANOPOLIS','SC',11838,416,521,419,NULL,NULL,NULL,2,1),(15,2052180,4.00,5.00,4.00,6.00,7.00,4.50,5.00,6.00,4.00,104,429,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',10172,330,233,NULL,NULL,NULL,NULL,2,1),(15,2052199,6.00,8.00,9.00,9.00,9.00,6.50,7.00,7.00,6.00,207,NULL,201,'NORTE','PALMAS','TO',853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052202,3.00,5.00,2.00,5.00,6.00,7.50,5.00,4.00,2.00,9,428,NULL,'ITACORUBI','FLORIANOPOLIS','SC',13932,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2052210,4.00,4.00,5.00,4.00,5.00,5.00,3.00,6.00,0.00,404,319,NULL,'CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC',16598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052229,8.00,9.00,8.00,9.00,7.00,8.00,8.00,6.00,6.00,103,415,NULL,'COQUEIROS','FLORIANOPOLIS','SC',383,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2052237,7.00,7.00,7.00,6.00,5.00,6.50,7.00,7.00,5.00,108,216,NULL,'INTERIOR','SAO LOURENCO DO OESTE','SC',4541,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2052245,4.00,6.00,3.00,6.00,6.00,3.75,5.00,8.00,3.00,234,404,NULL,'ACARAÍ','SAO FRANCISCO DO SUL','SC',11385,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2052253,6.00,8.00,8.00,5.00,8.00,4.50,8.00,8.00,8.00,207,420,201,'CACUPÉ','FLORIANOPOLIS','SC',1247,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2052261,3.00,6.00,2.00,2.00,8.00,6.75,6.00,6.00,2.00,303,319,NULL,'BARREIROS','SAO JOSE','SC',11834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052270,4.00,8.00,5.00,0.00,7.00,NULL,3.00,6.00,3.00,5,108,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052288,7.00,8.00,8.00,6.00,8.00,6.75,7.00,7.00,5.00,316,301,NULL,'ASA NORTE','BRASILIA','DF',2663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052296,6.00,7.00,7.00,7.00,7.00,4.75,6.00,7.00,4.00,501,423,NULL,'BARREIROS','SAO JOSE','SC',4072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2052300,2.00,5.00,3.00,3.00,3.00,6.75,1.00,2.00,1.00,101,9,NULL,'CIDADE BAIXA','PORTO ALEGRE','RS',22108,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2052326,6.00,7.00,6.00,5.00,8.00,6.25,7.00,7.00,3.00,207,420,NULL,'JARDIM EUROPA','ASSIS','SP',4833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,214,201,'SÃO JOSÉ','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2052342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2052350,5.00,9.00,4.00,9.00,8.00,6.75,7.00,9.00,3.00,5,303,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',2259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052369,3.00,7.00,0.00,4.00,7.00,5.75,2.00,7.00,4.00,5,303,NULL,'CENTRO','ESTIVA','MG',12931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2052385,5.00,7.00,6.00,8.00,8.00,8.75,8.00,6.00,8.00,216,2,203,'CANASVIEIRAS','FLORIANOPOLIS','SC',1869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052393,2.00,7.00,2.00,6.00,7.00,5.50,4.00,5.00,5.00,404,324,NULL,'FORQUILHINHAS','SAO JOSE','SC',12286,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2052407,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,318,225,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2052415,1.00,2.00,2.00,1.00,5.00,NULL,1.00,4.00,1.00,423,424,427,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2052423,5.00,7.00,2.00,7.00,9.00,5.00,6.00,7.00,3.00,415,450,NULL,'CENTRO','LAGES','SC',7399,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2052431,7.00,7.00,9.00,8.00,8.00,8.25,8.00,8.00,6.00,103,104,NULL,'CENTRO','CURITIBA','PR',580,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2052440,8.00,8.00,7.00,9.00,9.00,6.50,9.00,7.00,8.00,103,216,NULL,'CENTRO','ASSIS','SP',160,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(15,2052458,3.00,7.00,6.00,2.00,8.00,4.75,3.00,3.00,4.00,203,104,216,'BARREIROS','SAO JOSE','SC',12986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052466,7.00,9.00,8.00,7.00,9.00,5.00,9.00,8.00,6.00,319,428,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',867,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2052474,7.00,9.00,9.00,7.00,9.00,5.50,8.00,9.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052482,1.00,5.00,2.00,2.00,4.00,5.25,1.00,5.00,2.00,201,501,202,'AGRONOMICA','FLORIANOPOLIS','SC',21881,1127,592,713,NULL,NULL,NULL,4,1),(15,2052490,5.00,9.00,8.00,7.00,9.00,5.75,7.00,5.00,5.00,103,104,NULL,'AMÉRICA','JOINVILLE','SC',2322,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2052504,2.00,8.00,5.00,4.00,7.00,5.00,6.00,7.00,4.00,202,220,208,'GUANABARA','JOINVILLE','SC',8763,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2052512,4.00,5.00,5.00,7.00,5.00,4.50,5.00,5.00,5.00,444,404,NULL,'DE FÁTIMA','FLORIANOPOLIS','SC',9881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2052520,4.00,7.00,9.00,7.00,8.00,5.25,8.00,8.00,5.00,220,203,NULL,'ZONA SETE','MARINGA','PR',2413,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2052539,4.00,8.00,3.00,4.00,7.00,6.50,6.00,6.00,2.00,208,222,213,'CAPOEIRAS','FLORIANOPOLIS','SC',9081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052547,8.00,8.00,9.00,9.00,7.00,6.25,8.00,8.00,7.00,203,428,216,'TRINDADE','FLORIANOPOLIS','SC',288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CERÂMICA','SAO CAETANO DO SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2052563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,9,NULL,'APARECIDA','ANTONIO PRADO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2052571,5.00,6.00,5.00,3.00,6.00,5.00,6.00,4.00,4.00,108,NULL,NULL,'SAN CONRADO','CAMPINAS','SP',12496,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2052580,2.00,5.00,3.00,4.00,4.00,4.25,1.00,5.00,2.00,104,102,NULL,'ZONA RURAL','VITORINO','PR',21181,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2052598,3.00,7.00,1.00,2.00,7.00,6.50,4.00,6.00,3.00,415,324,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',13292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052601,5.00,8.00,9.00,6.00,8.00,8.00,9.00,9.00,7.00,202,216,213,'CARVOEIRA','FLORIANOPOLIS','SC',530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052610,3.00,3.00,2.00,2.00,5.00,5.50,3.00,3.00,4.00,5,339,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052628,4.00,6.00,4.00,8.00,8.00,5.00,4.00,6.00,3.00,450,327,NULL,'CINQUENTENÁRIO','CAXIAS DO SUL','RS',9850,100,275,NULL,NULL,NULL,NULL,4,1),(15,2052644,5.00,7.00,3.00,6.00,8.00,6.50,5.00,6.00,3.00,303,5,NULL,'ZONA SETE','MARINGA','PR',8037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052652,7.00,7.00,7.00,7.00,8.00,6.00,7.00,8.00,7.00,238,316,213,'PANTANAL','FLORIANOPOLIS','SC',1358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052660,2.00,8.00,4.00,4.00,7.00,4.75,5.00,6.00,4.00,420,217,NULL,'FORTALEZA','BLUMENAU','SC',10344,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2052679,7.00,7.00,6.00,7.00,7.00,5.00,6.00,3.00,5.00,303,5,NULL,'AMERICA','JOINVILLE','SC',5913,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2052687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2052695,3.00,8.00,1.00,9.00,7.00,6.50,2.00,8.00,3.00,303,326,NULL,'CAMPECHE','FLORIANOPOLIS','SC',8242,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2052709,0.00,5.00,7.00,6.00,7.00,6.50,5.00,3.00,4.00,104,9,NULL,'CENTRO','FLORIANOPOLIS','SC',12441,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2052717,9.00,7.00,8.00,8.00,8.00,6.00,8.00,7.00,9.00,203,103,214,'ITOUPAVA NORTE','BLUMENAU','SC',605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052725,3.00,8.00,7.00,6.00,8.00,5.00,5.00,7.00,1.00,415,310,NULL,'JARDIM TOPÁZIO','SAO JOSE DOS CAMPOS','SP',6424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,317,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2052741,5.00,6.00,4.00,7.00,5.00,5.25,7.00,5.00,5.00,103,104,NULL,'JARDIM MARACANÃ','UBERABA','MG',7836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052750,5.00,6.00,5.00,6.00,8.00,5.50,6.00,6.00,5.00,2,225,NULL,'CENTRO','CAPIVARI DE BAIXO','SC',5780,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2052768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,203,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2052776,5.00,7.00,0.00,5.00,6.00,4.25,7.00,7.00,4.00,207,326,211,'CANADÁ','PARANAVAI','PR',9020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052784,7.00,8.00,8.00,8.00,8.00,5.25,9.00,7.00,6.00,211,NULL,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',1083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052792,3.00,6.00,2.00,2.00,3.00,5.50,2.00,3.00,2.00,404,238,NULL,'CENTRO','FLORIANOPOLIS','SC',21224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052806,0.00,8.00,4.00,7.00,6.00,7.00,5.00,8.00,3.00,201,233,211,'CANASVIEIRAS','FLORIANOPOLIS','SC',8077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052814,5.00,7.00,8.00,8.00,7.00,6.00,7.00,8.00,6.00,216,233,NULL,'CENTRO','PERITIBA','SC',2210,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2052830,6.00,8.00,9.00,7.00,8.00,6.50,8.00,8.00,7.00,203,216,202,'FÁTIMA','ERECHIM','RS',731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052849,5.00,6.00,2.00,6.00,9.00,6.25,3.00,6.00,3.00,319,450,NULL,'BARREIROS','SAO JOSE','SC',9255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052857,3.00,3.00,3.00,2.00,3.00,5.50,2.00,3.00,4.00,316,324,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052865,8.00,8.00,8.00,6.00,7.00,6.25,7.00,7.00,6.00,216,201,215,'BUCAREIN','JOINVILLE','SC',2063,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2052873,4.00,7.00,0.00,2.00,7.00,NULL,2.00,5.00,2.00,319,9,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052881,2.00,6.00,5.00,3.00,4.00,6.25,3.00,4.00,2.00,420,9,NULL,'PRIMAVERA','SAO JOSE DO CEDRO','SC',18104,362,666,NULL,NULL,NULL,NULL,2,1),(15,2052890,6.00,6.00,7.00,6.00,8.00,5.75,9.00,7.00,6.00,5,319,NULL,'CENTRO','FLORIANOPOLIS','SC',2846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052903,1.00,4.00,5.00,0.00,5.00,5.50,4.00,2.00,2.00,104,301,NULL,'CENTRO','NOVA MUTUM','MT',20548,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2052920,3.00,7.00,3.00,5.00,7.00,4.25,3.00,4.00,3.00,102,444,NULL,'KOBRASOL','SAO JOSE','SC',14914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2052938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2052946,2.00,6.00,4.00,5.00,7.00,3.75,6.00,6.00,3.00,318,304,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',12261,138,347,NULL,NULL,NULL,NULL,4,4),(15,2052954,7.00,9.00,8.00,8.00,9.00,7.00,8.00,8.00,7.00,103,102,NULL,'CENTRO','PIRACICABA','SP',300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052962,6.00,9.00,7.00,9.00,7.00,8.00,8.00,9.00,7.00,233,302,207,'CENTRO','FLORIANOPOLIS','SC',229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2052970,3.00,8.00,5.00,5.00,8.00,6.50,5.00,4.00,2.00,103,319,NULL,'CENTRO','CANOINHAS','SC',10261,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2052989,3.00,6.00,2.00,7.00,8.00,5.25,5.00,5.00,3.00,318,212,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',10000,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2052997,8.00,8.00,9.00,8.00,9.00,7.00,9.00,7.00,9.00,103,216,NULL,'CAMPINAS','SAO JOSE','SC',181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053004,4.00,8.00,5.00,3.00,7.00,5.25,4.00,5.00,2.00,316,304,NULL,'KOBRASOL','SAO JOSE','SC',12793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053012,0.00,3.00,1.00,6.00,6.00,5.50,3.00,3.00,2.00,302,NULL,NULL,'FORQUILHINHAS','SAO JOSE','SC',20959,187,NULL,NULL,NULL,NULL,NULL,2,1),(15,2053020,4.00,9.00,7.00,6.00,9.00,6.25,9.00,5.00,7.00,201,NULL,203,'BEZENELLO','NOVA TRENTO','SC',2216,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2053047,3.00,6.00,3.00,7.00,7.00,4.25,4.00,7.00,2.00,420,238,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',11666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053055,3.00,7.00,3.00,6.00,6.00,5.50,6.00,6.00,3.00,331,501,NULL,'BOM FIM','PORTO ALEGRE','RS',11114,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2053063,3.00,4.00,4.00,6.00,4.00,3.75,5.00,5.00,2.00,202,NULL,213,'CENTRO','MAFRA','SC',17074,600,NULL,282,NULL,NULL,NULL,2,8),(15,2053098,1.00,4.00,1.00,1.00,6.00,NULL,1.00,5.00,2.00,103,101,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2053101,6.00,6.00,8.00,6.00,6.00,5.00,8.00,5.00,7.00,208,2,238,'JARDIM ADRIANA','RIO VERDE','GO',4163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053110,6.00,8.00,6.00,6.00,9.00,6.25,8.00,7.00,3.00,102,501,NULL,'CENTRO','CRICIUMA','SC',2520,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2053128,5.00,7.00,8.00,6.00,9.00,8.00,6.00,3.00,6.00,303,216,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',3223,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2053136,6.00,7.00,1.00,4.00,8.00,7.00,6.00,7.00,3.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',7910,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2053144,1.00,4.00,2.00,2.00,6.00,NULL,3.00,2.00,0.00,108,333,NULL,'CENTRO','GUAICARA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2053152,5.00,7.00,4.00,6.00,6.00,7.00,4.00,4.00,3.00,211,316,215,'ESTREITO','FLORIANOPOLIS','SC',10267,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2053160,6.00,8.00,5.00,5.00,7.00,5.75,5.00,4.00,5.00,102,423,NULL,'CENTRO','LAGES','SC',6332,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2053179,4.00,8.00,3.00,5.00,8.00,6.25,7.00,7.00,3.00,101,327,NULL,'BARRA DO ARIRIÚ','PALHOCA','SC',7829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053195,3.00,7.00,4.00,5.00,8.00,7.25,6.00,6.00,3.00,450,327,NULL,'AGRÔNOMICA','FLORIANOPOLIS','SC',7159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053209,6.00,7.00,7.00,8.00,8.00,6.50,9.00,4.00,6.00,319,NULL,NULL,'JARDIM ALIANÇA','GUARULHOS','SP',3003,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2053217,1.00,6.00,1.00,2.00,6.00,4.50,2.00,3.00,3.00,102,217,NULL,'JARDIM CALEGARIS','PAULINIA','SP',21393,494,534,NULL,NULL,NULL,NULL,4,8),(15,2053233,9.00,8.00,9.00,7.00,8.00,7.25,8.00,8.00,6.00,103,319,NULL,'COMERCIARIO','CRICIUMA','SC',456,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2053241,5.00,6.00,2.00,4.00,9.00,5.75,3.00,6.00,3.00,319,108,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',10978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053250,4.00,8.00,7.00,8.00,9.00,6.00,9.00,9.00,6.00,201,223,202,'TAPERA','FLORIANOPOLIS','SC',1481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053268,4.00,6.00,6.00,4.00,7.00,6.00,6.00,6.00,5.00,319,108,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',9397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053276,2.00,5.00,1.00,3.00,3.00,3.50,6.00,5.00,4.00,203,202,233,'SANTA CATARINA','CAXIAS DO SUL','RS',19375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053284,8.00,9.00,9.00,6.00,8.00,6.75,9.00,8.00,8.00,103,2,NULL,'CENTRO','BRACO DO NORTE','SC',200,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2053292,2.00,6.00,3.00,3.00,5.00,4.50,2.00,5.00,4.00,303,5,NULL,'NOVA ESPERANÇA','GUARAMIRIM','SC',18254,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2053322,2.00,9.00,5.00,8.00,6.00,5.25,6.00,8.00,4.00,5,316,NULL,'TAPERA','FLORIANOPOLIS','SC',5925,274,777,NULL,NULL,NULL,NULL,2,1),(15,2053330,8.00,9.00,4.00,7.00,9.00,6.25,8.00,7.00,3.00,5,108,NULL,'ESTREITO','FLORIANOPOLIS','SC',1970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053349,0.00,3.00,1.00,1.00,3.00,NULL,3.00,1.00,3.00,308,324,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2053357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,217,233,'PASSO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2053365,2.00,5.00,3.00,5.00,3.00,4.75,3.00,4.00,3.00,216,NULL,NULL,'SÃO ROQUE','BENTO GONCALVES','RS',18260,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2053373,7.00,7.00,7.00,6.00,9.00,6.25,8.00,7.00,6.00,203,5,214,'JARDIM UNIÃO','CRICIUMA','SC',1649,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2053381,6.00,8.00,4.00,9.00,9.00,7.50,7.00,5.00,2.00,103,234,NULL,'CENTRO','FRAIBURGO','SC',3805,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2053411,6.00,9.00,9.00,7.00,8.00,7.75,9.00,8.00,6.00,5,201,NULL,'CENTRO','FLORIANOPOLIS','SC',536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053420,5.00,7.00,9.00,4.00,8.00,6.75,7.00,8.00,6.00,203,202,201,'CENTRO','FLORIANOPOLIS','SC',2376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053438,4.00,6.00,2.00,4.00,6.00,4.25,6.00,4.00,3.00,102,NULL,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',15411,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2053446,3.00,5.00,6.00,7.00,7.00,4.50,6.00,5.00,4.00,203,427,214,'CAMINHO NOVO','PALHOCA','SC',9116,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2053454,8.00,8.00,9.00,8.00,9.00,5.75,9.00,7.00,7.00,103,104,NULL,'AMÉRICA','JOINVILLE','SC',373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053462,4.00,8.00,4.00,6.00,7.00,4.00,8.00,8.00,7.00,215,217,216,'BELA VISTA','PORTO ALEGRE','RS',5404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,215,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2053489,7.00,8.00,7.00,5.00,8.00,8.00,7.00,6.00,4.00,420,451,NULL,'MINA UNIÃO','CRICIUMA','SC',3189,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2053497,7.00,8.00,9.00,5.00,8.00,6.75,9.00,5.00,9.00,103,102,NULL,'GONZAGA','SANTOS','SP',682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053500,3.00,8.00,4.00,2.00,8.00,6.25,4.00,5.00,4.00,316,317,NULL,'CAMPINAS','SAO JOSE','SC',10239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053519,2.00,5.00,5.00,4.00,6.00,5.50,7.00,5.00,4.00,202,225,208,'SALTO','SALTO VELOSO','SC',11887,458,127,420,NULL,NULL,NULL,4,7),(15,2053535,7.00,8.00,9.00,8.00,9.00,7.00,8.00,8.00,8.00,211,324,238,'UNIVERSITÁRIO','CRICIUMA','SC',472,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2053551,3.00,6.00,2.00,5.00,5.00,4.75,4.00,5.00,3.00,103,102,NULL,'ANITA GARIBALDI','JOINVILLE','SC',15994,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2053560,1.00,3.00,4.00,1.00,5.00,5.75,5.00,3.00,4.00,102,216,NULL,'CENTRO','BENTO GONCALVES','RS',19779,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2053578,4.00,7.00,5.00,7.00,6.00,5.50,4.00,6.00,4.00,216,103,203,'NOVA BRASILIA','SOMBRIO','SC',7665,279,3165,629,NULL,NULL,NULL,2,5),(15,2053586,4.00,8.00,4.00,7.00,6.00,6.25,6.00,6.00,6.00,211,201,NULL,'SÃO BASÍLIO','BRACO DO NORTE','SC',4223,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2053608,1.00,7.00,3.00,3.00,3.00,NULL,1.00,0.00,1.00,319,328,NULL,'BOSQUE DAS MANSOES','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2053616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,327,NULL,'SAIC','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2053624,5.00,9.00,3.00,5.00,7.00,6.50,4.00,7.00,3.00,304,318,NULL,'SÃO LUÍS','CURITIBANOS','SC',8276,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2053632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,216,NULL,'CENTRO','MANOEL RIBAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2053640,1.00,7.00,3.00,3.00,4.00,4.00,3.00,4.00,2.00,415,339,NULL,'KOBRASOL','SAO JOSE','SC',19728,495,380,NULL,NULL,NULL,NULL,4,1),(15,2053659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,207,203,'BROTAS','PIRAI DO SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2053667,6.00,6.00,1.00,3.00,6.00,5.50,6.00,5.00,2.00,238,222,208,'CANTO DA LAGOA','FLORIANOPOLIS','SC',13362,484,154,496,NULL,NULL,NULL,4,1),(15,2053675,5.00,6.00,2.00,3.00,6.00,6.50,6.00,5.00,4.00,103,9,NULL,'CENTRO','LAGES','SC',10754,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2053683,2.00,4.00,1.00,1.00,5.00,NULL,3.00,3.00,3.00,308,404,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2053691,6.00,7.00,3.00,2.00,7.00,5.25,6.00,7.00,3.00,208,213,233,'JARDIM PROENÇA','CAMPINAS','SP',10178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053705,1.00,6.00,1.00,4.00,7.00,5.25,5.00,5.00,4.00,216,102,214,'GUADALUPE','LAGES','SC',15534,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2053721,6.00,6.00,8.00,8.00,6.00,6.50,6.00,6.00,4.00,103,101,NULL,'JARDIM CHAPADAO','CAMPINAS','SP',4181,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2053748,2.00,7.00,1.00,0.00,7.00,5.50,2.00,5.00,4.00,104,103,NULL,'LINHA UNIÃO','PINHEIRO PRETO','SC',18157,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2053756,6.00,7.00,7.00,6.00,7.00,6.50,7.00,8.00,5.00,103,333,NULL,'ITACORUBI','FLORIANOPOLIS','SC',2644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2053764,6.00,7.00,7.00,5.00,7.00,4.00,5.00,6.00,3.00,415,428,NULL,'VILA DO SALTO','LUIZ ALVES','SC',6793,NULL,NULL,NULL,NULL,NULL,NULL,5,2),(15,2053772,2.00,8.00,5.00,7.00,6.00,4.50,4.00,7.00,3.00,420,415,NULL,'VELOSO','SANTO ANTONIO DA PATRULHA','RS',9846,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2053799,5.00,6.00,4.00,4.00,7.00,6.00,6.00,7.00,3.00,415,103,NULL,'NOVA CAMPINAS','CAMPINAS','SP',8800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053810,2.00,6.00,1.00,4.00,4.00,4.75,2.00,3.00,2.00,104,201,NULL,'VISTA ALEGRE','VIDEIRA','SC',20637,672,1399,NULL,NULL,NULL,NULL,4,7),(15,2053829,6.00,8.00,9.00,7.00,8.00,5.50,8.00,7.00,6.00,103,329,NULL,'CENTRO','FLORIANOPOLIS','SC',1598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053837,5.00,9.00,7.00,10.00,9.00,6.00,8.00,7.00,4.00,214,223,213,'BRUSQUE','LAGES','SC',1012,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2053845,4.00,6.00,4.00,8.00,8.00,7.50,5.00,6.00,3.00,103,9,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',6729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2053861,0.00,3.00,0.00,2.00,3.00,NULL,1.00,3.00,1.00,309,308,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2053888,5.00,6.00,8.00,5.00,8.00,5.50,6.00,6.00,3.00,207,233,201,'CENTRO','LAGES','SC',6469,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2053896,4.00,6.00,1.00,5.00,7.00,6.75,5.00,5.00,5.00,217,216,NULL,'VILA ALTA','UCHOA','SP',10453,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2053900,6.00,6.00,5.00,0.00,6.00,4.50,2.00,4.00,1.00,333,319,NULL,'JARDIM REDENÇÃO','SOROCABA','SP',18609,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2053918,5.00,7.00,7.00,6.00,9.00,5.25,7.00,7.00,5.00,211,216,238,'CENTRO','ERECHIM','RS',4250,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2053926,4.00,6.00,3.00,5.00,5.00,5.00,3.00,5.00,3.00,104,319,NULL,'CENTRO','PALMAS','PR',13784,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2053950,5.00,6.00,8.00,4.00,8.00,6.00,7.00,7.00,5.00,202,2,233,'NOSSA SRA DA SALETE','CRICIUMA','SC',4140,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2053977,8.00,9.00,10.00,8.00,9.00,8.75,9.00,8.00,9.00,103,2,NULL,'CENTRO','LAGES','SC',5,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2053993,4.00,6.00,5.00,6.00,6.00,5.00,6.00,5.00,4.00,211,301,203,'INDEPENDÊNCIA','PORTO ALEGRE','RS',10139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054000,2.00,6.00,7.00,5.00,6.00,4.00,5.00,5.00,3.00,225,2,NULL,'PANTANAL','FLORIANOPOLIS','SC',11869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054019,1.00,7.00,2.00,2.00,7.00,5.75,4.00,6.00,4.00,104,101,NULL,'BARREIROS','SAO JOSE','SC',15380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054027,5.00,5.00,2.00,2.00,6.00,5.75,3.00,4.00,4.00,103,108,NULL,'JARDIM ITÁLIA','CHAPECO','SC',16283,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2054035,3.00,7.00,6.00,7.00,8.00,4.50,5.00,7.00,4.00,208,327,238,'CAMPECHE','FLORIANOPOLIS','SC',7669,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2054043,4.00,5.00,6.00,7.00,7.00,5.50,6.00,2.00,6.00,103,108,NULL,'CENTRO','ITAPETININGA','SP',8639,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2054078,4.00,7.00,4.00,5.00,7.00,5.00,5.00,5.00,3.00,303,428,NULL,'TRINDADE','FLORIANOPOLIS','SC',9456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054086,2.00,3.00,2.00,4.00,3.00,NULL,2.00,2.00,0.00,502,501,NULL,'SANTO ANTONIO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2054094,3.00,7.00,5.00,7.00,8.00,5.25,4.00,4.00,4.00,316,301,NULL,'COMERCIÁRIO','CRICIUMA','SC',9995,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2054108,4.00,6.00,1.00,7.00,8.00,5.00,4.00,6.00,3.00,450,415,NULL,'CORDEIROS','ITAJAI','SC',10314,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2054116,5.00,5.00,2.00,0.00,7.00,NULL,4.00,6.00,3.00,309,331,NULL,'KOLLER','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2054124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,102,215,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2054132,0.00,0.00,0.00,0.00,0.00,NULL,7.00,5.00,4.00,203,2,233,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S',NULL,2,1),(15,2054140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,333,NULL,'JD MARIA CÂNDIDA','SAO JOSE DO RIO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2054175,1.00,5.00,1.00,1.00,6.00,NULL,3.00,3.00,2.00,103,450,NULL,'BONFIM','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054183,3.00,4.00,0.00,7.00,4.00,4.75,5.00,3.00,1.00,415,429,NULL,'NOSSA SRA DE LOURDES','SANTA MARIA','RS',19983,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2054191,4.00,7.00,7.00,6.00,7.00,5.50,8.00,9.00,5.00,303,108,NULL,'CENTRO','JOACABA','SC',3643,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2054213,5.00,8.00,9.00,6.00,7.00,6.50,7.00,6.00,5.00,301,302,NULL,'CENTRO','FLORIANOPOLIS','SC',3436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054221,3.00,6.00,4.00,3.00,8.00,6.00,4.00,6.00,2.00,415,310,NULL,'CENTRO','SAO MIGUEL ARCANJO','SP',12006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054230,7.00,7.00,7.00,5.00,6.00,5.25,4.00,5.00,4.00,5,316,NULL,'CENTRO','FLORIANOPOLIS','SC',7442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054256,2.00,7.00,6.00,4.00,7.00,4.25,6.00,6.00,3.00,2,208,NULL,'NOSSA SRA DO ROSARIO','SAO JOSE','SC',11166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054264,1.00,6.00,4.00,5.00,7.00,4.50,5.00,8.00,3.00,329,404,NULL,'PARQUE REAL','DIADEMA','SP',12548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054272,0.00,2.00,2.00,5.00,5.00,NULL,3.00,4.00,2.00,319,301,NULL,'JARDIM DIDINHA','JACAREI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2054280,8.00,9.00,8.00,9.00,7.00,5.75,8.00,6.00,5.00,103,224,NULL,'ABRAÃO','FLORIANOPOLIS','SC',1446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054302,6.00,8.00,9.00,9.00,7.00,7.00,8.00,6.00,7.00,220,202,203,'JD AQUARIUS','SAO JOSE DOS CAMPOS','SP',1085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054310,5.00,9.00,6.00,7.00,8.00,8.00,6.00,9.00,5.00,415,303,NULL,'GLÓRIA','JOINVILLE','SC',2153,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2054337,7.00,8.00,9.00,8.00,9.00,7.50,9.00,8.00,8.00,103,104,NULL,'SAGUAÇU','JOINVILLE','SC',226,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2054353,6.00,8.00,5.00,7.00,8.00,6.50,7.00,6.00,6.00,104,217,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',3625,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2054361,1.00,5.00,5.00,4.00,6.00,4.50,5.00,7.00,2.00,318,317,NULL,'STEFFEN','BRUSQUE','SC',12509,140,536,NULL,NULL,NULL,NULL,2,2),(15,2054370,0.00,6.00,3.00,5.00,8.00,6.00,6.00,5.00,3.00,202,213,NULL,'MOINHOS','LAJEADO','RS',13126,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2054388,1.00,4.00,1.00,2.00,5.00,5.50,4.00,3.00,2.00,303,102,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',22120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054396,6.00,8.00,6.00,7.00,9.00,5.25,9.00,6.00,4.00,108,424,NULL,'BOA VISTA','JOINVILLE','SC',3383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054400,4.00,7.00,5.00,7.00,9.00,6.50,7.00,7.00,4.00,203,425,233,'BARREIROS','SAO JOSE','SC',4836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054418,2.00,5.00,5.00,6.00,7.00,5.50,6.00,7.00,5.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',7438,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2054426,3.00,8.00,5.00,7.00,7.00,5.25,7.00,8.00,4.00,301,316,NULL,'VILA GUARANI','SAO PAULO','SP',5820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2054442,6.00,7.00,9.00,9.00,8.00,6.25,6.00,7.00,7.00,203,234,233,'IRIRIÚ','JOINVILLE','SC',1152,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2054450,2.00,7.00,3.00,6.00,7.00,5.75,2.00,4.00,3.00,428,424,426,'BARREIROS','SAO JOSE','SC',13681,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2054469,4.00,6.00,3.00,7.00,9.00,6.75,3.00,6.00,4.00,9,424,NULL,'CENTRO','FLORIANOPOLIS','SC',8036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054477,2.00,7.00,5.00,6.00,9.00,5.50,5.00,5.00,4.00,415,NULL,NULL,'FLORESTA','GRAMADO','RS',8467,219,NULL,NULL,NULL,NULL,NULL,2,1),(15,2054485,6.00,8.00,5.00,7.00,7.00,6.00,6.00,5.00,6.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',5455,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2054507,4.00,6.00,6.00,5.00,6.00,6.25,5.00,1.00,2.00,103,444,NULL,'CENTRO','PALHOCA','SC',14056,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2054515,2.00,4.00,5.00,3.00,6.00,4.00,5.00,3.00,2.00,102,301,NULL,'CENTRO','BALNEARIO GAIVOTA','SC',18891,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2054523,6.00,8.00,6.00,8.00,9.00,5.75,9.00,7.00,5.00,303,2,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',1463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VALPARAISO','SANTO ANDRE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2054540,5.00,8.00,5.00,8.00,9.00,6.25,5.00,6.00,4.00,102,108,NULL,'MEIA PRAIA','ITAPEMA','SC',4528,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2054558,4.00,6.00,5.00,0.00,6.00,5.75,3.00,6.00,4.00,108,333,NULL,'ZONA SETE','MARINGA','PR',14732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054566,3.00,6.00,4.00,3.00,6.00,5.75,3.00,7.00,2.00,318,317,NULL,'ITACORUBI','FLORIANOPOLIS','SC',14798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054574,4.00,5.00,2.00,6.00,7.00,3.50,6.00,3.00,3.00,501,211,NULL,'POR DO SOL','PALOTINA','PR',15283,177,934,NULL,NULL,NULL,NULL,2,1),(15,2054582,5.00,8.00,7.00,9.00,7.00,7.25,7.00,6.00,6.00,5,304,NULL,'PIO CORREA','CRICIUMA','SC',2119,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2054590,9.00,7.00,9.00,5.00,8.00,7.00,9.00,8.00,8.00,103,333,NULL,'VILA INDEPENDÊNCIA','PIRACICABA','SP',326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054604,6.00,9.00,6.00,6.00,9.00,6.25,7.00,8.00,5.00,303,5,NULL,'BROOKLIN','SAO PAULO','SP',2354,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2054612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CORDEIROS','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2054620,6.00,6.00,7.00,7.00,8.00,7.50,7.00,8.00,5.00,207,420,201,'CARVOEIRA','FLORIANOPOLIS','SC',2289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054639,3.00,6.00,6.00,5.00,8.00,7.50,5.00,5.00,4.00,215,308,238,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',8192,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2054647,2.00,4.00,2.00,2.00,3.00,3.00,3.00,3.00,2.00,203,214,220,'CENTRO','CAPIVARI DE BAIXO','SC',22513,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2054655,3.00,4.00,4.00,0.00,7.00,4.50,2.00,3.00,2.00,103,NULL,NULL,'PASSO DOS FORTES','CHAPECO','SC',21569,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2054663,2.00,6.00,1.00,5.00,7.00,5.25,3.00,2.00,3.00,501,502,NULL,'CENTRO','SAO MARCOS','RS',18191,239,301,NULL,NULL,NULL,NULL,2,1),(15,2054671,3.00,5.00,5.00,1.00,6.00,4.25,2.00,4.00,1.00,102,225,NULL,'CENTRO','ANCHIETA','SC',20254,459,198,NULL,NULL,NULL,NULL,4,4),(15,2054680,4.00,6.00,5.00,6.00,7.00,5.00,6.00,8.00,3.00,213,333,NULL,'JD AQUARIUS','SAO JOSE DOS CAMPOS','SP',7296,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2054698,1.00,4.00,0.00,4.00,2.00,NULL,1.00,5.00,2.00,333,501,NULL,'SÍTIO CERCADO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2054701,7.00,8.00,8.00,9.00,8.00,8.00,9.00,9.00,9.00,103,421,NULL,'CENTRO','FLORIANOPOLIS','SC',77,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054710,4.00,8.00,5.00,7.00,9.00,6.25,7.00,8.00,5.00,303,5,NULL,'VERGUEIRO','PASSO FUNDO','RS',2386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054728,7.00,8.00,9.00,7.00,8.00,5.25,7.00,7.00,7.00,202,203,213,'VILA BAEPENDI','JARAGUA DO SUL','SC',1348,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2054736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VILA GIGLIO','ATIBAIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2054744,6.00,8.00,1.00,4.00,7.00,6.00,5.00,5.00,4.00,103,102,NULL,'CENTRO','LAGES','SC',10842,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2054752,8.00,8.00,9.00,9.00,8.00,6.00,8.00,9.00,6.00,303,415,NULL,'CENTRO','CANOINHAS','SC',552,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2054760,1.00,6.00,5.00,7.00,6.00,6.25,5.00,5.00,3.00,317,318,NULL,'ESTREITO','FLORIANOPOLIS','SC',11038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054779,5.00,8.00,6.00,6.00,5.00,6.50,7.00,4.00,4.00,301,316,NULL,'VILA ASSUMPÇÃO','BOTUCATU','SP',6407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054809,2.00,4.00,2.00,1.00,3.00,4.00,2.00,3.00,4.00,203,220,214,'CAMPECHE','FLORIANOPOLIS','SC',22467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054825,2.00,6.00,1.00,3.00,5.00,3.50,3.00,1.00,3.00,201,316,207,'CENTRO','SOMBRIO','SC',21451,1109,1257,1007,NULL,NULL,NULL,2,5),(15,2054833,6.00,8.00,7.00,7.00,7.00,6.50,8.00,8.00,7.00,103,214,NULL,'GONZAGA','SANTOS','SP',1513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,222,208,'BELA VISTA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2054850,1.00,3.00,1.00,5.00,3.00,3.00,2.00,3.00,3.00,208,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',22512,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2054868,5.00,6.00,7.00,8.00,7.00,5.50,5.00,3.00,5.00,304,318,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',7498,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2054876,7.00,7.00,5.00,8.00,8.00,6.00,7.00,6.00,4.00,233,215,213,'AMÉRICA','JOINVILLE','SC',3710,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2054884,8.00,8.00,8.00,9.00,7.00,6.25,9.00,6.00,8.00,220,233,202,'VILA MORAES','SAO PAULO','SP',512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2054892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,201,220,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2054906,0.00,6.00,2.00,4.00,6.00,5.50,4.00,4.00,3.00,319,404,NULL,'BARREIROS','SAO JOSE','SC',17796,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2054914,1.00,3.00,4.00,0.00,4.00,NULL,2.00,4.00,1.00,103,104,NULL,'CENTRO','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2054922,1.00,6.00,3.00,3.00,6.00,5.00,3.00,3.00,2.00,339,420,NULL,'BEZENELO','NOVA TRENTO','SC',20055,122,884,NULL,NULL,NULL,NULL,4,1),(15,2054930,3.00,6.00,1.00,4.00,7.00,6.00,6.00,8.00,5.00,108,502,NULL,'GUARANI','XAXIM','SC',9195,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2054957,8.00,9.00,10.00,10.00,9.00,6.00,9.00,7.00,8.00,203,450,214,'PIO CORREA','CRICIUMA','SC',87,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2054965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,104,NULL,'CENTRO','PANAMBI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2054973,2.00,7.00,1.00,5.00,6.00,6.00,3.00,7.00,2.00,310,309,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',14877,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2054981,5.00,7.00,6.00,5.00,7.00,7.25,5.00,5.00,2.00,203,316,220,'JOAO PAULO','FLORIANOPOLIS','SC',8118,650,NULL,NULL,NULL,NULL,NULL,2,1),(15,2054990,4.00,7.00,7.00,5.00,9.00,4.75,7.00,6.00,4.00,201,316,212,'PONTA AGUDA','BLUMENAU','SC',5946,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2055007,8.00,9.00,9.00,8.00,9.00,6.25,9.00,7.00,6.00,103,238,NULL,'CENTRO','ITAJAI','SC',386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055015,3.00,6.00,4.00,2.00,8.00,6.50,6.00,3.00,3.00,339,332,NULL,'BARREIROS','SAO JOSE','SC',14009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055023,4.00,3.00,3.00,4.00,6.00,6.50,3.00,4.00,3.00,451,428,NULL,'BOM RETIRO','JOINVILLE','SC',17920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055031,3.00,4.00,3.00,5.00,5.00,5.00,4.00,6.00,2.00,103,NULL,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055040,1.00,5.00,0.00,6.00,3.00,4.50,3.00,2.00,2.00,304,318,NULL,'VELHA','BLUMENAU','SC',22077,220,537,NULL,NULL,NULL,NULL,2,2),(15,2055058,4.00,5.00,4.00,5.00,6.00,3.75,4.00,6.00,4.00,420,301,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',11740,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2055066,5.00,7.00,8.00,9.00,5.00,7.50,9.00,6.00,8.00,214,216,203,'VILA LEOPOLDINA','SAO PAULO','SP',1257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055074,3.00,6.00,4.00,6.00,5.00,4.75,5.00,5.00,3.00,103,201,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055082,6.00,6.00,5.00,7.00,6.00,4.75,4.00,6.00,2.00,238,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055090,2.00,6.00,1.00,3.00,5.00,4.75,3.00,1.00,3.00,223,2,NULL,'FORQUILHAS','SAO JOSE','SC',21533,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2055104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,444,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2055112,3.00,8.00,1.00,2.00,7.00,5.25,5.00,6.00,4.00,502,NULL,NULL,'RESSACADA','ITAJAI','SC',13219,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2055139,1.00,3.00,2.00,5.00,6.00,5.75,3.00,5.00,2.00,326,NULL,NULL,'NAO EXISTE','CHARRUA','RS',18847,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2055147,4.00,7.00,5.00,6.00,7.00,5.00,5.00,4.00,2.00,420,207,NULL,'CAMPINAS','SAO JOSE','SC',10333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2055155,5.00,5.00,2.00,3.00,6.00,5.75,7.00,5.00,6.00,233,102,216,'JARDIN ITALIA','CHAPECO','SC',11461,289,866,374,NULL,NULL,NULL,4,4),(15,2055163,2.00,7.00,4.00,7.00,7.00,4.50,4.00,6.00,4.00,501,428,NULL,'GAMBOA','PAULO LOPES','SC',11774,109,189,NULL,NULL,NULL,NULL,2,1),(15,2055171,5.00,9.00,4.00,7.00,7.00,6.75,8.00,7.00,4.00,103,303,NULL,'ASA NORTE','BRASILIA','DF',3380,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2055180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,213,214,'LIBERDADE','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2055198,3.00,9.00,5.00,5.00,8.00,6.75,6.00,4.00,5.00,301,316,NULL,'SAGUACU','JOINVILLE','SC',7334,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2055201,6.00,6.00,6.00,4.00,7.00,6.50,4.00,6.00,3.00,234,211,NULL,'SCHRAMM','SAO BENTO DO SUL','SC',8185,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2055210,6.00,8.00,7.00,5.00,8.00,5.50,8.00,7.00,5.00,5,316,NULL,'COQUEIROS','FLORIANOPOLIS','SC',2707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2055228,3.00,5.00,3.00,2.00,6.00,7.00,4.00,3.00,3.00,429,NULL,424,'VALPARAÍSO','BLUMENAU','SC',17888,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2055236,4.00,8.00,5.00,5.00,6.00,4.00,5.00,4.00,3.00,103,NULL,NULL,'ASA NORTE','BRASILIA','DF',11343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,202,NULL,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2055260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2055279,5.00,6.00,5.00,6.00,6.00,6.25,5.00,4.00,3.00,450,425,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',9558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055295,3.00,8.00,5.00,5.00,7.00,5.25,6.00,8.00,3.00,303,5,NULL,'CENTREVILLE','LIMEIRA','SP',7151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055309,4.00,6.00,2.00,3.00,7.00,5.25,3.00,7.00,3.00,203,444,233,'ALTO ARIRIU','PALHOCA','SC',13747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2055317,5.00,4.00,3.00,6.00,5.00,6.50,6.00,3.00,1.00,103,319,NULL,'CENTRO','ARARANGUA','SC',13599,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2055325,2.00,7.00,3.00,4.00,5.00,4.25,5.00,6.00,2.00,415,327,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',16370,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2055333,1.00,5.00,1.00,0.00,4.00,6.00,3.00,5.00,2.00,9,333,NULL,'FAZENDA RIO TAVARES','FLORIANOPOLIS','SC',22020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055350,6.00,7.00,6.00,5.00,6.00,5.50,6.00,5.00,3.00,220,222,207,'CENTRO','ENEAS MARQUES','PR',6747,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2055376,1.00,5.00,3.00,4.00,5.00,4.25,5.00,3.00,2.00,208,225,238,'BELA VISTA II','SAO JOSE','SC',19250,757,189,716,NULL,NULL,NULL,2,1),(15,2055422,5.00,8.00,8.00,6.00,7.00,7.75,8.00,7.00,4.00,103,101,NULL,'CENTRO','MONTENEGRO','RS',1639,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2055430,3.00,4.00,6.00,5.00,4.00,5.50,4.00,3.00,3.00,203,201,214,'JARDIM PRIMAVERIL','TRES LAGOAS','MS',15444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055449,4.00,8.00,5.00,5.00,7.00,6.00,6.00,5.00,5.00,103,333,NULL,'CENTRO','BRUSQUE','SC',7674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055457,1.00,6.00,4.00,2.00,3.00,5.25,2.00,4.00,2.00,303,5,NULL,'INTERIOR','XAVANTINA','SC',21663,885,1342,NULL,NULL,NULL,NULL,4,4),(15,2055465,6.00,9.00,7.00,4.00,5.00,5.00,8.00,8.00,6.00,211,319,NULL,'SANTANA','SAO PAULO','SP',3909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055473,4.00,8.00,5.00,7.00,8.00,5.50,4.00,5.00,6.00,207,420,215,'LIBERDADE','CONCORDIA','SC',6485,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2055481,3.00,5.00,3.00,5.00,6.00,5.75,4.00,5.00,2.00,324,329,NULL,'CAMPECHE','FLORIANOPOLIS','SC',16652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2055490,4.00,8.00,7.00,9.00,8.00,6.25,6.00,7.00,4.00,238,224,208,'CENTRO','PORTO BELO','SC',2862,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2055503,5.00,7.00,6.00,5.00,8.00,6.50,8.00,6.00,5.00,103,104,NULL,'CENTRO','BALNEARIO ARROIO DO SILVA','SC',4189,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2055511,3.00,6.00,5.00,5.00,6.00,4.50,4.00,3.00,2.00,238,207,208,'CENTRO','HORIZONTINA','RS',15154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2055520,4.00,7.00,5.00,6.00,6.00,4.75,6.00,8.00,4.00,238,NULL,208,'COROA DO MEIO','ARACAJU','SE',6138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055538,0.00,5.00,1.00,2.00,4.00,NULL,1.00,2.00,1.00,333,108,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2055546,3.00,7.00,5.00,8.00,7.00,5.75,6.00,7.00,4.00,217,216,NULL,'CENTRO','LUZERNA','SC',6153,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2055554,3.00,7.00,6.00,4.00,8.00,5.50,7.00,8.00,3.00,201,108,208,'DAS NAÇÕES','BALNEARIO CAMBORIU','SC',7006,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2055570,6.00,7.00,7.00,9.00,9.00,6.25,8.00,6.00,5.00,203,214,220,'VELHA','BLUMENAU','SC',1692,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2055589,4.00,5.00,7.00,4.00,5.00,4.00,5.00,3.00,2.00,318,222,NULL,'TRINDADE','FLORIANOPOLIS','SC',14571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055597,9.00,9.00,10.00,9.00,9.00,9.00,9.00,9.00,9.00,103,319,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',1,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055600,7.00,5.00,8.00,3.00,8.00,6.50,8.00,3.00,7.00,103,104,NULL,'MAR GROSSO','LAGUNA','SC',4286,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2055619,8.00,8.00,8.00,7.00,7.00,5.00,7.00,7.00,7.00,420,207,NULL,'SAGUACU','JOINVILLE','SC',1308,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2055643,7.00,7.00,5.00,7.00,9.00,7.25,7.00,9.00,7.00,238,333,203,'CARVOEIRA','FLORIANOPOLIS','SC',1467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055651,3.00,6.00,4.00,3.00,9.00,6.25,6.00,2.00,3.00,104,216,NULL,'CENTRO','CAMPOS NOVOS','SC',13212,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2055660,6.00,8.00,6.00,8.00,8.00,6.50,7.00,6.00,7.00,319,339,NULL,'CENTRO','FLORIANOPOLIS','SC',1985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055686,4.00,5.00,4.00,8.00,6.00,4.50,5.00,3.00,2.00,301,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',1,1),(15,2055708,6.00,8.00,6.00,8.00,8.00,3.75,8.00,7.00,5.00,104,108,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',3005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055716,2.00,6.00,6.00,4.00,7.00,5.50,7.00,4.00,6.00,103,108,NULL,'CAMPECHE','FLORIANOPOLIS','SC',9105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055724,3.00,7.00,4.00,5.00,8.00,4.50,6.00,3.00,2.00,304,318,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',13939,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2055732,2.00,4.00,3.00,3.00,5.00,NULL,1.00,2.00,1.00,101,451,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2055740,3.00,5.00,3.00,4.00,4.00,6.00,4.00,7.00,2.00,103,102,NULL,'BOM FIM','PORTO ALEGRE','RS',15421,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2055767,3.00,8.00,3.00,5.00,7.00,6.00,5.00,4.00,5.00,103,101,NULL,'SÃO LUIS','CRICIUMA','SC',10874,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2055775,6.00,8.00,6.00,6.00,6.00,6.50,4.00,6.00,5.00,217,2,NULL,'CENTRO','RESTINGA SECA','RS',6507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2055783,3.00,6.00,3.00,6.00,7.00,3.25,4.00,6.00,2.00,318,317,NULL,'RIO GRANDE','PALHOCA','SC',15043,187,573,NULL,NULL,NULL,NULL,2,1),(15,2055791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,9,NULL,'NAZARÉ','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2055805,3.00,7.00,2.00,9.00,7.00,6.00,4.00,7.00,0.00,207,201,NULL,'TRINDADE','FLORIANOPOLIS','SC',10433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055813,4.00,7.00,7.00,6.00,7.00,4.75,7.00,7.00,5.00,207,420,NULL,'VILA MADALENA','SAO PAULO','SP',5299,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2055848,2.00,7.00,5.00,6.00,8.00,6.25,6.00,5.00,3.00,5,415,NULL,'SÃO LUIS','CRICIUMA','SC',8769,385,647,NULL,NULL,NULL,NULL,2,5),(15,2055856,6.00,7.00,4.00,3.00,7.00,4.75,7.00,7.00,4.00,102,215,NULL,'SERTAOZINHO','ITAPEMA','SC',7212,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2055864,4.00,5.00,7.00,6.00,6.00,5.75,6.00,3.00,6.00,103,104,NULL,'PALMITAL','PARANAGUA','PR',8551,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2055872,4.00,6.00,8.00,8.00,7.00,6.25,8.00,6.00,6.00,2,222,NULL,'JD PREVIDÊNCIA','SAO PAULO','SP',3085,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2055899,2.00,5.00,2.00,6.00,5.00,4.25,1.00,4.00,2.00,320,NULL,NULL,'CENTRO','PALMA SOLA','SC',20773,95,NULL,NULL,NULL,NULL,NULL,2,4),(15,2055902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,316,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2055910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,428,NULL,'JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2055929,7.00,8.00,9.00,9.00,8.00,7.50,8.00,7.00,5.00,5,301,NULL,'AREIAS','SAO JOSE','SC',904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2055937,5.00,7.00,8.00,7.00,8.00,8.00,6.00,8.00,4.00,420,450,NULL,'SÃO DIMAS','PIRACICABA','SP',3277,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2055953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2055961,8.00,8.00,9.00,4.00,7.00,6.75,7.00,7.00,6.00,103,101,NULL,'CENTRO','MARIPA','PR',1094,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2055970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'SETOR BUENO','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2055996,8.00,7.00,9.00,8.00,8.00,6.50,7.00,7.00,6.00,220,324,233,'CARVOEIRA','FLORIANOPOLIS','SC',931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056003,6.00,9.00,5.00,8.00,7.00,6.75,8.00,6.00,6.00,207,103,215,'NOVA AMERICA','PIRACICABA','SP',2276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,216,NULL,'CENTRO','SAO MATEUS DO SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2056046,1.00,4.00,1.00,3.00,6.00,NULL,3.00,2.00,0.00,102,108,NULL,'FORQUILHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2056054,2.00,5.00,1.00,5.00,5.00,3.75,3.00,3.00,3.00,301,9,NULL,'CARIANOS','FLORIANOPOLIS','SC',20488,347,716,NULL,NULL,NULL,NULL,4,1),(15,2056062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,202,203,'BAIRRO TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2056070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,215,NULL,'SAO BRAZ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2056089,0.00,7.00,1.00,1.00,7.00,5.50,2.00,4.00,4.00,316,108,NULL,'BOM JESUS','PORTO ALEGRE','RS',19771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056097,2.00,5.00,1.00,6.00,5.00,6.00,5.00,7.00,4.00,320,426,NULL,'CENTRO','SAO BENTO DO SUL','SC',12990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2056100,5.00,9.00,7.00,6.00,7.00,5.25,6.00,5.00,4.00,238,222,NULL,'ORIENTAL','ESTRELA','RS',4857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2056119,4.00,6.00,7.00,7.00,6.00,5.25,7.00,4.00,3.00,103,NULL,NULL,'SANTA LUZIA','BRAGANCA PAULISTA','SP',7721,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2056135,7.00,8.00,9.00,8.00,9.00,7.50,9.00,7.00,7.00,303,217,NULL,'ARIRIÚ DA FORMIGA','PALHOCA','SC',443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056143,4.00,8.00,4.00,7.00,7.00,5.75,6.00,7.00,1.00,208,222,238,'ESTREITO','FLORIANOPOLIS','SC',7943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056151,7.00,8.00,5.00,2.00,7.00,5.50,7.00,5.00,4.00,203,202,214,'CENTRO','JAGUAPITA','PR',8581,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2056160,3.00,8.00,5.00,8.00,8.00,6.50,6.00,6.00,5.00,208,301,203,'JARDIM SANTA CLARA','GUARULHOS','SP',5677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056178,7.00,9.00,9.00,7.00,9.00,7.25,9.00,8.00,5.00,103,425,NULL,'ITACORUBI','FLORIANOPOLIS','SC',491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056186,3.00,4.00,1.00,4.00,2.00,NULL,1.00,2.00,2.00,319,9,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2056194,2.00,4.00,1.00,2.00,4.00,NULL,3.00,2.00,0.00,327,5,NULL,'CENTRO','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2056208,1.00,5.00,2.00,8.00,7.00,4.00,5.00,4.00,2.00,327,329,NULL,'COQUEIROS','FLORIANOPOLIS','SC',15513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056216,2.00,6.00,2.00,7.00,4.00,NULL,0.00,0.00,0.00,420,216,NULL,'PEREQUE','PORTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,3),(15,2056224,9.00,9.00,9.00,9.00,9.00,4.50,9.00,6.00,7.00,201,428,211,'CENTRO','FLORIANOPOLIS','SC',325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'GRANDE COLORADO','SOBRADINHO','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2056259,5.00,5.00,1.00,4.00,7.00,5.75,5.00,6.00,3.00,318,332,NULL,'CENTRO','FLORIANOPOLIS','SC',13277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056267,3.00,4.00,5.00,5.00,3.00,6.25,3.00,4.00,2.00,207,301,201,'CENTRO','FLORIANOPOLIS','SC',17578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056275,8.00,9.00,6.00,5.00,9.00,6.25,6.00,6.00,4.00,501,331,NULL,'ESTREITO','FLORIANOPOLIS','SC',3126,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2056283,5.00,5.00,7.00,6.00,8.00,6.25,7.00,5.00,4.00,103,102,NULL,'GRANDE COLORADO','SOBRADINHO','DF',5724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056291,8.00,8.00,6.00,4.00,9.00,7.25,7.00,8.00,6.00,207,420,201,'BARREIROS','SAO JOSE','SC',2158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056305,5.00,8.00,7.00,6.00,8.00,6.50,6.00,5.00,3.00,316,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',5025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056313,5.00,6.00,5.00,8.00,8.00,6.00,8.00,6.00,5.00,208,420,203,'AMERICA','JOINVILLE','SC',4882,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2056321,4.00,7.00,7.00,9.00,7.00,5.50,8.00,7.00,4.00,220,238,208,'LAGO NORTE','LAGO NORTE','DF',3305,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2056330,2.00,5.00,4.00,6.00,6.00,5.50,3.00,4.00,2.00,444,404,NULL,'PICADAS DO NORTE','SAO JOSE','SC',16643,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2056348,3.00,5.00,3.00,3.00,6.00,5.00,4.00,2.00,1.00,211,216,203,'FLORA','VACARIA','RS',19045,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2056356,4.00,7.00,6.00,5.00,7.00,6.50,7.00,4.00,4.00,207,223,201,'FAZENDA','ITAJAI','SC',7054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056364,7.00,9.00,8.00,9.00,9.00,6.75,9.00,7.00,9.00,103,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056372,5.00,7.00,5.00,9.00,8.00,7.50,7.00,6.00,5.00,203,NULL,214,'VILA NOVA','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056380,4.00,7.00,8.00,3.00,7.00,5.50,6.00,7.00,2.00,333,223,NULL,'JARDIM MARINA','SAO PAULO','SP',7321,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2056399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,319,NULL,'BELA VISTA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2056402,2.00,5.00,0.00,5.00,2.00,NULL,3.00,2.00,1.00,301,233,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2056410,6.00,7.00,4.00,7.00,4.00,6.75,5.00,8.00,2.00,327,203,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',8278,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2056429,1.00,3.00,2.00,0.00,6.00,NULL,4.00,3.00,4.00,211,212,215,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056437,6.00,7.00,8.00,6.00,7.00,6.00,6.00,6.00,6.00,103,223,NULL,'CENTRO','FLORIANOPOLIS','SC',3801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2056453,3.00,6.00,2.00,1.00,7.00,5.75,5.00,4.00,4.00,415,328,NULL,'SAPE II','CACAPAVA','SP',15677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056461,3.00,5.00,4.00,6.00,5.00,5.75,6.00,2.00,3.00,207,201,NULL,'VILA MOEMA','TUBARAO','SC',14478,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2056488,6.00,8.00,7.00,6.00,8.00,6.50,9.00,8.00,8.00,203,502,233,'ITACORUBI','FLORIANOPOLIS','SC',1206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056496,2.00,5.00,3.00,2.00,4.00,4.75,3.00,4.00,3.00,415,324,NULL,'CENTRO','FLORIANOPOLIS','SC',19876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056500,3.00,4.00,3.00,0.00,2.00,NULL,6.00,5.00,4.00,203,317,214,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056518,5.00,8.00,7.00,8.00,9.00,6.25,6.00,8.00,5.00,303,5,NULL,'CENTRO','CHAPECO','SC',2591,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2056526,3.00,6.00,5.00,2.00,5.00,5.50,5.00,6.00,3.00,317,318,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',12585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056534,1.00,6.00,5.00,6.00,8.00,5.00,4.00,2.00,3.00,5,NULL,NULL,'CAMPECHE','FLORIANOPOLIS','SC',15675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056542,4.00,7.00,6.00,6.00,9.00,5.75,7.00,2.00,2.00,420,316,NULL,'CENTRO','FLORIANOPOLIS','SC',8102,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2056550,4.00,7.00,6.00,8.00,8.00,5.00,6.00,7.00,6.00,214,215,NULL,'EMBARE','SANTOS','SP',4277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056569,5.00,9.00,7.00,8.00,6.00,4.75,8.00,6.00,5.00,303,5,NULL,'PARQUE HIGIENÓPOLIS','PRESIDENTE PRUDENTE','SP',2490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,9,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2056585,4.00,5.00,4.00,7.00,2.00,NULL,6.00,5.00,3.00,420,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056593,4.00,8.00,6.00,7.00,8.00,5.50,7.00,8.00,5.00,214,420,212,'VILA EMA','SAO JOSE DOS CAMPOS','SP',3268,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2056607,4.00,6.00,4.00,6.00,6.00,4.00,4.00,5.00,5.00,333,238,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',10020,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2056631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,207,NULL,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2056640,4.00,7.00,5.00,9.00,7.00,7.00,5.00,5.00,4.00,103,102,NULL,'FAZENDA','ITAJAI','SC',6016,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2056658,3.00,5.00,2.00,5.00,7.00,5.25,6.00,4.00,2.00,103,101,NULL,'CENTRO','CHAPECO','SC',15320,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2056666,6.00,8.00,6.00,8.00,7.00,6.00,7.00,6.00,4.00,108,502,NULL,'CAMPECHE','FLORIANOPOLIS','SC',4523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,319,NULL,'CENTRO','CORUMBA','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2056682,5.00,6.00,3.00,7.00,7.00,6.00,6.00,7.00,5.00,404,501,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',5603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056690,4.00,6.00,5.00,4.00,7.00,5.75,5.00,7.00,5.00,302,501,NULL,'FLOR DE NÁPOLIS','SAO JOSE','SC',9373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056704,3.00,9.00,3.00,6.00,9.00,6.00,5.00,8.00,4.00,104,427,NULL,'CENTRO','TURVO','SC',5692,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2056712,4.00,8.00,4.00,8.00,6.00,6.50,5.00,6.00,2.00,319,310,NULL,'BARRA DA TIJUCA','RIO DE JANEIRO','RJ',7857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2056720,8.00,8.00,8.00,7.00,8.00,5.75,8.00,7.00,9.00,103,9,NULL,'CENTRO','FLORIANOPOLIS','SC',374,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2056739,2.00,6.00,1.00,6.00,5.00,6.50,2.00,7.00,5.00,103,108,NULL,'MAGALHÃES','LAGUNA','SC',13921,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2056747,5.00,6.00,5.00,6.00,6.00,4.50,7.00,3.00,4.00,9,502,NULL,'COQUEIROS','FLORIANOPOLIS','SC',9252,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2056763,4.00,8.00,9.00,7.00,8.00,7.00,8.00,7.00,3.00,2,202,NULL,'BAIRRO SANTA TEREZA','JOACABA','SC',2929,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2056771,8.00,8.00,9.00,4.00,9.00,7.00,8.00,8.00,8.00,103,211,NULL,'TRINDADE','FLORIANOPOLIS','SC',492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056780,8.00,8.00,5.00,8.00,8.00,5.75,8.00,6.00,8.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',1604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056798,8.00,8.00,9.00,9.00,9.00,8.00,8.00,5.00,7.00,103,428,NULL,'TRINDADE','FLORIANOPOLIS','SC',350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056801,6.00,7.00,5.00,6.00,9.00,6.50,7.00,8.00,5.00,333,102,NULL,'PRAIA DE BAIXO','BIGUACU','SC',2320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,202,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2056836,3.00,4.00,4.00,2.00,7.00,5.50,7.00,4.00,4.00,203,302,202,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',15744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056844,6.00,8.00,7.00,4.00,8.00,2.00,7.00,6.00,7.00,216,303,201,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2056852,5.00,9.00,8.00,9.00,9.00,5.75,8.00,6.00,6.00,238,316,208,'LAGOA DA CONCEICAO','FLORIANOPOLIS','SC',1369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056860,2.00,7.00,6.00,6.00,6.00,5.25,5.00,8.00,3.00,202,208,213,'CENTRO','SAO MIGUEL DOESTE','SC',8738,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2056879,2.00,2.00,0.00,4.00,6.00,NULL,2.00,2.00,2.00,101,319,NULL,'SETOR SEIS','ARIQUEMES','RO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2056887,5.00,7.00,6.00,8.00,7.00,6.25,6.00,7.00,4.00,104,9,NULL,'FLORESTA','JOINVILLE','SC',3585,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2056895,5.00,5.00,2.00,5.00,3.00,5.00,2.00,2.00,2.00,428,308,NULL,'JARDIM PAULISTA','BAURU','SP',20287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2056909,3.00,6.00,2.00,7.00,4.00,5.25,5.00,5.00,4.00,234,502,NULL,'VILA INDUSTRIAL','TOLEDO','PR',12069,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2056917,3.00,8.00,5.00,7.00,8.00,7.25,6.00,5.00,6.00,103,NULL,NULL,'AQUARIUS','SAO JOSE DOS CAMPOS','SP',4325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056925,3.00,6.00,6.00,8.00,8.00,5.00,6.00,5.00,3.00,103,2,NULL,'MOINHOS DE VENTO','PORTO ALEGRE','RS',7149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056933,3.00,6.00,1.00,4.00,6.00,5.75,3.00,2.00,2.00,217,333,NULL,'CENTRO','VACARIA','RS',19428,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2056950,4.00,7.00,3.00,7.00,6.00,6.25,5.00,6.00,4.00,327,423,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',8349,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2056968,6.00,7.00,8.00,7.00,8.00,4.75,8.00,7.00,7.00,303,5,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',2026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2056976,2.00,7.00,3.00,3.00,5.00,5.75,2.00,7.00,4.00,103,102,NULL,'SÃO ROQUE','BENTO GONCALVES','RS',15910,2712,968,NULL,NULL,NULL,NULL,4,3),(15,2056984,3.00,8.00,3.00,5.00,5.00,5.50,2.00,8.00,3.00,5,220,NULL,'COMASA','JOINVILLE','SC',12624,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2056992,3.00,8.00,7.00,8.00,8.00,5.00,5.00,5.00,3.00,202,208,NULL,'SALGADO FILHO','CAXIAS DO SUL','RS',5896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057018,6.00,8.00,9.00,7.00,8.00,7.50,8.00,7.00,5.00,303,5,NULL,'SAÚDE','SAO PAULO','SP',656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057026,2.00,7.00,4.00,0.00,6.00,6.75,4.00,4.00,3.00,215,9,216,'VILA MONTEIRO','PIRACICABA','SP',15870,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2057034,5.00,7.00,7.00,6.00,8.00,3.25,7.00,6.00,6.00,203,301,216,'CENTRO','LONDRINA','PR',4652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'VILA RÉ','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2057050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,207,208,'CENTRO','LAGOA VERMELHA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2057069,6.00,7.00,7.00,8.00,8.00,3.25,4.00,5.00,5.00,201,502,212,'SANTO ANTÔNIO','JOINVILLE','SC',5915,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2057077,3.00,6.00,6.00,4.00,5.00,4.25,6.00,6.00,3.00,203,2,214,'CHAMPAGNAT','LONDRINA','PR',12808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057085,2.00,3.00,4.00,4.00,7.00,5.75,4.00,3.00,3.00,302,324,NULL,'VARGINHA','SANTO AMARO DA IMPERATRIZ','SC',19289,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057093,3.00,8.00,5.00,5.00,7.00,5.75,5.00,7.00,3.00,103,9,NULL,'BOA VISTA','JOINVILLE','SC',8887,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2057107,4.00,8.00,3.00,6.00,7.00,5.25,7.00,7.00,2.00,207,NULL,NULL,'JARDIM COLONIAL','CAMPINAS','SP',7512,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057115,3.00,7.00,1.00,6.00,9.00,6.50,4.00,2.00,4.00,103,104,NULL,'LOMBA','ORLEANS','SC',11949,2364,1086,NULL,NULL,NULL,NULL,4,5),(15,2057123,6.00,9.00,8.00,8.00,9.00,7.00,7.00,8.00,6.00,203,NULL,233,'CENTRO','JARAGUA DO SUL','SC',1131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057131,2.00,6.00,0.00,5.00,5.00,NULL,4.00,8.00,2.00,319,329,NULL,'JARDIM ITAGUAÇU','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057140,0.00,6.00,1.00,7.00,8.00,NULL,5.00,6.00,1.00,304,318,NULL,'JARDIM PAULISTANO','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057158,2.00,6.00,1.00,5.00,3.00,3.25,5.00,7.00,3.00,213,203,202,'SÃO ROQUE','ITAJAI','SC',17928,291,1424,622,NULL,NULL,NULL,2,6),(15,2057166,3.00,8.00,2.00,8.00,8.00,7.25,4.00,7.00,5.00,425,426,428,'PANTANAL','FLORIANOPOLIS','SC',7745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057174,2.00,5.00,3.00,2.00,8.00,5.50,5.00,3.00,6.00,333,108,NULL,'CENTRO','BURITAMA','SP',15064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057182,5.00,7.00,6.00,4.00,7.00,6.00,6.00,5.00,4.00,103,104,NULL,'CAMPESTRE','SANTO ANDRE','SP',7504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057190,1.00,6.00,5.00,3.00,7.00,6.25,4.00,5.00,3.00,211,333,215,'MINA DO MATO','CRICIUMA','SC',14469,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2057212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,301,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2057220,3.00,6.00,4.00,1.00,4.00,5.00,2.00,3.00,4.00,444,333,NULL,'ÁGUA VERDE','CURITIBA','PR',18268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,201,216,'CITY RIBEIRAO','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2057247,2.00,7.00,3.00,7.00,5.00,5.25,6.00,8.00,5.00,328,424,NULL,'SERRARIA','SAO JOSE','SC',9232,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057255,7.00,8.00,5.00,7.00,8.00,4.50,8.00,7.00,6.00,420,308,NULL,'CAMPINAS','SAO JOSE','SC',2820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'AZAMBUJA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2057271,6.00,8.00,5.00,7.00,7.00,6.25,5.00,6.00,2.00,415,426,NULL,'PICADAS DO NORTE','SAO JOSE','SC',5976,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057280,1.00,8.00,3.00,3.00,4.00,5.75,4.00,5.00,5.00,9,301,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057298,7.00,8.00,8.00,9.00,8.00,6.75,8.00,7.00,6.00,233,224,216,'ITACORUBI','FLORIANOPOLIS','SC',845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057301,7.00,9.00,7.00,9.00,9.00,9.75,8.00,7.00,3.00,103,320,NULL,'ITACORUBI','FLORIANOPOLIS','SC',910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057328,4.00,7.00,4.00,9.00,5.00,5.25,3.00,7.00,4.00,319,108,NULL,'JARDIM PINHEIRO','SAO PAULO','SP',9000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057336,7.00,8.00,8.00,5.00,9.00,5.50,8.00,6.00,4.00,415,310,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',2661,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2057352,4.00,6.00,6.00,3.00,8.00,5.25,5.00,6.00,3.00,501,108,NULL,'BRASILIA','SAO BENTO DO SUL','SC',8321,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2057360,8.00,8.00,8.00,6.00,8.00,6.00,9.00,7.00,7.00,103,102,NULL,'VILA NOVA OSASCO','OSASCO','SP',819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057379,2.00,7.00,5.00,5.00,6.00,4.50,4.00,4.00,3.00,5,316,NULL,'IMIGRANTES','GUARAMIRIM','SC',14147,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2057387,6.00,9.00,6.00,8.00,8.00,7.25,7.00,6.00,5.00,103,108,NULL,'CARIANOS','FLORIANOPOLIS','SC',2740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057395,3.00,7.00,3.00,2.00,7.00,4.25,5.00,6.00,4.00,103,104,NULL,'CONTA DINHEIRO','LAGES','SC',12913,2436,1102,NULL,NULL,NULL,NULL,4,9),(15,2057409,0.00,0.00,0.00,1.00,3.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'REVOREDO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,10),(15,2057417,4.00,7.00,4.00,2.00,9.00,6.75,4.00,7.00,4.00,103,333,NULL,'ASILO','BLUMENAU','SC',8415,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2057433,3.00,8.00,4.00,4.00,6.00,6.00,3.00,2.00,3.00,104,319,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',13772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057441,5.00,8.00,8.00,8.00,8.00,6.25,8.00,7.00,6.00,216,201,207,'CERQUERIA CEZAR','SAO PAULO','SP',1585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057450,2.00,6.00,5.00,9.00,8.00,5.00,7.00,4.00,4.00,303,5,NULL,'CRUZEIRO NOVO','CRUZEIRO','DF',7850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2057476,1.00,5.00,4.00,2.00,6.00,3.75,3.00,3.00,3.00,202,203,213,'CENTRO','CORONEL VIVIDA','PR',20764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057484,5.00,8.00,2.00,8.00,5.00,5.25,5.00,6.00,2.00,104,207,NULL,'PIO CORREA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2057492,5.00,8.00,2.00,3.00,7.00,7.50,6.00,6.00,3.00,103,101,NULL,'CENTRO','CURITIBA','PR',8159,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2057506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'RENASCENCA DOIS','SAO LUIS','MA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2057514,1.00,6.00,2.00,3.00,5.00,6.50,3.00,5.00,3.00,201,207,203,'SAN REMO','LONDRINA','PR',18151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057522,1.00,7.00,6.00,5.00,7.00,4.25,5.00,6.00,2.00,203,2,NULL,'CENTRO','PONTA GROSSA','PR',11099,806,187,NULL,NULL,NULL,NULL,2,8),(15,2057530,4.00,7.00,7.00,3.00,8.00,5.00,7.00,7.00,6.00,203,301,214,'BRABÂNCIA','AVARE','SP',4524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057549,4.00,6.00,2.00,8.00,8.00,6.00,3.00,2.00,4.00,101,501,NULL,'MARTORANO','SAO JOAQUIM','SC',11815,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2057557,3.00,5.00,3.00,6.00,5.00,5.25,5.00,5.00,2.00,103,NULL,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',15725,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2057565,3.00,5.00,4.00,3.00,6.00,5.50,6.00,5.00,2.00,103,104,NULL,'CENTRO','TUBARAO','SC',12959,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2057573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,301,NULL,'VILA GILDA','SANTO ANDRE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2057581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,9,NULL,'JD NOVO AMPARO','AMPARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2057590,3.00,5.00,4.00,3.00,7.00,6.00,5.00,5.00,5.00,103,102,NULL,'CAMINHO NOVO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057603,3.00,6.00,4.00,9.00,8.00,5.50,6.00,5.00,4.00,201,303,203,'CENTRO','CACADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057611,4.00,8.00,8.00,7.00,5.00,6.75,7.00,6.00,4.00,302,331,NULL,'COMERCIÁRIO','CRICIUMA','SC',4364,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2057620,3.00,8.00,5.00,4.00,7.00,7.00,6.00,7.00,4.00,319,223,NULL,'KOBRASOL','SAO JOSE','SC',7133,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057638,6.00,9.00,8.00,6.00,7.00,7.75,7.00,9.00,7.00,207,450,211,'ITACORUBI','FLORIANOPOLIS','SC',847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057646,3.00,5.00,6.00,3.00,4.00,4.25,2.00,5.00,3.00,203,202,201,'SANTO ANTONIO','JOINVILLE','SC',18439,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2057654,5.00,6.00,5.00,7.00,9.00,7.25,6.00,6.00,6.00,303,304,NULL,'CENTRO','FLORIANOPOLIS','SC',3285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057662,4.00,7.00,2.00,5.00,8.00,5.75,5.00,5.00,4.00,108,102,NULL,'CENTRO','TIJUCAS','SC',9179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057697,4.00,2.00,1.00,4.00,7.00,4.00,5.00,4.00,3.00,420,501,NULL,'VILA INDUSTRIAL','ARACATUBA','SP',18758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,332,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2057719,3.00,3.00,0.00,1.00,3.00,NULL,2.00,3.00,3.00,103,101,NULL,'JARDIM CAMPOS SALES','COSMOPOLIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057727,8.00,8.00,8.00,8.00,9.00,7.00,8.00,7.00,6.00,104,423,NULL,'JARDIM PINHEIROS','SAO JOSE','SC',357,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057735,1.00,3.00,2.00,6.00,6.00,5.25,0.00,6.00,1.00,201,317,207,'SÃO JOSÉ','MARAVILHA','SC',20226,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2057743,1.00,4.00,2.00,6.00,6.00,5.50,2.00,3.00,3.00,324,108,NULL,'PONTA DE BAIXO','SAO JOSE','SC',19649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057751,2.00,6.00,1.00,4.00,5.00,NULL,1.00,1.00,1.00,5,333,NULL,'SANTA CATARINA','CACADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057760,2.00,6.00,3.00,5.00,6.00,4.75,7.00,5.00,3.00,104,NULL,NULL,'PRAIA BRAVA','ITAJAI','SC',13854,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2057778,3.00,6.00,1.00,2.00,6.00,6.00,4.00,3.00,3.00,102,216,NULL,'CAMPINHA','MASSARANDUBA','SC',18143,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2057786,4.00,7.00,3.00,5.00,7.00,7.00,5.00,6.00,4.00,426,308,428,'ITACORUBI','FLORIANOPOLIS','SC',8122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057794,6.00,8.00,7.00,6.00,8.00,8.50,7.00,6.00,4.00,5,415,NULL,'CACUPÉ','FLORIANOPOLIS','SC',2324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057808,3.00,6.00,3.00,7.00,4.00,4.50,4.00,3.00,3.00,301,223,NULL,'CAMINHO NOVO','PALHOCA','SC',17668,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057816,1.00,5.00,1.00,6.00,8.00,4.25,4.00,4.00,2.00,444,NULL,NULL,'BALNEARIO','FLORIANOPOLIS','SC',17127,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057832,4.00,4.00,4.00,7.00,7.00,6.50,5.00,6.00,4.00,103,NULL,NULL,'JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP',9576,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057840,3.00,7.00,2.00,3.00,4.00,3.75,5.00,6.00,1.00,214,212,213,'JOSÉ MENINO','SANTOS','SP',17059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057859,3.00,5.00,7.00,7.00,5.00,4.25,6.00,3.00,5.00,214,220,202,'CENTRO','JOINVILLE','SC',11095,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2057867,3.00,7.00,6.00,5.00,6.00,5.75,7.00,5.00,4.00,304,318,NULL,'CENTRO','FLORIANOPOLIS','SC',8022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057875,7.00,8.00,7.00,9.00,8.00,5.50,6.00,7.00,7.00,103,5,NULL,'BARRA','BALNEARIO CAMBORIU','SC',1364,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2057883,6.00,8.00,8.00,5.00,6.00,4.25,9.00,7.00,7.00,103,216,NULL,'BOQUEIRAO','CURITIBA','PR',2840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057891,6.00,7.00,6.00,4.00,7.00,5.25,6.00,5.00,2.00,103,224,NULL,'CENTRO','ITAJAI','SC',8775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057905,4.00,9.00,7.00,8.00,9.00,6.50,7.00,5.00,4.00,301,425,NULL,'CENTRO','IMBITUBA','SC',2885,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057913,4.00,3.00,0.00,7.00,7.00,7.25,6.00,4.00,1.00,404,424,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',13410,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2057921,4.00,7.00,2.00,7.00,7.00,5.50,5.00,6.00,2.00,101,303,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',9661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2057930,4.00,7.00,4.00,7.00,7.00,4.75,3.00,6.00,3.00,5,427,NULL,'ITACORUBI','FLORIANOPOLIS','SC',9875,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2057948,5.00,8.00,8.00,8.00,8.00,7.00,8.00,7.00,7.00,203,2,212,'BOA VISTA','JOINVILLE','SC',855,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2057956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,216,212,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2057972,3.00,5.00,3.00,4.00,4.00,6.00,2.00,2.00,3.00,207,420,NULL,'FUNDO CANOAS','RIO DO SUL','SC',21075,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2057999,7.00,8.00,7.00,7.00,8.00,6.25,7.00,7.00,4.00,104,328,NULL,'CENTRO','PRESIDENTE GETULIO','SC',1879,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2058006,5.00,8.00,6.00,6.00,8.00,6.25,8.00,9.00,6.00,214,303,203,'JARDIM PRIMAVERA','SANTA BARBARA D OESTE','SP',2041,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2058014,5.00,7.00,7.00,6.00,7.00,6.25,8.00,7.00,5.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',3557,1154,NULL,NULL,NULL,NULL,NULL,4,8),(15,2058022,4.00,6.00,4.00,1.00,9.00,3.25,5.00,6.00,5.00,207,420,201,'FORQUILHAS','SAO JOSE','SC',12946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058030,0.00,0.00,0.00,8.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(15,2058049,4.00,8.00,2.00,6.00,5.00,6.50,6.00,7.00,5.00,5,234,NULL,'CENTRO','FLORIANOPOLIS','SC',7937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058057,2.00,4.00,5.00,5.00,4.00,7.00,5.00,5.00,2.00,208,444,NULL,'JARDIM AQUÁRIOS','PALHOCA','SC',14889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'JARDIM PRIMAVERA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2058073,6.00,8.00,9.00,9.00,9.00,5.75,7.00,8.00,3.00,318,316,NULL,'CRUZEIRO DO SUL','CRICIUMA','SC',1779,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2058081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,201,NULL,'SAO JOSE','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2058090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2058103,1.00,4.00,1.00,1.00,4.00,4.75,4.00,3.00,3.00,103,319,NULL,'CENTRO','SAO CARLOS','SC',22153,3107,982,NULL,NULL,NULL,NULL,4,4),(15,2058111,5.00,8.00,6.00,6.00,8.00,6.25,6.00,5.00,5.00,215,207,201,'JARDIM MALUCHE','BRUSQUE','SC',4265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,203,201,'JARDIM ESTRELA','MAUA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2058138,5.00,7.00,8.00,6.00,8.00,5.00,8.00,6.00,7.00,103,216,NULL,'SANTO ANTONIO','TUBARAO','SC',3194,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2058154,4.00,8.00,7.00,8.00,7.00,6.25,6.00,5.00,4.00,303,5,NULL,'VILA MOEMA','TUBARAO','SC',4466,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2058162,5.00,8.00,8.00,8.00,8.00,6.00,8.00,8.00,8.00,103,101,NULL,'ESTREITO','FLORIANOPOLIS','SC',597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058170,5.00,7.00,5.00,5.00,6.00,3.50,5.00,6.00,3.00,331,234,NULL,'CAMPECHE','FLORIANOPOLIS','SC',8806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2058189,6.00,8.00,5.00,8.00,8.00,7.00,6.00,8.00,2.00,420,207,NULL,'JOSE MENDES','FLORIANOPOLIS','SC',3835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058200,4.00,4.00,6.00,4.00,7.00,4.75,5.00,3.00,2.00,316,324,NULL,'PASSA VINTE','PALHOCA','SC',14503,384,227,NULL,NULL,NULL,NULL,4,1),(15,2058227,6.00,7.00,3.00,8.00,9.00,6.25,7.00,9.00,6.00,104,101,NULL,'RIO GRANDE','PALHOCA','SC',2963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058235,5.00,8.00,6.00,8.00,8.00,6.00,5.00,7.00,3.00,102,444,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',3675,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2058243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,318,NULL,'PINHEIROS','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2058251,5.00,6.00,3.00,9.00,7.00,8.25,5.00,4.00,5.00,102,101,NULL,'CENTRO','CURITIBANOS','SC',5177,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2058260,8.00,9.00,9.00,9.00,8.00,7.00,9.00,8.00,7.00,203,233,214,'ASILO','BLUMENAU','SC',341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058286,4.00,5.00,4.00,6.00,6.00,5.50,5.00,4.00,4.00,319,108,NULL,'BELA VISTA','GASPAR','SC',12021,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2058294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,424,423,'JD VENEZA','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2058316,0.00,6.00,1.00,2.00,4.00,5.75,4.00,3.00,1.00,102,420,NULL,'CAMPINAS','SAO JOSE','SC',21797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058332,3.00,6.00,7.00,4.00,6.00,3.75,6.00,4.00,3.00,208,NULL,NULL,'MORRINHOS','BOMBINHAS','SC',12158,439,NULL,NULL,NULL,NULL,NULL,4,6),(15,2058359,4.00,6.00,5.00,5.00,9.00,6.25,4.00,4.00,3.00,207,420,212,'CENTRO','FLORIANOPOLIS','SC',9281,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2058367,3.00,7.00,5.00,8.00,7.00,4.50,6.00,4.00,3.00,220,233,203,'CENTRO','FLORIANOPOLIS','SC',9597,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2058375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'JARDIM ROMA','PIRASSUNUNGA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2058383,4.00,5.00,4.00,8.00,6.00,5.50,2.00,3.00,4.00,303,108,NULL,'INGLESES','FLORIANOPOLIS','SC',12283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2058391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,318,NULL,'CENTRO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2058405,6.00,7.00,7.00,8.00,8.00,5.00,8.00,7.00,6.00,203,223,201,'CANTA GALO','RIO DO SUL','SC',1450,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2058413,2.00,4.00,4.00,7.00,8.00,5.75,4.00,3.00,3.00,319,326,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',13810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058421,1.00,6.00,2.00,2.00,4.00,4.75,4.00,4.00,1.00,211,333,207,'RUBEM BERTA','PORTO ALEGRE','RS',21188,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2058430,2.00,1.00,1.00,4.00,4.00,5.50,4.00,5.00,2.00,102,216,NULL,'ASA NORTE','BRASILIA','DF',21306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058448,4.00,5.00,4.00,8.00,9.00,5.00,7.00,3.00,2.00,211,308,212,'IMIGRANTES','GUARAMIRIM','SC',9203,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2058464,5.00,7.00,6.00,4.00,7.00,6.25,6.00,7.00,3.00,317,NULL,NULL,'ROÇADO','SAO JOSE','SC',7393,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2058480,2.00,5.00,0.00,5.00,6.00,NULL,5.00,4.00,3.00,310,502,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2058499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2058502,4.00,7.00,5.00,9.00,6.00,5.75,6.00,7.00,3.00,103,104,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',5878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058510,2.00,7.00,4.00,7.00,8.00,5.50,3.00,5.00,3.00,215,319,201,'JOÃO PAULO','FLORIANOPOLIS','SC',12790,263,765,699,NULL,NULL,NULL,2,1),(15,2058529,4.00,7.00,5.00,2.00,7.00,6.75,5.00,3.00,4.00,103,207,NULL,'VILA INDUSTRIAL','TOLEDO','PR',11002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058537,7.00,7.00,8.00,7.00,8.00,6.50,7.00,9.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1388,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2058545,3.00,5.00,2.00,5.00,6.00,5.25,3.00,3.00,2.00,104,9,NULL,'BARREIROS','SAO JOSE','SC',17551,566,654,NULL,NULL,NULL,NULL,2,1),(15,2058561,3.00,8.00,3.00,7.00,7.00,7.00,3.00,6.00,3.00,303,302,NULL,'BARREIROS','SAO JOSE','SC',10127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058570,3.00,6.00,3.00,4.00,7.00,4.75,4.00,1.00,4.00,319,328,NULL,'CENTRO','FLORIANOPOLIS','SC',16367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,217,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2058596,8.00,8.00,9.00,8.00,7.00,5.75,8.00,8.00,8.00,103,102,NULL,'CENTRO','PATO BRANCO','PR',430,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2058626,7.00,8.00,6.00,5.00,8.00,7.50,8.00,6.00,6.00,303,207,NULL,'CENTRO','FLORIANOPOLIS','SC',2677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058634,3.00,8.00,5.00,5.00,6.00,3.50,7.00,6.00,3.00,211,108,233,'GLÓRIA','JOINVILLE','SC',10666,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2058642,7.00,8.00,9.00,9.00,9.00,5.50,9.00,7.00,8.00,203,424,233,'LAGOA','FLORIANOPOLIS','SC',314,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2058650,3.00,7.00,6.00,7.00,7.00,4.50,8.00,6.00,3.00,238,223,208,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',5273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058669,3.00,7.00,3.00,5.00,8.00,5.75,5.00,3.00,5.00,9,444,NULL,'PIO CORRÊA','CRICIUMA','SC',11477,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2058677,2.00,3.00,1.00,2.00,4.00,NULL,3.00,2.00,2.00,9,102,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2058685,5.00,7.00,7.00,5.00,7.00,4.50,7.00,6.00,5.00,103,5,NULL,'BOQUEIRAO','SANTOS','SP',4962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058693,5.00,7.00,6.00,6.00,8.00,8.00,7.00,6.00,7.00,319,309,NULL,'CENTRO','FLORIANOPOLIS','SC',2404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2058707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,211,213,'OFICINAS','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2058715,2.00,8.00,4.00,8.00,5.00,7.00,5.00,6.00,4.00,214,212,203,'CENTRO','CRICIUMA','SC',8636,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2058723,5.00,6.00,8.00,7.00,8.00,7.25,6.00,6.00,4.00,9,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',4346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058740,1.00,4.00,2.00,1.00,5.00,4.25,4.00,3.00,2.00,238,NULL,NULL,'AREIAS','SAO JOSE','SC',22109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058766,2.00,6.00,5.00,1.00,7.00,7.75,7.00,7.00,2.00,103,NULL,NULL,'REC EUCALIPTOS','MAIRINQUE','SP',9856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058774,0.00,5.00,0.00,3.00,6.00,7.00,4.00,3.00,2.00,303,215,NULL,'CENTRO','FLORIANOPOLIS','SC',20757,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2058782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2058790,4.00,7.00,7.00,8.00,7.00,6.00,7.00,5.00,4.00,2,225,NULL,'CENTRO','RIO DO SUL','SC',4061,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2058804,7.00,8.00,7.00,8.00,8.00,7.25,7.00,7.00,7.00,303,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,328,NULL,'MANGABEIRAS','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2058820,3.00,6.00,3.00,8.00,9.00,5.25,5.00,6.00,2.00,103,426,NULL,'CENTRO','FLORIANOPOLIS','SC',8207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058839,4.00,7.00,5.00,4.00,5.00,5.25,5.00,6.00,3.00,103,216,NULL,'ZONA RURAL','ALTO BELA VISTA','SC',9605,2095,723,NULL,NULL,NULL,NULL,2,7),(15,2058847,8.00,9.00,7.00,5.00,8.00,6.50,7.00,9.00,6.00,103,301,NULL,'PONTA AGUDA','BLUMENAU','SC',1241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058855,2.00,7.00,2.00,4.00,7.00,7.25,4.00,7.00,2.00,326,310,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',10867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058863,3.00,7.00,7.00,8.00,7.00,5.75,6.00,7.00,3.00,203,501,214,'JARDIM AMÉRICA','MELEIRO','SC',5206,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2058871,4.00,5.00,4.00,6.00,8.00,6.00,5.00,5.00,2.00,303,502,NULL,'COSTA E SILVA','JOINVILLE','SC',10131,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2058880,6.00,7.00,7.00,6.00,8.00,6.75,8.00,8.00,3.00,420,327,NULL,'CENTRO','FLORIANOPOLIS','SC',3279,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2058910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO DOMINGOS','NITEROI','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2058928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,501,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2058936,6.00,8.00,7.00,9.00,8.00,7.25,8.00,6.00,6.00,203,103,208,'COQUEIROS','FLORIANOPOLIS','SC',1480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2058944,7.00,9.00,2.00,6.00,8.00,5.75,6.00,4.00,4.00,207,420,NULL,'RIO MAINA','CRICIUMA','SC',5381,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2058952,5.00,8.00,6.00,7.00,8.00,6.25,7.00,6.00,5.00,103,102,NULL,'CENTRO','FLORIANOPOLIS','SC',2940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2058960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,215,220,'GLEBA PALHANO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2058987,4.00,8.00,3.00,7.00,8.00,4.75,5.00,7.00,1.00,108,333,NULL,'CAMPO DA LANÇA','MAFRA','SC',9483,183,633,NULL,NULL,NULL,NULL,2,1),(15,2058995,7.00,7.00,6.00,8.00,5.00,5.25,7.00,4.00,4.00,202,NULL,NULL,'CIDADE ALTA','BENTO GONCALVES','RS',5489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059002,7.00,7.00,8.00,6.00,7.00,4.25,7.00,8.00,8.00,104,201,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',2212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059010,4.00,6.00,7.00,6.00,8.00,8.25,5.00,5.00,5.00,303,5,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',5576,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2059029,5.00,6.00,3.00,2.00,4.00,5.00,2.00,4.00,1.00,203,214,NULL,'CENTRO','CONCORDIA','SC',19275,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2059045,4.00,8.00,6.00,5.00,8.00,6.50,4.00,6.00,3.00,302,223,NULL,'SERTÃO DO MARUIM','SAO JOSE','SC',6367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2059053,3.00,6.00,4.00,5.00,7.00,4.75,2.00,4.00,2.00,423,427,426,'CARVOEIRA','FLORIANOPOLIS','SC',16209,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2059061,6.00,7.00,6.00,9.00,8.00,6.00,6.00,7.00,5.00,207,420,NULL,'SANTA TEREZINHA','SAO PAULO','SP',2587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059070,5.00,7.00,3.00,8.00,6.00,5.00,2.00,7.00,4.00,103,104,NULL,'VILA LENZI','JARAGUA DO SUL','SC',9912,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2059088,6.00,7.00,5.00,5.00,8.00,6.00,6.00,7.00,3.00,5,423,NULL,'CENTRO','FLORIANOPOLIS','SC',5726,269,129,NULL,NULL,NULL,NULL,2,1),(15,2059096,7.00,8.00,6.00,9.00,9.00,6.75,7.00,6.00,6.00,215,102,211,'TRINDADE','FLORIANOPOLIS','SC',1363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059100,4.00,9.00,1.00,6.00,8.00,8.00,5.00,7.00,2.00,103,101,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',8209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059118,1.00,7.00,2.00,6.00,4.00,5.50,1.00,4.00,3.00,502,501,NULL,'CENTRO','SAO JOAQUIM','SC',18664,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2059126,5.00,7.00,3.00,8.00,8.00,5.00,4.00,5.00,3.00,303,207,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059134,3.00,8.00,4.00,7.00,8.00,6.50,5.00,5.00,3.00,238,317,208,'CENTRO','SAO JOSE','SC',8038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059142,1.00,7.00,1.00,7.00,6.00,4.25,5.00,7.00,1.00,102,217,NULL,'ATIRADORES','JOINVILLE','SC',14819,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2059150,4.00,4.00,6.00,7.00,7.00,3.75,7.00,5.00,3.00,233,223,212,'BARRACÃO','BENTO GONCALVES','RS',9463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059169,3.00,8.00,2.00,7.00,7.00,6.25,6.00,7.00,1.00,2,326,NULL,'FORQUILHINHAS','SAO JOSE','SC',9409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059177,4.00,9.00,5.00,7.00,9.00,5.50,8.00,6.00,7.00,103,217,NULL,'ANITA GARIBALDI','JOINVILLE','SC',2601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059185,3.00,7.00,6.00,1.00,6.00,3.75,4.00,5.00,4.00,211,9,NULL,'BOA ESPERANÇA','CUIABA','MT',13431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059193,7.00,7.00,4.00,8.00,8.00,5.25,6.00,5.00,4.00,233,234,201,'PONTA DE BAIXO','SAO JOSE','SC',6044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059207,7.00,8.00,8.00,8.00,8.00,6.25,8.00,8.00,6.00,5,303,NULL,'PASSO DOS FORTES','CHAPECO','SC',1029,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2059215,4.00,5.00,4.00,4.00,6.00,5.25,7.00,5.00,4.00,424,329,427,'COQUEIROS','FLORIANOPOLIS','SC',11577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059223,4.00,4.00,3.00,4.00,4.00,6.25,5.00,7.00,2.00,103,101,NULL,'PARQUE PINHEIROS','TABOAO DA SERRA','SP',13180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059231,4.00,8.00,3.00,5.00,6.00,5.25,5.00,7.00,4.00,103,9,NULL,'BOQUEIRÃO','CURITIBA','PR',8437,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2059240,6.00,7.00,8.00,6.00,8.00,7.25,8.00,6.00,7.00,303,201,NULL,'JD EULINA','CAMPINAS','SP',1274,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2059258,3.00,6.00,3.00,2.00,4.00,3.50,1.00,5.00,2.00,501,NULL,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',21328,294,NULL,NULL,NULL,NULL,NULL,2,1),(15,2059266,7.00,9.00,9.00,9.00,9.00,7.25,9.00,9.00,7.00,220,301,202,'CENTRO','FLORIANOPOLIS','SC',68,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059274,0.00,4.00,1.00,1.00,3.00,NULL,3.00,4.00,2.00,208,201,NULL,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059282,8.00,8.00,9.00,6.00,8.00,7.25,9.00,9.00,8.00,103,9,NULL,'ESTREITO','FLORIANOPOLIS','SC',109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059290,7.00,8.00,8.00,8.00,7.00,4.75,8.00,8.00,5.00,214,327,203,'CORREGO GRANDE','FLORIANOPOLIS','SC',1504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059304,3.00,4.00,2.00,4.00,4.00,2.50,3.00,5.00,1.00,501,303,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2059312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,207,NULL,'CENTRO','PALMITINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2059320,3.00,7.00,8.00,8.00,9.00,6.75,7.00,7.00,5.00,102,103,NULL,'CENTRO','JARAGUA DO SUL','SC',2275,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2059339,8.00,8.00,8.00,9.00,9.00,7.50,9.00,6.00,5.00,216,9,207,'CENTRO','FLORIANOPOLIS','SC',517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059347,8.00,9.00,9.00,8.00,9.00,7.00,9.00,7.00,7.00,103,108,NULL,'TRINDADE','FLORIANOPOLIS','SC',189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059355,4.00,7.00,5.00,9.00,7.00,6.50,6.00,5.00,4.00,420,501,NULL,'ITACORUBI','FLORIANOPOLIS','SC',5797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059363,1.00,6.00,3.00,1.00,6.00,6.50,4.00,4.00,3.00,102,217,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',17855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059371,7.00,8.00,7.00,8.00,7.00,5.75,8.00,5.00,4.00,5,104,NULL,'SETOR SUDOESTE','CRUZEIRO','DF',3032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059380,4.00,8.00,4.00,5.00,8.00,7.00,6.00,5.00,5.00,316,317,NULL,'CAMPINAS','SAO JOSE','SC',6389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,9,NULL,'JARDIM TROPICAL','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2059401,6.00,5.00,7.00,2.00,7.00,5.00,4.00,5.00,3.00,203,101,202,'TRINDADE','FLORIANOPOLIS','SC',11866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059410,5.00,5.00,6.00,8.00,7.00,5.00,6.00,4.00,4.00,9,215,NULL,'NORTE AGUAS CLARAS','TAGUATINGA','DF',7605,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2059428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TARUMÃ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2059436,5.00,6.00,7.00,7.00,7.00,6.50,7.00,7.00,5.00,207,216,211,'CENTRO','CRICIUMA','SC',3820,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2059444,3.00,6.00,6.00,5.00,6.00,6.50,5.00,2.00,2.00,201,223,212,'SANTA MÔNICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059452,6.00,8.00,7.00,3.00,7.00,5.00,8.00,7.00,4.00,208,222,238,'PONTE DE IMARUIM','PALHOCA','SC',4701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2059460,5.00,6.00,6.00,4.00,8.00,5.25,4.00,6.00,5.00,233,217,238,'KOBRASOL','SAO JOSE','SC',7738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059487,3.00,5.00,5.00,4.00,3.00,5.50,4.00,5.00,2.00,304,301,NULL,'JARDIM MARAJOARA','SAO PAULO','SP',16497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,234,212,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2059509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,320,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2059517,6.00,5.00,5.00,5.00,4.00,5.75,2.00,2.00,4.00,103,101,NULL,'CENTRO','MARIALVA','PR',13049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059525,3.00,5.00,3.00,2.00,5.00,5.00,5.00,6.00,5.00,318,331,NULL,'BARREIROS','SAO JOSE','SC',13849,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2059533,2.00,6.00,2.00,3.00,6.00,3.00,1.00,6.00,1.00,415,201,NULL,'AMERICA','JOINVILLE','SC',20191,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2059541,4.00,8.00,8.00,7.00,8.00,7.25,5.00,6.00,5.00,207,332,211,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',3567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2059550,6.00,8.00,8.00,9.00,9.00,6.00,8.00,8.00,7.00,203,108,233,'ARIRIÚ DA FORMIGA','PALHOCA','SC',486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059568,4.00,6.00,2.00,4.00,7.00,6.25,5.00,4.00,3.00,103,319,NULL,'VILA MARIANA','SAO PAULO','SP',14154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059576,7.00,7.00,6.00,6.00,8.00,8.00,6.00,5.00,6.00,103,319,NULL,'ÁGUA VERDE','JARAGUA DO SUL','SC',2224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059584,3.00,7.00,5.00,8.00,8.00,5.00,7.00,4.00,4.00,220,5,216,'SANTA TEREZA','VIDEIRA','SC',6342,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2059592,2.00,4.00,1.00,4.00,5.00,5.50,1.00,4.00,1.00,103,104,NULL,'CENTRO','CORREIA PINTO','SC',21889,3090,1268,NULL,NULL,NULL,NULL,2,9),(15,2059606,8.00,9.00,10.00,8.00,8.00,5.50,9.00,8.00,7.00,203,202,220,'ANITA GARIBALDI','JOINVILLE','SC',312,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2059614,4.00,8.00,3.00,4.00,8.00,6.75,2.00,6.00,3.00,102,217,NULL,'AGUA BRANCA','SAO FRANCISCO DO SUL','SC',10881,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2059630,7.00,8.00,6.00,7.00,7.00,5.50,7.00,6.00,3.00,9,444,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',4380,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2059649,2.00,5.00,1.00,5.00,4.00,3.75,5.00,4.00,3.00,238,225,208,'OFICINAS','TUBARAO','SC',19360,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2059657,7.00,9.00,9.00,7.00,7.00,6.75,8.00,8.00,7.00,303,301,NULL,'BARREIROS','SAO JOSE','SC',481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059665,6.00,8.00,10.00,9.00,8.00,4.50,8.00,6.00,7.00,103,450,NULL,'CENTRO','PRESIDENTE PRUDENTE','SP',1093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,304,207,'MARCO','BELEM','PA',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2059681,4.00,8.00,6.00,7.00,8.00,5.00,6.00,7.00,4.00,103,102,NULL,'CENTRO','FLORIANOPOLIS','SC',4789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059690,2.00,4.00,2.00,5.00,5.00,6.00,1.00,4.00,3.00,101,108,NULL,'CENTRO','BENTO GONCALVES','RS',19766,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2059703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,415,NULL,'BARÃO GERALDO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2059720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2059738,7.00,8.00,8.00,8.00,8.00,4.75,7.00,7.00,5.00,103,102,NULL,'CENTRO','FRANCISCO BELTRAO','PR',1841,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2059746,8.00,8.00,9.00,8.00,9.00,7.50,9.00,7.00,8.00,103,203,NULL,'FLORESTA','SAO MIGUEL DO IGUACU','PR',146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059754,6.00,6.00,3.00,2.00,6.00,6.25,5.00,5.00,2.00,220,203,NULL,'PARTENON','PORTO ALEGRE','RS',13588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059762,7.00,7.00,9.00,8.00,9.00,6.75,8.00,7.00,6.00,220,202,203,'COMERCIÁRIO','CRICIUMA','SC',861,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2059789,6.00,8.00,8.00,8.00,7.00,5.75,7.00,9.00,5.00,207,328,201,'ANITA GARIBALDI','JOINVILLE','SC',1647,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2059797,3.00,5.00,4.00,6.00,4.00,6.25,5.00,6.00,3.00,308,309,NULL,'FLORESTA','SAO JOSE','SC',11321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2059800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,326,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2059827,1.00,4.00,0.00,4.00,4.00,4.50,3.00,3.00,4.00,9,215,NULL,'CENTRO','IOMERE','SC',21381,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2059835,6.00,7.00,9.00,5.00,7.00,6.50,8.00,6.00,7.00,203,202,233,'DAS NAÇÕES','TIMBO','SC',1901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059843,2.00,5.00,1.00,1.00,6.00,NULL,2.00,4.00,0.00,104,319,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059851,7.00,8.00,7.00,5.00,8.00,6.00,7.00,9.00,6.00,301,318,NULL,'SORGATTO','CACADOR','SC',1909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059878,5.00,7.00,8.00,5.00,8.00,7.00,8.00,7.00,5.00,208,450,238,'CENTRO','FLORIANOPOLIS','SC',1947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059894,5.00,7.00,2.00,5.00,7.00,5.00,4.00,7.00,3.00,9,108,NULL,'GLÓRIA','JOINVILLE','SC',10165,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2059916,8.00,9.00,9.00,9.00,9.00,8.50,8.00,7.00,7.00,103,104,NULL,'TRINDADE','FLORIANOPOLIS','SC',22,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,420,NULL,'FREGUESIA DO Ó','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2059932,1.00,3.00,4.00,2.00,7.00,4.75,3.00,4.00,1.00,303,207,NULL,'CENTRO','TIJUCAS','SC',21101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059940,6.00,7.00,6.00,6.00,8.00,5.50,7.00,6.00,4.00,104,224,NULL,'CENTRO','SAO JOSE','SC',3935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059959,3.00,6.00,7.00,3.00,9.00,5.75,5.00,4.00,3.00,201,302,212,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',11085,620,248,234,NULL,NULL,NULL,2,1),(15,2059967,2.00,5.00,3.00,2.00,1.00,NULL,2.00,5.00,1.00,104,501,NULL,'CENTRO','LAGOA VERMELHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2059975,6.00,7.00,4.00,4.00,7.00,6.50,7.00,5.00,5.00,303,444,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',7057,402,360,NULL,NULL,NULL,NULL,4,1),(15,2059983,2.00,5.00,6.00,7.00,6.00,5.25,7.00,4.00,4.00,201,9,207,'JARDIM BOTÂNICO','SINOP','MT',9677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2059991,1.00,2.00,2.00,1.00,6.00,NULL,3.00,4.00,3.00,102,304,NULL,'COLONIA VINTE','TAQUARI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060019,3.00,9.00,2.00,4.00,7.00,4.50,6.00,8.00,1.00,324,339,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',12513,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060027,6.00,8.00,5.00,9.00,9.00,5.75,9.00,8.00,8.00,216,211,215,'SÃO BERNARDO','BELO HORIZONTE','MG',719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060043,4.00,8.00,8.00,7.00,8.00,7.00,9.00,7.00,7.00,216,201,215,'TRINDADE','FLORIANOPOLIS','SC',1212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060060,5.00,8.00,4.00,7.00,7.00,4.50,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',8073,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2060078,5.00,6.00,5.00,8.00,7.00,5.75,8.00,7.00,6.00,207,2,201,'CENTRO','CRICIUMA','SC',3504,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2060086,4.00,5.00,6.00,6.00,8.00,6.25,6.00,3.00,5.00,103,101,NULL,'CENTRO','CASCAVEL','PR',8677,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060116,4.00,4.00,3.00,6.00,8.00,7.00,6.00,4.00,4.00,308,339,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',10091,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060124,7.00,8.00,8.00,5.00,6.00,6.00,6.00,7.00,6.00,201,234,215,'CENTRO','FLORIANOPOLIS','SC',2559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'WERNER PLAAS','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2060140,5.00,6.00,7.00,5.00,8.00,6.50,5.00,6.00,4.00,9,319,NULL,'PONTA AGUDA','BLUMENAU','SC',5922,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2060167,8.00,7.00,6.00,9.00,6.00,5.50,6.00,7.00,7.00,303,5,NULL,'JARDIM BRASILIA','AMERICANA','SP',1845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060183,7.00,8.00,7.00,7.00,6.00,5.25,8.00,8.00,6.00,5,303,NULL,'JARDIM COROADOS','ARAPONGAS','PR',2392,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060191,6.00,6.00,4.00,4.00,8.00,6.75,6.00,6.00,3.00,103,102,NULL,'SAO LUIZ','CRICIUMA','SC',8741,1994,NULL,NULL,NULL,NULL,NULL,4,5),(15,2060205,4.00,7.00,3.00,6.00,9.00,5.25,3.00,2.00,3.00,301,308,NULL,'CAMPINAS','SAO JOSE','SC',13626,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060213,3.00,7.00,3.00,3.00,8.00,4.75,5.00,5.00,3.00,501,502,NULL,'TRINDADE','FLORIANOPOLIS','SC',12614,126,219,NULL,NULL,NULL,NULL,2,1),(15,2060221,5.00,8.00,7.00,4.00,6.00,6.50,7.00,6.00,6.00,103,104,NULL,'CENTRO','ASTORGA','PR',3250,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2060230,4.00,7.00,8.00,7.00,9.00,6.50,8.00,8.00,2.00,415,327,NULL,'KOBRASOL','SAO JOSE','SC',2619,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060248,3.00,5.00,4.00,3.00,7.00,5.50,4.00,4.00,4.00,5,9,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,303,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2060272,4.00,8.00,3.00,1.00,7.00,7.00,6.00,5.00,3.00,102,101,NULL,'FREI ROGERIO','LAGES','SC',12053,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2060280,2.00,3.00,0.00,6.00,7.00,3.25,4.00,4.00,1.00,208,NULL,NULL,'JARDIM BETHANIA','SAO CARLOS','SP',20406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060299,3.00,4.00,5.00,5.00,7.00,6.25,6.00,2.00,5.00,9,102,NULL,'CENTRO','SAO PEDRO DE ALCANTARA','SC',12779,151,895,NULL,NULL,NULL,NULL,2,1),(15,2060302,4.00,6.00,5.00,5.00,5.00,5.25,6.00,4.00,3.00,333,108,NULL,'CAMPECHE','FLORIANOPOLIS','SC',10563,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060310,2.00,2.00,1.00,0.00,4.00,NULL,0.00,1.00,3.00,9,425,NULL,'FUNDOS','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060329,3.00,4.00,2.00,4.00,7.00,6.50,6.00,4.00,2.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',15650,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060337,6.00,7.00,8.00,4.00,7.00,4.50,8.00,7.00,5.00,333,316,NULL,'GUANABARA','JOINVILLE','SC',3732,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2060345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'BUTANTÃ','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2060361,7.00,7.00,5.00,7.00,8.00,6.00,7.00,4.00,4.00,502,108,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',5490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060370,2.00,6.00,4.00,8.00,8.00,7.25,6.00,5.00,3.00,420,319,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',8300,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060388,4.00,6.00,6.00,4.00,7.00,5.25,3.00,6.00,3.00,103,216,NULL,'CENTRO','BARRA DO BUGRES','MT',12336,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2060396,6.00,9.00,9.00,7.00,8.00,7.50,8.00,8.00,6.00,203,201,214,'CAPOEIRAS','FLORIANOPOLIS','SC',461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060400,4.00,5.00,2.00,5.00,8.00,5.75,5.00,4.00,2.00,415,319,NULL,'ESTREITO','FLORIANOPOLIS','SC',14105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060426,6.00,8.00,7.00,7.00,7.00,6.25,8.00,8.00,6.00,103,104,NULL,'SAGRADO C DE JESUS','LAGES','SC',1453,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2060434,3.00,3.00,2.00,0.00,4.00,NULL,2.00,3.00,1.00,102,216,NULL,'GUADALUPE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2060442,3.00,8.00,2.00,6.00,7.00,8.00,6.00,4.00,4.00,5,426,NULL,'CANTA GALO','RIO DO SUL','SC',8177,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060477,6.00,7.00,8.00,4.00,7.00,5.75,5.00,5.00,5.00,301,316,NULL,'HIGIENÓPOLIS','SANTA CRUZ DO SUL','RS',5555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060485,3.00,3.00,3.00,1.00,3.00,NULL,2.00,3.00,1.00,5,303,NULL,'MORRO DA CRUZ','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060493,3.00,8.00,2.00,6.00,7.00,9.50,4.00,9.00,3.00,327,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',8297,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060507,2.00,6.00,1.00,1.00,5.00,4.75,1.00,4.00,3.00,102,217,NULL,'CENTRO','SAO JOSE DO CEDRO','SC',21218,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2060515,4.00,6.00,1.00,4.00,4.00,3.50,3.00,3.00,5.00,327,324,NULL,'FORQUILHINHAS','SAO JOSE','SC',17361,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,220,202,'JARDIM GLÓRIA','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2060540,4.00,8.00,5.00,5.00,6.00,6.00,3.00,6.00,1.00,104,301,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',11847,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2060558,2.00,4.00,3.00,4.00,4.00,4.75,2.00,5.00,3.00,303,324,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060566,0.00,5.00,0.00,2.00,5.00,5.50,3.00,5.00,4.00,104,501,NULL,'ALTO BIGUAÇU','BIGUACU','SC',20526,670,565,NULL,NULL,NULL,NULL,4,1),(15,2060574,2.00,4.00,4.00,2.00,2.00,NULL,4.00,5.00,3.00,301,425,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060582,4.00,8.00,1.00,5.00,9.00,9.00,7.00,5.00,4.00,319,320,NULL,'PANTANAL','FLORIANOPOLIS','SC',5559,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060590,5.00,8.00,7.00,9.00,9.00,6.25,7.00,7.00,5.00,108,102,NULL,'TRINDADE','FLORIANOPOLIS','SC',2220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060604,4.00,7.00,3.00,2.00,7.00,4.00,2.00,6.00,2.00,5,303,NULL,'GONZAGA','SANTOS','SP',16374,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060612,8.00,9.00,7.00,9.00,9.00,7.50,8.00,6.00,6.00,5,329,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060620,6.00,7.00,5.00,6.00,7.00,5.75,5.00,5.00,2.00,9,308,NULL,'PASSA VINTE','PALHOCA','SC',7645,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060639,6.00,6.00,6.00,5.00,7.00,6.50,7.00,5.00,3.00,317,224,NULL,'PICADAS DO NORTE','SAO JOSE','SC',7142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060655,2.00,5.00,4.00,3.00,6.00,4.00,4.00,5.00,2.00,404,212,NULL,'CAMPINAS','SAO JOSE','SC',17133,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060663,9.00,9.00,8.00,9.00,8.00,7.50,9.00,9.00,8.00,103,NULL,NULL,'JARDIM SOBRADINHO','ARARAS','SP',11,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060680,5.00,7.00,5.00,8.00,9.00,7.25,5.00,5.00,5.00,102,215,NULL,'BSQUE DOS EUCALIPTOS','SAO JOSE DOS CAMPOS','SP',4228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060698,4.00,9.00,6.00,7.00,8.00,6.50,8.00,7.00,6.00,103,108,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',2549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'SANTA CANDIDA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2060710,4.00,6.00,1.00,6.00,9.00,5.00,3.00,4.00,1.00,101,423,NULL,'TRINDADE','FLORIANOPOLIS','SC',15459,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060736,3.00,5.00,6.00,5.00,7.00,5.00,7.00,4.00,6.00,2,202,NULL,'SAO SIMAO','CRICIUMA','SC',9725,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2060744,3.00,7.00,6.00,8.00,6.00,7.50,8.00,6.00,6.00,201,224,212,'JARDIM GLÓRIA','BENTO GONCALVES','RS',4195,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2060752,5.00,7.00,2.00,7.00,7.00,4.50,5.00,7.00,3.00,415,301,NULL,'CENTRO','FLORIANOPOLIS','SC',9381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,215,202,'MONTE CASTELO','SAO LUIS','MA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2060779,5.00,7.00,3.00,8.00,5.00,2.00,2.00,3.00,3.00,9,103,NULL,'CENTRO','CARAGUATATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060787,2.00,6.00,2.00,0.00,3.00,4.50,3.00,7.00,2.00,324,420,NULL,'BOM VIVER','BIGUACU','SC',20423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060795,7.00,8.00,6.00,9.00,6.00,5.50,7.00,6.00,6.00,103,NULL,NULL,'SAO PEDRO','SAO JOSE DO RIO PRETO','SP',2920,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2060809,1.00,2.00,0.00,4.00,6.00,NULL,2.00,3.00,3.00,502,451,NULL,'FREI BRUNO','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2060817,2.00,5.00,3.00,6.00,4.00,4.75,3.00,5.00,5.00,103,216,NULL,'ARISTOCRATA','SAO JOSE DOS PINHAIS','PR',16457,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2060825,3.00,5.00,2.00,7.00,7.00,6.75,4.00,5.00,3.00,217,9,NULL,'ASA SUL','BRASILIA','DF',12410,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060841,5.00,4.00,3.00,3.00,5.00,5.50,5.00,3.00,2.00,104,333,NULL,'ILHOTINHA','CAPIVARI DE BAIXO','SC',16850,540,876,NULL,NULL,NULL,NULL,2,10),(15,2060850,4.00,4.00,3.00,7.00,5.00,4.00,3.00,5.00,4.00,333,NULL,NULL,'PARQUE SANTO ANTONIO','SUMARE','SP',14404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2060876,6.00,7.00,8.00,5.00,7.00,5.50,8.00,5.00,6.00,103,NULL,NULL,'JARDIM AMÉRICA','SANTA BARBARA D OESTE','SP',4150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060884,5.00,7.00,5.00,9.00,8.00,6.00,6.00,5.00,5.00,102,217,NULL,'NOVA ITÁLIA','URUSSANGA','SC',4598,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2060892,8.00,8.00,8.00,8.00,9.00,4.75,9.00,5.00,7.00,238,215,208,'INGLESES','FLORIANOPOLIS','SC',1141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060906,3.00,5.00,4.00,2.00,5.00,5.25,3.00,3.00,2.00,202,2,238,'PLANALTO','CARLOS BARBOSA','RS',19461,656,247,724,NULL,NULL,NULL,4,1),(15,2060914,4.00,6.00,4.00,6.00,8.00,6.00,6.00,5.00,3.00,301,326,NULL,'CAMPINAS','SAO JOSE','SC',10551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060922,8.00,8.00,9.00,6.00,9.00,5.75,8.00,7.00,7.00,103,104,NULL,'CENTRO','GUARAMIRIM','SC',1061,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2060949,6.00,8.00,7.00,8.00,7.00,6.25,8.00,7.00,5.00,202,203,NULL,'JARDIM EUROPA','BRAGANCA PAULISTA','SP',2291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060965,7.00,8.00,4.00,9.00,5.00,6.00,8.00,7.00,7.00,103,303,NULL,'VL REGINA','GOIANIA','GO',1989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2060973,5.00,7.00,7.00,6.00,7.00,5.25,9.00,7.00,6.00,203,216,201,'JARDIM COLINA VERDE','GOIOERE','PR',3974,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2060981,8.00,7.00,6.00,8.00,9.00,6.00,7.00,6.00,4.00,301,316,NULL,'GARCIA','BLUMENAU','SC',1990,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2060990,6.00,6.00,4.00,2.00,8.00,4.50,7.00,4.00,1.00,316,224,NULL,'ESTREITO','FLORIANOPOLIS','SC',11544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061015,3.00,6.00,6.00,6.00,6.00,5.25,5.00,5.00,5.00,5,316,NULL,'GLÓRIA','JOINVILLE','SC',10520,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2061023,4.00,4.00,1.00,1.00,6.00,5.00,5.00,3.00,3.00,302,317,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',19189,159,638,NULL,NULL,NULL,NULL,4,1),(15,2061031,3.00,2.00,3.00,1.00,6.00,5.25,3.00,2.00,2.00,423,425,424,'VILA NOVA','TROMBUDO CENTRAL','SC',22067,115,439,108,NULL,NULL,NULL,4,2),(15,2061040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,316,NULL,'BOEHMERWALDT','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2061058,8.00,9.00,9.00,6.00,7.00,5.00,8.00,7.00,7.00,103,203,NULL,'VILA IPIRANGA','MARINGA','PR',1198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061066,5.00,6.00,5.00,7.00,8.00,5.50,7.00,4.00,4.00,203,NULL,214,'CENTRO','JOINVILLE','SC',6361,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2061074,2.00,5.00,2.00,1.00,4.00,NULL,1.00,3.00,1.00,207,NULL,201,'INDÚSTRIAL','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2061082,5.00,9.00,8.00,7.00,9.00,5.75,7.00,5.00,6.00,102,211,NULL,'ASILO','BLUMENAU','SC',2429,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2061112,3.00,7.00,3.00,5.00,7.00,7.50,3.00,6.00,2.00,108,326,NULL,'BORGO','BENTO GONCALVES','RS',11293,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2061120,3.00,5.00,2.00,4.00,6.00,4.50,4.00,6.00,2.00,301,102,NULL,'ATIRADORES','JOINVILLE','SC',18181,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2061139,1.00,4.00,1.00,2.00,5.00,NULL,3.00,3.00,2.00,108,102,NULL,'VILA BARRETO','MAIRINQUE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061147,5.00,7.00,4.00,5.00,9.00,4.25,5.00,5.00,5.00,108,310,NULL,'PARQUE INDUSTRIAL','SAO JOSE DOS CAMPOS','SP',8824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061155,1.00,6.00,3.00,3.00,4.00,5.75,3.00,4.00,4.00,415,NULL,NULL,'ATIRADORES','JOINVILLE','SC',19853,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2061163,1.00,4.00,1.00,2.00,3.00,NULL,2.00,3.00,4.00,304,318,NULL,'SANTO ANTONIO','SAO ROQUE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061180,5.00,8.00,6.00,6.00,9.00,6.00,6.00,4.00,6.00,103,102,NULL,'SANTO ANTONIO','LONDRINA','PR',3880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061201,4.00,5.00,4.00,9.00,7.00,7.75,5.00,8.00,2.00,301,427,NULL,'TRINDADE','FLORIANOPOLIS','SC',6994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061210,2.00,5.00,3.00,4.00,4.00,6.00,2.00,4.00,2.00,215,331,233,'RESD SANTA HELENA','CACAPAVA','SP',19681,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2061228,3.00,8.00,5.00,8.00,6.00,5.00,6.00,7.00,4.00,5,332,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',6035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061236,4.00,7.00,1.00,5.00,6.00,4.00,2.00,5.00,1.00,328,329,NULL,'CENTENARIO','LAGES','SC',17250,34,211,NULL,NULL,NULL,NULL,2,9),(15,2061244,2.00,4.00,0.00,0.00,4.00,NULL,2.00,3.00,0.00,203,201,214,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2061252,6.00,8.00,8.00,4.00,9.00,6.75,6.00,6.00,1.00,102,328,NULL,'PONTE DO IMARUIM','PALHOCA','SC',4802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'LAGO SUL','LAGO SUL','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2061295,4.00,9.00,6.00,9.00,9.00,6.50,3.00,6.00,3.00,420,301,NULL,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',3789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,451,NULL,'LIBERDADE','RESENDE','RJ',NULL,NULL,NULL,NULL,'S','S','S',3,1),(15,2061317,4.00,9.00,8.00,9.00,9.00,7.50,7.00,7.00,6.00,203,202,214,'SANTA RITA','BRUSQUE','SC',789,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2061325,2.00,6.00,2.00,1.00,2.00,NULL,3.00,5.00,3.00,213,214,202,'J MARIANA','CUIABA','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,425,238,'CENTRO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2061350,8.00,8.00,9.00,8.00,8.00,8.00,9.00,8.00,8.00,103,102,NULL,'JARDIM ESTORIL','BAURU','SP',139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061368,7.00,8.00,5.00,0.00,0.00,NULL,5.00,6.00,2.00,216,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,8),(15,2061376,2.00,5.00,2.00,4.00,6.00,3.25,6.00,4.00,2.00,404,328,NULL,'IPIRANGA','SAO JOSE','SC',18209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061384,5.00,7.00,5.00,1.00,6.00,5.00,3.00,4.00,2.00,103,104,NULL,'CENTRO','CANOINHAS','SC',15803,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2061392,1.00,6.00,7.00,4.00,6.00,5.50,2.00,5.00,6.00,222,213,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',12016,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2061406,1.00,5.00,4.00,1.00,4.00,3.00,4.00,3.00,2.00,202,222,213,'CENTRO','LEOBERTO LEAL','SC',21456,703,228,341,NULL,NULL,NULL,4,1),(15,2061422,6.00,8.00,5.00,9.00,8.00,7.25,7.00,8.00,4.00,103,108,NULL,'JARDIM BANDEIRANTES','SAO CARLOS','SP',1834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061430,0.00,4.00,2.00,4.00,8.00,NULL,4.00,5.00,3.00,9,444,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2061449,5.00,7.00,5.00,6.00,6.00,4.50,7.00,6.00,3.00,203,404,211,'VILA NOVA','BENTO GONCALVES','RS',7846,NULL,NULL,NULL,NULL,NULL,NULL,5,9),(15,2061457,2.00,1.00,2.00,6.00,3.00,4.25,2.00,1.00,3.00,309,9,NULL,'FORQUILHINHAS','SAO JOSE','SC',22089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2061465,3.00,7.00,5.00,3.00,5.00,6.25,5.00,7.00,2.00,426,327,425,'SERRARIA','SAO JOSE','SC',10362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061473,7.00,8.00,9.00,5.00,7.00,6.25,9.00,9.00,8.00,5,318,NULL,'CENTRO','FLORIANOPOLIS','SC',353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061481,4.00,8.00,6.00,4.00,8.00,5.00,6.00,6.00,5.00,501,331,NULL,'AREIAS','SAO JOSE','SC',5965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061520,6.00,6.00,7.00,5.00,6.00,7.00,5.00,7.00,3.00,207,212,201,'SÃO JOSÉ','FLORES DA CUNHA','RS',5099,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2061538,4.00,8.00,2.00,3.00,8.00,5.50,5.00,7.00,3.00,327,324,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',9822,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2061554,4.00,8.00,6.00,4.00,7.00,6.25,4.00,5.00,2.00,211,5,201,'PLANALTO','CAXIAS DO SUL','RS',10540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061562,2.00,6.00,6.00,5.00,5.00,4.00,6.00,5.00,5.00,201,233,215,'JARDIM AMÉRICA','ASSIS CHATEAUBRIAND','PR',11560,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2061570,4.00,7.00,6.00,9.00,7.00,6.75,5.00,6.00,4.00,319,316,NULL,'MONT SERRAT','PORTO ALEGRE','RS',5825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061589,4.00,7.00,4.00,7.00,8.00,6.75,4.00,7.00,3.00,425,308,428,'ITACURUBI','FLORIANOPOLIS','SC',6515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061597,6.00,9.00,9.00,8.00,7.00,5.75,7.00,8.00,7.00,303,5,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',1199,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2061600,4.00,6.00,5.00,7.00,5.00,5.50,3.00,3.00,4.00,429,339,425,'RIO VERMELHO','FLORIANOPOLIS','SC',12882,52,249,74,NULL,NULL,NULL,4,1),(15,2061619,5.00,7.00,1.00,2.00,7.00,4.50,5.00,3.00,5.00,103,101,NULL,'CITY RIBEIRÃO','RIBEIRAO PRETO','SP',14481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061627,5.00,7.00,8.00,9.00,6.00,7.00,8.00,8.00,3.00,103,108,NULL,'COQUEIROS','FLORIANOPOLIS','SC',2086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061635,3.00,7.00,6.00,7.00,7.00,7.50,5.00,4.00,3.00,444,324,NULL,'TRINDADE','FLORIANOPOLIS','SC',9156,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2061643,5.00,9.00,5.00,5.00,8.00,6.50,5.00,5.00,3.00,333,108,NULL,'TRINDADE','FLORIANOPOLIS','SC',5871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061651,2.00,7.00,1.00,6.00,5.00,6.25,5.00,3.00,4.00,415,328,NULL,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2061660,2.00,8.00,4.00,2.00,5.00,4.00,2.00,6.00,3.00,427,425,423,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',17104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061678,3.00,6.00,4.00,6.00,7.00,6.25,5.00,5.00,4.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',10056,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2061694,7.00,6.00,9.00,10.00,8.00,6.00,8.00,7.00,6.00,103,NULL,NULL,'JABAQUARA','SAO PAULO','SP',1084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061708,1.00,5.00,1.00,4.00,5.00,5.50,2.00,5.00,1.00,302,317,NULL,'VENDAVAL','BIGUACU','SC',20875,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2061716,3.00,5.00,2.00,6.00,6.00,5.75,4.00,6.00,2.00,101,324,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',13755,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2061724,3.00,2.00,3.00,1.00,2.00,NULL,4.00,1.00,1.00,301,102,NULL,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2061732,3.00,6.00,5.00,7.00,7.00,6.00,5.00,4.00,4.00,424,415,NULL,'CARIANOS','FLORIANOPOLIS','SC',9971,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2061759,4.00,8.00,4.00,3.00,8.00,6.75,6.00,4.00,4.00,215,217,216,'CAPÃO REDONDO','SAO PAULO','SP',7724,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2061767,2.00,6.00,2.00,5.00,3.00,5.50,4.00,5.00,3.00,332,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',17022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061791,1.00,6.00,2.00,2.00,5.00,5.50,4.00,2.00,2.00,450,NULL,NULL,'PATRONATO','SANTA MARIA','RS',20013,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2061805,3.00,7.00,4.00,2.00,4.00,5.25,5.00,1.00,2.00,333,332,NULL,'CENTRO','TUBARAO','SC',19049,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2061813,3.00,8.00,8.00,6.00,8.00,6.25,8.00,9.00,4.00,304,222,NULL,'CARIANOS','FLORIANOPOLIS','SC',2743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061821,3.00,7.00,4.00,5.00,6.00,5.75,3.00,5.00,5.00,5,303,NULL,'VILA TESOURO','SAO JOSE DOS CAMPOS','SP',11832,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2061830,2.00,6.00,4.00,8.00,4.00,6.50,5.00,5.00,3.00,333,502,NULL,'CENTRO','LARANJEIRAS DO SUL','PR',11984,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2061848,3.00,7.00,4.00,5.00,6.00,4.75,5.00,2.00,3.00,302,404,NULL,'IPIRANGA','SAO JOSE','SC',12880,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2061856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,339,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2061864,2.00,6.00,4.00,3.00,4.00,7.00,3.00,4.00,1.00,415,NULL,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2061872,1.00,4.00,1.00,1.00,5.00,NULL,1.00,0.00,2.00,103,303,NULL,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,427,426,'JARDIM CIDADE','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2061899,2.00,4.00,5.00,3.00,5.00,5.00,5.00,4.00,1.00,201,215,207,'INTERIOR','IRACEMINHA','SC',17988,953,601,853,NULL,NULL,NULL,4,4),(15,2061902,8.00,7.00,8.00,8.00,8.00,5.50,8.00,7.00,5.00,222,2,NULL,'PANTANAL','FLORIANOPOLIS','SC',954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061910,5.00,7.00,8.00,7.00,8.00,6.50,9.00,7.00,6.00,214,208,211,'TRINDADE','FLORIANOPOLIS','SC',1741,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2061929,1.00,5.00,0.00,5.00,8.00,NULL,1.00,3.00,1.00,319,339,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2061937,6.00,9.00,6.00,6.00,8.00,7.50,8.00,9.00,4.00,103,217,NULL,'INGLESES','FLORIANOPOLIS','SC',2018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2061945,3.00,5.00,1.00,2.00,4.00,5.00,1.00,2.00,3.00,102,101,NULL,'INTERIOR','IRACEMINHA','SC',22133,518,782,NULL,NULL,NULL,NULL,4,4),(15,2061970,4.00,5.00,3.00,4.00,7.00,5.50,4.00,5.00,2.00,320,421,NULL,'JACAREPAGUÁ RJ','RIO DE JANEIRO','RJ',15630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2061996,3.00,6.00,4.00,4.00,7.00,5.50,5.00,7.00,3.00,211,404,215,'CENTRO','ITUPORANGA','SC',11330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062011,1.00,3.00,2.00,3.00,2.00,NULL,4.00,5.00,3.00,316,317,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2062020,5.00,8.00,6.00,6.00,6.00,7.00,8.00,7.00,5.00,202,223,213,'PRAIA DOS AMORES','BALNEARIO CAMBORIU','SC',3629,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2062046,7.00,9.00,9.00,9.00,9.00,8.50,8.00,7.00,7.00,103,207,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',90,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062054,3.00,5.00,4.00,4.00,4.00,3.50,1.00,4.00,2.00,316,339,NULL,'TRINDADE','FLORIANOPOLIS','SC',21293,649,430,NULL,NULL,NULL,NULL,2,1),(15,2062062,5.00,9.00,2.00,7.00,8.00,8.00,7.00,8.00,4.00,220,202,201,'CENTRO','SALTINHO','SC',2971,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2062070,6.00,6.00,5.00,7.00,8.00,5.00,7.00,6.00,6.00,208,420,238,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',4903,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2062089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,225,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2062097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,223,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2062100,2.00,2.00,0.00,4.00,5.00,NULL,2.00,4.00,0.00,302,101,NULL,'SERTÃO DO IMARUIM','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2062119,4.00,7.00,3.00,6.00,7.00,6.00,4.00,3.00,6.00,319,429,NULL,'KOBRASOL','SAO JOSE','SC',10088,172,232,NULL,NULL,NULL,NULL,2,1),(15,2062127,0.00,5.00,1.00,3.00,6.00,NULL,3.00,2.00,1.00,103,420,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2062135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,234,216,'CENTRO NORTE','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2062143,2.00,4.00,2.00,3.00,4.00,3.25,3.00,3.00,3.00,339,424,NULL,'KOBRASOL','SAO JOSE','SC',22169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2062151,7.00,7.00,9.00,6.00,8.00,6.25,8.00,7.00,3.00,214,NULL,212,'SERRINHA','FLORIANOPOLIS','SC',2527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062160,1.00,4.00,1.00,5.00,3.00,5.50,3.00,3.00,2.00,444,333,NULL,'ITACORUBI','FLORIANOPOLIS','SC',22122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2062178,4.00,6.00,7.00,3.00,6.00,3.00,7.00,8.00,6.00,203,220,214,'VILA ADYANNA','SAO JOSE DOS CAMPOS','SP',6837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062186,5.00,7.00,8.00,6.00,8.00,6.00,7.00,7.00,4.00,216,214,212,'CENTRO','CURITIBA','PR',3507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2062194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2062208,2.00,7.00,3.00,5.00,7.00,4.25,5.00,1.00,2.00,223,224,NULL,'PICADAS DO SUL','SAO JOSE','SC',18283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062216,2.00,3.00,5.00,4.00,8.00,6.50,2.00,4.00,2.00,309,423,NULL,'KOBRASOL','SAO JOSE','SC',17876,37,NULL,NULL,NULL,NULL,NULL,2,1),(15,2062232,5.00,5.00,4.00,4.00,6.00,5.50,5.00,4.00,3.00,211,NULL,NULL,'JARDIM AMÉRICA','MARILIA','SP',11755,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2062240,4.00,6.00,5.00,8.00,8.00,7.25,6.00,6.00,6.00,216,201,215,'VILA SANTA ISABEL','SAO PAULO','SP',4232,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2062259,2.00,8.00,3.00,5.00,8.00,6.50,2.00,5.00,4.00,332,327,NULL,'URUSSANGUINHA','ARARANGUA','SC',12588,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2062283,7.00,7.00,5.00,9.00,8.00,5.25,6.00,6.00,5.00,104,102,NULL,'PONTE DO IMARUÍ','PALHOCA','SC',3240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062305,1.00,4.00,3.00,6.00,5.00,6.00,5.00,2.00,0.00,104,333,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',19977,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2062313,3.00,6.00,5.00,3.00,6.00,4.75,4.00,7.00,4.00,203,214,201,'CENTRO','PORTO UNIAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062321,6.00,8.00,7.00,6.00,6.00,5.50,8.00,6.00,5.00,202,421,213,'PANTANAL','FLORIANOPOLIS','SC',3399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062330,2.00,4.00,2.00,2.00,4.00,4.75,3.00,3.00,3.00,319,5,NULL,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',21543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062348,2.00,5.00,0.00,6.00,5.00,NULL,2.00,3.00,2.00,333,331,NULL,'JD ROMA','PIRASSUNUNGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062356,7.00,9.00,5.00,6.00,5.00,6.00,8.00,7.00,5.00,103,NULL,NULL,'DEON','TUBARAO','SC',4041,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2062372,2.00,2.00,3.00,4.00,6.00,4.50,2.00,2.00,2.00,101,339,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',21746,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2062380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMINHO DAS ÁRVORES','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2062402,5.00,5.00,1.00,3.00,3.00,5.50,5.00,5.00,4.00,103,108,NULL,'MUNDO NOVO','JACOBINA','BA',18193,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2062410,4.00,6.00,3.00,6.00,5.00,7.25,4.00,7.00,3.00,207,212,201,'MORRODACRUZ','FLORIANOPOLIS','SC',10310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062429,6.00,7.00,6.00,8.00,8.00,6.00,4.00,6.00,3.00,317,224,NULL,'ITACORUBI','FLORIANOPOLIS','SC',4840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062437,3.00,5.00,2.00,6.00,7.00,6.50,3.00,5.00,3.00,5,303,NULL,'CENTRO','FLORIANOPOLIS','SC',13593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062445,3.00,4.00,4.00,2.00,4.00,5.50,4.00,3.00,1.00,333,211,NULL,'ATUBA','CURITIBA','PR',20355,374,1009,NULL,NULL,NULL,NULL,2,8),(15,2062461,4.00,6.00,0.00,3.00,8.00,4.75,5.00,3.00,4.00,303,309,NULL,'JOAQUINA','FLORIANOPOLIS','SC',15057,700,160,NULL,NULL,NULL,NULL,4,1),(15,2062470,4.00,6.00,4.00,6.00,7.00,4.75,2.00,4.00,3.00,104,339,NULL,'KOBRASOL','SAO JOSE','SC',14412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062496,2.00,4.00,1.00,5.00,5.00,6.00,3.00,2.00,4.00,316,319,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',18372,535,886,NULL,NULL,NULL,NULL,2,1),(15,2062500,7.00,7.00,4.00,5.00,7.00,5.75,4.00,6.00,3.00,308,309,NULL,'TAPERA','FLORIANOPOLIS','SC',8501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2062526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,502,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2062534,3.00,5.00,2.00,5.00,7.00,7.50,4.00,5.00,1.00,103,101,NULL,'TRINDADE','FLORIANOPOLIS','SC',14622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062550,1.00,5.00,3.00,0.00,4.00,3.00,4.00,5.00,2.00,316,444,NULL,'JARDIM ESTER','SAO PAULO','SP',21617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062577,5.00,7.00,7.00,6.00,5.00,5.50,5.00,3.00,2.00,104,103,NULL,'CENTRO','FLORIANOPOLIS','SC',11306,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2062585,3.00,6.00,3.00,3.00,3.00,4.50,5.00,4.00,4.00,324,2,NULL,'PANTANO DO SUL','FLORIANOPOLIS','SC',19059,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2062607,6.00,8.00,8.00,9.00,8.00,7.00,5.00,8.00,5.00,301,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',1785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'JARDIM ESTORIL','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2062631,6.00,7.00,9.00,5.00,8.00,6.75,8.00,6.00,5.00,203,214,220,'COMERCIARIO','CRICIUMA','SC',2236,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2062640,3.00,5.00,5.00,6.00,7.00,5.75,3.00,5.00,3.00,104,9,NULL,'AMÉRICA','JOINVILLE','SC',11160,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2062666,3.00,7.00,5.00,6.00,8.00,6.00,4.00,6.00,2.00,5,317,NULL,'PONTE DO IMARUIM','PALHOCA','SC',9849,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2062674,1.00,2.00,2.00,3.00,5.00,NULL,1.00,4.00,1.00,9,102,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2062682,3.00,6.00,5.00,5.00,3.00,6.00,3.00,3.00,4.00,444,425,NULL,'CENTRO','ALFREDO WAGNER','SC',16437,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2062690,6.00,9.00,8.00,7.00,9.00,6.50,8.00,8.00,5.00,203,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',1302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062720,3.00,6.00,0.00,3.00,5.00,4.50,3.00,5.00,2.00,426,327,425,'GUAIANASES','SAO PAULO','SP',19815,74,443,174,NULL,NULL,NULL,4,2),(15,2062747,3.00,8.00,1.00,9.00,8.00,5.75,3.00,8.00,1.00,424,427,421,'CENTRO','BALNEARIO CAMBORIU','SC',9560,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2062755,3.00,7.00,3.00,4.00,8.00,7.25,5.00,6.00,5.00,220,207,211,'KOBRASOL','SAO JOSE','SC',8254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062763,5.00,8.00,9.00,9.00,9.00,7.75,9.00,4.00,5.00,203,2,201,'CAPOEIRAS','FLORIANOPOLIS','SC',1133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062780,3.00,8.00,4.00,8.00,5.00,6.75,3.00,6.00,3.00,424,326,427,'JARDIM LIMA','FRANCA','SP',8598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062810,5.00,8.00,7.00,2.00,6.00,5.00,7.00,7.00,3.00,203,202,214,'CARMO','ARARAQUARA','SP',7480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062828,3.00,7.00,1.00,9.00,7.00,6.75,5.00,6.00,5.00,444,404,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',7549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062836,1.00,6.00,4.00,8.00,6.00,5.25,3.00,2.00,1.00,319,451,NULL,'TRINDADE','FLORIANOPOLIS','SC',17769,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2062844,0.00,5.00,3.00,0.00,5.00,NULL,3.00,4.00,3.00,104,102,NULL,'BRASILIA','SAO LOURENCO DO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2062852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2062887,1.00,3.00,1.00,2.00,4.00,NULL,1.00,3.00,3.00,108,502,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062895,4.00,8.00,6.00,8.00,8.00,5.50,7.00,3.00,3.00,102,319,NULL,'CENTRO','GLORINHA','RS',6357,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2062909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2062917,7.00,4.00,4.00,4.00,7.00,6.50,5.00,4.00,5.00,217,223,NULL,'ROÇADO','SAO JOSE','SC',11006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062925,7.00,9.00,5.00,9.00,8.00,6.50,8.00,6.00,4.00,5,316,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',2065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062933,3.00,6.00,3.00,7.00,8.00,5.00,4.00,4.00,2.00,103,303,NULL,'CENTRO','LONDRINA','PR',13989,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2062941,7.00,7.00,7.00,7.00,7.00,4.25,6.00,7.00,4.00,203,NULL,202,'ORFAS','PONTA GROSSA','PR',4050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062950,2.00,7.00,3.00,7.00,4.00,4.50,1.00,6.00,4.00,332,201,NULL,'TRINDADE','FLORIANOPOLIS','SC',15218,79,1339,NULL,NULL,NULL,NULL,2,1),(15,2062968,3.00,2.00,1.00,4.00,3.00,4.75,3.00,3.00,3.00,108,217,NULL,'SÃO PEDRO','GUABIRUBA','SC',22284,493,542,NULL,NULL,NULL,NULL,4,1),(15,2062976,5.00,6.00,3.00,3.00,5.00,4.75,5.00,6.00,4.00,103,201,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2062984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'OSWALDO CRUZ','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2062992,3.00,3.00,2.00,3.00,1.00,NULL,2.00,4.00,1.00,238,222,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063000,2.00,4.00,2.00,1.00,6.00,4.75,4.00,5.00,1.00,104,101,NULL,'COSTA DA LAGOA','FLORIANOPOLIS','SC',20939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063018,4.00,8.00,5.00,4.00,6.00,5.50,4.00,6.00,2.00,214,211,213,'MEIA PRAIA','ITAPEMA','SC',11868,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2063026,5.00,8.00,7.00,8.00,8.00,8.50,6.00,5.00,4.00,415,428,NULL,'BARREIROS','SAO JOSE','SC',2914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063034,3.00,8.00,3.00,4.00,6.00,4.25,4.00,6.00,1.00,316,303,NULL,'VILA AGARI','APUCARANA','PR',15372,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2063042,1.00,3.00,0.00,1.00,3.00,NULL,4.00,2.00,2.00,316,317,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063050,0.00,4.00,0.00,4.00,4.00,NULL,2.00,5.00,2.00,324,339,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063069,6.00,7.00,7.00,6.00,9.00,6.00,5.00,7.00,4.00,216,217,215,'AEROPORTO','TUBARAO','SC',4078,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2063077,3.00,6.00,3.00,5.00,6.00,6.25,3.00,5.00,2.00,214,333,201,'JARDIM MAUÁ','NOVO HAMBURGO','RS',15573,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2063085,5.00,8.00,8.00,7.00,7.00,6.50,9.00,7.00,5.00,214,316,212,'CENTRO','FLORIANOPOLIS','SC',1521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063093,4.00,7.00,3.00,6.00,7.00,6.75,6.00,7.00,2.00,103,NULL,NULL,'PETRÓPOLIS','LONDRINA','PR',7544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063107,6.00,8.00,8.00,9.00,9.00,6.25,7.00,8.00,3.00,203,501,214,'SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC',1538,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063115,4.00,5.00,3.00,7.00,3.00,3.00,5.00,4.00,3.00,501,421,NULL,'CENTRO','AGUAS MORNAS','SC',16948,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2063131,3.00,7.00,8.00,7.00,8.00,6.00,7.00,7.00,3.00,238,327,212,'TRINDADE','FLORIANOPOLIS','SC',3524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,234,NULL,'VOLTA REDONDA','ARAQUARI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2063166,1.00,4.00,2.00,7.00,6.00,5.25,4.00,2.00,0.00,5,103,NULL,'BALNEARIO','FLORIANOPOLIS','SC',19954,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063174,3.00,6.00,2.00,5.00,8.00,5.25,3.00,2.00,3.00,317,NULL,NULL,'ESTREITO','FLORIANOPOLIS','SC',16622,278,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063182,2.00,4.00,3.00,2.00,4.00,5.25,3.00,3.00,3.00,201,208,207,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,450,NULL,'CENTRO','SANTA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2063204,2.00,6.00,1.00,5.00,8.00,3.75,4.00,4.00,3.00,103,104,NULL,'ALVORADA','FRANCISCO BELTRAO','PR',16703,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2063212,1.00,7.00,4.00,3.00,7.00,4.00,3.00,6.00,4.00,415,NULL,NULL,'JARDIM DALLAS','PALOTINA','PR',14159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063220,7.00,5.00,6.00,6.00,8.00,6.00,8.00,8.00,4.00,103,425,NULL,'CENTRO','FLORIANOPOLIS','SC',2800,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063247,6.00,6.00,6.00,6.00,8.00,6.25,7.00,6.00,3.00,333,425,NULL,'CENTRO','FLORIANOPOLIS','SC',4489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063255,5.00,7.00,9.00,9.00,7.00,4.00,7.00,6.00,6.00,238,214,208,'IPIRANGA','SAO JOSE','SC',3122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063263,4.00,5.00,5.00,8.00,8.00,6.25,6.00,6.00,2.00,301,415,NULL,'PONTE IMARUIM','PALHOCA','SC',8028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063271,1.00,5.00,0.00,4.00,6.00,NULL,3.00,2.00,0.00,301,317,NULL,'FORQUILHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063280,4.00,7.00,5.00,5.00,6.00,4.75,6.00,4.00,7.00,102,216,NULL,'CENTRO','SAO JOAQUIM','SC',7216,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063298,1.00,7.00,2.00,4.00,6.00,4.50,3.00,5.00,4.00,5,426,NULL,'CENTRO','FLORIANOPOLIS','SC',15330,655,197,NULL,NULL,NULL,NULL,2,1),(15,2063310,5.00,7.00,5.00,5.00,6.00,5.25,5.00,5.00,3.00,444,404,NULL,'ESTREITO','FLORIANOPOLIS','SC',8651,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063328,3.00,5.00,3.00,3.00,5.00,6.00,4.00,5.00,1.00,303,9,NULL,'JARDIM FLORESTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063336,5.00,7.00,2.00,6.00,7.00,5.50,4.00,5.00,3.00,333,502,NULL,'CENTRO','RIBEIRAO PRETO','SP',10679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063352,5.00,7.00,7.00,7.00,8.00,5.25,6.00,5.00,5.00,319,451,NULL,'ESTREITO','FLORIANOPOLIS','SC',5394,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063360,2.00,0.00,1.00,0.00,1.00,NULL,2.00,2.00,1.00,309,339,NULL,'YPIRANGA','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2063379,4.00,8.00,6.00,8.00,8.00,5.75,8.00,7.00,5.00,217,223,NULL,'CACUPÉ','FLORIANOPOLIS','SC',3327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063387,5.00,7.00,8.00,8.00,8.00,5.00,6.00,6.00,6.00,220,214,203,'SACO DOS LIMOES','FLORIANOPOLIS','SC',3612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063395,1.00,5.00,3.00,6.00,3.00,4.00,2.00,3.00,1.00,207,420,201,'JOÃO POTRICH','PONTE SERRADA','SC',21052,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2063417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,339,NULL,'CANGO','FRANCISCO BELTRAO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2063450,9.00,9.00,9.00,9.00,9.00,8.25,9.00,9.00,8.00,103,NULL,NULL,'CENTRO','CONCORDIA','SC',8,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063468,8.00,7.00,4.00,3.00,5.00,6.00,7.00,7.00,5.00,103,104,NULL,'LA SALLE','PATO BRANCO','PR',6287,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2063476,4.00,7.00,8.00,5.00,9.00,7.25,8.00,5.00,7.00,203,220,214,'ÁGUA VERDE','CURITIBA','PR',4063,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2063484,3.00,7.00,4.00,3.00,7.00,5.75,3.00,6.00,3.00,202,331,208,'ESTREITO','FLORIANOPOLIS','SC',12486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063492,8.00,8.00,8.00,9.00,8.00,6.25,8.00,7.00,5.00,5,316,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'WERNER PLAAS','SANTA BARBARA D OESTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2063514,3.00,3.00,2.00,3.00,6.00,4.00,2.00,1.00,3.00,319,9,NULL,'CENTRO','JARAGUA DO SUL','SC',21902,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2063522,1.00,8.00,2.00,4.00,6.00,5.25,5.00,6.00,4.00,426,108,421,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063530,2.00,8.00,6.00,5.00,7.00,6.00,5.00,5.00,3.00,211,333,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',9636,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2063549,6.00,6.00,4.00,5.00,8.00,6.75,7.00,4.00,5.00,101,451,NULL,'ESTREITO','FLORIANOPOLIS','SC',6358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063557,0.00,6.00,0.00,0.00,4.00,NULL,4.00,5.00,1.00,104,211,NULL,'INTERIOR','ANCHIETA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2063573,2.00,4.00,2.00,1.00,4.00,NULL,3.00,2.00,1.00,420,444,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063581,9.00,9.00,7.00,7.00,7.00,6.75,6.00,7.00,6.00,103,327,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',1887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2063611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,428,425,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2063620,3.00,6.00,5.00,6.00,6.00,5.75,4.00,7.00,4.00,303,301,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063638,3.00,7.00,5.00,5.00,6.00,5.25,6.00,6.00,3.00,317,326,NULL,'CENTRO','FLORIANOPOLIS','SC',9447,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063654,3.00,7.00,0.00,5.00,3.00,NULL,4.00,3.00,2.00,317,333,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063662,1.00,4.00,1.00,3.00,5.00,NULL,2.00,4.00,0.00,451,450,NULL,'CRUZEIRO DO SUL','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2063670,3.00,5.00,4.00,2.00,7.00,5.50,5.00,6.00,3.00,211,222,215,'N SRA DE FATIMA','XANXERE','SC',13317,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2063689,3.00,7.00,1.00,5.00,4.00,4.00,4.00,2.00,0.00,207,420,215,'JARDIM BOTANICO','SINOP','MT',20806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063719,1.00,4.00,2.00,5.00,6.00,3.25,1.00,3.00,2.00,207,420,201,'ARIRIU','PALHOCA','SC',21607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063727,5.00,6.00,8.00,8.00,7.00,6.75,8.00,6.00,5.00,303,301,NULL,'CENTRO','FLORIANOPOLIS','SC',2702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063735,1.00,5.00,1.00,2.00,4.00,3.75,4.00,2.00,2.00,404,444,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',22187,273,614,NULL,NULL,NULL,NULL,4,1),(15,2063743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,108,NULL,'JARDIM SOCIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2063751,6.00,5.00,5.00,9.00,8.00,6.00,8.00,7.00,8.00,102,217,NULL,'VALE VERDE','VALINHOS','SP',2015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063760,4.00,6.00,5.00,5.00,7.00,7.25,5.00,5.00,4.00,502,102,NULL,'SAGRADO CORAÇAO DE J','LAGES','SC',8334,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2063778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,501,NULL,'VILLA GIGLIO','ATIBAIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2063786,7.00,7.00,3.00,7.00,7.00,5.50,5.00,5.00,6.00,9,103,NULL,'CENTRO','CRICIUMA','SC',5857,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2063794,3.00,5.00,3.00,4.00,1.00,NULL,3.00,5.00,5.00,404,444,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063808,3.00,5.00,2.00,4.00,5.00,2.25,4.00,4.00,3.00,102,104,NULL,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063816,2.00,6.00,2.00,0.00,2.00,NULL,4.00,5.00,1.00,450,420,NULL,'PRAIA DOS INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063824,8.00,8.00,5.00,9.00,9.00,7.25,8.00,8.00,5.00,203,2,202,'SÃO JOÃO','ITAJAI','SC',1118,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2063832,7.00,8.00,8.00,6.00,6.00,5.50,9.00,6.00,8.00,203,201,214,'JARDIM AMÉRICA','TABOAO DA SERRA','SP',1694,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2063840,4.00,5.00,4.00,7.00,6.00,5.50,3.00,3.00,4.00,103,5,NULL,'VILA ROSA','NOVO HAMBURGO','RS',13985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063859,5.00,9.00,7.00,7.00,8.00,4.00,6.00,8.00,7.00,316,444,NULL,'CENTRO','FLORIANOPOLIS','SC',2695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063883,5.00,6.00,4.00,6.00,8.00,5.50,8.00,6.00,5.00,415,304,NULL,'BOM FIM','PORTO ALEGRE','RS',5181,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2063891,4.00,5.00,4.00,5.00,5.00,4.75,3.00,5.00,1.00,103,9,NULL,'JARDIM DAS AMÉRICAS','CUIABA','MT',16968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063905,3.00,7.00,2.00,6.00,7.00,7.25,3.00,7.00,2.00,415,324,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',10175,275,167,NULL,NULL,NULL,NULL,2,1),(15,2063913,3.00,7.00,3.00,4.00,7.00,6.00,2.00,5.00,1.00,301,309,NULL,'CAMPINAS','SAO JOSE','SC',15006,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063930,2.00,7.00,1.00,7.00,6.00,6.25,4.00,4.00,4.00,215,102,216,'SANTANA','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2063948,2.00,4.00,3.00,5.00,4.00,4.75,4.00,4.00,2.00,101,423,NULL,'PÂNTANO DO SUL','FLORIANOPOLIS','SC',19747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2063956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,207,212,'CHAMPAGNAT','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2063964,7.00,9.00,8.00,7.00,7.00,8.75,8.00,7.00,8.00,103,450,NULL,'CENTRO','RIBEIRAO PRETO','SP',423,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2063972,6.00,9.00,5.00,7.00,8.00,6.75,8.00,7.00,5.00,2,223,NULL,'FORQUILHAS','SAO JOSE','SC',2764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2063999,6.00,7.00,6.00,7.00,4.00,3.75,8.00,3.00,4.00,103,223,NULL,'KOBRASOL','SAO JOSE','SC',8090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064006,6.00,8.00,3.00,9.00,5.00,7.00,8.00,6.00,8.00,103,215,NULL,'JD TEREZA MARIA','ITAPECERICA DA SERRA','SP',2878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'VILA DOS LAVRADORES','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2064022,4.00,6.00,6.00,7.00,5.00,4.00,7.00,4.00,2.00,203,NULL,214,'CENTRO','SAO BENTO DO SUL','SC',10662,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2064030,5.00,5.00,1.00,5.00,3.00,0.00,2.00,4.00,2.00,502,234,NULL,'LAGO SUL','LAGO SUL','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,319,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2064057,3.00,8.00,3.00,8.00,6.00,5.50,4.00,6.00,4.00,444,404,NULL,'CAMPINAS','SAO JOSE','SC',9135,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2064065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA RUA XV','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2064073,4.00,6.00,6.00,7.00,6.00,5.50,7.00,6.00,6.00,103,104,NULL,'SANTA TEREZA','VIDEIRA','SC',5194,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2064081,4.00,6.00,2.00,3.00,3.00,5.00,2.00,6.00,2.00,425,326,429,'CENTRO','FLORIANOPOLIS','SC',18545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064090,2.00,6.00,1.00,2.00,7.00,5.25,5.00,4.00,2.00,201,207,NULL,'CENTRO','MACHADINHO','RS',18414,979,1266,NULL,NULL,NULL,NULL,4,7),(15,2064103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','JOACABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2064111,3.00,8.00,4.00,7.00,5.00,6.50,5.00,7.00,3.00,214,220,203,'COQUEIROS','FLORIANOPOLIS','SC',7723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064120,2.00,8.00,6.00,3.00,5.00,6.00,6.00,4.00,5.00,203,216,202,'RESIDENCIAL PRIMO','BOITUVA','SP',9915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064146,5.00,7.00,3.00,6.00,7.00,6.50,4.00,6.00,2.00,5,327,NULL,'PIO X','CAXIAS DO SUL','RS',9588,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2064154,2.00,8.00,5.00,9.00,7.00,6.00,8.00,8.00,4.00,208,NULL,238,'VARGEM GRANDE','FLORIANOPOLIS','SC',4415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064162,4.00,8.00,3.00,5.00,7.00,5.75,3.00,7.00,3.00,415,501,NULL,'CASCATINHA','CURITIBA','PR',9224,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2064170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,9,NULL,'CENTRO','NAO ME TOQUE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2064189,2.00,5.00,4.00,4.00,2.00,NULL,4.00,4.00,4.00,202,2,203,'ÁGUAS CLARAS','TAGUATINGA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064197,3.00,4.00,2.00,5.00,1.00,NULL,1.00,4.00,2.00,211,234,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2064200,3.00,3.00,2.00,4.00,6.00,7.75,5.00,3.00,2.00,339,320,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',17534,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2064219,0.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,331,326,NULL,'ABRAAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2064227,3.00,4.00,1.00,1.00,3.00,NULL,2.00,3.00,1.00,201,319,208,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2064251,1.00,4.00,5.00,1.00,5.00,4.00,5.00,2.00,4.00,238,224,208,'IPIRANGA','SAO JOSE','SC',21010,779,299,842,NULL,NULL,NULL,4,1),(15,2064260,4.00,6.00,5.00,7.00,5.00,5.25,6.00,5.00,2.00,103,501,NULL,'PETROPOLIS','LONDRINA','PR',9390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064278,7.00,7.00,7.00,6.00,6.00,7.00,7.00,8.00,7.00,202,333,208,'PANTANAL','FLORIANOPOLIS','SC',2009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064286,2.00,4.00,3.00,0.00,1.00,NULL,5.00,3.00,3.00,308,339,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2064294,3.00,2.00,7.00,4.00,5.00,5.25,5.00,3.00,3.00,426,NULL,421,'VILA MARIANA','SAO PAULO','SP',15612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064308,6.00,7.00,8.00,6.00,8.00,7.75,7.00,7.00,5.00,333,211,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',2142,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2064316,2.00,4.00,2.00,2.00,7.00,4.25,3.00,3.00,3.00,103,108,NULL,'CENTRO','ERECHIM','RS',19972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064324,3.00,5.00,3.00,5.00,3.00,3.75,2.00,6.00,1.00,301,NULL,NULL,'VELHA','BLUMENAU','SC',19767,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2064332,1.00,5.00,4.00,4.00,3.00,6.25,2.00,2.00,4.00,203,220,NULL,'IPANEMA','MONDAI','SC',20001,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2064340,3.00,7.00,4.00,4.00,4.00,5.00,6.00,4.00,2.00,9,104,NULL,'OPERARIA NOVA','CRICIUMA','SC',16496,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2064359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,301,201,'BOSQUE DA SAÚDE','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2064367,6.00,7.00,3.00,7.00,7.00,7.00,5.00,7.00,5.00,9,101,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',4621,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2064375,2.00,6.00,2.00,5.00,6.00,6.50,4.00,5.00,3.00,211,9,233,'CENTRO','TURVO','SC',15877,569,614,368,NULL,NULL,NULL,2,5),(15,2064383,1.00,6.00,1.00,0.00,3.00,NULL,1.00,3.00,1.00,225,224,NULL,'SANTA AUGUSTA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2064391,5.00,8.00,6.00,9.00,7.00,6.25,6.00,8.00,7.00,202,233,201,'CENTRO','FLORIANOPOLIS','SC',2575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064405,2.00,6.00,5.00,5.00,8.00,4.00,4.00,4.00,3.00,316,317,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',12924,346,551,NULL,NULL,NULL,NULL,2,1),(15,2064413,5.00,8.00,7.00,6.00,8.00,6.00,7.00,8.00,6.00,304,318,NULL,'JD ESPLANADA','SAO JOSE DOS CAMPOS','SP',2079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064421,4.00,8.00,5.00,5.00,8.00,6.25,5.00,6.00,3.00,501,502,NULL,'ROÇADO','SAO JOSE','SC',7691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064448,3.00,8.00,6.00,3.00,7.00,6.00,6.00,5.00,4.00,238,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',8675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064456,2.00,7.00,3.00,5.00,3.00,4.50,3.00,5.00,3.00,9,444,NULL,'PEDRA BRANCA','PALHOCA','SC',18195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064464,6.00,8.00,7.00,7.00,6.00,5.75,9.00,6.00,6.00,103,303,NULL,'ASA NORTE','BRASILIA','DF',2611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064472,5.00,6.00,8.00,5.00,5.00,5.25,9.00,6.00,7.00,220,2,214,'JARDIM SAO JORGE','PARANAVAI','PR',4793,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2064480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,319,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2064499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'PQ IMPERIAL','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2064502,2.00,6.00,1.00,6.00,5.00,6.75,4.00,5.00,2.00,339,426,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2064510,3.00,7.00,5.00,0.00,9.00,5.75,4.00,5.00,3.00,103,207,NULL,'RIO PEQUENO','CAMBORIU','SC',12874,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2064529,6.00,6.00,7.00,9.00,8.00,6.00,6.00,7.00,3.00,207,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',3891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064537,2.00,5.00,2.00,8.00,7.00,6.75,2.00,6.00,3.00,211,NULL,NULL,'CENTRO','ARROIO TRINTA','SC',13415,473,NULL,NULL,NULL,NULL,NULL,5,6),(15,2064545,5.00,7.00,3.00,8.00,5.00,5.50,4.00,5.00,5.00,211,501,201,'TORRES DE SAO JOSE','JUNDIAI','SP',9309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064553,2.00,3.00,1.00,3.00,5.00,4.75,4.00,4.00,3.00,415,304,NULL,'BUCAREIN','JOINVILLE','SC',21309,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2064561,5.00,7.00,4.00,5.00,7.00,5.00,7.00,3.00,5.00,304,318,NULL,'CENTRO','ALTO BELA VISTA','SC',9318,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2064570,1.00,6.00,1.00,3.00,6.00,6.50,3.00,3.00,3.00,104,302,NULL,'PICADAS DOS SUL','SAO JOSE','SC',20017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064588,3.00,7.00,2.00,5.00,9.00,6.00,6.00,6.00,4.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',8712,1988,1020,NULL,NULL,NULL,NULL,4,1),(15,2064596,5.00,8.00,3.00,4.00,7.00,5.00,7.00,8.00,3.00,104,217,NULL,'CENTRO','GRAO PARA','SC',7539,240,311,NULL,NULL,NULL,NULL,4,1),(15,2064600,5.00,9.00,6.00,6.00,8.00,7.50,5.00,6.00,4.00,319,425,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',4436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064618,4.00,6.00,4.00,2.00,6.00,5.50,6.00,7.00,2.00,203,214,233,'FORTALEZA','BLUMENAU','SC',12953,878,749,315,NULL,NULL,NULL,4,2),(15,2064634,3.00,5.00,4.00,6.00,5.00,4.75,4.00,4.00,4.00,420,303,NULL,'MIRANTE DAS ESTRELAS','VINHEDO','SP',15582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064650,2.00,3.00,2.00,1.00,4.00,5.50,4.00,5.00,2.00,320,327,NULL,'JARDIM AMERICA','SAO LEOPOLDO','RS',20868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064677,4.00,5.00,8.00,8.00,6.00,5.25,4.00,6.00,6.00,223,208,NULL,'FLORESTA','PORTO ALEGRE','RS',6150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064685,5.00,5.00,3.00,6.00,5.00,3.75,4.00,2.00,2.00,238,444,208,'SANTA MÔNICA','FLORIANOPOLIS','SC',17052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064693,7.00,8.00,9.00,8.00,9.00,6.25,7.00,8.00,5.00,303,428,NULL,'CENTRO','FLORIANOPOLIS','SC',839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064715,1.00,7.00,4.00,3.00,6.00,4.25,5.00,4.00,4.00,216,233,NULL,'FUNCIONARIOS','BELO HORIZONTE','MG',15202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064740,4.00,7.00,1.00,6.00,3.00,5.50,3.00,2.00,2.00,423,451,427,'SACO GRANDE II','FLORIANOPOLIS','SC',18413,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2064782,3.00,3.00,1.00,8.00,6.00,5.25,4.00,3.00,2.00,103,423,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',17146,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2064790,3.00,7.00,1.00,7.00,6.00,5.00,2.00,3.00,2.00,333,NULL,NULL,'SANTA PAULA','PONTA GROSSA','PR',17070,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2064804,4.00,6.00,7.00,6.00,5.00,5.25,4.00,6.00,3.00,103,NULL,NULL,'COND CHAMONIX I','ITATIBA','SP',8316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064820,8.00,8.00,5.00,4.00,8.00,6.75,8.00,8.00,4.00,203,2,216,'VILA NOVA','BLUMENAU','SC',3434,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2064839,6.00,8.00,4.00,8.00,8.00,7.00,7.00,6.00,3.00,319,329,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',3566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064847,5.00,6.00,4.00,7.00,7.00,6.25,5.00,5.00,3.00,420,308,NULL,'CAMPINAS','SAO JOSE','SC',8232,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2064871,4.00,7.00,4.00,3.00,6.00,6.00,6.00,6.00,2.00,202,208,220,'SANTA FELICIDADE','CURITIBA','PR',10577,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2064880,3.00,8.00,3.00,7.00,8.00,5.75,5.00,7.00,4.00,207,420,201,'CENTRO','LAGES','SC',7426,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2064898,2.00,1.00,1.00,4.00,4.00,NULL,2.00,3.00,1.00,451,450,NULL,'AMBROSIO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2064901,4.00,6.00,4.00,6.00,6.00,6.00,6.00,6.00,5.00,104,5,NULL,'SANTA FELICIDADE','CURITIBA','PR',8222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064928,5.00,4.00,2.00,1.00,8.00,3.00,3.00,4.00,2.00,316,108,NULL,'BARREIROS','SAO JOSE','SC',20767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064936,2.00,6.00,5.00,7.00,7.00,5.00,6.00,4.00,2.00,318,317,NULL,'COQUEIROS','FLORIANOPOLIS','SC',11653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2064944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,302,NULL,'BARREIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2064952,3.00,6.00,5.00,2.00,6.00,5.00,6.00,3.00,5.00,103,104,NULL,'NOSSA SRA APARECIDA','SANTA CECILIA','SC',13609,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2064960,4.00,6.00,5.00,5.00,5.00,4.00,3.00,7.00,2.00,319,308,NULL,'CAMPINAS','SAO JOSE','SC',14181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2064979,1.00,8.00,6.00,4.00,8.00,5.25,5.00,8.00,3.00,103,316,NULL,'CENTRO','ERECHIM','RS',8923,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2064987,5.00,7.00,7.00,5.00,8.00,6.75,5.00,7.00,4.00,303,309,NULL,'CENTRO','FLORIANOPOLIS','SC',5653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2064995,5.00,8.00,7.00,6.00,9.00,6.50,8.00,6.00,7.00,303,328,NULL,'CENTRO','FLORIANOPOLIS','SC',2093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065002,6.00,4.00,5.00,6.00,6.00,4.00,4.00,3.00,3.00,207,NULL,NULL,'CENTRO','ITAPEVA','SP',13904,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2065010,6.00,8.00,7.00,9.00,9.00,6.50,7.00,8.00,7.00,102,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',559,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2065045,2.00,7.00,4.00,5.00,7.00,5.50,3.00,3.00,2.00,214,316,203,'ROYAL PARK','OURINHOS','SP',16109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2065053,4.00,6.00,2.00,1.00,6.00,5.25,4.00,5.00,3.00,317,9,NULL,'JURERÊ','FLORIANOPOLIS','SC',16358,269,627,NULL,NULL,NULL,NULL,4,1),(15,2065088,3.00,5.00,0.00,2.00,7.00,5.00,3.00,4.00,5.00,9,428,NULL,'BELA VISTA I','SAO JOSE','SC',17331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065096,3.00,6.00,3.00,4.00,8.00,7.75,4.00,7.00,3.00,103,104,NULL,'CENTRO','CURITIBANOS','SC',9706,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2065100,6.00,6.00,5.00,8.00,8.00,7.00,7.00,4.00,6.00,103,NULL,NULL,'CAMPINAS','SAO JOSE','SC',3932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065118,3.00,5.00,3.00,3.00,5.00,5.50,3.00,4.00,1.00,501,324,NULL,'SANTA MARIA','ANTONIO CARLOS','SC',18217,240,322,NULL,NULL,NULL,NULL,2,1),(15,2065126,3.00,7.00,3.00,5.00,7.00,7.00,5.00,5.00,2.00,319,308,NULL,'CAMPINAS','SAO JOSE','SC',12019,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2065134,3.00,7.00,0.00,6.00,7.00,5.75,3.00,7.00,1.00,308,319,NULL,'BARREIROS','SAO JOSE','SC',14864,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2065142,5.00,6.00,4.00,2.00,7.00,5.50,4.00,7.00,3.00,104,316,NULL,'CENTRO','PINHALZINHO','SC',11925,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2065150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,501,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2065169,3.00,4.00,4.00,3.00,8.00,5.00,4.00,3.00,3.00,304,302,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',17303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'JARDIM SAN MARINO','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2065185,2.00,6.00,0.00,6.00,7.00,6.25,4.00,6.00,2.00,103,101,NULL,'BARRA','BALNEARIO CAMBORIU','SC',15188,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2065193,7.00,7.00,3.00,5.00,8.00,7.50,5.00,7.00,3.00,9,104,NULL,'CAMPINAS','SAO JOSE','SC',5884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065207,5.00,7.00,4.00,5.00,6.00,6.00,5.00,7.00,3.00,2,225,NULL,'JARDIM MALUCHE','BRUSQUE','SC',9866,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2065215,2.00,5.00,1.00,2.00,4.00,4.00,3.00,3.00,4.00,501,301,NULL,'CENTRO','CRICIUMA','SC',20900,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065223,1.00,6.00,4.00,4.00,4.00,4.50,4.00,5.00,4.00,301,316,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2065258,3.00,7.00,2.00,3.00,6.00,4.75,5.00,4.00,1.00,207,420,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',16237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065266,5.00,8.00,5.00,8.00,7.00,7.75,8.00,6.00,3.00,5,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',3772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BOM JARDIM DA SERRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2065282,5.00,6.00,3.00,6.00,7.00,6.50,3.00,3.00,2.00,404,444,NULL,'BARREIROS','SAO JOSE','SC',13343,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2065290,4.00,8.00,8.00,9.00,8.00,6.75,8.00,8.00,4.00,420,208,NULL,'CENTRO','FLORIANOPOLIS','SC',1792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,303,203,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2065312,4.00,6.00,6.00,3.00,6.00,5.25,5.00,5.00,3.00,316,301,NULL,'FORQUILHINHAS','SAO JOSE','SC',11046,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2065320,2.00,7.00,1.00,1.00,5.00,3.25,3.00,2.00,1.00,103,101,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065339,7.00,7.00,7.00,8.00,8.00,5.50,9.00,4.00,7.00,203,2,NULL,'ZONA SETE','MARINGA','PR',2040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065347,3.00,6.00,3.00,4.00,6.00,6.00,3.00,4.00,2.00,216,101,NULL,'SUFIATTI','XANXERE','SC',16136,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2065355,3.00,5.00,4.00,4.00,6.00,5.75,3.00,5.00,3.00,444,423,NULL,'FORQUILHINHAS','SAO JOSE','SC',15761,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2065363,4.00,6.00,1.00,4.00,6.00,5.25,4.00,3.00,2.00,502,332,NULL,'ITACORUBI','FLORIANOPOLIS','SC',18017,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2065371,2.00,4.00,2.00,3.00,3.00,NULL,0.00,2.00,2.00,5,420,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2065380,4.00,8.00,6.00,5.00,9.00,6.25,7.00,5.00,3.00,104,444,NULL,'CAMPINAS','SAO JOSE','SC',5105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065398,2.00,5.00,4.00,5.00,5.00,4.25,2.00,3.00,3.00,444,332,NULL,'TRINDADE','FLORIANOPOLIS','SC',18543,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2065401,5.00,7.00,7.00,6.00,7.00,5.75,6.00,7.00,6.00,103,102,NULL,'ASA SUL','BRASILIA','DF',4155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065410,2.00,3.00,2.00,3.00,6.00,NULL,3.00,3.00,1.00,308,101,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CATARINA FONTANA','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2065444,2.00,6.00,3.00,4.00,5.00,6.00,4.00,6.00,4.00,234,339,NULL,'TRINDADE','FLORIANOPOLIS','SC',15602,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2065452,5.00,5.00,5.00,8.00,8.00,8.50,5.00,6.00,3.00,5,450,NULL,'CAMPINAS','SAO JOSE','SC',5969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065479,7.00,9.00,9.00,7.00,10.00,7.50,9.00,8.00,9.00,103,NULL,NULL,'VILA ITAPURA','CAMPINAS','SP',136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065487,4.00,4.00,2.00,3.00,6.00,6.25,2.00,5.00,3.00,233,318,211,'SANTA CATARINA','JOINVILLE','SC',16278,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2065495,7.00,8.00,8.00,8.00,9.00,7.50,8.00,7.00,7.00,203,220,214,'IATE C AMERICANA','AMERICANA','SP',675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065509,3.00,3.00,3.00,4.00,5.00,5.50,5.00,4.00,4.00,215,216,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2065517,4.00,6.00,4.00,4.00,6.00,3.00,6.00,4.00,2.00,301,316,NULL,'VILA CONCEIÇÃO','SAO JOAO DA BOA VISTA','SP',14108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065533,7.00,9.00,8.00,7.00,6.00,6.50,8.00,5.00,9.00,103,102,NULL,'TABOAO','SAO ROQUE','SP',1309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065568,4.00,3.00,0.00,3.00,5.00,5.25,5.00,3.00,3.00,316,208,NULL,'VILA JONES','AMERICANA','SP',19780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065576,4.00,6.00,4.00,7.00,8.00,7.50,6.00,7.00,6.00,425,428,424,'CENTRO','MARINGA','PR',4513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065584,6.00,9.00,8.00,9.00,9.00,6.75,8.00,8.00,7.00,316,301,NULL,'CENTRO','FLORIANOPOLIS','SC',639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065592,3.00,6.00,6.00,5.00,7.00,5.50,4.00,7.00,6.00,303,NULL,NULL,'CENTRO','MARINGA','PR',7406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,201,212,'JARDIM PAULISTA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2065657,1.00,7.00,2.00,5.00,7.00,6.00,5.00,3.00,3.00,316,429,NULL,'AGRONÔIMICA','FLORIANOPOLIS','SC',15393,424,263,NULL,NULL,NULL,NULL,2,1),(15,2065665,5.00,8.00,6.00,8.00,9.00,6.25,7.00,7.00,4.00,304,222,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',2713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,320,NULL,'PERDIZES','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2065681,5.00,7.00,4.00,6.00,8.00,5.00,7.00,5.00,3.00,215,NULL,NULL,'JARDIM CAXAMBU','JUNDIAI','SP',6504,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2065711,4.00,3.00,3.00,4.00,2.00,NULL,1.00,2.00,4.00,103,104,NULL,'CENTRO','SAO JOSE DO CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2065720,1.00,3.00,2.00,4.00,4.00,5.00,2.00,5.00,1.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',21831,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2065746,3.00,5.00,1.00,3.00,6.00,6.00,4.00,4.00,3.00,9,319,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',16911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065754,2.00,4.00,3.00,7.00,6.00,6.00,4.00,2.00,2.00,5,319,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',15983,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2065762,6.00,8.00,9.00,3.00,8.00,6.25,8.00,7.00,5.00,103,223,NULL,'JARDIM ANGELICA','CRICIUMA','SC',2719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065789,3.00,8.00,9.00,8.00,9.00,7.75,8.00,7.00,6.00,316,301,NULL,'IRIRIÚ','JOINVILLE','SC',1395,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2065797,1.00,4.00,5.00,5.00,5.00,5.75,2.00,2.00,2.00,104,444,NULL,'SAINT ETIENI','CAXIAS DO SUL','RS',19157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2065800,2.00,5.00,1.00,1.00,4.00,NULL,0.00,5.00,1.00,404,331,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065819,5.00,7.00,7.00,7.00,7.00,6.00,9.00,4.00,5.00,103,333,NULL,'CENTRO','FLORIANOPOLIS','SC',3825,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2065827,0.00,6.00,0.00,2.00,4.00,NULL,3.00,1.00,2.00,5,303,NULL,'SANTA CRUZ','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065835,3.00,5.00,5.00,4.00,5.00,3.50,5.00,5.00,4.00,103,104,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',15486,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2065843,2.00,7.00,2.00,2.00,7.00,4.75,2.00,2.00,2.00,308,225,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',19769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM CARMEL','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2065860,5.00,8.00,8.00,8.00,6.00,5.50,7.00,6.00,5.00,214,220,213,'SANTA ROSA','CAPAO BONITO','SP',3047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065878,3.00,7.00,4.00,6.00,8.00,6.25,5.00,5.00,2.00,108,333,NULL,'CAMPINAS','SAO JOSE','SC',10047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065886,3.00,5.00,2.00,4.00,7.00,5.25,6.00,4.00,4.00,302,318,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',14682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065894,2.00,6.00,1.00,6.00,4.00,4.25,2.00,2.00,2.00,333,108,NULL,'ESTREITO','FLORIANOPOLIS','SC',21365,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2065924,4.00,8.00,7.00,6.00,6.00,3.75,7.00,6.00,5.00,220,2,214,'CENTRO','LAGES','SC',6472,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2065932,4.00,5.00,4.00,2.00,7.00,5.50,1.00,5.00,3.00,331,108,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',16545,70,851,NULL,NULL,NULL,NULL,4,1),(15,2065940,4.00,7.00,9.00,9.00,8.00,6.50,6.00,7.00,6.00,303,301,NULL,'PETRÓPOLIS','PORTO ALEGRE','RS',1621,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2065959,2.00,7.00,4.00,5.00,4.00,5.25,4.00,6.00,2.00,332,327,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',13335,63,335,NULL,NULL,NULL,NULL,2,1),(15,2065967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM ITALIA','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2065975,7.00,7.00,6.00,8.00,9.00,7.00,9.00,8.00,6.00,103,333,NULL,'SANTA CATARINA','CAXIAS DO SUL','RS',679,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2065983,1.00,6.00,3.00,4.00,6.00,6.00,4.00,4.00,2.00,201,NULL,207,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2065991,4.00,7.00,7.00,8.00,9.00,5.75,8.00,5.00,4.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',3798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066009,2.00,8.00,2.00,6.00,5.00,4.50,3.00,7.00,1.00,102,404,NULL,'IPANEMA','PORTO ALEGRE','RS',15172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,427,NULL,'PARQUE MARIANE','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2066025,3.00,7.00,5.00,6.00,5.00,5.50,3.00,5.00,3.00,318,450,NULL,'CENTRO','CAPINZAL','SC',12140,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2066041,1.00,2.00,2.00,1.00,4.00,NULL,4.00,4.00,0.00,429,308,426,'CAMINHO NOVO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2066068,4.00,5.00,3.00,6.00,5.00,6.25,5.00,3.00,3.00,103,9,NULL,'CENTRO','FLORIANOPOLIS','SC',13024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066076,5.00,7.00,5.00,6.00,4.00,5.50,5.00,7.00,3.00,203,214,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',9578,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2066084,8.00,8.00,9.00,4.00,6.00,6.00,9.00,8.00,6.00,202,207,238,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',1400,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2066092,6.00,8.00,6.00,5.00,8.00,5.75,8.00,8.00,4.00,303,326,NULL,'VILA ESPERANÇA','IMBITUBA','SC',2816,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2066106,7.00,7.00,7.00,6.00,8.00,7.00,4.00,5.00,4.00,302,451,NULL,'CENTRO','SAO JOSE','SC',4965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066114,6.00,7.00,9.00,7.00,8.00,4.50,8.00,5.00,4.00,207,225,211,'NOVA PETRÓPOLIS','SAO BERNARDO DO CAMPO','SP',3257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2066122,5.00,7.00,5.00,7.00,6.00,6.75,7.00,8.00,6.00,327,NULL,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',3437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066130,3.00,6.00,3.00,3.00,6.00,4.50,5.00,7.00,4.00,103,104,NULL,'CENTRO','NAVIRAI','MS',11681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066157,1.00,5.00,3.00,0.00,4.00,5.75,5.00,4.00,2.00,102,217,NULL,'SÃO FRANCISCO','CURITIBANOS','SC',20134,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2066165,3.00,5.00,5.00,8.00,8.00,6.00,6.00,5.00,3.00,238,429,208,'CAPOEIRAS','FLORIANOPOLIS','SC',8080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066173,3.00,8.00,2.00,6.00,5.00,5.50,7.00,6.00,2.00,104,5,NULL,'CENTRO','SAO MARTINHO','RS',10811,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2066190,4.00,5.00,4.00,2.00,3.00,5.50,5.00,4.00,2.00,203,202,214,'DOS MUNICIPIOS','CACADOR','SC',17555,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2066203,2.00,7.00,5.00,9.00,5.00,3.50,7.00,6.00,4.00,201,316,212,'REAL PARQUE','SAO PAULO','SP',9362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,308,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2066238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2066246,5.00,7.00,5.00,7.00,8.00,5.50,5.00,4.00,3.00,103,NULL,NULL,'CENTRO','ITAJAI','SC',8147,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2066254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'BOQUEIRÃO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2066289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2066297,2.00,5.00,1.00,2.00,7.00,5.25,3.00,3.00,2.00,9,108,NULL,'CENTRO','CAMPOS NOVOS','SC',20686,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2066300,2.00,4.00,1.00,7.00,7.00,6.00,5.00,5.00,2.00,308,309,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',15857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2066319,6.00,9.00,8.00,4.00,8.00,6.75,7.00,7.00,4.00,103,428,NULL,'ITACORUBI','FLORIANOPOLIS','SC',3475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2066327,5.00,7.00,6.00,9.00,6.00,7.25,7.00,5.00,2.00,310,331,NULL,'BAIRRO ALTO','CURITIBA','PR',5306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','CAPAO BONITO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2066343,2.00,8.00,3.00,3.00,5.00,6.00,4.00,5.00,2.00,211,333,233,'VILA MOEMA','TUBARAO','SC',14686,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2066351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'BOQUEIRÃO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2066360,4.00,7.00,4.00,5.00,8.00,6.25,4.00,7.00,5.00,426,451,427,'AGONOMICA','FLORIANOPOLIS','SC',6022,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2066378,1.00,5.00,1.00,2.00,7.00,NULL,2.00,2.00,3.00,429,425,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066386,6.00,8.00,7.00,8.00,6.00,5.75,9.00,6.00,7.00,233,213,214,'CENTRO','JACAREI','SP',2590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,320,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2066408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,318,NULL,'ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2066424,5.00,5.00,6.00,9.00,6.00,5.75,7.00,5.00,5.00,301,217,NULL,'IATE CLUBE AMERICANA','AMERICANA','SP',5742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066440,0.00,2.00,1.00,0.00,1.00,NULL,2.00,3.00,2.00,104,319,NULL,'ALTO DA GLÓRIA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2066467,1.00,5.00,3.00,4.00,3.00,4.50,3.00,2.00,1.00,203,NULL,NULL,'VELHA','BLUMENAU','SC',22082,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2066475,4.00,7.00,6.00,8.00,5.00,7.00,9.00,7.00,7.00,202,103,214,'JD SANTA MENA','GUARULHOS','SP',2856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066483,2.00,8.00,4.00,7.00,9.00,5.25,3.00,7.00,4.00,423,326,428,'ESTREITO','FLORIANOPOLIS','SC',8848,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2066491,5.00,8.00,4.00,9.00,8.00,6.25,7.00,8.00,4.00,103,502,NULL,'IRIRIÚ','JOINVILLE','SC',2936,1022,135,NULL,NULL,NULL,NULL,4,8),(15,2066505,1.00,7.00,3.00,1.00,6.00,6.00,2.00,3.00,4.00,208,NULL,238,'CACHOEIRA','FLORIANOPOLIS','SC',18536,720,NULL,687,NULL,NULL,NULL,4,1),(15,2066513,4.00,8.00,7.00,2.00,7.00,5.25,7.00,7.00,4.00,234,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',6631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066521,5.00,7.00,1.00,0.00,5.00,4.25,5.00,5.00,2.00,5,317,NULL,'CENTRO','FLORIANOPOLIS','SC',19004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066530,1.00,7.00,4.00,3.00,7.00,4.50,3.00,5.00,4.00,301,316,NULL,'MINA BRASIL','CRICIUMA','SC',13887,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2066548,6.00,8.00,6.00,8.00,8.00,6.50,7.00,7.00,5.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',2255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066556,3.00,5.00,0.00,6.00,4.00,NULL,2.00,4.00,3.00,415,451,NULL,'CENTRO','CAPAO BONITO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2066564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,216,NULL,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2066572,4.00,7.00,4.00,5.00,4.00,3.75,6.00,6.00,1.00,316,427,NULL,'SANTANA','RIO DO SUL','SC',12916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2066580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,2,202,'JARDIM ITÁLIA','CUIABA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2066602,0.00,2.00,1.00,1.00,3.00,NULL,2.00,2.00,2.00,101,102,NULL,'SÃO SEBASTIÃO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066629,4.00,8.00,6.00,9.00,9.00,6.25,6.00,8.00,6.00,303,502,NULL,'CENTRO','FLORIANOPOLIS','SC',1763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066637,3.00,4.00,1.00,1.00,6.00,5.75,2.00,5.00,1.00,326,310,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',20651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066645,5.00,6.00,3.00,2.00,8.00,6.50,3.00,3.00,3.00,404,327,NULL,'CENTRO','BALNEARIO ARROIO DO SILVA','SC',15897,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2066653,2.00,6.00,1.00,3.00,6.00,5.75,2.00,5.00,3.00,308,415,NULL,'VILA MARIETA','SAO PAULO','SP',19111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,214,NULL,'UNIÃO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2066670,1.00,7.00,5.00,5.00,8.00,7.50,7.00,3.00,2.00,103,102,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',10192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066688,5.00,8.00,5.00,8.00,6.00,6.00,9.00,8.00,5.00,5,223,NULL,'CENTRO','FLORIANOPOLIS','SC',2270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066700,5.00,5.00,5.00,2.00,7.00,5.00,7.00,4.00,5.00,333,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',10849,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2066718,6.00,8.00,7.00,7.00,7.00,6.25,8.00,9.00,5.00,216,201,202,'TRINDADE','FLORIANOPOLIS','SC',1146,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2066726,6.00,7.00,5.00,4.00,4.00,5.00,4.00,5.00,5.00,108,208,NULL,'BOMBAS','BOMBINHAS','SC',9621,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2066734,5.00,8.00,6.00,8.00,8.00,7.00,6.00,5.00,5.00,103,303,NULL,'JAÇANÃ','SAO PAULO','SP',3525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066750,7.00,8.00,6.00,7.00,5.00,6.00,8.00,8.00,8.00,216,217,NULL,'MATA DA PRAIA','VITORIA','ES',1805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066769,2.00,6.00,5.00,5.00,6.00,5.00,3.00,7.00,3.00,426,423,424,'BARREIROS','SAO JOSE','SC',12111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2066777,2.00,6.00,4.00,6.00,8.00,5.75,2.00,3.00,1.00,415,316,NULL,'VILA NOVA','JARAGUA DO SUL','SC',15882,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2066785,3.00,8.00,8.00,6.00,6.00,6.00,7.00,7.00,6.00,212,201,214,'ITAIM BIBI','SAO PAULO','SP',3346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066793,3.00,8.00,1.00,5.00,7.00,5.25,5.00,6.00,3.00,303,427,NULL,'CENTRO','FLORIANOPOLIS','SC',11822,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2066807,1.00,7.00,2.00,0.00,4.00,NULL,4.00,1.00,0.00,202,212,213,'VILA CLEMENTINO','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066815,7.00,8.00,7.00,8.00,8.00,7.25,7.00,8.00,6.00,233,326,203,'CENTRO','FLORIANOPOLIS','SC',882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066831,5.00,8.00,7.00,9.00,9.00,7.50,7.00,8.00,3.00,203,2,214,'CENTRO','CHAPECO','SC',2103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066840,2.00,6.00,4.00,8.00,4.00,5.25,0.00,3.00,3.00,303,301,NULL,'ITACORUBI','FLORIANOPOLIS','SC',16544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066858,3.00,5.00,3.00,5.00,8.00,5.00,4.00,5.00,1.00,234,427,NULL,'FAZENDA STO ANTÔNIO','SAO JOSE','SC',15414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066866,5.00,8.00,3.00,0.00,6.00,5.00,4.00,5.00,4.00,103,328,NULL,'BOM JESUS','PORTO ALEGRE','RS',14241,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2066874,1.00,5.00,3.00,3.00,4.00,5.00,3.00,4.00,2.00,103,208,NULL,'VENDAVAL','BIGUACU','SC',20886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2066882,3.00,7.00,5.00,4.00,8.00,6.00,7.00,3.00,4.00,302,423,NULL,'CAMPECHE','FLORIANOPOLIS','SC',9531,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2066890,4.00,8.00,8.00,7.00,8.00,6.75,6.00,7.00,6.00,211,234,215,'PANTANAL','FLORIANOPOLIS','SC',2539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066904,7.00,6.00,4.00,6.00,7.00,5.00,5.00,5.00,3.00,319,215,NULL,'JOÃO BATISTA TONIAL','XANXERE','SC',7223,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2066912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'JARDIM IGUAÇÚ','ARAUCARIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2066939,7.00,7.00,5.00,4.00,8.00,7.25,8.00,5.00,4.00,103,104,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',4606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066947,6.00,6.00,3.00,5.00,8.00,5.50,5.00,5.00,3.00,102,108,NULL,'CENTRO','CERQUILHO','SP',10945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066955,4.00,8.00,1.00,3.00,6.00,4.50,4.00,6.00,2.00,201,203,212,'VILA NOVA','FRANCISCO BELTRAO','PR',15860,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2066963,3.00,6.00,3.00,6.00,7.00,6.75,3.00,3.00,1.00,211,108,207,'VILA SÃO JOSÉ','ARARANGUA','SC',15231,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2066971,3.00,7.00,5.00,1.00,2.00,NULL,8.00,8.00,6.00,301,316,NULL,'CENTRO','ARARAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2066980,3.00,7.00,3.00,0.00,5.00,5.75,4.00,5.00,4.00,501,502,NULL,'CNETRO','JARDINOPOLIS','SC',15775,191,267,NULL,NULL,NULL,NULL,4,4),(15,2066998,3.00,4.00,4.00,3.00,6.00,5.50,5.00,1.00,1.00,213,2,214,'JARDIM SOFIA','JOINVILLE','SC',19290,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2067005,4.00,5.00,2.00,2.00,5.00,6.25,3.00,4.00,3.00,207,301,211,'CENTRO','CASCAVEL','PR',17398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067013,4.00,5.00,4.00,6.00,5.00,5.00,6.00,4.00,4.00,211,217,215,'CAMOBI','SANTA MARIA','RS',12296,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2067021,3.00,7.00,1.00,7.00,7.00,5.25,3.00,6.00,1.00,420,425,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067056,0.00,3.00,2.00,1.00,4.00,NULL,5.00,2.00,0.00,220,213,202,'JARDIM CHAPADÃO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BATEAS','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2067072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'JARDIM IRAJA','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2067080,4.00,7.00,8.00,6.00,6.00,5.50,6.00,6.00,4.00,202,201,NULL,'CENTRO','SANTA HELENA','PR',6278,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2067099,3.00,7.00,2.00,6.00,6.00,6.00,5.00,6.00,3.00,208,308,238,'MONTE VERDE','FLORIANOPOLIS','SC',11189,389,271,384,NULL,NULL,NULL,4,1),(15,2067102,8.00,8.00,9.00,6.00,8.00,6.50,7.00,8.00,7.00,5,303,NULL,'SERRINHA','FLORIANOPOLIS','SC',588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067110,4.00,7.00,5.00,7.00,9.00,6.50,7.00,5.00,4.00,450,NULL,NULL,'PAULISTA','PIRACICABA','SP',5926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067137,6.00,8.00,9.00,9.00,8.00,7.50,8.00,7.00,7.00,5,211,NULL,'BARREIROS','SAO JOSE','SC',380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067145,6.00,8.00,6.00,7.00,8.00,7.50,8.00,5.00,3.00,211,420,214,'CENTRO','PASSO FUNDO','RS',3923,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2067153,4.00,7.00,3.00,7.00,5.00,5.00,7.00,4.00,3.00,202,213,238,'FLORESTA','JOINVILLE','SC',11712,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2067161,3.00,3.00,2.00,2.00,3.00,5.50,5.00,2.00,4.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067170,3.00,5.00,5.00,6.00,6.00,6.50,4.00,3.00,4.00,103,101,NULL,'SÃO JUDAS','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2067196,5.00,9.00,6.00,9.00,8.00,6.50,7.00,7.00,6.00,303,5,NULL,'GUANABARA','JOINVILLE','SC',2226,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2067200,5.00,9.00,5.00,6.00,8.00,6.50,4.00,6.00,3.00,101,420,NULL,'CENTRO','FLORIANOPOLIS','SC',6008,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2067218,2.00,6.00,2.00,6.00,7.00,5.75,6.00,4.00,3.00,316,317,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',12011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067226,5.00,6.00,5.00,6.00,8.00,6.75,6.00,5.00,4.00,108,426,NULL,'ESTREITO','FLORIANOPOLIS','SC',7094,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2067234,2.00,4.00,0.00,2.00,4.00,NULL,2.00,3.00,0.00,429,423,425,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'JARDIM ALVORADA','MARILIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2067250,5.00,8.00,8.00,3.00,8.00,6.25,6.00,5.00,6.00,203,216,202,'PITUBA','SALVADOR','BA',4941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067269,7.00,6.00,4.00,1.00,3.00,4.75,6.00,4.00,0.00,213,233,214,'VILA EMA','SAO JOSE DOS CAMPOS','SP',17599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067277,3.00,5.00,3.00,1.00,6.00,2.00,3.00,7.00,2.00,326,331,NULL,'VILA ESPERANÇA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2067307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'CONSIL','CUIABA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2067315,1.00,8.00,7.00,6.00,5.00,5.25,5.00,5.00,4.00,202,316,220,'PANTANAL','FLORIANOPOLIS','SC',10878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067323,5.00,5.00,6.00,6.00,6.00,4.00,5.00,3.00,6.00,207,420,NULL,'CACUPÉ','FLORIANOPOLIS','SC',9655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067331,8.00,7.00,9.00,7.00,8.00,4.50,10.00,8.00,8.00,103,NULL,NULL,'PINHEIROS','SAO PAULO','SP',600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067340,7.00,8.00,7.00,8.00,9.00,6.00,7.00,9.00,6.00,108,333,NULL,'ANAPOLIS CITY','ANAPOLIS','GO',615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','ITAIOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2067366,9.00,9.00,9.00,9.00,9.00,8.00,9.00,8.00,7.00,103,331,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',14,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067374,1.00,7.00,4.00,3.00,5.00,3.00,3.00,5.00,3.00,303,425,NULL,'TAPERA','FLORIANOPOLIS','SC',17729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067382,6.00,7.00,4.00,2.00,6.00,5.75,7.00,6.00,5.00,108,444,NULL,'ELOY CHAVES','JUNDIAI','SP',8710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'JARDIM ESTORIL','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2067404,1.00,3.00,1.00,0.00,0.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'VILA NOVA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2067412,4.00,5.00,5.00,4.00,6.00,5.75,5.00,3.00,2.00,102,217,NULL,'BARREIROS','SAO JOSE','SC',14731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2067420,1.00,5.00,2.00,2.00,7.00,4.00,2.00,4.00,4.00,333,108,NULL,'CENTRO','INDAIAL','SC',20114,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2067439,4.00,8.00,8.00,7.00,8.00,6.50,7.00,7.00,6.00,5,211,NULL,'CENTRO','CONCORDIA','SC',2726,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2067447,4.00,7.00,3.00,7.00,6.00,5.75,5.00,8.00,2.00,103,9,NULL,'FLORESTA','PORTO ALEGRE','RS',10268,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2067455,3.00,3.00,1.00,5.00,7.00,5.50,2.00,4.00,3.00,203,NULL,214,'NEREU RAMOS','JARAGUA DO SUL','SC',19076,1100,NULL,553,NULL,NULL,NULL,2,8),(15,2067463,4.00,7.00,2.00,2.00,3.00,4.50,5.00,4.00,3.00,332,331,NULL,'BARREIROS','SAO JOSE','SC',18434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067471,3.00,7.00,3.00,4.00,8.00,4.50,4.00,3.00,2.00,104,9,NULL,'CENTRO','CHAPECO','SC',13714,450,568,NULL,NULL,NULL,NULL,2,4),(15,2067480,2.00,6.00,6.00,6.00,5.00,5.25,4.00,5.00,2.00,238,451,208,'INGLESES','FLORIANOPOLIS','SC',14242,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2067498,1.00,4.00,6.00,4.00,5.00,5.50,4.00,3.00,1.00,213,212,214,'CENTRO','ASSIS','SP',19137,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2067501,7.00,8.00,8.00,8.00,8.00,6.50,5.00,7.00,6.00,5,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',1323,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2067510,5.00,8.00,8.00,7.00,7.00,6.75,9.00,7.00,4.00,212,201,214,'VILA MARIANA','SAO PAULO','SP',1701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067528,4.00,6.00,7.00,1.00,7.00,6.25,5.00,4.00,4.00,238,304,212,'ATIRADORES','JOINVILLE','SC',10138,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2067536,6.00,8.00,7.00,7.00,7.00,6.00,5.00,7.00,4.00,303,301,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',3654,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2067544,5.00,7.00,8.00,7.00,8.00,4.25,9.00,7.00,6.00,203,201,202,'ITACORUBI','FLORIANOPOLIS','SC',2138,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2067560,3.00,6.00,1.00,6.00,6.00,5.75,6.00,4.00,4.00,202,331,233,'NOSSA SRA DE LOURDES','SANTA MARIA','RS',12770,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2067579,4.00,7.00,4.00,3.00,6.00,5.00,3.00,4.00,4.00,5,427,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',12263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067587,3.00,8.00,3.00,8.00,6.00,5.50,4.00,4.00,2.00,331,310,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',12536,43,138,NULL,NULL,NULL,NULL,4,1),(15,2067595,5.00,7.00,7.00,7.00,7.00,4.50,8.00,5.00,4.00,212,222,201,'CORREGO GRANDE','FLORIANOPOLIS','SC',5144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067609,5.00,6.00,6.00,2.00,8.00,5.25,7.00,6.00,5.00,212,203,214,'VILA CRISTAL','BRODOWSKI','SP',7011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067633,4.00,7.00,1.00,6.00,7.00,5.00,4.00,6.00,4.00,101,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',13119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,102,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2067650,1.00,8.00,5.00,1.00,5.00,5.75,3.00,2.00,2.00,501,102,NULL,'VILLAGE','IMBITUBA','SC',19196,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2067668,3.00,7.00,6.00,1.00,7.00,4.50,6.00,7.00,5.00,318,304,NULL,'BARREIROS','SAO JOSE','SC',9570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067684,2.00,8.00,6.00,4.00,5.00,4.75,6.00,7.00,5.00,501,502,NULL,'SANTINHO','FLORIANOPOLIS','SC',9821,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2067692,1.00,5.00,0.00,6.00,5.00,5.00,4.00,5.00,1.00,318,429,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',20244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2067706,3.00,8.00,3.00,3.00,7.00,6.25,6.00,5.00,1.00,450,310,NULL,'BOQUEIRÃO','SANTOS','SP',11491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,207,NULL,'ASA NORTE','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2067749,3.00,6.00,2.00,8.00,7.00,6.00,5.00,3.00,2.00,415,207,NULL,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',11390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,212,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2067765,2.00,7.00,0.00,1.00,4.00,NULL,5.00,5.00,3.00,309,320,NULL,'JARDIM IRENE','SANTO ANDRE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2067773,1.00,6.00,3.00,1.00,5.00,5.25,4.00,3.00,1.00,333,502,NULL,'VILA INDUSTRIAL','TOLEDO','PR',21236,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2067790,5.00,7.00,7.00,7.00,8.00,5.75,7.00,6.00,5.00,5,303,NULL,'VILA NOVA CONCEIÇÃO','SAO PAULO','SP',3864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067811,4.00,7.00,7.00,5.00,7.00,7.00,5.00,5.00,5.00,9,211,NULL,'SOMENZARI','MARILIA','SP',7024,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2067820,0.00,4.00,2.00,3.00,4.00,5.00,4.00,3.00,2.00,5,208,NULL,'FLOR DE NÁPOLIS','SAO JOSE','SC',21958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067838,2.00,5.00,7.00,5.00,8.00,6.75,7.00,7.00,5.00,220,301,203,'BOSQUE DA SAUDE','CUIABA','MT',6050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067846,3.00,8.00,4.00,4.00,5.00,4.75,4.00,4.00,3.00,501,NULL,NULL,'CENTRO','BUENO BRANDAO','MG',14962,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2067854,4.00,8.00,4.00,9.00,9.00,5.75,4.00,8.00,5.00,420,451,NULL,'FLORESTA','SAO JOSE','SC',4182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067870,2.00,6.00,3.00,3.00,8.00,5.75,2.00,3.00,1.00,415,310,NULL,'JARDIM PIRITUBA','SAO PAULO','SP',17353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067889,3.00,7.00,2.00,4.00,5.00,6.50,5.00,7.00,5.00,217,216,NULL,'CAMPINAS','SAO JOSE','SC',10764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067897,5.00,7.00,6.00,4.00,7.00,4.50,6.00,6.00,3.00,208,203,238,'CENTRO','BIGUACU','SC',9066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067900,4.00,5.00,7.00,2.00,6.00,4.50,5.00,5.00,4.00,9,224,NULL,'CENTRO','PIRACICABA','SP',12538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067919,3.00,5.00,2.00,5.00,7.00,4.00,2.00,5.00,2.00,5,101,NULL,'SÃO VICENTE','ITAJAI','SC',18116,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2067927,5.00,7.00,8.00,7.00,8.00,7.50,9.00,7.00,6.00,211,339,215,'CENTRO','FLORIANOPOLIS','SC',1049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067935,6.00,7.00,4.00,5.00,8.00,6.00,4.00,4.00,3.00,101,308,NULL,'TRINDADE','FLORIANOPOLIS','SC',9646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067943,0.00,3.00,2.00,1.00,1.00,NULL,3.00,3.00,0.00,217,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2067951,5.00,7.00,6.00,3.00,6.00,3.50,6.00,5.00,3.00,428,421,424,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',11191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067960,1.00,6.00,4.00,5.00,6.00,6.50,3.00,7.00,1.00,303,319,NULL,'FORTALEZA','BLUMENAU','SC',14987,695,809,NULL,NULL,NULL,NULL,4,2),(15,2067978,6.00,9.00,9.00,7.00,8.00,4.25,9.00,8.00,6.00,203,108,220,'JARDIM UNIVERSITÁRIO','CUIABA','MT',815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2067986,1.00,4.00,4.00,4.00,6.00,4.00,5.00,6.00,3.00,213,203,202,'VILA SÃO JOSÉ','TAUBATE','SP',16484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2067994,3.00,5.00,3.00,4.00,6.00,5.75,3.00,5.00,2.00,451,308,NULL,'CENTRO','FLORIANOPOLIS','SC',16218,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2068001,7.00,8.00,6.00,6.00,8.00,5.25,5.00,6.00,5.00,301,316,NULL,'COQUEIROS','FLORIANOPOLIS','SC',4461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068010,1.00,4.00,3.00,2.00,5.00,3.50,3.00,2.00,3.00,415,225,NULL,'CENTRO','FLORIANOPOLIS','SC',22474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068028,7.00,8.00,6.00,8.00,8.00,6.75,6.00,6.00,5.00,207,420,238,'JARDIM RECREIO','RIBEIRAO PRETO','SP',2213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068036,6.00,7.00,4.00,5.00,8.00,6.75,6.00,8.00,6.00,104,201,NULL,'BOM JESUS','RIO NEGRO','PR',3785,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2068044,2.00,6.00,1.00,7.00,7.00,5.50,4.00,3.00,3.00,444,308,NULL,'ARIRIU','PALHOCA','SC',15221,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2068060,2.00,7.00,1.00,5.00,6.00,5.00,5.00,9.00,3.00,304,303,NULL,'PINHEIROS','SAO PAULO','SP',12759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068079,6.00,8.00,10.00,8.00,8.00,6.00,9.00,8.00,7.00,214,304,212,'TRINDADE','FLORIANOPOLIS','SC',261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2068087,3.00,7.00,8.00,6.00,8.00,6.25,7.00,5.00,4.00,316,301,NULL,'CENTRO','FLORIANOPOLIS','SC',4839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068095,1.00,3.00,4.00,3.00,8.00,7.00,6.00,2.00,2.00,2,NULL,NULL,'CENTRO','CAPINZAL','SC',16689,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2068109,4.00,4.00,5.00,6.00,4.00,5.75,4.00,4.00,3.00,101,333,NULL,'TRISTEZA','PORTO ALEGRE','RS',13140,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2068117,5.00,7.00,4.00,5.00,8.00,4.75,6.00,6.00,2.00,233,234,211,'TRINDADE','FLORIANOPOLIS','SC',8481,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2068125,4.00,7.00,1.00,9.00,8.00,5.00,4.00,7.00,1.00,103,326,NULL,'MARAMBAIA','VINHEDO','SP',9440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068133,2.00,7.00,3.00,5.00,7.00,4.50,6.00,4.00,2.00,319,103,NULL,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2068141,3.00,6.00,2.00,5.00,7.00,5.50,3.00,3.00,2.00,103,104,NULL,'CENTRO','CHAPECO','SC',17348,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2068150,3.00,5.00,7.00,6.00,7.00,4.00,5.00,6.00,4.00,238,316,212,'CENTRO','FLORIANOPOLIS','SC',10118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068168,5.00,5.00,6.00,7.00,9.00,4.00,5.00,5.00,3.00,303,404,NULL,'CAMPINAS','SAO JOSE','SC',8600,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2068184,3.00,6.00,5.00,7.00,6.00,5.00,6.00,3.00,4.00,104,333,NULL,'ANITA GARIBALDI','JOINVILLE','SC',9410,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2068192,3.00,5.00,3.00,4.00,4.00,5.00,5.00,4.00,2.00,333,211,NULL,'PANALTO PAULISTA','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2068206,5.00,8.00,4.00,6.00,7.00,6.50,5.00,6.00,2.00,211,501,201,'AMÉRICA','JOINVILLE','SC',7583,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2068214,5.00,7.00,3.00,9.00,8.00,6.50,5.00,7.00,4.00,327,303,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',3985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068222,0.00,6.00,0.00,2.00,4.00,NULL,0.00,4.00,2.00,9,326,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2068249,6.00,9.00,4.00,9.00,8.00,7.00,9.00,7.00,6.00,5,101,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',1059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068257,6.00,8.00,3.00,9.00,8.00,5.50,4.00,7.00,4.00,103,216,NULL,'CAPÃO RASO','CURITIBA','PR',5838,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2068265,3.00,7.00,3.00,6.00,2.00,NULL,2.00,4.00,3.00,108,501,NULL,'CENTRO','CAMPO BELO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2068273,0.00,5.00,3.00,5.00,7.00,6.00,1.00,4.00,4.00,102,215,NULL,'RIBEIRÃO CAVALO','JARAGUA DO SUL','SC',17719,387,598,NULL,NULL,NULL,NULL,4,8),(15,2068281,4.00,6.00,2.00,1.00,5.00,4.75,5.00,4.00,3.00,304,302,NULL,'GUANABARA','JOINVILLE','SC',17957,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2068290,5.00,7.00,7.00,8.00,7.00,4.50,5.00,6.00,5.00,203,220,214,'SANAT CRUZ','RIBEIRAO PRETO','SP',4664,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068303,5.00,6.00,3.00,5.00,7.00,4.25,3.00,6.00,2.00,234,331,NULL,'BOISSUCANGA','SAO SEBASTIAO','SP',11654,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2068338,0.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,415,331,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2068346,4.00,5.00,2.00,4.00,4.00,3.00,4.00,5.00,4.00,332,324,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',17736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2068354,8.00,8.00,7.00,9.00,8.00,7.00,9.00,8.00,6.00,103,233,NULL,'CENTRO','ITAJAI','SC',422,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2068362,2.00,4.00,4.00,5.00,6.00,5.50,5.00,4.00,2.00,103,308,NULL,'PRIMO TACCA','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2068370,3.00,8.00,9.00,5.00,4.00,6.00,7.00,6.00,6.00,211,203,216,'CAIÇARA','CAMPO GRANDE','MS',5665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068389,6.00,6.00,4.00,6.00,7.00,3.75,6.00,5.00,5.00,327,328,NULL,'KOBRASOL','SAO JOSE','SC',8784,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2068397,1.00,5.00,2.00,2.00,4.00,5.50,1.00,6.00,2.00,102,309,NULL,'CENTRO','LEOBERTO LEAL','SC',20984,480,235,NULL,NULL,NULL,NULL,4,1),(15,2068400,2.00,6.00,2.00,4.00,3.00,4.50,4.00,2.00,1.00,202,423,213,'KOBRASSOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2068419,6.00,8.00,8.00,8.00,9.00,7.75,7.00,6.00,6.00,303,415,NULL,'CENTRO','FLORIANOPOLIS','SC',1014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068435,4.00,7.00,3.00,1.00,5.00,4.75,6.00,6.00,4.00,103,303,NULL,'PAULISTA','PIRACICABA','SP',14562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068451,5.00,8.00,7.00,4.00,7.00,5.75,8.00,5.00,5.00,103,102,NULL,'VILA SÃO JOSÉ','ARARANGUA','SC',5127,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2068460,8.00,9.00,9.00,5.00,8.00,6.25,8.00,5.00,7.00,103,501,NULL,'ÁGUA VERDE','CURITIBA','PR',1809,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2068478,1.00,6.00,3.00,8.00,7.00,5.00,4.00,5.00,1.00,103,333,NULL,'CACUPÉ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068494,4.00,6.00,2.00,1.00,5.00,6.00,4.00,6.00,4.00,327,108,NULL,'CENTRO','FLORIANOPOLIS','SC',13687,73,795,NULL,NULL,NULL,NULL,4,1),(15,2068508,7.00,9.00,7.00,9.00,10.00,6.25,8.00,6.00,7.00,203,5,238,'KOBRASOL','SAO JOSE','SC',697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068516,7.00,9.00,9.00,9.00,9.00,6.50,8.00,7.00,6.00,103,101,NULL,'CAMPOLIM','SOROCABA','SP',404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068532,3.00,8.00,4.00,8.00,8.00,6.50,4.00,5.00,4.00,102,217,NULL,'CENTRO','FLORIANOPOLIS','SC',7327,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2068540,9.00,8.00,9.00,8.00,8.00,7.00,9.00,7.00,9.00,203,NULL,NULL,'PARQUE OSVALDO SELLA','CAMBE','PR',52,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2068559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,425,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2068567,1.00,2.00,0.00,3.00,4.00,NULL,1.00,3.00,2.00,303,NULL,NULL,'CARANDA BOSQUE','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2068575,6.00,7.00,5.00,7.00,7.00,4.75,5.00,7.00,3.00,319,303,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',5769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068591,2.00,4.00,6.00,4.00,6.00,4.75,4.00,3.00,2.00,108,NULL,NULL,'CENTRO','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2068605,1.00,6.00,3.00,1.00,7.00,5.25,2.00,5.00,3.00,301,316,NULL,'POÇO RICO','OTACILIO COSTA','SC',19419,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2068613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'PRAIA BRAVA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2068630,6.00,8.00,9.00,7.00,7.00,5.25,9.00,6.00,8.00,203,201,220,'CENTRO','PRUDENTOPOLIS','PR',1541,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2068648,1.00,6.00,6.00,2.00,8.00,7.75,4.00,5.00,3.00,303,5,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',12754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068656,6.00,8.00,5.00,3.00,8.00,6.25,8.00,5.00,5.00,212,304,233,'CENTRO','FLORIANOPOLIS','SC',6484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068664,6.00,7.00,5.00,8.00,7.00,5.00,7.00,5.00,6.00,103,101,NULL,'BATEL','CURITIBA','PR',5732,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2068672,4.00,6.00,3.00,2.00,6.00,5.50,3.00,3.00,6.00,301,316,NULL,'CENTRO','FLORIANOPOLIS','SC',15681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068680,7.00,8.00,5.00,8.00,9.00,8.50,6.00,8.00,7.00,103,318,NULL,'PRESIDENTE MÉDICI','CHAPECO','SC',1495,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2068699,4.00,8.00,5.00,8.00,7.00,5.75,6.00,6.00,5.00,316,301,NULL,'BOM RETIRO','SAO PAULO','SP',5612,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2068710,7.00,9.00,7.00,9.00,8.00,7.50,8.00,8.00,7.00,103,450,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068729,7.00,7.00,5.00,6.00,7.00,6.50,7.00,8.00,6.00,103,104,NULL,'JD DAS PALMEIRAS','CAMPINAS','SP',2868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068737,4.00,8.00,1.00,4.00,7.00,6.00,4.00,5.00,4.00,207,425,201,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',10990,541,300,612,NULL,NULL,NULL,4,1),(15,2068745,4.00,6.00,5.00,4.00,8.00,5.25,7.00,5.00,3.00,444,108,NULL,'JORDANOPOLIS','SAO PAULO','SP',7788,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2068761,3.00,7.00,2.00,4.00,5.00,4.25,3.00,4.00,2.00,332,502,NULL,'ROÇADO','SAO JOSE','SC',18919,111,313,NULL,NULL,NULL,NULL,2,1),(15,2068770,2.00,8.00,0.00,5.00,7.00,5.75,3.00,7.00,4.00,502,423,NULL,'IPIRANGA','SAO JOSE','SC',11800,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2068788,4.00,5.00,3.00,8.00,8.00,7.00,6.00,4.00,2.00,319,207,NULL,'CENTRO','CHAPECO','SC',8505,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2068796,1.00,7.00,4.00,3.00,6.00,5.75,4.00,5.00,2.00,9,104,NULL,'CENTRO','FLORIANOPOLIS','SC',16159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068800,3.00,6.00,4.00,6.00,8.00,5.50,3.00,6.00,4.00,208,103,233,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068818,3.00,7.00,4.00,7.00,6.00,5.00,4.00,6.00,4.00,207,201,NULL,'CENTRO','SAO LOURENCO DO OESTE','SC',9215,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2068826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,404,238,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2068834,5.00,6.00,3.00,7.00,6.00,5.75,5.00,6.00,4.00,103,108,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2068842,5.00,9.00,7.00,6.00,8.00,6.00,6.00,5.00,4.00,5,102,NULL,'SAGUAÇU','JOINVILLE','SC',5340,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2068850,0.00,4.00,2.00,5.00,0.00,NULL,2.00,6.00,2.00,501,NULL,NULL,'RIO BONITO','MAJOR VIEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2068869,3.00,5.00,5.00,4.00,6.00,5.50,5.00,4.00,4.00,212,201,220,'CENTRO','CASCAVEL','PR',14463,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2068877,4.00,7.00,7.00,7.00,6.00,6.25,6.00,4.00,2.00,203,103,201,'AGRONÔMICA','FLORIANOPOLIS','SC',7983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,326,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2068907,6.00,7.00,5.00,8.00,7.00,8.00,7.00,5.00,4.00,108,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',3461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068915,5.00,7.00,7.00,5.00,8.00,6.00,8.00,4.00,4.00,104,502,NULL,'CENTRO','FLORIANOPOLIS','SC',5575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2068931,2.00,4.00,5.00,9.00,7.00,5.00,7.00,5.00,4.00,208,NULL,NULL,'VORSTADT','BLUMENAU','SC',9085,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2068940,3.00,6.00,2.00,2.00,6.00,4.00,4.00,4.00,4.00,104,238,NULL,'INTERIOR','QUILOMBO','SC',18156,588,986,NULL,NULL,NULL,NULL,4,4),(15,2068966,4.00,8.00,1.00,4.00,6.00,6.00,4.00,7.00,2.00,327,320,NULL,'COND JARDINS DO SUL','BAURU','SP',12642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2068982,0.00,3.00,0.00,3.00,6.00,NULL,3.00,4.00,2.00,415,316,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2068990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,102,215,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2069016,6.00,8.00,4.00,7.00,7.00,7.00,8.00,6.00,4.00,103,NULL,NULL,'COQUEIROS','FLORIANOPOLIS','SC',4190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069024,5.00,6.00,6.00,6.00,5.00,6.50,7.00,6.00,4.00,303,5,NULL,'CONDOMÍNIO MARAMBAIA','VINHEDO','SP',6480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069040,0.00,5.00,3.00,2.00,2.00,NULL,2.00,1.00,2.00,420,208,NULL,'CENTRO SÃO JOSÉ','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069059,7.00,9.00,8.00,9.00,7.00,4.75,9.00,7.00,6.00,216,326,211,'ITACORUBI','FLORIANOPOLIS','SC',907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069067,5.00,8.00,5.00,4.00,8.00,8.00,3.00,4.00,6.00,451,450,NULL,'DAS NAÇÕES','BALNEARIO CAMBORIU','SC',6956,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2069075,2.00,8.00,4.00,5.00,8.00,5.75,4.00,5.00,1.00,324,309,NULL,'CENTRO','FLORIANOPOLIS','SC',11748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069083,6.00,8.00,9.00,4.00,9.00,7.00,8.00,7.00,5.00,213,301,233,'COQUEIROS','FLORIANOPOLIS','SC',1882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,222,233,'DISTRITO INDUSTRIAL','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2069113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,451,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2069121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,329,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2069130,2.00,6.00,4.00,8.00,8.00,6.00,5.00,5.00,4.00,425,304,427,'CENTRO','FLORIANOPOLIS','SC',8787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069148,7.00,7.00,8.00,6.00,7.00,5.25,9.00,7.00,7.00,211,108,NULL,'BOQUEIRÃO','SANTOS','SP',1304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069156,4.00,7.00,5.00,5.00,6.00,4.75,6.00,6.00,4.00,304,318,NULL,'JARDIM FLAMBOYANT','CAMPINAS','SP',7682,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2069164,6.00,9.00,6.00,7.00,9.00,4.50,6.00,6.00,5.00,333,108,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',4145,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2069172,7.00,9.00,8.00,8.00,8.00,5.50,9.00,7.00,8.00,103,502,NULL,'CENTRO','CURITIBA','PR',763,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2069180,2.00,4.00,1.00,1.00,6.00,NULL,3.00,3.00,1.00,103,101,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2069199,2.00,4.00,2.00,0.00,6.00,NULL,3.00,5.00,3.00,5,316,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069202,4.00,7.00,1.00,0.00,7.00,5.50,4.00,3.00,3.00,103,102,NULL,'CENTRO','LAGOA VERMELHA','RS',18179,2876,1033,NULL,NULL,NULL,NULL,4,8),(15,2069210,8.00,8.00,7.00,7.00,8.00,7.25,7.00,5.00,6.00,211,212,233,'ATIRADORES','JOINVILLE','SC',1616,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2069229,7.00,8.00,6.00,9.00,9.00,6.25,7.00,7.00,4.00,326,308,NULL,'VILA MOEMA','TUBARAO','SC',2295,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2069245,3.00,4.00,3.00,6.00,8.00,5.50,5.00,2.00,4.00,9,102,NULL,'ESTREITO','FLORIANOPOLIS','SC',12439,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2069253,3.00,7.00,4.00,4.00,8.00,6.00,5.00,3.00,2.00,103,333,NULL,'JD ESTER','SAO PAULO','SP',13399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069261,0.00,4.00,4.00,1.00,5.00,5.75,4.00,4.00,1.00,319,101,NULL,'SETOR F','QUERENCIA','MT',21124,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2069270,3.00,7.00,3.00,8.00,6.00,5.50,6.00,6.00,1.00,301,304,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069288,4.00,5.00,5.00,4.00,4.00,4.25,6.00,5.00,2.00,303,5,NULL,'ESTADOS','FAZENDA RIO GRANDE','PR',14656,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2069296,2.00,6.00,1.00,5.00,5.00,5.50,3.00,4.00,1.00,339,333,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',19445,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2069300,7.00,9.00,7.00,8.00,8.00,6.75,8.00,7.00,7.00,303,5,NULL,'TRINDADE','FLORIANOPOLIS','SC',684,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2069318,3.00,8.00,6.00,4.00,7.00,5.50,4.00,7.00,4.00,303,304,NULL,'BACACHERI','CURITIBA','PR',9354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,216,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2069334,4.00,6.00,1.00,7.00,7.00,6.00,3.00,5.00,3.00,217,216,NULL,'BOA VISTA','JOINVILLE','SC',12804,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2069342,6.00,8.00,7.00,7.00,8.00,5.25,8.00,6.00,6.00,103,9,NULL,'JD ALVORADA','SAO JOSE DOS CAMPOS','SP',3103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069350,4.00,6.00,4.00,5.00,3.00,3.00,6.00,5.00,3.00,203,502,220,'VILLA NOVA','BLUMENAU','SC',16147,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2069369,4.00,5.00,2.00,5.00,8.00,6.50,3.00,6.00,4.00,317,318,NULL,'CENTRO','FLORIANOPOLIS','SC',11192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069377,2.00,6.00,3.00,6.00,6.00,4.75,3.00,3.00,4.00,103,9,NULL,'PARQUE DAS GREVILEAS','MARINGA','PR',16569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069385,3.00,8.00,6.00,6.00,7.00,6.00,7.00,5.00,3.00,207,319,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',7400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069415,2.00,5.00,3.00,6.00,4.00,5.50,3.00,2.00,5.00,208,316,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',18232,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2069431,5.00,8.00,8.00,8.00,7.00,6.50,9.00,6.00,6.00,201,NULL,216,'PONTA DE BAIXO','SAO JOSE','SC',2488,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2069458,4.00,6.00,7.00,5.00,7.00,5.50,4.00,3.00,5.00,203,217,216,'CENTRO','GETULIO VARGAS','RS',9040,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2069466,5.00,7.00,5.00,7.00,8.00,6.00,8.00,7.00,4.00,207,451,211,'TRINDADE','FLORIANOPOLIS','SC',4084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,424,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2069490,5.00,7.00,8.00,5.00,8.00,5.75,9.00,8.00,6.00,103,451,NULL,'VILA MOEMA','TUBARAO','SC',1964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2069512,2.00,5.00,0.00,6.00,6.00,5.50,3.00,7.00,5.00,211,102,215,'TAGUATINGA NORTE','TAGUATINGA','DF',15203,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2069520,4.00,7.00,6.00,5.00,7.00,4.50,4.00,2.00,3.00,308,224,NULL,'TRINDADE','FLORIANOPOLIS','SC',12287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2069539,1.00,5.00,4.00,3.00,3.00,4.75,4.00,3.00,2.00,444,NULL,NULL,'COLONIA SANTANA','SAO JOSE','SC',20644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2069547,1.00,6.00,1.00,5.00,3.00,5.00,3.00,3.00,2.00,332,329,NULL,'VICTOR ISLER','PASSO FUNDO','RS',21718,146,NULL,NULL,NULL,NULL,NULL,2,1),(15,2069563,3.00,6.00,4.00,7.00,6.00,5.50,6.00,4.00,4.00,420,332,NULL,'CAMPECHE','FLORIANOPOLIS','SC',10266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069571,6.00,8.00,6.00,8.00,9.00,7.25,8.00,8.00,7.00,415,428,NULL,'KOBRASOL','SAO JOSE','SC',1066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069598,7.00,8.00,6.00,5.00,8.00,6.00,8.00,7.00,6.00,102,9,NULL,'JARDIM TABOÃO','SAO PAULO','SP',3319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069601,4.00,7.00,3.00,4.00,7.00,5.00,5.00,6.00,2.00,9,215,NULL,'FLORESTA','JOINVILLE','SC',12121,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2069610,1.00,6.00,0.00,5.00,4.00,NULL,2.00,5.00,2.00,327,5,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2069628,5.00,7.00,6.00,7.00,9.00,5.75,8.00,6.00,4.00,220,214,203,'PANTANAL','FLORIANOPOLIS','SC',4597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069636,4.00,7.00,4.00,5.00,7.00,6.75,7.00,7.00,4.00,207,420,201,'CIRU NARDI','CASCAVEL','PR',6372,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2069644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,220,214,'TESTO CENTRAL','POMERODE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2069652,4.00,8.00,5.00,7.00,5.00,5.50,8.00,7.00,3.00,203,202,NULL,'JARDIM EUROPA','ASSIS','SP',6245,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2069660,4.00,8.00,4.00,9.00,8.00,7.25,6.00,7.00,1.00,333,215,NULL,'JARDIM BOA ESPERANÇA','CAMPINAS','SP',4697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069679,3.00,7.00,4.00,4.00,9.00,6.00,5.00,5.00,6.00,319,428,NULL,'JURERÊ','FLORIANOPOLIS','SC',8666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069687,4.00,7.00,2.00,8.00,6.00,7.00,4.00,5.00,2.00,103,101,NULL,'REBOUÇAS','CURITIBA','PR',9666,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2069695,2.00,6.00,4.00,2.00,5.00,5.50,3.00,5.00,4.00,103,102,NULL,'SCHRAMM','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2069709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,333,NULL,'CENTRO','GURUPI','TO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2069717,4.00,6.00,5.00,5.00,6.00,5.50,5.00,5.00,5.00,108,333,NULL,'JARDIM PALMARES','RIBEIRAO PRETO','SP',9839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','CLEVELANDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2069733,3.00,5.00,3.00,5.00,7.00,6.00,6.00,5.00,4.00,420,108,NULL,'FREGUESIA DO Ó','SAO PAULO','SP',10841,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2069741,2.00,7.00,5.00,4.00,8.00,6.50,4.00,4.00,3.00,429,339,425,'AGRONOMICA','FLORIANOPOLIS','SC',11456,36,229,57,NULL,NULL,NULL,2,1),(15,2069750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CIDADE DUTRA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',1,8),(15,2069768,3.00,5.00,3.00,5.00,5.00,5.25,4.00,5.00,2.00,102,217,NULL,'CENTRO','TIJUCAS','SC',16341,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2069776,4.00,7.00,6.00,5.00,8.00,6.75,4.00,5.00,2.00,215,220,NULL,'CENTRO','ITAPORANGA','SP',9417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069784,5.00,7.00,5.00,5.00,4.00,5.50,7.00,6.00,4.00,216,220,203,'ZONA SEIS','MARINGA','PR',8749,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2069792,6.00,7.00,6.00,7.00,7.00,5.00,7.00,5.00,4.00,420,450,NULL,'PARQUE SÃO JORGE','FLORIANOPOLIS','SC',5200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069806,6.00,6.00,6.00,8.00,7.00,5.50,7.00,5.00,2.00,215,NULL,NULL,'JABAQUARA','SAO PAULO','SP',5030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069814,6.00,8.00,3.00,6.00,8.00,5.50,5.00,7.00,6.00,501,404,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',5401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2069830,5.00,8.00,5.00,6.00,7.00,6.00,7.00,7.00,5.00,201,223,215,'CAMPINAS','SAO JOSE','SC',3642,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2069849,4.00,8.00,4.00,8.00,8.00,5.00,6.00,8.00,3.00,5,238,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',5997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069857,4.00,7.00,8.00,5.00,8.00,4.50,8.00,6.00,6.00,203,NULL,214,'IMIRIM','SAO PAULO','SP',4507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069865,3.00,5.00,4.00,7.00,7.00,6.00,3.00,2.00,5.00,103,303,NULL,'BATEL','CURITIBA','PR',14591,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2069873,3.00,8.00,5.00,9.00,6.00,7.25,3.00,8.00,6.00,326,424,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',5703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,207,NULL,'COMERCIÁRIO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2069890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,420,NULL,'JD COLINAS','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2069903,5.00,7.00,3.00,4.00,7.00,7.00,3.00,7.00,5.00,103,101,NULL,'CIDADE NAUTICA','SAO VICENTE','SP',8949,2023,516,NULL,NULL,NULL,NULL,2,8),(15,2069911,3.00,3.00,2.00,7.00,6.00,4.00,5.00,5.00,2.00,316,217,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',17700,512,487,NULL,NULL,NULL,NULL,2,1),(15,2069920,4.00,7.00,6.00,7.00,8.00,6.50,7.00,6.00,5.00,103,303,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2069938,8.00,9.00,4.00,9.00,8.00,5.50,7.00,9.00,7.00,103,303,NULL,'CENTRO','CAXIAS DO SUL','RS',1361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2069946,3.00,7.00,2.00,6.00,5.00,4.75,6.00,7.00,3.00,103,101,NULL,'VILA JANSEN','FARROUPILHA','RS',11670,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2069962,4.00,7.00,4.00,5.00,7.00,6.25,6.00,5.00,5.00,5,339,NULL,'FORQUILHINHAS','SAO JOSE','SC',7876,354,204,NULL,NULL,NULL,NULL,2,1),(15,2069989,3.00,7.00,4.00,5.00,5.00,4.50,4.00,7.00,1.00,333,211,NULL,'GANCHOS DO MEIO','GOVERNADOR CELSO RAMOS','SC',13920,200,914,NULL,NULL,NULL,NULL,2,1),(15,2069997,8.00,8.00,9.00,8.00,9.00,6.50,8.00,7.00,7.00,202,211,213,'CENTRO','JOINVILLE','SC',518,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2070006,5.00,5.00,6.00,6.00,4.00,5.50,8.00,7.00,3.00,103,104,NULL,'BOM JESUS','CAMPO GRANDE','MS',7131,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2070014,5.00,9.00,7.00,6.00,7.00,5.50,7.00,6.00,4.00,208,238,201,'FERRAZ','GAROPABA','SC',4164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070022,3.00,5.00,1.00,5.00,7.00,3.50,3.00,5.00,3.00,9,101,NULL,'PENHA','PAULO LOPES','SC',16937,233,673,NULL,NULL,NULL,NULL,2,1),(15,2070030,2.00,4.00,2.00,2.00,6.00,6.00,4.00,5.00,3.00,215,202,201,'CENTRO','VIDEIRA','SC',17505,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2070049,7.00,8.00,6.00,6.00,7.00,4.50,5.00,4.00,4.00,108,217,NULL,'CERQUEIRA CESAR','SAO PAULO','SP',6627,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2070057,4.00,9.00,9.00,9.00,9.00,6.75,7.00,5.00,6.00,203,421,233,'VILA MOEMA','TUBARAO','SC',1720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070073,6.00,4.00,5.00,6.00,6.00,5.50,4.00,2.00,2.00,104,9,NULL,'CENTRO','CANOINHAS','SC',14214,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2070081,3.00,8.00,1.00,4.00,8.00,6.25,3.00,8.00,3.00,329,328,NULL,'ARMACAO','FLORIANOPOLIS','SC',11466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070090,3.00,4.00,1.00,3.00,3.00,3.00,3.00,3.00,2.00,203,208,202,'SERRA DO MICO','SAO MIGUEL DO IGUACU','PR',22360,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2070103,1.00,2.00,0.00,4.00,4.00,4.50,3.00,5.00,2.00,319,301,NULL,'BELA VISTA I','SAO JOSE','SC',22399,525,872,NULL,NULL,NULL,NULL,2,1),(15,2070111,4.00,9.00,8.00,8.00,8.00,6.25,7.00,9.00,5.00,303,415,NULL,'ESTREITO','FLORIANOPOLIS','SC',1322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070120,4.00,7.00,6.00,7.00,8.00,7.75,4.00,6.00,5.00,233,214,211,'VILA WILLY','ERECHIM','RS',5577,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2070138,0.00,6.00,1.00,0.00,0.00,NULL,1.00,7.00,2.00,5,303,NULL,'CENTRO','AGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2070146,4.00,8.00,3.00,8.00,9.00,7.25,6.00,8.00,0.00,211,308,207,'CANASVIEIRAS','FLORIANOPOLIS','SC',4628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2070154,4.00,5.00,5.00,6.00,8.00,6.00,6.00,4.00,3.00,208,415,238,'BOSQUE DAS MANSÕES','SAO JOSE','SC',9261,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070162,6.00,9.00,7.00,9.00,9.00,6.50,6.00,7.00,7.00,103,319,NULL,'JAGUARE','SAO PAULO','SP',1139,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2070170,3.00,7.00,7.00,8.00,5.00,4.75,5.00,5.00,3.00,301,316,NULL,'REAL PARQUE','SAO PAULO','SP',8915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070189,3.00,4.00,5.00,5.00,6.00,5.75,4.00,4.00,1.00,103,101,NULL,'APARECIDA','SANTOS','SP',16712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070197,7.00,8.00,9.00,7.00,9.00,6.25,9.00,8.00,9.00,220,202,203,'VILA FELIZ','APUCARANA','PR',203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,316,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2070219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,216,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2070227,5.00,8.00,8.00,6.00,9.00,5.00,9.00,6.00,8.00,216,102,NULL,'TAGUATINGA DF','TAGUATINGA','DF',1829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070235,8.00,8.00,7.00,6.00,9.00,5.50,8.00,8.00,5.00,212,304,220,'MINA BRASIL','CRICIUMA','SC',1576,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2070243,6.00,6.00,5.00,6.00,6.00,5.00,6.00,6.00,4.00,207,420,201,'BERGUER','CACADOR','SC',7424,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2070251,4.00,7.00,6.00,5.00,7.00,5.50,6.00,8.00,4.00,233,216,201,'VILA QUITAUNA','OSASCO','SP',6331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070260,2.00,8.00,5.00,7.00,5.00,4.25,6.00,6.00,5.00,203,216,214,'CENTRO','BOTUCATU','SP',8716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070278,3.00,6.00,5.00,8.00,8.00,6.75,5.00,4.00,3.00,207,420,211,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',7188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070286,5.00,6.00,6.00,9.00,8.00,7.25,8.00,8.00,4.00,207,327,NULL,'JARDIM MAUÁ','NOVO HAMBURGO','RS',2783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070316,4.00,6.00,3.00,2.00,6.00,5.50,4.00,5.00,2.00,5,451,NULL,'ITACORUBI','FLORIANOPOLIS','SC',15275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070332,3.00,8.00,4.00,7.00,8.00,7.00,5.00,6.00,4.00,303,326,NULL,'CENTRO','FLORIANOPOLIS','SC',7335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070359,7.00,8.00,7.00,9.00,8.00,7.25,6.00,5.00,5.00,103,214,NULL,'PRAIA DOS AMORES','ITAJAI','SC',2346,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2070367,3.00,8.00,5.00,8.00,7.00,5.00,9.00,8.00,6.00,103,NULL,NULL,'UVARANAS','PONTA GROSSA','PR',3465,1137,NULL,NULL,NULL,NULL,NULL,4,8),(15,2070375,7.00,8.00,7.00,8.00,7.00,4.25,7.00,7.00,4.00,207,317,201,'IPIRANGA','SAO JOSE','SC',2922,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2070383,6.00,7.00,4.00,3.00,9.00,6.00,5.00,6.00,3.00,215,444,233,'VILA WILLY','ERECHIM','RS',8359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070391,7.00,8.00,8.00,9.00,9.00,7.25,8.00,4.00,5.00,303,222,NULL,'TRINDADE','FLORIANOPOLIS','SC',645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070405,5.00,6.00,6.00,7.00,8.00,6.50,7.00,7.00,5.00,421,NULL,NULL,'PONTA DE BAIXO','SAO JOSE','SC',4132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070413,5.00,7.00,3.00,4.00,8.00,5.25,6.00,3.00,5.00,217,423,NULL,'AREIAS','SAO JOSE','SC',9659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2070430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,5,NULL,'CENTRO','ITANHAEM','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2070448,5.00,9.00,4.00,6.00,7.00,5.00,5.00,7.00,3.00,327,428,NULL,'QUARENTA E OITO BAIX','LINDOLFO COLLOR','RS',6806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070456,1.00,6.00,1.00,6.00,5.00,5.50,3.00,3.00,2.00,415,328,NULL,'INDEPENDENCIA','PORTO ALEGRE','RS',20102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070464,6.00,7.00,5.00,5.00,8.00,4.75,7.00,6.00,2.00,502,NULL,NULL,'TERMAS DE GRAVATAL','GRAVATAL','SC',7050,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2070472,1.00,8.00,4.00,5.00,9.00,5.00,3.00,5.00,1.00,332,501,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',13101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2070480,4.00,7.00,6.00,6.00,5.00,4.00,8.00,3.00,6.00,203,212,214,'CHACARA SANTA MARIA','VOTORANTIM','SP',7044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070499,5.00,9.00,4.00,8.00,8.00,6.00,7.00,8.00,4.00,104,9,NULL,'CENTRO','FLORIANOPOLIS','SC',3224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070502,5.00,7.00,1.00,6.00,6.00,5.75,7.00,6.00,3.00,326,324,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',8512,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2070529,4.00,5.00,5.00,4.00,8.00,7.75,6.00,7.00,5.00,103,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',6791,1732,321,NULL,NULL,NULL,NULL,2,1),(15,2070537,6.00,8.00,9.00,9.00,8.00,6.75,9.00,8.00,8.00,103,212,NULL,'IPIRANGA','SAO PAULO','SP',234,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2070545,8.00,8.00,9.00,6.00,9.00,7.25,9.00,7.00,8.00,103,301,NULL,'CENTRO','FLORIANOPOLIS','SC',264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070553,5.00,7.00,2.00,5.00,6.00,5.00,5.00,8.00,2.00,327,326,NULL,'BARREIROS','SAO JOSE','SC',11300,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2070561,3.00,6.00,2.00,8.00,5.00,5.25,5.00,6.00,2.00,223,222,NULL,'FORQUILHINHAS','SAO JOSE','SC',14118,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2070588,1.00,4.00,2.00,4.00,7.00,7.00,1.00,3.00,2.00,102,333,NULL,'CENTRO','XANXERE','SC',20613,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2070596,3.00,7.00,7.00,9.00,7.00,4.75,6.00,7.00,3.00,203,202,201,'CENTRO','PASSO FUNDO','RS',5708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070600,2.00,7.00,2.00,5.00,6.00,3.75,3.00,3.00,4.00,208,217,238,'CENTRO','FLORIANOPOLIS','SC',17610,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2070626,3.00,5.00,1.00,6.00,8.00,5.00,6.00,4.00,5.00,103,212,NULL,'NOVA BRASILIA','JOINVILLE','SC',11803,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2070634,2.00,8.00,7.00,0.00,3.00,NULL,6.00,8.00,4.00,5,326,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070642,6.00,7.00,6.00,4.00,9.00,6.00,7.00,6.00,6.00,108,211,NULL,'VILA WILLY','ERECHIM','RS',4554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070650,5.00,4.00,3.00,3.00,6.00,5.50,5.00,5.00,3.00,333,404,NULL,'CENTRO','FLORIANOPOLIS','SC',13661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070669,2.00,5.00,3.00,3.00,5.00,5.00,6.00,4.00,6.00,216,234,211,'CENTRO','ARARAQUARA','SP',14025,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2070677,1.00,5.00,3.00,3.00,6.00,4.00,4.00,4.00,5.00,211,333,238,'MORUMBI','SAO PAULO','SP',18867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070685,3.00,8.00,6.00,9.00,8.00,7.00,6.00,7.00,4.00,103,425,NULL,'AEROPORTO','TUBARAO','SC',3746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070693,4.00,8.00,4.00,8.00,7.00,5.25,6.00,6.00,4.00,220,208,203,'PARQUE TAQUARAL','CAMPINAS','SP',5316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070707,7.00,8.00,7.00,9.00,8.00,7.00,8.00,6.00,7.00,214,NULL,NULL,'CENTRO','RIBEIRAO PRETO','SP',1163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070715,3.00,6.00,1.00,1.00,4.00,5.75,6.00,1.00,3.00,208,207,238,'RIO TAVARES','FLORIANOPOLIS','SC',20095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070731,5.00,7.00,6.00,7.00,8.00,5.25,7.00,4.00,4.00,5,502,NULL,'CENTRO','FLORIANOPOLIS','SC',5010,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2070740,4.00,6.00,4.00,7.00,7.00,5.75,3.00,5.00,2.00,215,501,233,'LINHA MARAGNO','TURVO','SC',11641,244,418,293,NULL,NULL,NULL,2,5),(15,2070774,4.00,7.00,6.00,7.00,7.00,4.50,4.00,5.00,3.00,9,101,NULL,'BARRA DO RIO CERRO','JARAGUA DO SUL','SC',8281,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2070782,3.00,5.00,3.00,8.00,5.00,5.75,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','ITAPORA','MS',12840,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2070790,6.00,6.00,5.00,7.00,7.00,7.00,7.00,8.00,5.00,207,233,203,'SÃO LUÍS','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2070804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'ANCHIETA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2070812,8.00,7.00,9.00,8.00,8.00,6.00,9.00,7.00,7.00,220,203,202,'JARDIM CALIFÓRNIA','IRATI','PR',666,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2070820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2070839,5.00,8.00,8.00,6.00,8.00,7.00,7.00,9.00,6.00,420,327,NULL,'PANTANAL','FLORIANOPOLIS','SC',1924,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2070847,1.00,4.00,2.00,0.00,5.00,3.75,3.00,6.00,1.00,207,201,NULL,'INGLESES','FLORIANOPOLIS','SC',22185,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2070855,5.00,8.00,2.00,6.00,7.00,6.75,6.00,7.00,4.00,332,329,NULL,'CENTRO','CHAPECO','SC',7021,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2070863,3.00,4.00,1.00,8.00,8.00,6.25,4.00,4.00,4.00,103,319,NULL,'AMERICA','JOINVILLE','SC',13413,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2070871,7.00,9.00,9.00,9.00,9.00,6.25,9.00,8.00,7.00,303,233,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070880,8.00,8.00,7.00,7.00,8.00,6.25,7.00,7.00,6.00,207,420,201,'CAMPINAS','SAO JOSE','SC',1208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070898,3.00,7.00,0.00,8.00,7.00,4.75,2.00,6.00,2.00,429,421,427,'JD NOVO CHAPADÃO','CAMPINAS','SP',15016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070901,4.00,7.00,7.00,6.00,8.00,5.75,7.00,7.00,5.00,211,103,233,'FLORESTA','JOINVILLE','SC',3922,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2070910,4.00,6.00,4.00,8.00,6.00,4.00,4.00,4.00,5.00,103,101,NULL,'LAGO SUL','LAGO SUL','DF',10513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070928,2.00,7.00,4.00,7.00,6.00,5.50,5.00,5.00,6.00,201,303,212,'CENTRO','MARAU','RS',8174,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2070936,3.00,6.00,1.00,0.00,5.00,5.00,4.00,5.00,3.00,501,108,NULL,'CENTRO','FLORIANOPOLIS','SC',20133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070944,8.00,8.00,6.00,8.00,8.00,6.00,8.00,8.00,5.00,201,214,212,'CENTRO','BIGUACU','SC',1375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070952,3.00,7.00,4.00,3.00,7.00,5.00,6.00,3.00,3.00,103,303,NULL,'SANTANA','PORTO ALEGRE','RS',15595,2692,1243,NULL,NULL,NULL,NULL,4,4),(15,2070960,7.00,6.00,7.00,8.00,8.00,6.00,9.00,7.00,5.00,5,303,NULL,'CARIANOS','FLORIANOPOLIS','SC',1743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070979,3.00,6.00,4.00,5.00,4.00,5.75,2.00,5.00,2.00,211,212,201,'HORTO FLORESTAL','SAO PAULO','SP',16016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2070987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,104,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2070995,3.00,7.00,1.00,3.00,4.00,5.50,3.00,3.00,2.00,451,421,NULL,'CENTRO','FLORIANOPOLIS','SC',20429,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071002,4.00,7.00,1.00,0.00,0.00,NULL,4.00,4.00,3.00,327,320,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071010,5.00,8.00,3.00,4.00,5.00,3.75,5.00,5.00,2.00,234,420,NULL,'ASA NORTE','BRASILIA','DF',14515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071029,6.00,7.00,9.00,6.00,9.00,7.25,7.00,7.00,4.00,202,213,201,'CENTRO','BIGUACU','SC',2312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071037,4.00,3.00,7.00,4.00,6.00,5.00,6.00,4.00,4.00,202,223,211,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071045,4.00,6.00,6.00,7.00,7.00,5.00,6.00,6.00,4.00,104,211,NULL,'CENTRO','XAXIM','SC',6455,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2071053,3.00,6.00,2.00,2.00,8.00,5.75,6.00,5.00,4.00,317,424,NULL,'CACH DO BOM JESUS','FLORIANOPOLIS','SC',13480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071061,2.00,4.00,3.00,2.00,3.00,3.00,5.00,2.00,3.00,333,NULL,NULL,'CENTRO','CASCAVEL','PR',21922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071088,4.00,8.00,3.00,3.00,7.00,5.00,7.00,6.00,3.00,5,333,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',9490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071096,4.00,5.00,4.00,7.00,4.00,6.75,5.00,5.00,2.00,238,316,208,'ASA SUL','BRASILIA','DF',13667,496,998,513,NULL,NULL,NULL,4,1),(15,2071100,3.00,8.00,6.00,9.00,8.00,6.50,6.00,7.00,7.00,103,450,NULL,'SETOR BELA VISTA','GOIANIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071118,3.00,3.00,3.00,1.00,5.00,3.50,4.00,2.00,4.00,238,102,208,'CENTRO','LEOBERTO LEAL','SC',22268,828,1142,909,NULL,NULL,NULL,4,1),(15,2071134,2.00,3.00,1.00,4.00,1.00,NULL,1.00,3.00,3.00,9,324,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071142,5.00,5.00,4.00,3.00,5.00,7.00,5.00,5.00,2.00,208,317,238,'CAMPECHE','FLORIANOPOLIS','SC',13582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071150,2.00,7.00,5.00,1.00,4.00,6.00,2.00,4.00,2.00,207,420,201,'VISTA ALEGRE','CONCORDIA','SC',19073,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2071169,5.00,7.00,3.00,9.00,7.00,7.00,3.00,7.00,2.00,319,9,NULL,'BOA ESPERANÇA','CUIABA','MT',7920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071177,7.00,8.00,7.00,7.00,8.00,7.75,8.00,6.00,5.00,303,316,NULL,'CENTRO','FLORIANOPOLIS','SC',1420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,217,NULL,'SÃO JOÃO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2071193,2.00,3.00,0.00,0.00,0.00,NULL,2.00,3.00,1.00,444,404,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071207,6.00,5.00,4.00,8.00,7.00,6.75,5.00,6.00,3.00,333,108,NULL,'CAMPINAS','SAO JOSE','SC',5977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071223,1.00,5.00,4.00,0.00,5.00,5.75,2.00,4.00,2.00,104,319,NULL,'CENTRO','IOMERE','SC',21291,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2071231,2.00,5.00,0.00,6.00,3.00,5.50,3.00,4.00,2.00,101,308,NULL,'CENTRO','PALHOCA','SC',20971,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2071240,4.00,7.00,3.00,1.00,7.00,4.00,4.00,3.00,4.00,316,317,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',16805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071266,6.00,7.00,5.00,7.00,7.00,6.00,6.00,6.00,4.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',4988,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2071274,4.00,4.00,4.00,4.00,7.00,6.50,2.00,3.00,1.00,308,238,NULL,'CENTRO','PALHOCA','SC',17323,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2071282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'CENTRO','LAVRAS','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2071290,3.00,8.00,6.00,8.00,8.00,6.50,6.00,4.00,3.00,420,425,NULL,'ESTREITO','FLORIANOPOLIS','SC',5702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071304,5.00,8.00,7.00,3.00,7.00,5.00,8.00,5.00,3.00,208,213,238,'FAZENDA SANTO ANTONI','SAO JOSE','SC',7688,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2071312,9.00,9.00,9.00,9.00,8.00,6.25,9.00,7.00,8.00,103,101,NULL,'PONTO NOVO','ARACAJU','SE',127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071320,5.00,7.00,7.00,7.00,6.00,7.00,9.00,7.00,7.00,103,101,NULL,'PRAIA TREZE DE JULHO','ARACAJU','SE',1917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071355,2.00,3.00,2.00,5.00,4.00,6.00,3.00,3.00,2.00,108,333,NULL,'BOTAFOGO','BENTO GONCALVES','RS',20384,447,1006,NULL,NULL,NULL,NULL,2,1),(15,2071363,3.00,8.00,3.00,1.00,5.00,3.25,2.00,4.00,3.00,238,222,213,'CORREGO GRANDE','GOIANIA','GO',20533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071371,3.00,6.00,5.00,5.00,5.00,6.50,4.00,5.00,3.00,201,207,212,'VISTA ALEGRE','CONCORDIA','SC',12479,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2071398,5.00,9.00,5.00,6.00,8.00,6.25,6.00,9.00,4.00,5,303,NULL,'VILA REAL','BALNEARIO CAMBORIU','SC',2457,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2071401,1.00,5.00,0.00,2.00,6.00,4.75,4.00,3.00,2.00,333,444,NULL,'VILA NOVA','JOINVILLE','SC',22188,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2071410,1.00,4.00,4.00,5.00,7.00,4.25,5.00,3.00,3.00,429,420,425,'BOTAFOGO','BENTO GONCALVES','RS',17332,118,812,140,NULL,NULL,NULL,4,1),(15,2071428,3.00,9.00,6.00,5.00,7.00,7.50,6.00,8.00,3.00,316,318,NULL,'BAIRRO IPIRANGA','SAO JOSE','SC',5270,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2071452,1.00,7.00,4.00,6.00,6.00,6.00,5.00,3.00,1.00,203,214,NULL,'CENTRO','JOINVILLE','SC',15245,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2071460,2.00,8.00,1.00,5.00,6.00,4.75,4.00,5.00,3.00,332,339,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',14215,72,263,NULL,NULL,NULL,NULL,2,1),(15,2071479,5.00,7.00,7.00,3.00,8.00,5.25,6.00,6.00,6.00,201,2,208,'CENTRO','FLORIANOPOLIS','SC',6293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071509,1.00,2.00,2.00,2.00,4.00,NULL,2.00,3.00,2.00,420,207,NULL,'VILLAGE','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2071517,6.00,7.00,7.00,7.00,7.00,6.25,7.00,5.00,4.00,103,207,NULL,'SERRA DO ITAPETY','MOGI DAS CRUZES','SP',3759,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2071525,5.00,5.00,3.00,7.00,8.00,6.50,4.00,5.00,5.00,415,329,NULL,'CENTRO','FLORIANOPOLIS','SC',7813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2071533,6.00,7.00,9.00,9.00,8.00,7.25,7.00,8.00,7.00,5,318,NULL,'SERRINHA','FLORIANOPOLIS','SC',399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071576,4.00,8.00,4.00,4.00,6.00,7.00,4.00,6.00,4.00,217,102,NULL,'ELITE','RESENDE','RJ',8834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2071584,3.00,7.00,3.00,1.00,7.00,4.25,4.00,4.00,3.00,203,201,202,'CENTRO','CORONEL VIVIDA','PR',16567,1009,1358,585,NULL,NULL,NULL,4,1),(15,2071614,3.00,7.00,3.00,5.00,7.00,5.75,4.00,5.00,5.00,103,303,NULL,'CAPÃO RASO','CURITIBA','PR',11181,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2071622,1.00,5.00,1.00,7.00,6.00,5.25,3.00,2.00,3.00,213,222,NULL,'REBOUÇAS','CURITIBA','PR',18764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2071673,0.00,0.00,0.00,3.00,2.00,NULL,4.00,1.00,1.00,217,211,NULL,'RIO BRANCO','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2071681,2.00,4.00,2.00,2.00,6.00,NULL,2.00,2.00,2.00,444,303,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071690,6.00,8.00,9.00,5.00,7.00,5.25,7.00,6.00,5.00,220,203,214,'CENTRO','BALNEARIO CAMBORIU','SC',3499,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2071703,4.00,2.00,2.00,2.00,2.00,NULL,2.00,1.00,1.00,317,224,NULL,'BARRA DO ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2071711,3.00,6.00,1.00,5.00,5.00,5.25,2.00,4.00,2.00,101,332,NULL,'KOBRASOL','SAO JOSE','SC',19444,247,304,NULL,NULL,NULL,NULL,5,1),(15,2071720,1.00,5.00,1.00,1.00,5.00,NULL,2.00,5.00,1.00,224,317,NULL,'CENTRO','SAO LOURENCO DO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2071738,4.00,8.00,4.00,8.00,7.00,5.50,5.00,8.00,5.00,5,426,NULL,'TRINDADE','FLORIANOPOLIS','SC',5345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071746,1.00,5.00,3.00,7.00,6.00,4.75,3.00,5.00,4.00,202,222,213,'RIO BRANCO','CAXIAS DO SUL','RS',15701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2071762,3.00,8.00,6.00,9.00,6.00,4.75,7.00,3.00,3.00,208,222,215,'SACO GRANDE','FLORIANOPOLIS','SC',7431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071770,7.00,7.00,7.00,1.00,7.00,5.50,8.00,8.00,7.00,102,104,NULL,'BELA VISTA','CHAPECO','SC',3691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,301,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2071797,5.00,8.00,3.00,6.00,6.00,6.00,4.00,6.00,4.00,5,501,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',8575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2071800,4.00,9.00,5.00,6.00,6.00,3.50,7.00,7.00,5.00,502,501,NULL,'SAGRADO CORAÇÃO','LAGES','SC',6420,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2071827,4.00,5.00,6.00,6.00,8.00,6.75,4.00,6.00,3.00,214,213,212,'CENTRO','SAO MIGUEL DO IGUACU','PR',8520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071835,3.00,5.00,3.00,6.00,4.00,5.25,3.00,3.00,3.00,404,424,NULL,'CAMPECHE','FLORIANOPOLIS','SC',18076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071843,6.00,6.00,4.00,7.00,8.00,7.00,4.00,7.00,3.00,101,310,NULL,'FORQUILHAS','SAO JOSE','SC',6831,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071851,2.00,5.00,2.00,3.00,3.00,4.25,3.00,4.00,1.00,101,324,NULL,'IPIRANGA','SAO JOSE','SC',21701,311,440,NULL,NULL,NULL,NULL,2,1),(15,2071860,3.00,7.00,3.00,6.00,5.00,5.25,3.00,5.00,3.00,202,225,213,'PANTANAL','FLORIANOPOLIS','SC',12816,489,136,204,NULL,NULL,NULL,2,1),(15,2071878,4.00,7.00,7.00,6.00,9.00,5.50,4.00,6.00,4.00,5,316,NULL,'CENTRO','FLORIANOPOLIS','SC',6003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071886,1.00,4.00,1.00,2.00,2.00,NULL,1.00,3.00,2.00,501,502,NULL,'CENTRO','DIONISIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2071908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,327,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2071916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,318,NULL,'MAGALHAES','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2071932,4.00,6.00,6.00,9.00,6.00,4.00,6.00,8.00,2.00,428,222,427,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',7786,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2071940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,224,NULL,'TAQUARAL','MONTE CASTELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2071959,2.00,5.00,2.00,1.00,6.00,5.75,5.00,4.00,3.00,224,223,NULL,'PASSA VINTE','PALHOCA','SC',19078,65,212,NULL,NULL,NULL,NULL,4,1),(15,2071975,2.00,4.00,2.00,2.00,6.00,NULL,2.00,3.00,1.00,238,332,208,'PORTO DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2071983,3.00,8.00,3.00,4.00,5.00,4.00,7.00,4.00,4.00,501,108,NULL,'CENTRO','TERRA ROXA','PR',12278,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2071991,7.00,8.00,6.00,7.00,8.00,6.25,8.00,9.00,6.00,415,427,NULL,'PONTE DO IMARUIM','PALHOCA','SC',947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2072009,2.00,2.00,1.00,3.00,5.00,NULL,3.00,2.00,1.00,103,309,NULL,'CENTRO','ANTONIO PRADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2072017,2.00,5.00,1.00,6.00,5.00,5.25,4.00,3.00,2.00,308,427,NULL,'CENTRO','FLORIANOPOLIS','SC',20059,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2072025,3.00,6.00,5.00,8.00,4.00,6.50,5.00,4.00,2.00,303,5,NULL,'BIGORRILHO','CURITIBA','PR',12180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2072033,3.00,7.00,2.00,4.00,9.00,6.75,5.00,7.00,2.00,451,326,NULL,'ALVORADA','BARRACAO','PR',10699,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2072041,5.00,6.00,6.00,7.00,8.00,3.75,7.00,4.00,5.00,203,220,201,'CANOAS','RIO DO SUL','SC',6159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2072068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,220,213,'PAULAS','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2072076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SÃO GERALDO','VOLTA REDONDA','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2072084,4.00,6.00,6.00,2.00,5.00,6.00,7.00,9.00,2.00,203,233,202,'JARDIM ANALIA FRANCO','SAO PAULO','SP',8686,685,549,337,NULL,NULL,NULL,4,1),(15,2072092,3.00,5.00,5.00,6.00,5.00,5.50,4.00,3.00,2.00,201,501,207,'BARÃO GERALDO','CAMPINAS','SP',15412,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2072106,3.00,7.00,7.00,3.00,8.00,6.25,7.00,8.00,7.00,203,223,213,'JARDIM EMÍLIA','JACAREI','SP',4473,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2072114,2.00,7.00,8.00,5.00,7.00,5.25,6.00,4.00,4.00,202,220,213,'FLORESTA','CRICIUMA','SC',8340,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2072122,2.00,6.00,2.00,5.00,8.00,5.50,4.00,0.00,2.00,108,333,NULL,'JD CAMPOS ELISEOS','CAMPINAS','SP',18096,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2072130,5.00,6.00,5.00,2.00,5.00,8.25,4.00,5.00,4.00,216,NULL,215,'SEM NOME','IBIACA','RS',11068,363,NULL,230,NULL,NULL,NULL,4,7),(15,2072149,2.00,5.00,6.00,6.00,7.00,3.50,5.00,5.00,4.00,213,333,211,'BOM RETIRO','JOINVILLE','SC',12535,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2072157,3.00,6.00,4.00,5.00,7.00,6.00,6.00,5.00,4.00,103,201,NULL,'SANTO ANTONIO','JOINVILLE','SC',9917,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2072165,4.00,5.00,4.00,8.00,9.00,6.25,6.00,6.00,3.00,217,451,NULL,'KOBRASOL','SAO JOSE','SC',6949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2072173,5.00,4.00,7.00,9.00,7.00,6.50,6.00,6.00,3.00,208,220,238,'PANTANAL','FLORIANOPOLIS','SC',5760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2072181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAMPINAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2072190,5.00,7.00,3.00,4.00,9.00,5.25,5.00,6.00,5.00,420,326,NULL,'CENTRO','FLORIANOPOLIS','SC',6590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2072203,2.00,7.00,6.00,8.00,8.00,6.00,8.00,6.00,6.00,203,225,233,'CENTRO','PALHOCA','SC',4230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2072211,0.00,7.00,2.00,4.00,3.00,6.75,2.00,7.00,1.00,327,NULL,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',18673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2072220,0.00,3.00,1.00,3.00,4.00,NULL,2.00,1.00,0.00,308,339,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2072238,4.00,6.00,9.00,8.00,5.00,6.50,9.00,6.00,7.00,214,201,212,'JARDIM PALERMO','SAO BERNARDO DO CAMPO','SP',2641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2072246,4.00,7.00,6.00,5.00,7.00,6.75,6.00,3.00,4.00,108,333,NULL,'CENTRO','ERECHIM','RS',9171,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2072262,2.00,5.00,2.00,6.00,6.00,5.25,3.00,3.00,3.00,102,502,NULL,'INGLESES','FLORIANOPOLIS','SC',17853,390,299,NULL,NULL,NULL,NULL,2,1),(15,2072270,6.00,6.00,5.00,8.00,8.00,6.75,7.00,6.00,6.00,103,NULL,NULL,'CENTRO','XAXIM','SC',3418,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2072289,4.00,7.00,4.00,4.00,6.00,7.00,9.00,5.00,7.00,214,220,212,'JARDIM GLORIA','AMERICANA','SP',6302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2072297,4.00,5.00,1.00,4.00,6.00,6.75,2.00,6.00,3.00,331,309,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',14724,59,151,NULL,NULL,NULL,NULL,2,1),(15,2072300,2.00,5.00,3.00,1.00,3.00,NULL,0.00,2.00,3.00,316,450,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2072319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','ALTONIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2072327,4.00,5.00,3.00,6.00,6.00,5.25,5.00,5.00,3.00,5,327,NULL,'BARREIROS','SAO JOSE','SC',13271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2072343,4.00,8.00,4.00,6.00,6.00,6.50,5.00,6.00,3.00,222,5,NULL,'CRUZEIRO DO SUL','CRICIUMA','SC',8694,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2072351,1.00,5.00,1.00,4.00,6.00,4.75,2.00,1.00,4.00,451,426,NULL,'FZD SANTO ANTONIO','SAO JOSE','SC',21938,99,257,NULL,NULL,NULL,NULL,2,1),(15,2072360,2.00,6.00,5.00,3.00,5.00,5.50,5.00,5.00,2.00,213,319,207,'COMERCIARIO','CRICIUMA','SC',16057,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2072386,3.00,8.00,1.00,7.00,4.00,6.00,3.00,7.00,2.00,203,303,202,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2072408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,214,201,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(15,2072416,3.00,6.00,7.00,4.00,7.00,6.25,7.00,5.00,4.00,104,225,NULL,'SÃO CRISTÓVÃO','CRICIUMA','SC',7832,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2072424,2.00,6.00,5.00,5.00,4.00,6.75,3.00,6.00,2.00,5,424,NULL,'CENTRO','MORRO DA FUMACA','SC',15211,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2072432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,302,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2072440,1.00,2.00,0.00,0.00,3.00,NULL,4.00,2.00,0.00,102,101,NULL,'CENTRO','SAO JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2072459,6.00,6.00,6.00,9.00,7.00,4.75,8.00,7.00,5.00,108,333,NULL,'DOM BOSCO','ITAJAI','SC',3702,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2072467,3.00,7.00,3.00,1.00,5.00,6.50,3.00,7.00,1.00,5,213,NULL,'PIO CORRÊA','CRICIUMA','SC',16206,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2072475,4.00,6.00,3.00,6.00,3.00,6.50,5.00,6.00,2.00,304,302,NULL,'PANTANAL','FLORIANOPOLIS','SC',13805,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2072483,5.00,8.00,7.00,7.00,9.00,7.25,6.00,8.00,4.00,415,301,NULL,'COMASA','JOINVILLE','SC',2036,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2072491,5.00,7.00,5.00,6.00,7.00,5.00,6.00,6.00,7.00,9,308,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',4304,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2072521,3.00,7.00,1.00,6.00,7.00,6.00,6.00,6.00,4.00,502,501,NULL,'PIO CORREA','CRICIUMA','SC',11133,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2072530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,318,NULL,'JARDIM AMÉRICA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2072548,2.00,4.00,1.00,6.00,2.00,NULL,2.00,4.00,2.00,301,428,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2072572,4.00,6.00,1.00,7.00,7.00,6.00,3.00,4.00,2.00,102,104,NULL,'SANTA CÂNDIDA','CURITIBA','PR',14913,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2072602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'JARDIM','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2072610,0.00,4.00,1.00,4.00,8.00,NULL,1.00,3.00,2.00,5,317,NULL,'VARGEM DO CEDRO','SAO MARTINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2072629,4.00,6.00,5.00,5.00,6.00,5.25,6.00,6.00,5.00,324,333,NULL,'COMERCIÁRIO','CRICIUMA','SC',9637,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2072637,3.00,5.00,7.00,9.00,8.00,7.50,4.00,7.00,3.00,211,333,NULL,'CENTRO','ARACATUBA','SP',6753,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2072661,6.00,8.00,7.00,9.00,8.00,6.25,4.00,7.00,4.00,207,429,201,'CENTRO','COCAL DO SUL','SC',3449,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2072688,1.00,7.00,3.00,5.00,5.00,5.50,4.00,6.00,3.00,211,329,213,'PRÓSPERA','CRICIUMA','SC',14642,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2072696,8.00,8.00,6.00,6.00,7.00,5.50,7.00,8.00,7.00,103,104,NULL,'GETULIO VARGAS','TORRES','RS',2501,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2072700,2.00,3.00,4.00,2.00,4.00,4.00,2.00,5.00,2.00,301,304,NULL,'CENTRO','NOVA VENEZA','SC',20978,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2072718,1.00,7.00,3.00,2.00,9.00,NULL,0.00,0.00,0.00,319,329,NULL,'VILA VOTURUA','SAO VICENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(15,2072726,4.00,7.00,7.00,9.00,8.00,5.75,5.00,7.00,7.00,216,103,202,'IMIGRANTES','CRICIUMA','SC',3372,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2072734,4.00,8.00,5.00,7.00,7.00,4.25,5.00,6.00,4.00,301,304,NULL,'CENTRO','COCAL DO SUL','SC',6650,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2072742,6.00,8.00,4.00,10.00,8.00,6.25,7.00,9.00,3.00,203,103,202,'CENTRO','CRICIUMA','SC',2845,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2072750,0.00,5.00,4.00,4.00,4.00,5.75,4.00,4.00,5.00,301,332,NULL,'CENTRO','FLORIANOPOLIS','SC',16208,269,267,NULL,NULL,NULL,NULL,2,1),(15,2072777,2.00,4.00,4.00,6.00,6.00,5.75,3.00,6.00,2.00,303,319,NULL,'CENTRO','CRICIUMA','SC',14580,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2072785,2.00,7.00,2.00,7.00,6.00,3.75,2.00,3.00,2.00,302,339,NULL,'TRINDADE','FLORIANOPOLIS','SC',18584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2072793,0.00,4.00,3.00,3.00,4.00,NULL,2.00,5.00,2.00,316,339,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2072807,2.00,9.00,3.00,4.00,6.00,5.00,4.00,7.00,2.00,324,421,NULL,'CENTRO','CRICIUMA','SC',13474,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2072815,3.00,6.00,3.00,2.00,7.00,5.00,4.00,5.00,3.00,450,324,NULL,'CENTRO','FLORIANOPOLIS','SC',13286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2072831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'PROOST DE SOUSA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2072840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,327,NULL,'COLONINHA','ARARANGUA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2072858,4.00,8.00,6.00,6.00,7.00,5.25,7.00,7.00,6.00,303,5,NULL,'MINA BRASIL','CRICIUMA','SC',4376,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2072866,3.00,6.00,1.00,5.00,4.00,6.00,1.00,3.00,1.00,316,238,NULL,'USINA','ANTONIO CARLOS','SC',21273,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2072874,3.00,5.00,2.00,2.00,3.00,3.50,2.00,3.00,2.00,420,238,NULL,'TRINDADE','FLORIANOPOLIS','SC',22463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2072882,3.00,6.00,2.00,1.00,5.00,3.75,2.00,5.00,2.00,215,501,216,'CENTRO','BALNEARIO CAMBORIU','SC',20410,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2072904,3.00,8.00,3.00,7.00,6.00,6.50,3.00,6.00,3.00,303,5,NULL,'CENTRO','BOMBINHAS','SC',10664,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2072912,2.00,6.00,2.00,1.00,4.00,5.25,3.00,3.00,2.00,316,339,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',21998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2072939,5.00,7.00,3.00,6.00,5.00,5.75,7.00,5.00,3.00,329,222,NULL,'SERRINHA','FLORIANOPOLIS','SC',9972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2072947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,415,NULL,'CENTRO','RIO AZUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2072955,1.00,3.00,2.00,3.00,4.00,4.75,3.00,2.00,3.00,104,308,NULL,'BARREIROS','SAO JOSE','SC',22448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2072963,2.00,7.00,2.00,5.00,2.00,NULL,0.00,0.00,0.00,424,324,428,'RIO CAVEIRAS','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2072980,3.00,4.00,6.00,3.00,5.00,7.25,2.00,3.00,2.00,424,420,427,'ESTREITO','FLORIANOPOLIS','SC',17896,69,828,59,NULL,NULL,NULL,4,1),(15,2072998,3.00,7.00,5.00,6.00,8.00,5.50,5.00,5.00,5.00,103,104,NULL,'ÁGUA VERDE','CURITIBA','PR',7706,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2073005,4.00,7.00,5.00,9.00,6.00,6.50,5.00,8.00,4.00,331,332,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',4894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073021,1.00,5.00,3.00,5.00,6.00,6.00,6.00,1.00,3.00,211,333,220,'CIDADE INDUSTRIAL','CURITIBA','PR',16944,596,880,541,NULL,NULL,NULL,2,8),(15,2073030,4.00,3.00,3.00,4.00,3.00,5.25,4.00,2.00,1.00,319,339,NULL,'PALHOCA','PALHOCA','SC',21446,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073048,3.00,6.00,6.00,2.00,7.00,5.50,5.00,6.00,4.00,103,101,NULL,'CENTRO','PATO BRANCO','PR',10640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,502,NULL,'INTERIOR','ITAIOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2073064,5.00,8.00,8.00,6.00,6.00,6.50,9.00,7.00,7.00,316,212,NULL,'CIDADE CORAÇÃO','BEBEDOURO','SP',2204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073072,2.00,8.00,5.00,4.00,6.00,5.50,5.00,2.00,2.00,444,404,NULL,'SANTO ANTÔNIO','LAGES','SC',13417,107,370,NULL,NULL,NULL,NULL,2,9),(15,2073080,3.00,6.00,0.00,1.00,3.00,0.00,3.00,5.00,1.00,404,444,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073099,0.00,6.00,4.00,3.00,8.00,6.00,5.00,4.00,4.00,9,102,NULL,'CENTRO','JOACABA','SC',15063,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2073102,3.00,7.00,1.00,2.00,5.00,2.00,3.00,3.00,2.00,304,216,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073110,5.00,6.00,4.00,7.00,6.00,4.25,4.00,6.00,3.00,317,318,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',10684,124,384,NULL,NULL,NULL,NULL,2,1),(15,2073129,5.00,8.00,2.00,7.00,7.00,6.00,3.00,8.00,5.00,103,5,NULL,'ZONA SETE','MARINGA','PR',6684,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2073137,4.00,6.00,6.00,3.00,7.00,5.50,6.00,4.00,5.00,444,404,NULL,'BOA VISTA','BLUMENAU','SC',8765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'PRESIDENTE MEDICI','ITU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2073153,4.00,6.00,0.00,6.00,7.00,7.00,4.00,6.00,1.00,425,NULL,429,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',14569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073161,0.00,7.00,3.00,0.00,7.00,4.00,4.00,3.00,2.00,301,302,NULL,'PACHECO','PALHOCA','SC',20862,357,340,NULL,NULL,NULL,NULL,4,1),(15,2073188,2.00,6.00,2.00,4.00,5.00,3.25,4.00,5.00,2.00,320,327,NULL,'CRISTO REI','CURITIBA','PR',18457,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2073218,1.00,2.00,2.00,5.00,5.00,4.75,4.00,3.00,2.00,333,5,NULL,'SAO FRANCISCO','VALINHOS','SP',21488,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2073226,5.00,4.00,5.00,5.00,5.00,3.00,5.00,7.00,3.00,318,5,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',13858,167,1214,NULL,NULL,NULL,NULL,4,1),(15,2073242,3.00,5.00,3.00,6.00,7.00,6.75,3.00,4.00,3.00,424,NULL,425,'KOBRASOL','SAO JOSE','SC',13902,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073250,2.00,4.00,2.00,0.00,0.00,NULL,3.00,3.00,3.00,309,324,NULL,'JOSE MENDES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073269,5.00,8.00,7.00,7.00,8.00,6.50,8.00,6.00,4.00,207,233,201,'N S DE LURDES','CAMPOS NOVOS','SC',3508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073277,5.00,7.00,3.00,9.00,7.00,7.50,6.00,6.00,6.00,208,302,202,'FORQUILHINHAS','SAO JOSE','SC',3713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073285,4.00,5.00,6.00,5.00,8.00,7.00,6.00,5.00,2.00,202,222,213,'TRINDADE','FLORIANOPOLIS','SC',7759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073293,1.00,6.00,5.00,5.00,4.00,5.50,5.00,1.00,5.00,215,9,216,'VILA CRISTINA','VACARIA','RS',16635,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073307,5.00,6.00,6.00,7.00,8.00,8.00,6.00,8.00,4.00,216,420,233,'CENTRO','MARAU','RS',3980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073315,2.00,7.00,2.00,5.00,7.00,8.00,5.00,8.00,2.00,450,320,NULL,'SÃO JOÃO','PORTO ALEGRE','RS',9580,97,144,NULL,NULL,NULL,NULL,2,1),(15,2073331,4.00,5.00,6.00,6.00,6.00,6.00,8.00,7.00,4.00,220,203,202,'BIGORRILHO','CURITIBA','PR',5428,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2073340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,450,NULL,'JARDIM PRESIDENTE','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2073366,3.00,7.00,3.00,2.00,6.00,4.50,3.00,6.00,4.00,103,108,NULL,'CENTRO','GUAIRA','PR',15440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,426,NULL,'VILA POPULAR','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2073439,2.00,8.00,3.00,6.00,6.00,5.50,6.00,7.00,2.00,339,332,NULL,'CAMPECHE','FLORIANOPOLIS','SC',11835,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073447,2.00,5.00,6.00,3.00,7.00,5.75,5.00,4.00,3.00,216,217,207,'JARDIM ELISABETE','ICARA','SC',13718,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2073463,5.00,8.00,4.00,6.00,8.00,8.75,6.00,6.00,4.00,303,5,NULL,'JD DAS PALMEIRAS','COCAL DO SUL','SC',4645,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2073471,1.00,6.00,2.00,6.00,3.00,6.25,5.00,4.00,3.00,9,444,NULL,'ITAPUÃ','VILA VELHA','ES',16781,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,202,203,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2073498,2.00,5.00,1.00,1.00,4.00,3.25,4.00,3.00,3.00,220,444,203,'FLORESTA','SAO JOSE','SC',22074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'CENTRO','CAMPO VERDE','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2073510,1.00,3.00,4.00,7.00,8.00,4.75,2.00,4.00,1.00,501,420,NULL,'SÃO VICENTE','PATO BRANCO','PR',19589,261,870,NULL,NULL,NULL,NULL,2,4),(15,2073536,4.00,5.00,3.00,5.00,5.00,6.25,3.00,6.00,2.00,212,NULL,201,'SANTA MÔNICA','FLORIANOPOLIS','SC',14955,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073544,0.00,6.00,5.00,7.00,7.00,7.00,3.00,6.00,2.00,318,320,NULL,'INGLESES','FLORIANOPOLIS','SC',9970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073552,6.00,8.00,2.00,8.00,8.00,4.00,5.00,7.00,3.00,310,326,NULL,'ITACORUBI','FLORIANOPOLIS','SC',6891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073579,5.00,9.00,6.00,6.00,6.00,7.25,8.00,8.00,5.00,212,329,213,'BONSUCESSO','GRAVATAI','RS',3377,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,329,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2073609,4.00,7.00,2.00,5.00,9.00,5.25,6.00,6.00,4.00,5,303,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',9848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073617,2.00,4.00,1.00,5.00,7.00,5.25,7.00,5.00,3.00,303,308,NULL,'STO ANTONIO DE LISBO','FLORIANOPOLIS','SC',15206,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073625,1.00,3.00,2.00,3.00,3.00,4.75,2.00,3.00,3.00,324,308,NULL,'CENTRO','FLORIANOPOLIS','SC',22248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073633,5.00,5.00,5.00,5.00,7.00,4.75,4.00,4.00,4.00,429,339,424,'CALEMBA','SANTO AMARO DA IMPERATRIZ','SC',12822,50,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073641,4.00,5.00,0.00,7.00,7.00,NULL,2.00,2.00,3.00,216,102,215,'CENTRO','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073668,1.00,7.00,1.00,5.00,6.00,6.25,2.00,5.00,2.00,308,320,NULL,'ARMAÇÃO PANTANO SUL','FLORIANOPOLIS','SC',17454,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073676,5.00,4.00,5.00,5.00,7.00,4.75,4.00,2.00,4.00,329,332,NULL,'COQUEIROS','FLORIANOPOLIS','SC',14375,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073684,3.00,6.00,3.00,3.00,5.00,4.75,4.00,5.00,1.00,103,104,NULL,'CENTRO','LINDOIA DO SUL','SC',17636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073692,2.00,3.00,0.00,1.00,4.00,NULL,1.00,2.00,3.00,308,326,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073706,2.00,4.00,1.00,4.00,3.00,5.25,2.00,5.00,3.00,5,303,NULL,'CENTRO','FLORIANOPOLIS','SC',20263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073714,1.00,8.00,2.00,3.00,7.00,6.00,3.00,3.00,3.00,5,327,NULL,'ROÇADO','SAO JOSE','SC',17826,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073722,5.00,7.00,6.00,9.00,7.00,6.75,7.00,7.00,4.00,216,217,211,'CENTRO','PARANAVAI','PR',3760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,NULL,'FUNCIONARIOS','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2073749,3.00,7.00,2.00,5.00,4.00,4.50,4.00,3.00,2.00,103,207,NULL,'DOM BOSCO','ITAJAI','SC',17084,2803,1247,NULL,NULL,NULL,NULL,4,6),(15,2073765,4.00,8.00,4.00,8.00,7.00,5.00,6.00,7.00,1.00,103,207,NULL,'GARCIA','BLUMENAU','SC',8534,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2073773,3.00,7.00,1.00,5.00,4.00,4.25,2.00,5.00,3.00,303,103,NULL,'IBIRAPUERA','PARANAVAI','PR',18645,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2073781,5.00,6.00,4.00,4.00,9.00,6.00,6.00,4.00,5.00,303,207,NULL,'CENTRO','LAGES','SC',10052,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2073790,4.00,8.00,2.00,4.00,7.00,6.00,6.00,4.00,4.00,108,424,NULL,'CAPÃO','GAROPABA','SC',11146,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073811,7.00,8.00,3.00,6.00,9.00,5.50,5.00,6.00,5.00,108,333,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',5129,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073846,1.00,4.00,1.00,0.00,4.00,NULL,3.00,3.00,3.00,303,5,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073854,1.00,4.00,3.00,6.00,7.00,5.25,6.00,4.00,2.00,207,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073862,7.00,9.00,9.00,7.00,9.00,6.00,9.00,7.00,8.00,103,310,NULL,'MIRANDÓPOLIS','SAO PAULO','SP',306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073889,4.00,8.00,7.00,8.00,8.00,5.50,7.00,7.00,7.00,333,NULL,NULL,'FÁBRICA','LEOPOLDINA','MG',2131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2073900,3.00,9.00,4.00,9.00,9.00,4.75,4.00,8.00,5.00,318,304,NULL,'COQUEIROS','FLORIANOPOLIS','SC',4322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073919,3.00,5.00,2.00,6.00,5.00,5.00,3.00,3.00,3.00,318,317,NULL,'ARIRIÚ','PALHOCA','SC',19537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073927,3.00,4.00,0.00,0.00,5.00,NULL,4.00,3.00,1.00,238,324,NULL,'CÓORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2073935,4.00,5.00,1.00,5.00,8.00,6.25,4.00,3.00,1.00,339,426,NULL,'SERTAO DO MARUIM','SAO JOSE','SC',15422,36,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073943,3.00,6.00,2.00,3.00,7.00,3.75,2.00,5.00,3.00,501,108,NULL,'SAO CRISTÓVAO','LAGES','SC',17144,217,863,NULL,NULL,NULL,NULL,2,9),(15,2073951,1.00,5.00,3.00,2.00,6.00,7.00,4.00,5.00,3.00,316,404,NULL,'KOBRASOL','SAO JOSE','SC',16899,474,408,NULL,NULL,NULL,NULL,4,1),(15,2073960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,444,NULL,'JARDIM INTERLAGOS','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2073978,2.00,8.00,2.00,6.00,5.00,4.50,5.00,3.00,2.00,201,211,212,'CENTRO','ERECHIM','RS',14879,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073986,5.00,7.00,5.00,7.00,7.00,5.50,5.00,2.00,3.00,333,211,NULL,'TRINDADE','FLORIANOPOLIS','SC',10153,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2073994,8.00,8.00,6.00,2.00,8.00,6.50,5.00,4.00,4.00,103,415,NULL,'FÁTIMA','JOINVILLE','SC',6346,1683,625,NULL,NULL,NULL,NULL,4,8),(15,2074001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'AFONSO PENA','SAO JOSE DOS PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2074028,3.00,5.00,3.00,5.00,5.00,5.50,2.00,5.00,5.00,104,327,NULL,'COPACABANA','LAGES','SC',15570,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2074036,5.00,4.00,2.00,8.00,6.00,3.25,5.00,5.00,3.00,211,NULL,NULL,'VELEIROS','SAO PAULO','SP',12508,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074044,2.00,4.00,3.00,4.00,4.00,4.00,4.00,3.00,3.00,308,309,NULL,'BARREIROS','SAO JOSE','SC',21163,181,239,NULL,NULL,NULL,NULL,2,1),(15,2074052,5.00,6.00,5.00,5.00,8.00,6.75,4.00,7.00,3.00,317,423,NULL,'CENTRO','FLORIANOPOLIS','SC',8724,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074060,5.00,6.00,6.00,5.00,7.00,4.25,7.00,6.00,3.00,203,214,202,'GLÓRIA','JOINVILLE','SC',7494,619,702,297,NULL,NULL,NULL,2,8),(15,2074079,5.00,8.00,5.00,5.00,6.00,4.00,5.00,4.00,3.00,103,108,NULL,'COMERCIÁRIO','CRICIUMA','SC',11065,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2074087,2.00,7.00,5.00,6.00,7.00,6.25,7.00,5.00,3.00,225,213,NULL,'TRINDADE','FLORIANOPOLIS','SC',7877,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074095,3.00,6.00,5.00,4.00,5.00,6.00,4.00,4.00,3.00,304,502,NULL,'COLONINHA','FLORIANOPOLIS','SC',14354,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074109,3.00,3.00,2.00,6.00,5.00,5.50,4.00,4.00,4.00,217,415,NULL,'MARAMBAIA','VINHEDO','SP',16863,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2074117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,450,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2074125,3.00,6.00,2.00,4.00,5.00,5.00,5.00,5.00,2.00,317,324,NULL,'ESTREITO','FLORIANOPOLIS','SC',15443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074141,4.00,7.00,3.00,8.00,7.00,6.50,3.00,5.00,4.00,303,301,NULL,'CENTRO','LAGES','SC',8799,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2074150,5.00,8.00,2.00,6.00,7.00,6.25,5.00,5.00,2.00,208,222,238,'SANTA CRUZ II','GRAVATAI','RS',10219,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2074168,2.00,3.00,3.00,5.00,7.00,6.25,3.00,3.00,3.00,302,308,NULL,'KOBRASOL','SAO JOSE','SC',17733,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074176,3.00,7.00,3.00,3.00,6.00,4.50,4.00,7.00,1.00,103,214,NULL,'CENTRO','BRACO DO NORTE','SC',15685,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2074184,7.00,8.00,6.00,7.00,7.00,5.75,8.00,8.00,7.00,5,316,NULL,'CENTRO','FLORIANOPOLIS','SC',1787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2074192,3.00,8.00,2.00,5.00,5.00,5.50,3.00,4.00,0.00,327,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',17122,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2074206,4.00,6.00,3.00,6.00,4.00,5.25,6.00,3.00,1.00,207,333,201,'CENTRO','BALNEARIO CAMBORIU','SC',16144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2074222,3.00,7.00,7.00,5.00,8.00,5.25,7.00,5.00,3.00,5,425,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',6025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2074257,6.00,9.00,9.00,8.00,8.00,5.00,9.00,8.00,8.00,103,215,NULL,'AGUA VERDE','CURITIBA','PR',462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2074265,6.00,9.00,6.00,7.00,9.00,6.25,7.00,7.00,5.00,9,450,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',2584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2074273,3.00,7.00,4.00,6.00,7.00,5.00,7.00,6.00,5.00,420,9,NULL,'BOSQUE','SAO JOSE','SC',7945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2074281,4.00,6.00,3.00,6.00,7.00,5.25,4.00,6.00,3.00,103,303,NULL,'CENTRO','CURITIBA','PR',11450,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2074290,3.00,7.00,2.00,6.00,8.00,5.00,2.00,6.00,4.00,103,101,NULL,'REVOREDO','TUBARAO','SC',13259,2469,601,NULL,NULL,NULL,NULL,2,10),(15,2074303,4.00,7.00,3.00,2.00,5.00,5.00,3.00,8.00,4.00,415,301,NULL,'CENTRO','CHAPECO','SC',14141,347,673,NULL,NULL,NULL,NULL,4,4),(15,2074311,8.00,8.00,7.00,6.00,8.00,5.50,7.00,7.00,3.00,203,2,208,'CARIANOS','FLORIANOPOLIS','SC',3051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074338,3.00,7.00,6.00,5.00,8.00,7.00,6.00,5.00,5.00,103,5,NULL,'COSTA E SILVA','JOINVILLE','SC',5491,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2074346,2.00,5.00,2.00,5.00,4.00,3.50,3.00,4.00,3.00,9,102,NULL,'FREITAS','PAULO LOPES','SC',20458,302,1102,NULL,NULL,NULL,NULL,2,1),(15,2074354,3.00,6.00,7.00,7.00,5.00,4.75,5.00,3.00,3.00,317,339,NULL,'ESTREITO','FLORIANOPOLIS','SC',10796,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074362,6.00,6.00,8.00,6.00,7.00,5.75,9.00,7.00,7.00,216,214,212,'CENTRO','LACERDOPOLIS','SC',2012,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2074370,5.00,8.00,7.00,3.00,9.00,5.25,7.00,6.00,7.00,303,451,NULL,'DAS NAÇÕES','BALNEARIO CAMBORIU','SC',4225,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2074389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','POTIRENDABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2074400,2.00,7.00,4.00,4.00,4.00,5.00,5.00,6.00,4.00,429,324,427,'TRINDADE','FLORIANOPOLIS','SC',12760,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074419,3.00,7.00,3.00,3.00,7.00,5.00,4.00,7.00,4.00,327,225,NULL,'CENTRO','FLORIANOPOLIS','SC',11884,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074427,7.00,9.00,7.00,7.00,8.00,7.00,9.00,6.00,7.00,103,425,NULL,'JD SANTA CRUZ','RIBEIRAO PRETO','SP',1015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2074435,1.00,6.00,4.00,5.00,8.00,5.75,5.00,4.00,2.00,415,425,NULL,'TAMANDUA','ASCURRA','SC',13433,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2074443,4.00,6.00,4.00,6.00,7.00,6.00,5.00,7.00,5.00,207,420,215,'BARREIROS','SAO JOSE','SC',8025,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074451,4.00,8.00,5.00,8.00,5.00,6.25,5.00,5.00,3.00,208,427,238,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',7743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2074460,4.00,6.00,4.00,7.00,8.00,7.50,4.00,7.00,4.00,303,319,NULL,'CAMPINAS','SAO JOSE','SC',6580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2074478,4.00,7.00,6.00,5.00,7.00,6.50,7.00,5.00,2.00,220,208,203,'VILA ASSUMPÇÃO','BOTUCATU','SP',7464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2074486,3.00,6.00,9.00,5.00,8.00,4.50,8.00,6.00,5.00,201,224,233,'SAUDADE','BIGUACU','SC',6368,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,404,NULL,'JD OLGA VERONE','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2074516,6.00,6.00,5.00,6.00,3.00,5.25,6.00,5.00,4.00,203,220,201,'CENTRO','BIGUACU','SC',10455,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074524,3.00,2.00,1.00,1.00,4.00,NULL,1.00,5.00,3.00,9,NULL,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2074532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2074559,3.00,4.00,6.00,8.00,6.00,6.25,6.00,5.00,4.00,308,404,NULL,'CENTRO','FLORIANOPOLIS','SC',8914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074567,3.00,6.00,1.00,5.00,4.00,4.50,4.00,2.00,3.00,326,331,NULL,'CENTRO','FLORIANOPOLIS','SC',18852,111,216,NULL,NULL,NULL,NULL,2,1),(15,2074575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2074583,3.00,7.00,3.00,7.00,7.00,5.75,4.00,9.00,4.00,234,426,NULL,'EUGENIO SCHNEIDER','RIO DO SUL','SC',9453,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2074591,2.00,7.00,1.00,1.00,7.00,4.50,4.00,5.00,1.00,207,425,201,'CENTRO','ANTONIO CARLOS','SC',18782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2074605,6.00,7.00,5.00,8.00,9.00,7.25,8.00,7.00,5.00,217,216,NULL,'CENTRO','CRICIUMA','SC',2125,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2074613,4.00,7.00,3.00,6.00,8.00,6.25,3.00,4.00,2.00,429,308,425,'INGLESES','FLORIANOPOLIS','SC',10865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2074648,3.00,5.00,4.00,8.00,7.00,7.25,2.00,5.00,3.00,207,310,203,'JARDIM AMERICA','CHAPECO','SC',11438,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2074656,3.00,3.00,5.00,1.00,5.00,6.75,1.00,5.00,1.00,207,420,201,'CENTRO','FLORIANOPOLIS','SC',19586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2074664,5.00,5.00,4.00,6.00,6.00,4.50,5.00,5.00,2.00,220,214,202,'GUARDA DO CUBATÃO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074680,3.00,8.00,7.00,6.00,7.00,5.25,7.00,5.00,4.00,203,216,220,'PARQUE INDUSTRIAL','UBIRATA','PR',5190,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2074699,2.00,4.00,0.00,6.00,2.00,NULL,3.00,3.00,1.00,404,424,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074702,4.00,1.00,3.00,6.00,7.00,5.50,4.00,4.00,4.00,216,102,215,'INDUSTRIAL','HORIZONTINA','RS',15782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074710,8.00,8.00,9.00,9.00,7.00,5.50,9.00,7.00,9.00,103,102,NULL,'TRÊS RIOS DO SUL','JARAGUA DO SUL','SC',457,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2074729,2.00,7.00,4.00,3.00,5.00,6.75,8.00,6.00,4.00,214,2,213,'SANTA TEREZINHA','GASPAR','SC',10354,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2074737,2.00,4.00,5.00,4.00,7.00,6.25,6.00,5.00,3.00,224,222,NULL,'FORQUILHINHAS','SAO JOSE','SC',11855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2074745,4.00,9.00,6.00,4.00,5.00,6.00,4.00,4.00,4.00,103,211,NULL,'JARDIM BOTÂNICO','SINOP','MT',9790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2074761,1.00,4.00,4.00,1.00,4.00,3.50,3.00,4.00,1.00,319,329,NULL,'NOVA BRASILIA','SOMBRIO','SC',22380,524,275,NULL,NULL,NULL,NULL,4,1),(15,2074770,5.00,7.00,7.00,7.00,8.00,5.00,8.00,6.00,4.00,415,327,NULL,'CENTRO','FLORIANOPOLIS','SC',4205,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074800,2.00,3.00,4.00,3.00,6.00,4.75,3.00,0.00,2.00,103,216,NULL,'CENTRO','SAO JOAQUIM','SC',20786,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2074818,3.00,8.00,3.00,6.00,8.00,6.25,5.00,7.00,6.00,303,450,NULL,'CENTRO','MARAVILHA','SC',5855,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2074826,1.00,5.00,2.00,6.00,5.00,NULL,0.00,0.00,0.00,319,320,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2074834,7.00,8.00,8.00,7.00,9.00,6.00,8.00,8.00,5.00,216,217,215,'CENTRO','LAGES','SC',1249,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2074842,4.00,6.00,6.00,3.00,6.00,5.50,5.00,2.00,3.00,108,333,NULL,'VILA FARIA','SAO CARLOS','SP',13075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2074850,3.00,4.00,4.00,5.00,6.00,4.50,5.00,2.00,3.00,5,308,NULL,'KOBRASOL','SAO JOSE','SC',17595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'AGUAS CLARAS','TAGUATINGA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2074877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,103,NULL,'LOT MADRI','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2074885,2.00,7.00,4.00,5.00,6.00,5.25,6.00,6.00,3.00,5,327,NULL,'BARREIROS','SAO JOSE','SC',10484,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074907,0.00,4.00,2.00,6.00,4.00,7.50,3.00,2.00,2.00,316,108,NULL,'BELA VISTA III','SAO JOSE','SC',20446,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074915,2.00,5.00,3.00,5.00,6.00,4.75,4.00,3.00,4.00,333,234,NULL,'CIDADE JARDIM','LIMEIRA','SP',16877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2074923,6.00,7.00,6.00,8.00,6.00,5.50,5.00,6.00,3.00,202,220,203,'CENTRO','HORIZONTINA','RS',4527,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074931,5.00,7.00,6.00,7.00,6.00,3.50,5.00,7.00,6.00,224,217,NULL,'BARREIROS','SAO JOSE','SC',5979,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074940,6.00,3.00,4.00,8.00,6.00,8.00,6.00,8.00,1.00,101,213,NULL,'PANTANAL','FLORIANOPOLIS','SC',7109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2074958,4.00,7.00,2.00,7.00,5.00,7.75,3.00,6.00,1.00,426,NULL,424,'AGRONÔMICA','FLORIANOPOLIS','SC',12402,25,NULL,NULL,NULL,NULL,NULL,2,1),(15,2074966,5.00,5.00,4.00,2.00,4.00,5.00,5.00,2.00,1.00,207,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',18021,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2074982,2.00,4.00,1.00,8.00,5.00,5.00,4.00,3.00,3.00,203,207,214,'SANTA GENEBRA','CAMPINAS','SP',17839,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2075008,4.00,7.00,5.00,5.00,8.00,6.00,6.00,7.00,5.00,213,238,233,'CENTRO','FLORIANOPOLIS','SC',4809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075016,5.00,6.00,4.00,4.00,8.00,7.75,6.00,3.00,1.00,223,NULL,NULL,'KOBRASOL','SAO JOSE','SC',10855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075024,1.00,6.00,7.00,7.00,5.00,4.75,5.00,3.00,1.00,208,318,238,'CENTRO','FLORIANOPOLIS','SC',14692,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075032,4.00,3.00,2.00,4.00,7.00,6.25,4.00,5.00,2.00,339,308,NULL,'CENTRO','FLORIANOPOLIS','SC',16156,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075040,5.00,8.00,7.00,7.00,4.00,4.50,8.00,6.00,4.00,203,224,220,'CENTRO','BIGUACU','SC',4917,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075059,4.00,7.00,2.00,10.00,7.00,5.50,4.00,4.00,3.00,234,238,NULL,'TRINDADE','FLORIANOPOLIS','SC',10390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075067,2.00,4.00,3.00,5.00,5.00,5.50,7.00,4.00,2.00,103,211,NULL,'ZONA SETE','MARINGA','PR',16707,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2075075,7.00,8.00,9.00,7.00,8.00,5.50,8.00,8.00,6.00,103,102,NULL,'CENTRO','RIBEIRAO PRETO','SP',1037,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075091,5.00,7.00,5.00,5.00,7.00,5.25,6.00,5.00,3.00,103,102,NULL,'CENTRO','RIBEIRAO PRETO','SP',7826,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075105,2.00,6.00,4.00,5.00,6.00,5.50,5.00,6.00,2.00,326,327,NULL,'VILA YARA','OSASCO','SP',12277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075113,1.00,3.00,3.00,4.00,7.00,NULL,2.00,0.00,1.00,316,317,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075130,7.00,6.00,5.00,5.00,8.00,6.50,9.00,5.00,7.00,103,333,NULL,'CENTRO','AMPARO','SP',2205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075148,8.00,7.00,7.00,8.00,9.00,6.50,9.00,8.00,6.00,203,216,201,'ATIRADORES','JOINVILLE','SC',661,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2075156,3.00,7.00,6.00,8.00,8.00,5.75,8.00,4.00,8.00,203,214,216,'RIBEIRANEA','RIBEIRAO PRETO','SP',4131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075164,1.00,3.00,0.00,1.00,6.00,NULL,3.00,1.00,3.00,201,420,207,'CEDRO','CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2075172,5.00,8.00,7.00,7.00,9.00,6.25,8.00,5.00,5.00,316,214,NULL,'ITACORUBI','FLORIANOPOLIS','SC',2247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075202,4.00,6.00,4.00,4.00,8.00,5.75,4.00,4.00,3.00,104,102,NULL,'ALPHAVILLE','CAMPINAS','SP',11040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075210,5.00,6.00,4.00,3.00,7.00,8.50,8.00,5.00,5.00,420,333,NULL,'CENTRO','JAGUARUNA','SC',7591,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2075229,3.00,5.00,3.00,0.00,7.00,NULL,5.00,4.00,2.00,424,324,429,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075237,1.00,7.00,4.00,3.00,5.00,5.00,4.00,2.00,2.00,301,208,NULL,'ITACORUBI','FLORIANOPOLIS','SC',18432,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075245,1.00,3.00,1.00,4.00,5.00,4.25,3.00,4.00,2.00,319,308,NULL,'CAMPINAS','SAO JOSE','SC',22068,511,487,NULL,NULL,NULL,NULL,2,1),(15,2075253,3.00,7.00,1.00,3.00,4.00,5.00,6.00,4.00,1.00,420,318,NULL,'CENTRO','CAMPO ALEGRE','SC',18427,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2075261,4.00,4.00,3.00,4.00,7.00,6.00,4.00,7.00,2.00,102,217,NULL,'FAZENDA STO ANTÔNIO','SAO JOSE','SC',13901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075270,4.00,7.00,4.00,8.00,9.00,5.50,6.00,7.00,3.00,108,501,NULL,'TRINDADE','FLORIANOPOLIS','SC',5525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075288,5.00,9.00,7.00,7.00,8.00,7.50,5.00,7.00,7.00,216,301,233,'CASTELO BRANCO','ITAPEMA','SC',1696,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2075296,5.00,9.00,9.00,8.00,7.00,7.50,7.00,9.00,7.00,203,2,201,'CENTRO','IMBITUBA','SC',623,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2075300,5.00,7.00,3.00,6.00,7.00,6.00,4.00,4.00,6.00,216,217,NULL,'JD DOMINGOS ORSI','ANGATUBA','SP',9286,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075326,2.00,3.00,2.00,1.00,6.00,NULL,1.00,3.00,2.00,301,211,NULL,'RIO DO CEDRO','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075334,2.00,3.00,0.00,2.00,4.00,5.00,5.00,4.00,3.00,319,301,NULL,'CAMPO BELO','SAO PAULO','SP',21281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075342,2.00,7.00,3.00,4.00,7.00,5.25,4.00,6.00,3.00,103,102,NULL,'STEFFEN','BRUSQUE','SC',14522,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2075350,6.00,7.00,5.00,9.00,8.00,6.25,7.00,6.00,5.00,207,2,201,'AGRONOMICA','FLORIANOPOLIS','SC',3234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075369,2.00,3.00,3.00,0.00,2.00,NULL,3.00,5.00,3.00,203,420,214,'VILA TUPI','BERTIOGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2075385,4.00,7.00,3.00,4.00,4.00,5.25,4.00,7.00,3.00,214,404,233,'ESTREITO','FLORIANOPOLIS','SC',13111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075393,8.00,8.00,9.00,8.00,8.00,6.75,8.00,8.00,6.00,5,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075407,7.00,8.00,6.00,6.00,8.00,4.75,6.00,6.00,6.00,103,102,NULL,'CORAL','LAGES','SC',4669,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2075415,4.00,7.00,1.00,1.00,7.00,5.50,5.00,4.00,4.00,451,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',15981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075423,7.00,9.00,3.00,9.00,8.00,7.00,7.00,6.00,6.00,303,316,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',2301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075431,2.00,6.00,3.00,6.00,6.00,4.50,4.00,3.00,2.00,104,222,NULL,'JARDIM DO LAGO','CHAPECO','SC',17869,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2075440,3.00,4.00,3.00,4.00,4.00,5.50,3.00,4.00,3.00,104,NULL,NULL,'LOMBA','ORLEANS','SC',18928,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2075458,4.00,7.00,5.00,2.00,5.00,4.00,4.00,4.00,2.00,224,324,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',16758,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'VILA SÔNIA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2075490,5.00,9.00,6.00,7.00,6.00,4.50,7.00,7.00,6.00,215,217,233,'ALPHAVILLE','BARUERI','SP',3565,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2075504,1.00,3.00,1.00,0.00,4.00,NULL,2.00,3.00,0.00,208,317,211,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,316,NULL,'JARDIM AMERICA','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2075520,3.00,6.00,1.00,7.00,7.00,4.75,2.00,3.00,1.00,423,451,NULL,'STO ANTÔNIO D LISBOA','FLORIANOPOLIS','SC',19145,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075547,1.00,8.00,3.00,6.00,3.00,5.50,4.00,4.00,3.00,2,424,NULL,'ESTREITO','FLORIANOPOLIS','SC',16259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075555,4.00,5.00,2.00,1.00,8.00,6.00,2.00,3.00,1.00,207,NULL,NULL,'PEDRO LUDOVICO','GOIANIA','GO',20006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075563,6.00,8.00,5.00,7.00,7.00,5.75,5.00,8.00,1.00,427,308,423,'PORTO DA LAGOA','FLORIANOPOLIS','SC',6523,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075571,4.00,8.00,4.00,3.00,7.00,5.25,8.00,6.00,2.00,203,NULL,214,'SAGUAÇU','JOINVILLE','SC',8672,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2075598,2.00,6.00,4.00,6.00,6.00,7.50,4.00,4.00,3.00,103,333,NULL,'CENTRO','ASTORGA','PR',12514,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2075601,7.00,7.00,8.00,7.00,8.00,6.75,8.00,8.00,6.00,415,216,NULL,'REUNIDAS','CACADOR','SC',992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075610,4.00,4.00,2.00,6.00,6.00,6.00,4.00,4.00,1.00,317,318,NULL,'AREIAS','SAO JOSE','SC',16845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075644,4.00,6.00,6.00,0.00,8.00,4.75,7.00,7.00,0.00,208,220,238,'KOBRASOL','SAO JOSE','SC',12811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075652,3.00,7.00,5.00,7.00,6.00,4.00,6.00,7.00,5.00,203,303,201,'RES GRANVILLE','GOIANIA','GO',6821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075660,3.00,6.00,7.00,6.00,8.00,5.25,7.00,5.00,4.00,211,NULL,201,'SAO FRANCISCO','CAMPO GRANDE','MS',7488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075679,2.00,5.00,4.00,7.00,8.00,4.00,7.00,6.00,6.00,213,NULL,233,'JD CHAPADÃO','CAMPINAS','SP',8274,137,NULL,NULL,NULL,NULL,NULL,4,9),(15,2075687,4.00,6.00,6.00,7.00,6.00,6.50,6.00,6.00,3.00,207,NULL,NULL,'BRASILIA','CRICIUMA','SC',7120,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2075709,8.00,7.00,7.00,5.00,5.00,5.50,6.00,6.00,4.00,203,220,214,'CENTRO','PONTA GROSSA','PR',5921,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2075717,3.00,4.00,1.00,4.00,7.00,5.00,4.00,2.00,2.00,103,101,NULL,'AMÉRICA','JOINVILLE','SC',19280,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075725,4.00,7.00,7.00,9.00,5.00,7.00,6.00,8.00,7.00,215,301,207,'ASA NORTE','BRASILIA','DF',2699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075733,4.00,7.00,5.00,9.00,6.00,6.00,8.00,4.00,7.00,216,208,201,'IRIRIÚ','JOINVILLE','SC',3276,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2075741,3.00,5.00,5.00,8.00,5.00,5.25,5.00,6.00,4.00,203,233,214,'VILA NOVA','BLUMENAU','SC',9777,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2075750,6.00,9.00,8.00,8.00,8.00,5.50,9.00,7.00,4.00,216,233,214,'JD OURO VERDE','OURINHOS','SP',1297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,211,NULL,'SETOR SUL','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2075776,7.00,8.00,9.00,8.00,8.00,6.50,8.00,7.00,6.00,103,303,NULL,'CENTRO','FLORIANOPOLIS','SC',1020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075792,2.00,5.00,4.00,4.00,5.00,5.25,2.00,8.00,3.00,201,207,NULL,'CENTRO','RIBEIRAO PRETO','SP',14872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075806,2.00,7.00,1.00,5.00,3.00,6.00,2.00,1.00,2.00,324,317,NULL,'AREIAS','PAULO LOPES','SC',21040,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075814,5.00,7.00,5.00,7.00,7.00,6.00,7.00,7.00,5.00,5,NULL,NULL,'ITACORUBI','FLORIANOPOLIS','SC',3796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075822,4.00,6.00,1.00,2.00,5.00,3.50,4.00,5.00,4.00,108,333,NULL,'UNIVERSITARIO','GOIANIA','GO',17376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075830,5.00,6.00,7.00,4.00,6.00,5.75,4.00,5.00,3.00,303,429,NULL,'SAGUAÇU','JOINVILLE','SC',9998,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2075849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,203,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2075857,4.00,5.00,6.00,5.00,4.00,5.50,7.00,5.00,2.00,203,202,214,'VILA MARIANA','SAO PAULO','SP',11250,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2075865,5.00,8.00,4.00,7.00,8.00,4.75,6.00,5.00,3.00,101,331,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',7123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075873,5.00,8.00,5.00,8.00,8.00,7.00,7.00,7.00,4.00,238,NULL,208,'COSTEIRA','FLORIANOPOLIS','SC',3451,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075903,8.00,8.00,8.00,9.00,7.00,5.25,9.00,8.00,6.00,220,216,203,'SETOR OESTE','GOIANIA','GO',1033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075911,1.00,5.00,1.00,0.00,1.00,NULL,3.00,4.00,0.00,104,103,NULL,'VILA LALAU','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2075920,5.00,7.00,5.00,8.00,6.00,4.75,7.00,7.00,4.00,316,108,NULL,'CENTRO','FLORIANOPOLIS','SC',6156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2075938,3.00,6.00,4.00,4.00,4.00,6.00,3.00,4.00,1.00,101,302,NULL,'SALTO DO NORTE','BLUMENAU','SC',17593,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2075946,3.00,6.00,5.00,7.00,7.00,5.00,3.00,6.00,4.00,404,444,NULL,'BOSQUE DA FELICIDADE','SAO JOSE DO RIO PRETO','SP',11459,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075962,3.00,7.00,1.00,4.00,5.00,5.00,2.00,6.00,1.00,217,225,NULL,'CENTRO','FLORIANOPOLIS','SC',17435,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2075989,1.00,4.00,3.00,4.00,3.00,3.25,3.00,3.00,1.00,201,316,207,'AMERICA','JOINVILLE','SC',22502,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2075997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,108,215,'JD MORUMBI II','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2076004,5.00,8.00,4.00,4.00,8.00,5.00,3.00,6.00,5.00,234,2,NULL,'COLONINHA','FLORIANOPOLIS','SC',8907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076012,3.00,7.00,6.00,5.00,7.00,6.00,7.00,6.00,5.00,319,308,NULL,'PANTANAL','FLORIANOPOLIS','SC',6243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2076020,3.00,7.00,3.00,5.00,8.00,4.75,4.00,4.00,3.00,326,444,NULL,'BAIRRO DE FATIMA','FLORIANOPOLIS','SC',13604,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2076039,1.00,6.00,2.00,6.00,4.00,4.00,4.00,4.00,4.00,319,444,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076063,1.00,5.00,4.00,4.00,7.00,5.50,2.00,3.00,3.00,104,102,NULL,'COTREL','MAXIMILIANO DE ALMEIDA','RS',17290,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2076080,3.00,4.00,5.00,4.00,7.00,4.00,4.00,4.00,2.00,203,202,214,'ALTO','PIRACICABA','SP',17616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076098,4.00,9.00,3.00,6.00,7.00,7.25,2.00,4.00,4.00,207,420,238,'CENTRO','FLORIANOPOLIS','SC',10939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076101,4.00,3.00,1.00,3.00,5.00,5.25,2.00,7.00,4.00,319,339,NULL,'SÃO JOSE DOS PINHAIS','SAO JOSE DOS PINHAIS','PR',18695,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2076110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'IPIRANGA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2076144,2.00,5.00,7.00,3.00,5.00,6.00,5.00,4.00,2.00,215,319,211,'ZONA DOIS','MARINGA','PR',15024,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2076152,3.00,7.00,7.00,9.00,7.00,6.75,8.00,6.00,5.00,103,208,NULL,'CENTRO','CHAPECO','SC',3621,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2076160,0.00,5.00,8.00,0.00,4.00,3.25,5.00,4.00,3.00,203,NULL,214,'CENTRO','SAO BENTO DO SUL','SC',19306,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2076179,4.00,4.00,3.00,4.00,6.00,4.25,5.00,4.00,3.00,202,NULL,213,'CENTRO','FLORIANOPOLIS','SC',16355,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2076187,4.00,6.00,4.00,2.00,7.00,5.25,4.00,5.00,4.00,103,212,NULL,'CENTRO','ITAJAI','SC',13554,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2076195,1.00,4.00,3.00,0.00,2.00,NULL,3.00,3.00,2.00,451,427,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076209,3.00,6.00,2.00,1.00,9.00,6.25,4.00,4.00,2.00,216,215,NULL,'CENTRO','CURITIBA','PR',15911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076217,2.00,7.00,2.00,7.00,8.00,6.00,5.00,7.00,1.00,202,333,220,'ESTREITO','FLORIANOPOLIS','SC',9413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076241,3.00,5.00,5.00,6.00,5.00,5.25,3.00,4.00,2.00,428,427,426,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',16032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076250,1.00,7.00,3.00,3.00,7.00,2.00,3.00,6.00,2.00,329,328,NULL,'BARRA DO RIO CERRO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2076268,1.00,4.00,1.00,4.00,6.00,5.00,2.00,5.00,0.00,404,309,NULL,'BOM VIVER','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2076276,2.00,4.00,3.00,5.00,7.00,4.00,3.00,2.00,1.00,316,308,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',19450,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2076284,6.00,8.00,6.00,7.00,7.00,4.25,9.00,7.00,8.00,103,108,NULL,'JARDIM DERMINIO','FRANCA','SP',1871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076292,2.00,8.00,3.00,5.00,3.00,5.25,4.00,5.00,4.00,238,208,233,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2076306,5.00,8.00,7.00,6.00,8.00,3.75,7.00,6.00,5.00,104,324,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',4238,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2076314,4.00,8.00,6.00,7.00,9.00,6.50,6.00,7.00,5.00,303,319,NULL,'CENTRO','FLORIANOPOLIS','SC',3348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076322,4.00,7.00,7.00,4.00,8.00,6.25,6.00,6.00,4.00,318,317,NULL,'FLOR DE NÁPOLIS','SAO JOSE','SC',6088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076330,3.00,7.00,3.00,8.00,5.00,3.00,4.00,6.00,4.00,424,423,421,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',12989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076349,3.00,4.00,2.00,1.00,5.00,5.50,4.00,3.00,4.00,207,420,201,'CENTRO','BALNEARIO CAMBORIU','SC',20298,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2076357,1.00,3.00,2.00,3.00,7.00,4.75,5.00,4.00,2.00,444,420,NULL,'CENTRO','ABELARDO LUZ','SC',20246,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2076365,4.00,8.00,3.00,5.00,8.00,8.25,4.00,8.00,4.00,102,9,NULL,'CENTRO','POUSO REDONDO','SC',6751,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2076373,7.00,5.00,5.00,5.00,9.00,7.00,5.00,7.00,4.00,103,444,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',5686,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2076381,8.00,8.00,10.00,6.00,8.00,7.50,9.00,9.00,6.00,103,451,NULL,'AZAMBUJA','BRUSQUE','SC',340,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2076390,3.00,6.00,3.00,5.00,8.00,5.00,2.00,5.00,2.00,319,103,NULL,'GUANABARA','JOINVILLE','SC',14912,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2076403,4.00,6.00,4.00,3.00,6.00,5.00,7.00,6.00,5.00,301,208,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',10318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076411,3.00,7.00,4.00,3.00,4.00,2.00,6.00,5.00,3.00,201,NULL,NULL,'CENTRO','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076420,5.00,5.00,6.00,6.00,6.00,7.75,4.00,3.00,4.00,102,9,NULL,'JARDIM KENNEDY','RIO CLARO','SP',10182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2076446,3.00,6.00,0.00,5.00,6.00,5.50,3.00,5.00,1.00,426,451,424,'VILA SÃO JOÃO','FLORIANOPOLIS','SC',16961,55,243,55,NULL,NULL,NULL,2,1),(15,2076489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2076497,5.00,8.00,7.00,7.00,8.00,3.00,6.00,8.00,3.00,420,415,NULL,'SÃO JOSÉ','ARARAQUARA','SP',5014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076500,3.00,6.00,6.00,8.00,7.00,6.00,6.00,3.00,4.00,420,425,NULL,'SANTO ANTONIO','JOINVILLE','SC',7577,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2076519,5.00,8.00,8.00,6.00,7.00,6.50,8.00,7.00,5.00,301,316,NULL,'ASILO','BLUMENAU','SC',2458,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2076535,0.00,0.00,0.00,1.00,8.00,NULL,0.00,0.00,0.00,203,233,202,'JARDIM FLORDIANA','RIO CLARO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2076543,6.00,8.00,5.00,8.00,9.00,6.50,6.00,8.00,3.00,103,108,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2076560,8.00,7.00,9.00,6.00,9.00,7.75,8.00,7.00,6.00,211,108,216,'AMÉRICA','JOINVILLE','SC',716,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2076578,3.00,6.00,3.00,6.00,7.00,5.00,3.00,6.00,1.00,316,215,NULL,'CENTRO','BLUMENAU','SC',14532,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2076586,6.00,8.00,6.00,6.00,9.00,7.00,7.00,7.00,4.00,103,104,NULL,'VILA NOVA','IMBITUBA','SC',2499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2076594,1.00,5.00,4.00,6.00,6.00,5.50,5.00,5.00,2.00,208,220,203,'CENTRO','POUSO ALEGRE','MG',14319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076608,6.00,6.00,5.00,2.00,6.00,4.50,7.00,8.00,7.00,318,304,NULL,'JARDIM FORTALEZA','PAULINIA','SP',6506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076616,3.00,7.00,5.00,3.00,8.00,6.00,7.00,6.00,7.00,233,203,NULL,'ALTOS DE SANTANA','SAO JOSE DOS CAMPOS','SP',6168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076624,3.00,5.00,4.00,3.00,7.00,4.00,3.00,6.00,3.00,201,234,211,'PROGRESSO','POUSO REDONDO','SC',15728,838,216,561,NULL,NULL,NULL,4,1),(15,2076632,2.00,3.00,2.00,1.00,2.00,NULL,3.00,2.00,4.00,333,331,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2076640,3.00,4.00,6.00,5.00,6.00,3.00,4.00,5.00,3.00,304,310,NULL,'JARDIM NIERO','LOUVEIRA','SP',15038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076659,5.00,7.00,2.00,4.00,8.00,5.50,5.00,4.00,2.00,415,320,NULL,'CRUZEIRO','SAO BENTO DO SUL','SC',13045,325,178,NULL,NULL,NULL,NULL,2,8),(15,2076667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,308,NULL,'GUARÁ II','GUARA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2076683,4.00,5.00,5.00,5.00,6.00,6.50,3.00,5.00,2.00,103,101,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,450,NULL,'ZONA RURAL','ANAPOLIS','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2076705,2.00,5.00,5.00,0.00,4.00,NULL,3.00,3.00,4.00,202,238,211,'CONSOLAÇÃO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076713,9.00,7.00,7.00,5.00,7.00,8.00,9.00,7.00,4.00,103,104,NULL,'CENTRO','CHAPECO','SC',2380,895,842,NULL,NULL,NULL,NULL,4,4),(15,2076721,0.00,3.00,1.00,1.00,4.00,4.25,3.00,6.00,4.00,238,208,NULL,'NOVA BRASILIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076748,5.00,5.00,5.00,2.00,8.00,7.00,6.00,6.00,5.00,103,108,NULL,'CENTRO','ORLEANS','SC',7890,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2076756,8.00,8.00,9.00,6.00,9.00,7.00,9.00,6.00,9.00,103,104,NULL,'MORUMBÍ','CAMPO GRANDE','MS',411,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2076764,4.00,5.00,3.00,5.00,8.00,6.00,3.00,4.00,4.00,103,203,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2076780,3.00,5.00,4.00,3.00,4.00,4.00,6.00,6.00,1.00,203,326,211,'INDEPENDENCIA','POUSO REDONDO','SC',15665,980,287,557,NULL,NULL,NULL,4,1),(15,2076799,1.00,4.00,1.00,3.00,8.00,5.25,4.00,4.00,2.00,501,211,NULL,'CENTRO','SEARA','SC',19823,266,1003,NULL,NULL,NULL,NULL,2,4),(15,2076802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,424,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2076810,4.00,7.00,3.00,5.00,8.00,4.50,2.00,5.00,2.00,415,301,NULL,'CENTRO','FLORIANOPOLIS','SC',13441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076829,4.00,8.00,9.00,9.00,8.00,7.00,9.00,8.00,6.00,333,222,NULL,'MINAS BRASIL','BELO HORIZONTE','MG',617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076837,4.00,7.00,4.00,4.00,6.00,5.50,5.00,4.00,3.00,213,214,202,'CANASVIEIRAS','FLORIANOPOLIS','SC',11299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2076845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'BOSQUE','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2076853,6.00,9.00,6.00,5.00,6.00,5.00,6.00,6.00,5.00,103,9,NULL,'PANTANAL','FLORIANOPOLIS','SC',5776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076861,5.00,7.00,5.00,7.00,7.00,5.75,7.00,7.00,3.00,233,415,207,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076870,1.00,4.00,3.00,5.00,4.00,NULL,1.00,0.00,2.00,420,207,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2076896,3.00,5.00,3.00,5.00,4.00,5.00,2.00,2.00,1.00,238,429,NULL,'ITACORUBI','FLORIANOPOLIS','SC',21763,808,307,NULL,NULL,NULL,NULL,2,1),(15,2076900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,404,NULL,'PARTENON','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2076918,7.00,8.00,5.00,4.00,9.00,6.00,9.00,6.00,7.00,103,303,NULL,'CENTRO','CURITIBA','PR',2109,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2076926,5.00,6.00,6.00,6.00,7.00,5.25,7.00,4.00,4.00,103,207,NULL,'CENTRO','CRICIUMA','SC',7596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2076934,4.00,7.00,4.00,7.00,6.00,5.25,4.00,3.00,3.00,308,101,NULL,'BARREIROS','SAO JOSE','SC',12897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2076950,0.00,3.00,1.00,3.00,5.00,NULL,3.00,4.00,1.00,238,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076969,1.00,7.00,5.00,2.00,6.00,5.50,6.00,7.00,2.00,5,327,NULL,'COQUEIROS','FLORIANOPOLIS','SC',12653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2076977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,212,NULL,'MERCEDEZ','MANGUEIRINHA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2076985,2.00,5.00,3.00,4.00,6.00,5.50,4.00,3.00,2.00,101,502,NULL,'FLORESTA','SAO JOSE','SC',18537,231,305,NULL,NULL,NULL,NULL,2,1),(15,2077000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,421,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2077019,5.00,6.00,1.00,7.00,6.00,3.25,5.00,4.00,3.00,303,5,NULL,'JD DAS TULIPAS','HOLAMBRA','SP',13662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077027,2.00,4.00,0.00,0.00,6.00,NULL,4.00,2.00,3.00,102,301,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077051,4.00,6.00,2.00,5.00,7.00,4.75,5.00,4.00,2.00,319,428,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',13869,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2077060,7.00,8.00,2.00,3.00,8.00,8.75,5.00,6.00,3.00,108,426,NULL,'BARREIROS','SAO JOSE','SC',7205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077086,6.00,7.00,9.00,7.00,8.00,8.00,8.00,6.00,7.00,104,327,NULL,'FLORESTA','JOINVILLE','SC',814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077140,4.00,5.00,2.00,5.00,6.00,4.75,3.00,2.00,3.00,207,420,201,'SITIO CERCADO','CURITIBA','PR',19061,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2077159,6.00,8.00,4.00,3.00,6.00,6.50,4.00,5.00,5.00,103,444,NULL,'VILA SÃO JOSÉ','APUCARANA','PR',8264,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2077167,4.00,5.00,4.00,6.00,6.00,5.50,5.00,4.00,4.00,5,301,NULL,'ESTREITO','FLORIANOPOLIS','SC',10845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077205,4.00,6.00,4.00,3.00,6.00,6.00,3.00,5.00,2.00,424,324,421,'TAPERA','FLORIANOPOLIS','SC',15114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077213,8.00,8.00,6.00,7.00,9.00,6.50,8.00,7.00,7.00,103,216,NULL,'ESTREITO','FLORIANOPOLIS','SC',1114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077221,7.00,7.00,1.00,3.00,9.00,7.00,5.00,3.00,3.00,103,217,NULL,'CENTRO','JOACABA','SC',9632,2098,361,NULL,NULL,NULL,NULL,4,7),(15,2077248,1.00,3.00,3.00,4.00,7.00,6.00,3.00,5.00,1.00,108,451,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',18756,415,267,NULL,NULL,NULL,NULL,4,1),(15,2077256,4.00,5.00,0.00,1.00,5.00,NULL,5.00,6.00,3.00,327,332,NULL,'AGUA VERDE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2077272,3.00,6.00,2.00,5.00,6.00,4.50,2.00,5.00,3.00,224,404,NULL,'GUARDA DO CUBATÃO','PALHOCA','SC',17088,52,414,NULL,NULL,NULL,NULL,2,1),(15,2077280,1.00,3.00,4.00,3.00,4.00,5.00,4.00,4.00,2.00,211,502,212,'BELA VISTA','RIO NEGRINHO','SC',20194,693,335,403,NULL,NULL,NULL,2,8),(15,2077299,1.00,4.00,1.00,3.00,4.00,NULL,1.00,1.00,0.00,303,326,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2077302,7.00,9.00,7.00,8.00,5.00,5.25,7.00,6.00,7.00,103,102,NULL,'SANTOS DUMONT','TRES LAGOAS','MS',2010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077310,2.00,4.00,0.00,3.00,1.00,NULL,3.00,3.00,2.00,404,333,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2077329,3.00,8.00,5.00,4.00,7.00,4.00,5.00,7.00,2.00,332,207,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',10398,27,NULL,NULL,NULL,NULL,NULL,2,1),(15,2077337,4.00,8.00,2.00,1.00,6.00,5.50,4.00,4.00,2.00,316,318,NULL,'ITACORUBI','FLORIANOPOLIS','SC',17594,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2077345,3.00,7.00,7.00,7.00,9.00,6.50,7.00,5.00,3.00,420,NULL,NULL,'CENTRO','PATO BRANCO','PR',5463,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2077353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'PITUBA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2077370,3.00,4.00,2.00,3.00,3.00,5.25,4.00,3.00,1.00,316,324,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',21499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2077396,6.00,8.00,7.00,8.00,8.00,6.75,8.00,7.00,6.00,108,333,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',1238,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2077418,3.00,6.00,4.00,2.00,5.00,7.00,2.00,3.00,3.00,104,103,NULL,'CENTRO','ITAJAI','SC',18554,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2077426,4.00,9.00,7.00,7.00,7.00,6.00,8.00,6.00,6.00,220,NULL,203,'VILA ADYANA','SAO JOSE DOS CAMPOS','SP',3180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077434,4.00,7.00,5.00,5.00,7.00,7.25,4.00,3.00,2.00,426,427,429,'TRINDADE','FLORIANOPOLIS','SC',10276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077442,4.00,6.00,5.00,4.00,6.00,5.75,6.00,5.00,4.00,316,309,NULL,'PANTANAL','FLORIANOPOLIS','SC',10512,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2077450,2.00,7.00,3.00,0.00,7.00,NULL,4.00,2.00,0.00,208,301,238,'PASSA VINTE','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2077485,3.00,6.00,3.00,9.00,8.00,7.00,5.00,4.00,5.00,104,415,NULL,'ESTREITO','FLORIANOPOLIS','SC',7612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077493,2.00,5.00,5.00,2.00,7.00,5.00,4.00,4.00,1.00,428,328,426,'RATONES','FLORIANOPOLIS','SC',18747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077515,1.00,4.00,1.00,3.00,6.00,NULL,1.00,3.00,1.00,326,328,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2077531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,101,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2077540,1.00,6.00,3.00,5.00,6.00,4.00,4.00,4.00,2.00,316,NULL,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',17394,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2077558,6.00,6.00,5.00,2.00,6.00,5.25,7.00,6.00,5.00,333,217,NULL,'JD ROMA','PIRASSUNUNGA','SP',8186,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2077574,3.00,6.00,2.00,5.00,6.00,6.50,4.00,6.00,3.00,319,444,NULL,'CENTRO','FLORIANOPOLIS','SC',12515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2077582,4.00,8.00,1.00,4.00,9.00,0.00,4.00,7.00,4.00,103,216,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2077590,1.00,5.00,0.00,7.00,8.00,6.25,2.00,4.00,2.00,319,318,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',17819,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2077604,3.00,6.00,2.00,3.00,8.00,4.75,4.00,4.00,2.00,103,9,NULL,'BARREIROS','SAO JOSE','SC',17462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077612,2.00,4.00,3.00,2.00,5.00,5.00,2.00,2.00,4.00,225,404,NULL,'GUARDA DO CUBATÃO','PALHOCA','SC',21692,62,513,NULL,NULL,NULL,NULL,2,1),(15,2077620,7.00,8.00,7.00,9.00,9.00,7.25,7.00,7.00,7.00,103,102,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',844,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2077663,4.00,5.00,2.00,5.00,8.00,6.00,2.00,4.00,3.00,211,108,207,'COPACABANA','LAGES','SC',15520,547,835,753,NULL,NULL,NULL,2,9),(15,2077680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2077701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA RIBEIRANIA','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2077710,1.00,3.00,4.00,0.00,6.00,NULL,2.00,3.00,3.00,9,NULL,NULL,'LIMEIRA BAIXA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2077728,4.00,8.00,3.00,6.00,7.00,6.25,6.00,6.00,3.00,101,207,NULL,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2077744,2.00,7.00,5.00,4.00,5.00,3.00,3.00,3.00,4.00,5,303,NULL,'CENTRO','TAUBATE','SP',15952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077752,4.00,7.00,2.00,4.00,7.00,6.00,7.00,5.00,4.00,316,429,NULL,'INGLESES','FLORIANOPOLIS','SC',9836,228,229,NULL,NULL,NULL,NULL,4,1),(15,2077760,3.00,3.00,3.00,7.00,4.00,5.75,5.00,4.00,3.00,319,9,NULL,'BARRA DO ARIRIÚ','PALHOCA','SC',17297,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2077779,5.00,8.00,7.00,8.00,9.00,7.25,5.00,6.00,5.00,415,450,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',2904,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2077787,5.00,7.00,2.00,8.00,8.00,5.50,5.00,6.00,4.00,303,5,NULL,'CAJURU','CURITIBA','PR',7726,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2077795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','GUAIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2077809,6.00,7.00,6.00,5.00,8.00,5.75,8.00,7.00,6.00,103,108,NULL,'LIMÃO','SAO PAULO','SP',2805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077817,2.00,8.00,1.00,5.00,7.00,6.25,5.00,7.00,3.00,104,9,NULL,'CENTRO','JARAGUA DO SUL','SC',12262,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2077825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'CENTRO','MONTENEGRO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2077833,1.00,6.00,6.00,5.00,6.00,6.50,6.00,5.00,7.00,217,102,NULL,'BUTANTÃ','SAO PAULO','SP',9059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077841,5.00,7.00,5.00,4.00,7.00,4.75,7.00,5.00,6.00,216,203,233,'SÃO VICENTE','ITAJAI','SC',6202,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2077868,0.00,8.00,7.00,6.00,4.00,4.00,5.00,5.00,3.00,304,301,NULL,'CERAMARTE','RIO NEGRINHO','SC',14028,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2077876,5.00,6.00,6.00,2.00,7.00,5.50,9.00,5.00,6.00,220,202,233,'APARECIDA II','SALTINHO','SP',6652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2077892,6.00,8.00,4.00,5.00,9.00,6.25,4.00,6.00,5.00,104,9,NULL,'TRINDADE','FLORIANOPOLIS','SC',6298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077906,1.00,5.00,2.00,6.00,7.00,6.75,4.00,3.00,3.00,103,316,NULL,'OFICINAS','TUBARAO','SC',16649,NULL,NULL,NULL,NULL,NULL,NULL,5,10),(15,2077914,4.00,4.00,4.00,3.00,8.00,6.50,7.00,3.00,3.00,303,415,NULL,'CENTRO','FLORIANOPOLIS','SC',10995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077922,5.00,7.00,6.00,6.00,8.00,6.00,4.00,6.00,4.00,104,103,NULL,'SÃO JOSÉ','SAO JOAQUIM','SC',5938,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2077930,1.00,7.00,6.00,6.00,6.00,5.25,3.00,4.00,4.00,324,339,NULL,'CENTRO','PALHOCA','SC',12171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077949,3.00,8.00,9.00,8.00,7.00,4.75,7.00,7.00,7.00,203,222,202,'FORTALEZA','BLUMENAU','SC',2734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,203,201,'JARDIN CALIFORNIA','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2077965,5.00,3.00,2.00,5.00,4.00,NULL,3.00,5.00,0.00,301,238,NULL,'VARGEM PEQUENA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2077973,6.00,7.00,4.00,5.00,8.00,6.75,5.00,6.00,4.00,9,319,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',6437,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2077981,4.00,7.00,5.00,9.00,6.00,7.75,6.00,7.00,5.00,220,238,208,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2077990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'MOEMA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2078007,4.00,8.00,4.00,6.00,6.00,5.75,3.00,6.00,2.00,429,424,423,'BOM VIVER','BIGUACU','SC',10691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2078015,2.00,6.00,0.00,5.00,7.00,6.00,3.00,3.00,0.00,444,333,NULL,'CARIANOS','FLORIANOPOLIS','SC',20224,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2078031,7.00,7.00,8.00,3.00,7.00,5.00,6.00,7.00,7.00,211,203,216,'POMPEIA','SAO PAULO','SP',4818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078040,0.00,5.00,3.00,1.00,7.00,NULL,1.00,2.00,2.00,501,103,NULL,'SCHALON','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2078058,0.00,2.00,1.00,1.00,2.00,NULL,2.00,3.00,0.00,103,101,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078066,4.00,8.00,5.00,5.00,9.00,6.25,7.00,6.00,5.00,217,102,NULL,'CENTRO','ICARA','SC',4748,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2078082,2.00,4.00,4.00,6.00,4.00,6.75,4.00,4.00,1.00,333,207,NULL,'MARIA LUIZA','CASCAVEL','PR',17058,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2078090,6.00,8.00,7.00,6.00,7.00,6.50,8.00,8.00,5.00,203,220,233,'VELHA','BLUMENAU','SC',2544,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2078104,5.00,6.00,5.00,6.00,7.00,5.50,5.00,5.00,3.00,333,234,NULL,'NORTE','PICARRAS','SC',9780,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2078112,4.00,6.00,6.00,8.00,5.00,5.75,4.00,7.00,7.00,103,104,NULL,'JAGUARE','SAO PAULO','SP',5342,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2078139,7.00,8.00,5.00,2.00,9.00,5.50,7.00,5.00,6.00,211,333,201,'CENTRO','FLORIANOPOLIS','SC',5436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078147,6.00,7.00,8.00,7.00,7.00,6.50,9.00,6.00,7.00,214,203,216,'PQ MINAS GERAIS','OURINHOS','SP',1980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078155,6.00,7.00,8.00,7.00,9.00,8.25,7.00,5.00,8.00,214,213,212,'VILA ARENS','JUNDIAI','SP',1768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078171,1.00,3.00,0.00,0.00,7.00,NULL,3.00,3.00,2.00,103,9,NULL,'JARDIM ERNESTINA','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2078180,3.00,2.00,2.00,5.00,5.00,5.50,1.00,5.00,3.00,333,108,NULL,'VILA ANDRADE','SAO PAULO','SP',19267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078198,5.00,6.00,4.00,6.00,7.00,7.50,6.00,4.00,4.00,425,428,424,'SÃO CRISTÓVÃO','CRICIUMA','SC',7843,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2078201,2.00,5.00,2.00,6.00,7.00,4.50,4.00,2.00,3.00,211,9,215,'SANTO AMARO','CAMPO GRANDE','MS',17479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2078210,2.00,6.00,2.00,8.00,5.00,5.00,3.00,3.00,1.00,211,234,213,'BAIRRO DA SAUDADE','PONTA PORA','MS',17998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2078228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,310,NULL,'NOSSA SENH APARECIDA','FRANCISCO BELTRAO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2078244,3.00,7.00,5.00,8.00,6.00,7.25,6.00,6.00,4.00,425,404,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078252,2.00,7.00,1.00,5.00,7.00,6.00,5.00,6.00,0.00,426,324,423,'FLORESTA','SAO JOSE','SC',14950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2078260,4.00,6.00,6.00,8.00,7.00,6.50,7.00,5.00,5.00,201,212,NULL,'NOSSA SENHORA APAREC','FRANCISCO BELTRAO','PR',4632,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2078279,2.00,5.00,2.00,5.00,5.00,4.25,0.00,3.00,1.00,104,333,NULL,'CENTRO','PLANALTO','RS',22107,724,1077,NULL,NULL,NULL,NULL,2,4),(15,2078287,6.00,7.00,5.00,8.00,8.00,6.25,7.00,8.00,3.00,103,104,NULL,'CENTRO','ITAIOPOLIS','SC',3102,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2078295,6.00,7.00,4.00,7.00,9.00,6.50,7.00,4.00,5.00,319,308,NULL,'COQUEIROS','FLORIANOPOLIS','SC',5667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078317,5.00,7.00,7.00,7.00,8.00,4.50,8.00,7.00,6.00,203,223,214,'CHACARA URBANA','JUNDIAI','SP',2200,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2078325,3.00,6.00,4.00,6.00,6.00,3.75,5.00,4.00,4.00,104,201,NULL,'ITACORUBI','FLORIANOPOLIS','SC',13702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2078333,1.00,8.00,2.00,3.00,4.00,4.50,3.00,5.00,1.00,319,223,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',19333,422,216,NULL,NULL,NULL,NULL,4,1),(15,2078341,3.00,8.00,3.00,6.00,6.00,5.25,6.00,7.00,5.00,203,208,233,'VILA NOVA','BLUMENAU','SC',7102,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2078350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,501,NULL,'CENTRO','SARANDI','RS',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2078368,2.00,3.00,5.00,6.00,7.00,7.00,7.00,5.00,2.00,101,427,NULL,'CENTRO','FLORIANOPOLIS','SC',11092,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2078376,3.00,6.00,2.00,6.00,6.00,5.25,6.00,3.00,4.00,104,332,NULL,'JARDIM FLORESTA','SAO JOSE','SC',12659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2078392,3.00,4.00,2.00,6.00,6.00,5.00,1.00,6.00,3.00,207,319,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',15481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078406,2.00,3.00,3.00,3.00,6.00,6.00,1.00,3.00,1.00,319,102,NULL,'TESTO SALTO','BLUMENAU','SC',21395,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2078414,7.00,8.00,5.00,7.00,8.00,5.25,8.00,8.00,4.00,103,108,NULL,'PARQUE REAL','RONDONOPOLIS','MT',2167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'ZONA SETE','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2078430,0.00,6.00,2.00,5.00,3.00,4.50,6.00,2.00,5.00,103,301,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',18806,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2078449,3.00,8.00,5.00,6.00,7.00,5.00,8.00,7.00,4.00,212,301,207,'REBOUÇAS','CURITIBA','PR',7080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078457,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,301,420,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2078465,9.00,9.00,9.00,8.00,9.00,4.75,8.00,8.00,8.00,203,103,202,'TROPICAL','CASCAVEL','PR',135,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2078481,6.00,8.00,4.00,5.00,6.00,6.00,6.00,7.00,6.00,108,234,NULL,'CENTRO','CURITIBANOS','SC',5088,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2078490,5.00,7.00,7.00,9.00,8.00,7.00,8.00,7.00,5.00,207,420,201,'CENTRO','FLORIANOPOLIS','SC',1771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RECANTO TROPICAL','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2078511,4.00,7.00,4.00,4.00,5.00,3.75,8.00,5.00,4.00,304,NULL,NULL,'SANTA MENA','GUARULHOS','SP',10442,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2078520,5.00,8.00,4.00,9.00,8.00,7.50,7.00,7.00,4.00,415,450,NULL,'CENTRO','FLORIANOPOLIS','SC',3300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078538,8.00,8.00,8.00,8.00,9.00,8.00,10.00,8.00,8.00,203,233,214,'CENTRO','ARAQUARI','SC',37,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2078546,6.00,8.00,5.00,9.00,8.00,3.00,7.00,8.00,5.00,108,333,NULL,'CENTRO','CAMBUI','MG',2748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078562,2.00,1.00,0.00,4.00,4.00,NULL,2.00,2.00,2.00,101,102,NULL,'VARGEM GRANDE','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2078570,3.00,5.00,5.00,4.00,8.00,4.75,5.00,3.00,4.00,207,201,212,'TRINDADE','FLORIANOPOLIS','SC',12903,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078589,4.00,6.00,4.00,2.00,7.00,5.50,2.00,2.00,3.00,104,9,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',17087,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2078597,5.00,7.00,3.00,6.00,9.00,5.00,7.00,5.00,6.00,333,301,NULL,'SETOR BUENO','GOIANIA','GO',4733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',1,8),(15,2078619,9.00,9.00,10.00,9.00,9.00,7.25,9.00,8.00,9.00,303,318,NULL,'CENTRO','ORLEANS','SC',10,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2078627,4.00,7.00,6.00,8.00,8.00,6.50,8.00,8.00,5.00,103,220,NULL,'COHABINAL','NATAL','RN',2281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,207,NULL,'VILA MARIA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2078651,4.00,7.00,5.00,9.00,4.00,6.25,6.00,7.00,2.00,415,103,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078660,5.00,7.00,7.00,6.00,7.00,4.75,7.00,6.00,6.00,214,2,203,'COQUEIROS','FLORIANOPOLIS','SC',4328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078678,4.00,5.00,7.00,9.00,7.00,6.75,6.00,7.00,5.00,202,203,213,'CENTRO','BALNEARIO CAMBORIU','SC',5007,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2078686,3.00,6.00,3.00,5.00,8.00,6.00,4.00,5.00,3.00,415,326,NULL,'VILA OPERÁRIA','ITAJAI','SC',11277,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2078694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,404,NULL,'PORTINHO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2078708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2078716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,217,233,'ESPERANÇA','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2078724,3.00,4.00,3.00,0.00,6.00,6.00,5.00,4.00,5.00,319,207,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',15406,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2078732,6.00,7.00,6.00,8.00,7.00,5.50,8.00,7.00,6.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',2760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078740,3.00,7.00,2.00,4.00,6.00,2.00,3.00,4.00,2.00,301,302,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078759,6.00,8.00,7.00,4.00,8.00,6.00,7.00,6.00,5.00,420,215,NULL,'NAÇÕES','INDAIAL','SC',4264,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2078775,4.00,6.00,5.00,5.00,9.00,6.50,3.00,5.00,4.00,415,450,NULL,'CENTRO','FLORIANOPOLIS','SC',10097,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2078791,8.00,8.00,8.00,8.00,8.00,8.00,8.00,7.00,6.00,103,9,NULL,'PIRABEIRABA','JOINVILLE','SC',344,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2078805,2.00,5.00,4.00,5.00,6.00,5.00,6.00,5.00,5.00,319,5,NULL,'VILA ADYANA','SAO JOSE DOS CAMPOS','SP',12591,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2078813,6.00,7.00,7.00,8.00,7.00,6.75,7.00,5.00,5.00,207,301,201,'JOSÉ MENDES','FLORIANOPOLIS','SC',3176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078821,8.00,9.00,7.00,7.00,8.00,5.00,8.00,7.00,8.00,103,303,NULL,'SETOR BUENO','GOIANIA','GO',1325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078848,7.00,8.00,6.00,4.00,7.00,6.50,5.00,6.00,5.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',5040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078856,7.00,8.00,7.00,7.00,9.00,5.50,8.00,7.00,5.00,104,316,NULL,'COQUEIROS','FLORIANOPOLIS','SC',1412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078864,8.00,8.00,5.00,6.00,8.00,5.75,9.00,6.00,5.00,211,217,215,'PANTANAL','FLORIANOPOLIS','SC',2917,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2078872,5.00,8.00,8.00,8.00,9.00,8.00,8.00,5.00,5.00,103,104,NULL,'ROÇADO','SAO JOSE','SC',1488,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2078902,3.00,4.00,3.00,4.00,4.00,5.00,2.00,1.00,1.00,420,9,NULL,'CARIANOS','FLORIANOPOLIS','SC',22138,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2078910,3.00,5.00,2.00,4.00,5.00,4.75,4.00,4.00,2.00,420,NULL,NULL,'JD DAS AMERICAS','CUIABA','MT',19575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','TAUBATE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2078937,3.00,6.00,9.00,7.00,5.00,5.50,9.00,6.00,8.00,207,NULL,201,'ASA NORTE','BRASILIA','DF',2612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078945,4.00,7.00,2.00,6.00,6.00,5.75,5.00,5.00,4.00,103,5,NULL,'SANTO ANTÔNIO','NOVA VENEZA','SC',11167,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2078953,3.00,6.00,4.00,4.00,5.00,4.50,2.00,2.00,2.00,220,420,202,'ARMAÇÃO','FLORIANOPOLIS','SC',19826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078961,8.00,7.00,8.00,9.00,9.00,6.00,9.00,8.00,8.00,103,211,NULL,'SANTO AMARO','SAO PAULO','SP',401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078970,3.00,6.00,5.00,3.00,8.00,5.00,5.00,3.00,1.00,103,102,NULL,'BATEL','CURITIBA','PR',15903,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2078988,3.00,6.00,4.00,6.00,3.00,5.00,5.00,7.00,3.00,214,207,203,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2078996,5.00,8.00,6.00,4.00,6.00,5.25,8.00,5.00,5.00,220,201,202,'JARDIM MARABÁ','ITAPETININGA','SP',7153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079003,2.00,1.00,0.00,0.00,0.00,NULL,0.00,2.00,2.00,103,104,NULL,'ROCIO PEQUENO','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2079020,2.00,4.00,0.00,3.00,4.00,NULL,3.00,0.00,2.00,238,NULL,208,'CENTRO','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079038,5.00,5.00,2.00,6.00,6.00,4.75,5.00,6.00,1.00,331,404,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',13230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2079054,1.00,3.00,1.00,0.00,2.00,NULL,3.00,3.00,3.00,303,207,NULL,'JARDIM OURO BRANCO','PARANAVAI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2079062,3.00,4.00,1.00,2.00,5.00,5.00,3.00,2.00,4.00,420,319,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',21258,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2079070,3.00,5.00,1.00,3.00,7.00,5.00,3.00,3.00,2.00,303,5,NULL,'CENTRO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2079089,6.00,8.00,7.00,7.00,9.00,6.00,8.00,6.00,9.00,103,319,NULL,'BOQUEIRÃO','CURITIBA','PR',1107,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2079097,1.00,6.00,5.00,4.00,5.00,5.00,4.00,6.00,2.00,301,310,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',16493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079119,3.00,7.00,4.00,2.00,7.00,5.00,2.00,4.00,3.00,108,421,NULL,'BARREIROS','SAO JOSE','SC',16181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079127,2.00,5.00,3.00,0.00,6.00,4.75,4.00,3.00,1.00,5,9,NULL,'OFICINAS','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2079135,2.00,6.00,2.00,3.00,4.00,3.00,6.00,3.00,2.00,404,333,NULL,'CAMPECHE','FLORIANOPOLIS','SC',21061,237,1030,NULL,NULL,NULL,NULL,2,1),(15,2079143,3.00,4.00,4.00,5.00,4.00,6.75,3.00,1.00,2.00,420,233,NULL,'BROOKLIN','SAO PAULO','SP',19199,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2079151,1.00,5.00,2.00,1.00,5.00,3.50,2.00,3.00,3.00,5,201,NULL,'CENTRO','SAO JOAO BATISTA','SC',22320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079160,3.00,4.00,3.00,7.00,8.00,7.50,5.00,2.00,3.00,104,333,NULL,'CENTRO','URUPEMA','SC',13205,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2079178,3.00,8.00,2.00,8.00,8.00,5.50,5.00,6.00,3.00,234,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',9114,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2079186,6.00,8.00,9.00,7.00,8.00,6.50,8.00,4.00,6.00,104,9,NULL,'PANTANAL','FLORIANOPOLIS','SC',1931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079194,3.00,7.00,6.00,3.00,7.00,5.00,6.00,6.00,3.00,302,304,NULL,'SERTAO DO MARUIM','SAO JOSE','SC',10501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2079208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,316,NULL,'JARDIM UNIVERSITÁRIO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2079216,3.00,8.00,4.00,3.00,5.00,6.50,2.00,8.00,4.00,316,318,NULL,'CID UN PEDRA BRANCA','PALHOCA','SC',12480,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2079232,5.00,9.00,2.00,7.00,5.00,3.75,7.00,7.00,3.00,238,234,208,'CENTRO','FLORIANOPOLIS','SC',7881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2079240,2.00,6.00,0.00,1.00,9.00,5.00,3.00,5.00,3.00,101,324,NULL,'BELA VISTA','SAO JOSE','SC',17086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079259,4.00,6.00,5.00,8.00,5.00,5.25,3.00,5.00,2.00,303,5,NULL,'INGLESES','FLORIANOPOLIS','SC',11212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,203,213,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2079275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,451,NULL,'SÃO JOÃO','JACAREI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2079283,6.00,8.00,4.00,5.00,9.00,4.50,8.00,6.00,5.00,303,211,NULL,'COSTA E SILVA','JOINVILLE','SC',4603,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2079291,5.00,7.00,8.00,9.00,7.00,6.00,9.00,6.00,5.00,203,201,220,'SUDOESTE','CRUZEIRO','DF',2335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079305,5.00,7.00,3.00,5.00,7.00,6.50,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','VIDEIRA','SC',14355,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2079321,6.00,7.00,5.00,9.00,8.00,4.50,6.00,6.00,5.00,415,103,NULL,'FLORESTA','BELO HORIZONTE','MG',4059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079330,4.00,5.00,5.00,5.00,6.00,4.50,6.00,3.00,4.00,303,5,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',13361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079348,5.00,9.00,8.00,7.00,7.00,5.25,7.00,6.00,5.00,103,5,NULL,'PRAIA DOS AMORES','BALNEARIO CAMBORIU','SC',3052,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2079356,3.00,6.00,0.00,7.00,5.00,5.50,3.00,6.00,2.00,101,339,NULL,'INGLESES','FLORIANOPOLIS','SC',16271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2079364,3.00,6.00,3.00,2.00,5.00,4.50,3.00,4.00,2.00,316,238,NULL,'FORQUILHINHAS','SAO JOSE','SC',18733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079372,6.00,7.00,4.00,6.00,4.00,6.25,3.00,4.00,4.00,316,301,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',10349,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2079380,5.00,7.00,2.00,9.00,9.00,5.75,4.00,6.00,3.00,201,233,202,'MEIA PRAIA','ITAPEMA','SC',7756,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2079402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,415,NULL,'JARDIM REGINA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2079429,4.00,7.00,7.00,5.00,7.00,4.00,4.00,7.00,3.00,233,213,201,'AMÉRICA','JOINVILLE','SC',9042,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2079437,2.00,8.00,3.00,7.00,7.00,6.00,4.00,6.00,3.00,103,424,NULL,'CENTRO','FLORIANOPOLIS','SC',9562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079453,8.00,7.00,8.00,8.00,8.00,5.75,7.00,7.00,7.00,108,217,NULL,'ATIRADORES','JOINVILLE','SC',1457,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2079461,5.00,7.00,8.00,7.00,4.00,5.75,7.00,6.00,4.00,333,211,NULL,'CENTRO','FLORIANOPOLIS','SC',5287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079470,4.00,6.00,2.00,4.00,7.00,6.25,4.00,2.00,2.00,326,331,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',16908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079488,6.00,7.00,8.00,5.00,8.00,5.00,9.00,7.00,7.00,216,217,203,'CENTRO','CHAPECO','SC',1755,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2079496,5.00,8.00,5.00,6.00,6.00,4.50,6.00,7.00,6.00,317,308,NULL,'CAMPECHE','FLORIANOPOLIS','SC',5828,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2079500,8.00,8.00,6.00,7.00,7.00,5.00,9.00,8.00,9.00,220,201,202,'CENTRO','PENAPOLIS','SP',902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079518,4.00,7.00,8.00,5.00,5.00,4.75,8.00,8.00,6.00,220,213,202,'CASAGRANDE','MOGI GUACU','SP',4727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079526,3.00,5.00,2.00,3.00,7.00,6.25,5.00,7.00,3.00,429,304,428,'JARDIM CARANDAI','BIGUACU','SC',13503,61,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079534,4.00,6.00,4.00,0.00,6.00,NULL,5.00,5.00,1.00,103,303,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079542,7.00,7.00,4.00,6.00,7.00,6.75,7.00,7.00,5.00,319,310,NULL,'CENTRO','FLORIANOPOLIS','SC',3242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079550,3.00,4.00,2.00,6.00,7.00,5.25,3.00,3.00,2.00,303,333,NULL,'COSTEIRADOPIRAJUBAE','FLORIANOPOLIS','SC',17844,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2079569,0.00,3.00,3.00,1.00,5.00,NULL,0.00,0.00,0.00,302,301,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2079577,3.00,8.00,7.00,5.00,7.00,4.75,7.00,7.00,5.00,201,212,203,'JD ESPLANADA II','SAO JOSE DOS CAMPOS','SP',5814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2079585,1.00,5.00,2.00,5.00,3.00,6.00,5.00,5.00,3.00,339,324,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',18651,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2079607,5.00,7.00,5.00,6.00,6.00,4.00,7.00,6.00,5.00,103,NULL,NULL,'PARQUE SANDRA MARIA','TAUBATE','SP',6978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079615,6.00,7.00,5.00,6.00,6.00,5.00,6.00,3.00,3.00,302,222,NULL,'ABRAÃO','FLORIANOPOLIS','SC',10235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2079623,1.00,4.00,5.00,4.00,5.00,4.00,5.00,3.00,3.00,203,301,201,'CENTRO','RONDON','PR',18228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079631,3.00,7.00,2.00,6.00,8.00,6.25,5.00,5.00,2.00,104,319,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',11142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2079640,8.00,9.00,8.00,9.00,8.00,6.50,6.00,9.00,4.00,303,215,NULL,'CENTRO','FLORIANOPOLIS','SC',531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079666,4.00,7.00,2.00,6.00,4.00,6.50,5.00,6.00,3.00,415,326,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2079690,3.00,6.00,4.00,7.00,7.00,5.75,5.00,3.00,3.00,301,233,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079704,1.00,5.00,4.00,7.00,7.00,6.25,6.00,3.00,3.00,103,104,NULL,'CENTRO','CHAPECO','SC',11278,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2079712,4.00,6.00,4.00,9.00,7.00,5.00,6.00,8.00,3.00,5,303,NULL,'CENTRO','LAGES','SC',6695,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2079747,1.00,2.00,2.00,4.00,5.00,6.00,5.00,1.00,3.00,215,216,233,'VILLAR VILLE','OURINHOS','SP',21754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2079755,1.00,4.00,3.00,1.00,6.00,4.75,2.00,4.00,3.00,444,451,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',21573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079763,4.00,8.00,5.00,5.00,8.00,5.50,4.00,8.00,2.00,238,327,208,'BARREIROS','SAO JOSE','SC',7874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079771,0.00,4.00,3.00,7.00,3.00,5.25,3.00,2.00,4.00,103,104,NULL,'ZONA UM A','UMUARAMA','PR',19752,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2079810,7.00,8.00,5.00,7.00,8.00,6.50,7.00,9.00,6.00,103,102,NULL,'JUVEVÊ','CURITIBA','PR',1543,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2079828,4.00,7.00,5.00,4.00,9.00,5.75,6.00,4.00,6.00,9,NULL,NULL,'CENTRO','RIBEIRAO PRETO','SP',7567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079844,7.00,8.00,8.00,4.00,7.00,7.00,5.00,9.00,7.00,316,5,NULL,'JARDIM INDÚSTRIAS','SAO JOSE DOS CAMPOS','SP',2302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079860,4.00,8.00,5.00,8.00,7.00,4.50,5.00,7.00,5.00,207,420,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079887,1.00,3.00,1.00,7.00,5.00,2.50,2.00,2.00,1.00,316,421,NULL,'TUCURUVI SAO PAULO','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2079895,1.00,4.00,1.00,4.00,3.00,7.00,4.00,3.00,1.00,423,415,428,'SANTO ANDRÉ','GUAPORE','RS',21519,102,832,96,NULL,NULL,NULL,2,1),(15,2079909,5.00,8.00,7.00,8.00,8.00,6.50,6.00,7.00,5.00,318,304,NULL,'ITACORUBI','FLORIANOPOLIS','SC',2669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079925,4.00,8.00,9.00,9.00,8.00,7.00,6.00,5.00,5.00,304,424,NULL,'CENTRO','FLORIANOPOLIS','SC',3316,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2079933,2.00,4.00,4.00,6.00,8.00,5.50,6.00,3.00,4.00,207,420,NULL,'CENTRO','CACADOR','SC',13663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2079941,6.00,7.00,7.00,7.00,7.00,6.50,5.00,8.00,2.00,233,223,220,'SERRARIA','SAO JOSE','SC',4161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2079950,6.00,6.00,7.00,7.00,8.00,7.00,7.00,7.00,6.00,103,328,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',3097,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2079968,4.00,5.00,3.00,4.00,8.00,6.00,4.00,4.00,2.00,304,217,NULL,'AREIAS','PAULO LOPES','SC',14387,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2079976,3.00,8.00,4.00,5.00,6.00,5.25,5.00,6.00,4.00,404,234,NULL,'ITACORUBI','FLORIANOPOLIS','SC',10505,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2079984,5.00,6.00,9.00,6.00,8.00,5.50,7.00,6.00,4.00,201,225,208,'IMIGRANTE','CRICIUMA','SC',3762,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2079992,1.00,6.00,1.00,5.00,4.00,5.25,4.00,6.00,1.00,326,415,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2080001,7.00,8.00,7.00,3.00,7.00,7.50,8.00,6.00,7.00,103,333,NULL,'VILA SÃO JOSÉ','SAO BERNARDO DO CAMPO','SP',2660,957,463,NULL,NULL,NULL,NULL,2,1),(15,2080036,2.00,7.00,4.00,2.00,6.00,5.00,4.00,3.00,4.00,316,308,NULL,'CARIANOS','FLORIANOPOLIS','SC',15546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080052,1.00,2.00,2.00,1.00,2.00,NULL,4.00,4.00,1.00,208,2,203,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2080060,3.00,4.00,2.00,4.00,6.00,4.75,3.00,3.00,4.00,102,108,NULL,'VILA NOVA','BLUMENAU','SC',18131,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2080079,3.00,5.00,3.00,6.00,8.00,6.00,5.00,3.00,3.00,102,217,NULL,'DAS NAÇOES','INDAIAL','SC',12791,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2080087,3.00,6.00,5.00,6.00,5.00,7.25,3.00,2.00,2.00,103,102,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080095,3.00,8.00,6.00,9.00,7.00,5.50,4.00,3.00,3.00,5,327,NULL,'SÃO CRISTÓVÃO','TURVO','SC',8380,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2080109,5.00,7.00,4.00,9.00,9.00,8.00,6.00,8.00,6.00,5,425,NULL,'CENTRO','FLORIANOPOLIS','SC',1753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080117,5.00,6.00,2.00,5.00,7.00,8.75,5.00,5.00,6.00,415,9,NULL,'BUTANTÃ','SAO PAULO','SP',8595,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2080141,1.00,7.00,6.00,7.00,6.00,3.00,5.00,2.00,5.00,201,333,NULL,'CENTRO','JARAGUA DO SUL','SC',12672,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2080150,3.00,4.00,3.00,7.00,7.00,5.50,3.00,5.00,1.00,316,319,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080168,5.00,8.00,7.00,7.00,9.00,5.50,7.00,6.00,5.00,104,216,NULL,'RIO MAINA','CRICIUMA','SC',4310,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2080176,8.00,8.00,9.00,9.00,8.00,6.00,9.00,7.00,8.00,213,203,214,'BUENO','GOIANIA','GO',332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080184,4.00,7.00,4.00,5.00,8.00,6.25,4.00,5.00,3.00,420,329,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',9357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080192,2.00,6.00,6.00,9.00,5.00,5.75,5.00,4.00,2.00,108,216,NULL,'AGRÔNOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080206,0.00,1.00,1.00,2.00,2.00,NULL,1.00,1.00,0.00,102,104,NULL,'CENTRO','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2080214,1.00,4.00,4.00,4.00,5.00,4.25,4.00,4.00,1.00,303,5,NULL,'BARREIROS','SAO JOSE','SC',19696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080222,6.00,8.00,8.00,3.00,7.00,5.50,6.00,3.00,5.00,203,NULL,233,'JARDIM COLISEU','LONDRINA','PR',7114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080230,1.00,7.00,0.00,6.00,8.00,4.00,3.00,5.00,3.00,319,NULL,NULL,'BUTANTÃ','SAO PAULO','SP',16106,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2080249,0.00,8.00,2.00,1.00,6.00,5.25,1.00,5.00,2.00,451,450,NULL,'CENTRO','NOVO HORIZONTE','SC',20509,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2080257,4.00,7.00,6.00,5.00,3.00,5.75,2.00,5.00,3.00,201,420,207,'CENTRO','CAMPOS NOVOS','SC',14090,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2080265,5.00,8.00,3.00,4.00,8.00,6.25,5.00,7.00,4.00,103,108,NULL,'TRINDADE','FLORIANOPOLIS','SC',7068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080273,3.00,6.00,6.00,3.00,5.00,6.50,6.00,6.00,3.00,234,308,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',10993,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080290,4.00,6.00,6.00,4.00,6.00,7.50,4.00,4.00,2.00,301,316,NULL,'SÃO FRANCISCO','CAMPO GRANDE','MS',11327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,326,NULL,'CENTRO','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2080311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,333,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2080320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'ITAÍBA','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2080338,6.00,7.00,5.00,7.00,8.00,5.50,4.00,7.00,3.00,211,102,215,'INDUSTRIAL','TOLEDO','PR',7382,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2080346,3.00,6.00,1.00,3.00,6.00,4.75,5.00,4.00,2.00,425,324,424,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',19103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,215,NULL,'VILA ANDRADE','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2080362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,316,NULL,'JARDIM NOVA EUROPA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2080370,4.00,7.00,1.00,5.00,6.00,4.25,4.00,4.00,3.00,425,NULL,NULL,'BOM VIVER','BIGUACU','SC',16527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080389,4.00,7.00,6.00,1.00,6.00,4.50,5.00,7.00,6.00,404,444,NULL,'CARRO','CAMBORIU','SC',8871,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2080397,6.00,8.00,8.00,8.00,8.00,6.00,8.00,7.00,5.00,104,420,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',1624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080419,4.00,8.00,5.00,4.00,6.00,5.00,4.00,7.00,4.00,104,238,NULL,'CENTRO','BLUMENAU','SC',8997,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2080427,1.00,5.00,3.00,4.00,5.00,3.00,4.00,2.00,3.00,333,501,NULL,'BOA VISTA','BLUMENAU','SC',21112,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2080435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,424,NULL,'SANTANA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2080443,3.00,6.00,6.00,2.00,5.00,5.75,5.00,3.00,4.00,302,317,NULL,'TESTO REGA','POMERODE','SC',12784,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2080451,3.00,5.00,6.00,2.00,5.00,5.25,6.00,4.00,3.00,303,326,NULL,'BARREIROS','SAO JOSE','SC',13978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080460,5.00,8.00,1.00,2.00,7.00,7.25,4.00,7.00,2.00,103,9,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080478,4.00,7.00,5.00,0.00,6.00,NULL,7.00,7.00,3.00,101,104,NULL,'CITY RIBEIRÃO','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,316,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2080494,3.00,7.00,3.00,5.00,7.00,5.50,6.00,4.00,3.00,318,316,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',11951,132,953,NULL,NULL,NULL,NULL,2,1),(15,2080508,7.00,8.00,7.00,4.00,6.00,6.00,8.00,7.00,8.00,216,217,215,'JARDIM ÁGUA BOA','DOURADOS','MS',2754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080516,3.00,6.00,4.00,8.00,7.00,3.50,3.00,5.00,4.00,207,423,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',12216,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2080524,5.00,9.00,7.00,7.00,9.00,5.75,6.00,6.00,5.00,104,201,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',3255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080540,4.00,6.00,7.00,9.00,7.00,7.25,6.00,7.00,5.00,103,301,NULL,'COMERCIÁRIO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2080559,4.00,8.00,4.00,8.00,9.00,7.25,4.00,3.00,2.00,211,331,208,'ESTREITO','FLORIANOPOLIS','SC',8779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080567,4.00,5.00,3.00,8.00,4.00,4.75,3.00,6.00,2.00,103,NULL,NULL,'VILA CARLI','GUARAPUAVA','PR',14920,2633,NULL,NULL,NULL,NULL,NULL,2,1),(15,2080583,8.00,7.00,8.00,9.00,6.00,5.00,7.00,6.00,5.00,319,329,NULL,'PONTA AGUDA','BLUMENAU','SC',2969,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2080591,5.00,7.00,4.00,3.00,6.00,6.25,4.00,5.00,5.00,415,303,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',9431,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2080605,7.00,8.00,6.00,9.00,5.00,4.75,6.00,9.00,5.00,316,301,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',2888,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2080613,6.00,7.00,6.00,3.00,6.00,4.75,7.00,6.00,5.00,103,212,NULL,'MIGUEL SUTIL','CUIABA','MT',7683,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2080621,8.00,8.00,8.00,7.00,8.00,7.50,8.00,8.00,6.00,103,426,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',611,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2080630,3.00,4.00,5.00,3.00,7.00,4.75,6.00,3.00,2.00,103,NULL,NULL,'POÇÃO','CUIABA','MT',16642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080648,4.00,7.00,5.00,9.00,7.00,6.00,6.00,8.00,4.00,303,420,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,202,203,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2080664,6.00,6.00,3.00,6.00,7.00,5.00,5.00,4.00,4.00,102,101,NULL,'AREIAS','SAO JOSE','SC',9831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2080672,3.00,7.00,5.00,8.00,8.00,6.75,5.00,4.00,4.00,424,324,425,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',6762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080680,4.00,7.00,7.00,6.00,6.00,5.25,2.00,4.00,3.00,201,451,207,'CENTRO','SAO JOAO BATISTA','SC',11054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080699,8.00,8.00,9.00,7.00,7.00,7.25,8.00,7.00,6.00,103,424,NULL,'CENTRO','FLORIANOPOLIS','SC',746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080702,4.00,7.00,5.00,5.00,4.00,5.25,5.00,5.00,3.00,333,415,NULL,'COQUEIROS','FLORIANOPOLIS','SC',13169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080710,4.00,6.00,6.00,3.00,7.00,4.50,6.00,7.00,3.00,103,303,NULL,'CENTRO','CASCAVEL','PR',8692,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2080729,2.00,5.00,3.00,0.00,2.00,NULL,3.00,4.00,2.00,444,317,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2080737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,202,214,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2080745,5.00,6.00,5.00,3.00,6.00,4.00,7.00,6.00,3.00,215,9,NULL,'BOSQUE DOS EUCALIPTO','SAO JOSE DOS CAMPOS','SP',10336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080753,2.00,6.00,3.00,6.00,7.00,6.25,2.00,3.00,2.00,420,415,NULL,'CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC',16466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2080761,3.00,5.00,3.00,1.00,5.00,4.25,3.00,7.00,1.00,501,301,NULL,'CENTRO','LAGOA VERMELHA','RS',19292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080770,7.00,8.00,5.00,8.00,6.00,6.25,5.00,5.00,4.00,103,415,NULL,'MOSSUNGUÊ','CURITIBA','PR',5949,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2080788,3.00,4.00,2.00,6.00,2.00,NULL,5.00,5.00,1.00,208,222,233,'BOM ABRIGO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080796,3.00,8.00,3.00,2.00,6.00,4.50,3.00,6.00,2.00,104,420,NULL,'SÃO CRISTOVÃO','CHAPECO','SC',15909,511,782,NULL,NULL,NULL,NULL,4,4),(15,2080800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,201,214,'ASA SUL','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2080818,0.00,6.00,4.00,3.00,4.00,3.50,3.00,2.00,2.00,316,301,NULL,'KOBRASOL','SAO JOSE','SC',22206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080826,1.00,6.00,3.00,7.00,7.00,6.00,8.00,5.00,2.00,303,415,NULL,'CENTRO','FLORIANOPOLIS','SC',9872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080834,4.00,7.00,5.00,5.00,7.00,3.00,6.00,8.00,4.00,224,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',7038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080842,3.00,6.00,5.00,6.00,7.00,6.00,4.00,6.00,5.00,207,233,201,'CAMPO VELHO','CUIABA','MT',8682,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2080850,5.00,8.00,2.00,7.00,9.00,8.00,8.00,6.00,5.00,319,NULL,NULL,'SANTA CRUZ','RIBEIRAO PRETO','SP',4283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080869,1.00,5.00,3.00,4.00,5.00,6.00,4.00,5.00,4.00,104,211,NULL,'CRISTO REI','PATO BRANCO','PR',16672,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2080877,6.00,8.00,9.00,5.00,9.00,6.00,7.00,7.00,6.00,5,318,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',1505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','CRUZEIRO DO OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2080893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,331,NULL,'SAO PEDRO','PORTO UNIAO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2080907,4.00,6.00,4.00,9.00,9.00,6.25,4.00,7.00,5.00,425,420,429,'AREIAS','SAO JOSE','SC',4807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080915,3.00,6.00,5.00,9.00,7.00,5.50,5.00,8.00,4.00,420,208,NULL,'CENTRO','PATO BRANCO','PR',6530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080923,3.00,7.00,2.00,6.00,6.00,5.00,4.00,4.00,3.00,103,207,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2080940,4.00,3.00,2.00,4.00,4.00,3.50,2.00,4.00,2.00,238,333,208,'CANASVIERAS','FLORIANOPOLIS','SC',21336,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2080958,4.00,7.00,1.00,7.00,7.00,6.75,2.00,4.00,3.00,103,9,NULL,'ROÇADO','SAO JOSE','SC',12222,2384,538,NULL,NULL,NULL,NULL,2,1),(15,2080966,5.00,8.00,5.00,6.00,9.00,7.50,7.00,5.00,5.00,319,NULL,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',3552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080974,5.00,8.00,3.00,5.00,7.00,5.75,5.00,6.00,5.00,308,326,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',8015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080982,2.00,6.00,6.00,5.00,5.00,5.00,5.00,6.00,4.00,5,303,NULL,'VILA CÉLIA','ITAPETININGA','SP',11517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2080990,5.00,6.00,2.00,1.00,8.00,5.25,3.00,7.00,5.00,415,444,NULL,'VALE DO SOL','VOTUPORANGA','SP',12043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081008,7.00,7.00,8.00,7.00,8.00,6.50,7.00,5.00,6.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',2288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081016,3.00,4.00,3.00,6.00,1.00,NULL,4.00,5.00,2.00,207,420,201,'ESCOLA AGRÍCOLA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2081024,7.00,8.00,4.00,6.00,8.00,6.00,7.00,8.00,3.00,215,217,233,'TRINDADE','FLORIANOPOLIS','SC',3907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081040,1.00,1.00,1.00,5.00,7.00,5.25,2.00,4.00,5.00,9,103,NULL,'JARDIM DAS AVENIDAS','ARARANGUA','SC',20225,296,3266,NULL,NULL,NULL,NULL,2,5),(15,2081059,2.00,3.00,3.00,4.00,3.00,5.00,3.00,4.00,2.00,215,104,233,'SANTA TEREZA','VIDEIRA','SC',21412,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2081067,2.00,5.00,2.00,4.00,6.00,3.75,4.00,5.00,2.00,208,102,238,'CENTRO','IMARUI','SC',18910,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2081075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,301,NULL,'VILA ADYANA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2081083,5.00,4.00,5.00,1.00,6.00,7.00,7.00,3.00,4.00,5,415,NULL,'CENTRO','PATO BRANCO','PR',12780,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2081091,5.00,8.00,5.00,6.00,7.00,6.00,6.00,7.00,4.00,217,2,NULL,'CACHOEIRA DO BOM J','FLORIANOPOLIS','SC',5832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2081105,7.00,5.00,8.00,3.00,8.00,5.75,7.00,6.00,4.00,103,108,NULL,'PANTANAL','FLORIANOPOLIS','SC',5885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081113,2.00,4.00,2.00,2.00,5.00,5.00,6.00,4.00,1.00,102,420,NULL,'JARDIM MEDITERRANEO','LIMEIRA','SP',19872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081130,1.00,2.00,0.00,4.00,2.00,NULL,2.00,1.00,1.00,404,423,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2081148,4.00,8.00,4.00,8.00,8.00,5.75,5.00,7.00,7.00,303,428,NULL,'BELA VISTA','SAO JOSE','SC',4100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081156,5.00,6.00,7.00,6.00,7.00,5.75,4.00,6.00,4.00,222,224,NULL,'PLANALTO','PATO BRANCO','PR',6701,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2081164,2.00,4.00,1.00,7.00,7.00,5.50,4.00,5.00,2.00,104,303,NULL,'CAMPINAS','SAO JOSE','SC',16381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2081172,7.00,8.00,5.00,4.00,8.00,6.75,6.00,8.00,4.00,415,450,NULL,'ASILO','BLUMENAU','SC',4522,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2081180,5.00,7.00,4.00,6.00,7.00,6.50,7.00,4.00,4.00,217,216,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',8100,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2081199,2.00,7.00,3.00,8.00,4.00,6.00,4.00,5.00,1.00,424,222,421,'CANASVIEIRAS','FLORIANOPOLIS','SC',14398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081202,7.00,8.00,7.00,5.00,7.00,5.50,8.00,4.00,7.00,103,104,NULL,'CENTRO','CAMPO GRANDE','MS',3603,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2081210,4.00,5.00,2.00,8.00,6.00,6.50,4.00,4.00,2.00,427,423,421,'CANASVIEIRAS','FLORIANOPOLIS','SC',12833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081237,7.00,7.00,7.00,8.00,7.00,6.00,7.00,6.00,5.00,203,201,202,'JARDIM ÁGUA BOA','DOURADOS','MS',2962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081245,3.00,3.00,2.00,6.00,4.00,5.50,3.00,2.00,2.00,103,104,NULL,'PASSO DOS FORTES','CHAPECO','SC',21131,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2081253,2.00,6.00,4.00,0.00,6.00,1.00,6.00,3.00,3.00,207,420,201,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081261,3.00,4.00,1.00,3.00,5.00,5.75,4.00,4.00,2.00,318,211,NULL,'ROGOWSKI','SANTO ANGELO','RS',20368,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2081270,6.00,9.00,6.00,8.00,8.00,6.75,6.00,5.00,3.00,207,404,208,'KOBRASOL','SAO JOSE','SC',3954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081288,1.00,4.00,5.00,4.00,3.00,4.25,4.00,3.00,0.00,203,301,202,'B PES','ARATIBA','RS',21182,1179,838,695,NULL,NULL,NULL,2,4),(15,2081296,5.00,4.00,2.00,3.00,6.00,6.00,3.00,4.00,3.00,216,102,215,'AREÃO','ITABIRA','MG',17049,478,1004,340,NULL,NULL,NULL,4,4),(15,2081300,5.00,6.00,1.00,6.00,4.00,5.25,4.00,2.00,2.00,103,104,NULL,'CENTRO','SAO BENTO DO SUL','SC',17154,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2081326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'BALNEÁRIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2081334,3.00,8.00,5.00,6.00,6.00,7.00,5.00,7.00,5.00,220,332,202,'CENTRO','PEDERNEIRAS','SP',6688,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2081342,2.00,6.00,0.00,4.00,5.00,5.25,2.00,4.00,1.00,428,308,426,'AREIAS DO CAMPECHE','FLORIANOPOLIS','SC',20690,92,449,88,NULL,NULL,NULL,2,1),(15,2081350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,333,NULL,'SÃO FRANCISCO','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2081369,7.00,8.00,8.00,8.00,8.00,4.00,9.00,8.00,7.00,103,104,NULL,'JARDIM PAULISTA','CUIABA','MT',701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081377,7.00,9.00,7.00,8.00,8.00,7.25,7.00,7.00,7.00,103,104,NULL,'CENTRO','TAPEJARA','RS',1336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081385,0.00,6.00,3.00,1.00,6.00,6.25,4.00,3.00,1.00,5,329,NULL,'ANITA GABIBALDI','JOINVILLE','SC',20288,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2081393,2.00,4.00,2.00,5.00,5.00,4.50,5.00,3.00,3.00,201,NULL,211,'JARDIM AMÉRICA','CAXIAS DO SUL','RS',18970,1002,NULL,659,NULL,NULL,NULL,2,1),(15,2081415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'BALNEÁRIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2081423,1.00,3.00,0.00,0.00,0.00,NULL,3.00,2.00,2.00,333,502,NULL,'CENTRO','JUNDIAI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2081431,3.00,5.00,2.00,1.00,5.00,6.50,4.00,2.00,2.00,216,501,212,'CENTRO','PRIMAVERA DO LESTE','MT',19658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081458,3.00,5.00,3.00,2.00,6.00,5.00,6.00,3.00,3.00,207,420,201,'ASILO','BLUMENAU','SC',17444,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2081466,4.00,8.00,6.00,9.00,7.00,6.25,7.00,5.00,4.00,303,5,NULL,'PANTANAL','FLORIANOPOLIS','SC',4533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081474,0.00,6.00,1.00,4.00,7.00,4.50,4.00,1.00,2.00,220,203,238,'VARGEM PEQUENA','FLORIANOPOLIS','SC',20626,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2081490,0.00,3.00,3.00,2.00,5.00,5.00,4.00,5.00,1.00,301,429,NULL,'GUARDA DO CUBATÃO','PALHOCA','SC',21867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081504,5.00,5.00,6.00,4.00,6.00,5.00,3.00,6.00,1.00,212,207,201,'CAMPINAS','SAO JOSE','SC',12850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081512,2.00,4.00,4.00,4.00,4.00,6.25,1.00,1.00,2.00,420,451,NULL,'BARREIROS','SAO JOSE','SC',21032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081520,6.00,8.00,7.00,8.00,8.00,6.25,6.00,5.00,4.00,238,222,208,'TRINDADE','FLORIANOPOLIS','SC',3957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081539,1.00,5.00,4.00,5.00,6.00,5.75,5.00,4.00,3.00,211,333,201,'BOM RETIRO','JOINVILLE','SC',16019,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2081547,1.00,7.00,3.00,5.00,5.00,5.25,3.00,6.00,3.00,203,222,238,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',14564,943,160,537,NULL,NULL,NULL,2,1),(15,2081555,4.00,6.00,3.00,5.00,6.00,6.25,5.00,8.00,3.00,501,108,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',10308,82,712,NULL,NULL,NULL,NULL,2,1),(15,2081563,6.00,8.00,8.00,6.00,9.00,6.25,8.00,6.00,6.00,103,5,NULL,'CRISTO REI','FRANCISCO BELTRAO','PR',1469,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2081571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,319,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2081580,3.00,6.00,3.00,2.00,4.00,3.00,4.00,3.00,4.00,211,108,NULL,'CENTRO','LONDRINA','PR',19447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'CHÁCARA CACHOEIRA II','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2081610,3.00,6.00,4.00,4.00,5.00,5.50,5.00,3.00,1.00,5,303,NULL,'BIGORRILHO','CURITIBA','PR',16662,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2081644,4.00,7.00,6.00,9.00,7.00,NULL,0.00,0.00,0.00,103,201,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2081660,2.00,6.00,4.00,7.00,7.00,3.75,2.00,3.00,2.00,9,319,NULL,'SÃO CRISTÓVÃO','PASSO FUNDO','RS',16416,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2081679,0.00,1.00,1.00,4.00,4.00,NULL,3.00,5.00,2.00,203,214,NULL,'JD MATARAZZO','JAGUARIAIVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2081709,6.00,9.00,8.00,8.00,8.00,8.50,8.00,8.00,6.00,216,217,201,'CENTRO','POMERODE','SC',322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081717,4.00,7.00,7.00,7.00,7.00,6.00,6.00,7.00,5.00,303,316,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',4339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081725,0.00,7.00,3.00,5.00,5.00,5.00,3.00,6.00,4.00,238,5,214,'VENDAVAL','BIGUACU','SC',15996,591,1250,488,NULL,NULL,NULL,2,1),(15,2081733,0.00,2.00,1.00,2.00,1.00,NULL,3.00,3.00,2.00,339,308,NULL,'SERRINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'MONT SERRAT','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2081776,8.00,9.00,9.00,8.00,9.00,7.50,9.00,8.00,5.00,103,NULL,NULL,'BARREIROS','SAO JOSE','SC',185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081784,1.00,6.00,4.00,4.00,5.00,5.75,5.00,4.00,3.00,104,101,NULL,'BRASILIA','SAO LOURENCO DO OESTE','SC',15133,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2081792,7.00,8.00,8.00,7.00,8.00,8.50,9.00,7.00,7.00,103,426,NULL,'CAMPINAS','SAO JOSE','SC',402,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2081806,8.00,9.00,9.00,8.00,8.00,6.00,9.00,9.00,8.00,103,104,NULL,'CENTRO','CRICIUMA','SC',320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,222,NULL,'SANTA LUCIA','PALMITOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2081822,6.00,6.00,5.00,9.00,7.00,7.00,6.00,5.00,3.00,104,NULL,NULL,'VILA MOEMA','TUBARAO','SC',5877,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2081849,8.00,9.00,4.00,5.00,7.00,4.75,4.00,9.00,5.00,102,217,NULL,'INGLESES','FLORIANOPOLIS','SC',5823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2081873,5.00,7.00,7.00,5.00,8.00,5.75,8.00,6.00,4.00,202,NULL,203,'CENTRO','AREADO','MG',4718,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2081881,2.00,6.00,4.00,4.00,4.00,4.75,3.00,2.00,2.00,502,501,NULL,'BAIRRO ALTO','BOTUCATU','SP',18489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2081890,2.00,7.00,4.00,9.00,6.00,6.25,3.00,5.00,2.00,429,309,NULL,'PANTANAL','FLORIANOPOLIS','SC',10853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081903,1.00,5.00,3.00,2.00,7.00,5.50,5.00,7.00,2.00,317,339,NULL,'BOM VIVER','BIGUACU','SC',15559,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2081911,4.00,6.00,3.00,4.00,8.00,5.00,6.00,5.00,5.00,217,108,NULL,'ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC',10709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081938,3.00,3.00,3.00,1.00,5.00,5.75,0.00,5.00,2.00,333,NULL,NULL,'GONZAGA','SANTOS','SP',21707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081946,4.00,3.00,1.00,3.00,4.00,5.50,2.00,4.00,3.00,225,203,NULL,'SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC',21000,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2081954,4.00,6.00,4.00,8.00,7.00,7.00,7.00,6.00,5.00,103,108,NULL,'PALMARES','BELO HORIZONTE','MG',5151,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2081962,1.00,4.00,2.00,3.00,4.00,NULL,2.00,1.00,1.00,5,425,NULL,'ESTADOS','TIMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2081970,3.00,7.00,3.00,8.00,5.00,5.50,4.00,8.00,3.00,425,NULL,NULL,'PANTANO DO SUL','FLORIANOPOLIS','SC',9194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081989,4.00,5.00,5.00,9.00,7.00,5.25,3.00,5.00,4.00,444,324,NULL,'CENTRO','FLORIANOPOLIS','SC',9869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2081997,3.00,7.00,5.00,4.00,7.00,4.75,4.00,8.00,4.00,225,224,NULL,'SERRARIA','SAO JOSE','SC',9067,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082004,5.00,7.00,7.00,8.00,8.00,6.50,8.00,8.00,3.00,202,222,216,'PIONEIRO','CAXIAS DO SUL','RS',2913,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2082012,3.00,5.00,2.00,3.00,6.00,5.25,6.00,4.00,4.00,238,213,208,'CENTRO','FLORIANOPOLIS','SC',14330,526,455,544,NULL,NULL,NULL,4,1),(15,2082020,0.00,5.00,3.00,1.00,4.00,NULL,3.00,2.00,1.00,318,304,NULL,'ESTORIL','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2082047,8.00,9.00,7.00,8.00,9.00,7.50,7.00,7.00,7.00,103,216,NULL,'CENTRO','RIO NEGRO','PR',460,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2082055,2.00,4.00,2.00,5.00,4.00,8.00,2.00,7.00,1.00,318,317,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',17064,211,599,NULL,NULL,NULL,NULL,2,1),(15,2082080,4.00,8.00,3.00,5.00,7.00,6.75,4.00,7.00,3.00,332,339,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',8017,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082098,1.00,5.00,4.00,3.00,7.00,5.75,4.00,3.00,3.00,207,208,201,'SÃO CRISTÓVÃO','QUILOMBO','SC',16661,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2082110,4.00,4.00,3.00,5.00,7.00,6.25,5.00,5.00,1.00,103,101,NULL,'REUNIDAS','CACADOR','SC',14138,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2082144,4.00,7.00,4.00,3.00,6.00,5.50,4.00,6.00,3.00,316,108,NULL,'SIRIÚ','GAROPABA','SC',13401,357,788,NULL,NULL,NULL,NULL,4,1),(15,2082152,2.00,5.00,4.00,6.00,6.00,4.75,4.00,3.00,2.00,208,NULL,NULL,'CENTRO','AGUA DOCE','SC',17665,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2082160,4.00,5.00,0.00,0.00,7.00,NULL,3.00,4.00,3.00,101,404,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,102,NULL,'CENTRO','UNIAO DA VITORIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2082209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,216,NULL,'CENTRO','CAMBE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2082217,3.00,6.00,5.00,5.00,8.00,5.25,2.00,2.00,4.00,302,421,NULL,'BARREIROS','SAO JOSE','SC',14831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082233,6.00,8.00,8.00,7.00,7.00,7.00,7.00,8.00,5.00,103,319,NULL,'CENTRO','FLORIANOPOLIS','SC',2042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2082250,3.00,7.00,7.00,7.00,6.00,6.50,6.00,7.00,3.00,211,NULL,NULL,'JARDIM MAGNOLIA','CAMPINAS','SP',5843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2082268,4.00,6.00,4.00,2.00,5.00,2.00,3.00,5.00,1.00,103,102,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2082276,7.00,6.00,6.00,2.00,7.00,5.75,5.00,6.00,6.00,103,102,NULL,'DAS NAÇOES','INDAIAL','SC',7118,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2082292,3.00,5.00,1.00,0.00,6.00,5.50,4.00,3.00,2.00,211,333,NULL,'VILA ARAPONGUINHA','ARAPONGAS','PR',21120,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2082306,4.00,5.00,1.00,7.00,9.00,7.25,4.00,5.00,3.00,415,425,NULL,'CENTRO','ERECHIM','RS',10231,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2082314,4.00,5.00,4.00,0.00,4.00,5.50,4.00,3.00,2.00,103,101,NULL,'PEDREGULHO','GUARATINGUETA','SP',19940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2082330,1.00,7.00,3.00,4.00,5.00,4.25,1.00,4.00,2.00,332,329,NULL,'VILA RICA','CRICIUMA','SC',19464,120,241,NULL,NULL,NULL,NULL,2,5),(15,2082349,1.00,6.00,2.00,4.00,5.00,4.25,2.00,3.00,3.00,222,223,NULL,'CENTRO','BIGUACU','SC',20442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2082357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,211,NULL,'VILA ZUCHETTI','NOVA ARACA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2082365,3.00,5.00,3.00,3.00,7.00,5.25,5.00,6.00,3.00,102,217,NULL,'PASSA VINTE','PALHOCA','SC',14246,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082373,3.00,5.00,0.00,7.00,6.00,4.75,1.00,4.00,1.00,5,501,NULL,'PRAIA DA META','BALNEARIO ARROIO DO SILVA','SC',19527,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2082381,1.00,5.00,5.00,3.00,7.00,5.75,3.00,2.00,2.00,404,223,NULL,'KOBRASOL','SAO JOSE','SC',18512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2082390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,104,NULL,'CENTRO','MATELANDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2082403,2.00,6.00,3.00,3.00,6.00,5.00,4.00,2.00,4.00,324,301,NULL,'TRINDADE','FLORIANOPOLIS','SC',18402,71,776,NULL,NULL,NULL,NULL,4,1),(15,2082411,4.00,6.00,7.00,1.00,9.00,6.00,3.00,6.00,3.00,108,320,NULL,'INDEPENDENCIA','POUSO REDONDO','SC',11216,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2082420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,208,NULL,'ABRAÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2082454,4.00,6.00,3.00,5.00,6.00,5.50,4.00,7.00,3.00,317,316,NULL,'BARREIROS','SAO JOSE','SC',12572,174,972,NULL,NULL,NULL,NULL,2,1),(15,2082462,5.00,8.00,5.00,5.00,6.00,5.50,5.00,7.00,3.00,333,332,NULL,'CAMPINAS','SAO JOSE','SC',7046,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','MATELANDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2082497,2.00,7.00,4.00,4.00,7.00,4.50,2.00,5.00,3.00,317,339,NULL,'ITACORUBI','FLORIANOPOLIS','SC',16018,259,298,NULL,NULL,NULL,NULL,2,1),(15,2082500,0.00,3.00,2.00,3.00,3.00,NULL,1.00,2.00,2.00,201,208,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082519,2.00,6.00,4.00,1.00,7.00,4.00,3.00,6.00,2.00,317,238,NULL,'SAO SEBASTIAO','PALHOCA','SC',18359,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082527,1.00,3.00,2.00,5.00,4.00,3.00,3.00,3.00,1.00,415,NULL,NULL,'INGLESES','FLORIANOPOLIS','SC',22494,570,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082535,6.00,8.00,5.00,7.00,7.00,7.50,4.00,3.00,4.00,5,308,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',6182,287,241,NULL,NULL,NULL,NULL,2,1),(15,2082551,3.00,8.00,5.00,7.00,8.00,5.00,6.00,5.00,2.00,301,316,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',9002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2082560,3.00,5.00,6.00,1.00,5.00,5.75,5.00,4.00,5.00,220,202,203,'V CAMINHO DO MAR','SAO BERNARDO DO CAMPO','SP',14753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2082586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'CENTRO','MATELANDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2082594,2.00,8.00,1.00,3.00,4.00,7.00,4.00,8.00,3.00,318,327,NULL,'TRINDADE','FLORIANOPOLIS','SC',13043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2082608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,326,NULL,'PORTÃO','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2082616,2.00,5.00,3.00,5.00,8.00,NULL,0.00,0.00,0.00,5,327,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,3),(15,2082624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,404,NULL,'PINHEIRINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2082632,4.00,7.00,3.00,4.00,6.00,5.00,3.00,4.00,4.00,5,319,NULL,'COLONIA SANTANA','SAO JOSE','SC',12617,552,760,NULL,NULL,NULL,NULL,4,1),(15,2082640,4.00,5.00,1.00,6.00,5.00,4.00,3.00,3.00,3.00,327,108,NULL,'PONTE DE IMARUIM','PALHOCA','SC',18277,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082659,6.00,7.00,4.00,2.00,7.00,6.75,6.00,4.00,3.00,444,404,NULL,'TRINDADE','FLORIANOPOLIS','SC',9608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2082667,2.00,7.00,3.00,5.00,7.00,5.50,4.00,4.00,3.00,103,102,NULL,'COQUEIROS','FLORIANOPOLIS','SC',12930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2082675,2.00,6.00,4.00,5.00,4.00,6.50,5.00,4.00,4.00,5,316,NULL,'BARREIROS','SAO JOSE','SC',13233,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2082683,5.00,8.00,8.00,5.00,8.00,5.25,8.00,8.00,6.00,420,333,NULL,'BAIXADA PIONEIRA','PINHALZINHO','SC',2244,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2082705,4.00,4.00,3.00,5.00,6.00,3.75,5.00,5.00,2.00,317,444,NULL,'ESTREITO','FLORIANOPOLIS','SC',16654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2082713,4.00,6.00,2.00,7.00,7.00,4.00,6.00,7.00,4.00,316,318,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',9274,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082721,1.00,5.00,3.00,4.00,3.00,NULL,1.00,2.00,1.00,234,333,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2082748,0.00,4.00,1.00,3.00,4.00,5.50,4.00,3.00,3.00,103,101,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082756,1.00,4.00,4.00,6.00,6.00,5.25,5.00,4.00,2.00,303,415,NULL,'JARDIM DAS PAINEIRAS','CAMPINAS','SP',15255,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082764,5.00,6.00,0.00,6.00,6.00,3.75,2.00,3.00,0.00,212,233,201,'CAMPINAS','SAO JOSE','SC',17867,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082799,1.00,5.00,4.00,7.00,6.00,6.00,2.00,5.00,2.00,316,NULL,NULL,'CENTRO','PICARRAS','SC',15435,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2082810,8.00,7.00,8.00,7.00,9.00,6.50,7.00,7.00,8.00,9,308,NULL,'BELA VISTA I','SAO JOSE','SC',842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082829,6.00,7.00,8.00,9.00,7.00,5.50,7.00,6.00,5.00,102,217,NULL,'SALETE','SAO MIGUEL DOESTE','SC',2995,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2082837,3.00,4.00,4.00,4.00,8.00,5.25,6.00,5.00,2.00,103,104,NULL,'CENTRO','ILHOTA','SC',13983,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2082845,6.00,8.00,8.00,8.00,8.00,5.75,6.00,7.00,6.00,450,327,NULL,'SÃO SEBASTIÃO','PALHOCA','SC',2004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2082853,1.00,5.00,1.00,6.00,4.00,4.25,6.00,2.00,1.00,203,202,214,'FAZ SANTO ANTONIO','SAO JOSE','SC',20135,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082861,1.00,3.00,1.00,4.00,4.00,3.75,5.00,2.00,3.00,333,NULL,NULL,'COQUEIROS','FLORIANOPOLIS','SC',22351,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082870,5.00,6.00,6.00,6.00,7.00,8.50,6.00,4.00,4.00,2,225,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',5567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082888,1.00,5.00,1.00,2.00,7.00,5.75,3.00,3.00,3.00,327,329,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',20137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2082918,5.00,8.00,6.00,7.00,9.00,6.00,6.00,7.00,6.00,319,326,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',3065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2082926,3.00,3.00,3.00,5.00,5.00,4.75,3.00,4.00,2.00,9,238,NULL,'ITACORUBI','FLORIANOPOLIS','SC',19782,288,1011,NULL,NULL,NULL,NULL,2,1),(15,2082934,5.00,8.00,7.00,7.00,8.00,6.50,7.00,8.00,6.00,317,224,NULL,'SANTINHO','FLORIANOPOLIS','SC',1818,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082942,3.00,4.00,3.00,6.00,4.00,6.25,2.00,4.00,2.00,425,420,427,'VILA NOVA','IMBITUBA','SC',18703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2082950,1.00,8.00,3.00,2.00,6.00,5.00,3.00,6.00,2.00,326,327,NULL,'RIO CAVEIRAS','BIGUACU','SC',17669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2082969,4.00,8.00,6.00,7.00,7.00,7.50,5.00,4.00,3.00,101,420,NULL,'MORRO DO POSTO','LAGES','SC',7150,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2082977,0.00,4.00,4.00,0.00,2.00,NULL,2.00,2.00,2.00,220,501,202,'PORTAL DO CEDRO','IPERO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2082985,6.00,6.00,6.00,5.00,8.00,7.00,7.00,5.00,5.00,233,223,215,'CENTRO','FLORIANOPOLIS','SC',4716,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2082993,5.00,8.00,6.00,8.00,7.00,6.00,7.00,7.00,6.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',2897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2083000,3.00,8.00,1.00,6.00,9.00,8.00,4.00,5.00,2.00,428,451,424,'CAPOEIRAS','FLORIANOPOLIS','SC',10384,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2083019,0.00,0.00,0.00,8.00,4.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2083027,5.00,5.00,2.00,7.00,6.00,6.75,4.00,6.00,4.00,319,423,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2083035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'JARDIM UNIVERSITÁRIO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2083043,2.00,6.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,302,304,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2083051,2.00,4.00,0.00,0.00,5.00,NULL,2.00,3.00,3.00,5,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2083060,1.00,4.00,2.00,2.00,5.00,NULL,1.00,3.00,2.00,101,9,NULL,'VARZEA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2083078,3.00,6.00,5.00,3.00,8.00,7.25,6.00,6.00,2.00,211,427,215,'CANASVIEIRAS','FLORIANOPOLIS','SC',9748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083086,2.00,6.00,4.00,3.00,6.00,5.50,4.00,6.00,3.00,318,304,NULL,'CENTRO','FLORIANOPOLIS','SC',16222,202,403,NULL,NULL,NULL,NULL,2,1),(15,2083116,4.00,8.00,7.00,9.00,6.00,6.50,6.00,8.00,4.00,304,318,NULL,'COQUEIROS','FLORIANOPOLIS','SC',3555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083132,9.00,8.00,9.00,9.00,8.00,7.00,8.00,7.00,7.00,203,216,233,'VILA MOEMA','TUBARAO','SC',435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083140,3.00,7.00,5.00,6.00,8.00,4.75,6.00,6.00,5.00,103,202,NULL,'VILA MARIANA','SAO PAULO','SP',5201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083159,5.00,4.00,2.00,7.00,7.00,4.25,2.00,5.00,4.00,415,450,NULL,'CENTRO','CRICIUMA','SC',14186,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2083167,8.00,7.00,7.00,3.00,8.00,6.00,7.00,7.00,6.00,103,NULL,NULL,'SAO DIMAS','SAO JOSE DOS CAMPOS','SP',2964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2083175,3.00,5.00,4.00,1.00,4.00,4.25,5.00,5.00,1.00,203,202,214,'JARDIM ALVORADA','MARINGA','PR',18533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083183,1.00,7.00,1.00,5.00,6.00,5.25,3.00,2.00,1.00,333,216,NULL,'UBATUBA','SAO FRANCISCO DO SUL','SC',19295,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2083191,2.00,8.00,5.00,6.00,6.00,5.75,6.00,5.00,2.00,501,425,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',11067,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2083205,1.00,2.00,3.00,3.00,4.00,NULL,4.00,1.00,1.00,9,404,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083213,4.00,8.00,5.00,5.00,6.00,5.50,5.00,7.00,3.00,238,444,202,'ROÇADO','SAO JOSE','SC',7948,242,368,320,NULL,NULL,NULL,2,1),(15,2083221,3.00,5.00,2.00,6.00,4.00,3.50,2.00,3.00,2.00,333,327,NULL,'REAL PARQUE','SAO JOSE','SC',20734,385,458,NULL,NULL,NULL,NULL,2,1),(15,2083230,5.00,8.00,4.00,0.00,7.00,5.00,4.00,5.00,4.00,108,NULL,NULL,'ZONA SETE','MARINGA','PR',11547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083248,1.00,7.00,0.00,3.00,6.00,5.50,5.00,5.00,2.00,211,316,220,'VILA PROGRESSO','DOURADOS','MS',19232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CHÁCARA PALESTINA','PENAPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2083264,4.00,4.00,1.00,7.00,6.00,4.50,2.00,4.00,3.00,501,423,NULL,'ABRAÃO','FLORIANOPOLIS','SC',17289,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2083272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,108,233,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2083280,4.00,6.00,4.00,5.00,6.00,5.75,4.00,3.00,3.00,5,333,NULL,'CAMPINAS','SAO JOSE','SC',13675,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2083310,6.00,6.00,9.00,3.00,8.00,6.50,8.00,8.00,8.00,220,203,216,'SETOR MARISTA','GOIANIA','GO',2314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083345,1.00,5.00,3.00,6.00,6.00,7.00,3.00,2.00,1.00,104,303,NULL,'CENTRO','BRUSQUE','SC',18636,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2083361,6.00,8.00,7.00,9.00,8.00,6.00,8.00,7.00,4.00,103,212,NULL,'SAGRADO','LAGES','SC',1999,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2083370,1.00,4.00,0.00,1.00,4.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'PENHA','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083388,4.00,8.00,4.00,2.00,6.00,4.50,3.00,4.00,1.00,203,302,201,'GUARDA DO EMBAU','PALHOCA','SC',16801,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2083396,5.00,6.00,6.00,4.00,8.00,5.50,5.00,5.00,5.00,103,216,NULL,'COSTA E SILVA','JOINVILLE','SC',7033,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2083418,3.00,5.00,4.00,4.00,6.00,4.75,5.00,6.00,3.00,102,104,NULL,'CENTRO','LAGES','SC',13162,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2083434,4.00,6.00,2.00,5.00,4.00,5.25,3.00,4.00,4.00,317,318,NULL,'CENTRO','FLORIANOPOLIS','SC',16579,276,472,NULL,NULL,NULL,NULL,2,1),(15,2083442,4.00,8.00,2.00,9.00,8.00,5.50,6.00,6.00,4.00,5,426,NULL,'SERRARIA','SAO JOSE','SC',6130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'PRAIA DO SANTINHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2083469,8.00,8.00,5.00,9.00,8.00,8.00,7.00,7.00,7.00,103,203,NULL,'JARDIM CHAPADÃO','CAMPINAS','SP',791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083477,4.00,6.00,2.00,2.00,3.00,5.50,5.00,1.00,3.00,102,316,NULL,'APARECIDA','SANTOS','SP',18797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083493,4.00,5.00,1.00,4.00,5.00,5.00,4.00,4.00,2.00,316,324,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',18898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2083507,2.00,5.00,2.00,2.00,5.00,3.25,1.00,4.00,3.00,220,NULL,214,'CENTRO','RANCHO ALEGRE D OESTE','PR',21928,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2083515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,214,220,'CIDADE JARDIM','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2083523,5.00,6.00,7.00,7.00,7.00,6.00,6.00,8.00,8.00,215,333,220,'DA SAUDADE','PONTA PORA','MS',2712,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2083558,3.00,8.00,3.00,7.00,5.00,6.00,4.00,7.00,2.00,207,320,203,'RIO BRANCO','PORTO ALEGRE','RS',10275,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2083566,5.00,7.00,9.00,5.00,8.00,7.00,9.00,8.00,7.00,220,214,203,'VILA PRUDENTE','SAO PAULO','SP',1303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'BUTIATUVINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2083590,2.00,6.00,2.00,2.00,5.00,5.00,6.00,4.00,1.00,202,203,213,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',19115,646,1438,311,NULL,NULL,NULL,2,1),(15,2083604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,203,NULL,'CENTRO','BATATAIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2083612,6.00,7.00,5.00,6.00,6.00,5.50,6.00,6.00,5.00,103,104,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',5788,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2083620,7.00,8.00,7.00,7.00,7.00,5.75,6.00,5.00,4.00,301,201,NULL,'CIDADE JARDIM','SAO CARLOS','SP',4253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083639,1.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,319,429,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2083647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,450,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2083663,6.00,8.00,8.00,7.00,9.00,6.75,7.00,8.00,4.00,5,318,NULL,'COMERCIÁRIO','CRICIUMA','SC',1974,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2083671,5.00,8.00,7.00,7.00,8.00,5.75,9.00,8.00,3.00,103,5,NULL,'CENTRO','FLORIANOPOLIS','SC',2170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083698,3.00,7.00,7.00,8.00,8.00,7.75,9.00,9.00,5.00,415,332,NULL,'COPA CABANA','LAGES','SC',2035,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2083728,4.00,6.00,4.00,2.00,4.00,5.00,4.00,6.00,3.00,203,331,202,'CENTRO','BIGUACU','SC',16342,1005,189,581,NULL,NULL,NULL,2,1),(15,2083736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,211,201,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2083744,3.00,7.00,8.00,7.00,6.00,5.00,7.00,6.00,1.00,214,213,NULL,'CAMPOLIM','SOROCABA','SP',6520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083760,4.00,4.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,102,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083779,5.00,6.00,7.00,5.00,8.00,7.75,6.00,6.00,6.00,203,220,214,'JARDIM OURO BRANCO','PARANAVAI','PR',3653,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2083787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,201,NULL,'VILA SÃO VICENTE','VOTUPORANGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2083795,1.00,6.00,4.00,7.00,6.00,6.25,6.00,6.00,4.00,103,108,NULL,'PENHA','SAO PAULO','SP',10324,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2083809,2.00,5.00,1.00,5.00,5.00,6.75,2.00,3.00,1.00,103,104,NULL,'CENTRO','MAXIMILIANO DE ALMEIDA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2083817,5.00,7.00,9.00,3.00,9.00,7.25,7.00,6.00,7.00,103,202,NULL,'ZONA SETE','MARINGA','PR',3083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083825,4.00,4.00,1.00,4.00,5.00,5.00,4.00,6.00,3.00,420,316,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2083833,3.00,4.00,4.00,2.00,5.00,3.50,4.00,4.00,2.00,444,211,NULL,'ITACORUBI','FLORIANOPOLIS','SC',20961,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2083841,5.00,5.00,5.00,4.00,7.00,6.50,6.00,5.00,3.00,211,339,215,'BARREIROS','SAO JOSE','SC',9708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083850,5.00,7.00,6.00,5.00,8.00,5.50,6.00,8.00,3.00,303,5,NULL,'INTERIOR','CHAPECO','SC',6140,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2083884,1.00,2.00,2.00,1.00,1.00,NULL,3.00,2.00,3.00,316,5,NULL,'CAETE','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2083892,6.00,8.00,3.00,8.00,5.00,7.00,7.00,8.00,6.00,103,303,NULL,'PRESIDENTE MÉDICI','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2083906,1.00,6.00,1.00,1.00,3.00,4.50,3.00,6.00,3.00,5,201,NULL,'CENTRO','IMARUI','SC',21136,870,1401,NULL,NULL,NULL,NULL,4,1),(15,2083914,4.00,6.00,3.00,2.00,5.00,5.00,2.00,5.00,4.00,201,308,233,'COQUEIROS','FLORIANOPOLIS','SC',18088,962,387,407,NULL,NULL,NULL,4,1),(15,2083922,5.00,6.00,4.00,3.00,7.00,5.50,8.00,4.00,5.00,103,101,NULL,'JARDIM ITAQUERE','SAO PEDRO','SP',9355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083930,0.00,3.00,0.00,4.00,1.00,NULL,2.00,1.00,1.00,501,NULL,NULL,'TABLADA NUEVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2083949,4.00,8.00,5.00,3.00,6.00,5.75,5.00,5.00,2.00,201,202,208,'JARDIN BELA VISTA','PALOTINA','PR',11541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083957,7.00,6.00,7.00,6.00,8.00,6.00,8.00,7.00,8.00,103,NULL,NULL,'BELA VISTA','SAO PAULO','SP',1897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2083965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,450,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2083981,3.00,9.00,7.00,4.00,5.00,7.00,5.00,7.00,3.00,333,108,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',7365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2083990,5.00,8.00,4.00,6.00,7.00,5.50,5.00,8.00,6.00,318,329,NULL,'CENTRO','FLORIANOPOLIS','SC',4958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084007,7.00,8.00,6.00,5.00,8.00,7.25,8.00,7.00,5.00,201,103,212,'CENTRO','CRICIUMA','SC',1790,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2084015,3.00,4.00,4.00,5.00,4.00,3.00,2.00,3.00,2.00,317,333,NULL,'FAZENDA DO MAX','SAO JOSE','SC',21228,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2084031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,216,203,'CENTRO','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2084040,3.00,6.00,2.00,7.00,6.00,4.50,3.00,4.00,2.00,301,316,NULL,'CENTRO','FLORIANOPOLIS','SC',15101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2084058,9.00,7.00,9.00,7.00,8.00,9.50,8.00,7.00,8.00,103,104,NULL,'SÃO FRANCISCO','CAMPO GRANDE','MS',256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084074,2.00,4.00,3.00,5.00,8.00,6.50,4.00,3.00,1.00,428,451,426,'CENTRO','FLORIANOPOLIS','SC',15801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084082,4.00,6.00,6.00,5.00,7.00,5.25,3.00,5.00,4.00,238,208,220,'COMERCIARIO','CRICIUMA','SC',10476,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2084104,6.00,6.00,7.00,5.00,9.00,7.50,9.00,6.00,7.00,203,220,201,'SETOR OESTE','GOIANIA','GO',2339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084112,4.00,6.00,3.00,5.00,7.00,5.50,5.00,3.00,4.00,215,444,211,'AGRONÔMICA','FLORIANOPOLIS','SC',13502,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2084120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,203,NULL,'PQ DA LAPA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2084147,2.00,3.00,2.00,3.00,7.00,5.50,5.00,3.00,2.00,444,234,NULL,'TRINDADE','FLORIANOPOLIS','SC',18837,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2084163,5.00,8.00,7.00,6.00,9.00,6.50,9.00,8.00,7.00,203,201,202,'ESTREITO','FLORIANOPOLIS','SC',1281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084180,4.00,7.00,5.00,4.00,9.00,8.00,6.00,7.00,5.00,103,101,NULL,'CRUZEIRO','TUBARAO','SC',4623,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2084198,6.00,7.00,3.00,6.00,7.00,5.25,7.00,5.00,5.00,303,5,NULL,'AMERICA','JOINVILLE','SC',6493,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2084201,0.00,5.00,1.00,3.00,4.00,NULL,1.00,2.00,1.00,444,423,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2084210,1.00,5.00,2.00,5.00,5.00,3.75,3.00,3.00,1.00,102,104,NULL,'CENTRO','CURITIBA','PR',20795,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2084228,0.00,8.00,5.00,6.00,7.00,4.25,5.00,3.00,2.00,333,216,NULL,'FLORESTA','JOINVILLE','SC',14776,223,776,NULL,NULL,NULL,NULL,2,8),(15,2084236,0.00,4.00,5.00,0.00,8.00,4.75,3.00,5.00,0.00,302,308,NULL,'FLOR DE NÁPOLES','SAO JOSE','SC',20584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084279,2.00,3.00,3.00,2.00,3.00,6.00,4.00,3.00,0.00,301,309,NULL,'ROÇADO','SAO JOSE','SC',22042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084295,5.00,8.00,7.00,7.00,8.00,7.25,8.00,7.00,5.00,301,316,NULL,'CENTRO','PALHOCA','SC',2165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084309,3.00,8.00,3.00,4.00,6.00,5.75,7.00,8.00,3.00,310,303,NULL,'CENTRO','FLORIANOPOLIS','SC',8976,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2084317,2.00,6.00,0.00,3.00,4.00,7.00,4.00,7.00,2.00,101,332,NULL,'SÃO CISTÓVÃO','LAGES','SC',18622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084325,6.00,8.00,5.00,5.00,7.00,4.50,7.00,6.00,6.00,103,450,NULL,'PONTA AGUDA','BLUMENAU','SC',5018,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2084333,3.00,4.00,1.00,5.00,6.00,5.00,2.00,2.00,4.00,104,444,NULL,'PRAINHA','FLORIANOPOLIS','SC',19737,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2084341,6.00,7.00,8.00,9.00,7.00,5.50,8.00,6.00,7.00,104,215,NULL,'CONCEIÇÃO','ZORTEA','SC',2001,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2084350,3.00,5.00,5.00,5.00,8.00,6.25,4.00,6.00,3.00,5,303,NULL,'BOM RETIRO','JOINVILLE','SC',10989,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2084384,7.00,8.00,7.00,6.00,8.00,7.50,7.00,7.00,4.00,415,9,NULL,'CENTRO','FLORIANOPOLIS','SC',2307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2084392,2.00,2.00,0.00,4.00,5.00,NULL,2.00,1.00,0.00,102,208,NULL,'CENTRO','GALVAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2084414,3.00,8.00,3.00,8.00,9.00,7.75,5.00,7.00,4.00,420,212,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',5195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084422,4.00,7.00,5.00,7.00,4.00,5.50,3.00,2.00,1.00,215,9,211,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2084449,1.00,7.00,0.00,6.00,8.00,5.25,5.00,5.00,5.00,324,327,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',13456,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2084457,2.00,6.00,2.00,3.00,5.00,6.75,3.00,1.00,3.00,216,220,NULL,'UBATUBA','SAO FRANCISCO DO SUL','SC',20573,550,778,NULL,NULL,NULL,NULL,4,8),(15,2084465,1.00,4.00,0.00,7.00,7.00,4.50,3.00,2.00,4.00,211,234,216,'PONTE DO IMARUIM','PALHOCA','SC',18822,655,240,525,NULL,NULL,NULL,2,1),(15,2084481,4.00,8.00,4.00,8.00,8.00,4.50,4.00,6.00,3.00,327,332,NULL,'CAPECHE','FLORIANOPOLIS','SC',7091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084511,5.00,5.00,8.00,7.00,6.00,6.50,6.00,5.00,7.00,103,108,NULL,'IPANEMA','RIO DE JANEIRO','RJ',4548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084520,2.00,6.00,2.00,7.00,6.00,6.50,5.00,6.00,2.00,103,101,NULL,'CENTRO','PLANALTO','RS',13273,2470,602,NULL,NULL,NULL,NULL,2,4),(15,2084538,5.00,7.00,2.00,2.00,6.00,3.75,1.00,6.00,2.00,427,421,424,'CANPINAS','SAO JOSE','SC',17453,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2084546,5.00,7.00,6.00,2.00,7.00,6.00,7.00,5.00,4.00,108,501,NULL,'INGLESES','FLORIANOPOLIS','SC',7853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084554,3.00,4.00,0.00,1.00,4.00,NULL,3.00,3.00,1.00,425,308,429,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084589,1.00,4.00,4.00,4.00,7.00,5.75,2.00,4.00,2.00,502,102,NULL,'COQUEIROS','FLORIANOPOLIS','SC',19626,89,1078,NULL,NULL,NULL,NULL,2,1),(15,2084597,6.00,6.00,5.00,8.00,8.00,5.50,4.00,6.00,3.00,103,102,NULL,'ÁGUA VERDE','CURITIBA','PR',7638,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2084600,2.00,3.00,2.00,6.00,3.00,5.00,5.00,4.00,2.00,316,5,NULL,'PICADAS DO SUL','SAO JOSE','SC',20070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,501,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(15,2084627,1.00,5.00,2.00,3.00,5.00,5.50,6.00,5.00,4.00,301,316,NULL,'MORUMBI','SAO PAULO','SP',17508,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2084635,5.00,8.00,4.00,7.00,8.00,7.50,7.00,6.00,5.00,303,5,NULL,'CENTRO','CURITIBA','PR',4344,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2084643,1.00,4.00,2.00,3.00,5.00,5.50,2.00,5.00,3.00,233,215,214,'JARDIM NVO HORIZONTE','MARINGA','PR',20165,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2084651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,329,NULL,'PARQUE ESPERANÇA','POCOS DE CALDAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2084660,1.00,3.00,1.00,1.00,3.00,NULL,4.00,2.00,2.00,308,339,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,301,201,'JARDIM ELDORADO','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2084686,1.00,5.00,6.00,3.00,5.00,6.25,2.00,2.00,2.00,238,2,208,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',19596,729,248,774,NULL,NULL,NULL,4,1),(15,2084694,3.00,8.00,5.00,6.00,7.00,7.00,5.00,5.00,3.00,102,215,NULL,'CENTRO','CATANDUVAS','SC',8912,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2084708,3.00,7.00,4.00,2.00,8.00,5.75,4.00,6.00,4.00,103,201,NULL,'CORAL','LAGES','SC',12649,2410,1305,NULL,NULL,NULL,NULL,4,9),(15,2084716,4.00,7.00,4.00,1.00,4.00,5.00,4.00,5.00,3.00,103,104,NULL,'CENTRO','CAPITAO LEONIDAS MARQUES','PR',16176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084732,8.00,8.00,8.00,8.00,9.00,7.25,8.00,8.00,7.00,5,303,NULL,'EMBARÉ','SANTOS','SP',250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084740,1.00,4.00,3.00,2.00,6.00,4.50,1.00,3.00,3.00,207,9,211,'PRESIDENTE MÉDICE','CHAPECO','SC',22073,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2084767,2.00,5.00,1.00,6.00,4.00,6.25,0.00,4.00,3.00,207,217,216,'SÃO CRISTÓVÃO','TURVO','SC',19547,920,508,537,NULL,NULL,NULL,2,5),(15,2084775,7.00,8.00,8.00,8.00,9.00,6.00,10.00,9.00,7.00,103,102,NULL,'CENTRO','FLORIANOPOLIS','SC',467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084783,2.00,5.00,0.00,4.00,6.00,5.00,1.00,4.00,3.00,102,444,NULL,'CENTRO','GALVAO','SC',19713,440,560,NULL,NULL,NULL,NULL,2,7),(15,2084791,5.00,6.00,6.00,3.00,5.00,4.75,5.00,4.00,5.00,215,NULL,NULL,'BOM PASTOR','JUIZ DE FORA','MG',10529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084813,1.00,6.00,2.00,5.00,7.00,4.75,2.00,3.00,1.00,303,208,NULL,'BREJARU I','PALHOCA','SC',20113,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2084821,5.00,7.00,3.00,4.00,6.00,3.00,5.00,6.00,3.00,450,326,NULL,'CARIANOS','FLORIANOPOLIS','SC',13067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2084830,3.00,6.00,2.00,1.00,5.00,5.75,2.00,4.00,5.00,103,NULL,NULL,'PERPÉTUO SOCORRO','SAO LOURENCO DO OESTE','SC',19500,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2084848,3.00,7.00,4.00,4.00,7.00,4.75,5.00,5.00,2.00,423,327,426,'FLORESTA','SAO JOSE','SC',14810,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2084872,3.00,3.00,1.00,6.00,6.00,4.75,3.00,6.00,3.00,301,427,NULL,'TRINDADE','FLORIANOPOLIS','SC',16116,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2084899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'JARDIM IGUAÇU','PARANAVAI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2084902,4.00,6.00,4.00,8.00,6.00,5.50,6.00,6.00,5.00,5,316,NULL,'PICADAS DO SUL','SAO JOSE','SC',8411,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2084910,4.00,2.00,4.00,6.00,7.00,5.00,6.00,5.00,2.00,101,308,NULL,'COLONINHA','FLORIANOPOLIS','SC',15243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2084929,4.00,5.00,4.00,6.00,7.00,5.50,6.00,6.00,3.00,201,211,NULL,'NOSSA SR DAS GRAÇAS','NAVEGANTES','SC',8419,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2084937,6.00,7.00,6.00,4.00,8.00,5.00,6.00,2.00,4.00,333,404,NULL,'BOA VISTA','SANTA BARBARA D OESTE','SP',8952,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2084945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2084953,3.00,4.00,2.00,4.00,4.00,6.50,1.00,4.00,3.00,207,NULL,NULL,'SÃO JOSÉ','SAO LEOPOLDO','RS',19970,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2084961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2084970,3.00,7.00,7.00,7.00,7.00,5.50,5.00,6.00,6.00,201,225,207,'CENTRO','BRUSQUE','SC',6349,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2084988,2.00,2.00,0.00,3.00,5.00,NULL,2.00,2.00,1.00,108,308,NULL,'BAIRRO IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2084996,5.00,8.00,5.00,2.00,6.00,3.50,6.00,3.00,4.00,2,225,NULL,'CENTRO','FLORIANOPOLIS','SC',12282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'SETOR BUENO','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2085011,4.00,6.00,4.00,6.00,5.00,5.75,7.00,5.00,2.00,238,224,208,'CORREGO GRANDE','FLORIANOPOLIS','SC',10910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085020,6.00,7.00,5.00,7.00,9.00,6.25,5.00,5.00,4.00,101,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',5875,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2085038,5.00,8.00,7.00,2.00,8.00,5.25,8.00,7.00,7.00,108,NULL,NULL,'CENTRO','PALMEIRA D OESTE','SP',3787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085062,5.00,7.00,3.00,6.00,7.00,4.25,6.00,5.00,2.00,404,444,NULL,'JARDIN ATLANTICO','FLORIANOPOLIS','SC',11685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2085070,4.00,7.00,6.00,5.00,7.00,7.25,6.00,7.00,4.00,317,329,NULL,'ESTREITO','FLORIANOPOLIS','SC',6807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,423,426,'SACO DOS LIMOES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2085119,2.00,9.00,6.00,5.00,9.00,6.25,8.00,7.00,5.00,5,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',3347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085127,5.00,8.00,2.00,2.00,7.00,5.50,6.00,7.00,4.00,333,108,NULL,'CENTRO','GURUPI','TO',10017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085135,6.00,6.00,5.00,2.00,8.00,4.50,5.00,6.00,3.00,420,207,NULL,'CENTRO','FLORIANOPOLIS','SC',9868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2085151,4.00,6.00,7.00,3.00,7.00,5.25,7.00,6.00,4.00,103,404,NULL,'CENTRO','JOACABA','SC',7077,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2085160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,501,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2085178,5.00,7.00,4.00,7.00,8.00,7.00,6.00,5.00,5.00,316,NULL,NULL,'FLORESTA','SAO JOSE','SC',5739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2085186,3.00,5.00,4.00,5.00,4.00,5.50,6.00,4.00,3.00,319,329,NULL,'UNIVERSITARIO','LAGES','SC',15578,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2085208,2.00,5.00,2.00,2.00,7.00,5.75,3.00,4.00,3.00,101,308,NULL,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',17438,206,378,NULL,NULL,NULL,NULL,4,1),(15,2085216,2.00,5.00,3.00,0.00,6.00,NULL,3.00,5.00,1.00,301,444,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,328,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2085232,3.00,8.00,1.00,8.00,6.00,6.75,4.00,4.00,2.00,332,318,NULL,'ESTREITO','FLORIANOPOLIS','SC',12710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085275,5.00,8.00,9.00,9.00,8.00,6.25,8.00,6.00,5.00,201,223,211,'CENTRO','FLORIANOPOLIS','SC',1407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085283,4.00,6.00,3.00,6.00,7.00,3.25,5.00,4.00,3.00,214,5,213,'CENTRO','FLORIANOPOLIS','SC',11914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085291,5.00,7.00,1.00,4.00,8.00,5.75,6.00,6.00,3.00,104,451,NULL,'KOBRASOL','SAO JOSE','SC',8817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085305,4.00,5.00,3.00,5.00,6.00,4.75,4.00,5.00,2.00,207,451,201,'CAMPECHE','FLORIANOPOLIS','SC',14848,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2085321,2.00,5.00,1.00,3.00,3.00,4.75,4.00,4.00,2.00,207,NULL,211,'CENTRO','MARAVILHA','SC',20980,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2085348,0.00,3.00,3.00,3.00,6.00,NULL,3.00,0.00,2.00,203,214,202,'JARDIM DOS PAMPAS','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2085356,6.00,7.00,5.00,7.00,8.00,4.75,5.00,7.00,3.00,103,9,NULL,'COQUEIROS','FLORIANOPOLIS','SC',6309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085364,1.00,6.00,1.00,0.00,2.00,NULL,3.00,2.00,3.00,207,425,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085372,1.00,3.00,1.00,0.00,3.00,NULL,3.00,4.00,1.00,108,333,NULL,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085380,4.00,7.00,5.00,3.00,4.00,4.50,3.00,5.00,4.00,214,327,220,'HUMAITA','TUBARAO','SC',16024,490,383,520,NULL,NULL,NULL,4,10),(15,2085399,3.00,7.00,7.00,5.00,9.00,4.50,5.00,5.00,3.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',7999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085402,0.00,3.00,1.00,5.00,3.00,5.25,4.00,3.00,2.00,308,428,NULL,'BELA VISTA','PALHOCA','SC',22247,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2085410,2.00,6.00,3.00,6.00,8.00,6.25,6.00,5.00,2.00,304,501,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',11749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085429,2.00,6.00,5.00,4.00,6.00,4.75,5.00,4.00,3.00,103,104,NULL,'CENTRO','GAROPABA','SC',14011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085453,5.00,5.00,4.00,3.00,5.00,4.50,4.00,4.00,5.00,211,234,216,'CERRO DO PARAÍSO','MARAU','RS',13800,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2085470,3.00,6.00,3.00,2.00,6.00,5.00,6.00,6.00,4.00,103,501,NULL,'CENTRO','CLEVELANDIA','PR',14016,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2085488,4.00,6.00,5.00,3.00,7.00,6.25,7.00,5.00,4.00,5,303,NULL,'JARDIM ALVORADA','MOCOCA','SP',8792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085496,5.00,6.00,7.00,6.00,5.00,5.50,8.00,7.00,8.00,103,101,NULL,'VILA HEBE','SAO PAULO','SP',4074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085500,6.00,7.00,8.00,7.00,7.00,7.75,7.00,6.00,4.00,451,450,NULL,'JARDIM ELITE','PIRACICABA','SP',2774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085526,4.00,8.00,6.00,9.00,7.00,6.00,9.00,5.00,5.00,203,202,214,'CENTRO','CAPAO BONITO','SP',2736,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2085550,2.00,4.00,5.00,6.00,8.00,7.50,6.00,5.00,3.00,207,420,238,'KOBRASOL','SAO JOSE','SC',10856,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2085577,4.00,7.00,6.00,6.00,8.00,5.75,5.00,4.00,4.00,103,102,NULL,'REBOUÇAS','CURITIBA','PR',7556,1844,756,NULL,NULL,NULL,NULL,2,1),(15,2085585,5.00,4.00,3.00,4.00,3.00,4.50,3.00,3.00,2.00,202,233,208,'CENTRO','BENTO GONCALVES','RS',19470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085593,6.00,7.00,4.00,6.00,7.00,5.00,7.00,7.00,6.00,103,102,NULL,'CENTRO','FLORIANOPOLIS','SC',4986,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2085607,3.00,4.00,5.00,3.00,5.00,6.25,7.00,5.00,4.00,203,216,NULL,'CENTRO','CAPAO DA CANOA','RS',12593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085631,2.00,8.00,3.00,7.00,6.00,4.75,2.00,6.00,3.00,317,318,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',13463,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2085640,2.00,3.00,3.00,2.00,3.00,5.00,2.00,4.00,2.00,238,222,208,'CENTRO','SAO BENTO DO SUL','SC',22405,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2085658,6.00,7.00,5.00,7.00,9.00,6.00,6.00,7.00,5.00,319,328,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',2337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085666,2.00,8.00,4.00,4.00,7.00,4.75,5.00,5.00,2.00,207,444,201,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',12977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085674,1.00,3.00,2.00,6.00,6.00,4.75,3.00,5.00,2.00,225,224,NULL,'BARREIROS','SAO JOSE','SC',18205,48,NULL,NULL,NULL,NULL,NULL,2,1),(15,2085682,3.00,7.00,5.00,6.00,8.00,6.00,4.00,7.00,3.00,303,301,NULL,'SERRARIA','SAO JOSE','SC',7546,423,525,NULL,NULL,NULL,NULL,2,1),(15,2085690,5.00,9.00,8.00,9.00,7.00,6.50,7.00,7.00,7.00,213,301,233,'CARVOEIRA','FLORIANOPOLIS','SC',1821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085704,7.00,8.00,9.00,9.00,8.00,6.75,7.00,7.00,4.00,233,2,216,'CENTRO','LAGES','SC',1223,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2085712,4.00,8.00,5.00,9.00,8.00,5.75,4.00,7.00,4.00,103,424,NULL,'CENTRO','FLORIANOPOLIS','SC',4703,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2085720,2.00,4.00,3.00,6.00,8.00,5.00,4.00,5.00,5.00,404,2,NULL,'ITACORUBI','FLORIANOPOLIS','SC',14224,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2085739,2.00,6.00,2.00,4.00,5.00,4.75,3.00,3.00,3.00,404,444,NULL,'CENTRO','DIONISIO CERQUEIRA','SC',20752,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2085747,3.00,4.00,2.00,5.00,5.00,5.75,4.00,5.00,2.00,415,451,NULL,'ITACORUBI','FLORIANOPOLIS','SC',17822,445,255,NULL,NULL,NULL,NULL,2,1),(15,2085755,7.00,9.00,6.00,6.00,8.00,4.50,8.00,8.00,5.00,5,316,NULL,'KOBRASOL','SAO JOSE','SC',2616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085763,8.00,9.00,8.00,9.00,9.00,6.50,8.00,8.00,7.00,220,202,203,'JARDIM GISELLE','TOLEDO','PR',187,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2085771,6.00,8.00,7.00,6.00,8.00,6.25,8.00,7.00,6.00,103,216,NULL,'CENTRO','CAMPINAS','SP',2051,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2085780,5.00,7.00,7.00,2.00,8.00,6.25,5.00,6.00,5.00,222,215,NULL,'CENTRO','FLORIANOPOLIS','SC',6884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085798,3.00,6.00,5.00,8.00,5.00,5.25,2.00,6.00,2.00,5,333,NULL,'PROL PALMITAL','MARILIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2085810,2.00,4.00,2.00,3.00,5.00,4.00,3.00,4.00,3.00,101,224,NULL,'FORQUILHAS','SAO JOSE','SC',21849,316,310,NULL,NULL,NULL,NULL,2,1),(15,2085828,5.00,8.00,4.00,5.00,7.00,5.50,7.00,5.00,5.00,103,216,NULL,'CENTRO','CURITIBA','PR',5945,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2085844,4.00,6.00,5.00,8.00,7.00,6.25,7.00,6.00,4.00,415,420,NULL,'ÁGUA VERDE','CURITIBA','PR',6206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085852,6.00,8.00,7.00,7.00,8.00,6.25,6.00,6.00,3.00,104,425,NULL,'N SENHORA DO ROSÁRIO','SAO JOSE','SC',4204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085879,8.00,8.00,8.00,8.00,9.00,7.00,7.00,8.00,7.00,303,5,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2085895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,233,201,'CERQUEIRA CESAR','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2085917,2.00,6.00,3.00,1.00,7.00,4.75,5.00,7.00,3.00,5,318,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',14453,625,444,NULL,NULL,NULL,NULL,4,1),(15,2085925,4.00,6.00,3.00,7.00,6.00,5.00,3.00,6.00,5.00,103,304,NULL,'SÃO FRANCISCO','GARIBALDI','RS',11460,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2085933,4.00,8.00,7.00,8.00,6.00,5.00,6.00,4.00,5.00,215,211,216,'POMPEIA','SAO PAULO','SP',5142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2085941,5.00,7.00,3.00,4.00,8.00,6.50,3.00,4.00,2.00,211,316,212,'VARGEM DO CEDRO','SAO MARTINHO','SC',13276,468,991,273,NULL,NULL,NULL,2,10),(15,2085950,3.00,3.00,1.00,5.00,3.00,4.50,2.00,2.00,1.00,103,101,NULL,'CENTRO','SORRISO','MT',22495,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2085976,2.00,8.00,1.00,7.00,6.00,6.00,7.00,8.00,3.00,331,217,NULL,'JARDIM PEDREIRAS','FRANCA','SP',8785,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2085984,7.00,8.00,7.00,9.00,7.00,5.75,7.00,7.00,5.00,102,215,NULL,'FUNDO CANOAS','RIO DO SUL','SC',1967,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2085992,7.00,6.00,7.00,6.00,8.00,7.00,9.00,8.00,8.00,103,502,NULL,'JABOTICABEIRAS','TAUBATE','SP',890,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2086018,2.00,4.00,4.00,4.00,7.00,4.25,3.00,4.00,2.00,444,333,NULL,'BARREIROS','SAO JOSE','SC',19344,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2086026,2.00,3.00,0.00,2.00,1.00,NULL,1.00,3.00,2.00,502,NULL,NULL,'BELA VISTA','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2086034,4.00,8.00,3.00,5.00,8.00,6.00,4.00,5.00,1.00,301,215,NULL,'ST BUENO','GOIANIA','GO',11526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086042,3.00,8.00,4.00,5.00,8.00,5.00,8.00,7.00,2.00,420,310,NULL,'VILA LALAU','JARAGUA DO SUL','SC',8351,157,109,NULL,NULL,NULL,NULL,2,8),(15,2086050,6.00,6.00,5.00,8.00,8.00,6.50,5.00,4.00,4.00,404,316,NULL,'GLÓRIA','JOINVILLE','SC',7474,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2086069,5.00,7.00,7.00,6.00,8.00,5.00,8.00,5.00,4.00,9,424,NULL,'SANTO ANTÔNIO DE LIS','FLORIANOPOLIS','SC',4146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,NULL,'VILA SUISSA','MOGI DAS CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2086123,6.00,8.00,6.00,7.00,8.00,8.00,7.00,7.00,7.00,2,NULL,NULL,'JUSSARA','MORRO DA FUMACA','SC',1099,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2086131,4.00,7.00,4.00,5.00,6.00,6.50,4.00,5.00,5.00,211,502,215,'JARDIM DAS AVENIDAS','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2086140,3.00,7.00,1.00,7.00,8.00,6.00,2.00,5.00,2.00,303,304,NULL,'CENTRO','CURITIBA','PR',14737,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2086158,4.00,6.00,2.00,5.00,7.00,6.00,3.00,8.00,3.00,5,333,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',12576,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2086166,2.00,6.00,2.00,5.00,7.00,6.50,7.00,7.00,2.00,415,327,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',11285,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2086182,3.00,8.00,4.00,8.00,5.00,6.00,5.00,6.00,2.00,303,308,NULL,'PITUBA','SALVADOR','BA',9347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086190,4.00,6.00,6.00,7.00,8.00,6.75,5.00,7.00,4.00,420,426,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',5998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086204,3.00,5.00,2.00,4.00,7.00,5.25,2.00,5.00,3.00,444,101,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',16772,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2086212,3.00,6.00,3.00,7.00,6.00,5.75,5.00,8.00,4.00,328,501,NULL,'CAMPECHE','FLORIANOPOLIS','SC',9198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086220,4.00,6.00,5.00,7.00,8.00,5.25,5.00,6.00,4.00,316,224,NULL,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',7473,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2086239,7.00,9.00,7.00,9.00,9.00,7.00,7.00,8.00,7.00,103,NULL,NULL,'ASA NORTE','BRASILIA','DF',698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086247,4.00,6.00,5.00,6.00,7.00,8.50,5.00,4.00,3.00,319,9,NULL,'ITACORUBI','FLORIANOPOLIS','SC',8214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086255,5.00,7.00,4.00,6.00,7.00,4.50,2.00,2.00,2.00,102,101,NULL,'CENTRO','SETE BARRAS','SP',14298,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2086280,6.00,6.00,5.00,5.00,8.00,4.50,8.00,5.00,7.00,203,NULL,214,'CENTRO','RIBEIRAO PRETO','SP',5228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086298,5.00,6.00,6.00,4.00,8.00,4.00,6.00,6.00,4.00,103,102,NULL,'JARDIM ITALIA','CHAPECO','SC',8075,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2086301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'ACLIMAÇÃO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2086310,4.00,7.00,7.00,3.00,7.00,5.00,5.00,5.00,5.00,318,444,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',7973,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2086328,3.00,3.00,1.00,2.00,1.00,NULL,1.00,3.00,1.00,303,NULL,NULL,'ABRAÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2086336,1.00,7.00,5.00,6.00,6.00,5.75,5.00,4.00,2.00,333,444,NULL,'BORGES DE MEDEIROS','MARAU','RS',14199,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2086344,5.00,8.00,7.00,6.00,8.00,6.25,7.00,8.00,4.00,103,108,NULL,'TRINDADE','FLORIANOPOLIS','SC',3008,1039,564,NULL,NULL,NULL,NULL,4,1),(15,2086352,0.00,6.00,2.00,7.00,4.00,1.50,3.00,1.00,2.00,102,217,NULL,'FLORDENÁPOLIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2086360,3.00,5.00,2.00,5.00,5.00,4.00,3.00,4.00,3.00,316,101,NULL,'IPIRANGA','SAO JOSE','SC',19167,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2086379,2.00,6.00,3.00,7.00,6.00,3.75,4.00,1.00,3.00,104,217,NULL,'CORAL','LAGES','SC',17557,567,484,NULL,NULL,NULL,NULL,2,9),(15,2086387,6.00,9.00,8.00,5.00,8.00,5.75,8.00,5.00,4.00,103,207,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',2892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,208,'CONSOLAÇÃO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2086417,4.00,8.00,5.00,7.00,5.00,4.00,6.00,6.00,4.00,201,212,211,'GLÓRIA','JOINVILLE','SC',7462,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2086425,2.00,4.00,0.00,6.00,8.00,5.00,2.00,1.00,1.00,302,309,NULL,'SERRARIA','SAO JOSE','SC',20357,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2086433,4.00,6.00,7.00,3.00,4.00,5.50,5.00,7.00,3.00,220,NULL,NULL,'CENTRO','VILHENA','RO',10920,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2086441,4.00,6.00,7.00,5.00,8.00,5.75,9.00,6.00,4.00,203,NULL,201,'JARDIM BRASÍLIA','PAICANDU','PR',4898,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2086450,4.00,7.00,5.00,3.00,7.00,4.75,5.00,6.00,2.00,238,211,NULL,'SANTA TERESA','SAO PEDRO DE ALCANTARA','SC',11935,421,875,NULL,NULL,NULL,NULL,4,1),(15,2086468,3.00,7.00,4.00,7.00,6.00,4.00,3.00,6.00,4.00,501,217,NULL,'SÃO LUIZ','CURITIBANOS','SC',11226,96,386,NULL,NULL,NULL,NULL,2,9),(15,2086476,3.00,6.00,4.00,7.00,8.00,6.25,2.00,4.00,2.00,319,303,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',12061,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2086484,2.00,7.00,4.00,6.00,5.00,3.50,5.00,3.00,2.00,103,201,NULL,'ZONA CINCO','MARINGA','PR',17295,2820,NULL,NULL,NULL,NULL,NULL,2,1),(15,2086492,7.00,9.00,8.00,6.00,6.00,6.50,8.00,8.00,5.00,103,201,NULL,'MONTE LIBANO','CAMPO GRANDE','MS',1566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086506,4.00,7.00,5.00,6.00,8.00,5.75,4.00,5.00,2.00,207,427,NULL,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',9204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086514,5.00,8.00,5.00,5.00,6.00,4.75,7.00,6.00,5.00,216,202,211,'EFAPI','CHAPECO','SC',6687,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2086522,2.00,7.00,3.00,4.00,8.00,5.25,5.00,5.00,3.00,303,5,NULL,'PASSO DOS FORTES','CHAPECO','SC',13039,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2086530,3.00,6.00,4.00,7.00,6.00,5.75,2.00,2.00,2.00,101,NULL,NULL,'RIO CAVEIRAS','BIGUACU','SC',16787,186,NULL,NULL,NULL,NULL,NULL,2,1),(15,2086549,4.00,4.00,2.00,7.00,5.00,5.25,2.00,7.00,4.00,332,424,NULL,'FORQUILHINHAS','SAO JOSE','SC',14814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2086557,4.00,7.00,5.00,7.00,8.00,5.75,8.00,7.00,5.00,220,202,203,'ASILO','BLUMENAU','SC',4058,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2086573,4.00,8.00,5.00,5.00,5.00,6.25,6.00,5.00,3.00,211,428,201,'CAMAQUA','PORTO ALEGRE','RS',10022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086581,7.00,7.00,9.00,7.00,8.00,6.00,9.00,7.00,8.00,103,214,NULL,'PARQUE SÃO JORGE','FLORIANOPOLIS','SC',718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086603,1.00,6.00,4.00,6.00,8.00,6.00,6.00,5.00,3.00,9,415,NULL,'CENTRO','CACADOR','SC',10886,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2086611,7.00,8.00,8.00,5.00,7.00,8.00,5.00,6.00,3.00,103,5,NULL,'MONTE CLARO','SAO JOAQUIM','SC',3831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2086620,7.00,9.00,4.00,6.00,8.00,5.00,6.00,7.00,3.00,103,303,NULL,'CENTRO','ANASTACIO','MS',4860,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2086638,6.00,7.00,8.00,8.00,7.00,6.00,7.00,9.00,6.00,207,222,201,'CAMPINAS','SAO JOSE','SC',1441,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2086646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,9,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(15,2086654,2.00,4.00,2.00,0.00,6.00,NULL,1.00,5.00,0.00,211,108,220,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2086662,4.00,6.00,3.00,2.00,5.00,5.00,3.00,5.00,4.00,201,404,207,'CENTRO','LAGUNA','SC',17187,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2086689,5.00,8.00,3.00,4.00,8.00,5.00,4.00,7.00,2.00,303,326,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',10028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086697,2.00,3.00,2.00,5.00,6.00,3.50,2.00,3.00,4.00,220,214,233,'CENTRO','CAPAO BONITO','SP',20502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086700,6.00,9.00,6.00,6.00,9.00,6.25,5.00,6.00,5.00,216,201,215,'JARDIM BLUMENAU','BLUMENAU','SC',3311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086719,3.00,6.00,5.00,0.00,8.00,NULL,6.00,6.00,2.00,202,2,214,'ITOPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2086727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,324,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2086735,4.00,8.00,5.00,4.00,8.00,5.50,6.00,7.00,4.00,104,333,NULL,'CONTA DINHEIRO','LAGES','SC',7166,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2086743,6.00,7.00,6.00,6.00,7.00,6.75,6.00,6.00,4.00,103,102,NULL,'MAR GROSSO','LAGUNA','SC',4638,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2086751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'PINHEIRINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2086760,3.00,5.00,2.00,1.00,7.00,3.50,2.00,3.00,3.00,451,310,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',21339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086778,5.00,7.00,6.00,7.00,6.00,5.25,7.00,6.00,4.00,220,202,233,'JARDIM DOS PRÍNCIPES','UMUARAMA','PR',5584,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2086786,5.00,5.00,6.00,1.00,5.00,4.50,7.00,6.00,6.00,216,215,211,'CABRAL','CURITIBA','PR',10366,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2086808,4.00,7.00,5.00,5.00,5.00,4.50,4.00,7.00,3.00,108,333,NULL,'JARDIM SÃO LUCAS','VARGEM GRANDE PAULISTA','SP',11279,239,699,NULL,NULL,NULL,NULL,4,1),(15,2086816,0.00,0.00,0.00,1.00,6.00,NULL,0.00,0.00,0.00,303,238,NULL,'JARIVATUBA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(15,2086832,5.00,7.00,3.00,6.00,8.00,6.75,7.00,8.00,5.00,415,327,NULL,'ITACORUBI','FLORIANOPOLIS','SC',4626,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2086840,4.00,6.00,3.00,6.00,9.00,6.25,5.00,6.00,4.00,211,329,207,'TRINDADE','FLORIANOPOLIS','SC',7863,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2086859,0.00,7.00,1.00,5.00,7.00,5.50,3.00,5.00,4.00,103,102,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2086867,2.00,4.00,2.00,3.00,3.00,5.50,4.00,4.00,3.00,103,101,NULL,'CENTRO','CAMBORIU','SC',20264,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2086875,1.00,6.00,2.00,0.00,7.00,5.00,4.00,1.00,2.00,319,238,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',21525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,451,NULL,'PARATI','MARILIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2086905,4.00,7.00,4.00,9.00,7.00,5.25,5.00,7.00,4.00,5,318,NULL,'COQUEIROS','FLORIANOPOLIS','SC',6311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086913,2.00,5.00,6.00,2.00,6.00,5.50,3.00,3.00,3.00,103,303,NULL,'BALNEARIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,324,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2086948,4.00,6.00,0.00,1.00,6.00,NULL,3.00,4.00,2.00,102,217,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086956,2.00,6.00,3.00,5.00,3.00,5.00,4.00,3.00,4.00,451,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',19698,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2086964,4.00,7.00,2.00,5.00,8.00,7.00,3.00,5.00,2.00,319,308,NULL,'CENTRO','FLORIANOPOLIS','SC',11852,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2086972,1.00,5.00,0.00,2.00,1.00,NULL,3.00,2.00,0.00,316,308,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2086980,7.00,7.00,7.00,3.00,9.00,4.00,9.00,6.00,6.00,103,5,NULL,'BIGORRILHO','CURITIBA','PR',4499,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2086999,3.00,6.00,2.00,6.00,5.00,6.00,4.00,5.00,2.00,238,2,208,'COLONINHA','FLORIANOPOLIS','SC',15971,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2087006,0.00,3.00,0.00,3.00,2.00,NULL,3.00,5.00,2.00,208,214,238,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2087022,3.00,4.00,7.00,6.00,8.00,5.50,5.00,6.00,3.00,444,332,NULL,'ESTREITO','FLORIANOPOLIS','SC',8493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087057,3.00,6.00,5.00,3.00,8.00,5.50,4.00,4.00,4.00,207,420,211,'RIO TAVARES','FLORIANOPOLIS','SC',11906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087065,6.00,6.00,5.00,8.00,7.00,6.25,6.00,6.00,6.00,207,415,215,'HARMONIA','CANOAS','RS',4470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087073,6.00,8.00,9.00,8.00,9.00,6.50,8.00,7.00,6.00,103,104,NULL,'TRINDADE','FLORIANOPOLIS','SC',799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087081,3.00,9.00,7.00,8.00,9.00,6.25,6.00,9.00,5.00,303,501,NULL,'CENTRO','FLORIANOPOLIS','SC',2369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,101,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2087120,5.00,9.00,8.00,8.00,8.00,7.50,9.00,7.00,7.00,103,102,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087138,4.00,7.00,4.00,3.00,6.00,4.50,5.00,5.00,2.00,501,502,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',13993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2087146,0.00,3.00,2.00,5.00,4.00,4.75,2.00,3.00,2.00,9,215,NULL,'INGLESES','FLORIANOPOLIS','SC',22258,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2087162,6.00,7.00,8.00,5.00,7.00,6.75,7.00,5.00,4.00,207,317,201,'ITACORUBI','FLORIANOPOLIS','SC',4666,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2087170,3.00,5.00,3.00,9.00,6.00,5.25,4.00,2.00,2.00,502,424,NULL,'BALENARIO DOESTREITO','FLORIANOPOLIS','SC',13473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087189,3.00,6.00,2.00,6.00,4.00,5.00,3.00,5.00,2.00,108,326,NULL,'BREJARU','PALHOCA','SC',17490,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2087197,5.00,8.00,8.00,7.00,9.00,4.50,8.00,8.00,7.00,207,420,NULL,'JARDIM PAIQUERE','VALINHOS','SP',1447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087200,7.00,8.00,9.00,8.00,8.00,6.25,9.00,8.00,8.00,203,301,NULL,'MARAMBAIA','VINHEDO','SP',293,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2087219,8.00,9.00,9.00,8.00,8.00,7.50,8.00,7.00,4.00,203,320,220,'KOBRASOL','SAO JOSE','SC',817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087227,3.00,4.00,7.00,7.00,4.00,5.75,7.00,5.00,4.00,202,208,214,'CENTRO','TURVO','SC',10158,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2087235,6.00,6.00,7.00,8.00,6.00,6.75,8.00,7.00,5.00,9,215,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',3419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087243,0.00,0.00,0.00,6.00,5.00,NULL,1.00,6.00,1.00,203,220,202,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,2),(15,2087260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,333,203,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2087278,2.00,6.00,3.00,9.00,6.00,6.00,6.00,6.00,4.00,238,212,208,'CHÁCARA AREAL','INDAIATUBA','SP',8040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087286,4.00,8.00,7.00,2.00,6.00,5.50,7.00,7.00,4.00,202,214,203,'ANDORINHA','ITAPEMA','SC',7088,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2087294,6.00,7.00,6.00,7.00,6.00,5.25,8.00,6.00,6.00,208,223,238,'FORQUILHINHAS','SAO JOSE','SC',2902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,324,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2087316,3.00,7.00,6.00,8.00,7.00,5.25,7.00,5.00,6.00,301,316,NULL,'CENTRO','CORUPA','SC',5012,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2087340,3.00,6.00,7.00,5.00,8.00,6.75,8.00,5.00,4.00,207,224,208,'CAMPINAS','SAO JOSE','SC',6699,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2087359,5.00,7.00,8.00,2.00,7.00,7.00,7.00,6.00,4.00,103,2,NULL,'CENTRO','SANTA MARIA','RS',4967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087367,4.00,6.00,8.00,6.00,7.00,7.00,5.00,5.00,4.00,103,415,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',6373,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2087375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','MARMELEIRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2087383,3.00,9.00,3.00,4.00,7.00,7.00,5.00,7.00,3.00,304,326,NULL,'VILA IPÊ','CAMPINAS','SP',9078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,212,213,'OFICINAS','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2087405,2.00,6.00,2.00,6.00,7.00,6.25,5.00,7.00,4.00,207,420,201,'PRESIDENTE KENNEDY','FRANCISCO BELTRAO','PR',10382,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2087413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,420,NULL,'ABERTA DOS MORROS','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2087421,5.00,7.00,1.00,6.00,8.00,3.00,6.00,7.00,4.00,304,328,NULL,'CENTRO','FLORIANOPOLIS','SC',9808,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2087430,6.00,6.00,7.00,6.00,8.00,5.00,5.00,7.00,4.00,203,220,214,'CENTRO','ANAPOLIS','GO',4901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087448,5.00,9.00,6.00,8.00,8.00,6.25,7.00,6.00,5.00,211,NULL,216,'ATIRADORES','JOINVILLE','SC',3349,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2087464,1.00,4.00,2.00,0.00,4.00,NULL,2.00,5.00,0.00,444,108,NULL,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087472,3.00,7.00,3.00,5.00,6.00,6.00,6.00,7.00,2.00,301,304,NULL,'NS ROSARIO','SAO JOSE','SC',9929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087499,3.00,2.00,1.00,5.00,4.00,5.50,4.00,3.00,1.00,102,101,NULL,'CENTRO','CONCORDIA','SC',20650,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2087502,7.00,7.00,6.00,4.00,6.00,5.00,8.00,6.00,7.00,103,NULL,NULL,'VILA NOVA','JARAGUA DO SUL','SC',3129,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2087510,0.00,2.00,1.00,5.00,4.00,NULL,4.00,1.00,2.00,319,426,NULL,'TAPERA BASE AÉREA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2087529,0.00,3.00,2.00,1.00,5.00,NULL,2.00,3.00,2.00,308,319,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2087537,4.00,7.00,5.00,7.00,8.00,5.75,4.00,6.00,4.00,103,102,NULL,'CRISTO REI','CURITIBA','PR',8946,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2087545,1.00,4.00,1.00,4.00,6.00,5.00,2.00,4.00,2.00,102,9,NULL,'BARREIROS','SAO JOSE','SC',21156,485,734,NULL,NULL,NULL,NULL,4,1),(15,2087553,4.00,8.00,8.00,7.00,9.00,6.75,8.00,7.00,5.00,103,NULL,NULL,'BOSQUE DAS MANSOES','SAO JOSE','SC',1784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087570,4.00,4.00,2.00,3.00,5.00,4.50,2.00,4.00,2.00,316,319,NULL,'TRINDADE','FLORIANOPOLIS','SC',20809,631,940,NULL,NULL,NULL,NULL,4,1),(15,2087588,6.00,8.00,4.00,9.00,6.00,5.50,5.00,8.00,3.00,318,316,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',4481,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2087600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,214,NULL,'SETOR DOS AFONSOS','APARECIDA DE GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2087618,5.00,6.00,6.00,5.00,9.00,5.75,5.00,4.00,4.00,201,317,212,'CAMPINAS','SAO JOSE','SC',8181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087634,2.00,7.00,5.00,8.00,6.00,5.75,4.00,7.00,2.00,208,220,238,'PANTANAL','FLORIANOPOLIS','SC',9430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087642,1.00,1.00,3.00,1.00,2.00,NULL,2.00,2.00,1.00,333,234,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2087669,4.00,7.00,3.00,3.00,5.00,5.50,3.00,7.00,2.00,303,326,NULL,'JARDIM SÃO MIGUEL','BIGUACU','SC',13429,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087677,4.00,6.00,6.00,5.00,6.00,6.75,7.00,7.00,5.00,202,318,213,'JARDIM SULMATE','DOURADOS','MS',5942,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2087685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'JARDIM VILA ROMANA','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2087693,4.00,6.00,1.00,3.00,6.00,5.50,6.00,4.00,5.00,9,326,NULL,'BARREIROS','SAO JOSE','SC',13464,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2087707,3.00,5.00,5.00,4.00,6.00,5.50,3.00,5.00,2.00,319,451,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087715,8.00,6.00,7.00,9.00,9.00,8.25,7.00,6.00,7.00,303,5,NULL,'EMBARÉ','SANTOS','SP',942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087723,7.00,8.00,8.00,7.00,8.00,6.00,9.00,9.00,7.00,101,444,NULL,'COQUEIROS','FLORIANOPOLIS','SC',468,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2087731,4.00,6.00,7.00,7.00,7.00,5.75,7.00,5.00,5.00,501,108,NULL,'TRINDADE','FLORIANOPOLIS','SC',4462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087740,6.00,7.00,9.00,6.00,8.00,5.75,9.00,8.00,8.00,103,104,NULL,'CLAUDETE','CASCAVEL','PR',999,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2087758,4.00,7.00,5.00,6.00,8.00,5.50,5.00,5.00,3.00,9,215,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',7851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087766,1.00,6.00,4.00,6.00,4.00,5.50,3.00,4.00,5.00,303,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087774,2.00,6.00,4.00,6.00,8.00,5.50,5.00,3.00,2.00,207,420,201,'SANTO ANTÔNIO','CRICIUMA','SC',14070,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2087782,1.00,6.00,7.00,6.00,6.00,4.50,6.00,7.00,6.00,203,214,202,'ARMAÇÃO DO PÂNTANO D','FLORIANOPOLIS','SC',7408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087790,2.00,4.00,2.00,5.00,5.00,5.00,1.00,2.00,0.00,303,NULL,NULL,'FLORESA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2087804,3.00,4.00,1.00,6.00,7.00,6.75,4.00,2.00,4.00,101,102,NULL,'FLORESTA','SAO JOSE','SC',15898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2087812,8.00,7.00,6.00,6.00,8.00,6.00,9.00,7.00,5.00,207,NULL,201,'CENTRO','PALHOCA','SC',2434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087820,3.00,7.00,2.00,4.00,6.00,5.50,7.00,6.00,4.00,214,213,212,'CENTRO','CERQUILHO','SP',12153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087839,0.00,6.00,6.00,6.00,6.00,5.25,5.00,4.00,3.00,201,304,212,'CENTRO','CONCORDIA','SC',12431,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2087847,2.00,5.00,3.00,7.00,6.00,6.75,6.00,8.00,1.00,108,451,NULL,'JARDIM BELA VISTA','SANTO ANDRE','SP',10658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087855,6.00,7.00,5.00,7.00,8.00,6.00,5.00,8.00,3.00,103,303,NULL,'JARDIM AMERICA','ANAPOLIS','GO',4517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2087871,7.00,8.00,5.00,7.00,6.00,6.00,7.00,8.00,7.00,103,303,NULL,'SAO BRAZ','CURITIBA','PR',1794,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(15,2087880,0.00,3.00,2.00,4.00,3.00,NULL,3.00,2.00,2.00,309,423,NULL,'CENTRO','SAO JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2087898,6.00,8.00,3.00,7.00,7.00,4.50,5.00,6.00,3.00,203,108,216,'INGLESES','FLORIANOPOLIS','SC',9104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2087901,3.00,7.00,4.00,2.00,7.00,6.00,3.00,6.00,3.00,420,207,NULL,'COMERCIÁRIO','CRICIUMA','SC',14833,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2087910,7.00,8.00,5.00,7.00,8.00,4.25,7.00,8.00,3.00,207,420,NULL,'ANITA GARIBALDI','JOINVILLE','SC',4266,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2087928,0.00,5.00,2.00,4.00,3.00,5.50,3.00,4.00,2.00,208,238,202,'CENTRO','CAPIVARI DE BAIXO','SC',21753,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2087936,3.00,6.00,4.00,2.00,7.00,5.50,3.00,6.00,1.00,103,319,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',15947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2087944,3.00,7.00,4.00,3.00,7.00,5.50,5.00,8.00,3.00,501,502,NULL,'CENTRO','IRANI','SC',10073,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2087960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,424,NULL,'CENTRO','BOITUVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2087979,2.00,6.00,2.00,4.00,4.00,3.25,3.00,5.00,2.00,5,324,NULL,'KOBRASOL','SAO JOSE','SC',19962,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2087995,8.00,8.00,8.00,7.00,8.00,6.25,8.00,7.00,6.00,207,233,201,'CENTRO','PORTO UNIAO','SC',1119,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2088002,7.00,8.00,8.00,6.00,7.00,5.75,7.00,7.00,3.00,103,303,NULL,'CENTRO','LAGES','SC',3294,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2088010,3.00,6.00,6.00,5.00,7.00,5.00,6.00,8.00,3.00,5,202,NULL,'CENTRO','TAPEJARA','PR',7817,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2088037,2.00,4.00,1.00,0.00,5.00,NULL,3.00,2.00,1.00,215,102,207,'DAS NAÇÕES','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088045,3.00,7.00,6.00,8.00,7.00,7.50,7.00,6.00,3.00,104,339,NULL,'CENTRO','FLORIANOPOLIS','SC',5285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088053,3.00,5.00,6.00,4.00,2.00,NULL,0.00,0.00,0.00,238,208,202,'ALTO PEREQUE','PORTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2088061,2.00,6.00,2.00,7.00,6.00,4.75,6.00,7.00,3.00,310,320,NULL,'ESTREITO','FLORIANOPOLIS','SC',11777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2088070,2.00,6.00,3.00,5.00,5.00,4.50,6.00,3.00,2.00,420,238,NULL,'BARREIROS','SAO JOSE','SC',17481,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2088096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,207,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2088100,3.00,7.00,7.00,8.00,7.00,5.50,5.00,6.00,1.00,202,214,213,'CENTRO','ITAJUBA','MG',7770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088118,6.00,7.00,5.00,4.00,8.00,7.25,9.00,4.00,6.00,104,102,NULL,'JARDIM SÃO LOURENÇO','CAMPO GRANDE','MS',5156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088134,6.00,9.00,6.00,4.00,8.00,5.75,7.00,8.00,5.00,9,421,NULL,'ROÇADO','SAO JOSE','SC',3674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,415,NULL,'CALAFATE','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2088150,4.00,4.00,4.00,2.00,4.00,7.25,3.00,3.00,3.00,104,102,NULL,'CENTRO','PONTA GROSSA','PR',17864,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2088169,5.00,7.00,5.00,7.00,7.00,5.50,7.00,6.00,4.00,216,234,211,'CENTRO','TUBARAO','SC',5356,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2088177,2.00,5.00,3.00,3.00,5.00,5.50,2.00,3.00,2.00,302,317,NULL,'FORQUILHAS','SAO JOSE','SC',20922,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2088185,2.00,3.00,2.00,2.00,7.00,4.50,4.00,3.00,2.00,320,104,NULL,'BELA VISTA','PALHOCA','SC',21338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088193,8.00,7.00,7.00,9.00,8.00,5.75,9.00,8.00,8.00,103,NULL,NULL,'CENTRO','ITATIBA','SP',389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088207,7.00,8.00,5.00,8.00,8.00,8.00,6.00,8.00,4.00,415,301,NULL,'IMIGRANTE','CAMPO BOM','RS',2162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,201,207,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2088223,4.00,4.00,5.00,7.00,6.00,6.00,6.00,7.00,1.00,404,451,NULL,'CENTRO','FLORIANOPOLIS','SC',10245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,450,NULL,'VILA ALEMANHA','LUZERNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2088258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2088274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DOS ESTADOS','POCOS DE CALDAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2088282,3.00,5.00,5.00,5.00,4.00,5.25,4.00,2.00,1.00,317,424,NULL,'CAMPECHE','FLORIANOPOLIS','SC',18526,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2088290,3.00,7.00,5.00,7.00,7.00,6.75,6.00,4.00,2.00,5,222,NULL,'TRINDADE','FLORIANOPOLIS','SC',7261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2088312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,420,NULL,'JARDIM MARTINELLI','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2088320,0.00,5.00,3.00,0.00,2.00,NULL,3.00,3.00,3.00,238,5,216,'CENTRO','IRATI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2088339,1.00,5.00,4.00,7.00,5.00,4.75,3.00,3.00,2.00,428,308,426,'KOBRASOL','SAO JOSE','SC',18366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2088347,2.00,7.00,6.00,7.00,7.00,6.25,7.00,8.00,4.00,404,333,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',5564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088355,7.00,8.00,8.00,8.00,8.00,7.25,7.00,7.00,6.00,304,333,NULL,'CENTRO','FLORIANOPOLIS','SC',612,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2088363,3.00,5.00,2.00,3.00,7.00,6.00,3.00,4.00,1.00,108,415,NULL,'CARIANOS','FLORIANOPOLIS','SC',18024,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2088371,4.00,5.00,4.00,7.00,7.00,6.25,3.00,1.00,3.00,425,444,429,'BARREIROS','SAO JOSE','SC',13491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088380,1.00,5.00,2.00,4.00,6.00,2.25,3.00,4.00,2.00,308,339,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2088398,5.00,6.00,9.00,5.00,8.00,6.50,9.00,4.00,5.00,202,NULL,220,'JARAGUÁ ESQUERDO','JARAGUA DO SUL','SC',3781,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2088410,5.00,8.00,5.00,4.00,8.00,5.25,5.00,6.00,2.00,238,222,208,'PICADAS DO SUL','SAO JOSE','SC',8514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088428,2.00,2.00,1.00,1.00,3.00,NULL,2.00,2.00,1.00,101,2,NULL,'CENTRO','SAUDADES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2088436,4.00,6.00,7.00,9.00,7.00,6.50,5.00,7.00,5.00,502,501,NULL,'CAMPECHE','FLORIANOPOLIS','SC',4305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088444,2.00,7.00,4.00,4.00,4.00,6.00,4.00,3.00,5.00,108,308,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2088452,6.00,6.00,3.00,5.00,6.00,5.00,6.00,7.00,4.00,302,2,NULL,'PONTA DE BAIXO','SAO JOSE','SC',8981,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2088460,4.00,5.00,1.00,4.00,6.00,4.75,3.00,5.00,2.00,309,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',17828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088479,4.00,5.00,1.00,3.00,7.00,5.50,4.00,7.00,2.00,303,208,NULL,'ITOUPAVA SECA','BLUMENAU','SC',15780,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2088509,5.00,8.00,5.00,4.00,6.00,4.00,8.00,7.00,4.00,202,303,NULL,'INTERIOR','PRESIDENTE CASTELO BRANCO','SC',6188,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2088525,5.00,8.00,5.00,8.00,7.00,4.00,4.00,5.00,3.00,304,318,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',7794,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,214,220,'JARDIM SANTA CECÍLIA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2088541,6.00,7.00,5.00,0.00,5.00,5.75,6.00,4.00,3.00,208,202,238,'NIRVANA','ATIBAIA','SP',11647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088550,7.00,9.00,6.00,9.00,8.00,5.50,8.00,8.00,5.00,450,310,NULL,'CENTRO','FLORIANOPOLIS','SC',1352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088568,3.00,5.00,4.00,2.00,5.00,5.75,5.00,4.00,3.00,211,NULL,NULL,'SANTA LÚCIA','PALMITOS','SC',17184,601,NULL,NULL,NULL,NULL,NULL,4,4),(15,2088576,8.00,9.00,7.00,8.00,9.00,6.50,9.00,8.00,6.00,108,102,NULL,'RIO GRANDE','PALHOCA','SC',429,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'FAZENDA ARICANDUVA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2088592,6.00,6.00,6.00,5.00,7.00,4.25,7.00,6.00,7.00,203,201,213,'CENTRO','RIBEIRAO PRETO','SP',6075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088606,3.00,6.00,1.00,5.00,8.00,6.00,4.00,5.00,5.00,103,104,NULL,'BORTOLON','XANXERE','SC',10788,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2088614,6.00,7.00,6.00,5.00,8.00,5.75,7.00,7.00,5.00,216,217,215,'CENTRO','FLORIANOPOLIS','SC',3177,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2088649,4.00,7.00,9.00,6.00,9.00,6.00,7.00,6.00,5.00,5,326,NULL,'CENTRO','FLORIANOPOLIS','SC',1962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088657,2.00,4.00,1.00,5.00,7.00,5.50,5.00,3.00,2.00,104,303,NULL,'ESTREITO','FLORIANOPOLIS','SC',18184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088665,3.00,7.00,5.00,5.00,6.00,5.50,6.00,4.00,3.00,317,215,NULL,'CENTRO','FLORIANOPOLIS','SC',11168,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2088681,7.00,8.00,3.00,6.00,9.00,5.75,8.00,7.00,4.00,102,421,NULL,'BELA VISTA II','SAO JOSE','SC',3464,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2088703,3.00,5.00,5.00,4.00,7.00,5.50,3.00,5.00,5.00,302,328,NULL,'ESTREITO','FLORIANOPOLIS','SC',11474,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2088711,1.00,7.00,7.00,6.00,8.00,6.75,6.00,6.00,3.00,220,208,203,'CENTRO','CAMBORIU','SC',7472,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2088720,2.00,3.00,2.00,4.00,5.00,5.50,3.00,4.00,4.00,102,108,NULL,'SÃO CRISTÓVÃO','LAGES','SC',19950,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2088746,2.00,5.00,0.00,1.00,4.00,NULL,5.00,3.00,3.00,319,NULL,NULL,'BOA VISTA','SAO VICENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088754,8.00,7.00,8.00,1.00,8.00,7.00,8.00,6.00,7.00,103,NULL,NULL,'VILA BELA','BAURU','SP',2812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088762,6.00,7.00,2.00,3.00,7.00,6.00,5.00,6.00,3.00,103,NULL,NULL,'VL UNIVERSITÁRIA','BAURU','SP',11247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088770,3.00,5.00,0.00,6.00,6.00,NULL,4.00,3.00,2.00,102,9,NULL,'CANOAS','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2088789,3.00,4.00,4.00,5.00,3.00,4.50,4.00,3.00,4.00,303,5,NULL,'FAZENDA','ITAJAI','SC',18950,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2088797,2.00,6.00,3.00,5.00,7.00,6.25,3.00,8.00,3.00,103,319,NULL,'SÃO CRISTOVÃO','SAO JOSE DO CEDRO','SC',11468,2311,740,NULL,NULL,NULL,NULL,2,4),(15,2088800,2.00,4.00,1.00,4.00,8.00,5.50,6.00,7.00,3.00,103,333,NULL,'CENTRO','ITAPEMA','SC',14728,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2088819,2.00,5.00,4.00,6.00,4.00,3.25,4.00,5.00,2.00,320,423,NULL,'COLONIA DONA LUIZA','PONTA GROSSA','PR',18700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2088827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,220,'JD NOVO HORIZONTE','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2088835,2.00,5.00,5.00,8.00,6.00,4.25,5.00,3.00,2.00,216,217,NULL,'JARDIM ELDORADO','CAMBE','PR',14427,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2088843,3.00,8.00,6.00,8.00,7.00,6.25,7.00,6.00,4.00,450,415,NULL,'CENTRO','JARAGUA DO SUL','SC',4608,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2088851,6.00,8.00,6.00,8.00,8.00,6.25,7.00,6.00,5.00,108,428,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',2445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088860,3.00,6.00,6.00,4.00,7.00,4.25,5.00,5.00,3.00,415,332,NULL,'RIO MAINA','CRICIUMA','SC',12409,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2088886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2088908,4.00,6.00,4.00,8.00,7.00,5.00,4.00,5.00,2.00,202,NULL,NULL,'CENTRO','JOINVILLE','SC',9238,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2088916,7.00,7.00,9.00,8.00,9.00,7.75,8.00,8.00,8.00,103,108,NULL,'ESTREITO','FLORIANOPOLIS','SC',295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088924,0.00,5.00,1.00,3.00,4.00,6.25,4.00,3.00,4.00,104,102,NULL,'CENTRO','SAO LOURENCO DO OESTE','SC',19760,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2088932,6.00,8.00,5.00,6.00,8.00,4.75,7.00,8.00,5.00,202,238,208,'IPIRANGA','SAO JOSE','SC',4082,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2088940,2.00,6.00,2.00,5.00,4.00,4.00,6.00,5.00,4.00,203,214,201,'CENTRO','ITAPEJARA D OESTE','PR',16232,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2088959,7.00,8.00,9.00,8.00,8.00,7.00,9.00,6.00,7.00,103,104,NULL,'JARDIM DAS AMÉRICAS','CUIABA','MT',356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088967,7.00,8.00,9.00,4.00,6.00,6.75,6.00,8.00,4.00,103,102,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',3458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088975,5.00,7.00,5.00,9.00,8.00,7.75,7.00,6.00,4.00,214,444,207,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',2658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2088991,8.00,7.00,8.00,7.00,8.00,6.25,9.00,7.00,6.00,103,101,NULL,'ESTREITO','FLORIANOPOLIS','SC',1108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089009,4.00,7.00,3.00,4.00,6.00,5.50,5.00,4.00,0.00,5,316,NULL,'CENTRO','FLORIANOPOLIS','SC',15652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,316,NULL,'SÃO VICENTE','PENAPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2089025,5.00,8.00,5.00,8.00,7.00,7.25,7.00,7.00,5.00,5,310,NULL,'IMPERIAL','CONCORDIA','SC',2659,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2089033,2.00,8.00,2.00,1.00,4.00,4.50,3.00,5.00,3.00,333,NULL,NULL,'JARDIM COSTA VERDE','VARZEA GRANDE','MT',18134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,208,212,'COCÓ','FORTALEZA','CE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2089050,3.00,7.00,1.00,2.00,5.00,4.50,5.00,6.00,3.00,331,332,NULL,'CAMPECHE','FLORIANOPOLIS','SC',17545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089068,2.00,6.00,4.00,6.00,7.00,6.75,4.00,6.00,1.00,103,108,NULL,'CENTRO','CHAPECO','SC',12729,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2089076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,404,NULL,'PARQUE ELY','GRAVATAI','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2089084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2089092,3.00,8.00,4.00,1.00,7.00,5.75,3.00,8.00,2.00,309,316,NULL,'CENTRO','FLORIANOPOLIS','SC',13073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089106,1.00,6.00,3.00,3.00,3.00,5.50,2.00,4.00,2.00,5,415,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',20245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089114,4.00,7.00,6.00,5.00,5.00,5.50,5.00,5.00,3.00,101,324,NULL,'CENTRO','FLORIANOPOLIS','SC',10698,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2089149,7.00,9.00,7.00,8.00,8.00,8.00,9.00,7.00,3.00,207,2,208,'SÃO SEBASTIÃO','PALHOCA','SC',926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2089157,6.00,8.00,5.00,3.00,8.00,5.75,7.00,8.00,4.00,303,317,NULL,'CENTRO','BRACO DO NORTE','SC',5858,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2089165,3.00,5.00,5.00,5.00,6.00,5.25,4.00,5.00,1.00,316,426,NULL,'BARREIROS','SAO JOSE','SC',16369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2089181,4.00,8.00,4.00,1.00,8.00,6.25,4.00,5.00,4.00,216,217,NULL,'FORTALEZA','BLUMENAU','SC',11063,362,385,NULL,NULL,NULL,NULL,4,2),(15,2089190,0.00,3.00,1.00,4.00,4.00,NULL,4.00,1.00,1.00,108,NULL,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2089203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,222,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2089211,3.00,7.00,3.00,4.00,8.00,7.00,2.00,3.00,2.00,103,101,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',14911,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2089220,5.00,7.00,7.00,5.00,6.00,5.50,7.00,4.00,4.00,103,108,NULL,'VILA ALEXANDRIA','SAO PAULO','SP',7371,1827,651,NULL,NULL,NULL,NULL,2,1),(15,2089238,0.00,7.00,2.00,1.00,4.00,4.50,5.00,3.00,3.00,208,420,NULL,'BAIRRO IPIRANGA','SAO JOSE','SC',20611,826,902,NULL,NULL,NULL,NULL,4,1),(15,2089254,1.00,1.00,1.00,2.00,2.00,NULL,2.00,3.00,1.00,101,308,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2089270,4.00,8.00,1.00,1.00,7.00,4.50,5.00,5.00,3.00,319,316,NULL,'JOSE MENDES','FLORIANOPOLIS','SC',15492,311,1066,NULL,NULL,NULL,NULL,4,1),(15,2089289,2.00,6.00,5.00,6.00,9.00,7.25,2.00,5.00,2.00,420,319,NULL,'CENTRO','CLEVELANDIA','PR',11699,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2089297,8.00,9.00,6.00,8.00,8.00,8.00,9.00,8.00,8.00,103,217,NULL,'ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP',387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089319,2.00,1.00,4.00,5.00,6.00,6.00,2.00,6.00,1.00,238,208,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',18918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089327,4.00,4.00,7.00,2.00,6.00,5.75,6.00,4.00,4.00,213,202,214,'JABOTICABEIRA','TAUBATE','SP',12385,196,875,405,NULL,NULL,NULL,4,1),(15,2089335,7.00,8.00,7.00,8.00,7.00,7.25,8.00,4.00,4.00,214,304,212,'BATEL','CURITIBA','PR',2926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089343,1.00,7.00,5.00,6.00,7.00,5.25,6.00,4.00,3.00,103,102,NULL,'PIO X','CAXIAS DO SUL','RS',10627,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2089360,3.00,7.00,5.00,7.00,7.00,5.75,5.00,4.00,4.00,316,5,NULL,'VILA OPERÁRIA','ITAJAI','SC',9150,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2089378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,211,NULL,'OLARIAS','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2089386,2.00,6.00,7.00,1.00,8.00,6.75,6.00,3.00,4.00,220,203,233,'CARVOEIRA','FLORIANOPOLIS','SC',11998,444,1368,301,NULL,NULL,NULL,4,1),(15,2089394,4.00,7.00,3.00,8.00,5.00,5.25,4.00,5.00,3.00,103,304,NULL,'JARDIM INDEPENDENCIA','SAO PAULO','SP',12873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089408,3.00,5.00,0.00,2.00,5.00,5.25,3.00,4.00,4.00,404,444,NULL,'TRINDADE','FLORIANOPOLIS','SC',19244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089424,1.00,5.00,2.00,8.00,6.00,5.00,6.00,3.00,3.00,238,317,NULL,'PANTANAL','FLORIANOPOLIS','SC',15107,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2089432,2.00,5.00,3.00,6.00,7.00,3.75,4.00,6.00,2.00,332,423,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',15884,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2089459,4.00,6.00,6.00,6.00,7.00,5.75,5.00,5.00,4.00,103,108,NULL,'PINHEIRINHO','ITAJUBA','MG',9300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089475,3.00,5.00,4.00,5.00,7.00,4.25,4.00,4.00,1.00,225,2,NULL,'OFICINAS','TUBARAO','SC',16095,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2089483,5.00,6.00,1.00,5.00,5.00,7.50,4.00,4.00,3.00,304,423,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',12839,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2089491,6.00,7.00,6.00,8.00,7.00,6.75,6.00,8.00,6.00,238,328,208,'ESPÍRITO SANTO','PORTO ALEGRE','RS',2159,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2089505,2.00,5.00,3.00,2.00,4.00,3.50,4.00,7.00,4.00,9,108,NULL,'PANTANAL','FLORIANOPOLIS','SC',17461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089513,1.00,6.00,2.00,5.00,7.00,5.00,5.00,2.00,2.00,501,108,NULL,'ESTREITO','FLORIANOPOLIS','SC',16616,208,852,NULL,NULL,NULL,NULL,2,1),(15,2089530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,104,NULL,'CENTRO','MOGI MIRIM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2089548,3.00,6.00,2.00,7.00,7.00,5.00,3.00,3.00,2.00,215,102,233,'COMERIARIO','CRICIUMA','SC',16520,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2089556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,225,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2089572,8.00,8.00,9.00,9.00,8.00,6.50,9.00,8.00,8.00,203,103,220,'ITAGUAÇU','FLORIANOPOLIS','SC',162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,429,NULL,'CENTRO','LAURENTINO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2089599,4.00,6.00,6.00,5.00,5.00,5.25,7.00,6.00,3.00,316,301,NULL,'DOM BOSCO','CORUMBA','MS',8113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089602,6.00,8.00,7.00,7.00,6.00,4.50,9.00,8.00,5.00,208,214,220,'BOQUEIRÃO','SANTOS','SP',3403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089637,5.00,7.00,5.00,7.00,8.00,5.00,6.00,8.00,4.00,415,428,NULL,'JARDIM CAMBUÍ','PRESIDENTE PRUDENTE','SP',5596,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2089645,5.00,6.00,4.00,4.00,4.00,3.75,5.00,6.00,3.00,217,332,NULL,'FLORDENÁPOLIS','SAO JOSE','SC',14096,119,244,NULL,NULL,NULL,NULL,2,1),(15,2089653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CORDEIROS','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2089688,3.00,6.00,6.00,2.00,7.00,3.75,3.00,6.00,4.00,301,316,NULL,'JARDIM AMÉRICA','SAO JOSE DOS CAMPOS','SP',13306,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2089696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,215,NULL,'OLARIAS','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2089700,4.00,7.00,3.00,3.00,9.00,5.00,4.00,3.00,4.00,502,425,NULL,'SAGRADO C DE JESUS','LAGES','SC',13095,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2089718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,103,NULL,'AQUÁRIOS','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2089726,5.00,9.00,6.00,8.00,6.00,5.25,8.00,4.00,4.00,217,320,NULL,'COQUEIROS','FLORIANOPOLIS','SC',5158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089734,5.00,9.00,4.00,4.00,7.00,7.00,7.00,8.00,2.00,103,NULL,NULL,'SERRINHA','FLORIANOPOLIS','SC',6681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,102,NULL,'FLORESTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2089750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,420,NULL,'CENTRO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2089769,4.00,6.00,7.00,4.00,6.00,5.00,6.00,5.00,7.00,233,216,211,'CARANDÁ BOSQUE','CAMPO GRANDE','MS',7990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089777,3.00,6.00,1.00,5.00,6.00,4.00,3.00,5.00,1.00,316,319,NULL,'PRADO','BIGUACU','SC',17952,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2089815,5.00,7.00,6.00,6.00,7.00,6.50,5.00,6.00,4.00,207,102,201,'INDUSTRIAL','CERRO LARGO','RS',6680,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2089823,4.00,7.00,8.00,8.00,9.00,6.00,6.00,7.00,6.00,203,233,201,'ITACORUBI','FLORIANOPOLIS','SC',2802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'CENTRO','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2089840,1.00,2.00,1.00,5.00,6.00,NULL,2.00,4.00,1.00,101,327,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089858,4.00,4.00,2.00,8.00,7.00,6.50,3.00,5.00,3.00,319,339,NULL,'ARIRIU DA FORMIGA','PALHOCA','SC',12135,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2089866,6.00,8.00,8.00,6.00,6.00,6.50,7.00,7.00,5.00,201,212,207,'MONTE VERDE','FLORIANOPOLIS','SC',3356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2089874,4.00,5.00,7.00,4.00,8.00,5.50,3.00,5.00,4.00,238,318,208,'PONTA DAS CANAS','FLORIANOPOLIS','SC',10321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2089882,5.00,5.00,4.00,4.00,7.00,6.25,6.00,7.00,3.00,426,415,428,'SANTA TEREZINHA','PATO BRANCO','PR',8622,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2089890,3.00,2.00,5.00,7.00,7.00,5.25,1.00,3.00,2.00,238,222,208,'JARDIM SALETE','TABOAO DA SERRA','SP',16694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089904,3.00,7.00,3.00,8.00,4.00,6.75,4.00,3.00,1.00,203,233,220,'JARDIM BETHÂNIA','SAO CARLOS','SP',14549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089912,2.00,7.00,5.00,6.00,6.00,5.50,4.00,3.00,4.00,103,415,NULL,'BOM JESUS','PORTO ALEGRE','RS',11555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089920,3.00,6.00,2.00,1.00,6.00,6.50,6.00,4.00,3.00,208,102,201,'INDUSTRIAL','CERRO LARGO','RS',16088,627,975,855,NULL,NULL,NULL,4,2),(15,2089939,4.00,8.00,6.00,6.00,6.00,6.00,8.00,8.00,6.00,103,303,NULL,'BACACHERI','CURITIBA','PR',3295,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2089947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,303,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2089955,5.00,6.00,3.00,4.00,7.00,5.25,6.00,5.00,2.00,304,318,NULL,'PARQUE SÃO LOURENÇO','INDAIATUBA','SP',11873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2089963,3.00,7.00,6.00,6.00,9.00,6.00,7.00,6.00,4.00,223,9,NULL,'BOTAFOGO','BENTO GONCALVES','RS',4438,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2090007,4.00,8.00,6.00,6.00,8.00,7.25,5.00,7.00,4.00,207,424,238,'CARIANOS','FLORIANOPOLIS','SC',5043,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2090015,4.00,7.00,3.00,9.00,7.00,5.00,7.00,6.00,3.00,329,238,NULL,'CENTRO','FLORIANOPOLIS','SC',5389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090023,1.00,4.00,3.00,5.00,6.00,6.25,3.00,4.00,4.00,339,502,NULL,'ARIRIÚ DA FORMIGA','PALHOCA','SC',16839,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2090031,1.00,5.00,3.00,6.00,7.00,6.00,1.00,4.00,1.00,102,333,NULL,'CENTRO','ARARANGUA','SC',19110,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2090040,5.00,8.00,3.00,1.00,8.00,7.00,8.00,5.00,3.00,104,327,NULL,'CENTRO','FLORIANOPOLIS','SC',8235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090066,1.00,6.00,1.00,4.00,7.00,6.75,4.00,5.00,1.00,5,332,NULL,'JARDIM SANTA MÔNICA','FLORIANOPOLIS','SC',15980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090082,5.00,7.00,4.00,6.00,6.00,4.25,5.00,8.00,4.00,217,NULL,NULL,'CUBATÃO','ITAPIRA','SP',8624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090090,4.00,7.00,8.00,7.00,8.00,5.75,8.00,8.00,4.00,208,238,212,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',3658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090112,3.00,6.00,5.00,9.00,8.00,6.50,7.00,5.00,4.00,5,425,NULL,'CENTRO','FLORIANOPOLIS','SC',5906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,201,'CENTRO','BORDA DA MATA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2090147,5.00,8.00,6.00,4.00,7.00,6.75,8.00,8.00,3.00,104,319,NULL,'LARANJINHA','CRICIUMA','SC',3924,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2090155,2.00,4.00,1.00,4.00,3.00,3.00,2.00,2.00,4.00,319,324,NULL,'KOBRASOL','SAO JOSE','SC',22208,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2090163,6.00,8.00,5.00,8.00,7.00,5.75,8.00,7.00,4.00,201,223,202,'CENTRO','FLORIANOPOLIS','SC',3410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090171,5.00,5.00,3.00,5.00,8.00,5.50,6.00,4.00,5.00,101,NULL,NULL,'KOBRASOL','SAO JOSE','SC',9840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2090180,1.00,5.00,4.00,6.00,6.00,4.00,2.00,5.00,3.00,301,319,NULL,'KOBRASOL','SAO JOSE','SC',18208,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2090198,4.00,7.00,3.00,5.00,7.00,5.25,3.00,3.00,4.00,326,5,NULL,'CENTRO','JOACABA','SC',15034,80,1236,NULL,NULL,NULL,NULL,2,7),(15,2090236,5.00,8.00,8.00,8.00,7.00,5.25,7.00,7.00,6.00,5,303,NULL,'IATE CLUBE','BALNEARIO CAMBORIU','SC',1742,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2090244,3.00,7.00,1.00,6.00,8.00,6.25,4.00,6.00,2.00,318,317,NULL,'BARRA DO SAMBAQUI','FLORIANOPOLIS','SC',11781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090260,5.00,8.00,7.00,7.00,9.00,7.50,7.00,8.00,6.00,104,207,NULL,'CENTRO','HUMAITA','RS',1132,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2090279,2.00,5.00,4.00,1.00,5.00,7.00,4.00,6.00,5.00,317,316,NULL,'FORQUILHINHAS','SAO JOSE','SC',14369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090309,3.00,6.00,6.00,0.00,4.00,3.25,3.00,4.00,1.00,238,501,208,'CENTRO','SAO BERNARDINO','SC',20292,757,560,814,NULL,NULL,NULL,4,4),(15,2090317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'JARDIM PARAISO','MONTE ALTO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2090333,4.00,8.00,2.00,1.00,4.00,5.25,6.00,4.00,1.00,222,2,NULL,'INTERIOR','IRACEMINHA','SC',16350,29,230,NULL,NULL,NULL,NULL,4,4),(15,2090350,5.00,8.00,8.00,8.00,7.00,6.50,7.00,6.00,4.00,103,NULL,NULL,'COLONINHA','BLUMENAU','SC',2524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,238,220,'RURAL','CRISTAIS PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2090376,5.00,6.00,2.00,2.00,9.00,6.50,4.00,6.00,4.00,333,217,NULL,'AREIAS DE CIMA','GOVERNADOR CELSO RAMOS','SC',11236,139,387,NULL,NULL,NULL,NULL,4,1),(15,2090384,1.00,4.00,0.00,4.00,3.00,5.00,2.00,4.00,3.00,101,319,NULL,'CARIANOS','FLORIANOPOLIS','SC',22158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2090406,5.00,5.00,3.00,5.00,4.00,3.75,3.00,6.00,2.00,333,238,NULL,'ESTREITO','FLORIANOPOLIS','SC',17738,NULL,NULL,NULL,NULL,NULL,NULL,4,1);
INSERT INTO boletim_desempenho VALUES (15,2090414,0.00,4.00,2.00,2.00,4.00,5.50,3.00,4.00,3.00,302,301,NULL,'KOBRASOL','SAO JOSE','SC',22417,205,873,NULL,NULL,NULL,NULL,4,1),(15,2090422,3.00,5.00,2.00,5.00,4.00,6.00,4.00,7.00,4.00,103,333,NULL,'HUMAITÁ','TUBARAO','SC',14136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090430,0.00,4.00,2.00,5.00,5.00,2.00,2.00,4.00,2.00,404,319,NULL,'PASSA VINTE','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2090449,2.00,8.00,5.00,9.00,7.00,6.50,5.00,3.00,5.00,301,316,NULL,'CENTRO','PANAMBI','RS',7569,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2090457,7.00,5.00,4.00,6.00,8.00,6.25,6.00,7.00,6.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',4012,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2090465,3.00,7.00,3.00,7.00,7.00,3.50,3.00,5.00,2.00,211,502,207,'JARDIM DAS FLORES','JOSE BONIFACIO','SP',14841,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2090490,1.00,6.00,2.00,2.00,1.00,NULL,2.00,3.00,3.00,222,212,NULL,'SÍTIO','PIRATUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2090503,2.00,4.00,1.00,3.00,5.00,NULL,2.00,3.00,1.00,404,NULL,NULL,'INTERIOR','IRACEMINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,4),(15,2090511,4.00,5.00,5.00,6.00,7.00,5.00,4.00,6.00,3.00,319,450,NULL,'CAVALHADA','PORTO ALEGRE','RS',9010,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2090520,6.00,7.00,7.00,9.00,7.00,6.00,8.00,6.00,6.00,217,216,NULL,'CENTRO','TURVO','SC',1661,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2090538,0.00,0.00,1.00,0.00,3.00,NULL,2.00,0.00,1.00,5,451,NULL,'BAIRRO DE FÁTIMA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2090554,4.00,7.00,2.00,3.00,7.00,6.25,7.00,8.00,3.00,303,5,NULL,'VILA GUSTAVO','SAO PAULO','SP',8862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090562,4.00,6.00,3.00,4.00,4.00,5.25,2.00,3.00,3.00,501,308,NULL,'SÍTIO','PIRATUBA','SC',19407,260,410,NULL,NULL,NULL,NULL,2,7),(15,2090589,4.00,8.00,4.00,5.00,8.00,5.50,6.00,4.00,6.00,102,217,NULL,'AMERICA','JOINVILLE','SC',7507,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2090597,1.00,5.00,1.00,1.00,7.00,5.25,4.00,5.00,2.00,427,425,424,'CENTRO','FLORIANOPOLIS','SC',19845,81,416,83,NULL,NULL,NULL,4,1),(15,2090619,3.00,8.00,1.00,5.00,7.00,6.00,3.00,4.00,2.00,427,NULL,428,'AGRONOMICA','FLORIANOPOLIS','SC',14388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090627,4.00,7.00,3.00,5.00,6.00,5.75,5.00,6.00,3.00,103,101,NULL,'SERRARIA','SAO JOSE','SC',12119,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2090635,4.00,6.00,2.00,8.00,7.00,5.75,3.00,3.00,4.00,303,5,NULL,'CAMPECHE','FLORIANOPOLIS','SC',11971,601,1182,NULL,NULL,NULL,NULL,2,1),(15,2090643,2.00,7.00,4.00,7.00,7.00,5.75,4.00,4.00,3.00,103,5,NULL,'VILA NOVA','BLUMENAU','SC',11716,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2090651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,429,NULL,'DONA ALEXANDRINA','LAGOA DA PRATA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2090660,1.00,4.00,1.00,2.00,4.00,5.75,6.00,4.00,2.00,238,101,207,'CENTRO','FLORIANOPOLIS','SC',21524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090678,2.00,9.00,3.00,5.00,4.00,6.00,3.00,6.00,4.00,320,333,NULL,'ITACORUBI','FLORIANOPOLIS','SC',12125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090686,5.00,8.00,5.00,7.00,6.00,6.25,8.00,7.00,5.00,415,326,NULL,'ESTREITO','FLORIANOPOLIS','SC',3976,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2090694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,1.00,0.00,326,319,NULL,'SAO MIGUEL','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2090724,4.00,6.00,4.00,7.00,6.00,6.75,1.00,8.00,3.00,216,101,215,'ITACORUBI','FLORIANOPOLIS','SC',11394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090732,3.00,7.00,6.00,8.00,4.00,5.50,7.00,6.00,3.00,333,225,NULL,'PLANALTO PAULISTA','SAO PAULO','SP',7730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090740,3.00,4.00,2.00,4.00,5.00,4.00,1.00,4.00,3.00,5,316,NULL,'KOBRASOL','SAO JOSE','SC',20693,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2090759,4.00,8.00,7.00,8.00,9.00,4.75,7.00,7.00,4.00,202,301,201,'CENTRO','FLORIANOPOLIS','SC',3966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,303,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2090783,4.00,4.00,0.00,6.00,5.00,NULL,4.00,4.00,2.00,101,501,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2090805,2.00,7.00,4.00,5.00,7.00,4.25,4.00,4.00,3.00,203,316,201,'JARDIM ELDORADO','PALHOCA','SC',14047,921,1014,756,NULL,NULL,NULL,2,1),(15,2090813,4.00,7.00,2.00,6.00,5.00,5.25,2.00,2.00,3.00,101,103,NULL,'ITACORUBI','FLORIANOPOLIS','SC',17081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090864,4.00,8.00,4.00,5.00,8.00,6.25,7.00,5.00,3.00,208,104,238,'PINHEIRO','TUBARAO','SC',7517,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2090872,8.00,8.00,7.00,6.00,8.00,5.50,6.00,7.00,3.00,103,101,NULL,'CENTRO','LAGES','SC',2793,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2090880,4.00,7.00,4.00,6.00,7.00,8.00,5.00,6.00,2.00,415,451,NULL,'CAMPINAS','SAO JOSE','SC',8258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090902,2.00,4.00,1.00,6.00,3.00,4.50,2.00,3.00,0.00,421,327,427,'CAPOEIRAS','FLORIANOPOLIS','SC',22515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2090910,6.00,7.00,8.00,8.00,6.00,7.25,7.00,5.00,7.00,103,215,NULL,'ARASOL','ARAXA','MG',2277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090929,5.00,9.00,8.00,8.00,8.00,6.25,8.00,8.00,6.00,104,211,NULL,'CENTRO','VITOR MEIRELES','SC',1192,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2090937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,208,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2090945,4.00,5.00,5.00,8.00,6.00,5.00,3.00,5.00,2.00,308,328,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',11946,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2090953,3.00,7.00,4.00,2.00,6.00,6.50,5.00,4.00,3.00,203,233,214,'PRAIA COMPRIDA','SAO JOSE','SC',13426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2090961,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'BALNEARIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',3,1),(15,2090988,5.00,8.00,7.00,7.00,8.00,5.75,9.00,7.00,4.00,214,220,201,'PAPICU','FORTALEZA','CE',2621,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2090996,4.00,6.00,1.00,2.00,2.00,NULL,4.00,6.00,1.00,101,331,NULL,'PRAIA JOÃO ROSA','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091003,4.00,6.00,4.00,5.00,7.00,6.00,6.00,7.00,3.00,215,327,211,'CENTRO','FLORIANOPOLIS','SC',9123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091011,5.00,7.00,6.00,6.00,7.00,6.25,7.00,6.00,3.00,103,203,NULL,'CENTRO','SAO CARLOS','SP',5930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091020,6.00,7.00,5.00,5.00,6.00,6.50,6.00,4.00,5.00,233,223,215,'CENTRO','FLORIANOPOLIS','SC',7975,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2091038,4.00,6.00,3.00,6.00,8.00,5.75,6.00,5.00,2.00,103,101,NULL,'SERRARIA','SAO JOSE','SC',10678,2226,544,NULL,NULL,NULL,NULL,2,1),(15,2091054,2.00,3.00,1.00,3.00,6.00,NULL,2.00,2.00,3.00,316,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2091062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,333,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2091097,3.00,8.00,5.00,0.00,6.00,NULL,4.00,5.00,4.00,320,5,NULL,'ALTO','OURO FINO','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091100,2.00,7.00,6.00,5.00,4.00,5.00,5.00,6.00,1.00,421,318,423,'CENTRO','SAO JOSE','SC',14555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091119,5.00,5.00,6.00,5.00,6.00,6.25,6.00,4.00,3.00,5,303,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',8144,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2091127,8.00,9.00,9.00,8.00,8.00,9.00,8.00,8.00,8.00,103,303,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091135,7.00,8.00,8.00,9.00,9.00,8.75,9.00,7.00,8.00,5,319,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',98,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'PAPICU','FORTALEZA','CE',NULL,NULL,NULL,NULL,'S','S','S',1,8),(15,2091151,6.00,7.00,2.00,6.00,7.00,6.00,6.00,6.00,5.00,5,303,NULL,'MALOTA','JUNDIAI','SP',6185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091160,5.00,4.00,2.00,0.00,7.00,NULL,2.00,3.00,2.00,415,404,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091178,3.00,4.00,2.00,7.00,5.00,6.75,3.00,6.00,2.00,317,NULL,NULL,'ESTREITO','FLORIANOPOLIS','SC',14743,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2091186,3.00,8.00,6.00,5.00,9.00,5.25,5.00,7.00,2.00,201,212,211,'CAMPECHE','FLORIANOPOLIS','SC',8414,454,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091194,8.00,9.00,9.00,9.00,10.00,7.00,10.00,8.00,7.00,103,303,NULL,'PIO CORREA','CRICIUMA','SC',21,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091208,6.00,8.00,8.00,5.00,6.00,6.75,8.00,6.00,7.00,201,222,212,'TABULEIRO','CAMBORIU','SC',2423,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2091216,5.00,7.00,8.00,8.00,7.00,6.00,7.00,8.00,6.00,5,324,NULL,'BOA VISTA','RIO DO SUL','SC',2469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091224,5.00,8.00,9.00,9.00,7.00,7.50,8.00,7.00,4.00,5,223,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',1408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091232,3.00,6.00,1.00,4.00,6.00,5.50,5.00,5.00,3.00,102,444,NULL,'CARIANOS','FLORIANOPOLIS','SC',14605,306,461,NULL,NULL,NULL,NULL,2,1),(15,2091259,4.00,8.00,5.00,6.00,8.00,4.00,6.00,3.00,4.00,202,208,238,'COQUEIROS','FLORIANOPOLIS','SC',9823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091267,3.00,5.00,2.00,5.00,8.00,5.50,2.00,7.00,4.00,303,428,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',13235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091275,2.00,4.00,2.00,6.00,8.00,6.75,3.00,5.00,3.00,308,426,NULL,'TRINDADE','FLORIANOPOLIS','SC',15438,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2091283,2.00,7.00,4.00,5.00,7.00,7.00,5.00,8.00,3.00,207,424,213,'FLOR DE NAPOLIS','SAO JOSE','SC',8852,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2091305,3.00,5.00,4.00,1.00,9.00,5.75,3.00,3.00,3.00,319,324,NULL,'SERRARIA','BIGUACU','SC',16954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091330,4.00,8.00,3.00,1.00,3.00,3.75,5.00,4.00,2.00,203,220,214,'RIO TAVARES','FLORIANOPOLIS','SC',17168,1027,760,515,NULL,NULL,NULL,2,1),(15,2091356,3.00,5.00,2.00,7.00,5.00,6.00,5.00,4.00,3.00,103,102,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',14540,2597,934,NULL,NULL,NULL,NULL,2,1),(15,2091372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,9,NULL,'JARDIM ITALIA','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2091380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2091399,2.00,5.00,2.00,2.00,4.00,4.50,3.00,5.00,2.00,102,103,NULL,'CENTRO','DONA EMMA','SC',20702,470,3270,NULL,NULL,NULL,NULL,4,2),(15,2091410,5.00,5.00,3.00,8.00,7.00,5.50,6.00,7.00,5.00,103,104,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2091437,5.00,8.00,5.00,7.00,8.00,6.00,5.00,3.00,5.00,415,424,NULL,'FLORESTA','JOINVILLE','SC',5670,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2091453,5.00,7.00,7.00,5.00,9.00,7.25,7.00,6.00,4.00,303,301,NULL,'MORRETES','ITAPEMA','SC',4271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091470,2.00,4.00,4.00,8.00,4.00,5.75,2.00,4.00,4.00,450,5,NULL,'BURU','SALTO','SP',14670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091488,5.00,5.00,6.00,6.00,8.00,5.25,6.00,5.00,5.00,501,317,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',6379,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2091500,3.00,8.00,4.00,8.00,7.00,5.00,6.00,7.00,4.00,103,502,NULL,'CENTRO','BLUMENAU','SC',5713,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2091518,4.00,4.00,5.00,4.00,6.00,6.50,3.00,7.00,3.00,201,316,208,'CAPISTRANO','BOM RETIRO','SC',12558,686,970,462,NULL,NULL,NULL,4,9),(15,2091526,1.00,4.00,2.00,4.00,6.00,4.75,4.00,4.00,3.00,211,501,215,'CENTRO','CURITIBANOS','SC',20190,692,559,390,NULL,NULL,NULL,2,9),(15,2091534,5.00,9.00,8.00,5.00,9.00,6.00,9.00,7.00,7.00,203,214,220,'BALNEARIO ESTREITO','FLORIANOPOLIS','SC',1071,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2091542,7.00,7.00,6.00,8.00,4.00,6.75,8.00,8.00,5.00,301,333,NULL,'CHACARA SAO MARCELO','MOGI MIRIM','SP',3034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091550,1.00,4.00,0.00,5.00,4.00,NULL,3.00,1.00,0.00,502,501,NULL,'PARTENON','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2091577,3.00,8.00,8.00,4.00,6.00,5.50,6.00,6.00,4.00,501,215,NULL,'ÂNGELO CRETÃ','MANGUEIRINHA','PR',6730,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2091585,4.00,6.00,4.00,8.00,6.00,6.00,6.00,5.00,2.00,203,303,202,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091593,3.00,6.00,0.00,8.00,7.00,6.25,2.00,5.00,2.00,102,427,NULL,'JARDIM ELDORADO','PALHOCA','SC',15828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091607,4.00,5.00,2.00,2.00,8.00,4.00,3.00,5.00,4.00,415,428,NULL,'N SENHORA DA SALETE','CRICIUMA','SC',17373,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2091615,3.00,7.00,3.00,5.00,9.00,6.00,7.00,3.00,3.00,333,108,NULL,'CENTRO','FLORIANOPOLIS','SC',10979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091623,3.00,7.00,3.00,3.00,5.00,5.75,2.00,4.00,4.00,238,425,208,'CENTRO','PALHOCA','SC',16691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091631,2.00,7.00,7.00,7.00,8.00,5.75,5.00,5.00,5.00,316,502,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',7428,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2091640,4.00,6.00,1.00,2.00,4.00,5.00,4.00,2.00,3.00,316,327,NULL,'ESTREITO','FLORIANOPOLIS','SC',20378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,444,NULL,'CENTRO','DONA EMMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2091674,5.00,8.00,3.00,6.00,8.00,7.75,9.00,6.00,4.00,9,415,NULL,'CENTRO','FLORIANOPOLIS','SC',4900,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2091690,2.00,4.00,3.00,1.00,5.00,NULL,2.00,4.00,1.00,339,327,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2091720,1.00,6.00,2.00,7.00,4.00,5.50,4.00,4.00,3.00,225,424,NULL,'BARRA DO ARIRIU','PALHOCA','SC',16429,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2091739,2.00,7.00,6.00,7.00,2.00,NULL,5.00,5.00,2.00,203,233,201,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2091747,4.00,8.00,5.00,9.00,7.00,6.00,7.00,6.00,3.00,502,501,NULL,'FIGUEIRA','GASPAR','SC',4601,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2091755,3.00,4.00,3.00,6.00,6.00,5.75,3.00,4.00,2.00,220,213,214,'JARDIM PAULISTA','ASSIS','SP',16829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091763,1.00,3.00,1.00,1.00,4.00,NULL,0.00,1.00,1.00,103,101,NULL,'JARDIM ESPERANÇA','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2091771,8.00,9.00,8.00,9.00,9.00,6.75,8.00,9.00,8.00,415,326,NULL,'LAGOA NOVA','NATAL','RN',60,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091780,2.00,5.00,1.00,4.00,5.00,5.25,4.00,5.00,1.00,103,104,NULL,'AGUA VERDE','CURITIBA','PR',18632,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2091798,4.00,7.00,3.00,3.00,8.00,7.50,5.00,5.00,2.00,501,211,NULL,'AHÚU','CURITIBA','PR',11750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091810,3.00,6.00,5.00,5.00,4.00,5.50,6.00,8.00,2.00,501,211,NULL,'CENTRO','FLORIANOPOLIS','SC',11682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091828,4.00,5.00,1.00,6.00,6.00,3.75,4.00,6.00,3.00,225,224,NULL,'GUARDA DO CUBATÃO','PALHOCA','SC',15560,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2091836,2.00,7.00,4.00,3.00,5.00,6.00,4.00,4.00,4.00,211,108,216,'CENTRO','BAURU','SP',15348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091844,4.00,7.00,2.00,4.00,7.00,4.75,3.00,5.00,2.00,316,501,NULL,'LINHA DOS CHAVES','ANGELINA','SC',15627,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2091852,2.00,6.00,5.00,3.00,4.00,4.50,2.00,6.00,1.00,103,104,NULL,'BELA VISTA','RIO NEGRINHO','SC',18682,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2091860,5.00,5.00,8.00,5.00,8.00,6.50,9.00,6.00,5.00,203,214,233,'CENTRO','FLORIANOPOLIS','SC',3893,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2091879,4.00,7.00,3.00,6.00,7.00,5.50,4.00,4.00,4.00,103,104,NULL,'CENTRO','CHAPECO','SC',10396,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2091895,4.00,7.00,4.00,7.00,7.00,5.25,5.00,7.00,4.00,415,319,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',7717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2091933,6.00,9.00,1.00,5.00,7.00,7.00,8.00,8.00,4.00,103,450,NULL,'MORRO DA CRUZ','FLORIANOPOLIS','SC',5122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2091941,4.00,6.00,4.00,2.00,8.00,5.00,5.00,7.00,5.00,104,102,NULL,'CENTRO','RIO DO SUL','SC',10815,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2091968,4.00,4.00,3.00,4.00,4.00,4.75,3.00,3.00,4.00,333,222,NULL,'ROÇADO','SAO JOSE','SC',19308,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2091976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'SÃO DIMAS','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2091984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,223,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2091992,3.00,7.00,5.00,2.00,5.00,4.50,6.00,7.00,3.00,333,108,NULL,'ACARAI','SAO FRANCISCO DO SUL','SC',14310,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2092000,7.00,7.00,6.00,8.00,8.00,7.25,6.00,8.00,6.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',2089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092018,0.00,3.00,2.00,1.00,4.00,NULL,2.00,3.00,1.00,502,404,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2092026,5.00,8.00,6.00,5.00,8.00,5.00,8.00,7.00,4.00,201,223,212,'ROÇADO','SAO JOSE','SC',4294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092034,4.00,6.00,3.00,5.00,7.00,6.25,6.00,2.00,4.00,302,428,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',12848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092050,7.00,7.00,8.00,8.00,9.00,8.00,6.00,5.00,6.00,211,102,215,'OPERÁRIA NOVA','CRICIUMA','SC',1664,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2092069,5.00,5.00,3.00,5.00,7.00,4.75,2.00,4.00,3.00,101,308,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',17255,201,373,NULL,NULL,NULL,NULL,2,1),(15,2092077,5.00,8.00,8.00,8.00,8.00,8.50,7.00,7.00,6.00,5,318,NULL,'VILA IPIRANGA','PORTO ALEGRE','RS',960,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2092085,3.00,6.00,0.00,6.00,7.00,5.75,5.00,3.00,3.00,215,NULL,208,'CENTRO','VIDEIRA','SC',15522,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2092115,2.00,4.00,2.00,6.00,4.00,5.50,3.00,4.00,3.00,103,201,NULL,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2092123,1.00,5.00,6.00,5.00,7.00,5.25,4.00,4.00,3.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',13899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092131,5.00,3.00,2.00,7.00,7.00,6.75,4.00,3.00,3.00,450,415,NULL,'CENTRO','RIO DO SUL','SC',14221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092140,5.00,7.00,4.00,4.00,9.00,7.50,6.00,6.00,4.00,102,217,NULL,'PENHA','LAGES','SC',5379,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2092166,6.00,9.00,8.00,9.00,8.00,5.50,8.00,7.00,8.00,203,202,NULL,'CENTRO','CHAPECO','SC',439,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2092174,4.00,6.00,2.00,5.00,7.00,5.25,4.00,3.00,1.00,421,429,427,'CAPOEIRAS','FLORIANOPOLIS','SC',16738,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2092182,3.00,7.00,2.00,8.00,5.00,5.75,4.00,7.00,2.00,425,5,429,'CENTRO','VITORIA','ES',11274,50,1170,31,NULL,NULL,NULL,4,1),(15,2092190,0.00,3.00,2.00,2.00,3.00,5.75,3.00,8.00,3.00,202,212,NULL,'INTERIOR','MARAVILHA','SC',20417,669,571,NULL,NULL,NULL,NULL,2,4),(15,2092204,5.00,5.00,2.00,3.00,6.00,6.50,3.00,4.00,3.00,101,102,NULL,'CENTRO','SAO JOAO BATISTA','SC',16220,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2092212,5.00,8.00,6.00,7.00,9.00,5.25,8.00,8.00,8.00,5,303,NULL,'PONTA AGUDA','BLUMENAU','SC',1305,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2092220,2.00,4.00,3.00,2.00,7.00,NULL,2.00,3.00,1.00,101,215,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2092239,1.00,6.00,3.00,1.00,3.00,4.50,1.00,5.00,0.00,326,404,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',22388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,207,NULL,'GUARUJÁ','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2092255,3.00,5.00,4.00,7.00,6.00,4.50,6.00,5.00,1.00,203,329,214,'XAXIM','CURITIBA','PR',13770,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2092271,8.00,7.00,9.00,6.00,9.00,6.25,8.00,7.00,6.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',1267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092280,5.00,8.00,9.00,5.00,9.00,8.00,9.00,4.00,5.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',1902,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2092298,2.00,7.00,5.00,4.00,7.00,5.50,4.00,6.00,5.00,450,415,NULL,'CENTRO','PARANAVAI','PR',10606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092301,3.00,3.00,4.00,4.00,7.00,5.25,2.00,3.00,1.00,308,428,NULL,'KOBRASOL','SAO JOSE','SC',20271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2092310,2.00,2.00,2.00,3.00,3.00,3.50,4.00,3.00,2.00,316,207,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2092328,4.00,8.00,4.00,5.00,8.00,6.75,6.00,8.00,4.00,103,102,NULL,'CENTRO','ATALANTA','SC',5758,1587,704,NULL,NULL,NULL,NULL,4,2),(15,2092336,4.00,8.00,4.00,5.00,6.00,5.25,5.00,5.00,4.00,202,224,216,'CANASVIEIRAS','FLORIANOPOLIS','SC',9847,373,156,327,NULL,NULL,NULL,2,1),(15,2092344,4.00,7.00,5.00,8.00,7.00,6.25,4.00,4.00,4.00,303,5,NULL,'CENTRO','MAFRA','SC',7285,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2092352,3.00,7.00,5.00,4.00,7.00,5.00,7.00,6.00,3.00,444,415,NULL,'TRINDADE','FLORIANOPOLIS','SC',10404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092360,4.00,7.00,7.00,6.00,8.00,7.50,7.00,6.00,4.00,316,332,NULL,'ITAICI','INDAIATUBA','SP',3930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092379,3.00,6.00,3.00,4.00,7.00,6.00,3.00,4.00,2.00,207,317,201,'VILA NOVA ALVORADA','IMBITUBA','SC',17275,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2092387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,502,208,'CENTRO','PONTA PORA','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2092395,2.00,4.00,1.00,3.00,2.00,NULL,3.00,2.00,1.00,303,104,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2092409,0.00,6.00,3.00,4.00,5.00,5.50,5.00,4.00,4.00,201,104,212,'IPIRANGA','SAO JOSE','SC',17349,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2092417,3.00,7.00,1.00,4.00,6.00,4.25,4.00,6.00,2.00,203,213,220,'MORRETES','ITAPEMA','SC',16724,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2092425,3.00,4.00,3.00,3.00,7.00,6.50,3.00,4.00,1.00,317,302,NULL,'ROÇADO','SAO JOSE','SC',18604,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2092441,4.00,5.00,3.00,3.00,5.00,4.25,3.00,4.00,2.00,5,317,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,333,NULL,'FAZENDA SANTO ANTONI','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2092468,4.00,7.00,2.00,5.00,4.00,5.25,4.00,4.00,3.00,501,502,NULL,'CAMPECHE','FLORIANOPOLIS','SC',15392,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2092476,7.00,7.00,8.00,6.00,9.00,5.75,9.00,5.00,6.00,201,207,208,'AMERICA','JOINVILLE','SC',2448,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2092484,6.00,8.00,5.00,5.00,8.00,4.50,7.00,8.00,3.00,303,211,NULL,'CENTRO','FLORIANOPOLIS','SC',5057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092492,1.00,5.00,0.00,0.00,5.00,NULL,4.00,5.00,1.00,9,104,NULL,'CENTRO','IPUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2092506,2.00,5.00,7.00,6.00,8.00,6.00,4.00,2.00,3.00,104,NULL,NULL,'VILA ROSA','NOVO HAMBURGO','RS',11634,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2092514,3.00,5.00,2.00,6.00,7.00,3.00,4.00,4.00,3.00,201,444,212,'GLÓRIA','JOINVILLE','SC',16872,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2092549,2.00,8.00,4.00,7.00,7.00,7.00,2.00,5.00,3.00,103,101,NULL,'FAZENDA','ITAJAI','SC',11194,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2092557,4.00,4.00,4.00,8.00,7.00,5.75,5.00,5.00,5.00,211,420,NULL,'CENTRO','JARAGUA DO SUL','SC',10234,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2092565,3.00,6.00,4.00,5.00,3.00,4.00,5.00,5.00,5.00,208,238,220,'CENTRO','FLORIANOPOLIS','SC',14303,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2092581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,451,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2092590,4.00,4.00,6.00,6.00,8.00,3.00,6.00,6.00,3.00,103,333,NULL,'ZONA','MARINGA','PR',10193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,213,NULL,'CAJURÚ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2092611,1.00,5.00,7.00,4.00,6.00,4.25,7.00,5.00,5.00,201,211,212,'GLÓRIA','JOINVILLE','SC',12093,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2092638,6.00,6.00,7.00,7.00,7.00,7.00,7.00,5.00,5.00,103,216,NULL,'CENTRO','RIBEIRAO PRETO','SP',4279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092654,4.00,8.00,8.00,6.00,7.00,7.00,7.00,8.00,6.00,220,202,203,'CENTRO','SANTA MARIA','RS',2215,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2092662,5.00,8.00,1.00,6.00,6.00,4.50,6.00,5.00,2.00,326,327,NULL,'CENTRO','FLORIANOPOLIS','SC',11702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2092670,0.00,4.00,3.00,2.00,4.00,NULL,4.00,2.00,0.00,104,103,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092689,4.00,6.00,4.00,0.00,5.00,4.50,4.00,3.00,4.00,333,234,NULL,'VILA MARIANA','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2092697,4.00,5.00,4.00,6.00,8.00,6.75,3.00,4.00,4.00,104,317,NULL,'MAR GROSSO','LAGUNA','SC',12299,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2092719,3.00,7.00,5.00,4.00,7.00,5.50,6.00,7.00,5.00,102,104,NULL,'BELA VISTA','OSASCO','SP',5972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092727,4.00,4.00,5.00,5.00,5.00,8.00,2.00,6.00,3.00,211,216,207,'MINA BRASIL','CRICIUMA','SC',11994,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2092735,1.00,5.00,0.00,0.00,2.00,NULL,4.00,0.00,2.00,101,451,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2092743,8.00,9.00,9.00,8.00,9.00,5.75,9.00,9.00,8.00,220,203,202,'CENTRO','TUBARAO','SC',126,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2092751,3.00,7.00,5.00,0.00,7.00,5.00,4.00,4.00,4.00,102,404,NULL,'INGLESES','FLORIANOPOLIS','SC',15886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'PRADO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2092778,8.00,9.00,9.00,6.00,8.00,6.25,9.00,7.00,9.00,103,108,NULL,'CAMPECHE','FLORIANOPOLIS','SC',151,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2092786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'SAO VICENTE','PENAPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2092794,2.00,5.00,2.00,5.00,6.00,3.25,3.00,2.00,2.00,101,308,NULL,'BARREIROS','SAO JOSE','SC',20729,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2092808,5.00,7.00,6.00,7.00,6.00,4.75,8.00,8.00,7.00,201,214,203,'VILA COSTA DO SOL','SAO CARLOS','SP',3389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092816,2.00,4.00,3.00,1.00,3.00,5.75,3.00,2.00,2.00,501,502,NULL,'CENTRO','SEARA','SC',22252,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2092824,6.00,8.00,6.00,5.00,7.00,5.25,6.00,6.00,5.00,333,331,NULL,'CENTRO','FLORIANOPOLIS','SC',4811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'EUROVILLE','BRAGANCA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2092840,5.00,7.00,5.00,4.00,7.00,5.00,5.00,6.00,2.00,108,211,NULL,'ARMACAO PANTANO SUL','FLORIANOPOLIS','SC',9086,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2092859,0.00,3.00,2.00,3.00,5.00,NULL,4.00,4.00,2.00,339,308,NULL,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2092867,2.00,6.00,4.00,3.00,6.00,5.50,4.00,5.00,3.00,425,310,428,'CAMINHO NOVO','PALHOCA','SC',13918,89,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092875,4.00,5.00,4.00,3.00,6.00,4.50,4.00,3.00,4.00,303,5,NULL,'CENTRO','GUARACIABA','SC',15835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092883,5.00,7.00,5.00,7.00,8.00,4.75,7.00,6.00,4.00,216,326,215,'AGRONOMICA','FLORIANOPOLIS','SC',5126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092905,5.00,7.00,5.00,6.00,7.00,5.25,7.00,6.00,4.00,201,450,220,'AREAL','PELOTAS','RS',6857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2092913,1.00,1.00,3.00,4.00,3.00,NULL,2.00,4.00,0.00,201,316,NULL,'CENTRO','MUNDO NOVO','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2092921,5.00,4.00,1.00,1.00,6.00,5.50,4.00,5.00,1.00,339,308,NULL,'INGLESES','FLORIANOPOLIS','SC',18161,88,389,NULL,NULL,NULL,NULL,4,1),(15,2092948,7.00,6.00,7.00,9.00,9.00,5.50,7.00,5.00,8.00,103,207,NULL,'ILHOTAS','TERESINA','PI',1674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092964,0.00,5.00,3.00,4.00,6.00,NULL,5.00,3.00,2.00,317,318,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092972,4.00,7.00,1.00,2.00,6.00,5.00,4.00,4.00,2.00,318,333,NULL,'JD SÃO BENTO','CAMPINAS','SP',18198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2092980,2.00,7.00,4.00,2.00,5.00,6.00,4.00,4.00,2.00,502,NULL,NULL,'ARMAÇÃO','PENHA','SC',17247,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2092999,3.00,7.00,3.00,6.00,8.00,4.00,3.00,4.00,1.00,316,224,NULL,'CAMPO DUNA','GAROPABA','SC',16450,460,238,NULL,NULL,NULL,NULL,2,1),(15,2093006,6.00,8.00,6.00,2.00,7.00,6.25,9.00,7.00,6.00,103,NULL,NULL,'CENTRO','BALSAMO','SP',3905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093014,2.00,5.00,2.00,5.00,8.00,5.25,7.00,5.00,1.00,103,104,NULL,'JARDIM MALUCHE','BRUSQUE','SC',14264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093022,3.00,8.00,1.00,5.00,8.00,6.00,5.00,4.00,3.00,427,326,428,'BELA VISTA II','SAO JOSE','SC',10857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2093030,2.00,4.00,1.00,6.00,5.00,4.75,1.00,3.00,1.00,5,426,NULL,'COQUEIROS','FLORIANOPOLIS','SC',21294,876,243,NULL,NULL,NULL,NULL,2,1),(15,2093049,5.00,8.00,7.00,6.00,8.00,5.50,7.00,6.00,5.00,9,302,NULL,'JURERE','FLORIANOPOLIS','SC',3633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093065,5.00,7.00,7.00,2.00,7.00,6.00,5.00,4.00,4.00,203,108,220,'MAILASQUE','SAO ROQUE','SP',8843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093090,5.00,7.00,5.00,9.00,6.00,5.75,5.00,7.00,2.00,103,104,NULL,'SANTA MARIA','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2093103,4.00,5.00,4.00,2.00,7.00,4.25,5.00,5.00,3.00,333,501,NULL,'PONTA DE BAIXO','SAO JOSE','SC',15543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093111,3.00,7.00,2.00,5.00,5.00,5.00,1.00,5.00,2.00,332,451,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',17735,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2093120,5.00,5.00,6.00,6.00,7.00,5.50,7.00,5.00,3.00,201,302,208,'JOÃO PAULO','FLORIANOPOLIS','SC',6671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093138,7.00,8.00,9.00,5.00,8.00,6.75,7.00,6.00,4.00,214,203,220,'CENTRO','CASSIA','MG',1840,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2093146,9.00,8.00,8.00,9.00,9.00,7.00,9.00,8.00,8.00,103,224,NULL,'CENTRO','FLORIANOPOLIS','SC',120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093154,4.00,8.00,6.00,6.00,6.00,6.00,5.00,4.00,4.00,420,207,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',7470,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2093162,5.00,6.00,7.00,5.00,8.00,6.25,5.00,3.00,3.00,207,420,201,'CENTRO','POUSO REDONDO','SC',8454,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2093200,7.00,7.00,8.00,6.00,8.00,6.25,9.00,7.00,7.00,233,301,216,'ESPLANADA DOIS','SAO JOSE DOS CAMPOS','SP',1186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093243,6.00,8.00,3.00,5.00,7.00,4.75,4.00,7.00,3.00,2,NULL,NULL,'CENTRO','GRAVATAL','SC',8263,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2093251,2.00,5.00,5.00,1.00,5.00,5.00,2.00,3.00,4.00,420,303,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',19775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2093260,4.00,6.00,4.00,6.00,7.00,5.75,4.00,4.00,6.00,302,308,NULL,'PRESIDENTE MÉDICI','CHAPECO','SC',9600,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2093278,4.00,2.00,4.00,6.00,5.00,5.00,3.00,4.00,2.00,207,420,238,'PONTE DO IMARUIM','PALHOCA','SC',17426,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2093286,6.00,7.00,5.00,5.00,5.00,5.50,8.00,7.00,3.00,212,207,201,'BEATRIZ','LAGES','SC',5558,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2093294,2.00,6.00,4.00,0.00,5.00,4.25,3.00,1.00,2.00,103,NULL,NULL,'DAMHA I','PRESIDENTE PRUDENTE','SP',21498,3077,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093308,5.00,8.00,7.00,6.00,8.00,4.50,6.00,7.00,3.00,327,238,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',4881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2093324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'ZONA CINCO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2093332,7.00,8.00,10.00,2.00,8.00,7.00,9.00,8.00,8.00,203,214,220,'JARDIM CALIFÓRNIA','CUIABA','MT',1159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093340,3.00,5.00,4.00,4.00,8.00,5.50,5.00,5.00,3.00,207,233,214,'CACUPÉ','FLORIANOPOLIS','SC',12613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093359,1.00,8.00,3.00,6.00,9.00,5.75,4.00,7.00,2.00,426,327,428,'CAMPECHE','FLORIANOPOLIS','SC',11435,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2093367,4.00,8.00,7.00,3.00,7.00,6.75,7.00,7.00,4.00,303,326,NULL,'BARREIROS','SAO JOSE','SC',5454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093375,3.00,7.00,6.00,7.00,7.00,5.00,6.00,7.00,3.00,304,318,NULL,'ITACORUBI','FLORIANOPOLIS','SC',6945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2093391,3.00,7.00,3.00,8.00,8.00,5.00,7.00,7.00,4.00,319,328,NULL,'ITOUPAVA SECA','BLUMENAU','SC',7064,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2093405,5.00,8.00,2.00,4.00,6.00,5.00,5.00,5.00,4.00,5,329,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',12110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093413,3.00,6.00,3.00,0.00,5.00,4.25,5.00,4.00,2.00,203,220,214,'CENTRO','FRUTAL','MG',18690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093421,4.00,7.00,5.00,8.00,8.00,4.75,7.00,4.00,3.00,316,444,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',6624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093430,6.00,5.00,7.00,5.00,8.00,6.25,6.00,5.00,4.00,104,5,NULL,'CENTRO','FLORIANOPOLIS','SC',5889,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2093448,0.00,5.00,4.00,5.00,5.00,6.00,3.00,2.00,4.00,207,333,201,'CENTRO','NOVA PRATA','RS',19114,904,960,1013,NULL,NULL,NULL,2,1),(15,2093456,5.00,8.00,4.00,6.00,6.00,4.50,5.00,7.00,6.00,216,233,NULL,'CAMPOS ELIZEOS','CAMPINAS','SP',7103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093472,3.00,2.00,3.00,5.00,7.00,5.00,5.00,1.00,3.00,102,303,NULL,'JARDIM FERRARI III','ITAPEVA','SP',18435,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2093480,3.00,6.00,0.00,6.00,6.00,6.50,5.00,6.00,4.00,415,428,NULL,'VILA ESPERANÇA','MARINGA','PR',11739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2093499,5.00,6.00,4.00,3.00,8.00,5.50,4.00,6.00,5.00,320,329,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',10410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093502,3.00,6.00,1.00,3.00,6.00,5.75,7.00,3.00,1.00,303,310,NULL,'BARREIROS','SAO JOSE','SC',16925,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2093510,2.00,5.00,3.00,1.00,5.00,5.00,2.00,3.00,2.00,103,104,NULL,'CENTRO','CAPIVARI DE BAIXO','SC',21645,3082,1267,NULL,NULL,NULL,NULL,2,10),(15,2093529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'RIBEIRAO DO LIPA','CUIABA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2093537,5.00,8.00,1.00,0.00,6.00,5.25,4.00,5.00,2.00,501,104,NULL,'LOURDES','VIDEIRA','SC',16227,198,1171,NULL,NULL,NULL,NULL,4,9),(15,2093545,3.00,6.00,4.00,5.00,5.00,4.75,5.00,3.00,2.00,304,302,NULL,'PORTO DA LAGOA','FLORIANOPOLIS','SC',16393,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2093553,3.00,6.00,4.00,3.00,7.00,5.75,4.00,5.00,4.00,102,333,NULL,'CENTRO','PARIQUERA ACU','SP',13082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093561,2.00,6.00,0.00,5.00,8.00,NULL,6.00,7.00,3.00,304,303,NULL,'CENTRO','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2093570,6.00,9.00,6.00,1.00,7.00,6.75,7.00,8.00,4.00,103,102,NULL,'CENTRO','RIBEIRAO PRETO','SP',5044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093588,3.00,6.00,6.00,6.00,8.00,6.00,4.00,4.00,4.00,207,301,NULL,'RIO MAINA','CRICIUMA','SC',9045,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2093596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','JUNDIAI','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2093600,2.00,4.00,4.00,4.00,6.00,3.50,2.00,6.00,2.00,502,501,NULL,'AMERICA','JOINVILLE','SC',18955,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2093618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'JD VERÔNICA','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2093626,3.00,5.00,4.00,2.00,7.00,5.00,4.00,4.00,1.00,420,444,NULL,'PICADAS DO SUL','SAO JOSE','SC',17614,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2093634,3.00,6.00,2.00,6.00,5.00,4.50,2.00,7.00,3.00,301,423,NULL,'ESTREITO','FLORIANOPOLIS','SC',15548,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2093642,6.00,8.00,6.00,4.00,7.00,5.50,7.00,7.00,5.00,103,104,NULL,'CENTRO','ARARANGUA','SC',4920,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2093650,3.00,9.00,1.00,5.00,5.00,4.00,5.00,6.00,2.00,211,316,238,'CENTRO','TIJUCAS','SC',15163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2093669,3.00,5.00,0.00,5.00,7.00,NULL,5.00,5.00,3.00,404,309,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2093677,2.00,4.00,2.00,0.00,6.00,NULL,1.00,1.00,3.00,215,102,211,'JARDIM DAS AVENIDAS','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2093685,5.00,7.00,4.00,6.00,7.00,7.00,9.00,4.00,6.00,207,214,203,'CAPOEIRAS','FLORIANOPOLIS','SC',4875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093693,5.00,9.00,4.00,0.00,8.00,6.75,6.00,6.00,5.00,103,102,NULL,'CENTRO','FLORIANOPOLIS','SC',7825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2093715,2.00,6.00,4.00,6.00,5.00,7.50,3.00,4.00,2.00,103,102,NULL,'JARDIM PACAEMBU','JUNDIAI','SP',14344,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2093723,2.00,5.00,0.00,6.00,4.00,7.00,3.00,3.00,2.00,327,426,NULL,'TAPÉRA','FLORIANOPOLIS','SC',20389,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2093731,5.00,8.00,5.00,7.00,7.00,4.50,4.00,4.00,4.00,211,333,207,'TRISTEZA','PORTO ALEGRE','RS',8068,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2093740,6.00,5.00,3.00,6.00,7.00,6.25,6.00,6.00,2.00,316,238,NULL,'CENTRO','ARMAZEM','SC',8009,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2093758,4.00,8.00,5.00,8.00,7.00,5.50,7.00,6.00,5.00,301,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',4561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093766,5.00,6.00,5.00,3.00,6.00,7.00,4.00,6.00,3.00,101,332,NULL,'MEIA PRAIA','ITAPEMA','SC',10290,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2093782,9.00,7.00,7.00,8.00,8.00,6.00,6.00,7.00,5.00,450,415,NULL,'SAN CONRADO','CAMPINAS','SP',1726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093790,3.00,6.00,3.00,4.00,6.00,3.00,4.00,6.00,2.00,420,302,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',16678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093804,4.00,7.00,2.00,3.00,7.00,5.50,4.00,3.00,4.00,9,102,NULL,'JOAQUIM FRANCISCO DE','JARAGUA DO SUL','SC',14318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093812,7.00,9.00,9.00,7.00,9.00,6.50,9.00,9.00,9.00,103,102,NULL,'VELHA','BLUMENAU','SC',76,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2093820,6.00,6.00,8.00,8.00,7.00,5.00,8.00,5.00,6.00,201,207,215,'PARK WAY','NUCLEO BANDEIRANTE','DF',3315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093839,2.00,1.00,3.00,3.00,3.00,NULL,3.00,0.00,2.00,104,415,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,4),(15,2093855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,426,NULL,'NOVO ITACOLOMY','MOGI GUACU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2093863,5.00,8.00,4.00,9.00,8.00,6.50,3.00,7.00,2.00,301,318,NULL,'COQUEIROS','FLORIANOPOLIS','SC',5255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093898,2.00,4.00,4.00,4.00,5.00,4.00,3.00,1.00,1.00,319,101,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,319,NULL,'MUNICÍPIOS','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2093928,5.00,8.00,8.00,5.00,5.00,5.00,8.00,6.00,5.00,202,2,213,'MICHEL','CRICIUMA','SC',4410,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2093952,7.00,5.00,4.00,9.00,6.00,7.00,5.00,5.00,3.00,207,420,211,'PARQUE SÃO JORGE','FLORIANOPOLIS','SC',7559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093960,5.00,8.00,5.00,7.00,8.00,5.75,7.00,7.00,4.00,207,420,211,'SANTA MÔNICA','FLORIANOPOLIS','SC',4025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2093979,3.00,5.00,2.00,5.00,8.00,3.75,5.00,8.00,4.00,208,301,220,'ATIRADORES','JOINVILLE','SC',11921,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2093995,4.00,5.00,5.00,4.00,8.00,5.50,6.00,4.00,5.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',9712,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2094029,6.00,9.00,7.00,9.00,9.00,7.25,7.00,9.00,7.00,103,104,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094037,4.00,8.00,4.00,9.00,6.00,7.25,6.00,7.00,5.00,428,310,425,'CENTRO','BALNEARIO CAMBORIU','SC',3978,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2094061,3.00,8.00,6.00,7.00,8.00,5.25,6.00,5.00,5.00,423,426,424,'LUTHER KING','FRANCISCO BELTRAO','PR',5894,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2094070,3.00,8.00,6.00,8.00,6.00,5.75,5.00,6.00,3.00,318,327,NULL,'CENTRO','FLORIANOPOLIS','SC',7043,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2094096,4.00,7.00,7.00,8.00,8.00,7.00,9.00,6.00,6.00,103,424,NULL,'COQUEIROS','FLORIANOPOLIS','SC',2075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094126,2.00,6.00,4.00,6.00,6.00,6.25,7.00,5.00,2.00,429,324,423,'SACO GRANDE','FLORIANOPOLIS','SC',12584,45,NULL,NULL,NULL,NULL,NULL,2,1),(15,2094134,5.00,4.00,4.00,2.00,7.00,6.00,5.00,3.00,6.00,103,102,NULL,'ALTO DA GLÓRIA','LOANDA','PR',13376,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2094142,6.00,8.00,9.00,8.00,8.00,6.50,9.00,8.00,7.00,214,NULL,212,'CENTRO','CAMPO MOURAO','PR',641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094150,3.00,7.00,5.00,3.00,5.00,5.75,3.00,5.00,1.00,324,424,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',16501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094169,2.00,2.00,1.00,4.00,6.00,NULL,1.00,4.00,1.00,104,5,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2094177,3.00,6.00,6.00,5.00,8.00,6.00,6.00,7.00,3.00,103,319,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',7326,1821,660,NULL,NULL,NULL,NULL,2,1),(15,2094185,5.00,5.00,2.00,9.00,8.00,6.00,5.00,6.00,2.00,450,425,NULL,'BOSQUE DOS EUCALIPTO','SAO JOSE DOS CAMPOS','SP',8663,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2094193,5.00,7.00,1.00,5.00,5.00,3.50,5.00,7.00,3.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',12561,2405,NULL,NULL,NULL,NULL,NULL,2,2),(15,2094215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','SANTO ANGELO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2094223,2.00,4.00,3.00,6.00,4.00,6.25,0.00,3.00,1.00,415,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',20035,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2094231,4.00,7.00,7.00,6.00,6.00,6.25,6.00,5.00,4.00,202,201,213,'TRINDADE','FLORIANOPOLIS','SC',6618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094240,4.00,6.00,6.00,6.00,8.00,4.25,7.00,6.00,5.00,316,423,NULL,'COQUEIROS','FLORIANOPOLIS','SC',7290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2094258,4.00,3.00,2.00,2.00,5.00,6.50,4.00,2.00,3.00,208,332,NULL,'VELHA','BLUMENAU','SC',20671,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2094266,5.00,6.00,4.00,2.00,8.00,6.75,4.00,2.00,3.00,103,102,NULL,'CENTRO','CAXIAS DO SUL','RS',13201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094274,4.00,6.00,3.00,0.00,7.00,4.50,5.00,6.00,5.00,420,451,NULL,'JULIA KUBTSCHEK','CORONEL FABRICIANO','MG',12878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094282,0.00,4.00,1.00,4.00,5.00,5.75,2.00,3.00,3.00,420,329,NULL,'CAMPECHE','FLORIANOPOLIS','SC',21770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094290,0.00,3.00,1.00,2.00,4.00,NULL,4.00,1.00,3.00,108,420,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2094304,1.00,6.00,4.00,4.00,8.00,6.75,4.00,5.00,3.00,101,404,NULL,'ESTREITO','FLORIANOPOLIS','SC',12255,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2094312,3.00,7.00,5.00,8.00,6.00,4.00,6.00,4.00,3.00,303,333,NULL,'ESTREITO','FLORIANOPOLIS','SC',10545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094339,4.00,7.00,8.00,6.00,8.00,6.50,5.00,6.00,2.00,317,318,NULL,'BRACATINGA','TROMBUDO CENTRAL','SC',5432,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2094347,3.00,6.00,2.00,6.00,7.00,5.50,4.00,5.00,3.00,444,217,NULL,'INGLESES','FLORIANOPOLIS','SC',13930,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2094363,4.00,5.00,6.00,8.00,7.00,5.00,6.00,5.00,5.00,108,217,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',6581,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2094371,6.00,6.00,6.00,6.00,7.00,5.00,6.00,5.00,3.00,319,310,NULL,'JD PETROPOLIS','SAO PAULO','SP',6205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094380,4.00,7.00,6.00,6.00,7.00,6.50,3.00,5.00,4.00,207,424,233,'CENTRO','CRICIUMA','SC',7896,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2094398,2.00,6.00,1.00,1.00,7.00,4.00,6.00,4.00,0.00,103,217,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',20585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094401,3.00,5.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,333,502,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2094410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','ENEAS MARQUES','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2094428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,108,NULL,'ESPLANADA II','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2094452,3.00,7.00,4.00,5.00,6.00,6.25,5.00,6.00,4.00,302,327,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',10672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2094460,4.00,7.00,5.00,2.00,6.00,4.50,6.00,3.00,3.00,103,104,NULL,'DAMHA I','SAO JOSE DO RIO PRETO','SP',13956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094479,3.00,7.00,5.00,8.00,6.00,5.50,4.00,3.00,3.00,301,316,NULL,'VILA ALZIRA','SANTO ANDRE','SP',11430,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2094487,5.00,7.00,6.00,4.00,8.00,5.50,7.00,7.00,7.00,203,214,201,'CIDADE JARDIM','CAMPINAS','SP',4868,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2094495,3.00,7.00,4.00,3.00,5.00,6.50,6.00,6.00,1.00,450,420,NULL,'CENTRO','ARARAS','SP',14018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,222,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2094517,1.00,6.00,2.00,5.00,5.00,4.75,3.00,4.00,3.00,103,108,NULL,'ZONA CINCO','MARINGA','PR',17949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094525,7.00,7.00,8.00,2.00,7.00,4.50,8.00,6.00,7.00,104,102,NULL,'CENTRO','FLORIANOPOLIS','SC',4275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094533,2.00,4.00,0.00,3.00,5.00,NULL,4.00,3.00,2.00,207,327,NULL,'JARDIM DAS INDUSTRIA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2094541,6.00,8.00,3.00,5.00,7.00,6.50,6.00,7.00,5.00,415,319,NULL,'CENTRO','SAO MIGUEL ARCANJO','SP',6402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094550,4.00,5.00,1.00,6.00,4.00,5.50,3.00,5.00,4.00,333,207,NULL,'BELA VISTA','SAO JOSE','SC',17085,283,1248,NULL,NULL,NULL,NULL,2,1),(15,2094568,2.00,5.00,0.00,5.00,6.00,NULL,2.00,4.00,2.00,225,2,NULL,'JARDIM ELDORADO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2094576,3.00,6.00,4.00,7.00,7.00,6.25,3.00,4.00,2.00,216,102,233,'ACLIMAÇÃO','SAO PAULO','SP',11612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094584,7.00,8.00,9.00,9.00,9.00,8.25,8.00,8.00,6.00,304,318,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',255,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2094592,6.00,7.00,3.00,6.00,7.00,5.75,5.00,7.00,5.00,303,5,NULL,'CENTRO','RIBEIRAO PRETO','SP',6858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094622,6.00,8.00,4.00,9.00,6.00,4.00,6.00,7.00,5.00,103,102,NULL,'GIOCONDO ORSI','CAMPO GRANDE','MS',5178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094649,2.00,6.00,3.00,5.00,7.00,6.00,2.00,5.00,2.00,201,444,211,'CENTRO','MORRO REUTER','RS',15060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2094665,6.00,8.00,3.00,7.00,9.00,6.50,6.00,6.00,3.00,207,223,201,'VILA OPERARIA','ITAJAI','SC',5513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094673,5.00,8.00,6.00,6.00,7.00,6.00,5.00,5.00,3.00,101,308,NULL,'BARREIROS','SAO JOSE','SC',7652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094681,3.00,8.00,5.00,1.00,7.00,3.00,7.00,5.00,6.00,233,214,212,'JARDIM EMBAIXADOR','MOGI MIRIM','SP',10225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094703,5.00,8.00,3.00,8.00,8.00,7.50,7.00,5.00,3.00,415,426,NULL,'CENTRO','FLORIANOPOLIS','SC',4770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094711,5.00,7.00,3.00,10.00,7.00,5.50,7.00,6.00,5.00,103,303,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2094738,3.00,7.00,5.00,7.00,6.00,5.50,7.00,6.00,4.00,301,316,NULL,'JD PROENÇA','CAMPINAS','SP',6830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094746,6.00,6.00,4.00,6.00,8.00,6.00,5.00,6.00,3.00,104,102,NULL,'VILA MOEMA','TUBARAO','SC',7940,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2094754,2.00,4.00,6.00,6.00,7.00,5.75,3.00,4.00,2.00,208,238,NULL,'CENTRO','TURVO','SC',15042,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2094762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,324,NULL,'CENTRO','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2094770,1.00,7.00,5.00,6.00,4.00,5.75,3.00,5.00,2.00,317,404,NULL,'BARREIROS','SAO JOSE','SC',16025,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2094789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2094797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2094800,2.00,5.00,5.00,0.00,7.00,5.50,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',16994,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2094819,4.00,8.00,8.00,7.00,6.00,6.75,7.00,5.00,4.00,211,214,203,'BOSQUE DAS MASÕES','SAO JOSE','SC',4319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094835,3.00,7.00,5.00,8.00,9.00,7.00,6.00,4.00,5.00,101,451,NULL,'CARAVAGGIO','NOVA VENEZA','SC',6246,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2094843,2.00,7.00,6.00,2.00,6.00,4.75,5.00,6.00,3.00,451,339,NULL,'SÃO JOSÉ','SAO JOSE','SC',14660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094851,3.00,5.00,5.00,3.00,6.00,5.00,2.00,5.00,3.00,223,224,NULL,'FLOR DE NAPOLIS','SAO JOSE','SC',17419,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2094860,2.00,4.00,2.00,2.00,7.00,NULL,3.00,2.00,0.00,208,420,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094878,4.00,6.00,2.00,9.00,8.00,6.75,4.00,6.00,5.00,303,326,NULL,'ESTREITO','FLORIANOPOLIS','SC',6620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094886,5.00,7.00,8.00,5.00,7.00,7.00,7.00,6.00,4.00,216,233,215,'CENTRO','BIGUACU','SC',4040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094894,2.00,8.00,5.00,1.00,7.00,5.75,7.00,7.00,3.00,220,213,211,'CON CON','SOMBRIO','SC',10544,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2094908,3.00,6.00,3.00,7.00,7.00,6.75,3.00,4.00,5.00,333,420,NULL,'CENTRO','FLORIANOPOLIS','SC',9874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094932,5.00,7.00,5.00,3.00,5.00,5.50,5.00,5.00,4.00,301,316,NULL,'CACUPÉ','FLORIANOPOLIS','SC',11705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094940,6.00,7.00,5.00,7.00,8.00,5.50,7.00,5.00,4.00,108,213,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',4682,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2094959,3.00,7.00,5.00,5.00,5.00,4.25,4.00,4.00,5.00,208,404,NULL,'SÃO BASÍLIO MAGNO','UNIAO DA VITORIA','PR',13857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2094967,3.00,8.00,7.00,7.00,7.00,5.00,6.00,8.00,6.00,202,213,NULL,'FLORESTA','PORTO ALEGRE','RS',4174,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2094975,3.00,6.00,4.00,1.00,4.00,3.50,4.00,5.00,1.00,208,NULL,NULL,'DONA WANDA','SAO JOSE','SC',19894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094983,6.00,5.00,5.00,9.00,9.00,6.00,4.00,6.00,4.00,103,207,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2094991,4.00,7.00,7.00,4.00,5.00,5.25,8.00,5.00,5.00,501,NULL,NULL,'VILA PARAÍSO','LIMEIRA','SP',8578,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2095009,2.00,6.00,2.00,1.00,4.00,NULL,0.00,0.00,0.00,238,5,220,'CENTRO','NOVA MUTUM','MT',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(15,2095017,4.00,4.00,2.00,1.00,8.00,4.50,4.00,5.00,3.00,103,101,NULL,'CENTRO','GASPAR','SC',17482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095033,4.00,5.00,4.00,1.00,7.00,3.00,6.00,5.00,1.00,224,223,NULL,'JD UMUARAMA','CAMPO GRANDE','MS',17128,53,200,NULL,NULL,NULL,NULL,4,1),(15,2095041,2.00,1.00,2.00,0.00,3.00,NULL,2.00,3.00,0.00,201,102,207,'INTERIOR','IRACEMINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2095050,5.00,8.00,6.00,7.00,8.00,4.50,6.00,6.00,4.00,104,319,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',4252,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2095076,5.00,5.00,5.00,5.00,7.00,4.25,8.00,4.00,6.00,214,220,212,'PARQUE SÃO MIGUEL','SAO JOSE DO RIO PRETO','SP',8021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095084,3.00,5.00,5.00,7.00,7.00,5.50,5.00,6.00,5.00,301,316,NULL,'COSTEIRA','FLORIANOPOLIS','SC',8727,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2095114,6.00,8.00,2.00,7.00,5.00,5.50,4.00,6.00,2.00,415,420,NULL,'FUNDO CANOAS','RIO DO SUL','SC',9999,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2095122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,450,215,'VILA VICENTINA','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2095130,3.00,7.00,3.00,6.00,8.00,5.25,5.00,5.00,4.00,208,108,238,'CENTRO','JOINVILLE','SC',10386,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2095149,6.00,7.00,7.00,5.00,8.00,6.25,6.00,8.00,6.00,103,104,NULL,'JD STO ANTONIO','OSASCO','SP',2767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095157,4.00,7.00,5.00,4.00,8.00,5.00,7.00,4.00,4.00,319,329,NULL,'CENTRO','FLORIANOPOLIS','SC',9137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095165,8.00,7.00,6.00,4.00,9.00,5.50,7.00,5.00,8.00,220,2,201,'JARDIM DO PRADO','ARACATUBA','SP',3775,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2095173,4.00,7.00,6.00,6.00,8.00,7.25,5.00,6.00,5.00,215,303,216,'VILLAGE','PENAPOLIS','SP',5860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095181,3.00,6.00,1.00,6.00,4.00,5.50,4.00,3.00,2.00,202,203,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',17460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095190,3.00,5.00,2.00,4.00,5.00,5.00,3.00,2.00,2.00,415,217,NULL,'BALNEARIO','FLORIANOPOLIS','SC',20603,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2095203,8.00,8.00,8.00,8.00,8.00,7.25,9.00,8.00,6.00,103,NULL,NULL,'CENTRO','CAMPO GRANDE','MS',286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095211,6.00,7.00,6.00,7.00,8.00,7.00,9.00,5.00,6.00,217,216,NULL,'JOSE MENINO','SANTOS','SP',2556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095238,1.00,8.00,3.00,0.00,7.00,5.00,4.00,5.00,4.00,238,203,208,'ANDORINHA','ITAPEMA','SC',17235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095246,3.00,8.00,0.00,3.00,6.00,4.00,6.00,3.00,3.00,220,2,202,'UNIVERSITARIO','LAGES','SC',17293,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2095262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,215,233,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2095270,2.00,7.00,1.00,2.00,6.00,6.25,0.00,6.00,3.00,451,319,NULL,'BOM JESUS','CACADOR','SC',17851,62,870,NULL,NULL,NULL,NULL,4,9),(15,2095289,3.00,5.00,4.00,3.00,6.00,4.50,3.00,5.00,3.00,103,104,NULL,'CENTRO','ERECHIM','RS',16749,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2095297,0.00,5.00,0.00,3.00,4.00,NULL,2.00,1.00,0.00,208,238,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2095300,4.00,7.00,2.00,7.00,9.00,7.25,4.00,6.00,3.00,103,101,NULL,'CENTRO','RIO FORTUNA','SC',8647,1979,509,NULL,NULL,NULL,NULL,2,10),(15,2095319,4.00,7.00,7.00,8.00,8.00,6.00,3.00,4.00,4.00,238,222,215,'ESTREITO','FLORIANOPOLIS','SC',7311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2095327,5.00,8.00,8.00,6.00,7.00,5.25,8.00,7.00,6.00,203,NULL,201,'CENTRO','BALNEARIO CAMBORIU','SC',2910,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2095335,4.00,5.00,7.00,8.00,8.00,5.50,6.00,6.00,4.00,9,215,NULL,'SANTA TEREZINHA','SAO BERNARDO DO CAMPO','SP',5074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095343,3.00,4.00,3.00,3.00,3.00,3.25,4.00,2.00,2.00,208,233,220,'COQUEIROS','FLORIANOPOLIS','SC',21774,882,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095351,7.00,9.00,7.00,7.00,7.00,6.75,7.00,7.00,6.00,103,333,NULL,'SETOR UNIVERSITÁRIO','GOIANIA','GO',1844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095360,4.00,7.00,6.00,3.00,9.00,3.50,7.00,7.00,5.00,201,317,212,'SUMARÉ','SAO PAULO','SP',6992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095378,6.00,7.00,6.00,5.00,8.00,5.25,7.00,8.00,4.00,207,333,201,'PONTA DE BAIXO','SAO JOSE','SC',3756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095386,0.00,5.00,5.00,3.00,7.00,4.50,0.00,2.00,2.00,303,216,NULL,'BUCAREIN','JOINVILLE','SC',20720,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2095394,2.00,6.00,6.00,3.00,6.00,3.50,5.00,3.00,5.00,233,207,201,'NOVA PETROPOLIS','SAO BERNARDO DO CAMPO','SP',13242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095408,3.00,8.00,2.00,7.00,4.00,1.00,5.00,4.00,0.00,404,444,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095416,4.00,6.00,3.00,0.00,3.00,4.00,2.00,5.00,3.00,211,327,238,'SANTO ANTONIO','OSASCO','SP',21355,731,473,793,NULL,NULL,NULL,4,1),(15,2095424,0.00,5.00,2.00,1.00,3.00,NULL,1.00,2.00,1.00,316,324,NULL,'RESIDENCIAL LAGO SUL','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095432,2.00,8.00,3.00,7.00,7.00,7.00,4.00,6.00,2.00,415,420,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',9729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095440,1.00,6.00,3.00,1.00,0.00,NULL,3.00,4.00,1.00,202,213,220,'BERGER','CACADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095483,4.00,8.00,3.00,7.00,8.00,4.25,6.00,6.00,4.00,103,NULL,NULL,'MERCES','CURITIBA','PR',8977,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2095491,5.00,7.00,2.00,3.00,8.00,5.50,6.00,8.00,3.00,328,329,NULL,'FORQUILHAS','SAO JOSE','SC',10435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095505,8.00,7.00,4.00,7.00,9.00,5.00,7.00,7.00,5.00,203,233,214,'PRQ RES AQUARIUS','SAO JOSE DOS CAMPOS','SP',3371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095513,5.00,4.00,2.00,4.00,3.00,4.00,3.00,4.00,2.00,238,444,208,'CENTRO','FLORIANOPOLIS','SC',20198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095530,5.00,6.00,4.00,8.00,7.00,6.00,6.00,7.00,3.00,220,233,203,'AVENTUREIRO','JOINVILLE','SC',6588,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2095548,3.00,6.00,3.00,5.00,7.00,4.00,4.00,7.00,2.00,103,102,NULL,'ANDREATTA','SAO MIGUEL DOESTE','SC',13217,2467,907,NULL,NULL,NULL,NULL,2,4),(15,2095556,4.00,9.00,5.00,7.00,8.00,4.50,5.00,8.00,5.00,429,316,424,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',4300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095564,4.00,6.00,2.00,6.00,6.00,6.25,4.00,6.00,5.00,303,301,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',9378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095572,4.00,7.00,6.00,7.00,6.00,6.00,8.00,5.00,4.00,103,220,NULL,'CENTRO','FLORIANOPOLIS','SC',5980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095580,1.00,7.00,2.00,3.00,3.00,5.25,2.00,5.00,3.00,404,444,NULL,'PONTE IMARUIM','PALHOCA','SC',21268,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2095599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,208,NULL,'FLORESTA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2095602,3.00,7.00,4.00,7.00,6.00,5.00,3.00,5.00,3.00,5,303,NULL,'ABRAAO','FLORIANOPOLIS','SC',12453,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2095610,4.00,5.00,2.00,5.00,6.00,5.75,4.00,5.00,2.00,211,220,NULL,'PASSO DAREIA','PORTO ALEGRE','RS',15958,573,751,NULL,NULL,NULL,NULL,2,10),(15,2095629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,320,NULL,'CRISTAL','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2095637,4.00,5.00,2.00,4.00,7.00,6.75,3.00,6.00,2.00,103,102,NULL,'CENTRO','SAO JOSE DO OURO','RS',14454,2585,930,NULL,NULL,NULL,NULL,4,7),(15,2095645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'CENTRO','FRANCISCO BELTRAO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2095653,3.00,9.00,5.00,7.00,9.00,6.75,6.00,7.00,4.00,303,5,NULL,'CENTRO','CRICIUMA','SC',4293,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2095661,4.00,5.00,3.00,6.00,5.00,6.00,3.00,3.00,2.00,220,208,233,'CENTRO','PAPANDUVA','SC',15703,515,1042,363,NULL,NULL,NULL,2,8),(15,2095670,7.00,9.00,8.00,9.00,9.00,6.00,9.00,7.00,5.00,103,303,NULL,'TRINDADE','FLORIANOPOLIS','SC',660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095696,6.00,8.00,7.00,6.00,8.00,5.25,7.00,6.00,5.00,5,303,NULL,'ABRAAO','FLORIANOPOLIS','SC',3070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095718,2.00,6.00,2.00,3.00,4.00,5.75,5.00,1.00,4.00,333,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095726,4.00,7.00,7.00,5.00,7.00,5.75,7.00,6.00,4.00,333,332,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',6535,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2095734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,225,212,'TABOLEIRO','CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2095742,4.00,8.00,7.00,5.00,7.00,6.25,4.00,5.00,4.00,222,223,NULL,'CENTRO','FLORIANOPOLIS','SC',6360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,301,208,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2095769,5.00,7.00,5.00,6.00,8.00,6.00,6.00,6.00,3.00,9,301,NULL,'TRINDADE','FLORIANOPOLIS','SC',6470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095777,1.00,4.00,2.00,7.00,5.00,5.75,3.00,4.00,4.00,9,102,NULL,'INGLESES','FLORIANOPOLIS','SC',17028,235,1002,NULL,NULL,NULL,NULL,2,1),(15,2095785,2.00,8.00,2.00,5.00,7.00,5.50,2.00,5.00,4.00,108,333,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',13374,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2095793,3.00,6.00,0.00,0.00,3.00,NULL,1.00,3.00,4.00,203,220,202,'INTERIOR','NOVA ITABERABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2095807,5.00,7.00,5.00,8.00,7.00,5.00,3.00,4.00,4.00,301,316,NULL,'ANAPÓLIS CITY','ANAPOLIS','GO',9106,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2095823,6.00,8.00,4.00,5.00,7.00,6.75,7.00,3.00,4.00,420,207,NULL,'CENTRO','ERECHIM','RS',6960,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2095831,0.00,6.00,3.00,3.00,7.00,5.50,6.00,6.00,2.00,415,303,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',15394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095858,4.00,7.00,5.00,4.00,4.00,7.00,6.00,3.00,3.00,214,NULL,213,'GLEBA PALHANO','LONDRINA','PR',10602,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2095866,4.00,5.00,1.00,7.00,8.00,6.75,2.00,3.00,3.00,103,108,NULL,'DAS NAÇÕES','BALNEARIO CAMBORIU','SC',13209,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2095874,6.00,7.00,1.00,9.00,8.00,7.75,4.00,7.00,3.00,303,415,NULL,'CENTRO','FLORIANOPOLIS','SC',4679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095882,7.00,8.00,8.00,9.00,8.00,7.50,8.00,8.00,7.00,303,326,NULL,'CAMPECHE','FLORIANOPOLIS','SC',218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095890,4.00,7.00,8.00,4.00,7.00,5.50,6.00,5.00,4.00,220,224,203,'CENTRO','VERA CRUZ','SP',8325,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2095904,3.00,6.00,1.00,4.00,7.00,6.25,3.00,4.00,0.00,104,102,NULL,'CENTRO','NOVA ERECHIM','SC',19116,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2095912,2.00,6.00,3.00,0.00,6.00,6.25,3.00,2.00,2.00,207,420,201,'CENTRO','BALNEARIO CAMBORIU','SC',20338,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2095920,4.00,8.00,4.00,6.00,7.00,6.00,7.00,6.00,3.00,303,326,NULL,'TRINDADE','FLORIANOPOLIS','SC',7040,401,181,NULL,NULL,NULL,NULL,2,1),(15,2095939,7.00,8.00,6.00,7.00,7.00,8.00,8.00,8.00,8.00,103,104,NULL,'BARRA FUNDA','SAO PAULO','SP',1081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095947,8.00,8.00,6.00,9.00,8.00,6.25,7.00,7.00,6.00,303,5,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',1476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','SEBERI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2095963,4.00,7.00,5.00,8.00,3.00,5.75,6.00,4.00,5.00,203,NULL,NULL,'VISTA ALEGRE DAS MER','CURITIBA','PR',10230,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2095971,7.00,6.00,8.00,5.00,8.00,5.25,8.00,7.00,7.00,103,NULL,NULL,'CPA I','CUIABA','MT',1977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2095980,2.00,8.00,9.00,8.00,9.00,6.75,6.00,5.00,6.00,302,301,NULL,'ESTREITO','FLORIANOPOLIS','SC',3678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2095998,6.00,8.00,7.00,6.00,6.00,5.50,7.00,7.00,6.00,102,108,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',3334,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2096005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'SÃO MIGUEL PTA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2096013,7.00,7.00,5.00,8.00,8.00,7.25,4.00,6.00,3.00,103,327,NULL,'MAR GROSSO','LAGUNA','SC',4984,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2096021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,201,NULL,'CENTRO','TAPEJARA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2096030,7.00,8.00,6.00,7.00,6.00,8.25,6.00,7.00,6.00,103,104,NULL,'MORADA DA SERRA II','CUIABA','MT',2057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096048,1.00,4.00,7.00,8.00,5.00,6.25,7.00,1.00,2.00,103,217,NULL,'VILA DAMASIO','SAO BERNARDO DO CAMPO','SP',14340,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2096056,4.00,7.00,5.00,0.00,6.00,6.00,6.00,8.00,6.00,203,214,220,'PONTE SÃO JOÃO','JUNDIAI','SP',8428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096064,1.00,5.00,4.00,6.00,6.00,4.50,4.00,2.00,2.00,329,327,NULL,'JARDIM EUCALIPTUS','PALHOCA','SC',18206,60,425,NULL,NULL,NULL,NULL,2,1),(15,2096072,4.00,7.00,7.00,3.00,5.00,5.75,9.00,7.00,2.00,207,304,202,'BUENO','GOIANIA','GO',7649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096080,5.00,7.00,5.00,6.00,8.00,7.50,7.00,5.00,6.00,103,9,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',5365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096099,2.00,4.00,6.00,3.00,7.00,4.75,5.00,4.00,3.00,207,450,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',16035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096102,1.00,4.00,0.00,2.00,4.00,NULL,3.00,0.00,1.00,308,NULL,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2096110,6.00,7.00,9.00,6.00,8.00,6.25,9.00,7.00,7.00,103,104,NULL,'NORTE','TAGUATINGA','DF',1473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096129,9.00,9.00,9.00,9.00,8.00,7.75,9.00,9.00,8.00,103,5,NULL,'CENTRO','FLORIANOPOLIS','SC',36,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096137,4.00,7.00,4.00,1.00,5.00,5.50,4.00,3.00,3.00,9,223,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',16494,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2096153,6.00,9.00,5.00,6.00,9.00,5.25,6.00,6.00,6.00,103,501,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',3301,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2096170,3.00,5.00,3.00,5.00,5.00,5.25,3.00,3.00,2.00,318,222,NULL,'CENTRO','FLORIANOPOLIS','SC',18816,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2096188,7.00,8.00,8.00,7.00,7.00,4.75,9.00,8.00,9.00,103,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',757,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2096200,4.00,6.00,1.00,4.00,6.00,5.00,3.00,5.00,5.00,104,9,NULL,'AREIAS','SAO JOSE','SC',15668,507,608,NULL,NULL,NULL,NULL,2,1),(15,2096218,6.00,8.00,7.00,8.00,8.00,5.75,7.00,6.00,6.00,207,415,NULL,'ASA SUL','BRASILIA','DF',2573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096226,3.00,7.00,6.00,7.00,5.00,3.50,2.00,6.00,4.00,303,5,NULL,'CENTRO','SANTA BARBARA D OESTE','SP',10353,544,1144,NULL,NULL,NULL,NULL,4,1),(15,2096242,8.00,8.00,6.00,5.00,7.00,6.25,8.00,8.00,8.00,103,101,NULL,'GIOCONDO ORSI','CAMPO GRANDE','MS',2169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096269,3.00,8.00,9.00,6.00,8.00,4.25,7.00,5.00,7.00,303,5,NULL,'VILA ESTER','SAO PAULO','SP',4629,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2096277,6.00,7.00,4.00,6.00,8.00,5.00,6.00,5.00,3.00,238,316,208,'ESTREITO','FLORIANOPOLIS','SC',8286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096293,4.00,8.00,3.00,0.00,6.00,6.50,5.00,3.00,4.00,201,420,207,'MAR GROSSO','LAGUNA','SC',14789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096307,2.00,3.00,0.00,3.00,3.00,5.00,2.00,6.00,1.00,211,234,233,'JARDIM CIDADE DE FPO','SAO JOSE','SC',22330,758,258,477,NULL,NULL,NULL,2,1),(15,2096315,4.00,7.00,3.00,6.00,7.00,5.00,5.00,5.00,2.00,203,223,201,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096331,3.00,4.00,7.00,8.00,7.00,4.00,4.00,6.00,5.00,108,102,NULL,'JARDIM BOTÂNICO','LAGO SUL','DF',9587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096340,5.00,7.00,5.00,4.00,7.00,4.75,5.00,4.00,6.00,103,NULL,NULL,'VILA PRUDENTE','SAO PAULO','SP',8579,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2096358,1.00,3.00,2.00,3.00,5.00,2.25,4.00,3.00,2.00,103,333,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096374,1.00,4.00,1.00,4.00,7.00,5.25,3.00,3.00,2.00,103,5,NULL,'CENTRO','PALMAS','PR',20184,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2096382,3.00,7.00,2.00,2.00,4.00,4.25,5.00,3.00,2.00,238,404,208,'ROÇADO','SAO JOSE','SC',19263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096404,7.00,8.00,7.00,4.00,8.00,6.25,6.00,7.00,7.00,103,303,NULL,'TINGUI','CURITIBA','PR',3744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096412,1.00,5.00,5.00,4.00,5.00,5.50,5.00,5.00,2.00,302,317,NULL,'CENTRO','TOLEDO','PR',16292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2096420,2.00,6.00,1.00,7.00,7.00,6.00,3.00,7.00,3.00,450,415,NULL,'ANA RECH','CAXIAS DO SUL','RS',12720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,318,NULL,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2096455,2.00,6.00,3.00,4.00,7.00,5.50,2.00,5.00,4.00,425,101,429,'CAMPECHE','FLORIANOPOLIS','SC',15311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096471,1.00,4.00,4.00,4.00,4.00,3.75,4.00,4.00,3.00,103,202,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,104,NULL,'NOVA VILA','IVOTI','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2096498,4.00,7.00,5.00,7.00,5.00,6.00,4.00,5.00,4.00,404,316,NULL,'KOBRASOL','SAO JOSE','SC',11018,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2096501,4.00,7.00,4.00,7.00,6.00,4.00,6.00,8.00,4.00,420,450,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',7977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096528,2.00,5.00,5.00,4.00,5.00,4.75,3.00,4.00,1.00,103,202,NULL,'CENTRO','CAMPO MOURAO','PR',18960,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2096544,3.00,6.00,7.00,6.00,6.00,5.00,4.00,6.00,3.00,211,304,NULL,'JARDIM BOTANICO','LAGO SUL','DF',10697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096552,5.00,8.00,8.00,6.00,7.00,6.00,9.00,8.00,7.00,203,225,233,'CENTRO','BRUSQUE','SC',1058,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2096560,3.00,5.00,4.00,0.00,7.00,6.00,4.00,4.00,2.00,415,426,NULL,'CARIANOS','FLORIANOPOLIS','SC',17800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,212,'VILA OLIMPIA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2096587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'PQ DAS UNIVERSIDADES','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2096595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,2,201,'ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2096617,0.00,3.00,3.00,4.00,5.00,4.75,4.00,4.00,3.00,223,302,NULL,'ALTO ARIRIU','PALHOCA','SC',19976,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2096625,8.00,8.00,6.00,6.00,8.00,6.75,7.00,5.00,5.00,103,104,NULL,'CENTRO','CASCAVEL','PR',3010,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2096633,2.00,2.00,1.00,1.00,3.00,NULL,2.00,2.00,3.00,421,326,425,'CACUPE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096641,4.00,8.00,5.00,7.00,9.00,7.00,6.00,6.00,4.00,303,301,NULL,'PRÓSPERA','CRICIUMA','SC',4908,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2096650,3.00,9.00,7.00,7.00,7.00,6.25,7.00,7.00,3.00,415,5,NULL,'PÂNTANO DO SUL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096668,4.00,7.00,4.00,6.00,7.00,6.50,5.00,4.00,2.00,302,222,NULL,'ROÇADO','SAO JOSE','SC',10419,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2096684,5.00,5.00,6.00,5.00,6.00,4.50,6.00,4.00,5.00,215,212,NULL,'SANTA MARTA','SAO CARLOS','SP',9411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096706,6.00,6.00,6.00,10.00,9.00,6.50,8.00,7.00,4.00,201,202,212,'ITOUPAVA SECA','BLUMENAU','SC',2478,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2096714,4.00,6.00,6.00,1.00,4.00,5.50,5.00,6.00,4.00,202,208,213,'BALNEARIO PRINCESA D','ITAPOA','SC',13099,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2096722,8.00,8.00,9.00,8.00,8.00,5.25,9.00,7.00,7.00,233,332,215,'PANTANAL','FLORIANOPOLIS','SC',511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096730,6.00,8.00,7.00,9.00,7.00,5.50,10.00,7.00,7.00,220,213,208,'SUDOESTE','CRUZEIRO','DF',1362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096749,6.00,7.00,6.00,3.00,8.00,7.25,7.00,6.00,5.00,212,301,215,'JARDINS VIENA','APARECIDA DE GOIANIA','GO',4338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,207,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2096773,2.00,6.00,4.00,5.00,6.00,5.25,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',13381,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2096781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,215,NULL,'ZONA SETE','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2096790,3.00,3.00,1.00,2.00,6.00,NULL,3.00,2.00,1.00,103,404,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096811,3.00,7.00,3.00,8.00,8.00,6.25,7.00,3.00,3.00,104,NULL,NULL,'JARDIM DAS PALMEIRAS','SAO JOSE','SC',10717,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2096820,3.00,4.00,4.00,4.00,4.00,5.75,2.00,3.00,4.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2096838,5.00,7.00,2.00,8.00,8.00,6.75,7.00,6.00,4.00,108,333,NULL,'JOSE MENDES','FLORIANOPOLIS','SC',7138,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2096854,4.00,5.00,2.00,7.00,5.00,5.50,5.00,7.00,3.00,208,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',11290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'JARDIM OSVALDO CRUZ','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2096870,3.00,7.00,5.00,6.00,5.00,6.00,4.00,2.00,5.00,208,317,NULL,'BAIRRO IPIRANGA','SAO JOSE','SC',12540,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2096889,6.00,8.00,4.00,0.00,7.00,6.25,4.00,6.00,2.00,211,333,216,'CHACARA INGLESA','SAO PAULO','SP',11521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096900,5.00,6.00,5.00,6.00,7.00,5.25,3.00,5.00,2.00,303,5,NULL,'ATIRADORES','JOINVILLE','SC',10996,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2096927,1.00,5.00,4.00,4.00,3.00,5.50,3.00,5.00,2.00,212,225,213,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',18938,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2096935,7.00,9.00,7.00,6.00,8.00,5.00,7.00,7.00,6.00,103,NULL,NULL,'VILA SANTA CRUZ','ITATIBA','SP',2309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096943,5.00,7.00,5.00,6.00,8.00,7.50,7.00,6.00,4.00,303,5,NULL,'OTAVIO PECORA','CAMPO GRANDE','MS',5227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096951,4.00,9.00,6.00,8.00,8.00,7.00,5.00,8.00,5.00,103,415,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',3140,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2096960,6.00,8.00,5.00,6.00,6.00,5.25,7.00,6.00,4.00,211,201,216,'ANITA GARIBALDI','JOINVILLE','SC',6380,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2096978,2.00,6.00,6.00,4.00,4.00,4.50,3.00,3.00,5.00,215,NULL,NULL,'SANTO ANTÔNIO','CAMPO GRANDE','MS',15092,300,NULL,NULL,NULL,NULL,NULL,4,1),(15,2096986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,2,212,'CARIOCA','SAO JOSE DOS PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2096994,5.00,8.00,9.00,6.00,6.00,6.75,8.00,6.00,7.00,203,220,214,'JD PEREIRA DO AMPARO','JACAREI','SP',2229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097001,1.00,6.00,3.00,6.00,5.00,3.75,4.00,4.00,3.00,327,332,NULL,'ARIRIÚ','PALHOCA','SC',16475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097010,6.00,5.00,9.00,9.00,7.00,6.25,8.00,6.00,7.00,214,202,220,'CAIÇARA','CAMPO GRANDE','MS',1825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097028,3.00,4.00,4.00,5.00,6.00,6.25,4.00,2.00,1.00,103,101,NULL,'CENTRO','CRICIUMA','SC',18825,2922,711,NULL,NULL,NULL,NULL,4,5),(15,2097044,6.00,8.00,4.00,7.00,7.00,8.00,8.00,5.00,5.00,103,NULL,NULL,'CENTRO','COLORADO','PR',4045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097052,1.00,6.00,1.00,6.00,6.00,6.25,4.00,2.00,2.00,216,217,207,'SANTA CATARINA','CACADOR','SC',16910,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2097079,7.00,8.00,7.00,7.00,7.00,5.50,7.00,7.00,4.00,238,420,208,'FLORESTA','SAO JOSE','SC',2955,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097095,2.00,4.00,3.00,6.00,6.00,4.75,4.00,2.00,3.00,211,501,216,'VILA DAMASIO','SAO BERNARDO DO CAMPO','SP',17027,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2097109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2097117,4.00,7.00,3.00,5.00,7.00,5.00,5.00,6.00,3.00,333,502,NULL,'PONTE DO IMARUIM','PALHOCA','SC',9526,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097125,2.00,5.00,4.00,7.00,6.00,7.75,5.00,4.00,6.00,420,207,NULL,'KOLLER','ERECHIM','RS',9686,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2097133,0.00,7.00,1.00,7.00,7.00,4.75,2.00,6.00,0.00,451,308,NULL,'CENTRO','FLORIANOPOLIS','SC',16558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097141,7.00,6.00,8.00,9.00,9.00,5.00,7.00,7.00,6.00,201,301,212,'CENTRO','FLORIANOPOLIS','SC',2646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097150,4.00,7.00,7.00,6.00,5.00,5.50,6.00,5.00,6.00,220,201,208,'HIGIENÓPOLIS','PORTO ALEGRE','RS',6731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,502,NULL,'PRESIDENTE VARGAS','ICARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2097192,2.00,3.00,3.00,4.00,7.00,6.00,4.00,5.00,2.00,224,217,NULL,'CENTRO','FLORIANOPOLIS','SC',17704,57,488,NULL,NULL,NULL,NULL,2,1),(15,2097206,1.00,4.00,2.00,5.00,5.00,4.00,3.00,5.00,3.00,203,233,220,'ALTO ALEGRIA','GUAIBA','RS',19509,1120,632,582,NULL,NULL,NULL,2,1),(15,2097214,5.00,5.00,2.00,5.00,7.00,6.00,4.00,5.00,1.00,101,404,NULL,'CORAL','LAGES','SC',14266,133,384,NULL,NULL,NULL,NULL,2,9),(15,2097222,3.00,6.00,7.00,7.00,7.00,3.50,5.00,4.00,4.00,316,317,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',10772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097230,4.00,7.00,4.00,8.00,7.00,7.00,5.00,7.00,3.00,207,420,238,'CENTRO','FLORIANOPOLIS','SC',6657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097273,6.00,6.00,8.00,8.00,7.00,5.25,6.00,4.00,5.00,501,223,NULL,'BARREIROS','SAO JOSE','SC',4123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097290,4.00,4.00,2.00,5.00,4.00,5.25,4.00,2.00,2.00,102,103,NULL,'CENTRO','CORONEL VIVIDA','PR',19150,430,3255,NULL,NULL,NULL,NULL,5,4),(15,2097311,2.00,7.00,6.00,4.00,8.00,4.00,6.00,5.00,4.00,201,301,212,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',10313,566,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097320,5.00,8.00,5.00,4.00,6.00,3.50,3.00,5.00,2.00,108,211,NULL,'ZONA I','UMUARAMA','PR',13964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097338,5.00,8.00,5.00,4.00,6.00,3.50,6.00,9.00,4.00,103,104,NULL,'MOINHOS DE VENTO','PORTO ALEGRE','RS',7211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097346,6.00,6.00,6.00,7.00,5.00,6.00,6.00,5.00,6.00,220,319,202,'CANASVIEIRAS','FLORIANOPOLIS','SC',5468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097370,4.00,6.00,4.00,5.00,7.00,4.00,2.00,5.00,4.00,302,309,NULL,'FORQUILHINHAS','SAO JOSE','SC',12813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097397,6.00,6.00,6.00,1.00,8.00,3.00,5.00,6.00,4.00,317,208,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',9979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097400,3.00,7.00,4.00,4.00,6.00,4.25,6.00,4.00,2.00,203,301,214,'COPACABANA','RIO DE JANEIRO','RJ',12580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097419,7.00,8.00,7.00,6.00,7.00,7.75,7.00,4.00,7.00,103,319,NULL,'JARDIM PRESIDENTE','LONDRINA','PR',2531,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2097427,5.00,7.00,3.00,7.00,7.00,6.50,3.00,5.00,2.00,212,201,214,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2097435,1.00,8.00,1.00,9.00,5.00,8.50,2.00,5.00,3.00,324,425,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',13402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,444,215,'CENTRO','PAULO LOPES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2097451,2.00,8.00,5.00,9.00,7.00,6.75,7.00,5.00,3.00,415,429,NULL,'CAMPECHE','FLORIANOPOLIS','SC',6649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097460,5.00,7.00,5.00,6.00,6.00,2.50,2.00,6.00,3.00,303,5,NULL,'MELHADO','ARARAQUARA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,316,NULL,'BONFIN','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2097486,6.00,7.00,8.00,8.00,8.00,6.00,8.00,8.00,8.00,203,201,202,'JARDINS','ARACAJU','SE',998,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2097508,3.00,6.00,2.00,2.00,5.00,5.00,6.00,5.00,3.00,104,NULL,NULL,'VIA CAMINHO DO MAR','SAO BERNARDO DO CAMPO','SP',16229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097524,1.00,1.00,2.00,2.00,4.00,NULL,3.00,2.00,2.00,324,327,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097532,4.00,3.00,3.00,5.00,6.00,5.25,2.00,3.00,2.00,308,324,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',18679,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097540,5.00,7.00,5.00,8.00,7.00,7.25,5.00,6.00,6.00,217,216,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',4463,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097559,5.00,7.00,7.00,7.00,6.00,5.75,5.00,6.00,3.00,327,332,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',6249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097567,1.00,8.00,6.00,3.00,6.00,5.00,4.00,3.00,1.00,317,224,NULL,'TRINDADE','FLORIANOPOLIS','SC',17473,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097575,3.00,4.00,0.00,5.00,7.00,NULL,3.00,6.00,3.00,333,444,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2097583,5.00,7.00,4.00,7.00,9.00,7.25,7.00,7.00,4.00,319,324,NULL,'TRINDADE','FLORIANOPOLIS','SC',3043,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097591,3.00,6.00,3.00,4.00,5.00,4.00,4.00,4.00,1.00,404,444,NULL,'BOM VIVER','BIGUACU','SC',19035,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097613,7.00,9.00,9.00,7.00,9.00,6.50,9.00,7.00,8.00,103,102,NULL,'CENTRO','CURITIBA','PR',206,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2097621,5.00,7.00,5.00,2.00,8.00,5.50,6.00,6.00,5.00,404,444,NULL,'CAMPECHE','FLORIANOPOLIS','SC',8134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097648,4.00,4.00,1.00,2.00,4.00,4.50,4.00,2.00,2.00,501,502,NULL,'INTERIOR','ITAIOPOLIS','SC',21929,303,369,NULL,NULL,NULL,NULL,2,9),(15,2097672,2.00,8.00,3.00,5.00,5.00,6.00,3.00,5.00,2.00,317,302,NULL,'INGLESES','FLORIANOPOLIS','SC',14335,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097680,0.00,5.00,0.00,6.00,6.00,6.00,4.00,5.00,2.00,429,331,421,'AGRONÔMICA','FLORIANOPOLIS','SC',18099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097699,3.00,6.00,5.00,6.00,5.00,4.50,2.00,5.00,3.00,201,207,212,'VILA TREMÔNIA','CERRO LARGO','RS',13148,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2097702,5.00,6.00,5.00,4.00,6.00,5.75,8.00,6.00,5.00,104,102,NULL,'FLORESTA','JOINVILLE','SC',7608,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2097737,3.00,4.00,6.00,5.00,8.00,5.00,5.00,4.00,3.00,404,308,NULL,'ESTREITO','FLORIANOPOLIS','SC',12196,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097753,3.00,4.00,5.00,2.00,7.00,6.25,6.00,5.00,3.00,316,339,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',13561,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097761,3.00,7.00,4.00,6.00,9.00,5.00,4.00,7.00,5.00,103,104,NULL,'CENTRO','JOACABA','SC',7862,1878,1002,NULL,NULL,NULL,NULL,2,7),(15,2097770,5.00,6.00,2.00,5.00,7.00,5.00,4.00,4.00,2.00,339,327,NULL,'FORQUILHINHAS','SAO JOSE','SC',14359,22,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097788,0.00,5.00,2.00,3.00,7.00,4.50,2.00,4.00,2.00,317,316,NULL,'NOVA BELEM','PAULO LOPES','SC',21628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097796,3.00,4.00,0.00,0.00,7.00,5.25,6.00,3.00,3.00,102,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',20239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097800,3.00,3.00,0.00,3.00,3.00,4.75,3.00,5.00,0.00,316,319,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',22421,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097826,3.00,6.00,1.00,0.00,7.00,5.50,3.00,5.00,2.00,101,102,NULL,'FAROLANDIA','ARACAJU','SE',18351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097842,4.00,7.00,6.00,7.00,8.00,4.00,5.00,8.00,4.00,316,318,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',5676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097850,3.00,5.00,1.00,2.00,3.00,NULL,1.00,1.00,2.00,425,NULL,NULL,'INTERIOR','SAO DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2097869,7.00,7.00,6.00,5.00,8.00,4.75,8.00,6.00,3.00,103,NULL,NULL,'RIO BRANCO','PORTO ALEGRE','RS',5072,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2097877,4.00,7.00,4.00,9.00,5.00,5.25,7.00,6.00,3.00,316,427,NULL,'CAMPECHE','FLORIANOPOLIS','SC',7938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097893,0.00,2.00,0.00,2.00,3.00,NULL,2.00,2.00,2.00,308,404,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097907,3.00,8.00,6.00,4.00,9.00,7.00,5.00,7.00,5.00,303,339,NULL,'CAMPINAS','SAO JOSE','SC',5816,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097915,3.00,7.00,4.00,6.00,8.00,5.25,4.00,5.00,1.00,444,404,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',13182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097931,5.00,8.00,4.00,5.00,7.00,5.75,6.00,7.00,5.00,303,5,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',5487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2097940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'BARREIRINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2097958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,216,NULL,'CENTRO','TELEMACO BORBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2097966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,201,203,'CENTRO','TRES FORQUILHAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2097974,6.00,8.00,7.00,6.00,8.00,7.75,5.00,5.00,6.00,103,101,NULL,'CAMPECHE','FLORIANOPOLIS','SC',3364,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2097982,2.00,2.00,2.00,3.00,1.00,NULL,4.00,4.00,1.00,103,9,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2097990,4.00,6.00,3.00,6.00,7.00,6.00,5.00,5.00,4.00,424,2,427,'PANTANAL','FLORIANOPOLIS','SC',9676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2098008,2.00,5.00,4.00,6.00,3.00,4.50,5.00,5.00,4.00,2,427,NULL,'FORQUILHINHAS','SAO JOSE','SC',15219,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2098016,4.00,5.00,1.00,2.00,3.00,6.25,2.00,5.00,5.00,103,104,NULL,'BELA VISTA','PALHOCA','SC',19511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098024,4.00,6.00,5.00,3.00,5.00,5.00,6.00,6.00,2.00,444,316,NULL,'BARREIROS','SAO JOSE','SC',11530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098067,2.00,6.00,5.00,3.00,3.00,5.75,3.00,4.00,2.00,502,501,NULL,'BELA VISTA I','SAO JOSE','SC',18745,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2098075,2.00,5.00,4.00,1.00,3.00,4.25,6.00,5.00,3.00,203,202,201,'JARDIM HIKARI','BASTOS','SP',18534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098083,4.00,8.00,6.00,6.00,6.00,5.50,6.00,4.00,4.00,238,222,208,'PASSA VINTE','PALHOCA','SC',8944,281,97,291,NULL,NULL,NULL,4,1),(15,2098091,3.00,4.00,3.00,2.00,4.00,4.50,2.00,5.00,1.00,425,426,428,'VENDAVAL','BIGUACU','SC',21882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098105,3.00,4.00,2.00,3.00,8.00,5.75,4.00,4.00,4.00,301,331,NULL,'AREIAS','SAO JOSE','SC',16226,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2098113,7.00,6.00,7.00,5.00,9.00,6.50,6.00,4.00,5.00,303,502,NULL,'BARREIROS','SAO JOSE','SC',5700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098121,6.00,7.00,5.00,6.00,7.00,5.25,8.00,8.00,4.00,103,502,NULL,'DOM BOSCO','ITAJAI','SC',4021,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2098130,3.00,8.00,1.00,4.00,6.00,5.50,3.00,8.00,2.00,327,326,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',15177,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2098148,3.00,7.00,4.00,6.00,8.00,6.00,6.00,5.00,5.00,429,451,425,'SÃO FRANCISCO','SANTO AMARO DA IMPERATRIZ','SC',7367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098156,4.00,7.00,3.00,6.00,8.00,6.25,5.00,6.00,1.00,316,332,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',9778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098164,3.00,7.00,3.00,6.00,5.00,5.50,5.00,7.00,5.00,220,NULL,208,'PRESIDENTE MEDICI','CHAPECO','SC',8814,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2098172,3.00,4.00,5.00,8.00,7.00,3.50,4.00,6.00,2.00,108,211,NULL,'BOA VISTA','RIO DO SUL','SC',14198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098199,8.00,7.00,7.00,9.00,8.00,6.25,8.00,7.00,8.00,103,102,NULL,'BNH TERCEIRO PLANO','DOURADOS','MS',1070,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2098202,4.00,5.00,4.00,4.00,8.00,5.50,6.00,5.00,3.00,333,108,NULL,'INDIANOPOLIS','SAO PAULO','SP',11714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098210,5.00,5.00,5.00,8.00,7.00,5.50,4.00,6.00,2.00,201,217,207,'COPACABANA','LAGES','SC',7695,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2098229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'ANA PAULA','MARECHAL CANDIDO RONDON','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2098237,3.00,8.00,5.00,6.00,6.00,6.50,6.00,7.00,8.00,217,451,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',4952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098245,1.00,4.00,4.00,8.00,6.00,6.00,4.00,6.00,1.00,202,213,NULL,'JARDIM AMÉRICA','CHAPECO','SC',15599,564,459,NULL,NULL,NULL,NULL,2,4),(15,2098253,4.00,6.00,3.00,8.00,7.00,5.50,9.00,6.00,6.00,103,217,NULL,'BARREIROS','SAO JOSE','SC',4828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098270,1.00,8.00,1.00,2.00,6.00,6.75,3.00,7.00,4.00,332,426,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',15816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098288,3.00,5.00,1.00,0.00,0.00,NULL,4.00,3.00,3.00,103,101,NULL,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2098296,3.00,5.00,5.00,6.00,7.00,5.75,4.00,3.00,3.00,102,502,NULL,'CENTRO','HERVAL D OESTE','SC',12367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2098318,4.00,8.00,5.00,6.00,8.00,7.25,6.00,8.00,8.00,103,104,NULL,'ZONA SETE','MARINGA','PR',2831,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2098326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'JARDIM COOLAPA','SAO SEBASTIAO DO PARAISO','MG',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2098334,2.00,7.00,3.00,5.00,7.00,4.75,4.00,5.00,3.00,332,331,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',13409,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2098342,3.00,7.00,5.00,5.00,5.00,4.50,6.00,7.00,5.00,316,301,NULL,'PARQUE SANTANA','MOGI DAS CRUZES','SP',7923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098350,4.00,5.00,4.00,3.00,6.00,5.75,4.00,3.00,3.00,5,332,NULL,'FLORESTA','SAO JOSE','SC',15824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098377,3.00,7.00,4.00,6.00,7.00,3.00,5.00,7.00,2.00,203,420,214,'JARDIM BIGUAÇU','BIGUACU','SC',11799,834,682,389,NULL,NULL,NULL,2,1),(15,2098385,1.00,3.00,3.00,2.00,2.00,NULL,2.00,3.00,2.00,103,303,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098393,7.00,6.00,7.00,9.00,8.00,7.00,7.00,7.00,7.00,319,308,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',1040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098415,4.00,8.00,8.00,5.00,6.00,6.50,7.00,6.00,7.00,333,108,NULL,'LAGOA NOVA','NATAL','RN',3289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098431,5.00,7.00,2.00,6.00,8.00,6.00,5.00,6.00,5.00,303,5,NULL,'CENTRO','CONCORDIA','SC',6870,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2098440,1.00,5.00,2.00,2.00,5.00,4.25,3.00,5.00,2.00,208,415,203,'INGLESES','FLORIANOPOLIS','SC',21489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098458,5.00,7.00,5.00,5.00,8.00,5.50,6.00,6.00,4.00,104,319,NULL,'RIO MAINA','CRICIUMA','SC',7405,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2098466,5.00,6.00,6.00,7.00,5.00,5.50,6.00,5.00,4.00,103,102,NULL,'PRAIA DO FLAMENGO','SALVADOR','BA',6937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098474,2.00,6.00,2.00,1.00,5.00,NULL,2.00,4.00,0.00,309,101,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098482,4.00,8.00,4.00,9.00,4.00,6.50,6.00,7.00,4.00,5,450,NULL,'CENTRO','FLORIANOPOLIS','SC',5077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098490,3.00,5.00,1.00,6.00,7.00,6.25,4.00,7.00,4.00,5,102,NULL,'BOM VIVER','BIGUACU','SC',12128,523,884,NULL,NULL,NULL,NULL,2,1),(15,2098504,5.00,8.00,4.00,4.00,7.00,5.25,6.00,5.00,4.00,201,234,238,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',9428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098539,2.00,5.00,5.00,3.00,6.00,5.50,2.00,5.00,5.00,201,222,207,'JARDIM SANTANA','VACARIA','RS',15303,813,166,744,NULL,NULL,NULL,4,1),(15,2098547,6.00,5.00,6.00,4.00,7.00,6.00,6.00,5.00,4.00,420,238,NULL,'FORQUILHINHAS','SAO JOSE','SC',8312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098555,8.00,6.00,2.00,6.00,8.00,6.50,5.00,6.00,2.00,103,308,NULL,'CENTRO','URUSSANGA','SC',7775,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2098563,3.00,6.00,4.00,2.00,6.00,5.75,6.00,4.00,1.00,101,339,NULL,'BUCAREIN','JOINVILLE','SC',15190,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2098571,4.00,7.00,1.00,6.00,7.00,5.75,6.00,7.00,4.00,502,333,NULL,'AREIS','SAO JOSE','SC',8557,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2098580,3.00,3.00,2.00,4.00,6.00,3.75,2.00,3.00,2.00,104,302,NULL,'CENTRO','MARAVILHA','SC',21650,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2098598,4.00,8.00,4.00,5.00,8.00,6.75,7.00,7.00,4.00,203,501,214,'BUSSOLO','ORLEANS','SC',6191,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2098601,2.00,6.00,4.00,3.00,6.00,5.00,4.00,4.00,4.00,103,102,NULL,'LIDER','CORONEL VIVIDA','PR',17241,2813,1008,NULL,NULL,NULL,NULL,4,4),(15,2098610,1.00,8.00,3.00,8.00,3.00,5.25,6.00,5.00,5.00,303,302,NULL,'CENTRO','PORTO ALEGRE','RS',11569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098628,3.00,8.00,7.00,6.00,8.00,6.00,4.00,6.00,5.00,420,310,NULL,'ESTACAO','URUSSANGA','SC',5607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2098636,5.00,7.00,4.00,6.00,7.00,5.50,5.00,5.00,3.00,444,404,NULL,'JARDIM BELA VISTA','CAMPINAS','SP',8783,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2098652,3.00,6.00,4.00,0.00,0.00,NULL,5.00,4.00,3.00,216,420,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(15,2098660,4.00,6.00,5.00,4.00,2.00,NULL,1.00,4.00,3.00,103,303,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2098679,5.00,8.00,4.00,3.00,4.00,5.75,3.00,5.00,3.00,108,NULL,NULL,'JD CONSORCIO','SAO PAULO','SP',14079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098687,3.00,7.00,5.00,3.00,4.00,5.50,3.00,3.00,3.00,213,214,202,'PARAISO VERDE','CAMPO ALEGRE','SC',17243,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2098695,4.00,5.00,3.00,6.00,6.00,4.75,4.00,4.00,2.00,308,339,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',16079,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2098709,3.00,7.00,3.00,5.00,6.00,4.50,6.00,9.00,1.00,203,301,214,'NOSSA SRA APARECIDA','FRANCISCO BELTRAO','PR',10128,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2098717,1.00,2.00,1.00,7.00,5.00,0.00,2.00,4.00,1.00,420,207,NULL,'FUNDO CANOAS','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2098725,6.00,9.00,4.00,8.00,7.00,7.00,9.00,7.00,5.00,420,421,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',1776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098733,0.00,2.00,0.00,0.00,0.00,NULL,2.00,2.00,1.00,332,108,NULL,'PRAINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098741,4.00,6.00,3.00,8.00,6.00,5.50,4.00,7.00,2.00,202,2,238,'SÃO SEBASTIÃO','PALHOCA','SC',10731,410,183,363,NULL,NULL,NULL,4,1),(15,2098768,2.00,7.00,6.00,8.00,4.00,4.50,5.00,6.00,2.00,220,202,203,'CENTRO','PELOTAS','RS',11131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098814,2.00,5.00,3.00,3.00,7.00,6.00,0.00,7.00,3.00,316,327,NULL,'PRESIDENTE KENNEDY','FRANCISCO BELTRAO','PR',17639,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2098830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,217,NULL,'CITY AMERICA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2098849,2.00,7.00,8.00,5.00,5.00,5.50,8.00,5.00,3.00,202,216,208,'ASILO','BLUMENAU','SC',6823,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2098865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,501,NULL,'SANTA LUZIA','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2098873,3.00,9.00,3.00,6.00,7.00,7.00,3.00,7.00,3.00,404,9,NULL,'FLORESTA','SAO JOSE','SC',7844,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2098890,5.00,6.00,4.00,7.00,6.00,4.25,7.00,6.00,1.00,5,420,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',10850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098903,5.00,7.00,4.00,5.00,5.00,6.25,5.00,4.00,3.00,207,420,201,'JARDIM AMERICA','ITUPORANGA','SC',11339,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2098911,3.00,5.00,3.00,2.00,5.00,5.50,4.00,3.00,4.00,203,108,207,'CENTRO','BALNEARIO CAMBORIU','SC',18615,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2098920,4.00,7.00,1.00,5.00,8.00,7.00,7.00,6.00,3.00,326,425,NULL,'BARRA DO ARIRIÚ','PALHOCA','SC',8846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098946,6.00,7.00,4.00,2.00,5.00,6.75,7.00,3.00,4.00,104,319,NULL,'CENTRO','SAO DOMINGOS','SC',11094,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2098954,4.00,9.00,6.00,9.00,9.00,8.25,7.00,7.00,5.00,5,415,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',2116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098962,4.00,6.00,5.00,6.00,5.00,6.75,5.00,5.00,3.00,316,301,NULL,'CAMPINAS','SAO JOSE','SC',9379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2098970,5.00,6.00,6.00,4.00,6.00,5.75,7.00,7.00,5.00,220,216,202,'CENTRO','ERECHIM','RS',6863,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2098997,6.00,7.00,7.00,5.00,8.00,6.00,7.00,6.00,6.00,203,233,216,'MICHEL','CRICIUMA','SC',3939,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2099012,5.00,6.00,7.00,3.00,5.00,5.50,5.00,3.00,1.00,202,NULL,238,'FORQUILHINHAS','SAO JOSE','SC',13890,522,NULL,506,NULL,NULL,NULL,4,1),(15,2099020,5.00,6.00,6.00,6.00,7.00,5.50,7.00,5.00,6.00,208,NULL,238,'INDEPENDENCIA','PORTO ALEGRE','RS',6811,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2099039,3.00,7.00,4.00,1.00,3.00,4.25,7.00,8.00,3.00,214,502,203,'PENHA','LAGES','SC',13299,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2099047,4.00,6.00,4.00,4.00,6.00,5.75,3.00,5.00,3.00,216,224,NULL,'COOPER','QUILOMBO','SC',14938,431,222,NULL,NULL,NULL,NULL,4,4),(15,2099055,6.00,5.00,5.00,9.00,8.00,7.50,6.00,7.00,2.00,214,220,NULL,'SALTO DO NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2099063,3.00,7.00,6.00,4.00,8.00,5.50,7.00,6.00,5.00,216,444,202,'SÃO VICENTE','HERVAL D OESTE','SC',5377,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2099071,3.00,6.00,5.00,7.00,8.00,6.25,4.00,5.00,5.00,9,102,NULL,'CENTRO','POMERODE','SC',7429,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2099080,4.00,6.00,6.00,8.00,8.00,5.00,6.00,5.00,2.00,207,224,201,'COQUEIROS','FLORIANOPOLIS','SC',6973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099101,0.00,4.00,3.00,3.00,2.00,NULL,4.00,5.00,1.00,208,238,NULL,'INTERIOR','QUILOMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2099110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,9,NULL,'RIO BRANCO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2099128,7.00,8.00,3.00,8.00,5.00,3.50,5.00,5.00,3.00,5,303,NULL,'CAPAO REDONDO','SAO PAULO','SP',9424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099136,4.00,7.00,8.00,5.00,9.00,7.00,8.00,6.00,7.00,233,215,216,'CENTRO','ERVAL VELHO','SC',2459,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2099144,2.00,8.00,6.00,5.00,6.00,5.75,8.00,7.00,5.00,201,103,203,'PITUBA','SALVADOR','BA',7016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099152,5.00,8.00,5.00,7.00,7.00,7.50,3.00,8.00,4.00,103,415,NULL,'PORTÃO','CURITIBA','PR',5655,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2099160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'CENTRO','SANTA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2099179,4.00,5.00,6.00,8.00,5.00,7.00,4.00,4.00,3.00,207,223,216,'CENTRO','GRAVATAI','RS',9265,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2099187,4.00,7.00,4.00,3.00,7.00,4.50,7.00,6.00,6.00,332,331,NULL,'COHAB','CARAPICUIBA','SP',8819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099195,0.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,103,101,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2099209,2.00,7.00,3.00,8.00,7.00,4.75,1.00,3.00,3.00,317,316,NULL,'BARRA DO ARIRIÚ','PALHOCA','SC',15445,245,1064,NULL,NULL,NULL,NULL,2,1),(15,2099217,3.00,5.00,5.00,5.00,8.00,5.75,5.00,6.00,3.00,316,428,NULL,'BATEIAS DE BAIXO','CAMPO ALEGRE','SC',10756,262,178,NULL,NULL,NULL,NULL,4,8),(15,2099225,4.00,9.00,9.00,4.00,8.00,5.50,6.00,7.00,4.00,5,318,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',3130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099233,2.00,5.00,0.00,0.00,4.00,NULL,1.00,3.00,1.00,316,318,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099250,4.00,7.00,5.00,5.00,5.00,5.25,5.00,4.00,2.00,202,208,201,'LAGO SUL','LAGO SUL','DF',11156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099268,5.00,7.00,6.00,5.00,7.00,5.00,4.00,4.00,4.00,208,2,238,'CENTRO','CURITIBA','PR',7790,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2099276,2.00,8.00,4.00,0.00,4.00,4.50,4.00,5.00,2.00,211,104,NULL,'INTERIOR','QUILOMBO','SC',19153,668,1227,NULL,NULL,NULL,NULL,4,4),(15,2099284,2.00,8.00,5.00,9.00,7.00,6.25,6.00,8.00,5.00,303,5,NULL,'CABEÇUDAS','ITAJAI','SC',4172,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2099306,2.00,1.00,0.00,0.00,5.00,NULL,2.00,2.00,1.00,9,217,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099314,2.00,5.00,2.00,5.00,6.00,6.50,2.00,7.00,3.00,208,213,238,'PROGRESSO','SAO LOURENCO DO OESTE','SC',13839,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2099322,6.00,8.00,8.00,9.00,9.00,6.25,9.00,7.00,8.00,202,425,201,'CAMPINAS','SAO JOSE','SC',579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'VILA HOLANDESA','ARAPOTI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2099349,5.00,5.00,5.00,6.00,7.00,4.00,6.00,7.00,3.00,214,208,211,'PANTANAL','FLORIANOPOLIS','SC',9087,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2099357,4.00,7.00,8.00,5.00,7.00,5.75,8.00,7.00,6.00,212,201,214,'PARQUE IMPERIAL','SAO PAULO','SP',4540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099365,1.00,5.00,0.00,5.00,7.00,NULL,2.00,3.00,2.00,333,331,NULL,'SAVEIRO','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2099373,4.00,8.00,4.00,6.00,5.00,3.50,4.00,4.00,3.00,234,NULL,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',12727,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2099381,7.00,8.00,6.00,6.00,6.00,6.75,6.00,6.00,4.00,103,216,NULL,'VILA NOVA','MAFRA','SC',4343,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2099390,2.00,5.00,5.00,2.00,6.00,4.00,8.00,3.00,2.00,425,444,429,'ABRAÃO','FLORIANOPOLIS','SC',17279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099403,2.00,3.00,0.00,5.00,5.00,NULL,2.00,2.00,1.00,309,NULL,NULL,'COQUEROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2099411,2.00,6.00,4.00,4.00,7.00,6.25,5.00,5.00,3.00,332,327,NULL,'CENTRO','CAMBORIU','SC',12335,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2099446,4.00,7.00,2.00,6.00,8.00,6.00,5.00,5.00,3.00,301,324,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',10150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099454,5.00,6.00,7.00,6.00,6.00,6.25,7.00,5.00,5.00,212,201,213,'VILA ISABEL','CURITIBA','PR',6979,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2099462,1.00,6.00,1.00,6.00,8.00,5.75,4.00,6.00,1.00,104,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',15616,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2099470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JOACABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2099497,6.00,8.00,7.00,8.00,8.00,6.00,8.00,7.00,5.00,216,201,203,'SANTA CATARINA','ERECHIM','RS',2078,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2099500,6.00,8.00,8.00,6.00,7.00,6.50,9.00,7.00,8.00,203,201,216,'JARDIM PETROPOLIS','IBITINGA','SP',1492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099519,6.00,8.00,8.00,9.00,8.00,9.00,8.00,7.00,7.00,220,421,203,'TRINDADE','FLORIANOPOLIS','SC',563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099535,3.00,4.00,4.00,7.00,8.00,8.25,4.00,4.00,5.00,428,NULL,426,'AGRONOMICA','FLORIANOPOLIS','SC',9314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2099543,5.00,6.00,7.00,8.00,7.00,4.75,4.00,7.00,3.00,238,427,233,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',6677,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2099551,5.00,5.00,2.00,1.00,7.00,4.50,6.00,5.00,5.00,211,501,233,'CENTRO','XAVANTINA','SC',13909,496,448,332,NULL,NULL,NULL,4,1),(15,2099578,5.00,7.00,5.00,7.00,8.00,6.00,5.00,7.00,3.00,420,211,NULL,'VILA RODRIGUES','PASSO FUNDO','RS',5526,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2099608,4.00,6.00,1.00,6.00,6.00,4.00,4.00,6.00,2.00,310,331,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',12898,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2099640,3.00,4.00,3.00,4.00,7.00,4.50,7.00,6.00,4.00,207,324,201,'ROCADO','SAO JOSE','SC',13261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2099659,4.00,8.00,2.00,6.00,8.00,5.75,2.00,4.00,2.00,301,104,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099667,3.00,3.00,2.00,0.00,6.00,3.50,4.00,4.00,3.00,207,309,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099675,4.00,8.00,7.00,8.00,6.00,5.00,7.00,7.00,7.00,203,2,216,'VILA TEIXEIRA','FRANCA','SP',3767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099683,6.00,7.00,4.00,7.00,7.00,5.75,6.00,6.00,3.00,301,216,NULL,'ITACORUBI','FLORIANOPOLIS','SC',6348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099691,5.00,6.00,4.00,9.00,7.00,7.25,5.00,5.00,3.00,216,217,215,'KOBRASOL','SAO JOSE','SC',7675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099705,3.00,6.00,3.00,6.00,3.00,4.00,6.00,6.00,2.00,203,233,214,'CENTRO','SANTA MARIA','RS',15974,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2099713,3.00,3.00,3.00,6.00,4.00,5.50,3.00,2.00,1.00,339,316,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',20276,125,1226,NULL,NULL,NULL,NULL,2,1),(15,2099721,1.00,6.00,6.00,4.00,3.00,6.50,4.00,2.00,4.00,333,207,NULL,'TRINDADE','FLORIANOPOLIS','SC',15997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099730,2.00,4.00,6.00,6.00,5.00,3.25,3.00,5.00,4.00,212,108,214,'VILA VIVIANE','SANTA RITA DO PASSA QUATRO','SP',15302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099748,6.00,7.00,6.00,6.00,8.00,5.75,8.00,5.00,4.00,302,317,NULL,'COSTEIRA','FLORIANOPOLIS','SC',5289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099756,3.00,8.00,5.00,3.00,8.00,6.75,6.00,8.00,3.00,207,420,201,'CENTRO','SALTO VELOSO','SC',7279,344,NULL,NULL,NULL,NULL,NULL,4,7),(15,2099764,3.00,1.00,4.00,5.00,4.00,5.50,4.00,4.00,1.00,233,102,211,'SÃO BENTO','BENTO GONCALVES','RS',18677,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2099772,4.00,7.00,5.00,7.00,6.00,7.25,5.00,7.00,2.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',7264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099780,2.00,5.00,3.00,4.00,3.00,3.00,2.00,3.00,3.00,502,108,NULL,'GUANABARA','JOINVILLE','SC',21277,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2099799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,216,220,'CAMPO BELO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2099802,2.00,3.00,1.00,3.00,5.00,6.25,3.00,6.00,3.00,316,301,NULL,'SÃO GERLALDO','PORTO ALEGRE','RS',19978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099810,6.00,6.00,7.00,5.00,7.00,7.00,6.00,5.00,5.00,103,104,NULL,'CENTRO','CRICIUMA','SC',4950,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2099829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'ARROIO GRANDE','SANTA CRUZ DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2099837,2.00,6.00,1.00,4.00,5.00,6.50,3.00,7.00,3.00,501,211,NULL,'BORGES','ANITA GARIBALDI','SC',15324,178,936,NULL,NULL,NULL,NULL,2,9),(15,2099845,1.00,5.00,1.00,4.00,6.00,5.00,2.00,3.00,1.00,424,324,423,'INGLESES','FLORIANOPOLIS','SC',21521,98,437,103,NULL,NULL,NULL,2,1),(15,2099853,5.00,6.00,3.00,2.00,7.00,3.50,4.00,3.00,7.00,103,216,NULL,'BACACHERI','CURITIBA','PR',14609,2607,774,NULL,NULL,NULL,NULL,4,8),(15,2099861,2.00,5.00,1.00,6.00,7.00,5.00,3.00,5.00,5.00,302,303,NULL,'VILA BEATRIZ','MARACAJA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2099870,3.00,7.00,7.00,9.00,8.00,7.75,6.00,6.00,5.00,202,216,203,'CENTRO','FLORIANOPOLIS','SC',3668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,301,214,'SÃO BRAZ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2099896,1.00,4.00,1.00,4.00,3.00,5.75,2.00,2.00,3.00,102,501,NULL,'CENTRO','BOSSOROCA','RS',22264,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2099918,4.00,8.00,6.00,6.00,7.00,5.75,5.00,4.00,4.00,501,234,NULL,'JARDIM CIDADE','SAO JOSE','SC',7891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2099934,5.00,8.00,7.00,7.00,8.00,3.75,9.00,7.00,6.00,303,5,NULL,'URBANOVA','SAO JOSE DOS CAMPOS','SP',2673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099942,4.00,8.00,6.00,8.00,7.00,5.50,7.00,7.00,5.00,104,428,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',4385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099950,4.00,7.00,5.00,8.00,8.00,5.50,5.00,8.00,5.00,301,319,NULL,'VILA BETÂNIA','SAO JOSE DOS CAMPOS','SP',5278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2099977,1.00,7.00,4.00,3.00,6.00,5.00,4.00,6.00,2.00,327,326,NULL,'INTERIOR','FRANCISCO BELTRAO','PR',15405,104,283,NULL,NULL,NULL,NULL,4,4),(15,2099993,3.00,5.00,1.00,4.00,6.00,6.00,4.00,4.00,2.00,222,2,NULL,'PRAIA DE FORA','PALHOCA','SC',18275,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2100002,4.00,7.00,6.00,6.00,7.00,6.00,9.00,7.00,6.00,103,108,NULL,'JARDIM PAULISTA','SAO PAULO','SP',3764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100010,4.00,7.00,3.00,1.00,4.00,5.00,5.00,4.00,2.00,103,9,NULL,'VICTOR KONDER','BLUMENAU','SC',17549,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2100029,7.00,8.00,9.00,9.00,8.00,6.50,9.00,9.00,9.00,103,203,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100037,3.00,6.00,4.00,8.00,8.00,6.25,7.00,5.00,3.00,9,222,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',8379,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2100053,4.00,7.00,5.00,8.00,8.00,4.75,6.00,5.00,4.00,207,420,NULL,'CENTRO','LAGES','SC',6800,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2100061,2.00,2.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,103,102,NULL,'DAS NACOES','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2100070,2.00,5.00,4.00,3.00,8.00,6.00,3.00,2.00,4.00,102,104,NULL,'CENTRO','SAO JOSE DO OURO','RS',15026,323,1150,NULL,NULL,NULL,NULL,4,7),(15,2100088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,316,212,'RAIA','PARANAGUA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2100096,3.00,8.00,3.00,1.00,5.00,7.25,2.00,5.00,3.00,415,428,NULL,'ESTREITO','FLORIANOPOLIS','SC',16067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100100,2.00,5.00,7.00,5.00,8.00,4.25,4.00,4.00,3.00,207,333,NULL,'CENTRO','SANTA TEREZINHA DE ITAIPU','PR',12938,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2100126,3.00,6.00,6.00,5.00,6.00,6.00,4.00,4.00,2.00,319,327,NULL,'CENTRO','ANAPOLIS','GO',13685,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2100134,4.00,7.00,5.00,7.00,9.00,5.25,7.00,6.00,4.00,5,211,NULL,'CENTRO','FLORIANOPOLIS','SC',6386,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2100142,2.00,7.00,5.00,6.00,8.00,6.50,4.00,5.00,4.00,108,2,NULL,'JD CIDADE FPOLIS','SAO JOSE','SC',9967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100150,4.00,7.00,7.00,8.00,8.00,5.50,6.00,6.00,3.00,207,420,201,'FAZENDA','ITAJAI','SC',5477,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2100169,8.00,8.00,7.00,7.00,8.00,6.00,8.00,6.00,6.00,108,310,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',1440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100185,1.00,4.00,2.00,4.00,8.00,5.25,3.00,3.00,2.00,404,9,NULL,'BELA VISTA I','SAO JOSE','SC',20333,208,711,NULL,NULL,NULL,NULL,2,1),(15,2100193,5.00,8.00,6.00,8.00,8.00,6.75,8.00,7.00,3.00,220,202,203,'ELDORADO','CUIABA','MT',2967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100231,3.00,8.00,6.00,8.00,7.00,5.00,7.00,6.00,7.00,304,318,NULL,'MARIA IZABEL','MARILIA','SP',3695,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2100240,6.00,7.00,9.00,9.00,7.00,5.50,9.00,4.00,5.00,202,208,213,'CENTRO','CANOINHAS','SC',2759,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2100274,1.00,7.00,4.00,9.00,7.00,5.00,7.00,6.00,5.00,208,NULL,238,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',6792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100304,3.00,5.00,5.00,4.00,7.00,4.00,6.00,6.00,3.00,301,316,NULL,'CENTRO','SOROCABA','SP',12460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100312,0.00,5.00,2.00,5.00,7.00,4.50,3.00,5.00,2.00,104,301,NULL,'JARDIN SÃO PAULO','SAO JOAO BATISTA','SC',18213,593,768,NULL,NULL,NULL,NULL,2,1),(15,2100320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'GUABIROTUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2100339,4.00,7.00,8.00,8.00,5.00,4.00,8.00,6.00,8.00,201,214,212,'JARDIM GOIÁS','GOIANIA','GO',3645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100347,5.00,5.00,6.00,7.00,8.00,5.75,4.00,6.00,6.00,211,102,213,'AGRONOMICA','FLORIANOPOLIS','SC',5988,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2100355,2.00,8.00,1.00,7.00,6.00,5.75,4.00,8.00,2.00,415,326,NULL,'NOSSA SRA DAS DORES','GUAXUPE','MG',9573,261,212,NULL,NULL,NULL,NULL,2,2),(15,2100363,3.00,4.00,1.00,5.00,4.00,3.75,3.00,5.00,1.00,420,415,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100380,4.00,5.00,3.00,6.00,6.00,5.75,4.00,6.00,5.00,203,225,202,'CENTRO','TUNAPOLIS','SC',10181,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2100398,2.00,8.00,4.00,4.00,7.00,5.50,8.00,6.00,6.00,220,214,203,'CRIMEIA LESTE','GOIANIA','GO',8225,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2100401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,333,NULL,'CANTO DOS GANCHOS','GOVERNADOR CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2100428,6.00,8.00,5.00,8.00,9.00,7.50,7.00,7.00,5.00,103,104,NULL,'SÃO VICENTE','ITAJAI','SC',1983,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2100436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'JARDIM IGUAÇU','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2100452,4.00,6.00,3.00,6.00,8.00,5.00,5.00,6.00,6.00,404,333,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',7390,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2100479,4.00,7.00,4.00,9.00,7.00,6.00,3.00,5.00,2.00,424,425,421,'TRINDADE','FLORIANOPOLIS','SC',9398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100487,3.00,7.00,1.00,5.00,7.00,5.00,2.00,5.00,4.00,303,104,NULL,'PRAIA BRAVA','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2100495,7.00,7.00,6.00,8.00,8.00,7.00,7.00,7.00,4.00,303,5,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',2886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100509,2.00,8.00,1.00,8.00,6.00,6.00,5.00,5.00,4.00,319,310,NULL,'JARDIM PANORAMA','FOZ DO IGUACU','PR',9827,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2100517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'UBATUBA','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2100525,5.00,8.00,7.00,6.00,6.00,5.25,6.00,7.00,4.00,444,108,NULL,'ALTO ARIRIÚ','PALHOCA','SC',4430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,108,NULL,'CENTRO','SANTO ANGELO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2100541,2.00,7.00,4.00,3.00,5.00,5.25,5.00,5.00,4.00,104,201,NULL,'CENTRO','JABORA','SC',14821,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2100550,1.00,6.00,4.00,5.00,5.00,3.00,4.00,7.00,1.00,501,308,NULL,'CARIANOS','FLORIANOPOLIS','SC',16205,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2100568,0.00,6.00,0.00,2.00,6.00,NULL,3.00,4.00,2.00,404,339,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100584,5.00,8.00,4.00,7.00,7.00,6.50,6.00,4.00,5.00,216,217,215,'ÁGUA VERDE','JARAGUA DO SUL','SC',5891,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2100592,2.00,6.00,3.00,4.00,6.00,3.00,3.00,6.00,2.00,333,9,NULL,'GUARDA DO CUBATAO','PALHOCA','SC',18092,306,665,NULL,NULL,NULL,NULL,2,1),(15,2100614,1.00,6.00,3.00,5.00,7.00,5.25,4.00,5.00,2.00,327,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',14225,82,222,NULL,NULL,NULL,NULL,4,1),(15,2100622,6.00,8.00,9.00,4.00,9.00,5.00,7.00,5.00,5.00,103,223,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',2908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100630,3.00,8.00,6.00,8.00,6.00,6.25,6.00,6.00,4.00,318,207,NULL,'CENTRO','CRICIUMA','SC',5842,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2100649,1.00,6.00,3.00,6.00,5.00,4.50,3.00,7.00,3.00,211,234,NULL,'PONTE DO IMARUIM','PALHOCA','SC',15126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100657,3.00,6.00,6.00,7.00,7.00,4.50,5.00,4.00,4.00,444,339,NULL,'CAMPECHE','FLORIANOPOLIS','SC',9275,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2100665,4.00,6.00,3.00,8.00,8.00,6.00,5.00,7.00,4.00,103,319,NULL,'PONTA AGUDA','BLUMENAU','SC',7508,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2100673,2.00,5.00,3.00,3.00,4.00,4.75,5.00,4.00,2.00,317,318,NULL,'PASSA VINTE','PALHOCA','SC',19198,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2100681,4.00,8.00,4.00,5.00,8.00,7.50,4.00,5.00,3.00,303,319,NULL,'CENTRO','FLORIANOPOLIS','SC',8681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100690,6.00,9.00,5.00,5.00,8.00,4.00,9.00,7.00,2.00,502,326,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',4574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100720,5.00,6.00,4.00,4.00,6.00,4.75,6.00,7.00,4.00,203,302,201,'CENTRO','MAFRA','SC',9157,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2100738,2.00,4.00,4.00,2.00,4.00,4.75,3.00,4.00,1.00,101,102,NULL,'SÃO JOSÉ','SAO JOSE','SC',21440,304,1123,NULL,NULL,NULL,NULL,2,1),(15,2100746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,328,NULL,'CENTRO','CARAGUATATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2100762,2.00,4.00,2.00,1.00,6.00,4.75,3.00,5.00,4.00,102,NULL,NULL,'PÂNTANO DO SUL','FLORIANOPOLIS','SC',20504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100770,4.00,6.00,4.00,9.00,7.00,5.25,8.00,6.00,6.00,208,317,238,'COSTA E SILVA','JOINVILLE','SC',4724,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2100789,2.00,6.00,4.00,3.00,6.00,4.50,3.00,3.00,3.00,319,329,NULL,'UVARANAS','PONTA GROSSA','PR',18824,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2100800,1.00,8.00,3.00,5.00,7.00,7.00,2.00,8.00,5.00,318,327,NULL,'CAMPECHE','FLORIANOPOLIS','SC',8536,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2100819,2.00,7.00,6.00,8.00,8.00,7.75,6.00,7.00,1.00,332,320,NULL,'RIO BRANCO','PORTO ALEGRE','RS',5109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100827,3.00,3.00,2.00,0.00,5.00,4.75,2.00,3.00,3.00,207,NULL,201,'OURO FINO','SOROCABA','SP',22098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100843,4.00,8.00,4.00,9.00,8.00,5.00,4.00,5.00,5.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2100860,5.00,8.00,5.00,9.00,7.00,5.25,7.00,8.00,4.00,238,318,208,'IMIGRANTES','CONCORDIA','SC',4318,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2100878,3.00,6.00,3.00,5.00,6.00,6.25,5.00,4.00,5.00,301,425,NULL,'CENTRO','FLORIANOPOLIS','SC',12305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100886,2.00,7.00,3.00,6.00,5.00,5.75,5.00,2.00,3.00,303,420,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2100894,1.00,3.00,1.00,6.00,6.00,7.00,2.00,4.00,1.00,333,215,NULL,'CENTRO','PLANALTO','RS',20910,389,628,NULL,NULL,NULL,NULL,2,4),(15,2100916,4.00,6.00,6.00,6.00,7.00,6.75,7.00,5.00,5.00,415,451,NULL,'CENTRO','FLORIANOPOLIS','SC',5185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100924,5.00,5.00,9.00,7.00,8.00,5.50,6.00,6.00,3.00,420,415,NULL,'TRINDADE','FLORIANOPOLIS','SC',5582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100932,5.00,8.00,8.00,5.00,7.00,6.25,6.00,6.00,4.00,220,103,203,'JARDIM UNIVERSITARIO','CUIABA','MT',4557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2100940,7.00,9.00,3.00,9.00,9.00,7.00,5.00,7.00,5.00,211,217,215,'CENTRO','SAO MIGUEL DOESTE','SC',2462,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2100959,3.00,8.00,5.00,5.00,7.00,4.25,7.00,7.00,4.00,203,302,202,'CENTRO','RIO NEGRO','PR',7440,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2100967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,444,NULL,'NOVA VINHEDO','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2100975,2.00,5.00,2.00,5.00,4.00,4.50,3.00,5.00,2.00,404,333,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',19552,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2100991,3.00,5.00,3.00,4.00,5.00,5.00,2.00,4.00,2.00,310,304,NULL,'TRINDADE','FLORIANOPOLIS','SC',19557,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101009,3.00,7.00,3.00,8.00,9.00,5.75,7.00,4.00,3.00,331,332,NULL,'ITACORUBI','FLORIANOPOLIS','SC',7777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101025,2.00,3.00,1.00,2.00,6.00,5.00,3.00,4.00,4.00,301,420,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101041,5.00,6.00,3.00,3.00,5.00,4.75,4.00,3.00,3.00,5,420,NULL,'AMÉRICA','JOINVILLE','SC',17782,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2101068,6.00,8.00,9.00,6.00,9.00,8.50,8.00,6.00,7.00,103,101,NULL,'CENTRO','FLORIANOPOLIS','SC',1110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101076,5.00,4.00,4.00,6.00,4.00,4.75,4.00,3.00,2.00,238,421,208,'PASSA VINTE','PALHOCA','SC',17695,648,145,685,NULL,NULL,NULL,2,1),(15,2101092,3.00,8.00,5.00,5.00,8.00,6.00,6.00,6.00,4.00,103,201,NULL,'BOM RETIRO','CURITIBA','PR',6259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101106,4.00,5.00,2.00,2.00,5.00,5.00,7.00,4.00,2.00,316,444,NULL,'FORQUILHAS','SAO JOSE','SC',17632,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101114,5.00,7.00,3.00,6.00,7.00,4.50,7.00,6.00,6.00,316,318,NULL,'BARREIROS','SAO JOSE','SC',6385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101122,1.00,3.00,0.00,2.00,3.00,NULL,2.00,2.00,3.00,333,207,NULL,'INDEPENDÊNCIA','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2101130,5.00,8.00,8.00,4.00,8.00,5.00,6.00,5.00,4.00,103,NULL,NULL,'CENTRO','RIO NEGRO','PR',5738,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2101149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,9,NULL,'VILA REAL','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2101157,4.00,7.00,5.00,1.00,6.00,4.75,5.00,7.00,2.00,327,326,NULL,'PQ LIMEIRA ÁREA UM','TELEMACO BORBA','PR',13427,72,252,NULL,NULL,NULL,NULL,4,8),(15,2101165,9.00,8.00,9.00,5.00,9.00,4.25,7.00,8.00,7.00,103,102,NULL,'CENTRO','SINOP','MT',1328,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2101173,5.00,6.00,4.00,7.00,5.00,4.75,4.00,6.00,7.00,104,217,NULL,'BOM VIVER','BIGUACU','SC',9037,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101181,5.00,8.00,6.00,6.00,7.00,4.00,3.00,4.00,4.00,201,420,207,'CENTRO','CORUPA','SC',9307,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2101203,3.00,8.00,4.00,7.00,7.00,6.00,8.00,7.00,3.00,317,426,NULL,'CENTRO','FLORIANOPOLIS','SC',5656,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,501,NULL,'VISTA ALEGRE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2101220,5.00,9.00,6.00,9.00,9.00,5.50,8.00,9.00,7.00,303,424,NULL,'PANTANAL','FLORIANOPOLIS','SC',663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101238,9.00,9.00,6.00,7.00,9.00,7.25,9.00,9.00,4.00,238,316,208,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,308,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2101254,3.00,3.00,1.00,3.00,6.00,5.75,3.00,4.00,2.00,415,NULL,NULL,'CRISTO REI','CHAPECO','SC',20240,516,NULL,NULL,NULL,NULL,NULL,4,4),(15,2101262,6.00,7.00,8.00,9.00,9.00,8.25,8.00,7.00,6.00,211,415,233,'OFICINAS','TUBARAO','SC',722,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2101270,5.00,6.00,2.00,8.00,7.00,6.75,6.00,6.00,4.00,415,309,NULL,'CENTRO','LONDRINA','PR',7489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101289,6.00,7.00,4.00,5.00,5.00,4.50,7.00,7.00,1.00,108,333,NULL,'PONTE DO IMARUIM','PALHOCA','SC',9506,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2101319,3.00,3.00,4.00,2.00,3.00,NULL,0.00,0.00,0.00,328,327,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2101327,7.00,8.00,8.00,7.00,7.00,5.00,7.00,4.00,6.00,220,202,203,'JUNDIAÍ','ANAPOLIS','GO',3897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101335,5.00,9.00,7.00,7.00,9.00,9.25,8.00,7.00,7.00,5,327,NULL,'CAMPINAS','SAO JOSE','SC',493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101343,6.00,7.00,5.00,1.00,7.00,5.25,6.00,7.00,3.00,103,101,NULL,'PEREQUE','PORTO BELO','SC',8776,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2101351,2.00,7.00,5.00,6.00,6.00,6.00,6.00,3.00,1.00,211,333,201,'RIBEIRAO CLARA','POMERODE','SC',13199,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2101360,5.00,7.00,9.00,8.00,8.00,6.50,8.00,7.00,7.00,214,208,213,'JARDIM ISMÊNIA','SAO JOSE DOS CAMPOS','SP',1613,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2101378,8.00,9.00,8.00,5.00,9.00,6.00,7.00,7.00,6.00,103,225,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',1346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101394,5.00,7.00,5.00,9.00,7.00,6.25,2.00,2.00,4.00,101,427,NULL,'ESTREITO','FLORIANOPOLIS','SC',9910,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101408,3.00,7.00,3.00,8.00,7.00,3.50,5.00,5.00,2.00,450,108,NULL,'IRIRIU','JOINVILLE','SC',12689,134,773,NULL,NULL,NULL,NULL,4,8),(15,2101424,2.00,7.00,7.00,6.00,8.00,7.25,6.00,6.00,6.00,201,214,212,'CENTRO','JOACABA','SC',4495,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2101432,2.00,4.00,3.00,2.00,4.00,4.25,2.00,3.00,3.00,331,326,NULL,'VILA NOVA','IMBITUBA','SC',21999,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2101440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,415,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2101459,4.00,5.00,5.00,3.00,6.00,5.25,7.00,4.00,6.00,108,104,NULL,'PARQUE DE EXPOSIÇOES','CONCORDIA','SC',10793,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101467,3.00,6.00,1.00,3.00,6.00,4.50,4.00,6.00,1.00,331,421,NULL,'AGRÔNOMICA','FLORIANOPOLIS','SC',18740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101475,6.00,8.00,8.00,8.00,7.00,7.00,8.00,6.00,6.00,216,215,233,'JARDIM MORUMBI','SAO JOSE DOS CAMPOS','SP',1578,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2101483,6.00,7.00,9.00,5.00,8.00,5.75,8.00,5.00,3.00,215,420,216,'TRINDADE','FLORIANOPOLIS','SC',4314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101491,1.00,6.00,1.00,5.00,5.00,3.50,5.00,3.00,1.00,234,301,NULL,'ENSEADA DE BRITO','PALHOCA','SC',20745,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101505,2.00,4.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,207,108,208,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2101513,8.00,8.00,8.00,8.00,8.00,5.75,9.00,7.00,8.00,103,NULL,NULL,'CENTRO','PALHOCA','SC',528,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101521,4.00,6.00,6.00,8.00,8.00,5.75,6.00,4.00,3.00,216,211,233,'TRINDADE','FLORIANOPOLIS','SC',6085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101530,2.00,6.00,7.00,6.00,6.00,6.50,6.00,4.00,4.00,103,5,NULL,'SAO SEBASTIAO','PIRES DO RIO','GO',8965,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101548,3.00,6.00,1.00,7.00,7.00,7.00,5.00,5.00,5.00,103,102,NULL,'CENTRO','SAO BENTO DO SUL','SC',10241,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2101556,7.00,7.00,7.00,5.00,7.00,8.00,7.00,7.00,5.00,104,207,NULL,'PANTANAL','FLORIANOPOLIS','SC',2705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101564,4.00,4.00,1.00,5.00,2.00,NULL,3.00,6.00,3.00,319,426,NULL,'SÃO CRISTÓVÃO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2101572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,444,NULL,'MARGROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2101580,3.00,4.00,2.00,5.00,5.00,6.75,4.00,5.00,2.00,424,320,429,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',17234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101599,2.00,6.00,2.00,5.00,5.00,5.75,3.00,8.00,2.00,104,238,NULL,'SÃO JOÃO','ITAJAI','SC',13950,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2101602,3.00,6.00,3.00,7.00,8.00,6.50,4.00,6.00,2.00,425,331,423,'TRINDADE','FLORIANOPOLIS','SC',10462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101610,2.00,4.00,3.00,1.00,5.00,4.25,4.00,3.00,0.00,102,101,NULL,'CENTRO','PASSOS MAIA','SC',21966,513,778,NULL,NULL,NULL,NULL,4,4),(15,2101629,2.00,7.00,3.00,5.00,5.00,5.25,6.00,8.00,4.00,233,203,201,'CENTRO','SAO MIGUEL DOESTE','SC',10406,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2101637,2.00,2.00,1.00,3.00,8.00,NULL,2.00,2.00,2.00,319,316,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2101645,3.00,4.00,6.00,7.00,6.00,4.00,5.00,4.00,4.00,108,333,NULL,'VILA POMPEIA','VINHEDO','SP',12888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101653,4.00,7.00,3.00,5.00,5.00,5.25,6.00,6.00,4.00,326,327,NULL,'CENTRO','FLORIANOPOLIS','SC',12203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101670,4.00,7.00,4.00,7.00,6.00,5.00,4.00,6.00,4.00,317,201,NULL,'PORTO DA LAGOA','FLORIANOPOLIS','SC',9529,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'VILA NORMA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2101696,7.00,8.00,8.00,7.00,8.00,6.50,6.00,6.00,4.00,317,222,NULL,'ESTREITO','FLORIANOPOLIS','SC',2678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101700,3.00,2.00,6.00,0.00,6.00,5.25,5.00,3.00,4.00,9,420,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101718,5.00,6.00,8.00,6.00,8.00,6.50,6.00,5.00,5.00,103,104,NULL,'CENTRO','OURO VERDE','SC',4607,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2101726,1.00,4.00,2.00,5.00,7.00,5.75,4.00,5.00,4.00,426,327,428,'ESTREITO','FLORIANOPOLIS','SC',16438,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101734,4.00,7.00,7.00,6.00,6.00,5.50,6.00,5.00,4.00,207,2,201,'FAZENDA','ITAJAI','SC',7062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101750,6.00,8.00,6.00,4.00,6.00,6.25,6.00,7.00,4.00,108,332,NULL,'SAGUAÇÚ','JOINVILLE','SC',6352,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2101769,1.00,6.00,4.00,8.00,8.00,6.50,4.00,6.00,3.00,316,304,NULL,'CENTRO','TANGARA','SC',9627,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2101777,4.00,5.00,1.00,4.00,5.00,6.00,6.00,4.00,4.00,103,207,NULL,'CENTRO','PONTA GROSSA','PR',15764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101793,3.00,7.00,3.00,4.00,6.00,7.00,5.00,7.00,5.00,108,415,NULL,'MARTINS','UBERLANDIA','MG',9108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101807,4.00,7.00,5.00,6.00,6.00,7.00,6.00,6.00,6.00,223,302,NULL,'CAMPINAS','SAO JOSE','SC',6107,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101815,7.00,7.00,5.00,6.00,8.00,5.50,5.00,6.00,4.00,207,420,201,'JD DAS INDUSTRIAS','SAO JOSE DOS CAMPOS','SP',6718,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,207,NULL,'MORUMBI','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2101831,1.00,7.00,3.00,3.00,6.00,5.25,1.00,6.00,2.00,103,211,NULL,'CENTRO','TURVO','SC',19738,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2101840,4.00,8.00,4.00,7.00,4.00,3.00,4.00,6.00,1.00,501,211,NULL,'JARDIM ELITE','PIRACICABA','SP',15088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101858,7.00,7.00,7.00,6.00,8.00,8.00,7.00,8.00,4.00,211,216,207,'ITACORUBI','FLORIANOPOLIS','SC',2195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101866,4.00,8.00,7.00,7.00,8.00,5.75,7.00,7.00,6.00,316,420,NULL,'JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP',2974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101882,4.00,7.00,2.00,5.00,7.00,4.25,7.00,5.00,5.00,203,216,202,'AREIAS','PAULO LOPES','SC',9213,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2101890,4.00,7.00,4.00,3.00,6.00,5.00,6.00,5.00,2.00,302,304,NULL,'BARREIROS','SAO JOSE','SC',11384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101912,7.00,8.00,8.00,8.00,9.00,5.50,9.00,8.00,6.00,203,238,214,'SANTO ANTÔNIO','JOINVILLE','SC',894,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2101939,5.00,6.00,6.00,2.00,5.00,5.25,8.00,6.00,2.00,103,303,NULL,'CENTRO','LAGES','SC',9960,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2101947,4.00,8.00,6.00,7.00,9.00,5.25,5.00,6.00,4.00,5,420,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101955,2.00,6.00,5.00,6.00,6.00,4.50,6.00,6.00,2.00,310,320,NULL,'SAO DIMAS','SAO JOSE DOS CAMPOS','SP',10984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101971,7.00,9.00,5.00,8.00,6.00,6.75,7.00,7.00,6.00,103,101,NULL,'CENTRO','CAMPO GRANDE','MS',2192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101980,5.00,7.00,7.00,6.00,8.00,7.50,5.00,6.00,4.00,207,304,201,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',4658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2101998,1.00,7.00,5.00,4.00,5.00,5.00,6.00,6.00,1.00,303,310,NULL,'DAS NAÇÕES','BALNEARIO CAMBORIU','SC',15010,697,154,NULL,NULL,NULL,NULL,4,3),(15,2102013,4.00,5.00,3.00,4.00,7.00,4.00,5.00,4.00,5.00,101,308,NULL,'BARREIROS','SAO JOSE','SC',13079,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2102021,4.00,6.00,6.00,5.00,8.00,5.25,3.00,3.00,3.00,102,211,NULL,'BOM RETIRO','JOINVILLE','SC',10053,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2102030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,201,212,'PARQUE NOVE DE JULHO','SAO ROQUE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2102056,2.00,5.00,3.00,4.00,4.00,3.75,4.00,4.00,3.00,415,207,NULL,'VILA MOEMA','TUBARAO','SC',18993,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2102064,3.00,9.00,4.00,9.00,8.00,5.00,7.00,5.00,3.00,303,429,NULL,'CENTRO','FLORIANOPOLIS','SC',5608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102072,5.00,7.00,7.00,7.00,7.00,6.00,4.00,6.00,4.00,415,327,NULL,'CENTRO','FLORIANOPOLIS','SC',6126,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2102080,7.00,8.00,9.00,6.00,7.00,6.50,9.00,7.00,8.00,103,108,NULL,'BELA VISTA','SAO PAULO','SP',898,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2102099,4.00,7.00,5.00,6.00,8.00,6.75,7.00,8.00,3.00,318,238,NULL,'ABRAÃO','FLORIANOPOLIS','SC',5242,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2102110,6.00,8.00,9.00,8.00,8.00,4.00,7.00,7.00,7.00,203,214,220,'CENTRO','CASCAVEL','PR',1910,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2102129,3.00,3.00,1.00,3.00,5.00,5.25,3.00,4.00,1.00,451,450,NULL,'LUCIANA II','MARECHAL CANDIDO RONDON','PR',20813,94,357,NULL,NULL,NULL,NULL,2,1),(15,2102137,2.00,6.00,2.00,5.00,6.00,5.25,4.00,5.00,4.00,103,NULL,NULL,'VILA LAVINIA','MOGI DAS CRUZES','SP',14498,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2102145,2.00,7.00,5.00,2.00,6.00,5.25,5.00,4.00,4.00,238,NULL,212,'CENTRO','VIDEIRA','SC',13967,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2102153,4.00,5.00,1.00,3.00,3.00,4.75,2.00,4.00,3.00,108,444,NULL,'PORTO DA LAGOA','FLORIANOPOLIS','SC',21153,464,592,NULL,NULL,NULL,NULL,2,1),(15,2102161,8.00,8.00,10.00,9.00,9.00,5.75,9.00,9.00,8.00,203,202,220,'ELDORADO','ARAPONGAS','PR',24,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2102170,4.00,6.00,1.00,6.00,7.00,5.75,3.00,5.00,2.00,428,328,421,'CENTRO','PALHOCA','SC',12678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2102188,5.00,8.00,5.00,7.00,9.00,5.75,6.00,6.00,5.00,404,9,NULL,'PONTA DE BAIXO','SAO JOSE','SC',5406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102196,7.00,8.00,5.00,5.00,7.00,8.00,7.00,6.00,4.00,203,208,201,'CENTRO','CURITIBA','PR',3941,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2102200,8.00,8.00,10.00,9.00,8.00,6.50,9.00,8.00,8.00,5,303,NULL,'COQUEIROS','FLORIANOPOLIS','SC',132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102226,3.00,4.00,3.00,6.00,6.00,4.00,3.00,5.00,4.00,420,207,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102234,3.00,8.00,3.00,8.00,7.00,6.50,3.00,7.00,4.00,203,108,220,'PEDREIRAS','ICARA','SC',8116,649,NULL,NULL,NULL,NULL,NULL,5,5),(15,2102250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,102,NULL,'SANTOS DUMONT','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2102277,5.00,4.00,5.00,6.00,6.00,5.00,6.00,3.00,5.00,103,NULL,NULL,'SANTO INÁCIO','CURITIBA','PR',10759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102285,5.00,8.00,2.00,6.00,8.00,6.50,3.00,7.00,4.00,320,327,NULL,'INGLESES','FLORIANOPOLIS','SC',6917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102293,0.00,4.00,3.00,7.00,3.00,5.25,4.00,2.00,2.00,101,234,NULL,'CAMPINAS','SAO JOSE','SC',20060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2102307,3.00,8.00,3.00,1.00,7.00,5.25,5.00,4.00,3.00,304,331,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',14985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102315,4.00,7.00,3.00,5.00,7.00,5.75,5.00,3.00,2.00,333,207,NULL,'MORRO DA BINA','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102323,2.00,5.00,3.00,4.00,6.00,5.25,4.00,3.00,3.00,303,5,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',18638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2102331,7.00,8.00,5.00,8.00,8.00,5.25,9.00,7.00,5.00,233,211,216,'CENTRO','TUBARAO','SC',2511,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2102340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2102358,3.00,9.00,5.00,3.00,6.00,6.00,5.00,7.00,5.00,316,301,NULL,'ITAPUÃ','SALVADOR','BA',8721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,208,201,'VILA SANTO ANTONIO','SAO ROQUE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2102374,2.00,7.00,4.00,7.00,6.00,3.50,4.00,6.00,4.00,404,224,NULL,'TRINDADE','FLORIANOPOLIS','SC',11756,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2102390,8.00,8.00,9.00,6.00,8.00,5.75,9.00,8.00,9.00,103,220,NULL,'S ANTÔNIO DE LISBOA','FLORIANOPOLIS','SC',432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102404,5.00,5.00,4.00,6.00,7.00,3.50,2.00,4.00,7.00,225,217,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2102420,5.00,8.00,5.00,5.00,7.00,6.25,5.00,7.00,3.00,444,404,NULL,'CENTRO','FLORIANOPOLIS','SC',6763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102447,3.00,2.00,4.00,4.00,8.00,6.50,3.00,5.00,0.00,234,501,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',16351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102455,9.00,9.00,9.00,9.00,8.00,4.75,9.00,8.00,8.00,2,502,NULL,'AREIAS','SAO JOSE','SC',101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102498,2.00,6.00,1.00,3.00,4.00,5.00,2.00,4.00,3.00,103,333,NULL,'VILA OPERARIA','ITAJAI','SC',21201,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2102501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'SÃO JORGE','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2102536,4.00,8.00,5.00,7.00,8.00,5.50,7.00,7.00,4.00,202,327,208,'NAÇÕES','TIMBO','SC',4441,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2102544,3.00,6.00,1.00,6.00,7.00,6.50,4.00,6.00,4.00,103,NULL,NULL,'PADRE ANTÔNIO','MARAVILHA','SC',11202,2289,NULL,NULL,NULL,NULL,NULL,2,4),(15,2102552,2.00,6.00,6.00,5.00,5.00,7.50,7.00,4.00,4.00,211,NULL,NULL,'LA SALLE','XANXERE','SC',9895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102560,5.00,6.00,2.00,3.00,3.00,4.25,4.00,3.00,3.00,102,104,NULL,'CENTRO','TUBARAO','SC',19051,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2102579,4.00,6.00,2.00,4.00,6.00,5.75,6.00,3.00,3.00,207,404,NULL,'PONTA DE BAIXO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102595,2.00,5.00,4.00,2.00,6.00,4.50,4.00,4.00,0.00,420,444,NULL,'CENTRO','FLORIANOPOLIS','SC',20295,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2102609,7.00,7.00,9.00,3.00,7.00,6.50,7.00,5.00,6.00,103,216,NULL,'GUAÍRA','CURITIBA','PR',3942,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2102617,1.00,1.00,2.00,0.00,3.00,NULL,3.00,1.00,2.00,420,222,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2102625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'COUNTRY','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2102633,1.00,5.00,4.00,2.00,7.00,5.75,3.00,2.00,4.00,207,420,211,'JARDIM NOVA IBIUNA','IBIUNA','SP',18605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102650,3.00,8.00,2.00,0.00,6.00,NULL,5.00,3.00,3.00,450,424,NULL,'JARDIM ELITE','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102668,3.00,5.00,6.00,5.00,5.00,5.00,4.00,4.00,5.00,203,5,201,'CENTRO','FLORIANOPOLIS','SC',13324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102676,1.00,3.00,0.00,5.00,3.00,NULL,2.00,2.00,1.00,309,423,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2102684,3.00,5.00,6.00,5.00,6.00,4.50,3.00,6.00,4.00,211,302,207,'CENTRO','SAO BONIFACIO','SC',12598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2102692,2.00,6.00,7.00,8.00,5.00,6.00,4.00,7.00,4.00,301,316,NULL,'VILA HABITACIONAL','BARRA BONITA','SP',7722,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2102706,5.00,8.00,7.00,5.00,7.00,6.25,5.00,4.00,2.00,102,207,NULL,'CENTRO','CONCORDIA','SC',6856,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2102714,7.00,7.00,6.00,8.00,7.00,7.00,6.00,7.00,4.00,220,202,216,'PLANVILLE','RONDONOPOLIS','MT',4227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,424,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2102730,3.00,4.00,5.00,3.00,6.00,5.25,4.00,3.00,3.00,444,317,NULL,'BARRA DO ARIRIU','PALHOCA','SC',16717,171,594,NULL,NULL,NULL,NULL,4,1),(15,2102749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD GUAPORÉ','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2102757,4.00,3.00,4.00,3.00,6.00,5.00,4.00,3.00,3.00,103,101,NULL,'CENTRO','JOINVILLE','SC',17994,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2102765,3.00,5.00,0.00,6.00,6.00,3.75,1.00,3.00,1.00,339,429,NULL,'SERTAO DO MARUIM','SAO JOSE','SC',22012,169,309,NULL,NULL,NULL,NULL,2,1),(15,2102773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,339,NULL,'PASSAGEM','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2102811,4.00,7.00,4.00,9.00,7.00,6.75,8.00,5.00,3.00,5,316,NULL,'KOBRASOL','SAO JOSE','SC',5187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102820,6.00,9.00,8.00,9.00,8.00,5.75,8.00,7.00,5.00,301,NULL,NULL,'COQUEIROS','FLORIANOPOLIS','SC',771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102838,4.00,7.00,6.00,5.00,6.00,4.25,5.00,4.00,5.00,101,444,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',10070,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2102846,7.00,9.00,6.00,8.00,9.00,6.50,5.00,7.00,4.00,217,216,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',3498,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2102854,4.00,4.00,1.00,5.00,7.00,5.00,2.00,6.00,3.00,5,316,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',16480,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2102862,2.00,7.00,1.00,5.00,6.00,4.50,3.00,3.00,5.00,425,NULL,426,'SERRINHA','FLORIANOPOLIS','SC',16210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102870,6.00,6.00,6.00,4.00,4.00,5.25,8.00,8.00,6.00,103,201,NULL,'OCTOGONAL','CRUZEIRO','DF',5310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102889,5.00,7.00,4.00,2.00,8.00,6.75,4.00,3.00,2.00,102,215,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',11732,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2102897,4.00,7.00,1.00,1.00,6.00,4.25,4.00,4.00,3.00,316,333,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',17425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2102900,4.00,7.00,3.00,3.00,6.00,6.50,6.00,4.00,3.00,103,425,NULL,'CENTRO','BIGUACU','SC',12131,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2102919,2.00,7.00,4.00,6.00,5.00,5.00,6.00,6.00,3.00,214,420,238,'DOS CASAS','SAO BERNARDO DO CAMPO','SP',11121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102927,5.00,6.00,7.00,5.00,5.00,5.75,6.00,6.00,1.00,202,2,201,'VORSTADT','BLUMENAU','SC',8494,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2102935,1.00,2.00,2.00,4.00,3.00,4.50,1.00,4.00,1.00,420,404,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',22499,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2102943,3.00,6.00,4.00,4.00,5.00,4.75,3.00,2.00,2.00,304,318,NULL,'SÃO LUIS','JARAGUA DO SUL','SC',17770,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2102960,5.00,6.00,6.00,4.00,6.00,6.25,5.00,5.00,3.00,211,215,233,'CENTRO','BALNEARIO CAMBORIU','SC',9956,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2102986,1.00,7.00,2.00,5.00,6.00,5.75,7.00,6.00,4.00,420,207,NULL,'CAMPECHE','FLORIANOPOLIS','SC',11858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2102994,4.00,7.00,4.00,5.00,6.00,5.75,7.00,7.00,3.00,502,333,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',7823,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2103010,4.00,7.00,6.00,5.00,8.00,5.75,7.00,6.00,5.00,5,333,NULL,'PRIMEIRA LINHA','CRICIUMA','SC',5400,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2103028,4.00,6.00,6.00,5.00,2.00,NULL,4.00,4.00,4.00,104,212,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2103052,5.00,6.00,8.00,9.00,7.00,6.75,9.00,5.00,7.00,212,216,214,'CIDADE JARDIM','ANAPOLIS','GO',2164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103060,7.00,8.00,9.00,9.00,7.00,6.50,9.00,7.00,7.00,214,215,212,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,329,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2103095,4.00,7.00,7.00,3.00,4.00,6.00,6.00,4.00,3.00,203,211,214,'CENTRO','LONDRINA','PR',11229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103125,6.00,6.00,6.00,8.00,8.00,6.00,4.00,5.00,3.00,102,217,NULL,'CENTRO','CASCAVEL','PR',6421,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2103133,4.00,7.00,6.00,3.00,7.00,6.00,6.00,8.00,5.00,104,102,NULL,'CENTRO','PANAMBI','RS',6867,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2103141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'PARQUE PETROPOLIS','MAIRIPORA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2103150,4.00,7.00,6.00,8.00,8.00,6.00,6.00,8.00,4.00,303,5,NULL,'CAMPO GRANDE','SANTOS','SP',4397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103184,1.00,7.00,0.00,4.00,3.00,4.00,3.00,6.00,2.00,320,310,NULL,'ESTREITO','FLORIANOPOLIS','SC',20716,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2103192,5.00,8.00,5.00,5.00,6.00,4.50,8.00,6.00,4.00,203,208,216,'CORDEIROS','ITAJAI','SC',6501,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2103206,7.00,9.00,8.00,10.00,9.00,6.00,9.00,6.00,5.00,201,303,212,'PITUBA','SALVADOR','BA',733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103214,6.00,9.00,3.00,6.00,9.00,6.25,7.00,8.00,4.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',4069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103222,2.00,6.00,0.00,0.00,7.00,5.50,4.00,4.00,2.00,303,5,NULL,'ONDINA','SALVADOR','BA',20566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ENGENHO BRAUM','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2103257,2.00,7.00,5.00,7.00,7.00,5.00,7.00,4.00,5.00,207,NULL,NULL,'CENTRO','LONDRINA','PR',8472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103265,6.00,7.00,5.00,7.00,6.00,5.75,7.00,5.00,6.00,404,238,NULL,'PASSA VINTE','PALHOCA','SC',5215,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2103273,4.00,5.00,2.00,7.00,9.00,5.75,4.00,6.00,2.00,5,304,NULL,'CENTRO','CANOINHAS','SC',10997,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2103281,3.00,5.00,3.00,4.00,8.00,4.00,5.00,6.00,5.00,319,420,NULL,'JOSE MENDES','FLORIANOPOLIS','SC',13133,246,718,NULL,NULL,NULL,NULL,2,1),(15,2103290,1.00,4.00,3.00,2.00,7.00,3.00,6.00,3.00,1.00,222,220,NULL,'CENTRO','ITAPETININGA','SP',21143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2103303,3.00,3.00,5.00,8.00,8.00,6.25,5.00,4.00,3.00,103,101,NULL,'SEMINÁRIO','CHAPECO','SC',10675,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2103311,3.00,4.00,3.00,3.00,5.00,5.25,8.00,6.00,2.00,203,420,201,'NOVA SUIÇA','GOIANIA','GO',14444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103338,3.00,6.00,5.00,2.00,7.00,4.25,6.00,5.00,1.00,201,215,212,'GABIROBA','ITUPORANGA','SC',14512,776,564,303,NULL,NULL,NULL,4,1),(15,2103346,5.00,8.00,9.00,8.00,7.00,4.00,9.00,8.00,7.00,220,202,203,'CARVOEIRA','FLORIANOPOLIS','SC',968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2103354,3.00,8.00,7.00,7.00,9.00,6.50,6.00,9.00,6.00,320,426,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',2329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103370,5.00,7.00,7.00,6.00,7.00,6.00,7.00,8.00,4.00,420,222,NULL,'ARIRIÚ','PALHOCA','SC',4156,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2103389,2.00,3.00,2.00,2.00,4.00,NULL,0.00,4.00,4.00,444,404,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103400,3.00,8.00,3.00,5.00,7.00,6.50,7.00,5.00,5.00,108,502,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',7709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2103419,5.00,5.00,7.00,5.00,6.00,5.00,5.00,7.00,3.00,208,420,238,'LEONARDO ILHA','PASSO FUNDO','RS',8857,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2103427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,216,NULL,'PINHEIRINHO','FRANCISCO BELTRAO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2103435,6.00,7.00,4.00,9.00,9.00,8.00,7.00,8.00,4.00,103,303,NULL,'AVENTUREIRO','JOINVILLE','SC',1806,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2103443,8.00,8.00,6.00,3.00,9.00,5.75,8.00,9.00,7.00,103,9,NULL,'CAMPINAS','SAO JOSE','SC',1459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103451,6.00,6.00,9.00,8.00,9.00,5.50,10.00,7.00,8.00,103,NULL,NULL,'MARACANAZINHO','ANAPOLIS','GO',906,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2103460,6.00,8.00,3.00,5.00,7.00,6.00,6.00,6.00,4.00,9,428,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',5951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2103478,2.00,7.00,2.00,0.00,5.00,3.75,3.00,1.00,3.00,108,404,NULL,'BUCAREIN','JOINVILLE','SC',22015,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2103486,3.00,8.00,4.00,3.00,6.00,6.25,5.00,6.00,3.00,5,319,NULL,'SAO VICENTE','ITAJAI','SC',9515,413,708,NULL,NULL,NULL,NULL,4,6),(15,2103494,3.00,5.00,1.00,0.00,6.00,6.25,3.00,4.00,1.00,425,NULL,427,'CENTRO','FLORIANOPOLIS','SC',21203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103508,2.00,8.00,4.00,1.00,6.00,4.50,3.00,4.00,5.00,220,420,233,'TRINDADE','FLORIANOPOLIS','SC',16090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103516,9.00,6.00,8.00,5.00,8.00,5.50,8.00,7.00,6.00,203,421,202,'CENTRO','ICARA','SC',2005,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2103524,2.00,7.00,3.00,6.00,5.00,3.25,4.00,7.00,4.00,216,NULL,214,'INGLESES','FLORIANOPOLIS','SC',11583,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2103532,2.00,6.00,4.00,3.00,4.00,6.75,5.00,6.00,4.00,501,318,NULL,'SÃO LUÍS','CURITIBANOS','SC',12923,132,428,NULL,NULL,NULL,NULL,4,9),(15,2103540,5.00,5.00,7.00,7.00,7.00,5.25,4.00,5.00,1.00,215,222,233,'CENTRO','TUBARAO','SC',10981,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2103559,1.00,8.00,4.00,6.00,5.00,5.50,6.00,6.00,2.00,104,326,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',10284,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2103575,4.00,4.00,2.00,5.00,4.00,3.50,5.00,4.00,3.00,316,224,NULL,'TRINDADE','FLORIANOPOLIS','SC',19187,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2103583,3.00,6.00,5.00,6.00,4.00,4.00,4.00,7.00,4.00,207,202,NULL,'CENTRO','CACADOR','SC',13027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103591,5.00,8.00,7.00,7.00,9.00,6.00,6.00,6.00,3.00,103,451,NULL,'REAL PARQUE','SAO JOSE','SC',4323,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2103605,6.00,7.00,5.00,6.00,7.00,4.50,7.00,4.00,2.00,420,207,NULL,'ITACORUBI','FLORIANOPOLIS','SC',8155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103613,4.00,7.00,1.00,6.00,5.00,5.25,9.00,7.00,3.00,203,202,214,'ALTO DE MAFRA','MAFRA','SC',9493,723,NULL,NULL,NULL,NULL,NULL,2,8),(15,2103621,2.00,5.00,6.00,6.00,7.00,7.00,4.00,5.00,3.00,415,211,NULL,'HENRIQUE PANTE','SAO MARCOS','RS',10031,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2103630,5.00,6.00,5.00,3.00,6.00,4.50,7.00,6.00,3.00,207,301,NULL,'MIGUEL SUTIL','CUIABA','MT',11258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103648,3.00,6.00,1.00,0.00,2.00,NULL,2.00,3.00,1.00,108,415,NULL,'CENTRO','SAO GABRIEL DO OESTE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2103672,3.00,6.00,3.00,4.00,6.00,6.00,5.00,5.00,3.00,238,NULL,NULL,'TAPERA','FLORIANOPOLIS','SC',13023,472,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103699,4.00,4.00,5.00,4.00,7.00,6.00,8.00,5.00,4.00,103,319,NULL,'ÁGUA VERDE','CURITIBA','PR',8827,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2103702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2103710,2.00,3.00,0.00,2.00,5.00,NULL,3.00,2.00,0.00,9,502,NULL,'ALTO ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103737,2.00,5.00,1.00,5.00,6.00,6.00,2.00,4.00,4.00,332,327,NULL,'CENTRO','CORONEL FREITAS','SC',17975,104,422,NULL,NULL,NULL,NULL,2,4),(15,2103745,4.00,7.00,8.00,7.00,6.00,4.25,6.00,7.00,3.00,202,223,213,'TRINDADE','FLORIANOPOLIS','SC',6065,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2103753,3.00,7.00,4.00,7.00,8.00,4.25,5.00,5.00,3.00,103,415,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',9538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103761,1.00,5.00,1.00,0.00,7.00,NULL,6.00,4.00,2.00,104,208,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103770,1.00,6.00,5.00,5.00,6.00,5.25,6.00,7.00,5.00,217,2,NULL,'TESTO ALTO','POMERODE','SC',9938,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2103788,7.00,9.00,9.00,9.00,8.00,6.00,9.00,8.00,7.00,103,102,NULL,'CENTRO','FLORIANOPOLIS','SC',329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103796,4.00,6.00,4.00,1.00,6.00,5.25,4.00,6.00,5.00,317,332,NULL,'BARREIROS','SAO JOSE','SC',14308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'JARDIM LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2103818,5.00,6.00,4.00,7.00,8.00,5.00,3.00,2.00,5.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',9903,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2103826,5.00,9.00,5.00,5.00,8.00,5.25,7.00,8.00,5.00,220,208,203,'FAZENDA','ITAJAI','SC',3492,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2103842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,502,216,'FANNY','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2103850,6.00,7.00,7.00,6.00,8.00,6.50,6.00,6.00,5.00,103,104,NULL,'BAIRRO ALTO','AQUIDAUANA','MS',3919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103869,4.00,8.00,6.00,4.00,7.00,5.25,6.00,5.00,1.00,234,501,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',9818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103877,7.00,9.00,7.00,7.00,9.00,6.00,8.00,8.00,5.00,108,217,NULL,'CENTRO','FLORIANOPOLIS','SC',1487,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2103885,5.00,7.00,9.00,5.00,7.00,7.00,7.00,6.00,5.00,216,215,NULL,'GIOCONDO ORSI','CAMPO GRANDE','MS',3729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103893,5.00,6.00,5.00,7.00,8.00,5.25,4.00,5.00,3.00,304,421,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',8627,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2103907,3.00,7.00,5.00,6.00,6.00,6.25,4.00,5.00,5.00,213,316,202,'FLORESTA','VIDEIRA','SC',10167,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2103915,5.00,6.00,4.00,3.00,7.00,5.50,2.00,6.00,1.00,104,102,NULL,'NAVEGANTES','OURO','SC',14480,476,931,NULL,NULL,NULL,NULL,4,7),(15,2103923,6.00,7.00,5.00,7.00,7.00,7.00,6.00,4.00,6.00,103,NULL,NULL,'ROSA PIRES','CAMPO GRANDE','MS',4538,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2103931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,324,NULL,'VARGEM GRANDE','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2103958,4.00,5.00,2.00,9.00,7.00,5.00,4.00,4.00,3.00,108,101,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',12978,284,587,NULL,NULL,NULL,NULL,2,1),(15,2103966,2.00,6.00,4.00,4.00,6.00,5.00,3.00,6.00,3.00,103,NULL,NULL,'PIRATININGA','CAMPO GRANDE','MS',14857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2103974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CARANDA','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2103982,5.00,8.00,4.00,6.00,7.00,5.50,6.00,6.00,3.00,217,339,NULL,'CAMPINAS','SAO JOSE','SC',7465,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104008,5.00,7.00,6.00,7.00,4.00,5.25,8.00,5.00,4.00,201,NULL,NULL,'CARANDA','CAMPO GRANDE','MS',7027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104016,4.00,5.00,1.00,8.00,6.00,6.50,4.00,1.00,2.00,415,404,NULL,'BARREIROS','SAO JOSE','SC',17172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104040,3.00,7.00,4.00,3.00,5.00,4.75,2.00,4.00,1.00,207,420,201,'DAMHA I','PRESIDENTE PRUDENTE','SP',17054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104059,1.00,9.00,4.00,8.00,7.00,6.25,4.00,7.00,4.00,201,303,212,'TOBIAS','JOACABA','SC',8016,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2104067,6.00,8.00,6.00,6.00,8.00,6.75,6.00,8.00,4.00,415,320,NULL,'COQUEIROS','FLORIANOPOLIS','SC',3353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104075,2.00,5.00,1.00,6.00,3.00,6.50,2.00,3.00,3.00,309,101,NULL,'VILA NASCENTE','CAMPO GRANDE','MS',19519,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104091,4.00,4.00,5.00,4.00,6.00,5.50,5.00,6.00,5.00,103,333,NULL,'JARDIM SAO LOURENÇO','CAMPO GRANDE','MS',10703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104105,3.00,7.00,6.00,5.00,7.00,4.50,8.00,7.00,4.00,202,223,213,'TRINDADE','FLORIANOPOLIS','SC',6161,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104113,3.00,5.00,2.00,5.00,7.00,4.75,6.00,5.00,1.00,103,444,NULL,'PANTANAL','FLORIANOPOLIS','SC',15846,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104121,4.00,3.00,1.00,0.00,5.00,5.00,3.00,3.00,2.00,308,423,NULL,'BARREIROS','SAO JOSE','SC',21897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104130,2.00,7.00,5.00,8.00,9.00,4.50,6.00,5.00,4.00,233,203,214,'CAMPINAS','SAO JOSE','SC',7515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104148,2.00,5.00,1.00,4.00,3.00,4.00,3.00,4.00,2.00,201,450,207,'ITAPEMA DO NORTE','ITAPOA','SC',21320,1103,360,999,NULL,NULL,NULL,4,8),(15,2104156,6.00,6.00,7.00,4.00,8.00,7.50,7.00,3.00,5.00,103,102,NULL,'CENTRO','CAMPOS NOVOS','SC',6263,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2104164,2.00,7.00,2.00,5.00,7.00,4.25,4.00,4.00,2.00,211,214,NULL,'CENTRO','TIBAGI','PR',17239,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2104172,3.00,3.00,3.00,3.00,6.00,5.00,6.00,7.00,2.00,103,108,NULL,'PEDREGULHO','GUARATINGUETA','SP',15472,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104180,3.00,9.00,6.00,7.00,8.00,7.00,8.00,5.00,5.00,104,404,NULL,'CENTRO','PRAIA GRANDE','SC',3671,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2104199,3.00,8.00,8.00,8.00,7.00,6.00,8.00,8.00,6.00,203,224,207,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',1928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104202,6.00,5.00,8.00,5.00,8.00,5.50,5.00,5.00,4.00,420,303,NULL,'AMÉRICA','JOINVILLE','SC',7193,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(15,2104210,5.00,8.00,8.00,5.00,7.00,5.00,7.00,6.00,5.00,450,327,NULL,'ITAQUERA','SAO PAULO','SP',4660,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104229,6.00,6.00,8.00,7.00,9.00,7.00,5.00,6.00,6.00,103,216,NULL,'CENTRO','JOACABA','SC',2811,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2104237,4.00,8.00,1.00,4.00,6.00,4.50,2.00,7.00,3.00,404,444,NULL,'PALHOÇA','PALHOCA','SC',15170,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104253,1.00,4.00,4.00,5.00,7.00,6.50,2.00,2.00,1.00,319,302,NULL,'FORQUILHAS','SAO JOSE','SC',19680,428,325,NULL,NULL,NULL,NULL,2,1),(15,2104261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,333,NULL,'VILA ISABEL','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2104270,3.00,5.00,3.00,5.00,3.00,5.00,5.00,4.00,3.00,316,444,NULL,'AREIAS','SAO JOSE','SC',17338,489,511,NULL,NULL,NULL,NULL,2,1),(15,2104288,7.00,8.00,8.00,8.00,7.00,6.00,8.00,8.00,9.00,103,203,NULL,'MOSTEIRO DE ITAICI','INDAIATUBA','SP',578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104296,3.00,2.00,1.00,3.00,2.00,NULL,6.00,5.00,1.00,212,301,201,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104300,5.00,7.00,3.00,8.00,10.00,5.00,7.00,5.00,4.00,103,444,NULL,'FAZENDA','ITAJAI','SC',5646,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2104318,7.00,8.00,3.00,4.00,7.00,3.50,5.00,6.00,4.00,316,317,NULL,'KOBRASOL','SAO JOSE','SC',8898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104326,4.00,6.00,4.00,6.00,8.00,6.25,3.00,3.00,4.00,207,420,NULL,'BARREIROS','SAO JOSE','SC',11087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104334,4.00,6.00,5.00,7.00,7.00,6.75,6.00,3.00,4.00,216,102,215,'CENTRO','MARCELINO RAMOS','RS',7673,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2104350,2.00,7.00,4.00,6.00,7.00,6.50,5.00,7.00,4.00,428,NULL,423,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104369,5.00,7.00,9.00,7.00,8.00,5.75,9.00,8.00,8.00,203,202,220,'CIDADE NOVA','INDAIATUBA','SP',1057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,502,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2104385,4.00,3.00,1.00,4.00,4.00,6.50,4.00,1.00,4.00,420,207,NULL,'TRINDADE','FLORIANOPOLIS','SC',20025,407,1294,NULL,NULL,NULL,NULL,2,1),(15,2104393,1.00,5.00,2.00,2.00,6.00,NULL,3.00,2.00,1.00,316,201,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104407,3.00,6.00,5.00,5.00,7.00,6.75,3.00,3.00,6.00,201,426,207,'CENTRO','FLORIANOPOLIS','SC',10724,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,224,211,'VILA RAU','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2104431,2.00,4.00,1.00,5.00,5.00,6.25,4.00,4.00,2.00,415,420,NULL,'JD SÃO NICOLAU','BIGUACU','SC',18718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104440,7.00,8.00,6.00,7.00,8.00,6.00,7.00,7.00,3.00,428,421,425,'CENTRO','PALHOCA','SC',2876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,234,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2104466,5.00,8.00,6.00,2.00,7.00,5.50,4.00,2.00,4.00,301,207,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',12603,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2104474,3.00,5.00,2.00,0.00,5.00,4.75,3.00,5.00,4.00,404,NULL,NULL,'PARQUE CONTINENTAL','OSASCO','SP',20741,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2104482,1.00,4.00,2.00,3.00,4.00,NULL,2.00,0.00,4.00,208,444,238,'FAZENDA STO ANTONIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104504,6.00,6.00,5.00,6.00,9.00,6.75,5.00,6.00,4.00,415,104,NULL,'FRAGOSOS','CONCORDIA','SC',5983,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2104512,4.00,7.00,4.00,3.00,7.00,3.50,7.00,6.00,2.00,233,420,207,'CENTRO','CAMPINAS','SP',10315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104520,1.00,1.00,3.00,4.00,4.00,NULL,1.00,2.00,0.00,316,317,NULL,'SÃO PELEGRINO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2104547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,318,NULL,'PIONEIROS CATARINENS','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2104555,0.00,0.00,0.00,5.00,4.00,NULL,4.00,2.00,4.00,103,104,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(15,2104563,5.00,9.00,5.00,7.00,9.00,5.50,2.00,7.00,5.00,502,217,NULL,'SÃO CRISTÓVÃO','TURVO','SC',5354,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2104571,8.00,7.00,7.00,7.00,8.00,6.50,7.00,7.00,6.00,101,404,NULL,'CENTRO','PALHOCA','SC',1847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104580,4.00,4.00,4.00,2.00,3.00,3.75,1.00,2.00,4.00,316,224,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',21748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104598,2.00,6.00,1.00,5.00,2.00,NULL,5.00,5.00,3.00,333,202,NULL,'VILA A','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104601,2.00,6.00,2.00,5.00,5.00,4.75,2.00,8.00,4.00,326,424,NULL,'PANTANAL','FLORIANOPOLIS','SC',16708,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104628,6.00,8.00,8.00,8.00,9.00,6.75,7.00,6.00,4.00,103,333,NULL,'CENTRO','SAPIRANGA','RS',2596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104636,5.00,8.00,8.00,5.00,7.00,5.00,8.00,7.00,5.00,201,224,211,'ITACORUBI','FLORIANOPOLIS','SC',4395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104644,5.00,7.00,9.00,9.00,7.00,7.25,9.00,8.00,7.00,103,316,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104652,5.00,7.00,4.00,7.00,6.00,7.50,5.00,5.00,3.00,103,201,NULL,'ALDEOTA','FORTALEZA','CE',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'CENTRO','SANTA ROSA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2104679,1.00,4.00,2.00,5.00,3.00,5.50,4.00,5.00,2.00,316,318,NULL,'INGLESES','FLORIANOPOLIS','SC',20195,612,514,NULL,NULL,NULL,NULL,2,1),(15,2104687,5.00,8.00,8.00,9.00,8.00,6.25,8.00,6.00,7.00,5,223,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',1213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104695,5.00,7.00,3.00,8.00,9.00,8.00,6.00,3.00,4.00,415,429,NULL,'CENTRO','POMERODE','SC',6236,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2104709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,108,203,'SÃO JOÃO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2104717,5.00,7.00,6.00,4.00,7.00,5.75,6.00,3.00,5.00,103,319,NULL,'JARDIM TANZI','SAO ROQUE','SP',7635,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104725,2.00,6.00,2.00,3.00,6.00,5.25,4.00,4.00,3.00,201,301,220,'SANTA FÉ','CAMPO GRANDE','MS',18071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104733,4.00,5.00,7.00,6.00,8.00,7.00,5.00,8.00,4.00,207,217,201,'CENTRO','FLORIANOPOLIS','SC',5174,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104741,1.00,3.00,2.00,3.00,4.00,NULL,2.00,1.00,1.00,333,415,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2104750,2.00,1.00,0.00,1.00,3.00,NULL,5.00,1.00,2.00,421,424,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104768,7.00,6.00,7.00,8.00,7.00,7.00,4.00,7.00,5.00,217,216,NULL,'JUNDIAPEBA','MOGI DAS CRUZES','SP',3693,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2104776,5.00,9.00,6.00,6.00,7.00,7.00,5.00,5.00,4.00,207,420,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104784,4.00,8.00,5.00,4.00,7.00,7.75,7.00,8.00,5.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',4398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104806,5.00,6.00,8.00,8.00,7.00,5.00,7.00,5.00,6.00,220,214,213,'CENTRO','ITAJUBA','MG',3280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104814,2.00,7.00,3.00,7.00,7.00,6.00,4.00,8.00,2.00,328,5,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',10655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104822,3.00,7.00,5.00,7.00,6.00,7.00,3.00,5.00,1.00,316,318,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',11182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104830,3.00,4.00,3.00,4.00,5.00,4.75,4.00,2.00,2.00,203,NULL,NULL,'SÃO MARCOS','JOINVILLE','SC',19396,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2104849,1.00,5.00,1.00,6.00,7.00,5.75,4.00,5.00,4.00,415,238,NULL,'CAMPO DA AVIAÇÃO','IMBITUBA','SC',16140,404,960,NULL,NULL,NULL,NULL,2,10),(15,2104865,0.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,202,318,213,'PROGRESSO','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2104873,6.00,6.00,5.00,6.00,8.00,7.50,5.00,5.00,4.00,217,108,NULL,'ALTO','PIRACICABA','SP',5599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2104881,0.00,3.00,0.00,1.00,3.00,NULL,3.00,4.00,1.00,101,304,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104890,1.00,3.00,5.00,2.00,5.00,5.75,5.00,5.00,3.00,202,333,214,'JARDIM PANORAMA','TOLEDO','PR',17159,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2104920,2.00,5.00,3.00,3.00,4.00,3.75,2.00,4.00,3.00,103,304,NULL,'CENTRO','ALTO BELA VISTA','SC',19756,2974,429,NULL,NULL,NULL,NULL,2,1),(15,2104938,0.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2104946,5.00,5.00,5.00,4.00,6.00,6.00,5.00,5.00,3.00,420,NULL,NULL,'SANTANA','PORTO ALEGRE','RS',11899,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2104954,2.00,3.00,1.00,2.00,5.00,5.75,3.00,3.00,5.00,404,NULL,NULL,'VILA BUNTANÃ','SAO PAULO','SP',20871,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2104962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,333,NULL,'NOVA RÚSSIA','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2104970,4.00,6.00,5.00,5.00,8.00,5.50,5.00,6.00,4.00,217,415,NULL,'MORRO DA GLÓRIA','URUSSANGA','SC',7929,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2104989,3.00,7.00,3.00,8.00,9.00,6.75,7.00,6.00,7.00,216,214,233,'CENTRO','PALOTINA','PR',4612,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2105004,5.00,7.00,4.00,5.00,8.00,6.00,5.00,6.00,4.00,303,9,NULL,'CAMPINAS','SAO JOSE','SC',7564,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2105012,7.00,9.00,8.00,5.00,9.00,8.50,6.00,6.00,6.00,5,303,NULL,'CENTRO','FLORIANOPOLIS','SC',1873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105039,4.00,8.00,4.00,5.00,8.00,6.50,7.00,5.00,4.00,104,102,NULL,'TRIBESS','BLUMENAU','SC',7074,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2105047,3.00,4.00,2.00,1.00,6.00,5.00,3.00,3.00,3.00,404,308,NULL,'RIO CAVEIRAS','BIGUACU','SC',21430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105055,7.00,9.00,7.00,8.00,9.00,6.25,5.00,4.00,6.00,103,9,NULL,'CENTRO','JARAGUA DO SUL','SC',2477,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2105063,7.00,8.00,7.00,6.00,9.00,6.50,7.00,6.00,6.00,103,303,NULL,'VILA NOVA','JOINVILLE','SC',2137,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2105071,1.00,5.00,1.00,4.00,6.00,5.50,2.00,3.00,4.00,223,224,NULL,'CENTRO','CANELINHA','SC',20783,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2105080,4.00,6.00,5.00,5.00,8.00,4.50,7.00,3.00,4.00,104,211,NULL,'CENTRO','FLORIANOPOLIS','SC',10411,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2105098,5.00,7.00,2.00,3.00,4.00,4.25,2.00,5.00,1.00,224,318,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',19599,71,511,NULL,NULL,NULL,NULL,2,1),(15,2105101,8.00,9.00,9.00,8.00,8.00,5.00,9.00,7.00,8.00,220,421,202,'CORREGO GRANDE','FLORIANOPOLIS','SC',526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105110,4.00,6.00,2.00,6.00,7.00,5.75,3.00,4.00,2.00,101,108,NULL,'ALTO SAO BENTO','ITAPEMA','SC',16124,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2105128,8.00,8.00,9.00,9.00,9.00,6.00,9.00,9.00,7.00,103,326,NULL,'CENTRO','FLORIANOPOLIS','SC',56,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA GALVAO','CARAPICUIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2105144,2.00,7.00,4.00,7.00,7.00,4.75,3.00,6.00,2.00,318,316,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',14441,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2105152,5.00,7.00,8.00,4.00,9.00,7.25,6.00,3.00,3.00,211,304,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',6880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105160,3.00,4.00,3.00,6.00,6.00,5.75,4.00,7.00,4.00,420,319,NULL,'CAMPINAS','SAO JOSE','SC',10964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105179,2.00,4.00,4.00,6.00,6.00,NULL,0.00,0.00,0.00,316,319,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2105187,3.00,6.00,3.00,8.00,7.00,6.25,5.00,4.00,3.00,302,301,NULL,'ESTREITO','FLORIANOPOLIS','SC',9598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2105195,6.00,7.00,8.00,5.00,9.00,6.00,5.00,7.00,7.00,103,102,NULL,'BOQUEIRÃO','PRAIA GRANDE','SP',3526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105209,7.00,8.00,8.00,7.00,9.00,8.75,8.00,7.00,6.00,216,102,215,'PAES LEME','IMBITUBA','SC',458,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2105217,2.00,7.00,4.00,6.00,4.00,4.50,2.00,2.00,4.00,202,238,233,'ITACORUBI','FLORIANOPOLIS','SC',18103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2105225,3.00,7.00,6.00,2.00,7.00,6.00,3.00,7.00,0.00,201,211,207,'GUIOMAR DE FORA','ANTONIO CARLOS','SC',13531,733,906,660,NULL,NULL,NULL,4,1),(15,2105233,7.00,8.00,8.00,7.00,7.00,5.50,9.00,7.00,5.00,103,5,NULL,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',1374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105241,3.00,7.00,2.00,5.00,8.00,5.00,6.00,5.00,4.00,302,223,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',10105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105268,3.00,6.00,0.00,2.00,3.00,5.00,2.00,6.00,2.00,303,310,NULL,'CENTRO','ITUPORANGA','SC',19287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105276,5.00,7.00,2.00,5.00,8.00,6.00,6.00,4.00,5.00,104,444,NULL,'BARREIROS','SAO JOSE','SC',9616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105284,2.00,5.00,4.00,6.00,7.00,5.25,4.00,6.00,1.00,211,201,212,'PROGRESSO','MONTENEGRO','RS',13845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105292,8.00,9.00,7.00,6.00,9.00,6.00,7.00,8.00,6.00,5,415,NULL,'AVENTUREIRO','JOINVILLE','SC',1048,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2105306,7.00,8.00,9.00,8.00,8.00,3.00,8.00,7.00,9.00,103,104,NULL,'CENTRO','CRICIUMA','SC',1483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105322,2.00,6.00,3.00,5.00,2.00,NULL,3.00,6.00,2.00,222,214,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2105330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,207,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2105357,5.00,7.00,3.00,9.00,7.00,5.25,5.00,5.00,4.00,415,NULL,NULL,'NSA SRA APARECIDA','FRANCISCO BELTRAO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105365,4.00,8.00,0.00,5.00,8.00,6.75,4.00,4.00,4.00,428,424,426,'PANTANAL','FLORIANOPOLIS','SC',11997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105373,5.00,8.00,8.00,6.00,8.00,5.00,4.00,6.00,5.00,223,217,NULL,'VILA HELENA','SAO PAULO','SP',5540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105381,6.00,7.00,6.00,6.00,9.00,7.50,7.00,7.00,4.00,103,201,NULL,'CENTRO','PASSO FUNDO','RS',3060,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2105411,5.00,7.00,5.00,4.00,6.00,3.50,6.00,5.00,4.00,203,216,201,'PRAIA DO ROSA','IMBITUBA','SC',9930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105420,7.00,8.00,8.00,6.00,8.00,5.75,8.00,8.00,6.00,104,102,NULL,'UVARANAS','PONTA GROSSA','PR',1294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105438,2.00,9.00,6.00,5.00,6.00,6.25,6.00,5.00,4.00,238,316,220,'SANTA BÁRBARA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2105446,4.00,2.00,0.00,4.00,5.00,NULL,5.00,4.00,1.00,207,324,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2105470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'SANTANA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2105489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,208,213,'JARDIM AMERICA','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2105497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,217,427,'PARQUE VERDE','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2105500,5.00,7.00,8.00,7.00,8.00,6.50,6.00,7.00,4.00,104,319,NULL,'ITACORUBI','FLORIANOPOLIS','SC',3001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105527,4.00,6.00,4.00,3.00,5.00,4.50,4.00,3.00,3.00,103,303,NULL,'SAGUAÇU','JOINVILLE','SC',16280,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2105535,7.00,9.00,9.00,8.00,8.00,5.25,9.00,8.00,7.00,5,308,NULL,'CENTRO','FLORIANOPOLIS','SC',346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105560,1.00,9.00,7.00,7.00,7.00,3.75,6.00,8.00,5.00,316,301,NULL,'JUSCELINO KUBITSCHEK','SANTA MARIA','RS',5104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2105578,3.00,7.00,6.00,6.00,8.00,5.50,8.00,4.00,2.00,108,333,NULL,'IMIGRANTE','BENTO GONCALVES','RS',6250,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2105586,8.00,8.00,7.00,7.00,9.00,6.50,8.00,8.00,8.00,303,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105608,0.00,8.00,1.00,2.00,5.00,NULL,2.00,3.00,1.00,5,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2105616,3.00,6.00,2.00,2.00,7.00,5.50,3.00,4.00,2.00,212,222,238,'JARDIM ATLANTCIO','FLORIANOPOLIS','SC',18023,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2105624,4.00,5.00,6.00,3.00,6.00,5.25,9.00,5.00,4.00,103,104,NULL,'MEIA PRAIA','ITAPEMA','SC',8951,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2105640,4.00,5.00,4.00,8.00,8.00,5.75,5.00,5.00,4.00,102,NULL,NULL,'CENTRO','CURITIBANOS','SC',8432,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2105659,1.00,7.00,1.00,6.00,7.00,7.00,2.00,7.00,4.00,326,328,NULL,'ESTREITO','FLORIANOPOLIS','SC',12317,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2105667,4.00,8.00,3.00,5.00,8.00,7.75,6.00,4.00,4.00,224,211,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',8796,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2105675,4.00,8.00,8.00,6.00,8.00,3.75,5.00,5.00,4.00,211,NULL,NULL,'SÃO PEDRO','NAVEGANTES','SC',5486,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2105683,7.00,7.00,5.00,7.00,8.00,5.50,5.00,7.00,7.00,102,451,NULL,'CRUZEIRO','SAO BENTO DO SUL','SC',3679,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2105691,7.00,8.00,8.00,7.00,9.00,6.25,7.00,5.00,5.00,104,9,NULL,'CENTRO','MATELANDIA','PR',2515,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2105705,2.00,4.00,2.00,5.00,4.00,5.75,4.00,1.00,3.00,423,424,425,'KOBRASOL','SAO JOSE','SC',20633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2105713,2.00,9.00,9.00,7.00,8.00,3.50,7.00,6.00,4.00,203,316,214,'CARAVÁGIO','LAGES','SC',4476,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2105721,4.00,8.00,6.00,3.00,7.00,5.50,7.00,6.00,3.00,216,201,207,'CENTRO','ERECHIM','RS',7626,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2105730,4.00,6.00,2.00,5.00,4.00,4.00,3.00,4.00,2.00,316,308,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105748,1.00,5.00,0.00,4.00,3.00,NULL,0.00,2.00,3.00,444,415,NULL,'CENTRO','XAVANTINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2105756,6.00,6.00,9.00,2.00,5.00,5.75,7.00,5.00,7.00,102,333,NULL,'CENTRO','CANANEIA','SP',5371,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2105764,4.00,6.00,5.00,5.00,6.00,5.50,5.00,6.00,4.00,304,310,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',8352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2105772,5.00,7.00,7.00,7.00,8.00,4.50,6.00,5.00,4.00,333,303,NULL,'CRUZEIRO','PASSO FUNDO','RS',5349,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2105780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,428,NULL,'JARDIM AEROPORTO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2105799,3.00,6.00,2.00,0.00,8.00,4.75,4.00,4.00,3.00,420,308,NULL,'BELA VISTA I','SAO JOSE','SC',17749,349,382,NULL,NULL,NULL,NULL,2,1),(15,2105802,5.00,8.00,6.00,9.00,8.00,7.50,6.00,6.00,5.00,450,327,NULL,'PANTANAL','FLORIANOPOLIS','SC',2696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105810,3.00,8.00,3.00,6.00,6.00,5.75,6.00,6.00,3.00,103,333,NULL,'OTAVIO DALAZEN','ORLEANS','SC',8643,1978,616,NULL,NULL,NULL,NULL,2,5),(15,2105829,8.00,7.00,8.00,6.00,8.00,6.50,9.00,6.00,6.00,420,238,NULL,'CARIANOS','FLORIANOPOLIS','SC',1413,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2105837,3.00,7.00,5.00,8.00,5.00,6.50,4.00,5.00,3.00,103,104,NULL,'BELA VISTA','CLEVELANDIA','PR',9254,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2105845,6.00,7.00,6.00,6.00,7.00,6.00,6.00,6.00,7.00,103,102,NULL,'NOVO HORIZONTE','MARINGA','PR',4093,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2105853,7.00,8.00,4.00,9.00,9.00,6.25,7.00,8.00,4.00,415,301,NULL,'ESPIGÃO','MARECHAL CANDIDO RONDON','PR',2645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105861,4.00,4.00,3.00,0.00,5.00,NULL,6.00,3.00,1.00,5,415,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2105888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'ÓRFÃS','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2105896,6.00,7.00,9.00,9.00,9.00,7.00,8.00,6.00,8.00,211,233,216,'PONTA DA PRAIA','SANTOS','SP',510,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2105900,6.00,6.00,5.00,4.00,5.00,4.75,5.00,8.00,5.00,220,451,214,'NOVA ARUJA','ARUJA','SP',7928,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2105918,3.00,5.00,0.00,6.00,5.00,4.00,3.00,3.00,1.00,102,9,NULL,'BELA VISTA','CUNHA PORA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2105926,6.00,7.00,1.00,6.00,9.00,4.25,5.00,6.00,3.00,326,428,NULL,'FREI ROGÉRIO','LAGES','SC',9512,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2105934,7.00,9.00,6.00,5.00,8.00,6.25,8.00,8.00,7.00,103,102,NULL,'JARDIM EUROPA II','ASSIS','SP',1153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105942,4.00,8.00,2.00,5.00,4.00,6.75,5.00,7.00,2.00,329,NULL,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',10838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105950,3.00,6.00,3.00,5.00,5.00,5.00,4.00,6.00,3.00,104,327,NULL,'SÃO JOÃO','ITAJAI','SC',13529,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2105969,7.00,8.00,9.00,7.00,9.00,7.25,7.00,9.00,6.00,203,208,202,'TRINDADE','FLORIANOPOLIS','SC',565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2105977,0.00,4.00,1.00,4.00,6.00,5.50,4.00,2.00,2.00,303,9,NULL,'VILA NOVA','FRANCISCO BELTRAO','PR',20749,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2105985,6.00,6.00,4.00,4.00,8.00,5.50,5.00,5.00,3.00,108,415,NULL,'CENTRO','ABELARDO LUZ','SC',10204,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2105993,5.00,8.00,8.00,7.00,7.00,6.75,8.00,8.00,8.00,220,NULL,208,'CIDADE BAIXA','PORTO ALEGRE','RS',1464,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2106000,3.00,7.00,3.00,7.00,8.00,5.75,6.00,5.00,3.00,309,339,NULL,'RAINHA','RIO DO SUL','SC',8610,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2106019,3.00,8.00,4.00,5.00,7.00,4.75,7.00,6.00,6.00,103,101,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',7590,1846,492,NULL,NULL,NULL,NULL,2,1),(15,2106027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,326,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2106043,0.00,6.00,0.00,3.00,4.00,NULL,2.00,3.00,2.00,104,502,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2106051,3.00,6.00,3.00,3.00,4.00,5.75,2.00,5.00,1.00,309,223,NULL,'RATONES','FLORIANOPOLIS','SC',19701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2106060,1.00,4.00,5.00,5.00,4.00,7.00,3.00,4.00,1.00,104,444,NULL,'CENTRO','PORTO UNIAO','SC',16935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106078,2.00,6.00,3.00,7.00,7.00,6.00,3.00,4.00,3.00,102,217,NULL,'CENTRO','FLORIANOPOLIS','SC',14633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2106094,4.00,3.00,3.00,1.00,6.00,5.75,5.00,4.00,3.00,102,101,NULL,'JARDIM ELDORADO','PALHOCA','SC',17432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106108,2.00,5.00,1.00,6.00,6.00,5.00,5.00,5.00,3.00,103,NULL,NULL,'CENTRO','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2106116,3.00,4.00,3.00,2.00,3.00,1.75,3.00,5.00,4.00,501,502,NULL,'CENTRO','PRUDENTOPOLIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2106124,3.00,8.00,0.00,5.00,6.00,NULL,5.00,3.00,3.00,108,NULL,NULL,'GREVILEA III','MARINGA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2106132,5.00,6.00,8.00,7.00,7.00,6.25,6.00,6.00,5.00,102,216,NULL,'CENTRO','MARINGA','PR',4243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106159,4.00,9.00,3.00,8.00,7.00,6.25,7.00,5.00,3.00,101,102,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',6375,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2106167,6.00,7.00,9.00,7.00,8.00,6.00,7.00,9.00,4.00,304,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',1717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106183,1.00,4.00,0.00,6.00,1.00,NULL,3.00,2.00,0.00,404,301,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2106191,2.00,7.00,1.00,4.00,7.00,5.25,3.00,6.00,5.00,316,9,NULL,'JARDIM SOUTO','SAO JOSE DOS CAMPOS','SP',13284,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2106205,3.00,5.00,3.00,3.00,5.00,3.75,4.00,3.00,4.00,103,101,NULL,'CENTRO','CURITIBANOS','SC',19018,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2106213,8.00,8.00,9.00,9.00,8.00,6.00,9.00,8.00,7.00,203,NULL,202,'CENTRO','CRICIUMA','SC',174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106221,4.00,3.00,1.00,7.00,4.00,5.25,2.00,1.00,3.00,324,423,NULL,'BARRA DO ARIRIU','PALHOCA','SC',20873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2106230,5.00,8.00,9.00,5.00,8.00,5.00,8.00,6.00,5.00,203,2,233,'TRINDADE','FLORIANOPOLIS','SC',2634,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2106256,2.00,6.00,4.00,6.00,8.00,6.00,3.00,6.00,3.00,220,214,211,'CONCEIÇÃO','GUAPORE','RS',10870,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2106264,7.00,7.00,6.00,8.00,7.00,7.50,8.00,4.00,5.00,207,201,212,'CENTRO','FLORIANOPOLIS','SC',2918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,201,214,'BATISTA CAMPOS','BELEM','PA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2106280,4.00,4.00,0.00,4.00,4.00,6.50,4.00,4.00,4.00,103,101,NULL,'CENTRO','SAO GABRIEL DO OESTE','MS',18491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2106299,1.00,4.00,0.00,1.00,2.00,NULL,4.00,1.00,5.00,101,415,NULL,'JOÃO PESSOA','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106302,7.00,8.00,8.00,8.00,6.00,7.25,8.00,7.00,5.00,211,223,201,'PRAIA DA COSTA','VILA VELHA','ES',1740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106329,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','FAXINAL DOS GUEDES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(15,2106337,7.00,8.00,8.00,6.00,7.00,4.50,8.00,7.00,5.00,103,104,NULL,'KOBRASOL','SAO JOSE','SC',2989,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2106345,3.00,8.00,3.00,5.00,8.00,5.75,2.00,4.00,2.00,104,319,NULL,'COQUEIROS','FLORIANOPOLIS','SC',13386,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2106361,4.00,6.00,1.00,3.00,5.00,5.25,4.00,3.00,1.00,203,5,208,'VORSTADT','BLUMENAU','SC',20179,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2106388,3.00,4.00,3.00,6.00,8.00,5.50,4.00,3.00,5.00,101,319,NULL,'OFICINAS','TUBARAO','SC',12737,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2106396,2.00,9.00,1.00,4.00,7.00,6.75,4.00,8.00,2.00,450,331,NULL,'JACAREPAGUÁ','RIO DE JANEIRO','RJ',10955,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2106400,2.00,4.00,2.00,2.00,6.00,5.00,2.00,1.00,3.00,301,302,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',21990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106418,1.00,2.00,8.00,8.00,7.00,7.00,6.00,5.00,5.00,207,333,201,'SÃO FRANCISCO','CAMPO GRANDE','MS',8508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,104,NULL,'CENTRO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2106434,2.00,8.00,6.00,7.00,7.00,5.00,7.00,7.00,4.00,207,333,NULL,'DONA CLARA','BELO HORIZONTE','MG',5840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106442,6.00,7.00,8.00,9.00,8.00,8.00,6.00,8.00,6.00,301,316,NULL,'VILA NOVA','BLUMENAU','SC',827,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2106450,6.00,8.00,8.00,5.00,8.00,6.50,8.00,7.00,8.00,103,319,NULL,'JARDIM PANORAMA','FOZ DO IGUACU','PR',820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106469,6.00,8.00,7.00,3.00,7.00,4.75,7.00,7.00,5.00,103,427,NULL,'FAZENDA SANTOANTONIO','SAO JOSE','SC',4978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106485,6.00,9.00,6.00,6.00,6.00,6.25,7.00,9.00,5.00,216,203,NULL,'CENTRO','CANELA','RS',2849,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2106493,3.00,3.00,1.00,2.00,5.00,3.25,2.00,5.00,2.00,208,316,203,'CACHOEIRA B JESUS','FLORIANOPOLIS','SC',22193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106507,4.00,8.00,3.00,5.00,7.00,5.00,8.00,5.00,4.00,203,208,NULL,'CENTRO','CRICIUMA','SC',7752,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2106515,3.00,8.00,1.00,5.00,6.00,7.75,3.00,7.00,1.00,224,222,NULL,'CENTRO','FLORIANOPOLIS','SC',12137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106531,3.00,4.00,3.00,5.00,4.00,4.75,2.00,4.00,1.00,332,333,NULL,'MACACU','GAROPABA','SC',21125,138,1035,NULL,NULL,NULL,NULL,2,10),(15,2106540,1.00,3.00,2.00,2.00,7.00,5.25,3.00,4.00,2.00,303,309,NULL,'BARREIROS','SAO JOSE','SC',20507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2106558,1.00,3.00,1.00,4.00,2.00,NULL,3.00,1.00,1.00,339,324,NULL,'FLOR DE NAPOLIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2106566,6.00,8.00,8.00,8.00,7.00,6.75,8.00,6.00,8.00,103,319,NULL,'CENTRO','BELA VISTA DO PARAISO','PR',1752,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2106574,0.00,3.00,2.00,4.00,3.00,5.25,4.00,5.00,3.00,429,319,421,'ESCOLA AGRICOLA','BLUMENAU','SC',20909,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2106582,3.00,7.00,5.00,4.00,7.00,6.50,6.00,6.00,2.00,103,102,NULL,'CARVOERIA','FLORIANOPOLIS','SC',8911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106590,5.00,7.00,4.00,7.00,7.00,6.00,6.00,5.00,3.00,103,303,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',9004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106604,6.00,8.00,7.00,7.00,9.00,8.00,8.00,6.00,5.00,103,303,NULL,'CENTRO','CURITIBA','PR',1314,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2106612,2.00,6.00,4.00,4.00,7.00,6.50,3.00,5.00,3.00,420,207,NULL,'CARIANOS','FLORIANOPOLIS','SC',14232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106620,0.00,6.00,1.00,3.00,4.00,4.25,3.00,5.00,1.00,404,211,NULL,'BOM VIVER','BIGUACU','SC',22272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2106639,5.00,5.00,2.00,1.00,6.00,5.75,3.00,6.00,3.00,319,309,NULL,'KOBRASOL','SAO JOSE','SC',17048,363,173,NULL,NULL,NULL,NULL,4,1),(15,2106647,5.00,6.00,6.00,6.00,7.00,7.75,5.00,5.00,3.00,103,415,NULL,'PQ SETE DE SETEMBRO','DIADEMA','SP',6135,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2106655,3.00,7.00,5.00,4.00,4.00,4.50,6.00,6.00,5.00,318,333,NULL,'MINA BRASIL','CRICIUMA','SC',11292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106663,6.00,8.00,5.00,9.00,9.00,7.00,7.00,6.00,4.00,415,319,NULL,'GONZAGA','SANTOS','SP',2679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106671,4.00,7.00,7.00,6.00,6.00,7.50,8.00,5.00,3.00,103,104,NULL,'CENTRO','CANOINHAS','SC',7145,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2106698,1.00,5.00,4.00,2.00,5.00,5.00,3.00,3.00,4.00,501,108,NULL,'CAMPOS ELÍSEOS','RIBEIRAO PRETO','SP',19087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106701,5.00,8.00,2.00,2.00,5.00,5.00,5.00,5.00,3.00,202,215,233,'BARRA FUNDA','GUARUJA','SP',15148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2106710,2.00,2.00,1.00,4.00,6.00,6.25,4.00,4.00,2.00,333,108,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',20073,368,938,NULL,NULL,NULL,NULL,2,1),(15,2106728,4.00,7.00,3.00,7.00,8.00,6.50,4.00,4.00,2.00,420,450,NULL,'CENTRO','MAFRA','SC',10888,208,278,NULL,NULL,NULL,NULL,2,1),(15,2106736,5.00,8.00,7.00,8.00,7.00,6.75,6.00,6.00,5.00,211,316,238,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',3151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106744,7.00,8.00,6.00,8.00,8.00,7.75,6.00,5.00,7.00,103,102,NULL,'ANITA GARIBALDI','JOINVILLE','SC',2228,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2106760,2.00,4.00,0.00,6.00,7.00,4.50,2.00,3.00,1.00,5,303,NULL,'CENTRO','TUBARAO','SC',21119,869,1330,NULL,NULL,NULL,NULL,4,10),(15,2106787,3.00,4.00,1.00,1.00,4.00,4.75,2.00,3.00,3.00,9,444,NULL,'RIO GRANDE','PALHOCA','SC',22336,351,621,NULL,NULL,NULL,NULL,4,1),(15,2106795,6.00,8.00,8.00,6.00,9.00,6.00,7.00,9.00,5.00,316,301,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',1484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106833,4.00,7.00,5.00,6.00,6.00,5.75,6.00,7.00,6.00,203,215,201,'PRESIDENTE MÉDICI','CHAPECO','SC',5244,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2106841,2.00,4.00,1.00,6.00,7.00,3.25,3.00,2.00,0.00,217,428,NULL,'PONTE DE IMARUIM','PALHOCA','SC',21465,198,253,NULL,NULL,NULL,NULL,2,1),(15,2106850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,203,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2106876,3.00,7.00,4.00,3.00,8.00,5.75,5.00,4.00,3.00,9,319,NULL,'JARDIM ELIZABETE','ICARA','SC',13745,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2106884,3.00,8.00,5.00,6.00,5.00,5.25,4.00,8.00,4.00,316,332,NULL,'CAMPECHE','FLORIANOPOLIS','SC',9350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106892,5.00,7.00,7.00,6.00,8.00,6.00,8.00,7.00,5.00,103,9,NULL,'KOBRASOL','SAO JOSE','SC',3614,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2106906,4.00,7.00,5.00,3.00,6.00,6.50,5.00,5.00,4.00,224,223,NULL,'CENTRO','ITAPEMA','SC',9829,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2106914,2.00,2.00,4.00,3.00,5.00,4.50,2.00,8.00,3.00,103,319,NULL,'MONTE ALEGRE','CAMBORIU','SC',19093,2934,903,NULL,NULL,NULL,NULL,4,6),(15,2106949,7.00,9.00,3.00,9.00,8.00,7.50,5.00,8.00,4.00,207,303,201,'CENTRO','MARACAI','SP',2578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2106965,4.00,6.00,1.00,4.00,8.00,6.75,6.00,5.00,3.00,415,301,NULL,'ILHA DA FIGUEIRA','JARAGUA DO SUL','SC',11766,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2106981,3.00,5.00,2.00,6.00,3.00,4.00,4.00,5.00,4.00,203,501,214,'ASA SUL','BRASILIA','DF',17140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2106990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2107007,6.00,7.00,7.00,9.00,8.00,8.50,9.00,8.00,7.00,220,301,203,'CARVOEIRA','FLORIANOPOLIS','SC',471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2107015,3.00,3.00,2.00,3.00,3.00,6.25,1.00,3.00,2.00,104,103,NULL,'RIO DAS PEDRAS','VIDEIRA','SC',22136,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2107040,2.00,6.00,3.00,4.00,6.00,4.50,4.00,4.00,1.00,238,101,NULL,'PANTANAL','FLORIANOPOLIS','SC',19454,723,727,NULL,NULL,NULL,NULL,2,1),(15,2107058,1.00,3.00,5.00,2.00,5.00,NULL,2.00,2.00,1.00,317,339,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2107066,0.00,7.00,2.00,1.00,7.00,6.00,0.00,5.00,2.00,303,101,NULL,'ITACORUBI','FLORIANOPOLIS','SC',19277,832,720,NULL,NULL,NULL,NULL,4,1),(15,2107082,2.00,6.00,1.00,3.00,5.00,5.25,3.00,5.00,4.00,429,319,425,'FORQUILHINHAS','SAO JOSE','SC',19057,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2107090,5.00,5.00,4.00,7.00,7.00,5.00,5.00,4.00,4.00,216,215,NULL,'PARQUE PRESIDENTE I','FOZ DO IGUACU','PR',10681,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2107104,8.00,8.00,9.00,6.00,8.00,6.25,9.00,7.00,6.00,103,102,NULL,'CENTRO','FLORIANOPOLIS','SC',1009,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2107112,3.00,5.00,5.00,7.00,7.00,6.50,2.00,2.00,3.00,215,420,216,'CENTRO','LAGES','SC',14429,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2107120,4.00,9.00,2.00,6.00,8.00,6.25,5.00,4.00,2.00,101,429,NULL,'CENTRO','FLORIANOPOLIS','SC',9185,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2107139,3.00,4.00,0.00,4.00,4.00,NULL,1.00,3.00,2.00,108,451,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2107163,3.00,7.00,8.00,6.00,8.00,5.75,8.00,7.00,4.00,202,NULL,213,'VILA CRUZEIRO','AMAMBAI','MS',5103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2107171,2.00,6.00,4.00,3.00,5.00,5.75,5.00,4.00,4.00,103,101,NULL,'VILA NOVA','JOINVILLE','SC',15451,2676,646,NULL,NULL,NULL,NULL,4,8),(15,2107180,2.00,6.00,2.00,2.00,4.00,4.50,3.00,4.00,1.00,404,339,NULL,'REAL PARQUE','SAO JOSE','SC',21319,246,431,NULL,NULL,NULL,NULL,2,1),(15,2107201,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,103,319,NULL,'CENTRO','TRAMANDAI','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(15,2107210,8.00,9.00,7.00,8.00,9.00,7.25,8.00,8.00,6.00,103,108,NULL,'ALTO DA XV','CURITIBA','PR',397,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2107228,0.00,4.00,3.00,2.00,4.00,NULL,0.00,0.00,0.00,316,415,NULL,'JARDIM SÃO MIGUEL','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2107236,4.00,5.00,4.00,3.00,4.00,4.25,5.00,4.00,4.00,225,222,NULL,'AMIZADE','JARAGUA DO SUL','SC',15339,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2107244,4.00,8.00,5.00,7.00,6.00,6.25,9.00,8.00,4.00,213,203,220,'AREAL','PELOTAS','RS',3563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2107252,3.00,5.00,8.00,8.00,6.00,5.50,9.00,7.00,4.00,103,9,NULL,'PONTE DO IMARUIN','PALHOCA','SC',4667,1373,424,NULL,NULL,NULL,NULL,2,1),(15,2107260,4.00,5.00,2.00,5.00,7.00,5.00,3.00,5.00,1.00,103,NULL,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',16108,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2107279,1.00,1.00,2.00,3.00,4.00,NULL,0.00,3.00,3.00,308,101,NULL,'SAO SEBASTIAO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2107287,2.00,8.00,3.00,7.00,9.00,5.00,7.00,9.00,5.00,303,5,NULL,'POÇO FUNDO','SANTO AMARO DA IMPERATRIZ','SC',5180,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2107295,4.00,5.00,6.00,8.00,8.00,6.75,4.00,5.00,4.00,217,224,NULL,'BALNEARIO ESTREITO','FLORIANOPOLIS','SC',7933,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2107325,1.00,4.00,0.00,3.00,3.00,NULL,2.00,1.00,1.00,316,317,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2107333,3.00,4.00,2.00,2.00,7.00,6.50,3.00,4.00,1.00,103,216,NULL,'AFONSO PENA','SAO JOSE DOS PINHAIS','PR',19456,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2107341,8.00,9.00,4.00,9.00,9.00,6.25,8.00,6.00,7.00,326,327,NULL,'CENTRO','TUBARAO','SC',1368,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2107350,3.00,4.00,1.00,3.00,5.00,5.25,3.00,5.00,5.00,303,301,NULL,'ITOUPAVA SECA','BLUMENAU','SC',18377,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2107368,1.00,7.00,5.00,7.00,7.00,4.50,6.00,5.00,2.00,201,213,233,'CENTRO','FAXINAL DOS GUEDES','SC',10296,563,NULL,NULL,NULL,NULL,NULL,2,4),(15,2107384,8.00,8.00,9.00,6.00,9.00,6.25,8.00,8.00,7.00,214,316,215,'SANTA MÔNICA','FLORIANOPOLIS','SC',284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2107392,4.00,7.00,6.00,8.00,7.00,5.25,6.00,9.00,4.00,303,301,NULL,'CENTRO','CURITIBA','PR',4739,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2107406,6.00,7.00,9.00,9.00,8.00,7.00,9.00,9.00,7.00,303,301,NULL,'CENTRO','FLORIANOPOLIS','SC',266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2107414,4.00,8.00,3.00,5.00,4.00,6.00,5.00,6.00,2.00,5,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',11235,487,NULL,NULL,NULL,NULL,NULL,3,1),(15,2107422,4.00,8.00,4.00,6.00,7.00,5.25,4.00,8.00,4.00,327,421,NULL,'BELA VISTA III','SAO JOSE','SC',6967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2107430,2.00,4.00,1.00,2.00,5.00,3.25,4.00,3.00,3.00,201,NULL,NULL,'PEDRA BRANCA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2107449,3.00,7.00,0.00,3.00,3.00,NULL,2.00,3.00,1.00,329,327,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2107473,4.00,4.00,2.00,5.00,5.00,5.50,7.00,3.00,3.00,208,NULL,238,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',16015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2107481,3.00,7.00,4.00,3.00,7.00,6.00,4.00,3.00,4.00,201,NULL,212,'IRIRIU','JOINVILLE','SC',14245,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2107490,1.00,3.00,0.00,1.00,3.00,NULL,2.00,0.00,1.00,207,102,NULL,'CATARINA FONTANA','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2107503,4.00,7.00,3.00,3.00,6.00,6.75,5.00,5.00,7.00,103,207,NULL,'BELA VISTA','PANAMBI','RS',9761,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2107511,1.00,5.00,4.00,4.00,2.00,NULL,3.00,3.00,5.00,238,301,208,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2107520,5.00,8.00,3.00,9.00,9.00,8.25,6.00,8.00,4.00,415,450,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2107538,4.00,7.00,5.00,6.00,9.00,6.50,6.00,7.00,3.00,103,216,NULL,'CENTRO','LACERDOPOLIS','SC',5319,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2107546,8.00,8.00,5.00,9.00,8.00,7.75,5.00,8.00,5.00,108,217,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',1685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2107554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SORIRAMA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2107562,6.00,6.00,7.00,8.00,7.00,6.50,4.00,6.00,3.00,303,304,NULL,'PARQUE TAQUARAL','CAMPINAS','SP',5613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2107570,5.00,6.00,3.00,4.00,7.00,6.25,8.00,5.00,3.00,225,329,NULL,'CARIANOS','FLORIANOPOLIS','SC',10249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2107597,4.00,6.00,3.00,4.00,6.00,4.75,5.00,7.00,4.00,103,108,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2107600,5.00,8.00,7.00,8.00,8.00,5.50,7.00,6.00,6.00,201,223,NULL,'PRAIA DOS AMORES','BALNEARIO CAMBORIU','SC',1979,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2107619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2107627,6.00,8.00,4.00,6.00,7.00,5.00,6.00,6.00,3.00,450,326,NULL,'BOA VISTA','JOINVILLE','SC',6841,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2107643,4.00,8.00,7.00,9.00,7.00,7.50,4.00,7.00,4.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',3550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2107678,0.00,2.00,2.00,3.00,1.00,NULL,4.00,4.00,3.00,5,329,NULL,'CENTRO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2107686,3.00,7.00,1.00,6.00,8.00,6.50,5.00,6.00,1.00,102,211,NULL,'VILA NOVA','TROMBUDO CENTRAL','SC',11259,220,867,NULL,NULL,NULL,NULL,2,1),(15,2107694,5.00,5.00,2.00,5.00,4.00,4.25,2.00,3.00,2.00,501,201,NULL,'PRESIDENTE MEDICI','CHAPECO','SC',19929,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2107716,2.00,6.00,1.00,1.00,5.00,4.00,1.00,5.00,3.00,102,NULL,NULL,'PORTINHO','LAGUNA','SC',21015,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2107724,9.00,9.00,8.00,7.00,9.00,7.50,10.00,7.00,8.00,103,104,NULL,'PANTANAL','FLORIANOPOLIS','SC',112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2107759,4.00,7.00,4.00,6.00,8.00,7.00,3.00,7.00,3.00,333,234,NULL,'CENTRO','FLORIANOPOLIS','SC',9188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2107767,5.00,8.00,6.00,5.00,8.00,6.50,3.00,5.00,2.00,103,421,NULL,'CAMPINAS','SAO JOSE','SC',8290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2107775,1.00,7.00,2.00,5.00,5.00,4.75,2.00,2.00,4.00,208,324,212,'PICADAS DO NORTE','SAO JOSE','SC',19169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2107805,2.00,5.00,3.00,3.00,8.00,6.25,5.00,6.00,5.00,216,217,211,'SANTA TEREZA','JOACABA','SC',11733,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2107813,5.00,6.00,6.00,6.00,7.00,5.25,6.00,5.00,7.00,102,215,NULL,'JARDIM ALVORADA','SAO JOSE DOS CAMPOS','SP',5644,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2107821,4.00,4.00,2.00,2.00,4.00,4.75,4.00,5.00,3.00,502,211,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',19293,85,994,NULL,NULL,NULL,NULL,2,1),(15,2107830,5.00,7.00,4.00,5.00,8.00,4.50,5.00,7.00,2.00,327,324,NULL,'ARIRIU','PALHOCA','SC',9358,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2107848,3.00,7.00,5.00,7.00,7.00,5.50,6.00,6.00,6.00,217,216,NULL,'CABRAL','CURITIBA','PR',5958,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2107856,2.00,6.00,4.00,5.00,6.00,5.50,3.00,3.00,1.00,319,327,NULL,'TAPERA','FLORIANOPOLIS','SC',17300,371,408,NULL,NULL,NULL,NULL,2,1),(15,2107864,6.00,8.00,8.00,4.00,8.00,6.50,8.00,6.00,6.00,103,203,NULL,'GUARANI','BRUSQUE','SC',2623,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2107872,1.00,5.00,2.00,8.00,6.00,7.25,4.00,6.00,0.00,415,450,NULL,'JARDIM DAS TRADIÇÕES','PELOTAS','RS',16823,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2107880,2.00,4.00,1.00,1.00,6.00,5.00,2.00,5.00,2.00,202,213,203,'MORRO DA BINA','BIGUACU','SC',21326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2107899,4.00,8.00,6.00,6.00,7.00,4.00,8.00,6.00,4.00,316,301,NULL,'AMERICANO','LAJEADO','RS',5300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2107910,6.00,8.00,8.00,9.00,8.00,6.25,6.00,8.00,5.00,316,301,NULL,'BOM RETIRO','JOINVILLE','SC',1237,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2107929,3.00,4.00,5.00,3.00,4.00,4.00,3.00,2.00,4.00,102,108,NULL,'COHAB RESTINGA','ALEGRETE','RS',19079,427,908,NULL,NULL,NULL,NULL,2,1),(15,2107937,3.00,7.00,8.00,8.00,6.00,5.25,6.00,5.00,2.00,207,420,211,'VILA SÃO JOSÉ','ARARANGUA','SC',6277,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2107945,3.00,4.00,1.00,3.00,6.00,4.50,3.00,2.00,3.00,217,102,NULL,'INTERIOR','CONCORDIA','SC',21341,197,1120,NULL,NULL,NULL,NULL,2,4),(15,2107961,6.00,7.00,8.00,5.00,9.00,8.00,8.00,8.00,5.00,103,104,NULL,'TRINDADE','FLORIANOPOLIS','SC',1826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2107988,0.00,5.00,1.00,5.00,7.00,5.00,3.00,6.00,2.00,303,326,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',18320,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2107996,2.00,3.00,2.00,5.00,5.00,3.50,2.00,2.00,2.00,415,208,NULL,'SÃO FRANCISCO','SANTO AMARO DA IMPERATRIZ','SC',22355,564,1153,NULL,NULL,NULL,NULL,2,1),(15,2108003,3.00,7.00,3.00,4.00,6.00,5.50,4.00,5.00,1.00,238,444,208,'TRINDADE','FLORIANOPOLIS','SC',16965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108020,1.00,3.00,0.00,1.00,3.00,NULL,2.00,3.00,3.00,103,224,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108038,5.00,7.00,3.00,2.00,6.00,5.50,4.00,5.00,3.00,202,2,NULL,'FLORESTA','JOINVILLE','SC',13596,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2108046,4.00,9.00,6.00,8.00,6.00,5.75,5.00,6.00,3.00,104,331,NULL,'CENTRO','FLORIANOPOLIS','SC',5850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108054,3.00,8.00,4.00,5.00,9.00,5.00,5.00,7.00,3.00,331,309,NULL,'PONTE DO IMARUIM','PALHOCA','SC',8169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108062,5.00,8.00,7.00,6.00,8.00,4.75,6.00,7.00,6.00,333,332,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',3931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108089,7.00,6.00,7.00,8.00,8.00,6.50,7.00,6.00,6.00,103,NULL,NULL,'JOSÉ MENINO','SANTOS','SP',2419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108097,3.00,9.00,4.00,2.00,6.00,3.50,3.00,5.00,2.00,329,328,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',17016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108100,8.00,7.00,3.00,7.00,8.00,6.00,6.00,6.00,5.00,102,108,NULL,'UNIÃO','SULINA','PR',5102,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,211,216,'VILA HENRRIQUE','SALTO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2108127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,225,NULL,'PETRÓPOLIS','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2108135,4.00,7.00,2.00,8.00,7.00,6.50,4.00,7.00,2.00,103,101,NULL,'CENTRO','GUARUJA DO SUL','SC',8401,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2108143,2.00,5.00,5.00,0.00,7.00,4.25,4.00,3.00,3.00,202,225,213,'CENTRO','CAPIVARI DE BAIXO','SC',18863,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2108151,2.00,3.00,3.00,4.00,5.00,4.00,1.00,3.00,1.00,103,108,NULL,'SERRARIA','BIGUACU','SC',22124,3105,988,NULL,NULL,NULL,NULL,2,1),(15,2108160,4.00,8.00,3.00,8.00,8.00,6.50,5.00,6.00,5.00,103,203,NULL,'CENTRO','MAXIMILIANO DE ALMEIDA','RS',5515,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2108178,3.00,4.00,4.00,3.00,8.00,7.50,5.00,2.00,3.00,319,444,NULL,'COSTEIRA','FLORIANOPOLIS','SC',14297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108186,7.00,7.00,8.00,7.00,7.00,5.50,9.00,7.00,7.00,220,202,203,'OESTE','GOIANIA','GO',1100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108194,5.00,9.00,2.00,6.00,7.00,7.00,4.00,8.00,4.00,450,215,NULL,'SUISSA','ARACAJU','SE',7411,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2108208,3.00,6.00,3.00,5.00,6.00,6.00,4.00,5.00,3.00,420,451,NULL,'PONTE DO IMARUIM','PALHOCA','SC',13722,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108224,6.00,7.00,7.00,5.00,8.00,6.50,8.00,7.00,5.00,103,101,NULL,'HORTO SANTO ANTONIO','JUNDIAI','SP',2285,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108232,1.00,5.00,4.00,7.00,5.00,6.00,2.00,4.00,3.00,309,423,NULL,'KOBRASOL','FLORIANOPOLIS','SC',16998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108240,2.00,2.00,2.00,2.00,4.00,NULL,3.00,1.00,1.00,101,339,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108259,1.00,7.00,7.00,4.00,7.00,6.00,7.00,5.00,2.00,208,222,238,'CENTRO','CRICIUMA','SC',10519,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2108275,5.00,6.00,3.00,6.00,8.00,7.75,4.00,4.00,5.00,9,333,NULL,'BARREIROS','SAO JOSE','SC',8332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108291,6.00,7.00,7.00,7.00,9.00,6.00,7.00,7.00,6.00,103,207,NULL,'CENTRO','LAGES','SC',1934,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2108305,2.00,6.00,2.00,2.00,7.00,NULL,4.00,5.00,0.00,308,339,NULL,'JARDIM JANAINA','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108313,3.00,7.00,5.00,2.00,5.00,6.00,6.00,4.00,3.00,208,444,238,'PASSA VINTE','PALHOCA','SC',12860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108321,4.00,7.00,3.00,2.00,4.00,5.00,6.00,5.00,2.00,501,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',15259,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2108330,3.00,5.00,2.00,1.00,5.00,5.75,4.00,5.00,3.00,444,451,NULL,'MARTORANO','SAO JOAQUIM','SC',19243,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2108348,4.00,7.00,5.00,3.00,7.00,6.00,5.00,6.00,6.00,301,444,NULL,'CAMPECHE','FLORIANOPOLIS','SC',8890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108356,4.00,6.00,4.00,6.00,7.00,6.50,3.00,4.00,3.00,207,339,201,'BARRA DE IBIRAQUERA','IMBITUBA','SC',12201,594,242,669,NULL,NULL,NULL,2,1),(15,2108364,5.00,6.00,3.00,5.00,5.00,5.75,5.00,5.00,4.00,102,309,NULL,'CENTRO','CRICIUMA','SC',11198,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2108372,1.00,4.00,5.00,5.00,7.00,6.25,5.00,1.00,5.00,301,316,NULL,'QUINTINO','TIMBO','SC',14761,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2108380,3.00,6.00,2.00,1.00,4.00,3.50,3.00,4.00,3.00,316,333,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',20859,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108399,3.00,5.00,2.00,2.00,5.00,5.50,2.00,3.00,3.00,451,444,NULL,'CENTRO','FLORIANOPOLIS','SC',20828,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108402,5.00,8.00,8.00,8.00,8.00,5.00,8.00,7.00,8.00,203,220,214,'BOM RETIRO','JOINVILLE','SC',1496,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2108410,5.00,5.00,2.00,1.00,3.00,5.75,4.00,4.00,2.00,332,308,NULL,'ESTREITO','FLORIANOPOLIS','SC',20180,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108429,7.00,8.00,4.00,8.00,6.00,6.25,4.00,7.00,4.00,303,425,NULL,'COQUEIROS','FLORIANOPOLIS','SC',5353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108437,2.00,3.00,0.00,1.00,4.00,NULL,4.00,4.00,2.00,324,101,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108445,3.00,7.00,0.00,6.00,8.00,5.00,4.00,6.00,3.00,309,501,NULL,'TRINDADE','FLORIANOPOLIS','SC',12483,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108453,5.00,6.00,5.00,3.00,7.00,5.00,5.00,3.00,3.00,211,333,207,'TRINDADE','FLORIANOPOLIS','SC',11784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108461,5.00,5.00,5.00,9.00,6.00,5.00,5.00,6.00,3.00,103,104,NULL,'GÁVEA','RODEIO','SC',8251,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2108470,6.00,7.00,8.00,8.00,7.00,6.75,8.00,6.00,5.00,103,102,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',2848,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2108488,3.00,5.00,5.00,4.00,6.00,5.75,5.00,1.00,2.00,202,2,NULL,'UVARANAS','PONTA GROSSA','PR',15949,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2108496,4.00,8.00,6.00,6.00,9.00,6.75,6.00,8.00,5.00,214,316,212,'JARDIM PAULISTA','OURINHOS','SP',2791,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2108500,4.00,9.00,7.00,8.00,6.00,5.50,9.00,4.00,6.00,202,220,213,'VILA BRASIL','APUCARANA','PR',4224,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2108518,2.00,7.00,2.00,3.00,9.00,6.50,4.00,7.00,2.00,5,415,NULL,'PICADAS DO NORTE','SAO JOSE','SC',12115,522,695,NULL,NULL,NULL,NULL,4,1),(15,2108534,0.00,0.00,0.00,1.00,6.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'AMIZADE','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(15,2108550,6.00,5.00,8.00,1.00,8.00,6.75,6.00,7.00,8.00,103,104,NULL,'CENTRO','JOINVILLE','SC',3836,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2108569,7.00,8.00,6.00,3.00,8.00,6.00,9.00,8.00,7.00,103,104,NULL,'CENTRO','JOINVILLE','SC',2003,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2108577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,207,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2108585,4.00,7.00,5.00,4.00,7.00,5.75,6.00,4.00,4.00,103,102,NULL,'CENTRO','FLORIANOPOLIS','SC',10263,2176,835,NULL,NULL,NULL,NULL,2,1),(15,2108593,3.00,6.00,4.00,5.00,4.00,6.25,6.00,5.00,3.00,104,423,NULL,'PARQUE FLORIDO','GRAVATAI','RS',11671,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108607,1.00,3.00,1.00,1.00,4.00,NULL,3.00,1.00,2.00,225,217,NULL,'TURIMAR','BALNEARIO GAIVOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2108615,5.00,5.00,7.00,4.00,7.00,5.75,6.00,4.00,4.00,102,217,NULL,'CENTRO','NOVA TRENTO','SC',8249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108623,3.00,6.00,2.00,6.00,7.00,6.75,8.00,5.00,5.00,103,101,NULL,'CARLOS PRATES','BELO HORIZONTE','MG',7025,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2108631,4.00,8.00,3.00,6.00,9.00,6.50,7.00,7.00,3.00,428,425,426,'CENTRO','FLORIANOPOLIS','SC',5751,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108640,5.00,7.00,8.00,9.00,7.00,6.75,4.00,6.00,5.00,103,108,NULL,'CENTRO','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2108666,8.00,9.00,9.00,8.00,8.00,5.75,9.00,8.00,8.00,103,333,NULL,'COQUEIROS','FLORIANOPOLIS','SC',211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108674,3.00,6.00,3.00,5.00,7.00,6.00,5.00,6.00,3.00,103,NULL,NULL,'ITACORUBI','FLORIANOPOLIS','SC',11956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108690,2.00,5.00,5.00,5.00,7.00,4.75,4.00,3.00,5.00,215,317,216,'PASSA VINTE','PALHOCA','SC',12595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108704,3.00,6.00,3.00,4.00,7.00,5.50,6.00,4.00,6.00,201,501,212,'BARREIROS','SAO JOSE','SC',12032,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108712,8.00,9.00,7.00,7.00,7.00,5.50,6.00,6.00,5.00,103,5,NULL,'CAMPO DA AGUA VERDE','CANOINHAS','SC',2405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108720,3.00,8.00,6.00,6.00,6.00,5.75,6.00,4.00,6.00,216,427,233,'FLORESTA','JOINVILLE','SC',6829,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2108755,4.00,4.00,3.00,2.00,8.00,5.75,4.00,4.00,2.00,428,326,426,'RIO TAVATES','FLORIANOPOLIS','SC',16139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108763,4.00,7.00,3.00,6.00,8.00,8.00,2.00,7.00,1.00,238,201,208,'BALNEÁRIO','FLORIANOPOLIS','SC',10429,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108798,4.00,8.00,5.00,0.00,5.00,3.00,4.00,4.00,2.00,333,217,NULL,'N S DAS GRAÇAS','ITAJAI','SC',18176,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2108801,4.00,7.00,3.00,6.00,6.00,3.50,4.00,6.00,3.00,303,5,NULL,'CAPELA','MOGI GUACU','SP',11658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,102,NULL,'MEDIANEIRA','PANAMBI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2108828,0.00,1.00,1.00,5.00,3.00,NULL,2.00,2.00,2.00,415,208,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108836,4.00,7.00,3.00,6.00,8.00,3.75,4.00,6.00,3.00,216,318,208,'COLONINHA','ARARANGUA','SC',11062,361,392,382,NULL,NULL,NULL,2,5),(15,2108844,8.00,8.00,6.00,3.00,8.00,7.00,8.00,7.00,7.00,103,102,NULL,'RESSACADA','ITAJAI','SC',1670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108852,2.00,5.00,5.00,7.00,5.00,5.50,3.00,4.00,3.00,207,9,211,'CENTRO','PEDRAS GRANDES','SC',15199,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2108860,3.00,6.00,5.00,5.00,7.00,7.75,3.00,4.00,3.00,207,332,201,'VALE DO SOL','CASCAVEL','PR',12143,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2108879,5.00,5.00,2.00,8.00,5.00,4.75,6.00,4.00,2.00,301,425,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',11996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108887,5.00,9.00,5.00,8.00,9.00,6.25,8.00,4.00,5.00,319,238,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',3447,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2108895,5.00,8.00,5.00,8.00,7.00,7.25,5.00,8.00,3.00,303,NULL,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',4949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108909,5.00,7.00,7.00,9.00,7.00,6.75,6.00,8.00,4.00,319,425,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2108917,6.00,7.00,6.00,7.00,8.00,6.00,6.00,7.00,4.00,5,327,NULL,'CENTRO','FLORIANOPOLIS','SC',3818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'PEREQUE','PORTO BELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2108933,3.00,3.00,0.00,2.00,5.00,NULL,2.00,5.00,1.00,5,316,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2108941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,333,NULL,'VARZEA','RECIFE','PE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2108968,2.00,6.00,3.00,6.00,6.00,6.00,3.00,5.00,3.00,425,310,421,'CENTRO','FLORIANOPOLIS','SC',14517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2108992,4.00,7.00,4.00,5.00,5.00,5.75,4.00,7.00,2.00,238,333,208,'CAMPINAS','SAO JOSE','SC',10485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109018,0.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,238,224,215,'JARDIM PARAISO','ALMIRANTE TAMANDARE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109034,6.00,7.00,6.00,3.00,5.00,5.75,4.00,7.00,4.00,202,223,201,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2109042,6.00,6.00,7.00,8.00,8.00,6.00,5.00,6.00,4.00,104,208,NULL,'ATIRADORES','JOINVILLE','SC',4295,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2109050,7.00,5.00,7.00,5.00,8.00,5.00,7.00,5.00,4.00,203,233,211,'CENTRO','FLORIANOPOLIS','SC',5745,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2109069,5.00,6.00,6.00,5.00,8.00,5.00,6.00,7.00,3.00,302,223,NULL,'SERTAO','SANTO AMARO DA IMPERATRIZ','SC',7420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109077,5.00,6.00,9.00,9.00,8.00,6.75,8.00,7.00,6.00,216,223,215,'RECIFE','TUBARAO','SC',1526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109085,2.00,7.00,2.00,5.00,7.00,7.00,2.00,4.00,3.00,308,427,NULL,'AREIAS DO CAMPECHE','FLORIANOPOLIS','SC',15608,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109093,6.00,8.00,7.00,9.00,9.00,6.00,8.00,8.00,5.00,303,5,NULL,'JURERÊ','FLORIANOPOLIS','SC',1471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109107,5.00,8.00,4.00,6.00,7.00,7.75,8.00,7.00,2.00,316,420,NULL,'STO ANTONIO D LISBOA','FLORIANOPOLIS','SC',4940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109115,3.00,7.00,7.00,7.00,5.00,4.75,7.00,6.00,1.00,5,318,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',8463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109123,3.00,5.00,1.00,5.00,7.00,5.50,1.00,4.00,1.00,304,331,NULL,'PINHEIRA','PALHOCA','SC',20696,212,247,NULL,NULL,NULL,NULL,2,1),(15,2109131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,308,NULL,'GRAMADO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2109140,1.00,5.00,5.00,2.00,5.00,5.75,5.00,4.00,2.00,202,NULL,NULL,'SÃO BENTO BAIXO','NOVA VENEZA','SC',17411,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2109158,8.00,6.00,7.00,8.00,8.00,7.50,8.00,8.00,9.00,103,104,NULL,'JD STA HELENA','MOGI MIRIM','SP',818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109166,3.00,3.00,4.00,4.00,4.00,4.75,4.00,3.00,2.00,217,423,NULL,'CARIANOS','FLORIANOPOLIS','SC',17914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109174,7.00,8.00,9.00,8.00,7.00,7.00,7.00,8.00,5.00,207,420,201,'CENTRO','CRICIUMA','SC',1003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109182,6.00,8.00,6.00,6.00,8.00,5.00,6.00,6.00,4.00,207,420,201,'FAZENDA STO ANTONIO','SAO JOSE','SC',5155,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109190,8.00,8.00,9.00,8.00,9.00,6.50,9.00,8.00,8.00,103,104,NULL,'BUCAREIN','JOINVILLE','SC',225,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2109204,2.00,8.00,3.00,7.00,9.00,6.50,4.00,4.00,3.00,238,317,233,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',9478,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109212,4.00,8.00,0.00,4.00,8.00,NULL,2.00,8.00,5.00,444,318,NULL,'MONÇÃO','TAUBATE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109220,2.00,6.00,3.00,1.00,5.00,6.25,5.00,5.00,1.00,103,203,NULL,'PESCARIA BRAVA','LAGUNA','SC',17407,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2109247,6.00,6.00,8.00,9.00,8.00,5.00,7.00,6.00,4.00,216,NULL,NULL,'FAZENDA','ITAJAI','SC',2794,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2109255,2.00,7.00,5.00,3.00,9.00,5.00,6.00,5.00,3.00,216,233,NULL,'JARDIM KELLY','LIMEIRA','SP',10564,344,563,NULL,NULL,NULL,NULL,4,1),(15,2109263,5.00,8.00,6.00,9.00,5.00,5.75,7.00,7.00,3.00,213,220,202,'JD ANA EMÍLIA','TAUBATE','SP',4203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109271,6.00,7.00,8.00,8.00,8.00,5.25,8.00,7.00,7.00,203,225,201,'AGENOR DE CARVALHO','PORTO VELHO','RO',1583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109280,1.00,3.00,2.00,2.00,3.00,NULL,2.00,5.00,1.00,101,308,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109298,4.00,6.00,5.00,6.00,6.00,5.75,5.00,6.00,3.00,207,420,NULL,'CENTRO','GIRUA','RS',8986,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2109301,4.00,8.00,6.00,8.00,7.00,6.00,3.00,4.00,4.00,102,215,NULL,'SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC',7553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109310,2.00,6.00,3.00,8.00,8.00,4.00,4.00,7.00,0.00,5,339,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',12081,520,237,NULL,NULL,NULL,NULL,2,1),(15,2109328,6.00,8.00,6.00,6.00,9.00,6.00,5.00,5.00,4.00,103,101,NULL,'JAÇANÃ','SAO PAULO','SP',5501,1541,450,NULL,NULL,NULL,NULL,4,1),(15,2109336,6.00,8.00,5.00,8.00,8.00,5.00,7.00,9.00,6.00,108,333,NULL,'JARDIM MACEDO','RIBEIRAO PRETO','SP',2874,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,423,427,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2109352,5.00,7.00,6.00,6.00,9.00,4.50,7.00,7.00,7.00,202,220,213,'PARQUE DOS PRÍNCIPES','JACAREI','SP',3393,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2109360,3.00,7.00,5.00,8.00,5.00,5.00,6.00,7.00,3.00,326,428,NULL,'PANTANAL','FLORIANOPOLIS','SC',7122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109379,3.00,2.00,2.00,1.00,2.00,NULL,2.00,4.00,1.00,201,NULL,NULL,'BELA VISTA','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2109387,6.00,7.00,6.00,7.00,8.00,5.25,7.00,5.00,2.00,215,324,211,'TRINDADE','FLORIANOPOLIS','SC',6933,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109395,8.00,9.00,6.00,8.00,9.00,7.00,8.00,6.00,6.00,216,214,211,'CENTRO','BRUSQUE','SC',1279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109425,4.00,7.00,1.00,6.00,5.00,5.50,1.00,5.00,3.00,415,320,NULL,'JD ALVARO BRITO','OLIMPIA','SP',16734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109433,1.00,5.00,1.00,1.00,4.00,6.00,4.00,5.00,3.00,208,328,NULL,'BARREIROS','SAO JOSE','SC',20354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109441,4.00,7.00,5.00,7.00,8.00,7.00,6.00,5.00,4.00,317,339,NULL,'BELA VISTA I','SAO JOSE','SC',6114,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109450,3.00,3.00,5.00,5.00,8.00,6.25,5.00,7.00,2.00,201,2,212,'BREJARÚ','PALHOCA','SC',11238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109468,5.00,7.00,5.00,4.00,8.00,7.00,8.00,7.00,7.00,415,339,NULL,'JARDIM PAULISTA','TAUBATE','SP',3692,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2109476,5.00,7.00,8.00,7.00,8.00,6.00,8.00,7.00,6.00,404,451,NULL,'BOM VIVER','BIGUACU','SC',2233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109484,3.00,6.00,1.00,2.00,3.00,5.00,1.00,3.00,4.00,502,NULL,NULL,'CORAL','LAGES','SC',22066,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2109492,3.00,6.00,4.00,3.00,7.00,3.25,5.00,6.00,2.00,316,318,NULL,'BALNEARIO ESTREITO','FLORIANOPOLIS','SC',15345,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109506,3.00,8.00,6.00,6.00,5.00,7.00,5.00,4.00,4.00,5,428,NULL,'TRINDADE','FLORIANOPOLIS','SC',7448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109514,3.00,7.00,5.00,4.00,6.00,5.50,5.00,7.00,4.00,420,426,NULL,'AREIAS','SAO JOSE','SC',10555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109530,0.00,6.00,4.00,6.00,6.00,5.75,4.00,4.00,0.00,318,304,NULL,'PRAÇA','TIJUCAS','SC',17069,212,409,NULL,NULL,NULL,NULL,4,1),(15,2109549,4.00,4.00,5.00,3.00,7.00,6.50,7.00,5.00,2.00,9,215,NULL,'CENTRO','BELA VISTA DO PARAISO','PR',10383,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2109565,7.00,6.00,5.00,7.00,8.00,6.50,8.00,8.00,6.00,318,238,NULL,'CENTRO','CANOINHAS','SC',2218,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109573,3.00,5.00,3.00,4.00,6.00,4.75,3.00,5.00,4.00,303,425,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',15463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,216,NULL,'ASA SUL','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2109611,1.00,4.00,2.00,0.00,6.00,5.75,3.00,4.00,3.00,317,324,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',20808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109620,9.00,8.00,9.00,9.00,9.00,6.75,9.00,9.00,8.00,103,203,NULL,'CENTRO','BRUSQUE','SC',43,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109638,1.00,6.00,3.00,0.00,3.00,NULL,5.00,5.00,4.00,207,420,233,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2109654,7.00,9.00,9.00,6.00,7.00,6.25,7.00,5.00,5.00,5,425,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',2107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109662,8.00,8.00,8.00,7.00,9.00,6.50,8.00,6.00,7.00,102,215,NULL,'COQUEIROS','FLORIANOPOLIS','SC',784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109670,7.00,7.00,6.00,5.00,7.00,5.75,6.00,8.00,5.00,501,319,NULL,'CENTRO','FRANCISCO BELTRAO','PR',3963,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2109689,8.00,9.00,9.00,8.00,9.00,6.50,9.00,8.00,6.00,103,104,NULL,'CENTRO','CRICIUMA','SC',337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109697,8.00,9.00,9.00,9.00,9.00,6.00,9.00,8.00,6.00,103,101,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','MONTE CARLO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2109743,2.00,6.00,0.00,5.00,8.00,NULL,3.00,3.00,2.00,207,420,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109760,5.00,7.00,6.00,5.00,8.00,5.25,7.00,4.00,5.00,220,222,213,'AGUAS CLARAS','TAGUATINGA','DF',6674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109778,4.00,6.00,3.00,7.00,7.00,7.00,6.00,6.00,3.00,103,451,NULL,'CAMPECHE','FLORIANOPOLIS','SC',8043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109786,5.00,7.00,9.00,7.00,8.00,7.00,9.00,9.00,7.00,202,2,213,'ASILO','BLUMENAU','SC',835,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2109794,7.00,8.00,8.00,8.00,8.00,7.75,8.00,7.00,5.00,103,108,NULL,'BARREIROS','SAO JOSE','SC',1096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109808,3.00,6.00,3.00,7.00,7.00,7.25,3.00,5.00,2.00,104,108,NULL,'CENTRO','LONTRAS','SC',11349,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2109824,2.00,5.00,3.00,5.00,5.00,4.00,6.00,4.00,3.00,211,108,215,'PQ INDUSTRIAL','SAO JOSE DOS CAMPOS','SP',16881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,423,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2109840,8.00,7.00,7.00,9.00,8.00,4.75,9.00,8.00,8.00,203,207,216,'COLONIAL','SAO BENTO DO SUL','SC',590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109859,5.00,6.00,8.00,3.00,5.00,4.00,8.00,7.00,4.00,203,202,220,'VILA DO SALTO','LUIZ ALVES','SC',7656,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2109867,4.00,9.00,9.00,8.00,6.00,5.25,9.00,7.00,7.00,203,220,214,'CAMPO BELO','SAO PAULO','SP',1655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109875,3.00,7.00,4.00,2.00,7.00,5.00,3.00,7.00,3.00,101,NULL,NULL,'JARDIM DO LAGO','PIRASSUNUNGA','SP',13689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,217,211,'PORTAL DE ITU','ITU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2109891,4.00,6.00,5.00,4.00,6.00,4.75,4.00,4.00,4.00,238,222,208,'VILA ALEMANHA','LUZERNA','SC',12325,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2109905,5.00,6.00,4.00,4.00,7.00,3.00,5.00,6.00,4.00,203,223,214,'FAZENDA STO ANTÔNIO','SAO JOSE','SC',10734,789,NULL,368,NULL,NULL,NULL,2,1),(15,2109913,3.00,4.00,2.00,6.00,6.00,5.75,5.00,4.00,3.00,302,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',15426,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109930,9.00,9.00,9.00,9.00,9.00,7.00,7.00,7.00,7.00,103,502,NULL,'CENTRO','FLORIANOPOLIS','SC',297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109948,3.00,6.00,4.00,2.00,8.00,6.00,4.00,4.00,3.00,102,217,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',14059,290,430,NULL,NULL,NULL,NULL,2,1),(15,2109956,7.00,8.00,7.00,7.00,8.00,8.25,7.00,7.00,6.00,207,420,NULL,'APARECIDA','SANTOS','SP',1857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109964,3.00,3.00,4.00,5.00,8.00,5.50,3.00,5.00,1.00,9,444,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',17873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109972,2.00,7.00,5.00,8.00,8.00,6.50,4.00,5.00,3.00,5,318,NULL,'DEHON','TUBARAO','SC',9016,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2109980,7.00,8.00,9.00,9.00,9.00,6.50,9.00,6.00,9.00,103,102,NULL,'JARDIM EUROPA','BIGUACU','SC',147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2109999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,333,NULL,'ACLIMAÇÃO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2110008,8.00,9.00,9.00,6.00,9.00,7.50,9.00,7.00,8.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110016,6.00,8.00,6.00,8.00,6.00,4.75,9.00,7.00,5.00,103,102,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',3112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110024,0.00,6.00,4.00,2.00,6.00,4.00,3.00,5.00,3.00,103,104,NULL,'CENTRO','REGISTRO','SP',19013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110032,5.00,8.00,4.00,6.00,9.00,6.25,3.00,8.00,5.00,450,415,NULL,'CENTRO','TAUBATE','SP',6207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110040,1.00,5.00,3.00,5.00,4.00,3.75,3.00,5.00,2.00,203,103,NULL,'PRAIA DE FORA','PALHOCA','SC',19351,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2110059,5.00,9.00,4.00,8.00,9.00,8.50,8.00,6.00,7.00,103,303,NULL,'CENTRO','FLORIANOPOLIS','SC',1861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110075,3.00,6.00,1.00,3.00,8.00,4.50,5.00,4.00,3.00,301,NULL,NULL,'INDEPENDÊNCIA','PORTO ALEGRE','RS',14468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110083,3.00,7.00,3.00,5.00,6.00,6.75,6.00,6.00,2.00,420,429,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',10974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110091,5.00,8.00,6.00,6.00,8.00,5.00,6.00,4.00,4.00,103,NULL,NULL,'ASA NORTE','BRASILIA','DF',6258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110105,8.00,7.00,8.00,9.00,8.00,7.25,9.00,8.00,6.00,233,217,216,'SANTA MÔNICA','FLORIANOPOLIS','SC',372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,201,203,'CENTRO','TAUBATE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2110121,2.00,5.00,4.00,3.00,5.00,4.50,3.00,6.00,4.00,5,303,NULL,'VILA NOVA','IMBITUBA','SC',17101,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2110130,3.00,6.00,5.00,6.00,5.00,5.25,2.00,3.00,1.00,339,429,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',18194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110148,7.00,7.00,6.00,4.00,7.00,5.75,8.00,5.00,3.00,103,329,NULL,'JARDIM LAS PALMAS','GUARUJA','SP',7056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110156,6.00,6.00,2.00,9.00,9.00,8.00,3.00,7.00,4.00,415,425,NULL,'VERGUEIRO','PASSO FUNDO','RS',3714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110172,5.00,7.00,5.00,6.00,9.00,6.25,7.00,5.00,5.00,207,224,201,'CENTRO','SAO MIGUEL DOESTE','SC',4781,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2110180,5.00,5.00,0.00,5.00,9.00,7.25,6.00,5.00,3.00,318,316,NULL,'SÃO MIGUEL','BIGUACU','SC',11505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110199,8.00,9.00,5.00,5.00,8.00,7.50,8.00,8.00,5.00,207,451,201,'CENTRO','PALHOCA','SC',2630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2110202,7.00,8.00,4.00,3.00,7.00,8.25,6.00,7.00,3.00,103,NULL,NULL,'JARDIM MARIA LUIZA','CASCAVEL','PR',5899,1615,NULL,NULL,NULL,NULL,NULL,4,6),(15,2110210,5.00,9.00,8.00,9.00,9.00,5.75,9.00,7.00,7.00,201,222,212,'SACO DOS LIMOES','FLORIANOPOLIS','SC',678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110229,1.00,6.00,5.00,6.00,7.00,7.00,4.00,3.00,3.00,420,207,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',12707,244,1179,NULL,NULL,NULL,NULL,2,3),(15,2110237,3.00,7.00,3.00,3.00,4.00,5.00,2.00,5.00,4.00,332,NULL,NULL,'ARIRIÚ','PALHOCA','SC',16580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110245,5.00,9.00,8.00,7.00,9.00,7.25,7.00,8.00,4.00,220,207,203,'BOA VISTA','POUSO REDONDO','SC',1797,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2110253,3.00,3.00,6.00,2.00,8.00,5.25,6.00,4.00,1.00,238,339,208,'BARREIROS','SAO JOSE','SC',15120,559,282,578,NULL,NULL,NULL,4,1),(15,2110261,3.00,6.00,6.00,7.00,6.00,5.00,6.00,3.00,3.00,103,319,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',9832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110270,2.00,7.00,4.00,5.00,7.00,6.25,3.00,5.00,2.00,217,324,NULL,'BALNEARIO ESTREITO','FLORIANOPOLIS','SC',13618,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2110288,2.00,6.00,3.00,4.00,5.00,5.50,4.00,4.00,2.00,326,309,NULL,'TRINDADE','FLORIANOPOLIS','SC',16683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110296,4.00,7.00,8.00,4.00,7.00,5.25,8.00,5.00,5.00,203,233,214,'CANASVIEIRAS','FLORIANOPOLIS','SC',6132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2110300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,309,NULL,'PARQUE CAFÉ','MONTE MOR','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2110318,6.00,9.00,7.00,7.00,8.00,5.50,8.00,9.00,7.00,501,NULL,NULL,'BIGORRILHO','CURITIBA','PR',1043,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2110326,5.00,5.00,4.00,6.00,7.00,5.50,6.00,6.00,6.00,103,102,NULL,'CENTRO','BAURU','SP',7020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110334,4.00,8.00,6.00,4.00,7.00,5.75,9.00,3.00,6.00,202,222,216,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',6584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110342,6.00,8.00,7.00,3.00,8.00,6.50,8.00,7.00,7.00,203,202,214,'JARDIM COIMASA','DOURADOS','MS',2278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110350,4.00,8.00,8.00,7.00,6.00,4.50,8.00,5.00,8.00,208,201,203,'FERTIZA','ARAXA','MG',3471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110369,1.00,6.00,1.00,6.00,7.00,3.50,3.00,4.00,3.00,101,320,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',18368,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2110377,5.00,7.00,7.00,7.00,7.00,4.75,7.00,7.00,5.00,211,333,201,'COQUEIROS','FLORIANOPOLIS','SC',3650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110385,2.00,4.00,5.00,6.00,7.00,5.50,6.00,2.00,5.00,102,309,NULL,'AUXILIADORA','PORTO ALEGRE','RS',13014,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2110393,6.00,7.00,8.00,7.00,7.00,5.50,9.00,7.00,6.00,201,211,212,'TRINDADE','FLORIANOPOLIS','SC',2031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2110407,5.00,5.00,5.00,7.00,5.00,6.00,8.00,6.00,6.00,216,103,211,'CENTRO','BRUSQUE','SC',5367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110423,2.00,7.00,2.00,7.00,6.00,6.00,7.00,4.00,5.00,217,216,NULL,'JOÁIA','TIJUCAS','SC',9976,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2110431,5.00,9.00,7.00,9.00,8.00,7.00,8.00,7.00,7.00,103,303,NULL,'CENTRO','ICARA','SC',1128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110458,6.00,7.00,9.00,8.00,8.00,6.50,9.00,7.00,8.00,203,220,214,'CENTRO','CURITIBANOS','SC',585,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2110466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,213,'CENTRO','ITAIOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2110474,7.00,8.00,9.00,9.00,9.00,7.00,9.00,7.00,8.00,103,310,NULL,'TRINDADE','FLORIANOPOLIS','SC',164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110482,4.00,5.00,0.00,4.00,6.00,NULL,1.00,2.00,1.00,108,502,NULL,'PRAIA DA CAL','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2110490,4.00,8.00,6.00,7.00,7.00,6.75,5.00,6.00,3.00,103,101,NULL,'FUNDOS','BIGUACU','SC',6395,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2110504,3.00,4.00,1.00,6.00,8.00,6.75,4.00,6.00,1.00,415,428,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',15241,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2110520,7.00,7.00,7.00,7.00,8.00,7.00,8.00,6.00,6.00,103,303,NULL,'JARDIM PAULISTA','SAO JOSE DO RIO PRETO','SP',1750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110539,3.00,5.00,3.00,5.00,6.00,4.25,3.00,4.00,3.00,217,502,NULL,'CAMPECHE','FLORIANOPOLIS','SC',17180,150,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110547,3.00,6.00,6.00,7.00,6.00,7.00,3.00,4.00,2.00,103,108,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'MOEMA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2110563,2.00,3.00,1.00,6.00,5.00,3.50,2.00,3.00,3.00,203,220,202,'JARDIM ESPERANÇA','CANOINHAS','SC',20977,1174,782,687,NULL,NULL,NULL,2,8),(15,2110571,3.00,6.00,2.00,2.00,5.00,5.25,3.00,4.00,2.00,333,103,NULL,'CENTRO','CASCAVEL','PR',19412,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2110580,7.00,8.00,8.00,8.00,8.00,6.25,9.00,7.00,8.00,220,208,NULL,'DUQUE DE CAXIAS','CUIABA','MT',488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110598,7.00,9.00,7.00,2.00,6.00,4.50,8.00,6.00,4.00,103,215,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',5730,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2110601,3.00,8.00,8.00,8.00,8.00,7.25,8.00,7.00,7.00,5,424,NULL,'CENTRO','FLORIANOPOLIS','SC',1390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110610,8.00,8.00,9.00,7.00,8.00,7.25,9.00,8.00,9.00,103,NULL,NULL,'JD SANTA FRANCISCA','GUARULHOS','SP',130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110628,0.00,3.00,3.00,6.00,6.00,6.00,3.00,6.00,2.00,415,102,NULL,'BARREIROS','SAO JOSE','SC',17852,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2110636,7.00,6.00,7.00,9.00,9.00,5.75,7.00,7.00,8.00,415,501,NULL,'CENTRO','PALMAS','PR',1315,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2110644,3.00,8.00,1.00,6.00,6.00,5.00,5.00,6.00,1.00,301,326,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',13693,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2110660,0.00,4.00,2.00,3.00,4.00,NULL,3.00,3.00,2.00,428,308,426,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2110679,4.00,7.00,8.00,7.00,8.00,5.50,8.00,7.00,5.00,203,319,233,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',3200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110687,2.00,8.00,1.00,6.00,5.00,5.25,5.00,5.00,2.00,331,NULL,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',13995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2110695,5.00,8.00,4.00,7.00,8.00,5.75,5.00,5.00,3.00,304,NULL,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',6663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110709,3.00,6.00,3.00,7.00,7.00,3.00,3.00,3.00,5.00,233,333,213,'VILA MOEMA','TUBARAO','SC',14329,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2110717,5.00,6.00,5.00,3.00,4.00,4.50,7.00,3.00,2.00,203,202,NULL,'CENTRO','GUARAMIRIM','SC',14134,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2110725,2.00,7.00,4.00,6.00,8.00,3.75,4.00,4.00,4.00,216,303,233,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110733,5.00,5.00,5.00,5.00,6.00,5.00,6.00,1.00,3.00,238,333,215,'OFICINAS','TUBARAO','SC',12844,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2110741,4.00,5.00,8.00,8.00,8.00,3.50,6.00,7.00,4.00,326,451,NULL,'PINHEIRINHO','CRICIUMA','SC',5839,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2110750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'SAO CRISTOVAO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2110768,4.00,8.00,6.00,7.00,9.00,5.25,7.00,6.00,5.00,203,444,214,'LINHA BOA ESPERANÇA','FREDERICO WESTPHALEN','RS',3331,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2110776,3.00,5.00,5.00,9.00,7.00,6.75,3.00,5.00,3.00,425,424,428,'CENTRO','FLORIANOPOLIS','SC',10628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110784,4.00,4.00,5.00,7.00,7.00,5.50,4.00,3.00,6.00,223,224,NULL,'AREIAS','SAO JOSE','SC',9756,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2110806,5.00,8.00,4.00,4.00,8.00,5.25,4.00,6.00,5.00,301,304,NULL,'CENTRO','ARARANGUA','SC',7418,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110814,6.00,7.00,4.00,9.00,8.00,6.75,5.00,6.00,5.00,303,328,NULL,'CENTRO','TORRES','RS',4337,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2110822,1.00,3.00,1.00,3.00,5.00,5.25,3.00,4.00,4.00,415,9,NULL,'NOSSA SRA DO ROSÁRIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110830,3.00,6.00,2.00,6.00,6.00,5.50,3.00,4.00,3.00,103,104,NULL,'ESPLANADA','CHAPECO','SC',16089,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2110849,3.00,1.00,3.00,3.00,6.00,6.00,2.00,2.00,3.00,317,316,NULL,'JOAIA','TIJUCAS','SC',21044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110857,2.00,8.00,5.00,7.00,6.00,4.75,4.00,2.00,4.00,215,9,233,'ITOUPAVA NORTE','BLUMENAU','SC',12112,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2110865,3.00,6.00,4.00,5.00,6.00,6.75,3.00,3.00,2.00,211,339,215,'CENTRO','DESCANSO','SC',15623,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2110873,2.00,6.00,5.00,8.00,6.00,5.25,6.00,5.00,4.00,103,216,NULL,'JARDIM CAMBURI','VITORIA','ES',8966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110881,3.00,7.00,1.00,9.00,5.00,4.50,5.00,7.00,2.00,424,427,NULL,'CAMPECHE','FLORIANOPOLIS','SC',12539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110890,7.00,8.00,6.00,7.00,8.00,7.00,6.00,7.00,5.00,103,101,NULL,'TERCEIRA LINHA','ICARA','SC',2700,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2110903,2.00,6.00,1.00,1.00,4.00,5.00,0.00,3.00,3.00,444,301,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',22324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110911,0.00,3.00,2.00,1.00,5.00,NULL,3.00,3.00,4.00,238,316,208,'PQ SÂO VICENTE','SAO VICENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110920,6.00,8.00,6.00,8.00,7.00,8.00,6.00,6.00,5.00,103,415,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2110938,4.00,9.00,4.00,8.00,7.00,5.50,7.00,4.00,4.00,317,224,NULL,'TRINDADE','FLORIANOPOLIS','SC',7053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110946,7.00,8.00,9.00,8.00,9.00,7.00,9.00,6.00,6.00,303,425,NULL,'CENTRO','CRICIUMA','SC',551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110954,5.00,8.00,6.00,3.00,7.00,7.00,2.00,6.00,3.00,415,428,NULL,'CENTRO','FLORIANOPOLIS','SC',8743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110970,4.00,6.00,3.00,5.00,7.00,4.00,4.00,4.00,6.00,103,201,NULL,'CENTRO','ABELARDO LUZ','SC',11075,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2110989,5.00,7.00,7.00,7.00,8.00,6.00,8.00,7.00,4.00,203,202,220,'BARRA DO ARIRIÚ','PALHOCA','SC',2626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2110997,5.00,5.00,6.00,8.00,8.00,6.25,5.00,4.00,4.00,103,319,NULL,'MEIA PRAIA','ITAPEMA','SC',6882,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2111004,7.00,8.00,6.00,8.00,8.00,5.50,5.00,6.00,4.00,103,303,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',4537,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2111020,1.00,5.00,1.00,5.00,6.00,5.00,4.00,4.00,4.00,303,451,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111039,4.00,6.00,3.00,3.00,8.00,5.50,5.00,4.00,2.00,302,301,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',13359,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111047,2.00,6.00,6.00,5.00,4.00,6.00,5.00,6.00,4.00,238,208,NULL,'COMERCIÁRIO','CRICIUMA','SC',11346,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2111055,3.00,6.00,5.00,8.00,6.00,4.50,6.00,7.00,2.00,444,420,NULL,'CENTRO','FLORIANOPOLIS','SC',9853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111063,8.00,9.00,9.00,7.00,8.00,8.00,9.00,9.00,9.00,103,301,NULL,'POPULAR','CUIABA','MT',105,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111071,3.00,8.00,4.00,6.00,4.00,5.00,4.00,7.00,3.00,329,328,NULL,'ITACORUBI','FLORIANOPOLIS','SC',13100,36,93,NULL,NULL,NULL,NULL,2,1),(15,2111080,3.00,5.00,1.00,3.00,2.00,NULL,3.00,2.00,2.00,104,207,NULL,'COLATTO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2111098,7.00,7.00,6.00,5.00,8.00,5.00,7.00,6.00,4.00,103,NULL,NULL,'CENTRO','ITAJAI','SC',5138,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2111101,6.00,9.00,7.00,5.00,9.00,7.00,7.00,9.00,4.00,303,5,NULL,'CENTRO','CATUIPE','RS',1715,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2111110,0.00,4.00,2.00,3.00,5.00,NULL,3.00,2.00,0.00,320,327,NULL,'JARDIM MORADA DO SOL','INDAIATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111128,7.00,6.00,7.00,5.00,8.00,4.25,7.00,5.00,5.00,208,316,203,'SANTA ISABEL','ANAPOLIS','GO',4987,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111136,8.00,9.00,7.00,6.00,9.00,5.50,7.00,5.00,5.00,103,501,NULL,'CENTRO','FLORIANOPOLIS','SC',3023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111144,4.00,6.00,6.00,6.00,7.00,4.00,6.00,3.00,4.00,319,427,NULL,'CAMPECHE','FLORIANOPOLIS','SC',10575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111152,4.00,6.00,6.00,6.00,8.00,4.50,6.00,5.00,4.00,208,223,NULL,'PICADAS DO SUL','SAO JOSE','SC',8735,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111160,2.00,7.00,3.00,9.00,8.00,7.00,3.00,3.00,2.00,425,428,424,'CENTRO','RIO FORTUNA','SC',10777,47,NULL,NULL,NULL,NULL,NULL,4,10),(15,2111179,5.00,9.00,5.00,4.00,7.00,5.75,5.00,6.00,3.00,317,316,NULL,'CAMPECHE','FLORIANOPOLIS','SC',8156,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111187,2.00,7.00,5.00,4.00,7.00,4.75,2.00,5.00,2.00,429,415,426,'RIO NEGRO','SAO VICENTE','SP',15926,98,746,46,NULL,NULL,NULL,4,1),(15,2111195,4.00,7.00,2.00,3.00,8.00,6.50,3.00,6.00,4.00,428,425,426,'SANTO ANTONIO','JOINVILLE','SC',9974,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2111209,4.00,8.00,5.00,5.00,4.00,5.00,4.00,6.00,2.00,238,NULL,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111217,2.00,5.00,0.00,5.00,6.00,NULL,3.00,5.00,2.00,420,NULL,NULL,'MACUCO','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111225,3.00,6.00,1.00,5.00,6.00,5.00,2.00,3.00,2.00,103,108,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',20163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,316,211,'DOIS IRMAOS','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2111268,1.00,4.00,1.00,6.00,5.00,4.50,4.00,2.00,1.00,102,101,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',21751,503,774,NULL,NULL,NULL,NULL,2,1),(15,2111276,0.00,3.00,1.00,7.00,6.00,5.50,4.00,3.00,3.00,103,101,NULL,'TRINDADE','FLORIANOPOLIS','SC',19913,2990,733,NULL,NULL,NULL,NULL,4,1),(15,2111292,3.00,6.00,5.00,6.00,4.00,6.00,6.00,5.00,3.00,202,NULL,NULL,'AMARANTE','VIDEIRA','SC',10355,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2111306,0.00,4.00,1.00,1.00,4.00,NULL,1.00,4.00,2.00,238,224,208,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111314,6.00,6.00,3.00,7.00,7.00,6.75,7.00,5.00,2.00,9,108,NULL,'SÃO JOSÉ','ARACAJU','SE',7055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111322,7.00,7.00,6.00,4.00,7.00,7.25,7.00,8.00,6.00,216,102,215,'CENTRO','CARAZINHO','RS',2095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111330,5.00,8.00,6.00,6.00,8.00,6.00,8.00,8.00,4.00,103,104,NULL,'PRESIDENTE KENNEDY','FRANCISCO BELTRAO','PR',3592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111349,8.00,7.00,7.00,8.00,8.00,6.00,8.00,7.00,4.00,102,423,NULL,'IPIRANGA','SAO JOSE','SC',2191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111357,4.00,7.00,7.00,6.00,7.00,5.00,8.00,7.00,4.00,233,216,211,'SANTA ISABEL','ANAPOLIS','GO',4813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111365,1.00,5.00,4.00,2.00,3.00,6.25,4.00,4.00,2.00,102,104,NULL,'GERTRUDES','VACARIA','RS',20168,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2111373,0.00,4.00,1.00,4.00,3.00,4.75,3.00,5.00,2.00,317,302,NULL,'CENTRO','PALHOCA','SC',21860,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111381,6.00,7.00,8.00,8.00,7.00,7.25,7.00,7.00,7.00,216,301,211,'AMÉRICA','JOINVILLE','SC',1982,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2111390,2.00,8.00,1.00,7.00,7.00,7.00,3.00,4.00,3.00,303,424,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2111403,6.00,8.00,5.00,8.00,8.00,8.50,8.00,7.00,7.00,415,451,NULL,'BATEL','CURITIBA','PR',977,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2111411,2.00,4.00,5.00,4.00,5.00,5.25,4.00,4.00,3.00,207,420,201,'CENTRO','MEDIANEIRA','PR',17500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111420,2.00,2.00,1.00,0.00,3.00,NULL,3.00,2.00,1.00,9,308,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111438,6.00,7.00,2.00,1.00,7.00,5.25,5.00,7.00,4.00,207,301,201,'CENTRO','FLORIANOPOLIS','SC',10710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111446,1.00,6.00,1.00,4.00,6.00,5.25,6.00,5.00,3.00,501,331,NULL,'BARREIROS','SAO JOSE','SC',15503,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','MARECHAL CANDIDO RONDON','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2111462,5.00,8.00,9.00,7.00,8.00,6.25,7.00,8.00,5.00,303,326,NULL,'BARBOSA LIMA','RESENDE','RJ',1761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111470,4.00,7.00,1.00,2.00,5.00,5.75,4.00,3.00,3.00,217,225,NULL,'SANTANA','ARARAQUARA','SP',17388,156,172,NULL,NULL,NULL,NULL,4,1),(15,2111489,0.00,6.00,2.00,5.00,4.00,5.25,2.00,3.00,3.00,104,212,NULL,'PARAGUAI','JACINTO MACHADO','SC',20495,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2111497,3.00,1.00,4.00,3.00,4.00,4.00,3.00,3.00,3.00,101,222,NULL,'PASSA VINTE','PALHOCA','SC',21948,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111500,3.00,7.00,4.00,8.00,6.00,8.00,6.00,5.00,4.00,303,415,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111527,3.00,5.00,3.00,3.00,3.00,4.50,5.00,4.00,3.00,101,102,NULL,'BELA VISTA','PALHOCA','SC',18727,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111535,4.00,7.00,1.00,2.00,3.00,4.75,2.00,6.00,2.00,208,238,216,'CENTRO','PASSO DE TORRES','SC',19476,770,1008,535,NULL,NULL,NULL,4,5),(15,2111543,7.00,9.00,5.00,5.00,8.00,6.50,7.00,8.00,4.00,103,202,NULL,'CENTRO','NAVEGANTES','SC',3104,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2111551,2.00,8.00,3.00,8.00,5.00,7.50,2.00,4.00,1.00,450,420,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2111560,4.00,8.00,5.00,9.00,7.00,6.50,5.00,7.00,4.00,5,317,NULL,'CAMPINAS','SAO JOSE','SC',5143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111578,2.00,6.00,6.00,6.00,7.00,5.75,4.00,7.00,3.00,238,429,202,'ARIRIÚ','PALHOCA','SC',10343,345,234,396,NULL,NULL,NULL,4,1),(15,2111586,4.00,7.00,2.00,4.00,7.00,6.75,6.00,7.00,5.00,208,428,NULL,'INGLESES','FLORIANOPOLIS','SC',9322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2111608,7.00,8.00,7.00,5.00,9.00,6.00,9.00,7.00,8.00,203,217,216,'CENTRO','FLORIANOPOLIS','SC',1182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111616,4.00,5.00,4.00,4.00,4.00,4.50,7.00,3.00,3.00,238,420,208,'JOÃO PAULO','FLORIANOPOLIS','SC',15640,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111624,4.00,8.00,3.00,2.00,7.00,5.75,7.00,5.00,5.00,9,301,NULL,'CENTRO','FLORIANOPOLIS','SC',10412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111632,2.00,5.00,2.00,5.00,4.00,4.50,2.00,3.00,2.00,104,316,NULL,'SÃO JOÃO','ITAJAI','SC',21656,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2111640,6.00,9.00,5.00,9.00,8.00,5.75,6.00,7.00,5.00,104,9,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',2563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111659,3.00,8.00,6.00,6.00,7.00,4.25,5.00,8.00,4.00,202,444,238,'CENTRO','SAO JOSE','SC',6860,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111667,3.00,5.00,0.00,7.00,8.00,6.50,3.00,6.00,3.00,404,310,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',11930,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111675,6.00,9.00,7.00,7.00,8.00,7.00,9.00,8.00,5.00,415,238,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',1038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111683,5.00,8.00,6.00,3.00,7.00,5.75,8.00,6.00,4.00,103,101,NULL,'CENTRO','CACHOEIRINHA','RS',5473,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2111691,4.00,7.00,6.00,6.00,8.00,6.50,7.00,5.00,4.00,203,202,201,'PICADAS DO SUL','SAO JOSE','SC',6058,543,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111705,7.00,7.00,6.00,8.00,8.00,5.75,6.00,5.00,4.00,208,222,238,'PANTANAL','FLORIANOPOLIS','SC',4367,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2111713,3.00,5.00,2.00,5.00,8.00,6.75,4.00,2.00,1.00,333,502,NULL,'NSA SRA DO ROSÁRIO','SAO JOSE','SC',15998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111730,3.00,7.00,3.00,7.00,7.00,7.00,4.00,6.00,2.00,207,421,201,'JARDIM ELDORADO','PALHOCA','SC',10757,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111748,2.00,2.00,2.00,2.00,3.00,NULL,3.00,3.00,0.00,308,421,NULL,'SERTAO DO IMARUIM','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111756,2.00,6.00,3.00,3.00,6.00,3.50,6.00,4.00,2.00,208,238,213,'TAPERA','FLORIANOPOLIS','SC',16800,652,966,280,NULL,NULL,NULL,4,1),(15,2111780,5.00,8.00,6.00,7.00,8.00,4.50,6.00,7.00,3.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',4620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2111810,3.00,8.00,9.00,5.00,8.00,7.25,7.00,6.00,6.00,103,444,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',2372,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111829,5.00,7.00,2.00,4.00,6.00,4.00,7.00,4.00,3.00,104,223,NULL,'SÃO VICENTE','ITAJAI','SC',10264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111837,2.00,7.00,3.00,4.00,8.00,4.00,4.00,6.00,1.00,103,101,NULL,'PASSO DOS FORTES','CHAPECO','SC',15081,2645,639,NULL,NULL,NULL,NULL,2,4),(15,2111845,3.00,5.00,8.00,6.00,6.00,5.00,5.00,4.00,2.00,104,NULL,NULL,'FATIMA','ERECHIM','RS',11255,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2111853,4.00,6.00,7.00,7.00,7.00,7.75,4.00,5.00,3.00,415,451,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',7607,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2111861,7.00,8.00,10.00,9.00,9.00,7.00,9.00,7.00,8.00,203,220,201,'ESTREITO','FLORIANOPOLIS','SC',74,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,308,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2111888,3.00,9.00,7.00,9.00,8.00,7.50,7.00,7.00,4.00,303,301,NULL,'RESSACADA','ITAJAI','SC',1684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111900,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,212,203,214,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(15,2111918,1.00,6.00,3.00,6.00,6.00,5.25,6.00,4.00,4.00,208,501,238,'JARDIM CIDADE','SAO JOSE','SC',12627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2111926,8.00,7.00,7.00,8.00,9.00,6.50,7.00,6.00,4.00,103,5,NULL,'VL ROMANA','SAO PAULO','SP',1557,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(15,2111934,4.00,7.00,4.00,6.00,5.00,5.50,6.00,6.00,5.00,317,318,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',7916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2111942,1.00,7.00,2.00,2.00,3.00,4.25,3.00,4.00,2.00,301,501,NULL,'CENTRO','CURITIBANOS','SC',20833,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2111950,3.00,5.00,2.00,3.00,6.00,3.50,4.00,4.00,3.00,103,101,NULL,'POÇO FUNDO','BRUSQUE','SC',19044,2931,714,NULL,NULL,NULL,NULL,4,6),(15,2111969,2.00,6.00,7.00,8.00,8.00,6.25,6.00,7.00,4.00,207,451,NULL,'CENTRO','RIO DO SUL','SC',4378,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2111977,2.00,5.00,3.00,4.00,7.00,5.25,3.00,5.00,3.00,104,211,NULL,'CENTRO','AMPERE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2111985,4.00,5.00,3.00,1.00,5.00,3.75,3.00,4.00,3.00,211,332,201,'PICADAS DO SUL','SAO JOSE','SC',19437,676,303,1025,NULL,NULL,NULL,4,1),(15,2111993,1.00,5.00,0.00,1.00,2.00,NULL,2.00,2.00,3.00,339,324,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112000,0.00,5.00,3.00,4.00,5.00,1.75,4.00,1.00,3.00,420,208,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112019,4.00,7.00,3.00,7.00,8.00,6.50,5.00,6.00,3.00,103,102,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',8506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,308,NULL,'CENTRO','CORUPA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2112035,2.00,5.00,0.00,7.00,8.00,7.00,4.00,5.00,3.00,423,108,425,'AREIAS','SAO JOSE','SC',13844,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112051,1.00,5.00,2.00,6.00,3.00,7.00,6.00,6.00,4.00,451,103,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',14830,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112060,0.00,4.00,4.00,3.00,6.00,NULL,3.00,3.00,2.00,207,NULL,NULL,'ESTADOS','TIMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2112078,7.00,8.00,7.00,9.00,8.00,5.25,9.00,8.00,7.00,203,202,220,'CENTRO','APUCARANA','PR',706,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2112086,2.00,6.00,6.00,2.00,6.00,5.75,6.00,3.00,1.00,501,234,NULL,'CENTRO','FLORIANOPOLIS','SC',16402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112094,5.00,6.00,4.00,7.00,7.00,6.00,7.00,5.00,4.00,104,303,NULL,'LA SALLE','PATO BRANCO','PR',6768,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2112108,8.00,9.00,9.00,9.00,9.00,9.00,9.00,7.00,8.00,103,5,NULL,'CENTRO','RIO DO SUL','SC',58,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112116,8.00,7.00,4.00,6.00,9.00,8.50,8.00,7.00,6.00,103,5,NULL,'CACUPÉ','FLORIANOPOLIS','SC',1610,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112124,0.00,6.00,2.00,5.00,6.00,5.00,4.00,3.00,3.00,207,215,201,'JD DAS CASTANHEIRAS','FLORIANOPOLIS','SC',18630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112132,9.00,7.00,8.00,9.00,8.00,6.25,9.00,7.00,6.00,415,425,NULL,'SANTO ANTÔNIO DE LIS','FLORIANOPOLIS','SC',725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112140,3.00,6.00,3.00,5.00,7.00,5.50,4.00,3.00,3.00,101,502,NULL,'CENTRO','URUSSANGA','SC',13564,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2112159,2.00,1.00,1.00,1.00,3.00,NULL,2.00,2.00,4.00,101,319,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112167,0.00,3.00,4.00,2.00,4.00,NULL,3.00,2.00,2.00,216,214,233,'CENTRO','TIMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2112175,3.00,6.00,5.00,5.00,5.00,5.25,4.00,1.00,2.00,103,301,NULL,'BARREIROS','SAO JOSE','SC',15022,2642,692,NULL,NULL,NULL,NULL,2,1),(15,2112183,7.00,7.00,5.00,8.00,8.00,5.75,5.00,8.00,3.00,101,339,NULL,'BARREIROS','SAO JOSE','SC',4026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112191,5.00,8.00,4.00,4.00,8.00,6.50,4.00,9.00,3.00,102,217,NULL,'VELHA','BLUMENAU','SC',6099,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2112205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2112213,4.00,5.00,5.00,5.00,9.00,6.25,3.00,7.00,3.00,426,339,421,'CANASVIEIRAS','FLORIANOPOLIS','SC',8175,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112221,4.00,6.00,2.00,3.00,5.00,5.75,4.00,5.00,4.00,5,319,NULL,'BELA VISTA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112230,7.00,8.00,8.00,6.00,6.00,4.25,8.00,5.00,6.00,103,216,NULL,'FLORESTA','JOINVILLE','SC',2408,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2112248,8.00,9.00,9.00,9.00,9.00,6.00,9.00,9.00,9.00,203,202,214,'CENTRO','MAFRA','SC',4,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2112264,3.00,8.00,2.00,7.00,5.00,6.75,5.00,6.00,2.00,104,217,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',10546,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112272,3.00,7.00,7.00,7.00,6.00,5.00,5.00,4.00,4.00,316,317,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',9914,229,487,NULL,NULL,NULL,NULL,2,1),(15,2112302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,NULL,NULL,'DE LORENZI','BOITUVA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2112310,2.00,5.00,4.00,5.00,7.00,5.00,5.00,4.00,2.00,450,203,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',15737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112329,6.00,6.00,4.00,6.00,7.00,7.00,4.00,6.00,6.00,104,216,NULL,'COOPERATIVA','SALTO DO LONTRA','PR',7274,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2112337,6.00,8.00,7.00,6.00,9.00,5.25,8.00,8.00,6.00,207,216,215,'CENTRO','MORRO DA FUMACA','SC',1874,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2112345,7.00,8.00,3.00,7.00,8.00,7.25,4.00,8.00,4.00,303,326,NULL,'CENTRO','CORUPA','SC',4448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112353,6.00,7.00,9.00,7.00,8.00,5.50,9.00,8.00,7.00,303,207,NULL,'TRINDADE','FLORIANOPOLIS','SC',730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112361,0.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,203,222,NULL,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2112388,2.00,4.00,2.00,4.00,7.00,5.50,4.00,6.00,2.00,303,5,NULL,'OFICINAS','TUBARAO','SC',16726,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2112396,7.00,8.00,7.00,8.00,7.00,6.50,6.00,7.00,6.00,102,104,NULL,'COQUEIROS','FLORIANOPOLIS','SC',2513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112400,2.00,5.00,4.00,5.00,5.00,6.00,3.00,5.00,5.00,317,316,NULL,'PONTE DO IMARUIM','PALHOCA','SC',14759,225,1040,NULL,NULL,NULL,NULL,2,1),(15,2112418,2.00,5.00,3.00,3.00,5.00,4.50,4.00,6.00,2.00,225,327,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',18456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112426,2.00,9.00,3.00,7.00,8.00,6.00,5.00,7.00,2.00,301,316,NULL,'CENTRO','FLORIANOPOLIS','SC',7911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112434,7.00,7.00,8.00,7.00,6.00,6.50,9.00,7.00,7.00,203,217,216,'ACLIMACAO','SAO PAULO','SP',1287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112442,8.00,8.00,7.00,9.00,7.00,7.00,9.00,8.00,8.00,103,9,NULL,'CENTRO','CURITIBA','PR',520,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2112450,6.00,7.00,9.00,8.00,8.00,7.50,7.00,7.00,6.00,303,339,NULL,'COMERCIARIO','CRICIUMA','SC',1097,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112469,3.00,3.00,2.00,5.00,5.00,5.00,3.00,2.00,1.00,324,425,NULL,'CARIANOS','FLORIANOPOLIS','SC',21174,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112477,2.00,5.00,4.00,4.00,6.00,6.75,2.00,5.00,4.00,319,415,NULL,'SÃO FRANCISCO','CAMPO GRANDE','MS',16508,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JARDIM HIGIENOPOLIS','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2112493,3.00,6.00,2.00,6.00,6.00,5.75,2.00,6.00,2.00,103,319,NULL,'SÃO CRISTOVÃO','CAMPOS DO JORDAO','SP',15977,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2112507,4.00,4.00,1.00,4.00,5.00,5.50,3.00,1.00,1.00,308,319,NULL,'BOEHMERWALD','JOINVILLE','SC',21967,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2112515,6.00,8.00,7.00,3.00,8.00,6.50,6.00,5.00,5.00,207,212,201,'PANTANAL','FLORIANOPOLIS','SC',5086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112523,3.00,8.00,5.00,9.00,8.00,6.25,6.00,6.00,4.00,208,425,238,'CAPOEIRAS','FLORIANOPOLIS','SC',5073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112540,3.00,6.00,4.00,0.00,6.00,5.75,3.00,4.00,3.00,108,NULL,NULL,'IPIRANGA','SAO JOSE','SC',18033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112558,5.00,5.00,4.00,6.00,5.00,5.25,3.00,5.00,2.00,444,308,NULL,'CAMPECHE','FLORIANOPOLIS','SC',14200,130,311,NULL,NULL,NULL,NULL,2,1),(15,2112566,3.00,3.00,2.00,5.00,5.00,4.25,2.00,3.00,3.00,234,309,NULL,'TRINDADE','FLORIANOPOLIS','SC',21266,112,241,NULL,NULL,NULL,NULL,2,1),(15,2112574,4.00,8.00,4.00,3.00,7.00,5.75,4.00,7.00,3.00,220,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',9878,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2112582,6.00,6.00,6.00,4.00,6.00,6.00,7.00,4.00,4.00,319,304,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',7483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112590,2.00,7.00,4.00,6.00,8.00,4.50,5.00,5.00,5.00,9,319,NULL,'CANTA GALO','RIO DO SUL','SC',8585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112604,6.00,6.00,4.00,5.00,7.00,6.25,5.00,4.00,5.00,415,319,NULL,'BARREIROS','SAO JOSE','SC',8671,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112612,4.00,9.00,5.00,6.00,7.00,5.75,4.00,7.00,2.00,220,203,214,'CENTRO','CARAZINHO','RS',7629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112620,3.00,6.00,3.00,4.00,6.00,4.75,4.00,4.00,4.00,339,308,NULL,'JOSE MENDES','FLORIANOPOLIS','SC',16302,46,351,NULL,NULL,NULL,NULL,2,1),(15,2112647,7.00,9.00,8.00,7.00,7.00,6.50,8.00,8.00,7.00,220,216,214,'INGLESES','FLORIANOPOLIS','SC',970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112655,4.00,5.00,4.00,5.00,8.00,7.00,5.00,6.00,4.00,501,502,NULL,'SALTO','SALTO VELOSO','SC',8593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112663,4.00,7.00,4.00,7.00,8.00,5.75,6.00,5.00,3.00,207,420,201,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',7588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112671,2.00,5.00,7.00,8.00,7.00,5.75,6.00,5.00,2.00,207,333,201,'CENTRO','BALNEARIO CAMBORIU','SC',8989,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2112680,7.00,8.00,8.00,6.00,7.00,5.00,8.00,8.00,7.00,214,316,212,'CENTRO','FLORIANOPOLIS','SC',1145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112698,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,224,444,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2112701,2.00,5.00,0.00,5.00,6.00,4.00,4.00,5.00,2.00,324,333,NULL,'IPIRANGA','SAO JOSE','SC',18953,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112710,6.00,8.00,6.00,8.00,7.00,6.25,6.00,6.00,3.00,316,319,NULL,'VILA NOVA','IMBITUBA','SC',4504,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112728,4.00,5.00,6.00,7.00,7.00,5.75,4.00,3.00,4.00,207,424,233,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',10014,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2112736,5.00,8.00,3.00,7.00,8.00,5.50,5.00,5.00,2.00,301,108,NULL,'SÃO LUIZ','CAPINZAL','SC',8338,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2112744,4.00,7.00,9.00,7.00,8.00,4.00,9.00,9.00,5.00,203,316,220,'CENTRO','ASSIS CHATEAUBRIAND','PR',2127,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2112752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'SANTO ANDRÉ','ANAPOLIS','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2112760,4.00,7.00,3.00,6.00,2.00,NULL,4.00,7.00,2.00,304,301,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112779,3.00,6.00,5.00,6.00,5.00,3.50,5.00,5.00,3.00,234,425,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',12029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112787,3.00,7.00,5.00,6.00,6.00,5.75,4.00,8.00,2.00,207,238,NULL,'CARÁ CARÁ','PONTA GROSSA','PR',10096,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112795,5.00,6.00,5.00,6.00,7.00,6.75,6.00,7.00,2.00,207,333,211,'JOAO PAULO','FLORIANOPOLIS','SC',6820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112809,0.00,4.00,2.00,1.00,4.00,NULL,3.00,2.00,1.00,429,316,427,'RIO CAVEIRAS','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112817,5.00,8.00,9.00,7.00,8.00,6.50,8.00,7.00,5.00,203,207,201,'MEIA PRAIA','ITAPEMA','SC',1732,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2112825,8.00,8.00,8.00,5.00,7.00,6.50,7.00,8.00,7.00,103,303,NULL,'CENTRO','CURITIBA','PR',989,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2112833,3.00,7.00,6.00,7.00,7.00,5.50,7.00,7.00,5.00,216,217,233,'JARDIM MALUCHE','BRUSQUE','SC',3803,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2112841,4.00,8.00,8.00,6.00,8.00,4.50,8.00,8.00,6.00,104,103,NULL,'KOBRASOL','SAO JOSE','SC',2656,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112850,8.00,9.00,8.00,9.00,9.00,7.75,9.00,7.00,8.00,103,108,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',49,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'SEMINARIO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2112876,4.00,5.00,6.00,5.00,7.00,5.00,4.00,5.00,4.00,238,220,208,'CENTRO','FLORIANOPOLIS','SC',11690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112906,1.00,4.00,3.00,5.00,4.00,7.50,3.00,2.00,0.00,101,339,NULL,'BARREIROS','SAO JOSE','SC',21479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112914,2.00,6.00,4.00,4.00,4.00,4.75,0.00,3.00,0.00,324,424,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',21514,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2112922,3.00,7.00,4.00,6.00,6.00,4.50,4.00,6.00,4.00,318,317,NULL,'SANTA BÁRBARA','CRICIUMA','SC',11337,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2112949,3.00,7.00,5.00,10.00,9.00,4.50,6.00,4.00,3.00,310,424,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',5666,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2112957,6.00,7.00,5.00,6.00,8.00,7.75,8.00,7.00,6.00,333,207,NULL,'KOBRASOL','SAO JOSE','SC',3021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112965,6.00,8.00,7.00,8.00,9.00,7.00,9.00,7.00,6.00,214,213,203,'JARDIM PANORÂMICO','LAGES','SC',793,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2112973,7.00,9.00,8.00,7.00,8.00,6.75,8.00,7.00,7.00,5,303,NULL,'TRINDADE','FLORIANOPOLIS','SC',884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2112981,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,102,5,NULL,'PRESIDENTE MÉDICE','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(15,2112990,5.00,3.00,0.00,0.00,2.00,NULL,3.00,3.00,4.00,207,201,NULL,'BORTOLATTO','MORRO DA FUMACA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2113007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2113015,3.00,5.00,2.00,7.00,7.00,2.50,3.00,3.00,1.00,208,324,238,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2113023,3.00,6.00,5.00,7.00,2.00,NULL,4.00,3.00,2.00,501,328,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2113031,3.00,8.00,2.00,6.00,5.00,5.50,6.00,5.00,3.00,102,108,NULL,'CAMPO DUNA','GAROPABA','SC',11568,231,749,NULL,NULL,NULL,NULL,2,1),(15,2113040,2.00,5.00,3.00,3.00,4.00,4.25,2.00,2.00,2.00,404,223,NULL,'TRINDADE','FLORIANOPOLIS','SC',22280,279,241,NULL,NULL,NULL,NULL,2,1),(15,2113058,5.00,6.00,2.00,6.00,6.00,6.00,4.00,6.00,5.00,319,5,NULL,'BOM JESUS','CAMPO LARGO','PR',11033,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2113066,2.00,3.00,3.00,6.00,7.00,6.00,1.00,2.00,4.00,309,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',18737,47,NULL,NULL,NULL,NULL,NULL,2,1),(15,2113082,4.00,5.00,3.00,5.00,7.00,7.00,3.00,3.00,4.00,103,101,NULL,'TAPERA','FLORIANOPOLIS','SC',13185,2460,596,NULL,NULL,NULL,NULL,2,1),(15,2113090,3.00,5.00,4.00,7.00,6.00,5.00,5.00,3.00,3.00,319,102,NULL,'JARDIM PANORAMICO','LAGES','SC',11962,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2113112,7.00,9.00,8.00,9.00,9.00,6.25,7.00,8.00,6.00,211,316,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113120,7.00,7.00,6.00,8.00,8.00,5.00,7.00,6.00,5.00,333,428,NULL,'CENTRO','ITAPOA','SC',3546,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2113139,4.00,7.00,2.00,5.00,7.00,6.75,5.00,2.00,2.00,104,NULL,NULL,'ESTREITO','FLORIANOPOLIS','SC',13657,447,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113147,1.00,4.00,2.00,0.00,6.00,NULL,4.00,4.00,1.00,502,234,NULL,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113155,3.00,4.00,3.00,3.00,4.00,4.00,2.00,3.00,3.00,223,302,NULL,'CENTRO','CORONEL FREITAS','SC',21384,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2113163,6.00,7.00,8.00,9.00,9.00,5.75,7.00,8.00,6.00,9,428,NULL,'CENTRO','FLORIANOPOLIS','SC',1067,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2113171,3.00,6.00,4.00,6.00,6.00,4.25,4.00,5.00,3.00,316,301,NULL,'JARDIM FRANÇA','SAO PAULO','SP',12830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113180,7.00,8.00,5.00,7.00,8.00,8.00,7.00,7.00,6.00,104,333,NULL,'CENTRO','FLORIANOPOLIS','SC',1265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113198,2.00,7.00,3.00,6.00,3.00,6.00,4.00,5.00,3.00,404,238,NULL,'ORLEANS','CURITIBA','PR',15377,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2113201,8.00,8.00,8.00,9.00,7.00,6.50,10.00,7.00,8.00,214,212,203,'SANTA ANGELINA','ARARAQUARA','SP',515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113210,3.00,8.00,2.00,3.00,7.00,7.00,3.00,4.00,3.00,104,NULL,NULL,'CENTRO','MARAVILHA','SC',14364,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2113228,2.00,3.00,0.00,3.00,4.00,NULL,2.00,3.00,2.00,415,428,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2113236,2.00,3.00,1.00,3.00,2.00,NULL,3.00,2.00,3.00,203,301,214,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2113244,5.00,9.00,6.00,7.00,7.00,5.50,9.00,9.00,7.00,5,303,NULL,'JARDIM DAS NAÇÕES','TAUBATE','SP',1748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113252,3.00,6.00,7.00,2.00,8.00,4.00,5.00,6.00,2.00,201,326,212,'CENTRO','CORONEL FREITAS','SC',13125,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2113260,8.00,8.00,8.00,8.00,9.00,6.25,7.00,8.00,5.00,103,NULL,NULL,'BATEL','CURITIBA','PR',930,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2113279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,303,NULL,'PASSO DOS FORTES','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2113287,4.00,5.00,3.00,6.00,6.00,6.00,7.00,6.00,4.00,108,310,NULL,'NOSSA SRA DAS DORES','SANTA MARIA','RS',9329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113295,3.00,9.00,6.00,9.00,8.00,8.50,8.00,6.00,2.00,415,426,NULL,'ITACORUBI','FLORIANOPOLIS','SC',3515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113309,3.00,6.00,3.00,2.00,6.00,7.00,4.00,4.00,2.00,333,225,NULL,'ARIRIU','PALHOCA','SC',16072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113317,2.00,5.00,1.00,1.00,5.00,5.50,3.00,6.00,2.00,5,303,NULL,'COSTEIRA','FLORIANOPOLIS','SC',20153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113333,3.00,8.00,5.00,7.00,4.00,5.25,5.00,5.00,5.00,203,NULL,220,'GLEBA PALHANO','LONDRINA','PR',10201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113350,3.00,7.00,4.00,3.00,9.00,6.50,6.00,6.00,3.00,327,320,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',9256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,103,NULL,'ALTO DA XV','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2113376,3.00,7.00,7.00,5.00,8.00,6.25,6.00,7.00,5.00,215,428,238,'BARREIROS','SAO JOSE','SC',4544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113384,8.00,9.00,8.00,8.00,9.00,6.75,9.00,7.00,7.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',209,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2113392,3.00,9.00,5.00,5.00,6.00,4.25,4.00,5.00,5.00,420,104,NULL,'CENTRO','BOTUCATU','SP',10078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113406,8.00,8.00,9.00,8.00,9.00,6.75,8.00,6.00,8.00,103,9,NULL,'CENTRO','FLORIANOPOLIS','SC',215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113414,6.00,6.00,7.00,5.00,6.00,6.00,7.00,5.00,7.00,103,101,NULL,'VILA FANNY','CURITIBA','PR',4951,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2113422,2.00,4.00,2.00,5.00,3.00,5.50,4.00,5.00,1.00,101,309,NULL,'SERRARIA','SAO JOSE','SC',20056,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2113430,5.00,7.00,2.00,5.00,7.00,6.50,6.00,5.00,3.00,104,108,NULL,'PETROPOLIS','PORTO ALEGRE','RS',9884,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2113457,3.00,5.00,3.00,5.00,6.00,3.50,3.00,6.00,3.00,327,426,NULL,'FURADINHO','PALHOCA','SC',15470,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2113465,6.00,9.00,5.00,7.00,8.00,5.25,9.00,7.00,5.00,316,429,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',2834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113473,1.00,6.00,5.00,5.00,7.00,3.50,5.00,5.00,3.00,203,326,208,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113481,3.00,4.00,4.00,4.00,5.00,5.00,5.00,3.00,3.00,202,333,207,'BOM ABRIGO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113490,5.00,7.00,1.00,2.00,9.00,7.00,6.00,5.00,4.00,104,102,NULL,'INGLESES','FLORIANOPOLIS','SC',11413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113503,4.00,7.00,3.00,7.00,6.00,6.50,4.00,7.00,3.00,326,327,NULL,'ALTO DA BOA VISTA','RIBEIRAO PRETO','SP',9235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113511,3.00,6.00,2.00,7.00,5.00,6.75,4.00,5.00,5.00,103,102,NULL,'CENTRO','FLORIANOPOLIS','SC',10674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113538,0.00,4.00,3.00,2.00,3.00,4.50,3.00,3.00,1.00,444,9,NULL,'INGLESES','FLORIANOPOLIS','SC',22458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113554,5.00,7.00,9.00,6.00,9.00,5.00,9.00,8.00,7.00,203,214,233,'AMAMBAI','CAMPO GRANDE','MS',1253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113562,3.00,6.00,6.00,5.00,6.00,4.00,7.00,5.00,3.00,220,333,203,'TIMBÉ','TIJUCAS','SC',9642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113570,5.00,9.00,8.00,8.00,7.00,5.50,8.00,7.00,4.00,326,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',1559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113589,3.00,8.00,1.00,5.00,2.00,NULL,2.00,5.00,1.00,238,423,220,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2113597,4.00,7.00,3.00,3.00,7.00,5.75,3.00,3.00,4.00,103,102,NULL,'CENTRO','CONCORDIA','SC',15129,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2113600,4.00,8.00,7.00,8.00,6.00,5.75,6.00,9.00,3.00,5,303,NULL,'CENTRO','FLORIANOPOLIS','SC',3920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113619,3.00,8.00,9.00,8.00,9.00,9.00,9.00,8.00,6.00,203,213,202,'ITAGUAÇÚ','FLORIANOPOLIS','SC',534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113627,2.00,5.00,0.00,2.00,6.00,6.25,2.00,4.00,1.00,415,428,NULL,'AREIAS','SAO JOSE','SC',20763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113635,3.00,5.00,5.00,6.00,8.00,4.75,4.00,4.00,3.00,304,301,NULL,'CENTRO','PEJUCARA','RS',11677,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2113643,7.00,7.00,9.00,7.00,8.00,5.75,7.00,6.00,7.00,207,420,211,'CORREGO GRANDE','FLORIANOPOLIS','SC',1360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113660,4.00,6.00,5.00,2.00,6.00,6.00,4.00,4.00,4.00,415,451,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',14085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113678,4.00,7.00,9.00,8.00,8.00,6.00,9.00,4.00,6.00,202,220,203,'VORSTARDT','BLUMENAU','SC',2701,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2113686,1.00,7.00,2.00,7.00,4.00,5.00,4.00,5.00,3.00,301,304,NULL,'PORTUGUESA','LONDRINA','PR',15164,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2113694,8.00,8.00,9.00,9.00,9.00,6.25,8.00,9.00,9.00,103,101,NULL,'GUARUJÁ','CASCAVEL','PR',63,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2113708,4.00,8.00,5.00,7.00,8.00,5.50,7.00,7.00,4.00,420,301,NULL,'JARDIM ITÚ SABARÁ','PORTO ALEGRE','RS',4525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113716,2.00,6.00,2.00,3.00,7.00,5.00,4.00,4.00,3.00,208,220,201,'CENTRO','CRICIUMA','SC',17304,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2113732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,202,NULL,'VILA ALEMANHA','LUZERNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2113740,4.00,7.00,5.00,2.00,6.00,6.25,7.00,4.00,2.00,103,101,NULL,'RIO SALTO','URUSSANGA','SC',11961,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2113759,4.00,6.00,5.00,4.00,6.00,6.00,4.00,5.00,5.00,302,304,NULL,'PONTE IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113767,5.00,7.00,8.00,8.00,8.00,6.75,5.00,6.00,7.00,217,222,NULL,'CAMAQUÃ','PORTO ALEGRE','RS',2054,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2113775,3.00,8.00,7.00,9.00,8.00,6.25,7.00,6.00,4.00,429,421,425,'ARIRIÚ','PALHOCA','SC',3473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113783,3.00,3.00,2.00,2.00,4.00,5.75,3.00,2.00,2.00,203,2,233,'VILA MOEMA','TUBARAO','SC',22289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113791,9.00,9.00,7.00,8.00,7.00,6.75,9.00,9.00,6.00,202,214,203,'CENTRO','RIBEIRAO PRETO','SP',316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113805,7.00,5.00,6.00,8.00,8.00,6.75,6.00,4.00,7.00,103,101,NULL,'CHÁCARA CACHOEIRA','CAMPO GRANDE','MS',4087,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2113813,4.00,8.00,4.00,7.00,8.00,7.25,7.00,6.00,5.00,104,501,NULL,'COQUEIROS','FLORIANOPOLIS','SC',4201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113821,3.00,7.00,4.00,8.00,6.00,5.25,6.00,7.00,3.00,304,316,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',8395,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2113830,4.00,5.00,3.00,1.00,7.00,5.00,7.00,8.00,1.00,225,224,NULL,'FAZ SANTO ANTONIO','SAO JOSE','SC',12764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113848,3.00,5.00,5.00,8.00,8.00,5.75,4.00,7.00,4.00,9,217,NULL,'SAIC','CHAPECO','SC',8344,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2113856,1.00,8.00,1.00,7.00,6.00,4.75,3.00,8.00,1.00,5,316,NULL,'ROSA MARIA','IBIA','MG',13773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113864,7.00,7.00,8.00,7.00,8.00,6.75,9.00,7.00,7.00,103,NULL,NULL,'SÃO CIRO','CAXIAS DO SUL','RS',1262,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2113872,1.00,3.00,1.00,2.00,5.00,NULL,2.00,3.00,2.00,426,451,428,'FLORESTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113880,3.00,7.00,5.00,7.00,8.00,5.25,4.00,6.00,4.00,444,317,NULL,'CAMPINAS','SAO JOSE','SC',9025,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2113902,0.00,5.00,1.00,3.00,4.00,4.50,4.00,2.00,2.00,316,501,NULL,'CENTRO','IBIA','MG',21968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2113910,7.00,8.00,6.00,7.00,8.00,4.75,6.00,6.00,6.00,108,333,NULL,'JARDIM BRASIL','JUNDIAI','SP',3743,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2113929,4.00,7.00,6.00,5.00,8.00,5.25,8.00,6.00,3.00,404,332,NULL,'CENTRO','GAROPABA','SC',6257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113937,3.00,4.00,1.00,7.00,6.00,6.00,3.00,4.00,4.00,104,102,NULL,'CENTRO','FLORIANOPOLIS','SC',15191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2113945,2.00,2.00,1.00,2.00,3.00,NULL,1.00,4.00,2.00,208,238,NULL,'FUNDOS','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113953,5.00,6.00,2.00,8.00,8.00,6.50,5.00,5.00,4.00,5,420,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',8592,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2113961,2.00,8.00,3.00,4.00,8.00,6.50,3.00,8.00,2.00,104,102,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',11237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2113988,2.00,3.00,4.00,4.00,6.00,5.25,5.00,1.00,1.00,301,302,NULL,'CENTRO','CRICIUMA','SC',18986,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2113996,0.00,5.00,1.00,7.00,5.00,4.50,2.00,1.00,2.00,238,NULL,208,'MADRI','PALHOCA','SC',21918,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2114003,3.00,5.00,3.00,4.00,6.00,4.25,3.00,4.00,5.00,339,309,NULL,'CERAMERTE','RIO NEGRINHO','SC',16913,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2114011,5.00,7.00,7.00,6.00,7.00,6.25,6.00,6.00,4.00,103,108,NULL,'COQUEIROS','FLORIANOPOLIS','SC',4514,1343,581,NULL,NULL,NULL,NULL,4,1),(15,2114020,7.00,8.00,8.00,8.00,9.00,7.00,7.00,7.00,7.00,303,428,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114038,3.00,7.00,3.00,7.00,5.00,5.00,3.00,6.00,2.00,208,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2114046,4.00,5.00,3.00,4.00,7.00,5.50,5.00,4.00,5.00,202,207,NULL,'BELCHIOR BAIXO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2114054,4.00,5.00,6.00,6.00,8.00,4.50,6.00,5.00,2.00,339,308,NULL,'CENTRO','GAROPABA','SC',9622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2114062,1.00,5.00,0.00,3.00,6.00,4.75,2.00,3.00,6.00,101,309,NULL,'HUMAITÁ','TUBARAO','SC',19909,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2114070,5.00,7.00,6.00,6.00,8.00,5.50,8.00,7.00,5.00,220,203,214,'KOBRASOL','SAO JOSE','SC',2865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114097,5.00,7.00,3.00,6.00,8.00,7.00,6.00,6.00,3.00,108,211,NULL,'BELA VISTA','SAO JOSE','SC',8322,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2114119,5.00,6.00,3.00,1.00,8.00,7.00,4.00,3.00,2.00,5,303,NULL,'SÃO JOSÉ','PINHALZINHO','SC',15666,668,1245,NULL,NULL,NULL,NULL,4,4),(15,2114127,6.00,5.00,6.00,4.00,7.00,4.50,4.00,6.00,2.00,103,319,NULL,'BUENO','GOIANIA','GO',12362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114143,3.00,6.00,2.00,5.00,3.00,5.25,3.00,5.00,2.00,108,233,NULL,'PARQUE JARDIM OURO','OURO','SC',18735,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2114151,4.00,6.00,6.00,1.00,6.00,5.25,5.00,7.00,3.00,301,302,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114160,7.00,9.00,9.00,7.00,9.00,8.00,9.00,7.00,6.00,103,224,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114178,7.00,9.00,7.00,6.00,8.00,6.00,7.00,5.00,4.00,103,9,NULL,'BRASILIA','CRICIUMA','SC',3457,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2114186,4.00,6.00,6.00,8.00,6.00,6.25,6.00,7.00,6.00,319,101,NULL,'TRINDADE','FLORIANOPOLIS','SC',4744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114194,4.00,5.00,2.00,4.00,6.00,6.25,4.00,3.00,2.00,333,415,NULL,'JARDIM FLÓRIDA','JACAREI','SP',16441,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2114208,5.00,7.00,5.00,6.00,8.00,6.00,7.00,5.00,4.00,215,102,211,'IMBIRAPUERA','MORRO DA FUMACA','SC',6303,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2114216,4.00,7.00,5.00,8.00,8.00,6.75,3.00,5.00,5.00,215,103,NULL,'JD ANA CRISTINA','FOZ DO IGUACU','PR',6199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114224,4.00,7.00,3.00,6.00,8.00,5.00,6.00,5.00,3.00,329,309,NULL,'ITACORUBI','FLORIANOPOLIS','SC',8768,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2114232,8.00,8.00,7.00,7.00,8.00,4.00,9.00,4.00,6.00,103,NULL,NULL,'CENTRO','LAGUNA','SC',2225,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2114240,5.00,6.00,7.00,8.00,8.00,5.75,3.00,6.00,5.00,211,421,215,'VILA OPERÁRIA','ITAJAI','SC',6746,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(15,2114259,3.00,8.00,6.00,8.00,7.00,6.50,7.00,6.00,3.00,304,302,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',4884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114267,7.00,8.00,8.00,7.00,9.00,7.00,8.00,9.00,6.00,220,202,233,'INGLESES','FLORIANOPOLIS','SC',876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114275,5.00,6.00,4.00,8.00,8.00,5.75,5.00,4.00,4.00,103,207,NULL,'SÃO CRISTOVÃO','CRICIUMA','SC',7981,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2114291,3.00,8.00,6.00,4.00,7.00,5.25,4.00,7.00,3.00,216,203,233,'SANTANA','SAO JOSE','SC',9176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114305,4.00,7.00,6.00,8.00,4.00,4.50,8.00,9.00,7.00,220,201,203,'TAMBORE','BARUERI','SP',3898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114313,5.00,7.00,5.00,8.00,7.00,5.75,7.00,6.00,3.00,501,339,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',5919,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2114321,5.00,5.00,4.00,7.00,8.00,6.50,6.00,6.00,4.00,415,425,NULL,'MORADA DO VALE','GRAVATAI','RS',6786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114330,5.00,7.00,2.00,1.00,7.00,7.25,4.00,4.00,4.00,420,327,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',13990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114348,3.00,6.00,4.00,8.00,7.00,7.25,7.00,8.00,4.00,211,216,233,'MONTE BELO','JOACABA','SC',5290,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2114356,4.00,6.00,5.00,6.00,8.00,5.25,6.00,6.00,1.00,202,213,220,'PINDORAMA','IJUI','RS',8509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114364,7.00,8.00,2.00,2.00,8.00,6.00,5.00,7.00,2.00,108,234,NULL,'BARRA DO ARIRIÚ','PALHOCA','SC',7901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2114372,0.00,8.00,3.00,3.00,8.00,4.50,3.00,8.00,3.00,303,326,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',15386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114380,7.00,8.00,7.00,7.00,9.00,7.00,6.00,6.00,6.00,415,215,NULL,'AMIZADE','JARAGUA DO SUL','SC',1929,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2114402,7.00,8.00,8.00,7.00,9.00,6.50,9.00,7.00,7.00,203,2,201,'ESTREITO','FLORIANOPOLIS','SC',711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2114410,0.00,2.00,3.00,1.00,5.00,NULL,2.00,2.00,0.00,103,319,NULL,'ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114437,4.00,7.00,3.00,2.00,7.00,5.75,3.00,5.00,4.00,238,426,211,'FORQUILHINHAS','SAO JOSE','SC',13889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114445,3.00,5.00,0.00,1.00,3.00,NULL,2.00,3.00,1.00,429,316,425,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114453,5.00,7.00,6.00,5.00,8.00,5.50,6.00,6.00,4.00,303,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',6923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114461,6.00,8.00,5.00,6.00,9.00,6.25,7.00,8.00,6.00,108,333,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',2032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114488,6.00,8.00,8.00,6.00,8.00,8.00,7.00,8.00,6.00,108,444,NULL,'COQUEIROS','FLORIANOPOLIS','SC',1074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114496,3.00,8.00,3.00,5.00,7.00,5.00,4.00,5.00,2.00,309,310,NULL,'CENTRO','SOMBRIO','SC',12519,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2114500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,316,NULL,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2114518,7.00,5.00,7.00,2.00,6.00,5.25,7.00,6.00,7.00,103,333,NULL,'VILA CÉLIA','CAMPO GRANDE','MS',7348,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2114526,6.00,9.00,8.00,4.00,7.00,6.00,8.00,6.00,6.00,303,301,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',2250,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2114534,4.00,7.00,4.00,2.00,7.00,3.50,4.00,8.00,3.00,301,327,NULL,'KOBRASOL','SAO JOSE','SC',13337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114542,4.00,6.00,4.00,8.00,7.00,5.50,2.00,4.00,3.00,444,404,NULL,'PICADAS DO SUL','SAO JOSE','SC',11912,86,352,NULL,NULL,NULL,NULL,2,1),(15,2114550,7.00,8.00,7.00,8.00,7.00,6.75,6.00,8.00,7.00,103,102,NULL,'CAMPESTRE','SANTO ANDRE','SP',1296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114569,4.00,8.00,2.00,1.00,6.00,6.50,5.00,2.00,3.00,301,238,NULL,'ANITA GAIBALDI','JOINVILLE','SC',15738,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2114577,5.00,6.00,3.00,8.00,7.00,6.25,5.00,3.00,3.00,108,426,NULL,'JARDIM ITALIA','CHAPECO','SC',10437,217,154,NULL,NULL,NULL,NULL,2,4),(15,2114585,3.00,7.00,6.00,5.00,6.00,6.00,7.00,7.00,3.00,220,234,201,'SERRARIA','SAO JOSE','SC',7307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114607,3.00,5.00,3.00,7.00,3.00,6.75,4.00,5.00,3.00,333,108,NULL,'CENTRO','FLORIANOPOLIS','SC',13974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,201,203,'PRAIA DO SONHO','ITANHAEM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2114623,1.00,2.00,0.00,1.00,1.00,NULL,1.00,3.00,1.00,5,303,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2114631,5.00,5.00,3.00,5.00,3.00,4.75,6.00,6.00,1.00,101,211,NULL,'JD AQUARIUS','SAO JOSE DOS CAMPOS','SP',14851,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2114640,5.00,8.00,4.00,5.00,9.00,7.00,8.00,6.00,6.00,216,217,215,'CENTRO','FLORIANOPOLIS','SC',2996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2114658,8.00,8.00,9.00,8.00,9.00,6.75,8.00,9.00,9.00,103,104,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114666,3.00,8.00,2.00,6.00,6.00,6.00,3.00,2.00,2.00,104,9,NULL,'GUANABARA','JOINVILLE','SC',16246,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(15,2114682,4.00,7.00,6.00,8.00,8.00,6.25,6.00,6.00,4.00,238,222,208,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',5080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114704,2.00,7.00,5.00,2.00,6.00,4.25,5.00,6.00,2.00,207,201,NULL,'SÃO LEOPOLDO','CAXIAS DO SUL','RS',14741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'CENTRO','AVARE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2114720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'JARDIM PANORÂMICO','IVOTI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2114739,3.00,5.00,2.00,4.00,2.00,NULL,4.00,3.00,2.00,502,215,NULL,'BOSQUE EUCALIPTOS','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2114747,3.00,8.00,8.00,2.00,6.00,5.75,3.00,4.00,3.00,201,404,238,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',10801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114755,5.00,7.00,5.00,0.00,0.00,NULL,6.00,7.00,4.00,208,222,203,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2114763,2.00,6.00,5.00,6.00,7.00,5.75,5.00,3.00,4.00,303,5,NULL,'ASA NORTE','BRASILIA','DF',11500,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2114771,5.00,7.00,5.00,6.00,6.00,5.50,4.00,5.00,4.00,103,108,NULL,'ASA NORTE','BRASILIA','DF',8443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2114780,2.00,7.00,5.00,6.00,5.00,4.50,8.00,6.00,3.00,202,303,220,'PASSAGEM','TUBARAO','SC',10706,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2114801,2.00,6.00,2.00,2.00,6.00,5.00,4.00,4.00,2.00,212,202,214,'UNIVERSITARIO','TIJUCAS','SC',19566,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2114810,4.00,7.00,6.00,8.00,8.00,6.00,7.00,7.00,4.00,216,502,233,'PRÓSPERA','CRICIUMA','SC',3839,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2114828,2.00,5.00,4.00,5.00,6.00,4.50,4.00,5.00,4.00,202,420,201,'JARDIM GUANABARA','RIO DE JANEIRO','RJ',15523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114836,5.00,7.00,6.00,6.00,5.00,6.00,8.00,5.00,4.00,420,301,NULL,'CENTRO','SANTA MARIA','RS',6327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114844,3.00,8.00,6.00,5.00,7.00,6.25,5.00,7.00,2.00,217,216,NULL,'KOBRASOL','SAO JOSE','SC',8369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114860,3.00,6.00,3.00,3.00,5.00,2.00,5.00,2.00,3.00,238,234,202,'SÃO JOSÉ','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2114879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,207,212,'RIO BRANCO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2114887,2.00,7.00,3.00,3.00,7.00,5.00,4.00,6.00,3.00,102,108,NULL,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2114895,3.00,6.00,5.00,7.00,6.00,6.00,6.00,6.00,4.00,214,212,203,'CENTRO','FLORIANOPOLIS','SC',7741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114909,8.00,9.00,8.00,9.00,8.00,5.50,8.00,9.00,8.00,102,9,NULL,'TRINDADE','FLORIANOPOLIS','SC',179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114917,4.00,7.00,9.00,9.00,8.00,8.00,9.00,9.00,6.00,5,318,NULL,'CASSINO','RIO GRANDE','RS',361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114925,2.00,4.00,5.00,7.00,3.00,5.00,1.00,4.00,3.00,423,207,424,'VARGEM GRANDE','FLORIANOPOLIS','SC',19374,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2114933,5.00,7.00,3.00,2.00,9.00,7.00,6.00,6.00,5.00,108,214,NULL,'CENTRO','ERECHIM','RS',6527,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2114941,5.00,6.00,4.00,5.00,7.00,7.00,5.00,6.00,3.00,215,102,216,'TRINDADE','FLORIANOPOLIS','SC',8719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114950,5.00,5.00,3.00,6.00,6.00,5.00,7.00,4.00,3.00,103,207,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114968,8.00,8.00,8.00,9.00,9.00,7.50,7.00,8.00,8.00,9,215,NULL,'TRINDADE','FLORIANOPOLIS','SC',177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114976,5.00,6.00,1.00,3.00,7.00,6.50,4.00,4.00,2.00,103,101,NULL,'JARDIM JOSÉ MODENEZ','IRACEMAPOLIS','SP',12620,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2114984,2.00,6.00,2.00,4.00,6.00,6.00,4.00,5.00,3.00,301,420,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2114992,4.00,7.00,2.00,5.00,9.00,5.00,5.00,5.00,3.00,103,101,NULL,'PIO CORREA','CRICIUMA','SC',10686,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2115000,3.00,6.00,5.00,2.00,7.00,5.00,6.00,4.00,5.00,238,202,208,'GUANABARA','JOINVILLE','SC',11159,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2115018,2.00,8.00,3.00,3.00,7.00,5.75,5.00,8.00,3.00,211,331,208,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',10783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115026,5.00,6.00,6.00,3.00,5.00,5.75,6.00,6.00,3.00,5,326,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',11905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115034,0.00,3.00,2.00,1.00,4.00,4.50,5.00,2.00,4.00,316,216,NULL,'CENTRO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2115042,3.00,5.00,3.00,4.00,8.00,6.00,3.00,4.00,4.00,317,308,NULL,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',15735,253,341,NULL,NULL,NULL,NULL,2,1),(15,2115050,3.00,3.00,0.00,4.00,2.00,NULL,1.00,2.00,1.00,424,324,429,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2115069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA BANCÁRIA','CAMPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2115077,6.00,8.00,9.00,4.00,8.00,6.25,9.00,6.00,6.00,220,NULL,233,'JD DOS ESTADOS','POCOS DE CALDAS','MG',1904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115085,6.00,9.00,9.00,8.00,8.00,7.00,9.00,8.00,9.00,203,2,214,'CENTRO','FLORIANOPOLIS','SC',128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115093,5.00,7.00,7.00,9.00,7.00,5.25,7.00,7.00,4.00,203,201,214,'BELA ALIANÇA','SAO PAULO','SP',3999,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2115107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,101,NULL,'CENTRO','SAO MARCOS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2115131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2115140,2.00,6.00,4.00,3.00,4.00,5.25,3.00,5.00,2.00,420,104,NULL,'CANUDOS','NOVO HAMBURGO','RS',19523,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2115158,9.00,8.00,9.00,8.00,9.00,7.50,9.00,7.00,7.00,203,451,233,'CENTRO','FLORIANOPOLIS','SC',72,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115166,8.00,8.00,8.00,7.00,8.00,6.25,8.00,8.00,7.00,233,216,211,'GLÓRIA','JOINVILLE','SC',754,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2115174,2.00,4.00,4.00,1.00,6.00,5.50,4.00,2.00,3.00,215,333,NULL,'JARDIM BELA DARIA','PRESIDENTE PRUDENTE','SP',20261,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2115190,5.00,8.00,7.00,7.00,8.00,6.25,6.00,5.00,2.00,108,502,NULL,'TRINDADE','FLORIANOPOLIS','SC',5387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115204,5.00,8.00,4.00,8.00,8.00,6.50,5.00,7.00,5.00,108,502,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',4006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,327,NULL,'JARDIM GUAPORE','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2115220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2115239,6.00,7.00,4.00,3.00,9.00,6.25,5.00,4.00,6.00,104,108,NULL,'VILA NOVA','CUBATAO','SP',7580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115247,3.00,7.00,7.00,7.00,6.00,6.00,6.00,6.00,2.00,318,316,NULL,'CENTRO','SIDEROPOLIS','SC',8004,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2115263,5.00,8.00,7.00,7.00,8.00,6.50,9.00,9.00,7.00,103,9,NULL,'TRINDADE','FLORIANOPOLIS','SC',1124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115271,4.00,7.00,3.00,2.00,5.00,4.25,5.00,2.00,3.00,332,324,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',17671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115280,6.00,7.00,1.00,6.00,6.00,6.50,6.00,6.00,3.00,103,424,NULL,'CENTRO','CAMPO ERE','SC',8416,1943,162,NULL,NULL,NULL,NULL,2,1),(15,2115298,3.00,6.00,3.00,6.00,8.00,6.50,6.00,5.00,4.00,501,234,NULL,'INGLESES','FLORIANOPOLIS','SC',9658,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2115301,2.00,5.00,5.00,5.00,5.00,4.50,3.00,3.00,4.00,339,108,NULL,'COSTA E SILVA','JOINVILLE','SC',17730,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2115310,3.00,6.00,4.00,4.00,4.00,3.75,4.00,7.00,4.00,213,212,233,'EMBARÉ','SANTOS','SP',12967,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2115336,3.00,7.00,5.00,3.00,6.00,6.00,2.00,4.00,3.00,415,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2115344,2.00,5.00,4.00,3.00,5.00,4.00,5.00,7.00,2.00,238,426,208,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2115352,7.00,8.00,8.00,9.00,8.00,5.50,7.00,7.00,6.00,5,303,NULL,'TABOÃO','SAO ROQUE','SP',1335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115360,0.00,4.00,1.00,5.00,5.00,5.75,2.00,3.00,2.00,308,309,NULL,'ABRÃAO','FLORIANOPOLIS','SC',21862,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2115387,2.00,6.00,4.00,6.00,7.00,4.75,2.00,4.00,2.00,310,324,NULL,'RIO GRANDE','PALHOCA','SC',14853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2115417,5.00,7.00,3.00,5.00,7.00,4.75,4.00,4.00,4.00,220,303,211,'CRISTO REI','CURITIBA','PR',10198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115425,5.00,7.00,7.00,7.00,8.00,5.00,9.00,7.00,9.00,220,214,202,'CENTRO','CURITIBA','PR',1569,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2115433,4.00,5.00,6.00,5.00,8.00,6.50,5.00,4.00,3.00,203,404,201,'CAMPINAS','SAO JOSE','SC',9770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'CENTRO','RIO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2115450,5.00,7.00,3.00,4.00,7.00,5.50,6.00,6.00,3.00,104,319,NULL,'MARIA GORETTI','CHAPECO','SC',10833,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2115468,2.00,6.00,7.00,2.00,5.00,5.00,8.00,6.00,4.00,201,212,211,'VORSTADT','BLUMENAU','SC',10136,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2115476,6.00,8.00,5.00,8.00,9.00,6.25,7.00,8.00,5.00,104,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',2903,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115484,2.00,7.00,3.00,1.00,5.00,5.50,3.00,6.00,4.00,201,301,202,'SANTANA','RIO DO SUL','SC',16700,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2115492,5.00,6.00,8.00,6.00,7.00,6.00,7.00,6.00,6.00,216,217,233,'IRIRIU','JOINVILLE','SC',3536,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2115506,3.00,8.00,5.00,4.00,5.00,5.50,8.00,7.00,4.00,317,316,NULL,'JARDIM ITALIA','CHAPECO','SC',7230,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2115522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'XAVIER','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2115530,1.00,4.00,3.00,1.00,6.00,NULL,1.00,4.00,1.00,421,329,423,'IPEROBA','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2115549,6.00,7.00,6.00,6.00,7.00,5.75,7.00,5.00,4.00,220,208,238,'CENTRO','SAO JOSE','SC',4468,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2115557,0.00,0.00,0.00,5.00,9.00,NULL,6.00,4.00,3.00,420,319,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(15,2115565,1.00,3.00,1.00,3.00,2.00,NULL,3.00,2.00,1.00,308,423,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2115573,2.00,4.00,0.00,3.00,4.00,5.00,3.00,3.00,2.00,501,211,NULL,'CENTRO','VIDEIRA','SC',22106,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2115581,6.00,8.00,6.00,7.00,8.00,6.00,6.00,3.00,4.00,214,208,215,'ÁGUA VERDE','CURITIBA','PR',5140,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2115590,4.00,2.00,5.00,8.00,4.00,6.50,4.00,3.00,3.00,203,104,202,'VILA CARRÃO','SAO PAULO','SP',14565,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2115603,3.00,7.00,3.00,9.00,7.00,6.50,4.00,6.00,3.00,103,104,NULL,'PIO X','CAXIAS DO SUL','RS',9519,2084,1037,NULL,NULL,NULL,NULL,4,4),(15,2115620,3.00,6.00,1.00,7.00,9.00,5.50,4.00,4.00,2.00,303,309,NULL,'PONTA AGUDA','BLUMENAU','SC',13469,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2115646,3.00,5.00,4.00,5.00,5.00,5.50,4.00,4.00,1.00,102,203,NULL,'CANOAS','RIO DO SUL','SC',17013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115654,3.00,8.00,5.00,5.00,7.00,6.75,6.00,4.00,3.00,101,339,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',9690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2115662,2.00,4.00,2.00,3.00,4.00,5.75,3.00,4.00,4.00,318,327,NULL,'CENTRO','FLORIANOPOLIS','SC',20479,256,457,NULL,NULL,NULL,NULL,4,1),(15,2115670,3.00,6.00,3.00,5.00,6.00,6.00,3.00,3.00,4.00,319,207,NULL,'IGUAÇU','FAZENDA RIO GRANDE','PR',15498,312,1220,NULL,NULL,NULL,NULL,2,1),(15,2115689,5.00,5.00,5.00,4.00,7.00,6.00,3.00,6.00,5.00,103,NULL,NULL,'JARDIM INTERNORTE','MARINGA','PR',11105,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2115697,5.00,9.00,8.00,5.00,7.00,4.75,8.00,8.00,4.00,108,502,NULL,'INGLESES','FLORIANOPOLIS','SC',3381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2115719,6.00,9.00,7.00,9.00,7.00,4.75,8.00,7.00,5.00,415,207,NULL,'CENTRO','FLORIANOPOLIS','SC',1691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115727,5.00,8.00,4.00,9.00,7.00,5.75,7.00,7.00,3.00,319,428,NULL,'CENTRO','FLORIANOPOLIS','SC',3970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115735,3.00,4.00,5.00,4.00,5.00,5.75,5.00,1.00,2.00,216,220,215,'CORREGO GRANDE','FLORIANOPOLIS','SC',17784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115751,4.00,6.00,2.00,3.00,7.00,4.50,5.00,9.00,3.00,103,102,NULL,'CENTRO','CURITIBANOS','SC',9617,2096,818,NULL,NULL,NULL,NULL,2,9),(15,2115760,4.00,4.00,2.00,5.00,7.00,6.00,6.00,6.00,4.00,444,101,NULL,'REAL PARQUE','SAO JOSE','SC',11723,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2115778,3.00,6.00,4.00,6.00,6.00,4.50,5.00,5.00,6.00,103,319,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2115786,9.00,8.00,6.00,7.00,9.00,8.75,7.00,6.00,4.00,103,104,NULL,'CENTRO','TUBARAO','SC',1721,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2115794,5.00,6.00,3.00,8.00,8.00,4.50,5.00,6.00,6.00,207,215,NULL,'BARRA DO RIO','ITAJAI','SC',6347,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2115808,6.00,6.00,5.00,6.00,5.00,3.25,5.00,5.00,4.00,103,9,NULL,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115816,2.00,8.00,3.00,8.00,8.00,6.00,5.00,6.00,2.00,328,326,NULL,'ESTREITO','FLORIANOPOLIS','SC',8364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115824,3.00,9.00,7.00,2.00,8.00,4.25,7.00,6.00,7.00,103,9,NULL,'SANTA TEREZA','SAO PEDRO DE ALCANTARA','SC',5594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115832,6.00,8.00,5.00,9.00,9.00,5.75,7.00,8.00,3.00,319,329,NULL,'GARCIA','BLUMENAU','SC',2882,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2115840,3.00,7.00,6.00,5.00,9.00,5.25,5.00,7.00,5.00,429,415,421,'SACO GRANDE','FLORIANOPOLIS','SC',5821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115859,4.00,8.00,4.00,9.00,7.00,6.00,8.00,7.00,4.00,203,NULL,233,'SALTO','BLUMENAU','SC',3373,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2115867,4.00,9.00,6.00,3.00,7.00,6.50,2.00,7.00,2.00,9,215,NULL,'SANTA MARIA','LAGES','SC',10942,120,525,NULL,NULL,NULL,NULL,4,9),(15,2115875,3.00,4.00,1.00,2.00,5.00,5.25,4.00,2.00,2.00,211,501,NULL,'CENTRO','SAO BONIFACIO','SC',21857,747,590,NULL,NULL,NULL,NULL,2,1),(15,2115883,5.00,7.00,4.00,7.00,8.00,5.00,7.00,6.00,4.00,213,225,233,'INGLESES','FLORIANOPOLIS','SC',5301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115891,3.00,4.00,0.00,1.00,3.00,NULL,3.00,1.00,2.00,101,427,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,428,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2115913,3.00,4.00,4.00,7.00,4.00,5.00,4.00,6.00,2.00,217,501,NULL,'CENTRO','BOMBINHAS','SC',15173,132,468,NULL,NULL,NULL,NULL,2,3),(15,2115921,4.00,7.00,5.00,6.00,8.00,7.25,5.00,5.00,6.00,420,NULL,NULL,'KOBRASOL','SAO JOSE','SC',6224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115930,3.00,5.00,5.00,4.00,5.00,5.00,4.00,5.00,4.00,201,212,NULL,'SÃO FRANCISCO ASSIS','DOIS VIZINHOS','PR',13137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2115948,6.00,6.00,8.00,3.00,6.00,6.25,8.00,4.00,5.00,301,302,NULL,'FAZENDA DA ARMAÇÃO','GOVERNADOR CELSO RAMOS','SC',6574,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2115956,1.00,6.00,2.00,1.00,4.00,NULL,0.00,0.00,0.00,103,420,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(15,2115964,4.00,5.00,2.00,5.00,9.00,4.50,6.00,5.00,3.00,211,316,233,'MICHEL','CRICIUMA','SC',11941,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2115980,4.00,7.00,3.00,1.00,4.00,5.50,1.00,5.00,4.00,103,102,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2115999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'BARREIRINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2116006,8.00,8.00,8.00,8.00,9.00,7.75,7.00,8.00,6.00,104,309,NULL,'TRINDADE','FLORIANOPOLIS','SC',629,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2116014,1.00,7.00,5.00,2.00,6.00,4.50,3.00,4.00,4.00,318,224,NULL,'NOSSA S DO ROSARIO','SAO JOSE','SC',16775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116022,4.00,7.00,3.00,5.00,7.00,5.50,5.00,5.00,4.00,238,5,208,'PONTA DE BAIXO','SAO JOSE','SC',11254,388,1169,393,NULL,NULL,NULL,2,1),(15,2116030,4.00,7.00,4.00,6.00,8.00,6.50,5.00,4.00,3.00,103,102,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',7344,1825,750,NULL,NULL,NULL,NULL,2,2),(15,2116049,4.00,6.00,3.00,4.00,6.00,5.25,6.00,8.00,3.00,332,328,NULL,'CENTRO','PORTO ALEGRE','RS',10472,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2116057,6.00,7.00,5.00,6.00,6.00,6.50,3.00,4.00,3.00,108,333,NULL,'CENTRO','FLORIANOPOLIS','SC',9251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116073,4.00,7.00,6.00,8.00,8.00,4.25,4.00,5.00,2.00,5,303,NULL,'JARDIM ITÁLIA','CHAPECO','SC',9514,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2116081,2.00,6.00,2.00,5.00,8.00,5.00,3.00,3.00,3.00,303,301,NULL,'KOBRASOL','SAO JOSE','SC',16045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2116090,7.00,8.00,9.00,8.00,8.00,9.00,7.00,6.00,5.00,212,301,238,'COQUEIROS','FLORIANOPOLIS','SC',482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116103,2.00,6.00,8.00,6.00,7.00,6.75,6.00,5.00,4.00,104,211,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',7660,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2116111,6.00,7.00,6.00,5.00,6.00,6.50,8.00,8.00,6.00,203,214,220,'JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP',3114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116138,5.00,7.00,3.00,6.00,4.00,4.75,5.00,6.00,2.00,501,NULL,NULL,'CENTRO','HONORIO SERPA','PR',11859,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2116146,1.00,6.00,2.00,7.00,4.00,NULL,3.00,9.00,0.00,426,327,425,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2116154,3.00,6.00,1.00,3.00,8.00,6.75,4.00,5.00,1.00,208,332,238,'CENTRO','ANTONIO CARLOS','SC',14796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,450,NULL,'JARDIM LOURDES','CAMPO MOURAO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2116189,4.00,8.00,6.00,7.00,8.00,7.25,5.00,8.00,4.00,102,9,NULL,'BARREIROS','SAO JOSE','SC',4127,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2116197,3.00,9.00,8.00,5.00,8.00,4.50,7.00,6.00,4.00,216,NULL,201,'MALUCHE','BRUSQUE','SC',5897,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2116200,7.00,8.00,6.00,6.00,8.00,7.50,8.00,8.00,8.00,103,101,NULL,'BRAS','SAO PAULO','SP',1031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116219,4.00,5.00,4.00,1.00,7.00,6.00,5.00,6.00,3.00,103,319,NULL,'CENTRO','PATO BRANCO','PR',13910,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2116227,6.00,6.00,4.00,7.00,6.00,5.50,7.00,7.00,5.00,319,308,NULL,'SAÚDE','SAO PAULO','SP',5293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116235,4.00,8.00,4.00,5.00,7.00,5.75,3.00,4.00,1.00,201,223,NULL,'CAMPO DUNA','GAROPABA','SC',11636,642,150,NULL,NULL,NULL,NULL,2,1),(15,2116243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'ÓRFÃS','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2116251,3.00,4.00,2.00,8.00,5.00,7.75,6.00,5.00,2.00,319,450,NULL,'JARDIM UNIVERSITÁRIO','CASCAVEL','PR',12568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116260,2.00,7.00,3.00,9.00,6.00,5.75,5.00,8.00,2.00,203,216,214,'ANZOLIN','JOACABA','SC',7835,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2116286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,224,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2116294,5.00,8.00,8.00,3.00,8.00,5.75,7.00,6.00,6.00,104,103,NULL,'VILA MOEMA','TUBARAO','SC',3579,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2116316,6.00,8.00,9.00,8.00,8.00,5.75,9.00,7.00,4.00,207,420,201,'INGLESES','FLORIANOPOLIS','SC',1154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116324,4.00,6.00,4.00,3.00,6.00,4.75,4.00,5.00,2.00,404,444,NULL,'PICADAS DO SUL','SAO JOSE','SC',15001,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2116340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,217,215,'TATUAPE','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2116359,4.00,5.00,2.00,2.00,6.00,5.75,4.00,5.00,3.00,450,NULL,NULL,'VILA BERNARDES','ARAPONGAS','PR',16723,171,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116375,2.00,8.00,5.00,2.00,5.00,3.50,1.00,3.00,3.00,207,104,NULL,'CENTRO','ITAJAI','SC',20403,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2116383,6.00,9.00,7.00,7.00,8.00,8.50,7.00,7.00,5.00,316,429,NULL,'ESTREITO','FLORIANOPOLIS','SC',1611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116391,5.00,6.00,7.00,5.00,7.00,5.75,7.00,7.00,8.00,103,216,NULL,'ALTO ALEGRE','CASCAVEL','PR',4355,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2116405,3.00,6.00,4.00,8.00,5.00,5.50,6.00,4.00,1.00,220,203,NULL,'CENTRO','CAXIAS DO SUL','RS',12295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116421,6.00,5.00,4.00,4.00,7.00,6.50,6.00,5.00,3.00,101,108,NULL,'FAZENDA RIO TAVARES','FLORIANOPOLIS','SC',9480,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2116430,3.00,6.00,2.00,6.00,8.00,6.50,6.00,6.00,3.00,104,103,NULL,'CENTRO','FLORIANOPOLIS','SC',9031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2116464,4.00,8.00,5.00,9.00,5.00,6.25,4.00,4.00,5.00,102,319,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2116472,3.00,6.00,4.00,8.00,7.00,7.25,6.00,4.00,3.00,103,319,NULL,'CENTRO','TUBARAO','SC',8556,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2116480,4.00,7.00,8.00,7.00,8.00,5.00,7.00,6.00,4.00,302,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',4592,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2116499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,316,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2116502,3.00,6.00,3.00,1.00,7.00,5.75,5.00,5.00,3.00,103,NULL,NULL,'CENTRO','CRICIUMA','SC',15868,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2116510,2.00,6.00,2.00,7.00,8.00,5.75,5.00,7.00,2.00,332,339,NULL,'COSTA DE DENTRO','FLORIANOPOLIS','SC',10385,26,NULL,NULL,NULL,NULL,NULL,2,1),(15,2116529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,212,233,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2116537,7.00,7.00,8.00,6.00,9.00,7.50,9.00,6.00,7.00,103,303,NULL,'CARAVAGIO','LAGES','SC',1086,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2116553,1.00,6.00,5.00,0.00,5.00,3.75,3.00,4.00,1.00,202,215,213,'BARREIROS','SAO JOSE','SC',21155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116561,6.00,6.00,6.00,5.00,8.00,6.25,5.00,7.00,7.00,103,215,NULL,'BELA VISTA','GASPAR','SC',3647,1170,446,NULL,NULL,NULL,NULL,2,2),(15,2116588,1.00,5.00,1.00,7.00,8.00,6.50,3.00,5.00,4.00,212,213,214,'CENTRO','SANTA RITA DO SAPUCAI','MG',12693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116596,8.00,9.00,7.00,8.00,7.00,5.50,7.00,7.00,6.00,104,444,NULL,'CENTRO','FLORIANOPOLIS','SC',1179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116600,8.00,9.00,9.00,9.00,9.00,6.75,8.00,4.00,8.00,217,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',450,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2116618,3.00,3.00,1.00,3.00,4.00,NULL,3.00,1.00,2.00,308,309,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2116642,2.00,6.00,7.00,3.00,6.00,7.00,5.00,5.00,4.00,208,238,NULL,'BALNEARIO','FLORIANOPOLIS','SC',9752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116650,7.00,6.00,3.00,6.00,7.00,5.00,6.00,7.00,6.00,101,423,NULL,'INGLESES','FLORIANOPOLIS','SC',5149,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2116669,2.00,6.00,5.00,4.00,6.00,4.75,6.00,4.00,3.00,216,217,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2116685,3.00,7.00,4.00,5.00,7.00,6.00,6.00,5.00,2.00,108,327,NULL,'BOA SAÚDE','NOVO HAMBURGO','RS',10358,214,285,NULL,NULL,NULL,NULL,4,8),(15,2116693,3.00,5.00,3.00,9.00,6.00,6.00,4.00,7.00,1.00,201,238,NULL,'PANTANAL','FLORIANOPOLIS','SC',11877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116707,6.00,8.00,8.00,9.00,9.00,6.00,8.00,6.00,4.00,207,303,211,'PIO CORREA','CRICIUMA','SC',1561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116723,6.00,7.00,6.00,6.00,8.00,7.50,7.00,7.00,7.00,103,216,NULL,'CENTRO','PONTA GROSSA','PR',2444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116731,3.00,5.00,1.00,4.00,5.00,4.00,2.00,3.00,2.00,444,425,NULL,'SERRARIA','SAO JOSE','SC',21245,276,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116740,1.00,8.00,8.00,7.00,4.00,4.75,4.00,3.00,2.00,207,301,216,'SÃO FRANCISCO','LUZERNA','SC',12059,587,631,388,NULL,NULL,NULL,2,7),(15,2116766,1.00,6.00,3.00,4.00,5.00,3.75,3.00,3.00,3.00,404,208,NULL,'SANTA MARIA','ANTONIO CARLOS','SC',19506,189,1104,NULL,NULL,NULL,NULL,2,1),(15,2116782,4.00,6.00,3.00,2.00,3.00,5.50,4.00,4.00,4.00,333,502,NULL,'ESTREITO','FLORIANOPOLIS','SC',17367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2116790,2.00,4.00,0.00,2.00,2.00,NULL,2.00,3.00,1.00,104,102,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2116804,3.00,4.00,4.00,3.00,5.00,5.75,6.00,5.00,2.00,238,319,NULL,'AVENTUREIRO','JOINVILLE','SC',15281,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2116812,5.00,5.00,6.00,6.00,6.00,4.50,7.00,5.00,1.00,202,208,213,'CENTRO','FLORIANOPOLIS','SC',11150,425,1000,179,NULL,NULL,NULL,4,1),(15,2116820,3.00,7.00,3.00,7.00,7.00,6.00,7.00,7.00,5.00,213,201,202,'ALPHAVILLE','SANTANA DE PARNAIBA','SP',5952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116839,4.00,8.00,2.00,6.00,5.00,5.75,6.00,5.00,2.00,215,233,NULL,'CENTRO','CHAPECO','SC',11621,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2116847,6.00,8.00,6.00,8.00,8.00,4.00,6.00,7.00,3.00,103,NULL,NULL,'CENTRO','PORTO UNIAO','SC',4511,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2116855,2.00,8.00,1.00,9.00,6.00,4.75,5.00,7.00,1.00,319,328,NULL,'CENTRO','FLORIANOPOLIS','SC',11234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116863,2.00,8.00,2.00,7.00,8.00,5.25,5.00,6.00,4.00,201,319,207,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',9426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116871,5.00,8.00,5.00,8.00,6.00,7.00,6.00,7.00,4.00,5,103,NULL,'ESTREITO','FLORIANOPOLIS','SC',4353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116898,4.00,7.00,5.00,9.00,7.00,5.00,6.00,5.00,5.00,103,NULL,NULL,'CENTRO','SAO JOSE DO RIO PRETO','SP',5794,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116901,5.00,8.00,7.00,6.00,8.00,5.25,5.00,6.00,3.00,318,304,NULL,'CENTRO','FLORIANOPOLIS','SC',5469,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2116910,1.00,6.00,0.00,0.00,0.00,NULL,3.00,6.00,2.00,319,310,NULL,'PRAIA DANIELA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(15,2116936,2.00,6.00,1.00,7.00,7.00,5.50,7.00,5.00,3.00,211,NULL,215,'VILA IMPERADOR','FRANCA','SP',12495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116960,2.00,3.00,0.00,6.00,5.00,NULL,4.00,3.00,2.00,207,224,NULL,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2116979,6.00,8.00,6.00,5.00,9.00,6.00,7.00,7.00,2.00,212,318,201,'PARAÍSO','SAO PAULO','SP',3755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2116987,7.00,8.00,4.00,6.00,7.00,7.00,7.00,6.00,5.00,103,102,NULL,'SÃO JOÃO','ITAJAI','SC',4422,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2116995,4.00,7.00,4.00,6.00,7.00,4.50,4.00,4.00,4.00,238,420,208,'CAPOEIRAS','FLORIANOPOLIS','SC',10124,333,639,343,NULL,NULL,NULL,2,1),(15,2117002,4.00,5.00,5.00,6.00,6.00,6.25,5.00,3.00,3.00,108,333,NULL,'CENTRO','FLORIANOPOLIS','SC',12319,261,733,NULL,NULL,NULL,NULL,2,1),(15,2117037,4.00,3.00,0.00,2.00,4.00,5.25,5.00,3.00,1.00,202,216,NULL,'NAÇÕES','INDAIAL','SC',21049,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2117053,3.00,6.00,5.00,5.00,4.00,4.50,2.00,6.00,3.00,201,238,212,'LAGOS DE GRAMADO','GRAMADO','RS',14727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2117061,4.00,8.00,9.00,9.00,7.00,7.00,6.00,7.00,7.00,203,224,214,'CENTRO','FLORIANOPOLIS','SC',2461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2117070,6.00,7.00,4.00,6.00,6.00,5.75,4.00,6.00,4.00,318,316,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',8844,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2117088,2.00,4.00,0.00,5.00,6.00,5.00,2.00,4.00,2.00,319,404,NULL,'CENTRO','FLORIANOPOLIS','SC',21239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2117096,4.00,5.00,2.00,4.00,8.00,5.50,4.00,5.00,3.00,404,332,NULL,'ARIRIÚ','PALHOCA','SC',14657,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2117100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,211,202,'TAPAJÓS','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2117134,2.00,8.00,2.00,2.00,6.00,6.25,3.00,4.00,2.00,216,103,211,'CENTRO','ERVAL VELHO','SC',18114,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2117169,3.00,7.00,3.00,7.00,9.00,4.75,4.00,6.00,5.00,303,326,NULL,'KOBRASOL','SAO JOSE','SC',8439,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2117185,6.00,8.00,6.00,5.00,8.00,6.00,8.00,7.00,7.00,203,213,214,'SANTA CATARINA','JOINVILLE','SC',2592,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2117193,3.00,6.00,4.00,7.00,7.00,6.25,4.00,6.00,2.00,327,326,NULL,'ITACORUBI','FLORIANOPOLIS','SC',11581,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2117207,1.00,2.00,1.00,1.00,3.00,NULL,1.00,5.00,4.00,327,326,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2117223,2.00,5.00,1.00,2.00,5.00,2.50,5.00,4.00,3.00,339,320,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2117240,5.00,6.00,2.00,3.00,8.00,7.00,5.00,6.00,2.00,103,101,NULL,'CAMPINAS','SAO JOSE','SC',10980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2117266,2.00,8.00,5.00,7.00,7.00,5.00,6.00,5.00,3.00,215,217,216,'PORTAL DAS VIDEIRAS','VIDEIRA','SC',8184,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2117274,8.00,7.00,9.00,7.00,9.00,7.50,5.00,7.00,5.00,103,NULL,NULL,'BATEL','CURITIBA','PR',1589,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2117282,5.00,6.00,9.00,8.00,7.00,5.75,7.00,7.00,7.00,415,327,NULL,'JARDIM DAS PALMEIRAS','SAO JOSE','SC',1574,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2117290,3.00,5.00,1.00,2.00,3.00,3.00,3.00,6.00,3.00,502,501,NULL,'CENTRO','SAO JOAQUIM','SC',20756,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2117304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,304,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2117312,5.00,6.00,0.00,4.00,5.00,6.50,4.00,7.00,1.00,501,309,NULL,'BALNEARIO','PIRATUBA','SC',14803,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2117320,2.00,6.00,0.00,6.00,6.00,7.00,3.00,4.00,2.00,317,429,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',16938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2117339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,328,NULL,'CENTRO','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2117347,3.00,4.00,4.00,1.00,6.00,6.25,3.00,3.00,2.00,104,444,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2117355,3.00,8.00,3.00,7.00,8.00,6.00,5.00,5.00,5.00,301,316,NULL,'JD AQUARIUS','SAO JOSE DOS CAMPOS','SP',8962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2117363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2117371,4.00,6.00,6.00,5.00,6.00,6.00,6.00,3.00,5.00,208,238,203,'ARIRIBÁ','BALNEARIO CAMBORIU','SC',9276,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2117398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,108,NULL,'VILA A','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2117401,3.00,6.00,6.00,4.00,9.00,5.25,8.00,5.00,3.00,220,202,203,'CENTRO','CURITIBA','PR',8261,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2117428,4.00,6.00,3.00,2.00,1.00,NULL,3.00,5.00,3.00,420,207,NULL,'FORQUILHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2117436,5.00,7.00,2.00,4.00,9.00,7.25,4.00,6.00,6.00,501,217,NULL,'CARIANOS','FLORIANOPOLIS','SC',6784,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2117452,1.00,4.00,1.00,0.00,2.00,NULL,2.00,3.00,2.00,234,225,NULL,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2117460,7.00,8.00,5.00,4.00,8.00,7.25,5.00,7.00,3.00,310,NULL,NULL,'AMÉRICA','JOINVILLE','SC',4646,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2117479,6.00,4.00,7.00,5.00,7.00,6.50,6.00,4.00,6.00,103,101,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',6404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2117495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,224,NULL,'INTERIOR','IPUMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2117509,6.00,7.00,4.00,6.00,7.00,6.00,7.00,8.00,4.00,108,333,NULL,'CENTRO','TUBARAO','SC',4449,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2117517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','MARECHAL CANDIDO RONDON','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2117525,6.00,8.00,5.00,4.00,7.00,6.00,6.00,5.00,4.00,319,9,NULL,'CENTRO','FLORIANOPOLIS','SC',6866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2117533,3.00,7.00,3.00,4.00,3.00,3.75,4.00,3.00,2.00,103,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECO','SC',20002,2997,NULL,NULL,NULL,NULL,NULL,4,4),(15,2117541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,329,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2117550,7.00,6.00,7.00,7.00,8.00,5.75,6.00,6.00,5.00,103,NULL,NULL,'BATEL','CURITIBA','PR',3397,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2117568,4.00,8.00,3.00,4.00,8.00,6.25,5.00,6.00,3.00,102,104,NULL,'JORDANOPOLIS','SAO BERNARDO DO CAMPO','SP',9681,175,1040,NULL,NULL,NULL,NULL,4,1),(15,2117576,4.00,5.00,1.00,1.00,7.00,3.75,4.00,2.00,3.00,308,428,NULL,'BARREIROS','SAO JOSE','SC',20473,167,245,NULL,NULL,NULL,NULL,4,1),(15,2117592,5.00,8.00,4.00,5.00,7.00,6.75,5.00,6.00,5.00,104,101,NULL,'VILA MOEMA','TUBARAO','SC',6393,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2117606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'ZONA UM','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2117614,3.00,4.00,1.00,4.00,5.00,4.75,5.00,4.00,2.00,102,302,NULL,'FORQUILHAS','SAO JOSE','SC',18787,417,318,NULL,NULL,NULL,NULL,2,1),(15,2117622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,423,421,'BREJARU','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2117630,4.00,5.00,2.00,6.00,6.00,5.00,6.00,4.00,3.00,333,404,NULL,'CENTRO','FLORIANOPOLIS','SC',14051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2117649,2.00,5.00,3.00,2.00,6.00,7.25,3.00,5.00,1.00,429,NULL,425,'FORQUILHINHAS','SAO JOSE','SC',17827,125,NULL,147,NULL,NULL,NULL,4,1),(15,2117665,3.00,6.00,4.00,9.00,5.00,7.25,6.00,5.00,4.00,207,208,201,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2117673,2.00,8.00,1.00,2.00,6.00,7.00,2.00,5.00,3.00,9,444,NULL,'CENTRO','CHAPECO','SC',16696,228,499,NULL,NULL,NULL,NULL,4,4),(15,2117681,2.00,5.00,4.00,4.00,6.00,5.25,7.00,4.00,2.00,5,NULL,NULL,'CENTRO','CANOINHAS','SC',14368,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2117690,3.00,4.00,5.00,1.00,4.00,4.25,1.00,2.00,1.00,339,309,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',22209,175,257,NULL,NULL,NULL,NULL,4,1),(15,2117703,7.00,8.00,5.00,8.00,7.00,6.75,8.00,7.00,5.00,103,104,NULL,'AGUA VERDE','CURITIBA','PR',2129,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2117711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'SÍTIO CERCADO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2117720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,501,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2117738,1.00,7.00,0.00,1.00,4.00,5.25,3.00,3.00,4.00,238,317,208,'SERRARIA','SAO JOSE','SC',21208,788,666,854,NULL,NULL,NULL,4,1),(15,2117746,7.00,8.00,8.00,7.00,9.00,6.75,9.00,6.00,6.00,303,5,NULL,'CENTRO','UNIAO DA VITORIA','PR',1051,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2117754,5.00,7.00,8.00,3.00,7.00,6.00,6.00,8.00,5.00,208,317,238,'SAO JUDAS','ITAJAI','SC',4290,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2117770,4.00,6.00,3.00,4.00,6.00,3.75,4.00,7.00,3.00,333,404,NULL,'RIBEIRAÕ DA ILHA','FLORIANOPOLIS','SC',13390,185,369,NULL,NULL,NULL,NULL,2,1),(15,2117789,5.00,8.00,5.00,8.00,8.00,6.00,5.00,3.00,5.00,5,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',5533,263,305,NULL,NULL,NULL,NULL,2,1),(15,2117797,6.00,8.00,8.00,6.00,7.00,7.50,7.00,5.00,7.00,214,202,203,'CENTRO','JACAREI','SP',2752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2117800,3.00,5.00,4.00,2.00,5.00,6.00,4.00,5.00,3.00,201,425,212,'TAPERA','FLORIANOPOLIS','SC',17007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2117819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2117827,4.00,5.00,2.00,5.00,7.00,6.25,4.00,5.00,2.00,426,327,428,'ITACORUBI','FLORIANOPOLIS','SC',14933,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2117835,4.00,8.00,2.00,0.00,8.00,6.75,5.00,7.00,3.00,5,303,NULL,'CENTRO','RIQUEZA','SC',11837,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2117843,5.00,7.00,3.00,3.00,9.00,6.50,4.00,6.00,5.00,502,333,NULL,'SERRARIA','SAO JOSE','SC',8079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2117851,1.00,6.00,3.00,6.00,3.00,5.50,4.00,3.00,4.00,201,213,212,'SERRARIA','SAO JOSE','SC',16884,894,470,344,NULL,NULL,NULL,2,1),(15,2117860,2.00,7.00,5.00,5.00,5.00,4.50,4.00,7.00,5.00,217,216,NULL,'FUNDOS','BIGUACU','SC',10493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2117878,5.00,8.00,8.00,8.00,8.00,6.50,7.00,8.00,4.00,211,333,NULL,'GETÚLIO VARGAS','TORRES','RS',2017,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2117886,5.00,7.00,6.00,2.00,7.00,6.00,5.00,6.00,4.00,238,303,208,'KOBRASOL','SAO JOSE','SC',8640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2117894,2.00,5.00,0.00,1.00,5.00,NULL,1.00,1.00,2.00,502,103,NULL,'COLONINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2117924,7.00,7.00,8.00,8.00,7.00,6.00,7.00,8.00,6.00,103,NULL,NULL,'VILA OPERÁRIA','ITAJAI','SC',1491,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2117932,3.00,4.00,4.00,4.00,3.00,4.00,6.00,6.00,3.00,220,208,238,'CENTRO','ITATI','RS',16795,537,1055,623,NULL,NULL,NULL,4,5),(15,2117959,2.00,3.00,2.00,1.00,5.00,NULL,2.00,1.00,2.00,104,319,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2117967,4.00,8.00,4.00,3.00,7.00,6.25,5.00,8.00,5.00,302,304,NULL,'CENTRO','BRACO DO NORTE','SC',5864,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2117975,3.00,8.00,7.00,6.00,9.00,6.50,3.00,7.00,4.00,501,301,NULL,'CENTRO','FLORIANOPOLIS','SC',5317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2117983,6.00,7.00,7.00,7.00,7.00,5.50,8.00,6.00,4.00,207,420,203,'AGRONÔMICA','FLORIANOPOLIS','SC',3137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118017,5.00,9.00,5.00,9.00,7.00,6.00,7.00,7.00,4.00,444,501,NULL,'SERRARIA','SAO JOSE','SC',2821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IBAITI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2118033,5.00,8.00,1.00,8.00,6.00,5.25,5.00,8.00,2.00,310,320,NULL,'PANTANAL','FLORIANOPOLIS','SC',8529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(15,2118050,6.00,7.00,8.00,8.00,8.00,7.00,8.00,6.00,5.00,108,102,NULL,'ITACORUBI','FLORIANOPOLIS','SC',1373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118068,2.00,3.00,1.00,3.00,6.00,4.25,3.00,3.00,2.00,302,319,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',21964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2118076,6.00,8.00,6.00,5.00,8.00,4.50,7.00,6.00,4.00,103,104,NULL,'CENTRO','JOINVILLE','SC',3584,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2118084,4.00,5.00,4.00,2.00,5.00,5.25,1.00,4.00,2.00,104,303,NULL,'BELA VISTA','AGUAS FRIAS','SC',19349,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2118092,3.00,6.00,4.00,7.00,7.00,8.25,6.00,4.00,3.00,423,339,429,'SANTO ANTÔNIO','MONTENEGRO','RS',9333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2118106,0.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,316,308,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2118114,2.00,5.00,4.00,3.00,6.00,5.25,3.00,4.00,3.00,9,301,NULL,'SAO JOAO','ITAJAI','SC',17191,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2118122,1.00,6.00,5.00,4.00,6.00,5.25,4.00,5.00,5.00,201,318,216,'VILA ASSEITUNO','SOROCABA','SP',12680,693,419,397,NULL,NULL,NULL,4,9),(15,2118157,2.00,5.00,4.00,3.00,5.00,3.50,3.00,2.00,3.00,501,324,NULL,'FUNDOS','BIGUACU','SC',20904,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2118165,5.00,6.00,7.00,7.00,8.00,6.50,8.00,7.00,5.00,207,420,214,'CENTRO','BRUSQUE','SC',3028,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2118173,5.00,9.00,6.00,8.00,8.00,5.50,7.00,8.00,3.00,303,316,NULL,'CENTRO','FLORIANOPOLIS','SC',3409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118181,2.00,7.00,5.00,5.00,7.00,6.50,6.00,4.00,4.00,319,327,NULL,'PRESIDENTE KENNEDY','FRANCISCO BELTRAO','PR',9528,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2118190,3.00,4.00,2.00,1.00,5.00,5.50,4.00,5.00,3.00,444,420,NULL,'FUNDOS','BIGUACU','SC',19085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118203,5.00,5.00,7.00,8.00,8.00,4.50,7.00,8.00,4.00,5,303,NULL,'CENTRO','TUBARAO','SC',4272,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2118211,4.00,6.00,4.00,6.00,8.00,4.25,6.00,4.00,6.00,214,331,220,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',9469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118220,5.00,5.00,4.00,4.00,3.00,4.50,6.00,1.00,1.00,304,329,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',19201,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2118238,4.00,3.00,3.00,2.00,7.00,5.00,5.00,3.00,3.00,214,213,203,'SÃO MANOEL','SAO JOSE DO RIO PRETO','SP',18465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118246,3.00,8.00,1.00,7.00,7.00,8.00,5.00,5.00,4.00,428,415,426,'CENTRO','ITAPEMA','SC',7496,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2118254,3.00,8.00,3.00,6.00,8.00,5.50,7.00,7.00,3.00,501,502,NULL,'COLONINHA','FLORIANOPOLIS','SC',7452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2118262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,9,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2118270,5.00,7.00,5.00,4.00,8.00,5.25,5.00,7.00,5.00,216,102,203,'CENTRO','TIMBO','SC',7395,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2118300,6.00,8.00,7.00,6.00,7.00,6.00,8.00,6.00,5.00,103,223,NULL,'NOVA ROMA','MORRO GRANDE','SC',2422,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2118319,4.00,7.00,6.00,7.00,8.00,6.50,5.00,4.00,5.00,101,102,NULL,'COQUEIROS','FLORIANOPOLIS','SC',6799,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2118327,2.00,4.00,1.00,1.00,6.00,5.50,4.00,5.00,2.00,429,339,423,'PONTA DE BAIXO','SAO JOSE','SC',21006,172,423,95,NULL,NULL,NULL,4,1),(15,2118335,4.00,6.00,2.00,6.00,4.00,5.50,4.00,3.00,2.00,302,304,NULL,'CENTRO','PALHOCA','SC',16063,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2118351,6.00,6.00,4.00,8.00,7.00,6.50,7.00,8.00,3.00,203,214,220,'ASA SUL','BRASILIA','DF',4656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118360,3.00,3.00,1.00,5.00,6.00,5.25,3.00,5.00,1.00,317,101,NULL,'CENTRO','FLORIANOPOLIS','SC',20045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2118378,7.00,8.00,7.00,9.00,8.00,7.75,6.00,7.00,4.00,303,5,NULL,'VERGUEIRO','PASSO FUNDO','RS',1224,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2118386,3.00,2.00,1.00,3.00,7.00,NULL,4.00,3.00,1.00,444,404,NULL,'SANTA MARIA','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2118408,5.00,6.00,5.00,4.00,9.00,5.50,5.00,9.00,5.00,216,104,233,'NOSSA SRA DE LURDES','DOIS VIZINHOS','PR',4520,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2118416,5.00,7.00,7.00,5.00,9.00,7.25,7.00,6.00,6.00,103,333,NULL,'BARREIROS','SAO JOSE','SC',3035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118440,3.00,5.00,4.00,8.00,6.00,5.50,2.00,6.00,3.00,420,326,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',12400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118459,2.00,7.00,4.00,7.00,6.00,5.50,3.00,6.00,3.00,233,324,238,'KOBRASOL','SAO JOSE','SC',10791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118467,4.00,8.00,8.00,9.00,9.00,6.00,7.00,7.00,6.00,108,220,NULL,'ATIRADORES','JOINVILLE','SC',1791,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2118475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,202,214,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2118483,3.00,8.00,5.00,5.00,8.00,5.25,4.00,8.00,2.00,5,327,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',8742,382,256,NULL,NULL,NULL,NULL,2,1),(15,2118491,6.00,6.00,2.00,5.00,7.00,7.00,5.00,5.00,4.00,102,108,NULL,'CENTRO','SARAPUI','SP',9451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118505,7.00,8.00,7.00,9.00,8.00,8.50,8.00,7.00,6.00,301,502,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118521,1.00,3.00,3.00,7.00,4.00,5.00,4.00,3.00,2.00,108,333,NULL,'PARQUE DA MATRIZ','CACHOEIRINHA','RS',19987,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2118530,2.00,3.00,2.00,1.00,5.00,4.00,3.00,3.00,3.00,207,420,215,'CENTRO','FLORIANOPOLIS','SC',22344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118548,0.00,5.00,1.00,5.00,3.00,5.00,3.00,2.00,1.00,5,423,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',22270,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2118556,1.00,5.00,3.00,6.00,5.00,6.75,2.00,3.00,2.00,103,NULL,NULL,'SANTO ANTÔNIO','TAQUARI','RS',19709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2118572,2.00,8.00,1.00,1.00,8.00,5.75,3.00,8.00,1.00,318,328,NULL,'COLINA DA BARRA','BARRA BONITA','SP',13733,161,98,NULL,NULL,NULL,NULL,4,1),(15,2118580,5.00,8.00,6.00,6.00,6.00,6.75,6.00,7.00,5.00,103,102,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',3715,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2118599,4.00,6.00,9.00,7.00,7.00,4.25,8.00,7.00,3.00,203,333,214,'CORREGO GRANDE','FLORIANOPOLIS','SC',4414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118610,4.00,7.00,7.00,5.00,8.00,6.00,5.00,4.00,4.00,429,301,424,'BALNEÁRIO','FLORIANOPOLIS','SC',7634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118629,6.00,7.00,7.00,7.00,7.00,6.50,7.00,6.00,4.00,208,NULL,238,'PÂNTANO DO SUL','FLORIANOPOLIS','SC',3545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2118645,4.00,5.00,2.00,3.00,7.00,4.75,3.00,3.00,2.00,103,303,NULL,'COQUEIROS','FLORIANOPOLIS','SC',19748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118670,6.00,9.00,7.00,9.00,7.00,6.50,9.00,8.00,7.00,303,216,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',689,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2118696,6.00,7.00,3.00,5.00,6.00,4.75,3.00,3.00,5.00,103,104,NULL,'CENTRO','CURITIBA','PR',12074,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2118700,6.00,8.00,7.00,6.00,6.00,6.50,9.00,9.00,7.00,201,2,214,'CENTRO','MAFRA','SC',1445,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2118718,6.00,8.00,4.00,3.00,9.00,5.75,7.00,8.00,3.00,108,332,NULL,'INGLESES','FLORIANOPOLIS','SC',5496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118734,3.00,7.00,4.00,8.00,7.00,5.75,3.00,9.00,3.00,310,421,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',7747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118750,3.00,6.00,3.00,3.00,6.00,3.75,4.00,6.00,2.00,108,NULL,NULL,'ELIZABETH','IJUI','RS',16087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,327,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2118777,3.00,4.00,3.00,6.00,6.00,5.75,3.00,4.00,1.00,304,303,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',17251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,333,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2118807,7.00,9.00,7.00,9.00,8.00,8.00,7.00,7.00,5.00,5,326,NULL,'CENTRO','FLORIANOPOLIS','SC',779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118815,2.00,7.00,2.00,5.00,8.00,4.25,2.00,5.00,2.00,303,NULL,NULL,'SANTA CECÍLIA','ASSIS','SP',16372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118823,4.00,7.00,3.00,3.00,6.00,5.25,6.00,6.00,3.00,207,203,201,'CIDADE ADEMAR','SAO PAULO','SP',12826,623,1376,700,NULL,NULL,NULL,4,8),(15,2118840,1.00,5.00,0.00,6.00,5.00,6.00,4.00,3.00,2.00,101,319,NULL,'TRINDADE','FLORIANOPOLIS','SC',19916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2118858,3.00,5.00,1.00,7.00,7.00,5.00,5.00,5.00,3.00,211,333,213,'NAÇÕES','FRAIBURGO','SC',13239,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2118866,4.00,8.00,8.00,7.00,8.00,4.25,7.00,6.00,4.00,316,426,NULL,'COQUEIROS','FLORIANOPOLIS','SC',4549,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2118874,3.00,6.00,5.00,2.00,5.00,3.00,4.00,7.00,2.00,303,316,NULL,'KOBRASOL','SAO JOSE','SC',17099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118882,5.00,6.00,6.00,6.00,6.00,6.50,5.00,4.00,6.00,211,333,215,'SANTO ANTÔNIO','FLORIANOPOLIS','SC',6778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,425,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2118904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,444,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2118920,3.00,5.00,3.00,4.00,5.00,5.00,3.00,5.00,2.00,303,208,NULL,'INTERIOR','CUNHA PORA','SC',18394,808,1086,NULL,NULL,NULL,NULL,1,4),(15,2118939,9.00,9.00,6.00,7.00,8.00,6.50,8.00,7.00,6.00,202,2,213,'CORDEIROS','ITAJAI','SC',875,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2118947,2.00,4.00,0.00,4.00,4.00,5.00,2.00,5.00,1.00,5,104,NULL,'CENTRO','FLORIANOPOLIS','SC',22040,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2118955,2.00,5.00,4.00,1.00,2.00,NULL,4.00,5.00,3.00,502,501,NULL,'VILA PAVAN','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118963,3.00,5.00,7.00,7.00,6.00,4.00,8.00,4.00,6.00,202,201,203,'VILA MAZZEI','SAO PAULO','SP',7936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118971,1.00,6.00,2.00,2.00,5.00,5.25,2.00,5.00,0.00,429,NULL,NULL,'CENTRO','LAGES','SC',21455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2118980,3.00,5.00,4.00,5.00,6.00,6.00,5.00,3.00,1.00,207,233,201,'SANTA LUZIA','CRICIUMA','SC',15235,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2118998,3.00,6.00,2.00,0.00,2.00,NULL,3.00,4.00,0.00,222,216,NULL,'SÃO VICTOR','TREVISO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2119005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,339,NULL,'CAMINHO NOVO','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2119013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'VL SÃO FRANCISCO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2119021,3.00,8.00,5.00,4.00,6.00,6.00,6.00,8.00,5.00,303,301,NULL,'CENTRO','GARUVA','SC',6861,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2119030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,326,NULL,'CENTRO','MANDAGUARI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2119048,6.00,7.00,8.00,9.00,7.00,6.50,7.00,8.00,4.00,5,318,NULL,'CENTRO','BLUMENAU','SC',1827,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2119056,5.00,9.00,5.00,7.00,9.00,6.00,5.00,6.00,3.00,420,310,NULL,'CENTRO','FLORIANOPOLIS','SC',4786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119072,3.00,7.00,7.00,2.00,8.00,7.50,6.00,5.00,3.00,450,302,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',9502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,333,233,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2119099,4.00,7.00,6.00,7.00,5.00,6.25,6.00,7.00,3.00,103,303,NULL,'FLORESTA','JOINVILLE','SC',6333,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2119102,4.00,7.00,3.00,6.00,6.00,5.00,6.00,6.00,2.00,5,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',10309,448,903,NULL,NULL,NULL,NULL,2,1),(15,2119110,2.00,5.00,5.00,6.00,5.00,5.25,2.00,5.00,1.00,317,224,NULL,'CAMPINAS','SAO JOSE','SC',15791,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2119129,7.00,4.00,8.00,6.00,8.00,6.50,6.00,5.00,4.00,103,303,NULL,'SAO FRANSISCO','CAMPO GRANDE','MS',5541,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2119137,4.00,5.00,1.00,2.00,3.00,4.75,2.00,2.00,3.00,303,420,NULL,'BUDAG','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2119153,4.00,7.00,2.00,6.00,8.00,5.50,5.00,4.00,2.00,108,NULL,NULL,'BOM FIM','PORTO ALEGRE','RS',13132,287,NULL,NULL,NULL,NULL,NULL,2,1),(15,2119161,3.00,8.00,2.00,7.00,7.00,6.00,4.00,7.00,4.00,207,201,NULL,'MONTE CARLO','SAO JOAQUIM','SC',7814,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2119188,4.00,8.00,7.00,7.00,7.00,6.50,5.00,6.00,6.00,108,316,NULL,'KOBRASOL','SAO JOSE','SC',4429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2119200,3.00,4.00,3.00,2.00,4.00,5.50,3.00,5.00,1.00,420,308,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',20347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119218,4.00,1.00,1.00,1.00,1.00,NULL,2.00,3.00,4.00,444,332,NULL,'JARDIM JANAÍNA','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119226,0.00,5.00,1.00,5.00,7.00,NULL,2.00,3.00,4.00,319,211,NULL,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2119234,3.00,7.00,6.00,3.00,8.00,5.00,6.00,6.00,5.00,207,316,215,'KOBRASOL','SAO JOSE','SC',8129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119250,6.00,9.00,5.00,5.00,8.00,7.00,8.00,8.00,6.00,238,222,208,'KOBRASOL','SAO JOSE','SC',2727,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2119269,2.00,3.00,2.00,5.00,3.00,5.00,3.00,2.00,2.00,423,211,424,'CENTRO','FOZ DO IGUACU','PR',21963,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2119277,3.00,4.00,5.00,2.00,5.00,5.75,5.00,2.00,3.00,420,203,NULL,'CENTRO','SAO BENTO DO SUL','SC',18133,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2119285,0.00,1.00,1.00,0.00,5.00,NULL,2.00,2.00,1.00,215,NULL,NULL,'PORTAL DOS FAVEIROS','PENAPOLIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2119293,4.00,7.00,7.00,5.00,7.00,6.00,5.00,5.00,3.00,207,202,NULL,'CENTRO','FLORIANOPOLIS','SC',9299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119307,2.00,7.00,5.00,7.00,7.00,6.00,6.00,4.00,2.00,233,216,203,'ALVINOPOLIS','ATIBAIA','SP',10334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119315,4.00,6.00,4.00,4.00,7.00,4.75,3.00,6.00,4.00,102,217,NULL,'CORAL','LAGES','SC',12493,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2119323,6.00,7.00,7.00,7.00,9.00,6.25,9.00,7.00,4.00,415,426,NULL,'BARREIROS','SAO JOSE','SC',1919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119331,7.00,7.00,6.00,9.00,7.00,6.75,9.00,6.00,7.00,108,327,NULL,'FLORIANÓPOLIS','FLORIANOPOLIS','SC',1972,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2119340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,328,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(15,2119358,3.00,8.00,5.00,8.00,8.00,5.50,4.00,6.00,5.00,319,101,NULL,'KOBRASOL','SAO JOSE','SC',7148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2119374,6.00,8.00,6.00,5.00,9.00,5.75,7.00,6.00,3.00,415,426,NULL,'PARQUE GUARANI','JOINVILLE','SC',4365,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2119390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,326,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2119404,6.00,7.00,5.00,6.00,6.00,6.75,3.00,7.00,3.00,423,309,427,'PINGUIRITO','GAROPABA','SC',8754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2119412,6.00,7.00,4.00,7.00,6.00,5.25,5.00,3.00,3.00,104,NULL,NULL,'CENTRO','RIBEIRAO PRETO','SP',9656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119420,4.00,8.00,4.00,8.00,6.00,5.25,7.00,5.00,3.00,303,423,NULL,'ÁGUA VERDE','BLUMENAU','SC',6851,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2119455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,5,NULL,'SANTA MÔNIA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2119471,3.00,8.00,5.00,3.00,8.00,6.00,4.00,4.00,5.00,207,420,238,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',11436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119480,4.00,6.00,2.00,2.00,4.00,4.50,3.00,7.00,1.00,201,104,207,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119498,6.00,6.00,2.00,3.00,8.00,6.00,5.00,6.00,1.00,451,450,NULL,'GARCIA','BLUMENAU','SC',12545,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2119501,5.00,5.00,5.00,2.00,7.00,6.00,6.00,3.00,3.00,108,501,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',12447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119510,6.00,7.00,4.00,7.00,7.00,5.25,6.00,7.00,4.00,102,108,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',6712,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2119544,3.00,5.00,5.00,6.00,4.00,5.00,3.00,2.00,4.00,103,101,NULL,'VILA VERENA','SANTA CRUZ DO SUL','RS',16674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2119552,3.00,4.00,5.00,7.00,8.00,5.75,4.00,3.00,4.00,301,302,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',13408,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2119560,8.00,8.00,8.00,8.00,7.00,5.75,6.00,7.00,8.00,103,102,NULL,'CENTRO','TANABI','SP',901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119579,4.00,7.00,4.00,6.00,7.00,4.75,5.00,6.00,2.00,103,303,NULL,'SAO JORGE','XANXERE','SC',10738,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2119587,3.00,6.00,4.00,9.00,6.00,5.50,5.00,6.00,4.00,316,429,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,103,NULL,'CERAMARTE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2119609,6.00,8.00,0.00,8.00,6.00,6.50,3.00,8.00,3.00,451,420,NULL,'CENTRO','FLORIANOPOLIS','SC',8720,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2119625,2.00,4.00,0.00,1.00,6.00,6.25,4.00,4.00,1.00,308,303,NULL,'CARIANOS','FLORIANOPOLIS','SC',20835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,450,211,'CENTRO','SAPEZAL','MT',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2119676,1.00,5.00,5.00,2.00,6.00,4.50,4.00,5.00,4.00,214,213,215,'JARDIM AUTONOMISTA','CAMPO GRANDE','MS',16785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119692,5.00,8.00,4.00,3.00,6.00,4.50,8.00,7.00,8.00,104,108,NULL,'TIAGO','CHAPECO','SC',6234,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2119706,5.00,5.00,5.00,8.00,8.00,7.50,7.00,6.00,4.00,420,450,NULL,'TRINDADE','FLORIANOPOLIS','SC',4381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119730,4.00,8.00,4.00,2.00,6.00,6.75,3.00,3.00,2.00,420,326,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',14099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119749,5.00,7.00,8.00,8.00,6.00,4.50,6.00,6.00,6.00,103,301,NULL,'PARAISO','SAO PAULO','SP',4151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119757,2.00,6.00,6.00,8.00,6.00,5.25,8.00,6.00,2.00,2,203,NULL,'PÃO DE AÇUCAR','CAPIVARI','SP',7532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2119765,4.00,7.00,6.00,5.00,7.00,5.50,6.00,4.00,4.00,217,208,NULL,'PONTA DE BAIXO','SAO JOSE','SC',8442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119773,7.00,7.00,8.00,9.00,9.00,5.50,9.00,7.00,7.00,103,451,NULL,'CENTRO','TUBARAO','SC',957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119781,4.00,5.00,5.00,5.00,8.00,6.50,5.00,3.00,4.00,103,104,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',10922,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2119790,7.00,6.00,1.00,6.00,6.00,6.75,4.00,6.00,4.00,207,420,211,'BARRA DO ARIRIÚ','PALHOCA','SC',10562,516,651,374,NULL,NULL,NULL,2,1),(15,2119803,5.00,7.00,8.00,7.00,8.00,5.75,8.00,6.00,4.00,202,223,213,'CAMPINAS','SAO JOSE','SC',3069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2119820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,102,NULL,'CENTRO','SAO JORGE D OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2119838,4.00,7.00,4.00,6.00,8.00,7.50,5.00,7.00,3.00,207,420,238,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',7375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119846,5.00,7.00,6.00,5.00,8.00,5.25,5.00,6.00,6.00,332,404,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',5313,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2119854,1.00,6.00,3.00,2.00,6.00,5.25,5.00,1.00,0.00,108,211,NULL,'VISTA ALEGRE','MAFRA','SC',20619,455,1013,NULL,NULL,NULL,NULL,4,1),(15,2119862,5.00,8.00,7.00,8.00,8.00,6.00,6.00,8.00,4.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',3173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119889,3.00,7.00,7.00,8.00,7.00,5.25,6.00,6.00,4.00,318,NULL,NULL,'DONA EUNICE','CACHOEIRINHA','RS',6187,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2119897,1.00,4.00,1.00,1.00,3.00,5.25,3.00,3.00,3.00,316,318,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',22359,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2119900,4.00,7.00,6.00,6.00,6.00,4.00,3.00,6.00,4.00,304,501,NULL,'CENTRO','FLORIANOPOLIS','SC',9474,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2119919,2.00,6.00,6.00,0.00,2.00,NULL,2.00,1.00,2.00,233,203,220,'CANTA GALO','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2119927,3.00,6.00,3.00,5.00,5.00,6.25,5.00,7.00,3.00,332,331,NULL,'MARAJOARA','SANTO ANDRE','SP',13188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119935,1.00,4.00,0.00,4.00,6.00,4.50,4.00,5.00,2.00,201,213,NULL,'LARANJEIRAS','RIO DO SUL','SC',20942,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2119951,1.00,6.00,7.00,7.00,8.00,4.00,6.00,7.00,2.00,301,451,NULL,'CENTRO','FLORIANOPOLIS','SC',8688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,108,NULL,'BAIRRO ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2119986,7.00,6.00,6.00,5.00,7.00,6.25,6.00,7.00,6.00,9,223,NULL,'FAZENDA STO ANTÔNIO','SAO JOSE','SC',3470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2119994,8.00,8.00,7.00,9.00,8.00,6.25,8.00,7.00,5.00,103,104,NULL,'BOM RETIRO','JOINVILLE','SC',1023,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2120003,5.00,7.00,5.00,6.00,7.00,6.25,6.00,6.00,4.00,207,319,201,'BOQUEIRÃO','SANTOS','SP',5755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120011,7.00,6.00,6.00,7.00,8.00,4.00,7.00,7.00,5.00,319,217,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',3783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120020,6.00,8.00,5.00,9.00,8.00,5.50,9.00,6.00,6.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',1808,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2120038,1.00,6.00,3.00,2.00,6.00,4.75,5.00,1.00,5.00,103,108,NULL,'TABOÃO','SAO ROQUE','SP',18422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120046,6.00,7.00,5.00,7.00,8.00,6.25,6.00,7.00,4.00,319,444,NULL,'MEIA PRAIA','ITAPEMA','SC',4312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,103,NULL,'BELA VISTA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2120070,5.00,8.00,2.00,7.00,8.00,8.00,6.00,4.00,3.00,208,222,238,'CENTRO','CHAPECO','SC',7314,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2120089,5.00,5.00,6.00,7.00,7.00,6.50,6.00,4.00,4.00,103,5,NULL,'AHHÚ','CURITIBA','PR',8424,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2120097,5.00,6.00,5.00,6.00,6.00,6.50,7.00,5.00,5.00,102,103,NULL,'CENTRO','CASCAVEL','PR',7042,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2120100,0.00,3.00,0.00,3.00,6.00,NULL,3.00,1.00,2.00,444,316,NULL,'PICADAS DO NORTE','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2120119,1.00,6.00,1.00,2.00,5.00,NULL,2.00,2.00,1.00,5,451,NULL,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2120127,6.00,6.00,7.00,8.00,9.00,5.25,9.00,7.00,7.00,233,301,216,'JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP',2217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120143,4.00,8.00,2.00,4.00,6.00,6.25,3.00,5.00,2.00,211,NULL,207,'PRESIDENTE ALTINO','OSASCO','SP',15178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120151,6.00,8.00,5.00,8.00,9.00,5.25,7.00,7.00,5.00,233,319,211,'BARREIROS','SAO JOSE','SC',2491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2120178,5.00,9.00,6.00,8.00,7.00,5.75,8.00,7.00,5.00,214,301,212,'CENTRO','CRICIUMA','SC',2431,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2120186,4.00,7.00,3.00,6.00,6.00,5.25,7.00,6.00,3.00,404,201,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',10328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120208,3.00,8.00,4.00,8.00,5.00,5.50,5.00,6.00,3.00,203,425,207,'CANTO DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120216,3.00,7.00,4.00,3.00,5.00,4.50,5.00,4.00,3.00,101,423,NULL,'CAMPINAS','SAO JOSE','SC',15704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2120224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'ESPLANADA II','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2120232,3.00,7.00,6.00,2.00,7.00,5.00,5.00,4.00,3.00,102,301,NULL,'TRINDADE','FLORIANOPOLIS','SC',13320,270,652,NULL,NULL,NULL,NULL,4,1),(15,2120240,5.00,7.00,5.00,8.00,8.00,5.50,8.00,8.00,3.00,214,220,203,'CENTRO','SANTA ROSA DE VITERBO','SP',3514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120259,2.00,5.00,6.00,2.00,6.00,6.00,7.00,7.00,5.00,238,318,208,'CARIANOS','FLORIANOPOLIS','SC',10221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120267,1.00,4.00,0.00,2.00,5.00,NULL,4.00,2.00,2.00,317,318,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2120275,0.00,8.00,3.00,4.00,4.00,6.75,6.00,6.00,2.00,5,303,NULL,'CAMPECHE','FLORIANOPOLIS','SC',13314,580,1196,NULL,NULL,NULL,NULL,4,1),(15,2120283,4.00,6.00,3.00,8.00,5.00,7.00,7.00,5.00,3.00,207,420,201,'ALTO DE MAFRA','MAFRA','SC',8388,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2120305,7.00,7.00,8.00,6.00,8.00,5.75,9.00,6.00,6.00,5,303,NULL,'KOBRASOL','SAO JOSE','SC',2221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120313,6.00,7.00,7.00,5.00,6.00,6.00,7.00,4.00,5.00,103,216,NULL,'CENTRO','JARAGUA DO SUL','SC',5585,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2120321,2.00,7.00,5.00,7.00,7.00,5.00,2.00,4.00,2.00,319,NULL,NULL,'CENTRO','BALNEARIO ARROIO DO SILVA','SC',13936,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2120330,5.00,7.00,3.00,5.00,8.00,6.25,3.00,6.00,5.00,103,9,NULL,'GUABIROTUBA','CURITIBA','PR',8469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120348,4.00,5.00,4.00,3.00,6.00,5.00,6.00,6.00,1.00,318,304,NULL,'PQ SÃO DOMINGOS','SAO PAULO','SP',14989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120356,2.00,4.00,2.00,3.00,3.00,4.50,2.00,5.00,1.00,420,207,NULL,'INTERIOR','JACUTINGA','RS',21870,439,1323,NULL,NULL,NULL,NULL,2,1),(15,2120364,3.00,6.00,3.00,3.00,7.00,5.75,6.00,7.00,4.00,108,333,NULL,'CENTRO','ERECHIM','RS',11553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120372,1.00,6.00,2.00,0.00,6.00,4.75,3.00,5.00,3.00,320,451,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',19498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'BAIRRO SÃO PELEGRINO','GETULIO VARGAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2120399,5.00,8.00,6.00,6.00,6.00,5.00,6.00,6.00,2.00,303,326,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',6842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120402,3.00,8.00,6.00,4.00,7.00,5.25,8.00,5.00,5.00,238,316,208,'ESTREITO','FLORIANOPOLIS','SC',6538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120410,4.00,8.00,6.00,9.00,8.00,6.25,7.00,6.00,4.00,233,301,208,'CENTRO','FLORIANOPOLIS','SC',3366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120429,7.00,7.00,5.00,7.00,7.00,6.00,6.00,5.00,4.00,108,NULL,NULL,'PÂNTANO DO SUL','FLORIANOPOLIS','SC',4883,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2120437,3.00,8.00,3.00,6.00,6.00,5.25,7.00,4.00,4.00,5,303,NULL,'ESTREITO','FLORIANOPOLIS','SC',11377,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2120445,3.00,6.00,3.00,1.00,6.00,3.75,4.00,6.00,2.00,501,502,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',16875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120453,2.00,4.00,2.00,5.00,2.00,NULL,2.00,3.00,3.00,501,444,NULL,'BOM RETIRO','MONTE CASTELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2120461,2.00,7.00,5.00,4.00,7.00,3.50,6.00,6.00,5.00,104,103,NULL,'MICHEL','CRICIUMA','SC',9759,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2120470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,213,NULL,'BOA VISTA','RIO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2120496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,203,233,'ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2120518,3.00,8.00,0.00,5.00,5.00,6.75,3.00,8.00,2.00,327,415,NULL,'JARDIM EUCALYPTOS','PALHOCA','SC',13070,69,710,NULL,NULL,NULL,NULL,2,1),(15,2120526,6.00,8.00,7.00,8.00,7.00,5.75,7.00,7.00,2.00,5,318,NULL,'PRAIA BRAVA','FLORIANOPOLIS','SC',3571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120534,1.00,7.00,3.00,4.00,6.00,6.25,3.00,5.00,1.00,331,332,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',16789,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2120550,4.00,5.00,5.00,6.00,6.00,6.00,3.00,5.00,4.00,304,316,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',11368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120569,5.00,6.00,7.00,5.00,8.00,4.50,6.00,5.00,5.00,203,214,202,'CENTRO','APUCARANA','PR',6408,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2120577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,202,NULL,'CENTRO','PAULO LOPES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2120585,5.00,7.00,8.00,8.00,9.00,7.25,7.00,6.00,6.00,216,217,238,'KOBRASOL','SAO JOSE','SC',1162,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2120593,3.00,4.00,5.00,7.00,7.00,5.50,3.00,5.00,1.00,104,333,NULL,'CENTRO','FLORIANOPOLIS','SC',13837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120607,1.00,5.00,3.00,5.00,6.00,3.75,4.00,3.00,2.00,215,108,216,'VL JAPI','JUNDIAI','SP',19493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2120615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'JARDIM BRASIL','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2120623,3.00,4.00,2.00,1.00,3.00,6.25,7.00,5.00,3.00,9,108,NULL,'JARDIM BONFIGLIOLLI','JUNDIAI','SP',19449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120631,5.00,8.00,6.00,8.00,9.00,4.75,5.00,7.00,4.00,316,318,NULL,'CENTRO','FLORIANOPOLIS','SC',5089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120640,6.00,8.00,7.00,7.00,8.00,6.50,5.00,7.00,5.00,216,327,215,'CENTRO','ARMAZEM','SC',3521,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2120658,5.00,8.00,6.00,9.00,8.00,4.75,9.00,6.00,6.00,415,424,NULL,'JARDIM FLORESTA','ATIBAIA','SP',2588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120666,3.00,5.00,6.00,9.00,7.00,8.00,4.00,7.00,3.00,317,318,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',7520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120682,2.00,5.00,1.00,5.00,6.00,6.00,4.00,5.00,2.00,333,331,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',16874,274,197,NULL,NULL,NULL,NULL,2,1),(15,2120690,6.00,5.00,7.00,3.00,7.00,4.75,8.00,4.00,7.00,203,316,214,'SÃO DOMINGOS','MOCOCA','SP',5578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120704,1.00,4.00,4.00,2.00,3.00,3.25,4.00,1.00,3.00,316,324,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',22319,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2120712,4.00,5.00,5.00,1.00,6.00,5.25,3.00,3.00,3.00,203,420,214,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120720,4.00,5.00,1.00,6.00,6.00,3.75,5.00,4.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',14915,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2120739,1.00,4.00,3.00,4.00,6.00,4.50,4.00,1.00,2.00,302,317,NULL,'FORQUILHINHAS','SAO JOSE','SC',21996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2120747,3.00,8.00,6.00,6.00,8.00,4.75,5.00,7.00,2.00,332,324,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',7313,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2120755,2.00,4.00,1.00,4.00,5.00,4.75,3.00,4.00,2.00,5,303,NULL,'VILA NOVA','IMBITUBA','SC',21301,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2120763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,224,212,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2120771,6.00,7.00,8.00,8.00,8.00,6.00,7.00,5.00,6.00,316,426,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',2313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120780,2.00,6.00,2.00,1.00,7.00,5.50,4.00,6.00,3.00,103,108,NULL,'CENTRO','RIO DO OESTE','SC',16277,2743,845,NULL,NULL,NULL,NULL,4,2),(15,2120798,3.00,8.00,3.00,7.00,9.00,6.50,6.00,4.00,2.00,316,425,NULL,'CENTRO','SAO JOSE','SC',9544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120801,5.00,8.00,6.00,9.00,8.00,4.75,5.00,6.00,6.00,207,215,233,'BOM ABRIGO','FLORIANOPOLIS','SC',3534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120810,3.00,5.00,1.00,5.00,7.00,5.25,2.00,5.00,1.00,102,217,NULL,'CENTRO','PALHOCA','SC',17541,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2120828,1.00,7.00,5.00,3.00,7.00,4.75,5.00,6.00,3.00,211,201,212,'PROGRESSO','MONTENEGRO','RS',13545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120836,5.00,7.00,5.00,4.00,7.00,4.25,5.00,4.00,3.00,318,316,NULL,'CENTRO','CRICIUMA','SC',11475,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2120844,5.00,3.00,3.00,2.00,3.00,5.75,7.00,7.00,4.00,211,225,233,'CAPIM MACIO','NATAL','RN',14219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120860,4.00,5.00,1.00,3.00,5.00,3.00,5.00,3.00,3.00,327,450,NULL,'PRAIA DO SANTINHO','FLORIANOPOLIS','SC',19070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120879,0.00,4.00,1.00,6.00,2.00,NULL,3.00,3.00,2.00,451,309,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2120895,0.00,4.00,1.00,1.00,4.00,NULL,3.00,3.00,2.00,103,9,NULL,'CENTRO','ANTONIO PRADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120909,8.00,7.00,8.00,6.00,8.00,6.00,7.00,7.00,7.00,9,324,NULL,'COQUEIROS','FLORIANOPOLIS','SC',1533,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2120917,2.00,7.00,1.00,3.00,6.00,3.75,3.00,4.00,3.00,103,102,NULL,'FREI ROGÉRIO','LAGES','SC',20016,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2120925,4.00,7.00,4.00,9.00,6.00,5.00,4.00,5.00,4.00,303,301,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',8328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120933,1.00,5.00,3.00,5.00,5.00,5.00,4.00,5.00,2.00,201,208,203,'INTERIOR','TIO HUGO','RS',17611,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2120941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,102,203,'CENTRO','QUILOMBO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2120950,4.00,8.00,4.00,5.00,9.00,6.75,5.00,8.00,4.00,301,326,NULL,'CENTRO','FLORIANOPOLIS','SC',4865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2120968,6.00,5.00,6.00,6.00,7.00,5.25,4.00,3.00,2.00,302,317,NULL,'ITACORUBI','FLORIANOPOLIS','SC',10066,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2120984,4.00,5.00,1.00,4.00,7.00,4.75,4.00,3.00,2.00,104,317,NULL,'BAIRRO DA ESTAÇÃO','URUSSANGA','SC',18170,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2120992,5.00,7.00,7.00,0.00,4.00,5.75,3.00,7.00,4.00,234,213,NULL,'UMARIZAL','BELEM','PA',13234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121000,5.00,6.00,4.00,6.00,7.00,5.25,6.00,4.00,5.00,429,301,425,'REAL PARQUE','SAO JOSE','SC',9334,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121018,0.00,6.00,4.00,4.00,7.00,6.50,6.00,5.00,1.00,5,303,NULL,'FAZENDA','ITAJAI','SC',12435,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2121026,3.00,7.00,8.00,6.00,8.00,6.00,8.00,4.00,6.00,203,501,201,'CENTRO','CAMPINA DA LAGOA','PR',4783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121034,5.00,5.00,9.00,8.00,6.00,6.00,7.00,6.00,6.00,233,324,208,'CAMPECHE','FLORIANOPOLIS','SC',2624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121050,3.00,7.00,4.00,8.00,6.00,6.75,5.00,6.00,2.00,2,225,NULL,'VILA OPERÁRIA','ITAJAI','SC',8353,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2121069,2.00,7.00,1.00,5.00,7.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,9),(15,2121077,5.00,8.00,6.00,7.00,8.00,6.25,6.00,5.00,5.00,102,217,NULL,'VILA NOGUEIRA','CAMPINAS','SP',3541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121085,1.00,4.00,3.00,4.00,5.00,5.00,4.00,5.00,1.00,429,5,NULL,'ALTO DA XV','CURITIBA','PR',19901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121093,4.00,7.00,5.00,7.00,6.00,4.75,6.00,5.00,5.00,316,108,NULL,'CAMPECHE','FLORIANOPOLIS','SC',8163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121107,1.00,5.00,1.00,3.00,5.00,4.50,4.00,3.00,1.00,421,424,429,'CAPOEIRAS','FLORIANOPOLIS','SC',21933,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121115,4.00,7.00,6.00,6.00,8.00,5.75,8.00,5.00,4.00,327,320,NULL,'ESTREITO','FLORIANOPOLIS','SC',5456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121123,0.00,5.00,2.00,3.00,3.00,6.25,3.00,7.00,0.00,202,220,208,'BOSQUE DAS MANSÕES','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121131,1.00,5.00,4.00,3.00,6.00,4.50,5.00,3.00,3.00,207,420,208,'CASTELO BRANCO','ITAPEMA','SC',18324,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2121158,1.00,4.00,3.00,4.00,4.00,4.00,2.00,6.00,1.00,424,426,423,'VILA NOVA ALVORADA','IMBITUBA','SC',21957,104,259,112,NULL,NULL,NULL,2,1),(15,2121166,4.00,6.00,2.00,6.00,4.00,5.50,2.00,6.00,0.00,217,316,NULL,'INTERIOR','AGUA DOCE','SC',15670,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2121174,3.00,6.00,2.00,7.00,6.00,5.75,3.00,2.00,3.00,224,317,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',16150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121190,1.00,4.00,4.00,3.00,6.00,5.75,2.00,3.00,2.00,304,444,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121204,2.00,6.00,2.00,5.00,6.00,5.50,5.00,4.00,4.00,316,426,NULL,'CENTRO','FLORIANOPOLIS','SC',13589,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121239,4.00,7.00,4.00,9.00,7.00,5.75,5.00,5.00,4.00,103,216,NULL,'CENTRO','LONDRINA','PR',7732,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2121255,4.00,4.00,4.00,5.00,3.00,4.00,4.00,7.00,4.00,103,101,NULL,'CENTRO','SAO JOSE DO RIO PRETO','SP',15032,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121271,1.00,2.00,2.00,2.00,4.00,NULL,3.00,2.00,0.00,444,324,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121280,6.00,6.00,8.00,8.00,8.00,6.00,6.00,6.00,4.00,203,2,220,'SÃO PEDRO','BRUSQUE','SC',2875,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2121298,1.00,6.00,1.00,1.00,4.00,5.50,3.00,4.00,1.00,303,5,NULL,'CENTRO','TUBARAO','SC',21577,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2121301,3.00,8.00,1.00,4.00,5.00,5.50,4.00,5.00,2.00,415,NULL,NULL,'JARDIM TEIXEIRA','ORLANDIA','SP',16892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121310,4.00,4.00,3.00,6.00,5.00,5.75,3.00,3.00,1.00,9,215,NULL,'CENTRO','PALHOCA','SC',17633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121328,4.00,5.00,3.00,4.00,9.00,4.75,6.00,5.00,2.00,326,324,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',12380,63,195,NULL,NULL,NULL,NULL,2,1),(15,2121336,2.00,7.00,4.00,6.00,7.00,5.00,4.00,4.00,3.00,319,102,NULL,'SANTO ANTONIO','MANGUEIRINHA','PR',12465,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2121344,6.00,8.00,9.00,6.00,7.00,7.00,9.00,8.00,6.00,103,310,NULL,'CENTRO','FLORIANOPOLIS','SC',919,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121360,5.00,7.00,5.00,5.00,7.00,5.00,4.00,4.00,4.00,220,303,203,'NOSSA SRA APARECIDA','FRANCISCO BELTRAO','PR',9567,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2121379,7.00,7.00,6.00,8.00,9.00,6.25,8.00,8.00,3.00,103,101,NULL,'CENTRO','FLORIANOPOLIS','SC',2016,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121387,1.00,5.00,1.00,2.00,5.00,5.00,4.00,2.00,3.00,9,420,NULL,'CENTRO','VACARIA','RS',21603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121395,4.00,8.00,5.00,6.00,7.00,3.50,7.00,5.00,4.00,203,202,220,'COQUEIROS','FLORIANOPOLIS','SC',8855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121409,4.00,5.00,2.00,5.00,6.00,6.00,3.00,6.00,4.00,103,108,NULL,'CENTRO','PORTO UNIAO','SC',13407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121425,8.00,8.00,7.00,7.00,8.00,5.25,6.00,7.00,4.00,103,423,NULL,'KOBRASOL','SAO JOSE','SC',3188,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121433,1.00,9.00,5.00,7.00,9.00,7.25,5.00,7.00,3.00,318,316,NULL,'CENTRO','CRICIUMA','SC',4953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121441,4.00,5.00,7.00,4.00,7.00,4.00,5.00,2.00,4.00,224,302,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',11652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121450,6.00,8.00,8.00,8.00,8.00,5.50,9.00,7.00,6.00,233,214,212,'NEVA','CASCAVEL','PR',1025,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2121468,1.00,4.00,6.00,3.00,5.00,3.50,1.00,3.00,2.00,201,318,233,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',22160,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121476,6.00,9.00,9.00,7.00,9.00,6.50,6.00,7.00,6.00,103,301,NULL,'CENTRO','NOVA VENEZA','SC',1290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121484,1.00,6.00,2.00,7.00,4.00,5.75,1.00,3.00,1.00,238,420,207,'TRINDADE','FLORIANOPOLIS','SC',19868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121492,5.00,8.00,7.00,6.00,9.00,6.00,6.00,8.00,5.00,203,328,216,'BERGER','CACADOR','SC',3193,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2121506,2.00,5.00,1.00,3.00,6.00,6.50,5.00,7.00,1.00,420,238,NULL,'BRAS CUBAS','MOGI DAS CRUZES','SP',16336,323,963,NULL,NULL,NULL,NULL,4,1),(15,2121514,3.00,6.00,3.00,4.00,6.00,6.50,3.00,3.00,2.00,316,234,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',17147,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,333,NULL,'VILA CLAUDIA GLORIA','PRESIDENTE PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2121530,1.00,2.00,2.00,0.00,5.00,NULL,2.00,3.00,1.00,333,108,NULL,'ASA NORTE','BRASILIA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121549,1.00,8.00,4.00,4.00,6.00,4.75,5.00,6.00,3.00,203,5,207,'CENTRO','FLORIANOPOLIS','SC',12086,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121557,3.00,9.00,8.00,8.00,8.00,6.50,5.00,5.00,3.00,216,214,233,'CENTRO','CRICIUMA','SC',5098,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2121565,5.00,8.00,6.00,8.00,7.00,6.25,7.00,5.00,4.00,102,444,NULL,'VILA ITAPURA','CAMPINAS','SP',4805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121573,5.00,7.00,4.00,5.00,8.00,6.25,6.00,8.00,5.00,5,308,NULL,'KOBRASOL','SAO JOSE','SC',5642,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121590,1.00,5.00,5.00,5.00,4.00,5.75,3.00,4.00,3.00,332,324,NULL,'ROÇADO','SAO JOSE','SC',18189,106,321,NULL,NULL,NULL,NULL,2,1),(15,2121603,4.00,6.00,4.00,1.00,7.00,4.75,4.00,5.00,2.00,207,426,238,'PÂNTANO DO SUL','FLORIANOPOLIS','SC',16260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121611,6.00,8.00,7.00,4.00,8.00,7.25,8.00,7.00,5.00,103,NULL,NULL,'TESTO SALTO','BLUMENAU','SC',2439,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2121620,2.00,5.00,4.00,7.00,6.00,6.00,6.00,3.00,3.00,202,213,203,'JARDIM CURITIBA','GOIOERE','PR',11619,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2121638,4.00,8.00,2.00,8.00,8.00,5.75,8.00,7.00,4.00,319,428,NULL,'CENTRO HISTÓRICO','SAO JOSE','SC',5950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121646,4.00,8.00,5.00,1.00,7.00,6.75,5.00,6.00,3.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',10729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121654,4.00,6.00,3.00,5.00,6.00,5.75,4.00,6.00,3.00,427,234,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',13105,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2121662,3.00,6.00,0.00,7.00,5.00,5.75,3.00,6.00,2.00,303,301,NULL,'LAGO SUL','LAGO SUL','DF',15663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121670,4.00,8.00,2.00,6.00,7.00,5.50,4.00,6.00,3.00,103,5,NULL,'CENTRO','MARAVILHA','SC',10737,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2121689,3.00,4.00,3.00,4.00,4.00,5.50,2.00,2.00,2.00,304,420,NULL,'CENTRO','FLORIANOPOLIS','SC',21404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121697,4.00,4.00,7.00,6.00,6.00,5.75,6.00,5.00,2.00,104,326,NULL,'CENTRO','FLORIANOPOLIS','SC',11112,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'CENTRO','JOACABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2121719,4.00,8.00,3.00,8.00,3.00,4.75,6.00,3.00,3.00,308,207,NULL,'PANTANAL','FLORIANOPOLIS','SC',12517,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2121727,4.00,8.00,5.00,8.00,8.00,6.50,7.00,7.00,2.00,214,301,212,'MONTE VERDE','FLORIANOPOLIS','SC',4413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121751,3.00,7.00,6.00,4.00,8.00,6.75,5.00,5.00,6.00,207,333,216,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',7458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121760,2.00,4.00,1.00,3.00,5.00,NULL,2.00,3.00,0.00,317,316,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121778,7.00,8.00,9.00,7.00,9.00,7.00,9.00,8.00,6.00,304,328,NULL,'MINA UNIAO','CRICIUMA','SC',632,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2121786,5.00,8.00,6.00,4.00,8.00,6.00,6.00,8.00,5.00,203,2,233,'JARDIM DAS ACACIAS','SAO JOSE','SC',4052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121794,5.00,6.00,6.00,5.00,7.00,6.00,6.00,6.00,4.00,301,316,NULL,'CENTRO','JARAGUA DO SUL','SC',5990,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2121808,6.00,8.00,6.00,7.00,8.00,8.25,8.00,8.00,5.00,450,326,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',1391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121824,4.00,7.00,2.00,6.00,6.00,5.50,4.00,6.00,4.00,309,450,NULL,'APARECIDA','SANTOS','SP',11486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121840,3.00,6.00,2.00,1.00,5.00,5.00,7.00,4.00,3.00,213,225,202,'OFICINAS','TUBARAO','SC',16732,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2121859,3.00,5.00,3.00,1.00,3.00,5.50,4.00,0.00,3.00,203,NULL,214,'MICHEL','CRICIUMA','SC',21953,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2121867,4.00,7.00,7.00,4.00,7.00,4.00,6.00,4.00,2.00,202,2,233,'ESTREITO','FLORIANOPOLIS','SC',11077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121875,6.00,9.00,6.00,8.00,9.00,7.25,7.00,5.00,4.00,238,420,207,'CENTRO','ICARA','SC',2110,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2121883,4.00,6.00,0.00,2.00,6.00,NULL,6.00,6.00,3.00,207,425,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,501,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2121905,6.00,7.00,6.00,9.00,7.00,6.25,6.00,5.00,5.00,303,301,NULL,'ESTREITO','FLORIANOPOLIS','SC',4469,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'JARDIM PRIMAVERA','BRAGANCA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2121930,3.00,3.00,2.00,5.00,3.00,3.75,2.00,2.00,2.00,339,324,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',22142,172,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121948,0.00,2.00,6.00,5.00,3.00,4.00,5.00,3.00,3.00,333,NULL,NULL,'KOBRASOL II','SAO JOSE','SC',20143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121956,3.00,3.00,1.00,5.00,7.00,6.25,1.00,5.00,2.00,104,319,NULL,'CENTRO','FLORIANOPOLIS','SC',18838,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2121964,3.00,7.00,3.00,3.00,6.00,6.75,6.00,4.00,3.00,304,301,NULL,'SANTINHO','FLORIANOPOLIS','SC',13631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2121980,4.00,5.00,4.00,7.00,8.00,5.50,4.00,6.00,2.00,5,327,NULL,'CENTRO','BRACO DO NORTE','SC',10380,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2121999,6.00,7.00,8.00,7.00,8.00,5.75,7.00,4.00,5.00,103,102,NULL,'CARAVAGGIO','NOVA VENEZA','SC',3568,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2122006,5.00,4.00,4.00,4.00,6.00,3.50,3.00,5.00,4.00,103,104,NULL,'CENTRO','VACARIA','RS',17357,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2122014,2.00,5.00,5.00,6.00,9.00,7.25,4.00,4.00,4.00,216,233,220,'CENTRO','SANTA MARIA','RS',9147,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2122022,7.00,9.00,7.00,9.00,9.00,5.25,9.00,7.00,6.00,104,303,NULL,'TRINDADE','FLORIANOPOLIS','SC',812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122030,4.00,6.00,1.00,3.00,5.00,4.50,3.00,5.00,1.00,208,207,238,'KOBRASOL','SAO JOSE','SC',19887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122049,5.00,7.00,8.00,5.00,8.00,5.25,6.00,5.00,4.00,103,101,NULL,'CENTRO','FLORIANOPOLIS','SC',6190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,324,424,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2122065,5.00,7.00,8.00,5.00,6.00,7.25,5.00,5.00,6.00,220,213,202,'UBERABA','CURITIBA','PR',5680,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2122073,4.00,7.00,5.00,6.00,6.00,6.25,6.00,6.00,4.00,444,404,NULL,'BARRA DO ARIRIÚ','PALHOCA','SC',6659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2122081,3.00,7.00,4.00,2.00,7.00,5.00,5.00,6.00,2.00,444,404,NULL,'DANIELA','FLORIANOPOLIS','SC',13916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122090,3.00,4.00,0.00,6.00,6.00,7.75,4.00,5.00,3.00,302,317,NULL,'CENTRO','TURVO','SC',12597,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2122103,1.00,5.00,1.00,0.00,5.00,NULL,2.00,2.00,2.00,317,316,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122111,6.00,7.00,7.00,8.00,8.00,5.75,8.00,6.00,5.00,316,339,NULL,'ESTREITO','FLORIANOPOLIS','SC',2493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2122120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'LAGOA DO POTREIRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2122138,3.00,5.00,0.00,4.00,2.00,NULL,5.00,7.00,3.00,429,424,425,'COLONINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122154,7.00,8.00,9.00,8.00,9.00,6.00,7.00,8.00,7.00,211,333,215,'CENTRO','ORLEANS','SC',826,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2122162,4.00,7.00,7.00,8.00,4.00,8.00,7.00,7.00,5.00,450,326,NULL,'SANTA FELICIDADE','CURITIBA','PR',3472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122170,4.00,7.00,1.00,8.00,8.00,7.50,4.00,8.00,2.00,303,NULL,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',7256,407,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122189,1.00,2.00,1.00,5.00,5.00,NULL,2.00,1.00,1.00,502,9,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2122197,9.00,9.00,8.00,8.00,9.00,7.75,8.00,8.00,7.00,103,329,NULL,'JD CIDADE FPOLIS','SAO JOSE','SC',192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122200,3.00,4.00,1.00,6.00,7.00,7.00,1.00,2.00,2.00,333,101,NULL,'CENTRO','CHAPECO','SC',18788,331,710,NULL,NULL,NULL,NULL,2,4),(15,2122219,2.00,5.00,2.00,5.00,5.00,6.25,4.00,2.00,2.00,333,108,NULL,'PARQUE SÃO PAULO','CASCAVEL','PR',17311,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2122227,1.00,3.00,1.00,1.00,3.00,NULL,2.00,1.00,0.00,207,420,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'PITUBA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2122243,8.00,8.00,6.00,5.00,7.00,7.00,6.00,8.00,6.00,450,415,NULL,'SAPÉ','CACAPAVA','SP',2006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122251,1.00,4.00,3.00,6.00,3.00,NULL,1.00,1.00,1.00,301,326,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2122260,3.00,5.00,2.00,6.00,7.00,5.25,3.00,5.00,2.00,339,324,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',17240,66,291,NULL,NULL,NULL,NULL,2,1),(15,2122286,5.00,8.00,6.00,6.00,8.00,6.00,7.00,5.00,5.00,104,101,NULL,'CENTRO','ITAPETININGA','SP',4698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122294,5.00,7.00,4.00,8.00,9.00,6.00,6.00,6.00,5.00,108,501,NULL,'BARREIROS','SAO JOSE','SC',4768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122308,2.00,6.00,2.00,2.00,7.00,5.50,4.00,5.00,4.00,429,301,425,'ESTREITO','FLORIANOPOLIS','SC',16559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122316,2.00,6.00,1.00,7.00,7.00,6.75,5.00,6.00,3.00,316,420,NULL,'JD CIDADE FPOLIS','SAO JOSE','SC',11218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122324,2.00,6.00,2.00,2.00,7.00,5.25,5.00,4.00,4.00,103,333,NULL,'FATIMA','JOINVILLE','SC',14922,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2122332,4.00,7.00,2.00,8.00,9.00,7.00,6.00,5.00,4.00,415,301,NULL,'CENTRO','FLORIANOPOLIS','SC',6785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,332,NULL,'JARDIM MOTORAMA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2122359,7.00,7.00,6.00,5.00,9.00,6.00,7.00,7.00,6.00,103,101,NULL,'ESTREITO','FLORIANOPOLIS','SC',3091,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2122375,3.00,4.00,3.00,4.00,4.00,4.50,4.00,3.00,5.00,102,9,NULL,'CARIANOS','FLORIANOPOLIS','SC',18444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2122383,4.00,8.00,5.00,7.00,7.00,5.00,7.00,8.00,3.00,303,316,NULL,'JARDIM ELDORADO','PALHOCA','SC',4034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122391,4.00,6.00,4.00,6.00,6.00,5.75,5.00,6.00,4.00,404,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2122405,3.00,5.00,5.00,6.00,6.00,5.50,6.00,6.00,3.00,201,333,212,'TROPICAL','CASCAVEL','PR',9499,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2122413,3.00,7.00,3.00,4.00,7.00,5.75,4.00,4.00,4.00,203,326,214,'CENTRO','FLORIANOPOLIS','SC',13511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122421,3.00,4.00,2.00,4.00,6.00,7.00,4.00,3.00,2.00,450,420,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122430,3.00,8.00,3.00,7.00,5.00,4.00,3.00,5.00,2.00,207,212,201,'RIO TAVARES','FLORIANOPOLIS','SC',14528,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2122448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,420,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2122456,2.00,6.00,6.00,4.00,5.00,3.75,4.00,5.00,1.00,212,316,220,'CENTRO','PRESIDENTE PRUDENTE','SP',16752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122464,2.00,6.00,3.00,1.00,4.00,6.25,5.00,5.00,2.00,333,234,NULL,'LAGEADO','COTIA','SP',18591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122472,3.00,6.00,5.00,1.00,6.00,5.50,4.00,5.00,2.00,216,333,NULL,'JARDIM DO LAGO','PIRASSUNUNGA','SP',16111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122480,3.00,5.00,3.00,6.00,7.00,5.00,4.00,4.00,2.00,309,326,NULL,'JARDIM PRESIDENTE','LONDRINA','PR',15067,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2122499,0.00,3.00,1.00,4.00,6.00,4.75,3.00,6.00,2.00,304,318,NULL,'RETIRO DAS PEDRAS','BRUMADINHO','MG',20046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122502,3.00,7.00,5.00,6.00,6.00,5.50,6.00,5.00,2.00,304,302,NULL,'CENTRO','FLORIANOPOLIS','SC',9581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122510,5.00,8.00,5.00,7.00,8.00,6.50,7.00,9.00,4.00,301,316,NULL,'PINHEIROS','SAO PAULO','SP',2666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122529,5.00,8.00,7.00,8.00,8.00,7.75,5.00,6.00,3.00,211,222,216,'MORADA DO SOL','MARAVILHA','SC',3666,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2122537,5.00,7.00,3.00,6.00,6.00,5.50,4.00,5.00,2.00,303,415,NULL,'CENTRO','SAO LOURENCO DO OESTE','SC',12920,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2122545,1.00,6.00,4.00,7.00,6.00,5.75,3.00,4.00,4.00,420,301,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',13465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122553,3.00,4.00,1.00,5.00,3.00,5.00,3.00,2.00,0.00,308,9,NULL,'PIO CORREIA','CRICIUMA','SC',22221,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2122561,6.00,7.00,8.00,8.00,6.00,6.50,8.00,8.00,7.00,103,104,NULL,'CRISTO REDENTOR','PORTO ALEGRE','RS',1466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,238,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2122588,6.00,7.00,4.00,3.00,7.00,5.00,6.00,5.00,3.00,444,331,NULL,'CAMPECHE','FLORIANOPOLIS','SC',9377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122600,7.00,7.00,5.00,7.00,8.00,5.50,6.00,8.00,4.00,420,207,NULL,'CANTO','FLORIANOPOLIS','SC',4736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122618,1.00,5.00,0.00,6.00,3.00,5.00,3.00,4.00,1.00,303,NULL,NULL,'CONGONHAS','TUBARAO','SC',21211,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2122626,3.00,8.00,6.00,6.00,8.00,5.50,9.00,5.00,5.00,303,301,NULL,'ABRAÃO','FLORIANOPOLIS','SC',5573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122642,4.00,5.00,3.00,8.00,7.00,4.25,4.00,6.00,2.00,108,326,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',12406,263,242,NULL,NULL,NULL,NULL,4,1),(15,2122650,4.00,6.00,5.00,7.00,5.00,6.25,5.00,7.00,4.00,404,423,NULL,'ITACORUBI','FLORIANOPOLIS','SC',8355,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2122669,4.00,7.00,6.00,9.00,9.00,6.50,5.00,6.00,3.00,5,211,NULL,'COUNTRY','CASCAVEL','PR',4432,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2122677,0.00,0.00,0.00,0.00,5.00,NULL,0.00,0.00,0.00,333,319,NULL,'CENTRO','ARVOREDO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(15,2122685,2.00,3.00,2.00,4.00,3.00,5.25,2.00,3.00,1.00,102,101,NULL,'CACHOEIRA','SALETE','SC',22334,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2122715,6.00,8.00,7.00,9.00,9.00,6.00,8.00,7.00,5.00,333,211,NULL,'JARDIM ARAPUÃ','LINS','SP',1778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122723,4.00,8.00,7.00,7.00,8.00,5.50,7.00,5.00,4.00,103,319,NULL,'FLORESTA','SAO JOSE','SC',3782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2122731,4.00,7.00,1.00,9.00,9.00,5.50,3.00,7.00,2.00,425,424,423,'CENTRO','FLORIANOPOLIS','SC',9986,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2122740,6.00,8.00,5.00,5.00,6.00,4.75,7.00,4.00,5.00,103,108,NULL,'JARDIM AMÉRICA','SOROCABA','SP',6569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122766,3.00,4.00,5.00,2.00,6.00,4.25,5.00,6.00,2.00,220,214,203,'JARDIM JEQUITIBA','MARILIA','SP',16756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122774,6.00,7.00,5.00,7.00,6.00,6.75,9.00,8.00,7.00,103,104,NULL,'VILA PARAISO','CAMPINAS','SP',2283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122790,5.00,8.00,6.00,6.00,6.00,5.50,7.00,5.00,3.00,103,203,NULL,'COMERCIÁRIO','CRICIUMA','SC',6585,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2122804,4.00,5.00,2.00,5.00,6.00,6.50,3.00,5.00,2.00,333,424,NULL,'RATONES','FLORIANOPOLIS','SC',15182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2122820,4.00,8.00,4.00,8.00,7.00,6.25,7.00,7.00,5.00,203,202,216,'CENTRO','FLORIANOPOLIS','SC',4423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122839,4.00,6.00,2.00,8.00,5.00,5.25,4.00,7.00,3.00,429,425,428,'BARREIROS','SAO JOSE','SC',10222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122847,3.00,5.00,3.00,5.00,8.00,5.00,3.00,5.00,4.00,103,9,NULL,'CENTRO','FLORIANOPOLIS','SC',14838,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2122855,3.00,8.00,3.00,4.00,7.00,6.00,3.00,3.00,5.00,104,308,NULL,'SÃO JOSÉ','SAO JOSE','SC',12805,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2122863,4.00,6.00,6.00,0.00,7.00,4.75,6.00,6.00,1.00,103,101,NULL,'JD CASARÃO','SUMARE','SP',13150,2457,594,NULL,NULL,NULL,NULL,4,1),(15,2122871,2.00,7.00,1.00,3.00,5.00,4.25,3.00,4.00,3.00,217,223,NULL,'CAMPECHE','FLORIANOPOLIS','SC',19026,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2122898,4.00,8.00,4.00,5.00,7.00,4.50,4.00,5.00,2.00,420,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',11594,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2122910,8.00,8.00,9.00,8.00,8.00,7.25,8.00,8.00,6.00,303,318,NULL,'SANTOS DUMONT','SAO JOSE','SC',365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122928,4.00,9.00,4.00,9.00,7.00,5.75,7.00,7.00,4.00,207,203,220,'CENTRO','FLORIANOPOLIS','SC',4622,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2122936,4.00,7.00,7.00,7.00,8.00,5.50,7.00,7.00,8.00,333,217,NULL,'VILA ZELINA','SAO PAULO','SP',3365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122952,3.00,7.00,3.00,5.00,7.00,6.50,5.00,6.00,4.00,327,329,NULL,'BOM RETIRO','VALINHOS','SP',10635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2122960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,317,NULL,'JARDIM PARAGUAÇU','SAO MIGUEL DO IGUACU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2122979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,207,NULL,'CHACARA CACHOEIRA','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2122987,4.00,5.00,3.00,7.00,6.00,6.00,4.00,4.00,3.00,319,415,NULL,'CENTRO','JACAREI','SP',11692,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2122995,5.00,5.00,4.00,6.00,7.00,6.50,6.00,5.00,2.00,103,104,NULL,'CENTRO','CAMPOS NOVOS','SC',10220,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2123002,4.00,6.00,1.00,7.00,5.00,6.25,5.00,5.00,5.00,303,207,NULL,'CENTRO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2123010,5.00,7.00,5.00,1.00,9.00,6.25,6.00,6.00,6.00,207,212,201,'JARDIM GUANABARA','CUIABA','MT',8046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123029,5.00,8.00,5.00,7.00,8.00,4.75,4.00,6.00,3.00,103,319,NULL,'FIGUEIRA','URUSSANGA','SC',5757,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2123037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,103,216,'JARDIM BOTANICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2123045,4.00,7.00,8.00,9.00,9.00,5.25,8.00,7.00,3.00,214,224,233,'CENTRO','CRICIUMA','SC',3302,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2123053,3.00,8.00,3.00,4.00,6.00,5.00,6.00,6.00,2.00,501,326,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',12384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','ALFENAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2123070,3.00,6.00,4.00,4.00,8.00,5.75,5.00,5.00,1.00,216,217,NULL,'CENTRO','VIDEIRA','SC',12503,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2123088,7.00,7.00,7.00,7.00,7.00,4.25,7.00,4.00,4.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',4532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123100,3.00,4.00,5.00,7.00,6.00,6.00,4.00,7.00,5.00,318,332,NULL,'TAPERA','FLORIANOPOLIS','SC',10325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123118,4.00,8.00,7.00,9.00,6.00,7.00,5.00,6.00,3.00,415,450,NULL,'JARDIM SUMARÉ','RIBEIRAO PRETO','SP',5763,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2123126,4.00,7.00,7.00,7.00,7.00,6.00,7.00,6.00,4.00,303,415,NULL,'CENTRO','FLORIANOPOLIS','SC',5325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123134,2.00,6.00,3.00,6.00,8.00,4.75,5.00,5.00,4.00,501,331,NULL,'V JOAQUIM INÁCIO','CAMPINAS','SP',11297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123142,2.00,6.00,3.00,7.00,6.00,6.50,2.00,7.00,3.00,327,339,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',12462,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123169,4.00,8.00,4.00,4.00,6.00,6.25,6.00,7.00,5.00,304,223,NULL,'CENTRO','PORTO BELO','SC',8308,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2123177,0.00,6.00,1.00,4.00,3.00,4.25,2.00,2.00,1.00,223,317,NULL,'POTECAS','SAO JOSE','SC',22427,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123185,2.00,5.00,3.00,6.00,5.00,4.75,2.00,6.00,4.00,316,211,NULL,'COMERCIARIO','CRICIUMA','SC',16907,475,NULL,NULL,NULL,NULL,NULL,2,5),(15,2123193,2.00,8.00,4.00,3.00,5.00,6.00,6.00,4.00,3.00,303,5,NULL,'VILA ANTONIO VENDAS','CAMPO GRANDE','MS',13743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123215,4.00,5.00,4.00,6.00,8.00,6.25,4.00,3.00,1.00,308,420,NULL,'DANIELA','FLORIANOPOLIS','SC',13336,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123231,6.00,7.00,3.00,8.00,6.00,5.00,6.00,3.00,6.00,415,317,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',7806,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2123258,6.00,7.00,5.00,6.00,6.00,6.00,4.00,4.00,5.00,404,421,NULL,'ITACORUBI','FLORIANOPOLIS','SC',8350,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123274,5.00,8.00,9.00,8.00,9.00,8.00,9.00,7.00,7.00,203,NULL,233,'CENTRO','ARARANGUA','SC',614,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2123282,6.00,9.00,6.00,8.00,8.00,5.50,5.00,6.00,4.00,331,332,NULL,'CAMPECHE','FLORIANOPOLIS','SC',3829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123304,1.00,3.00,3.00,0.00,4.00,NULL,5.00,2.00,2.00,444,309,NULL,'SANTOS DUMONT','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123312,3.00,6.00,4.00,5.00,7.00,6.00,4.00,6.00,3.00,428,NULL,423,'CENTRO','FLORIANOPOLIS','SC',10539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123320,6.00,7.00,4.00,8.00,7.00,10.00,6.00,5.00,3.00,103,415,NULL,'CENTRO','CURITIBA','PR',4192,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2123339,2.00,5.00,3.00,4.00,7.00,5.50,5.00,3.00,3.00,501,108,NULL,'ARIRIU','PALHOCA','SC',16373,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123347,3.00,7.00,3.00,7.00,8.00,6.00,5.00,6.00,4.00,303,428,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',8318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123363,5.00,8.00,4.00,9.00,6.00,6.50,4.00,4.00,2.00,102,329,NULL,'CENTRO','PALHOCA','SC',8870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123371,8.00,8.00,8.00,8.00,8.00,9.50,9.00,8.00,7.00,303,5,NULL,'TRINDADE','FLORIANOPOLIS','SC',69,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123380,6.00,8.00,3.00,7.00,8.00,5.50,7.00,8.00,4.00,5,303,NULL,'KOBRASOL','SAO JOSE','SC',4512,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123398,2.00,7.00,2.00,3.00,6.00,5.25,3.00,6.00,4.00,331,319,NULL,'CAMPECHE','FLORIANOPOLIS','SC',14552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123401,2.00,6.00,2.00,6.00,5.00,5.00,4.00,5.00,5.00,104,502,NULL,'INGLESES','FLORIANOPOLIS','SC',14715,481,249,NULL,NULL,NULL,NULL,2,1),(15,2123410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,310,NULL,'JD AVIAÇÃO','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2123428,5.00,7.00,9.00,6.00,8.00,6.00,7.00,3.00,6.00,238,420,208,'BARREIROS','SAO JOSE','SC',4345,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123436,1.00,8.00,4.00,7.00,5.00,5.50,4.00,4.00,5.00,104,444,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123444,2.00,6.00,3.00,6.00,6.00,6.25,5.00,3.00,1.00,319,211,NULL,'CENTRO','CHAPECO','SC',15052,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2123452,3.00,5.00,0.00,5.00,5.00,4.75,2.00,4.00,1.00,102,309,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',21609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123479,6.00,8.00,7.00,4.00,7.00,5.50,8.00,8.00,3.00,327,326,NULL,'RESSACADA','ITAJAI','SC',4519,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2123487,3.00,7.00,3.00,7.00,8.00,6.75,3.00,5.00,3.00,103,319,NULL,'TRINDADE','FLORIANOPOLIS','SC',10063,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123495,3.00,7.00,7.00,2.00,6.00,4.50,6.00,4.00,6.00,102,217,NULL,'CENTRO','BRAGANCA PAULISTA','SP',10986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123509,1.00,5.00,1.00,1.00,5.00,NULL,4.00,2.00,2.00,502,NULL,NULL,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2123517,7.00,9.00,8.00,5.00,8.00,6.25,7.00,6.00,3.00,5,331,NULL,'CENTRO','FLORIANOPOLIS','SC',2725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123525,1.00,8.00,1.00,5.00,8.00,5.25,4.00,8.00,2.00,207,327,NULL,'INGLESES','FLORIANOPOLIS','SC',12864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123533,4.00,6.00,5.00,2.00,7.00,6.00,6.00,7.00,5.00,9,215,NULL,'TRINDADE','FLORIANOPOLIS','SC',8571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123541,6.00,7.00,7.00,4.00,7.00,6.50,6.00,5.00,7.00,207,424,201,'ESTREITO','FLORIANOPOLIS','SC',4306,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123550,5.00,6.00,3.00,6.00,8.00,6.00,4.00,6.00,3.00,303,333,NULL,'ARI BORTOLI','SAO DOMINGOS','SC',10170,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2123568,3.00,6.00,5.00,3.00,5.00,6.75,6.00,7.00,2.00,216,202,203,'ITOUPAVA NORTE','BLUMENAU','SC',11412,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2123576,1.00,4.00,3.00,3.00,4.00,4.50,4.00,3.00,1.00,2,301,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',22310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123592,5.00,7.00,5.00,6.00,9.00,7.25,7.00,7.00,6.00,501,426,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',2823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123606,1.00,8.00,5.00,6.00,7.00,5.00,5.00,2.00,2.00,102,316,NULL,'BARREIROS','SAO JOSE','SC',13870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123614,5.00,6.00,8.00,8.00,8.00,6.25,7.00,8.00,5.00,420,328,NULL,'JARDIM ESPLANADA','SAO JOSE DOS CAMPOS','SP',3078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'PITUBA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2123630,1.00,5.00,1.00,2.00,5.00,4.00,3.00,2.00,2.00,339,319,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',21987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123649,2.00,6.00,3.00,4.00,6.00,6.00,3.00,3.00,5.00,316,424,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',14610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123657,6.00,5.00,4.00,5.00,7.00,5.00,6.00,5.00,2.00,211,501,215,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123665,5.00,8.00,5.00,9.00,8.00,4.50,5.00,8.00,6.00,303,5,NULL,'ITACORUBI','FLORIANOPOLIS','SC',3824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123681,5.00,6.00,5.00,5.00,8.00,6.00,7.00,7.00,4.00,333,332,NULL,'KOBRASOL','SAO JOSE','SC',6038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123690,2.00,8.00,3.00,5.00,6.00,6.25,2.00,5.00,2.00,429,332,425,'ESTREITO','FLORIANOPOLIS','SC',14748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123703,4.00,9.00,1.00,5.00,7.00,5.75,5.00,6.00,2.00,5,318,NULL,'BARREIROS','SAO JOSE','SC',9949,433,372,NULL,NULL,NULL,NULL,4,1),(15,2123711,3.00,6.00,3.00,6.00,4.00,5.75,4.00,5.00,2.00,5,102,NULL,'SANTINHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123720,3.00,9.00,1.00,5.00,7.00,5.00,3.00,5.00,3.00,501,444,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',11924,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,331,NULL,'SÃO LUIZ','ITU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2123746,3.00,6.00,6.00,6.00,7.00,5.25,5.00,5.00,6.00,316,222,NULL,'CENTRO','BIGUACU','SC',10033,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123754,1.00,6.00,0.00,3.00,6.00,4.25,1.00,3.00,3.00,5,308,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',21438,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123762,2.00,7.00,4.00,6.00,5.00,5.50,4.00,2.00,4.00,303,451,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123770,7.00,8.00,9.00,7.00,7.00,6.50,8.00,8.00,8.00,216,217,211,'UNIVERSITÁRIO','LAGES','SC',347,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2123789,4.00,6.00,8.00,7.00,7.00,7.00,7.00,7.00,4.00,216,102,207,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2123797,3.00,6.00,1.00,4.00,5.00,6.50,5.00,5.00,3.00,5,9,NULL,'TAPERA','FLORIANOPOLIS','SC',16257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123800,1.00,5.00,4.00,2.00,4.00,3.50,1.00,3.00,1.00,339,450,NULL,'VINTE CINCO JULHO','SAO BENTO DO SUL','SC',22498,182,368,NULL,NULL,NULL,NULL,2,1),(15,2123819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,108,NULL,'BELA VISTA','CORONEL VIVIDA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2123827,5.00,8.00,7.00,5.00,6.00,5.75,7.00,9.00,4.00,222,217,NULL,'ABRAÃO','FLORIANOPOLIS','SC',4168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123835,8.00,8.00,5.00,7.00,8.00,7.50,6.00,6.00,4.00,207,426,211,'COQUEIROS','FLORIANOPOLIS','SC',3174,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123843,6.00,8.00,7.00,7.00,6.00,6.25,6.00,8.00,5.00,203,427,201,'CAPOEIRAS','FLORIANOPOLIS','SC',2576,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123851,2.00,4.00,4.00,3.00,6.00,7.00,3.00,5.00,1.00,333,425,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',18290,311,398,NULL,NULL,NULL,NULL,4,1),(15,2123860,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,319,308,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2123886,3.00,8.00,3.00,7.00,4.00,5.50,3.00,6.00,1.00,317,428,NULL,'ESTREITO','FLORIANOPOLIS','SC',12586,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123894,3.00,5.00,6.00,7.00,7.00,5.00,2.00,8.00,2.00,101,309,NULL,'TRINDADE','FLORIANOPOLIS','SC',12142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123908,2.00,7.00,2.00,5.00,5.00,6.50,2.00,6.00,4.00,320,310,NULL,'CENTRO','MARCELINO RAMOS','RS',13189,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2123916,6.00,8.00,8.00,9.00,9.00,7.50,8.00,8.00,7.00,103,108,NULL,'TRINDADE','FLORIANOPOLIS','SC',348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123924,4.00,5.00,3.00,1.00,8.00,5.00,4.00,5.00,3.00,331,208,NULL,'FORQUILHINHAS','SAO JOSE','SC',15606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123932,3.00,6.00,6.00,5.00,8.00,4.50,7.00,7.00,5.00,203,223,216,'BARREIROS','SAO JOSE','SC',5334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RESIDENCIAL PARAÍSO','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2123975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,2,212,'RIO BRANCO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2123983,5.00,9.00,4.00,8.00,6.00,5.25,6.00,8.00,4.00,211,316,207,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2123991,4.00,8.00,9.00,6.00,9.00,4.50,9.00,7.00,6.00,5,415,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',1211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124009,4.00,8.00,5.00,2.00,8.00,4.25,7.00,6.00,4.00,208,NULL,203,'BARREIROS','SAO JOSE','SC',8377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124017,8.00,8.00,7.00,9.00,8.00,7.50,8.00,9.00,7.00,103,NULL,NULL,'ESTREITO','FLORIANOPOLIS','SC',445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124025,8.00,8.00,7.00,9.00,8.00,8.25,8.00,8.00,8.00,5,333,NULL,'CENTRO','FLORIANOPOLIS','SC',349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124033,5.00,7.00,4.00,4.00,6.00,4.75,6.00,5.00,4.00,203,333,208,'CENTRO','PARANAVAI','PR',12178,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2124050,4.00,6.00,4.00,5.00,8.00,6.75,7.00,6.00,3.00,207,233,201,'CENTRO','MELEIRO','SC',7992,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2124084,3.00,8.00,4.00,6.00,7.00,4.75,5.00,6.00,3.00,303,203,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'FATIMA','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2124106,3.00,8.00,4.00,6.00,8.00,5.50,7.00,5.00,2.00,316,208,NULL,'CAMPINAS','SAO JOSE','SC',8212,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124114,3.00,6.00,2.00,4.00,5.00,5.75,2.00,5.00,3.00,427,424,423,'COQUEIROS','FLORIANOPOLIS','SC',16563,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124122,6.00,7.00,6.00,7.00,8.00,4.25,7.00,6.00,4.00,201,211,202,'ASA SUL','BRASILIA','DF',4861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124130,1.00,8.00,4.00,1.00,5.00,5.00,1.00,5.00,4.00,201,202,207,'CENTRO','RIO DO OESTE','SC',19027,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2124149,4.00,6.00,4.00,3.00,6.00,5.50,4.00,6.00,2.00,303,301,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124157,3.00,5.00,3.00,2.00,7.00,5.25,2.00,4.00,3.00,203,318,214,'FAZENDA','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2124173,5.00,8.00,4.00,6.00,9.00,6.00,4.00,5.00,5.00,316,301,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',7581,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124181,3.00,7.00,4.00,4.00,6.00,6.75,4.00,4.00,2.00,101,309,NULL,'CENTRO','FLORIANOPOLIS','SC',12579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124190,1.00,3.00,0.00,5.00,3.00,NULL,2.00,3.00,3.00,208,5,238,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,404,NULL,'CENTRO','LAGOA VERMELHA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2124211,3.00,5.00,4.00,4.00,4.00,5.75,0.00,2.00,3.00,316,NULL,NULL,'CENTRO','TROMBUDO CENTRAL','SC',19390,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,318,201,'JARDIM RUSSI','TAUBATE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2124238,5.00,7.00,2.00,7.00,8.00,7.25,3.00,6.00,2.00,104,NULL,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2124246,2.00,7.00,2.00,4.00,4.00,4.25,3.00,5.00,1.00,303,444,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',19660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124254,1.00,3.00,1.00,5.00,5.00,3.50,3.00,5.00,1.00,207,420,NULL,'TAPERA','FLORIANOPOLIS','SC',21684,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124262,3.00,5.00,7.00,7.00,6.00,6.75,6.00,4.00,4.00,104,102,NULL,'CENTRO','FLORIANOPOLIS','SC',8039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124289,4.00,4.00,4.00,6.00,8.00,5.50,4.00,2.00,1.00,215,333,233,'VILA DO POLONES','CAMPO GRANDE','MS',16034,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2124297,3.00,5.00,3.00,5.00,7.00,3.50,1.00,3.00,2.00,317,404,NULL,'CENTRO','FLORIANOPOLIS','SC',20170,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124300,6.00,8.00,8.00,5.00,8.00,5.50,9.00,7.00,7.00,211,203,201,'COQUEIROS','FLORIANOPOLIS','SC',2034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124319,4.00,7.00,6.00,7.00,8.00,6.50,5.00,6.00,4.00,207,319,201,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124327,5.00,8.00,5.00,8.00,8.00,8.00,5.00,6.00,4.00,9,217,NULL,'ÍNDIA','CANELINHA','SC',3986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124335,0.00,3.00,2.00,0.00,3.00,NULL,0.00,2.00,1.00,339,404,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,319,NULL,'CENTRO','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2124351,2.00,3.00,1.00,3.00,5.00,5.00,2.00,4.00,4.00,103,326,NULL,'PARQUE DAS AVENIDAS','SOMBRIO','SC',20843,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2124360,2.00,5.00,5.00,3.00,8.00,4.75,2.00,4.00,3.00,318,324,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',17858,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124386,4.00,7.00,8.00,6.00,6.00,5.50,7.00,6.00,3.00,304,302,NULL,'CENTRO','JARAGUA DO SUL','SC',6594,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2124408,7.00,7.00,6.00,5.00,9.00,5.25,7.00,8.00,5.00,207,420,201,'PORTO DA LAGOA','FLORIANOPOLIS','SC',3044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124416,3.00,2.00,3.00,5.00,8.00,6.50,3.00,6.00,2.00,427,450,424,'AGRONÔMICA','FLORIANOPOLIS','SC',14999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124432,6.00,8.00,8.00,8.00,8.00,6.75,7.00,7.00,5.00,216,217,211,'CAPOEIRAS','FLORIANOPOLIS','SC',1646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124459,3.00,5.00,3.00,6.00,5.00,5.25,5.00,2.00,3.00,208,444,NULL,'SERRARIA','SAO JOSE','SC',16607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124467,6.00,8.00,7.00,9.00,8.00,5.25,8.00,6.00,6.00,103,104,NULL,'ITACORUBI','FLORIANOPOLIS','SC',1883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124475,8.00,7.00,9.00,8.00,7.00,6.25,7.00,6.00,6.00,212,208,238,'BARREIROS','SAO JOSE','SC',979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2124491,2.00,7.00,1.00,6.00,8.00,6.75,3.00,5.00,2.00,103,303,NULL,'TRINDADE','FLORIANOPOLIS','SC',13763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,102,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2124521,4.00,7.00,5.00,3.00,6.00,5.75,5.00,3.00,4.00,102,224,NULL,'CARIANOS','FLORIANOPOLIS','SC',12974,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2124548,5.00,6.00,7.00,2.00,8.00,7.25,7.00,6.00,5.00,304,223,NULL,'PALHOÇA','PALHOCA','SC',6061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124556,4.00,7.00,5.00,7.00,6.00,5.25,4.00,6.00,3.00,304,318,NULL,'CENTRO','CAXIAS DO SUL','RS',10071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124564,5.00,7.00,1.00,8.00,8.00,6.00,3.00,6.00,3.00,303,5,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',8755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124580,5.00,8.00,9.00,6.00,8.00,5.00,9.00,7.00,4.00,203,214,NULL,'BOM RETIRO','JOINVILLE','SC',2495,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2124599,4.00,8.00,3.00,8.00,8.00,6.25,6.00,5.00,2.00,238,319,207,'CORREGO GRANDE','FLORIANOPOLIS','SC',7637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124602,3.00,7.00,5.00,7.00,5.00,7.50,4.00,6.00,4.00,301,303,NULL,'JARDIM NOVO AMPARO','AMPARO','SP',8165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124610,4.00,7.00,5.00,2.00,8.00,5.50,4.00,4.00,5.00,102,444,NULL,'PARQUE DAS NAÇOES','AMERICANA','SP',11689,233,412,NULL,NULL,NULL,NULL,4,1),(15,2124629,8.00,8.00,8.00,8.00,9.00,5.25,9.00,8.00,6.00,103,217,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',694,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124637,3.00,4.00,4.00,6.00,7.00,5.50,3.00,3.00,3.00,319,428,NULL,'CENTRO','FLORIANOPOLIS','SC',14449,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124645,2.00,6.00,6.00,3.00,8.00,7.00,6.00,6.00,1.00,103,108,NULL,'BARREIROS','SAO JOSE','SC',11880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124653,4.00,6.00,7.00,7.00,7.00,6.00,5.00,5.00,3.00,450,207,NULL,'VIVENDAS DO ARVOREDO','LONDRINA','PR',6545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124661,5.00,7.00,7.00,8.00,9.00,4.00,6.00,7.00,3.00,208,301,238,'PÂNTANO DO SUL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124670,3.00,4.00,3.00,3.00,4.00,4.75,4.00,5.00,3.00,317,316,NULL,'CAMINHO NOVO','PALHOCA','SC',18994,334,1184,NULL,NULL,NULL,NULL,2,1),(15,2124688,3.00,7.00,3.00,4.00,7.00,5.50,6.00,4.00,1.00,201,202,212,'BARREIROS','SAO JOSE','SC',13449,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124696,6.00,7.00,7.00,2.00,8.00,5.00,7.00,6.00,4.00,203,2,202,'SANTO ANTONIO','BELO HORIZONTE','MG',6780,580,NULL,NULL,NULL,NULL,NULL,4,6),(15,2124700,4.00,8.00,8.00,7.00,8.00,5.75,9.00,7.00,5.00,220,223,201,'CENTRO','LAURENTINO','SC',1852,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124718,2.00,3.00,0.00,3.00,5.00,5.25,5.00,4.00,2.00,303,301,NULL,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124726,6.00,7.00,5.00,7.00,9.00,5.25,6.00,5.00,5.00,207,304,201,'CACUPÉ','FLORIANOPOLIS','SC',4245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124734,2.00,3.00,2.00,1.00,5.00,NULL,2.00,2.00,2.00,203,328,NULL,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2124742,1.00,7.00,6.00,7.00,7.00,4.00,6.00,5.00,3.00,108,444,NULL,'PONTA DE BAIXO','SAO JOSE','SC',9485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124750,3.00,5.00,7.00,6.00,6.00,5.50,4.00,3.00,2.00,501,319,NULL,'REVOREDO','TUBARAO','SC',13969,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2124769,5.00,7.00,0.00,2.00,6.00,5.00,4.00,6.00,4.00,102,104,NULL,'GLÓRIA','TRES PASSOS','RS',14953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124777,3.00,6.00,3.00,5.00,5.00,7.00,3.00,3.00,5.00,415,420,NULL,'MADUREIRA','CAXIAS DO SUL','RS',13507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124785,3.00,8.00,6.00,5.00,8.00,5.75,5.00,6.00,3.00,211,NULL,212,'CENTRO','FLORIANOPOLIS','SC',7432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124793,7.00,8.00,9.00,9.00,8.00,7.75,8.00,7.00,7.00,103,NULL,NULL,'JD FLAMBOYANT','CAMPINAS','SP',294,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2124807,8.00,5.00,7.00,7.00,9.00,6.75,8.00,4.00,6.00,103,207,NULL,'AGUA VERDE','CURITIBA','PR',3228,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2124815,0.00,4.00,5.00,4.00,6.00,4.25,7.00,4.00,3.00,203,215,214,'VILA NOVA','JARAGUA DO SUL','SC',16859,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2124823,1.00,7.00,3.00,4.00,4.00,5.50,2.00,3.00,2.00,108,451,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',20824,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124831,1.00,5.00,2.00,7.00,7.00,6.75,4.00,4.00,5.00,303,5,NULL,'INGLESES','FLORIANOPOLIS','SC',13443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124858,4.00,6.00,4.00,5.00,5.00,6.00,7.00,5.00,4.00,220,NULL,NULL,'CENTRO','MARINGA','PR',10612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124874,7.00,7.00,8.00,7.00,9.00,7.00,9.00,6.00,6.00,211,333,216,'ORIETA','VIAMAO','RS',1196,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124890,4.00,8.00,2.00,4.00,6.00,5.00,7.00,7.00,3.00,201,202,216,'CENTRO','APUCARANA','PR',10373,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2124904,5.00,7.00,5.00,9.00,7.00,5.75,7.00,5.00,3.00,331,427,NULL,'TIJUQUINHAS','BIGUACU','SC',6073,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124912,2.00,6.00,3.00,5.00,6.00,5.75,3.00,7.00,4.00,9,308,NULL,'PONTA DE BAIXO','SAO JOSE','SC',13556,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124920,4.00,6.00,6.00,6.00,8.00,6.25,7.00,6.00,4.00,101,501,NULL,'FORQUILHINHAS','SAO JOSE','SC',4382,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2124939,5.00,8.00,4.00,4.00,8.00,5.25,6.00,7.00,4.00,319,326,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',6454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124947,4.00,7.00,4.00,5.00,5.00,5.00,5.00,4.00,3.00,103,NULL,NULL,'CENTRO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2124955,7.00,8.00,9.00,6.00,8.00,7.25,8.00,7.00,7.00,103,216,NULL,'SANTANA','SAO PAULO','SP',708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,301,238,'ASA SUL','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2124971,6.00,8.00,6.00,7.00,6.00,7.00,6.00,5.00,6.00,103,101,NULL,'CENTRO','CURITIBA','PR',3254,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2124980,8.00,8.00,8.00,8.00,9.00,6.50,9.00,8.00,9.00,203,220,214,'TRINDADE','FLORIANOPOLIS','SC',143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2124998,2.00,4.00,4.00,6.00,7.00,5.00,5.00,3.00,2.00,103,101,NULL,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125005,4.00,7.00,6.00,8.00,6.00,5.75,7.00,6.00,4.00,215,217,NULL,'JABAQUARA','SAO PAULO','SP',5580,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2125013,2.00,6.00,4.00,6.00,6.00,6.25,5.00,5.00,2.00,211,NULL,NULL,'VILA MARIANA','SAO PAULO','SP',13370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125030,7.00,6.00,6.00,8.00,8.00,6.50,9.00,7.00,6.00,104,101,NULL,'CENTRO','URUSSANGA','SC',2415,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2125048,5.00,6.00,2.00,6.00,7.00,6.75,5.00,6.00,4.00,102,5,NULL,'CARIOCA','SAO JOSE DOS PINHAIS','PR',8601,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125056,6.00,6.00,6.00,6.00,8.00,7.25,7.00,6.00,1.00,318,317,NULL,'CENTRO','SAO JOSE','SC',5385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125064,6.00,5.00,7.00,6.00,8.00,6.50,7.00,3.00,7.00,215,102,216,'COQUEIROS','FLORIANOPOLIS','SC',5672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125072,4.00,7.00,7.00,4.00,7.00,7.00,5.00,6.00,5.00,211,301,201,'FAZENDA STO ANTÔNIO','SAO JOSE','SC',7407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125080,4.00,7.00,5.00,5.00,6.00,6.50,4.00,4.00,5.00,202,201,216,'TRINDADE','FLORIANOPOLIS','SC',9891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125099,2.00,7.00,6.00,1.00,7.00,4.25,6.00,6.00,3.00,212,318,215,'PINHEIROS','SAO PAULO','SP',12448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125102,1.00,4.00,3.00,1.00,6.00,NULL,2.00,3.00,1.00,318,NULL,NULL,'CENTRO','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2125110,5.00,7.00,4.00,4.00,9.00,5.50,5.00,6.00,4.00,501,339,NULL,'ESTREITO','FLORIANOPOLIS','SC',7259,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125129,3.00,3.00,6.00,6.00,6.00,4.75,4.00,4.00,3.00,302,308,NULL,'PICADAS DO SUL','SAO JOSE','SC',12823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125137,2.00,3.00,2.00,4.00,6.00,4.75,5.00,3.00,3.00,104,102,NULL,'CENTRO','MARAVILHA','SC',19178,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2125145,4.00,8.00,4.00,5.00,8.00,7.50,9.00,6.00,5.00,201,301,212,'CENTRO DE SÃO JOSÉ','SAO JOSE','SC',4577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125153,1.00,8.00,4.00,8.00,7.00,4.50,6.00,6.00,5.00,211,202,216,'SÃO PELEGRINO','CAXIAS DO SUL','RS',8172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125170,2.00,5.00,6.00,7.00,7.00,6.25,3.00,2.00,2.00,319,333,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',13807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125196,4.00,7.00,3.00,5.00,7.00,5.75,7.00,2.00,4.00,9,425,NULL,'CENTRO','FLORIANOPOLIS','SC',10016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125200,5.00,8.00,6.00,5.00,8.00,7.50,6.00,5.00,4.00,501,404,NULL,'CAMPINAS','SAO JOSE','SC',5380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125226,2.00,4.00,4.00,2.00,5.00,6.25,4.00,7.00,2.00,316,327,NULL,'ARMAÇAO','FLORIANOPOLIS','SC',17197,487,407,NULL,NULL,NULL,NULL,4,1),(15,2125234,2.00,6.00,6.00,7.00,7.00,6.50,3.00,3.00,3.00,216,223,208,'CENTRO','URAI','PR',11608,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2125250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,420,211,'RIO BRANCO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2125269,2.00,7.00,3.00,7.00,5.00,5.50,5.00,5.00,3.00,207,304,NULL,'PINHEIROS','SAO PAULO','SP',11929,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2125277,6.00,9.00,8.00,8.00,9.00,5.50,8.00,7.00,7.00,103,207,NULL,'CENTRO','CURITIBA','PR',1178,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2125285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2125293,6.00,5.00,5.00,8.00,8.00,6.00,6.00,6.00,3.00,301,404,NULL,'CENTRO','FLORIANOPOLIS','SC',6999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125307,2.00,6.00,1.00,6.00,6.00,4.50,0.00,5.00,0.00,318,308,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',20334,252,437,NULL,NULL,NULL,NULL,2,1),(15,2125315,9.00,9.00,8.00,9.00,9.00,7.50,9.00,8.00,9.00,103,223,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',9,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125323,4.00,6.00,4.00,3.00,8.00,5.25,6.00,7.00,4.00,303,NULL,NULL,'CENTRO','PALHOCA','SC',9634,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125331,4.00,4.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,302,324,NULL,'PASSA VINTE','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125340,5.00,4.00,5.00,3.00,8.00,7.75,6.00,4.00,4.00,233,308,216,'INGLESES','FLORIANOPOLIS','SC',10342,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125358,2.00,7.00,5.00,9.00,7.00,6.50,6.00,7.00,3.00,103,301,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',4518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125366,3.00,7.00,1.00,1.00,8.00,5.50,3.00,6.00,5.00,301,420,NULL,'INTERIOR','IPUACU','SC',13738,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2125382,4.00,8.00,7.00,8.00,7.00,4.50,7.00,7.00,4.00,214,203,220,'JARDIM ROSANA','GUARULHOS','SP',4912,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125390,0.00,4.00,0.00,2.00,3.00,NULL,2.00,3.00,1.00,326,310,NULL,'VILA PAULISTA','RIO CLARO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125404,7.00,6.00,7.00,6.00,8.00,5.00,6.00,6.00,6.00,333,2,NULL,'N S DO ROSÁRIO','SAO JOSE','SC',4457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125412,4.00,8.00,7.00,5.00,8.00,7.00,7.00,7.00,6.00,103,2,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',3751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125420,3.00,4.00,6.00,6.00,7.00,6.00,6.00,4.00,1.00,207,420,201,'CENTRO','FLORIANOPOLIS','SC',13960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125439,5.00,9.00,4.00,1.00,9.00,7.00,8.00,8.00,4.00,420,301,NULL,'CARIANOS','FLORIANOPOLIS','SC',4282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125447,4.00,7.00,0.00,5.00,6.00,6.50,4.00,6.00,2.00,324,415,NULL,'JARDIM SÃO MIGUEL','BIGUACU','SC',15566,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125455,2.00,3.00,4.00,3.00,7.00,5.25,1.00,4.00,4.00,310,308,NULL,'CETRO','FLORIANOPOLIS','SC',19890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125463,4.00,6.00,8.00,9.00,8.00,6.00,8.00,4.00,6.00,103,502,NULL,'CENTRO','ITAJAI','SC',2925,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2125480,1.00,4.00,2.00,3.00,6.00,5.00,3.00,1.00,4.00,303,217,NULL,'BARREIROS','SAO JOSE','SC',20940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125501,2.00,3.00,3.00,2.00,4.00,4.25,3.00,2.00,3.00,501,502,NULL,'DUQUE DE CAXIAS','CUIABA','MT',22232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125510,3.00,7.00,2.00,6.00,6.00,5.75,7.00,6.00,1.00,415,428,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125528,8.00,8.00,10.00,9.00,9.00,6.75,9.00,9.00,8.00,103,5,NULL,'CENTRO','FLORIANOPOLIS','SC',71,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125536,2.00,8.00,4.00,6.00,6.00,5.75,5.00,3.00,5.00,415,303,NULL,'ROCIO GRANDE','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2125544,6.00,8.00,8.00,9.00,9.00,6.50,9.00,8.00,9.00,103,102,NULL,'CENTRO','SANTO ANDRE','SP',145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125552,3.00,5.00,2.00,1.00,5.00,5.50,4.00,2.00,2.00,429,238,425,'CENTRO','BALNEARIO CAMBORIU','SC',20549,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2125560,5.00,8.00,9.00,7.00,9.00,8.00,9.00,7.00,5.00,103,101,NULL,'CENTRO','FLORIANOPOLIS','SC',1126,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125579,4.00,7.00,6.00,5.00,6.00,5.00,3.00,4.00,4.00,304,303,NULL,'JARDIM LEONOR','CAMPINAS','SP',11056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125587,3.00,7.00,7.00,4.00,8.00,6.00,5.00,7.00,3.00,104,217,NULL,'VILA NOVA','BLUMENAU','SC',7386,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2125595,4.00,6.00,8.00,6.00,8.00,6.25,6.00,5.00,5.00,208,222,238,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',4954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,102,NULL,'TIRADENTES','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2125617,4.00,8.00,4.00,6.00,6.00,6.00,5.00,7.00,4.00,303,5,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125625,5.00,7.00,4.00,7.00,6.00,4.75,7.00,4.00,3.00,339,324,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',8519,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,102,215,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2125650,8.00,8.00,7.00,7.00,8.00,6.75,8.00,8.00,5.00,103,NULL,NULL,'JD SÃO PAULO','AMERICANA','SP',1052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125668,2.00,5.00,2.00,7.00,7.00,6.50,3.00,4.00,2.00,339,327,NULL,'ITACRUBI','FLORIANOPOLIS','SC',14647,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2125676,2.00,6.00,4.00,5.00,3.00,4.75,4.00,5.00,1.00,327,5,NULL,'ZONA SETE','MARINGA','PR',18203,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125692,3.00,5.00,5.00,5.00,6.00,5.75,3.00,2.00,2.00,302,212,NULL,'PRAINHA','FLORIANOPOLIS','SC',16815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125714,3.00,5.00,6.00,6.00,5.00,5.75,2.00,4.00,2.00,444,9,NULL,'SANTOS DUMONT','SAO JOSE','SC',14351,131,578,NULL,NULL,NULL,NULL,4,1),(15,2125722,1.00,5.00,3.00,6.00,3.00,4.00,1.00,2.00,3.00,404,415,NULL,'JARDIM CARANDAÍ','BIGUACU','SC',21485,251,830,NULL,NULL,NULL,NULL,2,1),(15,2125730,3.00,7.00,5.00,5.00,5.00,6.00,7.00,6.00,4.00,223,404,NULL,'CARIANOS','FLORIANOPOLIS','SC',7949,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125749,3.00,4.00,3.00,6.00,5.00,6.50,6.00,6.00,2.00,303,310,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125757,2.00,4.00,3.00,2.00,7.00,5.50,4.00,5.00,3.00,308,428,NULL,'CENTRO','FLORIANOPOLIS','SC',17705,95,232,NULL,NULL,NULL,NULL,4,1),(15,2125765,7.00,8.00,9.00,3.00,8.00,6.00,7.00,7.00,4.00,316,327,NULL,'CENTRO','FLORIANOPOLIS','SC',3297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125773,1.00,5.00,0.00,4.00,4.00,NULL,4.00,0.00,1.00,319,328,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125781,7.00,8.00,9.00,7.00,8.00,6.00,8.00,8.00,5.00,220,208,214,'COQUEIROS','FLORIANOPOLIS','SC',1001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125790,8.00,9.00,8.00,6.00,9.00,9.50,8.00,6.00,6.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125803,2.00,3.00,3.00,5.00,5.00,6.50,1.00,4.00,2.00,331,234,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',19650,87,244,NULL,NULL,NULL,NULL,2,1),(15,2125811,5.00,5.00,6.00,2.00,5.00,4.25,4.00,7.00,4.00,103,102,NULL,'SAGRADO CARAÇÃO DE J','LAGES','SC',12394,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2125820,6.00,7.00,8.00,8.00,8.00,5.75,6.00,8.00,6.00,203,5,216,'CENTRO','BALNEARIO CAMBORIU','SC',1707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125838,4.00,7.00,3.00,2.00,5.00,4.75,3.00,3.00,3.00,5,421,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125846,4.00,5.00,5.00,4.00,7.00,4.75,6.00,4.00,3.00,404,NULL,NULL,'JARDIM ATLÂNTICO','SAO JOSE','SC',13029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125854,5.00,7.00,5.00,5.00,8.00,4.50,5.00,6.00,4.00,208,324,238,'BARREIROS','SAO JOSE','SC',7808,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125870,7.00,8.00,9.00,9.00,9.00,7.75,8.00,7.00,7.00,103,319,NULL,'CENTRO','FORQUILHINHA','SC',395,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2125889,0.00,2.00,1.00,4.00,6.00,NULL,4.00,4.00,2.00,415,102,NULL,'JARDIM AMÉRICA','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125897,3.00,6.00,7.00,5.00,4.00,6.25,6.00,3.00,4.00,208,NULL,NULL,'PARQUE DO COLÉGIO','SUZANO','SP',11688,413,NULL,NULL,NULL,NULL,NULL,4,2),(15,2125900,6.00,8.00,9.00,7.00,9.00,6.25,8.00,8.00,7.00,220,NULL,202,'PALM DE SÃO JOSÉ','SAO JOSE DOS CAMPOS','SP',522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125919,4.00,6.00,9.00,7.00,6.00,4.00,8.00,4.00,6.00,202,213,220,'IDEAL','NOVO HAMBURGO','RS',5879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125927,2.00,6.00,4.00,3.00,7.00,3.25,5.00,4.00,6.00,327,211,NULL,'SÃO FRANCISCO','BENTO GONCALVES','RS',14740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125935,5.00,5.00,3.00,5.00,7.00,5.25,3.00,4.00,1.00,103,415,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125951,7.00,8.00,7.00,10.00,9.00,7.50,8.00,8.00,6.00,2,333,NULL,'CENTRO','XANXERE','SC',292,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2125960,1.00,7.00,3.00,3.00,7.00,5.00,4.00,4.00,5.00,104,102,NULL,'AREIAS','TIJUCAS','SC',15454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2125978,2.00,5.00,1.00,4.00,6.00,3.00,2.00,4.00,3.00,104,238,NULL,'PRESIDENTE MÉDICE','CHAPECO','SC',21334,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2125986,2.00,5.00,3.00,4.00,4.00,5.75,4.00,2.00,3.00,316,5,NULL,'RIO CAVEIRAS','BIGUACU','SC',19468,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2125994,3.00,4.00,4.00,8.00,6.00,4.25,4.00,5.00,3.00,420,208,NULL,'PONTA AGUDA','BLUMENAU','SC',12845,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2126010,7.00,7.00,9.00,10.00,9.00,6.50,9.00,9.00,5.00,303,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126036,4.00,6.00,1.00,2.00,6.00,6.00,3.00,3.00,4.00,215,9,216,'COPACABANA','LAGES','SC',17025,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2126052,2.00,5.00,3.00,5.00,8.00,7.50,3.00,3.00,1.00,415,425,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',15779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126060,4.00,6.00,3.00,4.00,6.00,4.50,3.00,6.00,2.00,208,220,238,'CAMPECHE','FLORIANOPOLIS','SC',16481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126079,4.00,6.00,8.00,2.00,8.00,5.00,6.00,6.00,6.00,302,223,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',6178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126087,3.00,5.00,2.00,4.00,5.00,4.00,2.00,4.00,2.00,103,339,NULL,'JARDIM ELDORADO','PALHOCA','SC',20730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2126095,4.00,5.00,3.00,7.00,8.00,5.50,7.00,5.00,1.00,103,420,NULL,'CAMPECHE','FLORIANOPOLIS','SC',9798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126109,2.00,4.00,1.00,4.00,4.00,3.75,4.00,4.00,3.00,5,428,NULL,'CARIANOS','FLORIANOPOLIS','SC',20543,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2126117,2.00,6.00,7.00,5.00,7.00,4.25,4.00,6.00,2.00,316,317,NULL,'CENTRO','FLORIANOPOLIS','SC',12449,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2126133,8.00,9.00,7.00,9.00,8.00,7.25,7.00,9.00,4.00,103,104,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126141,8.00,9.00,8.00,8.00,9.00,6.75,8.00,6.00,6.00,103,104,NULL,'VILA ISABEL','CURITIBA','PR',929,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2126168,3.00,5.00,6.00,7.00,6.00,6.50,5.00,5.00,5.00,103,NULL,NULL,'NOVA PETROPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2126176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VILA INDIANA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2126184,6.00,8.00,7.00,8.00,8.00,7.00,7.00,6.00,7.00,211,404,216,'PANTANAL','FLORIANOPOLIS','SC',1341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126206,5.00,7.00,5.00,6.00,5.00,6.50,8.00,6.00,5.00,319,NULL,NULL,'CENTRO','PORTO ALEGRE','RS',5351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126214,2.00,4.00,0.00,9.00,6.00,NULL,2.00,4.00,4.00,103,101,NULL,'MINA BRASIL','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2126222,4.00,8.00,7.00,8.00,7.00,6.75,5.00,8.00,6.00,207,420,201,'GARCIA','BLUMENAU','SC',3062,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2126249,3.00,4.00,4.00,2.00,5.00,4.75,4.00,7.00,2.00,108,331,NULL,'KOBRASOL','SAO JOSE','SC',17083,377,201,NULL,NULL,NULL,NULL,4,1),(15,2126257,6.00,9.00,9.00,6.00,9.00,5.75,9.00,6.00,2.00,303,5,NULL,'ITACORUBI','FLORIANOPOLIS','SC',2069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126265,7.00,6.00,6.00,8.00,7.00,7.00,5.00,7.00,3.00,103,108,NULL,'CENTRO','RIO DO SUL','SC',4627,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2126273,4.00,7.00,2.00,0.00,4.00,5.25,5.00,0.00,2.00,103,303,NULL,'MEIA PRAIA','ITAPEMA','SC',20703,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2126281,3.00,6.00,2.00,7.00,6.00,5.50,2.00,8.00,3.00,104,216,NULL,'FABIO SILVA','TUBARAO','SC',12118,393,756,NULL,NULL,NULL,NULL,2,10),(15,2126290,5.00,6.00,4.00,6.00,4.00,4.50,6.00,7.00,6.00,238,327,208,'JOÃO PAULO','FLORIANOPOLIS','SC',8778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126303,6.00,8.00,9.00,9.00,9.00,7.50,9.00,6.00,5.00,303,212,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2126346,2.00,5.00,3.00,8.00,4.00,2.00,1.00,5.00,2.00,331,310,NULL,'PINUEIROS','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126362,1.00,8.00,5.00,8.00,7.00,7.75,4.00,9.00,2.00,424,421,427,'TRINDADE','FLORIANOPOLIS','SC',6313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126370,3.00,8.00,6.00,8.00,8.00,5.75,6.00,6.00,4.00,103,301,NULL,'CENTRO','FLORIANOPOLIS','SC',5591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126389,1.00,7.00,5.00,3.00,7.00,5.50,4.00,5.00,4.00,213,216,214,'CENTRO','CONCORDIA','SC',12854,205,762,422,NULL,NULL,NULL,4,4),(15,2126397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,302,NULL,'CANTAGALO','RIO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2126400,2.00,6.00,3.00,5.00,5.00,5.25,4.00,6.00,1.00,317,222,NULL,'BALNEARIO','FLORIANOPOLIS','SC',15430,243,168,NULL,NULL,NULL,NULL,2,1),(15,2126419,1.00,7.00,6.00,5.00,5.00,3.00,4.00,5.00,3.00,213,211,202,'MATRIZ','VIDEIRA','SC',16042,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2126427,2.00,4.00,1.00,0.00,6.00,NULL,3.00,4.00,3.00,211,303,NULL,'SANTA RITA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2126435,7.00,8.00,7.00,8.00,8.00,7.00,8.00,7.00,6.00,214,NULL,211,'CENTRO','BRUSQUE','SC',1173,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2126443,7.00,7.00,5.00,4.00,8.00,5.25,6.00,7.00,5.00,5,303,NULL,'PARQUE CIDADE JARDIM','UMUARAMA','PR',5272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126451,2.00,5.00,1.00,8.00,8.00,4.50,2.00,3.00,2.00,425,324,429,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',17321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126460,7.00,8.00,8.00,7.00,7.00,5.75,6.00,8.00,5.00,104,502,NULL,'TRINDADE','FLORIANOPOLIS','SC',2388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126478,6.00,9.00,5.00,8.00,8.00,7.75,5.00,7.00,5.00,103,NULL,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',2833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2126494,3.00,7.00,0.00,2.00,9.00,NULL,3.00,2.00,1.00,444,428,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2126516,4.00,7.00,4.00,6.00,7.00,6.00,4.00,7.00,3.00,303,450,NULL,'ITACORUBI','FLORIANOPOLIS','SC',9249,501,267,NULL,NULL,NULL,NULL,2,1),(15,2126532,5.00,5.00,5.00,6.00,7.00,6.25,7.00,7.00,5.00,103,104,NULL,'NOVA BRASÍLIA','JOINVILLE','SC',6444,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2126540,7.00,7.00,8.00,2.00,8.00,6.00,7.00,7.00,5.00,214,212,213,'CENTRO','CRICIUMA','SC',4891,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2126559,2.00,4.00,4.00,1.00,6.00,3.00,3.00,6.00,1.00,201,333,207,'CENTRO','CACADOR','SC',20052,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2126567,7.00,8.00,6.00,8.00,8.00,7.25,8.00,6.00,3.00,415,450,NULL,'ATIRADORES','JOINVILLE','SC',2083,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2126575,4.00,5.00,5.00,5.00,5.00,5.50,6.00,5.00,4.00,203,220,213,'SÃO MARTINHO','TUBARAO','SC',11445,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2126583,5.00,8.00,1.00,7.00,3.00,5.75,1.00,5.00,3.00,207,324,238,'CANTO DA LAGOA','FLORIANOPOLIS','SC',15264,741,246,568,NULL,NULL,NULL,4,1),(15,2126591,1.00,8.00,2.00,1.00,5.00,4.25,4.00,4.00,3.00,5,329,NULL,'AREIAS','SAO JOSE','SC',19165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2126605,3.00,7.00,2.00,5.00,6.00,8.00,4.00,4.00,4.00,425,404,429,'ESTAÇÃO','URUSSANGA','SC',12899,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2126621,5.00,6.00,5.00,7.00,8.00,7.25,4.00,5.00,4.00,415,319,NULL,'MADUREIRA','CAXIAS DO SUL','RS',6068,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2126656,7.00,7.00,2.00,5.00,7.00,7.25,5.00,8.00,4.00,102,101,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',6295,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2126699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,212,220,'PQ SETE DE SETEMBRO','DIADEMA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2126702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2126710,5.00,7.00,3.00,9.00,7.00,5.75,6.00,6.00,3.00,429,333,425,'CAMPINAS','SAO JOSE','SC',5315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126729,3.00,4.00,6.00,0.00,3.00,3.25,3.00,3.00,1.00,308,224,NULL,'MACIAMBU','PALHOCA','SC',21744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126737,3.00,5.00,7.00,6.00,7.00,6.00,5.00,7.00,1.00,208,238,202,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126753,2.00,3.00,1.00,5.00,5.00,0.00,3.00,2.00,2.00,319,429,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2126761,5.00,6.00,7.00,9.00,8.00,4.50,8.00,6.00,2.00,202,NULL,238,'VILA MOEMA','TUBARAO','SC',4791,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2126788,2.00,8.00,5.00,2.00,7.00,5.50,5.00,5.00,3.00,211,501,214,'JD ALTO DA BOA VISTA','PRESIDENTE PRUDENTE','SP',11440,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2126796,3.00,7.00,2.00,2.00,6.00,4.50,5.00,3.00,4.00,108,333,NULL,'FLORESTA','JOINVILLE','SC',17640,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2126800,2.00,6.00,2.00,4.00,4.00,5.25,5.00,4.00,2.00,208,420,NULL,'VICTOR KONDER','BLUMENAU','SC',17722,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2126818,2.00,6.00,4.00,4.00,6.00,4.75,1.00,5.00,3.00,225,224,NULL,'CENTRO','ANCHIETA','SC',16680,40,NULL,NULL,NULL,NULL,NULL,4,4),(15,2126826,4.00,8.00,6.00,8.00,7.00,5.00,4.00,8.00,4.00,211,215,201,'ITAIPU','SALTINHO','SC',5440,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2126834,5.00,7.00,4.00,4.00,6.00,5.00,5.00,5.00,3.00,108,502,NULL,'SANTO ANTÃO','BENTO GONCALVES','RS',12426,264,218,NULL,NULL,NULL,NULL,4,1),(15,2126850,6.00,6.00,5.00,7.00,8.00,6.50,7.00,4.00,3.00,103,328,NULL,'CENTRO','FLORIANOPOLIS','SC',5481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126869,5.00,7.00,5.00,4.00,8.00,5.00,6.00,6.00,4.00,225,224,NULL,'PANTANAL','FLORIANOPOLIS','SC',6835,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2126877,1.00,6.00,1.00,6.00,7.00,6.25,2.00,6.00,5.00,327,326,NULL,'INTERIOR','LUZERNA','SC',13846,78,263,NULL,NULL,NULL,NULL,2,7),(15,2126885,3.00,6.00,1.00,6.00,5.00,4.50,2.00,3.00,3.00,339,324,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',19958,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2126893,5.00,7.00,3.00,5.00,2.00,NULL,5.00,6.00,1.00,502,104,NULL,'CENTRAL PARQUE','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2126907,1.00,4.00,5.00,3.00,5.00,4.75,4.00,3.00,3.00,203,214,220,'CENTRO','PORTO ALEGRE','RS',19055,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2126915,3.00,5.00,1.00,2.00,5.00,4.25,4.00,3.00,3.00,101,103,NULL,'BELA VISTA','PINHALZINHO','SC',20173,275,3265,NULL,NULL,NULL,NULL,4,4),(15,2126923,4.00,3.00,6.00,1.00,5.00,5.50,6.00,6.00,4.00,104,NULL,NULL,'SETOR B QUERÊNCIA','QUERENCIA','MT',13565,439,NULL,NULL,NULL,NULL,NULL,4,4),(15,2126931,7.00,8.00,8.00,8.00,9.00,6.25,9.00,7.00,5.00,207,233,201,'NOSSA SEN APARECIDA','FRANCISCO BELTRAO','PR',848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126940,8.00,7.00,8.00,4.00,9.00,5.75,8.00,3.00,7.00,103,5,NULL,'CENTRO','FLORIANOPOLIS','SC',3296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126958,3.00,3.00,1.00,0.00,4.00,NULL,2.00,3.00,1.00,104,101,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2126966,3.00,5.00,5.00,4.00,6.00,4.00,5.00,4.00,3.00,201,324,233,'CENTRO','FLORIANOPOLIS','SC',14132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126974,7.00,8.00,7.00,8.00,6.00,5.25,8.00,8.00,7.00,103,203,NULL,'CENTRO','TIJUCAS','SC',1313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2126982,2.00,4.00,4.00,3.00,5.00,3.00,5.00,3.00,2.00,212,302,201,'CENTRO','PRESIDENTE NEREU','SC',21036,414,342,1090,NULL,NULL,NULL,2,2),(15,2126990,5.00,7.00,9.00,10.00,6.00,6.00,8.00,7.00,4.00,316,318,NULL,'ITACORUBI','FLORIANOPOLIS','SC',2263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127008,0.00,4.00,5.00,3.00,6.00,5.00,6.00,4.00,2.00,201,223,212,'PONTE DO IMARUIM','PALHOCA','SC',17558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127016,4.00,6.00,6.00,6.00,7.00,4.00,6.00,6.00,4.00,304,318,NULL,'CIDADE JARDIM','PIRASSUNUNGA','SP',8614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127024,5.00,9.00,9.00,8.00,7.00,8.75,9.00,6.00,7.00,103,216,NULL,'CENTRO','FLORIANOPOLIS','SC',603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127032,6.00,7.00,0.00,3.00,8.00,4.75,4.00,5.00,3.00,324,425,NULL,'BARREIROS','SAO JOSE','SC',13955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127040,4.00,8.00,7.00,8.00,9.00,7.25,5.00,8.00,3.00,303,329,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',2528,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2127059,1.00,5.00,3.00,3.00,6.00,5.00,3.00,3.00,4.00,211,108,207,'VELHA','BLUMENAU','SC',18403,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2127067,6.00,8.00,7.00,6.00,9.00,3.75,7.00,7.00,6.00,220,202,203,'CENTRO','CURITIBA','PR',3489,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2127075,4.00,4.00,1.00,6.00,8.00,7.25,3.00,4.00,3.00,203,233,214,'FLORESTA','JOINVILLE','SC',14551,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2127083,1.00,7.00,5.00,6.00,8.00,6.25,6.00,7.00,4.00,415,208,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',7672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2127091,0.00,3.00,0.00,2.00,1.00,NULL,1.00,1.00,1.00,319,404,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2127113,8.00,9.00,6.00,6.00,8.00,5.50,7.00,6.00,6.00,103,104,NULL,'CENTRO','CURITIBA','PR',2059,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2127121,3.00,7.00,6.00,4.00,9.00,6.50,6.00,6.00,5.00,222,223,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',5391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127130,5.00,7.00,5.00,4.00,6.00,4.75,4.00,6.00,1.00,303,223,NULL,'AREIAS','SAO JOSE','SC',13330,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2127148,7.00,9.00,9.00,8.00,8.00,6.75,9.00,8.00,8.00,103,319,NULL,'TRINDADE','FLORIANOPOLIS','SC',176,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2127164,3.00,5.00,3.00,6.00,6.00,5.25,3.00,4.00,1.00,302,104,NULL,'PONTE DO IMARUIM','PALHOCA','SC',17899,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2127172,6.00,8.00,6.00,6.00,5.00,4.50,8.00,8.00,4.00,238,316,233,'CENTRO','BRUSQUE','SC',4136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2127180,8.00,8.00,8.00,7.00,7.00,7.00,6.00,7.00,6.00,103,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',1461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127202,2.00,8.00,7.00,6.00,8.00,4.00,5.00,6.00,4.00,316,301,NULL,'EXPOSIÇAO','CAXIAS DO SUL','RS',8135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127210,3.00,6.00,5.00,3.00,7.00,5.00,6.00,5.00,2.00,203,302,NULL,'INGLESES','FLORIANOPOLIS','SC',13308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127237,3.00,8.00,4.00,5.00,9.00,6.75,8.00,6.00,5.00,216,NULL,201,'CARIANOS','FLORIANOPOLIS','SC',4753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'CENTRO','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2127253,5.00,6.00,6.00,5.00,7.00,6.25,6.00,6.00,2.00,211,225,238,'CHAMPAGNE','GARIBALDI','RS',8248,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2127270,4.00,5.00,3.00,0.00,7.00,5.50,4.00,5.00,3.00,101,444,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',16582,183,495,NULL,NULL,NULL,NULL,4,1),(15,2127288,4.00,6.00,3.00,7.00,7.00,6.50,4.00,5.00,3.00,425,NULL,NULL,'AREIAS','SAO JOSE','SC',9455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127300,1.00,7.00,4.00,4.00,4.00,4.00,5.00,6.00,2.00,214,213,212,'CENTRO','RIBEIRAO PRETO','SP',16172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127326,3.00,6.00,4.00,4.00,5.00,5.50,5.00,6.00,3.00,331,332,NULL,'INGLESES','FLORIANOPOLIS','SC',13232,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2127342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,319,NULL,'VILA LEÃO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2127350,1.00,4.00,4.00,5.00,4.00,6.00,4.00,3.00,2.00,444,428,NULL,'CARIANOS','FLORIANOPOLIS','SC',19048,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2127369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,214,203,'CENTRO','TRES FORQUILHAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2127377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'JATIUCA','MACEIO','AL',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2127385,5.00,8.00,7.00,7.00,7.00,5.75,7.00,8.00,6.00,103,450,NULL,'TRINDADE','FLORIANOPOLIS','SC',2867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127393,1.00,3.00,6.00,4.00,4.00,6.25,3.00,2.00,2.00,220,202,238,'JARDIM EUROPA','BRAGANCA PAULISTA','SP',19517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2127407,3.00,5.00,2.00,6.00,5.00,5.25,2.00,3.00,3.00,201,222,208,'KOBRASOL','SAO JOSE','SC',18927,997,198,742,NULL,NULL,NULL,2,1),(15,2127415,4.00,8.00,6.00,7.00,9.00,5.50,8.00,4.00,4.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',4980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127431,4.00,8.00,2.00,4.00,6.00,5.00,6.00,7.00,3.00,501,332,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',10345,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2127458,3.00,7.00,2.00,6.00,6.00,3.75,7.00,7.00,5.00,103,329,NULL,'VISTA VERDE','SAO JOSE DOS CAMPOS','SP',8759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2127466,2.00,7.00,4.00,0.00,7.00,6.50,3.00,5.00,2.00,304,318,NULL,'PASSA VINTE','PALHOCA','SC',17510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127474,3.00,7.00,4.00,3.00,8.00,3.50,7.00,6.00,4.00,332,238,NULL,'AREIAS','SAO JOSE','SC',10840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127490,2.00,5.00,1.00,4.00,4.00,5.25,1.00,6.00,2.00,329,319,NULL,'CENTRO','CAIBI','SC',20590,76,936,NULL,NULL,NULL,NULL,2,4),(15,2127504,0.00,2.00,3.00,4.00,4.00,NULL,3.00,2.00,1.00,9,215,NULL,'SAGRADO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2127512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,308,NULL,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2127520,3.00,6.00,1.00,8.00,7.00,6.50,6.00,4.00,3.00,319,502,NULL,'CARIANOS','FLORIANOPOLIS','SC',11669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127539,6.00,7.00,8.00,7.00,7.00,6.00,6.00,6.00,6.00,333,103,NULL,'STELLA MARIS','SALVADOR','BA',2692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127547,2.00,6.00,1.00,6.00,5.00,5.75,6.00,5.00,2.00,316,327,NULL,'PRAIA DA PINHEIRA','PALHOCA','SC',15197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127555,3.00,7.00,4.00,6.00,6.00,7.25,7.00,5.00,4.00,238,233,213,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',8139,251,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127563,0.00,6.00,5.00,8.00,7.00,5.25,4.00,2.00,2.00,238,324,208,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',15654,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2127571,1.00,8.00,3.00,6.00,5.00,4.25,3.00,7.00,2.00,428,324,425,'PANTANAL','FLORIANOPOLIS','SC',14150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127580,2.00,5.00,4.00,0.00,8.00,4.75,6.00,5.00,1.00,333,211,NULL,'KOBRASOL','SAO JOSE','SC',17973,303,978,NULL,NULL,NULL,NULL,4,1),(15,2127598,6.00,6.00,4.00,8.00,6.00,4.50,7.00,7.00,4.00,108,233,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',5830,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2127601,2.00,7.00,0.00,3.00,6.00,5.00,3.00,4.00,2.00,303,415,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',19669,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2127610,2.00,8.00,5.00,7.00,7.00,4.75,3.00,4.00,4.00,207,420,201,'BARREIROS','SAO JOSE','SC',10332,499,645,569,NULL,NULL,NULL,2,1),(15,2127636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'MANAÍRA','JOAO PESSOA','PB',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2127644,4.00,8.00,5.00,6.00,9.00,6.00,6.00,6.00,6.00,415,429,NULL,'CAPITAIS','TIMBO','SC',4780,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2127660,2.00,7.00,3.00,4.00,6.00,4.50,4.00,4.00,3.00,201,420,212,'COQUEIROS','FLORIANOPOLIS','SC',16054,853,787,328,NULL,NULL,NULL,4,1),(15,2127679,2.00,4.00,0.00,4.00,4.00,NULL,4.00,5.00,4.00,211,444,215,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2127687,1.00,5.00,1.00,3.00,7.00,6.00,3.00,3.00,1.00,5,319,NULL,'CENTRO','PORTO BELO','SC',20099,836,925,NULL,NULL,NULL,NULL,4,6),(15,2127695,7.00,7.00,9.00,9.00,8.00,6.75,8.00,7.00,4.00,214,2,215,'JURERÊ','FLORIANOPOLIS','SC',830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127709,1.00,4.00,0.00,0.00,5.00,NULL,3.00,4.00,2.00,101,308,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127717,6.00,8.00,8.00,7.00,8.00,5.50,8.00,7.00,6.00,203,214,220,'MORADA DO SOL','TERESINA','PI',1608,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2127725,3.00,8.00,4.00,7.00,7.00,5.50,5.00,7.00,3.00,303,333,NULL,'BARREIROS','SAO JOSE','SC',8259,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2127733,4.00,6.00,8.00,3.00,8.00,6.00,8.00,5.00,5.00,214,301,216,'JARDIM NOEMIA','FRANCA','SP',6623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127750,6.00,7.00,8.00,7.00,7.00,6.75,9.00,5.00,6.00,450,225,NULL,'BAIRRO IPIRANGA','SAO JOSE','SC',1868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127768,1.00,5.00,1.00,5.00,8.00,6.25,2.00,4.00,3.00,220,316,NULL,'CENTRO','PALMITOS','SC',18140,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2127776,2.00,5.00,2.00,6.00,8.00,5.25,4.00,5.00,1.00,102,211,NULL,'PRAIA DE FORA','PALHOCA','SC',15806,345,948,NULL,NULL,NULL,NULL,2,1),(15,2127784,5.00,7.00,5.00,7.00,8.00,4.75,7.00,7.00,2.00,303,502,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',5498,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2127792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,317,NULL,'INTERIOR','SANTIAGO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2127806,2.00,3.00,2.00,4.00,5.00,3.50,3.00,4.00,3.00,234,501,NULL,'BARREIROS','SAO JOSE','SC',21432,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2127814,6.00,8.00,7.00,7.00,6.00,6.50,6.00,8.00,6.00,420,207,NULL,'VILA ANGLO','SAO PAULO','SP',3494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127822,8.00,7.00,8.00,8.00,9.00,6.50,8.00,7.00,6.00,103,104,NULL,'CENTRO','TUBARAO','SC',783,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2127830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,316,NULL,'ALTO CAIÇARAS','PATOS DE MINAS','MG',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2127849,4.00,7.00,5.00,2.00,6.00,4.25,8.00,7.00,4.00,108,333,NULL,'JARDIM PLANALTO','CARAPICUIBA','SP',9589,189,637,NULL,NULL,NULL,NULL,4,1),(15,2127857,1.00,4.00,3.00,3.00,5.00,4.00,2.00,3.00,2.00,104,308,NULL,'TRES PONTES','PATO BRANCO','PR',22230,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2127865,3.00,6.00,1.00,5.00,5.00,6.25,3.00,3.00,2.00,339,324,NULL,'CENTRO','FLORIANOPOLIS','SC',19105,105,350,NULL,NULL,NULL,NULL,2,1),(15,2127873,2.00,7.00,1.00,2.00,6.00,5.50,3.00,4.00,4.00,108,333,NULL,'SANTA JULIA','ITUPEVA','SP',16788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127890,6.00,8.00,7.00,8.00,8.00,6.75,8.00,6.00,6.00,216,316,215,'CENTRO','FLORIANOPOLIS','SC',1088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,429,NULL,'FLOR DE NÁPOLIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2127911,3.00,7.00,1.00,2.00,6.00,6.00,5.00,4.00,2.00,103,9,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',15209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127920,8.00,8.00,8.00,8.00,8.00,5.50,7.00,6.00,8.00,103,216,NULL,'VELHA','BLUMENAU','SC',1251,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2127946,2.00,6.00,2.00,6.00,5.00,5.00,2.00,6.00,1.00,320,233,NULL,'CAMPECHE','FLORIANOPOLIS','SC',19272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2127954,3.00,6.00,7.00,2.00,7.00,6.00,7.00,4.00,4.00,233,304,212,'SANTO ANTONIO','ARAXA','MG',9344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2127962,1.00,3.00,3.00,3.00,4.00,4.00,1.00,5.00,1.00,324,327,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',22446,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2127970,8.00,9.00,2.00,6.00,9.00,6.75,8.00,7.00,5.00,103,102,NULL,'CENTRO','BIGUACU','SC',2889,1012,624,NULL,NULL,NULL,NULL,2,1),(15,2128004,4.00,5.00,2.00,1.00,6.00,5.25,2.00,3.00,3.00,103,415,NULL,'CORRÉGO GRANDE','FLORIANOPOLIS','SC',19675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2128012,2.00,3.00,3.00,6.00,7.00,4.75,3.00,6.00,4.00,319,320,NULL,'BARREIROS','SAO JOSE','SC',16462,334,203,NULL,NULL,NULL,NULL,2,1),(15,2128020,3.00,5.00,2.00,4.00,7.00,5.25,4.00,3.00,4.00,207,201,NULL,'PRESIDENTE KENNEDY','FRANCISCO BELTRAO','PR',16188,791,1353,NULL,NULL,NULL,NULL,2,4),(15,2128039,3.00,6.00,4.00,5.00,6.00,5.50,5.00,7.00,3.00,233,420,238,'SÃO ROQUE','BENTO GONCALVES','RS',11514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2128055,1.00,4.00,1.00,7.00,4.00,4.50,2.00,3.00,3.00,108,102,NULL,'CENTRO','RODEIO','SC',20755,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2128063,2.00,6.00,2.00,3.00,5.00,6.75,3.00,8.00,2.00,234,333,NULL,'SÃO FRANCISCO','BENTO GONCALVES','RS',16360,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2128071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,339,NULL,'CENTRO','CASTRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2128080,4.00,7.00,4.00,5.00,6.00,5.75,5.00,7.00,4.00,303,424,NULL,'TAPERA','FLORIANOPOLIS','SC',8119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2128101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'ALTO DA XV','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2128110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'VILA EUCLIDES','SAO BERNARDO DO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2128128,2.00,3.00,1.00,0.00,4.00,NULL,1.00,2.00,2.00,213,NULL,202,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2128136,2.00,5.00,3.00,5.00,3.00,4.25,3.00,3.00,5.00,208,217,238,'VENDAVAL','BIGUACU','SC',18937,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2128144,2.00,8.00,5.00,4.00,6.00,7.50,4.00,9.00,2.00,327,320,NULL,'CENTRO','CASCAVEL','PR',7880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2128152,2.00,6.00,1.00,5.00,5.00,5.75,5.00,3.00,2.00,317,304,NULL,'ESTREITO','FLORIANOPOLIS','SC',17712,300,414,NULL,NULL,NULL,NULL,2,1),(15,2128160,4.00,6.00,7.00,7.00,8.00,6.75,6.00,4.00,6.00,104,101,NULL,'RIO CARVAO BAIXO','URUSSANGA','SC',5101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2128179,4.00,7.00,4.00,3.00,4.00,6.25,3.00,4.00,3.00,208,238,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',16304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2128187,5.00,8.00,4.00,6.00,6.00,6.00,6.00,7.00,4.00,207,332,201,'CENTRO','ITAPEMA','SC',6619,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2128195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,225,NULL,'SÃO FRANCISCO','CORONEL FREITAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2128209,3.00,7.00,2.00,5.00,4.00,5.00,2.00,6.00,4.00,415,303,NULL,'VILA IVETE','MAFRA','SC',15851,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2128217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,333,203,'CENTRO','BOA VISTA DO BURICA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2128225,4.00,6.00,4.00,7.00,5.00,4.50,5.00,5.00,2.00,501,502,NULL,'CENTRO','CURITIBANOS','SC',12644,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2128233,3.00,5.00,6.00,6.00,7.00,6.75,3.00,3.00,3.00,101,308,NULL,'ABRAÃO','FLORIANOPOLIS','SC',11773,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2128241,4.00,3.00,4.00,4.00,2.00,NULL,3.00,4.00,0.00,317,324,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2128250,3.00,5.00,1.00,4.00,6.00,5.00,3.00,3.00,4.00,304,223,NULL,'CAMPINAS','SAO JOSE','SC',18070,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2128268,2.00,7.00,3.00,7.00,4.00,5.75,3.00,5.00,1.00,317,316,NULL,'SERRARIA','SAO JOSE','SC',16017,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2128284,1.00,3.00,3.00,2.00,5.00,5.00,3.00,2.00,3.00,317,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',22173,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2128306,3.00,6.00,6.00,4.00,7.00,6.00,6.00,6.00,5.00,208,223,238,'CENTRO','CURITIBANOS','SC',7233,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2128314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,207,NULL,'PASCOTINI','SANTO ANGELO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2128322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'SÃO FRANCISCO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2128330,1.00,6.00,2.00,4.00,3.00,5.75,2.00,4.00,1.00,444,333,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',21715,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2128349,3.00,4.00,2.00,5.00,5.00,4.75,2.00,3.00,4.00,103,102,NULL,'BARREIROS','SAO JOSE','SC',18905,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2128357,7.00,8.00,8.00,7.00,3.00,7.00,7.00,7.00,4.00,316,318,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',3416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2128381,2.00,7.00,4.00,1.00,6.00,4.25,3.00,3.00,2.00,303,404,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',19526,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2128390,3.00,7.00,7.00,8.00,9.00,6.75,7.00,7.00,4.00,420,319,NULL,'PANTANAL','FLORIANOPOLIS','SC',3266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2128403,3.00,8.00,4.00,10.00,8.00,6.75,6.00,7.00,3.00,9,303,NULL,'TRINDADE','FLORIANOPOLIS','SC',5016,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2128420,2.00,4.00,2.00,1.00,5.00,NULL,0.00,0.00,0.00,201,202,212,'CENTRO','VERANOPOLIS','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(15,2128454,5.00,8.00,6.00,9.00,6.00,6.25,9.00,6.00,6.00,208,420,NULL,'EMBARÉ','SANTOS','SP',2723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2128462,0.00,4.00,0.00,1.00,4.00,NULL,3.00,4.00,3.00,212,214,213,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2128470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,108,NULL,'SAGUACU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2128489,4.00,8.00,4.00,6.00,7.00,7.75,6.00,4.00,4.00,5,327,NULL,'ITACORUBI','FLORIANOPOLIS','SC',8055,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2128500,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,101,326,NULL,'PÂNTANO DO SUL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2128519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,202,NULL,'CENTRO','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2128527,3.00,6.00,1.00,3.00,4.00,5.25,4.00,3.00,4.00,9,NULL,NULL,'CENTRO','BRUSQUE','SC',18440,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2128535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SOCIAL','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2128543,2.00,8.00,2.00,5.00,5.00,7.50,6.00,5.00,4.00,5,426,NULL,'CAMPINAS','SAO JOSE','SC',11280,489,159,NULL,NULL,NULL,NULL,2,1),(15,2128551,1.00,5.00,3.00,1.00,8.00,7.00,5.00,4.00,3.00,201,316,238,'FORQUILHAS','SAO JOSE','SC',16916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2128560,2.00,4.00,1.00,3.00,6.00,5.75,4.00,5.00,1.00,319,333,NULL,'GETÚLIO VARGAS','TORRES','RS',20743,466,1015,NULL,NULL,NULL,NULL,4,5),(15,2128578,2.00,5.00,3.00,5.00,3.00,6.00,4.00,1.00,1.00,101,421,NULL,'JARDIM IOLANDA','TABOAO DA SERRA','SP',20575,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2128586,0.00,5.00,1.00,6.00,6.00,5.25,5.00,6.00,1.00,201,301,207,'PARQUE JARDIM OURO','OURO','SC',16900,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2128594,6.00,8.00,8.00,6.00,6.00,4.50,8.00,6.00,6.00,201,501,220,'CENTRO','PICARRAS','SC',3993,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2128608,1.00,4.00,0.00,2.00,3.00,NULL,2.00,3.00,1.00,207,420,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2128616,4.00,6.00,3.00,6.00,7.00,5.50,8.00,5.00,2.00,319,327,NULL,'BARREIROS','SAO JOSE','SC',9530,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2128624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,329,NULL,'JARDIM SÃO JOSE','BRAGANCA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2128632,5.00,6.00,3.00,7.00,8.00,7.00,4.00,6.00,3.00,502,215,NULL,'INGLESES','FLORIANOPOLIS','SC',7032,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2128640,3.00,7.00,4.00,4.00,6.00,5.50,4.00,7.00,2.00,5,329,NULL,'BARREIROS','SAO JOSE','SC',12686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2128659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2128667,7.00,6.00,6.00,3.00,7.00,5.75,4.00,4.00,3.00,207,5,201,'AMERICA','JOINVILLE','SC',10074,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2128675,5.00,9.00,8.00,6.00,5.00,5.50,8.00,6.00,2.00,5,332,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',5405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2128691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'CENTRO','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2128705,5.00,7.00,7.00,8.00,5.00,5.75,6.00,6.00,2.00,214,211,203,'CENTRO','SAO JOSE DO OURO','RS',5641,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2128713,3.00,6.00,4.00,7.00,7.00,6.50,3.00,5.00,2.00,420,450,NULL,'CARIANOS','FLORIANOPOLIS','SC',11127,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2128721,3.00,6.00,4.00,3.00,5.00,3.75,3.00,5.00,3.00,238,332,NULL,'FLOR DE NAPOLIS','SAO JOSE','SC',17006,632,279,NULL,NULL,NULL,NULL,2,1),(15,2128764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,502,NULL,'CENTRO','DIONISIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2128780,4.00,4.00,4.00,3.00,3.00,3.00,5.00,3.00,2.00,214,NULL,201,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2128799,3.00,2.00,1.00,5.00,6.00,4.50,3.00,2.00,2.00,103,444,NULL,'CENTRO','FLORES DA CUNHA','RS',21160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2128802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,316,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2128829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'CENTRO','JESUITAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2128837,5.00,5.00,4.00,8.00,8.00,5.50,7.00,7.00,2.00,225,451,NULL,'CENTRO','FLORIANOPOLIS','SC',6318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2128845,3.00,7.00,3.00,6.00,8.00,5.50,4.00,5.00,4.00,217,234,NULL,'CENTRO','ICARA','SC',10164,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2128853,8.00,9.00,8.00,6.00,8.00,6.25,7.00,7.00,6.00,103,333,NULL,'CAPÃO RASO','CURITIBA','PR',1183,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2128861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,101,NULL,'CENTRO','PALMITINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2128870,2.00,7.00,3.00,3.00,7.00,7.25,6.00,5.00,5.00,216,102,215,'MARIA LUIZA','CASCAVEL','PR',10588,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2128896,1.00,3.00,2.00,1.00,4.00,NULL,2.00,3.00,3.00,208,301,NULL,'FAZENDA DA ARMAÇÃO','GOVERNADOR CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2128900,0.00,6.00,3.00,5.00,5.00,4.75,4.00,5.00,2.00,214,NULL,233,'VILA SÃO LUIS','LIMEIRA','SP',17741,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2128918,2.00,4.00,3.00,3.00,6.00,4.50,4.00,2.00,1.00,208,201,207,'CENTRO','BALNEARIO CAMBORIU','SC',20181,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2128926,2.00,8.00,3.00,4.00,8.00,4.25,3.00,5.00,2.00,404,225,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',12619,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2128934,3.00,6.00,1.00,6.00,8.00,5.50,2.00,4.00,1.00,318,324,NULL,'ARMAÇAO','FLORIANOPOLIS','SC',17142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2128950,1.00,6.00,1.00,4.00,7.00,6.75,2.00,7.00,3.00,426,415,421,'CAMPINAS','SAO JOSE','SC',14020,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2128985,4.00,6.00,3.00,5.00,7.00,5.75,3.00,3.00,4.00,103,101,NULL,'CENTRO','PRESIDENTE GETULIO','SC',14854,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2128993,5.00,7.00,2.00,5.00,8.00,6.25,5.00,7.00,3.00,317,327,NULL,'TAPERA','FLORIANOPOLIS','SC',9269,88,266,NULL,NULL,NULL,NULL,2,1),(15,2129027,2.00,7.00,6.00,8.00,7.00,5.75,7.00,7.00,3.00,215,421,233,'JARDIM UNIVERSITARIO','SAO JOSE DO RIO PRETO','SP',6160,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2129043,6.00,7.00,6.00,8.00,8.00,6.75,5.00,6.00,5.00,103,5,NULL,'PONTA AGUDA','BLUMENAU','SC',3040,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2129051,0.00,2.00,0.00,0.00,1.00,NULL,2.00,3.00,3.00,404,444,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129086,2.00,2.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,108,9,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2129094,2.00,7.00,1.00,4.00,5.00,5.50,1.00,4.00,4.00,444,301,NULL,'CENTRO','JABORA','SC',19515,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2129108,4.00,7.00,1.00,4.00,7.00,5.75,4.00,6.00,4.00,444,404,NULL,'BARREIROS','SAO JOSE','SC',12382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129116,2.00,5.00,3.00,6.00,4.00,4.75,3.00,2.00,2.00,5,224,NULL,'JARDIM JANAÍNA','BIGUACU','SC',19508,812,280,NULL,NULL,NULL,NULL,2,1),(15,2129124,8.00,8.00,9.00,9.00,9.00,8.50,8.00,5.00,8.00,203,222,201,'CENTRO','FLORIANOPOLIS','SC',283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129132,5.00,6.00,3.00,7.00,7.00,4.75,6.00,3.00,4.00,103,216,NULL,'CENTRO','UNIAO DA VITORIA','PR',11100,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2129140,3.00,8.00,4.00,5.00,6.00,4.50,6.00,6.00,5.00,220,202,203,'NOVA VILA','GOIANIA','GO',8173,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129159,7.00,9.00,5.00,9.00,8.00,6.75,8.00,8.00,7.00,103,108,NULL,'JARDIM AQUÁRIUS','SAO JOSE DOS CAMPOS','SP',740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129167,3.00,9.00,7.00,8.00,8.00,6.75,6.00,8.00,4.00,238,415,207,'CENTRO','BALNEARIO CAMBORIU','SC',2951,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2129175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,502,NULL,'CIDADE ALTA','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2129183,5.00,8.00,6.00,6.00,9.00,7.25,6.00,5.00,5.00,108,331,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',4569,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2129191,1.00,5.00,1.00,7.00,7.00,6.00,4.00,6.00,3.00,212,316,201,'CENTRO','CRICIUMA','SC',14165,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2129213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,5,NULL,'RIO BRANCO','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2129221,3.00,6.00,3.00,4.00,5.00,5.25,5.00,5.00,2.00,220,324,NULL,'GUARDA DO CUBATÃO','PALHOCA','SC',16620,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129230,5.00,7.00,6.00,8.00,7.00,5.50,8.00,4.00,3.00,108,NULL,NULL,'OCTOGONAL','CRUZEIRO','DF',5250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129248,1.00,8.00,2.00,1.00,6.00,5.75,5.00,4.00,2.00,420,301,NULL,'CAMPINAS','SAO JOSE','SC',16200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129256,2.00,4.00,5.00,3.00,5.00,4.25,3.00,5.00,6.00,214,234,NULL,'ITAGUAÇÚ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129264,7.00,8.00,8.00,4.00,6.00,5.75,8.00,7.00,7.00,104,9,NULL,'CENTRO','FLORIANOPOLIS','SC',1899,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129272,4.00,5.00,3.00,3.00,7.00,5.50,4.00,5.00,3.00,428,NULL,424,'VENDAVAL','BIGUACU','SC',13328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129280,0.00,6.00,4.00,5.00,6.00,5.75,2.00,4.00,4.00,327,332,NULL,'FORQUILHINHAS','SAO JOSE','SC',17257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129299,2.00,7.00,1.00,2.00,6.00,3.00,6.00,3.00,2.00,234,501,NULL,'ABRAAO','FLORIANOPOLIS','SC',18593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129302,4.00,8.00,5.00,7.00,9.00,8.00,5.00,7.00,5.00,415,424,NULL,'COQUEIROS','FLORIANOPOLIS','SC',2676,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2129310,3.00,6.00,3.00,5.00,5.00,5.50,3.00,5.00,2.00,201,211,212,'PLANALTO','CAXIAS DO SUL','RS',15770,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129329,8.00,8.00,5.00,3.00,9.00,6.50,8.00,7.00,5.00,102,9,NULL,'RIO BELO','ORLEANS','SC',3064,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2129337,4.00,1.00,1.00,6.00,4.00,4.25,3.00,3.00,4.00,429,423,428,'CAMPECHE','FLORIANOPOLIS','SC',20036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129345,3.00,6.00,2.00,8.00,5.00,7.25,5.00,5.00,2.00,213,103,202,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2129353,2.00,6.00,2.00,4.00,7.00,6.75,7.00,7.00,3.00,103,303,NULL,'INGLESES','FLORIANOPOLIS','SC',10503,2201,1141,NULL,NULL,NULL,NULL,4,1),(15,2129361,3.00,6.00,2.00,9.00,4.00,5.50,3.00,6.00,4.00,220,208,203,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129370,6.00,6.00,3.00,4.00,7.00,7.25,6.00,6.00,4.00,444,333,NULL,'SANTINHO','FLORIANOPOLIS','SC',8709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129388,4.00,7.00,5.00,7.00,8.00,5.50,7.00,6.00,4.00,301,304,NULL,'MORRO DA CRUZ','FLORIANOPOLIS','SC',5851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129396,6.00,7.00,4.00,5.00,9.00,6.50,6.00,3.00,3.00,103,319,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',8825,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2129400,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,301,444,NULL,'CENTRO','JABORA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,7),(15,2129434,4.00,6.00,1.00,5.00,6.00,4.00,3.00,7.00,2.00,317,327,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',16464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129442,5.00,9.00,7.00,8.00,7.00,6.25,7.00,8.00,6.00,303,5,NULL,'CENTRO','SAO JOSE','SC',1843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,207,NULL,'CENTRO','CAMPO ERE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2129477,6.00,7.00,4.00,8.00,8.00,5.50,6.00,6.00,6.00,103,101,NULL,'JARDIM SATÉLITE','SAO JOSE DOS CAMPOS','SP',3413,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,404,201,'FLOR DE NÁPOLIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2129493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,301,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2129507,6.00,7.00,7.00,7.00,8.00,6.50,6.00,6.00,5.00,216,215,211,'CENTRO','FLORIANOPOLIS','SC',3252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129515,5.00,8.00,4.00,6.00,7.00,5.25,6.00,7.00,4.00,208,238,NULL,'FLOR DE NAPOLIS','SAO JOSE','SC',6642,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129523,3.00,5.00,2.00,3.00,5.00,6.50,2.00,3.00,3.00,451,415,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',18801,78,785,NULL,NULL,NULL,NULL,4,1),(15,2129531,4.00,6.00,2.00,6.00,6.00,4.00,2.00,7.00,3.00,223,324,NULL,'FLORESTA','SAO JOSE','SC',14269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129540,3.00,8.00,3.00,9.00,7.00,5.50,4.00,4.00,4.00,304,310,NULL,'INGLESES','FLORIANOPOLIS','SC',8708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129558,3.00,6.00,2.00,5.00,8.00,7.25,6.00,4.00,1.00,316,333,NULL,'CENTRO','FLORIANOPOLIS','SC',12268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129566,3.00,6.00,5.00,6.00,6.00,6.25,6.00,4.00,3.00,301,303,NULL,'CENTRO','HERVAL D OESTE','SC',10420,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2129574,5.00,8.00,8.00,7.00,8.00,5.00,6.00,7.00,7.00,5,303,NULL,'VILA ESTER','SAO PAULO','SP',2571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129582,4.00,6.00,4.00,4.00,7.00,5.25,6.00,3.00,5.00,319,329,NULL,'ANDORINHA','ITAPEMA','SC',10721,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2129604,4.00,6.00,2.00,5.00,5.00,6.00,6.00,6.00,3.00,303,420,NULL,'CENTRO','FLORIANOPOLIS','SC',12423,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,301,201,'CENTRO','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2129620,0.00,3.00,3.00,2.00,4.00,NULL,1.00,1.00,3.00,316,208,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129639,1.00,5.00,0.00,2.00,2.00,NULL,1.00,4.00,1.00,301,333,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129647,2.00,4.00,2.00,1.00,4.00,NULL,1.00,3.00,2.00,201,9,207,'MONTE CASTELO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2129663,2.00,5.00,1.00,2.00,3.00,NULL,2.00,2.00,2.00,415,331,NULL,'SÃO FRANCISCO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129671,1.00,6.00,2.00,1.00,4.00,3.50,3.00,6.00,2.00,423,424,427,'CENTRO','FLORIANOPOLIS','SC',21560,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129680,2.00,4.00,4.00,7.00,4.00,4.75,3.00,1.00,4.00,202,203,216,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129698,3.00,6.00,2.00,4.00,4.00,5.50,4.00,3.00,2.00,208,238,202,'ASILO','BLUMENAU','SC',19502,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2129701,4.00,6.00,5.00,7.00,7.00,6.00,4.00,2.00,4.00,238,420,208,'CAMPECHE','FLORIANOPOLIS','SC',11151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129710,1.00,4.00,0.00,6.00,8.00,5.50,5.00,5.00,4.00,103,9,NULL,'CORONEL ANTONINO','CAMPO GRANDE','MS',15387,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2129728,7.00,8.00,7.00,4.00,8.00,5.00,8.00,6.00,4.00,220,203,202,'JARDIM TROPICAL','MATELANDIA','PR',4261,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129736,6.00,8.00,7.00,7.00,9.00,6.00,8.00,7.00,5.00,104,333,NULL,'CENTRO','FLORIANOPOLIS','SC',1802,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129744,4.00,5.00,2.00,1.00,6.00,4.25,2.00,6.00,3.00,103,202,NULL,'CENTRO','CURITIBA','PR',18479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129752,2.00,4.00,1.00,1.00,2.00,NULL,5.00,4.00,2.00,214,220,203,'CENTRO','SAO DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2129760,3.00,8.00,8.00,6.00,7.00,6.75,8.00,5.00,6.00,233,211,202,'SÃO VICENTE','FRANCA','SP',3128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129779,2.00,3.00,1.00,4.00,4.00,NULL,3.00,2.00,0.00,319,423,NULL,'KOBRASSOL II','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129795,4.00,7.00,7.00,6.00,7.00,6.25,9.00,6.00,6.00,203,220,202,'CONJ ÁGUA BRANCA','CONTAGEM','MG',3157,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2129809,2.00,6.00,3.00,4.00,6.00,5.25,6.00,3.00,3.00,451,217,NULL,'BARREIROS','SAO JOSE','SC',15152,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129817,5.00,8.00,5.00,6.00,8.00,5.50,7.00,7.00,2.00,324,427,NULL,'INGLESES','FLORIANOPOLIS','SC',5574,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129825,5.00,9.00,4.00,6.00,9.00,8.00,5.00,7.00,3.00,303,428,NULL,'CENTRO','BIGUACU','SC',4657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129833,1.00,2.00,1.00,2.00,3.00,NULL,2.00,5.00,2.00,214,213,203,'BOM JESUS','CACADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2129850,5.00,7.00,9.00,7.00,8.00,4.50,8.00,7.00,3.00,5,317,NULL,'CENTRO','FLORIANOPOLIS','SC',3113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129868,0.00,7.00,4.00,7.00,4.00,3.25,5.00,3.00,2.00,5,316,NULL,'CENTRO','FLORIANOPOLIS','SC',18490,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129876,4.00,5.00,4.00,2.00,7.00,5.50,7.00,6.00,3.00,301,201,NULL,'CENTRO','ERECHIM','RS',10712,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2129884,3.00,6.00,4.00,2.00,4.00,3.25,6.00,5.00,3.00,202,420,213,'BRUSQUE','LAGES','SC',17337,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2129914,4.00,4.00,4.00,3.00,4.00,5.00,3.00,4.00,2.00,238,425,208,'INGLESES','FLORIANOPOLIS','SC',19869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2129922,5.00,6.00,5.00,4.00,5.00,5.75,6.00,6.00,2.00,225,238,NULL,'CAMPECHE','FLORIANOPOLIS','SC',10965,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129930,3.00,7.00,2.00,6.00,5.00,4.25,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','FRAIBURGO','SC',14959,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2129957,3.00,5.00,4.00,6.00,6.00,4.00,2.00,5.00,2.00,103,101,NULL,'JARDIN ROLLO','ARARAS','SP',16338,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2129965,3.00,5.00,2.00,7.00,7.00,4.50,6.00,7.00,3.00,404,501,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',11333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2129973,5.00,7.00,4.00,4.00,7.00,5.50,3.00,4.00,2.00,104,NULL,NULL,'JARDIM COLINA VERDE','GOIOERE','PR',12084,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2129981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'COLINA VERDE','IVOTI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2129990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,319,NULL,'CENTRO','TERRA DE AREIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2130009,4.00,6.00,4.00,5.00,6.00,5.75,4.00,5.00,2.00,220,233,214,'FARROUPILHA','VIDEIRA','SC',11494,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2130017,4.00,6.00,4.00,6.00,7.00,4.50,2.00,4.00,2.00,102,501,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',15298,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130025,3.00,6.00,6.00,7.00,7.00,6.00,6.00,7.00,3.00,103,303,NULL,'CENTRO','FLORIANOPOLIS','SC',6020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130033,2.00,3.00,6.00,7.00,8.00,4.25,3.00,7.00,4.00,238,208,NULL,'JARDIM VON ZUBEN','CAMPINAS','SP',11490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130041,1.00,4.00,1.00,7.00,6.00,6.00,3.00,6.00,2.00,308,423,NULL,'CENTRO','FLORIANOPOLIS','SC',16995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130050,0.00,4.00,3.00,4.00,5.00,3.50,5.00,3.00,2.00,333,108,NULL,'JARDIM PETRÓPOLIS','SAO PAULO','SP',20126,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130068,3.00,5.00,6.00,6.00,9.00,6.50,4.00,8.00,4.00,303,425,NULL,'CENTRO','ARARANGUA','SC',6171,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2130084,0.00,5.00,5.00,6.00,6.00,NULL,3.00,4.00,2.00,303,NULL,NULL,'ENSEADA','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2130092,1.00,4.00,1.00,5.00,5.00,4.25,3.00,3.00,2.00,319,339,NULL,'IPIRANGA','SAO JOSE','SC',21644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130106,2.00,5.00,3.00,7.00,7.00,8.00,4.00,6.00,2.00,420,425,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',12148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130114,4.00,5.00,1.00,4.00,6.00,6.00,4.00,4.00,3.00,103,214,NULL,'ESTREITO','FLORIANOPOLIS','SC',16551,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130122,4.00,8.00,6.00,7.00,8.00,4.50,7.00,7.00,4.00,201,225,211,'CENTRO','FLORIANOPOLIS','SC',5230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130130,1.00,7.00,3.00,6.00,8.00,7.00,3.00,6.00,1.00,201,423,211,'BERGER','CACADOR','SC',12273,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2130149,6.00,9.00,9.00,9.00,9.00,8.00,7.00,8.00,4.00,317,318,NULL,'CENTRO','FLORIANOPOLIS','SC',635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130157,2.00,8.00,2.00,5.00,8.00,6.00,3.00,8.00,3.00,318,317,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',10496,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130173,3.00,5.00,1.00,5.00,7.00,6.25,4.00,4.00,1.00,101,5,NULL,'CENTRO','IMBUIA','SC',16941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130203,7.00,7.00,9.00,7.00,8.00,5.75,8.00,5.00,6.00,108,333,NULL,'BARREIROS','SAO JOSE','SC',2494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130211,1.00,7.00,3.00,3.00,5.00,4.75,7.00,5.00,4.00,213,212,214,'MOEMA','SAO PAULO','SP',13570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130220,4.00,5.00,2.00,7.00,8.00,5.75,3.00,4.00,4.00,316,317,NULL,'JARDIM EUROPA','BIGUACU','SC',12700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130238,4.00,7.00,0.00,7.00,7.00,NULL,4.00,6.00,2.00,318,216,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130246,2.00,7.00,0.00,1.00,9.00,6.25,6.00,4.00,3.00,102,216,NULL,'CENTRO','ITUPORANGA','SC',16276,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2130254,3.00,7.00,5.00,6.00,7.00,4.00,5.00,4.00,4.00,450,310,NULL,'ITACORUBI','FLORIANOPOLIS','SC',11211,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130262,4.00,6.00,4.00,2.00,9.00,4.75,6.00,5.00,2.00,319,9,NULL,'CENTRO','ALTO PARANA','PR',11322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,319,NULL,'ZONA SETE','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2130289,3.00,6.00,1.00,4.00,6.00,4.50,5.00,5.00,5.00,320,429,NULL,'PANTANAL','FLORIANOPOLIS','SC',16335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130297,4.00,8.00,6.00,8.00,6.00,6.50,3.00,6.00,3.00,304,318,NULL,'SAGRADO CORAÇÃO DE J','LAGES','SC',7303,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2130300,1.00,4.00,2.00,2.00,3.00,3.00,3.00,3.00,2.00,201,NULL,203,'SANTA MARIA','JATAI','GO',22506,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130319,5.00,7.00,6.00,6.00,6.00,5.75,7.00,4.00,3.00,316,304,NULL,'FLORESTA','JOINVILLE','SC',7997,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2130327,5.00,7.00,5.00,9.00,8.00,5.50,5.00,5.00,2.00,316,301,NULL,'CENTRO','GAROPABA','SC',7342,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130335,2.00,6.00,2.00,8.00,4.00,5.00,1.00,3.00,2.00,333,301,NULL,'JARDIM UMUARAMA','SAO PAULO','SP',19151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130343,5.00,6.00,5.00,7.00,8.00,7.00,5.00,6.00,2.00,320,426,NULL,'TRINDADE','FLORIANOPOLIS','SC',6292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130351,5.00,8.00,1.00,5.00,6.00,6.25,6.00,6.00,4.00,103,102,NULL,'CABRAL','CURITIBA','PR',8771,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2130386,4.00,8.00,4.00,7.00,7.00,6.25,6.00,7.00,5.00,207,301,201,'CENTRO','ERECHIM','RS',4663,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2130416,8.00,9.00,7.00,9.00,9.00,5.50,9.00,8.00,6.00,103,101,NULL,'CENTRO','PORTO ALEGRE','RS',273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130424,1.00,1.00,4.00,3.00,3.00,NULL,3.00,2.00,3.00,207,444,NULL,'CENTRO','SAO JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2130432,6.00,8.00,6.00,4.00,8.00,4.50,8.00,5.00,4.00,316,2,NULL,'ESTREITO','FLORIANOPOLIS','SC',5465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130440,1.00,7.00,3.00,3.00,2.00,NULL,4.00,5.00,0.00,238,333,208,'CENTRO','FARTURA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130459,3.00,6.00,3.00,9.00,6.00,6.00,3.00,8.00,3.00,415,428,NULL,'SÃO BRAZ','CURITIBA','PR',8877,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2130467,6.00,6.00,2.00,3.00,7.00,5.50,3.00,5.00,4.00,108,333,NULL,'JARDIM AMÉRICA','RIO DO SUL','SC',13481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130475,3.00,4.00,4.00,5.00,6.00,5.25,3.00,2.00,3.00,309,339,NULL,'N S DO ROSÁRIO','SAO JOSE','SC',17258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130483,8.00,9.00,9.00,9.00,8.00,7.25,9.00,7.00,9.00,208,223,201,'CENTRO','FLORIANOPOLIS','SC',53,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,404,NULL,'URUBICI','URUBICI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2130521,1.00,7.00,4.00,9.00,8.00,6.75,3.00,6.00,6.00,450,425,NULL,'SANTO AMARO','SAO PAULO','SP',6760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130530,3.00,6.00,3.00,6.00,5.00,5.00,6.00,5.00,3.00,108,501,NULL,'VILA MARIANA','BAURU','SP',13325,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2130548,5.00,8.00,7.00,5.00,9.00,8.00,6.00,8.00,6.00,203,502,233,'SANTA RITA','BRUSQUE','SC',2328,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2130556,2.00,6.00,3.00,6.00,5.00,5.75,4.00,3.00,3.00,5,420,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130564,9.00,9.00,8.00,7.00,9.00,5.50,9.00,9.00,9.00,103,NULL,NULL,'CENTRO','CAMPO GRANDE','MS',134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2130580,4.00,6.00,2.00,2.00,7.00,5.00,4.00,6.00,4.00,102,217,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130602,6.00,7.00,6.00,7.00,7.00,5.50,8.00,7.00,6.00,103,102,NULL,'ASILO','BLUMENAU','SC',2956,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2130610,1.00,5.00,4.00,6.00,3.00,6.75,4.00,4.00,4.00,108,501,NULL,'VILA GOMES','CAMPO GRANDE','MS',14282,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130629,1.00,3.00,3.00,5.00,6.00,4.75,4.00,3.00,1.00,415,327,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',19661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2130645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,444,NULL,'VILAGE','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2130653,3.00,7.00,5.00,8.00,5.00,6.00,5.00,6.00,3.00,316,318,NULL,'ESTREITO','FLORIANOPOLIS','SC',8687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130661,3.00,7.00,5.00,8.00,8.00,6.75,4.00,8.00,5.00,303,5,NULL,'AMERICA','JOINVILLE','SC',6221,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2130670,5.00,7.00,1.00,4.00,7.00,5.50,5.00,6.00,1.00,213,222,238,'BARREIROS','SAO JOSE','SC',12166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130688,4.00,8.00,5.00,8.00,7.00,7.00,6.00,4.00,4.00,217,223,NULL,'FORQUILHINHAS','SAO JOSE','SC',6181,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130696,5.00,9.00,6.00,6.00,8.00,6.00,6.00,8.00,4.00,319,329,NULL,'COQUEIROS','FLORIANOPOLIS','SC',3828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,214,NULL,'SAO SEBASTIAO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2130742,4.00,8.00,2.00,6.00,5.00,5.50,4.00,4.00,4.00,208,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130750,2.00,6.00,2.00,5.00,6.00,7.50,4.00,6.00,2.00,324,308,NULL,'CAMPECHE','FLORIANOPOLIS','SC',14321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130769,4.00,7.00,4.00,6.00,6.00,6.00,6.00,7.00,4.00,207,420,201,'CENTRO','FLORIANOPOLIS','SC',8051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130777,6.00,6.00,6.00,7.00,9.00,6.75,6.00,7.00,6.00,233,451,212,'CENTRO','PALHOCA','SC',2795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130785,6.00,7.00,8.00,8.00,7.00,5.75,9.00,7.00,6.00,103,108,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',1402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130793,5.00,7.00,4.00,6.00,8.00,5.50,8.00,8.00,5.00,303,328,NULL,'CENTRO','JACINTO MACHADO','SC',3309,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2130815,5.00,7.00,8.00,7.00,7.00,5.00,8.00,7.00,6.00,333,203,NULL,'VISTA VERDE','SAO JOSE DOS CAMPOS','SP',2817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130823,4.00,8.00,8.00,9.00,8.00,7.00,7.00,7.00,7.00,302,304,NULL,'SANTA RITA','BRUSQUE','SC',1537,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2130831,3.00,7.00,0.00,6.00,6.00,4.75,2.00,6.00,6.00,303,444,NULL,'CANTA GALO','RIO DO SUL','SC',14179,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130840,6.00,5.00,7.00,6.00,6.00,5.25,6.00,6.00,3.00,302,324,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',7447,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2130858,1.00,7.00,5.00,2.00,6.00,5.75,5.00,6.00,3.00,203,202,220,'NAÇÕES','BALNEARIO CAMBORIU','SC',14713,950,899,496,NULL,NULL,NULL,4,3),(15,2130866,1.00,8.00,3.00,8.00,8.00,6.25,5.00,7.00,2.00,103,301,NULL,'CENTRO','JARAGUA DO SUL','SC',8930,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2130874,4.00,5.00,1.00,2.00,5.00,5.50,5.00,5.00,3.00,304,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',16817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130882,6.00,7.00,2.00,7.00,8.00,7.00,3.00,5.00,3.00,104,308,NULL,'CAMPINAS','SAO JOSE','SC',8510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2130890,6.00,8.00,5.00,5.00,9.00,6.25,7.00,6.00,3.00,9,101,NULL,'CENTRO','ORLEANS','SC',5581,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2130912,3.00,5.00,3.00,5.00,7.00,6.75,5.00,6.00,3.00,317,224,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',9662,97,154,NULL,NULL,NULL,NULL,2,1),(15,2130920,5.00,7.00,7.00,2.00,8.00,5.75,5.00,6.00,2.00,303,326,NULL,'OFICINAS','TUBARAO','SC',8356,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2130939,1.00,6.00,1.00,3.00,5.00,4.75,2.00,5.00,3.00,302,304,NULL,'CENTRO','GUARACIABA','SC',19430,167,427,NULL,NULL,NULL,NULL,2,4),(15,2130963,5.00,6.00,8.00,9.00,8.00,7.25,7.00,6.00,4.00,207,301,216,'JARDIM CENTRAL','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2130971,6.00,8.00,9.00,7.00,8.00,6.00,9.00,7.00,7.00,5,223,NULL,'COQUEIROS','FLORIANOPOLIS','SC',1065,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2131005,4.00,7.00,6.00,6.00,7.00,5.00,7.00,5.00,6.00,103,303,NULL,'BUENO','GOIANIA','GO',5298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131013,5.00,8.00,9.00,9.00,5.00,4.50,9.00,6.00,7.00,103,104,NULL,'CENTRO','MARINGA','PR',1863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131021,3.00,6.00,3.00,5.00,5.00,6.25,2.00,4.00,3.00,104,108,NULL,'VILA SÃO JORGE','BARUERI','SP',16628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131030,1.00,4.00,3.00,2.00,4.00,NULL,2.00,2.00,2.00,208,238,NULL,'SÃO JOSÉ','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131056,4.00,6.00,4.00,3.00,7.00,5.75,2.00,6.00,4.00,9,429,NULL,'INGLESES','FLORIANOPOLIS','SC',13360,165,251,NULL,NULL,NULL,NULL,4,1),(15,2131072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,103,211,'ALTO DO BOA VISTA','PRESIDENTE PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2131080,8.00,7.00,7.00,7.00,7.00,6.00,9.00,7.00,7.00,108,333,NULL,'ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP',1342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131099,2.00,6.00,2.00,7.00,4.00,5.75,7.00,5.00,2.00,208,404,238,'BARREIROS','SAO JOSE','SC',13972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2131102,2.00,3.00,2.00,7.00,3.00,5.00,3.00,0.00,3.00,308,319,NULL,'BARREIROS','SAO JOSE','SC',21429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2131110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,318,NULL,'LAGO SUL','LAGO SUL','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2131129,5.00,6.00,8.00,4.00,7.00,4.75,7.00,7.00,4.00,333,108,NULL,'GRAÇA','SALVADOR','BA',5593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131145,1.00,3.00,0.00,6.00,3.00,NULL,2.00,4.00,3.00,420,207,NULL,'VILA MARIA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131161,4.00,8.00,7.00,3.00,8.00,4.00,7.00,6.00,5.00,201,101,NULL,'BARREIROS','SAO JOSE','SC',6750,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2131170,1.00,4.00,3.00,4.00,4.00,3.50,4.00,5.00,2.00,108,214,NULL,'MODULO DOIS','JUINA','MT',20879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131188,1.00,6.00,4.00,5.00,6.00,7.00,4.00,7.00,2.00,207,450,201,'RIO BRANCO','PORTO ALEGRE','RS',12927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131200,1.00,3.00,1.00,7.00,6.00,5.75,2.00,5.00,3.00,415,326,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',19617,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2131226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,332,NULL,'SAO CONRADO','RIO DE JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2131234,2.00,7.00,2.00,7.00,6.00,5.25,4.00,4.00,1.00,327,326,NULL,'ESTREITO','FLORIANOPOLIS','SC',16098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131242,3.00,8.00,4.00,4.00,6.00,5.75,5.00,4.00,3.00,318,320,NULL,'ESTREITO','FLORIANOPOLIS','SC',13724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'JARDIM GUANABARA','RIO DE JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2131269,3.00,5.00,0.00,4.00,7.00,5.25,2.00,4.00,1.00,428,424,427,'CENTRO','ANTONIO CARLOS','SC',18748,70,239,68,NULL,NULL,NULL,2,1),(15,2131277,5.00,6.00,5.00,6.00,9.00,6.00,7.00,6.00,5.00,207,420,208,'CAMPINAS','SAO JOSE','SC',5054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2131285,1.00,4.00,2.00,3.00,5.00,5.50,2.00,4.00,1.00,211,234,207,'SENHORA DAS DORES','SANTA MARIA','RS',21893,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2131293,3.00,5.00,3.00,7.00,9.00,6.00,6.00,4.00,6.00,207,301,201,'CENTRO','ARARANGUA','SC',8835,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2131307,6.00,8.00,8.00,5.00,8.00,5.75,7.00,7.00,7.00,304,318,NULL,'SAGUAÇU','JOINVILLE','SC',2854,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2131315,4.00,7.00,4.00,9.00,7.00,5.50,6.00,8.00,1.00,238,303,208,'SANTANA','SAO PAULO','SP',6244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131323,5.00,7.00,4.00,3.00,6.00,6.00,4.00,5.00,4.00,207,420,212,'VILA CASTELAR','LIMEIRA','SP',11256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131331,5.00,6.00,3.00,7.00,6.00,4.25,4.00,4.00,4.00,423,324,NULL,'CAMPINAS','SAO JOSE','SC',13022,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2131358,1.00,5.00,4.00,4.00,7.00,3.75,4.00,5.00,2.00,444,NULL,NULL,'SANTA LUZIA','POUSO ALEGRE','MG',18259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131366,2.00,7.00,3.00,5.00,5.00,5.25,5.00,3.00,3.00,333,108,NULL,'JARDIM SÃO PAULO','SAO PAULO','SP',15634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131374,4.00,7.00,2.00,6.00,7.00,4.50,3.00,4.00,5.00,316,444,NULL,'CENTRO','ICARA','SC',12204,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2131382,2.00,6.00,2.00,5.00,6.00,2.50,5.00,4.00,2.00,426,320,428,'SERRINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2131404,4.00,5.00,5.00,4.00,7.00,4.50,6.00,5.00,3.00,108,216,NULL,'BOM FIM','PORTO ALEGRE','RS',11508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131420,3.00,4.00,1.00,2.00,4.00,NULL,2.00,0.00,3.00,319,5,NULL,'MARE MANSA','PRESIDENTE PRUDENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131439,3.00,3.00,1.00,2.00,6.00,NULL,4.00,3.00,1.00,103,101,NULL,'VILA DOMINGUES','VOTORANTIM','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2131447,7.00,9.00,8.00,9.00,6.00,7.25,7.00,8.00,7.00,5,303,NULL,'PARQUE NOVA CAMPINAS','CAMPINAS','SP',584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131455,8.00,7.00,4.00,5.00,6.00,6.50,6.00,6.00,6.00,103,102,NULL,'CENTRO','BOTUCATU','SP',4117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131463,4.00,8.00,3.00,8.00,8.00,6.75,4.00,5.00,1.00,309,310,NULL,'KOBRASOL','SAO JOSE','SC',8781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131471,0.00,9.00,0.00,7.00,7.00,NULL,2.00,9.00,1.00,319,329,NULL,'FLORESTA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2131480,3.00,6.00,6.00,7.00,6.00,5.75,5.00,6.00,5.00,319,207,NULL,'JARDIM MAUÁ DOIS','JAGUARIUNA','SP',8018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,339,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2131501,4.00,6.00,1.00,5.00,6.00,5.50,4.00,5.00,1.00,216,102,214,'CENTRO','BALNEARIO CAMBORIU','SC',15769,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2131510,9.00,9.00,10.00,9.00,8.00,5.00,9.00,9.00,9.00,103,203,NULL,'GLÓRIA','JOINVILLE','SC',6,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131528,7.00,7.00,9.00,9.00,7.00,6.25,9.00,8.00,7.00,203,214,202,'JARDIM FERRARI','ITAPEVA','SP',440,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2131536,2.00,2.00,2.00,3.00,5.00,5.25,4.00,4.00,2.00,207,201,NULL,'CENTRO NORTE','SANTO ANGELO','RS',21502,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2131544,2.00,5.00,1.00,3.00,5.00,5.50,2.00,3.00,4.00,101,425,NULL,'CENTRO','XAVANTINA','SC',21661,310,433,NULL,NULL,NULL,NULL,4,4),(15,2131552,6.00,8.00,5.00,7.00,7.00,6.00,8.00,7.00,6.00,216,5,214,'EMBARE','SANTOS','SP',2716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131560,2.00,7.00,3.00,2.00,7.00,5.00,3.00,3.00,2.00,301,104,NULL,'SÃO MIGUEL','BIGUACU','SC',19264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131579,8.00,8.00,8.00,6.00,9.00,6.75,9.00,7.00,8.00,216,215,211,'PRAIA COMPRIDA','SAO JOSE','SC',290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131587,2.00,8.00,3.00,5.00,8.00,4.75,2.00,5.00,3.00,317,302,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',14439,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2131595,6.00,9.00,5.00,5.00,6.00,6.75,5.00,7.00,4.00,304,302,NULL,'PRIMEIRA LINHA','CRICIUMA','SC',5410,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2131609,3.00,7.00,2.00,7.00,7.00,6.00,4.00,5.00,4.00,301,316,NULL,'SERTÃO DO MARUIM','SAO JOSE','SC',9904,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2131617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,317,NULL,'SANTA QUITERIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2131633,4.00,7.00,5.00,5.00,7.00,4.75,4.00,6.00,3.00,317,333,NULL,'GUARDA DO CUBATÃO','PALHOCA','SC',11044,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2131650,3.00,5.00,5.00,2.00,7.00,4.50,4.00,4.00,3.00,301,216,NULL,'CENTRO','JARAGUA DO SUL','SC',16660,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2131668,3.00,6.00,1.00,4.00,6.00,5.75,4.00,5.00,4.00,103,9,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',15963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131676,1.00,7.00,4.00,2.00,6.00,4.25,6.00,5.00,2.00,238,225,211,'JOSÉ MENDES','FLORIANOPOLIS','SC',16263,605,168,584,NULL,NULL,NULL,4,1),(15,2131684,3.00,5.00,7.00,7.00,7.00,5.50,7.00,6.00,3.00,317,224,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',7792,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2131706,6.00,7.00,5.00,4.00,8.00,7.25,7.00,2.00,4.00,102,215,NULL,'ESTREITO','FLORIANOPOLIS','SC',6432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131714,4.00,4.00,4.00,6.00,6.00,5.50,3.00,4.00,2.00,303,207,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',15439,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2131730,8.00,7.00,8.00,6.00,9.00,4.75,7.00,8.00,5.00,201,223,212,'INGLESES','FLORIANOPOLIS','SC',2101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131749,6.00,6.00,9.00,4.00,5.00,7.75,6.00,6.00,5.00,103,101,NULL,'INGLESES','FLORIANOPOLIS','SC',4906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131757,7.00,6.00,7.00,9.00,7.00,4.00,7.00,7.00,7.00,103,421,NULL,'CENTRO','ITAJAI','SC',2426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131765,3.00,7.00,1.00,3.00,5.00,4.75,5.00,6.00,2.00,424,223,427,'CENTRO','FLORIANOPOLIS','SC',16553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131773,6.00,9.00,8.00,6.00,7.00,6.00,7.00,8.00,6.00,103,203,NULL,'CENTRO','ERECHIM','RS',1968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131781,3.00,6.00,3.00,7.00,9.00,6.25,3.00,6.00,4.00,207,5,201,'BARREIROS','SAO JOSE','SC',10522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2131790,0.00,3.00,3.00,0.00,6.00,NULL,3.00,2.00,0.00,9,215,NULL,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2131803,7.00,7.00,9.00,3.00,8.00,6.75,8.00,6.00,8.00,216,223,215,'ÁGUA VERDE','CURITIBA','PR',1986,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2131811,2.00,1.00,0.00,2.00,2.00,NULL,2.00,3.00,1.00,444,404,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2131838,4.00,7.00,3.00,3.00,5.00,5.25,7.00,7.00,4.00,304,318,NULL,'JD SÃO FRANCISCO','MARILIA','SP',10085,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2131846,6.00,6.00,9.00,8.00,8.00,6.00,7.00,7.00,5.00,203,333,211,'CENTRO','FLORIANOPOLIS','SC',2742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131889,3.00,7.00,2.00,5.00,6.00,6.25,2.00,4.00,4.00,308,324,NULL,'TRINDADE','FLORIANOPOLIS','SC',15457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2131897,5.00,7.00,3.00,6.00,8.00,5.25,5.00,6.00,3.00,326,324,NULL,'BOM VIVER','BIGUACU','SC',9065,36,150,NULL,NULL,NULL,NULL,4,1),(15,2131900,8.00,7.00,9.00,6.00,8.00,6.25,7.00,6.00,4.00,207,425,201,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',2395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131919,4.00,7.00,3.00,5.00,8.00,5.50,4.00,5.00,3.00,103,108,NULL,'PARQUE DAS AVENIDAS','SOMBRIO','SC',11510,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2131927,6.00,9.00,9.00,7.00,8.00,6.50,7.00,7.00,7.00,103,202,NULL,'TRINDADE','FLORIANOPOLIS','SC',959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131935,3.00,7.00,7.00,5.00,5.00,6.75,5.00,6.00,4.00,420,207,NULL,'CENTRO','SANTA MARIA','RS',8722,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2131943,4.00,6.00,5.00,3.00,7.00,5.50,5.00,5.00,3.00,216,215,211,'CENTRO','JARAGUA DO SUL','SC',9876,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2131951,4.00,8.00,2.00,6.00,8.00,5.50,6.00,5.00,3.00,420,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',9934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2131960,1.00,4.00,1.00,3.00,3.00,5.00,2.00,5.00,3.00,501,215,NULL,'JARDIM YPÊ','LENCOIS PAULISTA','SP',21804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,201,NULL,'UMBARA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2131986,7.00,8.00,3.00,8.00,4.00,4.75,9.00,6.00,7.00,103,101,NULL,'VILA CAMINHO DO MAR','SAO BERNARDO DO CAMPO','SP',4298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2131994,3.00,4.00,5.00,1.00,6.00,3.75,4.00,4.00,2.00,104,308,NULL,'PANTANAL','FLORIANOPOLIS','SC',18894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132001,2.00,5.00,3.00,1.00,3.00,NULL,1.00,4.00,1.00,211,331,NULL,'VILA ALEMANHA','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2132010,1.00,6.00,3.00,7.00,7.00,5.75,6.00,2.00,2.00,102,501,NULL,'BARREIROS','SAO JOSE','SC',14711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2132028,6.00,8.00,8.00,8.00,7.00,6.75,8.00,8.00,6.00,238,329,NULL,'FLORESTA','SAO JOSE','SC',1353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132036,3.00,3.00,0.00,4.00,4.00,3.50,4.00,2.00,2.00,404,104,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2132044,3.00,3.00,2.00,1.00,4.00,4.00,1.00,2.00,5.00,208,333,NULL,'ANTONIO ZANAGA','AMERICANA','SP',22450,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2132052,3.00,4.00,2.00,0.00,5.00,5.50,4.00,5.00,4.00,420,415,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',19009,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2132060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,420,NULL,'JARDIM SAO MIGUEL','BIGUACU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2132079,4.00,8.00,5.00,8.00,8.00,6.75,6.00,7.00,5.00,415,327,NULL,'SANTO ANTÔNIO','FLORIANOPOLIS','SC',4004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2132087,2.00,7.00,1.00,9.00,9.00,4.00,2.00,6.00,3.00,423,424,428,'ÁGUA VERDE','CURITIBA','PR',12354,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2132095,3.00,6.00,2.00,4.00,4.00,3.75,2.00,2.00,3.00,108,333,NULL,'CAMPO DO SETE','SERRA NEGRA','SP',21738,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2132109,3.00,7.00,5.00,1.00,6.00,5.75,4.00,5.00,2.00,420,NULL,NULL,'STO ANTONIO DE PÁDUA','TUBARAO','SC',16059,318,NULL,NULL,NULL,NULL,NULL,4,10),(15,2132125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,333,NULL,'JARDIM JOAO LEVY','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2132133,5.00,6.00,2.00,8.00,8.00,7.50,4.00,5.00,5.00,102,103,NULL,'FAZENDA','ITAJAI','SC',6552,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2132141,4.00,8.00,2.00,8.00,6.00,6.50,6.00,6.00,4.00,5,217,NULL,'SAGUAÇU','JOINVILLE','SC',7340,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2132150,3.00,6.00,5.00,6.00,8.00,7.25,6.00,3.00,2.00,444,333,NULL,'ITACORUBI','FLORIANOPOLIS','SC',11141,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2132168,2.00,5.00,5.00,6.00,8.00,6.50,7.00,3.00,4.00,415,451,NULL,'VELHA','BLUMENAU','SC',10507,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2132176,4.00,8.00,5.00,4.00,8.00,3.00,7.00,6.00,5.00,333,NULL,NULL,'CENTRO','TOLEDO','PR',8554,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2132184,5.00,8.00,6.00,6.00,9.00,6.75,7.00,8.00,5.00,420,328,NULL,'MALHEIROS','CRUZ ALTA','RS',3015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132192,1.00,2.00,1.00,4.00,4.00,NULL,2.00,4.00,2.00,502,NULL,NULL,'JALISCO','TROMBUDO CENTRAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2132206,1.00,5.00,1.00,2.00,2.00,NULL,2.00,2.00,0.00,102,NULL,NULL,'DAS NAÇÕES','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2132214,5.00,7.00,8.00,8.00,6.00,4.75,8.00,7.00,6.00,201,203,212,'COQUEIROS','FLORIANOPOLIS','SC',2632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'TRICOLIN','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2132230,2.00,7.00,2.00,2.00,7.00,5.75,4.00,2.00,4.00,207,415,201,'PIONEIROS','BALNEARIO CAMBORIU','SC',17685,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2132249,2.00,5.00,2.00,2.00,7.00,4.00,3.00,6.00,2.00,2,223,NULL,'CENTRO','TUBARAO','SC',19012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,104,NULL,'CIDADE ALTA','TROMBUDO CENTRAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2132265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,309,NULL,'LUTHER KING','FRANCISCO BELTRAO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2132273,1.00,3.00,3.00,4.00,5.00,NULL,1.00,3.00,2.00,217,102,NULL,'CENTRO','SAO JOSE DO OURO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2132281,2.00,5.00,2.00,4.00,7.00,6.00,3.00,4.00,4.00,102,224,NULL,'CANTA GALO','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2132290,3.00,6.00,6.00,7.00,8.00,6.25,5.00,5.00,4.00,301,316,NULL,'VILA NOVA','BLUMENAU','SC',8224,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2132303,6.00,8.00,7.00,7.00,8.00,6.25,8.00,8.00,6.00,211,333,216,'AGRÔNOMICA','FLORIANOPOLIS','SC',1676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132311,3.00,6.00,1.00,3.00,6.00,5.75,3.00,4.00,3.00,102,301,NULL,'CAPITAIS','TIMBO','SC',18453,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2132320,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'RONDÔNIA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2132338,4.00,7.00,7.00,4.00,8.00,3.75,6.00,6.00,6.00,103,212,NULL,'AMÉRICA','JOINVILLE','SC',6670,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2132346,4.00,7.00,7.00,8.00,6.00,7.00,7.00,6.00,4.00,103,108,NULL,'PEDRAS BRANCAS','SAO MARCOS','RS',5117,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2132354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,415,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2132362,2.00,6.00,6.00,5.00,9.00,6.25,7.00,6.00,1.00,103,303,NULL,'CENTRO','TUBARAO','SC',8632,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2132370,7.00,8.00,5.00,4.00,7.00,5.75,5.00,4.00,4.00,103,108,NULL,'JARDIM MORUMBI I','SOROCABA','SP',6928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132389,5.00,8.00,1.00,4.00,9.00,7.50,6.00,5.00,1.00,303,5,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',9591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132397,5.00,8.00,5.00,6.00,8.00,7.25,7.00,5.00,4.00,208,421,238,'RATONES','FLORIANOPOLIS','SC',4849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132400,5.00,6.00,7.00,5.00,6.00,7.25,7.00,6.00,8.00,103,NULL,NULL,'ZONA QUATRO','MARINGA','PR',3875,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2132419,6.00,7.00,7.00,8.00,9.00,4.75,9.00,8.00,9.00,103,101,NULL,'AREIAS','SAO JOSE','SC',836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132427,1.00,5.00,1.00,3.00,6.00,6.50,4.00,3.00,1.00,104,303,NULL,'SALETE','FRAIBURGO','SC',19564,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2132435,4.00,9.00,6.00,7.00,8.00,5.25,7.00,8.00,4.00,318,415,NULL,'SÃO JOSÉ','FRAIBURGO','SC',3648,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2132443,2.00,7.00,5.00,2.00,5.00,5.50,5.00,5.00,3.00,203,201,212,'ESTREITO','FLORIANOPOLIS','SC',15830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132451,4.00,9.00,8.00,8.00,9.00,5.50,7.00,6.00,6.00,317,428,NULL,'ITACORUBI','FLORIANOPOLIS','SC',2338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132460,4.00,5.00,6.00,6.00,9.00,6.75,7.00,4.00,4.00,102,211,NULL,'CENTRO','CAPINZAL','SC',5627,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2132478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,317,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2132494,2.00,6.00,5.00,4.00,4.00,4.25,6.00,6.00,3.00,220,208,NULL,'BERGER','CACADOR','SC',13168,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2132508,7.00,8.00,8.00,8.00,9.00,7.25,9.00,9.00,7.00,203,2,216,'CAMPINAS','SAO JOSE','SC',335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132516,3.00,2.00,0.00,3.00,3.00,NULL,3.00,3.00,0.00,104,9,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2132524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,501,NULL,'ZONA QUATRO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2132532,6.00,8.00,6.00,5.00,8.00,6.00,8.00,6.00,5.00,103,101,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',3840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132540,5.00,6.00,6.00,6.00,8.00,5.50,5.00,3.00,5.00,501,301,NULL,'MORADA DO SOL','CACADOR','SC',7758,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2132559,3.00,4.00,3.00,6.00,8.00,9.00,4.00,3.00,1.00,420,201,NULL,'CENTRO','QUEDAS DO IGUACU','PR',12440,238,1300,NULL,NULL,NULL,NULL,4,1),(15,2132567,5.00,5.00,5.00,2.00,6.00,5.75,5.00,7.00,5.00,103,203,NULL,'FORQUILHINHAS','SAO JOSE','SC',9250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132575,3.00,3.00,0.00,1.00,5.00,NULL,4.00,5.00,1.00,201,318,202,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2132583,4.00,6.00,6.00,4.00,7.00,4.25,3.00,3.00,4.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',13880,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2132591,1.00,6.00,4.00,2.00,7.00,5.50,5.00,6.00,4.00,318,317,NULL,'CARIANOS','FLORIANOPOLIS','SC',12894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2132605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,108,NULL,'CENTRO','PONTE ALTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2132613,3.00,7.00,5.00,6.00,6.00,5.00,6.00,3.00,2.00,103,207,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2132621,3.00,5.00,2.00,8.00,8.00,7.50,5.00,5.00,4.00,415,450,NULL,'CENTRO','FLORIANOPOLIS','SC',9246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132630,2.00,5.00,5.00,5.00,7.00,6.75,4.00,6.00,2.00,303,329,NULL,'TRINDADE','FLORIANOPOLIS','SC',11901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132656,5.00,7.00,7.00,6.00,9.00,4.75,7.00,9.00,6.00,203,214,213,'TRINDADE','FLORIANOPOLIS','SC',2428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2132664,8.00,7.00,8.00,5.00,8.00,5.50,8.00,8.00,6.00,103,102,NULL,'PANTANAL','FLORIANOPOLIS','SC',1938,772,601,NULL,NULL,NULL,NULL,2,1),(15,2132672,3.00,3.00,2.00,6.00,6.00,5.00,0.00,1.00,4.00,317,426,NULL,'CAMINHO NOVO','PALHOCA','SC',20628,379,241,NULL,NULL,NULL,NULL,2,1),(15,2132680,5.00,7.00,8.00,9.00,8.00,6.00,6.00,8.00,7.00,220,301,202,'SANTO ANTÔNIO','FRAIBURGO','SC',1587,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2132699,2.00,6.00,3.00,6.00,8.00,6.00,8.00,4.00,6.00,220,420,203,'PIRACICAMIRIM','PIRACICABA','SP',8082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132702,5.00,6.00,5.00,5.00,7.00,8.25,6.00,6.00,2.00,304,324,NULL,'TRINDADE','FLORIANOPOLIS','SC',7878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132710,3.00,5.00,3.00,7.00,4.00,4.00,4.00,4.00,2.00,415,420,NULL,'FORQUILHINHAS','SAO JOSE','SC',18139,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2132729,3.00,6.00,2.00,1.00,2.00,NULL,3.00,4.00,4.00,233,NULL,214,'ALTO DA BOA VISTA','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132737,5.00,9.00,4.00,7.00,8.00,5.75,3.00,5.00,4.00,9,102,NULL,'ITACORUBI','FLORIANOPOLIS','SC',7993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2132745,6.00,5.00,7.00,5.00,6.00,5.25,5.00,7.00,5.00,103,NULL,NULL,'ZONA QUATRO','MARINGA','PR',6914,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2132753,5.00,6.00,7.00,3.00,8.00,5.25,4.00,3.00,5.00,207,424,201,'RIO TAVARES','FLORIANOPOLIS','SC',10202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132761,1.00,4.00,1.00,5.00,6.00,NULL,3.00,3.00,0.00,211,501,215,'FAZENDA STO ANTONIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2132770,4.00,7.00,5.00,4.00,6.00,7.00,7.00,6.00,6.00,103,108,NULL,'JARDIM EUROPA','SOROCABA','SP',5375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132788,5.00,8.00,2.00,7.00,7.00,5.50,5.00,4.00,2.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',10273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132796,2.00,7.00,1.00,3.00,4.00,6.00,5.00,2.00,1.00,308,319,NULL,'CENTRO','SERRA NEGRA','SP',19878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2132800,4.00,8.00,8.00,6.00,8.00,6.50,8.00,7.00,5.00,103,9,NULL,'TRINDADE','FLORIANOPOLIS','SC',2505,930,397,NULL,NULL,NULL,NULL,2,1),(15,2132818,4.00,7.00,7.00,7.00,7.00,7.00,6.00,7.00,4.00,303,316,NULL,'CENTRO','FLORIANOPOLIS','SC',3607,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132826,3.00,4.00,6.00,8.00,7.00,6.25,4.00,6.00,3.00,415,5,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132834,7.00,7.00,4.00,7.00,7.00,5.75,7.00,6.00,4.00,420,207,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',4333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2132842,4.00,4.00,3.00,9.00,6.00,5.00,4.00,5.00,2.00,319,450,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',11655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132850,5.00,8.00,6.00,4.00,7.00,6.25,7.00,8.00,5.00,212,304,201,'CENTRO','FLORIANOPOLIS','SC',3354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132869,2.00,2.00,0.00,0.00,1.00,NULL,2.00,3.00,2.00,502,5,NULL,'CENTRO','SAO MIGUEL DA BOA VISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2132885,7.00,5.00,5.00,6.00,6.00,6.50,7.00,2.00,2.00,316,215,NULL,'CENTRO','NOVA PRATA DO IGUACU','PR',8777,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2132893,5.00,7.00,7.00,7.00,7.00,5.25,8.00,5.00,5.00,216,211,233,'RES PQ DA FLORESTA','SUMARE','SP',3996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132907,2.00,6.00,4.00,4.00,4.00,5.50,5.00,4.00,2.00,103,333,NULL,'SÃO VICENTE','PARANAVAI','PR',16720,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2132915,3.00,4.00,2.00,4.00,6.00,3.50,1.00,2.00,1.00,420,425,NULL,'CENTRO','FLORIANOPOLIS','SC',21956,440,436,NULL,NULL,NULL,NULL,4,1),(15,2132931,5.00,8.00,8.00,6.00,8.00,6.25,7.00,6.00,6.00,234,223,NULL,'PANTANAL','FLORIANOPOLIS','SC',2796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132940,2.00,6.00,3.00,1.00,5.00,5.00,2.00,4.00,2.00,208,333,215,'CENTRO','SAO MIGUEL DOESTE','SC',21222,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2132958,4.00,8.00,6.00,5.00,7.00,6.50,3.00,4.00,4.00,303,319,NULL,'CENTRO','FLORIANOPOLIS','SC',7799,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2132966,8.00,9.00,9.00,9.00,8.00,7.25,9.00,8.00,9.00,103,102,NULL,'CARAVAGGIO','NOVA VENEZA','SC',15,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2132974,7.00,8.00,5.00,4.00,8.00,6.00,7.00,6.00,5.00,303,329,NULL,'SERRINHA','FLORIANOPOLIS','SC',3914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2132990,7.00,8.00,7.00,8.00,8.00,7.25,8.00,7.00,5.00,103,108,NULL,'PARQUE SÃO JORGE','FLORIANOPOLIS','SC',877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133008,5.00,5.00,6.00,4.00,7.00,6.00,7.00,5.00,5.00,203,NULL,214,'CENTRO','FLOREAL','SP',6089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133016,3.00,6.00,3.00,4.00,5.00,6.50,5.00,4.00,3.00,203,104,216,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2133024,1.00,7.00,5.00,6.00,7.00,3.75,4.00,6.00,3.00,333,326,NULL,'CENTRO','CASCAVEL','PR',11469,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133032,6.00,8.00,7.00,7.00,8.00,4.25,8.00,5.00,9.00,203,213,202,'ZONA DOIS','UMUARAMA','PR',2507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133040,3.00,6.00,6.00,6.00,6.00,4.50,4.00,5.00,7.00,5,415,NULL,'VILA SÃO JOSÉ','ARARANGUA','SC',9399,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2133059,6.00,6.00,8.00,6.00,9.00,6.25,7.00,4.00,8.00,216,429,211,'CENTRO','XANXERE','SC',2585,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2133075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'BARRA SUL','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2133091,4.00,5.00,0.00,4.00,6.00,5.00,5.00,7.00,3.00,501,333,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',15473,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133105,3.00,8.00,1.00,4.00,4.00,5.25,3.00,6.00,3.00,316,202,NULL,'ENSEADA DO BRITO','PALHOCA','SC',15902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133113,8.00,9.00,7.00,9.00,7.00,5.00,7.00,8.00,5.00,104,301,NULL,'COMERCIARIO','CRICIUMA','SC',1509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133121,2.00,7.00,2.00,5.00,8.00,5.00,3.00,7.00,2.00,501,234,NULL,'CAMPECHE','FLORIANOPOLIS','SC',14304,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133130,4.00,4.00,0.00,4.00,2.00,NULL,2.00,3.00,2.00,501,101,NULL,'VARGEM GRANDE','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133148,2.00,4.00,3.00,7.00,6.00,7.00,6.00,5.00,2.00,444,428,NULL,'CAMPECHE','FLORIANOPOLIS','SC',13988,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133156,0.00,3.00,2.00,2.00,4.00,NULL,0.00,4.00,1.00,104,415,NULL,'ZONA RURAL','NOVA PRATA DO IGUACU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2133164,3.00,5.00,2.00,4.00,5.00,6.75,3.00,3.00,3.00,303,324,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',17071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133172,5.00,6.00,7.00,6.00,7.00,5.50,9.00,7.00,7.00,220,202,203,'MORUMBI SUL','SAO PAULO','SP',2744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133180,1.00,3.00,4.00,3.00,5.00,5.50,3.00,2.00,2.00,319,309,NULL,'BALNEARIO','FLORIANOPOLIS','SC',20476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133199,7.00,6.00,9.00,7.00,7.00,5.00,8.00,7.00,5.00,203,220,202,'JUNDIAÍ','ANAPOLIS','GO',2234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133202,4.00,7.00,5.00,6.00,7.00,6.00,5.00,6.00,3.00,102,217,NULL,'SANTA MARIA','LAGES','SC',7543,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2133210,4.00,3.00,2.00,2.00,5.00,5.00,4.00,4.00,5.00,203,2,233,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133229,5.00,6.00,4.00,7.00,8.00,5.75,4.00,5.00,4.00,103,9,NULL,'CENTRO','PROMISSAO','SP',8958,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2133237,5.00,8.00,7.00,9.00,7.00,7.25,7.00,8.00,7.00,303,5,NULL,'MARIA GORETTI','CHAPECO','SC',1349,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2133245,3.00,8.00,4.00,7.00,6.00,5.75,4.00,6.00,3.00,425,NULL,NULL,'SANTA TEREZINHA','GASPAR','SC',9845,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2133253,3.00,4.00,5.00,2.00,4.00,5.00,4.00,4.00,2.00,333,319,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133261,2.00,5.00,2.00,2.00,3.00,5.75,2.00,4.00,3.00,103,319,NULL,'BOSQUE DA SAÚDE','CUIABA','MT',21337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133270,1.00,5.00,0.00,5.00,6.00,NULL,2.00,5.00,0.00,103,211,NULL,'CENTRO','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2133288,4.00,8.00,4.00,8.00,5.00,4.75,5.00,6.00,2.00,333,234,NULL,'BUTANTÃ','SAO PAULO','SP',9091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133296,1.00,5.00,5.00,7.00,6.00,NULL,3.00,3.00,0.00,317,324,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133300,4.00,8.00,7.00,5.00,8.00,6.25,7.00,5.00,4.00,301,304,NULL,'SANTA INES I','SAO JOSE DOS CAMPOS','SP',4630,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2133318,3.00,5.00,3.00,4.00,8.00,4.50,1.00,4.00,3.00,102,101,NULL,'ESTREITO BALNEÁRIO','FLORIANOPOLIS','SC',18077,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133326,3.00,2.00,4.00,0.00,3.00,NULL,5.00,5.00,0.00,101,217,NULL,'PRADO','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133334,3.00,8.00,1.00,5.00,4.00,6.00,3.00,3.00,4.00,502,208,NULL,'SAO CRISTOVAO','CHAPECO','SC',17002,58,1061,NULL,NULL,NULL,NULL,2,4),(15,2133342,6.00,7.00,5.00,7.00,7.00,7.50,6.00,3.00,4.00,102,215,NULL,'TRINDADE','FLORIANOPOLIS','SC',7291,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133350,2.00,3.00,1.00,2.00,5.00,NULL,4.00,2.00,2.00,502,501,NULL,'MARIA GORETTI','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2133369,3.00,5.00,2.00,4.00,4.00,4.75,3.00,3.00,3.00,224,222,NULL,'CAMINHO NOVO','PALHOCA','SC',20826,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133377,1.00,6.00,4.00,9.00,7.00,4.00,5.00,6.00,2.00,415,420,NULL,'COQUEIROS','FLORIANOPOLIS','SC',12290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133385,3.00,5.00,3.00,3.00,6.00,4.75,3.00,4.00,5.00,103,102,NULL,'SAO MATEUS','SAO PAULO','SP',16317,2748,981,NULL,NULL,NULL,NULL,4,1),(15,2133407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,238,NULL,'CAM SAN CONRADO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2133415,4.00,4.00,3.00,5.00,5.00,6.50,4.00,3.00,2.00,201,301,211,'AGRONÔMINCA','FLORIANOPOLIS','SC',17606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133423,3.00,5.00,3.00,4.00,3.00,4.50,1.00,2.00,2.00,207,423,215,'BARREIROS','SAO JOSE','SC',21807,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133431,4.00,8.00,4.00,5.00,9.00,6.25,6.00,6.00,4.00,207,451,216,'TRINDADE','FLORIANOPOLIS','SC',5023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133440,2.00,6.00,4.00,5.00,5.00,5.50,6.00,6.00,3.00,201,302,212,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133458,6.00,8.00,8.00,4.00,6.00,6.25,7.00,7.00,3.00,201,233,212,'JARDIM PIRATININGA','RIBEIRAO PRETO','SP',3761,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133466,7.00,8.00,6.00,8.00,7.00,6.25,6.00,6.00,5.00,333,425,NULL,'IPIRANGA','SAO JOSE','SC',3951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133474,8.00,8.00,7.00,7.00,7.00,7.50,7.00,8.00,6.00,103,104,NULL,'CENTRO','PARANAVAI','PR',801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133482,6.00,9.00,5.00,7.00,8.00,5.50,7.00,8.00,3.00,234,324,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',3358,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133490,0.00,3.00,1.00,3.00,4.00,4.50,4.00,9.00,0.00,326,327,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',21598,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2133504,4.00,8.00,8.00,6.00,7.00,5.75,7.00,6.00,3.00,238,222,208,'CENTRO','FLORIANOPOLIS','SC',4893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133512,2.00,4.00,2.00,5.00,5.00,6.25,3.00,3.00,3.00,207,5,NULL,'PRAINHA','FLORIANOPOLIS','SC',18811,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133520,5.00,6.00,4.00,6.00,8.00,6.25,4.00,7.00,2.00,316,318,NULL,'CAMPECHE','FLORIANOPOLIS','SC',9569,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133539,2.00,6.00,5.00,4.00,6.00,6.25,7.00,4.00,3.00,202,201,203,'CHACARA AVIACAO','VOTUPORANGA','SP',10448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133547,2.00,8.00,3.00,6.00,8.00,5.50,3.00,6.00,1.00,317,318,NULL,'CANTO','FLORIANOPOLIS','SC',12484,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133555,0.00,4.00,3.00,2.00,5.00,NULL,1.00,2.00,2.00,9,108,NULL,'CENTRO','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,316,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2133571,6.00,8.00,9.00,4.00,9.00,5.00,7.00,8.00,6.00,102,326,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',1963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133580,7.00,8.00,6.00,6.00,8.00,4.75,8.00,7.00,7.00,103,102,NULL,'JD DAS FLORES','OSASCO','SP',1961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133601,4.00,6.00,3.00,6.00,5.00,6.25,4.00,6.00,2.00,103,102,NULL,'CENTRO','CHOPINZINHO','PR',11386,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2133610,8.00,9.00,7.00,9.00,8.00,7.25,9.00,8.00,8.00,103,104,NULL,'TRINDADE','FLORIANOPOLIS','SC',241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133628,2.00,7.00,1.00,4.00,3.00,5.25,3.00,4.00,1.00,420,208,NULL,'PRAIA JOÃO ROSA','BIGUACU','SC',19850,405,1111,NULL,NULL,NULL,NULL,2,1),(15,2133652,5.00,8.00,2.00,4.00,7.00,6.00,6.00,8.00,5.00,5,327,NULL,'JARDIM DAS AVENIDAS','ARARANGUA','SC',7361,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2133660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','VOTUPORANGA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2133679,3.00,7.00,1.00,7.00,5.00,8.00,6.00,7.00,3.00,208,316,NULL,'INDEPENDENCIA','PORTO ALEGRE','RS',9643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133709,3.00,4.00,6.00,4.00,5.00,5.50,8.00,7.00,5.00,233,303,208,'WILLIAMS','GARCA','SP',8604,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2133717,6.00,6.00,4.00,8.00,8.00,5.25,7.00,5.00,5.00,201,203,214,'COSTA E SILVA','JOINVILLE','SC',4492,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2133725,4.00,8.00,4.00,9.00,7.00,6.00,5.00,4.00,2.00,301,425,NULL,'CENTRO','CHAPECO','SC',9326,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2133733,4.00,6.00,2.00,7.00,7.00,6.00,4.00,7.00,4.00,238,NULL,208,'ZONA IV','UMUARAMA','PR',7913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133768,7.00,9.00,5.00,7.00,7.00,5.25,6.00,9.00,5.00,303,5,NULL,'ESTREITO','FLORIANOPOLIS','SC',2446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,328,NULL,'DAMHA','SAO JOSE DO RIO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2133792,5.00,7.00,5.00,9.00,7.00,6.00,5.00,5.00,5.00,103,203,NULL,'SÃO DIMAS','PIRACICABA','SP',4677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133806,4.00,7.00,4.00,5.00,9.00,5.25,6.00,8.00,4.00,101,423,NULL,'CAMPECHE','FLORIANOPOLIS','SC',6001,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133822,7.00,9.00,8.00,6.00,8.00,5.00,7.00,7.00,6.00,103,101,NULL,'CENTRO','PRAIA GRANDE','SC',2268,868,376,NULL,NULL,NULL,NULL,2,1),(15,2133830,3.00,6.00,5.00,7.00,7.00,5.75,6.00,4.00,6.00,420,502,NULL,'COLONINHA','ARARANGUA','SC',9096,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2133857,6.00,8.00,8.00,6.00,8.00,6.25,6.00,7.00,6.00,415,444,NULL,'SANTA MARTA','BENTO GONCALVES','RS',2779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133865,3.00,6.00,4.00,8.00,7.00,6.00,5.00,6.00,4.00,103,9,NULL,'VILA FORMOSA','BLUMENAU','SC',7197,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2133873,4.00,8.00,6.00,5.00,8.00,6.25,7.00,4.00,3.00,203,211,201,'RIO FARIAS','ANTONIO CARLOS','SC',6683,574,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133881,3.00,7.00,7.00,4.00,7.00,5.75,5.00,4.00,6.00,415,328,NULL,'SÃO BENTO','BENTO GONCALVES','RS',8193,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133890,3.00,5.00,0.00,4.00,5.00,NULL,1.00,2.00,1.00,404,444,NULL,'CENTRO','SAO JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2133903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,216,NULL,'CENTRO','CASTRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2133911,3.00,8.00,5.00,3.00,9.00,8.50,4.00,6.00,3.00,303,415,NULL,'JARDIM ELDORADO','PALHOCA','SC',7298,410,637,NULL,NULL,NULL,NULL,4,1),(15,2133920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,225,213,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2133938,4.00,7.00,6.00,1.00,8.00,5.25,4.00,6.00,4.00,103,102,NULL,'CENTRO','ALFREDO WAGNER','SC',10745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133946,1.00,4.00,3.00,6.00,6.00,4.50,2.00,2.00,3.00,208,420,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',19023,747,857,NULL,NULL,NULL,NULL,4,1),(15,2133962,2.00,7.00,3.00,6.00,7.00,5.00,5.00,5.00,4.00,501,333,NULL,'RIO MORTO','INDAIAL','SC',11897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2133970,5.00,8.00,5.00,7.00,6.00,7.00,8.00,4.00,5.00,211,216,NULL,'CENTRO','PRAIA GRANDE','SC',5645,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2133989,4.00,6.00,5.00,8.00,8.00,7.75,7.00,8.00,4.00,425,415,429,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',3967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2133997,3.00,3.00,3.00,2.00,3.00,4.75,3.00,4.00,3.00,234,NULL,NULL,'FAZENDA STO ANTÔNIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR PEDRO LUDOVICO','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2134012,2.00,6.00,2.00,7.00,6.00,5.50,5.00,3.00,3.00,207,420,201,'CENTRO','VIDEIRA','SC',14248,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2134039,1.00,5.00,3.00,8.00,3.00,5.50,3.00,2.00,3.00,103,102,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,207,NULL,'CIDADE ALTA','BENTO GONCALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2134055,4.00,8.00,3.00,1.00,6.00,5.75,5.00,6.00,4.00,104,451,NULL,'CENTRO','FLORIANOPOLIS','SC',12202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134071,4.00,6.00,3.00,5.00,4.00,5.25,3.00,2.00,1.00,303,301,NULL,'CENTRO','SAO JOSE','SC',18233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134080,1.00,6.00,5.00,1.00,8.00,5.25,3.00,2.00,2.00,238,304,207,'ARIRIÚ','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134098,3.00,7.00,1.00,5.00,6.00,6.50,6.00,5.00,3.00,301,316,NULL,'VILA SÃO JOÃO','CACAPAVA','SP',9784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134101,1.00,5.00,1.00,4.00,5.00,4.50,3.00,2.00,3.00,104,102,NULL,'CENTRO','PRESIDENTE GETULIO','SC',21473,703,1124,NULL,NULL,NULL,NULL,2,2),(15,2134110,2.00,5.00,4.00,4.00,4.00,4.75,5.00,5.00,5.00,238,208,207,'REAL PARQUE','SAO JOSE','SC',16171,599,1048,789,NULL,NULL,NULL,2,1),(15,2134128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,214,NULL,'JARDIM RECREIO','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2134136,4.00,6.00,4.00,0.00,0.00,NULL,4.00,4.00,3.00,216,217,220,'CANTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(15,2134144,4.00,7.00,3.00,4.00,7.00,5.75,5.00,5.00,4.00,202,211,220,'ZONA QUATRO','MARINGA','PR',11252,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2134152,8.00,8.00,6.00,6.00,5.00,6.50,5.00,6.00,4.00,103,326,NULL,'COSTA E SILVA','JOINVILLE','SC',5041,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2134160,7.00,8.00,8.00,9.00,9.00,6.25,7.00,8.00,7.00,102,424,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134179,6.00,9.00,7.00,8.00,7.00,6.25,9.00,7.00,7.00,103,101,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',1229,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2134187,3.00,5.00,2.00,6.00,5.00,4.75,3.00,4.00,2.00,208,202,NULL,'CENTRO','ANTONIO PRADO','RS',18559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134209,2.00,8.00,4.00,4.00,6.00,4.75,4.00,7.00,3.00,415,211,NULL,'JARDIM CANADA','RIBEIRAO PRETO','SP',12376,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2134217,4.00,6.00,3.00,4.00,8.00,8.00,5.00,4.00,2.00,102,316,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',11551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134225,4.00,5.00,3.00,4.00,5.00,4.00,4.00,5.00,3.00,104,420,NULL,'BOCA DA PICADA','SEBERI','RS',16767,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2134233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'JARDIM PARATI','MARILIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2134241,4.00,7.00,3.00,8.00,7.00,5.75,4.00,5.00,2.00,318,332,NULL,'BELA VISTA','SAO JOSE','SC',10531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134250,6.00,6.00,5.00,5.00,5.00,6.75,6.00,5.00,2.00,208,420,238,'ESTREITO','FLORIANOPOLIS','SC',9367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134268,4.00,6.00,4.00,5.00,4.00,4.25,3.00,7.00,4.00,103,301,NULL,'JARDIM TUCANOS','LONDRINA','PR',13794,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2134276,3.00,6.00,4.00,7.00,9.00,3.75,6.00,6.00,1.00,203,304,201,'CENTRO','ALTO BELA VISTA','SC',10707,788,324,594,NULL,NULL,NULL,2,1),(15,2134284,2.00,6.00,2.00,3.00,5.00,5.25,3.00,4.00,3.00,444,404,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',18689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134292,4.00,8.00,8.00,9.00,8.00,5.75,6.00,6.00,5.00,214,301,203,'CENTRO','FLORIANOPOLIS','SC',2568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134306,4.00,4.00,3.00,3.00,5.00,4.50,4.00,4.00,1.00,451,450,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',19025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134314,3.00,6.00,5.00,7.00,7.00,5.50,8.00,5.00,3.00,104,NULL,NULL,'PARQUE DO ARVOREDO','PORTO ALEGRE','RS',7523,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2134322,4.00,7.00,5.00,9.00,8.00,5.25,5.00,8.00,5.00,103,104,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',4700,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2134349,3.00,6.00,2.00,2.00,9.00,9.00,8.00,7.00,3.00,102,331,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',7888,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2134357,4.00,7.00,3.00,6.00,6.00,5.50,6.00,5.00,3.00,103,104,NULL,'AMÉRICA','JOINVILLE','SC',9543,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2134381,2.00,2.00,0.00,2.00,4.00,NULL,4.00,2.00,1.00,202,NULL,213,'SANTA MÔNICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2134390,2.00,5.00,7.00,4.00,7.00,5.25,5.00,6.00,5.00,216,102,215,'CENTRO','PALHOCA','SC',8879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134403,2.00,3.00,1.00,5.00,2.00,NULL,2.00,1.00,0.00,101,104,NULL,'FLORIANOPOLIS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2134438,1.00,6.00,7.00,4.00,6.00,4.25,5.00,7.00,1.00,415,444,NULL,'CAMPO COMPRIDO','CURITIBA','PR',13103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134446,3.00,4.00,2.00,3.00,6.00,6.00,2.00,3.00,2.00,319,NULL,NULL,'SANTA TERESA','JOACABA','SC',19686,429,NULL,NULL,NULL,NULL,NULL,2,7),(15,2134454,0.00,1.00,2.00,1.00,2.00,NULL,2.00,2.00,0.00,415,450,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134462,7.00,7.00,9.00,8.00,7.00,4.25,8.00,8.00,5.00,220,203,214,'BNH TERCEIRO PLANO','DOURADOS','MS',2181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,216,220,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2134500,4.00,7.00,7.00,4.00,9.00,4.50,8.00,7.00,5.00,303,310,NULL,'AZENHA','PORTO ALEGRE','RS',4516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2134519,5.00,6.00,2.00,6.00,7.00,5.75,8.00,6.00,6.00,203,201,202,'SETE DE SETEMBRO','GASPAR','SC',5955,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2134527,2.00,6.00,6.00,6.00,7.00,4.50,9.00,6.00,5.00,214,302,212,'PANTANAL','FLORIANOPOLIS','SC',7156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134535,0.00,5.00,1.00,2.00,4.00,NULL,0.00,2.00,1.00,319,415,NULL,'PACOVAL','MACAPA','AP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134543,4.00,8.00,8.00,7.00,8.00,5.75,7.00,5.00,4.00,201,222,208,'CENTRO','CHAPECO','SC',3582,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2134551,5.00,8.00,4.00,9.00,8.00,7.25,5.00,6.00,4.00,103,101,NULL,'FAZENDA','ITAJAI','SC',4349,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2134560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,502,NULL,'VILA SÃO ROQUE','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,'S','S',2,6),(15,2134578,4.00,7.00,5.00,1.00,6.00,5.50,4.00,6.00,3.00,318,304,NULL,'PANTANAL','FLORIANOPOLIS','SC',13310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,318,212,'SANTA TEREZINHA','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2134608,5.00,4.00,4.00,1.00,5.00,5.75,6.00,2.00,1.00,102,NULL,NULL,'CENTRO','LAGES','SC',17862,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2134624,5.00,7.00,7.00,6.00,6.00,7.75,6.00,4.00,4.00,104,102,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134632,1.00,1.00,3.00,4.00,6.00,4.00,5.00,4.00,1.00,222,208,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2134640,4.00,6.00,6.00,8.00,5.00,4.50,5.00,6.00,3.00,421,424,425,'ITOUPAVA CENTRAL','BLUMENAU','SC',9070,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2134659,8.00,8.00,9.00,9.00,9.00,8.00,9.00,7.00,7.00,103,319,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134675,3.00,4.00,2.00,2.00,6.00,4.75,3.00,4.00,2.00,301,309,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',20883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134691,3.00,7.00,2.00,1.00,4.00,5.50,5.00,5.00,1.00,216,212,203,'MEIA PRAIA','ITAPEMA','SC',17570,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2134705,3.00,6.00,4.00,4.00,6.00,3.25,5.00,6.00,4.00,214,2,220,'PANTANAL','FLORIANOPOLIS','SC',14072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134713,4.00,5.00,2.00,6.00,6.00,5.75,4.00,3.00,3.00,404,102,NULL,'STAN','TORRES','RS',14339,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2134721,5.00,8.00,5.00,7.00,6.00,6.00,7.00,9.00,2.00,217,108,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',4062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134730,3.00,6.00,6.00,6.00,8.00,3.50,4.00,7.00,5.00,318,224,NULL,'INGLESES','FLORIANOPOLIS','SC',9178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2134748,2.00,5.00,3.00,5.00,8.00,5.50,5.00,5.00,2.00,9,103,NULL,'VILA SÃO FRANCISCO','REGISTRO','SP',13524,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2134772,1.00,4.00,4.00,6.00,6.00,5.00,4.00,4.00,3.00,5,203,NULL,'INGLESES','FLORIANOPOLIS','SC',17370,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2134780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,415,238,'NAÇÕES','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2134799,1.00,3.00,1.00,1.00,3.00,NULL,1.00,2.00,2.00,339,424,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134802,6.00,8.00,8.00,6.00,9.00,6.50,6.00,8.00,4.00,220,202,208,'PONTA NEGRA','MANAUS','AM',2254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134810,4.00,6.00,7.00,6.00,6.00,5.00,6.00,5.00,3.00,208,303,211,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134829,5.00,6.00,7.00,4.00,9.00,7.00,9.00,6.00,3.00,220,213,212,'CACHOEIRA','ALMIRANTE TAMANDARE','PR',5078,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2134837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'COMERCIARIO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2134845,0.00,6.00,1.00,4.00,5.00,NULL,2.00,2.00,1.00,102,216,NULL,'SUMARE','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2134853,3.00,6.00,3.00,8.00,4.00,6.00,5.00,4.00,4.00,404,224,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',11215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134861,2.00,5.00,3.00,7.00,6.00,4.75,3.00,4.00,3.00,339,310,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',16126,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2134870,5.00,9.00,6.00,7.00,8.00,5.75,6.00,8.00,3.00,104,327,NULL,'ESTREITO','FLORIANOPOLIS','SC',3031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2134888,1.00,3.00,2.00,5.00,4.00,5.00,2.00,3.00,2.00,502,108,NULL,'PONTA DE BAIXO','SAO JOSE','SC',22080,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2134900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'LAGO NORTE','LAGO NORTE','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2134918,2.00,6.00,2.00,2.00,5.00,5.00,4.00,3.00,3.00,404,309,NULL,'PASSA VINTE','PALHOCA','SC',19429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2134926,3.00,7.00,5.00,8.00,7.00,3.75,7.00,6.00,6.00,208,316,238,'VILA SÃO FRANCISCO','REGISTRO','SP',5719,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2134934,3.00,6.00,3.00,1.00,6.00,6.00,4.00,6.00,3.00,5,303,NULL,'SÃO JOÃO BATISTA','BELO HORIZONTE','MG',16715,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2134942,2.00,4.00,3.00,2.00,5.00,5.75,3.00,3.00,1.00,333,332,NULL,'CAMPECHE','FLORIANOPOLIS','SC',21619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134950,5.00,8.00,4.00,6.00,9.00,7.25,6.00,6.00,6.00,103,333,NULL,'SÃO FRANCISCO','CAMPO GRANDE','MS',4484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134969,1.00,4.00,0.00,5.00,6.00,5.25,4.00,2.00,3.00,415,9,NULL,'PRAIA BRAVA','ITAJAI','SC',20560,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2134977,2.00,5.00,3.00,5.00,5.00,NULL,0.00,0.00,0.00,238,339,208,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2134985,1.00,8.00,4.00,5.00,6.00,5.25,5.00,6.00,3.00,103,316,NULL,'CENTRO','FLORIANOPOLIS','SC',11644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2134993,2.00,7.00,2.00,5.00,5.00,4.25,4.00,5.00,1.00,429,324,423,'PORTO DA LAGOA','FLORIANOPOLIS','SC',18292,132,324,62,NULL,NULL,NULL,2,1),(15,2135000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,450,NULL,'CANTA GALO','RIO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2135027,0.00,7.00,1.00,1.00,1.00,NULL,3.00,4.00,2.00,316,425,NULL,'BARRA DO ARIRIÚ','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135035,2.00,6.00,1.00,4.00,7.00,3.75,2.00,4.00,3.00,316,425,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',19336,577,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135078,1.00,7.00,3.00,7.00,3.00,4.75,4.00,3.00,3.00,234,333,NULL,'SÃO MIGUEL PAULISTA','SAO PAULO','SP',15437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135086,5.00,8.00,8.00,6.00,6.00,5.00,6.00,6.00,5.00,326,201,NULL,'BELA VISTA II','SAO JOSE','SC',5085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135094,2.00,5.00,2.00,3.00,8.00,5.75,4.00,3.00,2.00,420,207,NULL,'DOM JOAQUIM','BRUSQUE','SC',17117,338,1249,NULL,NULL,NULL,NULL,4,6),(15,2135116,6.00,7.00,4.00,8.00,8.00,5.50,7.00,6.00,5.00,326,207,NULL,'BELA VISTA II','SAO JOSE','SC',4007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135124,2.00,4.00,3.00,4.00,3.00,NULL,3.00,3.00,0.00,101,319,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2135132,5.00,4.00,1.00,5.00,7.00,5.50,6.00,1.00,3.00,339,426,NULL,'COQUEIROS','FLORIANOPOLIS','SC',14777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2135140,5.00,8.00,1.00,5.00,5.00,6.00,4.00,5.00,1.00,103,9,NULL,'CENTRO','SOROCABA','SP',12681,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2135159,1.00,7.00,4.00,3.00,7.00,4.75,6.00,6.00,4.00,220,214,203,'CENTRO','JOSE BONIFACIO','SP',13013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135167,0.00,0.00,2.00,0.00,0.00,NULL,4.00,4.00,2.00,203,NULL,NULL,'SAIC','CHAPECO','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,4),(15,2135175,3.00,5.00,3.00,2.00,7.00,4.50,5.00,4.00,3.00,103,101,NULL,'BAIRRO DAS NAÇÕES','BALNEARIO CAMBORIU','SC',17324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,207,214,'CENTRO','TIMBO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2135205,0.00,2.00,4.00,7.00,8.00,NULL,4.00,5.00,5.00,309,324,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2135213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,308,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2135221,0.00,4.00,1.00,4.00,5.00,5.25,4.00,3.00,2.00,317,320,NULL,'SERRARIA','SAO JOSE','SC',21442,403,243,NULL,NULL,NULL,NULL,2,1),(15,2135230,6.00,6.00,3.00,7.00,8.00,7.00,4.00,3.00,1.00,421,424,427,'VILA NOVA','IMBITUBA','SC',10418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2135256,7.00,8.00,6.00,7.00,9.00,5.50,7.00,5.00,5.00,103,502,NULL,'CENTRO','TUBARAO','SC',2814,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2135264,4.00,6.00,2.00,7.00,7.00,5.75,5.00,6.00,2.00,207,420,215,'CORREGO GRANDE','FLORIANOPOLIS','SC',10143,490,640,209,NULL,NULL,NULL,2,1),(15,2135272,7.00,9.00,5.00,6.00,9.00,6.25,6.00,6.00,5.00,502,501,NULL,'ATERRADO','POUSO REDONDO','SC',3490,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2135280,3.00,5.00,2.00,2.00,4.00,6.25,2.00,6.00,3.00,102,9,NULL,'CENTRO','NOVA RESENDE','MG',17436,378,647,NULL,NULL,NULL,NULL,4,1),(15,2135302,4.00,6.00,2.00,5.00,7.00,5.50,6.00,5.00,4.00,103,224,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',10161,2162,161,NULL,NULL,NULL,NULL,2,1),(15,2135310,7.00,8.00,6.00,8.00,8.00,6.00,9.00,8.00,7.00,214,316,203,'RIBEIRANIA','RIBEIRAO PRETO','SP',1394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135329,4.00,5.00,2.00,6.00,7.00,6.00,5.00,4.00,3.00,339,324,NULL,'CAMPINAS','SAO JOSE','SC',12390,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2135337,6.00,7.00,4.00,5.00,6.00,6.50,6.00,6.00,3.00,328,329,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',8983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,319,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2135361,6.00,7.00,4.00,5.00,8.00,5.25,4.00,7.00,3.00,104,327,NULL,'CENTRO','CARAZINHO','RS',7725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135388,8.00,8.00,6.00,7.00,7.00,4.00,8.00,8.00,4.00,103,102,NULL,'PROGRESSO','BLUMENAU','SC',2282,873,612,NULL,NULL,NULL,NULL,2,2),(15,2135418,4.00,7.00,3.00,9.00,6.00,5.50,7.00,5.00,2.00,404,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',8206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,318,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2135434,5.00,7.00,4.00,6.00,7.00,8.25,5.00,6.00,4.00,201,222,238,'BELA VISTA','SAO JOSE','SC',5673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135442,0.00,6.00,2.00,4.00,6.00,NULL,2.00,2.00,0.00,103,415,NULL,'PADRE ANTONIO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2135450,5.00,8.00,5.00,8.00,7.00,6.50,4.00,7.00,4.00,207,201,212,'PONTA DE BAIXO','SAO JOSE','SC',4114,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2135469,2.00,5.00,3.00,5.00,6.00,5.75,3.00,4.00,4.00,333,501,NULL,'SAN REMO','LONDRINA','PR',17675,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2135477,7.00,8.00,7.00,7.00,8.00,4.50,8.00,7.00,7.00,203,NULL,214,'VILA INDUSTRIAL','SAO JOSE DOS CAMPOS','SP',2073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135485,2.00,4.00,3.00,1.00,6.00,4.50,3.00,5.00,3.00,5,316,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135493,5.00,8.00,5.00,6.00,7.00,5.75,9.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',4124,1262,NULL,NULL,NULL,NULL,NULL,2,1),(15,2135507,2.00,5.00,2.00,9.00,6.00,4.25,7.00,8.00,2.00,429,238,425,'ITAGUAÇÚ','FLORIANOPOLIS','SC',12432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135523,3.00,6.00,4.00,6.00,6.00,5.00,3.00,5.00,1.00,208,316,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',14988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135531,3.00,5.00,2.00,5.00,7.00,5.75,6.00,2.00,2.00,501,425,NULL,'CAMPECHE','FLORIANOPOLIS','SC',14267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135540,2.00,4.00,2.00,5.00,4.00,5.50,3.00,3.00,2.00,309,339,NULL,'PRESIDENTE MÉDICI','CHAPECO','SC',20079,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2135558,5.00,4.00,6.00,6.00,6.00,4.00,4.00,5.00,7.00,202,222,213,'TRINDADE','FLORIANOPOLIS','SC',9726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2135566,2.00,7.00,4.00,2.00,5.00,5.75,4.00,5.00,3.00,308,324,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',16213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135574,4.00,6.00,6.00,9.00,8.00,7.50,8.00,4.00,3.00,213,214,212,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',4650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135590,4.00,6.00,5.00,7.00,8.00,6.00,5.00,5.00,4.00,316,423,NULL,'CENTRO','FLORIANOPOLIS','SC',6977,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2135604,4.00,4.00,1.00,5.00,6.00,3.75,5.00,6.00,4.00,327,426,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',15785,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2135620,2.00,6.00,3.00,0.00,5.00,NULL,3.00,4.00,3.00,238,NULL,208,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,415,NULL,'SÃO JOÃO','CATALAO','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2135647,3.00,5.00,2.00,0.00,3.00,NULL,3.00,3.00,3.00,104,301,NULL,'CENTRO','SARANDI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2135655,4.00,6.00,5.00,4.00,8.00,6.00,5.00,3.00,2.00,108,211,NULL,'JARDIM BELA VISTA','ITAPIRANGA','SC',12499,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2135663,3.00,3.00,2.00,6.00,8.00,6.00,5.00,6.00,4.00,5,216,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135671,3.00,6.00,5.00,7.00,7.00,6.75,5.00,3.00,6.00,223,212,NULL,'PANTANAL','FLORIANOPOLIS','SC',8515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2135698,4.00,6.00,2.00,6.00,5.00,7.00,4.00,5.00,3.00,327,329,NULL,'CENTRO','FLORIANOPOLIS','SC',12320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135701,0.00,4.00,4.00,5.00,5.00,5.75,3.00,3.00,3.00,104,9,NULL,'VILA NOVA','FRANCISCO BELTRAO','PR',19601,637,694,NULL,NULL,NULL,NULL,2,4),(15,2135728,6.00,8.00,6.00,7.00,7.00,7.00,8.00,8.00,6.00,216,214,203,'DISTRITO SÃO ROQUE','SAO LOURENCO DO OESTE','SC',1143,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2135736,3.00,7.00,5.00,0.00,6.00,4.00,1.00,3.00,3.00,217,501,NULL,'LAGOA DA CONCEICAO','FLORIANOPOLIS','SC',19202,181,541,NULL,NULL,NULL,NULL,2,1),(15,2135744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,420,423,'JURERÊ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2135752,2.00,3.00,3.00,5.00,5.00,5.25,2.00,3.00,2.00,104,425,NULL,'VILA SÃO PEDRO','SAO PAULO','SP',20657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135760,2.00,4.00,1.00,5.00,7.00,4.75,2.00,4.00,2.00,102,9,NULL,'BOEHMERWALDT','JOINVILLE','SC',19880,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2135779,2.00,5.00,1.00,4.00,7.00,5.50,3.00,0.00,1.00,211,224,207,'PRAIA COMPRIDA','SAO JOSE','SC',21251,728,302,994,NULL,NULL,NULL,2,1),(15,2135787,3.00,7.00,6.00,4.00,8.00,6.00,5.00,4.00,4.00,201,213,212,'CENTRO','SAO JOAO DO SUL','SC',9407,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2135795,5.00,5.00,2.00,1.00,7.00,6.25,6.00,3.00,2.00,303,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',16123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,5,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2135817,6.00,6.00,7.00,6.00,9.00,6.25,7.00,5.00,5.00,420,424,NULL,'BARRO VERMELHO','ORLEANS','SC',4897,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2135825,4.00,6.00,3.00,7.00,7.00,5.25,3.00,7.00,3.00,238,5,207,'SANTA TEREZA','SAO PEDRO DE ALCANTARA','SC',9763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2135833,0.00,2.00,0.00,2.00,3.00,NULL,2.00,3.00,0.00,420,426,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2135841,1.00,3.00,1.00,5.00,5.00,NULL,4.00,2.00,0.00,102,339,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2135850,2.00,2.00,2.00,1.00,6.00,NULL,1.00,6.00,2.00,333,502,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135868,2.00,6.00,4.00,3.00,8.00,4.50,9.00,7.00,3.00,225,224,NULL,'ALTO RIBEIRÃO','FLORIANOPOLIS','SC',10042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135876,3.00,7.00,2.00,3.00,5.00,6.25,5.00,8.00,3.00,203,214,201,'JARDIM DAS PALMEIRAS','COCAL DO SUL','SC',12254,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2135892,7.00,8.00,8.00,9.00,8.00,6.75,9.00,8.00,8.00,103,101,NULL,'CENTRO','FLORIANOPOLIS','SC',285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135914,2.00,6.00,5.00,5.00,8.00,4.25,5.00,8.00,4.00,217,222,NULL,'INGLESES','FLORIANOPOLIS','SC',9744,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2135930,2.00,7.00,2.00,4.00,4.00,4.75,6.00,6.00,2.00,234,224,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANOPOLIS','SC',16083,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2135957,4.00,6.00,2.00,7.00,5.00,4.25,4.00,6.00,2.00,103,NULL,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2135965,5.00,8.00,3.00,5.00,6.00,5.25,5.00,3.00,3.00,104,223,NULL,'PICADAS DO SUL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2135973,2.00,3.00,1.00,3.00,5.00,NULL,2.00,4.00,0.00,103,104,NULL,'VILA RICA','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2135981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,9,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2135990,4.00,5.00,3.00,1.00,6.00,5.75,3.00,2.00,2.00,201,324,212,'ESTREITO','FLORIANOPOLIS','SC',19504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136007,4.00,5.00,3.00,0.00,6.00,3.50,4.00,3.00,2.00,318,423,NULL,'BELA VISTA II','SAO JOSE','SC',20335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136015,6.00,7.00,6.00,5.00,8.00,5.25,5.00,4.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6307,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2136031,2.00,6.00,2.00,6.00,7.00,6.50,4.00,5.00,5.00,104,101,NULL,'MORROTES','TUBARAO','SC',11891,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2136040,6.00,7.00,6.00,4.00,8.00,5.25,5.00,7.00,1.00,5,425,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',6514,303,249,NULL,NULL,NULL,NULL,4,1),(15,2136058,2.00,2.00,0.00,3.00,5.00,4.50,3.00,5.00,1.00,103,319,NULL,'COMERCIARIO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2136074,3.00,8.00,3.00,7.00,8.00,6.50,6.00,5.00,3.00,420,428,NULL,'CENTRO','FLORIANOPOLIS','SC',9169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136082,4.00,5.00,1.00,5.00,4.00,5.75,3.00,5.00,2.00,104,101,NULL,'CENTRO','ERECHIM','RS',17513,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2136104,2.00,6.00,5.00,7.00,7.00,4.50,5.00,4.00,1.00,5,316,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',13940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2136112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,302,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2136120,2.00,7.00,3.00,5.00,8.00,5.00,4.00,5.00,3.00,301,220,NULL,'PROTASIO ALVES','PORTO ALEGRE','RS',12909,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2136139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'TRISTEZA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2136155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,320,NULL,'BELA VISTA','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2136163,7.00,7.00,6.00,9.00,9.00,6.50,9.00,7.00,6.00,103,101,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',1024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136171,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'JD JUNCO','VINHEDO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',5,1),(15,2136180,5.00,7.00,3.00,2.00,4.00,5.00,4.00,2.00,2.00,238,2,208,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',18617,690,237,723,NULL,NULL,NULL,4,1),(15,2136198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,444,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2136201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,415,NULL,'PARQUE BRASIL','PAULINIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2136228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2136236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,217,NULL,'BARCELONA','SAO CAETANO DO SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2136260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'FÁTIMA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2136279,0.00,3.00,3.00,3.00,5.00,NULL,1.00,3.00,2.00,404,444,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2136287,3.00,6.00,3.00,1.00,5.00,4.75,2.00,4.00,2.00,225,429,NULL,'ITACORUBI','FLORIANOPOLIS','SC',19659,58,291,NULL,NULL,NULL,NULL,2,1),(15,2136295,2.00,7.00,6.00,8.00,5.00,4.25,4.00,4.00,3.00,301,316,NULL,'JARDIM BELA VISTA','SANTO ANDRE','SP',10668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'JARDIM DOS ESTADOS','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2136317,3.00,4.00,1.00,4.00,2.00,NULL,3.00,5.00,1.00,101,502,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2136325,4.00,7.00,8.00,8.00,5.00,5.00,9.00,6.00,7.00,213,NULL,220,'VILA NOVA','INDAIATUBA','SP',3187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136333,8.00,9.00,8.00,9.00,9.00,6.75,8.00,7.00,8.00,103,217,NULL,'CENTRO','FLORIANOPOLIS','SC',232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136341,2.00,6.00,4.00,2.00,6.00,4.75,1.00,4.00,2.00,201,444,211,'CENTRO','JOACABA','SC',19805,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2136350,0.00,4.00,2.00,3.00,3.00,NULL,5.00,3.00,3.00,423,427,426,'BOM ABRIGO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2136368,2.00,2.00,4.00,4.00,4.00,4.00,3.00,4.00,1.00,208,308,NULL,'ANTÔNIO CARLOS','ANTONIO CARLOS','SC',22201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MENINO DEUS','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2136384,4.00,6.00,6.00,9.00,8.00,5.50,8.00,5.00,3.00,103,329,NULL,'CENTRO','FLORIANOPOLIS','SC',6962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136422,7.00,7.00,7.00,5.00,7.00,6.25,6.00,7.00,5.00,238,329,233,'TRINDADADE','FLORIANOPOLIS','SC',3934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136430,5.00,5.00,2.00,5.00,6.00,5.25,7.00,4.00,2.00,308,428,NULL,'CAMPINAS','SAO JOSE','SC',12632,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2136449,2.00,7.00,4.00,4.00,6.00,5.50,5.00,3.00,4.00,208,238,NULL,'COLINA VERDE','VIDEIRA','SC',13986,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2136457,2.00,6.00,0.00,1.00,4.00,NULL,1.00,3.00,1.00,216,217,215,'JARDIM SANTO ANTONIO','CAMPO LIMPO PAULISTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136465,5.00,8.00,9.00,9.00,7.00,7.00,7.00,7.00,4.00,304,318,NULL,'BOM RETIRO','JOINVILLE','SC',2135,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2136481,5.00,6.00,6.00,3.00,7.00,3.25,4.00,8.00,4.00,108,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',9527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136490,2.00,3.00,1.00,3.00,7.00,NULL,3.00,0.00,2.00,301,9,NULL,'SANTA CATARINA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2136503,4.00,7.00,3.00,6.00,5.00,4.00,5.00,6.00,4.00,318,222,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',11503,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2136511,6.00,8.00,4.00,7.00,8.00,8.00,8.00,6.00,5.00,103,101,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',3056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136520,4.00,7.00,4.00,7.00,7.00,6.50,4.00,6.00,6.00,102,423,NULL,'CENTRO','SAO LEOPOLDO','RS',6622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2136538,6.00,8.00,5.00,5.00,8.00,NULL,0.00,0.00,0.00,302,303,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,2),(15,2136546,1.00,7.00,6.00,9.00,7.00,6.50,6.00,6.00,4.00,333,303,NULL,'PIO CORREA','CRICIUMA','SC',6296,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2136554,2.00,8.00,1.00,3.00,8.00,3.50,5.00,5.00,3.00,208,203,NULL,'BELA VISTA','SAO JOSE','SC',14815,563,1393,NULL,NULL,NULL,NULL,4,1),(15,2136562,8.00,8.00,7.00,6.00,7.00,5.50,8.00,6.00,7.00,103,303,NULL,'FLAMBOYANT','CAMPO GRANDE','MS',2043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136570,2.00,3.00,5.00,3.00,6.00,5.50,2.00,6.00,3.00,238,208,203,'BOM ABRIGO','FLORIANOPOLIS','SC',18493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136597,3.00,7.00,5.00,4.00,5.00,4.75,2.00,5.00,1.00,501,319,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',18003,233,874,NULL,NULL,NULL,NULL,4,1),(15,2136600,4.00,9.00,6.00,7.00,6.00,4.50,6.00,6.00,2.00,201,233,212,'TRINDADE','FLORIANOPOLIS','SC',6510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2136619,1.00,7.00,3.00,7.00,8.00,5.50,4.00,6.00,2.00,333,316,NULL,'PASSA VINTE','PALHOCA','SC',12739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2136627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2136635,5.00,8.00,6.00,6.00,5.00,8.25,7.00,7.00,4.00,303,5,NULL,'TRINDADE','FLORIANOPOLIS','SC',3754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136643,2.00,5.00,1.00,0.00,7.00,4.50,1.00,6.00,4.00,308,101,NULL,'SÃO JOSÉ','SOMBRIO','SC',19318,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2136651,1.00,3.00,2.00,4.00,5.00,4.75,5.00,4.00,3.00,202,201,213,'VILA FLORESTA','CRICIUMA','SC',20494,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2136660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2136678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO BENTO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2136694,2.00,5.00,5.00,0.00,6.00,NULL,3.00,5.00,2.00,317,427,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136708,4.00,7.00,5.00,8.00,8.00,4.75,6.00,7.00,5.00,207,2,NULL,'ATIRADORES','JOINVILLE','SC',4366,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2136716,6.00,8.00,7.00,9.00,9.00,7.50,9.00,8.00,9.00,303,5,NULL,'ESTREITO','FLORIANOPOLIS','SC',173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136732,2.00,6.00,4.00,7.00,8.00,4.00,7.00,5.00,5.00,203,208,202,'PETRÓPOLIS','JOINVILLE','SC',8468,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2136740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,212,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2136759,5.00,8.00,8.00,8.00,7.00,5.00,7.00,8.00,4.00,104,108,NULL,'CENTRO','URUSSANGA','SC',3030,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2136767,3.00,4.00,4.00,1.00,6.00,3.75,3.00,2.00,2.00,211,223,202,'MORRO DO CIPÓ','SOMBRIO','SC',21578,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2136783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,333,203,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,9),(15,2136791,4.00,7.00,5.00,5.00,8.00,3.75,5.00,2.00,5.00,203,202,220,'SANTO ANTÔNIO PÁDUA','TUBARAO','SC',10751,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2136805,6.00,6.00,6.00,6.00,8.00,6.25,7.00,4.00,2.00,304,223,NULL,'CAMPINAS','SAO JOSE','SC',6647,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2136813,7.00,5.00,4.00,6.00,6.00,5.00,6.00,5.00,6.00,103,108,NULL,'CENTRO','MARINGA','PR',7009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,333,NULL,'JARDIM AMERICA','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2136830,5.00,8.00,4.00,7.00,7.00,6.25,6.00,4.00,5.00,207,212,201,'VILA NOVA','IMBITUBA','SC',6656,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2136848,4.00,6.00,1.00,2.00,6.00,5.25,5.00,4.00,3.00,103,328,NULL,'CENTRO','LAGES','SC',17499,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2136856,3.00,2.00,3.00,5.00,6.00,6.50,5.00,3.00,1.00,104,420,NULL,'CENTRO','CRICIUMA','SC',18428,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2136864,2.00,4.00,1.00,8.00,4.00,4.25,3.00,2.00,1.00,429,327,425,'ITAGUACU','FLORIANOPOLIS','SC',21522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136872,6.00,9.00,8.00,7.00,7.00,6.00,8.00,7.00,6.00,103,216,NULL,'VILA NOVA','BLUMENAU','SC',1973,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2136880,4.00,8.00,7.00,9.00,8.00,5.50,6.00,6.00,4.00,5,328,NULL,'CENTRO','FLORIANOPOLIS','SC',4057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136899,2.00,5.00,3.00,5.00,4.00,4.25,2.00,2.00,1.00,404,331,NULL,'JD JANAINA','BIGUACU','SC',21912,267,256,NULL,NULL,NULL,NULL,2,1),(15,2136902,6.00,7.00,6.00,4.00,7.00,4.75,5.00,5.00,6.00,211,333,215,'ST ANTONIO DE LISBOA','FLORIANOPOLIS','SC',6679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136910,3.00,5.00,3.00,4.00,5.00,5.00,6.00,5.00,1.00,233,215,238,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136929,0.00,6.00,4.00,6.00,4.00,1.75,2.00,6.00,4.00,316,423,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2136945,1.00,3.00,2.00,4.00,7.00,3.50,2.00,7.00,4.00,420,238,NULL,'INGLESES','FLORIANOPOLIS','SC',19129,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2136953,6.00,7.00,6.00,1.00,8.00,6.75,8.00,6.00,6.00,207,224,201,'VELHA','BLUMENAU','SC',4721,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2136961,3.00,5.00,3.00,3.00,7.00,5.75,4.00,4.00,3.00,319,309,NULL,'ANGELO GUOLLO','COCAL DO SUL','SC',16710,346,167,NULL,NULL,NULL,NULL,4,5),(15,2136970,1.00,6.00,4.00,8.00,5.00,6.00,4.00,6.00,2.00,316,301,NULL,'STA MÔNICA','FLORIANOPOLIS','SC',12048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2136988,7.00,7.00,4.00,7.00,8.00,6.25,6.00,7.00,4.00,102,NULL,NULL,'JARDIM SÃO LUIS','RIBEIRAO PRETO','SP',4113,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2136996,5.00,7.00,8.00,9.00,9.00,5.50,8.00,6.00,5.00,316,425,NULL,'CENTRO','FLORIANOPOLIS','SC',2315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137003,5.00,7.00,3.00,7.00,8.00,4.00,6.00,7.00,5.00,316,318,NULL,'ITACORUBI','FLORIANOPOLIS','SC',6101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137020,4.00,6.00,2.00,5.00,7.00,4.50,3.00,5.00,2.00,426,223,421,'VENDAVAL','BIGUACU','SC',16375,50,NULL,NULL,NULL,NULL,NULL,2,1),(15,2137046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'SERRINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2137054,2.00,5.00,2.00,4.00,8.00,5.75,0.00,4.00,3.00,103,309,NULL,'VICTOR KONDER','BLUMENAU','SC',19317,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2137097,3.00,6.00,5.00,5.00,7.00,6.25,6.00,5.00,3.00,220,233,203,'VILA SÃO JOSÉ','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2137100,8.00,6.00,6.00,7.00,8.00,4.75,8.00,8.00,6.00,104,333,NULL,'CENTRO','CRUZEIRO DO IGUACU','PR',2455,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2137119,6.00,8.00,5.00,6.00,5.00,6.00,8.00,5.00,4.00,2,216,NULL,'CAROLINA','SANTA MARIA','RS',5046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137127,3.00,4.00,0.00,1.00,5.00,5.50,3.00,3.00,2.00,238,208,NULL,'INGLESES','FLORIANOPOLIS','SC',21792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137135,5.00,5.00,2.00,6.00,6.00,4.75,2.00,2.00,2.00,217,216,NULL,'INTERIOR','MARCELINO RAMOS','RS',18041,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2137143,5.00,6.00,8.00,7.00,5.00,5.00,8.00,6.00,4.00,225,329,NULL,'PONTE DO IMARUIM','PALHOCA','SC',6157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2137151,4.00,6.00,3.00,7.00,6.00,4.75,5.00,6.00,3.00,327,421,NULL,'CAMPECHE','FLORIANOPOLIS','SC',10176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137160,3.00,4.00,2.00,9.00,6.00,NULL,0.00,0.00,0.00,103,108,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,3),(15,2137178,1.00,7.00,1.00,3.00,6.00,6.25,2.00,2.00,2.00,104,216,NULL,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2137194,0.00,3.00,5.00,1.00,3.00,3.25,3.00,2.00,2.00,450,451,NULL,'SÃO VICENTE','ITAJAI','SC',22488,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2137208,3.00,4.00,5.00,6.00,6.00,6.25,7.00,4.00,6.00,104,101,NULL,'AMERICA','JOINVILLE','SC',9828,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2137216,4.00,7.00,3.00,6.00,3.00,5.00,3.00,5.00,1.00,320,427,NULL,'CARIANOS','FLORIANOPOLIS','SC',16630,73,189,NULL,NULL,NULL,NULL,4,1),(15,2137224,5.00,7.00,6.00,7.00,8.00,6.75,8.00,6.00,6.00,216,NULL,233,'CAMPINAS','SAO JOSE','SC',2855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2137232,4.00,7.00,5.00,4.00,5.00,6.25,4.00,7.00,4.00,429,225,425,'CACHOEIRA B JESUS','FLORIANOPOLIS','SC',9985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137240,1.00,6.00,3.00,0.00,7.00,4.75,3.00,6.00,2.00,201,212,238,'FAZENDA STO ANTONIO','SAO JOSE','SC',19075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137259,0.00,3.00,2.00,4.00,3.00,3.00,5.00,3.00,2.00,316,404,NULL,'CARIANOS','FLORIANOPOLIS','SC',22461,693,534,NULL,NULL,NULL,NULL,2,1),(15,2137267,4.00,7.00,5.00,6.00,7.00,6.00,5.00,6.00,4.00,104,333,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',8304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137275,3.00,4.00,4.00,6.00,8.00,6.75,5.00,3.00,2.00,207,415,201,'LARANJEIRAS','RIO DO SUL','SC',12126,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2137283,1.00,2.00,1.00,1.00,4.00,6.25,5.00,5.00,2.00,211,333,NULL,'AGOSTINI','SAO MIGUEL DOESTE','SC',21152,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2137291,6.00,7.00,5.00,7.00,8.00,6.50,6.00,6.00,2.00,308,309,NULL,'CENTRO','FLORIANOPOLIS','SC',4153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137313,5.00,8.00,7.00,8.00,8.00,5.25,7.00,8.00,4.00,211,332,238,'LAGOA DA CONCEICAO','FLORIANOPOLIS','SC',2789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137321,2.00,8.00,5.00,5.00,8.00,6.50,5.00,8.00,4.00,102,211,NULL,'INTERIOR','AGUA DOCE','SC',6192,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2137330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,301,NULL,'JARDRIM PETROPOLIS','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2137348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'JD DELMIRA','PRUDENTOPOLIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2137356,7.00,7.00,5.00,7.00,8.00,6.00,7.00,8.00,3.00,207,420,NULL,'OCTOGONAL','CRUZEIRO','DF',3424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137364,4.00,6.00,1.00,6.00,7.00,5.25,5.00,6.00,4.00,108,331,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',10873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2137372,2.00,4.00,5.00,1.00,4.00,4.75,3.00,3.00,2.00,220,207,238,'CENTRO','ITAJAI','SC',21708,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2137380,3.00,8.00,2.00,7.00,6.00,6.00,3.00,6.00,3.00,317,308,NULL,'TRINDADE','FLORIANOPOLIS','SC',12239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2137399,3.00,6.00,2.00,4.00,7.00,5.50,4.00,3.00,3.00,301,316,NULL,'BARREIROS','SAO JOSE','SC',15813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2137429,7.00,9.00,8.00,4.00,8.00,5.50,6.00,6.00,6.00,220,203,202,'CURITIBA','CURITIBA','PR',3142,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2137437,4.00,6.00,2.00,6.00,5.00,5.75,5.00,2.00,3.00,9,215,NULL,'CENTRO','LAGES','SC',15450,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2137445,4.00,8.00,3.00,5.00,5.00,5.50,5.00,4.00,1.00,301,303,NULL,'CINQUENTENÁRIO','CAXIAS DO SUL','RS',14529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,108,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2137461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,324,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2137470,1.00,7.00,6.00,1.00,6.00,5.00,4.00,5.00,3.00,104,102,NULL,'INGLESES','FLORIANOPOLIS','SC',16204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137488,0.00,4.00,2.00,1.00,5.00,NULL,3.00,3.00,2.00,5,420,NULL,'ENSEADA','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,214,213,'CENTRO','ROLANDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2137542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'VILA ZÉLIA','LORENA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2137550,2.00,8.00,2.00,6.00,8.00,5.75,5.00,5.00,5.00,103,101,NULL,'CENTRO DE PALHOÇA','PALHOCA','SC',10487,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2137569,5.00,7.00,3.00,5.00,7.00,6.25,7.00,6.00,5.00,217,215,NULL,'ALTO DA LAPA','SAO PAULO','SP',6240,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2137607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,207,NULL,'JARDIM DAS AMÉRICAS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2137615,6.00,7.00,5.00,9.00,8.00,7.00,7.00,6.00,7.00,208,222,238,'DEHON','TUBARAO','SC',2483,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2137631,2.00,7.00,4.00,5.00,6.00,4.75,6.00,4.00,4.00,103,108,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',12342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137640,2.00,7.00,2.00,1.00,1.00,NULL,5.00,7.00,3.00,223,426,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2137658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PITUBA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2137666,2.00,5.00,0.00,4.00,3.00,NULL,4.00,2.00,1.00,224,324,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2137682,1.00,5.00,3.00,6.00,6.00,5.75,2.00,2.00,2.00,316,208,NULL,'JARDIM OLENKA','CAMPO NOVO DO PARECIS','MT',20545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2137690,1.00,4.00,3.00,4.00,5.00,5.50,5.00,5.00,2.00,501,102,NULL,'MORUMBI','PATO BRANCO','PR',17622,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2137704,4.00,6.00,6.00,7.00,8.00,5.50,3.00,5.00,4.00,101,103,NULL,'TRINDADE','FLORIANOPOLIS','SC',8158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137712,4.00,5.00,0.00,2.00,5.00,5.00,4.00,1.00,1.00,502,108,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',21516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2137720,7.00,9.00,5.00,9.00,8.00,6.50,4.00,7.00,5.00,415,451,NULL,'VILA NOVA','ICARA','SC',3363,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2137739,5.00,7.00,5.00,2.00,7.00,4.00,7.00,4.00,4.00,211,502,215,'CENTRO','LAGES','SC',11382,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2137747,3.00,8.00,5.00,8.00,4.00,5.50,5.00,6.00,3.00,108,333,NULL,'VILA GALVÃO','JUNDIAI','SP',8011,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2137755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,444,NULL,'OURO VERDE','TRES PONTAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2137763,2.00,9.00,1.00,7.00,5.00,5.75,2.00,7.00,1.00,424,326,427,'BARRA DA LAGOA','FLORIANOPOLIS','SC',15294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137771,6.00,8.00,5.00,6.00,7.00,3.00,8.00,7.00,6.00,450,NULL,NULL,'CURITIBA','CURITIBA','PR',4792,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2137780,5.00,7.00,6.00,9.00,7.00,6.00,4.00,6.00,1.00,5,201,NULL,'TRINDADE','FLORIANOPOLIS','SC',7630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137798,3.00,5.00,4.00,9.00,8.00,6.50,5.00,6.00,3.00,420,451,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',8299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2137801,2.00,7.00,3.00,3.00,6.00,3.75,6.00,5.00,3.00,451,319,NULL,'CENTRO','LAGES','SC',15619,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2137810,7.00,6.00,8.00,8.00,7.00,4.75,8.00,7.00,6.00,450,451,NULL,'CENTRO','PENHA','SC',3453,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2137836,0.00,4.00,1.00,3.00,5.00,5.25,5.00,2.00,2.00,103,NULL,NULL,'CENTRO','NOVA TRENTO','SC',22152,3106,NULL,NULL,NULL,NULL,NULL,5,6),(15,2137844,3.00,8.00,6.00,7.00,7.00,8.00,3.00,6.00,4.00,319,310,NULL,'VILA JONES','AMERICANA','SP',5731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137852,5.00,8.00,2.00,6.00,8.00,6.25,6.00,4.00,4.00,9,108,NULL,'CAMPINAS','SAO JOSE','SC',8245,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2137860,1.00,4.00,0.00,3.00,4.00,5.25,3.00,3.00,2.00,331,108,NULL,'PANTANAL','FLORIANOPOLIS','SC',22352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2137879,5.00,5.00,5.00,6.00,8.00,6.25,5.00,6.00,3.00,202,2,208,'POTECAS','SAO JOSE','SC',7351,285,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137895,6.00,8.00,8.00,9.00,8.00,6.25,8.00,6.00,5.00,501,225,NULL,'CAMPINAS','SAO JOSE','SC',1410,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2137909,2.00,6.00,2.00,3.00,5.00,6.75,5.00,7.00,3.00,5,303,NULL,'TRAÇADO','URUBICI','SC',14541,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2137917,3.00,7.00,5.00,3.00,5.00,NULL,0.00,0.00,0.00,215,234,NULL,'STA TEREZINHA','CANDIDO MOTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(15,2137925,2.00,6.00,5.00,4.00,6.00,7.25,6.00,4.00,3.00,207,420,208,'CANASVIEIRAS','FLORIANOPOLIS','SC',10987,540,664,381,NULL,NULL,NULL,2,1),(15,2137941,7.00,7.00,6.00,8.00,7.00,5.25,9.00,8.00,7.00,203,208,201,'CARVOEIRA','FLORIANOPOLIS','SC',978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137950,5.00,8.00,4.00,8.00,8.00,5.75,8.00,8.00,4.00,207,420,201,'JD SÃO CARLOS','SAO PAULO','SP',3217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137968,1.00,3.00,4.00,0.00,4.00,NULL,1.00,3.00,2.00,319,301,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2137976,1.00,7.00,4.00,8.00,6.00,4.50,4.00,5.00,1.00,207,333,202,'CENTRO','JOINVILLE','SC',14033,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2137984,5.00,8.00,8.00,4.00,7.00,4.00,8.00,8.00,6.00,318,233,NULL,'CASA BRANCA','ITAPEMA','SC',3544,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2137992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'CENTRO','CHAPADAO DO SUL','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2138000,3.00,7.00,5.00,5.00,6.00,5.00,6.00,4.00,2.00,333,224,NULL,'ESTREITO','FLORIANOPOLIS','SC',12858,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2138018,3.00,7.00,3.00,9.00,7.00,7.00,3.00,5.00,5.00,301,316,NULL,'CENTRO','FLORIANOPOLIS','SC',8548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2138026,4.00,5.00,7.00,7.00,8.00,6.25,7.00,6.00,5.00,103,108,NULL,'SAGUAÇU','JOINVILLE','SC',4890,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2138034,5.00,5.00,1.00,4.00,6.00,5.00,5.00,3.00,3.00,104,404,NULL,'CENTRO','ARARANGUA','SC',16584,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2138050,7.00,9.00,5.00,8.00,8.00,5.00,6.00,7.00,4.00,415,425,NULL,'SAGRADO C DE JESUS','LAGES','SC',3543,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2138085,1.00,6.00,3.00,3.00,7.00,4.75,4.00,5.00,2.00,333,108,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',18466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2138107,3.00,7.00,3.00,8.00,9.00,5.00,6.00,4.00,2.00,104,9,NULL,'KOBRASOL','SAO JOSE','SC',10402,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2138115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,415,NULL,'JARDIM CALIFORNIA','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2138123,2.00,5.00,1.00,6.00,6.00,6.00,4.00,2.00,0.00,339,308,NULL,'ESTREITO','FLORIANOPOLIS','SC',19417,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2138131,1.00,4.00,3.00,6.00,5.00,5.25,3.00,4.00,2.00,339,451,NULL,'ROÇADO','SAO JOSE','SC',20019,120,285,NULL,NULL,NULL,NULL,2,1),(15,2138140,0.00,5.00,0.00,1.00,5.00,NULL,3.00,4.00,2.00,207,420,201,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2138158,3.00,4.00,4.00,1.00,7.00,6.25,2.00,4.00,2.00,213,238,202,'SANTO ANTONIO','JOINVILLE','SC',18831,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2138174,7.00,7.00,7.00,6.00,8.00,7.75,8.00,7.00,9.00,103,319,NULL,'BELA VISTA','SAO PAULO','SP',1219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2138182,3.00,6.00,1.00,5.00,9.00,5.75,1.00,6.00,4.00,308,339,NULL,'FORQUILHAS','SAO JOSE','SC',14407,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2138190,5.00,7.00,5.00,5.00,7.00,5.50,6.00,5.00,6.00,303,5,NULL,'CENTRO','CURITIBA','PR',6137,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2138212,6.00,8.00,1.00,3.00,5.00,5.75,5.00,5.00,2.00,102,324,NULL,'RESSACADA','ITAJAI','SC',13017,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2138247,1.00,6.00,3.00,5.00,8.00,7.00,4.00,6.00,3.00,103,215,NULL,'CENTRO','MACHADINHO','RS',11970,2368,538,NULL,NULL,NULL,NULL,4,7),(15,2138255,5.00,6.00,1.00,4.00,5.00,4.25,7.00,7.00,5.00,319,310,NULL,'TAGUATINGA NORTE','TAGUATINGA','DF',11982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2138263,1.00,6.00,2.00,5.00,6.00,5.00,3.00,6.00,4.00,225,222,NULL,'KOBRASOL','SAO JOSE','SC',16279,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2138271,4.00,6.00,3.00,5.00,7.00,6.75,7.00,7.00,2.00,211,429,NULL,'ANA MARIA','CRICIUMA','SC',8995,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2138280,3.00,8.00,6.00,4.00,7.00,5.00,6.00,5.00,3.00,103,502,NULL,'FIGUEIRA','URUSSANGA','SC',9987,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2138298,4.00,7.00,4.00,4.00,8.00,6.75,6.00,5.00,3.00,303,5,NULL,'GUILHERMINA','PRAIA GRANDE','SP',9209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2138310,2.00,6.00,4.00,5.00,8.00,5.75,8.00,5.00,3.00,102,324,NULL,'ESTREITO','FLORIANOPOLIS','SC',9779,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2138336,4.00,5.00,3.00,4.00,7.00,5.25,5.00,3.00,2.00,9,333,NULL,'JARDIM FLORESTA','SAO JOSE','SC',14808,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2138352,4.00,5.00,2.00,6.00,7.00,5.00,2.00,3.00,3.00,333,217,NULL,'JARDIM SAO PAULO','SAO JOAO BATISTA','SC',17040,279,475,NULL,NULL,NULL,NULL,2,1),(15,2138379,3.00,9.00,6.00,2.00,8.00,6.75,6.00,5.00,4.00,215,NULL,NULL,'FAZENDA','ITAJAI','SC',7611,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2138395,0.00,0.00,0.00,3.00,4.00,NULL,3.00,1.00,3.00,215,108,238,'TRIDANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(15,2138409,5.00,6.00,5.00,8.00,7.00,5.00,7.00,6.00,2.00,220,201,NULL,'SANTO ANTONIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2138417,5.00,7.00,4.00,3.00,6.00,5.50,6.00,6.00,3.00,233,328,216,'SÃO LUIZ','BRUSQUE','SC',11812,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2138425,4.00,6.00,5.00,5.00,7.00,6.00,5.00,5.00,2.00,216,217,215,'XV DE NOVEMBRO','TIJUCAS','SC',10895,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2138441,4.00,8.00,2.00,3.00,6.00,6.75,3.00,5.00,5.00,319,329,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',12399,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2138450,5.00,8.00,6.00,4.00,6.00,7.00,5.00,4.00,5.00,451,NULL,NULL,'PIONEIROS','BALNEARIO CAMBORIU','SC',8488,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2138468,4.00,7.00,2.00,3.00,3.00,6.25,5.00,6.00,4.00,224,425,NULL,'VILA MILITAR','URUBICI','SC',14619,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2138476,5.00,7.00,9.00,9.00,8.00,5.50,9.00,5.00,8.00,103,2,NULL,'POMPÉIA','SAO PAULO','SP',1275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2138484,2.00,6.00,3.00,5.00,9.00,6.50,5.00,5.00,1.00,333,225,NULL,'ARAMAÇÃO DO PÂNT SUL','FLORIANOPOLIS','SC',13499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2138506,5.00,7.00,5.00,7.00,7.00,5.25,7.00,6.00,5.00,9,101,NULL,'KOBRASOL','SAO JOSE','SC',5114,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2138514,7.00,7.00,4.00,6.00,7.00,7.00,7.00,7.00,7.00,415,NULL,NULL,'JARDIM RECREIO','SERTAOZINHO','SP',3631,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2138530,1.00,3.00,2.00,3.00,4.00,5.00,2.00,5.00,2.00,215,319,207,'INTERIOR','UNIAO DO OESTE','SC',21654,421,966,1014,NULL,NULL,NULL,4,4),(15,2138549,3.00,5.00,1.00,5.00,6.00,5.75,5.00,4.00,4.00,319,324,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',15217,301,244,NULL,NULL,NULL,NULL,2,1),(15,2138573,5.00,7.00,2.00,6.00,8.00,6.25,4.00,4.00,5.00,310,320,NULL,'GARCIA','BLUMENAU','SC',7509,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2138581,2.00,5.00,2.00,3.00,5.00,3.25,3.00,1.00,4.00,108,501,NULL,'VILA A','FOZ DO IGUACU','PR',21813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2138590,3.00,8.00,5.00,1.00,8.00,6.00,8.00,7.00,2.00,2,201,NULL,'PRIMAVERA','XAXIM','SC',8701,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2138611,2.00,8.00,4.00,2.00,7.00,6.50,3.00,6.00,4.00,310,303,NULL,'CENTRO','RIQUEZA','SC',12347,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2138620,6.00,6.00,6.00,5.00,7.00,5.75,6.00,4.00,4.00,211,234,215,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',7845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2138646,9.00,8.00,8.00,8.00,9.00,6.75,9.00,7.00,8.00,103,319,NULL,'PANTANAL','FLORIANOPOLIS','SC',221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2138654,4.00,4.00,3.00,5.00,6.00,5.50,3.00,5.00,2.00,339,421,NULL,'CENTRO','PALHOCA','SC',15410,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2138670,3.00,5.00,2.00,7.00,6.00,6.50,4.00,5.00,3.00,103,102,NULL,'CENTRO','ARMAZEM','SC',11737,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2138689,1.00,6.00,2.00,5.00,5.00,4.00,4.00,2.00,4.00,211,502,212,'VISTA ALEGRE','CONCORDIA','SC',18720,651,309,377,NULL,NULL,NULL,2,7),(15,2138697,3.00,7.00,4.00,4.00,4.00,3.50,3.00,6.00,4.00,223,NULL,NULL,'BARRA DO ARIRIU','PALHOCA','SC',14930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2138700,3.00,7.00,6.00,9.00,7.00,5.00,5.00,6.00,3.00,203,214,213,'PONTA DA PRAIA','SANTOS','SP',7423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2138719,5.00,7.00,5.00,7.00,6.00,7.00,7.00,6.00,6.00,317,327,NULL,'SERRARIA','SAO JOSE','SC',4975,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2138727,0.00,5.00,0.00,6.00,4.00,5.50,3.00,4.00,4.00,429,103,NULL,'INTERIOR','UNIAO DO OESTE','SC',19253,153,3256,NULL,NULL,NULL,NULL,2,4),(15,2138735,1.00,4.00,1.00,4.00,6.00,5.00,4.00,1.00,3.00,423,308,425,'CAMINHO NOVO','PALHOCA','SC',21482,101,473,192,NULL,NULL,NULL,2,1),(15,2138743,4.00,4.00,2.00,3.00,0.00,NULL,2.00,2.00,0.00,101,309,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2138751,5.00,7.00,4.00,4.00,6.00,5.50,7.00,7.00,7.00,444,NULL,NULL,'CENTRO','CASCAVEL','PR',5346,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2138760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,234,NULL,'IPEROBA','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2138786,2.00,6.00,5.00,2.00,5.00,5.75,3.00,4.00,5.00,201,233,212,'BARRA DO RIO CERRO','JARAGUA DO SUL','SC',16741,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2138794,7.00,7.00,6.00,7.00,8.00,7.00,6.00,4.00,3.00,103,101,NULL,'CENTRO','FLORIANOPOLIS','SC',4377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2138824,0.00,7.00,4.00,0.00,6.00,5.25,3.00,5.00,3.00,102,501,NULL,'BARRA DO GOLFO','MAREMA','SC',18065,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2138832,6.00,7.00,9.00,9.00,8.00,7.00,7.00,6.00,6.00,420,316,NULL,'CENTRO','ABAETE','MG',1047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2138840,5.00,6.00,3.00,6.00,6.00,4.25,3.00,3.00,3.00,324,423,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',15797,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2138859,5.00,7.00,8.00,4.00,8.00,6.00,5.00,5.00,3.00,201,420,207,'CENTRO','BRUSQUE','SC',6982,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2138875,4.00,7.00,5.00,4.00,8.00,5.00,4.00,7.00,4.00,310,328,NULL,'BOA VISTA','RIO DO SUL','SC',8408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2138883,3.00,5.00,3.00,4.00,6.00,3.00,2.00,4.00,4.00,101,324,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',18321,226,325,NULL,NULL,NULL,NULL,2,1),(15,2138891,5.00,7.00,5.00,9.00,7.00,6.50,9.00,7.00,6.00,203,2,202,'OPERÁRIA NOVA','CRICIUMA','SC',1612,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2138905,7.00,7.00,5.00,4.00,7.00,6.50,5.00,7.00,5.00,103,216,NULL,'PARQUE DAS PALMEIRAS','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2138948,1.00,3.00,2.00,4.00,5.00,6.25,3.00,2.00,2.00,207,317,NULL,'CENTRO','GARUVA','SC',21259,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2138956,3.00,6.00,3.00,7.00,5.00,2.50,3.00,7.00,2.00,450,415,NULL,'CIDADE NOVA','PORTO UNIAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2138964,3.00,7.00,5.00,8.00,6.00,7.00,7.00,8.00,4.00,202,203,220,'CAMPOS DO IGUAÇU','FOZ DO IGUACU','PR',4688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2138972,5.00,7.00,8.00,3.00,8.00,5.25,7.00,6.00,4.00,103,104,NULL,'CENTRO','TUBARAO','SC',5793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2138980,3.00,7.00,5.00,6.00,7.00,5.50,5.00,6.00,2.00,326,425,NULL,'ESTREITO','FLORIANOPOLIS','SC',9122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2138999,4.00,8.00,6.00,2.00,7.00,4.25,7.00,5.00,4.00,203,220,202,'CENTRO','ITAJAI','SC',10283,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2139006,5.00,8.00,5.00,9.00,9.00,6.50,7.00,6.00,4.00,420,450,NULL,'ESTREITO','FLORIANOPOLIS','SC',3466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139014,1.00,7.00,4.00,6.00,8.00,4.50,2.00,4.00,3.00,415,319,NULL,'CENTRO','URUSSANGA','SC',15075,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2139022,4.00,4.00,2.00,5.00,7.00,5.50,3.00,5.00,2.00,420,425,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',17471,342,377,NULL,NULL,NULL,NULL,2,1),(15,2139030,0.00,4.00,0.00,2.00,6.00,NULL,2.00,3.00,2.00,415,310,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139049,5.00,5.00,2.00,0.00,6.00,6.50,4.00,5.00,3.00,102,319,NULL,'GAMA DF','GAMA','DF',16110,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139057,3.00,7.00,1.00,3.00,4.00,5.25,5.00,6.00,2.00,320,339,NULL,'ASA NORTE','BRASILIA','DF',17075,76,311,NULL,NULL,NULL,NULL,2,4),(15,2139065,2.00,5.00,6.00,5.00,5.00,5.00,6.00,3.00,4.00,225,222,NULL,'CENTRO','TIMBE DO SUL','SC',13906,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2139073,2.00,4.00,0.00,0.00,4.00,NULL,1.00,2.00,1.00,207,NULL,NULL,'SAIC','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139090,2.00,8.00,8.00,8.00,8.00,6.75,9.00,7.00,2.00,213,304,202,'CENTRO','FLORIANOPOLIS','SC',4091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139103,4.00,3.00,6.00,4.00,7.00,6.50,4.00,6.00,3.00,103,319,NULL,'CACUPÉ','FLORIANOPOLIS','SC',12107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139111,2.00,7.00,3.00,6.00,4.00,5.00,4.00,7.00,2.00,201,224,212,'JOSE MENDES','FLORIANOPOLIS','SC',15350,814,226,317,NULL,NULL,NULL,2,1),(15,2139138,2.00,4.00,1.00,5.00,3.00,NULL,0.00,3.00,1.00,222,404,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139146,1.00,7.00,5.00,2.00,6.00,5.75,2.00,3.00,2.00,103,NULL,NULL,'FREI ROGÉRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2139154,2.00,9.00,3.00,3.00,7.00,5.00,6.00,6.00,4.00,207,420,201,'PIO X','CAXIAS DO SUL','RS',11730,571,681,645,NULL,NULL,NULL,4,1),(15,2139162,5.00,6.00,1.00,7.00,7.00,6.00,3.00,3.00,2.00,102,9,NULL,'CENTRO','PONTE SERRADA','SC',14212,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2139170,2.00,6.00,1.00,3.00,5.00,5.25,4.00,4.00,2.00,101,9,NULL,'BARREIROS','SAO JOSE','SC',20917,292,729,NULL,NULL,NULL,NULL,2,1),(15,2139189,4.00,7.00,4.00,3.00,7.00,5.50,6.00,4.00,5.00,103,104,NULL,'CENTRO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2139200,2.00,6.00,3.00,4.00,4.00,4.50,2.00,7.00,3.00,326,450,NULL,'COQUEIROS','FLORIANOPOLIS','SC',15635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139227,2.00,5.00,3.00,3.00,5.00,4.25,2.00,2.00,4.00,319,304,NULL,'CENTRO','ARACARIGUAMA','SP',21047,472,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139243,1.00,6.00,4.00,1.00,5.00,4.25,2.00,3.00,2.00,333,451,NULL,'SÃO LOURENÇO','CURITIBA','PR',21157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139251,2.00,4.00,1.00,1.00,4.00,3.50,4.00,4.00,2.00,444,9,NULL,'CENTRO','PALHOCA','SC',21939,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139278,4.00,7.00,5.00,6.00,9.00,5.75,4.00,6.00,4.00,103,102,NULL,'ANCHIETA','PATO BRANCO','PR',6991,1759,738,NULL,NULL,NULL,NULL,2,4),(15,2139286,1.00,4.00,1.00,1.00,5.00,3.50,5.00,3.00,1.00,316,301,NULL,'PARQUE SÃO JORGE','FLORIANOPOLIS','SC',22180,682,866,NULL,NULL,NULL,NULL,4,1),(15,2139294,3.00,5.00,4.00,5.00,7.00,6.25,4.00,5.00,2.00,425,427,429,'PONTA DE BAIXO','SAO JOSE','SC',13563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139308,2.00,3.00,2.00,1.00,5.00,NULL,3.00,1.00,3.00,216,208,233,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139316,2.00,3.00,5.00,5.00,7.00,5.50,3.00,2.00,3.00,404,415,NULL,'BARREIROS','SAO JOSE','SC',17478,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139332,2.00,8.00,0.00,7.00,8.00,5.00,5.00,7.00,4.00,324,427,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',10782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139359,3.00,4.00,3.00,5.00,8.00,7.00,2.00,6.00,3.00,202,303,213,'NAÇÕES','BALNEARIO CAMBORIU','SC',13348,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2139367,3.00,5.00,4.00,6.00,7.00,4.25,5.00,4.00,3.00,301,444,NULL,'IPIRANGA','SAO JOSE','SC',13269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139375,0.00,5.00,2.00,2.00,5.00,3.50,2.00,5.00,1.00,301,302,NULL,'BARREIROS','SAO JOSE','SC',22145,382,354,NULL,NULL,NULL,NULL,4,1),(15,2139383,6.00,9.00,9.00,7.00,8.00,5.25,9.00,8.00,5.00,220,233,216,'JARDIM AMÉRICA','RIO DO SUL','SC',965,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2139391,2.00,6.00,3.00,2.00,7.00,5.50,4.00,8.00,2.00,303,501,NULL,'CENTRO','FLORIANOPOLIS','SC',16347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139405,3.00,6.00,4.00,5.00,5.00,4.50,4.00,6.00,4.00,304,318,NULL,'CENTRO','FLORIANOPOLIS','SC',14019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139413,3.00,8.00,5.00,9.00,7.00,5.50,7.00,6.00,3.00,212,421,201,'CENTRO','FLORIANOPOLIS','SC',5499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139430,8.00,9.00,9.00,7.00,9.00,7.25,9.00,9.00,7.00,103,329,NULL,'CENTRO','CRICIUMA','SC',93,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2139448,2.00,8.00,7.00,9.00,9.00,7.00,7.00,7.00,5.00,207,424,233,'CENTRO','FLORIANOPOLIS','SC',2604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,302,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2139464,5.00,5.00,5.00,4.00,6.00,6.00,6.00,5.00,2.00,202,238,213,'CARIANOS','FLORIANOPOLIS','SC',10372,399,898,170,NULL,NULL,NULL,2,1),(15,2139472,5.00,7.00,5.00,6.00,8.00,5.50,5.00,7.00,4.00,201,501,212,'TERESÓPOLIS','PORTO ALEGRE','RS',5318,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2139480,4.00,8.00,2.00,9.00,6.00,5.75,4.00,7.00,3.00,316,427,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',8070,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2139499,5.00,6.00,4.00,7.00,8.00,6.50,7.00,7.00,3.00,238,208,213,'SÃO SEBASTIÃO','PALHOCA','SC',5514,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139502,3.00,3.00,1.00,3.00,4.00,4.25,3.00,5.00,3.00,420,207,NULL,'COQUEIROS','FLORIANOPOLIS','SC',19917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139510,3.00,7.00,3.00,5.00,9.00,5.75,5.00,5.00,2.00,207,420,201,'AGRONÔMICA','FLORIANOPOLIS','SC',10742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139529,2.00,7.00,0.00,1.00,3.00,NULL,1.00,3.00,2.00,104,420,NULL,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139537,2.00,7.00,6.00,8.00,8.00,7.00,5.00,6.00,5.00,415,301,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',5056,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139553,5.00,3.00,0.00,4.00,5.00,NULL,3.00,3.00,2.00,304,302,NULL,'FORQUILHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139561,4.00,5.00,2.00,8.00,9.00,7.00,6.00,7.00,4.00,102,101,NULL,'CENTRO','TAIO','SC',7239,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2139570,2.00,7.00,2.00,2.00,7.00,5.50,5.00,5.00,3.00,238,324,208,'CENTRO','FLORIANOPOLIS','SC',15500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139596,3.00,8.00,5.00,3.00,7.00,6.50,2.00,6.00,5.00,203,404,233,'CENTRO','SAO JOSE','SC',10940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139600,7.00,8.00,6.00,8.00,9.00,5.75,7.00,7.00,4.00,220,214,203,'CENTRO','FRANCISCO BELTRAO','PR',1944,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2139618,2.00,4.00,2.00,0.00,5.00,NULL,4.00,3.00,1.00,207,201,NULL,'CAMINHO NOVO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139626,4.00,4.00,2.00,5.00,6.00,5.50,4.00,3.00,2.00,316,5,NULL,'CENTRO','CRICIUMA','SC',18117,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2139634,2.00,5.00,4.00,5.00,6.00,5.25,3.00,4.00,4.00,207,444,NULL,'SÃO FRANCISCO','LUZERNA','SC',15551,756,484,NULL,NULL,NULL,NULL,2,7),(15,2139642,1.00,8.00,0.00,7.00,8.00,NULL,4.00,5.00,3.00,5,501,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2139650,2.00,5.00,3.00,7.00,8.00,5.25,5.00,5.00,2.00,302,NULL,NULL,'BAIRRO IPIRANGA','SAO JOSE','SC',12492,84,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139669,2.00,7.00,2.00,5.00,5.00,4.00,2.00,4.00,3.00,5,316,NULL,'BARREIROS','SAO JOSE','SC',17947,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,324,NULL,'JARDIM CARANDAÍ','BIGUACU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2139693,2.00,5.00,2.00,3.00,6.00,2.50,3.00,4.00,1.00,444,324,NULL,'POTECAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139707,2.00,6.00,3.00,6.00,7.00,5.50,5.00,6.00,2.00,103,104,NULL,'VILA BEATRIZ','MARACAJA','SC',12971,2446,1105,NULL,NULL,NULL,NULL,2,5),(15,2139715,4.00,6.00,1.00,1.00,5.00,4.50,4.00,5.00,4.00,103,102,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139723,7.00,8.00,7.00,7.00,9.00,9.25,7.00,7.00,7.00,103,NULL,NULL,'PARQUE CEDRAL','PRESIDENTE PRUDENTE','SP',886,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2139731,1.00,7.00,4.00,3.00,9.00,7.50,6.00,4.00,5.00,415,103,NULL,'CENTRO','ITAJAI','SC',9653,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2139740,3.00,8.00,2.00,9.00,7.00,5.75,5.00,8.00,5.00,203,5,208,'JARDIM BLUMENAU','BLUMENAU','SC',5948,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2139758,2.00,6.00,9.00,5.00,9.00,5.50,7.00,5.00,5.00,203,233,202,'SAGRADO C DE JESUS','LAGES','SC',6556,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2139766,2.00,7.00,3.00,6.00,8.00,4.00,2.00,5.00,3.00,326,423,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',15371,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139774,5.00,7.00,9.00,9.00,8.00,6.00,7.00,5.00,6.00,202,233,213,'ASA NORTE','BRASILIA','DF',2620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139782,4.00,8.00,7.00,7.00,7.00,5.50,6.00,5.00,4.00,108,211,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139790,4.00,6.00,1.00,1.00,6.00,7.00,5.00,6.00,2.00,103,101,NULL,'OPERARIA NOVA','CRICIUMA','SC',14422,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2139804,6.00,8.00,5.00,6.00,7.00,4.50,7.00,7.00,5.00,319,425,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',4934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139812,5.00,6.00,7.00,8.00,6.00,4.25,7.00,7.00,5.00,103,9,NULL,'JARDIM TV MORENA','CAMPO GRANDE','MS',4573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139820,4.00,9.00,8.00,7.00,9.00,7.00,6.00,7.00,6.00,316,423,NULL,'CENTRO','FLORIANOPOLIS','SC',2070,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139839,4.00,5.00,3.00,4.00,5.00,6.00,2.00,6.00,3.00,309,451,NULL,'CENTRO','FLORIANOPOLIS','SC',16673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139847,0.00,3.00,3.00,3.00,2.00,NULL,4.00,4.00,3.00,324,421,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139863,5.00,8.00,4.00,7.00,7.00,6.75,6.00,6.00,6.00,103,104,NULL,'SAGUAÇU','JOINVILLE','SC',4055,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2139871,6.00,8.00,7.00,6.00,9.00,5.50,7.00,6.00,4.00,104,102,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',3082,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2139880,2.00,5.00,5.00,8.00,5.00,4.50,6.00,5.00,4.00,444,404,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',11057,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139898,7.00,8.00,8.00,9.00,9.00,7.25,6.00,7.00,7.00,104,415,NULL,'AMÉRICA','JOINVILLE','SC',620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139901,6.00,7.00,6.00,4.00,8.00,5.00,7.00,5.00,3.00,103,NULL,NULL,'MINA BRASIL','CRICIUMA','SC',7018,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2139928,3.00,3.00,1.00,0.00,4.00,NULL,3.00,2.00,3.00,202,203,213,'PORTO DA VILA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2139936,3.00,7.00,7.00,7.00,7.00,7.50,5.00,6.00,1.00,319,NULL,NULL,'LAGEADO DOS PINTOS','CONCORDIA','SC',7529,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2139944,8.00,9.00,9.00,9.00,8.00,7.75,8.00,9.00,7.00,103,207,NULL,'CENTRO','ITAJAI','SC',88,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2139952,3.00,7.00,2.00,0.00,1.00,NULL,3.00,5.00,2.00,215,420,207,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139960,4.00,7.00,3.00,7.00,4.00,4.00,2.00,3.00,1.00,108,502,NULL,'VILA IGARA','CANOAS','RS',17637,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2139979,2.00,5.00,2.00,6.00,8.00,6.75,3.00,5.00,1.00,108,301,NULL,'JD SATÉLITE','SAO JOSE DOS CAMPOS','SP',14567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139987,3.00,5.00,3.00,5.00,6.00,5.50,3.00,5.00,2.00,319,208,NULL,'BARREIROS','SAO JOSE','SC',17004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2139995,7.00,8.00,9.00,6.00,7.00,6.00,8.00,6.00,4.00,222,224,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',3071,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2140004,7.00,5.00,6.00,5.00,5.00,5.75,7.00,5.00,5.00,103,104,NULL,'BIGORRILHO','CURITIBA','PR',7610,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2140012,4.00,5.00,6.00,6.00,8.00,6.25,6.00,8.00,4.00,201,317,215,'SANTA RITA','PETROLANDIA','SC',5671,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2140020,5.00,7.00,3.00,5.00,7.00,4.50,5.00,4.00,3.00,319,404,NULL,'BARREIROS','SAO JOSE','SC',12521,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2140047,2.00,4.00,4.00,1.00,5.00,NULL,0.00,0.00,0.00,329,208,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2140055,2.00,6.00,6.00,4.00,7.00,6.00,5.00,4.00,2.00,420,319,NULL,'AMÉRICA','JOINVILLE','SC',12257,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2140063,2.00,6.00,3.00,6.00,7.00,7.25,3.00,6.00,3.00,327,423,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',13327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2140071,2.00,6.00,2.00,1.00,5.00,5.25,3.00,6.00,3.00,420,326,NULL,'LAGEADO DOS PINTOS','CONCORDIA','SC',18835,376,314,NULL,NULL,NULL,NULL,2,7),(15,2140080,4.00,6.00,6.00,4.00,7.00,5.75,3.00,4.00,4.00,444,339,NULL,'PANTANAL','FLORIANOPOLIS','SC',10872,64,219,NULL,NULL,NULL,NULL,2,1),(15,2140098,4.00,7.00,3.00,7.00,8.00,6.50,4.00,4.00,4.00,310,451,NULL,'CENTRO','LAGES','SC',9623,NULL,NULL,NULL,NULL,NULL,NULL,3,9),(15,2140101,4.00,5.00,4.00,7.00,9.00,3.50,7.00,7.00,3.00,103,108,NULL,'PASSA VINTE','PALHOCA','SC',8667,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2140128,9.00,6.00,8.00,6.00,9.00,7.50,7.00,8.00,7.00,103,NULL,NULL,'UVARANAS','PONTA GROSSA','PR',693,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2140136,3.00,6.00,6.00,6.00,6.00,5.25,4.00,7.00,4.00,207,420,201,'JARDINS FLORENÇA','GOIANIA','GO',8935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140144,2.00,7.00,3.00,5.00,6.00,6.00,4.00,7.00,2.00,211,501,215,'KOBRASOL','SAO JOSE','SC',12470,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2140152,2.00,7.00,3.00,2.00,8.00,6.25,7.00,7.00,3.00,220,201,208,'SAO JOAO DO PARAISO','MASCOTE','BA',9975,408,1277,336,NULL,NULL,NULL,4,3),(15,2140160,5.00,7.00,8.00,8.00,9.00,6.50,9.00,9.00,5.00,216,233,201,'VILA SANTA TEREZINHA','PASSO FUNDO','RS',1166,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2140179,2.00,6.00,1.00,4.00,7.00,6.75,5.00,4.00,1.00,450,415,NULL,'VELHA','BLUMENAU','SC',17177,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2140187,7.00,7.00,8.00,5.00,8.00,6.25,8.00,7.00,7.00,103,104,NULL,'CENTRO','FRANCISCO BELTRAO','PR',2081,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2140195,3.00,4.00,2.00,6.00,6.00,4.00,4.00,3.00,3.00,420,215,NULL,'SAGUAÇÚ','JOINVILLE','SC',17042,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2140209,3.00,7.00,6.00,4.00,7.00,4.50,5.00,6.00,4.00,302,301,NULL,'INGLESES','FLORIANOPOLIS','SC',10509,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2140217,6.00,7.00,8.00,3.00,4.00,6.25,8.00,5.00,8.00,202,220,NULL,'ACLIMAÇÃO','SAO PAULO','SP',5403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140225,2.00,5.00,3.00,6.00,8.00,6.25,6.00,5.00,4.00,201,215,212,'UNIVERSITÁRIO','LAGES','SC',10768,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2140233,2.00,8.00,8.00,8.00,9.00,7.50,6.00,7.00,2.00,233,202,208,'CENTRO','ERECHIM','RS',2960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140250,0.00,5.00,0.00,5.00,8.00,7.00,3.00,5.00,5.00,102,429,NULL,'PASSA VINTE','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,420,NULL,'PQ RECANTO PARRILHO','JUNDIAI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2140276,6.00,8.00,7.00,7.00,8.00,5.50,8.00,3.00,4.00,203,2,214,'CENTRO','FLORIANOPOLIS','SC',3196,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2140284,2.00,7.00,3.00,7.00,7.00,4.50,5.00,6.00,1.00,208,2,238,'CENTRO','FLORIANOPOLIS','SC',12505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2140306,1.00,6.00,1.00,6.00,7.00,5.25,0.00,3.00,0.00,301,404,NULL,'ABRAÃO','FLORIANOPOLIS','SC',21102,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2140314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,301,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2140330,3.00,5.00,2.00,7.00,5.00,6.00,4.00,4.00,1.00,211,327,216,'JARDIM AEROPORTO','PONTA PORA','MS',16170,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2140349,3.00,7.00,2.00,2.00,7.00,5.50,5.00,4.00,2.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',16084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140357,4.00,7.00,5.00,7.00,9.00,7.75,6.00,7.00,2.00,301,420,NULL,'FLORESTA','SAO JOSE','SC',5359,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2140365,3.00,5.00,2.00,8.00,7.00,5.50,4.00,4.00,3.00,333,108,NULL,'GUANABARA','JOINVILLE','SC',13460,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2140373,1.00,7.00,3.00,5.00,8.00,6.75,6.00,3.00,2.00,9,215,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',13183,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2140390,6.00,8.00,4.00,6.00,9.00,6.00,5.00,6.00,3.00,211,215,207,'SUDOESTE','CRUZEIRO','DF',5994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140403,2.00,8.00,2.00,4.00,8.00,5.50,6.00,8.00,2.00,404,225,NULL,'MAR GROSSO','LAGUNA','SC',10638,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2140411,0.00,8.00,4.00,8.00,7.00,4.75,4.00,7.00,4.00,415,327,NULL,'KOBRASOL','SAO JOSE','SC',9863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140420,0.00,6.00,1.00,8.00,5.00,NULL,3.00,4.00,3.00,216,220,203,'OLIVEIRA BARROS','MIRACATU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2140446,4.00,5.00,3.00,3.00,6.00,6.00,2.00,2.00,3.00,333,234,NULL,'ABRAÃO','FLORIANOPOLIS','SC',18098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140454,6.00,9.00,2.00,5.00,6.00,5.25,3.00,6.00,2.00,404,324,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',10189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140462,2.00,5.00,1.00,2.00,5.00,5.00,0.00,5.00,2.00,309,415,NULL,'CENTRO','IBIRAMA','SC',22101,84,841,NULL,NULL,NULL,NULL,4,1),(15,2140470,3.00,5.00,3.00,6.00,8.00,5.25,4.00,5.00,5.00,420,207,NULL,'NAZARÉ','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2140489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,202,211,'CENTRO','MATELANDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2140497,1.00,7.00,2.00,5.00,8.00,6.00,4.00,8.00,1.00,238,NULL,208,'MONTE BELO','JOACABA','SC',12675,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2140500,6.00,7.00,7.00,8.00,8.00,7.50,8.00,8.00,5.00,303,331,NULL,'CAMPINAS','SAO JOSE','SC',1344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140519,2.00,8.00,2.00,1.00,3.00,5.00,4.00,4.00,4.00,208,NULL,NULL,'CENTRO','SAO JOAQUIM','SC',19469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140527,5.00,8.00,7.00,9.00,9.00,5.50,6.00,8.00,4.00,301,326,NULL,'CENTRO','FLORIANOPOLIS','SC',1609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140535,4.00,6.00,3.00,6.00,8.00,5.25,6.00,5.00,4.00,103,102,NULL,'BELA VISTA','SAO JOSE','SC',10647,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2140543,5.00,6.00,8.00,6.00,8.00,4.75,7.00,4.00,6.00,9,319,NULL,'CENTRO','FLORIANOPOLIS','SC',5804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140551,3.00,3.00,6.00,6.00,7.00,4.00,6.00,4.00,4.00,201,203,202,'CENTRAL','GOIANIA','GO',12389,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2140560,6.00,6.00,6.00,8.00,8.00,6.50,7.00,7.00,5.00,108,333,NULL,'RIO MAINA','CRICIUMA','SC',3233,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2140578,6.00,9.00,6.00,9.00,9.00,7.00,8.00,6.00,5.00,207,420,NULL,'SANTINHO','FLORIANOPOLIS','SC',1436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140586,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,303,326,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(15,2140594,4.00,8.00,3.00,2.00,6.00,6.00,4.00,4.00,4.00,415,444,NULL,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140616,6.00,7.00,4.00,9.00,5.00,4.00,8.00,7.00,5.00,207,108,211,'PONTA AGUDA','BLUMENAU','SC',4821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140624,4.00,8.00,5.00,7.00,8.00,6.00,5.00,5.00,3.00,104,301,NULL,'CENTRO','BIGUACU','SC',7045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2140632,2.00,4.00,3.00,5.00,7.00,6.25,2.00,5.00,2.00,103,104,NULL,'SÃO CAETANO','CAXIAS DO SUL','RS',17170,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2140640,3.00,7.00,3.00,7.00,7.00,4.75,4.00,8.00,2.00,238,316,203,'VILA NOVA','IMBITUBA','SC',10553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,319,NULL,'CENTRO','CORNELIO PROCOPIO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2140667,3.00,9.00,3.00,5.00,8.00,5.75,5.00,7.00,2.00,103,328,NULL,'IPIRANGA','SAO JOSE','SC',9359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140675,1.00,4.00,3.00,2.00,4.00,3.25,4.00,3.00,2.00,202,216,203,'ZONA DOIS','CIANORTE','PR',21977,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2140683,2.00,7.00,4.00,6.00,4.00,4.00,2.00,5.00,1.00,202,316,213,'CENTRO','RIO NEGRINHO','SC',18305,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2140691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,216,201,'JD SÃO PAULO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2140705,4.00,4.00,2.00,3.00,7.00,5.25,7.00,5.00,3.00,207,212,201,'CORAL','LAGES','SC',14666,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2140713,8.00,8.00,8.00,7.00,7.00,7.75,8.00,6.00,6.00,103,104,NULL,'CENTRO','JOINVILLE','SC',1286,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2140721,3.00,5.00,1.00,1.00,6.00,5.50,3.00,4.00,3.00,316,301,NULL,'BARREIROS','SAO JOSE','SC',19799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140730,4.00,5.00,6.00,7.00,8.00,5.00,5.00,4.00,5.00,238,224,233,'KOBRASOL','SAO JOSE','SC',8621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2140748,6.00,7.00,3.00,8.00,8.00,7.50,4.00,5.00,5.00,303,332,NULL,'CAMPECHE','FLORIANOPOLIS','SC',5283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2140756,4.00,9.00,7.00,2.00,7.00,5.25,7.00,7.00,5.00,203,201,214,'CENTRO','LUZERNA','SC',5084,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2140764,5.00,6.00,2.00,6.00,7.00,5.25,4.00,3.00,3.00,102,217,NULL,'JARDIM MARCHISSOLO','SUMARE','SP',13484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140772,1.00,6.00,3.00,5.00,6.00,5.00,4.00,7.00,3.00,415,316,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',14376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140780,1.00,4.00,0.00,1.00,0.00,NULL,2.00,3.00,2.00,501,9,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140802,4.00,5.00,3.00,2.00,3.00,4.25,4.00,4.00,2.00,238,316,208,'CENTRO','FLORIANOPOLIS','SC',19608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140810,2.00,5.00,1.00,6.00,7.00,6.50,4.00,4.00,2.00,101,308,NULL,'STO ANT DE LISBOA','FLORIANOPOLIS','SC',17224,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2140829,3.00,6.00,6.00,4.00,7.00,5.00,5.00,6.00,3.00,103,101,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',11393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140837,3.00,7.00,2.00,3.00,6.00,5.25,5.00,6.00,4.00,319,108,NULL,'MENINO DEUS','PATO BRANCO','PR',13506,253,792,NULL,NULL,NULL,NULL,4,1),(15,2140853,7.00,8.00,6.00,6.00,8.00,7.00,6.00,6.00,2.00,211,5,216,'CENTRO','ARARANGUA','SC',4550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140861,7.00,9.00,9.00,9.00,10.00,7.25,9.00,7.00,9.00,103,328,NULL,'CENTRO','FLORIANOPOLIS','SC',25,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140870,2.00,4.00,4.00,1.00,5.00,4.25,3.00,4.00,4.00,201,222,208,'CENTRO','FLORIANOPOLIS','SC',19052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140888,4.00,3.00,5.00,6.00,5.00,4.00,6.00,4.00,3.00,9,404,NULL,'CIDADEUNIVERSITARIA','CAMPINAS','SP',13569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140896,4.00,8.00,6.00,7.00,8.00,5.00,6.00,6.00,4.00,5,303,NULL,'ALTO DA BOA VISTA','AVARE','SP',5203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140900,5.00,7.00,5.00,5.00,6.00,6.25,7.00,7.00,4.00,215,NULL,208,'BRABÂNCIA','AVARE','SP',5806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140918,2.00,4.00,1.00,1.00,2.00,NULL,1.00,2.00,1.00,333,NULL,NULL,'PINHEIRO','PRESIDENTE GETULIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2140934,0.00,3.00,3.00,7.00,5.00,4.25,2.00,4.00,3.00,203,220,214,'JARDIM EUROPA','ASSIS','SP',19442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2140942,7.00,8.00,5.00,6.00,8.00,7.00,9.00,6.00,5.00,333,108,NULL,'URUSSANGUINHA','ARARANGUA','SC',2484,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2140950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2140969,3.00,6.00,3.00,2.00,4.00,7.50,4.00,2.00,1.00,319,444,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',19205,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2140977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,501,NULL,'ITAPEVA','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2140985,3.00,8.00,4.00,6.00,8.00,5.50,4.00,6.00,3.00,326,424,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',9670,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2140993,6.00,8.00,6.00,9.00,9.00,8.00,5.00,7.00,3.00,102,108,NULL,'VILA ALEMANHA','LUZERNA','SC',1969,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2141019,2.00,5.00,2.00,4.00,5.00,6.25,3.00,5.00,3.00,103,207,NULL,'CRUZEIRO DO SUL','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2141027,4.00,4.00,1.00,5.00,6.00,5.25,3.00,6.00,1.00,501,331,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',17761,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2141035,8.00,8.00,3.00,7.00,8.00,5.00,6.00,7.00,6.00,333,234,NULL,'JD ESPLANADA','SAO JOSE DOS CAMPOS','SP',3717,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2141043,2.00,3.00,2.00,4.00,3.00,4.75,2.00,3.00,2.00,211,301,215,'KOBRASOL','URUBICI','SC',22491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2141051,1.00,6.00,0.00,4.00,8.00,5.25,4.00,6.00,2.00,308,324,NULL,'CENTRO','FLORIANOPOLIS','SC',17724,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2141060,4.00,5.00,5.00,6.00,8.00,3.00,6.00,4.00,3.00,203,202,201,'JARDIM ITALIA','MELEIRO','SC',12024,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2141078,2.00,5.00,3.00,4.00,5.00,5.25,4.00,3.00,2.00,404,333,NULL,'FLORESTA','SAO JOSE','SC',19559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141086,5.00,7.00,3.00,5.00,5.00,1.50,6.00,6.00,5.00,217,102,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2141108,3.00,6.00,3.00,4.00,4.00,4.75,5.00,7.00,3.00,5,303,NULL,'CENTRO','MARINGA','PR',13914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141124,6.00,7.00,4.00,6.00,7.00,6.00,7.00,4.00,4.00,104,339,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',7144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141132,2.00,5.00,4.00,7.00,5.00,4.50,3.00,7.00,3.00,104,103,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141140,2.00,6.00,1.00,6.00,4.00,5.00,5.00,5.00,2.00,108,425,NULL,'CENTRO','IBIRAMA','SC',17774,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2141159,6.00,6.00,2.00,7.00,5.00,5.50,4.00,5.00,4.00,108,339,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141167,6.00,8.00,9.00,4.00,7.00,6.50,6.00,6.00,6.00,501,NULL,NULL,'CENTRO','JACINTO MACHADO','SC',3208,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2141175,5.00,7.00,6.00,6.00,8.00,5.50,5.00,4.00,2.00,308,309,NULL,'PANTANAL','FLORIANOPOLIS','SC',9237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2141183,4.00,4.00,5.00,4.00,5.00,3.50,6.00,5.00,4.00,201,214,212,'JARDIM PAULISTA','ATIBAIA','SP',14077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,333,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2141205,4.00,6.00,6.00,6.00,6.00,5.25,7.00,7.00,2.00,207,208,203,'CAMAÇARI','CATU DE ABRANTES','BA',7856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141213,0.00,7.00,2.00,7.00,8.00,5.50,4.00,4.00,2.00,238,211,208,'VILA MOEMA','TUBARAO','SC',13953,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2141221,4.00,7.00,3.00,6.00,7.00,4.00,5.00,5.00,2.00,501,332,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',11429,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141230,0.00,5.00,4.00,4.00,5.00,6.00,2.00,3.00,3.00,201,102,NULL,'SÃO FRANCISCO','BENTO GONCALVES','RS',19835,1042,1088,NULL,NULL,NULL,NULL,4,9),(15,2141248,6.00,8.00,7.00,6.00,7.00,6.50,8.00,5.00,5.00,203,233,215,'CIDADE JARDIM','CAMPO GRANDE','MS',3720,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2141256,3.00,5.00,3.00,5.00,5.00,5.00,5.00,4.00,2.00,216,102,215,'SANTA CATARINA','BIGUACU','SC',15928,457,969,321,NULL,NULL,NULL,2,1),(15,2141264,6.00,8.00,8.00,6.00,8.00,6.50,6.00,5.00,4.00,214,301,212,'PRAIA DA COSTA','VILA VELHA','ES',3590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141272,4.00,4.00,3.00,2.00,6.00,6.75,2.00,5.00,3.00,415,319,NULL,'CENTRO','CACADOR','SC',17625,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2141280,3.00,6.00,2.00,8.00,6.00,6.75,6.00,5.00,1.00,220,415,203,'RIO PONTE ALTA','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141299,7.00,9.00,8.00,5.00,9.00,7.00,8.00,7.00,8.00,203,224,233,'ESTREITO','FLORIANOPOLIS','SC',739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141302,3.00,7.00,2.00,4.00,7.00,5.00,2.00,3.00,3.00,217,308,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',17942,165,385,NULL,NULL,NULL,NULL,2,1),(15,2141310,7.00,7.00,9.00,7.00,7.00,6.75,9.00,8.00,6.00,303,9,NULL,'ITACORUBI','FLORIANOPOLIS','SC',893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141337,3.00,6.00,4.00,3.00,3.00,7.50,3.00,7.00,1.00,425,415,423,'CENTRO','FLORIANOPOLIS','SC',14557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141353,3.00,8.00,3.00,4.00,6.00,6.25,3.00,6.00,5.00,316,317,NULL,'SERRARIAS','SAO JOSE','SC',12073,315,525,NULL,NULL,NULL,NULL,2,1),(15,2141361,4.00,7.00,1.00,4.00,8.00,7.00,5.00,6.00,4.00,450,216,NULL,'ESCOLINHA','JOINVILLE','SC',10491,110,735,NULL,NULL,NULL,NULL,4,8),(15,2141370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2141388,4.00,6.00,6.00,6.00,6.00,4.50,8.00,3.00,3.00,203,333,216,'SANTO ANTÔNIO','JOINVILLE','SC',9327,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2141396,1.00,5.00,1.00,4.00,7.00,3.75,2.00,3.00,2.00,216,217,201,'SAGUAÇU','JOINVILLE','SC',20597,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2141400,4.00,7.00,6.00,6.00,8.00,6.50,5.00,5.00,4.00,502,9,NULL,'JARDIM PAULISTA','ATIBAIA','SP',7487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141418,2.00,3.00,1.00,2.00,4.00,NULL,4.00,3.00,2.00,316,101,NULL,'SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2141426,5.00,6.00,1.00,5.00,7.00,4.00,2.00,5.00,2.00,104,502,NULL,'RIO GRANDE','PALHOCA','SC',16853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2141434,4.00,7.00,4.00,10.00,8.00,6.50,7.00,8.00,5.00,320,310,NULL,'TRINDADE','FLORIANOPOLIS','SC',3204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141442,2.00,6.00,1.00,5.00,4.00,6.00,1.00,3.00,2.00,424,329,421,'RIO CAVEIRAS','BIGUACU','SC',20147,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2141450,2.00,6.00,3.00,4.00,8.00,6.50,5.00,4.00,4.00,303,415,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',11999,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2141469,8.00,9.00,8.00,8.00,9.00,6.25,9.00,8.00,9.00,203,223,214,'AGRONOMICA','FLORIANOPOLIS','SC',103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,215,NULL,'ZONA NOVA','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2141493,6.00,8.00,7.00,4.00,7.00,5.00,8.00,8.00,6.00,2,203,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',3181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141515,1.00,3.00,1.00,0.00,2.00,NULL,2.00,1.00,1.00,415,420,NULL,'CENTRO','SAO MIGUEL DO IGUACU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141523,6.00,9.00,6.00,7.00,7.00,6.00,7.00,7.00,5.00,104,217,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',3964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141540,8.00,8.00,5.00,4.00,8.00,6.50,6.00,6.00,7.00,103,104,NULL,'CENTRO','CURITIBA','PR',3474,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2141558,4.00,4.00,2.00,1.00,6.00,NULL,0.00,2.00,2.00,103,102,NULL,'VILA ROSA','ITAPETININGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,201,NULL,'SETOR BUENO','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2141574,3.00,4.00,2.00,3.00,7.00,6.75,6.00,7.00,3.00,331,332,NULL,'GRANJA VIANNA','COTIA','SP',13672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141590,5.00,7.00,3.00,4.00,5.00,3.75,4.00,7.00,4.00,317,222,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',12042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141604,4.00,8.00,5.00,6.00,5.00,6.50,4.00,5.00,4.00,450,326,NULL,'CENTRO','NOVA TRENTO','SC',8285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141620,4.00,5.00,1.00,3.00,5.00,5.25,3.00,5.00,0.00,9,327,NULL,'ESTREITO','FLORIANOPOLIS','SC',20774,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2141639,1.00,5.00,3.00,4.00,6.00,5.50,4.00,4.00,2.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',18138,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2141647,2.00,5.00,3.00,8.00,8.00,5.25,6.00,4.00,4.00,225,2,NULL,'PRESIDENTE MÉDICE','CHAPECO','SC',9803,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2141655,3.00,7.00,5.00,5.00,6.00,7.00,6.00,5.00,4.00,216,201,NULL,'PANAZOLLO','CAXIAS DO SUL','RS',9152,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2141663,2.00,7.00,7.00,9.00,7.00,6.00,6.00,5.00,5.00,212,404,213,'PORTAL DAS VIDEIRAS','VIDEIRA','SC',5438,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2141671,0.00,3.00,1.00,5.00,4.00,4.75,3.00,3.00,1.00,501,324,NULL,'CENTRO','FLORIANOPOLIS','SC',22328,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2141698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'CENTRO','CAMPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2141701,2.00,7.00,1.00,2.00,5.00,4.00,3.00,7.00,2.00,220,301,201,'CENTRO','FLORIANOPOLIS','SC',19934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141710,2.00,6.00,1.00,5.00,5.00,5.75,5.00,1.00,2.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',19435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141728,3.00,5.00,5.00,4.00,5.00,5.00,4.00,7.00,1.00,201,203,212,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2141736,0.00,2.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,319,420,NULL,'FLORIANÓPOLIS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2141744,9.00,7.00,9.00,8.00,8.00,5.50,8.00,6.00,8.00,103,104,NULL,'BIGORRILHO','CURITIBA','PR',695,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2141752,4.00,6.00,3.00,5.00,4.00,4.00,2.00,5.00,4.00,211,108,NULL,'JARDIM EUROPA','ITAPEVA','SP',16687,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2141760,3.00,8.00,5.00,7.00,9.00,6.75,7.00,6.00,5.00,5,450,NULL,'TRINDADE','FLORIANOPOLIS','SC',4575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141779,4.00,6.00,5.00,3.00,6.00,5.00,4.00,5.00,3.00,308,309,NULL,'CARIANOS','FLORIANOPOLIS','SC',12600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141787,3.00,9.00,6.00,9.00,8.00,5.25,6.00,6.00,3.00,207,319,NULL,'JARDIM DOS ESTADOS','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141795,5.00,8.00,7.00,9.00,9.00,6.25,7.00,7.00,5.00,201,223,211,'ANITA GARIBALDI','JOINVILLE','SC',1379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141809,5.00,6.00,5.00,8.00,3.00,6.25,7.00,6.00,3.00,203,220,212,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141817,5.00,7.00,7.00,6.00,7.00,5.25,8.00,6.00,6.00,301,331,NULL,'INGLESES','FLORIANOPOLIS','SC',4162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141825,3.00,5.00,4.00,5.00,6.00,7.00,5.00,5.00,3.00,208,301,220,'GARCIA','BLUMENAU','SC',12054,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2141833,5.00,8.00,5.00,6.00,6.00,7.50,8.00,8.00,4.00,103,202,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',3445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141841,6.00,8.00,5.00,7.00,8.00,6.75,6.00,8.00,3.00,326,327,NULL,'CENTRO','CRICIUMA','SC',4357,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2141868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,329,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2141876,0.00,6.00,3.00,5.00,6.00,NULL,3.00,5.00,3.00,208,420,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141884,5.00,8.00,2.00,6.00,7.00,6.50,6.00,7.00,2.00,333,108,NULL,'MEDIANEIRA','PORTO ALEGRE','RS',7377,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2141906,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,104,NULL,'JARDIM HELENA','TABOAO DA SERRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2141914,3.00,3.00,5.00,5.00,6.00,6.25,5.00,4.00,3.00,207,220,208,'COMERCIÁRIO','CRICIUMA','SC',14712,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2141922,1.00,3.00,3.00,0.00,4.00,6.50,3.00,4.00,3.00,103,101,NULL,'CENTRO','BALNEARIO BARRA DO SUL','SC',21761,3087,775,NULL,NULL,NULL,NULL,4,8),(15,2141930,6.00,9.00,9.00,6.00,9.00,7.00,9.00,8.00,7.00,103,207,NULL,'CENTRO','FLORIANOPOLIS','SC',502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141957,4.00,5.00,7.00,9.00,8.00,5.75,5.00,4.00,2.00,103,102,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2141965,2.00,4.00,1.00,5.00,2.00,NULL,6.00,7.00,0.00,222,238,NULL,'SÃO JOÃO','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2141973,1.00,4.00,2.00,6.00,3.00,6.75,3.00,3.00,3.00,444,NULL,NULL,'BARRA SUL','BALNEARIO CAMBORIU','SC',19843,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2141981,2.00,4.00,1.00,0.00,3.00,NULL,2.00,4.00,3.00,203,201,NULL,'BORTOLON','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2141990,5.00,8.00,5.00,3.00,8.00,5.75,5.00,4.00,6.00,104,NULL,NULL,'MONTE CASTELO','CAMPO GRANDE','MS',7704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,207,NULL,'ASA SUL','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2142015,2.00,4.00,4.00,1.00,6.00,0.00,4.00,3.00,6.00,404,101,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142023,2.00,9.00,6.00,7.00,9.00,6.00,7.00,6.00,7.00,238,339,208,'CAMPINAS','SAO JOSE','SC',2907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142031,3.00,6.00,6.00,5.00,5.00,4.50,5.00,5.00,3.00,214,233,203,'CENTRO','ARAGUARI','MG',12058,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2142040,4.00,6.00,0.00,2.00,6.00,6.75,3.00,4.00,1.00,101,102,NULL,'BARREIROS','SAO JOSE','SC',19956,268,1090,NULL,NULL,NULL,NULL,4,1),(15,2142058,3.00,3.00,2.00,3.00,6.00,4.50,3.00,4.00,1.00,319,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142066,0.00,2.00,0.00,4.00,5.00,NULL,1.00,0.00,1.00,308,319,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2142074,4.00,7.00,3.00,6.00,4.00,4.50,4.00,3.00,2.00,420,303,NULL,'CENTRO','PASSO FUNDO','RS',15487,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2142082,9.00,7.00,9.00,9.00,9.00,3.75,8.00,5.00,6.00,220,302,233,'CAPOEIRAS','FLORIANOPOLIS','SC',1150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142090,6.00,8.00,3.00,7.00,8.00,7.00,5.00,8.00,4.00,238,316,212,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',3480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142104,4.00,6.00,2.00,1.00,4.00,3.50,2.00,5.00,2.00,339,224,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',21001,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2142112,7.00,9.00,8.00,7.00,8.00,7.75,8.00,8.00,6.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142120,4.00,6.00,4.00,6.00,7.00,5.25,4.00,6.00,4.00,420,238,NULL,'GLÓRIA','VACARIA','RS',9306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142139,6.00,8.00,9.00,7.00,7.00,5.50,9.00,5.00,4.00,203,2,202,'CENTRO','FLORIANOPOLIS','SC',2769,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2142147,6.00,7.00,5.00,5.00,8.00,6.50,6.00,8.00,7.00,103,319,NULL,'PARQUE DA MOOCA','SAO PAULO','SP',2570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,317,NULL,'JURERE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2142163,5.00,9.00,4.00,8.00,8.00,7.75,7.00,8.00,3.00,103,214,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',2670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142171,0.00,4.00,4.00,3.00,3.00,NULL,2.00,2.00,3.00,415,450,NULL,'SÃO CRISTOVÃO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2142180,2.00,5.00,2.00,2.00,4.00,5.00,4.00,3.00,3.00,207,420,238,'COLONIA SANTANA','SAO JOSE','SC',20905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142198,7.00,8.00,9.00,6.00,7.00,7.25,7.00,5.00,6.00,233,217,216,'SANTA MONICA','FLORIANOPOLIS','SC',1756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142201,3.00,7.00,2.00,5.00,7.00,5.50,4.00,7.00,5.00,316,318,NULL,'FLORESTA','JOINVILLE','SC',10151,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2142210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'PRAIA JOÃO ROSA','BIGUACU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2142228,6.00,7.00,6.00,7.00,6.00,4.75,6.00,5.00,4.00,5,426,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',6764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2142236,6.00,6.00,6.00,6.00,7.00,3.50,6.00,6.00,6.00,208,233,238,'JD BOA VISTA','PRESIDENTE PRUDENTE','SP',6040,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2142244,2.00,4.00,5.00,2.00,5.00,6.00,3.00,4.00,2.00,415,301,NULL,'SJ RIO VERMELHO','FLORIANOPOLIS','SC',19543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142252,6.00,7.00,6.00,6.00,8.00,7.75,6.00,7.00,6.00,207,316,NULL,'VILA NOVA','BLUMENAU','SC',2603,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2142279,2.00,6.00,2.00,3.00,6.00,5.75,3.00,7.00,4.00,317,425,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',15176,237,349,NULL,NULL,NULL,NULL,4,1),(15,2142287,4.00,5.00,3.00,5.00,4.00,6.75,5.00,3.00,2.00,103,104,NULL,'SERTÃO DOS CORRÊAS','TUBARAO','SC',16641,2771,1178,NULL,NULL,NULL,NULL,2,10),(15,2142295,3.00,3.00,5.00,3.00,6.00,6.50,6.00,3.00,4.00,103,308,NULL,'CENTRO','FLORIANOPOLIS','SC',15293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142309,3.00,6.00,3.00,4.00,4.00,5.25,3.00,6.00,2.00,102,9,NULL,'SÃO SEBASTIÃO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2142317,4.00,5.00,3.00,9.00,6.00,6.25,4.00,3.00,6.00,215,415,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2142325,3.00,6.00,2.00,3.00,2.00,NULL,2.00,5.00,1.00,324,318,NULL,'CENTRO','SANTA CRUZ DO SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2142333,2.00,4.00,1.00,1.00,3.00,5.75,2.00,4.00,4.00,207,201,NULL,'CAMPINAS','SAO JOSE','SC',22194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142341,4.00,4.00,5.00,8.00,8.00,3.00,6.00,4.00,3.00,319,9,NULL,'CENTRO','FLORIANOPOLIS','SC',9771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2142350,4.00,3.00,0.00,4.00,3.00,NULL,1.00,1.00,2.00,102,319,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2142384,6.00,8.00,6.00,7.00,7.00,6.25,4.00,9.00,6.00,420,316,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',3041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142392,5.00,4.00,5.00,8.00,8.00,4.75,6.00,6.00,3.00,203,201,216,'VELHA','BLUMENAU','SC',7192,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2142406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,5,425,'CENTRO','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2142414,1.00,5.00,2.00,9.00,6.00,4.75,5.00,5.00,3.00,415,310,NULL,'SANTA MARIA','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,4),(15,2142422,2.00,7.00,5.00,1.00,4.00,3.50,5.00,4.00,0.00,302,301,NULL,'GUIOMAR','FLORIANOPOLIS','SC',20796,183,831,NULL,NULL,NULL,NULL,4,1),(15,2142430,1.00,6.00,4.00,5.00,6.00,3.50,3.00,6.00,2.00,501,302,NULL,'BARREIROS','SAO JOSE','SC',18060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2142449,6.00,8.00,9.00,7.00,9.00,4.25,8.00,7.00,4.00,220,317,208,'CAPOEIRAS','FLORIANOPOLIS','SC',2092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142457,0.00,4.00,1.00,1.00,2.00,NULL,2.00,2.00,0.00,316,301,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2142465,5.00,8.00,8.00,6.00,9.00,5.25,8.00,8.00,5.00,203,444,211,'CENTRO','FLORIANOPOLIS','SC',2173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142473,5.00,6.00,5.00,7.00,7.00,7.50,6.00,6.00,4.00,327,326,NULL,'CENTRO','TAUBATE','SP',4841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142490,4.00,7.00,6.00,6.00,7.00,7.00,6.00,8.00,4.00,103,333,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2142503,1.00,0.00,1.00,1.00,4.00,NULL,2.00,1.00,1.00,308,319,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2142511,8.00,9.00,9.00,9.00,9.00,6.00,9.00,8.00,5.00,103,425,NULL,'ITACORUBI','FLORIANOPOLIS','SC',219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'TATUAPÉ','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2142538,5.00,9.00,5.00,8.00,9.00,8.00,7.00,7.00,5.00,302,317,NULL,'CENTRO','FLORIANOPOLIS','SC',2465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142546,2.00,7.00,0.00,8.00,7.00,6.75,6.00,6.00,3.00,211,502,216,'RIBEIRÃO CLARO','POMERODE','SC',10552,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2142554,4.00,6.00,3.00,6.00,8.00,5.75,6.00,4.00,5.00,103,108,NULL,'CENTRO','CHAPECO','SC',9392,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2142562,4.00,7.00,5.00,6.00,9.00,5.75,5.00,6.00,5.00,319,302,NULL,'VICTOR KONDER','BLUMENAU','SC',7791,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2142570,4.00,7.00,7.00,6.00,9.00,5.50,7.00,6.00,5.00,203,208,201,'CENTRO','TIJUCAS','SC',5259,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2142589,6.00,9.00,9.00,6.00,8.00,6.25,8.00,8.00,5.00,326,328,NULL,'ESTREITO','FLORIANOPOLIS','SC',1810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142597,3.00,6.00,4.00,7.00,8.00,5.50,5.00,5.00,3.00,317,327,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',10394,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2142600,5.00,7.00,7.00,4.00,9.00,6.00,5.00,7.00,4.00,216,215,201,'VELHA','BLUMENAU','SC',5893,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2142619,5.00,7.00,3.00,5.00,8.00,6.50,6.00,8.00,5.00,103,319,NULL,'PROFIPO','JOINVILLE','SC',5661,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2142627,2.00,3.00,5.00,3.00,5.00,4.50,5.00,3.00,5.00,444,404,NULL,'JURERE','FLORIANOPOLIS','SC',16951,176,410,NULL,NULL,NULL,NULL,4,1),(15,2142635,5.00,8.00,8.00,6.00,9.00,5.75,8.00,6.00,5.00,214,211,233,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',2859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142643,4.00,6.00,7.00,4.00,5.00,4.00,7.00,3.00,3.00,203,202,220,'CORREGO GRANDE','FLORIANOPOLIS','SC',12103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142651,5.00,7.00,8.00,7.00,8.00,6.00,6.00,7.00,5.00,207,102,211,'CAPOEIRAS','FLORIANOPOLIS','SC',3045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2142660,1.00,4.00,2.00,3.00,4.00,NULL,2.00,2.00,1.00,451,404,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2142678,5.00,7.00,7.00,6.00,7.00,5.25,6.00,6.00,5.00,211,5,208,'VELHA','BLUMENAU','SC',5957,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2142686,6.00,8.00,6.00,5.00,7.00,5.00,6.00,6.00,5.00,208,203,NULL,'FAZENDA','ITAJAI','SC',5536,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2142694,4.00,8.00,5.00,1.00,5.00,3.75,3.00,3.00,3.00,423,421,427,'PRAIA COMPRIDA','SAO JOSE','SC',17269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142708,2.00,5.00,5.00,4.00,7.00,5.00,5.00,6.00,3.00,404,427,NULL,'BARREIROS','SAO JOSE','SC',12494,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2142716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,102,216,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2142724,6.00,9.00,8.00,8.00,8.00,5.75,8.00,9.00,7.00,304,303,NULL,'JD BRASILIA','SAO PAULO','SP',503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,501,NULL,'EXPOSIÇÃO','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2142767,4.00,6.00,5.00,4.00,7.00,4.75,7.00,5.00,4.00,103,NULL,NULL,'JD CASTELINHO','SAO JOSE DO RIO PRETO','SP',8820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142775,7.00,8.00,8.00,7.00,9.00,6.00,9.00,5.00,7.00,103,216,NULL,'CPOS DE STO ANTONIO','ITU','SP',1462,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2142783,7.00,9.00,8.00,7.00,8.00,7.50,7.00,7.00,7.00,103,104,NULL,'BOQUEIRÃO','PRAIA GRANDE','SP',1053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142791,3.00,7.00,4.00,7.00,5.00,6.50,3.00,6.00,1.00,208,301,238,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142813,6.00,5.00,4.00,4.00,8.00,4.00,3.00,5.00,2.00,104,101,NULL,'CENTRO','CRICIUMA','SC',12612,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2142848,5.00,8.00,4.00,6.00,7.00,5.00,6.00,6.00,6.00,316,318,NULL,'VILA DALVA','SAO PAULO','SP',6797,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2142856,2.00,7.00,2.00,3.00,8.00,5.75,2.00,6.00,2.00,101,308,NULL,'SERRARIA','SAO JOSE','SC',16891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2142864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,309,NULL,'MEDIANEIRA','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2142872,3.00,6.00,1.00,3.00,5.00,5.50,0.00,4.00,1.00,316,5,NULL,'FAZENDA SANTO ANTONI','SAO JOSE','SC',20125,610,1318,NULL,NULL,NULL,NULL,2,1),(15,2142880,3.00,5.00,3.00,5.00,8.00,5.50,6.00,5.00,4.00,108,101,NULL,'BELA VISTA II','SAO JOSE','SC',11239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2142899,1.00,3.00,2.00,0.00,5.00,NULL,4.00,2.00,3.00,208,420,207,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'COIMBRA','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2142910,0.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,103,208,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(15,2142929,3.00,7.00,5.00,7.00,4.00,5.50,6.00,7.00,4.00,333,NULL,NULL,'VILA LISBOA','SAO PAULO','SP',8288,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2142937,6.00,8.00,8.00,8.00,7.00,7.00,7.00,7.00,7.00,203,214,220,'SÃO JOÃO','ITAJAI','SC',1403,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2142945,5.00,6.00,9.00,8.00,9.00,7.50,5.00,6.00,4.00,214,203,220,'ALTOS DA BELA VISTA','INDAIATUBA','SP',3378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2142953,3.00,6.00,6.00,6.00,6.00,8.00,4.00,4.00,5.00,216,222,202,'SETE DE SETEMBRO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2142961,8.00,8.00,8.00,9.00,8.00,5.75,9.00,6.00,5.00,103,319,NULL,'ALTO DE MAFRA','MAFRA','SC',668,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2142970,0.00,4.00,3.00,6.00,3.00,4.75,4.00,2.00,3.00,203,214,208,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',21386,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2142996,7.00,6.00,8.00,5.00,7.00,6.00,8.00,8.00,5.00,103,101,NULL,'ITACORUBI','FLORIANOPOLIS','SC',3075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143003,5.00,9.00,8.00,8.00,8.00,7.00,8.00,7.00,5.00,415,428,NULL,'CENTRO','FLORIANOPOLIS','SC',1558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143011,5.00,7.00,6.00,7.00,8.00,6.75,8.00,7.00,7.00,103,NULL,NULL,'JARDIM AEROPORTO','SAO PAULO','SP',2020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,208,NULL,'CENTRO','NOVA AURORA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2143038,5.00,6.00,5.00,9.00,9.00,6.25,5.00,6.00,5.00,203,214,201,'CAMPINAS','SAO JOSE','SC',5276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143046,2.00,3.00,3.00,6.00,6.00,4.75,2.00,3.00,4.00,319,424,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',19818,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2143054,7.00,7.00,6.00,3.00,8.00,6.00,5.00,7.00,2.00,331,324,NULL,'PANTANAL','FLORIANOPOLIS','SC',5606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143062,3.00,3.00,3.00,5.00,5.00,6.00,2.00,3.00,4.00,208,428,NULL,'FORQUILHINHAS','SAO JOSE','SC',18842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2143070,0.00,4.00,2.00,1.00,6.00,NULL,1.00,4.00,2.00,103,NULL,NULL,'SORGATTO','CACADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2143089,4.00,8.00,6.00,3.00,7.00,4.75,8.00,7.00,7.00,102,217,NULL,'SÃO CRISTOVÃO','UMUARAMA','PR',5305,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2143097,2.00,8.00,2.00,8.00,9.00,6.00,6.00,6.00,4.00,207,420,201,'SANTA INÊS II','SAO JOSE DOS CAMPOS','SP',5992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143119,0.00,2.00,3.00,5.00,5.00,3.50,4.00,5.00,4.00,415,316,NULL,'CENTRO','ITAPEVA','SP',19914,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2143135,5.00,8.00,1.00,7.00,7.00,6.00,4.00,8.00,4.00,303,5,NULL,'DAS NAÇÕES','INDAIAL','SC',7376,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2143143,4.00,8.00,6.00,9.00,6.00,5.50,6.00,6.00,5.00,233,211,213,'CENTRO','CARAZINHO','RS',5264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143151,5.00,6.00,1.00,4.00,5.00,3.50,3.00,5.00,4.00,303,501,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',17958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143160,2.00,5.00,1.00,5.00,6.00,4.75,1.00,2.00,3.00,103,302,NULL,'ATIRADORES','JOINVILLE','SC',21072,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2143178,8.00,6.00,8.00,6.00,7.00,7.50,9.00,6.00,7.00,103,211,NULL,'VILAS BOAS','CAMPO GRANDE','MS',997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143186,2.00,5.00,4.00,0.00,6.00,NULL,5.00,4.00,3.00,302,304,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'JARDIM CAMBURI','VITORIA','ES',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2143216,3.00,7.00,4.00,4.00,7.00,4.75,6.00,3.00,5.00,207,208,216,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,104,NULL,'CIDADE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2143232,3.00,5.00,1.00,5.00,5.00,3.00,2.00,5.00,1.00,310,309,NULL,'ÁGUAS CLARAS','TAGUATINGA','DF',18601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143240,2.00,6.00,2.00,4.00,4.00,3.00,1.00,3.00,1.00,316,329,NULL,'SÃO JOSÉ','SAO JOSE','SC',22358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143259,5.00,9.00,7.00,7.00,7.00,7.00,9.00,8.00,8.00,103,303,NULL,'VILA ISABEL','CURITIBA','PR',988,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2143267,5.00,9.00,6.00,8.00,7.00,6.00,8.00,7.00,6.00,104,5,NULL,'CENTRO','FLORIANOPOLIS','SC',1658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143275,5.00,7.00,5.00,6.00,8.00,7.50,7.00,6.00,5.00,103,333,NULL,'FLORESTA','JOINVILLE','SC',3467,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2143283,7.00,7.00,8.00,4.00,6.00,5.50,8.00,7.00,7.00,214,201,212,'FAZENDINHA','CARAPICUIBA','SP',3330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143291,6.00,7.00,6.00,5.00,8.00,4.50,7.00,7.00,6.00,103,101,NULL,'GLORIA','JOINVILLE','SC',4331,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2143330,1.00,4.00,0.00,2.00,6.00,NULL,2.00,5.00,1.00,5,450,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2143356,4.00,5.00,6.00,7.00,7.00,6.25,6.00,4.00,4.00,238,420,208,'CENTRO','FRAIBURGO','SC',7364,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2143372,3.00,5.00,4.00,2.00,4.00,5.50,4.00,2.00,1.00,201,333,211,'SANTA TEREZA','JOACABA','SC',19011,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2143380,2.00,7.00,3.00,4.00,8.00,6.50,4.00,4.00,3.00,332,320,NULL,'CENTRO','FLORIANOPOLIS','SC',13315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143402,3.00,6.00,3.00,6.00,8.00,6.00,4.00,3.00,3.00,101,108,NULL,'CORDEIROS','ITAJAI','SC',12219,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2143410,4.00,6.00,3.00,5.00,7.00,5.50,4.00,5.00,1.00,404,327,NULL,'BAL ESTREITO','FLORIANOPOLIS','SC',13350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143429,1.00,4.00,1.00,3.00,5.00,3.75,3.00,3.00,5.00,104,333,NULL,'SÃO CRISTÓVÃO','PASSO FUNDO','RS',21279,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2143437,4.00,6.00,4.00,2.00,8.00,4.00,6.00,6.00,3.00,202,223,NULL,'PRAIA JOAO ROSA','BIGUACU','SC',13127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143445,1.00,7.00,4.00,4.00,8.00,5.75,7.00,6.00,3.00,404,327,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',9053,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2143453,3.00,5.00,2.00,3.00,4.00,4.50,0.00,2.00,2.00,9,444,NULL,'CENTRO','SAO JOAQUIM','SC',22389,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2143461,3.00,6.00,5.00,7.00,9.00,7.00,6.00,7.00,4.00,103,108,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',4543,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2143488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'BELA VISTA','LAURO MULLER','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2143496,4.00,6.00,5.00,4.00,7.00,5.75,6.00,6.00,3.00,208,329,238,'CENTRO','PALHOCA','SC',9746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143500,3.00,5.00,3.00,3.00,7.00,6.00,5.00,5.00,1.00,329,423,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',15409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143518,4.00,8.00,6.00,2.00,7.00,6.00,8.00,5.00,4.00,202,225,213,'BELA VISTA','SAO JOSE','SC',7058,274,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143526,6.00,7.00,6.00,8.00,8.00,4.75,8.00,5.00,5.00,103,216,NULL,'AMÉRICA','JOINVILLE','SC',3981,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(15,2143534,5.00,6.00,7.00,4.00,7.00,5.25,6.00,6.00,2.00,429,5,423,'CENTRO','FLORIANOPOLIS','SC',9220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143542,6.00,8.00,5.00,4.00,7.00,5.75,4.00,6.00,2.00,318,319,NULL,'PASSA VINTE','PALHOCA','SC',10288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143550,2.00,7.00,2.00,5.00,5.00,NULL,3.00,4.00,0.00,9,104,NULL,'COMERCIARIO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2143569,3.00,5.00,7.00,7.00,5.00,5.75,4.00,4.00,3.00,203,201,202,'CENTRO','CASCAVEL','PR',10776,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2143577,5.00,8.00,7.00,8.00,9.00,6.50,6.00,5.00,3.00,444,404,NULL,'KOBRASOL','SAO JOSE','SC',3984,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2143585,6.00,8.00,8.00,9.00,8.00,4.25,8.00,6.00,7.00,108,NULL,NULL,'VILA MADALENA','SAO PAULO','SP',1645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143593,6.00,8.00,7.00,6.00,7.00,5.00,8.00,9.00,7.00,303,326,NULL,'CENTRO','FLORIANOPOLIS','SC',1687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143607,6.00,7.00,3.00,4.00,8.00,4.75,5.00,6.00,2.00,450,451,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,102,NULL,'CENTRO','SAO VICENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2143623,6.00,6.00,3.00,6.00,6.00,6.50,3.00,4.00,3.00,332,308,NULL,'STO ANTONIO DE LISBO','FLORIANOPOLIS','SC',11501,43,274,NULL,NULL,NULL,NULL,2,1),(15,2143631,4.00,7.00,4.00,8.00,7.00,5.25,7.00,6.00,2.00,316,224,NULL,'TRINDADE','FLORIANOPOLIS','SC',6849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143640,2.00,6.00,5.00,6.00,6.00,6.50,6.00,3.00,3.00,5,303,NULL,'CENTRO','MISSAL','PR',11738,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2143658,4.00,5.00,7.00,3.00,8.00,6.25,5.00,2.00,3.00,217,222,NULL,'ESTREITO','FLORIANOPOLIS','SC',12504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143666,3.00,7.00,2.00,3.00,8.00,7.25,3.00,6.00,1.00,420,320,NULL,'CENTRO','CRICIUMA','SC',13525,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2143674,1.00,5.00,1.00,2.00,8.00,5.75,2.00,4.00,2.00,308,329,NULL,'FUNDO CANOAS','RIO DO SUL','SC',20043,148,243,NULL,NULL,NULL,NULL,2,1),(15,2143682,3.00,4.00,5.00,3.00,6.00,5.00,3.00,2.00,3.00,104,331,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',19060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2143704,3.00,6.00,3.00,4.00,3.00,4.25,1.00,4.00,1.00,333,404,NULL,'CAMPECHE','FLORIANOPOLIS','SC',21500,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2143712,2.00,4.00,4.00,5.00,7.00,5.00,4.00,4.00,3.00,103,104,NULL,'CENTRO','IPORA DO OESTE','SC',15756,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2143720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,233,213,'CHORA MENINO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2143739,8.00,9.00,8.00,4.00,8.00,6.75,8.00,8.00,7.00,103,NULL,NULL,'ALTO DO MANDAQUI','SAO PAULO','SP',1129,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2143763,4.00,6.00,1.00,8.00,6.00,7.50,3.00,5.00,1.00,420,103,NULL,'VILA MARIA','SAO PAULO','SP',13083,251,3199,NULL,NULL,NULL,NULL,4,1),(15,2143771,3.00,7.00,2.00,7.00,4.00,5.75,4.00,8.00,2.00,108,NULL,NULL,'VILAS BOAS','CAMPO GRANDE','MS',9556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143780,3.00,6.00,1.00,6.00,7.00,6.00,5.00,7.00,1.00,303,310,NULL,'VILA FLÔR','CAPIVARI DE BAIXO','SC',12348,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2143801,4.00,7.00,3.00,9.00,8.00,4.75,8.00,6.00,2.00,420,450,NULL,'COQUEIROS','FLORIANOPOLIS','SC',6496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143810,1.00,5.00,4.00,7.00,5.00,5.50,4.00,4.00,2.00,203,NULL,NULL,'BELA VISTA I','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143828,2.00,7.00,2.00,3.00,6.00,6.75,1.00,4.00,1.00,319,309,NULL,'CENTRO','CORONEL FREITAS','SC',18880,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2143836,2.00,6.00,3.00,6.00,5.00,6.75,6.00,3.00,1.00,420,238,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',14744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143844,4.00,8.00,4.00,1.00,6.00,5.50,5.00,6.00,3.00,318,304,NULL,'ALPES SUIÇOS','INDAIATUBA','SP',11780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143852,2.00,5.00,3.00,2.00,3.00,4.50,2.00,5.00,1.00,324,108,NULL,'SERRARIAS','SAO JOSE','SC',21888,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2143860,2.00,7.00,2.00,4.00,5.00,5.50,2.00,6.00,2.00,215,451,207,'SANTA CATARINA','CRICIUMA','SC',17547,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2143879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,501,238,'CENTRO','ITAIOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2143887,6.00,8.00,4.00,5.00,8.00,5.25,7.00,4.00,6.00,319,339,NULL,'COQUEIROS','FLORIANOPOLIS','SC',6398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2143895,4.00,5.00,3.00,8.00,5.00,4.75,5.00,5.00,2.00,308,425,NULL,'PRAIA DE FORA','PALHOCA','SC',13246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143917,3.00,7.00,7.00,5.00,8.00,4.75,6.00,6.00,3.00,207,420,201,'TRINDADE','FLORIANOPOLIS','SC',6732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143933,5.00,5.00,3.00,8.00,6.00,5.75,4.00,2.00,1.00,220,202,208,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2143941,3.00,6.00,6.00,7.00,6.00,3.75,6.00,5.00,4.00,420,308,NULL,'CENTRO','FLORIANOPOLIS','SC',10059,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2143950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2143968,1.00,6.00,2.00,3.00,5.00,4.50,2.00,2.00,1.00,214,212,201,'CENTRO','ERECHIM','RS',22019,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2143976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'CAMPO LIMPO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2143984,0.00,3.00,0.00,0.00,1.00,NULL,0.00,1.00,0.00,317,319,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2143992,2.00,8.00,5.00,3.00,6.00,4.50,5.00,6.00,3.00,444,404,NULL,'SANTOS DUMONT','SAO JOSE','SC',11989,88,353,NULL,NULL,NULL,NULL,4,1),(15,2144000,4.00,6.00,7.00,3.00,6.00,4.50,6.00,9.00,3.00,428,326,427,'IMIGRANTE','BENTO GONCALVES','RS',9099,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2144026,3.00,8.00,3.00,7.00,5.00,7.25,5.00,5.00,3.00,217,222,NULL,'CENTRO','PORTO ALEGRE','RS',10157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2144034,3.00,9.00,1.00,0.00,7.00,4.75,5.00,5.00,3.00,444,316,NULL,'IPIRANGA','SAO JOSE','SC',16366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144042,3.00,5.00,4.00,4.00,6.00,6.75,3.00,5.00,3.00,9,308,NULL,'ESTREITO','FLORIANOPOLIS','SC',14306,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2144050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,216,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2144069,1.00,4.00,1.00,2.00,6.00,5.75,3.00,5.00,5.00,108,333,NULL,'CENTRO','PORTO ALEGRE','RS',17533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,310,NULL,'VILA ADYANA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2144107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PIONEIROS','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2144123,0.00,5.00,0.00,3.00,4.00,NULL,2.00,3.00,1.00,108,101,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2144140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'ALTO DA BOA VISTA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',1,1),(15,2144158,3.00,5.00,5.00,6.00,6.00,5.75,4.00,3.00,2.00,304,318,NULL,'CENTRO','FLORIANOPOLIS','SC',15131,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2144166,2.00,8.00,1.00,3.00,6.00,6.00,5.00,4.00,2.00,201,213,216,'BOA VISTA','JOINVILLE','SC',17171,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2144174,4.00,6.00,3.00,5.00,7.00,4.25,5.00,7.00,4.00,326,331,NULL,'CAMPECHE','FLORIANOPOLIS','SC',10144,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2144190,8.00,7.00,6.00,8.00,8.00,3.75,8.00,7.00,6.00,203,301,202,'CENTRO','POMERODE','SC',1429,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2144204,2.00,4.00,1.00,4.00,4.00,4.75,4.00,3.00,2.00,308,319,NULL,'PICADAS DO SUL','SAO JOSE','SC',21768,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2144212,1.00,5.00,4.00,3.00,6.00,3.50,4.00,4.00,2.00,316,425,NULL,'KOBRASOL','SAO JOSE','SC',19346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144220,4.00,5.00,3.00,3.00,6.00,6.25,3.00,3.00,2.00,216,316,NULL,'OTÁVIO ROCHA','FLORES DA CUNHA','RS',17515,490,1129,NULL,NULL,NULL,NULL,4,1),(15,2144239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,333,NULL,'CENTRO','AGUAS DE CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2144247,3.00,5.00,4.00,4.00,5.00,4.00,2.00,5.00,2.00,212,233,NULL,'SAO FRANCISCO','CAMPO GRANDE','MS',18279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144255,6.00,7.00,2.00,7.00,6.00,5.00,7.00,5.00,6.00,108,327,NULL,'CENTRO','FLORIANOPOLIS','SC',7755,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2144263,5.00,7.00,7.00,8.00,8.00,6.75,8.00,5.00,5.00,212,451,215,'CENTRO','FLORIANOPOLIS','SC',2931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,308,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2144298,2.00,6.00,5.00,5.00,2.00,NULL,5.00,6.00,4.00,415,NULL,NULL,'VILA CARLOTA','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144301,5.00,8.00,9.00,7.00,7.00,5.50,8.00,5.00,3.00,203,233,214,'BOA VIAGEM','NITEROI','RJ',2972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144310,3.00,9.00,4.00,4.00,8.00,6.75,4.00,6.00,3.00,501,238,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',8638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2144336,1.00,5.00,3.00,3.00,4.00,NULL,4.00,1.00,0.00,208,404,238,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144344,6.00,6.00,8.00,8.00,7.00,5.50,9.00,8.00,8.00,103,234,NULL,'CENTRO','GARIBALDI','RS',1228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144352,3.00,7.00,3.00,8.00,8.00,7.50,5.00,6.00,2.00,208,332,238,'PICADAS DO SUL','SAO JOSE','SC',8310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2144360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,211,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2144387,5.00,6.00,3.00,4.00,6.00,5.75,4.00,4.00,3.00,317,318,NULL,'SERRARIA','SAO JOSE','SC',14392,216,442,NULL,NULL,NULL,NULL,2,1),(15,2144395,3.00,5.00,3.00,7.00,6.00,6.00,4.00,5.00,4.00,333,108,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',12749,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2144409,7.00,6.00,2.00,4.00,8.00,7.50,5.00,7.00,3.00,104,NULL,NULL,'CENTRO','ITAJAI','SC',8342,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2144417,5.00,7.00,6.00,7.00,9.00,5.50,6.00,8.00,4.00,207,319,212,'COQUEIROS','FLORIANOPOLIS','SC',3394,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2144425,6.00,7.00,8.00,3.00,7.00,5.75,7.00,5.00,5.00,214,216,203,'INATEL','SANTA RITA DO SAPUCAI','MG',4777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144433,5.00,6.00,8.00,9.00,5.00,7.00,8.00,6.00,3.00,212,316,238,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',2944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144441,7.00,6.00,7.00,8.00,7.00,7.00,8.00,8.00,6.00,103,104,NULL,'SANTA FE','CAMPO GRANDE','MS',1477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144450,3.00,7.00,5.00,4.00,4.00,7.25,6.00,7.00,4.00,101,332,NULL,'CENTRO','SAO JOSE','SC',10341,64,209,NULL,NULL,NULL,NULL,2,1),(15,2144468,3.00,6.00,2.00,8.00,6.00,6.50,2.00,5.00,6.00,420,319,NULL,'CENTRO','FRANCA','SP',10973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144476,3.00,4.00,2.00,1.00,6.00,5.50,6.00,5.00,2.00,303,329,NULL,'ITACORUBI','FLORIANOPOLIS','SC',18469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,316,215,'JD MUNHOZ','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2144506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,212,NULL,'CENTRO','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2144514,2.00,7.00,5.00,5.00,5.00,7.25,5.00,4.00,4.00,9,104,NULL,'COMERCIARIO','CRICIUMA','SC',11312,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2144522,4.00,5.00,1.00,3.00,6.00,7.00,3.00,6.00,4.00,404,331,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',15932,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2144549,5.00,6.00,3.00,3.00,6.00,6.00,5.00,3.00,3.00,404,9,NULL,'CENTRO','CAMPINAS DO SUL','RS',13301,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2144557,4.00,8.00,7.00,6.00,8.00,6.25,8.00,5.00,3.00,224,223,NULL,'RIO PEQUENO','CAMBORIU','SC',5282,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2144565,6.00,7.00,5.00,7.00,8.00,5.00,4.00,5.00,4.00,103,NULL,NULL,'CHACARA CACHOEIRA','CAMPO GRANDE','MS',6847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2144573,3.00,4.00,6.00,5.00,4.00,4.50,6.00,4.00,5.00,201,NULL,212,'JARDIM DA FONTE','JUNDIAI','SP',12718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GIOCONDO ORSI','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2144590,2.00,4.00,1.00,3.00,6.00,4.50,2.00,5.00,2.00,211,224,212,'CENTRO','MARAU','RS',21468,736,303,416,NULL,NULL,NULL,4,1),(15,2144603,0.00,0.00,0.00,8.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILAS BOAS','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2144611,2.00,5.00,4.00,4.00,7.00,5.25,2.00,6.00,4.00,444,NULL,NULL,'SÃO CRISTTOVÃO','CHAPECO','SC',14031,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2144638,1.00,8.00,2.00,3.00,6.00,6.75,7.00,5.00,3.00,420,NULL,NULL,'MARELI','ICARA','SC',12529,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2144646,5.00,6.00,0.00,5.00,7.00,6.75,5.00,6.00,2.00,103,426,NULL,'CENTRO','TUBARAO','SC',11392,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2144654,2.00,8.00,5.00,1.00,6.00,5.00,6.00,4.00,3.00,9,333,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',13003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144662,6.00,8.00,5.00,7.00,9.00,6.50,6.00,7.00,4.00,318,304,NULL,'ESTREITO','FLORIANOPOLIS','SC',3433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144670,3.00,4.00,2.00,6.00,7.00,4.75,2.00,4.00,2.00,429,339,426,'JOÃO PAULO','FLORIANOPOLIS','SC',17163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2144689,4.00,4.00,4.00,6.00,8.00,3.75,6.00,7.00,4.00,103,203,NULL,'MARCILIANO FERNANDES','SANTA CECILIA','SC',10062,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2144697,6.00,9.00,7.00,6.00,7.00,7.50,6.00,5.00,4.00,214,223,212,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',3286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144700,2.00,6.00,1.00,5.00,5.00,6.25,3.00,4.00,3.00,420,238,NULL,'JARDIM JANAINA','BIGUACU','SC',17897,355,982,NULL,NULL,NULL,NULL,2,1),(15,2144719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,214,NULL,'SANTA FE','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2144743,2.00,4.00,3.00,1.00,3.00,NULL,3.00,0.00,2.00,324,308,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2144760,3.00,7.00,6.00,8.00,7.00,5.75,8.00,7.00,5.00,103,203,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2144778,7.00,9.00,7.00,7.00,8.00,4.50,8.00,8.00,7.00,207,328,211,'COQUEIROS','FLORIANOPOLIS','SC',881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144808,3.00,6.00,6.00,6.00,4.00,5.25,3.00,2.00,4.00,202,213,220,'VILA FLORESTA','CRICIUMA','SC',14251,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2144816,2.00,3.00,2.00,6.00,5.00,4.25,3.00,4.00,2.00,309,420,NULL,'MARIA GORETTI','CHAPECO','SC',20836,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2144832,2.00,8.00,6.00,6.00,7.00,5.75,5.00,6.00,3.00,238,316,208,'ESTREITO','FLORIANOPOLIS','SC',7855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2144840,4.00,7.00,1.00,3.00,4.00,4.50,4.00,4.00,3.00,2,333,NULL,'BOA VISTA','JOINVILLE','SC',18381,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2144859,3.00,6.00,1.00,1.00,6.00,5.75,4.00,4.00,3.00,319,308,NULL,'RATONES','FLORIANOPOLIS','SC',19949,437,425,NULL,NULL,NULL,NULL,2,1),(15,2144867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,5,NULL,'SANTA LUZIA','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2144875,3.00,6.00,2.00,2.00,5.00,4.25,1.00,4.00,3.00,415,428,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',21200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144883,3.00,9.00,2.00,5.00,8.00,6.00,4.00,8.00,3.00,415,450,NULL,'COMERCIÁRIO','CRICIUMA','SC',9364,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2144891,4.00,3.00,4.00,6.00,7.00,5.25,4.00,4.00,3.00,103,NULL,NULL,'BOM JESUS','RIO NEGRO','PR',13680,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2144913,4.00,5.00,4.00,5.00,6.00,7.25,5.00,7.00,2.00,208,425,238,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',11223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2144921,3.00,6.00,2.00,3.00,6.00,4.75,4.00,4.00,2.00,333,420,NULL,'VILA NOVA','IMBITUBA','SC',18750,329,851,NULL,NULL,NULL,NULL,4,10),(15,2144948,1.00,3.00,0.00,3.00,1.00,NULL,4.00,2.00,3.00,101,NULL,NULL,'CAPÂO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2144956,3.00,6.00,3.00,5.00,7.00,6.00,5.00,6.00,3.00,5,428,NULL,'CENTRO','SAO BONIFACIO','SC',10785,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2144964,0.00,3.00,1.00,3.00,5.00,NULL,2.00,3.00,1.00,444,451,NULL,'JARDIM ELDORADO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2144972,8.00,9.00,9.00,7.00,9.00,7.00,9.00,6.00,9.00,103,102,NULL,'COMERCIARIO','CRICIUMA','SC',304,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2144980,3.00,8.00,2.00,8.00,8.00,4.75,7.00,7.00,5.00,5,326,NULL,'KOBRASOL','SAO JOSE','SC',6030,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2144999,7.00,8.00,8.00,6.00,9.00,7.25,7.00,4.00,6.00,103,429,NULL,'CAMPECHE','FLORIANOPOLIS','SC',2450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145006,0.00,3.00,2.00,5.00,5.00,5.00,3.00,3.00,2.00,214,316,233,'GARIBALDINO','GRAVATAI','RS',20934,580,1243,455,NULL,NULL,NULL,2,1),(15,2145014,7.00,7.00,6.00,6.00,8.00,6.50,5.00,6.00,3.00,101,324,NULL,'REAL PARQUE','SAO JOSE','SC',5600,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2145022,6.00,8.00,5.00,5.00,8.00,5.50,5.00,5.00,6.00,104,102,NULL,'VILA OPERÁRIA','MARINGA','PR',5534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145030,7.00,8.00,9.00,5.00,9.00,6.50,9.00,8.00,8.00,103,NULL,NULL,'CENTRO','PORTO ALEGRE','RS',650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145057,4.00,7.00,4.00,7.00,8.00,5.50,5.00,4.00,2.00,415,501,NULL,'BELLO','CACADOR','SC',7542,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2145065,2.00,3.00,5.00,1.00,4.00,1.75,3.00,2.00,3.00,203,214,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145073,4.00,4.00,3.00,5.00,6.00,4.50,5.00,3.00,3.00,103,108,NULL,'CENTRO','BARRA VELHA','SC',15201,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2145103,1.00,8.00,0.00,4.00,2.00,NULL,3.00,9.00,3.00,5,308,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,207,NULL,'LOURDES','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2145120,2.00,7.00,8.00,7.00,8.00,4.50,8.00,4.00,6.00,203,2,220,'CENTRO','RIBEIRAO PRETO','SP',4737,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2145138,5.00,7.00,8.00,5.00,6.00,7.25,9.00,6.00,7.00,202,2,201,'COHAB','PRESIDENTE PRUDENTE','SP',2251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145146,4.00,7.00,3.00,7.00,8.00,6.75,4.00,6.00,2.00,303,223,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145154,5.00,6.00,9.00,7.00,8.00,5.00,7.00,8.00,6.00,203,233,201,'JARDIM MALUCHE','BRUSQUE','SC',2334,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2145162,2.00,5.00,2.00,3.00,3.00,4.00,2.00,4.00,2.00,404,426,NULL,'BOA VISTA','CURITIBA','PR',22179,272,260,NULL,NULL,NULL,NULL,4,1),(15,2145189,3.00,6.00,3.00,7.00,8.00,6.00,2.00,4.00,3.00,317,318,NULL,'JD ATLANTICO','FLORIANOPOLIS','SC',12893,181,427,NULL,NULL,NULL,NULL,2,1),(15,2145197,1.00,5.00,4.00,7.00,8.00,4.75,4.00,7.00,2.00,329,339,NULL,'VILA NOVA','MAFRA','SC',10839,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2145200,4.00,3.00,2.00,4.00,6.00,5.50,3.00,3.00,4.00,103,108,NULL,'CRISTAL','PORTO ALEGRE','RS',18503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145227,3.00,6.00,4.00,6.00,7.00,7.00,3.00,7.00,3.00,102,217,NULL,'PONTE DO IMARUIM','PALHOCA','SC',10502,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2145235,6.00,8.00,7.00,7.00,8.00,4.25,6.00,7.00,4.00,301,302,NULL,'PASSA VINTE','PALHOCA','SC',3652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2145243,4.00,5.00,3.00,6.00,5.00,4.50,4.00,4.00,1.00,415,426,NULL,'BARREIROS','SAO JOSE','SC',15995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2145251,4.00,7.00,5.00,9.00,9.00,6.50,5.00,6.00,2.00,319,423,NULL,'CENTRO','POMERODE','SC',6369,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2145260,2.00,7.00,2.00,1.00,6.00,5.25,5.00,5.00,1.00,339,327,NULL,'CENTRO','FLORIANOPOLIS','SC',17786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145278,6.00,7.00,7.00,8.00,8.00,7.75,7.00,7.00,6.00,415,450,NULL,'FLORESTA','JOINVILLE','SC',1311,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2145294,7.00,7.00,7.00,8.00,8.00,7.00,9.00,8.00,8.00,103,NULL,NULL,'PRAIA DE BELAS','PORTO ALEGRE','RS',398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2145308,1.00,2.00,1.00,1.00,5.00,NULL,2.00,3.00,1.00,220,203,214,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145316,8.00,9.00,9.00,10.00,9.00,6.00,9.00,7.00,8.00,103,214,NULL,'CENTRO','FLORIANOPOLIS','SC',42,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145332,4.00,7.00,1.00,6.00,8.00,4.75,5.00,7.00,2.00,108,308,NULL,'CENTRO','FLORIANOPOLIS','SC',11208,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2145340,2.00,5.00,3.00,2.00,5.00,6.00,3.00,3.00,2.00,415,224,NULL,'CAMPINA DA ALEGRIA','VARGEM BONITA','SC',20717,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2145359,1.00,6.00,6.00,6.00,6.00,5.25,4.00,3.00,2.00,309,328,NULL,'COMERCIÁRIO','CRICIUMA','SC',14239,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2145367,5.00,4.00,4.00,4.00,8.00,5.25,4.00,4.00,4.00,303,319,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145375,2.00,5.00,2.00,4.00,5.00,6.00,4.00,5.00,2.00,303,404,NULL,'REGINA','CATANDUVAS','SC',17364,776,425,NULL,NULL,NULL,NULL,4,7),(15,2145383,2.00,7.00,3.00,2.00,7.00,0.00,3.00,7.00,3.00,208,238,203,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145405,4.00,3.00,1.00,4.00,3.00,6.00,4.00,3.00,2.00,104,102,NULL,'CENTRO','CURITIBA','PR',20778,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2145413,0.00,5.00,3.00,6.00,4.00,5.25,2.00,4.00,5.00,327,426,NULL,'REAL PARQUE','SAO JOSE','SC',18877,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2145421,4.00,8.00,5.00,6.00,8.00,7.00,6.00,5.00,4.00,216,104,207,'MARIA CÉU','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2145430,4.00,8.00,4.00,2.00,8.00,5.50,6.00,6.00,2.00,316,424,NULL,'PICADAS DO SUL','SAO JOSE','SC',12630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145448,1.00,3.00,0.00,3.00,4.00,NULL,2.00,3.00,2.00,102,234,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2145456,3.00,5.00,4.00,6.00,7.00,5.25,6.00,4.00,4.00,103,101,NULL,'ITACORUBI','FLORIANOPOLIS','SC',11220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145464,7.00,7.00,3.00,8.00,7.00,5.75,7.00,7.00,3.00,103,104,NULL,'CENTRO','CURITIBA','PR',5370,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2145480,1.00,6.00,0.00,6.00,7.00,NULL,4.00,3.00,0.00,310,320,NULL,'BRASILIA','NUCLEO BANDEIRANTE','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2145499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2145502,1.00,2.00,1.00,5.00,8.00,6.00,4.00,4.00,3.00,324,425,NULL,'TRINDADE','FLORIANOPOLIS','SC',18890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145510,5.00,6.00,4.00,2.00,8.00,7.25,7.00,3.00,4.00,104,217,NULL,'BALNEARIO','FLORIANOPOLIS','SC',9933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145529,2.00,3.00,1.00,0.00,3.00,NULL,4.00,2.00,2.00,339,308,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,233,238,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2145545,1.00,3.00,3.00,3.00,4.00,5.25,3.00,4.00,1.00,404,333,NULL,'CENTRO','SEARA','SC',21722,259,1062,NULL,NULL,NULL,NULL,2,1),(15,2145553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,333,NULL,'JARDIM CRISTAL','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2145561,4.00,7.00,8.00,4.00,6.00,6.25,7.00,5.00,4.00,216,203,202,'VILA A','FOZ DO IGUACU','PR',7412,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2145570,5.00,7.00,5.00,2.00,8.00,5.00,6.00,3.00,4.00,319,101,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',10625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145588,0.00,4.00,0.00,1.00,5.00,NULL,1.00,3.00,2.00,211,303,NULL,'COMUNIDADE','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2145596,6.00,8.00,6.00,8.00,9.00,6.00,7.00,6.00,3.00,9,333,NULL,'ESTREITO','FLORIANOPOLIS','SC',3817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145600,1.00,4.00,2.00,3.00,2.00,NULL,2.00,2.00,2.00,103,444,NULL,'DALBÉRGIA','IBIRAMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145618,7.00,7.00,7.00,6.00,9.00,6.50,6.00,7.00,4.00,102,502,NULL,'COLONIAL','SAO BENTO DO SUL','SC',3617,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2145626,1.00,4.00,3.00,4.00,6.00,NULL,1.00,2.00,2.00,404,428,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2145634,2.00,4.00,2.00,7.00,5.00,5.25,2.00,3.00,2.00,211,303,NULL,'PALMITAL','CHAPECO','SC',18221,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2145642,4.00,6.00,4.00,2.00,5.00,5.25,1.00,2.00,2.00,317,302,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',20171,364,330,NULL,NULL,NULL,NULL,4,1),(15,2145650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2145677,1.00,6.00,3.00,3.00,9.00,5.00,3.00,4.00,2.00,303,5,NULL,'CAMINHO PINHAL','DONA EMMA','SC',16512,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2145685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'OFICINAS','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2145693,4.00,6.00,4.00,6.00,6.00,6.00,4.00,5.00,2.00,451,450,NULL,'VILA ISABEL EBER','JUNDIAI','SP',12559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145707,4.00,4.00,6.00,7.00,6.00,7.25,6.00,4.00,2.00,211,420,207,'BIGORRILHO','CURITIBA','PR',10338,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2145715,1.00,6.00,5.00,4.00,8.00,6.00,4.00,5.00,3.00,201,NULL,233,'CENTRO','GUARACIABA','SC',11860,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2145723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,309,216,'SANTA ROSA','GUARUJA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2145731,3.00,4.00,2.00,5.00,7.00,5.50,3.00,5.00,3.00,104,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',16458,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2145740,4.00,3.00,5.00,6.00,7.00,6.25,3.00,4.00,3.00,216,102,NULL,'CENTRO','ESTACAO','RS',14004,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2145758,2.00,4.00,4.00,2.00,6.00,6.00,2.00,4.00,2.00,450,324,NULL,'CENTRO','PALMITOS','SC',20196,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2145782,6.00,7.00,5.00,6.00,8.00,5.75,5.00,4.00,3.00,301,310,NULL,'CENTRO','ERECHIM','RS',7963,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2145790,3.00,5.00,3.00,5.00,6.00,6.75,2.00,5.00,2.00,316,429,NULL,'CENTRO','FLORIANOPOLIS','SC',14514,386,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145812,1.00,4.00,2.00,5.00,5.00,5.25,3.00,5.00,4.00,108,5,NULL,'CENTRO','CRICIUMA','SC',18803,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2145820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2145839,5.00,6.00,4.00,1.00,5.00,6.75,4.00,6.00,5.00,238,425,208,'AGRONOMICA','FLORIANOPOLIS','SC',12788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145847,8.00,9.00,9.00,9.00,9.00,6.50,9.00,8.00,8.00,103,303,NULL,'COMERCIÁRIO','CRICIUMA','SC',27,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145855,3.00,6.00,4.00,4.00,6.00,5.75,4.00,6.00,2.00,216,217,NULL,'CENTRO','CAIBI','SC',12714,398,410,NULL,NULL,NULL,NULL,2,4),(15,2145863,6.00,8.00,7.00,4.00,8.00,6.00,9.00,8.00,8.00,216,213,233,'BELO','CACADOR','SC',1675,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2145871,5.00,8.00,6.00,4.00,8.00,4.75,7.00,7.00,5.00,201,104,203,'CENTRO','TUBARAO','SC',4858,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2145880,1.00,4.00,2.00,6.00,6.00,5.00,3.00,2.00,3.00,317,318,NULL,'ELDORADO I','PIRACICABA','SP',20289,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2145898,1.00,4.00,5.00,6.00,5.00,4.50,2.00,2.00,2.00,304,207,NULL,'CENTRO','JAGUARI','RS',20435,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2145901,5.00,5.00,4.00,3.00,8.00,6.00,5.00,6.00,2.00,101,108,NULL,'BARRANCEIRA','LAGUNA','SC',11600,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2145910,4.00,4.00,5.00,5.00,6.00,6.00,4.00,4.00,1.00,101,102,NULL,'VILA MANAUS','CRICIUMA','SC',13177,113,904,NULL,NULL,NULL,NULL,2,5),(15,2145928,9.00,9.00,9.00,8.00,8.00,5.50,8.00,9.00,9.00,203,202,220,'CENTRO','CACADOR','SC',107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145936,2.00,6.00,3.00,4.00,8.00,5.25,4.00,5.00,2.00,103,207,NULL,'CENTRO','FLORIANOPOLIS','SC',15833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145944,2.00,5.00,2.00,2.00,3.00,5.50,2.00,5.00,1.00,103,104,NULL,'CENTRO','BRAGANEY','PR',20748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145952,3.00,7.00,3.00,3.00,5.00,4.50,4.00,6.00,4.00,201,212,207,'INTERIOR','IRACEMINHA','SC',15186,806,544,734,NULL,NULL,NULL,4,4),(15,2145979,6.00,9.00,7.00,7.00,9.00,5.25,6.00,9.00,4.00,238,317,208,'KOBRASOL','SAO JOSE','SC',2353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145987,7.00,8.00,8.00,5.00,8.00,4.50,7.00,8.00,5.00,214,NULL,NULL,'JD MARIA CANDIDO','SAO JOSE DO RIO PRETO','SP',2905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2145995,3.00,7.00,8.00,6.00,8.00,5.50,8.00,7.00,5.00,238,327,208,'COQUEIROS','FLORIANOPOLIS','SC',4101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146002,4.00,6.00,3.00,5.00,5.00,5.25,5.00,5.00,3.00,203,5,216,'ZONA RURAL','PONTAO','RS',12481,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2146029,6.00,6.00,9.00,8.00,8.00,7.50,8.00,6.00,5.00,203,233,214,'CENTRO','FLORIANOPOLIS','SC',1643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146037,1.00,5.00,3.00,5.00,5.00,6.00,3.00,5.00,0.00,101,108,NULL,'INTERIOR','UNIAO DO OESTE','SC',19216,243,912,NULL,NULL,NULL,NULL,4,4),(15,2146053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2146061,3.00,2.00,2.00,0.00,4.00,NULL,2.00,3.00,2.00,339,NULL,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146096,3.00,6.00,1.00,6.00,7.00,6.00,2.00,2.00,1.00,5,303,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',18529,769,1290,NULL,NULL,NULL,NULL,2,1),(15,2146100,4.00,5.00,5.00,1.00,5.00,6.00,5.00,4.00,1.00,108,333,NULL,'JARDIM ITÁLIA','CHAPECO','SC',16293,363,864,NULL,NULL,NULL,NULL,4,4),(15,2146118,6.00,7.00,4.00,7.00,8.00,5.25,8.00,6.00,3.00,238,223,208,'KOBRASOL','SAO JOSE','SC',4902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146126,8.00,9.00,9.00,7.00,8.00,7.00,9.00,6.00,8.00,103,217,NULL,'SAO GERALDO','ARARAQUARA','SP',307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146134,7.00,7.00,7.00,6.00,8.00,6.50,8.00,7.00,5.00,207,420,201,'CARVOEIRA','FLORIANOPOLIS','SC',1389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146142,0.00,4.00,2.00,0.00,1.00,NULL,2.00,3.00,2.00,102,108,NULL,'CENTRO','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2146150,4.00,7.00,4.00,2.00,6.00,5.00,6.00,4.00,4.00,319,9,NULL,'BARRANCEIRA','LAGUNA','SC',12551,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2146169,2.00,6.00,2.00,6.00,4.00,5.00,1.00,5.00,1.00,501,217,NULL,'TRINDADE','FLORIANOPOLIS','SC',19645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2146185,5.00,6.00,3.00,5.00,6.00,3.75,3.00,1.00,4.00,339,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',16857,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2146193,1.00,5.00,2.00,3.00,5.00,4.75,2.00,4.00,3.00,501,502,NULL,'GARCIA','BLUMENAU','SC',20676,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2146207,7.00,8.00,7.00,9.00,8.00,8.00,5.00,7.00,3.00,303,424,NULL,'CENTRO','PALHOCA','SC',2374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2146223,4.00,7.00,2.00,4.00,6.00,6.50,4.00,3.00,4.00,5,324,NULL,'CENTRO','FLORIANOPOLIS','SC',13757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','SERRA NEGRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2146240,4.00,5.00,2.00,7.00,5.00,6.00,3.00,5.00,2.00,108,303,NULL,'PEREQUÊ','PORTO BELO','SC',14791,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2146258,3.00,5.00,1.00,3.00,5.00,5.25,3.00,8.00,2.00,316,317,NULL,'PRADO','BIGUACU','SC',17592,503,610,NULL,NULL,NULL,NULL,2,1),(15,2146266,3.00,6.00,2.00,3.00,7.00,4.25,4.00,3.00,2.00,225,203,NULL,'NOVA BRASÍLIA','JOINVILLE','SC',18614,52,1431,NULL,NULL,NULL,NULL,4,8),(15,2146274,6.00,9.00,8.00,8.00,7.00,5.00,9.00,6.00,8.00,103,104,NULL,'NOVO MUNDO','CURITIBA','PR',985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146282,2.00,6.00,4.00,6.00,8.00,4.75,5.00,4.00,2.00,319,429,NULL,'CENTRO','FLORIANOPOLIS','SC',13885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146290,4.00,3.00,4.00,0.00,2.00,NULL,3.00,2.00,2.00,211,319,215,'CENTRO','AGUAS DE CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2146304,1.00,5.00,4.00,3.00,6.00,4.00,6.00,8.00,2.00,202,214,213,'JARDIM SÃO PAULO','AMERICANA','SP',14391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146312,2.00,3.00,3.00,7.00,7.00,3.50,5.00,4.00,1.00,201,317,211,'SAGUAÇÚ','JOINVILLE','SC',17496,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2146320,3.00,7.00,3.00,6.00,8.00,6.75,5.00,3.00,2.00,207,9,238,'COQUEIROS','FLORIANOPOLIS','SC',11051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2146339,3.00,4.00,0.00,3.00,5.00,NULL,3.00,2.00,0.00,450,451,NULL,'PRESIDENTE MÉDICI','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2146347,4.00,3.00,3.00,5.00,7.00,5.75,4.00,5.00,3.00,339,225,NULL,'PETRÓPOLIS','PORTO ALEGRE','RS',15757,38,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146355,4.00,7.00,4.00,7.00,5.00,5.25,4.00,5.00,4.00,103,301,NULL,'GUANABARA','JOINVILLE','SC',9814,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2146363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,104,NULL,'CENTRO','HUMAITA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2146371,1.00,7.00,2.00,3.00,6.00,4.75,5.00,2.00,1.00,233,424,208,'FORQUILHINHAS','SAO JOSE','SC',19736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2146380,4.00,7.00,8.00,5.00,8.00,4.50,8.00,7.00,4.00,103,207,NULL,'PONTA AGUDA','BLUMENAU','SC',5108,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2146398,0.00,7.00,1.00,4.00,4.00,4.75,5.00,3.00,2.00,333,108,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',19322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146401,2.00,5.00,4.00,2.00,6.00,5.25,6.00,5.00,3.00,104,421,NULL,'CALEMBA','SANTO AMARO DA IMPERATRIZ','SC',15618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146428,4.00,8.00,4.00,5.00,8.00,5.75,2.00,4.00,3.00,303,428,NULL,'ATIRADORES','JOINVILLE','SC',13010,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2146436,3.00,5.00,6.00,8.00,5.00,0.00,7.00,5.00,2.00,103,333,NULL,'FÁTIMA','POUSO ALEGRE','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146444,6.00,8.00,8.00,5.00,7.00,5.25,7.00,5.00,7.00,317,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',3627,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2146452,7.00,8.00,9.00,8.00,7.00,5.00,9.00,6.00,7.00,333,108,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',1350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'DANIELA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2146479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'PROGRESSO','SAO LOURENCO DO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2146487,3.00,6.00,2.00,3.00,5.00,6.00,4.00,6.00,1.00,502,108,NULL,'SAGRADO C DE JESUS','LAGES','SC',15763,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2146495,5.00,7.00,8.00,7.00,8.00,5.50,7.00,5.00,6.00,207,420,220,'MONTE VERDE','FLORIANOPOLIS','SC',3811,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2146517,4.00,5.00,5.00,1.00,8.00,6.00,4.00,2.00,3.00,318,316,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',15874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146525,4.00,8.00,1.00,3.00,7.00,5.50,5.00,6.00,3.00,5,327,NULL,'CENTRO','FLORIANOPOLIS','SC',10083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146568,6.00,6.00,3.00,7.00,7.00,5.25,7.00,5.00,4.00,103,9,NULL,'LAGO SUL','LAGO SUL','DF',6241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146584,8.00,8.00,8.00,8.00,8.00,6.00,5.00,5.00,6.00,220,NULL,NULL,'MONTE CLARO','ARACATUBA','SP',2950,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2146592,2.00,6.00,3.00,6.00,7.00,5.75,3.00,4.00,3.00,234,308,NULL,'CENTRO','FLORIANOPOLIS','SC',14291,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2146606,5.00,8.00,5.00,2.00,7.00,4.50,4.00,2.00,4.00,217,327,NULL,'JURERÊ','FLORIANOPOLIS','SC',12907,101,325,NULL,NULL,NULL,NULL,4,1),(15,2146614,2.00,6.00,3.00,6.00,5.00,5.75,3.00,6.00,2.00,444,2,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',14428,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2146622,5.00,6.00,1.00,1.00,4.00,5.50,3.00,5.00,2.00,501,102,NULL,'CENTRO','PLANALTO','RS',20090,270,1093,NULL,NULL,NULL,NULL,4,4),(15,2146630,4.00,7.00,1.00,4.00,8.00,5.00,4.00,4.00,5.00,238,429,215,'CAMPINAS','SAO JOSE','SC',12705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2146649,7.00,8.00,3.00,5.00,6.00,5.25,6.00,7.00,4.00,102,331,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',5615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146665,4.00,6.00,3.00,7.00,6.00,5.00,3.00,4.00,3.00,203,201,207,'JARDIM','SAO JOSE DO CEDRO','SC',15183,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2146681,3.00,7.00,4.00,4.00,7.00,6.00,4.00,5.00,2.00,103,104,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',12533,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2146690,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,333,108,NULL,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(15,2146711,2.00,3.00,2.00,5.00,5.00,5.50,4.00,2.00,1.00,208,301,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',21660,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2146720,4.00,8.00,6.00,5.00,8.00,5.25,7.00,6.00,7.00,102,9,NULL,'CENTRO','FLORIANOPOLIS','SC',4500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146738,3.00,8.00,3.00,6.00,5.00,4.50,4.00,6.00,5.00,328,326,NULL,'SÃO BASILIO','BRACO DO NORTE','SC',11965,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2146746,5.00,8.00,3.00,7.00,7.00,6.00,5.00,5.00,3.00,101,423,NULL,'CENTRO','FLORIANOPOLIS','SC',7369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2146762,1.00,5.00,4.00,5.00,4.00,4.25,4.00,6.00,2.00,211,9,201,'CENTRO','SAO MIGUEL DOESTE','SC',16742,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2146770,5.00,8.00,5.00,7.00,8.00,4.50,6.00,7.00,2.00,420,309,NULL,'ESTREITO','FLORIANOPOLIS','SC',5601,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2146789,3.00,5.00,2.00,5.00,4.00,5.00,3.00,3.00,1.00,333,502,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',19776,365,328,NULL,NULL,NULL,NULL,2,1),(15,2146797,2.00,5.00,4.00,5.00,5.00,7.00,3.00,5.00,3.00,501,208,NULL,'CENTRO','FLORIANOPOLIS','SC',16006,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2146800,7.00,7.00,7.00,8.00,8.00,6.25,7.00,7.00,5.00,103,108,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',2072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146819,2.00,7.00,2.00,1.00,3.00,5.00,4.00,6.00,3.00,203,NULL,214,'SAGUAÇU','JOINVILLE','SC',18420,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2146835,4.00,6.00,1.00,2.00,4.00,4.00,2.00,3.00,4.00,308,421,NULL,'BELA VISTA I','SAO JOSE','SC',20259,154,156,NULL,NULL,NULL,NULL,4,1),(15,2146843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,103,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2146851,8.00,8.00,7.00,6.00,9.00,6.00,9.00,9.00,8.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',670,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2146860,3.00,7.00,5.00,9.00,8.00,6.50,8.00,5.00,4.00,319,326,NULL,'SANTA INÊS','BELO HORIZONTE','MG',3915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146878,3.00,8.00,1.00,6.00,6.00,4.50,5.00,4.00,4.00,203,331,NULL,'BARREIROS','SAO JOSE','SC',14799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146886,2.00,2.00,2.00,3.00,8.00,4.50,5.00,4.00,3.00,9,101,NULL,'CENTRO','JARAGUA DO SUL','SC',19439,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2146894,3.00,7.00,2.00,5.00,6.00,4.75,6.00,7.00,2.00,333,327,NULL,'BELA VISTA I','SAO JOSE','SC',13355,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2146908,2.00,7.00,2.00,6.00,7.00,5.75,3.00,7.00,2.00,9,108,NULL,'IPIRANGA','SAO JOSE','SC',13270,162,782,NULL,NULL,NULL,NULL,2,1),(15,2146916,3.00,7.00,8.00,5.00,6.00,5.50,5.00,4.00,2.00,203,316,202,'JARDIM SÃO PAULO I','FOZ DO IGUACU','PR',10155,762,894,384,NULL,NULL,NULL,4,1),(15,2146932,2.00,7.00,3.00,3.00,5.00,6.00,5.00,5.00,5.00,5,303,NULL,'MEIA PRAIA','ITAPEMA','SC',12608,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2146940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,108,215,'NAÇÕES','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2146959,3.00,5.00,1.00,7.00,3.00,5.25,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',16969,2797,NULL,NULL,NULL,NULL,NULL,2,1),(15,2146967,7.00,9.00,9.00,9.00,8.00,7.75,9.00,7.00,8.00,304,303,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',78,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2146975,2.00,4.00,3.00,3.00,5.00,3.25,3.00,4.00,3.00,302,301,NULL,'STO ANTONIO DE LISBO','FLORIANOPOLIS','SC',21247,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2146991,2.00,3.00,3.00,4.00,4.00,5.00,5.00,6.00,1.00,502,421,NULL,'CAMPECHE','FLORIANOPOLIS','SC',17346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2147009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2147025,1.00,5.00,1.00,3.00,6.00,6.75,6.00,7.00,2.00,327,324,NULL,'TAPERA','FLORIANOPOLIS','SC',14699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147033,2.00,3.00,2.00,1.00,6.00,NULL,5.00,2.00,2.00,211,213,233,'SHANGRILA','ITAPETININGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147041,1.00,4.00,3.00,2.00,4.00,3.00,3.00,2.00,2.00,333,102,NULL,'CENTRO','ITAPORANGA','SP',22435,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2147050,4.00,3.00,6.00,6.00,9.00,7.25,3.00,4.00,4.00,317,308,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',9966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2147068,5.00,8.00,6.00,7.00,10.00,6.25,7.00,6.00,4.00,215,217,201,'CENTRO','MONTE CARLO','SC',3620,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2147076,4.00,4.00,1.00,1.00,7.00,7.75,4.00,4.00,2.00,207,420,215,'FAZENDA RIO TAVARES','FLORIANOPOLIS','SC',18400,872,840,364,NULL,NULL,NULL,4,1),(15,2147084,1.00,5.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,103,9,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(15,2147092,6.00,5.00,6.00,7.00,8.00,5.50,7.00,7.00,6.00,103,202,NULL,'CENTRO','CHOPINZINHO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2147106,2.00,4.00,3.00,4.00,5.00,4.25,5.00,4.00,2.00,333,444,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',18522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2147122,7.00,7.00,6.00,6.00,8.00,7.00,8.00,8.00,7.00,103,215,NULL,'JARDIM CALIFÓRNIA','JACAREI','SP',1657,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2147130,5.00,8.00,4.00,4.00,9.00,6.75,5.00,5.00,3.00,303,9,NULL,'ESTREITO','FLORIANOPOLIS','SC',7744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147149,3.00,6.00,5.00,9.00,5.00,5.75,5.00,5.00,5.00,103,108,NULL,'AGUA FRIA','SAO PAULO','SP',9155,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2147165,4.00,2.00,3.00,4.00,3.00,4.50,3.00,4.00,1.00,224,317,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',21250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,324,NULL,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2147181,4.00,7.00,1.00,6.00,6.00,7.00,4.00,3.00,3.00,207,415,201,'CENTRO','CRICIUMA','SC',13644,664,NULL,NULL,NULL,NULL,NULL,2,5),(15,2147190,2.00,3.00,3.00,4.00,5.00,4.50,2.00,1.00,4.00,102,9,NULL,'SERRARIA','SAO JOSE','SC',20935,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2147211,1.00,5.00,2.00,6.00,6.00,0.00,3.00,4.00,2.00,303,428,NULL,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147220,5.00,8.00,7.00,7.00,7.00,8.00,7.00,6.00,4.00,104,326,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',3869,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2147246,3.00,6.00,4.00,8.00,7.00,3.50,3.00,3.00,2.00,211,102,216,'CENTRO','GAROPABA','SC',14786,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2147254,3.00,8.00,1.00,6.00,6.00,4.50,5.00,6.00,4.00,103,9,NULL,'ANITA GARIBALDI','JOINVILLE','SC',11032,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2147270,1.00,6.00,5.00,6.00,6.00,5.25,4.00,2.00,4.00,211,214,233,'JARDIM MATILDE','OURINHOS','SP',16039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2147289,0.00,8.00,2.00,7.00,6.00,4.25,3.00,5.00,0.00,5,217,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',18849,788,502,NULL,NULL,NULL,NULL,2,1),(15,2147297,6.00,9.00,8.00,7.00,7.00,7.00,9.00,8.00,6.00,203,5,202,'CENTRO','TUBARAO','SC',1101,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2147319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'NAÇÕES','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2147335,2.00,5.00,2.00,1.00,4.00,4.75,3.00,2.00,3.00,5,329,NULL,'PICADAS DO SUL','SAO JOSE','SC',21970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147343,2.00,4.00,5.00,5.00,7.00,5.25,4.00,6.00,2.00,331,308,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',13670,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2147360,2.00,7.00,2.00,5.00,6.00,4.75,5.00,6.00,2.00,319,327,NULL,'CENTRO','LAGES','SC',14978,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2147378,3.00,3.00,3.00,6.00,6.00,6.00,4.00,4.00,2.00,102,211,NULL,'FLORESTA','VIDEIRA','SC',16354,362,955,NULL,NULL,NULL,NULL,2,7),(15,2147394,2.00,5.00,4.00,2.00,7.00,6.00,3.00,4.00,3.00,303,428,NULL,'PETRÓPOLIS','PIRACICABA','SP',16812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147408,6.00,8.00,9.00,7.00,8.00,7.75,9.00,6.00,7.00,103,425,NULL,'CENTRO','FLORIANOPOLIS','SC',948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147416,5.00,3.00,3.00,4.00,5.00,6.00,5.00,4.00,2.00,303,301,NULL,'SANTO INÁCIO','SANTA CRUZ DO SUL','RS',16432,749,719,NULL,NULL,NULL,NULL,4,4),(15,2147424,3.00,7.00,6.00,6.00,8.00,6.75,6.00,6.00,6.00,238,301,208,'PICADAS DO SUL','SAO JOSE','SC',6308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147432,8.00,8.00,5.00,5.00,9.00,6.25,5.00,6.00,3.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5451,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2147440,6.00,6.00,8.00,6.00,5.00,6.00,7.00,5.00,4.00,214,215,NULL,'BAIRRO BAÚ','CUIABA','MT',6012,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2147459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,303,208,'SÃO JOÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2147467,6.00,8.00,9.00,9.00,8.00,7.00,9.00,7.00,6.00,203,444,208,'BARREIROS','SAO JOSE','SC',310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147475,4.00,8.00,5.00,8.00,6.00,5.00,4.00,5.00,3.00,203,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2147483,6.00,8.00,9.00,6.00,8.00,7.25,7.00,6.00,6.00,5,303,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',1073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147491,3.00,5.00,1.00,1.00,5.00,4.75,3.00,5.00,2.00,203,NULL,214,'MARIA TEREZINHA','PINHALZINHO','SC',20699,1166,NULL,579,NULL,NULL,NULL,2,4),(15,2147505,6.00,9.00,7.00,8.00,8.00,7.25,9.00,8.00,6.00,216,2,203,'VICTOR KONDER','BLUMENAU','SC',626,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2147513,4.00,6.00,6.00,3.00,3.00,6.50,5.00,6.00,4.00,220,202,203,'ZONA UM','CIANORTE','PR',11632,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2147521,2.00,5.00,8.00,6.00,5.00,4.75,6.00,6.00,3.00,103,203,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',9925,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2147530,4.00,5.00,2.00,2.00,5.00,3.50,2.00,3.00,2.00,316,501,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',21919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147548,1.00,4.00,4.00,4.00,7.00,6.00,2.00,1.00,2.00,103,101,NULL,'JARDIM TURMALINAS','SANTA BARBARA D OESTE','SP',19704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147556,6.00,8.00,7.00,9.00,9.00,6.50,9.00,8.00,5.00,310,424,NULL,'CENTRO','BLUMENAU','SC',547,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2147572,7.00,7.00,6.00,8.00,8.00,8.50,4.00,7.00,7.00,415,326,NULL,'JARDIM AMÉRICA','GOIANIA','GO',2297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147599,2.00,8.00,3.00,8.00,8.00,6.00,7.00,6.00,3.00,103,328,NULL,'BOA VISTA','JOACABA','SC',7078,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2147602,3.00,7.00,4.00,7.00,6.00,4.00,5.00,7.00,3.00,207,327,233,'COQUEIROS','FLORIANOPOLIS','SC',10466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147610,5.00,7.00,5.00,6.00,6.00,5.25,6.00,4.00,2.00,304,214,NULL,'PANAZZOLO','CAXIAS DO SUL','RS',11620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147629,3.00,7.00,4.00,6.00,7.00,6.50,3.00,4.00,4.00,101,103,NULL,'PRESIDENTE VARGAS','ICARA','SC',10671,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2147653,2.00,3.00,1.00,5.00,5.00,5.00,3.00,4.00,1.00,207,451,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2147661,3.00,7.00,4.00,4.00,7.00,6.00,6.00,6.00,3.00,102,101,NULL,'COPACABANA','LAGES','SC',8909,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2147670,3.00,4.00,3.00,7.00,8.00,5.25,5.00,3.00,3.00,103,424,NULL,'JURERÊ','FLORIANOPOLIS','SC',13114,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2147696,4.00,6.00,1.00,2.00,7.00,7.00,1.00,1.00,2.00,9,502,NULL,'CENTRO','PALMITOS','SC',19685,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2147700,1.00,5.00,0.00,1.00,6.00,NULL,4.00,3.00,2.00,303,5,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2147718,6.00,8.00,4.00,7.00,8.00,6.50,7.00,7.00,3.00,444,404,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',4188,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2147726,3.00,6.00,1.00,2.00,5.00,4.25,3.00,4.00,2.00,316,208,NULL,'BARREIROS','SAO JOSE','SC',19871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147734,3.00,6.00,3.00,4.00,8.00,5.50,5.00,2.00,3.00,429,319,421,'CAMPECHE','FLORIANOPOLIS','SC',13923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147742,4.00,7.00,1.00,9.00,5.00,7.25,5.00,5.00,3.00,211,234,213,'CANTO DA LAGOA','FLORIANOPOLIS','SC',9100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2147777,4.00,7.00,6.00,4.00,9.00,5.75,6.00,4.00,3.00,444,404,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',8637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147785,2.00,3.00,5.00,0.00,8.00,NULL,1.00,3.00,2.00,319,308,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147793,3.00,7.00,4.00,7.00,4.00,4.25,4.00,3.00,2.00,5,303,NULL,'INTERIOR','ARABUTA','SC',16686,NULL,NULL,NULL,NULL,NULL,NULL,1,4),(15,2147807,5.00,6.00,5.00,8.00,9.00,3.75,6.00,3.00,6.00,316,426,NULL,'CENTRO','FLORIANOPOLIS','SC',8047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147815,2.00,8.00,2.00,4.00,6.00,0.00,1.00,3.00,3.00,320,319,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147823,3.00,6.00,4.00,6.00,4.00,4.00,5.00,5.00,2.00,103,108,NULL,'ESPINHEIROS','JOINVILLE','SC',15349,2666,829,NULL,NULL,NULL,NULL,2,8),(15,2147831,8.00,9.00,7.00,7.00,8.00,5.75,9.00,7.00,8.00,103,216,NULL,'BOM VIVER','BIGUACU','SC',336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147840,2.00,5.00,5.00,3.00,5.00,5.00,5.00,6.00,4.00,5,303,NULL,'CENTRO','CAMPOS NOVOS','SC',14258,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2147858,2.00,7.00,5.00,9.00,9.00,5.50,5.00,7.00,2.00,303,5,NULL,'CIDADE UNIVERSITARIA','CAMPINAS','SP',6098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147874,5.00,5.00,1.00,3.00,7.00,5.00,3.00,5.00,3.00,308,327,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',16314,65,NULL,NULL,NULL,NULL,NULL,2,1),(15,2147890,4.00,5.00,2.00,6.00,7.00,5.00,5.00,6.00,2.00,420,207,NULL,'AGUA VERDE','CURITIBA','PR',11662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147904,3.00,6.00,3.00,2.00,4.00,4.50,1.00,5.00,2.00,215,333,211,'S C DE JESUS','LAGES','SC',20880,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2147920,4.00,6.00,3.00,6.00,8.00,7.50,3.00,2.00,3.00,101,104,NULL,'OPERÁRIO','NOVO HAMBURGO','RS',12991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147939,5.00,6.00,4.00,8.00,9.00,4.50,6.00,7.00,5.00,420,238,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',4876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147947,6.00,7.00,6.00,9.00,8.00,6.75,7.00,8.00,4.00,208,220,238,'NAZARÉ','CONCORDIA','SC',2608,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2147955,4.00,8.00,4.00,0.00,0.00,NULL,4.00,6.00,5.00,304,318,NULL,'GUARANI','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147963,2.00,6.00,4.00,8.00,8.00,7.00,7.00,7.00,5.00,319,320,NULL,'CHÁCARA DAS PEDRAS','PORTO ALEGRE','RS',4918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147971,3.00,7.00,3.00,6.00,7.00,8.00,5.00,7.00,4.00,301,420,NULL,'BOTAFOGO','RIO DE JANEIRO','RJ',6297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2147980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,308,NULL,'CENTRAL PARK','PRESIDENTE PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2147998,4.00,6.00,6.00,5.00,7.00,4.50,5.00,4.00,3.00,202,203,201,'SANTA CATARINA','ILHA SOLTEIRA','SP',11883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148005,5.00,7.00,5.00,7.00,6.00,6.75,7.00,6.00,5.00,303,101,NULL,'UNIVERSITARIO','LAGES','SC',5413,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2148013,4.00,8.00,4.00,6.00,7.00,6.50,5.00,7.00,4.00,316,301,NULL,'AMÉRICA','JOINVILLE','SC',7101,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2148021,4.00,6.00,1.00,7.00,6.00,4.50,4.00,5.00,5.00,303,5,NULL,'RIO CAVEIRAS','BIGUACU','SC',11785,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2148030,2.00,7.00,3.00,6.00,5.00,5.75,5.00,6.00,1.00,238,317,208,'INGLESES','FLORIANOPOLIS','SC',13476,486,557,500,NULL,NULL,NULL,2,1),(15,2148056,4.00,7.00,2.00,5.00,5.00,6.00,3.00,7.00,3.00,9,302,NULL,'KOBRASOL','SAO JOSE','SC',12831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2148064,4.00,5.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,101,102,NULL,'ILHA DA FIGUEIRA','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2148072,6.00,7.00,4.00,5.00,8.00,6.75,7.00,7.00,2.00,102,217,NULL,'GARCIA','BLUMENAU','SC',5314,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2148080,4.00,8.00,3.00,5.00,7.00,6.00,6.00,6.00,4.00,444,404,NULL,'FAZENDA','ITAJAI','SC',7821,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2148099,5.00,9.00,0.00,5.00,7.00,4.50,5.00,9.00,2.00,332,327,NULL,'CENTRO','POMERODE','SC',10076,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2148102,2.00,7.00,4.00,7.00,8.00,6.50,7.00,8.00,3.00,203,222,208,'NOVA PETRÓPOLIS','SAO BERNARDO DO CAMPO','SP',6518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148110,3.00,6.00,0.00,5.00,7.00,5.75,5.00,4.00,4.00,317,224,NULL,'BARREIROS','SAO JOSE','SC',15121,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2148129,2.00,4.00,0.00,4.00,4.00,5.00,1.00,4.00,2.00,420,207,NULL,'BARREIROS','SAO JOSE','SC',21991,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2148137,6.00,8.00,5.00,7.00,8.00,5.25,6.00,8.00,5.00,103,333,NULL,'JARDIM ITATIAIA','LONDRINA','PR',4446,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2148145,3.00,7.00,1.00,5.00,4.00,2.00,3.00,4.00,1.00,103,420,NULL,'PRAIA DOS AMORES','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2148153,2.00,6.00,3.00,5.00,7.00,5.50,6.00,5.00,2.00,108,450,NULL,'PANTANAL','FLORIANOPOLIS','SC',13300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148161,2.00,3.00,1.00,2.00,4.00,NULL,3.00,1.00,0.00,415,425,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148170,4.00,4.00,2.00,2.00,4.00,4.50,2.00,3.00,2.00,101,308,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',21474,306,472,NULL,NULL,NULL,NULL,2,1),(15,2148188,6.00,7.00,2.00,5.00,8.00,6.00,6.00,8.00,6.00,103,216,NULL,'SANTA HELENA','LAGES','SC',5212,1483,663,NULL,NULL,NULL,NULL,4,9),(15,2148196,3.00,6.00,0.00,3.00,5.00,4.25,4.00,5.00,3.00,203,318,NULL,'AMERICA','JOINVILLE','SC',19475,1118,508,NULL,NULL,NULL,NULL,4,8),(15,2148200,3.00,7.00,2.00,9.00,7.00,6.25,4.00,5.00,2.00,425,450,429,'CENTRO','NOVA TRENTO','SC',11298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148218,1.00,4.00,0.00,2.00,6.00,NULL,5.00,4.00,1.00,331,308,NULL,'JARDIM JANAÍNA','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2148226,4.00,7.00,4.00,6.00,5.00,6.25,4.00,7.00,1.00,444,310,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',11123,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2148234,3.00,7.00,3.00,5.00,7.00,5.00,6.00,6.00,2.00,208,222,212,'JARDIM CARANDAI','BIGUACU','SC',11637,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2148242,2.00,7.00,4.00,4.00,4.00,4.75,3.00,3.00,4.00,203,202,NULL,'CENTRO','FREDERICO WESTPHALEN','RS',18201,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2148250,1.00,2.00,1.00,2.00,7.00,7.25,5.00,4.00,2.00,5,303,NULL,'SANTA MARIA','CHAPECO','SC',20223,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2148269,5.00,6.00,3.00,5.00,8.00,6.00,4.00,7.00,2.00,428,427,423,'BARREIROS','SAO JOSE','SC',10090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,415,NULL,'ALTOS DO MORUMBI','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2148285,1.00,4.00,3.00,3.00,7.00,5.00,5.00,3.00,1.00,308,222,NULL,'ITACORUBI','FLORIANOPOLIS','SC',19692,139,209,NULL,NULL,NULL,NULL,4,1),(15,2148293,8.00,8.00,8.00,9.00,9.00,8.00,6.00,9.00,6.00,108,NULL,NULL,'COQUEIROS','FLORIANOPOLIS','SC',418,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148307,7.00,7.00,7.00,5.00,8.00,7.75,7.00,7.00,3.00,103,326,NULL,'BOM RETIRO','JOINVILLE','SC',3439,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2148315,5.00,6.00,9.00,4.00,7.00,6.25,7.00,4.00,4.00,319,NULL,NULL,'ALTO DA GLORIA','CURITIBA','PR',7751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148323,0.00,5.00,3.00,6.00,8.00,4.00,5.00,5.00,2.00,316,428,NULL,'BELA VISTA','PORTO ALEGRE','RS',14965,406,215,NULL,NULL,NULL,NULL,2,1),(15,2148331,3.00,7.00,2.00,6.00,5.00,5.25,5.00,4.00,5.00,301,207,NULL,'JARDIM AMERICA','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148340,5.00,6.00,4.00,3.00,7.00,6.50,6.00,3.00,3.00,203,216,201,'CENTRO','LAURENTINO','SC',10930,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2148358,5.00,7.00,5.00,4.00,9.00,6.00,6.00,4.00,4.00,9,215,NULL,'CENTRO','TUBARAO','SC',8219,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2148366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,207,212,'CENTRO','CAMPO BELO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2148374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'LIBERDADE','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2148382,5.00,7.00,4.00,8.00,7.00,7.00,4.00,6.00,1.00,319,326,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148390,6.00,7.00,8.00,5.00,8.00,6.50,7.00,6.00,6.00,104,102,NULL,'CENTRO','ERECHIM','RS',3253,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2148404,1.00,4.00,3.00,6.00,2.00,NULL,3.00,4.00,5.00,421,207,NULL,'ILHA DA FIGUEIRA','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(15,2148412,1.00,6.00,3.00,4.00,5.00,4.50,3.00,3.00,3.00,207,NULL,201,'PRAIA ALEGRE','PENHA','SC',19606,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2148420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'SACO DOS LIMOES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2148439,5.00,8.00,4.00,7.00,9.00,6.75,6.00,5.00,5.00,103,104,NULL,'CENTRO','CRICIUMA','SC',4671,1375,920,NULL,NULL,NULL,NULL,2,5),(15,2148447,6.00,7.00,6.00,6.00,8.00,6.50,4.00,6.00,4.00,316,324,NULL,'AREIAS','SAO JOSE','SC',6164,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2148455,7.00,7.00,8.00,7.00,5.00,7.00,7.00,6.00,6.00,415,428,NULL,'ITACORUBI','FLORIANOPOLIS','SC',2124,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2148463,3.00,6.00,4.00,6.00,5.00,5.50,4.00,4.00,2.00,303,203,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148471,1.00,4.00,1.00,1.00,3.00,NULL,1.00,5.00,2.00,223,224,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2148528,0.00,0.00,0.00,2.00,4.00,NULL,3.00,5.00,2.00,303,301,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(15,2148536,7.00,9.00,6.00,9.00,9.00,7.50,6.00,6.00,5.00,303,224,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',1571,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2148544,2.00,6.00,4.00,3.00,4.00,4.00,1.00,1.00,2.00,501,502,NULL,'MARCONDES','PRUDENTOPOLIS','PR',22263,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2148552,7.00,8.00,7.00,9.00,7.00,3.50,8.00,7.00,7.00,415,108,NULL,'TRINDADE','FLORIANOPOLIS','SC',1242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148560,4.00,9.00,6.00,5.00,6.00,5.25,7.00,9.00,5.00,333,212,NULL,'GRAÇA','SALVADOR','BA',5462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148587,1.00,4.00,1.00,5.00,5.00,NULL,3.00,1.00,0.00,309,423,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2148595,3.00,6.00,3.00,6.00,8.00,6.25,6.00,8.00,3.00,319,326,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',8628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148609,2.00,3.00,1.00,1.00,6.00,NULL,4.00,2.00,0.00,316,317,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148617,6.00,8.00,5.00,7.00,8.00,7.75,6.00,6.00,4.00,104,102,NULL,'SERRINHA','FLORIANOPOLIS','SC',3599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148625,3.00,4.00,3.00,5.00,5.00,3.50,3.00,4.00,2.00,101,324,NULL,'LINHA CONTESSI','TURVO','SC',19507,250,363,NULL,NULL,NULL,NULL,2,5),(15,2148633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,225,NULL,'VILA MONUMENTO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2148641,3.00,6.00,6.00,5.00,7.00,4.50,6.00,6.00,4.00,207,420,208,'PASSA VINTE','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'VILA A','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2148668,4.00,8.00,9.00,5.00,8.00,6.75,7.00,8.00,6.00,216,238,208,'BELA VISTA','ERECHIM','RS',2709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2148676,0.00,5.00,6.00,9.00,7.00,5.75,6.00,3.00,3.00,104,216,NULL,'NOVA BRASÍLIA','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2148684,2.00,6.00,3.00,7.00,9.00,6.50,4.00,4.00,2.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',13736,591,NULL,NULL,NULL,NULL,NULL,2,1),(15,2148706,2.00,5.00,2.00,6.00,7.00,5.25,1.00,6.00,1.00,404,423,NULL,'KOBRASOL','SAO JOSE','SC',18390,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2148714,5.00,7.00,5.00,9.00,8.00,7.50,6.00,7.00,4.00,103,319,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148722,6.00,7.00,5.00,5.00,8.00,6.75,6.00,7.00,3.00,424,421,425,'KOBRASOL','SAO JOSE','SC',4924,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2148730,2.00,5.00,3.00,2.00,6.00,5.00,3.00,3.00,2.00,333,404,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',20614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148749,5.00,6.00,5.00,7.00,9.00,8.00,6.00,7.00,4.00,304,318,NULL,'PINHEIROS','SAO PAULO','SP',4270,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2148757,3.00,4.00,5.00,2.00,5.00,5.75,3.00,3.00,2.00,301,223,NULL,'PARQUE SAO JORGE','FLORIANOPOLIS','SC',19857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148773,7.00,8.00,6.00,7.00,6.00,4.25,8.00,8.00,7.00,216,328,211,'JOSÉ MENDES','FLORIANOPOLIS','SC',1596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148781,2.00,7.00,3.00,5.00,7.00,7.00,2.00,7.00,2.00,415,304,NULL,'CENTRO','CAMPO GRANDE','MS',14462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148790,4.00,3.00,3.00,5.00,5.00,5.50,4.00,2.00,2.00,217,423,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',17646,161,214,NULL,NULL,NULL,NULL,2,1),(15,2148803,6.00,7.00,7.00,3.00,8.00,5.50,7.00,7.00,5.00,207,420,215,'ANITA GARIBALDI','JOINVILLE','SC',4196,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2148811,6.00,8.00,7.00,4.00,8.00,6.25,7.00,7.00,5.00,212,329,201,'COQUEIROS','FLORIANOPOLIS','SC',3313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148820,3.00,5.00,4.00,9.00,8.00,5.75,5.00,9.00,2.00,426,319,425,'S CORAÇÃO DE JESUS','LAGES','SC',6789,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2148838,6.00,5.00,7.00,8.00,9.00,5.00,5.00,3.00,3.00,215,223,216,'SACO GRANDE','FLORIANOPOLIS','SC',7310,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2148846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2148854,2.00,4.00,1.00,5.00,3.00,6.00,3.00,2.00,3.00,207,9,211,'SAO FRANCISCO','CAMPO GRANDE','MS',20976,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2148862,4.00,7.00,6.00,5.00,6.00,5.00,6.00,7.00,5.00,316,318,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',5640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148870,3.00,5.00,4.00,3.00,8.00,5.00,2.00,3.00,4.00,428,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',16133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,213,214,'ARMAÇÃO','PENHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2148897,5.00,6.00,5.00,5.00,7.00,5.00,6.00,5.00,2.00,207,420,201,'CENTRO','FRANCISCO BELTRAO','PR',10914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2148919,4.00,7.00,6.00,5.00,7.00,6.00,6.00,6.00,3.00,404,215,NULL,'PRAÇA','TIJUCAS','SC',7346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2148927,5.00,7.00,4.00,8.00,9.00,7.25,9.00,7.00,5.00,450,425,NULL,'OCTOGONAL','CRUZEIRO','DF',2482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2148935,7.00,8.00,6.00,7.00,7.00,7.00,8.00,7.00,5.00,303,319,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',1959,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2148943,5.00,5.00,3.00,2.00,7.00,4.50,4.00,5.00,2.00,316,301,NULL,'RIBEORÃO FRESCO','BLUMENAU','SC',16647,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2148951,1.00,5.00,2.00,4.00,6.00,4.50,3.00,4.00,3.00,201,302,212,'IGRA','TORRES','RS',19366,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2148960,3.00,7.00,8.00,6.00,7.00,6.25,7.00,7.00,4.00,103,423,NULL,'KOBRASOL','SAO JOSE','SC',5132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2148986,2.00,5.00,2.00,4.00,7.00,4.75,4.00,4.00,3.00,502,102,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',17277,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2148994,3.00,5.00,3.00,1.00,5.00,NULL,2.00,2.00,1.00,103,9,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2149001,5.00,8.00,7.00,3.00,8.00,6.50,9.00,8.00,7.00,203,233,202,'JARDIM ITAMARATI','RIBEIRAO PRETO','SP',2577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149010,2.00,5.00,2.00,2.00,6.00,2.00,6.00,5.00,4.00,5,304,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149028,1.00,3.00,3.00,3.00,5.00,NULL,2.00,2.00,2.00,104,309,NULL,'STO ANTONIO DE LISBO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149036,3.00,7.00,1.00,7.00,7.00,4.75,3.00,6.00,2.00,329,320,NULL,'TRINDADE','FLORIANOPOLIS','SC',12820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149044,7.00,8.00,9.00,7.00,8.00,6.25,9.00,8.00,7.00,303,304,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',924,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2149052,4.00,5.00,6.00,4.00,7.00,6.50,8.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',6275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149060,6.00,6.00,2.00,6.00,7.00,5.75,4.00,4.00,4.00,211,NULL,207,'JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP',9574,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149079,2.00,4.00,6.00,6.00,7.00,5.25,5.00,3.00,4.00,234,339,NULL,'CENTRO','FLORIANOPOLIS','SC',12570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149087,5.00,7.00,4.00,6.00,7.00,5.00,4.00,4.00,2.00,317,224,NULL,'CENTRO','FLORIANOPOLIS','SC',12475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149095,2.00,6.00,1.00,6.00,6.00,6.25,3.00,3.00,3.00,303,415,NULL,'CAMPINAS','SAO JOSE','SC',18053,798,777,NULL,NULL,NULL,NULL,2,1),(15,2149109,7.00,7.00,7.00,8.00,9.00,6.75,9.00,7.00,8.00,415,NULL,NULL,'JARDIM SANTA MARIA','GUARUJA','SP',631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149117,3.00,8.00,4.00,8.00,9.00,6.00,5.00,5.00,3.00,415,301,NULL,'CENTRO','FLORIANOPOLIS','SC',7385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149125,2.00,3.00,1.00,4.00,5.00,5.25,3.00,3.00,1.00,102,217,NULL,'CENTRO','TURVO','SC',21880,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2149133,3.00,7.00,4.00,3.00,5.00,4.50,4.00,5.00,4.00,324,326,NULL,'BARREIROS','SAO JOSE','SC',16029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149141,4.00,6.00,7.00,5.00,7.00,5.50,7.00,5.00,6.00,207,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149150,1.00,3.00,2.00,5.00,6.00,4.50,3.00,2.00,1.00,101,102,NULL,'RIO CAVEIRAS','BIGUACU','SC',21565,308,1126,NULL,NULL,NULL,NULL,2,1),(15,2149168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,309,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2149192,3.00,7.00,6.00,8.00,5.00,5.25,5.00,7.00,2.00,502,108,NULL,'CENTRO','MACHADINHO','RS',7684,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2149206,0.00,7.00,5.00,9.00,6.00,4.75,5.00,6.00,2.00,301,316,NULL,'CENTRO','CANOAS','RS',12066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149214,4.00,7.00,4.00,6.00,9.00,7.00,4.00,5.00,3.00,220,NULL,233,'CENTRO','MARACAJA','SC',8859,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2149222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,333,NULL,'JARDIM IBIRATIBA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2149230,3.00,6.00,3.00,2.00,4.00,5.50,4.00,3.00,4.00,318,317,NULL,'IPIRANGA','SAO JOSE','SC',18705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149249,3.00,2.00,3.00,2.00,4.00,4.75,3.00,1.00,3.00,102,103,NULL,'IRIRIÚ','JOINVILLE','SC',22245,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2149257,1.00,5.00,2.00,3.00,6.00,4.00,3.00,3.00,3.00,309,423,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',21041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149265,1.00,5.00,3.00,8.00,4.00,4.00,3.00,5.00,4.00,104,207,NULL,'KOBRASOL','SAO JOSE','SC',16915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149273,3.00,5.00,5.00,4.00,6.00,6.00,4.00,3.00,2.00,308,319,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149281,8.00,7.00,6.00,6.00,7.00,6.75,8.00,7.00,7.00,108,319,NULL,'CENTRO','POMERODE','SC',1798,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2149290,5.00,7.00,6.00,4.00,5.00,4.75,5.00,6.00,3.00,316,224,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',10195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149303,6.00,8.00,6.00,7.00,7.00,6.50,6.00,7.00,4.00,303,201,NULL,'CAMPINAS','SAO JOSE','SC',4197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149311,3.00,6.00,5.00,5.00,5.00,5.00,4.00,7.00,3.00,103,502,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149320,3.00,4.00,2.00,2.00,6.00,6.00,1.00,5.00,3.00,103,207,NULL,'SAGRADO CORAÇÃO JESU','LAGES','SC',19798,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2149346,3.00,6.00,5.00,6.00,5.00,5.50,6.00,5.00,4.00,316,233,NULL,'CENTRO','FLORIANOPOLIS','SC',8558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149362,4.00,7.00,3.00,3.00,6.00,5.75,5.00,5.00,1.00,317,215,NULL,'CAMPINAS','SAO JOSE','SC',14382,215,561,NULL,NULL,NULL,NULL,4,1),(15,2149370,2.00,5.00,0.00,2.00,4.00,NULL,4.00,3.00,2.00,333,420,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2149389,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,318,415,NULL,'CEDRO','CANELA','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2149397,0.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CORUPA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(15,2149400,4.00,7.00,8.00,6.00,6.00,4.75,6.00,4.00,4.00,420,207,NULL,'CANTO','FLORIANOPOLIS','SC',8200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,303,NULL,'CENTRO','ITARARE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2149427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,211,NULL,'NOVA BRASILIA','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2149435,4.00,8.00,4.00,5.00,8.00,6.75,3.00,5.00,5.00,108,238,NULL,'FLORESTA','SAO JOSE','SC',7830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149451,6.00,7.00,5.00,6.00,7.00,6.75,1.00,7.00,4.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',7988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149460,5.00,8.00,4.00,5.00,7.00,6.50,5.00,7.00,3.00,415,425,NULL,'VICTOR KONDER','BLUMENAU','SC',7800,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2149478,3.00,5.00,2.00,2.00,3.00,7.00,4.00,3.00,2.00,309,104,NULL,'CAMPECHE','FLORIANOPOLIS','SC',19465,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149486,4.00,6.00,1.00,5.00,5.00,3.75,3.00,4.00,2.00,451,450,NULL,'BOA VISTA','CANOINHAS','SC',19175,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2149494,2.00,5.00,1.00,5.00,5.00,4.75,2.00,3.00,1.00,301,415,NULL,'LAGOA DA CONCEICÃO','FLORIANOPOLIS','SC',20823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149508,3.00,4.00,2.00,6.00,4.00,4.50,4.00,5.00,2.00,201,203,207,'CENTRO','BOMBINHAS','SC',18900,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2149516,4.00,6.00,4.00,5.00,5.00,5.75,5.00,3.00,2.00,208,420,238,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',14395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149524,4.00,6.00,5.00,4.00,6.00,4.00,7.00,7.00,5.00,220,420,214,'BARREIROS','SAO JOSE','SC',8760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149532,6.00,5.00,5.00,6.00,8.00,5.25,7.00,7.00,2.00,319,329,NULL,'URBANOVA','SAO JOSE DOS CAMPOS','SP',6426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149559,0.00,8.00,4.00,5.00,6.00,5.75,3.00,5.00,1.00,5,303,NULL,'BALNEARIO','FLORIANOPOLIS','SC',16918,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149567,6.00,6.00,6.00,9.00,8.00,8.00,8.00,6.00,5.00,207,404,NULL,'PANTANAL','FLORIANOPOLIS','SC',2273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149575,2.00,8.00,5.00,8.00,4.00,6.50,5.00,5.00,3.00,5,318,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',9711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149583,3.00,6.00,5.00,6.00,6.00,5.00,6.00,4.00,4.00,211,316,208,'KOBRASOL','SAO JOSE','SC',11826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149591,4.00,8.00,6.00,3.00,6.00,5.50,3.00,7.00,4.00,329,328,NULL,'COPACABANA','LAGES','SC',8711,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2149605,1.00,7.00,4.00,2.00,3.00,6.00,4.00,4.00,2.00,203,220,214,'ÁGUA VERDE','CURITIBA','PR',18257,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2149613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,201,212,'LIBERDADE','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2149621,1.00,5.00,5.00,1.00,7.00,5.00,6.00,4.00,1.00,104,424,NULL,'ITACORUBI','FLORIANOPOLIS','SC',19144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149648,4.00,5.00,6.00,7.00,6.00,4.25,5.00,5.00,3.00,5,425,NULL,'OPERARIA NOVA','CRICIUMA','SC',10251,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2149656,2.00,4.00,2.00,4.00,5.00,5.50,5.00,4.00,5.00,302,304,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149664,1.00,4.00,2.00,6.00,5.00,5.25,4.00,5.00,3.00,451,328,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149680,2.00,6.00,3.00,6.00,3.00,4.75,6.00,5.00,3.00,333,301,NULL,'CENTRO','NOVA VENEZA','SC',15918,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2149699,4.00,2.00,3.00,6.00,6.00,3.75,4.00,4.00,2.00,308,324,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',18416,112,328,NULL,NULL,NULL,NULL,2,1),(15,2149702,4.00,6.00,4.00,7.00,7.00,5.25,6.00,4.00,5.00,217,2,NULL,'CASTELO BRANCO','ITAPEMA','SC',9012,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149710,7.00,7.00,1.00,7.00,7.00,6.00,4.00,6.00,1.00,9,502,NULL,'CENTRO','FLORIANOPOLIS','SC',10875,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149729,2.00,6.00,3.00,1.00,5.00,2.50,2.00,2.00,4.00,444,208,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149737,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,303,5,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2149745,1.00,8.00,3.00,5.00,5.00,4.00,4.00,5.00,3.00,302,502,NULL,'CENTRO','FLORIANOPOLIS','SC',16256,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149753,3.00,8.00,4.00,7.00,7.00,7.00,5.00,3.00,3.00,339,444,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',9285,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149761,4.00,7.00,5.00,4.00,7.00,5.75,4.00,7.00,3.00,234,329,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',9889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149770,5.00,6.00,6.00,6.00,5.00,5.00,7.00,3.00,4.00,420,301,NULL,'KOBRASOL','SAO JOSE','SC',10423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149788,0.00,6.00,2.00,6.00,2.00,NULL,3.00,2.00,2.00,104,316,NULL,'CENTRO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2149800,6.00,8.00,5.00,6.00,5.00,6.25,6.00,5.00,3.00,233,214,211,'CENTRO','FLORIANOPOLIS','SC',8078,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149818,3.00,5.00,5.00,5.00,6.00,5.75,3.00,4.00,4.00,333,331,NULL,'CENTRO','PALHOCA','SC',14616,217,171,NULL,NULL,NULL,NULL,2,1),(15,2149826,2.00,5.00,4.00,7.00,6.00,5.00,2.00,4.00,0.00,5,238,NULL,'ITACORUBI','FLORIANOPOLIS','SC',18447,763,991,NULL,NULL,NULL,NULL,5,1),(15,2149834,3.00,5.00,3.00,8.00,5.00,0.00,3.00,4.00,2.00,444,301,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149842,4.00,5.00,4.00,6.00,6.00,4.50,5.00,5.00,3.00,301,302,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',13466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149850,4.00,8.00,6.00,3.00,7.00,6.00,7.00,7.00,7.00,203,212,214,'JD BONFIGLIOLI','SAO PAULO','SP',5761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149877,6.00,8.00,6.00,7.00,9.00,6.50,7.00,5.00,7.00,207,101,201,'BARREIROS','SAO JOSE','SC',1831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149885,4.00,4.00,1.00,0.00,6.00,NULL,1.00,4.00,1.00,101,NULL,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149893,3.00,6.00,3.00,6.00,6.00,4.75,4.00,3.00,3.00,207,444,NULL,'CENTRO','FLORIANOPOLIS','SC',15798,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149907,1.00,4.00,1.00,0.00,5.00,NULL,2.00,4.00,1.00,316,444,NULL,'CACUPÉ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149915,1.00,4.00,2.00,0.00,4.00,NULL,1.00,6.00,3.00,317,318,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149923,4.00,5.00,5.00,2.00,6.00,4.50,5.00,4.00,6.00,103,104,NULL,'CENTRO','COLORADO','PR',13215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149931,5.00,8.00,9.00,8.00,8.00,6.50,6.00,6.00,5.00,319,333,NULL,'COOPHALIS','RONDONOPOLIS','MT',2714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149940,7.00,9.00,7.00,8.00,9.00,7.00,7.00,8.00,5.00,207,303,220,'JARDIM TROPICAL','CUIABA','MT',1200,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2149958,9.00,8.00,9.00,7.00,7.00,5.25,9.00,7.00,7.00,103,108,NULL,'NOVA PIRACICABA','PIRACICABA','SP',546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149966,1.00,4.00,5.00,3.00,6.00,6.50,4.00,3.00,4.00,302,304,NULL,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2149974,3.00,7.00,5.00,4.00,7.00,6.00,5.00,6.00,2.00,207,215,201,'JARDIM ANTARCTICA','RIBEIRAO PRETO','SP',11043,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2149982,4.00,7.00,4.00,8.00,5.00,5.75,5.00,4.00,3.00,207,5,201,'CENTRO','CACADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2149990,2.00,7.00,2.00,1.00,7.00,3.25,5.00,4.00,5.00,316,212,NULL,'PARQUE CONTIENTAL','GUARULHOS','SP',17079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150000,4.00,6.00,3.00,5.00,7.00,5.50,5.00,5.00,4.00,102,9,NULL,'CENTRO','SANTA MARIA','RS',10187,186,504,NULL,NULL,NULL,NULL,2,1),(15,2150018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,339,428,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2150026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,317,NULL,'ORIENTAL','ESTRELA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2150034,7.00,8.00,8.00,7.00,8.00,7.50,9.00,6.00,9.00,203,333,201,'CENTRO','APUCARANA','PR',379,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2150042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,5,NULL,'CENTRO','MARAU','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2150050,2.00,4.00,6.00,4.00,7.00,5.50,5.00,4.00,4.00,501,211,NULL,'JARDIM PRAIA MAR','ITAPEMA','SC',12941,133,895,NULL,NULL,NULL,NULL,4,3),(15,2150069,4.00,6.00,5.00,3.00,7.00,5.50,3.00,6.00,2.00,319,309,NULL,'ASA SUL','BRASILIA','DF',11753,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2150085,3.00,7.00,1.00,0.00,6.00,6.00,6.00,6.00,3.00,327,444,NULL,'SANTA CECÍLIA','PORTO ALEGRE','RS',15838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150093,5.00,7.00,5.00,6.00,7.00,8.00,4.00,7.00,5.00,207,319,201,'CENTRO','FLORIANOPOLIS','SC',5556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150107,4.00,5.00,3.00,8.00,8.00,3.75,4.00,3.00,4.00,216,501,215,'RIO TAVARES','FLORIANOPOLIS','SC',11389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150123,1.00,6.00,4.00,6.00,4.00,4.50,6.00,4.00,2.00,333,404,NULL,'TRINDADE','FLORIANOPOLIS','SC',15295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150131,6.00,6.00,8.00,6.00,6.00,6.00,8.00,6.00,5.00,303,201,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',3895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150140,5.00,8.00,3.00,3.00,6.00,5.00,6.00,5.00,3.00,211,NULL,NULL,'FREITAS','SAO JOSE DOS CAMPOS','SP',11559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150158,2.00,8.00,4.00,4.00,8.00,6.00,3.00,3.00,2.00,420,308,NULL,'ESTREITO','FLORIANOPOLIS','SC',14045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2150166,2.00,6.00,2.00,3.00,5.00,4.50,1.00,1.00,2.00,303,211,NULL,'SAO JOSE CENTRO','SAO JOSE','SC',22327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2150182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,420,NULL,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2150190,2.00,4.00,0.00,4.00,7.00,5.00,3.00,3.00,1.00,317,319,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',20852,387,941,NULL,NULL,NULL,NULL,2,1),(15,2150212,0.00,3.00,3.00,2.00,4.00,NULL,3.00,2.00,2.00,302,301,NULL,'ESTREIRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2150239,4.00,6.00,3.00,4.00,6.00,3.50,6.00,7.00,3.00,238,404,208,'CENTRO','LAGUNA','SC',12628,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2150255,6.00,6.00,6.00,4.00,6.00,5.50,8.00,2.00,5.00,303,108,NULL,'CENTRO','FLORIANOPOLIS','SC',8955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150271,4.00,7.00,5.00,7.00,4.00,5.25,5.00,5.00,3.00,222,225,NULL,'PANTANAL','FLORIANOPOLIS','SC',10026,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2150280,2.00,6.00,4.00,7.00,6.00,3.00,5.00,7.00,2.00,208,238,220,'CENTRO','NAVEGANTES','SC',12172,441,920,449,NULL,NULL,NULL,4,6),(15,2150298,4.00,8.00,8.00,7.00,8.00,7.00,8.00,7.00,7.00,211,238,208,'BARREIROS','SAO JOSE','SC',1381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2150301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,2,202,'SANTA TEREZA','JOACABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2150328,4.00,7.00,6.00,6.00,4.00,5.75,6.00,5.00,2.00,215,9,216,'VILA OLINDA','PIEDADE','SP',10177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150336,5.00,8.00,3.00,9.00,8.00,8.50,6.00,8.00,6.00,104,301,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150344,4.00,6.00,3.00,3.00,4.00,4.25,3.00,2.00,1.00,234,423,NULL,'INGLESES','FLORIANOPOLIS','SC',20499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2150352,0.00,6.00,1.00,1.00,5.00,NULL,3.00,3.00,2.00,450,451,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2150360,4.00,7.00,8.00,6.00,7.00,6.25,6.00,6.00,4.00,208,NULL,238,'CENTRO','SANTANA DO LIVRAMENTO','RS',4995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2150379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,238,NULL,'FLORESTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2150409,5.00,6.00,5.00,7.00,7.00,3.50,5.00,4.00,4.00,238,425,208,'COQUEIROS','FLORIANOPOLIS','SC',10218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150425,7.00,7.00,9.00,8.00,9.00,5.25,8.00,5.00,5.00,301,316,NULL,'ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP',2039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150433,2.00,6.00,4.00,4.00,4.00,6.25,8.00,6.00,3.00,444,501,NULL,'ITACORUBI','FLORIANOPOLIS','SC',11291,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2150441,7.00,8.00,5.00,7.00,7.00,4.25,6.00,7.00,7.00,103,108,NULL,'JARDIM DAS COLINAS','SAO JOSE DOS CAMPOS','SP',3649,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2150450,3.00,7.00,2.00,5.00,6.00,6.50,3.00,6.00,2.00,303,415,NULL,'CENTRO','CURITIBA','PR',13873,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2150468,8.00,9.00,8.00,8.00,9.00,6.50,6.00,6.00,6.00,103,207,NULL,'TRINDADE','FLORIANOPOLIS','SC',1524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150476,2.00,4.00,2.00,3.00,7.00,6.75,4.00,6.00,5.00,415,NULL,NULL,'IMPERIAL','VACARIA','RS',14807,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2150484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','RIO VERDE','GO',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2150492,3.00,4.00,1.00,5.00,4.00,4.75,3.00,4.00,1.00,5,NULL,NULL,'PRAÇA','TIJUCAS','SC',20906,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2150506,5.00,8.00,6.00,8.00,8.00,6.50,7.00,7.00,4.00,301,208,NULL,'PANTANAL','FLORIANOPOLIS','SC',2824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150514,5.00,8.00,4.00,7.00,8.00,5.50,7.00,6.00,5.00,103,104,NULL,'COQUEIROS','FLORIANOPOLIS','SC',5447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150522,2.00,3.00,3.00,6.00,6.00,5.50,3.00,3.00,3.00,316,301,NULL,'KOBRASOL','SAO JOSE','SC',17939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150530,3.00,6.00,2.00,6.00,6.00,4.50,8.00,6.00,6.00,103,NULL,NULL,'JD BONFIGLIOLI','JUNDIAI','SP',10601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150549,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,319,9,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2150565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,333,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2150573,3.00,6.00,4.00,0.00,6.00,4.25,4.00,6.00,1.00,225,202,NULL,'BARREIROS','SAO JOSE','SC',17885,47,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150581,0.00,6.00,1.00,0.00,7.00,NULL,4.00,4.00,2.00,234,211,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,303,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2150611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,502,NULL,'MACUCO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2150620,5.00,6.00,9.00,6.00,8.00,4.00,7.00,5.00,5.00,203,222,208,'COQUEIROS','FLORIANOPOLIS','SC',4904,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2150638,6.00,7.00,7.00,7.00,7.00,5.00,6.00,7.00,5.00,444,NULL,NULL,'JD COLINAS','SAO JOSE DOS CAMPOS','SP',5243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150646,3.00,5.00,0.00,2.00,5.00,4.25,3.00,4.00,1.00,301,333,NULL,'BARREIROS','SAO JOSE','SC',20610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150654,4.00,8.00,8.00,8.00,8.00,5.00,6.00,7.00,5.00,319,415,NULL,'CENTRO','FLORIANOPOLIS','SC',3533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,501,NULL,'ANTONIO PAGLIA','PONTE SERRADA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2150670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,444,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2150689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,420,207,'SCHRAMM','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2150697,2.00,4.00,2.00,3.00,2.00,NULL,5.00,4.00,3.00,103,108,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2150700,2.00,5.00,4.00,5.00,7.00,5.00,3.00,3.00,2.00,308,324,NULL,'ARIRIÚ','PALHOCA','SC',16196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150719,6.00,7.00,8.00,8.00,8.00,6.25,8.00,8.00,6.00,103,108,NULL,'FUNDO CANOAS','RIO DO SUL','SC',1891,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2150727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,212,213,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2150735,4.00,7.00,3.00,5.00,6.00,5.25,6.00,6.00,1.00,303,NULL,NULL,'CACUPÉ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150743,2.00,3.00,4.00,4.00,4.00,4.75,2.00,2.00,1.00,103,NULL,NULL,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2150751,5.00,5.00,3.00,2.00,4.00,4.50,6.00,3.00,1.00,420,208,NULL,'FORQUILHINHAS','SAO JOSE','SC',18548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150760,5.00,7.00,4.00,6.00,8.00,5.75,7.00,5.00,5.00,207,101,215,'BELA VISTA I','SAO JOSE','SC',5343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150778,6.00,7.00,6.00,7.00,8.00,5.75,6.00,4.00,6.00,217,9,NULL,'ASA NORTE','BRASILIA','DF',4447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150794,2.00,6.00,1.00,8.00,4.00,5.00,4.00,6.00,2.00,429,309,425,'CENTRO','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2150808,4.00,7.00,9.00,8.00,8.00,6.50,6.00,6.00,2.00,216,301,215,'VILA NOVA','BLUMENAU','SC',3962,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2150824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,216,NULL,'CENTRO','CACADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2150832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,201,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2150840,8.00,8.00,9.00,4.00,8.00,6.25,9.00,7.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',1090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150867,6.00,9.00,9.00,9.00,9.00,6.00,9.00,8.00,6.00,103,326,NULL,'CENTRO','FLORIANOPOLIS','SC',508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150875,4.00,6.00,6.00,7.00,5.00,5.50,5.00,4.00,3.00,450,420,NULL,'CENTRO','BENTO GONCALVES','RS',9880,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2150883,2.00,6.00,2.00,7.00,7.00,6.50,4.00,6.00,5.00,212,316,201,'CENTRO','RIO DO SUL','SC',10305,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2150891,1.00,6.00,6.00,7.00,7.00,4.00,3.00,4.00,3.00,319,102,NULL,'CENTRO','CRICIUMA','SC',13504,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2150905,1.00,6.00,1.00,2.00,7.00,6.25,5.00,6.00,5.00,201,223,207,'SÃO MARTINHO','TUBARAO','SC',15802,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2150921,4.00,8.00,7.00,7.00,7.00,5.75,8.00,7.00,6.00,201,2,233,'ESTREITO','FLORIANOPOLIS','SC',3167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,2.00,0.00,104,102,NULL,'CENTRO','GUARATUBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2150956,3.00,4.00,1.00,2.00,3.00,4.00,1.00,4.00,3.00,444,308,NULL,'SERTAO DO MARUI','SAO JOSE','SC',22472,309,500,NULL,NULL,NULL,NULL,2,1),(15,2150964,3.00,6.00,4.00,3.00,4.00,6.25,2.00,4.00,4.00,339,308,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',16386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2150972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,215,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2150980,1.00,5.00,4.00,1.00,5.00,4.50,6.00,4.00,0.00,215,214,203,'JARDIM IRÍRIU','JOINVILLE','SC',19859,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2150999,2.00,4.00,5.00,6.00,7.00,5.75,6.00,5.00,3.00,9,319,NULL,'CENTRO','FLORIANOPOLIS','SC',11458,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151006,4.00,6.00,4.00,5.00,8.00,6.25,4.00,6.00,3.00,316,317,NULL,'CALHEIROS','GOVERNADOR CELSO RAMOS','SC',8652,182,466,NULL,NULL,NULL,NULL,2,1),(15,2151014,3.00,5.00,2.00,6.00,7.00,4.50,2.00,6.00,2.00,415,425,NULL,'ESTREITO','FLORIANOPOLIS','SC',16127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151022,2.00,7.00,3.00,1.00,7.00,5.75,6.00,7.00,3.00,208,NULL,238,'PARANAGUAMIRIM','JOINVILLE','SC',12911,482,NULL,466,NULL,NULL,NULL,4,8),(15,2151030,6.00,8.00,6.00,10.00,9.00,6.75,8.00,8.00,3.00,424,427,NULL,'VELHA','BLUMENAU','SC',1565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151057,1.00,4.00,2.00,4.00,4.00,2.25,3.00,2.00,4.00,317,318,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151065,8.00,8.00,8.00,9.00,7.00,6.50,7.00,8.00,6.00,103,104,NULL,'CORDEIROS','ITAJAI','SC',1016,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2151073,2.00,6.00,0.00,4.00,5.00,3.50,5.00,4.00,3.00,415,320,NULL,'BONFIM','CAMPINAS','SP',17590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151090,5.00,8.00,7.00,9.00,9.00,5.75,8.00,8.00,7.00,214,225,213,'CENTRO','LAGES','SC',576,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2151103,3.00,7.00,4.00,5.00,8.00,4.00,6.00,4.00,2.00,303,301,NULL,'CENTRO','FLORIANOPOLIS','SC',11361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151111,6.00,8.00,8.00,8.00,8.00,8.25,6.00,7.00,4.00,5,428,NULL,'CAMPINAS','SAO JOSE','SC',2617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151120,1.00,4.00,4.00,1.00,6.00,5.50,4.00,3.00,2.00,217,216,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',20964,194,822,NULL,NULL,NULL,NULL,4,1),(15,2151138,3.00,6.00,1.00,5.00,5.00,4.75,3.00,4.00,6.00,225,318,NULL,'BOM RETIRO','CURITIBA','PR',15686,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151146,4.00,6.00,5.00,5.00,5.00,3.00,6.00,4.00,4.00,444,329,NULL,'CENTRO','FLORIANOPOLIS','SC',13636,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151154,2.00,5.00,2.00,5.00,6.00,6.50,5.00,6.00,3.00,216,2,233,'SANTO ANTÃO','BENTO GONCALVES','RS',14121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151162,2.00,4.00,1.00,2.00,6.00,4.50,3.00,5.00,3.00,326,331,NULL,'INGLESES','FLORIANOPOLIS','SC',19863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151170,3.00,6.00,6.00,8.00,5.00,7.00,6.00,7.00,1.00,420,451,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151189,2.00,7.00,1.00,4.00,6.00,5.75,3.00,4.00,1.00,103,101,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',18034,2865,696,NULL,NULL,NULL,NULL,2,1),(15,2151200,1.00,7.00,4.00,7.00,4.00,NULL,0.00,0.00,0.00,225,217,NULL,'INGLESES DO RIO VERM','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2151219,1.00,7.00,1.00,4.00,6.00,4.75,2.00,4.00,5.00,309,415,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',17575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,415,NULL,'SUMAREZINHO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2151235,6.00,9.00,7.00,6.00,8.00,6.75,8.00,8.00,5.00,5,304,NULL,'CENTRO','FLORIANOPOLIS','SC',1549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151243,4.00,5.00,3.00,5.00,6.00,6.50,4.00,4.00,2.00,316,429,NULL,'ESTREITO','FLORIANOPOLIS','SC',15124,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151251,7.00,7.00,9.00,9.00,7.00,7.75,8.00,8.00,7.00,5,303,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151260,3.00,6.00,2.00,3.00,8.00,6.25,1.00,6.00,3.00,424,327,425,'CENTRO','FLORIANOPOLIS','SC',16449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151278,3.00,6.00,4.00,7.00,5.00,5.75,6.00,7.00,2.00,5,425,NULL,'BARREIROS','SAO JOSE','SC',9835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151294,1.00,5.00,4.00,2.00,5.00,5.50,2.00,5.00,1.00,415,319,NULL,'ODILA','IBIRUBA','RS',21226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151308,3.00,7.00,4.00,6.00,8.00,5.75,6.00,8.00,4.00,415,NULL,NULL,'CENTRO','SANTO AUGUSTO','RS',6070,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2151324,3.00,4.00,3.00,6.00,5.00,4.50,4.00,2.00,0.00,329,324,NULL,'BARREIROS','SAO JOSE','SC',19479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151332,1.00,7.00,1.00,6.00,6.00,5.50,2.00,6.00,2.00,415,207,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',17527,435,1252,NULL,NULL,NULL,NULL,2,10),(15,2151340,2.00,5.00,3.00,1.00,1.00,NULL,5.00,5.00,3.00,238,208,213,'SÃO SEBASTIÃO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151359,3.00,6.00,4.00,5.00,7.00,4.50,5.00,8.00,2.00,327,329,NULL,'VILA GUARANI','SAO PAULO','SP',11265,49,146,NULL,NULL,NULL,NULL,4,1),(15,2151375,5.00,8.00,5.00,7.00,7.00,6.75,7.00,6.00,5.00,102,9,NULL,'BARREIROS','SAO JOSE','SC',3516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151383,2.00,3.00,3.00,2.00,6.00,6.50,5.00,3.00,3.00,301,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',20029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151391,3.00,7.00,3.00,7.00,6.00,6.00,6.00,5.00,4.00,332,327,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',8905,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151405,3.00,7.00,4.00,6.00,7.00,7.50,3.00,6.00,3.00,420,425,NULL,'CAMPECHE','FLORIANOPOLIS','SC',9017,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151413,1.00,6.00,1.00,3.00,6.00,5.00,4.00,5.00,2.00,203,238,214,'INTERIOR','UNIAO DO OESTE','SC',18437,1073,990,538,NULL,NULL,NULL,2,4),(15,2151421,4.00,7.00,4.00,7.00,7.00,5.25,4.00,7.00,4.00,317,318,NULL,'PONTA DE BAIXO','SAO JOSE','SC',8994,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151430,5.00,5.00,3.00,3.00,3.00,3.25,3.00,4.00,4.00,317,224,NULL,'BELA VISTA','PALHOCA','SC',19524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151448,5.00,9.00,5.00,8.00,6.00,6.00,6.00,4.00,5.00,103,NULL,NULL,'JARDIM MONTE CARLO','MARINGA','PR',6326,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2151456,3.00,5.00,2.00,6.00,7.00,5.50,3.00,5.00,3.00,428,427,426,'PONTE DO IMARUIM','PALHOCA','SC',15089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,415,NULL,'CENTRO','PRESIDENTE GETULIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2151472,2.00,6.00,1.00,3.00,6.00,5.00,3.00,3.00,2.00,215,429,NULL,'INTERIOR','UNIAO DO OESTE','SC',20395,393,298,NULL,NULL,NULL,NULL,2,4),(15,2151480,3.00,3.00,2.00,3.00,4.00,5.50,3.00,2.00,4.00,319,103,NULL,'JAAGUÁ ESQUERDO','JARAGUA DO SUL','SC',21242,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(15,2151499,2.00,6.00,2.00,6.00,8.00,4.50,6.00,6.00,3.00,104,102,NULL,'PINHEIRINHO','CRICIUMA','SC',11138,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(15,2151510,2.00,6.00,3.00,4.00,6.00,5.00,4.00,4.00,1.00,317,302,NULL,'RIO BLOEMER','SAO BONIFACIO','SC',18145,306,311,NULL,NULL,NULL,NULL,2,1),(15,2151529,0.00,4.00,2.00,5.00,5.00,NULL,3.00,3.00,2.00,203,333,208,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2151537,0.00,7.00,4.00,7.00,5.00,5.50,3.00,5.00,4.00,420,415,NULL,'CENTRO','JOACABA','SC',14323,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2151545,3.00,3.00,0.00,4.00,7.00,5.00,3.00,3.00,2.00,208,207,NULL,'CENTRO DE SAO JOSE','SAO JOSE','SC',19923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151553,4.00,8.00,3.00,5.00,7.00,5.00,4.00,5.00,2.00,5,426,NULL,'VILA SÃO JOÃO','FLORIANOPOLIS','SC',11782,510,163,NULL,NULL,NULL,NULL,2,1),(15,2151596,4.00,9.00,4.00,5.00,8.00,5.50,5.00,7.00,3.00,316,301,NULL,'MOMBUCA','GUATAPARA','SP',7154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151600,4.00,7.00,4.00,5.00,6.00,6.75,6.00,7.00,2.00,5,316,NULL,'CARIANOS','FLORIANOPOLIS','SC',8699,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151618,6.00,7.00,4.00,8.00,7.00,7.50,6.00,6.00,3.00,5,310,NULL,'SÃO JOÃO DO RIO VERM','FLORIANOPOLIS','SC',5805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151626,4.00,4.00,3.00,6.00,5.00,5.50,2.00,3.00,0.00,425,423,429,'CENTRO','SAO JOAO BATISTA','SC',19584,172,236,157,NULL,NULL,NULL,4,1),(15,2151634,2.00,7.00,0.00,3.00,7.00,4.50,2.00,3.00,2.00,224,225,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',19585,70,192,NULL,NULL,NULL,NULL,2,1),(15,2151642,3.00,4.00,1.00,1.00,2.00,NULL,3.00,4.00,1.00,415,428,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151669,4.00,6.00,6.00,4.00,8.00,5.25,6.00,5.00,3.00,238,444,208,'ESTREITO','FLORIANOPOLIS','SC',9030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,450,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2151685,6.00,7.00,6.00,7.00,8.00,5.50,7.00,7.00,4.00,207,427,201,'CENTRO','FLORIANOPOLIS','SC',3630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151693,5.00,7.00,4.00,3.00,9.00,7.75,4.00,6.00,3.00,303,102,NULL,'RIO GRANDE','PALHOCA','SC',8495,477,789,NULL,NULL,NULL,NULL,4,1),(15,2151715,6.00,6.00,5.00,5.00,8.00,5.00,7.00,6.00,5.00,103,420,NULL,'ANDORINHA','ITAPEMA','SC',6232,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2151723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,203,202,'VILA MARIA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2151731,2.00,3.00,3.00,5.00,3.00,5.50,2.00,2.00,3.00,9,215,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,328,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2151774,1.00,4.00,2.00,1.00,7.00,5.75,3.00,4.00,3.00,303,301,NULL,'CENTRO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151782,7.00,8.00,7.00,6.00,8.00,4.75,7.00,6.00,7.00,444,216,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',2066,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151790,4.00,8.00,7.00,4.00,8.00,5.25,6.00,6.00,6.00,201,318,212,'TRINDADE','FLORIANOPOLIS','SC',4530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151804,1.00,4.00,1.00,3.00,4.00,NULL,1.00,4.00,1.00,319,309,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151812,2.00,5.00,3.00,5.00,5.00,4.50,4.00,4.00,0.00,238,225,208,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',18460,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151820,1.00,6.00,0.00,7.00,5.00,4.75,3.00,5.00,2.00,202,329,213,'JARDIM PRIMAVERA','FOZ DO IGUACU','PR',17954,623,221,293,NULL,NULL,NULL,2,1),(15,2151839,2.00,8.00,3.00,6.00,4.00,4.50,4.00,7.00,4.00,316,207,NULL,'SERTÃO DO MARUIM','SAO JOSE','SC',13358,356,1189,NULL,NULL,NULL,NULL,4,1),(15,2151847,5.00,8.00,4.00,8.00,7.00,6.25,4.00,7.00,3.00,207,421,233,'CENTRO','FLORIANOPOLIS','SC',6524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151855,2.00,7.00,1.00,7.00,7.00,5.00,3.00,4.00,4.00,501,502,NULL,'CENTRO','CAMPO BELO DO SUL','SC',12708,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2151863,2.00,8.00,7.00,8.00,7.00,5.00,5.00,6.00,3.00,310,329,NULL,'AIMORÉ','ARROIO DO MEIO','RS',7456,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'VILA CAMPOS SALES','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2151880,3.00,8.00,5.00,3.00,5.00,3.25,3.00,7.00,2.00,101,103,NULL,'CENTRO','SAUDADES','SC',15916,168,3223,NULL,NULL,NULL,NULL,2,4),(15,2151898,5.00,5.00,4.00,7.00,3.00,4.00,4.00,4.00,3.00,316,301,NULL,'CENTRO','JOINVILLE','SC',15174,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2151910,5.00,6.00,1.00,6.00,8.00,6.00,4.00,4.00,3.00,103,104,NULL,'MONTE CASTELO','CAMPO GRANDE','MS',12162,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151928,2.00,8.00,4.00,7.00,8.00,6.75,4.00,3.00,2.00,5,327,NULL,'CENTRO','CHAPECO','SC',11709,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2151936,4.00,7.00,7.00,7.00,6.00,6.75,5.00,7.00,6.00,211,501,201,'TRINDADE','FLORIANOPOLIS','SC',3554,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151944,3.00,8.00,6.00,4.00,6.00,4.25,6.00,7.00,2.00,211,234,201,'PETROPOLIS','PORTO ALEGRE','RS',9595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2151952,5.00,8.00,3.00,6.00,6.00,4.00,5.00,6.00,4.00,304,108,NULL,'CAMPO LIMPO','SAO PAULO','SP',10210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151960,7.00,8.00,9.00,9.00,8.00,6.75,9.00,8.00,5.00,450,428,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151979,7.00,6.00,1.00,5.00,5.00,6.75,5.00,6.00,2.00,102,101,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',10829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2151987,4.00,8.00,7.00,5.00,6.00,5.25,6.00,5.00,3.00,103,303,NULL,'CENTRO','FRAIBURGO','SC',9303,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2151995,1.00,5.00,3.00,5.00,6.00,6.00,5.00,1.00,2.00,216,203,215,'CAPELA VELHA','ARAUCARIA','PR',18872,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152002,6.00,7.00,8.00,7.00,7.00,7.00,8.00,6.00,6.00,220,216,202,'COQUEIROS','FLORIANOPOLIS','SC',3090,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'SANTA TEREZINHA','ITARARE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2152029,4.00,6.00,4.00,6.00,6.00,6.00,2.00,6.00,2.00,104,103,NULL,'MONTE CASTELO','CAMPO GRANDE','MS',13558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152037,4.00,5.00,1.00,4.00,4.00,5.00,2.00,2.00,3.00,319,309,NULL,'BOM VIVER','BIGUACU','SC',20643,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152045,3.00,6.00,1.00,4.00,4.00,5.25,1.00,4.00,4.00,404,208,NULL,'VILA KURTZ','CACADOR','SC',20203,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2152053,3.00,5.00,1.00,1.00,7.00,6.50,5.00,5.00,2.00,103,104,NULL,'CENTRO','ABELARDO LUZ','SC',18050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152061,3.00,6.00,2.00,6.00,6.00,5.75,3.00,6.00,4.00,316,429,NULL,'ESTREITO','FLORIANOPOLIS','SC',13176,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152070,4.00,8.00,6.00,9.00,8.00,9.00,4.00,8.00,5.00,5,426,NULL,'ITACORUBI','FLORIANOPOLIS','SC',2350,120,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152088,6.00,8.00,6.00,7.00,8.00,7.50,5.00,8.00,5.00,104,102,NULL,'FORQUILHINHAS','SAO JOSE','SC',3098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152096,6.00,8.00,4.00,5.00,6.00,5.00,3.00,6.00,5.00,108,217,NULL,'AREIAS DO CAMPECHE','FLORIANOPOLIS','SC',10360,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152100,3.00,6.00,6.00,2.00,8.00,4.50,5.00,4.00,3.00,103,102,NULL,'BARRO VERMELHO','ORLEANS','SC',11519,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2152118,4.00,8.00,3.00,4.00,7.00,6.00,5.00,8.00,2.00,103,316,NULL,'CENTRO','FLORIANOPOLIS','SC',8426,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2152126,5.00,7.00,5.00,4.00,7.00,5.50,4.00,5.00,3.00,102,217,NULL,'CENTRO','PAULO LOPES','SC',10432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152134,4.00,6.00,4.00,4.00,8.00,5.75,6.00,8.00,3.00,319,427,NULL,'BALNEARIO','FLORIANOPOLIS','SC',8707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152150,4.00,8.00,4.00,6.00,5.00,5.00,4.00,6.00,1.00,339,324,NULL,'RINEIRÃO DA ILHA','FLORIANOPOLIS','SC',13258,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152169,4.00,7.00,5.00,9.00,6.00,5.25,6.00,5.00,6.00,102,425,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',6091,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2152177,4.00,5.00,0.00,4.00,7.00,5.50,4.00,4.00,3.00,324,420,NULL,'ABRAÃO','FLORIANOPOLIS','SC',16972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152185,4.00,8.00,4.00,7.00,7.00,5.75,5.00,7.00,4.00,5,302,NULL,'FLORESTA','PORTO ALEGRE','RS',7662,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152193,1.00,6.00,3.00,1.00,4.00,2.25,4.00,4.00,1.00,404,444,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152207,6.00,8.00,6.00,7.00,7.00,5.75,5.00,5.00,5.00,317,333,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',4798,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152215,5.00,5.00,8.00,8.00,7.00,5.50,8.00,8.00,6.00,203,NULL,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152231,4.00,7.00,7.00,5.00,8.00,6.00,8.00,5.00,4.00,217,225,NULL,'CENTRO','ORLEANS','SC',5260,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2152240,3.00,4.00,4.00,6.00,6.00,4.50,5.00,3.00,3.00,201,213,208,'INGLESES','FLORIANOPOLIS','SC',14593,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152258,2.00,4.00,3.00,7.00,6.00,5.00,5.00,7.00,6.00,201,207,211,'CENTRO','DESCANSO','SC',12047,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2152282,4.00,5.00,4.00,5.00,4.00,5.00,3.00,3.00,3.00,339,333,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',16841,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152290,2.00,5.00,1.00,4.00,6.00,6.00,1.00,3.00,3.00,103,104,NULL,'CENTRO','SAO MATEUS DO SUL','PR',19542,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2152304,1.00,6.00,0.00,5.00,7.00,6.00,2.00,2.00,1.00,215,415,NULL,'VILA A','FOZ DO IGUACU','PR',20027,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2152312,2.00,5.00,2.00,1.00,7.00,5.75,4.00,2.00,4.00,207,304,201,'CENTRO','VARGEAO','SC',19154,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2152320,4.00,7.00,2.00,6.00,5.00,6.25,4.00,6.00,3.00,102,211,NULL,'CENTRO','SAO JOAQUIM','SC',12266,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2152339,3.00,8.00,2.00,7.00,6.00,5.00,5.00,5.00,2.00,444,333,NULL,'LAGOA DA CONCEICAO','FLORIANOPOLIS','SC',12618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152347,8.00,8.00,6.00,4.00,9.00,6.25,7.00,7.00,6.00,108,217,NULL,'CENTRO','SAO DOMINGOS','SC',3135,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2152355,3.00,2.00,4.00,1.00,5.00,5.00,4.00,3.00,4.00,423,324,426,'TRINDADE','FLORIANOPOLIS','SC',20316,85,391,82,NULL,NULL,NULL,4,1),(15,2152380,3.00,7.00,3.00,5.00,9.00,5.00,3.00,6.00,4.00,5,327,NULL,'COQUEIROS','FLORIANOPOLIS','SC',10212,444,282,NULL,NULL,NULL,NULL,2,1),(15,2152398,2.00,2.00,1.00,6.00,2.00,NULL,3.00,3.00,2.00,211,333,208,'CACHOIERA BOM JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152410,3.00,5.00,2.00,5.00,6.00,5.00,2.00,4.00,2.00,101,9,NULL,'CENTRO','TERRA DE AREIA','RS',18686,235,672,NULL,NULL,NULL,NULL,2,1),(15,2152436,1.00,6.00,3.00,5.00,6.00,6.50,3.00,5.00,4.00,317,426,NULL,'ABRAAO','FLORIANOPOLIS','SC',15383,241,198,NULL,NULL,NULL,NULL,2,1),(15,2152444,0.00,5.00,3.00,4.00,5.00,5.50,5.00,4.00,3.00,404,316,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',18851,176,1177,NULL,NULL,NULL,NULL,2,1),(15,2152452,1.00,6.00,0.00,1.00,7.00,NULL,1.00,1.00,3.00,324,238,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2152479,4.00,2.00,3.00,2.00,4.00,4.50,3.00,2.00,3.00,429,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',22413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152487,1.00,5.00,0.00,6.00,5.00,5.00,3.00,7.00,2.00,225,217,NULL,'UNIVERSITARIO','TIJUCAS','SC',17271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152495,1.00,7.00,6.00,2.00,5.00,4.75,5.00,4.00,3.00,318,304,NULL,'INGLESES DO RIO VERM','FLORIANOPOLIS','SC',15664,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152509,7.00,9.00,6.00,8.00,9.00,5.00,8.00,9.00,5.00,415,424,NULL,'PANTANAL','FLORIANOPOLIS','SC',1064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152525,2.00,5.00,4.00,4.00,4.00,3.25,0.00,4.00,3.00,203,NULL,NULL,'VILA PORTUGUESA','TANGARA DA SERRA','MT',20801,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152541,3.00,8.00,6.00,7.00,8.00,5.00,7.00,7.00,6.00,214,212,213,'VILA BEATRIZ','MOGI GUACU','SP',4851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152550,7.00,8.00,5.00,7.00,9.00,6.25,6.00,6.00,4.00,103,211,NULL,'VILLAGE','IMBITUBA','SC',2928,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2152568,3.00,5.00,4.00,0.00,4.00,4.50,2.00,2.00,3.00,108,333,NULL,'JARDIM BARONESA','OSASCO','SP',21756,480,1064,NULL,NULL,NULL,NULL,4,1),(15,2152576,2.00,8.00,2.00,3.00,6.00,5.50,5.00,8.00,4.00,326,415,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',12383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152584,4.00,6.00,5.00,8.00,6.00,3.00,6.00,4.00,4.00,233,217,214,'REUNIDAS','CACADOR','SC',10405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'JARDIM PETROPOLIS','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2152606,3.00,6.00,2.00,3.00,5.00,5.25,0.00,3.00,2.00,103,101,NULL,'ALVORADA','CHAPECO','SC',20775,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2152614,4.00,5.00,5.00,3.00,6.00,3.25,9.00,7.00,5.00,103,203,NULL,'NOVO AMPARO','AMPARO','SP',9700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152622,4.00,6.00,8.00,6.00,6.00,5.50,8.00,5.00,4.00,301,316,NULL,'JARDIM SIMUS','SOROCABA','SP',6533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,327,NULL,'LOMBA GRANDE','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2152649,2.00,4.00,2.00,1.00,2.00,NULL,3.00,3.00,3.00,101,102,NULL,'SÃO VICENTE','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2152665,2.00,3.00,1.00,1.00,4.00,3.50,4.00,4.00,5.00,2,223,NULL,'JARDIM ELIZABETE','ICARA','SC',21946,74,237,NULL,NULL,NULL,NULL,2,5),(15,2152690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,339,421,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2152703,9.00,9.00,9.00,6.00,8.00,7.00,8.00,9.00,7.00,214,NULL,212,'CENTRO','JARDINOPOLIS','SP',265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152711,3.00,8.00,4.00,5.00,7.00,5.50,3.00,8.00,3.00,317,318,NULL,'LINDOIA','PORTO ALEGRE','RS',10481,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152720,2.00,6.00,5.00,5.00,6.00,3.00,5.00,7.00,4.00,208,207,238,'FLORESTA','SAO JOSE','SC',12757,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152738,5.00,8.00,5.00,9.00,9.00,9.00,6.00,7.00,5.00,211,224,238,'CENTRO','FLORIANOPOLIS','SC',1520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152746,6.00,7.00,7.00,8.00,7.00,5.75,9.00,8.00,5.00,203,223,214,'CENTRO','FLORIANOPOLIS','SC',2325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152754,2.00,4.00,2.00,3.00,1.00,NULL,2.00,4.00,2.00,207,102,216,'JARDIM DAS PALMEIRAS','COCAL DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2152770,2.00,7.00,4.00,9.00,7.00,6.25,5.00,7.00,4.00,317,339,NULL,'CENTRO','FLORIANOPOLIS','SC',7713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152789,1.00,4.00,2.00,0.00,2.00,NULL,4.00,2.00,5.00,501,234,NULL,'CARMELO','SAO JOAO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152797,6.00,9.00,6.00,7.00,6.00,5.75,6.00,7.00,5.00,103,5,NULL,'CENTRO','FLORIANOPOLIS','SC',4169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152800,2.00,8.00,6.00,6.00,5.00,3.00,4.00,2.00,3.00,104,502,NULL,'CENTRO','ITAPEMA','SC',15239,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2152819,3.00,8.00,5.00,7.00,7.00,8.50,6.00,7.00,2.00,5,404,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',5020,239,297,NULL,NULL,NULL,NULL,2,1),(15,2152835,2.00,3.00,3.00,1.00,4.00,6.75,5.00,4.00,3.00,207,9,212,'CENTRO','FLORIANOPOLIS','SC',19528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152843,2.00,7.00,3.00,4.00,6.00,5.75,6.00,5.00,2.00,103,319,NULL,'PINHEIRINHO','CRICIUMA','SC',14278,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2152851,6.00,7.00,7.00,3.00,6.00,5.50,5.00,4.00,5.00,207,212,201,'CENTRO','TUBARAO','SC',9207,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2152860,5.00,4.00,2.00,1.00,7.00,5.00,3.00,2.00,2.00,316,444,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',19953,603,566,NULL,NULL,NULL,NULL,4,1),(15,2152878,1.00,5.00,4.00,4.00,8.00,5.50,2.00,4.00,1.00,103,108,NULL,'INTERIOR','BELMONTE','SC',18302,2885,888,NULL,NULL,NULL,NULL,2,1),(15,2152886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,225,213,'JARDIM DA COLINA','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2152894,6.00,7.00,7.00,7.00,9.00,5.50,8.00,5.00,6.00,104,102,NULL,'FACULDADE','CASCAVEL','PR',2120,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2152908,2.00,3.00,1.00,2.00,6.00,NULL,3.00,2.00,2.00,207,429,238,'SANTOS DUMMOND','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152916,5.00,8.00,2.00,5.00,8.00,7.00,7.00,7.00,3.00,5,207,NULL,'TRINDADE','FLORIANOPOLIS','SC',5595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152924,2.00,5.00,3.00,2.00,7.00,6.25,1.00,4.00,0.00,103,101,NULL,'PIRABEIRABA','JOINVILLE','SC',19710,2967,729,NULL,NULL,NULL,NULL,4,8),(15,2152940,3.00,7.00,3.00,3.00,6.00,6.50,4.00,7.00,3.00,102,327,NULL,'CENTRO','FLORIANOPOLIS','SC',12980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152959,2.00,7.00,3.00,7.00,7.00,4.75,6.00,6.00,2.00,319,329,NULL,'CAMPECHE','FLORIANOPOLIS','SC',10903,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2152967,1.00,4.00,2.00,6.00,6.00,6.75,5.00,5.00,1.00,213,329,233,'CENTRO','BIGUACU','SC',17424,286,215,396,NULL,NULL,NULL,2,1),(15,2152975,3.00,7.00,5.00,7.00,7.00,6.50,5.00,5.00,4.00,421,415,429,'COQUEIROS','FLORIANOPOLIS','SC',8613,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2152983,4.00,6.00,6.00,5.00,7.00,7.00,3.00,4.00,4.00,215,327,211,'INGLESES','FLORIANOPOLIS','SC',9911,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2152991,2.00,7.00,2.00,0.00,8.00,6.50,5.00,6.00,2.00,5,415,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',13490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153009,7.00,9.00,5.00,4.00,8.00,6.75,7.00,4.00,6.00,201,207,212,'JARDIM SÃO LUIZ','RIBEIRAO PRETO','SP',4112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153017,4.00,8.00,7.00,5.00,8.00,6.50,7.00,6.00,3.00,220,202,203,'CENTRO','PALOTINA','PR',5654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,203,213,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2153033,4.00,8.00,4.00,2.00,7.00,3.75,5.00,7.00,2.00,225,223,NULL,'KOBRASOL','SAO JOSE','SC',13015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153041,6.00,7.00,6.00,8.00,6.00,6.25,5.00,6.00,4.00,108,223,NULL,'CENTRO','FLORIANOPOLIS','SC',4467,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153050,5.00,9.00,5.00,5.00,9.00,4.00,7.00,7.00,6.00,303,217,NULL,'JARDIM IATE CLUBE','BALNEARIO CAMBORIU','SC',4176,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2153068,7.00,6.00,8.00,6.00,8.00,4.25,7.00,4.00,6.00,104,213,NULL,'CENTRO','CUNHA PORA','SC',4285,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2153076,5.00,9.00,6.00,1.00,8.00,6.75,7.00,6.00,4.00,303,309,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',6094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153084,7.00,8.00,5.00,5.00,8.00,5.00,6.00,6.00,6.00,103,316,NULL,'FARROUPILHA','PORTO ALEGRE','RS',3512,1146,733,NULL,NULL,NULL,NULL,2,1),(15,2153092,2.00,8.00,4.00,7.00,7.00,5.25,7.00,8.00,2.00,316,304,NULL,'COQUEIROS','FLORIANOPOLIS','SC',8673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153106,3.00,5.00,2.00,5.00,6.00,5.25,3.00,4.00,2.00,108,333,NULL,'COQUEIROS','FLORIANOPOLIS','SC',18039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153114,4.00,7.00,6.00,8.00,6.00,6.00,6.00,7.00,2.00,303,NULL,NULL,'UNIÃO','BRACO DO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2153122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'JARDIM RIVA','PRIMAVERA DO LESTE','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2153130,1.00,4.00,1.00,7.00,4.00,6.00,3.00,5.00,1.00,208,108,238,'PANORAMICO','MARAVILHA','SC',19951,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2153149,7.00,9.00,9.00,7.00,8.00,6.25,8.00,9.00,7.00,203,214,207,'CAPOEIRAS','FLORIANOPOLIS','SC',275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153157,3.00,7.00,1.00,6.00,6.00,5.25,1.00,6.00,3.00,501,502,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',14907,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153173,5.00,8.00,6.00,6.00,8.00,6.25,8.00,8.00,4.00,103,328,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',3352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,5,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2153190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,502,NULL,'BELA VISTA','SAO JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2153203,5.00,8.00,5.00,1.00,5.00,7.25,5.00,6.00,3.00,415,450,NULL,'TRINDADE','FLORIANOPOLIS','SC',10621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153211,4.00,7.00,4.00,8.00,7.00,3.75,6.00,6.00,5.00,5,320,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',5566,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2153220,4.00,5.00,3.00,5.00,8.00,6.50,4.00,6.00,5.00,104,101,NULL,'AMÉRICA','JOINVILLE','SC',10137,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2153238,0.00,4.00,2.00,3.00,3.00,5.00,2.00,2.00,4.00,501,333,NULL,'FATIMA','JOINVILLE','SC',22409,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2153246,4.00,6.00,4.00,4.00,6.00,5.50,3.00,6.00,4.00,326,319,NULL,'KOBRASOL','SAO JOSE','SC',12192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153254,4.00,6.00,5.00,4.00,8.00,5.75,4.00,6.00,3.00,238,301,208,'MONTE VERDE','FLORIANOPOLIS','SC',10716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153262,5.00,4.00,5.00,4.00,6.00,4.75,6.00,3.00,3.00,103,220,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',14307,2572,742,NULL,NULL,NULL,NULL,2,1),(15,2153270,2.00,4.00,3.00,4.00,4.00,5.00,3.00,2.00,2.00,318,420,NULL,'PRAIA DOS INGLESES','FLORIANOPOLIS','SC',21906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153297,5.00,8.00,8.00,4.00,7.00,5.25,7.00,5.00,6.00,216,207,233,'CENTRO','PALMAS','TO',4919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153300,2.00,6.00,3.00,5.00,6.00,5.00,5.00,6.00,2.00,303,NULL,NULL,'MAGALHÃES','LAGUNA','SC',14782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153319,1.00,7.00,3.00,4.00,7.00,4.50,4.00,5.00,3.00,316,5,NULL,'PRAINHA','FLORIANOPOLIS','SC',14191,378,1223,NULL,NULL,NULL,NULL,2,1),(15,2153327,4.00,5.00,1.00,0.00,6.00,4.75,3.00,3.00,2.00,333,420,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',20771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153335,5.00,4.00,6.00,7.00,9.00,5.50,5.00,5.00,4.00,103,108,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',8892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153343,3.00,6.00,2.00,4.00,6.00,4.75,4.00,5.00,2.00,213,233,NULL,'JARDIM PANAMBI','PARAGUACU PAULISTA','SP',16522,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2153351,3.00,6.00,2.00,6.00,8.00,7.25,7.00,7.00,3.00,415,450,NULL,'AMÉRICA','JOINVILLE','SC',7678,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2153360,2.00,5.00,2.00,6.00,5.00,4.50,2.00,3.00,2.00,9,324,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153378,1.00,4.00,0.00,1.00,5.00,NULL,3.00,5.00,3.00,103,101,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2153386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,108,NULL,'SETOR CARAJÁ','ARAGUAINA','TO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2153408,5.00,7.00,5.00,8.00,8.00,7.75,7.00,6.00,7.00,216,202,213,'CENTRO','GUARATINGUETA','SP',2052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153416,5.00,7.00,4.00,7.00,6.00,4.50,4.00,4.00,1.00,5,101,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',13197,573,598,NULL,NULL,NULL,NULL,2,1),(15,2153424,0.00,7.00,1.00,6.00,7.00,5.00,3.00,5.00,2.00,304,404,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',17229,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153432,4.00,5.00,1.00,3.00,6.00,6.00,1.00,5.00,5.00,104,102,NULL,'CENTRO','CHAPECO','SC',17378,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2153440,5.00,7.00,7.00,4.00,8.00,5.00,7.00,5.00,6.00,211,215,214,'SANTA MARIA','SANTOS','SP',4795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153459,3.00,8.00,3.00,3.00,7.00,5.50,3.00,7.00,2.00,339,324,NULL,'FORQUILHAS','SAO JOSE','SC',12892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153467,5.00,8.00,6.00,8.00,6.00,5.25,5.00,7.00,4.00,103,108,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',5691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153475,4.00,6.00,3.00,7.00,6.00,3.00,5.00,5.00,1.00,317,324,NULL,'JD ATLANTICO','FLORIANOPOLIS','SC',14812,226,235,NULL,NULL,NULL,NULL,2,1),(15,2153483,7.00,7.00,8.00,5.00,7.00,7.00,7.00,7.00,6.00,444,326,NULL,'KOBRASOL','SAO JOSE','SC',2532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153491,6.00,7.00,10.00,9.00,9.00,6.00,8.00,7.00,5.00,207,420,201,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153513,2.00,7.00,6.00,3.00,6.00,5.00,1.00,6.00,4.00,5,332,NULL,'COQUEIROS','FLORIANOPOLIS','SC',15102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153521,3.00,6.00,5.00,7.00,7.00,5.75,6.00,2.00,2.00,216,217,215,'TOBIAS','JOACABA','SC',11817,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2153530,6.00,6.00,6.00,4.00,8.00,4.25,4.00,2.00,2.00,211,NULL,215,'VISTA VERDE','SAO JOSE DOS CAMPOS','SP',12876,455,NULL,266,NULL,NULL,NULL,4,2),(15,2153548,3.00,7.00,7.00,7.00,7.00,6.75,7.00,6.00,5.00,316,317,NULL,'CAMPINAS','SAO JOSE','SC',4474,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153556,2.00,4.00,1.00,5.00,8.00,5.75,3.00,2.00,0.00,308,324,NULL,'CENTRO','FLORIANOPOLIS','SC',20490,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153564,3.00,6.00,1.00,8.00,5.00,6.25,4.00,4.00,2.00,339,324,NULL,'TRINDADE','FLORIANOPOLIS','SC',15048,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153572,6.00,7.00,5.00,7.00,9.00,7.00,4.00,6.00,3.00,326,324,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',5323,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153580,2.00,6.00,5.00,8.00,5.00,4.50,4.00,4.00,2.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',14180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153599,2.00,3.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,103,101,NULL,'CENTRO','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2153602,5.00,7.00,3.00,4.00,7.00,3.50,6.00,4.00,4.00,211,331,NULL,'AVAI','GUARAMIRIM','SC',11752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153610,4.00,7.00,4.00,5.00,5.00,5.50,7.00,6.00,4.00,5,318,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',9684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153629,5.00,7.00,6.00,6.00,8.00,5.25,7.00,7.00,6.00,215,234,208,'CENTRO','FLORIANOPOLIS','SC',3014,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153637,6.00,7.00,3.00,4.00,6.00,4.25,5.00,6.00,5.00,108,501,NULL,'ROYAL PARK','RIBEIRAO PRETO','SP',9879,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153645,4.00,3.00,4.00,1.00,4.00,NULL,0.00,2.00,1.00,451,450,NULL,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2153653,7.00,8.00,8.00,4.00,8.00,7.00,8.00,8.00,7.00,103,108,NULL,'ESTREITO','MELEIRO','SC',1489,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2153661,1.00,6.00,3.00,1.00,4.00,4.75,2.00,4.00,4.00,215,501,212,'VILA PIRES','SANTO ANDRE','SP',20086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153670,2.00,6.00,2.00,4.00,6.00,5.25,2.00,3.00,1.00,339,309,NULL,'CENTRO','FLORIANOPOLIS','SC',19077,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153688,4.00,8.00,5.00,8.00,8.00,7.25,6.00,3.00,4.00,104,333,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',4213,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153696,4.00,6.00,3.00,7.00,5.00,4.50,6.00,6.00,2.00,233,2,211,'RIO CAVEIRAS','BIGUACU','SC',11373,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,238,233,'CENTRO','BRACO DO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2153726,6.00,6.00,6.00,6.00,8.00,5.25,6.00,5.00,4.00,108,502,NULL,'JARDIM MALUCHE','BRUSQUE','SC',5970,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2153734,4.00,6.00,4.00,8.00,7.00,7.00,5.00,7.00,3.00,415,211,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153742,4.00,7.00,6.00,6.00,5.00,6.25,7.00,6.00,3.00,301,220,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153750,3.00,7.00,2.00,2.00,6.00,6.50,3.00,4.00,3.00,415,426,NULL,'TRINDADE','FLORIANOPOLIS','SC',16425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153769,5.00,8.00,4.00,6.00,8.00,5.75,7.00,5.00,2.00,501,316,NULL,'CENTRO','CURITIBA','PR',7953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153777,6.00,6.00,5.00,3.00,9.00,5.75,6.00,6.00,3.00,103,101,NULL,'CENTRO','JOINVILLE','SC',7220,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2153793,1.00,6.00,0.00,0.00,5.00,NULL,0.00,3.00,2.00,333,444,NULL,'ZONA SETE','MARINGA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2153807,4.00,8.00,7.00,9.00,9.00,6.25,4.00,6.00,6.00,326,424,NULL,'LAGOA','FLORIANOPOLIS','SC',2475,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2153815,4.00,5.00,6.00,6.00,6.00,5.50,4.00,3.00,5.00,103,9,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',11663,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2153831,4.00,7.00,4.00,5.00,5.00,4.50,6.00,3.00,3.00,316,317,NULL,'PANTANAL','FLORIANOPOLIS','SC',11793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153840,1.00,2.00,3.00,1.00,4.00,NULL,4.00,1.00,2.00,303,207,NULL,'CENTRO','CANELA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153858,5.00,5.00,1.00,5.00,7.00,5.75,4.00,4.00,2.00,104,101,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',15040,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153866,2.00,2.00,2.00,3.00,6.00,5.00,3.00,4.00,2.00,404,324,NULL,'IPIRANGA','SAO JOSE','SC',21333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2153874,4.00,7.00,5.00,4.00,8.00,4.75,6.00,6.00,5.00,303,5,NULL,'AMÉRICA','JOINVILLE','SC',7236,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2153882,3.00,7.00,6.00,8.00,6.00,5.50,7.00,6.00,1.00,202,2,213,'CENTRO','LAGES','SC',8315,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2153890,5.00,6.00,7.00,8.00,7.00,5.25,5.00,4.00,5.00,213,212,214,'JARDIM AVIAÇÃO','PRESIDENTE PRUDENTE','SP',6706,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2153904,3.00,7.00,5.00,6.00,4.00,5.50,3.00,6.00,4.00,238,224,208,'RIO VERMELHO','FLORIANOPOLIS','SC',11947,423,186,426,NULL,NULL,NULL,2,1),(15,2153912,2.00,6.00,3.00,2.00,8.00,6.00,5.00,7.00,5.00,103,303,NULL,'NOVO HORIZONTE II','MARINGA','PR',10257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153920,6.00,7.00,7.00,8.00,7.00,5.00,9.00,6.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2237,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2153939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,415,207,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2153947,7.00,7.00,4.00,4.00,7.00,5.75,8.00,7.00,8.00,103,319,NULL,'VILA NUNES','LORENA','SP',3440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153955,3.00,4.00,3.00,3.00,4.00,4.00,3.00,2.00,3.00,104,202,NULL,'INTERIOR','CAMPINAS DO SUL','RS',19986,651,951,NULL,NULL,NULL,NULL,2,7),(15,2153963,6.00,8.00,5.00,5.00,9.00,7.25,5.00,4.00,3.00,5,333,NULL,'CAMPINAS','SAO JOSE','SC',6220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2153971,4.00,8.00,9.00,7.00,8.00,6.75,9.00,5.00,9.00,203,216,202,'CENTRO','JOINVILLE','SC',714,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2153980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'SÃO JOSÉ','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2154013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,308,NULL,'SANTA FÉ','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2154021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,451,NULL,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2154030,3.00,5.00,4.00,2.00,6.00,5.25,4.00,5.00,3.00,444,331,NULL,'ESTREITO','FLORIANOPOLIS','SC',16755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154048,3.00,5.00,3.00,6.00,3.00,3.00,5.00,7.00,2.00,222,224,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',16589,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2154056,5.00,8.00,5.00,6.00,8.00,5.00,4.00,7.00,1.00,316,339,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',9131,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2154072,5.00,7.00,8.00,9.00,8.00,6.00,7.00,8.00,6.00,302,331,NULL,'ITAGUAÇÚ','FLORIANOPOLIS','SC',1772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2154080,4.00,7.00,1.00,5.00,7.00,6.75,6.00,6.00,4.00,424,427,421,'TRINDADE','FLORIANOPOLIS','SC',8105,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2154099,4.00,8.00,4.00,6.00,9.00,6.50,7.00,5.00,5.00,207,104,NULL,'BATEIAS','GASPAR','SC',5429,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2154102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2154110,5.00,7.00,5.00,5.00,8.00,5.25,4.00,6.00,3.00,201,317,215,'CAPOEIRAS','FLORIANOPOLIS','SC',8903,478,469,193,NULL,NULL,NULL,2,1),(15,2154129,3.00,8.00,5.00,5.00,9.00,4.50,5.00,5.00,4.00,103,102,NULL,'JARDIM SÔNIA','SAO PAULO','SP',9257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154145,2.00,5.00,1.00,6.00,4.00,5.50,5.00,6.00,4.00,423,328,425,'TRINDADE','FLORIANOPOLIS','SC',15309,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2154153,5.00,8.00,6.00,9.00,9.00,6.00,6.00,8.00,6.00,201,211,212,'CENTRO','PORTO ALEGRE','RS',2231,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2154161,1.00,6.00,3.00,3.00,6.00,5.50,4.00,5.00,3.00,501,211,NULL,'NOVA PETRÓPOLIS','JOACABA','SC',15943,193,950,NULL,NULL,NULL,NULL,4,7),(15,2154170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2154188,6.00,7.00,7.00,6.00,7.00,6.00,6.00,5.00,5.00,108,501,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',4280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154196,1.00,6.00,2.00,6.00,6.00,5.00,2.00,4.00,2.00,404,429,NULL,'ROCIO','UNIAO DA VITORIA','PR',18498,170,281,NULL,NULL,NULL,NULL,4,1),(15,2154200,0.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,108,211,NULL,'PRAIA BRAVA','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(15,2154218,4.00,8.00,3.00,6.00,8.00,6.00,7.00,5.00,4.00,428,308,426,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',7519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154234,5.00,8.00,9.00,8.00,8.00,6.25,7.00,6.00,7.00,5,329,NULL,'BARREIROS','SAO JOSE','SC',964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2154250,3.00,5.00,1.00,6.00,4.00,6.00,4.00,5.00,3.00,102,208,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2154269,3.00,6.00,7.00,7.00,7.00,5.25,7.00,6.00,4.00,208,222,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',6403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154277,3.00,6.00,3.00,4.00,8.00,5.75,3.00,6.00,3.00,208,303,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',14030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154285,1.00,7.00,4.00,4.00,6.00,6.00,6.00,5.00,5.00,217,102,NULL,'NOVA BRASILIA','BRUSQUE','SC',9799,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2154293,3.00,7.00,1.00,4.00,6.00,6.75,5.00,8.00,2.00,316,320,NULL,'CAMPINAS','SAO JOSE','SC',11893,307,167,NULL,NULL,NULL,NULL,4,1),(15,2154307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,214,NULL,'JD MARIA BORBA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2154315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,203,NULL,'CAMPINHO','ITAPORANGA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2154323,8.00,9.00,7.00,7.00,9.00,7.25,7.00,8.00,8.00,103,450,NULL,'MORADA DO OURO','CUIABA','MT',447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154331,3.00,6.00,5.00,5.00,4.00,5.50,5.00,6.00,3.00,302,304,NULL,'CENTRO','FLORIANOPOLIS','SC',13762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2154340,4.00,3.00,4.00,5.00,6.00,5.75,2.00,3.00,5.00,319,316,NULL,'ITACORUBI','FLORIANOPOLIS','SC',16572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2154358,2.00,4.00,1.00,1.00,7.00,NULL,2.00,3.00,0.00,102,9,NULL,'PETROPOLIS','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154366,4.00,5.00,2.00,4.00,6.00,4.50,3.00,5.00,2.00,404,223,NULL,'PANTANAL','FLORIANOPOLIS','SC',18008,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2154374,7.00,8.00,6.00,7.00,6.00,7.25,9.00,6.00,6.00,102,216,NULL,'JARDIM SÃO PAULO','INDAIATUBA','SP',1654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154382,3.00,6.00,6.00,2.00,5.00,5.00,6.00,4.00,4.00,415,420,NULL,'BOA VISTA','JOINVILLE','SC',14547,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2154390,3.00,7.00,1.00,6.00,7.00,5.75,4.00,5.00,4.00,501,451,NULL,'INGLESES','FLORIANOPOLIS','SC',12501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154404,7.00,7.00,6.00,6.00,8.00,6.25,5.00,6.00,5.00,103,217,NULL,'SÃO JOÃO','ITAJAI','SC',4956,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2154412,3.00,3.00,4.00,6.00,9.00,6.00,4.00,2.00,3.00,5,316,NULL,'AGRONÔNICA','FLORIANOPOLIS','SC',15584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2154420,1.00,7.00,4.00,9.00,8.00,6.75,6.00,5.00,3.00,238,319,208,'PRAIA COMPRIDA','SAO JOSE','SC',8398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154439,4.00,7.00,5.00,5.00,6.00,6.50,8.00,3.00,1.00,329,318,NULL,'CENTRO','FLORIANOPOLIS','SC',10909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154447,2.00,4.00,2.00,0.00,0.00,NULL,0.00,2.00,0.00,425,427,429,'ITATIAIA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154455,6.00,8.00,9.00,8.00,8.00,7.50,8.00,7.00,6.00,303,331,NULL,'CENTRO','RIO DO SUL','SC',787,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2154463,3.00,5.00,1.00,4.00,5.00,3.00,2.00,4.00,1.00,316,9,NULL,'BARRA DO ARIRIU','PALHOCA','SC',21532,658,742,NULL,NULL,NULL,NULL,2,1),(15,2154471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,203,207,'CENTRO','SANTA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2154498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2154501,3.00,7.00,3.00,3.00,6.00,6.75,5.00,4.00,3.00,9,108,NULL,'CENTRO','ARARAS','SP',13321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154510,4.00,6.00,3.00,6.00,6.00,4.75,2.00,3.00,1.00,308,316,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',16596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2154528,1.00,3.00,0.00,1.00,3.00,NULL,5.00,4.00,0.00,101,333,NULL,'SÃO MIGUEL','FRANCISCO BELTRAO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2154536,2.00,6.00,2.00,6.00,8.00,5.00,4.00,8.00,2.00,103,104,NULL,'CENTRO','MAQUINE','RS',10746,2237,1065,NULL,NULL,NULL,NULL,2,1),(15,2154544,5.00,5.00,5.00,3.00,7.00,5.25,4.00,4.00,3.00,104,102,NULL,'SANTA MARIA','ARACATUBA','SP',13142,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2154552,3.00,5.00,2.00,5.00,6.00,4.50,5.00,7.00,1.00,420,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',14506,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2154560,3.00,3.00,5.00,4.00,5.00,6.25,4.00,2.00,2.00,208,224,238,'AVENTUREIRO','JOINVILLE','SC',19010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154579,3.00,7.00,7.00,7.00,8.00,5.25,5.00,6.00,3.00,420,415,NULL,'CENTRO','FLORIANOPOLIS','SC',6413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154587,4.00,6.00,3.00,2.00,6.00,5.50,3.00,5.00,1.00,9,339,NULL,'SAUDE','SAO PAULO','SP',17230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154595,3.00,7.00,1.00,4.00,4.00,4.75,5.00,6.00,2.00,328,208,NULL,'ANDREATA','SAO MIGUEL DOESTE','SC',16803,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2154609,6.00,7.00,2.00,6.00,8.00,5.25,6.00,6.00,2.00,9,423,NULL,'CENTRO','FLORIANOPOLIS','SC',7941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2154625,1.00,5.00,2.00,4.00,6.00,3.25,4.00,6.00,2.00,238,225,211,'ABRAÃO','FLORIANOPOLIS','SC',18722,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2154633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,214,202,'SANTO INÁCIO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2154676,4.00,6.00,2.00,6.00,6.00,6.25,6.00,7.00,3.00,415,216,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',9183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2154684,7.00,9.00,7.00,8.00,9.00,5.50,8.00,7.00,7.00,103,108,NULL,'MOOCA','SAO PAULO','SP',665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154706,4.00,9.00,0.00,2.00,5.00,6.75,4.00,6.00,2.00,208,421,238,'PRAIA DO SONHO','PALHOCA','SC',15847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154714,4.00,8.00,2.00,2.00,5.00,5.25,4.00,5.00,4.00,304,318,NULL,'ESTREITO','FLORIANOPOLIS','SC',16193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154722,1.00,7.00,4.00,1.00,7.00,6.25,6.00,7.00,3.00,108,211,NULL,'SÃO JOAQUIM','ARACATUBA','SP',13253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154730,5.00,7.00,7.00,4.00,6.00,5.00,6.00,6.00,5.00,333,211,NULL,'N SRA FÁTIMA','ITAJUBA','MG',6748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2154749,6.00,8.00,6.00,9.00,8.00,7.00,7.00,8.00,4.00,415,304,NULL,'CENTRO','FLORIANOPOLIS','SC',1617,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2154757,5.00,8.00,8.00,9.00,8.00,7.25,8.00,8.00,4.00,316,301,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2154773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'VILA NOVA','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2154781,4.00,8.00,5.00,5.00,5.00,5.25,7.00,7.00,3.00,303,331,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',8354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154790,7.00,9.00,6.00,8.00,9.00,5.50,7.00,7.00,3.00,201,331,211,'NAVEGANTES','RIO DO SUL','SC',2053,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2154803,4.00,5.00,4.00,7.00,6.00,4.00,7.00,5.00,5.00,216,203,NULL,'HIGIENÓPOLIS','ARACATUBA','SP',10298,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2154811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,103,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2154838,7.00,8.00,6.00,6.00,8.00,6.50,6.00,7.00,6.00,303,108,NULL,'LÍDER','CHAPECO','SC',2389,NULL,NULL,NULL,NULL,NULL,NULL,3,4),(15,2154854,0.00,0.00,1.00,0.00,5.00,NULL,4.00,2.00,2.00,339,317,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2154862,3.00,7.00,3.00,5.00,4.00,2.00,3.00,4.00,1.00,215,415,202,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2154870,4.00,6.00,2.00,2.00,3.00,6.75,5.00,5.00,2.00,303,5,NULL,'JARDIM MALUCHE','BRUSQUE','SC',16556,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2154889,2.00,3.00,2.00,4.00,5.00,4.25,4.00,5.00,3.00,102,207,NULL,'BARREIROS','SAO JOSE','SC',18969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154897,1.00,5.00,4.00,5.00,3.00,5.50,4.00,3.00,2.00,223,217,NULL,'CENTRO','FLORIANOPOLIS','SC',19588,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2154900,0.00,3.00,0.00,0.00,4.00,NULL,3.00,1.00,1.00,102,324,NULL,'ARMAÇÃO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2154919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,216,233,'JAGUARIBE','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2154927,3.00,5.00,5.00,3.00,5.00,5.75,5.00,5.00,2.00,233,212,201,'ALTO SAO PEDRO','TAUBATE','SP',16295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,234,NULL,'COND JARDIM ALBAMAR','GUARUJA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2154943,5.00,7.00,5.00,8.00,9.00,7.50,8.00,9.00,6.00,104,207,NULL,'CENTRO','XAXIM','SC',2077,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2154951,3.00,5.00,2.00,3.00,5.00,6.25,3.00,7.00,5.00,103,303,NULL,'VILA FLORESTA I','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2154960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'JD BRASILIA','PARANAIBA','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2154986,5.00,8.00,5.00,9.00,8.00,7.25,8.00,7.00,5.00,327,320,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',2048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2154994,3.00,7.00,5.00,2.00,7.00,7.25,4.00,7.00,4.00,216,212,NULL,'NAÇÕES','TIMBO','SC',10904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155028,2.00,7.00,5.00,5.00,6.00,7.25,3.00,8.00,1.00,310,329,NULL,'SANTANA','PORTO ALEGRE','RS',10750,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2155044,1.00,7.00,4.00,8.00,7.00,4.50,4.00,6.00,3.00,234,424,NULL,'ITACORUBI','FLORIANOPOLIS','SC',12466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2155052,2.00,6.00,2.00,7.00,7.00,6.00,8.00,5.00,5.00,215,217,211,'JD CARLOS LOURENÇO','CAMPINAS','SP',8441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'MORROTES','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2155087,2.00,7.00,5.00,3.00,7.00,4.25,7.00,7.00,5.00,213,223,238,'TRINDADE','FLORIANOPOLIS','SC',8812,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2155095,3.00,5.00,3.00,3.00,6.00,5.00,3.00,5.00,1.00,224,225,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',18809,63,184,NULL,NULL,NULL,NULL,4,1),(15,2155109,4.00,8.00,5.00,5.00,7.00,5.50,7.00,6.00,4.00,333,108,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',7482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155117,5.00,9.00,9.00,8.00,7.00,7.00,8.00,7.00,7.00,203,201,214,'CENTRO','BRUSQUE','SC',935,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2155125,2.00,6.00,2.00,7.00,6.00,4.25,2.00,4.00,4.00,238,420,208,'CARIANOS','FLORIANOPOLIS','SC',16142,598,791,630,NULL,NULL,NULL,2,1),(15,2155141,7.00,7.00,7.00,8.00,9.00,5.00,6.00,7.00,7.00,103,101,NULL,'VILA PAULICEIA','SAO BERNARDO DO CAMPO','SP',1854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,108,426,'CABEÇUDAS','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2155176,2.00,6.00,3.00,0.00,6.00,4.75,4.00,3.00,3.00,333,104,NULL,'ALTO ALEGRE','CASCAVEL','PR',20468,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2155184,5.00,5.00,3.00,2.00,6.00,4.00,3.00,4.00,5.00,102,217,NULL,'TRINDADE','FLORIANOPOLIS','SC',15784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155206,2.00,5.00,2.00,4.00,7.00,5.75,5.00,5.00,1.00,213,233,212,'COQUEIROS','FLORIANOPOLIS','SC',16514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155214,6.00,9.00,9.00,8.00,9.00,7.50,8.00,8.00,7.00,5,327,NULL,'CENTRO','FLORIANOPOLIS','SC',180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PAICANDU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2155230,3.00,4.00,1.00,4.00,7.00,4.25,4.00,5.00,3.00,234,333,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',17339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2155249,1.00,5.00,4.00,4.00,6.00,4.00,3.00,6.00,2.00,427,424,NULL,'FLOR DE NÁPOLIS','SAO JOSE','SC',18019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'PARK IMPERADOR','MATAO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2155273,6.00,9.00,6.00,9.00,9.00,4.50,9.00,7.00,7.00,103,5,NULL,'COQUEIROS','FLORIANOPOLIS','SC',1415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155281,4.00,5.00,6.00,5.00,7.00,5.75,7.00,5.00,2.00,203,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2155290,4.00,7.00,7.00,6.00,6.00,6.75,8.00,6.00,6.00,202,203,213,'VILA IOLANDA','GUAIBA','RS',4297,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2155303,2.00,6.00,0.00,8.00,7.00,5.25,1.00,5.00,5.00,415,301,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2155320,3.00,3.00,1.00,7.00,5.00,5.00,4.00,4.00,1.00,202,207,213,'VERA CRUZ','PASSO FUNDO','RS',18461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2155338,3.00,8.00,1.00,5.00,6.00,5.00,3.00,6.00,2.00,103,9,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',15207,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2155346,2.00,8.00,1.00,1.00,2.00,NULL,2.00,4.00,1.00,444,404,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155354,6.00,8.00,5.00,7.00,7.00,5.75,7.00,8.00,4.00,212,207,201,'KOBRASOL','SAO JOSE','SC',4352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2155370,4.00,6.00,1.00,5.00,6.00,6.25,4.00,4.00,1.00,415,319,NULL,'CIDADE ALTA','ALEGRETE','RS',15950,399,822,NULL,NULL,NULL,NULL,2,1),(15,2155397,4.00,7.00,6.00,8.00,8.00,6.50,5.00,7.00,5.00,5,415,NULL,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2155400,7.00,7.00,6.00,7.00,7.00,6.00,8.00,7.00,4.00,201,212,207,'CACUPÉ','FLORIANOPOLIS','SC',3778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155419,4.00,5.00,6.00,4.00,7.00,4.50,4.00,5.00,4.00,208,103,238,'BELA VISTA','ERECHIM','RS',12381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2155427,4.00,8.00,8.00,7.00,9.00,5.25,7.00,7.00,8.00,326,310,NULL,'JD ROBERTO BENEDETI','RIBEIRAO PRETO','SP',2193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155435,3.00,7.00,6.00,6.00,6.00,5.25,9.00,4.00,6.00,202,224,213,'CENTRO','FLORIANOPOLIS','SC',6532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2155443,5.00,5.00,3.00,8.00,5.00,4.50,5.00,4.00,4.00,225,2,NULL,'LIVIERO','SAO PAULO','SP',11828,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2155451,3.00,5.00,2.00,7.00,3.00,5.00,5.00,6.00,2.00,202,2,213,'CENTRO','PALHOCA','SC',14708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155460,3.00,6.00,2.00,3.00,4.00,5.25,3.00,2.00,2.00,327,326,NULL,'CENTRO','PICARRAS','SC',21215,183,339,NULL,NULL,NULL,NULL,4,6),(15,2155486,4.00,6.00,4.00,6.00,7.00,6.50,5.00,5.00,4.00,233,NULL,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',8988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155508,0.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,103,102,NULL,'ACARAÍ','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(15,2155516,5.00,7.00,4.00,9.00,8.00,5.50,8.00,6.00,6.00,103,9,NULL,'KOBRASOL','SAO JOSE','SC',4098,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2155532,1.00,3.00,3.00,2.00,3.00,4.50,3.00,4.00,4.00,501,214,NULL,'CENTRO','SAO JOAQUIM','SC',21512,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2155540,5.00,4.00,6.00,4.00,5.00,5.25,4.00,6.00,5.00,104,216,NULL,'CENTRO','PRUDENTOPOLIS','PR',11870,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2155559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,108,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2155567,5.00,7.00,6.00,7.00,7.00,4.75,5.00,4.00,4.00,208,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155575,4.00,7.00,8.00,9.00,6.00,5.75,6.00,4.00,3.00,211,NULL,NULL,'PRESIDENTE MÉDICE','CHAPECO','SC',5350,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2155583,4.00,5.00,5.00,6.00,8.00,6.25,5.00,7.00,4.00,104,423,NULL,'OFICINAS','TUBARAO','SC',8345,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2155605,8.00,8.00,5.00,8.00,6.00,6.50,8.00,8.00,7.00,207,326,201,'ITACORUBI','FLORIANOPOLIS','SC',1155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155613,4.00,7.00,1.00,4.00,7.00,6.00,5.00,4.00,2.00,102,217,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',12855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155630,4.00,7.00,4.00,4.00,3.00,7.25,5.00,3.00,2.00,102,308,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',15558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155648,3.00,7.00,6.00,4.00,7.00,5.75,3.00,4.00,3.00,301,316,NULL,'CENTRO','CAMPO GRANDE','MS',12340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155656,1.00,5.00,2.00,4.00,4.00,5.00,2.00,3.00,3.00,339,101,NULL,'BELA VISTA','SAO JOAQUIM','SC',20878,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2155664,3.00,7.00,4.00,9.00,8.00,5.25,6.00,6.00,4.00,208,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',6052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155672,4.00,7.00,3.00,5.00,6.00,4.50,6.00,5.00,2.00,9,502,NULL,'TRINDADE','FLORIANOPOLIS','SC',11693,135,210,NULL,NULL,NULL,NULL,4,1),(15,2155699,3.00,4.00,4.00,5.00,7.00,5.50,3.00,6.00,1.00,102,424,NULL,'REVOREDO','TUBARAO','SC',14440,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2155702,3.00,8.00,5.00,5.00,5.00,5.00,5.00,5.00,1.00,326,303,NULL,'VILA ALEMANHA','LUZERNA','SC',11488,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2155710,3.00,5.00,3.00,6.00,5.00,5.00,4.00,5.00,1.00,339,324,NULL,'ESTREITO','FLORIANOPOLIS','SC',15341,31,NULL,NULL,NULL,NULL,NULL,2,1),(15,2155729,4.00,7.00,7.00,7.00,8.00,6.75,6.00,7.00,8.00,103,104,NULL,'VILA HÍPICA','FRANCA','SP',1782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155737,4.00,7.00,5.00,8.00,8.00,8.00,6.00,4.00,6.00,103,216,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',5137,1468,661,NULL,NULL,NULL,NULL,2,1),(15,2155745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,309,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2155753,3.00,6.00,2.00,4.00,6.00,4.25,3.00,2.00,2.00,308,327,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',19411,132,437,NULL,NULL,NULL,NULL,2,1),(15,2155761,4.00,7.00,5.00,3.00,6.00,5.25,5.00,4.00,4.00,103,319,NULL,'BARREIROS','SAO JOSE','SC',11516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155770,8.00,9.00,7.00,7.00,7.00,5.25,8.00,9.00,7.00,103,222,NULL,'CENTRO','FLORIANOPOLIS','SC',802,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2155800,2.00,6.00,6.00,4.00,6.00,4.00,3.00,4.00,3.00,103,104,NULL,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2155818,6.00,8.00,3.00,5.00,6.00,7.00,7.00,7.00,3.00,203,318,215,'CORREGO GRANDE','FLORIANOPOLIS','SC',5910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155826,5.00,8.00,6.00,6.00,9.00,6.25,6.00,6.00,4.00,104,101,NULL,'FIDÉLIS','BLUMENAU','SC',4402,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2155834,5.00,7.00,7.00,6.00,7.00,5.50,7.00,6.00,7.00,103,102,NULL,'VILA INDUSTRIAL','SAO MANUEL','SP',4218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155850,5.00,8.00,5.00,5.00,7.00,5.50,5.00,7.00,5.00,303,326,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',6122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155869,2.00,5.00,1.00,3.00,3.00,6.50,3.00,3.00,3.00,103,319,NULL,'SÃO CRISTOVÃO','SALETE','SC',19705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155877,4.00,7.00,8.00,5.00,7.00,5.50,6.00,4.00,5.00,318,304,NULL,'PONTA DA PRAIA','SANTOS','SP',6733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155885,8.00,9.00,10.00,9.00,9.00,8.25,9.00,6.00,8.00,103,415,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',81,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155893,0.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,301,415,NULL,'REAL PARCK','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2155907,5.00,5.00,5.00,4.00,8.00,4.75,5.00,5.00,4.00,101,324,NULL,'BARREIROS','SAO JOSE','SC',8918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155915,4.00,6.00,5.00,2.00,4.00,5.50,5.00,4.00,2.00,207,420,NULL,'CENTRO','PALMAS','TO',16113,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2155923,2.00,4.00,1.00,2.00,6.00,6.50,4.00,5.00,5.00,415,301,NULL,'JARDIM SILVANA','ICARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2155931,7.00,7.00,5.00,6.00,6.00,5.00,6.00,7.00,4.00,108,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',6667,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2155940,1.00,3.00,2.00,6.00,6.00,5.00,2.00,4.00,1.00,208,222,NULL,'CENTRO','ERECHIM','RS',20680,829,217,NULL,NULL,NULL,NULL,2,1),(15,2155958,2.00,6.00,3.00,4.00,4.00,4.00,4.00,4.00,2.00,202,NULL,NULL,'INTERIOR','SAUDADES','SC',20076,666,NULL,NULL,NULL,NULL,NULL,2,4),(15,2155966,4.00,8.00,4.00,7.00,6.00,4.75,5.00,6.00,4.00,103,415,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',8133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155974,1.00,8.00,2.00,5.00,6.00,6.00,2.00,9.00,3.00,327,421,NULL,'ROÇADO','SAO JOSE','SC',12837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2155990,4.00,7.00,8.00,6.00,7.00,7.75,7.00,7.00,6.00,103,415,NULL,'BARREIROS','SAO JOSE','SC',3123,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2156008,4.00,7.00,5.00,5.00,7.00,7.25,5.00,7.00,4.00,201,222,212,'LOURO','ANTONIO CARLOS','SC',7322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156016,3.00,5.00,1.00,3.00,4.00,4.25,2.00,5.00,1.00,404,444,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',21802,265,607,NULL,NULL,NULL,NULL,2,1),(15,2156024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,420,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2156032,5.00,5.00,2.00,4.00,8.00,3.50,7.00,6.00,2.00,5,415,NULL,'CENTRO','GRAO PARA','SC',11506,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2156040,5.00,9.00,9.00,9.00,8.00,4.50,9.00,7.00,6.00,103,326,NULL,'VORSTADT','BLUMENAU','SC',831,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2156059,0.00,6.00,4.00,4.00,6.00,2.00,5.00,3.00,5.00,208,223,238,'ABRAÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2156067,3.00,8.00,4.00,4.00,6.00,5.00,5.00,5.00,4.00,104,102,NULL,'COQUEIROS','FLORIANOPOLIS','SC',12035,389,881,NULL,NULL,NULL,NULL,3,1),(15,2156075,6.00,8.00,7.00,8.00,8.00,6.50,7.00,5.00,5.00,238,222,211,'ARIRIU FORMIGA','PALHOCA','SC',3402,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2156083,5.00,6.00,4.00,8.00,8.00,7.50,5.00,7.00,4.00,238,426,208,'AGRONÔMICA','FLORIANOPOLIS','SC',4909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156105,6.00,6.00,4.00,9.00,8.00,5.50,6.00,7.00,3.00,103,NULL,NULL,'CAMPESTRE ORFEU','SAO LEOPOLDO','RS',5348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156113,4.00,7.00,6.00,5.00,8.00,7.00,5.00,6.00,3.00,103,333,NULL,'BRAGA','SAO JOSE DOS PINHAIS','PR',6144,1646,538,NULL,NULL,NULL,NULL,4,1),(15,2156121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,216,NULL,'CIVEMARA','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2156130,2.00,7.00,0.00,4.00,7.00,5.00,5.00,5.00,3.00,5,303,NULL,'ALTO DA BOA VISTA','RIBEIRAO PRETO','SP',14447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156148,3.00,6.00,1.00,7.00,5.00,6.75,3.00,5.00,2.00,415,424,NULL,'PICADAS DO SUL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,502,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2156172,4.00,7.00,1.00,5.00,6.00,7.50,5.00,7.00,4.00,303,428,NULL,'PANTANAL','FLORIANOPOLIS','SC',8758,486,155,NULL,NULL,NULL,NULL,3,1),(15,2156180,3.00,8.00,4.00,7.00,6.00,5.25,5.00,7.00,5.00,103,104,NULL,'XAXIM','CURITIBA','PR',7228,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2156199,2.00,8.00,4.00,8.00,8.00,6.50,7.00,5.00,6.00,303,415,NULL,'PIO CORREA','CRICIUMA','SC',4042,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2156202,6.00,8.00,2.00,4.00,6.00,5.75,6.00,6.00,5.00,318,317,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',9049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2156237,1.00,8.00,4.00,5.00,7.00,5.25,7.00,4.00,2.00,238,332,208,'JOSE MENDES','FLORIANOPOLIS','SC',12013,426,221,429,NULL,NULL,NULL,4,1),(15,2156245,0.00,5.00,3.00,0.00,2.00,NULL,1.00,3.00,0.00,415,428,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2156261,4.00,7.00,4.00,5.00,7.00,6.25,8.00,6.00,2.00,238,451,208,'AREIAS','SAO JOSE','SC',6940,192,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156270,4.00,6.00,3.00,8.00,7.00,5.00,5.00,3.00,4.00,404,301,NULL,'BARREIROS','SAO JOSE','SC',11454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156288,2.00,8.00,5.00,5.00,6.00,5.00,4.00,7.00,3.00,201,207,202,'CENTRO','ALPESTRE','RS',11017,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2156296,2.00,7.00,8.00,3.00,8.00,6.50,6.00,7.00,3.00,203,316,214,'CENTRO','HERVAL D OESTE','SC',7503,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2156300,3.00,7.00,4.00,6.00,6.00,5.75,5.00,6.00,6.00,216,233,202,'SÃO JOSÉ','MARAVILHA','SC',8630,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2156318,5.00,5.00,2.00,6.00,8.00,6.00,5.00,6.00,4.00,333,234,NULL,'INGLESES','FLORIANOPOLIS','SC',9685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2156326,5.00,6.00,3.00,5.00,8.00,5.50,5.00,4.00,3.00,103,102,NULL,'VICTOR KONDER','BLUMENAU','SC',11872,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2156334,4.00,6.00,6.00,4.00,7.00,4.50,3.00,6.00,4.00,238,225,213,'ARIRIU','PALHOCA','SC',11821,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2156342,4.00,5.00,4.00,6.00,8.00,5.75,5.00,6.00,4.00,303,326,NULL,'ESTREITO','FLORIANOPOLIS','SC',8023,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2156350,1.00,6.00,4.00,6.00,4.00,6.25,5.00,5.00,1.00,327,332,NULL,'CENTRO','SAO JOSE','SC',14928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156369,5.00,8.00,9.00,7.00,9.00,7.00,9.00,7.00,6.00,303,216,NULL,'CENTRO','FLORIANOPOLIS','SC',700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156377,3.00,6.00,6.00,5.00,7.00,4.50,6.00,3.00,2.00,238,222,208,'VARGEM GRANDE','FLORIANOPOLIS','SC',12957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156385,8.00,7.00,6.00,9.00,8.00,7.75,6.00,7.00,4.00,103,319,NULL,'ITACORUBI','FLORIANOPOLIS','SC',1815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156393,5.00,7.00,8.00,8.00,8.00,6.75,8.00,7.00,5.00,233,216,211,'PANTANAL','FLORIANOPOLIS','SC',1499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2156407,3.00,6.00,5.00,7.00,8.00,5.75,7.00,5.00,4.00,420,319,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',6491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156423,1.00,6.00,3.00,3.00,7.00,6.25,4.00,3.00,2.00,301,316,NULL,'PANTANAL','FLORIANOPOLIS','SC',16488,277,1100,NULL,NULL,NULL,NULL,4,1),(15,2156431,5.00,6.00,3.00,7.00,8.00,5.50,6.00,5.00,3.00,103,101,NULL,'VILA NOVA','LAGES','SC',7518,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2156440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'NAZARÉ','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2156458,3.00,6.00,2.00,8.00,3.00,5.00,5.00,8.00,7.00,301,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2156474,2.00,7.00,6.00,7.00,7.00,4.75,5.00,5.00,1.00,9,327,NULL,'TRINDADE','FLORIANOPOLIS','SC',11219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156482,1.00,2.00,4.00,3.00,3.00,4.00,5.00,3.00,2.00,208,420,238,'MONTE VERDE','FLORIANOPOLIS','SC',22295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156490,0.00,6.00,4.00,3.00,6.00,5.25,2.00,5.00,2.00,316,9,NULL,'PARAÍSO','JAGUARUNA','SC',19164,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2156504,5.00,6.00,8.00,9.00,8.00,7.00,9.00,6.00,6.00,220,233,238,'CAPOEIRAS','FLORIANOPOLIS','SC',1729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156512,1.00,7.00,3.00,7.00,6.00,5.00,5.00,7.00,2.00,202,233,213,'COLINA VERDE','VIDEIRA','SC',10824,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2156520,3.00,5.00,1.00,2.00,4.00,5.00,2.00,4.00,2.00,102,423,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',21223,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2156539,6.00,6.00,3.00,6.00,7.00,2.00,4.00,5.00,2.00,216,202,211,'CENTRO','SANTO ANTONIO DO SUDOESTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2156547,6.00,7.00,5.00,3.00,5.00,7.50,8.00,7.00,5.00,103,212,NULL,'TRINDADE','FLORIANOPOLIS','SC',5569,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2156555,1.00,8.00,2.00,0.00,5.00,6.00,5.00,6.00,3.00,211,304,233,'TRINDADE','FLORIANOPOLIS','SC',17183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156563,1.00,5.00,5.00,4.00,5.00,5.50,2.00,4.00,3.00,238,333,208,'ARMAÇAO','FLORIANOPOLIS','SC',19003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2156571,6.00,9.00,9.00,6.00,8.00,5.25,7.00,9.00,6.00,203,201,220,'SENHOR DOS PASSOS','CUIABA','MT',1291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156580,4.00,8.00,4.00,6.00,7.00,6.75,6.00,7.00,3.00,318,429,NULL,'CENTRO','SAO BONIFACIO','SC',6989,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2156598,4.00,6.00,3.00,6.00,6.00,5.50,6.00,7.00,6.00,444,308,NULL,'SANTA CATARINA','JOINVILLE','SC',8260,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2156601,4.00,7.00,3.00,7.00,7.00,6.25,6.00,6.00,2.00,320,319,NULL,'VILA OLIMPIA','SAO PAULO','SP',7653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156628,2.00,6.00,6.00,8.00,6.00,6.50,5.00,6.00,4.00,207,2,208,'CENTRO','FLORIANOPOLIS','SC',7460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156636,8.00,9.00,9.00,7.00,8.00,9.50,9.00,8.00,8.00,303,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',20,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156660,4.00,5.00,3.00,2.00,5.00,6.00,2.00,2.00,2.00,308,324,NULL,'ARMAÇAO','FLORIANOPOLIS','SC',20451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156679,7.00,8.00,8.00,6.00,8.00,5.75,9.00,7.00,4.00,103,9,NULL,'CENTRO','FLORIANOPOLIS','SC',2097,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2156687,2.00,3.00,2.00,6.00,7.00,3.75,3.00,5.00,1.00,319,303,NULL,'MEIA PRAIA','ITAPEMA','SC',19215,418,1298,NULL,NULL,NULL,NULL,2,3),(15,2156695,2.00,7.00,5.00,4.00,5.00,6.25,5.00,3.00,2.00,220,208,238,'AREIAS','SAO JOSE','SC',14870,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2156709,7.00,8.00,8.00,9.00,8.00,7.25,9.00,8.00,8.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',92,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156717,5.00,7.00,4.00,8.00,7.00,6.00,4.00,5.00,4.00,211,333,216,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156725,3.00,6.00,2.00,4.00,4.00,3.75,5.00,6.00,2.00,211,217,216,'CENTRO','SAO JOAO DO ITAPERIU','SC',18135,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2156733,2.00,5.00,6.00,7.00,7.00,4.75,3.00,4.00,2.00,102,217,NULL,'BAUNEÁRIO','FLORIANOPOLIS','SC',13861,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2156741,2.00,3.00,0.00,6.00,6.00,5.75,3.00,4.00,5.00,103,104,NULL,'CENTRO','LAGOA VERMELHA','RS',19260,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2156750,3.00,8.00,5.00,5.00,7.00,6.00,7.00,6.00,2.00,103,102,NULL,'RIO GRANDE','PALHOCA','SC',8368,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2156768,6.00,8.00,8.00,9.00,8.00,8.00,9.00,7.00,8.00,217,2,NULL,'JARDIM SÃO BENTO','UBERABA','MG',485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156776,6.00,8.00,4.00,9.00,5.00,6.25,7.00,5.00,4.00,103,415,NULL,'PENHA','SAO PAULO','SP',5610,1559,615,NULL,NULL,NULL,NULL,4,1),(15,2156784,7.00,8.00,8.00,8.00,9.00,3.50,9.00,8.00,7.00,103,203,NULL,'CENTRO','UNIAO DA VITORIA','PR',755,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2156792,2.00,4.00,0.00,7.00,6.00,5.25,4.00,2.00,2.00,303,301,NULL,'CENTRO','VACARIA','RS',18566,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2156814,0.00,6.00,0.00,2.00,5.00,NULL,4.00,4.00,1.00,216,301,215,'SÃO BENTO BAIXO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(15,2156822,3.00,3.00,2.00,2.00,4.00,5.75,2.00,3.00,4.00,207,212,201,'GASPARETTO','VACARIA','RS',20733,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2156830,4.00,6.00,6.00,6.00,6.00,4.50,4.00,7.00,2.00,208,316,238,'COMERCIÁRIO','CRICIUMA','SC',10252,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2156857,6.00,7.00,7.00,8.00,7.00,6.50,7.00,7.00,6.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',2440,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2156865,3.00,5.00,1.00,6.00,6.00,4.75,2.00,2.00,1.00,319,9,NULL,'STAN','TORRES','RS',19582,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2156881,5.00,7.00,6.00,6.00,6.00,6.25,5.00,6.00,4.00,216,222,233,'PERDIZES','SAO PAULO','SP',5900,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2156890,2.00,6.00,3.00,3.00,6.00,4.25,3.00,6.00,4.00,203,NULL,NULL,'CAÇADOR','CAPIVARI DE BAIXO','SC',16053,996,NULL,NULL,NULL,NULL,NULL,4,10),(15,2156911,4.00,7.00,3.00,8.00,7.00,6.00,7.00,6.00,3.00,302,317,NULL,'CAMPECHE','FLORIANOPOLIS','SC',6343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156938,6.00,7.00,8.00,10.00,8.00,6.75,9.00,8.00,8.00,103,216,NULL,'CORDEIROS','ITAJAI','SC',543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156946,4.00,8.00,8.00,7.00,8.00,6.50,8.00,6.00,4.00,301,214,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',2652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2156954,0.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,423,444,429,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2156962,3.00,7.00,0.00,6.00,5.00,5.50,4.00,4.00,1.00,308,425,NULL,'CENTRO','JARAGUA DO SUL','SC',17841,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2156970,3.00,7.00,2.00,4.00,6.00,5.50,6.00,7.00,2.00,415,328,NULL,'JURERÊ','FLORIANOPOLIS','SC',13645,339,97,NULL,NULL,NULL,NULL,4,1),(15,2156989,3.00,7.00,5.00,5.00,7.00,7.00,6.00,5.00,5.00,103,108,NULL,'ITAUM','JOINVILLE','SC',8561,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2157004,7.00,7.00,6.00,6.00,8.00,6.25,7.00,8.00,7.00,5,222,NULL,'VELHA','BLUMENAU','SC',1762,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2157020,4.00,8.00,5.00,6.00,7.00,6.00,5.00,5.00,3.00,316,224,NULL,'ITACORUBI','FLORIANOPOLIS','SC',7699,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2157039,0.00,4.00,4.00,4.00,3.00,2.25,3.00,4.00,4.00,207,303,201,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2157047,2.00,6.00,0.00,3.00,3.00,NULL,3.00,5.00,3.00,104,102,NULL,'PRAIA DE ARMAÇÃO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2157055,4.00,7.00,2.00,4.00,5.00,6.75,4.00,5.00,1.00,501,339,NULL,'ALTO ARIRIÚ','PALHOCA','SC',15625,187,293,NULL,NULL,NULL,NULL,2,1),(15,2157063,1.00,3.00,0.00,2.00,1.00,NULL,5.00,3.00,1.00,426,NULL,421,'SERRINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2157071,4.00,4.00,3.00,2.00,5.00,4.25,4.00,4.00,3.00,216,203,NULL,'CENTRO','CASCAVEL','PR',18676,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2157080,6.00,7.00,7.00,6.00,9.00,6.75,5.00,7.00,7.00,301,316,NULL,'LURDES','CAXIAS DO SUL','RS',2441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157098,4.00,6.00,3.00,5.00,7.00,6.50,3.00,4.00,3.00,103,102,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',12919,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2157101,0.00,0.00,0.00,8.00,5.00,NULL,0.00,0.00,0.00,220,5,216,'MORADA DO SOL','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,7),(15,2157128,4.00,7.00,6.00,7.00,7.00,5.75,8.00,8.00,4.00,316,234,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',3718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157136,2.00,4.00,0.00,3.00,4.00,NULL,4.00,4.00,1.00,102,217,NULL,'COSTEIRA DO PARAJUBA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2157144,1.00,1.00,0.00,0.00,0.00,NULL,2.00,2.00,0.00,238,208,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157152,2.00,3.00,1.00,7.00,6.00,2.00,2.00,3.00,2.00,308,327,NULL,'JARDIM YARA','POUSO ALEGRE','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2157160,2.00,5.00,3.00,3.00,4.00,5.50,3.00,3.00,4.00,102,216,NULL,'CENTRO','QUILOMBO','SC',17746,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2157187,2.00,7.00,5.00,1.00,5.00,5.25,2.00,4.00,2.00,201,207,203,'CENTRO','WENCESLAU BRAZ','PR',19331,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2157209,2.00,6.00,6.00,7.00,9.00,6.75,5.00,6.00,4.00,207,201,220,'SÃO JUDAS','ITAJAI','SC',6654,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2157217,2.00,3.00,1.00,2.00,6.00,NULL,2.00,3.00,2.00,108,217,NULL,'INTERIOR','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2157225,4.00,6.00,8.00,7.00,8.00,6.50,7.00,5.00,3.00,203,222,220,'CENTRO','ANTONIO CARLOS','SC',4546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157233,7.00,8.00,6.00,3.00,9.00,4.50,8.00,8.00,5.00,303,304,NULL,'CENTRO','TOLEDO','PR',3608,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2157250,4.00,7.00,3.00,0.00,8.00,5.00,6.00,6.00,2.00,207,233,201,'BELA VISTA','SAO LUDGERO','SC',13036,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2157284,3.00,7.00,1.00,5.00,7.00,5.75,2.00,5.00,3.00,316,420,NULL,'FLORESTA','SAO JOSE','SC',15589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157306,1.00,8.00,4.00,7.00,7.00,6.75,3.00,5.00,3.00,5,303,NULL,'PÂNTANO DO SUL','FLORIANOPOLIS','SC',10197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157314,3.00,7.00,4.00,6.00,8.00,5.00,6.00,4.00,4.00,420,333,NULL,'CENTRO','FLORIANOPOLIS','SC',9809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2157322,1.00,3.00,1.00,3.00,5.00,NULL,2.00,5.00,0.00,101,102,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2157330,3.00,8.00,1.00,5.00,6.00,4.00,4.00,5.00,2.00,215,9,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',15768,314,611,NULL,NULL,NULL,NULL,2,1),(15,2157357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,301,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2157373,7.00,9.00,3.00,9.00,9.00,6.50,8.00,7.00,6.00,303,5,NULL,'ITANHANGÁ','CAMPO GRANDE','MS',1781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157381,0.00,3.00,2.00,0.00,4.00,NULL,2.00,4.00,3.00,5,451,NULL,'CENTRO','MORRO DA FUMACA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2157390,2.00,7.00,2.00,2.00,8.00,2.50,6.00,4.00,2.00,316,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2157403,2.00,5.00,2.00,4.00,7.00,6.75,2.00,6.00,1.00,319,309,NULL,'CENTRO','CURITIBANOS','SC',16905,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2157411,4.00,4.00,8.00,6.00,8.00,6.00,6.00,4.00,5.00,103,104,NULL,'JARDIM CARVALHO II','PONTA GROSSA','PR',7765,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2157420,6.00,5.00,5.00,3.00,8.00,6.00,8.00,6.00,4.00,104,101,NULL,'AIURE','GRAO PARA','SC',6004,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2157438,3.00,6.00,3.00,6.00,3.00,4.00,3.00,4.00,4.00,220,202,203,'GUANABARA','JOINVILLE','SC',17281,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2157446,1.00,6.00,3.00,3.00,4.00,4.50,3.00,2.00,2.00,103,201,NULL,'CENTRO','PITANGA','PR',21555,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2157454,8.00,8.00,7.00,6.00,8.00,5.50,8.00,7.00,6.00,103,104,NULL,'CARANDA BOSQUE','CAMPO GRANDE','MS',1867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157462,4.00,8.00,4.00,1.00,7.00,5.00,3.00,4.00,3.00,450,329,NULL,'CENTRO','PALHOCA','SC',13250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157489,6.00,9.00,9.00,5.00,9.00,7.50,9.00,8.00,7.00,103,420,NULL,'TRINDADE','FLORIANOPOLIS','SC',454,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2157497,4.00,6.00,4.00,7.00,6.00,6.00,4.00,3.00,3.00,5,310,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157500,2.00,8.00,4.00,6.00,7.00,6.00,3.00,9.00,3.00,303,302,NULL,'VILA MOEMA','TUBARAO','SC',8435,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2157519,8.00,9.00,9.00,8.00,9.00,6.50,9.00,9.00,7.00,103,NULL,NULL,'JARDIM TROPICAL','CAMPO GRANDE','MS',41,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,238,202,'FLORESTA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2157551,2.00,4.00,1.00,3.00,4.00,3.75,4.00,5.00,3.00,238,324,208,'BELA VISTA','SAO JOSE','SC',21055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157586,4.00,6.00,1.00,8.00,7.00,4.50,2.00,5.00,4.00,450,328,NULL,'ASA NORTE','BRASILIA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157594,3.00,3.00,1.00,5.00,5.00,4.75,5.00,6.00,2.00,101,339,NULL,'JARDIM AQUARIOS','PALHOCA','SC',17576,209,324,NULL,NULL,NULL,NULL,2,1),(15,2157608,2.00,4.00,3.00,4.00,5.00,6.50,4.00,3.00,1.00,420,425,NULL,'CENTRO','SAO JOSE','SC',19172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2157616,1.00,3.00,1.00,2.00,3.00,NULL,3.00,2.00,2.00,102,217,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157624,6.00,7.00,5.00,1.00,7.00,6.25,5.00,4.00,4.00,103,214,NULL,'UNIVERSITÁRIO','CRICIUMA','SC',10808,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2157632,3.00,5.00,4.00,5.00,5.00,5.25,2.00,4.00,2.00,213,214,212,'CENTRO','CONCORDIA','SC',16757,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2157640,4.00,8.00,7.00,8.00,7.00,7.00,5.00,6.00,4.00,319,420,NULL,'TRINDADE','FLORIANOPOLIS','SC',4639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157659,6.00,8.00,3.00,8.00,9.00,6.50,7.00,6.00,6.00,9,332,NULL,'ESTREITO','FLORIANOPOLIS','SC',3211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157667,0.00,7.00,4.00,1.00,5.00,5.00,3.00,5.00,3.00,108,333,NULL,'CENTRO','CAMPINAS','SP',18815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157675,6.00,6.00,4.00,5.00,6.00,4.25,4.00,4.00,2.00,102,216,NULL,'JARDIM LANCASTER I','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2157683,4.00,8.00,8.00,4.00,6.00,6.75,6.00,7.00,5.00,214,NULL,213,'CENTRO','MONCOES','SP',5032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157713,5.00,7.00,0.00,9.00,4.00,7.00,6.00,7.00,3.00,415,333,NULL,'CENTRO','SANTA MARIA','RS',7253,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2157721,6.00,7.00,3.00,5.00,8.00,6.00,4.00,8.00,2.00,5,304,NULL,'MARTELLI','VIDEIRA','SC',8752,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2157730,2.00,7.00,3.00,6.00,6.00,5.50,1.00,8.00,3.00,423,329,428,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',13783,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2157756,0.00,6.00,3.00,5.00,2.00,NULL,2.00,4.00,2.00,208,415,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,101,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2157772,4.00,8.00,7.00,7.00,9.00,5.25,6.00,6.00,4.00,104,217,NULL,'CENTRO','FLORIANOPOLIS','SC',3823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2157780,4.00,5.00,4.00,8.00,5.00,8.75,5.00,8.00,5.00,420,415,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',6961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157799,6.00,8.00,6.00,9.00,6.00,8.00,5.00,7.00,3.00,303,415,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',3632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157802,3.00,6.00,7.00,5.00,7.00,6.25,8.00,6.00,4.00,104,502,NULL,'COSTA E SILVA','JOINVILLE','SC',6039,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2157810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,224,NULL,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2157829,2.00,6.00,1.00,6.00,6.00,5.00,4.00,3.00,3.00,502,333,NULL,'BARREIROS','SAO JOSE','SC',16699,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2157837,4.00,9.00,6.00,4.00,7.00,7.00,8.00,7.00,3.00,211,302,201,'ESTREITO','FLORIANOPOLIS','SC',4566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157845,1.00,5.00,2.00,6.00,7.00,7.75,3.00,6.00,5.00,102,207,NULL,'FLORESTA','JOINVILLE','SC',11480,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2157853,5.00,4.00,4.00,6.00,7.00,8.00,7.00,8.00,2.00,304,329,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',6529,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2157861,4.00,7.00,4.00,2.00,6.00,4.75,4.00,4.00,2.00,333,420,NULL,'CARIANOS','FLORIANOPOLIS','SC',15786,246,779,NULL,NULL,NULL,NULL,2,1),(15,2157870,1.00,5.00,2.00,6.00,6.00,4.25,2.00,4.00,1.00,207,104,201,'CENTRO','BRACO DO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2157888,5.00,7.00,5.00,8.00,7.00,5.00,7.00,6.00,5.00,428,427,425,'CENTRO','SANTA CRUZ DO SUL','RS',4945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157896,5.00,7.00,4.00,8.00,7.00,7.00,4.00,5.00,5.00,420,425,NULL,'CENTRO','FLORIANOPOLIS','SC',6312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157918,3.00,3.00,5.00,5.00,9.00,5.50,4.00,4.00,2.00,425,324,NULL,'PONTE DO IMARUIM','PALHOCA','SC',14492,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2157926,4.00,7.00,0.00,5.00,7.00,5.50,3.00,5.00,2.00,326,324,NULL,'TRINDADE','FLORIANOPOLIS','SC',15099,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2157934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,308,NULL,'GRANDE COLORADO','SOBRADINHO','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2157942,4.00,6.00,1.00,3.00,7.00,4.50,4.00,4.00,2.00,301,304,NULL,'ITACORUBI','FLORIANOPOLIS','SC',19005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157950,4.00,6.00,2.00,4.00,7.00,4.00,5.00,4.00,1.00,301,302,NULL,'KOBRASOL','SAO JOSE','SC',16364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157969,7.00,9.00,7.00,7.00,9.00,5.75,8.00,9.00,7.00,104,501,NULL,'ITACORUBI','FLORIANOPOLIS','SC',390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2157977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','PARANAIBA','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2157993,2.00,6.00,4.00,1.00,3.00,5.25,2.00,3.00,1.00,324,420,NULL,'VILA NOVA','RIO NEGRINHO','SC',22253,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2158000,6.00,7.00,4.00,5.00,8.00,9.00,6.00,5.00,4.00,415,NULL,NULL,'CENTRO','SAO JOAQUIM DA BARRA','SP',6028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158035,1.00,7.00,2.00,1.00,5.00,5.75,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','BOM JARDIM DA SERRA','SC',21059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158043,8.00,7.00,8.00,0.00,6.00,5.50,8.00,7.00,5.00,103,104,NULL,'CENTRO','CURITIBA','PR',4895,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2158051,5.00,9.00,5.00,8.00,7.00,5.50,6.00,5.00,5.00,301,304,NULL,'ASA NORTE','BRASILIA','DF',5251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158060,3.00,7.00,5.00,7.00,7.00,8.00,2.00,2.00,4.00,103,9,NULL,'COPACABANA','LAGES','SC',11473,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2158078,3.00,9.00,4.00,4.00,9.00,6.25,6.00,8.00,5.00,317,318,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',6262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158086,9.00,8.00,9.00,7.00,8.00,7.00,9.00,7.00,8.00,202,233,213,'SÃO CRISTÓVÃO','CRICIUMA','SC',309,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2158094,3.00,6.00,1.00,3.00,5.00,3.00,4.00,4.00,1.00,327,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',21129,182,NULL,NULL,NULL,NULL,NULL,2,1),(15,2158108,3.00,6.00,0.00,2.00,4.00,6.00,7.00,5.00,5.00,319,328,NULL,'FETT','RANCHO QUEIMADO','SC',16132,326,116,NULL,NULL,NULL,NULL,4,1),(15,2158116,1.00,6.00,5.00,6.00,6.00,5.00,3.00,3.00,1.00,202,207,220,'BOM ABRIGO','FLORIANOPOLIS','SC',16217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2158124,3.00,6.00,4.00,3.00,5.00,6.25,3.00,3.00,3.00,103,333,NULL,'MATO PRETO','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2158132,6.00,6.00,6.00,7.00,8.00,6.50,5.00,7.00,2.00,303,421,NULL,'ESTREITO','FLORIANOPOLIS','SC',5538,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2158140,2.00,4.00,1.00,1.00,5.00,4.50,3.00,4.00,3.00,316,301,NULL,'AMBRÓSIO','GAROPABA','SC',22104,681,864,NULL,NULL,NULL,NULL,4,1),(15,2158167,3.00,6.00,2.00,3.00,5.00,4.75,4.00,7.00,3.00,103,104,NULL,'CENTRO','CAMPO GRANDE','MS',15506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158191,3.00,6.00,3.00,6.00,7.00,5.50,4.00,5.00,3.00,303,421,NULL,'CENTRO','PALHOCA','SC',13240,634,109,NULL,NULL,NULL,NULL,2,1),(15,2158205,2.00,7.00,3.00,4.00,5.00,7.50,2.00,6.00,4.00,217,216,NULL,'JD PAGANI','BAURU','SP',14871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2158213,4.00,6.00,3.00,4.00,5.00,4.00,3.00,4.00,1.00,326,425,NULL,'CENTRO','CRICIUMA','SC',17870,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2158221,3.00,8.00,3.00,1.00,7.00,5.00,4.00,5.00,2.00,308,324,NULL,'CAMPINAS','SAO JOSE','SC',15521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'TUCURUVI','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2158248,7.00,9.00,6.00,7.00,8.00,6.50,7.00,6.00,7.00,103,102,NULL,'JARDIM AUTONOMISTA','CAMPO GRANDE','MS',1856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158256,8.00,7.00,8.00,8.00,8.00,6.00,9.00,7.00,8.00,103,NULL,NULL,'JARDIM SANTA CRUZ','SAO PAULO','SP',683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158264,4.00,4.00,3.00,5.00,7.00,5.75,5.00,3.00,5.00,103,216,NULL,'CENTRO','CORONEL FREITAS','SC',14300,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2158272,4.00,6.00,5.00,5.00,6.00,6.00,6.00,5.00,1.00,5,339,NULL,'ÁGUA VERDE','JARAGUA DO SUL','SC',11645,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2158280,3.00,6.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,217,216,NULL,'NOVA BRASILIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(15,2158299,6.00,6.00,6.00,7.00,7.00,6.50,6.00,4.00,3.00,303,211,NULL,'VILA INDEPENDÊNCIA','LIMEIRA','SP',6775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158302,3.00,7.00,3.00,5.00,8.00,4.00,6.00,4.00,3.00,103,333,NULL,'PONTA DE BAIXO','SAO JOSE','SC',12080,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2158310,4.00,6.00,4.00,7.00,5.00,5.00,2.00,2.00,3.00,216,217,215,'JARDIM DAS AMERICAS','CURITIBA','PR',17090,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2158329,8.00,7.00,4.00,3.00,8.00,4.75,6.00,7.00,5.00,211,234,216,'PIRABEIRABA','JOINVILLE','SC',5791,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2158337,2.00,5.00,5.00,5.00,6.00,4.50,3.00,4.00,3.00,238,316,208,'CANASVIEIRAS','FLORIANOPOLIS','SC',17857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2158345,6.00,7.00,7.00,7.00,7.00,5.50,8.00,7.00,8.00,103,102,NULL,'CENTRO','CAMPO GRANDE','MS',2118,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2158353,6.00,9.00,6.00,6.00,7.00,4.75,6.00,5.00,4.00,203,213,214,'CENTRO','CAPINZAL','SC',5421,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2158361,7.00,8.00,6.00,7.00,8.00,4.75,8.00,8.00,5.00,203,NULL,NULL,'CENTRO','CASCAVEL','PR',2166,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2158370,5.00,7.00,7.00,7.00,6.00,6.75,6.00,6.00,4.00,201,202,203,'CENTRO','JOACABA','SC',3551,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2158396,7.00,7.00,4.00,4.00,8.00,5.75,4.00,6.00,3.00,102,217,NULL,'ESTREITO','FLORIANOPOLIS','SC',8337,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2158400,3.00,3.00,2.00,2.00,7.00,NULL,3.00,2.00,2.00,317,302,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158418,6.00,8.00,8.00,7.00,8.00,7.50,7.00,7.00,6.00,302,222,NULL,'ESTREITO','FLORIANOPOLIS','SC',1430,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2158426,2.00,7.00,3.00,6.00,7.00,5.25,5.00,7.00,2.00,215,316,233,'CENTRO','FLORIANOPOLIS','SC',10510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158434,5.00,7.00,5.00,6.00,7.00,6.50,6.00,3.00,3.00,104,101,NULL,'CENTRO','ITAJAI','SC',8641,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2158442,2.00,4.00,1.00,2.00,8.00,3.50,5.00,2.00,3.00,319,426,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158450,5.00,5.00,0.00,7.00,4.00,5.25,5.00,4.00,2.00,333,326,NULL,'EXPOSIÇÃO','CAXIAS DO SUL','RS',17491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2158477,3.00,9.00,4.00,5.00,7.00,5.25,2.00,4.00,4.00,9,308,NULL,'BARREIROS','SAO JOSE','SC',11523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,207,212,'BONINI I','CRUZ ALTA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2158507,0.00,4.00,2.00,3.00,3.00,NULL,1.00,2.00,1.00,404,319,NULL,'NSA SENHORA DAS GRAC','AMPERE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2158515,5.00,7.00,3.00,3.00,8.00,5.00,7.00,6.00,6.00,234,451,NULL,'PASSA VINTE','PALHOCA','SC',8477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158523,4.00,5.00,8.00,5.00,5.00,6.00,5.00,4.00,5.00,211,102,201,'JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP',9610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158531,7.00,6.00,5.00,1.00,8.00,4.25,4.00,6.00,4.00,317,429,NULL,'TAPERA','FLORIANOPOLIS','SC',10595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,5,216,'CENTRO','UNIAO DA VITORIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2158558,3.00,6.00,3.00,6.00,4.00,5.50,4.00,5.00,2.00,420,316,NULL,'CIDADE NOVA','PORTO UNIAO','SC',16038,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2158566,3.00,4.00,3.00,7.00,9.00,5.00,5.00,5.00,3.00,301,303,NULL,'TARRAF II','SAO JOSE DO RIO PRETO','SP',10812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158574,1.00,6.00,2.00,4.00,8.00,5.50,1.00,5.00,2.00,211,NULL,NULL,'SÃO SEBASTIÃO','PONTE SERRADA','SC',19089,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2158582,5.00,3.00,1.00,7.00,6.00,4.75,5.00,6.00,2.00,501,332,NULL,'SAMUEL SANDRINI','ORLEANS','SC',15192,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2158590,5.00,8.00,8.00,9.00,8.00,7.50,6.00,9.00,5.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',1092,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2158604,4.00,5.00,5.00,3.00,6.00,5.75,5.00,5.00,2.00,318,319,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',12825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2158620,4.00,7.00,3.00,3.00,6.00,7.00,5.00,5.00,5.00,104,101,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',10560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158639,3.00,6.00,5.00,7.00,6.00,5.00,4.00,6.00,4.00,207,NULL,NULL,'ASA SUL','BRASILIA','DF',10069,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2158655,5.00,8.00,2.00,6.00,8.00,6.25,4.00,6.00,4.00,301,333,NULL,'DOS ESTADOS','INDAIAL','SC',8599,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2158663,2.00,7.00,4.00,7.00,6.00,6.00,6.00,4.00,4.00,238,324,208,'JARDIM ALTÂNTICO','FLORIANOPOLIS','SC',9172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158680,8.00,8.00,8.00,8.00,9.00,6.75,9.00,8.00,8.00,103,101,NULL,'BAIXADA','NOVA VENEZA','SC',252,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2158698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,103,NULL,'APARECIDA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2158701,3.00,6.00,3.00,9.00,8.00,5.25,3.00,5.00,1.00,501,339,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',12147,117,240,NULL,NULL,NULL,NULL,2,1),(15,2158710,6.00,7.00,7.00,3.00,6.00,5.25,9.00,6.00,6.00,203,216,233,'CENTRO','FLORIANOPOLIS','SC',6214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158728,3.00,8.00,1.00,7.00,8.00,5.75,5.00,7.00,1.00,5,238,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',9290,400,885,NULL,NULL,NULL,NULL,2,1),(15,2158736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'NORDESTE','FORMOSA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2158744,4.00,6.00,6.00,7.00,7.00,6.25,6.00,7.00,4.00,303,104,NULL,'CENTRO','LAGES','SC',5240,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2158752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM NOVO MUNDO II','POCOS DE CALDAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2158760,3.00,8.00,2.00,8.00,6.00,5.25,6.00,6.00,4.00,318,332,NULL,'INGLESES','FLORIANOPOLIS','SC',8904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158779,1.00,8.00,3.00,6.00,6.00,6.00,4.00,3.00,5.00,317,211,NULL,'INGLESES','FLORIANOPOLIS','SC',13646,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2158787,8.00,8.00,8.00,7.00,9.00,6.50,7.00,7.00,5.00,103,207,NULL,'VILA FORMOSA','BLUMENAU','SC',1411,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2158795,2.00,6.00,2.00,3.00,8.00,5.25,2.00,3.00,4.00,332,208,NULL,'VENDAVAL','BIGUACU','SC',17648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2158809,6.00,7.00,6.00,7.00,8.00,7.00,7.00,7.00,5.00,203,2,202,'BOM VIVER','BIGUACU','SC',3127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158817,1.00,5.00,4.00,9.00,8.00,6.00,4.00,5.00,3.00,303,309,NULL,'CENTRO','POMERODE','SC',11457,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2158825,7.00,7.00,8.00,5.00,8.00,6.25,6.00,6.00,5.00,201,223,207,'CENTRO','HERVAL D OESTE','SC',3317,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2158833,0.00,3.00,3.00,2.00,7.00,5.00,3.00,4.00,2.00,211,415,208,'PRADO','BIGUACU','SC',21415,733,829,863,NULL,NULL,NULL,2,1),(15,2158841,1.00,1.00,4.00,1.00,3.00,NULL,2.00,2.00,0.00,319,9,NULL,'PASSA VINTE','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,329,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2158884,4.00,7.00,5.00,8.00,9.00,6.25,7.00,6.00,4.00,201,207,203,'BAIRRO','BLUMENAU','SC',3943,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2158892,2.00,2.00,3.00,5.00,3.00,4.00,3.00,0.00,1.00,309,308,NULL,'STA CRUZ DA FIGUEIRA','AGUAS MORNAS','SC',22496,88,501,NULL,NULL,NULL,NULL,2,1),(15,2158906,4.00,6.00,3.00,5.00,6.00,5.75,5.00,5.00,3.00,302,301,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',13278,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2158922,4.00,9.00,4.00,5.00,8.00,4.50,6.00,5.00,3.00,326,NULL,NULL,'CENTRO','AMERICANA','SP',8343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158930,3.00,6.00,4.00,4.00,7.00,3.00,5.00,7.00,4.00,2,213,NULL,'PONTE DO IMARUIM','PALHOCA','SC',11158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2158949,0.00,0.00,0.00,0.00,6.00,NULL,0.00,0.00,0.00,207,415,NULL,'GUILHERMINA','PRAIA GRANDE','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(15,2158957,6.00,8.00,6.00,5.00,6.00,5.50,8.00,4.00,6.00,208,233,202,'MANDAQUI','SAO PAULO','SP',4899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158973,1.00,4.00,1.00,1.00,5.00,5.50,2.00,4.00,4.00,216,102,NULL,'FORQUILHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158981,1.00,7.00,3.00,6.00,6.00,6.00,5.00,6.00,4.00,502,234,NULL,'CAMPECHE','FLORIANOPOLIS','SC',12193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2158990,2.00,5.00,1.00,2.00,3.00,3.75,4.00,3.00,2.00,203,201,202,'SANTOS DUMONT','SAO JOSE','SC',22053,1208,1417,716,NULL,NULL,NULL,4,1),(15,2159007,6.00,7.00,6.00,4.00,8.00,6.75,4.00,7.00,5.00,331,308,NULL,'CENTRO','LAGES','SC',5810,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2159015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,9,NULL,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2159023,4.00,8.00,6.00,5.00,7.00,5.25,7.00,6.00,5.00,104,2,NULL,'JARDIN DAS AVENIDAS','ARARANGUA','SC',4790,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2159031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,9,NULL,'SANTA CRUZ','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2159040,2.00,6.00,2.00,1.00,5.00,5.25,2.00,7.00,1.00,101,326,NULL,'CENTRO','GAROPABA','SC',20687,284,331,NULL,NULL,NULL,NULL,4,1),(15,2159058,2.00,5.00,5.00,5.00,4.00,7.25,6.00,5.00,3.00,5,304,NULL,'SANTO INÁCIO','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2159066,3.00,5.00,2.00,0.00,8.00,6.25,3.00,3.00,2.00,5,320,NULL,'CENTRO','COCAL DO SUL','SC',19609,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2159074,5.00,7.00,4.00,1.00,8.00,6.00,4.00,4.00,4.00,415,450,NULL,'JARDIM IRIRIU','JOINVILLE','SC',11268,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2159082,3.00,7.00,5.00,5.00,6.00,5.25,6.00,7.00,3.00,316,301,NULL,'JARDIM INDEPENDENCIA','RIBEIRAO PRETO','SP',9259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159090,4.00,7.00,0.00,4.00,5.00,5.75,6.00,4.00,4.00,5,318,NULL,'DAS NAÇÕES','CONCORDIA','SC',15542,662,460,NULL,NULL,NULL,NULL,2,7),(15,2159104,2.00,7.00,7.00,6.00,7.00,5.75,6.00,7.00,4.00,501,215,NULL,'GARCIA','BLUMENAU','SC',7182,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2159112,4.00,7.00,4.00,6.00,7.00,5.00,7.00,7.00,4.00,316,301,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',7005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159120,4.00,8.00,6.00,2.00,7.00,4.75,6.00,7.00,4.00,214,318,207,'FLORESTA','JOINVILLE','SC',7079,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2159139,8.00,8.00,5.00,9.00,8.00,8.00,4.00,7.00,6.00,103,108,NULL,'ESTREITO','FLORIANOPOLIS','SC',1380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159147,5.00,6.00,6.00,8.00,7.00,NULL,0.00,0.00,0.00,316,317,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2159155,1.00,5.00,5.00,5.00,5.00,3.00,5.00,5.00,2.00,203,502,202,'JARDIM PRIMAVERA','PATO BRANCO','PR',16977,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2159163,3.00,3.00,3.00,0.00,0.00,NULL,3.00,5.00,4.00,5,103,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2159171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2159180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,104,NULL,'BELA VISTA II','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2159198,5.00,5.00,6.00,7.00,7.00,6.25,7.00,2.00,4.00,102,425,NULL,'CENTRO','LAGES','SC',7161,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2159210,4.00,6.00,3.00,5.00,8.00,7.50,5.00,6.00,5.00,2,225,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',8267,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2159228,7.00,5.00,5.00,3.00,8.00,5.25,7.00,5.00,5.00,103,216,NULL,'CENTRO','TREVISO','SC',8429,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2159236,5.00,8.00,7.00,9.00,8.00,6.00,6.00,6.00,4.00,5,318,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',3105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159244,4.00,8.00,3.00,5.00,6.00,3.75,3.00,3.00,2.00,404,444,NULL,'BARREIROS','SAO JOSE','SC',16618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159260,5.00,6.00,9.00,6.00,8.00,6.50,6.00,7.00,4.00,103,428,NULL,'ESTREITO','FLORIANOPOLIS','SC',4147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'JARDIM GLOBAL','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2159295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,318,NULL,'COLINA VERDE','AVARE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2159309,2.00,3.00,3.00,4.00,3.00,2.25,2.00,4.00,1.00,238,327,208,'MACACU','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2159317,2.00,4.00,3.00,3.00,6.00,3.00,5.00,2.00,4.00,211,333,215,'MARIA ISABEL','MARILIA','SP',19899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159325,5.00,5.00,2.00,0.00,7.00,5.00,3.00,2.00,4.00,303,5,NULL,'CENTRO','CORUPA','SC',17979,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2159333,6.00,6.00,5.00,4.00,8.00,6.00,6.00,5.00,5.00,102,101,NULL,'JARDIM IRIRIU','JOINVILLE','SC',7204,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2159341,2.00,5.00,2.00,4.00,4.00,4.50,5.00,4.00,1.00,101,319,NULL,'CENTRO','SAO JOSE','SC',20064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159350,7.00,6.00,6.00,5.00,7.00,6.25,6.00,5.00,4.00,9,327,NULL,'CAMPINAS','SAO JOSE','SC',6267,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2159368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'DIVINÉIA','ARARANGUA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2159414,6.00,6.00,5.00,5.00,6.00,5.75,7.00,8.00,4.00,420,225,NULL,'SÃO CRISTOVÃO','CHAPECO','SC',5399,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2159422,5.00,7.00,7.00,5.00,5.00,4.50,5.00,7.00,1.00,316,207,NULL,'PALHOÇA','PALHOCA','SC',9375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159430,4.00,4.00,0.00,3.00,6.00,4.50,3.00,5.00,2.00,103,108,NULL,'VILA BELMIRO','SANTOS','SP',20486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159449,6.00,7.00,6.00,2.00,7.00,5.00,7.00,5.00,3.00,318,316,NULL,'COSTA E SILVA','JOINVILLE','SC',9641,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2159457,2.00,7.00,2.00,4.00,6.00,5.00,1.00,4.00,1.00,101,308,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2159465,3.00,6.00,3.00,4.00,6.00,5.75,2.00,7.00,2.00,101,103,NULL,'MORRO GRANDE','SANGAO','SC',15020,146,3215,NULL,NULL,NULL,NULL,2,10),(15,2159481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,304,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2159490,2.00,7.00,3.00,3.00,6.00,5.00,5.00,5.00,3.00,327,415,NULL,'CENTRO','NOVA TRENTO','SC',14505,87,728,NULL,NULL,NULL,NULL,4,3),(15,2159503,6.00,7.00,4.00,5.00,8.00,7.25,6.00,7.00,2.00,103,333,NULL,'CARAVAGGIO','NOVA VENEZA','SC',5876,1611,532,NULL,NULL,NULL,NULL,2,5),(15,2159511,4.00,4.00,3.00,1.00,4.00,4.75,4.00,1.00,1.00,238,404,208,'FORQUILHAS','SAO JOSE','SC',22239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'TONIAL','XANXERE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2159538,2.00,6.00,1.00,2.00,7.00,4.75,2.00,3.00,2.00,103,NULL,NULL,'PROGRESSO','SAO BENTO DO SUL','SC',20727,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2159546,2.00,7.00,6.00,2.00,8.00,4.50,5.00,5.00,5.00,103,304,NULL,'CENTRO','MAXIMILIANO DE ALMEIDA','RS',10424,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2159554,7.00,8.00,8.00,8.00,8.00,5.50,8.00,7.00,7.00,318,304,NULL,'AQUI SE VIVE','INDAIATUBA','SP',1054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2159562,4.00,5.00,5.00,4.00,6.00,6.75,3.00,3.00,5.00,501,320,NULL,'VILA NHOCUNÉ','SAO PAULO','SP',13855,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2159570,2.00,6.00,1.00,0.00,6.00,5.50,1.00,5.00,3.00,302,301,NULL,'ARIRIÚ','PALHOCA','SC',21191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2159589,4.00,7.00,5.00,8.00,7.00,4.75,6.00,5.00,3.00,103,216,NULL,'COLONIAL','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2159600,8.00,5.00,7.00,7.00,8.00,5.25,6.00,6.00,6.00,103,104,NULL,'JD LONDRILAR','LONDRINA','PR',3786,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2159619,3.00,5.00,2.00,6.00,6.00,4.25,4.00,3.00,2.00,201,233,212,'FORTALEZA','BLUMENAU','SC',17974,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2159627,2.00,6.00,5.00,6.00,8.00,4.75,6.00,4.00,2.00,208,329,238,'ALVORADA','FRANCISCO BELTRAO','PR',11356,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2159635,6.00,6.00,5.00,3.00,8.00,4.00,6.00,6.00,3.00,103,301,NULL,'VILA BELMIRO','SANTOS','SP',9851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159643,6.00,9.00,8.00,7.00,9.00,7.50,8.00,8.00,8.00,216,217,211,'COMECIÁRIO','CRICIUMA','SC',446,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2159660,6.00,8.00,6.00,8.00,8.00,6.50,7.00,8.00,6.00,216,207,NULL,'BUCAREIN','JOINVILLE','SC',1921,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2159678,9.00,9.00,9.00,8.00,9.00,6.75,9.00,8.00,7.00,103,102,NULL,'AGUA VERDE','CURITIBA','PR',28,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2159686,2.00,6.00,2.00,7.00,8.00,7.75,3.00,6.00,2.00,308,428,NULL,'COSTEIRA','FLORIANOPOLIS','SC',11853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159694,2.00,5.00,5.00,3.00,4.00,6.25,4.00,4.00,3.00,207,9,216,'PALMITAL','CHAPECO','SC',17810,850,658,501,NULL,NULL,NULL,4,4),(15,2159708,3.00,5.00,5.00,6.00,6.00,4.25,3.00,4.00,2.00,208,223,213,'FORQUILHINHAS','SAO JOSE','SC',15249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2159716,7.00,8.00,7.00,9.00,9.00,6.50,7.00,7.00,5.00,301,428,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',1378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159732,4.00,7.00,7.00,5.00,8.00,3.50,7.00,6.00,4.00,103,319,NULL,'PANTANAL','FLORIANOPOLIS','SC',6272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159740,4.00,5.00,5.00,7.00,8.00,6.00,4.00,6.00,3.00,450,428,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',9352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159759,4.00,4.00,4.00,1.00,6.00,6.25,4.00,2.00,6.00,217,328,NULL,'JARDIM NORDESTE','SAO PAULO','SP',16778,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2159767,4.00,5.00,3.00,3.00,7.00,5.00,4.00,4.00,4.00,103,319,NULL,'LADO DA UNIÃO','BRACO DO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2159775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,212,201,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2159791,4.00,5.00,4.00,6.00,6.00,4.50,3.00,5.00,3.00,203,233,220,'JARDIM ITÁLIA','CHAPECO','SC',13624,907,585,477,NULL,NULL,NULL,2,4),(15,2159805,4.00,7.00,3.00,5.00,6.00,4.50,2.00,2.00,3.00,444,301,NULL,'PANTANO DO SUL','FLORIANOPOLIS','SC',17584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2159813,4.00,5.00,1.00,1.00,6.00,6.25,3.00,3.00,1.00,207,429,215,'CENTRO','MORRO DA FUMACA','SC',20071,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2159821,3.00,3.00,2.00,4.00,4.00,4.75,1.00,3.00,3.00,108,324,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',21960,482,449,NULL,NULL,NULL,NULL,2,1),(15,2159830,3.00,4.00,2.00,0.00,4.00,NULL,2.00,2.00,0.00,211,333,202,'CORDEIROS','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,6),(15,2159848,8.00,7.00,7.00,3.00,7.00,5.00,5.00,7.00,6.00,103,217,NULL,'CENTRO','ALTONIA','PR',4104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159856,6.00,4.00,0.00,6.00,6.00,NULL,0.00,4.00,2.00,502,104,NULL,'CENTRO','SANTA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2159864,1.00,4.00,2.00,1.00,3.00,NULL,2.00,3.00,4.00,103,104,NULL,'PASSA VINTE','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2159880,2.00,6.00,6.00,5.00,7.00,5.25,5.00,6.00,4.00,333,450,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2159899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,202,201,'ZONA SETE','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2159902,4.00,8.00,8.00,6.00,5.00,7.50,6.00,8.00,3.00,214,212,203,'TRINDADE','FLORIANOPOLIS','SC',6042,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2159937,1.00,6.00,3.00,8.00,7.00,6.25,6.00,5.00,1.00,5,303,NULL,'MONTE CASTELO','CAXIAS DO SUL','RS',11931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159945,6.00,8.00,8.00,7.00,8.00,6.50,8.00,8.00,4.00,103,9,NULL,'CENTRO','FLORIANOPOLIS','SC',2149,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2159953,6.00,6.00,4.00,8.00,8.00,5.50,4.00,7.00,4.00,201,304,212,'CENTRO','JOINVILLE','SC',6147,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2159961,2.00,5.00,3.00,2.00,6.00,3.50,3.00,3.00,2.00,501,444,NULL,'CAMPO DUNA','GAROPABA','SC',20655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2159970,8.00,7.00,6.00,6.00,8.00,5.50,9.00,7.00,6.00,208,103,NULL,'COLONINHA','ARARANGUA','SC',1506,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2159988,6.00,8.00,6.00,8.00,7.00,5.75,7.00,7.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANOPOLIS','SC',3488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2159996,2.00,5.00,1.00,0.00,4.00,NULL,2.00,6.00,2.00,5,327,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2160005,5.00,7.00,5.00,6.00,6.00,5.00,6.00,5.00,6.00,102,101,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',7201,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2160013,4.00,8.00,4.00,1.00,4.00,4.25,4.00,5.00,1.00,301,304,NULL,'IGUAÇU','IPATINGA','MG',16760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160021,0.00,3.00,0.00,3.00,6.00,NULL,3.00,5.00,2.00,327,308,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2160030,1.00,7.00,3.00,6.00,7.00,7.25,4.00,7.00,4.00,5,303,NULL,'BELA VISTA','CHAPECO','SC',10093,440,1132,NULL,NULL,NULL,NULL,4,4),(15,2160048,4.00,8.00,4.00,7.00,7.00,5.50,7.00,7.00,6.00,220,213,202,'FUNDAÇÃO','SAO CAETANO DO SUL','SP',5929,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2160056,1.00,6.00,1.00,5.00,5.00,6.25,2.00,4.00,3.00,333,234,NULL,'CACUPÉ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160064,6.00,8.00,8.00,5.00,7.00,5.50,7.00,6.00,4.00,216,215,NULL,'BARRA DO RIO MOLHA','JARAGUA DO SUL','SC',4631,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2160072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,404,NULL,'PASSA VINTE','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2160080,3.00,3.00,3.00,5.00,6.00,5.25,2.00,2.00,4.00,9,217,NULL,'MAR GROSSO','LAGUNA','SC',19824,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2160099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,319,238,'JARDIM CAMBURI','VITORIA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2160102,8.00,7.00,9.00,9.00,8.00,5.25,8.00,7.00,8.00,103,211,NULL,'CAPAO RASO','CURITIBA','PR',258,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2160110,0.00,7.00,2.00,1.00,4.00,5.50,4.00,3.00,3.00,201,NULL,203,'VILA OPERARIA','ITAJAI','SC',21121,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2160129,2.00,6.00,3.00,1.00,5.00,6.25,2.00,4.00,3.00,9,444,NULL,'CENTRO','JACINTO MACHADO','SC',20266,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2160137,8.00,8.00,5.00,8.00,8.00,5.75,7.00,8.00,5.00,211,444,202,'AMÉRICA','JOINVILLE','SC',2298,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2160145,6.00,7.00,9.00,8.00,6.00,6.50,9.00,7.00,6.00,303,5,NULL,'JARDIM APOLO','SAO JOSE DOS CAMPOS','SP',995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160161,2.00,7.00,6.00,4.00,6.00,5.25,5.00,6.00,5.00,103,9,NULL,'JARDIM CALIFORNIA','BRAGANCA PAULISTA','SP',9422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160188,9.00,7.00,6.00,6.00,7.00,5.00,7.00,4.00,5.00,104,9,NULL,'BARREIROS','SAO JOSE','SC',5233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2160196,3.00,3.00,6.00,0.00,8.00,5.25,2.00,4.00,3.00,102,404,NULL,'HUMAITÁ','TUBARAO','SC',16897,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2160200,2.00,4.00,1.00,4.00,6.00,5.50,2.00,4.00,1.00,319,423,NULL,'CENTRO','FLORIANOPOLIS','SC',19534,425,233,NULL,NULL,NULL,NULL,2,1),(15,2160218,5.00,8.00,4.00,6.00,9.00,7.50,8.00,9.00,7.00,103,102,NULL,'IGRA','TORRES','RS',1728,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2160226,3.00,8.00,4.00,5.00,9.00,5.50,4.00,5.00,6.00,2,225,NULL,'CENTRO','FLORIANOPOLIS','SC',7389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160242,1.00,5.00,3.00,2.00,8.00,4.75,4.00,3.00,2.00,103,9,NULL,'CENTRO','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2160250,4.00,7.00,6.00,7.00,7.00,8.50,6.00,6.00,2.00,207,420,201,'CENTRO','GUARACIABA','SC',7207,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2160277,5.00,7.00,9.00,7.00,8.00,6.75,8.00,8.00,7.00,203,103,201,'SANTA BÁRBARA','CRICIUMA','SC',1531,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2160285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'JARDIM ROMA','PIRASSUNUNGA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2160293,2.00,6.00,2.00,4.00,6.00,6.25,3.00,5.00,2.00,208,404,201,'CRISTO REDENTOR','PORTO ALEGRE','RS',16776,651,406,886,NULL,NULL,NULL,2,10),(15,2160307,3.00,5.00,4.00,0.00,7.00,6.25,2.00,3.00,2.00,104,451,NULL,'ITACORUBI','FLORIANOPOLIS','SC',19270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160315,5.00,8.00,2.00,5.00,7.00,3.50,5.00,6.00,3.00,203,NULL,NULL,'CENTRO','SANTA ROSA','RS',9532,725,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160323,6.00,6.00,6.00,1.00,7.00,5.75,7.00,4.00,5.00,103,101,NULL,'AZAMBUJA','PEDRAS GRANDES','SC',9675,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2160331,3.00,7.00,7.00,8.00,8.00,5.75,7.00,6.00,2.00,9,301,NULL,'SANTANA','RIO DO SUL','SC',6222,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2160340,5.00,7.00,3.00,8.00,6.00,5.25,3.00,6.00,2.00,303,102,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160358,7.00,5.00,8.00,8.00,8.00,5.50,7.00,4.00,3.00,103,216,NULL,'JARDIM ESPERANÇA','CANOINHAS','SC',4435,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2160366,2.00,9.00,5.00,8.00,7.00,6.50,7.00,6.00,4.00,211,203,201,'ITACORUBI','FLORIANOPOLIS','SC',5279,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2160374,3.00,6.00,5.00,2.00,6.00,4.25,4.00,6.00,1.00,203,213,233,'CENTRO','TREZE DE MAIO','SC',16945,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2160382,0.00,4.00,0.00,2.00,4.00,NULL,3.00,3.00,4.00,103,101,NULL,'CENTRO','CAMPO MOURAO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2160390,2.00,4.00,2.00,5.00,4.00,5.75,2.00,2.00,2.00,215,316,211,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',21554,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2160404,5.00,7.00,5.00,3.00,8.00,6.25,7.00,5.00,5.00,303,215,NULL,'CENTRO','CRICIUMA','SC',6497,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2160412,4.00,5.00,6.00,4.00,8.00,6.75,6.00,5.00,4.00,420,404,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',8797,164,315,NULL,NULL,NULL,NULL,4,1),(15,2160420,6.00,7.00,5.00,6.00,7.00,4.75,4.00,4.00,6.00,102,217,NULL,'CENTRO','FLORIANOPOLIS','SC',7594,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2160439,4.00,7.00,4.00,5.00,5.00,6.25,3.00,7.00,3.00,5,102,NULL,'VILA MARIANA','TAIO','SC',11574,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2160447,6.00,8.00,9.00,7.00,7.00,5.00,8.00,6.00,8.00,103,NULL,NULL,'GRANJA VIANA','COTIA','SP',1858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160455,4.00,6.00,5.00,7.00,8.00,7.75,5.00,5.00,3.00,238,222,208,'RAICHASKI','ICARA','SC',6274,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2160463,4.00,2.00,2.00,4.00,6.00,4.75,2.00,4.00,2.00,108,102,NULL,'PRESIDENTE MEDICI','CHAPECO','SC',20640,456,1104,NULL,NULL,NULL,NULL,4,4),(15,2160471,3.00,5.00,2.00,4.00,6.00,5.75,5.00,5.00,3.00,103,102,NULL,'CIVEMARA','MARAVILHA','SC',15019,2641,941,NULL,NULL,NULL,NULL,4,4),(15,2160480,2.00,6.00,5.00,2.00,7.00,5.75,3.00,6.00,5.00,216,102,215,'URUSSANGUINHA','ARARANGUA','SC',12670,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2160498,5.00,8.00,7.00,5.00,9.00,5.25,7.00,7.00,5.00,103,104,NULL,'FIGUEIRA','GASPAR','SC',3400,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2160501,4.00,8.00,6.00,6.00,6.00,7.00,6.00,5.00,3.00,103,207,NULL,'PORTÃO','CURITIBA','PR',6686,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2160510,3.00,2.00,2.00,1.00,4.00,NULL,3.00,3.00,0.00,224,339,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2160528,3.00,5.00,3.00,3.00,5.00,5.00,2.00,5.00,3.00,208,NULL,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',18834,736,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160544,2.00,7.00,5.00,5.00,5.00,6.00,1.00,5.00,2.00,415,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUA DO SUL','SC',16131,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2160560,5.00,9.00,4.00,7.00,8.00,7.00,5.00,8.00,5.00,211,NULL,202,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',4242,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2160579,1.00,7.00,4.00,4.00,6.00,3.75,7.00,3.00,3.00,220,207,203,'CENTRO','SANTO ANGELO','RS',15986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2160595,1.00,6.00,4.00,2.00,4.00,3.00,6.00,7.00,3.00,203,202,NULL,'CENTRO','RIO BRILHANTE','MS',15987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160609,7.00,8.00,9.00,7.00,7.00,5.75,9.00,7.00,7.00,220,214,202,'SANTA MONICA','FLORIANOPOLIS','SC',696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160617,6.00,9.00,10.00,6.00,7.00,6.75,9.00,6.00,8.00,103,NULL,NULL,'FERRARÓPOLIS','GARCA','SP',652,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2160625,7.00,9.00,6.00,8.00,8.00,6.25,8.00,9.00,7.00,233,222,201,'CAMPINAS','SAO JOSE','SC',1109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,207,NULL,'CPATRES SETORQUATRO','CUIABA','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2160641,4.00,8.00,7.00,4.00,5.00,5.75,6.00,7.00,4.00,202,225,203,'CARAVAGGIO','NOVA VENEZA','SC',7840,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2160650,6.00,7.00,8.00,7.00,7.00,6.50,7.00,7.00,6.00,201,223,203,'VILA NOVA','PORTO BELO','SC',2306,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2160668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,333,NULL,'VILA EUROPA','RESERVA DO IGUACU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2160676,6.00,9.00,8.00,8.00,8.00,7.25,9.00,6.00,6.00,203,217,214,'CAMPECHE','FLORIANOPOLIS','SC',963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160684,3.00,5.00,4.00,4.00,6.00,6.00,5.00,4.00,2.00,217,233,NULL,'PROGRESSO','TUNAPOLIS','SC',14130,121,594,NULL,NULL,NULL,NULL,2,1),(15,2160692,8.00,8.00,8.00,6.00,9.00,6.00,8.00,6.00,9.00,103,203,NULL,'FUNDO CANOAS','RIO DO SUL','SC',537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2160706,4.00,7.00,2.00,4.00,7.00,5.00,3.00,4.00,1.00,233,102,201,'PONTE DO IMARUIM','PALHOCA','SC',16408,380,983,871,NULL,NULL,NULL,4,1),(15,2160714,9.00,8.00,6.00,7.00,7.00,5.50,8.00,5.00,5.00,103,108,NULL,'CAMPECHE','FLORIANOPOLIS','SC',2872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160722,8.00,8.00,9.00,6.00,9.00,5.25,8.00,6.00,6.00,214,216,215,'FERRARÓPOLIS','GARCA','SP',1666,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2160749,3.00,8.00,2.00,2.00,6.00,6.50,4.00,5.00,4.00,103,101,NULL,'CONDE DEU','ORLEANS','SC',13187,2461,597,NULL,NULL,NULL,NULL,4,10),(15,2160757,1.00,4.00,4.00,1.00,2.00,NULL,3.00,2.00,1.00,308,316,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2160765,4.00,8.00,6.00,7.00,7.00,7.00,5.00,7.00,5.00,103,9,NULL,'JARDIM GUANABARA','CUIABA','MT',4508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160773,5.00,6.00,9.00,7.00,6.00,5.50,8.00,8.00,4.00,203,216,202,'CENTRO','JARAGUA DO SUL','SC',2489,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2160781,4.00,7.00,6.00,8.00,9.00,6.75,6.00,6.00,2.00,102,108,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2160790,5.00,7.00,4.00,6.00,7.00,5.50,7.00,4.00,5.00,103,101,NULL,'SÃO VICENTE','ITAJAI','SC',6336,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2160803,4.00,8.00,7.00,7.00,9.00,6.00,7.00,7.00,5.00,207,420,233,'FORQUILHINHAS','SAO JOSE','SC',3844,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2160820,6.00,7.00,7.00,5.00,8.00,4.00,7.00,6.00,8.00,220,NULL,213,'SETOR JAÓ','GOIANIA','GO',2784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160838,7.00,7.00,4.00,7.00,8.00,5.25,6.00,4.00,6.00,301,316,NULL,'KOBRASOL','SAO JOSE','SC',4794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2160854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,207,201,'INDUSTRIAL','SEARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2160870,1.00,2.00,4.00,3.00,4.00,2.50,4.00,2.00,2.00,208,444,238,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160919,6.00,7.00,5.00,7.00,6.00,5.50,6.00,9.00,5.00,326,316,NULL,'CENTRO','ANDRADAS','MG',3928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2160927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,214,220,'SANTA ROSALIA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2160935,4.00,6.00,6.00,6.00,8.00,4.75,5.00,6.00,4.00,214,212,207,'CENTRO','ARARANGUA','SC',8130,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2160943,2.00,8.00,6.00,7.00,7.00,6.50,6.00,6.00,5.00,303,5,NULL,'PARQUE MARIA ALICE','SAO PAULO','SP',5898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2160960,4.00,8.00,6.00,5.00,8.00,8.50,7.00,5.00,4.00,202,225,213,'CENTRO','CAMPOS NOVOS','SC',4383,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2160986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,215,NULL,'CLEMENTINA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2160994,1.00,4.00,1.00,3.00,5.00,4.00,3.00,4.00,1.00,429,316,NULL,'BOM JESUS','CACADOR','SC',22275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161001,8.00,8.00,5.00,8.00,9.00,6.00,5.00,7.00,6.00,303,428,NULL,'CAMPINAS','SAO JOSE','SC',2248,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2161010,5.00,8.00,3.00,5.00,8.00,6.00,6.00,6.00,3.00,108,333,NULL,'JARDIM AMÉRICA','RIO DO SUL','SC',7433,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2161028,0.00,6.00,1.00,5.00,5.00,4.50,2.00,3.00,1.00,502,501,NULL,'CENTRO','SAO JOAQUIM','SC',21905,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2161036,4.00,8.00,2.00,6.00,7.00,4.50,5.00,5.00,3.00,303,211,NULL,'CENTRO','ERECHIM','RS',11804,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2161044,5.00,7.00,6.00,5.00,7.00,5.00,6.00,6.00,3.00,101,217,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',7444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2161052,7.00,7.00,8.00,7.00,9.00,6.75,7.00,7.00,7.00,103,101,NULL,'GLÓRIA','JOINVILLE','SC',806,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2161079,5.00,7.00,5.00,6.00,8.00,5.50,5.00,7.00,4.00,316,211,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',6443,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2161087,1.00,4.00,2.00,2.00,3.00,NULL,2.00,4.00,2.00,304,324,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2161095,1.00,6.00,5.00,5.00,4.00,4.50,4.00,4.00,6.00,208,420,238,'ZONA SETE','MARINGA','PR',15649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2161109,5.00,7.00,5.00,4.00,8.00,6.50,4.00,7.00,3.00,211,102,207,'CENTRO','VILHENA','RO',7557,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2161117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'JARDIM BRASÍLIA','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2161133,4.00,7.00,5.00,4.00,8.00,5.50,7.00,6.00,3.00,104,102,NULL,'CENTRO','SANTA MARIA','RS',7453,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2161141,5.00,7.00,2.00,5.00,8.00,8.50,6.00,6.00,2.00,103,104,NULL,'SÃO GOTARDO','SAO MIGUEL DOESTE','SC',8149,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2161168,1.00,1.00,1.00,1.00,0.00,NULL,3.00,3.00,1.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2161176,7.00,8.00,7.00,7.00,8.00,5.25,8.00,8.00,6.00,303,301,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',1765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161184,8.00,8.00,8.00,8.00,9.00,5.00,6.00,8.00,6.00,104,217,NULL,'PALHOÇA','PALHOCA','SC',1116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161192,4.00,6.00,7.00,8.00,9.00,4.00,5.00,3.00,5.00,104,420,NULL,'CENTRO','CASCAVEL','PR',6198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161206,3.00,5.00,2.00,4.00,9.00,7.25,3.00,5.00,5.00,207,420,NULL,'VILA NOVA','BLUMENAU','SC',13094,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2161214,2.00,5.00,2.00,1.00,2.00,NULL,3.00,3.00,3.00,425,5,424,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161222,3.00,8.00,6.00,3.00,6.00,5.75,6.00,6.00,4.00,212,215,214,'PIRITUBA','SAO PAULO','SP',8954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161230,2.00,4.00,4.00,7.00,4.00,3.00,5.00,3.00,2.00,326,327,NULL,'KOBRASOL','SAO JOSE','SC',18978,112,434,NULL,NULL,NULL,NULL,4,1),(15,2161257,7.00,8.00,7.00,7.00,8.00,6.25,8.00,7.00,5.00,103,104,NULL,'CENTRO','JARAGUA DO SUL','SC',1957,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2161265,5.00,7.00,5.00,6.00,8.00,7.75,5.00,7.00,4.00,319,428,NULL,'ZONA SETE','MARINGA','PR',4935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161273,2.00,8.00,9.00,6.00,7.00,4.25,8.00,6.00,3.00,202,225,220,'CENTENÁRIO','JARAGUA DO SUL','SC',5543,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2161281,3.00,6.00,4.00,4.00,7.00,3.50,5.00,7.00,4.00,238,208,203,'PANTANAL','FLORIANOPOLIS','SC',12605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161290,3.00,7.00,3.00,5.00,6.00,5.75,4.00,5.00,0.00,303,326,NULL,'CAMPECHE','FLORIANOPOLIS','SC',15864,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2161303,5.00,7.00,5.00,7.00,8.00,5.75,8.00,8.00,4.00,207,421,201,'TRINDADE','FLORIANOPOLIS','SC',3339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2161320,5.00,8.00,6.00,7.00,8.00,5.25,7.00,6.00,5.00,207,233,201,'PINHEIROS','PATO BRANCO','PR',3622,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2161338,3.00,7.00,5.00,6.00,4.00,5.25,6.00,7.00,1.00,207,420,211,'INGLESES','FLORIANOPOLIS','SC',12717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161346,2.00,5.00,3.00,6.00,6.00,6.25,4.00,3.00,4.00,309,427,NULL,'CAMPECHE','FLORIANOPOLIS','SC',15116,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2161354,3.00,7.00,3.00,5.00,5.00,6.00,5.00,7.00,4.00,316,NULL,NULL,'INGLESES','FLORIANOPOLIS','SC',11281,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2161362,6.00,8.00,7.00,5.00,6.00,5.00,7.00,7.00,5.00,301,304,NULL,'PARQUE DOS PÁSSAROS','SAO BERNARDO DO CAMPO','SP',5551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161389,7.00,9.00,9.00,7.00,9.00,7.50,10.00,7.00,8.00,103,425,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161397,3.00,6.00,0.00,4.00,5.00,6.50,3.00,3.00,2.00,420,308,NULL,'CENTRO','BOMBINHAS','SC',19422,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2161400,5.00,5.00,4.00,8.00,5.00,4.75,6.00,5.00,3.00,415,320,NULL,'PARQUE SÃO JORGE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161419,3.00,7.00,4.00,5.00,8.00,5.75,7.00,7.00,4.00,317,329,NULL,'KOBRASOL II','SAO JOSE','SC',6836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,9,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2161443,4.00,5.00,1.00,2.00,7.00,5.75,5.00,4.00,3.00,425,428,426,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161451,3.00,4.00,1.00,5.00,5.00,4.25,4.00,5.00,3.00,451,415,NULL,'INGLESES','FLORIANOPOLIS','SC',18558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2161460,8.00,8.00,8.00,8.00,8.00,7.50,9.00,7.00,9.00,103,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',282,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2161478,6.00,8.00,5.00,5.00,7.00,6.25,8.00,7.00,6.00,333,234,NULL,'PARQUE DAS ACACIAS','ASSIS','SP',3734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161486,4.00,6.00,2.00,1.00,3.00,3.00,3.00,3.00,3.00,108,501,NULL,'PALHOÇA','PALHOCA','SC',22177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161494,7.00,9.00,9.00,6.00,7.00,8.00,7.00,7.00,7.00,103,303,NULL,'SETOR AEROPOTO','GOIANIA','GO',1077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161508,4.00,7.00,3.00,7.00,6.00,5.50,4.00,7.00,2.00,202,208,213,'FRANCIOSE','VACARIA','RS',9604,367,984,156,NULL,NULL,NULL,4,9),(15,2161516,2.00,7.00,3.00,6.00,7.00,5.50,3.00,4.00,3.00,316,320,NULL,'ESTREITO','FLORIANOPOLIS','SC',14649,397,190,NULL,NULL,NULL,NULL,2,1),(15,2161532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,223,208,'ESPERANÇA','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2161540,0.00,5.00,3.00,1.00,4.00,NULL,1.00,3.00,2.00,101,319,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161559,4.00,7.00,7.00,7.00,9.00,7.50,7.00,6.00,4.00,103,303,NULL,'CENTRO','CRICIUMA','SC',3973,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2161567,3.00,6.00,4.00,5.00,8.00,5.50,7.00,6.00,4.00,9,102,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',8291,83,783,NULL,NULL,NULL,NULL,4,1),(15,2161575,3.00,6.00,4.00,5.00,8.00,6.25,6.00,5.00,4.00,217,222,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',8191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2161583,3.00,5.00,3.00,5.00,6.00,6.00,3.00,4.00,3.00,104,309,NULL,'CENTRO','BIGUACU','SC',14667,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2161591,4.00,8.00,6.00,9.00,7.00,6.75,6.00,6.00,3.00,103,429,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',4067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161605,4.00,8.00,5.00,3.00,7.00,7.00,5.00,5.00,3.00,207,420,201,'CAMPECHE','FLORIANOPOLIS','SC',8895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,429,215,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2161648,3.00,7.00,5.00,4.00,8.00,6.25,6.00,7.00,5.00,316,339,NULL,'ESTREITO','FLORIANOPOLIS','SC',6009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161656,2.00,7.00,8.00,5.00,8.00,5.00,9.00,8.00,2.00,202,223,213,'TRINDADE','FLORIANOPOLIS','SC',5527,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2161664,5.00,7.00,3.00,5.00,7.00,5.50,7.00,8.00,5.00,5,327,NULL,'ELDORADO','CHAPECO','SC',5050,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2161672,3.00,6.00,5.00,4.00,4.00,6.00,5.00,6.00,4.00,222,NULL,NULL,'KOBRASOL II','SAO JOSE','SC',13346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161680,4.00,7.00,1.00,1.00,4.00,6.50,3.00,5.00,2.00,429,427,423,'CAMPINAS','SAO JOSE','SC',18379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161699,4.00,8.00,6.00,2.00,8.00,5.25,8.00,6.00,5.00,234,421,NULL,'CARIANOS','FLORIANOPOLIS','SC',6264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161702,1.00,6.00,3.00,4.00,6.00,5.25,5.00,3.00,2.00,9,444,NULL,'ESTREITO','FLORIANOPOLIS','SC',18244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161729,2.00,8.00,6.00,5.00,6.00,5.00,4.00,3.00,5.00,303,425,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161737,4.00,7.00,6.00,3.00,8.00,4.50,9.00,4.00,4.00,103,203,NULL,'CENTRO','AGUA DOCE','SC',7132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161745,2.00,7.00,2.00,4.00,5.00,5.00,4.00,6.00,3.00,331,332,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',16495,68,273,NULL,NULL,NULL,NULL,4,1),(15,2161753,5.00,7.00,2.00,2.00,4.00,5.00,1.00,3.00,0.00,308,451,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',21729,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2161761,1.00,2.00,0.00,3.00,5.00,NULL,4.00,3.00,0.00,224,404,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2161770,4.00,6.00,2.00,5.00,7.00,5.50,4.00,5.00,2.00,101,301,NULL,'PRESIDENTE VARGAS','ERECHIM','RS',14523,138,683,NULL,NULL,NULL,NULL,2,4),(15,2161796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,203,NULL,'JARDIM PANCERA','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2161800,5.00,8.00,3.00,6.00,6.00,7.25,5.00,5.00,4.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',8473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,238,NULL,'JUVEVÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2161826,7.00,8.00,6.00,9.00,9.00,5.50,8.00,5.00,6.00,108,333,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',2025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161842,5.00,8.00,8.00,6.00,9.00,6.75,9.00,8.00,5.00,207,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',1629,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2161877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,420,207,'CEDRO','CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2161885,4.00,8.00,7.00,9.00,7.00,6.00,6.00,7.00,3.00,208,424,212,'BOA VISTA','NOVO HAMBURGO','RS',4358,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2161907,3.00,3.00,5.00,5.00,5.00,6.25,5.00,4.00,2.00,207,216,201,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'JD NOVO HORIZONTE','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2161923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2161931,7.00,7.00,9.00,6.00,6.00,5.25,9.00,5.00,8.00,203,213,214,'ALTO CAFEZAL','MARILIA','SP',1823,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2161958,2.00,8.00,2.00,4.00,4.00,3.75,3.00,2.00,1.00,329,224,NULL,'TRINDADE','FLORIANOPOLIS','SC',20817,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2161966,4.00,6.00,3.00,5.00,6.00,6.50,2.00,5.00,4.00,108,102,NULL,'FLORESTA','SAO JOSE','SC',15007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2161974,0.00,6.00,2.00,3.00,5.00,NULL,4.00,4.00,2.00,9,108,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2161982,6.00,7.00,2.00,8.00,7.00,6.00,4.00,4.00,4.00,103,333,NULL,'SCHRAMM','SAO BENTO DO SUL','SC',7293,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2161990,4.00,6.00,5.00,6.00,7.00,5.50,6.00,7.00,3.00,203,234,214,'CENTRO','FLORIANOPOLIS','SC',7982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162008,3.00,9.00,7.00,7.00,6.00,6.50,8.00,8.00,5.00,316,301,NULL,'CAMPECHE','FLORIANOPOLIS','SC',3637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162016,2.00,6.00,3.00,4.00,6.00,3.50,3.00,7.00,1.00,320,310,NULL,'PRAIA BRAVA','ITAJAI','SC',18079,81,173,NULL,NULL,NULL,NULL,2,3),(15,2162024,3.00,5.00,3.00,4.00,7.00,6.00,2.00,4.00,4.00,9,316,NULL,'RIO MAINA','CRICIUMA','SC',14892,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2162032,3.00,6.00,4.00,3.00,4.00,4.25,5.00,6.00,2.00,303,202,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162059,4.00,7.00,5.00,7.00,8.00,6.25,7.00,7.00,4.00,103,101,NULL,'COLÔNIA SANTANA','SAO JOSE','SC',4445,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2162067,4.00,7.00,1.00,5.00,8.00,3.50,3.00,3.00,3.00,103,101,NULL,'SETOR LESTE GAMA','TAGUATINGA','DF',15749,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2162075,7.00,7.00,7.00,8.00,8.00,5.75,7.00,7.00,7.00,203,2,201,'VILA NOVA','JOINVILLE','SC',1824,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2162083,4.00,8.00,6.00,4.00,6.00,5.50,8.00,6.00,4.00,202,207,201,'BARRA DA LAGOA','FLORIANOPOLIS','SC',6898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162091,5.00,4.00,1.00,1.00,8.00,4.75,5.00,5.00,3.00,108,502,NULL,'CENTRO','SANTA TEREZINHA DE ITAIPU','PR',15175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162113,5.00,7.00,8.00,6.00,7.00,5.50,7.00,7.00,4.00,208,320,NULL,'GARCIA','BLUMENAU','SC',4989,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2162121,3.00,7.00,1.00,7.00,7.00,5.75,5.00,6.00,4.00,103,420,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2162130,7.00,8.00,7.00,2.00,9.00,6.00,8.00,7.00,7.00,108,215,NULL,'CENTRO','AVARE','SP',2176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162148,5.00,7.00,5.00,4.00,8.00,5.50,6.00,5.00,4.00,215,216,201,'JARDIM BELA VISTA','JACAREI','SP',7659,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2162164,3.00,6.00,1.00,4.00,6.00,6.00,8.00,5.00,4.00,5,333,NULL,'CENTRO','NONOAI','RS',10641,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2162172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,208,202,'PRAIA DO FLAMENGO','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2162180,3.00,8.00,4.00,8.00,6.00,6.25,7.00,5.00,5.00,501,216,NULL,'GLÓRIA','VACARIA','RS',6777,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2162199,6.00,6.00,9.00,7.00,9.00,6.25,7.00,5.00,5.00,233,224,NULL,'PADRE MARTINHO STEIN','TIMBO','SC',2410,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2162202,2.00,6.00,6.00,1.00,5.00,4.00,3.00,5.00,4.00,202,208,NULL,'JARDIM BANDEIRANTES','ARACATUBA','SP',17014,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2162210,6.00,5.00,3.00,6.00,5.00,6.75,6.00,8.00,5.00,234,213,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',5905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162229,2.00,4.00,2.00,5.00,7.00,4.50,2.00,4.00,4.00,104,208,NULL,'TRINDADE','FLORIANOPOLIS','SC',16957,548,1060,NULL,NULL,NULL,NULL,2,1),(15,2162237,5.00,8.00,6.00,7.00,8.00,7.00,9.00,9.00,6.00,103,104,NULL,'MALUCHE','BRUSQUE','SC',1712,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2162253,0.00,6.00,2.00,0.00,6.00,NULL,3.00,2.00,2.00,208,NULL,238,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162270,4.00,6.00,6.00,8.00,7.00,6.50,7.00,6.00,4.00,5,429,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',4454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162288,2.00,5.00,2.00,6.00,7.00,6.00,3.00,2.00,2.00,319,318,NULL,'CENTRO','ARATIBA','RS',17523,375,488,NULL,NULL,NULL,NULL,2,4),(15,2162296,1.00,4.00,0.00,1.00,2.00,NULL,2.00,1.00,2.00,5,302,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2162300,6.00,8.00,5.00,7.00,9.00,6.25,7.00,7.00,5.00,104,424,NULL,'PALHOÇA','PALHOCA','SC',3227,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2162318,4.00,7.00,1.00,3.00,8.00,4.50,6.00,3.00,3.00,103,102,NULL,'ÁGUA FUNDA','SAO PAULO','SP',15229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162326,3.00,7.00,2.00,5.00,7.00,6.25,5.00,5.00,2.00,104,309,NULL,'BARRA DO ARIRIÚ','PALHOCA','SC',13059,419,136,NULL,NULL,NULL,NULL,2,1),(15,2162334,5.00,7.00,4.00,6.00,8.00,5.50,6.00,7.00,2.00,102,217,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',7283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162342,4.00,8.00,2.00,5.00,5.00,5.50,5.00,7.00,2.00,103,108,NULL,'BALNEARIO ESTREITO','FLORIANOPOLIS','SC',11648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162369,5.00,6.00,3.00,4.00,7.00,6.00,2.00,3.00,4.00,101,425,NULL,'COQUEIROS','FLORIANOPOLIS','SC',13673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162385,4.00,7.00,6.00,3.00,6.00,6.00,5.00,4.00,4.00,317,224,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',10690,125,168,NULL,NULL,NULL,NULL,2,1),(15,2162393,2.00,6.00,2.00,7.00,7.00,4.75,3.00,2.00,1.00,9,404,NULL,'ARIRIU','PALHOCA','SC',17143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2162407,4.00,6.00,5.00,7.00,8.00,6.50,4.00,5.00,4.00,207,103,NULL,'TRISTEZA','PORTO ALEGRE','RS',8532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2162415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,213,NULL,'VILAS DO ATLANTICO','LAURO DE FREITAS','BA',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2162423,6.00,6.00,8.00,8.00,8.00,7.25,5.00,6.00,5.00,303,304,NULL,'SETE DE SESTEMBRO','GASPAR','SC',3523,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2162431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'SANTA TEREZA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2162440,7.00,9.00,9.00,9.00,8.00,8.25,8.00,8.00,7.00,303,501,NULL,'CENTRO','PARANAVAI','PR',144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162458,1.00,5.00,0.00,4.00,7.00,4.50,5.00,5.00,2.00,501,333,NULL,'ALTO ARROIO','IMBITUBA','SC',18864,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2162466,4.00,4.00,1.00,4.00,4.00,6.25,3.00,4.00,4.00,301,103,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2162474,5.00,9.00,9.00,6.00,7.00,6.50,8.00,6.00,6.00,103,9,NULL,'SÃO FRANCISCO','CURITIBA','PR',2122,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2162482,2.00,5.00,4.00,7.00,5.00,7.00,3.00,7.00,2.00,201,225,NULL,'CENTRO','JABORA','SC',12635,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2162490,7.00,6.00,8.00,8.00,6.00,6.00,7.00,6.00,6.00,233,234,215,'CENTRO','FLORIANOPOLIS','SC',3042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162504,9.00,7.00,5.00,7.00,9.00,6.50,8.00,8.00,6.00,103,102,NULL,'JARDIM GALLI','SAO PAULO','SP',1351,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2162512,4.00,6.00,2.00,5.00,5.00,5.75,4.00,5.00,3.00,316,420,NULL,'ALTO PEREQUE','PORTO BELO','SC',13583,366,728,NULL,NULL,NULL,NULL,4,1),(15,2162520,7.00,8.00,7.00,7.00,7.00,4.50,8.00,7.00,7.00,103,444,NULL,'PARAISO','SAO PAULO','SP',2470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162539,3.00,5.00,6.00,4.00,6.00,5.50,4.00,3.00,3.00,9,308,NULL,'DE FÁTIMA','FLORIANOPOLIS','SC',15447,202,331,NULL,NULL,NULL,NULL,2,1),(15,2162547,5.00,5.00,5.00,4.00,8.00,5.50,7.00,6.00,3.00,319,427,NULL,'GUIOMAR DE FORA','ANTONIO CARLOS','SC',9897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162555,1.00,6.00,5.00,7.00,6.00,6.50,4.00,5.00,4.00,101,102,NULL,'CENTRO','RIO DO SUL','SC',11055,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2162563,5.00,6.00,3.00,4.00,8.00,4.50,7.00,6.00,3.00,207,316,215,'CAMPECHE','FLORIANOPOLIS','SC',10060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2162571,5.00,8.00,7.00,9.00,9.00,7.00,6.00,8.00,6.00,103,303,NULL,'MARIA GORETTI','CHAPECO','SC',1570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,213,NULL,'VILAS DO ATLÂNTICO','LAURO DE FREITAS','BA',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2162601,3.00,6.00,4.00,6.00,6.00,5.25,6.00,5.00,2.00,319,326,NULL,'GRANDE COLORADO','SOBRADINHO','DF',12768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162610,5.00,6.00,5.00,7.00,8.00,6.00,7.00,6.00,4.00,429,324,425,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',5803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162636,3.00,6.00,4.00,5.00,7.00,6.00,6.00,5.00,4.00,9,421,NULL,'CACUPÉ','FLORIANOPOLIS','SC',11241,124,98,NULL,NULL,NULL,NULL,2,1),(15,2162644,8.00,8.00,9.00,7.00,7.00,7.50,8.00,8.00,7.00,103,108,NULL,'SÃO LUIZ','CRICIUMA','SC',568,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2162652,3.00,7.00,1.00,5.00,5.00,4.75,3.00,4.00,1.00,211,333,215,'VILA MARIANA','SAO PAULO','SP',18150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162660,5.00,7.00,5.00,6.00,6.00,6.00,4.00,6.00,4.00,212,303,NULL,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2162679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,308,NULL,'FAZENDA STO ANTÔNIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2162687,4.00,9.00,4.00,8.00,8.00,5.00,7.00,6.00,4.00,104,332,NULL,'COLÔNIA SANTANA','SAO JOSE','SC',4873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2162717,8.00,9.00,9.00,9.00,8.00,7.50,7.00,7.00,7.00,103,331,NULL,'KOBRASOL','SAO JOSE','SC',254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162725,2.00,4.00,4.00,4.00,5.00,6.75,5.00,7.00,1.00,5,102,NULL,'ITACORUBI','FLORIANOPOLIS','SC',13897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2162733,4.00,7.00,7.00,5.00,6.00,4.50,6.00,4.00,2.00,214,404,203,'CAMPECHE','FLORIANOPOLIS','SC',8659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162741,3.00,7.00,4.00,6.00,5.00,4.50,3.00,5.00,3.00,303,501,NULL,'CENTRO','CAPINZAL','SC',14997,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2162750,2.00,6.00,3.00,6.00,7.00,3.50,5.00,6.00,2.00,420,326,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',13493,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2162768,5.00,7.00,2.00,7.00,6.00,6.00,5.00,5.00,2.00,104,NULL,NULL,'MORRO ESTEVÃO','CRICIUMA','SC',9964,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2162776,0.00,7.00,4.00,5.00,8.00,5.75,1.00,5.00,1.00,339,423,NULL,'JARDIM JANAINA','BIGUACU','SC',17493,72,212,NULL,NULL,NULL,NULL,2,1),(15,2162784,2.00,8.00,5.00,8.00,5.00,3.50,5.00,7.00,3.00,103,328,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162792,7.00,7.00,8.00,7.00,9.00,7.00,9.00,7.00,8.00,207,201,NULL,'CENTRO','FLORIANOPOLIS','SC',324,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2162806,2.00,4.00,3.00,4.00,4.00,4.25,4.00,4.00,2.00,426,329,428,'BARREIROS','SAO JOSE','SC',20116,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2162814,3.00,5.00,6.00,4.00,7.00,5.25,4.00,2.00,2.00,102,217,NULL,'CENTRO','SANTA MARIA','RS',15553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162822,2.00,7.00,2.00,5.00,9.00,5.50,3.00,4.00,2.00,9,215,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',15636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162830,1.00,3.00,3.00,0.00,5.00,NULL,2.00,2.00,2.00,5,207,NULL,'FORQUILINSHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162857,3.00,8.00,8.00,6.00,8.00,6.00,9.00,8.00,5.00,103,101,NULL,'CENTRO','FLORIANOPOLIS','SC',2317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162865,8.00,9.00,6.00,7.00,9.00,6.25,8.00,9.00,4.00,103,102,NULL,'TRINDADE','FLORIANOPOLIS','SC',1644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162873,6.00,7.00,6.00,5.00,7.00,3.00,8.00,6.00,6.00,333,502,NULL,'CENTRO','UNAI','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162881,6.00,3.00,5.00,6.00,6.00,6.00,4.00,3.00,4.00,103,217,NULL,'CENTRO','CHAPECO','SC',12607,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2162890,3.00,8.00,3.00,7.00,7.00,7.25,5.00,8.00,5.00,233,217,211,'TRINDADE','FLORIANOPOLIS','SC',6387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162920,2.00,6.00,5.00,5.00,3.00,7.00,1.00,5.00,2.00,327,333,NULL,'SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC',16319,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2162938,2.00,6.00,4.00,5.00,6.00,6.00,4.00,6.00,4.00,316,108,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',12206,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2162946,0.00,6.00,5.00,4.00,5.00,4.00,4.00,5.00,2.00,318,421,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',17537,220,143,NULL,NULL,NULL,NULL,2,1),(15,2162962,7.00,7.00,9.00,6.00,8.00,5.50,6.00,7.00,3.00,303,NULL,NULL,'AGOSTINE','SAO MIGUEL DOESTE','SC',3605,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2162989,5.00,7.00,7.00,5.00,5.00,6.25,8.00,5.00,7.00,215,213,233,'VILA GIGLIO','ATIBAIA','SP',5224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2162997,6.00,3.00,6.00,7.00,8.00,6.00,8.00,4.00,4.00,103,101,NULL,'GONZAGA','SANTOS','SP',5027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163004,2.00,6.00,1.00,8.00,7.00,5.75,6.00,1.00,5.00,101,425,NULL,'JARDIM MALUCHE','BRUSQUE','SC',14944,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2163012,5.00,7.00,8.00,5.00,9.00,5.75,7.00,8.00,6.00,103,102,NULL,'BOMBAS','BOMBINHAS','SC',2810,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2163020,8.00,8.00,9.00,9.00,5.00,4.75,9.00,7.00,6.00,220,NULL,203,'CENTRO','PIRASSUNUNGA','SP',1516,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2163039,8.00,8.00,8.00,7.00,8.00,6.75,8.00,7.00,7.00,220,201,213,'DEHON','TUBARAO','SC',1176,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2163047,6.00,7.00,7.00,7.00,8.00,6.50,8.00,5.00,3.00,207,319,NULL,'ASA SUL','BRASILIA','DF',3683,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2163055,2.00,3.00,0.00,2.00,3.00,NULL,2.00,1.00,1.00,214,404,203,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2163063,6.00,7.00,4.00,2.00,7.00,6.00,7.00,6.00,4.00,102,9,NULL,'CENTRO','PALMITOS','SC',8770,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2163071,3.00,8.00,4.00,9.00,7.00,6.00,4.00,6.00,3.00,415,108,NULL,'VILA MARUMBY','MARINGA','PR',7199,181,646,NULL,NULL,NULL,NULL,4,1),(15,2163080,1.00,4.00,3.00,5.00,7.00,5.50,5.00,2.00,2.00,324,224,NULL,'PASSA VINTE','PALHOCA','SC',17531,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2163098,1.00,4.00,5.00,5.00,3.00,5.25,3.00,5.00,3.00,213,316,208,'CENTRO','TUBARAO','SC',18313,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2163101,2.00,5.00,4.00,4.00,8.00,5.00,2.00,5.00,4.00,316,NULL,NULL,'CENTRO','SIDEROPOLIS','SC',14459,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2163110,3.00,7.00,1.00,5.00,4.00,4.25,5.00,4.00,2.00,420,216,NULL,'CENTRO','BAGE','RS',16138,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2163128,5.00,2.00,2.00,4.00,4.00,4.25,3.00,3.00,0.00,327,5,NULL,'JARDIM YARA','POUSO ALEGRE','MG',21422,185,1335,NULL,NULL,NULL,NULL,2,3),(15,2163136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'ALPHAVILLE','SANTANA DE PARNAIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2163152,1.00,5.00,2.00,3.00,5.00,NULL,1.00,1.00,3.00,415,2,NULL,'BOMOBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2163160,2.00,5.00,3.00,5.00,4.00,6.00,2.00,2.00,1.00,301,420,NULL,'KOBRASOL','SAO JOSE','SC',20522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163179,0.00,2.00,0.00,0.00,0.00,NULL,2.00,4.00,2.00,207,217,201,'PONTA DAS CANAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2163187,3.00,6.00,3.00,4.00,6.00,6.00,4.00,3.00,2.00,501,217,NULL,'ITACORUBI','FLORIANOPOLIS','SC',17734,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2163195,4.00,7.00,3.00,6.00,8.00,5.50,2.00,6.00,4.00,101,309,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',10633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2163209,3.00,4.00,0.00,3.00,5.00,6.00,6.00,4.00,2.00,333,502,NULL,'ABRAAO','FLORIANOPOLIS','SC',19309,349,NULL,NULL,NULL,NULL,NULL,2,1),(15,2163217,3.00,4.00,3.00,3.00,5.00,5.00,2.00,5.00,2.00,208,238,NULL,'CENTRO','PALMITOS','SC',20164,806,1016,NULL,NULL,NULL,NULL,4,4),(15,2163225,6.00,8.00,6.00,8.00,8.00,5.50,6.00,8.00,5.00,104,424,NULL,'SANTA RITA','BRUSQUE','SC',2261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2163233,5.00,7.00,5.00,4.00,7.00,5.25,6.00,5.00,5.00,108,207,NULL,'CENTRO','FLORIANOPOLIS','SC',8932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163241,5.00,6.00,5.00,8.00,8.00,5.75,8.00,7.00,5.00,208,222,238,'SÃO CRISTÓVÃO','CRICIUMA','SC',4206,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2163250,2.00,6.00,3.00,5.00,6.00,5.00,3.00,3.00,3.00,101,319,NULL,'OFICINAS','TUBARAO','SC',17654,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2163268,3.00,7.00,6.00,6.00,6.00,4.50,5.00,4.00,2.00,224,223,NULL,'CRUZEIRO','RIO NEGRINHO','SC',11886,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2163276,1.00,7.00,3.00,2.00,6.00,4.75,3.00,6.00,3.00,301,316,NULL,'CORAL','LAGES','SC',17026,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2163284,5.00,7.00,7.00,5.00,5.00,5.00,7.00,6.00,4.00,444,324,NULL,'SANTA BARBARA','CRICIUMA','SC',6824,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2163306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,450,NULL,'BARRA SUL','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2163314,4.00,7.00,8.00,8.00,9.00,7.25,8.00,5.00,5.00,420,NULL,NULL,'CAMPECHE','FLORIANOPOLIS','SC',2319,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2163322,5.00,8.00,6.00,1.00,7.00,5.50,7.00,7.00,5.00,103,NULL,NULL,'CENTRO','SAO ROQUE','SP',7267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163365,2.00,5.00,4.00,7.00,5.00,5.50,4.00,3.00,0.00,324,421,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',17682,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2163373,4.00,4.00,6.00,7.00,8.00,6.25,7.00,2.00,4.00,103,108,NULL,'ÁGUAS CLARAS','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2163381,5.00,8.00,3.00,6.00,7.00,7.25,6.00,6.00,4.00,319,326,NULL,'KOBRASOL','SAO JOSE','SC',6819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,5,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2163403,6.00,9.00,7.00,9.00,7.00,6.75,8.00,7.00,5.00,207,222,233,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163411,5.00,8.00,4.00,5.00,8.00,5.25,4.00,5.00,4.00,207,420,201,'INGLESES','FLORIANOPOLIS','SC',8108,391,585,439,NULL,NULL,NULL,4,1),(15,2163420,3.00,7.00,2.00,7.00,7.00,6.00,3.00,7.00,1.00,332,320,NULL,'JARDIM CIDADE','SAO JOSE','SC',11728,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2163438,5.00,7.00,5.00,8.00,6.00,5.00,5.00,6.00,4.00,101,327,NULL,'EFAPI','CHAPECO','SC',8201,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2163454,2.00,5.00,3.00,1.00,5.00,5.75,3.00,4.00,2.00,207,415,NULL,'CENTRO','SALETE','SC',20660,966,818,NULL,NULL,NULL,NULL,4,3),(15,2163470,5.00,7.00,6.00,8.00,7.00,8.75,7.00,5.00,5.00,207,212,201,'CENTRO','CONCORDIA','SC',3704,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2163489,5.00,8.00,5.00,5.00,6.00,6.75,6.00,7.00,4.00,9,326,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',6034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163500,2.00,6.00,3.00,3.00,5.00,6.00,4.00,4.00,2.00,102,104,NULL,'VALE DO SOL','CLEVELANDIA','PR',17716,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2163519,2.00,5.00,6.00,7.00,8.00,5.50,7.00,2.00,4.00,103,215,NULL,'PONTA AGUDA','BLUMENAU','SC',9565,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2163535,6.00,6.00,9.00,4.00,6.00,5.50,8.00,6.00,6.00,220,214,NULL,'CHACARA CACHOEIRA','CAMPO GRANDE','MS',3497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163543,3.00,8.00,4.00,5.00,3.00,4.25,5.00,4.00,4.00,316,425,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',14536,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2163551,3.00,8.00,3.00,4.00,8.00,6.00,5.00,8.00,3.00,5,329,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',7902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163560,4.00,6.00,5.00,5.00,4.00,4.75,5.00,5.00,1.00,201,NULL,211,'TRINDADE','FLORIANOPOLIS','SC',13929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163578,8.00,8.00,8.00,7.00,7.00,5.75,8.00,8.00,7.00,103,216,NULL,'DESVIO RIZZO','CAXIAS DO SUL','RS',1191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163586,3.00,5.00,4.00,1.00,6.00,5.75,4.00,5.00,3.00,103,104,NULL,'LINHA SÃO PEDRO','CHAPECO','SC',17080,2802,1185,NULL,NULL,NULL,NULL,4,4),(15,2163594,6.00,7.00,9.00,4.00,8.00,4.25,8.00,4.00,5.00,103,101,NULL,'CENTRO','CURITIBA','PR',4284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163608,5.00,7.00,6.00,5.00,5.00,4.50,6.00,6.00,3.00,108,316,NULL,'PANTANAL','FLORIANOPOLIS','SC',8729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163616,1.00,4.00,4.00,3.00,5.00,4.75,4.00,1.00,2.00,415,425,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163624,4.00,5.00,4.00,8.00,6.00,5.00,4.00,5.00,3.00,201,NULL,NULL,'SÃO BENTO','CAMPO GRANDE','MS',11287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2163632,3.00,7.00,1.00,3.00,5.00,6.00,4.00,6.00,2.00,451,308,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',16562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163667,1.00,5.00,3.00,2.00,5.00,5.00,3.00,5.00,2.00,317,339,NULL,'PALHOÇA','PALHOCA','SC',20201,367,392,NULL,NULL,NULL,NULL,2,1),(15,2163675,1.00,5.00,7.00,5.00,7.00,5.00,4.00,3.00,6.00,208,225,238,'MATO ALTO','TUBARAO','SC',13551,503,144,488,NULL,NULL,NULL,2,10),(15,2163683,1.00,6.00,3.00,6.00,5.00,6.00,2.00,5.00,4.00,103,104,NULL,'CENTRO','JABORA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2163691,5.00,7.00,3.00,5.00,8.00,8.50,5.00,5.00,4.00,425,423,429,'CARIANOS','FLORIANOPOLIS','SC',6431,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2163705,8.00,7.00,8.00,8.00,8.00,7.00,7.00,8.00,7.00,415,NULL,NULL,'CENTRO','CAMPO GRANDE','MS',889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163713,5.00,9.00,7.00,7.00,8.00,6.50,6.00,7.00,3.00,215,415,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',3539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,201,212,'AHUU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2163748,4.00,8.00,4.00,6.00,6.00,4.75,7.00,5.00,5.00,450,331,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',6908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163756,2.00,6.00,4.00,4.00,5.00,4.00,6.00,4.00,2.00,303,5,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2163764,6.00,8.00,2.00,9.00,7.00,6.75,5.00,8.00,3.00,328,427,NULL,'BELA VISTA','SAO JOSE','SC',5120,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2163772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,103,201,'CENTRO','SAPEZAL','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2163780,4.00,8.00,7.00,4.00,8.00,6.75,6.00,6.00,5.00,319,102,NULL,'CENTRO','FLORIANOPOLIS','SC',4782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163799,4.00,9.00,3.00,9.00,8.00,5.50,5.00,8.00,2.00,103,425,NULL,'CENTRO','FLORIANOPOLIS','SC',4763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163810,1.00,7.00,8.00,8.00,6.00,3.75,9.00,7.00,6.00,450,214,NULL,'ALTO IPIRANGA','MOGI DAS CRUZES','SP',4779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,102,215,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2163837,4.00,5.00,5.00,5.00,7.00,5.50,3.00,5.00,3.00,303,5,NULL,'MARIA GORETTI','CHAPECO','SC',11030,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2163845,8.00,6.00,7.00,6.00,7.00,6.25,7.00,4.00,5.00,103,NULL,NULL,'CENTRO','CAMPO GRANDE','MS',4593,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2163853,9.00,9.00,8.00,10.00,8.00,7.50,9.00,8.00,9.00,103,319,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',12,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163861,4.00,6.00,4.00,5.00,9.00,6.25,4.00,5.00,1.00,103,9,NULL,'CENTRO','FLORIANOPOLIS','SC',12625,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2163888,0.00,4.00,3.00,4.00,4.00,5.50,2.00,3.00,2.00,319,NULL,NULL,'SÃO GOTARDO','SAO MIGUEL DOESTE','SC',21865,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2163896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,415,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2163900,1.00,3.00,4.00,1.00,5.00,5.75,3.00,5.00,2.00,301,420,NULL,'PONTE DO IMARUIM','PALHOCA','SC',20609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2163918,7.00,8.00,7.00,9.00,8.00,6.25,5.00,5.00,4.00,317,304,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',3017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163926,4.00,7.00,4.00,1.00,8.00,7.00,6.00,7.00,3.00,216,217,233,'SÃO CRISTÓVÃO','LAGES','SC',9980,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2163942,3.00,7.00,5.00,7.00,6.00,3.50,7.00,5.00,2.00,332,223,NULL,'CENTRO','BIGUACU','SC',10467,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2163950,3.00,7.00,5.00,6.00,9.00,6.50,6.00,6.00,4.00,444,324,NULL,'CENTRO','BIGUACU','SC',6128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163969,7.00,5.00,4.00,7.00,7.00,5.00,6.00,7.00,6.00,103,NULL,NULL,'CENTRO','CAMPO GRANDE','MS',5471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163977,5.00,8.00,6.00,4.00,8.00,5.50,5.00,7.00,7.00,103,212,NULL,'AGUA VERDE','CURITIBA','PR',4259,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2163985,4.00,6.00,5.00,6.00,7.00,7.00,6.00,4.00,4.00,233,215,201,'BOM JESUS','BARRETOS','SP',9034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2163993,2.00,2.00,0.00,2.00,4.00,NULL,2.00,2.00,1.00,102,101,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2164000,0.00,2.00,2.00,3.00,6.00,NULL,2.00,4.00,2.00,102,217,NULL,'BEATRIZ','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2164019,5.00,5.00,7.00,8.00,8.00,7.25,8.00,5.00,5.00,9,333,NULL,'CAMPINAS','SAO JOSE','SC',3527,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2164027,8.00,6.00,9.00,9.00,8.00,5.25,9.00,6.00,7.00,203,222,202,'PAROLIN','CURITIBA','PR',752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164035,1.00,5.00,3.00,6.00,8.00,6.00,5.00,3.00,5.00,104,9,NULL,'CENTRO','MARIOPOLIS','PR',11701,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2164043,4.00,8.00,3.00,5.00,8.00,5.50,5.00,7.00,5.00,104,444,NULL,'CENTRO','CAIBI','SC',8262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164051,6.00,7.00,3.00,4.00,9.00,5.75,5.00,7.00,6.00,103,104,NULL,'JARDIM MANSUR','CAMPO GRANDE','MS',6602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164060,8.00,8.00,8.00,6.00,8.00,5.25,8.00,6.00,7.00,103,303,NULL,'VILA MIRIM','PRAIA GRANDE','SP',1528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164094,3.00,7.00,4.00,3.00,8.00,4.00,7.00,5.00,3.00,201,202,203,'CENTRO','CONCORDIA','SC',10744,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2164108,3.00,4.00,3.00,2.00,7.00,4.75,5.00,4.00,1.00,319,101,NULL,'BARREIROS','SAO JOSE','SC',19195,416,718,NULL,NULL,NULL,NULL,4,1),(15,2164116,1.00,3.00,1.00,2.00,5.00,NULL,4.00,1.00,3.00,451,332,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164124,3.00,7.00,1.00,3.00,6.00,5.75,5.00,3.00,2.00,5,203,NULL,'FLOR DE NÁPOLIS','SAO JOSE','SC',18308,758,1428,NULL,NULL,NULL,NULL,4,1),(15,2164132,1.00,5.00,4.00,4.00,3.00,5.00,3.00,6.00,2.00,203,NULL,214,'RIO TAVARES','FLORIANOPOLIS','SC',18965,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2164140,4.00,8.00,9.00,9.00,6.00,6.25,9.00,6.00,3.00,203,220,NULL,'PARQUE CIDADE JARDIM','UMUARAMA','PR',2923,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2164159,3.00,6.00,1.00,3.00,4.00,8.00,5.00,5.00,4.00,103,104,NULL,'CHACARA CACHOEIRA','CAMPO GRANDE','MS',14707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2164167,4.00,6.00,5.00,8.00,8.00,5.25,6.00,4.00,3.00,420,316,NULL,'CENTRO','FLORIANOPOLIS','SC',9054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164175,5.00,6.00,4.00,7.00,7.00,5.50,6.00,5.00,6.00,103,104,NULL,'CENTRO','CURITIBA','PR',7907,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2164205,4.00,5.00,3.00,6.00,7.00,4.75,2.00,6.00,3.00,328,310,NULL,'AREIAS','TIJUCAS','SC',13392,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2164213,2.00,4.00,0.00,4.00,4.00,5.50,3.00,3.00,2.00,319,316,NULL,'CARIANOS','FLORIANOPOLIS','SC',21798,502,1264,NULL,NULL,NULL,NULL,2,1),(15,2164221,2.00,6.00,0.00,4.00,5.00,5.75,3.00,4.00,2.00,104,103,NULL,'VILA BAEPENDI','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2164230,7.00,7.00,7.00,8.00,9.00,6.75,5.00,7.00,5.00,103,104,NULL,'JARDIM DAS AMERICAS','PATO BRANCO','PR',2323,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2164248,0.00,6.00,2.00,6.00,7.00,5.50,4.00,3.00,2.00,208,222,238,'AREIAS','SAO JOSE','SC',17923,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2164264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,309,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2164272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,233,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2164280,3.00,6.00,2.00,8.00,7.00,6.75,5.00,5.00,1.00,104,319,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',12291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164299,7.00,9.00,7.00,7.00,8.00,7.00,8.00,8.00,7.00,103,319,NULL,'JARDIM LEBLON','REGISTRO','SP',760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164302,5.00,7.00,6.00,8.00,7.00,6.50,6.00,7.00,4.00,208,301,238,'RECIFE','TUBARAO','SC',4490,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2164310,8.00,6.00,4.00,7.00,8.00,5.50,7.00,7.00,7.00,103,101,NULL,'PORTÃO','CURITIBA','PR',3345,1111,399,NULL,NULL,NULL,NULL,2,8),(15,2164337,7.00,8.00,7.00,9.00,9.00,6.50,9.00,7.00,6.00,103,327,NULL,'CENTRO','BRUSQUE','SC',394,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2164345,2.00,6.00,1.00,3.00,8.00,6.25,3.00,5.00,0.00,429,302,425,'RIO BONITO','BRACO DO NORTE','SC',18862,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2164353,2.00,6.00,2.00,2.00,5.00,5.50,4.00,4.00,5.00,102,215,NULL,'MOGILAR','MOGI DAS CRUZES','SP',18081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164361,3.00,5.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,426,339,428,'JARDIM BIGUAÇU','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164370,7.00,8.00,7.00,6.00,7.00,6.50,9.00,6.00,7.00,103,104,NULL,'CENTRO','PALOTINA','PR',1563,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2164400,4.00,7.00,6.00,7.00,7.00,6.50,7.00,8.00,4.00,211,444,233,'AZENHA','PORTO ALEGRE','RS',4651,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2164426,3.00,6.00,4.00,6.00,6.00,6.00,3.00,5.00,3.00,303,5,NULL,'JARDIM GRAMADO','CASCAVEL','PR',13382,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2164434,7.00,9.00,8.00,7.00,6.00,5.25,6.00,7.00,5.00,302,421,NULL,'CENTRO','FLORIANOPOLIS','SC',3108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164442,5.00,2.00,1.00,3.00,4.00,NULL,2.00,1.00,2.00,339,415,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2164450,3.00,4.00,1.00,2.00,5.00,5.25,2.00,4.00,2.00,327,NULL,NULL,'FIGUEIRA GRANDE','IMARUI','SC',21642,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2164469,4.00,7.00,6.00,6.00,8.00,7.75,7.00,6.00,3.00,104,102,NULL,'CENTRO','COCAL DO SUL','SC',5660,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2164477,3.00,6.00,4.00,5.00,6.00,4.50,4.00,5.00,2.00,316,318,NULL,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',15108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164485,4.00,7.00,8.00,7.00,8.00,5.25,9.00,6.00,8.00,220,216,203,'MACAÚBA','TERESINA','PI',1723,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2164515,5.00,9.00,9.00,9.00,8.00,5.00,9.00,7.00,8.00,216,211,203,'LA SALLE','XANXERE','SC',594,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2164523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,339,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2164531,4.00,5.00,3.00,6.00,5.00,6.00,6.00,4.00,5.00,108,333,NULL,'CARIANOS','FLORIANOPOLIS','SC',10329,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2164540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,339,NULL,'VILA PROGRESSO','JUNDIAI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2164566,5.00,5.00,5.00,3.00,8.00,6.25,3.00,5.00,4.00,103,101,NULL,'ESTREITO','FLORIANOPOLIS','SC',10693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164574,4.00,2.00,5.00,8.00,6.00,5.00,3.00,3.00,4.00,217,108,NULL,'ALTO DAS PALMEIRAS','ITU','SP',13771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164582,5.00,6.00,5.00,6.00,7.00,4.75,2.00,2.00,1.00,339,327,NULL,'IPIRANGA','SAO JOSE','SC',16431,50,391,NULL,NULL,NULL,NULL,2,1),(15,2164590,0.00,1.00,0.00,1.00,2.00,NULL,0.00,1.00,0.00,5,303,NULL,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164604,8.00,8.00,9.00,8.00,8.00,6.50,8.00,6.00,8.00,103,108,NULL,'ROCIO GRANDE','SAO FRANCISCO DO SUL','SC',392,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2164612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2164620,3.00,2.00,4.00,6.00,5.00,6.00,4.00,5.00,3.00,415,423,NULL,'BARREIROS','SAO JOSE','SC',14734,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2164639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'GASPARETTO','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2164647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,217,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2164655,4.00,7.00,5.00,5.00,7.00,5.75,5.00,6.00,4.00,216,316,201,'UNIVERSITÁRIO','LAGES','SC',7534,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2164663,4.00,7.00,1.00,7.00,8.00,5.50,3.00,2.00,2.00,450,424,NULL,'INGLESES','FLORIANOPOLIS','SC',13700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2164671,4.00,6.00,3.00,1.00,8.00,7.25,3.00,8.00,3.00,331,324,NULL,'FREITAS','PAULO LOPES','SC',9039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164680,2.00,6.00,4.00,8.00,6.00,6.75,3.00,7.00,2.00,238,332,202,'CAMPINAS','SAO JOSE','SC',10254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164698,4.00,6.00,6.00,5.00,5.00,5.00,7.00,5.00,2.00,317,102,NULL,'RIO GRANDE','PALHOCA','SC',11745,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2164701,5.00,7.00,7.00,0.00,4.00,3.75,6.00,4.00,6.00,108,234,NULL,'HIGIENÓPOLIS','SAO PAULO','SP',11797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164710,1.00,6.00,5.00,5.00,7.00,3.75,4.00,6.00,2.00,211,309,215,'PRADO','BIGUACU','SC',14003,500,143,286,NULL,NULL,NULL,2,1),(15,2164728,2.00,6.00,3.00,7.00,6.00,5.25,3.00,4.00,2.00,301,316,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',14820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2164736,5.00,7.00,5.00,6.00,5.00,5.25,7.00,6.00,5.00,203,216,NULL,'JARDIM AMERICA TRÊS','BRAGANCA PAULISTA','SP',4928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164744,1.00,5.00,3.00,5.00,6.00,5.75,3.00,6.00,3.00,319,9,NULL,'FLOR DE NAPOLIS','SAO JOSE','SC',16040,323,618,NULL,NULL,NULL,NULL,2,1),(15,2164752,3.00,6.00,3.00,4.00,6.00,4.50,1.00,4.00,4.00,333,108,NULL,'CENTRO','PAULICEIA','SP',16912,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2164760,6.00,7.00,5.00,7.00,8.00,5.75,7.00,3.00,4.00,103,319,NULL,'SANTO ANTONIO','CRICIUMA','SC',6410,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2164779,2.00,9.00,5.00,5.00,7.00,5.50,5.00,8.00,4.00,103,333,NULL,'CENTRO','SAO JOSE','SC',7107,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2164787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,429,NULL,'BOM JESUS','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2164809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,215,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2164817,1.00,6.00,1.00,5.00,6.00,5.25,2.00,5.00,2.00,303,9,NULL,'AMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC',19082,827,681,NULL,NULL,NULL,NULL,2,1),(15,2164825,8.00,8.00,7.00,6.00,8.00,8.50,8.00,7.00,6.00,103,216,NULL,'JARDIM LOS ANGELES','NOVA ESPERANCA','PR',897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2164833,5.00,8.00,8.00,8.00,8.00,6.00,8.00,8.00,6.00,214,302,203,'ITAGUAÇU','FLORIANOPOLIS','SC',1530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164841,2.00,3.00,2.00,3.00,3.00,NULL,2.00,3.00,2.00,103,108,NULL,'PICADAS DO SUL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2164850,3.00,7.00,3.00,5.00,6.00,5.00,4.00,7.00,4.00,104,103,NULL,'SANTA LUZIA','CRICIUMA','SC',11736,378,3190,NULL,NULL,NULL,NULL,2,5),(15,2164868,2.00,5.00,4.00,6.00,3.00,6.25,4.00,2.00,2.00,203,238,208,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',19133,1104,1003,753,NULL,NULL,NULL,2,1),(15,2164876,4.00,6.00,1.00,7.00,7.00,6.25,3.00,3.00,1.00,308,224,NULL,'JOSE MENDES','FLORIANOPOLIS','SC',15859,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2164884,3.00,7.00,3.00,4.00,9.00,6.00,4.00,8.00,3.00,415,450,NULL,'ITACORUBI','FLORIANOPOLIS','SC',8929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164892,6.00,7.00,7.00,5.00,7.00,4.50,6.00,6.00,5.00,104,217,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',5383,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2164906,6.00,7.00,8.00,8.00,8.00,6.00,9.00,6.00,8.00,220,201,202,'VILA GUARANI','SAO PAULO','SP',1500,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2164914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,203,202,'ANCHIETA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2164922,8.00,8.00,7.00,4.00,9.00,5.75,8.00,8.00,7.00,103,216,NULL,'ZONA QUATRO','MARINGA','PR',1171,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2164930,6.00,7.00,8.00,5.00,8.00,6.75,8.00,6.00,6.00,415,451,NULL,'CENTRO','ITAPEMA','SC',3101,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2164949,4.00,7.00,2.00,2.00,6.00,4.75,1.00,4.00,3.00,5,319,NULL,'PANTANAL','FLORIANOPOLIS','SC',19000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164957,4.00,5.00,2.00,5.00,8.00,6.25,4.00,5.00,4.00,104,319,NULL,'CENTRO','XANXERE','SC',12310,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2164965,3.00,3.00,1.00,3.00,3.00,5.25,3.00,5.00,1.00,104,101,NULL,'RIACHINHO','JAGUARUNA','SC',21169,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2164973,2.00,5.00,0.00,1.00,5.00,NULL,3.00,1.00,3.00,303,415,NULL,'ALVORADA','FRANCISCO BELTRAO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2164981,7.00,6.00,7.00,5.00,6.00,7.00,8.00,6.00,6.00,103,319,NULL,'JARDIM MARIA AUGUSTA','BRAGANCA PAULISTA','SP',3338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2164990,7.00,7.00,8.00,8.00,9.00,5.50,8.00,6.00,7.00,220,201,202,'IPIRANGA','SAO PAULO','SP',1722,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2165007,4.00,8.00,6.00,6.00,7.00,6.00,6.00,8.00,4.00,201,213,238,'ANDORINHA','ITAPEMA','SC',4568,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2165023,5.00,8.00,7.00,4.00,6.00,3.75,4.00,6.00,3.00,214,211,213,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165031,6.00,8.00,8.00,3.00,9.00,5.25,6.00,6.00,5.00,103,201,NULL,'ZONA DOIS','CIANORTE','PR',3495,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2165040,7.00,8.00,7.00,7.00,8.00,4.50,8.00,7.00,7.00,303,5,NULL,'CENTRO','URUSSANGA','SC',1354,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2165058,0.00,3.00,0.00,7.00,3.00,NULL,2.00,3.00,3.00,103,104,NULL,'CENTRO','CAPIVARI DE BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2165066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'JARDIM ANA CRISTINA','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2165074,3.00,5.00,0.00,2.00,3.00,NULL,2.00,2.00,2.00,104,102,NULL,'CENTRO','CAPIVARI DE BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2165082,1.00,7.00,2.00,6.00,6.00,5.75,4.00,6.00,3.00,426,317,428,'MONTE VERDE','FLORIANOPOLIS','SC',14578,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2165090,4.00,4.00,5.00,1.00,7.00,4.50,4.00,4.00,3.00,108,426,NULL,'CENTRO','FLORIANOPOLIS','SC',16730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165104,2.00,4.00,2.00,1.00,2.00,NULL,2.00,3.00,2.00,215,217,216,'NAÇOES','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2165112,5.00,8.00,6.00,6.00,8.00,4.50,8.00,6.00,6.00,201,333,212,'VILA SUZANA','SAO PAULO','SP',3859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165120,2.00,5.00,1.00,0.00,6.00,NULL,2.00,2.00,1.00,502,217,NULL,'FIGUEIRA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2165155,4.00,7.00,3.00,5.00,7.00,6.75,5.00,7.00,2.00,308,324,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',8525,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2165163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,318,NULL,'RIO BRANCO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2165171,5.00,6.00,4.00,6.00,7.00,4.50,5.00,5.00,3.00,319,308,NULL,'INGLESES','FLORIANOPOLIS','SC',10597,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2165180,4.00,8.00,5.00,1.00,8.00,5.50,6.00,7.00,5.00,103,319,NULL,'SANTA ROSA','CUIABA','MT',7434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165198,3.00,7.00,1.00,8.00,6.00,6.00,3.00,5.00,2.00,108,211,NULL,'VILA IVETE','MAFRA','SC',13243,289,902,NULL,NULL,NULL,NULL,2,1),(15,2165201,2.00,6.00,3.00,5.00,6.00,5.75,3.00,4.00,1.00,423,339,425,'SAMBAQUI','FLORIANOPOLIS','SC',17856,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2165236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,201,202,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2165244,2.00,6.00,4.00,6.00,7.00,6.25,4.00,2.00,2.00,333,234,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',15714,245,215,NULL,NULL,NULL,NULL,4,1),(15,2165252,4.00,3.00,2.00,4.00,7.00,5.25,3.00,4.00,1.00,324,328,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',18763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2165260,8.00,8.00,9.00,9.00,7.00,7.00,9.00,7.00,6.00,203,2,214,'CENTRO','FLORIANOPOLIS','SC',571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165279,6.00,7.00,5.00,7.00,8.00,4.50,7.00,6.00,4.00,104,318,NULL,'CAMPECHE','FLORIANOPOLIS','SC',6617,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2165287,1.00,6.00,3.00,6.00,5.00,5.00,3.00,3.00,3.00,222,224,NULL,'BAIRRO DE FATIMA','FLORIANOPOLIS','SC',16807,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2165295,6.00,7.00,2.00,6.00,8.00,6.00,5.00,4.00,2.00,319,501,NULL,'CENTRO','PORTO ALEGRE','RS',10566,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2165309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,327,NULL,'CIDADE JARDIM','SAO CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2165317,7.00,8.00,8.00,6.00,8.00,6.00,7.00,8.00,5.00,302,101,NULL,'CENTRO','ANTONIO CARLOS','SC',2308,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2165325,4.00,5.00,5.00,8.00,7.00,5.50,5.00,5.00,3.00,103,203,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2165333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,320,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2165341,2.00,6.00,2.00,4.00,8.00,5.75,4.00,5.00,2.00,302,304,NULL,'CENTRO','ANTONIO CARLOS','SC',14371,112,372,NULL,NULL,NULL,NULL,2,1),(15,2165368,5.00,8.00,7.00,3.00,7.00,6.25,4.00,6.00,7.00,108,501,NULL,'MORRO DO MEIO','JOINVILLE','SC',4944,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2165376,2.00,3.00,1.00,3.00,5.00,4.50,4.00,6.00,1.00,203,220,214,'COMERCIÁRIO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2165384,3.00,6.00,6.00,9.00,8.00,6.00,6.00,6.00,5.00,103,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',4335,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2165406,2.00,6.00,5.00,1.00,7.00,4.00,2.00,5.00,2.00,5,102,NULL,'CENTRO','CURITIBA','PR',18485,766,1044,NULL,NULL,NULL,NULL,4,2),(15,2165414,5.00,8.00,8.00,5.00,7.00,6.25,7.00,6.00,7.00,103,NULL,NULL,'ALPHAVILLE','BARUERI','SP',3322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,329,NULL,'COSTA AZUL','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2165430,4.00,7.00,4.00,9.00,7.00,6.00,6.00,2.00,2.00,301,316,NULL,'JURERE','FLORIANOPOLIS','SC',9486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165449,7.00,7.00,9.00,7.00,7.00,6.75,8.00,6.00,7.00,103,207,NULL,'CENTRO','CURITIBA','PR',1113,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2165457,3.00,4.00,1.00,4.00,6.00,5.75,4.00,4.00,3.00,224,318,NULL,'COQUEIROS','FLORIANOPOLIS','SC',17166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165465,1.00,6.00,4.00,7.00,4.00,5.25,2.00,2.00,2.00,333,108,NULL,'CENTRO','DRACENA','SP',19074,342,907,NULL,NULL,NULL,NULL,4,8),(15,2165473,3.00,6.00,1.00,4.00,5.00,3.75,4.00,5.00,1.00,208,404,238,'PRAÇA','TIJUCAS','SC',18152,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2165481,2.00,6.00,6.00,5.00,6.00,5.50,3.00,4.00,2.00,415,327,NULL,'JARDIM DAS AVENIDAS','ARARANGUA','SC',14594,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2165490,3.00,6.00,4.00,4.00,9.00,6.75,5.00,6.00,5.00,103,9,NULL,'VILA MOEMA','TUBARAO','SC',8891,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2165511,2.00,3.00,1.00,5.00,2.00,NULL,4.00,4.00,1.00,2,225,NULL,'VISTA ALEGRE','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2165520,7.00,8.00,8.00,6.00,7.00,5.00,8.00,8.00,7.00,444,404,NULL,'SAGUAÇU','JOINVILLE','SC',1727,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2165538,1.00,7.00,3.00,6.00,7.00,6.00,0.00,5.00,4.00,5,201,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',15637,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2165546,8.00,6.00,7.00,4.00,7.00,4.25,8.00,7.00,5.00,214,220,213,'JARDIM PICA PAU','SAO MIGUEL ARCANJO','SP',4665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165570,5.00,6.00,4.00,4.00,7.00,5.25,6.00,6.00,2.00,102,444,NULL,'CENTRO','LAGES','SC',9561,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2165589,7.00,8.00,7.00,4.00,8.00,6.75,6.00,8.00,3.00,317,318,NULL,'BESENELLO','NOVA TRENTO','SC',3763,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2165597,5.00,6.00,6.00,6.00,7.00,5.50,4.00,6.00,2.00,214,301,211,'CENTRO','JARAGUA DO SUL','SC',8959,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2165619,3.00,3.00,3.00,4.00,6.00,5.00,3.00,5.00,3.00,103,NULL,NULL,'PARQUE HIGIENOPOLIS','PRESIDENTE PRUDENTE','SP',17925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165627,2.00,5.00,1.00,2.00,6.00,6.00,1.00,6.00,3.00,103,303,NULL,'CENTRO','ERECHIM','RS',19155,2939,1297,NULL,NULL,NULL,NULL,4,7),(15,2165643,5.00,8.00,6.00,8.00,8.00,6.00,6.00,5.00,3.00,103,108,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',5217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2165651,5.00,7.00,2.00,3.00,8.00,6.50,4.00,5.00,3.00,308,426,NULL,'KOBRASOL','SAO JOSE','SC',12050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165660,1.00,4.00,3.00,5.00,7.00,6.75,5.00,4.00,3.00,201,203,212,'BOA VISTA','CURITIBA','PR',14373,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2165678,3.00,8.00,4.00,4.00,7.00,5.75,5.00,7.00,3.00,207,420,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',10525,514,650,NULL,NULL,NULL,NULL,2,1),(15,2165694,3.00,6.00,5.00,8.00,7.00,5.50,6.00,6.00,3.00,104,103,NULL,'COMERCIARIO','CRICIUMA','SC',8433,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2165708,3.00,8.00,5.00,7.00,6.00,5.25,5.00,5.00,3.00,201,2,212,'CENTRO','FLORIANOPOLIS','SC',8936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165716,3.00,8.00,1.00,5.00,7.00,5.00,5.00,8.00,2.00,339,324,NULL,'BARREIROS','SAO JOSE','SC',11381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2165724,2.00,8.00,2.00,5.00,6.00,5.50,5.00,7.00,4.00,5,339,NULL,'CAMPECHE','FLORIANOPOLIS','SC',10897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2165732,2.00,6.00,3.00,1.00,7.00,5.75,6.00,4.00,4.00,319,308,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',14461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165740,5.00,8.00,2.00,3.00,7.00,6.50,6.00,3.00,3.00,238,104,208,'BARREIROS','SAO JOSE','SC',11957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165759,3.00,8.00,2.00,6.00,6.00,4.00,6.00,7.00,4.00,103,104,NULL,'ÁGUA VERDE','CURITIBA','PR',9138,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2165767,8.00,6.00,5.00,7.00,8.00,6.25,6.00,8.00,5.00,203,207,201,'INGLESES','FLORIANOPOLIS','SC',2976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165775,5.00,8.00,6.00,7.00,6.00,7.25,6.00,5.00,5.00,103,102,NULL,'SANTA CECÍLA','ASSIS','SP',5552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165783,3.00,6.00,4.00,2.00,9.00,5.25,7.00,8.00,5.00,202,2,208,'ARIRIÚ','PALHOCA','SC',7362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165791,4.00,5.00,5.00,6.00,7.00,5.50,4.00,8.00,4.00,103,326,NULL,'TRINDADE','FLORIANOPOLIS','SC',8697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,212,201,'TARUMA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2165813,6.00,6.00,4.00,4.00,7.00,4.50,6.00,6.00,4.00,5,319,NULL,'VILA SÃO CARLOS','APUCARANA','PR',9635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165821,5.00,7.00,3.00,4.00,6.00,6.50,7.00,4.00,3.00,108,225,NULL,'IPIRANGA','SAO JOSE','SC',10450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165830,2.00,7.00,2.00,7.00,5.00,5.75,4.00,7.00,1.00,224,327,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',13340,33,336,NULL,NULL,NULL,NULL,2,1),(15,2165856,1.00,6.00,1.00,5.00,4.00,4.25,2.00,4.00,4.00,301,316,NULL,'JARDIM SONTAG','SALTO','SP',20300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165864,8.00,8.00,9.00,7.00,9.00,6.50,8.00,8.00,6.00,103,9,NULL,'ITACORUBI','FLORIANOPOLIS','SC',662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165872,4.00,7.00,3.00,4.00,6.00,6.25,4.00,5.00,4.00,211,201,216,'BELA VISTA','ERECHIM','RS',11083,396,1289,364,NULL,NULL,NULL,2,4),(15,2165880,2.00,7.00,0.00,2.00,7.00,5.50,3.00,6.00,5.00,303,415,NULL,'BARREIROS','SAO JOSE','SC',16783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165899,4.00,5.00,0.00,2.00,6.00,6.00,4.00,2.00,2.00,501,316,NULL,'FORQUILHINHAS','SAO JOSE','SC',19117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165902,4.00,5.00,2.00,6.00,6.00,5.25,1.00,2.00,1.00,208,216,201,'INGLESES','FLORIANOPOLIS','SC',19693,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2165910,2.00,6.00,0.00,3.00,6.00,NULL,1.00,3.00,1.00,333,211,NULL,'OFICINAS','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2165929,4.00,9.00,6.00,3.00,7.00,5.50,4.00,5.00,5.00,103,9,NULL,'LIBERDADE','SAO PAULO','SP',8931,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2165937,2.00,7.00,6.00,8.00,7.00,7.25,5.00,5.00,4.00,420,238,NULL,'CENTRO','LAGES','SC',6419,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2165945,3.00,6.00,1.00,2.00,6.00,3.50,2.00,5.00,3.00,316,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',20863,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2165953,5.00,7.00,8.00,5.00,8.00,4.75,6.00,7.00,6.00,103,216,NULL,'PANTANAL','FLORIANOPOLIS','SC',4690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165961,5.00,7.00,6.00,5.00,8.00,7.25,4.00,6.00,3.00,420,302,NULL,'CENTENÁRIO','TORRES','RS',7478,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2165970,4.00,6.00,7.00,8.00,7.00,5.25,5.00,5.00,4.00,301,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANOPOLIS','SC',6283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2165988,3.00,8.00,3.00,7.00,6.00,6.50,4.00,8.00,4.00,329,327,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',7886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166003,4.00,7.00,7.00,3.00,5.00,4.50,7.00,5.00,6.00,203,212,214,'ASA SUL','BRASILIA','DF',8767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,502,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2166038,7.00,9.00,6.00,6.00,8.00,6.50,7.00,6.00,5.00,207,216,201,'SANTO ANTONIO','CRICIUMA','SC',2674,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2166046,5.00,8.00,7.00,9.00,7.00,6.50,7.00,7.00,5.00,207,2,202,'MORUMBI','SAO PAULO','SP',2751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166062,3.00,9.00,5.00,6.00,6.00,5.75,4.00,8.00,3.00,217,324,NULL,'BARREIROS','SAO JOSE','SC',8487,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2166070,4.00,6.00,3.00,2.00,8.00,4.50,2.00,4.00,1.00,217,339,NULL,'JARDIM','MARAVILHA','SC',18022,166,330,NULL,NULL,NULL,NULL,4,4),(15,2166097,7.00,8.00,8.00,9.00,9.00,6.00,9.00,7.00,7.00,103,104,NULL,'ZONA SETE','MARINGA','PR',723,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2166100,5.00,8.00,5.00,8.00,9.00,5.50,7.00,8.00,4.00,303,301,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',2265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166127,3.00,5.00,2.00,6.00,6.00,7.50,2.00,2.00,1.00,103,319,NULL,'CENTRO','CANOINHAS','SC',18185,2877,880,NULL,NULL,NULL,NULL,2,8),(15,2166135,8.00,7.00,7.00,8.00,9.00,7.00,8.00,6.00,7.00,216,102,207,'CENTRO','FLORIANOPOLIS','SC',477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166143,7.00,7.00,4.00,7.00,9.00,5.25,5.00,6.00,4.00,303,415,NULL,'SANTO ANTONIO','CRICIUMA','SC',4877,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2166151,5.00,5.00,4.00,7.00,4.00,8.50,4.00,4.00,1.00,328,425,NULL,'CENTRO','OURO','SC',12890,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2166160,0.00,8.00,1.00,0.00,4.00,NULL,3.00,2.00,1.00,451,333,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166178,5.00,7.00,7.00,7.00,7.00,6.00,8.00,7.00,4.00,220,NULL,238,'BAIRRO IPIRANGA','SAO JOSE','SC',3503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166194,1.00,6.00,6.00,5.00,4.00,5.25,3.00,3.00,2.00,502,301,NULL,'PARQUE SÃO DIOGO','SAO BERNARDO DO CAMPO','SP',18015,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2166208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,319,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2166216,5.00,8.00,6.00,8.00,6.00,5.25,5.00,5.00,4.00,103,NULL,NULL,'PARQUE SÃO DIOGO','SAO BERNARDO DO CAMPO','SP',6291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166224,4.00,7.00,2.00,7.00,8.00,6.75,4.00,7.00,3.00,104,324,NULL,'CANOAS','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2166232,5.00,9.00,7.00,8.00,8.00,6.00,7.00,9.00,5.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',1545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166240,3.00,7.00,8.00,7.00,8.00,6.25,8.00,4.00,4.00,203,213,215,'ESTREITO','FLORIANOPOLIS','SC',4565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166259,2.00,6.00,1.00,7.00,6.00,4.00,4.00,5.00,3.00,318,324,NULL,'CENTRO','FLORIANOPOLIS','SC',16901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2166267,4.00,8.00,4.00,9.00,8.00,5.00,6.00,5.00,4.00,103,104,NULL,'CENTRO','BRACO DO NORTE','SC',5561,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2166275,6.00,7.00,3.00,5.00,8.00,7.00,6.00,8.00,3.00,318,304,NULL,'CENTRO','JOINVILLE','SC',6139,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2166283,4.00,6.00,3.00,3.00,6.00,3.00,5.00,6.00,3.00,208,222,238,'PASSA VINTE','PALHOCA','SC',15085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166291,1.00,2.00,2.00,5.00,6.00,5.25,1.00,4.00,1.00,302,423,NULL,'COQUEIROS','FLORIANOPOLIS','SC',21436,195,255,NULL,NULL,NULL,NULL,2,1),(15,2166305,6.00,8.00,5.00,5.00,7.00,6.00,5.00,6.00,3.00,217,423,NULL,'RBEIRÃO GRANDE','PAULO LOPES','SC',7772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2166313,4.00,7.00,2.00,7.00,3.00,5.25,3.00,5.00,4.00,207,429,NULL,'CAMPINAS','SAO JOSE','SC',14558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2166330,1.00,7.00,3.00,2.00,5.00,5.00,2.00,4.00,2.00,104,207,NULL,'CAMINHO NOVO','PALHOCA','SC',20708,675,1306,NULL,NULL,NULL,NULL,4,1),(15,2166356,5.00,7.00,7.00,7.00,7.00,5.00,5.00,5.00,5.00,420,208,NULL,'PASSA VINTE','PALHOCA','SC',4990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166364,4.00,6.00,6.00,4.00,3.00,4.75,7.00,3.00,3.00,207,212,201,'PONTAL','ILHEUS','BA',13347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166372,6.00,6.00,5.00,7.00,7.00,6.25,8.00,4.00,6.00,216,301,215,'JARDIM MALUCHE','BRUSQUE','SC',4437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166402,3.00,4.00,5.00,3.00,5.00,4.75,8.00,4.00,3.00,220,213,202,'CENTRO','SANTA BARBARA D OESTE','SP',13731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166410,4.00,6.00,4.00,3.00,5.00,5.25,7.00,5.00,4.00,104,NULL,NULL,'JARDIM LAGOA','PONTA GROSSA','PR',10169,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2166429,4.00,5.00,6.00,5.00,8.00,6.00,3.00,6.00,2.00,201,304,212,'CENTRO','NOVA TRENTO','SC',9539,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2166437,4.00,5.00,4.00,2.00,5.00,3.75,2.00,4.00,2.00,5,238,NULL,'ESTREITO','FLORIANOPOLIS','SC',20265,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2166453,5.00,6.00,4.00,3.00,5.00,6.50,6.00,5.00,4.00,333,208,NULL,'CARIANOS','FLORIANOPOLIS','SC',11282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166461,0.00,6.00,2.00,3.00,5.00,4.75,3.00,1.00,2.00,234,502,NULL,'CENTRO','MELEIRO','SC',21509,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2166470,2.00,7.00,2.00,2.00,6.00,5.25,4.00,5.00,4.00,303,301,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166488,4.00,6.00,3.00,4.00,7.00,5.00,5.00,6.00,2.00,415,450,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',14274,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2166496,4.00,7.00,2.00,4.00,4.00,5.00,6.00,7.00,3.00,108,234,NULL,'COQUEIROS','FLORIANOPOLIS','SC',12190,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2166500,4.00,8.00,7.00,8.00,9.00,6.25,9.00,6.00,6.00,5,333,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',1926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166518,2.00,5.00,3.00,4.00,6.00,3.75,4.00,1.00,1.00,208,222,238,'PONTA DAS CANAS','FLORIANOPOLIS','SC',20805,833,220,771,NULL,NULL,NULL,2,1),(15,2166526,3.00,2.00,2.00,3.00,3.00,3.75,2.00,5.00,2.00,102,NULL,NULL,'JARDIM RINA','SANTO ANDRE','SP',22514,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2166534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2166542,5.00,6.00,7.00,9.00,8.00,6.25,6.00,5.00,5.00,213,424,238,'CENTRO','FLORIANOPOLIS','SC',3686,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2166550,5.00,6.00,7.00,5.00,8.00,6.25,6.00,8.00,7.00,203,214,201,'CENTRO','LAURENTINO','SC',4075,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2166569,5.00,6.00,7.00,7.00,7.00,7.50,6.00,8.00,6.00,5,320,NULL,'CENTRO','FLORIANOPOLIS','SC',2686,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2166585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,214,201,'JARDIM LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2166593,4.00,7.00,7.00,6.00,6.00,6.25,5.00,8.00,3.00,211,332,207,'CAMPECHE','FLORIANOPOLIS','SC',7277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166607,1.00,5.00,2.00,8.00,7.00,5.75,2.00,5.00,2.00,103,102,NULL,'CENTRO','SAO JOAQUIM','SC',16503,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2166615,4.00,7.00,5.00,1.00,7.00,5.75,2.00,6.00,1.00,103,102,NULL,'CENTRO','JALES','SP',13903,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166623,4.00,6.00,3.00,6.00,9.00,5.00,5.00,6.00,2.00,216,444,233,'CENTRO','FLORIANOPOLIS','SC',9590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166631,2.00,6.00,2.00,6.00,2.00,NULL,2.00,3.00,2.00,104,208,NULL,'CENTRO','MORRO DA FUMACA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2166640,3.00,5.00,3.00,3.00,4.00,4.00,2.00,3.00,3.00,423,426,427,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',21542,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2166674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,203,201,'ALTO DA BOA VISTA','ROLANDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2166682,2.00,4.00,5.00,8.00,5.00,5.00,4.00,3.00,4.00,207,420,201,'TESTO SALTO','BLUMENAU','SC',15442,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2166690,2.00,5.00,4.00,4.00,2.00,NULL,1.00,4.00,0.00,224,426,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2166704,0.00,4.00,1.00,1.00,4.00,5.25,4.00,5.00,3.00,102,215,NULL,'INGLESES','FLORIANOPOLIS','SC',21883,510,642,NULL,NULL,NULL,NULL,4,1),(15,2166712,5.00,8.00,6.00,7.00,8.00,6.00,4.00,7.00,5.00,203,217,233,'BALNEARIO ESTREITO','FLORIANOPOLIS','SC',5003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2166720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,108,NULL,'VILA INDUSTRIAL','ALUMINIO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2166739,4.00,7.00,4.00,1.00,6.00,5.00,7.00,3.00,3.00,214,333,203,'ABRAAO','FLORIANOPOLIS','SC',14235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166747,1.00,5.00,2.00,6.00,5.00,5.00,3.00,3.00,2.00,301,428,NULL,'FORQUILHINHAS','SAO JOSE','SC',20306,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2166755,0.00,1.00,0.00,0.00,0.00,NULL,0.00,2.00,1.00,201,421,212,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2166763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'ASA SUL','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2166771,3.00,6.00,5.00,3.00,4.00,6.25,6.00,4.00,4.00,233,318,214,'CENTRO','PIRACICABA','SP',13289,325,431,432,NULL,NULL,NULL,2,1),(15,2166780,4.00,6.00,9.00,6.00,9.00,6.00,6.00,4.00,5.00,238,304,212,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',5146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166798,2.00,3.00,1.00,0.00,2.00,NULL,4.00,5.00,4.00,333,217,NULL,'PICADAS DO SUL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166801,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,444,404,NULL,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2166810,2.00,7.00,5.00,6.00,5.00,4.50,7.00,4.00,5.00,208,NULL,NULL,'JARDIM EUROPA','BRAGANCA PAULISTA','SP',10810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166828,3.00,4.00,4.00,4.00,7.00,5.50,3.00,4.00,2.00,203,NULL,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166836,0.00,4.00,4.00,4.00,5.00,4.75,1.00,4.00,0.00,5,316,NULL,'RIO CAVEIRAS','BIGUACU','SC',21815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2166844,4.00,8.00,7.00,6.00,8.00,6.50,7.00,6.00,6.00,208,222,238,'VILA FERROVIARIA','MAFRA','SC',3904,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2166852,5.00,5.00,1.00,6.00,5.00,5.00,2.00,3.00,2.00,207,309,212,'ARIRIÚ','PALHOCA','SC',18048,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2166860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,333,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2166879,4.00,8.00,7.00,2.00,7.00,5.00,7.00,7.00,4.00,207,420,201,'SANTO ANTONIO','JOINVILLE','SC',7338,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2166887,7.00,9.00,7.00,8.00,9.00,4.50,9.00,8.00,7.00,220,224,211,'TRINDADE','FLORIANOPOLIS','SC',727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166895,1.00,3.00,1.00,8.00,6.00,6.50,2.00,7.00,2.00,450,415,NULL,'VELHA','BLUMENAU','SC',17325,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2166909,4.00,6.00,2.00,6.00,7.00,6.25,6.00,2.00,2.00,319,415,NULL,'CENTRO','TENENTE PORTELA','RS',13521,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2166917,4.00,9.00,5.00,9.00,8.00,6.25,6.00,8.00,4.00,103,104,NULL,'AMÉRICA','JOINVILLE','SC',3379,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2166933,4.00,6.00,4.00,8.00,7.00,6.50,6.00,8.00,2.00,404,332,NULL,'ABRAÃO','FLORIANOPOLIS','SC',7001,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2166968,1.00,3.00,5.00,5.00,6.00,4.50,5.00,6.00,2.00,208,108,238,'COQUEIROS','FLORIANOPOLIS','SC',14896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166976,6.00,8.00,9.00,6.00,8.00,5.00,8.00,7.00,7.00,214,304,212,'SANTA ROSA','CUIABA','MT',1881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2166984,1.00,2.00,2.00,0.00,3.00,NULL,4.00,4.00,4.00,211,415,NULL,'CENTRO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2166992,1.00,5.00,2.00,4.00,7.00,5.25,3.00,4.00,2.00,104,102,NULL,'CENTRO','ORLEANS','SC',19520,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2167000,8.00,8.00,8.00,9.00,8.00,7.50,6.00,6.00,4.00,207,212,211,'COQUEIROS','FLORIANOPOLIS','SC',1256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,301,208,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2167026,3.00,7.00,6.00,8.00,9.00,6.00,6.00,4.00,4.00,9,444,NULL,'INGLESES','FLORIANOPOLIS','SC',5863,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2167034,3.00,5.00,5.00,2.00,5.00,5.00,1.00,3.00,3.00,216,233,211,'INTERIOR','CASCA','RS',19587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167042,4.00,5.00,3.00,6.00,8.00,3.50,4.00,5.00,2.00,101,308,NULL,'CENTRO','FLORIANOPOLIS','SC',14408,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2167050,3.00,8.00,5.00,7.00,7.00,6.50,3.00,6.00,3.00,103,9,NULL,'PARQUE DOS VINHEDOS','CAXIAS DO SUL','RS',8693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167077,3.00,5.00,5.00,4.00,7.00,7.00,5.00,6.00,3.00,444,404,NULL,'ITACORUBI','FLORIANOPOLIS','SC',10289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167085,6.00,8.00,5.00,1.00,5.00,5.75,6.00,5.00,4.00,333,NULL,NULL,'BIGORRILHO','CURITIBA','PR',10207,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2167093,2.00,7.00,4.00,4.00,6.00,0.00,5.00,5.00,2.00,103,104,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2167107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'SANTA ROSA','CUIABA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2167115,7.00,9.00,6.00,7.00,8.00,7.00,7.00,7.00,6.00,103,102,NULL,'CENTRO','FLORIANOPOLIS','SC',1680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167123,1.00,6.00,6.00,6.00,6.00,3.75,5.00,4.00,2.00,316,223,NULL,'ITACORUBI','FLORIANOPOLIS','SC',14878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2167131,6.00,7.00,6.00,6.00,8.00,7.00,7.00,6.00,5.00,316,318,NULL,'JURERE','FLORIANOPOLIS','SC',2949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BUENO','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2167158,2.00,8.00,1.00,4.00,6.00,4.75,3.00,3.00,1.00,339,316,NULL,'AREIAS','SAO JOSE','SC',18264,90,1156,NULL,NULL,NULL,NULL,2,1),(15,2167166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,304,NULL,'CENTRO','DOUTOR PEDRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2167174,3.00,6.00,2.00,7.00,5.00,3.75,5.00,5.00,3.00,103,216,NULL,'CENTRO','NOVA FATIMA','PR',13998,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2167182,5.00,9.00,5.00,10.00,8.00,6.50,7.00,9.00,6.00,5,318,NULL,'CENTRO','FLORIANOPOLIS','SC',1494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167190,0.00,6.00,1.00,4.00,2.00,NULL,2.00,1.00,2.00,203,223,202,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2167204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,201,NULL,'CENTRO CIVICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2167220,2.00,6.00,3.00,6.00,5.00,5.75,4.00,3.00,3.00,420,450,NULL,'DOS ESTADOS','GUARAPUAVA','PR',15751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167239,8.00,8.00,9.00,7.00,7.00,4.50,9.00,7.00,8.00,103,319,NULL,'LAUZANE PAULISTA','SAO PAULO','SP',911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167247,3.00,8.00,7.00,3.00,6.00,6.75,6.00,8.00,6.00,303,5,NULL,'JARDIM SANTA MARIA','JACAREI','SP',5358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167255,2.00,6.00,2.00,3.00,6.00,3.50,3.00,7.00,4.00,339,309,NULL,'CENTRO','FLORIANOPOLIS','SC',17466,71,181,NULL,NULL,NULL,NULL,2,1),(15,2167263,5.00,7.00,4.00,5.00,6.00,5.00,4.00,3.00,4.00,303,428,NULL,'COQUEIROS','FLORIANOPOLIS','SC',11726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2167271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,451,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2167280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,225,202,'INTERIOR','XAVANTINA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2167298,2.00,5.00,3.00,7.00,7.00,6.50,4.00,3.00,1.00,207,415,201,'UNIVERSITÁRIO','CRICIUMA','SC',13786,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2167310,1.00,4.00,3.00,4.00,6.00,5.50,6.00,1.00,1.00,316,420,NULL,'CAMPINAS','SAO JOSE','SC',18979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167328,4.00,5.00,6.00,5.00,8.00,5.25,4.00,5.00,1.00,5,415,NULL,'ESTREITO','FLORIANOPOLIS','SC',12164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,9,NULL,'CENTRO','PONTA PORA','MS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2167344,8.00,8.00,8.00,7.00,8.00,5.75,9.00,7.00,7.00,103,319,NULL,'TAGUATINGA NORTE','TAGUATINGA','DF',821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167352,6.00,7.00,9.00,9.00,9.00,6.25,9.00,8.00,7.00,103,502,NULL,'CENTRO','CRICIUMA','SC',448,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2167360,4.00,6.00,4.00,5.00,3.00,3.50,5.00,6.00,1.00,420,207,NULL,'SÃO CRISTOVÃO','LAJEADO','RS',16621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2167379,3.00,3.00,4.00,3.00,3.00,4.25,3.00,1.00,1.00,223,224,NULL,'PRADO','BIGUACU','SC',22342,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2167387,1.00,3.00,5.00,6.00,5.00,4.00,4.00,3.00,1.00,450,208,NULL,'FLORESTA','JOINVILLE','SC',19480,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2167395,6.00,8.00,8.00,7.00,7.00,6.25,8.00,5.00,4.00,316,444,NULL,'BARREIROS','SAO JOSE','SC',3175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167409,9.00,9.00,7.00,8.00,9.00,7.75,9.00,8.00,6.00,103,104,NULL,'CENTRO','URUSSANGA','SC',195,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2167417,4.00,5.00,1.00,4.00,6.00,3.50,4.00,2.00,3.00,101,339,NULL,'PRAIA DE FORA','PALHOCA','SC',20094,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2167425,2.00,4.00,3.00,0.00,4.00,4.00,3.00,6.00,2.00,215,501,216,'EDEN','SOROCABA','SP',20932,408,571,556,NULL,NULL,NULL,4,1),(15,2167433,4.00,8.00,6.00,8.00,8.00,4.75,4.00,6.00,3.00,316,425,NULL,'SALGADO FILHO','CAXIAS DO SUL','RS',5659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167441,5.00,7.00,9.00,5.00,8.00,5.50,8.00,6.00,6.00,203,224,214,'CENTRO','ARARANGUA','SC',2292,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2167450,2.00,3.00,3.00,1.00,2.00,NULL,1.00,3.00,1.00,103,104,NULL,'SAO VICENTE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2167468,5.00,8.00,8.00,7.00,7.00,7.25,6.00,7.00,7.00,203,301,233,'CENTRO','JACINTO MACHADO','SC',1359,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2167484,1.00,4.00,0.00,2.00,3.00,NULL,2.00,3.00,1.00,201,104,207,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,3),(15,2167492,2.00,6.00,0.00,6.00,6.00,4.75,4.00,4.00,2.00,320,332,NULL,'AZAMBUJA','BRUSQUE','SC',18249,NULL,NULL,NULL,NULL,NULL,NULL,3,6),(15,2167506,4.00,5.00,4.00,5.00,7.00,4.25,4.00,4.00,5.00,103,9,NULL,'CENTRO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167514,1.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,1.00,444,404,NULL,'CENTRO','ITAIOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2167522,5.00,7.00,5.00,4.00,7.00,8.00,5.00,6.00,3.00,104,302,NULL,'CENTRO','FLORIANOPOLIS','SC',7238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167530,7.00,8.00,7.00,6.00,5.00,4.25,8.00,8.00,6.00,103,216,NULL,'CENTRO','IMBE','RS',3100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167549,5.00,6.00,5.00,7.00,8.00,6.00,5.00,5.00,3.00,104,316,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',6809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2167557,4.00,6.00,2.00,3.00,8.00,4.25,4.00,3.00,5.00,5,316,NULL,'CENTRO','RIO DO SUL','SC',14370,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2167565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,211,NULL,'MARECHAL RONDON','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2167573,3.00,3.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,101,423,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(15,2167581,3.00,7.00,3.00,4.00,8.00,6.25,6.00,5.00,3.00,103,215,NULL,'SÃO JOSE','SAO JOSE','SC',10409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167590,6.00,4.00,3.00,7.00,6.00,4.00,3.00,5.00,3.00,207,420,201,'ILHA DA FIGUEIRA','JARAGUA DO SUL','SC',14012,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2167611,3.00,5.00,3.00,4.00,3.00,3.50,3.00,2.00,4.00,404,324,NULL,'KOBRASOL','SAO JOSE','SC',20154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167620,3.00,7.00,6.00,6.00,6.00,4.75,6.00,5.00,4.00,203,2,201,'CENTRO','ERECHIM','RS',9328,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2167646,2.00,5.00,3.00,4.00,7.00,5.75,5.00,1.00,4.00,216,217,233,'TRINDADE','FLORIANOPOLIS','SC',16704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2167654,0.00,3.00,2.00,2.00,6.00,NULL,4.00,3.00,1.00,207,308,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167662,7.00,8.00,9.00,6.00,7.00,5.75,9.00,9.00,7.00,203,327,233,'CENTRO','ANTONIO CARLOS','SC',613,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2167670,8.00,9.00,9.00,7.00,9.00,6.25,9.00,8.00,9.00,103,201,NULL,'CENTRO CÍVICO','CURITIBA','PR',84,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2167689,1.00,2.00,1.00,1.00,5.00,NULL,4.00,3.00,4.00,428,324,424,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2167697,5.00,7.00,3.00,6.00,7.00,7.00,8.00,7.00,3.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',6268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167719,0.00,3.00,2.00,0.00,1.00,NULL,3.00,4.00,2.00,104,102,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2167727,8.00,7.00,8.00,4.00,8.00,4.50,6.00,7.00,6.00,103,104,NULL,'CRISTO REI','CURITIBA','PR',2884,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2167743,1.00,6.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,420,333,NULL,'PIO X','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(15,2167751,2.00,8.00,1.00,3.00,5.00,4.75,2.00,1.00,1.00,211,213,NULL,'BARRA DO ARIRIÚ','PALHOCA','SC',21669,743,501,NULL,NULL,NULL,NULL,2,1),(15,2167760,2.00,3.00,2.00,6.00,7.00,6.00,4.00,4.00,3.00,308,339,NULL,'PONTE DE IMARUIM','PALHOCA','SC',16164,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2167778,6.00,7.00,5.00,6.00,6.00,6.00,6.00,5.00,1.00,102,324,NULL,'TAPERA','FLORIANOPOLIS','SC',9206,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2167786,3.00,6.00,2.00,8.00,7.00,6.50,6.00,6.00,2.00,423,327,424,'CENTRO','FLORIANOPOLIS','SC',9838,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2167794,2.00,6.00,1.00,7.00,5.00,5.50,2.00,4.00,1.00,103,104,NULL,'CENTRO','ALFREDO WAGNER','SC',18648,2909,1214,NULL,NULL,NULL,NULL,2,1),(15,2167808,5.00,7.00,6.00,7.00,5.00,6.25,7.00,7.00,4.00,103,214,NULL,'CENTRO','PONTA GROSSA','PR',5544,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2167816,4.00,7.00,3.00,6.00,8.00,5.75,6.00,7.00,3.00,317,225,NULL,'PONTE DO IMARUIM','PALHOCA','SC',6890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167840,5.00,4.00,3.00,4.00,8.00,6.25,4.00,5.00,4.00,103,104,NULL,'PORTAO','CURITIBA','PR',11742,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2167859,3.00,6.00,5.00,7.00,5.00,4.50,6.00,4.00,2.00,501,238,NULL,'COQUEIROS','FLORIANOPOLIS','SC',11263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167867,5.00,6.00,3.00,6.00,5.00,5.00,4.00,1.00,2.00,103,108,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167883,5.00,7.00,8.00,8.00,8.00,6.50,4.00,6.00,6.00,207,420,201,'IMIGRANTES','TIMBO','SC',3160,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2167891,7.00,7.00,2.00,5.00,8.00,7.50,7.00,7.00,4.00,303,444,NULL,'CENTRO','URUSSANGA','SC',5372,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2167913,4.00,7.00,6.00,2.00,6.00,4.50,3.00,5.00,4.00,215,426,238,'PONTE DO IMARUIM','PALHOCA','SC',10725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2167921,7.00,7.00,8.00,7.00,7.00,6.50,7.00,6.00,5.00,103,104,NULL,'CENTRO','CORBELIA','PR',2893,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2167930,4.00,6.00,0.00,2.00,4.00,6.25,3.00,7.00,2.00,103,NULL,NULL,'POÇO RICO','OTACILIO COSTA','SC',16640,2770,NULL,NULL,NULL,NULL,NULL,4,9),(15,2167948,4.00,7.00,1.00,1.00,7.00,5.00,3.00,4.00,1.00,104,415,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',17909,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2167956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,304,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2167964,1.00,1.00,2.00,3.00,0.00,NULL,3.00,7.00,1.00,203,233,214,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2167972,6.00,6.00,4.00,6.00,7.00,5.50,6.00,4.00,3.00,223,222,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',8313,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2167980,3.00,8.00,2.00,2.00,6.00,4.75,3.00,6.00,2.00,329,426,NULL,'ITACORUBI','FLORIANOPOLIS','SC',16392,55,207,NULL,NULL,NULL,NULL,4,1),(15,2167999,2.00,5.00,1.00,2.00,5.00,5.50,5.00,3.00,2.00,207,211,201,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2168006,5.00,4.00,2.00,4.00,7.00,6.00,4.00,6.00,2.00,102,103,NULL,'CENTRO','GUARAMIRIM','SC',15017,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2168014,5.00,8.00,5.00,3.00,7.00,4.75,5.00,4.00,4.00,211,217,216,'BOM JESUS','RIO NEGRO','PR',10656,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2168022,5.00,8.00,7.00,7.00,8.00,6.00,6.00,4.00,4.00,104,444,NULL,'CENTRO','CRICIUMA','SC',4624,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2168030,6.00,7.00,8.00,3.00,7.00,7.50,7.00,5.00,6.00,201,NULL,212,'CENTRO','BALNEARIO CAMBORIU','SC',3487,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2168049,6.00,7.00,6.00,8.00,6.00,7.75,6.00,3.00,4.00,103,104,NULL,'BIGORRILHO','CURITIBA','PR',5798,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2168057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'CENTRO','SAUDADES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2168065,1.00,3.00,3.00,5.00,5.00,5.25,4.00,4.00,0.00,202,NULL,238,'PINHEIROS','OTACILIO COSTA','SC',20983,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2168081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,319,NULL,'ESTANCIA VELHA','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2168090,7.00,7.00,6.00,8.00,8.00,6.75,8.00,7.00,6.00,9,428,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',1833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168103,3.00,1.00,4.00,5.00,5.00,4.00,4.00,2.00,4.00,302,319,NULL,'KOBRASOL','SAO JOSE','SC',19652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2168138,5.00,7.00,9.00,6.00,8.00,8.50,9.00,8.00,5.00,103,104,NULL,'CENTRO','ANTONIO CARLOS','SC',1079,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168146,3.00,5.00,4.00,6.00,4.00,5.25,4.00,4.00,2.00,332,331,NULL,'VILLA BECKER','SANTO AMARO DA IMPERATRIZ','SC',16471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168154,4.00,8.00,5.00,6.00,7.00,5.50,5.00,6.00,4.00,201,203,233,'FAZENDA','ITAJAI','SC',6803,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2168162,4.00,7.00,3.00,5.00,6.00,5.50,3.00,5.00,2.00,428,310,426,'TRINDADE','FLORIANOPOLIS','SC',13676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168170,8.00,7.00,9.00,9.00,9.00,5.50,9.00,6.00,6.00,103,303,NULL,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168189,7.00,9.00,8.00,8.00,7.00,6.25,9.00,9.00,6.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168197,5.00,7.00,4.00,6.00,7.00,7.75,6.00,7.00,3.00,318,304,NULL,'CENTRO','SEARA','SC',5304,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2168200,2.00,5.00,5.00,6.00,7.00,5.25,4.00,2.00,3.00,211,421,233,'PONTE DO IMARUIM','PALHOCA','SC',14779,522,115,349,NULL,NULL,NULL,2,1),(15,2168219,3.00,6.00,4.00,6.00,7.00,6.00,4.00,6.00,3.00,101,339,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',10868,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168227,6.00,8.00,6.00,8.00,8.00,7.25,7.00,7.00,6.00,103,101,NULL,'CENTRO','FLORIANOPOLIS','SC',1710,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168235,5.00,8.00,6.00,3.00,9.00,5.50,7.00,7.00,6.00,420,301,NULL,'ITACORUBI','FLORIANOPOLIS','SC',5119,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168243,2.00,7.00,2.00,5.00,4.00,6.00,2.00,4.00,2.00,303,208,NULL,'CENTRO','FLORIANOPOLIS','SC',17459,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168251,3.00,4.00,1.00,5.00,7.00,4.75,6.00,3.00,4.00,103,NULL,NULL,'BOM JESUS','CAMPO LARGO','PR',15758,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2168278,2.00,5.00,2.00,7.00,7.00,6.25,3.00,6.00,2.00,316,317,NULL,'JOSÉ NAZÁRIO','ARMAZEM','SC',13543,363,559,NULL,NULL,NULL,NULL,2,10),(15,2168286,3.00,3.00,3.00,7.00,5.00,5.25,4.00,4.00,0.00,451,324,NULL,'CAMPINAS','SAO JOSE','SC',18020,67,319,NULL,NULL,NULL,NULL,2,1),(15,2168294,3.00,8.00,3.00,5.00,7.00,6.25,7.00,7.00,5.00,216,217,233,'CARVOEIRA','FLORIANOPOLIS','SC',5989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168308,5.00,8.00,7.00,3.00,7.00,3.50,7.00,4.00,5.00,201,316,211,'ITACORUBI','FLORIANOPOLIS','SC',6969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168316,2.00,9.00,5.00,9.00,7.00,3.00,4.00,7.00,6.00,415,326,NULL,'VILA NOVA','IMBITUBA','SC',6396,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2168332,6.00,5.00,3.00,7.00,7.00,6.75,3.00,7.00,1.00,5,317,NULL,'PASSA VINTE','PALHOCA','SC',11305,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168340,4.00,7.00,5.00,5.00,7.00,6.75,8.00,6.00,4.00,104,420,NULL,'CENTRO','LAGES','SC',5827,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2168367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,202,203,'JARDIM COLINAS','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2168375,3.00,7.00,5.00,2.00,7.00,4.50,4.00,5.00,2.00,104,9,NULL,'PANTANAL','FLORIANOPOLIS','SC',13710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168383,4.00,8.00,4.00,7.00,7.00,6.75,4.00,6.00,5.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168391,5.00,8.00,5.00,9.00,5.00,5.25,7.00,6.00,7.00,203,216,202,'BOQUEIRÃO','PASSO FUNDO','RS',3556,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2168405,4.00,7.00,4.00,7.00,8.00,6.75,6.00,8.00,5.00,444,404,NULL,'JD CID FLORIANÓPOLIS','SAO JOSE','SC',4089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168413,3.00,7.00,2.00,6.00,4.00,5.50,2.00,6.00,3.00,339,308,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',15867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168421,3.00,6.00,1.00,3.00,5.00,6.00,2.00,3.00,3.00,316,108,NULL,'SÃO JOSÉ','SAO JOSE','SC',19123,568,910,NULL,NULL,NULL,NULL,2,1),(15,2168430,2.00,7.00,4.00,2.00,6.00,6.00,4.00,7.00,3.00,304,NULL,NULL,'BUCAREIN','JOINVILLE','SC',13106,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2168448,6.00,8.00,7.00,8.00,6.00,6.25,7.00,7.00,5.00,303,301,NULL,'CENTRO','FLORIANOPOLIS','SC',2610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168456,3.00,2.00,2.00,4.00,2.00,NULL,2.00,2.00,1.00,102,502,NULL,'NOVO HORIZONTE','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2168464,7.00,7.00,8.00,8.00,7.00,8.75,5.00,7.00,8.00,214,202,213,'PENHA','SAO PAULO','SP',1332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168472,2.00,3.00,2.00,0.00,0.00,NULL,3.00,4.00,1.00,207,301,NULL,'CATARINA FONTANA','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,4),(15,2168480,6.00,7.00,8.00,6.00,8.00,6.00,9.00,5.00,9.00,103,101,NULL,'CENTRO','MOGI GUACU','SP',1789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168499,5.00,9.00,8.00,7.00,8.00,5.50,7.00,6.00,7.00,5,326,NULL,'FLORESTA','JOINVILLE','SC',2366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168502,6.00,9.00,7.00,6.00,9.00,7.00,7.00,9.00,4.00,303,304,NULL,'JURERÊ','FLORIANOPOLIS','SC',1501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168510,3.00,6.00,2.00,0.00,5.00,5.25,2.00,2.00,1.00,404,444,NULL,'VILA EMA','SAO JOSE DOS CAMPOS','SP',21755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168529,8.00,7.00,6.00,8.00,6.00,7.00,5.00,7.00,5.00,303,450,NULL,'ILHA DA FIGUEIRA','JARAGUA DO SUL','SC',3462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168537,3.00,7.00,4.00,5.00,5.00,6.75,5.00,7.00,4.00,103,108,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',10446,2194,716,NULL,NULL,NULL,NULL,4,1),(15,2168545,4.00,8.00,4.00,4.00,7.00,5.00,5.00,7.00,3.00,5,303,NULL,'BARREIROS','SAO JOSE','SC',10998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168553,0.00,3.00,3.00,1.00,5.00,NULL,2.00,2.00,0.00,103,9,NULL,'CAMPO DE FORA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2168588,5.00,6.00,4.00,7.00,6.00,6.00,5.00,8.00,3.00,5,326,NULL,'ITACORUBI','FLORIANOPOLIS','SC',7446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168596,2.00,5.00,2.00,9.00,5.00,4.25,2.00,6.00,1.00,424,NULL,NULL,'SANTA CATARINA','ILHA SOLTEIRA','SP',18338,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2168600,3.00,8.00,1.00,9.00,8.00,7.00,6.00,7.00,2.00,415,450,NULL,'CENTRO','CURITIBA','PR',6965,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2168626,8.00,9.00,9.00,9.00,9.00,7.50,9.00,6.00,7.00,303,201,NULL,'CENTRO','FLORIANOPOLIS','SC',212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168634,1.00,6.00,0.00,1.00,4.00,6.75,2.00,5.00,3.00,216,404,215,'DAS NAÇÕES','TIMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2168642,2.00,6.00,1.00,4.00,5.00,4.50,2.00,2.00,1.00,502,9,NULL,'PANTANAL','FLORIANOPOLIS','SC',22094,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168650,5.00,7.00,8.00,3.00,6.00,3.50,8.00,6.00,3.00,220,223,214,'CENTRO','BELA VISTA DO PARAISO','PR',7471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168669,6.00,8.00,8.00,9.00,8.00,7.00,6.00,6.00,6.00,5,333,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',1259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168677,3.00,2.00,2.00,1.00,5.00,NULL,3.00,3.00,1.00,304,317,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168685,3.00,5.00,5.00,3.00,9.00,5.75,3.00,5.00,4.00,308,331,NULL,'CENTRO','POMERODE','SC',13131,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2168693,6.00,7.00,7.00,7.00,8.00,6.50,5.00,5.00,5.00,104,404,NULL,'SAMUEL SANDRINI','ORLEANS','SC',5265,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2168707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2168715,2.00,5.00,4.00,1.00,3.00,5.00,2.00,2.00,3.00,208,222,238,'PONTE IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168723,2.00,4.00,0.00,3.00,3.00,NULL,1.00,1.00,2.00,201,207,211,'CENTRO','DESCANSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2168740,4.00,1.00,5.00,6.00,6.00,3.75,4.00,4.00,3.00,309,339,NULL,'CENTRO','JOINVILLE','SC',17137,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2168758,6.00,8.00,7.00,9.00,8.00,8.00,9.00,6.00,5.00,103,217,NULL,'ESTREITO','FLORIANOPOLIS','SC',1292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168766,4.00,5.00,0.00,2.00,4.00,5.00,3.00,4.00,3.00,317,316,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',20465,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168774,2.00,7.00,3.00,5.00,5.00,5.25,2.00,5.00,2.00,213,NULL,NULL,'CENTRO','XAXIM','SC',16627,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2168782,2.00,5.00,0.00,3.00,2.00,NULL,2.00,5.00,5.00,108,102,NULL,'ATUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168790,7.00,9.00,7.00,8.00,8.00,5.75,9.00,7.00,5.00,225,224,NULL,'CENTRO','BRUSQUE','SC',1149,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2168804,4.00,8.00,5.00,3.00,9.00,7.00,7.00,7.00,6.00,211,234,215,'ESTREITO','FLORIANOPOLIS','SC',4226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2168812,2.00,5.00,5.00,6.00,6.00,5.75,3.00,4.00,2.00,104,101,NULL,'COLONINHA','ARARANGUA','SC',14561,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2168820,8.00,8.00,9.00,7.00,8.00,6.00,9.00,8.00,8.00,103,333,NULL,'VICTOR KONDER','BLUMENAU','SC',378,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2168839,4.00,7.00,1.00,5.00,7.00,7.00,4.00,5.00,4.00,102,216,NULL,'INTERIOR','CASCA','RS',11342,224,745,NULL,NULL,NULL,NULL,4,1),(15,2168847,4.00,6.00,1.00,1.00,4.00,7.00,8.00,7.00,3.00,103,303,NULL,'CENTRO','CARAZINHO','RS',13468,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2168855,2.00,6.00,3.00,5.00,9.00,6.00,6.00,3.00,4.00,104,320,NULL,'FLORESTA','VIDEIRA','SC',11572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168871,4.00,6.00,4.00,8.00,8.00,5.75,6.00,5.00,3.00,102,101,NULL,'CENTRO','TURVO','SC',7419,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2168880,3.00,3.00,2.00,3.00,2.00,NULL,2.00,2.00,1.00,207,316,220,'CENTRO','PORTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168898,5.00,5.00,7.00,6.00,7.00,5.75,6.00,5.00,4.00,5,309,NULL,'ÁGUA VERDE','CURITIBA','PR',6211,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168901,5.00,8.00,7.00,7.00,7.00,3.25,6.00,8.00,4.00,415,333,NULL,'SÃO JUDAS','ITAJAI','SC',4731,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2168910,3.00,4.00,4.00,7.00,7.00,5.00,7.00,3.00,3.00,207,223,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168928,1.00,2.00,2.00,5.00,4.00,NULL,2.00,4.00,2.00,215,217,207,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2168944,4.00,7.00,1.00,7.00,8.00,7.00,3.00,4.00,1.00,326,309,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',12665,66,128,NULL,NULL,NULL,NULL,2,1),(15,2168952,6.00,7.00,7.00,2.00,5.00,5.25,7.00,6.00,4.00,103,108,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',7991,1889,664,NULL,NULL,NULL,NULL,4,1),(15,2168960,3.00,5.00,5.00,2.00,4.00,5.00,4.00,3.00,4.00,309,324,NULL,'TRINDADE','FLORIANOPOLIS','SC',18263,41,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168979,4.00,6.00,3.00,7.00,9.00,4.50,6.00,6.00,5.00,316,301,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',7939,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2168987,5.00,6.00,7.00,8.00,8.00,6.25,7.00,8.00,3.00,103,303,NULL,'AMÉRICA','JOINVILLE','SC',3876,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2168995,7.00,7.00,6.00,6.00,8.00,6.75,6.00,7.00,7.00,5,319,NULL,'JARDIM GISELA','TOLEDO','PR',2140,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2169002,1.00,5.00,2.00,5.00,8.00,5.50,3.00,2.00,2.00,320,425,NULL,'CAMPINAS','SAO JOSE','SC',18995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169010,4.00,9.00,8.00,8.00,8.00,6.25,7.00,8.00,5.00,103,207,NULL,'GUANABARA','JOINVILLE','SC',1992,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2169029,4.00,6.00,6.00,4.00,7.00,7.25,7.00,5.00,5.00,319,108,NULL,'CENTRO','PASSO FUNDO','RS',6450,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2169045,2.00,3.00,1.00,1.00,3.00,NULL,3.00,3.00,3.00,103,101,NULL,'CENTRO','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2169053,2.00,7.00,6.00,9.00,7.00,6.25,3.00,4.00,2.00,103,207,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2169061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,415,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2169070,5.00,7.00,5.00,4.00,7.00,4.00,5.00,5.00,4.00,444,316,NULL,'CARIANOS','FLORIANOPOLIS','SC',11003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169088,4.00,6.00,2.00,4.00,5.00,5.00,4.00,8.00,2.00,216,208,207,'INTERIOR NOVO XINGU','CONSTANTINA','RS',14668,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2169096,1.00,6.00,1.00,0.00,4.00,4.50,2.00,3.00,3.00,319,308,NULL,'CENTRO','FLORIANOPOLIS','SC',22126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169118,4.00,3.00,1.00,7.00,5.00,0.00,5.00,4.00,3.00,2,223,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169126,4.00,7.00,3.00,7.00,4.00,4.75,3.00,6.00,4.00,103,303,NULL,'DANIELA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169134,2.00,2.00,0.00,3.00,2.00,NULL,1.00,3.00,2.00,222,208,NULL,'POPULAR','SAO JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2169142,7.00,8.00,7.00,7.00,9.00,6.25,7.00,7.00,6.00,216,217,215,'CENTRO','PALHOCA','SC',2178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2169150,4.00,7.00,6.00,5.00,5.00,6.00,4.00,4.00,3.00,303,415,NULL,'MADUREIRA','CAXIAS DO SUL','RS',11022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169169,3.00,7.00,1.00,1.00,7.00,6.25,5.00,6.00,3.00,104,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',15106,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2169177,5.00,8.00,6.00,7.00,8.00,5.50,7.00,6.00,6.00,450,320,NULL,'VILA ESTEVES','LIMEIRA','SP',3088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169185,2.00,4.00,4.00,3.00,5.00,3.00,4.00,3.00,2.00,208,225,238,'ESTREITO','FLORIANOPOLIS','SC',20885,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2169207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,104,NULL,'PINHEIROS','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2169215,5.00,8.00,9.00,7.00,9.00,6.75,7.00,6.00,4.00,214,224,212,'ESTREITO','FLORIANOPOLIS','SC',1673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2169223,7.00,8.00,9.00,6.00,8.00,6.00,9.00,8.00,8.00,103,104,NULL,'AGUAS CLARAS','TAGUATINGA','DF',490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169231,3.00,8.00,4.00,4.00,8.00,6.75,4.00,6.00,5.00,211,501,215,'CENTRO','RIO FORTUNA','SC',9633,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2169240,5.00,4.00,4.00,3.00,6.00,5.25,4.00,2.00,3.00,415,319,NULL,'BARREIROS','SAO JOSE','SC',17225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169258,7.00,8.00,9.00,9.00,9.00,6.75,8.00,7.00,6.00,103,318,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169266,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,420,333,NULL,'FAZENDA STO ANTÔNIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2169282,3.00,8.00,6.00,2.00,8.00,6.25,6.00,6.00,3.00,9,319,NULL,'CENTRO','FLORIANOPOLIS','SC',8083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169290,5.00,5.00,3.00,5.00,7.00,6.00,6.00,5.00,5.00,104,102,NULL,'CENTRO','FLORIANOPOLIS','SC',9441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169304,7.00,7.00,6.00,5.00,8.00,7.50,8.00,6.00,8.00,415,103,NULL,'CENTRO','SAO CARLOS','SP',2583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169312,3.00,5.00,4.00,5.00,7.00,5.00,3.00,5.00,4.00,233,223,215,'CENTRO','SAO BONIFACIO','SC',13787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2169320,3.00,5.00,1.00,5.00,4.00,6.00,4.00,3.00,2.00,339,320,NULL,'FORQUILHINHAS','SAO JOSE','SC',19578,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2169339,1.00,2.00,0.00,1.00,3.00,NULL,2.00,4.00,1.00,333,444,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169347,4.00,9.00,6.00,6.00,9.00,5.00,8.00,7.00,5.00,303,310,NULL,'PITUBA','SALVADOR','BA',3522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2169355,4.00,7.00,6.00,8.00,7.00,4.25,5.00,7.00,5.00,203,216,214,'CENTRO','FLORIANOPOLIS','SC',5605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169363,5.00,8.00,5.00,8.00,7.00,4.25,9.00,4.00,3.00,103,319,NULL,'ASA SUL','BRASILIA','DF',5662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,451,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2169380,5.00,6.00,6.00,5.00,4.00,3.75,5.00,5.00,3.00,214,316,203,'CENTRO','CHAPECO','SC',13088,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2169398,4.00,7.00,5.00,0.00,4.00,2.00,6.00,6.00,4.00,301,316,NULL,'DUQUE DE CAXIAS','CUIABA','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169401,5.00,7.00,2.00,9.00,8.00,7.00,6.00,6.00,2.00,420,415,NULL,'COQUEIROS','FLORIANOPOLIS','SC',6840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169410,3.00,8.00,6.00,3.00,5.00,5.75,8.00,8.00,5.00,201,238,211,'INGLESES','FLORIANOPOLIS','SC',6673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169428,5.00,7.00,7.00,7.00,8.00,3.75,6.00,8.00,7.00,303,304,NULL,'COQUEIROS','FLORIANOPOLIS','SC',3057,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2169436,3.00,6.00,6.00,7.00,9.00,6.75,7.00,4.00,3.00,104,102,NULL,'CENTRO','JOACABA','SC',5307,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2169444,7.00,9.00,7.00,9.00,8.00,7.50,7.00,9.00,6.00,304,318,NULL,'ESTUÁRIO','SANTOS','SP',721,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2169452,6.00,7.00,4.00,5.00,7.00,7.50,6.00,8.00,5.00,103,101,NULL,'JARDIM BANDEIRANTES','SOROCABA','SP',4797,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2169460,3.00,4.00,1.00,4.00,1.00,NULL,4.00,3.00,3.00,202,224,238,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2169487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,310,NULL,'JD SUIÇA','ATIBAIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2169495,4.00,7.00,4.00,4.00,7.00,6.75,4.00,5.00,2.00,207,420,211,'ABRAÃO','FLORIANOPOLIS','SC',12318,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2169509,5.00,5.00,6.00,6.00,8.00,6.00,6.00,5.00,4.00,201,2,212,'BELA VISTA','SAO JOSE','SC',6339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2169525,2.00,6.00,3.00,6.00,6.00,5.25,6.00,1.00,2.00,301,316,NULL,'ITACORUBI','FLORIANOPOLIS','SC',16337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169533,3.00,5.00,3.00,7.00,5.00,4.75,4.00,4.00,2.00,316,317,NULL,'PIRABEIRABA','JOINVILLE','SC',17077,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2169541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,215,NULL,'ENTRE RIOS','SOCORRO','PR',NULL,NULL,NULL,NULL,'S','S','S',1,3),(15,2169576,2.00,8.00,5.00,3.00,5.00,4.25,5.00,7.00,3.00,211,308,207,'COSTEIRA','FLORIANOPOLIS','SC',12160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169584,3.00,8.00,7.00,6.00,8.00,4.75,6.00,8.00,4.00,103,304,NULL,'PONTA DE BAIXO','SAO JOSE','SC',4850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169592,4.00,8.00,5.00,4.00,8.00,5.50,5.00,6.00,2.00,103,450,NULL,'CENTRO','LAGES','SC',8795,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2169606,0.00,4.00,2.00,2.00,4.00,6.25,4.00,3.00,1.00,426,404,428,'LIBERDADE','CONCORDIA','SC',20714,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2169622,3.00,6.00,3.00,8.00,7.00,8.50,4.00,6.00,3.00,316,9,NULL,'SUPER QUADRA','SAO PAULO','SP',8236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169630,2.00,5.00,2.00,4.00,4.00,4.25,2.00,2.00,3.00,304,301,NULL,'CHÁCARA PRIMAVERA','CAMPINAS','SP',21566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169649,1.00,5.00,3.00,2.00,6.00,5.75,3.00,3.00,4.00,302,308,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',19248,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2169657,5.00,8.00,6.00,5.00,6.00,6.25,7.00,7.00,6.00,103,224,NULL,'COQUEIROS','FLORIANOPOLIS','SC',4334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169665,3.00,5.00,3.00,7.00,7.00,3.75,3.00,6.00,3.00,207,104,201,'ITACORUBI','FLORIANOPOLIS','SC',13683,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2169673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2169690,5.00,6.00,8.00,5.00,8.00,6.25,6.00,2.00,4.00,318,317,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',6134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169703,3.00,8.00,3.00,5.00,5.00,4.75,3.00,4.00,4.00,501,502,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',14434,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2169711,2.00,4.00,2.00,2.00,2.00,NULL,1.00,5.00,2.00,213,316,214,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,404,NULL,'CENTRO','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2169754,3.00,1.00,0.00,0.00,3.00,NULL,3.00,4.00,1.00,108,217,NULL,'JD CAXAMBU','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2169762,0.00,2.00,2.00,4.00,4.00,NULL,2.00,3.00,1.00,301,444,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2169770,2.00,2.00,1.00,6.00,4.00,NULL,4.00,5.00,0.00,238,420,208,'DIVINO','PALMAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2169789,2.00,6.00,1.00,5.00,7.00,4.00,4.00,5.00,1.00,214,424,220,'CRUZEIRO DO SUL','JOACABA','SC',18016,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2169797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,444,NULL,'HIGIENÓPOLIS','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2169800,8.00,8.00,9.00,8.00,7.00,7.50,8.00,7.00,9.00,103,NULL,NULL,'NOVA LIMA','CAMPO GRANDE','MS',240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169819,7.00,8.00,9.00,9.00,8.00,7.50,9.00,6.00,6.00,318,5,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169827,2.00,8.00,4.00,4.00,8.00,7.00,5.00,3.00,2.00,216,211,215,'RIO MAINA','CRICIUMA','SC',11276,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2169843,3.00,6.00,3.00,6.00,4.00,4.75,5.00,3.00,3.00,501,NULL,NULL,'CENTRO','SAO JOAQUIM','SC',16231,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2169851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,103,NULL,'MORADA DO OURO','CUIABA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2169860,2.00,5.00,0.00,3.00,6.00,0.00,6.00,3.00,2.00,102,324,NULL,'ARMAÇÃO DO PANTANO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2169878,4.00,8.00,5.00,8.00,8.00,5.00,5.00,4.00,4.00,101,103,NULL,'CENTRO','CONCORDIA','SC',7616,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2169894,6.00,6.00,6.00,7.00,7.00,6.25,6.00,4.00,6.00,220,238,202,'CENTRO','FLORIANOPOLIS','SC',5222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169908,2.00,5.00,5.00,5.00,5.00,4.75,5.00,5.00,3.00,108,319,NULL,'INGLESES','FLORIANOPOLIS','SC',14726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2169916,2.00,9.00,1.00,3.00,6.00,5.75,4.00,5.00,5.00,103,301,NULL,'BOM JESUS','CURITIBANOS','SC',14050,2537,669,NULL,NULL,NULL,NULL,2,1),(15,2169924,4.00,8.00,7.00,7.00,9.00,5.25,5.00,6.00,3.00,301,444,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',4787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2169932,2.00,4.00,5.00,1.00,7.00,6.00,4.00,4.00,2.00,103,102,NULL,'CENTRO','BOM JARDIM DA SERRA','SC',16321,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2169959,5.00,7.00,6.00,2.00,7.00,4.50,8.00,5.00,2.00,316,429,NULL,'COQUEIROS','FLORIANOPOLIS','SC',10876,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2169975,5.00,7.00,6.00,4.00,7.00,3.75,7.00,6.00,3.00,234,331,NULL,'FLORESTA','SAO JOSE','SC',8420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2169991,5.00,9.00,7.00,7.00,8.00,6.50,5.00,6.00,4.00,5,332,NULL,'FORQUILHAS','SAO JOSE','SC',3553,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2170000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,203,NULL,'JARDIM TAROBÁ','CAMBE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2170019,5.00,7.00,5.00,8.00,6.00,5.50,6.00,6.00,5.00,316,203,NULL,'ESTREITO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,444,NULL,'CANCELLI','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2170035,0.00,6.00,4.00,7.00,6.00,5.25,3.00,2.00,3.00,404,333,NULL,'CENTRO','PALHOCA','SC',15991,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2170043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,201,NULL,'BAIXADA INDUSTRIAL','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2170051,3.00,6.00,0.00,2.00,6.00,NULL,3.00,4.00,3.00,318,324,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170060,3.00,4.00,4.00,6.00,8.00,6.75,5.00,6.00,2.00,423,451,429,'TRINDADE','FLORIANOPOLIS','SC',10968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2170078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,332,NULL,'ABRAÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2170094,7.00,8.00,7.00,7.00,8.00,4.50,8.00,6.00,7.00,103,NULL,NULL,'ASA SUL','BRASILIA','DF',2443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2170108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'BENTO FERRERA','VITORIA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2170116,8.00,9.00,9.00,7.00,9.00,5.00,9.00,5.00,9.00,103,214,NULL,'TRINDADE','FLORIANOPOLIS','SC',381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170124,7.00,7.00,6.00,9.00,8.00,8.00,5.00,4.00,5.00,502,420,NULL,'ESTREITO','FLORIANOPOLIS','SC',3312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170132,5.00,8.00,2.00,5.00,6.00,6.50,5.00,4.00,5.00,420,301,NULL,'CACUPÉ','FLORIANOPOLIS','SC',10352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170140,8.00,8.00,8.00,6.00,7.00,6.75,8.00,6.00,5.00,103,501,NULL,'SALTO','BLUMENAU','SC',1397,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2170159,6.00,9.00,5.00,6.00,7.00,6.00,7.00,7.00,6.00,216,319,211,'VIEIRA','JARAGUA DO SUL','SC',2697,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2170167,5.00,8.00,7.00,8.00,6.00,5.50,8.00,6.00,6.00,203,2,201,'ASA SUL','BRASILIA','DF',3531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170175,3.00,5.00,2.00,5.00,6.00,6.00,3.00,5.00,2.00,5,339,NULL,'FORQUILHAS','SAO JOSE','SC',15429,658,286,NULL,NULL,NULL,NULL,2,1),(15,2170183,2.00,7.00,4.00,6.00,6.00,5.00,2.00,8.00,3.00,103,108,NULL,'SHANGRILAB','LONDRINA','PR',13518,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2170191,2.00,3.00,3.00,2.00,4.00,5.75,3.00,4.00,2.00,216,108,202,'CENTRO','ERECHIM','RS',21092,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2170205,4.00,8.00,7.00,9.00,7.00,6.75,9.00,9.00,7.00,103,217,NULL,'CENTRO','PALHOCA','SC',1076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170221,6.00,8.00,9.00,7.00,8.00,5.75,7.00,5.00,7.00,303,309,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',1627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170230,8.00,7.00,9.00,9.00,9.00,7.75,9.00,7.00,9.00,220,223,214,'CACUPÉ','FLORIANOPOLIS','SC',108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170256,4.00,6.00,6.00,7.00,6.00,4.00,8.00,7.00,4.00,214,333,203,'SANTA CATARINA','ERECHIM','RS',6261,NULL,NULL,NULL,NULL,NULL,NULL,3,4),(15,2170264,4.00,6.00,1.00,2.00,5.00,4.75,4.00,3.00,0.00,316,NULL,NULL,'CAMINHO NOVO','PALHOCA','SC',21942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170272,7.00,8.00,8.00,8.00,8.00,6.25,8.00,6.00,6.00,5,327,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',1277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170280,2.00,7.00,6.00,5.00,6.00,6.75,7.00,6.00,2.00,501,320,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',9119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170299,1.00,4.00,1.00,3.00,6.00,NULL,2.00,2.00,1.00,424,427,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170302,4.00,9.00,5.00,5.00,7.00,6.25,6.00,7.00,3.00,202,213,220,'CENTRO','CRICIUMA','SC',6478,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2170329,2.00,4.00,5.00,1.00,7.00,5.00,1.00,6.00,3.00,213,5,208,'HUMAITA','TUBARAO','SC',18776,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2170337,2.00,5.00,2.00,8.00,7.00,6.00,5.00,4.00,3.00,202,208,238,'PARTENON','PORTO ALEGRE','RS',11885,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2170353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,415,NULL,'SÃO CAETANO','ARROIO DO MEIO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2170370,2.00,6.00,3.00,4.00,6.00,5.75,5.00,5.00,4.00,304,318,NULL,'PADRE BENTO','ITU','SP',12765,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2170388,6.00,7.00,3.00,6.00,7.00,6.50,6.00,8.00,4.00,415,332,NULL,'SÃO LUIZ','CURITIBANOS','SC',5191,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2170396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,212,NULL,'SAO LOURENCO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2170400,3.00,6.00,4.00,6.00,6.00,4.50,5.00,5.00,2.00,238,9,208,'CENTRO','LUZERNA','SC',13674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2170434,8.00,7.00,8.00,9.00,8.00,8.00,7.00,8.00,5.00,103,201,NULL,'CENTRO','CACHOEIRA DO SUL','RS',690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170442,4.00,7.00,4.00,6.00,8.00,6.50,7.00,7.00,4.00,215,217,216,'ITOUPAVA CENTRAL','BLUMENAU','SC',6281,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2170450,6.00,7.00,8.00,7.00,7.00,7.00,9.00,7.00,7.00,103,332,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',1320,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2170469,5.00,9.00,6.00,6.00,9.00,6.00,6.00,6.00,2.00,102,502,NULL,'PROGRESSO','BLUMENAU','SC',5418,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2170485,3.00,5.00,1.00,2.00,3.00,NULL,3.00,2.00,1.00,302,316,NULL,'CENTRO','CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2170493,4.00,5.00,3.00,3.00,4.00,4.00,3.00,4.00,1.00,103,208,NULL,'CENTRO','FLORES DA CUNHA','RS',19549,2957,1105,NULL,NULL,NULL,NULL,2,1),(15,2170507,1.00,7.00,2.00,6.00,6.00,5.50,2.00,6.00,1.00,424,421,427,'ESTREITO','FLORIANOPOLIS','SC',15565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170515,4.00,9.00,7.00,7.00,8.00,6.00,8.00,6.00,4.00,102,217,NULL,'CARIANOS','FLORIANOPOLIS','SC',3740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2170523,2.00,6.00,1.00,3.00,5.00,5.00,2.00,3.00,4.00,425,420,429,'NOSSA SRA DO ROSÁRIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170531,3.00,5.00,5.00,4.00,6.00,5.25,3.00,4.00,3.00,339,308,NULL,'COSTEIRA','FLORIANOPOLIS','SC',15992,42,NULL,NULL,NULL,NULL,NULL,2,1),(15,2170540,7.00,8.00,6.00,5.00,8.00,5.25,9.00,7.00,6.00,211,333,201,'GARCIA','BLUMENAU','SC',2708,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2170558,0.00,4.00,2.00,0.00,2.00,NULL,2.00,2.00,2.00,208,420,238,'AGRÔNOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170566,4.00,8.00,6.00,6.00,7.00,5.75,5.00,6.00,4.00,238,NULL,NULL,'CAMPECHE','FLORIANOPOLIS','SC',7082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170590,4.00,7.00,4.00,4.00,7.00,4.25,4.00,6.00,3.00,301,316,NULL,'GLÓRIA','JOINVILLE','SC',12106,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2170604,0.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,238,329,208,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2170612,3.00,5.00,1.00,6.00,7.00,3.50,4.00,5.00,3.00,404,308,NULL,'SERTÃO DO IMARUÍ','SAO JOSE','SC',16234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2170639,7.00,8.00,4.00,6.00,8.00,4.50,5.00,6.00,5.00,103,328,NULL,'TRINDADE','FLORIANOPOLIS','SC',5448,1529,57,NULL,NULL,NULL,NULL,4,1),(15,2170655,2.00,5.00,4.00,6.00,6.00,5.00,3.00,4.00,3.00,201,9,215,'CENTRO','FAXINAL DOS GUEDES','SC',15568,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2170663,3.00,5.00,3.00,2.00,4.00,3.75,3.00,3.00,2.00,108,326,NULL,'JARDIM AMERICA','GOIANIA','GO',21593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,222,NULL,'INDUSTRIAL','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2170680,0.00,4.00,2.00,4.00,5.00,7.50,3.00,3.00,3.00,316,318,NULL,'KOBRASOL','SAO JOSE','SC',20322,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2170698,7.00,8.00,6.00,8.00,6.00,7.00,6.00,5.00,7.00,103,104,NULL,'CENTRO','CORNELIO PROCOPIO','PR',2498,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2170701,5.00,9.00,5.00,7.00,8.00,7.00,8.00,7.00,4.00,202,2,201,'ESTREITO','FLORIANOPOLIS','SC',2582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170710,5.00,7.00,4.00,6.00,8.00,5.75,5.00,5.00,6.00,103,101,NULL,'UBERABA','CURITIBA','PR',6537,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2170728,3.00,6.00,7.00,6.00,6.00,6.00,6.00,3.00,6.00,214,203,212,'PACAEMBU','JUNDIAI','SP',9073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170744,2.00,6.00,4.00,4.00,4.00,4.50,4.00,6.00,3.00,238,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',14142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170752,4.00,5.00,4.00,1.00,4.00,4.50,4.00,7.00,4.00,103,301,NULL,'CENTRO','IJUI','RS',16602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170760,2.00,5.00,5.00,7.00,7.00,6.75,5.00,7.00,1.00,102,202,NULL,'DAS DAMAS','URUSSANGA','SC',10356,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2170779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,333,NULL,'CENTRO','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2170787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,224,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2170795,2.00,4.00,3.00,8.00,8.00,4.00,3.00,6.00,3.00,324,424,NULL,'PRADO','BIGUACU','SC',14203,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2170809,3.00,7.00,2.00,4.00,6.00,5.00,2.00,2.00,4.00,203,216,NULL,'LIMEIRA BAIXA','BRUSQUE','SC',18013,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2170817,8.00,9.00,7.00,8.00,9.00,8.25,7.00,8.00,7.00,103,104,NULL,'CENTRO','MARAVILHA','SC',188,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2170833,5.00,7.00,9.00,6.00,8.00,5.25,9.00,7.00,8.00,203,214,202,'SETOR SUL','GOIANESIA','GO',1739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170841,3.00,2.00,2.00,2.00,4.00,NULL,0.00,0.00,4.00,101,339,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2170868,7.00,8.00,6.00,9.00,9.00,6.75,5.00,6.00,7.00,102,9,NULL,'RODEIO DOZE','RODEIO','SC',1437,NULL,NULL,NULL,NULL,NULL,NULL,5,2),(15,2170884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,203,202,'GUATÁ','LAURO MULLER','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2170892,5.00,8.00,3.00,3.00,8.00,6.25,6.00,6.00,4.00,103,NULL,NULL,'ESTREITO','FLORIANOPOLIS','SC',8773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170914,3.00,7.00,3.00,5.00,7.00,4.75,6.00,7.00,3.00,103,NULL,NULL,'VILA REAL','BALNEARIO CAMBORIU','SC',9709,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2170922,2.00,5.00,2.00,4.00,4.00,3.50,4.00,1.00,3.00,5,207,NULL,'CARIANOS','FLORIANOPOLIS','SC',21322,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2170930,7.00,8.00,8.00,7.00,7.00,4.50,8.00,7.00,8.00,220,202,203,'CENTRO','SAO JOSE DOS CAMPOS','SP',1862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170949,6.00,7.00,7.00,6.00,6.00,5.75,7.00,6.00,6.00,103,104,NULL,'ÁGUA VERDE','CURITIBA','PR',3685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170957,1.00,7.00,9.00,9.00,8.00,5.25,8.00,5.00,6.00,208,2,238,'VILA PETROPOLIS','ATIBAIA','SP',3800,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2170965,4.00,7.00,5.00,7.00,6.00,5.50,5.00,7.00,3.00,201,301,203,'BARRA SUL','BALNEARIO CAMBORIU','SC',8238,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2170973,3.00,6.00,0.00,5.00,5.00,5.75,4.00,4.00,4.00,211,103,NULL,'PONTA DA PRAIA','SANTOS','SP',15790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2170981,3.00,3.00,2.00,6.00,5.00,4.50,2.00,2.00,2.00,5,309,NULL,'CAMPECHE','FLORIANOPOLIS','SC',21038,866,236,NULL,NULL,NULL,NULL,2,1),(15,2170990,4.00,5.00,4.00,5.00,6.00,6.00,3.00,3.00,3.00,203,207,201,'VILA PROHMANN','SAO MATEUS DO SUL','PR',15480,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2171007,5.00,6.00,3.00,6.00,6.00,6.50,5.00,6.00,3.00,103,NULL,NULL,'PINHEIROS','SAO PAULO','SP',8597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171015,6.00,8.00,7.00,6.00,7.00,4.50,6.00,7.00,4.00,213,223,208,'RIO TAVARES','FLORIANOPOLIS','SC',3214,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171023,8.00,5.00,7.00,6.00,7.00,7.00,7.00,5.00,4.00,215,234,233,'MONTE VERDE','MORRO DA FUMACA','SC',4060,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2171031,3.00,4.00,3.00,2.00,6.00,5.50,5.00,6.00,3.00,234,211,NULL,'PONTA DE BAIXO','SAO JOSE','SC',15208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171040,3.00,2.00,3.00,4.00,1.00,NULL,2.00,2.00,1.00,333,404,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171058,3.00,8.00,3.00,4.00,8.00,4.50,4.00,6.00,3.00,207,309,201,'AGRONÔMICA','FLORIANOPOLIS','SC',11836,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171066,2.00,3.00,2.00,0.00,4.00,NULL,3.00,1.00,3.00,404,444,NULL,'CENTRO','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171074,7.00,9.00,8.00,9.00,8.00,7.50,9.00,9.00,9.00,5,318,NULL,'PANTANAL','FLORIANOPOLIS','SC',50,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171082,5.00,4.00,5.00,5.00,7.00,5.75,6.00,7.00,3.00,233,NULL,214,'STEFFEN','BRUSQUE','SC',8485,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2171090,5.00,8.00,4.00,8.00,7.00,4.75,7.00,6.00,5.00,103,104,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',4926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171104,3.00,5.00,6.00,4.00,7.00,5.75,7.00,5.00,4.00,303,203,NULL,'IRIRIÚ','JOINVILLE','SC',9819,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2171120,2.00,4.00,0.00,0.00,6.00,NULL,4.00,4.00,2.00,404,426,NULL,'PRAINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,238,208,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2171147,1.00,7.00,2.00,3.00,5.00,5.00,3.00,4.00,3.00,420,333,NULL,'PIONEIRO','PINHALZINHO','SC',19700,399,982,NULL,NULL,NULL,NULL,4,4),(15,2171155,4.00,4.00,5.00,7.00,5.00,6.00,4.00,5.00,2.00,207,424,215,'CENTRO','URUSSANGA','SC',13297,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(15,2171171,1.00,4.00,4.00,3.00,6.00,4.75,1.00,2.00,3.00,420,207,NULL,'CENTRO','ERECHIM','RS',21649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171180,1.00,5.00,1.00,0.00,5.00,NULL,2.00,3.00,3.00,5,318,NULL,'ZONA RURAL','PINHEIRO PRETO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2171201,2.00,4.00,4.00,5.00,6.00,4.75,6.00,5.00,2.00,108,301,NULL,'PASSA VINTE','PALHOCA','SC',15591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171228,4.00,7.00,5.00,6.00,8.00,6.00,4.00,7.00,2.00,103,421,NULL,'LA SALLE','PATO BRANCO','PR',6319,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2171244,0.00,4.00,0.00,3.00,4.00,NULL,2.00,5.00,2.00,223,103,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2171252,4.00,6.00,5.00,5.00,7.00,4.00,5.00,5.00,3.00,9,301,NULL,'PANTANAL','FLORIANOPOLIS','SC',11597,134,618,NULL,NULL,NULL,NULL,2,1),(15,2171279,3.00,8.00,3.00,3.00,7.00,5.25,5.00,6.00,2.00,331,329,NULL,'COSTEIRA','FLORIANOPOLIS','SC',12616,44,160,NULL,NULL,NULL,NULL,4,1),(15,2171287,4.00,8.00,4.00,6.00,7.00,6.75,5.00,7.00,2.00,501,318,NULL,'AÇORES','FLORIANOPOLIS','SC',7838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171309,4.00,4.00,3.00,6.00,6.00,6.00,5.00,4.00,3.00,203,202,233,'RIO FIORITA','SIDEROPOLIS','SC',12750,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2171317,6.00,6.00,8.00,8.00,8.00,5.25,9.00,5.00,9.00,220,NULL,NULL,'CENTRO','SAO JOSE DO RIO PRETO','SP',1677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171325,2.00,6.00,4.00,9.00,6.00,7.00,7.00,8.00,5.00,220,420,202,'CENTRO','FLORIANOPOLIS','SC',6284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171333,7.00,8.00,5.00,5.00,9.00,5.75,8.00,6.00,5.00,103,104,NULL,'CENTRO','CANOAS','RS',3407,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2171341,2.00,5.00,3.00,4.00,4.00,6.00,4.00,3.00,2.00,404,224,NULL,'CENTRO','FLORIANOPOLIS','SC',18227,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171350,7.00,8.00,9.00,8.00,8.00,6.50,9.00,6.00,6.00,203,202,216,'CENTRO','POMERODE','SC',556,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2171368,1.00,5.00,2.00,0.00,5.00,NULL,1.00,3.00,2.00,425,415,428,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171376,2.00,2.00,2.00,5.00,5.00,2.50,4.00,2.00,3.00,201,207,202,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171384,0.00,7.00,0.00,7.00,6.00,5.25,6.00,2.00,2.00,339,424,NULL,'N SRA DO ROSÁRIO','SAO JOSE','SC',18329,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,501,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2171406,4.00,7.00,4.00,7.00,7.00,5.50,4.00,5.00,4.00,108,333,NULL,'FORTALEZA','BLUMENAU','SC',9360,181,629,NULL,NULL,NULL,NULL,4,2),(15,2171414,2.00,9.00,1.00,5.00,7.00,5.50,4.00,4.00,3.00,333,421,NULL,'RIO VESMELHO','FLORIANOPOLIS','SC',15068,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171422,7.00,8.00,6.00,7.00,8.00,6.25,7.00,6.00,6.00,104,308,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',2523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171430,3.00,9.00,1.00,1.00,6.00,7.50,5.00,7.00,2.00,429,324,NULL,'CARIANOS','FLORIANOPOLIS','SC',13440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171449,2.00,6.00,1.00,0.00,3.00,NULL,1.00,2.00,2.00,501,502,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171457,4.00,6.00,6.00,8.00,8.00,6.75,8.00,6.00,3.00,202,201,220,'CELESTE','CAMPO BOM','RS',3960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171465,2.00,7.00,5.00,8.00,7.00,6.50,4.00,4.00,4.00,303,NULL,NULL,'MARIA GORETTI','CHAPECO','SC',8602,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2171473,4.00,6.00,1.00,1.00,6.00,5.25,4.00,6.00,3.00,332,211,NULL,'SÃO MARCOS','JOINVILLE','SC',17441,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2171481,6.00,7.00,8.00,7.00,8.00,5.75,8.00,8.00,7.00,220,NULL,NULL,'CARANDA BOSQUE','CAMPO GRANDE','MS',1486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,203,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2171538,3.00,7.00,3.00,5.00,7.00,7.00,5.00,6.00,2.00,332,331,NULL,'ESTREITO','FLORIANOPOLIS','SC',10823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171546,5.00,8.00,4.00,8.00,8.00,6.00,7.00,7.00,3.00,214,327,203,'ESTREITO','FLORIANOPOLIS','SC',4278,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171554,1.00,7.00,2.00,6.00,5.00,6.50,6.00,7.00,2.00,102,108,NULL,'FAZENDA STO ANTÔNIO','SAO JOSE','SC',11371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171562,4.00,8.00,6.00,9.00,7.00,6.25,7.00,7.00,4.00,201,224,212,'CENTRO','PALHOCA','SC',3337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171570,4.00,5.00,2.00,8.00,6.00,3.50,5.00,6.00,3.00,339,9,NULL,'TRINDADE','FLORIANOPOLIS','SC',13848,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171589,1.00,4.00,2.00,4.00,2.00,NULL,3.00,1.00,2.00,202,316,213,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171600,2.00,7.00,3.00,6.00,6.00,5.50,5.00,9.00,3.00,327,426,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',8883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171619,4.00,4.00,6.00,6.00,6.00,6.75,6.00,2.00,2.00,238,225,215,'INGLESES','FLORIANOPOLIS','SC',13054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171635,6.00,7.00,6.00,8.00,6.00,6.50,8.00,7.00,7.00,319,NULL,NULL,'VILA ADYANNA','SAO JOSE DOS CAMPOS','SP',2326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171643,5.00,7.00,7.00,6.00,8.00,3.25,7.00,7.00,5.00,203,216,202,'CENTRO NORTE','SANTO ANGELO','RS',4758,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171651,0.00,3.00,1.00,5.00,5.00,NULL,4.00,2.00,0.00,316,317,NULL,'JARDIM CARANDAÍ','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171660,4.00,8.00,2.00,7.00,9.00,6.75,4.00,3.00,6.00,103,108,NULL,'NSA SRA DE LOURDES','CAXIAS DO SUL','RS',8208,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171678,2.00,6.00,4.00,1.00,5.00,7.25,2.00,6.00,3.00,108,501,NULL,'FLORESTA','JOINVILLE','SC',16081,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2171686,0.00,1.00,2.00,3.00,3.00,4.50,2.00,5.00,4.00,308,319,NULL,'PRAIA DE FORA','PALHOCA','SC',22460,231,995,NULL,NULL,NULL,NULL,2,1),(15,2171694,5.00,7.00,5.00,5.00,6.00,4.50,7.00,5.00,3.00,316,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',7710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171708,3.00,7.00,3.00,6.00,7.00,4.50,3.00,6.00,3.00,320,310,NULL,'CENTRO CIDADE BAIXA','PORTO ALEGRE','RS',13817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171716,1.00,4.00,3.00,3.00,5.00,4.50,4.00,2.00,4.00,208,238,NULL,'BELA VISTA','RIO NEGRINHO','SC',19814,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2171724,2.00,7.00,3.00,4.00,2.00,NULL,5.00,5.00,2.00,203,501,214,'VILA PAZ','SAO LUIZ GONZAGA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171732,4.00,7.00,2.00,3.00,3.00,5.25,4.00,4.00,3.00,420,238,NULL,'ROÇADO','SAO JOSE','SC',16519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171740,5.00,5.00,3.00,3.00,5.00,5.50,3.00,5.00,2.00,404,308,NULL,'CENTRO','FLORIANOPOLIS','SC',16240,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171759,5.00,7.00,4.00,4.00,8.00,4.25,4.00,3.00,2.00,333,332,NULL,'PONTE DO IMARUIM','PALHOCA','SC',14493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,333,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2171783,5.00,8.00,5.00,6.00,6.00,6.00,7.00,6.00,3.00,207,NULL,201,'TRINDADE','FLORIANOPOLIS','SC',5684,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2171791,3.00,5.00,3.00,2.00,8.00,5.50,3.00,6.00,4.00,501,309,NULL,'PARQUE RES LISBOA','SAO JOSE','SC',14884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171821,2.00,7.00,2.00,6.00,4.00,5.50,4.00,7.00,1.00,212,316,214,'ESTREITO','FLORIANOPOLIS','SC',15894,323,1081,484,NULL,NULL,NULL,2,1),(15,2171830,7.00,6.00,6.00,7.00,6.00,6.50,9.00,6.00,4.00,103,104,NULL,'CENTRO','CAMPO GRANDE','MS',3670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171848,2.00,4.00,1.00,5.00,5.00,4.75,3.00,3.00,3.00,301,304,NULL,'JURERE','FLORIANOPOLIS','SC',20320,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171856,2.00,6.00,1.00,4.00,7.00,4.75,2.00,7.00,4.00,5,415,NULL,'JD ELCALIPTO','PALHOCA','SC',16617,706,756,NULL,NULL,NULL,NULL,2,1),(15,2171864,2.00,4.00,0.00,0.00,4.00,NULL,1.00,5.00,0.00,5,327,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171872,2.00,5.00,4.00,3.00,6.00,NULL,0.00,0.00,0.00,420,207,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2171880,0.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','CHAPADAO DO LAGEADO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2171899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,101,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',1,2),(15,2171910,3.00,4.00,0.00,2.00,7.00,NULL,3.00,1.00,1.00,9,216,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2171929,6.00,8.00,8.00,6.00,7.00,6.25,9.00,8.00,9.00,103,NULL,NULL,'TAGUATINGA NORTE','TAGUATINGA','DF',726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171945,6.00,6.00,6.00,6.00,9.00,6.50,8.00,7.00,5.00,303,429,NULL,'SERTÃO','SANTO AMARO DA IMPERATRIZ','SC',3707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171953,6.00,8.00,5.00,8.00,8.00,6.75,6.00,6.00,7.00,103,102,NULL,'KOBRASOL','SAO JOSE','SC',2027,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2171970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,502,NULL,'CENTRO','ITAIOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2171996,7.00,5.00,9.00,5.00,8.00,6.50,6.00,6.00,6.00,103,421,NULL,'CENTRO','FLORIANOPOLIS','SC',3197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172003,2.00,6.00,4.00,5.00,6.00,5.50,4.00,4.00,1.00,319,317,NULL,'PANTANAL','FLORIANOPOLIS','SC',16391,332,591,NULL,NULL,NULL,NULL,2,1),(15,2172011,0.00,3.00,0.00,5.00,5.00,5.25,2.00,4.00,2.00,324,NULL,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',21840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172020,2.00,6.00,4.00,1.00,6.00,5.50,4.00,5.00,3.00,216,213,201,'SANTA HELENA','LAGES','SC',17114,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2172038,1.00,5.00,1.00,3.00,2.00,NULL,2.00,2.00,0.00,5,303,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2172054,4.00,6.00,4.00,2.00,6.00,5.75,5.00,5.00,3.00,103,102,NULL,'CENTRO','LAGES','SC',14228,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2172062,4.00,8.00,4.00,2.00,6.00,5.25,6.00,5.00,3.00,216,501,211,'VILA PAZ','SAO LUIZ GONZAGA','RS',10590,347,399,375,NULL,NULL,NULL,2,1),(15,2172097,6.00,5.00,2.00,5.00,7.00,5.50,3.00,5.00,1.00,103,104,NULL,'SAO CRISTOVAO','CHAPECO','SC',15544,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2172100,9.00,8.00,9.00,6.00,8.00,8.75,9.00,7.00,9.00,103,216,NULL,'SERRINHA','FLORIANOPOLIS','SC',82,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172119,5.00,6.00,5.00,9.00,6.00,7.25,6.00,8.00,4.00,5,NULL,NULL,'CENTRO','SAO JOSE','SC',4720,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172127,5.00,6.00,5.00,4.00,6.00,5.50,6.00,4.00,5.00,103,319,NULL,'LAR DO TRABALHADOR','CAMPO GRANDE','MS',9109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172135,2.00,1.00,0.00,4.00,4.00,NULL,3.00,2.00,3.00,308,309,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172143,1.00,5.00,1.00,5.00,6.00,5.00,3.00,5.00,3.00,444,404,NULL,'ARIRIBÁ','BALNEARIO CAMBORIU','SC',19353,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2172151,3.00,6.00,3.00,5.00,8.00,6.50,5.00,5.00,4.00,103,425,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',10408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172160,3.00,6.00,5.00,4.00,9.00,5.75,6.00,6.00,4.00,103,104,NULL,'BELA VISTA','SAO JOAQUIM DA BARRA','SP',8553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172178,2.00,6.00,3.00,6.00,5.00,5.00,5.00,4.00,2.00,220,NULL,NULL,'RUI BARBOSA','MONTENEGRO','RS',15271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172194,4.00,6.00,4.00,6.00,7.00,5.75,5.00,4.00,3.00,317,217,NULL,'PONTE DO IMARUIM','PALHOCA','SC',9766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172208,5.00,9.00,3.00,10.00,7.00,4.50,7.00,8.00,2.00,320,310,NULL,'AREIAS','SAO JOSE','SC',4693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,501,203,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2172224,8.00,7.00,9.00,7.00,8.00,5.25,9.00,8.00,8.00,103,NULL,NULL,'ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP',438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172232,5.00,4.00,3.00,5.00,8.00,6.00,6.00,7.00,5.00,425,327,NULL,'AREIAS','SAO JOSE','SC',6958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172240,4.00,8.00,5.00,7.00,7.00,5.75,5.00,6.00,2.00,101,404,NULL,'FUNDOS','BIGUACU','SC',7106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172259,6.00,7.00,7.00,4.00,8.00,6.25,5.00,6.00,6.00,216,207,201,'SANTANA','RIO DO SUL','SC',4976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172291,2.00,6.00,2.00,5.00,5.00,5.25,3.00,4.00,2.00,208,316,202,'PASSA VINTE','PALHOCA','SC',18687,727,1173,636,NULL,NULL,NULL,2,1),(15,2172305,4.00,5.00,3.00,7.00,8.00,4.75,4.00,5.00,5.00,104,333,NULL,'SANGA DAS PEDRAS','MELEIRO','SC',11035,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2172313,0.00,3.00,0.00,4.00,3.00,NULL,3.00,3.00,2.00,420,444,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172321,2.00,8.00,5.00,2.00,7.00,4.00,3.00,5.00,5.00,501,331,NULL,'AREIAS','SAO JOSE','SC',14698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172330,4.00,8.00,3.00,5.00,6.00,7.00,7.00,8.00,5.00,5,NULL,NULL,'CENTRO','SAO JOSE','SC',5094,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,428,NULL,'DOM BOSCO','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2172364,5.00,7.00,3.00,9.00,7.00,5.50,6.00,3.00,3.00,333,217,NULL,'ROÇADO','SAO JOSE','SC',8882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172372,3.00,5.00,0.00,6.00,2.00,NULL,3.00,4.00,4.00,101,324,NULL,'LINHA CONTESSI','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2172380,2.00,7.00,5.00,7.00,7.00,3.75,5.00,6.00,2.00,214,213,203,'SÃO JORGE','TAMBAU','SP',11145,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172402,5.00,7.00,5.00,8.00,8.00,6.00,4.00,6.00,4.00,327,425,NULL,'CENTRO','FLORIANOPOLIS','SC',5442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172429,3.00,7.00,7.00,7.00,5.00,7.00,6.00,6.00,3.00,303,331,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',7304,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2172437,6.00,6.00,4.00,8.00,7.00,5.25,6.00,5.00,1.00,102,217,NULL,'PASSO DAREIA','PORTO ALEGRE','RS',9533,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172445,2.00,8.00,4.00,6.00,7.00,5.00,4.00,7.00,2.00,404,332,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',11036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172453,3.00,5.00,3.00,3.00,4.00,7.50,4.00,5.00,1.00,317,224,NULL,'NOSSA SRA DO ROSARIO','SAO JOSE','SC',17613,298,253,NULL,NULL,NULL,NULL,2,1),(15,2172461,1.00,7.00,4.00,3.00,8.00,3.50,3.00,6.00,3.00,104,502,NULL,'VILA ROSA','NOVO HAMBURGO','RS',14265,468,243,NULL,NULL,NULL,NULL,2,1),(15,2172470,3.00,6.00,4.00,7.00,6.00,5.25,6.00,5.00,4.00,102,217,NULL,'SÃO JORGE','SAO MIGUEL DOESTE','SC',10393,191,370,NULL,NULL,NULL,NULL,2,4),(15,2172488,4.00,7.00,6.00,6.00,7.00,5.00,4.00,3.00,5.00,207,316,201,'JARDIM ITALIA','CHAPECO','SC',10500,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2172496,4.00,5.00,4.00,5.00,8.00,6.00,6.00,3.00,2.00,102,212,NULL,'COQUEIROS','FLORIANOPOLIS','SC',11449,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,309,208,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2172518,1.00,1.00,0.00,5.00,4.00,NULL,3.00,4.00,1.00,108,215,NULL,'TENIS CLUBE','ASSIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2172526,3.00,6.00,1.00,5.00,5.00,3.50,2.00,5.00,2.00,2,208,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',19875,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2172534,4.00,8.00,6.00,8.00,9.00,7.25,6.00,6.00,4.00,103,216,NULL,'CENTRO','ERECHIM','RS',3809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,316,NULL,'JR IMPERIAL II','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2172577,1.00,5.00,1.00,4.00,5.00,5.50,2.00,6.00,2.00,444,208,NULL,'SANTO A DE LISBOA','FLORIANOPOLIS','SC',20747,263,1122,NULL,NULL,NULL,NULL,4,1),(15,2172585,1.00,4.00,2.00,4.00,5.00,NULL,2.00,2.00,2.00,316,301,NULL,'FAZENDA SNT ANTONIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172607,6.00,9.00,5.00,9.00,9.00,7.00,8.00,7.00,5.00,327,450,NULL,'CENTRO','FLORIANOPOLIS','SC',1642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172623,7.00,8.00,6.00,7.00,8.00,6.25,4.00,3.00,5.00,319,425,NULL,'PRAIA DO SANTINHO','FLORIANOPOLIS','SC',4506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172631,7.00,8.00,8.00,7.00,8.00,7.50,7.00,8.00,8.00,316,318,NULL,'CENTRO','FLORIANOPOLIS','SC',523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172640,4.00,8.00,3.00,6.00,8.00,5.25,5.00,5.00,3.00,104,327,NULL,'CENTRO','MARAVILHA','SC',9227,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2172658,5.00,7.00,0.00,8.00,6.00,6.25,7.00,4.00,3.00,420,421,NULL,'PANTANAL','FLORIANOPOLIS','SC',9180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172666,3.00,8.00,6.00,5.00,7.00,5.50,7.00,7.00,3.00,213,223,201,'KOBRASOL','SAO JOSE','SC',6736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172674,1.00,4.00,2.00,1.00,6.00,NULL,2.00,1.00,3.00,104,101,NULL,'LARANJEIRAS','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2172682,2.00,7.00,3.00,6.00,8.00,5.25,7.00,4.00,4.00,234,316,NULL,'BARREIROS','SAO JOSE','SC',9084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172690,6.00,5.00,9.00,6.00,8.00,4.50,9.00,3.00,6.00,103,324,NULL,'TRINDADE','FLORIANOPOLIS','SC',4625,1365,130,NULL,NULL,NULL,NULL,2,1),(15,2172704,5.00,8.00,6.00,7.00,8.00,6.00,6.00,8.00,2.00,234,332,NULL,'BARREIROS','SAO JOSE','SC',4215,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172720,3.00,3.00,4.00,5.00,6.00,5.50,6.00,4.00,4.00,101,224,NULL,'ESTREITO','FLORIANOPOLIS','SC',15464,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172739,4.00,5.00,7.00,5.00,5.00,4.75,7.00,2.00,2.00,203,220,NULL,'VENEZA','XANXERE','SC',11213,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2172747,4.00,5.00,3.00,5.00,7.00,5.00,5.00,5.00,4.00,202,420,208,'CENTRO','CURITIBA','PR',11923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172755,6.00,7.00,3.00,3.00,9.00,5.00,7.00,6.00,3.00,103,101,NULL,'JD VITORIA','LONDRINA','PR',8466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172763,5.00,7.00,3.00,5.00,7.00,4.75,5.00,4.00,4.00,102,339,NULL,'CAMPECHE','FLORIANOPOLIS','SC',10971,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172771,5.00,8.00,3.00,4.00,7.00,6.50,6.00,6.00,4.00,316,318,NULL,'BARREIROS','SAO JOSE','SC',8151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172780,2.00,7.00,4.00,4.00,8.00,4.75,2.00,9.00,5.00,451,318,NULL,'ESTREITO','FLORIANOPOLIS','SC',10831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172798,0.00,5.00,1.00,5.00,8.00,NULL,3.00,4.00,2.00,102,104,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MORADA DO SOL','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2172810,3.00,6.00,1.00,5.00,5.00,3.50,3.00,2.00,1.00,220,203,202,'INTERIOR','PINHALZINHO','SC',20023,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2172828,3.00,8.00,0.00,6.00,6.00,NULL,3.00,7.00,3.00,332,333,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172836,0.00,3.00,3.00,2.00,3.00,NULL,4.00,0.00,2.00,2,225,NULL,'SAGRADO CORAÇÃP DE J','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2172844,3.00,6.00,5.00,8.00,6.00,3.50,4.00,4.00,3.00,444,208,NULL,'TRINDADE','FLORIANOPOLIS','SC',13612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172860,0.00,6.00,4.00,3.00,5.00,4.25,3.00,5.00,4.00,316,301,NULL,'SAO FRANCISCO','MONTE ALTO','SP',18681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172879,8.00,8.00,7.00,7.00,7.00,6.75,8.00,6.00,5.00,211,217,208,'CENTRO','FLORIANOPOLIS','SC',2056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172887,3.00,7.00,8.00,8.00,6.00,5.00,6.00,6.00,6.00,233,2,238,'AGRONÔMICA','FLORIANOPOLIS','SC',3821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172895,0.00,6.00,6.00,0.00,9.00,NULL,7.00,5.00,3.00,220,304,213,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2172909,2.00,4.00,3.00,6.00,7.00,5.25,3.00,3.00,2.00,101,308,NULL,'BARREIROS','SAO JOSE','SC',18148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172925,8.00,7.00,9.00,9.00,8.00,5.75,8.00,7.00,7.00,220,NULL,203,'CENTRO','SAO CARLOS','SP',834,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2172933,3.00,2.00,1.00,6.00,4.00,4.25,4.00,5.00,2.00,415,208,NULL,'INGLESES','FLORIANOPOLIS','SC',19418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172941,3.00,7.00,1.00,1.00,6.00,6.00,4.00,3.00,2.00,444,207,NULL,'ROÇADO','SAO JOSE','SC',18879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172950,7.00,7.00,7.00,2.00,7.00,6.25,8.00,9.00,6.00,220,202,203,'CENTRO','CURITIBA','PR',2580,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2172968,4.00,7.00,6.00,8.00,5.00,5.00,7.00,7.00,3.00,238,324,208,'INGLESES','FLORIANOPOLIS','SC',7329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2172984,4.00,7.00,7.00,8.00,7.00,4.50,6.00,7.00,5.00,213,212,238,'TAPERA','FLORIANOPOLIS','SC',4539,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2172992,4.00,4.00,0.00,3.00,7.00,NULL,4.00,2.00,3.00,308,502,NULL,'TRINTA RÉIS','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173000,8.00,8.00,9.00,9.00,8.00,7.50,8.00,8.00,8.00,103,102,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',99,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173026,3.00,2.00,4.00,2.00,4.00,4.00,4.00,4.00,3.00,9,101,NULL,'JARDIM PIRATININGA','OSASCO','SP',20858,311,754,NULL,NULL,NULL,NULL,4,1),(15,2173034,5.00,8.00,4.00,6.00,8.00,6.25,5.00,6.00,1.00,332,424,NULL,'VARGEM PEQUENA','FLORIANOPOLIS','SC',8717,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173042,6.00,7.00,3.00,5.00,7.00,6.25,7.00,5.00,4.00,101,103,NULL,'VARGINHA','SANTO AMARO DA IMPERATRIZ','SC',7402,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173077,4.00,8.00,9.00,5.00,6.00,4.75,8.00,6.00,5.00,201,501,233,'KOBRASOL','SAO JOSE','SC',4135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173085,3.00,7.00,7.00,7.00,6.00,4.25,4.00,6.00,3.00,201,220,233,'FAZENDA','ITAJAI','SC',9308,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2173093,1.00,5.00,4.00,4.00,6.00,4.00,4.00,2.00,3.00,207,420,NULL,'CENTRO','FLORIANOPOLIS','SC',19258,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173107,7.00,9.00,8.00,9.00,8.00,6.75,8.00,9.00,6.00,103,502,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173115,5.00,7.00,3.00,6.00,5.00,5.00,3.00,3.00,2.00,302,223,NULL,'CENTRO','PALHOCA','SC',16396,136,189,NULL,NULL,NULL,NULL,2,1),(15,2173123,6.00,8.00,5.00,6.00,7.00,5.50,5.00,7.00,6.00,220,201,208,'CENTRO','FLORIANOPOLIS','SC',4933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173131,2.00,6.00,1.00,7.00,7.00,5.75,7.00,3.00,1.00,333,308,NULL,'CAMPINAS','SAO JOSE','SC',15462,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173140,3.00,6.00,3.00,9.00,7.00,5.25,2.00,7.00,4.00,304,301,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',9192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173158,2.00,5.00,6.00,5.00,8.00,5.25,2.00,4.00,1.00,201,212,207,'SÃO JOSÉ','ESTACAO','RS',15112,805,543,729,NULL,NULL,NULL,4,4),(15,2173166,5.00,7.00,7.00,8.00,9.00,7.25,6.00,7.00,7.00,303,5,NULL,'ASA NORTE','BRASILIA','DF',1914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173174,1.00,7.00,3.00,4.00,6.00,5.00,4.00,5.00,3.00,108,333,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',15147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173182,4.00,6.00,6.00,6.00,8.00,4.50,7.00,4.00,3.00,301,316,NULL,'CENTRO','FLORIANOPOLIS','SC',8001,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173212,4.00,5.00,7.00,6.00,7.00,4.50,6.00,2.00,3.00,234,222,NULL,'KOBRASOL','SAO JOSE','SC',11007,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,316,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2173239,5.00,8.00,2.00,6.00,8.00,6.00,6.00,7.00,5.00,213,214,202,'COQUEIROS','FLORIANOPOLIS','SC',6060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173247,3.00,6.00,7.00,6.00,8.00,5.00,6.00,2.00,3.00,317,502,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',10848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173255,5.00,6.00,3.00,5.00,4.00,3.00,4.00,5.00,1.00,333,207,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173263,8.00,8.00,9.00,9.00,8.00,7.75,9.00,8.00,5.00,201,320,208,'AGRONOMICA','FLORIANOPOLIS','SC',360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173271,4.00,4.00,3.00,1.00,5.00,4.50,3.00,2.00,2.00,316,207,NULL,'PRIMAVERA','MARINGA','PR',21103,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2173280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,450,NULL,'CENTRO','FLORES DA CUNHA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2173298,3.00,6.00,4.00,4.00,2.00,NULL,2.00,4.00,2.00,211,207,216,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173301,3.00,4.00,2.00,5.00,3.00,8.00,2.00,4.00,3.00,319,104,NULL,'JARDIM PINHEIROS','SAO JOSE','SC',18665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173328,2.00,4.00,2.00,1.00,6.00,6.00,1.00,4.00,3.00,207,108,215,'CENTRO','XAXIM','SC',20616,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2173336,1.00,4.00,4.00,3.00,1.00,NULL,2.00,1.00,1.00,308,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173344,2.00,3.00,4.00,6.00,8.00,4.00,4.00,4.00,4.00,319,333,NULL,'CENTRO','CRICIUMA','SC',15282,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2173352,2.00,5.00,2.00,4.00,6.00,5.50,2.00,3.00,1.00,9,102,NULL,'ESTREITO','FLORIANOPOLIS','SC',19957,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173360,4.00,7.00,8.00,9.00,5.00,5.50,7.00,6.00,6.00,316,301,NULL,'ROÇADO','SAO JOSE','SC',3698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173379,4.00,7.00,3.00,6.00,7.00,6.25,7.00,6.00,5.00,304,301,NULL,'PONTA DE BAIXO','SAO JOSE','SC',6632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173387,4.00,8.00,6.00,6.00,8.00,5.25,5.00,6.00,3.00,326,108,NULL,'BARREIROS','SAO JOSE','SC',6966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173395,4.00,6.00,5.00,7.00,8.00,5.50,5.00,6.00,3.00,303,309,NULL,'CAMPECHE','FLORIANOPOLIS','SC',8091,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173409,3.00,9.00,9.00,8.00,8.00,7.25,9.00,5.00,5.00,303,450,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',1584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,215,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2173425,3.00,3.00,0.00,0.00,3.00,NULL,1.00,4.00,1.00,316,326,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173433,6.00,4.00,7.00,9.00,6.00,7.00,5.00,5.00,3.00,208,233,220,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173441,2.00,7.00,5.00,6.00,5.00,4.50,7.00,6.00,4.00,208,5,NULL,'SANTA CATARINA','CRICIUMA','SC',10348,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2173450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2173468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,9,NULL,'RECANTO DO SOL','HORIZONTINA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2173476,7.00,8.00,10.00,9.00,8.00,6.50,9.00,8.00,7.00,220,214,203,'CENTRO','FLORIANOPOLIS','SC',217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173484,2.00,7.00,2.00,7.00,6.00,6.75,3.00,5.00,2.00,224,225,NULL,'INGLESES','FLORIANOPOLIS','SC',13220,32,141,NULL,NULL,NULL,NULL,1,1),(15,2173492,6.00,7.00,9.00,6.00,8.00,6.50,7.00,7.00,6.00,233,223,215,'CENTRO','FLORIANOPOLIS','SC',2655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173506,3.00,4.00,6.00,7.00,7.00,6.00,6.00,3.00,4.00,316,428,NULL,'CENTRO','FLORIANOPOLIS','SC',10126,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173514,6.00,8.00,9.00,8.00,9.00,5.50,8.00,8.00,6.00,103,214,NULL,'CENTRO','FLORIANOPOLIS','SC',990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173522,3.00,7.00,1.00,4.00,7.00,5.00,3.00,2.00,3.00,324,222,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',18242,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173530,4.00,7.00,3.00,7.00,7.00,6.75,7.00,4.00,4.00,425,450,424,'CENTRO','CRICIUMA','SC',8335,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2173549,2.00,5.00,4.00,4.00,6.00,5.00,3.00,4.00,3.00,233,450,NULL,'CENTRO','CASCA','RS',18118,409,341,NULL,NULL,NULL,NULL,4,1),(15,2173557,2.00,5.00,0.00,0.00,5.00,NULL,2.00,1.00,2.00,9,333,NULL,'BOM RETIRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173565,1.00,6.00,0.00,5.00,6.00,4.50,3.00,5.00,2.00,424,423,427,'ITACORUBI','FLORIANOPOLIS','SC',19676,82,237,77,NULL,NULL,NULL,2,1),(15,2173573,5.00,5.00,6.00,4.00,5.00,5.25,3.00,3.00,3.00,203,238,220,'RIO CACHOEIRINHAS','BRACO DO NORTE','SC',14669,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2173581,4.00,8.00,7.00,8.00,7.00,6.00,8.00,6.00,7.00,211,501,238,'TRINDADE','FLORIANOPOLIS','SC',2363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,102,NULL,'SÃO SEBASTIÃO','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2173603,6.00,6.00,6.00,6.00,8.00,6.50,6.00,3.00,5.00,103,101,NULL,'LINDOIA','CURITIBA','PR',7299,1816,488,NULL,NULL,NULL,NULL,2,1),(15,2173611,0.00,2.00,1.00,1.00,4.00,NULL,3.00,3.00,1.00,451,424,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173620,6.00,7.00,6.00,3.00,7.00,5.75,5.00,6.00,4.00,304,302,NULL,'BARREIROS','SAO JOSE','SC',8518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173638,2.00,7.00,2.00,3.00,6.00,3.75,3.00,7.00,3.00,201,103,203,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173646,1.00,1.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,103,234,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2173654,6.00,8.00,5.00,8.00,9.00,6.25,7.00,6.00,5.00,104,102,NULL,'COSTA E SILVA','JOINVILLE','SC',3226,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2173662,7.00,7.00,6.00,7.00,9.00,6.25,7.00,4.00,5.00,215,217,216,'CAMPINAS','SAO JOSE','SC',3290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173670,7.00,9.00,8.00,9.00,9.00,8.50,9.00,8.00,6.00,208,NULL,NULL,'LOTE SEIS','CRICIUMA','SC',169,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2173689,2.00,7.00,4.00,4.00,6.00,6.75,5.00,7.00,4.00,202,213,214,'GÁVEA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2173697,6.00,8.00,4.00,5.00,9.00,5.75,2.00,2.00,5.00,444,502,NULL,'TRINDADE','FLORIANOPOLIS','SC',9052,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173700,1.00,7.00,5.00,3.00,6.00,4.50,6.00,7.00,1.00,302,304,NULL,'CENTRO','CRICIUMA','SC',14837,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2173719,3.00,4.00,1.00,4.00,4.00,3.75,5.00,2.00,3.00,423,301,NULL,'PICADAS DO SUL','SAO JOSE','SC',20876,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173727,5.00,9.00,5.00,7.00,8.00,6.75,6.00,7.00,4.00,104,101,NULL,'TRINDADE','FLORIANOPOLIS','SC',3866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173735,5.00,7.00,5.00,6.00,6.00,6.25,6.00,6.00,2.00,213,208,202,'COQUEIROS','FLORIANOPOLIS','SC',7922,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173743,3.00,7.00,4.00,6.00,7.00,3.50,4.00,7.00,4.00,316,324,NULL,'TRINDADE','FLORIANOPOLIS','SC',11104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173751,4.00,8.00,4.00,5.00,9.00,6.00,7.00,8.00,5.00,5,424,NULL,'CENTRO','FLORIANOPOLIS','SC',4896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173760,1.00,3.00,3.00,3.00,5.00,6.00,4.00,4.00,2.00,102,217,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',20477,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173786,3.00,5.00,3.00,1.00,6.00,5.25,1.00,5.00,2.00,211,108,NULL,'JARDIM IRIRIÚ','JOINVILLE','SC',19386,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2173794,2.00,2.00,2.00,4.00,4.00,4.50,2.00,5.00,1.00,451,424,NULL,'CENTRO','ALFREDO WAGNER','SC',22348,103,270,NULL,NULL,NULL,NULL,2,1),(15,2173808,4.00,5.00,4.00,5.00,8.00,7.25,5.00,4.00,4.00,103,215,NULL,'ESTAÇÃO LUZERNA','HERVAL D OESTE','SC',9501,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2173816,2.00,8.00,7.00,8.00,8.00,7.25,6.00,8.00,3.00,316,103,NULL,'CAMPINAS','SAO JOSE','SC',4199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173824,4.00,6.00,4.00,3.00,5.00,5.00,3.00,4.00,2.00,101,302,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',18100,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173832,7.00,8.00,7.00,5.00,6.00,8.50,7.00,7.00,4.00,304,421,NULL,'KOBRASOL','SAO JOSE','SC',2689,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2173840,6.00,8.00,8.00,6.00,6.00,6.00,7.00,5.00,5.00,5,224,NULL,'ESTREITO','FLORIANOPOLIS','SC',3774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,450,NULL,'AURORA','ICARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2173867,2.00,5.00,2.00,6.00,4.00,3.50,4.00,5.00,2.00,103,102,NULL,'ESTREITO','FLORIANOPOLIS','SC',19036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,102,NULL,'SETOR NORTE','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2173905,4.00,8.00,4.00,9.00,6.00,5.50,4.00,6.00,4.00,208,301,238,'ESTREITO','FLORIANOPOLIS','SC',8035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'JARDIM TARRAF LL','SAO JOSE DO RIO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2173921,3.00,6.00,2.00,6.00,7.00,4.25,6.00,4.00,2.00,444,9,NULL,'CARIANOS','FLORIANOPOLIS','SC',15122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173930,4.00,7.00,4.00,8.00,6.00,5.25,6.00,6.00,4.00,201,207,NULL,'CENTRO','BENEDITO NOVO','SC',5733,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2173948,4.00,4.00,3.00,6.00,6.00,5.25,6.00,3.00,2.00,316,308,NULL,'PANTANAL','FLORIANOPOLIS','SC',15888,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2173956,6.00,7.00,6.00,8.00,8.00,5.25,5.00,5.00,4.00,214,213,212,'SAGUAÇU','JOINVILLE','SC',5302,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2173964,3.00,7.00,4.00,4.00,6.00,4.50,4.00,5.00,3.00,327,201,NULL,'JARDIM ANGELICA','CRICIUMA','SC',12679,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2173980,3.00,6.00,5.00,8.00,5.00,3.75,4.00,3.00,2.00,404,333,NULL,'KOBRASOL','SAO JOSE','SC',14397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2173999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,333,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2174006,2.00,5.00,2.00,4.00,6.00,5.50,4.00,5.00,2.00,202,222,220,'CENTRO','PATO BRANCO','PR',16614,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2174014,5.00,7.00,4.00,9.00,9.00,6.00,5.00,7.00,6.00,425,217,429,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',4152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,214,NULL,'ANA RECH','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2174030,3.00,7.00,6.00,9.00,7.00,5.00,7.00,7.00,3.00,203,202,NULL,'PINHEIROS','PATO BRANCO','PR',4982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174049,2.00,4.00,2.00,5.00,8.00,6.25,3.00,5.00,1.00,420,319,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',17884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174057,3.00,4.00,0.00,6.00,4.00,4.00,4.00,9.00,0.00,326,324,NULL,'CENTRO','FLORIANOPOLIS','SC',19751,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2174065,6.00,8.00,9.00,9.00,9.00,7.25,9.00,7.00,8.00,103,420,NULL,'CENTRO','FLORIANOPOLIS','SC',97,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174073,4.00,6.00,3.00,8.00,8.00,7.50,4.00,6.00,4.00,103,316,NULL,'CENTRO','ARARANGUA','SC',6788,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2174081,5.00,6.00,4.00,8.00,6.00,6.50,5.00,5.00,4.00,303,333,NULL,'CENTRO','FLORIANOPOLIS','SC',8982,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2174090,0.00,5.00,4.00,3.00,5.00,NULL,4.00,3.00,3.00,333,415,NULL,'PRAÇA ANCHIETA','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2174103,2.00,5.00,2.00,6.00,6.00,6.25,5.00,2.00,2.00,339,329,NULL,'CAMPECHE','FLORIANOPOLIS','SC',16096,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2174111,3.00,7.00,1.00,6.00,8.00,0.00,3.00,6.00,3.00,310,329,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174120,2.00,7.00,5.00,8.00,7.00,6.00,6.00,6.00,5.00,302,304,NULL,'ESTREITO','FLORIANOPOLIS','SC',7530,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2174138,7.00,9.00,9.00,7.00,9.00,7.00,9.00,7.00,6.00,234,502,NULL,'CAMPINAS','SAO JOSE','SC',388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174146,0.00,4.00,2.00,2.00,1.00,NULL,2.00,2.00,0.00,444,404,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2174154,3.00,5.00,3.00,9.00,7.00,3.75,4.00,4.00,3.00,5,303,NULL,'PEREQUE','PORTO BELO','SC',12951,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2174162,3.00,4.00,3.00,2.00,6.00,6.00,5.00,4.00,3.00,102,101,NULL,'MARIA GORETTI','CHAPECO','SC',17051,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2174170,4.00,6.00,6.00,3.00,6.00,6.50,6.00,3.00,7.00,303,5,NULL,'CENTRO','SAO JOAQUIM','SC',10278,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2174189,3.00,7.00,0.00,3.00,6.00,4.00,4.00,3.00,4.00,326,329,NULL,'JARDIM PINHEIROS','SAO JOSE','SC',17762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174197,6.00,5.00,5.00,6.00,7.00,6.75,6.00,5.00,6.00,103,420,NULL,'CAMPINAS','SAO JOSE','SC',6072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174200,0.00,5.00,1.00,1.00,4.00,NULL,0.00,4.00,3.00,316,301,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174219,4.00,7.00,2.00,7.00,5.00,5.25,4.00,4.00,5.00,103,9,NULL,'NAÇÕES','TIMBO','SC',10417,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2174227,2.00,7.00,4.00,2.00,5.00,6.50,2.00,3.00,3.00,103,9,NULL,'VILA TOLENTINO','CASCAVEL','PR',17198,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2174235,0.00,3.00,0.00,4.00,3.00,NULL,2.00,2.00,0.00,5,102,NULL,'JOAIA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2174251,5.00,7.00,5.00,9.00,5.00,5.75,7.00,6.00,4.00,425,421,424,'KOBRASOL','SAO JOSE','SC',6738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174260,3.00,5.00,3.00,6.00,6.00,4.75,4.00,5.00,3.00,303,211,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2174278,2.00,4.00,5.00,5.00,6.00,5.25,3.00,5.00,4.00,333,331,NULL,'SERRARIA','SAO JOSE','SC',15253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2174286,1.00,6.00,5.00,6.00,8.00,6.50,4.00,6.00,5.00,207,316,NULL,'ARIRIU','PALHOCA','SC',10573,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2174294,1.00,3.00,4.00,0.00,6.00,4.75,2.00,5.00,2.00,212,NULL,233,'CARIANOS','FLORIANOPOLIS','SC',21551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174316,6.00,9.00,7.00,9.00,8.00,4.25,9.00,8.00,7.00,103,104,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',1209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174324,5.00,9.00,6.00,6.00,6.00,5.00,7.00,5.00,3.00,211,316,215,'PANTANAL','FLORIANOPOLIS','SC',7804,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2174332,4.00,8.00,9.00,5.00,9.00,7.00,8.00,4.00,6.00,5,317,NULL,'CENTRO','BIGUACU','SC',2934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174359,3.00,6.00,2.00,3.00,4.00,5.75,4.00,5.00,4.00,217,216,NULL,'ALDO ARIOLI','ERECHIM','RS',17881,164,796,NULL,NULL,NULL,NULL,2,1),(15,2174367,6.00,7.00,3.00,7.00,8.00,6.75,6.00,8.00,6.00,303,5,NULL,'CENTRO','LONDRINA','PR',3841,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2174375,3.00,4.00,4.00,6.00,5.00,4.00,5.00,5.00,4.00,302,304,NULL,'TRINDADE','FLORIANOPOLIS','SC',13951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2174383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,301,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2174391,2.00,5.00,3.00,0.00,6.00,5.25,3.00,5.00,1.00,208,5,201,'MONTE VERDE','FLORIANOPOLIS','SC',20503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174405,4.00,6.00,5.00,5.00,6.00,6.00,6.00,7.00,3.00,103,102,NULL,'ASILO','BLUMENAU','SC',8387,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2174421,1.00,3.00,1.00,2.00,7.00,NULL,1.00,2.00,3.00,301,303,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174430,8.00,9.00,7.00,8.00,8.00,6.00,8.00,8.00,7.00,5,331,NULL,'CENTRO','FLORIANOPOLIS','SC',583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,327,NULL,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2174464,3.00,4.00,1.00,1.00,4.00,NULL,1.00,3.00,4.00,316,5,NULL,'TABULEIRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2174472,4.00,5.00,1.00,5.00,6.00,4.25,4.00,1.00,3.00,217,427,NULL,'URUSSANGUINHA','ARARANGUA','SC',19281,184,209,NULL,NULL,NULL,NULL,2,5),(15,2174480,5.00,5.00,8.00,5.00,8.00,7.75,4.00,5.00,4.00,216,201,207,'BAIRRO DAS CAPITAIS','TIMBO','SC',6151,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2174499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,104,NULL,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2174502,4.00,7.00,6.00,4.00,7.00,6.50,6.00,6.00,5.00,104,333,NULL,'CAMPINAS','SAO JOSE','SC',6102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174510,4.00,4.00,6.00,3.00,8.00,5.25,7.00,7.00,3.00,501,502,NULL,'CARAVAGIO','RIO DOS CEDROS','SC',9669,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2174529,0.00,5.00,5.00,5.00,5.00,6.25,3.00,3.00,2.00,223,224,NULL,'ALTO ARARA','GUARUJA DO SUL','SC',18417,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2174537,3.00,8.00,8.00,5.00,6.00,5.00,4.00,6.00,3.00,404,224,NULL,'BARREIROS','SAO JOSE','SC',9800,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2174545,7.00,8.00,9.00,8.00,8.00,5.75,9.00,8.00,6.00,220,223,212,'CENTRO','FLORIANOPOLIS','SC',529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174553,4.00,7.00,2.00,8.00,8.00,6.75,6.00,8.00,2.00,103,217,NULL,'CENTRO','QUARAI','RS',6254,1662,288,NULL,NULL,NULL,NULL,2,1),(15,2174561,3.00,6.00,2.00,6.00,7.00,3.75,8.00,5.00,3.00,301,428,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',11651,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2174570,4.00,6.00,7.00,7.00,7.00,6.00,8.00,4.00,4.00,444,404,NULL,'DANIELA','FLORIANOPOLIS','SC',5263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2174588,3.00,5.00,6.00,6.00,7.00,5.50,3.00,3.00,3.00,207,420,NULL,'LIBRA III','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2174596,3.00,6.00,1.00,2.00,6.00,4.75,3.00,5.00,3.00,101,428,NULL,'TRINTA RÉIS','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2174618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'JARDIM SAO LUIS','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2174626,7.00,7.00,8.00,8.00,8.00,6.00,9.00,8.00,8.00,103,421,NULL,'CENTRO','FLORIANOPOLIS','SC',657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174642,4.00,6.00,6.00,6.00,9.00,6.25,6.00,5.00,5.00,220,214,203,'VILA SANTA TERESINHA','PENAPOLIS','SP',6783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2174677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,238,NULL,'PARQUE AMAZONAS','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2174685,6.00,7.00,7.00,8.00,8.00,5.50,7.00,8.00,5.00,104,224,NULL,'FLORESTA','SANTO AUGUSTO','RS',2516,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2174693,3.00,6.00,3.00,7.00,6.00,3.75,5.00,4.00,4.00,208,425,238,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174707,3.00,5.00,1.00,9.00,6.00,5.00,5.00,5.00,2.00,420,207,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174715,4.00,8.00,4.00,6.00,7.00,5.75,6.00,5.00,4.00,301,316,NULL,'ENSEADA DE BRITO','PALHOCA','SC',8215,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2174723,3.00,5.00,2.00,4.00,7.00,7.50,4.00,4.00,3.00,211,9,207,'CENTRO','DESCANSO','SC',14460,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2174731,4.00,5.00,1.00,5.00,5.00,5.00,4.00,8.00,3.00,501,217,NULL,'SALTO GRANDE','ITUPORANGA','SC',14036,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2174740,5.00,7.00,5.00,5.00,7.00,6.00,8.00,5.00,4.00,103,451,NULL,'VILA NOVA BOTUCATU','BOTUCATU','SP',6546,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2174758,2.00,6.00,0.00,1.00,6.00,NULL,2.00,2.00,3.00,207,301,201,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,9,NULL,'CENTRO','CAMPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2174774,2.00,3.00,4.00,0.00,5.00,3.75,2.00,5.00,2.00,238,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',22151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174782,4.00,6.00,4.00,7.00,6.00,5.75,5.00,4.00,2.00,103,211,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,5,NULL,'CENTRO','PRAIA GRANDE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2174820,0.00,6.00,4.00,5.00,5.00,4.50,6.00,6.00,3.00,233,444,208,'SAMBAQUI','FLORIANOPOLIS','SC',13971,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2174839,2.00,4.00,2.00,4.00,5.00,3.75,1.00,2.00,3.00,211,324,202,'NITEROI','SEARA','SC',22367,760,463,722,NULL,NULL,NULL,4,4),(15,2174847,2.00,5.00,1.00,4.00,5.00,6.00,5.00,5.00,2.00,319,420,NULL,'CACUPÉ','FLORIANOPOLIS','SC',18230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2174855,3.00,6.00,2.00,6.00,5.00,5.25,2.00,3.00,3.00,331,309,NULL,'ESTEITO','FLORIANOPOLIS','SC',17450,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2174863,0.00,5.00,3.00,3.00,7.00,6.00,1.00,4.00,2.00,316,429,NULL,'BARREIROS','SAO JOSE','SC',19979,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2174871,2.00,4.00,4.00,6.00,7.00,6.00,3.00,2.00,1.00,319,316,NULL,'BARREIROS','SAO JOSE','SC',17254,368,1122,NULL,NULL,NULL,NULL,2,1),(15,2174880,5.00,9.00,9.00,9.00,6.00,4.00,9.00,8.00,6.00,203,327,201,'CAMPINAS','SAO JOSE','SC',1427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174898,3.00,7.00,6.00,6.00,6.00,5.25,7.00,6.00,3.00,203,233,201,'SERRA ALTA','SAO BENTO DO SUL','SC',8502,673,543,461,NULL,NULL,NULL,2,8),(15,2174901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,103,NULL,'ILHA DA FIGUEIRA','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2174928,4.00,7.00,3.00,2.00,7.00,7.50,5.00,5.00,2.00,429,339,426,'COSTEIRA','FLORIANOPOLIS','SC',11205,27,NULL,NULL,NULL,NULL,NULL,4,1),(15,2174936,1.00,5.00,4.00,2.00,7.00,5.00,2.00,5.00,2.00,404,328,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',19622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2174952,2.00,6.00,1.00,3.00,8.00,6.00,4.00,3.00,5.00,303,328,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',16690,758,120,NULL,NULL,NULL,NULL,4,1),(15,2174960,1.00,6.00,3.00,3.00,4.00,4.75,3.00,6.00,2.00,420,203,NULL,'CENTRO','MASSARANDUBA','SC',17898,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2174979,1.00,6.00,3.00,2.00,5.00,NULL,3.00,2.00,1.00,404,415,NULL,'BARRA DO ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2174987,3.00,4.00,1.00,3.00,4.00,4.75,4.00,3.00,1.00,5,101,NULL,'FAZ STO ANTÔNIO','SAO JOSE','SC',22291,907,788,NULL,NULL,NULL,NULL,2,1),(15,2174995,5.00,9.00,2.00,9.00,7.00,7.50,7.00,9.00,4.00,501,319,NULL,'ESTEITO','FLORIANOPOLIS','SC',2932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175010,3.00,7.00,4.00,3.00,3.00,4.75,4.00,3.00,2.00,5,320,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',18511,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175029,5.00,5.00,7.00,7.00,8.00,4.75,5.00,6.00,5.00,201,223,211,'CENTRO','FLORIANOPOLIS','SC',5055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2175045,4.00,5.00,2.00,4.00,6.00,6.00,8.00,7.00,6.00,207,301,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',9572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175053,3.00,7.00,2.00,0.00,7.00,4.25,2.00,2.00,1.00,319,339,NULL,'ITACORUBI','FLORIANOPOLIS','SC',21132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,223,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2175088,4.00,7.00,2.00,5.00,6.00,6.75,6.00,4.00,1.00,304,429,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',11061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175096,0.00,2.00,5.00,3.00,3.00,3.00,2.00,3.00,4.00,103,101,NULL,'CENTRO','POUSO REDONDO','SC',22414,3120,792,NULL,NULL,NULL,NULL,4,2),(15,2175100,3.00,4.00,4.00,6.00,6.00,4.25,3.00,4.00,3.00,217,NULL,NULL,'BIGUAÇU','BIGUACU','SC',15716,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,420,429,'CENTRO','SANTA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2175126,1.00,4.00,1.00,3.00,4.00,NULL,1.00,2.00,0.00,220,222,208,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175134,4.00,6.00,7.00,5.00,8.00,7.00,8.00,6.00,4.00,202,304,213,'CENTRO','TORRES','RS',5587,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2175150,2.00,6.00,4.00,2.00,6.00,5.00,5.00,2.00,2.00,5,424,NULL,'BALNEARIO ESTREITO','FLORIANOPOLIS','SC',19497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175169,3.00,5.00,4.00,7.00,6.00,4.50,3.00,2.00,2.00,317,318,NULL,'CENTRO','FLORIANOPOLIS','SC',16400,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175177,3.00,8.00,5.00,6.00,8.00,4.50,6.00,4.00,5.00,234,425,NULL,'CARIANOS','FLORIANOPOLIS','SC',8205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175185,4.00,4.00,0.00,4.00,7.00,4.00,4.00,4.00,3.00,103,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',18171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175193,4.00,6.00,2.00,4.00,8.00,6.75,3.00,4.00,3.00,108,9,NULL,'BARREIROS','SAO JOSE','SC',13266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175215,2.00,7.00,1.00,5.00,6.00,6.00,3.00,3.00,2.00,308,420,NULL,'PRADO','BIGUACU','SC',18236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175223,4.00,8.00,6.00,6.00,8.00,4.50,8.00,5.00,3.00,317,424,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',5937,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175231,1.00,6.00,1.00,6.00,7.00,3.25,4.00,6.00,2.00,327,108,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',16865,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,211,NULL,'CENTRO','TREZE TILIAS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,7),(15,2175258,4.00,7.00,3.00,0.00,6.00,7.00,5.00,4.00,6.00,101,404,NULL,'TREZE DE JULHO','ARACAJU','SE',12139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175266,6.00,8.00,8.00,10.00,9.00,7.75,9.00,7.00,9.00,303,201,NULL,'JARDIM LA SALLE','TOLEDO','PR',129,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2175282,5.00,8.00,7.00,9.00,9.00,8.75,7.00,8.00,4.00,301,310,NULL,'CENTRO','PORTO ALEGRE','RS',1357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175290,3.00,5.00,4.00,4.00,7.00,6.00,5.00,7.00,4.00,424,420,426,'CENTRO','FLORIANOPOLIS','SC',11596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175304,5.00,8.00,5.00,8.00,7.00,5.50,7.00,7.00,4.00,234,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',3958,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175312,3.00,4.00,5.00,6.00,7.00,4.25,4.00,6.00,3.00,316,324,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',11907,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175320,4.00,7.00,5.00,5.00,7.00,4.50,7.00,7.00,4.00,304,333,NULL,'JOÂO PAULO','FLORIANOPOLIS','SC',8050,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175339,4.00,7.00,8.00,6.00,9.00,5.50,9.00,5.00,5.00,301,2,NULL,'JURERÊ','FLORIANOPOLIS','SC',3421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'CENTRO','BELA VISTA DO PARAISO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2175363,3.00,7.00,5.00,7.00,6.00,6.00,5.00,5.00,3.00,103,319,NULL,'MONTE ALEGRE','RIBEIRAO PRETO','SP',9952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175371,2.00,3.00,0.00,3.00,5.00,6.25,3.00,6.00,2.00,316,5,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175380,1.00,3.00,2.00,2.00,4.00,NULL,4.00,1.00,2.00,102,302,NULL,'CENTRO','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175398,4.00,7.00,5.00,4.00,7.00,4.25,7.00,4.00,5.00,5,426,NULL,'CENTRO','FLORIANOPOLIS','SC',8718,381,142,NULL,NULL,NULL,NULL,2,1),(15,2175401,2.00,6.00,5.00,2.00,4.00,3.25,5.00,5.00,4.00,333,211,NULL,'VILA NOVA','IMBITUBA','SC',17834,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2175410,4.00,5.00,1.00,3.00,5.00,0.00,3.00,3.00,4.00,222,327,NULL,'PRADO','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175428,6.00,9.00,8.00,9.00,7.00,6.25,9.00,8.00,8.00,103,415,NULL,'BOM RETIRO','JOINVILLE','SC',625,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2175436,5.00,4.00,2.00,7.00,6.00,5.50,5.00,4.00,1.00,501,329,NULL,'CAMPECHE','FLORIANOPOLIS','SC',15504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175452,2.00,4.00,2.00,4.00,7.00,NULL,4.00,3.00,0.00,103,420,NULL,'CENTRO','SAO BONIFACIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175460,3.00,8.00,5.00,7.00,6.00,5.25,4.00,1.00,1.00,444,108,NULL,'PANTANAL','FLORIANOPOLIS','SC',13581,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175479,2.00,8.00,3.00,6.00,8.00,6.50,5.00,4.00,2.00,317,423,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',10715,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175487,7.00,8.00,8.00,7.00,6.00,6.50,9.00,7.00,7.00,103,102,NULL,'CAPAO RASO','CURITIBA','PR',1523,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2175495,2.00,7.00,3.00,5.00,2.00,NULL,4.00,6.00,2.00,5,316,NULL,'PICADAS DO NORTE','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175509,1.00,8.00,2.00,9.00,6.00,6.25,7.00,4.00,5.00,103,101,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',8283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175517,4.00,4.00,4.00,6.00,5.00,5.50,3.00,7.00,5.00,203,NULL,NULL,'JARDIM ALVORADA','BAURU','SP',12654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175525,0.00,3.00,1.00,0.00,2.00,NULL,3.00,4.00,2.00,203,202,NULL,'SAGRADA FAMILIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2175533,3.00,6.00,4.00,5.00,8.00,5.00,5.00,5.00,2.00,207,308,215,'BARREIROS','SAO JOSE','SC',12510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175550,5.00,6.00,2.00,4.00,6.00,6.00,4.00,2.00,1.00,108,9,NULL,'KOBRASOL','SAO JOSE','SC',17996,403,662,NULL,NULL,NULL,NULL,2,1),(15,2175568,1.00,6.00,1.00,2.00,7.00,5.00,4.00,5.00,2.00,207,304,208,'SANTA GEMA','VIDEIRA','SC',17777,849,415,689,NULL,NULL,NULL,4,7),(15,2175576,1.00,7.00,3.00,8.00,6.00,4.75,5.00,7.00,2.00,108,301,NULL,'CARIANOS','FLORIANOPOLIS','SC',11411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175584,2.00,5.00,2.00,5.00,5.00,5.00,2.00,5.00,1.00,304,444,NULL,'JARDIM SÃO NICOLAU','BIGUACU','SC',19266,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,203,214,'AEROPORTO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2175606,2.00,4.00,3.00,4.00,4.00,4.75,4.00,3.00,4.00,103,104,NULL,'CENTRO','JOINVILLE','SC',20149,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2175622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'BRASÍLIA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2175649,0.00,5.00,1.00,2.00,4.00,NULL,2.00,1.00,2.00,202,203,NULL,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2175665,6.00,6.00,8.00,5.00,7.00,6.25,8.00,5.00,7.00,211,316,216,'CENTRO','FLORIANOPOLIS','SC',2687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175673,4.00,6.00,5.00,6.00,8.00,5.75,5.00,7.00,3.00,303,326,NULL,'CENTRO','FLORIANOPOLIS','SC',8484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175690,4.00,7.00,4.00,5.00,6.00,6.25,5.00,6.00,4.00,319,331,NULL,'KOBRASOL','SAO JOSE','SC',9702,163,132,NULL,NULL,NULL,NULL,2,1),(15,2175703,0.00,5.00,1.00,7.00,6.00,4.25,5.00,2.00,0.00,444,238,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',21145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175711,3.00,5.00,2.00,2.00,6.00,4.75,6.00,3.00,3.00,103,102,NULL,'CENTRO','ARARANGUA','SC',17781,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2175720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,304,212,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2175738,5.00,6.00,3.00,1.00,5.00,5.75,3.00,3.00,4.00,429,NULL,NULL,'COSTA DE DENTRO','FLORIANOPOLIS','SC',17520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,103,NULL,'SERRINHA','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2175754,3.00,6.00,7.00,9.00,6.00,8.00,6.00,6.00,3.00,450,420,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',4974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175762,1.00,6.00,3.00,9.00,8.00,5.75,6.00,4.00,2.00,425,329,429,'CENTRO','FLORIANOPOLIS','SC',10365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175770,6.00,8.00,8.00,8.00,9.00,7.25,8.00,8.00,4.00,316,301,NULL,'CENTRO','FLORIANOPOLIS','SC',1069,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175789,3.00,6.00,0.00,4.00,3.00,5.00,4.00,5.00,4.00,5,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',18474,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2175797,5.00,8.00,7.00,9.00,9.00,7.75,9.00,7.00,6.00,420,332,NULL,'CENTRO','FLORIANOPOLIS','SC',823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175800,1.00,6.00,2.00,4.00,4.00,5.25,3.00,3.00,2.00,501,302,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',20546,278,333,NULL,NULL,NULL,NULL,2,1),(15,2175819,3.00,7.00,2.00,6.00,7.00,2.00,4.00,6.00,1.00,327,326,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175827,1.00,3.00,2.00,6.00,7.00,7.00,6.00,5.00,2.00,303,301,NULL,'CARIANOS','FLORIANOPOLIS','SC',16320,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175835,7.00,9.00,8.00,7.00,8.00,7.25,8.00,8.00,5.00,103,5,NULL,'ILHA DA FIGUEIRA','JARAGUA DO SUL','SC',566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,208,NULL,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2175860,1.00,8.00,3.00,2.00,6.00,6.25,3.00,4.00,3.00,331,415,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',17484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175878,6.00,7.00,5.00,3.00,6.00,4.75,7.00,5.00,5.00,217,304,NULL,'CARIANOS','FLORIANOPOLIS','SC',8168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175894,1.00,4.00,4.00,4.00,4.00,4.00,3.00,1.00,3.00,317,208,NULL,'CAMPECHE','FLORIANOPOLIS','SC',21936,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2175908,3.00,8.00,4.00,4.00,6.00,5.25,3.00,5.00,3.00,451,329,NULL,'TRINDADE','FLORIANOPOLIS','SC',14324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175916,4.00,1.00,2.00,4.00,4.00,3.50,3.00,3.00,3.00,108,333,NULL,'CARVALHO','ITAJAI','SC',21680,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2175924,4.00,9.00,7.00,7.00,8.00,6.50,7.00,6.00,4.00,102,217,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',3938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175932,1.00,6.00,1.00,4.00,6.00,6.75,6.00,4.00,1.00,319,331,NULL,'TRINDADE','FLORIANOPOLIS','SC',18354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175940,3.00,4.00,5.00,7.00,7.00,6.50,5.00,6.00,4.00,220,301,203,'AGRONOMICA','FLORIANOPOLIS','SC',8458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175959,5.00,6.00,2.00,5.00,8.00,4.75,5.00,6.00,3.00,108,333,NULL,'KOBRASOL','SAO JOSE','SC',10624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175967,1.00,6.00,9.00,7.00,4.00,6.25,4.00,4.00,3.00,223,2,NULL,'CENTRO','SANTA RITA DO SAPUCAI','MG',10229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2175975,2.00,1.00,2.00,0.00,0.00,NULL,4.00,2.00,1.00,316,238,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2175983,1.00,3.00,1.00,6.00,4.00,6.50,2.00,3.00,1.00,339,5,NULL,'ANTONIO RECH','DESCANSO','SC',21548,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2175991,6.00,8.00,4.00,5.00,9.00,5.00,7.00,7.00,4.00,234,333,NULL,'SAGUAÇU','JOINVILLE','SC',5338,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2176009,3.00,7.00,3.00,7.00,6.00,5.50,3.00,6.00,5.00,5,317,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',11021,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176017,7.00,8.00,9.00,7.00,9.00,9.75,9.00,7.00,8.00,5,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176025,4.00,7.00,8.00,8.00,8.00,5.50,5.00,7.00,4.00,103,319,NULL,'CENTRO','FLORIANOPOLIS','SC',3848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,404,216,'JARDIM AMERICA','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2176041,0.00,3.00,1.00,2.00,3.00,NULL,4.00,1.00,2.00,208,316,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2176068,6.00,7.00,5.00,8.00,7.00,7.50,6.00,8.00,4.00,304,420,NULL,'KOBRASOL','SAO JOSE','SC',3310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176076,4.00,5.00,4.00,4.00,6.00,3.75,2.00,3.00,3.00,420,425,NULL,'CENTRO','FLORIANOPOLIS','SC',17955,359,391,NULL,NULL,NULL,NULL,4,1),(15,2176084,3.00,6.00,5.00,4.00,7.00,3.25,7.00,7.00,4.00,201,5,214,'GUADALUPE','MARAU','RS',10542,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176092,2.00,5.00,1.00,2.00,6.00,6.75,2.00,3.00,2.00,108,333,NULL,'JARDIM ATLÃNTICO','FLORIANOPOLIS','SC',20538,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176106,4.00,9.00,6.00,9.00,8.00,6.50,6.00,6.00,4.00,320,324,NULL,'CAMPINAS','SAO JOSE','SC',3084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176114,4.00,3.00,0.00,4.00,4.00,NULL,1.00,1.00,2.00,317,324,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176122,2.00,6.00,2.00,2.00,7.00,4.00,4.00,5.00,2.00,220,317,207,'KOBRASOL','SAO JOSE','SC',18083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,202,214,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2176173,1.00,4.00,1.00,4.00,7.00,4.75,3.00,3.00,1.00,319,211,NULL,'MORRETES II','PALHOCA','SC',20992,470,1017,NULL,NULL,NULL,NULL,2,1),(15,2176181,4.00,6.00,5.00,4.00,8.00,5.25,5.00,5.00,4.00,101,339,NULL,'CENTRO','ANTONIO CARLOS','SC',9695,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176203,3.00,5.00,3.00,6.00,6.00,5.75,4.00,5.00,4.00,308,309,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',12251,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176211,2.00,7.00,5.00,5.00,7.00,4.25,4.00,6.00,3.00,5,318,NULL,'CAMPECHE','FLORIANOPOLIS','SC',12408,537,412,NULL,NULL,NULL,NULL,2,1),(15,2176220,6.00,8.00,6.00,8.00,7.00,3.75,6.00,6.00,7.00,202,NULL,213,'JOSÉ MENDES','FLORIANOPOLIS','SC',3635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,302,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2176246,6.00,6.00,5.00,5.00,7.00,6.50,8.00,5.00,5.00,103,415,NULL,'JARDIM FLORESTA','CASCAVEL','PR',5528,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2176254,7.00,8.00,6.00,5.00,8.00,6.00,7.00,8.00,4.00,216,333,211,'HUMAITÁ','TUBARAO','SC',2567,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2176262,0.00,6.00,3.00,1.00,4.00,5.25,2.00,3.00,2.00,404,208,NULL,'CENTRO','ITAPIRANGA','SC',22021,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2176270,1.00,5.00,1.00,2.00,2.00,NULL,1.00,5.00,2.00,103,101,NULL,'SÃO ROQUE','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2176297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,217,NULL,'CENTRO CÍVICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2176300,7.00,8.00,5.00,8.00,7.00,5.75,5.00,8.00,4.00,5,423,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',3066,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176319,3.00,7.00,2.00,6.00,7.00,5.25,5.00,5.00,3.00,104,420,NULL,'INTERIOR','MAXIMILIANO DE ALMEIDA','RS',11053,350,665,NULL,NULL,NULL,NULL,2,7),(15,2176327,5.00,5.00,6.00,6.00,7.00,5.00,6.00,6.00,4.00,207,208,202,'COQUEIROS','FLORIANOPOLIS','SC',7914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176335,5.00,8.00,4.00,1.00,9.00,5.25,7.00,6.00,4.00,104,9,NULL,'CENTRO','SANTA MARIA','RS',8125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176343,1.00,7.00,2.00,3.00,6.00,5.25,4.00,6.00,2.00,211,324,238,'SACO DOS LIMOES','FLORIANOPOLIS','SC',16199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176351,2.00,7.00,6.00,7.00,5.00,6.00,3.00,6.00,3.00,213,212,202,'JARDIM MORUMBI','PINDAMONHANGABA','SP',10291,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176360,1.00,5.00,4.00,3.00,6.00,4.00,2.00,6.00,4.00,104,102,NULL,'CENTRO','PAULO LOPES','SC',17910,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176378,7.00,5.00,7.00,5.00,7.00,5.75,5.00,7.00,2.00,101,339,NULL,'CENTRO','FLORIANOPOLIS','SC',6550,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176394,5.00,7.00,1.00,5.00,7.00,3.50,5.00,6.00,3.00,234,501,NULL,'TAPERA','FLORIANOPOLIS','SC',11271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176416,5.00,5.00,8.00,7.00,6.00,5.00,7.00,7.00,5.00,103,202,NULL,'CENTRO','SAO FRANCISCO DO SUL','SC',4399,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2176424,2.00,6.00,3.00,5.00,8.00,6.00,5.00,5.00,3.00,216,104,215,'GLÓRIA','VACARIA','RS',13229,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2176432,6.00,8.00,2.00,7.00,6.00,5.75,6.00,8.00,3.00,203,425,201,'CARIANOS','FLORIANOPOLIS','SC',6660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176440,3.00,5.00,5.00,7.00,8.00,5.00,5.00,3.00,2.00,103,108,NULL,'PARAISO','CACADOR','SC',11969,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2176459,5.00,8.00,7.00,8.00,9.00,4.75,6.00,5.00,4.00,207,444,215,'SÃO CRISTÓVÃO','LAGES','SC',4258,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2176467,1.00,4.00,2.00,6.00,6.00,4.50,6.00,4.00,2.00,108,502,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',17573,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176475,5.00,6.00,6.00,5.00,4.00,6.00,6.00,4.00,5.00,103,104,NULL,'JARDIM CARVALHO','PONTA GROSSA','PR',8794,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2176483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,320,NULL,'CENTRO','SANTO ANGELO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2176491,6.00,3.00,4.00,0.00,4.00,NULL,5.00,5.00,3.00,234,108,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176505,3.00,8.00,4.00,2.00,7.00,7.25,9.00,7.00,5.00,103,102,NULL,'BATEL','CURITIBA','PR',6963,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2176513,6.00,8.00,7.00,7.00,8.00,8.00,4.00,7.00,4.00,319,428,NULL,'CENTRO','SAO LUDGERO','SC',3577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176521,3.00,6.00,4.00,6.00,6.00,5.25,5.00,7.00,2.00,5,333,NULL,'CENTRO','PALHOCA','SC',10702,465,678,NULL,NULL,NULL,NULL,2,1),(15,2176530,1.00,7.00,3.00,5.00,7.00,3.50,2.00,4.00,2.00,207,424,212,'VILA SÃO PEDRO','MALLET','PR',16646,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2176548,1.00,6.00,2.00,6.00,5.00,5.25,3.00,3.00,2.00,332,333,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',18411,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176556,4.00,7.00,3.00,7.00,7.00,5.00,6.00,6.00,5.00,212,207,213,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176564,5.00,6.00,5.00,5.00,7.00,5.50,5.00,6.00,4.00,318,304,NULL,'CENTRO','SAO BENTO DO SUL','SC',9061,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2176580,1.00,3.00,3.00,2.00,5.00,5.75,3.00,4.00,3.00,9,102,NULL,'CENTRO','PALHOCA','SC',20319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176599,2.00,2.00,1.00,4.00,5.00,4.50,2.00,3.00,3.00,104,217,NULL,'MENINO DEUS','SALTO DO JACUI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176602,3.00,8.00,3.00,5.00,6.00,4.00,5.00,6.00,4.00,101,102,NULL,'COSTEIRA','FLORIANOPOLIS','SC',12109,92,883,NULL,NULL,NULL,NULL,2,1),(15,2176610,5.00,6.00,4.00,5.00,8.00,6.50,4.00,6.00,1.00,108,319,NULL,'CENTRO','FLORIANOPOLIS','SC',9626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176629,3.00,6.00,4.00,5.00,5.00,5.50,9.00,3.00,3.00,420,103,NULL,'CAMPINAS','SAO JOSE','SC',10976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176637,2.00,4.00,0.00,1.00,6.00,NULL,2.00,2.00,1.00,207,NULL,NULL,'VILA QUITAÚNA','OSASCO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,216,203,'JARDIM DAS COLINAS','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2176670,4.00,5.00,7.00,6.00,6.00,5.00,6.00,5.00,2.00,333,238,NULL,'COQUEIROS','FLORIANOPOLIS','SC',11047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176688,4.00,7.00,2.00,6.00,7.00,5.25,6.00,7.00,4.00,327,326,NULL,'BELA VISTA','SAO JOSE','SC',8964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176696,5.00,6.00,4.00,7.00,5.00,5.50,6.00,6.00,2.00,501,211,NULL,'CENTRO','CHAPECO','SC',8748,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2176700,2.00,6.00,6.00,8.00,4.00,3.50,8.00,5.00,5.00,203,213,214,'CENTRO','JOACABA','SC',8253,658,NULL,NULL,NULL,NULL,NULL,5,7),(15,2176718,1.00,2.00,4.00,6.00,5.00,6.00,3.00,4.00,3.00,9,301,NULL,'INGLESES','FLORIANOPOLIS','SC',18643,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176734,0.00,6.00,1.00,4.00,2.00,NULL,3.00,6.00,2.00,238,208,215,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2176742,3.00,4.00,1.00,0.00,6.00,4.25,2.00,5.00,2.00,420,421,NULL,'CENTRO','FLORIANOPOLIS','SC',21745,432,166,NULL,NULL,NULL,NULL,4,1),(15,2176750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,424,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2176769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,320,NULL,'MENINO DEUS','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2176777,7.00,7.00,5.00,6.00,6.00,4.25,7.00,8.00,7.00,420,NULL,NULL,'PROENCA','CAMPINAS','SP',3925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176785,2.00,5.00,3.00,2.00,6.00,5.25,5.00,4.00,4.00,316,329,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',17447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176793,5.00,8.00,2.00,7.00,8.00,5.25,7.00,6.00,4.00,424,425,423,'CENTRO','ARMAZEM','SC',7360,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2176807,3.00,5.00,4.00,7.00,7.00,5.50,4.00,5.00,2.00,108,102,NULL,'ALVORADA','MARMELEIRO','PR',11332,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2176815,1.00,8.00,5.00,8.00,7.00,7.00,3.00,5.00,2.00,326,424,NULL,'SANTA CATARINA','CRICIUMA','SC',10439,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(15,2176831,6.00,6.00,5.00,3.00,5.00,7.00,8.00,3.00,4.00,207,104,NULL,'LARANJEIRAS','RIO DO SUL','SC',9882,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2176840,2.00,3.00,1.00,6.00,7.00,6.25,1.00,5.00,2.00,5,303,NULL,'ZONA RURAL','ARATIBA','RS',18040,748,1281,NULL,NULL,NULL,NULL,2,4),(15,2176858,3.00,6.00,2.00,3.00,7.00,5.25,3.00,4.00,2.00,5,217,NULL,'BELA VISTA','SAO JOSE','SC',17423,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176866,5.00,8.00,6.00,7.00,6.00,6.75,6.00,6.00,4.00,301,310,NULL,'PIO CORREA','CRICIUMA','SC',4369,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2176874,6.00,8.00,7.00,7.00,8.00,5.50,7.00,8.00,4.00,238,327,233,'FAZENDA STO ANTONIO','SAO JOSE','SC',3304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176882,2.00,5.00,3.00,3.00,6.00,5.25,6.00,4.00,2.00,207,420,201,'VILA PINHEIRO','PIRASSUNUNGA','SP',18635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176890,5.00,7.00,4.00,8.00,7.00,7.50,6.00,6.00,5.00,310,303,NULL,'CENTRO','CHAPECO','SC',4108,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2176904,3.00,6.00,3.00,6.00,4.00,4.50,2.00,4.00,4.00,501,202,NULL,'JARDIM MONDAY II','ITAIPULANDIA','PR',17451,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2176912,1.00,3.00,3.00,1.00,4.00,NULL,2.00,2.00,0.00,339,308,NULL,'JARDIM ZANELLATO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176920,5.00,6.00,6.00,6.00,6.00,5.75,5.00,6.00,2.00,415,427,NULL,'CENTRO','FLORIANOPOLIS','SC',9278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176939,3.00,7.00,6.00,8.00,8.00,5.50,7.00,6.00,5.00,211,444,203,'VILA ESPERANÇA','IMBITUBA','SC',4659,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2176947,2.00,7.00,3.00,4.00,4.00,6.25,1.00,5.00,2.00,303,309,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',18211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176955,2.00,6.00,4.00,5.00,6.00,5.50,6.00,3.00,3.00,333,108,NULL,'HIGIENÓPOLIS','PORTO ALEGRE','RS',12773,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176963,0.00,6.00,3.00,2.00,4.00,NULL,3.00,2.00,2.00,224,223,NULL,'NOSSA SRA DO ROSARIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176971,4.00,7.00,3.00,2.00,6.00,5.75,6.00,6.00,5.00,108,NULL,NULL,'BARREIROS','SAO JOSE','SC',11118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2176980,2.00,5.00,2.00,5.00,5.00,6.00,4.00,5.00,3.00,213,202,233,'IPIRANGA','SAO JOSE','SC',16272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2176998,7.00,8.00,9.00,8.00,8.00,6.50,8.00,8.00,9.00,103,216,NULL,'CENTRO','XANXERE','SC',214,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2177005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,301,NULL,'VILA ROSA','PRESIDENTE PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2177013,8.00,8.00,8.00,8.00,9.00,7.50,8.00,7.00,8.00,103,102,NULL,'VILA DO HOSPITAL','BOITUVA','SP',331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177021,4.00,9.00,5.00,8.00,9.00,6.50,6.00,6.00,2.00,415,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',5159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177030,3.00,6.00,1.00,2.00,5.00,6.00,4.00,5.00,2.00,303,421,NULL,'COQUEIROS','FLORIANOPOLIS','SC',17382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177056,6.00,5.00,3.00,5.00,5.00,5.00,5.00,6.00,4.00,108,217,NULL,'AVAÍ','GUARAMIRIM','SC',12525,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2177064,1.00,7.00,3.00,6.00,5.00,5.00,3.00,5.00,3.00,320,423,NULL,'S C DE JESUS','LAGES','SC',15109,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2177072,4.00,8.00,5.00,7.00,9.00,6.75,6.00,7.00,4.00,302,324,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',4373,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2177080,2.00,7.00,7.00,5.00,6.00,6.75,6.00,6.00,3.00,216,212,233,'ALTO PARAÍSO','PANAMBI','RS',7655,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2177099,2.00,7.00,4.00,5.00,5.00,5.00,6.00,7.00,3.00,238,428,208,'CENTRO','FLORIANOPOLIS','SC',11659,409,185,412,NULL,NULL,NULL,2,1),(15,2177110,2.00,4.00,1.00,3.00,5.00,4.75,4.00,5.00,4.00,9,425,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',20681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177129,1.00,8.00,1.00,0.00,7.00,6.00,3.00,5.00,2.00,203,212,202,'CAPOEIRAS','FLORIANOPOLIS','SC',17835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,NULL,'JARDIM ESMERALDA','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2177145,5.00,7.00,5.00,8.00,8.00,5.50,4.00,8.00,4.00,104,423,NULL,'CANTO','FLORIANOPOLIS','SC',4872,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2177153,2.00,4.00,6.00,4.00,7.00,4.50,4.00,6.00,2.00,215,9,202,'CENTRO','ARATIBA','RS',15362,305,600,560,NULL,NULL,NULL,2,4),(15,2177170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,5,NULL,'ABRHÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2177196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'GANCHOS DO MEIO','GOVERNADOR CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2177200,4.00,7.00,8.00,6.00,8.00,6.00,7.00,6.00,6.00,103,101,NULL,'PROGRESSO','BLUMENAU','SC',4229,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2177218,4.00,7.00,7.00,6.00,7.00,5.00,5.00,7.00,6.00,327,326,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',4551,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2177234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,215,423,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2177250,4.00,8.00,7.00,5.00,7.00,5.25,7.00,5.00,7.00,103,102,NULL,'CENTRO','UMUARAMA','PR',4157,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2177269,7.00,7.00,7.00,7.00,7.00,5.50,6.00,8.00,5.00,208,220,216,'VILA OPERÁRIA','ITAJAI','SC',2381,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2177277,2.00,4.00,1.00,3.00,4.00,NULL,3.00,2.00,0.00,339,319,NULL,'BARRA DE IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177285,3.00,9.00,4.00,7.00,8.00,7.75,5.00,9.00,3.00,328,303,NULL,'CENTRO','IRANI','SC',5360,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2177293,3.00,4.00,3.00,5.00,8.00,6.75,5.00,6.00,2.00,9,444,NULL,'RIO GRANDE','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177307,3.00,2.00,1.00,2.00,4.00,NULL,5.00,2.00,1.00,215,333,NULL,'SERTÃO DOS CORREAS','ARMAZEM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2177323,5.00,6.00,4.00,7.00,8.00,7.75,6.00,6.00,4.00,102,211,NULL,'CRUZEIRO','SANTA ROSA','RS',5767,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2177331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,214,220,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2177340,3.00,9.00,6.00,5.00,8.00,4.50,7.00,8.00,4.00,202,207,208,'JARDIM DAS NAÇÕES','TAUBATE','SP',5602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177358,2.00,9.00,8.00,8.00,9.00,4.75,7.00,6.00,3.00,212,9,238,'PANTANAL','FLORIANOPOLIS','SC',4000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177366,5.00,8.00,5.00,6.00,7.00,5.75,7.00,6.00,4.00,212,NULL,NULL,'CENTRO','CRICIUMA','SC',5398,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2177382,5.00,8.00,5.00,7.00,8.00,7.25,5.00,6.00,5.00,101,319,NULL,'JARDIM SÃO LOURENÇO','CAMPO GRANDE','MS',3847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2177390,2.00,4.00,4.00,5.00,7.00,5.75,4.00,6.00,4.00,319,339,NULL,'CENTRO','PALMITOS','SC',14040,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2177404,2.00,2.00,3.00,0.00,6.00,NULL,2.00,3.00,1.00,317,302,NULL,'CENTRO','PRINCESA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2177412,3.00,5.00,3.00,4.00,7.00,5.25,6.00,5.00,2.00,326,451,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',14312,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2177420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'VILA EMA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2177439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,217,NULL,'ABRAÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2177455,8.00,8.00,9.00,8.00,8.00,7.00,8.00,7.00,9.00,103,217,NULL,'LIBERDADE','SAO PAULO','SP',223,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2177463,2.00,5.00,6.00,3.00,5.00,5.75,2.00,3.00,1.00,207,103,NULL,'CENTRO','GUARUJA DO SUL','SC',19501,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2177480,4.00,8.00,7.00,6.00,6.00,6.50,8.00,6.00,6.00,203,216,202,'CENTRO','SANTA MARIA','RS',3937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177498,4.00,3.00,4.00,1.00,7.00,6.75,3.00,3.00,3.00,319,339,NULL,'SERTÃO DO MARUIM','SAO JOSE','SC',17550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177501,2.00,4.00,1.00,3.00,7.00,NULL,1.00,5.00,1.00,220,301,213,'ANDORINHA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2177510,5.00,5.00,3.00,3.00,6.00,5.50,5.00,6.00,3.00,303,5,NULL,'MAGALHAES','LAGUNA','SC',13053,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2177528,2.00,6.00,0.00,5.00,5.00,5.75,1.00,4.00,2.00,415,319,NULL,'COLONIAL','SAO BENTO DO SUL','SC',19921,505,922,NULL,NULL,NULL,NULL,4,3),(15,2177536,3.00,8.00,5.00,6.00,6.00,7.25,6.00,6.00,3.00,103,108,NULL,'ESTREITO','FLORIANOPOLIS','SC',7270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'JD RÚBIO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2177560,4.00,5.00,7.00,3.00,7.00,6.25,9.00,6.00,6.00,103,9,NULL,'JD PANCERA','TOLEDO','PR',5991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177579,2.00,7.00,1.00,4.00,6.00,5.25,3.00,3.00,1.00,308,301,NULL,'PASSA VINTE','PALHOCA','SC',19466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2177587,3.00,6.00,3.00,0.00,6.00,NULL,5.00,3.00,4.00,104,304,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177595,4.00,6.00,3.00,7.00,7.00,7.50,6.00,7.00,4.00,303,302,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',6382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177609,4.00,6.00,3.00,3.00,6.00,7.00,3.00,5.00,2.00,9,217,NULL,'ESTREITO','FLORIANOPOLIS','SC',15100,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2177617,5.00,6.00,4.00,6.00,6.00,4.00,5.00,4.00,3.00,420,207,NULL,'TTUAPÉ','SAO PAULO','SP',12224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177625,5.00,9.00,4.00,6.00,9.00,5.75,4.00,4.00,2.00,319,415,NULL,'BARREIROS','SAO JOSE','SC',8845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2177633,2.00,7.00,4.00,6.00,2.00,NULL,5.00,3.00,4.00,108,501,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2177641,2.00,7.00,4.00,5.00,6.00,5.00,2.00,7.00,3.00,303,310,NULL,'CAMPINAS','SAO JOSE','SC',13322,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2177650,4.00,7.00,8.00,6.00,7.00,5.50,7.00,7.00,5.00,301,318,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',3770,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2177668,7.00,8.00,4.00,6.00,9.00,6.00,7.00,4.00,3.00,104,309,NULL,'MAR GROSSO','LAGUNA','SC',5258,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2177676,5.00,8.00,5.00,7.00,8.00,6.00,5.00,6.00,5.00,304,318,NULL,'AGOSTINE','SAO MIGUEL DOESTE','SC',5125,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2177684,1.00,7.00,2.00,4.00,6.00,5.75,4.00,6.00,5.00,104,217,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177706,3.00,7.00,4.00,5.00,6.00,7.25,5.00,6.00,3.00,103,104,NULL,'CENTRO','FAXINAL DOS GUEDES','SC',10119,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2177714,5.00,8.00,6.00,7.00,7.00,6.00,8.00,7.00,4.00,316,211,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',3946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177722,8.00,7.00,6.00,6.00,8.00,7.00,7.00,4.00,5.00,103,318,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',3989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177749,2.00,7.00,1.00,4.00,3.00,6.00,3.00,3.00,2.00,444,404,NULL,'AMERICA','JOINVILLE','SC',19638,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2177757,1.00,8.00,4.00,6.00,5.00,5.25,7.00,4.00,3.00,203,324,233,'SÃO JUDAS','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2177765,5.00,6.00,2.00,7.00,7.00,5.50,5.00,4.00,3.00,404,427,NULL,'PONTE DO IMARUIM','PALHOCA','SC',11772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2177773,4.00,8.00,4.00,3.00,6.00,5.25,7.00,4.00,2.00,5,201,NULL,'CENTRO','FLORIANOPOLIS','SC',12554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177790,4.00,3.00,3.00,5.00,6.00,4.00,6.00,5.00,2.00,5,102,NULL,'ESTREITO','FLORIANOPOLIS','SC',15951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2177803,3.00,2.00,4.00,2.00,8.00,5.25,4.00,3.00,3.00,238,208,NULL,'ESTREITO','FLORIANOPOLIS','SC',18821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177811,5.00,7.00,3.00,1.00,6.00,3.50,5.00,6.00,5.00,103,216,NULL,'SÃO CRISTÓVÃO','UNIAO DA VITORIA','PR',12667,2413,760,NULL,NULL,NULL,NULL,4,1),(15,2177820,5.00,7.00,8.00,7.00,7.00,8.00,8.00,5.00,3.00,222,223,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',3945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177838,2.00,3.00,4.00,0.00,2.00,NULL,0.00,1.00,1.00,238,222,208,'PICADAS DO SUL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2177846,6.00,8.00,6.00,10.00,7.00,4.50,7.00,8.00,6.00,208,420,238,'ESTREITO','FLORIANOPOLIS','SC',1988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177854,5.00,7.00,5.00,6.00,8.00,6.00,7.00,8.00,4.00,207,234,211,'CENTRO','FLORIANOPOLIS','SC',4392,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2177900,3.00,5.00,1.00,4.00,6.00,6.25,2.00,3.00,1.00,333,108,NULL,'SERTAO DO MARUIM','SAO JOSE','SC',20510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2177919,5.00,6.00,7.00,8.00,5.00,5.75,6.00,5.00,4.00,415,420,NULL,'ESTREITO','FLORIANOPOLIS','SC',5709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177927,1.00,2.00,2.00,3.00,2.00,NULL,2.00,4.00,2.00,451,333,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2177935,3.00,7.00,3.00,1.00,6.00,4.75,2.00,4.00,3.00,327,332,NULL,'CENTRO','SAO JOAQUIM','SC',17631,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2177943,5.00,5.00,2.00,6.00,8.00,5.75,5.00,6.00,3.00,303,309,NULL,'VILA ALVORADA','IMBITUBA','SC',9551,512,109,NULL,NULL,NULL,NULL,2,1),(15,2177951,2.00,6.00,4.00,7.00,7.00,7.00,5.00,4.00,2.00,308,339,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',12249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2177960,6.00,5.00,4.00,6.00,6.00,6.50,5.00,5.00,3.00,415,420,NULL,'JABAQUARA','SAO PAULO','SP',9374,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2177986,5.00,7.00,5.00,1.00,8.00,7.75,2.00,5.00,1.00,208,316,207,'USINA','ANTONIO CARLOS','SC',12956,484,982,632,NULL,NULL,NULL,4,1),(15,2178001,1.00,4.00,5.00,8.00,7.00,6.25,5.00,5.00,2.00,220,213,233,'BARRANCA','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2178010,6.00,6.00,5.00,6.00,6.00,7.00,5.00,5.00,2.00,303,301,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178028,5.00,7.00,3.00,6.00,9.00,5.75,6.00,4.00,5.00,103,9,NULL,'ÁGUA VERDE','CURITIBA','PR',6092,1643,440,NULL,NULL,NULL,NULL,2,8),(15,2178036,6.00,9.00,8.00,9.00,7.00,7.00,7.00,8.00,4.00,103,9,NULL,'CAMPECHE','FLORIANOPOLIS','SC',1271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178044,4.00,8.00,5.00,6.00,7.00,6.00,4.00,7.00,4.00,501,421,NULL,'CENTRO','PALHOCA','SC',6705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2178052,6.00,8.00,9.00,6.00,8.00,4.50,7.00,7.00,6.00,301,238,NULL,'CENTRO','RIO NEGRO','PR',2033,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2178060,3.00,7.00,6.00,2.00,6.00,4.75,7.00,7.00,6.00,316,327,NULL,'ARIRIU DA FORMIGA','PALHOCA','SC',9789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178079,4.00,7.00,1.00,4.00,7.00,5.75,2.00,4.00,3.00,316,308,NULL,'PONTE DE IMARUIM','PALHOCA','SC',15590,431,337,NULL,NULL,NULL,NULL,2,1),(15,2178087,4.00,7.00,1.00,5.00,8.00,6.00,7.00,6.00,3.00,303,207,NULL,'CENTRO','SAO JOSE','SC',9842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2178095,1.00,4.00,2.00,1.00,3.00,NULL,2.00,3.00,2.00,203,9,214,'PONTA DE BAIXO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178109,2.00,6.00,0.00,7.00,7.00,5.50,4.00,8.00,2.00,301,415,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',12996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178117,3.00,4.00,0.00,2.00,3.00,5.50,3.00,5.00,2.00,302,333,NULL,'CENTRO','ANTONIO CARLOS','SC',21263,191,1046,NULL,NULL,NULL,NULL,4,1),(15,2178125,3.00,8.00,4.00,6.00,7.00,5.75,3.00,6.00,4.00,103,316,NULL,'PIO CORREA','CRICIUMA','SC',10559,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2178133,4.00,7.00,4.00,7.00,6.00,6.25,6.00,3.00,3.00,301,216,NULL,'PONTA AGUDA','BLUMENAU','SC',8394,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2178141,3.00,3.00,3.00,5.00,4.00,5.50,2.00,5.00,1.00,201,NULL,213,'BELA VISTA I','SAO JOSE','SC',19992,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2178150,3.00,7.00,4.00,6.00,6.00,4.75,5.00,6.00,2.00,319,301,NULL,'MONTE CASTELO','TUBARAO','SC',11676,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2178168,0.00,6.00,4.00,6.00,6.00,5.00,2.00,3.00,3.00,415,319,NULL,'CENTRO','FLORIANOPOLIS','SC',19054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178176,1.00,7.00,1.00,1.00,3.00,2.00,5.00,7.00,2.00,426,327,428,'SÃO VICENTE','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2178192,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,103,102,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2178206,3.00,8.00,5.00,7.00,4.00,3.75,6.00,7.00,2.00,103,208,NULL,'SANTA MARIA','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2178214,2.00,4.00,2.00,3.00,5.00,4.50,2.00,5.00,2.00,103,415,NULL,'CENTRO','CONCORDIA','SC',20694,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2178222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,234,NULL,'CHÁCARA SANTO ANTONI','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2178230,1.00,5.00,3.00,5.00,6.00,7.50,5.00,6.00,3.00,216,NULL,NULL,'VILA NOVA','SALTO','SP',11691,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2178257,5.00,7.00,7.00,8.00,9.00,6.75,7.00,6.00,6.00,303,212,NULL,'VILASBOAS','CAMPO GRANDE','MS',2102,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2178265,6.00,7.00,3.00,6.00,8.00,5.50,7.00,4.00,4.00,318,208,NULL,'BARREIROS','SAO JOSE','SC',6597,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2178273,1.00,7.00,4.00,7.00,5.00,5.50,4.00,6.00,1.00,208,302,238,'SAÚDE','SAO PAULO','SP',15374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178281,4.00,5.00,1.00,4.00,8.00,4.50,5.00,4.00,4.00,303,331,NULL,'VILA NOVA','JOINVILLE','SC',12809,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2178290,5.00,5.00,5.00,5.00,7.00,4.50,4.00,5.00,3.00,208,222,238,'CENTRO','SAO JOAQUIM','SC',10304,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2178303,2.00,7.00,2.00,5.00,5.00,5.25,3.00,2.00,4.00,108,502,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2178320,1.00,4.00,3.00,3.00,3.00,NULL,1.00,2.00,2.00,451,415,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2178338,5.00,7.00,5.00,9.00,6.00,6.75,6.00,8.00,4.00,304,318,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',3432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178346,7.00,6.00,8.00,7.00,7.00,5.00,6.00,4.00,6.00,9,215,NULL,'MALOTA','JUNDIAI','SP',4493,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2178354,1.00,7.00,4.00,6.00,4.00,5.00,1.00,3.00,2.00,332,224,NULL,'CAMPINAS','SAO JOSE','SC',19106,116,275,NULL,NULL,NULL,NULL,2,1),(15,2178362,1.00,5.00,1.00,1.00,5.00,4.50,2.00,4.00,3.00,333,420,NULL,'SANTA ISABEL','IPUACU','SC',22003,416,940,NULL,NULL,NULL,NULL,4,4),(15,2178370,1.00,7.00,3.00,5.00,7.00,5.75,3.00,6.00,3.00,324,420,NULL,'ARMAÇÃO PANTANO SUL','FLORIANOPOLIS','SC',13828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178389,5.00,7.00,4.00,1.00,4.00,5.00,4.00,5.00,2.00,501,502,NULL,'SANTANA','PORTO ALEGRE','RS',15689,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2178397,2.00,7.00,2.00,8.00,8.00,7.50,3.00,7.00,2.00,327,326,NULL,'FORQUILHINHAS','SAO JOSE','SC',9267,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2178400,4.00,3.00,4.00,3.00,5.00,6.00,3.00,3.00,1.00,212,201,207,'VILA KURTZ','CACADOR','SC',19139,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2178419,4.00,7.00,3.00,4.00,8.00,4.75,4.00,4.00,3.00,102,211,NULL,'CENTRO','ERECHIM','RS',12929,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2178427,5.00,7.00,5.00,6.00,9.00,6.50,7.00,8.00,4.00,103,202,NULL,'PONTA AGUDA','BLUMENAU','SC',2538,NULL,NULL,NULL,NULL,NULL,NULL,4,2);
INSERT INTO boletim_desempenho VALUES (15,2178435,2.00,2.00,2.00,1.00,5.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'JARDIN PARAISO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2178443,2.00,4.00,0.00,3.00,2.00,NULL,5.00,4.00,2.00,104,333,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2178451,7.00,7.00,8.00,8.00,7.00,5.50,6.00,4.00,6.00,103,333,NULL,'ZONA SETE','MARINGA','PR',3832,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2178460,7.00,7.00,8.00,6.00,8.00,7.00,8.00,7.00,7.00,103,319,NULL,'SANTO ANTONIO','CAJURU','SP',1240,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2178478,4.00,8.00,8.00,6.00,8.00,6.00,6.00,6.00,4.00,212,201,214,'CENTRO','FLORIANOPOLIS','SC',4251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178486,1.00,7.00,3.00,9.00,8.00,7.00,4.00,8.00,2.00,425,420,429,'JURERÊ','FLORIANOPOLIS','SC',7435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,317,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2178508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2178516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TAGUATINGA NORTE','TAGUATINGA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2178524,4.00,9.00,7.00,9.00,7.00,6.75,7.00,5.00,5.00,201,423,212,'ESTREITO','FLORIANOPOLIS','SC',3852,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2178532,3.00,6.00,3.00,3.00,8.00,6.75,5.00,5.00,4.00,108,NULL,NULL,'RESIDENCIAL ELDORADO','TREMEMBE','SP',12023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178540,1.00,6.00,4.00,7.00,7.00,5.50,5.00,4.00,2.00,303,415,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(15,2178559,3.00,5.00,3.00,6.00,7.00,6.00,6.00,3.00,3.00,211,501,207,'VILA JOANA','JUNDIAI','SP',12819,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2178575,6.00,7.00,4.00,5.00,7.00,4.75,2.00,5.00,3.00,327,426,NULL,'JARDIM ELDORADO','PALHOCA','SC',12149,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2178583,1.00,6.00,2.00,1.00,6.00,5.25,6.00,8.00,1.00,420,318,NULL,'CAMPECHE','FLORIANOPOLIS','SC',16835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,211,233,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2178605,0.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,415,420,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(15,2178613,4.00,6.00,4.00,8.00,9.00,6.50,5.00,8.00,3.00,420,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',5935,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2178621,2.00,7.00,2.00,6.00,7.00,4.75,2.00,3.00,2.00,9,215,NULL,'BELA VISTA I','SAO JOSE','SC',17464,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2178630,4.00,7.00,4.00,6.00,6.00,6.25,4.00,4.00,3.00,108,333,NULL,'ATIRADORES','JOINVILLE','SC',12522,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2178664,4.00,8.00,4.00,7.00,9.00,4.00,6.00,8.00,5.00,415,426,NULL,'TRINDADE','FLORIANOPOLIS','SC',4715,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2178672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,501,NULL,'JARDIM LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2178680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2178699,4.00,4.00,1.00,4.00,7.00,6.50,5.00,2.00,1.00,104,451,NULL,'CENTRO','CRICIUMA','SC',18518,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2178702,5.00,7.00,7.00,8.00,7.00,5.75,7.00,6.00,3.00,211,429,238,'TRINDADE','FLORIANOPOLIS','SC',5192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,203,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2178729,6.00,8.00,7.00,8.00,8.00,7.00,7.00,9.00,6.00,303,328,NULL,'CENTRO','FLORIANOPOLIS','SC',480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178737,2.00,2.00,3.00,4.00,7.00,3.50,3.00,2.00,5.00,102,216,NULL,'GUABIRUBA SUL','GUABIRUBA','SC',19777,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2178745,1.00,6.00,6.00,4.00,7.00,6.50,1.00,5.00,3.00,203,2,202,'PIONEIROS','ITA','SC',13893,917,204,523,NULL,NULL,NULL,2,4),(15,2178753,5.00,6.00,5.00,5.00,8.00,4.75,8.00,5.00,5.00,220,201,202,'TRINDADE','FLORIANOPOLIS','SC',6692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178761,5.00,7.00,5.00,8.00,5.00,5.75,8.00,7.00,6.00,103,333,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178770,3.00,6.00,4.00,2.00,7.00,5.75,4.00,4.00,2.00,108,NULL,NULL,'PARQUE BANDEIRANTES','RIBEIRAO PRETO','SP',16417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178788,4.00,9.00,5.00,7.00,6.00,4.50,6.00,9.00,3.00,303,203,NULL,'CENTRO','TUBARAO','SC',4785,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2178800,5.00,8.00,5.00,4.00,8.00,6.25,6.00,6.00,4.00,108,217,NULL,'SANTO ANTÔNIO DE LIS','FLORIANOPOLIS','SC',6023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178818,4.00,6.00,3.00,6.00,7.00,6.25,4.00,5.00,2.00,103,303,NULL,'CENTRO','PORTO UNIAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2178826,3.00,5.00,4.00,1.00,1.00,NULL,3.00,2.00,2.00,216,NULL,NULL,'NOBA BRASILIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2178834,4.00,8.00,9.00,7.00,7.00,5.00,8.00,7.00,5.00,220,225,208,'JARDIM SULMAT','DOURADOS','MS',2896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178850,5.00,5.00,4.00,2.00,6.00,6.00,4.00,3.00,3.00,450,310,NULL,'VILA BARUEL','SAO PAULO','SP',14834,153,152,NULL,NULL,NULL,NULL,4,1),(15,2178869,3.00,8.00,3.00,5.00,7.00,6.25,5.00,3.00,6.00,103,102,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',9988,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2178877,0.00,4.00,1.00,7.00,5.00,NULL,2.00,1.00,1.00,101,NULL,NULL,'FLORESTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2178885,8.00,8.00,9.00,8.00,9.00,5.25,9.00,9.00,9.00,103,220,NULL,'CENTRO','SANTA MARIA','RS',116,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2178893,4.00,8.00,2.00,4.00,7.00,5.50,5.00,7.00,4.00,316,304,NULL,'PANTANAL','FLORIANOPOLIS','SC',8451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178907,1.00,4.00,4.00,1.00,5.00,NULL,2.00,2.00,2.00,104,9,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178915,4.00,7.00,8.00,5.00,8.00,5.75,5.00,6.00,7.00,201,213,212,'FLORESTA','JOINVILLE','SC',4269,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2178923,0.00,0.00,2.00,0.00,1.00,NULL,4.00,0.00,0.00,502,211,NULL,'PERTOPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2178931,5.00,8.00,5.00,6.00,9.00,7.00,7.00,5.00,4.00,101,217,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',3532,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178940,4.00,6.00,6.00,8.00,8.00,6.25,7.00,5.00,3.00,201,2,212,'CACUPE','FLORIANOPOLIS','SC',5355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178958,6.00,8.00,8.00,6.00,9.00,5.75,7.00,5.00,5.00,203,222,233,'CENTRO','ARAPONGAS','PR',3386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2178966,3.00,3.00,4.00,5.00,5.00,6.25,3.00,2.00,3.00,444,428,NULL,'FORQUILHINHAS','SAO JOSE','SC',19408,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179008,3.00,4.00,0.00,7.00,4.00,NULL,5.00,4.00,2.00,211,108,213,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2179016,2.00,4.00,0.00,2.00,2.00,NULL,3.00,5.00,1.00,303,5,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179024,2.00,4.00,3.00,4.00,5.00,3.50,3.00,4.00,2.00,332,501,NULL,'CAMPECHE','FLORIANOPOLIS','SC',21058,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179040,3.00,7.00,6.00,7.00,7.00,5.50,7.00,8.00,3.00,203,103,216,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179059,3.00,6.00,2.00,8.00,7.00,6.25,3.00,4.00,2.00,104,303,NULL,'CENTRO','JARAGUA DO SUL','SC',13411,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2179067,5.00,6.00,3.00,7.00,8.00,5.25,6.00,8.00,3.00,415,316,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179075,1.00,6.00,4.00,6.00,7.00,3.00,5.00,5.00,4.00,316,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',14632,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179083,7.00,8.00,7.00,6.00,6.00,7.00,6.00,5.00,6.00,103,102,NULL,'CENTRO','LAGES','SC',3368,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179091,7.00,7.00,5.00,7.00,8.00,7.00,7.00,7.00,3.00,103,319,NULL,'MATINHO','XANXERE','SC',4170,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2179105,1.00,7.00,2.00,1.00,4.00,5.00,2.00,2.00,5.00,203,220,214,'CAMPECHE','FLORIANOPOLIS','SC',20484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179113,7.00,8.00,9.00,7.00,8.00,6.25,9.00,8.00,8.00,214,203,212,'SÃO LUIZ','CRICIUMA','SC',560,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2179121,3.00,7.00,7.00,7.00,8.00,6.75,4.00,6.00,3.00,207,420,NULL,'JARDIM UMUARAMA','SAO PAULO','SP',6129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179130,0.00,3.00,0.00,0.00,4.00,NULL,3.00,3.00,2.00,103,9,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2179148,2.00,5.00,4.00,2.00,4.00,3.75,2.00,4.00,2.00,501,223,NULL,'JARDIM PLANALTO','GOIANIA','GO',21567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179156,6.00,8.00,8.00,9.00,8.00,3.00,8.00,5.00,5.00,233,217,208,'VILA MOEMA','TUBARAO','SC',3292,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2179164,2.00,6.00,2.00,3.00,4.00,3.50,3.00,6.00,2.00,211,324,212,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',20777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179172,5.00,4.00,6.00,5.00,8.00,4.50,7.00,2.00,3.00,203,208,202,'BARREIROS','SAO JOSE','SC',11204,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179180,6.00,5.00,5.00,6.00,6.00,6.25,6.00,4.00,4.00,103,216,NULL,'MATINHO','XANXERE','SC',8837,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2179199,4.00,4.00,4.00,3.00,7.00,5.50,2.00,2.00,3.00,316,211,NULL,'DONA WANDA','SAO JOSE','SC',18975,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179202,1.00,6.00,2.00,0.00,5.00,NULL,2.00,3.00,3.00,217,317,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179210,5.00,8.00,9.00,8.00,8.00,5.00,8.00,5.00,6.00,103,101,NULL,'CENTRO','FLORIANOPOLIS','SC',2115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179229,4.00,7.00,3.00,5.00,6.00,5.50,6.00,3.00,2.00,102,9,NULL,'VILA NOVA','BLUMENAU','SC',14270,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2179237,1.00,1.00,1.00,4.00,5.00,NULL,4.00,5.00,0.00,101,207,NULL,'MORRO DOS BUSS','SAO BONIFACIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,104,207,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2179253,3.00,4.00,3.00,4.00,5.00,5.50,4.00,4.00,2.00,339,327,NULL,'ESTREITO','FLORIANOPOLIS','SC',19592,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179261,4.00,5.00,1.00,1.00,5.00,2.50,2.00,6.00,0.00,318,415,NULL,'BOMFIM','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179270,1.00,7.00,6.00,8.00,8.00,5.50,7.00,6.00,4.00,208,102,238,'J DAS HORTÊNCIAS','JOACABA','SC',6189,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2179288,7.00,8.00,4.00,7.00,8.00,5.25,8.00,5.00,6.00,103,108,NULL,'ASA NORTE','BRASILIA','DF',3806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179296,3.00,6.00,4.00,4.00,3.00,3.00,5.00,3.00,3.00,201,233,216,'COLATO','XANXERE','SC',17540,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2179300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,333,NULL,'VILA POMPEIA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2179318,3.00,5.00,1.00,2.00,5.00,4.00,4.00,2.00,2.00,211,103,233,'CENTRO','PALHOCA','SC',21327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179326,5.00,6.00,7.00,6.00,8.00,5.00,7.00,5.00,4.00,203,202,208,'COQUEIROS','FLORIANOPOLIS','SC',5437,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179334,4.00,6.00,7.00,5.00,8.00,6.00,3.00,7.00,4.00,201,233,211,'SACO DOS LIMOES','FLORIANOPOLIS','SC',7415,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179342,2.00,3.00,6.00,4.00,7.00,5.75,3.00,5.00,2.00,303,301,NULL,'CENTRO','BRACO DO NORTE','SC',17130,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2179350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2179369,5.00,9.00,6.00,8.00,9.00,6.50,6.00,7.00,5.00,302,501,NULL,'CENTRO','ANTONIO CARLOS','SC',2819,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179377,2.00,7.00,4.00,6.00,6.00,5.25,4.00,3.00,1.00,238,444,NULL,'FLORESTA','SAO JOSE','SC',16055,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179393,4.00,5.00,7.00,5.00,4.00,3.50,6.00,5.00,4.00,316,234,NULL,'COSTA DA LAGOA','FLORIANOPOLIS','SC',10159,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179407,1.00,8.00,6.00,6.00,8.00,6.50,9.00,4.00,6.00,104,101,NULL,'CENTRO','FLORIANOPOLIS','SC',4681,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179415,4.00,9.00,4.00,9.00,4.00,6.25,7.00,9.00,4.00,207,301,202,'CENTRO','FLORIANOPOLIS','SC',3972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179423,1.00,7.00,2.00,6.00,3.00,3.75,1.00,5.00,2.00,203,2,214,'CENTRO','MAFRA','SC',20252,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2179431,3.00,9.00,6.00,7.00,7.00,6.00,7.00,5.00,5.00,420,301,NULL,'ESTREITO','FLORIANOPOLIS','SC',5172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179440,4.00,7.00,4.00,6.00,7.00,6.25,5.00,6.00,3.00,103,NULL,NULL,'CENTRO','GUARACI','SP',9063,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2179458,5.00,5.00,6.00,6.00,8.00,5.50,5.00,7.00,3.00,451,429,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',7083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,303,NULL,'JD SAO PAULO','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2179474,3.00,8.00,5.00,6.00,6.00,6.00,6.00,4.00,3.00,201,NULL,203,'VILA TOLENTINO','CASCAVEL','PR',9785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179482,4.00,8.00,5.00,7.00,6.00,6.25,6.00,7.00,3.00,217,420,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',4948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179490,6.00,9.00,7.00,9.00,7.00,5.75,9.00,9.00,7.00,5,320,NULL,'CENTRO','FLORIANOPOLIS','SC',780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179504,2.00,6.00,4.00,8.00,6.00,6.50,4.00,2.00,1.00,5,427,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',15878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179512,6.00,6.00,4.00,5.00,7.00,4.00,8.00,7.00,4.00,216,333,211,'BIGORRILHO','CURITIBA','PR',7081,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2179520,0.00,6.00,3.00,0.00,5.00,4.50,2.00,5.00,1.00,415,103,NULL,'CENTRO','LAGES','SC',22203,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2179539,3.00,7.00,7.00,6.00,8.00,5.25,6.00,4.00,4.00,103,NULL,NULL,'INTERIOR','CORREIA PINTO','SC',7481,1834,NULL,NULL,NULL,NULL,NULL,2,9),(15,2179547,2.00,3.00,4.00,1.00,5.00,6.00,6.00,4.00,1.00,207,223,NULL,'ARIRIÚ','PALHOCA','SC',19136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179555,3.00,6.00,3.00,3.00,2.00,NULL,3.00,4.00,2.00,324,426,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179563,3.00,5.00,7.00,3.00,7.00,6.25,7.00,6.00,2.00,415,303,NULL,'CENTRO','TAPEJARA','PR',8425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179571,5.00,8.00,6.00,2.00,7.00,3.50,5.00,5.00,6.00,103,104,NULL,'BELA VISTA','FRAIBURGO','SC',9125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179598,3.00,8.00,4.00,3.00,7.00,5.50,2.00,5.00,1.00,214,NULL,213,'JD SÃO SILVESTRE','MARINGA','PR',14866,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2179601,7.00,7.00,6.00,4.00,8.00,7.50,6.00,5.00,5.00,303,5,NULL,'ITACORUBI','FLORIANOPOLIS','SC',4126,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179610,2.00,4.00,3.00,6.00,6.00,3.75,5.00,7.00,3.00,212,201,207,'VILA PARAISO','CACADOR','SC',15143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179628,2.00,7.00,6.00,3.00,7.00,3.75,6.00,7.00,6.00,220,213,214,'PQ DAS LARANJEIRAS','GOIANIA','GO',9272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179636,5.00,8.00,7.00,5.00,7.00,6.50,6.00,5.00,5.00,234,211,NULL,'COSTA DA LAGOA','FLORIANOPOLIS','SC',5978,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179644,8.00,9.00,10.00,9.00,9.00,5.25,9.00,8.00,9.00,203,2,214,'SAGUAÇÚ','JOINVILLE','SC',26,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2179652,6.00,4.00,7.00,8.00,7.00,6.25,5.00,6.00,6.00,207,NULL,201,'BOQUEIRÃO','SANTOS','SP',4552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179660,3.00,5.00,7.00,6.00,8.00,5.25,5.00,5.00,5.00,203,214,202,'CIDADE BAIXA','PORTO ALEGRE','RS',7599,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179679,1.00,5.00,1.00,7.00,6.00,6.50,7.00,5.00,2.00,201,425,212,'CAMPECHE','FLORIANOPOLIS','SC',13994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179687,5.00,6.00,4.00,9.00,6.00,6.25,4.00,8.00,3.00,207,420,NULL,'CENTRO','FLORIANOPOLIS','SC',7398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179695,6.00,7.00,5.00,6.00,6.00,4.50,7.00,7.00,6.00,103,319,NULL,'ASA NORTE','BRASILIA','DF',5931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179709,6.00,8.00,7.00,7.00,9.00,4.50,8.00,9.00,7.00,211,326,238,'CARIANOS','FLORIANOPOLIS','SC',1044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179717,1.00,7.00,2.00,5.00,6.00,5.75,5.00,6.00,5.00,103,303,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'VISTA ALEGRE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2179733,7.00,8.00,8.00,7.00,8.00,6.50,4.00,7.00,5.00,103,108,NULL,'ALTO BIGUAÇU','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179741,2.00,4.00,0.00,0.00,3.00,NULL,1.00,2.00,1.00,203,214,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2179768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,451,424,'SANTA MONICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2179776,3.00,3.00,1.00,3.00,4.00,NULL,3.00,2.00,0.00,424,426,NULL,'CAMINHO NOVO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179792,4.00,6.00,5.00,5.00,2.00,NULL,7.00,8.00,4.00,319,9,NULL,'SANTO ANTONIO','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2179806,4.00,6.00,4.00,3.00,8.00,6.00,6.00,7.00,3.00,316,339,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',10769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179814,3.00,8.00,3.00,4.00,5.00,5.50,3.00,2.00,2.00,108,333,NULL,'SANTA RITA','SAO MIGUEL DOESTE','SC',17359,383,893,NULL,NULL,NULL,NULL,2,4),(15,2179822,1.00,6.00,2.00,5.00,5.00,5.25,3.00,3.00,1.00,423,424,427,'BOM ABRIGO','FLORIANOPOLIS','SC',20282,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179830,4.00,8.00,5.00,4.00,7.00,6.00,7.00,7.00,4.00,108,225,NULL,'PEDRA BRANCA','PALHOCA','SC',5112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179849,7.00,7.00,8.00,9.00,8.00,5.50,9.00,7.00,6.00,238,225,208,'IPIRANGA','SAO JOSE','SC',1295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179857,2.00,2.00,2.00,2.00,2.00,NULL,2.00,3.00,0.00,101,102,NULL,'FLOR DE NAPOLIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2179865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,302,NULL,'CENTRO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2179873,3.00,6.00,1.00,4.00,4.00,4.25,3.00,3.00,2.00,303,420,NULL,'CORRIDAS','ORLEANS','SC',19867,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2179881,5.00,8.00,7.00,4.00,7.00,4.75,7.00,8.00,5.00,103,319,NULL,'CENTRO','IBIUNA','SP',5324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179890,7.00,9.00,9.00,9.00,9.00,6.75,9.00,9.00,7.00,220,216,233,'CENTRO','FLORIANOPOLIS','SC',115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2179903,1.00,3.00,2.00,0.00,3.00,NULL,4.00,2.00,3.00,238,444,208,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2179911,7.00,8.00,7.00,5.00,3.00,3.50,8.00,6.00,6.00,203,233,211,'CENTRO','CAMPO MOURAO','PR',5475,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2179920,0.00,6.00,3.00,2.00,5.00,5.25,3.00,0.00,2.00,320,319,NULL,'TATUAPÉ','SAO PAULO','SP',21944,105,974,NULL,NULL,NULL,NULL,4,1),(15,2179938,4.00,3.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,10),(15,2179946,1.00,5.00,1.00,2.00,4.00,4.00,6.00,5.00,3.00,203,103,233,'CENTRO','ANTONIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179954,2.00,7.00,1.00,4.00,7.00,6.25,5.00,6.00,2.00,9,319,NULL,'VILA LALAU','JARAGUA DO SUL','SC',14976,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2179962,1.00,6.00,6.00,4.00,6.00,6.00,4.00,4.00,4.00,211,429,201,'CORREGO GRANDE','FLORIANOPOLIS','SC',11106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2179970,4.00,6.00,3.00,6.00,8.00,6.25,3.00,8.00,2.00,102,415,NULL,'CENTRO','PONTE SERRADA','SC',10959,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2179989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'CHACARA SANTO ANTONI','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2179997,4.00,7.00,7.00,5.00,6.00,4.25,8.00,6.00,8.00,103,NULL,NULL,'ASA SUL','BRASILIA','DF',4635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180006,1.00,5.00,0.00,4.00,4.00,NULL,3.00,4.00,1.00,444,327,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180014,3.00,8.00,4.00,5.00,6.00,5.00,7.00,5.00,2.00,203,214,201,'TRINDADE','FLORIANOPOLIS','SC',10228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,329,NULL,'RUBEM BERTA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2180030,0.00,5.00,5.00,2.00,7.00,4.75,2.00,4.00,2.00,211,333,201,'COQUEIROS','FLORIANOPOLIS','SC',20098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180049,7.00,8.00,3.00,5.00,7.00,7.25,6.00,7.00,2.00,103,104,NULL,'CENTRO','ANAURILANDIA','MS',4843,1405,924,NULL,NULL,NULL,NULL,2,8),(15,2180057,3.00,7.00,2.00,8.00,6.00,6.50,5.00,4.00,4.00,108,333,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,319,201,'PERPÉTUO SOCORRO','SAO LOURENCO DO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2180073,3.00,6.00,6.00,5.00,8.00,5.50,7.00,5.00,2.00,202,404,213,'LAGAO DA CONCEIÇÃO','FLORIANOPOLIS','SC',9372,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180081,2.00,4.00,1.00,4.00,6.00,3.00,3.00,6.00,4.00,303,301,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',19147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180090,4.00,6.00,4.00,7.00,7.00,4.25,6.00,5.00,3.00,317,224,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',8896,82,149,NULL,NULL,NULL,NULL,4,1),(15,2180103,3.00,4.00,4.00,1.00,8.00,3.75,0.00,5.00,2.00,404,444,NULL,'CENTRO','TIJUCAS','SC',20496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180111,4.00,6.00,1.00,1.00,5.00,NULL,2.00,6.00,0.00,103,319,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2180120,4.00,6.00,6.00,3.00,4.00,3.50,4.00,6.00,4.00,303,425,NULL,'KOBRASSOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180138,5.00,8.00,6.00,8.00,8.00,6.50,8.00,7.00,6.00,420,316,NULL,'COMERCIÁRIO','CRICIUMA','SC',1940,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2180154,5.00,8.00,8.00,9.00,8.00,6.75,7.00,9.00,4.00,5,238,NULL,'ARIRIÚ','PALHOCA','SC',1103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180162,3.00,5.00,1.00,1.00,5.00,4.75,3.00,7.00,4.00,318,304,NULL,'UNIVERSITARIO','TIJUCAS','SC',18818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180170,4.00,5.00,1.00,4.00,5.00,NULL,0.00,2.00,2.00,103,203,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180189,3.00,7.00,3.00,7.00,7.00,6.00,5.00,5.00,4.00,308,428,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',10884,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180200,4.00,7.00,8.00,9.00,9.00,6.00,7.00,6.00,4.00,207,326,215,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',2857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180219,5.00,8.00,7.00,5.00,9.00,5.25,6.00,6.00,4.00,201,223,211,'CENTRO','FLORIANOPOLIS','SC',3917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180227,4.00,9.00,7.00,8.00,9.00,7.50,7.00,7.00,5.00,103,217,NULL,'CENTRO','FLORIANOPOLIS','SC',1404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180243,4.00,7.00,5.00,6.00,5.00,5.00,4.00,5.00,4.00,208,317,NULL,'COLÔNIA SANTANA','SAO JOSE','SC',11130,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180251,3.00,5.00,5.00,2.00,5.00,3.75,4.00,3.00,2.00,501,502,NULL,'FAZENDA DO SACRAMENT','AGUAS MORNAS','SC',20278,273,336,NULL,NULL,NULL,NULL,4,1),(15,2180260,7.00,6.00,9.00,6.00,7.00,6.75,7.00,7.00,6.00,201,224,208,'CENTRO','FLORIANOPOLIS','SC',2586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180278,1.00,7.00,3.00,3.00,6.00,4.75,2.00,3.00,3.00,207,317,201,'NAZARÉ','CONCORDIA','SC',18794,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2180286,3.00,7.00,4.00,7.00,8.00,6.00,7.00,6.00,8.00,203,214,NULL,'CENTRO','CAMBE','PR',4755,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2180294,4.00,3.00,7.00,6.00,6.00,5.50,7.00,5.00,2.00,103,101,NULL,'JARDIM ANGÉLICA','CRICIUMA','SC',11566,2326,564,NULL,NULL,NULL,NULL,2,5),(15,2180308,3.00,9.00,6.00,7.00,5.00,5.25,7.00,7.00,4.00,220,203,208,'CENTRO','CIANORTE','PR',6256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180316,3.00,3.00,2.00,4.00,5.00,6.25,1.00,5.00,2.00,108,333,NULL,'GRANJA VIANA','COTIA','SP',20541,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180324,2.00,7.00,1.00,0.00,4.00,NULL,4.00,6.00,1.00,421,327,423,'JD PIRACUAMA','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180340,6.00,9.00,5.00,7.00,9.00,6.00,7.00,6.00,3.00,450,451,NULL,'INGLESES','FLORIANOPOLIS','SC',3210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180359,3.00,6.00,1.00,6.00,6.00,7.25,4.00,5.00,1.00,102,103,NULL,'CENTRO','PONTE SERRADA','SC',14518,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2180367,1.00,2.00,1.00,4.00,3.00,NULL,1.00,1.00,0.00,444,9,NULL,'TATUAPÉ','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180375,4.00,9.00,6.00,0.00,8.00,NULL,9.00,7.00,5.00,203,2,214,'TERMAS DO GRAVATAL','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2180383,5.00,7.00,9.00,9.00,5.00,4.75,9.00,7.00,5.00,103,304,NULL,'CENTRO','CARAZINHO','RS',3382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180391,4.00,8.00,5.00,5.00,7.00,4.25,5.00,6.00,5.00,108,304,NULL,'PARQUE ALTO TAQUARAL','CAMPINAS','SP',8450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180405,3.00,3.00,5.00,4.00,5.00,5.25,6.00,4.00,4.00,103,102,NULL,'SCHARLAU','SAO LEOPOLDO','RS',14353,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180421,2.00,3.00,3.00,5.00,4.00,3.00,3.00,4.00,4.00,316,211,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',19840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180430,2.00,5.00,2.00,1.00,5.00,5.50,3.00,4.00,3.00,211,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180448,3.00,7.00,2.00,5.00,6.00,4.25,4.00,6.00,3.00,5,303,NULL,'JD SÃO PAULO','JACAREI','SP',12634,556,1186,NULL,NULL,NULL,NULL,2,1),(15,2180464,4.00,8.00,2.00,6.00,7.00,6.00,5.00,6.00,3.00,102,309,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',9760,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180472,7.00,7.00,5.00,5.00,6.00,4.00,7.00,6.00,5.00,202,2,213,'JARDIM','CONCORDIA','SC',5444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,316,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2180499,3.00,7.00,6.00,2.00,8.00,7.50,4.00,5.00,3.00,211,320,207,'MICHEL','CRICIUMA','SC',10463,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2180502,1.00,7.00,6.00,6.00,7.00,6.25,6.00,8.00,2.00,207,103,201,'CENTRO','VERA CRUZ','RS',8562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180510,5.00,5.00,6.00,5.00,8.00,5.25,4.00,7.00,3.00,215,502,211,'JOÃO PAULO','FLORIANOPOLIS','SC',8670,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180529,1.00,5.00,2.00,2.00,4.00,4.50,3.00,4.00,2.00,208,444,238,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',22262,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180545,0.00,3.00,2.00,2.00,5.00,NULL,3.00,4.00,2.00,211,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2180553,4.00,7.00,3.00,8.00,8.00,6.50,6.00,6.00,3.00,207,420,201,'RIO TAVARES','FLORIANOPOLIS','SC',7232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180588,2.00,6.00,0.00,5.00,3.00,4.25,3.00,2.00,3.00,5,9,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',21518,885,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180596,1.00,8.00,3.00,5.00,6.00,4.25,5.00,6.00,3.00,326,425,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',13207,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180600,4.00,7.00,5.00,9.00,6.00,5.75,6.00,5.00,2.00,238,225,208,'ESTREITO','FLORIANOPOLIS','SC',6531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180618,8.00,9.00,9.00,7.00,9.00,7.75,8.00,6.00,7.00,5,217,NULL,'ESTREITO','FLORIANOPOLIS','SC',230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180642,1.00,5.00,6.00,8.00,4.00,4.75,6.00,6.00,3.00,217,333,NULL,'SÃO SEBASTIÃO','CAMPO MOURAO','PR',10944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180650,2.00,4.00,0.00,4.00,6.00,5.25,2.00,5.00,3.00,208,223,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2180669,5.00,8.00,7.00,9.00,9.00,7.75,8.00,6.00,5.00,233,421,207,'TRINDADE','FLORIANOPOLIS','SC',1493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180677,2.00,6.00,4.00,1.00,5.00,4.50,4.00,6.00,3.00,208,238,201,'ESTREITO','FLORIANOPOLIS','SC',16746,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180685,2.00,2.00,3.00,1.00,2.00,NULL,3.00,3.00,4.00,324,NULL,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180693,3.00,5.00,3.00,0.00,5.00,4.50,3.00,2.00,2.00,9,215,NULL,'UBATUBA','SAO FRANCISCO DO SUL','SC',21589,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2180707,7.00,6.00,9.00,7.00,8.00,7.25,9.00,7.00,8.00,103,102,NULL,'MANGAL','SOROCABA','SP',351,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2180715,7.00,8.00,8.00,7.00,7.00,5.00,8.00,8.00,7.00,103,9,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',1877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180723,3.00,7.00,7.00,8.00,7.00,7.50,6.00,7.00,5.00,316,318,NULL,'CENTRO','FLORIANOPOLIS','SC',3758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180731,3.00,4.00,4.00,3.00,6.00,7.00,3.00,4.00,4.00,101,223,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',15914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180740,4.00,6.00,2.00,6.00,6.00,7.50,3.00,6.00,2.00,303,450,NULL,'CENTRO','NOVA ERECHIM','SC',13608,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2180758,9.00,8.00,9.00,10.00,9.00,7.00,8.00,8.00,6.00,103,216,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',194,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2180766,6.00,9.00,8.00,7.00,7.00,5.00,8.00,8.00,4.00,203,415,233,'CENTRO','TUBARAO','SC',3019,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2180774,2.00,6.00,2.00,3.00,4.00,4.00,3.00,5.00,4.00,332,238,NULL,'BARREIROS','SAO JOSE','SC',20204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180782,7.00,7.00,8.00,6.00,8.00,6.75,8.00,7.00,4.00,303,5,NULL,'JADIM ESTRELA','FOZ DO IGUACU','PR',2391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180790,4.00,6.00,4.00,4.00,7.00,6.25,5.00,4.00,3.00,103,444,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180804,4.00,6.00,6.00,4.00,4.00,6.00,2.00,5.00,2.00,316,202,NULL,'CENTRO','ITAJAI','SC',15317,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2180812,2.00,5.00,5.00,6.00,6.00,6.50,4.00,4.00,4.00,207,201,NULL,'CENTRO','ITAPEMA','SC',12814,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2180820,5.00,8.00,6.00,7.00,7.00,5.25,5.00,7.00,4.00,104,425,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',4764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180839,3.00,7.00,5.00,3.00,4.00,4.25,3.00,3.00,3.00,104,331,NULL,'CENTRO','PATO BRANCO','PR',16819,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2180847,2.00,7.00,8.00,8.00,7.00,3.00,7.00,7.00,4.00,318,304,NULL,'COQUEIROS','FLORIANOPOLIS','SC',5361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180855,3.00,5.00,5.00,1.00,4.00,5.00,4.00,4.00,4.00,319,9,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180863,2.00,4.00,1.00,0.00,5.00,NULL,3.00,4.00,1.00,108,101,NULL,'BORTOLUZZI','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2180871,3.00,5.00,0.00,1.00,5.00,NULL,2.00,3.00,1.00,501,211,NULL,'SANTA HELENA','RONDA ALTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2180880,5.00,8.00,3.00,7.00,9.00,4.00,5.00,7.00,3.00,502,234,NULL,'NAÇÕES','FRAIBURGO','SC',7763,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2180901,5.00,7.00,5.00,7.00,7.00,5.00,3.00,5.00,3.00,103,102,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180928,2.00,4.00,2.00,5.00,6.00,5.50,3.00,3.00,3.00,203,222,213,'RIO VERMELHO','FLORIANOPOLIS','SC',18813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180936,5.00,8.00,5.00,6.00,7.00,5.75,7.00,7.00,5.00,301,316,NULL,'JARDIM AMÉRICA','BAURU','SP',4450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180944,2.00,5.00,0.00,4.00,3.00,4.75,1.00,4.00,3.00,308,427,NULL,'TRINDADE','FLORIANOPOLIS','SC',22395,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180952,3.00,5.00,1.00,2.00,3.00,4.00,3.00,3.00,3.00,234,501,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',22165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2180960,3.00,3.00,0.00,6.00,5.00,NULL,3.00,6.00,1.00,104,303,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2180979,2.00,6.00,3.00,5.00,3.00,5.25,2.00,5.00,4.00,319,301,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180987,2.00,7.00,5.00,4.00,6.00,4.50,6.00,4.00,3.00,316,425,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',13882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2180995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,317,202,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2181002,3.00,4.00,0.00,7.00,5.00,6.75,5.00,3.00,2.00,101,5,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',17033,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(15,2181010,2.00,8.00,3.00,7.00,7.00,5.00,3.00,7.00,3.00,102,426,NULL,'PANTANAL','FLORIANOPOLIS','SC',11144,213,158,NULL,NULL,NULL,NULL,2,1),(15,2181037,1.00,6.00,2.00,3.00,2.00,NULL,2.00,4.00,4.00,103,104,NULL,'ESTREITO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181053,4.00,4.00,5.00,2.00,5.00,6.75,4.00,5.00,2.00,211,501,207,'CENTRO OESTE','CATANDUVAS','SC',14088,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2181061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,425,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2181070,4.00,5.00,5.00,8.00,7.00,5.00,6.00,7.00,3.00,202,2,233,'BARREIROS','SAO JOSE','SC',5746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181088,0.00,7.00,4.00,2.00,4.00,4.75,3.00,5.00,2.00,302,333,NULL,'ROSA LINDA','CORDILHEIRA ALTA','SC',19666,170,979,NULL,NULL,NULL,NULL,4,4),(15,2181096,6.00,9.00,6.00,9.00,9.00,7.00,8.00,9.00,4.00,329,320,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',1091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181100,2.00,8.00,3.00,4.00,6.00,6.50,4.00,7.00,4.00,103,207,NULL,'SÃO PELEGRINO','CAXIAS DO SUL','RS',11811,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2181118,2.00,3.00,4.00,2.00,4.00,0.00,3.00,3.00,0.00,301,201,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181126,6.00,6.00,6.00,3.00,7.00,7.25,5.00,5.00,3.00,103,NULL,NULL,'PETRÓPOLIS','PASSO FUNDO','RS',8572,1971,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181134,5.00,4.00,2.00,5.00,8.00,7.25,3.00,5.00,2.00,318,339,NULL,'FORQUILHINHAS','SAO JOSE','SC',13915,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181142,4.00,5.00,1.00,4.00,8.00,4.75,3.00,5.00,2.00,424,451,421,'RIO TAVARES','FLORIANOPOLIS','SC',16885,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181150,1.00,6.00,3.00,5.00,5.00,6.25,5.00,3.00,4.00,415,450,NULL,'JARDIM QUISSISANA','POCOS DE CALDAS','MG',16535,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181169,4.00,8.00,0.00,7.00,6.00,6.75,6.00,4.00,3.00,303,5,NULL,'FAZENDA STO ÂNTONIO','SAO JOSE','SC',10667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181177,8.00,8.00,7.00,8.00,8.00,8.25,8.00,7.00,8.00,103,102,NULL,'SAMBUGARO','PATO BRANCO','PR',150,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2181185,2.00,2.00,3.00,2.00,3.00,NULL,3.00,1.00,1.00,9,308,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181193,4.00,6.00,2.00,2.00,7.00,6.75,2.00,3.00,3.00,303,309,NULL,'SÃO MARTINHO','TUBARAO','SC',16122,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2181207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,310,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2181215,5.00,8.00,7.00,7.00,7.00,4.75,5.00,6.00,3.00,103,104,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2181223,2.00,5.00,3.00,3.00,6.00,3.25,2.00,4.00,4.00,203,444,202,'BALNEARIO','FLORIANOPOLIS','SC',18793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181231,4.00,5.00,2.00,6.00,5.00,7.00,3.00,5.00,2.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',14302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'ACLIMAÇÃO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2181266,5.00,8.00,6.00,9.00,8.00,9.00,8.00,7.00,3.00,303,310,NULL,'CENTRO','ERECHIM','RS',2152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181274,3.00,2.00,2.00,1.00,4.00,NULL,2.00,3.00,2.00,9,103,NULL,'SANTA TEREZINHA','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181282,5.00,8.00,8.00,4.00,7.00,7.25,7.00,6.00,5.00,420,104,NULL,'CENTRO','OSORIO','RS',2968,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2181290,6.00,8.00,5.00,6.00,8.00,6.00,7.00,6.00,5.00,303,426,NULL,'MORROTES','TUBARAO','SC',4754,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2181304,4.00,7.00,6.00,6.00,6.00,5.75,5.00,6.00,3.00,103,207,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181312,2.00,5.00,2.00,2.00,5.00,5.00,3.00,3.00,3.00,207,NULL,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181320,3.00,6.00,6.00,10.00,5.00,4.75,5.00,5.00,4.00,203,202,208,'ILHA DA FIGUEIRA','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2181339,4.00,5.00,3.00,6.00,7.00,5.75,6.00,4.00,3.00,104,102,NULL,'COMERCIÁRIO','CRICIUMA','SC',11587,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2181355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,5,NULL,'ALPHAVILE FLAMBOYANT','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2181363,1.00,4.00,3.00,2.00,4.00,NULL,1.00,2.00,2.00,214,208,203,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181371,3.00,5.00,2.00,7.00,7.00,5.00,4.00,4.00,3.00,308,423,NULL,'CAMPINAS','SAO JOSE','SC',14158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181380,4.00,9.00,7.00,5.00,4.00,4.50,7.00,8.00,5.00,302,317,NULL,'TRINDADE','FLORIANOPOLIS','SC',5545,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2181398,9.00,8.00,8.00,7.00,8.00,5.00,6.00,6.00,4.00,103,319,NULL,'CAMPINAS','SAO JOSE','SC',2622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181401,3.00,6.00,5.00,3.00,5.00,5.50,3.00,4.00,1.00,207,420,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181410,2.00,6.00,3.00,5.00,6.00,5.50,4.00,4.00,5.00,303,104,NULL,'PASSO','MAFRA','SC',14613,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2181428,4.00,7.00,5.00,5.00,6.00,6.00,6.00,5.00,2.00,104,301,NULL,'CENTRO','FLORIANOPOLIS','SC',9629,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,320,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2181444,4.00,7.00,7.00,8.00,7.00,4.75,5.00,7.00,3.00,211,108,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,331,NULL,'EXPOSIÇÃO','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2181460,3.00,6.00,2.00,5.00,6.00,5.25,2.00,4.00,3.00,415,404,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',15908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181479,8.00,5.00,8.00,8.00,9.00,5.75,7.00,5.00,4.00,102,339,NULL,'COQUEIROS','FLORIANOPOLIS','SC',2781,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181487,4.00,7.00,2.00,1.00,5.00,4.25,4.00,2.00,1.00,216,217,233,'CENTRO','FLORIANOPOLIS','SC',20864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,308,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2181509,6.00,8.00,6.00,8.00,7.00,5.00,7.00,7.00,5.00,201,2,212,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181517,4.00,7.00,8.00,5.00,7.00,3.75,7.00,6.00,5.00,203,214,220,'AMÉRIA','JOINVILLE','SC',6813,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2181525,5.00,9.00,6.00,7.00,7.00,6.25,6.00,6.00,3.00,202,2,220,'BOM RETIRO','JOINVILLE','SC',4683,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2181533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,331,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2181541,2.00,7.00,3.00,7.00,7.00,6.00,5.00,7.00,4.00,108,333,NULL,'JARDIM RAIO DO SOL','ALVARES MACHADO','SP',9606,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181550,5.00,8.00,1.00,3.00,6.00,6.00,6.00,6.00,3.00,101,309,NULL,'FORQUILHINHAS','SAO JOSE','SC',11848,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181576,1.00,2.00,0.00,0.00,0.00,NULL,0.00,3.00,2.00,316,301,NULL,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2181584,2.00,7.00,4.00,6.00,6.00,6.00,4.00,2.00,0.00,444,404,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',18393,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181592,5.00,7.00,4.00,6.00,8.00,7.00,7.00,8.00,4.00,5,316,NULL,'BARREIROS','SAO JOSE','SC',4535,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181606,2.00,7.00,4.00,5.00,7.00,3.50,6.00,6.00,3.00,444,326,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',11180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181614,5.00,5.00,3.00,5.00,4.00,4.25,4.00,6.00,1.00,5,329,NULL,'CENTRO','FRANCISCO BELTRAO','PR',15778,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181622,0.00,3.00,3.00,4.00,5.00,4.75,3.00,3.00,2.00,207,324,213,'BARREIROS','SAO JOSE','SC',21183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181630,2.00,4.00,4.00,3.00,7.00,5.25,4.00,5.00,3.00,215,303,NULL,'CENTRO','GAURAMA','RS',16398,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2181649,6.00,6.00,7.00,9.00,7.00,6.75,8.00,7.00,8.00,220,201,202,'VILA OLÍMPIA','SAO PAULO','SP',1503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181657,4.00,2.00,4.00,2.00,5.00,4.75,2.00,3.00,2.00,108,102,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181665,6.00,8.00,6.00,8.00,9.00,4.75,5.00,8.00,5.00,103,217,NULL,'TRINDADE','FLORIANOPOLIS','SC',3182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181673,5.00,7.00,3.00,4.00,7.00,6.00,4.00,5.00,4.00,108,9,NULL,'AREIAS','SAO JOSE','SC',10452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181681,3.00,8.00,1.00,6.00,6.00,5.50,4.00,6.00,3.00,303,415,NULL,'CENTRO','FORMOSA DO SUL','SC',12292,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2181690,4.00,6.00,6.00,8.00,7.00,5.25,6.00,5.00,4.00,216,233,NULL,'VILA LIBERDADE','JUNDIAI','SP',7719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181703,4.00,8.00,4.00,6.00,6.00,7.00,7.00,5.00,2.00,303,5,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181720,2.00,7.00,0.00,8.00,6.00,6.50,3.00,7.00,2.00,420,207,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2181738,5.00,7.00,3.00,7.00,7.00,5.00,5.00,6.00,2.00,103,326,NULL,'RATONES','FLORIANOPOLIS','SC',9663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181746,5.00,5.00,8.00,5.00,7.00,8.00,8.00,8.00,3.00,303,207,NULL,'COQUEIROS','FLORIANOPOLIS','SC',3117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181754,3.00,5.00,3.00,5.00,7.00,5.25,4.00,5.00,1.00,309,2,NULL,'BEL MAR','PALHOCA','SC',16365,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181762,2.00,7.00,1.00,8.00,6.00,5.75,3.00,2.00,2.00,103,102,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2181770,2.00,8.00,5.00,7.00,8.00,4.75,5.00,7.00,5.00,207,201,NULL,'SANTANA','SAO PAULO','SP',7158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181789,2.00,5.00,3.00,6.00,5.00,5.50,2.00,3.00,3.00,238,316,208,'BOM RETIRO','JOINVILLE','SC',17237,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2181800,1.00,7.00,3.00,3.00,7.00,5.50,4.00,4.00,5.00,215,9,233,'COMERCIÁRIO','CRICIUMA','SC',15265,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2181819,5.00,6.00,2.00,6.00,8.00,6.00,4.00,4.00,5.00,101,404,NULL,'VILA SÃO JOSÉ','ARARANGUA','SC',11511,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2181827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,108,220,'FIGUEIRA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2181835,4.00,6.00,6.00,5.00,6.00,4.75,4.00,5.00,2.00,333,324,NULL,'IPIRANGA','SAO JOSE','SC',11754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181843,5.00,7.00,7.00,9.00,7.00,4.75,7.00,6.00,6.00,211,108,212,'PONTA DA PRAIA','SANTOS','SP',3342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181851,6.00,5.00,2.00,8.00,8.00,4.75,4.00,5.00,5.00,103,102,NULL,'CURITIBA','CURITIBA','PR',10646,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181878,2.00,6.00,6.00,4.00,5.00,4.00,5.00,3.00,3.00,319,333,NULL,'PICADAS DO SUL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181886,6.00,7.00,4.00,7.00,5.00,6.00,6.00,6.00,3.00,103,303,NULL,'BELA VISTA','SAO JOSE','SC',7960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181894,2.00,5.00,0.00,2.00,6.00,6.00,3.00,4.00,2.00,309,421,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20497,68,159,NULL,NULL,NULL,NULL,2,1),(15,2181908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,424,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2181916,1.00,2.00,1.00,0.00,7.00,NULL,4.00,3.00,2.00,207,420,NULL,'CORDEIROS','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2181924,1.00,5.00,4.00,2.00,6.00,6.00,2.00,5.00,2.00,108,333,NULL,'CAMPO GRANDE','SANTOS','SP',19338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181932,7.00,8.00,8.00,5.00,8.00,6.00,7.00,6.00,6.00,201,211,212,'CAMPECHE','FLORIANOPOLIS','SC',2598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2181940,4.00,7.00,2.00,3.00,6.00,5.50,2.00,4.00,4.00,425,429,NULL,'COQUEIROS','FLORIANOPOLIS','SC',16786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181959,4.00,6.00,5.00,3.00,4.00,5.00,6.00,2.00,2.00,108,NULL,NULL,'VILA CRUZEIRO','ITATIBA','SP',17452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181967,7.00,8.00,7.00,5.00,6.00,6.00,7.00,7.00,5.00,216,217,233,'RIO BRANCO','PORTO ALEGRE','RS',2801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181975,2.00,6.00,2.00,6.00,7.00,7.00,4.00,4.00,3.00,415,203,NULL,'VILA RAU','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2181983,4.00,8.00,8.00,7.00,8.00,7.50,9.00,6.00,3.00,220,303,214,'JARDIM VITÓRIA','ITABUNA','BA',2900,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2181991,2.00,7.00,4.00,7.00,4.00,5.75,3.00,7.00,4.00,103,301,NULL,'ABRAÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182009,0.00,5.00,2.00,6.00,7.00,6.25,4.00,3.00,3.00,201,316,207,'COQUEIROS','FLORIANOPOLIS','SC',15919,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182017,1.00,6.00,5.00,4.00,4.00,4.50,3.00,5.00,3.00,501,316,NULL,'CHACARA DAS PEDRAS','PORTO ALEGRE','RS',18223,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182025,5.00,8.00,7.00,7.00,5.00,5.00,4.00,5.00,3.00,103,102,NULL,'VILA ISABEL','CURITIBA','PR',8060,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2182033,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,303,224,NULL,'INTERIOR','NONOAI','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(15,2182041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,104,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2182050,5.00,5.00,2.00,6.00,5.00,4.50,6.00,3.00,3.00,303,NULL,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182068,6.00,7.00,6.00,5.00,8.00,4.75,6.00,5.00,5.00,207,201,238,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',5987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2182084,6.00,9.00,8.00,4.00,7.00,6.50,4.00,5.00,2.00,317,302,NULL,'CENTRO','FLORIANOPOLIS','SC',6335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182092,4.00,7.00,7.00,6.00,7.00,5.50,6.00,7.00,4.00,301,234,NULL,'COQUEIROS','FLORIANOPOLIS','SC',5909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182106,5.00,5.00,2.00,7.00,7.00,7.00,5.00,2.00,2.00,102,420,NULL,'CENTRO','LAGES','SC',13057,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2182114,9.00,9.00,9.00,8.00,9.00,6.50,9.00,7.00,8.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',30,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182122,5.00,6.00,6.00,5.00,8.00,7.00,8.00,4.00,5.00,103,333,NULL,'CENTRO','FLORIANOPOLIS','SC',4134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182130,4.00,6.00,3.00,9.00,8.00,6.50,7.00,6.00,4.00,310,320,NULL,'PARAÍSO','SAO PAULO','SP',5669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182149,2.00,5.00,4.00,4.00,6.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(15,2182157,1.00,6.00,4.00,7.00,7.00,6.50,3.00,7.00,2.00,103,104,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',11743,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182165,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,303,5,NULL,'RIO MORTO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(15,2182173,3.00,8.00,6.00,7.00,9.00,5.00,5.00,5.00,4.00,202,211,201,'CENTRO','ITAJAI','SC',5392,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2182181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,224,NULL,'CENTRO','MONTE SANTO DE MINAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2182190,3.00,3.00,2.00,0.00,5.00,NULL,3.00,3.00,2.00,301,NULL,NULL,'GLÓRIA','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2182203,6.00,7.00,7.00,4.00,6.00,4.75,4.00,4.00,3.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',11161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182211,6.00,9.00,3.00,6.00,6.00,6.25,6.00,8.00,4.00,319,207,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',6041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,9,NULL,'LAGO NORTE','LAGO NORTE','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2182246,0.00,4.00,2.00,6.00,5.00,4.25,4.00,3.00,3.00,415,319,NULL,'PETRÓPOLIS','VACARIA','RS',19819,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2182254,6.00,6.00,5.00,4.00,7.00,6.50,8.00,7.00,3.00,215,102,233,'DEHON','TUBARAO','SC',6388,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2182262,6.00,4.00,6.00,7.00,9.00,7.00,7.00,5.00,2.00,304,301,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',6592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182270,3.00,6.00,5.00,5.00,5.00,4.50,1.00,3.00,2.00,5,319,NULL,'CENTRO','LAGUNA','SC',18378,760,887,NULL,NULL,NULL,NULL,2,10),(15,2182289,6.00,7.00,8.00,7.00,7.00,6.75,7.00,8.00,5.00,103,421,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',2378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182297,3.00,7.00,4.00,7.00,8.00,6.75,6.00,6.00,5.00,428,331,426,'NOSSA SRA DO ROSÁRIO','SAO JOSE','SC',6719,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182300,3.00,7.00,3.00,7.00,6.00,5.00,5.00,4.00,2.00,201,211,207,'CENTRO','ITAJAI','SC',12671,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2182319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,318,NULL,'CENTRO','CHAPADAO DO LAGEADO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2182327,5.00,9.00,5.00,7.00,8.00,7.00,8.00,7.00,3.00,103,428,NULL,'PONTA DE BAIXO','SAO JOSE','SC',2402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182343,2.00,6.00,2.00,6.00,6.00,5.75,6.00,4.00,4.00,444,333,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',13198,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182351,0.00,5.00,2.00,4.00,5.00,5.00,2.00,2.00,3.00,104,101,NULL,'PONTE DO IMARUIM','PALHOCA','SC',21830,717,776,NULL,NULL,NULL,NULL,2,1),(15,2182378,4.00,6.00,2.00,3.00,7.00,6.25,3.00,5.00,3.00,104,9,NULL,'SALTO DO NORTE','BLUMENAU','SC',14336,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2182386,4.00,8.00,2.00,6.00,8.00,6.25,5.00,4.00,2.00,316,317,NULL,'CENTRO','FLORIANOPOLIS','SC',10258,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182394,4.00,2.00,3.00,4.00,3.00,5.50,3.00,2.00,3.00,216,201,207,'BERGER','CACADOR','SC',21424,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2182408,4.00,5.00,4.00,7.00,6.00,6.00,3.00,6.00,5.00,108,208,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',10335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182416,8.00,7.00,7.00,7.00,8.00,6.50,6.00,8.00,4.00,220,217,213,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',3168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182424,6.00,6.00,6.00,5.00,7.00,5.00,8.00,5.00,4.00,103,211,NULL,'SANTA BÁRBARA','CRICIUMA','SC',5550,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2182432,7.00,9.00,4.00,6.00,6.00,5.50,5.00,8.00,6.00,303,428,NULL,'COQUEIROS','FLORIANOPOLIS','SC',3644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182440,0.00,4.00,1.00,1.00,5.00,NULL,4.00,1.00,3.00,420,9,NULL,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182459,3.00,7.00,5.00,5.00,7.00,6.00,6.00,7.00,4.00,304,421,NULL,'FAZENDA STO ANTÔNIO','SAO JOSE','SC',6371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182467,3.00,8.00,2.00,6.00,8.00,4.50,6.00,7.00,2.00,213,233,202,'CENTRO','CURITIBA','PR',10092,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2182483,5.00,7.00,6.00,8.00,7.00,5.00,7.00,5.00,2.00,303,201,NULL,'FIGUEIRA','URUSSANGA','SC',6509,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2182491,8.00,9.00,8.00,8.00,8.00,6.25,9.00,7.00,6.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182505,4.00,6.00,3.00,1.00,7.00,5.00,2.00,6.00,1.00,317,316,NULL,'SERRARIA','SAO JOSE','SC',18224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182513,5.00,7.00,7.00,5.00,5.00,6.00,6.00,6.00,3.00,316,318,NULL,'ITACORUBI','FLORIANOPOLIS','SC',7265,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182521,4.00,6.00,4.00,8.00,7.00,6.75,6.00,6.00,4.00,423,308,426,'BARREIROS','SAO JOSE','SC',7181,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182530,9.00,8.00,5.00,6.00,9.00,5.75,8.00,6.00,8.00,9,425,NULL,'BARREIROS','SAO JOSE','SC',1478,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182548,7.00,7.00,6.00,6.00,8.00,5.00,7.00,4.00,3.00,103,102,NULL,'CENTRO','ERECHIM','RS',4910,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,301,NULL,'SETOR BUENO','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2182564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,207,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2182572,5.00,8.00,4.00,7.00,8.00,6.00,6.00,8.00,4.00,103,101,NULL,'BARRA DO RIO','ITAJAI','SC',4586,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2182580,4.00,7.00,2.00,5.00,6.00,6.00,3.00,5.00,4.00,234,333,NULL,'CENTRO','CORUPA','SC',13120,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2182599,1.00,5.00,2.00,6.00,6.00,6.00,4.00,4.00,2.00,451,NULL,NULL,'ITAUM COSTA','JOINVILLE','SC',17158,57,NULL,NULL,NULL,NULL,NULL,2,8),(15,2182602,4.00,7.00,4.00,6.00,6.00,6.00,6.00,6.00,2.00,303,425,NULL,'CENTRO','FLORIANOPOLIS','SC',9682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182610,5.00,6.00,4.00,4.00,6.00,5.25,6.00,6.00,4.00,203,302,214,'ITACORUBI','FLORIANOPOLIS','SC',10576,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182629,7.00,8.00,6.00,8.00,8.00,4.50,8.00,6.00,5.00,301,212,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',2948,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2182637,3.00,7.00,2.00,5.00,5.00,4.00,4.00,3.00,2.00,215,9,NULL,'JARDIM PARATI','MARILIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182645,8.00,9.00,9.00,8.00,8.00,5.50,9.00,7.00,9.00,103,333,NULL,'JARDIM PILAR','SANTO ANDRE','SP',140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182653,7.00,9.00,9.00,7.00,7.00,6.50,8.00,8.00,5.00,103,9,NULL,'CENTRO','FLORIANOPOLIS','SC',932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182661,3.00,5.00,3.00,6.00,5.00,5.75,3.00,5.00,2.00,217,309,NULL,'CAMPO DUNA','GAROPABA','SC',17312,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182670,4.00,8.00,5.00,5.00,6.00,6.50,6.00,8.00,4.00,316,318,NULL,'ESTREITO','FLORIANOPOLIS','SC',6832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182688,4.00,3.00,1.00,2.00,3.00,4.50,2.00,3.00,2.00,501,222,NULL,'SAGUAÇU','JOINVILLE','SC',22347,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2182696,2.00,5.00,1.00,2.00,5.00,4.75,3.00,1.00,4.00,104,333,NULL,'JURERE','FLORIANOPOLIS','SC',21833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182700,3.00,4.00,2.00,6.00,2.00,NULL,4.00,3.00,3.00,420,233,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182718,5.00,6.00,7.00,6.00,7.00,7.00,5.00,4.00,4.00,238,451,208,'CENTRO','FLORIANOPOLIS','SC',6341,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182726,3.00,5.00,3.00,5.00,7.00,6.75,4.00,5.00,3.00,104,9,NULL,'JARDIM PANCERA','TOLEDO','PR',13482,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2182734,1.00,2.00,2.00,3.00,3.00,3.25,4.00,5.00,5.00,9,215,NULL,'CENTRO','CORUPA','SC',21769,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2182742,3.00,7.00,5.00,3.00,8.00,7.00,3.00,6.00,2.00,415,310,NULL,'ASA NORTE','BRASILIA','DF',10565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182750,4.00,8.00,6.00,5.00,6.00,5.50,4.00,4.00,2.00,217,317,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182769,2.00,6.00,5.00,5.00,9.00,5.25,5.00,6.00,4.00,302,425,NULL,'BARREIROS','SAO JOSE','SC',8885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182777,4.00,7.00,8.00,4.00,7.00,8.50,6.00,4.00,6.00,103,NULL,NULL,'VILA GÉA','SAO PAULO','SP',5397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182785,3.00,6.00,4.00,3.00,9.00,6.75,6.00,5.00,4.00,428,308,426,'BARREIROS','SAO JOSE','SC',9494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182793,6.00,7.00,7.00,9.00,8.00,7.00,8.00,6.00,6.00,103,451,NULL,'INGLESES','FLORIANOPOLIS','SC',1527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182807,2.00,7.00,1.00,5.00,6.00,5.75,4.00,6.00,3.00,415,102,NULL,'CENTRO','JARAGUA DO SUL','SC',13163,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2182815,3.00,5.00,7.00,7.00,4.00,6.00,5.00,6.00,3.00,203,NULL,214,'JD MARINGA','SAO JOSE DOS CAMPOS','SP',10340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182823,4.00,8.00,3.00,6.00,6.00,5.00,6.00,7.00,5.00,211,102,202,'LA SALLE','PATO BRANCO','PR',7152,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2182831,2.00,6.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,444,427,NULL,'INGLESES','ALAGOINHAS','BA',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2182840,4.00,6.00,8.00,7.00,8.00,6.25,6.00,7.00,5.00,415,333,NULL,'JD VIRGINA BIANCA','SAO PAULO','SP',4675,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2182858,4.00,7.00,7.00,4.00,7.00,5.75,6.00,7.00,3.00,103,326,NULL,'CENTRO','CRICIUMA','SC',6027,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2182866,4.00,6.00,6.00,6.00,7.00,5.50,7.00,6.00,4.00,301,223,NULL,'CAMPINAS','SAO JOSE','SC',6638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182874,0.00,5.00,5.00,4.00,6.00,4.00,3.00,4.00,2.00,9,319,NULL,'SAO LUIZ','CRICIUMA','SC',18932,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2182882,1.00,2.00,2.00,3.00,1.00,NULL,5.00,4.00,4.00,301,316,NULL,'JARDIM AMÉRICA','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2182890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'INTERIOR','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2182904,3.00,3.00,2.00,6.00,6.00,4.25,5.00,5.00,3.00,103,104,NULL,'CENTRO','CURITIBA','PR',16697,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2182912,2.00,6.00,3.00,5.00,6.00,6.25,4.00,5.00,2.00,213,212,214,'JARDIM ITÁLIA','CUIABA','MT',15047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2182920,8.00,7.00,6.00,8.00,7.00,4.50,8.00,5.00,2.00,203,2,220,'AZAMBUJA','BRUSQUE','SC',3655,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2182939,6.00,8.00,8.00,7.00,9.00,5.75,7.00,6.00,6.00,213,202,233,'EMBARÉ','SANTOS','SP',1769,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2182947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,216,212,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2182955,4.00,5.00,5.00,1.00,8.00,5.75,6.00,5.00,2.00,202,2,220,'SÃO JOSÉ','PASSO FUNDO','RS',13405,505,200,474,NULL,NULL,NULL,4,1),(15,2182963,2.00,2.00,1.00,3.00,2.00,NULL,1.00,1.00,1.00,238,316,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2182971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,333,212,'SANTA CECÍLIA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2182998,2.00,6.00,1.00,5.00,5.00,5.75,5.00,4.00,1.00,415,211,NULL,'CENTRO','CHAPECO','SC',18674,469,986,NULL,NULL,NULL,NULL,2,4),(15,2183005,2.00,6.00,6.00,8.00,9.00,6.25,5.00,6.00,5.00,216,429,NULL,'IMPERIAL','CONCORDIA','SC',6203,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2183013,2.00,6.00,1.00,4.00,2.00,NULL,4.00,4.00,1.00,331,302,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183021,3.00,6.00,2.00,4.00,5.00,4.25,4.00,7.00,4.00,103,102,NULL,'PORTÃO','CURITIBA','PR',14458,2586,NULL,NULL,NULL,NULL,NULL,2,8),(15,2183030,4.00,8.00,9.00,7.00,4.00,7.00,7.00,8.00,3.00,201,238,212,'ITACORUBI','FLORIANOPOLIS','SC',3862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183048,3.00,5.00,4.00,5.00,6.00,4.75,4.00,4.00,2.00,215,212,213,'SANTA MONICA','SERTANOPOLIS','PR',14101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183056,4.00,8.00,4.00,6.00,9.00,7.50,5.00,6.00,4.00,319,326,NULL,'VILA PRIMAVERA','SAO PAULO','SP',5963,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2183072,1.00,4.00,4.00,4.00,6.00,6.50,2.00,5.00,3.00,104,425,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',17715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183080,3.00,4.00,0.00,2.00,5.00,4.50,3.00,4.00,2.00,420,404,NULL,'FLOR DE NÁPOLIS','SAO JOSE','SC',21534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BROOKLIN','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2183102,3.00,5.00,5.00,1.00,8.00,6.00,6.00,5.00,4.00,415,326,NULL,'FORQUILHINHAS','SAO JOSE','SC',11260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183110,0.00,5.00,3.00,4.00,4.00,2.50,2.00,3.00,2.00,238,2,NULL,'SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183129,2.00,7.00,1.00,5.00,4.00,5.25,3.00,5.00,1.00,329,324,NULL,'ANA RECH','CAXIAS DO SUL','RS',18774,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183137,4.00,9.00,6.00,5.00,7.00,7.25,5.00,8.00,4.00,103,420,NULL,'LIDER','CHAPECO','SC',4756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183145,3.00,6.00,0.00,4.00,5.00,4.25,3.00,2.00,2.00,301,424,NULL,'PICADAS DO SUL','SAO JOSE','SC',20718,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2183153,5.00,8.00,5.00,7.00,8.00,6.00,7.00,6.00,5.00,103,5,NULL,'CENTRO','BRACO DO NORTE','SC',3320,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2183161,3.00,6.00,5.00,4.00,7.00,5.75,5.00,7.00,3.00,444,404,NULL,'CAMPINAS','SAO JOSE','SC',10492,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183170,4.00,4.00,5.00,5.00,5.00,6.00,2.00,3.00,2.00,444,404,NULL,'ITACORUBI','FLORIANOPOLIS','SC',18073,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183188,4.00,8.00,9.00,6.00,9.00,6.75,9.00,6.00,7.00,203,103,NULL,'JARDIM SILVANA','ICARA','SC',1421,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2183196,3.00,6.00,3.00,7.00,4.00,4.75,5.00,6.00,4.00,103,102,NULL,'RUDGE RAMOS','SAO BERNARDO DO CAMPO','SP',12038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183226,4.00,6.00,6.00,4.00,8.00,5.75,5.00,5.00,4.00,224,421,NULL,'TRINDADE','FLORIANOPOLIS','SC',10213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183234,2.00,6.00,6.00,5.00,6.00,4.25,3.00,5.00,3.00,238,318,208,'PONTE DO IMARUIM','PALHOCA','SC',15036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183242,3.00,6.00,3.00,5.00,5.00,6.00,4.00,6.00,4.00,202,238,213,'INDUSTRIAL','DESCANSO','SC',12669,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2183250,3.00,6.00,2.00,6.00,6.00,5.25,5.00,7.00,4.00,333,108,NULL,'SANTINHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2183285,1.00,1.00,0.00,2.00,2.00,NULL,2.00,4.00,2.00,324,332,NULL,'S ANTONIO D LISBOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183293,4.00,7.00,3.00,9.00,7.00,5.00,6.00,6.00,4.00,5,426,NULL,'CENTRO','FLORIANOPOLIS','SC',6460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183315,2.00,3.00,1.00,1.00,3.00,4.00,3.00,4.00,4.00,319,339,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',22459,531,472,NULL,NULL,NULL,NULL,4,1),(15,2183323,1.00,5.00,2.00,1.00,3.00,3.00,3.00,3.00,3.00,9,207,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183331,2.00,3.00,4.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CONTESTADO','JOACABA','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',2,7),(15,2183340,3.00,8.00,3.00,3.00,7.00,4.00,3.00,6.00,3.00,331,324,NULL,'STO ANT DE LISBOA','FLORIANOPOLIS','SC',13812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183358,3.00,6.00,8.00,9.00,6.00,4.00,6.00,5.00,4.00,5,320,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',7602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183366,6.00,8.00,3.00,6.00,6.00,6.00,4.00,7.00,3.00,101,102,NULL,'KOBRASOL','SAO JOSE','SC',7276,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183374,1.00,6.00,1.00,1.00,7.00,6.00,2.00,5.00,2.00,103,326,NULL,'CAMILOPOLIS','SANTO ANDRE','SP',20081,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2183382,2.00,8.00,2.00,3.00,8.00,3.00,6.00,5.00,3.00,318,304,NULL,'CENTRO','FLORIANOPOLIS','SC',14143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2183404,4.00,6.00,4.00,7.00,8.00,5.50,4.00,5.00,4.00,303,NULL,NULL,'INGLESES','FLORIANOPOLIS','SC',10727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183412,5.00,8.00,5.00,6.00,7.00,6.50,7.00,7.00,6.00,318,304,NULL,'PANTANAL','FLORIANOPOLIS','SC',4017,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183420,3.00,9.00,5.00,5.00,8.00,5.75,5.00,6.00,3.00,415,108,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',7593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183439,5.00,8.00,5.00,9.00,7.00,7.00,6.00,4.00,4.00,108,501,NULL,'CENTRO','FLORIANOPOLIS','SC',4743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183447,3.00,7.00,6.00,5.00,7.00,6.25,6.00,4.00,4.00,316,224,NULL,'CENTRO','FLORIANOPOLIS','SC',8331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183455,4.00,8.00,1.00,5.00,9.00,5.00,5.00,6.00,4.00,103,104,NULL,'RESSACADA','ITAJAI','SC',10285,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2183463,6.00,8.00,6.00,7.00,8.00,4.75,9.00,6.00,6.00,203,303,216,'CENTRO','CRICIUMA','SC',2232,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2183471,4.00,5.00,5.00,6.00,7.00,3.75,3.00,3.00,2.00,203,317,208,'BARRA DA LAGOA','FLORIANOPOLIS','SC',15700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183480,5.00,7.00,3.00,7.00,6.00,6.75,4.00,6.00,3.00,303,415,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183498,6.00,7.00,6.00,5.00,7.00,4.50,4.00,4.00,4.00,208,444,233,'CENTRO','FLORIANOPOLIS','SC',8832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183501,1.00,3.00,1.00,2.00,2.00,NULL,0.00,3.00,2.00,103,108,NULL,'ALVORADA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183510,2.00,5.00,1.00,3.00,4.00,4.25,4.00,3.00,2.00,212,304,233,'KOBRASOL','SAO JOSE','SC',21576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183528,1.00,5.00,3.00,1.00,5.00,5.25,3.00,5.00,4.00,103,101,NULL,'CENTRO','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2183536,5.00,7.00,5.00,5.00,8.00,7.25,5.00,6.00,4.00,104,102,NULL,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',5859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183544,6.00,8.00,7.00,4.00,6.00,5.00,8.00,6.00,5.00,102,216,NULL,'CIDADE UNIVERSITARIA','CAMPINAS','SP',5133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183552,8.00,8.00,5.00,9.00,7.00,6.25,8.00,6.00,6.00,103,NULL,NULL,'JUVEVE','CURITIBA','PR',1416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183579,7.00,8.00,7.00,9.00,8.00,6.50,9.00,8.00,7.00,220,216,202,'CENTRO','PONTA GROSSA','PR',375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183587,9.00,7.00,8.00,9.00,9.00,6.50,8.00,8.00,7.00,103,424,NULL,'ESTREITO','FLORIANOPOLIS','SC',419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183609,3.00,7.00,3.00,4.00,7.00,5.75,3.00,4.00,4.00,327,426,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',12914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183617,2.00,6.00,8.00,9.00,6.00,3.50,9.00,7.00,5.00,203,2,214,'JARDIM PAULISTA','BAURU','SP',4354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183625,5.00,9.00,6.00,4.00,7.00,5.75,6.00,7.00,5.00,103,319,NULL,'CENTRO','FLORIANOPOLIS','SC',4478,1335,614,NULL,NULL,NULL,NULL,2,1),(15,2183633,5.00,8.00,5.00,7.00,8.00,6.50,7.00,8.00,6.00,207,420,201,'CENTRO','FLORIANOPOLIS','SC',2506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183641,3.00,8.00,2.00,7.00,8.00,6.00,5.00,6.00,5.00,501,421,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',8619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183650,3.00,9.00,6.00,7.00,7.00,7.25,7.00,7.00,5.00,450,NULL,NULL,'JOSÉ BONIFÁCIO','ERECHIM','RS',2829,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2183668,5.00,8.00,5.00,6.00,7.00,4.50,5.00,6.00,4.00,103,104,NULL,'COPACABANA','LAGES','SC',7218,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2183676,2.00,5.00,0.00,8.00,7.00,8.00,2.00,5.00,2.00,415,303,NULL,'RIO BRANCO','BRUSQUE','SC',14608,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2183684,5.00,8.00,5.00,9.00,8.00,6.00,8.00,7.00,4.00,5,428,NULL,'CENTRO','FLORIANOPOLIS','SC',2853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,201,NULL,'ZONA DOIS','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2183714,3.00,6.00,3.00,6.00,8.00,7.50,5.00,4.00,5.00,102,216,NULL,'COLONINHA','ARARANGUA','SC',8969,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2183722,4.00,8.00,6.00,9.00,8.00,5.75,7.00,7.00,5.00,319,329,NULL,'BARRA VELHA','ILHABELA','SP',2977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183730,4.00,5.00,6.00,4.00,4.00,4.00,4.00,2.00,1.00,327,339,NULL,'BARREIROS','SAO JOSE','SC',18767,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183749,6.00,8.00,9.00,7.00,8.00,5.75,7.00,7.00,3.00,303,5,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',2550,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2183757,4.00,7.00,7.00,6.00,7.00,5.25,8.00,8.00,6.00,201,213,207,'JARDIM TAPAJÓS','ATIBAIA','SP',3089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183765,4.00,7.00,8.00,4.00,8.00,6.75,3.00,5.00,5.00,102,501,NULL,'CENTRO','FLORIANOPOLIS','SC',7160,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183773,5.00,6.00,6.00,7.00,6.00,6.75,6.00,7.00,4.00,316,319,NULL,'BELA VISTA','SAO JOSE','SC',6235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,202,201,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2183790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,333,NULL,'CHACARA DAS PEDRAS','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2183803,1.00,3.00,1.00,2.00,4.00,NULL,4.00,3.00,1.00,308,309,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183811,3.00,7.00,7.00,6.00,6.00,6.00,7.00,7.00,4.00,202,310,NULL,'CAMPECHE','FLORIANOPOLIS','SC',6434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,304,NULL,'SANGÃO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2183838,3.00,7.00,6.00,7.00,9.00,6.25,7.00,5.00,4.00,201,333,213,'KOBRASOL','SAO JOSE','SC',5752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183854,1.00,4.00,2.00,4.00,3.00,3.75,4.00,4.00,1.00,5,501,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',22374,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183862,7.00,5.00,5.00,5.00,7.00,5.50,4.00,7.00,2.00,301,309,NULL,'COQUEIROS','FLORIANOPOLIS','SC',8690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183870,5.00,6.00,4.00,5.00,7.00,6.50,1.00,4.00,3.00,207,223,201,'CENTRO','MARAVILHA','SC',12468,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2183889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,450,203,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2183897,4.00,4.00,5.00,2.00,8.00,5.50,4.00,3.00,2.00,444,211,NULL,'CENTRO','MAJOR GERCINO','SC',15754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2183900,6.00,8.00,6.00,7.00,8.00,5.75,7.00,7.00,6.00,5,421,NULL,'CENTRO','FLORIANOPOLIS','SC',1703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183927,2.00,4.00,3.00,8.00,7.00,6.25,2.00,2.00,4.00,102,216,NULL,'CENTRO','IBIRAMA','SC',16011,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2183935,5.00,9.00,5.00,9.00,8.00,7.00,9.00,8.00,5.00,415,427,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',1283,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2183943,0.00,5.00,2.00,1.00,3.00,NULL,3.00,3.00,2.00,103,9,NULL,'CENTRO','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183951,6.00,6.00,6.00,8.00,7.00,5.50,8.00,7.00,5.00,201,216,208,'VILA GOMES','SAO PAULO','SP',3195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183960,3.00,6.00,3.00,7.00,7.00,5.25,6.00,4.00,2.00,214,NULL,211,'GONZAGA','SANTOS','SP',9989,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2183978,3.00,6.00,2.00,5.00,4.00,5.50,0.00,4.00,1.00,301,404,NULL,'BOA PARADA','SAO PEDRO DE ALCANTARA','SC',20997,364,494,NULL,NULL,NULL,NULL,2,1),(15,2183986,5.00,7.00,6.00,7.00,6.00,7.00,8.00,4.00,2.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',6429,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2183994,4.00,7.00,2.00,7.00,7.00,5.25,5.00,5.00,3.00,103,102,NULL,'CENTRO','ITAJAI','SC',10574,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2184001,5.00,8.00,5.00,7.00,6.00,7.75,6.00,3.00,4.00,225,425,NULL,'TAPERA','FLORIANOPOLIS','SC',7490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'CETRO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2184028,5.00,7.00,1.00,5.00,7.00,5.25,4.00,5.00,2.00,501,301,NULL,'COMERCIARIO','CRICIUMA','SC',13316,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2184036,3.00,5.00,2.00,5.00,7.00,3.50,4.00,4.00,4.00,201,220,212,'SANTA GEMA','VIDEIRA','SC',16956,900,758,347,NULL,NULL,NULL,2,7),(15,2184044,0.00,8.00,0.00,5.00,4.00,5.50,2.00,6.00,4.00,310,415,NULL,'CENTRO','FLORIANOPOLIS','SC',17879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184052,7.00,9.00,9.00,9.00,9.00,6.50,8.00,8.00,5.00,303,5,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184060,2.00,6.00,2.00,5.00,7.00,6.00,3.00,7.00,4.00,320,329,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',13452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184079,4.00,7.00,5.00,9.00,9.00,7.75,6.00,7.00,6.00,102,217,NULL,'ITAGUACU','FLORIANOPOLIS','SC',1812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184087,5.00,4.00,3.00,3.00,7.00,5.25,4.00,5.00,3.00,444,5,NULL,'CENTRO','CHAPECO','SC',14894,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2184095,3.00,6.00,2.00,2.00,5.00,5.50,3.00,5.00,4.00,103,102,NULL,'MAR GROSSO','LAGUNA','SC',17755,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2184109,3.00,7.00,2.00,8.00,7.00,5.25,5.00,7.00,2.00,208,222,238,'TAPERA','FLORIANOPOLIS','SC',10753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184117,3.00,7.00,7.00,6.00,7.00,5.25,7.00,7.00,5.00,103,303,NULL,'CENTRO','LAGES','SC',5221,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2184125,3.00,3.00,4.00,5.00,6.00,5.75,4.00,3.00,3.00,444,9,NULL,'CAMPINAS','SAO JOSE','SC',15658,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184133,3.00,5.00,1.00,6.00,7.00,6.00,5.00,4.00,2.00,415,428,NULL,'VILA NOVA','IMBITUBA','SC',14723,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2184141,4.00,6.00,4.00,7.00,6.00,5.75,9.00,5.00,6.00,212,213,214,'BRABÂNCIA','AVARE','SP',5167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184150,3.00,8.00,2.00,1.00,7.00,6.75,3.00,5.00,5.00,234,308,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',13578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184176,2.00,5.00,3.00,5.00,7.00,5.50,4.00,4.00,2.00,223,2,NULL,'CAMPO DUNA','GAROPABA','SC',16623,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184184,4.00,5.00,6.00,7.00,6.00,3.00,4.00,6.00,3.00,207,302,NULL,'LA MORITA','SAO JOSE','SC',10361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184192,6.00,5.00,4.00,5.00,6.00,8.00,6.00,6.00,3.00,103,101,NULL,'VILA ROSA','CAMPO GRANDE','MS',7125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184206,4.00,6.00,1.00,6.00,5.00,4.75,4.00,8.00,4.00,303,326,NULL,'CENTRO','CURITIBANOS','SC',12704,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2184214,3.00,5.00,2.00,6.00,4.00,4.50,4.00,2.00,4.00,316,404,NULL,'CENTRO','FLORIANOPOLIS','SC',18202,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184222,3.00,3.00,2.00,6.00,3.00,NULL,1.00,0.00,2.00,101,102,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,104,207,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2184249,5.00,7.00,6.00,0.00,5.00,2.00,5.00,4.00,2.00,203,2,233,'PRAIA COMPRIADA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184257,1.00,5.00,2.00,5.00,6.00,4.00,3.00,3.00,3.00,316,317,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',19616,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,225,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2184273,0.00,3.00,1.00,5.00,3.00,NULL,3.00,3.00,1.00,309,331,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184281,3.00,6.00,3.00,0.00,4.00,2.25,5.00,4.00,2.00,203,207,201,'CENTRO','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184290,5.00,6.00,6.00,5.00,8.00,6.25,4.00,4.00,6.00,103,319,NULL,'CENTRO','CURITIBA','PR',6294,1674,641,NULL,NULL,NULL,NULL,2,1),(15,2184303,2.00,7.00,1.00,4.00,6.00,5.50,6.00,3.00,2.00,426,234,428,'CACUPÉ','FLORIANOPOLIS','SC',14818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'CENTENÁRIO','MONTENEGRO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2184320,6.00,7.00,3.00,5.00,6.00,5.50,5.00,7.00,3.00,329,326,NULL,'FORQUILHINHAS','SAO JOSE','SC',7586,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184338,0.00,0.00,0.00,2.00,7.00,NULL,0.00,0.00,0.00,319,426,NULL,'CENTRO','CASTRO','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2184346,2.00,5.00,2.00,2.00,4.00,NULL,0.00,3.00,1.00,339,319,NULL,'FORQUILHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184362,0.00,1.00,2.00,3.00,5.00,NULL,1.00,2.00,0.00,429,425,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184370,2.00,7.00,3.00,7.00,6.00,5.75,2.00,3.00,3.00,208,201,216,'BOA VISTA','ITUPORANGA','SC',14295,541,1321,418,NULL,NULL,NULL,2,1),(15,2184389,7.00,6.00,7.00,8.00,8.00,5.00,5.00,6.00,3.00,207,427,212,'ITACORUBI','FLORIANOPOLIS','SC',4619,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,415,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2184400,4.00,6.00,3.00,5.00,4.00,6.00,3.00,2.00,1.00,420,308,NULL,'ABRAAO','FLORIANOPOLIS','SC',19379,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184419,4.00,7.00,5.00,6.00,8.00,7.00,8.00,6.00,4.00,327,329,NULL,'CENTRO','FLORIANOPOLIS','SC',4038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184427,8.00,7.00,10.00,8.00,7.00,7.00,9.00,6.00,8.00,103,NULL,NULL,'JARDIM PARAÍSO','SAO CARLOS','SP',405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184435,0.00,3.00,1.00,4.00,7.00,5.00,4.00,5.00,4.00,5,319,NULL,'TAPERA','FLORIANOPOLIS','SC',18652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184451,4.00,6.00,3.00,3.00,6.00,5.50,5.00,5.00,4.00,212,224,238,'CANTO DOS GANCHOS','GOVERNADOR CELSO RAMOS','SC',14230,293,214,522,NULL,NULL,NULL,2,1),(15,2184460,4.00,6.00,3.00,8.00,7.00,5.50,4.00,5.00,2.00,101,324,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',10954,75,173,NULL,NULL,NULL,NULL,2,1),(15,2184478,1.00,3.00,2.00,2.00,2.00,NULL,4.00,2.00,1.00,420,501,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184494,4.00,6.00,2.00,4.00,8.00,4.50,5.00,3.00,3.00,103,101,NULL,'BATEL','CURITIBA','PR',14231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184508,3.00,6.00,3.00,0.00,0.00,NULL,2.00,4.00,4.00,208,238,NULL,'PETRÓPOLIS','MANAUS','AM',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,423,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2184524,2.00,7.00,5.00,4.00,2.00,NULL,2.00,2.00,2.00,201,NULL,NULL,'SACO LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184532,2.00,6.00,4.00,4.00,8.00,5.75,4.00,5.00,5.00,201,203,208,'CANTO DOS GANCHOS','GOVERNADOR CELSO RAMOS','SC',11889,652,1365,421,NULL,NULL,NULL,4,1),(15,2184540,5.00,7.00,5.00,7.00,6.00,5.25,6.00,4.00,5.00,316,304,NULL,'CAMPINAS','SAO JOSE','SC',8644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184567,1.00,2.00,2.00,3.00,6.00,NULL,2.00,4.00,1.00,207,212,201,'CENTRO','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2184575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,233,NULL,'BELA VISTA','IPATINGA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2184583,2.00,3.00,1.00,5.00,4.00,4.75,2.00,4.00,2.00,108,333,NULL,'INTERIOR','IPUACU','SC',21230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184591,5.00,6.00,6.00,4.00,7.00,6.00,5.00,6.00,3.00,101,309,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',9134,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184613,0.00,3.00,0.00,1.00,2.00,NULL,4.00,4.00,1.00,302,223,NULL,'PRAIA DE FORA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184621,2.00,3.00,2.00,4.00,5.00,3.75,4.00,1.00,3.00,308,428,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',21626,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184630,6.00,7.00,6.00,4.00,7.00,6.25,7.00,5.00,4.00,444,101,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',6641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184648,2.00,5.00,4.00,5.00,4.00,5.75,2.00,2.00,3.00,310,108,NULL,'INTERIOR','UNIAO DO OESTE','SC',19860,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2184656,2.00,6.00,4.00,5.00,8.00,6.25,5.00,6.00,5.00,102,104,NULL,'RONDONIA','NOVO HAMBURGO','RS',10474,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'SAO JOSE','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2184672,3.00,5.00,2.00,5.00,4.00,5.00,4.00,4.00,4.00,333,404,NULL,'CAMPECHE','FLORIANOPOLIS','SC',16397,267,403,NULL,NULL,NULL,NULL,2,1),(15,2184680,5.00,8.00,5.00,6.00,7.00,6.00,4.00,4.00,3.00,316,317,NULL,'CAMPINAS','SAO JOSE','SC',7195,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184699,5.00,7.00,2.00,2.00,6.00,5.00,1.00,5.00,3.00,423,9,NULL,'FLORESTA','JOINVILLE','SC',17511,57,651,NULL,NULL,NULL,NULL,4,8),(15,2184702,3.00,5.00,2.00,4.00,6.00,4.50,4.00,4.00,2.00,103,101,NULL,'SAGRADO CORAÇÃO DE J','LAGES','SC',17516,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2184710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,425,NULL,'JARDIM SELMA','MOGI GUACU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2184729,5.00,8.00,8.00,6.00,7.00,5.75,9.00,6.00,5.00,238,NULL,NULL,'ITACORUBI','FLORIANOPOLIS','SC',3335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184737,3.00,6.00,0.00,6.00,5.00,6.75,4.00,5.00,3.00,211,215,207,'CENTRO','ERECHIM','RS',14960,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2184745,2.00,6.00,2.00,6.00,5.00,6.50,4.00,4.00,3.00,316,301,NULL,'TRINDADE','FLORIANOPOLIS','SC',14771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184753,0.00,2.00,2.00,0.00,3.00,NULL,2.00,2.00,3.00,102,333,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184761,5.00,7.00,6.00,8.00,9.00,7.25,8.00,6.00,4.00,5,329,NULL,'CAMPINAS','SAO JOSE','SC',3131,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184770,0.00,8.00,1.00,6.00,6.00,5.25,3.00,5.00,4.00,318,329,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',15657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184788,4.00,7.00,6.00,4.00,7.00,5.25,6.00,6.00,2.00,208,450,238,'PLANO PILOTO','BRASILIA','DF',9599,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,316,212,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2184800,8.00,7.00,9.00,6.00,8.00,5.50,5.00,7.00,7.00,103,101,NULL,'SÃO DOMINGOS SÁVIO','ARACAJU','SE',2512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,415,NULL,'JARDIMSELMA','MOGI GUACU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2184834,7.00,7.00,8.00,0.00,8.00,6.50,8.00,8.00,7.00,103,316,NULL,'GLORIA','JOINVILLE','SC',2351,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2184850,7.00,8.00,7.00,8.00,7.00,5.50,9.00,8.00,7.00,304,NULL,NULL,'SÃO CRISTOVÃO','TURVO','SC',887,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2184869,4.00,8.00,4.00,4.00,5.00,6.75,4.00,6.00,5.00,501,423,NULL,'CENTRO DE BIGUAÇÚ','BIGUACU','SC',10877,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184877,1.00,4.00,1.00,7.00,6.00,7.00,2.00,2.00,2.00,103,102,NULL,'AEROPORTO','TUBARAO','SC',19083,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2184885,2.00,2.00,0.00,2.00,4.00,NULL,3.00,2.00,3.00,339,5,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184907,1.00,2.00,2.00,4.00,4.00,NULL,2.00,4.00,1.00,420,201,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2184915,6.00,8.00,5.00,9.00,8.00,6.00,7.00,5.00,4.00,104,217,NULL,'COQUEIROS','FLORIANOPOLIS','SC',4302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184923,1.00,4.00,1.00,3.00,5.00,4.25,4.00,4.00,4.00,308,428,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',21716,197,255,NULL,NULL,NULL,NULL,4,1),(15,2184931,5.00,6.00,2.00,4.00,7.00,6.50,5.00,4.00,2.00,233,444,202,'ESTREITO','FLORIANOPOLIS','SC',13074,319,437,495,NULL,NULL,NULL,2,1),(15,2184940,5.00,8.00,6.00,6.00,8.00,5.75,7.00,5.00,5.00,415,425,NULL,'SÃO LUIS','CRICIUMA','SC',4961,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2184958,4.00,5.00,3.00,5.00,8.00,6.00,5.00,3.00,2.00,316,324,NULL,'BARREIROS','SAO JOSE','SC',14519,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184966,2.00,3.00,3.00,4.00,4.00,4.00,2.00,2.00,3.00,444,404,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',22370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2184982,3.00,4.00,4.00,6.00,6.00,5.50,4.00,4.00,2.00,207,233,201,'PONTE DO IMARUIM','PALHOCA','SC',15021,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2184990,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,215,9,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2185008,5.00,7.00,3.00,3.00,6.00,4.00,5.00,5.00,3.00,103,319,NULL,'GRAÇA','SALVADOR','BA',13756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185016,2.00,5.00,4.00,5.00,7.00,6.25,5.00,5.00,4.00,203,304,215,'FLORESTA','CRICIUMA','SC',11979,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2185024,6.00,6.00,8.00,8.00,2.00,NULL,8.00,7.00,7.00,103,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2185032,2.00,6.00,3.00,7.00,8.00,6.00,3.00,7.00,4.00,5,316,NULL,'PONTE DO IMARUIM','PALHOCA','SC',9873,427,884,NULL,NULL,NULL,NULL,2,1),(15,2185040,6.00,5.00,1.00,1.00,6.00,5.50,1.00,6.00,3.00,415,104,NULL,'CENTRO','IJUI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2185059,2.00,8.00,4.00,5.00,4.00,4.25,3.00,6.00,2.00,203,208,NULL,'SÃO CRISTÓVÃO','PAPANDUVA','SC',14998,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2185067,0.00,3.00,2.00,1.00,7.00,NULL,4.00,2.00,2.00,103,NULL,NULL,'ÁGUAS CLARAS','TAGUATINGA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,318,NULL,'CENTRO','ITAPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2185091,3.00,7.00,4.00,7.00,8.00,7.25,6.00,5.00,2.00,104,426,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',8655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185105,2.00,3.00,0.00,1.00,5.00,NULL,2.00,4.00,1.00,211,233,215,'REAL PARQUE','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185113,3.00,7.00,4.00,7.00,7.00,5.50,4.00,6.00,3.00,423,415,428,'ITACORUBI','FLORIANOPOLIS','SC',10629,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185121,2.00,5.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,213,220,214,'CENTRO','ITAPOLIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,3),(15,2185130,2.00,4.00,3.00,1.00,5.00,5.25,4.00,4.00,2.00,217,329,NULL,'INGLESES','FLORIANOPOLIS','SC',20273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185156,4.00,7.00,4.00,8.00,7.00,6.00,5.00,4.00,2.00,501,103,NULL,'CENTRO','CURITIBA','PR',9196,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2185172,1.00,6.00,2.00,5.00,8.00,6.00,4.00,3.00,3.00,310,428,NULL,'INGLESES','FLORIANOPOLIS','SC',16771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185180,6.00,6.00,6.00,8.00,9.00,7.00,6.00,3.00,2.00,103,333,NULL,'SÃO MARTINHO','TUBARAO','SC',5770,1589,528,NULL,NULL,NULL,NULL,2,10),(15,2185199,3.00,1.00,1.00,7.00,4.00,NULL,2.00,2.00,0.00,444,404,NULL,'PATENON','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185210,4.00,7.00,6.00,2.00,6.00,4.75,6.00,6.00,4.00,212,203,214,'SANTA ANGELINA','ARARAQUARA','SP',11656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185229,2.00,4.00,4.00,4.00,5.00,3.00,3.00,3.00,3.00,444,319,NULL,'REAL PARQUE','SAO JOSE','SC',19720,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185237,4.00,7.00,7.00,9.00,8.00,6.75,7.00,7.00,7.00,202,222,213,'BAIRRO BOA VISTA','JOACABA','SC',2184,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2185245,4.00,7.00,4.00,5.00,5.00,5.00,6.00,4.00,3.00,238,223,208,'AGRONÔMICA','FLORIANOPOLIS','SC',11966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185253,1.00,6.00,2.00,7.00,3.00,3.50,2.00,6.00,3.00,333,NULL,NULL,'CAMPECHE','FLORIANOPOLIS','SC',19678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185261,1.00,5.00,3.00,3.00,5.00,5.50,2.00,3.00,3.00,324,308,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',20345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185270,2.00,6.00,6.00,3.00,7.00,6.25,5.00,3.00,2.00,203,NULL,NULL,'RIO MORTO','INDAIAL','SC',13492,904,NULL,NULL,NULL,NULL,NULL,4,2),(15,2185288,7.00,7.00,7.00,7.00,7.00,6.00,7.00,6.00,5.00,103,102,NULL,'AGUA VERDE','CURITIBA','PR',2761,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2185296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,201,220,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2185300,3.00,7.00,1.00,4.00,8.00,6.25,6.00,7.00,2.00,501,9,NULL,'CAMPINAS','SAO JOSE','SC',12132,116,536,NULL,NULL,NULL,NULL,4,1),(15,2185318,2.00,4.00,2.00,1.00,5.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'PRESIDENTE MEDICE','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2185326,1.00,4.00,2.00,0.00,2.00,NULL,3.00,3.00,3.00,429,316,425,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,213,212,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2185342,4.00,8.00,8.00,9.00,7.00,6.00,5.00,6.00,3.00,104,444,NULL,'BARREIROS','SAO JOSE','SC',5619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185350,3.00,8.00,4.00,8.00,8.00,6.00,5.00,7.00,5.00,444,327,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',5883,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185369,3.00,5.00,1.00,5.00,6.00,6.00,2.00,4.00,3.00,102,427,NULL,'VILA RICA','HERVAL D OESTE','SC',17987,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2185377,5.00,5.00,6.00,7.00,6.00,4.75,5.00,4.00,5.00,103,216,NULL,'CENTRO','JARAGUA DO SUL','SC',9583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185385,4.00,7.00,1.00,4.00,7.00,6.00,4.00,7.00,3.00,319,451,NULL,'ESPIRITO SANTO','ERECHIM','RS',13225,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2185393,6.00,8.00,4.00,6.00,6.00,5.75,7.00,5.00,5.00,103,101,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',6196,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185407,4.00,8.00,3.00,5.00,3.00,6.00,2.00,8.00,2.00,103,101,NULL,'CAMPO DUNA','GAROPABA','SC',15352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185415,0.00,5.00,2.00,3.00,5.00,NULL,1.00,4.00,1.00,5,425,NULL,'NOSSA SRA DE LOURDES','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2185423,6.00,7.00,9.00,8.00,8.00,5.00,10.00,7.00,6.00,203,233,201,'BOSQUE DOS EUCALIPTO','SAO JOSE DOS CAMPOS','SP',1452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185431,4.00,5.00,4.00,5.00,8.00,5.75,7.00,5.00,3.00,103,104,NULL,'PAES LEME','IMBITUBA','SC',9516,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2185440,3.00,5.00,5.00,9.00,6.00,7.00,4.00,4.00,2.00,234,427,NULL,'INGLESES','FLORIANOPOLIS','SC',10928,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2185458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,214,213,'PASSO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2185466,7.00,6.00,5.00,7.00,5.00,7.00,5.00,4.00,4.00,104,NULL,NULL,'JURERE','FLORIANOPOLIS','SC',7273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185482,2.00,2.00,1.00,3.00,3.00,NULL,3.00,1.00,1.00,303,331,NULL,'SERRINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185490,2.00,6.00,4.00,2.00,4.00,5.00,2.00,6.00,3.00,103,207,NULL,'CENTRO','TRES PASSOS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2185504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,316,NULL,'CAMMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2185512,3.00,5.00,4.00,6.00,5.00,3.75,3.00,5.00,2.00,424,426,428,'JD PLANALTO','SALTO','SP',17072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185520,2.00,4.00,0.00,2.00,1.00,NULL,0.00,1.00,2.00,301,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,320,NULL,'LÍDICE','UBERLANDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2185547,0.00,4.00,0.00,4.00,7.00,4.25,3.00,5.00,2.00,327,329,NULL,'PANTANAL','FLORIANOPOLIS','SC',21606,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185555,3.00,6.00,4.00,3.00,4.00,4.50,5.00,2.00,4.00,331,333,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',17273,77,887,NULL,NULL,NULL,NULL,4,1),(15,2185563,3.00,10.00,6.00,7.00,8.00,6.50,7.00,8.00,4.00,213,316,233,'JOAO PAULO','FLORIANOPOLIS','SC',2921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185571,5.00,7.00,8.00,7.00,7.00,4.25,8.00,6.00,7.00,420,207,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',3209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185580,2.00,6.00,0.00,3.00,5.00,NULL,2.00,3.00,3.00,339,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,320,215,'URBANOVA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2185610,1.00,2.00,1.00,6.00,3.00,5.00,2.00,3.00,3.00,201,420,NULL,'VILA VITÓRIA','LOANDA','PR',22157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185628,3.00,5.00,3.00,6.00,8.00,6.75,4.00,5.00,3.00,428,223,427,'CENTRO','FLORIANOPOLIS','SC',11986,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185636,5.00,6.00,3.00,4.00,6.00,3.75,6.00,4.00,3.00,203,NULL,202,'BARRA DO ARIRIÚ','PALHOCA','SC',12781,871,NULL,487,NULL,NULL,NULL,2,1),(15,2185644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,326,429,'SAMBAQUI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2185652,1.00,3.00,2.00,4.00,5.00,NULL,1.00,2.00,1.00,108,333,NULL,'MORRO DO MEIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2185660,3.00,7.00,3.00,6.00,8.00,7.25,6.00,7.00,2.00,103,102,NULL,'SANTA HELENA','LAGES','SC',7394,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2185679,3.00,1.00,0.00,2.00,1.00,NULL,2.00,5.00,2.00,324,502,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185687,3.00,4.00,3.00,7.00,7.00,5.25,3.00,3.00,3.00,215,420,216,'CENTRO','PALHOCA','SC',16155,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185695,2.00,6.00,1.00,5.00,6.00,4.75,4.00,5.00,2.00,339,427,NULL,'TRINDADE','FLORIANOPOLIS','SC',16832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185709,5.00,7.00,6.00,4.00,9.00,6.25,4.00,3.00,5.00,102,308,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',9208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185725,8.00,7.00,7.00,5.00,8.00,5.50,7.00,4.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3513,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2185733,0.00,3.00,0.00,1.00,2.00,NULL,2.00,1.00,0.00,214,212,238,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185741,4.00,6.00,0.00,5.00,5.00,6.50,3.00,3.00,2.00,103,101,NULL,'SANTO ANTONIO','CAMPOS NOVOS','SC',18418,2892,702,NULL,NULL,NULL,NULL,2,7),(15,2185750,3.00,2.00,2.00,4.00,4.00,5.00,3.00,7.00,2.00,108,217,NULL,'BARREIROS','SAO JOSE','SC',19613,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185768,3.00,5.00,3.00,5.00,5.00,6.50,1.00,4.00,2.00,102,207,NULL,'INDUSTRIAL','FRANCISCO BELTRAO','PR',19069,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2185776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,319,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2185814,8.00,8.00,6.00,5.00,8.00,5.25,6.00,6.00,6.00,104,302,NULL,'NOSSA SRA DO ROSARIO','SAO JOSE','SC',3618,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185822,4.00,5.00,5.00,5.00,5.00,5.50,4.00,6.00,4.00,444,404,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',11434,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185830,2.00,6.00,4.00,5.00,4.00,4.50,5.00,1.00,5.00,5,426,NULL,'BAIRRO IPIRANGA','SAO JOSE','SC',16549,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185849,4.00,7.00,6.00,5.00,7.00,7.00,6.00,6.00,3.00,302,310,NULL,'PIO CORRÊA','CRICIUMA','SC',5170,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2185857,2.00,3.00,1.00,2.00,7.00,NULL,1.00,3.00,2.00,9,501,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185865,3.00,6.00,2.00,4.00,5.00,6.00,3.00,5.00,3.00,415,208,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',17035,423,1064,NULL,NULL,NULL,NULL,2,1),(15,2185873,5.00,7.00,5.00,5.00,8.00,6.75,5.00,7.00,4.00,501,301,NULL,'JARDIM AMERICA','RIO DO SUL','SC',5923,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2185881,5.00,6.00,4.00,8.00,6.00,6.50,4.00,6.00,3.00,420,9,NULL,'BOMBAS','BOMBINHAS','SC',8252,152,474,NULL,NULL,NULL,NULL,2,3),(15,2185903,5.00,7.00,3.00,5.00,5.00,5.00,5.00,5.00,2.00,327,331,NULL,'BARREIROS','SAO JOSE','SC',12716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185911,3.00,7.00,4.00,2.00,8.00,5.75,4.00,3.00,4.00,303,203,NULL,'ATIRADORES','JOINVILLE','SC',14681,684,1392,NULL,NULL,NULL,NULL,4,8),(15,2185938,4.00,6.00,4.00,8.00,8.00,6.00,6.00,6.00,3.00,5,319,NULL,'CENTRO','IPUMIRIM','SC',7425,336,666,NULL,NULL,NULL,NULL,4,1),(15,2185946,1.00,7.00,3.00,2.00,4.00,6.50,2.00,4.00,1.00,303,333,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2185954,5.00,7.00,2.00,4.00,6.00,5.50,5.00,6.00,3.00,444,404,NULL,'JARDIM BIGUAÇU','BIGUACU','SC',11485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2185962,1.00,5.00,1.00,3.00,5.00,5.25,3.00,3.00,3.00,102,215,NULL,'CENTRO','SANTA MARIA','RS',21232,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2185970,0.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,102,217,NULL,'FLOR DE NÁPOLIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2185989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,316,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2185997,4.00,4.00,2.00,2.00,7.00,5.75,5.00,3.00,1.00,9,501,NULL,'VORSTADT','BLUMENAU','SC',19303,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2186004,3.00,5.00,3.00,2.00,4.00,5.00,2.00,3.00,2.00,108,327,NULL,'PONTE DO IMARUIM','PALHOCA','SC',21324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186012,7.00,7.00,7.00,6.00,9.00,4.75,7.00,6.00,5.00,103,328,NULL,'CENTRO','AMAPORA','PR',2766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186020,5.00,7.00,3.00,7.00,7.00,6.00,5.00,4.00,2.00,331,326,NULL,'AMBRÓSIO','GAROPABA','SC',11098,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186039,2.00,5.00,1.00,0.00,1.00,NULL,4.00,2.00,2.00,9,444,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186047,7.00,8.00,6.00,6.00,7.00,5.00,6.00,4.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5634,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2186055,4.00,9.00,8.00,8.00,7.00,6.75,8.00,8.00,3.00,103,303,NULL,'TOBIAS','JOACABA','SC',1958,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2186063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,216,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2186071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,202,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2186098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,333,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2186101,6.00,7.00,7.00,8.00,8.00,6.00,7.00,6.00,6.00,103,104,NULL,'GUANABARA','FRANCISCO BELTRAO','PR',2555,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2186110,5.00,8.00,6.00,6.00,6.00,6.50,6.00,7.00,2.00,103,444,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',5867,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186128,5.00,8.00,7.00,4.00,8.00,6.00,9.00,9.00,6.00,5,326,NULL,'CENTRO','FLORIANOPOLIS','SC',2352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186136,6.00,6.00,6.00,6.00,8.00,5.25,8.00,5.00,4.00,104,310,NULL,'PIO CORRÊA','CRICIUMA','SC',4411,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2186144,3.00,5.00,4.00,5.00,6.00,6.50,5.00,6.00,3.00,5,316,NULL,'CAMPINAS','SAO JOSE','SC',11831,512,949,NULL,NULL,NULL,NULL,2,1),(15,2186152,3.00,6.00,5.00,5.00,6.00,7.00,6.00,5.00,4.00,5,303,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',9107,396,1117,NULL,NULL,NULL,NULL,4,1),(15,2186160,3.00,5.00,3.00,4.00,7.00,2.00,2.00,3.00,3.00,324,327,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186187,3.00,7.00,4.00,5.00,7.00,7.75,4.00,4.00,4.00,207,420,201,'PRESIDENTE MEDICI','CHAPECO','SC',9948,479,635,551,NULL,NULL,NULL,4,4),(15,2186195,2.00,5.00,3.00,2.00,6.00,5.50,5.00,5.00,5.00,216,215,211,'CENTRO','IRINEOPOLIS','SC',15611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186209,8.00,8.00,2.00,6.00,7.00,6.25,6.00,6.00,5.00,5,327,NULL,'COMERCIARIO','CRICIUMA','SC',4887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186217,3.00,6.00,4.00,5.00,5.00,5.00,2.00,6.00,4.00,103,102,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',13766,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2186225,2.00,6.00,1.00,6.00,8.00,6.00,4.00,6.00,3.00,301,333,NULL,'CENTRO','PALHOCA','SC',12424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186233,5.00,9.00,5.00,3.00,7.00,6.00,6.00,7.00,2.00,5,329,NULL,'SAO JOAO','TUBARAO','SC',7536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186241,2.00,4.00,1.00,6.00,3.00,5.25,4.00,6.00,3.00,238,NULL,208,'ITACORUBI','FLORIANOPOLIS','SC',19050,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186250,7.00,8.00,7.00,3.00,7.00,5.00,7.00,8.00,6.00,203,211,214,'BALNEÁRIO','FLORIANOPOLIS','SC',3882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186268,1.00,5.00,3.00,8.00,3.00,NULL,0.00,0.00,0.00,211,333,208,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2186276,4.00,7.00,2.00,7.00,7.00,3.75,3.00,6.00,5.00,102,339,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',11862,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186284,4.00,6.00,3.00,4.00,5.00,5.25,4.00,4.00,4.00,451,NULL,NULL,'DAS NAÇÕES','BALNEARIO CAMBORIU','SC',15696,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2186306,2.00,5.00,1.00,3.00,6.00,NULL,0.00,2.00,3.00,404,444,NULL,'IPANEMA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2186314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,203,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2186322,6.00,9.00,8.00,7.00,8.00,5.75,7.00,5.00,5.00,9,316,NULL,'ITACORUBI','FLORIANOPOLIS','SC',3087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186330,1.00,4.00,7.00,4.00,7.00,6.00,3.00,5.00,3.00,207,223,233,'CAPOEIRAS','FLORIANOPOLIS','SC',14470,699,173,342,NULL,NULL,NULL,2,1),(15,2186349,3.00,8.00,2.00,6.00,6.00,4.75,4.00,4.00,2.00,108,217,NULL,'ASA SUL','BRASILIA','DF',15494,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186365,7.00,8.00,6.00,9.00,7.00,7.50,5.00,6.00,4.00,319,217,NULL,'CENTRO','FLORIANOPOLIS','SC',3426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CONTORNO','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2186390,5.00,7.00,7.00,7.00,9.00,7.00,8.00,7.00,7.00,103,102,NULL,'ANHANGABAU','JUNDIAI','SP',1417,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186403,2.00,7.00,4.00,5.00,4.00,5.00,4.00,6.00,3.00,444,327,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',13726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186411,2.00,7.00,3.00,5.00,7.00,4.00,4.00,5.00,5.00,208,238,220,'CARVOEIRA','FLORIANOPOLIS','SC',11165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186420,3.00,8.00,6.00,7.00,7.00,4.50,7.00,4.00,4.00,201,234,233,'FORQUILHINHAS','SAO JOSE','SC',7619,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186438,7.00,9.00,6.00,8.00,8.00,7.00,6.00,6.00,5.00,103,9,NULL,'FLORESTA','PORTO ALEGRE','RS',2518,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2186446,3.00,7.00,3.00,3.00,6.00,3.00,4.00,6.00,2.00,318,201,NULL,'SAGUAÇU','JOINVILLE','SC',15516,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2186454,3.00,7.00,3.00,1.00,6.00,5.25,3.00,7.00,3.00,502,215,NULL,'CENTRO','TIMBO','SC',16300,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2186462,5.00,8.00,6.00,7.00,7.00,6.75,4.00,6.00,5.00,211,501,216,'GARCIA','BLUMENAU','SC',4977,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2186470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,223,203,'JD PORTO ALEGRE','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2186489,2.00,6.00,3.00,2.00,5.00,5.50,6.00,6.00,4.00,207,501,201,'AEROPORTO','JUNDIAI','SP',14606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186497,3.00,4.00,0.00,0.00,4.00,NULL,4.00,0.00,4.00,302,309,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186500,2.00,4.00,1.00,2.00,6.00,4.25,2.00,5.00,2.00,9,103,NULL,'SOARES','ARARANGUA','SC',21625,331,3279,NULL,NULL,NULL,NULL,2,5),(15,2186519,3.00,3.00,1.00,1.00,5.00,5.75,4.00,3.00,2.00,207,420,NULL,'CENTRO','MONTENEGRO','RS',21887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186527,1.00,6.00,1.00,1.00,4.00,6.25,2.00,4.00,3.00,327,428,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',21978,194,256,NULL,NULL,NULL,NULL,4,1),(15,2186535,2.00,8.00,4.00,4.00,6.00,4.75,4.00,5.00,4.00,202,213,214,'CENTRO','CAMPESTRE','MG',12643,481,439,418,NULL,NULL,NULL,4,8),(15,2186543,6.00,8.00,5.00,6.00,8.00,4.75,5.00,6.00,3.00,420,450,NULL,'CENTRO','SANTO ANTONIO DE POSSE','SP',6558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186551,1.00,5.00,2.00,3.00,3.00,5.25,3.00,4.00,2.00,202,224,208,'CENTRO','FLORIANOPOLIS','SC',21690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186560,4.00,7.00,1.00,2.00,7.00,5.75,3.00,7.00,3.00,317,316,NULL,'TRAVESSÃO','GRAVATAL','SC',15083,234,1049,NULL,NULL,NULL,NULL,4,10),(15,2186578,4.00,7.00,6.00,7.00,9.00,5.50,7.00,5.00,3.00,104,301,NULL,'PRAINHA','FLORIANOPOLIS','SC',5699,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186586,2.00,5.00,2.00,1.00,5.00,NULL,2.00,2.00,2.00,224,316,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186594,5.00,4.00,3.00,4.00,4.00,6.50,4.00,4.00,1.00,501,502,NULL,'CAMPINAS','SAO JOSE','SC',17344,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186608,5.00,8.00,7.00,6.00,6.00,6.50,8.00,8.00,5.00,103,304,NULL,'PRESIDENTE MÉDICI','CHAPECO','SC',3218,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2186616,8.00,9.00,8.00,7.00,9.00,4.75,8.00,9.00,7.00,103,404,NULL,'RESIDENCIAL PARAISO','FRANCA','SP',434,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186624,3.00,5.00,4.00,0.00,4.00,4.75,3.00,2.00,4.00,202,208,213,'ACS DOURADO','ARATIBA','RS',21018,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2186640,2.00,3.00,0.00,2.00,2.00,NULL,2.00,3.00,3.00,207,NULL,201,'SAO FRANCISCO','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2186675,0.00,7.00,4.00,1.00,7.00,6.75,3.00,6.00,3.00,415,427,NULL,'CENTRO','FLORIANOPOLIS','SC',14658,367,176,NULL,NULL,NULL,NULL,4,1),(15,2186691,2.00,6.00,0.00,1.00,4.00,NULL,3.00,4.00,1.00,101,319,NULL,'SANTO ÂNGELO','CACHOEIRINHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186705,2.00,6.00,3.00,6.00,7.00,5.25,3.00,5.00,3.00,317,318,NULL,'BELA VISTA','SAO JOSE','SC',14575,219,445,NULL,NULL,NULL,NULL,2,1),(15,2186713,3.00,5.00,3.00,6.00,8.00,7.25,5.00,5.00,1.00,217,324,NULL,'FORQUILHAS','SAO JOSE','SC',12009,92,188,NULL,NULL,NULL,NULL,2,1),(15,2186721,3.00,6.00,1.00,6.00,5.00,5.00,4.00,4.00,2.00,103,303,NULL,'CENTRO','ITUPORANGA','SC',16882,2790,1265,NULL,NULL,NULL,NULL,2,2),(15,2186730,3.00,5.00,4.00,7.00,8.00,4.75,3.00,4.00,1.00,319,444,NULL,'ESTREITO','FLORIANOPOLIS','SC',15240,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186748,4.00,7.00,6.00,8.00,8.00,6.75,8.00,5.00,3.00,216,501,211,'CENTRO','TUBARAO','SC',4668,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2186756,2.00,1.00,0.00,0.00,0.00,NULL,2.00,3.00,3.00,104,333,NULL,'MONTE BELO','JOACABA','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,7),(15,2186764,4.00,7.00,3.00,0.00,0.00,NULL,6.00,4.00,5.00,103,208,NULL,'SÃO MIGUEL','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,4),(15,2186772,6.00,6.00,6.00,4.00,8.00,4.50,6.00,4.00,3.00,207,223,238,'AGRONOMICA','FLORIANOPOLIS','SC',9707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186780,5.00,6.00,7.00,9.00,6.00,5.50,8.00,5.00,5.00,318,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',5060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186799,1.00,5.00,7.00,5.00,6.00,4.75,6.00,7.00,4.00,213,316,238,'ITAGUAÇU','FLORIANOPOLIS','SC',10900,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186802,5.00,7.00,2.00,7.00,4.00,6.25,5.00,5.00,2.00,316,318,NULL,'FLORESTA','SAO JOSE','SC',12562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186829,5.00,8.00,5.00,8.00,6.00,7.25,7.00,7.00,4.00,316,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',3575,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2186837,3.00,7.00,3.00,8.00,6.00,3.75,6.00,8.00,2.00,333,332,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',9153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186853,4.00,3.00,3.00,6.00,5.00,5.50,2.00,5.00,3.00,207,9,201,'CAPOEIRAS','FLORIANOPOLIS','SC',17709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186861,6.00,8.00,8.00,8.00,8.00,6.25,8.00,7.00,7.00,103,9,NULL,'CENTRO','FLORIANOPOLIS','SC',945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186870,6.00,8.00,5.00,3.00,7.00,7.50,5.00,7.00,2.00,207,9,215,'SERRARIA','SAO JOSE','SC',7066,329,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186888,0.00,4.00,1.00,6.00,5.00,6.50,1.00,2.00,2.00,103,216,NULL,'INGLESES','FLORIANOPOLIS','SC',21541,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186896,3.00,6.00,4.00,3.00,8.00,3.25,1.00,5.00,2.00,214,213,238,'PANTANAL','FLORIANOPOLIS','SC',17941,529,477,658,NULL,NULL,NULL,2,1),(15,2186900,6.00,8.00,1.00,4.00,8.00,4.75,7.00,7.00,4.00,234,333,NULL,'CENTRO','FLORIANOPOLIS','SC',6306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186926,4.00,6.00,5.00,5.00,6.00,4.75,7.00,5.00,4.00,316,425,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',10140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186934,2.00,6.00,5.00,6.00,6.00,7.00,5.00,6.00,2.00,104,9,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',9698,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2186950,4.00,4.00,2.00,7.00,5.00,4.00,3.00,4.00,5.00,2,328,NULL,'LICORSUL','BENTO GONCALVES','RS',14901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186969,7.00,9.00,9.00,9.00,8.00,5.50,9.00,6.00,8.00,103,502,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2186985,3.00,6.00,3.00,6.00,4.00,4.50,3.00,7.00,4.00,203,238,214,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',14217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2186993,8.00,9.00,9.00,5.00,7.00,7.25,9.00,8.00,7.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',497,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2187000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GURILANDIA','TAUBATE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2187019,7.00,7.00,7.00,9.00,7.00,4.25,7.00,8.00,6.00,318,316,NULL,'CENTRO','BRUSQUE','SC',1908,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2187027,6.00,6.00,8.00,9.00,7.00,5.50,7.00,5.00,4.00,301,238,NULL,'AMÉRICA','JOINVILLE','SC',4194,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2187051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,426,NULL,'CENTRO','LAGOA VERMELHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2187060,3.00,5.00,3.00,6.00,6.00,6.00,4.00,5.00,4.00,225,424,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',11993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2187078,3.00,2.00,2.00,3.00,7.00,5.75,3.00,4.00,3.00,216,215,212,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',18792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187086,8.00,8.00,6.00,8.00,9.00,7.50,6.00,9.00,5.00,415,428,NULL,'ITACORUBI','FLORIANOPOLIS','SC',1301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187094,5.00,8.00,1.00,8.00,7.00,5.50,8.00,5.00,2.00,108,320,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',7661,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2187116,3.00,9.00,5.00,5.00,6.00,4.75,6.00,7.00,3.00,319,333,NULL,'CAMPO LIMPO','SAO PAULO','SP',7579,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2187124,5.00,9.00,4.00,7.00,7.00,5.50,7.00,9.00,3.00,103,444,NULL,'TRINDADE','FLORIANOPOLIS','SC',3696,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2187132,2.00,6.00,4.00,6.00,7.00,6.50,5.00,5.00,3.00,316,5,NULL,'ASSIS BRASIL','IJUI','RS',11222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187140,3.00,7.00,3.00,1.00,4.00,6.00,4.00,5.00,3.00,415,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',16644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187159,1.00,4.00,3.00,6.00,3.00,5.00,6.00,5.00,2.00,501,108,NULL,'PINHEIRINHO','PATO BRANCO','PR',18063,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2187167,2.00,4.00,2.00,5.00,6.00,5.50,3.00,2.00,2.00,104,303,NULL,'VILA SÃO JOSÉ','ARARANGUA','SC',19230,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2187175,4.00,6.00,3.00,0.00,5.00,3.00,2.00,7.00,2.00,318,320,NULL,'CENTRO','FLORIANOPOLIS','SC',19560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187183,1.00,5.00,4.00,5.00,6.00,4.75,5.00,2.00,3.00,104,102,NULL,'CIDADE ALTA','SANTO ANTONIO DA PATRULHA','RS',18085,586,1030,NULL,NULL,NULL,NULL,2,10),(15,2187205,3.00,7.00,2.00,7.00,7.00,5.75,5.00,6.00,2.00,501,324,NULL,'KOBRASOL','SAO JOSE','SC',11073,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2187213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,326,429,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2187221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,5,NULL,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2187230,1.00,4.00,4.00,3.00,6.00,6.25,2.00,2.00,2.00,207,339,215,'CENTRO','CHAPECO','SC',20911,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2187248,2.00,5.00,1.00,8.00,7.00,6.00,3.00,1.00,1.00,319,425,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',18564,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2187256,3.00,4.00,0.00,3.00,4.00,NULL,0.00,3.00,1.00,420,211,NULL,'SÃO FRANCISCO','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2187264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,318,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2187272,5.00,6.00,4.00,6.00,5.00,6.75,6.00,7.00,3.00,203,224,238,'ITACORUBI','FLORIANOPOLIS','SC',7514,621,137,217,NULL,NULL,NULL,2,1),(15,2187280,3.00,7.00,0.00,2.00,7.00,6.00,4.00,6.00,2.00,333,316,NULL,'PONTE DO IMARUIM','PALHOCA','SC',16306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187299,2.00,7.00,4.00,8.00,7.00,6.50,5.00,5.00,3.00,444,424,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',7670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187302,2.00,6.00,3.00,2.00,6.00,5.50,6.00,2.00,3.00,201,207,212,'MAGALHÃES','LAGUNA','SC',18495,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2187310,3.00,7.00,5.00,8.00,6.00,6.00,7.00,6.00,5.00,238,316,208,'S CORAÇÃO DE JESUS','LAGES','SC',7297,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2187329,3.00,5.00,4.00,2.00,7.00,4.75,5.00,4.00,3.00,102,103,NULL,'CENTRO','CONCORDIA','SC',16003,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2187337,3.00,3.00,1.00,0.00,4.00,NULL,2.00,4.00,2.00,444,318,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187345,5.00,7.00,2.00,6.00,8.00,6.25,3.00,5.00,2.00,332,327,NULL,'COSTEIRA','FLORIANOPOLIS','SC',9939,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2187353,4.00,6.00,2.00,8.00,5.00,7.50,3.00,7.00,2.00,421,425,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',11340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187361,3.00,7.00,5.00,6.00,8.00,7.00,6.00,5.00,2.00,302,427,NULL,'ESTREITO','FLORIANOPOLIS','SC',8146,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2187370,3.00,8.00,4.00,5.00,4.00,3.50,5.00,4.00,2.00,207,201,211,'MONTE VERDE','FLORIANOPOLIS','SC',14111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187388,4.00,6.00,8.00,6.00,7.00,6.00,6.00,6.00,2.00,233,224,207,'KOBRASOL','SAO JOSE','SC',6227,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2187396,5.00,6.00,4.00,3.00,6.00,3.75,6.00,5.00,3.00,203,2,NULL,'AMIZADE','JARAGUA DO SUL','SC',12391,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2187400,6.00,7.00,3.00,9.00,7.00,7.00,5.00,6.00,3.00,319,426,NULL,'BARREIROS','SAO JOSE','SC',6608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,502,NULL,'CENTRO','ICARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2187434,4.00,7.00,7.00,2.00,7.00,8.00,6.00,7.00,4.00,316,501,NULL,'TRINDADE','FLORIANOPOLIS','SC',7015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,319,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2187450,3.00,6.00,4.00,8.00,6.00,0.00,3.00,3.00,1.00,301,316,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2187469,5.00,7.00,7.00,6.00,7.00,6.00,4.00,4.00,4.00,211,316,215,'PONTA DE BAIXO','SAO JOSE','SC',7071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,451,421,'BUTANTÃ','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2187485,4.00,6.00,6.00,8.00,7.00,6.00,7.00,5.00,4.00,104,339,NULL,'CAMPINAS','SAO JOSE','SC',6165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2187493,4.00,6.00,6.00,3.00,9.00,4.75,4.00,4.00,3.00,304,NULL,NULL,'CENTRO','CRICIUMA','SC',11275,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2187523,4.00,7.00,2.00,5.00,6.00,5.50,6.00,4.00,4.00,319,339,NULL,'COQUEIROS','FLORIANOPOLIS','SC',10949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187531,5.00,5.00,3.00,6.00,7.00,5.50,6.00,6.00,7.00,207,217,216,'PARQUE ITÁLIA','CAMPINAS','SP',7028,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2187540,4.00,7.00,7.00,5.00,8.00,6.00,4.00,4.00,4.00,301,404,NULL,'CAMPECHE','FLORIANOPOLIS','SC',8211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187558,1.00,4.00,1.00,2.00,4.00,NULL,2.00,3.00,0.00,415,308,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2187566,0.00,8.00,2.00,2.00,6.00,NULL,4.00,3.00,2.00,333,502,NULL,'CENTRO','PINHEIRO PRETO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2187574,4.00,7.00,4.00,9.00,5.00,6.25,4.00,8.00,2.00,108,319,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187582,1.00,7.00,2.00,6.00,4.00,7.50,3.00,5.00,2.00,5,329,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',16825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187604,4.00,6.00,4.00,3.00,5.00,3.00,5.00,3.00,3.00,202,208,203,'ZONA SUL','ILHA SOLTEIRA','SP',17467,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2187612,1.00,7.00,2.00,2.00,6.00,5.00,1.00,2.00,2.00,101,108,NULL,'ASILO','BLUMENAU','SC',21296,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2187620,4.00,3.00,1.00,1.00,5.00,3.75,3.00,4.00,2.00,324,308,NULL,'BELA VISTA III','SAO JOSE','SC',22426,120,498,NULL,NULL,NULL,NULL,2,1),(15,2187639,5.00,6.00,5.00,6.00,6.00,5.00,5.00,5.00,4.00,303,5,NULL,'CENTRO','CASCAVEL','PR',10049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2187647,4.00,4.00,5.00,5.00,7.00,6.25,5.00,8.00,3.00,203,214,211,'RIO MAINA','CRICIUMA','SC',9495,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2187655,7.00,8.00,7.00,5.00,7.00,3.00,7.00,6.00,7.00,304,318,NULL,'ANITA GARIBALDI','JOINVILLE','SC',2733,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2187663,0.00,5.00,3.00,3.00,5.00,6.00,5.00,5.00,2.00,319,329,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',18483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187671,4.00,6.00,3.00,4.00,6.00,6.00,5.00,7.00,2.00,316,201,NULL,'CENTRO','FLORIANOPOLIS','SC',12095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187680,4.00,4.00,3.00,4.00,6.00,5.25,5.00,3.00,7.00,217,NULL,NULL,'CIDADE NOVA','SANTA BARBARA D OESTE','SP',11960,90,NULL,NULL,NULL,NULL,NULL,4,8),(15,2187698,3.00,5.00,3.00,3.00,4.00,5.00,2.00,4.00,2.00,9,102,NULL,'PRESCIDENTE MEDICE','CHAPECO','SC',20500,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2187701,1.00,4.00,5.00,0.00,3.00,4.25,2.00,3.00,3.00,302,301,NULL,'SERTAO DO MARUIM','SAO JOSE','SC',22465,206,875,NULL,NULL,NULL,NULL,2,1),(15,2187710,2.00,6.00,0.00,4.00,5.00,5.75,5.00,3.00,4.00,201,304,212,'IMIGRANTES','TIMBO','SC',17658,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2187728,6.00,8.00,6.00,9.00,9.00,7.75,7.00,6.00,6.00,303,319,NULL,'ITAGUAÇÚ','FLORIANOPOLIS','SC',1532,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187736,2.00,6.00,1.00,4.00,6.00,4.25,5.00,5.00,3.00,217,238,NULL,'CENTRO','ARAQUARI','SC',17838,163,981,NULL,NULL,NULL,NULL,2,8),(15,2187744,1.00,5.00,6.00,9.00,8.00,5.75,4.00,5.00,1.00,303,5,NULL,'GLÓRIA','JOINVILLE','SC',10214,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2187752,3.00,3.00,1.00,4.00,3.00,5.25,1.00,4.00,3.00,319,332,NULL,'NSA SRA DO ROSÁRIO','SAO JOSE','SC',22111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2187760,2.00,5.00,2.00,8.00,6.00,5.75,4.00,3.00,4.00,308,324,NULL,'FUNDOS','BIGUACU','SC',14149,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2187779,4.00,6.00,2.00,4.00,6.00,6.25,5.00,4.00,3.00,319,103,NULL,'SUMARE','RIO DO SUL','SC',14133,274,3210,NULL,NULL,NULL,NULL,4,3),(15,2187787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,415,NULL,'CHAPADAO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2187795,2.00,7.00,2.00,3.00,5.00,5.50,4.00,4.00,1.00,238,317,208,'CAMPINAS','SAO JOSE','SC',19204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187809,2.00,3.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,103,102,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2187817,1.00,5.00,2.00,3.00,5.00,6.50,5.00,4.00,3.00,216,215,NULL,'CENTRO','CASCAVEL','PR',17970,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2187825,1.00,6.00,2.00,2.00,6.00,5.75,3.00,4.00,3.00,332,339,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',18595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187833,6.00,7.00,9.00,9.00,8.00,6.75,6.00,6.00,6.00,203,333,214,'SOUZA CRUZ','BRUSQUE','SC',1512,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2187850,6.00,7.00,7.00,7.00,8.00,6.75,7.00,6.00,6.00,303,301,NULL,'SÍTIO CERCADO','CURITIBA','PR',2883,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2187868,2.00,8.00,6.00,9.00,7.00,6.50,4.00,7.00,3.00,103,104,NULL,'COMERCIÁRIO','CRICIUMA','SC',6441,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2187876,1.00,4.00,2.00,0.00,2.00,NULL,3.00,4.00,3.00,102,319,NULL,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2187884,6.00,7.00,7.00,9.00,7.00,8.25,7.00,6.00,9.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',1355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187892,6.00,7.00,9.00,9.00,9.00,4.50,9.00,5.00,6.00,220,222,212,'JARDIM','CONCORDIA','SC',1235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187906,3.00,6.00,5.00,5.00,7.00,6.00,4.00,4.00,5.00,104,NULL,NULL,'PAUAS','SAO FRANCISCO DO SUL','SC',10185,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2187914,5.00,8.00,4.00,8.00,7.00,5.75,5.00,6.00,3.00,103,NULL,NULL,'CENTRO','AMERICANA','SP',5973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187922,3.00,7.00,3.00,8.00,6.00,6.00,7.00,6.00,2.00,415,444,NULL,'CAROLINA','SANTA MARIA','RS',9154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187930,5.00,7.00,8.00,7.00,8.00,7.00,7.00,5.00,7.00,102,108,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187949,1.00,6.00,1.00,2.00,5.00,NULL,3.00,2.00,1.00,101,333,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2187957,3.00,9.00,4.00,8.00,8.00,6.50,2.00,4.00,4.00,425,217,427,'ESTREITO','FLORIANOPOLIS','SC',9219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187965,2.00,8.00,5.00,4.00,7.00,8.50,4.00,4.00,3.00,5,303,NULL,'ESTREITO','FLORIANOPOLIS','SC',10605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2187981,3.00,7.00,5.00,1.00,6.00,3.00,1.00,7.00,1.00,211,329,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',18631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188007,1.00,4.00,4.00,2.00,6.00,6.00,4.00,3.00,2.00,9,215,NULL,'JARDIM PAULISTA','ASSIS','SP',19457,283,610,NULL,NULL,NULL,NULL,4,3),(15,2188015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','SANTANA DO LIVRAMENTO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2188023,3.00,7.00,3.00,9.00,5.00,6.25,3.00,7.00,3.00,103,108,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188031,5.00,8.00,6.00,6.00,6.00,4.75,8.00,5.00,4.00,201,212,233,'PRAIA JOÃO ROSA','BIGUACU','SC',4997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188040,4.00,4.00,2.00,3.00,4.00,5.75,2.00,2.00,1.00,207,333,201,'CENTRO','UMUARAMA','PR',22315,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2188058,5.00,7.00,4.00,7.00,7.00,6.50,6.00,5.00,6.00,5,304,NULL,'CENTRO','FLORIANOPOLIS','SC',4913,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188066,5.00,7.00,4.00,5.00,7.00,5.00,7.00,7.00,4.00,233,2,213,'PRAIA COMPRIDA','SAO JOSE','SC',7701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188074,8.00,7.00,6.00,8.00,8.00,5.75,8.00,6.00,5.00,103,104,NULL,'JARDIM CLÍMAX','DOURADOS','MS',3263,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2188082,2.00,4.00,3.00,2.00,4.00,5.00,3.00,5.00,3.00,317,316,NULL,'CAMPINAS','SAO JOSE','SC',20528,376,1235,NULL,NULL,NULL,NULL,4,1),(15,2188090,3.00,7.00,4.00,5.00,7.00,4.00,5.00,7.00,4.00,201,316,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',10908,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2188104,3.00,6.00,2.00,2.00,5.00,4.00,5.00,4.00,3.00,203,208,201,'CENTRO','VILA NOVA DO SUL','RS',17976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188112,3.00,7.00,3.00,1.00,5.00,4.75,4.00,4.00,1.00,207,208,201,'CENTRO','BALNEARIO CAMBORIU','SC',19421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188120,0.00,5.00,4.00,6.00,7.00,6.50,3.00,4.00,3.00,9,303,NULL,'SAO JORGE','SAO MIGUEL DOESTE','SC',15755,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2188139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,451,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2188147,6.00,8.00,7.00,7.00,8.00,6.00,7.00,8.00,5.00,103,5,NULL,'CAMPECHE','FLORIANOPOLIS','SC',1751,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188155,5.00,7.00,6.00,9.00,9.00,6.50,8.00,7.00,6.00,220,208,202,'CENTRO','CAXIAS DO SUL','RS',1435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188163,2.00,3.00,1.00,2.00,3.00,NULL,2.00,3.00,2.00,444,404,NULL,'JARDIM BIGUAÇU','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188171,1.00,2.00,1.00,1.00,3.00,NULL,2.00,1.00,1.00,317,318,NULL,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188180,3.00,5.00,3.00,4.00,5.00,5.75,1.00,3.00,0.00,316,301,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',21135,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,102,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2188201,2.00,6.00,5.00,1.00,3.00,5.50,3.00,4.00,4.00,333,217,NULL,'NOIVA DA COLINA','PIRACICABA','SP',18623,325,501,NULL,NULL,NULL,NULL,4,1),(15,2188228,3.00,5.00,5.00,2.00,4.00,4.50,5.00,7.00,4.00,211,201,215,'CANTRO','FLORIANOPOLIS','SC',14437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188236,1.00,6.00,3.00,7.00,3.00,6.25,5.00,5.00,3.00,211,502,202,'OFICINAS','TUBARAO','SC',13864,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2188244,2.00,6.00,3.00,4.00,5.00,5.25,5.00,4.00,5.00,317,339,NULL,'AREIAS','SAO JOSE','SC',15765,255,295,NULL,NULL,NULL,NULL,2,1),(15,2188252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,450,NULL,'JARDIM DAS PALMEIRAS','SUMARE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2188260,3.00,7.00,8.00,2.00,6.00,4.25,3.00,3.00,2.00,103,303,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188279,1.00,7.00,4.00,2.00,5.00,5.00,4.00,5.00,5.00,302,303,NULL,'GUIOMAR','ANTONIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188287,4.00,5.00,2.00,8.00,7.00,8.25,3.00,5.00,2.00,103,502,NULL,'POMPEIA','SANTOS','SP',10773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188295,5.00,6.00,4.00,6.00,6.00,4.00,7.00,6.00,2.00,225,333,NULL,'PANTANAL','FLORIANOPOLIS','SC',11117,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188309,3.00,7.00,6.00,5.00,7.00,6.25,4.00,5.00,3.00,301,316,NULL,'IGRA','TORRES','RS',10180,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2188317,3.00,7.00,2.00,2.00,7.00,6.00,3.00,4.00,2.00,444,404,NULL,'NOSSA SRA ROSARIO','SAO JOSE','SC',16215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188325,1.00,6.00,4.00,6.00,5.00,5.00,6.00,6.00,3.00,203,324,214,'CENTRO','IPUMIRIM','SC',13123,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2188333,5.00,9.00,5.00,9.00,6.00,6.75,8.00,8.00,4.00,5,329,NULL,'CAMPECHE','FLORIANOPOLIS','SC',2835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188341,2.00,3.00,1.00,1.00,3.00,5.00,5.00,2.00,3.00,207,420,201,'SÃO GOTARDO','FLORES DA CUNHA','RS',22375,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188350,3.00,5.00,1.00,8.00,4.00,5.25,3.00,4.00,2.00,420,238,NULL,'CAMPECHE','FLORIANOPOLIS','SC',17807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188368,7.00,8.00,9.00,7.00,9.00,7.50,8.00,6.00,6.00,216,223,NULL,'CARAVAGGIO','NOVA VENEZA','SC',1180,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2188376,3.00,6.00,7.00,5.00,7.00,5.50,7.00,7.00,5.00,316,301,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',5548,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2188384,3.00,6.00,3.00,4.00,7.00,5.75,5.00,5.00,5.00,303,9,NULL,'CENTRO','FLORIANOPOLIS','SC',13377,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188406,3.00,4.00,0.00,4.00,3.00,4.75,1.00,4.00,3.00,318,320,NULL,'ILHA DA FIGUEIRA','JARAGUA DO SUL','SC',22159,268,250,NULL,NULL,NULL,NULL,2,8),(15,2188414,6.00,9.00,7.00,9.00,9.00,7.50,7.00,7.00,6.00,415,420,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',720,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2188422,4.00,8.00,5.00,7.00,7.00,5.50,5.00,6.00,5.00,450,333,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',6812,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188430,3.00,6.00,3.00,4.00,5.00,4.25,3.00,3.00,2.00,211,212,233,'TRINDADE','FLORIANOPOLIS','SC',19072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188449,2.00,3.00,2.00,4.00,2.00,NULL,4.00,2.00,2.00,423,324,427,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188457,2.00,3.00,1.00,3.00,7.00,6.00,4.00,2.00,1.00,5,238,NULL,'CENTRO','FLORIANOPOLIS','SC',21053,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,213,202,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2188473,2.00,6.00,2.00,2.00,6.00,4.50,4.00,3.00,2.00,104,333,NULL,'KOBRASOL','SAO JOSE','SC',20093,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188481,5.00,7.00,5.00,8.00,8.00,6.75,5.00,5.00,2.00,303,420,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',7380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188490,5.00,8.00,7.00,7.00,7.00,6.00,7.00,8.00,7.00,238,2,208,'GUARDA DO CUBATÃO','PALHOCA','SC',2143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188503,1.00,8.00,4.00,7.00,6.00,5.75,5.00,6.00,3.00,329,415,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',10099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188511,4.00,4.00,5.00,5.00,7.00,5.50,5.00,4.00,3.00,207,211,201,'ÁGUA VERDE','CURITIBA','PR',13001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188520,2.00,3.00,1.00,1.00,4.00,NULL,2.00,2.00,1.00,103,102,NULL,'CENTRO','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2188538,2.00,3.00,3.00,4.00,4.00,4.25,4.00,4.00,4.00,104,207,NULL,'CAMINHO NOVO','PALHOCA','SC',19842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188546,5.00,6.00,4.00,7.00,7.00,4.00,7.00,5.00,4.00,103,104,NULL,'PIATÃ','SALVADOR','BA',6997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188562,2.00,6.00,3.00,1.00,4.00,2.00,4.00,4.00,2.00,333,404,NULL,'CENTRO','ITAPORANGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188570,2.00,8.00,6.00,6.00,9.00,5.75,4.00,7.00,6.00,303,9,NULL,'SOUZA CRUZ','BRUSQUE','SC',6093,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2188597,6.00,8.00,5.00,4.00,7.00,7.00,7.00,8.00,4.00,101,317,NULL,'CENTRO','FLORIANOPOLIS','SC',4257,9,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188600,3.00,6.00,1.00,5.00,6.00,6.25,4.00,4.00,2.00,203,316,202,'JARDIM LIMA','FRANCA','SP',15510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188619,0.00,4.00,4.00,3.00,3.00,NULL,0.00,0.00,0.00,216,223,208,'LINHA DAS PALMEIRAS','XAVANTINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(15,2188627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'BOA VISTA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2188635,7.00,8.00,4.00,7.00,8.00,5.25,8.00,7.00,4.00,5,213,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',2911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188643,3.00,7.00,3.00,6.00,5.00,5.00,4.00,6.00,4.00,303,501,NULL,'SANTA MARIA','CHAPECO','SC',11264,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2188651,2.00,5.00,6.00,8.00,6.00,6.25,3.00,5.00,2.00,5,328,NULL,'KOBRASOL','SAO JOSE','SC',13008,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188660,3.00,6.00,3.00,8.00,6.00,7.00,6.00,6.00,4.00,420,424,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188678,3.00,5.00,0.00,0.00,5.00,NULL,5.00,5.00,3.00,415,426,NULL,'PIONEIROS','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2188686,4.00,7.00,6.00,6.00,8.00,6.75,4.00,6.00,3.00,317,302,NULL,'CENTRO','FLORIANOPOLIS','SC',6607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188694,2.00,2.00,4.00,6.00,5.00,5.75,2.00,4.00,3.00,103,104,NULL,'CORDEIROS','ITAJAI','SC',20138,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2188708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,318,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2188716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,444,NULL,'JD LUMEN CHRISTI','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2188724,6.00,7.00,6.00,5.00,8.00,7.25,7.00,7.00,4.00,211,223,238,'CENTRO','FLORIANOPOLIS','SC',4184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188732,7.00,8.00,9.00,7.00,8.00,6.00,9.00,7.00,7.00,216,217,215,'CENTRO','FLORIANOPOLIS','SC',642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188740,3.00,7.00,4.00,5.00,8.00,6.00,3.00,6.00,5.00,5,316,NULL,'CENTRO','BIGUACU','SC',10497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188759,2.00,4.00,3.00,2.00,4.00,5.25,3.00,2.00,3.00,444,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',22146,299,NULL,NULL,NULL,NULL,NULL,2,3),(15,2188767,2.00,2.00,2.00,2.00,2.00,NULL,2.00,1.00,4.00,317,316,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188775,3.00,6.00,6.00,5.00,6.00,6.00,6.00,5.00,3.00,223,304,NULL,'CENTRO','FLORIANOPOLIS','SC',10326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188783,3.00,7.00,5.00,5.00,3.00,6.00,6.00,8.00,3.00,203,213,202,'REBOUÇAS','CURITIBA','PR',9218,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2188791,6.00,8.00,7.00,7.00,8.00,4.75,7.00,5.00,4.00,211,333,201,'VILA OLIMPIA','SAO PAULO','SP',3790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188805,5.00,6.00,4.00,6.00,3.00,3.50,5.00,6.00,3.00,233,501,220,'VILA ALEMANHA','LUZERNA','SC',13275,324,439,472,NULL,NULL,NULL,2,7),(15,2188821,2.00,2.00,1.00,0.00,0.00,NULL,2.00,4.00,2.00,301,316,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188830,8.00,9.00,8.00,4.00,8.00,7.50,8.00,7.00,5.00,207,425,201,'PRAIA COMPRIDA','SAO JOSE','SC',1184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188848,3.00,5.00,2.00,5.00,5.00,3.25,3.00,3.00,2.00,215,9,207,'JARDIM BIGUAÇU','BIGUACU','SC',20815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188856,7.00,8.00,7.00,7.00,8.00,6.50,8.00,7.00,7.00,202,501,211,'TRINDADE','FLORIANOPOLIS','SC',1553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188864,1.00,7.00,4.00,7.00,6.00,6.25,3.00,5.00,4.00,103,211,NULL,'CENTRO','CAMPOS NOVOS','SC',12767,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2188872,2.00,7.00,4.00,6.00,5.00,5.00,4.00,6.00,2.00,333,502,NULL,'COSTEIRA','FLORIANOPOLIS','SC',13035,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188880,5.00,8.00,4.00,9.00,8.00,8.00,4.00,7.00,5.00,5,429,NULL,'COQUEIROS','FLORIANOPOLIS','SC',3745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188899,4.00,6.00,8.00,6.00,7.00,3.75,8.00,6.00,6.00,103,108,NULL,'BELA VISTA','ERECHIM','RS',4831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188902,2.00,7.00,1.00,6.00,6.00,5.75,2.00,5.00,3.00,415,NULL,NULL,'CENTRO','MAIRINQUE','SP',14917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188910,2.00,8.00,5.00,7.00,7.00,4.75,3.00,4.00,2.00,415,450,NULL,'CENTRO','FLORIANOPOLIS','SC',11513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188929,0.00,3.00,1.00,2.00,3.00,NULL,0.00,2.00,1.00,102,9,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188937,4.00,7.00,5.00,7.00,7.00,7.00,6.00,6.00,3.00,303,333,NULL,'AEROPORTO','TUBARAO','SC',5199,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2188945,6.00,7.00,5.00,6.00,6.00,5.75,7.00,7.00,7.00,5,318,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',2943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188953,6.00,7.00,7.00,2.00,7.00,5.00,7.00,7.00,2.00,2,202,NULL,'CENTRO','CARAZINHO','RS',7689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188961,4.00,7.00,2.00,1.00,7.00,6.00,2.00,3.00,1.00,319,332,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',19963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2188970,4.00,6.00,3.00,5.00,5.00,5.25,4.00,5.00,4.00,304,223,NULL,'PONTE DO IMARUIM','PALHOCA','SC',13598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2188988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,224,201,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2188996,0.00,3.00,1.00,3.00,2.00,NULL,3.00,5.00,2.00,5,103,NULL,'CENTRO','CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2189003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,101,NULL,'RODOVIARIA PARQUE','CUIABA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2189038,2.00,4.00,2.00,4.00,7.00,3.75,2.00,3.00,3.00,223,222,NULL,'INDUSTRIAL NORTE','RIO NEGRINHO','SC',20915,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189046,4.00,5.00,7.00,4.00,4.00,4.25,4.00,4.00,2.00,208,238,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',14671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189054,6.00,8.00,7.00,7.00,7.00,6.00,8.00,6.00,6.00,203,220,214,'CENTRO','NOVA TRENTO','SC',2154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189062,5.00,7.00,8.00,8.00,8.00,6.00,7.00,4.00,5.00,203,216,220,'CACHOEIRA DOURADA','GOIANIA','GO',4138,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2189070,1.00,8.00,0.00,5.00,8.00,5.00,3.00,6.00,2.00,102,216,NULL,'ATIRADORES','JOINVILLE','SC',15334,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2189089,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,303,302,NULL,'MARIA GORETTI','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(15,2189100,6.00,6.00,4.00,7.00,8.00,7.00,6.00,7.00,3.00,9,423,NULL,'BARREIROS','SAO JOSE','SC',5723,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189119,4.00,5.00,0.00,5.00,8.00,NULL,6.00,5.00,1.00,9,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2189127,2.00,6.00,2.00,5.00,6.00,3.75,4.00,4.00,4.00,211,501,NULL,'CAMPINAS','SAO JOSE','SC',17702,617,511,NULL,NULL,NULL,NULL,2,1),(15,2189135,5.00,6.00,7.00,6.00,9.00,7.00,8.00,8.00,4.00,211,333,203,'BOTAFOGO','BENTO GONCALVES','RS',3016,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2189143,4.00,5.00,0.00,4.00,8.00,6.75,4.00,7.00,2.00,317,308,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',14000,207,304,NULL,NULL,NULL,NULL,2,1),(15,2189151,0.00,6.00,3.00,3.00,3.00,4.75,4.00,2.00,2.00,309,331,NULL,'GUARDA DO EMBAU','PALHOCA','SC',21664,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189160,2.00,1.00,0.00,0.00,3.00,NULL,2.00,1.00,1.00,102,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2189178,2.00,3.00,1.00,3.00,4.00,5.00,2.00,2.00,3.00,303,304,NULL,'CENTRO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189186,6.00,7.00,8.00,8.00,9.00,5.75,9.00,5.00,5.00,415,310,NULL,'CENTRO','FLORIANOPOLIS','SC',2331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189194,7.00,8.00,7.00,6.00,7.00,5.75,5.00,6.00,5.00,104,9,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',3595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189208,3.00,7.00,6.00,4.00,5.00,3.75,7.00,7.00,3.00,202,2,203,'BOSQUE DOS EUCALIPTO','SAO JOSE DOS CAMPOS','SP',10045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189216,5.00,7.00,8.00,8.00,9.00,8.00,8.00,8.00,4.00,420,425,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',1258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189224,5.00,4.00,7.00,9.00,8.00,3.75,6.00,6.00,5.00,103,303,NULL,'VILA NOVA','BLUMENAU','SC',4351,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2189232,3.00,8.00,2.00,5.00,8.00,5.25,5.00,5.00,2.00,103,444,NULL,'FAZENDA STO ANTÔNIO','SAO JOSE','SC',11678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189240,3.00,7.00,7.00,3.00,7.00,7.00,7.00,4.00,5.00,202,222,238,'AGRONÔMICA','FLORIANOPOLIS','SC',7501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189267,2.00,4.00,2.00,4.00,3.00,5.25,2.00,4.00,2.00,104,301,NULL,'CENTRO','VILA NOVA DO SUL','RS',20719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189275,2.00,5.00,3.00,5.00,4.00,6.75,4.00,3.00,3.00,201,202,207,'MEIA PRAIA','ITAPEMA','SC',16406,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2189283,0.00,2.00,1.00,2.00,6.00,NULL,3.00,3.00,1.00,302,102,NULL,'REAL PARQUE','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'BELA VISTA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2189305,3.00,7.00,8.00,6.00,8.00,6.25,5.00,4.00,3.00,302,223,NULL,'KOBRASOL','SAO JOSE','SC',7918,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189313,2.00,6.00,2.00,3.00,7.00,6.25,4.00,4.00,2.00,426,324,NULL,'AREIAS','SAO JOSE','SC',17556,61,301,NULL,NULL,NULL,NULL,2,1),(15,2189321,1.00,6.00,0.00,7.00,5.00,NULL,2.00,4.00,3.00,102,216,NULL,'JARDIM BANDEIRA','SAO JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2189330,3.00,7.00,2.00,8.00,7.00,NULL,0.00,0.00,0.00,303,102,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2189348,5.00,7.00,7.00,7.00,8.00,6.00,8.00,7.00,7.00,103,9,NULL,'CENTRO','LONDRINA','PR',1774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189364,6.00,9.00,4.00,8.00,6.00,6.00,7.00,7.00,5.00,103,214,NULL,'VILA REAL','BALNEARIO CAMBORIU','SC',3081,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2189402,3.00,4.00,2.00,5.00,3.00,3.00,5.00,2.00,2.00,301,501,NULL,'BARREIROS','SAO JOSE','SC',21069,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189410,5.00,7.00,5.00,7.00,9.00,5.75,7.00,5.00,3.00,303,5,NULL,'MANGUEIRÃO','BELEM','PA',6057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189437,4.00,6.00,5.00,8.00,7.00,6.00,5.00,7.00,5.00,201,304,233,'CZERNIEWCZ','JARAGUA DO SUL','SC',6260,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2189445,3.00,7.00,3.00,4.00,6.00,3.50,5.00,6.00,2.00,224,329,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',16026,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189453,5.00,8.00,4.00,5.00,7.00,6.25,4.00,5.00,1.00,101,424,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',11626,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189461,4.00,5.00,2.00,0.00,4.00,NULL,3.00,3.00,1.00,316,427,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,327,NULL,'CENTRO','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2189496,6.00,7.00,4.00,6.00,8.00,4.75,6.00,6.00,7.00,202,217,220,'PARQUE DAS AVENIDAS','SOMBRIO','SC',4810,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2189500,5.00,7.00,7.00,6.00,7.00,6.00,5.00,4.00,5.00,9,302,NULL,'JARDIM ELDORADO','PALHOCA','SC',7323,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189518,3.00,6.00,1.00,3.00,7.00,5.50,3.00,5.00,2.00,208,319,NULL,'SERRARIA','SAO JOSE','SC',17265,673,851,NULL,NULL,NULL,NULL,4,1),(15,2189526,4.00,8.00,7.00,4.00,7.00,5.75,7.00,8.00,4.00,103,102,NULL,'SUMARÉ','RIO DO SUL','SC',4796,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2189542,4.00,8.00,4.00,6.00,7.00,6.25,3.00,5.00,4.00,104,318,NULL,'CENTRO','FLORIANOPOLIS','SC',8867,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189569,3.00,6.00,2.00,0.00,7.00,3.75,0.00,4.00,1.00,211,220,238,'CENTRO','ROMELANDIA','SC',22007,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2189577,1.00,6.00,4.00,5.00,7.00,8.25,3.00,7.00,1.00,317,224,NULL,'IPIRANGA','SAO JOSE','SC',12215,160,191,NULL,NULL,NULL,NULL,2,1),(15,2189585,4.00,6.00,4.00,6.00,8.00,6.50,4.00,4.00,3.00,318,224,NULL,'BOM RETIRO','BLUMENAU','SC',11562,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2189607,5.00,7.00,8.00,7.00,7.00,6.25,7.00,7.00,5.00,5,444,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',2843,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189615,5.00,6.00,5.00,6.00,6.00,5.25,5.00,5.00,1.00,238,316,NULL,'PARQUE SAO JORGE','FLORIANOPOLIS','SC',10648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189623,2.00,7.00,4.00,3.00,4.00,5.00,3.00,3.00,2.00,101,309,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',19637,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189631,6.00,6.00,5.00,6.00,6.00,5.50,5.00,4.00,2.00,207,103,215,'BOA ESPERANÇA','CUIABA','MT',10899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189640,1.00,5.00,7.00,7.00,7.00,4.00,5.00,5.00,3.00,220,301,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',11441,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189658,3.00,4.00,1.00,2.00,5.00,5.75,3.00,5.00,1.00,103,101,NULL,'VILA TEIXEIRA','CAMPO MOURAO','PR',19781,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2189666,4.00,5.00,4.00,6.00,6.00,5.75,3.00,5.00,2.00,5,428,NULL,'CENTRO','CAMPINAS','SP',13703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189674,2.00,7.00,3.00,5.00,7.00,7.00,4.00,7.00,3.00,103,233,NULL,'SÃO LUIZ','CURITIBANOS','SC',11010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA TONANI','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2189690,4.00,5.00,5.00,6.00,4.00,6.00,4.00,3.00,2.00,303,207,NULL,'KOBRASOL','SAO JOSE','SC',14120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189704,4.00,7.00,5.00,6.00,6.00,5.00,6.00,4.00,4.00,203,2,214,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189712,4.00,8.00,1.00,6.00,6.00,5.50,4.00,8.00,1.00,420,427,NULL,'INGLESES','FLORIANOPOLIS','SC',10696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189720,7.00,7.00,8.00,6.00,7.00,5.75,4.00,7.00,4.00,102,217,NULL,'ESPERANÇA','ERECHIM','RS',4316,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2189739,3.00,5.00,4.00,9.00,7.00,6.25,4.00,7.00,1.00,328,424,NULL,'CENTRO','FLORIANOPOLIS','SC',10044,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2189747,6.00,5.00,4.00,7.00,7.00,7.25,7.00,6.00,4.00,103,451,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',5643,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189755,5.00,7.00,7.00,7.00,8.00,5.00,8.00,5.00,4.00,208,238,203,'SANTO ANTONIO','JOINVILLE','SC',3827,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2189763,0.00,6.00,3.00,1.00,7.00,NULL,3.00,2.00,2.00,104,501,NULL,'SÃO CRISTOVÃO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2189771,2.00,5.00,4.00,5.00,7.00,4.75,4.00,4.00,3.00,303,333,NULL,'CENTRO','LAGES','SC',15090,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2189780,3.00,6.00,4.00,7.00,6.00,6.25,6.00,6.00,5.00,103,104,NULL,'HIGIENÓPOLIS','SAO PAULO','SP',8271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,233,215,'ALTO DA GLÓRIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2189801,3.00,4.00,1.00,2.00,5.00,NULL,2.00,2.00,1.00,211,202,NULL,'CENTRO','ARARAQUARA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189810,2.00,6.00,5.00,4.00,4.00,3.50,5.00,5.00,4.00,203,214,216,'CENTRO','TAUBATE','SP',14189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189836,2.00,4.00,4.00,3.00,5.00,5.25,4.00,4.00,3.00,319,326,NULL,'NOSSA SRA DO ROSÁRIO','SAO JOSE','SC',17660,377,307,NULL,NULL,NULL,NULL,4,1),(15,2189844,5.00,7.00,5.00,7.00,7.00,5.00,4.00,6.00,3.00,327,224,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',8150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189852,2.00,5.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,5,324,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189860,1.00,5.00,3.00,4.00,5.00,4.25,2.00,5.00,2.00,301,324,NULL,'FLORIANOPOLIS','FLORIANOPOLIS','SC',20531,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189887,2.00,6.00,3.00,5.00,4.00,5.50,2.00,2.00,3.00,212,332,211,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',20050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189909,5.00,5.00,5.00,6.00,9.00,6.50,4.00,6.00,3.00,103,101,NULL,'RIO CAVEIRAS','BIGUACU','SC',9787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189917,1.00,5.00,3.00,1.00,6.00,NULL,3.00,3.00,1.00,444,319,NULL,'SANTA BARBARA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2189925,4.00,7.00,6.00,8.00,7.00,5.00,4.00,5.00,4.00,202,201,203,'PRAIA JOÃO ROSA','BIGUACU','SC',8381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2189933,2.00,6.00,4.00,3.00,8.00,6.00,5.00,8.00,2.00,103,327,NULL,'DAS NAÇÕES','FRAIBURGO','SC',10616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2189950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,201,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2189976,7.00,8.00,7.00,5.00,8.00,6.00,5.00,4.00,5.00,220,202,213,'IMIGRANTE','GUABIRUBA','SC',4832,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2189984,3.00,8.00,4.00,5.00,7.00,5.50,6.00,5.00,2.00,420,207,NULL,'CENTRO','SANTA MARIA','RS',10752,206,1150,NULL,NULL,NULL,NULL,4,4),(15,2189992,3.00,6.00,5.00,4.00,7.00,7.00,6.00,3.00,3.00,103,5,NULL,'AGOSTINI','SAO MIGUEL DOESTE','SC',11410,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2190001,3.00,7.00,6.00,7.00,7.00,6.75,8.00,6.00,6.00,203,216,202,'ZONA SETE','MARINGA','PR',4130,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2190010,4.00,5.00,6.00,2.00,6.00,5.00,5.00,6.00,5.00,220,203,201,'JARDIM BELA VISTA','GOIANIA','GO',10983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190028,1.00,7.00,6.00,8.00,6.00,6.00,5.00,6.00,6.00,220,202,203,'VILA ADYANNA','SAO JOSE DOS CAMPOS','SP',7636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'SANTA PAULA','SAO CAETANO DO SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2190044,5.00,8.00,9.00,6.00,7.00,6.25,7.00,6.00,3.00,203,NULL,202,'CONDOMINIO MOENDA','ITATIBA','SP',3229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190052,2.00,3.00,0.00,5.00,5.00,4.00,2.00,4.00,2.00,303,NULL,NULL,'CENTRO','LAGES','SC',21910,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2190079,4.00,7.00,5.00,6.00,4.00,5.25,6.00,7.00,3.00,225,224,NULL,'CARIANOS','FLORIANOPOLIS','SC',8730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2190087,3.00,5.00,2.00,6.00,7.00,5.50,0.00,4.00,3.00,339,317,NULL,'FAZENDA SANTO ANTÔNI','SAO JOSE','SC',17495,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2190095,3.00,5.00,2.00,3.00,6.00,4.50,2.00,2.00,1.00,103,101,NULL,'ALTO DA BRONZE','ESTRELA','RS',21931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190109,3.00,5.00,1.00,7.00,7.00,6.00,3.00,3.00,2.00,303,415,NULL,'CENTRO','NOVA ERECHIM','SC',15841,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2190117,3.00,6.00,4.00,7.00,8.00,5.75,7.00,2.00,6.00,103,104,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',8524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190125,3.00,7.00,2.00,6.00,6.00,4.00,4.00,6.00,2.00,238,NULL,208,'CENTRO','ITAJAI','SC',14546,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2190133,0.00,6.00,2.00,0.00,7.00,5.75,3.00,3.00,3.00,302,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',20987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190141,4.00,9.00,6.00,9.00,9.00,8.00,6.00,9.00,4.00,450,424,NULL,'CAMPECHE','FLORIANOPOLIS','SC',2076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190168,5.00,7.00,6.00,7.00,7.00,5.50,4.00,7.00,4.00,104,333,NULL,'CENTRO','FLORIANOPOLIS','SC',6090,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2190176,6.00,9.00,8.00,5.00,7.00,5.25,8.00,9.00,4.00,5,316,NULL,'CENTRO','FLORIANOPOLIS','SC',2698,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2190184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,5,NULL,'SANTA CRUZ','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2190192,3.00,7.00,4.00,4.00,3.00,6.25,3.00,3.00,2.00,103,102,NULL,'PERPÉTUO SOCORRO','SAO LOURENCO DO OESTE','SC',17093,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2190206,1.00,2.00,3.00,5.00,5.00,4.00,1.00,3.00,2.00,233,215,211,'SAMUEL SANDRINI','ORLEANS','SC',22321,476,648,757,NULL,NULL,NULL,2,10),(15,2190222,1.00,4.00,2.00,3.00,6.00,4.25,4.00,4.00,2.00,420,233,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',20106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190230,2.00,6.00,5.00,8.00,5.00,5.50,5.00,4.00,3.00,304,319,NULL,'CENTRO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190249,0.00,5.00,0.00,0.00,5.00,NULL,3.00,3.00,3.00,5,303,NULL,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2190265,1.00,4.00,1.00,4.00,8.00,NULL,3.00,3.00,1.00,303,420,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2190273,4.00,7.00,6.00,5.00,5.00,5.25,6.00,6.00,6.00,203,233,202,'VILA APRAZIVEL','JACAREI','SP',7491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190281,2.00,8.00,3.00,2.00,7.00,5.00,3.00,5.00,1.00,303,444,NULL,'FORQUILHINHAS','SAO JOSE','SC',15395,710,481,NULL,NULL,NULL,NULL,4,1),(15,2190303,2.00,7.00,5.00,3.00,5.00,6.00,3.00,5.00,3.00,213,2,212,'IRIRIÚ','JOINVILLE','SC',14490,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2190311,4.00,6.00,1.00,3.00,7.00,6.25,1.00,3.00,0.00,104,NULL,NULL,'FÁTIMA','JOINVILLE','SC',19294,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2190320,3.00,6.00,1.00,3.00,7.00,4.25,4.00,2.00,1.00,303,101,NULL,'ABRAÃO','FLORIANOPOLIS','SC',20492,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2190338,2.00,2.00,3.00,7.00,5.00,5.75,2.00,5.00,4.00,502,108,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',17585,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2190354,5.00,7.00,3.00,5.00,8.00,6.00,6.00,8.00,2.00,103,339,NULL,'ESTREITO','FLORIANOPOLIS','SC',8273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190362,2.00,6.00,3.00,2.00,6.00,5.00,5.00,7.00,4.00,103,415,NULL,'BARREIROS','SAO JOSE','SC',14352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190370,2.00,2.00,1.00,5.00,4.00,4.25,2.00,3.00,2.00,216,207,215,'CENTRO','URUPEMA','SC',22379,567,1328,430,NULL,NULL,NULL,2,9),(15,2190389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JD ROSA CRUZ','MOGI GUACU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2190397,2.00,3.00,4.00,1.00,5.00,NULL,3.00,3.00,1.00,444,9,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190400,6.00,8.00,6.00,9.00,8.00,7.00,8.00,9.00,5.00,201,301,207,'CAMPINAS','SAO JOSE','SC',1591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190419,3.00,7.00,1.00,0.00,5.00,NULL,3.00,5.00,2.00,501,404,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190427,4.00,8.00,8.00,5.00,8.00,5.75,8.00,8.00,5.00,214,233,212,'CENTRO','BALNEARIO CAMBORIU','SC',2358,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2190435,3.00,5.00,3.00,5.00,6.00,6.50,3.00,5.00,2.00,428,424,421,'COQUEIROS','FLORIANOPOLIS','SC',13933,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2190443,7.00,5.00,7.00,6.00,7.00,5.75,7.00,1.00,5.00,103,104,NULL,'JARDIM CARVALHO','PONTA GROSSA','PR',7226,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2190451,5.00,7.00,6.00,7.00,8.00,7.00,6.00,8.00,5.00,103,101,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',3094,1063,395,NULL,NULL,NULL,NULL,4,1),(15,2190460,4.00,5.00,4.00,5.00,6.00,5.00,3.00,4.00,4.00,319,308,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2190478,4.00,6.00,5.00,5.00,8.00,3.00,6.00,6.00,3.00,201,202,207,'CENTRO','PALOTINA','PR',9745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190486,6.00,8.00,7.00,9.00,9.00,7.75,8.00,9.00,5.00,303,425,NULL,'PANTANAL','FLORIANOPOLIS','SC',363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190494,2.00,5.00,4.00,3.00,7.00,5.00,6.00,6.00,3.00,202,333,213,'MARY DOTA','BAURU','SP',13184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190508,2.00,6.00,6.00,6.00,4.00,5.00,6.00,5.00,4.00,201,420,203,'CENTRO','ERECHIM','RS',12846,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2190516,3.00,4.00,4.00,0.00,6.00,6.75,3.00,5.00,3.00,415,420,NULL,'INTERIOR','MONDAI','SC',18878,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2190524,4.00,7.00,6.00,5.00,6.00,5.00,6.00,4.00,3.00,238,420,208,'ITAQUERA','SAO PAULO','SP',8789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190532,2.00,7.00,4.00,4.00,7.00,5.50,4.00,2.00,8.00,301,214,NULL,'PORTO GRANDE','SAO SEBASTIAO','SP',11025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190540,2.00,7.00,3.00,3.00,2.00,NULL,3.00,4.00,3.00,103,104,NULL,'GUARA I','GUARA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2190559,5.00,9.00,7.00,6.00,7.00,6.50,7.00,7.00,6.00,303,301,NULL,'NAÇÕES','BALNEARIO CAMBORIU','SC',2790,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2190567,1.00,2.00,1.00,3.00,2.00,NULL,3.00,3.00,2.00,104,9,NULL,'NASPOLINI','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2190575,2.00,6.00,2.00,5.00,8.00,6.50,4.00,6.00,2.00,415,220,NULL,'CAMINHO NOVO','PALHOCA','SC',12490,317,730,NULL,NULL,NULL,NULL,2,1),(15,2190583,2.00,8.00,3.00,3.00,5.00,5.00,3.00,3.00,3.00,332,333,NULL,'TABOÃO','RIO DO SUL','SC',18080,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2190591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,324,NULL,'BOSQUE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2190605,2.00,5.00,1.00,5.00,7.00,4.50,2.00,5.00,1.00,332,331,NULL,'TRINDADE','FLORIANOPOLIS','SC',19041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2190613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,214,NULL,'CENTRO','GUARATINGUETA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2190621,5.00,8.00,5.00,5.00,6.00,5.75,9.00,5.00,6.00,213,333,214,'ALTO DE MAFRA','MAFRA','SC',5664,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2190630,2.00,7.00,4.00,4.00,4.00,5.00,3.00,4.00,3.00,319,501,NULL,'PANTANAL','FLORIANOPOLIS','SC',18295,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2190648,3.00,6.00,3.00,3.00,7.00,6.00,5.00,3.00,2.00,222,225,NULL,'CAMPINAS','SAO JOSE','SC',15935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190656,7.00,7.00,6.00,8.00,8.00,8.00,9.00,6.00,8.00,103,319,NULL,'VILA DOS MEDICOS','BOTUCATU','SP',525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,207,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2190672,1.00,3.00,1.00,5.00,4.00,4.00,3.00,2.00,2.00,308,339,NULL,'CENTRO','FLORIANOPOLIS','SC',22216,222,461,NULL,NULL,NULL,NULL,2,1),(15,2190680,2.00,6.00,1.00,4.00,6.00,3.75,4.00,4.00,3.00,102,101,NULL,'SANTA TEREZINHA','GARIBALDI','RS',17912,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2190699,1.00,6.00,4.00,2.00,7.00,4.00,5.00,5.00,1.00,319,308,NULL,'CENTRO','FLORIANOPOLIS','SC',18588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190702,3.00,9.00,3.00,7.00,7.00,7.00,3.00,9.00,3.00,329,320,NULL,'CAMPINAS','SAO JOSE','SC',7339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2190710,2.00,6.00,3.00,6.00,6.00,5.00,2.00,4.00,1.00,316,319,NULL,'ITACORUBI','FLORIANOPOLIS','SC',18012,522,875,NULL,NULL,NULL,NULL,2,1),(15,2190729,3.00,3.00,1.00,0.00,5.00,NULL,1.00,1.00,1.00,423,425,424,'FAZENDA STO ANTONIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190737,3.00,5.00,3.00,1.00,8.00,6.50,4.00,6.00,2.00,103,101,NULL,'OFICINAS','TUBARAO','SC',14601,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2190745,2.00,7.00,5.00,7.00,7.00,6.75,6.00,5.00,3.00,211,213,202,'CENTRO','TORRES','RS',8726,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2190753,4.00,4.00,5.00,3.00,6.00,5.75,1.00,5.00,3.00,303,310,NULL,'VILA SÃO GERALDO','TAUBATE','SP',16550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190761,1.00,6.00,5.00,4.00,4.00,5.50,4.00,2.00,5.00,319,326,NULL,'CENTRO','GAROPABA','SC',16536,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2190770,3.00,5.00,2.00,0.00,0.00,NULL,6.00,5.00,4.00,415,326,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(15,2190788,4.00,7.00,4.00,7.00,8.00,5.75,6.00,7.00,1.00,9,104,NULL,'AVAI','GUARAMIRIM','SC',6944,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2190800,7.00,9.00,9.00,8.00,9.00,6.50,8.00,7.00,5.00,103,9,NULL,'INGLESES','FLORIANOPOLIS','SC',878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190818,3.00,6.00,5.00,7.00,7.00,5.50,5.00,4.00,3.00,450,328,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',10468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190826,0.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,319,104,NULL,'BORTOLON','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(15,2190850,5.00,7.00,5.00,5.00,5.00,6.00,6.00,6.00,5.00,317,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',7333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2190869,6.00,6.00,5.00,6.00,8.00,5.50,7.00,5.00,5.00,102,101,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',6141,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2190877,4.00,8.00,2.00,7.00,8.00,7.75,4.00,6.00,2.00,450,429,NULL,'CENTRO','TAIO','SC',8626,83,221,NULL,NULL,NULL,NULL,2,2),(15,2190885,3.00,5.00,1.00,6.00,6.00,4.75,2.00,3.00,1.00,104,308,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',20119,657,428,NULL,NULL,NULL,NULL,2,1),(15,2190893,2.00,5.00,5.00,3.00,4.00,3.25,5.00,2.00,4.00,216,420,233,'CENTRO','IPUMIRIM','SC',18836,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2190907,6.00,7.00,7.00,8.00,9.00,5.50,8.00,8.00,7.00,319,426,NULL,'CENTRO','CURITIBA','PR',1340,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2190915,6.00,7.00,7.00,6.00,8.00,6.00,6.00,7.00,3.00,207,451,215,'AGRONOMICA','FLORIANOPOLIS','SC',5248,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2190923,3.00,4.00,3.00,7.00,6.00,6.00,3.00,3.00,2.00,103,319,NULL,'NOVA BRASÍLIA','JARAGUA DO SUL','SC',15794,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2190931,4.00,7.00,5.00,5.00,7.00,5.25,6.00,4.00,3.00,103,104,NULL,'CENTRO','LAGES','SC',10123,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2190940,6.00,5.00,3.00,0.00,3.00,NULL,5.00,4.00,4.00,211,332,212,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190958,0.00,4.00,0.00,2.00,7.00,NULL,3.00,4.00,2.00,102,309,NULL,'ARIRIÚ','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2190974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,328,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2190990,8.00,8.00,9.00,9.00,8.00,7.25,8.00,7.00,8.00,203,207,201,'ESTREITO','FLORIANOPOLIS','SC',155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'CENTRO','SAO PEDRO DO IGUACU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2191016,5.00,8.00,6.00,6.00,7.00,7.25,6.00,5.00,3.00,5,427,NULL,'COQUEIROS','FLORIANOPOLIS','SC',6913,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2191024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2191032,4.00,7.00,3.00,2.00,5.00,4.00,3.00,6.00,1.00,103,104,NULL,'AREIAS','CAMBORIU','SC',18523,2904,1211,NULL,NULL,NULL,NULL,2,3),(15,2191040,1.00,5.00,3.00,5.00,5.00,3.00,3.00,4.00,2.00,104,102,NULL,'CENTRO','MORRO DA FUMACA','SC',19664,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2191067,0.00,3.00,1.00,0.00,5.00,NULL,3.00,1.00,3.00,302,208,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191075,3.00,8.00,4.00,2.00,8.00,3.50,4.00,5.00,4.00,328,502,NULL,'CENTRO','URUSSANGA','SC',13479,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2191083,4.00,5.00,5.00,2.00,4.00,5.50,4.00,7.00,3.00,224,425,NULL,'CARIANOS','FLORIANOPOLIS','SC',13744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191105,6.00,8.00,2.00,9.00,8.00,3.75,6.00,7.00,3.00,217,101,NULL,'CENTRO','FLORIANOPOLIS','SC',6174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191113,2.00,4.00,2.00,1.00,3.00,NULL,2.00,2.00,1.00,317,NULL,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2191121,3.00,3.00,3.00,0.00,5.00,NULL,2.00,4.00,3.00,207,103,216,'CEDRO','CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2191148,4.00,8.00,4.00,5.00,7.00,4.00,7.00,4.00,3.00,212,331,201,'SERRINHA','FLORIANOPOLIS','SC',10389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191156,1.00,5.00,4.00,5.00,3.00,NULL,1.00,4.00,0.00,319,NULL,NULL,'SÃO GOTARDO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2191164,6.00,9.00,5.00,9.00,8.00,6.00,9.00,7.00,8.00,301,316,NULL,'ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP',1232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,304,NULL,'CENTRO','TAPEJARA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2191180,2.00,5.00,3.00,2.00,8.00,6.50,2.00,4.00,2.00,208,316,238,'BELA VISTA I','SAO JOSE','SC',18204,702,1150,669,NULL,NULL,NULL,4,1),(15,2191199,4.00,7.00,6.00,4.00,5.00,4.00,5.00,4.00,3.00,5,303,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',11731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191202,1.00,4.00,2.00,1.00,4.00,5.00,4.00,5.00,2.00,203,202,201,'ST BELA VISTA','GOIANIA','GO',21471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191210,7.00,8.00,9.00,7.00,8.00,6.50,9.00,7.00,4.00,214,201,212,'CAMPECHE','FLORIANOPOLIS','SC',1396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191229,3.00,8.00,5.00,6.00,5.00,6.00,6.00,6.00,1.00,420,304,NULL,'CENTRO','FLORIANOPOLIS','SC',9786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,301,NULL,'VILA SOLENE','CAMPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2191245,5.00,5.00,4.00,3.00,6.00,4.25,7.00,3.00,3.00,203,501,213,'EUGENIO SNHEIDER','RIO DO SUL','SC',13396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191253,1.00,3.00,4.00,0.00,1.00,NULL,3.00,4.00,0.00,301,316,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2191261,5.00,8.00,4.00,6.00,9.00,5.25,6.00,5.00,4.00,9,319,NULL,'N S DO ROSÁRIO','SAO JOSE','SC',7146,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2191270,3.00,6.00,3.00,6.00,8.00,5.50,3.00,7.00,4.00,108,501,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',9961,200,393,NULL,NULL,NULL,NULL,4,1),(15,2191288,5.00,7.00,6.00,7.00,8.00,5.50,7.00,7.00,4.00,303,5,NULL,'LARANJEIRAS','RIO DO SUL','SC',4424,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2191296,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,5,214,NULL,'QUINCAS PRESTES','DOM PEDRITO','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2191300,4.00,1.00,4.00,5.00,6.00,6.25,3.00,4.00,1.00,103,319,NULL,'CENTRO','VIDAL RAMOS','SC',18091,2872,877,NULL,NULL,NULL,NULL,2,2),(15,2191318,5.00,8.00,2.00,6.00,5.00,4.00,5.00,4.00,1.00,212,201,213,'ARMAÇÃO','FLORIANOPOLIS','SC',13514,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2191326,4.00,5.00,3.00,8.00,7.00,5.50,6.00,4.00,4.00,104,102,NULL,'CENTRO','RIO DO SUL','SC',9747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2191334,3.00,7.00,3.00,6.00,5.00,6.00,5.00,8.00,1.00,316,318,NULL,'BARREIROS','SAO JOSE','SC',11289,289,398,NULL,NULL,NULL,NULL,4,1),(15,2191342,0.00,2.00,1.00,2.00,6.00,NULL,1.00,3.00,0.00,308,331,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2191350,4.00,6.00,1.00,6.00,7.00,5.50,5.00,4.00,4.00,319,451,NULL,'CENTRO','BIGUACU','SC',13451,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2191369,4.00,8.00,8.00,9.00,6.00,5.75,8.00,8.00,6.00,214,201,212,'JD AQUARIUS','SAO JOSE DOS CAMPOS','SP',1859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191377,3.00,5.00,4.00,1.00,5.00,4.00,3.00,2.00,3.00,214,301,233,'COQUEIROS','FLORIANOPOLIS','SC',21483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191385,3.00,8.00,5.00,8.00,8.00,6.50,7.00,6.00,6.00,212,215,211,'CENTRO','FLORIANOPOLIS','SC',3726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2191393,4.00,6.00,7.00,2.00,8.00,5.25,8.00,3.00,3.00,211,202,NULL,'CENTRO','BURITAMA','SP',10805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191407,3.00,6.00,3.00,6.00,5.00,6.25,5.00,4.00,3.00,5,NULL,NULL,'CENTRO','CORNELIO PROCOPIO','PR',14280,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2191415,2.00,5.00,0.00,3.00,6.00,4.25,5.00,2.00,3.00,211,303,207,'CENTRO','ASTORGA','PR',20988,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2191423,4.00,7.00,6.00,5.00,6.00,6.75,5.00,6.00,3.00,207,304,216,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191431,6.00,9.00,5.00,9.00,8.00,6.50,6.00,5.00,3.00,212,201,207,'SAMBAQUI','FLORIANOPOLIS','SC',3351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191458,2.00,8.00,4.00,5.00,7.00,4.25,4.00,7.00,4.00,404,333,NULL,'BALNEARIO ESTREITO','FLORIANOPOLIS','SC',11674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2191466,5.00,6.00,7.00,5.00,7.00,5.25,8.00,5.00,7.00,203,202,208,'CENTRO','PORTO ALEGRE','RS',4801,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2191474,2.00,3.00,1.00,1.00,3.00,NULL,2.00,3.00,2.00,324,317,NULL,'CAMINHO NOVO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2191482,2.00,4.00,4.00,2.00,6.00,4.75,5.00,5.00,1.00,501,316,NULL,'DOS ESPORTES','XANXERE','SC',19817,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2191490,4.00,7.00,3.00,0.00,4.00,3.00,7.00,5.00,4.00,203,234,216,'VILA INGLESA','SAO PAULO','SP',16565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191504,5.00,7.00,6.00,7.00,8.00,6.50,6.00,6.00,7.00,103,104,NULL,'SÃO JUDAS','ITAJAI','SC',4121,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2191512,4.00,6.00,6.00,8.00,7.00,5.25,6.00,3.00,4.00,207,NULL,203,'BOTIATUVINHA','CURITIBA','PR',7606,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2191520,2.00,7.00,1.00,5.00,6.00,4.50,2.00,6.00,3.00,104,102,NULL,'ÁGUA SANTA','RIO DO SUL','SC',17062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191539,2.00,6.00,2.00,2.00,5.00,4.50,2.00,4.00,1.00,208,222,238,'COQUEIROS','FLORIANOPOLIS','SC',21299,859,227,791,NULL,NULL,NULL,2,1),(15,2191547,2.00,3.00,2.00,6.00,4.00,5.00,3.00,4.00,3.00,404,339,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',20078,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2191555,0.00,6.00,2.00,2.00,7.00,5.75,3.00,5.00,1.00,420,450,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',18505,369,346,NULL,NULL,NULL,NULL,4,1),(15,2191563,2.00,2.00,2.00,1.00,5.00,NULL,3.00,3.00,2.00,425,308,424,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191580,0.00,7.00,5.00,4.00,4.00,4.25,3.00,5.00,3.00,502,501,NULL,'CENTRO','LAGOA VERMELHA','RS',17791,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2191598,2.00,3.00,1.00,4.00,5.00,5.25,2.00,4.00,2.00,103,101,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',21437,3075,769,NULL,NULL,NULL,NULL,2,1),(15,2191601,2.00,6.00,3.00,4.00,6.00,6.00,5.00,3.00,2.00,103,102,NULL,'CENTENÁRIO','TORRES','RS',15965,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2191610,3.00,5.00,3.00,4.00,6.00,6.50,4.00,4.00,2.00,201,207,212,'VILA MACHADINHO','PRESIDENTE PRUDENTE','SP',16160,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2191628,4.00,5.00,3.00,2.00,6.00,6.00,4.00,4.00,3.00,211,324,213,'BARREIROS','SAO JOSE','SC',15836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191644,3.00,0.00,1.00,3.00,5.00,NULL,3.00,4.00,0.00,103,101,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2191652,4.00,5.00,6.00,8.00,8.00,5.50,6.00,7.00,4.00,208,317,238,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,214,203,'NSA SRA DAS GRAÇAS','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2191679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'ALTO DA XV','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2191687,3.00,7.00,4.00,1.00,7.00,7.00,7.00,5.00,3.00,303,5,NULL,'CENTRO','RIBEIRAO PRETO','SP',10896,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2191695,5.00,7.00,6.00,9.00,8.00,5.75,7.00,7.00,5.00,302,502,NULL,'VARGINHA','SANTO AMARO DA IMPERATRIZ','SC',3274,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191725,2.00,5.00,1.00,7.00,5.00,6.25,5.00,2.00,1.00,103,101,NULL,'TRINDADE','FLORIANOPOLIS','SC',18719,2915,706,NULL,NULL,NULL,NULL,2,1),(15,2191733,3.00,5.00,1.00,1.00,7.00,4.50,5.00,3.00,3.00,104,102,NULL,'INTERIOR','MAREMA','SC',19451,629,1069,NULL,NULL,NULL,NULL,4,4),(15,2191750,3.00,5.00,6.00,4.00,6.00,4.50,3.00,3.00,1.00,103,319,NULL,'TRINDADE','FLORIANOPOLIS','SC',17221,2812,849,NULL,NULL,NULL,NULL,2,1),(15,2191768,6.00,6.00,5.00,5.00,6.00,4.25,5.00,4.00,5.00,203,333,202,'CENTRO','CURITIBA','PR',10274,769,657,392,NULL,NULL,NULL,2,8),(15,2191776,3.00,7.00,4.00,7.00,6.00,7.25,6.00,6.00,3.00,225,NULL,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',9436,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2191784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'CENTRO','PENAPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2191792,6.00,8.00,8.00,8.00,7.00,6.00,8.00,9.00,4.00,303,5,NULL,'IATE CLUBE AMERICANA','AMERICANA','SP',1767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191806,2.00,7.00,2.00,6.00,5.00,3.25,5.00,7.00,2.00,331,332,NULL,'CIDADE JARDIM','VARGEM GRANDE PAULISTA','SP',13997,55,243,NULL,NULL,NULL,NULL,2,1),(15,2191814,7.00,8.00,1.00,7.00,7.00,7.50,4.00,8.00,4.00,303,5,NULL,'ESTREITO','FLORIANOPOLIS','SC',6064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2191822,2.00,5.00,1.00,2.00,4.00,4.00,4.00,4.00,1.00,5,238,NULL,'COQUEIROS','FLORIANOPOLIS','SC',21841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191849,3.00,7.00,6.00,4.00,5.00,4.75,5.00,5.00,3.00,102,217,NULL,'SÃO SEBASTIÃO','PALHOCA','SC',13373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191857,9.00,7.00,4.00,5.00,8.00,6.00,2.00,6.00,3.00,234,501,NULL,'CENTRO','FLORIANOPOLIS','SC',8066,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2191865,3.00,5.00,4.00,4.00,8.00,5.75,2.00,5.00,4.00,102,309,NULL,'CAMINHO NOVO','PALHOCA','SC',14982,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2191873,3.00,5.00,4.00,3.00,7.00,6.25,5.00,5.00,4.00,319,308,NULL,'CENTRO','AGUAS MORNAS','SC',12995,244,290,NULL,NULL,NULL,NULL,2,1),(15,2191881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,333,NULL,'PAOLINI','QUITANDINHA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2191890,3.00,6.00,5.00,5.00,8.00,5.00,4.00,6.00,4.00,444,404,NULL,'CENTRO','FLORIANOPOLIS','SC',11005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2191903,3.00,7.00,2.00,2.00,4.00,6.25,3.00,7.00,5.00,318,316,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',14487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2191911,7.00,9.00,6.00,9.00,8.00,7.00,7.00,7.00,7.00,420,207,NULL,'SAGUAÇU','JOINVILLE','SC',734,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2191920,1.00,8.00,5.00,4.00,6.00,5.75,3.00,5.00,1.00,420,450,NULL,'IPIRANGA','SAO JOSE','SC',15247,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2191938,8.00,8.00,7.00,6.00,6.00,7.75,9.00,6.00,8.00,103,NULL,NULL,'ZONA DOIS','MARINGA','PR',1298,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2191946,3.00,6.00,3.00,9.00,8.00,7.00,4.00,7.00,3.00,424,421,NULL,'GRAVATA','NAVEGANTES','SC',8733,NULL,NULL,NULL,NULL,NULL,NULL,3,2),(15,2191954,3.00,4.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,220,213,202,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2191962,2.00,6.00,1.00,8.00,5.00,5.75,5.00,3.00,4.00,420,NULL,NULL,'VELHA','BLUMENAU','SC',13742,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2191989,3.00,4.00,3.00,1.00,5.00,6.25,3.00,0.00,4.00,103,101,NULL,'INTERIOR','PALMAS','PR',21158,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2191997,3.00,6.00,2.00,4.00,7.00,6.50,4.00,6.00,4.00,215,9,216,'CENTRO','JOACABA','SC',13238,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2192004,1.00,4.00,4.00,4.00,3.00,4.50,3.00,5.00,5.00,427,108,NULL,'ITACORUBI','FLORIANOPOLIS','SC',19679,78,927,NULL,NULL,NULL,NULL,2,1),(15,2192012,5.00,5.00,3.00,8.00,7.00,7.25,5.00,5.00,4.00,102,217,NULL,'CENTRO','JOACABA','SC',6805,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2192020,2.00,6.00,2.00,3.00,3.00,3.00,5.00,3.00,2.00,208,420,NULL,'CENTRO','XANXERE','SC',21434,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2192039,7.00,7.00,7.00,9.00,7.00,6.25,8.00,7.00,6.00,220,238,208,'VICTOR KONDER','BLUMENAU','SC',1923,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2192055,5.00,6.00,2.00,4.00,6.00,4.50,2.00,3.00,4.00,324,308,NULL,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',17231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192063,3.00,3.00,3.00,6.00,3.00,4.25,3.00,3.00,3.00,316,208,NULL,'KOBRASOL','SAO JOSE','SC',21005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192071,0.00,8.00,5.00,5.00,4.00,5.75,5.00,7.00,2.00,331,332,NULL,'CENTRO','GAROPABA','SC',12687,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192080,7.00,7.00,3.00,5.00,9.00,6.25,5.00,7.00,4.00,103,104,NULL,'NOSSA SRA DE FÁTIMA','BRACO DO NORTE','SC',5546,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2192098,2.00,4.00,3.00,2.00,4.00,5.50,3.00,4.00,2.00,208,201,202,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192101,5.00,8.00,6.00,4.00,8.00,6.00,6.00,6.00,5.00,207,420,215,'ESTREITO','FLORIANOPOLIS','SC',5628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,444,NULL,'RIO BRANCO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2192128,4.00,6.00,0.00,0.00,7.00,6.00,5.00,7.00,3.00,103,102,NULL,'ENCANO','INDAIAL','SC',15446,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2192136,5.00,6.00,7.00,6.00,7.00,6.75,6.00,6.00,4.00,234,223,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',4905,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192144,4.00,6.00,4.00,6.00,5.00,4.50,4.00,3.00,2.00,5,208,NULL,'CACHOEIRA','FLORIANOPOLIS','SC',14563,629,1029,NULL,NULL,NULL,NULL,2,1),(15,2192152,2.00,4.00,1.00,4.00,4.00,NULL,1.00,1.00,1.00,444,9,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192160,5.00,9.00,8.00,9.00,8.00,5.75,7.00,7.00,6.00,238,301,220,'CENTRO','PALHOCA','SC',1602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192179,6.00,7.00,6.00,6.00,9.00,7.00,8.00,8.00,4.00,216,215,233,'ZONA NOVA','CAPAO DA CANOA','RS',1544,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,108,NULL,'VILA A','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2192195,7.00,7.00,7.00,5.00,8.00,5.25,4.00,5.00,4.00,103,104,NULL,'CENTRO','TUBARAO','SC',5571,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2192209,4.00,8.00,5.00,6.00,6.00,6.50,5.00,8.00,5.00,103,327,NULL,'ITACORUBI','FLORIANOPOLIS','SC',5136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192217,4.00,7.00,7.00,6.00,8.00,6.25,7.00,8.00,4.00,317,318,NULL,'CACHOEIRA D BOM JESU','FLORIANOPOLIS','SC',3948,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192225,4.00,5.00,6.00,4.00,6.00,6.50,4.00,4.00,5.00,213,212,214,'FABRÍCIO','UBERABA','MG',12294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192233,6.00,6.00,1.00,3.00,6.00,5.50,6.00,6.00,4.00,501,207,NULL,'BOA VISTA','UBERABA','MG',11078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192241,1.00,5.00,4.00,7.00,6.00,5.25,5.00,2.00,1.00,318,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',17173,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192250,5.00,9.00,3.00,7.00,8.00,7.00,9.00,7.00,4.00,207,425,NULL,'PASSO DA AREIA','PORTO ALEGRE','RS',3244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192268,2.00,2.00,0.00,0.00,6.00,NULL,3.00,3.00,2.00,303,104,NULL,'VILA VELHA','PALMEIRA DAS MISSOES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192276,5.00,6.00,8.00,6.00,8.00,6.00,6.00,7.00,4.00,216,217,215,'DAS DAMAS','URUSSANGA','SC',5824,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2192292,4.00,3.00,4.00,5.00,8.00,5.25,5.00,4.00,3.00,501,316,NULL,'SÃO CRISTOVÃO','TURVO','SC',14560,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2192306,5.00,6.00,4.00,7.00,7.00,6.50,3.00,6.00,3.00,103,102,NULL,'CENTRO','FLORIANOPOLIS','SC',9365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192322,3.00,5.00,4.00,4.00,5.00,3.75,6.00,5.00,2.00,103,211,NULL,'ITAIPAVA','ITAJAI','SC',16251,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2192330,1.00,4.00,3.00,3.00,5.00,4.00,5.00,2.00,3.00,429,333,425,'TRINDADE','FLORIANOPOLIS','SC',20230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192349,8.00,8.00,5.00,5.00,6.00,6.25,6.00,4.00,4.00,103,NULL,NULL,'ZONA CINCO','MARINGA','PR',5874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192357,3.00,7.00,6.00,5.00,7.00,6.00,5.00,7.00,5.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',7617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192365,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,444,309,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2192373,3.00,4.00,4.00,2.00,5.00,2.00,6.00,8.00,1.00,222,223,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192390,3.00,4.00,2.00,2.00,7.00,5.50,4.00,2.00,3.00,319,211,NULL,'PONTE DO IMARUIM','PALHOCA','SC',18869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192403,1.00,4.00,3.00,3.00,5.00,4.00,5.00,4.00,2.00,203,316,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',20221,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2192411,3.00,5.00,5.00,7.00,8.00,4.75,7.00,4.00,1.00,214,301,203,'COLONINHA','ARARANGUA','SC',10887,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2192420,1.00,5.00,1.00,7.00,3.00,4.75,2.00,2.00,1.00,324,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',22210,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192438,3.00,5.00,1.00,1.00,6.00,5.25,3.00,6.00,1.00,303,301,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192446,2.00,1.00,3.00,5.00,4.00,5.75,4.00,5.00,2.00,331,309,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',19533,86,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192454,4.00,8.00,3.00,3.00,6.00,6.50,6.00,5.00,2.00,103,101,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',11529,2319,562,NULL,NULL,NULL,NULL,4,1),(15,2192462,5.00,9.00,6.00,4.00,7.00,3.75,7.00,3.00,6.00,103,108,NULL,'IRIRIU','JOINVILLE','SC',6411,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2192470,3.00,4.00,1.00,2.00,4.00,5.00,3.00,6.00,1.00,415,450,NULL,'CENTRO','FRANCISCO BELTRAO','PR',21605,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2192489,2.00,5.00,1.00,2.00,5.00,5.75,4.00,5.00,2.00,9,444,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',20346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192497,1.00,4.00,2.00,2.00,1.00,NULL,3.00,2.00,3.00,303,316,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192500,4.00,4.00,2.00,0.00,5.00,4.50,4.00,2.00,3.00,215,202,211,'AGRONÔMICA','FLORIANOPOLIS','SC',21492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192519,3.00,7.00,3.00,6.00,8.00,6.75,6.00,4.00,3.00,104,451,NULL,'PONTA DE BAIXO','SAO JOSE','SC',9266,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192527,2.00,7.00,6.00,6.00,7.00,6.50,5.00,5.00,4.00,301,316,NULL,'VELHA','BLUMENAU','SC',9240,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2192535,8.00,8.00,7.00,8.00,9.00,8.25,9.00,6.00,9.00,103,101,NULL,'CENTRO','SAO BERNARDO DO CAMPO','SP',269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192543,4.00,7.00,5.00,6.00,5.00,6.00,6.00,5.00,4.00,211,233,215,'NOVA DIVINÉIA','ARARANGUA','SC',8361,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2192551,3.00,6.00,6.00,6.00,8.00,5.75,6.00,4.00,5.00,332,331,NULL,'OLÍMPICO','SAO CAETANO DO SUL','SP',6422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192560,5.00,6.00,5.00,5.00,6.00,4.00,4.00,5.00,3.00,103,102,NULL,'BELEM','SAO PAULO','SP',12327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192578,7.00,8.00,7.00,7.00,8.00,5.00,9.00,8.00,6.00,2,225,NULL,'KOBRASOL','SAO JOSE','SC',1310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192586,5.00,6.00,7.00,8.00,6.00,6.00,8.00,4.00,1.00,333,104,NULL,'CENTRO','PORECATU','PR',7796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192594,4.00,7.00,2.00,6.00,8.00,6.00,5.00,7.00,2.00,103,108,NULL,'ABRAAO','FLORIANOPOLIS','SC',9376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192608,4.00,7.00,1.00,9.00,6.00,4.50,5.00,6.00,2.00,310,326,NULL,'ESTREITO','FLORIANOPOLIS','SC',10327,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2192616,2.00,8.00,4.00,1.00,5.00,5.25,1.00,4.00,4.00,404,302,NULL,'JARDIM ELDORADO','PALHOCA','SC',17228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192624,2.00,5.00,3.00,0.00,4.00,NULL,3.00,3.00,1.00,212,222,233,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192640,4.00,5.00,5.00,4.00,8.00,7.50,7.00,6.00,7.00,216,404,220,'INDEPENDÊNCIA','PORTO ALEGRE','RS',5772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192659,4.00,6.00,4.00,4.00,8.00,6.50,4.00,4.00,5.00,103,108,NULL,'CENTRO','QUILOMBO','SC',8615,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2192667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,5,207,'BOA VISTA','ATALANTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2192675,5.00,6.00,4.00,6.00,7.00,5.50,6.00,6.00,5.00,318,316,NULL,'CARIANOS','FLORIANOPOLIS','SC',7972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192683,3.00,6.00,4.00,6.00,9.00,7.75,5.00,8.00,4.00,9,424,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',5808,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192691,3.00,3.00,1.00,1.00,4.00,NULL,4.00,2.00,1.00,317,NULL,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192705,4.00,6.00,4.00,7.00,7.00,6.00,3.00,4.00,2.00,103,108,NULL,'FRANCISCO DONCATTO','SAO MARCOS','RS',11350,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2192713,5.00,8.00,6.00,6.00,7.00,7.75,7.00,7.00,7.00,103,319,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',2447,913,579,NULL,NULL,NULL,NULL,4,2),(15,2192721,2.00,5.00,2.00,4.00,6.00,5.25,3.00,3.00,2.00,339,309,NULL,'JARDIM CIDADE','SAO JOSE','SC',19891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,328,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2192748,3.00,6.00,3.00,3.00,5.00,4.50,3.00,4.00,4.00,5,316,NULL,'BUDAG','RIO DO SUL','SC',17692,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2192756,1.00,7.00,4.00,7.00,5.00,5.50,4.00,5.00,2.00,327,NULL,NULL,'VELHA','BLUMENAU','SC',13421,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2192764,1.00,4.00,1.00,0.00,3.00,NULL,2.00,5.00,2.00,501,502,NULL,'RIO BROECKER','SAO BONIFACIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192772,3.00,5.00,0.00,7.00,5.00,4.75,2.00,3.00,2.00,316,104,NULL,'SERRARIA','SAO JOSE','SC',20666,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192780,3.00,5.00,4.00,5.00,8.00,5.50,6.00,4.00,3.00,319,425,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',12918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192799,2.00,7.00,2.00,7.00,5.00,5.75,5.00,4.00,2.00,238,NULL,208,'PANTANAL','FLORIANOPOLIS','SC',14705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192802,5.00,7.00,6.00,7.00,8.00,4.50,5.00,6.00,6.00,103,108,NULL,'JD ACLIMAÇÃO','MARINGA','PR',4852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192810,4.00,6.00,2.00,6.00,6.00,5.25,2.00,3.00,2.00,415,301,NULL,'PONTA DE BAIXO','SAO JOSE','SC',17044,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,301,203,'CENTRO','PRUDENTOPOLIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2192837,3.00,5.00,3.00,3.00,5.00,4.00,3.00,5.00,4.00,102,215,NULL,'PEREQUE','PORTO BELO','SC',17285,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2192845,2.00,6.00,3.00,3.00,8.00,4.50,4.00,6.00,3.00,318,429,NULL,'COQUEIROS','FLORIANOPOLIS','SC',14244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192853,3.00,8.00,5.00,8.00,7.00,4.75,5.00,6.00,2.00,319,301,NULL,'GLÓRIA','JOINVILLE','SC',8372,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2192861,2.00,6.00,3.00,7.00,6.00,6.25,4.00,6.00,2.00,316,304,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',11687,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2192870,3.00,6.00,3.00,5.00,7.00,5.25,4.00,6.00,3.00,103,NULL,NULL,'CENTRO','BRACO DO NORTE','SC',11059,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192888,2.00,6.00,2.00,3.00,3.00,4.75,1.00,2.00,4.00,420,207,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192896,1.00,5.00,4.00,7.00,5.00,5.25,3.00,2.00,2.00,502,301,NULL,'TRINTA RÉIS','NOVA TRENTO','SC',17659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192918,3.00,3.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,5,426,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192926,0.00,6.00,2.00,5.00,7.00,NULL,3.00,6.00,2.00,103,104,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192934,1.00,6.00,2.00,0.00,4.00,5.75,4.00,3.00,3.00,316,101,NULL,'CENTRO','PRAIA GRANDE','SC',20732,628,750,NULL,NULL,NULL,NULL,4,5),(15,2192950,1.00,5.00,5.00,1.00,3.00,4.50,3.00,2.00,1.00,5,329,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',22147,903,272,NULL,NULL,NULL,NULL,2,1),(15,2192969,3.00,5.00,7.00,9.00,6.00,5.50,5.00,3.00,5.00,304,301,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',8153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2192977,7.00,6.00,4.00,4.00,8.00,7.25,2.00,6.00,2.00,211,501,NULL,'RIBEIRÃO FRESCO','BLUMENAU','SC',8808,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2192985,3.00,6.00,5.00,7.00,8.00,6.00,7.00,5.00,5.00,238,319,208,'INGLESES','FLORIANOPOLIS','SC',6892,186,NULL,NULL,NULL,NULL,NULL,2,1),(15,2192993,2.00,4.00,5.00,2.00,7.00,5.50,3.00,6.00,4.00,304,451,NULL,'VILA KURTZ','CACADOR','SC',15261,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193000,4.00,7.00,8.00,4.00,5.00,1.00,6.00,6.00,4.00,203,202,NULL,'VILA ANITA','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193019,2.00,2.00,1.00,0.00,4.00,NULL,0.00,1.00,3.00,9,NULL,NULL,'JARDIM DAS PALMEIRAS','SUMARE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2193027,6.00,8.00,8.00,8.00,8.00,6.50,6.00,8.00,5.00,101,308,NULL,'GLÓRIA','JOINVILLE','SC',1855,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2193035,5.00,8.00,5.00,6.00,7.00,6.00,5.00,6.00,3.00,304,301,NULL,'AREIAS','SAO JOSE','SC',7012,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193043,2.00,6.00,4.00,7.00,6.00,3.75,4.00,4.00,4.00,104,214,NULL,'VILA SÃO JOSÉ','ARARANGUA','SC',13567,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2193051,6.00,7.00,6.00,5.00,7.00,5.25,6.00,6.00,4.00,108,217,NULL,'COQUEIROS','FLORIANOPOLIS','SC',6694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193060,3.00,3.00,4.00,1.00,5.00,3.75,2.00,3.00,3.00,238,308,208,'OLÍMPICO','SAO CAETANO DO SUL','SP',21627,803,478,872,NULL,NULL,NULL,4,1),(15,2193078,6.00,6.00,4.00,2.00,7.00,5.00,5.00,7.00,6.00,108,502,NULL,'CAMPO LIMPO','SAO PAULO','SP',8117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193086,7.00,8.00,9.00,9.00,7.00,6.25,8.00,5.00,6.00,203,103,207,'CENTRO','ITAJAI','SC',1201,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2193094,5.00,7.00,6.00,4.00,7.00,5.00,5.00,3.00,4.00,333,211,NULL,'VILA RICA','CAMPO GRANDE','MS',9969,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,331,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2193116,5.00,6.00,7.00,5.00,8.00,6.00,7.00,5.00,6.00,108,211,NULL,'CAMPINAS','SAO JOSE','SC',3690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193124,3.00,6.00,4.00,5.00,4.00,6.50,8.00,7.00,3.00,333,318,NULL,'SÃO BRAZ','CURITIBA','PR',9694,109,368,NULL,NULL,NULL,NULL,2,1),(15,2193132,2.00,4.00,3.00,5.00,6.00,5.50,2.00,5.00,2.00,316,339,NULL,'JARDIM CIDADE','SAO JOSE','SC',18225,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193140,2.00,5.00,2.00,1.00,5.00,5.25,1.00,5.00,3.00,404,318,NULL,'CAMPINAS','SAO JOSE','SC',21590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193159,2.00,2.00,1.00,3.00,2.00,NULL,1.00,4.00,4.00,303,NULL,NULL,'JARDIM EUROPA','CUIABA','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193167,5.00,8.00,5.00,5.00,8.00,5.25,5.00,6.00,3.00,201,333,NULL,'BARREIROS','SAO JOSE','SC',6542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193175,2.00,4.00,3.00,2.00,6.00,5.75,5.00,6.00,1.00,5,316,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',17962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193183,1.00,6.00,2.00,2.00,7.00,4.75,1.00,4.00,3.00,444,2,NULL,'KOBRASOL','SAO JOSE','SC',20467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193191,5.00,7.00,3.00,0.00,2.00,NULL,5.00,3.00,4.00,220,NULL,202,'JARDIM PRIMAVERA','SINOP','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2193205,1.00,7.00,7.00,9.00,5.00,4.00,5.00,7.00,1.00,234,502,NULL,'TRINDADE','FLORIANOPOLIS','SC',10421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193213,2.00,7.00,2.00,3.00,6.00,5.50,3.00,5.00,2.00,215,9,216,'JARDIM UNIVERSITÁRIO','MARINGA','PR',17134,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2193230,3.00,6.00,5.00,0.00,5.00,3.75,8.00,5.00,5.00,220,212,214,'VISTA VERDE','SAO JOSE DOS CAMPOS','SP',12867,462,523,423,NULL,NULL,NULL,4,2),(15,2193248,2.00,5.00,3.00,4.00,5.00,6.00,4.00,6.00,2.00,415,327,NULL,'JARDIM SÃO PEDRO','SANTO ANTONIO DA PLATINA','PR',17489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193264,3.00,6.00,3.00,5.00,5.00,6.75,5.00,5.00,4.00,207,NULL,NULL,'VILA MARIANA','SAO PAULO','SP',11629,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2193272,4.00,6.00,4.00,8.00,6.00,6.25,4.00,5.00,3.00,415,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2193280,4.00,6.00,5.00,8.00,8.00,6.00,7.00,6.00,4.00,301,304,NULL,'CAMBUI','CAMPINAS','SP',5026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193310,1.00,8.00,3.00,3.00,6.00,6.75,3.00,6.00,3.00,207,331,201,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193329,3.00,6.00,5.00,6.00,6.00,5.50,4.00,3.00,1.00,233,207,212,'AGRONÔMICA','FLORIANOPOLIS','SC',14652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193337,4.00,8.00,2.00,5.00,7.00,7.75,6.00,4.00,2.00,317,339,NULL,'FAZENDA DA ARMAÇÃO','GOVERNADOR CELSO RAMOS','SC',10082,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193345,3.00,5.00,0.00,4.00,6.00,4.50,3.00,3.00,1.00,9,215,NULL,'CENTRO','FLORIANOPOLIS','SC',20698,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193353,3.00,5.00,2.00,4.00,8.00,5.50,4.00,3.00,1.00,5,415,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',16982,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193361,5.00,9.00,5.00,4.00,5.00,6.00,8.00,7.00,4.00,5,332,NULL,'FORQUILHINHAS','SAO JOSE','SC',5517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193370,3.00,6.00,5.00,6.00,8.00,6.50,8.00,5.00,3.00,102,217,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',7463,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2193396,3.00,3.00,4.00,1.00,5.00,5.50,2.00,4.00,3.00,103,NULL,NULL,'ALVORADA','XAXIM','SC',20077,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2193400,3.00,7.00,2.00,4.00,5.00,5.00,4.00,2.00,3.00,501,103,NULL,'CIDADE ALTA','ARARANGUA','SC',18278,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2193426,1.00,0.00,1.00,4.00,3.00,NULL,1.00,3.00,3.00,103,316,NULL,'RIO BONITO','BRACO DO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2193434,8.00,8.00,6.00,9.00,8.00,5.75,9.00,7.00,6.00,207,333,201,'TRINDADE','FLORIANOPOLIS','SC',1111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193442,4.00,8.00,7.00,8.00,7.00,7.00,7.00,7.00,6.00,203,2,220,'CENTRO','PORTO BELO','SC',2245,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2193450,7.00,8.00,9.00,8.00,8.00,6.50,8.00,5.00,7.00,316,423,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',1082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193469,3.00,7.00,7.00,5.00,7.00,5.50,6.00,4.00,5.00,303,332,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',6873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193477,8.00,7.00,7.00,8.00,8.00,7.00,7.00,6.00,8.00,103,NULL,NULL,'CENTRO','GUARARAPES','SP',1188,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2193485,1.00,6.00,3.00,2.00,5.00,3.75,2.00,3.00,4.00,404,208,NULL,'INGLESES','FLORIANOPOLIS','SC',20913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193515,4.00,7.00,1.00,9.00,9.00,6.00,5.00,6.00,2.00,301,428,NULL,'CRUZEIRO DO SUL','CRICIUMA','SC',7962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193523,2.00,8.00,5.00,8.00,8.00,6.75,8.00,7.00,3.00,5,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',5262,251,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193531,4.00,6.00,2.00,2.00,6.00,4.75,4.00,3.00,2.00,415,451,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',19376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193540,3.00,7.00,2.00,4.00,5.00,6.00,5.00,4.00,1.00,225,2,NULL,'JARDIM ELDORADO','PALHOCA','SC',16331,37,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193558,4.00,7.00,5.00,6.00,8.00,5.50,6.00,6.00,5.00,216,217,201,'CENTRO','GAROPABA','SC',5563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,217,215,'FRAGOSOS','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2193574,7.00,8.00,6.00,7.00,8.00,7.50,8.00,7.00,9.00,303,5,NULL,'JD DAS INDUSTRIAS','SAO JOSE DOS CAMPOS','SP',857,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2193582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,326,NULL,'VIVI XAVIER','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2193604,1.00,7.00,3.00,4.00,7.00,5.75,3.00,6.00,3.00,303,301,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',13816,657,665,NULL,NULL,NULL,NULL,2,1),(15,2193612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,220,203,'CENTRO','PARAOPEBA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2193620,2.00,5.00,3.00,4.00,5.00,5.00,4.00,6.00,1.00,203,425,202,'REAL PARQUE','SAO JOSE','SC',17589,1037,379,612,NULL,NULL,NULL,4,1),(15,2193639,2.00,7.00,5.00,6.00,5.00,4.25,6.00,6.00,4.00,212,5,213,'VILLA PAVAN','AMERICANA','SP',9069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193647,3.00,6.00,5.00,3.00,6.00,6.00,7.00,5.00,4.00,203,201,202,'VILA ITALIA','SAO JOSE DO RIO PRETO','SP',11351,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193655,0.00,4.00,3.00,4.00,6.00,5.00,3.00,3.00,0.00,9,308,NULL,'FORQUILHAS','SAO JOSE','SC',21526,327,475,NULL,NULL,NULL,NULL,2,1),(15,2193663,3.00,6.00,3.00,8.00,7.00,7.00,4.00,6.00,4.00,303,319,NULL,'CENTRO','PONTA GROSSA','PR',8093,453,681,NULL,NULL,NULL,NULL,2,1),(15,2193671,2.00,6.00,4.00,5.00,8.00,6.00,3.00,5.00,3.00,207,212,201,'CAMPINAS','SAO JOSE','SC',13071,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193680,3.00,5.00,7.00,6.00,8.00,7.00,4.00,6.00,2.00,319,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',8455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193698,4.00,4.00,0.00,4.00,5.00,3.75,3.00,3.00,3.00,9,316,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',20982,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193701,0.00,0.00,0.00,6.00,2.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','SAO LOURENCO DO OESTE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(15,2193736,3.00,7.00,5.00,9.00,6.00,3.75,5.00,4.00,0.00,5,318,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',11787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193744,4.00,7.00,4.00,5.00,5.00,4.75,4.00,5.00,2.00,203,214,NULL,'JARDIM AQUARIOS','PALHOCA','SC',12233,850,745,NULL,NULL,NULL,NULL,4,1),(15,2193752,4.00,7.00,6.00,3.00,7.00,5.75,8.00,8.00,2.00,213,222,208,'XV DE NOVEMBRO','TIJUCAS','SC',6154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193760,5.00,8.00,4.00,8.00,6.00,5.50,4.00,2.00,5.00,207,301,NULL,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,8),(15,2193779,4.00,7.00,7.00,5.00,8.00,4.75,5.00,5.00,6.00,103,207,NULL,'BACACHERI','CURITIBA','PR',6773,1729,1108,NULL,NULL,NULL,NULL,4,3),(15,2193795,6.00,7.00,8.00,2.00,8.00,5.75,8.00,6.00,6.00,203,225,238,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',3750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193809,0.00,3.00,1.00,0.00,1.00,NULL,0.00,0.00,0.00,103,319,NULL,'PARQUE INDUSTRIAL','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2193817,2.00,6.00,3.00,3.00,7.00,5.00,3.00,4.00,1.00,208,104,NULL,'TRINDADE','FLORIANOPOLIS','SC',18902,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193825,2.00,6.00,2.00,5.00,6.00,6.50,2.00,5.00,2.00,444,404,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',17620,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193833,8.00,9.00,9.00,8.00,9.00,6.75,8.00,7.00,8.00,5,213,NULL,'CENTRO','FLORIANOPOLIS','SC',117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193841,2.00,8.00,1.00,4.00,5.00,4.75,3.00,7.00,2.00,404,444,NULL,'RIO CAVEIRAS','BIGUACU','SC',17107,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193850,1.00,6.00,2.00,0.00,6.00,NULL,3.00,3.00,2.00,102,420,NULL,'SAO LUIS','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2193868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,415,NULL,'LINHA EDITH','SAO MARCOS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2193884,2.00,6.00,3.00,6.00,7.00,5.00,2.00,4.00,3.00,302,301,NULL,'SÃO SEBASTIÃO','PALHOCA','SC',17169,144,743,NULL,NULL,NULL,NULL,2,1),(15,2193892,4.00,9.00,6.00,6.00,8.00,6.50,8.00,7.00,4.00,5,224,NULL,'PARQUE SÃO JORGE','FLORIANOPOLIS','SC',3132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193914,4.00,4.00,4.00,5.00,4.00,5.00,5.00,3.00,2.00,101,329,NULL,'BAIRRO DE FÁTIMA','FLORIANOPOLIS','SC',15972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2193930,3.00,7.00,0.00,7.00,6.00,NULL,4.00,5.00,3.00,318,329,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2193949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2193957,2.00,6.00,0.00,1.00,5.00,6.25,4.00,4.00,2.00,444,404,NULL,'FORQUILHAS','SAO JOSE','SC',20063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193973,0.00,3.00,2.00,4.00,4.00,NULL,0.00,2.00,1.00,211,NULL,207,'DIVINO','PALMAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2193981,4.00,4.00,1.00,1.00,8.00,5.00,4.00,4.00,0.00,415,420,NULL,'COSTEIRA','FLORIANOPOLIS','SC',19621,491,872,NULL,NULL,NULL,NULL,4,1),(15,2193990,4.00,3.00,5.00,6.00,7.00,5.75,3.00,4.00,5.00,333,NULL,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',14128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2194007,3.00,7.00,5.00,5.00,6.00,4.00,6.00,5.00,2.00,211,444,208,'AREIAS','SAO JOSE','SC',11564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194015,8.00,8.00,8.00,6.00,9.00,5.50,9.00,7.00,8.00,203,216,233,'OFICINAS','TUBARAO','SC',862,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2194023,5.00,7.00,2.00,5.00,6.00,5.50,6.00,5.00,2.00,420,450,NULL,'TESTO REGA','POMERODE','SC',12413,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2194031,4.00,7.00,6.00,8.00,7.00,5.50,9.00,3.00,4.00,202,222,213,'IRIRIÚ','JOINVILLE','SC',5188,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2194040,1.00,4.00,0.00,1.00,5.00,NULL,3.00,4.00,3.00,303,233,NULL,'MORROTES','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2194058,2.00,5.00,3.00,5.00,6.00,1.50,3.00,2.00,1.00,212,301,201,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2194066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,303,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2194074,2.00,4.00,1.00,5.00,5.00,4.00,3.00,4.00,3.00,104,404,NULL,'CENTRO','TIJUCAS','SC',19858,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2194082,3.00,4.00,3.00,3.00,5.00,6.25,3.00,1.00,2.00,5,201,NULL,'CENTRO','CHAPECO','SC',21360,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2194090,6.00,9.00,6.00,6.00,8.00,4.75,8.00,9.00,6.00,5,425,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',2407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194104,4.00,5.00,7.00,1.00,3.00,3.50,6.00,6.00,3.00,202,203,213,'CENTRO','CASTRO','PR',14168,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2194112,3.00,4.00,4.00,5.00,5.00,4.25,8.00,6.00,4.00,104,9,NULL,'CARAVAGIO','LAGES','SC',12734,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2194120,8.00,7.00,8.00,8.00,8.00,7.75,9.00,7.00,7.00,103,216,NULL,'ZONA I','UMUARAMA','PR',574,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2194139,6.00,9.00,7.00,8.00,7.00,7.00,3.00,6.00,7.00,103,108,NULL,'ASA NORTE','BRASILIA','DF',3074,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2194147,2.00,3.00,3.00,5.00,3.00,4.50,4.00,5.00,2.00,207,303,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2194155,2.00,6.00,1.00,1.00,5.00,5.25,2.00,5.00,1.00,428,404,425,'TAPERA','FLORIANOPOLIS','SC',21825,100,514,198,NULL,NULL,NULL,4,1),(15,2194163,1.00,7.00,3.00,5.00,6.00,5.50,3.00,7.00,4.00,201,NULL,NULL,'CENTRO','CIANORTE','PR',12157,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2194171,3.00,8.00,7.00,5.00,8.00,4.50,5.00,7.00,3.00,317,NULL,NULL,'CENTRO','TAIO','SC',8924,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2194180,2.00,5.00,3.00,4.00,8.00,6.75,3.00,5.00,4.00,303,301,NULL,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',14223,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2194198,2.00,4.00,2.00,2.00,4.00,4.50,3.00,3.00,2.00,202,208,213,'CENTRO','PALHOCA','SC',22009,715,1146,347,NULL,NULL,NULL,4,1),(15,2194201,1.00,7.00,2.00,4.00,5.00,5.00,3.00,4.00,1.00,304,201,NULL,'SÃO FRANCISCO DE ASS','SANTO AMARO DA IMPERATRIZ','SC',20420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2194210,0.00,5.00,5.00,6.00,7.00,6.75,3.00,5.00,2.00,420,207,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2194228,2.00,6.00,1.00,8.00,7.00,5.25,5.00,8.00,3.00,103,101,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2194236,3.00,6.00,2.00,6.00,6.00,5.25,3.00,2.00,2.00,108,502,NULL,'VILA SUEVIA','ITU','SP',17778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,420,211,'CENTRO','FRANCISCO BELTRAO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2194252,2.00,4.00,4.00,8.00,4.00,4.75,3.00,3.00,0.00,501,301,NULL,'CEARA','CRICIUMA','SC',18924,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2194260,2.00,6.00,4.00,3.00,7.00,6.25,7.00,6.00,4.00,9,502,NULL,'CENTRO','FLORIANOPOLIS','SC',11082,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2194279,5.00,7.00,6.00,6.00,7.00,6.00,6.00,6.00,5.00,104,234,NULL,'TRINDADE','FLORIANOPOLIS','SC',4939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,220,213,'ASTÚRIAS','GUARUJA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2194295,4.00,8.00,2.00,7.00,6.00,5.50,5.00,8.00,3.00,329,327,NULL,'SAGUAÇU','JOINVILLE','SC',7773,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2194317,3.00,7.00,4.00,7.00,8.00,6.75,4.00,8.00,3.00,102,333,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',6934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194325,4.00,6.00,1.00,2.00,2.00,NULL,4.00,2.00,3.00,220,NULL,NULL,'ZONA SETE','MARINGA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194333,3.00,8.00,3.00,7.00,5.00,6.50,4.00,8.00,3.00,304,318,NULL,'PARQUE CIDADE NOVA','MOGI GUACU','SP',9165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194341,3.00,8.00,4.00,4.00,8.00,6.00,4.00,4.00,4.00,302,304,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',12182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2194350,8.00,9.00,9.00,8.00,8.00,6.75,9.00,7.00,8.00,203,2,202,'CORREGO GRANDE','FLORIANOPOLIS','SC',106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194368,3.00,5.00,1.00,2.00,5.00,4.25,3.00,4.00,2.00,420,415,NULL,'CENTRO','BARRA VELHA','SC',20713,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2194376,3.00,7.00,1.00,1.00,7.00,6.00,4.00,5.00,4.00,238,316,208,'BARREIROS','SAO JOSE','SC',16102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,415,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2194392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,108,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2194406,2.00,8.00,4.00,2.00,8.00,6.75,5.00,7.00,2.00,301,208,NULL,'CENTRO','ANTONIO CARLOS','SC',10708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,327,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2194422,2.00,6.00,5.00,2.00,6.00,5.50,4.00,3.00,3.00,201,420,207,'CARIANOS','FLORIANOPOLIS','SC',17068,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2194430,6.00,9.00,6.00,5.00,5.00,4.00,7.00,6.00,6.00,214,212,203,'CENTRO','CONCORDIA','SC',6066,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2194449,0.00,3.00,1.00,0.00,0.00,NULL,2.00,3.00,3.00,201,428,207,'AREIAS','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,301,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2194465,1.00,8.00,4.00,9.00,9.00,6.00,4.00,6.00,3.00,316,301,NULL,'CENTRO','POMERODE','SC',7961,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2194473,3.00,7.00,6.00,8.00,6.00,4.50,6.00,6.00,5.00,318,317,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',6887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194481,2.00,5.00,5.00,4.00,3.00,4.75,4.00,2.00,0.00,324,5,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194490,3.00,3.00,0.00,6.00,8.00,NULL,5.00,5.00,2.00,303,319,NULL,'CENTRO','PORTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2194503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,102,425,'PRAIA DA CAL','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2194511,4.00,7.00,6.00,9.00,7.00,5.50,6.00,6.00,5.00,103,104,NULL,'VICTOR KONDER','BLUMENAU','SC',4239,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2194520,5.00,7.00,3.00,3.00,6.00,5.25,6.00,4.00,4.00,5,304,NULL,'CENTRO','FLORIANOPOLIS','SC',10154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194538,5.00,5.00,2.00,6.00,5.00,5.25,7.00,6.00,3.00,216,NULL,203,'CENTRO','LAGES','SC',11418,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2194546,2.00,4.00,7.00,6.00,7.00,4.75,2.00,3.00,3.00,238,222,208,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2194554,4.00,4.00,4.00,2.00,6.00,4.50,3.00,5.00,2.00,216,217,NULL,'CARMELO','SAO JOAO BATISTA','SC',18243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194589,5.00,8.00,1.00,2.00,7.00,6.00,4.00,7.00,2.00,103,425,NULL,'CAMPECHE','FLORIANOPOLIS','SC',12407,2397,317,NULL,NULL,NULL,NULL,4,1),(15,2194597,2.00,4.00,4.00,2.00,4.00,4.75,4.00,3.00,1.00,202,304,NULL,'CENTRO','PAPANDUVA','SC',20792,683,438,NULL,NULL,NULL,NULL,4,8),(15,2194600,3.00,8.00,4.00,4.00,5.00,4.00,4.00,5.00,3.00,211,304,NULL,'CENTRO','CONCORDIA','SC',14184,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2194619,4.00,6.00,7.00,4.00,5.00,6.00,5.00,3.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',9984,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2194627,2.00,6.00,6.00,8.00,8.00,9.00,6.00,5.00,4.00,207,420,NULL,'CENTRO','FLORIANOPOLIS','SC',5502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194635,6.00,8.00,7.00,6.00,6.00,7.25,7.00,7.00,7.00,316,302,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',1705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2194643,5.00,7.00,6.00,5.00,6.00,6.00,7.00,3.00,4.00,234,333,NULL,'VILA CLEMENTINO','SAO PAULO','SP',8402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194651,2.00,6.00,1.00,1.00,6.00,5.75,3.00,4.00,3.00,108,501,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',19654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194660,7.00,8.00,9.00,8.00,6.00,6.50,8.00,8.00,7.00,303,5,NULL,'SANTO AMARO','SAO PAULO','SP',741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194678,2.00,6.00,3.00,6.00,6.00,4.50,6.00,2.00,3.00,103,201,NULL,'VILA PARAÍBA','GUARATINGUETA','SP',15540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194686,2.00,5.00,5.00,3.00,6.00,5.75,4.00,2.00,4.00,207,420,201,'CENTRO','FLORIANOPOLIS','SC',17190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194694,4.00,5.00,2.00,7.00,8.00,7.00,4.00,4.00,3.00,428,9,421,'CENTRO','POMERODE','SC',10593,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2194708,2.00,5.00,3.00,6.00,6.00,3.50,4.00,5.00,3.00,203,216,233,'HUMAÍTA DE CIMA','TUBARAO','SC',17673,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2194724,1.00,5.00,1.00,7.00,5.00,5.75,2.00,4.00,4.00,303,302,NULL,'MICHEL','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2194732,3.00,6.00,6.00,4.00,6.00,7.75,4.00,4.00,2.00,5,451,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',12599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194740,7.00,8.00,9.00,8.00,9.00,4.50,8.00,8.00,6.00,211,331,201,'PASSA VINTE','PALHOCA','SC',501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194759,2.00,4.00,1.00,1.00,5.00,5.00,1.00,5.00,3.00,207,215,211,'CENTRO','PALMA SOLA','SC',21459,1008,638,735,NULL,NULL,NULL,4,4),(15,2194767,4.00,7.00,4.00,8.00,7.00,7.75,6.00,6.00,3.00,450,451,NULL,'CENTRO','CAMPINAS','SP',6006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194775,3.00,6.00,7.00,5.00,5.00,5.75,3.00,5.00,4.00,333,211,NULL,'MINA DO MATO','CRICIUMA','SC',11983,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2194783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,451,NULL,'CENTRO','LAVRAS','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2194791,1.00,8.00,8.00,6.00,6.00,4.50,8.00,5.00,6.00,203,214,NULL,'JARDIM APOLO','SAO JOSE DOS CAMPOS','SP',6412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194805,3.00,7.00,5.00,7.00,9.00,6.00,5.00,5.00,5.00,324,207,NULL,'CAMPINAS','SAO JOSE','SC',6512,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2194813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,214,201,'BAIRRO AHÚ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2194821,4.00,7.00,4.00,7.00,6.00,6.25,4.00,4.00,2.00,450,320,NULL,'CENTRO HISTÓRICO','SAO JOSE','SC',11472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194830,5.00,8.00,9.00,6.00,8.00,6.00,6.00,5.00,3.00,203,108,214,'SANTA MÔNICA','FLORIANOPOLIS','SC',4567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,424,NULL,'VISTA ALEGRE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2194856,6.00,8.00,9.00,8.00,9.00,8.50,9.00,7.00,8.00,103,211,NULL,'LAGOA DA CONCEICAO','FLORIANOPOLIS','SC',359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2194880,2.00,2.00,2.00,3.00,8.00,4.25,2.00,4.00,3.00,317,308,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',21070,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2194902,2.00,8.00,3.00,2.00,6.00,7.00,5.00,6.00,4.00,223,222,NULL,'CENTRO','FLORIANOPOLIS','SC',10378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194910,4.00,6.00,8.00,7.00,7.00,5.75,7.00,5.00,5.00,108,NULL,NULL,'ITACORUBI','FLORIANOPOLIS','SC',6014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,104,NULL,'CENTRO','VITORINO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2194937,4.00,9.00,9.00,6.00,7.00,5.75,7.00,7.00,2.00,214,303,216,'CENTRO','GARUVA','SC',4222,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2194945,3.00,7.00,5.00,1.00,6.00,4.75,5.00,5.00,1.00,202,333,208,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',13590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194953,3.00,5.00,1.00,6.00,5.00,6.00,4.00,2.00,3.00,301,424,NULL,'CAMPECHE','FLORIANOPOLIS','SC',18061,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2194961,6.00,8.00,9.00,8.00,9.00,7.25,7.00,7.00,4.00,304,301,NULL,'CENTRO','FLORIANOPOLIS','SC',1333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2194970,5.00,8.00,5.00,2.00,8.00,5.50,6.00,4.00,4.00,502,501,NULL,'CENTRO','URUSSANGA','SC',10072,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2194988,3.00,4.00,1.00,2.00,4.00,5.75,1.00,5.00,1.00,317,318,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',22057,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2194996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,329,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2195003,3.00,6.00,2.00,2.00,6.00,4.50,3.00,5.00,1.00,103,415,NULL,'BOA VISTA','ERECHIM','RS',19730,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2195011,5.00,7.00,7.00,4.00,8.00,6.50,5.00,6.00,4.00,102,101,NULL,'CAMPINAS','SAO JOSE','SC',6208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195020,3.00,7.00,2.00,2.00,7.00,7.50,3.00,5.00,1.00,415,207,NULL,'AEROPORTO','TUBARAO','SC',15167,381,1216,NULL,NULL,NULL,NULL,4,10),(15,2195038,1.00,8.00,5.00,7.00,3.00,4.25,5.00,4.00,3.00,202,301,220,'CENTRO','PATO BRANCO','PR',14883,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2195054,2.00,7.00,5.00,7.00,7.00,6.00,5.00,5.00,3.00,303,208,NULL,'TESTO SALTO','BLUMENAU','SC',8658,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2195062,3.00,5.00,5.00,9.00,7.00,5.50,6.00,7.00,1.00,326,NULL,NULL,'BOM RETIRO','BLUMENAU','SC',8220,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2195070,3.00,8.00,4.00,3.00,5.00,5.50,3.00,5.00,3.00,208,303,238,'CENTRO','CONSTANTINA','RS',14742,NULL,NULL,NULL,NULL,NULL,NULL,1,4),(15,2195089,3.00,6.00,7.00,8.00,6.00,4.75,5.00,5.00,4.00,207,201,203,'FAZENDA','ITAJAI','SC',8596,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2195097,1.00,6.00,6.00,4.00,6.00,3.00,4.00,6.00,2.00,420,421,NULL,'ITACORUBI','FLORIANOPOLIS','SC',15837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195100,4.00,6.00,3.00,4.00,6.00,6.75,4.00,4.00,5.00,425,309,429,'PARQUE RES LISBOA','SAO JOSE','SC',12565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195119,3.00,5.00,2.00,7.00,6.00,5.25,3.00,4.00,1.00,101,309,NULL,'KOBRASOL','SAO JOSE','SC',16750,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2195127,1.00,2.00,1.00,2.00,8.00,NULL,3.00,3.00,2.00,103,319,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2195135,8.00,8.00,9.00,9.00,9.00,6.50,9.00,8.00,8.00,428,424,426,'PILARZINHO','CURITIBA','PR',39,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2195143,4.00,7.00,5.00,7.00,5.00,4.50,5.00,7.00,2.00,316,317,NULL,'KOBRASOL','SAO JOSE','SC',9704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2195151,0.00,3.00,3.00,4.00,4.00,5.75,4.00,4.00,4.00,327,423,NULL,'NOSSA SRA DO ROSARIO','SAO JOSE','SC',20923,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2195160,3.00,8.00,5.00,5.00,8.00,6.00,6.00,5.00,4.00,5,426,NULL,'ROÇADO','SAO JOSE','SC',7711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195178,5.00,8.00,2.00,5.00,6.00,7.50,7.00,6.00,6.00,108,211,NULL,'CENTRO','FLORIANOPOLIS','SC',5685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195186,5.00,3.00,2.00,1.00,5.00,4.75,4.00,5.00,3.00,302,404,NULL,'BARREIROS','SAO JOSE','SC',17644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195194,4.00,6.00,6.00,4.00,6.00,3.75,7.00,4.00,3.00,103,101,NULL,'JABAQUARA','SAO PAULO','SP',10643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195216,3.00,8.00,3.00,4.00,7.00,4.75,5.00,8.00,3.00,429,339,425,'CORRÉGO GRANDE','FLORIANOPOLIS','SC',11261,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195224,1.00,6.00,3.00,0.00,4.00,NULL,4.00,3.00,3.00,220,208,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195232,3.00,4.00,1.00,6.00,7.00,4.75,4.00,6.00,3.00,324,427,NULL,'CANTO DOS ARAÇAS','FLORIANOPOLIS','SC',15638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2195240,2.00,5.00,3.00,5.00,6.00,6.25,4.00,6.00,4.00,301,327,NULL,'PASSA VINTE','PALHOCA','SC',12932,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2195259,4.00,9.00,8.00,8.00,8.00,7.25,9.00,7.00,6.00,104,101,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2195267,2.00,4.00,3.00,7.00,6.00,4.25,5.00,6.00,4.00,202,224,NULL,'VILA JARDIM','PORTO ALEGRE','RS',13748,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2195275,2.00,7.00,5.00,3.00,5.00,6.00,4.00,5.00,3.00,201,208,212,'COSTA E SILVA','JOINVILLE','SC',14187,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2195283,6.00,7.00,6.00,9.00,10.00,6.50,9.00,8.00,6.00,103,108,NULL,'CENTRO','LAGES','SC',1011,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2195291,4.00,8.00,4.00,7.00,8.00,5.50,5.00,6.00,3.00,304,301,NULL,'VILA ANDRADE','SAO PAULO','SP',6690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195305,4.00,5.00,2.00,6.00,6.00,6.00,6.00,4.00,2.00,326,NULL,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',13838,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2195313,1.00,5.00,0.00,6.00,6.00,3.75,4.00,2.00,5.00,9,339,NULL,'ITACORUBI','FLORIANOPOLIS','SC',18360,255,342,NULL,NULL,NULL,NULL,2,1),(15,2195321,1.00,5.00,5.00,7.00,6.00,6.00,5.00,4.00,2.00,203,202,NULL,'CENTRO','CAXIAS DO SUL','RS',14595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195330,8.00,7.00,7.00,7.00,6.00,4.75,7.00,8.00,7.00,333,108,NULL,'CASCATINHA','CURITIBA','PR',1996,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2195348,1.00,6.00,2.00,6.00,7.00,6.00,5.00,2.00,4.00,404,211,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',15014,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2195364,3.00,4.00,5.00,1.00,4.00,5.75,3.00,3.00,0.00,103,101,NULL,'QUIRI','RONDA ALTA','RS',21676,3084,773,NULL,NULL,NULL,NULL,4,4),(15,2195372,6.00,6.00,8.00,9.00,9.00,6.75,8.00,7.00,6.00,214,NULL,203,'JARDIN UNIVESITÁRIO','SAO JOSE DO RIO PRETO','SP',1474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195380,2.00,4.00,1.00,1.00,3.00,NULL,2.00,3.00,2.00,301,308,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195399,4.00,8.00,6.00,7.00,8.00,7.50,7.00,7.00,5.00,450,318,NULL,'CAMPINAS','SAO JOSE','SC',2987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195402,3.00,7.00,2.00,1.00,3.00,4.25,3.00,5.00,3.00,208,203,238,'CENTRO','BLUMENAU','SC',20234,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2195410,3.00,6.00,1.00,6.00,5.00,5.25,2.00,0.00,3.00,216,217,211,'VILA ESPERANÇA','GRAO PARA','SC',20648,552,526,704,NULL,NULL,NULL,2,10),(15,2195429,5.00,7.00,7.00,6.00,7.00,6.00,5.00,5.00,4.00,202,220,203,'MORADA DO SOL','IJUI','RS',6210,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2195437,0.00,4.00,3.00,4.00,3.00,NULL,2.00,2.00,1.00,208,425,213,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195445,4.00,8.00,5.00,8.00,9.00,6.25,6.00,6.00,3.00,333,332,NULL,'ESTREITO','FLORIANOPOLIS','SC',5553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195453,1.00,5.00,1.00,5.00,5.00,4.50,3.00,3.00,1.00,201,234,211,'JD EUROPA','CUIABA','MT',21853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2195461,7.00,8.00,6.00,8.00,7.00,4.00,8.00,7.00,6.00,103,202,NULL,'JARDIM EMILIA','SOROCABA','SP',2919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195470,1.00,6.00,1.00,3.00,4.00,5.50,3.00,4.00,1.00,415,316,NULL,'CENTRO','SAO LOURENCO DO OESTE','SC',21672,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2195496,1.00,3.00,4.00,6.00,7.00,5.50,3.00,3.00,2.00,103,451,NULL,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2195518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,501,213,'ALTO DE MAFRA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2195534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,316,NULL,'CENTRO','PALMA SOLA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2195542,7.00,8.00,5.00,8.00,9.00,7.00,9.00,8.00,6.00,103,238,NULL,'KOBRASOL','SAO JOSE','SC',1202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195550,4.00,4.00,3.00,4.00,7.00,5.00,4.00,5.00,4.00,207,420,233,'PACHECOS','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195569,6.00,7.00,3.00,8.00,8.00,4.75,5.00,5.00,4.00,319,333,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',7809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,207,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2195585,8.00,8.00,8.00,7.00,6.00,7.25,7.00,6.00,7.00,103,104,NULL,'VILA ISABEL','CURITIBA','PR',1519,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2195593,3.00,5.00,2.00,7.00,7.00,5.50,5.00,5.00,4.00,108,324,NULL,'PONTE DO IMARUIM','PALHOCA','SC',11348,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2195615,6.00,6.00,4.00,6.00,8.00,7.50,6.00,5.00,4.00,211,215,216,'CAPOEIRAS','FLORIANOPOLIS','SC',6381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2195623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,211,NULL,'CENTRO','MATELANDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2195631,7.00,9.00,6.00,8.00,8.00,6.75,8.00,8.00,6.00,326,327,NULL,'VILA ADYANNA','SAO JOSE DOS CAMPOS','SP',984,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2195640,6.00,9.00,6.00,6.00,7.00,4.75,5.00,7.00,3.00,104,102,NULL,'CRUZEIRO DO SUL','CRICIUMA','SC',6142,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2195658,5.00,6.00,4.00,7.00,5.00,6.50,4.00,5.00,4.00,2,222,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2195666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2195674,7.00,4.00,7.00,8.00,8.00,4.75,7.00,8.00,4.00,319,333,NULL,'PORTÃO','LAURO DE FREITAS','BA',3423,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2195682,3.00,6.00,1.00,5.00,6.00,5.50,1.00,3.00,2.00,101,NULL,NULL,'CARIANOS','FLORIANOPOLIS','SC',18855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195690,2.00,8.00,2.00,8.00,6.00,4.75,6.00,6.00,2.00,304,101,NULL,'COMERCIARIO','CRICIUMA','SC',11004,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2195704,4.00,4.00,4.00,3.00,7.00,NULL,0.00,0.00,0.00,207,420,201,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(15,2195712,4.00,7.00,5.00,5.00,3.00,4.75,4.00,6.00,3.00,202,213,214,'AMÉRICA','JOINVILLE','SC',12395,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2195739,3.00,7.00,3.00,3.00,3.00,5.50,5.00,6.00,3.00,233,201,202,'ITOUPAVA NORTE','BLUMENAU','SC',15673,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2195747,4.00,5.00,6.00,2.00,6.00,6.25,5.00,3.00,3.00,202,2,220,'FIGUEIRA','URUSSANGA','SC',12230,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2195755,2.00,5.00,1.00,2.00,6.00,3.50,2.00,6.00,2.00,301,420,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195763,5.00,6.00,3.00,5.00,7.00,5.00,4.00,4.00,3.00,308,423,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',12226,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2195771,4.00,7.00,5.00,3.00,7.00,4.75,7.00,7.00,4.00,214,319,NULL,'CABRAL','CURITIBA','PR',7356,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2195798,3.00,5.00,2.00,6.00,6.00,6.25,5.00,4.00,2.00,444,404,NULL,'POPULAR','LAGES','SC',14898,140,388,NULL,NULL,NULL,NULL,2,9),(15,2195801,3.00,6.00,5.00,6.00,5.00,5.25,6.00,4.00,4.00,316,339,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',10494,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2195810,3.00,6.00,6.00,7.00,7.00,6.25,6.00,5.00,3.00,5,303,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',8127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195828,6.00,6.00,6.00,7.00,7.00,6.75,4.00,4.00,4.00,211,301,215,'CARVOEIRA','FLORIANOPOLIS','SC',6926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195844,3.00,8.00,4.00,7.00,6.00,4.50,7.00,7.00,4.00,450,301,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',8942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195852,4.00,8.00,4.00,3.00,7.00,4.50,7.00,7.00,3.00,202,213,220,'SÃO MANOEL','LEME','SP',9288,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2195860,1.00,3.00,4.00,2.00,8.00,5.75,4.00,0.00,2.00,104,101,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',20235,661,741,NULL,NULL,NULL,NULL,4,1),(15,2195879,4.00,8.00,2.00,7.00,8.00,8.75,5.00,3.00,2.00,103,203,NULL,'PQ SAO QUIRINO','CAMPINAS','SP',8756,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2195887,3.00,6.00,3.00,2.00,5.00,4.25,4.00,5.00,1.00,333,108,NULL,'ANITA GARIBALDI','JOINVILLE','SC',19310,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2195895,2.00,2.00,1.00,0.00,6.00,NULL,2.00,5.00,3.00,102,104,NULL,'CENTRO','UNIAO DO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2195909,1.00,7.00,2.00,5.00,6.00,6.50,2.00,3.00,2.00,212,9,215,'BUCAREIN','JOINVILLE','SC',17226,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2195925,6.00,7.00,7.00,8.00,6.00,5.25,7.00,6.00,5.00,234,501,NULL,'JABAQUARA','SAO PAULO','SP',4562,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2195933,4.00,3.00,2.00,2.00,3.00,6.50,4.00,3.00,1.00,415,9,NULL,'IPIRANGA','FREDERICO WESTPHALEN','RS',21783,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2195950,1.00,5.00,5.00,7.00,7.00,5.25,6.00,5.00,4.00,104,501,NULL,'CENTRO','TORRES','RS',11401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2195968,7.00,8.00,4.00,9.00,9.00,6.75,7.00,6.00,4.00,420,327,NULL,'CENTRO','FLORIANOPOLIS','SC',3448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2195976,1.00,5.00,2.00,1.00,3.00,NULL,1.00,3.00,2.00,104,101,NULL,'CENTRO','PALMA SOLA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2195984,3.00,5.00,3.00,6.00,3.00,5.25,4.00,7.00,4.00,333,450,NULL,'AMIZADE','JARAGUA DO SUL','SC',14283,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2196000,6.00,8.00,9.00,9.00,9.00,7.50,8.00,6.00,6.00,103,104,NULL,'ITACORUBI','FLORIANOPOLIS','SC',591,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2196018,5.00,7.00,6.00,7.00,7.00,4.50,3.00,5.00,4.00,333,328,NULL,'KOBRASOL','SAO JOSE','SC',8633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2196026,2.00,5.00,2.00,4.00,6.00,4.25,3.00,4.00,4.00,103,9,NULL,'JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP',17306,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2196042,3.00,7.00,6.00,8.00,7.00,7.25,7.00,8.00,6.00,450,320,NULL,'PERDIZES','SAO PAULO','SP',3037,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2196050,4.00,9.00,9.00,9.00,7.00,5.25,8.00,9.00,7.00,214,302,212,'AMIZADE','JARAGUA DO SUL','SC',838,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2196069,4.00,7.00,6.00,7.00,9.00,6.50,7.00,7.00,4.00,319,309,NULL,'ESTREITO','FLORIANOPOLIS','SC',4311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196085,2.00,3.00,2.00,2.00,5.00,5.25,3.00,2.00,4.00,104,5,NULL,'CENTRO','BRACO DO NORTE','SC',21924,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2196093,3.00,7.00,1.00,4.00,6.00,6.00,3.00,5.00,3.00,103,420,NULL,'PICADAS DO SUL','SAO JOSE','SC',16669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196123,5.00,5.00,4.00,4.00,6.00,5.00,3.00,7.00,1.00,217,302,NULL,'CENTRO','FLORIANOPOLIS','SC',14414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196131,6.00,8.00,6.00,8.00,8.00,4.50,7.00,7.00,5.00,103,104,NULL,'ZONA QUATRO','MARINGA','PR',3059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'BUTANTÃ','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2196158,1.00,1.00,3.00,4.00,3.00,NULL,1.00,2.00,2.00,5,303,NULL,'CIDADE ALTA','BENTO GONCALVES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2196166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2196174,7.00,6.00,9.00,7.00,6.00,5.25,6.00,7.00,7.00,103,404,NULL,'CENTRO','FLORIANOPOLIS','SC',2060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2196182,4.00,6.00,4.00,5.00,7.00,5.75,3.00,4.00,2.00,201,223,NULL,'ESTREITO','FLORIANOPOLIS','SC',15096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196190,5.00,7.00,1.00,5.00,7.00,5.50,4.00,5.00,5.00,102,425,NULL,'CENTRO','FLORIANOPOLIS','SC',11171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,102,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2196212,3.00,4.00,1.00,1.00,6.00,5.75,3.00,4.00,1.00,101,326,NULL,'CENTRO','CAMPO BELO DO SUL','SC',21077,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2196220,1.00,6.00,5.00,4.00,5.00,5.25,3.00,2.00,1.00,212,211,213,'CENTRO','BALNEARIO CAMBORIU','SC',19340,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2196239,5.00,7.00,5.00,4.00,6.00,5.00,7.00,6.00,3.00,103,104,NULL,'CENTRO','TOLEDO','PR',9222,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2196247,0.00,4.00,0.00,6.00,6.00,6.50,5.00,3.00,3.00,104,9,NULL,'CARIANOS','FLORIANOPOLIS','SC',18799,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2196255,2.00,5.00,1.00,3.00,5.00,3.75,2.00,2.00,4.00,208,420,NULL,'ESTREITO','FLORIANOPOLIS','SC',22204,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2196263,4.00,6.00,3.00,5.00,5.00,4.50,4.00,1.00,1.00,420,103,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',18741,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2196271,1.00,5.00,4.00,0.00,6.00,5.50,4.00,2.00,3.00,303,301,NULL,'BARREIROS','SAO JOSE','SC',20159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,5,NULL,'CENTRO','PONTE SERRADA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2196298,4.00,8.00,8.00,4.00,8.00,6.00,9.00,6.00,6.00,202,223,213,'CENTRO','FLORIANOPOLIS','SC',3469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196301,1.00,1.00,0.00,2.00,3.00,NULL,3.00,1.00,1.00,101,309,NULL,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2196310,2.00,5.00,2.00,4.00,5.00,6.00,3.00,2.00,2.00,450,212,NULL,'IBIRAQUERA','IMBITUBA','SC',20444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196336,3.00,6.00,3.00,6.00,4.00,6.75,5.00,5.00,5.00,303,310,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2196344,3.00,5.00,2.00,5.00,6.00,6.00,4.00,4.00,4.00,303,5,NULL,'CENTRO','CASCAVEL','PR',14683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196360,5.00,7.00,7.00,7.00,7.00,4.75,7.00,7.00,3.00,5,333,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',4097,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2196379,4.00,7.00,5.00,7.00,6.00,3.75,5.00,6.00,3.00,5,208,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',9535,414,983,NULL,NULL,NULL,NULL,2,1),(15,2196387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,212,NULL,'JUVEVÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2196395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'ZONA QUATRO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2196417,6.00,8.00,7.00,8.00,8.00,5.25,8.00,5.00,4.00,203,214,220,'ASILO','BLUMENAU','SC',2909,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2196425,4.00,7.00,3.00,6.00,7.00,4.75,7.00,5.00,3.00,214,217,213,'TRINDADE','FLORIANOPOLIS','SC',8683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196433,5.00,7.00,5.00,5.00,8.00,6.25,7.00,5.00,5.00,103,NULL,NULL,'COQUEIROS','FLORIANOPOLIS','SC',4757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196441,3.00,6.00,3.00,4.00,9.00,5.50,5.00,4.00,2.00,213,NULL,208,'CAMPO GRANDE','SANTOS','SP',12647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196450,2.00,4.00,3.00,5.00,7.00,4.50,4.00,2.00,3.00,5,316,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',17525,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2196468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,104,207,'CINQUENTENÁRIO','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2196484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,203,214,'PINHEIROS','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2196492,7.00,6.00,4.00,3.00,8.00,5.25,5.00,6.00,4.00,316,318,NULL,'KOBRASOL','SAO JOSE','SC',8478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196506,7.00,7.00,4.00,9.00,8.00,7.00,7.00,6.00,3.00,420,319,NULL,'SANTA BARBARA','CRICIUMA','SC',3558,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2196514,3.00,5.00,3.00,4.00,6.00,4.25,6.00,3.00,2.00,415,NULL,NULL,'CENTRO','LAGES','SC',17760,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2196522,0.00,6.00,2.00,2.00,7.00,4.50,2.00,2.00,3.00,211,215,NULL,'JURERE TRADICIONAL','FLORIANOPOLIS','SC',20955,714,630,NULL,NULL,NULL,NULL,2,1),(15,2196530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,303,NULL,'CENTRO','CUNHA PORA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2196549,2.00,4.00,0.00,1.00,5.00,NULL,3.00,4.00,2.00,220,420,233,'RIO MAINA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2196557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,421,'JARDIM IDALINA','IBITINGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2196565,2.00,7.00,4.00,4.00,5.00,6.25,4.00,4.00,4.00,207,304,215,'CENTRO','PICARRAS','SC',13365,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2196573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'JARDIM CRUZEIRO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2196581,2.00,8.00,3.00,5.00,6.00,5.50,4.00,7.00,4.00,216,108,211,'BAIXADA PIONEIRA','PINHALZINHO','SC',10836,355,724,386,NULL,NULL,NULL,4,4),(15,2196590,4.00,6.00,6.00,4.00,5.00,3.25,7.00,3.00,4.00,233,2,212,'CENTRO','SANTA MARIA','RS',12785,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2196603,8.00,7.00,9.00,8.00,6.00,4.75,9.00,6.00,8.00,103,NULL,NULL,'LIXEIRA','CUIABA','MT',792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196611,1.00,4.00,3.00,4.00,7.00,6.25,4.00,5.00,4.00,104,103,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',15128,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2196620,5.00,8.00,4.00,8.00,7.00,5.25,6.00,8.00,3.00,5,427,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',5623,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2196638,1.00,6.00,5.00,7.00,8.00,4.75,3.00,7.00,3.00,317,327,NULL,'INGLESES','FLORIANOPOLIS','SC',10279,117,283,NULL,NULL,NULL,NULL,2,1),(15,2196646,2.00,6.00,6.00,4.00,3.00,3.25,6.00,5.00,3.00,301,316,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196654,5.00,8.00,6.00,9.00,7.00,5.50,8.00,8.00,4.00,212,332,211,'SANTA MONICA','FLORIANOPOLIS','SC',2830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196662,6.00,8.00,6.00,6.00,8.00,6.00,7.00,8.00,5.00,103,207,NULL,'CENTRO','CRICIUMA','SC',2454,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2196670,2.00,3.00,3.00,5.00,5.00,5.25,3.00,5.00,2.00,207,324,208,'FORQUILHINHAS','SAO JOSE','SC',18751,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2196689,2.00,5.00,3.00,6.00,4.00,2.00,3.00,3.00,3.00,501,211,NULL,'CENTRO','BRACO DO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2196697,6.00,7.00,8.00,9.00,8.00,6.00,7.00,6.00,7.00,203,220,214,'JARDIM SAIRA','SOROCABA','SP',2098,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2196700,6.00,7.00,8.00,5.00,8.00,6.50,6.00,5.00,4.00,444,333,NULL,'GRUTA','ITUPORANGA','SC',4712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196719,2.00,6.00,6.00,1.00,7.00,5.25,5.00,3.00,4.00,207,420,201,'NASPOLINI','CRICIUMA','SC',13836,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2196727,2.00,4.00,6.00,1.00,7.00,4.75,2.00,2.00,3.00,201,NULL,212,'PRESIDENTE KENNEDY','FRANCISCO BELTRAO','PR',18996,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2196751,2.00,6.00,2.00,1.00,7.00,4.50,6.00,2.00,2.00,339,329,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',18449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2196786,3.00,6.00,2.00,3.00,6.00,6.00,5.00,4.00,4.00,415,332,NULL,'CENTRO','FLORIANOPOLIS','SC',15865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196794,4.00,5.00,4.00,5.00,8.00,5.00,1.00,3.00,2.00,303,415,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',16991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196808,2.00,6.00,5.00,5.00,7.00,6.50,6.00,5.00,2.00,426,320,423,'CENTRO','FLORIANOPOLIS','SC',12176,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2196816,8.00,9.00,7.00,6.00,7.00,6.50,7.00,8.00,8.00,103,102,NULL,'CAMPINAS','SAO JOSE','SC',1226,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2196824,2.00,5.00,2.00,2.00,2.00,NULL,2.00,5.00,2.00,103,450,NULL,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2196832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,420,NULL,'SEMINARIO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2196840,4.00,4.00,3.00,5.00,5.00,4.50,5.00,5.00,4.00,207,212,201,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',14396,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2196859,7.00,8.00,9.00,8.00,9.00,8.00,7.00,7.00,5.00,207,420,NULL,'CENTRO','FLORIANOPOLIS','SC',732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'V M DELANI','FRANCISCO BELTRAO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2196883,6.00,6.00,7.00,3.00,8.00,6.00,6.00,5.00,5.00,208,222,238,'TRINDADE','FLORIANOPOLIS','SC',7245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196891,3.00,6.00,2.00,3.00,8.00,5.50,5.00,4.00,3.00,9,444,NULL,'KOBRASOL','SAO JOSE','SC',13981,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2196905,1.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,3.00,502,444,NULL,'COMERCIARIO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2196913,1.00,3.00,1.00,4.00,5.00,NULL,2.00,2.00,0.00,317,316,NULL,'PALHOÇA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2196921,2.00,7.00,5.00,5.00,5.00,4.50,2.00,7.00,3.00,238,316,208,'SÃO VICENTE','HERVAL D OESTE','SC',15398,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2196930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,328,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2196948,3.00,6.00,1.00,1.00,8.00,4.25,3.00,2.00,4.00,208,108,202,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196956,4.00,7.00,9.00,9.00,9.00,6.75,8.00,7.00,6.00,5,223,NULL,'PANTANAL','FLORIANOPOLIS','SC',1078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2196964,4.00,6.00,4.00,8.00,8.00,6.75,5.00,6.00,2.00,103,102,NULL,'SANTA CATARINA','CAXIAS DO SUL','RS',7093,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2196980,3.00,4.00,4.00,5.00,6.00,5.00,4.00,2.00,2.00,303,301,NULL,'NAÇÕES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2196999,1.00,6.00,0.00,1.00,6.00,NULL,2.00,4.00,3.00,333,404,NULL,'TESTO SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2197006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,2,213,'JARDIM AMÉRICA','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2197014,5.00,7.00,7.00,6.00,6.00,5.75,5.00,8.00,5.00,103,5,NULL,'AYMORÉ','ARAPONGAS','PR',5207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197022,1.00,4.00,6.00,5.00,6.00,5.25,5.00,4.00,1.00,212,202,220,'PRÓSPERA','CRICIUMA','SC',16491,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2197030,1.00,6.00,1.00,1.00,3.00,6.50,3.00,3.00,4.00,108,333,NULL,'ESTORIL','MARILIA','SP',21004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197049,1.00,5.00,1.00,4.00,4.00,4.75,4.00,5.00,5.00,303,319,NULL,'FAZ STO ANTÔNIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197057,6.00,9.00,9.00,9.00,9.00,7.75,9.00,9.00,7.00,220,329,212,'JURERÊ','FLORIANOPOLIS','SC',201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197065,6.00,9.00,4.00,9.00,9.00,5.00,7.00,5.00,3.00,104,211,NULL,'SANTA BÁRBARA','CRICIUMA','SC',3661,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2197073,4.00,8.00,5.00,7.00,7.00,6.25,6.00,8.00,2.00,108,216,NULL,'HARMONIA','IVOTI','RS',6121,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2197081,6.00,8.00,6.00,8.00,7.00,5.75,7.00,6.00,4.00,303,5,NULL,'CANTO','FLORIANOPOLIS','SC',3388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197090,4.00,4.00,2.00,4.00,8.00,6.25,4.00,4.00,1.00,319,101,NULL,'VILA FORMOSA','BLUMENAU','SC',16676,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2197103,8.00,8.00,8.00,5.00,9.00,7.50,9.00,9.00,8.00,203,NULL,NULL,'CENTRO','MANDAGUARI','PR',102,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2197111,2.00,7.00,3.00,4.00,3.00,5.50,2.00,5.00,1.00,316,332,NULL,'BARREIROS','SAO JOSE','SC',19448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2197138,4.00,6.00,6.00,6.00,6.00,9.00,6.00,8.00,4.00,318,320,NULL,'CENTRO','SANTA MARIA','RS',4094,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2197146,5.00,7.00,6.00,5.00,7.00,6.50,7.00,6.00,6.00,103,108,NULL,'MARAPE','SANTOS','SP',4812,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2197154,2.00,3.00,4.00,0.00,3.00,5.25,4.00,4.00,2.00,203,202,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',21634,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2197162,2.00,5.00,0.00,3.00,2.00,NULL,0.00,4.00,1.00,101,319,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2197189,0.00,3.00,3.00,2.00,3.00,NULL,2.00,2.00,1.00,303,NULL,NULL,'SETOR INDUSTRIAL','SINOP','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197197,2.00,5.00,2.00,7.00,4.00,5.50,5.00,6.00,3.00,202,214,213,'FLORESTA','JOINVILLE','SC',13832,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2197200,4.00,8.00,7.00,9.00,7.00,5.50,6.00,7.00,5.00,201,318,212,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',3336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197219,4.00,5.00,5.00,5.00,4.00,6.75,8.00,6.00,3.00,201,224,207,'CARVOEIRA','FLORIANOPOLIS','SC',9050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197227,4.00,8.00,4.00,8.00,7.00,5.50,7.00,8.00,4.00,216,102,208,'CENTRO','IJUI','RS',5035,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2197235,3.00,5.00,4.00,5.00,6.00,4.75,4.00,4.00,2.00,238,316,208,'RIO CAVEIRAS','BIGUACU','SC',15465,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2197243,1.00,4.00,2.00,1.00,3.00,NULL,3.00,2.00,1.00,238,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2197251,5.00,7.00,4.00,6.00,6.00,4.75,5.00,5.00,2.00,303,202,NULL,'RIO CAVEIRAS','BIGUACU','SC',10826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197260,3.00,6.00,4.00,5.00,6.00,5.50,4.00,5.00,3.00,103,104,NULL,'DAS NAÇÕES','TIMBO','SC',12715,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2197278,4.00,6.00,8.00,5.00,8.00,6.50,5.00,5.00,3.00,212,234,211,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',7065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197286,3.00,7.00,3.00,7.00,7.00,4.75,3.00,3.00,6.00,317,318,NULL,'CENTRO','BALNEARIO ARROIO DO SILVA','SC',11081,136,393,NULL,NULL,NULL,NULL,2,5),(15,2197294,7.00,8.00,8.00,5.00,7.00,6.25,7.00,6.00,8.00,103,203,NULL,'CENTRO','CORUMBA','MS',1822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197308,6.00,8.00,9.00,7.00,7.00,6.50,7.00,7.00,4.00,207,332,238,'ITACORUBI','FLORIANOPOLIS','SC',2933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197316,3.00,3.00,2.00,4.00,6.00,3.00,1.00,5.00,2.00,234,333,NULL,'DANIELA','FLORIANOPOLIS','SC',20973,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2197324,4.00,6.00,4.00,7.00,8.00,6.50,2.00,6.00,1.00,101,9,NULL,'INGLESES','FLORIANOPOLIS','SC',10171,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2197332,2.00,9.00,5.00,8.00,8.00,7.00,6.00,7.00,4.00,331,326,NULL,'CAMPECHE','FLORIANOPOLIS','SC',5254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197340,5.00,7.00,8.00,8.00,9.00,7.50,9.00,6.00,5.00,214,223,212,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',1837,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2197359,5.00,7.00,5.00,4.00,8.00,5.75,5.00,8.00,6.00,102,101,NULL,'BARREIROS','SAO JOSE','SC',5683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197367,2.00,4.00,2.00,5.00,5.00,4.25,4.00,4.00,2.00,319,331,NULL,'CENTRO','FLORIANOPOLIS','SC',18968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2197383,1.00,7.00,3.00,6.00,4.00,5.00,5.00,5.00,3.00,327,207,NULL,'IMGLESES','FLORIANOPOLIS','SC',14501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2197391,3.00,4.00,4.00,6.00,6.00,4.50,4.00,3.00,3.00,234,501,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',15702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2197405,2.00,2.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,301,309,NULL,'JARDIM PINHEIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2197413,3.00,7.00,4.00,5.00,7.00,6.25,4.00,6.00,4.00,9,215,NULL,'KOBRASOL','SAO JOSE','SC',9117,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2197421,1.00,4.00,3.00,3.00,8.00,4.00,4.00,3.00,1.00,302,223,NULL,'SERTÃO DO MARUIM','SAO JOSE','SC',20793,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2197430,3.00,6.00,2.00,4.00,6.00,5.75,3.00,3.00,2.00,451,207,NULL,'CENTRO','CRICIUMA','SC',18618,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2197448,6.00,9.00,6.00,9.00,8.00,7.00,8.00,6.00,6.00,420,207,NULL,'STEFFEN','BRUSQUE','SC',1603,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2197456,5.00,8.00,6.00,7.00,7.00,6.50,7.00,6.00,4.00,5,316,NULL,'CENTRO','SAO JOSE','SC',3722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197464,3.00,5.00,1.00,0.00,4.00,6.25,7.00,6.00,2.00,420,301,NULL,'CENTRO','FLORIANOPOLIS','SC',18820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197472,6.00,7.00,5.00,5.00,6.00,7.75,6.00,3.00,5.00,208,223,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',6895,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2197480,3.00,6.00,4.00,5.00,5.00,6.25,5.00,5.00,2.00,2,501,NULL,'CRUSEIRO','RIO NEGRINHO','SC',14207,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2197499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2197502,0.00,4.00,1.00,3.00,4.00,4.00,2.00,5.00,4.00,316,333,NULL,'COQUEIROS','FLORIANOPOLIS','SC',22026,679,1074,NULL,NULL,NULL,NULL,2,1),(15,2197529,4.00,6.00,5.00,1.00,7.00,6.25,5.00,5.00,4.00,303,427,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',9983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197537,7.00,7.00,8.00,6.00,8.00,5.00,9.00,7.00,6.00,103,NULL,NULL,'GUARA I','GUARA','DF',1889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197545,2.00,6.00,1.00,1.00,4.00,5.25,2.00,4.00,3.00,102,108,NULL,'CENTRO','ALFREDO WAGNER','SC',21039,483,968,NULL,NULL,NULL,NULL,4,1),(15,2197553,5.00,9.00,9.00,3.00,6.00,5.00,9.00,8.00,8.00,220,202,203,'FAIÇALVILLE','GOIANIA','GO',2424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,309,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2197588,5.00,7.00,8.00,9.00,7.00,7.50,6.00,7.00,4.00,415,326,NULL,'PASSARÉ','FORTALEZA','CE',2185,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2197626,2.00,5.00,1.00,8.00,5.00,6.25,4.00,8.00,2.00,415,310,NULL,'JARDIM ITÁLIA','CHAPECO','SC',13356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197634,4.00,6.00,9.00,4.00,7.00,5.00,9.00,5.00,6.00,203,202,NULL,'CENTRO','SAO JOSE DOS CAMPOS','SP',5220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197642,3.00,8.00,6.00,7.00,8.00,6.25,5.00,7.00,5.00,104,420,NULL,'CENTRO','SAO JOSE','SC',4826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197650,5.00,8.00,7.00,7.00,9.00,6.00,8.00,6.00,6.00,103,102,NULL,'CENTRO','FLORIANOPOLIS','SC',1586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197669,7.00,9.00,9.00,8.00,9.00,5.50,8.00,9.00,7.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197677,4.00,6.00,5.00,5.00,6.00,4.50,4.00,6.00,5.00,103,233,NULL,'JARDIM CAMBARA','DESCALVADO','SP',11136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197685,8.00,8.00,8.00,6.00,7.00,5.25,8.00,8.00,8.00,103,NULL,NULL,'VILA MARIANA','SAO PAULO','SP',1164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197693,8.00,8.00,8.00,6.00,6.00,6.50,7.00,8.00,6.00,238,420,211,'CENTRO','FLORIANOPOLIS','SC',1835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197707,5.00,9.00,9.00,9.00,9.00,6.25,8.00,7.00,8.00,220,203,233,'CAPITAIS','TIMBO','SC',506,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2197715,8.00,9.00,5.00,9.00,7.00,5.75,8.00,8.00,7.00,103,203,NULL,'ASILO','BLUMENAU','SC',905,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2197723,4.00,7.00,4.00,5.00,8.00,5.25,6.00,6.00,3.00,211,333,233,'XV DE NOVEMBRO','TIJUCAS','SC',9148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197731,4.00,6.00,3.00,5.00,6.00,5.25,1.00,5.00,5.00,310,328,NULL,'COQUEIROS','FLORIANOPOLIS','SC',14846,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2197740,5.00,7.00,8.00,9.00,8.00,7.75,9.00,5.00,6.00,103,104,NULL,'PONTA AGUDA','BLUMENAU','SC',1567,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2197758,5.00,5.00,6.00,2.00,4.00,5.75,6.00,4.00,1.00,108,333,NULL,'CENTRO','SCHROEDER','SC',15328,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2197766,4.00,8.00,5.00,9.00,6.00,5.25,3.00,6.00,3.00,238,425,208,'CCENTRO','GAROPABA','SC',6907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197782,0.00,6.00,5.00,3.00,6.00,NULL,3.00,2.00,2.00,207,501,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197790,3.00,6.00,1.00,3.00,5.00,4.25,6.00,5.00,3.00,303,5,NULL,'SÃO DOMINGOS','MOCOCA','SP',16020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197804,0.00,5.00,1.00,3.00,5.00,4.00,5.00,4.00,4.00,101,309,NULL,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',21426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197812,3.00,8.00,6.00,5.00,8.00,6.25,7.00,6.00,5.00,333,9,NULL,'ESTREITO','FLORIANOPOLIS','SC',5809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2197820,5.00,5.00,3.00,8.00,7.00,5.75,4.00,5.00,5.00,103,102,NULL,'CZERNIWICZ','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2197839,3.00,6.00,2.00,5.00,6.00,5.75,5.00,5.00,3.00,238,316,208,'CENTRO','CAPIVARI DE BAIXO','SC',15155,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2197847,6.00,7.00,8.00,6.00,6.00,4.00,9.00,7.00,6.00,208,2,238,'ALEGRE','RIO NEGRINHO','SC',3145,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2197855,6.00,7.00,6.00,8.00,7.00,4.75,8.00,6.00,5.00,420,301,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',3444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197863,4.00,6.00,5.00,9.00,8.00,6.75,6.00,8.00,4.00,329,318,NULL,'FORTALEZA DA BARRA','FLORIANOPOLIS','SC',4741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'SETOR JAÓ','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2197880,5.00,8.00,3.00,8.00,8.00,6.00,3.00,6.00,4.00,108,102,NULL,'MICHEL','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2197898,2.00,5.00,3.00,4.00,7.00,7.25,4.00,4.00,3.00,108,NULL,NULL,'CASTELO BRANCO','ITAPEMA','SC',15479,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2197901,2.00,6.00,4.00,4.00,5.00,4.00,3.00,3.00,2.00,415,316,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',19893,502,1212,NULL,NULL,NULL,NULL,2,1),(15,2197910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,223,NULL,'CENTRO','LINDOIA DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2197928,3.00,5.00,3.00,6.00,5.00,5.75,4.00,7.00,2.00,308,428,NULL,'RIO GRANDE','PALHOCA','SC',14597,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2197936,2.00,5.00,3.00,0.00,6.00,NULL,3.00,5.00,3.00,9,108,NULL,'LINHA ALTO VELOSO','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2197944,8.00,6.00,9.00,6.00,8.00,6.00,9.00,7.00,8.00,103,303,NULL,'LIBERDADE','SAO PAULO','SP',856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197952,1.00,4.00,2.00,1.00,3.00,NULL,3.00,3.00,1.00,202,NULL,NULL,'CENTRO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2197960,6.00,8.00,7.00,5.00,7.00,6.50,7.00,8.00,7.00,103,NULL,NULL,'VORSTADT','BLUMENAU','SC',1916,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2197979,2.00,7.00,1.00,2.00,7.00,4.50,4.00,4.00,3.00,211,333,NULL,'ÁGUA VERDE','JARAGUA DO SUL','SC',18282,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2197987,5.00,8.00,9.00,9.00,9.00,6.50,9.00,8.00,7.00,211,233,203,'SETOR MARISTA','GOIANIA','GO',672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2197995,6.00,6.00,4.00,3.00,8.00,7.00,8.00,6.00,5.00,415,304,NULL,'AMIZADE','JARAGUA DO SUL','SC',6209,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2198002,5.00,9.00,7.00,6.00,9.00,6.00,7.00,6.00,4.00,303,426,NULL,'COQUEIROS','FLORIANOPOLIS','SC',3258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198010,5.00,8.00,3.00,6.00,8.00,5.25,7.00,6.00,2.00,104,101,NULL,'CENTRO','PALHOCA','SC',7427,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2198029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,5,NULL,'CENTRO','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2198037,3.00,5.00,5.00,6.00,5.00,5.50,4.00,3.00,3.00,102,103,NULL,'CENTRO','ERECHIM','RS',13108,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2198045,4.00,5.00,5.00,5.00,6.00,5.00,5.00,6.00,2.00,220,NULL,NULL,'CENTRO','ERECHIM','RS',11657,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2198053,3.00,3.00,2.00,0.00,3.00,NULL,2.00,3.00,2.00,102,319,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198061,5.00,6.00,9.00,6.00,9.00,4.75,8.00,6.00,7.00,212,318,201,'CORREGO GRANDE','FLORIANOPOLIS','SC',2980,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2198070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,426,NULL,'TRÍNDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2198088,8.00,8.00,9.00,8.00,8.00,6.75,9.00,5.00,7.00,203,222,201,'CENTRO','FLORIANOPOLIS','SC',364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198100,5.00,8.00,7.00,9.00,9.00,7.75,8.00,5.00,5.00,207,208,201,'CAMPECHE','FLORIANOPOLIS','SC',1626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198118,3.00,6.00,0.00,3.00,8.00,5.50,4.00,6.00,1.00,333,234,NULL,'TRINDADE','FLORIANOPOLIS','SC',15852,249,217,NULL,NULL,NULL,NULL,2,1),(15,2198126,3.00,1.00,1.00,4.00,3.00,4.00,4.00,4.00,3.00,101,103,NULL,'FUNDOS','BIGUACU','SC',22322,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2198134,1.00,6.00,2.00,5.00,4.00,4.75,1.00,4.00,1.00,317,318,NULL,'FORQUILHINHAS','SAO JOSE','SC',21653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2198142,4.00,7.00,5.00,9.00,6.00,6.50,6.00,8.00,3.00,316,320,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',5636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198150,5.00,8.00,7.00,10.00,8.00,7.75,6.00,7.00,5.00,415,327,NULL,'SÃO LUIZ','BRUSQUE','SC',1799,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2198169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,208,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2198177,4.00,6.00,9.00,9.00,8.00,6.00,8.00,8.00,5.00,208,NULL,238,'CENTRO','FLORIANOPOLIS','SC',1671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198185,2.00,5.00,1.00,3.00,5.00,6.25,4.00,4.00,2.00,308,329,NULL,'COQUEIROS','FLORIANOPOLIS','SC',20409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198193,6.00,8.00,3.00,3.00,7.00,6.50,6.00,5.00,3.00,217,427,NULL,'BARREIROS','SAO JOSE','SC',9011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198207,4.00,7.00,1.00,2.00,6.00,5.00,4.00,7.00,1.00,333,332,NULL,'TRINDADE','FLORIANOPOLIS','SC',16542,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2198215,2.00,7.00,3.00,7.00,5.00,6.75,4.00,6.00,4.00,324,327,NULL,'COQUEIROS','FLORIANOPOLIS','SC',10247,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2198223,6.00,6.00,6.00,7.00,7.00,6.75,4.00,6.00,2.00,317,429,NULL,'PONTA DE BAIXO','SAO JOSE','SC',6600,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2198231,0.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,102,9,NULL,'BARRA DO RIO MOLHA','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(15,2198240,1.00,4.00,3.00,6.00,6.00,5.75,3.00,3.00,3.00,415,NULL,NULL,'ROCIO GRANDE','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2198258,6.00,7.00,5.00,7.00,9.00,6.00,9.00,8.00,4.00,202,222,220,'CARVOEIRA','FLORIANOPOLIS','SC',2100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,201,215,'CENTRO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2198274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,327,NULL,'BELCHIOR ALTO','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2198282,3.00,5.00,1.00,2.00,3.00,4.00,2.00,5.00,4.00,5,327,NULL,'CENTRO','FLORIANOPOLIS','SC',21168,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2198290,4.00,8.00,5.00,9.00,7.00,6.00,7.00,7.00,4.00,234,2,NULL,'COLONINHA','FLORIANOPOLIS','SC',3854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2198304,5.00,5.00,1.00,5.00,6.00,3.50,5.00,3.00,2.00,450,333,NULL,'CENTRO','CHAPECO','SC',17012,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2198312,5.00,9.00,6.00,8.00,8.00,6.50,7.00,6.00,6.00,415,301,NULL,'COSTA E SILVA','JOINVILLE','SC',2243,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2198339,6.00,8.00,7.00,9.00,6.00,6.25,5.00,5.00,5.00,103,303,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198347,5.00,7.00,8.00,8.00,9.00,7.00,8.00,8.00,6.00,208,425,238,'ITACORUBI','FLORIANOPOLIS','SC',1102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198355,8.00,8.00,7.00,7.00,5.00,5.25,8.00,8.00,5.00,103,333,NULL,'AGUA VERDE','CURITIBA','PR',2123,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2198363,4.00,7.00,4.00,6.00,7.00,3.00,2.00,7.00,3.00,215,NULL,233,'PINHEIROS','SOROCABA','SP',11563,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2198380,2.00,5.00,4.00,6.00,8.00,5.50,6.00,7.00,5.00,233,320,238,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',9817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198398,1.00,7.00,5.00,6.00,6.00,4.50,4.00,7.00,2.00,216,212,201,'JARDIM PANORAMICO','LAGES','SC',12231,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2198401,1.00,4.00,4.00,5.00,6.00,5.50,4.00,3.00,1.00,420,211,NULL,'CENTRO','MORRO GRANDE','SC',18980,379,991,NULL,NULL,NULL,NULL,2,5),(15,2198410,2.00,6.00,5.00,9.00,7.00,4.50,4.00,6.00,3.00,201,216,202,'COQUEIROS','FLORIANOPOLIS','SC',10438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198436,2.00,6.00,0.00,6.00,5.00,6.25,5.00,6.00,4.00,302,326,NULL,'FLORESTA','SAO JOSE','SC',14725,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2198444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2198452,3.00,6.00,3.00,5.00,7.00,5.00,5.00,4.00,5.00,102,215,NULL,'CENTRO','PALHOCA','SC',11761,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2198460,2.00,5.00,1.00,7.00,7.00,3.00,2.00,3.00,1.00,103,9,NULL,'JARDIM ISMÊNIA','SAO JOSE DOS CAMPOS','SP',18798,2920,673,NULL,NULL,NULL,NULL,4,1),(15,2198479,2.00,6.00,2.00,2.00,6.00,6.00,5.00,4.00,2.00,9,451,NULL,'CENTRO','TANABI','SP',16463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198495,2.00,7.00,2.00,3.00,4.00,4.25,3.00,2.00,2.00,319,5,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',21068,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2198509,4.00,7.00,4.00,4.00,7.00,6.00,4.00,6.00,4.00,9,211,NULL,'DOM BOSCO','ITAJAI','SC',9618,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2198517,5.00,8.00,4.00,6.00,8.00,7.75,7.00,6.00,3.00,428,502,426,'BALNEARIO','FLORIANOPOLIS','SC',5002,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2198525,1.00,5.00,3.00,2.00,8.00,5.25,5.00,7.00,3.00,444,404,NULL,'VILA SÃO JOSÉ','ARARANGUA','SC',14573,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2198533,4.00,7.00,7.00,5.00,6.00,7.00,7.00,7.00,5.00,103,108,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',5053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198550,3.00,6.00,5.00,5.00,6.00,7.00,5.00,7.00,3.00,316,304,NULL,'JOSÉ MENINO','SANTOS','SP',9997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198568,2.00,4.00,1.00,0.00,5.00,NULL,2.00,3.00,1.00,103,101,NULL,'PQ RESID GROOT','HOLAMBRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198576,8.00,8.00,9.00,10.00,9.00,7.00,8.00,8.00,8.00,103,301,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',70,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198584,5.00,4.00,6.00,6.00,9.00,5.25,5.00,4.00,2.00,301,451,NULL,'COQUEIROS','FLORIANOPOLIS','SC',9524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198592,3.00,6.00,2.00,3.00,6.00,5.50,4.00,5.00,5.00,318,317,NULL,'CENTRO','FLORIANOPOLIS','SC',14074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198606,3.00,3.00,0.00,1.00,5.00,5.50,4.00,3.00,2.00,5,426,NULL,'COQUEIROS','FLORIANOPOLIS','SC',21935,896,256,NULL,NULL,NULL,NULL,4,1),(15,2198614,3.00,7.00,3.00,8.00,7.00,4.75,3.00,7.00,4.00,238,225,212,'REAL PARQUE','SAO JOSE','SC',10068,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2198630,3.00,5.00,4.00,6.00,5.00,6.50,4.00,4.00,4.00,224,324,NULL,'SÃO GERALDO','PORTO ALEGRE','RS',13006,28,NULL,NULL,NULL,NULL,NULL,2,6),(15,2198649,3.00,6.00,6.00,5.00,7.00,7.50,4.00,7.00,4.00,101,102,NULL,'CENTRO','SANTA MARIA','RS',7681,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2198657,4.00,6.00,3.00,3.00,6.00,3.75,4.00,4.00,3.00,108,303,NULL,'ESTREITO','FLORIANOPOLIS','SC',16931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198665,5.00,6.00,7.00,8.00,6.00,6.00,9.00,8.00,7.00,208,222,238,'CENTRO','CEU AZUL','PR',2044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198673,4.00,7.00,4.00,5.00,8.00,6.75,7.00,7.00,4.00,324,424,NULL,'CAMPINAS','SAO JOSE','SC',6184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198681,3.00,6.00,2.00,6.00,6.00,2.00,4.00,3.00,4.00,104,212,NULL,'CENTRO SUL','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2198690,6.00,8.00,7.00,7.00,9.00,7.50,7.00,6.00,6.00,103,216,NULL,'CENTRO','LAGES','SC',1607,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2198703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ELDORADO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2198711,7.00,8.00,6.00,8.00,7.00,6.50,7.00,8.00,7.00,103,NULL,NULL,'VILAS BOAS','CAMPO GRANDE','MS',1470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198738,4.00,7.00,3.00,5.00,6.00,3.50,3.00,7.00,2.00,212,316,201,'TRINDADE','FLORIANOPOLIS','SC',13175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198746,5.00,5.00,5.00,3.00,8.00,7.25,7.00,6.00,5.00,102,316,NULL,'CENTRO','ARARANGUA','SC',7870,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2198754,0.00,7.00,1.00,3.00,7.00,5.00,3.00,5.00,1.00,327,320,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',18780,157,225,NULL,NULL,NULL,NULL,4,1),(15,2198770,3.00,4.00,3.00,2.00,2.00,NULL,3.00,2.00,0.00,319,9,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198789,5.00,7.00,3.00,6.00,8.00,5.75,2.00,6.00,0.00,415,238,NULL,'LAGOA DE FORA','BALNEARIO GAIVOTA','SC',11531,296,910,NULL,NULL,NULL,NULL,2,5),(15,2198800,6.00,9.00,7.00,9.00,8.00,6.00,9.00,7.00,5.00,5,332,NULL,'CENTRO','FLORIANOPOLIS','SC',1039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198819,3.00,9.00,4.00,8.00,7.00,5.75,4.00,8.00,3.00,451,224,NULL,'TRINDADE','FLORIANOPOLIS','SC',6323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198827,8.00,8.00,8.00,8.00,8.00,6.50,9.00,8.00,9.00,103,319,NULL,'TRADICIONAL','PLANALTINA','DF',149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198835,2.00,3.00,4.00,2.00,3.00,4.75,3.00,4.00,1.00,238,208,NULL,'CENTRO','SAO JOSE','SC',21803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198843,3.00,7.00,4.00,5.00,2.00,NULL,3.00,5.00,4.00,502,501,NULL,'RATONES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2198878,3.00,7.00,6.00,3.00,6.00,5.00,6.00,5.00,3.00,103,303,NULL,'FLORESTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198886,1.00,2.00,0.00,3.00,3.00,NULL,2.00,3.00,2.00,319,415,NULL,'PONTE IMAROIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2198908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'VILA GLÓRIA','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2198916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,220,208,'CENTRO','ROMELANDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2198924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,420,212,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2198932,3.00,7.00,2.00,2.00,3.00,5.00,2.00,5.00,0.00,404,423,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',21517,252,257,NULL,NULL,NULL,NULL,2,1),(15,2198959,3.00,7.00,6.00,9.00,9.00,5.50,6.00,5.00,2.00,202,222,201,'INGLESES','FLORIANOPOLIS','SC',6689,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2198967,4.00,9.00,3.00,7.00,6.00,3.50,6.00,8.00,5.00,104,317,NULL,'PANTANAL','FLORIANOPOLIS','SC',5866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2198975,8.00,8.00,9.00,8.00,8.00,6.50,7.00,7.00,8.00,207,427,201,'CENTRO','FLORIANOPOLIS','SC',713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2198983,6.00,6.00,3.00,8.00,7.00,6.00,5.00,7.00,5.00,103,102,NULL,'CENTRO','JARAGUA DO SUL','SC',5434,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2198991,2.00,6.00,1.00,2.00,7.00,3.75,2.00,2.00,2.00,103,104,NULL,'SERTAO DOS CORREIAS','TUBARAO','SC',22233,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2199017,1.00,6.00,3.00,6.00,5.00,6.50,3.00,5.00,3.00,207,NULL,201,'PANTANAL','FLORIANOPOLIS','SC',15856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199033,2.00,7.00,6.00,5.00,5.00,5.25,8.00,7.00,2.00,420,238,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',10148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199041,2.00,5.00,4.00,4.00,6.00,4.50,3.00,2.00,1.00,208,238,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',20449,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2199050,3.00,5.00,4.00,4.00,7.00,5.75,4.00,6.00,3.00,420,317,NULL,'BARRA DO ARIRIÚ','PALHOCA','SC',13342,256,554,NULL,NULL,NULL,NULL,2,1),(15,2199068,0.00,5.00,3.00,1.00,5.00,NULL,4.00,2.00,0.00,238,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199092,7.00,7.00,8.00,4.00,8.00,5.75,8.00,8.00,8.00,103,5,NULL,'SETOR BUENO','GOIANIA','GO',1625,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2199106,3.00,3.00,5.00,5.00,4.00,5.50,3.00,2.00,3.00,444,9,NULL,'BARREIROS','SAO JOSE','SC',19424,225,689,NULL,NULL,NULL,NULL,2,1),(15,2199114,4.00,8.00,6.00,7.00,8.00,5.75,5.00,3.00,3.00,5,318,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',7582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199122,2.00,8.00,9.00,5.00,6.00,5.00,6.00,5.00,4.00,223,207,NULL,'AMIZADE','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2199130,4.00,8.00,4.00,8.00,7.00,5.00,6.00,7.00,2.00,420,450,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',7099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199149,3.00,8.00,4.00,5.00,4.00,5.75,4.00,6.00,3.00,203,207,201,'CAMPINAS','SAO JOSE','SC',11243,814,1157,626,NULL,NULL,NULL,4,1),(15,2199157,3.00,7.00,2.00,6.00,6.00,6.00,2.00,6.00,2.00,208,NULL,NULL,'PONTE DO IMARUIM','PALHOCA','SC',14844,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2199181,3.00,5.00,0.00,4.00,3.00,NULL,3.00,6.00,3.00,339,324,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2199190,3.00,4.00,5.00,5.00,5.00,4.50,5.00,7.00,2.00,211,327,216,'CENTRO','ITAPIRANGA','SC',14183,507,356,416,NULL,NULL,NULL,2,4),(15,2199203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2199220,4.00,7.00,4.00,6.00,5.00,3.75,3.00,4.00,3.00,214,207,212,'VILA SANTANA','SOROCABA','SP',14949,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2199238,1.00,6.00,1.00,3.00,4.00,2.25,2.00,4.00,1.00,318,201,NULL,'VILA OPERÁRIA','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2199246,3.00,4.00,4.00,5.00,6.00,3.50,5.00,2.00,2.00,207,425,213,'BARREIROS','SAO JOSE','SC',17283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2199254,0.00,8.00,3.00,7.00,6.00,4.75,2.00,9.00,4.00,501,328,NULL,'MINA DO MATO','CRICIUMA','SC',11856,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2199262,2.00,6.00,2.00,2.00,5.00,3.75,4.00,5.00,2.00,502,211,NULL,'CENTRO','BRUSQUE','SC',19783,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2199270,6.00,8.00,7.00,6.00,8.00,8.00,7.00,6.00,6.00,415,326,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',2473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199289,4.00,4.00,7.00,6.00,8.00,6.50,6.00,2.00,6.00,203,220,NULL,'JARDIM SATÉLITE','SAO JOSE DOS CAMPOS','SP',7604,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2199297,2.00,4.00,1.00,3.00,5.00,4.50,2.00,4.00,2.00,304,301,NULL,'MACUCO','SANTOS','SP',20746,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2199300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,415,NULL,'POCINHO','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2199319,3.00,8.00,5.00,6.00,6.00,5.00,4.00,5.00,1.00,207,238,208,'PACHECOS','PALHOCA','SC',12276,598,922,448,NULL,NULL,NULL,2,1),(15,2199327,3.00,8.00,4.00,7.00,7.00,5.25,6.00,7.00,2.00,103,451,NULL,'BARRA DO RIO','ITAJAI','SC',7162,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2199335,2.00,7.00,5.00,7.00,8.00,5.75,6.00,5.00,2.00,238,317,208,'PASSA VINTE','PALHOCA','SC',9368,300,478,316,NULL,NULL,NULL,2,1),(15,2199343,3.00,6.00,5.00,4.00,5.00,4.50,5.00,3.00,5.00,317,NULL,NULL,'ROÇADO','SAO JOSE','SC',14117,209,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199351,4.00,6.00,2.00,8.00,7.00,5.75,3.00,6.00,1.00,423,450,428,'SANTA MÔNICA','FLORIANOPOLIS','SC',11846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199360,2.00,6.00,7.00,7.00,7.00,5.50,9.00,5.00,4.00,207,202,201,'VILA DAS ACÁCIAS','SAO JOSE DOS CAMPOS','SP',4937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199378,4.00,6.00,2.00,5.00,6.00,5.50,6.00,3.00,3.00,211,332,238,'CAPOEIRAS','FLORIANOPOLIS','SC',13711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199394,3.00,4.00,3.00,1.00,8.00,5.50,3.00,5.00,3.00,415,326,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',15587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199408,2.00,6.00,1.00,2.00,6.00,5.50,3.00,4.00,2.00,327,225,NULL,'BARREIROS','SAO JOSE','SC',19395,162,191,NULL,NULL,NULL,NULL,4,1),(15,2199416,0.00,5.00,2.00,6.00,6.00,8.00,2.00,6.00,4.00,5,327,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',15250,652,374,NULL,NULL,NULL,NULL,2,1),(15,2199424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,427,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(15,2199432,2.00,3.00,3.00,5.00,6.00,3.00,1.00,2.00,4.00,201,302,207,'CAMPO DUNA','GAROPABA','SC',21501,1111,346,1009,NULL,NULL,NULL,2,1),(15,2199440,4.00,8.00,5.00,6.00,7.00,7.25,7.00,5.00,2.00,5,303,NULL,'RATONES','FLORIANOPOLIS','SC',6678,307,1063,NULL,NULL,NULL,NULL,2,1),(15,2199459,4.00,6.00,5.00,7.00,7.00,3.75,6.00,5.00,3.00,102,101,NULL,'CENTRO','VITOR MEIRELES','SC',9319,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2199467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,238,NULL,'CENTRO','SAO LOURENCO DO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2199475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,329,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2199483,3.00,7.00,1.00,3.00,6.00,2.00,6.00,6.00,5.00,303,328,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199491,5.00,7.00,5.00,3.00,5.00,5.75,7.00,4.00,2.00,303,329,NULL,'PONTE DO IMARUIM','PALHOCA','SC',10103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199505,4.00,7.00,6.00,7.00,7.00,5.00,5.00,6.00,1.00,238,225,208,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',8217,256,101,261,NULL,NULL,NULL,2,1),(15,2199513,5.00,6.00,4.00,7.00,6.00,5.00,6.00,5.00,4.00,208,NULL,NULL,'AREIAS','SAO JOSE','SC',8545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199521,2.00,3.00,1.00,0.00,4.00,NULL,1.00,4.00,2.00,326,208,NULL,'VILA NOVA','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199530,2.00,6.00,3.00,2.00,6.00,5.00,2.00,6.00,2.00,207,212,201,'CENTRO','FLORIANOPOLIS','SC',18916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199548,4.00,8.00,1.00,6.00,4.00,5.00,6.00,7.00,3.00,318,316,NULL,'N S DO ROSÁRIO','SAO JOSE','SC',11177,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2199556,5.00,8.00,5.00,6.00,7.00,7.25,8.00,8.00,5.00,103,333,NULL,'VILA MARIA','BOTUCATU','SP',2822,994,467,NULL,NULL,NULL,NULL,4,5),(15,2199564,1.00,5.00,2.00,4.00,4.00,4.50,2.00,3.00,2.00,102,108,NULL,'PINHEIRA','PALHOCA','SC',22154,519,989,NULL,NULL,NULL,NULL,2,1),(15,2199572,3.00,5.00,2.00,4.00,7.00,5.50,5.00,4.00,1.00,425,427,429,'CENTRO','FLORIANOPOLIS','SC',16592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,451,426,'JARDIM ZANELATO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2199602,5.00,8.00,9.00,7.00,7.00,7.00,9.00,6.00,6.00,103,319,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199629,6.00,7.00,8.00,8.00,6.00,6.50,8.00,8.00,4.00,233,NULL,NULL,'SÃO JOÃO','PORTO ALEGRE','RS',1888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199637,3.00,6.00,4.00,6.00,9.00,4.75,4.00,3.00,4.00,223,326,NULL,'PANTANAL','FLORIANOPOLIS','SC',11623,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2199645,5.00,5.00,3.00,6.00,4.00,6.25,5.00,4.00,1.00,317,318,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',15316,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2199653,4.00,7.00,4.00,5.00,5.00,6.50,7.00,6.00,2.00,319,101,NULL,'ESPÍRITO SANTO','ERECHIM','RS',10236,175,534,NULL,NULL,NULL,NULL,2,4),(15,2199661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2199688,1.00,7.00,4.00,4.00,7.00,6.00,3.00,1.00,2.00,101,108,NULL,'AREIAS DE BAIXO','GOVERNADOR CELSO RAMOS','SC',17256,202,864,NULL,NULL,NULL,NULL,2,1),(15,2199700,3.00,5.00,2.00,6.00,7.00,7.25,3.00,4.00,4.00,224,222,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',14268,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2199718,4.00,7.00,3.00,6.00,6.00,6.25,3.00,5.00,3.00,319,NULL,NULL,'JD FLORESTA','SAO JOSE','SC',12401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2199734,2.00,4.00,4.00,7.00,7.00,3.00,6.00,5.00,3.00,5,329,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',14190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'CAMPO DA AGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2199750,4.00,7.00,6.00,9.00,7.00,5.50,7.00,8.00,6.00,208,233,NULL,'CENTRO','CAMPINAS DO SUL','RS',3483,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2199769,2.00,7.00,3.00,7.00,6.00,5.50,2.00,2.00,1.00,102,108,NULL,'INTERIOR','UNIAO DO OESTE','SC',18330,408,889,NULL,NULL,NULL,NULL,2,4),(15,2199785,3.00,5.00,4.00,5.00,4.00,5.00,4.00,5.00,4.00,316,324,NULL,'ESTREITO','FLORIANOPOLIS','SC',14164,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2199793,3.00,8.00,5.00,4.00,7.00,5.75,7.00,8.00,4.00,216,NULL,208,'DOM JOAQUIM','BRUSQUE','SC',6630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199807,4.00,7.00,2.00,4.00,8.00,4.75,2.00,6.00,2.00,102,101,NULL,'GUIMAR DE FORA','ANTONIO CARLOS','SC',14494,301,624,NULL,NULL,NULL,NULL,4,1),(15,2199815,4.00,8.00,4.00,8.00,7.00,5.50,5.00,6.00,5.00,234,333,NULL,'ESTREITO','FLORIANOPOLIS','SC',6111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','REGISTRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2199831,3.00,5.00,2.00,6.00,5.00,4.50,1.00,3.00,4.00,223,309,NULL,'CAMPECHE','FLORIANOPOLIS','SC',18325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2199840,4.00,6.00,0.00,3.00,7.00,5.50,5.00,6.00,2.00,225,2,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',14787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199866,2.00,6.00,2.00,5.00,5.00,6.50,2.00,5.00,3.00,103,211,NULL,'CENTRO','TANGARA','SC',17375,2828,971,NULL,NULL,NULL,NULL,2,7),(15,2199874,1.00,7.00,3.00,4.00,5.00,5.00,7.00,3.00,2.00,203,216,233,'BOA VISTA','JOINVILLE','SC',15892,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2199882,5.00,6.00,6.00,5.00,9.00,6.50,5.00,4.00,6.00,103,217,NULL,'CENTRO','FLORIANOPOLIS','SC',6787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2199890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,319,207,'CAMPO DA AGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2199904,1.00,3.00,2.00,4.00,6.00,4.50,4.00,3.00,3.00,101,308,NULL,'BARREIROS','SAO JOSE','SC',20105,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2199912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,319,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2199920,4.00,5.00,3.00,6.00,7.00,5.00,4.00,7.00,3.00,5,304,NULL,'CENTRO','FLORIANOPOLIS','SC',12175,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2199947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,220,201,'JARDIM SÃO BERNARDO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2199955,2.00,1.00,2.00,0.00,4.00,NULL,0.00,3.00,3.00,339,316,NULL,'CACUPÉ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2199963,9.00,7.00,7.00,4.00,7.00,6.50,8.00,6.00,6.00,104,426,NULL,'BARREIROS','SAO JOSE','SC',2572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2199971,3.00,6.00,1.00,6.00,7.00,6.50,3.00,6.00,2.00,415,339,NULL,'FORQUILHINHAS','SAO JOSE','SC',14418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2199980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,238,NULL,'NAÇÕES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2199998,4.00,6.00,7.00,9.00,8.00,4.50,9.00,7.00,5.00,318,225,NULL,'PANTANAL','FLORIANOPOLIS','SC',3369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200007,1.00,3.00,0.00,2.00,2.00,NULL,4.00,5.00,1.00,339,309,NULL,'INGLESES DO RIO VERM','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200015,2.00,6.00,2.00,2.00,4.00,5.00,4.00,3.00,2.00,502,501,NULL,'NOSSA SENHORA DO ROS','SAO JOSE','SC',21475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200023,5.00,7.00,7.00,6.00,8.00,4.50,6.00,5.00,5.00,103,NULL,NULL,'BOA VISTA','JOACABA','SC',5917,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2200031,4.00,8.00,2.00,5.00,8.00,4.25,4.00,3.00,1.00,201,428,233,'CENTRO','FLORIANOPOLIS','SC',14645,780,212,344,NULL,NULL,NULL,4,1),(15,2200040,3.00,5.00,4.00,3.00,7.00,5.50,6.00,2.00,2.00,207,501,NULL,'CENTRO','MARMELEIRO','PR',15842,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2200066,2.00,7.00,8.00,4.00,6.00,5.00,7.00,5.00,3.00,318,304,NULL,'RIO FARIAS II','ANTONIO CARLOS','SC',10277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200074,4.00,6.00,3.00,3.00,5.00,3.75,2.00,3.00,2.00,332,331,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20120,124,238,NULL,NULL,NULL,NULL,2,1),(15,2200082,5.00,8.00,7.00,8.00,8.00,6.00,8.00,7.00,5.00,201,444,207,'CENTRO','FLORIANOPOLIS','SC',2384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','SETE LAGOAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2200112,2.00,7.00,2.00,2.00,6.00,5.00,4.00,5.00,3.00,333,404,NULL,'BARREIROS','SAO JOSE','SC',16909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200120,4.00,7.00,4.00,5.00,8.00,5.50,3.00,4.00,2.00,444,102,NULL,'PASSA VINTE','PALHOCA','SC',13859,116,917,NULL,NULL,NULL,NULL,2,1),(15,2200139,4.00,7.00,3.00,6.00,6.00,7.25,4.00,6.00,3.00,5,317,NULL,'KOBRASOL','SAO JOSE','SC',9294,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200147,3.00,3.00,2.00,3.00,8.00,5.50,6.00,6.00,3.00,426,309,428,'CENTRO','FLORIANOPOLIS','SC',14942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,426,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2200163,2.00,5.00,3.00,6.00,7.00,NULL,3.00,4.00,0.00,308,426,NULL,'FUNDOS','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200171,0.00,6.00,0.00,5.00,8.00,NULL,0.00,4.00,2.00,444,339,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200180,4.00,6.00,4.00,5.00,6.00,5.00,6.00,4.00,3.00,103,216,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',11558,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2200201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,214,233,'DALBÉRGIA','IBIRAMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2200210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2200236,6.00,8.00,8.00,7.00,9.00,5.50,8.00,7.00,3.00,104,423,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',2935,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200244,2.00,7.00,3.00,7.00,5.00,5.75,3.00,4.00,1.00,108,420,NULL,'ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC',15325,338,766,NULL,NULL,NULL,NULL,2,1),(15,2200252,2.00,6.00,2.00,2.00,5.00,5.00,4.00,5.00,2.00,502,101,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',18760,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200260,6.00,9.00,4.00,6.00,7.00,6.75,7.00,8.00,5.00,104,9,NULL,'TRINDADE','FLORIANOPOLIS','SC',3753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200279,4.00,7.00,2.00,7.00,5.00,6.00,3.00,5.00,1.00,208,450,238,'ITAPEMA DO NORTE','ITAPOA','SC',13634,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2200287,5.00,9.00,4.00,8.00,7.00,4.75,7.00,8.00,3.00,201,220,207,'GOV CELSO RAMOS','GOVERNADOR CELSO RAMOS','SC',5065,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200295,2.00,7.00,2.00,1.00,5.00,5.00,2.00,2.00,3.00,316,301,NULL,'TRINDADE','FLORIANOPOLIS','SC',21478,653,845,NULL,NULL,NULL,NULL,4,1),(15,2200309,1.00,4.00,0.00,6.00,2.00,NULL,4.00,2.00,5.00,308,404,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200325,7.00,7.00,3.00,6.00,5.00,6.00,7.00,7.00,7.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',5479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200333,5.00,6.00,5.00,5.00,8.00,6.00,7.00,6.00,6.00,9,427,NULL,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',6059,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200341,3.00,5.00,2.00,4.00,8.00,7.50,5.00,2.00,1.00,428,301,429,'ESTREITO','FLORIANOPOLIS','SC',16044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200350,5.00,6.00,6.00,5.00,8.00,4.00,7.00,5.00,4.00,208,234,238,'TRINDADE','FLORIANOPOLIS','SC',6338,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200368,4.00,8.00,2.00,8.00,6.00,6.25,2.00,1.00,1.00,333,501,NULL,'CABEÇUDAS','ITAJAI','SC',16679,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2200376,3.00,7.00,4.00,2.00,4.00,6.00,3.00,5.00,3.00,208,316,238,'JOSÉ MENDES','FLORIANOPOLIS','SC',15818,616,1078,586,NULL,NULL,NULL,4,1),(15,2200384,3.00,5.00,3.00,3.00,5.00,5.25,4.00,4.00,3.00,415,238,NULL,'ESTREITO','FLORIANOPOLIS','SC',17543,437,976,NULL,NULL,NULL,NULL,2,1),(15,2200414,3.00,7.00,5.00,5.00,7.00,6.25,3.00,4.00,3.00,425,502,427,'ESTREITO','FLORIANOPOLIS','SC',12596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200422,5.00,8.00,5.00,5.00,8.00,6.50,7.00,5.00,4.00,104,9,NULL,'CENTRO','CONCORDIA','SC',6334,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2200430,0.00,4.00,0.00,5.00,6.00,4.75,3.00,3.00,2.00,9,215,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',21445,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200457,2.00,8.00,6.00,6.00,7.00,6.25,7.00,7.00,5.00,102,101,NULL,'TRINDADE','FLORIANOPOLIS','SC',4969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200465,3.00,6.00,2.00,4.00,5.00,3.75,3.00,5.00,2.00,103,104,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200473,2.00,6.00,5.00,9.00,5.00,6.00,5.00,7.00,4.00,304,301,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',8838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200490,2.00,4.00,3.00,6.00,7.00,6.25,7.00,3.00,3.00,104,502,NULL,'INGLESES','FLORIANOPOLIS','SC',13991,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200503,1.00,3.00,2.00,5.00,3.00,3.50,3.00,5.00,5.00,420,316,NULL,'CENTRO','FLORIANOPOLIS','SC',20972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200511,3.00,5.00,5.00,4.00,7.00,4.00,8.00,3.00,2.00,420,450,NULL,'TRINDADE','FLORIANOPOLIS','SC',14098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200538,4.00,4.00,0.00,1.00,4.00,4.75,3.00,4.00,1.00,420,201,NULL,'MAGALHAES','LAGUNA','SC',22137,442,1419,NULL,NULL,NULL,NULL,4,10),(15,2200546,4.00,4.00,3.00,5.00,5.00,6.50,5.00,4.00,2.00,303,415,NULL,'JOÃO PAULO II','REALEZA','PR',15593,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2200554,5.00,4.00,6.00,5.00,7.00,4.25,6.00,3.00,4.00,444,301,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',11611,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200562,6.00,6.00,7.00,4.00,7.00,5.00,8.00,6.00,4.00,2,222,NULL,'COQUEIROS','FLORIANOPOLIS','SC',6055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200570,5.00,8.00,3.00,9.00,6.00,3.75,5.00,5.00,1.00,318,304,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',9858,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200589,2.00,7.00,5.00,4.00,6.00,6.50,5.00,5.00,4.00,415,326,NULL,'ESTREITO','FLORIANOPOLIS','SC',12368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200619,7.00,8.00,8.00,7.00,9.00,5.75,9.00,7.00,6.00,103,102,NULL,'NAÇÕES','VALINHOS','SP',1266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200627,5.00,5.00,1.00,0.00,8.00,5.75,3.00,5.00,4.00,103,101,NULL,'CAPÃO RASO','CURITIBA','PR',16992,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2200635,7.00,7.00,1.00,0.00,6.00,NULL,4.00,5.00,2.00,415,303,NULL,'CENTRO','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2200643,2.00,5.00,4.00,5.00,5.00,5.00,2.00,2.00,2.00,308,428,NULL,'JARDIM JANAINA','BIGUACU','SC',19634,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200651,1.00,6.00,0.00,6.00,4.00,NULL,4.00,6.00,2.00,444,101,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200660,7.00,7.00,6.00,6.00,7.00,5.75,5.00,7.00,5.00,103,104,NULL,'CENTRO','PONTA GROSSA','PR',3900,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2200678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,207,NULL,'VILA MARIA','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2200686,4.00,9.00,5.00,3.00,5.00,5.75,6.00,7.00,5.00,103,202,NULL,'PROGRESSO','BLUMENAU','SC',6795,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2200694,2.00,5.00,2.00,2.00,4.00,5.50,2.00,4.00,2.00,425,429,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',21743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200708,3.00,6.00,3.00,7.00,6.00,5.00,5.00,6.00,4.00,104,501,NULL,'ESTREITO','FLORIANOPOLIS','SC',10465,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200716,3.00,6.00,3.00,5.00,4.00,5.00,3.00,3.00,2.00,303,5,NULL,'PERPETUO SOCORRO','SAO LOURENCO DO OESTE','SC',18707,815,1297,NULL,NULL,NULL,NULL,2,4),(15,2200724,3.00,7.00,3.00,0.00,5.00,4.00,2.00,3.00,3.00,9,208,NULL,'INGLESES','FLORIANOPOLIS','SC',21233,320,1135,NULL,NULL,NULL,NULL,4,1),(15,2200732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,317,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2200740,1.00,2.00,1.00,1.00,2.00,NULL,2.00,2.00,2.00,207,420,NULL,'BOM JESUS','ITAIOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2200775,5.00,9.00,3.00,8.00,8.00,5.50,2.00,8.00,4.00,5,303,NULL,'KOBRASOL','SAO JOSE','SC',7284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200783,2.00,7.00,4.00,7.00,8.00,6.75,3.00,6.00,2.00,318,308,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',10281,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200791,4.00,8.00,7.00,7.00,6.00,5.25,5.00,6.00,3.00,320,NULL,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',7115,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200805,2.00,5.00,2.00,6.00,3.00,3.50,4.00,6.00,3.00,501,202,NULL,'RIO BANDEIRA','PRESIDENTE NEREU','SC',17638,227,931,NULL,NULL,NULL,NULL,2,8),(15,2200813,2.00,2.00,4.00,4.00,3.00,5.00,3.00,3.00,3.00,318,429,NULL,'SERRARIA','SAO JOSE','SC',22006,266,308,NULL,NULL,NULL,NULL,4,1),(15,2200821,2.00,5.00,1.00,3.00,3.00,5.50,3.00,3.00,1.00,104,301,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',21932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200830,2.00,5.00,5.00,1.00,7.00,6.25,6.00,5.00,3.00,211,501,NULL,'VILA MASCOTE','SAO PAULO','SP',14411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200848,5.00,6.00,5.00,4.00,8.00,5.75,4.00,4.00,3.00,104,317,NULL,'VILA NOVA','NOVO HAMBURGO','RS',11027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200864,2.00,8.00,2.00,3.00,4.00,6.50,4.00,7.00,3.00,304,301,NULL,'SERRARIAS','SAO JOSE','SC',14827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2200872,3.00,7.00,6.00,5.00,4.00,5.25,4.00,4.00,2.00,404,502,NULL,'CAMPECHE','FLORIANOPOLIS','SC',14125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2200899,0.00,3.00,5.00,6.00,6.00,6.50,2.00,2.00,2.00,5,216,NULL,'CENTRO','AMPERE','PR',19146,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2200902,1.00,3.00,2.00,0.00,5.00,3.50,4.00,5.00,3.00,203,302,202,'ALVORADA','XAXIM','SC',20772,1168,338,681,NULL,NULL,NULL,4,4),(15,2200910,1.00,4.00,2.00,2.00,2.00,NULL,1.00,5.00,3.00,501,211,NULL,'DISTRITO DE ITAIO','ITAIOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2200929,3.00,8.00,7.00,8.00,6.00,5.50,7.00,9.00,3.00,5,208,NULL,'CENTRO','JOINVILLE','SC',3861,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2200937,2.00,6.00,5.00,5.00,6.00,6.75,3.00,5.00,3.00,333,317,NULL,'JARDIM DONA ELVIRA','ITAPEVI','SP',11667,150,517,NULL,NULL,NULL,NULL,2,2),(15,2200945,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,207,212,201,'SANTA MÔNICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2200988,1.00,7.00,2.00,8.00,5.00,4.50,4.00,4.00,3.00,450,329,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',15397,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2200996,2.00,4.00,6.00,4.00,7.00,6.00,5.00,6.00,2.00,317,318,NULL,'FLOR DE NÁPOLES','SAO JOSE','SC',12748,179,423,NULL,NULL,NULL,NULL,4,1),(15,2201003,3.00,6.00,0.00,4.00,6.00,4.75,5.00,7.00,2.00,211,333,215,'CENTRO','SAO JOAO BATISTA','SC',15783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201011,2.00,7.00,6.00,6.00,5.00,7.00,6.00,6.00,7.00,215,225,238,'TRINDADE','FLORIANOPOLIS','SC',7522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201020,1.00,7.00,4.00,3.00,5.00,5.25,2.00,3.00,2.00,201,212,207,'BOMBINHAS','BOMBINHAS','SC',19996,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2201038,3.00,5.00,5.00,4.00,7.00,6.50,5.00,5.00,2.00,415,450,NULL,'CENTRO','CANOINHAS','SC',13012,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2201046,3.00,6.00,3.00,5.00,8.00,4.75,5.00,5.00,3.00,9,103,NULL,'ITACORUBI','FLORIANOPOLIS','SC',12344,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2201062,5.00,7.00,8.00,7.00,6.00,6.75,7.00,6.00,3.00,319,309,NULL,'ESTREITO','FLORIANOPOLIS','SC',4077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201089,3.00,6.00,1.00,3.00,7.00,5.75,5.00,5.00,3.00,101,309,NULL,'FAZENDA SANTO ANTONI','SAO JOSE','SC',14951,145,156,NULL,NULL,NULL,NULL,4,1),(15,2201097,0.00,2.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,324,421,NULL,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2201100,8.00,8.00,5.00,9.00,7.00,7.50,7.00,7.00,5.00,316,428,NULL,'CENTRO','ITAJAI','SC',1793,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2201135,2.00,7.00,4.00,6.00,4.00,4.75,4.00,4.00,1.00,324,327,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',17362,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2201143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,208,NULL,'PAINEIRAS','JUIZ DE FORA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2201151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,319,NULL,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2201160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'JARDIM LIMA','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2201178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,309,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2201186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,214,202,'CENTRO','UNIAO DA VITORIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2201194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','AGUA DOCE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2201208,3.00,4.00,7.00,7.00,4.00,5.75,5.00,3.00,5.00,103,102,NULL,'JARDIN ITALIA','CHAPECO','SC',11622,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2201216,0.00,3.00,1.00,2.00,1.00,NULL,4.00,2.00,2.00,202,220,213,'PRESIDENTE MEDICI','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2201224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,201,NULL,'JARDIM OSWALDO CRUZ','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2201232,4.00,6.00,2.00,3.00,6.00,5.50,3.00,4.00,1.00,429,316,428,'AGRONÔMICA','FLORIANOPOLIS','SC',19098,150,1188,75,NULL,NULL,NULL,5,1),(15,2201259,4.00,5.00,4.00,2.00,7.00,6.25,5.00,5.00,4.00,212,304,201,'CAMPOS ELISEOS','RIBEIRAO PRETO','SP',12877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'PARQUE INDUSTRIAL I','MARECHAL CANDIDO RONDON','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2201275,4.00,4.00,3.00,2.00,8.00,5.00,7.00,5.00,3.00,103,319,NULL,'OFICINAS','TUBARAO','SC',14083,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2201283,4.00,6.00,6.00,2.00,7.00,7.25,4.00,4.00,4.00,216,2,202,'DEHON','TUBARAO','SC',10639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201291,4.00,4.00,1.00,3.00,8.00,6.75,5.00,5.00,2.00,103,108,NULL,'VISTA VERDE','SAO JOSE DOS CAMPOS','SP',14346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201305,3.00,6.00,0.00,6.00,7.00,3.75,5.00,4.00,3.00,103,203,NULL,'CENTRO','SAO JOAO BATISTA','SC',15220,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2201313,4.00,6.00,6.00,9.00,8.00,6.00,6.00,7.00,3.00,5,303,NULL,'CENTRO','FLORIANOPOLIS','SC',4336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201321,4.00,8.00,6.00,9.00,6.00,5.75,5.00,7.00,5.00,104,NULL,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',4589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201348,2.00,5.00,3.00,4.00,5.00,5.25,2.00,3.00,1.00,451,332,NULL,'JABOTICABEIRAS','TAUBATE','SP',20740,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2201364,3.00,7.00,7.00,7.00,7.00,6.50,5.00,6.00,4.00,316,301,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',6000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201372,4.00,6.00,3.00,6.00,7.00,4.25,2.00,5.00,1.00,9,423,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',14450,189,182,NULL,NULL,NULL,NULL,2,1),(15,2201380,4.00,5.00,0.00,6.00,7.00,7.00,4.00,3.00,1.00,451,328,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',17157,56,124,NULL,NULL,NULL,NULL,2,1),(15,2201399,2.00,7.00,5.00,1.00,7.00,4.50,6.00,7.00,4.00,212,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',11058,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2201402,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,327,102,NULL,'SAÍQUI','CANELA','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2201410,3.00,6.00,4.00,6.00,6.00,5.25,8.00,5.00,4.00,339,320,NULL,'CENTRO','ITAJAI','SC',9361,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2201429,3.00,6.00,4.00,6.00,6.00,4.75,2.00,5.00,3.00,308,339,NULL,'SACO GRANDE I','FLORIANOPOLIS','SC',14625,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2201437,2.00,7.00,3.00,9.00,9.00,5.25,6.00,8.00,3.00,103,102,NULL,'CENTRO','PATO BRANCO','PR',6586,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2201445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,415,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2201453,3.00,4.00,2.00,2.00,5.00,4.75,2.00,2.00,2.00,211,215,201,'CENTRO','ALPESTRE','RS',22013,753,643,1132,NULL,NULL,NULL,2,4),(15,2201470,3.00,7.00,7.00,8.00,7.00,7.25,6.00,3.00,4.00,203,214,220,'CENTRO','NAVEGANTES','SC',5999,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2201488,2.00,4.00,2.00,0.00,8.00,4.25,3.00,6.00,3.00,5,339,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',19381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201496,3.00,6.00,1.00,6.00,5.00,3.75,5.00,2.00,1.00,225,2,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',18920,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2201500,2.00,4.00,3.00,6.00,3.00,4.25,3.00,3.00,4.00,320,423,NULL,'INGLÊSES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2201518,2.00,3.00,2.00,5.00,4.00,5.50,4.00,1.00,0.00,319,NULL,NULL,'DANIELA','FLORIANOPOLIS','SC',22212,518,NULL,NULL,NULL,NULL,NULL,2,1),(15,2201526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'GONZAGUINHA','SAO VICENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2201534,3.00,6.00,0.00,7.00,7.00,3.50,5.00,7.00,2.00,234,329,NULL,'COQUEIROS','FLORIANOPOLIS','SC',13534,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2201542,2.00,8.00,2.00,8.00,7.00,6.50,3.00,5.00,1.00,238,317,211,'CANASVIEIRAS','FLORIANOPOLIS','SC',11610,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2201550,0.00,1.00,0.00,6.00,3.00,NULL,2.00,1.00,2.00,9,108,NULL,'SANTOS DUMONT','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2201569,2.00,4.00,1.00,2.00,4.00,1.75,4.00,4.00,2.00,502,104,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2201577,1.00,6.00,4.00,3.00,6.00,6.00,7.00,7.00,1.00,217,216,NULL,'VILA IPOJUCA','SAO PAULO','SP',12857,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2201585,2.00,4.00,2.00,4.00,5.00,5.25,5.00,4.00,2.00,5,211,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',18896,792,NULL,NULL,NULL,NULL,NULL,2,1),(15,2201607,6.00,8.00,6.00,9.00,8.00,6.50,6.00,9.00,4.00,327,318,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',2305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201615,4.00,8.00,8.00,8.00,8.00,6.25,5.00,3.00,4.00,303,425,NULL,'SÃO SEBASTIÃO','PORTO ALEGRE','RS',4827,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2201623,5.00,8.00,5.00,4.00,5.00,5.25,6.00,7.00,3.00,203,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',8661,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2201631,3.00,7.00,5.00,2.00,6.00,4.00,6.00,3.00,2.00,238,208,NULL,'CENTRO','HERVAL D OESTE','SC',16523,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2201640,6.00,8.00,5.00,4.00,6.00,5.00,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',7271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201658,1.00,6.00,2.00,5.00,5.00,6.25,4.00,7.00,3.00,104,NULL,NULL,'SALGADO FILHO','CAXIAS DO SUL','RS',14764,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2201666,3.00,7.00,8.00,7.00,9.00,4.75,6.00,5.00,4.00,238,217,202,'KOBRASOL','SAO JOSE','SC',5547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2201720,2.00,5.00,3.00,5.00,6.00,3.00,6.00,6.00,4.00,217,502,NULL,'CENTRO','BRUSQUE','SC',13513,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2201739,4.00,6.00,5.00,5.00,6.00,3.50,5.00,4.00,2.00,103,102,NULL,'VILA OPERÁRIA','ITAJAI','SC',14495,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2201747,1.00,9.00,2.00,3.00,5.00,5.25,2.00,6.00,3.00,328,339,NULL,'CENTRO','CANELINHA','SC',17246,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2201755,6.00,7.00,5.00,7.00,8.00,5.25,5.00,6.00,4.00,420,NULL,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',6051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201763,6.00,6.00,6.00,8.00,7.00,5.25,8.00,6.00,5.00,420,207,NULL,'MAR GROSSO','LAGUNA','SC',4555,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2201771,2.00,6.00,1.00,3.00,4.00,6.00,5.00,4.00,4.00,103,104,NULL,'CENTRO','CURITIBA','PR',19100,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2201780,4.00,6.00,3.00,9.00,7.00,4.25,7.00,6.00,3.00,201,2,212,'ESTREITO','FLORIANOPOLIS','SC',8550,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2201798,0.00,6.00,3.00,3.00,5.00,NULL,2.00,1.00,1.00,224,333,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201801,3.00,5.00,2.00,2.00,9.00,6.75,5.00,7.00,2.00,5,324,NULL,'VORSTADT','BLUMENAU','SC',13113,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2201810,1.00,3.00,1.00,2.00,6.00,5.00,3.00,4.00,3.00,5,415,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',20963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201836,5.00,5.00,7.00,6.00,7.00,6.25,7.00,5.00,4.00,216,217,215,'JD BANDEIRANTES','CORNELIO PROCOPIO','PR',7002,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2201844,4.00,6.00,4.00,6.00,6.00,6.75,7.00,6.00,4.00,301,201,NULL,'BOSQUE DAS MANSOES','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2201860,7.00,9.00,7.00,8.00,9.00,4.75,8.00,7.00,4.00,103,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',1955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201879,2.00,5.00,2.00,3.00,5.00,5.50,4.00,5.00,3.00,103,102,NULL,'CENTRO','SAO JOAQUIM','SC',16880,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2201887,2.00,5.00,4.00,5.00,6.00,5.75,6.00,5.00,4.00,9,207,NULL,'PIO CORRÊA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2201895,2.00,6.00,0.00,5.00,4.00,5.00,2.00,6.00,2.00,201,104,208,'SÃO JOSÉ','SAO JOSE','SC',19702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201909,2.00,5.00,2.00,0.00,2.00,NULL,3.00,3.00,3.00,425,303,423,'SÃO SEBASTIÃO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201917,6.00,8.00,8.00,8.00,9.00,6.75,8.00,8.00,4.00,202,2,238,'TRINDADE','FLORIANOPOLIS','SC',973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201925,3.00,6.00,2.00,6.00,4.00,4.75,6.00,6.00,3.00,103,NULL,NULL,'ZONA SETE','MARINGA','PR',14151,2548,NULL,NULL,NULL,NULL,NULL,2,1),(15,2201933,5.00,6.00,3.00,7.00,8.00,6.25,7.00,8.00,3.00,316,317,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',5947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201941,4.00,7.00,2.00,3.00,5.00,2.25,3.00,5.00,1.00,225,224,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2201950,3.00,5.00,3.00,3.00,4.00,5.00,3.00,4.00,1.00,102,215,NULL,'CENTRO','PASSOS MAIA','SC',20341,461,624,NULL,NULL,NULL,NULL,4,4),(15,2201968,4.00,5.00,4.00,1.00,8.00,6.25,5.00,5.00,4.00,317,238,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',12489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201976,3.00,7.00,4.00,6.00,5.00,5.50,3.00,6.00,1.00,104,328,NULL,'EXPOSIÇÃO','CAXIAS DO SUL','RS',13614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2201984,3.00,8.00,4.00,7.00,8.00,5.25,6.00,6.00,5.00,238,316,208,'BALNEÁRIO','FLORIANOPOLIS','SC',6223,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2201992,2.00,4.00,1.00,4.00,4.00,5.25,4.00,4.00,2.00,308,329,NULL,'TRINDADE','FLORIANOPOLIS','SC',21345,185,260,NULL,NULL,NULL,NULL,2,1),(15,2202000,4.00,7.00,2.00,5.00,6.00,5.00,5.00,5.00,3.00,420,207,NULL,'URBANOVA','SAO JOSE DOS CAMPOS','SP',11915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202018,3.00,6.00,3.00,7.00,9.00,4.75,6.00,5.00,2.00,203,2,202,'CENTRO','FLORIANOPOLIS','SC',9883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202034,8.00,8.00,9.00,6.00,8.00,6.25,8.00,9.00,7.00,203,2,202,'ESTREITO','FLORIANOPOLIS','SC',513,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202042,6.00,8.00,6.00,8.00,8.00,6.25,5.00,8.00,5.00,5,329,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',2094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202050,2.00,8.00,4.00,4.00,5.00,5.00,5.00,6.00,5.00,208,404,238,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',12369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202069,1.00,5.00,1.00,4.00,4.00,4.75,3.00,4.00,2.00,215,501,211,'FLORESTA','VIDEIRA','SC',20907,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2202077,6.00,8.00,8.00,6.00,7.00,5.25,7.00,8.00,6.00,238,333,208,'CAMPECHE','FLORIANOPOLIS','SC',2343,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202085,5.00,6.00,1.00,7.00,4.00,6.50,3.00,4.00,3.00,103,424,NULL,'TRINDADE','FLORIANOPOLIS','SC',15563,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202093,3.00,6.00,6.00,4.00,7.00,5.50,6.00,4.00,7.00,104,103,NULL,'CENTRO','TIMBO','SC',9788,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2202107,7.00,5.00,8.00,3.00,9.00,6.25,7.00,4.00,3.00,316,207,NULL,'CENTRO','FLORIANOPOLIS','SC',6021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202115,2.00,7.00,4.00,1.00,5.00,4.75,3.00,0.00,2.00,201,212,NULL,'ALVORADA','XAXIM','SC',21683,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2202123,4.00,5.00,3.00,5.00,7.00,6.00,4.00,4.00,3.00,426,308,423,'BARREIROS','SAO JOSE','SC',14747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202131,2.00,4.00,1.00,5.00,5.00,3.50,3.00,3.00,2.00,333,451,NULL,'SANTINHO','FLORIANOPOLIS','SC',21311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202158,4.00,7.00,4.00,4.00,6.00,5.50,3.00,6.00,1.00,429,326,426,'CARIANOS','FLORIANOPOLIS','SC',12452,43,NULL,26,NULL,NULL,NULL,4,1),(15,2202166,1.00,3.00,4.00,4.00,5.00,5.25,4.00,4.00,2.00,420,207,NULL,'CENTRO','TUBARAO','SC',18987,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2202174,4.00,6.00,7.00,7.00,8.00,4.75,6.00,6.00,3.00,316,318,NULL,'PORTO DA LAGOA','FLORIANOPOLIS','SC',6054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202182,5.00,6.00,3.00,5.00,7.00,5.75,6.00,4.00,2.00,444,225,NULL,'FLORESTA','SAO JOSE','SC',11762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202190,4.00,6.00,5.00,4.00,3.00,6.50,2.00,5.00,5.00,102,215,NULL,'CENTRO','CRICIUMA','SC',14509,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2202204,2.00,5.00,2.00,0.00,5.00,NULL,1.00,4.00,4.00,5,215,NULL,'DOUTOR ARI LUNARDI','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2202212,2.00,6.00,5.00,3.00,5.00,5.00,5.00,6.00,2.00,201,208,216,'CENTRO','AMPARO','SP',15624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'SANTANA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2202239,2.00,4.00,2.00,2.00,3.00,2.00,5.00,3.00,1.00,208,444,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202247,2.00,3.00,1.00,1.00,6.00,NULL,3.00,3.00,3.00,501,404,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202255,8.00,9.00,9.00,9.00,9.00,5.75,9.00,9.00,9.00,220,214,202,'CARVOEIRA','FLORIANOPOLIS','SC',47,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202263,5.00,8.00,2.00,5.00,5.00,7.00,6.00,7.00,2.00,5,319,NULL,'SERRINHA','FLORIANOPOLIS','SC',8761,384,697,NULL,NULL,NULL,NULL,4,1),(15,2202271,2.00,5.00,1.00,0.00,3.00,4.25,4.00,3.00,2.00,5,316,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',22485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,213,208,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2202298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2202301,5.00,6.00,6.00,4.00,9.00,5.50,6.00,4.00,5.00,201,102,207,'CENTRO','BOM JESUS','SC',7073,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2202310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,303,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2202328,3.00,5.00,3.00,6.00,6.00,4.25,4.00,7.00,3.00,217,501,NULL,'PRAIA DE FORA','PALHOCA','SC',13580,111,444,NULL,NULL,NULL,NULL,2,1),(15,2202344,3.00,4.00,4.00,3.00,5.00,4.50,5.00,6.00,2.00,326,310,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',17507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202352,6.00,7.00,8.00,6.00,5.00,5.50,8.00,7.00,8.00,216,214,202,'CENTRO','NOVA ESPERANCA','PR',2731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202360,1.00,5.00,3.00,4.00,6.00,4.75,7.00,5.00,2.00,303,5,NULL,'JD JEQUITIBÁ','MARILIA','SP',16125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202379,3.00,7.00,3.00,5.00,8.00,6.50,5.00,4.00,1.00,319,317,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',12985,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202387,3.00,5.00,3.00,1.00,4.00,5.50,4.00,5.00,1.00,308,327,NULL,'TRINDADE','FLORIANOPOLIS','SC',20460,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,108,NULL,'JARDIM LIDER','MARECHAL CANDIDO RONDON','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2202417,1.00,6.00,1.00,7.00,2.00,NULL,2.00,6.00,1.00,316,301,NULL,'ÁGUA FRIA','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202425,5.00,7.00,8.00,7.00,7.00,6.25,6.00,6.00,5.00,207,301,NULL,'UVARANS','PONTA GROSSA','PR',2901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'JARDIM AMÉRICA','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2202441,3.00,7.00,3.00,5.00,7.00,4.50,5.00,5.00,4.00,302,502,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',11934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,420,213,'SAGRADA FAMÍLIA','NOVA PRATA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2202476,3.00,7.00,3.00,4.00,4.00,4.00,5.00,2.00,4.00,502,501,NULL,'KOBRASSOL','SAO JOSE','SC',18188,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202484,5.00,8.00,6.00,3.00,7.00,6.00,6.00,6.00,4.00,214,220,203,'JARDIM CAIÇARA','PRESIDENTE PRUDENTE','SP',6384,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2202492,2.00,6.00,3.00,7.00,9.00,6.75,5.00,7.00,2.00,104,429,NULL,'ESTREITO','FLORIANOPOLIS','SC',9545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,207,214,'VOLTA GRANDE','MIRIM DOCE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2202514,1.00,5.00,1.00,0.00,4.00,NULL,3.00,3.00,1.00,203,207,214,'VOLTA GRANDE','MIRIM DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2202522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,201,NULL,'BAIRRO PRETO','PRUDENTOPOLIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2202549,1.00,2.00,1.00,4.00,3.00,NULL,3.00,1.00,3.00,318,316,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202557,6.00,6.00,7.00,8.00,9.00,7.00,6.00,4.00,2.00,319,426,NULL,'TRINDADE','FLORIANOPOLIS','SC',5062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202581,2.00,8.00,1.00,3.00,7.00,7.25,4.00,5.00,5.00,303,5,NULL,'SAMUEL SANDRINI','ORLEANS','SC',11097,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2202590,4.00,7.00,3.00,3.00,7.00,5.50,2.00,4.00,1.00,301,316,NULL,'KOBRASOL','SAO JOSE','SC',17385,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202603,3.00,6.00,4.00,8.00,8.00,4.50,5.00,5.00,4.00,103,421,NULL,'CENTRO','FLORIANOPOLIS','SC',9471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202611,3.00,4.00,5.00,8.00,4.00,6.25,5.00,6.00,3.00,415,9,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202620,5.00,8.00,7.00,5.00,8.00,7.75,5.00,5.00,3.00,207,212,201,'CENTRO','LAGES','SC',4749,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202646,3.00,6.00,3.00,6.00,7.00,5.75,5.00,5.00,3.00,5,316,NULL,'FORQUILHINHAS','SAO JOSE','SC',12747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,2,NULL,'CASCATINHA','POCOS DE CALDAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2202662,4.00,6.00,1.00,4.00,7.00,5.75,5.00,4.00,3.00,318,202,NULL,'BELA VISTA IV','SAO JOSE','SC',13472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202670,4.00,8.00,4.00,7.00,7.00,5.50,6.00,5.00,3.00,415,301,NULL,'CAMPECHE','FLORIANOPOLIS','SC',7499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202689,4.00,8.00,5.00,4.00,8.00,5.00,5.00,4.00,4.00,415,326,NULL,'SÃO CRISTOVÃO','LAGES','SC',10451,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2202697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,9,NULL,'LA SALLE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(15,2202700,2.00,8.00,5.00,7.00,8.00,5.50,4.00,5.00,3.00,303,301,NULL,'MEIA PRAIA','ITAPEMA','SC',9425,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2202719,2.00,2.00,1.00,3.00,6.00,NULL,2.00,1.00,2.00,101,NULL,NULL,'FUNDOS','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202727,5.00,7.00,7.00,9.00,5.00,5.50,8.00,6.00,5.00,304,317,NULL,'JARDIM MIGUEL CAPOCC','JANDAIA DO SUL','PR',3598,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2202735,1.00,4.00,2.00,1.00,3.00,NULL,1.00,2.00,2.00,213,216,220,'BOM ABRIGO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202743,3.00,5.00,0.00,4.00,6.00,6.50,3.00,4.00,2.00,216,214,215,'JARDIM DAS AMÉRICAS','CURITIBA','PR',17995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202751,6.00,8.00,3.00,6.00,7.00,5.75,6.00,8.00,1.00,317,428,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',7070,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202760,6.00,8.00,6.00,7.00,8.00,5.75,8.00,8.00,5.00,203,233,202,'TRINDADE','FLORIANOPOLIS','SC',2300,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2202778,1.00,4.00,1.00,1.00,3.00,NULL,0.00,2.00,1.00,420,238,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202808,1.00,7.00,3.00,3.00,6.00,7.75,3.00,6.00,3.00,420,207,NULL,'RIBEIRÃO FRESCO','BLUMENAU','SC',13244,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2202816,4.00,8.00,7.00,8.00,7.00,6.25,8.00,5.00,5.00,201,220,212,'CAMPINAS','SAO JOSE','SC',3663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202824,6.00,8.00,8.00,5.00,9.00,6.25,6.00,8.00,8.00,103,217,NULL,'CENTRO','ICARA','SC',1422,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2202832,6.00,8.00,5.00,9.00,8.00,7.00,6.00,6.00,3.00,103,9,NULL,'UNIVERSITÁRIO','LAGES','SC',4186,1276,419,NULL,NULL,NULL,NULL,4,9),(15,2202840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,216,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2202859,3.00,7.00,5.00,5.00,7.00,4.25,6.00,5.00,3.00,103,102,NULL,'MAR GROSSO','LAGUNA','SC',10784,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2202867,3.00,8.00,5.00,9.00,8.00,6.00,9.00,6.00,5.00,203,316,202,'SAGUAÇÚ','JOINVILLE','SC',3997,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2202883,4.00,5.00,3.00,8.00,3.00,5.00,3.00,4.00,3.00,108,333,NULL,'VILA FIUZA','ASSIS','SP',16146,361,863,NULL,NULL,NULL,NULL,4,1),(15,2202891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,208,NULL,'NOVA BRASILIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2202905,2.00,4.00,3.00,5.00,3.00,3.50,2.00,4.00,0.00,214,324,233,'MONTE VERDE','FLORIANOPOLIS','SC',22072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202921,5.00,7.00,4.00,9.00,9.00,6.25,5.00,7.00,4.00,450,319,NULL,'BOSQUE DO EUCALIPTO','SAO JOSE DOS CAMPOS','SP',4747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202930,8.00,8.00,9.00,8.00,8.00,7.00,8.00,7.00,5.00,207,201,211,'ITACORUBI','FLORIANOPOLIS','SC',1270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2202948,3.00,5.00,4.00,5.00,5.00,4.75,4.00,4.00,2.00,404,NULL,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',16433,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,303,201,'VILA LEA','SANTO ANDRE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2202964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,207,NULL,'ACLIMAÇÃO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2202972,2.00,7.00,2.00,5.00,7.00,5.00,4.00,6.00,2.00,103,225,NULL,'CENTRO','FLORIANOPOLIS','SC',13992,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2202980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,211,207,'BELA VISTA','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(15,2202999,2.00,7.00,3.00,0.00,0.00,NULL,4.00,5.00,4.00,233,212,216,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,9),(15,2203006,4.00,5.00,3.00,8.00,5.00,5.75,6.00,7.00,2.00,501,234,NULL,'CENTRO','FLORIANOPOLIS','SC',11502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203014,3.00,4.00,1.00,6.00,3.00,5.25,3.00,3.00,2.00,103,102,NULL,'POVOADO','BARRA DO RIO AZUL','RS',21063,NULL,NULL,NULL,NULL,NULL,NULL,5,4),(15,2203022,5.00,7.00,8.00,9.00,9.00,7.00,4.00,7.00,4.00,316,420,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',2959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203030,5.00,7.00,4.00,6.00,8.00,6.25,5.00,5.00,4.00,9,444,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',8886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2203049,5.00,5.00,8.00,5.00,8.00,5.50,6.00,5.00,5.00,9,217,NULL,'ITACORUBI','FLORIANOPOLIS','SC',7003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203057,6.00,8.00,6.00,5.00,5.00,6.00,7.00,5.00,7.00,207,319,NULL,'SÃO MIGUEL','LAGES','SC',4595,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2203065,1.00,5.00,3.00,2.00,6.00,5.25,3.00,4.00,3.00,103,101,NULL,'SÃO CRISTÓVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2203073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,333,NULL,'COHAPAR','GUARATUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2203090,1.00,6.00,1.00,8.00,7.00,5.25,0.00,5.00,3.00,424,NULL,428,'PANTANAL','FLORIANOPOLIS','SC',17624,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2203103,1.00,6.00,2.00,6.00,6.00,4.50,3.00,3.00,3.00,502,451,NULL,'ZONA SETE','MARINGA','PR',18164,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2203111,2.00,6.00,3.00,8.00,6.00,4.50,3.00,4.00,2.00,450,415,NULL,'SÃO JOÃO','COCAL DO SUL','SC',16129,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2203120,0.00,2.00,1.00,2.00,5.00,NULL,4.00,1.00,3.00,201,212,NULL,'ENSEADA DE BRITO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2203138,1.00,4.00,1.00,4.00,5.00,5.50,3.00,4.00,2.00,444,9,NULL,'BARREIROS','SAO JOSE','SC',21713,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2203146,3.00,6.00,3.00,3.00,6.00,4.75,5.00,4.00,3.00,404,208,NULL,'INGLESES','FLORIANOPOLIS','SC',15613,124,1039,NULL,NULL,NULL,NULL,2,1),(15,2203154,5.00,5.00,3.00,5.00,7.00,5.75,6.00,5.00,4.00,316,304,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',10807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,319,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2203170,3.00,7.00,2.00,0.00,6.00,5.25,6.00,3.00,2.00,2,217,NULL,'IPIRANGA','SAO JOSE','SC',18335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203197,3.00,5.00,6.00,9.00,8.00,5.00,6.00,4.00,3.00,304,318,NULL,'HIGIENÓPOLIS','SANTA CRUZ DO SUL','RS',8081,NULL,NULL,NULL,NULL,NULL,NULL,3,2),(15,2203200,4.00,8.00,7.00,8.00,8.00,6.25,6.00,6.00,4.00,104,444,NULL,'CENTRO','LAGES','SC',3391,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2203219,4.00,6.00,5.00,8.00,9.00,6.00,6.00,6.00,4.00,103,101,NULL,'FLORESTA','JOINVILLE','SC',6758,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2203235,4.00,8.00,1.00,7.00,6.00,6.50,4.00,5.00,3.00,317,339,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',10173,111,213,NULL,NULL,NULL,NULL,2,1),(15,2203243,2.00,6.00,4.00,2.00,5.00,5.25,3.00,4.00,2.00,103,104,NULL,'CENTRO','JARDINOPOLIS','SC',18431,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2203251,3.00,4.00,4.00,5.00,5.00,4.25,2.00,6.00,3.00,214,444,203,'LINHA TÚNEL','PINHEIRO PRETO','SC',17900,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2203260,2.00,5.00,4.00,9.00,6.00,3.50,4.00,2.00,4.00,425,329,424,'ABRAÃO','FLORIANOPOLIS','SC',16529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203278,4.00,7.00,5.00,4.00,8.00,5.75,4.00,7.00,3.00,415,208,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',8669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203286,6.00,8.00,7.00,4.00,6.00,5.50,8.00,5.00,5.00,103,333,NULL,'CENTRO','FLORIANOPOLIS','SC',5214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203294,6.00,8.00,7.00,7.00,7.00,7.00,8.00,8.00,6.00,201,333,233,'CENTRO','FLORIANOPOLIS','SC',1027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,318,NULL,'ELDORADO','TREMEMBE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2203316,2.00,5.00,3.00,5.00,7.00,5.75,5.00,6.00,3.00,211,301,233,'CENTRO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2203332,3.00,6.00,1.00,5.00,4.00,6.25,4.00,2.00,3.00,216,2,NULL,'INGLESES','FLORIANOPOLIS','SC',18779,522,241,NULL,NULL,NULL,NULL,2,1),(15,2203340,3.00,5.00,6.00,8.00,7.00,5.50,5.00,6.00,4.00,216,217,211,'CENTRO','SIDEROPOLIS','SC',7700,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2203359,3.00,5.00,3.00,0.00,4.00,3.50,3.00,4.00,3.00,404,324,NULL,'CARIANOS','FLORIANOPOLIS','SC',21002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203375,4.00,7.00,2.00,6.00,7.00,NULL,0.00,0.00,0.00,108,211,NULL,'MENINO DEUS','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2203405,4.00,5.00,5.00,4.00,7.00,6.00,7.00,6.00,6.00,234,333,NULL,'POMERANOS','TIMBO','SC',7227,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2203413,3.00,7.00,2.00,7.00,7.00,5.25,3.00,4.00,3.00,103,319,NULL,'CENTRO','JOINVILLE','SC',14084,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2203421,6.00,7.00,8.00,9.00,9.00,6.75,7.00,7.00,7.00,216,223,215,'ESTREITO','FLORIANOPOLIS','SC',803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203430,4.00,8.00,8.00,6.00,8.00,6.75,5.00,6.00,5.00,214,NULL,NULL,'CENTRO','RIBEIRAO PRETO','SP',4859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,319,NULL,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2203464,2.00,6.00,3.00,7.00,6.00,4.00,1.00,5.00,4.00,303,444,NULL,'ESTREITO','FLORIANOPOLIS','SC',16311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203480,2.00,7.00,4.00,3.00,6.00,4.25,6.00,4.00,4.00,316,310,NULL,'SERRINHA','FLORIANOPOLIS','SC',13759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203499,4.00,8.00,5.00,4.00,6.00,5.00,7.00,4.00,5.00,233,316,213,'JD MARIA JOSE','SALTO','SP',9243,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2203502,3.00,4.00,7.00,4.00,8.00,5.50,3.00,3.00,3.00,9,234,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',14475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203510,3.00,6.00,3.00,3.00,5.00,5.00,4.00,1.00,2.00,501,101,NULL,'CENTRO','TAIO','SC',19806,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2203529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,213,220,'CENTRO','SAO MATEUS DO SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2203537,4.00,8.00,3.00,4.00,6.00,6.50,6.00,7.00,5.00,203,225,202,'SANTOS DUMONT','SAO JOSE','SC',8464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203545,0.00,6.00,2.00,3.00,5.00,4.25,4.00,5.00,2.00,333,420,NULL,'ENCRUZO','JAGUARUNA','SC',20269,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2203553,4.00,7.00,5.00,6.00,7.00,6.00,5.00,3.00,4.00,208,301,238,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',8678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2203561,3.00,7.00,2.00,3.00,7.00,3.50,5.00,5.00,3.00,316,238,NULL,'CENTRO','ARMAZEM','SC',15883,441,956,NULL,NULL,NULL,NULL,4,10),(15,2203570,2.00,6.00,3.00,6.00,4.00,6.25,3.00,2.00,5.00,316,207,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2203588,7.00,8.00,7.00,7.00,9.00,5.75,7.00,6.00,5.00,333,102,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',1719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,423,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2203618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PAU FERRO','FORMOSA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2203626,1.00,7.00,2.00,5.00,7.00,5.50,3.00,7.00,2.00,423,329,429,'BALNEÁRIO','FLORIANOPOLIS','SC',14372,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2203634,2.00,5.00,2.00,0.00,4.00,4.00,2.00,2.00,5.00,404,319,NULL,'CENTRO','LAGES','SC',22236,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2203642,4.00,4.00,5.00,6.00,7.00,5.00,2.00,4.00,4.00,201,319,203,'CENTRO','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203650,6.00,8.00,7.00,9.00,8.00,6.50,5.00,4.00,4.00,207,420,211,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',3594,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2203677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,102,NULL,'CENTRO','SAO JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2203685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,331,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203693,6.00,7.00,8.00,6.00,7.00,5.25,6.00,7.00,6.00,220,233,203,'JARDIM PORTO ALEGRE','TOLEDO','PR',3777,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2203707,4.00,5.00,1.00,4.00,5.00,5.50,3.00,4.00,0.00,303,301,NULL,'ESTREITO','FLORIANOPOLIS','SC',19446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203715,2.00,3.00,0.00,5.00,6.00,4.50,6.00,3.00,1.00,102,9,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',20145,457,705,NULL,NULL,NULL,NULL,2,1),(15,2203723,6.00,7.00,9.00,9.00,6.00,6.00,7.00,6.00,8.00,103,303,NULL,'SHANGAI','MOGI DAS CRUZES','SP',1515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'NAÇÕES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2203740,5.00,8.00,6.00,5.00,9.00,NULL,0.00,0.00,0.00,103,102,NULL,'DISTRITO INDUSTRIAL','RIO BRANCO','AC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2203766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,333,NULL,'CENTRO','NOVA LARANJEIRAS','PR',NULL,NULL,NULL,NULL,'S','S','S',3,1),(15,2203774,7.00,7.00,4.00,6.00,7.00,5.75,6.00,6.00,4.00,103,303,NULL,'JD MORUMBI','SAO JOSE DOS CAMPOS','SP',5624,1560,1045,NULL,NULL,NULL,NULL,4,1),(15,2203804,3.00,8.00,2.00,2.00,7.00,5.50,5.00,5.00,3.00,103,303,NULL,'UNIVERSITARIO','LAGES','SC',14213,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2203839,5.00,7.00,2.00,4.00,7.00,6.50,7.00,6.00,3.00,238,426,208,'AGRONOMICA','FLORIANOPOLIS','SC',7867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,309,NULL,'PRESIDENTE KENNIDY','FRANCISCO BELTRAO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2203855,4.00,5.00,6.00,7.00,6.00,5.75,5.00,4.00,4.00,216,233,211,'CENTRO','NIOAQUE','MS',8030,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2203863,4.00,6.00,9.00,4.00,8.00,7.00,9.00,7.00,6.00,214,201,203,'INDEPENDÊNCIA','TAUBATE','SP',2529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203871,7.00,6.00,9.00,8.00,7.00,5.50,8.00,7.00,7.00,207,302,201,'IMIGRANTES','TIMBO','SC',1599,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2203880,2.00,4.00,3.00,2.00,5.00,4.25,3.00,3.00,1.00,415,234,NULL,'BARREIROS','SAO JOSE','SC',21460,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2203898,4.00,6.00,5.00,5.00,5.00,5.25,4.00,8.00,3.00,316,502,NULL,'BOM VIVER','BIGUACU','SC',11549,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2203901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,303,NULL,'APARECIDA','UBERLANDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2203910,1.00,1.00,1.00,2.00,4.00,NULL,2.00,4.00,3.00,216,203,233,'COLONINHA','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2203928,5.00,8.00,5.00,8.00,8.00,6.25,6.00,5.00,3.00,108,502,NULL,'BARREIROS','SAO JOSE','SC',5954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203936,4.00,6.00,3.00,5.00,6.00,4.50,4.00,6.00,5.00,318,327,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',12732,143,323,NULL,NULL,NULL,NULL,2,1),(15,2203944,4.00,7.00,2.00,7.00,7.00,4.75,5.00,4.00,7.00,319,421,NULL,'CENTRO','FLORIANOPOLIS','SC',7430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2203952,0.00,4.00,3.00,2.00,5.00,NULL,3.00,4.00,2.00,333,502,NULL,'CENTRO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2203995,6.00,7.00,5.00,7.00,8.00,5.50,5.00,6.00,2.00,208,222,202,'KOBRASOL','SAO JOSE','SC',6559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204002,2.00,6.00,4.00,6.00,4.00,4.25,1.00,4.00,1.00,421,424,427,'BARREIROS','SAO JOSE','SC',19793,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2204010,2.00,5.00,2.00,4.00,3.00,5.75,3.00,4.00,2.00,216,215,201,'LÍDER','CHAPECO','SC',19821,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2204029,3.00,6.00,2.00,5.00,8.00,6.75,6.00,5.00,2.00,104,301,NULL,'TRINDADE','FLORIANOPOLIS','SC',11700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204037,2.00,4.00,6.00,5.00,5.00,4.75,3.00,2.00,3.00,213,220,202,'JD STA ROSA','FOZ DO IGUACU','PR',16143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,324,NULL,'VILA SUIÇA','MOGI DAS CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2204053,2.00,6.00,5.00,3.00,5.00,5.25,5.00,1.00,3.00,450,320,NULL,'ESTREITO','FLORIANOPOLIS','SC',17691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204061,4.00,9.00,6.00,10.00,8.00,6.50,8.00,8.00,5.00,421,318,426,'CENTRO','FLORIANOPOLIS','SC',1431,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2204070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','LARANJAL PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2204088,2.00,4.00,5.00,5.00,5.00,5.00,5.00,3.00,2.00,233,213,NULL,'GUADALUPE','LAGES','SC',16185,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2204096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,208,201,'JARDIM DAS AMERICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2204118,5.00,7.00,6.00,7.00,8.00,6.50,9.00,6.00,6.00,203,220,214,'JARDIM SÃO DOMINGOS','MARILIA','SP',2965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204126,1.00,6.00,5.00,6.00,5.00,6.25,5.00,7.00,3.00,203,220,214,'DOS MUNICÍPIOS','CACADOR','SC',11122,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2204134,2.00,5.00,2.00,6.00,6.00,6.50,4.00,7.00,2.00,108,101,NULL,'CENTRO','FLORIANOPOLIS','SC',14384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204142,2.00,5.00,3.00,6.00,5.00,6.00,3.00,3.00,3.00,425,328,NULL,'INGLESES','FLORIANOPOLIS','SC',17019,134,123,NULL,NULL,NULL,NULL,4,1),(15,2204150,2.00,4.00,2.00,7.00,4.00,6.25,5.00,5.00,2.00,327,238,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',16162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204169,8.00,9.00,7.00,9.00,8.00,7.00,9.00,6.00,5.00,103,328,NULL,'CENTRO','FLORIANOPOLIS','SC',743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204177,1.00,8.00,4.00,7.00,8.00,3.75,3.00,6.00,4.00,318,333,NULL,'CENTRO','SEBASTIANOPOLIS DO SUL','SP',11014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204185,4.00,6.00,5.00,7.00,7.00,6.00,9.00,6.00,5.00,220,NULL,216,'CIDADE ALTA','MEDIANEIRA','PR',4705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204193,3.00,6.00,4.00,3.00,6.00,5.25,4.00,3.00,6.00,234,501,NULL,'CHACARA DA BARRA','CAMPINAS','SP',13272,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2204207,3.00,8.00,5.00,7.00,7.00,6.00,5.00,4.00,4.00,101,102,NULL,'BOA PARADA','SAO PEDRO DE ALCANTARA','SC',8940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2204215,5.00,6.00,6.00,7.00,7.00,5.50,7.00,5.00,5.00,202,213,NULL,'CENTRO','MINACU','GO',6117,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2204223,7.00,8.00,9.00,9.00,9.00,4.50,8.00,6.00,6.00,103,319,NULL,'CAMPECHE','FLORIANOPOLIS','SC',753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204231,5.00,6.00,4.00,5.00,4.00,5.00,5.00,7.00,3.00,203,216,202,'RIO VERMELHO','FLORIANOPOLIS','SC',11543,828,749,441,NULL,NULL,NULL,2,1),(15,2204240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2204258,2.00,5.00,0.00,3.00,5.00,5.00,2.00,4.00,2.00,333,332,NULL,'JARDIM PANORAMA','ASSIS CHATEAUBRIAND','PR',21469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204266,3.00,6.00,6.00,5.00,4.00,5.75,5.00,5.00,4.00,404,207,NULL,'FLORESTA','SAO JOSE','SC',12334,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2204282,3.00,7.00,5.00,5.00,8.00,6.50,4.00,5.00,3.00,217,216,NULL,'PARQUE DAS AVENIDAS','SOMBRIO','SC',9103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204290,4.00,6.00,7.00,8.00,8.00,6.25,6.00,4.00,4.00,426,425,424,'ITACORUBI','FLORIANOPOLIS','SC',6322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'VILA ALBERTINA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2204312,8.00,7.00,9.00,6.00,8.00,5.00,9.00,6.00,8.00,103,203,NULL,'LIMÃO','SAO PAULO','SP',1008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204320,1.00,6.00,0.00,3.00,7.00,NULL,2.00,7.00,3.00,451,308,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2204339,5.00,8.00,6.00,8.00,9.00,6.50,7.00,6.00,6.00,319,234,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',2514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204347,2.00,4.00,1.00,4.00,6.00,4.00,3.00,7.00,3.00,501,425,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',18155,237,395,NULL,NULL,NULL,NULL,2,6),(15,2204355,6.00,8.00,6.00,9.00,9.00,8.00,7.00,7.00,4.00,303,208,NULL,'CENTRO','FLORIANOPOLIS','SC',2182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204363,3.00,8.00,0.00,5.00,5.00,5.25,4.00,6.00,2.00,5,331,NULL,'OLHO DAGUA','JAGUARUNA','SC',15323,654,181,NULL,NULL,NULL,NULL,2,5),(15,2204371,6.00,9.00,7.00,10.00,8.00,7.25,8.00,8.00,5.00,103,NULL,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',1170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204380,8.00,8.00,8.00,8.00,9.00,5.50,9.00,6.00,6.00,103,203,NULL,'VILA CLEMENTINA','MAFRA','SC',775,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2204401,4.00,7.00,3.00,4.00,7.00,6.25,4.00,7.00,4.00,103,326,NULL,'CARIANOS','FLORIANOPOLIS','SC',8715,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2204410,3.00,7.00,4.00,5.00,6.00,4.75,5.00,4.00,2.00,420,426,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',13555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2204428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2204436,5.00,6.00,7.00,6.00,8.00,4.50,6.00,4.00,4.00,233,216,211,'PONTA DA PRAIA','SANTOS','SP',6471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204444,3.00,7.00,4.00,8.00,7.00,6.50,3.00,5.00,2.00,316,317,NULL,'BARREIROS','SAO JOSE','SC',10607,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204452,3.00,5.00,1.00,2.00,4.00,4.25,1.00,4.00,2.00,309,339,NULL,'CENTRO','FLORIANOPOLIS','SC',21461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204460,4.00,8.00,5.00,4.00,6.00,4.25,4.00,6.00,3.00,308,426,NULL,'PONTE DO IMARUIM','PALHOCA','SC',11675,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2204479,4.00,8.00,5.00,9.00,7.00,5.75,5.00,6.00,3.00,310,320,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',6015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204487,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,102,234,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2204509,1.00,6.00,4.00,4.00,4.00,5.50,5.00,5.00,2.00,220,NULL,NULL,'CENTRO','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204517,2.00,5.00,3.00,6.00,8.00,4.75,3.00,7.00,3.00,320,327,NULL,'CENTRO','GAROPABA','SC',11942,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2204533,3.00,7.00,3.00,6.00,7.00,5.75,4.00,3.00,1.00,429,339,427,'SERRARIA','SAO JOSE','SC',15214,92,NULL,NULL,NULL,NULL,NULL,2,1),(15,2204541,5.00,8.00,6.00,9.00,7.00,6.00,6.00,7.00,6.00,208,203,202,'CENTRO','IBIRUBA','RS',3231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204550,4.00,6.00,7.00,3.00,7.00,4.75,7.00,6.00,4.00,211,331,NULL,'PONTA DA PRAIA','SANTOS','SP',7584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204576,2.00,5.00,3.00,5.00,6.00,3.50,2.00,5.00,1.00,104,211,NULL,'CENTRO','GRAO PARA','SC',20216,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2204584,3.00,6.00,2.00,4.00,7.00,5.25,4.00,6.00,4.00,108,333,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204592,4.00,4.00,1.00,3.00,4.00,0.00,2.00,4.00,3.00,502,501,NULL,'CENTRO','PIRAI DO SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2204606,2.00,6.00,2.00,3.00,5.00,6.75,5.00,4.00,4.00,104,502,NULL,'CENTRO','LAGES','SC',15827,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2204614,1.00,7.00,1.00,3.00,6.00,4.75,4.00,5.00,1.00,404,444,NULL,'CENTRO','FLORIANOPOLIS','SC',17780,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2204622,1.00,4.00,3.00,3.00,5.00,NULL,2.00,2.00,0.00,317,224,NULL,'VARGEM PEQUENA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2204630,1.00,5.00,2.00,2.00,4.00,4.75,3.00,3.00,2.00,9,308,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',22081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204649,3.00,5.00,1.00,0.00,6.00,NULL,5.00,4.00,1.00,319,108,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2204657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,404,NULL,'BOM JESUS','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2204665,2.00,5.00,2.00,3.00,3.00,4.50,2.00,4.00,3.00,103,NULL,NULL,'NEBLINA','ARAGUAINA','TO',21348,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2204673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,324,NULL,'FLORESTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2204681,3.00,5.00,0.00,1.00,5.00,5.50,5.00,5.00,2.00,404,303,NULL,'ARIRIÚ','PALHOCA','SC',20279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204690,2.00,8.00,6.00,4.00,8.00,7.00,6.00,6.00,3.00,450,451,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',7244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204703,8.00,8.00,9.00,9.00,9.00,6.75,9.00,8.00,8.00,103,224,NULL,'CENTRO','FLORIANOPOLIS','SC',148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204720,4.00,8.00,4.00,6.00,7.00,7.00,6.00,6.00,4.00,212,301,211,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',6451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204738,3.00,7.00,6.00,8.00,6.00,5.75,6.00,6.00,5.00,220,213,NULL,'UNIVERSITÁRIO','LAGES','SC',7063,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2204746,5.00,6.00,7.00,4.00,5.00,5.50,8.00,5.00,5.00,2,304,NULL,'CENTRO','SAO ROQUE','SP',6896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204754,7.00,6.00,5.00,9.00,8.00,8.50,5.00,7.00,5.00,319,308,NULL,'OFICINAS','TUBARAO','SC',2638,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2204762,1.00,5.00,2.00,0.00,7.00,NULL,3.00,6.00,2.00,331,207,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2204770,2.00,5.00,0.00,5.00,6.00,NULL,3.00,3.00,0.00,9,103,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2204797,1.00,5.00,2.00,5.00,6.00,5.00,3.00,4.00,3.00,302,309,NULL,'BELA VISTA I','SAO JOSE','SC',18917,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2204800,5.00,9.00,5.00,7.00,7.00,5.50,8.00,8.00,6.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',3230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204819,5.00,7.00,6.00,9.00,6.00,5.25,4.00,8.00,7.00,103,339,NULL,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2204835,3.00,3.00,5.00,5.00,7.00,6.50,4.00,5.00,4.00,303,423,NULL,'CENTRO','FLORIANOPOLIS','SC',12361,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2204843,4.00,5.00,2.00,6.00,7.00,6.75,5.00,6.00,1.00,212,316,233,'ESTREITO','FLORIANOPOLIS','SC',12070,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2204860,6.00,8.00,5.00,6.00,7.00,7.00,7.00,6.00,7.00,5,216,NULL,'ITACORUBI','FLORIANOPOLIS','SC',3908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2204878,1.00,4.00,0.00,5.00,7.00,4.50,3.00,6.00,2.00,332,331,NULL,'ITOUPAVA SECA','BLUMENAU','SC',19033,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2204886,3.00,6.00,4.00,4.00,8.00,5.75,4.00,6.00,4.00,234,502,NULL,'TRINDADE','FLORIANOPOLIS','SC',11407,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2204894,6.00,6.00,6.00,6.00,8.00,5.50,7.00,5.00,2.00,333,215,NULL,'JD SÃO MARCOS','SOROCABA','SP',6716,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2204908,3.00,5.00,2.00,5.00,5.00,4.50,5.00,3.00,1.00,211,501,NULL,'CENTRO','CHAPECO','SC',19401,674,545,NULL,NULL,NULL,NULL,2,4),(15,2204916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,233,201,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2204924,1.00,8.00,3.00,5.00,7.00,4.50,5.00,8.00,5.00,101,217,NULL,'ALTO ARIRIÚ','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,302,NULL,'ACLIMAÇAO','CUIABA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2204940,5.00,8.00,5.00,6.00,7.00,4.00,5.00,7.00,4.00,318,327,NULL,'LAGOA DA CONCEÇÃO','FLORIANOPOLIS','SC',6883,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2204959,2.00,0.00,0.00,3.00,5.00,NULL,1.00,1.00,2.00,220,207,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2204967,2.00,5.00,3.00,3.00,8.00,6.00,4.00,4.00,2.00,415,451,NULL,'PICADAS DO SUL','SAO JOSE','SC',16414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204975,3.00,8.00,5.00,4.00,5.00,5.25,3.00,5.00,2.00,103,101,NULL,'JARDIM ELDORADO','PARANAGUA','PR',14826,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2204983,3.00,5.00,7.00,9.00,7.00,5.00,8.00,5.00,2.00,214,201,220,'JARDIM DAS PALMEIRAS','SANTO ANGELO','RS',7275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2204991,5.00,6.00,5.00,4.00,5.00,4.00,6.00,5.00,4.00,332,425,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',10901,36,298,NULL,NULL,NULL,NULL,4,1),(15,2205009,4.00,9.00,3.00,6.00,7.00,4.75,4.00,8.00,3.00,201,NULL,207,'CENTRO','CHAPECO','SC',7935,428,NULL,379,NULL,NULL,NULL,4,1),(15,2205017,1.00,3.00,2.00,1.00,3.00,NULL,1.00,2.00,5.00,319,420,NULL,'CENTRO','TREZE DE MAIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2205025,4.00,7.00,5.00,8.00,7.00,5.00,7.00,3.00,4.00,420,333,NULL,'CAMPECHE','FLORIANOPOLIS','SC',7718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205033,2.00,7.00,5.00,8.00,6.00,5.00,5.00,4.00,1.00,224,316,NULL,'RIO TAVERS','FLORIANOPOLIS','SC',13654,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2205050,3.00,5.00,3.00,2.00,6.00,4.25,5.00,8.00,2.00,225,222,NULL,'CENTRO','FLORIANOPOLIS','SC',15795,33,NULL,NULL,NULL,NULL,NULL,2,1),(15,2205068,3.00,8.00,3.00,7.00,7.00,6.25,5.00,7.00,3.00,102,217,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',7671,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2205076,3.00,5.00,5.00,7.00,8.00,4.75,3.00,6.00,4.00,108,333,NULL,'CENTRO','TIJUCAS','SC',10798,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2205084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2205092,2.00,6.00,2.00,4.00,7.00,5.75,4.00,3.00,3.00,404,9,NULL,'ESTREITO','FLORIANOPOLIS','SC',16345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205106,4.00,8.00,5.00,4.00,7.00,5.25,7.00,5.00,3.00,203,103,214,'CENTRO','LAGES','SC',10316,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2205122,2.00,5.00,2.00,3.00,2.00,NULL,3.00,5.00,2.00,201,222,208,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2205130,2.00,8.00,1.00,8.00,5.00,6.25,3.00,5.00,1.00,424,324,421,'SAMBAQUI','FLORIANOPOLIS','SC',16202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205157,0.00,5.00,3.00,3.00,3.00,4.75,6.00,5.00,0.00,238,234,202,'FLOR DE NAPOLIS','SAO JOSE','SC',20424,761,248,670,NULL,NULL,NULL,4,1),(15,2205165,5.00,8.00,9.00,9.00,6.00,5.50,9.00,7.00,8.00,203,217,216,'CENTRO','FLORIANOPOLIS','SC',1032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205173,2.00,2.00,0.00,0.00,4.00,NULL,3.00,3.00,2.00,5,316,NULL,'MARISCAL','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205181,5.00,6.00,5.00,6.00,7.00,5.25,4.00,5.00,5.00,5,316,NULL,'CARIANOS','FLORIANOPOLIS','SC',9124,397,867,NULL,NULL,NULL,NULL,2,1),(15,2205190,3.00,7.00,1.00,2.00,8.00,4.75,3.00,7.00,2.00,207,309,201,'AGRONÔMICA','FLORIANOPOLIS','SC',16871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205203,7.00,9.00,9.00,9.00,7.00,5.75,8.00,6.00,8.00,103,319,NULL,'VILA ANDRADE','SAO PAULO','SP',687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205211,1.00,6.00,1.00,7.00,6.00,7.25,2.00,4.00,1.00,326,310,NULL,'JOÃO WINCKLER','XANXERE','SC',18640,108,175,NULL,NULL,NULL,NULL,2,4),(15,2205220,2.00,5.00,6.00,6.00,4.00,5.50,4.00,6.00,2.00,203,201,233,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2205246,4.00,7.00,3.00,6.00,7.00,7.25,4.00,3.00,4.00,101,108,NULL,'CENTRO','CONDOR','RS',9592,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2205254,4.00,8.00,6.00,9.00,9.00,4.50,6.00,6.00,4.00,102,303,NULL,'CENTRO','PRESIDENTE GETULIO','SC',4991,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2205262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,424,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2205270,4.00,8.00,6.00,5.00,7.00,5.25,5.00,5.00,1.00,201,238,212,'KOBRASOL','SAO JOSE','SC',9234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205289,5.00,4.00,3.00,6.00,5.00,4.25,5.00,4.00,1.00,444,404,NULL,'AREIAS DO CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2205297,2.00,6.00,5.00,4.00,7.00,6.00,6.00,6.00,5.00,303,5,NULL,'CURTUME','TORRES','RS',7437,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2205300,2.00,3.00,0.00,1.00,3.00,NULL,2.00,1.00,4.00,303,207,NULL,'INTERIOR','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2205319,4.00,5.00,2.00,5.00,7.00,3.75,7.00,7.00,2.00,203,223,202,'CANASVIEIRAS','FLORIANOPOLIS','SC',11673,833,151,447,NULL,NULL,NULL,2,1),(15,2205335,5.00,7.00,8.00,8.00,7.00,3.75,6.00,5.00,3.00,208,202,238,'BUCAREIN','JOINVILLE','SC',5286,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2205343,3.00,7.00,2.00,4.00,5.00,5.00,3.00,4.00,2.00,201,331,202,'PINGUIRITO','GAROPABA','SC',19218,1018,225,648,NULL,NULL,NULL,2,1),(15,2205351,0.00,2.00,3.00,5.00,4.00,4.25,1.00,4.00,3.00,404,420,NULL,'JARDIM DAS PALMEIRAS','SAO JOSE','SC',22016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205378,3.00,6.00,3.00,5.00,6.00,4.75,6.00,7.00,4.00,201,333,208,'CENTRO','IBIRAMA','SC',10445,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2205386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'NOVO CENTAURO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2205394,3.00,4.00,2.00,0.00,4.00,3.00,6.00,5.00,1.00,201,501,208,'SANTA CATARINA','BIGUACU','SC',21019,1089,572,843,NULL,NULL,NULL,4,1),(15,2205424,3.00,5.00,2.00,0.00,6.00,4.75,3.00,4.00,2.00,102,108,NULL,'UNIVERSITARIO','TIJUCAS','SC',20706,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2205432,5.00,7.00,9.00,3.00,9.00,5.75,8.00,8.00,6.00,103,102,NULL,'CENTRO','FLORIANOPOLIS','SC',2442,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2205459,3.00,6.00,4.00,3.00,3.00,5.00,2.00,6.00,3.00,211,415,207,'GUANABARA','JOINVILLE','SC',18383,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2205467,6.00,5.00,4.00,8.00,8.00,4.75,8.00,6.00,7.00,108,217,NULL,'JD OSWALDO CRUZ','SAO JOSE DOS CAMPOS','SP',3396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205483,1.00,4.00,4.00,0.00,4.00,4.00,4.00,4.00,4.00,233,415,215,'INGLESES','FLORIANOPOLIS','SC',20301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205491,3.00,8.00,5.00,6.00,5.00,6.50,3.00,3.00,2.00,208,222,238,'BARREIROS','SAO JOSE','SC',12673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2205505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,316,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2205521,6.00,8.00,5.00,8.00,7.00,6.50,8.00,8.00,5.00,220,415,216,'OFICINAS','TUBARAO','SC',2543,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2205530,4.00,7.00,4.00,5.00,8.00,7.00,5.00,5.00,5.00,333,310,NULL,'CIDADE BAIXA','PORTO ALEGRE','RS',7895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205548,5.00,8.00,6.00,8.00,7.00,6.00,7.00,8.00,5.00,303,5,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',2117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,222,238,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2205564,2.00,5.00,1.00,4.00,3.00,4.50,1.00,4.00,3.00,104,208,NULL,'INTERIOR','MAXIMILIANO DE ALMEIDA','RS',22139,727,1148,NULL,NULL,NULL,NULL,2,7),(15,2205572,3.00,6.00,5.00,5.00,7.00,5.75,4.00,6.00,2.00,415,428,NULL,'PONTA DE BAIXO','SAO JOSE','SC',11001,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2205580,6.00,7.00,3.00,2.00,6.00,5.50,7.00,4.00,4.00,303,428,NULL,'CENTRO','FLORIANOPOLIS','SC',11248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205599,6.00,9.00,5.00,8.00,8.00,6.00,8.00,8.00,6.00,415,320,NULL,'PERDIZES','SAO PAULO','SP',1890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205610,2.00,6.00,3.00,3.00,6.00,6.00,3.00,5.00,3.00,108,320,NULL,'TRINDADE','FLORIANOPOLIS','SC',16973,375,207,NULL,NULL,NULL,NULL,2,1),(15,2205629,3.00,5.00,0.00,7.00,6.00,5.00,2.00,4.00,4.00,327,207,NULL,'TAPERA','FLORIANOPOLIS','SC',17334,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2205637,3.00,6.00,3.00,5.00,6.00,4.75,4.00,2.00,2.00,423,420,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',17165,52,808,NULL,NULL,NULL,NULL,2,1),(15,2205645,4.00,5.00,4.00,5.00,8.00,5.75,6.00,5.00,5.00,318,222,NULL,'CENTRO','TIMBE DO SUL','SC',8654,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2205653,4.00,5.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,108,501,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2205661,5.00,8.00,6.00,6.00,7.00,3.00,5.00,6.00,1.00,201,428,238,'CAMPINAS','SAO JOSE','SC',9944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205670,3.00,9.00,6.00,5.00,8.00,4.50,4.00,8.00,4.00,220,318,213,'SÃO CRISTÓVÃO','TRES BARRAS','SC',7341,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2205696,3.00,6.00,7.00,5.00,7.00,5.50,6.00,5.00,4.00,102,217,NULL,'ESTREITO','FLORIANOPOLIS','SC',8947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205700,5.00,6.00,5.00,4.00,5.00,5.00,5.00,4.00,4.00,104,102,NULL,'CAMPINAS','SAO JOSE','SC',11802,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2205718,3.00,4.00,2.00,5.00,5.00,4.50,2.00,4.00,3.00,308,101,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',20557,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2205726,3.00,4.00,3.00,5.00,6.00,5.75,4.00,3.00,2.00,444,309,NULL,'ABRAAO','FLORIANOPOLIS','SC',17950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2205734,5.00,7.00,5.00,6.00,8.00,5.75,3.00,7.00,3.00,302,301,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',8243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2205742,1.00,5.00,4.00,5.00,6.00,4.00,2.00,3.00,3.00,203,420,202,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2205750,1.00,6.00,2.00,1.00,4.00,4.75,3.00,6.00,2.00,108,502,NULL,'IPIRANGA','SAO JOSE','SC',21229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205777,7.00,7.00,4.00,4.00,8.00,6.50,2.00,4.00,4.00,101,502,NULL,'JARDIM FOGAÇA','ITAPETININGA','SP',10080,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2205785,2.00,5.00,4.00,6.00,7.00,6.25,6.00,5.00,3.00,207,303,201,'DAS NAÇÕES','BALNEARIO CAMBORIU','SC',11734,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2205793,3.00,7.00,4.00,4.00,5.00,6.50,2.00,6.00,1.00,303,426,NULL,'JARDIM FLORESTA','FRANCISCO BELTRAO','PR',15196,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2205807,4.00,3.00,1.00,5.00,7.00,4.50,7.00,5.00,3.00,225,2,NULL,'ANA MARIA','CRICIUMA','SC',14730,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2205823,6.00,8.00,4.00,5.00,7.00,5.50,6.00,7.00,4.00,501,108,NULL,'CENTRO','FLORIANOPOLIS','SC',5604,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2205831,5.00,8.00,2.00,7.00,7.00,7.25,5.00,5.00,5.00,332,339,NULL,'COLONINHA','FLORIANOPOLIS','SC',7746,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2205840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MORAES','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2205858,3.00,5.00,2.00,6.00,7.00,3.00,3.00,3.00,1.00,101,308,NULL,'BERREIROS','SAO JOSE','SC',19572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2205866,2.00,5.00,2.00,2.00,4.00,2.50,1.00,5.00,3.00,404,444,NULL,'CENTRO','SAO JOSE DO CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2205882,2.00,8.00,3.00,9.00,8.00,5.75,4.00,9.00,3.00,319,424,NULL,'PANTANAL','FLORIANOPOLIS','SC',7573,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2205904,3.00,6.00,5.00,5.00,5.00,4.25,4.00,4.00,5.00,103,104,NULL,'VILA EMA','SAO JOSE DOS CAMPOS','SP',12807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,333,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2205939,3.00,6.00,3.00,2.00,6.00,6.25,6.00,5.00,3.00,211,NULL,NULL,'TERRA NOVA','SAO BERNARDO DO CAMPO','SP',13872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205947,2.00,5.00,5.00,7.00,5.00,5.00,6.00,5.00,2.00,233,213,211,'AMÉRICA','JOINVILLE','SC',13069,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2205955,5.00,6.00,7.00,5.00,6.00,5.25,6.00,6.00,5.00,202,212,213,'JARDIM AMÉRICA','TOLEDO','PR',6878,269,NULL,NULL,NULL,NULL,NULL,2,8),(15,2205963,1.00,4.00,4.00,3.00,3.00,4.50,5.00,3.00,2.00,339,324,NULL,'SERRARIA','SAO JOSE','SC',21023,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2205971,0.00,4.00,3.00,1.00,3.00,NULL,1.00,1.00,2.00,501,444,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2205980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2205998,5.00,8.00,5.00,9.00,8.00,5.50,6.00,5.00,3.00,108,217,NULL,'CENTRO','JOINVILLE','SC',4419,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2206005,2.00,3.00,3.00,4.00,5.00,6.75,2.00,2.00,3.00,308,327,NULL,'PANTANAL','FLORIANOPOLIS','SC',21421,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206013,8.00,8.00,8.00,5.00,8.00,6.50,9.00,7.00,8.00,103,5,NULL,'SETOR BUENO','GOIANIA','GO',773,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206021,1.00,6.00,4.00,1.00,4.00,7.00,4.00,3.00,4.00,104,207,NULL,'TAJUBA II','SAO JOAO BATISTA','SC',17967,584,1261,NULL,NULL,NULL,NULL,4,2),(15,2206048,3.00,4.00,5.00,5.00,5.00,7.50,2.00,3.00,2.00,415,450,NULL,'CENTRO','SANTA MARIA','RS',17443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206064,0.00,5.00,0.00,1.00,5.00,NULL,1.00,3.00,3.00,316,5,NULL,'CENTRO','RODEIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,301,208,'CENTRO','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2206099,4.00,7.00,5.00,9.00,7.00,6.75,8.00,5.00,6.00,203,303,220,'ABRAÃO','FLORIANOPOLIS','SC',3281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206102,2.00,6.00,2.00,1.00,6.00,6.75,4.00,3.00,4.00,415,339,NULL,'CIDADE ALTA','CUNHA PORA','SC',18892,476,356,NULL,NULL,NULL,NULL,4,4),(15,2206110,2.00,7.00,2.00,2.00,8.00,4.25,5.00,6.00,3.00,104,217,NULL,'CENTRO','SAO CARLOS','SC',14052,463,428,NULL,NULL,NULL,NULL,4,4),(15,2206137,3.00,6.00,3.00,4.00,7.00,5.50,4.00,2.00,2.00,203,2,214,'PAULO DE FRONTIN','CRICIUMA','SC',16121,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2206145,6.00,5.00,5.00,2.00,4.00,6.25,6.00,6.00,4.00,316,317,NULL,'OFICINAS','TUBARAO','SC',12378,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2206153,0.00,5.00,3.00,3.00,4.00,2.00,3.00,3.00,3.00,108,404,NULL,'CENTRO','SANTA HELENA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2206161,4.00,8.00,6.00,6.00,7.00,4.00,7.00,6.00,8.00,207,104,201,'CAPOEIRAS','FLORIANOPOLIS','SC',4256,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206188,1.00,4.00,2.00,3.00,2.00,NULL,4.00,2.00,2.00,327,332,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206196,2.00,4.00,3.00,6.00,5.00,5.50,4.00,2.00,2.00,319,423,NULL,'COQUEIROS','FLORIANOPOLIS','SC',18668,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206218,5.00,5.00,7.00,1.00,9.00,6.75,5.00,7.00,4.00,207,212,201,'ITOUPAVAZINHA','BLUMENAU','SC',7449,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2206226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'CARIJÓS','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2206234,3.00,7.00,4.00,5.00,6.00,7.25,7.00,5.00,2.00,211,444,238,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',9181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206242,8.00,6.00,8.00,8.00,9.00,4.75,6.00,7.00,7.00,216,102,215,'CENTRO','SINOP','MT',1338,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2206250,6.00,8.00,4.00,5.00,9.00,4.75,5.00,3.00,4.00,102,326,NULL,'MURTA','ITAJAI','SC',8120,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2206269,1.00,4.00,0.00,4.00,5.00,5.50,4.00,3.00,2.00,301,415,NULL,'BELA VISTA','PALHOCA','SC',21630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206285,5.00,5.00,2.00,7.00,6.00,6.25,5.00,4.00,2.00,501,333,NULL,'CRISTO REI','ICARA','SC',11565,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2206293,5.00,9.00,6.00,4.00,8.00,7.00,8.00,7.00,5.00,203,2,233,'CAMPINAS','SAO JOSE','SC',2552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206307,5.00,8.00,7.00,6.00,9.00,6.50,6.00,7.00,4.00,216,224,215,'RIO MAINA','CRICIUMA','SC',3164,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2206315,0.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,0.00,339,309,NULL,'RIO CAVEIRAS','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206323,2.00,8.00,6.00,6.00,6.00,7.00,7.00,5.00,5.00,104,102,NULL,'CENTRO','GASPAR','SC',6149,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2206331,5.00,6.00,6.00,5.00,8.00,5.00,6.00,4.00,3.00,202,214,213,'BARRA DO RIO CERRO','JARAGUA DO SUL','SC',8097,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2206340,2.00,3.00,1.00,2.00,5.00,NULL,2.00,4.00,2.00,415,451,NULL,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206358,5.00,9.00,9.00,9.00,8.00,5.75,8.00,7.00,7.00,214,222,201,'CENTRO','FLORIANOPOLIS','SC',728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206366,1.00,4.00,3.00,2.00,7.00,6.00,4.00,4.00,2.00,5,328,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',19712,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2206374,5.00,4.00,0.00,1.00,5.00,5.75,4.00,4.00,5.00,102,9,NULL,'CENTRO','FRANCISCO BELTRAO','PR',19467,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2206382,0.00,3.00,2.00,3.00,2.00,NULL,1.00,4.00,3.00,420,NULL,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206390,2.00,6.00,4.00,5.00,4.00,3.25,6.00,5.00,3.00,203,301,214,'CAMPINAS','SAO JOSE','SC',14379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,501,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2206412,2.00,4.00,3.00,5.00,6.00,5.50,3.00,3.00,2.00,420,222,NULL,'PANTANAL','FLORIANOPOLIS','SC',19377,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206420,7.00,7.00,9.00,1.00,8.00,4.50,8.00,4.00,6.00,319,450,NULL,'CENTRO','FLORIANOPOLIS','SC',5004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206447,4.00,7.00,3.00,1.00,5.00,5.50,3.00,4.00,2.00,101,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',17457,207,900,NULL,NULL,NULL,NULL,4,1),(15,2206455,4.00,7.00,4.00,5.00,8.00,4.50,7.00,7.00,4.00,104,211,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',7516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206463,2.00,4.00,4.00,8.00,5.00,3.75,3.00,0.00,2.00,108,333,NULL,'TERRAS DE SANTANA','LONDRINA','PR',20085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206471,4.00,5.00,5.00,7.00,5.00,5.00,5.00,3.00,5.00,103,108,NULL,'MORUMBI','SAO PAULO','SP',12089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206480,5.00,7.00,1.00,6.00,8.00,5.25,6.00,6.00,4.00,104,9,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',10115,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2206498,4.00,7.00,4.00,9.00,8.00,6.50,5.00,4.00,2.00,2,333,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',7954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206501,3.00,3.00,1.00,1.00,5.00,3.75,3.00,5.00,2.00,220,216,233,'SHANGRI LA','SERTAOZINHO','SP',21765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206510,4.00,5.00,3.00,6.00,7.00,7.00,4.00,6.00,2.00,333,108,NULL,'CENTRO','PALMITOS','SC',13318,183,784,NULL,NULL,NULL,NULL,2,4),(15,2206536,8.00,9.00,10.00,9.00,9.00,7.75,9.00,8.00,9.00,203,202,220,'CENTRO','CURITIBA','PR',3,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2206544,3.00,5.00,2.00,1.00,6.00,5.50,6.00,5.00,5.00,108,102,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206552,4.00,5.00,4.00,4.00,6.00,5.25,3.00,5.00,1.00,207,201,NULL,'CENTRO','TERRA ROXA','PR',15046,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206560,3.00,6.00,0.00,3.00,6.00,5.25,2.00,6.00,3.00,216,102,220,'CENTRO','MARAVILHA','SC',17913,503,1025,550,NULL,NULL,NULL,4,4),(15,2206579,4.00,7.00,5.00,6.00,5.00,5.50,4.00,3.00,4.00,103,223,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',12248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206587,2.00,8.00,2.00,3.00,5.00,4.00,4.00,6.00,3.00,211,324,208,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206595,4.00,4.00,4.00,5.00,6.00,5.00,5.00,3.00,4.00,217,102,NULL,'PONTE DO IMARUIM','PALHOCA','SC',13255,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206609,7.00,8.00,4.00,9.00,8.00,4.75,7.00,7.00,5.00,320,329,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',3259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,215,NULL,'NOVO HORIZONTE','MARILIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2206625,4.00,4.00,3.00,2.00,4.00,4.50,4.00,5.00,5.00,211,303,216,'FLORESTA','JOINVILLE','SC',17678,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2206633,5.00,5.00,4.00,3.00,8.00,6.75,5.00,3.00,1.00,220,203,211,'CENTRO','PANAMBI','RS',14574,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2206668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,211,'LIBERDADE','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2206676,5.00,8.00,6.00,3.00,7.00,4.75,7.00,7.00,3.00,5,332,NULL,'VILA PIRES','SANTA BARBARA D OESTE','SP',6374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206684,5.00,7.00,3.00,2.00,8.00,5.00,5.00,5.00,3.00,5,502,NULL,'ITACORUBI','FLORIANOPOLIS','SC',11397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206692,5.00,6.00,1.00,6.00,7.00,4.00,3.00,3.00,3.00,324,421,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',16499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206706,4.00,8.00,5.00,6.00,7.00,6.00,5.00,7.00,4.00,207,420,201,'SÃO JOÃO BOSCO','PORTO VELHO','RO',5960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206714,5.00,9.00,3.00,8.00,5.00,6.75,5.00,9.00,3.00,326,327,NULL,'TRIANDADE','FLORIANOPOLIS','SC',5570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206730,2.00,5.00,3.00,6.00,7.00,5.75,4.00,4.00,4.00,318,423,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206749,2.00,3.00,0.00,0.00,3.00,NULL,1.00,0.00,2.00,304,9,NULL,'CAMPO D UNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206757,4.00,5.00,1.00,6.00,6.00,4.25,1.00,3.00,3.00,415,102,NULL,'IMIGRANTES','CONCORDIA','SC',18654,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2206765,3.00,5.00,1.00,2.00,7.00,6.00,1.00,4.00,3.00,333,324,NULL,'JARDIM CARANDAI','BIGUACU','SC',19452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,304,NULL,'CRUZEIRO DO SUL','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2206781,6.00,8.00,7.00,8.00,8.00,6.25,9.00,9.00,7.00,103,327,NULL,'TRINDADE','FLORIANOPOLIS','SC',677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206790,6.00,8.00,8.00,9.00,7.00,5.25,9.00,7.00,7.00,202,208,203,'SION','BELO HORIZONTE','MG',767,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2206803,3.00,5.00,5.00,4.00,9.00,6.75,4.00,5.00,4.00,316,426,NULL,'KOBRASOL','SAO JOSE','SC',10238,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206811,2.00,5.00,4.00,9.00,6.00,6.25,4.00,2.00,4.00,208,213,202,'DONA HELENA MORRO','APIUNA','SC',13574,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2206820,3.00,8.00,2.00,3.00,7.00,3.75,2.00,6.00,1.00,203,222,202,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2206846,3.00,4.00,5.00,4.00,5.00,3.25,3.00,2.00,2.00,203,214,NULL,'FORQUILHINHAS','SAO JOSE','SC',21150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206854,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,339,308,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2206889,1.00,3.00,3.00,7.00,6.00,4.75,1.00,1.00,4.00,238,203,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',20228,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2206897,5.00,6.00,4.00,2.00,7.00,4.75,5.00,6.00,4.00,224,324,NULL,'PASSA VINTE','PALHOCA','SC',11074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206900,3.00,5.00,2.00,2.00,4.00,NULL,2.00,1.00,1.00,108,207,NULL,'MICHEL','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2206919,2.00,2.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,429,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',2,1),(15,2206927,3.00,6.00,2.00,0.00,2.00,NULL,3.00,3.00,3.00,203,NULL,NULL,'CENTRO','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2206935,3.00,8.00,4.00,1.00,7.00,7.00,2.00,5.00,2.00,108,103,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',11894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,331,216,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2206951,1.00,6.00,1.00,1.00,6.00,4.00,4.00,2.00,4.00,238,NULL,NULL,'GERMÂNICO','XAXIM','SC',21641,804,NULL,NULL,NULL,NULL,NULL,4,4),(15,2206960,3.00,6.00,4.00,4.00,5.00,4.75,5.00,5.00,4.00,208,304,233,'FLORESTA','SAO JOSE','SC',12771,474,350,311,NULL,NULL,NULL,4,1),(15,2206986,6.00,7.00,7.00,9.00,8.00,7.25,8.00,8.00,4.00,303,5,NULL,'CARIANOS','FLORIANOPOLIS','SC',1981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2206994,2.00,6.00,2.00,6.00,6.00,5.25,4.00,6.00,3.00,211,9,212,'CENTRO','BALNEARIO CAMBORIU','SC',14507,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2207001,5.00,7.00,3.00,7.00,6.00,5.25,5.00,5.00,2.00,404,333,NULL,'IPIRANGA','SAO JOSE','SC',11617,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2207010,1.00,5.00,2.00,0.00,6.00,NULL,1.00,4.00,2.00,108,501,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2207028,3.00,3.00,3.00,5.00,6.00,4.25,3.00,3.00,2.00,444,404,NULL,'CENTRO','CAMPO GRANDE','MS',20589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,9,NULL,'BAIRRO DAS TORRES','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2207052,3.00,8.00,5.00,7.00,8.00,6.50,6.00,8.00,2.00,318,317,NULL,'VARGEM BOM JESUS','FLORIANOPOLIS','SC',5629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207060,5.00,6.00,3.00,4.00,4.00,4.25,4.00,4.00,2.00,316,238,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',17389,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2207079,5.00,4.00,7.00,3.00,8.00,5.75,7.00,5.00,3.00,103,102,NULL,'PANTANAL','FLORIANOPOLIS','SC',9024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,318,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2207095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIO VERDE','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2207109,6.00,6.00,5.00,9.00,8.00,6.50,5.00,6.00,4.00,415,425,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',4931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,215,NULL,'PEDRA BRANCA','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2207141,8.00,8.00,9.00,8.00,8.00,7.00,8.00,4.00,5.00,103,303,NULL,'CAMPINAS','SAO JOSE','SC',1282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207150,3.00,6.00,4.00,0.00,3.00,NULL,5.00,6.00,2.00,103,303,NULL,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207168,5.00,5.00,7.00,4.00,7.00,5.25,7.00,6.00,2.00,202,2,213,'NAZARE','TAPEJARA','RS',8292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207176,5.00,6.00,6.00,5.00,8.00,5.25,7.00,4.00,4.00,220,233,203,'LAGOA DA CONCEICAO','FLORIANOPOLIS','SC',5927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207184,5.00,9.00,3.00,4.00,6.00,7.00,5.00,5.00,4.00,5,320,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',9459,409,142,NULL,NULL,NULL,NULL,2,1),(15,2207192,1.00,6.00,1.00,8.00,7.00,4.75,2.00,2.00,3.00,5,108,NULL,'JARDIM CIBELE','ARARANGUA','SC',17503,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2207206,3.00,5.00,2.00,4.00,7.00,6.00,5.00,5.00,1.00,103,104,NULL,'PASSO DA AREIA','CORONEL FREITAS','SC',14603,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2207214,4.00,4.00,2.00,6.00,6.00,5.25,2.00,7.00,5.00,316,451,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',13559,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2207222,2.00,6.00,2.00,1.00,3.00,6.00,2.00,4.00,1.00,104,102,NULL,'FLORESTA','CAXIAS DO SUL','RS',21784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207230,1.00,7.00,2.00,1.00,2.00,NULL,2.00,4.00,4.00,208,331,211,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207249,7.00,8.00,6.00,6.00,8.00,5.50,6.00,7.00,5.00,451,326,NULL,'GLORIA','JOINVILLE','SC',3611,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2207265,4.00,6.00,3.00,3.00,4.00,5.75,4.00,7.00,2.00,415,214,NULL,'IPIRANGA','SAO JOSE DO CEDRO','SC',15367,383,766,NULL,NULL,NULL,NULL,4,4),(15,2207273,0.00,7.00,7.00,6.00,7.00,5.25,4.00,6.00,5.00,201,222,202,'CENTRO','IBIRAMA','SC',9396,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2207281,2.00,6.00,2.00,2.00,2.00,NULL,4.00,4.00,5.00,304,444,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2207290,7.00,7.00,3.00,8.00,8.00,5.50,4.00,6.00,5.00,101,308,NULL,'ROÇADO','SAO JOSE','SC',4177,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2207303,1.00,6.00,1.00,6.00,6.00,5.75,4.00,5.00,4.00,208,424,238,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2207311,5.00,4.00,4.00,5.00,5.00,5.00,2.00,5.00,5.00,444,309,NULL,'PASSA VINTE','PALHOCA','SC',14881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2207320,2.00,5.00,6.00,1.00,6.00,5.25,4.00,3.00,3.00,234,333,NULL,'INGLESES','FLORIANOPOLIS','SC',18038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207338,4.00,7.00,8.00,8.00,6.00,5.25,7.00,4.00,4.00,316,224,NULL,'ABRAÃO','FLORIANOPOLIS','SC',6166,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2207346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'SÃO JOSÉ','IBITINGA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2207354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'JARDIM ESTORIL','CORNELIO PROCOPIO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2207362,1.00,4.00,4.00,5.00,7.00,5.50,3.00,5.00,1.00,5,104,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',16959,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2207389,1.00,5.00,5.00,6.00,6.00,5.75,6.00,6.00,3.00,207,420,201,'VILA MOEMA','TUBARAO','SC',12872,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2207397,3.00,5.00,4.00,4.00,6.00,5.00,2.00,4.00,2.00,331,324,NULL,'ESTREITO','FLORIANOPOLIS','SC',17216,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2207400,4.00,5.00,2.00,7.00,7.00,5.00,4.00,6.00,3.00,329,316,NULL,'CAMPECHE','FLORIANOPOLIS','SC',12346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2207419,2.00,5.00,3.00,4.00,7.00,5.75,4.00,4.00,2.00,214,213,NULL,'ALTOS DE SANTANA','SAO JOSE DOS CAMPOS','SP',16479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2207427,1.00,3.00,4.00,0.00,4.00,4.50,3.00,4.00,3.00,404,332,NULL,'COQUEIROS','FLORIANOPOLIS','SC',21151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207435,2.00,6.00,5.00,4.00,4.00,3.00,3.00,6.00,2.00,444,404,NULL,'BARREIROS','SAO JOSE','SC',18095,194,436,NULL,NULL,NULL,NULL,4,1),(15,2207443,1.00,5.00,3.00,6.00,5.00,5.50,3.00,3.00,1.00,423,501,429,'IPIRANGA','SAO JOSE','SC',20564,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2207451,1.00,4.00,1.00,2.00,6.00,NULL,2.00,4.00,0.00,301,303,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207460,2.00,2.00,1.00,4.00,4.00,NULL,1.00,4.00,1.00,319,339,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2207478,3.00,5.00,5.00,5.00,5.00,4.25,3.00,7.00,1.00,317,304,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',15413,242,388,NULL,NULL,NULL,NULL,2,1),(15,2207486,1.00,6.00,3.00,1.00,5.00,3.50,4.00,2.00,2.00,208,404,233,'REAL PARQUE','SAO JOSE','SC',21632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207494,2.00,6.00,1.00,3.00,7.00,5.00,6.00,6.00,3.00,316,420,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',14646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207508,7.00,6.00,2.00,6.00,8.00,5.50,4.00,7.00,1.00,319,309,NULL,'CENTRO','MANDAGUARI','PR',8566,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2207516,3.00,5.00,3.00,7.00,6.00,5.50,4.00,7.00,4.00,2,415,NULL,'PRAIA BRAVA','ITAJAI','SC',10741,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2207524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,214,203,'ALPHAVILLE GRACIOSA','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2207532,0.00,1.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,339,108,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2207540,3.00,3.00,1.00,4.00,5.00,4.75,4.00,1.00,2.00,9,104,NULL,'CENTRO','CURITIBA','PR',21477,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2207559,3.00,6.00,3.00,3.00,6.00,3.00,6.00,5.00,4.00,212,217,213,'CENTRO','MONTE ALEGRE DO SUL','SP',15970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207575,2.00,8.00,6.00,9.00,8.00,3.75,4.00,8.00,4.00,428,425,426,'TRINDADE','FLORIANOPOLIS','SC',5696,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2207591,5.00,7.00,6.00,6.00,8.00,5.25,5.00,8.00,3.00,301,303,NULL,'JARDIM LINDÓIA','PORTO ALEGRE','RS',5330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207605,3.00,6.00,3.00,6.00,6.00,5.00,6.00,3.00,4.00,104,502,NULL,'ESTREITO','FLORIANOPOLIS','SC',13553,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2207613,3.00,8.00,8.00,7.00,6.00,6.00,8.00,6.00,4.00,104,501,NULL,'ITACORUBI','FLORIANOPOLIS','SC',4391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207621,1.00,4.00,2.00,2.00,2.00,NULL,2.00,2.00,2.00,502,309,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2207630,4.00,6.00,3.00,5.00,6.00,4.75,4.00,5.00,3.00,238,108,208,'BELA VISTA TRÊS','SAO JOSE','SC',14162,519,804,536,NULL,NULL,NULL,4,1),(15,2207648,5.00,6.00,6.00,8.00,6.00,5.75,5.00,6.00,5.00,103,NULL,NULL,'BROOKLIN','SAO PAULO','SP',5529,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2207656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,415,NULL,'CENTRO','RIO BRANCO DO SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2207672,2.00,8.00,5.00,5.00,9.00,5.00,6.00,5.00,5.00,302,304,NULL,'ENSEADA DE BRITO','PALHOCA','SC',7048,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2207680,3.00,5.00,3.00,7.00,6.00,3.00,4.00,3.00,2.00,404,103,NULL,'COLONINHA','ARARANGUA','SC',16316,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2207699,2.00,6.00,6.00,2.00,8.00,4.25,4.00,2.00,3.00,220,203,238,'CENTRO','CHAPECO','SC',15076,505,1398,556,NULL,NULL,NULL,4,4),(15,2207702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,234,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2207710,4.00,5.00,0.00,7.00,5.00,NULL,2.00,3.00,1.00,101,333,NULL,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2207729,2.00,5.00,3.00,8.00,6.00,5.25,5.00,2.00,5.00,9,404,NULL,'VENDAVAL','BIGUACU','SC',13758,176,376,NULL,NULL,NULL,NULL,2,1),(15,2207737,1.00,7.00,5.00,4.00,7.00,5.50,3.00,5.00,3.00,216,220,201,'INGLESES DO RIO VERM','FLORIANOPOLIS','SC',11767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207745,1.00,7.00,4.00,4.00,5.00,5.00,3.00,6.00,4.00,425,308,429,'ESTREITO','FLORIANOPOLIS','SC',15011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207753,4.00,8.00,7.00,6.00,6.00,4.75,8.00,7.00,5.00,103,104,NULL,'VERGUEIRO','PASSO FUNDO','RS',3792,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2207761,5.00,6.00,6.00,8.00,7.00,5.25,8.00,3.00,5.00,103,108,NULL,'CENTRO','NOVA VENEZA','SC',5232,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2207770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2207788,2.00,6.00,4.00,4.00,4.00,5.25,3.00,4.00,3.00,501,502,NULL,'BAIRRO PARAGUAI','JACINTO MACHADO','SC',16380,205,277,NULL,NULL,NULL,NULL,2,5),(15,2207796,3.00,8.00,4.00,4.00,7.00,5.50,6.00,8.00,4.00,103,303,NULL,'VELHA','BLUMENAU','SC',6637,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2207800,5.00,7.00,7.00,9.00,8.00,7.25,7.00,7.00,4.00,216,102,207,'VELHA','BLUMENAU','SC',2530,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2207818,5.00,8.00,9.00,7.00,6.00,6.50,7.00,9.00,7.00,303,103,NULL,'CAMPO DE FORA','LAGUNA','SC',1648,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2207826,7.00,7.00,9.00,9.00,8.00,4.00,6.00,5.00,6.00,208,222,215,'CARVOEIRA','FLORIANOPOLIS','SC',2022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207834,1.00,4.00,1.00,4.00,9.00,6.75,5.00,3.00,3.00,415,319,NULL,'COQUEIROS','FLORIANOPOLIS','SC',16953,422,845,NULL,NULL,NULL,NULL,4,1),(15,2207850,3.00,6.00,1.00,6.00,7.00,4.50,5.00,7.00,3.00,420,233,NULL,'KOBRASOL','SAO JOSE','SC',13753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207877,7.00,5.00,6.00,3.00,6.00,5.25,6.00,3.00,5.00,103,501,NULL,'VILA PROGRESSO','DOURADOS','MS',9665,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2207885,0.00,6.00,2.00,3.00,7.00,5.50,4.00,4.00,3.00,103,5,NULL,'AGUA VERDE','CURITIBA','PR',18446,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2207907,1.00,5.00,2.00,4.00,6.00,5.25,3.00,3.00,4.00,207,9,201,'BELA VISTA III','SAO JOSE','SC',19177,910,686,1017,NULL,NULL,NULL,2,1),(15,2207915,1.00,5.00,0.00,0.00,5.00,NULL,3.00,6.00,1.00,501,211,NULL,'SÃO CRISTÓVÃO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2207923,4.00,6.00,1.00,4.00,9.00,5.75,4.00,4.00,3.00,104,233,NULL,'CENTRO','CRICIUMA','SC',12684,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2207931,3.00,6.00,2.00,1.00,6.00,4.00,2.00,5.00,2.00,415,301,NULL,'CENTRO','CURITIBANOS','SC',20722,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2207958,4.00,8.00,5.00,7.00,6.00,6.75,6.00,8.00,3.00,303,415,NULL,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207966,0.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,2.00,203,103,214,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2207974,4.00,8.00,4.00,5.00,8.00,5.00,5.00,5.00,1.00,103,303,NULL,'COMERCIÁRIO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2207982,2.00,2.00,2.00,3.00,4.00,4.50,1.00,3.00,4.00,207,103,201,'SAO DOMINGOS','SAO JOSE DOS PINHAIS','PR',22452,1041,3293,1150,NULL,NULL,NULL,4,1),(15,2208008,2.00,6.00,1.00,5.00,4.00,4.75,3.00,5.00,3.00,5,444,NULL,'CENTRO','FLORIANOPOLIS','SC',17458,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2208016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,202,NULL,'CAÇADOR','CAPIVARI DE BAIXO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2208024,8.00,8.00,5.00,8.00,9.00,5.50,6.00,6.00,6.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',2284,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2208032,2.00,3.00,0.00,4.00,4.00,NULL,4.00,3.00,0.00,319,101,NULL,'ROCADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2208040,4.00,3.00,4.00,4.00,3.00,4.50,2.00,2.00,3.00,233,333,215,'CENTRO','BLUMENAU','SC',21127,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2208059,0.00,0.00,0.00,1.00,8.00,NULL,0.00,0.00,0.00,216,9,233,'CENTRO','BALNEARIO ARROIO DO SILVA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(15,2208067,6.00,6.00,8.00,7.00,6.00,6.00,9.00,8.00,5.00,220,202,203,'JD ELTONVILLE','SOROCABA','SP',3202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208075,7.00,8.00,8.00,6.00,7.00,6.50,8.00,7.00,5.00,103,319,NULL,'CENTRO','FLORIANOPOLIS','SC',1668,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2208083,3.00,4.00,4.00,3.00,3.00,0.00,3.00,4.00,3.00,301,309,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2208105,4.00,7.00,6.00,1.00,6.00,7.00,3.00,6.00,3.00,203,NULL,214,'POMERANOS','TIMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2208121,2.00,3.00,2.00,1.00,8.00,4.75,2.00,4.00,3.00,404,333,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',21082,238,1031,NULL,NULL,NULL,NULL,4,1),(15,2208130,5.00,6.00,3.00,8.00,7.00,5.25,4.00,4.00,2.00,316,208,NULL,'EUGENIO SCHNEIDER','RIO DO SUL','SC',10582,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2208148,2.00,3.00,3.00,2.00,6.00,5.25,3.00,5.00,2.00,308,324,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',20784,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2208156,3.00,7.00,1.00,6.00,3.00,3.75,4.00,4.00,3.00,333,331,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',17200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208172,0.00,7.00,5.00,6.00,7.00,5.00,5.00,6.00,3.00,404,308,NULL,'IBIRAQUERA','IMBITUBA','SC',13620,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2208180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,103,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2208199,3.00,5.00,3.00,7.00,7.00,6.00,3.00,3.00,1.00,324,108,NULL,'CAMPINAS','SAO JOSE','SC',15721,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2208202,2.00,6.00,4.00,2.00,6.00,4.25,6.00,4.00,3.00,326,324,NULL,'MEIA PRAIA','ITAPEMA','SC',17328,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2208210,1.00,6.00,1.00,5.00,5.00,6.50,3.00,4.00,2.00,103,101,NULL,'CENTRO','ITAPIRANGA','SC',18027,2863,695,NULL,NULL,NULL,NULL,2,4),(15,2208229,2.00,4.00,0.00,1.00,6.00,NULL,3.00,2.00,3.00,207,420,NULL,'PINHEIRINHO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2208237,3.00,4.00,2.00,5.00,7.00,6.50,3.00,6.00,2.00,303,5,NULL,'COQUEIRAL','CASCAVEL','PR',15467,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2208253,7.00,7.00,8.00,6.00,8.00,4.75,6.00,6.00,5.00,103,216,NULL,'REBOUÇAS','CURITIBA','PR',4051,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2208261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2208270,2.00,6.00,4.00,3.00,6.00,5.75,4.00,4.00,4.00,104,415,NULL,'CENTRO','IJUI','RS',15417,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2208288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,303,NULL,'SANTO ANTONIO','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2208296,5.00,8.00,6.00,7.00,6.00,7.50,7.00,7.00,3.00,207,211,201,'ESTREITO','FLORIANOPOLIS','SC',4009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,331,NULL,'SANTA CRUZ','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2208318,9.00,8.00,6.00,7.00,9.00,5.75,8.00,8.00,4.00,103,9,NULL,'MAR GROSSO','LAGUNA','SC',1280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208326,4.00,7.00,3.00,5.00,6.00,6.50,5.00,3.00,2.00,207,420,NULL,'ZONA SETE','MARINGA','PR',13052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,451,NULL,'SANTANA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2208369,3.00,6.00,2.00,3.00,5.00,4.75,1.00,2.00,4.00,213,223,NULL,'RIO DAS ANTAS','ANGELINA','SC',19763,319,222,NULL,NULL,NULL,NULL,2,1),(15,2208377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,303,NULL,'CIDADE NOVA','PORTO UNIAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2208385,7.00,9.00,8.00,9.00,7.00,6.00,9.00,6.00,9.00,103,102,NULL,'MIRANDÓPOLIS','SAO PAULO','SP',541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208393,6.00,7.00,9.00,8.00,6.00,6.50,9.00,6.00,4.00,201,208,216,'JARDIM AMERICA','PARANAIBA','MS',3026,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2208407,7.00,7.00,9.00,6.00,7.00,4.75,6.00,6.00,4.00,301,302,NULL,'BARREIROS','SAO JOSE','SC',3816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208415,4.00,8.00,6.00,6.00,7.00,6.00,6.00,6.00,5.00,103,220,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208423,5.00,7.00,4.00,6.00,8.00,6.50,6.00,7.00,6.00,415,428,NULL,'CENTRO','JOINVILLE','SC',4750,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2208431,4.00,7.00,5.00,5.00,9.00,6.25,7.00,7.00,4.00,216,217,215,'CENTRO','FLORIANOPOLIS','SC',5934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208440,4.00,7.00,3.00,3.00,6.00,4.75,3.00,7.00,4.00,444,333,NULL,'JOSÉE MENDES','FLORIANOPOLIS','SC',12057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,319,NULL,'CENTRO','CORUMBA','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2208466,6.00,6.00,6.00,6.00,6.00,4.75,5.00,7.00,4.00,233,444,238,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',7915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208474,5.00,6.00,1.00,6.00,7.00,6.75,3.00,7.00,1.00,303,425,NULL,'KOBRASOL','SAO JOSE','SC',11874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208482,2.00,6.00,3.00,7.00,8.00,5.25,5.00,3.00,3.00,201,224,202,'PONTE DO IMARUIM','PALHOCA','SC',12544,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2208504,3.00,5.00,3.00,2.00,4.00,5.25,3.00,3.00,4.00,104,9,NULL,'CENTRO','SANTA ROSA','RS',20658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208512,3.00,7.00,5.00,4.00,5.00,4.50,5.00,5.00,2.00,427,423,421,'CARIANOS','FLORIANOPOLIS','SC',14678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208520,8.00,9.00,6.00,9.00,9.00,5.00,8.00,8.00,7.00,234,102,NULL,'BARREIROS','SAO JOSE','SC',532,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208539,2.00,3.00,4.00,7.00,6.00,7.00,1.00,4.00,1.00,404,5,NULL,'BARREIROS','SAO JOSE','SC',18136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2208547,4.00,8.00,7.00,9.00,6.00,6.00,7.00,8.00,5.00,208,NULL,238,'BOA ESPERANÇA','CUIABA','MT',2668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208563,7.00,6.00,5.00,4.00,6.00,6.50,4.00,7.00,2.00,333,211,NULL,'SÃO LUIZ','SOMBRIO','SC',8695,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2208571,3.00,6.00,3.00,7.00,5.00,4.25,4.00,8.00,5.00,318,304,NULL,'AMÉRICA','JOINVILLE','SC',11495,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2208580,5.00,6.00,4.00,7.00,4.00,4.50,3.00,4.00,3.00,208,214,213,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2208601,3.00,2.00,1.00,0.00,5.00,NULL,2.00,1.00,3.00,208,222,238,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2208610,4.00,7.00,7.00,8.00,7.00,6.00,6.00,6.00,5.00,234,326,NULL,'CENTRO','FLORIANOPOLIS','SC',5239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208628,4.00,8.00,5.00,8.00,6.00,10.00,6.00,7.00,5.00,303,304,NULL,'ITAPOÃ PEDRA SAL','SALVADOR','BA',3245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,216,NULL,'CIDADE JARDIM','CATANDUVAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2208644,4.00,6.00,5.00,3.00,8.00,6.50,5.00,6.00,5.00,103,333,NULL,'LIBERDADE','SAO PAULO','SP',6438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208652,1.00,7.00,5.00,4.00,7.00,5.25,5.00,4.00,4.00,425,404,427,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',12594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208679,2.00,7.00,7.00,6.00,6.00,5.00,4.00,5.00,3.00,223,201,NULL,'CENTRO','CANOINHAS','SC',11483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208687,4.00,8.00,5.00,4.00,7.00,5.25,5.00,6.00,1.00,208,304,233,'CENTRO','FLORIANOPOLIS','SC',11187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208695,1.00,3.00,1.00,4.00,4.00,3.75,3.00,3.00,2.00,103,102,NULL,'CENTRO','CHAPECO','SC',22397,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2208709,5.00,5.00,7.00,4.00,5.00,4.75,8.00,6.00,7.00,203,214,220,'CHACARAS CATAGUA','TAUBATE','SP',5904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208717,4.00,7.00,6.00,4.00,6.00,5.00,6.00,5.00,5.00,108,331,NULL,'JARDIM ESPLANADA','SAO JOSE DOS CAMPOS','SP',9467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208725,5.00,7.00,6.00,6.00,5.00,4.75,7.00,3.00,3.00,203,444,201,'JARDIM SANTA MÔNICA','FLORIANOPOLIS','SC',8234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208733,3.00,2.00,0.00,2.00,3.00,NULL,1.00,4.00,1.00,201,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2208741,1.00,7.00,0.00,3.00,8.00,3.75,4.00,2.00,0.00,108,501,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',21600,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2208750,3.00,5.00,1.00,3.00,4.00,5.75,2.00,4.00,2.00,208,NULL,203,'CENTRO','BALNEARIO CAMBORIU','SC',20426,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2208768,2.00,5.00,2.00,7.00,4.00,5.50,4.00,2.00,3.00,103,101,NULL,'OFICINAS','TUBARAO','SC',16759,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2208776,1.00,4.00,2.00,6.00,4.00,3.50,3.00,2.00,2.00,444,333,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',22207,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2208792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,327,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2208806,3.00,6.00,5.00,6.00,5.00,4.75,3.00,4.00,4.00,207,420,216,'CENTRO','SANTO ANGELO','RS',15162,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2208814,5.00,9.00,7.00,5.00,9.00,6.25,7.00,6.00,5.00,103,102,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',3994,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2208830,4.00,5.00,6.00,5.00,3.00,3.00,6.00,2.00,4.00,317,NULL,NULL,'FRIZON','CORONEL VIVIDA','PR',14097,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2208857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,103,NULL,'ZONA SETE','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2208865,4.00,7.00,3.00,3.00,5.00,5.50,5.00,5.00,3.00,103,207,NULL,'CENTRO','SAO JOSE DO RIO PRETO','SP',14279,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2208873,4.00,7.00,4.00,3.00,6.00,5.50,4.00,2.00,3.00,216,201,203,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2208881,1.00,5.00,1.00,2.00,4.00,6.50,1.00,4.00,4.00,207,420,201,'BOSQUE','CURITIBANOS','SC',21011,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2208903,3.00,7.00,6.00,2.00,6.00,4.50,5.00,5.00,3.00,202,203,220,'CENTRO','CURITIBA','PR',12444,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2208911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,329,NULL,'DOS ESTADOS','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2208920,6.00,7.00,6.00,9.00,7.00,6.25,5.00,7.00,4.00,429,421,426,'TRINDADE','FLORIANOPOLIS','SC',3807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208938,2.00,4.00,1.00,4.00,5.00,6.50,3.00,4.00,2.00,104,301,NULL,'CENTRO','CURITIBANOS','SC',20024,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2208946,3.00,5.00,6.00,8.00,6.00,5.25,6.00,5.00,5.00,217,102,NULL,'ARCADAS','AMPARO','SP',7803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2208954,4.00,4.00,4.00,4.00,6.00,3.25,5.00,5.00,4.00,213,328,211,'ESTAÇÃO','URUSSANGA','SC',15539,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2208962,2.00,5.00,5.00,3.00,6.00,4.25,4.00,5.00,4.00,201,212,203,'RIO PERIMBÓ','ITUPORANGA','SC',16228,859,549,1003,NULL,NULL,NULL,4,2),(15,2208997,4.00,6.00,4.00,4.00,7.00,4.00,6.00,6.00,4.00,317,444,NULL,'CENTRO','IMBITUBA','SC',12420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2209004,2.00,5.00,3.00,6.00,6.00,5.50,3.00,6.00,3.00,103,108,NULL,'INGLESES','FLORIANOPOLIS','SC',14276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,404,NULL,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2209020,1.00,8.00,3.00,6.00,7.00,5.50,8.00,6.00,4.00,104,102,NULL,'CENTRO','FLORIANOPOLIS','SC',8221,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2209039,2.00,6.00,5.00,4.00,4.00,3.25,7.00,6.00,3.00,214,301,212,'ITAPOÃ PEDRA SAL','SALVADOR','BA',14467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209047,1.00,5.00,4.00,7.00,4.00,4.00,5.00,3.00,2.00,203,333,214,'MACACU','GAROPABA','SC',18323,1069,930,536,NULL,NULL,NULL,2,1),(15,2209055,5.00,8.00,7.00,9.00,5.00,6.75,6.00,8.00,4.00,104,316,NULL,'SÃO LUIZ','AVARE','SP',2562,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2209063,4.00,7.00,4.00,6.00,7.00,3.50,6.00,4.00,3.00,317,224,NULL,'ITACORUBI','FLORIANOPOLIS','SC',12177,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2209080,3.00,7.00,5.00,4.00,7.00,6.00,4.00,7.00,3.00,303,103,NULL,'VILA NOVA','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2209098,3.00,6.00,3.00,2.00,6.00,5.75,4.00,7.00,2.00,318,304,NULL,'VILA CAROLINA','ITAPETININGA','SP',15740,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2209110,3.00,6.00,1.00,2.00,6.00,6.00,3.00,7.00,4.00,327,332,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',15035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209128,6.00,6.00,5.00,4.00,7.00,6.00,5.00,5.00,4.00,103,104,NULL,'CENTRO','TUBARAO','SC',9190,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2209144,5.00,6.00,3.00,6.00,7.00,8.00,5.00,7.00,3.00,104,103,NULL,'RODEIO','RODEIO','SC',6707,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2209160,3.00,0.00,0.00,0.00,4.00,NULL,3.00,2.00,1.00,319,309,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209179,1.00,4.00,2.00,0.00,4.00,NULL,1.00,4.00,2.00,102,108,NULL,'CENTRO','UNIAO DO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2209187,6.00,7.00,6.00,9.00,8.00,6.75,7.00,7.00,3.00,202,427,238,'CAMPINAS','SAO JOSE','SC',2430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209195,4.00,4.00,4.00,5.00,4.00,3.50,4.00,4.00,3.00,301,208,NULL,'BARREIROS','SAO JOSE','SC',17915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209209,2.00,7.00,3.00,5.00,5.00,6.75,3.00,6.00,1.00,216,207,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2209225,4.00,7.00,3.00,7.00,8.00,5.50,2.00,6.00,1.00,501,451,NULL,'CENTRO','BALNEARIO GAIVOTA','SC',12631,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2209233,3.00,6.00,3.00,7.00,6.00,6.00,4.00,6.00,5.00,238,425,NULL,'BARREIROS','SAO JOSE','SC',9738,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2209241,1.00,7.00,0.00,5.00,5.00,4.50,2.00,6.00,4.00,217,427,NULL,'CENTRO','FLORIANOPOLIS','SC',17211,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2209250,7.00,8.00,5.00,4.00,7.00,3.25,6.00,7.00,3.00,201,317,212,'CENTRO','IMBITUBA','SC',8087,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2209268,4.00,9.00,6.00,6.00,6.00,5.25,6.00,7.00,5.00,203,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209276,2.00,5.00,7.00,3.00,5.00,4.75,7.00,3.00,3.00,214,333,213,'BOA VISTA','JOINVILLE','SC',14394,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2209284,2.00,5.00,2.00,3.00,7.00,5.75,3.00,5.00,4.00,208,238,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',15509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209292,1.00,9.00,5.00,4.00,5.00,6.25,7.00,7.00,2.00,238,316,208,'BARRA DO ARIRIÚ','PALHOCA','SC',10102,331,890,342,NULL,NULL,NULL,4,1),(15,2209306,5.00,5.00,6.00,6.00,8.00,6.25,6.00,6.00,3.00,303,216,NULL,'ARIRIBÁ','BALNEARIO CAMBORIU','SC',6557,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2209314,7.00,7.00,6.00,7.00,9.00,6.00,6.00,6.00,5.00,420,429,NULL,'CAMPINAS','SAO JOSE','SC',3284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209322,3.00,7.00,4.00,4.00,4.00,4.50,4.00,5.00,5.00,214,225,207,'VENEZA','XANXERE','SC',12928,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2209330,2.00,5.00,2.00,5.00,6.00,5.75,4.00,3.00,3.00,308,324,NULL,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',17829,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2209349,2.00,5.00,6.00,6.00,3.00,4.75,3.00,3.00,5.00,404,233,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',16305,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2209357,2.00,6.00,1.00,4.00,7.00,4.00,5.00,4.00,4.00,301,215,NULL,'ARIRIÚ','PALHOCA','SC',16472,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2209365,2.00,5.00,2.00,7.00,6.00,4.50,5.00,5.00,2.00,327,326,NULL,'CENTRO','CHAPECO','SC',15815,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2209381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,217,216,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2209390,5.00,7.00,2.00,5.00,6.00,5.50,2.00,6.00,5.00,216,217,201,'MONTE VERDE','FLORIANOPOLIS','SC',11320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209403,3.00,6.00,5.00,7.00,6.00,5.25,6.00,5.00,3.00,319,303,NULL,'CENTRO','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2209411,4.00,7.00,8.00,8.00,8.00,8.25,7.00,6.00,6.00,333,450,NULL,'CHÁCARAS DO VALE','MOCOCA','SP',2387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209438,0.00,5.00,4.00,3.00,4.00,6.00,3.00,3.00,4.00,301,326,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209446,3.00,6.00,3.00,4.00,6.00,6.50,3.00,4.00,2.00,319,451,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',17043,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2209454,4.00,6.00,5.00,5.00,7.00,5.50,6.00,4.00,3.00,211,304,201,'SANTA MARIA','AMERICANA','SP',10536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,301,NULL,'PLANALTO PAULISTA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2209489,7.00,7.00,10.00,5.00,8.00,7.50,9.00,8.00,7.00,103,319,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',607,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'CHACARA URBANA','JUNDIAI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2209500,4.00,7.00,1.00,7.00,6.00,6.50,4.00,6.00,3.00,415,303,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',10985,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2209519,4.00,8.00,2.00,6.00,6.00,6.00,6.00,4.00,6.00,103,104,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',8358,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2209527,2.00,4.00,4.00,6.00,5.00,5.00,4.00,7.00,3.00,214,421,233,'CENTRO','ERVAL VELHO','SC',13165,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2209535,2.00,5.00,3.00,0.00,7.00,NULL,5.00,4.00,1.00,211,444,212,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209543,1.00,7.00,5.00,8.00,8.00,5.50,6.00,7.00,3.00,429,420,425,'CENTRO','FLORIANOPOLIS','SC',7589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209551,1.00,5.00,1.00,2.00,4.00,5.50,5.00,4.00,2.00,211,502,233,'FLORESTA','ITAPIRANGA','SC',19372,672,323,428,NULL,NULL,NULL,4,4),(15,2209560,3.00,5.00,1.00,4.00,5.00,4.25,3.00,4.00,1.00,415,339,NULL,'COSTA E SILVA','JOINVILLE','SC',21335,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2209578,1.00,5.00,1.00,2.00,4.00,NULL,3.00,2.00,2.00,5,444,NULL,'BELA VISTA','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2209586,4.00,7.00,5.00,6.00,7.00,6.00,5.00,6.00,3.00,211,102,208,'TRINDADE','FLORIANOPOLIS','SC',8606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209608,0.00,3.00,1.00,2.00,2.00,NULL,4.00,2.00,2.00,333,108,NULL,'SANTA INES','BARIRI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2209616,1.00,6.00,2.00,5.00,6.00,5.75,5.00,4.00,2.00,316,415,NULL,'AREIAS','SAO JOSE','SC',16183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209624,5.00,7.00,5.00,6.00,6.00,6.25,7.00,6.00,2.00,207,339,201,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',7445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209632,5.00,6.00,4.00,4.00,7.00,6.00,5.00,7.00,6.00,103,102,NULL,'VILA NOVA','JOINVILLE','SC',6959,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2209640,3.00,2.00,2.00,5.00,6.00,4.50,4.00,5.00,3.00,103,301,NULL,'PEDRO ZANIVAM','CRICIUMA','SC',18165,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2209659,2.00,4.00,1.00,1.00,4.00,4.25,4.00,5.00,1.00,444,324,NULL,'CENTRO','FLORIANOPOLIS','SC',21721,289,441,NULL,NULL,NULL,NULL,4,1),(15,2209667,3.00,7.00,3.00,8.00,7.00,5.00,5.00,6.00,0.00,501,NULL,NULL,'PIO CORREA','CRICIUMA','SC',11783,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2209675,4.00,5.00,1.00,4.00,7.00,5.75,4.00,7.00,5.00,108,421,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',12547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2209683,2.00,5.00,3.00,2.00,6.00,5.50,3.00,5.00,3.00,425,316,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',18291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209691,4.00,8.00,7.00,8.00,9.00,5.75,6.00,7.00,5.00,202,NULL,213,'CENTRO','TURVO','SC',2602,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2209705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,319,NULL,'JARDIM CASAGRANDE','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2209721,1.00,2.00,2.00,1.00,4.00,NULL,4.00,0.00,3.00,207,420,215,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209730,2.00,7.00,3.00,4.00,4.00,5.25,3.00,6.00,2.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',16581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209748,2.00,8.00,6.00,7.00,8.00,6.75,7.00,7.00,3.00,301,304,NULL,'CENTRO','ARARANGUA','SC',4024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209756,5.00,8.00,4.00,7.00,7.00,5.00,7.00,8.00,3.00,501,327,NULL,'KOBRASOL','SAO JOSE','SC',5812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209764,5.00,4.00,6.00,5.00,4.00,5.75,5.00,5.00,5.00,233,333,214,'CENTRO','MORRO DA FUMACA','SC',12541,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2209772,5.00,8.00,5.00,7.00,8.00,5.50,5.00,3.00,1.00,103,9,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',9973,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2209780,3.00,6.00,4.00,5.00,7.00,5.75,6.00,4.00,2.00,302,304,NULL,'SÃO PELEGRINO','CAXIAS DO SUL','RS',11944,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2209799,5.00,6.00,7.00,3.00,6.00,6.00,7.00,6.00,3.00,333,233,NULL,'PRESIDENTE MÉDICI','CHAPECO','SC',6757,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2209802,2.00,2.00,4.00,3.00,6.00,NULL,0.00,2.00,2.00,104,102,NULL,'TREVO','RENASCENCA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2209810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'SANTANA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2209829,5.00,8.00,5.00,3.00,7.00,4.50,6.00,5.00,6.00,203,216,214,'GARCIA','BLUMENAU','SC',7417,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2209837,2.00,3.00,1.00,5.00,6.00,4.00,6.00,3.00,3.00,238,502,208,'PRAIA BRAVA','FLORIANOPOLIS','SC',19271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2209845,5.00,9.00,4.00,8.00,9.00,6.00,6.00,8.00,5.00,415,302,NULL,'AREIAS','SAO JOSE','SC',2393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209853,4.00,8.00,6.00,4.00,8.00,6.25,7.00,8.00,3.00,212,316,207,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',5420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209861,7.00,9.00,8.00,9.00,7.00,6.50,8.00,7.00,5.00,303,304,NULL,'BALNEARIO RINCAO','ICARA','SC',975,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2209870,3.00,7.00,6.00,8.00,6.00,6.00,4.00,6.00,4.00,303,NULL,NULL,'SÃO CRISTOVÃO','FAXINAL DOS GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2209888,1.00,6.00,1.00,2.00,6.00,4.75,2.00,5.00,4.00,303,333,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2209900,3.00,6.00,3.00,4.00,6.00,4.00,6.00,4.00,4.00,103,NULL,NULL,'SETOR BUENO','GOIANIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2209918,1.00,3.00,1.00,1.00,5.00,NULL,3.00,2.00,2.00,9,319,NULL,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209926,6.00,8.00,2.00,6.00,4.00,7.50,6.00,6.00,3.00,425,424,429,'LAGOA DA CONCEICAO','FLORIANOPOLIS','SC',7861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,202,'NOVA RUSSIA','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2209942,2.00,7.00,7.00,7.00,7.00,5.00,6.00,5.00,6.00,103,303,NULL,'CENTRO','PONTA GROSSA','PR',7215,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2209950,4.00,7.00,2.00,4.00,5.00,5.25,3.00,6.00,1.00,308,333,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',17287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2209969,4.00,3.00,4.00,4.00,6.00,4.50,5.00,4.00,3.00,9,102,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',15471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2209977,2.00,6.00,2.00,2.00,4.00,6.00,3.00,2.00,3.00,404,201,NULL,'BOM SUCESSO','PALMITOS','SC',20591,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2209985,3.00,6.00,2.00,3.00,4.00,5.50,6.00,0.00,1.00,415,404,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',21122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2209993,8.00,8.00,9.00,6.00,9.00,5.75,9.00,7.00,9.00,103,NULL,NULL,'BATEL','CURITIBA','PR',425,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2210010,3.00,6.00,3.00,7.00,8.00,5.50,4.00,5.00,4.00,331,223,NULL,'BELA VISTA','SAO JOSE','SC',11616,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210029,3.00,6.00,4.00,6.00,6.00,5.75,3.00,6.00,3.00,238,301,208,'COQUEIROS','FLORIANOPOLIS','SC',14095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210037,5.00,7.00,6.00,7.00,7.00,7.75,6.00,7.00,5.00,207,420,201,'CENTRO','ARARANGUA','SC',3916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210045,0.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,103,502,NULL,'CENTRO','BOM JARDIM DA SERRA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,9),(15,2210053,4.00,6.00,4.00,7.00,7.00,5.25,3.00,7.00,6.00,203,NULL,214,'MODULO DOIS','JUINA','MT',8305,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210061,3.00,3.00,7.00,5.00,9.00,0.00,6.00,4.00,3.00,302,304,NULL,'PINHEIRA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210070,9.00,7.00,6.00,9.00,8.00,5.25,8.00,6.00,5.00,103,304,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',1260,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2210096,0.00,2.00,1.00,2.00,3.00,NULL,3.00,3.00,3.00,208,404,238,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210100,4.00,5.00,2.00,5.00,7.00,6.50,4.00,6.00,2.00,329,451,NULL,'CENTRO','FLORIANOPOLIS','SC',13143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210126,4.00,5.00,3.00,5.00,7.00,5.75,4.00,6.00,2.00,108,NULL,NULL,'ASSUNÇÃO','SAO BERNARDO DO CAMPO','SP',12812,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2210134,2.00,5.00,2.00,1.00,4.00,NULL,2.00,2.00,2.00,420,450,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210142,6.00,6.00,7.00,7.00,6.00,5.00,9.00,4.00,3.00,202,208,238,'CANTO DA LAGOA','FLORIANOPOLIS','SC',6814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210150,6.00,7.00,9.00,7.00,6.00,4.75,8.00,7.00,8.00,203,214,220,'CAVALHADA','CACERES','MT',2336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210169,3.00,6.00,7.00,8.00,5.00,5.00,6.00,3.00,4.00,208,222,238,'AMÉRICA','JOINVILLE','SC',9199,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2210177,5.00,7.00,7.00,9.00,8.00,4.75,8.00,7.00,4.00,220,207,203,'CENTRO','MAFRA','SC',3486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210185,5.00,5.00,4.00,2.00,5.00,4.50,4.00,5.00,1.00,108,5,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210193,0.00,5.00,1.00,7.00,6.00,5.75,2.00,4.00,1.00,324,415,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',19947,88,805,NULL,NULL,NULL,NULL,2,1),(15,2210215,3.00,4.00,4.00,8.00,7.00,4.75,3.00,5.00,2.00,207,327,201,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',14958,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210223,5.00,8.00,5.00,1.00,7.00,5.00,6.00,5.00,3.00,214,203,213,'VILA NOVA','BLUMENAU','SC',10475,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2210231,8.00,6.00,9.00,9.00,9.00,6.75,9.00,8.00,7.00,103,216,NULL,'BOA VISTA','SAO JOSE DO RIO PRETO','SP',168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CIDADE ALTA','ARARANGUA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2210258,2.00,5.00,2.00,3.00,8.00,5.25,3.00,4.00,2.00,451,102,NULL,'ITAIPÚ','SALTINHO','SC',18241,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2210266,2.00,6.00,3.00,7.00,8.00,6.00,5.00,4.00,3.00,319,415,NULL,'SANTA TEREZA','VIDEIRA','SC',11024,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2210274,2.00,5.00,2.00,2.00,4.00,5.00,3.00,2.00,1.00,444,502,NULL,'GLÓRIA','VACARIA','RS',22406,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2210290,3.00,4.00,0.00,5.00,7.00,4.25,3.00,5.00,4.00,420,415,NULL,'COQUEIROS','FLORIANOPOLIS','SC',18506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210304,5.00,4.00,4.00,5.00,6.00,5.75,4.00,0.00,3.00,316,339,NULL,'PANTANAL','FLORIANOPOLIS','SC',16504,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210312,4.00,7.00,5.00,8.00,8.00,5.75,7.00,6.00,2.00,202,317,213,'AGRNOMICA','FLORIANOPOLIS','SC',6370,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210320,4.00,6.00,3.00,7.00,8.00,6.25,4.00,7.00,3.00,301,316,NULL,'CAMPECHE','FLORIANOPOLIS','SC',9001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210339,0.00,5.00,4.00,5.00,5.00,5.75,5.00,6.00,2.00,102,216,NULL,'CENTRO','LOBATO','PR',16448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,238,NULL,'BOEMEWALDT','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2210363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,101,220,'FÁTIMA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2210371,3.00,4.00,4.00,1.00,5.00,7.00,4.00,6.00,2.00,234,333,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',17569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210380,6.00,8.00,7.00,6.00,9.00,6.75,8.00,9.00,5.00,220,450,212,'VILA NOVA','IMBITUBA','SC',1730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2210401,1.00,5.00,3.00,5.00,6.00,3.50,3.00,3.00,1.00,203,220,214,'SERRARIA','SAO JOSE','SC',20236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210410,4.00,7.00,3.00,2.00,4.00,4.00,5.00,5.00,2.00,420,2,NULL,'CARIANOS','FLORIANOPOLIS','SC',16719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210428,1.00,5.00,3.00,2.00,6.00,5.50,4.00,2.00,2.00,304,324,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',20339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210436,3.00,8.00,3.00,7.00,7.00,6.00,4.00,4.00,1.00,104,103,NULL,'CENTRO','MORRO GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2210444,2.00,7.00,2.00,1.00,8.00,5.50,1.00,4.00,2.00,5,303,NULL,'FLORESTA','JOINVILLE','SC',19639,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2210452,2.00,7.00,4.00,7.00,7.00,7.00,5.00,5.00,2.00,216,234,211,'CENTRO','CRICIUMA','SC',9458,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2210460,4.00,7.00,6.00,8.00,5.00,5.75,4.00,7.00,3.00,220,201,203,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210479,0.00,7.00,2.00,5.00,5.00,NULL,3.00,2.00,2.00,301,316,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210487,2.00,5.00,3.00,5.00,5.00,0.00,2.00,4.00,1.00,208,423,238,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210509,5.00,5.00,5.00,5.00,7.00,6.75,6.00,6.00,5.00,211,102,NULL,'SÃO JOÃO','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2210517,5.00,7.00,3.00,9.00,5.00,5.75,5.00,5.00,4.00,238,211,208,'ANITA GARIBALDI','JOINVILLE','SC',8884,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2210525,2.00,4.00,1.00,2.00,4.00,5.00,3.00,3.00,2.00,216,214,215,'DOS ESTUDANTES','IPIRA','SC',21295,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2210533,4.00,6.00,3.00,4.00,6.00,5.75,4.00,7.00,3.00,327,427,NULL,'PANTANAL','FLORIANOPOLIS','SC',11810,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210541,1.00,7.00,4.00,7.00,6.00,3.50,5.00,6.00,2.00,316,444,NULL,'LAGO SUL','LAGO SUL','DF',12972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210550,4.00,6.00,4.00,2.00,3.00,4.50,3.00,5.00,4.00,201,234,233,'ESTREITO','FLORIANOPOLIS','SC',16922,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210576,1.00,6.00,3.00,0.00,0.00,NULL,4.00,3.00,2.00,103,104,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(15,2210584,1.00,3.00,1.00,4.00,4.00,NULL,2.00,1.00,1.00,207,203,201,'ZONA RURAL','APARECIDA DO TABOADO','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210592,7.00,7.00,7.00,6.00,9.00,6.50,7.00,7.00,8.00,103,203,NULL,'SUDOESTE','CRUZEIRO','DF',1582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210606,4.00,5.00,3.00,6.00,6.00,4.00,3.00,3.00,3.00,108,502,NULL,'IMPERADOR','MATAO','SP',16411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210614,2.00,5.00,2.00,2.00,8.00,6.75,5.00,2.00,0.00,103,104,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',18660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210622,2.00,8.00,1.00,4.00,5.00,6.75,3.00,5.00,2.00,211,104,215,'CENTRO','MORRO GRANDE','SC',16442,587,1174,328,NULL,NULL,NULL,2,5),(15,2210630,3.00,4.00,5.00,5.00,6.00,5.00,3.00,5.00,3.00,103,102,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2210657,5.00,8.00,6.00,3.00,7.00,6.00,7.00,7.00,5.00,220,214,203,'CENTRO','CACERES','MT',6708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210665,5.00,7.00,6.00,3.00,8.00,5.75,5.00,6.00,4.00,444,333,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',8357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210673,3.00,5.00,1.00,7.00,7.00,6.75,4.00,7.00,3.00,303,319,NULL,'GASPAR GRANDE','GASPAR','SC',11309,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2210681,6.00,8.00,7.00,5.00,8.00,7.50,8.00,8.00,5.00,103,9,NULL,'CENTRO','DIONISIO CERQUEIRA','SC',1747,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2210690,7.00,7.00,5.00,6.00,6.00,4.00,6.00,6.00,3.00,215,223,216,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',5873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210711,5.00,8.00,6.00,3.00,6.00,3.00,7.00,6.00,5.00,103,104,NULL,'LAGO SUL','LAGO SUL','DF',8462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210720,4.00,8.00,3.00,7.00,7.00,8.00,4.00,6.00,5.00,450,329,NULL,'VL NOVA ITAPE','ITAPETININGA','SP',6525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210738,0.00,3.00,0.00,3.00,4.00,NULL,3.00,4.00,5.00,309,310,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2210746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','TRES DE MAIO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2210754,5.00,7.00,7.00,4.00,7.00,5.50,9.00,6.00,4.00,103,104,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',5128,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2210762,2.00,4.00,2.00,2.00,4.00,4.25,4.00,3.00,0.00,404,225,NULL,'CENTRO','SAO JOAQUIM','SC',22326,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2210770,4.00,6.00,4.00,8.00,4.00,4.25,4.00,2.00,1.00,316,404,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',16163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210789,2.00,5.00,2.00,5.00,7.00,6.00,5.00,6.00,2.00,308,310,NULL,'ESTREITO','FLORIANOPOLIS','SC',14001,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210797,5.00,6.00,5.00,5.00,7.00,7.25,6.00,5.00,5.00,103,102,NULL,'FLORESTA','JOINVILLE','SC',7258,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2210800,4.00,6.00,4.00,4.00,5.00,4.50,5.00,6.00,4.00,316,NULL,NULL,'JARDIM CRUZEIRO','SAO JOSE DOS PINHAIS','PR',11582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2210827,4.00,5.00,4.00,6.00,7.00,5.00,6.00,4.00,3.00,318,316,NULL,'PONTE DO IMARUIM','PALHOCA','SC',11341,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210835,7.00,8.00,8.00,8.00,8.00,6.75,7.00,7.00,6.00,211,429,215,'KOBRASOL','SAO JOSE','SC',952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210843,3.00,7.00,7.00,8.00,7.00,7.75,5.00,6.00,4.00,303,2,NULL,'SÃO JOÃO','PASSO FUNDO','RS',4799,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2210851,2.00,6.00,3.00,3.00,7.00,5.00,6.00,4.00,3.00,208,324,238,'SERRARIAS','SAO JOSE','SC',15990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210878,0.00,3.00,5.00,2.00,2.00,NULL,3.00,2.00,1.00,404,444,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210886,5.00,7.00,6.00,7.00,9.00,7.50,4.00,7.00,4.00,415,234,NULL,'CAMPINAS','SAO JOSE','SC',3983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210894,4.00,8.00,2.00,7.00,8.00,5.00,6.00,7.00,4.00,303,207,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',6752,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210908,3.00,8.00,1.00,8.00,7.00,5.00,6.00,7.00,3.00,332,333,NULL,'SANTA CLARA','ITAJAI','SC',9035,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2210916,2.00,8.00,4.00,5.00,8.00,6.25,4.00,5.00,3.00,301,303,NULL,'PIO CORREA','CRICIUMA','SC',9418,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2210924,3.00,5.00,3.00,6.00,5.00,6.00,4.00,1.00,4.00,103,9,NULL,'PERPETUO SOCORRO','SAO LOURENCO DO OESTE','SC',16914,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2210932,3.00,7.00,4.00,6.00,7.00,6.50,7.00,5.00,2.00,211,429,238,'ITACORUBI','FLORIANOPOLIS','SC',9654,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210940,3.00,7.00,2.00,5.00,8.00,6.75,4.00,6.00,4.00,103,308,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',9947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,217,NULL,'ANHANGABAÚ','JUNDIAI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2210967,3.00,5.00,1.00,3.00,2.00,NULL,3.00,2.00,2.00,444,420,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2210975,4.00,8.00,6.00,7.00,9.00,5.50,7.00,6.00,4.00,202,324,238,'GLÓRIA','JOINVILLE','SC',4307,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2210983,3.00,7.00,2.00,7.00,6.00,5.75,6.00,4.00,2.00,214,213,233,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',13042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2210991,0.00,1.00,3.00,3.00,0.00,NULL,0.00,0.00,2.00,103,102,NULL,'CENTRO','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211009,1.00,4.00,2.00,8.00,6.00,4.50,6.00,3.00,3.00,207,310,NULL,'SANTA LUZIA','RIBEIRAO PRETO','SP',16168,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2211017,3.00,6.00,3.00,4.00,5.00,5.75,4.00,4.00,2.00,238,NULL,214,'ITACORUBI','FLORIANOPOLIS','SC',16952,627,NULL,510,NULL,NULL,NULL,2,1),(15,2211025,3.00,8.00,9.00,9.00,8.00,6.75,8.00,9.00,6.00,220,213,202,'JARDIM PAULISTANO','ITAPOLIS','SP',1080,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2211033,4.00,6.00,3.00,5.00,5.00,5.25,3.00,4.00,3.00,103,101,NULL,'SANTO ANTONIO','CAMPO GRANDE','MS',14939,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,451,201,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2211068,1.00,7.00,7.00,8.00,5.00,4.25,3.00,3.00,3.00,318,317,NULL,'CENTRO','FLORIANOPOLIS','SC',13819,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211076,4.00,8.00,5.00,3.00,3.00,4.50,3.00,6.00,2.00,317,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',16645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211084,2.00,2.00,1.00,3.00,3.00,NULL,1.00,1.00,3.00,324,308,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211092,1.00,3.00,1.00,0.00,5.00,NULL,0.00,0.00,0.00,316,301,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(15,2211106,9.00,8.00,9.00,8.00,9.00,6.25,9.00,6.00,8.00,216,301,215,'CENTRO','CACADOR','SC',152,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2211114,2.00,4.00,3.00,1.00,4.00,6.00,1.00,5.00,5.00,308,332,NULL,'SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC',20425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211122,5.00,7.00,3.00,6.00,9.00,6.00,5.00,4.00,3.00,303,301,NULL,'ESTREITO','FLORIANOPOLIS','SC',8183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211130,3.00,7.00,3.00,3.00,9.00,6.00,5.00,4.00,2.00,304,317,NULL,'KOBRASSOL','SAO JOSE','SC',12863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211149,6.00,7.00,6.00,8.00,8.00,6.00,6.00,7.00,6.00,216,302,NULL,'JARDIM DAS AMÉRICAS','PATO BRANCO','PR',3190,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2211157,1.00,5.00,4.00,4.00,7.00,5.25,6.00,4.00,1.00,207,326,NULL,'CENTRO','TIJUCAS','SC',16149,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211165,2.00,6.00,3.00,3.00,6.00,6.00,4.00,7.00,2.00,303,326,NULL,'RAIA','PARANAGUA','PR',14801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211173,0.00,5.00,0.00,3.00,8.00,NULL,2.00,4.00,1.00,324,308,NULL,'RIO CAVEIRAS','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211181,4.00,8.00,3.00,7.00,7.00,5.75,7.00,7.00,3.00,320,319,NULL,'PANTANAL','FLORIANOPOLIS','SC',7761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211190,3.00,4.00,5.00,7.00,7.00,5.50,3.00,3.00,2.00,224,339,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',13860,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211203,4.00,6.00,1.00,0.00,2.00,NULL,3.00,5.00,3.00,208,319,238,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2211211,1.00,7.00,3.00,7.00,7.00,6.00,3.00,4.00,4.00,425,211,NULL,'SANTA TEREZA','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2211220,4.00,8.00,7.00,7.00,7.00,6.25,5.00,7.00,3.00,5,320,NULL,'VILAS DO ATLANTICO','LAURO DE FREITAS','BA',4179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211238,7.00,8.00,7.00,5.00,7.00,5.00,6.00,6.00,6.00,103,101,NULL,'VILA NOVA','BLUMENAU','SC',3896,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2211246,3.00,6.00,3.00,5.00,4.00,4.75,2.00,4.00,2.00,203,103,201,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2211254,5.00,8.00,8.00,8.00,9.00,5.75,8.00,7.00,6.00,102,216,NULL,'CENTRO','ERVAL VELHO','SC',1588,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2211262,2.00,7.00,3.00,8.00,5.00,6.25,7.00,4.00,5.00,203,301,201,'ATIRADORES','JOINVILLE','SC',9693,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2211270,1.00,5.00,4.00,6.00,4.00,3.50,4.00,2.00,2.00,316,202,NULL,'SNT ANT DE LISBOA','FLORIANOPOLIS','SC',19724,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211289,5.00,7.00,5.00,5.00,7.00,5.75,3.00,3.00,4.00,108,208,NULL,'COLONINHA','FLORIANOPOLIS','SC',10357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211297,3.00,5.00,1.00,2.00,6.00,6.00,4.00,2.00,4.00,102,301,NULL,'PETROPOLIS','VACARIA','RS',18961,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2211300,2.00,6.00,3.00,7.00,4.00,4.75,8.00,8.00,2.00,303,2,NULL,'CENTRO','CAMBORIU','SC',11713,589,190,NULL,NULL,NULL,NULL,2,3),(15,2211335,2.00,4.00,0.00,2.00,3.00,NULL,2.00,1.00,1.00,208,404,238,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211343,2.00,5.00,4.00,9.00,8.00,6.75,5.00,6.00,3.00,103,303,NULL,'SUMARÉ','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2211351,2.00,8.00,3.00,8.00,6.00,5.00,4.00,3.00,2.00,301,234,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211386,2.00,6.00,3.00,6.00,3.00,5.75,2.00,6.00,1.00,304,9,NULL,'CAMPECHE','FLORIANOPOLIS','SC',18974,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211394,4.00,4.00,2.00,4.00,9.00,4.50,5.00,6.00,3.00,108,217,NULL,'PANTANAL','FLORIANOPOLIS','SC',12488,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211408,7.00,8.00,6.00,5.00,7.00,6.75,8.00,4.00,2.00,319,324,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',4885,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211416,7.00,9.00,7.00,7.00,9.00,7.25,9.00,7.00,6.00,103,301,NULL,'CENTRO','CURITIBA','PR',564,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2211424,2.00,3.00,2.00,2.00,4.00,NULL,1.00,1.00,3.00,103,101,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2211432,5.00,8.00,4.00,8.00,9.00,5.75,5.00,5.00,5.00,103,101,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211440,5.00,7.00,7.00,8.00,7.00,5.50,8.00,5.00,6.00,207,233,201,'CENTRO','CACADOR','SC',3213,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2211459,5.00,9.00,3.00,6.00,6.00,6.25,7.00,4.00,5.00,108,333,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',7316,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211467,4.00,8.00,4.00,5.00,6.00,5.50,6.00,6.00,3.00,5,425,NULL,'STO ANT DE LISBOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211475,5.00,8.00,4.00,6.00,9.00,6.50,6.00,8.00,3.00,331,303,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',4418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211483,2.00,6.00,2.00,0.00,6.00,NULL,4.00,6.00,3.00,208,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211491,0.00,3.00,0.00,2.00,2.00,NULL,1.00,1.00,0.00,319,308,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211505,4.00,5.00,0.00,4.00,8.00,NULL,3.00,2.00,1.00,215,424,233,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211513,2.00,5.00,3.00,5.00,5.00,4.50,5.00,4.00,2.00,316,318,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211521,2.00,4.00,4.00,7.00,4.00,5.50,2.00,5.00,2.00,415,211,NULL,'JARDIM PRIMAVERA','JACAREI','SP',17963,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2211530,2.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,1.00,339,208,NULL,'PARQUE JARDIM OURO','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2211548,4.00,7.00,3.00,2.00,6.00,6.25,3.00,3.00,3.00,303,326,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211556,3.00,7.00,5.00,6.00,6.00,5.00,3.00,6.00,3.00,9,101,NULL,'TRINDADE','FLORIANOPOLIS','SC',11778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211564,0.00,4.00,2.00,5.00,5.00,NULL,2.00,2.00,5.00,303,301,NULL,'SÃO LUIZ','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2211572,3.00,7.00,5.00,8.00,8.00,7.50,7.00,6.00,4.00,303,5,NULL,'ESPLANADA FLORESTAL','TERESINA','PI',4296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211599,4.00,7.00,4.00,8.00,6.00,6.25,5.00,7.00,2.00,319,310,NULL,'BONFIM PAULISTA','RIBEIRAO PRETO','SP',7785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,102,NULL,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2211629,4.00,7.00,3.00,6.00,8.00,5.25,6.00,5.00,5.00,316,426,NULL,'COQUEIROS','FLORIANOPOLIS','SC',7566,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211653,3.00,6.00,2.00,1.00,8.00,5.75,3.00,3.00,3.00,217,224,NULL,'NOVA DESCOBERTA','TIJUCAS','SC',17354,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2211661,1.00,3.00,2.00,3.00,4.00,5.00,4.00,5.00,2.00,103,333,NULL,'CENTRO','IPUMIRIM','SC',21373,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2211670,7.00,8.00,6.00,4.00,7.00,5.50,8.00,5.00,5.00,302,425,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',4359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211688,2.00,4.00,1.00,1.00,4.00,4.00,3.00,3.00,4.00,316,308,NULL,'CARIANOS','FLORIANOPOLIS','SC',21984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211696,5.00,5.00,7.00,5.00,6.00,5.25,3.00,2.00,3.00,104,233,NULL,'GARCIA','BLUMENAU','SC',14717,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2211700,3.00,5.00,5.00,2.00,3.00,4.50,5.00,4.00,1.00,501,319,NULL,'BARRA DO ARIRIÚ','PALHOCA','SC',19380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211718,4.00,8.00,4.00,4.00,7.00,6.50,5.00,7.00,1.00,224,318,NULL,'COQUEIROS','FLORIANOPOLIS','SC',10657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211734,0.00,0.00,0.00,2.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'SANTA LUCIA','CAPIVARI DE BAIXO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(15,2211742,5.00,6.00,6.00,8.00,7.00,4.50,4.00,7.00,2.00,317,302,NULL,'CENTRO','BRUSQUE','SC',6475,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2211750,2.00,5.00,1.00,3.00,3.00,5.25,2.00,1.00,3.00,415,423,NULL,'ITACORUBI','FLORIANOPOLIS','SC',22429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211777,5.00,9.00,8.00,9.00,7.00,5.75,6.00,6.00,6.00,5,316,NULL,'CENTRO','FLORIANOPOLIS','SC',2718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211785,7.00,8.00,9.00,7.00,7.00,6.00,8.00,7.00,6.00,108,501,NULL,'CENTRO','FLORIANOPOLIS','SC',1269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA COHAPAR','CIDADE GAUCHA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2211807,0.00,6.00,5.00,7.00,5.00,5.25,3.00,4.00,3.00,216,NULL,220,'VILA SAO JORGE','SAO VICENTE','SP',15276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211815,3.00,7.00,4.00,7.00,7.00,6.25,8.00,5.00,2.00,319,423,NULL,'CAMPINAS','SAO JOSE','SC',7268,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211823,6.00,8.00,9.00,7.00,8.00,5.25,8.00,7.00,6.00,211,223,201,'COQUEIROS','FLORIANOPOLIS','SC',1813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211840,2.00,6.00,4.00,3.00,4.00,5.00,4.00,3.00,2.00,212,316,238,'PONTA DE BAIXO','SAO JOSE','SC',18380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211866,3.00,6.00,5.00,7.00,3.00,5.00,4.00,6.00,1.00,501,319,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211874,3.00,6.00,7.00,9.00,8.00,8.00,6.00,7.00,3.00,203,304,214,'PONTA DA PRAIA','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2211882,5.00,5.00,3.00,7.00,8.00,6.25,2.00,6.00,3.00,5,329,NULL,'TRINDADE','FLORIANOPOLIS','SC',10934,475,142,NULL,NULL,NULL,NULL,2,1),(15,2211890,3.00,7.00,6.00,4.00,8.00,4.50,6.00,7.00,4.00,208,102,238,'COQUEIROS','FLORIANOPOLIS','SC',9046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211904,3.00,6.00,6.00,1.00,8.00,5.50,5.00,6.00,2.00,207,501,211,'CENTRO','TUBARAO','SC',13669,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2211920,5.00,8.00,4.00,8.00,8.00,7.50,7.00,6.00,5.00,420,207,NULL,'CAMPECHE','FLORIANOPOLIS','SC',3246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211939,1.00,0.00,0.00,4.00,2.00,NULL,2.00,1.00,3.00,211,5,215,'SÃO FRANCISCO','GOIANIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211947,2.00,6.00,1.00,0.00,4.00,NULL,1.00,5.00,1.00,103,203,NULL,'TRÊS VENDAS','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2211955,1.00,4.00,1.00,0.00,4.00,NULL,3.00,5.00,2.00,303,326,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211963,1.00,6.00,4.00,5.00,6.00,4.50,2.00,5.00,3.00,108,444,NULL,'SANTINHO','FLORIANOPOLIS','SC',17706,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2211971,4.00,9.00,5.00,3.00,8.00,3.75,8.00,8.00,5.00,5,103,NULL,'CENTRO','FLORIANOPOLIS','SC',5202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211980,4.00,6.00,6.00,6.00,8.00,5.00,6.00,6.00,2.00,238,327,NULL,'ITACORUBI','FLORIANOPOLIS','SC',7235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2211998,4.00,3.00,1.00,2.00,2.00,NULL,6.00,4.00,3.00,215,424,208,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212005,3.00,6.00,5.00,5.00,7.00,6.00,6.00,6.00,4.00,333,234,NULL,'LULU ILGENFRITZ','IJUI','RS',9027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,420,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2212048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,320,NULL,'ACLIMAÇÃO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2212056,2.00,5.00,4.00,1.00,3.00,5.25,3.00,3.00,3.00,339,102,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',21697,160,1130,NULL,NULL,NULL,NULL,2,1),(15,2212064,4.00,7.00,5.00,7.00,8.00,5.75,7.00,9.00,3.00,238,317,NULL,'BARREIROS','SAO JOSE','SC',5048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212072,6.00,8.00,5.00,9.00,8.00,NULL,0.00,0.00,0.00,214,212,220,'JARDIM ANDRADE','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2212080,4.00,7.00,4.00,4.00,5.00,6.00,7.00,7.00,4.00,420,104,NULL,'OFICINAS','TUBARAO','SC',9454,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2212099,4.00,6.00,6.00,9.00,8.00,5.75,7.00,6.00,4.00,238,420,208,'PANTANAL','FLORIANOPOLIS','SC',4501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212102,2.00,3.00,2.00,0.00,7.00,4.50,3.00,4.00,4.00,212,5,201,'FLORESTA','JOINVILLE','SC',20962,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2212110,4.00,8.00,8.00,8.00,5.00,5.75,9.00,8.00,5.00,304,318,NULL,'GONZAGA','SANTOS','SP',2633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212129,7.00,8.00,8.00,7.00,8.00,5.50,9.00,7.00,7.00,203,214,220,'ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP',1042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,217,NULL,'PROGRESSO','RIO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2212145,5.00,8.00,6.00,7.00,8.00,5.00,7.00,7.00,6.00,208,224,238,'INGLESES','FLORIANOPOLIS','SC',2613,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2212153,6.00,6.00,5.00,1.00,7.00,6.75,5.00,6.00,3.00,211,103,216,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2212161,5.00,6.00,3.00,4.00,8.00,6.75,7.00,4.00,5.00,5,310,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',9311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2212170,4.00,5.00,3.00,5.00,6.00,6.75,4.00,3.00,2.00,104,NULL,NULL,'CINQÜENTENÁRIO','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2212188,0.00,6.00,2.00,2.00,3.00,NULL,3.00,2.00,1.00,207,420,201,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212196,4.00,7.00,6.00,6.00,5.00,5.00,4.00,3.00,3.00,316,318,NULL,'JD CID DE FPOLIS','SAO JOSE','SC',12076,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2212200,6.00,8.00,4.00,6.00,9.00,7.75,6.00,7.00,5.00,415,320,NULL,'BELÉM','SAO PAULO','SP',3506,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2212218,2.00,5.00,2.00,3.00,5.00,6.00,4.00,4.00,1.00,104,320,NULL,'ARMAÇÃO','PENHA','SC',20232,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2212226,6.00,8.00,7.00,8.00,8.00,5.50,4.00,5.00,5.00,207,9,215,'TRINDADE','FLORIANOPOLIS','SC',3509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212234,3.00,7.00,5.00,7.00,6.00,5.50,6.00,3.00,3.00,319,302,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212242,5.00,7.00,3.00,6.00,6.00,4.00,3.00,5.00,2.00,423,425,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',12902,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2212250,2.00,4.00,6.00,5.00,4.00,5.75,4.00,4.00,4.00,216,217,238,'PONTE DO IMARUIM','PALHOCA','SC',16194,465,465,600,NULL,NULL,NULL,4,1),(15,2212277,2.00,6.00,1.00,3.00,6.00,5.25,4.00,5.00,2.00,421,427,425,'CACUPÉ','FLORIANOPOLIS','SC',18270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212285,1.00,5.00,2.00,2.00,6.00,5.25,2.00,5.00,3.00,5,329,NULL,'ITAGUAÇÚ','FLORIANOPOLIS','SC',19348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212293,2.00,6.00,2.00,8.00,5.00,5.75,3.00,6.00,2.00,316,423,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',14751,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2212307,1.00,3.00,5.00,5.00,7.00,4.00,1.00,7.00,2.00,309,308,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',18952,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2212315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,104,NULL,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2212323,5.00,4.00,6.00,7.00,7.00,4.75,7.00,4.00,4.00,444,301,NULL,'JARDIM ESPLANADA','SAO JOSE DOS CAMPOS','SP',8002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212340,2.00,4.00,3.00,1.00,5.00,4.50,3.00,3.00,2.00,212,404,214,'BOQUEIRÃO','CURITIBA','PR',21665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212366,2.00,7.00,3.00,6.00,6.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,7),(15,2212374,1.00,6.00,4.00,6.00,6.00,5.50,4.00,2.00,2.00,501,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',15216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,234,NULL,'CENTRO','CANARANA','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2212390,1.00,6.00,4.00,1.00,5.00,2.00,2.00,4.00,2.00,203,102,216,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2212404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,450,NULL,'MANSOES STO ANTONIO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2212412,6.00,7.00,4.00,6.00,7.00,4.50,6.00,4.00,4.00,103,102,NULL,'CENTRO','CURITIBA','PR',7716,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2212420,3.00,6.00,3.00,8.00,5.00,4.50,2.00,5.00,2.00,333,421,NULL,'ITACORUBI','FLORIANOPOLIS','SC',15925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212439,1.00,5.00,5.00,3.00,6.00,5.75,7.00,3.00,4.00,208,NULL,202,'CIDADE ALTA','ARARANGUA','SC',12730,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2212447,4.00,7.00,5.00,9.00,7.00,5.25,5.00,4.00,3.00,103,NULL,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2212463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,451,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2212471,3.00,6.00,3.00,4.00,5.00,4.00,5.00,4.00,3.00,320,327,NULL,'UTINGA','SANTO ANDRE','SP',16378,71,389,NULL,NULL,NULL,NULL,4,1),(15,2212480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,203,NULL,'JARDIM UCRÂNIA','PRUDENTOPOLIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2212501,5.00,7.00,7.00,9.00,4.00,6.75,8.00,6.00,3.00,318,316,NULL,'SERRINHA','FLORIANOPOLIS','SC',4596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212510,4.00,9.00,8.00,6.00,6.00,6.00,9.00,7.00,9.00,216,215,203,'CAMPO BELO','SAO PAULO','SP',1759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212528,4.00,8.00,8.00,8.00,6.00,4.25,9.00,7.00,6.00,203,233,216,'SANTA TEREZINHA','GALIA','SP',3415,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2212544,3.00,9.00,8.00,9.00,9.00,7.50,3.00,5.00,6.00,450,327,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',3092,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2212552,2.00,4.00,2.00,1.00,5.00,2.00,2.00,4.00,3.00,208,308,213,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2212560,2.00,4.00,1.00,4.00,7.00,4.75,3.00,4.00,5.00,103,102,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212579,2.00,8.00,3.00,6.00,8.00,6.00,5.00,4.00,2.00,103,415,NULL,'TRINDADE','FLORIANOPOLIS','SC',11267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212587,5.00,8.00,6.00,8.00,7.00,4.75,6.00,7.00,8.00,108,333,NULL,'JARDIM FLORENÇA','LIMEIRA','SP',2497,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2212595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,404,NULL,'PORTO XV','ENCANTADO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2212617,4.00,9.00,6.00,8.00,9.00,7.00,7.00,6.00,5.00,207,451,NULL,'CENTRO','FLORIANOPOLIS','SC',2449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212625,1.00,4.00,3.00,2.00,2.00,NULL,2.00,2.00,3.00,428,326,423,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2212633,5.00,7.00,2.00,6.00,7.00,6.50,7.00,5.00,2.00,316,429,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',9140,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2212641,2.00,5.00,1.00,0.00,6.00,NULL,4.00,2.00,3.00,316,426,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212650,1.00,3.00,2.00,3.00,3.00,NULL,2.00,3.00,2.00,103,333,NULL,'ALTO FELIZ','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2212668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,101,NULL,'CENTRO','TENENTE PORTELA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2212676,3.00,4.00,3.00,3.00,6.00,6.00,3.00,4.00,1.00,404,309,NULL,'JARDIM ZANELATO','SAO JOSE','SC',19731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2212684,0.00,6.00,4.00,4.00,3.00,4.00,2.00,3.00,2.00,303,212,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212692,3.00,7.00,2.00,5.00,8.00,3.50,5.00,8.00,4.00,310,320,NULL,'ALTO XV','CURITIBA','PR',8542,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2212706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,327,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2212714,8.00,9.00,9.00,9.00,8.00,6.50,9.00,7.00,8.00,103,217,NULL,'CENTRO','BRUSQUE','SC',178,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2212722,5.00,6.00,2.00,5.00,6.00,5.25,5.00,2.00,5.00,108,217,NULL,'ESPIGAO DA PEDRA','ARARANGUA','SC',12469,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2212730,6.00,9.00,9.00,8.00,8.00,5.75,7.00,8.00,5.00,304,318,NULL,'URBANOVA','SAO JOSE DOS CAMPOS','SP',1660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212749,5.00,8.00,8.00,8.00,9.00,6.00,8.00,8.00,6.00,103,333,NULL,'CENTRO','FLORIANOPOLIS','SC',941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212757,5.00,7.00,7.00,4.00,8.00,5.00,8.00,7.00,6.00,501,2,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',4139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212773,7.00,9.00,7.00,8.00,7.00,6.25,8.00,7.00,4.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',2198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212781,2.00,8.00,7.00,8.00,5.00,4.75,4.00,5.00,2.00,220,201,NULL,'JARDIM ALVORADA','SORRISO','MT',10237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212790,5.00,6.00,7.00,4.00,8.00,7.50,7.00,4.00,5.00,216,404,215,'TRINDADE','FLORIANOPOLIS','SC',6980,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2212803,5.00,5.00,2.00,4.00,7.00,6.00,5.00,4.00,3.00,318,317,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',12518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212811,5.00,7.00,5.00,5.00,7.00,5.00,7.00,7.00,2.00,203,NULL,214,'DOS ESTADOS','GUARAPUAVA','PR',7085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212820,1.00,3.00,2.00,5.00,4.00,4.75,4.00,3.00,2.00,9,316,NULL,'PORTO DA LAGOA','FLORIANOPOLIS','SC',21890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2212838,7.00,8.00,6.00,7.00,7.00,8.75,6.00,8.00,6.00,103,303,NULL,'ABRANCHES','CURITIBA','PR',1693,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2212854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,9,NULL,'CENTRO','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2212862,6.00,7.00,7.00,6.00,7.00,6.25,6.00,3.00,4.00,303,108,NULL,'SAO LUIZ','CRICIUMA','SC',6131,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2212870,5.00,6.00,2.00,3.00,7.00,5.75,2.00,4.00,2.00,103,102,NULL,'CENTRO','CURITIBANOS','SC',15869,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2212889,1.00,5.00,1.00,6.00,6.00,5.75,2.00,3.00,2.00,207,319,201,'N SENHORA DE FÁTIMA','BARRACAO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2212900,2.00,7.00,5.00,7.00,6.00,5.50,5.00,8.00,5.00,238,423,208,'PANTANAL','FLORIANOPOLIS','SC',6822,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2212919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,326,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2212927,2.00,4.00,2.00,3.00,5.00,4.50,4.00,4.00,2.00,208,202,215,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,9,NULL,'CENTRO','HONORIO SERPA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2212943,0.00,4.00,1.00,2.00,2.00,NULL,3.00,2.00,3.00,327,332,NULL,'BAIRRO TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,428,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2212986,3.00,6.00,5.00,2.00,8.00,5.50,4.00,2.00,5.00,319,308,NULL,'TRINDADE','FLORIANOPOLIS','SC',14614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2212994,3.00,7.00,5.00,6.00,6.00,5.00,4.00,6.00,5.00,215,217,216,'ESPIGAO DA PEDRA','ARARANGUA','SC',8237,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2213001,5.00,8.00,9.00,3.00,7.00,8.00,8.00,5.00,6.00,5,309,NULL,'ESTREITO','FLORIANOPOLIS','SC',3178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2213028,3.00,8.00,6.00,4.00,7.00,5.00,5.00,6.00,2.00,208,222,238,'ROÇADO','SAO JOSE','SC',10758,373,122,366,NULL,NULL,NULL,4,1),(15,2213044,8.00,7.00,6.00,7.00,8.00,5.75,8.00,6.00,6.00,238,318,208,'CENTRO','FLORIANOPOLIS','SC',2000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213052,3.00,6.00,1.00,2.00,6.00,0.00,4.00,3.00,1.00,104,NULL,NULL,'TARGINO','OTACILIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2213060,3.00,7.00,6.00,7.00,9.00,5.75,7.00,6.00,4.00,203,201,214,'SÃO PELEGRINO','CAXIAS DO SUL','RS',4886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213079,2.00,3.00,2.00,3.00,3.00,5.25,2.00,3.00,3.00,308,208,NULL,'SANTOANTONIODELISBOA','FLORIANOPOLIS','SC',22509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213087,4.00,5.00,4.00,2.00,3.00,5.25,6.00,6.00,2.00,319,420,NULL,'CENTRO','SARANDI','PR',16603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213095,4.00,7.00,5.00,6.00,6.00,5.00,3.00,7.00,4.00,316,5,NULL,'TRINDADE','FLORIANOPOLIS','SC',9833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,102,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2213117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,420,NULL,'PAULO DE BIASI','IBITINGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2213133,2.00,5.00,4.00,3.00,4.00,6.00,3.00,3.00,3.00,103,102,NULL,'APARECIDA','SANTOS','SP',18796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213150,1.00,4.00,2.00,3.00,6.00,4.50,3.00,4.00,0.00,316,329,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',21472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213168,3.00,7.00,5.00,8.00,7.00,6.50,6.00,5.00,5.00,415,207,NULL,'LAGOA CONCEIÇÃO','FLORIANOPOLIS','SC',5853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2213176,2.00,7.00,2.00,2.00,5.00,4.50,2.00,6.00,1.00,5,316,NULL,'BELA VISTA II','SAO JOSE','SC',19285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213184,6.00,5.00,6.00,7.00,9.00,5.00,8.00,5.00,5.00,103,5,NULL,'CENTRO','FLORIANOPOLIS','SC',4246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213192,5.00,7.00,6.00,7.00,8.00,4.00,6.00,7.00,3.00,208,421,238,'CACUPÉ','FLORIANOPOLIS','SC',6266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213206,3.00,7.00,4.00,4.00,7.00,5.00,6.00,7.00,2.00,201,318,202,'PIO CORREA','CRICIUMA','SC',10948,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2213214,4.00,7.00,6.00,7.00,6.00,5.75,7.00,6.00,5.00,238,316,208,'FAZENDA STO ANTONIO','SAO JOSE','SC',5179,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2213222,4.00,7.00,3.00,5.00,8.00,7.50,4.00,8.00,4.00,426,423,428,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',6834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213230,4.00,8.00,4.00,6.00,8.00,4.25,5.00,6.00,4.00,238,316,208,'MONTE VERDE','FLORIANOPOLIS','SC',8957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213249,5.00,7.00,7.00,4.00,6.00,5.50,8.00,6.00,4.00,420,NULL,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',6118,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2213265,6.00,7.00,7.00,8.00,8.00,7.00,6.00,7.00,3.00,415,424,NULL,'KOBRASOL','SAO JOSE','SC',3147,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2213273,4.00,7.00,8.00,7.00,9.00,6.75,7.00,5.00,6.00,5,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',2452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213281,1.00,6.00,6.00,5.00,4.00,5.00,4.00,5.00,3.00,420,203,NULL,'VILA LILICA','SANTO ANDRE','SP',15074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213303,3.00,7.00,5.00,4.00,7.00,6.75,3.00,6.00,5.00,317,217,NULL,'CENTRO','FLORIANOPOLIS','SC',9388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213311,2.00,5.00,5.00,2.00,5.00,6.00,5.00,3.00,3.00,208,238,NULL,'MORRETES','ITAPEMA','SC',17487,680,975,NULL,NULL,NULL,NULL,4,3),(15,2213320,3.00,6.00,4.00,4.00,7.00,5.50,4.00,6.00,4.00,331,326,NULL,'CENTRO','MARIOPOLIS','PR',10350,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2213338,4.00,7.00,6.00,3.00,5.00,6.75,5.00,6.00,4.00,203,220,233,'ZONA CINCO','MARINGA','PR',9688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213346,1.00,5.00,4.00,5.00,5.00,6.25,3.00,3.00,2.00,319,9,NULL,'INDUSTRIAL NORTE','RIO NEGRINHO','SC',18187,388,668,NULL,NULL,NULL,NULL,2,1),(15,2213354,1.00,1.00,1.00,6.00,4.00,NULL,4.00,2.00,1.00,202,238,208,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2213362,5.00,7.00,5.00,7.00,5.00,5.75,6.00,7.00,4.00,211,NULL,201,'CENTRO','FLORIANOPOLIS','SC',6253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213370,4.00,6.00,3.00,6.00,8.00,5.75,4.00,5.00,4.00,223,222,NULL,'CENTRO','CANELINHA','SC',10030,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2213389,2.00,7.00,1.00,3.00,6.00,4.75,4.00,5.00,1.00,420,444,NULL,'CENTRO','FLORIANOPOLIS','SC',19347,387,552,NULL,NULL,NULL,NULL,4,1),(15,2213397,4.00,7.00,0.00,5.00,7.00,4.50,7.00,6.00,3.00,101,319,NULL,'ASA SUL','BRASILIA','DF',12260,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2213400,1.00,2.00,1.00,6.00,4.00,NULL,4.00,0.00,3.00,5,316,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2213419,2.00,3.00,1.00,4.00,5.00,NULL,2.00,2.00,0.00,9,308,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2213427,2.00,6.00,5.00,8.00,5.00,5.00,4.00,5.00,2.00,317,238,NULL,'CURTUME','TORRES','RS',12146,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2213435,3.00,6.00,2.00,5.00,5.00,6.25,5.00,3.00,1.00,208,238,207,'JARDIM EUCALIPTO','PALHOCA','SC',17286,674,971,826,NULL,NULL,NULL,2,1),(15,2213443,2.00,4.00,3.00,2.00,5.00,6.75,5.00,5.00,1.00,415,450,NULL,'NAÇÕES','BALNEARIO CAMBORIU','SC',18226,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2213451,5.00,7.00,7.00,8.00,7.00,6.50,5.00,7.00,5.00,318,304,NULL,'IPIRANGA','SAO PAULO','SP',4407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213460,3.00,8.00,6.00,7.00,5.00,6.00,7.00,5.00,3.00,208,316,201,'PIRITUBA','SAO PAULO','SP',7513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213478,3.00,6.00,2.00,2.00,6.00,5.50,6.00,5.00,4.00,450,238,NULL,'JARDIM SANTA TEREZIN','SAO PAULO','SP',16135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213486,4.00,8.00,4.00,6.00,5.00,7.00,5.00,6.00,5.00,303,108,NULL,'CENTRO','SANTO ANGELO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213494,1.00,6.00,2.00,0.00,2.00,NULL,3.00,4.00,3.00,319,9,NULL,'NOVO BAIRRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2213508,4.00,6.00,3.00,5.00,5.00,6.00,3.00,3.00,2.00,303,202,NULL,'ITACORUBI','FLORIANOPOLIS','SC',16585,756,920,NULL,NULL,NULL,NULL,2,1),(15,2213516,2.00,6.00,1.00,4.00,4.00,5.00,3.00,4.00,3.00,424,425,427,'COQUEIROS','FLORIANOPOLIS','SC',17872,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2213524,0.00,0.00,1.00,0.00,1.00,NULL,2.00,1.00,4.00,104,102,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2213532,3.00,4.00,5.00,6.00,5.00,6.00,4.00,2.00,1.00,420,NULL,NULL,'AUXILIADORA','PORTO ALEGRE','RS',16932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213559,7.00,8.00,9.00,9.00,7.00,4.75,8.00,8.00,6.00,211,217,208,'CENTRO','FLORIANOPOLIS','SC',859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213583,5.00,7.00,6.00,8.00,8.00,6.25,8.00,7.00,5.00,203,2,220,'CRISTO REI','CHAPECO','SC',2569,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2213591,2.00,6.00,5.00,0.00,5.00,6.50,6.00,5.00,3.00,202,103,NULL,'ITAIPAVA','ITAJAI','SC',15132,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2213605,3.00,5.00,3.00,7.00,6.00,7.50,4.00,8.00,2.00,203,220,201,'AVENTUREIRO','JOINVILLE','SC',10578,783,713,588,NULL,NULL,NULL,4,8),(15,2213613,5.00,8.00,8.00,8.00,9.00,6.50,8.00,8.00,8.00,103,108,NULL,'SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC',900,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2213621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2213648,3.00,4.00,4.00,2.00,4.00,NULL,0.00,2.00,1.00,326,NULL,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213656,2.00,6.00,0.00,2.00,3.00,NULL,4.00,2.00,3.00,319,328,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2213664,2.00,7.00,1.00,0.00,4.00,4.25,4.00,4.00,2.00,5,9,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20896,860,728,NULL,NULL,NULL,NULL,4,1),(15,2213672,6.00,8.00,6.00,10.00,8.00,6.75,7.00,8.00,6.00,208,233,202,'JARDIM AMÉRICA','CHAPECO','SC',1142,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2213680,0.00,4.00,2.00,3.00,4.00,NULL,4.00,4.00,1.00,308,339,NULL,'RIO CAVEIRAS','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,213,NULL,'CENTRO','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2213729,3.00,3.00,0.00,4.00,8.00,4.50,1.00,1.00,4.00,9,326,NULL,'FORQUILHINHAS','SAO JOSE','SC',21100,315,337,NULL,NULL,NULL,NULL,2,1),(15,2213737,2.00,6.00,2.00,7.00,4.00,4.50,5.00,5.00,4.00,238,225,208,'CENTRO','FLORIANOPOLIS','SC',14745,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2213753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2213761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2213788,4.00,7.00,5.00,6.00,7.00,7.00,8.00,6.00,5.00,319,304,NULL,'JOSÉ BONIFACIO','ERECHIM','RS',5579,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2213796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,201,202,'GUARAITUBA','COLOMBO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2213800,5.00,6.00,5.00,5.00,7.00,5.00,6.00,5.00,4.00,238,NULL,208,'SANTA FELICIDADE','CURITIBA','PR',8161,253,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,316,NULL,'APARECIDA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2213834,3.00,7.00,5.00,8.00,8.00,5.50,4.00,5.00,3.00,331,332,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',8418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2213842,5.00,8.00,8.00,8.00,9.00,5.50,7.00,6.00,5.00,202,211,203,'PANTANAL','FLORIANOPOLIS','SC',2787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213850,2.00,7.00,2.00,8.00,7.00,6.75,4.00,6.00,2.00,303,301,NULL,'UNIVERSITÁRIO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2213869,2.00,5.00,3.00,5.00,3.00,5.75,5.00,5.00,3.00,201,208,202,'CAMPINAS','SAO JOSE','SC',17116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213885,1.00,4.00,5.00,6.00,7.00,6.00,5.00,3.00,0.00,201,2,216,'SÃO CRISTÓVÃO','CRICIUMA','SC',14957,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2213893,3.00,4.00,3.00,5.00,5.00,5.75,5.00,5.00,5.00,238,501,208,'LUCIANA II','MARECHAL CANDIDO RONDON','PR',13818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213907,4.00,6.00,3.00,7.00,6.00,6.25,5.00,6.00,4.00,211,450,NULL,'PIO CORREA','CRICIUMA','SC',9594,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2213915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,501,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2213923,1.00,6.00,3.00,2.00,2.00,NULL,4.00,3.00,2.00,303,425,NULL,'BAIRRO IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213931,2.00,5.00,3.00,1.00,6.00,5.00,4.00,3.00,2.00,303,301,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213940,2.00,7.00,4.00,8.00,6.00,5.25,3.00,6.00,3.00,5,225,NULL,'COQUEIROS','FLORIANOPOLIS','SC',11135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2213966,4.00,6.00,4.00,7.00,2.00,NULL,4.00,2.00,1.00,332,333,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2213974,1.00,6.00,1.00,1.00,5.00,6.50,2.00,4.00,4.00,319,339,NULL,'INTERIOR','QUILOMBO','SC',20513,455,400,NULL,NULL,NULL,NULL,4,4),(15,2213990,2.00,6.00,3.00,2.00,7.00,4.00,4.00,2.00,3.00,324,421,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',18692,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2214008,3.00,4.00,4.00,3.00,4.00,4.50,1.00,4.00,5.00,5,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',19630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2214016,2.00,4.00,1.00,6.00,5.00,5.50,4.00,2.00,1.00,301,304,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',19903,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2214024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,102,207,'CIDADE NOVA','GUARANTA DO NORTE','MT',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2214032,2.00,4.00,0.00,1.00,6.00,NULL,2.00,4.00,2.00,101,9,NULL,'CENTRO','SAO JOSE DO CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2214040,4.00,6.00,2.00,6.00,6.00,5.00,3.00,4.00,4.00,238,326,208,'BARREIROS','SAO JOSE','SC',14115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2214059,3.00,6.00,2.00,3.00,6.00,5.50,3.00,4.00,4.00,9,316,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',16950,234,1115,NULL,NULL,NULL,NULL,4,1),(15,2214067,3.00,7.00,1.00,1.00,5.00,3.75,3.00,4.00,3.00,319,309,NULL,'PRAINHA','FLORIANOPOLIS','SC',19812,432,216,NULL,NULL,NULL,NULL,2,1),(15,2214075,1.00,6.00,1.00,4.00,6.00,6.25,6.00,6.00,1.00,316,304,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',17440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2214091,4.00,5.00,1.00,7.00,6.00,4.50,3.00,5.00,3.00,208,302,216,'VARGEN DO BON JESUS','FLORIANOPOLIS','SC',15373,589,275,442,NULL,NULL,NULL,2,1),(15,2214105,3.00,7.00,2.00,6.00,7.00,4.25,7.00,7.00,2.00,9,501,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',10947,121,402,NULL,NULL,NULL,NULL,2,1),(15,2214113,3.00,7.00,6.00,5.00,4.00,4.75,4.00,7.00,1.00,318,317,NULL,'BARREIROS','SAO JOSE','SC',13403,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2214121,1.00,7.00,4.00,0.00,7.00,4.75,4.00,6.00,2.00,2,216,NULL,'INTERIOR','FRAIBURGO','SC',15745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2214130,1.00,1.00,1.00,1.00,4.00,NULL,1.00,1.00,3.00,316,317,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2214156,1.00,3.00,4.00,1.00,4.00,3.25,6.00,2.00,2.00,502,501,NULL,'CENTRO','SAO MARCOS','RS',22400,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2214164,1.00,5.00,1.00,3.00,2.00,NULL,1.00,3.00,1.00,333,423,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2214172,5.00,8.00,6.00,9.00,9.00,6.50,8.00,6.00,5.00,103,NULL,NULL,'UNIVERSITÁRIO','CRICIUMA','SC',2605,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2214180,5.00,5.00,4.00,7.00,8.00,5.75,5.00,6.00,4.00,101,444,NULL,'CAMPINAS','SAO JOSE','SC',7889,39,NULL,NULL,NULL,NULL,NULL,4,1),(15,2214202,2.00,6.00,2.00,7.00,8.00,5.00,5.00,6.00,3.00,444,332,NULL,'PANTANO DO SUL','FLORIANOPOLIS','SC',11635,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2214210,6.00,8.00,7.00,9.00,8.00,7.75,8.00,6.00,6.00,220,2,213,'BARREIROS','SAO JOSE','SC',1022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2214229,2.00,5.00,2.00,3.00,6.00,5.25,7.00,7.00,4.00,103,104,NULL,'CENTRO','SANTA CECILIA','SC',12742,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2214245,4.00,8.00,1.00,6.00,4.00,5.50,2.00,7.00,2.00,303,415,NULL,'CENTRO','CURITIBA','PR',13181,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2214253,3.00,6.00,2.00,9.00,8.00,5.75,7.00,2.00,4.00,217,223,NULL,'CENTRO','FOZ DO IGUACU','PR',9680,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2214270,4.00,7.00,2.00,4.00,7.00,5.75,4.00,6.00,2.00,103,309,NULL,'BARREIROS','SAO JOSE','SC',12870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2214296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,220,202,'CENTRO','REGISTRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2214300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2214326,2.00,7.00,3.00,2.00,6.00,4.00,2.00,4.00,2.00,327,415,NULL,'INTERIOR','SANTA TEREZINHA','SC',19330,161,792,NULL,NULL,NULL,NULL,4,2),(15,2214342,1.00,7.00,1.00,6.00,6.00,4.75,3.00,5.00,1.00,501,333,NULL,'BARREIROS','SAO JOSE','SC',16838,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2214350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,NULL,'INTERLAGOS','TRES LAGOAS','MS',NULL,NULL,NULL,NULL,'S','S','S',3,3),(15,2214369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,217,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2214377,7.00,9.00,8.00,6.00,8.00,5.75,9.00,9.00,7.00,202,213,214,'JABAQUARA','SAO PAULO','SP',542,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2214385,2.00,5.00,3.00,5.00,6.00,4.25,3.00,2.00,2.00,333,327,NULL,'ARIRIU DA FORMIGA','PALHOCA','SC',18370,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2214393,3.00,7.00,2.00,4.00,5.00,3.50,4.00,4.00,4.00,331,301,NULL,'CARIANOS','FLORIANOPOLIS','SC',17509,80,748,NULL,NULL,NULL,NULL,2,1),(15,2214407,1.00,3.00,5.00,3.00,5.00,6.50,5.00,3.00,1.00,317,316,NULL,'CENTRO','FLORIANOPOLIS','SC',20464,373,1231,NULL,NULL,NULL,NULL,2,1),(15,2214415,2.00,5.00,2.00,5.00,4.00,4.00,4.00,4.00,3.00,309,223,NULL,'CENTRO','GAROPABA','SC',19628,56,NULL,NULL,NULL,NULL,NULL,2,1),(15,2214431,0.00,7.00,2.00,6.00,7.00,6.50,3.00,4.00,2.00,327,426,NULL,'BELA VISTA III','SAO JOSE','SC',16766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2214458,8.00,7.00,9.00,4.00,7.00,6.00,9.00,8.00,8.00,203,333,214,'JARDIM AEROPORTO','MARILIA','SP',925,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2214466,1.00,4.00,2.00,1.00,3.00,NULL,1.00,4.00,1.00,415,428,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2214474,4.00,8.00,7.00,4.00,8.00,5.25,9.00,6.00,5.00,316,211,NULL,'CENTRO','FLORIANOPOLIS','SC',4330,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2214482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,217,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2214490,2.00,3.00,1.00,1.00,5.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2214504,4.00,3.00,3.00,3.00,3.00,3.25,4.00,1.00,4.00,103,101,NULL,'SÃO MARCOS','JOINVILLE','SC',22060,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2214512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,211,NULL,'CENTRO','FREI ROGERIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2214520,4.00,5.00,1.00,4.00,5.00,5.00,2.00,3.00,3.00,108,331,NULL,'JARDIM UMARIZAL','SAO PAULO','SP',19535,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2214555,7.00,8.00,7.00,7.00,7.00,6.50,8.00,6.00,7.00,216,211,215,'CENTRO','CURITIBA','PR',2219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2214571,4.00,7.00,5.00,5.00,7.00,6.00,6.00,5.00,6.00,450,108,NULL,'JARDIM JAPAO','SAO PAULO','SP',7330,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2214580,1.00,3.00,2.00,5.00,5.00,5.50,4.00,4.00,1.00,5,501,NULL,'IBIRAQUERA','IMBITUBA','SC',20872,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2214598,3.00,6.00,5.00,2.00,4.00,5.00,5.00,3.00,2.00,502,501,NULL,'CENTRO','SAO MARCOS','RS',16979,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2214601,5.00,8.00,4.00,5.00,8.00,7.25,6.00,4.00,3.00,310,331,NULL,'CENTRO','FLORIANOPOLIS','SC',8963,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2214610,1.00,7.00,3.00,1.00,6.00,4.75,3.00,4.00,3.00,201,212,NULL,'BOA PARDA','SAO PEDRO DE ALCANTARA','SC',18789,992,562,NULL,NULL,NULL,NULL,4,1),(15,2214628,4.00,6.00,4.00,5.00,7.00,6.00,5.00,7.00,4.00,316,333,NULL,'ESTREITO','FLORIANOPOLIS','SC',9473,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2214636,5.00,7.00,7.00,7.00,6.00,5.00,5.00,4.00,3.00,238,214,208,'PARAISO','SAO GONCALO','RJ',8202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2214644,3.00,4.00,3.00,2.00,2.00,NULL,3.00,3.00,1.00,404,328,NULL,'BOM VIVER','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2214652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,215,NULL,'JARDIM AMÉRICA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2214660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,211,NULL,'CENTRO','FREI ROGERIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2214679,3.00,5.00,2.00,6.00,6.00,4.50,3.00,4.00,1.00,339,324,NULL,'CENTRO','FLORIANOPOLIS','SC',17980,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2214687,6.00,7.00,4.00,5.00,9.00,5.75,7.00,5.00,5.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',6845,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2214709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2214733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2214741,2.00,6.00,1.00,6.00,7.00,6.25,5.00,4.00,1.00,333,108,NULL,'CENTRO','ERECHIM','RS',15181,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2214750,2.00,6.00,2.00,2.00,2.00,NULL,6.00,4.00,3.00,317,332,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2214776,1.00,7.00,3.00,3.00,7.00,6.00,6.00,2.00,2.00,421,424,429,'STO ANTONIO DE LISBO','FLORIANOPOLIS','SC',17178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2214792,5.00,7.00,6.00,2.00,7.00,4.75,5.00,5.00,3.00,208,318,201,'TRINDADE','FLORIANOPOLIS','SC',10713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2214814,2.00,5.00,2.00,4.00,4.00,5.50,4.00,4.00,1.00,103,333,NULL,'SÃO CRISTOVÃO','LAGES','SC',19861,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2214822,1.00,6.00,1.00,5.00,5.00,5.75,3.00,7.00,2.00,103,NULL,NULL,'JD CHAPADÃO','CAMPINAS','SP',17288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2214830,2.00,3.00,1.00,0.00,3.00,NULL,3.00,3.00,1.00,316,331,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2214849,4.00,8.00,5.00,7.00,5.00,7.00,6.00,7.00,4.00,101,108,NULL,'ESTREITO','FLORIANOPOLIS','SC',6047,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2214857,4.00,6.00,4.00,3.00,6.00,4.50,6.00,4.00,2.00,304,222,NULL,'SERRARIA','SAO JOSE','SC',15072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2214881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TIJUCAS DO SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2214890,3.00,5.00,4.00,5.00,7.00,6.25,4.00,5.00,3.00,103,104,NULL,'CENTRO','CRICIUMA','SC',11805,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2214903,6.00,9.00,5.00,7.00,7.00,5.25,6.00,8.00,5.00,103,211,NULL,'CENTRO','PATO BRANCO','PR',3992,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2214911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,216,201,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2214938,1.00,5.00,3.00,5.00,5.00,4.75,3.00,4.00,3.00,234,324,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',18669,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2214954,2.00,6.00,4.00,8.00,8.00,5.25,4.00,4.00,4.00,333,108,NULL,'COQUEIROS','FLORIANOPOLIS','SC',11489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2214989,4.00,7.00,3.00,9.00,6.00,5.75,3.00,4.00,3.00,421,423,425,'VILA PEREIRA','SAO JOSE DO RIO PARDO','SP',12758,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2214997,3.00,6.00,1.00,4.00,5.00,4.75,2.00,4.00,1.00,319,301,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',20511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2215004,2.00,7.00,3.00,3.00,3.00,6.25,2.00,5.00,4.00,329,333,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',18528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2215012,6.00,7.00,6.00,5.00,6.00,5.00,8.00,5.00,2.00,202,213,233,'JARDIN SOPHIA','JOINVILLE','SC',7404,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2215047,2.00,5.00,1.00,6.00,4.00,4.50,1.00,0.00,3.00,303,203,NULL,'ALVORADA','BARRACAO','PR',21981,891,1460,NULL,NULL,NULL,NULL,2,4),(15,2215055,4.00,7.00,4.00,1.00,7.00,6.75,3.00,5.00,3.00,217,NULL,NULL,'CIDADE JARDIM','AMERICANA','SP',13586,112,NULL,NULL,NULL,NULL,NULL,4,8),(15,2215063,4.00,6.00,0.00,4.00,7.00,5.25,2.00,2.00,2.00,428,426,423,'CAMPO DUNA','GAROPABA','SC',19735,82,235,81,NULL,NULL,NULL,2,10),(15,2215071,2.00,7.00,5.00,5.00,8.00,5.25,5.00,7.00,2.00,101,427,NULL,'KOBRASOL','SAO JOSE','SC',10116,61,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215080,2.00,5.00,1.00,2.00,7.00,NULL,3.00,2.00,1.00,451,302,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,NULL,'ALPHAVILLE','PARANAGUA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2215110,3.00,8.00,4.00,5.00,6.00,5.00,5.00,6.00,3.00,203,420,214,'BELA VISTA','GASPAR','SC',9028,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2215128,3.00,5.00,1.00,2.00,5.00,4.75,2.00,5.00,3.00,317,224,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',20088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2215136,0.00,2.00,3.00,1.00,2.00,NULL,3.00,3.00,5.00,203,202,214,'CENTRO','QUILOMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2215144,6.00,6.00,5.00,5.00,7.00,5.00,4.00,6.00,4.00,317,318,NULL,'INGLESES','FLORIANOPOLIS','SC',8623,75,352,NULL,NULL,NULL,NULL,2,1),(15,2215152,2.00,6.00,5.00,6.00,8.00,6.75,5.00,4.00,5.00,316,304,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',9044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2215160,5.00,8.00,4.00,9.00,9.00,5.25,6.00,7.00,4.00,103,104,NULL,'ASILO','BLUMENAU','SC',4815,1400,923,NULL,NULL,NULL,NULL,1,2),(15,2215187,2.00,3.00,1.00,2.00,4.00,NULL,0.00,5.00,2.00,331,326,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215209,3.00,7.00,6.00,6.00,6.00,7.00,9.00,7.00,7.00,220,2,202,'CENTRO','FLORIANOPOLIS','SC',3518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2215217,4.00,6.00,4.00,2.00,4.00,5.25,4.00,4.00,4.00,316,217,NULL,'CENTRO','FLORIANOPOLIS','SC',15626,434,458,NULL,NULL,NULL,NULL,4,1),(15,2215225,2.00,6.00,1.00,7.00,5.00,6.25,4.00,5.00,3.00,329,327,NULL,'ITACORUBI','FLORIANOPOLIS','SC',14249,41,358,NULL,NULL,NULL,NULL,2,1),(15,2215233,3.00,7.00,5.00,5.00,7.00,3.50,3.00,6.00,3.00,328,319,NULL,'CENTRO','BRUSQUE','SC',12313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2215241,1.00,1.00,1.00,5.00,6.00,NULL,4.00,2.00,1.00,308,319,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215268,4.00,6.00,4.00,7.00,8.00,7.50,4.00,4.00,4.00,103,424,NULL,'JARDIM CIDADE','SAO JOSE','SC',8653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215276,4.00,1.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,319,451,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2215284,3.00,7.00,4.00,6.00,5.00,0.00,8.00,7.00,4.00,420,451,NULL,'VARGEM PEQUENA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215292,1.00,5.00,1.00,5.00,6.00,5.25,4.00,1.00,1.00,104,308,NULL,'CAMPINAS','SAO JOSE','SC',21491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215306,1.00,3.00,2.00,0.00,4.00,NULL,3.00,2.00,3.00,104,NULL,NULL,'RONCADOR','WITMARSUM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2215322,7.00,8.00,8.00,5.00,8.00,8.00,9.00,9.00,8.00,103,108,NULL,'CAMPECHE','FLORIANOPOLIS','SC',406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215330,4.00,8.00,2.00,3.00,7.00,4.75,1.00,5.00,2.00,211,501,208,'BARREIROS','SAO JOSE','SC',15683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2215349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2215357,3.00,6.00,4.00,9.00,7.00,7.00,4.00,6.00,3.00,5,316,NULL,'PANTANAL','FLORIANOPOLIS','SC',7782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2215373,2.00,4.00,3.00,4.00,6.00,5.25,3.00,3.00,1.00,316,501,NULL,'ENGENHO BRAUN','CHAPECO','SC',19910,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2215381,3.00,2.00,2.00,5.00,8.00,5.50,5.00,4.00,4.00,103,101,NULL,'PONTE DE IMARUIM','PALHOCA','SC',16001,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215390,4.00,8.00,7.00,8.00,8.00,7.75,5.00,9.00,3.00,5,424,NULL,'CENTRO','PORTO ALEGRE','RS',3093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2215403,3.00,6.00,3.00,3.00,5.00,4.25,3.00,5.00,3.00,104,501,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',18567,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2215411,4.00,6.00,8.00,6.00,7.00,6.50,8.00,7.00,3.00,202,426,238,'BARREIROS','SAO JOSE','SC',4103,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2215420,3.00,6.00,1.00,5.00,6.00,0.00,5.00,4.00,1.00,333,404,NULL,'CACHOEIRA B JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2215438,2.00,6.00,4.00,5.00,2.00,NULL,4.00,2.00,2.00,102,215,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215454,4.00,7.00,3.00,6.00,4.00,5.00,6.00,7.00,2.00,208,225,238,'CENTRO','TERRA DE AREIA','RS',11910,422,128,419,NULL,NULL,NULL,2,1),(15,2215470,4.00,7.00,1.00,3.00,8.00,5.75,5.00,6.00,4.00,103,104,NULL,'SANTA BARBARA','CRICIUMA','SC',10524,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2215489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'ORLEANS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2215497,4.00,6.00,4.00,5.00,8.00,5.75,7.00,5.00,4.00,216,217,233,'CENTRO','ZORTEA','SC',7189,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2215500,2.00,4.00,1.00,2.00,6.00,5.25,3.00,4.00,3.00,103,319,NULL,'VILA HAUER','CURITIBA','PR',21093,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2215519,3.00,4.00,2.00,5.00,4.00,3.00,3.00,4.00,1.00,316,319,NULL,'INGLESES','CURITIBA','PR',21274,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215527,1.00,6.00,3.00,2.00,3.00,5.00,2.00,3.00,2.00,424,331,423,'JARDIM ELDORADO','PALHOCA','SC',21356,96,251,97,NULL,NULL,NULL,2,1),(15,2215535,4.00,6.00,1.00,1.00,4.00,5.25,3.00,2.00,1.00,104,216,NULL,'SANTA TEREZA','VIDEIRA','SC',21504,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2215543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,215,428,'BURGO PAULISTA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2215551,6.00,6.00,5.00,5.00,8.00,5.25,8.00,6.00,7.00,220,203,216,'CENTRO','CASCAVEL','PR',3350,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2215560,2.00,2.00,1.00,0.00,4.00,NULL,3.00,2.00,2.00,425,428,429,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2215594,3.00,6.00,2.00,6.00,5.00,5.00,5.00,7.00,2.00,404,308,NULL,'REAL PARQUE','SAO JOSE','SC',13475,95,294,NULL,NULL,NULL,NULL,2,1),(15,2215608,0.00,3.00,0.00,5.00,5.00,NULL,3.00,2.00,1.00,101,309,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215616,1.00,5.00,0.00,2.00,4.00,NULL,3.00,3.00,0.00,203,208,220,'PENHA','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2215624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ANA RECH','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2215640,8.00,8.00,5.00,4.00,7.00,4.50,8.00,8.00,5.00,103,104,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',5337,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2215659,3.00,8.00,1.00,4.00,7.00,6.00,1.00,5.00,2.00,108,215,NULL,'CENTRO','ANITAPOLIS','SC',15796,354,581,NULL,NULL,NULL,NULL,4,1),(15,2215667,1.00,6.00,1.00,5.00,4.00,3.00,4.00,2.00,2.00,450,420,NULL,'CENTRO','ICARA','SC',21597,198,928,NULL,NULL,NULL,NULL,4,5),(15,2215675,2.00,6.00,3.00,3.00,6.00,4.50,2.00,4.00,2.00,420,421,NULL,'BARREIROS','SAO JOSE','SC',19758,402,154,NULL,NULL,NULL,NULL,4,1),(15,2215683,1.00,5.00,2.00,1.00,3.00,NULL,3.00,0.00,2.00,223,220,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2215691,6.00,6.00,5.00,7.00,7.00,7.50,8.00,8.00,5.00,103,104,NULL,'CENTRO','SANTA MARIA','RS',2344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2215705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,214,202,'JARDIM GUANABARA','CUIABA','MT',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2215713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'IPIRANGA','TEOFILO OTONI','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2215721,3.00,2.00,2.00,4.00,4.00,5.75,4.00,1.00,2.00,238,222,208,'COSTEIRA','FLORIANOPOLIS','SC',21667,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215748,2.00,6.00,0.00,6.00,4.00,5.25,2.00,2.00,1.00,211,444,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',21879,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215772,2.00,7.00,5.00,4.00,6.00,4.25,3.00,5.00,1.00,301,223,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',17121,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215780,7.00,8.00,9.00,9.00,8.00,6.75,9.00,8.00,8.00,103,425,NULL,'CENTRO','BRUSQUE','SC',33,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2215799,4.00,8.00,5.00,6.00,7.00,5.50,6.00,7.00,3.00,211,316,213,'PORTO DA LAGOA','FLORIANOPOLIS','SC',7022,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,333,220,'BALNEARIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2215810,4.00,6.00,5.00,9.00,6.00,6.00,7.00,7.00,3.00,327,320,NULL,'SAO NICOLAU','BIGUACU','SC',6985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2215829,3.00,7.00,6.00,5.00,3.00,5.75,3.00,5.00,4.00,203,202,214,'CENTRO','CONCORDIA','SC',14530,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2215837,1.00,3.00,1.00,3.00,4.00,3.50,4.00,3.00,1.00,328,316,NULL,'AREIAS','SAO JOSE','SC',22480,42,1284,NULL,NULL,NULL,NULL,1,1),(15,2215845,3.00,3.00,3.00,1.00,4.00,4.25,2.00,2.00,4.00,318,NULL,NULL,'CENTRO','CACADOR','SC',22317,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215853,3.00,7.00,4.00,7.00,4.00,3.50,6.00,5.00,3.00,103,104,NULL,'REGIÃO DO LAGO','CASCAVEL','PR',13833,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2215870,3.00,5.00,3.00,7.00,6.00,6.25,2.00,4.00,2.00,309,427,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',15153,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215888,2.00,5.00,2.00,5.00,3.00,4.00,3.00,5.00,1.00,203,202,216,'CENTRO','CATUIPE','RS',20562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215896,5.00,6.00,3.00,6.00,8.00,6.25,4.00,6.00,5.00,102,304,NULL,'CENTRO','FLORIANOPOLIS','SC',8240,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215900,5.00,5.00,4.00,8.00,5.00,5.25,4.00,6.00,2.00,404,427,NULL,'CAMPECHE','FLORIANOPOLIS','SC',11249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215918,2.00,4.00,1.00,3.00,2.00,NULL,1.00,3.00,2.00,309,308,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2215926,2.00,7.00,3.00,4.00,7.00,5.25,5.00,5.00,4.00,238,333,208,'CAMPECHE','FLORIANOPOLIS','SC',13002,470,763,487,NULL,NULL,NULL,2,1),(15,2215934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2215942,5.00,7.00,5.00,8.00,8.00,6.25,6.00,8.00,3.00,450,424,NULL,'SÃO FELIPE','AVARE','SP',4107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2215950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,450,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2215969,4.00,5.00,6.00,6.00,8.00,8.00,6.00,6.00,3.00,319,309,NULL,'CENTRO','PIRACICABA','SP',5519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2215977,5.00,6.00,0.00,8.00,4.00,NULL,0.00,0.00,0.00,208,301,238,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2215985,3.00,3.00,2.00,2.00,4.00,NULL,1.00,1.00,3.00,316,317,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2215993,3.00,6.00,1.00,2.00,6.00,5.00,2.00,1.00,4.00,234,324,NULL,'BARREIROS','SAO JOSE','SC',21487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216000,1.00,7.00,2.00,5.00,5.00,6.25,3.00,6.00,2.00,212,203,207,'BARREIROS','SAO JOSE','SC',17000,349,1410,814,NULL,NULL,NULL,2,1),(15,2216019,5.00,8.00,5.00,6.00,8.00,6.00,7.00,7.00,3.00,208,444,238,'KOBRASOL','SAO JOSE','SC',6225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216027,2.00,4.00,3.00,4.00,5.00,4.00,2.00,2.00,3.00,319,NULL,NULL,'BELA VISTA','SAO JOSE','SC',20463,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2216035,3.00,7.00,4.00,5.00,7.00,4.50,8.00,6.00,3.00,103,104,NULL,'MEDIANEIRA','SANTA MARIA','RS',8063,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2216060,4.00,6.00,4.00,9.00,6.00,6.50,6.00,7.00,2.00,211,324,215,'AGRONÔMICA','FLORIANOPOLIS','SC',7410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216078,8.00,9.00,8.00,6.00,6.00,8.00,7.00,9.00,5.00,103,104,NULL,'AGUA VERDE','CURITIBA','PR',1356,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2216086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,420,220,'JD FORTALEZA','PAULINIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2216094,4.00,8.00,0.00,9.00,7.00,NULL,4.00,7.00,2.00,444,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216116,5.00,4.00,5.00,5.00,7.00,5.50,5.00,5.00,2.00,101,309,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',13439,118,NULL,NULL,NULL,NULL,NULL,2,1),(15,2216124,3.00,7.00,5.00,0.00,5.00,5.25,4.00,5.00,1.00,316,318,NULL,'BARREIROS','SAO JOSE','SC',18519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216132,1.00,5.00,4.00,6.00,5.00,3.50,3.00,3.00,3.00,203,108,NULL,'INTERIOR','SEARA','SC',18765,NULL,NULL,NULL,NULL,NULL,NULL,5,4),(15,2216140,1.00,7.00,2.00,4.00,6.00,6.00,4.00,5.00,2.00,103,102,NULL,'MARGEM ESQUERDA','GASPAR','SC',16583,2764,989,NULL,NULL,NULL,NULL,4,2),(15,2216159,7.00,7.00,7.00,5.00,8.00,5.75,8.00,9.00,7.00,103,NULL,NULL,'DISTRITO INDUSTRIAL','MANAUS','AM',1814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2216167,3.00,5.00,1.00,3.00,3.00,3.25,2.00,2.00,2.00,444,404,NULL,'DAS NAÇÕES','BALNEARIO CAMBORIU','SC',22121,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2216175,4.00,7.00,4.00,8.00,6.00,4.50,5.00,7.00,3.00,318,332,NULL,'COQUEIROS','FLORIANOPOLIS','SC',8869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216183,3.00,8.00,3.00,8.00,5.00,5.00,3.00,4.00,3.00,319,102,NULL,'FLOR DE NAPOLIS','SAO JOSE','SC',11328,200,862,NULL,NULL,NULL,NULL,2,1),(15,2216191,5.00,6.00,7.00,6.00,8.00,6.50,9.00,7.00,4.00,201,225,NULL,'SANTA CRUZ','CASCAVEL','PR',4054,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2216205,4.00,7.00,5.00,5.00,6.00,3.75,6.00,2.00,3.00,303,5,NULL,'CENTRO','CRICIUMA','SC',13146,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2216213,2.00,7.00,1.00,7.00,6.00,6.00,3.00,6.00,3.00,415,425,NULL,'VILA NOVA','LAGES','SC',14061,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2216221,2.00,7.00,5.00,9.00,7.00,5.00,5.00,6.00,2.00,424,420,428,'PORTÃO','CURITIBA','PR',8507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216230,7.00,8.00,8.00,6.00,9.00,5.25,7.00,8.00,6.00,103,233,NULL,'CENTRO','PONTA GROSSA','PR',2266,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2216248,4.00,8.00,8.00,5.00,7.00,6.75,5.00,5.00,5.00,103,450,NULL,'BRASILIA','PATO BRANCO','PR',5841,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2216264,2.00,4.00,5.00,4.00,5.00,5.00,4.00,2.00,4.00,304,318,NULL,'NAÇÕES','TIMBO','SC',17972,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2216272,2.00,7.00,5.00,3.00,5.00,3.75,7.00,8.00,3.00,301,316,NULL,'BOM VIVER','BIGUACU','SC',11417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216280,3.00,5.00,2.00,4.00,7.00,6.50,4.00,4.00,3.00,415,451,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',14840,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2216299,2.00,6.00,5.00,7.00,6.00,5.50,6.00,5.00,3.00,225,238,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,213,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2216337,4.00,5.00,5.00,7.00,7.00,6.00,6.00,5.00,3.00,103,NULL,NULL,'VILA PLANALTO','DOURADOS','MS',8704,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2216345,4.00,8.00,8.00,8.00,8.00,6.75,9.00,6.00,7.00,103,223,NULL,'VILA MOEMA','TUBARAO','SC',1529,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2216353,3.00,5.00,4.00,5.00,4.00,5.50,6.00,3.00,4.00,215,212,220,'COPACABANA','RIO DE JANEIRO','RJ',13820,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2216361,5.00,9.00,6.00,8.00,8.00,5.75,9.00,7.00,5.00,233,201,211,'AGRONOMICA','FLORIANOPOLIS','SC',1925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216370,2.00,7.00,5.00,3.00,6.00,5.25,2.00,4.00,3.00,302,316,NULL,'CENTRO','CHAPECO','SC',17318,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2216388,1.00,4.00,4.00,8.00,6.00,6.00,4.00,3.00,4.00,207,415,201,'MARIA CÉU','CRICIUMA','SC',15210,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2216396,5.00,6.00,4.00,9.00,8.00,6.50,5.00,7.00,3.00,103,303,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',6492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216400,0.00,2.00,0.00,1.00,2.00,NULL,3.00,2.00,1.00,101,102,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2216418,4.00,6.00,3.00,4.00,5.00,4.50,3.00,4.00,1.00,326,324,NULL,'BARREIROS','SAO JOSE','SC',18220,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2216426,2.00,4.00,3.00,3.00,6.00,4.50,5.00,4.00,1.00,103,102,NULL,'INGLESES RIO VERMELH','FLORIANOPOLIS','SC',18934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2216434,3.00,6.00,6.00,5.00,6.00,4.75,5.00,4.00,3.00,9,404,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',11375,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2216442,3.00,7.00,4.00,9.00,8.00,6.00,4.00,6.00,2.00,424,425,423,'VILA IMPÉRIO','SAO PAULO','SP',7934,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2216450,3.00,7.00,2.00,1.00,7.00,4.00,4.00,6.00,2.00,103,303,NULL,'JARDIM ELDORADO','CUIABA','MT',17811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216469,2.00,7.00,3.00,1.00,3.00,5.00,4.00,1.00,3.00,429,316,425,'JOAO PAULO','FLORIANOPOLIS','SC',21186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,103,NULL,'IMIGRANTES','TIMBO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2216485,4.00,8.00,2.00,6.00,8.00,5.00,4.00,7.00,3.00,303,309,NULL,'TINDADE','FLORIANOPOLIS','SC',9186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216507,2.00,7.00,1.00,2.00,6.00,5.25,5.00,6.00,3.00,101,501,NULL,'ANTIGO AEROPORTO','PARANAVAI','PR',15993,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2216515,4.00,7.00,4.00,4.00,9.00,6.50,6.00,6.00,3.00,303,319,NULL,'CENTRO','ITAPIRANGA','SC',7413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,420,NULL,'SARANDI','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2216531,3.00,5.00,5.00,5.00,8.00,6.25,3.00,6.00,4.00,103,319,NULL,'CENTRO','CONTENDA','PR',10232,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2216540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,444,201,'WARNOW','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2216566,7.00,9.00,7.00,7.00,8.00,6.50,8.00,7.00,4.00,104,444,NULL,'TRINDADE','FLORIANOPOLIS','SC',1816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216574,2.00,7.00,6.00,8.00,6.00,5.75,7.00,4.00,4.00,207,212,201,'BACACHERI','CURITIBA','PR',8375,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2216582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,425,NULL,'FÁTIMA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2216604,8.00,8.00,9.00,9.00,9.00,7.00,9.00,6.00,6.00,415,426,NULL,'KOBRASOL','SAO JOSE','SC',428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2216612,2.00,3.00,4.00,1.00,5.00,4.50,4.00,5.00,3.00,104,333,NULL,'VILA MOEMA','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2216620,4.00,7.00,4.00,3.00,6.00,4.25,2.00,7.00,4.00,320,310,NULL,'ITAPOA','VILA VELHA','ES',11703,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2216639,3.00,7.00,4.00,6.00,4.00,6.50,7.00,8.00,3.00,318,317,NULL,'JARDIMELDORADO','PALHOCA','SC',7967,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2216647,8.00,9.00,6.00,9.00,5.00,7.00,8.00,9.00,5.00,214,212,213,'ALTO DE PINHEIROS','SAO PAULO','SP',996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216671,0.00,5.00,6.00,3.00,5.00,5.25,4.00,4.00,4.00,424,421,429,'VILA NOVA','JOINVILLE','SC',17488,62,142,121,NULL,NULL,NULL,4,8),(15,2216680,9.00,8.00,9.00,2.00,9.00,7.00,8.00,8.00,9.00,103,9,NULL,'CENTRO','FLORIANOPOLIS','SC',592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216698,3.00,5.00,3.00,5.00,5.00,5.25,4.00,7.00,2.00,103,108,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',15314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2216701,6.00,8.00,9.00,9.00,9.00,6.50,7.00,7.00,6.00,220,316,203,'ESTREITO','FLORIANOPOLIS','SC',772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216710,3.00,7.00,7.00,6.00,8.00,5.75,7.00,5.00,6.00,234,333,NULL,'CENTRO','FLORIANOPOLIS','SC',5411,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2216728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,101,201,'CENTRO','DESCANSO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2216736,4.00,7.00,7.00,9.00,8.00,3.25,7.00,9.00,6.00,303,5,NULL,'ANITA GARIBALDI','SANTO ANDRE','SP',2879,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2216744,3.00,7.00,3.00,8.00,8.00,8.00,5.00,7.00,5.00,108,444,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',5425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2216752,3.00,6.00,5.00,4.00,7.00,5.75,4.00,6.00,2.00,303,309,NULL,'CENTRO','LAGES','SC',12227,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2216760,2.00,6.00,5.00,7.00,9.00,4.50,4.00,5.00,5.00,427,324,429,'CENTRO','FLORIANOPOLIS','SC',9412,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2216779,2.00,3.00,1.00,3.00,5.00,6.50,5.00,3.00,3.00,339,101,NULL,'CENTRO','FLORIANOPOLIS','SC',19286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216795,5.00,6.00,3.00,8.00,7.00,6.00,6.00,8.00,3.00,319,426,NULL,'CENTRO','BLUMENAU','SC',6936,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2216809,1.00,5.00,2.00,4.00,3.00,3.75,4.00,1.00,1.00,108,217,NULL,'PICADAS DO NORTE','SAO JOSE','SC',22504,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2216817,7.00,8.00,9.00,4.00,9.00,5.00,7.00,7.00,5.00,104,102,NULL,'CENTRO','PALMITOS','SC',3192,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2216825,5.00,6.00,5.00,8.00,8.00,4.75,8.00,5.00,6.00,211,415,215,'SANTA PAULA','SAO CAETANO DO SUL','SP',4674,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2216833,3.00,7.00,5.00,7.00,8.00,6.50,3.00,7.00,3.00,5,303,NULL,'CENTRO','ITAJAI','SC',8521,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2216850,3.00,7.00,3.00,5.00,5.00,4.00,5.00,6.00,2.00,319,320,NULL,'JARDIM DANFER','SAO PAULO','SP',14792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216868,5.00,3.00,3.00,3.00,4.00,4.00,5.00,2.00,3.00,415,450,NULL,'CENTRO','BRUSQUE','SC',19697,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2216876,4.00,6.00,5.00,5.00,6.00,5.00,8.00,6.00,4.00,104,333,NULL,'JD MACARENGO','SAO CARLOS','SP',6971,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2216884,0.00,4.00,0.00,3.00,2.00,NULL,2.00,1.00,2.00,208,220,238,'BERGER','CACADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2216892,4.00,6.00,5.00,8.00,6.00,8.00,6.00,4.00,5.00,421,207,428,'CENTRO','POMERODE','SC',5762,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2216906,4.00,8.00,6.00,6.00,7.00,6.00,7.00,5.00,3.00,238,333,208,'CAPOEIRAS','FLORIANOPOLIS','SC',6872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216914,3.00,7.00,0.00,2.00,4.00,5.50,4.00,4.00,3.00,319,339,NULL,'MEIA PRAIA','ITAPEMA','SC',20327,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2216922,3.00,4.00,3.00,3.00,3.00,4.25,2.00,3.00,3.00,208,316,201,'AGRONONOMICA','FLORIANOPOLIS','SC',21875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216930,5.00,7.00,8.00,8.00,6.00,6.75,8.00,5.00,6.00,220,201,203,'TRINDADE','FLORIANOPOLIS','SC',3063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216949,3.00,6.00,2.00,7.00,6.00,5.00,3.00,3.00,3.00,9,444,NULL,'CENTRO','VENANCIO AIRES','RS',15820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2216957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2216965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'ÓRFÃNS','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2216973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,301,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2216981,2.00,5.00,0.00,3.00,7.00,5.50,4.00,4.00,4.00,319,309,NULL,'CENTRO','BIGUACU','SC',17759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2216990,9.00,9.00,8.00,9.00,9.00,6.50,9.00,8.00,7.00,103,9,NULL,'CENTRO','FLORIANOPOLIS','SC',94,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217007,3.00,5.00,3.00,2.00,5.00,4.50,5.00,5.00,2.00,234,423,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',17877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217015,2.00,4.00,3.00,6.00,7.00,5.25,3.00,6.00,3.00,429,425,423,'BARREIROS','SAO JOSE','SC',14585,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2217023,5.00,7.00,4.00,3.00,8.00,4.50,4.00,5.00,1.00,316,317,NULL,'KOBRASOL','SAO JOSE','SC',12701,337,544,NULL,NULL,NULL,NULL,4,1),(15,2217031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2217040,1.00,4.00,1.00,6.00,3.00,6.25,4.00,4.00,2.00,5,320,NULL,'CENTRO','ICARA','SC',20214,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2217058,6.00,7.00,5.00,9.00,8.00,7.50,5.00,7.00,4.00,207,425,201,'CASTELO BRANCO','ITAPEMA','SC',2564,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2217112,4.00,7.00,3.00,2.00,5.00,5.50,3.00,4.00,1.00,108,211,NULL,'CENTRO','NOVA TRENTO','SC',18036,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2217120,1.00,7.00,7.00,4.00,5.00,3.75,5.00,3.00,1.00,444,319,NULL,'VILA NOVA','IMBITUBA','SC',16802,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2217139,6.00,8.00,6.00,7.00,9.00,5.75,6.00,7.00,7.00,415,450,NULL,'CENTRO','FLORIANOPOLIS','SC',2534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217147,1.00,6.00,2.00,4.00,7.00,6.00,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','NOVA VENEZA','SC',18297,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2217155,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','CACADOR','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,7),(15,2217163,5.00,8.00,6.00,6.00,7.00,6.50,8.00,8.00,7.00,203,201,216,'CENTRO','MARACAJA','SC',2480,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2217171,4.00,4.00,2.00,5.00,6.00,5.00,1.00,2.00,3.00,203,NULL,201,'CENTRO','FLORIANOPOLIS','SC',19646,1126,NULL,1033,NULL,NULL,NULL,2,1),(15,2217180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'CORDEIROS','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2217198,1.00,5.00,4.00,0.00,0.00,NULL,2.00,5.00,1.00,301,429,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217201,4.00,7.00,4.00,2.00,6.00,6.25,3.00,5.00,3.00,102,103,NULL,'GUANABARA','RIO DO CAMPO','SC',13701,282,3206,NULL,NULL,NULL,NULL,4,1),(15,2217210,2.00,8.00,4.00,6.00,7.00,5.25,6.00,6.00,5.00,104,102,NULL,'PINHEIRINHO','CRICIUMA','SC',8126,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2217228,5.00,7.00,7.00,5.00,8.00,4.50,7.00,3.00,3.00,213,222,201,'ITACORUBI','FLORIANOPOLIS','SC',7049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2217244,4.00,6.00,5.00,8.00,6.00,8.00,7.00,5.00,2.00,103,415,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,424,NULL,'ZONA CINCO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2217260,2.00,4.00,3.00,3.00,7.00,5.00,3.00,3.00,1.00,103,104,NULL,'CENTRO','PORTO UNIAO','SC',20848,3041,1257,NULL,NULL,NULL,NULL,2,5),(15,2217279,2.00,5.00,5.00,5.00,4.00,4.25,2.00,3.00,3.00,324,424,NULL,'GUARDA DO CUBATAO','PALHOCA','SC',19895,86,253,NULL,NULL,NULL,NULL,2,1),(15,2217287,1.00,7.00,4.00,6.00,4.00,5.00,3.00,6.00,3.00,427,238,424,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2217309,2.00,4.00,1.00,4.00,5.00,6.75,1.00,5.00,1.00,104,102,NULL,'CORAL','LAGES','SC',20850,683,1111,NULL,NULL,NULL,NULL,4,9),(15,2217317,1.00,4.00,1.00,5.00,7.00,4.50,5.00,4.00,3.00,450,NULL,NULL,'DO PARQUE','ITAPIRANGA','SC',17145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217325,2.00,5.00,1.00,6.00,7.00,5.50,3.00,3.00,2.00,104,451,NULL,'BIGORRILHO','CURITIBA','PR',17849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217341,4.00,7.00,1.00,4.00,5.00,6.75,6.00,5.00,2.00,202,225,208,'ASA SUL','BRASILIA','DF',13850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217350,2.00,4.00,2.00,3.00,3.00,4.75,2.00,6.00,2.00,212,2,213,'CENTRO II','AGUA BOA','MT',20238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217368,3.00,7.00,2.00,8.00,7.00,4.75,4.00,8.00,3.00,301,316,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',9415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217376,4.00,4.00,4.00,2.00,6.00,4.00,6.00,4.00,1.00,5,211,NULL,'IPIRANGA','SAO JOSE','SC',16632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'CENTRO','JABORA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2217392,3.00,7.00,6.00,4.00,5.00,6.00,4.00,5.00,2.00,224,NULL,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217406,2.00,3.00,1.00,1.00,2.00,NULL,2.00,2.00,0.00,216,444,203,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2217414,3.00,7.00,4.00,5.00,6.00,6.00,3.00,6.00,3.00,238,333,NULL,'KOBRASOL','SAO JOSE','SC',11155,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2217430,1.00,6.00,1.00,8.00,7.00,4.50,4.00,4.00,2.00,420,301,NULL,'CENTRO','SAO BENTO DO SUL','SC',15597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217449,8.00,7.00,8.00,8.00,9.00,7.25,9.00,7.00,7.00,220,302,208,'CENTRO','FLORIANOPOLIS','SC',431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217457,2.00,7.00,8.00,3.00,7.00,5.00,5.00,6.00,4.00,213,NULL,NULL,'CENTRO','BIRIGUI','SP',9400,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2217465,7.00,7.00,7.00,8.00,8.00,6.75,7.00,6.00,5.00,420,238,NULL,'ANDORINHAS','ITAPEMA','SC',2629,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2217473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,326,NULL,'JARDIM COLINA','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2217481,3.00,4.00,4.00,5.00,5.00,3.75,5.00,5.00,2.00,333,331,NULL,'INGLESES DO RIO VERM','FLORIANOPOLIS','SC',16061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217490,1.00,5.00,0.00,0.00,1.00,NULL,2.00,3.00,2.00,103,415,NULL,'ENCANTADA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'RIO BELO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2217511,5.00,6.00,4.00,6.00,6.00,5.75,5.00,4.00,5.00,502,301,NULL,'CENTRO','MAFRA','SC',11476,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2217520,4.00,6.00,3.00,3.00,6.00,4.75,5.00,4.00,3.00,202,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',14432,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2217538,3.00,5.00,3.00,1.00,4.00,4.00,5.00,3.00,0.00,501,502,NULL,'FURNINHAS','ORLEANS','SC',21318,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2217546,4.00,6.00,2.00,4.00,5.00,3.75,6.00,3.00,1.00,333,102,NULL,'CENTRO','ARMAZEM','SC',18317,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2217554,4.00,8.00,7.00,7.00,8.00,6.25,7.00,7.00,6.00,211,501,215,'ASSUNÇAO','PORTO ALEGRE','RS',2924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2217570,5.00,8.00,5.00,7.00,9.00,7.25,6.00,5.00,3.00,211,201,212,'SAGUACU','JOINVILLE','SC',4472,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2217589,2.00,4.00,4.00,1.00,6.00,4.25,3.00,4.00,2.00,444,101,NULL,'FLORESTA','RIO DO CAMPO','SC',20432,254,745,NULL,NULL,NULL,NULL,4,1),(15,2217597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,426,428,'CENTRO','CAMPO ALEGRE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2217619,1.00,3.00,6.00,3.00,5.00,5.50,4.00,2.00,4.00,201,207,212,'SAGRADA FAMILIA','DOIS VIZINHOS','PR',18163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2217627,4.00,7.00,2.00,1.00,7.00,5.00,6.00,6.00,4.00,211,NULL,NULL,'JARDIM JUPIÁ','PIRACICABA','SP',13459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217643,1.00,7.00,2.00,5.00,4.00,3.75,2.00,7.00,1.00,339,320,NULL,'NOSSA SN DAS GRAÇAS','CANOAS','RS',18731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2217660,7.00,7.00,7.00,6.00,7.00,4.75,9.00,6.00,5.00,202,224,216,'PADRE MARTINHO STEIN','TIMBO','SC',4073,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2217678,2.00,2.00,1.00,1.00,6.00,NULL,2.00,3.00,1.00,103,101,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217686,1.00,4.00,1.00,1.00,4.00,6.75,3.00,6.00,3.00,319,426,NULL,'INTERIOR','IPUMIRIM','SC',20330,447,238,NULL,NULL,NULL,NULL,4,4),(15,2217694,1.00,5.00,1.00,5.00,6.00,4.25,4.00,4.00,1.00,5,303,NULL,'AVENIDA','SANTA CRUZ DO SUL','RS',19898,827,1314,NULL,NULL,NULL,NULL,2,1),(15,2217708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,108,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2217724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2217732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,424,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2217740,3.00,3.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,319,332,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2217759,4.00,6.00,5.00,3.00,5.00,5.25,4.00,4.00,3.00,216,233,211,'PARQUE JARDIM OURO','OURO','SC',14902,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2217767,2.00,7.00,1.00,7.00,5.00,4.50,5.00,4.00,3.00,207,420,201,'SANTA RITA','BRUSQUE','SC',16356,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2217775,4.00,5.00,5.00,4.00,6.00,1.75,6.00,6.00,2.00,301,NULL,NULL,'ESTANCIA CAIÇARA','BIRIGUI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2217783,5.00,5.00,5.00,6.00,6.00,5.00,5.00,5.00,3.00,101,501,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',10371,65,396,NULL,NULL,NULL,NULL,2,1),(15,2217791,1.00,3.00,1.00,5.00,4.00,5.00,4.00,2.00,3.00,332,339,NULL,'CARIANOS','FLORIANOPOLIS','SC',22249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2217813,3.00,6.00,4.00,3.00,3.00,5.50,2.00,6.00,3.00,444,404,NULL,'CAMPECHE','FLORIANOPOLIS','SC',16590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217821,4.00,7.00,1.00,5.00,7.00,3.75,4.00,6.00,3.00,502,108,NULL,'TAPERA','FLORIANOPOLIS','SC',13697,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2217830,6.00,6.00,6.00,6.00,9.00,5.75,5.00,7.00,4.00,450,215,NULL,'JARDIM MARAJOARA','NOVA ODESSA','SP',6508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217848,0.00,5.00,1.00,1.00,5.00,6.50,2.00,6.00,2.00,502,501,NULL,'PICADAS DO SUL','SAO JOSE','SC',21531,110,586,NULL,NULL,NULL,NULL,2,1),(15,2217856,2.00,7.00,7.00,5.00,5.00,4.50,6.00,5.00,3.00,201,317,211,'CENTRO','TUBARAO','SC',11888,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2217864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,319,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217872,6.00,6.00,6.00,8.00,6.00,6.25,6.00,5.00,4.00,502,217,NULL,'ESTREITO','FLORIANOPOLIS','SC',6446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217880,4.00,7.00,3.00,8.00,5.00,7.50,6.00,3.00,3.00,303,301,NULL,'CENTRO','FLORIANOPOLIS','SC',9523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217899,5.00,6.00,5.00,2.00,9.00,6.75,5.00,6.00,7.00,102,108,NULL,'VELHA CENTRAL','BLUMENAU','SC',6825,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2217910,4.00,8.00,6.00,3.00,6.00,3.00,5.00,7.00,3.00,211,333,215,'GARCIA','BLUMENAU','SC',10762,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2217937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CLEVELANDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2217945,5.00,9.00,5.00,8.00,7.00,6.50,7.00,9.00,2.00,318,NULL,NULL,'BARREIROS','SAO JOSE','SC',2887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217953,3.00,6.00,0.00,1.00,5.00,NULL,2.00,2.00,2.00,103,102,NULL,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2217961,5.00,8.00,8.00,5.00,6.00,7.00,6.00,7.00,4.00,203,202,216,'PROGRESSO','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2217970,5.00,7.00,4.00,6.00,5.00,4.50,4.00,7.00,3.00,317,301,NULL,'CAMPINAS','SAO JOSE','SC',10516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217988,0.00,4.00,1.00,0.00,1.00,NULL,1.00,1.00,2.00,501,316,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2217996,7.00,8.00,8.00,8.00,8.00,7.00,8.00,8.00,6.00,103,108,NULL,'SEMINARIO','TAIO','SC',879,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2218003,2.00,3.00,3.00,3.00,4.00,5.00,6.00,6.00,2.00,103,207,NULL,'CAJURU','CURITIBA','PR',19142,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2218020,3.00,5.00,3.00,2.00,5.00,NULL,0.00,1.00,2.00,101,103,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2218038,2.00,5.00,0.00,6.00,7.00,5.75,2.00,4.00,2.00,108,331,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',19039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2218046,0.00,3.00,2.00,3.00,3.00,NULL,2.00,3.00,1.00,415,428,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2218054,1.00,3.00,0.00,5.00,3.00,NULL,2.00,3.00,2.00,423,428,NULL,'KORASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2218062,2.00,7.00,1.00,5.00,5.00,6.25,1.00,4.00,2.00,303,415,NULL,'AUTONOMISTA','CAMPO GRANDE','MS',19207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218070,6.00,8.00,6.00,5.00,8.00,6.25,8.00,8.00,5.00,5,303,NULL,'CZERNIEWICZ','JARAGUA DO SUL','SC',3443,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2218089,7.00,6.00,7.00,7.00,6.00,6.00,7.00,5.00,6.00,211,501,215,'SANTO ANTONIO DE PAD','TUBARAO','SC',3727,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2218097,5.00,5.00,4.00,3.00,4.00,7.25,1.00,3.00,5.00,319,420,NULL,'CENTRO','CAXIAS DO SUL','RS',16152,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2218100,3.00,4.00,2.00,3.00,7.00,8.00,7.00,3.00,2.00,303,207,NULL,'CENTRO','XAXIM','SC',14832,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2218119,3.00,6.00,0.00,2.00,6.00,3.25,4.00,3.00,3.00,502,332,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',20408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218127,5.00,7.00,7.00,7.00,7.00,4.75,7.00,6.00,5.00,201,404,207,'PONTE DO IMARUIM','PALHOCA','SC',4829,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2218135,3.00,7.00,7.00,5.00,6.00,6.25,9.00,7.00,7.00,211,212,216,'ICARAÍ','NITEROI','RJ',3804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218160,7.00,3.00,5.00,7.00,8.00,6.00,5.00,6.00,3.00,303,301,NULL,'VILA NOVA','IMBITUBA','SC',8048,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2218178,1.00,6.00,6.00,6.00,6.00,5.50,6.00,5.00,1.00,202,225,220,'CAMPECHE','FLORIANOPOLIS','SC',13135,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2218186,0.00,4.00,5.00,4.00,7.00,5.25,4.00,3.00,1.00,317,224,NULL,'PASSA VINTE','PALHOCA','SC',18829,328,268,NULL,NULL,NULL,NULL,2,1),(15,2218194,0.00,4.00,3.00,1.00,4.00,NULL,3.00,3.00,1.00,444,316,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218208,6.00,5.00,5.00,4.00,5.00,6.00,3.00,7.00,4.00,101,NULL,NULL,'BORTOLON','XANXERE','SC',11372,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2218216,4.00,4.00,2.00,6.00,5.00,4.50,2.00,1.00,3.00,319,421,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',20040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218224,5.00,6.00,2.00,5.00,5.00,5.50,5.00,5.00,3.00,217,339,NULL,'AREIAS DO CAMPECHE','FLORIANOPOLIS','SC',12827,99,248,NULL,NULL,NULL,NULL,2,1),(15,2218232,3.00,7.00,4.00,1.00,5.00,6.25,3.00,6.00,3.00,429,424,423,'VILA JUNCKES','SAO PEDRO DE ALCANTARA','SC',16525,103,221,45,NULL,NULL,NULL,4,1),(15,2218240,2.00,6.00,4.00,7.00,6.00,6.50,4.00,2.00,2.00,415,425,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218259,3.00,8.00,1.00,4.00,6.00,5.25,1.00,4.00,1.00,203,501,214,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2218267,6.00,7.00,7.00,4.00,8.00,4.75,7.00,7.00,2.00,103,104,NULL,'ATIRADORES','JOINVILLE','SC',6238,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2218275,0.00,5.00,2.00,8.00,4.00,NULL,3.00,1.00,1.00,420,201,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2218283,6.00,8.00,5.00,8.00,8.00,6.50,5.00,7.00,5.00,211,501,208,'AGRONÔMICA','FLORIANOPOLIS','SC',3273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218305,5.00,6.00,7.00,7.00,8.00,5.00,5.00,6.00,4.00,104,303,NULL,'CENTRO','TUBARAO','SC',5771,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2218313,3.00,3.00,3.00,5.00,7.00,5.00,4.00,5.00,4.00,404,309,NULL,'CENTRO','PETROLANDIA','SC',14471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2218321,5.00,8.00,7.00,6.00,7.00,5.00,8.00,6.00,5.00,104,NULL,NULL,'CARAVAGGIO','NOVA VENEZA','SC',3619,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2218330,3.00,4.00,3.00,6.00,5.00,5.00,4.00,2.00,4.00,502,501,NULL,'CENTRO','MELEIRO','SC',16010,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2218348,5.00,6.00,2.00,3.00,4.00,4.25,4.00,1.00,2.00,444,339,NULL,'FRAGATA','PELOTAS','RS',20517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218356,6.00,9.00,8.00,9.00,8.00,7.00,8.00,7.00,6.00,207,2,208,'UNIVERSITÁRIO','GOIANIA','GO',1137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218364,5.00,8.00,6.00,7.00,8.00,6.75,6.00,5.00,6.00,103,211,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',3385,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2218380,3.00,7.00,3.00,8.00,6.00,6.50,4.00,5.00,3.00,208,316,238,'CONTA DINHEIRO','LAGES','SC',10003,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2218399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,303,NULL,'NAZARÉ','BELEM','PA',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2218410,2.00,6.00,3.00,6.00,6.00,4.50,4.00,8.00,2.00,222,223,NULL,'JARDIM SÃO JOSÉ','MOCOCA','SP',13931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218429,2.00,6.00,4.00,3.00,7.00,5.25,2.00,6.00,4.00,303,310,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',15930,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2218437,4.00,5.00,0.00,5.00,6.00,4.00,3.00,5.00,1.00,5,316,NULL,'CENTRO','ITAPEMA','SC',18160,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2218445,5.00,7.00,8.00,4.00,8.00,6.50,8.00,7.00,3.00,304,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',3899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218453,5.00,8.00,6.00,8.00,9.00,6.75,5.00,8.00,4.00,304,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',2379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218461,3.00,4.00,3.00,4.00,7.00,5.50,2.00,5.00,3.00,211,333,201,'ARIRIÚ','PALHOCA','SC',16804,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2218470,4.00,5.00,0.00,5.00,7.00,7.50,3.00,4.00,3.00,211,101,NULL,'OPERARIA NOVA','CRICIUMA','SC',14921,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2218488,5.00,6.00,3.00,5.00,6.00,6.25,5.00,7.00,4.00,104,5,NULL,'CAMINHO DO MORRO','DONA EMMA','SC',8591,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2218496,1.00,7.00,3.00,6.00,6.00,5.00,3.00,8.00,1.00,324,450,NULL,'INGLESES','FLORIANOPOLIS','SC',15482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2218500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,238,201,'BELA VISTA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2218518,4.00,5.00,5.00,5.00,5.00,5.50,5.00,5.00,4.00,211,501,215,'PARQUE IMPERADOR','CAMPINAS','SP',11630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218526,7.00,8.00,9.00,5.00,8.00,6.00,8.00,8.00,6.00,303,451,NULL,'CENTRO','FLORIANOPOLIS','SC',994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218534,0.00,0.00,0.00,3.00,2.00,NULL,0.00,4.00,0.00,303,425,NULL,'SÃO FRANCISCO','GARIBALDI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2218542,3.00,6.00,2.00,4.00,8.00,5.50,4.00,5.00,3.00,428,310,426,'COQUEIROS','FLORIANOPOLIS','SC',13224,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2218569,3.00,7.00,6.00,7.00,7.00,5.75,4.00,4.00,4.00,215,9,216,'JD NOVO HORIZONTE','MARINGA','PR',7439,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2218577,3.00,8.00,4.00,6.00,6.00,4.00,7.00,6.00,3.00,217,222,NULL,'CENTRO','FLORIANOPOLIS','SC',9460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218585,1.00,3.00,2.00,2.00,8.00,5.50,3.00,4.00,3.00,208,318,238,'COMERCIÁRIO','CRICIUMA','SC',19313,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2218593,2.00,4.00,2.00,9.00,7.00,6.25,4.00,5.00,1.00,5,316,NULL,'BOM RETIRO','JOINVILLE','SC',13695,589,999,NULL,NULL,NULL,NULL,2,8),(15,2218607,1.00,3.00,1.00,4.00,5.00,5.75,3.00,3.00,3.00,316,444,NULL,'POÇO GRANDE','GASPAR','SC',21762,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2218615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO AMARO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',1,1),(15,2218623,3.00,4.00,4.00,6.00,6.00,5.25,1.00,2.00,3.00,308,309,NULL,'CAMPECHE','FLORIANOPOLIS','SC',18454,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2218631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,301,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2218640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,320,NULL,'CENTRO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2218658,1.00,4.00,2.00,1.00,6.00,NULL,1.00,4.00,2.00,5,316,NULL,'COLONIA SANTANA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218666,3.00,3.00,3.00,8.00,5.00,5.50,4.00,7.00,3.00,238,211,208,'VILA CONCEIÇÃO','SAO JOAO DO SUL','SC',12955,467,896,483,NULL,NULL,NULL,2,5),(15,2218674,1.00,4.00,6.00,6.00,6.00,6.00,1.00,4.00,0.00,9,444,NULL,'FORQUILHINHAS','SAO JOSE','SC',19387,280,553,NULL,NULL,NULL,NULL,2,1),(15,2218682,1.00,5.00,5.00,4.00,2.00,NULL,1.00,2.00,1.00,326,328,NULL,'VILA DULCE','BARREIRAS','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2218690,6.00,5.00,2.00,5.00,6.00,5.25,5.00,2.00,2.00,502,108,NULL,'JURERÊ','FLORIANOPOLIS','SC',16385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218704,3.00,4.00,4.00,6.00,6.00,4.50,4.00,4.00,3.00,201,304,207,'PARQUE SÃO JORGE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218712,1.00,6.00,2.00,2.00,2.00,NULL,3.00,3.00,0.00,103,9,NULL,'CENTRO','VARGEM BONITA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2218720,2.00,8.00,1.00,3.00,5.00,6.00,4.00,6.00,4.00,301,425,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',14607,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2218739,3.00,7.00,2.00,3.00,4.00,5.50,4.00,4.00,2.00,108,214,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',18517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218747,1.00,5.00,4.00,4.00,6.00,5.00,6.00,3.00,1.00,333,208,NULL,'XANGRI LA','XANGRI LA','RS',17929,302,1079,NULL,NULL,NULL,NULL,4,3),(15,2218755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,202,NULL,'JARDIM BANDEIRA','SAO JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2218763,3.00,8.00,6.00,5.00,9.00,5.50,4.00,7.00,4.00,304,302,NULL,'PANTANAL','FLORIANOPOLIS','SC',6931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218771,3.00,6.00,9.00,7.00,7.00,6.75,8.00,6.00,7.00,216,102,233,'RIBEIRAO AREIA','POMERODE','SC',2737,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2218780,5.00,6.00,0.00,7.00,7.00,5.25,5.00,5.00,4.00,319,316,NULL,'SANTA MARIA','TOLEDO','PR',10414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2218798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,5,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2218801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,302,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2218828,2.00,4.00,1.00,4.00,5.00,5.50,2.00,4.00,2.00,5,303,NULL,'CENTRO','FLORIANOPOLIS','SC',21035,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2218836,4.00,7.00,5.00,1.00,5.00,4.25,4.00,4.00,6.00,203,201,214,'CENTRO','PALMITOS','SC',14263,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2218852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,211,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2218860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,101,NULL,'PRAIA DE FORA','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2218879,3.00,7.00,4.00,6.00,6.00,4.75,4.00,6.00,2.00,317,320,NULL,'PÂNTANO DO SUL','FLORIANOPOLIS','SC',12101,155,170,NULL,NULL,NULL,NULL,2,1),(15,2218895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,324,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2218909,4.00,6.00,3.00,5.00,6.00,5.00,6.00,5.00,3.00,216,233,203,'CENTRO','CAPINZAL','SC',10761,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2218925,2.00,8.00,4.00,4.00,5.00,4.00,5.00,4.00,2.00,104,302,NULL,'VILA MOEMA','TUBARAO','SC',14491,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2218933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,331,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2218941,4.00,5.00,2.00,6.00,5.00,4.75,1.00,5.00,1.00,404,324,NULL,'BELA VISTA','SAO JOSE','SC',18611,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2218950,2.00,6.00,5.00,7.00,6.00,5.50,6.00,6.00,4.00,301,304,NULL,'JARDIM CIDADE VERDE','CAMPO VERDE','MT',7729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218968,6.00,6.00,3.00,4.00,7.00,5.00,5.00,4.00,3.00,302,304,NULL,'ABRAÃO','FLORIANOPOLIS','SC',14483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2218984,3.00,4.00,1.00,0.00,0.00,NULL,4.00,2.00,2.00,420,333,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(15,2218992,5.00,7.00,3.00,0.00,3.00,NULL,3.00,5.00,2.00,103,102,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219034,3.00,5.00,3.00,3.00,3.00,7.25,3.00,4.00,0.00,319,339,NULL,'CENTRO','CAPAO DA CANOA','RS',20535,456,402,NULL,NULL,NULL,NULL,2,1),(15,2219042,1.00,5.00,2.00,3.00,4.00,5.50,3.00,4.00,1.00,303,415,NULL,'CENTRO','ITAPEMA','SC',21523,881,833,NULL,NULL,NULL,NULL,2,3),(15,2219050,2.00,0.00,1.00,5.00,2.00,NULL,3.00,4.00,1.00,333,502,NULL,'CARREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2219069,1.00,2.00,1.00,7.00,6.00,6.25,3.00,4.00,1.00,339,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',19384,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2219077,2.00,7.00,3.00,9.00,7.00,4.75,5.00,7.00,3.00,320,327,NULL,'BAIRRO DE FÁTIMA','FLORIANOPOLIS','SC',8842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219085,3.00,9.00,2.00,4.00,5.00,5.50,3.00,5.00,2.00,421,424,427,'ESTREITO','FLORIANOPOLIS','SC',14627,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2219093,1.00,4.00,3.00,1.00,1.00,NULL,2.00,0.00,1.00,502,501,NULL,'BELA VISTA','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2219123,3.00,8.00,7.00,8.00,7.00,3.25,9.00,8.00,5.00,208,NULL,238,'CORREGO GRANDE','FLORIANOPOLIS','SC',2877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,304,NULL,'JARDIM CONSORCIO SP','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2219140,2.00,6.00,2.00,3.00,7.00,5.50,5.00,4.00,2.00,451,319,NULL,'CENTRO','FLORIANOPOLIS','SC',18037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219158,5.00,6.00,1.00,2.00,7.00,5.75,3.00,3.00,2.00,104,102,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',18215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219166,3.00,6.00,6.00,2.00,5.00,5.75,6.00,6.00,4.00,328,329,NULL,'CENTRO','GUARUJA DO SUL','SC',12173,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2219174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,324,201,'GUARDA DO EMBAU','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2219182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,415,201,'CENTRO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2219190,2.00,6.00,7.00,5.00,8.00,4.50,8.00,6.00,4.00,203,214,202,'GUARAITUBA','COLOMBO','PR',7925,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2219204,2.00,6.00,1.00,9.00,6.00,5.25,4.00,5.00,2.00,327,326,NULL,'GONZAGA','SANTOS','SP',14676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219212,2.00,6.00,2.00,2.00,5.00,6.00,3.00,5.00,2.00,415,319,NULL,'PARQUE DAS PALMEIRAS','CHAPECO','SC',19220,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2219239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,333,208,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2219247,3.00,7.00,2.00,5.00,7.00,6.25,3.00,3.00,2.00,331,333,NULL,'CENTRO','CRICIUMA','SC',15252,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2219263,1.00,8.00,2.00,4.00,8.00,7.50,6.00,5.00,1.00,444,333,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',13442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219271,4.00,7.00,7.00,2.00,7.00,7.00,8.00,8.00,7.00,220,214,203,'CENTRO','ITAQUIRAI','MS',3868,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2219280,1.00,4.00,0.00,1.00,2.00,NULL,3.00,2.00,2.00,319,501,NULL,'CENTRO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2219298,4.00,5.00,7.00,5.00,8.00,4.00,8.00,5.00,3.00,303,427,NULL,'ARIRRIU','PALHOCA','SC',8189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219301,3.00,4.00,0.00,4.00,5.00,4.50,2.00,5.00,3.00,501,104,NULL,'CENTRO','SAO DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2219310,6.00,8.00,1.00,6.00,7.00,5.25,7.00,8.00,4.00,211,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',7051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2219328,3.00,7.00,5.00,4.00,6.00,5.50,4.00,5.00,4.00,319,326,NULL,'COLONINHA','FLORIANOPOLIS','SC',11727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219336,2.00,5.00,3.00,1.00,4.00,5.25,4.00,2.00,2.00,208,222,238,'CENTRO','CURITIBA','PR',20970,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2219352,1.00,5.00,4.00,6.00,4.00,5.25,5.00,3.00,3.00,104,444,NULL,'CENTRO','CRICIUMA','SC',17694,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2219360,1.00,3.00,3.00,0.00,6.00,NULL,3.00,3.00,0.00,103,9,NULL,'POUSO ALTO','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2219379,3.00,5.00,3.00,5.00,6.00,4.75,5.00,5.00,2.00,207,420,201,'SÃO FRANCISCO','SANTO AMARO DA IMPERATRIZ','SC',13894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2219387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,301,NULL,'VILA NOVA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2219395,1.00,8.00,2.00,5.00,6.00,5.25,5.00,6.00,3.00,420,444,NULL,'SANTA BÁRBARA','CRICIUMA','SC',12703,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2219409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,207,NULL,'ARMANDO ANNES','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2219417,6.00,8.00,8.00,7.00,7.00,5.00,9.00,7.00,5.00,220,216,203,'CENTRO','CORUMBA','MS',2437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219425,5.00,6.00,7.00,5.00,8.00,4.25,9.00,5.00,7.00,201,223,212,'ITACORUBI','FLORIANOPOLIS','SC',4005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219433,1.00,4.00,1.00,3.00,7.00,6.50,4.00,5.00,1.00,319,451,NULL,'CENTRO','PLANALTO','RS',18709,405,266,NULL,NULL,NULL,NULL,4,4),(15,2219441,1.00,7.00,0.00,6.00,3.00,NULL,6.00,4.00,4.00,203,217,216,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,318,238,'PAULAS','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2219468,3.00,8.00,6.00,9.00,8.00,6.50,7.00,6.00,4.00,203,NULL,NULL,'CENTRO','BRUSQUE','SC',4816,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2219476,5.00,9.00,1.00,6.00,7.00,3.75,4.00,7.00,3.00,302,224,NULL,'FORQUILHINHAS','SAO JOSE','SC',10430,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2219484,6.00,5.00,4.00,3.00,5.00,8.00,6.00,5.00,0.00,103,425,NULL,'TRINDADE','FLORIANOPOLIS','SC',13508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219506,7.00,8.00,5.00,6.00,8.00,5.50,6.00,5.00,4.00,103,104,NULL,'SAO VICENTE','ITAJAI','SC',4878,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2219514,2.00,9.00,5.00,6.00,9.00,3.75,6.00,6.00,5.00,103,332,NULL,'PANTANAL','FLORIANOPOLIS','SC',5750,1584,167,NULL,NULL,NULL,NULL,2,1),(15,2219522,4.00,6.00,7.00,8.00,9.00,5.00,7.00,6.00,3.00,2,225,NULL,'CENTRO','SANTA ROSA','RS',4862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219530,2.00,8.00,4.00,5.00,8.00,5.50,7.00,7.00,4.00,201,329,212,'JARDIM ESPLANADA','SAO JOSE DOS CAMPOS','SP',7454,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2219549,1.00,3.00,1.00,3.00,5.00,NULL,5.00,2.00,1.00,316,301,NULL,'NOVA LONDRES','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2219557,2.00,8.00,3.00,7.00,8.00,5.50,5.00,6.00,2.00,316,5,NULL,'MARIA LUIZA','CASCAVEL','PR',10260,245,1140,NULL,NULL,NULL,NULL,4,1),(15,2219565,3.00,5.00,4.00,5.00,6.00,5.75,3.00,4.00,1.00,303,428,NULL,'ESTREITO CANTO','FLORIANOPOLIS','SC',17055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219573,1.00,4.00,0.00,1.00,1.00,NULL,2.00,2.00,2.00,404,420,NULL,'RATONES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2219590,7.00,8.00,7.00,7.00,7.00,6.50,6.00,8.00,6.00,5,327,NULL,'COQUEIROS','FLORIANOPOLIS','SC',1775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2219603,2.00,5.00,2.00,6.00,5.00,6.00,5.00,2.00,2.00,316,317,NULL,'COMERCIARIO','CRICIUMA','SC',18542,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2219611,4.00,6.00,1.00,2.00,4.00,5.25,3.00,3.00,1.00,444,333,NULL,'ESTREITO','FLORIANOPOLIS','SC',20830,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2219620,4.00,7.00,7.00,6.00,6.00,5.00,5.00,9.00,2.00,202,2,203,'ZONA RURAL','SUL BRASIL','SC',6779,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2219638,7.00,8.00,8.00,8.00,8.00,6.00,8.00,6.00,5.00,444,339,NULL,'PASSA VINTE','PALHOCA','SC',1731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219646,3.00,7.00,1.00,4.00,7.00,5.00,6.00,8.00,4.00,415,303,NULL,'BELA VISTA','CHAPECO','SC',10821,284,1148,NULL,NULL,NULL,NULL,4,4),(15,2219662,3.00,5.00,1.00,3.00,8.00,6.25,5.00,6.00,6.00,444,238,NULL,'ESTREITO','FLORIANOPOLIS','SC',12365,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2219689,1.00,7.00,3.00,6.00,9.00,7.25,3.00,6.00,3.00,320,327,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',9993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2219697,2.00,6.00,4.00,4.00,8.00,5.25,4.00,5.00,3.00,103,NULL,NULL,'PLANALTO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219700,2.00,5.00,2.00,2.00,4.00,3.50,3.00,4.00,2.00,333,324,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',22091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219719,2.00,8.00,2.00,5.00,6.00,5.00,5.00,3.00,1.00,202,333,213,'RECANTO VERDE','CRICIUMA','SC',15246,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2219727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,301,NULL,'BUDAG','RIO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2219735,5.00,7.00,4.00,3.00,8.00,6.00,2.00,3.00,2.00,207,104,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',14175,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2219743,5.00,6.00,3.00,4.00,1.00,NULL,5.00,2.00,4.00,303,5,NULL,'VILA BOA','GOIANIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2219760,3.00,5.00,1.00,2.00,7.00,4.25,2.00,4.00,2.00,208,317,238,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219778,3.00,1.00,0.00,1.00,3.00,NULL,2.00,2.00,0.00,327,324,NULL,'GUAIÚBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2219794,4.00,6.00,2.00,3.00,7.00,6.75,5.00,5.00,3.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',12853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219808,2.00,4.00,4.00,4.00,6.00,5.50,3.00,4.00,3.00,301,420,NULL,'CENTRO','SANTANA DO LIVRAMENTO','RS',17342,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2219824,2.00,6.00,6.00,5.00,7.00,6.50,4.00,6.00,2.00,224,324,NULL,'PANTANAL','FLORIANOPOLIS','SC',10749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219832,3.00,9.00,6.00,9.00,7.00,6.50,6.00,7.00,3.00,326,329,NULL,'CENTRO','LAGOA VERMELHA','RS',3766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219840,3.00,8.00,4.00,8.00,8.00,6.25,6.00,7.00,4.00,451,423,NULL,'CAMPECHE','FLORIANOPOLIS','SC',5740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2219859,0.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,444,404,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2219867,3.00,4.00,5.00,5.00,7.00,6.25,4.00,3.00,1.00,216,217,233,'PRAÇA','TIJUCAS','SC',14426,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2219883,5.00,8.00,5.00,2.00,8.00,6.25,9.00,5.00,4.00,103,104,NULL,'CENTRO','CHAPECO','SC',6310,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2219891,4.00,5.00,5.00,4.00,6.00,3.50,6.00,5.00,5.00,501,502,NULL,'BELA VISTA','PATO BRANCO','PR',10618,87,195,NULL,NULL,NULL,NULL,2,4),(15,2219905,2.00,3.00,3.00,5.00,7.00,6.00,4.00,3.00,2.00,319,108,NULL,'SÃO CRISTOVÃO','PASSO FUNDO','RS',17322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219913,0.00,4.00,0.00,8.00,3.00,NULL,2.00,3.00,2.00,429,333,425,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2219921,3.00,6.00,4.00,8.00,8.00,5.00,7.00,7.00,2.00,202,216,211,'CENTRO','ICARA','SC',7819,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2219930,4.00,8.00,3.00,7.00,4.00,8.00,6.00,7.00,4.00,318,415,NULL,'MONTE CASTELO','SAO JOSE DOS CAMPOS','SP',6614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219948,6.00,7.00,8.00,7.00,7.00,7.25,7.00,6.00,5.00,220,2,NULL,'CENTRO','PROMISSAO','SP',2704,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2219956,5.00,7.00,2.00,7.00,6.00,6.00,3.00,7.00,3.00,302,223,NULL,'SANTINHO','FLORIANOPOLIS','SC',9094,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2219972,2.00,5.00,3.00,6.00,5.00,5.50,3.00,4.00,1.00,429,213,425,'AGRONOMICA','FLORIANOPOLIS','SC',18964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2219980,2.00,5.00,2.00,7.00,4.00,6.25,3.00,5.00,1.00,316,427,NULL,'PASSA VINTE','PALHOCA','SC',18004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2219999,5.00,4.00,2.00,5.00,6.00,4.75,4.00,5.00,2.00,324,339,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',15964,41,NULL,NULL,NULL,NULL,NULL,2,1),(15,2220008,1.00,5.00,3.00,4.00,5.00,3.00,1.00,3.00,1.00,222,333,NULL,'INTERIOR DO MUNICÍPI','MAREMA','SC',22384,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2220016,2.00,5.00,0.00,5.00,8.00,0.00,3.00,1.00,3.00,302,420,NULL,'SANTOS DUMONT','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2220024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,102,NULL,'SÃO FRANCISCO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2220032,4.00,9.00,4.00,7.00,5.00,6.50,6.00,8.00,3.00,318,327,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',5118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220059,6.00,8.00,6.00,8.00,6.00,6.25,6.00,7.00,2.00,220,208,202,'CENTRO','PASSO FUNDO','RS',4979,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2220067,1.00,7.00,7.00,6.00,5.00,7.00,5.00,4.00,5.00,302,217,NULL,'CENTRO','FLORIANOPOLIS','SC',8772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2220083,2.00,8.00,1.00,1.00,4.00,4.75,3.00,2.00,5.00,317,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',21060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220091,3.00,7.00,3.00,9.00,6.00,5.75,6.00,6.00,1.00,316,425,NULL,'JARDIM DAS CASTANHEI','FLORIANOPOLIS','SC',8878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220105,7.00,7.00,8.00,8.00,7.00,6.50,8.00,6.00,6.00,103,225,NULL,'MORRO DA CRUZ','FLORIANOPOLIS','SC',2002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220113,1.00,3.00,5.00,2.00,3.00,5.50,3.00,3.00,3.00,201,225,207,'CENTRO','XAXIM','SC',22102,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2220121,5.00,7.00,4.00,2.00,7.00,6.25,5.00,6.00,5.00,103,101,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',9464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220130,2.00,4.00,3.00,4.00,7.00,4.25,2.00,2.00,1.00,444,329,NULL,'KOBRASOL','SAO JOSE','SC',21648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2220148,4.00,5.00,6.00,6.00,7.00,4.50,6.00,3.00,4.00,201,102,207,'CENTRO','SAO JOAO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220164,2.00,5.00,2.00,2.00,4.00,5.00,4.00,6.00,1.00,102,444,NULL,'ZONA NOVA','TRAMANDAI','RS',20103,455,567,NULL,NULL,NULL,NULL,2,5),(15,2220172,4.00,6.00,9.00,2.00,8.00,6.00,8.00,6.00,3.00,108,502,NULL,'CARIANOS','FLORIANOPOLIS','SC',5386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,102,NULL,'VILA NOVA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2220199,3.00,4.00,1.00,8.00,8.00,4.50,1.00,5.00,3.00,319,324,NULL,'BARREIROS','SAO JOSE','SC',15318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220202,1.00,3.00,4.00,1.00,2.00,NULL,2.00,1.00,1.00,214,5,201,'VILA PLANALTO','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220210,3.00,3.00,1.00,4.00,2.00,NULL,2.00,1.00,2.00,319,NULL,NULL,'ÁGUAS BRANCAS','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220237,1.00,1.00,0.00,3.00,2.00,NULL,3.00,3.00,0.00,102,9,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2220245,4.00,5.00,6.00,6.00,7.00,7.25,5.00,6.00,4.00,207,423,233,'VILA ADYANNA','SAO JOSE DOS CAMPOS','SP',6693,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2220253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,201,238,'SANTA MONICA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2220261,3.00,5.00,3.00,3.00,6.00,4.75,4.00,5.00,4.00,207,420,201,'VILA NOVA','MAFRA','SC',15854,771,781,844,NULL,NULL,NULL,4,2),(15,2220270,1.00,6.00,3.00,4.00,5.00,4.00,3.00,6.00,1.00,425,208,NULL,'CENTRO','XANGRI LA','RS',19635,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2220288,3.00,7.00,3.00,2.00,7.00,6.50,3.00,7.00,3.00,501,316,NULL,'CENTRO','FLORIANOPOLIS','SC',13734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220296,4.00,7.00,4.00,2.00,4.00,5.00,4.00,5.00,3.00,213,NULL,NULL,'CENTRO','JALES','SP',15087,242,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,5,NULL,'COLONINHA','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2220334,7.00,9.00,9.00,7.00,8.00,6.25,9.00,7.00,8.00,103,104,NULL,'SANTANA','SAO PAULO','SP',550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220342,5.00,7.00,7.00,6.00,8.00,6.25,8.00,6.00,4.00,104,316,NULL,'CENTRO','FLORIANOPOLIS','SC',3865,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2220350,2.00,4.00,3.00,3.00,5.00,4.50,1.00,5.00,1.00,103,101,NULL,'CENTRO','TANGARA DA SERRA','MT',21009,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2220369,3.00,3.00,2.00,4.00,5.00,5.00,1.00,3.00,3.00,216,215,211,'N SENHORA APARECIDA','ARMAZEM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2220377,4.00,7.00,6.00,8.00,7.00,5.00,5.00,5.00,2.00,5,303,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',7320,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2220385,1.00,6.00,2.00,2.00,6.00,5.25,3.00,4.00,3.00,444,2,NULL,'ESTREITO','FLORIANOPOLIS','SC',19994,242,249,NULL,NULL,NULL,NULL,4,1),(15,2220393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,333,NULL,'MORADA DAS FLORES','HOLAMBRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2220407,1.00,7.00,5.00,2.00,6.00,6.00,3.00,3.00,1.00,211,501,213,'PONTE GRANDE','GUARULHOS','SP',17938,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2220415,4.00,4.00,2.00,7.00,6.00,4.00,5.00,5.00,1.00,207,101,211,'SACO GRANDE','FLORIANOPOLIS','SC',15799,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2220431,2.00,5.00,3.00,2.00,8.00,3.50,5.00,1.00,1.00,318,233,NULL,'CENTRO','CANOINHAS','SC',20804,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2220440,4.00,8.00,3.00,3.00,8.00,5.50,4.00,4.00,2.00,316,425,NULL,'JARDIM ELDORADO','PALHOCA','SC',14972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220458,7.00,8.00,9.00,7.00,8.00,8.25,9.00,8.00,7.00,103,339,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220466,2.00,4.00,4.00,0.00,2.00,NULL,4.00,2.00,2.00,302,304,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220474,7.00,7.00,3.00,4.00,7.00,5.25,7.00,7.00,3.00,103,NULL,NULL,'JARDIM IRAJÁ','RIBEIRAO PRETO','SP',6767,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2220482,2.00,3.00,3.00,6.00,5.00,4.75,2.00,3.00,3.00,9,103,NULL,'PINHEIRA','PALHOCA','SC',20701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2220490,3.00,7.00,4.00,7.00,7.00,6.50,4.00,7.00,4.00,108,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',7500,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2220504,3.00,5.00,2.00,5.00,7.00,6.00,4.00,6.00,3.00,501,423,NULL,'CENTRO','CAMPO BELO DO SUL','SC',14452,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2220512,5.00,9.00,6.00,7.00,5.00,5.75,5.00,7.00,6.00,5,320,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',4118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220520,2.00,6.00,4.00,4.00,7.00,6.50,2.00,4.00,3.00,319,203,NULL,'PARQUE SÃO PAULO','CASCAVEL','PR',15845,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2220539,0.00,6.00,1.00,2.00,5.00,5.75,2.00,3.00,3.00,9,NULL,NULL,'VILA NOVA','TRES LAGOAS','MS',19886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2220547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,451,NULL,'IGUAÇU I','FAZENDA RIO GRANDE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2220563,5.00,7.00,7.00,8.00,6.00,6.50,6.00,7.00,5.00,108,502,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',4342,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2220571,4.00,3.00,1.00,1.00,7.00,6.00,6.00,5.00,3.00,104,9,NULL,'RIO MAINA','CRICIUMA','SC',16659,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2220580,7.00,7.00,5.00,9.00,8.00,7.00,6.00,5.00,3.00,108,424,NULL,'ABRAÃO','FLORIANOPOLIS','SC',4347,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2220598,0.00,7.00,5.00,4.00,5.00,4.00,6.00,4.00,2.00,211,201,203,'VILA NOVA','SANTA ROSA DO SUL','SC',17113,599,1367,1025,NULL,NULL,NULL,2,5),(15,2220601,1.00,5.00,4.00,5.00,6.00,4.75,2.00,4.00,3.00,317,224,NULL,'SANGA DAS PEDRAS','MORRO GRANDE','SC',18011,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2220610,3.00,4.00,2.00,0.00,6.00,NULL,2.00,2.00,3.00,5,303,NULL,'CENTRO','MASSARANDUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2220628,1.00,5.00,1.00,1.00,5.00,4.00,3.00,3.00,3.00,201,333,212,'PRAIA DO TOMÉ','PALHOCA','SC',21874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220636,5.00,6.00,1.00,8.00,8.00,6.00,2.00,4.00,2.00,426,320,428,'CARAVAGGIO','NOVA VENEZA','SC',12098,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2220644,5.00,7.00,6.00,8.00,6.00,3.50,6.00,6.00,4.00,2,225,NULL,'CAMPECHE','FLORIANOPOLIS','SC',6442,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2220652,2.00,7.00,9.00,8.00,6.00,5.00,6.00,5.00,3.00,103,451,NULL,'TONIAL','XANXERE','SC',6995,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2220679,4.00,6.00,4.00,6.00,6.00,4.50,7.00,6.00,0.00,326,224,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',10851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220687,5.00,8.00,8.00,6.00,6.00,6.25,7.00,7.00,5.00,5,333,NULL,'ASA SUL','BRASILIA','DF',4309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220709,1.00,5.00,3.00,4.00,8.00,7.75,5.00,2.00,1.00,304,308,NULL,'IPIRANGA','SAO JOSE','SC',16426,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2220717,2.00,3.00,0.00,0.00,1.00,NULL,0.00,3.00,2.00,103,101,NULL,'JOSE MENDES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220725,3.00,7.00,6.00,7.00,4.00,4.50,5.00,4.00,4.00,103,303,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,201,NULL,'ZONA SETE','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2220741,3.00,6.00,3.00,5.00,4.00,3.00,2.00,5.00,3.00,2,502,NULL,'CARAVAGGIO','NOVA VENEZA','SC',18497,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2220750,4.00,7.00,4.00,7.00,8.00,5.75,4.00,5.00,3.00,103,424,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',8840,2010,164,NULL,NULL,NULL,NULL,2,1),(15,2220768,0.00,4.00,2.00,5.00,4.00,6.75,1.00,3.00,2.00,211,NULL,NULL,'CENTRO','XANXERE','SC',21351,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2220776,2.00,5.00,6.00,6.00,7.00,6.50,4.00,5.00,2.00,333,331,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',11045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2220784,4.00,6.00,4.00,8.00,8.00,7.00,6.00,6.00,2.00,207,420,201,'PARQUE DAS AVENIDAS','SOMBRIO','SC',6765,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2220792,5.00,8.00,8.00,5.00,7.00,6.50,4.00,6.00,5.00,319,320,NULL,'JARDIM JUSSARA','SAO PAULO','SP',5737,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2220806,3.00,7.00,1.00,0.00,3.00,5.50,3.00,2.00,3.00,420,319,NULL,'ESQUINA','URUBICI','SC',20946,422,945,NULL,NULL,NULL,NULL,4,1),(15,2220814,4.00,6.00,1.00,1.00,5.00,5.75,3.00,5.00,1.00,108,502,NULL,'CHAGAS','XAXIM','SC',20139,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2220822,2.00,5.00,4.00,4.00,3.00,4.00,1.00,2.00,4.00,203,202,NULL,'BELA VISTA','GRAVATAL','SC',21304,1186,960,NULL,NULL,NULL,NULL,2,10),(15,2220830,3.00,6.00,5.00,5.00,8.00,5.00,8.00,6.00,5.00,104,102,NULL,'BARRA DA ITOUPAVA','RIO DO SUL','SC',6049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2220849,2.00,6.00,4.00,8.00,6.00,5.00,5.00,6.00,3.00,331,238,NULL,'CENTRO','CAPINZAL','SC',10650,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2220857,3.00,6.00,5.00,1.00,7.00,7.25,5.00,6.00,1.00,317,304,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',15123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220865,5.00,6.00,4.00,5.00,7.00,7.50,7.00,2.00,4.00,9,215,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',9491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220873,8.00,8.00,4.00,2.00,8.00,8.00,7.00,6.00,5.00,102,108,NULL,'DOM DANIEL','LAGES','SC',4303,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2220881,3.00,4.00,6.00,7.00,7.00,6.25,4.00,6.00,2.00,308,339,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',10488,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2220890,3.00,6.00,2.00,4.00,5.00,5.00,4.00,4.00,2.00,108,333,NULL,'ALTO ALEGRE','CASCAVEL','PR',17863,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2220903,3.00,7.00,3.00,6.00,6.00,5.75,3.00,1.00,3.00,339,324,NULL,'JARDIM JANAINA','BIGUACU','SC',15984,41,NULL,NULL,NULL,NULL,NULL,2,1),(15,2220920,3.00,8.00,1.00,7.00,6.00,6.50,3.00,8.00,0.00,303,5,NULL,'VIKTOR KONDER','BLUMENAU','SC',13245,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2220938,5.00,7.00,5.00,8.00,7.00,4.00,8.00,6.00,7.00,220,202,213,'SANTO ANTONIO','SAO CAETANO DO SUL','SP',4013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220946,4.00,6.00,3.00,4.00,6.00,3.50,6.00,5.00,5.00,9,215,NULL,'SALETE','CONCORDIA','SC',12425,145,543,NULL,NULL,NULL,NULL,4,4),(15,2220954,2.00,2.00,2.00,2.00,4.00,NULL,2.00,3.00,0.00,324,308,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2220962,3.00,6.00,4.00,6.00,8.00,4.25,4.00,4.00,1.00,101,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',15594,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2220989,2.00,6.00,4.00,5.00,7.00,5.00,5.00,4.00,2.00,104,415,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221004,6.00,6.00,5.00,7.00,8.00,6.00,7.00,7.00,3.00,103,101,NULL,'CENTRO','BRUSQUE','SC',5312,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2221012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'ALTO PETRÓPOLIS','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2221020,4.00,8.00,2.00,5.00,8.00,6.75,6.00,6.00,2.00,207,320,201,'CARAVAGGIO','NOVA VENEZA','SC',9353,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2221039,3.00,6.00,4.00,6.00,8.00,5.75,4.00,4.00,3.00,426,415,428,'PAES LEME','IMBITUBA','SC',12685,27,NULL,NULL,NULL,NULL,NULL,2,1),(15,2221055,5.00,6.00,1.00,2.00,4.00,4.25,4.00,3.00,0.00,9,NULL,NULL,'VILA NOVA','JOINVILLE','SC',21353,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2221071,3.00,7.00,8.00,6.00,8.00,6.00,8.00,5.00,5.00,208,302,233,'COQUEIROS','FLORIANOPOLIS','SC',4730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221080,2.00,5.00,2.00,3.00,6.00,5.00,4.00,4.00,2.00,104,502,NULL,'BARREIROS','SAO JOSE','SC',20475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,421,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2221101,2.00,7.00,2.00,6.00,5.00,3.00,3.00,5.00,2.00,238,220,208,'CENTRO','XAXIM','SC',18430,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2221110,5.00,7.00,7.00,8.00,9.00,7.50,9.00,8.00,5.00,214,203,212,'ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP',1321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221128,4.00,7.00,3.00,8.00,9.00,5.00,5.00,4.00,2.00,420,425,NULL,'CENTRO','CORUPA','SC',8540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221136,4.00,6.00,0.00,1.00,5.00,6.00,3.00,5.00,2.00,319,308,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2221152,5.00,8.00,5.00,9.00,8.00,8.00,4.00,9.00,4.00,5,303,NULL,'ALTO DA RUA XV','CURITIBA','PR',3203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221160,1.00,2.00,1.00,7.00,2.00,NULL,0.00,0.00,0.00,303,423,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2221187,0.00,5.00,6.00,7.00,6.00,5.50,2.00,5.00,2.00,450,451,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',15978,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2221195,8.00,8.00,6.00,9.00,9.00,8.50,7.00,7.00,6.00,103,102,NULL,'STO ANTÔNIO DE PÁDUA','TUBARAO','SC',717,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2221209,2.00,5.00,6.00,3.00,4.00,4.00,3.00,4.00,4.00,301,423,NULL,'TRINDADE','FLORIANOPOLIS','SC',19358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221217,2.00,5.00,2.00,2.00,7.00,4.00,4.00,4.00,2.00,302,308,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',19298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221225,1.00,3.00,2.00,3.00,3.00,NULL,1.00,1.00,2.00,301,223,NULL,'FLOR DE NAPOLIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221233,3.00,8.00,2.00,3.00,7.00,6.50,2.00,6.00,2.00,9,NULL,NULL,'CENTRO','JOACABA','SC',13924,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2221241,0.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2221250,1.00,7.00,4.00,6.00,4.00,7.00,2.00,4.00,3.00,444,332,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',13884,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2221268,3.00,6.00,4.00,5.00,7.00,6.00,4.00,5.00,3.00,103,108,NULL,'CABRAL','CURITIBA','PR',10720,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2221276,3.00,2.00,4.00,2.00,4.00,6.75,3.00,2.00,2.00,201,212,207,'CENTRO','BURITAMA','SP',21389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221284,5.00,5.00,6.00,1.00,7.00,4.75,6.00,7.00,6.00,203,214,220,'SACOMÃ','SAO PAULO','SP',9332,719,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221292,2.00,7.00,1.00,5.00,8.00,6.25,4.00,3.00,5.00,415,420,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',11976,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2221306,2.00,4.00,5.00,6.00,3.00,5.00,2.00,2.00,3.00,211,238,202,'INTERIOR','NOVO HORIZONTE','SC',19563,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2221314,0.00,5.00,2.00,2.00,4.00,NULL,1.00,3.00,1.00,9,308,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221322,4.00,4.00,7.00,5.00,8.00,6.75,5.00,5.00,4.00,103,216,NULL,'CENTRO','VARGEAO','SC',8893,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2221330,0.00,5.00,2.00,0.00,3.00,NULL,2.00,4.00,1.00,201,NULL,NULL,'CENTRO','CUNHA PORA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2221349,4.00,4.00,0.00,3.00,4.00,NULL,2.00,1.00,1.00,102,217,NULL,'NOVA VICENÇA','TIMBE DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2221357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,451,NULL,'ÁGUAS CLARAS','TAGUATINGA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2221365,7.00,8.00,7.00,10.00,8.00,7.50,5.00,7.00,4.00,5,303,NULL,'ALTO DA BOA VISTA','RIBEIRAO PRETO','SP',1423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221373,1.00,4.00,3.00,1.00,1.00,NULL,2.00,3.00,2.00,101,324,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221381,2.00,4.00,2.00,2.00,4.00,NULL,0.00,3.00,1.00,213,NULL,202,'CENTRO','IPIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,4),(15,2221403,7.00,7.00,8.00,8.00,8.00,5.25,6.00,4.00,3.00,103,101,NULL,'PRAINHA','FLORIANOPOLIS','SC',4154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2221411,1.00,7.00,1.00,4.00,5.00,6.50,1.00,4.00,2.00,102,108,NULL,'RIO DA AREIA','UNIAO DA VITORIA','PR',19197,432,911,NULL,NULL,NULL,NULL,4,1),(15,2221420,4.00,6.00,2.00,6.00,8.00,6.00,6.00,4.00,2.00,103,104,NULL,'MINA BRASIL','CRICIUMA','SC',11497,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2221438,1.00,4.00,0.00,0.00,3.00,NULL,1.00,2.00,1.00,332,225,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221446,6.00,7.00,5.00,5.00,7.00,6.25,7.00,8.00,5.00,415,451,NULL,'IRIRIÚ','JOINVILLE','SC',3703,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2221462,4.00,6.00,6.00,9.00,8.00,7.00,7.00,7.00,2.00,211,331,NULL,'CAMPECHE','FLORIANOPOLIS','SC',4211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221470,5.00,7.00,5.00,3.00,9.00,6.25,6.00,8.00,2.00,415,333,NULL,'BARREIROS','SAO JOSE','SC',6366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2221489,2.00,6.00,3.00,5.00,5.00,3.50,2.00,4.00,1.00,332,327,NULL,'DE FÁTIMA','FLORIANOPOLIS','SC',20927,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2221497,1.00,6.00,5.00,5.00,7.00,5.75,4.00,6.00,1.00,444,331,NULL,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',13719,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2221500,0.00,6.00,3.00,2.00,2.00,NULL,1.00,4.00,2.00,207,214,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,101,NULL,'JARDIM CAPIVARI','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2221527,5.00,6.00,5.00,5.00,6.00,6.50,6.00,6.00,3.00,211,303,233,'CENTRO','CRICIUMA','SC',9021,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2221535,2.00,6.00,2.00,6.00,6.00,5.50,4.00,4.00,2.00,339,502,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',16902,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2221543,0.00,2.00,3.00,1.00,4.00,NULL,3.00,1.00,1.00,317,501,NULL,'PICADAS DO SUL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221551,5.00,7.00,8.00,9.00,7.00,6.75,9.00,5.00,7.00,220,NULL,208,'SAGUAÇÚ','JOINVILLE','SC',1498,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2221560,1.00,3.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,425,308,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221578,5.00,8.00,8.00,5.00,9.00,6.00,8.00,6.00,5.00,220,203,233,'ALTO DA COLINA','INDAIATUBA','SP',3239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221586,3.00,7.00,0.00,2.00,6.00,NULL,0.00,3.00,0.00,316,429,NULL,'FLORESTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221594,1.00,6.00,3.00,2.00,4.00,5.25,2.00,2.00,2.00,444,211,NULL,'CENTRO','LUZERNA','SC',21655,286,1023,NULL,NULL,NULL,NULL,4,7),(15,2221608,2.00,5.00,2.00,8.00,6.00,4.25,4.00,5.00,4.00,203,202,214,'COQUEIROS','FLORIANOPOLIS','SC',14859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221616,3.00,6.00,4.00,3.00,5.00,6.00,4.00,8.00,2.00,104,328,NULL,'SANTO ANTONIO','JOINVILLE','SC',13613,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2221632,1.00,7.00,7.00,2.00,6.00,5.00,8.00,6.00,2.00,5,225,NULL,'CARIANOS','FLORIANOPOLIS','SC',10569,457,116,NULL,NULL,NULL,NULL,4,1),(15,2221640,4.00,6.00,4.00,2.00,9.00,4.25,5.00,6.00,3.00,428,215,425,'BALNEÁRIO SÃO MIGUEL','BIGUACU','SC',11050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221667,2.00,7.00,0.00,7.00,5.00,7.25,5.00,6.00,1.00,451,450,NULL,'JARDIM MALUCHE','BRUSQUE','SC',13447,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2221675,0.00,6.00,2.00,0.00,5.00,NULL,2.00,3.00,4.00,328,301,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,451,NULL,'CANTO DO FORTE','PRAIA GRANDE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2221691,7.00,7.00,9.00,0.00,6.00,5.00,9.00,8.00,6.00,103,333,NULL,'ARMAÇÃO','SALVADOR','BA',4018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,208,203,'CENTRO','BOM JARDIM DA SERRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2221713,6.00,8.00,7.00,6.00,7.00,6.00,7.00,6.00,5.00,207,316,214,'CENTRO','PALHOCA','SC',3677,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2221730,5.00,8.00,3.00,7.00,7.00,6.25,6.00,6.00,5.00,103,415,NULL,'CENTRO','TUBARAO','SC',5747,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2221748,4.00,9.00,4.00,5.00,7.00,5.75,4.00,9.00,2.00,103,101,NULL,'CENTRO','SAO BENTO DO SUL','SC',8268,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2221756,2.00,7.00,6.00,8.00,8.00,8.00,6.00,6.00,4.00,224,426,NULL,'PAES LEME','IMBITUBA','SC',3771,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2221764,4.00,8.00,5.00,0.00,8.00,5.00,7.00,7.00,4.00,331,332,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',8541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221772,3.00,6.00,0.00,0.00,2.00,NULL,4.00,4.00,0.00,329,404,NULL,'MONTE CASTELO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2221780,5.00,7.00,5.00,7.00,6.00,6.75,5.00,4.00,4.00,316,301,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',7663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221799,2.00,6.00,5.00,6.00,6.00,6.00,4.00,6.00,3.00,404,222,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',12144,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2221802,1.00,3.00,0.00,0.00,4.00,NULL,2.00,4.00,2.00,303,104,NULL,'ANDORINHA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2221810,5.00,4.00,4.00,6.00,5.00,3.75,4.00,4.00,5.00,203,208,214,'PRAIA DA PINHEIRA','PALHOCA','SC',14209,926,1024,454,NULL,NULL,NULL,4,1),(15,2221829,2.00,6.00,1.00,1.00,5.00,NULL,2.00,4.00,1.00,5,327,NULL,'CENTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221837,5.00,6.00,4.00,7.00,4.00,3.75,4.00,3.00,1.00,425,424,421,'CENTRO','FLORIANOPOLIS','SC',14910,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2221845,4.00,8.00,3.00,5.00,7.00,5.25,5.00,6.00,4.00,316,317,NULL,'SANTO ANTONIO DE LI','FLORIANOPOLIS','SC',8445,172,464,NULL,NULL,NULL,NULL,2,1),(15,2221853,7.00,8.00,8.00,6.00,8.00,7.75,8.00,6.00,6.00,234,502,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',1117,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2221861,6.00,8.00,6.00,6.00,8.00,7.25,6.00,6.00,4.00,102,108,NULL,'CENTRO','PORTO BELO','SC',3721,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2221870,6.00,7.00,4.00,6.00,9.00,5.00,6.00,5.00,4.00,301,310,NULL,'JD SOLEIL','VALINHOS','SP',7318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221888,3.00,7.00,1.00,5.00,8.00,6.25,4.00,6.00,2.00,327,324,NULL,'VILA NOVA','IMBITUBA','SC',12799,66,197,NULL,NULL,NULL,NULL,4,10),(15,2221896,1.00,5.00,4.00,1.00,4.00,4.25,2.00,2.00,1.00,308,316,NULL,'PARIA COMPRIDA','SAO JOSE','SC',22418,226,1281,NULL,NULL,NULL,NULL,2,1),(15,2221900,1.00,6.00,1.00,6.00,4.00,4.00,3.00,3.00,3.00,327,224,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',20766,177,294,NULL,NULL,NULL,NULL,2,1),(15,2221918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,310,NULL,'VARGEM DOS PINHEIROS','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2221926,2.00,8.00,2.00,5.00,7.00,8.00,2.00,9.00,2.00,319,428,NULL,'TAPERA','FLORIANOPOLIS','SC',9228,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2221934,7.00,8.00,7.00,6.00,7.00,4.25,8.00,7.00,5.00,103,5,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',3079,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2221942,2.00,3.00,2.00,6.00,7.00,7.00,2.00,5.00,3.00,319,5,NULL,'CENTRO','NAVEGANTES','SC',15501,313,1246,NULL,NULL,NULL,NULL,2,6),(15,2221969,2.00,6.00,1.00,7.00,7.00,6.75,3.00,1.00,4.00,102,427,NULL,'SANTA AUGUSTA','CRICIUMA','SC',16248,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2221977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,108,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2221985,3.00,5.00,5.00,6.00,5.00,4.25,5.00,6.00,4.00,212,301,201,'SANTA MÔNICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2221993,2.00,3.00,0.00,2.00,1.00,NULL,3.00,3.00,2.00,316,444,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222000,1.00,5.00,3.00,1.00,6.00,4.25,4.00,5.00,2.00,319,333,NULL,'CENTRO','FLORIANOPOLIS','SC',20428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222019,4.00,7.00,4.00,8.00,3.00,5.25,4.00,6.00,1.00,425,103,429,'PAES LEME','IMBITUBA','SC',13952,90,3207,69,NULL,NULL,NULL,4,10),(15,2222027,1.00,4.00,4.00,0.00,0.00,NULL,2.00,3.00,4.00,5,420,NULL,'BELA VISTA II','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222035,0.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,9),(15,2222043,3.00,5.00,2.00,4.00,2.00,NULL,3.00,2.00,1.00,331,301,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2222051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,9,NULL,'PRIMEIRA LINHA','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2222060,6.00,8.00,8.00,7.00,8.00,6.50,8.00,6.00,4.00,203,5,212,'ANITA GARIBALDI','JOINVILLE','SC',2460,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2222078,3.00,5.00,1.00,6.00,3.00,3.75,5.00,5.00,5.00,103,104,NULL,'SANTA CRUZ','GUARAPUAVA','PR',18057,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222086,4.00,7.00,7.00,6.00,6.00,6.25,4.00,6.00,6.00,317,327,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',5854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222094,3.00,3.00,0.00,5.00,2.00,NULL,3.00,1.00,0.00,333,207,NULL,'CENTRO','PRUDENTOPOLIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222108,2.00,6.00,3.00,1.00,4.00,NULL,0.00,0.00,0.00,302,329,NULL,'CENTRO','ANTONIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2222116,0.00,7.00,1.00,6.00,6.00,5.50,6.00,5.00,3.00,415,9,NULL,'JARDIM TANGARÁ','SANTA ADELIA','SP',14640,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222132,2.00,5.00,1.00,2.00,0.00,NULL,2.00,2.00,2.00,104,9,NULL,'CORRIDAS','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2222140,7.00,8.00,9.00,8.00,8.00,5.50,7.00,7.00,8.00,103,102,NULL,'CENTRO','ARROIO TRINTA','SC',993,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2222159,2.00,5.00,2.00,4.00,4.00,5.50,1.00,3.00,1.00,423,424,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',21954,111,267,NULL,NULL,NULL,NULL,2,1),(15,2222167,4.00,6.00,5.00,4.00,6.00,4.75,4.00,8.00,4.00,317,318,NULL,'ITACORUBI','FLORIANOPOLIS','SC',10661,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,5,NULL,'QUEBEC','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2222183,4.00,7.00,8.00,8.00,9.00,6.50,7.00,7.00,4.00,203,415,214,'JURERÊ','FLORIANOPOLIS','SC',2706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222191,4.00,7.00,2.00,5.00,4.00,5.50,4.00,3.00,2.00,103,NULL,NULL,'CENTRO','MARECHAL CANDIDO RONDON','PR',17030,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2222205,2.00,5.00,3.00,2.00,3.00,4.50,1.00,3.00,3.00,5,320,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',22443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'SANTO ANTONIO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2222221,4.00,6.00,6.00,1.00,7.00,4.25,8.00,6.00,3.00,203,214,220,'VILA SANTA TEREZA','PRESIDENTE PRUDENTE','SP',9783,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2222230,5.00,7.00,8.00,4.00,7.00,3.00,9.00,8.00,6.00,203,2,213,'CARIANOS','FLORIANOPOLIS','SC',3971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222256,3.00,7.00,6.00,6.00,7.00,7.50,6.00,7.00,3.00,450,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',5148,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2222264,3.00,7.00,6.00,6.00,6.00,5.00,4.00,6.00,1.00,208,238,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222272,3.00,6.00,6.00,8.00,7.00,5.50,5.00,7.00,4.00,320,426,NULL,'BELA VISTA I','SAO JOSE','SC',5959,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222280,2.00,2.00,0.00,1.00,7.00,NULL,2.00,3.00,3.00,303,104,NULL,'CENTRO','NOVA ERECHIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2222302,3.00,6.00,2.00,4.00,6.00,5.75,2.00,6.00,4.00,207,420,201,'REUNIDAS','CACADOR','SC',16239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'VILA MOEMA','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2222337,4.00,7.00,3.00,6.00,6.00,4.50,3.00,2.00,3.00,103,333,NULL,'CHAMPGNAT','CURITIBA','PR',15936,2715,855,NULL,NULL,NULL,NULL,2,1),(15,2222345,2.00,3.00,2.00,6.00,4.00,3.50,3.00,2.00,3.00,319,318,NULL,'SANTO ANTONIO','FLORIANOPOLIS','SC',21234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222353,2.00,4.00,2.00,1.00,5.00,4.50,4.00,3.00,3.00,339,319,NULL,'SÃO SEBASTIÃO','PALHOCA','SC',21256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222361,3.00,8.00,3.00,4.00,7.00,5.25,4.00,4.00,2.00,215,318,213,'LOURDES','CAMPO MOURAO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222370,3.00,5.00,2.00,1.00,3.00,4.50,3.00,1.00,2.00,317,225,NULL,'SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC',22482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222388,4.00,7.00,4.00,4.00,8.00,5.75,6.00,4.00,2.00,301,429,NULL,'BARREIROS','SAO JOSE','SC',11538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222396,2.00,6.00,3.00,6.00,6.00,5.50,2.00,5.00,1.00,415,450,NULL,'CAMPINAS','SAO JOSE','SC',16322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222400,2.00,7.00,3.00,8.00,7.00,5.75,3.00,6.00,3.00,309,324,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',11972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222426,3.00,7.00,2.00,5.00,6.00,3.00,5.00,6.00,3.00,5,303,NULL,'CENTRO','LAGES','SC',15237,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2222442,5.00,6.00,5.00,4.00,6.00,5.75,6.00,5.00,5.00,203,223,202,'COQUEIROS','FLORIANOPOLIS','SC',9692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222450,4.00,5.00,2.00,4.00,7.00,4.50,3.00,4.00,3.00,102,215,NULL,'CARIANOS','FLORIANOPOLIS','SC',17392,376,593,NULL,NULL,NULL,NULL,2,1),(15,2222469,4.00,9.00,5.00,7.00,7.00,6.00,5.00,6.00,5.00,316,318,NULL,'COQUEIROS','FLORIANOPOLIS','SC',6116,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222477,2.00,7.00,3.00,5.00,6.00,4.00,3.00,5.00,3.00,320,310,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',16284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222485,1.00,6.00,2.00,5.00,6.00,5.00,3.00,5.00,2.00,104,NULL,NULL,'CENTRO','BIGUACU','SC',17627,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222493,4.00,9.00,8.00,9.00,9.00,6.75,5.00,8.00,5.00,103,224,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',1606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,425,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2222523,2.00,4.00,5.00,8.00,5.00,7.00,5.00,7.00,2.00,450,415,NULL,'PONTA DA PRAIA','SANTOS','SP',12179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222531,4.00,5.00,3.00,4.00,7.00,5.00,6.00,4.00,5.00,5,317,NULL,'CENTRO','FLORIANOPOLIS','SC',12589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222540,2.00,5.00,3.00,2.00,3.00,3.50,3.00,5.00,3.00,203,214,201,'CENTRO','IPORA DO OESTE','SC',21985,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2222558,4.00,6.00,7.00,5.00,7.00,5.00,7.00,6.00,3.00,203,220,214,'ATIBAIA JARDIM','ATIBAIA','SP',6776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222566,7.00,8.00,6.00,6.00,8.00,6.50,6.00,6.00,6.00,103,104,NULL,'JD AEROPORTO','PARANAVAI','PR',2105,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2222574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,302,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2222582,2.00,7.00,2.00,4.00,6.00,5.25,3.00,5.00,2.00,9,301,NULL,'CENTRO','FLORIANOPOLIS','SC',16134,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222590,1.00,4.00,1.00,0.00,4.00,NULL,1.00,4.00,1.00,201,420,NULL,'SAGRADA FAMÍLIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2222612,0.00,4.00,4.00,4.00,4.00,4.75,5.00,2.00,5.00,9,420,NULL,'CENTRO','PALHOCA','SC',19200,277,864,NULL,NULL,NULL,NULL,2,1),(15,2222620,2.00,5.00,2.00,7.00,6.00,5.25,4.00,3.00,3.00,201,5,207,'URUSSANGUINHA','ARARANGUA','SC',18010,955,1283,855,NULL,NULL,NULL,2,5),(15,2222639,8.00,7.00,9.00,8.00,8.00,6.50,9.00,5.00,8.00,102,215,NULL,'CENTRO','SAO JOSE DOS CAMPOS','SP',892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222647,3.00,6.00,1.00,4.00,2.00,NULL,2.00,4.00,3.00,5,316,NULL,'BELA VISTA II','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,222,233,'ITAGUAÇU','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2222671,3.00,6.00,3.00,5.00,8.00,6.25,3.00,6.00,4.00,104,9,NULL,'ITINGA','JOINVILLE','SC',12092,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2222680,5.00,6.00,1.00,7.00,4.00,5.00,4.00,4.00,3.00,5,316,NULL,'MODULO QUATRO','JUINA','MT',14345,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222698,3.00,8.00,1.00,3.00,4.00,4.00,3.00,3.00,1.00,5,9,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222701,4.00,9.00,4.00,10.00,5.00,5.25,7.00,9.00,3.00,207,316,NULL,'INGLESES','FLORIANOPOLIS','SC',5280,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2222710,4.00,6.00,7.00,1.00,7.00,5.00,4.00,4.00,1.00,207,201,238,'CAMPECHE','FLORIANOPOLIS','SC',14974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'JARDIM ANDREIA','BITURUNA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2222744,4.00,7.00,5.00,7.00,8.00,7.00,6.00,7.00,6.00,303,5,NULL,'JD SÃO LUÍS','RIBEIRAO PRETO','SP',4200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222752,1.00,6.00,3.00,2.00,6.00,5.00,3.00,6.00,4.00,5,104,NULL,'VILA MOEMA','TUBARAO','SC',16190,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2222760,2.00,6.00,3.00,4.00,6.00,5.75,1.00,4.00,2.00,202,203,201,'VILA SANTA HELENA','PRESIDENTE PRUDENTE','SP',18362,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2222779,0.00,7.00,1.00,4.00,3.00,5.25,3.00,3.00,2.00,208,420,238,'CAMPECHE','FLORIANOPOLIS','SC',21414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222787,6.00,8.00,5.00,7.00,7.00,6.00,5.00,7.00,3.00,211,333,201,'ANDORINHA','ITAPEMA','SC',5093,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2222795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,202,208,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2222809,0.00,6.00,6.00,6.00,5.00,6.00,3.00,5.00,3.00,303,415,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222817,4.00,6.00,3.00,5.00,8.00,6.25,3.00,5.00,2.00,332,308,NULL,'SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC',12328,50,284,NULL,NULL,NULL,NULL,2,1),(15,2222825,1.00,4.00,0.00,2.00,5.00,NULL,2.00,5.00,1.00,404,339,NULL,'JARDIM DAS CASTANHEI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222833,4.00,6.00,4.00,5.00,6.00,4.25,3.00,2.00,2.00,316,301,NULL,'CEDRO','CAMBORIU','SC',16847,473,734,NULL,NULL,NULL,NULL,2,3),(15,2222841,1.00,2.00,3.00,1.00,2.00,NULL,3.00,2.00,0.00,319,329,NULL,'VILA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222850,3.00,4.00,1.00,3.00,4.00,4.75,2.00,6.00,1.00,319,308,NULL,'PINHEIRINHO','CURITIBA','PR',21193,478,463,NULL,NULL,NULL,NULL,2,1),(15,2222906,3.00,8.00,3.00,5.00,4.00,3.50,6.00,6.00,1.00,102,211,NULL,'CENTRO','PANAMBI','RS',13616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2222914,3.00,3.00,1.00,6.00,4.00,4.50,2.00,4.00,2.00,339,327,NULL,'JARDIM DAS AVENIDAS','ARARANGUA','SC',21280,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2222922,4.00,3.00,1.00,5.00,3.00,4.50,4.00,2.00,3.00,301,316,NULL,'PARQUE SAO JORGE','FLORIANOPOLIS','SC',20797,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222930,3.00,9.00,5.00,7.00,8.00,7.25,4.00,8.00,1.00,318,427,NULL,'CENTRO','FLORIANOPOLIS','SC',6761,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222949,2.00,7.00,5.00,6.00,3.00,6.25,6.00,5.00,3.00,201,501,203,'BELA VISTA','SORRISO','MT',12775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222957,5.00,7.00,4.00,3.00,7.00,4.75,5.00,5.00,4.00,333,501,NULL,'GASPARINHO','GASPAR','SC',11253,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2222965,5.00,7.00,4.00,7.00,7.00,4.50,5.00,5.00,3.00,302,304,NULL,'CAMPECHE','FLORIANOPOLIS','SC',8570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2222973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'INTERIOR','SAO JOAO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2222981,1.00,5.00,3.00,3.00,5.00,5.25,2.00,2.00,1.00,202,203,201,'CENTRO','TIJUCAS','SC',21742,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2222990,4.00,6.00,5.00,5.00,7.00,8.00,5.00,6.00,3.00,302,NULL,NULL,'CENTRO','CHAPECO','SC',9175,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2223007,5.00,8.00,6.00,7.00,8.00,7.25,6.00,7.00,5.00,415,301,NULL,'PONTE DE IMARUIM','PALHOCA','SC',2711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223015,1.00,4.00,1.00,0.00,4.00,NULL,3.00,3.00,3.00,103,5,NULL,'CENTRO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2223023,3.00,4.00,0.00,6.00,7.00,4.00,5.00,2.00,3.00,102,103,NULL,'CENTRO','PRESIDENTE GETULIO','SC',18666,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2223031,4.00,5.00,1.00,6.00,8.00,7.50,4.00,6.00,2.00,320,328,NULL,'TRINDADE','FLORIANOPOLIS','SC',10694,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223040,6.00,9.00,8.00,7.00,7.00,4.50,8.00,7.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',1766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223058,4.00,5.00,7.00,6.00,4.00,6.00,2.00,7.00,3.00,316,301,NULL,'TRINDADE','FLORIANOPOLIS','SC',10603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223066,5.00,8.00,6.00,5.00,7.00,5.25,5.00,7.00,3.00,333,332,NULL,'ESTREITO','FLORIANOPOLIS','SC',6113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223074,4.00,4.00,3.00,2.00,5.00,5.50,6.00,4.00,4.00,216,102,215,'CENTRO','LAGES','SC',15505,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2223082,4.00,7.00,5.00,3.00,4.00,5.00,5.00,2.00,2.00,316,301,NULL,'KOBRASOL','SAO JOSE','SC',18358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223090,2.00,8.00,2.00,2.00,4.00,4.50,6.00,7.00,3.00,318,NULL,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',16094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223104,2.00,5.00,4.00,3.00,5.00,5.75,2.00,3.00,4.00,201,207,NULL,'DAS NAÇÕES','BALNEARIO CAMBORIU','SC',18239,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2223112,3.00,4.00,4.00,4.00,3.00,3.50,5.00,2.00,2.00,404,2,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',19276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223120,6.00,8.00,3.00,6.00,7.00,7.25,5.00,6.00,3.00,207,316,201,'CENTRO','SAO JOAO BATISTA','SC',5460,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223139,4.00,8.00,7.00,9.00,8.00,6.50,9.00,7.00,5.00,203,216,214,'CENTRO','CRICIUMA','SC',1875,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2223147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,415,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2223163,3.00,1.00,2.00,1.00,6.00,NULL,3.00,4.00,1.00,303,319,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223171,3.00,4.00,2.00,4.00,3.00,2.00,3.00,3.00,1.00,324,222,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223180,2.00,4.00,0.00,3.00,2.00,NULL,2.00,2.00,2.00,207,NULL,NULL,'CENTRO','IMBUIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223198,3.00,6.00,2.00,6.00,6.00,4.75,2.00,3.00,2.00,426,423,428,'ARIRIÚ','PALHOCA','SC',19084,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223201,0.00,4.00,2.00,3.00,2.00,NULL,1.00,4.00,2.00,101,211,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223210,5.00,8.00,5.00,8.00,7.00,6.00,6.00,6.00,4.00,429,NULL,426,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',4708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223228,2.00,2.00,1.00,4.00,4.00,5.00,2.00,4.00,2.00,324,426,NULL,'CARIANOS','FLORIANOPOLIS','SC',21703,104,251,NULL,NULL,NULL,NULL,2,1),(15,2223236,6.00,8.00,8.00,7.00,8.00,3.00,8.00,8.00,6.00,5,318,NULL,'CENTRO','ITAPEMA','SC',2778,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2223244,2.00,8.00,4.00,8.00,6.00,5.75,4.00,5.00,5.00,203,201,202,'JARDIM SAN REMO','LONDRINA','PR',8833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223252,4.00,6.00,4.00,3.00,6.00,6.50,6.00,6.00,5.00,102,223,NULL,'BARREIROS','SAO JOSE','SC',9563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223260,5.00,6.00,2.00,5.00,4.00,7.50,6.00,5.00,2.00,316,339,NULL,'TRINDADE','FLORIANOPOLIS','SC',11080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223279,3.00,6.00,2.00,7.00,5.00,4.75,6.00,7.00,5.00,108,333,NULL,'JARDIM OLYMPIA','SAO PAULO','SP',10319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223287,3.00,6.00,3.00,1.00,7.00,6.75,6.00,4.00,1.00,415,427,NULL,'SERTÃO DO MARUIM','SAO JOSE','SC',16473,413,185,NULL,NULL,NULL,NULL,4,1),(15,2223295,2.00,1.00,1.00,4.00,4.00,4.75,4.00,2.00,3.00,324,339,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',22292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223309,4.00,7.00,3.00,6.00,8.00,5.75,5.00,4.00,3.00,501,211,NULL,'AREIAS','CAMBORIU','SC',10388,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2223317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,316,NULL,'INTERIOR','REALEZA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2223325,1.00,3.00,2.00,4.00,5.00,5.25,2.00,5.00,1.00,216,415,201,'SÃO LUIS','CURITIBANOS','SC',21934,564,838,1130,NULL,NULL,NULL,4,9),(15,2223333,4.00,6.00,7.00,7.00,7.00,5.75,5.00,6.00,3.00,103,203,NULL,'ABRAAO','FLORIANOPOLIS','SC',7014,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,318,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2223350,4.00,8.00,4.00,6.00,7.00,4.75,4.00,6.00,1.00,207,233,214,'CENTRO','LAGES','SC',10081,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2223368,4.00,7.00,3.00,1.00,6.00,4.50,5.00,6.00,4.00,319,308,NULL,'BREJARU','PALHOCA','SC',14430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223376,4.00,6.00,8.00,6.00,7.00,4.75,7.00,7.00,2.00,317,333,NULL,'COQUEIROS','FLORIANOPOLIS','SC',6611,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223384,4.00,6.00,4.00,6.00,5.00,6.00,6.00,4.00,2.00,333,444,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',11487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223392,2.00,6.00,5.00,5.00,8.00,5.25,5.00,6.00,4.00,302,201,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223414,6.00,7.00,5.00,8.00,7.00,7.00,6.00,4.00,5.00,201,212,NULL,'TRINDADE','FLORIANOPOLIS','SC',5374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223422,7.00,5.00,0.00,5.00,5.00,7.00,5.00,2.00,1.00,102,215,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',16701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223430,2.00,5.00,3.00,1.00,6.00,4.50,1.00,3.00,2.00,316,9,NULL,'CENTRO','IBIRAMA','SC',21513,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2223449,1.00,5.00,0.00,3.00,6.00,5.25,2.00,5.00,2.00,415,451,NULL,'GUANABARA','JOINVILLE','SC',21134,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2223473,5.00,7.00,3.00,8.00,7.00,4.75,7.00,6.00,4.00,208,202,238,'CAMPINAS','SAO JOSE','SC',6720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223481,7.00,5.00,5.00,7.00,8.00,3.00,6.00,2.00,4.00,102,233,NULL,'CENTRO','RIO DO SUL','SC',9015,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223490,0.00,3.00,2.00,3.00,3.00,4.25,3.00,3.00,4.00,103,217,NULL,'CENTRO','FLORIANOPOLIS','SC',22174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,202,214,'NOVA REDENTORA','SAO JOSE DO RIO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2223520,3.00,7.00,5.00,7.00,8.00,5.50,8.00,5.00,5.00,220,2,202,'FAZENDA','ITAJAI','SC',6359,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2223538,4.00,6.00,4.00,6.00,8.00,4.25,4.00,4.00,5.00,103,450,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',10604,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223546,4.00,6.00,1.00,6.00,5.00,6.00,6.00,2.00,2.00,103,301,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223554,1.00,3.00,2.00,2.00,4.00,NULL,1.00,0.00,2.00,9,308,NULL,'ARIRIU DA FORNIGA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223562,4.00,7.00,3.00,7.00,7.00,6.00,5.00,6.00,4.00,310,320,NULL,'CENTRO','CRICIUMA','SC',7957,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2223570,4.00,5.00,4.00,7.00,7.00,5.25,4.00,6.00,3.00,101,9,NULL,'BARREIROS','SAO JOSE','SC',9781,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223597,1.00,6.00,4.00,10.00,5.00,5.00,4.00,7.00,1.00,450,326,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',12352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223600,4.00,8.00,7.00,7.00,6.00,6.50,4.00,5.00,6.00,303,211,NULL,'CERAMARTE','RIO NEGRINHO','SC',5378,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2223619,5.00,8.00,5.00,6.00,8.00,4.75,6.00,7.00,4.00,301,444,NULL,'PANTANAL','FLORIANOPOLIS','SC',5560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223627,3.00,5.00,8.00,5.00,7.00,6.00,7.00,5.00,6.00,238,103,220,'CENTRO','CRICIUMA','SC',7008,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2223635,2.00,7.00,5.00,4.00,5.00,4.75,3.00,4.00,1.00,501,215,NULL,'INTERIOR','PALMITOS','SC',17260,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2223643,2.00,5.00,2.00,6.00,8.00,7.00,3.00,3.00,2.00,318,213,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',15319,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223651,5.00,6.00,0.00,4.00,7.00,6.25,4.00,4.00,4.00,333,426,NULL,'ITACORUBI','FLORIANOPOLIS','SC',13606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223660,5.00,6.00,3.00,8.00,7.00,5.00,5.00,6.00,5.00,208,203,238,'BOM VIVER','SAO JOSE','SC',7898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223694,5.00,6.00,7.00,2.00,8.00,4.00,6.00,5.00,4.00,202,201,208,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223708,2.00,2.00,0.00,0.00,2.00,NULL,0.00,3.00,2.00,451,9,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223716,5.00,6.00,5.00,5.00,8.00,6.25,4.00,6.00,2.00,415,427,NULL,'ESTREIRO','FLORIANOPOLIS','SC',9437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223724,5.00,6.00,3.00,7.00,7.00,3.50,6.00,5.00,3.00,104,304,NULL,'TRINDADE','FLORIANOPOLIS','SC',8086,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223732,3.00,4.00,1.00,7.00,7.00,5.25,3.00,2.00,2.00,224,222,NULL,'INGLESES','FLORIANOPOLIS','SC',17355,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223740,2.00,3.00,2.00,1.00,7.00,NULL,2.00,3.00,3.00,211,333,215,'ITACORIBU','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223759,5.00,5.00,5.00,6.00,6.00,5.75,5.00,6.00,2.00,216,222,203,'CENTRO','BALNEARIO CAMBORIU','SC',9958,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2223767,2.00,7.00,2.00,4.00,7.00,6.00,3.00,6.00,1.00,450,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2223775,1.00,4.00,5.00,3.00,5.00,4.25,6.00,5.00,2.00,316,331,NULL,'CARIANOS','FLORIANOPOLIS','SC',17603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223783,2.00,4.00,3.00,5.00,2.00,NULL,3.00,4.00,4.00,208,316,202,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223791,3.00,5.00,3.00,1.00,3.00,5.75,2.00,4.00,3.00,214,420,220,'COSTA E SILVA','JOINVILLE','SC',20550,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2223805,1.00,5.00,1.00,0.00,7.00,2.00,1.00,7.00,2.00,104,211,NULL,'CENTRO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2223813,2.00,4.00,1.00,4.00,5.00,NULL,6.00,3.00,0.00,319,320,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223821,5.00,6.00,9.00,9.00,9.00,6.00,9.00,7.00,5.00,103,203,NULL,'CENTRO','POMERODE','SC',1273,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2223830,2.00,5.00,3.00,2.00,6.00,4.75,6.00,3.00,3.00,2,328,NULL,'MENINO DEUS','PORTO ALEGRE','RS',18500,65,129,NULL,NULL,NULL,NULL,2,1),(15,2223848,7.00,8.00,6.00,7.00,7.00,5.75,7.00,8.00,4.00,303,5,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',2421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223856,3.00,5.00,3.00,4.00,4.00,4.75,3.00,3.00,2.00,234,404,NULL,'INGLESES','FLORIANOPOLIS','SC',20371,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223872,3.00,4.00,1.00,3.00,2.00,NULL,5.00,4.00,2.00,404,428,NULL,'ABRAÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223899,3.00,7.00,4.00,4.00,5.00,5.25,4.00,3.00,3.00,415,428,NULL,'CENTRO','AGUAS MORNAS','SC',15687,388,218,NULL,NULL,NULL,NULL,2,1),(15,2223902,2.00,7.00,5.00,3.00,5.00,3.50,4.00,3.00,3.00,103,333,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223910,4.00,6.00,5.00,7.00,7.00,5.75,5.00,5.00,2.00,318,215,NULL,'LOTE SEIS','CRICIUMA','SC',9161,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2223929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'INDUSTRIAL SUL','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2223937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,201,214,'JARDIM PETRÓPOLIS','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2223945,5.00,7.00,5.00,7.00,7.00,5.00,7.00,7.00,5.00,450,5,NULL,'PONTA AGUDA','BLUMENAU','SC',5049,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2223953,2.00,5.00,4.00,6.00,4.00,4.00,4.00,4.00,3.00,234,333,NULL,'JD ESPLANADA II','SAO JOSE DOS CAMPOS','SP',16895,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2223961,4.00,7.00,7.00,8.00,7.00,5.50,6.00,5.00,5.00,203,202,233,'VILA MOEMA','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2223970,1.00,6.00,4.00,1.00,5.00,3.50,3.00,3.00,3.00,317,207,NULL,'AZAMBUJA','BRUSQUE','SC',20478,375,1304,NULL,NULL,NULL,NULL,4,1),(15,2223988,8.00,7.00,6.00,6.00,8.00,5.25,6.00,5.00,4.00,103,303,NULL,'CAMPOS ELISEOS','CAMPINAS','SP',5058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2223996,5.00,7.00,3.00,7.00,8.00,4.75,5.00,4.00,3.00,5,303,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224003,3.00,4.00,2.00,3.00,7.00,4.50,5.00,7.00,2.00,316,224,NULL,'RIO TVARES','FLORIANOPOLIS','SC',16002,445,232,NULL,NULL,NULL,NULL,2,1),(15,2224011,2.00,5.00,2.00,3.00,7.00,3.00,5.00,2.00,0.00,404,444,NULL,'ARIRIU','PALHOCA','SC',20448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2224020,2.00,5.00,1.00,7.00,6.00,6.50,3.00,5.00,3.00,103,102,NULL,'VILA SANTO ANTÔNIO','CORDEIROPOLIS','SP',16619,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2224038,0.00,1.00,0.00,0.00,0.00,NULL,1.00,3.00,2.00,301,103,NULL,'MURTA','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2224046,5.00,7.00,5.00,6.00,9.00,6.50,7.00,5.00,4.00,102,101,NULL,'CENTRO','NOVA VENEZA','SC',4880,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2224054,1.00,7.00,4.00,7.00,7.00,6.50,2.00,4.00,4.00,301,223,NULL,'MICHEL','CRICIUMA','SC',12640,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2224062,4.00,6.00,6.00,6.00,6.00,4.50,5.00,3.00,7.00,9,103,NULL,'CENTRO','JOINVILLE','SC',9919,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2224070,1.00,5.00,2.00,1.00,5.00,4.50,3.00,4.00,5.00,5,320,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',20321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224089,4.00,8.00,8.00,8.00,8.00,6.25,7.00,8.00,8.00,5,327,NULL,'CENTRO','FLORIANOPOLIS','SC',972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224097,2.00,5.00,4.00,7.00,8.00,5.00,5.00,4.00,5.00,303,301,NULL,'ASILO','BLUMENAU','SC',10508,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2224100,3.00,5.00,4.00,1.00,3.00,4.00,3.00,2.00,2.00,9,215,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2224119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,318,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2224127,7.00,8.00,7.00,8.00,9.00,6.25,9.00,8.00,7.00,202,203,NULL,'JD DOM BOSCO','LONDRINA','PR',507,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2224135,3.00,4.00,4.00,2.00,5.00,5.50,3.00,2.00,2.00,9,420,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',20121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224143,2.00,7.00,2.00,5.00,6.00,5.75,5.00,3.00,3.00,101,324,NULL,'CAMPINAS','SAO JOSE','SC',15931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2224151,5.00,6.00,7.00,9.00,8.00,7.50,7.00,7.00,5.00,207,2,201,'CAMPINAS','SAO JOSE','SC',2194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224178,4.00,5.00,4.00,6.00,4.00,5.25,3.00,4.00,1.00,501,211,NULL,'INTERIOR','PALMITOS','SC',16394,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2224186,2.00,6.00,4.00,2.00,5.00,6.25,2.00,4.00,3.00,238,9,NULL,'ESTREITO','FLORIANOPOLIS','SC',18971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224194,2.00,5.00,3.00,8.00,6.00,4.25,5.00,4.00,2.00,203,201,214,'CENTRO','POMERODE','SC',14757,953,1330,465,NULL,NULL,NULL,4,2),(15,2224208,3.00,3.00,2.00,4.00,4.00,4.50,3.00,3.00,1.00,217,333,NULL,'COQUEIROS','FLORIANOPOLIS','SC',21604,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2224216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,328,NULL,'BREMER','RIO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2224224,1.00,6.00,3.00,6.00,6.00,6.50,3.00,5.00,3.00,238,332,233,'CAMPINAS','SAO JOSE','SC',15258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,108,NULL,'CENTRO','SANTA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2224240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,5,NULL,'REAL PARQUE','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2224259,2.00,4.00,1.00,6.00,4.00,5.50,2.00,3.00,1.00,444,501,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224267,5.00,7.00,2.00,6.00,4.00,6.00,3.00,5.00,5.00,333,108,NULL,'JD AMÉRICA','DOURADOS','MS',12761,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2224275,4.00,6.00,2.00,7.00,6.00,5.50,5.00,7.00,2.00,303,425,NULL,'PARAÍSO','JAGUARUNA','SC',11599,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2224291,3.00,7.00,3.00,8.00,7.00,5.75,5.00,4.00,4.00,304,450,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224305,3.00,6.00,7.00,5.00,8.00,4.75,4.00,5.00,4.00,317,423,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',8648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2224313,2.00,6.00,3.00,6.00,5.00,6.00,6.00,5.00,2.00,201,450,207,'CENTRO','SANANDUVA','RS',13600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224321,3.00,7.00,2.00,5.00,6.00,5.00,3.00,5.00,2.00,201,302,212,'GLORIA','JOINVILLE','SC',17097,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2224348,2.00,6.00,2.00,4.00,5.00,6.50,4.00,7.00,4.00,316,318,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',14941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224356,2.00,6.00,2.00,1.00,5.00,4.25,3.00,3.00,3.00,404,333,NULL,'CENTRO','IRANI','SC',21801,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2224364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,332,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2224372,6.00,9.00,6.00,7.00,9.00,6.25,7.00,7.00,5.00,303,327,NULL,'CENTRO','FLORIANOPOLIS','SC',1937,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2224380,3.00,6.00,4.00,6.00,6.00,5.75,4.00,5.00,2.00,5,317,NULL,'CENTRO','CRICIUMA','SC',13208,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2224399,2.00,3.00,4.00,1.00,5.00,5.25,2.00,2.00,1.00,201,203,NULL,'MORRETES','ITAPEMA','SC',22279,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2224402,4.00,6.00,3.00,7.00,6.00,4.75,4.00,5.00,2.00,102,217,NULL,'NAÇÕES','INDAIAL','SC',13691,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2224410,8.00,8.00,6.00,6.00,8.00,6.25,7.00,7.00,3.00,201,108,207,'URBANOVA','SAO JOSE DOS CAMPOS','SP',3578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224437,3.00,2.00,2.00,2.00,4.00,5.50,4.00,3.00,2.00,308,415,NULL,'BARREIROS','SAO JOSE','SC',21832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2224453,1.00,6.00,4.00,5.00,5.00,5.25,3.00,5.00,4.00,327,329,NULL,'MENINO DEUS','PATO BRANCO','PR',15039,99,183,NULL,NULL,NULL,NULL,4,4),(15,2224461,3.00,6.00,3.00,6.00,5.00,5.50,4.00,4.00,3.00,207,333,201,'CAMAQUÃ','PORTO ALEGRE','RS',14752,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2224470,5.00,7.00,9.00,5.00,8.00,6.00,9.00,7.00,7.00,208,NULL,NULL,'SÃO CRISTOVÃO','MARAU','RS',1842,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2224488,2.00,5.00,6.00,6.00,6.00,3.00,4.00,6.00,3.00,301,207,NULL,'ANITA GARIBALDI','JOINVILLE','SC',14063,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2224496,4.00,7.00,7.00,6.00,8.00,5.75,6.00,7.00,2.00,207,108,211,'CENTRO','CUIABA','MT',5395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,220,213,'JD NOVO OSASCO','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2224518,4.00,5.00,2.00,5.00,5.00,5.75,5.00,3.00,1.00,238,501,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',16477,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2224526,3.00,5.00,4.00,8.00,7.00,5.50,4.00,5.00,2.00,9,427,NULL,'BARREIROS','SAO JOSE','SC',10012,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2224534,3.00,8.00,2.00,5.00,8.00,6.75,4.00,3.00,2.00,102,9,NULL,'VICTOR KONDER','BLUMENAU','SC',13304,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2224542,3.00,5.00,1.00,4.00,4.00,4.25,3.00,4.00,3.00,404,424,NULL,'JARDIM RAIO DO SOL','ALVARES MACHADO','SP',20683,221,261,NULL,NULL,NULL,NULL,2,1),(15,2224577,4.00,6.00,4.00,2.00,6.00,5.25,6.00,5.00,2.00,201,327,212,'CENTRO','ITAPEMA','SC',14811,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2224585,2.00,4.00,4.00,2.00,4.00,5.00,3.00,4.00,3.00,101,319,NULL,'VILA LENZI','JARAGUA DO SUL','SC',20372,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2224593,2.00,6.00,4.00,3.00,5.00,6.75,3.00,4.00,1.00,425,318,429,'COLONINHA','FLORIANOPOLIS','SC',16809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224607,3.00,3.00,2.00,2.00,4.00,5.00,3.00,3.00,3.00,319,9,NULL,'AREIAS','SAO JOSE','SC',21700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2224623,4.00,5.00,5.00,3.00,6.00,5.75,4.00,3.00,4.00,104,324,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224631,3.00,9.00,5.00,7.00,7.00,7.00,4.00,8.00,2.00,220,214,213,'CENTRO','PETROLANDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2224640,7.00,9.00,6.00,10.00,8.00,3.50,8.00,7.00,4.00,220,202,203,'CENTRO','TUBARAO','SC',1706,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2224658,4.00,5.00,5.00,1.00,7.00,5.00,3.00,6.00,2.00,415,316,NULL,'HUMAITÁ DE CIMA','TUBARAO','SC',15564,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2224666,7.00,7.00,8.00,8.00,8.00,6.00,8.00,8.00,6.00,216,102,211,'CENTRO','LAGES','SC',1217,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2224674,6.00,5.00,5.00,7.00,7.00,5.50,6.00,6.00,4.00,202,203,201,'SALETE','CONCORDIA','SC',5924,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2224682,4.00,5.00,0.00,3.00,6.00,4.75,2.00,3.00,3.00,319,108,NULL,'CENTRO','ALPESTRE','RS',20268,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2224690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'BECK','TUPANCIRETA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2224704,1.00,5.00,2.00,5.00,3.00,5.00,4.00,2.00,2.00,104,103,NULL,'CENTRO','NAVEGANTES','SC',20914,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2224712,4.00,7.00,3.00,3.00,8.00,5.00,4.00,5.00,4.00,103,102,NULL,'CENTRO','LAGES','SC',10541,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2224720,2.00,5.00,3.00,4.00,6.00,3.00,3.00,5.00,1.00,304,420,NULL,'CENTRO','IPORA DO OESTE','SC',20039,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2224747,4.00,4.00,5.00,5.00,5.00,5.50,4.00,3.00,3.00,104,9,NULL,'CENTRO','PALMEIRA DAS MISSOES','RS',15800,509,612,NULL,NULL,NULL,NULL,2,4),(15,2224755,3.00,8.00,5.00,7.00,7.00,4.00,3.00,4.00,5.00,208,5,211,'PRAIA BRAVA','BALNEARIO CAMBORIU','SC',9909,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2224763,2.00,6.00,2.00,3.00,5.00,4.75,1.00,5.00,2.00,319,308,NULL,'INGLESES','FLORIANOPOLIS','SC',20665,462,447,NULL,NULL,NULL,NULL,2,1),(15,2224771,2.00,6.00,3.00,0.00,4.00,4.50,5.00,6.00,2.00,202,316,233,'ITACORUBI','FLORIANOPOLIS','SC',18649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224798,3.00,7.00,5.00,8.00,9.00,5.00,7.00,5.00,3.00,103,451,NULL,'CENTRO','FLORIANOPOLIS','SC',6183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224801,1.00,1.00,1.00,1.00,1.00,NULL,0.00,0.00,0.00,316,104,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2224810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,331,NULL,'NOVA FLORESTA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2224836,5.00,7.00,2.00,6.00,9.00,6.25,7.00,5.00,4.00,501,309,NULL,'CENTRO','BIGUACU','SC',6865,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2224844,4.00,6.00,4.00,6.00,7.00,7.50,4.00,4.00,2.00,415,328,NULL,'CENTRO','FLORIANOPOLIS','SC',11845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,501,NULL,'EMBARÉ','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2224860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,213,215,'CIDADE JARDIM','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2224895,4.00,7.00,5.00,4.00,6.00,5.00,4.00,5.00,3.00,404,NULL,NULL,'ATIRADORES','JOINVILLE','SC',13179,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2224909,6.00,6.00,6.00,5.00,7.00,5.25,4.00,3.00,4.00,238,222,208,'CENTRO','MAFRA','SC',9338,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2224917,6.00,6.00,9.00,6.00,7.00,6.00,5.00,3.00,4.00,207,420,212,'PRAIA DA COSTA','VILA VELHA','ES',6984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224925,5.00,8.00,5.00,4.00,6.00,5.25,8.00,5.00,4.00,102,NULL,NULL,'AREIAS','SAO JOSE','SC',6658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224933,1.00,4.00,1.00,1.00,4.00,NULL,2.00,2.00,2.00,308,319,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224950,7.00,5.00,8.00,9.00,8.00,5.50,9.00,6.00,5.00,203,420,220,'JD EUROPA','LONDRINA','PR',2061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2224968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,501,NULL,'LINHA JACUTINGA','SANTA IZABEL DO OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2224976,1.00,6.00,2.00,2.00,6.00,5.00,3.00,3.00,2.00,207,NULL,NULL,'SÃO MIGUEL PAULISTA','SAO PAULO','SP',20419,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2224984,6.00,4.00,2.00,3.00,6.00,5.25,3.00,6.00,3.00,220,202,NULL,'JARDIM CORALINA','BAURU','SP',15944,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2224992,6.00,7.00,5.00,4.00,6.00,6.00,4.00,5.00,2.00,423,108,NULL,'KOBRASOL','SAO JOSE','SC',12350,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2225000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,224,NULL,'RIO CERRO II','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',5,2),(15,2225018,2.00,8.00,0.00,1.00,2.00,NULL,3.00,5.00,2.00,304,208,NULL,'JARDIM CATANHEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225026,4.00,6.00,8.00,7.00,7.00,6.25,7.00,5.00,4.00,216,214,211,'CENTRO','SAO JOSE DOS CAMPOS','SP',6032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225034,7.00,8.00,8.00,3.00,7.00,5.50,8.00,8.00,7.00,103,202,NULL,'PARQUE SÃO PAULO','CASCAVEL','PR',2471,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2225042,3.00,6.00,5.00,6.00,7.00,5.00,6.00,3.00,4.00,104,214,NULL,'REUNIDAS','CACADOR','SC',11439,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2225050,3.00,5.00,4.00,7.00,6.00,6.75,5.00,6.00,0.00,316,318,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2225077,2.00,6.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,308,427,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2225085,5.00,6.00,3.00,6.00,7.00,3.00,6.00,8.00,2.00,301,103,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,415,NULL,'JARDIM AMERICA','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2225107,3.00,6.00,6.00,8.00,6.00,5.00,6.00,8.00,4.00,5,303,NULL,'GARCIA','BLUMENAU','SC',5474,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2225115,4.00,5.00,4.00,6.00,7.00,7.00,6.00,4.00,5.00,303,301,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225123,5.00,8.00,5.00,7.00,7.00,6.50,7.00,7.00,4.00,233,220,203,'PONTA DA PRAIA','SANTOS','SP',4341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,208,NULL,'CENTRO','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2225158,4.00,8.00,0.00,5.00,6.00,4.00,5.00,7.00,3.00,318,216,NULL,'TRINDADE','FLORIANOPOLIS','SC',13587,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2225174,3.00,6.00,2.00,1.00,3.00,4.50,5.00,3.00,2.00,501,331,NULL,'CZERNIEWICZ','JARAGUA DO SUL','SC',20891,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2225182,8.00,9.00,9.00,10.00,8.00,6.75,9.00,8.00,9.00,103,320,NULL,'CENTRO','VIAMAO','RS',18,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2225190,2.00,6.00,4.00,4.00,4.00,4.25,6.00,5.00,2.00,215,211,201,'BOSQUE DA SAUDE','CUIABA','MT',16940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225204,2.00,4.00,3.00,4.00,3.00,NULL,0.00,0.00,0.00,319,415,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2225212,4.00,5.00,5.00,5.00,7.00,5.50,5.00,5.00,4.00,420,224,NULL,'CAMPINAS','SAO JOSE','SC',10002,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2225220,3.00,4.00,4.00,2.00,4.00,4.50,4.00,5.00,2.00,104,5,NULL,'UNIVERSITÁRIO','SANTO ANGELO','RS',19222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CAMBUÍ','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2225247,1.00,7.00,2.00,6.00,5.00,6.75,4.00,5.00,2.00,319,9,NULL,'AREIAS','SAO JOSE','SC',15315,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2225255,7.00,8.00,5.00,7.00,8.00,5.25,5.00,3.00,7.00,103,102,NULL,'ÁGUA VERDE','CURITIBA','PR',3953,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2225263,2.00,6.00,0.00,1.00,4.00,6.00,2.00,6.00,2.00,333,502,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2225271,4.00,8.00,3.00,6.00,5.00,4.50,4.00,5.00,4.00,103,104,NULL,'CENTRO','ITAJAI','SC',11939,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2225280,1.00,7.00,6.00,5.00,8.00,5.25,4.00,8.00,6.00,103,102,NULL,'CENTRO','GRAVATAL','SC',7818,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2225298,3.00,4.00,2.00,8.00,6.00,NULL,0.00,0.00,0.00,415,9,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2225301,6.00,8.00,8.00,9.00,7.00,5.75,8.00,8.00,6.00,103,303,NULL,'ANITA GARIBALDI','JOINVILLE','SC',912,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2225310,0.00,4.00,4.00,1.00,5.00,3.00,3.00,3.00,2.00,404,317,NULL,'FORQUILHINHAS','SAO JOSE','SC',22227,276,679,NULL,NULL,NULL,NULL,4,1),(15,2225328,5.00,7.00,0.00,5.00,7.00,NULL,4.00,6.00,3.00,215,217,216,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2225336,2.00,6.00,5.00,5.00,7.00,5.00,4.00,5.00,3.00,301,316,NULL,'KOBRASOL','SAO JOSE','SC',14169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225344,5.00,7.00,1.00,3.00,5.00,5.75,5.00,3.00,1.00,217,NULL,NULL,'NAVEGANTES','GETULIO VARGAS','RS',17544,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2225352,3.00,7.00,2.00,6.00,7.00,7.00,4.00,7.00,4.00,415,327,NULL,'CENTRO','FLORIANOPOLIS','SC',8302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2225360,0.00,6.00,2.00,1.00,4.00,6.00,3.00,5.00,4.00,302,404,NULL,'SÃO CRISTOVÃO','CONCORDIA','SC',20162,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2225379,3.00,6.00,3.00,2.00,6.00,6.25,2.00,4.00,3.00,301,310,NULL,'JD MARAMBÁ','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225387,3.00,7.00,3.00,7.00,8.00,5.75,6.00,7.00,3.00,212,214,201,'VELHA','BLUMENAU','SC',7336,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2225409,3.00,6.00,4.00,6.00,5.00,6.50,4.00,4.00,3.00,427,324,425,'AGRONÔMICA','FLORIANOPOLIS','SC',14066,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2225417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,102,NULL,'CACUPE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2225433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JUVEVÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2225441,3.00,6.00,4.00,3.00,8.00,6.50,6.00,6.00,2.00,103,215,NULL,'ESTREITO','FLORIANOPOLIS','SC',11178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2225450,8.00,7.00,4.00,5.00,7.00,6.25,6.00,7.00,6.00,103,303,NULL,'CENTRO','GASPAR','SC',4372,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2225468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,316,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2225476,0.00,2.00,1.00,3.00,5.00,NULL,1.00,1.00,0.00,101,301,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2225492,3.00,7.00,2.00,4.00,5.00,4.75,4.00,7.00,3.00,102,208,NULL,'INTERIOR','CONSTANTINA','RS',16118,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2225506,4.00,7.00,2.00,7.00,6.00,4.25,3.00,3.00,3.00,316,304,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',15706,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2225514,3.00,6.00,4.00,2.00,7.00,0.00,4.00,3.00,2.00,103,104,NULL,'SUMARÉ','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225530,1.00,2.00,1.00,4.00,1.00,NULL,3.00,4.00,5.00,102,211,NULL,'SÃO JOÃO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2225557,4.00,7.00,4.00,8.00,8.00,3.00,6.00,7.00,7.00,104,415,NULL,'BAIRRO PROGRESSO','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225565,3.00,6.00,3.00,7.00,6.00,7.00,5.00,4.00,4.00,103,102,NULL,'SÃO LUIZ','SAO MIGUEL DOESTE','SC',10019,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2225573,3.00,6.00,7.00,7.00,4.00,4.50,6.00,6.00,2.00,444,421,NULL,'KOBRASOL','SAO JOSE','SC',11329,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2225581,5.00,6.00,5.00,5.00,8.00,5.25,5.00,4.00,3.00,301,415,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',9940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225603,3.00,5.00,1.00,1.00,4.00,5.00,1.00,5.00,4.00,104,9,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',20489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225611,5.00,5.00,7.00,5.00,8.00,5.50,8.00,2.00,5.00,316,301,NULL,'VILA EMA','SAO JOSE DOS CAMPOS','SP',8611,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2225620,1.00,7.00,4.00,3.00,6.00,5.00,3.00,3.00,3.00,301,NULL,NULL,'PASSO','MAFRA','SC',18018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225638,3.00,6.00,7.00,9.00,5.00,5.25,6.00,6.00,3.00,450,420,NULL,'BOA VIAGEM','RECIFE','PE',7592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225646,4.00,8.00,6.00,5.00,8.00,5.25,6.00,7.00,5.00,207,320,215,'TRINDADE','FLORIANOPOLIS','SC',6170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225654,5.00,7.00,4.00,8.00,8.00,7.00,5.00,4.00,6.00,303,319,NULL,'CENTRO','CONCORDIA','SC',5169,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2225670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,502,NULL,'LINHA MATÃO','NOVO HORIZONTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2225700,1.00,3.00,3.00,2.00,2.00,NULL,3.00,2.00,2.00,326,308,NULL,'CENTRO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225719,7.00,6.00,8.00,7.00,9.00,7.00,7.00,5.00,5.00,103,207,NULL,'VILA ALEMANHA','LUZERNA','SC',2087,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2225735,1.00,7.00,4.00,7.00,6.00,4.50,5.00,7.00,3.00,238,NULL,208,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',11589,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2225743,4.00,8.00,7.00,9.00,8.00,6.25,7.00,6.00,8.00,501,211,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',1482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225751,3.00,6.00,4.00,6.00,5.00,9.00,6.00,3.00,4.00,203,NULL,NULL,'DAL MOLIN','ERECHIM','RS',10009,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2225760,7.00,8.00,5.00,9.00,8.00,6.50,7.00,7.00,3.00,211,331,216,'CENTRO','FLORIANOPOLIS','SC',2710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225786,6.00,7.00,7.00,7.00,7.00,4.50,8.00,5.00,5.00,203,213,214,'URBANOVA','SAO JOSE DOS CAMPOS','SP',4016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225794,2.00,7.00,3.00,2.00,3.00,6.50,5.00,4.00,0.00,238,316,233,'CAMPINAS','SAO JOSE','SC',19581,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2225808,5.00,6.00,9.00,5.00,8.00,4.75,7.00,6.00,4.00,207,319,201,'LUCAS ARAÚJO','PASSO FUNDO','RS',5753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225824,7.00,9.00,3.00,9.00,8.00,6.25,6.00,7.00,6.00,5,316,NULL,'CENTRO','CAMPINAS','SP',2432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,444,NULL,'BELA VISTA I','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2225840,5.00,6.00,7.00,3.00,8.00,5.00,6.00,5.00,5.00,202,444,201,'COLONIA SANTANA','SAO JOSE','SC',7668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,215,NULL,'CENTRO','PALMEIRA DAS MISSOES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2225867,3.00,6.00,7.00,9.00,6.00,6.50,9.00,6.00,5.00,208,420,220,'BOA VIAGEM','RECIFE','PE',3080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225875,6.00,6.00,5.00,5.00,6.00,6.00,5.00,5.00,4.00,102,9,NULL,'TATUAPE','SAO PAULO','SP',8813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225883,5.00,6.00,6.00,9.00,8.00,7.00,4.00,4.00,4.00,103,415,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2225905,0.00,3.00,1.00,4.00,3.00,NULL,0.00,0.00,2.00,102,101,NULL,'PIO X','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2225913,1.00,5.00,8.00,2.00,4.00,6.00,4.00,4.00,4.00,201,NULL,NULL,'ZONA UM','CIANORTE','PR',16435,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2225921,3.00,3.00,2.00,2.00,3.00,NULL,1.00,5.00,0.00,101,NULL,NULL,'BANDEIRANTES','CAPIVARI DE BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2225930,2.00,2.00,2.00,0.00,7.00,7.00,3.00,5.00,3.00,424,423,427,'NS DO ROSÁRIO','SAO JOSE','SC',20097,84,240,82,NULL,NULL,NULL,4,1),(15,2225948,2.00,5.00,1.00,0.00,4.00,NULL,0.00,0.00,0.00,5,9,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2225956,6.00,8.00,3.00,4.00,7.00,6.00,6.00,4.00,4.00,103,301,NULL,'NOVA ESPERANÇA','BALNEARIO CAMBORIU','SC',8409,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2225964,3.00,7.00,8.00,7.00,9.00,6.75,6.00,9.00,6.00,450,NULL,NULL,'PIRITUBA','SAO PAULO','SP',2330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225972,3.00,2.00,3.00,4.00,4.00,NULL,2.00,1.00,1.00,101,324,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2225980,5.00,8.00,8.00,6.00,9.00,6.25,7.00,7.00,6.00,303,304,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',2264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2225999,3.00,6.00,6.00,8.00,6.00,6.50,3.00,7.00,3.00,103,444,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',10611,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2226006,2.00,7.00,3.00,8.00,7.00,4.75,5.00,3.00,4.00,303,444,NULL,'TRINDADE','FLORIANOPOLIS','SC',12397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226014,5.00,5.00,7.00,6.00,8.00,6.00,4.00,5.00,4.00,103,309,NULL,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',8533,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2226022,4.00,5.00,2.00,5.00,5.00,3.00,3.00,3.00,3.00,104,207,NULL,'VÁRZEA','LAGES','SC',19612,639,1284,NULL,NULL,NULL,NULL,2,9),(15,2226030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,501,NULL,'TROPICAL','RIO BRANCO','AC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2226049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,303,NULL,'MORRO DOS CONVENTOS','ARARANGUA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2226057,3.00,6.00,5.00,3.00,6.00,3.00,6.00,7.00,5.00,316,301,NULL,'ANHUMAS','CAMPINAS','SP',10514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226065,0.00,5.00,1.00,0.00,2.00,NULL,2.00,5.00,2.00,324,339,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226073,2.00,3.00,3.00,0.00,6.00,NULL,4.00,3.00,3.00,207,215,NULL,'CIDADE ALTA','CUNHA PORA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2226081,3.00,4.00,2.00,6.00,4.00,6.75,5.00,5.00,1.00,216,420,201,'BOA VISTA','CURITIBA','PR',14931,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2226090,3.00,9.00,2.00,6.00,7.00,7.50,5.00,7.00,4.00,319,101,NULL,'CORAL','LAGES','SC',7469,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2226103,4.00,7.00,6.00,7.00,6.00,6.75,7.00,7.00,5.00,303,5,NULL,'FLORESTA','SAO JOSE','SC',4431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226111,4.00,6.00,7.00,7.00,6.00,5.75,4.00,4.00,4.00,104,301,NULL,'ITACORUBI','FLORIANOPOLIS','SC',7998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226120,1.00,3.00,0.00,1.00,4.00,NULL,0.00,3.00,3.00,324,502,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226138,2.00,5.00,1.00,7.00,6.00,5.50,3.00,7.00,1.00,339,426,NULL,'CRUZEIRO','CAXIAS DO SUL','RS',16976,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2226146,3.00,4.00,2.00,6.00,6.00,5.75,3.00,4.00,4.00,304,303,NULL,'SERRARIA','SAO JOSE','SC',14539,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2226154,2.00,5.00,2.00,3.00,7.00,5.75,2.00,5.00,3.00,216,108,NULL,'ANDORINHA','ITAPEMA','SC',17930,504,879,NULL,NULL,NULL,NULL,4,3),(15,2226162,6.00,6.00,3.00,6.00,6.00,6.50,3.00,6.00,2.00,303,304,NULL,'CENTRO','CRICIUMA','SC',10591,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2226170,6.00,8.00,9.00,8.00,9.00,6.75,8.00,7.00,8.00,203,223,214,'TRINDADE','FLORIANOPOLIS','SC',476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226189,1.00,4.00,3.00,6.00,6.00,5.25,2.00,3.00,0.00,444,324,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',20941,268,413,NULL,NULL,NULL,NULL,2,1),(15,2226197,4.00,7.00,6.00,7.00,7.00,7.00,4.00,8.00,6.00,320,327,NULL,'SANTA HELENA','LAGES','SC',3216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226200,2.00,3.00,0.00,7.00,6.00,5.50,3.00,4.00,2.00,333,234,NULL,'JARDIM SOCIAL','CURITIBA','PR',17583,295,227,NULL,NULL,NULL,NULL,2,1),(15,2226219,1.00,7.00,4.00,8.00,7.00,7.75,6.00,4.00,4.00,501,415,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',9420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226227,1.00,5.00,0.00,3.00,4.00,5.50,3.00,3.00,2.00,102,333,NULL,'COLATTO','XANXERE','SC',22288,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2226235,8.00,9.00,8.00,9.00,9.00,8.50,8.00,9.00,7.00,103,220,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226243,2.00,6.00,8.00,6.00,8.00,7.25,5.00,4.00,5.00,302,324,NULL,'CENTRO','FLORIANOPOLIS','SC',7644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226260,2.00,5.00,1.00,2.00,2.00,NULL,3.00,3.00,1.00,319,451,NULL,'CENTRO','CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2226278,2.00,4.00,6.00,0.00,5.00,3.75,5.00,5.00,2.00,213,233,212,'PARQUE BITARÚ','SAO VICENTE','SP',17756,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2226286,2.00,6.00,7.00,4.00,6.00,6.00,5.00,5.00,3.00,207,501,212,'CENTRO','PRESIDENTE GETULIO','SC',11515,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2226294,5.00,8.00,3.00,6.00,7.00,7.00,7.00,4.00,5.00,203,2,216,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2226308,7.00,8.00,9.00,5.00,7.00,6.25,7.00,5.00,5.00,211,201,202,'JARDIM INDEPENDÊNCIA','TOLEDO','PR',2983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226316,3.00,8.00,3.00,8.00,7.00,6.50,5.00,7.00,3.00,444,404,NULL,'SAGRADA FAMÍLIA','CAXIAS DO SUL','RS',9036,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2226324,3.00,8.00,4.00,8.00,6.00,6.25,5.00,7.00,2.00,415,320,NULL,'ANITA GARIBALDI','JOINVILLE','SC',7858,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2226340,2.00,3.00,3.00,1.00,5.00,NULL,2.00,2.00,1.00,224,2,NULL,'CIDADE NOVA','INDAIATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,211,NULL,'CENTRO','RODEIO','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(15,2226367,3.00,4.00,1.00,4.00,5.00,4.75,1.00,4.00,2.00,208,NULL,NULL,'CAMPINAS','SAO JOSE','SC',20948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226383,2.00,6.00,0.00,3.00,7.00,6.00,2.00,6.00,3.00,225,327,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',17118,43,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226391,2.00,4.00,4.00,4.00,2.00,NULL,5.00,2.00,2.00,211,501,201,'DAS NAÇÕES','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2226413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,327,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2226421,3.00,3.00,7.00,1.00,3.00,3.50,4.00,2.00,3.00,220,213,202,'PARQUE PINHEIROS','BIRIGUI','SP',21302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226430,3.00,6.00,1.00,8.00,6.00,6.00,4.00,3.00,2.00,339,502,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',16349,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2226448,5.00,6.00,2.00,5.00,8.00,6.00,4.00,5.00,3.00,301,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',10443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226456,2.00,4.00,0.00,4.00,4.00,NULL,2.00,3.00,0.00,317,9,NULL,'NOSSA SRA DO ROSÁRIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2226464,6.00,7.00,5.00,7.00,6.00,6.00,7.00,4.00,4.00,201,220,212,'JARDIM AMÉRICA','CHAPECO','SC',5775,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2226472,2.00,4.00,2.00,4.00,4.00,6.00,5.00,4.00,2.00,238,203,214,'CENTRO','XAXIM','SC',19877,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2226480,3.00,5.00,2.00,4.00,7.00,6.75,4.00,4.00,3.00,214,316,203,'PONTA AGUDA','BLUMENAU','SC',14863,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2226499,3.00,6.00,6.00,8.00,5.00,4.75,7.00,6.00,3.00,301,303,NULL,'CENTRO','ITUIUTABA','MG',7868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226502,2.00,8.00,4.00,0.00,4.00,4.50,2.00,3.00,0.00,103,102,NULL,'ITOUPAVA SECA','BLUMENAU','SC',22064,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2226510,4.00,8.00,8.00,6.00,8.00,6.00,8.00,7.00,3.00,316,304,NULL,'IRIRIU','JOINVILLE','SC',3055,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2226529,2.00,6.00,2.00,3.00,6.00,7.00,4.00,3.00,2.00,319,415,NULL,'CENTRO','JARAGUA DO SUL','SC',16574,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2226537,3.00,7.00,6.00,6.00,2.00,NULL,5.00,5.00,3.00,5,316,NULL,'BOTAFOGO','BENTO GONCALVES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2226545,0.00,3.00,3.00,1.00,2.00,NULL,2.00,5.00,3.00,303,415,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2226553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,104,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2226561,2.00,6.00,4.00,1.00,4.00,6.00,5.00,2.00,2.00,233,208,203,'SACO DOS LIMOES','FLORIANOPOLIS','SC',20459,448,1119,1156,NULL,NULL,NULL,4,1),(15,2226570,4.00,7.00,6.00,6.00,7.00,5.50,7.00,5.00,2.00,213,202,233,'JARDIM ELITE','PIRACICABA','SP',6905,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2226588,3.00,7.00,6.00,8.00,4.00,4.50,5.00,4.00,4.00,214,202,203,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2226600,2.00,6.00,4.00,6.00,5.00,5.00,2.00,5.00,2.00,319,450,NULL,'CENTRO','NAVEGANTES','SC',16999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226618,2.00,5.00,5.00,5.00,7.00,6.00,6.00,3.00,4.00,208,238,NULL,'GARCIA','BLUMENAU','SC',12134,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2226626,5.00,8.00,8.00,9.00,6.00,6.75,9.00,6.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',2023,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2226634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,225,207,'FLORIDA','GUAIBA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2226642,4.00,8.00,1.00,3.00,5.00,4.50,4.00,3.00,1.00,304,333,NULL,'CAMPECHE','FLORIANOPOLIS','SC',19911,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2226650,5.00,7.00,4.00,1.00,7.00,6.50,3.00,5.00,4.00,451,426,NULL,'JARAGUÁ ESQUERDO','JARAGUA DO SUL','SC',13888,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2226669,3.00,8.00,3.00,0.00,5.00,5.00,4.00,2.00,3.00,444,420,NULL,'CARIANOS','FLORIANOPOLIS','SC',18702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226677,5.00,6.00,3.00,2.00,5.00,5.75,3.00,4.00,4.00,203,202,214,'VELHA','BLUMENAU','SC',15150,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2226685,7.00,8.00,5.00,7.00,8.00,8.00,6.00,6.00,7.00,103,108,NULL,'DEHON','TUBARAO','SC',1760,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2226693,7.00,8.00,10.00,9.00,8.00,6.50,10.00,8.00,9.00,203,428,220,'PANTANAL','FLORIANOPOLIS','SC',38,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226707,3.00,5.00,2.00,2.00,7.00,6.50,2.00,7.00,2.00,420,207,NULL,'PONTE DO IMARUIM','PALHOCA','SC',16729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226715,3.00,5.00,1.00,2.00,7.00,4.50,4.00,3.00,1.00,220,208,203,'OFICINAS','TUBARAO','SC',20277,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2226723,4.00,4.00,5.00,4.00,4.00,6.00,8.00,1.00,3.00,104,215,NULL,'SÃO CRISTOVÃO','CRICIUMA','SC',12917,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2226731,5.00,7.00,3.00,7.00,7.00,5.25,6.00,5.00,3.00,326,328,NULL,'ESTREITO','FLORIANOPOLIS','SC',8925,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2226740,3.00,6.00,4.00,6.00,6.00,3.75,6.00,7.00,3.00,9,5,NULL,'UVARANAS','PONTA GROSSA','PR',10732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226758,0.00,1.00,1.00,2.00,2.00,NULL,4.00,1.00,1.00,319,301,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2226782,2.00,6.00,5.00,5.00,6.00,5.25,3.00,3.00,2.00,208,420,220,'CAMINHO NOVO','PALHOCA','SC',16073,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2226790,4.00,7.00,3.00,5.00,8.00,6.50,4.00,4.00,2.00,329,328,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',11790,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2226804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,101,NULL,'VILA LILI','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2226812,3.00,6.00,4.00,6.00,5.00,1.50,4.00,7.00,3.00,103,NULL,NULL,'SANTANA','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226820,4.00,5.00,3.00,8.00,6.00,6.50,5.00,4.00,2.00,215,308,211,'PONTA DAS CANAS','FLORIANOPOLIS','SC',11788,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2226847,2.00,6.00,4.00,6.00,3.00,5.00,4.00,6.00,2.00,233,NULL,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2226855,3.00,7.00,5.00,6.00,7.00,6.50,7.00,3.00,3.00,304,214,NULL,'JD AGARUSSI','ITU','SP',8479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226863,4.00,6.00,4.00,5.00,7.00,4.75,6.00,4.00,2.00,450,451,NULL,'AGUA VERDE','CURITIBA','PR',10960,115,181,NULL,NULL,NULL,NULL,2,1),(15,2226871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,333,NULL,'VERENA','SANTA CRUZ DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2226880,6.00,8.00,5.00,7.00,8.00,6.75,6.00,5.00,4.00,238,420,208,'PANTANAL','FLORIANOPOLIS','SC',3256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226898,4.00,6.00,2.00,2.00,4.00,5.50,3.00,5.00,2.00,444,404,NULL,'KOBRASOL','SAO JOSE','SC',18734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2226936,4.00,7.00,9.00,5.00,9.00,6.00,5.00,5.00,4.00,207,211,215,'CENTRO','TUBARAO','SC',5799,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2226944,3.00,6.00,3.00,4.00,2.00,NULL,4.00,4.00,2.00,303,5,NULL,'SANTA MARIA','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2226952,3.00,5.00,0.00,2.00,2.00,NULL,1.00,5.00,2.00,233,420,216,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2226960,5.00,5.00,8.00,8.00,8.00,7.50,8.00,4.00,5.00,201,301,211,'ITAUM','JOINVILLE','SC',4143,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2226979,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,214,216,212,'VILA MARIANA','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2226987,5.00,6.00,5.00,7.00,8.00,5.50,8.00,4.00,6.00,104,103,NULL,'PROGRESSO','BLUMENAU','SC',5267,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2227002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'SOCORRO','PINDAMONHANGABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2227010,0.00,5.00,1.00,6.00,6.00,5.50,3.00,4.00,3.00,303,331,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',19315,834,226,NULL,NULL,NULL,NULL,2,1),(15,2227037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,5,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',5,3),(15,2227045,4.00,7.00,1.00,4.00,7.00,7.00,5.00,4.00,2.00,202,316,213,'CRISTO REI','SAO LEOPOLDO','RS',11987,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227053,6.00,8.00,9.00,7.00,8.00,5.75,8.00,5.00,8.00,103,444,NULL,'CAMPINAS','SAO JOSE','SC',1636,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227061,0.00,5.00,2.00,7.00,6.00,6.00,3.00,4.00,4.00,324,329,NULL,'PRADO','BIGUACU','SC',15356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227088,2.00,6.00,1.00,4.00,7.00,3.75,2.00,4.00,4.00,5,238,NULL,'TRINDADE','FLORIANOPOLIS','SC',18990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227096,5.00,5.00,3.00,2.00,5.00,4.25,2.00,4.00,3.00,103,102,NULL,'VILA REAL','BALNEARIO CAMBORIU','SC',19028,2928,1056,NULL,NULL,NULL,NULL,2,6),(15,2227100,5.00,7.00,4.00,6.00,8.00,5.00,4.00,5.00,2.00,9,331,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',9772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227118,2.00,7.00,0.00,5.00,7.00,5.25,3.00,6.00,2.00,103,5,NULL,'ATIRADORES','JOINVILLE','SC',15321,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2227134,1.00,4.00,2.00,2.00,4.00,3.00,3.00,4.00,2.00,234,332,NULL,'BARREIROS','SAO JOSE','SC',22401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227142,3.00,3.00,1.00,3.00,4.00,3.25,4.00,2.00,1.00,201,220,207,'CENTRO','UNIAO DO OESTE','SC',22393,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2227150,4.00,5.00,3.00,0.00,5.00,5.50,4.00,4.00,0.00,319,308,NULL,'GLÓRIA','JOINVILLE','SC',19420,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2227193,3.00,6.00,1.00,5.00,4.00,4.25,6.00,5.00,3.00,501,502,NULL,'SILVA','SAPUCAIA DO SUL','RS',15488,183,260,NULL,NULL,NULL,NULL,2,1),(15,2227207,2.00,6.00,1.00,4.00,7.00,4.00,6.00,5.00,2.00,327,329,NULL,'CENTRO','PALHOCA','SC',16695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227215,3.00,8.00,5.00,7.00,6.00,5.50,5.00,5.00,3.00,304,427,NULL,'CAMPECHE','FLORIANOPOLIS','SC',9432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227223,2.00,6.00,4.00,3.00,7.00,4.75,4.00,6.00,4.00,233,303,202,'PAQUE SÃO PAULO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227231,4.00,9.00,2.00,2.00,8.00,4.75,5.00,7.00,1.00,444,301,NULL,'BARREIROS','SAO JOSE','SC',12648,100,640,NULL,NULL,NULL,NULL,2,1),(15,2227240,2.00,5.00,0.00,2.00,7.00,6.00,2.00,4.00,2.00,207,9,208,'COSTA DE DENTRO','FLORIANOPOLIS','SC',20625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,501,NULL,'NOVA GARDÊNIA','ATIBAIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2227274,2.00,6.00,1.00,3.00,3.00,5.25,4.00,4.00,1.00,308,301,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',21736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227282,3.00,2.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,404,301,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227290,1.00,4.00,1.00,5.00,5.00,6.75,4.00,6.00,2.00,339,319,NULL,'CENTRO','CONCORDIA','SC',17711,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2227304,0.00,3.00,2.00,0.00,3.00,NULL,6.00,3.00,2.00,316,317,NULL,'BOM VIVER','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227320,3.00,7.00,3.00,2.00,3.00,4.00,2.00,5.00,2.00,212,327,201,'INGLESES','FLORIANOPOLIS','SC',20005,400,448,1047,NULL,NULL,NULL,4,1),(15,2227347,4.00,7.00,2.00,6.00,5.00,3.50,5.00,7.00,3.00,5,332,NULL,'NEREIDAS','GUARATUBA','PR',12815,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2227355,4.00,8.00,6.00,6.00,6.00,4.25,6.00,4.00,3.00,201,238,208,'LA SALLE','XANXERE','SC',8822,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227371,2.00,5.00,3.00,0.00,5.00,4.50,2.00,3.00,1.00,238,420,NULL,'BARREIROS','SAO JOSE','SC',22365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227380,2.00,6.00,5.00,1.00,5.00,5.00,5.00,4.00,1.00,208,451,238,'UNIVERSITÁRIO','LAGES','SC',18385,711,260,677,NULL,NULL,NULL,4,9),(15,2227398,6.00,6.00,7.00,5.00,8.00,5.75,6.00,5.00,6.00,5,222,NULL,'FORQUILHINHAS','SAO JOSE','SC',5407,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227410,3.00,4.00,6.00,6.00,6.00,5.50,5.00,5.00,2.00,212,201,214,'JARDIM KENNEDY','RIO CLARO','SP',12849,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2227428,2.00,6.00,5.00,6.00,6.00,4.75,1.00,4.00,3.00,319,NULL,NULL,'KOBRASOL','SAO JOSE','SC',16447,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227436,3.00,7.00,6.00,7.00,7.00,5.75,7.00,8.00,3.00,238,234,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',6097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227444,2.00,0.00,0.00,0.00,2.00,NULL,1.00,1.00,0.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2227452,0.00,3.00,4.00,0.00,2.00,NULL,1.00,1.00,1.00,302,301,NULL,'SERTÃO DO MARUÍM','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227460,4.00,7.00,3.00,8.00,6.00,6.50,5.00,4.00,2.00,202,203,220,'PARTENON','PORTO ALEGRE','RS',10259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,101,427,'VARGEM GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2227487,4.00,8.00,8.00,8.00,6.00,5.50,6.00,4.00,4.00,319,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',6606,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227495,5.00,7.00,8.00,6.00,7.00,4.25,8.00,7.00,5.00,213,NULL,NULL,'PARAISO','JALES','SP',3170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227509,2.00,6.00,5.00,4.00,8.00,5.00,3.00,6.00,4.00,203,NULL,NULL,'INTERLAGOS','TRES LAGOAS','MS',13457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227517,3.00,5.00,3.00,0.00,4.00,3.50,4.00,5.00,1.00,220,201,203,'CENTRO','PONTALINDA','SP',21287,608,1402,1183,NULL,NULL,NULL,4,8),(15,2227533,2.00,5.00,4.00,0.00,6.00,6.00,3.00,7.00,3.00,238,NULL,NULL,'IPIRANGA','SAO JOSE','SC',17186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227541,4.00,8.00,6.00,6.00,5.00,3.00,6.00,5.00,5.00,5,425,NULL,'PASSA VINTE','PALHOCA','SC',8960,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227550,3.00,9.00,6.00,6.00,8.00,7.00,6.00,7.00,4.00,103,101,NULL,'CENTRO','FLORIANOPOLIS','SC',4361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227576,4.00,7.00,6.00,7.00,7.00,6.50,4.00,6.00,2.00,317,327,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',8067,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227584,4.00,8.00,3.00,6.00,5.00,4.75,2.00,4.00,2.00,108,502,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',14334,315,244,NULL,NULL,NULL,NULL,2,1),(15,2227622,2.00,9.00,2.00,4.00,4.00,5.50,4.00,5.00,1.00,318,301,NULL,'CAMPINAS','SAO JOSE','SC',16518,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227630,2.00,3.00,3.00,5.00,5.00,4.50,3.00,2.00,3.00,339,319,NULL,'TRINDADE','FLORIANOPOLIS','SC',21452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227649,4.00,7.00,4.00,8.00,8.00,6.50,2.00,6.00,3.00,103,101,NULL,'PONTE DO IMARUIM','PALHOCA','SC',8668,1982,510,NULL,NULL,NULL,NULL,2,1),(15,2227657,0.00,0.00,0.00,7.00,2.00,NULL,4.00,4.00,3.00,423,450,428,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(15,2227665,2.00,8.00,4.00,9.00,7.00,6.00,5.00,6.00,3.00,238,317,208,'CENTRO','FLORIANOPOLIS','SC',6876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227673,1.00,4.00,2.00,5.00,6.00,3.75,3.00,2.00,1.00,404,421,NULL,'BARREIROS','SAO JOSE','SC',21206,243,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227703,2.00,8.00,7.00,5.00,5.00,5.25,5.00,6.00,2.00,301,223,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',9348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227711,8.00,8.00,8.00,6.00,8.00,5.00,9.00,8.00,6.00,103,102,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227720,2.00,6.00,1.00,5.00,7.00,5.50,3.00,4.00,4.00,304,324,NULL,'SERTÃO DO MARUIM','SAO JOSE','SC',15853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227738,4.00,7.00,6.00,7.00,7.00,5.25,6.00,5.00,2.00,212,NULL,201,'BOSQUE DO EUCALIPTOS','SAO JOSE DOS CAMPOS','SP',8587,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2227746,6.00,8.00,5.00,7.00,8.00,5.75,3.00,5.00,5.00,234,328,NULL,'AREIAS','SAO JOSE','SC',5995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227754,3.00,4.00,4.00,8.00,8.00,6.75,0.00,2.00,1.00,5,319,NULL,'PANTANAL','FLORIANOPOLIS','SC',16537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2227762,4.00,8.00,3.00,5.00,8.00,5.25,4.00,8.00,2.00,215,102,233,'SÃO PEDRO','PORTO UNIAO','SC',9009,196,NULL,NULL,NULL,NULL,NULL,4,4),(15,2227770,2.00,6.00,5.00,3.00,6.00,7.00,4.00,4.00,4.00,502,501,NULL,'JARDIM ELDORADO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227789,5.00,7.00,8.00,7.00,8.00,7.00,6.00,5.00,5.00,501,502,NULL,'CENTRO','TUBARAO','SC',4086,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2227797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,333,NULL,'MORADA DAS FLORES','HOLAMBRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2227819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO FRANCISCO','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2227827,3.00,8.00,4.00,7.00,5.00,5.75,5.00,5.00,2.00,339,424,NULL,'GLORIA','JOINVILLE','SC',10401,NULL,NULL,NULL,NULL,NULL,NULL,3,8),(15,2227835,7.00,7.00,8.00,7.00,8.00,4.50,8.00,7.00,6.00,203,220,214,'CENTRO','CURITIBA','PR',2080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227843,3.00,8.00,5.00,2.00,7.00,5.50,4.00,2.00,3.00,214,217,216,'CENTRO','CRICIUMA','SC',16047,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2227851,1.00,3.00,4.00,6.00,4.00,4.00,2.00,2.00,3.00,9,NULL,NULL,'JD HOLANDA','HOLAMBRA','SP',21854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227860,5.00,5.00,5.00,5.00,3.00,6.00,8.00,4.00,2.00,202,224,213,'TRINDADE','FLORIANOPOLIS','SC',11798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227878,3.00,6.00,1.00,5.00,4.00,5.00,4.00,3.00,2.00,444,404,NULL,'BOA PARADA','SAO PEDRO DE ALCANTARA','SC',20031,243,472,NULL,NULL,NULL,NULL,2,1),(15,2227886,8.00,8.00,10.00,9.00,9.00,7.00,9.00,7.00,8.00,415,450,NULL,'FLORESTA','JOINVILLE','SC',29,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2227894,4.00,9.00,6.00,7.00,9.00,7.25,7.00,9.00,4.00,415,421,NULL,'CACUPÉ','FLORIANOPOLIS','SC',2690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227908,4.00,5.00,5.00,2.00,6.00,5.75,3.00,4.00,2.00,225,NULL,NULL,'COLONINHA','FLORIANOPOLIS','SC',16834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227924,5.00,7.00,2.00,4.00,4.00,7.00,6.00,4.00,4.00,103,101,NULL,'CENTRO','PASSO FUNDO','RS',9742,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2227932,2.00,6.00,7.00,8.00,5.00,6.50,7.00,4.00,4.00,220,213,202,'FLORESTA','JOINVILLE','SC',8404,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2227940,3.00,6.00,4.00,2.00,6.00,4.75,3.00,2.00,3.00,104,NULL,NULL,'JARDIM AMERICA','ASSIS CHATEAUBRIAND','PR',19531,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2227959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,216,NULL,'JARDIM EUROPA','BRAGANCA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2227967,0.00,3.00,3.00,6.00,5.00,4.50,4.00,2.00,2.00,420,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',19827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2227975,2.00,6.00,3.00,5.00,6.00,4.75,4.00,5.00,1.00,303,217,NULL,'ESTAÇAO COCAL','MORRO DA FUMACA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2227983,6.00,6.00,5.00,6.00,4.00,7.75,4.00,4.00,3.00,103,101,NULL,'CENTRO','CAPINZAL','SC',9639,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2227991,2.00,3.00,2.00,8.00,7.00,3.00,4.00,4.00,1.00,238,224,220,'CAPOEIRAS','FLORIANOPOLIS','SC',19006,706,272,565,NULL,NULL,NULL,2,1),(15,2228009,2.00,4.00,1.00,1.00,7.00,4.50,4.00,5.00,1.00,332,329,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',20491,132,252,NULL,NULL,NULL,NULL,4,1),(15,2228017,7.00,7.00,7.00,8.00,7.00,5.00,6.00,7.00,4.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',4046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228025,3.00,8.00,5.00,5.00,7.00,3.75,6.00,7.00,6.00,203,214,220,'INGLESES','FLORIANOPOLIS','SC',7167,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2228033,4.00,8.00,6.00,0.00,7.00,NULL,7.00,7.00,2.00,103,303,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2228041,7.00,8.00,8.00,6.00,9.00,5.25,9.00,6.00,6.00,238,208,220,'CORREGO GRANDE','FLORIANOPOLIS','SC',2160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228050,1.00,5.00,1.00,6.00,6.00,6.25,0.00,7.00,3.00,217,501,NULL,'QUEIMADA GRANDE','RANCHO QUEIMADO','SC',16507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228068,3.00,4.00,4.00,5.00,6.00,5.50,4.00,6.00,3.00,207,420,201,'CENTRO','FLORIANOPOLIS','SC',12726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,302,216,'BELA VISTA','IPATINGA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2228092,0.00,6.00,3.00,7.00,8.00,7.00,3.00,5.00,3.00,316,202,NULL,'ITACORUBI','FLORIANOPOLIS','SC',12181,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2228106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,5,NULL,'CENTRO','SANTO CRISTO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2228114,0.00,4.00,3.00,3.00,5.00,5.00,2.00,3.00,2.00,9,316,NULL,'BARREIROS','SAO JOSE','SC',21671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228122,6.00,7.00,5.00,7.00,8.00,5.00,7.00,5.00,5.00,316,217,NULL,'TRINDADE','FLORIANOPOLIS','SC',4942,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2228130,3.00,4.00,1.00,4.00,3.00,3.00,2.00,3.00,2.00,326,108,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',22422,126,993,NULL,NULL,NULL,NULL,4,1),(15,2228157,2.00,7.00,0.00,8.00,5.00,5.50,1.00,5.00,1.00,316,339,NULL,'N SENHORA DO ROSÁRIO','SAO JOSE','SC',19212,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2228165,5.00,5.00,4.00,6.00,5.00,5.25,6.00,7.00,3.00,316,224,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',10994,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2228173,0.00,3.00,1.00,1.00,4.00,NULL,1.00,4.00,1.00,404,104,NULL,'PIONEIROS','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2228181,0.00,4.00,2.00,1.00,3.00,NULL,4.00,3.00,3.00,502,501,NULL,'CENTRO','BRACO DO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2228203,3.00,7.00,3.00,6.00,6.00,5.75,3.00,6.00,4.00,310,428,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',11433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228211,4.00,8.00,2.00,5.00,8.00,6.00,3.00,3.00,3.00,103,104,NULL,'VICTOR KONDER','BLUMENAU','SC',12925,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2228220,2.00,4.00,0.00,3.00,6.00,5.50,4.00,4.00,1.00,304,421,NULL,'MARIQUITA','SAO JOSE','SC',20547,211,161,NULL,NULL,NULL,NULL,4,1),(15,2228246,3.00,6.00,6.00,6.00,5.00,0.00,6.00,5.00,1.00,201,108,212,'DANIELA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2228254,3.00,6.00,5.00,4.00,6.00,6.25,4.00,5.00,2.00,201,208,233,'ZONA RURAL','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2228262,4.00,7.00,3.00,3.00,8.00,5.50,6.00,3.00,2.00,319,425,NULL,'ESTREITO','FLORIANOPOLIS','SC',11844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228270,2.00,7.00,5.00,4.00,4.00,5.75,4.00,6.00,3.00,207,420,NULL,'ABRAÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228289,8.00,8.00,9.00,8.00,8.00,7.00,8.00,8.00,6.00,303,222,NULL,'TRINDADE','FLORIANOPOLIS','SC',685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228297,4.00,6.00,5.00,3.00,8.00,5.25,4.00,3.00,4.00,316,317,NULL,'CAMPINAS','SAO JOSE','SC',11091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228319,0.00,0.00,0.00,3.00,3.00,NULL,5.00,3.00,3.00,308,NULL,NULL,'ESTRADA GERAL','JOSE BOITEUX','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2228327,4.00,6.00,0.00,4.00,6.00,5.50,5.00,3.00,4.00,211,203,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',14845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2228335,3.00,5.00,1.00,1.00,3.00,1.50,3.00,4.00,4.00,213,212,233,'BALNEÁRIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228343,5.00,7.00,7.00,9.00,6.00,5.75,6.00,6.00,3.00,320,339,NULL,'TRINDADE','FLORIANOPOLIS','SC',5095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228360,6.00,7.00,7.00,8.00,8.00,6.25,7.00,6.00,3.00,5,329,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',3401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228378,3.00,6.00,4.00,6.00,6.00,6.25,4.00,7.00,2.00,5,303,NULL,'CENTRO','FLORIANOPOLIS','SC',11579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'VILA FLÔR','CAPIVARI DE BAIXO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2228394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,501,NULL,'JD N HORIZONTE','MONTE SIAO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2228408,6.00,6.00,6.00,4.00,8.00,6.00,5.00,6.00,4.00,103,101,NULL,'CENTRO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2228416,1.00,4.00,2.00,5.00,6.00,3.50,5.00,5.00,3.00,208,316,203,'AGRONÔMICA','FLORIANOPOLIS','SC',19463,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2228424,3.00,5.00,2.00,1.00,5.00,3.75,7.00,6.00,5.00,404,339,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',16465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228432,3.00,7.00,4.00,3.00,6.00,4.50,3.00,2.00,1.00,222,425,NULL,'SANTO ANTONIO','JOINVILLE','SC',18583,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2228440,0.00,2.00,3.00,4.00,3.00,NULL,1.00,2.00,2.00,302,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2228459,2.00,3.00,1.00,1.00,5.00,NULL,3.00,1.00,3.00,302,301,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228467,1.00,5.00,1.00,4.00,6.00,4.50,4.00,4.00,1.00,215,329,202,'CENTRO','FAXINAL DOS GUEDES','SC',20664,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2228475,3.00,4.00,1.00,2.00,6.00,3.75,3.00,7.00,4.00,444,501,NULL,'SERTAO DO MARUIM','SAO JOSE','SC',19440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,233,'JD GUARANI','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2228505,2.00,3.00,2.00,3.00,1.00,NULL,3.00,3.00,4.00,303,104,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2228513,7.00,6.00,6.00,4.00,7.00,6.50,7.00,5.00,5.00,103,301,NULL,'REBOUÇAS','CURITIBA','PR',5352,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2228521,4.00,8.00,2.00,7.00,6.00,6.25,6.00,6.00,5.00,415,420,NULL,'JD RECREIO','FRANCA','SP',7219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228530,5.00,7.00,6.00,7.00,7.00,6.00,8.00,6.00,4.00,208,224,238,'AREIAS','SAO JOSE','SC',3851,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2228548,4.00,6.00,4.00,7.00,6.00,5.75,6.00,5.00,3.00,5,427,NULL,'CAMPINAS','SAO JOSE','SC',11048,483,149,NULL,NULL,NULL,NULL,4,1),(15,2228556,6.00,6.00,3.00,6.00,7.00,6.75,4.00,5.00,1.00,301,333,NULL,'ESTREITO','FLORIANOPOLIS','SC',10832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2228564,6.00,8.00,8.00,7.00,7.00,6.25,9.00,6.00,5.00,203,444,233,'CENTRO','SAO JOSE DOS CAMPOS','SP',2310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228572,1.00,3.00,2.00,0.00,5.00,NULL,2.00,4.00,4.00,444,316,NULL,'FLORESTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228580,4.00,8.00,3.00,6.00,7.00,6.25,6.00,4.00,2.00,108,NULL,NULL,'CENTRO','RIBEIRAO PRETO','SP',10670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228599,3.00,5.00,0.00,2.00,3.00,NULL,2.00,2.00,2.00,102,101,NULL,'DAS NAÇOES','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2228602,3.00,7.00,3.00,5.00,7.00,4.25,4.00,4.00,3.00,215,316,202,'RIO CAVEIRAS','BIGUACU','SC',15137,302,1052,553,NULL,NULL,NULL,4,1),(15,2228610,5.00,7.00,1.00,5.00,7.00,5.25,8.00,4.00,5.00,103,102,NULL,'CIDADE JARDIM','CAMPO GRANDE','MS',9503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228629,4.00,5.00,4.00,8.00,4.00,5.50,4.00,6.00,3.00,224,201,NULL,'ITACORUBI','FLORIANOPOLIS','SC',11034,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2228637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,9,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2228645,7.00,8.00,8.00,9.00,7.00,7.00,8.00,7.00,6.00,303,5,NULL,'HIGIENOPOLIS','RIBEIRAO PRETO','SP',953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228670,3.00,5.00,0.00,4.00,3.00,3.75,4.00,3.00,2.00,501,427,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',21190,290,224,NULL,NULL,NULL,NULL,2,1),(15,2228688,4.00,4.00,3.00,5.00,5.00,6.50,2.00,2.00,2.00,308,423,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',19369,129,232,NULL,NULL,NULL,NULL,2,1),(15,2228696,5.00,7.00,6.00,9.00,7.00,4.25,8.00,7.00,7.00,316,301,NULL,'JD IRAJA','RIBEIRAO PRETO','SP',2235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'NOVA ESTRELA','ARABUTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2228718,1.00,4.00,2.00,1.00,4.00,4.25,4.00,4.00,1.00,101,9,NULL,'CENTRO','ITUPORANGA','SC',22381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228726,3.00,6.00,4.00,4.00,7.00,4.50,5.00,5.00,4.00,212,319,201,'CAMPECHE','FLORIANOPOLIS','SC',13251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2228742,7.00,8.00,5.00,6.00,9.00,4.50,8.00,7.00,5.00,203,303,220,'BIGORRILHO','CURITIBA','PR',3232,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2228750,5.00,8.00,6.00,4.00,8.00,6.75,4.00,5.00,2.00,104,317,NULL,'CENTRO','FLORIANOPOLIS','SC',8195,270,459,NULL,NULL,NULL,NULL,2,1),(15,2228769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,444,NULL,'APARECIDA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2228777,2.00,7.00,2.00,0.00,5.00,NULL,5.00,5.00,2.00,213,2,202,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2228785,3.00,7.00,7.00,9.00,8.00,5.25,5.00,8.00,4.00,216,NULL,NULL,'ADYANA','SAO JOSE DOS CAMPOS','SP',4804,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2228793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,415,NULL,'ITAIBA','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2228807,5.00,6.00,5.00,6.00,6.00,4.75,5.00,5.00,2.00,208,425,238,'BARRA DA LAGOA','FLORIANOPOLIS','SC',11196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228815,2.00,4.00,2.00,3.00,5.00,5.00,4.00,4.00,2.00,316,207,NULL,'SÃO FRANCISCO','LUZERNA','SC',19982,606,1292,NULL,NULL,NULL,NULL,2,7),(15,2228823,2.00,5.00,4.00,6.00,5.00,7.25,3.00,2.00,3.00,319,316,NULL,'CENTRO','FLORIANOPOLIS','SC',16533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,327,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2228840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,404,NULL,'NASCENTE DO PEPERI','DIONISIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2228858,3.00,5.00,3.00,4.00,7.00,5.00,4.00,6.00,1.00,426,339,428,'INGLESES','FLORIANOPOLIS','SC',15622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2228866,2.00,8.00,0.00,3.00,7.00,NULL,5.00,7.00,2.00,104,217,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2228874,2.00,4.00,5.00,2.00,3.00,5.75,2.00,4.00,1.00,317,302,NULL,'TAPERA','FLORIANOPOLIS','SC',21305,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2228882,5.00,4.00,3.00,5.00,5.00,4.75,4.00,3.00,0.00,238,202,208,'AGRONOMICA','FLORIANOPOLIS','SC',19173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228890,0.00,6.00,4.00,4.00,6.00,6.00,3.00,5.00,3.00,303,301,NULL,'CENTRO','FLORIANOPOLIS','SC',15746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228904,1.00,8.00,2.00,6.00,4.00,5.75,2.00,7.00,1.00,320,326,NULL,'RIO CAVEIRAS','BIGUACU','SC',16332,69,297,NULL,NULL,NULL,NULL,2,1),(15,2228912,4.00,6.00,4.00,6.00,5.00,5.50,3.00,6.00,4.00,208,317,NULL,'ESTREITO','FLORIANOPOLIS','SC',12120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2228920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,501,NULL,'CENTRO','CARAMBEI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2228939,5.00,7.00,5.00,8.00,8.00,7.00,5.00,7.00,4.00,5,303,NULL,'TRINDADE','FLORIANOPOLIS','SC',4148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228947,1.00,4.00,2.00,2.00,5.00,4.25,6.00,2.00,2.00,220,233,203,'CENTRO','POCOS DE CALDAS','MG',21298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2228963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'BALN PRINCESA DO MAR','ITAPOA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2228971,3.00,6.00,0.00,1.00,8.00,NULL,3.00,5.00,2.00,103,102,NULL,'OLHO DAGUA','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2228980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,217,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2228998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,317,207,'CENTRO','SAO JOSE DO RIO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2229005,5.00,5.00,3.00,4.00,8.00,5.50,3.00,2.00,2.00,404,327,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',17630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,329,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2229021,2.00,2.00,1.00,0.00,2.00,NULL,3.00,2.00,3.00,104,319,NULL,'NAÇÕES','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2229030,2.00,8.00,5.00,8.00,8.00,5.25,4.00,6.00,4.00,238,217,208,'ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC',8492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229048,4.00,6.00,6.00,8.00,7.00,5.75,7.00,6.00,3.00,103,216,NULL,'JARDIM CURITBA','CAMPO MOURAO','PR',5908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229056,1.00,4.00,0.00,0.00,6.00,NULL,1.00,1.00,3.00,201,103,207,'BOA VISTA','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2229064,3.00,7.00,6.00,5.00,7.00,6.50,4.00,5.00,2.00,102,207,NULL,'CENTRO','POUSO REDONDO','SC',10244,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2229072,5.00,6.00,2.00,4.00,5.00,4.25,4.00,7.00,4.00,404,319,NULL,'CARIANOS','FLORIANOPOLIS','SC',12697,86,763,NULL,NULL,NULL,NULL,2,1),(15,2229080,0.00,0.00,0.00,7.00,6.00,NULL,4.00,5.00,3.00,104,425,NULL,'CENTRO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(15,2229099,1.00,3.00,1.00,6.00,5.00,5.25,3.00,2.00,3.00,502,224,NULL,'INTERIOR','XAVANTINA','SC',20635,98,292,NULL,NULL,NULL,NULL,2,4),(15,2229102,3.00,9.00,2.00,0.00,5.00,5.75,3.00,4.00,4.00,316,5,NULL,'CENTRO','FLORIANOPOLIS','SC',17635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229110,3.00,7.00,5.00,8.00,8.00,7.00,7.00,7.00,3.00,316,301,NULL,'JD PAULISTA','BAURU','SP',4854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229129,3.00,6.00,6.00,4.00,3.00,5.75,2.00,3.00,1.00,302,223,NULL,'IPIRANGA','SAO JOSE','SC',18090,153,207,NULL,NULL,NULL,NULL,2,1),(15,2229137,6.00,7.00,3.00,2.00,6.00,5.25,6.00,8.00,2.00,202,203,238,'TRINDADE','FLORIANOPOLIS','SC',11367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229153,2.00,0.00,2.00,7.00,2.00,NULL,2.00,3.00,1.00,103,102,NULL,'SAO VICENTE','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2229161,0.00,0.00,0.00,2.00,5.00,NULL,1.00,4.00,2.00,211,333,207,'DOIS PINHEIROS','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,7),(15,2229170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,201,'VILA CARRÃO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2229196,5.00,7.00,6.00,6.00,8.00,4.75,9.00,6.00,4.00,211,234,233,'SERRARIA','SAO JOSE','SC',4231,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2229200,2.00,5.00,1.00,4.00,6.00,6.75,3.00,4.00,3.00,317,308,NULL,'CACHOEIRA B JESUS','FLORIANOPOLIS','SC',17218,290,370,NULL,NULL,NULL,NULL,2,1),(15,2229226,8.00,7.00,6.00,8.00,7.00,8.25,6.00,5.00,4.00,103,303,NULL,'BOQUEIRAO','CURITIBA','PR',3293,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2229234,2.00,4.00,0.00,3.00,5.00,NULL,3.00,3.00,2.00,415,223,NULL,'ABRÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2229242,3.00,7.00,4.00,6.00,6.00,6.00,4.00,5.00,5.00,102,217,NULL,'JARDIM BOTANICO','RIBEIRAO PRETO','SP',8900,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2229269,6.00,8.00,4.00,3.00,8.00,NULL,0.00,0.00,0.00,103,104,NULL,'NAÇÕES','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(15,2229277,3.00,5.00,2.00,2.00,6.00,6.00,2.00,4.00,1.00,319,415,NULL,'NOVA ALTERNATIVA','MARAU','RS',19247,420,791,NULL,NULL,NULL,NULL,4,1),(15,2229285,5.00,7.00,5.00,8.00,9.00,7.00,6.00,6.00,3.00,415,5,NULL,'VILA ESTÁDIO','PRESIDENTE PRUDENTE','SP',5320,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2229293,1.00,4.00,0.00,0.00,3.00,NULL,1.00,6.00,0.00,308,9,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229307,6.00,9.00,4.00,6.00,6.00,5.25,8.00,5.00,4.00,103,108,NULL,'SAO JOAO DE DEUS','DIVINOPOLIS','MG',5210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229315,2.00,2.00,1.00,1.00,1.00,NULL,2.00,2.00,2.00,101,NULL,NULL,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2229323,1.00,4.00,4.00,4.00,6.00,6.50,5.00,5.00,2.00,103,208,NULL,'SANTA CRUZ','CONCORDIA','SC',15651,2694,1041,NULL,NULL,NULL,NULL,4,4),(15,2229331,7.00,8.00,10.00,6.00,8.00,6.00,8.00,7.00,9.00,103,203,NULL,'CENTRO','FLORIANOPOLIS','SC',535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229340,4.00,7.00,6.00,9.00,7.00,6.00,8.00,6.00,5.00,214,NULL,213,'TRINDADE','FLORIANOPOLIS','SC',3275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229358,3.00,7.00,4.00,4.00,4.00,6.00,5.00,4.00,2.00,234,304,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',15832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2229374,3.00,6.00,7.00,8.00,4.00,5.75,4.00,4.00,1.00,238,5,208,'CENTRO','CRICIUMA','SC',12105,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2229382,1.00,6.00,2.00,6.00,5.00,5.25,4.00,6.00,0.00,327,421,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',16861,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2229390,6.00,6.00,2.00,5.00,8.00,5.00,3.00,5.00,3.00,101,426,NULL,'TRINDADE','FLORIANOPOLIS','SC',12359,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2229404,7.00,7.00,7.00,6.00,9.00,5.50,8.00,7.00,7.00,216,217,215,'VILA N MANCHESTER','SAO PAULO','SP',2208,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2229412,4.00,7.00,2.00,1.00,7.00,5.50,3.00,2.00,3.00,415,420,NULL,'CENTRO','FLORIANOPOLIS','SC',18830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229420,3.00,4.00,5.00,5.00,6.00,3.00,3.00,2.00,3.00,103,333,NULL,'PAIA BRAVA','FLORIANOPOLIS','SC',18000,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2229439,1.00,8.00,2.00,3.00,5.00,4.50,1.00,4.00,2.00,404,424,NULL,'TRINDADE','FLORIANOPOLIS','SC',20530,217,259,NULL,NULL,NULL,NULL,2,1),(15,2229447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,444,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2229455,1.00,6.00,4.00,4.00,8.00,6.00,4.00,5.00,3.00,102,108,NULL,'BOA VISTA','RIO DO SUL','SC',14425,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2229471,5.00,8.00,3.00,8.00,8.00,6.50,7.00,8.00,2.00,310,328,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',4247,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2229480,4.00,6.00,6.00,7.00,5.00,4.50,5.00,6.00,4.00,317,302,NULL,'NOVA SOROCABA','SOROCABA','SP',8864,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2229498,2.00,7.00,4.00,5.00,4.00,4.75,2.00,6.00,2.00,427,324,NULL,'KOBRASOL','SAO JOSE','SC',16629,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2229501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,450,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2229510,1.00,4.00,2.00,1.00,5.00,NULL,1.00,2.00,3.00,415,450,NULL,'MATHIAS VELHO','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2229528,4.00,3.00,5.00,8.00,8.00,5.00,9.00,5.00,2.00,201,234,211,'ITAGUAÇU','FLORIANOPOLIS','SC',8319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229544,3.00,7.00,3.00,5.00,7.00,2.25,5.00,4.00,4.00,103,NULL,NULL,'CENTRO','ICARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2229552,2.00,6.00,3.00,5.00,9.00,3.50,3.00,5.00,4.00,501,211,NULL,'ITAIM PAULISTA','SAO PAULO','SP',14971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229560,7.00,9.00,8.00,8.00,7.00,6.75,7.00,6.00,7.00,220,NULL,216,'VILA OPERÁRIA','ITAJAI','SC',966,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2229579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,9,NULL,'VILA NOVA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2229587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,108,NULL,'INDUSTRIAL','BARRACAO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2229595,3.00,7.00,7.00,6.00,8.00,6.50,5.00,5.00,5.00,331,427,NULL,'PANTANAL','FLORIANOPOLIS','SC',5743,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2229617,1.00,6.00,3.00,4.00,5.00,5.00,3.00,2.00,1.00,213,238,220,'VENEZA','XANXERE','SC',20186,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2229633,3.00,4.00,2.00,1.00,4.00,4.75,2.00,3.00,3.00,103,101,NULL,'SÃO JOSÉ','FRANCA','SP',22211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229641,4.00,4.00,5.00,6.00,8.00,4.75,4.00,4.00,2.00,103,104,NULL,'CENTRO','CHAPECO','SC',14204,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2229650,4.00,5.00,6.00,6.00,7.00,5.00,6.00,5.00,3.00,233,9,207,'BARREIROS','SAO JOSE','SC',9472,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2229668,4.00,7.00,4.00,2.00,7.00,6.00,4.00,8.00,1.00,333,327,NULL,'CARIANOS','FLORIANOPOLIS','SC',10735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229676,1.00,5.00,3.00,6.00,7.00,4.50,3.00,6.00,4.00,104,103,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229684,2.00,7.00,3.00,5.00,6.00,5.25,4.00,4.00,3.00,301,207,NULL,'CENTRO','AGUAS MORNAS','SC',14659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2229692,1.00,2.00,3.00,5.00,4.00,NULL,3.00,2.00,1.00,309,339,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2229706,1.00,5.00,2.00,2.00,3.00,4.50,4.00,3.00,2.00,319,103,NULL,'SÃO MIGUEL','FRAIBURGO','SC',22432,527,3292,NULL,NULL,NULL,NULL,4,7),(15,2229714,3.00,7.00,1.00,1.00,5.00,5.00,3.00,4.00,2.00,429,331,424,'IBIRAQUERA','GAROPABA','SC',20724,169,248,93,NULL,NULL,NULL,4,1),(15,2229722,9.00,8.00,7.00,7.00,7.00,4.75,9.00,6.00,7.00,234,NULL,NULL,'PQ PRESIDENTE','INDAIATUBA','SP',1220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229730,2.00,5.00,1.00,1.00,2.00,NULL,0.00,3.00,2.00,102,103,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2229749,4.00,5.00,2.00,4.00,4.00,6.50,3.00,4.00,3.00,450,329,NULL,'CAMPINAS','SAO JOSE','SC',18110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229757,2.00,5.00,3.00,5.00,7.00,4.75,5.00,6.00,4.00,501,5,NULL,'CENTRO','PATO BRANCO','PR',13252,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2229765,3.00,5.00,4.00,5.00,6.00,5.50,3.00,7.00,2.00,103,108,NULL,'CENTRO','XANXERE','SC',12666,2412,771,NULL,NULL,NULL,NULL,4,4),(15,2229773,1.00,4.00,2.00,0.00,8.00,NULL,3.00,7.00,1.00,450,451,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2229781,5.00,8.00,4.00,5.00,7.00,5.25,6.00,7.00,3.00,451,415,NULL,'JD MORUMBI','JALES','SP',7955,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2229790,2.00,4.00,1.00,0.00,5.00,NULL,2.00,4.00,2.00,420,301,NULL,'BETÂNIA','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229811,6.00,8.00,2.00,9.00,7.00,5.75,7.00,7.00,3.00,238,222,208,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',5131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229820,3.00,7.00,3.00,3.00,3.00,3.50,3.00,2.00,2.00,233,220,238,'BARREIROS','SAO JOSE','SC',20587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229838,8.00,6.00,9.00,8.00,9.00,8.75,9.00,7.00,8.00,103,104,NULL,'BNH PRIMEIRO PLANO','DOURADOS','MS',436,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2229846,7.00,7.00,7.00,7.00,7.00,5.00,6.00,7.00,3.00,103,333,NULL,'AREIAS','SAO JOSE','SC',4115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229854,6.00,8.00,2.00,6.00,7.00,5.25,7.00,8.00,6.00,207,102,216,'COSTEIRA','FLORIANOPOLIS','SC',5483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229862,5.00,8.00,1.00,3.00,7.00,4.75,4.00,5.00,4.00,103,104,NULL,'COOPHAMAT','CAMPO GRANDE','MS',12388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229889,6.00,7.00,6.00,6.00,8.00,5.75,7.00,5.00,4.00,316,301,NULL,'VILA ADYANA','SAO JOSE DOS CAMPOS','SP',6123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229897,3.00,6.00,1.00,6.00,6.00,5.50,3.00,5.00,1.00,429,331,424,'IBIRAQUERA','GAROPABA','SC',16774,107,193,52,NULL,NULL,NULL,2,1),(15,2229900,3.00,6.00,5.00,4.00,7.00,6.50,3.00,5.00,2.00,415,NULL,NULL,'VILA RAU','JARAGUA DO SUL','SC',13871,342,NULL,NULL,NULL,NULL,NULL,4,8),(15,2229927,2.00,4.00,2.00,1.00,4.00,NULL,1.00,2.00,1.00,303,316,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229935,5.00,6.00,2.00,6.00,7.00,5.25,6.00,5.00,3.00,502,103,NULL,'BARRA','BALNEARIO CAMBORIU','SC',10733,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2229943,2.00,6.00,3.00,5.00,7.00,6.50,4.00,7.00,4.00,211,302,NULL,'CENTRO','TIMBO','SC',11715,413,253,NULL,NULL,NULL,NULL,4,2),(15,2229960,3.00,5.00,2.00,0.00,6.00,6.00,5.00,3.00,3.00,103,333,NULL,'ESTREITO','FLORIANOPOLIS','SC',18594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2229978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,424,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2229986,3.00,7.00,5.00,5.00,3.00,5.75,5.00,4.00,4.00,212,233,201,'JD PEGOLO','JALES','SP',13751,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2229994,3.00,6.00,4.00,4.00,5.00,6.25,6.00,7.00,3.00,303,NULL,NULL,'CENTRO','XAXIM','SC',11711,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2230003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,233,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2230011,3.00,7.00,1.00,1.00,5.00,5.25,3.00,3.00,3.00,316,404,NULL,'CAMPINAS','SAO JOSE','SC',19813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230020,2.00,6.00,2.00,4.00,4.00,4.75,4.00,5.00,3.00,317,316,NULL,'FORQUILHAS','SAO JOSE','SC',18683,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2230038,4.00,6.00,5.00,0.00,6.00,5.75,3.00,3.00,3.00,216,215,NULL,'JARDIM ANGELICA','CRICIUMA','SC',15382,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2230062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,318,NULL,'PONTE PRETA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2230070,4.00,6.00,5.00,4.00,5.00,5.50,5.00,3.00,2.00,304,309,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',14598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2230089,5.00,8.00,3.00,0.00,6.00,5.50,6.00,5.00,3.00,9,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',13970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230097,0.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,108,333,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2230100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VILA UNIVERSITARIA','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2230119,2.00,5.00,5.00,6.00,5.00,6.75,4.00,2.00,2.00,303,211,NULL,'MORRO DA GLÓRIA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2230127,3.00,4.00,3.00,6.00,8.00,1.00,4.00,4.00,2.00,319,328,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230143,2.00,6.00,3.00,4.00,7.00,5.00,4.00,2.00,5.00,304,224,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',17439,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2230151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,333,215,'JARAGUÁ ESQUERDO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2230160,3.00,7.00,7.00,4.00,7.00,5.50,8.00,5.00,4.00,203,202,220,'JD SANTA PAULA','VOTUPORANGA','SP',6848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230186,2.00,5.00,3.00,5.00,7.00,5.75,3.00,3.00,3.00,103,101,NULL,'PEDRA BRANCA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230194,1.00,6.00,4.00,3.00,5.00,5.25,5.00,3.00,1.00,238,233,211,'CARVOEIRA','FLORIANOPOLIS','SC',18337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230208,4.00,4.00,8.00,9.00,9.00,6.75,8.00,7.00,6.00,216,214,233,'CENTRO','VALINHOS','SP',2038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230216,6.00,8.00,7.00,7.00,9.00,7.50,8.00,5.00,6.00,5,324,NULL,'CRUZEIRO DO SUL','CRICIUMA','SC',1564,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2230224,3.00,5.00,3.00,4.00,6.00,5.75,2.00,3.00,1.00,211,108,NULL,'CENTRO','FLORIANOPOLIS','SC',19726,682,928,NULL,NULL,NULL,NULL,4,1),(15,2230232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,339,NULL,'SÃO CRISTOVÃO','SAO JOSE DO CEDRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2230240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,202,213,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2230259,2.00,6.00,6.00,0.00,6.00,5.00,3.00,4.00,2.00,339,308,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',17797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230267,3.00,7.00,3.00,9.00,7.00,5.75,5.00,8.00,4.00,203,208,216,'JOAO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230275,6.00,8.00,7.00,9.00,8.00,4.50,6.00,8.00,5.00,103,501,NULL,'CIDADE ALTA','CUNHA PORA','SC',2451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230283,3.00,4.00,3.00,5.00,6.00,5.75,5.00,2.00,2.00,211,234,NULL,'CENTRO','URUSSANGA','SC',18507,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2230291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,108,211,'SANTA QUITÉRIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2230305,3.00,4.00,1.00,2.00,5.00,5.00,6.00,3.00,3.00,5,316,NULL,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2230313,3.00,5.00,1.00,0.00,5.00,5.00,3.00,3.00,2.00,108,NULL,NULL,'AEROPORTO','JALES','SP',22029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230321,5.00,8.00,8.00,6.00,9.00,6.00,7.00,7.00,7.00,104,217,NULL,'FIGUEIRA','PRAIA GRANDE','SC',1641,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2230330,6.00,8.00,6.00,6.00,7.00,4.50,7.00,8.00,5.00,203,201,214,'JD BOTANICO','CAMPINAS','SP',4180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,326,NULL,'REPUBLICA','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2230356,6.00,8.00,7.00,8.00,6.00,8.00,7.00,5.00,6.00,5,327,NULL,'CENTRO','FLORIANOPOLIS','SC',2296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230364,4.00,7.00,2.00,5.00,2.00,NULL,5.00,4.00,2.00,444,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2230372,6.00,7.00,5.00,4.00,7.00,7.00,7.00,8.00,3.00,211,215,207,'AMERICA','JOINVILLE','SC',5711,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2230380,7.00,9.00,7.00,9.00,9.00,7.50,7.00,7.00,6.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',1004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230399,7.00,5.00,1.00,7.00,7.00,4.50,5.00,3.00,4.00,420,415,NULL,'JOAIA','TIJUCAS','SC',11402,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2230402,5.00,6.00,3.00,3.00,8.00,4.00,4.00,5.00,4.00,203,415,214,'FLOR DO SOL','SAO JOSE','SC',12445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230410,4.00,5.00,5.00,5.00,5.00,6.00,5.00,4.00,0.00,104,102,NULL,'CENTRO','TROMBUDO CENTRAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2230437,1.00,7.00,2.00,1.00,6.00,5.75,4.00,4.00,0.00,103,102,NULL,'CENTRO','MONDAI','SC',20247,3013,1097,NULL,NULL,NULL,NULL,4,4),(15,2230445,5.00,5.00,2.00,6.00,6.00,5.75,3.00,3.00,2.00,207,420,201,'VILA SAO JOSE','JALES','SP',15262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230453,2.00,5.00,3.00,5.00,7.00,6.25,3.00,3.00,3.00,216,NULL,NULL,'CENTRO','BRUSQUE','SC',15929,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2230461,3.00,5.00,4.00,5.00,6.00,4.75,1.00,6.00,3.00,326,404,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2230470,2.00,8.00,1.00,6.00,8.00,5.50,3.00,3.00,2.00,316,308,NULL,'SERRINHA','FLORIANOPOLIS','SC',15954,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2230488,4.00,5.00,3.00,5.00,7.00,3.25,4.00,5.00,2.00,103,220,NULL,'CENTRO','SAO LUDGERO','SC',14934,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2230496,7.00,8.00,5.00,4.00,8.00,7.50,7.00,6.00,6.00,317,426,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',3344,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2230500,3.00,6.00,5.00,5.00,4.00,5.25,5.00,7.00,3.00,215,NULL,211,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230518,3.00,4.00,2.00,3.00,6.00,4.25,2.00,3.00,3.00,201,444,207,'ESTREITO','FLORIANOPOLIS','SC',20834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'IGUAÇU','BOA VISTA DA APARECIDA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2230534,7.00,7.00,7.00,6.00,8.00,6.00,7.00,7.00,6.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',2916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230542,5.00,5.00,3.00,1.00,7.00,7.00,1.00,6.00,3.00,5,9,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2230569,3.00,5.00,3.00,0.00,4.00,4.00,2.00,3.00,3.00,424,423,421,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',22251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230577,1.00,5.00,0.00,1.00,2.00,NULL,3.00,4.00,1.00,5,201,NULL,'PASSA VINTE','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230585,4.00,7.00,1.00,3.00,6.00,4.50,4.00,5.00,2.00,333,213,NULL,'INDEPÊNDENCIA','TAUBATE','SP',16184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230593,3.00,6.00,3.00,4.00,6.00,4.25,3.00,5.00,2.00,333,108,NULL,'JD JABOTICABEIRAS','TAUBATE','SP',18026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230607,6.00,6.00,6.00,5.00,7.00,5.50,6.00,7.00,6.00,333,108,NULL,'CENTRO','SERRA NEGRA','SP',5219,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2230615,2.00,5.00,4.00,4.00,4.00,5.25,4.00,4.00,2.00,212,224,233,'PONTA DE BAIXO','SAO JOSE','SC',18766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2230623,2.00,7.00,2.00,2.00,7.00,6.75,6.00,6.00,3.00,207,212,201,'CARIANOS','FLORIANOPOLIS','SC',12474,608,521,683,NULL,NULL,NULL,4,1),(15,2230640,3.00,5.00,3.00,0.00,7.00,4.75,5.00,1.00,3.00,225,108,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',20462,60,953,NULL,NULL,NULL,NULL,4,1),(15,2230658,4.00,7.00,5.00,3.00,6.00,3.50,9.00,5.00,3.00,203,233,202,'CENTRO','HOLAMBRA','SP',10168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,104,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2230674,3.00,7.00,4.00,7.00,8.00,6.25,4.00,4.00,2.00,317,324,NULL,'COLONINHA','FLORIANOPOLIS','SC',10106,110,165,NULL,NULL,NULL,NULL,2,1),(15,2230682,3.00,4.00,0.00,0.00,4.00,NULL,5.00,2.00,2.00,103,104,NULL,'CENTRO','DOLCINOPOLIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2230690,3.00,3.00,4.00,3.00,4.00,5.75,3.00,5.00,1.00,208,102,201,'CARIANOS','FLORIANOPOLIS','SC',18030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230704,5.00,6.00,7.00,9.00,8.00,5.00,5.00,6.00,5.00,208,220,203,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2230712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'PRADO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2230720,2.00,4.00,1.00,1.00,2.00,NULL,2.00,4.00,4.00,103,102,NULL,'PETROPÓLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2230739,2.00,5.00,2.00,2.00,4.00,NULL,2.00,1.00,2.00,444,108,NULL,'DALBERGIA','IBIRAMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2230747,2.00,5.00,4.00,4.00,7.00,6.50,3.00,7.00,3.00,233,203,220,'PROGRESSO','RIO DO SUL','SC',14451,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2230755,2.00,4.00,0.00,4.00,7.00,5.50,4.00,2.00,1.00,451,5,NULL,'CENTRO','SANTA ROSA','RS',21297,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2230763,2.00,3.00,4.00,3.00,5.00,4.75,2.00,2.00,2.00,308,223,NULL,'CAMINHO NOVO','PALHOCA','SC',21856,208,236,NULL,NULL,NULL,NULL,2,1),(15,2230771,1.00,6.00,2.00,6.00,8.00,5.00,2.00,4.00,1.00,339,324,NULL,'CENTRO','PALHOCA','SC',17428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2230780,7.00,9.00,9.00,9.00,8.00,7.25,8.00,7.00,7.00,103,104,NULL,'VELHA','BLUMENAU','SC',272,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2230798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',1,8),(15,2230801,4.00,4.00,5.00,6.00,5.00,5.75,5.00,3.00,5.00,201,215,212,'JARDIM ELIANE','APUCARANA','PR',11324,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2230810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,102,201,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2230828,5.00,7.00,5.00,4.00,6.00,4.75,6.00,5.00,2.00,104,216,NULL,'CENTRO','PANAMBI','RS',11207,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2230836,5.00,7.00,6.00,4.00,7.00,4.75,6.00,4.00,3.00,220,203,NULL,'CENTRO','JAPURA','PR',9211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2230852,0.00,4.00,1.00,1.00,4.00,4.50,4.00,4.00,4.00,501,333,NULL,'CENTRO','GUAXUPE','MG',21845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230860,4.00,4.00,5.00,5.00,7.00,6.25,7.00,5.00,3.00,304,318,NULL,'GUANABARA','CAMPINAS','SP',11153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2230879,1.00,5.00,3.00,1.00,3.00,NULL,0.00,3.00,2.00,501,9,NULL,'INTERIOR','PIRATUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2230887,6.00,7.00,5.00,9.00,7.00,4.75,6.00,6.00,4.00,450,415,NULL,'JD MARIA PAULA','JALES','SP',5443,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2230895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,316,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2230925,2.00,7.00,5.00,5.00,9.00,7.00,5.00,5.00,2.00,9,415,NULL,'JARDIM ITAPURA I','PRESIDENTE PRUDENTE','SP',9625,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2230933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'JARDIM ITALIA','SORRISO','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2230941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MANGABEIRAS','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2230950,2.00,3.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,102,207,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2230968,2.00,4.00,0.00,4.00,7.00,5.25,3.00,5.00,3.00,429,415,425,'CEDRINHO','BRUSQUE','SC',19393,154,794,169,NULL,NULL,NULL,4,6),(15,2230976,7.00,9.00,8.00,6.00,9.00,6.75,6.00,7.00,4.00,103,319,NULL,'REBOUÇAS','CURITIBA','PR',1945,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2230992,4.00,9.00,7.00,9.00,7.00,5.25,7.00,8.00,6.00,203,2,202,'CENTRO','PALHOCA','SC',1913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231000,2.00,6.00,4.00,7.00,6.00,6.75,4.00,4.00,3.00,224,319,NULL,'CENTRO','FLORIANOPOLIS','SC',13097,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2231026,5.00,6.00,8.00,6.00,7.00,5.75,6.00,5.00,4.00,103,220,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2231034,3.00,7.00,4.00,5.00,3.00,3.50,3.00,5.00,3.00,216,224,NULL,'VÁRZEA','ITAPEMA','SC',17696,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2231042,2.00,6.00,1.00,4.00,6.00,6.50,4.00,5.00,0.00,301,425,NULL,'CENTRO','FLORIANOPOLIS','SC',18180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231050,3.00,6.00,4.00,9.00,8.00,6.25,8.00,6.00,3.00,238,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',5335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231085,1.00,5.00,3.00,3.00,4.00,6.00,4.00,5.00,2.00,5,339,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',19174,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2231093,2.00,5.00,0.00,1.00,7.00,NULL,2.00,3.00,3.00,238,451,208,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231107,6.00,9.00,8.00,7.00,8.00,5.75,8.00,6.00,4.00,211,214,233,'CENTRO','BRUSQUE','SC',3332,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2231115,1.00,2.00,2.00,5.00,6.00,5.75,3.00,5.00,1.00,224,304,NULL,'CENTRO','BIGUACU','SC',20620,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2231131,3.00,6.00,2.00,0.00,7.00,5.25,3.00,5.00,2.00,223,222,NULL,'CENTRO','PORTO BELO','SC',19554,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2231140,3.00,5.00,5.00,4.00,7.00,6.50,3.00,6.00,3.00,203,233,214,'GRAMADO','CAMPINAS','SP',11535,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2231158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,102,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2231166,3.00,7.00,1.00,8.00,6.00,5.50,4.00,7.00,3.00,404,324,NULL,'SADO DOS LIMÕES','FLORIANOPOLIS','SC',12284,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2231174,3.00,4.00,0.00,2.00,2.00,NULL,3.00,3.00,1.00,201,502,212,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231190,3.00,7.00,5.00,6.00,8.00,4.75,4.00,4.00,2.00,425,331,427,'CENTRO','PALHOCA','SC',11881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2231204,5.00,8.00,8.00,5.00,8.00,5.25,8.00,9.00,7.00,303,5,NULL,'CENTRO','SANTA BARBARA D OESTE','SP',1906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231212,0.00,5.00,1.00,1.00,2.00,NULL,2.00,2.00,1.00,103,333,NULL,'SANTA CATARINA','OTACILIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2231220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,319,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2231239,1.00,5.00,2.00,4.00,7.00,4.75,3.00,4.00,0.00,103,101,NULL,'BIGORRILHO','CURITIBA','PR',20037,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2231255,2.00,5.00,2.00,1.00,4.00,3.00,4.00,1.00,3.00,301,108,NULL,'KOBRASOL','SAO JOSE','SC',22505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231263,4.00,5.00,4.00,6.00,6.00,4.25,6.00,3.00,3.00,104,217,NULL,'CENTRO','PATO BRANCO','PR',14100,465,431,NULL,NULL,NULL,NULL,4,4),(15,2231271,2.00,6.00,2.00,5.00,6.00,6.00,6.00,7.00,5.00,216,423,NULL,'CAMPINAS','SAO JOSE','SC',11233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231298,5.00,8.00,8.00,9.00,8.00,6.00,5.00,6.00,4.00,103,415,NULL,'CENTRO','BRUSQUE','SC',2870,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2231301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,212,NULL,'LA SALLE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2231310,5.00,6.00,4.00,4.00,8.00,5.25,7.00,5.00,4.00,415,450,NULL,'NEVA','CASCAVEL','PR',7872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,108,NULL,'ASA NORTE','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2231336,7.00,7.00,8.00,8.00,5.00,6.75,8.00,6.00,6.00,203,202,214,'JD GARCIA','CAMPINAS','SP',2370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231344,2.00,5.00,5.00,7.00,5.00,4.00,5.00,3.00,5.00,203,404,233,'CAMPINAS','SAO JOSE','SC',13489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2231352,1.00,6.00,1.00,1.00,3.00,3.50,2.00,5.00,2.00,211,234,201,'SÃO SEBASTIÃO','PALHOCA','SC',22420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2231360,5.00,6.00,5.00,8.00,8.00,4.50,7.00,7.00,4.00,238,316,208,'TRINDADE','FLORIANOPOLIS','SC',6636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231379,0.00,4.00,1.00,0.00,5.00,NULL,2.00,2.00,1.00,501,215,NULL,'INTERIOR','PIRATUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2231387,2.00,5.00,1.00,3.00,6.00,5.25,3.00,4.00,3.00,217,233,NULL,'PANAZZOLO','CAXIAS DO SUL','RS',18574,172,624,NULL,NULL,NULL,NULL,4,1),(15,2231395,2.00,6.00,5.00,5.00,5.00,3.50,4.00,6.00,3.00,222,223,NULL,'CENTRO','FLORIANOPOLIS','SC',14202,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2231409,7.00,7.00,6.00,7.00,7.00,6.75,7.00,6.00,5.00,303,5,NULL,'JD AUTONOMISTA','CAMPO GRANDE','MS',3328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231425,3.00,5.00,1.00,4.00,4.00,4.50,3.00,5.00,3.00,102,9,NULL,'GLÓRIA','JOINVILLE','SC',19516,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2231433,1.00,5.00,1.00,3.00,3.00,5.00,3.00,2.00,3.00,333,NULL,NULL,'CIDADE ALTA','PIRACICABA','SP',22014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231441,3.00,8.00,4.00,5.00,8.00,5.25,4.00,3.00,5.00,102,101,NULL,'CENTRO','FLORIANOPOLIS','SC',11244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2231450,2.00,5.00,1.00,1.00,5.00,4.75,5.00,3.00,3.00,215,331,NULL,'CARIANOS','FLORIANOPOLIS','SC',20622,399,246,NULL,NULL,NULL,NULL,2,1),(15,2231468,1.00,5.00,2.00,5.00,3.00,4.50,1.00,3.00,1.00,309,329,NULL,'CENTRO','SANTIAGO','RS',22441,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2231476,0.00,6.00,1.00,5.00,5.00,1.75,1.00,3.00,3.00,319,320,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2231484,8.00,8.00,6.00,8.00,8.00,5.50,8.00,7.00,7.00,104,103,NULL,'JARDIM CARVALHO','PONTA GROSSA','PR',1385,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2231492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'NOVA PIRACICABA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2231506,1.00,6.00,6.00,9.00,5.00,4.50,9.00,5.00,5.00,203,NULL,NULL,'JARDIM AMÉRICA','CAXIAS DO SUL','RS',6601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231514,4.00,7.00,2.00,7.00,6.00,5.25,4.00,7.00,1.00,450,327,NULL,'CENTRO','FLORIANOPOLIS','SC',12392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231522,2.00,5.00,3.00,4.00,5.00,4.50,2.00,5.00,5.00,320,324,NULL,'CENTRO','FLORIANOPOLIS','SC',17874,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2231530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,424,421,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(15,2231549,6.00,9.00,8.00,7.00,5.00,4.50,8.00,8.00,6.00,212,214,220,'ALPHAVILLE','SANTANA DE PARNAIBA','SP',2546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231557,3.00,6.00,1.00,4.00,4.00,4.00,4.00,2.00,2.00,208,238,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',21099,849,1028,NULL,NULL,NULL,NULL,2,1),(15,2231565,2.00,4.00,2.00,5.00,3.00,3.00,1.00,2.00,3.00,301,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',22497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231573,4.00,8.00,0.00,5.00,6.00,2.50,6.00,5.00,4.00,319,424,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231581,1.00,6.00,4.00,0.00,5.00,4.00,1.00,6.00,4.00,213,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',20600,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2231590,5.00,7.00,5.00,6.00,6.00,6.50,4.00,6.00,4.00,104,103,NULL,'VILA ALEMANHA','LUZERNA','SC',8123,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2231611,7.00,7.00,8.00,8.00,7.00,6.50,6.00,8.00,4.00,222,NULL,NULL,'CENTRO','XAXIM','SC',1575,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2231620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,316,233,'JARDIM ANA MARIA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2231638,2.00,6.00,3.00,5.00,6.00,4.50,2.00,4.00,2.00,309,331,NULL,'CARIANOS','FLORIANOPOLIS','SC',19615,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2231646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,9,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2231654,1.00,8.00,3.00,1.00,7.00,6.25,2.00,4.00,1.00,215,9,216,'INTERIOR','PIRATUBA','SC',18141,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2231662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,104,NULL,'PAULISTA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2231689,4.00,8.00,8.00,8.00,8.00,7.00,9.00,8.00,6.00,220,213,202,'CENTRO','BORBOREMA','SP',1306,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2231697,1.00,5.00,1.00,1.00,4.00,3.75,6.00,5.00,2.00,404,108,NULL,'JARDIM IATE CLUBE','BALNEARIO CAMBORIU','SC',20957,233,967,NULL,NULL,NULL,NULL,4,3),(15,2231700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,308,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2231727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'ROYAL PARK','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2231735,1.00,1.00,0.00,3.00,2.00,NULL,4.00,1.00,0.00,302,324,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231743,2.00,3.00,1.00,4.00,8.00,3.00,3.00,5.00,4.00,426,308,425,'SÃO SEBASTIÃO','FLORIANOPOLIS','SC',19920,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2231751,1.00,3.00,2.00,3.00,5.00,4.50,2.00,3.00,3.00,404,213,NULL,'CENTRO','BIGUACU','SC',22323,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2231778,4.00,9.00,7.00,8.00,7.00,4.50,7.00,8.00,5.00,304,318,NULL,'CENTRO','POCOS DE CALDAS','MG',3321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,404,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2231794,1.00,3.00,1.00,1.00,5.00,NULL,2.00,2.00,5.00,404,332,NULL,'CENTRO','DIONISIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'PERDIZES','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2231824,1.00,4.00,3.00,2.00,7.00,5.50,4.00,5.00,2.00,211,502,215,'PARQUE JARDIM OURO','OURO','SC',18716,650,308,368,NULL,NULL,NULL,4,7),(15,2231832,2.00,4.00,3.00,0.00,3.00,3.50,2.00,3.00,4.00,332,329,NULL,'GUARDA DO EMBAÚ','PALHOCA','SC',22433,153,276,NULL,NULL,NULL,NULL,2,1),(15,2231840,5.00,7.00,5.00,7.00,7.00,7.00,8.00,7.00,2.00,238,316,208,'CENTRO','FLORIANOPOLIS','SC',4834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231859,4.00,8.00,6.00,7.00,7.00,5.75,6.00,9.00,5.00,220,2,202,'CENTRO','ERVAL VELHO','SC',3136,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2231867,4.00,7.00,5.00,5.00,6.00,5.00,6.00,5.00,6.00,207,420,201,'CENTRO','CAMPINAS','SP',8233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231875,2.00,4.00,2.00,0.00,6.00,NULL,1.00,2.00,3.00,102,9,NULL,'INTERIOR','MONDAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2231883,3.00,3.00,3.00,1.00,7.00,6.00,4.00,4.00,5.00,102,216,NULL,'BUCAREIN','JOINVILLE','SC',16409,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2231891,7.00,8.00,7.00,4.00,6.00,6.00,7.00,8.00,3.00,103,104,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',3225,1091,867,NULL,NULL,NULL,NULL,4,6),(15,2231905,0.00,6.00,1.00,0.00,4.00,NULL,2.00,5.00,2.00,215,9,216,'INTERIOR','PIRATUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2231913,2.00,4.00,0.00,1.00,3.00,NULL,3.00,2.00,0.00,108,333,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2231930,2.00,7.00,3.00,5.00,6.00,6.50,3.00,6.00,2.00,329,326,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',13984,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2231948,4.00,5.00,5.00,7.00,7.00,5.75,5.00,6.00,3.00,420,207,NULL,'COLINAS','SAO JOSE DOS CAMPOS','SP',9901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231956,4.00,5.00,5.00,5.00,6.00,5.50,6.00,7.00,2.00,103,201,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2231964,2.00,8.00,2.00,6.00,7.00,4.25,4.00,5.00,4.00,303,301,NULL,'VILLAGE','IMBITUBA','SC',14113,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2231972,1.00,4.00,3.00,1.00,5.00,NULL,1.00,3.00,1.00,207,319,201,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2231980,6.00,6.00,7.00,9.00,9.00,6.50,7.00,6.00,4.00,108,NULL,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',2150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VIAL SANTA HELENA','TUPA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2232014,6.00,9.00,8.00,8.00,8.00,7.25,9.00,7.00,6.00,103,304,NULL,'KOBRASOL','SAO JOSE','SC',762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232022,0.00,3.00,1.00,2.00,3.00,NULL,2.00,3.00,1.00,329,211,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232030,2.00,4.00,5.00,5.00,4.00,3.00,1.00,4.00,4.00,317,224,NULL,'PONTE DO IMARUIM','PALHOCA','SC',19307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232049,0.00,6.00,3.00,5.00,5.00,2.00,5.00,6.00,2.00,333,501,NULL,'IGRA','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2232057,2.00,7.00,3.00,2.00,8.00,7.50,4.00,6.00,3.00,103,104,NULL,'CENTRO','LAGES','SC',13470,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2232065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,304,NULL,'SÃO DIMAS','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2232073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'PASSO','SAO BORJA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2232081,4.00,5.00,6.00,4.00,4.00,4.25,5.00,4.00,5.00,220,214,NULL,'PLANALTO PAULISTA','SAO PAULO','SP',15025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232090,1.00,7.00,2.00,3.00,6.00,5.25,2.00,3.00,2.00,339,NULL,NULL,'QUATRO ILHAS','BOMBINHAS','SC',20324,126,NULL,NULL,NULL,NULL,NULL,4,6),(15,2232103,3.00,5.00,2.00,4.00,5.00,4.00,3.00,4.00,2.00,501,333,NULL,'ITAIM BIBI','SAO PAULO','SP',19208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232111,4.00,6.00,5.00,9.00,5.00,3.50,8.00,8.00,4.00,404,217,NULL,'VILA SAO PEDRO','MALLET','PR',6613,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2232120,2.00,2.00,0.00,3.00,1.00,NULL,1.00,2.00,1.00,319,415,NULL,'FRAGATA','PELOTAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232138,5.00,8.00,5.00,9.00,7.00,6.25,6.00,6.00,7.00,450,NULL,NULL,'CITY RIBEIRÃO','RIBEIRAO PRETO','SP',3723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232146,1.00,2.00,0.00,2.00,3.00,NULL,2.00,2.00,2.00,101,332,NULL,'FLORESTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232162,0.00,4.00,2.00,3.00,4.00,NULL,3.00,2.00,3.00,208,201,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232170,4.00,4.00,1.00,4.00,6.00,4.00,3.00,6.00,4.00,211,331,201,'CANTO DA LAGOA','FLORIANOPOLIS','SC',17259,604,203,917,NULL,NULL,NULL,2,1),(15,2232189,2.00,4.00,3.00,7.00,6.00,5.50,5.00,2.00,4.00,421,327,425,'CENTRO','TUNAPOLIS','SC',16289,NULL,NULL,NULL,NULL,NULL,NULL,1,4),(15,2232197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2232200,3.00,2.00,2.00,7.00,4.00,4.50,1.00,3.00,1.00,415,NULL,NULL,'CENTRO','CACADOR','SC',21727,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2232219,7.00,7.00,4.00,7.00,7.00,5.25,6.00,7.00,4.00,501,329,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',5835,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232227,3.00,6.00,2.00,3.00,5.00,5.50,3.00,6.00,2.00,103,NULL,NULL,'CENTRO','BALNEARIO BARRA DO SUL','SC',17553,2837,NULL,NULL,NULL,NULL,NULL,2,8),(15,2232235,1.00,4.00,2.00,1.00,4.00,NULL,4.00,2.00,1.00,104,9,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2232243,1.00,8.00,6.00,8.00,7.00,7.50,5.00,5.00,4.00,211,502,215,'PERDIZES','SAO PAULO','SP',6904,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2232251,8.00,9.00,7.00,9.00,9.00,6.25,8.00,7.00,8.00,5,327,NULL,'MINA UNIAO','CRICIUMA','SC',519,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2232260,1.00,4.00,3.00,6.00,7.00,5.25,2.00,3.00,3.00,216,102,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',18196,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2232278,1.00,5.00,3.00,0.00,5.00,NULL,2.00,2.00,2.00,501,215,NULL,'CENTRO','VARGEAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2232286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2232294,3.00,4.00,1.00,5.00,4.00,4.75,3.00,3.00,2.00,301,426,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',21385,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232308,1.00,7.00,5.00,1.00,6.00,8.25,3.00,4.00,3.00,451,415,NULL,'CENTRO','GARUVA','SC',16419,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2232316,6.00,4.00,7.00,9.00,7.00,6.50,7.00,5.00,5.00,103,101,NULL,'CENTRO','NOVA TRENTO','SC',5274,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,425,NULL,'CENTRO','VENANCIO AIRES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2232332,4.00,5.00,1.00,0.00,5.00,NULL,3.00,4.00,3.00,303,301,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2232340,4.00,1.00,3.00,1.00,3.00,2.00,3.00,3.00,2.00,102,501,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232359,1.00,5.00,3.00,3.00,5.00,4.50,2.00,2.00,4.00,104,9,NULL,'CAMPECHE','FLORIANOPOLIS','SC',21367,700,736,NULL,NULL,NULL,NULL,2,1),(15,2232367,2.00,6.00,1.00,2.00,3.00,4.75,1.00,5.00,2.00,108,502,NULL,'PONTA DE BAIXO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232383,2.00,6.00,6.00,6.00,6.00,6.50,7.00,4.00,3.00,317,316,NULL,'PÂNTANO DO SUL','FLORIANOPOLIS','SC',10255,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232391,3.00,3.00,6.00,3.00,3.00,6.25,5.00,3.00,2.00,222,224,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',18775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',5,8),(15,2232413,0.00,2.00,0.00,6.00,2.00,NULL,1.00,3.00,2.00,208,202,213,'LICORSUL','BENTO GONCALVES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2232430,0.00,5.00,1.00,4.00,4.00,NULL,3.00,3.00,0.00,404,333,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232448,3.00,6.00,4.00,1.00,3.00,3.50,1.00,4.00,2.00,301,203,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232456,4.00,5.00,2.00,7.00,6.00,6.25,3.00,5.00,1.00,308,424,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',15923,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232464,4.00,3.00,2.00,4.00,4.00,4.00,1.00,2.00,1.00,332,318,NULL,'FORQUILHINHAS','SAO JOSE','SC',21795,147,532,NULL,NULL,NULL,NULL,2,1),(15,2232480,2.00,5.00,2.00,3.00,5.00,6.25,5.00,6.00,3.00,5,339,NULL,'CENTRO','PALHOCA','SC',16361,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232499,2.00,7.00,2.00,3.00,4.00,5.75,5.00,5.00,2.00,301,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',16794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232510,4.00,6.00,1.00,1.00,2.00,NULL,0.00,4.00,2.00,103,NULL,NULL,'LINHA BATISTELLO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2232529,0.00,4.00,3.00,1.00,6.00,NULL,4.00,2.00,1.00,207,420,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2232537,5.00,8.00,7.00,7.00,8.00,6.00,7.00,8.00,4.00,212,108,216,'CAMPECHE','FLORIANOPOLIS','SC',2597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,502,NULL,'CENTRO','BOM JESUS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2232561,5.00,6.00,4.00,4.00,6.00,6.50,3.00,4.00,2.00,217,309,NULL,'VICENTINA','SAO LEOPOLDO','RS',14161,122,145,NULL,NULL,NULL,NULL,2,1),(15,2232570,2.00,5.00,2.00,7.00,5.00,5.75,1.00,5.00,3.00,425,234,429,'CENTRO','FLORIANOPOLIS','SC',18487,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232588,4.00,6.00,1.00,4.00,6.00,6.00,3.00,4.00,2.00,451,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',17465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232596,2.00,3.00,1.00,7.00,5.00,5.75,2.00,4.00,2.00,319,303,NULL,'CENTRO','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2232600,2.00,3.00,3.00,3.00,5.00,6.25,3.00,2.00,3.00,319,415,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',19838,435,804,NULL,NULL,NULL,NULL,2,1),(15,2232618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,102,NULL,'CENTRO','PIEN','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2232626,3.00,5.00,0.00,4.00,6.00,4.50,3.00,4.00,4.00,108,333,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',18759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232634,5.00,7.00,4.00,3.00,9.00,5.50,6.00,6.00,3.00,103,309,NULL,'CENTRO','URUSSANGA','SC',9406,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2232642,2.00,5.00,1.00,0.00,0.00,NULL,2.00,1.00,1.00,104,9,NULL,'INTERIOR','BARRA DO RIO AZUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2232650,3.00,4.00,4.00,5.00,5.00,5.00,6.00,6.00,4.00,5,201,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',13455,584,1311,NULL,NULL,NULL,NULL,4,1),(15,2232669,3.00,4.00,4.00,4.00,5.00,8.00,4.00,4.00,2.00,101,303,NULL,'CASCAVEL','GUARAPUAVA','PR',16862,188,1263,NULL,NULL,NULL,NULL,2,1),(15,2232677,0.00,3.00,1.00,4.00,3.00,NULL,4.00,2.00,1.00,317,316,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232685,3.00,5.00,4.00,8.00,6.00,6.50,5.00,5.00,4.00,9,215,NULL,'CENTRO','PALMEIRA DAS MISSOES','RS',9384,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,310,NULL,'CENTRO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2232707,1.00,5.00,4.00,3.00,4.00,5.00,2.00,3.00,3.00,238,301,208,'CAMPECHE','FLORIANOPOLIS','SC',21552,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232715,4.00,7.00,7.00,6.00,7.00,5.25,7.00,6.00,5.00,5,317,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',4888,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232723,5.00,6.00,3.00,6.00,8.00,6.50,6.00,5.00,4.00,207,332,201,'KOBRASOL','SAO JOSE','SC',8569,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'MOEMA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2232758,4.00,4.00,3.00,5.00,6.00,3.50,4.00,5.00,1.00,216,208,NULL,'AREIAS','TIJUCAS','SC',17498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232766,5.00,6.00,4.00,6.00,9.00,5.50,6.00,7.00,2.00,303,415,NULL,'PRÓSPERA','CRICIUMA','SC',6669,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2232774,2.00,5.00,8.00,4.00,5.00,6.50,3.00,3.00,3.00,302,303,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232782,4.00,7.00,5.00,5.00,8.00,5.00,7.00,4.00,5.00,303,502,NULL,'CANTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232790,1.00,6.00,5.00,6.00,4.00,4.25,4.00,4.00,2.00,217,333,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',17560,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232804,2.00,6.00,1.00,6.00,4.00,5.00,4.00,2.00,1.00,404,444,NULL,'BELA VISTA II','SAO JOSE','SC',20310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232812,6.00,8.00,3.00,5.00,8.00,5.50,7.00,6.00,3.00,101,326,NULL,'BELA VISTA DOIS','SAO JOSE','SC',6005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232820,3.00,7.00,5.00,5.00,6.00,3.50,6.00,6.00,5.00,303,5,NULL,'JARDIM DOS PASSAROS','GUARUJA','SP',9231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232839,2.00,7.00,7.00,6.00,8.00,6.75,6.00,7.00,3.00,211,301,NULL,'JARDIM APOLO','SAO JOSE DOS CAMPOS','SP',6766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,339,NULL,'SANTINHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2232863,1.00,6.00,4.00,2.00,5.00,NULL,0.00,0.00,0.00,104,102,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(15,2232871,6.00,7.00,5.00,8.00,8.00,4.75,7.00,6.00,4.00,108,NULL,NULL,'SICILIANO','SAO PAULO','SP',4699,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2232880,5.00,7.00,5.00,8.00,6.00,6.75,8.00,6.00,7.00,444,404,NULL,'CENTRO','FLORIANOPOLIS','SC',2898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232898,0.00,3.00,3.00,2.00,4.00,NULL,3.00,2.00,3.00,339,308,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232901,4.00,8.00,6.00,6.00,8.00,6.50,5.00,4.00,4.00,102,215,NULL,'ASILO','BLUMENAU','SC',6957,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2232910,5.00,6.00,4.00,7.00,8.00,8.25,4.00,4.00,2.00,444,319,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',9127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'PRAIA DE SÃO MIGUEL','PENHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2232936,3.00,5.00,2.00,7.00,5.00,6.25,3.00,5.00,3.00,208,223,203,'CAPOEIRAS','FLORIANOPOLIS','SC',15580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,502,NULL,'P C BRANCO','PRESIDENTE CASTELO BRANCO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2232952,1.00,6.00,4.00,0.00,4.00,4.00,4.00,2.00,1.00,304,303,NULL,'CAMPECHE','FLORIANOPOLIS','SC',22250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2232960,2.00,6.00,3.00,6.00,8.00,6.25,5.00,7.00,1.00,316,318,NULL,'ESTREITO','FLORIANOPOLIS','SC',11722,300,NULL,NULL,NULL,NULL,NULL,2,1),(15,2232979,4.00,5.00,6.00,6.00,5.00,5.25,4.00,5.00,2.00,103,104,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2232987,5.00,4.00,4.00,5.00,7.00,3.75,3.00,5.00,5.00,316,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',13454,360,434,NULL,NULL,NULL,NULL,2,1),(15,2232995,4.00,5.00,5.00,5.00,6.00,7.25,2.00,5.00,1.00,5,102,NULL,'CENTRO','GAURAMA','RS',14579,631,935,NULL,NULL,NULL,NULL,2,4),(15,2233002,5.00,6.00,2.00,6.00,8.00,6.75,4.00,5.00,5.00,103,333,NULL,'CENTRO','ANITA GARIBALDI','SC',8407,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2233029,2.00,7.00,1.00,2.00,5.00,6.00,3.00,3.00,1.00,316,308,NULL,'AREIAS DO CAMPECHE','FLORIANOPOLIS','SC',20744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233037,2.00,7.00,4.00,5.00,6.00,3.50,4.00,6.00,2.00,5,333,NULL,'SÃO SEBASTIÃO','PALHOCA','SC',14937,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2233045,4.00,7.00,1.00,2.00,5.00,4.75,5.00,5.00,1.00,501,329,NULL,'INTERIOR','NOVO HORIZONTE','SC',18357,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2233053,2.00,4.00,1.00,9.00,7.00,5.25,3.00,5.00,3.00,415,320,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',14348,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2233061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'SÃO BERNARDO','UNIAO DA VITORIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2233070,6.00,8.00,9.00,4.00,6.00,5.25,8.00,5.00,7.00,103,202,NULL,'AGUA VERDE','CURITIBA','PR',3581,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2233088,3.00,4.00,1.00,1.00,6.00,NULL,2.00,2.00,1.00,332,333,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233100,3.00,6.00,1.00,7.00,4.00,5.25,4.00,2.00,4.00,103,108,NULL,'JARDIM AZALEIAS','POCOS DE CALDAS','MG',16502,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2233118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,501,214,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2233150,3.00,6.00,7.00,5.00,9.00,6.00,5.00,3.00,4.00,333,301,NULL,'CENTRO','FLORIANOPOLIS','SC',8170,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2233169,3.00,6.00,2.00,8.00,8.00,6.00,5.00,4.00,3.00,5,238,NULL,'JARDIM FERRARI III','ITAPEVA','SP',11157,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2233177,0.00,7.00,0.00,3.00,4.00,NULL,0.00,7.00,1.00,319,303,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,215,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2233193,2.00,3.00,2.00,2.00,3.00,5.25,4.00,3.00,3.00,238,425,NULL,'ARIRU','PALHOCA','SC',21537,799,432,NULL,NULL,NULL,NULL,4,1),(15,2233207,3.00,7.00,3.00,5.00,6.00,5.75,3.00,7.00,1.00,222,224,NULL,'INTERRIOR','GAURAMA','RS',13686,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2233215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,201,NULL,'LAGO SUL','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2233223,2.00,7.00,2.00,3.00,6.00,5.00,2.00,3.00,3.00,5,303,NULL,'CENTRO','FLORIANOPOLIS','SC',19478,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2233231,4.00,7.00,4.00,6.00,6.00,6.00,6.00,4.00,4.00,201,233,212,'FORQUILHINHAS','SAO JOSE','SC',9727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,319,201,'DO SOL','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2233266,1.00,7.00,6.00,6.00,6.00,5.25,5.00,7.00,3.00,5,316,NULL,'ALTO ARIRIÚ','PALHOCA','SC',11266,488,932,NULL,NULL,NULL,NULL,2,1),(15,2233274,3.00,9.00,3.00,4.00,5.00,4.75,7.00,7.00,3.00,211,208,201,'CENTRO','VERA CRUZ','SP',10141,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2233282,4.00,6.00,3.00,6.00,9.00,4.75,3.00,5.00,3.00,451,426,NULL,'CENTRO','FLORIANOPOLIS','SC',12060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2233290,5.00,7.00,5.00,9.00,8.00,8.25,6.00,6.00,4.00,415,319,NULL,'CENTRO','ANAPOLIS','GO',3873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2233304,3.00,8.00,2.00,6.00,6.00,5.75,3.00,7.00,3.00,318,339,NULL,'FORQUILHINHAS','SAO JOSE','SC',11824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233312,6.00,9.00,6.00,7.00,5.00,5.75,3.00,4.00,2.00,207,420,233,'JARDIM EUROPA','PONTA GROSSA','PR',9023,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2233320,4.00,4.00,4.00,4.00,5.00,5.50,3.00,5.00,3.00,103,102,NULL,'PORTAO','CURITIBA','PR',16421,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2233339,4.00,5.00,3.00,6.00,6.00,5.00,7.00,3.00,1.00,103,108,NULL,'JARDIM AZALEIA','POCOS DE CALDAS','MG',14588,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2233347,4.00,6.00,7.00,7.00,9.00,5.25,6.00,5.00,3.00,102,424,NULL,'CAMPINAS','SAO JOSE','SC',6715,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2233355,3.00,4.00,4.00,3.00,6.00,6.50,6.00,4.00,3.00,211,301,201,'CENTRO','TUBARAO','SC',15364,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2233363,6.00,6.00,6.00,5.00,7.00,6.00,5.00,6.00,4.00,420,329,NULL,'CENTRO','JARAGUA DO SUL','SC',6646,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2233371,4.00,8.00,1.00,4.00,8.00,4.25,4.00,4.00,3.00,420,427,NULL,'COQUEIROS','FLORIANOPOLIS','SC',13954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233380,3.00,7.00,2.00,5.00,5.00,6.00,5.00,7.00,2.00,303,207,NULL,'CENTRO','SANTA CECILIA','SC',12998,626,1184,NULL,NULL,NULL,NULL,4,9),(15,2233398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,214,NULL,'VILA SÃO PAULO','ITANHAEM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2233401,3.00,7.00,4.00,3.00,8.00,5.25,3.00,5.00,3.00,9,316,NULL,'CENTRO','FLORIANOPOLIS','SC',13096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,501,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2233428,8.00,8.00,5.00,7.00,6.00,6.75,7.00,6.00,4.00,203,301,233,'AMÉRICA','JOINVILLE','SC',3636,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(15,2233436,3.00,8.00,5.00,1.00,7.00,5.50,7.00,7.00,4.00,215,213,220,'JARDIM INOCOPE','RIO CLARO','SP',9032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233444,4.00,8.00,5.00,3.00,7.00,4.75,4.00,5.00,4.00,103,104,NULL,'DOM BOSCO','ITAJAI','SC',10596,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2233452,7.00,7.00,6.00,3.00,8.00,5.75,5.00,5.00,5.00,216,102,201,'COSTA E SILVA','JOINVILLE','SC',5693,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2233460,6.00,8.00,7.00,7.00,8.00,5.50,5.00,6.00,4.00,201,425,212,'BARREIROS','SAO JOSE','SC',4010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233479,4.00,6.00,2.00,8.00,6.00,2.00,4.00,4.00,4.00,308,424,NULL,'ITACORUBÍ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2233487,5.00,8.00,1.00,2.00,7.00,5.25,5.00,6.00,4.00,108,501,NULL,'CENTRO','ITAPETININGA','SP',12015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233495,4.00,5.00,8.00,8.00,7.00,6.25,7.00,5.00,6.00,212,214,213,'JARDIM SANTO ANTONIO','SANTA RITA DO SAPUCAI','MG',4869,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2233509,2.00,5.00,1.00,1.00,7.00,6.25,4.00,3.00,1.00,5,415,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233517,2.00,6.00,2.00,5.00,7.00,5.25,5.00,4.00,3.00,108,211,NULL,'DUAS MARIAS','JAGUARIUNA','SP',14639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233525,1.00,6.00,4.00,4.00,6.00,4.50,4.00,4.00,3.00,319,102,NULL,'CENTRO','LAGES','SC',16876,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2233533,2.00,7.00,1.00,8.00,6.00,4.50,4.00,6.00,2.00,208,222,202,'FORQUILHINHAS','SAO JOSE','SC',13462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233550,2.00,4.00,3.00,0.00,5.00,4.50,3.00,3.00,2.00,238,339,NULL,'ST ANTONIO DE LISBOA','FLORIANOPOLIS','SC',22125,820,458,NULL,NULL,NULL,NULL,4,1),(15,2233568,3.00,7.00,5.00,9.00,9.00,8.50,5.00,5.00,4.00,317,302,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',5518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233576,6.00,7.00,7.00,7.00,8.00,7.50,6.00,4.00,3.00,108,333,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233584,2.00,4.00,0.00,5.00,4.00,5.50,0.00,4.00,3.00,427,324,423,'SACO DOS LIMOES','FLORIANOPOLIS','SC',22170,97,454,116,NULL,NULL,NULL,5,1),(15,2233592,0.00,6.00,2.00,6.00,7.00,6.50,5.00,5.00,1.00,329,328,NULL,'SATELITE','SAO JOSE DOS CAMPOS','SP',15461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233606,5.00,8.00,6.00,1.00,4.00,5.25,5.00,7.00,3.00,451,NULL,NULL,'BAIRRO NAÇOES','INDAIAL','SC',11102,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2233614,3.00,6.00,8.00,6.00,8.00,5.00,6.00,6.00,4.00,5,317,NULL,'CAMPECHE','FLORIANOPOLIS','SC',7179,322,452,NULL,NULL,NULL,NULL,2,1),(15,2233622,5.00,8.00,6.00,5.00,8.00,6.50,6.00,8.00,5.00,103,216,NULL,'JARDIM INDUSTRIAS','SAO JOSE DOS CAMPOS','SP',5015,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2233649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,324,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2233665,5.00,7.00,8.00,8.00,8.00,6.00,7.00,6.00,6.00,103,102,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',1991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233673,3.00,6.00,4.00,4.00,4.00,6.00,4.00,1.00,5.00,420,207,NULL,'CARIANOS','FLORIANOPOLIS','SC',15056,299,1214,NULL,NULL,NULL,NULL,4,1),(15,2233681,4.00,7.00,5.00,6.00,8.00,5.50,5.00,6.00,2.00,238,444,208,'TRINDADE','FLORIANOPOLIS','SC',7221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233703,2.00,8.00,5.00,7.00,7.00,4.75,3.00,7.00,2.00,425,427,421,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',11408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233711,1.00,2.00,1.00,0.00,1.00,NULL,0.00,1.00,1.00,202,2,213,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2233720,5.00,6.00,3.00,6.00,7.00,4.75,5.00,5.00,3.00,5,317,NULL,'COQUEIROS','FLORIANOPOLIS','SC',8978,392,471,NULL,NULL,NULL,NULL,2,1),(15,2233738,5.00,6.00,8.00,4.00,8.00,7.25,6.00,4.00,6.00,103,415,NULL,'CENTRO','TUBARAO','SC',5986,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2233746,3.00,5.00,5.00,4.00,5.00,3.00,3.00,2.00,4.00,104,102,NULL,'KM TRINTA E SETE','LAGUNA','SC',19124,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2233754,6.00,5.00,3.00,5.00,5.00,4.75,6.00,4.00,3.00,103,108,NULL,'JOÃO PAULO II','PRESIDENTE PRUDENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233762,3.00,4.00,0.00,0.00,5.00,NULL,4.00,1.00,2.00,9,215,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233789,4.00,7.00,2.00,1.00,3.00,5.75,6.00,2.00,4.00,216,2,211,'CENTRO','FLORIANOPOLIS','SC',18575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233797,3.00,1.00,0.00,5.00,8.00,5.50,2.00,4.00,2.00,108,502,NULL,'CENTRO','GAROPABA','SC',20280,443,337,NULL,NULL,NULL,NULL,2,1),(15,2233800,5.00,6.00,8.00,6.00,7.00,4.50,5.00,7.00,3.00,318,224,NULL,'ESTREITO','FLORIANOPOLIS','SC',7766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2233827,0.00,0.00,0.00,5.00,4.00,NULL,5.00,4.00,4.00,301,203,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,320,NULL,'VERENA','SANTA CRUZ DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2233843,7.00,6.00,8.00,6.00,7.00,5.50,8.00,7.00,6.00,203,301,201,'CENTRO','CURITIBA','PR',2942,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2233851,4.00,6.00,4.00,4.00,7.00,7.25,5.00,4.00,4.00,103,9,NULL,'AMÉRICA','JOINVILLE','SC',10391,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2233860,7.00,8.00,4.00,7.00,8.00,6.00,6.00,3.00,5.00,102,108,NULL,'AZAMBUJA','BRUSQUE','SC',6490,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2233878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,329,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2233886,1.00,5.00,3.00,4.00,3.00,3.75,5.00,4.00,4.00,213,420,202,'CENTRO','RIO FORTUNA','SC',20594,330,900,673,NULL,NULL,NULL,2,10),(15,2233894,4.00,6.00,7.00,4.00,6.00,5.00,4.00,5.00,2.00,5,201,NULL,'CENTRO','ARARANGUA','SC',12130,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2233908,5.00,7.00,2.00,6.00,9.00,6.00,4.00,6.00,3.00,324,NULL,NULL,'TAPERA','FLORIANOPOLIS','SC',7734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233924,3.00,6.00,3.00,5.00,5.00,5.50,4.00,2.00,4.00,102,101,NULL,'VILA SÃO FRANCISCO','REGISTRO','SP',15968,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2233940,1.00,3.00,4.00,5.00,5.00,5.50,5.00,4.00,4.00,108,319,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2233959,0.00,3.00,1.00,7.00,6.00,NULL,6.00,5.00,2.00,339,324,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2233967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,9,NULL,'CENTRO','ICARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2233975,6.00,7.00,4.00,6.00,7.00,4.00,6.00,7.00,4.00,108,217,NULL,'BARREIROS','SAO JOSE','SC',7627,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2233983,1.00,5.00,1.00,3.00,2.00,NULL,3.00,4.00,3.00,301,331,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2233991,0.00,5.00,3.00,5.00,4.00,3.25,4.00,3.00,1.00,319,404,NULL,'PICADAS DO SUL','SAO JOSE','SC',21352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2234009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,423,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2234017,3.00,8.00,5.00,4.00,9.00,6.75,4.00,7.00,4.00,415,333,NULL,'JARDIM EUCALIPTOS','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2234025,2.00,4.00,0.00,0.00,1.00,NULL,3.00,4.00,4.00,103,316,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2234041,3.00,8.00,7.00,9.00,8.00,5.50,8.00,7.00,7.00,420,450,NULL,'CANTEGRIL II','VIAMAO','RS',1886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2234050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,9,NULL,'CIDADE ALTA','CUNHA PORA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2234068,4.00,5.00,5.00,6.00,5.00,5.50,4.00,7.00,5.00,415,327,NULL,'CENTRO','JARAGUA DO SUL','SC',9068,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2234076,3.00,7.00,7.00,5.00,9.00,6.75,6.00,5.00,6.00,211,238,215,'SAGUAÇÚ','JOINVILLE','SC',5216,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2234084,3.00,6.00,1.00,5.00,8.00,5.00,7.00,4.00,3.00,333,332,NULL,'PROGRESSO','RIO DO SUL','SC',13032,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2234092,6.00,8.00,7.00,8.00,8.00,5.25,8.00,7.00,4.00,207,420,201,'CANASVIEIRAS','FLORIANOPOLIS','SC',2757,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2234106,1.00,2.00,2.00,3.00,5.00,NULL,2.00,1.00,3.00,102,211,NULL,'JARDIM ITALIA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2234114,3.00,6.00,3.00,4.00,6.00,5.75,2.00,7.00,2.00,316,208,NULL,'CENTRO','ANITAPOLIS','SC',14524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2234122,1.00,8.00,6.00,5.00,7.00,5.00,5.00,7.00,1.00,301,223,NULL,'KOBRASOL','SAO JOSE','SC',10860,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2234130,4.00,8.00,5.00,6.00,8.00,4.50,6.00,7.00,4.00,450,211,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',7113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2234149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','XANXERE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2234157,1.00,5.00,1.00,4.00,3.00,5.00,3.00,3.00,2.00,215,444,212,'BARREIROS','SAO JOSE','SC',21828,424,608,423,NULL,NULL,NULL,2,1),(15,2234165,2.00,3.00,0.00,4.00,5.00,5.00,2.00,5.00,2.00,301,310,NULL,'TAPERA','FLORIANOPOLIS','SC',21271,372,184,NULL,NULL,NULL,NULL,2,1),(15,2234190,6.00,8.00,5.00,4.00,4.00,7.25,5.00,7.00,3.00,429,101,424,'FLORESTA','SAO JOSE','SC',7309,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2234203,3.00,7.00,6.00,5.00,3.00,3.50,3.00,5.00,3.00,212,327,207,'BELA VISTA','SAO PAULO','SP',16033,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2234211,2.00,6.00,3.00,2.00,6.00,4.25,6.00,6.00,2.00,303,211,NULL,'CENTRO','IPUMIRIM','SC',15336,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2234220,1.00,6.00,3.00,4.00,8.00,5.00,3.00,7.00,1.00,207,420,201,'VORSTADT','BLUMENAU','SC',15691,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2234246,3.00,5.00,0.00,2.00,4.00,5.50,3.00,3.00,4.00,309,310,NULL,'TRINDADE','FLORIANOPOLIS','SC',20574,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2234262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,332,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2234270,3.00,6.00,5.00,3.00,5.00,NULL,4.00,5.00,0.00,317,318,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2234300,4.00,7.00,8.00,4.00,5.00,3.75,5.00,6.00,3.00,103,318,NULL,'SANTA ROSA','PORTO UNIAO','SC',10051,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2234319,2.00,5.00,3.00,1.00,5.00,5.25,4.00,5.00,2.00,103,108,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2234327,2.00,2.00,5.00,0.00,2.00,NULL,4.00,4.00,3.00,201,208,207,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2234335,0.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,316,339,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2234343,4.00,6.00,7.00,10.00,8.00,5.75,5.00,6.00,2.00,103,304,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2234351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,425,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2234378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,320,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2234386,4.00,7.00,7.00,6.00,7.00,5.75,7.00,5.00,5.00,201,207,212,'CENTRO','BALNEARIO CAMBORIU','SC',4817,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2234394,4.00,7.00,7.00,8.00,7.00,6.75,6.00,5.00,4.00,207,201,220,'SANTO ANTÔNIO','JOINVILLE','SC',5075,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2234408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,212,NULL,'CENTRO','GOVERNADOR VALADARES','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2234416,1.00,7.00,2.00,1.00,5.00,5.00,4.00,5.00,2.00,104,303,NULL,'CENTRO','TUPARENDI','RS',19221,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2234424,2.00,5.00,3.00,1.00,7.00,6.50,4.00,4.00,2.00,211,301,207,'CENTRO','IMBITUBA','SC',18172,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2234432,3.00,7.00,3.00,6.00,7.00,5.00,3.00,3.00,4.00,301,316,NULL,'BUENO','GOIANIA','GO',13149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2234440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2234459,3.00,6.00,3.00,5.00,5.00,4.00,3.00,7.00,4.00,5,324,NULL,'FAZENDA','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2234475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'SÃO JOSÉ','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2234491,4.00,8.00,5.00,8.00,7.00,4.50,6.00,6.00,3.00,213,214,NULL,'JARDIM JOAO PAULO II','PRESIDENTE PRUDENTE','SP',7295,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2234505,3.00,5.00,3.00,6.00,7.00,4.50,5.00,5.00,5.00,103,450,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2234513,3.00,7.00,5.00,6.00,7.00,5.75,5.00,3.00,6.00,202,208,233,'REVOREDO','TUBARAO','SC',7919,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2234521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,211,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2234530,2.00,6.00,4.00,6.00,7.00,4.75,1.00,7.00,2.00,502,501,NULL,'CANASDVIEIRAS','FLORIANOPOLIS','SC',15233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2234548,1.00,5.00,0.00,3.00,5.00,NULL,1.00,3.00,1.00,217,216,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2234556,4.00,6.00,2.00,8.00,5.00,4.50,4.00,3.00,1.00,425,424,426,'CORREGO GRANDE','FLORIANOPOLIS','SC',16656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2234564,4.00,9.00,9.00,6.00,6.00,5.75,9.00,7.00,8.00,217,2,NULL,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',1942,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2234572,2.00,5.00,1.00,3.00,3.00,NULL,3.00,2.00,0.00,316,201,NULL,'CENTRO','PORTO UNIAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2234602,1.00,8.00,7.00,7.00,5.00,4.75,5.00,5.00,2.00,5,318,NULL,'BARREIROS','SAO JOSE','SC',11344,491,399,NULL,NULL,NULL,NULL,2,1),(15,2234610,6.00,7.00,5.00,6.00,9.00,5.50,7.00,6.00,4.00,316,301,NULL,'COMERCIÁRIO','CRICIUMA','SC',5311,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2234629,4.00,7.00,2.00,5.00,5.00,3.25,3.00,3.00,4.00,319,404,NULL,'CIDADE NOVA','ITAJAI','SC',17210,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2234637,3.00,3.00,5.00,3.00,5.00,4.50,2.00,4.00,3.00,207,415,201,'CENTRO','BRACO DO NORTE','SC',19695,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2234645,4.00,7.00,5.00,3.00,8.00,6.75,6.00,6.00,3.00,208,102,238,'PORTÃO','SALTO DO JACUI','RS',7849,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2234653,5.00,6.00,7.00,5.00,6.00,4.75,3.00,7.00,5.00,404,223,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',8563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2234661,4.00,6.00,4.00,5.00,5.00,1.75,2.00,5.00,1.00,103,NULL,NULL,'SUMARE','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2234670,5.00,6.00,4.00,1.00,8.00,4.00,5.00,6.00,2.00,104,327,NULL,'POUSADA DO SOL','SOBRADINHO','RS',12279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2234688,3.00,4.00,4.00,3.00,6.00,5.50,4.00,3.00,3.00,238,404,208,'TRINDADE','FLORIANOPOLIS','SC',17313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2234696,4.00,6.00,4.00,5.00,6.00,6.00,5.00,6.00,1.00,103,108,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2234700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,501,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2234718,2.00,8.00,6.00,8.00,8.00,6.50,4.00,8.00,4.00,208,333,202,'SÃO BASÍLIO','BRACO DO NORTE','SC',5006,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2234726,6.00,6.00,5.00,3.00,8.00,6.00,8.00,7.00,3.00,207,420,220,'CENTRO','CAMPOS NOVOS','SC',6305,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2234734,3.00,4.00,1.00,6.00,7.00,3.75,4.00,3.00,2.00,101,319,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',18111,221,878,NULL,NULL,NULL,NULL,2,1),(15,2234742,2.00,7.00,4.00,4.00,6.00,NULL,3.00,5.00,0.00,5,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2234750,1.00,3.00,3.00,3.00,4.00,5.25,3.00,1.00,4.00,501,332,NULL,'CENTRO','FLORIANOPOLIS','SC',22172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2234769,0.00,7.00,2.00,4.00,3.00,4.50,3.00,5.00,4.00,316,212,NULL,'CRUZEIRO DO SUL','CRICIUMA','SC',18931,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2234777,0.00,8.00,4.00,4.00,5.00,5.00,4.00,5.00,2.00,217,102,NULL,'RATONES','FLORIANOPOLIS','SC',16639,144,992,NULL,NULL,NULL,NULL,4,1),(15,2234793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,427,NULL,'CANGO','FRANCISCO BELTRAO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2234807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,216,202,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2234815,2.00,5.00,3.00,1.00,5.00,5.00,4.00,2.00,4.00,103,101,NULL,'JOÃO COSTA','JOINVILLE','SC',20765,3035,751,NULL,NULL,NULL,NULL,4,8),(15,2234831,1.00,4.00,6.00,6.00,6.00,6.00,3.00,2.00,3.00,404,423,NULL,'KOBRASOL','SAO JOSE','SC',17395,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2234840,2.00,6.00,4.00,6.00,5.00,4.25,5.00,3.00,4.00,214,212,220,'DAS CAPITAIS','TIMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2234858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,339,NULL,'BUISSA I','MACAUBAL','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2234866,3.00,7.00,1.00,3.00,6.00,5.00,4.00,5.00,2.00,103,102,NULL,'CENTRO','TROMBUDO CENTRAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2234874,1.00,8.00,0.00,3.00,3.00,5.00,3.00,5.00,1.00,208,420,238,'CAMPECHE','FLORIANOPOLIS','SC',20704,831,904,770,NULL,NULL,NULL,4,1),(15,2234882,5.00,5.00,3.00,2.00,8.00,6.75,3.00,4.00,4.00,234,424,NULL,'BARREIROS','SAO JOSE','SC',13823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2234890,3.00,4.00,0.00,4.00,7.00,5.75,3.00,5.00,0.00,207,420,215,'CANASVIEIRAS','FLORIANOPOLIS','SC',19188,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2234912,4.00,5.00,6.00,5.00,6.00,4.50,3.00,5.00,2.00,103,303,NULL,'NAÇÕES','INDAIAL','SC',15145,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2234920,4.00,6.00,3.00,5.00,8.00,3.75,5.00,4.00,4.00,103,329,NULL,'BARREIROS','SAO JOSE','SC',12127,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2234939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2234947,6.00,4.00,5.00,6.00,7.00,6.75,7.00,5.00,4.00,301,302,NULL,'TRINDADE','FLORIANOPOLIS','SC',7237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2234998,5.00,6.00,8.00,7.00,8.00,7.00,7.00,7.00,5.00,103,101,NULL,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',3485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235005,2.00,6.00,3.00,2.00,6.00,7.00,4.00,4.00,3.00,103,426,NULL,'CENTRO','FLORIANOPOLIS','SC',15772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235013,2.00,7.00,4.00,3.00,8.00,6.00,7.00,4.00,5.00,301,222,NULL,'CENTRO','ITAJAI','SC',9488,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2235021,2.00,7.00,9.00,7.00,8.00,6.50,7.00,5.00,4.00,202,104,208,'CIDADE NOVA','CAXIAS DO SUL','RS',4299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235030,3.00,7.00,3.00,3.00,6.00,7.25,5.00,4.00,2.00,303,5,NULL,'BALNEARIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235048,4.00,7.00,5.00,1.00,6.00,5.50,4.00,5.00,3.00,104,103,NULL,'FREI ROGÉRIO','LAGES','SC',13528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235056,1.00,4.00,3.00,6.00,6.00,5.00,3.00,5.00,4.00,501,420,NULL,'GUARDA DO CUBATAO','PALHOCA','SC',17181,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235064,2.00,7.00,3.00,5.00,4.00,5.50,2.00,5.00,3.00,234,224,NULL,'AREIAS','SAO JOSE','SC',16068,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235072,0.00,6.00,4.00,4.00,5.00,6.00,4.00,2.00,2.00,203,215,220,'JARDIM SÃO PAULO','RIO CLARO','SP',19489,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2235099,3.00,5.00,3.00,4.00,6.00,5.25,3.00,3.00,3.00,5,301,NULL,'PARQUE IMPERADOR','CAMPINAS','SP',17472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235110,1.00,5.00,1.00,2.00,3.00,5.00,5.00,5.00,2.00,202,317,NULL,'CENTRO','SAUDADES','SC',21212,697,667,NULL,NULL,NULL,NULL,4,4),(15,2235129,2.00,4.00,2.00,3.00,3.00,5.00,2.00,4.00,3.00,238,5,208,'CACHOERINHA','SAO PAULO','SP',21835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235137,0.00,7.00,4.00,8.00,7.00,8.00,5.00,7.00,2.00,450,327,NULL,'ASILO','BLUMENAU','SC',8990,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2235145,6.00,7.00,7.00,6.00,8.00,6.50,7.00,5.00,4.00,104,102,NULL,'CENTRO','VENANCIO AIRES','RS',3115,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235153,4.00,7.00,1.00,2.00,6.00,5.25,4.00,5.00,1.00,310,326,NULL,'CENTRO','FLORIANOPOLIS','SC',18315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235161,3.00,5.00,4.00,6.00,4.00,4.50,4.00,4.00,3.00,234,211,NULL,'CENTRO','ITAJAI','SC',16685,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2235170,3.00,7.00,3.00,3.00,6.00,4.75,4.00,5.00,1.00,501,310,NULL,'CENTRO','FLORIANOPOLIS','SC',17405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235188,3.00,6.00,1.00,6.00,5.00,4.75,1.00,4.00,1.00,303,5,NULL,'CENTRO','ITAQUI','RS',19056,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235196,2.00,3.00,2.00,6.00,5.00,4.75,3.00,3.00,1.00,208,404,203,'CAPOEIRAS','FLORIANOPOLIS','SC',21108,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235218,2.00,7.00,0.00,3.00,5.00,3.00,4.00,7.00,1.00,317,327,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',19944,357,446,NULL,NULL,NULL,NULL,2,1),(15,2235226,2.00,5.00,0.00,1.00,3.00,NULL,1.00,4.00,2.00,425,501,423,'CACUPE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235234,4.00,4.00,3.00,6.00,3.00,6.25,4.00,4.00,3.00,319,308,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',16688,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235242,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,303,5,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2235250,3.00,5.00,5.00,4.00,5.00,4.00,2.00,4.00,3.00,302,317,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',18641,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2235277,2.00,5.00,4.00,6.00,4.00,4.75,4.00,4.00,4.00,201,212,211,'CENTRO','XAVANTINA','SC',16049,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2235285,2.00,2.00,1.00,3.00,3.00,6.00,4.00,3.00,2.00,426,NULL,429,'CAPOEIRAS','FLORIANOPOLIS','SC',22192,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235293,5.00,8.00,6.00,8.00,8.00,6.50,9.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',2400,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235307,5.00,9.00,8.00,5.00,8.00,6.00,9.00,7.00,6.00,5,316,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',1803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235315,2.00,4.00,3.00,7.00,6.00,5.75,3.00,2.00,4.00,429,308,423,'ITACORUBI','FLORIANOPOLIS','SC',17222,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235323,1.00,6.00,4.00,5.00,7.00,6.00,5.00,5.00,3.00,420,415,NULL,'COSTA E SILVA','JOINVILLE','SC',14002,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2235331,2.00,7.00,6.00,7.00,5.00,6.00,4.00,6.00,3.00,5,303,NULL,'JARDIM IRIRIÚ','JOINVILLE','SC',10802,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2235340,1.00,6.00,5.00,6.00,6.00,7.25,6.00,8.00,3.00,238,202,208,'CENTRO','CRICIUMA','SC',8747,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2235366,2.00,3.00,1.00,4.00,2.00,NULL,1.00,3.00,1.00,317,302,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235374,6.00,8.00,6.00,6.00,9.00,8.25,6.00,7.00,6.00,415,103,NULL,'TRINDADE','FLORIANOPOLIS','SC',2013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'RIO BRANCO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2235390,2.00,7.00,3.00,6.00,4.00,4.00,6.00,6.00,2.00,208,333,NULL,'CEEE','SALTO DO JACUI','RS',12862,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2235404,8.00,7.00,5.00,8.00,7.00,5.50,4.00,9.00,2.00,108,326,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,108,NULL,'CAPUTERA','ARUJA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2235439,2.00,7.00,6.00,3.00,7.00,4.75,6.00,5.00,4.00,211,333,233,'CARANDÁ BOSQUE','CAMPO GRANDE','MS',10006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235447,4.00,7.00,6.00,8.00,6.00,6.00,5.00,6.00,2.00,501,502,NULL,'INTERIOR','SEVERIANO DE ALMEIDA','RS',6511,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2235455,3.00,3.00,4.00,1.00,4.00,5.50,5.00,2.00,1.00,425,308,424,'KOBRASOL','SAO JOSE','SC',21735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235463,1.00,5.00,2.00,7.00,5.00,6.00,1.00,2.00,2.00,211,502,NULL,'CENTRO','CHAPECO','SC',20844,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2235471,3.00,9.00,7.00,8.00,6.00,7.00,6.00,7.00,3.00,316,301,NULL,'CENTRO','JOACABA','SC',4320,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2235498,3.00,4.00,1.00,4.00,4.00,5.50,2.00,5.00,1.00,103,102,NULL,'CENTRO','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2235501,2.00,7.00,9.00,8.00,7.00,5.50,8.00,6.00,3.00,208,2,238,'TRINDADE','FLORIANOPOLIS','SC',4583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235510,2.00,7.00,5.00,6.00,9.00,5.75,5.00,6.00,4.00,303,333,NULL,'CRUZEIRO DO SUL','CRICIUMA','SC',7350,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2235536,4.00,6.00,0.00,6.00,6.00,3.75,4.00,6.00,4.00,501,502,NULL,'VILA IVETE','MAFRA','SC',14763,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2235544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,102,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2235552,4.00,6.00,5.00,5.00,8.00,6.25,5.00,5.00,6.00,303,5,NULL,'VILA MOEMA','TUBARAO','SC',7883,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2235560,3.00,4.00,1.00,0.00,6.00,NULL,0.00,4.00,2.00,104,9,NULL,'HUMAITA','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2235579,3.00,6.00,2.00,5.00,6.00,5.00,3.00,4.00,1.00,339,320,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',17999,84,220,NULL,NULL,NULL,NULL,2,1),(15,2235587,0.00,2.00,2.00,3.00,4.00,NULL,2.00,1.00,1.00,425,104,NULL,'REAL PARK','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235595,3.00,5.00,4.00,5.00,6.00,4.75,2.00,4.00,1.00,317,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',18998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235609,2.00,9.00,6.00,7.00,7.00,7.50,6.00,9.00,3.00,5,NULL,NULL,'ESTREITO','FLORIANOPOLIS','SC',4465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235617,3.00,7.00,5.00,2.00,5.00,6.00,6.00,3.00,3.00,108,333,NULL,'JARDIM PARAISO','SAO JOSE DOS CAMPOS','SP',14315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235625,2.00,7.00,4.00,9.00,6.00,7.00,5.00,5.00,4.00,103,203,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235633,3.00,5.00,3.00,4.00,7.00,5.50,3.00,5.00,2.00,103,NULL,NULL,'ZONA DOIS','CIANORTE','PR',15807,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235650,6.00,7.00,5.00,5.00,8.00,5.50,6.00,6.00,4.00,103,104,NULL,'CENTRO','GOIANIA','GO',5911,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235668,3.00,5.00,3.00,2.00,4.00,5.00,3.00,2.00,1.00,9,102,NULL,'JD STA LUCINDA','SOROCABA','SP',21583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235676,6.00,9.00,8.00,4.00,9.00,5.00,6.00,8.00,5.00,103,101,NULL,'KOBRASOL','SAO JOSE','SC',2880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235684,5.00,7.00,5.00,4.00,8.00,4.00,7.00,4.00,3.00,501,332,NULL,'BARREIROS','SAO JOSE','SC',9200,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,333,NULL,'SAO FRANCISCO','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2235706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2235714,7.00,8.00,6.00,6.00,8.00,6.00,7.00,8.00,5.00,318,108,NULL,'PICADAS DO SUL','SAO JOSE','SC',2088,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235722,4.00,6.00,5.00,4.00,5.00,5.25,3.00,6.00,2.00,316,332,NULL,'KOBRASOL','SAO JOSE','SC',15717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235730,8.00,8.00,7.00,8.00,7.00,7.50,8.00,9.00,8.00,103,NULL,NULL,'CENTRO','CAMPO GRANDE','MS',313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235749,4.00,7.00,3.00,4.00,8.00,6.25,3.00,6.00,1.00,108,333,NULL,'SÃO SEBASTIÃO','CAMPOS NOVOS','SC',13267,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2235757,0.00,7.00,5.00,3.00,7.00,3.00,5.00,6.00,4.00,333,234,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',14738,222,207,NULL,NULL,NULL,NULL,4,1),(15,2235765,2.00,5.00,3.00,5.00,7.00,5.25,3.00,5.00,2.00,216,213,233,'JARDIM BELA VISTA','ITAPIRANGA','SC',17384,485,475,394,NULL,NULL,NULL,2,4),(15,2235773,3.00,6.00,3.00,7.00,7.00,6.00,4.00,5.00,2.00,211,333,238,'ENSEADA DE BRITO','PALHOCA','SC',12721,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235781,5.00,7.00,6.00,5.00,7.00,7.50,6.00,6.00,5.00,213,214,NULL,'BOA VISTA','UBERABA','MG',4609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235790,4.00,7.00,5.00,2.00,6.00,5.25,3.00,4.00,1.00,207,420,211,'OFICINAS','TUBARAO','SC',15969,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2235803,1.00,7.00,3.00,5.00,6.00,5.00,1.00,6.00,3.00,5,319,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',16515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235811,2.00,6.00,2.00,4.00,6.00,5.50,3.00,3.00,2.00,104,103,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',19118,615,3253,NULL,NULL,NULL,NULL,2,2),(15,2235820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,318,NULL,'JARDIM ORIENTAL','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2235838,3.00,7.00,3.00,6.00,7.00,5.50,5.00,8.00,3.00,319,309,NULL,'CAMPO BELO','SAO PAULO','SP',9229,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2235846,1.00,0.00,2.00,3.00,4.00,NULL,3.00,3.00,2.00,308,428,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235854,3.00,5.00,1.00,3.00,5.00,3.75,3.00,4.00,1.00,101,404,NULL,'CENTRO','PATO BRANCO','PR',20967,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235862,7.00,8.00,7.00,7.00,7.00,5.25,7.00,5.00,3.00,103,104,NULL,'GRANJA CAVALEIROS','MACAE','RJ',3705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235870,1.00,3.00,1.00,1.00,4.00,NULL,2.00,1.00,2.00,318,316,NULL,'PONTA DE BAIXO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235889,3.00,7.00,3.00,3.00,6.00,5.00,3.00,3.00,1.00,304,501,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235897,2.00,4.00,2.00,5.00,4.00,5.00,1.00,2.00,2.00,5,339,NULL,'CENTRO','FLORIANOPOLIS','SC',21728,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235900,8.00,8.00,10.00,9.00,9.00,5.25,9.00,8.00,9.00,203,214,NULL,'RESIDENCIAL TÍVOLI','BAURU','SP',51,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235919,3.00,7.00,4.00,6.00,7.00,8.25,5.00,4.00,3.00,5,317,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',9905,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,224,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2235935,4.00,6.00,5.00,9.00,5.00,7.00,7.00,5.00,4.00,317,425,NULL,'KOBRASOL','SAO JOSE','SC',6473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235943,2.00,7.00,2.00,9.00,4.00,5.00,4.00,6.00,2.00,304,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',12852,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2235951,2.00,8.00,7.00,6.00,8.00,6.50,7.00,7.00,4.00,303,208,NULL,'COLONINHA','FLORIANOPOLIS','SC',4144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2235978,1.00,6.00,2.00,5.00,5.00,5.25,4.00,7.00,1.00,220,208,201,'CENTRO','FLORIANOPOLIS','SC',16395,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2235986,2.00,8.00,2.00,8.00,7.00,5.00,3.00,8.00,2.00,103,102,NULL,'NAÇÕES','CONCORDIA','SC',11317,2297,860,NULL,NULL,NULL,NULL,4,4),(15,2235994,4.00,5.00,2.00,5.00,7.00,4.25,2.00,5.00,3.00,317,320,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',17298,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2236001,7.00,7.00,6.00,8.00,7.00,3.50,8.00,6.00,7.00,238,326,208,'ITAGUAÇU','FLORIANOPOLIS','SC',2938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236010,5.00,9.00,7.00,9.00,7.00,5.75,8.00,6.00,5.00,208,220,202,'TRINDADE','FLORIANOPOLIS','SC',2614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236028,2.00,5.00,6.00,6.00,6.00,6.25,5.00,2.00,4.00,201,444,207,'GLORIA','JOINVILLE','SC',14684,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2236036,4.00,8.00,6.00,6.00,7.00,6.00,5.00,7.00,7.00,214,213,203,'GONZAGA','SANTOS','SP',4981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236044,5.00,6.00,2.00,5.00,4.00,3.00,4.00,3.00,4.00,103,217,NULL,'VILA IRMÃOS ARNONI','SAO PAULO','SP',16588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236052,4.00,5.00,4.00,4.00,5.00,4.00,5.00,5.00,6.00,203,444,214,'PARQUE SÃO JORGE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236060,6.00,8.00,6.00,10.00,8.00,8.00,5.00,9.00,3.00,451,319,NULL,'CAMPINAS','SAO JOSE','SC',2055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236079,3.00,6.00,1.00,0.00,1.00,NULL,3.00,4.00,1.00,309,NULL,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM PANORAMA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2236109,3.00,7.00,7.00,5.00,7.00,5.00,6.00,8.00,4.00,103,216,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',5852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236117,4.00,8.00,5.00,6.00,7.00,6.00,6.00,5.00,3.00,301,420,NULL,'ESTREITO','FLORIANOPOLIS','SC',7789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,108,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2236133,7.00,8.00,5.00,7.00,9.00,4.50,8.00,6.00,9.00,220,213,214,'PINHEIROS','SAO PAULO','SP',1592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236141,6.00,8.00,2.00,7.00,7.00,5.00,7.00,7.00,2.00,108,103,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236150,2.00,3.00,3.00,2.00,4.00,NULL,2.00,2.00,1.00,9,101,NULL,'JARDIM ELDORADO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2236168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2236176,3.00,5.00,0.00,4.00,5.00,4.00,1.00,1.00,3.00,102,333,NULL,'CENTRO','LAURENTINO','SC',22131,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2236184,3.00,1.00,0.00,3.00,5.00,NULL,2.00,2.00,4.00,103,319,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2236192,3.00,3.00,6.00,5.00,6.00,5.00,3.00,3.00,0.00,104,324,NULL,'RIO BRANCO','SAO LEOPOLDO','RS',17480,563,299,NULL,NULL,NULL,NULL,2,1),(15,2236206,3.00,7.00,1.00,6.00,3.00,5.25,3.00,2.00,2.00,303,5,NULL,'CAMPINAS','SAO JOSE','SC',19896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236214,2.00,8.00,5.00,5.00,5.00,7.00,4.00,7.00,5.00,301,316,NULL,'SAGUAÇÚ','JOINVILLE','SC',7894,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2236222,4.00,8.00,1.00,3.00,8.00,6.50,3.00,4.00,4.00,420,424,NULL,'CENTRO','PALHOCA','SC',14602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236230,5.00,6.00,5.00,8.00,8.00,5.25,5.00,6.00,2.00,316,426,NULL,'CENTRO','FLORIANOPOLIS','SC',6100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236249,4.00,8.00,3.00,4.00,6.00,6.00,5.00,6.00,4.00,5,303,NULL,'JARDIM PARAISO','MONTE ALTO','SP',9077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236265,6.00,8.00,8.00,9.00,8.00,4.50,9.00,7.00,6.00,238,324,208,'RIO TAVARES','FLORIANOPOLIS','SC',1246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,329,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2236281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,415,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2236290,2.00,7.00,5.00,5.00,7.00,3.75,3.00,7.00,2.00,202,220,213,'CORDEIROS','ITAJAI','SC',12949,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2236311,3.00,6.00,3.00,1.00,5.00,5.75,6.00,5.00,3.00,303,304,NULL,'JARDIM','CONCORDIA','SC',16657,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2236320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2236346,4.00,6.00,1.00,4.00,5.00,6.00,2.00,4.00,1.00,318,224,NULL,'ITACORUBI','FLORIANOPOLIS','SC',19551,242,282,NULL,NULL,NULL,NULL,2,1),(15,2236354,6.00,6.00,5.00,5.00,7.00,6.75,5.00,6.00,3.00,415,404,NULL,'ASA SUL','BRASILIA','DF',8574,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2236362,4.00,8.00,6.00,3.00,6.00,6.50,4.00,8.00,5.00,103,303,NULL,'CENTRO','CAMPO LARGO','PR',7306,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2236370,4.00,8.00,3.00,6.00,7.00,7.00,4.00,5.00,5.00,103,428,NULL,'KOBRASOL','SAO JOSE','SC',8858,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2236389,3.00,3.00,5.00,5.00,5.00,3.25,1.00,4.00,3.00,317,108,NULL,'SAUDADE','BIGUACU','SC',20401,371,948,NULL,NULL,NULL,NULL,2,1),(15,2236397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,316,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2236400,4.00,8.00,6.00,4.00,6.00,5.00,7.00,8.00,4.00,211,501,208,'RIO TAVARES','FLORIANOPOLIS','SC',6195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236419,2.00,7.00,4.00,5.00,6.00,5.00,5.00,6.00,1.00,201,212,NULL,'JARDIM','CONCORDIA','SC',13226,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2236427,3.00,8.00,3.00,6.00,7.00,6.75,3.00,4.00,2.00,303,5,NULL,'CENTRO','IJUI','RS',9660,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2236435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2236443,0.00,0.00,0.00,0.00,6.00,NULL,0.00,0.00,0.00,203,222,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(15,2236451,4.00,6.00,7.00,7.00,9.00,6.00,7.00,4.00,5.00,420,429,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',4711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236460,5.00,8.00,5.00,3.00,7.00,6.00,5.00,6.00,4.00,302,404,NULL,'AREIAS','FLORIANOPOLIS','SC',8657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236486,1.00,8.00,4.00,6.00,8.00,5.00,5.00,7.00,3.00,404,428,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',9668,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2236494,2.00,6.00,3.00,5.00,7.00,4.00,5.00,6.00,4.00,102,217,NULL,'CENTRO','VACARIA','RS',11335,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2236508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,212,203,'CENTRO','DIONISIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2236516,2.00,6.00,5.00,7.00,6.00,5.75,2.00,6.00,2.00,303,301,NULL,'VILA MOEMA','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2236524,3.00,5.00,2.00,1.00,3.00,3.75,1.00,4.00,2.00,404,301,NULL,'COQUEIROS','FLORIANOPOLIS','SC',22479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236532,1.00,6.00,3.00,2.00,5.00,3.00,4.00,5.00,2.00,211,108,207,'CENTRO','UNIAO DO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2236559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,451,NULL,'BAEPENDI','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2236567,3.00,8.00,4.00,8.00,5.00,5.25,2.00,5.00,4.00,238,425,208,'CAPOEIRAS','FLORIANOPOLIS','SC',10863,371,297,377,NULL,NULL,NULL,4,1),(15,2236575,4.00,4.00,1.00,4.00,6.00,4.25,4.00,3.00,2.00,415,108,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2236583,6.00,5.00,5.00,2.00,4.00,4.50,3.00,4.00,3.00,317,108,NULL,'INGLESES DO RIO VERM','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236591,0.00,4.00,1.00,3.00,5.00,NULL,0.00,2.00,1.00,316,304,NULL,'NOSSA SRA DO ROSARIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2236605,0.00,4.00,4.00,1.00,2.00,NULL,2.00,4.00,3.00,501,316,NULL,'COLONIA SANTANA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236621,5.00,7.00,5.00,10.00,8.00,6.00,7.00,7.00,5.00,103,102,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',2804,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2236630,2.00,7.00,4.00,3.00,5.00,5.25,5.00,3.00,2.00,201,223,212,'ESTREITO','FLORIANOPOLIS','SC',17521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236648,3.00,7.00,5.00,8.00,5.00,6.25,5.00,7.00,3.00,103,216,NULL,'AEROPORTO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2236664,5.00,4.00,1.00,2.00,6.00,5.50,6.00,3.00,1.00,333,108,NULL,'INGLESES','FLORIANOPOLIS','SC',18790,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2236672,6.00,9.00,7.00,6.00,6.00,5.50,8.00,7.00,6.00,202,NULL,203,'ASA SUL','BRASILIA','DF',2625,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2236680,6.00,7.00,6.00,6.00,7.00,5.50,7.00,6.00,5.00,302,203,NULL,'GUARANI','BRUSQUE','SC',4044,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2236699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'BAIRRO BAÚ','CUIABA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2236702,5.00,8.00,6.00,6.00,8.00,7.75,7.00,6.00,5.00,108,415,NULL,'ANDORINHA','ITAPEMA','SC',2945,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2236710,3.00,7.00,5.00,4.00,7.00,4.75,3.00,4.00,1.00,420,415,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',15478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'JARDIM BOTÂNICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2236737,0.00,7.00,1.00,6.00,4.00,7.00,2.00,6.00,1.00,101,108,NULL,'SÃO JOSÉ','SOMBRIO','SC',18168,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2236745,6.00,8.00,6.00,8.00,8.00,6.00,5.00,7.00,4.00,103,104,NULL,'CABRAL','CURITIBA','PR',3794,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2236788,4.00,7.00,3.00,3.00,6.00,5.75,6.00,7.00,4.00,301,304,NULL,'GUANABARA','JOINVILLE','SC',9737,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2236796,5.00,7.00,3.00,7.00,6.00,4.50,6.00,6.00,2.00,203,216,233,'AEROPORTO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2236800,5.00,6.00,6.00,6.00,6.00,5.25,4.00,4.00,5.00,211,333,215,'CENTRO','FRUTAL','MG',9006,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2236818,1.00,6.00,5.00,6.00,5.00,5.50,5.00,4.00,5.00,202,301,208,'CAPOEIRAS','FLORIANOPOLIS','SC',13777,517,663,517,NULL,NULL,NULL,2,1),(15,2236834,3.00,6.00,6.00,5.00,6.00,6.25,6.00,7.00,3.00,429,421,NULL,'COLÔNIA SANTANA','SAO JOSE','SC',9090,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2236850,3.00,3.00,2.00,2.00,3.00,5.50,2.00,3.00,3.00,101,103,NULL,'CENTRO','GUARACIABA','SC',22372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236877,4.00,6.00,3.00,5.00,6.00,5.00,4.00,6.00,2.00,211,212,208,'CENTRO','IMBITUBA','SC',13723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236885,1.00,2.00,4.00,1.00,5.00,5.50,5.00,3.00,0.00,319,238,NULL,'INGLESES','FLORIANOPOLIS','SC',21731,499,1039,NULL,NULL,NULL,NULL,4,1),(15,2236893,3.00,4.00,4.00,7.00,5.00,3.75,4.00,1.00,2.00,301,201,NULL,'OPERARIA NOVA','CRICIUMA','SC',17206,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2236907,2.00,1.00,0.00,1.00,0.00,NULL,4.00,2.00,1.00,234,333,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236915,4.00,8.00,8.00,8.00,9.00,5.25,7.00,6.00,4.00,220,203,208,'MARGEM ESQUERDA','GASPAR','SC',3706,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2236931,1.00,5.00,2.00,3.00,5.00,5.25,4.00,3.00,2.00,203,211,233,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236940,3.00,7.00,3.00,6.00,6.00,4.25,3.00,7.00,4.00,303,326,NULL,'PROGRESSO','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236958,3.00,4.00,2.00,2.00,5.00,3.75,3.00,5.00,2.00,207,304,201,'PONTA DE BAIXO','SAO JOSE','SC',20156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236966,4.00,7.00,4.00,2.00,5.00,5.25,5.00,5.00,4.00,425,423,429,'CAMPECHE','FLORIANOPOLIS','SC',13333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2236974,1.00,8.00,4.00,4.00,5.00,6.00,3.00,6.00,1.00,208,316,238,'CENTRO','SANTA CECILIA','SC',16663,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2236990,3.00,7.00,1.00,5.00,8.00,6.50,5.00,5.00,4.00,101,NULL,NULL,'BARREIROS','SAO JOSE','SC',9645,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2237008,5.00,5.00,2.00,7.00,4.00,7.00,2.00,5.00,2.00,304,421,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',16436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237016,1.00,5.00,1.00,1.00,6.00,NULL,2.00,5.00,0.00,316,339,NULL,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237024,2.00,4.00,1.00,5.00,3.00,3.25,2.00,3.00,2.00,103,316,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2237040,3.00,7.00,8.00,5.00,6.00,5.50,6.00,5.00,4.00,103,217,NULL,'JARDIM MORUMBI','HOLAMBRA','SP',8728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237059,0.00,3.00,2.00,8.00,7.00,5.00,4.00,3.00,3.00,316,5,NULL,'PANTANAL','FLORIANOPOLIS','SC',17617,506,1274,NULL,NULL,NULL,NULL,2,1),(15,2237067,6.00,6.00,5.00,5.00,7.00,5.75,6.00,5.00,4.00,103,207,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',7694,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2237075,2.00,6.00,6.00,1.00,5.00,5.25,4.00,8.00,4.00,220,238,NULL,'SAO FRANCISCO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2237083,1.00,4.00,2.00,3.00,4.00,5.25,4.00,3.00,4.00,450,428,NULL,'PINHEIRA','PALHOCA','SC',21262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237091,5.00,8.00,8.00,5.00,5.00,7.25,8.00,7.00,6.00,207,316,220,'JARDIM MONTE KEMEL','SAO PAULO','SP',2927,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2237113,1.00,4.00,1.00,1.00,3.00,5.25,2.00,4.00,4.00,207,319,NULL,'VIGIA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,102,NULL,'VILA REAL','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2237130,4.00,4.00,3.00,3.00,7.00,5.00,5.00,3.00,3.00,208,220,NULL,'VELHA','BLUMENAU','SC',17164,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2237148,3.00,4.00,3.00,2.00,3.00,4.00,3.00,3.00,1.00,103,215,NULL,'CENTRO','CERRO NEGRO','SC',22092,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2237156,7.00,8.00,7.00,9.00,8.00,4.75,7.00,8.00,7.00,303,5,NULL,'ASA NORTE','BRASILIA','DF',1371,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2237164,5.00,6.00,2.00,1.00,7.00,6.50,4.00,5.00,2.00,216,211,215,'TRINTA RÉIS','NOVA TRENTO','SC',13900,410,913,284,NULL,NULL,NULL,4,1),(15,2237172,4.00,5.00,4.00,6.00,7.00,5.50,2.00,6.00,3.00,207,450,238,'ESQUINA','URUBICI','SC',13290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237180,2.00,5.00,1.00,3.00,3.00,3.50,1.00,4.00,3.00,203,NULL,NULL,'JARDIM AMERICA','FRAIBURGO','SC',22298,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2237199,3.00,7.00,4.00,5.00,7.00,5.25,5.00,3.00,4.00,319,211,NULL,'CENTRO','PALHOCA','SC',12728,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2237202,0.00,4.00,0.00,1.00,5.00,NULL,4.00,3.00,3.00,201,420,207,'VILA SAO JOSÉ','ICARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2237210,3.00,7.00,3.00,7.00,5.00,4.00,4.00,5.00,3.00,427,331,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',13996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2237237,1.00,1.00,0.00,1.00,3.00,NULL,3.00,3.00,2.00,103,108,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JOÃO COSTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2237253,3.00,5.00,3.00,2.00,6.00,NULL,0.00,0.00,0.00,303,502,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2237261,6.00,8.00,8.00,7.00,7.00,7.25,5.00,6.00,5.00,103,NULL,NULL,'LIBERDADE','SAO PAULO','SP',3298,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2237270,2.00,6.00,5.00,3.00,5.00,4.75,5.00,5.00,1.00,202,203,220,'CENTRO','TAQUARITUBA','SP',17642,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2237288,3.00,5.00,2.00,7.00,7.00,5.50,3.00,4.00,2.00,211,301,216,'SERRARIA','SAO JOSE','SC',15041,533,693,434,NULL,NULL,NULL,2,1),(15,2237300,2.00,6.00,0.00,7.00,7.00,5.50,1.00,8.00,2.00,450,421,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',14286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237318,1.00,6.00,2.00,5.00,6.00,6.00,5.00,8.00,3.00,201,224,207,'TRINDADE','FLORIANOPOLIS','SC',12331,676,192,603,NULL,NULL,NULL,2,1),(15,2237326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,201,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2237342,7.00,7.00,8.00,6.00,6.00,4.50,7.00,7.00,6.00,213,215,214,'VILA ALZIRA','SANTO ANDRE','SP',3822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237350,3.00,3.00,0.00,1.00,5.00,NULL,3.00,2.00,3.00,333,108,NULL,'TIROLESES','TIMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237385,4.00,7.00,3.00,6.00,8.00,6.75,4.00,4.00,3.00,211,102,NULL,'CENTRO','TUPARENDI','RS',12446,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2237393,4.00,7.00,5.00,6.00,6.00,5.75,7.00,6.00,1.00,108,225,NULL,'CAMPINAS','SAO JOSE','SC',7571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237407,5.00,5.00,4.00,4.00,6.00,3.75,5.00,4.00,3.00,108,215,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',14935,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2237415,3.00,7.00,3.00,4.00,6.00,6.50,4.00,8.00,4.00,428,421,423,'AGRONÔMICA','FLORIANOPOLIS','SC',11833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2237431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,201,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2237440,2.00,7.00,5.00,4.00,7.00,5.75,5.00,6.00,4.00,104,215,NULL,'CENTRO','ITAJAI','SC',10946,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2237458,5.00,5.00,1.00,1.00,6.00,4.50,2.00,6.00,4.00,324,451,NULL,'PRIMAVERA','SAO JOSE DO CEDRO','SC',18576,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2237466,2.00,4.00,2.00,3.00,4.00,5.00,4.00,4.00,2.00,420,NULL,NULL,'ALTOS DA GLORIA','VACARIA','RS',20800,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2237474,4.00,5.00,4.00,3.00,3.00,0.00,5.00,3.00,5.00,208,238,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237482,5.00,8.00,7.00,5.00,8.00,6.75,7.00,7.00,4.00,201,301,215,'PETRÓPOLIS','JOINVILLE','SC',2803,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2237490,0.00,8.00,3.00,7.00,4.00,4.50,4.00,5.00,2.00,234,421,NULL,'CORREGO GRANDE','CURITIBA','PR',16461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2237504,1.00,3.00,0.00,3.00,5.00,NULL,5.00,3.00,0.00,304,303,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2237512,5.00,7.00,0.00,2.00,6.00,6.75,5.00,6.00,3.00,103,101,NULL,'CENTRO','LAURO MULLER','SC',12724,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2237539,3.00,6.00,8.00,3.00,7.00,6.50,8.00,6.00,7.00,103,NULL,NULL,'FÁTIMA I','POUSO ALEGRE','MG',4925,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2237555,4.00,7.00,8.00,6.00,7.00,4.25,8.00,7.00,4.00,103,102,NULL,'CENTRO ADMINISTRATIV','OTACILIO COSTA','SC',5284,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2237563,3.00,6.00,4.00,2.00,2.00,NULL,4.00,3.00,2.00,339,329,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237571,2.00,5.00,2.00,4.00,6.00,4.75,5.00,3.00,2.00,501,502,NULL,'CORDEIROS','ITAJAI','SC',19256,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2237580,7.00,9.00,9.00,9.00,9.00,6.00,10.00,7.00,7.00,203,214,202,'TAQUARAL','CAMPINAS','SP',478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237598,1.00,5.00,2.00,5.00,6.00,5.50,5.00,2.00,2.00,501,9,NULL,'CENTRO','PLANALTO ALEGRE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2237601,6.00,7.00,8.00,8.00,8.00,6.00,6.00,7.00,5.00,303,326,NULL,'ITACORUBI','FLORIANOPOLIS','SC',2627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237610,7.00,6.00,5.00,7.00,5.00,4.50,7.00,7.00,5.00,103,5,NULL,'GUARA DOIS BRASILIA','GUARA','DF',5716,1574,1060,NULL,NULL,NULL,NULL,2,1),(15,2237628,7.00,7.00,3.00,0.00,6.00,5.00,7.00,8.00,4.00,103,NULL,NULL,'SANTA FE','CAMPO GRANDE','MS',9475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237636,2.00,4.00,3.00,3.00,5.00,4.75,3.00,5.00,1.00,216,333,NULL,'SÃO LUIS','JARAGUA DO SUL','SC',20936,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2237644,0.00,0.00,1.00,0.00,4.00,NULL,0.00,1.00,0.00,428,326,425,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2237660,6.00,8.00,7.00,8.00,7.00,6.75,5.00,6.00,4.00,428,425,426,'TAQUARAL','CAMPINAS','SP',4149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237679,1.00,5.00,1.00,3.00,4.00,4.00,2.00,4.00,3.00,104,201,NULL,'CENTRO','PETROLANDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2237687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,208,220,'SÃO JOÃO','URUGUAIANA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2237695,1.00,6.00,5.00,2.00,8.00,5.25,4.00,6.00,3.00,203,202,214,'CENTRO','FOZ DO IGUACU','PR',14177,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2237709,1.00,5.00,4.00,4.00,6.00,4.75,2.00,6.00,1.00,5,316,NULL,'CENTRO','PALHOCA','SC',19227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,327,NULL,'PONTA DE BAIXO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2237733,1.00,5.00,5.00,7.00,6.00,6.00,3.00,2.00,3.00,319,320,NULL,'ESTREITO','FLORIANOPOLIS','SC',15922,320,198,NULL,NULL,NULL,NULL,2,1),(15,2237741,1.00,7.00,3.00,2.00,5.00,5.25,6.00,5.00,3.00,303,216,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237750,5.00,7.00,5.00,6.00,8.00,6.75,6.00,7.00,5.00,203,220,214,'CENTRO','CHAPECO','SC',4088,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2237768,4.00,8.00,7.00,5.00,6.00,5.25,4.00,4.00,4.00,104,102,NULL,'SETOR BUENO','GOIANIA','GO',9120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2237776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'JARDIM IRAJA','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2237784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,216,NULL,'ALMIRANTE TAMANDARE','ALMIRANTE TAMANDARE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2237792,4.00,2.00,3.00,2.00,3.00,3.75,4.00,4.00,2.00,102,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',22115,516,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237806,1.00,3.00,3.00,4.00,7.00,5.25,2.00,3.00,1.00,420,207,NULL,'RIO MAINA','CRICIUMA','SC',20874,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2237814,7.00,8.00,8.00,9.00,9.00,6.00,8.00,6.00,7.00,103,108,NULL,'SETOR BUENO','GOIANIA','GO',805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237822,1.00,3.00,3.00,2.00,8.00,NULL,2.00,1.00,2.00,208,304,NULL,'PONTE DE IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2237830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BUENO','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2237857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,214,NULL,'MORUMBI','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2237873,6.00,7.00,6.00,6.00,7.00,5.25,7.00,6.00,6.00,208,224,238,'CENTRO','FLORIANOPOLIS','SC',4008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237881,0.00,6.00,2.00,0.00,4.00,NULL,2.00,3.00,2.00,203,211,202,'CENTRO','MONDAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2237890,3.00,7.00,2.00,4.00,7.00,6.00,4.00,6.00,3.00,302,309,NULL,'CANTO','FLORIANOPOLIS','SC',13048,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2237903,8.00,8.00,8.00,6.00,9.00,9.00,8.00,8.00,9.00,103,NULL,NULL,'NOVA SUIÇA','GOIANIA','GO',34,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,224,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2237920,2.00,4.00,0.00,2.00,4.00,NULL,1.00,3.00,2.00,211,225,238,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237938,2.00,5.00,3.00,6.00,4.00,4.25,2.00,7.00,3.00,327,331,NULL,'SÃO MIGUEL','BIGUACU','SC',17036,132,200,NULL,NULL,NULL,NULL,2,1),(15,2237946,4.00,7.00,8.00,9.00,8.00,7.00,9.00,8.00,7.00,220,208,202,'SETOR BUENO','GOIANIA','GO',1187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237954,1.00,5.00,3.00,3.00,6.00,4.75,3.00,1.00,4.00,207,450,211,'CENTRO','SAO MIGUEL DOESTE','SC',20821,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2237962,1.00,5.00,1.00,4.00,5.00,3.75,3.00,2.00,1.00,333,104,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2237970,0.00,3.00,2.00,0.00,5.00,NULL,6.00,3.00,3.00,220,214,202,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2237989,3.00,8.00,6.00,5.00,9.00,5.75,6.00,4.00,5.00,212,301,220,'CONJUNTO RIVIERA','GOIANIA','GO',6169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2237997,1.00,7.00,3.00,9.00,4.00,4.75,4.00,5.00,2.00,238,201,208,'CENTRO','MASSARANDUBA','SC',13792,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2238004,1.00,5.00,3.00,2.00,4.00,5.25,4.00,8.00,3.00,201,NULL,212,'CAMPECHE','FLORIANOPOLIS','SC',18382,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2238012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'JARDIM CURITIBA TRES','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2238020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','ARARANGUA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2238039,8.00,7.00,6.00,5.00,6.00,3.75,9.00,7.00,7.00,103,NULL,NULL,'SETOR BUENO','GOIANIA','GO',3392,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2238047,7.00,7.00,5.00,8.00,7.00,5.25,6.00,3.00,3.00,216,217,201,'CENTRO','PICARRAS','SC',7930,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2238055,0.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,316,301,NULL,'FAZENDA','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(15,2238063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2238071,1.00,7.00,2.00,6.00,5.00,4.50,7.00,6.00,1.00,238,208,211,'CENTRO','NOVA TRENTO','SC',13016,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2238080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,451,NULL,'ARUANÃ I','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2238098,3.00,5.00,1.00,6.00,6.00,4.00,4.00,6.00,4.00,203,202,214,'CENTRO','ITAJAI','SC',13875,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2238101,2.00,5.00,1.00,5.00,3.00,5.00,2.00,5.00,2.00,332,225,NULL,'CENTRO','FLORIANOPOLIS','SC',20742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238110,6.00,5.00,1.00,4.00,3.00,5.50,4.00,5.00,4.00,102,9,NULL,'SANTA ISABEL','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2238136,3.00,7.00,5.00,5.00,5.00,6.00,5.00,6.00,2.00,103,5,NULL,'CENTRO','CAMPO GRANDE','MS',11464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238144,3.00,7.00,7.00,9.00,8.00,6.25,7.00,5.00,7.00,216,217,215,'CENTRO','POMERODE','SC',3029,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2238152,1.00,4.00,3.00,3.00,7.00,5.25,2.00,3.00,3.00,327,326,NULL,'JABOTICABEIRA','TAUBATE','SP',20092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238160,3.00,7.00,2.00,8.00,6.00,4.75,5.00,7.00,5.00,215,427,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2238179,5.00,6.00,7.00,7.00,8.00,7.25,6.00,5.00,4.00,303,212,NULL,'CENTRO','CHAPECO','SC',5445,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2238187,0.00,6.00,3.00,5.00,6.00,NULL,3.00,1.00,1.00,207,420,211,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2238195,2.00,4.00,2.00,2.00,3.00,6.00,3.00,3.00,4.00,425,420,NULL,'AREIAS','SAO JOSE','SC',21307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238209,5.00,7.00,6.00,9.00,8.00,6.50,7.00,6.00,3.00,207,NULL,NULL,'ROÇADO','SAO JOSE','SC',4503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238217,0.00,4.00,1.00,6.00,7.00,NULL,0.00,1.00,1.00,429,207,428,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238225,2.00,6.00,3.00,6.00,6.00,3.50,2.00,6.00,2.00,329,320,NULL,'PORTÃO','CURITIBA','PR',17310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2238233,2.00,4.00,3.00,4.00,4.00,6.00,3.00,3.00,2.00,216,201,203,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'SÃO JOÃO','URUGUAIANA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2238250,3.00,8.00,6.00,2.00,8.00,5.25,8.00,8.00,4.00,317,324,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',5701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238268,1.00,3.00,2.00,0.00,3.00,NULL,1.00,2.00,2.00,420,208,NULL,'UNIVESITARIO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2238276,1.00,5.00,4.00,5.00,6.00,6.75,5.00,7.00,4.00,201,208,212,'CENTRO','FLORIANOPOLIS','SC',12398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2238284,3.00,5.00,4.00,5.00,5.00,6.00,3.00,3.00,4.00,220,319,238,'CENTRO','JARAGUA DO SUL','SC',14979,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2238292,2.00,4.00,3.00,1.00,5.00,7.00,6.00,6.00,3.00,103,303,NULL,'DEER','CACADOR','SC',15945,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2238306,4.00,6.00,7.00,9.00,9.00,7.00,7.00,5.00,6.00,203,213,220,'CENTRO','BRUSQUE','SC',2890,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2238314,2.00,4.00,5.00,2.00,4.00,6.50,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','CAMPO GRANDE','MS',14687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,326,NULL,'JARDIM SÃO RAFAEL','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2238349,5.00,8.00,5.00,6.00,6.00,5.75,7.00,6.00,4.00,220,NULL,203,'GRALHA AZUL','IBAITI','PR',6445,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2238357,5.00,7.00,2.00,6.00,8.00,6.25,4.00,6.00,3.00,331,333,NULL,'CAMPECHE','FLORIANOPOLIS','SC',10011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238365,3.00,4.00,4.00,2.00,5.00,5.00,5.00,3.00,3.00,103,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238381,3.00,6.00,3.00,3.00,8.00,5.25,7.00,5.00,3.00,318,317,NULL,'COQUEIROS','FLORIANOPOLIS','SC',11557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238390,1.00,5.00,3.00,5.00,2.00,NULL,5.00,5.00,2.00,211,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2238411,2.00,8.00,4.00,7.00,8.00,5.00,3.00,8.00,5.00,5,426,NULL,'ABRAÃO','FLORIANOPOLIS','SC',7287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2238420,0.00,7.00,2.00,5.00,6.00,5.50,6.00,6.00,2.00,303,316,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',13573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238438,3.00,2.00,0.00,3.00,2.00,NULL,3.00,1.00,1.00,103,423,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2238446,2.00,4.00,4.00,2.00,6.00,5.50,4.00,5.00,4.00,309,339,NULL,'PONTA DE BAIXO','SAO JOSE','SC',16070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,104,NULL,'SÃO LUIZ','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2238470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,207,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2238489,3.00,8.00,4.00,7.00,6.00,6.25,6.00,6.00,3.00,208,333,238,'CENTRO','BRACO DO TROMBUDO','SC',7614,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2238497,3.00,7.00,5.00,8.00,8.00,6.75,4.00,7.00,2.00,102,9,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',6615,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2238519,3.00,6.00,2.00,5.00,5.00,6.25,2.00,8.00,2.00,332,333,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',15226,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2238527,2.00,5.00,5.00,1.00,2.00,NULL,4.00,5.00,2.00,203,201,NULL,'CENTRO','BOM JESUS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2238535,3.00,7.00,8.00,9.00,7.00,6.75,7.00,5.00,5.00,238,NULL,208,'ALTO CAJUEIROS','MACAE','RJ',3849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238543,2.00,7.00,3.00,5.00,7.00,5.50,3.00,5.00,3.00,9,501,NULL,'BRASILIA','PATO BRANCO','PR',13571,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2238560,3.00,6.00,2.00,7.00,8.00,6.50,4.00,5.00,3.00,101,102,NULL,'CENTRO','FLORIANOPOLIS','SC',10880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238578,2.00,6.00,3.00,4.00,4.00,5.00,3.00,6.00,2.00,208,212,NULL,'SÃO FRANCISCO','SANTO AMARO DA IMPERATRIZ','SC',17008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238586,3.00,7.00,4.00,5.00,9.00,6.75,7.00,6.00,3.00,303,217,NULL,'CENTRO','CAMPO BELO DO SUL','SC',8107,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2238594,2.00,7.00,7.00,6.00,9.00,4.50,5.00,6.00,4.00,303,5,NULL,'CENTRO','JOINVILLE','SC',7768,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2238616,3.00,9.00,5.00,8.00,8.00,NULL,4.00,7.00,0.00,317,327,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2238624,4.00,7.00,6.00,5.00,8.00,5.50,5.00,6.00,4.00,2,225,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',7551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238632,6.00,8.00,3.00,5.00,9.00,6.25,6.00,5.00,7.00,108,234,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',4542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238659,1.00,0.00,1.00,3.00,1.00,NULL,0.00,0.00,0.00,213,212,202,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2238667,7.00,7.00,6.00,7.00,6.00,6.00,7.00,7.00,2.00,213,301,238,'CARVOEIRA','FLORIANOPOLIS','SC',3886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238675,2.00,8.00,1.00,3.00,5.00,5.50,5.00,6.00,3.00,301,316,NULL,'TRINTA RÉIS','NOVA TRENTO','SC',15569,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2238683,1.00,5.00,1.00,4.00,1.00,NULL,4.00,4.00,3.00,451,319,NULL,'SEMINÁRIO','TAIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,2),(15,2238705,8.00,9.00,7.00,8.00,8.00,6.25,5.00,7.00,6.00,333,211,NULL,'VILA NOVA','BLUMENAU','SC',1254,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2238713,5.00,6.00,6.00,8.00,7.00,5.75,4.00,7.00,4.00,207,333,212,'SERRINHA','FLORIANOPOLIS','SC',5639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238721,1.00,4.00,0.00,6.00,7.00,5.75,2.00,6.00,2.00,207,324,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',18334,869,326,NULL,NULL,NULL,NULL,2,1),(15,2238730,2.00,6.00,5.00,0.00,6.00,5.50,4.00,3.00,3.00,203,201,220,'PARAGUAI','JACINTO MACHADO','SC',18336,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2238756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,450,NULL,'DAS NAÇÕES','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2238764,5.00,7.00,4.00,5.00,7.00,5.50,6.00,4.00,3.00,9,444,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',10250,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2238772,0.00,6.00,2.00,7.00,4.00,3.50,3.00,4.00,2.00,444,317,NULL,'NOSSA S DO ROSARIO','SAO JOSE','SC',19939,239,647,NULL,NULL,NULL,NULL,2,1),(15,2238780,1.00,3.00,2.00,1.00,5.00,NULL,2.00,4.00,2.00,316,450,NULL,'CENTRO','PROMISSAO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2238799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2238802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,9,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2238829,8.00,9.00,9.00,10.00,8.00,6.75,9.00,6.00,9.00,103,202,NULL,'CZERNIEWICZ','JARAGUA DO SUL','SC',182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238837,2.00,6.00,4.00,4.00,8.00,5.00,3.00,6.00,3.00,202,208,220,'TRINDADE','FLORIANOPOLIS','SC',14544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238845,7.00,8.00,9.00,4.00,7.00,6.75,4.00,6.00,7.00,103,9,NULL,'PRESIDENTE MÉDICI','CHAPECO','SC',3867,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2238853,1.00,4.00,4.00,3.00,5.00,4.50,2.00,3.00,2.00,212,301,214,'PARQUE CIDADE JARDIM','UMUARAMA','PR',21369,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2238861,3.00,6.00,3.00,3.00,7.00,4.25,5.00,2.00,2.00,104,319,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',17795,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2238888,6.00,8.00,5.00,9.00,9.00,7.25,7.00,7.00,4.00,303,5,NULL,'ITACORUBI','FLORIANOPOLIS','SC',2786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2238896,4.00,6.00,8.00,9.00,7.00,6.25,7.00,2.00,4.00,9,450,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',4874,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2238900,3.00,7.00,6.00,2.00,7.00,5.00,5.00,5.00,5.00,202,213,233,'PARAGUAI','JACINTO MACHADO','SC',10067,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2238918,3.00,6.00,3.00,6.00,6.00,5.50,1.00,2.00,2.00,308,404,NULL,'ESTREITO','FLORIANOPOLIS','SC',17854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2238926,5.00,6.00,8.00,7.00,6.00,6.25,5.00,6.00,5.00,203,5,214,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2238934,4.00,7.00,4.00,7.00,7.00,5.75,2.00,5.00,3.00,425,319,429,'CENTRO','CHAPECO','SC',11246,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2238942,1.00,4.00,4.00,4.00,5.00,5.00,2.00,3.00,1.00,308,309,NULL,'PÂNTANO DO SUL','FLORIANOPOLIS','SC',21149,180,238,NULL,NULL,NULL,NULL,2,1),(15,2238950,6.00,8.00,9.00,6.00,8.00,6.00,9.00,8.00,9.00,103,104,NULL,'VILA REAL','BALNEARIO CAMBORIU','SC',976,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2238969,2.00,3.00,3.00,5.00,4.00,6.00,2.00,4.00,2.00,429,308,423,'ESTREITO','FLORIANOPOLIS','SC',20990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2238977,2.00,6.00,3.00,2.00,5.00,5.75,5.00,6.00,2.00,202,NULL,208,'SANTA MARTA','BENTO GONCALVES','RS',14733,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2238985,4.00,7.00,6.00,6.00,4.00,6.75,7.00,5.00,6.00,103,104,NULL,'PORTAL','DOURADOS','MS',7186,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2238993,4.00,7.00,3.00,8.00,7.00,5.75,6.00,7.00,5.00,101,327,NULL,'PONTA DA PRAIA','SANTOS','SP',5971,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2239000,2.00,6.00,3.00,3.00,7.00,6.00,4.00,5.00,4.00,317,308,NULL,'CENTRO','FLORIANOPOLIS','SC',14648,221,320,NULL,NULL,NULL,NULL,2,1),(15,2239019,2.00,3.00,0.00,0.00,5.00,NULL,2.00,3.00,3.00,238,222,208,'ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239035,2.00,7.00,3.00,2.00,6.00,5.00,5.00,6.00,3.00,104,316,NULL,'CENTRO','TUBARAO','SC',13913,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2239043,2.00,5.00,3.00,8.00,8.00,5.50,3.00,3.00,2.00,316,339,NULL,'SANTO ANTONIO','CRICIUMA','SC',14620,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2239051,3.00,7.00,5.00,5.00,5.00,5.50,4.00,7.00,3.00,202,203,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',11214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239060,3.00,6.00,4.00,9.00,5.00,3.50,5.00,7.00,5.00,216,208,233,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239078,6.00,7.00,8.00,8.00,8.00,4.00,9.00,7.00,5.00,318,304,NULL,'TRINDADE','FLORIANOPOLIS','SC',2008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239094,3.00,7.00,3.00,6.00,6.00,4.50,6.00,2.00,1.00,501,502,NULL,'ZONA INDUST NORTE','JOINVILLE','SC',15448,179,259,NULL,NULL,NULL,NULL,2,8),(15,2239108,4.00,8.00,3.00,5.00,7.00,4.50,5.00,5.00,4.00,207,501,201,'PANTANAL','FLORIANOPOLIS','SC',11470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239116,5.00,9.00,6.00,7.00,7.00,8.00,7.00,8.00,5.00,303,451,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',1555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239124,4.00,8.00,4.00,6.00,5.00,3.75,4.00,6.00,2.00,211,501,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',12889,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2239132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','IMBUIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2239140,0.00,3.00,3.00,1.00,3.00,NULL,1.00,4.00,3.00,102,9,NULL,'CENTRO','SORRISO','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2239159,3.00,7.00,4.00,9.00,7.00,5.00,7.00,4.00,3.00,214,NULL,201,'CENTRO','HERVAL D OESTE','SC',8444,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2239167,2.00,7.00,3.00,8.00,8.00,6.25,2.00,6.00,4.00,327,326,NULL,'AMÉRICA','JOINVILLE','SC',8873,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2239183,4.00,8.00,7.00,9.00,8.00,5.75,8.00,7.00,4.00,316,317,NULL,'LAGO NORTE','LAGO NORTE','DF',2747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2239205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,211,NULL,'VILA IPIRANGA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2239213,1.00,3.00,0.00,3.00,5.00,NULL,2.00,0.00,2.00,339,329,NULL,'CAIOÇARA','JARINU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2239221,5.00,8.00,7.00,7.00,8.00,6.50,7.00,6.00,5.00,420,207,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2239230,3.00,7.00,6.00,6.00,6.00,5.25,6.00,4.00,3.00,203,2,201,'VILA NOVA','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239248,5.00,8.00,4.00,3.00,8.00,6.50,6.00,6.00,3.00,316,426,NULL,'SANTINHO','FLORIANOPOLIS','SC',5597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2239264,3.00,9.00,4.00,6.00,6.00,NULL,0.00,0.00,0.00,420,207,NULL,'CENTRO','SANTA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2239272,3.00,5.00,1.00,5.00,6.00,4.50,3.00,5.00,2.00,207,316,208,'BELA VISTA','SAO JOSE','SC',17333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2239280,2.00,3.00,2.00,0.00,3.00,NULL,2.00,3.00,2.00,215,102,216,'CENTRO','MONDAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2239302,5.00,6.00,1.00,5.00,3.00,5.25,3.00,6.00,2.00,316,5,NULL,'INGLESES','FLORIANOPOLIS','SC',17767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239310,3.00,7.00,6.00,8.00,6.00,5.25,5.00,6.00,4.00,203,202,214,'CENTRO','BALNEARIO CAMBORIU','SC',6723,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2239329,3.00,7.00,2.00,1.00,6.00,2.00,2.00,6.00,2.00,101,102,NULL,'ALTO ARIRIÚ','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239337,3.00,3.00,2.00,5.00,6.00,6.25,4.00,6.00,2.00,415,207,NULL,'PASSA VINTE','PALHOCA','SC',17847,446,1259,NULL,NULL,NULL,NULL,2,1),(15,2239353,3.00,5.00,0.00,8.00,8.00,6.75,4.00,6.00,4.00,5,319,NULL,'LIMOEIRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2239361,5.00,6.00,6.00,5.00,7.00,5.50,3.00,4.00,2.00,104,444,NULL,'BARREIROS','SAO JOSE','SC',11482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239370,2.00,5.00,5.00,0.00,5.00,5.50,2.00,5.00,3.00,203,208,201,'SANTA MARIA','ANTONIO CARLOS','SC',17743,1043,1077,946,NULL,NULL,NULL,4,1),(15,2239388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,9,NULL,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2239396,4.00,7.00,4.00,8.00,7.00,6.50,7.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',5165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239400,2.00,5.00,7.00,3.00,5.00,5.75,6.00,5.00,3.00,450,319,NULL,'FRAGOSOS','CAMPO ALEGRE','SC',13829,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(15,2239418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,425,NULL,'SERRINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2239426,3.00,5.00,2.00,6.00,7.00,5.00,5.00,4.00,3.00,303,310,NULL,'BOTAFOGO','RIO DE JANEIRO','RJ',13064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239434,4.00,6.00,5.00,1.00,7.00,6.50,5.00,3.00,2.00,316,224,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',13690,369,210,NULL,NULL,NULL,NULL,4,1),(15,2239442,5.00,7.00,5.00,6.00,7.00,4.00,9.00,4.00,4.00,203,214,201,'ASA SUL','BRASILIA','DF',7198,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2239450,2.00,4.00,0.00,4.00,6.00,4.75,3.00,4.00,0.00,429,303,421,'CAMINHO NOVO','PALHOCA','SC',21608,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2239469,2.00,3.00,1.00,1.00,5.00,NULL,3.00,2.00,2.00,310,324,NULL,'PANTANO DO SUL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2239477,6.00,8.00,6.00,8.00,7.00,5.00,6.00,6.00,5.00,214,301,212,'PARQUE RES AQUARIUS','SAO JOSE DOS CAMPOS','SP',4725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239493,7.00,8.00,7.00,7.00,9.00,6.00,9.00,9.00,8.00,303,421,NULL,'CENTRO','SANTA CRUZ DO SUL','RS',441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239507,6.00,5.00,5.00,7.00,8.00,4.75,7.00,5.00,5.00,220,203,NULL,'DEHON','TUBARAO','SC',5766,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2239515,4.00,6.00,4.00,6.00,4.00,6.00,5.00,6.00,1.00,214,213,203,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2239523,5.00,8.00,7.00,9.00,6.00,7.50,6.00,8.00,3.00,103,333,NULL,'JARDIM ALVORADA','SORRISO','MT',2472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239531,4.00,6.00,4.00,7.00,5.00,3.25,4.00,3.00,5.00,319,9,NULL,'AZAMBUJA','BRUSQUE','SC',15111,297,592,NULL,NULL,NULL,NULL,2,6),(15,2239540,7.00,8.00,6.00,8.00,6.00,7.25,8.00,5.00,7.00,103,212,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',2064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239558,2.00,4.00,2.00,1.00,4.00,6.00,3.00,3.00,3.00,415,303,NULL,'BARREIROS','SAO JOSE','SC',21789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239566,3.00,2.00,2.00,3.00,5.00,4.50,2.00,4.00,0.00,9,339,NULL,'CENTRO','FLORIANOPOLIS','SC',22099,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2239574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,327,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2239582,4.00,8.00,6.00,5.00,5.00,4.50,6.00,5.00,3.00,103,333,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',8608,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2239590,3.00,5.00,3.00,4.00,4.00,4.50,3.00,5.00,1.00,201,316,207,'CENTRO','RONDA ALTA','RS',20202,1055,1222,949,NULL,NULL,NULL,4,4),(15,2239604,3.00,7.00,2.00,3.00,7.00,5.25,6.00,2.00,3.00,333,301,NULL,'GUARA','GUARA','DF',15468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239612,2.00,4.00,0.00,1.00,2.00,NULL,2.00,3.00,1.00,207,425,211,'PONTO CHIQUE','IBIRAMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239639,1.00,5.00,1.00,6.00,2.00,NULL,4.00,2.00,1.00,331,324,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2239655,1.00,5.00,5.00,4.00,5.00,5.00,3.00,3.00,3.00,216,217,NULL,'ZONA RURAL','NOVA SANTA ROSA','PR',17763,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2239663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,324,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2239671,2.00,7.00,4.00,6.00,7.00,5.50,5.00,6.00,4.00,5,404,NULL,'DANA ADELIA','SAO JOSE','SC',11000,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2239680,5.00,7.00,0.00,4.00,6.00,5.75,4.00,6.00,3.00,103,101,NULL,'CENTRO','FLORIANOPOLIS','SC',14390,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2239698,4.00,5.00,2.00,8.00,9.00,5.50,2.00,2.00,2.00,425,415,427,'CIDADE FLORIANOPOLIS','SAO JOSE','SC',13625,83,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239701,2.00,3.00,5.00,2.00,4.00,4.25,2.00,3.00,4.00,317,NULL,NULL,'ESPINHEIROS','JOINVILLE','SC',20865,388,NULL,NULL,NULL,NULL,NULL,4,8),(15,2239728,2.00,7.00,2.00,5.00,6.00,4.50,4.00,5.00,3.00,214,NULL,213,'SAO JOÃO','COCAL DO SUL','SC',16326,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2239736,3.00,3.00,1.00,0.00,5.00,NULL,3.00,4.00,4.00,319,NULL,NULL,'BOQUEIRÃO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239744,5.00,8.00,6.00,6.00,5.00,5.75,8.00,6.00,3.00,104,108,NULL,'CENTRO','TAIO','SC',6447,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2239752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,103,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2239760,3.00,7.00,3.00,7.00,5.00,4.50,4.00,6.00,3.00,211,428,215,'RIO VERMELHO','FLORIANOPOLIS','SC',13005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2239779,1.00,6.00,3.00,5.00,5.00,2.25,4.00,2.00,0.00,425,308,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,318,NULL,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2239795,6.00,8.00,6.00,6.00,7.00,6.00,8.00,7.00,5.00,211,234,215,'SÃO JOSÉ','SAO LEOPOLDO','RS',2825,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2239809,1.00,6.00,1.00,6.00,3.00,4.75,1.00,3.00,1.00,102,309,NULL,'CENTRO','BIGUACU','SC',21940,512,253,NULL,NULL,NULL,NULL,2,1),(15,2239817,4.00,3.00,4.00,1.00,3.00,NULL,3.00,0.00,1.00,213,317,212,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239833,4.00,7.00,0.00,8.00,7.00,5.25,3.00,5.00,3.00,319,309,NULL,'CENTRO','SANTO CRISTO','RS',13495,251,139,NULL,NULL,NULL,NULL,1,1),(15,2239841,2.00,7.00,2.00,1.00,3.00,5.50,3.00,3.00,3.00,238,220,202,'INGLESES','FLORIANOPOLIS','SC',20851,772,780,684,NULL,NULL,NULL,2,1),(15,2239850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PINHAO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2239868,6.00,8.00,5.00,8.00,7.00,7.75,6.00,8.00,4.00,211,333,202,'BARREIROS','SAO JOSE','SC',3641,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2239876,3.00,4.00,4.00,4.00,6.00,4.75,4.00,4.00,3.00,301,316,NULL,'ENSEADA','SAO FRANCISCO DO SUL','SC',16453,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2239892,4.00,3.00,3.00,4.00,6.00,6.50,6.00,4.00,3.00,207,415,201,'CAMPINAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2239914,8.00,7.00,3.00,9.00,7.00,5.25,7.00,8.00,6.00,103,217,NULL,'SANTA QUITÉRIA','CURITIBA','PR',3205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2239922,5.00,7.00,5.00,8.00,8.00,5.75,5.00,7.00,4.00,108,215,NULL,'CENTRO','CRICIUMA','SC',5047,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2239957,7.00,8.00,7.00,7.00,7.00,5.75,7.00,5.00,3.00,201,223,202,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',4584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2239965,2.00,7.00,6.00,9.00,6.00,7.50,6.00,5.00,3.00,5,339,NULL,'TATUAPÉ','SAO PAULO','SP',6749,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2239973,4.00,7.00,4.00,1.00,7.00,4.00,7.00,4.00,4.00,102,217,NULL,'CENTRO','FLORIANOPOLIS','SC',11498,228,393,NULL,NULL,NULL,NULL,4,1),(15,2239981,3.00,7.00,2.00,7.00,5.00,5.00,5.00,5.00,3.00,319,224,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',13092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240009,4.00,7.00,5.00,1.00,7.00,5.00,6.00,5.00,4.00,211,331,201,'BARREIROS','SAO JOSE','SC',12001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240017,5.00,7.00,8.00,7.00,8.00,6.75,9.00,7.00,6.00,103,108,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',1458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240025,4.00,6.00,6.00,5.00,3.00,5.25,2.00,4.00,2.00,316,329,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2240033,4.00,3.00,1.00,7.00,9.00,6.75,6.00,5.00,3.00,103,102,NULL,'ESCOLINHA','JOINVILLE','SC',9596,2094,816,NULL,NULL,NULL,NULL,2,8),(15,2240041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,2,NULL,'SÃO SEBASTIÃO','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2240050,2.00,6.00,1.00,1.00,6.00,5.75,2.00,3.00,4.00,302,331,NULL,'ESTREITO','FLORIANOPOLIS','SC',20209,176,239,NULL,NULL,NULL,NULL,4,1),(15,2240068,4.00,7.00,2.00,8.00,6.00,4.00,1.00,4.00,1.00,450,451,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',17687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,225,215,'VILA NOVA','TRES BARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2240084,2.00,8.00,7.00,6.00,9.00,5.50,4.00,6.00,4.00,318,333,NULL,'CENTRO','CRICIUMA','SC',8279,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2240092,2.00,6.00,5.00,7.00,7.00,4.25,6.00,3.00,2.00,303,207,NULL,'UVARANAS','PONTA GROSSA','PR',11534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240106,3.00,9.00,2.00,5.00,7.00,5.50,4.00,5.00,1.00,103,108,NULL,'BARREIROS','SAO JOSE','SC',14192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240114,4.00,5.00,7.00,6.00,7.00,6.25,9.00,8.00,7.00,203,202,214,'GARCIA','BLUMENAU','SC',3874,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2240122,7.00,7.00,9.00,8.00,8.00,6.25,9.00,7.00,8.00,203,201,214,'PARQUE DOS BURITIS','RIO VERDE','GO',499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240130,2.00,6.00,1.00,5.00,7.00,3.50,4.00,4.00,2.00,304,213,NULL,'TIJUQUINHAS','BIGUACU','SC',18513,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2240149,4.00,8.00,7.00,8.00,7.00,6.00,6.00,5.00,5.00,207,201,NULL,'MICHEL','CRICIUMA','SC',4855,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2240157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,331,NULL,'CENTRO','PERUIBE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2240165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,420,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2240173,4.00,6.00,3.00,8.00,8.00,7.00,5.00,5.00,3.00,420,451,NULL,'ABRAÃO','FLORIANOPOLIS','SC',8757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240181,2.00,7.00,5.00,5.00,4.00,4.50,7.00,4.00,3.00,224,225,NULL,'CAMPECHE','FLORIANOPOLIS','SC',12363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2240190,4.00,7.00,6.00,5.00,7.00,6.75,6.00,5.00,6.00,212,214,NULL,'MARGEM ESQUERDA','GASPAR','SC',5388,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2240203,3.00,8.00,1.00,6.00,6.00,5.00,2.00,6.00,4.00,108,444,NULL,'FORQUILHAS','SAO JOSE','SC',14383,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2240211,5.00,7.00,6.00,9.00,6.00,4.00,8.00,6.00,2.00,201,203,212,'PRAIA DE SANTA HELEN','VITORIA','ES',6106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240220,3.00,4.00,4.00,9.00,4.00,7.00,6.00,6.00,5.00,425,429,424,'BARREIROS','SAO JOSE','SC',7860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240238,2.00,5.00,2.00,4.00,7.00,7.50,2.00,4.00,2.00,415,304,NULL,'AREIAS','SAO JOSE','SC',18106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240246,1.00,4.00,3.00,9.00,7.00,4.25,3.00,4.00,2.00,333,233,NULL,'VILA NOVA','BLUMENAU','SC',17386,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2240262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,316,NULL,'CENTRO','PAULO FRONTIN','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2240270,5.00,6.00,5.00,3.00,6.00,5.00,5.00,7.00,4.00,450,424,NULL,'ASA NORTE','BRASILIA','DF',9951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240289,3.00,5.00,5.00,7.00,4.00,5.00,4.00,3.00,2.00,213,327,202,'NAVALHAS','RANCHO QUEIMADO','SC',16761,279,397,591,NULL,NULL,NULL,2,1),(15,2240297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,102,NULL,'CORDEIROS','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2240300,4.00,7.00,4.00,6.00,4.00,5.50,4.00,4.00,3.00,333,331,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',13585,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2240319,3.00,5.00,7.00,3.00,7.00,6.00,6.00,5.00,3.00,103,216,NULL,'JARDIM EUROPA','PONTA GROSSA','PR',9504,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2240327,2.00,5.00,1.00,3.00,4.00,5.50,3.00,3.00,1.00,301,415,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240335,6.00,8.00,6.00,8.00,9.00,7.00,6.00,8.00,5.00,301,316,NULL,'SAGUAÇU','JOINVILLE','SC',1615,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2240351,0.00,6.00,1.00,2.00,4.00,3.50,2.00,4.00,2.00,444,404,NULL,'CENTRO','PORTO BELO','SC',22442,306,532,NULL,NULL,NULL,NULL,2,6),(15,2240360,5.00,5.00,7.00,5.00,6.00,4.75,6.00,3.00,4.00,211,215,203,'JARDIM PAULISTA','CAMPO GRANDE','MS',11370,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2240378,0.00,6.00,3.00,6.00,6.00,4.25,5.00,5.00,0.00,208,203,238,'FORQUILHAS','SAO JOSE','SC',18514,718,1430,685,NULL,NULL,NULL,2,1),(15,2240386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'SANTO ANTONIO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2240394,3.00,5.00,8.00,8.00,6.00,6.00,9.00,9.00,6.00,214,NULL,NULL,'BROOKLIN','SAO PAULO','SP',3067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240408,4.00,6.00,4.00,4.00,3.00,5.25,4.00,6.00,4.00,201,203,202,'CENTRO','SAO JOSE','SC',13044,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2240416,5.00,6.00,4.00,6.00,5.00,6.75,3.00,6.00,3.00,211,108,233,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2240424,1.00,7.00,4.00,5.00,7.00,6.00,2.00,7.00,5.00,426,329,428,'CENTRO','CAPIVARI','SP',11188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240440,2.00,5.00,6.00,6.00,6.00,3.50,5.00,8.00,2.00,103,333,NULL,'VILA MARIA','SAO PAULO','SP',11779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240459,5.00,6.00,5.00,6.00,6.00,4.75,8.00,6.00,2.00,238,316,208,'CAMPINAS','SAO JOSE','SC',8899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240467,4.00,6.00,4.00,6.00,6.00,5.25,2.00,5.00,1.00,5,415,NULL,'EUGÊNIO SCHNEIDER','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240475,2.00,5.00,3.00,2.00,7.00,6.75,4.00,6.00,3.00,5,316,NULL,'PONTA AGUDA','BLUMENAU','SC',15750,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2240483,4.00,6.00,6.00,9.00,4.00,7.25,6.00,6.00,4.00,316,238,NULL,'EUGENIO SCHNEIDER','RIO DO SUL','SC',6377,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2240491,6.00,7.00,5.00,3.00,8.00,5.25,5.00,6.00,7.00,103,216,NULL,'AGUA VERDE','CURITIBA','PR',5792,1596,672,NULL,NULL,NULL,NULL,4,8),(15,2240505,5.00,8.00,6.00,9.00,8.00,4.00,7.00,8.00,5.00,425,328,421,'ESTREITO','FLORIANOPOLIS','SC',2272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240513,2.00,6.00,6.00,0.00,6.00,6.00,4.00,6.00,3.00,333,211,NULL,'CENTRO','ITAPORA','MS',15529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240521,8.00,8.00,8.00,4.00,8.00,5.50,6.00,6.00,7.00,103,333,NULL,'VILA REAL','ARACARIGUAMA','SP',2841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'PQ NOVO MUNDO','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2240548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,2,216,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2240556,0.00,7.00,3.00,3.00,4.00,5.50,3.00,4.00,3.00,103,207,NULL,'TABULEIRO','ITAPEMA','SC',18462,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2240564,5.00,6.00,4.00,3.00,6.00,6.00,6.00,3.00,3.00,102,101,NULL,'VILA ARMANDO ANNES','PASSO FUNDO','RS',13611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240572,4.00,3.00,5.00,5.00,4.00,6.00,5.00,4.00,4.00,319,213,NULL,'VILA MILITAR','RIO NEGRO','PR',14166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240580,1.00,5.00,1.00,8.00,5.00,4.50,6.00,5.00,2.00,451,303,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240599,0.00,6.00,1.00,4.00,6.00,5.75,2.00,5.00,1.00,5,308,NULL,'ESTREITO','FLORIANOPOLIS','SC',20309,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2240637,6.00,8.00,7.00,7.00,6.00,6.00,7.00,7.00,4.00,5,316,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',3025,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2240645,0.00,5.00,4.00,7.00,5.00,3.75,4.00,4.00,4.00,207,201,NULL,'CENTRO','PRINCESA','SC',17372,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2240653,3.00,9.00,4.00,6.00,8.00,4.75,6.00,6.00,4.00,202,2,211,'CAMPECHE','FLORIANOPOLIS','SC',7391,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2240661,2.00,7.00,1.00,2.00,3.00,6.25,1.00,5.00,1.00,207,211,201,'IRIRIÚ','JOINVILLE','SC',21303,998,1019,1102,NULL,NULL,NULL,4,8),(15,2240670,2.00,7.00,6.00,6.00,7.00,5.75,4.00,7.00,4.00,444,104,NULL,'CIDADE ALTA','ARARANGUA','SC',8057,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2240688,1.00,6.00,2.00,2.00,7.00,5.75,3.00,3.00,3.00,102,216,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',19453,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2240700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,208,216,'SAO CAETANO','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2240718,6.00,8.00,5.00,7.00,8.00,7.25,7.00,8.00,3.00,103,NULL,NULL,'JD NOVOS HORIZONTES','CAMPO MAGRO','PR',2691,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2240726,2.00,5.00,3.00,5.00,6.00,4.50,3.00,4.00,4.00,220,202,203,'BOTAFOGO','MARECHAL CANDIDO RONDON','PR',16763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2240734,1.00,4.00,3.00,2.00,3.00,4.50,3.00,4.00,3.00,217,215,NULL,'CENTRO','FLORIANOPOLIS','SC',21689,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2240742,6.00,7.00,5.00,7.00,7.00,7.00,6.00,7.00,7.00,103,102,NULL,'ESTAÇÃO','ASCURRA','SC',3517,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2240750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,212,201,'CENTRO','PETROPOLIS','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2240777,1.00,4.00,3.00,4.00,4.00,5.00,3.00,3.00,3.00,103,9,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2240785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,332,NULL,'DAS NAÇÕES','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2240793,2.00,5.00,5.00,0.00,6.00,4.75,5.00,3.00,2.00,427,423,NULL,'CENTRO','FORQUILHINHA','SC',19314,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2240815,3.00,7.00,4.00,7.00,8.00,6.50,4.00,7.00,3.00,103,108,NULL,'TRINDADE','FLORIANOPOLIS','SC',7779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240823,1.00,4.00,2.00,2.00,3.00,4.75,5.00,4.00,1.00,211,201,216,'CENTRO','FLORIANOPOLIS','SC',21915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240831,4.00,8.00,1.00,6.00,7.00,5.50,6.00,5.00,2.00,420,451,NULL,'SERRARIA','SAO JOSE','SC',11221,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2240858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,103,NULL,'CENTRO','TRES LAGOAS','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2240866,6.00,7.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,103,319,NULL,'CENTRO','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2240874,4.00,8.00,6.00,9.00,6.00,5.00,6.00,6.00,3.00,214,339,212,'AGRONÔMICA','FLORIANOPOLIS','SC',5516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240882,4.00,6.00,1.00,2.00,3.00,5.25,2.00,3.00,1.00,9,215,NULL,'TÊNIS CLUBE','ASSIS','SP',21141,318,631,NULL,NULL,NULL,NULL,2,3),(15,2240904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,238,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2240912,0.00,7.00,0.00,6.00,6.00,NULL,2.00,4.00,4.00,324,319,NULL,'PACHECOS','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2240920,4.00,7.00,5.00,8.00,7.00,6.50,6.00,7.00,4.00,415,NULL,NULL,'PROGRESSO','SAO BENTO DO SUL','SC',5021,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2240939,3.00,5.00,1.00,4.00,8.00,5.50,3.00,5.00,4.00,303,5,NULL,'GLÓRIA','JOINVILLE','SC',15712,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2240947,1.00,7.00,4.00,4.00,7.00,5.00,6.00,8.00,4.00,108,502,NULL,'CAMPECHE','FLORIANOPOLIS','SC',10041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240955,5.00,8.00,5.00,4.00,8.00,6.50,5.00,4.00,4.00,333,425,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',7657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2240963,3.00,6.00,2.00,3.00,7.00,6.00,6.00,7.00,3.00,5,318,NULL,'ATIRADORES','JOINVILLE','SC',13378,581,433,NULL,NULL,NULL,NULL,4,8),(15,2240971,3.00,5.00,3.00,4.00,6.00,6.25,2.00,3.00,2.00,324,327,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2240980,3.00,5.00,2.00,2.00,7.00,5.00,3.00,3.00,2.00,207,9,208,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',19993,938,703,799,NULL,NULL,NULL,4,1),(15,2241005,0.00,3.00,1.00,4.00,3.00,NULL,1.00,3.00,4.00,104,5,NULL,'JARDIM MORUMBI','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2241013,4.00,5.00,3.00,6.00,6.00,4.75,2.00,6.00,1.00,404,427,NULL,'SÃO LUIZ','SAO JOSE','SC',17410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241021,2.00,5.00,1.00,0.00,5.00,4.50,1.00,3.00,5.00,108,502,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',22256,492,375,NULL,NULL,NULL,NULL,4,1),(15,2241030,6.00,5.00,6.00,5.00,8.00,5.75,6.00,7.00,6.00,215,216,NULL,'SANTOS DUMOND','SAO JOSE','SC',4563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241048,1.00,6.00,3.00,8.00,5.00,5.25,4.00,4.00,4.00,208,238,NULL,'OFICINAS','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2241056,2.00,7.00,6.00,8.00,8.00,6.75,7.00,8.00,4.00,208,NULL,202,'BAIRRO TRINDADE','FLORIANOPOLIS','SC',3892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,420,NULL,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2241080,3.00,9.00,4.00,9.00,8.00,7.50,3.00,8.00,3.00,103,424,NULL,'TRINDADE','FLORIANOPOLIS','SC',5725,1577,141,NULL,NULL,NULL,NULL,4,1),(15,2241099,4.00,7.00,7.00,6.00,8.00,3.75,6.00,6.00,7.00,201,207,212,'SAGUAÇU','JOINVILLE','SC',5572,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2241102,4.00,8.00,2.00,5.00,6.00,6.50,6.00,7.00,4.00,303,201,NULL,'SERRINHA','FLORIANOPOLIS','SC',8588,479,1260,NULL,NULL,NULL,NULL,2,1),(15,2241110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,339,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2241129,1.00,5.00,5.00,1.00,3.00,4.25,5.00,3.00,2.00,103,108,NULL,'DAS NAÇÕES','TIMBO','SC',21657,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2241137,3.00,7.00,4.00,7.00,5.00,5.50,2.00,8.00,2.00,319,224,NULL,'NOSSA SRA DO ROSARIO','SAO JOSE','SC',12088,219,189,NULL,NULL,NULL,NULL,2,1),(15,2241145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,220,NULL,'CENTRO','SAO VALENTIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2241153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,5,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2241161,1.00,7.00,3.00,0.00,3.00,NULL,3.00,5.00,2.00,5,327,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241170,4.00,4.00,3.00,6.00,5.00,4.50,4.00,4.00,3.00,316,444,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2241188,5.00,8.00,5.00,9.00,9.00,8.00,7.00,6.00,5.00,303,5,NULL,'RESERVE DU MOULIN','SAO SEBASTIAO','SP',2030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241196,1.00,5.00,2.00,2.00,6.00,5.50,2.00,6.00,1.00,103,104,NULL,'BRUSQUE','LAGES','SC',19980,2996,1239,NULL,NULL,NULL,NULL,4,9),(15,2241200,4.00,6.00,5.00,5.00,6.00,6.00,5.00,4.00,1.00,420,333,NULL,'CARIANOS','FLORIANOPOLIS','SC',13419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241218,0.00,6.00,1.00,0.00,5.00,NULL,3.00,2.00,1.00,104,9,NULL,'CAPITAIS','TIMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2241226,3.00,4.00,4.00,5.00,8.00,6.00,2.00,5.00,4.00,102,217,NULL,'CENTRO','IMBITUBA','SC',14358,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2241234,7.00,6.00,8.00,7.00,8.00,7.25,6.00,6.00,4.00,420,327,NULL,'BALNEARIO','FLORIANOPOLIS','SC',2768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241242,5.00,7.00,8.00,8.00,7.00,5.75,8.00,6.00,6.00,203,NULL,214,'ZONA SUL','ILHA SOLTEIRA','SP',2202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241269,4.00,8.00,7.00,6.00,8.00,6.75,7.00,9.00,4.00,103,301,NULL,'CENTRO','SIDEROPOLIS','SC',2665,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2241277,4.00,8.00,6.00,7.00,9.00,7.25,4.00,5.00,6.00,211,333,201,'CENTRO','BRUSQUE','SC',4119,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2241293,4.00,7.00,5.00,4.00,7.00,4.75,4.00,4.00,2.00,102,215,NULL,'PROGRESSO','LAGUNA','SC',12650,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2241307,3.00,9.00,7.00,4.00,5.00,5.25,8.00,7.00,5.00,213,214,NULL,'CENTRO','PARATINGA','BA',5511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241315,6.00,7.00,5.00,7.00,8.00,6.00,5.00,8.00,4.00,103,216,NULL,'VORSTADT','BLUMENAU','SC',4614,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2241323,8.00,9.00,8.00,9.00,9.00,5.00,9.00,9.00,8.00,203,202,220,'GUANABARA','BELEM','PA',270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241331,2.00,6.00,5.00,5.00,6.00,6.25,6.00,6.00,3.00,326,223,NULL,'CENTRO','BRUSQUE','SC',10024,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2241358,2.00,4.00,2.00,5.00,8.00,2.25,3.00,2.00,2.00,316,339,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2241366,2.00,3.00,4.00,5.00,5.00,6.00,2.00,2.00,1.00,203,333,220,'PETROPOLIS','CAXIAS DO SUL','RS',19268,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2241374,8.00,8.00,4.00,5.00,8.00,7.00,8.00,5.00,7.00,103,102,NULL,'BAIRRO ALTO','CURITIBA','PR',3012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241382,4.00,7.00,4.00,2.00,5.00,4.50,4.00,5.00,2.00,501,101,NULL,'PEREQUE','ILHABELA','SP',16684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241390,5.00,6.00,2.00,6.00,7.00,5.00,5.00,6.00,3.00,108,326,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',9650,193,213,NULL,NULL,NULL,NULL,2,10),(15,2241404,3.00,6.00,2.00,5.00,6.00,5.25,5.00,3.00,4.00,103,NULL,NULL,'CATIAPOA','SAO VICENTE','SP',14790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,212,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2241420,3.00,9.00,6.00,7.00,7.00,5.75,5.00,6.00,3.00,202,213,203,'ASA SUL','BRASILIA','DF',6702,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2241439,3.00,8.00,6.00,7.00,6.00,6.75,6.00,6.00,2.00,103,220,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241447,1.00,5.00,4.00,0.00,1.00,NULL,2.00,1.00,1.00,208,222,238,'CONGONHAS','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2241455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','SAO JOSE DOS PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2241463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2241471,1.00,6.00,1.00,2.00,3.00,4.50,3.00,2.00,3.00,333,225,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2241480,2.00,5.00,2.00,6.00,6.00,6.50,4.00,4.00,3.00,324,427,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',16169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2241498,3.00,7.00,3.00,6.00,8.00,5.25,4.00,6.00,3.00,309,339,NULL,'CENTRO','LAGES','SC',11943,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2241501,7.00,8.00,7.00,7.00,8.00,4.25,6.00,7.00,5.00,103,101,NULL,'DEHON','TUBARAO','SC',2724,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2241510,5.00,5.00,7.00,7.00,9.00,5.00,6.00,6.00,6.00,203,213,202,'FLORESTA','JOINVILLE','SC',4695,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2241528,3.00,6.00,4.00,2.00,7.00,4.00,4.00,3.00,3.00,201,203,207,'STA CRUZ DA FIGUEIRA','AGUAS MORNAS','SC',17680,941,1420,846,NULL,NULL,NULL,4,1),(15,2241536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,216,203,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2241544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,2,202,'PAULISTA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2241552,4.00,5.00,4.00,5.00,3.00,NULL,3.00,5.00,0.00,424,212,427,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2241560,1.00,3.00,1.00,3.00,2.00,NULL,1.00,2.00,3.00,301,302,NULL,'PARQUE MADERIL','SAO JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2241579,0.00,5.00,1.00,5.00,5.00,5.25,1.00,4.00,1.00,5,319,NULL,'SÃO JOSÉ','FLORES DA CUNHA','RS',21787,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(15,2241587,4.00,7.00,1.00,3.00,6.00,5.75,2.00,4.00,2.00,103,102,NULL,'CENTRO','HERVAL D OESTE','SC',18009,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2241595,3.00,4.00,4.00,7.00,5.00,6.50,4.00,3.00,3.00,103,333,NULL,'CENTRO','CASCAVEL','PR',14119,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2241609,2.00,4.00,4.00,5.00,5.00,4.00,3.00,5.00,3.00,420,450,NULL,'JARDIM DAS FLORES','SAO JOSE DOS CAMPOS','SP',18101,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2241617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'SÃO FRANCISCO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2241625,3.00,5.00,3.00,7.00,6.00,5.25,4.00,3.00,3.00,108,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2241633,6.00,9.00,7.00,8.00,7.00,7.00,8.00,8.00,5.00,201,501,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2241641,1.00,6.00,3.00,1.00,5.00,5.25,3.00,3.00,2.00,301,316,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',21204,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2241650,3.00,7.00,5.00,3.00,6.00,6.75,3.00,4.00,5.00,202,211,213,'CENTRO','CRICIUMA','SC',12774,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2241668,3.00,6.00,1.00,2.00,4.00,5.25,3.00,5.00,4.00,339,309,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2241676,6.00,8.00,6.00,5.00,5.00,5.50,7.00,7.00,5.00,103,303,NULL,'ININGA','TERESINA','PI',5789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,216,202,'VISTA ALEGRE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2241692,6.00,7.00,3.00,5.00,8.00,6.50,5.00,6.00,4.00,428,319,425,'CENTRO','FLORIANOPOLIS','SC',7468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241706,4.00,6.00,4.00,7.00,6.00,4.00,3.00,5.00,3.00,308,425,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',13948,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2241714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,9,NULL,'NOVA BRASILIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2241722,1.00,5.00,0.00,2.00,5.00,NULL,1.00,3.00,1.00,220,2,214,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2241730,3.00,7.00,3.00,5.00,4.00,5.50,6.00,5.00,3.00,104,303,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241749,3.00,6.00,5.00,6.00,6.00,4.75,5.00,5.00,3.00,103,333,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241757,1.00,4.00,4.00,4.00,5.00,7.00,3.00,1.00,4.00,425,424,427,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',19472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241765,3.00,7.00,5.00,5.00,7.00,6.00,2.00,3.00,2.00,214,203,233,'ITOUPAVA CENTRAL','BLUMENAU','SC',14952,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2241773,3.00,5.00,4.00,2.00,4.00,4.75,4.00,4.00,2.00,213,NULL,NULL,'VILA NOVA','SAO LOURENCO','MG',19107,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2241781,2.00,5.00,0.00,6.00,4.00,5.25,3.00,5.00,3.00,316,333,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',19029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2241790,3.00,5.00,5.00,0.00,7.00,5.75,7.00,5.00,4.00,317,223,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',14145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,332,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2241811,6.00,6.00,3.00,2.00,5.00,4.00,3.00,5.00,2.00,103,216,NULL,'CENTRO','FLORIANOPOLIS','SC',16037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,202,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2241838,5.00,8.00,8.00,5.00,7.00,5.75,7.00,6.00,4.00,444,304,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',3708,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2241846,3.00,6.00,2.00,1.00,5.00,4.75,4.00,1.00,1.00,404,308,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',21760,262,483,NULL,NULL,NULL,NULL,4,1),(15,2241854,0.00,5.00,5.00,5.00,8.00,5.25,6.00,7.00,6.00,303,103,NULL,'LIDER','CHAPECO','SC',9953,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2241862,2.00,4.00,4.00,4.00,3.00,4.00,3.00,1.00,2.00,208,220,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241870,4.00,6.00,3.00,7.00,5.00,4.50,1.00,4.00,2.00,333,211,NULL,'BRAZILIA','GRAVATAL','SC',16048,257,952,NULL,NULL,NULL,NULL,2,10),(15,2241889,3.00,9.00,6.00,9.00,7.00,6.75,7.00,9.00,4.00,217,208,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',2082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241897,5.00,7.00,6.00,9.00,8.00,6.50,6.00,6.00,5.00,303,428,NULL,'JARDIM ANGÉLICA','CRICIUMA','SC',3615,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2241900,6.00,7.00,8.00,8.00,7.00,7.75,9.00,7.00,6.00,208,329,238,'INDUSTRIAL NORTE','RIO NEGRINHO','SC',1028,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2241919,2.00,6.00,2.00,5.00,3.00,6.50,2.00,2.00,0.00,332,426,NULL,'CACHOEIRA','FLORIANOPOLIS','SC',21463,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2241935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,301,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2241943,2.00,7.00,2.00,8.00,5.00,5.25,3.00,3.00,0.00,304,333,NULL,'INTERIOR','PINHEIRO PRETO','SC',16534,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2241951,3.00,8.00,1.00,2.00,5.00,5.75,4.00,7.00,2.00,211,326,NULL,'AREIAS','SAO JOSE','SC',15571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241960,5.00,6.00,4.00,7.00,7.00,5.75,4.00,6.00,3.00,303,404,NULL,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2241978,2.00,2.00,4.00,4.00,3.00,5.75,3.00,2.00,3.00,319,309,NULL,'COSTEIRA','FLORIANOPOLIS','SC',21993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2241986,4.00,6.00,2.00,4.00,6.00,6.00,4.00,7.00,3.00,501,423,NULL,'CONTA DINHEIRO','LAGES','SC',12412,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2241994,6.00,8.00,7.00,7.00,7.00,6.00,7.00,4.00,4.00,104,444,NULL,'CENTRO','FLORIANOPOLIS','SC',4820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2242001,7.00,8.00,4.00,9.00,8.00,7.50,8.00,8.00,5.00,303,425,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',1426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242010,3.00,8.00,3.00,6.00,8.00,6.50,6.00,7.00,2.00,224,225,NULL,'CAMPECHE','FLORIANOPOLIS','SC',9547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2242028,1.00,5.00,3.00,3.00,5.00,4.75,2.00,4.00,3.00,224,225,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',19245,68,188,NULL,NULL,NULL,NULL,2,1),(15,2242036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,502,429,'SANTA MONICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2242044,4.00,6.00,1.00,3.00,5.00,6.00,2.00,4.00,2.00,104,309,NULL,'SANTA BÁRBARA','CRICIUMA','SC',18541,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2242060,4.00,5.00,2.00,0.00,4.00,4.50,4.00,3.00,2.00,238,420,208,'FORQUILHINHAS','SAO JOSE','SC',21947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242079,0.00,6.00,1.00,2.00,6.00,6.25,4.00,3.00,2.00,316,301,NULL,'CIDADE MINEIRA VELHA','CRICIUMA','SC',20381,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2242095,3.00,7.00,5.00,3.00,6.00,5.50,4.00,7.00,5.00,103,104,NULL,'JUVEVÊ','CURITIBA','PR',9019,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2242109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,320,NULL,'CENTRO','TAIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2242117,3.00,5.00,0.00,3.00,3.00,NULL,2.00,3.00,2.00,301,404,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2242125,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CARDOSO','SAO JOAO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2242133,3.00,5.00,2.00,5.00,6.00,4.50,2.00,1.00,2.00,404,308,NULL,'SERRINHA','FLORIANOPOLIS','SC',19568,193,417,NULL,NULL,NULL,NULL,2,1),(15,2242141,5.00,7.00,2.00,4.00,8.00,6.25,9.00,6.00,4.00,103,333,NULL,'CAMPECHE','FLORIANOPOLIS','SC',6939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242150,3.00,6.00,2.00,0.00,3.00,NULL,3.00,2.00,4.00,103,502,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,324,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2242176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2242184,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,201,238,212,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(15,2242192,2.00,4.00,3.00,2.00,6.00,5.00,3.00,4.00,3.00,426,309,423,'PRAIA COMPRIDA','SAO JOSE','SC',19932,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2242214,3.00,4.00,1.00,2.00,6.00,4.75,3.00,3.00,2.00,303,308,NULL,'JARDIM EUROPA','BIGUACU','SC',21349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242222,1.00,4.00,0.00,2.00,3.00,NULL,2.00,1.00,2.00,404,208,NULL,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2242230,1.00,2.00,2.00,7.00,7.00,4.00,3.00,3.00,3.00,339,108,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',19973,119,936,NULL,NULL,NULL,NULL,2,1),(15,2242249,2.00,4.00,2.00,2.00,5.00,3.75,3.00,3.00,1.00,207,233,201,'ESPINHEIROS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2242265,8.00,7.00,6.00,7.00,9.00,8.00,6.00,7.00,3.00,104,303,NULL,'CENTRO','FLORIANOPOLIS','SC',2139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242273,3.00,6.00,4.00,6.00,4.00,6.50,3.00,7.00,1.00,203,444,233,'SAPIRANGA','MELEIRO','SC',15156,967,477,356,NULL,NULL,NULL,2,5),(15,2242281,7.00,7.00,4.00,8.00,8.00,5.25,5.00,7.00,3.00,104,303,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2242290,3.00,4.00,5.00,4.00,7.00,6.25,3.00,4.00,2.00,238,420,208,'PRAIA COMPRIDA','SAO JOSE','SC',15168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242303,6.00,9.00,6.00,4.00,8.00,6.50,7.00,5.00,6.00,103,104,NULL,'CENTRO','CURITIBA','PR',3481,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2242311,1.00,2.00,3.00,4.00,4.00,4.75,3.00,6.00,2.00,404,9,NULL,'CENTRO','ICARA','SC',20944,232,731,NULL,NULL,NULL,NULL,2,5),(15,2242320,3.00,5.00,5.00,6.00,6.00,5.25,5.00,3.00,4.00,444,201,NULL,'CENTRO','NOVA TRENTO','SC',12537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2242346,2.00,7.00,2.00,7.00,6.00,5.75,4.00,5.00,3.00,317,316,NULL,'FLORESTA','SAO JOSE','SC',12981,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2242354,2.00,5.00,5.00,0.00,7.00,NULL,6.00,4.00,2.00,316,202,NULL,'CENTRO','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242370,7.00,8.00,8.00,5.00,9.00,5.00,8.00,8.00,8.00,103,421,NULL,'CENTRO','FLORIANOPOLIS','SC',955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242389,5.00,3.00,3.00,2.00,4.00,3.50,4.00,1.00,3.00,108,425,NULL,'PARQUE MARAJOARA','SANTO ANDRE','SP',22037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242397,6.00,7.00,6.00,6.00,8.00,5.00,4.00,6.00,5.00,103,303,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242400,7.00,7.00,6.00,8.00,3.00,5.75,8.00,9.00,7.00,207,319,211,'HORTO FLORESTAL','SAO PAULO','SP',2537,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2242419,0.00,6.00,2.00,6.00,7.00,5.75,2.00,7.00,3.00,108,502,NULL,'MORRETES','ITAPEMA','SC',14650,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2242427,3.00,4.00,4.00,6.00,7.00,6.00,4.00,2.00,1.00,104,211,NULL,'PRÓSPERA','CRICIUMA','SC',16955,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2242435,3.00,3.00,2.00,5.00,3.00,4.50,3.00,2.00,1.00,103,9,NULL,'SERRARIA','SAO JOSE','SC',22005,3098,751,NULL,NULL,NULL,NULL,2,1),(15,2242443,6.00,9.00,9.00,4.00,7.00,6.75,8.00,6.00,6.00,104,211,NULL,'URUSSANGUINHA','ARARANGUA','SC',1399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242451,4.00,6.00,4.00,8.00,6.00,6.00,5.00,4.00,3.00,207,423,212,'FORQUILHINHAS','SAO JOSE','SC',11432,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2242460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,502,203,'CENTRO','PARANAIBA','MS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2242478,4.00,8.00,6.00,9.00,8.00,6.75,7.00,5.00,4.00,201,212,202,'CARVOEIRA','FLORIANOPOLIS','SC',4036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242486,0.00,3.00,3.00,3.00,6.00,6.00,2.00,4.00,3.00,104,NULL,NULL,'CENTRO','VERE','PR',19852,646,NULL,NULL,NULL,NULL,NULL,4,4),(15,2242508,1.00,5.00,2.00,6.00,6.00,4.00,2.00,5.00,2.00,101,319,NULL,'SERRARIA','FLORIANOPOLIS','SC',18429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2242516,1.00,3.00,2.00,1.00,2.00,NULL,1.00,1.00,2.00,420,425,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242524,3.00,3.00,1.00,2.00,5.00,5.00,3.00,4.00,5.00,404,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',20274,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2242559,1.00,5.00,2.00,4.00,5.00,4.25,5.00,4.00,2.00,326,223,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',18655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2242575,1.00,3.00,1.00,4.00,7.00,NULL,3.00,2.00,2.00,444,333,NULL,'PROMORAR','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,303,202,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2242591,2.00,6.00,2.00,6.00,4.00,5.50,4.00,3.00,3.00,207,420,238,'ABRAÃO','FLORIANOPOLIS','SC',18322,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2242613,5.00,8.00,7.00,7.00,7.00,6.75,5.00,6.00,2.00,303,451,NULL,'TRINDADE','FLORIANOPOLIS','SC',4425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242621,5.00,5.00,7.00,8.00,9.00,8.50,6.00,4.00,4.00,214,201,212,'TRINDADE','FLORIANOPOLIS','SC',4822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242630,1.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,0.00,208,238,NULL,'CENTRO','IRANI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2242648,3.00,6.00,4.00,3.00,6.00,5.00,2.00,2.00,1.00,324,425,NULL,'INGLESES','FLORIANOPOLIS','SC',19541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242656,2.00,3.00,3.00,6.00,5.00,4.25,3.00,5.00,4.00,208,420,213,'CENTRO','ARARANGUA','SC',17985,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2242664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,212,207,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2242672,2.00,4.00,2.00,3.00,6.00,2.50,4.00,3.00,2.00,9,428,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2242680,1.00,2.00,0.00,5.00,2.00,NULL,3.00,3.00,2.00,451,450,NULL,'URUSSANGUINHA','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2242702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JD SÃO PAULO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2242710,8.00,7.00,9.00,8.00,9.00,6.75,10.00,8.00,7.00,203,202,NULL,'GLÓRIA','BLUMENAU','SC',199,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2242729,2.00,3.00,2.00,3.00,8.00,4.00,5.00,8.00,2.00,326,331,NULL,'PETRÓPOLIS','JOINVILLE','SC',14644,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2242737,2.00,8.00,6.00,3.00,7.00,6.25,7.00,7.00,5.00,319,339,NULL,'CENTRO','PANAMBI','RS',5941,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2242745,6.00,8.00,8.00,7.00,7.00,6.25,7.00,7.00,7.00,5,303,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',1634,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2242753,2.00,4.00,2.00,3.00,4.00,5.00,1.00,4.00,3.00,217,339,NULL,'TRINDADE','FLORIANOPOLIS','SC',21767,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2242761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,215,214,'CERRADO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2242770,2.00,7.00,3.00,5.00,5.00,4.50,3.00,5.00,4.00,220,103,203,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242796,3.00,8.00,2.00,2.00,5.00,5.00,5.00,5.00,2.00,103,415,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2242800,4.00,7.00,2.00,2.00,7.00,5.75,4.00,4.00,3.00,103,501,NULL,'CENTRO','CURITIBA','PR',14273,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2242826,2.00,4.00,3.00,1.00,6.00,NULL,3.00,2.00,1.00,404,444,NULL,'CENTRO','LEBON REGIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2242834,4.00,7.00,2.00,4.00,4.00,4.00,6.00,4.00,1.00,501,502,NULL,'CENTRO','CAMBORIU','SC',17037,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2242842,2.00,6.00,1.00,4.00,6.00,4.50,3.00,5.00,3.00,421,339,427,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',18307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2242850,2.00,4.00,3.00,0.00,5.00,NULL,3.00,5.00,3.00,220,207,201,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2242869,3.00,5.00,2.00,2.00,3.00,4.00,5.00,3.00,0.00,208,238,NULL,'CAMPECHE','FLORIANOPOLIS','SC',21515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242877,3.00,6.00,4.00,8.00,7.00,6.00,5.00,5.00,3.00,103,104,NULL,'ZONA CINCO','MARINGA','PR',9906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242885,5.00,7.00,7.00,5.00,8.00,5.75,7.00,6.00,5.00,238,317,215,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',4393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242893,3.00,6.00,5.00,9.00,5.00,5.25,3.00,6.00,4.00,220,9,203,'CENTRO','BALNEARIO CAMBORIU','SC',9900,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2242915,2.00,8.00,2.00,3.00,5.00,3.50,3.00,3.00,4.00,207,NULL,NULL,'PONTE GRANDE','MOGI DAS CRUZES','SP',18671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242923,3.00,3.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,5,339,NULL,'CAMPINAS SÃO JOSÉ','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2242940,5.00,5.00,5.00,5.00,5.00,4.75,5.00,4.00,3.00,404,214,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',11203,52,736,NULL,NULL,NULL,NULL,2,1),(15,2242966,1.00,5.00,2.00,2.00,4.00,4.00,3.00,4.00,1.00,215,501,NULL,'ALTO DO IPIRANGA','MOGI DAS CRUZES','SP',22385,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2242974,4.00,7.00,4.00,7.00,6.00,6.25,5.00,2.00,4.00,102,108,NULL,'TRINDADE','FLORIANOPOLIS','SC',10120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2242982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,233,214,'CAMPINAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2242990,5.00,9.00,8.00,8.00,8.00,6.50,7.00,7.00,5.00,103,331,NULL,'CENTRO','CAMBORIU','SC',2121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2243008,5.00,8.00,3.00,5.00,7.00,5.00,5.00,6.00,3.00,450,451,NULL,'VILA JUNDIAÍ','MOGI DAS CRUZES','SP',9950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2243016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,301,NULL,'RIO BRANCO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2243024,3.00,4.00,1.00,1.00,7.00,NULL,3.00,3.00,1.00,102,304,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2243032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,213,NULL,'CENTRO','MOGI DAS CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2243040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2243059,2.00,3.00,3.00,4.00,3.00,4.25,4.00,2.00,2.00,238,222,208,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2243067,5.00,7.00,6.00,6.00,7.00,5.50,6.00,6.00,6.00,104,303,NULL,'CENTRO','MAFRA','SC',5116,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2243075,3.00,5.00,2.00,4.00,5.00,6.50,2.00,4.00,1.00,339,5,NULL,'ARMAÇÃO DO PANTANO','FLORIANOPOLIS','SC',18477,95,1295,NULL,NULL,NULL,NULL,2,1),(15,2243083,7.00,8.00,4.00,5.00,8.00,5.50,8.00,7.00,3.00,316,317,NULL,'ITACORUBI','FLORIANOPOLIS','SC',5064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2243091,4.00,3.00,2.00,1.00,6.00,NULL,0.00,0.00,0.00,103,301,NULL,'PQ SANTANA','MOGI DAS CRUZES','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2243105,2.00,6.00,3.00,7.00,8.00,4.25,4.00,4.00,3.00,317,224,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',13802,199,213,NULL,NULL,NULL,NULL,2,1),(15,2243113,2.00,8.00,6.00,4.00,5.00,5.50,5.00,4.00,2.00,211,NULL,NULL,'SOCORRO','MOGI DAS CRUZES','SP',12297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2243121,2.00,5.00,2.00,1.00,4.00,4.50,4.00,6.00,2.00,211,9,201,'CLARAIBA','NOVA TRENTO','SC',20370,696,714,1062,NULL,NULL,NULL,4,1),(15,2243148,5.00,7.00,7.00,9.00,7.00,8.00,7.00,8.00,2.00,201,301,211,'TRINDADE','FLORIANOPOLIS','SC',2368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2243156,5.00,6.00,9.00,9.00,7.00,6.75,7.00,7.00,6.00,103,303,NULL,'DO SOL','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2243164,4.00,6.00,5.00,5.00,9.00,6.25,6.00,3.00,3.00,5,207,NULL,'CARIJÓS','INDAIAL','SC',10517,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2243172,6.00,6.00,6.00,5.00,6.00,5.00,4.00,3.00,4.00,102,NULL,NULL,'VILA OLIVEIRA','MOGI DAS CRUZES','SP',11137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2243180,3.00,6.00,5.00,8.00,7.00,5.75,4.00,4.00,3.00,203,207,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2243199,4.00,8.00,4.00,5.00,7.00,6.00,3.00,6.00,2.00,501,332,NULL,'SANGA GRANDE BAIXA','JAGUARUNA','SC',10152,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2243202,2.00,6.00,2.00,1.00,3.00,4.50,4.00,4.00,5.00,224,222,NULL,'TAPERA','FLORIANOPOLIS','SC',19171,67,201,NULL,NULL,NULL,NULL,4,1),(15,2243210,4.00,8.00,3.00,2.00,6.00,6.50,5.00,6.00,4.00,103,NULL,NULL,'VILA SANTA ISABEL','MARINGA','PR',11540,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2243229,1.00,3.00,5.00,2.00,6.00,3.75,6.00,3.00,3.00,203,233,214,'PARQUE INDUSTRIAL','SAO JOSE DOS CAMPOS','SP',19226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2243237,4.00,3.00,3.00,6.00,2.00,NULL,4.00,4.00,3.00,104,9,NULL,'UNIVERSITÁRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2243245,5.00,8.00,4.00,7.00,8.00,6.00,6.00,9.00,4.00,103,108,NULL,'NAÇÕES','INDAIAL','SC',4713,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2243253,4.00,8.00,8.00,8.00,8.00,7.25,5.00,8.00,6.00,211,450,215,'CENTRO','BALNEARIO CAMBORIU','SC',2542,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2243261,2.00,5.00,4.00,4.00,8.00,5.50,5.00,6.00,2.00,103,108,NULL,'AREIAS','CAMBORIU','SC',14695,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2243270,4.00,7.00,6.00,7.00,7.00,6.00,5.00,5.00,3.00,301,220,NULL,'VELHA','BLUMENAU','SC',7527,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2243288,2.00,3.00,2.00,6.00,4.00,5.50,1.00,3.00,1.00,103,101,NULL,'TAQUARAS','BALNEARIO CAMBORIU','SC',22312,3115,790,NULL,NULL,NULL,NULL,2,2),(15,2243296,4.00,7.00,6.00,9.00,8.00,6.25,7.00,5.00,7.00,5,NULL,NULL,'CENTRO','CRICIUMA','SC',3428,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2243300,5.00,6.00,5.00,5.00,8.00,6.00,7.00,5.00,2.00,5,318,NULL,'KOBRASOL','SAO JOSE','SC',7965,360,342,NULL,NULL,NULL,NULL,4,1),(15,2243318,1.00,3.00,3.00,6.00,7.00,4.25,3.00,4.00,2.00,502,108,NULL,'CIDADE ALTA','ARARANGUA','SC',19337,87,917,NULL,NULL,NULL,NULL,2,5),(15,2243326,7.00,8.00,6.00,7.00,7.00,7.00,7.00,7.00,3.00,303,319,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',2832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2243334,3.00,6.00,6.00,4.00,5.00,5.25,5.00,3.00,2.00,103,108,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2243342,5.00,9.00,6.00,9.00,9.00,7.50,8.00,8.00,5.00,303,9,NULL,'CENTRO','FLORIANOPOLIS','SC',756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2243350,4.00,5.00,2.00,7.00,6.00,5.75,6.00,3.00,2.00,319,215,NULL,'JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP',12622,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2243369,0.00,6.00,0.00,4.00,5.00,6.50,2.00,6.00,2.00,424,425,NULL,'BARREIROS','SAO JOSE','SC',19362,78,414,NULL,NULL,NULL,NULL,2,1),(15,2243377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,444,423,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2243385,4.00,4.00,8.00,3.00,5.00,6.00,4.00,5.00,4.00,217,216,NULL,'NOVA BRASÍLIA','JARAGUA DO SUL','SC',10135,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2243393,4.00,5.00,7.00,5.00,6.00,7.00,5.00,4.00,3.00,203,420,208,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2243407,2.00,3.00,0.00,1.00,5.00,NULL,1.00,3.00,1.00,103,108,NULL,'JD AUGUSTA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2243415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'RIACHO','GRAVATAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2243423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ESTADOS','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2243431,3.00,4.00,4.00,1.00,5.00,6.00,2.00,3.00,2.00,207,420,201,'ABRAÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2243440,5.00,8.00,7.00,7.00,9.00,6.00,6.00,7.00,4.00,420,444,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',3700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2243458,9.00,9.00,6.00,8.00,8.00,4.50,9.00,9.00,8.00,103,102,NULL,'BARRA DO RIO MOLHA','JARAGUA DO SUL','SC',249,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2243466,4.00,7.00,6.00,6.00,6.00,6.25,7.00,6.00,6.00,103,316,NULL,'SAO CRISTOVAO','CRICIUMA','SC',4387,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2243474,7.00,6.00,9.00,5.00,8.00,6.25,9.00,4.00,8.00,103,NULL,NULL,'ORFAS','PONTA GROSSA','PR',2299,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2243490,3.00,6.00,3.00,4.00,2.00,NULL,4.00,4.00,4.00,309,308,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2243512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'VILA ADY ANNA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2243520,1.00,7.00,4.00,8.00,4.00,6.75,3.00,4.00,0.00,238,304,208,'INGLESES','FLORIANOPOLIS','SC',15368,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2243539,4.00,8.00,1.00,9.00,8.00,7.00,5.00,8.00,2.00,425,308,429,'AGRONÔMICA','FLORIANOPOLIS','SC',5727,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2243547,7.00,8.00,8.00,9.00,9.00,6.50,7.00,7.00,6.00,211,233,212,'BOM ABRIGO','FLORIANOPOLIS','SC',870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2243555,3.00,6.00,5.00,2.00,4.00,5.00,5.00,6.00,2.00,238,333,208,'CAPOEIRAS','FLORIANOPOLIS','SC',15767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2243563,5.00,8.00,4.00,7.00,7.00,5.50,6.00,6.00,3.00,415,426,NULL,'CENTRO','SCHROEDER','SC',6875,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2243571,3.00,7.00,4.00,0.00,7.00,NULL,2.00,4.00,4.00,207,301,201,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2243580,2.00,7.00,3.00,4.00,8.00,7.75,6.00,7.00,2.00,415,319,NULL,'ESTREITO','FLORIANOPOLIS','SC',9705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2243598,0.00,7.00,1.00,0.00,3.00,NULL,4.00,4.00,0.00,202,NULL,NULL,'RECANTO VERDE','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,5),(15,2243610,2.00,6.00,4.00,7.00,7.00,4.75,4.00,4.00,6.00,103,207,NULL,'ANITA GARIBALDI','JOINVILLE','SC',12108,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2243628,7.00,9.00,8.00,7.00,8.00,7.00,6.00,7.00,8.00,103,319,NULL,'VILA BANCÁRIA','CAMPO LARGO','PR',1172,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2243636,5.00,6.00,4.00,6.00,7.00,6.00,4.00,6.00,4.00,207,420,201,'CARIANOS','FLORIANOPOLIS','SC',7893,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2243644,5.00,8.00,7.00,6.00,7.00,5.25,6.00,3.00,3.00,104,202,NULL,'JARDIM ANGÉLICA','CRICIUMA','SC',7625,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2243652,2.00,5.00,2.00,1.00,4.00,4.75,3.00,6.00,3.00,327,326,NULL,'JARDIM DAS AMERICAS','LONDRINA','PR',19831,167,321,NULL,NULL,NULL,NULL,4,1),(15,2243660,2.00,1.00,2.00,3.00,4.00,NULL,2.00,3.00,1.00,101,309,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2243695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,426,423,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2243709,5.00,9.00,8.00,6.00,8.00,5.75,9.00,4.00,8.00,203,222,233,'CARIANOS','FLORIANOPOLIS','SC',1795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2243725,1.00,5.00,3.00,3.00,5.00,2.25,1.00,3.00,1.00,225,333,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2243733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','ENCANTADO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2243741,2.00,6.00,1.00,5.00,6.00,6.25,5.00,7.00,2.00,104,501,NULL,'JARDIM DOS LORDES','SAO JOSE','SC',13041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2243750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2243768,1.00,3.00,3.00,0.00,5.00,NULL,3.00,0.00,2.00,104,501,NULL,'CENTRO','CAPIVARI DE BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2243776,0.00,9.00,5.00,5.00,6.00,NULL,5.00,8.00,3.00,316,211,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2243784,2.00,7.00,6.00,8.00,6.00,6.25,8.00,5.00,2.00,102,108,NULL,'ESTADOS','INDAIAL','SC',7646,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2243806,1.00,5.00,3.00,2.00,8.00,4.50,3.00,4.00,3.00,308,309,NULL,'TAPERA','FLORIANOPOLIS','SC',18581,115,198,NULL,NULL,NULL,NULL,2,1),(15,2243822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,318,213,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2243830,4.00,7.00,2.00,7.00,7.00,6.75,5.00,6.00,6.00,319,316,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',7183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2243849,5.00,7.00,6.00,9.00,8.00,7.50,5.00,5.00,3.00,415,216,NULL,'MICHEL','CRICIUMA','SC',5042,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2243857,1.00,3.00,3.00,6.00,5.00,5.75,4.00,3.00,4.00,421,207,423,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',19071,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2243865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,420,238,'VILA PEDRINI','JOACABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2243873,5.00,4.00,4.00,5.00,6.00,5.00,4.00,4.00,4.00,319,329,NULL,'DAS NAÇÕES','TIMBO','SC',14431,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2243881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,339,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2243890,0.00,6.00,4.00,2.00,5.00,NULL,7.00,6.00,4.00,201,303,207,'PRESIDENTE MEDICI','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2243903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,450,NULL,'CACHOEIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2243911,4.00,3.00,3.00,5.00,7.00,5.25,3.00,4.00,2.00,309,324,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',17264,30,NULL,NULL,NULL,NULL,NULL,2,1),(15,2243920,6.00,9.00,7.00,9.00,9.00,6.00,9.00,8.00,6.00,213,NULL,202,'LAGO NORTE','LAGO NORTE','DF',933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2243938,5.00,8.00,1.00,9.00,9.00,6.25,6.00,6.00,3.00,103,101,NULL,'TAPERA','FLORIANOPOLIS','SC',6345,1682,465,NULL,NULL,NULL,NULL,2,1),(15,2243946,3.00,7.00,7.00,6.00,8.00,5.50,6.00,4.00,4.00,211,215,233,'GARCIA','BLUMENAU','SC',7457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2243954,1.00,4.00,2.00,2.00,5.00,NULL,3.00,3.00,1.00,201,NULL,NULL,'SÃO VICENTE','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2243970,2.00,5.00,4.00,5.00,7.00,6.00,5.00,6.00,4.00,104,333,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',11751,379,710,NULL,NULL,NULL,NULL,2,1),(15,2243989,2.00,6.00,1.00,0.00,5.00,NULL,3.00,3.00,0.00,426,329,428,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2243997,3.00,8.00,7.00,4.00,7.00,5.00,8.00,5.00,3.00,225,328,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',9056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244004,4.00,5.00,6.00,1.00,6.00,5.25,7.00,6.00,2.00,203,304,208,'REAL PARQUE','SAO JOSE','SC',12055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'LAGO NORTE','LAGO NORTE','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2244020,4.00,7.00,3.00,6.00,5.00,3.75,2.00,6.00,3.00,326,332,NULL,'PRADO','BIGUACU','SC',16486,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2244039,2.00,4.00,4.00,4.00,4.00,6.00,5.00,4.00,3.00,303,201,NULL,'SERRARIA','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2244055,2.00,4.00,2.00,0.00,7.00,4.00,4.00,3.00,4.00,319,415,NULL,'SERRARIA','SAO JOSE','SC',20336,448,813,NULL,NULL,NULL,NULL,4,1),(15,2244063,3.00,7.00,2.00,4.00,5.00,NULL,0.00,5.00,2.00,302,404,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2244071,4.00,5.00,3.00,1.00,6.00,4.25,6.00,5.00,2.00,214,220,211,'INTERIOR','CONCORDIA','SC',16831,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2244080,2.00,5.00,2.00,4.00,5.00,5.00,1.00,5.00,1.00,319,215,NULL,'CENTRO','FRAIBURGO','SC',20132,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2244098,3.00,7.00,2.00,6.00,7.00,5.25,4.00,5.00,3.00,303,5,NULL,'CENTRO','SAO BONIFACIO','SC',11768,591,1178,NULL,NULL,NULL,NULL,2,1),(15,2244101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,316,NULL,'CENTRO','SAO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2244110,3.00,6.00,3.00,5.00,7.00,6.00,4.00,6.00,2.00,303,104,NULL,'CENTRO','ITAJAI','SC',13395,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2244128,5.00,7.00,8.00,8.00,8.00,8.00,5.00,7.00,5.00,304,320,NULL,'CENTRO','BLUMENAU','SC',2479,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2244136,1.00,3.00,2.00,3.00,4.00,NULL,3.00,3.00,1.00,102,215,NULL,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2244144,3.00,4.00,3.00,8.00,6.00,5.50,2.00,3.00,3.00,426,NULL,NULL,'CENTRO','ITAPEMA','SC',15598,43,NULL,NULL,NULL,NULL,NULL,2,3),(15,2244152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,444,NULL,'NAÇÕES','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2244179,6.00,7.00,6.00,7.00,6.00,8.25,6.00,5.00,4.00,103,316,NULL,'CENTRO','FLORIANOPOLIS','SC',5681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244195,1.00,8.00,2.00,1.00,6.00,5.75,3.00,5.00,3.00,308,327,NULL,'ESTREITO','FLORIANOPOLIS','SC',18115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244209,0.00,5.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,319,329,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2244217,7.00,9.00,9.00,9.00,8.00,5.00,8.00,7.00,5.00,103,102,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',1120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244225,0.00,6.00,2.00,6.00,5.00,5.75,2.00,6.00,2.00,103,303,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2244233,3.00,6.00,3.00,2.00,7.00,6.50,4.00,5.00,4.00,5,429,NULL,'CENTRO','ICARA','SC',14852,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2244241,5.00,6.00,6.00,9.00,5.00,4.25,7.00,6.00,3.00,202,225,201,'ABRAÃO','FLORIANOPOLIS','SC',5500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2244292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,420,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2244306,4.00,6.00,9.00,9.00,5.00,6.75,7.00,6.00,3.00,303,5,NULL,'VILA PUREZA','SAO CARLOS','SP',5211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244314,2.00,6.00,2.00,1.00,5.00,4.50,4.00,4.00,4.00,201,332,202,'RIO TAVARES','FLORIANOPOLIS','SC',18621,985,292,632,NULL,NULL,NULL,4,1),(15,2244322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CAMPO LENÇOL','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2244330,1.00,4.00,0.00,5.00,4.00,4.00,3.00,4.00,0.00,211,415,NULL,'PINHEIRA','PALHOCA','SC',22408,761,843,NULL,NULL,NULL,NULL,2,1),(15,2244365,2.00,7.00,4.00,2.00,6.00,6.75,2.00,3.00,3.00,428,423,426,'PROGRESSO','POUSO REDONDO','SC',17098,62,NULL,NULL,NULL,NULL,NULL,4,9),(15,2244373,3.00,6.00,4.00,4.00,6.00,1.50,2.00,5.00,4.00,301,501,NULL,'GUARDA DO CUBATÃO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2244403,2.00,6.00,5.00,9.00,8.00,6.00,3.00,7.00,2.00,425,319,427,'CARVOEIRA','FLORIANOPOLIS','SC',8972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244411,4.00,5.00,2.00,7.00,8.00,4.25,6.00,2.00,3.00,333,429,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',13688,193,254,NULL,NULL,NULL,NULL,4,1),(15,2244420,5.00,7.00,7.00,4.00,9.00,5.00,5.00,4.00,4.00,339,316,NULL,'CENTRO','CRICIUMA','SC',8413,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2244438,5.00,6.00,2.00,8.00,8.00,6.25,5.00,3.00,4.00,308,301,NULL,'CENTRO','FLORIANOPOLIS','SC',9146,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2244446,4.00,9.00,7.00,9.00,9.00,6.25,8.00,9.00,7.00,203,2,214,'CENTRO','FLORIANOPOLIS','SC',858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244454,2.00,5.00,4.00,5.00,5.00,6.00,4.00,6.00,2.00,201,102,208,'AGOSTINI','SAO MIGUEL DOESTE','SC',15238,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2244462,4.00,7.00,3.00,7.00,7.00,5.25,6.00,8.00,3.00,5,224,NULL,'TRINDADE','FLORIANOPOLIS','SC',8132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244470,4.00,7.00,6.00,8.00,7.00,6.00,6.00,8.00,5.00,5,301,NULL,'PRESIDENTE MÉDICI','CHAPECO','SC',4263,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2244489,2.00,7.00,6.00,9.00,7.00,5.50,6.00,7.00,3.00,238,108,208,'CARIANOS','FLORIANOPOLIS','SC',5918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244497,3.00,8.00,3.00,8.00,8.00,6.00,7.00,7.00,6.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',4079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244500,2.00,7.00,2.00,5.00,7.00,5.50,5.00,6.00,2.00,108,451,NULL,'SÃO JOSÉ','SAO JOSE','SC',13966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244519,4.00,7.00,4.00,7.00,7.00,7.25,3.00,6.00,3.00,501,234,NULL,'BUDAG','RIO DO SUL','SC',7906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2244527,6.00,9.00,6.00,8.00,7.00,5.75,5.00,8.00,5.00,319,326,NULL,'CENTRO','RIO DO SUL','SC',2939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244535,0.00,7.00,7.00,5.00,6.00,4.75,6.00,3.00,4.00,316,318,NULL,'IPANEMA','PORTO ALEGRE','RS',11819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244543,3.00,6.00,2.00,9.00,4.00,6.25,3.00,4.00,5.00,108,103,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2244551,3.00,4.00,3.00,4.00,5.00,5.50,3.00,5.00,2.00,316,317,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',17284,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2244560,0.00,6.00,2.00,3.00,5.00,5.75,4.00,1.00,4.00,501,502,NULL,'CENTRO','FLORIANOPOLIS','SC',20688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244578,0.00,0.00,1.00,3.00,2.00,NULL,5.00,2.00,3.00,420,108,NULL,'CENTRO','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2244586,2.00,5.00,4.00,5.00,6.00,5.75,5.00,3.00,3.00,444,316,NULL,'CENTRO','FLORIANOPOLIS','SC',14366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2244594,0.00,1.00,2.00,1.00,3.00,NULL,2.00,2.00,1.00,104,202,NULL,'CENTRO','CAMPINAS DO SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(15,2244616,3.00,4.00,0.00,2.00,2.00,NULL,1.00,1.00,0.00,302,223,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244624,1.00,3.00,1.00,6.00,6.00,6.00,1.00,3.00,4.00,319,309,NULL,'SÃO LUIZ','CURITIBANOS','SC',19525,424,213,NULL,NULL,NULL,NULL,4,3),(15,2244632,3.00,7.00,4.00,9.00,8.00,5.50,4.00,7.00,3.00,238,316,208,'ESTREITO','FLORIANOPOLIS','SC',8032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244640,8.00,7.00,9.00,8.00,8.00,7.25,9.00,8.00,7.00,103,108,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244659,6.00,7.00,5.00,8.00,8.00,6.00,6.00,3.00,6.00,103,102,NULL,'REBOUÇAS','CURITIBA','PR',4529,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2244667,2.00,5.00,3.00,5.00,6.00,4.75,5.00,3.00,2.00,444,329,NULL,'CAMPECHE','FLORIANOPOLIS','SC',15829,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2244675,1.00,4.00,4.00,6.00,5.00,6.50,3.00,1.00,3.00,103,104,NULL,'CABEÇUDAS','LAGUNA','SC',18729,2916,1219,NULL,NULL,NULL,NULL,2,10),(15,2244683,2.00,4.00,2.00,4.00,6.00,5.00,4.00,3.00,4.00,317,208,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',17626,299,1074,NULL,NULL,NULL,NULL,4,1),(15,2244691,1.00,3.00,0.00,2.00,4.00,NULL,1.00,2.00,2.00,319,501,NULL,'INDUSTRIAL NORTE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2244713,4.00,7.00,3.00,5.00,9.00,4.75,4.00,5.00,2.00,333,108,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',11683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244730,8.00,8.00,8.00,5.00,9.00,6.50,9.00,7.00,7.00,103,NULL,NULL,'AEROPORTO','ERECHIM','RS',843,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2244748,3.00,7.00,4.00,3.00,5.00,6.50,3.00,5.00,5.00,9,501,NULL,'CENTRO','FLORIANOPOLIS','SC',12575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244756,5.00,7.00,8.00,7.00,9.00,6.75,8.00,5.00,5.00,203,2,220,'SÃO LUIZ','BRUSQUE','SC',2636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244764,2.00,7.00,2.00,3.00,7.00,4.75,3.00,5.00,3.00,212,214,201,'SANTANA','SAO PAULO','SP',15976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244772,4.00,7.00,4.00,6.00,5.00,4.50,5.00,6.00,2.00,103,212,NULL,'BORGES','ANITA GARIBALDI','SC',10917,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2244780,2.00,5.00,2.00,4.00,7.00,6.25,3.00,7.00,2.00,103,303,NULL,'CENTRO','BOM JESUS DO SUL','PR',15948,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2244810,1.00,2.00,1.00,1.00,5.00,NULL,1.00,4.00,1.00,103,202,NULL,'CENTRO','RONDA ALTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2244829,3.00,2.00,5.00,3.00,4.00,3.75,5.00,1.00,2.00,2,203,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'ÓRFÃS','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2244845,2.00,3.00,1.00,3.00,3.00,6.00,3.00,4.00,1.00,103,444,NULL,'ITACORUBI','FLORIANOPOLIS','SC',22088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244853,3.00,6.00,5.00,5.00,8.00,5.25,6.00,8.00,3.00,317,302,NULL,'COSTEIRA','FLORIANOPOLIS','SC',7312,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2244861,2.00,2.00,2.00,3.00,3.00,6.00,3.00,3.00,2.00,102,319,NULL,'CENTRO','JARAGUA DO SUL','SC',22364,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2244870,2.00,6.00,2.00,0.00,3.00,NULL,2.00,3.00,4.00,207,NULL,201,'CENTRO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2244888,2.00,8.00,4.00,7.00,8.00,5.75,8.00,6.00,3.00,310,326,NULL,'PANTANAL','FLORIANOPOLIS','SC',5880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2244900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,304,NULL,'CENTRO','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2244918,2.00,6.00,2.00,3.00,5.00,5.25,4.00,5.00,2.00,203,214,NULL,'CENTRO','FLORIANOPOLIS','SC',19132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244926,3.00,6.00,0.00,4.00,4.00,5.00,4.00,5.00,3.00,316,317,NULL,'BARREIROS','SAO JOSE','SC',18949,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2244934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,333,NULL,'POLICIA RODOVIARIA','ARARANGUA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2244950,5.00,4.00,4.00,1.00,3.00,5.75,6.00,7.00,3.00,5,303,NULL,'SAGRADO CORAÇÃO DE J','LAGES','SC',13795,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2244969,4.00,7.00,5.00,7.00,9.00,6.25,6.00,7.00,6.00,104,103,NULL,'CENTRO','SANTANA DO LIVRAMENTO','RS',4241,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2244977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,502,NULL,'NAZARÉ','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2244985,7.00,7.00,8.00,6.00,6.00,4.25,7.00,6.00,5.00,104,233,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',4515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2244993,6.00,8.00,9.00,5.00,6.00,5.50,6.00,6.00,6.00,203,220,201,'PARQUE DAS PALMEIRAS','CHAPECO','SC',3505,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2245000,3.00,6.00,4.00,1.00,4.00,4.50,3.00,3.00,2.00,207,213,201,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'OURO VERDE','CAMPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2245035,4.00,5.00,3.00,1.00,4.00,5.50,4.00,1.00,3.00,103,9,NULL,'CENTRO','FLORIANOPOLIS','SC',20212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245043,2.00,7.00,2.00,3.00,4.00,4.00,2.00,1.00,3.00,207,201,NULL,'APARECIDA','SANTOS','SP',21971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245051,2.00,8.00,6.00,7.00,9.00,5.75,5.00,6.00,3.00,103,102,NULL,'CENTRO','BRUSQUE','SC',6816,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2245060,4.00,5.00,5.00,7.00,5.00,5.50,6.00,6.00,3.00,208,420,207,'BELA ALIANÇA','SAO BENTO DO SUL','SC',8984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,5,NULL,'COND FLORAIS CUIABA','CUIABA','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2245086,4.00,7.00,7.00,7.00,8.00,5.25,6.00,6.00,4.00,216,215,208,'CENTRO','SANTA MARIA','RS',5668,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2245094,6.00,7.00,5.00,7.00,9.00,7.00,7.00,6.00,5.00,303,415,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',3390,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2245108,4.00,8.00,6.00,9.00,8.00,6.75,5.00,7.00,4.00,233,224,215,'KOBRASOL','SAO JOSE','SC',4083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245116,4.00,5.00,3.00,4.00,5.00,4.75,4.00,4.00,4.00,319,303,NULL,'CENTRO','SAO JORGE D OESTE','PR',16275,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2245124,3.00,8.00,2.00,2.00,6.00,6.50,5.00,6.00,2.00,332,423,NULL,'KOBRASOL','SAO JOSE','SC',14533,74,184,NULL,NULL,NULL,NULL,4,1),(15,2245132,3.00,4.00,1.00,0.00,3.00,4.50,2.00,7.00,0.00,103,NULL,NULL,'BEIRAMAR','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,302,NULL,'JD BQ DE VERSALLES','ARARAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2245175,1.00,3.00,4.00,1.00,6.00,4.00,2.00,4.00,4.00,233,103,203,'CENTRO','MAXIMILIANO DE ALMEIDA','RS',21199,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2245183,6.00,6.00,6.00,3.00,6.00,7.75,4.00,5.00,3.00,212,425,201,'SANTA ISABEL','FORQUILHINHA','SC',9082,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2245191,1.00,5.00,1.00,5.00,6.00,5.50,4.00,4.00,1.00,317,339,NULL,'BARREIROS','SAO JOSE','SC',20588,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2245205,3.00,4.00,1.00,3.00,3.00,NULL,3.00,3.00,0.00,301,425,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245213,3.00,6.00,3.00,3.00,6.00,4.50,4.00,4.00,3.00,207,233,201,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245221,5.00,6.00,7.00,6.00,6.00,7.00,5.00,2.00,4.00,207,319,211,'CENTRO','BALNEARIO CAMBORIU','SC',8618,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2245248,2.00,7.00,6.00,8.00,8.00,6.75,6.00,5.00,4.00,317,224,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',5225,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2245256,2.00,6.00,4.00,7.00,5.00,5.50,3.00,5.00,3.00,304,225,NULL,'COQUEIROS','FLORIANOPOLIS','SC',13750,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2245264,4.00,7.00,2.00,4.00,7.00,6.00,3.00,2.00,5.00,211,501,208,'INTERIOR','PALMITOS','SC',13579,481,443,506,NULL,NULL,NULL,2,4),(15,2245272,4.00,7.00,3.00,4.00,6.00,5.50,7.00,5.00,2.00,102,NULL,NULL,'VENEZA','XANXERE','SC',12094,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2245280,4.00,4.00,3.00,4.00,4.00,5.75,4.00,4.00,2.00,211,501,215,'TABULEIRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2245299,3.00,4.00,3.00,2.00,3.00,5.00,5.00,3.00,3.00,108,215,NULL,'CENTRO','BALNEARIO ARROIO DO SILVA','SC',20213,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2245302,2.00,5.00,6.00,6.00,7.00,6.25,5.00,4.00,5.00,450,103,NULL,'PRAIA GRANDE','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2245310,3.00,4.00,2.00,1.00,3.00,4.25,2.00,4.00,2.00,303,326,NULL,'CENTRO','FLORIANOPOLIS','SC',22213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,451,215,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2245337,4.00,7.00,6.00,6.00,9.00,5.25,6.00,6.00,3.00,103,9,NULL,'CENTRO','ROLANDIA','PR',6889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,203,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2245353,7.00,8.00,3.00,9.00,8.00,5.25,6.00,7.00,3.00,333,234,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',4486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245396,2.00,7.00,4.00,4.00,6.00,5.50,5.00,2.00,2.00,2,203,NULL,'CENTRO','CAPANEMA','PR',17924,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2245400,4.00,5.00,1.00,3.00,2.00,NULL,4.00,3.00,0.00,238,420,207,'BRAGANHOLO','CARAZINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245418,7.00,8.00,7.00,7.00,7.00,6.50,9.00,8.00,8.00,103,102,NULL,'VERDE VALE','SOROCABA','SP',863,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2245426,4.00,5.00,4.00,7.00,5.00,6.25,4.00,2.00,2.00,420,450,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245434,3.00,5.00,1.00,2.00,4.00,4.75,4.00,6.00,4.00,102,207,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,501,NULL,'SÃO MIGUEL','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2245450,8.00,9.00,9.00,8.00,8.00,6.75,10.00,8.00,9.00,216,2,233,'FAZENDA','ITAJAI','SC',46,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2245469,7.00,7.00,8.00,4.00,8.00,4.75,8.00,7.00,3.00,203,238,208,'BARRA DO SAMBAQUI','FLORIANOPOLIS','SC',3162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245477,2.00,7.00,7.00,6.00,6.00,5.00,6.00,7.00,5.00,104,327,NULL,'CENTRO','JACINTO MACHADO','SC',6794,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2245493,6.00,6.00,6.00,3.00,7.00,5.75,6.00,7.00,3.00,203,224,208,'SAO LUIS','JARAGUA DO SUL','SC',7727,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2245507,2.00,6.00,4.00,2.00,7.00,6.25,6.00,4.00,5.00,217,428,NULL,'PORTAL DE DOURADOS','DOURADOS','MS',13294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,415,NULL,'SÃO MARCOS','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2245531,3.00,4.00,0.00,3.00,7.00,3.50,1.00,4.00,3.00,5,427,NULL,'AGUA VERDE','CURITIBA','PR',21539,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2245540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,501,NULL,'CENTRO','LONTRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2245558,3.00,3.00,3.00,2.00,4.00,5.00,3.00,5.00,2.00,108,316,NULL,'CARIANOS','FLORIANOPOLIS','SC',21003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,404,203,'CENTRO','SAO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2245574,3.00,5.00,3.00,1.00,3.00,3.75,3.00,4.00,4.00,208,319,216,'CENTRO','FLORIANOPOLIS','SC',20892,836,943,555,NULL,NULL,NULL,4,1),(15,2245582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,320,NULL,'VILA MANOEL FERREIRA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2245590,2.00,3.00,5.00,8.00,6.00,6.25,6.00,2.00,2.00,103,NULL,NULL,'CENTRO','SAO JOAO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245612,3.00,7.00,3.00,2.00,6.00,6.25,5.00,5.00,1.00,234,333,NULL,'J SANTANA','AMERICANA','SP',15115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245620,3.00,7.00,7.00,7.00,9.00,5.75,6.00,6.00,5.00,103,108,NULL,'CENTRO','CAMPOS NOVOS','SC',4929,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2245639,2.00,5.00,1.00,7.00,5.00,6.75,2.00,4.00,2.00,301,309,NULL,'FUNDOS','BIGUACU','SC',17861,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2245647,1.00,8.00,2.00,5.00,7.00,6.00,4.00,6.00,1.00,207,420,NULL,'VILA CLEMENTINO','SAO PAULO','SP',13494,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2245655,3.00,6.00,5.00,1.00,4.00,4.00,3.00,4.00,2.00,103,207,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245663,4.00,4.00,3.00,6.00,8.00,6.00,6.00,5.00,3.00,211,NULL,233,'CIDADE ALTA','ARARANGUA','SC',9816,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2245671,4.00,5.00,1.00,2.00,3.00,4.50,3.00,3.00,2.00,201,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',21696,1117,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,301,207,'DAS PALMEIRAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2245698,1.00,7.00,3.00,4.00,6.00,4.75,4.00,4.00,3.00,324,444,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',17504,60,514,NULL,NULL,NULL,NULL,2,1),(15,2245701,5.00,5.00,3.00,6.00,6.00,4.25,4.00,3.00,2.00,317,324,NULL,'PICADAS DO SUL','SAO JOSE','SC',16460,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2245710,4.00,6.00,2.00,8.00,6.00,4.75,5.00,6.00,4.00,329,415,NULL,'CENTRO','CANOINHAS','SC',10568,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2245728,0.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,207,5,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2245736,1.00,5.00,4.00,1.00,4.00,NULL,0.00,4.00,1.00,319,9,NULL,'CENTRO','RONDA ALTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2245744,0.00,3.00,0.00,0.00,1.00,NULL,2.00,5.00,3.00,318,404,NULL,'CENTRO','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2245760,1.00,6.00,4.00,5.00,5.00,5.50,3.00,5.00,2.00,327,316,NULL,'SERTÃO DO MARUIM','SAO JOSE','SC',15733,109,1075,NULL,NULL,NULL,NULL,4,1),(15,2245779,2.00,4.00,5.00,7.00,6.00,5.50,3.00,3.00,2.00,208,425,238,'CENTRO','SAO MIGUEL DO IGUACU','PR',16469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,444,NULL,'CENTRO','ENTRE RIOS DO OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2245809,6.00,6.00,4.00,3.00,7.00,6.75,6.00,5.00,2.00,103,101,NULL,'CENTRO','LAGES','SC',10586,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2245817,5.00,8.00,5.00,8.00,7.00,6.00,4.00,6.00,3.00,103,104,NULL,'FAZENDA','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2245825,4.00,6.00,5.00,5.00,5.00,6.75,6.00,4.00,5.00,104,NULL,NULL,'PALMAS DO TREMEMBÉ','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,203,NULL,'CENTRO','MORRO AGUDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2245841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'CENTRO','URAI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2245850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,450,NULL,'MONTE DAS OLIVEIRAS','GUARA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2245868,2.00,6.00,3.00,7.00,3.00,4.50,3.00,5.00,2.00,208,222,216,'ESTREITO','FLORIANOPOLIS','SC',17663,683,183,495,NULL,NULL,NULL,2,1),(15,2245876,3.00,8.00,4.00,2.00,7.00,5.00,4.00,2.00,3.00,208,203,201,'RIO CAVEIRAS','BIGUACU','SC',16886,656,1409,895,NULL,NULL,NULL,4,1),(15,2245884,1.00,4.00,3.00,5.00,5.00,5.00,1.00,4.00,3.00,104,302,NULL,'FAZ STO ANTONIO','SAO JOSE','SC',20837,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2245892,2.00,5.00,2.00,4.00,5.00,4.75,4.00,5.00,1.00,502,501,NULL,'ZONA RURAL','PERITIBA','SC',19847,92,554,NULL,NULL,NULL,NULL,2,7),(15,2245906,6.00,8.00,7.00,7.00,8.00,4.50,8.00,5.00,4.00,450,428,NULL,'TRINDADE','FLORIANOPOLIS','SC',4615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245922,3.00,8.00,6.00,6.00,8.00,7.75,6.00,7.00,4.00,319,308,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',4871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245930,6.00,8.00,8.00,9.00,7.00,6.25,9.00,6.00,8.00,203,NULL,208,'CENTRO','UNIAO DA VITORIA','PR',1233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2245949,5.00,5.00,4.00,3.00,6.00,6.00,7.00,5.00,5.00,102,501,NULL,'OFICINAS','TUBARAO','SC',11314,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2245957,3.00,7.00,6.00,5.00,7.00,6.50,5.00,7.00,4.00,103,415,NULL,'SANTA TEREZINHA','PATO BRANCO','PR',5886,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2245965,5.00,8.00,8.00,6.00,9.00,6.00,7.00,9.00,8.00,103,216,NULL,'JARDIM LINDÓIA','GOIOERE','PR',1136,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2245973,5.00,5.00,2.00,6.00,6.00,6.00,5.00,7.00,5.00,333,NULL,NULL,'CENTRO','PELOTAS','RS',8489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2245981,3.00,7.00,6.00,4.00,8.00,6.50,6.00,6.00,5.00,420,327,NULL,'CENTRO','ARARANGUA','SC',6827,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2245990,2.00,7.00,3.00,4.00,5.00,5.50,5.00,4.00,4.00,317,324,NULL,'CENTRO','FLORIANOPOLIS','SC',14947,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2246007,1.00,8.00,2.00,6.00,6.00,5.00,2.00,4.00,2.00,103,102,NULL,'CENTRO','LAGES','SC',16906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2246015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,2,213,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2246023,2.00,6.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,222,224,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2246031,4.00,7.00,4.00,3.00,5.00,5.00,6.00,7.00,4.00,202,238,213,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',10299,395,897,168,NULL,NULL,NULL,4,1),(15,2246040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,333,NULL,'CENTRO','ARARANGUA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2246058,6.00,7.00,6.00,5.00,8.00,6.00,7.00,6.00,4.00,220,203,202,'JARDIM UIRÁ','SAO JOSE DOS CAMPOS','SP',4636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2246066,4.00,6.00,7.00,6.00,8.00,6.00,6.00,4.00,8.00,103,102,NULL,'MERCES','CURITIBA','PR',4363,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2246074,4.00,7.00,3.00,4.00,7.00,4.75,4.00,5.00,3.00,104,423,NULL,'CENTRO','FLORIANOPOLIS','SC',12236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2246082,4.00,6.00,6.00,7.00,6.00,6.00,6.00,5.00,4.00,104,220,NULL,'CENTRO','RIO DO SUL','SC',6300,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2246090,7.00,9.00,8.00,8.00,8.00,6.50,7.00,8.00,7.00,103,316,NULL,'FAZENDA','ITAJAI','SC',407,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2246112,6.00,8.00,7.00,7.00,8.00,4.00,8.00,8.00,4.00,220,202,213,'IPASE','VARZEA GRANDE','MT',3340,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2246120,4.00,6.00,4.00,1.00,4.00,6.25,4.00,3.00,2.00,203,216,233,'RIO BRANCO','BRUSQUE','SC',18123,1063,800,410,NULL,NULL,NULL,4,1),(15,2246139,2.00,6.00,6.00,6.00,7.00,6.25,5.00,5.00,2.00,333,420,NULL,'CENTRO','ITA','SC',10293,121,642,NULL,NULL,NULL,NULL,2,4),(15,2246147,8.00,7.00,5.00,6.00,8.00,5.50,4.00,5.00,3.00,215,216,211,'PARQUE DAS PALMEIRAS','CHAPECO','SC',6744,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2246155,2.00,7.00,2.00,2.00,5.00,4.00,4.00,4.00,2.00,9,420,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',19182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2246163,1.00,4.00,5.00,9.00,5.00,6.50,4.00,4.00,5.00,208,201,238,'GLORIA','JOINVILLE','SC',12592,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(15,2246171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2246198,5.00,8.00,8.00,5.00,6.00,8.25,8.00,7.00,7.00,103,104,NULL,'CENTRO','ABELARDO LUZ','SC',2199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2246210,3.00,3.00,2.00,1.00,4.00,5.00,4.00,3.00,3.00,102,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2246228,1.00,5.00,1.00,0.00,3.00,NULL,3.00,2.00,2.00,415,301,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2246236,6.00,9.00,5.00,8.00,9.00,7.00,8.00,7.00,7.00,220,216,203,'MANSÕES DO CAMPUS','GOIANIA','GO',1317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2246244,3.00,7.00,2.00,6.00,7.00,6.75,2.00,7.00,2.00,207,316,212,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',12806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2246260,4.00,7.00,5.00,7.00,7.00,6.00,8.00,8.00,2.00,103,104,NULL,'PANAZZOLO','CAXIAS DO SUL','RS',4870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2246279,2.00,6.00,3.00,4.00,8.00,6.50,4.00,3.00,2.00,308,429,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',15369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2246287,0.00,0.00,0.00,0.00,0.00,NULL,1.00,1.00,2.00,101,326,NULL,'BARRA DO ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2246295,4.00,6.00,0.00,3.00,6.00,5.00,5.00,5.00,2.00,404,326,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',18051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2246309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,103,NULL,'CENTRO','SALETE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2246317,1.00,2.00,2.00,3.00,4.00,3.75,2.00,3.00,4.00,333,316,NULL,'PAES LEME','IMBITUBA','SC',22335,428,1277,NULL,NULL,NULL,NULL,2,10),(15,2246325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2246333,0.00,5.00,2.00,1.00,5.00,NULL,3.00,2.00,2.00,9,NULL,NULL,'RECANTO DO BOSQUE','CAMPO VERDE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2246341,7.00,7.00,6.00,5.00,6.00,4.75,7.00,7.00,7.00,201,211,212,'COPAVILA II','CAMPO GRANDE','MS',4408,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2246350,8.00,8.00,7.00,6.00,8.00,4.50,7.00,6.00,7.00,103,425,NULL,'CENTRO','FLORIANOPOLIS','SC',2526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2246368,2.00,3.00,1.00,1.00,4.00,NULL,1.00,3.00,1.00,104,102,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2246376,7.00,9.00,9.00,8.00,7.00,6.75,9.00,8.00,7.00,103,102,NULL,'CENTRO','TAIO','SC',464,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2246392,5.00,7.00,4.00,5.00,6.00,4.75,6.00,4.00,2.00,103,101,NULL,'HUMAITA','TUBARAO','SC',11588,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2246406,3.00,7.00,3.00,5.00,6.00,6.75,5.00,6.00,3.00,211,333,215,'CENTRO','CONCORDIA','SC',10774,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2246414,1.00,5.00,3.00,5.00,6.00,5.00,3.00,2.00,1.00,502,316,NULL,'MARIA GORETTI','CHAPECO','SC',19632,90,1205,NULL,NULL,NULL,NULL,2,4),(15,2246422,3.00,8.00,3.00,8.00,5.00,5.00,5.00,0.00,2.00,102,101,NULL,'BOM RETIRO','JOINVILLE','SC',16294,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2246430,4.00,8.00,5.00,5.00,7.00,6.75,3.00,4.00,3.00,319,451,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',10736,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2246449,3.00,5.00,2.00,7.00,8.00,5.50,6.00,5.00,2.00,450,327,NULL,'PARQUE DO IPÊ','PINDAMONHANGABA','SP',11132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2246457,3.00,5.00,5.00,6.00,8.00,4.50,7.00,6.00,3.00,207,303,211,'LAGO SUL','LAGO SUL','DF',9954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2246473,5.00,6.00,3.00,4.00,6.00,4.00,4.00,3.00,2.00,234,207,NULL,'SAGUAÇU','JOINVILLE','SC',16401,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2246481,4.00,5.00,7.00,4.00,8.00,6.00,5.00,7.00,4.00,303,104,NULL,'BOSQUE DA SAÚDE','CUIABA','MT',7736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2246490,2.00,7.00,6.00,3.00,9.00,5.25,6.00,6.00,3.00,211,234,238,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',9177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2246503,1.00,7.00,5.00,4.00,7.00,3.00,6.00,7.00,2.00,333,215,NULL,'JOÃO BRÁZ','VICOSA','MG',10799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2246511,3.00,5.00,0.00,4.00,4.00,6.50,1.00,3.00,3.00,103,101,NULL,'CIDADE NOVA','GUARANTA DO NORTE','MT',20975,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2246520,3.00,7.00,1.00,4.00,7.00,6.25,4.00,6.00,1.00,429,324,425,'CENTRO','CRICIUMA','SC',14448,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2246546,4.00,4.00,2.00,2.00,5.00,6.75,4.00,2.00,3.00,303,5,NULL,'POTECAS','SAO JOSE','SC',19063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2246554,3.00,4.00,3.00,4.00,2.00,NULL,1.00,3.00,1.00,333,332,NULL,'AMARAL RIBEIRO','SAPIRANGA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2246562,3.00,8.00,5.00,5.00,7.00,6.50,3.00,5.00,4.00,444,108,NULL,'FREI BRUNO','JOACABA','SC',10969,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2246570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'VILA TARUMÃ','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2246589,7.00,9.00,7.00,8.00,9.00,7.50,9.00,8.00,6.00,203,327,214,'ITACORUBI','FLORIANOPOLIS','SC',647,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2246600,3.00,8.00,2.00,7.00,6.00,5.50,5.00,7.00,5.00,304,319,NULL,'COPAVILA II','CAMPO GRANDE','MS',10021,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2246619,4.00,4.00,7.00,7.00,9.00,7.00,5.00,5.00,4.00,319,309,NULL,'CENTRO','JOINVILLE','SC',5815,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2246627,5.00,8.00,7.00,6.00,9.00,7.50,8.00,6.00,6.00,203,225,201,'GUANABARA','FRANCISCO BELTRAO','PR',1948,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2246635,7.00,7.00,8.00,6.00,8.00,7.00,9.00,6.00,5.00,103,9,NULL,'CENTRO','FLORIANOPOLIS','SC',1978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2246643,4.00,4.00,3.00,6.00,5.00,5.00,4.00,4.00,4.00,207,420,208,'PRAIA COMPRIDA','SAO JOSE','SC',14850,718,757,565,NULL,NULL,NULL,4,1),(15,2246651,2.00,3.00,1.00,7.00,7.00,6.00,2.00,2.00,3.00,5,317,NULL,'ESTREITO','FLORIANOPOLIS','SC',18845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2246660,4.00,2.00,3.00,2.00,5.00,5.25,4.00,3.00,5.00,103,101,NULL,'SÃO BERNARDO','CAMPINAS','SP',18398,2890,701,NULL,NULL,NULL,NULL,4,1),(15,2246678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,326,423,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2246686,2.00,6.00,4.00,4.00,4.00,5.75,4.00,5.00,1.00,238,208,201,'CENTRO','JOINVILLE','SC',18405,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2246694,3.00,8.00,5.00,6.00,7.00,6.25,6.00,7.00,7.00,207,450,NULL,'JARDIM CUPECÊ','SAO PAULO','SP',5774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2246708,3.00,4.00,2.00,4.00,6.00,3.00,5.00,5.00,3.00,103,104,NULL,'CENTRO','CRICIUMA','SC',16027,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2246716,4.00,5.00,0.00,4.00,4.00,2.00,2.00,3.00,2.00,224,421,NULL,'PONTA DE BAIXO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2246724,4.00,6.00,2.00,4.00,6.00,5.00,6.00,4.00,3.00,238,317,NULL,'SANTA CATARINA','JOINVILLE','SC',14227,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2246732,3.00,8.00,3.00,8.00,6.00,5.50,4.00,5.00,2.00,217,9,NULL,'CENTRO','FLORIANOPOLIS','SC',10924,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2246740,3.00,8.00,0.00,6.00,7.00,7.25,1.00,7.00,4.00,302,317,NULL,'ESTREITO','FLORIANOPOLIS','SC',11809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2246759,3.00,7.00,6.00,7.00,7.00,6.50,6.00,4.00,3.00,103,319,NULL,'CENTRO','BANDEIRANTES','PR',8384,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2246767,2.00,7.00,4.00,5.00,7.00,6.00,6.00,4.00,3.00,207,420,233,'CENTRO','LAGES','SC',11729,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2246775,2.00,8.00,3.00,6.00,6.00,7.00,4.00,6.00,2.00,316,317,NULL,'CENTRO','SAO JOSE','SC',10892,271,503,NULL,NULL,NULL,NULL,2,1),(15,2246783,2.00,6.00,0.00,3.00,2.00,NULL,1.00,5.00,2.00,201,202,NULL,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2246805,4.00,5.00,7.00,9.00,9.00,7.75,4.00,6.00,4.00,415,420,NULL,'ZONA SETE','MARINGA','PR',4582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2246813,1.00,6.00,2.00,3.00,4.00,5.00,2.00,7.00,4.00,324,502,NULL,'CARAVAGIO','NOVA VENEZA','SC',19228,82,318,NULL,NULL,NULL,NULL,2,5),(15,2246821,2.00,7.00,0.00,5.00,7.00,5.75,3.00,4.00,1.00,215,501,211,'BELA VISTA','BRACO DO NORTE','SC',17684,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2246848,2.00,8.00,3.00,5.00,5.00,4.50,4.00,3.00,4.00,215,301,216,'ZONA II','UMUARAMA','PR',15826,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2246856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,319,NULL,'VOLTA GRANDE','FARROUPILHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2246864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'VILA MARIANA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2246872,3.00,7.00,3.00,4.00,8.00,5.50,6.00,6.00,3.00,103,104,NULL,'CENTRO','IBAITI','PR',10036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2246880,6.00,7.00,7.00,5.00,7.00,4.50,7.00,7.00,6.00,211,NULL,216,'BATEL','CURITIBA','PR',4633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2246899,3.00,6.00,1.00,4.00,6.00,5.00,2.00,4.00,2.00,308,423,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',18286,108,220,NULL,NULL,NULL,NULL,4,1),(15,2246902,3.00,6.00,5.00,7.00,6.00,4.75,5.00,6.00,4.00,220,202,203,'JARDIM ALVORADA','MARECHAL CANDIDO RONDON','PR',9602,399,845,732,NULL,NULL,NULL,4,1),(15,2246910,4.00,8.00,4.00,8.00,8.00,5.50,6.00,6.00,4.00,207,420,211,'CARVOEIRA','FLORIANOPOLIS','SC',5173,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2246929,0.00,6.00,4.00,5.00,5.00,4.25,3.00,3.00,3.00,224,222,NULL,'CENTRO','TUBARAO','SC',19990,73,212,NULL,NULL,NULL,NULL,2,10),(15,2246937,3.00,8.00,3.00,5.00,5.00,5.00,6.00,4.00,2.00,5,339,NULL,'CENTRO','JOACABA','SC',14243,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2246945,3.00,9.00,2.00,4.00,8.00,5.75,6.00,8.00,3.00,201,233,NULL,'AMIZADE','JARAGUA DO SUL','SC',7574,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2246953,3.00,6.00,4.00,5.00,6.00,4.75,7.00,5.00,4.00,212,208,NULL,'CENTRO','JOINVILLE','SC',11638,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2246961,5.00,6.00,3.00,5.00,5.00,5.25,6.00,7.00,3.00,319,9,NULL,'SANTOS DUMONT','SAO JOSE','SC',10556,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2246970,2.00,3.00,3.00,5.00,4.00,5.50,3.00,6.00,3.00,319,101,NULL,'KOBRASOL','SAO JOSE','SC',17703,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2246988,3.00,6.00,2.00,3.00,3.00,4.00,2.00,2.00,2.00,101,9,NULL,'VILA NOVA','IMBITUBA','SC',22281,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2246996,4.00,8.00,1.00,9.00,9.00,6.25,7.00,6.00,3.00,104,102,NULL,'VILA NOVA','IMBITUBA','SC',5829,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2247011,3.00,7.00,5.00,7.00,6.00,3.75,7.00,7.00,5.00,310,304,NULL,'CTAEROESPACIAL','SAO JOSE DOS CAMPOS','SP',6500,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247020,3.00,4.00,2.00,7.00,7.00,4.50,3.00,4.00,5.00,104,9,NULL,'PINTO','PALMEIRA DAS MISSOES','RS',15621,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2247046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,308,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2247054,6.00,7.00,5.00,9.00,6.00,7.00,5.00,4.00,6.00,215,NULL,233,'CENTRO','FLORIANOPOLIS','SC',4133,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247062,3.00,7.00,5.00,6.00,6.00,4.25,9.00,6.00,4.00,2,333,NULL,'CENTRO','PORTO ALEGRE','RS',7383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,301,NULL,'ARAMAÇÃO DA PIEDADE','GOVERNADOR CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2247097,4.00,7.00,3.00,5.00,9.00,6.25,5.00,5.00,4.00,207,326,NULL,'ESTREITO','FLORIANOPOLIS','SC',8943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247100,1.00,7.00,5.00,7.00,6.00,5.00,4.00,6.00,3.00,233,216,NULL,'JURERÊ','FLORIANOPOLIS','SC',11404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247119,4.00,7.00,1.00,8.00,7.00,5.25,4.00,6.00,2.00,102,217,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2247127,7.00,8.00,8.00,8.00,8.00,5.50,9.00,6.00,6.00,207,223,212,'SACO GRANDE','FLORIANOPOLIS','SC',1300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,450,NULL,'JUVEVÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2247143,6.00,7.00,3.00,1.00,6.00,6.50,2.00,5.00,2.00,101,102,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',16056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247151,4.00,5.00,7.00,9.00,6.00,4.50,6.00,3.00,2.00,450,421,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',9865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247160,1.00,8.00,6.00,6.00,5.00,4.50,5.00,4.00,4.00,201,207,238,'PICADAS DO SUL','SAO JOSE','SC',11567,640,1163,403,NULL,NULL,NULL,2,1),(15,2247186,7.00,8.00,9.00,7.00,7.00,8.50,8.00,9.00,7.00,103,333,NULL,'BAUXITA','OURO PRETO','MG',323,185,437,NULL,NULL,NULL,NULL,4,1),(15,2247194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,202,203,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2247216,5.00,6.00,7.00,5.00,8.00,4.75,7.00,8.00,5.00,303,5,NULL,'CENTRO JOINVILLE','JOINVILLE','SC',4043,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2247224,1.00,3.00,1.00,0.00,5.00,NULL,2.00,5.00,2.00,104,5,NULL,'JARDIM SOCIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2247232,3.00,5.00,4.00,4.00,6.00,4.00,6.00,5.00,2.00,202,NULL,NULL,'CENTRO','XAVANTINA','SC',16975,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2247240,2.00,5.00,2.00,6.00,4.00,5.50,2.00,3.00,2.00,203,225,233,'MONTE VERDE','FLORIANOPOLIS','SC',18752,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247259,3.00,3.00,1.00,1.00,5.00,NULL,2.00,4.00,0.00,101,215,NULL,'ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247267,1.00,3.00,3.00,5.00,6.00,6.00,3.00,2.00,1.00,429,301,NULL,'INGLESES','FLORIANOPOLIS','SC',21570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247275,2.00,4.00,1.00,4.00,6.00,6.75,3.00,2.00,2.00,108,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',21225,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247283,4.00,5.00,3.00,6.00,6.00,7.25,4.00,3.00,5.00,429,308,423,'CAMPINAS','SAO JOSE','SC',12731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247291,4.00,7.00,2.00,9.00,7.00,6.75,7.00,9.00,4.00,103,104,NULL,'CENTRO','GETULIO VARGAS','RS',4647,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2247305,6.00,4.00,5.00,5.00,7.00,5.50,5.00,3.00,5.00,108,333,NULL,'CENTRO','CRICIUMA','SC',11015,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2247313,4.00,5.00,3.00,5.00,8.00,5.75,4.00,4.00,4.00,103,420,NULL,'CENTRO','PATO BRANCO','PR',11814,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2247330,5.00,8.00,2.00,6.00,9.00,3.25,6.00,5.00,3.00,217,333,NULL,'CENTRO','CRICIUMA','SC',9043,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2247348,4.00,5.00,3.00,0.00,5.00,5.25,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',20926,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2247356,2.00,6.00,5.00,8.00,6.00,6.25,7.00,5.00,4.00,317,324,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',8162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247364,7.00,9.00,7.00,7.00,7.00,5.75,8.00,9.00,7.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',1518,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2247372,5.00,8.00,6.00,7.00,8.00,3.75,8.00,7.00,3.00,316,317,NULL,'GUARANI','BRUSQUE','SC',4863,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247399,3.00,6.00,3.00,1.00,4.00,7.25,4.00,4.00,5.00,108,501,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',16075,357,489,NULL,NULL,NULL,NULL,4,1),(15,2247402,5.00,6.00,8.00,9.00,7.00,6.00,7.00,8.00,3.00,201,217,211,'AGRONÔMICA','FLORIANOPOLIS','SC',2966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247410,2.00,8.00,1.00,6.00,6.00,6.00,4.00,5.00,1.00,429,302,425,'CANASVIEIRAS','FLORIANOPOLIS','SC',15496,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247429,1.00,8.00,4.00,5.00,5.00,5.50,4.00,6.00,1.00,450,333,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',14436,151,817,NULL,NULL,NULL,NULL,4,1),(15,2247437,7.00,9.00,7.00,8.00,5.00,7.00,5.00,4.00,4.00,303,214,NULL,'CENTRO','FLORIANOPOLIS','SC',4732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247445,7.00,8.00,8.00,8.00,8.00,4.50,9.00,8.00,7.00,450,426,NULL,'VALE DAS ARAUCÁRIAS','LONDRINA','PR',991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247453,5.00,8.00,8.00,9.00,9.00,6.50,9.00,7.00,6.00,303,5,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247461,5.00,8.00,4.00,7.00,9.00,6.50,4.00,4.00,3.00,104,238,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',7631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247470,1.00,5.00,4.00,6.00,5.00,5.50,3.00,2.00,2.00,202,333,238,'ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC',17907,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247496,5.00,6.00,2.00,1.00,5.00,5.00,4.00,5.00,3.00,319,5,NULL,'PENHA','PAULO LOPES','SC',18326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247518,1.00,4.00,1.00,5.00,3.00,4.25,2.00,3.00,3.00,104,326,NULL,'ROÇADO','SAO JOSE','SC',22149,728,343,NULL,NULL,NULL,NULL,2,1),(15,2247526,4.00,7.00,7.00,6.00,6.00,5.00,6.00,5.00,5.00,103,104,NULL,'UBERABA','CURITIBA','PR',7175,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247534,5.00,7.00,3.00,0.00,5.00,5.25,4.00,2.00,3.00,104,211,NULL,'CENTRO','NOVA TRENTO','SC',18311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247542,4.00,4.00,5.00,4.00,5.00,3.75,5.00,3.00,5.00,108,103,NULL,'VILA MARIANA','SAO PAULO','SP',16634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247550,3.00,4.00,4.00,2.00,4.00,5.50,3.00,4.00,3.00,103,316,NULL,'COQUEIROS','FLORIANOPOLIS','SC',18704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247569,2.00,6.00,1.00,1.00,3.00,NULL,1.00,2.00,1.00,339,328,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247577,1.00,5.00,2.00,3.00,5.00,4.25,3.00,5.00,3.00,301,316,NULL,'ALTO ARIRIÚ','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247585,3.00,3.00,0.00,7.00,4.00,5.50,4.00,3.00,2.00,303,331,NULL,'CENTRO','ICARA','SC',19988,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2247593,5.00,7.00,3.00,6.00,9.00,6.50,4.00,5.00,3.00,211,304,215,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',8865,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247607,2.00,6.00,4.00,7.00,4.00,5.25,6.00,6.00,3.00,5,318,NULL,'AREIAS','SAO JOSE','SC',12309,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUTTIERREZ','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2247631,6.00,7.00,4.00,6.00,7.00,5.50,7.00,7.00,4.00,103,428,NULL,'CARIANOS','FLORIANOPOLIS','SC',5961,1627,141,NULL,NULL,NULL,NULL,4,1),(15,2247640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2247658,0.00,4.00,2.00,3.00,5.00,NULL,2.00,3.00,1.00,450,329,NULL,'CENTRO','LARANJEIRAS DO SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247666,4.00,5.00,1.00,2.00,3.00,5.25,4.00,3.00,3.00,501,502,NULL,'MARTORANO','SAO JOAQUIM','SC',21138,289,353,NULL,NULL,NULL,NULL,2,9),(15,2247690,4.00,6.00,6.00,4.00,6.00,7.75,5.00,6.00,4.00,211,102,215,'CENTRO','TUBARAO','SC',7664,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2247704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,103,NULL,'CENTRO','LARANJEIRAS DO SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2247720,2.00,8.00,3.00,2.00,7.00,6.50,2.00,4.00,4.00,415,450,NULL,'BARREIROS','SAO JOSE','SC',15940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247739,1.00,5.00,2.00,4.00,6.00,5.00,3.00,4.00,2.00,424,427,423,'RIO VERMELHO','FLORIANOPOLIS','SC',19185,76,207,77,NULL,NULL,NULL,3,1),(15,2247755,3.00,7.00,4.00,6.00,9.00,6.00,6.00,4.00,3.00,303,5,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',8074,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,223,NULL,'JARDIM BELA VISTA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2247771,2.00,3.00,4.00,3.00,5.00,4.75,2.00,4.00,2.00,217,223,NULL,'TAPERA','FLORIANOPOLIS','SC',21527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247780,2.00,6.00,6.00,9.00,7.00,4.25,7.00,4.00,2.00,301,316,NULL,'LIBERDADE','SAO PAULO','SP',9928,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2247798,2.00,3.00,1.00,2.00,3.00,NULL,3.00,2.00,2.00,302,208,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247810,5.00,6.00,4.00,6.00,8.00,5.00,5.00,5.00,1.00,103,428,NULL,'VILA NOVA ALTA','BRACO DO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247828,0.00,3.00,2.00,4.00,4.00,4.50,4.00,3.00,3.00,333,451,NULL,'N S DAS GRAÇAS','PONTA GROSSA','PR',21423,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247836,0.00,4.00,3.00,1.00,5.00,NULL,1.00,2.00,2.00,308,309,NULL,'CENTRO','MAJOR GERCINO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2247844,3.00,3.00,1.00,4.00,1.00,NULL,2.00,4.00,2.00,339,428,NULL,'DONA WANDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247852,3.00,5.00,1.00,3.00,7.00,5.50,4.00,1.00,2.00,9,333,NULL,'CENTRO','FLORIANOPOLIS','SC',19879,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247860,5.00,8.00,2.00,6.00,3.00,5.50,5.00,7.00,1.00,420,423,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',12502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247879,5.00,7.00,4.00,7.00,7.00,7.50,5.00,6.00,4.00,427,451,424,'TRINDADE','FLORIANOPOLIS','SC',5813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2247887,0.00,7.00,2.00,2.00,6.00,4.00,3.00,4.00,4.00,5,9,NULL,'UNIVERSITÁRIO','CRICIUMA','SC',19837,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2247895,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,404,339,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2247909,4.00,8.00,5.00,6.00,7.00,5.75,7.00,5.00,8.00,103,420,NULL,'BOQUEIRÃO','SANTOS','SP',3950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2247917,2.00,4.00,3.00,6.00,9.00,5.50,3.00,4.00,1.00,104,101,NULL,'DEMBOSKI','CRICIUMA','SC',16100,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2247925,3.00,7.00,5.00,8.00,9.00,7.00,4.00,6.00,3.00,207,420,201,'JARDIM PERY','SAO PAULO','SP',6502,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2247933,5.00,6.00,3.00,5.00,7.00,6.75,4.00,6.00,4.00,201,207,NULL,'TABULEIRO','CAMBORIU','SC',9812,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2247950,3.00,6.00,6.00,4.00,4.00,7.00,7.00,9.00,4.00,212,213,214,'VILA MADALENA','SAO PAULO','SP',7036,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2247968,4.00,6.00,2.00,4.00,4.00,6.50,2.00,3.00,1.00,225,324,NULL,'SÃO CRISTOVÃO','VIDEIRA','SC',19096,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2247976,4.00,6.00,6.00,5.00,8.00,6.25,8.00,4.00,3.00,103,216,NULL,'CENTRO','MARINGA','PR',7550,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2247984,4.00,7.00,2.00,6.00,5.00,7.25,3.00,4.00,4.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',12796,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2248000,6.00,7.00,6.00,5.00,8.00,6.00,8.00,7.00,4.00,208,423,238,'BARREIROS','SAO JOSE','SC',3814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248026,2.00,4.00,4.00,3.00,4.00,3.50,2.00,4.00,3.00,216,217,NULL,'VILA NOVA','LAGES','SC',21951,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2248034,1.00,4.00,2.00,2.00,4.00,NULL,2.00,3.00,2.00,5,339,NULL,'PRAINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248042,3.00,6.00,5.00,7.00,5.00,6.00,7.00,6.00,5.00,202,208,220,'METROPOL','CRICIUMA','SC',7776,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2248050,3.00,3.00,3.00,0.00,6.00,4.75,4.00,4.00,1.00,502,234,NULL,'AZAMBUJA','BRUSQUE','SC',21378,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2248069,3.00,7.00,3.00,6.00,8.00,5.00,5.00,5.00,4.00,201,208,207,'PASSO DOS FORTES','CHAPECO','SC',8656,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2248077,3.00,5.00,3.00,5.00,5.00,4.50,3.00,4.00,1.00,234,502,NULL,'CAMPINAS','SAO JOSE','SC',18754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248085,3.00,4.00,1.00,4.00,6.00,4.00,2.00,5.00,1.00,301,NULL,NULL,'VISTA VERDE','SAO JOSE DOS CAMPOS','SP',21172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248093,5.00,8.00,8.00,9.00,8.00,6.25,9.00,8.00,6.00,5,303,NULL,'JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP',500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248107,3.00,3.00,3.00,2.00,4.00,NULL,2.00,2.00,1.00,103,9,NULL,'DISTRIRO PALERMO','LAURO MULLER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(15,2248115,4.00,7.00,6.00,5.00,6.00,4.50,6.00,6.00,5.00,415,319,NULL,'BARRA DO RIO MOLHA','JARAGUA DO SUL','SC',7208,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2248123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,222,NULL,'PICADAS DO SUL','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2248131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,324,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2248140,4.00,5.00,5.00,7.00,5.00,5.75,4.00,2.00,6.00,333,234,NULL,'CENTRO','ENEAS MARQUES','PR',13055,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2248166,2.00,6.00,1.00,5.00,5.00,3.50,2.00,3.00,1.00,308,224,NULL,'ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC',21791,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248174,3.00,5.00,1.00,7.00,5.00,5.00,3.00,6.00,5.00,319,404,NULL,'INGLESES','FLORIANOPOLIS','SC',13601,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248182,6.00,7.00,7.00,5.00,7.00,6.25,9.00,6.00,7.00,233,214,220,'PLANALTO PAULISTA','SAO PAULO','SP',2474,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248190,6.00,9.00,8.00,7.00,8.00,6.25,8.00,8.00,5.00,316,301,NULL,'SANTINHO','FLORIANOPOLIS','SC',1030,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248204,3.00,7.00,5.00,7.00,6.00,4.75,5.00,6.00,3.00,5,421,NULL,'CENTRO','FLORIANOPOLIS','SC',7807,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248212,4.00,6.00,3.00,7.00,6.00,6.25,6.00,6.00,5.00,326,450,NULL,'NOVA BRASÍLIA','IMBITUBA','SC',7728,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2248239,0.00,3.00,1.00,0.00,3.00,NULL,3.00,2.00,1.00,317,316,NULL,'JARDIM ELDORADO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248247,2.00,5.00,5.00,2.00,3.00,4.50,3.00,2.00,2.00,427,224,NULL,'KOBRASOL','SAO JOSE','SC',21647,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248255,3.00,4.00,3.00,1.00,6.00,5.00,4.00,2.00,2.00,319,328,NULL,'URBANOVA','SAO JOSE DOS CAMPOS','SP',20366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248263,6.00,8.00,3.00,6.00,7.00,5.00,7.00,7.00,6.00,103,104,NULL,'CENTRO','APUCARANA','PR',4959,1425,933,NULL,NULL,NULL,NULL,2,8),(15,2248271,7.00,7.00,6.00,9.00,9.00,3.00,6.00,6.00,6.00,103,215,NULL,'ATIRADORES','JOINVILLE','SC',3404,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2248280,6.00,8.00,2.00,7.00,5.00,7.00,4.00,6.00,3.00,415,333,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',7642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248298,2.00,8.00,4.00,4.00,6.00,5.00,6.00,6.00,3.00,215,108,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248301,6.00,8.00,7.00,7.00,7.00,7.50,5.00,7.00,6.00,316,318,NULL,'CENTRO','PINHALZINHO','SC',2838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248310,3.00,6.00,2.00,0.00,2.00,NULL,3.00,4.00,3.00,331,309,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'PINHEIROS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2248336,5.00,7.00,4.00,6.00,7.00,6.00,4.00,7.00,3.00,303,214,NULL,'CENTRO','HERVAL D OESTE','SC',7852,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2248344,4.00,7.00,4.00,8.00,6.00,7.25,5.00,7.00,3.00,319,425,NULL,'TRINDADE','FLORIANOPOLIS','SC',8101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248360,9.00,7.00,6.00,6.00,6.00,5.50,9.00,7.00,7.00,103,328,NULL,'GIOCONDO ORSI','CAMPO GRANDE','MS',2468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248379,4.00,8.00,5.00,6.00,9.00,4.75,7.00,8.00,2.00,103,101,NULL,'DOM BOSCO','ITAJAI','SC',5784,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2248387,2.00,5.00,3.00,3.00,5.00,5.25,4.00,2.00,2.00,207,108,NULL,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2248409,1.00,3.00,2.00,6.00,5.00,5.25,3.00,3.00,1.00,108,319,NULL,'NOVA BRASÍLIA','JARAGUA DO SUL','SC',19888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248417,4.00,7.00,4.00,7.00,8.00,5.25,6.00,7.00,5.00,316,332,NULL,'ABRAÃO','FLORIANOPOLIS','SC',5786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248425,5.00,9.00,8.00,7.00,8.00,9.75,7.00,8.00,7.00,220,223,233,'CENTRO','FLORIANOPOLIS','SC',633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248433,3.00,4.00,3.00,4.00,7.00,5.00,1.00,3.00,2.00,339,420,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',20169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248441,4.00,7.00,2.00,4.00,6.00,5.75,4.00,6.00,2.00,318,324,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',12199,136,190,NULL,NULL,NULL,NULL,2,1),(15,2248450,3.00,2.00,3.00,7.00,5.00,6.50,3.00,4.00,4.00,208,214,213,'PROGRESSO','RIO DO SUL','SC',15811,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2248468,4.00,7.00,2.00,7.00,8.00,6.50,5.00,7.00,3.00,310,108,NULL,'SETOR SUL','GOIANIA','GO',8498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248476,8.00,9.00,5.00,8.00,7.00,6.00,8.00,7.00,6.00,103,104,NULL,'CENTRO','CURITIBA','PR',1095,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2248484,5.00,7.00,4.00,6.00,6.00,7.75,6.00,7.00,4.00,451,450,NULL,'INGLESES','FLORIANOPOLIS','SC',5674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248492,5.00,7.00,3.00,7.00,6.00,7.00,3.00,5.00,2.00,423,426,424,'JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP',9568,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248506,4.00,8.00,7.00,8.00,9.00,6.50,8.00,6.00,3.00,103,301,NULL,'COMERCIÁRIO','CRICIUMA','SC',3360,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2248514,2.00,7.00,5.00,6.00,6.00,4.25,3.00,6.00,1.00,203,9,207,'UNIVERSITÁRIO','LAGES','SC',14260,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2248522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,324,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2248530,9.00,8.00,2.00,5.00,6.00,7.00,5.00,7.00,5.00,103,NULL,NULL,'SAO LOURENÇO','CURITIBA','PR',5446,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2248549,3.00,6.00,4.00,6.00,8.00,4.25,5.00,4.00,3.00,303,301,NULL,'CENTRO','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2248557,2.00,4.00,5.00,0.00,0.00,NULL,4.00,7.00,2.00,208,302,NULL,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,4),(15,2248565,3.00,9.00,7.00,9.00,9.00,6.75,7.00,5.00,4.00,104,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',3158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'CENTRO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2248581,1.00,3.00,2.00,5.00,4.00,5.00,2.00,2.00,2.00,5,308,NULL,'ESTREITO','FLORIANOPOLIS','SC',22269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248590,5.00,8.00,3.00,6.00,5.00,4.75,3.00,7.00,1.00,208,317,211,'TRINDADE','FLORIANOPOLIS','SC',12403,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248603,0.00,2.00,3.00,0.00,5.00,NULL,2.00,5.00,2.00,339,101,NULL,'PRAINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248611,5.00,9.00,8.00,7.00,8.00,4.50,9.00,9.00,8.00,220,304,203,'SETOR COIMBRA','GOIANIA','GO',871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248620,4.00,5.00,1.00,2.00,4.00,5.00,2.00,5.00,2.00,303,301,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',19796,843,806,NULL,NULL,NULL,NULL,2,1),(15,2248638,5.00,8.00,6.00,9.00,6.00,7.00,7.00,7.00,7.00,103,222,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248646,2.00,4.00,2.00,4.00,4.00,5.75,3.00,1.00,1.00,207,415,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248654,3.00,4.00,2.00,3.00,5.00,5.25,4.00,4.00,2.00,207,420,NULL,'CENTRO','SAO JOAO DO OESTE','SC',20315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248662,4.00,6.00,3.00,4.00,6.00,5.75,6.00,5.00,4.00,339,324,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',10415,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248670,4.00,3.00,4.00,5.00,6.00,5.75,4.00,3.00,3.00,420,451,NULL,'FLOR DA SERRA','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2248697,1.00,3.00,2.00,3.00,5.00,3.75,2.00,7.00,5.00,444,316,NULL,'TAPERA','FLORIANOPOLIS','SC',19640,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248700,3.00,7.00,4.00,5.00,6.00,NULL,0.00,0.00,0.00,420,207,NULL,'CENTRO','SANTA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2248719,3.00,6.00,6.00,6.00,7.00,4.00,5.00,5.00,2.00,211,404,215,'CENTRO','CANELINHA','SC',11076,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248735,3.00,3.00,4.00,2.00,3.00,NULL,0.00,0.00,0.00,214,213,203,'JARDIM ITALIA','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(15,2248743,1.00,4.00,0.00,2.00,5.00,NULL,2.00,5.00,2.00,103,303,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2248751,5.00,7.00,5.00,8.00,7.00,5.75,7.00,6.00,3.00,220,234,202,'CID UNIVERSITÁRIA','CAMPINAS','SP',4676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248760,3.00,7.00,6.00,5.00,7.00,5.50,5.00,5.00,3.00,327,316,NULL,'ABRAÃO','FLORIANOPOLIS','SC',9284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248778,3.00,5.00,2.00,5.00,7.00,5.75,3.00,5.00,3.00,302,223,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',15603,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248786,3.00,7.00,2.00,7.00,6.00,7.00,3.00,6.00,4.00,103,104,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2248794,3.00,4.00,2.00,6.00,8.00,5.50,5.00,4.00,5.00,102,301,NULL,'CIDADE ALTA','ARARANGUA','SC',13341,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2248808,0.00,3.00,4.00,1.00,5.00,NULL,3.00,1.00,3.00,216,108,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248816,1.00,3.00,3.00,6.00,5.00,6.00,3.00,3.00,2.00,102,429,NULL,'CENTRO','PRAIA GRANDE','SC',18899,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2248824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,207,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2248832,0.00,7.00,3.00,9.00,5.00,NULL,7.00,7.00,5.00,333,331,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2248840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,326,NULL,'CENTRO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2248859,5.00,8.00,7.00,5.00,8.00,5.75,5.00,3.00,4.00,201,224,220,'CENTRO','CRICIUMA','SC',6522,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2248875,4.00,6.00,6.00,7.00,8.00,6.00,7.00,7.00,6.00,423,426,425,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',3610,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248883,2.00,5.00,3.00,0.00,4.00,5.75,3.00,4.00,0.00,203,501,214,'CORAL','LAGES','SC',22156,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2248891,4.00,5.00,3.00,7.00,7.00,6.25,3.00,3.00,2.00,316,333,NULL,'CENTRO','FLORIANOPOLIS','SC',14419,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248905,4.00,6.00,4.00,6.00,8.00,6.25,5.00,7.00,4.00,104,427,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',7562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2248913,2.00,7.00,5.00,3.00,8.00,6.00,3.00,7.00,2.00,5,426,NULL,'ESTREITO','FLORIANOPOLIS','SC',12458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2248930,4.00,6.00,2.00,7.00,6.00,5.50,3.00,3.00,5.00,425,421,429,'ROÇADO','SAO JOSE','SC',13883,87,110,67,NULL,NULL,NULL,4,1),(15,2248956,2.00,5.00,7.00,6.00,8.00,4.50,5.00,4.00,4.00,203,220,207,'SANTA LUZIA','JARAGUA DO SUL','SC',9612,733,709,461,NULL,NULL,NULL,4,8),(15,2248964,1.00,4.00,2.00,0.00,4.00,3.50,2.00,4.00,3.00,501,NULL,NULL,'VAL PARAÍSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2248972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,308,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2248980,2.00,7.00,6.00,6.00,7.00,6.75,5.00,8.00,6.00,303,212,NULL,'VILA SÃO JOSÉ','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2248999,4.00,3.00,1.00,1.00,6.00,6.50,3.00,3.00,2.00,319,316,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2249006,3.00,8.00,2.00,6.00,6.00,5.75,3.00,5.00,5.00,211,420,201,'CAPÃO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2249014,5.00,7.00,9.00,7.00,8.00,6.00,9.00,7.00,7.00,203,225,233,'CENTRO','CAPIVARI DE BAIXO','SC',1709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249022,3.00,6.00,4.00,1.00,2.00,NULL,3.00,2.00,2.00,502,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2249030,0.00,5.00,3.00,2.00,7.00,NULL,3.00,3.00,0.00,9,420,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249049,5.00,8.00,2.00,5.00,5.00,7.50,4.00,6.00,2.00,5,319,NULL,'ESTREITO','FLORIANOPOLIS','SC',10637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249057,4.00,8.00,4.00,2.00,6.00,4.50,2.00,5.00,2.00,420,207,NULL,'CAMPECHE','FLORIANOPOLIS','SC',15561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,102,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2249081,5.00,8.00,9.00,7.00,8.00,4.75,7.00,7.00,5.00,203,202,214,'VILA NOVA','JARAGUA DO SUL','SC',2788,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2249090,0.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,207,301,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2249103,3.00,7.00,1.00,3.00,6.00,3.75,6.00,5.00,2.00,203,234,214,'SAMBAQUI','FLORIANOPOLIS','SC',16836,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2249111,5.00,8.00,4.00,8.00,8.00,5.00,7.00,5.00,7.00,501,502,NULL,'TRINDADE','FLORIANOPOLIS','SC',4137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249120,6.00,8.00,7.00,4.00,7.00,8.25,8.00,3.00,4.00,103,203,NULL,'MICHEL','CRICIUMA','SC',4254,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2249146,0.00,4.00,0.00,7.00,4.00,NULL,4.00,5.00,2.00,103,104,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2249154,3.00,4.00,4.00,3.00,8.00,4.25,7.00,5.00,2.00,103,201,NULL,'TRINDADE','FLORIANOPOLIS','SC',14631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249162,2.00,5.00,1.00,2.00,4.00,5.75,2.00,6.00,3.00,103,NULL,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249170,3.00,8.00,2.00,2.00,7.00,6.50,5.00,5.00,2.00,5,303,NULL,'CENTRO','IMBITUBA','SC',14171,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2249189,2.00,4.00,1.00,1.00,3.00,2.00,7.00,5.00,2.00,220,203,214,'CENTRO','BRACO DO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2249197,3.00,5.00,3.00,7.00,7.00,6.25,2.00,5.00,3.00,104,215,NULL,'CENTRO','PALMITOS','SC',14472,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2249200,2.00,4.00,1.00,4.00,5.00,6.50,4.00,5.00,3.00,501,502,NULL,'CENTRO','BOTUCATU','SP',17238,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2249219,5.00,7.00,3.00,5.00,9.00,6.50,4.00,5.00,4.00,415,333,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',8461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249227,2.00,3.00,0.00,1.00,4.00,NULL,1.00,2.00,1.00,103,501,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2249235,5.00,6.00,5.00,5.00,5.00,0.00,6.00,5.00,1.00,5,318,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249243,0.00,7.00,3.00,5.00,8.00,6.75,4.00,9.00,3.00,103,415,NULL,'FORQUILHINHAS','SAO JOSE','SC',10585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249251,6.00,6.00,3.00,7.00,9.00,6.00,5.00,6.00,4.00,103,9,NULL,'SANTA AUGUSTA','BRACO DO NORTE','SC',6879,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2249260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,424,429,'ABRAÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2249278,2.00,3.00,0.00,4.00,4.00,NULL,3.00,2.00,2.00,207,444,NULL,'CENTRO','NONOAI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2249286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,420,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2249294,7.00,8.00,6.00,4.00,8.00,6.75,6.00,9.00,6.00,203,223,202,'CENTRO','ILHOTA','SC',2362,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2249308,4.00,7.00,8.00,6.00,5.00,3.25,6.00,5.00,3.00,103,NULL,NULL,'PINEVILLE','PINHAIS','PR',8053,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2249316,6.00,6.00,2.00,3.00,8.00,6.75,6.00,5.00,2.00,103,333,NULL,'CENTRO','TUBARAO','SC',11090,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2249324,0.00,3.00,3.00,5.00,6.00,4.00,4.00,1.00,4.00,425,324,424,'SACO GRANDE','FLORIANOPOLIS','SC',20151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249332,2.00,6.00,3.00,1.00,5.00,5.00,3.00,4.00,2.00,5,303,NULL,'PONTA FINA NORTE','NOVA TRENTO','SC',19746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249340,0.00,0.00,0.00,6.00,8.00,NULL,0.00,0.00,0.00,420,415,NULL,'SALTO DO NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,2),(15,2249359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,208,214,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2249367,7.00,8.00,7.00,8.00,9.00,7.75,6.00,8.00,5.00,103,333,NULL,'VILA PEDRINI','JOACABA','SC',962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249375,5.00,7.00,7.00,6.00,8.00,6.50,7.00,6.00,3.00,104,2,NULL,'PARQUE SANTA FÉ','PORTO ALEGRE','RS',4762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2249383,1.00,3.00,3.00,0.00,3.00,NULL,3.00,1.00,2.00,104,207,NULL,'SANTA LUZIA','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2249405,5.00,4.00,4.00,2.00,7.00,5.00,5.00,3.00,2.00,316,308,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',16346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249413,5.00,7.00,6.00,7.00,8.00,5.00,7.00,6.00,4.00,207,101,201,'PARQUE MALWEE','JARAGUA DO SUL','SC',5535,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2249421,5.00,7.00,2.00,5.00,6.00,6.25,4.00,4.00,4.00,303,NULL,NULL,'CANUDOS','NOVO HAMBURGO','RS',12725,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2249430,1.00,3.00,3.00,5.00,6.00,5.50,3.00,2.00,4.00,207,211,NULL,'BARRA DO RIO CERRO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2249448,2.00,4.00,2.00,3.00,6.00,6.25,5.00,5.00,4.00,319,NULL,NULL,'CENTRO','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249456,1.00,3.00,3.00,2.00,5.00,NULL,3.00,0.00,1.00,450,415,NULL,'CENTRO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2249464,1.00,1.00,1.00,4.00,3.00,NULL,3.00,4.00,1.00,103,101,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2249472,4.00,4.00,7.00,8.00,8.00,6.50,6.00,7.00,3.00,5,304,NULL,'CENTRO','FLORIANOPOLIS','SC',4998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249480,6.00,7.00,5.00,7.00,8.00,5.75,4.00,6.00,6.00,207,326,NULL,'SÃO FELIPE','TURVO','SC',4576,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2249499,2.00,7.00,3.00,6.00,6.00,5.25,3.00,4.00,2.00,104,211,NULL,'SANTA RITA','BRUSQUE','SC',15346,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2249502,7.00,8.00,8.00,9.00,9.00,7.75,6.00,6.00,9.00,103,NULL,NULL,'LAGO PARQUE','LONDRINA','PR',562,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2249510,3.00,3.00,1.00,3.00,2.00,NULL,2.00,2.00,3.00,308,304,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2249537,5.00,8.00,6.00,9.00,8.00,6.25,7.00,8.00,4.00,303,301,NULL,'CENTRO','SAO JOAO BATISTA','SC',2084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249545,2.00,6.00,6.00,7.00,4.00,4.25,5.00,5.00,3.00,212,233,201,'CENTRO','CAPANEMA','PR',12832,264,578,701,NULL,NULL,NULL,2,4),(15,2249553,6.00,8.00,7.00,5.00,8.00,5.00,8.00,8.00,5.00,319,320,NULL,'BIGORRILHO','CURITIBA','PR',3086,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2249561,2.00,7.00,2.00,1.00,5.00,4.75,3.00,5.00,3.00,207,420,NULL,'CENTRO','FRANCISCO BELTRAO','PR',19651,925,NULL,NULL,NULL,NULL,NULL,2,8),(15,2249570,1.00,5.00,5.00,6.00,6.00,5.75,4.00,3.00,3.00,301,316,NULL,'CENTRO','ARARANGUA','SC',13769,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2249588,1.00,4.00,2.00,2.00,6.00,NULL,4.00,2.00,0.00,451,425,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249596,4.00,5.00,5.00,8.00,7.00,6.25,3.00,3.00,1.00,303,211,NULL,'CENTRO','CRICIUMA','SC',13375,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2249618,4.00,7.00,3.00,7.00,8.00,6.25,3.00,3.00,2.00,502,324,NULL,'ESTREITO','FLORIANOPOLIS','SC',12197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2249626,3.00,4.00,5.00,2.00,8.00,6.75,4.00,3.00,4.00,103,101,NULL,'GUANABARA','JOINVILLE','SC',14531,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2249634,1.00,8.00,1.00,4.00,7.00,4.50,6.00,6.00,3.00,302,339,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',14634,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2249642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,216,NULL,'CENTRO','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2249650,1.00,6.00,1.00,0.00,3.00,4.50,3.00,4.00,2.00,101,421,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',22492,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2249669,6.00,7.00,4.00,6.00,7.00,6.50,6.00,5.00,2.00,303,310,NULL,'CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC',7974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249677,3.00,8.00,1.00,5.00,4.00,3.75,5.00,4.00,3.00,501,108,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',15850,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2249685,4.00,8.00,5.00,7.00,8.00,5.75,6.00,8.00,4.00,211,NULL,208,'TRINDADE','FLORIANOPOLIS','SC',5779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249693,6.00,8.00,7.00,8.00,7.00,5.75,7.00,9.00,7.00,201,303,211,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249707,5.00,6.00,0.00,5.00,8.00,5.75,4.00,4.00,3.00,103,101,NULL,'VORSTADT','BLUMENAU','SC',13077,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2249715,2.00,7.00,1.00,6.00,6.00,4.75,1.00,6.00,2.00,424,NULL,423,'INGLESES','FLORIANOPOLIS','SC',17291,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2249723,2.00,7.00,6.00,0.00,5.00,NULL,5.00,5.00,2.00,214,208,203,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,2,208,'SERIMBURA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2249740,2.00,3.00,5.00,3.00,7.00,5.75,4.00,4.00,5.00,9,104,NULL,'SANTA BARBARA','CRICIUMA','SC',15423,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2249758,8.00,8.00,8.00,9.00,9.00,6.75,9.00,8.00,8.00,220,202,203,'AGRONÔMICA','FLORIANOPOLIS','SC',208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249766,5.00,5.00,3.00,5.00,4.00,2.00,3.00,4.00,2.00,304,308,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2249774,7.00,8.00,5.00,9.00,8.00,6.50,9.00,8.00,8.00,104,102,NULL,'SAGUAÇU','JOINVILLE','SC',1026,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2249782,6.00,8.00,6.00,8.00,9.00,6.50,7.00,6.00,4.00,103,9,NULL,'SANTO ANTONIO LISBOA','FLORIANOPOLIS','SC',2881,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2249790,4.00,7.00,7.00,8.00,6.00,3.50,5.00,7.00,3.00,233,319,216,'CENTRO','MARECHAL CANDIDO RONDON','PR',6737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249804,4.00,9.00,5.00,7.00,7.00,4.25,8.00,5.00,2.00,203,225,233,'PEREQUÊ','PORTO BELO','SC',6639,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2249812,2.00,6.00,6.00,2.00,6.00,4.00,4.00,4.00,4.00,5,104,NULL,'CENTRO','GRAVATAL','SC',15418,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2249820,0.00,4.00,2.00,3.00,6.00,6.75,3.00,3.00,1.00,426,324,425,'MONTE VERDE','FLORIANOPOLIS','SC',21358,90,428,190,NULL,NULL,NULL,2,1),(15,2249839,4.00,7.00,6.00,9.00,6.00,5.50,8.00,7.00,6.00,5,303,NULL,'CENTRO','FLORIANOPOLIS','SC',3833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,212,NULL,'ALTO DA GLORIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2249855,1.00,2.00,3.00,2.00,1.00,NULL,2.00,2.00,1.00,211,NULL,NULL,'RIO CACHOEIRRINHAS','GRAO PARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2249863,2.00,3.00,0.00,7.00,7.00,5.50,3.00,5.00,1.00,301,NULL,NULL,'CENTRO','CRICIUMA','SC',19224,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2249871,5.00,7.00,7.00,3.00,8.00,5.75,6.00,6.00,4.00,104,101,NULL,'CENTRO','FLORIANOPOLIS','SC',6316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2249880,2.00,4.00,2.00,6.00,6.00,5.50,3.00,5.00,3.00,303,451,NULL,'ARIRIÚ DA FORMIGA','PALHOCA','SC',16329,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2249898,4.00,5.00,2.00,5.00,3.00,4.25,3.00,4.00,1.00,103,9,NULL,'NAÇÕES','INDAIAL','SC',19784,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2249901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2249928,5.00,9.00,8.00,4.00,8.00,6.25,5.00,7.00,4.00,303,310,NULL,'SANTA BÁRBARA','CRICIUMA','SC',3977,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2249936,5.00,8.00,2.00,8.00,8.00,6.50,5.00,5.00,4.00,104,207,NULL,'COLONINHA','ARARANGUA','SC',5868,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2249944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,108,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2249960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,327,NULL,'BELA VISTA','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2249979,4.00,4.00,3.00,4.00,3.00,3.75,2.00,3.00,3.00,404,502,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',21137,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2249987,4.00,8.00,6.00,7.00,6.00,6.50,7.00,7.00,4.00,103,234,NULL,'BATEL','CURITIBA','PR',5033,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2249995,6.00,7.00,5.00,2.00,6.00,7.00,6.00,5.00,3.00,104,102,NULL,'DEHON','TUBARAO','SC',8753,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2250004,7.00,8.00,9.00,6.00,7.00,5.00,7.00,7.00,7.00,214,233,213,'SANTA MARTA','SAO CARLOS','SP',2146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250012,1.00,6.00,1.00,5.00,7.00,5.50,4.00,5.00,2.00,2,225,NULL,'XV DE NOVEMBRO','TIJUCAS','SC',15113,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2250020,4.00,7.00,4.00,7.00,3.00,4.75,5.00,5.00,2.00,213,423,202,'CENTRO','SAO JOSE','SC',13717,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2250039,1.00,5.00,4.00,4.00,6.00,4.50,4.00,5.00,2.00,501,502,NULL,'TRINDADE','FLORIANOPOLIS','SC',15742,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2250047,3.00,9.00,5.00,7.00,6.00,6.75,5.00,8.00,3.00,203,108,201,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2250055,4.00,6.00,1.00,5.00,7.00,5.50,3.00,7.00,1.00,308,324,NULL,'PANTANO DO SUL','FLORIANOPOLIS','SC',14178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2250063,3.00,7.00,3.00,7.00,6.00,4.50,3.00,5.00,2.00,103,NULL,NULL,'CENTRO','SOMBRIO','SC',14489,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2250071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'SÃO BENEDITO','UBERABA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2250098,3.00,7.00,8.00,7.00,7.00,6.00,8.00,8.00,6.00,203,NULL,NULL,'SAN REMO','LONDRINA','PR',2650,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2250110,4.00,7.00,3.00,6.00,4.00,7.00,4.00,4.00,2.00,332,426,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',13826,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2250128,2.00,5.00,2.00,7.00,7.00,6.25,4.00,4.00,2.00,9,215,NULL,'ALTO ARIRIÚ','PALHOCA','SC',14093,182,560,NULL,NULL,NULL,NULL,2,1),(15,2250136,5.00,7.00,7.00,9.00,8.00,6.50,5.00,4.00,2.00,207,303,215,'ALTO DA BOA VISTA','SAO PAULO','SP',6328,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2250144,2.00,7.00,1.00,1.00,4.00,2.25,4.00,3.00,3.00,216,202,215,'GUADALUPE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2250152,4.00,7.00,2.00,6.00,6.00,5.00,6.00,6.00,4.00,301,316,NULL,'CENTRO','JOINVILLE','SC',11149,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2250160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,214,202,'ITAIM BIBI','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2250187,3.00,5.00,2.00,8.00,7.00,4.00,5.00,4.00,4.00,103,415,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2250195,2.00,5.00,2.00,7.00,6.00,8.25,5.00,5.00,3.00,303,5,NULL,'CENTRO','TREVISO','SC',11224,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2250209,5.00,8.00,3.00,3.00,6.00,4.00,6.00,4.00,6.00,316,217,NULL,'CENTRO','DOIS IRMAOS','RS',11316,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2250217,4.00,6.00,4.00,7.00,7.00,6.00,4.00,5.00,5.00,303,217,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',8920,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2250233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,331,NULL,'VILA IPIRANGA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2250250,2.00,4.00,5.00,6.00,5.00,4.75,3.00,5.00,3.00,310,326,NULL,'CENTRO','LAGES','SC',16510,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2250268,2.00,7.00,2.00,4.00,5.00,5.25,2.00,3.00,3.00,333,331,NULL,'N S GRAÇAS ITAJAI','ITAJAI','SC',18858,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2250276,3.00,6.00,3.00,7.00,6.00,6.25,6.00,5.00,3.00,501,420,NULL,'ITACORUBI','FLORIANOPOLIS','SC',9893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250284,6.00,7.00,7.00,9.00,9.00,5.25,8.00,7.00,9.00,103,420,NULL,'CENTRO','CURITIBA','PR',846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250292,7.00,7.00,8.00,8.00,9.00,7.50,8.00,7.00,7.00,208,316,238,'KOBRASOL','SAO JOSE','SC',545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250306,3.00,6.00,1.00,7.00,6.00,5.50,6.00,7.00,3.00,420,NULL,NULL,'JARDIM DA SAUDE','SAO PAULO','SP',11764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250314,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,317,425,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2250322,6.00,8.00,8.00,4.00,9.00,6.75,7.00,7.00,6.00,103,9,NULL,'CENTRO','LONDRINA','PR',2183,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2250330,0.00,6.00,4.00,6.00,3.00,5.75,5.00,3.00,3.00,415,451,NULL,'MARAFON','VIDEIRA','SC',18124,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2250349,2.00,3.00,0.00,1.00,5.00,NULL,2.00,5.00,2.00,103,9,NULL,'ZONA SETE','MARINGA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2250365,3.00,9.00,3.00,5.00,7.00,6.00,3.00,7.00,3.00,309,339,NULL,'CENTRO','TUBARAO','SC',10790,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2250373,0.00,5.00,3.00,4.00,5.00,4.75,6.00,4.00,3.00,501,502,NULL,'CENTRO','ABELARDO LUZ','SC',16092,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2250381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,213,212,'PARAÍSO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2250390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,103,NULL,'JOÃO COSTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2250403,2.00,6.00,2.00,7.00,7.00,5.00,4.00,4.00,3.00,203,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250411,0.00,6.00,3.00,7.00,7.00,5.00,4.00,7.00,4.00,316,501,NULL,'MATO ALTO','ARARANGUA','SC',11481,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2250420,5.00,3.00,7.00,6.00,7.00,5.50,6.00,4.00,3.00,333,108,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',10718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250438,3.00,5.00,1.00,1.00,5.00,3.75,4.00,6.00,2.00,333,NULL,NULL,'CENTRO','IMBITUVA','PR',20723,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2250446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2250454,4.00,6.00,2.00,3.00,8.00,5.25,3.00,6.00,2.00,104,108,NULL,'REVOREDO','TUBARAO','SC',15158,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2250462,3.00,5.00,2.00,6.00,4.00,4.50,4.00,4.00,4.00,103,104,NULL,'INTERIOR','PATO BRANCO','PR',17662,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2250470,3.00,5.00,1.00,4.00,8.00,7.25,4.00,3.00,3.00,316,304,NULL,'KOBRASOL','SAO JOSE','SC',16008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,222,238,'CENTRO','SANTA CECILIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2250497,2.00,1.00,4.00,1.00,4.00,NULL,2.00,3.00,2.00,308,309,NULL,'JARDIM DAS PALMEIRAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250500,3.00,7.00,2.00,5.00,5.00,8.00,5.00,3.00,1.00,103,104,NULL,'CRISTO REI','CURITIBA','PR',14250,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2250519,4.00,5.00,6.00,1.00,6.00,4.25,5.00,6.00,3.00,301,316,NULL,'JARDIM SANTA CLARA','GUARULHOS','SP',14163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250527,2.00,6.00,3.00,7.00,5.00,3.00,1.00,4.00,1.00,424,425,427,'INGLESES','FLORIANOPOLIS','SC',20183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2250535,5.00,6.00,8.00,7.00,8.00,6.50,7.00,6.00,4.00,238,502,211,'TRINDADE','FLORIANOPOLIS','SC',4066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250543,3.00,9.00,4.00,9.00,7.00,6.50,6.00,6.00,4.00,238,316,208,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250551,4.00,7.00,3.00,7.00,6.00,5.25,3.00,7.00,2.00,450,426,NULL,'FARROUPILHA','PORTO ALEGRE','RS',12246,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2250560,5.00,4.00,2.00,3.00,6.00,3.50,4.00,4.00,2.00,420,333,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',17905,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2250586,2.00,6.00,5.00,3.00,6.00,5.50,3.00,4.00,2.00,303,5,NULL,'TAPAJÓS','INDAIAL','SC',16203,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2250594,0.00,4.00,3.00,4.00,2.00,NULL,3.00,2.00,2.00,220,238,211,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,425,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2250624,0.00,4.00,3.00,6.00,4.00,5.00,3.00,3.00,1.00,9,234,NULL,'REUNIDAS','CACADOR','SC',21643,332,253,NULL,NULL,NULL,NULL,2,7),(15,2250632,3.00,3.00,1.00,2.00,2.00,NULL,2.00,3.00,3.00,501,102,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2250640,3.00,5.00,3.00,9.00,6.00,4.50,5.00,6.00,1.00,208,415,NULL,'COQUEIROS','FLORIANOPOLIS','SC',13363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250659,3.00,5.00,2.00,7.00,7.00,6.25,6.00,5.00,4.00,211,108,NULL,'ESTREITO','FLORIANOPOLIS','SC',10005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2250667,2.00,5.00,3.00,6.00,6.00,5.00,5.00,4.00,4.00,301,220,NULL,'ESTADOS','INDAIAL','SC',14455,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2250675,5.00,7.00,7.00,5.00,7.00,5.50,4.00,7.00,2.00,333,444,NULL,'ASSUNÇÃO','PORTO ALEGRE','RS',7105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250683,4.00,5.00,6.00,6.00,7.00,5.25,4.00,6.00,2.00,217,339,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',10381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2250691,3.00,8.00,3.00,5.00,7.00,6.50,5.00,4.00,2.00,501,102,NULL,'RIO CAVEIRAS','BIGUACU','SC',11103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250705,3.00,6.00,3.00,7.00,7.00,5.50,5.00,4.00,5.00,316,428,NULL,'CARIANOS','FLORIANOPOLIS','SC',11684,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2250713,4.00,6.00,9.00,8.00,9.00,5.50,9.00,7.00,7.00,203,223,233,'MAR GROSSO','LAGUNA','SC',1289,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2250730,4.00,5.00,5.00,5.00,7.00,6.75,5.00,5.00,2.00,302,427,NULL,'ARIRIÚ FORMIGA','PALHOCA','SC',12323,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2250748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,450,NULL,'MANAIRA','JOAO PESSOA','PB',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2250756,3.00,3.00,2.00,2.00,5.00,5.00,3.00,3.00,2.00,101,425,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',21730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250764,4.00,5.00,7.00,6.00,5.00,3.75,5.00,1.00,3.00,238,425,220,'SANTA MONICA','FLORIANOPOLIS','SC',14527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250772,2.00,6.00,3.00,6.00,8.00,3.75,3.00,5.00,3.00,444,9,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',15674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2250780,7.00,8.00,7.00,3.00,7.00,6.00,5.00,5.00,4.00,103,NULL,NULL,'ITAQUI','CAMPO LARGO','PR',6063,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2250799,3.00,7.00,3.00,2.00,5.00,5.75,3.00,5.00,2.00,5,319,NULL,'DIVINEIA','PINHALZINHO','SC',16007,682,825,NULL,NULL,NULL,NULL,4,4),(15,2250802,5.00,5.00,7.00,4.00,6.00,6.75,5.00,5.00,5.00,502,333,NULL,'CENTRO','PONTE ALTA DO NORTE','SC',7847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250810,1.00,4.00,3.00,0.00,5.00,NULL,2.00,2.00,2.00,102,309,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2250829,5.00,8.00,5.00,9.00,6.00,5.50,6.00,5.00,5.00,303,301,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250837,5.00,7.00,6.00,7.00,7.00,5.50,5.00,7.00,4.00,213,212,214,'JARDIM ELITE','PIRACICABA','SP',5076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250845,3.00,4.00,1.00,7.00,6.00,NULL,3.00,5.00,0.00,501,502,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2250853,1.00,4.00,1.00,3.00,6.00,NULL,3.00,2.00,1.00,103,316,NULL,'PIO CORREA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2250861,3.00,9.00,6.00,9.00,7.00,7.00,7.00,7.00,6.00,103,2,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2250870,6.00,8.00,9.00,8.00,7.00,5.00,9.00,7.00,6.00,202,NULL,220,'ITOUPAVA NORTE','BLUMENAU','SC',920,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2250888,6.00,7.00,6.00,7.00,8.00,6.50,4.00,8.00,6.00,317,318,NULL,'COQUEIROS','FLORIANOPOLIS','SC',2280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250896,4.00,7.00,6.00,5.00,7.00,7.00,4.00,5.00,4.00,317,224,NULL,'CAMPINAS','SAO JOSE','SC',8746,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2250900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,203,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2250918,8.00,7.00,6.00,6.00,8.00,6.00,7.00,6.00,5.00,103,104,NULL,'JARDIM AMÉRICA','PONTA GROSSA','PR',3560,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2250926,3.00,5.00,3.00,0.00,5.00,NULL,3.00,1.00,4.00,103,108,NULL,'N SENHORA DE LOURDES','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2250934,6.00,6.00,8.00,9.00,8.00,9.00,7.00,6.00,4.00,316,317,NULL,'PANTANO DO SUL','FLORIANOPOLIS','SC',1619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250950,3.00,7.00,6.00,7.00,9.00,4.25,7.00,6.00,1.00,101,319,NULL,'GLORIA','JOINVILLE','SC',7379,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2250969,5.00,8.00,2.00,8.00,8.00,6.00,4.00,8.00,2.00,328,451,NULL,'JURERE','FLORIANOPOLIS','SC',7526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250977,0.00,5.00,2.00,3.00,6.00,5.25,5.00,3.00,5.00,501,203,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',18162,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2250985,4.00,5.00,1.00,7.00,8.00,5.50,4.00,3.00,5.00,444,309,NULL,'BARREIROS','SAO JOSE','SC',12810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2250993,5.00,7.00,5.00,7.00,7.00,6.50,6.00,6.00,2.00,426,320,423,'VILA OLIVEIRA','MOGI DAS CRUZES','SP',6062,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2251000,2.00,4.00,2.00,4.00,3.00,4.25,3.00,3.00,1.00,317,404,NULL,'RATONES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2251019,4.00,8.00,2.00,4.00,4.00,5.25,5.00,9.00,3.00,329,320,NULL,'CENTRO','TUBARAO','SC',11706,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2251027,4.00,7.00,4.00,2.00,8.00,4.25,2.00,4.00,4.00,304,339,NULL,'CARIANOS','FLORIANOPOLIS','SC',15033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251035,8.00,8.00,6.00,7.00,6.00,5.00,5.00,7.00,4.00,317,234,NULL,'ITACORUBI','FLORIANOPOLIS','SC',4710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251043,4.00,5.00,2.00,5.00,6.00,6.00,4.00,4.00,3.00,9,502,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',16530,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2251051,3.00,5.00,3.00,1.00,5.00,4.50,4.00,3.00,1.00,103,102,NULL,'LA SALLE','PATO BRANCO','PR',21292,3066,NULL,NULL,NULL,NULL,NULL,4,4),(15,2251060,7.00,7.00,5.00,7.00,6.00,5.50,5.00,7.00,5.00,203,207,201,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251078,3.00,6.00,4.00,4.00,4.00,3.25,4.00,7.00,4.00,203,207,201,'CENTRO','SAO JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2251094,1.00,7.00,0.00,3.00,3.00,6.50,2.00,3.00,3.00,103,319,NULL,'ASA NORTE','BRASILIA','DF',21331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2251108,3.00,6.00,6.00,7.00,7.00,4.75,6.00,6.00,4.00,420,208,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',7595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251116,3.00,6.00,4.00,2.00,6.00,5.00,3.00,3.00,2.00,317,208,NULL,'ARIRIU','PALHOCA','SC',18646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251124,2.00,7.00,3.00,2.00,5.00,5.25,3.00,7.00,3.00,202,103,213,'SANTANA','RIO DO SUL','SC',16241,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2251132,2.00,5.00,1.00,3.00,7.00,6.50,5.00,4.00,3.00,108,238,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',16842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251140,1.00,3.00,3.00,0.00,0.00,NULL,2.00,2.00,2.00,324,213,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(15,2251159,3.00,3.00,2.00,1.00,3.00,NULL,1.00,3.00,0.00,102,103,NULL,'SAO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2251167,6.00,8.00,8.00,9.00,8.00,NULL,0.00,0.00,0.00,214,316,203,'CENTRO','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,10),(15,2251175,0.00,3.00,3.00,7.00,5.00,4.75,4.00,3.00,3.00,9,NULL,NULL,'NOSSA S DE FÁTIMA','BRACO DO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2251183,4.00,4.00,7.00,8.00,7.00,5.25,8.00,6.00,4.00,201,316,207,'ITOUPAVA NORTE','BLUMENAU','SC',6350,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2251191,2.00,2.00,3.00,2.00,1.00,NULL,4.00,2.00,2.00,238,NULL,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2251205,6.00,8.00,8.00,7.00,8.00,5.00,8.00,7.00,6.00,103,303,NULL,'CAMPECHE','FLORIANOPOLIS','SC',1749,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2251213,5.00,5.00,4.00,6.00,8.00,6.50,6.00,6.00,5.00,103,102,NULL,'REVOREDO','TUBARAO','SC',6745,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2251221,1.00,6.00,2.00,7.00,6.00,6.25,3.00,6.00,2.00,303,319,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',14261,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2251230,6.00,6.00,6.00,4.00,6.00,5.75,6.00,3.00,3.00,444,333,NULL,'CAMPECHE','FLORIANOPOLIS','SC',10665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251248,6.00,7.00,6.00,6.00,9.00,7.75,4.00,6.00,6.00,103,303,NULL,'SANTA BÁRBARA','CRICIUMA','SC',4198,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2251256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'RESTINGA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2251264,3.00,6.00,3.00,5.00,5.00,5.75,4.00,5.00,4.00,208,333,238,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2251272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2251299,1.00,5.00,5.00,4.00,9.00,5.75,4.00,3.00,3.00,5,2,NULL,'COLONINHA','GASPAR','SC',14289,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2251302,5.00,5.00,4.00,5.00,8.00,6.75,7.00,6.00,6.00,216,208,202,'CENTRO','SAO MATEUS DO SUL','PR',6289,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2251329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'JUVEVÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2251337,7.00,9.00,9.00,9.00,9.00,6.50,9.00,8.00,7.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2251345,2.00,6.00,3.00,4.00,4.00,5.00,1.00,2.00,1.00,203,302,201,'JOÃO PAULO','FLORIANOPOLIS','SC',21709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2251353,1.00,6.00,4.00,3.00,7.00,4.50,5.00,6.00,3.00,238,5,NULL,'CENTRO','CRICIUMA','SC',13628,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2251361,3.00,5.00,3.00,6.00,7.00,3.50,1.00,6.00,1.00,238,404,201,'CAPOEIRAS','FLORIANOPOLIS','SC',18068,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2251370,6.00,8.00,5.00,6.00,8.00,6.75,8.00,6.00,7.00,103,102,NULL,'GUTIERREZ','BELO HORIZONTE','MG',2014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251388,3.00,6.00,1.00,7.00,6.00,4.75,1.00,5.00,2.00,9,444,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',17446,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2251396,1.00,5.00,3.00,4.00,5.00,5.25,3.00,4.00,4.00,303,9,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251400,5.00,5.00,5.00,1.00,4.00,5.50,3.00,4.00,4.00,101,308,NULL,'COQUEIROS','FLORIANOPOLIS','SC',15726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251418,6.00,5.00,7.00,8.00,6.00,6.50,7.00,7.00,7.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251426,4.00,6.00,2.00,2.00,6.00,5.25,6.00,4.00,4.00,103,211,NULL,'CENTRO','CONCORDIA','SC',15556,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2251434,6.00,6.00,8.00,7.00,6.00,5.50,8.00,5.00,5.00,203,233,220,'MOEMA','SAO PAULO','SP',4494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251442,8.00,7.00,9.00,3.00,8.00,6.75,7.00,8.00,7.00,103,102,NULL,'CENTRO','CASCAVEL','PR',1264,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2251450,5.00,8.00,4.00,7.00,9.00,5.50,7.00,4.00,5.00,103,102,NULL,'CENTRO','XAXIM','SC',4847,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2251469,2.00,2.00,1.00,2.00,5.00,NULL,4.00,2.00,3.00,9,NULL,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2251477,4.00,5.00,2.00,4.00,6.00,5.25,3.00,4.00,3.00,211,9,215,'INGLESES','FLORIANOPOLIS','SC',17951,625,660,356,NULL,NULL,NULL,4,1),(15,2251485,2.00,7.00,6.00,5.00,8.00,5.50,6.00,7.00,4.00,420,425,NULL,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',6697,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2251493,1.00,6.00,2.00,8.00,7.00,3.75,4.00,3.00,3.00,303,326,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2251507,6.00,9.00,5.00,4.00,6.00,5.50,7.00,5.00,5.00,203,450,208,'PIRABEIRABA','JOINVILLE','SC',6011,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2251515,4.00,7.00,8.00,6.00,7.00,4.75,6.00,3.00,3.00,302,224,NULL,'ARIRIU DA FORMIGA','PALHOCA','SC',8874,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2251523,7.00,8.00,7.00,8.00,8.00,5.75,6.00,6.00,4.00,108,211,NULL,'SANTO ANTÔNIO','CACHOEIRA DO SUL','RS',2961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251531,3.00,3.00,3.00,3.00,7.00,5.25,6.00,3.00,2.00,9,215,NULL,'SÃO CRISTOVÃO','LAGES','SC',17526,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2251540,2.00,6.00,4.00,7.00,7.00,4.25,4.00,2.00,3.00,429,324,425,'CAPOEIRAS','FLORIANOPOLIS','SC',15962,99,263,116,NULL,NULL,NULL,2,1),(15,2251558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2251566,4.00,4.00,3.00,2.00,6.00,4.75,5.00,4.00,2.00,9,102,NULL,'CENTRO','SAO BENTO DO SUL','SC',18119,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2251574,4.00,6.00,5.00,8.00,6.00,6.75,6.00,5.00,3.00,102,216,NULL,'CENTRO','RIO DAS ANTAS','SC',8460,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2251582,4.00,8.00,7.00,9.00,8.00,6.75,5.00,5.00,5.00,301,9,NULL,'TRINDADE','FLORIANOPOLIS','SC',4106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251590,6.00,9.00,8.00,7.00,7.00,7.50,5.00,7.00,6.00,103,101,NULL,'LA SALLE','XANXERE','SC',1737,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2251604,4.00,5.00,4.00,7.00,6.00,6.75,4.00,7.00,3.00,316,423,NULL,'CENTRO','FLORIANOPOLIS','SC',9620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251612,2.00,4.00,2.00,3.00,6.00,4.75,4.00,5.00,5.00,327,329,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',17845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,203,213,'TARUMÃ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2251655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'FÁTIMA I','POUSO ALEGRE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2251663,3.00,5.00,4.00,2.00,7.00,5.25,3.00,5.00,3.00,339,309,NULL,'TRINDADE','FLORIANOPOLIS','SC',14746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251671,5.00,6.00,2.00,8.00,6.00,6.75,5.00,6.00,3.00,207,303,NULL,'PIRABEIRABA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2251680,7.00,7.00,7.00,7.00,8.00,5.25,9.00,8.00,6.00,202,216,203,'PIRABEIRABA','JOINVILLE','SC',1443,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2251698,3.00,7.00,6.00,8.00,5.00,6.00,7.00,3.00,4.00,220,208,202,'JARDIM MARISTELA','CRICIUMA','SC',7873,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2251701,2.00,5.00,3.00,4.00,6.00,4.75,2.00,3.00,3.00,104,211,NULL,'JARDIM ITALIA','CHAPECO','SC',19778,644,1000,NULL,NULL,NULL,NULL,2,4),(15,2251710,5.00,6.00,5.00,4.00,8.00,5.75,6.00,6.00,3.00,208,220,238,'FÁBIO SILVA','TUBARAO','SC',8005,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2251728,8.00,8.00,8.00,9.00,7.00,6.25,8.00,7.00,9.00,103,102,NULL,'BELA VISTA','PORTO UNIAO','SC',681,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2251744,4.00,8.00,6.00,9.00,8.00,7.00,6.00,9.00,3.00,5,303,NULL,'CENTRO','RIO DOS CEDROS','SC',2050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','SERTANOPOLIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2251760,4.00,8.00,6.00,7.00,7.00,7.00,7.00,6.00,4.00,220,213,214,'CENTRO','SANTA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251779,7.00,8.00,3.00,7.00,8.00,7.50,5.00,8.00,3.00,425,424,428,'TRINDADE','FLORIANOPOLIS','SC',4315,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2251787,6.00,7.00,3.00,4.00,8.00,6.75,5.00,6.00,5.00,108,501,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',7353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251795,2.00,8.00,3.00,6.00,7.00,5.25,5.00,5.00,2.00,415,333,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',12690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2251809,4.00,4.00,3.00,2.00,5.00,3.50,3.00,4.00,2.00,203,201,214,'MOEMA','TUBARAO','SC',20629,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2251817,2.00,8.00,4.00,5.00,5.00,4.00,6.00,5.00,5.00,333,502,NULL,'DEHON','TUBARAO','SC',10521,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2251833,1.00,3.00,3.00,3.00,5.00,6.75,1.00,4.00,4.00,302,319,NULL,'ARIRIU','PALHOCA','SC',21401,193,962,NULL,NULL,NULL,NULL,2,1),(15,2251841,7.00,9.00,6.00,9.00,8.00,6.50,8.00,7.00,4.00,103,319,NULL,'CENTRO','RIO NEGRO','PR',1635,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2251850,3.00,8.00,5.00,8.00,8.00,3.50,6.00,7.00,4.00,5,332,NULL,'CENTRO','FLORIANOPOLIS','SC',5902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2251868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'RES JARDINS FLORENÇA','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2251876,0.00,5.00,4.00,6.00,4.00,6.00,2.00,3.00,1.00,238,319,208,'CENTRO','BALNEARIO CAMBORIU','SC',19670,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2251884,2.00,7.00,2.00,6.00,7.00,6.00,3.00,4.00,3.00,238,327,208,'CANASVIEIRAS','FLORIANOPOLIS','SC',13577,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2251892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,316,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2251914,3.00,6.00,2.00,4.00,7.00,5.75,2.00,4.00,2.00,225,224,NULL,'PROGRESSO','BLUMENAU','SC',16521,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2251922,3.00,4.00,2.00,3.00,4.00,6.25,3.00,6.00,2.00,108,339,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',19210,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2251930,3.00,4.00,3.00,2.00,4.00,2.25,3.00,3.00,2.00,213,238,202,'CANOAS','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2251949,5.00,6.00,8.00,9.00,7.00,5.25,7.00,6.00,6.00,2,225,NULL,'DAS CAPITAIS','TIMBO','SC',2837,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2251957,6.00,7.00,8.00,7.00,7.00,6.25,7.00,7.00,6.00,420,415,NULL,'CENTRO','CRICIUMA','SC',2175,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2251965,4.00,7.00,6.00,5.00,8.00,6.50,6.00,6.00,5.00,103,101,NULL,'DEHON','TUBARAO','SC',5196,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2251973,2.00,7.00,1.00,5.00,9.00,6.50,5.00,3.00,3.00,104,108,NULL,'CENTRO','RIO DO SUL','SC',13834,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2251981,7.00,8.00,7.00,8.00,9.00,6.00,8.00,7.00,4.00,203,2,220,'OFICINAS','TUBARAO','SC',1695,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2251990,4.00,8.00,4.00,6.00,8.00,5.50,5.00,6.00,3.00,324,425,NULL,'CENTRO','LAGOA VERMELHA','RS',8400,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2252007,2.00,2.00,2.00,1.00,4.00,NULL,3.00,1.00,2.00,429,309,428,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2252015,1.00,4.00,3.00,3.00,5.00,5.00,6.00,6.00,2.00,319,102,NULL,'CENTRO','SAO MIGUEL DO IGUACU','PR',16509,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2252023,4.00,7.00,3.00,2.00,8.00,4.25,4.00,3.00,1.00,101,501,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',17193,198,503,NULL,NULL,NULL,NULL,4,1),(15,2252031,6.00,6.00,7.00,5.00,7.00,6.50,7.00,4.00,4.00,501,101,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',7767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252040,4.00,8.00,5.00,8.00,7.00,6.00,6.00,7.00,3.00,5,327,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',4129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252058,3.00,6.00,4.00,7.00,8.00,5.50,4.00,5.00,5.00,108,9,NULL,'VILA INDUSTRIAL','CAMPINAS','SP',7979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252066,1.00,6.00,1.00,3.00,5.00,5.00,5.00,4.00,2.00,103,101,NULL,'JARDIM ITÁLIA','CUIABA','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2252082,0.00,7.00,2.00,5.00,7.00,5.00,5.00,7.00,2.00,317,NULL,NULL,'BELA VISTA I','SAO JOSE','SC',13754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2252090,1.00,4.00,4.00,0.00,4.00,NULL,4.00,6.00,2.00,213,214,NULL,'SORGATTO','CACADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2252104,4.00,7.00,4.00,9.00,6.00,7.50,5.00,6.00,4.00,203,NULL,NULL,'CENTRO','LONDRINA','PR',5052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,316,216,'CENTRO','BOM JARDIM DA SERRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2252120,3.00,6.00,5.00,9.00,5.00,6.25,6.00,5.00,5.00,203,450,238,'REUNIDAS','CACADOR','SC',6844,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2252139,6.00,8.00,6.00,5.00,8.00,4.75,7.00,6.00,4.00,319,108,NULL,'CENTRO','FLORIANOPOLIS','SC',4943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2252155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,319,NULL,'SAO FRANCISCO','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2252163,6.00,7.00,3.00,6.00,6.00,5.75,3.00,5.00,2.00,211,444,201,'BELA VISTA I','SAO JOSE','SC',12574,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2252171,5.00,8.00,5.00,2.00,6.00,4.50,3.00,7.00,3.00,220,214,201,'CENTRO','LAGES','SC',12207,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2252180,3.00,4.00,1.00,5.00,6.00,7.00,3.00,5.00,1.00,415,327,NULL,'CAMPECHE','FLORIANOPOLIS','SC',17859,448,420,NULL,NULL,NULL,NULL,2,1),(15,2252198,2.00,3.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,102,329,NULL,'CENTRO','SAO DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(15,2252201,2.00,3.00,1.00,4.00,3.00,3.25,4.00,2.00,2.00,104,444,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252210,1.00,8.00,4.00,7.00,4.00,5.25,3.00,6.00,4.00,224,222,NULL,'BALNEARIO','FLORIANOPOLIS','SC',12966,27,NULL,NULL,NULL,NULL,NULL,2,1),(15,2252228,4.00,7.00,5.00,6.00,7.00,5.00,5.00,6.00,4.00,201,318,238,'TRINDADE','FLORIANOPOLIS','SC',7535,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2252236,3.00,6.00,3.00,1.00,6.00,6.00,4.00,7.00,3.00,318,427,NULL,'ESTREITO','FLORIANOPOLIS','SC',15029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2252244,6.00,7.00,3.00,4.00,7.00,5.25,4.00,8.00,5.00,217,108,NULL,'ITOUPAVA SECA','BLUMENAU','SC',6927,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2252252,4.00,8.00,5.00,6.00,8.00,5.50,5.00,6.00,3.00,203,420,214,'CENTRO','FRAIBURGO','SC',6186,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2252260,4.00,3.00,6.00,5.00,7.00,5.25,4.00,3.00,3.00,301,207,NULL,'TESTO ALTO','POMERODE','SC',15693,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2252279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,329,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2252287,1.00,3.00,2.00,4.00,7.00,NULL,2.00,1.00,1.00,303,415,NULL,'BREJARU','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2252295,4.00,8.00,2.00,8.00,7.00,5.50,3.00,7.00,3.00,238,324,208,'INGLESES','FLORIANOPOLIS','SC',10032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252317,1.00,6.00,2.00,3.00,6.00,5.50,3.00,5.00,4.00,429,425,NULL,'CAMPECHE','FLORIANOPOLIS','SC',18059,128,393,NULL,NULL,NULL,NULL,4,1),(15,2252325,4.00,6.00,7.00,4.00,6.00,5.75,5.00,5.00,5.00,9,444,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',8901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252333,1.00,6.00,1.00,1.00,3.00,NULL,3.00,2.00,1.00,238,301,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252341,2.00,3.00,2.00,4.00,5.00,6.00,4.00,6.00,3.00,318,317,NULL,'SANTA MARIA','CHAPECO','SC',17456,219,605,NULL,NULL,NULL,NULL,4,4),(15,2252350,4.00,6.00,5.00,7.00,6.00,7.00,3.00,5.00,2.00,103,5,NULL,'CORDEIROS','ITAJAI','SC',11174,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2252368,6.00,9.00,7.00,7.00,8.00,6.00,9.00,6.00,6.00,102,425,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',1724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252376,7.00,7.00,7.00,6.00,6.00,5.50,7.00,6.00,7.00,103,104,NULL,'CENTRO','ITAPEJARA D OESTE','PR',3367,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2252384,3.00,5.00,1.00,5.00,7.00,4.75,3.00,4.00,3.00,309,308,NULL,'PONTA DE BAIXO','SAO JOSE','SC',17038,27,NULL,NULL,NULL,NULL,NULL,2,1),(15,2252392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,327,NULL,'ABRAÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2252406,2.00,7.00,1.00,3.00,5.00,5.00,4.00,5.00,1.00,404,420,NULL,'BARREIROS','SAO JOSE','SC',18304,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2252414,3.00,5.00,1.00,6.00,5.00,4.50,2.00,3.00,2.00,317,444,NULL,'DAS NAÇOES','INDAIAL','SC',20152,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2252422,8.00,9.00,8.00,8.00,7.00,5.75,9.00,6.00,6.00,214,220,203,'PQ NOVO ORATÓRIO','SANTO ANDRE','SP',1222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252430,5.00,8.00,1.00,7.00,6.00,5.25,3.00,4.00,2.00,214,304,213,'SANTO ANTONIO','JOINVILLE','SC',11927,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2252449,3.00,4.00,1.00,4.00,2.00,NULL,4.00,2.00,2.00,404,332,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2252457,7.00,7.00,5.00,5.00,8.00,5.50,5.00,6.00,2.00,202,213,201,'CENTRO','TUBARAO','SC',7912,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2252465,2.00,7.00,0.00,3.00,4.00,5.00,3.00,6.00,2.00,444,501,NULL,'N SENHORA DO ROSARIO','SAO JOSE','SC',19579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252473,3.00,7.00,3.00,6.00,4.00,6.75,2.00,7.00,1.00,214,421,NULL,'S ANTONIO DE LISBOA','FLORIANOPOLIS','SC',14417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252481,0.00,4.00,0.00,2.00,4.00,NULL,5.00,5.00,2.00,415,420,NULL,'CENTRO','PONTE ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2252490,2.00,4.00,0.00,4.00,7.00,5.25,3.00,4.00,2.00,428,310,424,'JD DAS ACACIAS','SAO JOSE','SC',20536,90,180,90,NULL,NULL,NULL,2,1),(15,2252503,3.00,5.00,3.00,4.00,5.00,4.50,5.00,5.00,2.00,108,211,NULL,'SUMARÉ','RIO DO SUL','SC',15723,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2252511,2.00,4.00,2.00,1.00,4.00,NULL,1.00,1.00,3.00,420,450,NULL,'CENTRO','IBICARE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2252520,4.00,8.00,5.00,5.00,6.00,6.25,4.00,6.00,4.00,415,428,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',8974,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2252538,0.00,4.00,1.00,5.00,5.00,NULL,4.00,7.00,0.00,225,202,NULL,'XV DE NOVEMBRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2252546,5.00,9.00,3.00,9.00,7.00,5.75,8.00,7.00,4.00,333,234,NULL,'CENTRO','ITAJAI','SC',3936,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2252554,3.00,8.00,6.00,5.00,7.00,5.50,5.00,6.00,3.00,103,333,NULL,'BROTAS','SALVADOR','BA',8099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252562,4.00,6.00,5.00,3.00,5.00,5.25,8.00,5.00,3.00,202,317,213,'BARREIROS','SAO JOSE','SC',12049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252570,2.00,4.00,0.00,4.00,3.00,NULL,2.00,4.00,1.00,102,101,NULL,'VILA CELIA','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2252589,2.00,5.00,3.00,3.00,5.00,5.25,4.00,6.00,2.00,208,215,216,'SANTO ANTONIO','SANTO AUGUSTO','RS',17100,666,587,480,NULL,NULL,NULL,4,4),(15,2252597,6.00,8.00,5.00,6.00,7.00,7.50,5.00,8.00,6.00,420,301,NULL,'CENTRO','JOACABA','SC',2681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252600,4.00,5.00,6.00,4.00,8.00,5.50,4.00,4.00,1.00,238,316,208,'AMIZADE','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2252619,2.00,4.00,1.00,3.00,4.00,NULL,2.00,0.00,2.00,223,319,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2252627,3.00,6.00,3.00,4.00,7.00,0.00,7.00,5.00,2.00,104,331,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2252635,5.00,6.00,4.00,4.00,8.00,4.75,3.00,5.00,5.00,212,238,211,'JARDIM AMÉRICA','CHAPECO','SC',12472,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2252643,3.00,6.00,2.00,8.00,6.00,5.50,4.00,5.00,4.00,423,424,428,'PANTANAL','FLORIANOPOLIS','SC',10567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2252651,7.00,8.00,8.00,8.00,7.00,5.50,8.00,4.00,6.00,212,103,213,'PANTANAL','FLORIANOPOLIS','SC',2464,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2252678,4.00,9.00,7.00,7.00,9.00,7.50,8.00,6.00,7.00,203,304,202,'PETRÓPOLIS','JOINVILLE','SC',1682,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2252686,0.00,3.00,3.00,5.00,1.00,NULL,3.00,6.00,3.00,220,212,211,'CENTRO','ENCANTADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2252694,1.00,3.00,1.00,4.00,3.00,5.75,5.00,2.00,2.00,234,502,NULL,'VARGEN DO BOM JESUS','FLORIANOPOLIS','SC',21441,114,361,NULL,NULL,NULL,NULL,2,1),(15,2252708,6.00,8.00,6.00,8.00,8.00,6.25,8.00,7.00,3.00,2,203,NULL,'BORGO','BENTO GONCALVES','RS',3359,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2252724,2.00,6.00,3.00,6.00,5.00,5.25,4.00,3.00,2.00,108,NULL,NULL,'CENTRO','ERECHIM','RS',17207,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2252732,4.00,7.00,6.00,4.00,6.00,6.50,4.00,7.00,4.00,301,316,NULL,'JARDIM PAULISTA','CAMPO GRANDE','MS',7521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,444,NULL,'SANTA CÂNDIDA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2252759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2252767,6.00,8.00,5.00,9.00,7.00,7.25,6.00,8.00,5.00,5,420,NULL,'ESTREITO','FLORIANOPOLIS','SC',1514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252775,2.00,5.00,2.00,3.00,5.00,NULL,1.00,2.00,1.00,103,319,NULL,'PASSA VINTE','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2252783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,421,424,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2252791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,220,214,'CENTRO','GUARUJA DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2252805,5.00,6.00,3.00,5.00,8.00,6.50,5.00,7.00,4.00,420,501,NULL,'CARIANOS','FLORIANOPOLIS','SC',8476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,425,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2252830,2.00,6.00,2.00,6.00,5.00,4.50,2.00,1.00,3.00,319,308,NULL,'COQUEIROS','FLORIANOPOLIS','SC',20682,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2252848,3.00,7.00,3.00,5.00,7.00,4.00,4.00,3.00,2.00,450,208,NULL,'EGIDIO TAGLIARI','ARTUR NOGUEIRA','SP',15069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252856,3.00,7.00,5.00,2.00,4.00,6.50,8.00,6.00,2.00,202,203,220,'CENTRO','CRICIUMA','SC',11069,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2252872,3.00,9.00,4.00,8.00,8.00,7.50,5.00,9.00,2.00,238,318,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',4564,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2252902,3.00,6.00,2.00,4.00,4.00,3.75,3.00,3.00,3.00,203,2,220,'CORAL','LAGES','SC',19120,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2252929,3.00,7.00,4.00,4.00,8.00,7.00,4.00,6.00,3.00,103,101,NULL,'SANTO ANTÔNIO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2252937,4.00,7.00,5.00,6.00,6.00,4.00,6.00,5.00,3.00,238,304,208,'CARIANOS','FLORIANOPOLIS','SC',10377,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2252945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2252953,5.00,6.00,5.00,4.00,6.00,5.75,4.00,7.00,4.00,317,339,NULL,'CENTRO','PALHOCA','SC',9385,90,209,NULL,NULL,NULL,NULL,2,1),(15,2252961,1.00,6.00,2.00,5.00,5.00,3.00,3.00,6.00,1.00,318,316,NULL,'PANTANAL','FLORIANOPOLIS','SC',19487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2252970,2.00,6.00,4.00,4.00,6.00,3.00,3.00,5.00,3.00,104,201,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',16854,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2252988,5.00,4.00,3.00,6.00,4.00,5.00,2.00,2.00,2.00,319,NULL,NULL,'NS PERPETUO SOCORRO','TELEMACO BORBA','PR',18501,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2252996,4.00,7.00,3.00,5.00,8.00,5.50,5.00,8.00,2.00,317,302,NULL,'ESTREITO','FLORIANOPOLIS','SC',8985,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253003,2.00,5.00,1.00,6.00,4.00,4.50,4.00,5.00,3.00,234,339,NULL,'CENTRO','FLORIANOPOLIS','SC',18889,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,303,NULL,'CENTRO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2253020,3.00,7.00,8.00,8.00,6.00,6.50,8.00,9.00,3.00,326,327,NULL,'SERRINHA','FLORIANOPOLIS','SC',3138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253038,0.00,0.00,0.00,9.00,6.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',1,1),(15,2253046,3.00,7.00,2.00,6.00,5.00,4.00,6.00,6.00,4.00,234,339,NULL,'CENTRO','FLORIANOPOLIS','SC',11936,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253054,5.00,4.00,4.00,3.00,7.00,6.00,6.00,5.00,4.00,215,317,238,'MONTE VERDE','FLORIANOPOLIS','SC',12302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253070,5.00,5.00,3.00,4.00,7.00,5.00,6.00,5.00,4.00,207,222,212,'MONTE VERDE','FLORIANOPOLIS','SC',10272,493,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253089,4.00,8.00,4.00,9.00,9.00,5.75,4.00,7.00,3.00,327,326,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',6018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253097,4.00,6.00,5.00,6.00,8.00,5.00,5.00,5.00,4.00,316,319,NULL,'COQUEIROS','FLORIANOPOLIS','SC',9854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253100,0.00,8.00,5.00,6.00,8.00,7.00,3.00,5.00,1.00,317,222,NULL,'CARIANOS','FLORIANOPOLIS','SC',12429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253119,5.00,9.00,6.00,6.00,7.00,6.50,9.00,7.00,5.00,224,238,NULL,'ESTREITO','FLORIANOPOLIS','SC',2640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,317,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2253135,4.00,6.00,2.00,5.00,4.00,6.25,5.00,7.00,3.00,102,9,NULL,'INTERIOR','CAPINZAL','SC',11985,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2253143,0.00,5.00,0.00,6.00,6.00,NULL,3.00,4.00,1.00,316,317,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253151,5.00,6.00,8.00,9.00,7.00,3.75,8.00,6.00,7.00,211,333,207,'COQUEIROS','FLORIANOPOLIS','SC',2467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253160,5.00,6.00,4.00,8.00,7.00,5.75,6.00,7.00,4.00,415,329,NULL,'CRISTAL','PORTO ALEGRE','RS',4946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253178,0.00,6.00,3.00,0.00,4.00,NULL,6.00,2.00,3.00,103,104,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2253194,4.00,8.00,7.00,4.00,8.00,6.00,8.00,8.00,4.00,5,333,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',3155,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253208,4.00,5.00,3.00,4.00,7.00,6.75,4.00,5.00,2.00,5,339,NULL,'NOVA BRASILIA','IMBITUBA','SC',14865,642,277,NULL,NULL,NULL,NULL,2,1),(15,2253216,2.00,5.00,1.00,6.00,6.00,5.50,3.00,3.00,2.00,429,238,423,'CARVOEIRA','FLORIANOPOLIS','SC',18710,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2253224,4.00,7.00,1.00,7.00,8.00,5.75,5.00,5.00,2.00,316,318,NULL,'SERRARIA','SAO JOSE','SC',11573,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253232,7.00,9.00,7.00,6.00,8.00,6.50,7.00,7.00,6.00,103,319,NULL,'CENTRO','GUARAPUAVA','PR',1581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253240,2.00,6.00,5.00,7.00,6.00,4.25,4.00,6.00,3.00,317,302,NULL,'PASSA VINTE','PALHOCA','SC',12168,158,254,NULL,NULL,NULL,NULL,2,1),(15,2253259,0.00,5.00,3.00,2.00,8.00,NULL,4.00,5.00,2.00,310,320,NULL,'SÃO JOAQUIM','FRANCA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253267,2.00,5.00,9.00,6.00,5.00,5.25,5.00,4.00,5.00,203,324,233,'SANTO ANTONIO','JOINVILLE','SC',9614,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2253275,3.00,7.00,4.00,3.00,4.00,5.00,5.00,4.00,2.00,201,5,212,'CENTRO','SAO MIGUEL DA BOA VISTA','SC',16506,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2253283,2.00,4.00,1.00,0.00,4.00,4.25,4.00,3.00,3.00,212,NULL,NULL,'JOSE MENDES','FLORIANOPOLIS','SC',22402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253291,2.00,9.00,3.00,6.00,6.00,5.25,4.00,5.00,2.00,316,327,NULL,'FRAGOSOS','CAMPO ALEGRE','SC',12478,330,319,NULL,NULL,NULL,NULL,2,8),(15,2253305,1.00,6.00,5.00,5.00,5.00,5.75,4.00,3.00,3.00,207,333,211,'CARIANOS','FLORIANOPOLIS','SC',16099,783,860,581,NULL,NULL,NULL,2,1),(15,2253313,3.00,1.00,2.00,6.00,4.00,4.75,3.00,3.00,1.00,317,316,NULL,'SERRARIA','SAO JOSE','SC',21842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'COSTEIRA','PARANAGUA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2253330,1.00,5.00,3.00,7.00,5.00,3.50,2.00,3.00,2.00,501,302,NULL,'FAZENDA STO ANTÔNIO','SAO JOSE','SC',20307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253348,2.00,8.00,4.00,7.00,6.00,6.75,3.00,6.00,2.00,426,427,424,'CANASVIEIRAS','FLORIANOPOLIS','SC',10609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253356,3.00,6.00,3.00,6.00,7.00,5.75,5.00,4.00,3.00,103,102,NULL,'TRES PALMEIRAS','CORONEL FREITAS','SC',12184,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2253364,2.00,5.00,1.00,3.00,5.00,5.00,3.00,4.00,3.00,333,108,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',20554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253372,3.00,7.00,6.00,4.00,5.00,4.50,6.00,5.00,2.00,103,207,NULL,'CENTRO','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2253380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,425,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2253399,2.00,8.00,5.00,6.00,5.00,5.25,5.00,8.00,5.00,426,327,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',9644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253402,3.00,6.00,5.00,4.00,5.00,5.50,3.00,3.00,4.00,220,NULL,NULL,'UNIÃO','PALOTINA','PR',15009,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2253410,2.00,6.00,4.00,8.00,8.00,6.75,5.00,6.00,3.00,9,303,NULL,'HOLTERMANN','SANTA MARIA','RS',8431,88,1097,NULL,NULL,NULL,NULL,2,3),(15,2253429,6.00,4.00,2.00,5.00,7.00,5.50,4.00,6.00,3.00,102,NULL,NULL,'CENTRO','CURITIBA','PR',12895,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2253445,5.00,9.00,6.00,6.00,8.00,7.25,7.00,6.00,3.00,415,423,NULL,'CENTRO','FLORIANOPOLIS','SC',3673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253453,4.00,3.00,2.00,6.00,5.00,5.75,3.00,4.00,3.00,308,426,NULL,'TAPERA','FLORIANOPOLIS','SC',17053,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253461,2.00,2.00,2.00,1.00,5.00,NULL,3.00,4.00,0.00,5,303,NULL,'SEDE DOURADO','ARATIBA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2253470,3.00,8.00,4.00,6.00,6.00,5.25,4.00,5.00,2.00,425,316,429,'CENTRO','CAMPO ALEGRE','SC',12187,65,961,40,NULL,NULL,NULL,4,8),(15,2253488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,108,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2253496,2.00,5.00,4.00,0.00,2.00,NULL,3.00,4.00,4.00,501,NULL,NULL,'INTERIOR','SAO DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2253500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2253518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,308,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2253526,2.00,6.00,2.00,5.00,6.00,4.25,2.00,6.00,3.00,301,304,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',18002,303,419,NULL,NULL,NULL,NULL,2,1),(15,2253534,4.00,8.00,0.00,4.00,4.00,4.25,4.00,5.00,4.00,332,427,NULL,'TRINDADE','FLORIANOPOLIS','SC',15490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253542,4.00,6.00,4.00,4.00,4.00,5.00,5.00,3.00,3.00,101,108,NULL,'CLAUDETE','CASCAVEL','PR',16478,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2253550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,302,203,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2253569,5.00,7.00,7.00,5.00,8.00,6.00,6.00,6.00,4.00,303,319,NULL,'REBOUÇAS','CURITIBA','PR',5294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253577,3.00,6.00,7.00,7.00,7.00,6.00,6.00,3.00,5.00,202,220,203,'ASA NORTE','BRASILIA','DF',8537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253585,2.00,3.00,4.00,2.00,6.00,NULL,2.00,0.00,2.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253607,6.00,8.00,7.00,9.00,8.00,6.50,6.00,6.00,8.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',1590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,5,NULL,'VALPARAISO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2253623,1.00,5.00,3.00,2.00,5.00,5.50,2.00,3.00,4.00,207,420,201,'ESCOLA AGRÍCOLA','BLUMENAU','SC',19605,922,871,1030,NULL,NULL,NULL,2,2),(15,2253631,0.00,6.00,2.00,1.00,1.00,NULL,1.00,1.00,3.00,332,324,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253640,6.00,8.00,0.00,3.00,8.00,NULL,5.00,8.00,3.00,332,217,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,208,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2253666,7.00,7.00,5.00,3.00,7.00,4.50,7.00,4.00,5.00,103,NULL,NULL,'PERDIZES','SAO PAULO','SP',7305,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253674,5.00,7.00,5.00,7.00,8.00,5.25,8.00,4.00,5.00,202,233,213,'VILA INDUSTRIAL','BAURU','SP',5457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253682,3.00,8.00,3.00,7.00,6.00,6.00,3.00,6.00,4.00,502,501,NULL,'ESTREITO','FLORIANOPOLIS','SC',9029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253690,5.00,8.00,6.00,6.00,7.00,3.75,3.00,8.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7597,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2253704,1.00,7.00,2.00,9.00,7.00,6.00,5.00,7.00,2.00,317,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',12221,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2253712,3.00,6.00,4.00,8.00,4.00,6.00,4.00,6.00,2.00,326,310,NULL,'ITACORUBI','FLORIANOPOLIS','SC',12817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253720,4.00,8.00,8.00,5.00,7.00,7.00,7.00,4.00,4.00,319,NULL,NULL,'JD SÃO LUIS','RIBEIRAO PRETO','SP',5341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253739,4.00,4.00,5.00,8.00,6.00,6.75,5.00,5.00,4.00,211,207,215,'JARDIM MALUCHE','BRUSQUE','SC',7839,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2253747,3.00,6.00,0.00,0.00,8.00,NULL,3.00,5.00,3.00,5,318,NULL,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253755,2.00,6.00,2.00,3.00,5.00,6.00,0.00,3.00,0.00,501,339,NULL,'INTERIOR','LUZERNA','SC',21864,301,451,NULL,NULL,NULL,NULL,2,7),(15,2253763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,328,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2253771,6.00,6.00,4.00,6.00,7.00,7.25,6.00,5.00,5.00,103,102,NULL,'CENTRO','CURITIBA','PR',6477,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2253780,0.00,0.00,0.00,0.00,0.00,NULL,1.00,3.00,0.00,415,339,NULL,'ALTO BIGUAÇU','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253798,6.00,6.00,8.00,8.00,7.00,6.00,8.00,6.00,7.00,102,216,NULL,'SALTO','BLUMENAU','SC',2519,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2253801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,213,202,'ANHANGABAU','JUNDIAI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2253810,5.00,8.00,5.00,9.00,8.00,6.25,9.00,7.00,6.00,103,208,NULL,'AGRÔNÔMICA','FLORIANOPOLIS','SC',1780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,211,NULL,'CAMINHO NOVO','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2253836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2253844,2.00,7.00,3.00,4.00,6.00,5.00,4.00,5.00,4.00,103,101,NULL,'BOM RETIRO','JOINVILLE','SC',13203,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2253852,5.00,7.00,3.00,8.00,7.00,6.25,5.00,7.00,3.00,310,327,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',7224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253860,3.00,8.00,3.00,8.00,6.00,5.25,3.00,7.00,3.00,304,326,NULL,'PANTANAL','FLORIANOPOLIS','SC',9242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,501,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2253887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,425,238,'BROOKLIN','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2253895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,303,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2253909,2.00,5.00,3.00,8.00,8.00,6.25,6.00,6.00,2.00,415,425,NULL,'STO ANT DE LISBOA','FLORIANOPOLIS','SC',9260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253917,3.00,9.00,7.00,7.00,7.00,5.75,6.00,8.00,2.00,316,327,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',5357,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2253925,3.00,8.00,7.00,8.00,9.00,6.50,8.00,7.00,6.00,5,318,NULL,'COQUEIROS','FLORIANOPOLIS','SC',1681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253933,4.00,7.00,4.00,4.00,8.00,5.25,5.00,7.00,4.00,108,216,NULL,'VILA ALEMANHA','LUZERNA','SC',7764,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2253941,5.00,8.00,9.00,7.00,6.00,5.50,7.00,8.00,5.00,103,104,NULL,'JD MORUMBI','UBERABA','MG',1804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2253950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,425,NULL,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2253968,4.00,8.00,5.00,9.00,5.00,7.00,6.00,7.00,6.00,328,329,NULL,'N SRA DA SALETE','CRICIUMA','SC',3589,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2253984,2.00,8.00,5.00,7.00,7.00,7.25,5.00,6.00,4.00,208,238,220,'CENTRO','PALMAS','PR',7455,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2253992,3.00,7.00,2.00,4.00,5.00,5.50,4.00,5.00,3.00,302,304,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',14385,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254000,6.00,6.00,6.00,6.00,9.00,7.00,7.00,4.00,5.00,103,104,NULL,'CENTRO','CURITIBA','PR',5308,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2254018,2.00,7.00,4.00,4.00,3.00,5.25,3.00,7.00,3.00,304,NULL,NULL,'VALPARAÍSO','BLUMENAU','SC',16173,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2254026,4.00,4.00,1.00,2.00,8.00,3.75,6.00,5.00,1.00,319,420,NULL,'BATEL','CURITIBA','PR',17477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254034,0.00,4.00,3.00,5.00,6.00,NULL,1.00,3.00,3.00,202,216,NULL,'INTERIOR','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2254042,2.00,6.00,5.00,7.00,5.00,4.50,5.00,6.00,3.00,211,102,215,'CAPOEIRAS','FLORIANOPOLIS','SC',10652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254050,3.00,5.00,1.00,7.00,6.00,5.00,5.00,4.00,3.00,104,217,NULL,'BARREIROS','SAO JOSE','SC',15160,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254069,5.00,8.00,8.00,6.00,8.00,5.50,7.00,7.00,5.00,201,301,212,'ROÇADO','SAO JOSE','SC',2828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254085,4.00,6.00,6.00,6.00,5.00,5.25,4.00,4.00,3.00,103,201,NULL,'INTERIOR','CONCORDIA','SC',11463,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2254093,2.00,6.00,2.00,1.00,6.00,3.50,4.00,6.00,2.00,207,202,201,'IPIRANGA','SAO PAULO','SP',17194,821,924,915,NULL,NULL,NULL,4,1),(15,2254107,3.00,8.00,4.00,10.00,8.00,9.00,5.00,6.00,3.00,319,328,NULL,'SANTOS DUMONT','SAO JOSE','SC',5940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,333,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(15,2254123,5.00,5.00,3.00,0.00,7.00,4.25,6.00,4.00,6.00,102,217,NULL,'COQUEIROS','FLORIANOPOLIS','SC',14675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254131,7.00,7.00,9.00,7.00,8.00,5.50,8.00,7.00,6.00,103,NULL,NULL,'MATRIZ','VIDEIRA','SC',1811,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2254140,2.00,6.00,3.00,4.00,5.00,6.00,3.00,5.00,0.00,304,223,NULL,'PACHECOS','PALHOCA','SC',18802,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254158,4.00,6.00,1.00,7.00,7.00,6.00,5.00,6.00,3.00,207,420,208,'BARREIROS','SAO JOSE','SC',11143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254166,4.00,8.00,5.00,5.00,6.00,5.00,6.00,7.00,3.00,103,303,NULL,'ABRAÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254174,4.00,6.00,6.00,5.00,7.00,5.25,6.00,6.00,3.00,420,238,NULL,'INGLESES','FLORIANOPOLIS','SC',8029,145,872,NULL,NULL,NULL,NULL,4,1),(15,2254182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,207,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2254190,2.00,6.00,5.00,6.00,7.00,6.25,6.00,7.00,2.00,450,329,NULL,'GUARANI','NOVO HAMBURGO','RS',10282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254204,1.00,5.00,1.00,3.00,7.00,5.00,2.00,6.00,0.00,5,316,NULL,'SÃO CRISTÓVÃO','TURVO','SC',20003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254212,2.00,4.00,4.00,5.00,5.00,5.25,2.00,3.00,2.00,316,212,NULL,'JARIVATUBA','JOINVILLE','SC',19170,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2254220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,424,NULL,'ASA NORTE','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2254239,2.00,5.00,1.00,4.00,7.00,4.75,3.00,4.00,4.00,317,324,NULL,'PANTANAL','FLORIANOPOLIS','SC',18258,309,323,NULL,NULL,NULL,NULL,2,1),(15,2254247,4.00,6.00,6.00,8.00,7.00,7.00,4.00,4.00,4.00,425,319,421,'JARDIM FLÓRIDA','JACAREI','SP',7628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'BARREIRINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2254263,2.00,5.00,1.00,5.00,7.00,4.50,5.00,4.00,2.00,420,NULL,NULL,'GUANABARA','JOINVILLE','SC',17253,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2254271,3.00,5.00,0.00,2.00,5.00,5.00,3.00,3.00,2.00,333,9,NULL,'VILA SIMONE','JOACABA','SC',21602,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2254280,1.00,4.00,1.00,2.00,7.00,NULL,1.00,1.00,2.00,309,501,NULL,'INTERIOR','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2254298,1.00,7.00,5.00,5.00,6.00,4.75,4.00,4.00,1.00,420,502,NULL,'COSTEIRA','FLORIANOPOLIS','SC',15574,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254301,4.00,7.00,4.00,4.00,7.00,4.00,5.00,6.00,4.00,444,424,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',10915,66,178,NULL,NULL,NULL,NULL,2,1),(15,2254328,5.00,8.00,8.00,2.00,7.00,5.50,6.00,5.00,7.00,103,104,NULL,'CENTRO','CURITIBA','PR',5439,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2254336,3.00,4.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,316,425,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254344,4.00,7.00,6.00,6.00,7.00,9.00,8.00,5.00,6.00,203,316,214,'CENTRO','FLORIANOPOLIS','SC',3944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254352,2.00,6.00,2.00,6.00,7.00,5.75,5.00,6.00,3.00,207,103,NULL,'VICTOR KONDER','BLUMENAU','SC',12676,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2254360,5.00,8.00,5.00,7.00,8.00,6.00,6.00,8.00,6.00,303,5,NULL,'ESTREITO','FLORIANOPOLIS','SC',3496,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254379,1.00,5.00,4.00,5.00,6.00,7.00,3.00,8.00,3.00,310,308,NULL,'SANTA RITA','LAGES','SC',14013,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2254409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','TROMBUDO CENTRAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2254417,2.00,6.00,4.00,5.00,4.00,0.00,4.00,5.00,2.00,316,317,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254425,7.00,7.00,3.00,4.00,6.00,5.00,6.00,3.00,5.00,103,NULL,NULL,'SANTA FE','CAMPO GRANDE','MS',9383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254433,6.00,6.00,5.00,9.00,5.00,4.75,6.00,7.00,5.00,201,238,208,'ITACORUBI','FLORIANOPOLIS','SC',5309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254441,1.00,4.00,4.00,4.00,4.00,5.75,4.00,4.00,2.00,308,301,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',18312,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254450,3.00,7.00,6.00,2.00,6.00,3.00,5.00,6.00,4.00,202,225,203,'PONTE BAIXA','SAO LUDGERO','SC',12973,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2254468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,103,NULL,'SÃO BASILIO','BRACO DO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2254476,2.00,4.00,2.00,8.00,4.00,5.25,2.00,4.00,1.00,316,301,NULL,'CENTRO','RONDON','PR',19491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254484,3.00,4.00,2.00,1.00,6.00,4.50,2.00,4.00,2.00,238,320,233,'CARIANOS','FLORIANOPOLIS','SC',20656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254492,6.00,7.00,8.00,9.00,8.00,6.75,4.00,8.00,4.00,207,420,212,'CARVOEIRA','FLORIANOPOLIS','SC',2356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254506,3.00,6.00,3.00,7.00,4.00,5.25,4.00,4.00,1.00,421,332,427,'CENTRO','BAURU','SP',17360,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2254514,3.00,6.00,4.00,5.00,6.00,5.75,7.00,3.00,2.00,303,5,NULL,'IBIRAQUERA','GAROPABA','SC',12524,614,1189,NULL,NULL,NULL,NULL,2,1),(15,2254522,3.00,5.00,5.00,5.00,6.00,6.25,3.00,4.00,3.00,9,216,NULL,'CENTRO','TRINDADE','GO',14604,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254530,5.00,8.00,8.00,8.00,8.00,5.75,7.00,7.00,3.00,103,214,NULL,'NUCLEO BANDEIRANTE','NUCLEO BANDEIRANTE','DF',3000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254549,5.00,5.00,1.00,7.00,7.00,NULL,0.00,0.00,0.00,108,332,NULL,'CURURUQUARA','SANTANA DE PARNAIBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',3,1),(15,2254557,2.00,7.00,2.00,2.00,3.00,3.75,4.00,4.00,1.00,103,104,NULL,'VILA LAUCY','OSASCO','SP',21315,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2254565,3.00,7.00,7.00,6.00,8.00,6.75,7.00,5.00,3.00,328,427,NULL,'PANTANAL','FLORIANOPOLIS','SC',6273,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254573,3.00,8.00,4.00,4.00,7.00,4.75,6.00,6.00,5.00,104,301,NULL,'PANTANAL','FLORIANOPOLIS','SC',8804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254581,3.00,7.00,4.00,4.00,6.00,6.00,7.00,7.00,4.00,331,424,NULL,'DR ARI LUNARDI','XAXIM','SC',7560,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2254590,6.00,6.00,6.00,6.00,8.00,5.75,8.00,6.00,5.00,103,NULL,NULL,'LAGO SUL','LAGO SUL','DF',3728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254603,2.00,5.00,4.00,4.00,5.00,4.25,2.00,4.00,4.00,238,201,208,'BARREIROS','SAO JOSE','SC',16988,631,1366,660,NULL,NULL,NULL,4,1),(15,2254611,7.00,8.00,7.00,6.00,7.00,5.50,8.00,6.00,5.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',2728,969,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,451,421,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2254638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2254646,4.00,6.00,4.00,2.00,7.00,7.50,5.00,5.00,4.00,303,9,NULL,'NOVO HORIZONTE','LAURO MULLER','SC',11366,578,526,NULL,NULL,NULL,NULL,4,5),(15,2254654,1.00,8.00,5.00,7.00,6.00,6.25,5.00,6.00,6.00,103,102,NULL,'AREIAS','SAO JOSE','SC',7959,1885,773,NULL,NULL,NULL,NULL,2,1),(15,2254662,5.00,8.00,7.00,6.00,6.00,6.25,6.00,5.00,3.00,220,212,201,'ARIRIBÁ','BALNEARIO CAMBORIU','SC',5836,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2254670,2.00,6.00,3.00,6.00,5.00,5.75,2.00,4.00,2.00,324,302,NULL,'COQUEIROS','FLORIANOPOLIS','SC',17336,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254689,6.00,8.00,8.00,9.00,8.00,7.00,8.00,8.00,6.00,103,329,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254697,2.00,5.00,4.00,5.00,8.00,4.25,6.00,5.00,3.00,444,208,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',12218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254700,3.00,3.00,2.00,2.00,2.00,NULL,4.00,4.00,2.00,320,5,NULL,'VILA SÃO JOÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254719,4.00,8.00,3.00,6.00,8.00,6.25,4.00,6.00,1.00,425,426,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',9946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254727,2.00,5.00,1.00,2.00,8.00,5.50,3.00,4.00,2.00,310,424,NULL,'CAMPINAS','SAO JOSE','SC',19544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254735,1.00,6.00,4.00,3.00,6.00,5.75,4.00,6.00,3.00,333,238,NULL,'ESTREITO','FLORIANOPOLIS','SC',14255,210,937,NULL,NULL,NULL,NULL,4,1),(15,2254743,3.00,5.00,1.00,5.00,5.00,5.00,4.00,3.00,2.00,309,304,NULL,'LIMEIRA','BIGUACU','SC',19937,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254760,3.00,6.00,2.00,9.00,8.00,5.25,5.00,7.00,3.00,207,420,216,'CENTRO','ESTEIO','RS',8103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,208,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2254786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,326,NULL,'CENTRO','SAO PEDRO DE ALCANTARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2254794,3.00,8.00,1.00,7.00,4.00,7.00,4.00,7.00,1.00,329,327,NULL,'INGLESES','FLORIANOPOLIS','SC',12786,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2254816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'VILA SÃO PAULO','ARACATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2254824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,301,NULL,'CENTRO','SAO LOURENCO DO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2254832,5.00,7.00,3.00,5.00,6.00,5.50,4.00,6.00,2.00,302,451,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',13164,99,198,NULL,NULL,NULL,NULL,2,1),(15,2254840,8.00,8.00,7.00,4.00,7.00,5.25,9.00,7.00,3.00,103,208,NULL,'CENTRO','FLORIANOPOLIS','SC',3712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254859,2.00,8.00,3.00,6.00,6.00,5.25,7.00,7.00,4.00,233,2,207,'CENTRO','TUBARAO','SC',9158,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2254867,4.00,7.00,3.00,7.00,8.00,4.50,4.00,6.00,5.00,316,424,NULL,'TRINDADE','FLORIANOPOLIS','SC',8148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254875,3.00,5.00,4.00,3.00,7.00,6.50,4.00,5.00,3.00,308,217,NULL,'ABRAAO','FLORIANOPOLIS','SC',13011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,450,NULL,'JARDIM LEMENSE','LEME','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2254891,1.00,7.00,3.00,6.00,4.00,5.25,6.00,5.00,1.00,234,333,NULL,'CAMPECHE','FLORIANOPOLIS','SC',14157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,216,NULL,'CENTRO','IPUACU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2254921,1.00,3.00,2.00,0.00,1.00,NULL,3.00,1.00,2.00,225,327,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,214,NULL,'BARRA GRANDE','TRES BARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2254948,6.00,7.00,5.00,6.00,7.00,5.00,7.00,5.00,3.00,317,318,NULL,'COQUEIROS','FLORIANOPOLIS','SC',6229,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254956,4.00,7.00,5.00,6.00,6.00,4.25,5.00,8.00,4.00,304,301,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',7640,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254964,4.00,4.00,4.00,5.00,5.00,6.00,5.00,5.00,2.00,415,301,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2254972,3.00,5.00,6.00,6.00,5.00,5.75,6.00,5.00,5.00,211,2,202,'CENTRO','ANTONIO CARLOS','SC',10967,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2254980,2.00,3.00,2.00,5.00,6.00,4.75,2.00,2.00,3.00,339,308,NULL,'DAS PALMEIRAS','SAO JOSE','SC',21014,142,460,NULL,NULL,NULL,NULL,2,1),(15,2254999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,328,NULL,'FARINHAS','ALPESTRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2255006,1.00,6.00,3.00,5.00,4.00,4.50,5.00,4.00,3.00,233,104,213,'SÃO GOTARDO','SAO MIGUEL DOESTE','SC',17577,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2255014,2.00,3.00,3.00,1.00,4.00,5.50,4.00,4.00,1.00,303,NULL,NULL,'CENTRO','FRAIBURGO','SC',22191,895,NULL,NULL,NULL,NULL,NULL,4,9),(15,2255022,4.00,7.00,3.00,4.00,8.00,7.25,4.00,8.00,3.00,304,318,NULL,'CANDANGOLANDIA','CANDANGOLANDIA','DF',9331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,316,NULL,'CENTRO','IJUI','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2255049,5.00,9.00,7.00,7.00,8.00,6.00,7.00,6.00,4.00,104,444,NULL,'JOSE BONIFÁCIO','ERECHIM','RS',3484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255057,4.00,6.00,4.00,3.00,6.00,4.25,5.00,5.00,2.00,211,333,238,'SÃO CRISTOVÃO','CRICIUMA','SC',15732,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2255065,0.00,6.00,4.00,6.00,8.00,7.25,5.00,6.00,3.00,327,326,NULL,'CENTRO','TIJUCAS','SC',10262,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255081,3.00,5.00,3.00,3.00,3.00,5.00,5.00,4.00,2.00,319,316,NULL,'UVARANAS','PONTA GROSSA','PR',18527,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2255090,7.00,8.00,7.00,6.00,7.00,6.25,7.00,7.00,2.00,104,327,NULL,'INGLESES','FLORIANOPOLIS','SC',3659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255103,1.00,4.00,3.00,5.00,3.00,5.50,2.00,5.00,1.00,329,328,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',20881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255111,3.00,5.00,4.00,5.00,2.00,NULL,4.00,3.00,3.00,320,NULL,NULL,'ABRAAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255120,2.00,4.00,1.00,4.00,4.00,6.75,4.00,4.00,3.00,308,426,NULL,'TRÊS VENDAS','ERECHIM','RS',19481,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255138,5.00,9.00,6.00,7.00,7.00,5.50,6.00,8.00,2.00,318,224,NULL,'BARREIROS','SAO JOSE','SC',4778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255146,4.00,6.00,4.00,6.00,7.00,5.50,3.00,5.00,5.00,420,316,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',10233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255154,3.00,4.00,5.00,1.00,4.00,5.00,3.00,3.00,2.00,444,316,NULL,'RIO CAVEIRAS','BIGUACU','SC',21371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255162,1.00,8.00,2.00,6.00,4.00,5.00,3.00,5.00,1.00,318,426,NULL,'INGLESES','FLORIANOPOLIS','SC',17242,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255170,1.00,5.00,0.00,5.00,5.00,3.00,5.00,2.00,4.00,202,326,233,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',19825,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255189,1.00,3.00,1.00,5.00,7.00,5.00,5.00,2.00,4.00,207,420,208,'RIO CAVEIRAS','BIGUACU','SC',18736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255197,8.00,8.00,8.00,5.00,6.00,7.00,8.00,7.00,7.00,102,420,NULL,'ARIRIU','PALHOCA','SC',1777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255200,5.00,3.00,6.00,1.00,5.00,5.75,5.00,4.00,3.00,9,102,NULL,'CENTRO','FLORIANOPOLIS','SC',15536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255219,3.00,6.00,4.00,3.00,6.00,1.75,3.00,4.00,3.00,444,324,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'MARTIM FRANCISCO','MOGI MIRIM','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2255243,5.00,6.00,5.00,7.00,6.00,6.25,7.00,6.00,4.00,104,501,NULL,'AGRONÔMIA','FLORIANOPOLIS','SC',6547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255251,2.00,8.00,4.00,6.00,6.00,6.00,4.00,6.00,2.00,202,220,208,'ITACORUBI','FLORIANOPOLIS','SC',12223,468,727,444,NULL,NULL,NULL,4,1),(15,2255260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,225,220,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2255278,1.00,5.00,4.00,7.00,7.00,6.75,3.00,4.00,3.00,415,426,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',11642,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2255286,0.00,7.00,3.00,2.00,5.00,4.25,3.00,5.00,3.00,333,234,NULL,'SERRARIA','SAO JOSE','SC',19733,364,245,NULL,NULL,NULL,NULL,2,1),(15,2255294,4.00,7.00,3.00,4.00,7.00,3.00,6.00,7.00,5.00,501,324,NULL,'PONTE DO IMARUIM','PALHOCA','SC',9631,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255308,6.00,7.00,7.00,6.00,8.00,6.25,5.00,6.00,3.00,104,316,NULL,'MICHEL','CRICIUMA','SC',4488,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2255316,3.00,4.00,3.00,2.00,5.00,6.00,1.00,2.00,2.00,217,425,NULL,'CENTRO','SAO JOAO BATISTA','SC',21253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2255332,4.00,8.00,5.00,7.00,7.00,4.75,6.00,7.00,3.00,320,328,NULL,'CENTRO','SUMARE','SP',6103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255367,0.00,4.00,4.00,3.00,6.00,3.50,3.00,0.00,4.00,324,222,NULL,'KOBRASOL','SAO JOSE','SC',21616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255383,2.00,3.00,0.00,5.00,4.00,NULL,3.00,1.00,2.00,101,215,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255391,2.00,8.00,4.00,10.00,7.00,5.75,2.00,8.00,3.00,420,207,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',8818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255405,3.00,7.00,6.00,3.00,6.00,5.00,7.00,6.00,4.00,103,NULL,NULL,'ASA SUL','BRASILIA','DF',10347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255413,2.00,4.00,3.00,6.00,7.00,5.75,5.00,4.00,3.00,301,303,NULL,'ESTREITO','FLORIANOPOLIS','SC',15051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255421,6.00,7.00,6.00,7.00,6.00,NULL,0.00,0.00,0.00,220,212,201,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(15,2255430,1.00,7.00,2.00,2.00,6.00,5.75,3.00,5.00,3.00,225,222,NULL,'SÃO LUIZ','CRICIUMA','SC',18245,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2255448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,310,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2255456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,203,NULL,'NOSSA S DAS GRAÇAS','PORTO VELHO','RO',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2255472,0.00,5.00,2.00,1.00,3.00,NULL,4.00,4.00,2.00,444,421,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255480,0.00,5.00,2.00,1.00,3.00,NULL,2.00,3.00,1.00,5,420,NULL,'LAGOA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255502,4.00,5.00,3.00,4.00,7.00,6.25,5.00,5.00,2.00,318,225,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',13827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255510,3.00,5.00,3.00,8.00,5.00,4.75,4.00,5.00,2.00,444,425,NULL,'CENTRO','PANAMBI','RS',14124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255529,2.00,6.00,3.00,6.00,4.00,5.50,4.00,3.00,2.00,327,332,NULL,'FORQUILHINHAS','SAO JOSE','SC',18222,148,287,NULL,NULL,NULL,NULL,2,1),(15,2255537,3.00,4.00,3.00,0.00,3.00,4.75,3.00,3.00,3.00,5,317,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',21276,875,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255545,3.00,9.00,1.00,6.00,7.00,5.00,5.00,7.00,4.00,102,101,NULL,'BARRA DO ARIRIU','PALHOCA','SC',8881,155,513,NULL,NULL,NULL,NULL,2,1),(15,2255553,6.00,6.00,5.00,7.00,8.00,5.00,7.00,4.00,5.00,319,444,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',6439,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255561,2.00,3.00,1.00,5.00,5.00,4.00,4.00,3.00,1.00,213,233,202,'BELA VISTA','ERECHIM','RS',21652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255570,5.00,4.00,3.00,6.00,4.00,5.25,3.00,5.00,1.00,102,104,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',16043,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255588,4.00,7.00,6.00,5.00,9.00,6.75,8.00,5.00,4.00,103,211,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',3639,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2255596,3.00,3.00,2.00,5.00,6.00,9.00,3.00,4.00,1.00,104,329,NULL,'PONTO CHIC','IBIRAMA','SC',17406,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2255600,3.00,6.00,0.00,7.00,6.00,NULL,2.00,3.00,1.00,423,427,426,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,207,NULL,'LAGOIA DA CONSEIÇAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2255626,8.00,8.00,8.00,8.00,9.00,7.75,9.00,8.00,9.00,303,220,NULL,'CENTRO','FLORIANOPOLIS','SC',253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255642,7.00,5.00,4.00,4.00,6.00,3.75,4.00,6.00,3.00,213,212,214,'BARREIROS','SAO JOSE','SC',12566,199,522,414,NULL,NULL,NULL,2,1),(15,2255650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,5,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2255669,7.00,8.00,8.00,7.00,8.00,7.75,9.00,6.00,7.00,103,327,NULL,'PIRABEIRABA','JOINVILLE','SC',452,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2255677,3.00,7.00,2.00,5.00,6.00,4.50,7.00,4.00,1.00,103,101,NULL,'ARTUR ALVIM','SAO PAULO','SP',14193,2552,615,NULL,NULL,NULL,NULL,2,1),(15,2255685,3.00,6.00,3.00,0.00,2.00,NULL,2.00,4.00,3.00,203,202,214,'PANTANO DO SUL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255693,2.00,7.00,3.00,7.00,5.00,6.50,2.00,8.00,2.00,316,502,NULL,'SANTA TEREZA','VIDEIRA','SC',12798,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2255715,0.00,5.00,3.00,2.00,5.00,3.50,3.00,4.00,3.00,502,222,NULL,'N SENHORA APARECIDA','SAO DOMINGOS','SC',20969,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2255723,2.00,4.00,4.00,5.00,8.00,6.00,4.00,5.00,3.00,501,444,NULL,'LÍDER','CHAPECO','SC',14672,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2255731,1.00,3.00,1.00,0.00,4.00,NULL,3.00,6.00,0.00,201,233,212,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255740,2.00,5.00,3.00,6.00,4.00,3.75,3.00,3.00,2.00,201,420,233,'TRÊS VENDAS','ERECHIM','RS',20565,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255758,1.00,4.00,5.00,9.00,8.00,4.50,5.00,6.00,2.00,319,NULL,NULL,'BARREIROS','SAO JOSE','SC',11968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,324,424,'PRAIA DO CANTO','VITORIA','ES',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2255774,5.00,7.00,1.00,3.00,6.00,3.25,2.00,5.00,2.00,234,326,NULL,'KOBRASOL','SAO JOSE','SC',16546,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255782,1.00,5.00,0.00,5.00,4.00,6.75,2.00,5.00,2.00,308,339,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',20014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255790,2.00,5.00,1.00,0.00,0.00,NULL,1.00,4.00,2.00,326,310,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,333,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2255812,2.00,6.00,2.00,3.00,4.00,6.25,4.00,2.00,2.00,318,304,NULL,'ILHA GRANDE SEBOLD','CHAPADAO DO LAGEADO','SC',20349,254,435,NULL,NULL,NULL,NULL,4,1),(15,2255820,6.00,7.00,9.00,8.00,6.00,6.75,7.00,4.00,6.00,201,NULL,NULL,'CENTRO','BARBACENA','MG',3185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255839,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,423,329,427,'ARMAÇÃO PANTANO SUL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2255847,2.00,4.00,1.00,6.00,3.00,5.00,3.00,4.00,2.00,316,318,NULL,'INGLESES','FLORIANOPOLIS','SC',21022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255855,7.00,9.00,6.00,3.00,7.00,5.75,7.00,6.00,5.00,103,212,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',5029,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2255863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,404,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2255871,8.00,6.00,7.00,9.00,8.00,7.00,8.00,6.00,8.00,303,5,NULL,'CHAMPAGNAT','CURITIBA','PR',487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255880,4.00,5.00,2.00,1.00,6.00,4.75,5.00,3.00,2.00,104,9,NULL,'UNIVERSITARIO','CRICIUMA','SC',19024,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2255898,4.00,2.00,1.00,4.00,4.00,4.75,1.00,3.00,2.00,319,103,NULL,'COLONIA SANTANA','SAO JOSE','SC',22341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255901,2.00,9.00,1.00,3.00,6.00,5.50,6.00,8.00,2.00,318,NULL,NULL,'CENTRO','PALHOCA','SC',13121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255910,2.00,6.00,3.00,6.00,4.00,6.50,2.00,4.00,4.00,324,420,NULL,'BARRA DO ARIRIÚ','PALHOCA','SC',16363,46,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255928,4.00,9.00,5.00,7.00,8.00,5.75,4.00,7.00,3.00,317,425,NULL,'CENTRO','FLORIANOPOLIS','SC',6321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2255936,2.00,4.00,4.00,3.00,7.00,4.75,3.00,3.00,1.00,104,103,NULL,'KENNEDY','VACARIA','RS',19668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255944,4.00,7.00,2.00,9.00,6.00,5.25,6.00,7.00,4.00,238,420,208,'IPIRANGA','SAO JOSE','SC',8294,258,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255952,3.00,5.00,5.00,8.00,4.00,6.75,4.00,5.00,4.00,404,444,NULL,'CENTRO','SANANDUVA','RS',10547,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2255960,3.00,7.00,3.00,4.00,8.00,6.50,4.00,1.00,4.00,224,222,NULL,'TRINDADE','FLORIANOPOLIS','SC',13191,30,151,NULL,NULL,NULL,NULL,4,1),(15,2255979,4.00,6.00,3.00,7.00,6.00,4.50,5.00,6.00,4.00,316,319,NULL,'VILA PIERINI','CRICIUMA','SC',8684,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(15,2255987,5.00,8.00,6.00,8.00,9.00,5.25,7.00,5.00,3.00,203,217,202,'CENTRO','FLORIANOPOLIS','SC',3947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2255995,4.00,8.00,7.00,8.00,7.00,6.00,7.00,6.00,6.00,203,208,202,'SAUDE','SAO PAULO','SP',2775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256002,3.00,7.00,1.00,6.00,6.00,4.50,5.00,6.00,3.00,203,NULL,201,'DIVINO ESPÍRITOSANTO','JATAI','GO',12926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUENO','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2256029,3.00,5.00,3.00,5.00,7.00,5.50,3.00,5.00,3.00,5,309,NULL,'BARREIROS','SAO JOSE','SC',14504,626,148,NULL,NULL,NULL,NULL,2,1),(15,2256037,0.00,4.00,2.00,3.00,5.00,5.75,3.00,4.00,2.00,9,333,NULL,'FORQUILHINHAS','SAO JOSE','SC',21908,339,1071,NULL,NULL,NULL,NULL,4,1),(15,2256045,5.00,5.00,5.00,2.00,7.00,5.75,4.00,4.00,2.00,316,304,NULL,'PARQUE DA REPRESA','PAULINIA','SP',13444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256053,6.00,8.00,7.00,7.00,8.00,7.00,7.00,8.00,6.00,207,420,201,'CENTRO','FLORIANOPOLIS','SC',1376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256061,2.00,7.00,2.00,6.00,6.00,4.75,5.00,3.00,4.00,102,444,NULL,'SÃO PEDRO','ESTACAO','RS',15061,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2256070,1.00,7.00,3.00,6.00,7.00,5.75,5.00,4.00,2.00,317,224,NULL,'SÃO SEBASTIÃO','PALHOCA','SC',13708,196,211,NULL,NULL,NULL,NULL,2,1),(15,2256088,4.00,7.00,2.00,8.00,6.00,6.50,4.00,2.00,3.00,101,104,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',13418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256096,5.00,7.00,6.00,8.00,6.00,4.75,5.00,7.00,3.00,501,427,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',6010,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256100,1.00,5.00,4.00,2.00,3.00,6.50,4.00,5.00,2.00,203,316,220,'CAMPINAS','SAO JOSE','SC',19919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256118,8.00,8.00,9.00,8.00,8.00,6.50,8.00,7.00,6.00,203,2,201,'JOÃO PAULO','FLORIANOPOLIS','SC',602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256126,5.00,8.00,7.00,9.00,9.00,7.25,6.00,5.00,4.00,301,501,NULL,'CENTRO','LAGES','SC',1894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256150,4.00,5.00,4.00,1.00,3.00,5.75,5.00,5.00,3.00,212,501,NULL,'JARDIM MARIN','VOTUPORANGA','SP',17554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256169,1.00,2.00,2.00,1.00,1.00,NULL,2.00,2.00,3.00,324,444,NULL,'CENTRO','PICARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2256177,2.00,7.00,7.00,6.00,7.00,6.50,6.00,6.00,3.00,207,225,208,'BIGORRILHO','CURITIBA','PR',7061,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256185,5.00,7.00,8.00,6.00,8.00,5.25,7.00,6.00,3.00,103,104,NULL,'SÃO JUDAS','ITAJAI','SC',4477,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2256193,6.00,6.00,3.00,7.00,7.00,6.00,5.00,5.00,2.00,201,233,211,'COLONIAL','SAO BENTO DO SUL','SC',9191,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2256207,4.00,6.00,1.00,3.00,8.00,4.25,6.00,2.00,2.00,104,102,NULL,'CENTRO','UNIAO DA VITORIA','PR',17776,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2256215,3.00,5.00,5.00,7.00,8.00,5.00,5.00,5.00,3.00,327,324,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',10935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256223,3.00,3.00,4.00,5.00,5.00,5.00,3.00,3.00,2.00,420,207,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256231,2.00,4.00,2.00,3.00,5.00,1.75,3.00,2.00,2.00,203,220,214,'SÃO CRISTOVÃO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2256240,0.00,4.00,4.00,5.00,6.00,5.25,3.00,3.00,4.00,318,316,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',18508,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,332,NULL,'PLANALTO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2256266,2.00,7.00,2.00,7.00,8.00,5.75,5.00,6.00,4.00,317,329,NULL,'CENTRO','FLORIANOPOLIS','SC',11179,138,144,NULL,NULL,NULL,NULL,2,1),(15,2256274,2.00,2.00,2.00,2.00,4.00,4.50,4.00,4.00,3.00,238,324,208,'NITEROI','CANOAS','RS',22229,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,301,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2256304,0.00,3.00,6.00,6.00,6.00,5.75,2.00,5.00,3.00,201,223,212,'COLONIA SANTANA','SAO JOSE','SC',16528,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256312,5.00,6.00,1.00,0.00,5.00,6.00,5.00,5.00,2.00,5,339,NULL,'PAES LEME','IMBITUBA','SC',16655,708,309,NULL,NULL,NULL,NULL,4,1),(15,2256320,3.00,8.00,5.00,7.00,5.00,7.25,4.00,6.00,2.00,207,415,211,'VARGINHA','ITAJUBA','MG',8847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256347,5.00,6.00,3.00,6.00,8.00,3.00,3.00,4.00,1.00,108,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',13780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256355,2.00,6.00,3.00,6.00,7.00,4.75,5.00,6.00,3.00,208,304,238,'CENTRO','CHAPADAO DO LAGEADO','SC',12123,437,343,431,NULL,NULL,NULL,2,8),(15,2256363,6.00,8.00,6.00,4.00,8.00,5.75,4.00,5.00,4.00,9,319,NULL,'COSTEIRA','FLORIANOPOLIS','SC',7737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256371,4.00,8.00,6.00,7.00,5.00,6.25,4.00,7.00,5.00,201,212,207,'MEIA PRAIA','ITAPEMA','SC',6344,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(15,2256380,2.00,6.00,3.00,5.00,8.00,6.00,3.00,2.00,2.00,501,308,NULL,'ESTADOS','BALNEARIO CAMBORIU','SC',16242,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2256398,3.00,5.00,3.00,5.00,5.00,3.50,4.00,5.00,2.00,308,319,NULL,'ITACORUBI','FLORIANOPOLIS','SC',17112,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256410,0.00,0.00,0.00,0.00,7.00,NULL,2.00,2.00,3.00,102,103,NULL,'SANTA CATARINA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,8),(15,2256428,8.00,9.00,8.00,9.00,9.00,7.00,8.00,9.00,7.00,103,104,NULL,'CENTRO','CRICIUMA','SC',156,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2256436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,423,424,'GANCHOS DO MEIO','GOVERNADOR CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2256444,2.00,5.00,3.00,0.00,7.00,NULL,4.00,4.00,3.00,103,101,NULL,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2256452,5.00,5.00,4.00,7.00,8.00,7.00,5.00,5.00,3.00,303,319,NULL,'CENTRO','FLORIANOPOLIS','SC',8333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,203,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2256479,3.00,4.00,0.00,4.00,4.00,4.00,2.00,4.00,2.00,316,339,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',21739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,215,NULL,'CENTRO','BOM SUCESSO DO SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2256509,5.00,5.00,0.00,5.00,5.00,8.00,2.00,3.00,1.00,324,224,NULL,'RIO GRANDE','PALHOCA','SC',19007,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256517,3.00,7.00,3.00,4.00,7.00,6.00,3.00,4.00,5.00,103,104,NULL,'STO ANTONIO DE PADUA','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2256525,4.00,8.00,7.00,5.00,6.00,5.25,6.00,6.00,3.00,211,234,220,'AGUA VERDE','CURITIBA','PR',6970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256533,3.00,6.00,4.00,9.00,7.00,6.25,3.00,6.00,3.00,415,303,NULL,'ALTOS DA CIDADE','MARILIA','SP',8679,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2256541,4.00,2.00,0.00,3.00,5.00,NULL,0.00,6.00,1.00,317,224,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256568,3.00,4.00,1.00,1.00,7.00,5.75,4.00,5.00,2.00,329,404,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',18771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256576,0.00,4.00,2.00,1.00,2.00,NULL,2.00,2.00,0.00,102,215,NULL,'CHAPADÃO FLORESTAL','CHAPADAO DO LAGEADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2256584,1.00,6.00,3.00,3.00,3.00,4.00,5.00,4.00,1.00,301,302,NULL,'COSTEIRA','FLORIANOPOLIS','SC',20950,362,341,NULL,NULL,NULL,NULL,2,1),(15,2256592,2.00,4.00,4.00,5.00,5.00,2.50,3.00,3.00,2.00,332,317,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256606,4.00,8.00,8.00,6.00,9.00,5.50,6.00,4.00,5.00,103,9,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',5801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256614,2.00,6.00,4.00,1.00,6.00,5.00,7.00,4.00,4.00,103,202,NULL,'ESTREITO','FLORIANOPOLIS','SC',15456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256622,0.00,1.00,2.00,3.00,3.00,NULL,3.00,4.00,3.00,316,202,NULL,'BOM VIVER','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256630,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,428,217,425,'SÃO JOSÉ','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2256649,1.00,6.00,5.00,6.00,8.00,6.00,6.00,3.00,5.00,207,NULL,201,'CENTRO','JACINTO MACHADO','SC',10208,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2256657,2.00,5.00,5.00,6.00,6.00,5.00,4.00,5.00,6.00,302,223,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',11528,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256665,3.00,6.00,4.00,2.00,6.00,5.50,5.00,3.00,5.00,103,NULL,NULL,'JD DAS AMÉRICAS','CURITIBA','PR',14477,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2256673,4.00,4.00,2.00,3.00,7.00,5.50,3.00,4.00,2.00,201,207,212,'RESID VILLAGGIO','BAURU','SP',17672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256681,0.00,6.00,0.00,4.00,6.00,NULL,3.00,2.00,1.00,9,215,NULL,'INTERIOR','IBICARE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2256690,3.00,7.00,4.00,9.00,5.00,6.50,4.00,5.00,4.00,415,303,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256703,4.00,6.00,3.00,8.00,5.00,3.00,4.00,3.00,1.00,207,316,201,'ITACORUBI','FLORIANOPOLIS','SC',16578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2256720,3.00,5.00,3.00,6.00,7.00,5.75,3.00,3.00,5.00,5,316,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',14576,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256746,3.00,6.00,4.00,3.00,6.00,6.75,5.00,5.00,3.00,213,214,208,'CAMPINAS','SAO JOSE','SC',12516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256754,3.00,6.00,6.00,8.00,6.00,5.50,4.00,1.00,5.00,234,211,NULL,'ITAGUAÇÚ','FLORIANOPOLIS','SC',11369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256762,7.00,6.00,8.00,6.00,8.00,7.25,7.00,9.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANOPOLIS','SC',1568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256770,6.00,8.00,7.00,4.00,8.00,6.75,7.00,7.00,4.00,415,212,NULL,'CAMPECHE','FLORIANOPOLIS','SC',4158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256789,6.00,8.00,7.00,6.00,8.00,7.00,3.00,8.00,4.00,302,317,NULL,'CENTRO','BOM JARDIM DA SERRA','SC',4011,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256797,6.00,6.00,6.00,8.00,7.00,5.25,6.00,6.00,4.00,415,425,NULL,'CENTRO','FLORIANOPOLIS','SC',5872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256800,1.00,4.00,0.00,3.00,4.00,NULL,1.00,3.00,4.00,213,211,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2256819,2.00,5.00,2.00,2.00,6.00,5.00,3.00,2.00,2.00,318,304,NULL,'ALTO FIGUEIREDO','CHAPADAO DO LAGEADO','SC',21892,264,444,NULL,NULL,NULL,NULL,4,1),(15,2256827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,201,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2256835,3.00,7.00,4.00,6.00,7.00,4.75,4.00,3.00,1.00,208,220,202,'CENTRO','APUCARANA','PR',14144,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256843,2.00,3.00,1.00,2.00,3.00,3.75,4.00,4.00,2.00,319,451,NULL,'FLORESTAL','CHAPADAO DO LAGEADO','SC',22470,532,309,NULL,NULL,NULL,NULL,4,9),(15,2256851,7.00,7.00,7.00,7.00,7.00,6.00,8.00,6.00,7.00,104,420,NULL,'CENTRO','FLORIANOPOLIS','SC',1884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256860,1.00,4.00,5.00,1.00,3.00,4.00,4.00,2.00,4.00,333,108,NULL,'CENTRO','ANCHIETA','SC',21490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256878,3.00,6.00,3.00,3.00,7.00,5.50,2.00,7.00,2.00,328,304,NULL,'ROÇADO','SAO JOSE','SC',15814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256886,6.00,9.00,8.00,9.00,7.00,6.75,6.00,7.00,4.00,104,429,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',2168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256894,2.00,8.00,7.00,3.00,8.00,6.00,6.00,6.00,4.00,318,223,NULL,'JURERÊ','FLORIANOPOLIS','SC',7116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'VILA CARVALHO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2256916,4.00,8.00,4.00,6.00,4.00,4.75,4.00,5.00,3.00,332,501,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',13728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256924,1.00,6.00,5.00,5.00,6.00,4.50,2.00,7.00,2.00,103,108,NULL,'SÃO LUIS','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2256932,1.00,5.00,2.00,5.00,8.00,6.75,1.00,4.00,3.00,103,101,NULL,'CENTRO','CORUPA','SC',15988,2722,655,NULL,NULL,NULL,NULL,4,8),(15,2256940,4.00,6.00,7.00,7.00,6.00,4.50,7.00,6.00,6.00,301,444,NULL,'CENTRO','FLORIANOPOLIS','SC',5045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256959,2.00,5.00,3.00,1.00,5.00,3.75,4.00,3.00,4.00,207,420,201,'BELA VISTA','SAO JOSE','SC',20799,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2256967,2.00,7.00,3.00,2.00,6.00,5.00,3.00,4.00,3.00,103,102,NULL,'CENTRO','TIMBO','SC',18052,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2256975,2.00,7.00,4.00,7.00,7.00,3.75,4.00,4.00,1.00,316,444,NULL,'BALNEARIO','FLORIANOPOLIS','SC',14778,401,466,NULL,NULL,NULL,NULL,4,1),(15,2256983,2.00,2.00,1.00,1.00,6.00,NULL,3.00,5.00,1.00,108,451,NULL,'REAL PARQUE','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2256991,3.00,8.00,7.00,7.00,8.00,5.75,7.00,7.00,4.00,215,216,238,'CENTRO','FLORIANOPOLIS','SC',4159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257009,5.00,9.00,6.00,7.00,8.00,6.50,8.00,7.00,7.00,303,428,NULL,'CAMPINAS','SAO JOSE','SC',1638,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257025,3.00,4.00,4.00,2.00,4.00,3.75,2.00,3.00,3.00,404,309,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',21677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257033,3.00,5.00,4.00,4.00,6.00,5.00,3.00,4.00,1.00,303,309,NULL,'CENTRO','CONCORDIA','SC',17931,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2257041,3.00,3.00,3.00,4.00,4.00,4.00,4.00,7.00,3.00,303,208,NULL,'CENTRO','RIO DO SUL','SC',17345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257050,2.00,7.00,1.00,1.00,6.00,4.25,5.00,4.00,2.00,103,420,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2257068,4.00,6.00,8.00,7.00,8.00,6.00,8.00,6.00,6.00,103,220,NULL,'CENTRO','MARINGA','PR',3269,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2257076,2.00,3.00,3.00,0.00,3.00,4.50,3.00,5.00,3.00,103,104,NULL,'CENTRO','CELSO RAMOS','SC',21937,3095,1269,NULL,NULL,NULL,NULL,4,9),(15,2257084,4.00,9.00,4.00,5.00,7.00,6.25,3.00,5.00,2.00,450,421,NULL,'ZIMBROS','BOMBINHAS','SC',10303,107,94,NULL,NULL,NULL,NULL,2,3),(15,2257092,5.00,6.00,4.00,4.00,7.00,5.25,4.00,5.00,4.00,5,318,NULL,'CENTRO','FLORIANOPOLIS','SC',10659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2257106,3.00,7.00,1.00,6.00,5.00,4.75,4.00,6.00,2.00,332,329,NULL,'CACHOEIRA','FLORIANOPOLIS','SC',14701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2257114,4.00,8.00,4.00,8.00,8.00,3.75,4.00,3.00,6.00,103,220,NULL,'COQUEIROS','FLORIANOPOLIS','SC',8376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257122,2.00,6.00,1.00,3.00,4.00,5.00,5.00,6.00,4.00,304,332,NULL,'CENTRO','ASCURRA','SC',16405,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2257130,2.00,5.00,5.00,6.00,7.00,6.25,3.00,4.00,4.00,317,224,NULL,'CENTRO','MORRO DA FUMACA','SC',11840,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2257149,2.00,7.00,3.00,2.00,3.00,5.50,6.00,4.00,2.00,203,214,202,'CENTRO','SANTA FE','PR',17757,1044,782,617,NULL,NULL,NULL,4,1),(15,2257157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,222,NULL,'ESTRADA GERAL','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2257165,4.00,6.00,4.00,6.00,7.00,5.50,7.00,7.00,3.00,211,101,208,'CENTRO','ASCURRA','SC',7292,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2257173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,2,216,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2257190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,329,NULL,'BOTAFOGO','RIO DE JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2257203,4.00,6.00,3.00,1.00,8.00,5.25,3.00,6.00,2.00,103,216,NULL,'COPACABANA','LAGES','SC',14583,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2257211,1.00,7.00,4.00,9.00,7.00,5.75,5.00,6.00,2.00,208,238,NULL,'FORQUILHINHAS','SAO JOSE','SC',10055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257238,2.00,5.00,1.00,4.00,5.00,4.50,2.00,4.00,2.00,103,104,NULL,'CENTRO','ERECHIM','RS',20618,3025,1251,NULL,NULL,NULL,NULL,2,1),(15,2257246,7.00,8.00,7.00,7.00,8.00,5.75,6.00,6.00,6.00,103,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',2999,NULL,NULL,NULL,NULL,NULL,NULL,1,4),(15,2257254,3.00,8.00,3.00,4.00,7.00,5.75,2.00,7.00,2.00,320,328,NULL,'JARDIM ITATI','PORTO ALEGRE','RS',13607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2257262,8.00,8.00,5.00,7.00,8.00,6.25,7.00,8.00,4.00,103,415,NULL,'CENTRO','FLORIANOPOLIS','SC',3166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257270,2.00,8.00,3.00,2.00,8.00,5.50,4.00,4.00,1.00,5,101,NULL,'CENTRO','CAPIVARI DE BAIXO','SC',17403,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2257289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,451,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(15,2257297,7.00,8.00,6.00,8.00,7.00,6.00,7.00,8.00,6.00,203,216,208,'CENTRO','IMBITUBA','SC',1941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2257300,0.00,4.00,5.00,6.00,6.00,6.25,2.00,1.00,4.00,415,303,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2257319,3.00,6.00,4.00,6.00,5.00,6.00,6.00,5.00,2.00,203,233,202,'MICHEL','CRICIUMA','SC',12370,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2257327,1.00,6.00,2.00,4.00,4.00,5.50,5.00,4.00,5.00,502,333,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',17765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257335,4.00,7.00,4.00,8.00,5.00,4.75,4.00,7.00,4.00,301,316,NULL,'KOBRASOL','SAO JOSE','SC',9859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257343,6.00,7.00,5.00,8.00,7.00,5.00,7.00,6.00,4.00,5,316,NULL,'CAMPECHE','FLORIANOPOLIS','SC',6029,280,783,NULL,NULL,NULL,NULL,2,1),(15,2257351,3.00,6.00,5.00,5.00,7.00,6.00,2.00,7.00,5.00,211,NULL,NULL,'ERICA','PANAMBI','RS',9955,351,NULL,NULL,NULL,NULL,NULL,2,4),(15,2257360,7.00,8.00,7.00,8.00,8.00,7.00,7.00,4.00,7.00,103,102,NULL,'ABRAÃO','FLORIANOPOLIS','SC',1511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257378,2.00,4.00,3.00,3.00,4.00,5.25,5.00,3.00,2.00,216,222,233,'CENTRO','VACARIA','RS',19757,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2257386,4.00,7.00,3.00,3.00,7.00,5.25,1.00,3.00,3.00,308,324,NULL,'ITAGUAÇÚ','FLORIANOPOLIS','SC',16983,77,283,NULL,NULL,NULL,NULL,4,1),(15,2257394,1.00,4.00,3.00,1.00,0.00,NULL,0.00,3.00,1.00,333,NULL,NULL,'MARIA LUIZA','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2257408,8.00,7.00,7.00,9.00,8.00,5.75,9.00,6.00,7.00,103,201,NULL,'CENTRO','CURITIBA','PR',1365,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2257416,1.00,4.00,1.00,1.00,1.00,NULL,4.00,1.00,3.00,327,332,NULL,'BAIRRO IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2257432,5.00,9.00,8.00,4.00,7.00,4.75,7.00,7.00,5.00,103,102,NULL,'ANITA GARIBALDI','JOINVILLE','SC',3596,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2257440,2.00,1.00,2.00,4.00,6.00,NULL,2.00,3.00,2.00,208,301,238,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257459,5.00,4.00,5.00,6.00,7.00,5.25,5.00,2.00,5.00,217,502,NULL,'SÃO JOSÉ','MARAVILHA','SC',10822,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2257467,4.00,7.00,5.00,8.00,8.00,7.00,6.00,8.00,5.00,328,310,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',4014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257475,3.00,2.00,3.00,3.00,3.00,NULL,1.00,2.00,1.00,501,502,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2257483,2.00,7.00,1.00,4.00,5.00,6.25,4.00,4.00,2.00,320,308,NULL,'ROÇADO','SAO JOSE','SC',17153,77,369,NULL,NULL,NULL,NULL,2,1),(15,2257491,2.00,6.00,5.00,5.00,4.00,6.50,3.00,6.00,1.00,203,220,214,'FORQUILHINHAS','SAO JOSE','SC',15119,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2257505,1.00,1.00,0.00,2.00,1.00,NULL,3.00,4.00,2.00,319,415,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2257513,6.00,8.00,6.00,8.00,6.00,5.75,7.00,7.00,4.00,328,326,NULL,'CENTRO','CRICIUMA','SC',3493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257530,3.00,4.00,0.00,3.00,7.00,NULL,2.00,4.00,1.00,429,423,426,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257548,2.00,0.00,4.00,0.00,2.00,NULL,2.00,2.00,1.00,217,501,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257556,4.00,8.00,0.00,6.00,8.00,4.75,2.00,6.00,2.00,303,301,NULL,'FORQUILHAS','SAO JOSE','SC',13946,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2257564,4.00,7.00,3.00,4.00,6.00,5.75,5.00,5.00,4.00,104,9,NULL,'GLÓRIA','JOINVILLE','SC',10636,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2257572,0.00,2.00,1.00,4.00,5.00,NULL,3.00,2.00,1.00,303,301,NULL,'BELA VISTA','SAO JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2257580,2.00,4.00,2.00,7.00,7.00,3.25,4.00,5.00,2.00,103,216,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2257599,6.00,7.00,7.00,6.00,8.00,6.50,8.00,8.00,7.00,104,301,NULL,'VILA MOEMA','TUBARAO','SC',2134,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2257602,4.00,6.00,3.00,5.00,6.00,5.00,5.00,5.00,2.00,327,104,NULL,'FLORESTA','SAO JOSE','SC',14783,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2257610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,327,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2257629,4.00,6.00,6.00,6.00,8.00,5.75,6.00,7.00,5.00,216,NULL,211,'TRINDADE','FLORIANOPOLIS','SC',6498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257637,2.00,5.00,1.00,8.00,7.00,4.50,3.00,5.00,3.00,444,327,NULL,'ROÇADO','SAO JOSE','SC',16178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2257645,4.00,8.00,6.00,9.00,8.00,7.25,6.00,8.00,4.00,316,429,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',2525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257653,3.00,6.00,3.00,7.00,6.00,7.25,3.00,7.00,3.00,212,302,238,'INGLESES','FLORIANOPOLIS','SC',9520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257661,7.00,6.00,7.00,7.00,9.00,6.00,6.00,5.00,5.00,103,9,NULL,'ESTREITO','FLORIANOPOLIS','SC',3887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2257670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAMPO BOM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2257688,1.00,5.00,2.00,2.00,2.00,NULL,4.00,4.00,2.00,316,5,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2257696,6.00,7.00,2.00,6.00,8.00,5.50,4.00,5.00,2.00,101,224,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',10479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2257700,3.00,7.00,6.00,6.00,5.00,4.50,8.00,5.00,3.00,424,421,429,'ITACORUBI','FLORIANOPOLIS','SC',10663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257718,2.00,7.00,3.00,7.00,5.00,7.25,5.00,5.00,3.00,415,303,NULL,'COMERCIARIO','CRICIUMA','SC',12097,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2257726,1.00,5.00,4.00,6.00,6.00,4.25,3.00,4.00,3.00,316,225,NULL,'VILA NOVA','MAFRA','SC',16651,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2257734,2.00,7.00,3.00,3.00,8.00,6.25,5.00,5.00,4.00,238,316,212,'CARVOEIRA','FLORIANOPOLIS','SC',12030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257750,1.00,0.00,1.00,2.00,3.00,NULL,1.00,3.00,2.00,207,316,201,'MEDIANEIRA','PANAMBI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2257769,0.00,3.00,2.00,4.00,4.00,4.25,4.00,3.00,3.00,201,212,207,'PRESIDENTE MÉDICI','CHAPECO','SC',21777,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2257777,4.00,8.00,5.00,8.00,5.00,6.25,5.00,5.00,3.00,103,101,NULL,'ATIRADORES','JOINVILLE','SC',8412,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2257807,2.00,5.00,2.00,4.00,3.00,4.50,4.00,4.00,2.00,207,420,233,'CARIANOS','FLORIANOPOLIS','SC',21269,997,919,459,NULL,NULL,NULL,2,1),(15,2257815,6.00,4.00,7.00,6.00,6.00,3.00,4.00,5.00,3.00,5,303,NULL,'CENTRO','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2257823,2.00,7.00,4.00,5.00,6.00,4.00,6.00,6.00,4.00,238,324,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',12567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2257831,4.00,6.00,7.00,7.00,6.00,4.50,6.00,4.00,3.00,202,208,213,'JARDIM AMÉRICA','CACAPAVA','SP',9852,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2257840,2.00,8.00,4.00,4.00,7.00,4.75,8.00,6.00,6.00,310,451,NULL,'AEROPORTO','TUBARAO','SC',8888,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2257858,0.00,7.00,0.00,4.00,5.00,2.50,3.00,5.00,3.00,327,326,NULL,'VISTA VERDE','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2257866,3.00,6.00,4.00,3.00,5.00,5.75,5.00,4.00,2.00,9,301,NULL,'VILA TERESÓPOLIS','AGUAS MORNAS','SC',15466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,301,NULL,'CENTRO','ARARANGUA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2257882,6.00,6.00,2.00,2.00,6.00,6.00,4.00,5.00,3.00,103,NULL,NULL,'JARDIM SUMARE','RIBEIRAO PRETO','SP',14049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,319,NULL,'ITOUP CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2257904,1.00,5.00,3.00,3.00,5.00,6.25,5.00,4.00,2.00,316,318,NULL,'CENTRO','TIJUCAS','SC',18699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257912,4.00,7.00,7.00,7.00,6.00,6.00,7.00,5.00,6.00,108,207,NULL,'FLORESTA','SAO JOSE','SC',4321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257920,5.00,7.00,7.00,7.00,9.00,6.00,6.00,3.00,5.00,303,108,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',5687,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2257947,3.00,5.00,2.00,4.00,6.00,5.50,2.00,5.00,0.00,5,327,NULL,'DANIELA','FLORIANOPOLIS','SC',19749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257955,3.00,4.00,0.00,5.00,5.00,3.00,4.00,2.00,2.00,108,9,NULL,'DOS ESTADOS','INDAIAL','SC',22168,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2257963,3.00,7.00,3.00,9.00,8.00,6.75,5.00,8.00,2.00,5,427,NULL,'CENTRO','FLORIANOPOLIS','SC',5590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2257980,2.00,4.00,1.00,4.00,6.00,3.75,4.00,7.00,3.00,103,9,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',17341,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2257998,1.00,5.00,2.00,8.00,8.00,7.00,5.00,1.00,5.00,208,425,238,'ESTREITO','FLORIANOPOLIS','SC',13326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258005,6.00,8.00,8.00,6.00,8.00,7.50,7.00,8.00,6.00,303,207,NULL,'TRINDADE','FLORIANOPOLIS','SC',1216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258013,3.00,8.00,4.00,8.00,7.00,5.00,4.00,6.00,2.00,415,319,NULL,'ASA NORTE','BRASILIA','DF',9820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258021,1.00,4.00,2.00,2.00,5.00,5.00,2.00,4.00,1.00,217,233,NULL,'CENTRO','POMERODE','SC',22063,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2258048,1.00,4.00,3.00,6.00,6.00,6.00,7.00,5.00,3.00,331,332,NULL,'INGLESES','FLORIANOPOLIS','SC',13031,47,233,NULL,NULL,NULL,NULL,2,1),(15,2258064,2.00,6.00,3.00,2.00,5.00,6.50,3.00,4.00,3.00,207,220,201,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258072,2.00,4.00,3.00,0.00,3.00,NULL,0.00,1.00,1.00,238,215,211,'CENTRO','GOIOERE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2258080,4.00,7.00,6.00,2.00,7.00,3.00,5.00,7.00,4.00,233,216,202,'PORTAL DA OLARIA','SAO SEBASTIAO','SP',10094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2258110,1.00,3.00,1.00,7.00,7.00,5.50,3.00,3.00,1.00,426,329,423,'CAPOEIRAS','FLORIANOPOLIS','SC',20485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2258129,4.00,5.00,2.00,2.00,4.00,5.00,5.00,7.00,5.00,207,333,NULL,'CENTRO','RIO DOS CEDROS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2258137,6.00,8.00,4.00,7.00,7.00,5.75,5.00,6.00,5.00,420,450,NULL,'CENTRO','SANTA MARIA','RS',5478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,339,NULL,'GUARAITUBA','COLOMBO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2258153,3.00,5.00,2.00,5.00,8.00,6.50,6.00,5.00,5.00,429,424,425,'JURERE','FLORIANOPOLIS','SC',11396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258161,2.00,0.00,5.00,2.00,2.00,NULL,2.00,1.00,3.00,301,302,NULL,'MORRO ESTEVÃO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2258170,2.00,6.00,4.00,5.00,4.00,4.50,4.00,3.00,2.00,238,201,208,'INGLESES','FLORIANOPOLIS','SC',16978,630,1365,659,NULL,NULL,NULL,2,1),(15,2258188,3.00,7.00,4.00,8.00,8.00,7.00,6.00,7.00,5.00,5,303,NULL,'PANTANAL','FLORIANOPOLIS','SC',4740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258196,2.00,5.00,2.00,3.00,5.00,4.50,1.00,3.00,2.00,201,NULL,NULL,'NAZARÉ','TAPEJARA','RS',21766,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2258200,6.00,6.00,4.00,6.00,6.00,5.75,4.00,5.00,4.00,103,303,NULL,'JARDIM','CONCORDIA','SC',8739,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2258218,0.00,5.00,2.00,0.00,3.00,NULL,2.00,4.00,0.00,238,316,208,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258226,2.00,6.00,2.00,4.00,6.00,6.25,3.00,5.00,4.00,326,327,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',16382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258234,3.00,5.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,102,104,NULL,'SÃO JUDAS TADEU','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(15,2258242,3.00,6.00,4.00,7.00,7.00,3.75,2.00,5.00,0.00,404,415,NULL,'QUATRO ILHAS','BOMBINHAS','SC',15588,123,740,NULL,NULL,NULL,NULL,2,3),(15,2258250,4.00,5.00,5.00,5.00,8.00,7.25,5.00,2.00,2.00,317,224,NULL,'ITACORUBI','FLORIANOPOLIS','SC',13228,188,208,NULL,NULL,NULL,NULL,2,1),(15,2258277,4.00,7.00,3.00,4.00,6.00,5.75,4.00,5.00,2.00,501,320,NULL,'BAIRRO DER','CACADOR','SC',12507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258285,3.00,6.00,2.00,4.00,5.00,3.75,4.00,6.00,3.00,5,211,NULL,'KOBRASOL','SAO JOSE','SC',16751,713,964,NULL,NULL,NULL,NULL,2,1),(15,2258293,3.00,7.00,5.00,3.00,6.00,5.00,6.00,4.00,4.00,203,233,220,'CENTRO','HOLAMBRA','SP',12232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258307,5.00,7.00,7.00,8.00,7.00,5.75,8.00,7.00,2.00,303,5,NULL,'VILA MASCOTE','SAO PAULO','SP',4327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258315,4.00,9.00,5.00,5.00,9.00,7.50,6.00,6.00,2.00,302,450,NULL,'CAMPINAS','SAO JOSE','SC',5783,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2258323,4.00,7.00,3.00,6.00,4.00,3.75,7.00,5.00,3.00,203,301,201,'CACUPÉ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258331,4.00,7.00,2.00,7.00,4.00,6.50,2.00,7.00,3.00,101,326,NULL,'ESTREITO','FLORIANOPOLIS','SC',13540,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2258340,4.00,6.00,3.00,4.00,6.00,5.75,5.00,5.00,3.00,201,423,203,'INGLESES','FLORIANOPOLIS','SC',13371,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2258366,0.00,0.00,0.00,4.00,4.00,NULL,2.00,3.00,1.00,103,415,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(15,2258374,2.00,6.00,2.00,5.00,7.00,5.25,3.00,6.00,2.00,501,234,NULL,'ABRAÃO','FLORIANOPOLIS','SC',14816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258382,3.00,6.00,6.00,6.00,8.00,5.75,5.00,4.00,6.00,215,425,216,'CENTRO','FLORIANOPOLIS','SC',7139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258390,2.00,7.00,5.00,7.00,4.00,4.75,6.00,4.00,3.00,208,304,238,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258404,1.00,1.00,3.00,5.00,4.00,NULL,3.00,0.00,1.00,339,324,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2258420,3.00,5.00,2.00,5.00,6.00,4.75,3.00,4.00,2.00,9,404,NULL,'VARGEM BOM JESUS','FLORIANOPOLIS','SC',19238,278,458,NULL,NULL,NULL,NULL,2,1),(15,2258439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,316,201,'CENTRO','TATUI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2258447,6.00,8.00,7.00,5.00,7.00,5.50,5.00,6.00,5.00,224,103,NULL,'FORQUILHINHAS','SAO JOSE','SC',5176,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2258455,3.00,5.00,3.00,3.00,6.00,5.00,5.00,2.00,3.00,203,220,214,'TRÊS VENDAS','ERECHIM','RS',17802,1046,765,524,NULL,NULL,NULL,4,4),(15,2258463,5.00,6.00,5.00,6.00,8.00,4.75,4.00,5.00,6.00,233,304,NULL,'BARREIROS','SAO JOSE','SC',8861,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2258471,1.00,7.00,3.00,4.00,3.00,6.00,5.00,5.00,2.00,316,324,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',17469,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2258480,3.00,4.00,3.00,6.00,8.00,7.25,3.00,3.00,2.00,444,339,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',14545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2258498,4.00,7.00,7.00,7.00,7.00,6.50,5.00,4.00,6.00,104,216,NULL,'BNH PRIMEIRO PLANO','DOURADOS','MS',4406,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2258501,3.00,4.00,5.00,8.00,5.00,5.50,4.00,6.00,2.00,304,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',12339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258510,5.00,5.00,4.00,3.00,6.00,4.50,6.00,5.00,1.00,333,201,NULL,'CENTRO','TUBARAO','SC',16377,NULL,NULL,NULL,NULL,NULL,NULL,5,10),(15,2258528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,501,NULL,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2258536,1.00,4.00,0.00,0.00,5.00,NULL,2.00,2.00,2.00,211,333,207,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2258544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,214,203,'CENTRO','SAO JOSE DO RIO PARDO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2258552,4.00,6.00,4.00,8.00,7.00,5.25,5.00,7.00,5.00,214,NULL,233,'VILLE CHAMONIX','ITATIBA','SP',6593,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2258579,4.00,6.00,6.00,8.00,8.00,5.00,6.00,3.00,4.00,333,309,NULL,'ITACORUBI','FLORIANOPOLIS','SC',7692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258587,4.00,8.00,5.00,4.00,6.00,3.75,6.00,8.00,2.00,303,301,NULL,'RESIDENCAL VILLAGE','JANDAIA DO SUL','PR',9163,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2258595,1.00,2.00,4.00,0.00,5.00,NULL,2.00,3.00,3.00,207,420,215,'CENTRO','TIMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2258609,6.00,9.00,9.00,6.00,8.00,5.50,8.00,6.00,5.00,202,224,216,'CENTRO','CONCORDIA','SC',1683,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2258617,3.00,5.00,1.00,4.00,4.00,4.00,2.00,6.00,3.00,103,108,NULL,'VICENTE PIRES','TAGUATINGA','DF',20636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258625,3.00,8.00,8.00,8.00,9.00,7.50,7.00,6.00,5.00,303,301,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',1836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258633,6.00,7.00,7.00,8.00,8.00,5.25,7.00,6.00,7.00,103,NULL,NULL,'ZONA QUATRO','MARINGA','PR',2780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258650,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,444,320,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2258676,7.00,8.00,8.00,9.00,8.00,5.50,9.00,6.00,7.00,103,208,NULL,'CENTRO','CRICIUMA','SC',649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258684,2.00,8.00,5.00,3.00,6.00,5.00,2.00,5.00,2.00,444,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',16031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2258692,4.00,8.00,6.00,3.00,8.00,4.25,4.00,7.00,2.00,327,326,NULL,'CENTRO','PIRACICABA','SP',10882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258706,0.00,2.00,1.00,1.00,4.00,NULL,2.00,4.00,2.00,224,223,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258714,2.00,7.00,4.00,4.00,7.00,4.50,3.00,4.00,6.00,217,424,NULL,'COLÔNIA SANTANA','SAO JOSE','SC',13369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2258722,4.00,8.00,7.00,9.00,8.00,7.75,8.00,6.00,2.00,108,424,NULL,'CENTRO','FLORIANOPOLIS','SC',2758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,425,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2258749,0.00,7.00,7.00,4.00,7.00,4.25,6.00,5.00,3.00,207,214,212,'PRÓSPERA','CRICIUMA','SC',12220,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2258757,6.00,6.00,8.00,5.00,7.00,7.00,7.00,6.00,4.00,303,301,NULL,'CENTRO','SANTA MARIA','RS',4483,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2258765,1.00,4.00,1.00,1.00,4.00,NULL,1.00,4.00,2.00,104,216,NULL,'TRIBESS','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2258773,1.00,4.00,3.00,2.00,3.00,4.75,2.00,3.00,3.00,333,108,NULL,'BARREIROS','SAO JOSE','SC',22390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258781,3.00,8.00,9.00,7.00,6.00,7.00,6.00,6.00,4.00,104,427,NULL,'ITACORUBI','FLORIANOPOLIS','SC',4558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258803,3.00,4.00,0.00,4.00,6.00,7.50,3.00,3.00,2.00,216,102,208,'CENTRO','SORRISO','MT',20189,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2258811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2258820,4.00,6.00,2.00,6.00,5.00,4.75,6.00,7.00,3.00,216,217,201,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258838,1.00,5.00,4.00,6.00,4.00,5.50,7.00,2.00,1.00,220,214,203,'SANTA MÔNICA','FLORIANOPOLIS','SC',18127,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2258846,4.00,7.00,1.00,7.00,8.00,4.50,5.00,3.00,4.00,5,217,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',10937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258854,4.00,8.00,6.00,7.00,5.00,5.75,7.00,6.00,4.00,415,NULL,NULL,'BNH BARÃO I','TOLEDO','PR',5981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258862,7.00,8.00,5.00,9.00,8.00,7.25,8.00,6.00,4.00,303,304,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',2019,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2258870,4.00,8.00,5.00,8.00,7.00,5.50,5.00,8.00,5.00,302,238,NULL,'INGLESES','FLORIANOPOLIS','SC',3879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258889,3.00,6.00,2.00,1.00,7.00,4.50,4.00,2.00,3.00,423,308,421,'SACO GRANDE','FLORIANOPOLIS','SC',19477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,224,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2258900,3.00,4.00,3.00,4.00,4.00,2.00,3.00,5.00,1.00,208,103,238,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258927,7.00,7.00,5.00,8.00,9.00,5.75,9.00,7.00,5.00,501,324,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',1846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258935,2.00,7.00,4.00,9.00,7.00,5.25,7.00,6.00,4.00,208,303,216,'CENTRO','MARAU','RS',7802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258943,2.00,7.00,2.00,6.00,5.00,2.25,4.00,5.00,4.00,302,301,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2258951,4.00,6.00,0.00,5.00,7.00,4.75,4.00,2.00,2.00,444,404,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',18606,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2258960,2.00,5.00,3.00,3.00,6.00,5.75,4.00,3.00,2.00,316,224,NULL,'NOSSA SENHORA DO ROS','SAO JOSE','SC',18590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258978,5.00,7.00,7.00,7.00,8.00,7.50,4.00,7.00,5.00,316,224,NULL,'CAMPINAS','SAO JOSE','SC',4171,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2258986,6.00,9.00,5.00,7.00,6.00,6.00,8.00,7.00,7.00,220,217,233,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2258994,4.00,5.00,6.00,3.00,5.00,5.25,5.00,4.00,3.00,329,327,NULL,'CENTRO','CAPINZAL','SC',14485,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2259001,4.00,6.00,6.00,1.00,7.00,4.75,7.00,1.00,2.00,215,233,216,'VILA ADYANA','SAO JOSE DOS CAMPOS','SP',16923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259010,3.00,6.00,4.00,2.00,7.00,6.25,5.00,4.00,3.00,102,104,NULL,'CENTRO','TURVO','SC',15189,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2259028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,423,NULL,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2259036,4.00,6.00,2.00,5.00,7.00,6.25,3.00,6.00,2.00,426,424,427,'SERRARIA','SAO JOSE','SC',13638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2259044,5.00,7.00,2.00,5.00,6.00,4.50,4.00,3.00,0.00,501,211,NULL,'CENTRO','ARARANGUA','SC',16670,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2259052,3.00,5.00,3.00,6.00,7.00,3.75,4.00,4.00,1.00,203,225,202,'SERRARIA','SAO JOSE','SC',15955,991,163,573,NULL,NULL,NULL,2,1),(15,2259060,3.00,7.00,1.00,5.00,5.00,4.50,5.00,3.00,1.00,103,319,NULL,'ANITA GARIBALDI','JOINVILLE','SC',18425,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2259087,2.00,4.00,2.00,4.00,6.00,3.75,4.00,6.00,2.00,103,108,NULL,'SANTA RITA','LAGES','SC',18785,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2259095,2.00,6.00,2.00,2.00,6.00,5.00,6.00,3.00,1.00,9,215,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',17981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,215,220,'PASSO','SAO BORJA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2259117,4.00,8.00,8.00,9.00,7.00,5.25,6.00,7.00,1.00,5,316,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',5051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259125,7.00,7.00,9.00,7.00,9.00,6.75,9.00,7.00,7.00,103,304,NULL,'VILA MARIANA','SAO PAULO','SP',367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2259133,7.00,6.00,5.00,7.00,8.00,6.50,6.00,7.00,3.00,5,NULL,NULL,'INGLESES','FLORIANOPOLIS','SC',4957,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2259141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'JARDIM OASIS','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2259150,2.00,6.00,3.00,2.00,4.00,4.50,3.00,5.00,2.00,318,238,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',20128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,108,NULL,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2259176,2.00,3.00,2.00,4.00,3.00,3.50,3.00,3.00,1.00,5,316,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',22440,911,1282,NULL,NULL,NULL,NULL,2,1),(15,2259184,1.00,3.00,2.00,6.00,4.00,3.50,3.00,3.00,3.00,104,502,NULL,'BOTAFOGO','BENTO GONCALVES','RS',21363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2259192,0.00,0.00,2.00,0.00,0.00,NULL,1.00,0.00,1.00,2,225,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2259206,0.00,4.00,3.00,2.00,5.00,4.75,4.00,3.00,3.00,318,217,NULL,'CENTRO','FLORIANOPOLIS','SC',21747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2259214,3.00,5.00,5.00,4.00,5.00,5.00,3.00,3.00,6.00,201,301,216,'CENTRO','PICARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2259222,5.00,6.00,3.00,7.00,7.00,7.00,4.00,7.00,3.00,216,217,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259230,3.00,4.00,5.00,1.00,6.00,6.25,2.00,3.00,3.00,108,101,NULL,'ATIRADORES','JOINVILLE','SC',20358,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2259249,2.00,5.00,2.00,4.00,6.00,4.75,1.00,3.00,2.00,316,318,NULL,'BARREIROS','SAO JOSE','SC',21357,650,527,NULL,NULL,NULL,NULL,2,1),(15,2259257,4.00,7.00,6.00,6.00,7.00,4.00,6.00,4.00,3.00,203,214,NULL,'CENTRO','FLORIANOPOLIS','SC',10065,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2259265,5.00,7.00,2.00,9.00,6.00,6.75,5.00,8.00,3.00,320,318,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',6562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259273,2.00,7.00,2.00,8.00,5.00,5.75,4.00,6.00,2.00,450,333,NULL,'INGLESES','FLORIANOPOLIS','SC',13530,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2259281,1.00,5.00,5.00,3.00,2.00,NULL,2.00,4.00,2.00,104,501,NULL,'CENTRO','IBICARE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2259290,1.00,4.00,6.00,6.00,5.00,5.50,4.00,4.00,2.00,201,301,203,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259303,1.00,4.00,1.00,1.00,5.00,3.75,5.00,3.00,3.00,310,450,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',21771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259311,2.00,6.00,3.00,5.00,7.00,6.00,5.00,8.00,3.00,201,303,207,'PARQUE CEREJEIRAS','PRESIDENTE PRUDENTE','SP',9479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259320,2.00,6.00,5.00,7.00,6.00,5.50,6.00,4.00,4.00,423,333,421,'BARREIROS','SAO JOSE','SC',11786,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2259338,1.00,3.00,0.00,0.00,5.00,NULL,3.00,2.00,2.00,211,501,NULL,'MONTE CASTELO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2259354,3.00,3.00,4.00,3.00,8.00,8.00,3.00,6.00,3.00,302,304,NULL,'SUNTI','CONCORDIA','SC',13867,109,366,NULL,NULL,NULL,NULL,4,4),(15,2259362,3.00,6.00,6.00,5.00,8.00,5.75,5.00,7.00,3.00,103,316,NULL,'CENTRO','FLORIANOPOLIS','SC',8734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259370,2.00,4.00,5.00,4.00,6.00,6.25,3.00,5.00,3.00,207,211,NULL,'CENTRO','IMBITUBA','SC',15739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2259389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,201,NULL,'LINHA SAO JOAO','IPUACU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2259400,1.00,7.00,4.00,6.00,6.00,4.00,3.00,5.00,4.00,103,428,NULL,'PENHA','PAULO LOPES','SC',13720,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2259419,3.00,6.00,6.00,7.00,7.00,6.00,6.00,7.00,2.00,203,225,213,'CENTRO','FLORIANOPOLIS','SC',8347,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2259427,1.00,7.00,5.00,3.00,4.00,4.50,2.00,5.00,2.00,207,238,215,'CENTRO','PALHOCA','SC',19240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,225,238,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2259451,2.00,6.00,3.00,5.00,2.00,NULL,4.00,6.00,2.00,301,316,NULL,'SÃO FRANCISCO ASSIS','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2259460,8.00,8.00,9.00,2.00,9.00,5.50,9.00,8.00,8.00,103,NULL,NULL,'JARDIM NOVO HORIZONT','MARINGA','PR',908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259478,1.00,6.00,6.00,9.00,5.00,4.75,4.00,6.00,2.00,317,421,NULL,'COQUEIROS','FLORIANOPOLIS','SC',12307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259486,3.00,5.00,3.00,7.00,8.00,6.50,5.00,3.00,3.00,217,420,NULL,'CENTRO','ERECHIM','RS',12801,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2259494,4.00,5.00,6.00,7.00,5.00,5.00,5.00,6.00,4.00,404,444,NULL,'ITACORUBI','FLORIANOPOLIS','SC',9806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2259516,3.00,4.00,1.00,3.00,6.00,5.00,4.00,3.00,3.00,319,9,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259524,6.00,6.00,5.00,5.00,8.00,5.25,7.00,6.00,3.00,220,203,202,'CENTRO','SORRISO','MT',6474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259532,3.00,5.00,1.00,5.00,4.00,5.50,2.00,5.00,3.00,103,104,NULL,'CENTRO','ANAPOLIS','GO',18714,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2259540,4.00,8.00,4.00,7.00,8.00,8.25,4.00,8.00,4.00,415,310,NULL,'TRINDADE','FLORIANOPOLIS','SC',4374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259559,2.00,5.00,4.00,3.00,4.00,4.50,2.00,2.00,1.00,316,238,NULL,'INGLESES','FLORIANOPOLIS','SC',21592,661,1038,NULL,NULL,NULL,NULL,4,1),(15,2259567,4.00,6.00,1.00,5.00,6.00,6.25,4.00,3.00,3.00,216,215,233,'GUATÁ','LAURO MULLER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2259575,2.00,7.00,2.00,4.00,4.00,5.25,3.00,5.00,3.00,501,502,NULL,'PONTE DO IMARUIM','PALHOCA','SC',16768,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2259583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'PARQUE ALVORADA','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2259591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,207,212,'NOVA BRASÍLIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2259605,6.00,7.00,5.00,7.00,9.00,5.50,7.00,5.00,7.00,202,238,201,'CENTRO','SAO MATEUS DO SUL','PR',3885,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2259613,0.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,213,319,202,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2259621,4.00,5.00,1.00,4.00,6.00,6.00,5.00,4.00,2.00,5,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',14836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259630,3.00,7.00,1.00,4.00,3.00,6.00,1.00,4.00,2.00,103,104,NULL,'CENTRO','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2259656,3.00,3.00,2.00,3.00,5.00,6.50,2.00,3.00,2.00,104,208,NULL,'CENTRO','XANXERE','SC',20842,682,1124,NULL,NULL,NULL,NULL,2,4),(15,2259664,4.00,5.00,4.00,4.00,4.00,5.75,5.00,6.00,2.00,211,207,NULL,'VILA NOVA','IMBITUBA','SC',14027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,502,NULL,'ALTO ALEGRE','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2259680,5.00,7.00,7.00,5.00,7.00,6.50,5.00,7.00,3.00,303,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',5509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259699,4.00,6.00,3.00,6.00,7.00,5.75,5.00,6.00,2.00,9,404,NULL,'CENTRO','FLORIANOPOLIS','SC',10861,116,334,NULL,NULL,NULL,NULL,4,1),(15,2259702,4.00,5.00,1.00,2.00,5.00,5.75,3.00,2.00,2.00,211,332,207,'CENTRO','SAO JOAQUIM','SC',21246,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2259710,0.00,3.00,4.00,3.00,4.00,3.50,2.00,3.00,2.00,215,9,NULL,'CENTRO','CRICIUMA','SC',22325,428,765,NULL,NULL,NULL,NULL,2,5),(15,2259745,3.00,7.00,2.00,5.00,7.00,4.00,3.00,5.00,2.00,9,NULL,NULL,'BELA ALIANÇA','RIO DO SUL','SC',15609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259761,5.00,8.00,8.00,7.00,5.00,5.50,6.00,7.00,4.00,103,220,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259770,2.00,8.00,2.00,3.00,4.00,5.00,0.00,4.00,3.00,427,333,424,'SAMBAQUI','FLORIANOPOLIS','SC',20877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259788,3.00,7.00,5.00,4.00,8.00,6.75,5.00,4.00,4.00,102,217,NULL,'CENTRO','TIJUCAS','SC',8938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259796,4.00,6.00,5.00,7.00,6.00,5.00,4.00,6.00,4.00,103,102,NULL,'SÃO JOÃO','ITAJAI','SC',10188,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2259800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,501,216,'JARDIM CAMPO VERDE','CAMPO VERDE','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2259818,5.00,6.00,6.00,6.00,6.00,6.00,4.00,2.00,4.00,203,301,202,'CENTRO','PARANAVAI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2259826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'INTERIOR','SAUDADES','SC',NULL,NULL,NULL,NULL,'S','S','S',1,4),(15,2259834,7.00,8.00,8.00,9.00,9.00,7.00,7.00,7.00,6.00,5,316,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259842,7.00,6.00,7.00,8.00,6.00,5.75,6.00,7.00,4.00,103,208,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',4455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259850,0.00,7.00,1.00,4.00,6.00,6.25,5.00,4.00,3.00,215,450,216,'SAGRADO C DE JESUS','LAGES','SC',17609,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2259877,1.00,7.00,3.00,3.00,4.00,4.75,3.00,3.00,4.00,213,211,214,'VL PROGRESSO','JUNDIAI','SP',18075,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2259885,2.00,4.00,3.00,2.00,6.00,4.75,2.00,4.00,1.00,420,301,NULL,'CENTRO','FLORIANOPOLIS','SC',20400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259893,6.00,8.00,7.00,8.00,7.00,5.50,8.00,8.00,3.00,203,NULL,NULL,'CENTRO','CAXAMBU DO SUL','SC',3018,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2259907,3.00,7.00,5.00,1.00,8.00,5.25,6.00,5.00,2.00,303,450,NULL,'BARREIROS','SAO JOSE','SC',12875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259915,4.00,7.00,6.00,6.00,8.00,6.00,8.00,8.00,6.00,214,217,211,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',3241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259923,1.00,8.00,3.00,5.00,6.00,4.50,2.00,5.00,4.00,444,332,NULL,'PONTE DE IMARUIM','PALHOCA','SC',16264,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2259931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,420,NULL,'VILA KURTZ','CACADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2259940,3.00,7.00,5.00,4.00,6.00,6.25,5.00,4.00,3.00,450,310,NULL,'JD AQUARIUS','SAO JOSE DOS CAMPOS','SP',11686,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2259958,5.00,7.00,2.00,6.00,4.00,5.00,6.00,4.00,5.00,108,333,NULL,'SANTA MONICA','ROLANDIA','PR',10623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259966,2.00,5.00,0.00,2.00,4.00,NULL,3.00,2.00,1.00,317,5,NULL,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259974,0.00,6.00,1.00,0.00,6.00,NULL,3.00,4.00,3.00,208,404,238,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2259982,2.00,4.00,3.00,5.00,4.00,6.75,5.00,5.00,3.00,103,216,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2259990,1.00,6.00,5.00,8.00,7.00,6.00,6.00,5.00,4.00,316,301,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',8049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260000,0.00,7.00,1.00,6.00,6.00,5.50,3.00,4.00,2.00,316,318,NULL,'CENTRO','FLORIANOPOLIS','SC',17404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2260018,2.00,6.00,1.00,3.00,8.00,6.50,1.00,5.00,1.00,303,NULL,NULL,'PETRÓPOLIS','LAGES','SC',18376,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2260026,5.00,5.00,3.00,1.00,6.00,6.50,4.00,4.00,2.00,303,415,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260034,5.00,7.00,4.00,6.00,8.00,6.00,6.00,6.00,5.00,216,211,215,'ZONA RURAL','MULITERNO','RS',6503,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2260042,2.00,7.00,5.00,2.00,5.00,5.75,6.00,4.00,3.00,5,415,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2260050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','RIO GRANDE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2260077,3.00,6.00,4.00,5.00,5.00,6.75,4.00,6.00,3.00,415,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2260085,3.00,6.00,3.00,0.00,0.00,NULL,1.00,3.00,1.00,216,316,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,8),(15,2260093,3.00,4.00,5.00,6.00,4.00,4.00,5.00,4.00,2.00,214,208,220,'QUINTINO','TIMBO','SC',16423,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2260107,6.00,6.00,4.00,4.00,8.00,7.00,5.00,1.00,6.00,103,9,NULL,'CENTRO','BRACO DO NORTE','SC',9546,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2260115,1.00,7.00,7.00,5.00,9.00,4.50,5.00,6.00,2.00,318,304,NULL,'PETRÓPOLIS','JOINVILLE','SC',8474,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2260123,8.00,7.00,6.00,5.00,6.00,5.50,7.00,5.00,5.00,103,NULL,NULL,'SEMINÁRIO','CURITIBA','PR',4370,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2260131,3.00,3.00,3.00,5.00,2.00,NULL,3.00,2.00,3.00,101,423,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2260158,1.00,7.00,5.00,7.00,5.00,7.50,5.00,7.00,4.00,425,310,428,'CENTRO','FLORIANOPOLIS','SC',7978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260166,4.00,4.00,3.00,0.00,5.00,5.00,6.00,2.00,3.00,104,215,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2260174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,310,NULL,'SÃO FRANCISCO','LUZERNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2260182,1.00,4.00,2.00,6.00,5.00,3.00,4.00,5.00,2.00,316,208,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260190,2.00,4.00,3.00,4.00,3.00,4.50,2.00,5.00,1.00,404,421,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',21702,257,165,NULL,NULL,NULL,NULL,2,1),(15,2260204,2.00,7.00,6.00,9.00,8.00,5.00,5.00,5.00,4.00,415,450,NULL,'CENTRO','FLORIANOPOLIS','SC',8725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260212,2.00,7.00,1.00,5.00,8.00,5.00,7.00,6.00,4.00,303,415,NULL,'CENTRO','FLORIANOPOLIS','SC',10630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2260220,2.00,6.00,1.00,6.00,7.00,5.25,3.00,8.00,3.00,427,423,424,'CORREGO GRANDE','FLORIANOPOLIS','SC',13542,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2260239,3.00,7.00,4.00,5.00,7.00,6.00,5.00,5.00,2.00,103,104,NULL,'BARREIROS','SAO JOSE','SC',12430,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2260247,4.00,8.00,3.00,4.00,8.00,5.25,7.00,5.00,4.00,319,444,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',8696,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2260255,2.00,8.00,5.00,9.00,7.00,6.00,4.00,7.00,2.00,238,318,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',7262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260263,3.00,8.00,6.00,3.00,7.00,6.00,3.00,5.00,3.00,103,207,NULL,'CENTRO','TUBARAO','SC',10927,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2260271,4.00,7.00,8.00,8.00,6.00,8.00,8.00,8.00,4.00,203,324,214,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260280,2.00,6.00,4.00,6.00,5.00,4.75,6.00,5.00,2.00,318,NULL,NULL,'CENTRO','GASPAR','SC',13535,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2260298,8.00,8.00,5.00,6.00,9.00,5.75,7.00,7.00,5.00,103,108,NULL,'CENTRO','SEVERIANO DE ALMEIDA','RS',2741,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2260301,6.00,6.00,7.00,9.00,8.00,5.50,8.00,6.00,4.00,214,203,208,'CARVOEIRA','FLORIANOPOLIS','SC',3667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260310,3.00,7.00,2.00,3.00,7.00,6.25,1.00,3.00,3.00,208,317,238,'CAMPINAS','SAO JOSE','SC',16949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260328,8.00,8.00,9.00,9.00,8.00,5.75,9.00,8.00,9.00,103,303,NULL,'CENTRO','PARAISO DO NORTE','PR',166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260336,1.00,5.00,2.00,1.00,4.00,NULL,2.00,4.00,2.00,319,420,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2260344,1.00,5.00,7.00,4.00,6.00,5.50,5.00,4.00,3.00,238,208,NULL,'CARIANOS','FLORIANOPOLIS','SC',14393,527,1025,NULL,NULL,NULL,NULL,2,1),(15,2260352,4.00,7.00,3.00,2.00,7.00,5.50,5.00,4.00,1.00,208,333,238,'BARREIROS','SAO JOSE','SC',14983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260360,0.00,6.00,0.00,1.00,5.00,6.25,3.00,5.00,1.00,303,309,NULL,'BARREIROS','SAO JOSE','SC',21254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260379,0.00,4.00,1.00,4.00,5.00,NULL,1.00,1.00,2.00,207,NULL,NULL,'SANTA MARIA','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2260387,4.00,6.00,2.00,2.00,4.00,4.00,1.00,4.00,2.00,310,320,NULL,'BARREIROS','SAO JOSE','SC',21850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260395,1.00,4.00,2.00,5.00,4.00,3.75,4.00,4.00,2.00,102,339,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',21028,482,424,NULL,NULL,NULL,NULL,2,1),(15,2260409,3.00,3.00,2.00,3.00,5.00,3.00,0.00,4.00,3.00,420,207,NULL,'CENTRO','CONSTANTINA','RS',22300,446,1327,NULL,NULL,NULL,NULL,2,4),(15,2260425,1.00,6.00,1.00,6.00,6.00,4.00,0.00,6.00,1.00,424,NULL,NULL,'JARDIM SÃO JOSE','SAO ROQUE','SP',20219,88,NULL,NULL,NULL,NULL,NULL,2,1),(15,2260433,4.00,8.00,8.00,6.00,5.00,5.75,9.00,7.00,2.00,225,2,NULL,'CENTRO','FLORIANOPOLIS','SC',5402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260441,2.00,7.00,4.00,3.00,5.00,3.75,3.00,7.00,3.00,207,420,211,'ENCRUZILHADA','SANTOS','SP',15660,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2260450,7.00,8.00,8.00,6.00,7.00,6.00,8.00,7.00,6.00,102,215,NULL,'URBANOVA','SAO JOSE DOS CAMPOS','SP',2222,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2260476,2.00,4.00,3.00,4.00,3.00,5.75,3.00,5.00,2.00,211,216,215,'SÃO CRISTOVÃO','TURVO','SC',20051,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2260484,6.00,7.00,3.00,9.00,8.00,5.50,6.00,7.00,4.00,103,220,NULL,'SÃO JOÃO','ITAJAI','SC',4289,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2260492,0.00,4.00,5.00,2.00,3.00,3.25,1.00,3.00,4.00,303,304,NULL,'SÃO JOSE','SAO JOSE','SC',22356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260506,3.00,6.00,5.00,9.00,6.00,5.50,4.00,4.00,1.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',11680,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2260522,2.00,7.00,2.00,6.00,5.00,5.25,4.00,4.00,4.00,451,415,NULL,'CENTRO','GAROPABA','SC',17714,61,774,NULL,NULL,NULL,NULL,2,1),(15,2260530,3.00,7.00,1.00,5.00,6.00,4.00,5.00,5.00,1.00,103,104,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260549,4.00,4.00,4.00,6.00,4.00,6.25,3.00,2.00,3.00,103,104,NULL,'TACCA','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2260557,2.00,6.00,2.00,2.00,4.00,3.00,3.00,5.00,2.00,201,444,212,'CENTRO','IMBITUBA','SC',22225,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2260565,6.00,8.00,5.00,5.00,8.00,4.50,8.00,5.00,5.00,223,424,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',5658,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2260573,1.00,5.00,4.00,8.00,4.00,6.00,3.00,5.00,3.00,302,317,NULL,'JARDIM ITARARÉ','EMBU GUACU','SP',15003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260581,3.00,8.00,4.00,9.00,7.00,5.00,4.00,5.00,5.00,427,428,425,'SÃO JOSÉ','SAO JOSE','SC',7921,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2260590,2.00,5.00,3.00,4.00,4.00,4.00,3.00,4.00,3.00,220,215,233,'CENTRO SUL','DOIS VIZINHOS','PR',19907,588,619,440,NULL,NULL,NULL,2,4),(15,2260611,3.00,6.00,2.00,5.00,7.00,6.00,4.00,5.00,2.00,5,303,NULL,'MEIA PRAIA','ITAPEMA','SC',15077,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2260620,3.00,4.00,2.00,2.00,9.00,6.75,3.00,5.00,1.00,102,NULL,NULL,'CENTRO','CAMBORIU','SC',17061,372,NULL,NULL,NULL,NULL,NULL,2,3),(15,2260638,4.00,7.00,4.00,4.00,5.00,6.00,3.00,5.00,5.00,333,211,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,207,NULL,'VILA FATIMA','REGISTRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2260654,3.00,3.00,0.00,1.00,0.00,NULL,2.00,2.00,2.00,5,9,NULL,'MORRO DA BOA VISTA','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2260662,2.00,4.00,3.00,1.00,4.00,4.50,3.00,3.00,3.00,101,339,NULL,'CENTRO','IMBITUBA','SC',22265,327,465,NULL,NULL,NULL,NULL,2,1),(15,2260670,3.00,2.00,1.00,5.00,5.00,4.75,3.00,5.00,1.00,207,420,201,'CAPOEIRAS','FLORIANOPOLIS','SC',21237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2260689,2.00,6.00,2.00,4.00,5.00,4.00,2.00,4.00,2.00,108,301,NULL,'CENTRO','FOZ DO IGUACU','PR',20377,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2260697,4.00,7.00,5.00,8.00,6.00,5.50,3.00,7.00,3.00,103,301,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,108,NULL,'CENTRO','IPAUSSU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2260727,2.00,5.00,2.00,0.00,4.00,3.75,2.00,4.00,2.00,208,316,238,'JARDIM SAVEIRO','BIGUACU','SC',22350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260735,4.00,8.00,3.00,5.00,8.00,6.00,8.00,7.00,5.00,104,238,NULL,'CENTRO','TROMBUDO CENTRAL','SC',4388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260743,3.00,5.00,2.00,6.00,4.00,6.00,6.00,5.00,1.00,324,327,NULL,'ITACORUBÍ','FLORIANOPOLIS','SC',16258,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2260751,5.00,7.00,6.00,5.00,8.00,4.25,7.00,6.00,5.00,103,104,NULL,'CENTRO','CLEVELANDIA','PR',4502,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2260760,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,310,327,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2260778,2.00,3.00,8.00,9.00,6.00,5.00,6.00,2.00,4.00,208,316,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',11383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260786,6.00,8.00,6.00,2.00,6.00,5.00,6.00,8.00,5.00,301,201,NULL,'CENTRO','ITAI','SP',6815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2260794,1.00,7.00,3.00,6.00,7.00,6.75,2.00,4.00,3.00,451,426,NULL,'JD SÃO MIGUEL','BIGUACU','SC',13425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,318,NULL,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2260816,4.00,7.00,4.00,0.00,6.00,4.75,5.00,7.00,3.00,324,502,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',13385,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2260824,1.00,4.00,2.00,1.00,2.00,NULL,3.00,2.00,1.00,104,212,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260840,4.00,7.00,4.00,6.00,8.00,6.50,6.00,5.00,4.00,501,233,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',6986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260859,3.00,6.00,2.00,5.00,6.00,6.00,4.00,4.00,3.00,303,103,NULL,'CENTRO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2260867,2.00,8.00,5.00,4.00,4.00,4.75,8.00,6.00,2.00,333,108,NULL,'ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC',11184,138,737,NULL,NULL,NULL,NULL,4,1),(15,2260875,1.00,3.00,4.00,3.00,4.00,4.50,4.00,4.00,1.00,202,213,220,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',21209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260883,3.00,5.00,1.00,9.00,7.00,NULL,0.00,0.00,0.00,404,423,NULL,'CENTRO','QUARAI','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2260905,4.00,7.00,6.00,6.00,8.00,5.50,9.00,8.00,4.00,303,5,NULL,'ESTREITO','FLORIANOPOLIS','SC',4356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2260913,5.00,8.00,8.00,7.00,8.00,5.25,8.00,7.00,5.00,211,223,208,'AGRONÔMICA','FLORIANOPOLIS','SC',2357,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2260921,4.00,6.00,6.00,6.00,8.00,5.25,4.00,3.00,6.00,207,308,211,'CENTRO','FLORIANOPOLIS','SC',8190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260930,4.00,7.00,1.00,4.00,8.00,4.50,5.00,6.00,2.00,108,9,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',12174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260948,6.00,7.00,4.00,7.00,8.00,6.50,3.00,8.00,2.00,425,310,426,'KOBRASOL','SAO JOSE','SC',6818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260956,3.00,6.00,5.00,6.00,8.00,7.00,5.00,6.00,3.00,310,425,NULL,'BARRA DO ARIRIU','PALHOCA','SC',8140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,208,NULL,'INTERIOR','ROMELANDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2260972,4.00,3.00,4.00,4.00,4.00,5.50,4.00,3.00,2.00,444,501,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',19426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2260980,4.00,6.00,4.00,0.00,6.00,5.75,4.00,4.00,3.00,202,211,201,'FEMAÇÃ','VERANOPOLIS','RS',16813,592,967,890,NULL,NULL,NULL,2,9),(15,2260999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,316,238,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2261014,4.00,5.00,8.00,6.00,5.00,6.25,5.00,4.00,4.00,302,317,NULL,'CENTRO','MORRO DA FUMACA','SC',9769,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2261022,2.00,5.00,3.00,2.00,4.00,NULL,0.00,0.00,0.00,327,326,NULL,'JURERE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2261030,5.00,6.00,6.00,8.00,7.00,6.25,8.00,5.00,4.00,420,207,NULL,'ITACORUBI','FLORIANOPOLIS','SC',3912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261049,7.00,7.00,8.00,2.00,7.00,5.50,9.00,8.00,8.00,203,202,214,'JD NOVA BOITUVA','BOITUVA','SP',2595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261057,8.00,6.00,8.00,8.00,9.00,4.00,8.00,6.00,6.00,214,502,213,'PANTANAL','FLORIANOPOLIS','SC',1656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261065,2.00,3.00,3.00,6.00,4.00,3.00,1.00,2.00,4.00,203,301,201,'ZONA','CIANORTE','PR',21898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261073,5.00,6.00,3.00,0.00,5.00,4.25,3.00,6.00,2.00,207,316,NULL,'VORSTARDT','BLUMENAU','SC',18857,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2261081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'CAMPESTRE','SANTO ANDRE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2261090,4.00,8.00,5.00,5.00,7.00,6.00,6.00,6.00,2.00,233,234,238,'CARIANOS','FLORIANOPOLIS','SC',8793,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2261111,6.00,6.00,4.00,6.00,7.00,6.50,8.00,3.00,4.00,216,108,211,'SÃO MIGUEL','BIGUACU','SC',7600,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2261120,2.00,2.00,4.00,1.00,4.00,4.50,5.00,4.00,2.00,238,420,208,'MONTE VERDE','FLORIANOPOLIS','SC',21826,811,935,884,NULL,NULL,NULL,4,1),(15,2261138,2.00,4.00,1.00,2.00,2.00,NULL,2.00,1.00,2.00,309,501,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2261146,4.00,6.00,4.00,4.00,6.00,5.00,7.00,5.00,2.00,324,320,NULL,'JARDIM ELDORADO','PALHOCA','SC',12416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261154,3.00,6.00,8.00,7.00,8.00,6.00,8.00,8.00,2.00,233,303,238,'CARIANOS','FLORIANOPOLIS','SC',5063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,225,NULL,'VL GILDA','SANTO ANDRE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2261189,1.00,6.00,4.00,4.00,5.00,3.50,3.00,4.00,2.00,2,223,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2261197,7.00,8.00,3.00,9.00,8.00,6.50,6.00,7.00,2.00,317,318,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',3813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261200,1.00,8.00,7.00,8.00,7.00,3.75,9.00,8.00,4.00,201,212,211,'COSTA E SILVA','JOINVILLE','SC',4864,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2261219,4.00,8.00,4.00,5.00,6.00,5.00,2.00,8.00,4.00,415,333,NULL,'CENTRO','PANAMBI','RS',10645,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2261227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'PASSO DOS FORTES','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2261235,4.00,6.00,4.00,3.00,6.00,4.25,4.00,5.00,4.00,104,301,NULL,'CENTRO','FLORIANOPOLIS','SC',12865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261243,4.00,6.00,4.00,6.00,7.00,6.50,5.00,4.00,2.00,207,444,208,'PROGRESSO','POUSO REDONDO','SC',12031,585,415,431,NULL,NULL,NULL,2,2),(15,2261251,2.00,3.00,0.00,2.00,6.00,NULL,1.00,2.00,1.00,301,324,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261260,2.00,6.00,2.00,2.00,4.00,5.25,3.00,4.00,3.00,428,451,427,'CORREGO GRANDE','FLORIANOPOLIS','SC',19717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261278,4.00,6.00,0.00,3.00,6.00,5.50,3.00,3.00,2.00,301,316,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',18499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2261286,3.00,6.00,6.00,7.00,7.00,6.75,5.00,7.00,3.00,303,9,NULL,'AVIAÇÃO','VENANCIO AIRES','RS',7013,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2261294,2.00,6.00,2.00,3.00,3.00,4.00,3.00,4.00,3.00,331,332,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20986,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2261308,1.00,8.00,1.00,3.00,5.00,5.00,2.00,8.00,3.00,450,327,NULL,'FLAMBOYANT','GRAVATAI','RS',16577,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2261324,3.00,7.00,4.00,5.00,6.00,6.25,6.00,7.00,4.00,303,424,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',8971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261332,3.00,4.00,3.00,3.00,6.00,5.00,2.00,3.00,3.00,316,301,NULL,'CENTRO','CRICIUMA','SC',19925,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2261340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,501,NULL,'VILA DALILA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2261359,7.00,7.00,6.00,7.00,6.00,6.50,7.00,7.00,6.00,103,319,NULL,'VILA CABRAL','REGISTRO','SP',3077,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2261375,4.00,5.00,2.00,4.00,3.00,5.50,2.00,4.00,1.00,426,NULL,428,'COMERCIARIO','CRICIUMA','SC',20685,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2261383,2.00,6.00,4.00,9.00,3.00,3.00,5.00,5.00,2.00,333,234,NULL,'FLORESTA','SAO JOSE','SC',15227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261405,0.00,6.00,2.00,4.00,8.00,4.75,2.00,8.00,4.00,211,207,NULL,'INTERIOR','CAMPOS NOVOS','SC',15692,559,1224,NULL,NULL,NULL,NULL,2,7),(15,2261421,2.00,4.00,4.00,5.00,8.00,6.25,6.00,2.00,2.00,420,211,NULL,'SANTA LUZIA','SIDEROPOLIS','SC',14773,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2261430,4.00,6.00,2.00,0.00,6.00,6.00,2.00,4.00,3.00,207,415,NULL,'OFICINAS','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2261448,6.00,9.00,8.00,7.00,9.00,6.25,8.00,9.00,8.00,103,212,NULL,'ABADIA','UBERABA','MG',516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2261456,2.00,3.00,3.00,4.00,3.00,3.75,1.00,4.00,1.00,324,339,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',22407,119,470,NULL,NULL,NULL,NULL,2,1),(15,2261464,2.00,5.00,2.00,2.00,4.00,5.75,1.00,5.00,3.00,102,211,NULL,'VILA CRISTINA','VACARIA','RS',21241,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2261472,4.00,7.00,6.00,4.00,7.00,5.00,7.00,6.00,3.00,103,202,NULL,'SANTA LUZIA','VOTUPORANGA','SP',8269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261480,4.00,8.00,9.00,9.00,5.00,7.00,7.00,8.00,4.00,303,304,NULL,'TRINDADE','FLORIANOPOLIS','SC',2187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261499,4.00,5.00,1.00,1.00,3.00,4.00,3.00,5.00,4.00,203,303,208,'FAZ SANTO ANTONIO','SAO JOSE','SC',20561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261502,3.00,7.00,6.00,3.00,5.00,5.75,5.00,7.00,4.00,318,NULL,NULL,'CANGAÍBA','SAO PAULO','SP',10787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,423,421,'PIRITUBA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2261529,7.00,8.00,6.00,8.00,8.00,6.25,8.00,5.00,7.00,103,220,NULL,'CENTRO','CURITIBA','PR',2347,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2261537,4.00,6.00,7.00,5.00,6.00,7.50,6.00,4.00,3.00,103,NULL,NULL,'JARDIM RICETTI','SAO CARLOS','SP',9118,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2261545,5.00,6.00,4.00,6.00,8.00,5.50,6.00,5.00,4.00,327,NULL,NULL,'CENTRO','ARARANGUA','SC',7964,26,NULL,NULL,NULL,NULL,NULL,2,5),(15,2261553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,502,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2261561,1.00,7.00,2.00,5.00,7.00,5.00,3.00,5.00,3.00,327,339,NULL,'CENTRO','CRICIUMA','SC',16085,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2261588,4.00,7.00,2.00,6.00,4.00,4.75,5.00,5.00,2.00,328,424,NULL,'CENTRO','FLORIANOPOLIS','SC',14259,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2261596,3.00,2.00,0.00,3.00,5.00,NULL,1.00,3.00,4.00,420,NULL,NULL,'CRUZEIRO','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2261600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,319,233,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2261618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2261634,3.00,7.00,4.00,6.00,7.00,4.50,5.00,8.00,3.00,304,301,NULL,'BALNEARIO ESTREITO','FLORIANOPOLIS','SC',9132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261650,2.00,8.00,3.00,4.00,7.00,4.25,4.00,7.00,2.00,5,404,NULL,'CENTRO','MARINGA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261669,2.00,5.00,6.00,8.00,7.00,6.25,3.00,4.00,3.00,425,328,423,'DOS ESTADOS','TIMBO','SC',10719,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2261677,2.00,7.00,5.00,5.00,4.00,4.75,4.00,6.00,3.00,203,213,214,'CENTRO','ANITA GARIBALDI','SC',13109,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2261685,5.00,4.00,2.00,5.00,5.00,5.75,5.00,4.00,5.00,104,103,NULL,'CENTRO','PARANHOS','MS',13548,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2261693,6.00,8.00,6.00,7.00,9.00,6.25,7.00,6.00,5.00,103,101,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',2373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261707,4.00,8.00,6.00,7.00,7.00,6.50,3.00,7.00,2.00,303,444,NULL,'PALHOÇA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261715,1.00,5.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,319,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2261723,4.00,8.00,4.00,8.00,7.00,4.50,6.00,5.00,4.00,103,101,NULL,'CAMPO GRANDE','SANTOS','SP',7135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261740,2.00,4.00,1.00,1.00,3.00,NULL,1.00,2.00,2.00,501,301,NULL,'SÃO BENTO BAIXO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2261758,1.00,5.00,1.00,5.00,6.00,4.50,2.00,4.00,2.00,101,102,NULL,'JOSÉ BONIFÁCIO','ERECHIM','RS',20738,287,1106,NULL,NULL,NULL,NULL,2,1),(15,2261766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,201,NULL,'BEVERLY FALLS PARK','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2261774,4.00,7.00,5.00,4.00,6.00,4.50,6.00,3.00,2.00,238,225,208,'XV DE NOVEMBRO','TIJUCAS','SC',14553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261782,0.00,3.00,2.00,6.00,4.00,5.50,2.00,4.00,1.00,208,202,238,'CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC',22110,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2261790,3.00,8.00,4.00,6.00,6.00,4.50,5.00,6.00,4.00,404,444,NULL,'PALHOÇA','PALHOCA','SC',10600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261804,1.00,4.00,2.00,7.00,6.00,6.00,3.00,5.00,2.00,207,425,201,'JURERÊ','FLORIANOPOLIS','SC',18001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,207,NULL,'JARDIM PARAÍSO','SINOP','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2261820,5.00,5.00,5.00,7.00,7.00,4.50,3.00,3.00,2.00,450,425,NULL,'SOL NASCENTE','TAPEJARA','RS',12500,133,318,NULL,NULL,NULL,NULL,4,1),(15,2261839,4.00,8.00,4.00,8.00,5.00,4.00,6.00,9.00,2.00,450,333,NULL,'BROOKLIN PAULISTA','SAO PAULO','SP',7493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261847,2.00,5.00,3.00,6.00,6.00,5.00,4.00,2.00,5.00,207,304,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261855,3.00,6.00,2.00,6.00,4.00,4.50,4.00,6.00,3.00,212,420,207,'CENTRO','GUARUJA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2261863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'SANTA BÁBARA','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2261871,5.00,8.00,4.00,2.00,5.00,5.00,4.00,5.00,2.00,2,327,NULL,'JARDIM AMERICA','RIO DO SUL','SC',13302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261880,2.00,7.00,0.00,8.00,8.00,NULL,3.00,7.00,4.00,326,318,NULL,'JARDIM SATÉLITE','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261898,1.00,5.00,1.00,1.00,6.00,NULL,3.00,3.00,1.00,103,NULL,NULL,'INDUSTRIAL','ALTA FLORESTA','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261901,1.00,4.00,1.00,2.00,3.00,NULL,1.00,5.00,2.00,425,421,NULL,'SANTO ANTONIO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2261910,3.00,6.00,2.00,3.00,3.00,6.50,2.00,5.00,2.00,212,424,215,'SANTO ANTÔNIO','FLORIANOPOLIS','SC',19324,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2261928,3.00,8.00,3.00,5.00,8.00,5.50,4.00,3.00,4.00,102,319,NULL,'PAES LEME','IMBITUBA','SC',12133,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2261936,0.00,4.00,5.00,7.00,6.00,6.00,3.00,3.00,3.00,9,101,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2261944,2.00,5.00,3.00,2.00,4.00,4.75,4.00,4.00,3.00,450,324,NULL,'BELA VISTA I','SAO JOSE','SC',20286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261952,6.00,8.00,9.00,5.00,8.00,5.50,8.00,6.00,5.00,332,224,NULL,'TRINDADE','FLORIANOPOLIS','SC',2189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,211,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2261979,3.00,7.00,6.00,8.00,6.00,6.25,4.00,5.00,3.00,316,211,NULL,'CENTRO','FLORIANOPOLIS','SC',8998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261987,6.00,9.00,6.00,9.00,8.00,6.25,7.00,9.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',1631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2261995,2.00,8.00,2.00,7.00,7.00,5.25,5.00,6.00,2.00,207,331,NULL,'ANITA GARIBALDI','JOINVILLE','SC',10669,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2262002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,2,233,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2262010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2262029,2.00,5.00,3.00,7.00,5.00,6.75,4.00,4.00,1.00,203,108,202,'FRANCIOSI','VACARIA','RS',15054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262037,5.00,6.00,7.00,7.00,8.00,5.75,7.00,7.00,3.00,501,108,NULL,'CENTRO','FLOR DA SERRA DO SUL','PR',5163,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2262045,5.00,6.00,3.00,6.00,2.00,NULL,3.00,4.00,3.00,316,304,NULL,'JARDIM DAS AMÉRICAS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2262053,4.00,7.00,7.00,7.00,6.00,5.00,7.00,8.00,3.00,202,2,233,'ITAGUAÇU','FLORIANOPOLIS','SC',4610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2262070,8.00,6.00,9.00,6.00,6.00,6.50,8.00,6.00,7.00,216,217,215,'CENTRO','JOACABA','SC',1622,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2262088,3.00,3.00,7.00,3.00,8.00,5.25,5.00,3.00,3.00,104,304,NULL,'CENTRO','CRICIUMA','SC',15378,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2262096,4.00,8.00,6.00,8.00,8.00,7.50,6.00,6.00,6.00,303,415,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',3171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262100,8.00,7.00,7.00,6.00,7.00,4.25,8.00,7.00,7.00,318,238,NULL,'LIMÃO','SAO PAULO','SP',2651,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2262118,3.00,7.00,2.00,7.00,7.00,5.00,5.00,5.00,6.00,104,207,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2262126,1.00,5.00,3.00,1.00,4.00,NULL,3.00,2.00,2.00,318,421,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262134,0.00,4.00,5.00,3.00,2.00,NULL,2.00,2.00,3.00,208,213,201,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2262142,5.00,9.00,4.00,5.00,8.00,6.25,9.00,7.00,5.00,103,216,NULL,'CENTRO','SERRA ALTA','SC',3583,1159,619,NULL,NULL,NULL,NULL,2,4),(15,2262150,3.00,6.00,6.00,8.00,6.00,6.50,7.00,6.00,3.00,202,220,213,'JARDIM NOVA BRAGANÇA','BRAGANCA PAULISTA','SP',5495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262169,4.00,7.00,2.00,7.00,5.00,5.75,4.00,5.00,1.00,324,339,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',14109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2262185,3.00,5.00,2.00,4.00,7.00,4.50,5.00,4.00,4.00,104,9,NULL,'CENTRO','SANTA MARIA','RS',16252,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2262193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CERQUEIRA CESAR','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2262207,3.00,8.00,3.00,6.00,6.00,6.50,3.00,3.00,2.00,415,5,NULL,'NAÇÕES','BALNEARIO CAMBORIU','SC',13934,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2262215,2.00,2.00,2.00,4.00,4.00,5.00,4.00,2.00,2.00,103,316,NULL,'PIO CORREA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2262223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'ESPIGAO','REGENTE FEIJO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2262231,5.00,6.00,3.00,3.00,4.00,4.00,2.00,4.00,1.00,208,201,202,'PRAIA COMPRIDA','SAO JOSE','SC',19305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262240,4.00,5.00,1.00,0.00,0.00,NULL,7.00,6.00,4.00,208,420,238,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262258,6.00,9.00,6.00,8.00,7.00,8.00,5.00,8.00,5.00,310,319,NULL,'CENTRO','FLORIANOPOLIS','SC',2148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262266,3.00,5.00,2.00,4.00,5.00,6.00,3.00,2.00,3.00,444,234,NULL,'CARIANOS','FLORIANOPOLIS','SC',18062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262274,3.00,6.00,3.00,4.00,3.00,4.00,4.00,2.00,1.00,103,303,NULL,'CENTRO','PORTAO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2262282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,220,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2262290,4.00,6.00,6.00,6.00,7.00,7.50,5.00,5.00,3.00,502,319,NULL,'RIO SALTO','URUSSANGA','SC',7548,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2262304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,238,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2262312,3.00,4.00,0.00,3.00,7.00,4.00,3.00,5.00,2.00,102,9,NULL,'CENTRO','IMBUIA','SC',20556,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2262320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,9,NULL,'NAÇÕES','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2262339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'CENTRO','XANGRI LA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2262347,0.00,4.00,3.00,1.00,4.00,6.00,2.00,5.00,1.00,302,303,NULL,'CENTRO','ANGELINA','SC',21982,200,1339,NULL,NULL,NULL,NULL,2,1),(15,2262355,2.00,3.00,1.00,5.00,4.00,NULL,1.00,1.00,1.00,404,319,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2262363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,207,NULL,'MENINO DEUS','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2262371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,501,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2262380,6.00,7.00,6.00,5.00,8.00,8.00,7.00,6.00,4.00,301,316,NULL,'MORRO DO GROSSE','PANAMBI','RS',3842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,104,207,'CENTRO','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2262401,4.00,6.00,7.00,6.00,7.00,3.00,9.00,7.00,3.00,233,424,211,'CENTRO','SAO JOSE','SC',6120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2262410,3.00,8.00,3.00,8.00,6.00,5.75,4.00,9.00,2.00,5,320,NULL,'COSTEIRA','FLORIANOPOLIS','SC',8314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2262428,5.00,7.00,5.00,7.00,6.00,7.75,6.00,6.00,2.00,103,NULL,NULL,'VILA SANTA CATARINA','OTACILIO COSTA','SC',5764,1588,NULL,NULL,NULL,NULL,NULL,2,9),(15,2262436,6.00,6.00,4.00,7.00,7.00,5.25,5.00,4.00,1.00,333,108,NULL,'CENTRO','CRICIUMA','SC',9601,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2262444,4.00,4.00,4.00,4.00,5.00,5.75,3.00,2.00,3.00,225,224,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',18520,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2262452,3.00,4.00,6.00,5.00,7.00,5.25,6.00,3.00,2.00,201,215,203,'FLORESTA','JOINVILLE','SC',15493,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2262460,8.00,8.00,9.00,6.00,8.00,6.25,9.00,8.00,8.00,103,108,NULL,'CENTRO','JARAGUA DO SUL','SC',175,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2262479,5.00,9.00,7.00,8.00,9.00,6.25,8.00,7.00,4.00,5,327,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',1448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262495,5.00,5.00,5.00,6.00,8.00,6.00,7.00,6.00,3.00,207,238,208,'PARQUE SÃO JORGE','FLORIANOPOLIS','SC',7007,NULL,NULL,NULL,NULL,NULL,NULL,4,1);
INSERT INTO boletim_desempenho VALUES (15,2262517,1.00,3.00,5.00,1.00,2.00,NULL,4.00,2.00,3.00,420,208,NULL,'JARDIM ESPERANÇA','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2262525,2.00,5.00,2.00,4.00,2.00,NULL,4.00,6.00,1.00,404,301,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2262533,3.00,4.00,1.00,6.00,4.00,4.25,3.00,3.00,1.00,421,319,429,'SANTA MARIA','CHAPECO','SC',21051,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2262541,1.00,7.00,4.00,4.00,2.00,NULL,4.00,4.00,2.00,207,420,201,'JARDIM SAÕ PAULO','UBIRATA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262550,2.00,5.00,2.00,6.00,5.00,6.00,4.00,5.00,2.00,450,425,NULL,'CENTRO','CURITIBANOS','SC',16624,170,364,NULL,NULL,NULL,NULL,4,1),(15,2262568,7.00,8.00,7.00,9.00,9.00,7.25,9.00,5.00,6.00,103,104,NULL,'BARRA SUL','BALNEARIO CAMBORIU','SC',1147,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2262576,2.00,5.00,5.00,6.00,7.00,5.50,3.00,5.00,3.00,450,451,NULL,'ITACORUBI','FLORIANOPOLIS','SC',13544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,203,NULL,'ORIENTAL','CARAZINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2262592,4.00,6.00,4.00,4.00,7.00,3.50,3.00,4.00,3.00,202,302,213,'CENTRO','MARECHAL CANDIDO RONDON','PR',15390,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2262606,2.00,5.00,2.00,4.00,3.00,6.00,5.00,6.00,0.00,208,301,238,'CENTRO','GAROPABA','SC',18629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262614,4.00,9.00,6.00,7.00,8.00,6.50,6.00,8.00,5.00,332,320,NULL,'JAGUARÉ','SAO PAULO','SP',3491,2,NULL,NULL,NULL,NULL,NULL,2,1),(15,2262622,4.00,6.00,3.00,1.00,3.00,2.25,2.00,4.00,1.00,316,404,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262630,4.00,7.00,7.00,7.00,9.00,8.25,8.00,6.00,5.00,207,NULL,211,'TRINDADE','FLORIANOPOLIS','SC',2382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262649,3.00,8.00,3.00,6.00,8.00,6.50,6.00,5.00,5.00,326,331,NULL,'CENTRO','LAGES','SC',6993,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2262657,2.00,7.00,0.00,4.00,6.00,NULL,3.00,6.00,1.00,320,339,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2262673,3.00,7.00,4.00,4.00,7.00,4.75,4.00,6.00,3.00,302,450,NULL,'CENTRO','PALHOCA','SC',12366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262681,2.00,6.00,2.00,5.00,6.00,4.00,0.00,5.00,2.00,415,319,NULL,'PROGRESSO','ALEGRETE','RS',19662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262690,3.00,6.00,3.00,8.00,6.00,5.00,3.00,4.00,3.00,333,319,NULL,'PTRÓPOLIS','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2262703,1.00,4.00,0.00,3.00,5.00,3.75,3.00,5.00,2.00,309,501,NULL,'PONTE DO IMARUIM','PALHOCA','SC',22150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2262711,3.00,2.00,0.00,5.00,6.00,NULL,2.00,2.00,2.00,404,339,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2262720,1.00,7.00,5.00,5.00,6.00,4.00,3.00,5.00,3.00,238,208,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2262738,2.00,8.00,5.00,3.00,4.00,6.25,2.00,3.00,2.00,303,316,NULL,'BELA VISTA I','SAO JOSE','SC',18930,818,1183,NULL,NULL,NULL,NULL,4,1),(15,2262746,2.00,7.00,4.00,8.00,8.00,7.25,6.00,8.00,4.00,501,423,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',5881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2262754,2.00,4.00,2.00,1.00,5.00,6.25,5.00,4.00,2.00,203,201,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',20344,1151,1393,NULL,NULL,NULL,NULL,4,1),(15,2262762,1.00,6.00,4.00,5.00,5.00,4.00,3.00,5.00,3.00,444,329,NULL,'PORTO DA LAGOA','FLORIANOPOLIS','SC',18266,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2262797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,224,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2262800,3.00,7.00,1.00,8.00,8.00,5.25,4.00,9.00,3.00,216,NULL,233,'VILA SAO JOSE','ARARANGUA','SC',7603,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2262819,2.00,4.00,1.00,6.00,5.00,4.75,2.00,3.00,4.00,425,423,424,'TAPERA','FLORIANOPOLIS','SC',19278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262827,6.00,8.00,5.00,7.00,7.00,6.00,6.00,8.00,1.00,331,333,NULL,'CENTRO','FLORIANOPOLIS','SC',5494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262835,3.00,5.00,0.00,1.00,4.00,4.75,3.00,2.00,4.00,103,9,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2262843,4.00,7.00,1.00,7.00,4.00,5.25,3.00,4.00,3.00,5,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',16422,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2262851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,207,NULL,'ZONA II','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2262860,3.00,7.00,5.00,7.00,8.00,7.00,7.00,3.00,4.00,303,103,NULL,'MARIA GORETTI','CHAPECO','SC',7368,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2262878,2.00,6.00,3.00,5.00,7.00,4.25,5.00,5.00,3.00,202,238,213,'REAL PARK','SAO JOSE','SC',14305,533,939,230,NULL,NULL,NULL,2,1),(15,2262894,4.00,8.00,4.00,5.00,7.00,5.00,8.00,5.00,2.00,208,420,238,'SERTÃO DO MARUIM','SAO JOSE','SC',8360,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2262908,3.00,6.00,0.00,3.00,5.00,3.00,3.00,3.00,1.00,208,238,220,'CENTRO','FLORIANOPOLIS','SC',22195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262916,4.00,6.00,7.00,7.00,6.00,3.25,7.00,6.00,5.00,203,202,214,'ZONA SETE','MARINGA','PR',5962,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2262924,3.00,6.00,0.00,1.00,5.00,NULL,3.00,5.00,1.00,203,333,214,'ITACORUI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262932,2.00,4.00,4.00,5.00,3.00,5.25,3.00,0.00,2.00,308,420,NULL,'BELA VISTA','SAO JOSE','SC',21464,191,927,NULL,NULL,NULL,NULL,2,1),(15,2262940,5.00,6.00,2.00,8.00,6.00,4.50,7.00,4.00,5.00,103,101,NULL,'SAO RAFAEL','RIO NEGRINHO','SC',8307,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2262959,1.00,6.00,3.00,1.00,6.00,4.50,4.00,3.00,2.00,211,316,201,'SÃO MIGUEL','BIGUACU','SC',20343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2262967,1.00,6.00,0.00,3.00,3.00,NULL,3.00,5.00,1.00,501,104,NULL,'INTERIOR','RONDA ALTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2262975,2.00,4.00,1.00,4.00,6.00,6.50,4.00,4.00,3.00,211,215,207,'FREI BRUNO','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2262983,3.00,8.00,7.00,7.00,6.00,5.50,3.00,4.00,3.00,203,NULL,NULL,'CENTRO','AGUAS DE CHAPECO','SC',9582,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2262991,2.00,7.00,2.00,0.00,5.00,6.00,2.00,3.00,2.00,217,216,NULL,'MORADA DO SOL','MARAVILHA','SC',20812,193,821,NULL,NULL,NULL,NULL,4,4),(15,2263009,3.00,7.00,1.00,6.00,7.00,4.75,3.00,7.00,3.00,103,101,NULL,'AREIAS','SAO JOSE','SC',13285,2471,603,NULL,NULL,NULL,NULL,2,1),(15,2263017,3.00,5.00,3.00,4.00,6.00,4.50,5.00,2.00,0.00,429,428,423,'CANTO DA LAGOA','FLORIANOPOLIS','SC',19545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2263025,5.00,7.00,5.00,1.00,8.00,5.75,2.00,5.00,4.00,103,301,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263041,3.00,4.00,1.00,6.00,6.00,5.75,2.00,3.00,2.00,333,108,NULL,'BELA VISTA','SAO JOSE','SC',19046,340,906,NULL,NULL,NULL,NULL,2,1),(15,2263050,0.00,5.00,5.00,3.00,6.00,4.50,2.00,4.00,2.00,303,5,NULL,'CHACARA CACHOEIRA','CAMPO GRANDE','MS',19774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263068,4.00,7.00,6.00,5.00,7.00,6.00,6.00,6.00,1.00,318,317,NULL,'CENTRO TECNICO AERO','SAO JOSE DOS CAMPOS','SP',8393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263076,1.00,3.00,3.00,7.00,5.00,6.25,3.00,2.00,3.00,302,316,NULL,'ITACORUBI','FLORIANOPOLIS','SC',20243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2263084,4.00,4.00,1.00,3.00,4.00,7.00,2.00,3.00,1.00,339,9,NULL,'CENTRO','GUARUJA DO SUL','SC',21372,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2263106,2.00,5.00,1.00,1.00,6.00,7.00,3.00,5.00,4.00,427,429,423,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',19034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263114,2.00,8.00,3.00,9.00,5.00,6.50,3.00,7.00,1.00,208,425,238,'BREJARU','PALHOCA','SC',10966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,203,429,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2263130,1.00,3.00,2.00,1.00,3.00,NULL,1.00,2.00,1.00,208,301,213,'PINGUIRITO GAROPABA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263149,3.00,7.00,3.00,8.00,6.00,5.75,6.00,7.00,2.00,303,5,NULL,'ESTREITO','FLORIANOPOLIS','SC',9336,502,1123,NULL,NULL,NULL,NULL,4,1),(15,2263157,0.00,3.00,1.00,2.00,6.00,NULL,3.00,2.00,4.00,104,308,NULL,'PEREQUÊ','PORTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2263165,1.00,6.00,3.00,2.00,6.00,5.00,5.00,5.00,4.00,425,319,429,'ESTREITO','FLORIANOPOLIS','SC',16613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263181,0.00,5.00,1.00,4.00,6.00,6.75,2.00,7.00,4.00,103,5,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2263190,1.00,5.00,3.00,1.00,6.00,5.50,3.00,3.00,5.00,201,203,207,'SÃO CRISTÓVÃO','CONCORDIA','SC',18962,1001,1435,898,NULL,NULL,NULL,4,7),(15,2263211,2.00,5.00,5.00,4.00,5.00,5.75,3.00,3.00,1.00,103,101,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',18697,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2263220,4.00,6.00,4.00,2.00,8.00,5.75,3.00,7.00,4.00,318,421,NULL,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',12694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263238,2.00,7.00,2.00,6.00,5.00,4.25,4.00,3.00,3.00,103,108,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',16818,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2263246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,108,NULL,'CIDADE DUTRA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2263254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CASCATINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2263262,5.00,7.00,5.00,3.00,8.00,5.25,7.00,4.00,3.00,104,301,NULL,'MEIA PRAIA','ITAPEMA','SC',8194,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2263270,1.00,6.00,2.00,5.00,5.00,5.50,2.00,4.00,4.00,444,309,NULL,'CENTRO','FLORIANOPOLIS','SC',17358,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2263289,2.00,5.00,5.00,4.00,5.00,4.75,4.00,6.00,5.00,203,201,207,'RIO CAVEIRAS','BIGUACU','SC',14700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263297,5.00,6.00,6.00,4.00,6.00,4.00,6.00,8.00,6.00,203,215,214,'CENTRO','LAGES','SC',6742,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2263300,3.00,4.00,4.00,4.00,5.00,5.00,2.00,3.00,3.00,333,233,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263319,3.00,8.00,1.00,7.00,7.00,6.25,3.00,6.00,4.00,101,423,NULL,'CENTRO','SOMBRIO','SC',9541,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2263327,3.00,5.00,1.00,7.00,5.00,4.00,3.00,4.00,3.00,429,108,423,'PQ HUMAITÁ','PORTO ALEGRE','RS',18742,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2263335,0.00,2.00,4.00,5.00,2.00,NULL,3.00,5.00,0.00,208,103,202,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2263343,4.00,7.00,5.00,7.00,7.00,3.75,8.00,7.00,6.00,203,202,201,'NOVA IORQUE','ARACATUBA','SP',4687,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2263351,5.00,8.00,4.00,6.00,8.00,4.75,7.00,5.00,3.00,233,318,220,'CENTRO','TUBARAO','SC',6854,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2263360,7.00,8.00,8.00,3.00,6.00,6.00,7.00,2.00,5.00,103,NULL,NULL,'CABREUVA','CAMPO GRANDE','MS',6176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,223,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2263386,1.00,5.00,2.00,0.00,6.00,NULL,3.00,3.00,1.00,5,104,NULL,'CENTRO','AGROLANDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263394,3.00,5.00,3.00,4.00,5.00,4.75,3.00,4.00,4.00,415,319,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',17882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263416,3.00,5.00,5.00,3.00,6.00,6.50,4.00,4.00,3.00,5,316,NULL,'PASSA VINTE','PALHOCA','SC',14899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263424,8.00,9.00,8.00,9.00,8.00,5.50,9.00,8.00,8.00,103,108,NULL,'VILA PAULISTA','RIO CLARO','SP',183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263432,3.00,4.00,2.00,1.00,7.00,6.50,1.00,1.00,4.00,301,303,NULL,'LINHA RIO MAIOR','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2263440,4.00,6.00,8.00,6.00,8.00,6.00,8.00,3.00,3.00,214,238,212,'CAMPECHE','FLORIANOPOLIS','SC',6571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2263459,2.00,6.00,2.00,4.00,6.00,6.50,2.00,4.00,4.00,303,415,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2263467,4.00,5.00,3.00,7.00,6.00,2.00,5.00,7.00,2.00,421,329,429,'SANTA MARIA','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2263475,3.00,7.00,6.00,5.00,8.00,4.25,5.00,6.00,4.00,310,333,NULL,'CENTRO','LIMEIRA','SP',8809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2263483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2263491,2.00,6.00,4.00,6.00,5.00,6.00,3.00,5.00,2.00,103,NULL,NULL,'CENTRO','XANXERE','SC',13958,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2263505,3.00,5.00,4.00,7.00,7.00,5.75,3.00,3.00,4.00,420,104,NULL,'CENTRO','JARAGUA DO SUL','SC',13650,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2263513,4.00,7.00,2.00,7.00,7.00,4.50,1.00,4.00,1.00,316,5,NULL,'BARREIROS','SAO JOSE','SC',17094,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2263521,4.00,6.00,1.00,6.00,3.00,5.00,3.00,4.00,3.00,104,333,NULL,'MEIA PRAIA','ITAPEMA','SC',18349,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2263530,1.00,4.00,1.00,2.00,3.00,6.75,4.00,2.00,3.00,501,502,NULL,'OXFORD','SAO BENTO DO SUL','SC',22076,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2263548,4.00,6.00,7.00,9.00,6.00,6.00,6.00,6.00,1.00,201,223,207,'SAO JOAO','PORTO ALEGRE','RS',6568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263556,2.00,8.00,1.00,5.00,5.00,5.25,3.00,6.00,2.00,104,301,NULL,'GLÓRIA','JOINVILLE','SC',16792,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2263564,4.00,2.00,3.00,4.00,4.00,4.50,3.00,5.00,4.00,103,216,NULL,'OFICINAS','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2263572,8.00,5.00,6.00,8.00,8.00,7.00,8.00,6.00,6.00,303,5,NULL,'DEHON','TUBARAO','SC',2161,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2263580,4.00,8.00,4.00,5.00,6.00,6.25,5.00,6.00,2.00,5,329,NULL,'SANTA CRUZ','CONCORDIA','SC',10307,447,135,NULL,NULL,NULL,NULL,2,4),(15,2263599,2.00,4.00,2.00,7.00,6.00,4.00,1.00,3.00,2.00,104,207,NULL,'CAMPINAS','SAO JOSE','SC',20427,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2263602,3.00,7.00,2.00,5.00,5.00,4.75,6.00,6.00,4.00,501,234,NULL,'AGUA SANTA','CURITIBANOS','SC',11704,105,189,NULL,NULL,NULL,NULL,2,1),(15,2263610,4.00,8.00,9.00,7.00,6.00,3.75,9.00,7.00,8.00,203,NULL,NULL,'VALE DO SOL','VOTUPORANGA','SP',2091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263629,9.00,8.00,6.00,2.00,8.00,6.00,5.00,5.00,5.00,211,234,216,'JARDIM GRAMADO','CASCAVEL','PR',5706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263637,3.00,5.00,6.00,2.00,6.00,4.75,7.00,5.00,2.00,420,444,NULL,'BOM FIM','PORTO ALEGRE','RS',12961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263645,3.00,8.00,6.00,8.00,6.00,6.00,8.00,8.00,1.00,450,428,NULL,'MADRI','PALHOCA','SC',5322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263653,2.00,7.00,7.00,6.00,7.00,7.00,7.00,6.00,3.00,208,NULL,NULL,'VILA RICA','MARINGA','PR',6572,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2263670,7.00,8.00,2.00,6.00,5.00,6.00,5.00,5.00,2.00,103,102,NULL,'CENTRO','SAO LOURENCO DO OESTE','SC',10025,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2263688,2.00,8.00,3.00,4.00,5.00,5.50,5.00,8.00,3.00,317,225,NULL,'RIO GRANDRE','PALHOCA','SC',12418,167,132,NULL,NULL,NULL,NULL,2,1),(15,2263696,1.00,6.00,0.00,7.00,8.00,6.00,3.00,4.00,2.00,319,308,NULL,'PARQUE SÃO JORGE','FLORIANOPOLIS','SC',17274,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2263700,2.00,4.00,4.00,0.00,6.00,NULL,3.00,1.00,4.00,103,9,NULL,'CENTRO','OSORIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263718,4.00,9.00,7.00,9.00,6.00,5.75,7.00,5.00,6.00,450,451,NULL,'CENTRO','MONTE SIAO','MG',3454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263726,5.00,6.00,7.00,9.00,5.00,6.50,6.00,8.00,6.00,214,212,213,'TRINDADE','FLORIANOPOLIS','SC',3002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263734,6.00,8.00,6.00,4.00,4.00,5.25,6.00,6.00,2.00,302,216,NULL,'CENTRO','CRICIUMA','SC',9802,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2263742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,327,NULL,'VILA MOEMA','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2263750,4.00,5.00,2.00,1.00,6.00,3.50,2.00,3.00,2.00,451,404,NULL,'TRINDADE','FLORIANOPOLIS','SC',21325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2263769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,327,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2263777,2.00,6.00,4.00,4.00,8.00,5.50,3.00,7.00,1.00,301,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',13500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263785,1.00,5.00,2.00,7.00,5.00,4.75,2.00,5.00,1.00,327,324,NULL,'JD CARANDAÍ','BIGUACU','SC',19574,165,367,NULL,NULL,NULL,NULL,2,1),(15,2263793,5.00,6.00,4.00,6.00,6.00,4.50,4.00,7.00,2.00,319,429,NULL,'CENTRO','FLORIANOPOLIS','SC',10644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,502,NULL,'SAGUACU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2263815,6.00,8.00,4.00,4.00,7.00,3.50,7.00,8.00,6.00,104,502,NULL,'CENTRO','SOBRADINHO','RS',6494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263823,4.00,8.00,8.00,7.00,8.00,6.00,6.00,7.00,4.00,214,316,212,'LIBERDADE','SAO PAULO','SP',3376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263840,3.00,8.00,3.00,9.00,6.00,5.50,5.00,7.00,3.00,316,238,NULL,'FAZENDA RIO TAVARES','FLORIANOPOLIS','SC',8631,180,876,NULL,NULL,NULL,NULL,4,1),(15,2263858,2.00,5.00,4.00,3.00,4.00,4.00,3.00,3.00,1.00,208,324,238,'AREIAS','SAO JOSE','SC',21167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263866,0.00,0.00,0.00,9.00,8.00,NULL,0.00,0.00,0.00,2,225,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(15,2263874,1.00,6.00,1.00,5.00,4.00,6.25,5.00,4.00,2.00,201,420,211,'CENTRO','MARAVILHA','SC',18169,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2263882,3.00,6.00,3.00,8.00,8.00,5.00,4.00,7.00,3.00,309,310,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',10929,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2263890,2.00,5.00,3.00,5.00,7.00,4.50,2.00,3.00,2.00,101,301,NULL,'CANTO DOS GANCHOS','GOVERNADOR CELSO RAMOS','SC',19345,244,798,NULL,NULL,NULL,NULL,2,1),(15,2263912,6.00,7.00,6.00,9.00,9.00,5.50,7.00,2.00,3.00,423,427,425,'BOM ABRIGO','FLORIANOPOLIS','SC',6216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263920,3.00,8.00,6.00,8.00,6.00,7.25,4.00,7.00,4.00,5,304,NULL,'OFICINAS','TUBARAO','SC',5968,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2263939,0.00,6.00,2.00,6.00,6.00,5.25,2.00,4.00,2.00,318,316,NULL,'KOBRASOL','SAO JOSE','SC',19068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263947,4.00,9.00,7.00,9.00,9.00,5.50,8.00,5.00,5.00,216,326,215,'CARVOEIRA','FLORIANOPOLIS','SC',2438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263955,1.00,5.00,3.00,6.00,6.00,2.00,4.00,3.00,2.00,203,316,211,'JARDIM MONCOES II','PARANAVAI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2263963,6.00,7.00,1.00,6.00,7.00,4.25,5.00,7.00,3.00,404,444,NULL,'CENTRO','FLORIANOPOLIS','SC',10112,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2263971,3.00,7.00,6.00,8.00,9.00,5.75,3.00,5.00,3.00,9,215,NULL,'ITACORUBI','FLORIANOPOLIS','SC',7561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2263980,7.00,7.00,6.00,7.00,9.00,5.75,6.00,5.00,5.00,415,NULL,NULL,'VILA PAES','VOTUPORANGA','SP',4003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2263998,4.00,7.00,8.00,3.00,8.00,5.50,4.00,7.00,6.00,207,203,NULL,'LADO DA UNIÃO','BRACO DO NORTE','SC',6456,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2264005,2.00,5.00,2.00,4.00,7.00,5.25,1.00,4.00,2.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264013,3.00,5.00,3.00,7.00,7.00,6.00,5.00,4.00,2.00,103,101,NULL,'CENTRO','CRICIUMA','SC',12763,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2264048,5.00,8.00,6.00,4.00,8.00,5.75,6.00,5.00,3.00,102,318,NULL,'CENTRO','FLORIANOPOLIS','SC',6425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2264056,2.00,4.00,3.00,4.00,5.00,4.50,3.00,3.00,2.00,207,420,215,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264064,7.00,7.00,7.00,7.00,7.00,6.50,8.00,8.00,6.00,103,203,NULL,'SANTA FELICIDADE','CURITIBA','PR',1465,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2264080,2.00,3.00,4.00,7.00,5.00,3.50,2.00,6.00,4.00,316,301,NULL,'JD BRASILIA','ARACATUBA','SP',16927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264099,4.00,4.00,2.00,5.00,6.00,6.75,2.00,4.00,1.00,425,319,NULL,'OFICINAS','TUBARAO','SC',17809,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2264102,3.00,4.00,2.00,0.00,3.00,6.50,3.00,3.00,3.00,102,108,NULL,'SILVA MELO','OLIMPIA','SP',20678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264110,4.00,3.00,3.00,2.00,5.00,5.00,1.00,2.00,3.00,333,404,NULL,'ITAGUAÇÚ','FLORIANOPOLIS','SC',21497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264129,3.00,6.00,5.00,2.00,7.00,5.75,4.00,6.00,3.00,420,102,NULL,'CORAL','LAGES','SC',11603,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2264137,3.00,6.00,4.00,7.00,5.00,4.25,0.00,4.00,2.00,208,202,201,'CENTRO','SAO JOSE','SC',16824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264145,3.00,7.00,7.00,6.00,6.00,5.25,4.00,7.00,4.00,5,303,NULL,'VALE DO ITAMARACÁ','VALINHOS','SP',7947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264161,1.00,7.00,6.00,5.00,6.00,4.75,4.00,4.00,2.00,103,5,NULL,'MARISCAL','BOMBINHAS','SC',15300,2659,1238,NULL,NULL,NULL,NULL,2,1),(15,2264170,3.00,7.00,3.00,7.00,7.00,6.75,4.00,7.00,4.00,331,424,NULL,'CENTRO','SAO JOAQUIM','SC',8296,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2264196,5.00,6.00,6.00,2.00,7.00,5.50,6.00,5.00,5.00,501,303,NULL,'FIGUEIRA','URUSSANGA','SC',8897,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2264200,5.00,6.00,6.00,2.00,4.00,5.00,4.00,5.00,3.00,217,223,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',14316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264218,3.00,7.00,5.00,6.00,5.00,7.25,3.00,6.00,1.00,429,428,425,'COQUEIROS','FLORIANOPOLIS','SC',11820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264226,5.00,8.00,5.00,10.00,8.00,NULL,0.00,0.00,0.00,207,NULL,233,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2264234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,108,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2264242,1.00,8.00,4.00,1.00,8.00,6.75,3.00,8.00,2.00,5,326,NULL,'CENTRO','TREZE TILIAS','SC',13752,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2264250,4.00,4.00,3.00,6.00,7.00,6.00,5.00,2.00,2.00,502,217,NULL,'ESTREITO','FLORIANOPOLIS','SC',15130,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2264269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,319,NULL,'VILA MOEMA','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2264277,2.00,6.00,0.00,3.00,5.00,6.00,3.00,6.00,3.00,310,329,NULL,'CAMPECHE','FLORIANOPOLIS','SC',17294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264285,3.00,9.00,6.00,9.00,9.00,6.50,7.00,9.00,5.00,215,326,211,'AGRONOMICA','FLORIANOPOLIS','SC',2466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264293,5.00,7.00,4.00,6.00,7.00,7.00,7.00,8.00,3.00,303,104,NULL,'CENTRO','CORUMBA','MS',4165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2264307,3.00,7.00,5.00,7.00,6.00,6.25,4.00,6.00,3.00,318,317,NULL,'TRINDADE','FLORIANOPOLIS','SC',9072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2264315,2.00,3.00,3.00,5.00,6.00,5.00,5.00,2.00,3.00,5,316,NULL,'HUMAITA','TUBARAO','SC',18577,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2264323,3.00,6.00,3.00,6.00,6.00,4.50,6.00,5.00,2.00,316,238,NULL,'PANTANAL','FLORIANOPOLIS','SC',11257,287,907,NULL,NULL,NULL,NULL,2,1),(15,2264331,3.00,5.00,3.00,4.00,6.00,4.00,3.00,1.00,1.00,319,104,NULL,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2264340,4.00,8.00,6.00,6.00,7.00,4.50,6.00,3.00,5.00,303,5,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264358,4.00,7.00,5.00,4.00,5.00,7.25,5.00,7.00,6.00,428,426,429,'ESTREITO','FLORIANOPOLIS','SC',9477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264366,5.00,8.00,8.00,7.00,9.00,6.00,7.00,8.00,6.00,319,310,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',1579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2264374,1.00,4.00,0.00,5.00,5.00,6.00,2.00,3.00,3.00,9,444,NULL,'CENTRO','CAMPO BELO DO SUL','SC',21219,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2264382,2.00,5.00,1.00,0.00,4.00,NULL,2.00,4.00,2.00,108,326,NULL,'SAO JOSE','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2264390,2.00,5.00,1.00,1.00,7.00,4.25,0.00,5.00,3.00,5,303,NULL,'UNIVERSITÁRIO','LAGES','SC',21790,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2264404,1.00,5.00,2.00,5.00,8.00,4.75,2.00,6.00,4.00,104,428,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',14973,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2264420,4.00,8.00,5.00,8.00,8.00,6.75,8.00,8.00,5.00,203,213,202,'CENTRO','POMERODE','SC',2062,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2264439,0.00,5.00,1.00,6.00,5.00,NULL,5.00,2.00,2.00,319,201,NULL,'IPIRANGA','RONDA ALTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2264447,3.00,7.00,1.00,4.00,4.00,5.25,1.00,5.00,2.00,301,404,NULL,'GLÓRIA','BLUMENAU','SC',18650,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2264455,4.00,7.00,7.00,5.00,7.00,5.00,7.00,6.00,6.00,207,301,NULL,'BELA VISTA','GOIANIA','GO',5461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264463,4.00,6.00,4.00,10.00,7.00,4.75,4.00,5.00,4.00,103,108,NULL,'POÇO RICO','OTACILIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2264471,4.00,6.00,3.00,5.00,4.00,2.00,8.00,4.00,2.00,103,NULL,NULL,'VILA MARIANA','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2264480,5.00,7.00,3.00,5.00,5.00,4.50,4.00,6.00,2.00,415,426,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',12241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,450,NULL,'CENTRO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2264510,3.00,5.00,5.00,7.00,6.00,6.00,3.00,6.00,2.00,224,207,NULL,'TRINDADE','FLORIANOPOLIS','SC',11849,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2264528,2.00,2.00,3.00,3.00,7.00,5.75,3.00,4.00,1.00,426,308,423,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',20281,81,433,83,NULL,NULL,NULL,2,1),(15,2264536,3.00,7.00,6.00,2.00,5.00,5.25,7.00,5.00,3.00,211,212,NULL,'SANTA ELIZA','VOTUPORANGA','SP',10311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264544,2.00,8.00,5.00,5.00,6.00,5.25,6.00,6.00,4.00,102,324,NULL,'CENTRO','URUSSANGA','SC',9892,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2264552,8.00,9.00,9.00,8.00,9.00,6.25,9.00,7.00,8.00,9,217,NULL,'NOSSA SENHORA DO ROS','SAO JOSE','SC',233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264560,4.00,7.00,4.00,7.00,5.00,5.25,5.00,6.00,2.00,103,319,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANOPOLIS','SC',10129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264579,5.00,8.00,7.00,6.00,7.00,6.50,6.00,8.00,7.00,216,217,215,'TRINDADE','FLORIANOPOLIS','SC',2144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264587,9.00,7.00,10.00,5.00,7.00,6.50,9.00,8.00,9.00,103,216,NULL,'JARDIM NASRALLA','BAURU','SP',527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264609,2.00,5.00,3.00,3.00,5.00,3.50,3.00,3.00,2.00,303,301,NULL,'BUCAREIN','JOINVILLE','SC',20725,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2264617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,450,NULL,'CENTRO','CORONEL VIVIDA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2264625,3.00,7.00,3.00,4.00,6.00,6.75,7.00,6.00,1.00,324,425,NULL,'BOM RETIRO','CACHOEIRA DO SUL','RS',13122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264633,2.00,3.00,1.00,3.00,3.00,NULL,3.00,2.00,3.00,404,333,NULL,'PONTA DE BAIXO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2264641,3.00,5.00,1.00,5.00,4.00,5.25,2.00,3.00,3.00,319,502,NULL,'CAMPECHE','FLORIANOPOLIS','SC',19966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2264650,3.00,6.00,0.00,3.00,7.00,4.75,1.00,5.00,2.00,101,215,NULL,'SENHOR BOM JESUS','CAMPOS NOVOS','SC',18828,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2264668,4.00,7.00,4.00,4.00,6.00,5.50,5.00,5.00,1.00,208,NULL,238,'BARRA DO ARIRIU','PALHOCA','SC',14423,546,NULL,530,NULL,NULL,NULL,4,1),(15,2264684,0.00,6.00,1.00,6.00,5.00,5.25,5.00,2.00,1.00,420,319,NULL,'UMUARAMA','OSASCO','SP',20617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264706,2.00,7.00,5.00,3.00,6.00,4.75,5.00,5.00,3.00,222,326,NULL,'CENTRO','SAO PEDRO DO SUL','RS',13987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264714,7.00,8.00,4.00,6.00,9.00,7.00,7.00,7.00,4.00,207,104,NULL,'COBRAS','RIO DO SUL','SC',2973,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2264722,3.00,7.00,5.00,8.00,7.00,7.25,6.00,7.00,3.00,444,326,NULL,'TRINDADE','FLORIANOPOLIS','SC',5113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264730,4.00,3.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,207,303,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2264749,3.00,4.00,6.00,1.00,6.00,4.75,3.00,3.00,2.00,220,214,213,'MORUMBI','SAO PAULO','SP',19441,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2264757,3.00,7.00,2.00,8.00,7.00,5.50,8.00,6.00,1.00,5,316,NULL,'CENTRO','TUBARAO','SC',9089,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2264773,3.00,7.00,2.00,3.00,6.00,6.25,5.00,7.00,3.00,108,327,NULL,'DAS NAÇÕES','BALNEARIO CAMBORIU','SC',12582,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2264781,5.00,5.00,5.00,6.00,7.00,6.25,6.00,7.00,4.00,303,5,NULL,'LURDES','CAXIAS DO SUL','RS',6666,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2264790,2.00,5.00,4.00,1.00,7.00,5.75,6.00,5.00,2.00,5,211,NULL,'VILA MARIANA','SAO PAULO','SP',16780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264803,0.00,5.00,1.00,1.00,4.00,NULL,1.00,2.00,2.00,304,309,NULL,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264811,4.00,5.00,2.00,6.00,7.00,7.50,5.00,6.00,2.00,203,214,NULL,'PRESIDENTE MEDICE','CHAPECO','SC',11270,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2264820,3.00,5.00,8.00,0.00,5.00,5.75,6.00,5.00,5.00,203,216,214,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2264838,3.00,5.00,2.00,6.00,7.00,4.50,3.00,2.00,3.00,425,428,427,'BELA VISTA I','SAO JOSE','SC',17203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264846,4.00,8.00,2.00,6.00,6.00,6.00,3.00,6.00,5.00,238,222,213,'IPIRANGA','SAO JOSE','SC',10077,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2264854,2.00,6.00,3.00,6.00,8.00,6.00,4.00,4.00,4.00,5,319,NULL,'COQUEIROS','FLORIANOPOLIS','SC',12163,525,750,NULL,NULL,NULL,NULL,2,1),(15,2264862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,201,NULL,'VILA ARAÇA','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2264870,1.00,6.00,3.00,5.00,5.00,4.75,4.00,1.00,4.00,104,102,NULL,'BARREIROS','SAO JOSE','SC',18125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2264889,4.00,7.00,3.00,5.00,8.00,5.00,4.00,8.00,3.00,318,5,NULL,'ROÇADO','SAO JOSE','SC',10029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264897,2.00,8.00,7.00,3.00,6.00,4.00,8.00,7.00,6.00,333,332,NULL,'ESPLANADA DO SOL','SAO JOSE DOS CAMPOS','SP',7378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264900,5.00,6.00,3.00,7.00,6.00,5.00,6.00,6.00,5.00,501,211,NULL,'LINHA LIMEIRA','XAXIM','SC',8367,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2264919,2.00,5.00,1.00,5.00,3.00,5.50,5.00,1.00,1.00,303,108,NULL,'CENTRO','AGUAS DE CHAPECO','SC',21288,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2264927,5.00,7.00,1.00,7.00,6.00,5.75,6.00,7.00,3.00,103,319,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,318,NULL,'TARUMÃ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2264943,3.00,6.00,7.00,4.00,6.00,5.50,6.00,7.00,3.00,303,319,NULL,'CENTRO','FLORIANOPOLIS','SC',7749,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2264951,2.00,3.00,2.00,1.00,5.00,NULL,1.00,4.00,3.00,9,101,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2264960,6.00,7.00,3.00,5.00,7.00,5.00,8.00,7.00,6.00,211,108,216,'PAULO DE FRONTIN','CRICIUMA','SC',5714,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2264986,8.00,7.00,8.00,8.00,9.00,9.00,7.00,7.00,7.00,211,NULL,208,'CENTRO','FLORIANOPOLIS','SC',311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265001,2.00,7.00,4.00,4.00,7.00,5.50,4.00,5.00,2.00,101,331,NULL,'PACHECO','PALHOCA','SC',14046,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2265010,3.00,5.00,7.00,1.00,8.00,6.00,6.00,7.00,4.00,318,212,NULL,'CENTRO','TAUBATE','SP',9110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265028,3.00,8.00,5.00,7.00,8.00,5.50,6.00,7.00,5.00,208,420,207,'PROGRESSO','POUSO REDONDO','SC',6007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265036,4.00,6.00,4.00,4.00,5.00,6.25,4.00,7.00,3.00,104,301,NULL,'ITACORUBI','FLORIANOPOLIS','SC',11345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265044,3.00,6.00,4.00,7.00,6.00,6.00,2.00,2.00,2.00,450,425,NULL,'BONFIM','CAMPINAS','SP',16996,172,369,NULL,NULL,NULL,NULL,4,1),(15,2265052,2.00,4.00,4.00,0.00,3.00,NULL,2.00,5.00,3.00,444,404,NULL,'JARDIM CARANDAI','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2265060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,104,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2265079,5.00,7.00,5.00,6.00,8.00,5.50,6.00,6.00,6.00,301,316,NULL,'CENTRO','SAO FRANCISCO DO SUL','SC',4680,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2265087,7.00,9.00,5.00,6.00,8.00,6.00,8.00,7.00,6.00,103,104,NULL,'CENTRO','ARMAZEM','SC',1786,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2265109,1.00,3.00,1.00,6.00,6.00,NULL,1.00,2.00,2.00,101,302,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2265117,5.00,8.00,5.00,8.00,9.00,5.00,3.00,5.00,2.00,429,501,NULL,'PANTANAL','FLORIANOPOLIS','SC',7917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265125,2.00,5.00,4.00,7.00,6.00,5.75,3.00,6.00,4.00,304,318,NULL,'PALU','SAO PEDRO','SP',13364,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2265133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,5,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2265150,1.00,5.00,3.00,2.00,4.00,4.00,5.00,5.00,2.00,301,302,NULL,'CENTRO','URUSSANGA','SC',20593,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2265168,6.00,9.00,6.00,7.00,6.00,6.00,7.00,9.00,6.00,303,310,NULL,'REAL PARQUE','SAO PAULO','SP',1637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,318,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2265184,3.00,4.00,1.00,0.00,4.00,NULL,1.00,3.00,3.00,333,5,NULL,'CENTRO','SAO JOAO DO ITAPERIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2265192,3.00,8.00,7.00,5.00,6.00,5.75,8.00,5.00,5.00,203,234,238,'ESTREITO','FLORIANOPOLIS','SC',6301,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2265214,5.00,6.00,9.00,9.00,6.00,6.00,8.00,5.00,4.00,203,201,233,'SAGUAÇU','JOINVILLE','SC',3826,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2265222,7.00,8.00,3.00,8.00,6.00,7.00,7.00,6.00,5.00,214,220,203,'ASSUNÇÃO','SAO BERNARDO DO CAMPO','SP',4580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265230,2.00,7.00,1.00,6.00,4.00,4.50,2.00,4.00,3.00,215,501,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2265249,2.00,2.00,7.00,4.00,5.00,4.00,5.00,4.00,3.00,202,318,220,'BARREIROS','SAO JOSE','SC',18561,630,499,562,NULL,NULL,NULL,2,1),(15,2265257,6.00,7.00,5.00,7.00,4.00,5.00,5.00,7.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',7685,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2265265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,415,NULL,'COLINA DA CASCATA','FLOR DA SERRA DO SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2265273,2.00,5.00,2.00,7.00,5.00,4.25,4.00,2.00,2.00,5,339,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20563,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2265281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2265290,1.00,3.00,4.00,4.00,6.00,NULL,0.00,0.00,0.00,420,301,NULL,'BALNEARIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2265303,4.00,3.00,3.00,5.00,6.00,6.75,6.00,4.00,2.00,429,324,427,'CENTRO','FLORIANOPOLIS','SC',15304,93,249,38,NULL,NULL,NULL,2,1),(15,2265311,2.00,2.00,0.00,1.00,4.00,NULL,3.00,1.00,1.00,444,404,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265320,3.00,8.00,1.00,1.00,6.00,5.75,3.00,5.00,2.00,310,327,NULL,'TATUAPÉ','SAO PAULO','SP',17701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,304,NULL,'BOM JESUS','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2265354,4.00,5.00,3.00,2.00,5.00,3.50,4.00,4.00,3.00,203,202,214,'JARDIN DALLAS','PALOTINA','PR',18841,1093,941,548,NULL,NULL,NULL,4,1),(15,2265362,3.00,8.00,1.00,5.00,4.00,3.75,2.00,6.00,1.00,450,208,NULL,'JARDIM ENSEADA','GUARUJA','SP',18348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265370,3.00,6.00,2.00,4.00,6.00,5.50,3.00,5.00,2.00,217,425,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',17546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265389,2.00,3.00,4.00,5.00,4.00,5.00,6.00,3.00,2.00,5,224,NULL,'SÃO LUIZ','CRICIUMA','SC',18426,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2265397,2.00,8.00,4.00,8.00,7.00,5.75,5.00,5.00,3.00,415,420,NULL,'SANTA LUZIA','UBA','MG',9202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265400,4.00,6.00,3.00,2.00,5.00,5.00,6.00,4.00,3.00,217,421,NULL,'BARREIROS','SAO JOSE','SC',15184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265419,1.00,6.00,2.00,0.00,6.00,4.75,3.00,4.00,2.00,317,224,NULL,'ARIRIU','PALHOCA','SC',20947,390,297,NULL,NULL,NULL,NULL,4,1),(15,2265427,1.00,4.00,1.00,7.00,3.00,5.00,2.00,3.00,1.00,103,101,NULL,'SCHROEDER TRES','SCHROEDER','SC',22285,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2265435,2.00,6.00,0.00,5.00,7.00,5.00,1.00,5.00,2.00,102,9,NULL,'CENTRO','JARAGUA DO SUL','SC',19176,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2265443,5.00,6.00,6.00,4.00,6.00,5.25,7.00,5.00,4.00,303,324,NULL,'CENTRO','FLORIANOPOLIS','SC',9126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265451,4.00,4.00,2.00,1.00,5.00,5.25,4.00,3.00,3.00,211,308,238,'BARREIROS','SAO JOSE','SC',19014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265460,1.00,5.00,3.00,6.00,4.00,5.50,3.00,7.00,2.00,404,451,NULL,'CRUZEIRO','CAXIAS DO SUL','RS',17400,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2265486,5.00,7.00,6.00,5.00,6.00,5.00,3.00,5.00,3.00,103,333,NULL,'JARDINS','ARACAJU','SE',9804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265494,1.00,8.00,5.00,6.00,7.00,5.50,8.00,6.00,4.00,451,108,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2265508,3.00,7.00,6.00,8.00,4.00,6.00,4.00,5.00,4.00,238,301,208,'CENTRAL PARK','PRESIDENTE PRUDENTE','SP',9815,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2265516,0.00,3.00,0.00,1.00,3.00,NULL,2.00,3.00,3.00,444,331,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265524,2.00,6.00,1.00,4.00,4.00,3.00,4.00,6.00,3.00,415,316,NULL,'JARDIM PAULISTA','PARANAVAI','PR',19365,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2265532,2.00,6.00,1.00,1.00,5.00,5.00,4.00,3.00,1.00,238,220,208,'VENDAVAL','BIGUACU','SC',21089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265540,2.00,5.00,1.00,6.00,4.00,4.00,3.00,2.00,3.00,317,208,NULL,'BARREIROS','SAO JOSE','SC',21704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265559,1.00,3.00,2.00,5.00,6.00,3.00,2.00,2.00,1.00,303,301,NULL,'JARDIM SÃO NICOLAU','BIGUACU','SC',22425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2265591,5.00,4.00,6.00,6.00,7.00,5.75,6.00,6.00,4.00,316,444,NULL,'BARREIROS','SAO JOSE','SC',8526,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2265605,6.00,6.00,8.00,9.00,9.00,9.25,7.00,6.00,6.00,201,303,NULL,'AMERICA','JOINVILLE','SC',1019,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2265613,6.00,7.00,3.00,5.00,6.00,6.75,6.00,8.00,5.00,103,101,NULL,'SANTA ODILA','CAMPINAS','SP',5019,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2265621,3.00,6.00,4.00,7.00,6.00,4.50,7.00,5.00,2.00,225,222,NULL,'ESTREITO','FLORIANOPOLIS','SC',10428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2265630,1.00,5.00,1.00,1.00,6.00,4.25,3.00,3.00,4.00,102,332,NULL,'CENTRO','VIDAL RAMOS','SC',21682,502,325,NULL,NULL,NULL,NULL,2,2),(15,2265648,6.00,7.00,5.00,6.00,8.00,7.25,4.00,8.00,5.00,203,420,214,'SÃO PEDRO','BRUSQUE','SC',3646,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2265656,2.00,7.00,2.00,4.00,6.00,3.00,1.00,2.00,3.00,319,308,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',20898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2265664,6.00,7.00,7.00,6.00,8.00,6.25,7.00,7.00,6.00,9,302,NULL,'UNIVERSITARIO','TIJUCAS','SC',2287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2265680,7.00,9.00,7.00,6.00,7.00,4.25,7.00,7.00,6.00,104,102,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',2540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,420,NULL,'SAO PEDRO','BOA VISTA','RR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2265702,4.00,7.00,6.00,1.00,3.00,5.25,3.00,2.00,1.00,333,331,NULL,'MEIA PRAIA','ITAPEMA','SC',18915,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2265710,2.00,7.00,7.00,6.00,7.00,6.50,3.00,3.00,3.00,303,211,NULL,'OFICINAS','TUBARAO','SC',9943,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2265729,1.00,5.00,1.00,3.00,5.00,5.75,3.00,7.00,1.00,319,332,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',18913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265745,5.00,7.00,4.00,7.00,6.00,5.00,6.00,7.00,3.00,220,316,201,'CENTRO','ITAJAI','SC',7774,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2265753,3.00,6.00,4.00,5.00,7.00,5.75,7.00,6.00,4.00,201,213,214,'CAMPINAS','SAO JOSE','SC',9510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2265761,4.00,6.00,4.00,3.00,7.00,4.50,4.00,6.00,5.00,203,316,NULL,'CRUZEIRO DO SUL','JOACABA','SC',13172,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2265770,0.00,3.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,329,320,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2265788,5.00,6.00,6.00,4.00,5.00,6.25,5.00,4.00,4.00,103,201,NULL,'CENTRO','MANOEL RIBAS','PR',9703,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2265796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,220,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2265800,7.00,8.00,9.00,8.00,9.00,4.75,7.00,7.00,7.00,103,102,NULL,'CENTRO','FLORIANOPOLIS','SC',777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265826,0.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,216,2,211,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(15,2265842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,328,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2265850,5.00,5.00,2.00,7.00,4.00,4.50,2.00,4.00,2.00,316,103,NULL,'QUARTA LINHA','CRICIUMA','SC',18296,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2265869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MIRANDÓPOLIS','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2265877,2.00,4.00,0.00,4.00,5.00,6.25,5.00,3.00,2.00,103,329,NULL,'CENTRO','FLORIANOPOLIS','SC',20789,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2265885,0.00,6.00,6.00,2.00,2.00,NULL,4.00,7.00,3.00,304,318,NULL,'SETE DE SETEMBRO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2265893,2.00,8.00,2.00,3.00,5.00,3.75,5.00,7.00,2.00,207,2,201,'CENTRO','FLORIANOPOLIS','SC',14793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265923,4.00,9.00,9.00,9.00,7.00,5.75,8.00,9.00,4.00,317,316,NULL,'CENTRO','FLORIANOPOLIS','SC',2068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265931,3.00,3.00,0.00,3.00,5.00,NULL,1.00,2.00,2.00,103,104,NULL,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2265958,6.00,7.00,9.00,5.00,9.00,5.75,8.00,4.00,8.00,214,220,203,'CENTRO','OLIMPIA','SP',2863,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2265966,2.00,5.00,2.00,0.00,3.00,NULL,1.00,2.00,3.00,444,207,NULL,'VALE DA BENÇÃO','ARACARIGUAMA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2265974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,108,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2265982,2.00,4.00,3.00,5.00,4.00,NULL,1.00,2.00,0.00,333,9,NULL,'CENTRO','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2265990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'INTERIOR','BOA VISTA DA APARECIDA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2266008,1.00,7.00,2.00,6.00,6.00,5.00,4.00,5.00,4.00,101,108,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',15256,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266016,2.00,7.00,3.00,2.00,4.00,5.25,3.00,3.00,4.00,104,444,NULL,'CENTRO','POUSO ALEGRE','MG',17538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266032,2.00,6.00,4.00,7.00,7.00,6.25,3.00,5.00,1.00,319,308,NULL,'BALNEÁRIO DANIELA','FLORIANOPOLIS','SC',13260,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266040,4.00,3.00,2.00,1.00,3.00,5.50,3.00,4.00,2.00,301,331,NULL,'BALNEARIO ESTREITO','FLORIANOPOLIS','SC',21994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266059,4.00,8.00,7.00,6.00,8.00,5.50,7.00,9.00,3.00,201,223,212,'CAMPECHE','FLORIANOPOLIS','SC',4308,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2266067,3.00,7.00,5.00,6.00,6.00,5.50,5.00,6.00,2.00,203,225,214,'JARDIM MARISTELA','CRICIUMA','SC',10642,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266083,4.00,6.00,4.00,1.00,4.00,4.75,5.00,3.00,2.00,201,203,202,'CENTRO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266091,6.00,7.00,6.00,7.00,6.00,6.75,6.00,5.00,4.00,108,502,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',4244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266105,3.00,5.00,3.00,4.00,6.00,5.75,2.00,5.00,3.00,327,329,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',15707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266113,5.00,7.00,5.00,7.00,7.00,6.00,7.00,7.00,3.00,317,327,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',5618,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266121,4.00,8.00,7.00,3.00,8.00,5.25,7.00,8.00,6.00,103,333,NULL,'CENTRO','FLORIANOPOLIS','SC',3933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266130,6.00,8.00,7.00,9.00,9.00,6.50,6.00,5.00,5.00,317,238,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',2011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266148,2.00,5.00,3.00,7.00,4.00,5.25,4.00,4.00,4.00,317,423,NULL,'CENTRO','FLORIANOPOLIS','SC',16119,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266156,0.00,2.00,3.00,4.00,6.00,NULL,3.00,3.00,2.00,317,426,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266164,3.00,6.00,6.00,5.00,6.00,7.00,5.00,6.00,2.00,303,222,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',10506,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266172,4.00,6.00,3.00,6.00,8.00,5.75,7.00,7.00,4.00,238,212,214,'ESTREITO','FLORIANOPOLIS','SC',6596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266180,5.00,7.00,6.00,7.00,8.00,7.50,6.00,5.00,3.00,318,224,NULL,'CENTRO','FLORIANOPOLIS','SC',4340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266199,2.00,5.00,2.00,5.00,6.00,6.50,4.00,6.00,2.00,327,424,NULL,'RATONES','FLORIANOPOLIS','SC',14343,84,205,NULL,NULL,NULL,NULL,2,1),(15,2266202,5.00,6.00,2.00,7.00,5.00,5.25,3.00,4.00,5.00,103,102,NULL,'CENTRO','ANGELINA','SC',12962,2444,899,NULL,NULL,NULL,NULL,2,1),(15,2266210,4.00,6.00,1.00,5.00,7.00,6.25,4.00,7.00,3.00,428,308,426,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',11111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266229,3.00,5.00,4.00,6.00,7.00,5.50,3.00,6.00,4.00,319,301,NULL,'COROADO','TIJUCAS','SC',12590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266237,3.00,7.00,6.00,7.00,6.00,5.75,7.00,6.00,4.00,103,104,NULL,'CENTRO','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266245,3.00,6.00,7.00,2.00,6.00,6.50,6.00,4.00,2.00,103,101,NULL,'SÃO FRANCISCO','CAMPO GRANDE','MS',11049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266261,5.00,8.00,3.00,5.00,8.00,5.00,3.00,6.00,3.00,214,213,233,'CENTRO','CURITIBA','PR',9313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266270,0.00,3.00,2.00,2.00,3.00,NULL,2.00,1.00,1.00,103,211,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266288,4.00,5.00,1.00,2.00,5.00,4.75,4.00,7.00,1.00,104,319,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266300,2.00,6.00,3.00,5.00,6.00,5.75,5.00,5.00,3.00,103,101,NULL,'SÃO CRISTOVÃO','CRICIUMA','SC',14114,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2266318,0.00,4.00,3.00,2.00,1.00,NULL,1.00,2.00,1.00,316,404,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266326,3.00,6.00,2.00,8.00,7.00,5.50,5.00,5.00,7.00,103,9,NULL,'FIGUEIRA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(15,2266334,6.00,7.00,5.00,1.00,5.00,5.25,6.00,6.00,4.00,103,NULL,NULL,'VILA CASA NOVA','SOROCABA','SP',10786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266342,0.00,3.00,3.00,3.00,1.00,NULL,4.00,2.00,1.00,333,211,NULL,'JARDIM COSTA VERDE','VARZEA GRANDE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266369,4.00,6.00,2.00,7.00,7.00,7.00,6.00,6.00,1.00,450,451,NULL,'JARDIM BOA VISTA','SAO PAULO','SP',9325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266385,1.00,2.00,2.00,3.00,4.00,5.75,5.00,4.00,1.00,103,101,NULL,'JARDIM TREMEMBÉ','SAO PAULO','SP',21081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266407,1.00,4.00,4.00,4.00,5.00,6.00,3.00,2.00,4.00,316,339,NULL,'SERRARIA','SAO JOSE','SC',19570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,234,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2266423,1.00,3.00,5.00,0.00,6.00,NULL,2.00,0.00,2.00,214,318,203,'CENTRO','BALNEARIO ARROIO DO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2266431,3.00,6.00,3.00,6.00,7.00,6.50,5.00,7.00,4.00,429,450,NULL,'VILA INDEPENDÊNCIA','PIRACICABA','SP',9445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266440,4.00,5.00,4.00,6.00,5.00,4.50,4.00,7.00,2.00,303,5,NULL,'SUMARÉ','RIO DO SUL','SC',14554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266458,1.00,5.00,1.00,2.00,4.00,NULL,3.00,3.00,1.00,103,415,NULL,'SANTA TEREZA','SAO PEDRO DE ALCANTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266466,2.00,5.00,3.00,3.00,5.00,3.75,2.00,4.00,4.00,208,301,NULL,'CENTRO','CASCAVEL','PR',20412,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2266474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2266482,0.00,7.00,1.00,1.00,4.00,NULL,0.00,2.00,1.00,444,324,NULL,'ARMAÇAO','ITAPEVI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266490,3.00,5.00,2.00,5.00,4.00,7.00,3.00,4.00,0.00,450,328,NULL,'KOBRASOL','SAO JOSE','SC',19158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266504,1.00,4.00,2.00,4.00,3.00,6.25,3.00,2.00,3.00,308,319,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2266512,7.00,5.00,5.00,9.00,9.00,7.00,5.00,5.00,3.00,5,316,NULL,'CENTRO','FLORIANOPOLIS','SC',4056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266520,3.00,6.00,5.00,5.00,8.00,6.25,5.00,3.00,3.00,207,420,216,'CENTRO','BRUSQUE','SC',10819,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2266539,4.00,4.00,2.00,6.00,6.00,4.00,4.00,3.00,3.00,238,501,215,'INGLESES','FLORIANOPOLIS','SC',17396,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266547,1.00,6.00,2.00,3.00,6.00,6.00,6.00,4.00,1.00,238,225,213,'CAPOEIRAS','FLORIANOPOLIS','SC',17111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266555,3.00,6.00,1.00,5.00,3.00,5.25,1.00,2.00,3.00,310,320,NULL,'CENTRO','CRICIUMA','SC',21123,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2266563,6.00,7.00,6.00,8.00,8.00,6.50,6.00,7.00,5.00,104,316,NULL,'CENTRO','FLORIANOPOLIS','SC',3261,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266571,5.00,8.00,8.00,8.00,9.00,6.25,7.00,7.00,7.00,415,426,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',1686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266580,1.00,5.00,0.00,1.00,4.00,NULL,3.00,2.00,2.00,211,309,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2266598,5.00,8.00,9.00,6.00,7.00,6.75,7.00,6.00,6.00,203,220,214,'AZAMBUJA','BRUSQUE','SC',2206,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2266601,7.00,7.00,4.00,6.00,8.00,6.50,7.00,5.00,4.00,451,327,NULL,'SERRINHA','FLORIANOPOLIS','SC',6069,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266610,3.00,6.00,4.00,6.00,7.00,5.25,4.00,4.00,4.00,101,308,NULL,'TRINDADE','FLORIANOPOLIS','SC',13387,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266628,3.00,4.00,4.00,6.00,8.00,6.00,6.00,4.00,2.00,104,9,NULL,'VILA MOEMA','TUBARAO','SC',11532,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2266636,1.00,3.00,1.00,0.00,3.00,NULL,2.00,2.00,3.00,201,302,203,'BARRACÃO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266644,5.00,7.00,6.00,8.00,8.00,5.00,7.00,7.00,5.00,214,211,233,'DIVINÉIA','ARARANGUA','SC',4110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,415,NULL,'CENTRO','SANTA BARBARA D OESTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2266660,2.00,6.00,4.00,5.00,5.00,7.00,6.00,7.00,6.00,302,217,NULL,'CENTRO','RIO DOS CEDROS','SC',9536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266679,3.00,7.00,3.00,4.00,5.00,6.50,4.00,6.00,5.00,450,451,NULL,'CENTRO','PASSO FUNDO','RS',11843,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2266687,3.00,7.00,5.00,6.00,9.00,8.00,7.00,5.00,4.00,103,333,NULL,'VELHA','BLUMENAU','SC',5363,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2266709,4.00,7.00,2.00,5.00,5.00,5.50,4.00,4.00,4.00,332,331,NULL,'CENTRO','AGUA DOCE','SC',13699,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2266717,2.00,5.00,1.00,0.00,3.00,3.75,3.00,4.00,3.00,303,NULL,NULL,'FIAO','SAO LEOPOLDO','RS',22308,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266733,2.00,6.00,1.00,6.00,7.00,6.50,3.00,4.00,2.00,415,450,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266741,6.00,6.00,5.00,8.00,6.00,4.75,3.00,4.00,4.00,301,316,NULL,'CENTRO','FLORIANOPOLIS','SC',8373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266750,0.00,7.00,4.00,6.00,6.00,7.00,5.00,4.00,3.00,316,NULL,NULL,'CAMPINAS','SAO JOSE','SC',14015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266768,3.00,7.00,3.00,7.00,6.00,4.75,4.00,7.00,3.00,202,220,213,'CENTRO','RIO NEGRINHO','SC',10598,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2266776,2.00,5.00,2.00,5.00,6.00,6.75,3.00,5.00,2.00,328,329,NULL,'KOBRASOL','SAO JOSE','SC',17982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266784,5.00,6.00,4.00,6.00,5.00,6.25,6.00,6.00,4.00,450,326,NULL,'TERRAS DE PIRACICABA','PIRACICABA','SP',8705,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2266792,0.00,0.00,0.00,2.00,6.00,NULL,0.00,0.00,0.00,426,425,428,'POÇO FUNDO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(15,2266814,6.00,7.00,3.00,6.00,5.00,5.00,3.00,5.00,3.00,108,234,NULL,'COQUEIROS','FLORIANOPOLIS','SC',10620,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266822,6.00,6.00,4.00,2.00,5.00,4.50,6.00,6.00,2.00,201,101,211,'SETOR BUENO','GOIANIA','GO',12841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266830,2.00,1.00,0.00,4.00,2.00,NULL,2.00,3.00,0.00,238,317,213,'CALDAS DA IMPERATRIZ','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266849,1.00,2.00,3.00,6.00,4.00,NULL,1.00,2.00,1.00,316,303,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2266857,8.00,6.00,6.00,5.00,8.00,6.25,7.00,6.00,7.00,103,301,NULL,'CENTRO','CURITIBA','PR',2504,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2266865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,425,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2266873,1.00,8.00,4.00,7.00,7.00,4.50,6.00,6.00,4.00,301,304,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',10018,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266881,4.00,8.00,5.00,4.00,6.00,4.00,6.00,6.00,3.00,301,NULL,NULL,'CENTRO','SANTA MARIA','RS',9521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266890,1.00,2.00,4.00,3.00,5.00,5.50,3.00,2.00,5.00,308,316,NULL,'CAMPINAS','SAO JOSE','SC',20067,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266903,5.00,8.00,4.00,5.00,4.00,5.00,3.00,4.00,3.00,103,101,NULL,'BONANÇA','CAMPO GRANDE','MS',12965,2445,586,NULL,NULL,NULL,NULL,2,8),(15,2266911,3.00,5.00,4.00,1.00,3.00,5.75,3.00,1.00,5.00,207,212,201,'FAZENDA STO ANTONIO','SAO JOSE','SC',20933,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266946,4.00,6.00,5.00,6.00,7.00,3.50,6.00,7.00,3.00,207,101,201,'SETOR BUENO','GOIANIA','GO',8423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266954,3.00,7.00,8.00,0.00,8.00,NULL,5.00,6.00,4.00,2,222,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2266962,2.00,4.00,4.00,5.00,4.00,6.25,3.00,3.00,2.00,332,327,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',19341,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2266970,1.00,4.00,3.00,4.00,8.00,6.50,6.00,3.00,4.00,212,304,233,'CENTRO','MORRO DA FUMACA','SC',14572,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2266989,4.00,8.00,1.00,3.00,7.00,5.50,4.00,7.00,3.00,501,211,NULL,'PANTANO DO SUL','FLORIANOPOLIS','SC',13510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2266997,2.00,6.00,3.00,3.00,3.00,5.25,2.00,5.00,2.00,318,213,NULL,'AREIAS','SAO JOSE','SC',20430,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2267004,0.00,6.00,3.00,3.00,6.00,5.75,3.00,4.00,2.00,220,333,238,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',19156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267012,6.00,6.00,9.00,9.00,7.00,5.75,6.00,7.00,5.00,202,222,215,'TRINDADE','FLORIANOPOLIS','SC',2807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267020,4.00,7.00,5.00,6.00,6.00,5.75,4.00,5.00,3.00,104,5,NULL,'CAMPECHE','FLORIANOPOLIS','SC',9699,315,1129,NULL,NULL,NULL,NULL,2,1),(15,2267039,4.00,6.00,2.00,5.00,3.00,4.75,5.00,4.00,2.00,5,333,NULL,'VILA MOEMA','TUBARAO','SC',17587,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2267047,7.00,7.00,8.00,6.00,9.00,5.75,8.00,7.00,7.00,103,104,NULL,'CENTRO','ITAJAI','SC',1997,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2267055,1.00,7.00,2.00,9.00,7.00,3.50,4.00,7.00,3.00,303,5,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',13621,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2267063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,216,NULL,'JARAGUÁ ESQUERDO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2267071,4.00,7.00,6.00,6.00,6.00,4.00,7.00,8.00,3.00,420,201,NULL,'ASA NORTE','BRASILIA','DF',8052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267080,3.00,6.00,3.00,6.00,8.00,4.25,4.00,2.00,3.00,101,102,NULL,'CENTRO','FLORIANOPOLIS','SC',14680,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2267098,7.00,7.00,6.00,7.00,8.00,9.00,6.00,6.00,5.00,420,201,NULL,'CENTRO','GOIANIA','GO',2773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'FORMOSINHA','FORMOSA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2267110,3.00,3.00,2.00,3.00,4.00,5.25,4.00,2.00,3.00,339,429,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',20867,137,301,NULL,NULL,NULL,NULL,4,1),(15,2267128,7.00,5.00,5.00,4.00,8.00,5.25,4.00,6.00,3.00,502,427,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',9245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,213,214,'PITUBA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2267144,3.00,7.00,6.00,4.00,7.00,5.00,8.00,6.00,5.00,5,224,NULL,'TRINDADE','FLORIANOPOLIS','SC',6612,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2267152,2.00,2.00,1.00,5.00,5.00,4.75,4.00,2.00,2.00,302,301,NULL,'CENTRO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267160,3.00,7.00,7.00,3.00,7.00,4.25,7.00,5.00,3.00,216,212,201,'EMBARÉ','SANTOS','SP',9870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267187,6.00,8.00,5.00,6.00,8.00,6.00,6.00,7.00,3.00,103,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',5083,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2267195,1.00,4.00,2.00,4.00,5.00,5.75,2.00,5.00,2.00,5,102,NULL,'QUILOMBO','CUIABA','MT',21179,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2267209,3.00,7.00,3.00,4.00,7.00,6.00,3.00,3.00,2.00,207,302,233,'SUDOESTE','CRUZEIRO','DF',15989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267233,5.00,8.00,7.00,8.00,8.00,4.75,8.00,8.00,7.00,207,420,201,'CENTRO','GOIANIA','GO',1330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267241,1.00,7.00,1.00,2.00,4.00,3.25,1.00,2.00,4.00,502,NULL,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267250,2.00,3.00,1.00,0.00,5.00,NULL,2.00,6.00,1.00,101,103,NULL,'SAO LUIS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2267276,3.00,6.00,1.00,2.00,0.00,NULL,6.00,3.00,1.00,211,332,220,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267292,6.00,8.00,8.00,6.00,8.00,6.50,8.00,6.00,7.00,233,444,211,'PROSPERA','CRICIUMA','SC',1160,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2267314,4.00,6.00,1.00,1.00,8.00,3.75,5.00,3.00,1.00,404,201,NULL,'TRINDADE','FLORIANOPOLIS','SC',18887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267330,3.00,5.00,3.00,4.00,6.00,5.75,4.00,4.00,4.00,215,420,216,'CENTRO','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2267349,2.00,7.00,2.00,2.00,7.00,5.75,3.00,7.00,3.00,327,326,NULL,'CARIANOS','FLORIANOPOLIS','SC',14400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267357,4.00,6.00,3.00,6.00,6.00,7.00,3.00,5.00,4.00,104,NULL,NULL,'COHAB FRAGATA','PELOTAS','RS',11959,388,NULL,NULL,NULL,NULL,NULL,2,10),(15,2267365,5.00,6.00,7.00,5.00,4.00,6.00,7.00,7.00,3.00,301,208,NULL,'AGUAS CLARAS','TAGUATINGA','DF',7325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267381,1.00,4.00,3.00,0.00,3.00,NULL,4.00,2.00,2.00,104,234,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,309,NULL,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2267403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,103,NULL,'CENTRO','BIGUACU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2267420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,450,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2267438,7.00,8.00,6.00,3.00,7.00,5.25,6.00,5.00,3.00,104,217,NULL,'LOT NOVA ORLEANS','ORLEANS','SC',8323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267446,3.00,5.00,4.00,5.00,7.00,4.75,5.00,7.00,4.00,317,404,NULL,'ARIRIU','PALHOCA','SC',11399,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2267454,1.00,6.00,2.00,5.00,6.00,4.75,4.00,3.00,3.00,501,304,NULL,'NAÇÕES','FRAIBURGO','SC',17946,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2267462,3.00,5.00,6.00,1.00,3.00,4.75,5.00,2.00,1.00,220,NULL,NULL,'SORGATTO','CACADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267470,4.00,7.00,4.00,7.00,8.00,5.00,6.00,8.00,5.00,404,428,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',5554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267489,4.00,8.00,5.00,8.00,8.00,7.50,5.00,4.00,3.00,207,9,201,'CENTRO','LAGES','SC',6143,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2267497,2.00,4.00,2.00,1.00,7.00,5.50,2.00,3.00,3.00,444,333,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',20840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267500,1.00,6.00,4.00,4.00,5.00,5.50,3.00,5.00,2.00,316,301,NULL,'SÃO FRANCISCO','SANTO AMARO DA IMPERATRIZ','SC',18029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2267519,2.00,4.00,0.00,3.00,5.00,NULL,2.00,2.00,2.00,339,424,NULL,'SANTA LUZIA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2267527,2.00,5.00,2.00,6.00,5.00,4.00,3.00,2.00,2.00,5,339,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20822,858,416,NULL,NULL,NULL,NULL,2,1),(15,2267535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,103,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2267543,4.00,4.00,5.00,5.00,5.00,4.00,3.00,5.00,2.00,208,238,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',16130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CARÁ CARÁ','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2267560,4.00,3.00,3.00,0.00,5.00,3.75,5.00,6.00,2.00,203,201,207,'CAPOEIRAS','FLORIANOPOLIS','SC',20299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267578,4.00,6.00,3.00,5.00,8.00,5.50,4.00,3.00,3.00,220,238,NULL,'ENCRUZILHADA','BIGUACU','SC',12564,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2267586,2.00,5.00,4.00,2.00,8.00,5.50,5.00,5.00,3.00,108,339,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',15358,340,285,NULL,NULL,NULL,NULL,4,3),(15,2267594,3.00,8.00,2.00,2.00,4.00,5.00,6.00,8.00,4.00,234,444,NULL,'ASSUNÇAO','SAO BERNARDO DO CAMPO','SP',13707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267608,2.00,8.00,1.00,5.00,8.00,5.50,4.00,4.00,2.00,420,207,NULL,'ABRAÃO','FLORIANOPOLIS','SC',14566,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2267616,1.00,5.00,3.00,3.00,4.00,NULL,2.00,4.00,0.00,103,102,NULL,'ABRAÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267624,4.00,6.00,1.00,2.00,5.00,5.00,4.00,4.00,4.00,316,502,NULL,'BARREIROS','SAO JOSE','SC',18102,526,300,NULL,NULL,NULL,NULL,4,1),(15,2267632,4.00,6.00,5.00,8.00,7.00,6.25,5.00,5.00,2.00,404,308,NULL,'INGLESES','FLORIANOPOLIS','SC',9041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2267640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,302,NULL,'JARDIM BOA ESPERANÇA','ARARAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2267659,4.00,5.00,0.00,6.00,4.00,3.50,5.00,5.00,4.00,238,326,208,'ARIRIÚ','PALHOCA','SC',15205,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2267667,4.00,6.00,4.00,9.00,6.00,5.50,4.00,6.00,3.00,502,333,NULL,'TRISTEZA','PORTO ALEGRE','RS',8928,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2267675,2.00,3.00,0.00,3.00,6.00,NULL,2.00,4.00,2.00,102,101,NULL,'GANCHOS DO MEIO','GOVERNADOR CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2267683,3.00,6.00,6.00,5.00,8.00,5.50,5.00,4.00,3.00,201,304,212,'MAR GROSSO','LAGUNA','SC',9387,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2267691,3.00,5.00,5.00,2.00,6.00,3.00,5.00,3.00,4.00,317,302,NULL,'PATRONATO','SANTA MARIA','RS',18361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267721,2.00,7.00,1.00,5.00,7.00,3.75,3.00,6.00,2.00,324,332,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',17204,55,NULL,NULL,NULL,NULL,NULL,2,1),(15,2267730,2.00,5.00,1.00,4.00,9.00,6.50,3.00,3.00,2.00,104,425,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',17302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,427,NULL,'CENTRO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2267756,1.00,6.00,3.00,2.00,5.00,5.25,3.00,2.00,1.00,428,427,424,'POÇO FUNDO','SANTO AMARO DA IMPERATRIZ','SC',21997,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2267764,2.00,3.00,1.00,2.00,6.00,NULL,0.00,2.00,2.00,103,101,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2267780,6.00,6.00,6.00,9.00,9.00,7.50,5.00,4.00,3.00,301,202,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267802,4.00,4.00,3.00,8.00,7.00,5.50,5.00,4.00,2.00,103,108,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2267810,4.00,8.00,6.00,7.00,6.00,5.50,5.00,7.00,3.00,201,317,212,'CENTRO','NOVA TRENTO','SC',7047,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2267829,5.00,6.00,6.00,8.00,6.00,6.00,4.00,4.00,4.00,220,103,203,'CACHOEIRA DO B J','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267837,1.00,6.00,2.00,2.00,5.00,4.75,4.00,4.00,2.00,216,217,207,'KOBRASOL','SAO JOSE','SC',19922,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2267845,3.00,5.00,4.00,6.00,4.00,6.00,4.00,3.00,3.00,104,102,NULL,'COMARCIÁRIO','CRICIUMA','SC',16702,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2267853,0.00,0.00,0.00,8.00,7.00,NULL,0.00,0.00,0.00,5,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2267861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,108,NULL,'CENTRO','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2267888,6.00,6.00,6.00,2.00,8.00,5.50,7.00,7.00,7.00,319,103,NULL,'NOSSA SRA APARECIDA','FRANCISCO BELTRAO','PR',5734,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2267896,3.00,9.00,4.00,8.00,5.00,5.25,5.00,7.00,1.00,332,331,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',9101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267900,1.00,0.00,0.00,2.00,1.00,NULL,2.00,4.00,3.00,101,339,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2267918,1.00,6.00,3.00,8.00,7.00,5.50,5.00,5.00,5.00,420,320,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',8933,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2267926,3.00,8.00,6.00,7.00,9.00,6.00,8.00,6.00,5.00,103,201,NULL,'CENTRO','LAGUNA','SC',3422,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2267934,5.00,7.00,5.00,8.00,8.00,4.75,8.00,7.00,4.00,211,224,212,'CENTRO','PALHOCA','SC',3863,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2267950,4.00,6.00,5.00,7.00,7.00,6.00,2.00,4.00,3.00,303,451,NULL,'VILA LENZI','JARAGUA DO SUL','SC',10206,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2267969,3.00,6.00,0.00,6.00,5.00,5.00,3.00,4.00,2.00,201,427,212,'RIBEIRÃO DE CANGUERI','IMARUI','SC',18494,982,203,375,NULL,NULL,NULL,2,1),(15,2267985,3.00,8.00,4.00,4.00,5.00,3.50,8.00,6.00,6.00,5,316,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',9753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2267993,7.00,4.00,4.00,5.00,4.00,4.50,5.00,2.00,2.00,215,102,233,'CENTRO','PALOTINA','PR',15718,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2268000,6.00,8.00,7.00,8.00,6.00,6.75,8.00,7.00,6.00,211,304,212,'CENTRO','ERECHIM','RS',1659,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2268019,4.00,6.00,6.00,2.00,7.00,4.00,7.00,4.00,5.00,201,211,213,'COSTEIRA','FLORIANOPOLIS','SC',9898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268035,4.00,6.00,3.00,7.00,7.00,6.25,7.00,4.00,5.00,103,102,NULL,'CENTRO','XANXERE','SC',7956,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2268043,2.00,7.00,4.00,8.00,8.00,7.00,5.00,7.00,3.00,316,425,NULL,'CENTRO','FLORIANOPOLIS','SC',7141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268051,2.00,4.00,6.00,3.00,4.00,4.75,4.00,4.00,2.00,208,317,NULL,'CENTRO','CHARRUA','RS',18442,714,618,NULL,NULL,NULL,NULL,4,4),(15,2268060,2.00,5.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2268078,3.00,8.00,2.00,3.00,8.00,6.50,4.00,7.00,3.00,102,217,NULL,'MICHEL','CRICIUMA','SC',11023,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2268086,4.00,6.00,7.00,6.00,7.00,6.00,4.00,5.00,7.00,203,214,220,'JD AQUARIUS','SAO JOSE DOS CAMPOS','SP',5689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268094,3.00,6.00,3.00,8.00,7.00,6.25,6.00,6.00,2.00,9,425,NULL,'INGLESES DO RIO VERM','CURITIBA','PR',10038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268108,2.00,5.00,3.00,3.00,6.00,3.75,3.00,5.00,2.00,327,329,NULL,'CAMPECHE','FLORIANOPOLIS','SC',19436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268116,2.00,7.00,4.00,5.00,4.00,5.00,5.00,8.00,1.00,103,444,NULL,'PASSA VINTE','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268124,4.00,8.00,6.00,7.00,7.00,5.25,8.00,6.00,4.00,202,2,208,'CAPOEIRAS','FLORIANOPOLIS','SC',4738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268132,4.00,6.00,1.00,0.00,5.00,6.50,3.00,6.00,3.00,103,102,NULL,'CENTRO','BRUSQUE','SC',17248,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2268140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,208,NULL,'VILA CAMPESINA','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2268159,3.00,6.00,3.00,8.00,4.00,2.00,4.00,3.00,2.00,203,108,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268167,2.00,7.00,4.00,6.00,7.00,5.25,3.00,5.00,2.00,329,328,NULL,'BUTANTÃ','SAO PAULO','SP',14055,40,100,NULL,NULL,NULL,NULL,4,1),(15,2268175,0.00,2.00,6.00,6.00,6.00,4.25,3.00,4.00,3.00,211,301,214,'PARQUE DO CARMO','SAO PAULO','SP',17846,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2268183,3.00,8.00,1.00,4.00,8.00,5.50,5.00,6.00,3.00,319,428,NULL,'CAMPO DA AGUA VERDE','CANOINHAS','SC',11139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268191,3.00,7.00,3.00,2.00,5.00,4.25,4.00,2.00,2.00,333,208,NULL,'CENTRO','ILHOTA','SC',19849,366,1110,NULL,NULL,NULL,NULL,4,6),(15,2268205,5.00,6.00,7.00,8.00,9.00,7.00,7.00,6.00,6.00,207,428,215,'CAPOEIRAS','FLORIANOPOLIS','SC',2502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268213,3.00,7.00,2.00,1.00,7.00,5.00,3.00,5.00,3.00,5,320,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268221,8.00,7.00,8.00,9.00,8.00,6.25,4.00,8.00,3.00,203,238,208,'CENTRO','FLORIANOPOLIS','SC',2433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268230,0.00,7.00,0.00,6.00,5.00,NULL,3.00,5.00,1.00,202,203,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2268248,0.00,5.00,0.00,5.00,5.00,4.25,3.00,3.00,1.00,324,320,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',22127,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2268256,2.00,3.00,2.00,4.00,4.00,NULL,3.00,2.00,0.00,502,423,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268264,3.00,7.00,3.00,6.00,8.00,6.75,4.00,5.00,2.00,103,208,NULL,'INTERIOR','CONCORDIA','SC',10938,2261,998,NULL,NULL,NULL,NULL,2,7),(15,2268272,7.00,8.00,2.00,9.00,8.00,7.50,6.00,6.00,3.00,103,104,NULL,'COQUEIROS','FLORIANOPOLIS','SC',4053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268280,3.00,5.00,2.00,5.00,4.00,5.50,3.00,3.00,2.00,332,333,NULL,'BREMER','RIO DO SUL','SC',19300,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2268299,5.00,8.00,8.00,9.00,8.00,7.75,8.00,6.00,6.00,450,423,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',2113,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2268302,0.00,7.00,4.00,9.00,6.00,6.75,5.00,6.00,4.00,207,NULL,NULL,'JARDIN BOM PASTOR','BOTUCATU','SP',9241,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2268329,3.00,5.00,4.00,1.00,3.00,4.50,4.00,3.00,4.00,103,203,NULL,'COSTA E SILVA','JOINVILLE','SC',19768,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2268337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,428,NULL,'LARANJEIRAS','RIO DE JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2268345,6.00,6.00,7.00,8.00,7.00,7.50,6.00,7.00,6.00,212,220,201,'SÃO LUIZ','BRUSQUE','SC',3711,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2268361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,327,NULL,'TABULEIRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2268370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,207,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2268388,5.00,8.00,6.00,9.00,9.00,6.75,6.00,5.00,5.00,104,207,NULL,'CENTRO','ERECHIM','RS',2777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,101,NULL,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2268400,2.00,3.00,2.00,3.00,3.00,NULL,3.00,0.00,2.00,223,222,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268418,4.00,5.00,3.00,7.00,6.00,5.00,5.00,7.00,1.00,317,238,NULL,'CENTRO','GASPAR','SC',12156,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2268434,8.00,7.00,8.00,9.00,8.00,7.25,9.00,7.00,9.00,103,303,NULL,'BATEL','CURITIBA','PR',308,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2268442,3.00,6.00,5.00,8.00,6.00,6.75,7.00,7.00,4.00,2,202,NULL,'GLÓRIA','JOINVILLE','SC',6108,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2268450,7.00,8.00,8.00,7.00,5.00,4.50,8.00,6.00,6.00,303,5,NULL,'LAGO SUL BRASÍLIA','LAGO SUL','DF',3538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268469,5.00,7.00,5.00,6.00,8.00,5.75,2.00,3.00,5.00,425,428,424,'BUCAREIN','JOINVILLE','SC',9888,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2268477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'FUNCIONÁRIOS','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2268485,1.00,6.00,5.00,3.00,6.00,5.50,5.00,4.00,2.00,211,108,207,'SÃO LUIZ','BRUSQUE','SC',15531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268493,3.00,4.00,5.00,0.00,1.00,NULL,5.00,3.00,2.00,427,207,429,'PORTO DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268507,1.00,3.00,1.00,4.00,5.00,4.50,5.00,6.00,4.00,331,451,NULL,'CAMPECHE','FLORIANOPOLIS','SC',16485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2268515,1.00,4.00,4.00,5.00,3.00,NULL,1.00,7.00,0.00,203,220,201,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2268523,4.00,5.00,6.00,6.00,7.00,5.50,4.00,6.00,3.00,238,320,208,'ESTREITO','FLORIANOPOLIS','SC',9492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268531,4.00,6.00,3.00,2.00,7.00,7.00,2.00,6.00,4.00,326,425,NULL,'FLORESTA','JOINVILLE','SC',13458,73,328,NULL,NULL,NULL,NULL,4,1),(15,2268540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,420,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2268558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,203,NULL,'CENTRO','IRANI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2268566,3.00,3.00,5.00,1.00,5.00,5.50,5.00,3.00,2.00,220,238,208,'PRESIDENTE MÉDICE','CHAPECO','SC',19261,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2268574,2.00,7.00,1.00,0.00,0.00,NULL,1.00,3.00,1.00,234,108,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268582,4.00,8.00,7.00,3.00,7.00,5.25,9.00,8.00,5.00,220,214,203,'ITACORUBI','FLORIANOPOLIS','SC',4443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268590,6.00,7.00,6.00,7.00,7.00,6.50,4.00,8.00,6.00,103,303,NULL,'CENTRO','LONDRINA','PR',3850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268604,3.00,6.00,5.00,4.00,4.00,6.50,3.00,2.00,2.00,301,201,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268612,4.00,5.00,3.00,4.00,6.00,7.00,5.00,5.00,2.00,103,101,NULL,'ENSEADA','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2268620,9.00,7.00,7.00,6.00,8.00,5.00,8.00,7.00,6.00,103,104,NULL,'CENTRO','PATO BRANCO','PR',2074,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2268639,2.00,4.00,4.00,9.00,7.00,6.00,3.00,5.00,2.00,208,104,202,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2268647,3.00,4.00,2.00,2.00,3.00,5.00,4.00,5.00,2.00,317,318,NULL,'CARIANOS','FLORIANOPOLIS','SC',20663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2268655,4.00,7.00,6.00,5.00,9.00,6.75,6.00,3.00,4.00,216,217,233,'GUATÁ','LAURO MULLER','SC',7177,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2268671,4.00,8.00,2.00,6.00,4.00,5.50,5.00,4.00,2.00,316,103,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268698,1.00,6.00,6.00,8.00,7.00,5.25,5.00,4.00,3.00,104,202,NULL,'CENTRO','SIDEROPOLIS','SC',10217,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2268701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,451,NULL,'BOA VISTA','NIQUELANDIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2268710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'JD BONGIOVANI','PRESIDENTE PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2268728,8.00,7.00,9.00,9.00,8.00,6.75,9.00,7.00,8.00,203,233,220,'CAMPINAS','SAO JOSE','SC',303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268736,3.00,7.00,1.00,1.00,6.00,5.75,3.00,4.00,0.00,224,223,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',20012,74,224,NULL,NULL,NULL,NULL,4,1),(15,2268744,4.00,6.00,5.00,7.00,8.00,5.50,7.00,7.00,4.00,316,318,NULL,'SERRINHA','FLORIANOPOLIS','SC',5339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268752,5.00,8.00,6.00,8.00,9.00,5.75,6.00,8.00,6.00,203,450,233,'CIDADE UNIVERSITARIA','CAMPINAS','SP',2230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268760,1.00,3.00,1.00,0.00,3.00,NULL,2.00,3.00,1.00,332,211,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2268779,2.00,8.00,6.00,7.00,9.00,7.00,6.00,8.00,5.00,203,326,NULL,'CAMBUI','CAMPINAS','SP',3609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'ORLEANS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2268795,2.00,4.00,3.00,4.00,3.00,4.00,3.00,4.00,2.00,203,220,202,'NAÇÕES','TIMBO','SC',20958,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2268809,3.00,4.00,3.00,3.00,6.00,5.75,3.00,4.00,2.00,319,NULL,NULL,'PARQUE TRÊS MENINOS','SOROCABA','SP',17891,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2268825,7.00,7.00,8.00,9.00,8.00,7.75,7.00,6.00,6.00,103,303,NULL,'ZONA SETE','MARINGA','PR',1318,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2268833,0.00,2.00,1.00,2.00,3.00,NULL,3.00,3.00,2.00,207,420,201,'CENTRO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2268850,2.00,6.00,5.00,6.00,5.00,2.00,2.00,5.00,4.00,304,318,NULL,'CECAP II','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268868,7.00,9.00,8.00,9.00,8.00,6.50,8.00,9.00,6.00,203,NULL,202,'TERRAS DE SANTANA','LONDRINA','PR',655,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2268876,5.00,9.00,8.00,6.00,7.00,3.50,5.00,8.00,5.00,5,318,NULL,'CENTRO','FLORIANOPOLIS','SC',3414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268884,3.00,6.00,5.00,5.00,6.00,4.00,6.00,6.00,2.00,216,223,214,'ESTREITO','FLORIANOPOLIS','SC',12451,391,155,409,NULL,NULL,NULL,4,1),(15,2268906,7.00,7.00,6.00,1.00,6.00,5.25,8.00,5.00,6.00,103,104,NULL,'LIBERDADE','SAO PAULO','SP',6629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268914,8.00,7.00,6.00,4.00,6.00,5.75,5.00,8.00,6.00,5,NULL,NULL,'JARDIM EUROPA','BRAGANCA PAULISTA','SP',4505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2268949,2.00,7.00,2.00,1.00,6.00,6.50,2.00,5.00,1.00,420,303,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2268957,0.00,4.00,1.00,3.00,4.00,NULL,3.00,2.00,1.00,415,420,NULL,'PEREQUE','PORTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2268965,2.00,3.00,2.00,1.00,4.00,NULL,2.00,2.00,2.00,104,102,NULL,'CENTRO','SORRISO','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2268973,4.00,4.00,6.00,4.00,7.00,5.25,4.00,3.00,0.00,316,301,NULL,'CENTRO','JOINVILLE','SC',16107,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2268990,3.00,6.00,0.00,3.00,5.00,NULL,1.00,0.00,2.00,303,5,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269007,1.00,4.00,2.00,2.00,5.00,5.50,3.00,4.00,0.00,319,NULL,NULL,'COMASA','JOINVILLE','SC',21574,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2269015,5.00,5.00,5.00,5.00,8.00,5.25,5.00,4.00,4.00,103,104,NULL,'ANDORINHA','ITAPEMA','SC',10548,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2269023,4.00,6.00,4.00,3.00,8.00,5.75,6.00,5.00,5.00,317,426,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',9433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269031,3.00,6.00,2.00,1.00,3.00,4.75,2.00,4.00,1.00,316,224,NULL,'MACIAMBU','PALHOCA','SC',22266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269040,3.00,7.00,5.00,7.00,8.00,5.00,5.00,7.00,4.00,103,415,NULL,'VILA MARIA','SAO PAULO','SP',7255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269058,4.00,7.00,9.00,7.00,9.00,6.50,6.00,6.00,5.00,9,215,NULL,'VILA NOVA','BLUMENAU','SC',3387,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2269066,2.00,4.00,0.00,1.00,4.00,5.25,2.00,5.00,3.00,319,303,NULL,'VÁRZEA','ITAPEMA','SC',22276,521,1342,NULL,NULL,NULL,NULL,4,1),(15,2269074,3.00,3.00,3.00,5.00,7.00,6.50,2.00,2.00,2.00,216,201,NULL,'CENTRO','GUARAPUAVA','PR',19040,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2269082,5.00,8.00,3.00,7.00,8.00,5.50,7.00,6.00,4.00,303,108,NULL,'CENTRO','IMBITUBA','SC',5682,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2269090,3.00,6.00,4.00,7.00,7.00,3.50,5.00,6.00,3.00,320,310,NULL,'JARDIM SÃO LUIZ','RIBEIRAO PRETO','SP',10399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269104,4.00,6.00,2.00,5.00,7.00,4.75,3.00,6.00,3.00,104,101,NULL,'CACHOEIRA','FLORIANOPOLIS','SC',13116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269112,1.00,5.00,1.00,4.00,3.00,4.25,5.00,5.00,1.00,501,502,NULL,'FORQUILINHAS','CAMPO ERE','SC',21891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2269120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,225,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2269139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,203,214,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2269155,6.00,8.00,6.00,9.00,7.00,7.00,8.00,8.00,8.00,103,202,NULL,'CENTRO','CAFELANDIA','PR',895,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2269163,3.00,8.00,3.00,8.00,5.00,4.25,4.00,1.00,2.00,444,304,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',15893,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2269171,3.00,6.00,1.00,6.00,7.00,6.00,4.00,6.00,4.00,333,207,NULL,'TESTO SALTO','BLUMENAU','SC',10926,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2269180,4.00,7.00,3.00,9.00,7.00,6.00,2.00,4.00,4.00,101,211,NULL,'ESTREITO','FLORIANOPOLIS','SC',10392,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2269201,0.00,4.00,2.00,3.00,7.00,6.25,5.00,3.00,4.00,211,319,207,'CENTRO','CRICIUMA','SC',18298,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2269210,4.00,8.00,6.00,8.00,7.00,7.75,5.00,6.00,4.00,302,304,NULL,'COMERCIARIO','CRICIUMA','SC',3843,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(15,2269228,1.00,3.00,2.00,3.00,4.00,NULL,2.00,0.00,3.00,328,324,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269236,2.00,7.00,3.00,5.00,4.00,4.75,4.00,2.00,2.00,9,316,NULL,'CENTRO','ICARA','SC',18906,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2269244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'JARDIM PARAÍSO','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2269252,2.00,6.00,2.00,0.00,4.00,2.00,3.00,4.00,4.00,224,223,NULL,'FERRAZ','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269260,3.00,7.00,2.00,4.00,5.00,3.75,3.00,6.00,2.00,5,316,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269279,2.00,4.00,3.00,1.00,5.00,6.00,4.00,4.00,1.00,329,108,NULL,'CAMPINAS','SAO JOSE','SC',20175,73,945,NULL,NULL,NULL,NULL,4,1),(15,2269287,5.00,7.00,3.00,8.00,6.00,6.00,5.00,7.00,3.00,426,320,428,'CARVOEIRA','FLORIANOPOLIS','SC',8490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269295,7.00,6.00,6.00,8.00,7.00,5.50,8.00,9.00,8.00,319,103,NULL,'LIBERDADE','SAO PAULO','SP',2136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'BROTAS','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2269317,6.00,8.00,6.00,5.00,9.00,6.00,4.00,5.00,5.00,301,302,NULL,'ABRAÃO','FLORIANOPOLIS','SC',5384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269325,3.00,6.00,2.00,4.00,7.00,5.50,7.00,5.00,5.00,216,NULL,NULL,'MICHEL','CRICIUMA','SC',10108,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2269333,1.00,7.00,0.00,3.00,2.00,NULL,0.00,4.00,1.00,415,404,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2269341,2.00,3.00,2.00,0.00,3.00,NULL,3.00,2.00,1.00,9,319,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269350,4.00,8.00,5.00,6.00,7.00,4.50,3.00,8.00,4.00,329,450,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',8024,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2269368,3.00,4.00,1.00,5.00,5.00,5.50,3.00,2.00,2.00,404,423,NULL,'BELA VISTA I','SAO JOSE','SC',21177,242,253,NULL,NULL,NULL,NULL,2,1),(15,2269376,3.00,5.00,5.00,6.00,7.00,6.75,3.00,4.00,2.00,238,304,213,'CENTRO','FLORIANOPOLIS','SC',12993,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269384,4.00,7.00,1.00,5.00,4.00,4.75,3.00,2.00,3.00,102,108,NULL,'POÇO FUNDO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2269392,4.00,5.00,3.00,4.00,3.00,4.50,4.00,4.00,1.00,238,327,208,'RIO TAVARES','FLORIANOPOLIS','SC',20262,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2269406,0.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,502,222,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2269414,2.00,6.00,4.00,6.00,3.00,5.25,2.00,4.00,1.00,201,319,207,'INTERIOR','CORONEL MARTINS','SC',19160,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2269430,2.00,6.00,4.00,6.00,5.00,3.75,3.00,3.00,4.00,9,450,NULL,'MINA BRASIL','CRICIUMA','SC',16682,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2269449,4.00,8.00,5.00,8.00,7.00,5.00,4.00,7.00,4.00,444,339,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',6587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269457,2.00,5.00,3.00,8.00,9.00,6.75,7.00,8.00,3.00,318,327,NULL,'ASILO','BLUMENAU','SC',6576,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2269465,2.00,5.00,2.00,4.00,7.00,7.25,4.00,5.00,2.00,329,501,NULL,'INGLESES','FLORIANOPOLIS','SC',14867,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2269473,4.00,4.00,4.00,5.00,6.00,5.25,2.00,4.00,2.00,203,233,201,'RIBEIRÃO FRESCO','BLUMENAU','SC',18044,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2269481,2.00,3.00,0.00,0.00,4.00,NULL,2.00,2.00,2.00,215,9,220,'LAGOA DA CONÇEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2269490,4.00,8.00,4.00,8.00,6.00,5.00,7.00,6.00,4.00,103,331,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269503,2.00,5.00,7.00,7.00,8.00,6.00,6.00,4.00,2.00,102,216,NULL,'CENTRO','TIJUCAS','SC',8522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2269511,3.00,3.00,2.00,3.00,2.00,NULL,1.00,2.00,0.00,5,415,NULL,'CRISTAL','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2269520,4.00,7.00,7.00,6.00,7.00,5.50,6.00,5.00,5.00,211,501,215,'TRINDADE','FLORIANOPOLIS','SC',7119,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2269546,3.00,4.00,0.00,6.00,5.00,5.75,3.00,4.00,2.00,420,333,NULL,'ALVORADA','FRANCISCO BELTRAO','PR',18387,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2269554,2.00,7.00,6.00,8.00,8.00,7.00,6.00,6.00,2.00,5,316,NULL,'CENTRO','TANGARA','SC',6356,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2269562,7.00,7.00,8.00,8.00,9.00,6.50,8.00,8.00,5.00,329,450,NULL,'PANTANAL','FLORIANOPOLIS','SC',1157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269589,4.00,8.00,1.00,6.00,8.00,6.50,3.00,5.00,3.00,319,501,NULL,'ANITA GARIBALDI','JOINVILLE','SC',10104,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2269597,2.00,6.00,0.00,9.00,4.00,4.25,5.00,7.00,3.00,303,310,NULL,'AMÉRICA','JOINVILLE','SC',12847,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2269600,2.00,5.00,3.00,7.00,6.00,5.50,3.00,4.00,1.00,415,NULL,NULL,'GOIABEIRAS','CUIABA','MT',17552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269619,3.00,6.00,4.00,5.00,6.00,6.50,2.00,4.00,3.00,238,404,208,'JARDIM AMÉRICA','VACARIA','RS',16060,595,398,625,NULL,NULL,NULL,4,1),(15,2269627,3.00,7.00,6.00,6.00,5.00,5.00,6.00,5.00,2.00,203,317,202,'CENTRO','ITAJAI','SC',10363,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2269635,5.00,8.00,2.00,7.00,8.00,5.00,7.00,7.00,4.00,217,502,NULL,'PARTENON','PORTO ALEGRE','RS',6329,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2269643,3.00,5.00,3.00,1.00,7.00,4.75,6.00,3.00,3.00,103,108,NULL,'REVOREDO','TUBARAO','SC',17263,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2269651,1.00,4.00,2.00,0.00,4.00,NULL,3.00,3.00,3.00,317,316,NULL,'CACHOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2269660,5.00,8.00,8.00,5.00,9.00,6.00,6.00,6.00,5.00,104,211,NULL,'NOSSA SRA DE FÁTIMA','ICARA','SC',4611,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2269678,3.00,7.00,2.00,2.00,3.00,6.00,4.00,2.00,2.00,102,339,NULL,'CENTRO','JARAGUA DO SUL','SC',20780,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2269686,5.00,7.00,1.00,6.00,7.00,5.25,6.00,4.00,5.00,101,320,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',9922,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2269694,1.00,3.00,1.00,7.00,6.00,5.50,1.00,3.00,1.00,404,308,NULL,'BELA VISTA','SAO JOSE','SC',20794,225,453,NULL,NULL,NULL,NULL,2,1),(15,2269708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,301,NULL,'CENTRO','CORUPA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2269716,3.00,3.00,0.00,5.00,5.00,6.00,3.00,2.00,2.00,9,324,NULL,'MATRIZ','VIDEIRA','SC',20297,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2269724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,304,NULL,'JARDIM DAS ESTRELAS','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2269732,3.00,7.00,6.00,7.00,6.00,6.50,7.00,7.00,4.00,233,216,202,'ESTAÇÃO COCAL','MORRO DA FUMACA','SC',5649,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2269740,4.00,7.00,4.00,7.00,5.00,5.75,5.00,6.00,4.00,317,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',9924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269759,2.00,4.00,2.00,3.00,4.00,4.25,3.00,2.00,3.00,211,404,NULL,'SÃO JUDAS','ITAJAI','SC',21561,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2269767,2.00,3.00,1.00,7.00,6.00,3.25,3.00,1.00,3.00,5,415,NULL,'LOEFF','CARAZINHO','RS',21394,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2269775,3.00,5.00,6.00,5.00,4.00,4.50,5.00,2.00,4.00,201,233,212,'CENTRO','CHAPECO','SC',14861,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2269783,3.00,8.00,3.00,6.00,5.00,4.00,4.00,7.00,1.00,108,234,NULL,'MENINO DEUS','PORTO ALEGRE','RS',12234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269791,5.00,5.00,2.00,3.00,6.00,3.75,3.00,4.00,2.00,308,339,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',19367,127,368,NULL,NULL,NULL,NULL,2,1),(15,2269805,4.00,4.00,2.00,2.00,6.00,4.25,3.00,5.00,1.00,103,101,NULL,'VILA VITÓRIA','LAGUNA','SC',19906,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2269821,6.00,8.00,5.00,7.00,8.00,6.50,7.00,7.00,4.00,103,104,NULL,'CENTRO','PALMEIRA DAS MISSOES','RS',2327,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2269848,3.00,3.00,1.00,3.00,7.00,5.75,4.00,3.00,2.00,108,217,NULL,'PARQUE DOS BUZIOS','GRAVATAI','RS',19483,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2269856,4.00,5.00,3.00,3.00,6.00,5.50,4.00,6.00,4.00,103,211,NULL,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269864,3.00,5.00,0.00,6.00,1.00,NULL,3.00,5.00,3.00,207,420,201,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2269872,2.00,4.00,3.00,0.00,6.00,NULL,6.00,3.00,2.00,104,319,NULL,'CENTRO','SAO MARTINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2269880,2.00,6.00,4.00,7.00,5.00,5.00,3.00,3.00,5.00,103,NULL,NULL,'BROOKLIN PAULISTA','SAO PAULO','SP',14173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269899,2.00,5.00,2.00,2.00,4.00,5.00,4.00,4.00,4.00,333,501,NULL,'AGRÔNOMICA','FLORIANOPOLIS','SC',19141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,404,NULL,'CENTRO','NOVA MUTUM','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2269929,1.00,8.00,3.00,1.00,6.00,6.50,4.00,7.00,2.00,331,NULL,NULL,'MORUMBI','PAULINIA','SP',15141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269937,2.00,6.00,1.00,2.00,4.00,4.25,1.00,4.00,2.00,101,427,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',22424,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2269945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'JARDIM AMÉRICA','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2269961,2.00,5.00,3.00,4.00,5.00,5.25,3.00,4.00,3.00,5,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2269970,4.00,4.00,5.00,5.00,4.00,5.50,5.00,5.00,5.00,211,215,NULL,'BOA ESPERANÇA','CUIABA','MT',12235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2269988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SAO VICENTE','PENAPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2269996,3.00,7.00,4.00,8.00,8.00,6.25,5.00,7.00,5.00,103,104,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',6037,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2270005,0.00,2.00,3.00,2.00,5.00,NULL,3.00,4.00,0.00,319,104,NULL,'AURORA','ICARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2270013,3.00,5.00,4.00,1.00,3.00,5.75,4.00,5.00,2.00,302,222,NULL,'CAMPINAS','SAO JOSE','SC',19342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,420,NULL,'COMERCIÁRIO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2270030,2.00,5.00,6.00,5.00,6.00,6.25,6.00,3.00,4.00,102,216,NULL,'CENTRO','TREVISO','SC',10739,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2270056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,202,201,'GLEBA PALHANO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2270064,4.00,8.00,8.00,7.00,7.00,7.00,7.00,7.00,4.00,207,420,NULL,'CENTRO','SANTA MARIA','RS',2649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270072,3.00,4.00,2.00,6.00,6.00,7.50,4.00,3.00,4.00,421,424,427,'STA MONICA','FLORIANOPOLIS','SC',15280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270099,3.00,6.00,8.00,2.00,5.00,5.00,7.00,6.00,5.00,214,NULL,NULL,'SANTA CECILIA','SAO PAULO','SP',10149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270102,2.00,6.00,1.00,3.00,6.00,5.00,4.00,4.00,2.00,201,208,207,'SANTA TERESA','AURORA','SC',20083,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2270110,0.00,0.00,2.00,0.00,0.00,NULL,2.00,2.00,1.00,316,233,NULL,'VARGEM DOS PINHEIROS','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2270129,4.00,6.00,1.00,4.00,6.00,6.25,6.00,5.00,2.00,211,212,214,'VILA DUBBOS','PRESIDENTE PRUDENTE','SP',13522,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2270137,6.00,7.00,2.00,5.00,7.00,3.50,6.00,5.00,5.00,103,5,NULL,'INDEPENDÊNCIA','CASCAVEL','PR',9466,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2270145,3.00,5.00,4.00,8.00,6.00,4.25,4.00,4.00,3.00,333,207,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270153,5.00,8.00,3.00,8.00,7.00,6.50,6.00,7.00,4.00,9,428,NULL,'ITACORUBI','FLORIANOPOLIS','SC',4774,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2270161,3.00,5.00,0.00,3.00,6.00,6.00,3.00,2.00,4.00,207,302,NULL,'BARREIROS','SAO JOSE','SC',19930,935,328,NULL,NULL,NULL,NULL,2,1),(15,2270170,1.00,3.00,0.00,1.00,4.00,NULL,1.00,5.00,3.00,319,423,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270188,3.00,4.00,5.00,4.00,5.00,5.00,3.00,2.00,2.00,333,211,NULL,'ITAPEMA DO NORTE','ITAPOA','SC',18876,334,989,NULL,NULL,NULL,NULL,2,8),(15,2270196,3.00,6.00,2.00,4.00,7.00,5.00,4.00,2.00,2.00,216,301,215,'ITACORUBI','FLORIANOPOLIS','SC',18944,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2270200,1.00,5.00,1.00,5.00,7.00,6.00,4.00,4.00,2.00,451,450,NULL,'CENTRO','SAO JOAO DO SUL','SC',18214,72,342,NULL,NULL,NULL,NULL,2,5),(15,2270218,2.00,4.00,5.00,7.00,3.00,4.50,4.00,3.00,4.00,207,104,201,'VELHA','BLUMENAU','SC',16344,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2270226,1.00,2.00,1.00,5.00,3.00,NULL,3.00,2.00,1.00,103,5,NULL,'PINHEIRINHO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(15,2270234,2.00,6.00,2.00,4.00,4.00,3.50,2.00,5.00,2.00,202,201,203,'SÃO JOÃO','ITAJAI','SC',20481,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2270242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2270250,1.00,4.00,2.00,2.00,4.00,NULL,3.00,1.00,3.00,420,207,NULL,'VILA NOVA','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2270277,4.00,6.00,0.00,6.00,6.00,4.50,4.00,3.00,0.00,104,102,NULL,'CENTRO','SAO LOURENCO DO OESTE','SC',19521,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2270285,4.00,7.00,4.00,8.00,6.00,6.75,5.00,7.00,6.00,201,211,212,'SÃO SEBASTIÃO','CAMPOS NOVOS','SC',5982,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2270293,2.00,6.00,2.00,2.00,3.00,5.00,1.00,4.00,5.00,211,215,216,'CENTRO','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2270307,4.00,2.00,2.00,0.00,5.00,NULL,4.00,3.00,1.00,103,108,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2270315,2.00,4.00,5.00,2.00,4.00,4.50,1.00,2.00,2.00,224,222,NULL,'INTERIOR','LUZERNA','SC',21816,87,232,NULL,NULL,NULL,NULL,4,7),(15,2270323,3.00,7.00,4.00,7.00,7.00,5.25,5.00,6.00,4.00,202,301,208,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270331,3.00,6.00,2.00,2.00,7.00,4.00,5.00,4.00,4.00,103,108,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2270340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'MEDIANEIRA','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2270358,4.00,8.00,9.00,3.00,7.00,5.50,4.00,4.00,5.00,212,211,201,'OFICINAS','TUBARAO','SC',8573,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2270366,2.00,4.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,102,9,NULL,'CENTRO','ARMAZEM','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,10),(15,2270374,3.00,7.00,1.00,3.00,5.00,5.50,2.00,3.00,2.00,234,326,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',20140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270382,1.00,6.00,3.00,4.00,5.00,3.75,3.00,3.00,3.00,238,415,208,'IPIRANGA','SAO JOSE','SC',19663,733,798,778,NULL,NULL,NULL,2,1),(15,2270412,1.00,5.00,1.00,1.00,4.00,NULL,0.00,4.00,1.00,208,9,238,'SÃO FRANCISCO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2270439,3.00,6.00,2.00,6.00,7.00,6.75,6.00,5.00,2.00,301,104,NULL,'CENTRO','FLORIANOPOLIS','SC',11661,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2270447,5.00,7.00,4.00,5.00,6.00,4.25,2.00,5.00,2.00,420,450,NULL,'CENTRO','SAO MARCOS','RS',14499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270455,7.00,8.00,3.00,5.00,6.00,8.00,5.00,5.00,4.00,104,215,NULL,'CENTRO','SARANDI','RS',6703,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2270463,2.00,6.00,2.00,3.00,5.00,6.00,4.00,2.00,3.00,103,502,NULL,'CENTRO','LAJEADO','RS',19213,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2270471,2.00,4.00,2.00,5.00,5.00,5.25,2.00,2.00,2.00,104,309,NULL,'ESTRADA NOVA','JARAGUA DO SUL','SC',21361,698,242,NULL,NULL,NULL,NULL,2,8),(15,2270480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,222,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2270498,1.00,6.00,4.00,2.00,2.00,NULL,2.00,3.00,3.00,202,220,213,'SANTA CRUZ','PALMAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2270501,1.00,2.00,1.00,4.00,6.00,6.50,5.00,3.00,2.00,103,201,NULL,'ITAIPAVA','ITAJAI','SC',19955,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2270510,3.00,6.00,4.00,5.00,4.00,5.00,2.00,2.00,2.00,104,9,NULL,'CENTRO','CACADOR','SC',19357,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2270528,6.00,6.00,5.00,5.00,7.00,5.00,6.00,7.00,2.00,103,NULL,NULL,'JD PARAISO','BOTUCATU','SP',7783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270544,4.00,5.00,4.00,4.00,7.00,4.50,2.00,5.00,4.00,208,202,NULL,'AREIAS','SAO JOSE','SC',15585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270552,4.00,6.00,5.00,7.00,6.00,4.75,6.00,5.00,3.00,501,404,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',10478,85,328,NULL,NULL,NULL,NULL,2,1),(15,2270560,4.00,5.00,4.00,4.00,8.00,6.00,6.00,6.00,4.00,450,421,NULL,'SÃO BERNARDO','CAMPINAS','SP',9305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270579,3.00,4.00,1.00,4.00,5.00,4.25,3.00,1.00,1.00,108,211,NULL,'LOEFF','CARAZINHO','RS',22062,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2270595,2.00,6.00,6.00,6.00,8.00,5.00,5.00,4.00,1.00,316,451,NULL,'AMERICA','JOINVILLE','SC',13141,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2270609,3.00,6.00,5.00,8.00,7.00,6.25,5.00,4.00,4.00,425,9,429,'ESTREITO','FLORIANOPOLIS','SC',8828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,319,NULL,'CENTRO','NOVA LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2270625,4.00,6.00,1.00,4.00,5.00,4.75,4.00,4.00,1.00,238,339,NULL,'FLORESTA','SAO JOSE','SC',19945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2270633,2.00,6.00,4.00,6.00,6.00,6.50,2.00,3.00,3.00,208,444,238,'CENTRO','ITAPIRANGA','SC',15639,604,485,578,NULL,NULL,NULL,4,2),(15,2270641,2.00,3.00,2.00,0.00,4.00,NULL,2.00,3.00,2.00,316,420,NULL,'CENTRO','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270650,4.00,7.00,8.00,7.00,6.00,5.25,5.00,6.00,4.00,103,203,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2270668,7.00,8.00,4.00,2.00,5.00,4.00,8.00,4.00,5.00,103,108,NULL,'VILA LIBERDADE','JUNDIAI','SP',9236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2270676,3.00,4.00,2.00,6.00,6.00,5.25,1.00,4.00,2.00,215,217,233,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270684,8.00,7.00,7.00,8.00,8.00,7.25,6.00,7.00,4.00,103,9,NULL,'VILA MARIANA','TAIO','SC',1880,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2270692,3.00,4.00,5.00,5.00,6.00,4.75,3.00,4.00,3.00,319,108,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2270706,7.00,7.00,8.00,7.00,8.00,5.75,7.00,7.00,7.00,201,222,238,'CENTRO','CRICIUMA','SC',2112,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2270714,0.00,0.00,0.00,9.00,5.00,NULL,0.00,0.00,0.00,304,318,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(15,2270722,3.00,5.00,5.00,5.00,5.00,4.00,7.00,5.00,4.00,108,320,NULL,'SÃO BRAZ','CURITIBA','PR',11928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270730,5.00,7.00,8.00,2.00,8.00,6.00,6.00,8.00,4.00,201,202,212,'OFICINAS','TUBARAO','SC',4971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270749,2.00,7.00,5.00,3.00,5.00,5.75,4.00,6.00,3.00,213,222,238,'COQUEIROS','FLORIANOPOLIS','SC',13264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270773,2.00,6.00,3.00,7.00,4.00,4.75,2.00,5.00,3.00,318,404,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',17073,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2270781,3.00,2.00,1.00,0.00,4.00,NULL,2.00,1.00,3.00,420,9,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2270820,7.00,8.00,7.00,5.00,8.00,5.25,8.00,6.00,7.00,220,NULL,202,'ESTANCIA CAICARA','BIRIGUI','SP',2145,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2270838,1.00,4.00,0.00,4.00,4.00,NULL,1.00,2.00,3.00,203,201,NULL,'CENTRO','BRACO DO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2270846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,324,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2270854,2.00,3.00,2.00,5.00,3.00,3.75,2.00,2.00,1.00,502,404,NULL,'MINA BRASIL','CRICIUMA','SC',22451,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2270862,0.00,5.00,0.00,0.00,3.00,NULL,1.00,6.00,3.00,203,NULL,NULL,'CENTRO','CORDILHEIRA ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2270870,4.00,4.00,0.00,5.00,4.00,3.25,1.00,3.00,2.00,319,428,NULL,'TRÊS FRONTEIRAS','DIONISIO CERQUEIRA','SC',22437,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2270889,2.00,3.00,1.00,6.00,4.00,5.25,3.00,2.00,1.00,203,201,208,'ITACORUBI','FLORIANOPOLIS','SC',21868,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2270897,5.00,7.00,2.00,9.00,6.00,5.00,4.00,2.00,2.00,238,332,213,'TRINDADE','FLORIANOPOLIS','SC',12151,432,225,192,NULL,NULL,NULL,4,1),(15,2270900,4.00,7.00,3.00,5.00,7.00,8.25,5.00,8.00,4.00,5,425,NULL,'TRINDADE','FLORIANOPOLIS','SC',7680,348,263,NULL,NULL,NULL,NULL,4,1),(15,2270919,3.00,5.00,3.00,5.00,3.00,2.00,6.00,5.00,1.00,214,501,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270927,3.00,3.00,3.00,3.00,4.00,2.50,2.00,3.00,3.00,301,NULL,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2270935,7.00,8.00,5.00,6.00,9.00,7.25,9.00,7.00,6.00,103,207,NULL,'STO ANTONIO DE PADUA','TUBARAO','SC',1699,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2270943,5.00,7.00,6.00,8.00,5.00,6.00,6.00,6.00,4.00,319,331,NULL,'JUNDIAI MIRIM','JUNDIAI','SP',5417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270951,5.00,9.00,5.00,6.00,9.00,6.50,9.00,8.00,7.00,211,2,213,'FORQUILHINHAS','SAO JOSE','SC',1189,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2270960,5.00,8.00,6.00,8.00,8.00,4.50,8.00,8.00,7.00,103,319,NULL,'PITUBA','SALVADOR','BA',1690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270978,1.00,7.00,3.00,7.00,5.00,4.25,4.00,5.00,2.00,225,327,NULL,'PONTA DE BAIXO','SAO JOSE','SC',15748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2270986,7.00,7.00,3.00,6.00,6.00,5.00,6.00,7.00,9.00,5,329,NULL,'COHAB II','RIO GRANDE','RS',5292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2270994,6.00,7.00,9.00,7.00,9.00,7.75,8.00,7.00,8.00,214,NULL,202,'ALTO CAFEZAL','MARILIA','SP',636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271001,0.00,4.00,0.00,3.00,5.00,NULL,3.00,3.00,2.00,238,NULL,207,'QUINTINO','TIMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2271010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,207,NULL,'FACULDADE','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2271036,7.00,9.00,6.00,6.00,9.00,6.25,8.00,6.00,5.00,444,333,NULL,'CAMPINAS','SAO JOSE','SC',2133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,102,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2271060,1.00,6.00,5.00,1.00,3.00,6.00,3.00,5.00,3.00,317,444,NULL,'BELA VISTA II','SAO JOSE','SC',19194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271079,1.00,4.00,1.00,7.00,3.00,4.75,3.00,3.00,3.00,103,104,NULL,'SANTA TEREZA','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2271087,5.00,6.00,4.00,9.00,6.00,6.75,4.00,8.00,4.00,5,318,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',6643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271095,4.00,9.00,6.00,9.00,8.00,4.25,7.00,5.00,4.00,214,2,208,'CARVOEIRA','FLORIANOPOLIS','SC',3969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271117,2.00,2.00,3.00,6.00,4.00,3.50,1.00,3.00,1.00,404,310,NULL,'AREIAS DO CAMPECHE','FLORIANOPOLIS','SC',22119,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271133,4.00,8.00,4.00,7.00,7.00,7.00,6.00,8.00,3.00,450,428,NULL,'ALTIPLANO','JOAO PESSOA','PB',4892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,301,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2271150,3.00,5.00,5.00,6.00,7.00,6.25,4.00,5.00,4.00,102,104,NULL,'SANTO ANTÔNIO','LADARIO','MS',10166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271168,4.00,5.00,4.00,3.00,4.00,6.00,1.00,3.00,2.00,103,9,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2271176,3.00,2.00,1.00,3.00,4.00,6.00,3.00,2.00,3.00,318,316,NULL,'TAPERA','FLORIANOPOLIS','SC',22223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271184,3.00,7.00,2.00,4.00,6.00,5.50,6.00,3.00,3.00,103,303,NULL,'GRANJA CAIAPIA','COTIA','SP',13331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271192,3.00,3.00,4.00,5.00,3.00,3.00,1.00,4.00,1.00,202,201,208,'ESQUINA','URUBICI','SC',22112,718,1418,897,NULL,NULL,NULL,2,9),(15,2271206,3.00,6.00,7.00,7.00,7.00,5.00,7.00,6.00,3.00,101,501,NULL,'CENTRO','ARARANGUA','SC',6714,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2271222,4.00,7.00,4.00,5.00,6.00,4.50,6.00,8.00,4.00,420,426,NULL,'FORQUILHINHAS','SAO JOSE','SC',8786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271230,4.00,8.00,3.00,3.00,8.00,6.75,4.00,6.00,5.00,103,327,NULL,'CENTRO','FLORIANOPOLIS','SC',9438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271249,3.00,6.00,5.00,7.00,5.00,5.25,6.00,7.00,2.00,108,319,NULL,'JARDIM EUROPA','ASSIS','SP',9740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271257,2.00,8.00,2.00,2.00,4.00,5.00,3.00,7.00,1.00,327,320,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',18367,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2271265,8.00,7.00,9.00,7.00,8.00,5.50,9.00,7.00,8.00,103,102,NULL,'BOA VISTA','CURITIBA','PR',561,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2271273,5.00,8.00,4.00,7.00,7.00,6.00,6.00,6.00,3.00,316,211,NULL,'BORTOLANZA','PALMITOS','SC',7069,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2271290,1.00,7.00,5.00,1.00,7.00,5.00,5.00,7.00,4.00,304,318,NULL,'PQ VISTA ALEGRE','ITAPEVA','SP',13161,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2271303,2.00,7.00,4.00,4.00,5.00,6.00,3.00,5.00,3.00,5,319,NULL,'FORQUILHINHAS','SAO JOSE','SC',16303,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271311,3.00,5.00,2.00,5.00,4.00,5.00,3.00,3.00,3.00,308,324,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',19496,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271320,0.00,4.00,3.00,4.00,3.00,NULL,2.00,4.00,0.00,339,308,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271338,0.00,6.00,1.00,4.00,5.00,5.50,3.00,4.00,2.00,329,426,NULL,'AREIAS','SAO JOSE','SC',20599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,234,NULL,'JARDIM LEONOR','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2271354,7.00,9.00,8.00,4.00,8.00,6.75,9.00,8.00,8.00,103,NULL,NULL,'ACLIMACAO','SAO PAULO','SP',554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271362,2.00,5.00,3.00,1.00,6.00,5.25,3.00,3.00,2.00,444,404,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271370,4.00,8.00,3.00,6.00,6.00,3.00,5.00,5.00,2.00,331,427,NULL,'ITAGUAÇÚ','FLORIANOPOLIS','SC',12274,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271389,4.00,8.00,8.00,8.00,8.00,6.25,7.00,8.00,6.00,5,415,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',2672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271397,7.00,8.00,2.00,5.00,9.00,5.50,6.00,6.00,5.00,103,NULL,NULL,'CENTRO','IRATI','PR',6218,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2271400,2.00,5.00,4.00,8.00,8.00,5.50,5.00,5.00,5.00,207,301,201,'ABRAÃO','FLORIANOPOLIS','SC',9470,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2271419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'SÃO LOURENÇO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2271427,4.00,8.00,4.00,2.00,7.00,6.50,5.00,6.00,4.00,102,217,NULL,'URUSSANGUINHA','ARARANGUA','SC',9481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271435,2.00,7.00,3.00,8.00,7.00,5.00,5.00,9.00,5.00,415,326,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',7753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271443,2.00,7.00,3.00,7.00,4.00,6.50,1.00,4.00,2.00,319,303,NULL,'ESTREITO','FLORIANOPOLIS','SC',15399,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271451,3.00,4.00,2.00,2.00,4.00,4.75,5.00,2.00,2.00,203,332,238,'CENTRO','FLORIANOPOLIS','SC',20480,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271460,4.00,5.00,5.00,6.00,7.00,6.50,2.00,5.00,1.00,103,333,NULL,'CENTRO','CACADOR','SC',13051,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2271478,5.00,7.00,5.00,7.00,7.00,5.75,5.00,4.00,5.00,103,NULL,NULL,'JARDIM GUANABARA','GOIANIA','GO',7715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271486,3.00,5.00,7.00,7.00,6.00,6.25,4.00,5.00,4.00,103,9,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271494,3.00,6.00,2.00,4.00,5.00,4.75,6.00,3.00,0.00,208,324,238,'BARREIROS','SAO JOSE','SC',18524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271508,2.00,3.00,3.00,3.00,5.00,3.75,4.00,4.00,1.00,332,451,NULL,'SANTOS DUMONTT','SAO JOSE','SC',21084,137,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271516,1.00,3.00,3.00,4.00,5.00,NULL,2.00,2.00,1.00,207,404,203,'CENTRO','JABORA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2271540,1.00,6.00,2.00,6.00,6.00,3.50,2.00,3.00,2.00,303,302,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',20441,857,332,NULL,NULL,NULL,NULL,2,1),(15,2271559,2.00,7.00,1.00,5.00,6.00,6.50,6.00,7.00,2.00,415,201,NULL,'SAO CRISTOVAO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2271567,2.00,4.00,1.00,4.00,5.00,5.00,4.00,4.00,1.00,327,316,NULL,'AREIAS','SAO JOSE','SC',20974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271575,3.00,4.00,3.00,4.00,5.00,4.25,4.00,4.00,3.00,317,234,NULL,'TRINDADE','FLORIANOPOLIS','SC',18356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271583,4.00,5.00,3.00,1.00,1.00,NULL,3.00,4.00,4.00,501,108,NULL,'ITAMARATY','ARTUR NOGUEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271591,7.00,8.00,5.00,5.00,8.00,5.25,7.00,6.00,6.00,102,217,NULL,'KOBRASOL','SAO JOSE','SC',4313,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271605,3.00,8.00,7.00,7.00,8.00,7.75,4.00,8.00,2.00,425,NULL,429,'TRINDADE','FLORIANOPOLIS','SC',5139,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271613,4.00,7.00,4.00,7.00,7.00,5.00,5.00,6.00,2.00,429,327,425,'ITAGUACU','FLORIANOPOLIS','SC',10376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271630,2.00,5.00,1.00,2.00,6.00,5.25,4.00,3.00,2.00,103,102,NULL,'CONTA DINHEIRO','LAGES','SC',20849,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2271648,3.00,5.00,6.00,5.00,8.00,5.25,7.00,5.00,4.00,108,333,NULL,'SANTANA','SAO PAULO','SP',8171,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271656,2.00,5.00,4.00,6.00,6.00,5.25,3.00,4.00,4.00,108,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',14146,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2271664,1.00,4.00,4.00,4.00,3.00,6.25,6.00,4.00,2.00,333,211,NULL,'JACOB BIEZUS','CONCORDIA','SC',17978,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2271672,2.00,5.00,2.00,0.00,5.00,NULL,4.00,4.00,1.00,108,211,NULL,'CENTRO','SAO MIGUEL ARCANJO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271680,4.00,8.00,8.00,9.00,7.00,7.00,5.00,6.00,3.00,207,223,208,'KOBRASOL','SAO JOSE','SC',5121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271702,3.00,8.00,2.00,6.00,6.00,4.75,3.00,7.00,0.00,303,326,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271710,0.00,0.00,0.00,2.00,6.00,NULL,0.00,0.00,0.00,101,102,NULL,'JOSE MENDES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2271729,1.00,5.00,3.00,6.00,4.00,5.00,3.00,4.00,2.00,333,211,NULL,'BARREIROS','SAO JOSE','SC',19580,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271737,5.00,5.00,5.00,3.00,7.00,4.50,5.00,5.00,4.00,238,444,208,'COQUEIROS','FLORIANOPOLIS','SC',11269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271745,3.00,4.00,5.00,5.00,3.00,4.00,3.00,2.00,2.00,201,317,202,'MORRO DA BINA','BIGUACU','SC',20607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271753,6.00,7.00,3.00,8.00,7.00,5.25,6.00,5.00,5.00,9,317,NULL,'KOBRASOL','SAO JOSE','SC',6754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271761,4.00,6.00,5.00,8.00,6.00,7.00,6.00,5.00,4.00,234,223,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',5626,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271770,5.00,8.00,9.00,4.00,7.00,6.00,6.00,7.00,5.00,103,NULL,NULL,'CENTRO','ICARA','SC',3559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271788,2.00,7.00,4.00,9.00,7.00,7.00,6.00,8.00,5.00,310,320,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',4185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271796,5.00,6.00,3.00,8.00,5.00,6.75,4.00,6.00,4.00,415,207,NULL,'VELHA','BLUMENAU','SC',9279,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2271800,7.00,7.00,7.00,7.00,8.00,7.50,7.00,8.00,6.00,103,104,NULL,'BOA VISTA','PONTA GROSSA','PR',1479,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2271818,5.00,7.00,4.00,3.00,6.00,6.00,2.00,5.00,3.00,101,102,NULL,'MONTE ALEGRE','CAMBORIU','SC',12324,98,887,NULL,NULL,NULL,NULL,4,3),(15,2271826,6.00,7.00,4.00,5.00,6.00,5.75,6.00,7.00,6.00,103,207,NULL,'PARQUE SÃO DOMINGOS','SAO PAULO','SP',6280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271834,5.00,6.00,3.00,1.00,6.00,5.50,3.00,5.00,2.00,327,332,NULL,'PINHEIRINHO','CRICIUMA','SC',18663,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2271842,1.00,7.00,1.00,4.00,4.00,4.50,4.00,5.00,3.00,208,NULL,202,'INGLESES','FLORIANOPOLIS','SC',18743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271850,4.00,3.00,4.00,4.00,6.00,6.50,5.00,4.00,3.00,2,415,NULL,'CRISTO REI','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2271869,4.00,7.00,5.00,6.00,7.00,5.50,4.00,4.00,5.00,5,316,NULL,'CENTRO','FLORIANOPOLIS','SC',9484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271877,7.00,8.00,9.00,8.00,8.00,5.00,8.00,7.00,6.00,207,444,NULL,'CENTRO','CASCAVEL','PR',1490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271885,4.00,6.00,6.00,7.00,4.00,4.50,5.00,6.00,2.00,203,202,214,'PINHEIROS','OTACILIO COSTA','SC',11124,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2271893,1.00,5.00,0.00,1.00,6.00,NULL,1.00,4.00,2.00,238,316,208,'JOSE MENDEZ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271907,2.00,5.00,1.00,5.00,5.00,6.50,3.00,4.00,2.00,217,225,NULL,'JARDIM ITÁLIA','CHAPECO','SC',18912,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2271915,6.00,6.00,3.00,6.00,9.00,6.25,6.00,6.00,3.00,103,104,NULL,'LONDRILAR','LONDRINA','PR',6881,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2271923,4.00,7.00,4.00,6.00,8.00,6.25,5.00,6.00,3.00,318,316,NULL,'BARRA DO ARIRIU','PALHOCA','SC',8115,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271931,2.00,4.00,6.00,1.00,4.00,5.75,3.00,3.00,3.00,217,339,NULL,'CENTRO','TIJUCAS','SC',19273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271958,2.00,8.00,4.00,2.00,5.00,6.75,5.00,6.00,3.00,415,319,NULL,'INGLESES','FLORIANOPOLIS','SC',13536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2271966,4.00,6.00,2.00,5.00,6.00,6.75,3.00,7.00,2.00,501,320,NULL,'FORQUILHINHAS','SAO JOSE','SC',13296,140,180,NULL,NULL,NULL,NULL,2,1),(15,2271974,4.00,6.00,5.00,2.00,6.00,5.25,5.00,5.00,5.00,104,102,NULL,'CENTRO','CAMPINAS DO SUL','RS',11318,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2271982,3.00,4.00,1.00,5.00,4.00,2.00,4.00,4.00,2.00,234,502,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2271990,3.00,6.00,4.00,6.00,6.00,5.00,5.00,6.00,4.00,207,332,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',11807,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2272008,3.00,4.00,3.00,3.00,4.00,6.00,5.00,2.00,4.00,211,420,207,'SÃO SIMÃO','CRICIUMA','SC',18761,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2272016,4.00,7.00,2.00,9.00,6.00,4.50,4.00,6.00,5.00,103,303,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272024,3.00,3.00,2.00,7.00,3.00,5.25,4.00,2.00,4.00,207,420,220,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272040,4.00,7.00,4.00,8.00,8.00,7.50,5.00,6.00,4.00,5,303,NULL,'CENTRO','CASCAVEL','PR',5034,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2272059,2.00,6.00,5.00,6.00,3.00,3.50,4.00,5.00,3.00,301,318,NULL,'CENTRO','FLORIANOPOLIS','SC',15187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,316,215,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2272075,2.00,5.00,3.00,7.00,5.00,5.50,3.00,2.00,3.00,316,317,NULL,'COHAB I','SAO JOAQUIM','SC',18229,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2272083,2.00,9.00,4.00,3.00,4.00,5.00,4.00,7.00,2.00,317,225,NULL,'POÇO FUNDO','SANTO AMARO DA IMPERATRIZ','SC',15688,252,159,NULL,NULL,NULL,NULL,4,1),(15,2272091,5.00,8.00,8.00,6.00,8.00,5.75,8.00,6.00,6.00,203,304,202,'CORREGO GRANDE','FLORIANOPOLIS','SC',2717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272105,3.00,4.00,3.00,2.00,5.00,3.50,4.00,3.00,2.00,203,214,201,'JARDIM ELDORADO','PALHOCA','SC',21618,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2272113,1.00,2.00,3.00,7.00,3.00,4.50,1.00,4.00,2.00,301,316,NULL,'ITACORUBI','FLORIANOPOLIS','SC',21876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,327,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2272130,4.00,5.00,6.00,5.00,5.00,5.75,5.00,5.00,3.00,220,203,214,'JARDIM PANORAMA','BAURU','SP',10489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272148,4.00,5.00,4.00,3.00,8.00,6.00,4.00,4.00,2.00,5,339,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',14890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2272156,3.00,4.00,4.00,3.00,3.00,4.75,3.00,2.00,2.00,212,301,NULL,'SÃO CRISTOVÃO','PASSO FUNDO','RS',21511,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2272164,7.00,8.00,6.00,9.00,7.00,5.25,9.00,9.00,5.00,103,101,NULL,'AREIAS','SAO JOSE','SC',1177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,225,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2272180,4.00,4.00,5.00,6.00,3.00,5.25,4.00,8.00,5.00,220,202,203,'SANTANA','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2272199,2.00,6.00,3.00,4.00,6.00,4.50,5.00,5.00,2.00,108,326,NULL,'TAPERA','FLORIANOPOLIS','SC',15645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272202,4.00,6.00,2.00,2.00,4.00,5.25,3.00,3.00,3.00,102,211,NULL,'JARDIM AMERICA','PONTA GROSSA','PR',19425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272210,3.00,7.00,5.00,4.00,8.00,6.00,5.00,6.00,3.00,5,319,NULL,'CENTRO','PATO BRANCO','PR',8839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272229,3.00,7.00,5.00,7.00,7.00,6.25,4.00,5.00,5.00,108,101,NULL,'CENTRO','SALTO','SP',6544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272253,5.00,7.00,6.00,6.00,7.00,4.50,7.00,6.00,6.00,103,501,NULL,'CAMPO BELO','LONDRINA','PR',5161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272261,1.00,2.00,0.00,1.00,4.00,NULL,4.00,1.00,2.00,309,339,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2272270,4.00,8.00,6.00,6.00,6.00,3.50,4.00,5.00,3.00,427,302,426,'TRINDADE','FLORIANOPOLIS','SC',10827,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2272288,4.00,5.00,3.00,5.00,8.00,4.75,4.00,3.00,2.00,309,303,NULL,'CENTRO','FLORIANOPOLIS','SC',15370,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2272296,6.00,8.00,6.00,6.00,6.00,5.50,7.00,4.00,4.00,103,104,NULL,'PORTÃO','CURITIBA','PR',7089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2272300,1.00,8.00,2.00,3.00,6.00,3.50,3.00,6.00,2.00,207,332,238,'ESTREITO','FLORIANOPOLIS','SC',18926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272318,3.00,5.00,5.00,8.00,9.00,5.75,3.00,5.00,4.00,220,201,211,'CENTRO','PRAIA GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2272326,1.00,4.00,2.00,7.00,5.00,5.25,3.00,2.00,2.00,238,5,208,'JOÃO PAULO','FLORIANOPOLIS','SC',19742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272334,5.00,7.00,4.00,7.00,6.00,6.00,5.00,6.00,6.00,301,326,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272342,8.00,6.00,7.00,1.00,8.00,6.00,5.00,2.00,6.00,103,104,NULL,'CENTRO CÍVICO','CURITIBA','PR',7693,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2272350,2.00,3.00,0.00,5.00,2.00,NULL,4.00,4.00,1.00,329,108,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2272369,6.00,9.00,2.00,9.00,7.00,6.75,4.00,7.00,5.00,103,333,NULL,'ABRAÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272377,0.00,3.00,1.00,1.00,3.00,NULL,2.00,3.00,3.00,208,9,238,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272393,3.00,5.00,3.00,5.00,5.00,6.75,3.00,5.00,3.00,327,320,NULL,'SANTA LUZIA','CRICIUMA','SC',16219,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2272407,4.00,7.00,4.00,8.00,8.00,6.75,4.00,6.00,4.00,103,450,NULL,'CENTRO','TAIO','SC',6682,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2272415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,234,214,'VILA MARIANA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2272423,7.00,8.00,6.00,7.00,9.00,7.00,5.00,8.00,4.00,415,429,NULL,'PETROPOLIS','LAGES','SC',2749,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2272431,5.00,8.00,6.00,6.00,8.00,4.25,8.00,4.00,4.00,103,217,NULL,'CENTRO','BRUSQUE','SC',6378,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2272440,6.00,8.00,5.00,3.00,6.00,5.75,4.00,6.00,3.00,317,329,NULL,'CAMPINAS','SAO JOSE','SC',9978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272458,4.00,6.00,8.00,3.00,8.00,6.00,9.00,3.00,7.00,203,214,202,'JARDIM MORUMBI','PIRASSUNUNGA','SP',5802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272466,3.00,6.00,3.00,6.00,6.00,5.00,3.00,4.00,2.00,222,NULL,NULL,'PACHECOS','PALHOCA','SC',16238,28,NULL,NULL,NULL,NULL,NULL,2,1),(15,2272482,6.00,5.00,4.00,0.00,8.00,6.00,4.00,6.00,3.00,103,NULL,NULL,'CENTRO','FRANCISCO BELTRAO','PR',11550,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2272490,4.00,7.00,7.00,5.00,8.00,5.75,6.00,7.00,3.00,201,214,212,'CENTRO','CACADOR','SC',5364,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2272504,2.00,7.00,4.00,5.00,6.00,3.50,4.00,6.00,3.00,212,318,202,'BPS PINHEIRINHO','ITAJUBA','MG',14332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272520,2.00,8.00,5.00,7.00,7.00,6.00,4.00,8.00,3.00,238,NULL,208,'SAO SEBASTIAO','PALHOCA','SC',7225,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2272539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,327,216,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2272547,7.00,6.00,4.00,5.00,7.00,6.50,6.00,8.00,6.00,103,217,NULL,'CENTRO OESTE','CATANDUVAS','SC',5396,1520,274,NULL,NULL,NULL,NULL,4,7),(15,2272571,1.00,5.00,4.00,1.00,6.00,NULL,1.00,2.00,2.00,103,319,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2272580,1.00,4.00,2.00,6.00,5.00,5.75,2.00,3.00,1.00,331,326,NULL,'CAMPINAS','SAO JOSE','SC',20832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2272598,3.00,6.00,3.00,7.00,7.00,6.75,4.00,6.00,1.00,103,217,NULL,'CENTRO','FLORIANOPOLIS','SC',9640,2100,362,NULL,NULL,NULL,NULL,4,1),(15,2272601,2.00,3.00,2.00,6.00,4.00,6.75,2.00,5.00,3.00,420,104,NULL,'VERGUEIRO','PASSO FUNDO','RS',17502,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2272610,2.00,5.00,1.00,5.00,4.00,5.75,3.00,6.00,4.00,319,327,NULL,'ROÇADO','SAO JOSE','SC',16709,345,396,NULL,NULL,NULL,NULL,2,1),(15,2272628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,425,213,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2272636,5.00,8.00,3.00,2.00,7.00,6.00,5.00,4.00,3.00,320,5,NULL,'CENTRO','SAO LUDGERO','SC',12553,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2272644,1.00,3.00,1.00,1.00,2.00,NULL,4.00,3.00,1.00,420,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2272652,6.00,6.00,7.00,7.00,6.00,7.50,4.00,6.00,4.00,303,104,NULL,'CENTRO','IBIRAMA','SC',5409,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2272660,3.00,3.00,2.00,1.00,4.00,4.00,2.00,4.00,2.00,420,203,NULL,'CENTRO','ABELARDO LUZ','SC',22302,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2272679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,301,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2272687,6.00,8.00,4.00,8.00,5.00,5.75,8.00,6.00,4.00,103,319,NULL,'BARREIROS','SAO JOSE','SC',5932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272695,1.00,8.00,4.00,7.00,5.00,5.50,3.00,4.00,3.00,238,324,212,'CENTRO','FLORIANOPOLIS','SC',14210,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2272709,3.00,5.00,3.00,5.00,5.00,5.75,4.00,2.00,3.00,501,216,NULL,'CAMPECHE','FLORIANOPOLIS','SC',16255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272725,5.00,6.00,6.00,7.00,7.00,6.00,4.00,4.00,4.00,319,333,NULL,'CENTRO','APUCARANA','PR',8386,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2272733,7.00,6.00,7.00,8.00,8.00,5.25,9.00,7.00,6.00,103,101,NULL,'TATUAPÉ','SAO PAULO','SP',1933,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2272741,4.00,6.00,2.00,3.00,5.00,6.25,3.00,4.00,2.00,104,207,NULL,'ALTO DA GLÓRIA','CURITIBA','PR',16933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272750,4.00,6.00,1.00,6.00,8.00,4.75,5.00,5.00,4.00,103,102,NULL,'JARDIM ITALIA','CHAPECO','SC',11193,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2272768,1.00,5.00,3.00,1.00,3.00,4.50,2.00,3.00,3.00,329,333,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',22369,82,1086,NULL,NULL,NULL,NULL,4,1),(15,2272776,2.00,6.00,3.00,7.00,7.00,7.50,4.00,3.00,3.00,103,301,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',13496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,102,203,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2272792,2.00,6.00,4.00,5.00,7.00,5.50,6.00,5.00,4.00,5,316,NULL,'CENTRO','CANAVIEIRAS','BA',9651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272806,3.00,4.00,4.00,6.00,5.00,4.50,7.00,2.00,3.00,451,329,NULL,'BARREIROS','SAO JOSE','SC',14443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272814,4.00,4.00,3.00,6.00,5.00,3.00,3.00,2.00,5.00,444,304,NULL,'CAMPINAS','SAO JOSE','SC',17604,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2272822,2.00,3.00,2.00,0.00,5.00,NULL,4.00,4.00,1.00,238,316,201,'JOSE MENDEZ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272830,0.00,3.00,1.00,2.00,3.00,NULL,3.00,1.00,0.00,451,424,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2272857,5.00,8.00,5.00,8.00,7.00,5.75,5.00,6.00,2.00,103,NULL,NULL,'JARDINS','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2272865,4.00,8.00,3.00,6.00,8.00,6.25,6.00,7.00,6.00,103,5,NULL,'CENTRO','SIDEROPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2272873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'JARDIM BOTÂNICO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2272881,1.00,5.00,3.00,4.00,4.00,6.00,4.00,4.00,2.00,101,9,NULL,'CENTRO','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2272890,6.00,9.00,8.00,9.00,7.00,7.25,8.00,7.00,7.00,201,222,202,'CENTRO','ITAJAI','SC',469,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2272903,1.00,4.00,3.00,0.00,5.00,NULL,2.00,3.00,2.00,5,207,NULL,'SANTANA','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2272911,4.00,8.00,0.00,4.00,6.00,NULL,3.00,9.00,3.00,415,326,NULL,'CANTO DOS GANCHOS','GOVERNADOR CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272938,7.00,9.00,9.00,7.00,8.00,7.00,8.00,7.00,7.00,103,NULL,NULL,'COQUEIROS','FLORIANOPOLIS','SC',664,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2272946,3.00,4.00,3.00,6.00,6.00,3.50,2.00,5.00,4.00,324,320,NULL,'BARREIROS','SAO JOSE','SC',16071,43,NULL,NULL,NULL,NULL,NULL,2,1),(15,2272954,8.00,8.00,5.00,8.00,9.00,5.75,5.00,8.00,6.00,103,101,NULL,'ÁGUA VERDE','BLUMENAU','SC',2503,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2272962,5.00,6.00,3.00,7.00,5.00,4.75,7.00,6.00,4.00,318,217,NULL,'CENTRO','CANOINHAS','SC',9500,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2272970,2.00,4.00,1.00,4.00,6.00,6.75,3.00,2.00,4.00,428,429,426,'IMIGRANTES','TIMBO','SC',19512,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2272997,1.00,3.00,4.00,4.00,4.00,5.75,3.00,1.00,1.00,332,102,NULL,'ESTREITO','FLORIANOPOLIS','SC',21869,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2273004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,216,NULL,'CENTRO','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2273012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,238,NULL,'JARDIM MARIA LUIZA','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2273020,3.00,6.00,4.00,8.00,6.00,5.50,4.00,7.00,3.00,333,326,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2273039,5.00,8.00,8.00,6.00,7.00,7.00,7.00,8.00,4.00,202,203,233,'CENTRO','ROLANDIA','PR',2851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'PERDIZES','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2273055,4.00,6.00,4.00,6.00,5.00,2.25,5.00,6.00,2.00,104,331,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2273063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,308,201,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2273071,3.00,5.00,6.00,3.00,7.00,3.50,5.00,3.00,4.00,224,324,NULL,'CENTRO','FLORIANOPOLIS','SC',15015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273080,1.00,5.00,1.00,4.00,4.00,5.25,3.00,4.00,3.00,103,9,NULL,'PARQUE SÃO JORGE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273098,1.00,4.00,0.00,2.00,3.00,NULL,2.00,2.00,3.00,215,216,211,'SÃO LUIZ','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2273101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,215,211,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2273110,4.00,4.00,3.00,0.00,6.00,7.25,2.00,2.00,1.00,316,304,NULL,'IRIRIU','JOINVILLE','SC',20375,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2273128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,233,214,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2273136,1.00,5.00,5.00,5.00,6.00,5.25,4.00,4.00,1.00,108,9,NULL,'CIDADE ALTA','TURVO','SC',17518,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2273144,3.00,5.00,3.00,3.00,6.00,6.50,3.00,6.00,1.00,316,317,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',17812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273152,3.00,4.00,1.00,1.00,4.00,4.00,3.00,4.00,4.00,238,332,208,'FAZENDA STO ANTÔNIO','SAO JOSE','SC',21462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALPHAVILLE','SANTANA DE PARNAIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2273179,3.00,6.00,4.00,5.00,8.00,6.50,5.00,3.00,1.00,103,9,NULL,'CENTRO','FLORIANOPOLIS','SC',12719,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2273187,0.00,5.00,3.00,2.00,6.00,5.00,4.00,3.00,3.00,216,220,211,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',20416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273195,3.00,6.00,6.00,4.00,8.00,5.00,6.00,5.00,3.00,301,211,NULL,'SANTO ANTÔNIO DE LIS','FLORIANOPOLIS','SC',10054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273209,2.00,4.00,0.00,2.00,5.00,4.50,5.00,4.00,1.00,339,329,NULL,'PADRE REUS','SAO JOSE DO CEDRO','SC',22078,170,271,NULL,NULL,NULL,NULL,4,4),(15,2273217,2.00,2.00,2.00,2.00,4.00,NULL,1.00,0.00,2.00,103,303,NULL,'CENTRO','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2273225,6.00,8.00,7.00,6.00,9.00,7.50,7.00,8.00,6.00,103,102,NULL,'BAEPENDI','JARAGUA DO SUL','SC',1263,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2273233,4.00,9.00,6.00,6.00,8.00,6.75,7.00,4.00,3.00,104,303,NULL,'VILA MOEMA','TUBARAO','SC',5984,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2273241,2.00,6.00,2.00,4.00,4.00,6.00,3.00,4.00,4.00,333,234,NULL,'CENTRO','IRANI','SC',17718,297,228,NULL,NULL,NULL,NULL,4,7),(15,2273250,4.00,5.00,4.00,6.00,4.00,6.25,4.00,4.00,2.00,103,NULL,NULL,'PARQUE SAO JORGE','FLORIANOPOLIS','SC',16664,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,318,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2273276,3.00,7.00,2.00,2.00,7.00,6.75,5.00,4.00,2.00,303,5,NULL,'CENTRO','SANTA MARIA','RS',16410,748,1259,NULL,NULL,NULL,NULL,4,2),(15,2273284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,415,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2273292,3.00,5.00,1.00,4.00,5.00,6.50,1.00,4.00,2.00,103,101,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',20146,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2273306,1.00,5.00,0.00,6.00,2.00,NULL,3.00,3.00,4.00,444,234,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2273314,5.00,8.00,2.00,4.00,7.00,7.00,5.00,7.00,2.00,103,108,NULL,'SÃO VICENTE','ITAJAI','SC',9505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273322,4.00,5.00,3.00,6.00,7.00,6.00,2.00,4.00,4.00,319,9,NULL,'SANTINHO','FLORIANOPOLIS','SC',13520,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2273330,4.00,5.00,6.00,3.00,6.00,5.50,6.00,3.00,3.00,220,213,203,'JARDIM CANADÁ','LONDRINA','PR',12414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273349,3.00,3.00,4.00,4.00,3.00,5.00,5.00,3.00,2.00,333,108,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273357,3.00,6.00,2.00,5.00,2.00,NULL,3.00,5.00,3.00,301,316,NULL,'FORQUILHINHA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2273365,5.00,7.00,7.00,9.00,5.00,5.50,7.00,7.00,4.00,104,201,NULL,'COMERCIÁRIO','CRICIUMA','SC',3463,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2273373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,301,NULL,'SANTA BARBÁRA','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2273381,5.00,7.00,4.00,6.00,7.00,5.75,4.00,5.00,4.00,203,214,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',9280,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2273390,4.00,8.00,5.00,8.00,6.00,6.75,7.00,7.00,5.00,103,316,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',4236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273411,3.00,8.00,3.00,6.00,7.00,4.50,4.00,5.00,4.00,404,339,NULL,'CENTRO','LAGES','SC',10436,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2273420,2.00,5.00,2.00,1.00,1.00,NULL,3.00,3.00,2.00,104,103,NULL,'PARAISO','CACADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2273438,3.00,7.00,3.00,6.00,7.00,6.25,4.00,9.00,3.00,303,301,NULL,'CENTRO','DESCANSO','SC',9076,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2273446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,444,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2273454,6.00,7.00,5.00,3.00,8.00,5.00,8.00,4.00,7.00,103,104,NULL,'CENTRO','CANAVIEIRAS','BA',5492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273462,5.00,5.00,2.00,8.00,5.00,4.75,4.00,3.00,4.00,420,303,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273470,4.00,6.00,5.00,5.00,5.00,6.00,5.00,7.00,5.00,420,332,NULL,'CAMPECHE','FLORIANOPOLIS','SC',8019,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2273489,4.00,5.00,4.00,3.00,3.00,3.75,0.00,3.00,2.00,317,308,NULL,'COSTEIRA','FLORIANOPOLIS','SC',22093,420,489,NULL,NULL,NULL,NULL,2,1),(15,2273497,3.00,6.00,2.00,6.00,5.00,6.25,3.00,7.00,1.00,415,326,NULL,'ASA SUL','BRASILIA','DF',12581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273500,2.00,5.00,3.00,3.00,5.00,6.00,2.00,4.00,2.00,217,102,NULL,'IPIRANGA','SAO PAULO','SP',19149,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2273519,4.00,7.00,6.00,6.00,9.00,6.00,7.00,7.00,4.00,104,NULL,NULL,'DEHON','TUBARAO','SC',3910,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2273527,2.00,7.00,0.00,7.00,7.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'MUNICÍPIOS','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,6),(15,2273535,2.00,8.00,4.00,2.00,4.00,6.00,5.00,8.00,3.00,501,303,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',12243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273543,5.00,9.00,8.00,8.00,7.00,5.25,7.00,7.00,6.00,303,5,NULL,'PROGRESSO','RIO DO SUL','SC',2722,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2273560,3.00,5.00,5.00,3.00,7.00,7.50,5.00,4.00,3.00,238,451,208,'SAO LUIZ','SOMBRIO','SC',13406,485,201,498,NULL,NULL,NULL,2,5),(15,2273578,0.00,4.00,4.00,4.00,6.00,5.00,5.00,5.00,3.00,332,333,NULL,'CENTRO','FLORIANOPOLIS','SC',17387,96,896,NULL,NULL,NULL,NULL,4,1),(15,2273586,3.00,7.00,7.00,7.00,7.00,4.50,8.00,5.00,3.00,450,420,NULL,'JD PACAEMBU','CAMPINAS','SP',5503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273594,2.00,6.00,2.00,5.00,7.00,6.50,4.00,5.00,2.00,104,9,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2273608,7.00,8.00,9.00,9.00,8.00,6.75,9.00,7.00,4.00,220,101,208,'TRINDADE','FLORIANOPOLIS','SC',891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273616,5.00,8.00,6.00,8.00,8.00,4.50,7.00,6.00,3.00,420,425,NULL,'SERRINHA','FLORIANOPOLIS','SC',4604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273632,1.00,7.00,4.00,6.00,8.00,6.50,4.00,5.00,2.00,420,415,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2273640,1.00,4.00,2.00,4.00,4.00,6.25,5.00,6.00,3.00,310,423,NULL,'SERRINHA','FLORIANOPOLIS','SC',17676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2273659,3.00,5.00,6.00,8.00,6.00,5.75,7.00,7.00,1.00,302,304,NULL,'CENTRO','FLORIANOPOLIS','SC',8459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,333,NULL,'VILA PORTES','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2273675,3.00,8.00,2.00,4.00,8.00,5.25,7.00,7.00,3.00,103,102,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',8961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273691,3.00,6.00,5.00,2.00,7.00,6.00,6.00,6.00,4.00,316,318,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',10687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273705,4.00,5.00,2.00,0.00,5.00,4.25,4.00,4.00,4.00,420,201,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',19688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273713,3.00,6.00,5.00,4.00,6.00,4.50,7.00,3.00,2.00,203,2,202,'CENTRO','URUSSANGA','SC',14294,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2273721,2.00,5.00,6.00,5.00,5.00,4.00,6.00,4.00,2.00,444,501,NULL,'CENTRO','PONTE ALTA','SC',15002,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2273730,3.00,5.00,2.00,3.00,3.00,6.50,3.00,3.00,1.00,333,202,NULL,'BORBA GATO','MARINGA','PR',20624,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2273748,2.00,6.00,1.00,1.00,4.00,NULL,2.00,3.00,2.00,9,NULL,NULL,'SANTA LUZIA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2273756,0.00,2.00,1.00,0.00,2.00,NULL,2.00,2.00,2.00,333,234,NULL,'CENTRO','IRANI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2273764,2.00,7.00,3.00,5.00,4.00,5.75,4.00,5.00,3.00,211,201,214,'GARCIA','BLUMENAU','SC',15557,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2273772,3.00,7.00,2.00,4.00,4.00,5.00,5.00,4.00,2.00,201,420,202,'CENTRO','ITAJAI','SC',17383,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2273780,4.00,5.00,3.00,6.00,5.00,4.50,4.00,6.00,5.00,423,421,427,'CAIEIRA DO NORTE','GOVERNADOR CELSO RAMOS','SC',12964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2273799,3.00,7.00,1.00,2.00,3.00,4.25,2.00,4.00,3.00,5,320,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',21916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2273802,4.00,7.00,7.00,6.00,5.00,3.00,6.00,7.00,3.00,238,318,208,'TRINDADE','FLORIANOPOLIS','SC',8530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273810,4.00,3.00,4.00,7.00,8.00,7.75,3.00,2.00,6.00,316,333,NULL,'CAMPINAS','SAO JOSE','SC',10883,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2273837,3.00,8.00,3.00,9.00,7.00,6.50,5.00,6.00,3.00,303,310,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',6033,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2273845,2.00,5.00,6.00,5.00,6.00,7.25,4.00,3.00,1.00,415,NULL,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2273853,2.00,6.00,9.00,9.00,8.00,6.50,7.00,7.00,5.00,207,217,233,'TRINDADE','FLORIANOPOLIS','SC',3398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273870,4.00,7.00,3.00,6.00,5.00,5.25,6.00,5.00,4.00,102,103,NULL,'KOBRASOL','SAO JOSE','SC',10400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273900,7.00,9.00,6.00,8.00,7.00,6.25,8.00,6.00,6.00,211,329,NULL,'CIDADE BAIXA','PORTO ALEGRE','RS',1640,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2273918,1.00,8.00,2.00,3.00,7.00,5.50,2.00,8.00,2.00,319,309,NULL,'GLÓRIA','JOINVILLE','SC',14984,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2273934,5.00,7.00,6.00,2.00,6.00,5.00,6.00,4.00,2.00,303,319,NULL,'CENTRO','FLORIANOPOLIS','SC',12056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273942,4.00,6.00,2.00,4.00,7.00,5.25,1.00,1.00,1.00,303,333,NULL,'IATE CLUBE AMERICANA','AMERICANA','SP',19223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2273969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,301,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2273977,4.00,7.00,4.00,4.00,5.00,5.00,5.00,7.00,2.00,316,317,NULL,'COSTA E SILVA','JOINVILLE','SC',12068,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2273985,1.00,7.00,2.00,4.00,3.00,4.00,2.00,4.00,3.00,208,222,238,'FUNDOS','BIGUACU','SC',21189,853,226,786,NULL,NULL,NULL,4,1),(15,2273993,0.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,316,308,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2274000,1.00,5.00,4.00,2.00,6.00,3.00,4.00,3.00,3.00,450,208,NULL,'CAMPINAS','SAO JOSE','SC',20255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274019,6.00,7.00,6.00,5.00,5.00,5.50,8.00,4.00,5.00,103,5,NULL,'LAGO PARQUE','LONDRINA','PR',6197,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2274027,2.00,4.00,3.00,5.00,2.00,NULL,2.00,3.00,4.00,301,316,NULL,'FRAGOSOS','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2274035,2.00,6.00,3.00,8.00,7.00,5.75,4.00,5.00,1.00,203,233,214,'CENTRO','TIJUCAS','SC',13483,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2274043,0.00,0.00,0.00,1.00,6.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'SÃO CRISTOVÃO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,7),(15,2274051,3.00,6.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,444,502,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274060,1.00,8.00,3.00,3.00,6.00,6.25,7.00,5.00,5.00,216,217,208,'TARUMÃ','CURITIBA','PR',9609,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2274078,7.00,6.00,7.00,6.00,7.00,6.50,7.00,6.00,5.00,216,404,215,'VILA MARANDUBA','GUARULHOS','SP',3247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274086,4.00,7.00,3.00,6.00,6.00,4.50,2.00,4.00,4.00,415,2,NULL,'CENTRO','TURVO','SC',14172,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2274094,2.00,3.00,5.00,3.00,5.00,7.75,4.00,2.00,3.00,207,420,208,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274108,3.00,6.00,6.00,5.00,7.00,4.50,4.00,3.00,2.00,238,421,202,'PASSA VINTE','PALHOCA','SC',14904,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2274116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,201,NULL,'LAGO SUL','LAGO SUL','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2274124,3.00,7.00,4.00,2.00,7.00,4.50,5.00,6.00,2.00,327,5,NULL,'TESTO SALTO','BLUMENAU','SC',15200,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2274132,4.00,7.00,5.00,6.00,7.00,6.00,5.00,6.00,2.00,203,202,220,'VILA NOVA','BLUMENAU','SC',8973,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2274140,3.00,6.00,4.00,8.00,5.00,5.00,6.00,4.00,3.00,202,203,216,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,217,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2274167,4.00,4.00,5.00,5.00,7.00,5.75,4.00,2.00,4.00,203,421,215,'DOM JOAQUIM','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2274175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,316,NULL,'VALE DO SOL','TREMEMBE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2274183,1.00,4.00,6.00,6.00,6.00,5.75,5.00,3.00,2.00,212,451,211,'CAPOEIRAS','FLORIANOPOLIS','SC',14781,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2274191,2.00,7.00,3.00,4.00,5.00,5.00,5.00,4.00,3.00,316,339,NULL,'MEIA PRAIA','ITAPEMA','SC',15620,433,291,NULL,NULL,NULL,NULL,2,3),(15,2274205,5.00,6.00,3.00,2.00,6.00,6.00,4.00,4.00,5.00,103,339,NULL,'CENTRO','LAGES','SC',12696,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2274213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,339,NULL,'PONTA DE BAIXO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2274221,3.00,5.00,1.00,6.00,6.00,6.00,3.00,4.00,3.00,429,502,424,'INGLESES','FLORIANOPOLIS','SC',15140,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2274230,3.00,3.00,3.00,6.00,2.00,NULL,3.00,2.00,3.00,404,301,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2274248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,104,NULL,'AUXILIADORA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2274256,4.00,5.00,7.00,3.00,5.00,5.25,6.00,3.00,3.00,224,NULL,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',11953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274264,3.00,5.00,3.00,1.00,5.00,3.50,4.00,2.00,3.00,303,108,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',20074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,201,238,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2274280,2.00,5.00,0.00,2.00,6.00,4.00,7.00,3.00,1.00,208,238,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',20011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,333,212,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2274302,5.00,7.00,1.00,4.00,3.00,4.75,3.00,6.00,2.00,103,104,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2274310,4.00,5.00,4.00,5.00,8.00,4.75,5.00,5.00,4.00,203,234,202,'CENTRO','FLORIANOPOLIS','SC',10814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2274329,3.00,7.00,3.00,4.00,6.00,4.75,3.00,5.00,3.00,424,301,421,'CARIANOS','FLORIANOPOLIS','SC',15644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2274337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2274345,2.00,7.00,2.00,6.00,5.00,5.50,2.00,5.00,3.00,425,424,428,'AGRONOMICA','FLORIANOPOLIS','SC',14961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274353,3.00,5.00,7.00,3.00,5.00,5.25,5.00,3.00,4.00,207,415,216,'PARAGUAI','JACINTO MACHADO','SC',14326,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2274361,3.00,8.00,5.00,6.00,5.00,5.75,6.00,5.00,5.00,208,421,238,'CARIANOS','FLORIANOPOLIS','SC',7555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274370,3.00,8.00,2.00,5.00,7.00,5.50,6.00,5.00,4.00,316,333,NULL,'BARREIROS','SAO JOSE','SC',10483,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2274388,4.00,8.00,6.00,7.00,6.00,6.25,6.00,9.00,5.00,203,233,220,'CENTRO','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2274396,1.00,1.00,1.00,0.00,2.00,NULL,2.00,1.00,2.00,404,308,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274400,7.00,9.00,9.00,8.00,9.00,8.00,9.00,8.00,7.00,103,102,NULL,'AMERICA','JOINVILLE','SC',193,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2274418,7.00,8.00,9.00,7.00,7.00,7.25,8.00,7.00,7.00,201,207,212,'JOÃO PAULO','FLORIANOPOLIS','SC',795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274426,5.00,6.00,3.00,3.00,7.00,5.50,5.00,5.00,2.00,333,108,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',13976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274434,2.00,3.00,2.00,0.00,0.00,NULL,2.00,2.00,2.00,444,303,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(15,2274442,4.00,7.00,5.00,7.00,6.00,5.75,5.00,6.00,2.00,214,420,201,'CENTRO','LAGES','SC',9497,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2274450,3.00,8.00,4.00,6.00,5.00,5.25,5.00,4.00,4.00,202,2,213,'INGLESES','FLORIANOPOLIS','SC',10570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2274469,2.00,6.00,2.00,6.00,6.00,5.00,4.00,2.00,2.00,108,331,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',16942,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2274477,3.00,5.00,4.00,4.00,6.00,5.50,2.00,6.00,1.00,103,220,NULL,'CANTO DOS GANCHOS','GOVERNADOR CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274485,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,104,319,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(15,2274493,4.00,6.00,5.00,7.00,7.00,5.75,5.00,5.00,3.00,103,216,NULL,'MICHEL','CRICIUMA','SC',10215,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2274507,3.00,6.00,2.00,6.00,6.00,6.00,4.00,4.00,2.00,327,425,NULL,'CAMPINAS','SAO JOSE','SC',13941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274515,5.00,5.00,4.00,5.00,7.00,5.00,8.00,3.00,1.00,214,303,220,'BARREIROS','SAO JOSE','SC',12506,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2274523,6.00,6.00,2.00,8.00,6.00,3.00,6.00,7.00,3.00,420,329,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',9498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274531,3.00,4.00,3.00,7.00,5.00,5.00,3.00,2.00,0.00,301,326,NULL,'VILA SÃO JOSÉ','ARARANGUA','SC',20450,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2274558,3.00,7.00,5.00,9.00,7.00,6.50,6.00,6.00,3.00,103,101,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274566,1.00,5.00,2.00,3.00,6.00,6.50,3.00,5.00,2.00,207,212,201,'AGRONÔMICA','FLORIANOPOLIS','SC',18069,860,560,960,NULL,NULL,NULL,2,1),(15,2274574,2.00,5.00,2.00,4.00,4.00,7.00,3.00,3.00,4.00,9,415,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2274590,2.00,5.00,1.00,1.00,5.00,NULL,3.00,2.00,2.00,103,303,NULL,'VILA MARIANA','TAIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2274604,3.00,4.00,2.00,5.00,5.00,5.00,5.00,4.00,2.00,103,101,NULL,'JURERÊ TRADICIONAL','FLORIANOPOLIS','SC',17793,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2274612,7.00,7.00,6.00,6.00,9.00,8.25,6.00,3.00,5.00,103,102,NULL,'LA SALLE','PATO BRANCO','PR',4751,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2274620,1.00,5.00,2.00,3.00,2.00,NULL,2.00,2.00,2.00,339,327,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274639,7.00,7.00,8.00,8.00,8.00,4.75,7.00,6.00,6.00,211,108,216,'VILA MOEMA','TUBARAO','SC',2171,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2274647,2.00,5.00,2.00,7.00,4.00,5.00,5.00,2.00,3.00,318,324,NULL,'PANTANAL','FLORIANOPOLIS','SC',18055,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2274655,7.00,8.00,5.00,9.00,6.00,5.75,8.00,6.00,5.00,316,318,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',2970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,103,NULL,'ZONA SETE','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2274671,7.00,9.00,9.00,9.00,8.00,7.50,9.00,8.00,7.00,108,2,NULL,'CENTRO','FLORIANOPOLIS','SC',64,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274680,3.00,4.00,3.00,1.00,4.00,5.00,3.00,1.00,3.00,208,302,238,'ITACORUBI','FLORIANOPOLIS','SC',21528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274698,3.00,4.00,0.00,1.00,3.00,NULL,2.00,3.00,2.00,104,301,NULL,'NOVA DIVINEIA','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2274701,4.00,7.00,6.00,8.00,6.00,4.75,7.00,8.00,1.00,203,103,214,'SACO DOS LIMOES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,5,NULL,'SANTA TEREZINHA','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2274728,1.00,7.00,1.00,6.00,5.00,4.75,3.00,4.00,2.00,404,103,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',18958,180,3252,NULL,NULL,NULL,NULL,2,10),(15,2274736,0.00,2.00,0.00,4.00,2.00,NULL,1.00,6.00,3.00,404,444,NULL,'CENTRO','ARMAZEM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2274744,1.00,2.00,1.00,2.00,4.00,4.50,4.00,3.00,3.00,9,NULL,NULL,'CENTRO','CAMPO NOVO DO PARECIS','MT',22114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274752,3.00,7.00,3.00,3.00,8.00,4.50,5.00,5.00,4.00,308,217,NULL,'CARIANOS','FLORIANOPOLIS','SC',12948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274760,6.00,9.00,6.00,4.00,9.00,8.00,9.00,8.00,4.00,103,428,NULL,'CENTRO','FLORIANOPOLIS','SC',2071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274779,2.00,4.00,2.00,4.00,6.00,6.00,2.00,5.00,5.00,5,102,NULL,'CENTRO','SORRISO','MT',18197,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2274795,0.00,3.00,0.00,1.00,4.00,NULL,2.00,4.00,1.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2274809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,331,NULL,'NSA SRA DO ROSÁRIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2274817,3.00,7.00,4.00,4.00,7.00,5.50,4.00,7.00,5.00,216,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2274825,3.00,2.00,2.00,4.00,3.00,NULL,0.00,4.00,1.00,333,502,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2274833,2.00,6.00,5.00,4.00,4.00,3.50,6.00,5.00,1.00,102,103,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',17865,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2274841,0.00,0.00,0.00,5.00,5.00,NULL,5.00,4.00,2.00,404,9,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(15,2274850,3.00,8.00,6.00,4.00,7.00,4.75,4.00,5.00,2.00,316,317,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',10961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274868,3.00,7.00,1.00,4.00,7.00,6.50,3.00,7.00,4.00,303,5,NULL,'CENTRO','SARANDI','RS',11101,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2274876,3.00,7.00,2.00,6.00,8.00,7.25,5.00,7.00,4.00,426,451,423,'CAPOEIRAS','FLORIANOPOLIS','SC',8616,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2274884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,304,NULL,'CENTRO','SAO JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2274892,5.00,7.00,8.00,7.00,7.00,5.25,8.00,3.00,7.00,214,216,220,'CAMPO GRANDE','SANTOS','SP',4221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274906,2.00,7.00,3.00,2.00,4.00,4.50,5.00,4.00,3.00,317,225,NULL,'KOBRASOL','SAO JOSE','SC',17529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274914,2.00,3.00,0.00,5.00,4.00,NULL,3.00,3.00,1.00,104,102,NULL,'OFICINAS','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2274922,3.00,7.00,3.00,5.00,4.00,4.00,4.00,3.00,3.00,318,101,NULL,'CENTRO','FLORIANOPOLIS','SC',17199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274949,1.00,3.00,2.00,3.00,2.00,NULL,3.00,2.00,3.00,304,303,NULL,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2274957,4.00,4.00,2.00,3.00,6.00,5.75,6.00,3.00,5.00,208,425,238,'PRAIA COMPRIDA','SAO JOSE','SC',16638,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274965,0.00,5.00,0.00,7.00,6.00,NULL,4.00,3.00,3.00,211,9,215,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2274973,4.00,7.00,4.00,6.00,6.00,4.00,3.00,5.00,4.00,233,207,214,'APARECIDA','SANTOS','SP',12523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2274981,4.00,6.00,4.00,7.00,7.00,0.00,4.00,5.00,4.00,319,328,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2274990,3.00,8.00,2.00,7.00,5.00,4.75,6.00,7.00,1.00,201,212,NULL,'WERNER PLAAS','AMERICANA','SP',12003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275007,5.00,5.00,5.00,5.00,6.00,4.50,5.00,5.00,4.00,108,332,NULL,'CENTRO','FLORIANOPOLIS','SC',11190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275015,1.00,7.00,5.00,4.00,8.00,6.50,5.00,7.00,2.00,316,301,NULL,'CENTRO','BLUMENAU','SC',8662,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2275023,1.00,7.00,5.00,7.00,5.00,5.25,3.00,5.00,5.00,214,213,220,'SERRANO I','PARAISO DO TOCANTINS','TO',11974,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2275031,3.00,6.00,4.00,7.00,5.00,4.75,6.00,3.00,2.00,220,208,202,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275040,2.00,3.00,1.00,2.00,4.00,5.25,2.00,5.00,2.00,301,326,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',22183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275058,5.00,4.00,4.00,3.00,4.00,3.25,4.00,4.00,3.00,201,302,233,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275066,0.00,4.00,1.00,1.00,5.00,NULL,2.00,3.00,3.00,9,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2275074,8.00,8.00,9.00,7.00,9.00,7.00,9.00,7.00,9.00,103,101,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',89,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2275082,3.00,4.00,2.00,7.00,6.00,4.50,3.00,4.00,2.00,203,103,216,'FATIMA','FREDERICO WESTPHALEN','RS',17429,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2275090,2.00,8.00,5.00,4.00,5.00,6.50,1.00,7.00,2.00,328,415,NULL,'CANTO DOS GANCHOS','GOVERNADOR CELSO RAMOS','SC',14970,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2275104,4.00,5.00,2.00,3.00,5.00,5.00,2.00,4.00,2.00,301,102,NULL,'MARGEM ESQUERDA','GASPAR','SC',19732,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2275112,2.00,4.00,2.00,6.00,7.00,4.50,3.00,3.00,2.00,423,339,426,'FORQUILHINHAS','SAO JOSE','SC',18715,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2275120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'VILA SÃO JOÃO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2275147,2.00,6.00,2.00,6.00,7.00,4.50,4.00,6.00,2.00,201,212,233,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2275155,3.00,7.00,4.00,4.00,6.00,6.25,6.00,5.00,4.00,103,415,NULL,'JURERE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275163,5.00,5.00,2.00,6.00,7.00,4.50,2.00,4.00,2.00,103,5,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2275180,2.00,7.00,1.00,4.00,6.00,6.00,6.00,6.00,2.00,9,102,NULL,'VILA NOVA','ICARA','SC',14641,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2275198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','JOACABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2275201,2.00,5.00,1.00,6.00,4.00,4.50,2.00,2.00,0.00,502,211,NULL,'CENTRO','POMERODE','SC',22338,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2275210,3.00,6.00,4.00,5.00,5.00,5.75,3.00,8.00,2.00,424,318,426,'RIO TAVARES','FLORIANOPOLIS','SC',12004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275228,3.00,7.00,4.00,7.00,5.00,7.25,4.00,5.00,3.00,207,327,211,'CENTRO','FLORIANOPOLIS','SC',9795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275236,4.00,9.00,7.00,6.00,8.00,4.50,7.00,6.00,3.00,303,5,NULL,'ACLIMAÇÃO','SAO PAULO','SP',4867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275244,4.00,3.00,2.00,0.00,4.00,NULL,4.00,2.00,3.00,103,104,NULL,'CENTRO','CAPIVARI DE BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2275260,1.00,6.00,3.00,3.00,5.00,5.75,2.00,5.00,2.00,203,2,207,'VELHA','BLUMENAU','SC',18724,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2275279,2.00,9.00,2.00,3.00,6.00,6.25,2.00,6.00,1.00,316,NULL,NULL,'PRAIA DO SANTINHO','FLORIANOPOLIS','SC',17442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275287,5.00,8.00,4.00,7.00,9.00,7.00,7.00,5.00,3.00,302,222,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',5735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275309,0.00,5.00,3.00,9.00,6.00,5.50,4.00,1.00,2.00,316,318,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',16637,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2275317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'J SANTA MONICA','VOTORANTIM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2275325,3.00,5.00,1.00,4.00,4.00,6.00,3.00,4.00,2.00,316,301,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2275333,5.00,9.00,8.00,8.00,8.00,7.00,8.00,6.00,4.00,5,224,NULL,'KOBRASOL','SAO JOSE','SC',1949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,108,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2275350,1.00,6.00,4.00,5.00,6.00,5.50,3.00,5.00,4.00,201,207,NULL,'NOSSA SRA DO ROSÁRIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275368,4.00,7.00,6.00,5.00,8.00,6.50,6.00,7.00,3.00,301,415,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2275376,4.00,6.00,1.00,6.00,6.00,5.25,3.00,4.00,3.00,104,102,NULL,'CENTRO','NOVA ERECHIM','SC',13968,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2275384,1.00,7.00,1.00,6.00,7.00,6.00,6.00,3.00,2.00,102,9,NULL,'JARDIM ITÁLIA','CHAPECO','SC',15629,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2275392,1.00,5.00,7.00,6.00,5.00,5.00,6.00,2.00,2.00,202,222,213,'CENTRO','AVARE','SP',14766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275406,3.00,4.00,5.00,4.00,4.00,4.75,3.00,3.00,3.00,303,302,NULL,'CENTRO','CAMPO NOVO DO PARECIS','MT',17214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275414,5.00,7.00,4.00,5.00,6.00,7.00,6.00,7.00,3.00,451,427,NULL,'CAMPINAS','SAO JOSE','SC',7129,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2275422,4.00,2.00,2.00,1.00,3.00,5.00,2.00,4.00,2.00,326,421,NULL,'CAMPECHE','FLORIANOPOLIS','SC',22234,124,170,NULL,NULL,NULL,NULL,4,1),(15,2275430,0.00,5.00,1.00,5.00,3.00,NULL,0.00,2.00,1.00,444,215,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2275449,4.00,5.00,6.00,5.00,6.00,7.25,8.00,5.00,3.00,103,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',7328,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2275457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,415,NULL,'JD JAMAICA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2275465,0.00,0.00,3.00,0.00,4.00,NULL,1.00,4.00,1.00,101,108,NULL,'CENTRO','SULINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275473,5.00,8.00,5.00,6.00,8.00,7.00,6.00,8.00,3.00,207,102,211,'JARDIM ELIZABETE','ICARA','SC',3810,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2275481,1.00,6.00,4.00,6.00,6.00,6.00,4.00,5.00,4.00,9,108,NULL,'VILA MILITAR','RIO NEGRO','PR',12668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275490,3.00,4.00,0.00,8.00,4.00,7.00,5.00,3.00,1.00,319,429,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',17060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275503,6.00,9.00,7.00,9.00,8.00,4.25,7.00,6.00,8.00,216,103,NULL,'HUGO LANGE','CURITIBA','PR',1554,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2275511,4.00,8.00,8.00,9.00,8.00,5.00,6.00,5.00,6.00,216,108,NULL,'VILA NOVA','JARAGUA DO SUL','SC',3095,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2275520,5.00,7.00,2.00,5.00,7.00,6.75,5.00,5.00,2.00,108,450,NULL,'SANTINHO','FLORIANOPOLIS','SC',10425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275538,4.00,7.00,2.00,7.00,8.00,7.00,8.00,3.00,4.00,9,104,NULL,'CENTRO','FLORIANOPOLIS','SC',7731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275546,1.00,3.00,3.00,1.00,6.00,NULL,1.00,5.00,1.00,103,9,NULL,'SANTO ANTONIO','MORUNGABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2275562,2.00,5.00,3.00,4.00,2.00,NULL,2.00,4.00,2.00,5,224,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2275589,3.00,6.00,4.00,6.00,5.00,5.25,6.00,5.00,4.00,444,404,NULL,'BARRA DO ARIRIÚ','PALHOCA','SC',10200,56,325,NULL,NULL,NULL,NULL,2,1),(15,2275597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,302,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2275600,4.00,8.00,9.00,5.00,6.00,5.25,8.00,4.00,5.00,222,208,NULL,'CENTRO','TERRA RICA','PR',5530,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2275619,4.00,3.00,2.00,3.00,2.00,NULL,3.00,2.00,2.00,215,501,NULL,'CENTRO','FAXINAL DOS GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2275627,7.00,8.00,8.00,7.00,7.00,6.75,8.00,8.00,6.00,238,302,208,'CENTRO','FLORIANOPOLIS','SC',1405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275635,4.00,7.00,5.00,3.00,3.00,5.25,6.00,3.00,2.00,224,318,NULL,'CANTO','FLORIANOPOLIS','SC',17775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2275651,3.00,7.00,9.00,8.00,5.00,5.00,7.00,4.00,2.00,224,225,NULL,'CENTRO','TIJUCAS','SC',8723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275660,5.00,7.00,7.00,9.00,8.00,6.25,5.00,8.00,7.00,444,404,NULL,'JARDIM SANTA HELENA','SUZANO','SP',1865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275686,5.00,4.00,1.00,8.00,7.00,5.00,3.00,3.00,3.00,103,207,NULL,'SÃO VICENTE','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2275694,3.00,5.00,1.00,0.00,4.00,NULL,0.00,0.00,0.00,214,316,202,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2275708,2.00,7.00,2.00,4.00,3.00,5.50,0.00,3.00,2.00,501,333,NULL,'JARDIM ESTRELA','FOZ DO IGUACU','PR',21612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275716,0.00,6.00,3.00,0.00,4.00,NULL,4.00,2.00,1.00,103,319,NULL,'RIO MAINA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2275724,4.00,7.00,5.00,9.00,6.00,5.75,6.00,5.00,3.00,207,420,220,'DUQUE DE CAXIAS','SANTA MARIA','RS',7666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275732,3.00,2.00,4.00,4.00,4.00,2.00,2.00,4.00,3.00,202,216,213,'JARDIM JUPIRA','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2275740,0.00,2.00,3.00,0.00,3.00,NULL,3.00,4.00,4.00,238,415,208,'NAÇÕES','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2275759,5.00,8.00,6.00,9.00,9.00,8.75,6.00,4.00,4.00,415,324,NULL,'KOBRASOL','SAO JOSE','SC',3068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275767,3.00,5.00,3.00,6.00,8.00,6.50,5.00,3.00,3.00,333,234,NULL,'CENTRO','FLORIANOPOLIS','SC',13806,197,199,NULL,NULL,NULL,NULL,2,1),(15,2275775,2.00,5.00,2.00,4.00,6.00,4.75,4.00,4.00,1.00,319,339,NULL,'PIO CORREA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2275783,4.00,5.00,5.00,0.00,3.00,4.25,3.00,4.00,4.00,333,331,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',20601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,451,425,'SANTA MÔNICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2275805,4.00,8.00,5.00,7.00,6.00,6.25,5.00,5.00,5.00,207,427,203,'BOSQUE DAS MANSÕES','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275813,6.00,7.00,2.00,3.00,6.00,5.25,4.00,4.00,6.00,501,108,NULL,'AEROPORTO','TUBARAO','SC',13380,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2275821,1.00,2.00,0.00,0.00,6.00,NULL,0.00,0.00,0.00,102,9,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(15,2275830,4.00,8.00,9.00,9.00,7.00,7.00,5.00,6.00,4.00,425,502,429,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',2579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275848,3.00,5.00,4.00,4.00,2.00,NULL,1.00,5.00,2.00,9,303,NULL,'CENTRO','POTIM','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2275856,3.00,7.00,7.00,5.00,8.00,6.50,6.00,5.00,5.00,415,301,NULL,'PITUBA','SALVADOR','BA',5476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,201,NULL,'VL MARIANA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2275872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'LAGO PARQUE','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2275880,2.00,5.00,1.00,7.00,6.00,7.00,1.00,3.00,1.00,324,427,NULL,'FORQUILHINHAS','SAO JOSE','SC',19081,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2275899,3.00,5.00,4.00,3.00,6.00,4.00,5.00,6.00,4.00,415,5,NULL,'COLONINHA','ARARANGUA','SC',14785,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2275902,3.00,5.00,0.00,1.00,5.00,NULL,2.00,3.00,2.00,108,211,NULL,'PRAIA ALEGRE','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2275910,5.00,6.00,2.00,8.00,7.00,6.25,6.00,4.00,3.00,415,326,NULL,'ALTO DA GLÓRIA','CURITIBA','PR',8634,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2275937,4.00,5.00,2.00,8.00,5.00,5.00,4.00,6.00,4.00,103,451,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275945,4.00,4.00,3.00,5.00,3.00,3.00,3.00,2.00,1.00,207,NULL,NULL,'ALTO DO MUSSI','TRES BARRAS','SC',22036,1026,NULL,NULL,NULL,NULL,NULL,4,8),(15,2275953,0.00,3.00,0.00,2.00,1.00,NULL,3.00,5.00,2.00,214,NULL,NULL,'BOA VISTA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275961,6.00,8.00,8.00,7.00,8.00,6.00,7.00,7.00,6.00,103,9,NULL,'CENTRO','FLORIANOPOLIS','SC',1562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2275970,5.00,5.00,4.00,8.00,6.00,3.75,5.00,7.00,2.00,450,5,NULL,'PIRATININGA','NITEROI','RJ',10846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275988,3.00,5.00,5.00,7.00,6.00,8.00,4.00,4.00,2.00,319,309,NULL,'TRINDADE','FLORIANOPOLIS','SC',10191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2275996,4.00,3.00,2.00,1.00,6.00,5.50,5.00,3.00,3.00,102,217,NULL,'CENTRO','BLUMENAU','SC',17562,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2276003,7.00,8.00,8.00,6.00,7.00,6.75,8.00,6.00,6.00,207,NULL,NULL,'SETOR BUENO','GOIANIA','GO',1950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,327,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2276020,2.00,8.00,4.00,6.00,6.00,5.75,5.00,5.00,4.00,5,217,NULL,'CAMOBI','SANTA MARIA','RS',8576,377,339,NULL,NULL,NULL,NULL,2,6),(15,2276038,2.00,5.00,3.00,7.00,6.00,5.50,5.00,6.00,3.00,420,428,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',12824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276046,3.00,5.00,3.00,0.00,0.00,NULL,5.00,7.00,5.00,303,429,NULL,'CENTRO','MARAU','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2276054,1.00,6.00,2.00,0.00,5.00,4.25,3.00,3.00,1.00,103,501,NULL,'CENTRO','SAO JOAQUIM','SC',22313,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2276062,4.00,7.00,6.00,4.00,7.00,6.00,6.00,7.00,6.00,103,303,NULL,'CENTRO','FLORIANOPOLIS','SC',5848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276070,3.00,7.00,6.00,4.00,8.00,5.50,6.00,4.00,3.00,211,316,233,'IRIRIÚ','JOINVILLE','SC',10407,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2276089,3.00,5.00,6.00,8.00,6.00,6.50,4.00,4.00,5.00,103,102,NULL,'CENTRO','ERECHIM','RS',9687,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2276100,2.00,4.00,3.00,5.00,3.00,2.50,4.00,6.00,3.00,301,211,NULL,'CENTRO','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2276119,2.00,5.00,3.00,3.00,4.00,3.75,3.00,4.00,2.00,444,404,NULL,'RIO CAVEIRAS','BIGUACU','SC',20623,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2276127,1.00,7.00,2.00,4.00,6.00,6.50,5.00,4.00,3.00,217,420,NULL,'ZÉ AMÂNDIO','BOMBINHAS','SC',14780,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2276143,3.00,7.00,2.00,4.00,3.00,5.75,4.00,7.00,2.00,104,303,NULL,'COMERCIÁRIO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2276160,2.00,6.00,3.00,2.00,1.00,NULL,4.00,5.00,1.00,316,301,NULL,'PASSA VINTE','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2276178,5.00,9.00,7.00,8.00,6.00,6.75,5.00,8.00,6.00,303,304,NULL,'ITACORUBI','FLORIANOPOLIS','SC',3125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,9,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2276194,2.00,5.00,3.00,4.00,5.00,4.00,2.00,4.00,3.00,217,223,NULL,'TRINDADE','FLORIANOPOLIS','SC',19443,186,218,NULL,NULL,NULL,NULL,2,1),(15,2276224,4.00,4.00,4.00,8.00,6.00,6.50,4.00,5.00,5.00,211,415,207,'SANTA MONICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276232,4.00,7.00,3.00,9.00,6.00,7.50,6.00,7.00,3.00,415,320,NULL,'SETOR SUDOESTE','CRUZEIRO','DF',4643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276259,6.00,6.00,5.00,8.00,7.00,6.25,7.00,4.00,3.00,103,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',5748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276267,4.00,7.00,3.00,6.00,8.00,7.75,4.00,6.00,4.00,103,9,NULL,'JARDIM AMÉRICA','ITUPORANGA','SC',7170,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2276275,3.00,5.00,1.00,3.00,5.00,3.00,4.00,6.00,2.00,202,NULL,213,'ALTO ARROIO','IMBITUBA','SC',19960,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2276283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,420,215,'CENTRO','SORRISO','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2276291,1.00,6.00,3.00,5.00,7.00,3.50,3.00,5.00,2.00,5,318,NULL,'SÃO JOSÉ','JOSE BONIFACIO','SP',17374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276305,3.00,5.00,5.00,6.00,7.00,7.00,4.00,4.00,2.00,207,217,216,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276313,2.00,1.00,2.00,4.00,4.00,NULL,3.00,3.00,2.00,108,211,NULL,'SÃO LUCAS','COLOMBO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2276321,0.00,4.00,1.00,2.00,4.00,5.75,3.00,4.00,4.00,202,216,203,'ANDORINHA','ITAPEMA','SC',21733,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2276330,1.00,6.00,2.00,4.00,4.00,3.50,2.00,4.00,1.00,415,108,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',21679,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2276348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,318,238,'SÃO JOSÉ','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2276364,4.00,6.00,4.00,5.00,6.00,5.00,6.00,3.00,5.00,304,302,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',11423,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2276372,5.00,7.00,8.00,8.00,7.00,5.50,7.00,7.00,5.00,216,217,215,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276399,3.00,7.00,5.00,2.00,8.00,5.50,3.00,5.00,3.00,212,316,201,'FORTALEZA','BLUMENAU','SC',11991,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2276402,3.00,6.00,5.00,4.00,6.00,5.25,4.00,7.00,4.00,104,108,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,101,NULL,'CENTRO','JOACABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2276429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,202,213,'INDIANOPOLIS','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2276437,5.00,6.00,5.00,5.00,6.00,5.50,7.00,4.00,6.00,215,102,216,'IPIRANGA','SAO PAULO','SP',7805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276445,0.00,4.00,1.00,4.00,6.00,5.75,2.00,5.00,2.00,104,423,NULL,'BALNEARIO ESTREITO','FLORIANOPOLIS','SC',21031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2276453,2.00,4.00,1.00,2.00,3.00,4.75,2.00,4.00,2.00,301,317,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',22449,385,682,NULL,NULL,NULL,NULL,4,1),(15,2276461,7.00,7.00,7.00,6.00,8.00,4.75,8.00,7.00,4.00,444,404,NULL,'ABRAÃO','FLORIANOPOLIS','SC',2643,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2276488,7.00,9.00,3.00,7.00,9.00,7.50,8.00,7.00,5.00,104,310,NULL,'GRUTA','ITUPORANGA','SC',1757,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2276496,7.00,8.00,6.00,4.00,7.00,4.50,8.00,5.00,4.00,217,339,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',5336,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2276500,8.00,7.00,4.00,6.00,6.00,6.75,5.00,8.00,6.00,5,104,NULL,'JARDIM TROPICAL','CUIABA','MT',4019,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2276518,3.00,5.00,4.00,3.00,2.00,NULL,3.00,4.00,3.00,303,5,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2276526,8.00,6.00,7.00,6.00,6.00,7.50,9.00,4.00,7.00,103,NULL,NULL,'JARDIM BANDEIRANTES','SAO CARLOS','SP',1898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276534,4.00,6.00,5.00,8.00,8.00,6.00,7.00,6.00,3.00,220,201,207,'CENTRO','FLORIANOPOLIS','SC',5412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276542,3.00,3.00,3.00,5.00,5.00,3.50,3.00,3.00,1.00,101,502,NULL,'PICADAS DO SUL','SAO JOSE','SC',20776,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2276550,5.00,6.00,7.00,8.00,8.00,NULL,0.00,0.00,0.00,220,225,202,'LEOPOLDO ZARLING','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,3),(15,2276569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,426,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2276577,3.00,8.00,5.00,7.00,3.00,3.00,4.00,6.00,2.00,238,213,208,'CENTRO','FLORIANOPOLIS','SC',14058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276585,6.00,6.00,4.00,6.00,7.00,5.75,7.00,6.00,4.00,316,317,NULL,'CENTRO','FLORIANOPOLIS','SC',8339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276593,3.00,3.00,2.00,3.00,3.00,4.50,2.00,5.00,2.00,333,203,NULL,'TRINDADE','FLORIANOPOLIS','SC',21545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276607,0.00,8.00,0.00,4.00,7.00,4.25,7.00,6.00,4.00,103,104,NULL,'CAMPO COMPRIDO','CURITIBA','PR',13305,2473,1111,NULL,NULL,NULL,NULL,2,7),(15,2276615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,211,NULL,'VILA NOVA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2276623,5.00,7.00,7.00,0.00,6.00,4.50,7.00,6.00,7.00,216,217,NULL,'JARDIM JUDITHY','LONDRINA','PR',7984,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2276631,3.00,4.00,8.00,7.00,7.00,5.00,4.00,7.00,4.00,303,202,NULL,'CENTRO','ITUPORANGA','SC',7885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276640,4.00,8.00,5.00,7.00,8.00,6.25,6.00,6.00,5.00,5,303,NULL,'QUINTINO','TIMBO','SC',4992,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2276658,1.00,4.00,2.00,2.00,3.00,NULL,4.00,2.00,1.00,404,423,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276666,2.00,3.00,1.00,0.00,4.00,NULL,2.00,3.00,1.00,101,9,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2276674,1.00,2.00,3.00,5.00,5.00,NULL,3.00,2.00,1.00,308,319,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2276682,3.00,6.00,1.00,7.00,4.00,5.50,4.00,5.00,0.00,303,319,NULL,'CENTRO','FLORIANOPOLIS','SC',17842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276690,5.00,8.00,5.00,4.00,7.00,6.50,4.00,5.00,4.00,319,444,NULL,'CENTRO','FLORIANOPOLIS','SC',7831,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276704,3.00,8.00,6.00,1.00,4.00,4.75,6.00,4.00,3.00,201,202,203,'SALETE','CONCORDIA','SC',14007,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2276712,0.00,6.00,2.00,5.00,4.00,5.00,4.00,5.00,4.00,404,324,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',18005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2276720,1.00,3.00,7.00,2.00,4.00,5.75,9.00,3.00,4.00,103,5,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',13592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276747,3.00,5.00,4.00,8.00,7.00,6.50,4.00,6.00,5.00,207,420,201,'BELA VISTA','CHAPECO','SC',8006,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2276755,5.00,7.00,6.00,5.00,7.00,5.50,4.00,6.00,4.00,332,327,NULL,'BRUSQUE','LAGES','SC',9111,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2276763,3.00,5.00,7.00,6.00,9.00,5.00,3.00,7.00,4.00,329,NULL,NULL,'ITAIPAVA','ITAJAI','SC',8780,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2276771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2276798,4.00,6.00,2.00,6.00,8.00,7.00,3.00,5.00,2.00,319,320,NULL,'BARREIROS','SAO JOSE','SC',12939,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2276801,2.00,4.00,1.00,4.00,3.00,3.25,3.00,3.00,2.00,502,301,NULL,'COLÔNIA SANTANA','SAO JOSE','SC',22518,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2276810,2.00,7.00,3.00,2.00,8.00,5.25,3.00,8.00,5.00,318,332,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',11593,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2276828,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,104,108,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(15,2276836,5.00,8.00,7.00,5.00,9.00,6.25,4.00,5.00,5.00,303,5,NULL,'CENTRO','ITAJAI','SC',4824,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2276844,3.00,8.00,6.00,6.00,6.00,7.00,4.00,4.00,3.00,207,301,201,'CENTRO','FLORIANOPOLIS','SC',9701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276852,4.00,5.00,3.00,7.00,6.00,4.25,5.00,5.00,1.00,202,222,213,'TRINDADE','FLORIANOPOLIS','SC',13034,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2276860,1.00,6.00,2.00,1.00,6.00,5.50,5.00,1.00,2.00,420,444,NULL,'ESTREITO','FLORIANOPOLIS','SC',21698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276879,5.00,7.00,2.00,7.00,6.00,7.75,3.00,6.00,2.00,103,108,NULL,'SANTANA','RIO DO SUL','SC',11697,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2276887,2.00,2.00,2.00,0.00,3.00,NULL,1.00,5.00,3.00,103,450,NULL,'ITINGA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2276895,2.00,5.00,6.00,7.00,6.00,5.75,5.00,5.00,2.00,318,450,NULL,'CENTRO','SAO VICENTE','SP',12306,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2276909,2.00,2.00,0.00,4.00,3.00,NULL,4.00,2.00,2.00,216,212,215,'SAO CRISTOVAO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2276917,3.00,6.00,5.00,7.00,9.00,5.25,6.00,5.00,5.00,207,423,201,'JOÃO PAULO','FLORIANOPOLIS','SC',6354,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2276925,4.00,7.00,3.00,8.00,7.00,5.75,5.00,3.00,2.00,217,333,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',10770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2276933,5.00,8.00,6.00,9.00,7.00,7.50,7.00,4.00,3.00,103,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',5229,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2276941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,320,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(15,2276950,1.00,4.00,2.00,4.00,2.00,NULL,3.00,6.00,2.00,331,415,NULL,'JARDIM DAS AMÉRICAS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2276968,5.00,5.00,3.00,5.00,7.00,5.50,4.00,4.00,3.00,207,420,NULL,'COMERCIÁRIO','CRICIUMA','SC',14365,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2276976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,444,NULL,'DAS NACOES','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2276992,5.00,7.00,7.00,6.00,7.00,5.75,5.00,7.00,5.00,203,201,NULL,'CENTRO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277034,6.00,8.00,7.00,8.00,9.00,5.75,6.00,8.00,5.00,318,304,NULL,'PORTO GRANDE','SAO SEBASTIAO','SP',1788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277042,4.00,6.00,3.00,6.00,7.00,5.50,3.00,6.00,3.00,339,324,NULL,'ESTREITO','FLORIANOPOLIS','SC',12083,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2277050,4.00,8.00,8.00,7.00,8.00,6.25,7.00,7.00,6.00,102,216,NULL,'VICTOR KONDER','BLUMENAU','SC',2332,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2277069,2.00,4.00,2.00,3.00,3.00,1.75,3.00,4.00,4.00,208,201,214,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2277077,3.00,5.00,4.00,4.00,6.00,5.50,4.00,2.00,3.00,103,444,NULL,'VISTA ALEGRE','CURITIBA','PR',16740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277085,3.00,4.00,5.00,5.00,6.00,5.50,5.00,6.00,4.00,103,217,NULL,'COQUEIROS','FLORIANOPOLIS','SC',13389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277093,4.00,7.00,6.00,4.00,8.00,6.50,6.00,4.00,4.00,103,316,NULL,'VILA MOEMA','TUBARAO','SC',8013,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2277107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,333,NULL,'CENTRO','ARARANGUA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2277123,0.00,6.00,4.00,7.00,3.00,NULL,3.00,6.00,2.00,319,9,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2277131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,5,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2277140,4.00,7.00,7.00,5.00,7.00,6.75,4.00,5.00,2.00,211,333,233,'N SENHORA APARECIDA','FRANCISCO BELTRAO','PR',9826,345,NULL,NULL,NULL,NULL,NULL,4,4),(15,2277158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,318,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2277166,2.00,6.00,2.00,6.00,3.00,5.00,2.00,3.00,2.00,2,NULL,NULL,'ESTREITO','FLORIANOPOLIS','SC',21275,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2277174,1.00,5.00,4.00,1.00,7.00,3.75,3.00,5.00,2.00,5,303,NULL,'QUINTINO','TIMBO','SC',19090,797,1295,NULL,NULL,NULL,NULL,4,2),(15,2277182,3.00,7.00,1.00,6.00,5.00,5.00,3.00,4.00,3.00,202,302,201,'JARDIM JUPIRA','FOZ DO IGUACU','PR',18310,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2277190,1.00,6.00,1.00,7.00,4.00,4.00,5.00,2.00,1.00,2,223,NULL,'CAMPINAS','SAO JOSE','SC',20382,68,227,NULL,NULL,NULL,NULL,4,1),(15,2277204,3.00,6.00,0.00,5.00,5.00,3.75,3.00,3.00,2.00,339,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',21079,145,418,NULL,NULL,NULL,NULL,2,1),(15,2277212,3.00,4.00,5.00,5.00,5.00,5.25,6.00,6.00,3.00,201,304,212,'SANTA CRUZ','CONCORDIA','SC',13791,743,364,282,NULL,NULL,NULL,2,4),(15,2277220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','TAPEJARA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2277239,3.00,6.00,5.00,2.00,5.00,4.50,2.00,6.00,2.00,301,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',16920,288,NULL,NULL,NULL,NULL,NULL,4,3),(15,2277247,4.00,7.00,4.00,2.00,6.00,6.25,8.00,6.00,2.00,214,213,212,'BOA VISTA','JOINVILLE','SC',9404,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2277255,2.00,4.00,4.00,7.00,8.00,5.75,4.00,5.00,4.00,301,316,NULL,'CENTRO','FLORIANOPOLIS','SC',12491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277263,8.00,8.00,8.00,9.00,9.00,5.25,8.00,8.00,8.00,213,NULL,214,'SAGUAÇU','JOINVILLE','SC',640,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2277271,4.00,6.00,5.00,5.00,7.00,7.25,5.00,7.00,3.00,201,224,215,'SAMBAQUI','FLORIANOPOLIS','SC',9457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2277280,2.00,6.00,5.00,4.00,4.00,4.00,3.00,4.00,1.00,404,327,NULL,'CAMPINAS','SAO JOSE','SC',20197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2277298,3.00,7.00,2.00,4.00,6.00,4.50,4.00,3.00,3.00,308,339,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',17566,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2277301,3.00,6.00,1.00,6.00,5.00,4.25,3.00,4.00,3.00,450,319,NULL,'PQ CIDADE NOVA','MARINGA','PR',17799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277310,5.00,7.00,4.00,6.00,8.00,6.50,7.00,6.00,2.00,316,301,NULL,'LAGOAO','ARARANGUA','SC',6397,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2277336,7.00,7.00,6.00,5.00,7.00,6.25,7.00,6.00,5.00,211,9,215,'CENTRO','FLORIANOPOLIS','SC',4497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277344,0.00,0.00,0.00,5.00,2.00,NULL,3.00,4.00,2.00,203,220,207,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(15,2277352,2.00,7.00,1.00,1.00,5.00,5.25,3.00,6.00,2.00,317,324,NULL,'BARREIROS','SAO JOSE','SC',20101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277379,8.00,8.00,9.00,8.00,8.00,8.25,9.00,8.00,7.00,303,223,NULL,'SUMARÉ','RIO DO SUL','SC',202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277387,2.00,3.00,1.00,3.00,2.00,NULL,2.00,4.00,3.00,303,207,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2277409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,309,NULL,'SÃO CRISTÓVÃO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2277417,0.00,3.00,0.00,3.00,4.00,NULL,3.00,5.00,2.00,302,309,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2277425,2.00,3.00,1.00,6.00,6.00,5.25,2.00,4.00,1.00,428,326,426,'PANTANAL','FLORIANOPOLIS','SC',20185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277433,0.00,3.00,3.00,5.00,5.00,5.00,3.00,5.00,3.00,326,331,NULL,'CENTRO','FLORIANOPOLIS','SC',19474,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2277441,2.00,2.00,3.00,1.00,4.00,NULL,3.00,0.00,3.00,224,316,NULL,'NOVA BRASILIA','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2277468,1.00,5.00,1.00,9.00,5.00,5.50,4.00,5.00,2.00,9,333,NULL,'DUQUE DE CAIXIAS','CUIABA','MT',15327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277476,2.00,6.00,4.00,4.00,7.00,5.25,5.00,5.00,4.00,202,224,208,'ABRAÃO','FLORIANOPOLIS','SC',14252,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2277492,2.00,6.00,2.00,6.00,5.00,3.75,6.00,1.00,3.00,212,316,201,'ROÇADO','SAO JOSE','SC',16934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2277506,1.00,6.00,7.00,3.00,4.00,5.25,3.00,2.00,1.00,444,331,NULL,'CENTRO','BARRACAO','PR',19397,223,228,NULL,NULL,NULL,NULL,2,1),(15,2277514,6.00,7.00,8.00,4.00,9.00,7.75,7.00,5.00,7.00,216,203,211,'CENTRO','LAURO MULLER','SC',2238,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2277549,2.00,7.00,1.00,0.00,6.00,NULL,3.00,4.00,2.00,103,213,NULL,'SÃO LUIS','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2277557,3.00,5.00,3.00,7.00,5.00,4.75,7.00,6.00,4.00,203,201,NULL,'UNIVERSITÁRIO','LAGES','SC',10817,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2277565,3.00,7.00,3.00,8.00,5.00,6.00,2.00,6.00,3.00,103,303,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277573,2.00,6.00,0.00,5.00,8.00,5.25,4.00,7.00,3.00,316,301,NULL,'CENTRO','PALHOCA','SC',14510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2277581,6.00,8.00,5.00,5.00,7.00,3.00,5.00,7.00,3.00,220,213,202,'ITACORUBI','FLORIANOPOLIS','SC',7124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277590,5.00,7.00,6.00,8.00,7.00,4.75,6.00,8.00,4.00,202,238,208,'ITAGUAÇU','FLORIANOPOLIS','SC',5110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277603,2.00,2.00,1.00,2.00,5.00,NULL,0.00,3.00,0.00,102,103,NULL,'COMASA DO BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2277611,3.00,6.00,5.00,8.00,8.00,5.25,6.00,6.00,3.00,216,102,NULL,'SÃO VICENTE','PATO BRANCO','PR',6919,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2277620,3.00,5.00,4.00,5.00,6.00,6.50,6.00,6.00,3.00,425,429,NULL,'CAMPINAS','SAO JOSE','SC',12952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277638,3.00,6.00,2.00,5.00,5.00,4.25,5.00,4.00,3.00,333,404,NULL,'FLR DE NÁPOLIS','SAO JOSE','SC',16254,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2277646,5.00,6.00,4.00,7.00,7.00,5.50,4.00,7.00,3.00,5,420,NULL,'BALNEÁRIO DO ESTREIT','FLORIANOPOLIS','SC',6392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277654,2.00,7.00,5.00,9.00,8.00,5.75,4.00,7.00,5.00,102,108,NULL,'VILA MOEMA','TUBARAO','SC',7180,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2277670,4.00,5.00,4.00,3.00,6.00,5.25,4.00,5.00,4.00,415,303,NULL,'BOTAFOGO','MARECHAL CANDIDO RONDON','PR',13130,328,1191,NULL,NULL,NULL,NULL,4,1),(15,2277689,2.00,4.00,2.00,7.00,7.00,5.25,6.00,3.00,4.00,332,421,NULL,'LARAJEIRAS','RIO DO SUL','SC',14206,71,111,NULL,NULL,NULL,NULL,2,1),(15,2277697,2.00,8.00,5.00,1.00,5.00,3.75,2.00,7.00,2.00,318,316,NULL,'JARIVATUBA','JOINVILLE','SC',16404,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2277700,5.00,4.00,3.00,2.00,7.00,5.50,5.00,4.00,2.00,103,101,NULL,'BORGES DE MEDEIROS','MARAU','RS',16250,2739,NULL,NULL,NULL,NULL,NULL,4,4),(15,2277719,2.00,4.00,3.00,4.00,5.00,5.00,6.00,6.00,2.00,501,502,NULL,'VILA NOVA','NOVO HAMBURGO','RS',15697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277727,3.00,5.00,4.00,5.00,5.00,6.25,6.00,5.00,3.00,208,220,203,'BELA VISTA','CHAPECO','SC',12209,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2277735,8.00,6.00,8.00,4.00,7.00,6.25,8.00,7.00,6.00,103,203,NULL,'SALTO DO NORTE','BLUMENAU','SC',2667,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2277743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,217,214,'CENTRO','SAO BORJA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2277751,8.00,8.00,5.00,7.00,4.00,7.50,6.00,5.00,6.00,103,104,NULL,'CENTRO','NAVEGANTES','SC',4268,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2277778,8.00,7.00,5.00,7.00,5.00,4.00,7.00,8.00,3.00,103,216,NULL,'CENTRO','NAVEGANTES','SC',5061,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2277786,2.00,3.00,4.00,1.00,4.00,NULL,5.00,2.00,0.00,303,208,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277794,5.00,5.00,6.00,3.00,7.00,7.00,7.00,7.00,7.00,102,9,NULL,'VILA DAS ACÁCIAS CTA','SAO JOSE DOS CAMPOS','SP',6628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277816,4.00,8.00,4.00,6.00,8.00,6.00,5.00,6.00,1.00,329,328,NULL,'PICADAS DO SUL','SAO JOSE','SC',8987,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2277824,4.00,6.00,0.00,2.00,4.00,5.00,4.00,4.00,3.00,319,102,NULL,'CENTRO','ERECHIM','RS',20104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2277832,1.00,6.00,0.00,1.00,6.00,NULL,4.00,4.00,1.00,207,420,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277859,2.00,5.00,6.00,8.00,9.00,7.75,7.00,3.00,2.00,103,301,NULL,'JOSE MENDES','FLORIANOPOLIS','SC',8265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277867,2.00,5.00,0.00,5.00,6.00,7.00,5.00,4.00,2.00,327,339,NULL,'KOBRASOL','SAO JOSE','SC',17567,140,323,NULL,NULL,NULL,NULL,4,1),(15,2277883,2.00,7.00,6.00,5.00,5.00,6.50,5.00,6.00,3.00,2,108,NULL,'FLORESTA','CERRO LARGO','RS',10905,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2277891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,328,NULL,'CENTRO','POUSO ALEGRE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2277905,2.00,4.00,1.00,4.00,5.00,3.75,2.00,5.00,2.00,450,301,NULL,'SÃO PEDRO','URUSSANGA','SC',21454,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2277913,7.00,8.00,3.00,9.00,7.00,7.25,6.00,7.00,5.00,329,328,NULL,'CENTRO','PATROCINIO PAULISTA','SP',2535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277921,2.00,6.00,2.00,4.00,6.00,6.25,3.00,8.00,4.00,326,328,NULL,'SANGÃO','CRICIUMA','SC',14413,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2277948,3.00,3.00,4.00,2.00,3.00,5.50,2.00,2.00,2.00,331,332,NULL,'ITACORUBI','FLORIANOPOLIS','SC',22002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277956,3.00,5.00,5.00,7.00,7.00,6.25,7.00,5.00,3.00,108,217,NULL,'RESIDENCIAL FURLAN','SANTA BARBARA D OESTE','SP',8908,171,344,NULL,NULL,NULL,NULL,2,8),(15,2277964,3.00,8.00,4.00,5.00,6.00,6.00,5.00,6.00,3.00,5,317,NULL,'VILA OPERÁRIA','ITAJAI','SC',10816,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2277972,3.00,7.00,1.00,5.00,4.00,3.75,4.00,6.00,3.00,450,NULL,NULL,'VILA AUGUSTA','GUARULHOS','SP',16214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277980,8.00,9.00,6.00,9.00,9.00,6.00,8.00,7.00,4.00,220,222,201,'CARVOEIRA','FLORIANOPOLIS','SC',951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2277999,5.00,7.00,7.00,6.00,7.00,5.75,5.00,5.00,4.00,102,217,NULL,'JARDIM KARLA','FOZ DO IGUACU','PR',6725,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2278006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,103,201,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2278022,3.00,7.00,2.00,1.00,4.00,5.00,2.00,5.00,3.00,201,NULL,220,'VILA FALCHI','MAUA','SP',20010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278030,3.00,3.00,0.00,4.00,5.00,5.25,5.00,4.00,2.00,420,207,NULL,'CASCALHO','CORDEIROPOLIS','SP',19257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,2,NULL,'JARDIM CIDADE FPOLIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2278065,4.00,4.00,3.00,5.00,7.00,6.25,4.00,4.00,5.00,103,NULL,NULL,'SERRINHA','FLORIANOPOLIS','SC',12722,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2278073,2.00,7.00,1.00,6.00,5.00,5.25,3.00,5.00,2.00,208,102,238,'CENTRO','SANTA ROSA DE LIMA','SC',16615,642,990,617,NULL,NULL,NULL,2,10),(15,2278081,7.00,6.00,9.00,8.00,8.00,5.00,9.00,6.00,8.00,208,238,NULL,'CENTRO','SAO JOAO BATISTA','SC',1552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278090,2.00,6.00,3.00,5.00,7.00,6.50,5.00,5.00,3.00,332,234,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',13040,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2278103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,5,NULL,'ROCIO PEQUENO','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2278111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,308,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2278120,3.00,5.00,5.00,4.00,5.00,2.00,6.00,5.00,2.00,202,207,208,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,328,NULL,'REPÚBLICA','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2278146,4.00,4.00,3.00,3.00,4.00,7.00,2.00,3.00,1.00,207,425,208,'MONTE VERDE','FLORIANOPOLIS','SC',18923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278154,1.00,4.00,2.00,2.00,4.00,NULL,1.00,2.00,2.00,451,5,NULL,'CAMINHO MOEMA','JOSE BOITEUX','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2278162,3.00,5.00,5.00,7.00,7.00,6.75,2.00,4.00,4.00,444,404,NULL,'IPANEMA','RIO DE JANEIRO','RJ',11492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,224,220,'BOM FIM','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2278189,4.00,8.00,7.00,6.00,6.00,6.75,8.00,8.00,4.00,238,317,NULL,'CENTRO','FLORIANOPOLIS','SC',3251,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2278197,0.00,8.00,3.00,8.00,8.00,6.50,6.00,8.00,4.00,304,301,NULL,'JARDIM CIDADE ALTA','JOACABA','SC',6932,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2278200,3.00,4.00,5.00,1.00,5.00,4.50,2.00,3.00,3.00,102,108,NULL,'URBANOVA','SAO JOSE DOS CAMPOS','SP',19633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278227,8.00,8.00,6.00,9.00,6.00,5.75,9.00,7.00,4.00,103,9,NULL,'CENTRO','JARAGUA DO SUL','SC',1733,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2278235,1.00,6.00,4.00,4.00,7.00,4.75,4.00,6.00,2.00,238,222,208,'ITAGUAÇU','FLORIANOPOLIS','SC',15059,554,163,574,NULL,NULL,NULL,4,1),(15,2278243,4.00,9.00,5.00,6.00,6.00,7.00,6.00,5.00,4.00,420,450,NULL,'ÁGUAS CLARAS','TAGUATINGA','DF',7370,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2278251,2.00,7.00,4.00,5.00,5.00,6.50,4.00,6.00,3.00,415,326,NULL,'CIDADE DE FLORIANÓPO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2278260,4.00,8.00,4.00,6.00,7.00,6.50,3.00,5.00,2.00,326,328,NULL,'AREIAS','SAO JOSE','SC',9212,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2278278,4.00,7.00,4.00,2.00,6.00,5.00,6.00,6.00,4.00,5,404,NULL,'BARREIROS','SAO JOSE','SC',11484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278286,4.00,4.00,2.00,4.00,3.00,4.25,3.00,3.00,1.00,104,319,NULL,'RUDGE RAMOS','SAO BERNARDO DO CAMPO','SP',21387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278294,7.00,6.00,2.00,8.00,8.00,5.00,5.00,6.00,4.00,103,420,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',6645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278308,6.00,7.00,5.00,6.00,9.00,7.50,9.00,8.00,2.00,104,NULL,NULL,'COSTA DE DENTRO','FLORIANOPOLIS','SC',3139,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2278316,1.00,4.00,3.00,2.00,4.00,NULL,3.00,2.00,2.00,303,309,NULL,'JARDIM AMODELAR','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2278324,2.00,5.00,3.00,5.00,4.00,5.75,3.00,5.00,4.00,333,329,NULL,'TIRADENTES','GRAVATAL','SC',15973,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2278332,6.00,7.00,2.00,5.00,8.00,5.00,5.00,4.00,3.00,316,212,NULL,'IPIRANGA','SAO JOSE','SC',11020,275,511,NULL,NULL,NULL,NULL,2,1),(15,2278340,2.00,4.00,4.00,5.00,4.00,5.50,4.00,2.00,2.00,103,NULL,NULL,'CENTRO','CAMPO GRANDE','MS',19598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2278359,3.00,8.00,2.00,3.00,6.00,7.00,4.00,7.00,1.00,108,308,NULL,'CENTRO','POMERODE','SC',14357,317,314,NULL,NULL,NULL,NULL,4,2),(15,2278367,4.00,7.00,1.00,1.00,5.00,5.75,2.00,2.00,3.00,103,104,NULL,'CABEÇUDAS','ITAJAI','SC',20131,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2278375,0.00,4.00,4.00,5.00,3.00,4.50,4.00,3.00,3.00,233,214,NULL,'CENTRO','XANXERE','SC',20062,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2278383,1.00,8.00,5.00,0.00,7.00,5.75,3.00,7.00,3.00,238,420,208,'ITACORUBI','FLORIANOPOLIS','SC',14272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278391,7.00,8.00,8.00,7.00,8.00,7.00,7.00,6.00,8.00,103,NULL,NULL,'CENTRO','IRACEMINHA','SC',776,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2278405,4.00,7.00,6.00,9.00,8.00,6.00,6.00,7.00,5.00,238,317,208,'TRINDADE','FLORIANOPOLIS','SC',3007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278413,5.00,6.00,4.00,6.00,6.00,4.00,7.00,6.00,4.00,208,316,238,'ABRAÃO','FLORIANOPOLIS','SC',9083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278421,3.00,4.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,9,102,NULL,'JARDIM OURO PRETO','SAO JOSE DOS PINHAIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2278430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2278448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,301,NULL,'ARAÇATUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2278456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,318,NULL,'CENTRO','GIRUA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2278464,2.00,7.00,4.00,4.00,7.00,6.00,7.00,6.00,5.00,211,223,202,'CAMPECHE','FLORIANOPOLIS','SC',9496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278499,1.00,4.00,3.00,2.00,4.00,4.00,3.00,3.00,1.00,208,207,238,'ABRAÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278502,5.00,7.00,8.00,9.00,8.00,5.25,7.00,7.00,4.00,319,108,NULL,'PORTAL DE ITU','ITU','SP',2155,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2278510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,444,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2278537,3.00,7.00,3.00,6.00,7.00,5.75,6.00,7.00,3.00,203,220,201,'PERPÉTUO SOCORRO','SAO LOURENCO DO OESTE','SC',8635,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2278545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2278561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,426,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2278588,3.00,5.00,4.00,1.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PINHEIROS','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(15,2278596,1.00,1.00,0.00,5.00,5.00,5.50,3.00,4.00,2.00,102,404,NULL,'JARDIM JANAÍNA','BIGUACU','SC',21838,506,515,NULL,NULL,NULL,NULL,2,1),(15,2278600,3.00,7.00,6.00,5.00,4.00,5.50,4.00,7.00,4.00,404,444,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',10766,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2278618,5.00,8.00,8.00,6.00,6.00,5.25,9.00,7.00,6.00,215,203,211,'JD JEQUITIBÁ','CACAPAVA','SP',3299,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2278626,6.00,8.00,8.00,8.00,9.00,7.00,7.00,7.00,5.00,211,425,215,'PANTANAL','FLORIANOPOLIS','SC',1135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278634,8.00,9.00,9.00,9.00,8.00,4.75,9.00,8.00,8.00,103,NULL,NULL,'BRASIL','ITU','SP',259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,102,NULL,'VILA NOVA','BRACO DO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2278650,0.00,6.00,2.00,1.00,3.00,NULL,2.00,4.00,0.00,415,425,NULL,'CAPITAIS','TIMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2278669,6.00,7.00,7.00,9.00,8.00,NULL,0.00,0.00,0.00,220,202,203,'VILA NOVA','ARAPONGAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(15,2278677,8.00,8.00,9.00,8.00,5.00,7.25,8.00,8.00,8.00,103,NULL,NULL,'VILA CARMEN','PRESIDENTE VENCESLAU','SP',473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278685,3.00,3.00,2.00,1.00,4.00,4.25,3.00,5.00,6.00,103,102,NULL,'SANTO ANTONIO','CONCORDIA','SC',20142,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2278693,1.00,4.00,0.00,3.00,8.00,NULL,4.00,1.00,2.00,5,102,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2278707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,108,NULL,'CENTRO','SAO CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2278715,5.00,6.00,5.00,8.00,6.00,3.25,8.00,7.00,5.00,103,NULL,NULL,'VILA LUZITANIA','SAO BERNARDO DO CAMPO','SP',5426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,502,NULL,'JARDIM SANTA MÔNICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2278740,7.00,8.00,8.00,7.00,9.00,6.50,9.00,8.00,6.00,103,NULL,NULL,'PARAISO','SAO PAULO','SP',873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278758,8.00,9.00,8.00,9.00,9.00,6.75,9.00,7.00,7.00,214,222,233,'CARIANOS','FLORIANOPOLIS','SC',237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278774,2.00,8.00,5.00,3.00,7.00,5.75,5.00,8.00,3.00,318,429,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',10680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278790,5.00,6.00,6.00,8.00,8.00,4.25,8.00,5.00,8.00,103,329,NULL,'EMBARE','SANTOS','SP',3872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278804,3.00,6.00,2.00,5.00,5.00,5.00,3.00,6.00,0.00,317,225,NULL,'INGLESES','FLORIANOPOLIS','SC',18094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278812,5.00,7.00,6.00,3.00,8.00,5.25,8.00,7.00,2.00,304,318,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',6579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278820,3.00,3.00,2.00,4.00,6.00,5.50,5.00,4.00,3.00,327,316,NULL,'BRAGANHOLO','CARAZINHO','RS',17409,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2278839,5.00,7.00,4.00,3.00,5.00,5.25,6.00,4.00,2.00,238,316,208,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',13615,491,995,509,NULL,NULL,NULL,4,1),(15,2278847,4.00,9.00,5.00,5.00,8.00,5.00,9.00,7.00,4.00,203,215,214,'AGUA VERDE','BLUMENAU','SC',3769,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2278855,3.00,3.00,3.00,1.00,6.00,4.75,4.00,5.00,2.00,203,333,214,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278863,4.00,7.00,1.00,8.00,6.00,5.50,3.00,5.00,3.00,303,5,NULL,'JARDIM PRIMAVERA','JUNDIAI','SP',11892,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2278871,3.00,8.00,4.00,8.00,8.00,6.50,4.00,4.00,4.00,318,319,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',9270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2278880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,203,238,'JARDIM RIVA','PRIMAVERA DO LESTE','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2278898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'ASA NORTE','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2278901,0.00,3.00,2.00,1.00,5.00,NULL,1.00,4.00,1.00,318,317,NULL,'CRUZEIRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2278910,2.00,6.00,1.00,0.00,3.00,NULL,3.00,2.00,3.00,404,501,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2278928,4.00,5.00,2.00,6.00,7.00,5.00,2.00,6.00,5.00,212,339,215,'FORQUILINHAS','SAO JOSE','SC',14176,289,262,291,NULL,NULL,NULL,2,1),(15,2278944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,303,NULL,'OPERARIA NOVA','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2278960,2.00,5.00,1.00,2.00,5.00,6.50,3.00,3.00,2.00,415,319,NULL,'ANDREATTA','SAO MIGUEL DOESTE','SC',20888,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2278979,2.00,7.00,6.00,4.00,6.00,5.00,2.00,6.00,2.00,444,404,NULL,'CANASVIEIRA','FLORIANOPOLIS','SC',14534,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2278987,3.00,6.00,2.00,4.00,4.00,3.75,3.00,3.00,2.00,333,308,NULL,'ROÇADO','SAO JOSE','SC',20405,375,442,NULL,NULL,NULL,NULL,2,1),(15,2278995,2.00,8.00,2.00,3.00,6.00,6.25,4.00,3.00,4.00,429,316,425,'CENTRO','FLORIANOPOLIS','SC',14954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279002,4.00,7.00,2.00,7.00,5.00,7.75,4.00,7.00,2.00,424,222,427,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',10704,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2279029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,333,NULL,'ZONA','CIANORTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2279037,1.00,6.00,2.00,8.00,5.00,7.00,6.00,4.00,2.00,102,316,NULL,'CENTRO','MARAU','RS',13801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279053,2.00,4.00,6.00,4.00,4.00,5.00,6.00,4.00,1.00,103,202,NULL,'CIDADE MINEIRA VELHA','TREVISO','SC',17629,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2279061,4.00,6.00,6.00,5.00,7.00,4.00,7.00,8.00,5.00,2,328,NULL,'PADRE MARTINHO STEIN','TIMBO','SC',5017,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2279070,1.00,6.00,2.00,6.00,6.00,3.50,3.00,3.00,3.00,203,225,202,'ESTREITO','FLORIANOPOLIS','SC',18365,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2279088,4.00,7.00,4.00,5.00,5.00,4.00,5.00,6.00,3.00,301,316,NULL,'CAMPO GRANDE','SANTOS','SP',12851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279096,3.00,5.00,3.00,4.00,5.00,4.50,3.00,5.00,1.00,238,208,203,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',17934,657,1080,1054,NULL,NULL,NULL,2,1),(15,2279100,2.00,3.00,1.00,6.00,5.00,4.75,2.00,5.00,2.00,223,217,NULL,'ARIRIU','PALHOCA','SC',20127,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2279118,3.00,6.00,1.00,1.00,4.00,6.50,3.00,2.00,2.00,309,102,NULL,'PONTA DE BAIXO','SAO JOSE','SC',22046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279126,2.00,5.00,2.00,4.00,6.00,3.25,3.00,5.00,1.00,327,339,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',19101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2279134,8.00,6.00,5.00,5.00,9.00,4.75,6.00,6.00,5.00,222,223,NULL,'CENTRO','FLORIANOPOLIS','SC',4686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279142,0.00,8.00,2.00,1.00,5.00,4.50,3.00,5.00,2.00,501,308,NULL,'ABRAÃO','FLORIANOPOLIS','SC',20388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279150,4.00,9.00,5.00,9.00,4.00,7.00,6.00,6.00,1.00,425,103,424,'CARVOEIRA','FLORIANOPOLIS','SC',7176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279169,3.00,7.00,3.00,3.00,7.00,5.25,4.00,7.00,4.00,207,333,NULL,'CENTRO','HERVAL D OESTE','SC',11640,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2279177,7.00,7.00,6.00,7.00,8.00,5.00,7.00,8.00,5.00,304,302,NULL,'CAMPINAS','SAO JOSE','SC',2377,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2279185,1.00,4.00,2.00,2.00,4.00,4.50,4.00,5.00,2.00,319,308,NULL,'SÃO FRANCISCO','LUZERNA','SC',21286,483,465,NULL,NULL,NULL,NULL,2,7),(15,2279193,4.00,7.00,4.00,7.00,4.00,5.00,4.00,7.00,2.00,202,220,NULL,'PIO CORREA','CRICIUMA','SC',11829,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2279215,5.00,8.00,8.00,6.00,8.00,6.00,6.00,5.00,6.00,211,339,207,'CENTRO','FLORIANOPOLIS','SC',3249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279223,4.00,5.00,4.00,7.00,5.00,5.25,6.00,4.00,6.00,203,NULL,214,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2279231,4.00,5.00,3.00,2.00,3.00,3.75,2.00,5.00,2.00,328,326,NULL,'ESTADOS','TIMBO','SC',20762,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2279240,5.00,4.00,0.00,1.00,6.00,NULL,3.00,3.00,3.00,103,102,NULL,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279258,3.00,7.00,4.00,2.00,6.00,6.00,3.00,6.00,3.00,319,326,NULL,'FORTALEZA','BLUMENAU','SC',13632,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2279266,2.00,4.00,1.00,3.00,5.00,5.75,5.00,4.00,0.00,450,415,NULL,'CENTRO','BENTO GONCALVES','RS',21257,194,825,NULL,NULL,NULL,NULL,4,1),(15,2279274,4.00,4.00,1.00,2.00,4.00,NULL,1.00,1.00,2.00,207,420,208,'ARMAÇAO P DO SUL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279282,4.00,7.00,6.00,6.00,5.00,6.00,4.00,6.00,2.00,301,316,NULL,'CAMPECHE','FLORIANOPOLIS','SC',11794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2279290,1.00,4.00,1.00,1.00,6.00,NULL,3.00,1.00,2.00,426,316,428,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279304,2.00,7.00,2.00,3.00,5.00,5.75,3.00,8.00,2.00,238,332,208,'ESTREITO','FLORIANOPOLIS','SC',16554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,308,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2279320,3.00,6.00,3.00,8.00,5.00,6.25,4.00,6.00,4.00,420,319,NULL,'COQUEIROS','FLORIANOPOLIS','SC',11995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2279339,5.00,6.00,6.00,5.00,3.00,5.75,7.00,4.00,4.00,108,NULL,NULL,'PLANALTO','VIAMAO','RS',10456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279347,2.00,6.00,6.00,3.00,3.00,4.50,7.00,6.00,2.00,202,220,NULL,'RIO MAINA','CRICIUMA','SC',15228,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2279355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,102,NULL,'CENTRO','SAO JOAO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2279363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,319,NULL,'INTERIOR','LINDOIA DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2279371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,9,207,'SANTA TEREZINHA','ESMERALDA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2279380,4.00,7.00,4.00,8.00,7.00,7.25,6.00,9.00,2.00,5,424,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',6112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279401,9.00,7.00,9.00,7.00,8.00,6.00,9.00,8.00,7.00,103,NULL,NULL,'ASA SUL','BRASILIA','DF',648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2279410,3.00,5.00,0.00,2.00,1.00,NULL,1.00,4.00,2.00,203,301,NULL,'BELA VISTA','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2279428,4.00,2.00,1.00,3.00,4.00,NULL,2.00,1.00,3.00,333,303,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2279436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,428,NULL,'SÃO LUÍS','TIMBE DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2279444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'COLONINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2279452,0.00,5.00,1.00,2.00,3.00,NULL,2.00,3.00,1.00,201,501,233,'BELA VISTA','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,333,NULL,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2279479,2.00,4.00,1.00,3.00,6.00,NULL,3.00,3.00,1.00,428,329,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2279487,3.00,6.00,7.00,6.00,7.00,3.00,4.00,6.00,2.00,202,222,203,'CENTRO','ITAJAI','SC',12792,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2279495,3.00,5.00,0.00,1.00,2.00,NULL,2.00,4.00,2.00,415,451,NULL,'SANTA LUZIA NORTE','PICARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2279509,4.00,7.00,5.00,2.00,8.00,8.00,5.00,6.00,3.00,217,216,NULL,'VILA MOLICA','GUARATINGUETA','SP',9093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279517,3.00,4.00,4.00,4.00,6.00,5.00,4.00,5.00,2.00,420,316,NULL,'CENTRO','MARCELINO RAMOS','RS',16330,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2279525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'SANTA MONIA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2279533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','MODELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2279541,3.00,8.00,1.00,4.00,3.00,5.00,6.00,4.00,2.00,5,238,NULL,'FAZENDA RIO TAVARES','FLORIANOPOLIS','SC',18633,772,992,NULL,NULL,NULL,NULL,2,1),(15,2279550,2.00,5.00,5.00,1.00,4.00,5.75,3.00,4.00,4.00,9,101,NULL,'PRESIDENTE MÉDICI','CHAPECO','SC',19088,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2279568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'PARK WAY','NUCLEO BANDEIRANTE','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2279576,3.00,6.00,5.00,3.00,6.00,5.25,6.00,6.00,3.00,201,203,214,'CENTRO','DIVINOPOLIS','MG',10583,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2279584,3.00,2.00,2.00,1.00,4.00,NULL,3.00,2.00,2.00,319,9,NULL,'SÃO FRANCISCO','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2279592,4.00,4.00,5.00,4.00,7.00,5.50,4.00,5.00,3.00,318,423,NULL,'BARREIROS','SAO JOSE','SC',14401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2279606,3.00,5.00,5.00,6.00,6.00,4.75,3.00,3.00,2.00,5,316,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',16175,683,1088,NULL,NULL,NULL,NULL,2,1),(15,2279614,0.00,3.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SERRA ALTA','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(15,2279622,3.00,6.00,2.00,7.00,7.00,5.00,6.00,3.00,5.00,104,102,NULL,'CENTRO','ITAPEJARA D OESTE','PR',11791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,301,216,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2279649,4.00,7.00,2.00,5.00,8.00,4.50,3.00,6.00,7.00,203,NULL,NULL,'AEROPORTO','GOIANIA','GO',9731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2279657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,207,NULL,'ARMAÇÃO','PENHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2279665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'ENSEADA','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2279673,1.00,6.00,4.00,6.00,5.00,4.00,7.00,4.00,1.00,101,316,NULL,'CENTRO','BRACO DO NORTE','SC',15204,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2279681,5.00,8.00,3.00,6.00,7.00,4.25,5.00,3.00,3.00,5,NULL,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2279720,2.00,3.00,1.00,2.00,3.00,6.00,5.00,4.00,1.00,308,426,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2279738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,207,NULL,'VILA MENDONÇA','ARACATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2279746,3.00,4.00,1.00,4.00,6.00,5.25,4.00,5.00,3.00,303,326,NULL,'IÇARENSE','LAURO MULLER','SC',17535,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2279754,4.00,5.00,3.00,2.00,4.00,6.00,5.00,4.00,4.00,102,501,NULL,'PARQUE DOS SABIAS','LIMEIRA','SP',15572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2279789,3.00,6.00,3.00,8.00,6.00,3.75,6.00,5.00,1.00,108,424,NULL,'SAUDADE','BIGUACU','SC',14076,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2279797,3.00,6.00,0.00,7.00,5.00,7.00,4.00,6.00,2.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',14948,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2279819,3.00,7.00,5.00,4.00,6.00,5.25,3.00,5.00,3.00,451,NULL,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',12033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279827,1.00,7.00,7.00,5.00,5.00,6.75,7.00,6.00,3.00,308,310,NULL,'BARREIROS','SAO JOSE','SC',8609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2279835,2.00,5.00,4.00,3.00,4.00,5.25,3.00,2.00,2.00,316,444,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20669,627,583,NULL,NULL,NULL,NULL,2,1),(15,2279843,0.00,8.00,3.00,4.00,3.00,5.00,2.00,4.00,3.00,233,415,220,'CENTRO','CAPIVARI DE BAIXO','SC',19206,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2279851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,318,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2279860,8.00,9.00,8.00,9.00,7.00,6.25,9.00,6.00,9.00,103,216,NULL,'PRAIA DA COSTA','VILA VELHA','ES',257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,9,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2279908,2.00,8.00,5.00,8.00,6.00,7.50,7.00,8.00,2.00,214,326,212,'CARVOEIRA','FLORIANOPOLIS','SC',5257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279916,2.00,6.00,4.00,2.00,6.00,5.00,3.00,6.00,3.00,444,223,NULL,'CENTRO','ANTONIO CARLOS','SC',16288,165,188,NULL,NULL,NULL,NULL,4,1),(15,2279924,3.00,7.00,1.00,6.00,7.00,6.25,5.00,4.00,3.00,104,331,NULL,'CENTRO','FLORIANOPOLIS','SC',12259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279932,1.00,2.00,2.00,2.00,0.00,NULL,0.00,3.00,2.00,5,NULL,NULL,'BOM VIVER','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2279940,7.00,6.00,7.00,7.00,7.00,6.50,9.00,6.00,6.00,304,333,NULL,'ASA NORTE','BRASILIA','DF',2211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279959,4.00,7.00,6.00,6.00,6.00,5.50,6.00,5.00,3.00,203,NULL,NULL,'OESTE','GOIANIA','GO',8482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2279967,5.00,7.00,4.00,5.00,5.00,6.00,7.00,6.00,6.00,103,329,NULL,'CENTRO','CHOPINZINHO','PR',7185,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2279975,5.00,4.00,3.00,5.00,6.00,4.75,3.00,4.00,3.00,203,304,214,'CENTRO','MANDIRITUBA','PR',15906,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2279983,3.00,5.00,5.00,5.00,6.00,6.50,5.00,5.00,4.00,316,404,NULL,'CENTRO','FLORIANOPOLIS','SC',10825,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2279991,2.00,5.00,6.00,4.00,7.00,5.75,5.00,8.00,2.00,207,319,201,'BARRA SÃO JOÃO','BENEDITO NOVO','SC',10771,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2280000,4.00,7.00,5.00,3.00,7.00,4.50,4.00,4.00,4.00,5,303,NULL,'JARDIM ELDORADO','PARANAGUA','PR',11679,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2280019,2.00,3.00,2.00,6.00,4.00,5.00,3.00,3.00,2.00,320,327,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',20331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280027,2.00,7.00,3.00,8.00,7.00,7.25,5.00,5.00,4.00,303,5,NULL,'CENTRO','CURITIBA','PR',8927,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280043,3.00,5.00,4.00,5.00,8.00,5.75,4.00,5.00,3.00,316,318,NULL,'PASSAGEM','TUBARAO','SC',12828,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2280051,2.00,5.00,0.00,0.00,0.00,NULL,3.00,2.00,2.00,444,102,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,339,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2280078,7.00,8.00,6.00,8.00,9.00,6.25,5.00,7.00,3.00,329,502,NULL,'BARRA DO ARIRIÚ','PALHOCA','SC',3716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280086,4.00,5.00,7.00,7.00,6.00,5.25,9.00,5.00,7.00,103,333,NULL,'CENTRO','ARMAZEM','SC',4640,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2280094,1.00,5.00,5.00,5.00,8.00,4.25,6.00,4.00,6.00,211,301,NULL,'SAO FRANCISCO','CAMPO GRANDE','MS',12485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,450,NULL,'COMERCIÁRIO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2280132,3.00,8.00,2.00,6.00,7.00,5.50,4.00,4.00,3.00,222,2,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',13739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280140,7.00,7.00,9.00,8.00,8.00,5.50,9.00,6.00,8.00,203,202,220,'CENTRO','PALOTINA','PR',921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','SAO MIGUEL DO IGUACU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2280167,3.00,8.00,4.00,5.00,7.00,5.25,4.00,8.00,3.00,303,308,NULL,'PEDRA BRANCA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280175,4.00,8.00,3.00,7.00,8.00,7.25,5.00,6.00,3.00,310,320,NULL,'KOBRASOL','SAO JOSE','SC',7479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280183,4.00,7.00,4.00,8.00,4.00,5.50,6.00,6.00,4.00,316,211,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',9741,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280191,4.00,5.00,2.00,0.00,2.00,NULL,7.00,2.00,2.00,304,316,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280205,6.00,6.00,4.00,6.00,9.00,5.50,5.00,7.00,3.00,316,102,NULL,'ESTREITO','FLORIANOPOLIS','SC',6846,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,444,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2280221,2.00,5.00,7.00,4.00,6.00,5.00,4.00,5.00,6.00,224,212,NULL,'MORRETES','ITAPEMA','SC',10835,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2280230,5.00,8.00,6.00,7.00,8.00,6.25,6.00,4.00,4.00,207,501,201,'BARREIROS','SAO JOSE','SC',5831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280248,0.00,5.00,2.00,4.00,5.00,5.50,0.00,4.00,2.00,415,101,NULL,'CENTRO','MONDAI','SC',22215,561,784,NULL,NULL,NULL,NULL,2,1),(15,2280256,4.00,6.00,2.00,6.00,5.00,5.75,4.00,6.00,3.00,103,NULL,NULL,'CENTRO','RIO VERDE','GO',13248,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280280,1.00,5.00,4.00,5.00,7.00,5.75,5.00,5.00,3.00,101,319,NULL,'CENTRO','BENEDITO NOVO','SC',14513,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2280299,3.00,6.00,4.00,6.00,5.00,5.75,5.00,4.00,3.00,308,423,NULL,'ESTREITO','FLORIANOPOLIS','SC',14963,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280302,0.00,1.00,1.00,3.00,5.00,NULL,2.00,3.00,0.00,101,339,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280310,3.00,5.00,5.00,1.00,5.00,4.50,4.00,5.00,5.00,102,201,NULL,'BELA VISTA','ERECHIM','RS',15946,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2280329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2280337,3.00,7.00,2.00,7.00,8.00,7.50,6.00,7.00,1.00,103,427,NULL,'ABRAAO','FLORIANOPOLIS','SC',8531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280345,3.00,5.00,4.00,3.00,4.00,4.00,2.00,2.00,2.00,234,332,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',20293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280353,0.00,3.00,4.00,5.00,6.00,6.50,3.00,3.00,4.00,319,308,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',17152,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280361,7.00,9.00,9.00,9.00,8.00,6.25,8.00,6.00,5.00,203,NULL,201,'SANTA MONICA','FLORIANOPOLIS','SC',1151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280370,2.00,7.00,3.00,4.00,6.00,5.25,4.00,2.00,2.00,333,429,NULL,'CENTRO','PALHOCA','SC',18608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280388,4.00,6.00,4.00,7.00,6.00,5.00,6.00,6.00,3.00,207,420,201,'PARQUE SAO PAULO','CASCAVEL','PR',8937,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2280396,2.00,6.00,1.00,5.00,4.00,5.50,4.00,5.00,4.00,238,327,213,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280400,3.00,3.00,3.00,4.00,3.00,5.25,4.00,4.00,1.00,415,303,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280418,2.00,8.00,6.00,6.00,7.00,6.00,6.00,6.00,4.00,415,331,NULL,'CENTRO','FLORIANOPOLIS','SC',6409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280426,3.00,8.00,5.00,7.00,7.00,8.25,6.00,7.00,3.00,211,327,238,'CENTRO','SAO LOURENCO DO OESTE','SC',6226,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2280434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,316,208,'IPIRANGA','MARMELEIRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2280442,2.00,7.00,5.00,1.00,4.00,5.25,4.00,6.00,3.00,238,327,NULL,'ESTREITO','FLORIANOPOLIS','SC',15705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280469,1.00,4.00,4.00,5.00,4.00,3.75,3.00,3.00,1.00,444,404,NULL,'CENTRO','PALHOCA','SC',21553,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280477,5.00,7.00,4.00,7.00,4.00,5.50,3.00,4.00,2.00,213,220,202,'JARDIM ARACATI','SAO PAULO','SP',14089,226,740,526,NULL,NULL,NULL,2,8),(15,2280485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,426,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2280493,2.00,8.00,1.00,7.00,9.00,6.75,5.00,7.00,3.00,415,428,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',8807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280507,4.00,3.00,4.00,4.00,4.00,4.25,2.00,3.00,3.00,308,319,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280515,3.00,5.00,0.00,5.00,2.00,NULL,3.00,1.00,1.00,501,502,NULL,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280523,6.00,8.00,8.00,5.00,9.00,6.25,8.00,8.00,6.00,103,224,NULL,'CENTRO','FLORIANOPOLIS','SC',1551,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280531,1.00,5.00,3.00,4.00,5.00,4.50,2.00,5.00,3.00,233,212,214,'CENTRO','MARCELINO RAMOS','RS',18933,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2280540,5.00,7.00,6.00,4.00,8.00,6.25,7.00,6.00,3.00,9,301,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',6516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280558,3.00,6.00,9.00,7.00,5.00,4.25,7.00,4.00,5.00,201,319,212,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',7615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280566,6.00,7.00,7.00,3.00,9.00,7.00,4.00,7.00,6.00,102,217,NULL,'VELHA','BLUMENAU','SC',4095,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2280574,4.00,7.00,4.00,5.00,8.00,4.50,4.00,3.00,2.00,415,301,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',13414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280582,6.00,8.00,8.00,7.00,8.00,6.50,7.00,6.00,5.00,103,420,NULL,'NOVA RUSSIA','PONTA GROSSA','PR',2541,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2280590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,328,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2280604,6.00,6.00,3.00,1.00,7.00,6.25,3.00,5.00,5.00,103,NULL,NULL,'BATEL','CURITIBA','PR',11512,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2280612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,502,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2280620,3.00,5.00,3.00,5.00,6.00,3.00,5.00,3.00,2.00,203,212,214,'UNIVERSITÁRIO','CRICIUMA','SC',17860,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2280639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,326,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2280647,0.00,4.00,1.00,1.00,7.00,4.25,6.00,4.00,2.00,444,404,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280655,4.00,5.00,2.00,4.00,5.00,4.75,5.00,4.00,3.00,333,328,NULL,'AMERICA','JOINVILLE','SC',15326,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2280663,2.00,6.00,3.00,5.00,7.00,3.75,4.00,5.00,3.00,5,304,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',16282,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2280671,5.00,7.00,5.00,6.00,6.00,7.00,4.00,7.00,5.00,104,217,NULL,'RATONES','FLORIANOPOLIS','SC',6467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,444,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2280701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,234,NULL,'ASA NORTE','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2280710,2.00,9.00,3.00,7.00,8.00,6.00,6.00,6.00,3.00,501,502,NULL,'TRINDADE','FLORIANOPOLIS','SC',7477,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,424,NULL,'OLIVEIRA','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2280736,4.00,7.00,7.00,8.00,6.00,7.50,6.00,6.00,6.00,102,429,NULL,'CENTRO','SAO LOURENCO DO OESTE','SC',3282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280752,2.00,4.00,1.00,2.00,3.00,6.25,3.00,4.00,3.00,319,5,NULL,'LIRI','ICARA','SC',22065,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2280760,3.00,7.00,0.00,0.00,4.00,NULL,3.00,3.00,3.00,103,303,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2280779,3.00,5.00,0.00,3.00,3.00,NULL,3.00,2.00,1.00,214,203,NULL,'RIO MAINA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2280795,5.00,5.00,7.00,8.00,5.00,4.00,8.00,7.00,5.00,203,214,202,'ZONA SUL','ILHA SOLTEIRA','SP',5154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2280809,1.00,7.00,4.00,1.00,5.00,6.00,3.00,3.00,5.00,102,101,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2280817,1.00,3.00,2.00,6.00,3.00,4.75,2.00,4.00,5.00,211,339,238,'ITACORUBI','FLORIANOPOLIS','SC',21105,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280825,4.00,5.00,3.00,5.00,6.00,5.25,3.00,1.00,5.00,104,108,NULL,'SAO FRANCISCO','BENTO GONCALVES','RS',16698,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280833,3.00,3.00,1.00,6.00,5.00,6.00,3.00,6.00,3.00,108,333,NULL,'VÁRZEA','ITAPEMA','SC',16608,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2280841,2.00,3.00,3.00,7.00,5.00,5.75,4.00,3.00,5.00,316,102,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',16764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280850,4.00,6.00,4.00,7.00,7.00,5.00,7.00,5.00,5.00,217,233,NULL,'TRINDADE','FLORIANOPOLIS','SC',8649,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2280868,2.00,5.00,3.00,2.00,7.00,6.25,4.00,3.00,2.00,319,339,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',18058,387,331,NULL,NULL,NULL,NULL,2,1),(15,2280876,4.00,7.00,5.00,5.00,7.00,3.00,5.00,6.00,3.00,316,404,NULL,'KOBRASOL','SAO JOSE','SC',11839,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,444,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2280892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,319,NULL,'BOSQUE DAS MANSOES','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2280906,2.00,6.00,4.00,2.00,4.00,3.75,3.00,2.00,2.00,302,102,NULL,'VILA NOVA','IMBITUBA','SC',22027,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2280914,7.00,7.00,3.00,5.00,7.00,5.00,7.00,6.00,7.00,103,NULL,NULL,'EMILIANO PERNETA','PINHAIS','PR',5749,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280922,4.00,7.00,6.00,5.00,6.00,6.25,5.00,7.00,1.00,328,329,NULL,'CAMPECHE','FLORIANOPOLIS','SC',8295,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280930,2.00,7.00,2.00,3.00,3.00,4.25,3.00,1.00,2.00,201,303,213,'ANITA GARIBALDE','JOINVILLE','SC',21907,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2280949,5.00,6.00,6.00,3.00,8.00,6.50,7.00,4.00,5.00,104,201,NULL,'ENSEADA','SAO FRANCISCO DO SUL','SC',7084,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2280957,7.00,8.00,2.00,5.00,7.00,NULL,0.00,0.00,0.00,316,5,NULL,'JARDIM AUTONOMISTA','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(15,2280965,3.00,7.00,7.00,6.00,6.00,4.75,7.00,6.00,3.00,201,326,208,'MEIA PRAIA','ITAPEMA','SC',6930,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2280973,1.00,5.00,1.00,6.00,6.00,4.25,3.00,5.00,2.00,108,NULL,NULL,'BELA VISTA','PALHOCA','SC',18893,419,NULL,NULL,NULL,NULL,NULL,2,1),(15,2280981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,9,NULL,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2280990,1.00,4.00,3.00,3.00,6.00,4.50,3.00,3.00,1.00,316,201,NULL,'BELA VISTA','SAO JOSE','SC',21396,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'ABRANCHES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2281015,3.00,4.00,7.00,5.00,5.00,6.00,6.00,4.00,2.00,202,212,220,'SÃO LUIZ','CRICIUMA','SC',12028,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2281023,4.00,4.00,2.00,5.00,5.00,6.00,4.00,2.00,3.00,207,316,201,'ESTREITO','FLORIANOPOLIS','SC',18255,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'ANTIGO AEROPORTO','PARANAVAI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2281040,4.00,6.00,6.00,7.00,8.00,6.00,6.00,7.00,5.00,102,216,NULL,'CENTRO','FLORIANOPOLIS','SC',4702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2281066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'FÁTIMA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2281074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,327,428,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2281082,3.00,7.00,1.00,0.00,0.00,NULL,3.00,6.00,1.00,332,327,NULL,'SANTOS DUMONT','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(15,2281090,4.00,6.00,0.00,5.00,6.00,5.00,3.00,4.00,0.00,324,309,NULL,'JARDIM JANAINA','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281104,4.00,3.00,0.00,1.00,5.00,NULL,2.00,4.00,1.00,208,213,220,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281112,1.00,5.00,1.00,4.00,7.00,6.00,4.00,2.00,3.00,303,319,NULL,'CENTRO','FLORIANOPOLIS','SC',19862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2281120,4.00,7.00,4.00,7.00,6.00,3.75,5.00,1.00,1.00,103,102,NULL,'CENTRO','SAO CARLOS','SC',16189,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2281139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,450,NULL,'COMERCIÁRIO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2281147,1.00,5.00,1.00,0.00,4.00,6.75,3.00,7.00,2.00,450,320,NULL,'CENTRO','JACAREI','SP',20985,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281155,2.00,6.00,4.00,7.00,5.00,5.00,2.00,3.00,0.00,329,328,NULL,'BARRA DO RIO CERRO','JARAGUA DO SUL','SC',18121,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2281163,5.00,7.00,3.00,5.00,7.00,5.50,3.00,5.00,1.00,308,5,NULL,'SÃO LUIZ','BRUSQUE','SC',13081,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2281171,1.00,6.00,3.00,6.00,5.00,5.50,5.00,5.00,3.00,303,104,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2281180,4.00,5.00,2.00,7.00,5.00,6.00,3.00,5.00,3.00,319,104,NULL,'SÃO SEBASTIÃO','CHOPINZINHO','PR',13944,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2281198,8.00,7.00,9.00,8.00,9.00,6.50,8.00,8.00,7.00,103,108,NULL,'PADRE MARTINHO STEIN','TIMBO','SC',495,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2281201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,444,216,'PRÓSPERA','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2281210,1.00,6.00,5.00,7.00,7.00,6.00,5.00,7.00,3.00,304,424,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',9542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2281228,5.00,4.00,6.00,6.00,7.00,4.75,7.00,5.00,3.00,211,234,220,'IPIRANGA','SAO PAULO','SP',9534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2281244,1.00,7.00,1.00,3.00,7.00,4.25,3.00,6.00,4.00,331,301,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',17943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'MORRO DA CRUZ CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2281260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,501,NULL,'SÃO MIGUEL','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2281287,4.00,7.00,3.00,6.00,7.00,5.50,5.00,6.00,3.00,104,101,NULL,'DANIELA','FLORIANOPOLIS','SC',9566,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281295,4.00,7.00,1.00,2.00,7.00,4.75,3.00,3.00,1.00,425,424,427,'CAMPININHA','SAO ROQUE','SP',19327,167,245,75,NULL,NULL,NULL,4,1),(15,2281309,3.00,6.00,4.00,7.00,5.00,4.25,4.00,5.00,2.00,203,225,NULL,'CARAVAGIO','NOVA VENEZA','SC',15225,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2281317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'JARDIM SÃO LUIS','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2281325,3.00,7.00,3.00,5.00,7.00,7.75,5.00,7.00,2.00,424,421,427,'TAPERA','FLORIANOPOLIS','SC',8198,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'SANTO ANDRE','GETULIO VARGAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2281350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'OESTE','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2281368,1.00,4.00,3.00,2.00,2.00,NULL,3.00,3.00,2.00,101,102,NULL,'BOA PARADA','SAO PEDRO DE ALCANTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2281376,1.00,5.00,1.00,3.00,3.00,4.00,3.00,4.00,3.00,303,208,NULL,'ESTREITO','FLORIANOPOLIS','SC',21972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,223,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2281392,4.00,5.00,0.00,3.00,7.00,5.25,5.00,3.00,4.00,303,309,NULL,'SUMARE','RIO DO SUL','SC',16154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2281406,2.00,3.00,2.00,5.00,2.00,NULL,3.00,2.00,1.00,101,211,NULL,'CIVEMARA','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2281414,5.00,7.00,5.00,7.00,7.00,8.75,7.00,5.00,6.00,203,2,214,'CAMPINAS','SAO JOSE','SC',4509,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2281422,4.00,6.00,4.00,8.00,5.00,6.50,6.00,4.00,5.00,214,220,202,'ZONA SUL','ILHA SOLTEIRA','SP',8072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2281430,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,5,303,NULL,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(15,2281449,4.00,7.00,6.00,6.00,6.00,5.50,6.00,6.00,3.00,501,319,NULL,'MARTORANO','SAO JOAQUIM','SC',7111,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2281465,1.00,4.00,3.00,8.00,5.00,6.75,3.00,3.00,2.00,429,426,423,'ESTREITO','FLORIANOPOLIS','SC',18126,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281481,5.00,4.00,4.00,3.00,7.00,5.75,4.00,6.00,2.00,9,NULL,NULL,'JARDIM INDÚSTRIAS','SAO JOSE DOS CAMPOS','SP',11854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2281503,4.00,6.00,2.00,3.00,5.00,4.00,4.00,2.00,3.00,304,303,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2281511,4.00,5.00,2.00,6.00,5.00,5.00,3.00,3.00,2.00,316,420,NULL,'INTERIOR','BELMONTE','SC',17421,494,816,NULL,NULL,NULL,NULL,2,4),(15,2281520,1.00,7.00,1.00,4.00,5.00,6.75,3.00,5.00,4.00,101,309,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',15485,160,163,NULL,NULL,NULL,NULL,4,3),(15,2281538,5.00,9.00,4.00,9.00,9.00,7.25,4.00,9.00,4.00,425,NULL,426,'ITACORUBI','FLORIANOPOLIS','SC',3144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2281546,2.00,3.00,3.00,2.00,4.00,5.50,4.00,4.00,2.00,333,211,NULL,'INDEPENDENCIA','TAUBATE','SP',20523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2281554,3.00,8.00,6.00,5.00,9.00,5.50,7.00,6.00,3.00,333,215,NULL,'SERRINHA','UBERABA','MG',6481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2281562,4.00,8.00,6.00,6.00,7.00,5.75,4.00,9.00,2.00,201,208,202,'PIONEIROS','BALNEARIO CAMBORIU','SC',6417,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2281570,3.00,7.00,3.00,3.00,4.00,3.75,4.00,5.00,4.00,303,316,NULL,'ENSEADA','SAO FRANCISCO DO SUL','SC',17628,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2281589,2.00,6.00,3.00,3.00,6.00,4.50,5.00,5.00,2.00,223,451,NULL,'PRAIA COMPLIDA','SAO JOSE','SC',16731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281597,5.00,8.00,0.00,6.00,7.00,5.75,5.00,7.00,5.00,331,332,NULL,'CENTRO','MURIAE','MG',7760,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281600,8.00,8.00,8.00,8.00,7.00,5.50,9.00,6.00,8.00,220,203,214,'SETOR SUL','GOIANIA','GO',676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2281619,3.00,7.00,6.00,7.00,7.00,6.25,5.00,5.00,4.00,103,201,NULL,'CENTRO','FLORIANOPOLIS','SC',8199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2281627,2.00,6.00,4.00,5.00,6.00,5.75,2.00,6.00,2.00,331,223,NULL,'SALTO DO NORTE','BLUMENAU','SC',14897,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2281635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'PRESIDENTE MEDICE','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2281643,3.00,7.00,4.00,6.00,5.00,4.50,3.00,5.00,2.00,327,316,NULL,'SERRARIA','BIGUACU','SC',14772,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2281678,2.00,4.00,3.00,4.00,6.00,6.50,5.00,3.00,3.00,213,225,202,'CAMPECHE','FLORIANOPOLIS','SC',16197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2281686,4.00,6.00,2.00,3.00,6.00,7.75,3.00,3.00,2.00,444,326,NULL,'N S DO ROSÁRIO','SAO JOSE','SC',15084,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281694,2.00,5.00,2.00,6.00,5.00,4.75,3.00,3.00,3.00,332,333,NULL,'PACHECO','PALHOCA','SC',18982,113,953,NULL,NULL,NULL,NULL,2,1),(15,2281708,3.00,5.00,2.00,5.00,4.00,4.25,5.00,5.00,2.00,108,429,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',17773,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281716,3.00,7.00,3.00,5.00,5.00,5.00,2.00,5.00,3.00,5,415,NULL,'CARIANOS','FLORIANOPOLIS','SC',15788,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2281724,3.00,7.00,3.00,2.00,6.00,6.00,2.00,5.00,3.00,202,318,203,'VELHA CENTRAL','BLUMENAU','SC',14402,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2281732,3.00,3.00,3.00,2.00,6.00,4.25,4.00,3.00,2.00,208,326,NULL,'CAIRU','LAURO MULLER','SC',21187,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2281740,5.00,6.00,1.00,7.00,6.00,4.50,7.00,7.00,5.00,104,216,NULL,'VILA SUZANA','APUCARANA','PR',7202,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2281767,0.00,6.00,1.00,3.00,4.00,6.75,4.00,5.00,2.00,444,224,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',19946,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281775,5.00,7.00,8.00,9.00,9.00,5.50,5.00,5.00,4.00,303,211,NULL,'COQUEIROS','FLORIANOPOLIS','SC',3961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2281783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,326,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2281791,2.00,6.00,4.00,5.00,6.00,6.75,6.00,5.00,1.00,108,333,NULL,'CENTRO','URUANA','GO',12240,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281805,6.00,7.00,8.00,7.00,7.00,6.50,6.00,6.00,4.00,207,316,202,'CENTRO','RIO DO SUL','SC',4255,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281813,0.00,7.00,3.00,2.00,5.00,NULL,7.00,6.00,1.00,329,328,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2281821,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,303,9,NULL,'PÂNTANO DO SUL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2281848,3.00,5.00,3.00,6.00,8.00,5.50,2.00,6.00,3.00,331,217,NULL,'CENTRO','PAULO LOPES','SC',13560,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281856,2.00,6.00,2.00,3.00,7.00,2.00,2.00,3.00,3.00,327,NULL,NULL,'PROGRSSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2281880,2.00,8.00,2.00,7.00,8.00,6.00,3.00,7.00,3.00,302,317,NULL,'KOBRASOL','SAO JOSE','SC',10890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281899,2.00,6.00,6.00,8.00,6.00,6.75,6.00,6.00,4.00,208,444,238,'CENTRO','FLORIANOPOLIS','SC',6056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2281902,3.00,6.00,4.00,5.00,6.00,4.00,5.00,5.00,2.00,317,302,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',15760,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281910,2.00,8.00,2.00,2.00,6.00,4.50,3.00,4.00,2.00,211,502,213,'LIBERDADE','NOVO HAMBURGO','RS',20054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281945,2.00,6.00,4.00,4.00,6.00,5.00,3.00,3.00,2.00,220,201,NULL,'CENTRO','CRICIUMA','SC',16848,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2281953,2.00,6.00,3.00,7.00,6.00,4.75,4.00,6.00,1.00,316,201,NULL,'INGLESES','FLORIANOPOLIS','SC',15125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2281970,6.00,6.00,8.00,7.00,8.00,7.25,7.00,7.00,6.00,103,101,NULL,'JARDIM VIRGINIA','GUARUJA','SP',1460,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2281988,1.00,1.00,0.00,2.00,2.00,NULL,0.00,2.00,1.00,308,404,NULL,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282003,5.00,7.00,8.00,4.00,7.00,4.00,8.00,7.00,8.00,103,303,NULL,'BUENO','GOIANIA','GO',3287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282011,0.00,4.00,4.00,0.00,2.00,NULL,1.00,4.00,3.00,318,425,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282020,5.00,6.00,5.00,8.00,8.00,6.50,5.00,2.00,4.00,103,102,NULL,'SÃO LUIS','ITU','SP',8560,1968,791,NULL,NULL,NULL,NULL,4,8),(15,2282038,5.00,9.00,7.00,8.00,7.00,5.75,8.00,8.00,3.00,331,332,NULL,'POPULAR','LAGES','SC',2609,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2282046,6.00,7.00,9.00,9.00,8.00,7.00,9.00,6.00,7.00,216,316,214,'BARÃO GERALDO','CAMPINAS','SP',619,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2282054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,318,233,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2282062,0.00,6.00,1.00,5.00,8.00,7.50,5.00,6.00,4.00,103,108,NULL,'CENTRO','PINHEIRO PRETO','SC',11759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282070,4.00,7.00,4.00,8.00,6.00,6.00,6.00,8.00,4.00,238,208,202,'SERRINHA','FLORIANOPOLIS','SC',6570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282089,6.00,7.00,7.00,4.00,7.00,5.50,5.00,6.00,5.00,103,102,NULL,'CENTRO','NOVA PRATA DO IGUACU','PR',5956,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2282097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,102,NULL,'INTERIOR','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2282100,3.00,7.00,6.00,8.00,4.00,6.50,5.00,6.00,2.00,425,108,421,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',7324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282119,5.00,9.00,6.00,8.00,8.00,5.00,6.00,7.00,7.00,303,NULL,NULL,'SETOR SUL','GOIANIA','GO',1935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282127,4.00,7.00,3.00,2.00,7.00,6.00,3.00,7.00,2.00,103,101,NULL,'CENTRO','CONSELHEIRO MAIRINCK','PR',14293,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2282135,3.00,5.00,3.00,0.00,6.00,NULL,2.00,4.00,3.00,319,327,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2282143,2.00,5.00,4.00,1.00,3.00,5.25,3.00,4.00,2.00,201,212,203,'ATUBA','CURITIBA','PR',21255,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2282151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'PAROLIN','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2282160,3.00,7.00,3.00,1.00,8.00,5.75,6.00,6.00,5.00,103,104,NULL,'LA SALLE','PATO BRANCO','PR',10755,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2282178,4.00,7.00,5.00,7.00,8.00,6.00,6.00,6.00,5.00,316,301,NULL,'CENTRO','FLORIANOPOLIS','SC',5768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282186,2.00,7.00,3.00,2.00,5.00,5.25,3.00,7.00,2.00,316,317,NULL,'AREIAS','SAO JOSE','SC',16987,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282194,0.00,6.00,3.00,5.00,5.00,3.50,2.00,4.00,1.00,316,317,NULL,'ESTREITO','SAO JOSE','SC',21635,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,404,201,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2282216,2.00,5.00,2.00,5.00,6.00,4.50,3.00,4.00,4.00,102,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',17619,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2282240,1.00,5.00,2.00,3.00,5.00,5.25,3.00,4.00,2.00,5,339,NULL,'CENTRO','FLORIANOPOLIS','SC',20707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282259,1.00,7.00,2.00,2.00,3.00,1.50,2.00,2.00,0.00,108,NULL,NULL,'CANTA GALO','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282267,5.00,7.00,5.00,6.00,7.00,5.00,6.00,7.00,2.00,333,201,NULL,'CENTRO','BOMBINHAS','SC',8365,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2282275,2.00,5.00,2.00,4.00,2.00,NULL,3.00,3.00,0.00,444,420,NULL,'DE JULHO','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282283,3.00,5.00,1.00,3.00,6.00,5.50,2.00,4.00,3.00,415,301,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282305,3.00,6.00,9.00,9.00,7.00,4.50,8.00,7.00,5.00,316,225,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',3343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,202,207,'SÃO CAMILO','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2282321,0.00,5.00,2.00,1.00,6.00,NULL,4.00,3.00,1.00,333,108,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2282330,1.00,0.00,1.00,1.00,4.00,NULL,2.00,3.00,1.00,308,415,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282348,2.00,6.00,6.00,9.00,7.00,6.00,4.00,5.00,3.00,319,339,NULL,'CENTRO','POMERODE','SC',7994,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2282356,4.00,4.00,4.00,4.00,2.00,NULL,7.00,2.00,4.00,103,NULL,NULL,'JD NOVO HORIZONTE','MARINGA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282364,2.00,6.00,1.00,2.00,5.00,4.50,5.00,6.00,3.00,331,327,NULL,'MICHEL','CRICIUMA','SC',18216,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2282372,3.00,6.00,8.00,6.00,8.00,6.00,5.00,5.00,4.00,213,224,233,'CENTRO','BALNEARIO CAMBORIU','SC',7363,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2282380,0.00,4.00,2.00,4.00,3.00,NULL,3.00,2.00,3.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282399,2.00,7.00,4.00,6.00,7.00,4.00,3.00,6.00,2.00,339,324,NULL,'CAMINHO NOVO','PALHOCA','SC',13649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282402,4.00,9.00,8.00,1.00,7.00,6.75,5.00,6.00,7.00,103,316,NULL,'CENTRO','PARANAVAI','PR',5718,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2282429,1.00,8.00,2.00,4.00,5.00,4.25,1.00,4.00,3.00,444,501,NULL,'INGLESES','FLORIANOPOLIS','SC',19042,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282437,1.00,5.00,2.00,7.00,5.00,7.00,2.00,3.00,2.00,5,317,NULL,'CAMPINAS','SAO JOSE','SC',18777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282445,5.00,6.00,5.00,8.00,7.00,4.75,5.00,6.00,5.00,316,404,NULL,'PANTANAL','FLORIANOPOLIS','SC',6110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282453,4.00,7.00,5.00,5.00,6.00,5.00,6.00,8.00,2.00,5,451,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',9345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282461,5.00,8.00,8.00,5.00,8.00,6.50,7.00,6.00,4.00,2,222,NULL,'CAPITAIS','TIMBO','SC',3738,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2282470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,201,NULL,'SÃO PEDRO','CAMPO BELO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2282496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,203,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2282500,7.00,9.00,2.00,4.00,6.00,6.00,7.00,8.00,6.00,102,108,NULL,'CENTRO','RIBEIRAO PRETO','SP',3952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282518,2.00,6.00,3.00,6.00,4.00,4.75,3.00,2.00,2.00,444,427,NULL,'COQUEIROS','FLORIANOPOLIS','SC',19355,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282526,2.00,6.00,2.00,4.00,7.00,4.75,1.00,3.00,1.00,415,NULL,NULL,'EDMUNDO TREIN','PASSO FUNDO','RS',20596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,9,211,'JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2282542,3.00,4.00,0.00,2.00,3.00,5.25,3.00,5.00,1.00,303,208,NULL,'SERRARIA SÃO JOSÉ','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282550,6.00,7.00,5.00,5.00,7.00,5.50,8.00,7.00,6.00,211,103,203,'CENTRO','CRICIUMA','SC',4973,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2282569,2.00,7.00,3.00,7.00,7.00,6.25,6.00,6.00,3.00,104,501,NULL,'CENTRO','PORTO ALEGRE','RS',9197,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2282577,0.00,4.00,2.00,2.00,7.00,NULL,3.00,2.00,3.00,316,301,NULL,'PALMITAL','MARILIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2282585,4.00,8.00,6.00,8.00,6.00,8.50,6.00,9.00,2.00,320,423,NULL,'JARDIM SAO VICENTE','FRANCA','SP',3660,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282593,2.00,4.00,1.00,2.00,4.00,4.25,2.00,4.00,4.00,103,501,NULL,'VILA NOVA','LAGES','SC',22186,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2282607,2.00,7.00,5.00,5.00,5.00,5.75,2.00,5.00,3.00,333,208,NULL,'SANTOS DUMONT II','TRES LAGOAS','MS',13840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282623,5.00,7.00,2.00,5.00,7.00,4.75,5.00,6.00,2.00,423,339,426,'INGLESES','FLORIANOPOLIS','SC',12360,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282631,4.00,6.00,2.00,3.00,7.00,4.50,4.00,3.00,2.00,302,332,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',16958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282640,3.00,7.00,6.00,6.00,5.00,4.50,6.00,8.00,4.00,108,224,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',8823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282658,4.00,6.00,4.00,5.00,8.00,5.00,4.00,3.00,2.00,5,327,NULL,'TAPERA','FLORIANOPOLIS','SC',13078,569,329,NULL,NULL,NULL,NULL,4,1),(15,2282682,3.00,6.00,4.00,3.00,3.00,5.50,4.00,2.00,2.00,501,502,NULL,'CENTRO','TRES ARROIOS','RS',19246,255,320,NULL,NULL,NULL,NULL,4,4),(15,2282690,0.00,7.00,3.00,7.00,6.00,6.25,4.00,5.00,1.00,103,101,NULL,'CRUZEIRO','CAXIAS DO SUL','RS',13060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282704,1.00,7.00,3.00,9.00,9.00,5.00,5.00,7.00,1.00,425,310,429,'SANTA MÔNICA','FLORIANOPOLIS','SC',7281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282712,1.00,8.00,1.00,4.00,4.00,7.00,2.00,4.00,1.00,207,NULL,208,'TRINDADE','FLORIANOPOLIS','SC',20026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282720,3.00,4.00,3.00,3.00,6.00,3.75,6.00,4.00,1.00,224,426,NULL,'FORQUILHINHAS','SAO JOSE','SC',18693,62,230,NULL,NULL,NULL,NULL,2,1),(15,2282739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,104,NULL,'MINA BRASIL','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2282747,2.00,2.00,2.00,4.00,3.00,5.50,4.00,5.00,4.00,308,309,NULL,'PICADAS DO SUL','SAO JOSE','SC',19301,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282755,2.00,4.00,1.00,6.00,4.00,5.25,5.00,4.00,0.00,415,108,NULL,'CENTRO','GUAJARA','AM',20108,513,940,NULL,NULL,NULL,NULL,2,3),(15,2282763,2.00,7.00,2.00,5.00,7.00,4.50,6.00,4.00,3.00,103,NULL,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',13961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2282780,0.00,6.00,2.00,7.00,4.00,5.50,7.00,7.00,5.00,316,317,NULL,'REL PARQUE','SAO JOSE','SC',10614,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282798,3.00,6.00,5.00,3.00,3.00,5.50,5.00,3.00,5.00,213,214,NULL,'CENTRO','JALES','SP',15093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282801,2.00,6.00,1.00,1.00,6.00,5.25,4.00,3.00,3.00,207,420,NULL,'VILA XAVIER','BIRIGUI','SP',20205,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2282810,7.00,8.00,9.00,5.00,9.00,5.25,9.00,6.00,8.00,103,NULL,NULL,'JARDIM SÃO DIMAS','SAO JOSE DOS CAMPOS','SP',1087,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2282828,5.00,6.00,4.00,3.00,4.00,6.50,4.00,4.00,2.00,427,238,426,'CAMPINAS','SAO JOSE','SC',14600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282836,1.00,3.00,2.00,1.00,2.00,NULL,5.00,0.00,1.00,309,324,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282852,1.00,5.00,2.00,2.00,4.00,5.50,5.00,6.00,3.00,103,108,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282860,7.00,7.00,6.00,7.00,8.00,6.75,6.00,8.00,4.00,5,329,NULL,'FLORESTA','PORTO ALEGRE','RS',2399,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2282887,6.00,8.00,5.00,2.00,9.00,4.00,4.00,5.00,4.00,326,309,NULL,'CENTRO','FLORIANOPOLIS','SC',10010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282895,3.00,5.00,4.00,6.00,6.00,4.75,3.00,3.00,1.00,220,202,201,'CENTRO','PONTE SERRADA','SC',16245,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2282909,6.00,7.00,7.00,5.00,6.00,5.50,7.00,8.00,5.00,302,223,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',4116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282917,2.00,6.00,2.00,5.00,7.00,4.75,4.00,3.00,2.00,316,324,NULL,'TRINDADE','FLORIANOPOLIS','SC',16711,470,275,NULL,NULL,NULL,NULL,2,1),(15,2282925,1.00,1.00,1.00,1.00,1.00,NULL,1.00,2.00,1.00,316,208,NULL,'SÃO BASÍLIO','BRACO DO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2282941,2.00,7.00,1.00,1.00,8.00,6.50,5.00,7.00,2.00,316,301,NULL,'ESTREITO','FLORIANOPOLIS','SC',14839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2282950,3.00,4.00,3.00,1.00,4.00,3.75,2.00,3.00,0.00,404,302,NULL,'COSTEIRA','FLORIANOPOLIS','SC',22481,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282968,2.00,3.00,1.00,2.00,2.00,NULL,2.00,0.00,3.00,108,319,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282976,0.00,8.00,4.00,8.00,5.00,4.75,5.00,5.00,3.00,222,238,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',13222,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2282984,3.00,5.00,3.00,7.00,8.00,5.00,7.00,5.00,2.00,224,316,NULL,'SANTA BÁRBARA','CRICIUMA','SC',11660,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2282992,2.00,7.00,7.00,4.00,5.00,6.25,6.00,5.00,3.00,302,304,NULL,'ASA NORTE','BRASILIA','DF',11379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283000,5.00,7.00,7.00,5.00,7.00,6.25,7.00,5.00,5.00,211,223,215,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',4616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283018,2.00,6.00,3.00,5.00,9.00,4.75,5.00,7.00,4.00,104,203,NULL,'CENTRO','ERECHIM','RS',8751,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2283034,5.00,6.00,5.00,4.00,7.00,6.00,6.00,3.00,4.00,211,5,201,'JARDIM AQUARIUS','SAO JOSE DOS CAMPOS','SP',10117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283042,1.00,6.00,1.00,0.00,3.00,NULL,2.00,3.00,1.00,304,328,NULL,'SÃO SEBASTIÃO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,451,NULL,'JARDIM CARVCALHO','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2283069,5.00,7.00,2.00,9.00,7.00,8.50,5.00,6.00,2.00,425,328,428,'RATONES','FLORIANOPOLIS','SC',6248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283077,2.00,3.00,3.00,1.00,3.00,3.75,3.00,4.00,2.00,9,211,NULL,'BOA VISTA','ITUPORANGA','SC',22403,355,1032,NULL,NULL,NULL,NULL,2,6),(15,2283085,1.00,6.00,1.00,1.00,4.00,5.00,5.00,3.00,1.00,324,332,NULL,'INGLESES DO RIO VERM','FLORIANOPOLIS','SC',22181,110,336,NULL,NULL,NULL,NULL,2,1),(15,2283093,2.00,8.00,2.00,6.00,5.00,5.75,5.00,3.00,4.00,404,9,NULL,'BALNEARIO DO ESTREIT','FLORIANOPOLIS','SC',14211,101,570,NULL,NULL,NULL,NULL,2,1),(15,2283107,2.00,7.00,1.00,6.00,5.00,6.00,4.00,3.00,2.00,316,301,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',16312,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2283115,6.00,9.00,5.00,7.00,7.00,6.50,7.00,6.00,6.00,202,2,214,'BARREIROS','SAO JOSE','SC',3501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283123,2.00,7.00,5.00,2.00,6.00,4.25,6.00,4.00,3.00,318,317,NULL,'PANTANAL','FLORIANOPOLIS','SC',15502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283131,5.00,6.00,7.00,3.00,9.00,5.75,4.00,4.00,4.00,303,319,NULL,'GLÓRIA','JOINVILLE','SC',7824,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2283140,2.00,7.00,5.00,6.00,5.00,0.00,6.00,6.00,5.00,203,302,214,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283158,1.00,5.00,3.00,2.00,4.00,4.50,3.00,4.00,1.00,224,320,NULL,'CENTRO','FLORIANOPOLIS','SC',21399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283166,5.00,8.00,4.00,4.00,7.00,5.50,6.00,7.00,5.00,108,333,NULL,'JARDIM RIO BRANCO','JUNDIAI','SP',6567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283174,1.00,3.00,3.00,4.00,5.00,4.75,3.00,4.00,3.00,2,203,NULL,'SANTO ANTÔNIO','CRICIUMA','SC',20814,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2283182,3.00,2.00,0.00,0.00,0.00,NULL,2.00,3.00,2.00,101,324,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2283190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,426,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2283204,1.00,2.00,2.00,4.00,3.00,NULL,1.00,1.00,3.00,420,208,NULL,'JARDIM','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2283220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE BELA VISTA','JACAREZINHO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2283239,2.00,1.00,2.00,4.00,5.00,NULL,2.00,3.00,2.00,108,502,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2283255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2283263,2.00,5.00,2.00,1.00,7.00,4.75,3.00,5.00,2.00,208,303,203,'SÃO MIGUEL','CONCORDIA','SC',19794,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2283271,5.00,5.00,3.00,0.00,8.00,6.25,3.00,2.00,4.00,102,217,NULL,'JARDIM CONSOLAÇÃO','FRANCA','SP',15344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283280,5.00,7.00,9.00,7.00,7.00,5.75,5.00,4.00,6.00,103,NULL,NULL,'VILA PROGRESSO','DOURADOS','MS',4921,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2283298,2.00,3.00,2.00,0.00,4.00,NULL,3.00,3.00,2.00,317,238,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283301,2.00,3.00,0.00,5.00,3.00,NULL,2.00,1.00,2.00,103,101,NULL,'SAGRADO COR JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2283310,4.00,8.00,4.00,7.00,8.00,7.00,6.00,6.00,3.00,501,326,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',5975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283328,3.00,7.00,1.00,5.00,5.00,5.00,3.00,4.00,2.00,103,201,NULL,'GUILHERME REICH','CONCORDIA','SC',17806,2851,NULL,NULL,NULL,NULL,NULL,2,4),(15,2283344,0.00,2.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,208,301,238,'ARIRÍU','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283352,6.00,7.00,7.00,8.00,8.00,7.00,8.00,6.00,6.00,102,501,NULL,'TRINDADE','FLORIANOPOLIS','SC',1424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283360,3.00,6.00,1.00,3.00,5.00,4.75,3.00,1.00,3.00,104,329,NULL,'TRINDADE','FLORIANOPOLIS','SC',21596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2283379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,324,NULL,'JURERE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2283387,0.00,5.00,3.00,2.00,3.00,NULL,2.00,2.00,1.00,211,304,215,'ABRAAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2283395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,310,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2283409,1.00,4.00,1.00,1.00,5.00,5.00,5.00,2.00,2.00,333,201,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',21591,410,1409,NULL,NULL,NULL,NULL,2,1),(15,2283417,3.00,6.00,2.00,6.00,6.00,6.50,3.00,6.00,3.00,211,108,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',13136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2283425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'NOVO ESTEIO','ESTEIO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2283450,0.00,2.00,2.00,2.00,2.00,NULL,1.00,1.00,2.00,217,2,NULL,'PINHEIRA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283468,4.00,7.00,3.00,6.00,7.00,7.00,4.00,5.00,2.00,451,NULL,NULL,'STJAO','GOIANIA','GO',10714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283476,6.00,7.00,4.00,7.00,7.00,6.25,5.00,4.00,3.00,339,NULL,NULL,'BALNEARIO ESTREITO','FLORIANOPOLIS','SC',8282,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2283484,2.00,7.00,5.00,6.00,5.00,4.25,4.00,4.00,4.00,302,317,NULL,'TRINDADE','FLORIANOPOLIS','SC',13678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2283492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,426,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2283506,2.00,5.00,2.00,5.00,5.00,6.00,3.00,5.00,1.00,103,101,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2283514,2.00,8.00,0.00,2.00,5.00,5.75,4.00,7.00,1.00,316,502,NULL,'JURERÊ TRADICIONAL','FLORIANOPOLIS','SC',18231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283522,6.00,8.00,8.00,9.00,7.00,6.00,8.00,6.00,4.00,211,NULL,207,'CORREGO GRANDE','FLORIANOPOLIS','SC',2246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283530,3.00,8.00,3.00,6.00,8.00,6.50,6.00,7.00,2.00,501,502,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',7278,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2283549,4.00,8.00,5.00,7.00,6.00,6.50,9.00,5.00,4.00,103,329,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',4835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283557,2.00,6.00,1.00,0.00,4.00,6.75,3.00,5.00,1.00,103,104,NULL,'CENTRO','CHAPECO','SC',20582,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2283565,4.00,7.00,3.00,5.00,6.00,5.50,5.00,2.00,4.00,415,428,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',12933,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2283573,0.00,1.00,3.00,4.00,3.00,NULL,3.00,2.00,0.00,318,319,NULL,'PRAIA DOS INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2283581,0.00,3.00,1.00,5.00,7.00,4.50,3.00,4.00,3.00,302,303,NULL,'CAMPECHE','FLORIANOPOLIS','SC',19753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2283590,1.00,3.00,3.00,7.00,5.00,6.25,1.00,3.00,3.00,303,415,NULL,'CENTRO','CONCORDIA','SC',19620,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2283603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,103,NULL,'RODOVIARIO','AGUA BOA','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2283611,3.00,7.00,5.00,1.00,5.00,6.00,6.00,4.00,5.00,203,202,214,'SITIOCAPIVARIINGLESE','FLORIANOPOLIS','SC',12569,864,877,415,NULL,NULL,NULL,4,1),(15,2283638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,234,NULL,'ALTO ALEGRE','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2283646,3.00,7.00,3.00,1.00,6.00,6.00,5.00,5.00,3.00,103,333,NULL,'CENTRO','MOGI DAS CRUZES','SP',12944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283654,5.00,8.00,6.00,7.00,8.00,5.00,8.00,7.00,6.00,202,102,213,'JARDIM AMÉRICA','RIO DO SUL','SC',2978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283662,3.00,7.00,4.00,8.00,5.00,6.00,7.00,7.00,4.00,203,202,NULL,'CENTRO','UMUARAMA','PR',7280,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2283689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,201,NULL,'PETRÓPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2283700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,220,NULL,'CENTRO','SIMONESIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2283727,2.00,4.00,1.00,6.00,2.00,NULL,3.00,4.00,3.00,324,502,NULL,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2283735,1.00,5.00,1.00,0.00,3.00,NULL,3.00,2.00,3.00,301,415,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,333,215,'CENTRO','SIDEROPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2283751,3.00,7.00,6.00,8.00,5.00,6.75,5.00,4.00,4.00,216,NULL,NULL,'VILA OPERÁRIA','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2283760,2.00,6.00,1.00,7.00,4.00,5.25,3.00,3.00,3.00,103,NULL,NULL,'MORADA DO SOL','MARAVILHA','SC',18525,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2283786,2.00,7.00,5.00,4.00,7.00,5.50,7.00,5.00,4.00,104,319,NULL,'INDUSTRIAL','SEARA','SC',9435,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2283794,2.00,6.00,6.00,3.00,7.00,5.00,5.00,3.00,1.00,308,339,NULL,'ESTREITO','FLORIANOPOLIS','SC',16727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283808,3.00,5.00,4.00,6.00,5.00,4.25,5.00,6.00,2.00,319,333,NULL,'JD ROSEANA','SAO JOSE DO RIO PRETO','SP',13824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283816,6.00,8.00,5.00,6.00,8.00,6.25,4.00,4.00,3.00,101,104,NULL,'VILA GERMER','TIMBO','SC',8056,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2283832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,310,NULL,'CENTRO','BARRA DO PIRAI','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2283840,4.00,6.00,8.00,7.00,6.00,6.25,6.00,7.00,3.00,208,214,203,'TRINDADE','FLORIANOPOLIS','SC',5663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2283859,2.00,7.00,2.00,6.00,4.00,5.25,2.00,4.00,2.00,214,333,211,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283867,2.00,3.00,2.00,1.00,4.00,4.75,3.00,5.00,1.00,339,309,NULL,'BARREIROS AREIAS','SAO JOSE','SC',22079,171,256,NULL,NULL,NULL,NULL,2,1),(15,2283875,1.00,7.00,8.00,7.00,8.00,6.75,5.00,4.00,6.00,103,207,NULL,'COMERCIÁRIO','CRICIUMA','SC',7450,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2283883,4.00,6.00,4.00,1.00,7.00,5.25,2.00,6.00,0.00,318,317,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',16904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283891,4.00,8.00,6.00,6.00,6.00,6.25,5.00,6.00,3.00,318,304,NULL,'PIRITUBA','SAO PAULO','SP',7754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283905,6.00,8.00,7.00,7.00,8.00,6.00,6.00,7.00,4.00,238,316,233,'CENTRO','CRICIUMA','SC',2864,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2283913,2.00,7.00,1.00,0.00,4.00,5.25,3.00,2.00,1.00,225,2,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',22286,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2283921,3.00,5.00,3.00,7.00,6.00,4.75,6.00,5.00,4.00,303,108,NULL,'TRINDADE','FLORIANOPOLIS','SC',10950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2283930,2.00,3.00,4.00,6.00,4.00,5.00,3.00,3.00,3.00,211,316,213,'IRIRIÚ','JOINVILLE','SC',19008,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2283948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,108,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2283956,1.00,5.00,1.00,5.00,5.00,5.50,3.00,3.00,1.00,224,238,NULL,'BARREIROS','SAO JOSE','SC',20998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2283964,0.00,5.00,3.00,7.00,4.00,5.75,3.00,4.00,4.00,5,303,NULL,'BAIRRO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,10),(15,2283972,3.00,7.00,3.00,6.00,8.00,5.00,3.00,6.00,2.00,501,502,NULL,'CENTRO','TIJUCAS','SC',12615,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2283980,9.00,8.00,8.00,9.00,9.00,5.50,9.00,6.00,8.00,208,225,202,'HUMAITÁ','TUBARAO','SC',228,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2283999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','MODELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2284006,0.00,2.00,1.00,6.00,7.00,4.75,4.00,4.00,1.00,104,427,NULL,'CENTRO','CHAPECO','SC',20951,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2284014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2284022,4.00,8.00,7.00,8.00,9.00,5.00,8.00,6.00,6.00,303,301,NULL,'PONTA DE BAIXO','SAO JOSE','SC',2654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284030,2.00,5.00,5.00,6.00,6.00,5.00,5.00,3.00,2.00,301,450,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',15215,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2284049,5.00,6.00,3.00,5.00,6.00,4.75,4.00,6.00,5.00,207,451,201,'ABRAÃO','FLORIANOPOLIS','SC',12113,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2284057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,424,NULL,'CACHAMBI','RIO DE JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2284065,2.00,3.00,2.00,1.00,2.00,NULL,3.00,3.00,0.00,316,444,NULL,'PROGRESSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2284073,3.00,6.00,6.00,3.00,5.00,6.75,5.00,3.00,3.00,317,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',14996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284081,4.00,3.00,3.00,4.00,7.00,6.00,2.00,5.00,1.00,211,215,201,'CAMPECHE','FLORIANOPOLIS','SC',19503,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2284103,3.00,8.00,3.00,6.00,5.00,6.25,3.00,4.00,4.00,423,415,424,'COQUEIROS','FLORIANOPOLIS','SC',13345,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2284120,5.00,8.00,7.00,5.00,8.00,5.75,6.00,7.00,7.00,301,212,NULL,'BOA VISTA','JOINVILLE','SC',4248,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2284138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,451,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2284146,4.00,4.00,4.00,5.00,6.00,5.25,6.00,6.00,3.00,202,207,201,'BELA VISTA','ERECHIM','RS',11646,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2284154,3.00,5.00,6.00,6.00,6.00,4.75,7.00,6.00,4.00,214,213,203,'CENTRO','MARTINOPOLIS','SP',9302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284162,2.00,4.00,1.00,2.00,3.00,NULL,1.00,1.00,4.00,103,201,NULL,'BAEPENDI','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2284170,4.00,3.00,3.00,2.00,5.00,NULL,0.00,0.00,0.00,208,NULL,238,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2284189,2.00,5.00,4.00,3.00,4.00,4.25,1.00,3.00,2.00,5,317,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,502,NULL,'RIO BRANCO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2284200,5.00,7.00,7.00,1.00,8.00,5.75,8.00,5.00,4.00,220,2,208,'REVOREDO','TUBARAO','SC',7096,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2284219,2.00,5.00,4.00,0.00,5.00,5.50,5.00,4.00,4.00,103,9,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2284227,4.00,6.00,4.00,8.00,5.00,6.00,3.00,5.00,4.00,103,301,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',11518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284235,3.00,6.00,6.00,4.00,6.00,5.75,5.00,5.00,3.00,202,203,208,'CENTRO','IRINEOPOLIS','SC',11376,438,1359,399,NULL,NULL,NULL,2,1),(15,2284251,3.00,5.00,7.00,5.00,5.00,6.00,5.00,3.00,3.00,201,NULL,207,'CENTRO','MARAU','RS',13815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2284260,4.00,5.00,6.00,4.00,7.00,5.00,5.00,5.00,4.00,207,201,NULL,'MORRETES','ITAPEMA','SC',11546,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2284278,3.00,6.00,3.00,6.00,5.00,4.25,2.00,4.00,4.00,201,420,211,'SANTA TERESA','VIDEIRA','SC',15357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284286,0.00,6.00,2.00,3.00,5.00,4.00,2.00,4.00,2.00,2,203,NULL,'DAS TORRES','VIDEIRA','SC',21688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284294,2.00,7.00,3.00,2.00,6.00,5.50,2.00,4.00,3.00,303,319,NULL,'BARREIROS','SAO JOSE','SC',18981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284308,3.00,7.00,5.00,7.00,8.00,5.25,6.00,6.00,4.00,233,216,214,'JARDIN ESTORIL','SAO JOSE DOS CAMPOS','SP',6710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284316,4.00,6.00,5.00,6.00,5.00,4.25,5.00,6.00,4.00,326,308,NULL,'CENTRO','FLORIANOPOLIS','SC',9791,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2284324,3.00,4.00,1.00,5.00,4.00,5.75,3.00,6.00,3.00,201,502,211,'CENTRO','SANTA MARIA','RS',19241,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2284332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,425,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2284340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'JARDIM BARÁ','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2284359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,333,NULL,'TROPICAL','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2284367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,450,NULL,'AREIAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2284375,4.00,7.00,6.00,8.00,8.00,4.75,6.00,5.00,5.00,333,NULL,NULL,'JARDIM DA PENHA','VITORIA','ES',5630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284383,3.00,6.00,5.00,6.00,4.00,4.50,4.00,4.00,4.00,104,319,NULL,'CENTRO','PORTO UNIAO','SC',14445,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2284391,2.00,5.00,5.00,6.00,5.00,5.50,5.00,6.00,4.00,201,207,208,'CENTRO','JARAGUA DO SUL','SC',10705,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2284405,3.00,6.00,1.00,5.00,7.00,4.00,3.00,9.00,3.00,9,108,NULL,'CARIANOS','FLORIANOPOLIS','SC',12025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284413,4.00,6.00,5.00,2.00,4.00,4.00,4.00,3.00,2.00,108,333,NULL,'SANTA CRUZ','RIBEIRAO PRETO','SP',18562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284421,5.00,7.00,3.00,5.00,8.00,6.00,5.00,7.00,4.00,103,303,NULL,'CORAL','LAGES','SC',7337,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2284430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,333,NULL,'LUCENA','ITAIOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2284448,5.00,6.00,1.00,2.00,7.00,5.50,5.00,6.00,3.00,102,9,NULL,'CENTRO','FREDERICO WESTPHALEN','RS',14568,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2284456,2.00,5.00,2.00,2.00,6.00,4.75,3.00,3.00,1.00,201,207,212,'CENTRO','ITUPORANGA','SC',20925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284464,2.00,6.00,6.00,6.00,7.00,5.00,8.00,7.00,7.00,211,216,NULL,'PITUBA','SALVADOR','BA',5130,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2284472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2284480,0.00,5.00,1.00,6.00,5.00,4.75,3.00,4.00,3.00,104,9,NULL,'PRIMAVERA','SAO JOSE DO CEDRO','SC',20326,662,710,NULL,NULL,NULL,NULL,2,4),(15,2284499,2.00,5.00,2.00,7.00,6.00,4.50,6.00,4.00,4.00,104,101,NULL,'COMERCIARIO','CRICIUMA','SC',12908,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2284502,4.00,5.00,4.00,6.00,8.00,4.75,4.00,4.00,3.00,238,316,220,'PONTE DO IMARUIM','PALHOCA','SC',11878,417,950,440,NULL,NULL,NULL,2,1),(15,2284510,3.00,8.00,3.00,7.00,5.00,6.25,3.00,4.00,0.00,319,303,NULL,'CENTRO','SAO JOSE','SC',14693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284529,2.00,5.00,3.00,3.00,7.00,3.00,4.00,4.00,2.00,5,421,NULL,'FLORESTA','MARAVILHA','SC',19328,NULL,NULL,NULL,NULL,NULL,NULL,1,4),(15,2284537,0.00,5.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,316,224,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2284545,2.00,6.00,4.00,4.00,8.00,5.25,3.00,5.00,4.00,108,217,NULL,'URUSSANGUINHA','ARARANGUA','SC',14053,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2284553,2.00,5.00,3.00,7.00,5.00,5.25,5.00,5.00,4.00,5,304,NULL,'CENTRO','CAMPOS NOVOS','SC',13876,600,NULL,NULL,NULL,NULL,NULL,4,7),(15,2284561,3.00,6.00,5.00,5.00,5.00,6.50,5.00,5.00,2.00,202,208,213,'SÃO CRISTÓVÃO','CRICIUMA','SC',12194,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2284570,3.00,7.00,5.00,5.00,7.00,3.00,3.00,4.00,2.00,224,223,NULL,'BARREIROS','SAO JOSE','SC',15027,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2284588,3.00,6.00,8.00,0.00,4.00,4.75,5.00,6.00,2.00,501,211,NULL,'INTERIOR','SAO MIGUEL DOESTE','SC',15013,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2284596,1.00,9.00,3.00,6.00,5.00,4.00,6.00,6.00,3.00,316,333,NULL,'CENTRO','FLORIANOPOLIS','SC',12114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284618,4.00,4.00,2.00,3.00,4.00,5.25,2.00,5.00,2.00,102,108,NULL,'CENTRO','SAO CARLOS','SC',18989,424,904,NULL,NULL,NULL,NULL,4,4),(15,2284626,2.00,2.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,208,404,238,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2284634,6.00,9.00,9.00,6.00,8.00,7.25,9.00,9.00,8.00,103,319,NULL,'CENTRO','BAGE','RS',371,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2284650,1.00,7.00,5.00,5.00,5.00,4.00,4.00,5.00,5.00,316,5,NULL,'FORQUILHINHAS','SAO JOSE','SC',13334,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2284669,3.00,6.00,1.00,7.00,4.00,6.00,4.00,8.00,4.00,207,202,214,'MICHEL','CRICIUMA','SC',13384,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2284677,4.00,7.00,2.00,3.00,7.00,5.00,4.00,5.00,1.00,9,319,NULL,'CAMPINAS','SAO JOSE','SC',16353,219,831,NULL,NULL,NULL,NULL,2,1),(15,2284685,6.00,7.00,5.00,4.00,6.00,5.25,5.00,5.00,4.00,301,316,NULL,'GARCIA','BLUMENAU','SC',9887,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2284693,3.00,7.00,3.00,6.00,6.00,6.00,6.00,6.00,3.00,5,317,NULL,'AREIAS','SAO JOSE','SC',9977,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2284707,2.00,4.00,0.00,1.00,7.00,NULL,4.00,4.00,2.00,319,333,NULL,'LIMOEIRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2284715,3.00,5.00,3.00,2.00,6.00,5.50,2.00,5.00,3.00,316,208,NULL,'CENTRO','TIJUCAS','SC',18823,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2284723,4.00,6.00,4.00,5.00,6.00,4.50,5.00,3.00,2.00,103,102,NULL,'CENTRO','RESENDE','RJ',14023,2534,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284740,3.00,2.00,1.00,0.00,4.00,NULL,3.00,3.00,2.00,103,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2284758,2.00,4.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,302,301,NULL,'CENTRO','MORRO DA FUMACA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2284766,4.00,6.00,8.00,6.00,6.00,5.25,7.00,6.00,3.00,202,213,220,'VILA TUPI','VARZEA PAULISTA','SP',6270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284774,3.00,7.00,1.00,5.00,4.00,5.00,3.00,5.00,1.00,103,102,NULL,'CENTRO','CHAPECO','SC',17272,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2284782,1.00,3.00,1.00,5.00,5.00,NULL,2.00,2.00,2.00,328,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2284790,4.00,7.00,2.00,3.00,6.00,6.75,5.00,7.00,4.00,501,444,NULL,'CANOAS','RIO DO SUL','SC',11242,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2284804,2.00,6.00,4.00,4.00,6.00,3.75,5.00,3.00,5.00,211,234,201,'CENTRO','ICARA','SC',15576,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2284812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,104,NULL,'VILA OSORIO','ITARARE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2284820,4.00,5.00,2.00,5.00,4.00,4.50,4.00,3.00,2.00,214,NULL,203,'VILA NOVA','JOINVILLE','SC',17009,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2284847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VILA INDUSTRIAL','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2284863,4.00,7.00,5.00,7.00,8.00,3.75,4.00,5.00,5.00,207,104,NULL,'DANIELA','FLORIANOPOLIS','SC',7951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284871,3.00,4.00,2.00,3.00,6.00,NULL,2.00,0.00,1.00,501,222,NULL,'GLORIA','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2284880,3.00,5.00,2.00,5.00,6.00,4.25,2.00,5.00,3.00,104,309,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',18035,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2284898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,501,208,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2284901,4.00,7.00,4.00,5.00,7.00,5.75,6.00,7.00,4.00,201,104,203,'CENTRO','FLORIANOPOLIS','SC',9055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284910,1.00,2.00,4.00,5.00,5.00,4.75,4.00,1.00,2.00,108,333,NULL,'RIO MAINA','CRICIUMA','SC',22030,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2284928,3.00,6.00,4.00,3.00,4.00,4.50,2.00,4.00,2.00,104,327,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2284936,4.00,6.00,1.00,9.00,7.00,6.00,3.00,7.00,3.00,208,333,216,'INGLESES','FLORIANOPOLIS','SC',9811,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2284944,3.00,6.00,6.00,6.00,5.00,6.50,6.00,5.00,2.00,5,303,NULL,'ESTREITO','FLORIANOPOLIS','SC',9555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2284952,1.00,6.00,4.00,6.00,6.00,5.00,4.00,5.00,0.00,318,NULL,NULL,'CENTRO','IMBITUBA','SC',18316,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2284987,1.00,4.00,1.00,0.00,7.00,4.75,4.00,6.00,1.00,207,103,NULL,'TRÊS VENDAS','ERECHIM','RS',20454,959,3268,NULL,NULL,NULL,NULL,4,4),(15,2284995,4.00,9.00,5.00,8.00,7.00,5.00,6.00,7.00,3.00,104,331,NULL,'RODEIO DOZE','RODEIO','SC',5614,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2285002,2.00,4.00,1.00,1.00,3.00,NULL,2.00,2.00,3.00,238,420,208,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2285010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'TACCA','XANXERE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2285029,4.00,6.00,3.00,8.00,4.00,6.50,5.00,6.00,3.00,103,301,NULL,'ALTAVILLE','POUSO ALEGRE','MG',9797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,103,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2285045,4.00,8.00,4.00,3.00,7.00,4.00,4.00,8.00,4.00,5,316,NULL,'CENTRO','TUBARAO','SC',10631,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2285053,3.00,3.00,0.00,2.00,3.00,NULL,4.00,3.00,2.00,301,420,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285061,8.00,8.00,8.00,7.00,8.00,8.50,8.00,6.00,7.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',567,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2285070,6.00,8.00,4.00,7.00,8.00,7.00,7.00,6.00,5.00,211,450,238,'CENTRO','ICARA','SC',3623,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2285088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,324,NULL,'CENTRO','ESTEIO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2285096,3.00,3.00,2.00,4.00,6.00,6.00,2.00,3.00,2.00,108,502,NULL,'CENTRO','SAO JOAQUIM','SC',19785,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2285100,3.00,5.00,3.00,2.00,5.00,4.75,5.00,3.00,4.00,103,319,NULL,'TACCA','XANXERE','SC',17710,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2285118,5.00,7.00,5.00,7.00,6.00,4.75,7.00,7.00,3.00,104,331,NULL,'PANTANAL','FLORIANOPOLIS','SC',6351,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2285126,0.00,4.00,1.00,0.00,3.00,NULL,4.00,3.00,4.00,316,501,NULL,'INTERIOR','BELMONTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2285134,3.00,5.00,5.00,5.00,5.00,3.00,4.00,5.00,4.00,103,104,NULL,'CENTRO','NAVEGANTES','SC',14548,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2285142,1.00,8.00,3.00,5.00,6.00,0.00,4.00,3.00,1.00,420,415,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285150,5.00,5.00,7.00,5.00,6.00,5.50,7.00,3.00,5.00,211,104,NULL,'CENTRO','CASCAVEL','PR',9315,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2285169,5.00,9.00,1.00,1.00,6.00,4.00,5.00,5.00,3.00,201,333,211,'INGLESES','FLORIANOPOLIS','SC',15774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285177,4.00,7.00,2.00,4.00,5.00,5.00,6.00,6.00,3.00,5,327,NULL,'IPIRANGA','SAO JOSE','SC',14082,608,354,NULL,NULL,NULL,NULL,4,1),(15,2285185,3.00,4.00,6.00,7.00,7.00,6.50,2.00,3.00,2.00,201,102,216,'CENTRO','GUABIRUBA','SC',12891,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2285193,3.00,2.00,2.00,2.00,5.00,5.75,1.00,6.00,1.00,101,428,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285207,2.00,7.00,4.00,3.00,7.00,6.00,5.00,5.00,1.00,317,302,NULL,'PICADAS DO SUL','SAO JOSE','SC',13886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2285215,3.00,5.00,4.00,5.00,5.00,6.00,4.00,7.00,4.00,103,420,NULL,'MARGEM ESQUERDA','GASPAR','SC',10943,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2285223,2.00,5.00,1.00,3.00,6.00,5.75,3.00,6.00,2.00,333,108,NULL,'CENTRO','SANTA ROSA','RS',18711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,424,NULL,'VICTORIO LUCATO','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2285240,2.00,7.00,1.00,2.00,4.00,5.25,1.00,6.00,1.00,104,333,NULL,'CENTRO','SARANDI','RS',20753,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2285258,3.00,8.00,3.00,5.00,6.00,5.25,5.00,3.00,2.00,9,404,NULL,'AMÉRICA','JOINVILLE','SC',14421,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2285266,3.00,3.00,2.00,4.00,6.00,5.75,2.00,4.00,2.00,220,316,207,'CENTRO','VACARIA','RS',19892,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2285274,1.00,4.00,0.00,2.00,6.00,NULL,2.00,4.00,2.00,203,225,NULL,'PASSAGEM','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2285282,6.00,8.00,7.00,8.00,8.00,7.00,7.00,8.00,7.00,216,428,202,'FORTALEZA','BLUMENAU','SC',1089,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2285290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'JARDIM PRIMAVERA','SALTO DE PIRAPORA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2285304,1.00,4.00,1.00,1.00,4.00,NULL,3.00,2.00,3.00,101,103,NULL,'MATO ALTO','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2285320,4.00,8.00,5.00,0.00,8.00,NULL,7.00,7.00,6.00,201,2,238,'CENTRO','CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2285339,1.00,7.00,2.00,3.00,7.00,4.50,2.00,1.00,2.00,316,404,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',21572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2285347,2.00,5.00,1.00,2.00,5.00,NULL,1.00,3.00,2.00,404,331,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,324,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2285371,6.00,8.00,9.00,9.00,8.00,6.00,8.00,8.00,8.00,214,304,213,'PANTANAL','FLORIANOPOLIS','SC',410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285380,0.00,7.00,5.00,4.00,5.00,4.00,5.00,5.00,1.00,318,304,NULL,'CENTRO','MARIAPOLIS','SP',15848,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2285398,3.00,7.00,7.00,4.00,9.00,5.75,6.00,7.00,4.00,103,104,NULL,'CENTRO','PATO BRANCO','PR',5288,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2285401,0.00,6.00,0.00,3.00,6.00,6.25,5.00,7.00,4.00,5,207,NULL,'CENTRO','JOACABA','SC',16328,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2285410,3.00,6.00,3.00,3.00,7.00,6.50,5.00,5.00,2.00,415,428,NULL,'CRISTO REDENTOR','PORTO ALEGRE','RS',13351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,108,NULL,'CENTRO','PITANGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2285436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SEIXAS','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2285444,1.00,3.00,0.00,4.00,5.00,NULL,1.00,4.00,2.00,102,104,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2285452,5.00,5.00,2.00,3.00,5.00,4.75,3.00,4.00,3.00,102,101,NULL,'CENTRO','GUARUJA DO SUL','SC',17021,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2285460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,304,NULL,'FAZENDA','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2285479,4.00,6.00,4.00,5.00,8.00,5.00,4.00,5.00,4.00,103,9,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2285487,6.00,9.00,7.00,8.00,9.00,7.50,8.00,5.00,6.00,214,203,215,'CENTRO','FLORIANOPOLIS','SC',1185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285495,7.00,8.00,9.00,7.00,9.00,7.00,7.00,7.00,6.00,220,420,208,'BARRA DO RIO','ITAJAI','SC',923,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2285509,2.00,7.00,3.00,3.00,5.00,5.75,3.00,6.00,3.00,302,304,NULL,'CAMPINAS','SAO JOSE','SC',15752,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2285517,2.00,5.00,2.00,0.00,5.00,NULL,1.00,2.00,3.00,220,201,207,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2285525,1.00,4.00,3.00,1.00,5.00,5.50,3.00,5.00,1.00,207,NULL,NULL,'CENTRO','MARAVILHA','SC',21732,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2285533,3.00,2.00,2.00,8.00,6.00,3.50,3.00,3.00,4.00,333,108,NULL,'VILA YOLANDA','FOZ DO IGUACU','PR',17754,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2285541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,201,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2285550,1.00,3.00,4.00,1.00,3.00,NULL,1.00,2.00,0.00,104,319,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2285568,3.00,4.00,3.00,1.00,6.00,5.25,3.00,4.00,5.00,213,102,202,'CENTRO','LEOBERTO LEAL','SC',19329,315,1066,652,NULL,NULL,NULL,4,1),(15,2285576,4.00,6.00,3.00,4.00,6.00,5.25,4.00,3.00,2.00,207,103,NULL,'IRIRIÚ','JOINVILLE','SC',15455,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2285584,1.00,6.00,4.00,7.00,7.00,6.75,4.00,6.00,3.00,333,326,NULL,'CENTRO','IPORA DO OESTE','SC',9248,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2285606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,317,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2285614,3.00,4.00,4.00,2.00,4.00,4.75,3.00,3.00,2.00,201,303,233,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285630,2.00,3.00,0.00,1.00,5.00,NULL,3.00,3.00,3.00,404,319,NULL,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2285649,4.00,5.00,4.00,5.00,5.00,6.00,4.00,3.00,4.00,201,212,207,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,333,NULL,'BELA VISTA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2285665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,9,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2285673,1.00,6.00,6.00,1.00,3.00,5.50,5.00,5.00,2.00,103,319,NULL,'NOVA SOROCABA','SOROCABA','SP',15384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285681,5.00,6.00,4.00,6.00,8.00,6.00,5.00,5.00,4.00,9,333,NULL,'BARREIROS','SAO JOSE','SC',8496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285690,3.00,7.00,6.00,5.00,7.00,5.25,3.00,5.00,4.00,332,224,NULL,'SANTO ANT DE LISBOA','FLORIANOPOLIS','SC',10301,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2285703,5.00,8.00,6.00,7.00,7.00,6.00,7.00,5.00,4.00,103,102,NULL,'ITACORUBI','FLORIANOPOLIS','SC',4775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285711,3.00,7.00,3.00,7.00,7.00,6.00,3.00,3.00,3.00,214,233,211,'COLONINHA','ARARANGUA','SC',13128,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2285720,2.00,6.00,0.00,0.00,6.00,NULL,2.00,3.00,1.00,102,108,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2285738,5.00,7.00,5.00,3.00,7.00,4.50,6.00,4.00,5.00,316,324,NULL,'PANTANAL','FLORIANOPOLIS','SC',9764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285746,3.00,6.00,1.00,1.00,7.00,4.25,4.00,4.00,3.00,309,324,NULL,'CÓRREGRO GRANDE','FLORIANOPOLIS','SC',18352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2285754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','FRANCISCO BELTRAO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2285762,3.00,6.00,6.00,7.00,8.00,6.50,5.00,7.00,3.00,238,324,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',6911,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2285770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2285797,0.00,7.00,3.00,5.00,6.00,4.00,4.00,3.00,0.00,5,303,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',19556,814,1305,NULL,NULL,NULL,NULL,2,1),(15,2285800,1.00,5.00,3.00,7.00,3.00,6.25,3.00,2.00,1.00,207,429,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',20559,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2285819,1.00,5.00,6.00,5.00,4.00,3.50,8.00,7.00,6.00,302,301,NULL,'CAMPECHE','FLORIANOPOLIS','SC',9615,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2285827,2.00,7.00,0.00,4.00,4.00,4.75,4.00,6.00,2.00,316,203,NULL,'JARDIM MINUANO','SAO JOAQUIM','SC',19209,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2285835,1.00,5.00,3.00,4.00,4.00,4.50,2.00,2.00,2.00,5,NULL,NULL,'ALTO ARIRIU','PALHOCA','SC',22128,902,NULL,NULL,NULL,NULL,NULL,2,1),(15,2285843,3.00,8.00,4.00,9.00,5.00,8.25,6.00,7.00,5.00,207,420,201,'MORADA DO OURO','CUIABA','MT',3741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285851,3.00,5.00,3.00,8.00,6.00,0.00,4.00,7.00,1.00,326,310,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285860,1.00,5.00,2.00,2.00,6.00,6.00,3.00,2.00,1.00,104,102,NULL,'CENTRO','NAVEGANTES','SC',21585,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2285878,2.00,5.00,1.00,2.00,6.00,5.25,3.00,5.00,5.00,102,215,NULL,'CENTRO','PALMITOS','SC',18285,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2285886,2.00,5.00,4.00,7.00,7.00,6.50,3.00,3.00,1.00,104,429,NULL,'ESTREITO','FLORIANOPOLIS','SC',16352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'MONT SERRAT','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2285908,1.00,7.00,3.00,5.00,4.00,6.25,3.00,4.00,3.00,211,333,233,'CENTRO','FLORIANOPOLIS','SC',17401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285916,4.00,8.00,7.00,5.00,8.00,6.75,8.00,6.00,5.00,332,333,NULL,'PANTANAL','FLORIANOPOLIS','SC',3921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285924,4.00,7.00,2.00,7.00,7.00,7.00,3.00,4.00,3.00,103,320,NULL,'BALNEÁRIO AÇORES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2285932,7.00,7.00,7.00,5.00,8.00,4.75,8.00,6.00,5.00,9,NULL,NULL,'JARDIM FACULDADE','ITU','SP',4090,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2285959,1.00,7.00,3.00,7.00,6.00,4.50,3.00,5.00,3.00,316,415,NULL,'JARDIM MALUCHE','BRUSQUE','SC',14333,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2285967,4.00,8.00,5.00,9.00,7.00,7.25,5.00,7.00,2.00,5,303,NULL,'CENTRO','CUNHA PORA','SC',5039,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2285975,3.00,4.00,1.00,5.00,5.00,4.75,5.00,5.00,1.00,327,101,NULL,'BELA VISTA I','SAO JOSE','SC',18450,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2285991,3.00,7.00,5.00,3.00,5.00,5.00,4.00,6.00,2.00,220,203,202,'SECCHI','PASSO FUNDO','RS',14663,494,1391,541,NULL,NULL,NULL,4,4),(15,2286009,4.00,5.00,4.00,8.00,8.00,6.25,6.00,7.00,5.00,303,5,NULL,'CENTRO','CHAPECO','SC',4482,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2286017,3.00,6.00,5.00,4.00,8.00,5.00,4.00,5.00,2.00,303,211,NULL,'CENTRO','FLORIANOPOLIS','SC',13879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286025,2.00,4.00,6.00,6.00,7.00,5.50,4.00,2.00,5.00,102,502,NULL,'JARDIM MALUCHE','BRUSQUE','SC',14638,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286033,2.00,5.00,1.00,5.00,4.00,5.50,2.00,4.00,2.00,103,207,NULL,'VILA NOVA','FRANCISCO BELTRAO','PR',21782,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2286041,2.00,7.00,2.00,6.00,6.00,5.75,5.00,6.00,2.00,317,318,NULL,'NOSSA SA ROSARIO','SAO JOSE','SC',11827,146,407,NULL,NULL,NULL,NULL,2,1),(15,2286050,3.00,7.00,4.00,1.00,3.00,3.25,3.00,4.00,2.00,444,404,NULL,'PADRE ANTONIO','MARAVILHA','SC',20042,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2286068,3.00,4.00,2.00,5.00,7.00,4.25,2.00,4.00,2.00,316,318,NULL,'CRISTO REI','ICARA','SC',19382,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2286076,2.00,4.00,7.00,1.00,3.00,4.50,4.00,2.00,1.00,317,318,NULL,'ESTREITO','FLORIANOPOLIS','SC',21202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286084,2.00,6.00,3.00,7.00,6.00,6.50,3.00,5.00,2.00,103,444,NULL,'CENTRO','SAO ROQUE','SP',13516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286106,7.00,6.00,6.00,9.00,7.00,7.00,8.00,7.00,6.00,108,450,NULL,'TRINDADE','FLORIANOPOLIS','SC',1414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286114,0.00,4.00,1.00,3.00,6.00,4.75,2.00,6.00,2.00,203,316,207,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286122,2.00,4.00,3.00,5.00,4.00,6.00,4.00,6.00,2.00,233,420,208,'CENTRO','GAROPABA','SC',16609,381,799,641,NULL,NULL,NULL,2,5),(15,2286130,2.00,7.00,7.00,6.00,5.00,4.75,5.00,7.00,1.00,203,238,214,'CARIANOS','FLORIANOPOLIS','SC',11536,827,911,386,NULL,NULL,NULL,2,1),(15,2286149,5.00,8.00,6.00,8.00,7.00,5.75,4.00,6.00,5.00,303,104,NULL,'CENTRO','JAGUARUNA','SC',5449,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2286157,3.00,2.00,6.00,5.00,3.00,3.00,3.00,4.00,3.00,233,215,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',20251,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2286165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,224,NULL,'LAGOÃO','ARARANGUA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2286173,0.00,6.00,2.00,0.00,2.00,NULL,4.00,3.00,3.00,317,318,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286181,5.00,7.00,8.00,8.00,8.00,5.50,8.00,8.00,3.00,5,429,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',2647,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2286190,3.00,8.00,3.00,4.00,7.00,5.50,6.00,6.00,2.00,207,102,211,'TRINDADE','FLORIANOPOLIS','SC',10780,528,848,383,NULL,NULL,NULL,4,1),(15,2286203,3.00,4.00,4.00,5.00,3.00,3.75,2.00,2.00,3.00,317,214,NULL,'PRAINHA CENTRO','FLORIANOPOLIS','SC',20529,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2286220,8.00,8.00,8.00,8.00,9.00,5.50,8.00,7.00,7.00,202,327,213,'FLORESTA','JOINVILLE','SC',705,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2286238,4.00,3.00,3.00,4.00,4.00,5.00,4.00,5.00,3.00,5,303,NULL,'CENTRO','FLORIANOPOLIS','SC',19311,804,NULL,NULL,NULL,NULL,NULL,2,1),(15,2286246,2.00,3.00,4.00,4.00,6.00,4.50,4.00,5.00,2.00,103,216,NULL,'CENTRO','ARARANGUA','SC',18415,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2286254,4.00,8.00,5.00,7.00,7.00,4.00,8.00,6.00,3.00,103,303,NULL,'UVARANAS','PONTA GROSSA','PR',6894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2286262,5.00,9.00,4.00,3.00,7.00,7.00,6.00,7.00,7.00,216,233,NULL,'CENTRO','CASCAVEL','PR',4368,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2286270,5.00,7.00,5.00,8.00,7.00,6.75,6.00,7.00,5.00,103,303,NULL,'GUARANI','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2286289,0.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,324,316,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2286297,5.00,7.00,4.00,4.00,7.00,0.00,5.00,4.00,2.00,108,501,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286300,4.00,8.00,8.00,6.00,8.00,6.25,9.00,8.00,5.00,214,203,212,'BOA VISTA','SAO JOSE DO RIO PRETO','SP',2049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286319,3.00,6.00,2.00,2.00,6.00,5.00,2.00,3.00,1.00,308,404,NULL,'FABRÍCIO','SANTO AMARO DA IMPERATRIZ','SC',20380,159,481,NULL,NULL,NULL,NULL,4,1),(15,2286327,2.00,3.00,1.00,2.00,3.00,NULL,4.00,2.00,2.00,208,9,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286335,2.00,6.00,3.00,5.00,7.00,6.25,5.00,3.00,3.00,308,207,NULL,'BARREIROS','SAO JOSE','SC',15234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2286343,5.00,5.00,2.00,4.00,5.00,4.75,3.00,4.00,5.00,103,102,NULL,'CENTRO','TORRES','RS',17015,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2286351,1.00,7.00,3.00,5.00,5.00,4.50,2.00,3.00,2.00,220,208,238,'CENTRO','TREVISO','SC',19378,579,1100,721,NULL,NULL,NULL,2,5),(15,2286360,5.00,7.00,3.00,3.00,9.00,6.50,5.00,7.00,3.00,102,502,NULL,'JARDIM AMÉRICA','ITUPORANGA','SC',8916,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2286378,0.00,2.00,3.00,2.00,3.00,NULL,1.00,4.00,2.00,316,421,NULL,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2286386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,103,NULL,'GÁVEA','RODEIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2286394,1.00,4.00,0.00,4.00,3.00,NULL,2.00,1.00,1.00,324,9,NULL,'ANA MARIA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2286408,3.00,6.00,2.00,4.00,5.00,4.50,1.00,2.00,3.00,103,108,NULL,'ZONA SETE','MARINGA','PR',20187,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2286416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2286424,0.00,4.00,2.00,0.00,1.00,NULL,3.00,1.00,1.00,404,316,NULL,'VILA FERROVIARIA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2286432,2.00,4.00,1.00,6.00,4.00,4.50,3.00,3.00,3.00,301,502,NULL,'TABOLEIRO','CAMBORIU','SC',20931,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2286440,3.00,6.00,0.00,6.00,8.00,5.25,1.00,3.00,1.00,333,302,NULL,'CENTRO','JOINVILLE','SC',19706,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2286459,7.00,7.00,6.00,7.00,7.00,6.50,9.00,6.00,3.00,108,104,NULL,'LAGO NORTE','LAGO NORTE','DF',3133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286467,2.00,5.00,3.00,2.00,5.00,5.00,5.00,6.00,2.00,103,238,NULL,'MONTE CARLO','SAO JOAQUIM','SC',18054,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2286475,3.00,7.00,6.00,7.00,7.00,5.50,5.00,6.00,3.00,203,215,201,'SAGUAÇU','JOINVILLE','SC',8247,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2286505,4.00,6.00,5.00,6.00,6.00,4.50,6.00,6.00,3.00,215,NULL,216,'CÂNDIDO BERTINE','SANTA BARBARA D OESTE','SP',10561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286513,2.00,5.00,4.00,8.00,6.00,6.00,4.00,5.00,4.00,332,329,NULL,'KOBRASOL','SAO JOSE','SC',11119,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2286521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITANHANGÁ PARK','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2286530,4.00,7.00,4.00,5.00,5.00,5.50,4.00,4.00,3.00,104,301,NULL,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2286548,4.00,8.00,4.00,1.00,6.00,4.50,4.00,5.00,2.00,2,NULL,NULL,'CARIANOS','FLORIANOPOLIS','SC',14275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286556,4.00,7.00,6.00,6.00,7.00,6.25,7.00,7.00,6.00,211,501,215,'BARRO PRETO','BELO HORIZONTE','MG',4217,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2286564,4.00,5.00,4.00,7.00,6.00,4.75,7.00,5.00,5.00,103,104,NULL,'VILA REAL','BALNEARIO CAMBORIU','SC',9667,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2286572,5.00,7.00,4.00,7.00,8.00,6.00,4.00,4.00,3.00,423,215,424,'PARQUE PRADO','CAMPINAS','SP',9439,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2286580,3.00,6.00,3.00,4.00,5.00,4.25,4.00,6.00,2.00,208,302,201,'CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC',16747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2286599,3.00,6.00,2.00,6.00,8.00,3.00,5.00,5.00,3.00,316,301,NULL,'NOVA BRASÍLIA','JARAGUA DO SUL','SC',14029,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2286602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,223,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2286610,1.00,6.00,5.00,6.00,6.00,5.00,4.00,5.00,1.00,233,234,NULL,'FÁTIMA','ERECHIM','RS',15709,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2286629,3.00,7.00,4.00,2.00,5.00,7.00,3.00,7.00,2.00,318,201,NULL,'CAMPINAS','SAO JOSE','SC',15185,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2286637,5.00,7.00,5.00,4.00,5.00,4.25,4.00,5.00,3.00,316,301,NULL,'CAMPECHE','FLORIANOPOLIS','SC',13725,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2286645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2286653,2.00,5.00,5.00,6.00,6.00,4.50,7.00,4.00,6.00,208,203,202,'SANTA ROSA','GUARUJA','SP',10427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286661,2.00,5.00,0.00,4.00,4.00,3.50,3.00,4.00,4.00,203,201,202,'BARRA DA LAGOA','FLORIANOPOLIS','SC',21017,1175,1400,689,NULL,NULL,NULL,2,1),(15,2286670,4.00,7.00,5.00,4.00,7.00,7.50,6.00,6.00,3.00,103,225,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',7884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286688,5.00,7.00,5.00,3.00,4.00,4.75,2.00,3.00,4.00,303,103,NULL,'VILA MOEMA','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2286696,2.00,8.00,2.00,5.00,4.00,6.25,6.00,5.00,2.00,317,NULL,NULL,'ABRAAO','FLORIANOPOLIS','SC',13892,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2286718,2.00,2.00,3.00,4.00,6.00,5.50,6.00,2.00,2.00,5,NULL,NULL,'PONTE DO IMARUIM','PALHOCA','SC',20178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2286726,1.00,5.00,1.00,0.00,2.00,NULL,3.00,5.00,3.00,102,9,NULL,'VILA ARAÇA','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2286734,1.00,6.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,316,238,NULL,'FLOR DE NAPOLIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2286750,6.00,8.00,7.00,8.00,7.00,8.50,4.00,6.00,4.00,316,301,NULL,'ITACORUBI','FLORIANOPOLIS','SC',2683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286769,3.00,6.00,3.00,4.00,6.00,6.00,3.00,3.00,6.00,301,450,NULL,'ITACORUBI','FLORIANOPOLIS','SC',15263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286777,3.00,5.00,4.00,0.00,6.00,6.00,4.00,3.00,2.00,103,101,NULL,'SAUDE','SAO PAULO','SP',17282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286785,0.00,3.00,2.00,1.00,2.00,NULL,3.00,3.00,2.00,501,415,NULL,'CENTRO','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2286793,4.00,5.00,2.00,5.00,6.00,5.75,4.00,8.00,2.00,319,332,NULL,'RIO GRANDE','PALHOCA','SC',13517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286815,5.00,6.00,2.00,7.00,7.00,3.50,7.00,5.00,4.00,103,102,NULL,'JD NOVA AMERICA','SAO JOSE DOS CAMPOS','SP',10682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286823,2.00,6.00,5.00,4.00,5.00,7.00,5.00,6.00,1.00,238,420,215,'AGRONÔMICA','FLORIANOPOLIS','SC',13288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286831,3.00,5.00,5.00,6.00,5.00,4.75,5.00,6.00,1.00,223,202,NULL,'BOA VISTA','RIO DO SUL','SC',13428,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2286840,1.00,3.00,1.00,5.00,5.00,5.75,1.00,4.00,2.00,310,309,NULL,'INGLESES','FLORIANOPOLIS','SC',21793,72,249,NULL,NULL,NULL,NULL,4,1),(15,2286858,0.00,5.00,2.00,6.00,6.00,6.00,5.00,3.00,0.00,415,428,NULL,'CENTRO','FLORIANOPOLIS','SC',19254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286866,2.00,5.00,3.00,3.00,5.00,6.25,6.00,6.00,2.00,216,233,211,'CENTRO','CRICIUMA','SC',14968,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2286874,4.00,6.00,4.00,6.00,5.00,5.00,4.00,5.00,3.00,234,NULL,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',13281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286882,2.00,6.00,2.00,4.00,6.00,4.75,5.00,3.00,1.00,316,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',19135,569,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286890,4.00,7.00,4.00,4.00,6.00,5.00,7.00,5.00,2.00,101,102,NULL,'CENTRO','CONCORDIA','SC',11864,91,877,NULL,NULL,NULL,NULL,2,4),(15,2286904,1.00,4.00,1.00,2.00,3.00,NULL,2.00,4.00,1.00,426,329,428,'REAL PARK','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286912,1.00,4.00,6.00,5.00,4.00,6.75,1.00,3.00,2.00,9,301,NULL,'PARADA INGLESA','SAO PAULO','SP',18556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286920,2.00,4.00,3.00,6.00,7.00,5.00,3.00,5.00,1.00,5,333,NULL,'ROCADO','SAO JOSE','SC',18340,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2286939,6.00,7.00,2.00,1.00,6.00,4.00,5.00,5.00,1.00,304,2,NULL,'CRISTO REI','CURITIBA','PR',16191,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2286947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,108,NULL,'PALMARES','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2286955,3.00,8.00,6.00,5.00,6.00,5.00,8.00,6.00,2.00,5,429,NULL,'CENTRO','FLORIANOPOLIS','SC',9253,398,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286971,1.00,4.00,0.00,3.00,6.00,4.25,3.00,4.00,2.00,316,339,NULL,'ESTREITO','FLORIANOPOLIS','SC',21805,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2286980,3.00,7.00,4.00,4.00,7.00,4.75,3.00,4.00,4.00,317,316,NULL,'ITACORUBI','FLORIANOPOLIS','SC',15223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2286998,3.00,7.00,1.00,4.00,6.00,4.50,5.00,7.00,3.00,303,444,NULL,'SANTO ANTONIO','CRICIUMA','SC',13279,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2287005,5.00,6.00,7.00,6.00,7.00,5.75,5.00,3.00,5.00,216,211,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',7995,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2287013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,224,208,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2287021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,415,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2287030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,319,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2287048,4.00,8.00,6.00,9.00,8.00,5.25,5.00,4.00,3.00,238,202,208,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,216,208,'ASA NORTE','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2287064,4.00,8.00,2.00,5.00,4.00,6.00,3.00,4.00,2.00,108,502,NULL,'ESTREITO','FLORIANOPOLIS','SC',15699,351,265,NULL,NULL,NULL,NULL,2,1),(15,2287072,5.00,7.00,5.00,7.00,8.00,5.75,6.00,6.00,2.00,5,426,NULL,'JARDIM CIDADE FPOLIS','SAO JOSE','SC',7165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287080,6.00,4.00,3.00,3.00,7.00,6.00,7.00,5.00,2.00,108,NULL,NULL,'BARREIROS','SAO JOSE','SC',12512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETROPOLIS','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2287102,2.00,7.00,1.00,7.00,6.00,5.50,3.00,4.00,2.00,415,420,NULL,'ASA SUL','BRASILIA','DF',16671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287110,4.00,6.00,7.00,7.00,8.00,6.75,5.00,6.00,4.00,207,301,NULL,'CENTRO','SANTA MARIA','RS',5790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287129,4.00,8.00,5.00,4.00,5.00,6.00,5.00,6.00,5.00,108,326,NULL,'JARDIM PETRÓPOLIS','PRESIDENTE PRUDENTE','SP',8095,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2287137,2.00,4.00,2.00,4.00,5.00,5.00,2.00,2.00,2.00,9,502,NULL,'CENTRO','CAMPO BELO DO SUL','SC',21980,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2287145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,102,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2287153,3.00,4.00,3.00,3.00,6.00,4.75,6.00,4.00,5.00,302,317,NULL,'SERRARIA','SAO JOSE','SC',16482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287161,2.00,5.00,5.00,5.00,5.00,4.00,3.00,6.00,3.00,238,425,220,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287170,4.00,7.00,1.00,4.00,5.00,6.25,4.00,6.00,3.00,217,421,NULL,'TIJUQUINHAS','BIGUACU','SC',14542,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287196,2.00,6.00,2.00,6.00,6.00,6.00,4.00,6.00,3.00,316,238,NULL,'CAMPINAS','SAO JOSE','SC',12034,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287200,2.00,4.00,4.00,1.00,8.00,7.75,3.00,5.00,0.00,102,9,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',16415,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2287218,2.00,4.00,5.00,6.00,8.00,6.75,2.00,5.00,3.00,102,217,NULL,'CENTRO','CERRO LARGO','RS',12212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,327,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2287234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,429,208,'CENTRO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2287242,6.00,8.00,7.00,8.00,8.00,5.25,8.00,6.00,5.00,108,222,NULL,'DAS CAPITAIS','TIMBO','SC',2850,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2287269,4.00,7.00,3.00,6.00,6.00,4.00,5.00,5.00,4.00,303,5,NULL,'TRINDADE','FLORIANOPOLIS','SC',12067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,324,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2287307,2.00,8.00,3.00,2.00,4.00,5.00,5.00,5.00,3.00,103,303,NULL,'SÃO CRISTÓVÃO','CRICIUMA','SC',16864,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2287315,6.00,8.00,9.00,9.00,8.00,5.50,9.00,7.00,7.00,202,203,213,'PONTA AGUDA','BLUMENAU','SC',509,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2287323,4.00,6.00,4.00,6.00,3.00,5.75,5.00,7.00,2.00,208,222,238,'BARREIROS','SAO JOSE','SC',11585,407,127,404,NULL,NULL,NULL,2,1),(15,2287331,1.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,444,9,NULL,'MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2287358,2.00,5.00,3.00,5.00,3.00,4.75,5.00,3.00,2.00,301,303,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,9,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2287374,2.00,6.00,3.00,5.00,6.00,5.50,3.00,4.00,4.00,501,327,NULL,'VILA SANTO ANTÔNIO','OURINHOS','SP',15474,182,376,NULL,NULL,NULL,NULL,4,1),(15,2287382,2.00,6.00,1.00,2.00,6.00,6.00,4.00,5.00,2.00,423,303,428,'EUCALIPTOS','CAIEIRAS','SP',19148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287390,3.00,5.00,2.00,4.00,5.00,3.00,3.00,1.00,3.00,318,333,NULL,'KOBRASOL','SAO JOSE','SC',21408,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287404,4.00,5.00,2.00,1.00,1.00,NULL,2.00,4.00,2.00,326,310,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287412,1.00,6.00,5.00,1.00,3.00,4.00,3.00,7.00,4.00,220,203,201,'CENTRO','ITUPORANGA','SC',18628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287420,2.00,5.00,3.00,1.00,6.00,4.00,3.00,2.00,0.00,319,301,NULL,'IRIRIU','JOINVILLE','SC',21917,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2287439,3.00,6.00,1.00,4.00,4.00,4.75,5.00,5.00,2.00,316,318,NULL,'SAO JOSE','SAO JOSE','SC',18726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287447,0.00,0.00,0.00,5.00,2.00,NULL,2.00,3.00,3.00,339,NULL,NULL,'ALDEIA PALMEIRA','JOSE BOITEUX','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,2),(15,2287455,4.00,6.00,4.00,4.00,7.00,5.25,3.00,5.00,2.00,207,450,212,'CENTRO','FLORIANOPOLIS','SC',14205,687,313,291,NULL,NULL,NULL,2,1),(15,2287463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,328,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2287471,2.00,5.00,1.00,1.00,7.00,5.25,2.00,5.00,1.00,404,101,NULL,'KOBRASOL','SAO JOSE','SC',21056,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287480,5.00,5.00,5.00,6.00,7.00,5.25,6.00,5.00,3.00,103,102,NULL,'CENTRO','BRUSQUE','SC',8098,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287498,0.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,308,327,NULL,'ARIRIÚ','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287501,3.00,6.00,1.00,6.00,7.00,3.50,2.00,3.00,4.00,212,316,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',17039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287528,1.00,7.00,3.00,6.00,5.00,4.25,3.00,7.00,3.00,319,329,NULL,'ESTREITO','FLORIANOPOLIS','SC',14309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287536,0.00,6.00,4.00,1.00,5.00,5.50,3.00,2.00,1.00,104,9,NULL,'JARDIM FLORESTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,308,426,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2287552,0.00,3.00,2.00,5.00,4.00,NULL,2.00,3.00,4.00,339,332,NULL,'CENTRO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287560,1.00,6.00,1.00,7.00,5.00,5.00,4.00,6.00,4.00,224,324,NULL,'COQUEIROS','FLORIANOPOLIS','SC',14719,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287579,3.00,6.00,1.00,3.00,5.00,5.00,3.00,1.00,1.00,450,451,NULL,'GONZAGA','SANTOS','SP',21812,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287595,0.00,3.00,1.00,5.00,5.00,NULL,3.00,2.00,0.00,333,309,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287609,5.00,7.00,7.00,6.00,7.00,4.50,6.00,6.00,4.00,104,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',7100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287617,0.00,3.00,1.00,5.00,7.00,NULL,1.00,3.00,1.00,451,415,NULL,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,207,NULL,'CENTRO','PILAR DO SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2287641,1.00,6.00,3.00,3.00,7.00,5.00,4.00,5.00,2.00,318,301,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',16631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287650,0.00,0.00,0.00,4.00,3.00,NULL,3.00,5.00,0.00,208,333,238,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(15,2287668,2.00,5.00,5.00,7.00,8.00,5.25,3.00,3.00,4.00,304,207,NULL,'GUANABARA','JOINVILLE','SC',13192,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2287676,4.00,7.00,6.00,3.00,5.00,5.00,8.00,5.00,5.00,211,214,203,'URBANOVA','SAO JOSE DOS CAMPOS','SP',8272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287684,2.00,4.00,2.00,3.00,6.00,8.50,5.00,5.00,4.00,420,207,NULL,'CENTRO','FOZ DO IGUACU','PR',14900,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287692,3.00,5.00,3.00,4.00,7.00,3.50,4.00,3.00,1.00,201,220,202,'MORADA DO SOL','PALHOCA','SC',18951,1000,771,645,NULL,NULL,NULL,2,1),(15,2287706,0.00,2.00,2.00,2.00,4.00,NULL,2.00,1.00,4.00,444,404,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287714,6.00,7.00,5.00,7.00,6.00,3.00,7.00,7.00,7.00,318,304,NULL,'VILA MARIANA','APARECIDA','SP',5635,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287722,3.00,2.00,2.00,2.00,4.00,4.25,2.00,3.00,4.00,319,NULL,NULL,'CENTRO PALHOÇA','PALHOCA','SC',22337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287730,4.00,8.00,5.00,7.00,9.00,6.50,5.00,7.00,3.00,108,216,NULL,'STEFFEN','BRUSQUE','SC',5512,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2287749,5.00,8.00,4.00,9.00,9.00,4.50,5.00,6.00,4.00,425,234,429,'ABRAÃO','FLORIANOPOLIS','SC',4707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287757,1.00,4.00,6.00,5.00,6.00,7.25,5.00,4.00,2.00,104,102,NULL,'CENTRO','SELBACH','RS',13813,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2287765,4.00,7.00,7.00,9.00,5.00,4.50,4.00,4.00,2.00,203,NULL,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287773,3.00,9.00,6.00,6.00,7.00,5.75,6.00,7.00,3.00,318,NULL,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',6505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287781,2.00,7.00,3.00,0.00,6.00,4.75,2.00,5.00,1.00,316,324,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287790,5.00,8.00,6.00,7.00,8.00,6.00,6.00,6.00,4.00,103,104,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',4496,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2287803,3.00,4.00,7.00,4.00,7.00,5.75,3.00,6.00,4.00,316,224,NULL,'CENTRO','FLORIANOPOLIS','SC',12821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287811,3.00,6.00,3.00,2.00,6.00,5.00,6.00,6.00,1.00,103,101,NULL,'BOM RETIRO','SUMARE','SP',15267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287820,2.00,4.00,1.00,0.00,0.00,NULL,3.00,1.00,3.00,5,319,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287838,3.00,6.00,4.00,4.00,7.00,4.00,5.00,6.00,0.00,103,102,NULL,'PASSO DAREIA','SANTA MARIA','RS',14885,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287846,2.00,5.00,3.00,4.00,7.00,5.00,2.00,4.00,2.00,2,327,NULL,'BARREIROS','SAO JOSE','SC',18421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287854,3.00,5.00,4.00,7.00,6.00,6.25,4.00,5.00,1.00,316,211,NULL,'CENTRO','PRAIA GRANDE','SC',12879,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2287870,4.00,4.00,9.00,4.00,7.00,5.75,7.00,4.00,5.00,220,214,203,'CENTRO','LINS','SP',6476,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2287889,4.00,6.00,5.00,3.00,8.00,5.50,4.00,4.00,4.00,415,324,NULL,'CENTRO','POUSO REDONDO','SC',12161,309,189,NULL,NULL,NULL,NULL,4,2),(15,2287897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'SÃO FRANCISCO','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2287900,1.00,5.00,1.00,8.00,6.00,5.00,5.00,2.00,2.00,211,NULL,215,'CENTRO','FLORIANOPOLIS','SC',16595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287927,3.00,4.00,3.00,1.00,5.00,4.50,1.00,4.00,4.00,108,404,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',21402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287935,3.00,6.00,1.00,5.00,3.00,3.50,4.00,4.00,2.00,108,102,NULL,'CENTRO','CAMBORIU','SC',19482,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2287943,4.00,6.00,3.00,5.00,6.00,4.50,4.00,5.00,1.00,333,420,NULL,'JARDIM GUANABARA','CUIABA','MT',14415,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287951,4.00,5.00,1.00,3.00,4.00,3.75,3.00,4.00,1.00,103,5,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',21380,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2287960,3.00,5.00,1.00,1.00,3.00,5.00,2.00,3.00,3.00,319,339,NULL,'TRINDADE','FLORIANOPOLIS','SC',22224,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2287978,1.00,5.00,2.00,1.00,3.00,NULL,4.00,1.00,2.00,308,224,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2287994,0.00,5.00,3.00,2.00,4.00,7.00,3.00,5.00,3.00,319,428,NULL,'FIGUEIRA DO PONTAL','ITAPOA','SC',19099,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2288001,5.00,8.00,6.00,7.00,9.00,5.25,5.00,7.00,3.00,201,301,212,'PRAIA COMPRIDA','SAO JOSE','SC',4613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2288010,5.00,8.00,7.00,7.00,6.00,4.75,2.00,4.00,5.00,5,303,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',8913,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2288028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2288036,4.00,7.00,6.00,4.00,8.00,4.75,6.00,6.00,4.00,214,104,203,'CENTRO','SAO LUDGERO','SC',7112,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2288044,3.00,2.00,2.00,4.00,5.00,3.50,5.00,4.00,3.00,5,339,NULL,'INGLESES','FLORIANOPOLIS','SC',20634,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288052,2.00,2.00,3.00,6.00,3.00,5.75,3.00,1.00,3.00,104,308,NULL,'SANTO ANTÔNIO DE LIS','FLORIANOPOLIS','SC',21979,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288060,4.00,6.00,2.00,4.00,7.00,4.75,5.00,5.00,4.00,102,212,NULL,'JARDIM DAS MAERICAS','CURITIBA','PR',13393,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2288079,1.00,8.00,2.00,4.00,5.00,5.75,3.00,6.00,3.00,104,301,NULL,'CENTRO','PALHOCA','SC',16207,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288087,1.00,3.00,1.00,0.00,3.00,NULL,2.00,4.00,3.00,103,309,NULL,'NOVA DIVINEIA','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2288095,4.00,8.00,5.00,9.00,8.00,6.00,7.00,5.00,3.00,420,207,NULL,'ANITA GARIBALDI','JOINVILLE','SC',5218,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2288109,3.00,7.00,6.00,3.00,5.00,5.50,7.00,4.00,3.00,202,225,201,'OFICINAS','TUBARAO','SC',12308,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2288117,3.00,6.00,4.00,7.00,7.00,6.00,5.00,4.00,4.00,211,333,NULL,'SANTA BÁRBARA','CRICIUMA','SC',9755,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2288125,3.00,7.00,3.00,5.00,5.00,5.75,3.00,5.00,2.00,316,320,NULL,'BARREIROS','SAO JOSE','SC',15669,436,197,NULL,NULL,NULL,NULL,2,1),(15,2288133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,404,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2288150,2.00,3.00,2.00,0.00,3.00,NULL,4.00,2.00,2.00,420,238,NULL,'BAIRRO IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2288168,4.00,7.00,4.00,6.00,6.00,6.50,6.00,4.00,4.00,444,331,NULL,'COQUEIROS','FLORIANOPOLIS','SC',8603,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288176,7.00,7.00,7.00,7.00,8.00,5.75,7.00,5.00,6.00,5,303,NULL,'TRINDADE','FLORIANOPOLIS','SC',3613,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288184,3.00,7.00,5.00,9.00,6.00,4.75,5.00,5.00,5.00,213,214,212,'MIRANDOPOLIS','SAO PAULO','SP',7331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2288192,2.00,2.00,2.00,3.00,2.00,NULL,2.00,1.00,3.00,208,222,238,'CENTRO','IMARUI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288206,3.00,7.00,0.00,4.00,4.00,3.50,2.00,2.00,2.00,103,208,NULL,'PARQUE GUARANI','JOINVILLE','SC',22306,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2288214,4.00,6.00,0.00,8.00,5.00,4.50,2.00,3.00,1.00,207,420,201,'CASTELO BRANCO','ITAPEMA','SC',18657,881,846,990,NULL,NULL,NULL,5,3),(15,2288222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,101,NULL,'TIRADENTES','GRAVATAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2288230,5.00,6.00,5.00,5.00,5.00,5.50,5.00,6.00,3.00,207,223,201,'JOÃO PAULO','FLORIANOPOLIS','SC',9638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288249,0.00,1.00,1.00,1.00,5.00,NULL,4.00,1.00,1.00,309,339,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288257,1.00,5.00,2.00,2.00,5.00,5.25,2.00,4.00,3.00,333,301,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',20296,373,817,NULL,NULL,NULL,NULL,4,3),(15,2288265,6.00,8.00,8.00,5.00,8.00,5.50,7.00,6.00,4.00,203,215,233,'PROGRESSO','LAGUNA','SC',3573,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2288273,2.00,6.00,4.00,0.00,5.00,3.75,6.00,4.00,5.00,233,211,214,'VILA CONCEIÇÃO','TAIUVA','SP',16359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2288281,3.00,4.00,1.00,1.00,3.00,NULL,1.00,1.00,3.00,303,103,NULL,'VILA MOEMA','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2288290,3.00,5.00,3.00,0.00,3.00,4.75,3.00,1.00,2.00,203,316,NULL,'POÇO RICO','OTACILIO COSTA','SC',22462,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2288303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,316,215,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2288311,5.00,8.00,1.00,6.00,6.00,6.25,7.00,6.00,5.00,104,326,NULL,'COMERCIÁRIO','CRICIUMA','SC',6653,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2288320,4.00,9.00,4.00,8.00,6.00,5.00,2.00,5.00,3.00,328,420,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',8863,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2288338,5.00,8.00,6.00,5.00,7.00,6.75,8.00,6.00,7.00,214,213,NULL,'CENTRO','LONDRINA','PR',3341,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2288346,4.00,5.00,2.00,5.00,6.00,5.50,6.00,5.00,2.00,303,202,NULL,'CENTRO','CAXIAS DO SUL','RS',12997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2288370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2288389,3.00,7.00,5.00,4.00,5.00,4.00,5.00,5.00,1.00,103,202,NULL,'CENTRO','IBIACA','RS',14034,2535,892,NULL,NULL,NULL,NULL,2,1),(15,2288397,5.00,6.00,6.00,6.00,6.00,5.00,7.00,6.00,2.00,9,404,NULL,'COQUEIROS','FLORIANOPOLIS','SC',7702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288400,7.00,8.00,7.00,8.00,6.00,7.75,9.00,6.00,9.00,103,420,NULL,'CID UNIVERSTARIA II','CAMPINAS','SP',581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2288419,6.00,7.00,7.00,5.00,5.00,7.50,6.00,4.00,3.00,216,NULL,NULL,'JARDIM SÃO NICOLAU','ARARAS','SP',7882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2288427,2.00,8.00,1.00,6.00,5.00,5.75,5.00,5.00,3.00,207,420,201,'ABRAÃO','FLORIANOPOLIS','SC',13868,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288435,2.00,4.00,0.00,3.00,5.00,NULL,2.00,6.00,1.00,303,207,NULL,'MINA BRASIL','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2288443,3.00,0.00,2.00,2.00,6.00,3.75,5.00,4.00,2.00,201,301,212,'CENTRO','PICARRAS','SC',22047,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2288451,6.00,7.00,4.00,9.00,6.00,7.50,6.00,6.00,2.00,103,5,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',6145,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2288460,2.00,6.00,1.00,6.00,7.00,6.75,3.00,7.00,3.00,5,303,NULL,'CENTRO','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2288478,5.00,6.00,7.00,8.00,5.00,5.50,5.00,3.00,3.00,201,202,207,'CENTRO','MARINGA','PR',9652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2288486,4.00,6.00,4.00,7.00,4.00,5.75,3.00,5.00,2.00,426,329,423,'FORQUILHINHAS','SAO JOSE','SC',13637,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288494,4.00,6.00,5.00,6.00,8.00,6.25,5.00,5.00,4.00,104,319,NULL,'PANTANO DO SUL','FLORIANOPOLIS','SC',8061,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288516,2.00,7.00,3.00,6.00,7.00,5.75,4.00,5.00,3.00,331,309,NULL,'COLONINHA','FLORIANOPOLIS','SC',12238,39,123,NULL,NULL,NULL,NULL,2,1),(15,2288524,1.00,3.00,1.00,2.00,4.00,NULL,4.00,4.00,2.00,103,NULL,NULL,'CENTRO','PLANALTO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2288532,2.00,5.00,3.00,6.00,8.00,5.75,3.00,4.00,2.00,5,339,NULL,'SERRARIA','SAO JOSE','SC',15939,676,297,NULL,NULL,NULL,NULL,2,1),(15,2288540,5.00,7.00,6.00,6.00,5.00,7.25,7.00,5.00,4.00,103,104,NULL,'LABIENÓPOLIS','GARCA','SP',7030,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2288567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'CENTRO','SELBACH','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2288575,3.00,7.00,4.00,3.00,4.00,4.25,2.00,5.00,3.00,208,202,NULL,'CENTRO','TUPA','SP',18773,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2288583,3.00,6.00,1.00,5.00,8.00,4.75,5.00,4.00,1.00,319,329,NULL,'VENDAVAL','BIGUACU','SC',16050,324,199,NULL,NULL,NULL,NULL,2,1),(15,2288591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,318,NULL,'RETIRO DA MANTIQUEIR','CRUZEIRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2288605,5.00,9.00,2.00,4.00,6.00,4.00,8.00,4.00,5.00,316,501,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',9216,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288613,5.00,4.00,5.00,5.00,7.00,5.50,5.00,5.00,3.00,234,NULL,NULL,'JARDIM NAZARETH','SAO JOSE DO RIO PRETO','SP',12129,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2288621,3.00,6.00,1.00,6.00,5.00,5.75,4.00,6.00,4.00,103,108,NULL,'TRINDADE','FLORIANOPOLIS','SC',14201,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2288648,3.00,4.00,1.00,3.00,5.00,5.00,2.00,4.00,1.00,415,501,NULL,'PICADAS DO SUL','SAO JOSE','SC',21861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2288656,4.00,7.00,3.00,5.00,7.00,6.00,3.00,8.00,3.00,208,317,238,'CENTRO','BOM JARDIM DA SERRA','SC',9292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288664,1.00,5.00,2.00,3.00,4.00,6.75,4.00,4.00,2.00,101,217,NULL,'AREIAS','SAO JOSE','SC',19576,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288672,2.00,3.00,0.00,5.00,3.00,5.50,4.00,3.00,3.00,501,502,NULL,'ESTREITO','FLORIANOPOLIS','SC',21290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288699,3.00,6.00,4.00,5.00,6.00,5.25,5.00,5.00,4.00,203,NULL,NULL,'VELHA','BLUMENAU','SC',12063,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2288702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,423,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2288710,1.00,5.00,2.00,4.00,5.00,6.00,5.00,2.00,1.00,207,101,208,'HUMAITÁ','TUBARAO','SC',20689,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2288729,4.00,7.00,4.00,7.00,5.00,6.25,7.00,5.00,3.00,333,108,NULL,'ESTREITO','FLORIANOPOLIS','SC',7969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2288737,4.00,8.00,1.00,1.00,8.00,6.00,5.00,7.00,3.00,333,318,NULL,'INDUSTRIAL','IJUI','RS',11415,144,400,NULL,NULL,NULL,NULL,4,9),(15,2288745,5.00,6.00,7.00,7.00,8.00,7.25,5.00,7.00,4.00,201,309,212,'INGLESES','FLORIANOPOLIS','SC',4936,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288753,4.00,5.00,3.00,6.00,7.00,6.75,4.00,3.00,0.00,9,444,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2288761,2.00,5.00,5.00,6.00,6.00,6.50,2.00,5.00,2.00,332,502,NULL,'JARDIM FLORESTA','SAO JOSE','SC',15861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2288770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2288788,3.00,3.00,0.00,4.00,4.00,5.25,3.00,3.00,2.00,101,309,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',21780,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288796,1.00,6.00,4.00,5.00,6.00,4.50,3.00,6.00,1.00,310,328,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288800,2.00,6.00,6.00,7.00,5.00,5.50,5.00,6.00,3.00,211,444,202,'CENTRO','CHAPECO','SC',11288,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2288818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2288826,2.00,7.00,2.00,7.00,8.00,7.00,5.00,6.00,4.00,216,202,NULL,'BARRACÃO','GASPAR','SC',9363,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2288834,5.00,9.00,6.00,6.00,7.00,6.50,7.00,7.00,6.00,103,9,NULL,'JD ISAURA','SOROCABA','SP',3107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2288842,3.00,5.00,7.00,7.00,5.00,4.50,8.00,7.00,2.00,220,208,203,'JARDIM ESTORIL','CORNELIO PROCOPIO','PR',9310,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2288850,5.00,5.00,9.00,8.00,6.00,5.50,8.00,6.00,7.00,203,214,202,'HIGIENOPOLIS','SAO PAULO','SP',2599,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2288869,4.00,4.00,1.00,3.00,4.00,5.00,2.00,2.00,2.00,333,502,NULL,'CAMPINAS','SAO JOSE','SC',22087,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2288885,3.00,6.00,2.00,3.00,2.00,NULL,4.00,2.00,3.00,238,208,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2288893,2.00,5.00,0.00,6.00,6.00,5.00,4.00,6.00,2.00,207,450,201,'INDEPENDEINCIA','PORTO ALEGRE','RS',17371,829,336,923,NULL,NULL,NULL,2,1),(15,2288907,2.00,7.00,4.00,9.00,7.00,6.25,4.00,3.00,1.00,201,207,NULL,'SÃO JOÃO','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2288915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,211,NULL,'CRISTO REI','ESTRELA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2288923,1.00,5.00,5.00,5.00,5.00,5.25,6.00,4.00,4.00,203,NULL,NULL,'CENTRO','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2288931,4.00,5.00,5.00,6.00,5.00,5.00,5.00,6.00,2.00,211,108,216,'SANTO ANTÔNIO','PINHALZINHO','SC',12077,427,763,389,NULL,NULL,NULL,4,4),(15,2288958,3.00,8.00,4.00,8.00,7.00,7.75,7.00,9.00,4.00,331,326,NULL,'VILA SÔNIA','SAO PAULO','SP',3940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2288966,2.00,6.00,2.00,2.00,4.00,5.25,2.00,4.00,2.00,332,333,NULL,'CRISTO REI','CHAPECO','SC',21495,142,1053,NULL,NULL,NULL,NULL,4,4),(15,2288974,4.00,7.00,1.00,5.00,7.00,5.75,3.00,6.00,2.00,326,425,NULL,'SANTA MARIA','ANTONIO CARLOS','SC',12702,67,319,NULL,NULL,NULL,NULL,2,1),(15,2288982,6.00,6.00,5.00,7.00,9.00,5.75,7.00,6.00,5.00,216,215,238,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',3154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2288990,2.00,5.00,3.00,3.00,6.00,4.75,3.00,2.00,2.00,319,404,NULL,'CENTRO','DONA EMMA','SC',20493,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2289008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,214,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2289016,4.00,6.00,8.00,1.00,6.00,5.75,8.00,6.00,5.00,502,316,NULL,'PANTANAL','FLORIANOPOLIS','SC',9008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289024,5.00,7.00,7.00,5.00,6.00,6.00,8.00,5.00,7.00,214,203,220,'CENTRO','LINS','SP',4814,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2289032,1.00,6.00,5.00,3.00,6.00,5.00,4.00,3.00,1.00,102,108,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',18397,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2289040,1.00,6.00,0.00,3.00,4.00,5.50,4.00,3.00,3.00,108,319,NULL,'CARIANOS','FLORIANOPOLIS','SC',21090,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2289059,4.00,7.00,5.00,7.00,6.00,4.50,5.00,4.00,3.00,316,317,NULL,'CENTRO','BIGUACU','SC',10673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2289067,3.00,4.00,4.00,5.00,5.00,5.25,5.00,5.00,4.00,319,308,NULL,'AMIZADE','JARAGUA DO SUL','SC',13566,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2289083,2.00,7.00,5.00,7.00,4.00,8.00,6.00,3.00,3.00,415,327,NULL,'CENTRO','FLORIANOPOLIS','SC',11334,291,302,NULL,NULL,NULL,NULL,2,1),(15,2289105,3.00,7.00,8.00,8.00,8.00,4.75,7.00,6.00,7.00,444,102,NULL,'AMÉRICA','JOINVILLE','SC',3267,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2289113,4.00,6.00,2.00,4.00,5.00,6.00,4.00,3.00,1.00,425,319,429,'CENTRO','CAIEIRAS','SP',17350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289121,2.00,7.00,3.00,3.00,6.00,6.75,5.00,5.00,3.00,424,429,421,'CENTRO','FLORIANOPOLIS','SC',16167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289130,4.00,7.00,5.00,8.00,8.00,6.00,7.00,5.00,5.00,103,NULL,NULL,'RESIDENCIAL DO LAGO','LONDRINA','PR',5366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289148,4.00,5.00,6.00,2.00,6.00,5.50,5.00,5.00,4.00,238,222,208,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289156,3.00,8.00,2.00,4.00,3.00,6.25,3.00,7.00,3.00,103,104,NULL,'CENTRO','SAO JOSE DO CEDRO','SC',14550,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2289172,4.00,5.00,3.00,5.00,7.00,6.25,6.00,3.00,4.00,104,415,NULL,'VILA MARIANA','SAO PAULO','SP',13072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289180,5.00,7.00,1.00,4.00,7.00,5.25,3.00,3.00,3.00,103,101,NULL,'CENTRO','FLORIANOPOLIS','SC',16274,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2289199,1.00,6.00,5.00,3.00,8.00,5.75,5.00,6.00,3.00,451,103,NULL,'CENTRO','CRICIUMA','SC',11672,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2289202,2.00,4.00,2.00,6.00,7.00,5.50,5.00,4.00,2.00,103,102,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',16440,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2289210,8.00,8.00,7.00,7.00,8.00,4.75,7.00,6.00,6.00,238,332,208,'CENTRO','POMERODE','SC',3124,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2289229,2.00,8.00,5.00,2.00,8.00,5.25,6.00,7.00,4.00,332,426,NULL,'CENTRO','BARRA VELHA','SC',8363,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2289237,5.00,9.00,2.00,8.00,6.00,5.25,6.00,8.00,2.00,319,501,NULL,'SÃO CRISTOVÃO','CRICIUMA','SC',6798,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2289245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,203,NULL,'SAPIRANGA','MELEIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2289253,4.00,8.00,5.00,6.00,8.00,6.75,7.00,5.00,6.00,415,319,NULL,'ZONA SETE','MARINGA','PR',4605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289270,2.00,7.00,2.00,8.00,7.00,3.25,5.00,2.00,1.00,213,324,220,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',17571,287,302,545,NULL,NULL,NULL,2,1),(15,2289288,8.00,8.00,3.00,6.00,8.00,5.25,6.00,7.00,5.00,217,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',4039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2289296,5.00,8.00,8.00,6.00,6.00,5.00,8.00,8.00,3.00,103,5,NULL,'ESTREITO','FLORIANOPOLIS','SC',4267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289300,1.00,3.00,4.00,5.00,5.00,5.50,3.00,4.00,2.00,317,332,NULL,'ITACORUBI','FLORIANOPOLIS','SC',18942,331,298,NULL,NULL,NULL,NULL,2,1),(15,2289318,1.00,6.00,5.00,0.00,8.00,NULL,5.00,4.00,2.00,103,104,NULL,'CENTRO','TAPEJARA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2289326,5.00,6.00,3.00,1.00,6.00,6.75,4.00,5.00,3.00,101,102,NULL,'INGLESES','FLORIANOPOLIS','SC',15248,154,947,NULL,NULL,NULL,NULL,4,1),(15,2289334,0.00,6.00,5.00,7.00,8.00,6.50,3.00,4.00,3.00,104,101,NULL,'KOBRASOL','SAO JOSE','SC',11313,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2289342,3.00,6.00,3.00,0.00,7.00,6.75,5.00,7.00,2.00,319,327,NULL,'CAMPECHE','FLORIANOPOLIS','SC',14482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289369,3.00,7.00,2.00,1.00,7.00,5.25,4.00,3.00,2.00,233,5,216,'CENTRO','ICARA','SC',17470,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2289377,3.00,6.00,3.00,1.00,4.00,6.00,4.00,1.00,4.00,327,329,NULL,'CENTRO','FLORIANOPOLIS','SC',20404,175,249,NULL,NULL,NULL,NULL,4,1),(15,2289385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,5,NULL,'SAO JOAO','SANTA CRUZ DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2289393,0.00,6.00,5.00,0.00,6.00,0.00,3.00,5.00,2.00,9,420,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289407,3.00,8.00,1.00,5.00,6.00,6.50,3.00,8.00,4.00,317,327,NULL,'CENTRO','URUSSANGA','SC',12415,166,317,NULL,NULL,NULL,NULL,2,1),(15,2289415,1.00,5.00,0.00,2.00,4.00,NULL,2.00,3.00,3.00,5,308,NULL,'INTERIOR','MONDAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2289423,6.00,9.00,7.00,8.00,8.00,7.00,6.00,6.00,3.00,303,301,NULL,'CENTRO','CANOINHAS','SC',2565,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2289431,4.00,7.00,7.00,5.00,8.00,7.25,4.00,9.00,1.00,303,5,NULL,'CENTRO','RIO DO SUL','SC',5583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289440,0.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,425,333,429,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2289458,6.00,8.00,5.00,5.00,4.00,5.50,7.00,5.00,5.00,203,214,233,'OURO VERDE','CAMPO LARGO','PR',8157,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2289466,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,102,207,NULL,'CENTRO','CHOPINZINHO','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(15,2289482,3.00,7.00,7.00,9.00,6.00,6.25,6.00,5.00,3.00,103,203,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289490,0.00,2.00,2.00,6.00,1.00,NULL,1.00,4.00,0.00,327,428,NULL,'PASSO DOS FORTES','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2289504,0.00,5.00,2.00,3.00,3.00,4.75,3.00,6.00,2.00,202,NULL,213,'CENTRO','PATO BRANCO','PR',20781,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2289512,2.00,5.00,4.00,0.00,0.00,NULL,2.00,4.00,2.00,222,223,NULL,'INTERIOR','MONDAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2289520,4.00,6.00,3.00,6.00,4.00,5.50,4.00,3.00,2.00,301,302,NULL,'UNIVERSITÁRIO','SANTA CRUZ DO SUL','RS',17155,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2289539,2.00,5.00,4.00,3.00,5.00,5.25,3.00,3.00,2.00,104,420,NULL,'MEIA PRAIA','ITAPEMA','SC',19968,649,879,NULL,NULL,NULL,NULL,4,3),(15,2289547,2.00,8.00,3.00,4.00,6.00,6.25,3.00,5.00,3.00,333,211,NULL,'SÃO CRISTOVÃO','TAPEJARA','RS',14703,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2289555,2.00,5.00,2.00,1.00,3.00,NULL,1.00,2.00,2.00,501,207,NULL,'IPIRANGA','RONDA ALTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2289563,2.00,4.00,3.00,3.00,7.00,5.75,2.00,5.00,1.00,319,333,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',19161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289571,3.00,4.00,4.00,4.00,3.00,5.75,3.00,3.00,2.00,5,444,NULL,'LOT PAGANI','PALHOCA','SC',21033,864,590,NULL,NULL,NULL,NULL,2,1),(15,2289598,4.00,8.00,5.00,4.00,7.00,6.00,5.00,8.00,3.00,104,502,NULL,'CENTRO','ARARANGUA','SC',7801,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2289601,1.00,7.00,3.00,4.00,7.00,7.50,5.00,5.00,4.00,415,451,NULL,'KOBRASOL','SAO JOSE','SC',12062,306,186,NULL,NULL,NULL,NULL,4,1),(15,2289610,6.00,8.00,4.00,7.00,6.00,6.00,6.00,4.00,4.00,501,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',6909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2289628,4.00,7.00,7.00,7.00,8.00,4.00,7.00,5.00,3.00,103,212,NULL,'VILA MOEMA','TUBARAO','SC',5944,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2289636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'SUIÇA','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2289644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'CENTRO','BALNEARIO BARRA DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2289660,4.00,7.00,6.00,8.00,7.00,7.50,8.00,5.00,4.00,415,202,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',3883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289679,5.00,7.00,5.00,5.00,6.00,3.50,6.00,6.00,5.00,318,304,NULL,'ESTREITO','FLORIANOPOLIS','SC',8577,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2289687,1.00,3.00,0.00,1.00,4.00,NULL,3.00,3.00,0.00,102,429,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289695,2.00,4.00,2.00,3.00,6.00,3.75,3.00,3.00,1.00,214,420,220,'CAPOEIRAS','FLORIANOPOLIS','SC',21171,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2289709,3.00,8.00,7.00,6.00,6.00,4.50,7.00,7.00,2.00,333,NULL,NULL,'PASSO DA AREIA','SANTA MARIA','RS',6487,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2289725,2.00,3.00,1.00,2.00,3.00,NULL,3.00,1.00,2.00,331,501,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289733,1.00,3.00,3.00,2.00,4.00,NULL,3.00,2.00,1.00,428,NULL,426,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2289741,1.00,5.00,2.00,4.00,6.00,4.00,4.00,6.00,2.00,333,208,NULL,'LAGOA DA CONCEÇÃO','FLORIANOPOLIS','SC',18471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289750,3.00,7.00,6.00,3.00,5.00,3.50,4.00,3.00,2.00,316,317,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',15862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289768,1.00,6.00,1.00,2.00,5.00,4.75,4.00,9.00,1.00,301,310,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2289776,1.00,5.00,0.00,5.00,5.00,6.25,5.00,5.00,2.00,320,324,NULL,'SANTINHO','FLORIANOPOLIS','SC',17840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2289784,3.00,5.00,2.00,4.00,6.00,4.25,2.00,4.00,1.00,103,104,NULL,'MINA DO MATO','CRICIUMA','SC',19828,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2289792,2.00,5.00,3.00,5.00,6.00,6.50,4.00,6.00,2.00,317,302,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289806,0.00,6.00,3.00,3.00,4.00,3.00,3.00,1.00,2.00,318,429,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',22457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289814,3.00,6.00,0.00,3.00,5.00,6.75,3.00,6.00,2.00,425,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',17823,146,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289830,4.00,7.00,3.00,3.00,7.00,5.75,5.00,6.00,3.00,202,208,NULL,'POPULAR UM','SAO JOAQUIM','SC',12198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289857,4.00,6.00,2.00,0.00,6.00,4.25,2.00,4.00,3.00,326,331,NULL,'CENTRO','LAGES','SC',19385,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2289873,1.00,3.00,0.00,5.00,2.00,NULL,2.00,0.00,2.00,339,225,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2289881,4.00,7.00,6.00,2.00,5.00,5.25,4.00,4.00,6.00,203,333,214,'CENTRO','CAMBORIU','SC',12531,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2289890,6.00,7.00,3.00,7.00,6.00,6.00,7.00,6.00,3.00,317,318,NULL,'ITACORUBI','FLORIANOPOLIS','SC',7052,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2289903,3.00,5.00,6.00,9.00,7.00,4.25,7.00,6.00,6.00,201,2,NULL,'ESTREITO','FLORIANOPOLIS','SC',6077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2289920,5.00,5.00,1.00,6.00,5.00,6.00,4.00,5.00,3.00,108,333,NULL,'FAZENDINHA','CARAPICUIBA','SP',13257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2289938,0.00,6.00,3.00,7.00,8.00,5.25,3.00,2.00,3.00,317,316,NULL,'CENTRO','FLORIANOPOLIS','SC',16313,267,1091,NULL,NULL,NULL,NULL,2,1),(15,2289954,0.00,2.00,2.00,2.00,3.00,NULL,3.00,1.00,1.00,211,333,202,'SAO LUIS','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2289970,0.00,4.00,1.00,1.00,2.00,NULL,5.00,1.00,0.00,104,214,NULL,'CENTRO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2289989,3.00,4.00,5.00,2.00,4.00,5.75,2.00,3.00,2.00,211,207,215,'INTERIOR','ITAPIRANGA','SC',20471,699,1303,396,NULL,NULL,NULL,4,4),(15,2289997,1.00,6.00,4.00,6.00,5.00,6.00,2.00,6.00,4.00,333,238,NULL,'CENTRO','LAURENTINO','SC',14057,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2290006,3.00,8.00,4.00,7.00,7.00,5.00,2.00,4.00,3.00,318,339,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',11933,131,234,NULL,NULL,NULL,NULL,2,1),(15,2290014,6.00,8.00,6.00,5.00,7.00,5.50,5.00,6.00,5.00,103,101,NULL,'CENTRO','SANTA MARIA','RS',5453,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2290022,2.00,7.00,2.00,2.00,5.00,6.50,6.00,5.00,3.00,213,202,220,'JD FLORESTA','SAO PAULO','SP',15601,254,909,513,NULL,NULL,NULL,4,8),(15,2290030,6.00,8.00,7.00,8.00,8.00,7.00,9.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',1976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290049,2.00,6.00,1.00,8.00,5.00,3.50,1.00,4.00,1.00,201,301,208,'PASSA VINTE','PALHOCA','SC',20376,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2290057,4.00,7.00,6.00,5.00,8.00,6.00,5.00,7.00,4.00,207,424,201,'CENTRO','SANTO ANGELO','RS',6648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290065,2.00,7.00,3.00,2.00,5.00,3.00,3.00,4.00,1.00,333,108,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2290073,3.00,4.00,0.00,1.00,2.00,NULL,3.00,5.00,1.00,104,NULL,NULL,'TRÊS VENDAS','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2290081,4.00,6.00,2.00,0.00,5.00,5.25,0.00,5.00,2.00,5,404,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290090,4.00,3.00,3.00,5.00,6.00,4.25,3.00,5.00,1.00,234,329,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',17890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2290103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,220,202,'PARQUE DAS ARVORES','SAO BERNARDO DO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2290111,2.00,7.00,0.00,2.00,5.00,NULL,3.00,5.00,4.00,303,301,NULL,'JURERÊ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,316,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2290138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,217,NULL,'DEMORAS','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2290146,8.00,8.00,7.00,7.00,6.00,6.50,7.00,6.00,5.00,104,102,NULL,'CENTRO','SANTA MARIA','RS',3058,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2290154,3.00,4.00,2.00,0.00,5.00,NULL,3.00,3.00,1.00,301,104,NULL,'INTERIOR','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2290162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,317,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2290170,2.00,3.00,2.00,1.00,6.00,NULL,3.00,3.00,0.00,320,308,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290189,3.00,3.00,3.00,0.00,6.00,6.00,7.00,3.00,2.00,104,NULL,NULL,'SÃO CRISTÓVÃO II','RIO DAS PEDRAS','SP',19494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290197,4.00,7.00,3.00,6.00,8.00,5.50,5.00,4.00,6.00,108,444,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',8062,154,370,NULL,NULL,NULL,NULL,2,1),(15,2290200,2.00,7.00,4.00,3.00,4.00,5.25,5.00,4.00,2.00,316,317,NULL,'CENTRO','FLORIANOPOLIS','SC',16721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290219,5.00,8.00,5.00,7.00,8.00,6.25,6.00,7.00,3.00,303,5,NULL,'CENTRO','ITAARA','RS',4362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290227,2.00,4.00,3.00,4.00,5.00,6.25,4.00,3.00,1.00,5,316,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',19997,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2290235,1.00,6.00,2.00,3.00,5.00,4.50,3.00,3.00,0.00,207,301,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',22045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2290243,5.00,5.00,1.00,1.00,7.00,5.00,3.00,4.00,4.00,103,101,NULL,'CENTRO','CASCAVEL','PR',15713,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2290251,5.00,4.00,6.00,3.00,7.00,5.00,5.00,7.00,5.00,316,301,NULL,'TRINDADE','FLORIANOPOLIS','SC',9518,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2290260,6.00,8.00,7.00,7.00,6.00,5.25,9.00,8.00,6.00,203,202,216,'CENTRO','TRINDADE DO SUL','RS',2203,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2290278,3.00,7.00,5.00,4.00,6.00,5.25,3.00,6.00,5.00,238,301,208,'CENTRO','ORLEANS','SC',11548,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2290286,1.00,1.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,104,415,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(15,2290294,2.00,6.00,4.00,6.00,7.00,6.75,5.00,6.00,4.00,108,502,NULL,'SUMAREZINHO','SAO PAULO','SP',10111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2290308,3.00,4.00,3.00,2.00,3.00,2.25,4.00,1.00,3.00,423,415,428,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2290316,2.00,5.00,3.00,4.00,5.00,6.00,3.00,3.00,1.00,308,223,NULL,'FAZ SANTO ANTONIO','SAO JOSE','SC',19532,136,219,NULL,NULL,NULL,NULL,2,1),(15,2290324,3.00,7.00,3.00,6.00,9.00,7.75,5.00,7.00,4.00,320,310,NULL,'JARDIM CHAPADAO','CAMPINAS','SP',7485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290340,6.00,7.00,4.00,7.00,5.00,6.00,6.00,7.00,3.00,207,NULL,NULL,'CENTRO','CAMPINAS','SP',7924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290359,3.00,7.00,6.00,4.00,9.00,5.00,5.00,3.00,4.00,104,303,NULL,'VILA MOEMA','TUBARAO','SC',10312,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2290367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'BELVEDERE','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2290375,2.00,6.00,5.00,6.00,7.00,6.50,5.00,3.00,2.00,9,319,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290383,2.00,7.00,2.00,5.00,3.00,4.25,2.00,4.00,2.00,428,404,423,'SANTA MONICA','FLORIANOPOLIS','SC',20525,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2290391,3.00,6.00,2.00,6.00,7.00,6.50,6.00,6.00,1.00,326,310,NULL,'TRINDADE','FLORIANOPOLIS','SC',11605,58,131,NULL,NULL,NULL,NULL,2,1),(15,2290405,4.00,5.00,3.00,7.00,7.00,6.50,5.00,3.00,3.00,415,426,NULL,'CENTRO','SANTA MARIA','RS',11604,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2290413,3.00,3.00,1.00,1.00,5.00,NULL,3.00,4.00,1.00,316,319,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290421,3.00,4.00,4.00,1.00,3.00,NULL,1.00,2.00,1.00,103,444,NULL,'MAREMA','MAREMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2290430,1.00,5.00,4.00,4.00,3.00,2.00,5.00,3.00,1.00,327,451,NULL,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2290456,4.00,4.00,3.00,2.00,5.00,NULL,0.00,0.00,0.00,224,203,NULL,'VERA CRUZ','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(15,2290464,2.00,8.00,3.00,3.00,3.00,3.50,5.00,6.00,3.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',17402,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2290472,3.00,4.00,2.00,5.00,5.00,4.50,4.00,2.00,5.00,317,302,NULL,'IPIRANGA','SAO JOSE','SC',19017,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2290480,5.00,6.00,7.00,8.00,8.00,6.50,5.00,5.00,5.00,304,502,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290499,5.00,8.00,5.00,8.00,7.00,7.25,8.00,8.00,4.00,2,225,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',2631,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2290502,1.00,4.00,2.00,4.00,3.00,4.50,1.00,4.00,2.00,339,324,NULL,'CENTRO','SAO JOAQUIM','SC',22508,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2290510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,327,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2290529,4.00,6.00,5.00,9.00,6.00,5.75,5.00,5.00,4.00,208,301,238,'SANTA ROSÁLIA','SOROCABA','SP',7136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,320,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2290545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,104,NULL,'PONTA DE BAIXO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2290553,4.00,6.00,2.00,4.00,4.00,5.25,2.00,5.00,3.00,404,NULL,NULL,'AGUÁS CLARAS','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2290561,1.00,2.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,425,424,NULL,'PONTE DE IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2290570,0.00,0.00,0.00,9.00,4.00,NULL,0.00,0.00,0.00,425,329,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(15,2290588,2.00,4.00,4.00,5.00,6.00,5.75,5.00,6.00,1.00,316,317,NULL,'JARDIM SOCIAL','CURITIBA','PR',14611,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2290596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,444,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2290600,4.00,8.00,4.00,5.00,6.00,4.75,5.00,4.00,3.00,404,9,NULL,'SÃO VICENTE','ITAJAI','SC',12022,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2290618,7.00,8.00,6.00,7.00,9.00,5.75,5.00,7.00,3.00,303,429,NULL,'KOBRASOL','SAO JOSE','SC',3926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290626,2.00,4.00,6.00,1.00,4.00,3.75,6.00,3.00,5.00,333,501,NULL,'CENTRO','ARMAZEM','SC',18612,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2290634,3.00,7.00,3.00,5.00,5.00,5.50,2.00,5.00,4.00,5,316,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2290642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,339,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2290650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,103,NULL,'SANTA LUZIA','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2290669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,211,NULL,'SÃO SEBASTIÃO','SANTA RITA DO PASSA QUATRO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2290677,4.00,6.00,3.00,5.00,7.00,6.50,2.00,4.00,2.00,415,424,NULL,'SÃO PEDRO','SOMBRIO','SC',15044,378,211,NULL,NULL,NULL,NULL,4,5),(15,2290707,0.00,4.00,4.00,4.00,3.00,4.50,3.00,5.00,3.00,501,303,NULL,'INTERIOR','RONDA ALTA','RS',20715,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2290715,3.00,5.00,4.00,7.00,5.00,4.75,3.00,7.00,1.00,5,NULL,NULL,'CENTRO','IPUMIRIM','SC',14736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2290723,3.00,7.00,4.00,5.00,7.00,4.50,3.00,6.00,3.00,302,308,NULL,'PANATANO DO SUL','FLORIANOPOLIS','SC',12723,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2290731,1.00,6.00,3.00,5.00,5.00,5.00,4.00,4.00,4.00,320,310,NULL,'BOQUEIRÃO','SANTOS','SP',16779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290740,1.00,8.00,2.00,7.00,8.00,6.00,3.00,5.00,2.00,207,420,NULL,'BUDAG','RIO DO SUL','SC',12999,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2290758,2.00,5.00,6.00,4.00,5.00,7.00,5.00,4.00,2.00,207,102,201,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290766,3.00,5.00,4.00,6.00,5.00,7.00,3.00,4.00,0.00,104,201,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2290774,3.00,5.00,1.00,2.00,5.00,4.50,5.00,3.00,1.00,444,425,NULL,'SERRARIA','SAO JOSE','SC',20211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290782,2.00,8.00,1.00,4.00,5.00,2.00,4.00,5.00,3.00,5,327,NULL,'ARMAÇÃO DO PANTANO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290790,4.00,7.00,6.00,3.00,8.00,6.75,4.00,5.00,0.00,103,104,NULL,'PIO CORREA','CRICIUMA','SC',13471,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2290804,4.00,7.00,8.00,8.00,7.00,4.75,7.00,7.00,4.00,203,2,233,'BARREIROS','SAO JOSE','SC',3802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290812,1.00,5.00,4.00,4.00,5.00,4.75,3.00,3.00,1.00,404,238,NULL,'BAIRRO DE FATIMA','FLORIANOPOLIS','SC',20498,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2290839,3.00,6.00,4.00,5.00,7.00,5.50,6.00,3.00,2.00,316,102,NULL,'VILA NOVA','IMBITUBA','SC',13533,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2290847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,329,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2290855,4.00,6.00,1.00,0.00,4.00,2.25,5.00,5.00,2.00,318,216,NULL,'CENTRO','TIGRINHOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2290863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,316,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2290871,6.00,6.00,6.00,6.00,7.00,4.00,4.00,6.00,3.00,207,420,201,'CENTRO','LAGES','SC',8868,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2290880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2290901,4.00,5.00,5.00,2.00,4.00,5.25,6.00,5.00,5.00,104,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',13591,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2290910,3.00,5.00,4.00,6.00,4.00,3.75,2.00,5.00,3.00,444,318,NULL,'CENTRO','FLORIANOPOLIS','SC',17108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290928,5.00,8.00,7.00,4.00,8.00,6.00,9.00,9.00,7.00,103,320,NULL,'CENTRO','TAUBATE','SP',2046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290936,4.00,5.00,2.00,9.00,8.00,6.00,4.00,5.00,4.00,333,501,NULL,'LAGOA DE CONCEIÇÃO','FLORIANOPOLIS','SC',9129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290944,5.00,8.00,5.00,4.00,7.00,5.50,6.00,5.00,3.00,212,234,201,'SAMBAQUI','FLORIANOPOLIS','SC',8003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2290952,3.00,3.00,2.00,3.00,5.00,NULL,1.00,3.00,3.00,223,224,NULL,'CENTRO','TIMBE DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2290960,5.00,6.00,3.00,1.00,4.00,4.00,2.00,3.00,3.00,501,212,NULL,'VILA NOVA','JOINVILLE','SC',21109,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2290979,3.00,7.00,5.00,8.00,8.00,7.25,4.00,7.00,4.00,318,317,NULL,'CENTRO','CRICIUMA','SC',6180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2290987,3.00,7.00,2.00,5.00,4.00,5.75,0.00,5.00,0.00,103,203,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',19529,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2290995,4.00,6.00,4.00,3.00,6.00,7.00,3.00,6.00,2.00,303,215,NULL,'CENTRO','FLORIANOPOLIS','SC',13911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291002,2.00,4.00,3.00,3.00,5.00,6.00,1.00,3.00,2.00,103,101,NULL,'SAO JOAO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2291010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,222,213,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2291029,2.00,7.00,3.00,3.00,8.00,4.75,3.00,6.00,2.00,108,332,NULL,'NITEROI','SEARA','SC',16357,364,269,NULL,NULL,NULL,NULL,4,4),(15,2291037,2.00,3.00,2.00,2.00,5.00,NULL,2.00,4.00,1.00,103,9,NULL,'ANDORINHA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291045,2.00,2.00,0.00,0.00,2.00,NULL,3.00,2.00,2.00,216,217,233,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2291053,3.00,5.00,2.00,6.00,4.00,3.75,5.00,5.00,4.00,216,215,NULL,'CENTRO','IJUI','RS',15272,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2291061,1.00,4.00,0.00,3.00,3.00,NULL,0.00,2.00,2.00,415,208,NULL,'CENTRO','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2291070,3.00,5.00,6.00,6.00,5.00,6.25,6.00,4.00,2.00,202,NULL,220,'JARDIM VENEZA','SAO JOSE DOS CAMPOS','SP',12526,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2291088,3.00,6.00,1.00,6.00,4.00,4.75,4.00,7.00,1.00,327,NULL,NULL,'RIBEIRÃO FRESCO','BLUMENAU','SC',17880,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2291096,0.00,4.00,5.00,3.00,5.00,NULL,2.00,4.00,3.00,217,415,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2291118,1.00,3.00,1.00,4.00,5.00,2.00,3.00,3.00,3.00,203,316,NULL,'CORDEIROS','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2291142,0.00,6.00,2.00,0.00,2.00,NULL,0.00,3.00,2.00,103,101,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2291150,4.00,6.00,1.00,7.00,5.00,5.00,4.00,3.00,3.00,501,9,NULL,'INGLESES','FLORIANOPOLIS','SC',14691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2291169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,213,202,'VILA TEOPOLIS','ESTEIO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2291177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,234,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2291185,1.00,5.00,3.00,1.00,6.00,5.00,2.00,3.00,1.00,302,201,NULL,'BARREIROS','SAO JOSE','SC',21986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291193,2.00,6.00,7.00,2.00,6.00,5.50,3.00,5.00,2.00,327,222,NULL,'PONTE DO IMARUIM','PALHOCA','SC',15773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291207,2.00,4.00,0.00,2.00,2.00,NULL,3.00,2.00,0.00,404,421,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2291223,1.00,7.00,0.00,3.00,3.00,NULL,3.00,6.00,1.00,5,207,NULL,'FORQUILINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291240,2.00,3.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,404,444,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2291258,1.00,6.00,4.00,4.00,6.00,4.50,7.00,7.00,3.00,444,421,NULL,'COQUEIROS','FLORIANOPOLIS','SC',12136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,421,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2291274,3.00,6.00,3.00,7.00,8.00,5.25,4.00,5.00,2.00,5,333,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',12498,542,739,NULL,NULL,NULL,NULL,4,1),(15,2291282,8.00,9.00,8.00,6.00,9.00,6.25,9.00,8.00,9.00,103,303,NULL,'SARAIVA','UBERLANDIA','MG',186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291290,3.00,7.00,1.00,7.00,5.00,4.75,5.00,7.00,2.00,5,501,NULL,'ASA SUL','BRASILIA','DF',12217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291312,2.00,6.00,1.00,0.00,1.00,NULL,4.00,4.00,2.00,301,420,NULL,'CENTRO','ANTONIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291320,7.00,8.00,6.00,5.00,4.00,4.50,8.00,8.00,7.00,103,216,NULL,'UNIVERSITARIO','CASCAVEL','PR',3913,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2291339,2.00,5.00,3.00,7.00,6.00,4.50,6.00,7.00,2.00,207,324,201,'CENTRO','ITAJAI','SC',11232,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2291347,2.00,5.00,4.00,7.00,8.00,6.50,4.00,5.00,1.00,5,303,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',12563,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2291355,5.00,7.00,5.00,4.00,7.00,4.50,6.00,6.00,2.00,326,327,NULL,'PRESIDENTE MEDICI','CHAPECO','SC',8007,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2291363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2291371,4.00,6.00,5.00,4.00,7.00,5.50,6.00,8.00,5.00,211,501,203,'CENTRO','TIJUCAS','SC',8612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291398,2.00,6.00,2.00,2.00,7.00,3.50,4.00,5.00,4.00,5,316,NULL,'CENTRO','TIJUCAS','SC',18130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291401,2.00,6.00,2.00,7.00,6.00,6.00,3.00,8.00,1.00,451,427,NULL,'S SEBASTIÃO','PALHOCA','SC',14131,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2291410,0.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,108,101,NULL,'SUMARÉ','LAURO MULLER','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(15,2291428,4.00,7.00,4.00,2.00,8.00,5.00,5.00,3.00,3.00,102,404,NULL,'PAES LEME','IMBITUBA','SC',13842,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2291444,3.00,7.00,6.00,2.00,7.00,5.50,6.00,7.00,3.00,202,214,213,'CENTRO','SAO BENTO DO SUL','SC',9301,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2291452,0.00,5.00,1.00,0.00,3.00,NULL,2.00,4.00,2.00,5,316,NULL,'PRIMEIRO DE MAIO','DIONISIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2291460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,501,NULL,'CENTRO','SAO MATEUS DO SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2291479,6.00,6.00,1.00,4.00,8.00,5.25,6.00,5.00,5.00,108,420,NULL,'INDUSTRIAL','FRANCISCO BELTRAO','PR',9732,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2291487,6.00,7.00,6.00,9.00,9.00,8.50,8.00,8.00,6.00,207,NULL,NULL,'CENTRO','CASCAVEL','PR',599,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2291509,5.00,7.00,7.00,7.00,5.00,5.75,6.00,8.00,3.00,303,207,NULL,'CENTRO','MARINGA','PR',5532,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291517,0.00,0.00,0.00,0.00,6.00,NULL,0.00,0.00,0.00,319,102,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2291525,5.00,6.00,8.00,9.00,8.00,6.75,8.00,7.00,4.00,212,302,202,'CENTRO','PINHALZINHO','SC',2476,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2291533,2.00,5.00,4.00,2.00,7.00,5.25,4.00,3.00,1.00,104,201,NULL,'HUMAITA','TUBARAO','SC',18625,605,1377,NULL,NULL,NULL,NULL,4,10),(15,2291550,2.00,6.00,2.00,0.00,6.00,5.00,4.00,7.00,3.00,501,234,NULL,'FLORESTA','SAO JOSE','SC',17808,231,229,NULL,NULL,NULL,NULL,4,1),(15,2291568,5.00,5.00,5.00,8.00,8.00,7.25,3.00,8.00,3.00,103,101,NULL,'PQ ORTOLANDIA','HORTOLANDIA','SP',5296,1500,445,NULL,NULL,NULL,NULL,4,1),(15,2291576,0.00,5.00,2.00,2.00,5.00,NULL,3.00,3.00,1.00,211,404,220,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291584,5.00,7.00,7.00,5.00,5.00,3.75,5.00,4.00,4.00,103,104,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',10174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291592,2.00,3.00,3.00,3.00,6.00,NULL,2.00,1.00,2.00,428,450,423,'INDEPENDENCIA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2291606,1.00,6.00,3.00,4.00,7.00,6.50,4.00,7.00,2.00,318,324,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',12958,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2291614,2.00,4.00,3.00,5.00,4.00,4.75,4.00,4.00,1.00,303,319,NULL,'CENTRO','CRICIUMA','SC',18983,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2291622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2291630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,420,NULL,'JARDIM PAULISTA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2291649,3.00,3.00,4.00,3.00,6.00,6.50,3.00,5.00,0.00,318,316,NULL,'SÃO LUIZ','SAO JOSE','SC',18384,228,1160,NULL,NULL,NULL,NULL,2,1),(15,2291657,3.00,7.00,3.00,5.00,6.00,5.75,4.00,6.00,2.00,5,423,NULL,'NITEROI','SEARA','SC',13104,570,172,NULL,NULL,NULL,NULL,2,4),(15,2291665,3.00,7.00,4.00,6.00,5.00,3.75,6.00,6.00,3.00,101,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',13200,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2291673,5.00,7.00,5.00,6.00,6.00,6.50,5.00,7.00,4.00,318,327,NULL,'PASSA VINTE','PALHOCA','SC',5223,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2291681,4.00,7.00,4.00,8.00,8.00,7.25,6.00,8.00,4.00,415,444,NULL,'CAMPECHE','FLORIANOPOLIS','SC',4536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291690,3.00,5.00,0.00,5.00,8.00,4.25,5.00,3.00,1.00,103,104,NULL,'CENTRO','ARARANGUA','SC',19065,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2291703,2.00,4.00,3.00,0.00,4.00,5.25,3.00,4.00,2.00,310,309,NULL,'TRINDADE','FLORIANOPOLIS','SC',20846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291711,2.00,7.00,1.00,8.00,6.00,4.50,4.00,5.00,2.00,208,317,238,'ITACORUBI','FLORIANOPOLIS','SC',15071,575,575,555,NULL,NULL,NULL,2,1),(15,2291738,4.00,8.00,5.00,4.00,6.00,5.50,5.00,5.00,4.00,211,415,201,'SANTA CRUZ','GUARAPUAVA','PR',9813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2291746,4.00,5.00,5.00,5.00,4.00,4.75,4.00,3.00,2.00,501,215,NULL,'ACARAÍ','SAO FRANCISCO DO SUL','SC',17139,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2291754,3.00,5.00,3.00,3.00,6.00,3.50,4.00,6.00,4.00,216,217,NULL,'JARDIM PANAMÁ II','CAMPO GRANDE','MS',17813,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2291762,3.00,6.00,3.00,3.00,4.00,4.50,5.00,5.00,4.00,333,501,NULL,'TRISTEZA','PORTO ALEGRE','RS',15831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2291770,2.00,7.00,4.00,2.00,7.00,5.25,3.00,4.00,2.00,103,319,NULL,'PINHEIRINHO','FRANCISCO BELTRAO','PR',17697,2846,862,NULL,NULL,NULL,NULL,4,4),(15,2291789,2.00,4.00,1.00,0.00,3.00,NULL,1.00,2.00,2.00,103,212,NULL,'SÃO CRISTÓVÃO','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2291797,3.00,6.00,2.00,3.00,4.00,4.50,5.00,4.00,2.00,102,339,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',18267,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2291800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,223,238,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2291819,6.00,8.00,7.00,9.00,6.00,7.50,7.00,6.00,4.00,104,326,NULL,'CENTRO','FLORIANOPOLIS','SC',2852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291827,8.00,6.00,8.00,3.00,7.00,7.50,8.00,7.00,7.00,211,501,215,'VILA POMPÉIA','SAO PAULO','SP',2311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2291835,3.00,6.00,2.00,7.00,7.00,7.00,2.00,3.00,2.00,425,420,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',16004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291851,1.00,7.00,3.00,2.00,6.00,5.75,4.00,4.00,2.00,326,303,NULL,'RIBEIRÃO PEQUENO','LAGUNA','SC',18192,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2291860,4.00,5.00,2.00,6.00,5.00,4.25,3.00,3.00,3.00,308,423,NULL,'CENTRO','FLORIANOPOLIS','SC',18410,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2291878,3.00,6.00,1.00,2.00,5.00,3.75,4.00,4.00,4.00,9,309,NULL,'INGLESES','FLORIANOPOLIS','SC',20058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291886,6.00,6.00,6.00,5.00,7.00,4.50,5.00,8.00,7.00,310,NULL,NULL,'CONJUNTO VIOLIN','LONDRINA','PR',4819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291894,3.00,3.00,2.00,5.00,7.00,6.50,5.00,4.00,4.00,101,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',14716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291908,4.00,4.00,3.00,2.00,3.00,6.00,4.00,3.00,3.00,220,203,NULL,'PARQUE ALVORADA','DOURADOS','MS',19631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291916,4.00,9.00,9.00,9.00,8.00,7.50,7.00,9.00,5.00,415,326,NULL,'PINHEIROS','SAO PAULO','SP',643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291924,3.00,5.00,2.00,5.00,6.00,5.00,2.00,2.00,3.00,207,102,212,'CENTRO','BRUSQUE','SC',18977,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2291932,5.00,5.00,6.00,7.00,7.00,5.00,4.00,4.00,3.00,316,415,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',10351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2291940,3.00,3.00,5.00,4.00,6.00,4.75,3.00,4.00,3.00,304,317,NULL,'SÃO CRISTOVÃO','CHAPECO','SC',17151,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2291959,4.00,2.00,3.00,6.00,3.00,4.25,3.00,2.00,2.00,224,426,NULL,'FORQUILHINHAS','SAO JOSE','SC',21930,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2291967,3.00,5.00,2.00,6.00,4.00,4.50,2.00,5.00,3.00,220,316,203,'CENTRO','BALNEARIO CAMBORIU','SC',18860,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2291983,2.00,4.00,0.00,4.00,5.00,5.75,3.00,4.00,3.00,5,211,NULL,'TABOÃO','RIO DO SUL','SC',20022,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2291991,3.00,6.00,1.00,1.00,8.00,5.50,3.00,4.00,3.00,9,104,NULL,'CAMPECHE','FLORIANOPOLIS','SC',18571,260,1212,NULL,NULL,NULL,NULL,4,1),(15,2292017,4.00,6.00,1.00,5.00,6.00,4.50,5.00,4.00,3.00,202,216,203,'CENTRO','SANTA MARIA','RS',15823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2292025,3.00,7.00,6.00,4.00,6.00,5.75,5.00,6.00,4.00,303,5,NULL,'STO ANTONIO DE PADUA','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2292033,3.00,6.00,5.00,7.00,8.00,7.50,7.00,5.00,3.00,404,238,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',6772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2292041,2.00,7.00,4.00,4.00,6.00,4.75,4.00,6.00,3.00,304,108,NULL,'SÃO CRISTÓVÃO','TURVO','SC',13338,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2292050,2.00,5.00,3.00,5.00,6.00,5.25,2.00,5.00,3.00,423,327,428,'CANASVIEIRAS','FLORIANOPOLIS','SC',16653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2292068,1.00,6.00,1.00,6.00,7.00,6.00,4.00,6.00,1.00,326,332,NULL,'CENTRO','FLORIANOPOLIS','SC',14891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2292076,3.00,6.00,2.00,6.00,6.00,7.75,6.00,8.00,4.00,2,450,NULL,'CENTRO','MARCELINO RAMOS','RS',9403,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2292084,2.00,4.00,2.00,2.00,7.00,NULL,1.00,2.00,3.00,339,329,NULL,'CENTRO','ANITAPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2292092,3.00,8.00,3.00,6.00,7.00,6.25,7.00,6.00,4.00,103,316,NULL,'CENTRO','SANTA MARIA','RS',8410,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2292106,0.00,6.00,5.00,1.00,5.00,5.25,2.00,5.00,2.00,203,233,214,'CENTRO','JOACABA','SC',18956,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2292114,6.00,7.00,5.00,8.00,6.00,5.50,7.00,6.00,5.00,103,303,NULL,'CHÁCARA MONTE ALEGRE','SAO PAULO','SP',3884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292122,3.00,6.00,4.00,4.00,4.00,4.25,3.00,3.00,1.00,102,217,NULL,'PINHEIRINHO','CRICIUMA','SC',20015,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2292149,3.00,6.00,2.00,5.00,8.00,5.50,7.00,5.00,4.00,303,5,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',10374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292157,2.00,5.00,1.00,1.00,2.00,NULL,1.00,3.00,2.00,103,102,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2292181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,317,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2292190,4.00,9.00,3.00,6.00,9.00,6.25,3.00,7.00,5.00,308,425,NULL,'SERRARIA','SAO JOSE','SC',7187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292203,0.00,7.00,4.00,5.00,4.00,5.25,5.00,4.00,3.00,201,211,212,'COLONINHA','FLORIANOPOLIS','SC',16443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2292211,3.00,2.00,1.00,0.00,4.00,NULL,3.00,3.00,0.00,203,214,220,'CENTRO','CAPIVARI DE BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2292220,5.00,7.00,5.00,8.00,8.00,5.50,7.00,7.00,4.00,102,444,NULL,'CENTRO','FLORIANOPOLIS','SC',4590,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2292238,0.00,4.00,2.00,3.00,3.00,NULL,1.00,3.00,2.00,212,301,215,'JOSE MENDES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2292246,1.00,7.00,2.00,0.00,7.00,6.00,5.00,8.00,1.00,203,NULL,214,'ENCANO BAIXO','INDAIAL','SC',14995,959,NULL,470,NULL,NULL,NULL,4,2),(15,2292254,4.00,7.00,2.00,3.00,7.00,6.50,4.00,5.00,4.00,427,424,421,'PANTANAL','FLORIANOPOLIS','SC',12885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292262,6.00,9.00,8.00,8.00,7.00,7.00,7.00,8.00,6.00,103,501,NULL,'PETRÓPOLIS','JOINVILLE','SC',1285,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2292289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,327,NULL,'SETOR BUENO','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2292297,3.00,7.00,5.00,8.00,7.00,5.75,4.00,4.00,3.00,207,420,212,'MEIA PRAIA','ITAPEMA','SC',10471,509,648,230,NULL,NULL,NULL,5,3),(15,2292300,1.00,5.00,6.00,2.00,6.00,7.00,5.00,7.00,3.00,426,415,NULL,'SÃO JERONIMO','ORLEANS','SC',13713,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2292319,3.00,5.00,7.00,4.00,5.00,3.50,5.00,3.00,3.00,201,329,208,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',14813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292327,2.00,7.00,3.00,0.00,4.00,5.00,4.00,4.00,2.00,215,223,201,'INTERIOR','LUZERNA','SC',20440,395,228,1066,NULL,NULL,NULL,4,7),(15,2292335,1.00,5.00,3.00,1.00,5.00,5.25,4.00,3.00,2.00,5,103,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292343,3.00,7.00,5.00,1.00,5.00,4.75,5.00,4.00,2.00,201,103,212,'JARDIM','SAO JOSE DO CEDRO','SC',17105,907,3233,353,NULL,NULL,NULL,4,4),(15,2292351,3.00,7.00,4.00,9.00,7.00,6.25,5.00,6.00,3.00,207,331,202,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2292360,5.00,7.00,4.00,7.00,6.00,3.75,4.00,4.00,4.00,318,304,NULL,'IPANEMA','PORTO ALEGRE','RS',11296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292378,7.00,7.00,9.00,7.00,7.00,6.25,8.00,8.00,6.00,5,339,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',1243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2292386,0.00,6.00,3.00,7.00,7.00,5.50,1.00,6.00,3.00,404,316,NULL,'PRAIA DE FORA','PALHOCA','SC',15355,121,1058,NULL,NULL,NULL,NULL,4,1),(15,2292394,0.00,2.00,0.00,3.00,2.00,NULL,2.00,3.00,2.00,424,427,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2292408,4.00,6.00,7.00,5.00,5.00,5.25,7.00,6.00,4.00,302,217,NULL,'ITACORUBI','FLORIANOPOLIS','SC',8815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2292416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,309,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2292432,4.00,5.00,4.00,7.00,8.00,5.00,4.00,4.00,2.00,102,104,NULL,'BELA VISTA','CHAPECO','SC',12434,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2292440,3.00,6.00,2.00,5.00,3.00,4.50,2.00,2.00,3.00,103,301,NULL,'CAPÃO BONITO','CRICIUMA','SC',20558,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2292459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'CENTRO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2292467,0.00,3.00,4.00,3.00,4.00,NULL,1.00,2.00,2.00,339,102,NULL,'RIBEIRÃO DOS OVOS','LEOBERTO LEAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2292475,3.00,5.00,6.00,1.00,5.00,7.25,2.00,3.00,3.00,303,102,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292483,3.00,5.00,3.00,3.00,6.00,4.50,2.00,3.00,0.00,318,225,NULL,'CENTRO','PLANALTO ALEGRE','SC',19653,244,193,NULL,NULL,NULL,NULL,4,4),(15,2292491,3.00,4.00,2.00,4.00,8.00,NULL,0.00,0.00,0.00,303,319,NULL,'CENTRO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(15,2292505,0.00,1.00,1.00,5.00,5.00,NULL,3.00,3.00,0.00,102,339,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2292513,3.00,7.00,7.00,8.00,6.00,5.50,4.00,6.00,5.00,203,202,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292521,8.00,7.00,9.00,6.00,9.00,6.25,9.00,6.00,8.00,103,104,NULL,'BUENO','GOIANIA','GO',770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,304,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2292556,2.00,5.00,2.00,1.00,4.00,4.25,3.00,4.00,1.00,103,NULL,NULL,'AREIAS','CAMBORIU','SC',22445,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2292564,0.00,8.00,4.00,4.00,7.00,6.25,7.00,7.00,3.00,208,317,238,'ITACORUBI','FLORIANOPOLIS','SC',11717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,319,NULL,'CENTRO','FORMOSA DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2292580,5.00,7.00,7.00,3.00,7.00,6.50,6.00,6.00,6.00,103,101,NULL,'MARIA LUIZA','CASCAVEL','PR',4996,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2292599,4.00,7.00,4.00,6.00,8.00,6.25,5.00,4.00,4.00,9,215,NULL,'CENTRO','JARAGUA DO SUL','SC',8256,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2292602,2.00,8.00,4.00,0.00,8.00,4.50,3.00,5.00,4.00,404,429,NULL,'TRINDADE','FLORIANOPOLIS','SC',13509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292610,4.00,6.00,2.00,6.00,4.00,5.00,3.00,4.00,2.00,317,208,NULL,'CAMPINAS','SAO JOSE','SC',17414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292637,3.00,6.00,3.00,5.00,7.00,5.75,3.00,5.00,3.00,303,5,NULL,'SÃO CRISTOVÃO','CHAPECO','SC',14126,669,1221,NULL,NULL,NULL,NULL,4,4),(15,2292645,4.00,4.00,1.00,8.00,4.00,4.50,1.00,5.00,4.00,101,420,NULL,'AGUA BRANCA','SAO FRANCISCO DO SUL','SC',17785,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2292653,2.00,5.00,3.00,2.00,5.00,5.25,4.00,2.00,1.00,238,208,NULL,'CENTRO','SAO JOSE','SC',21192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,320,NULL,'LEONOR','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2292670,2.00,4.00,1.00,3.00,2.00,NULL,2.00,2.00,1.00,208,201,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2292688,4.00,5.00,3.00,4.00,7.00,6.00,3.00,6.00,2.00,103,211,NULL,'CENTRO','JOACABA','SC',15335,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2292696,1.00,3.00,3.00,0.00,4.00,NULL,2.00,3.00,1.00,104,319,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2292700,2.00,6.00,1.00,2.00,6.00,4.75,3.00,4.00,2.00,211,333,215,'CENTRO','POCOS DE CALDAS','MG',20115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292718,3.00,4.00,1.00,7.00,8.00,5.00,3.00,2.00,4.00,104,319,NULL,'ESTREITO','FLORIANOPOLIS','SC',16605,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2292726,1.00,5.00,2.00,6.00,5.00,4.25,2.00,5.00,2.00,415,420,NULL,'PRAIA DA META','BALNEARIO ARROIO DO SILVA','SC',20220,515,888,NULL,NULL,NULL,NULL,2,5),(15,2292742,2.00,3.00,3.00,6.00,5.00,5.25,2.00,2.00,3.00,201,316,207,'CENTRO','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2292750,3.00,6.00,4.00,6.00,4.00,5.00,5.00,6.00,2.00,208,420,NULL,'PONTE DO IMARUIM','PALHOCA','SC',14964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2292777,2.00,5.00,1.00,4.00,3.00,5.00,2.00,3.00,3.00,316,NULL,NULL,'BARREIROS','SAO JOSE','SC',20882,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2292785,1.00,6.00,5.00,7.00,4.00,5.50,5.00,5.00,0.00,303,201,NULL,'PINHEIRINHO','RIO NEGRINHO','SC',13705,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2292793,4.00,6.00,3.00,2.00,4.00,2.25,4.00,4.00,2.00,404,444,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292807,6.00,8.00,1.00,2.00,8.00,6.00,7.00,6.00,3.00,108,NULL,NULL,'BELA VISTA','GOIANIA','GO',8589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292823,2.00,5.00,7.00,5.00,8.00,4.75,7.00,5.00,4.00,203,NULL,NULL,'VILA TUPY','REGISTRO','SP',9337,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2292831,6.00,9.00,9.00,9.00,9.00,6.75,9.00,9.00,7.00,103,203,NULL,'CENTRO','FLORIANOPOLIS','SC',83,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292840,3.00,5.00,2.00,6.00,5.00,4.50,2.00,3.00,2.00,444,9,NULL,'SERRARIA','SAO JOSE','SC',19791,237,698,NULL,NULL,NULL,NULL,2,1),(15,2292858,5.00,5.00,3.00,6.00,5.00,5.00,4.00,5.00,4.00,444,303,NULL,'TRINDADE','FLORIANOPOLIS','SC',13204,106,1193,NULL,NULL,NULL,NULL,2,1),(15,2292866,1.00,5.00,0.00,0.00,2.00,NULL,2.00,3.00,3.00,319,425,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2292874,3.00,7.00,3.00,5.00,5.00,4.00,3.00,1.00,4.00,333,NULL,NULL,'CENTRO','SAO BENTO DO SUL','SC',18597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292882,7.00,8.00,8.00,9.00,7.00,8.75,9.00,8.00,8.00,220,222,207,'JARDIM GOIAS','GOIANIA','GO',118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292890,3.00,5.00,3.00,4.00,5.00,5.00,7.00,5.00,3.00,214,212,203,'CENTRO','MOCOCA','SP',15091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292904,3.00,4.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,303,415,NULL,'SANTO ANT DE LISBOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2292912,3.00,5.00,4.00,6.00,5.00,5.50,5.00,4.00,3.00,303,224,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',14496,675,219,NULL,NULL,NULL,NULL,4,1),(15,2292920,3.00,5.00,3.00,4.00,4.00,3.00,5.00,3.00,3.00,303,316,NULL,'ESPLANADA','CAXIAS DO SUL','RS',18516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2292939,4.00,7.00,4.00,5.00,7.00,4.25,7.00,5.00,5.00,316,223,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',9071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2292947,3.00,4.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,324,308,NULL,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',2,1),(15,2292971,3.00,5.00,3.00,6.00,4.00,5.00,6.00,3.00,2.00,316,301,NULL,'CENTRO','LAGES','SC',16555,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2292998,7.00,9.00,9.00,6.00,9.00,7.00,7.00,9.00,6.00,215,426,238,'ITACORUBI','FLORIANOPOLIS','SC',521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2293005,3.00,5.00,0.00,4.00,4.00,5.75,3.00,6.00,2.00,234,501,NULL,'CENTRO','PANAMBI','RS',18318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2293013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,233,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2293021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,102,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2293030,2.00,3.00,3.00,5.00,5.00,3.75,2.00,6.00,2.00,5,415,NULL,'SÃO JOÃO DO RIO VERM','FLORIANOPOLIS','SC',20353,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2293048,2.00,7.00,4.00,5.00,6.00,5.75,5.00,6.00,3.00,301,316,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',10651,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2293056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,425,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2293064,1.00,7.00,2.00,3.00,4.00,6.00,2.00,4.00,3.00,211,501,216,'INTERIOR','IBICARE','SC',18973,660,538,530,NULL,NULL,NULL,2,7),(15,2293072,3.00,6.00,4.00,4.00,6.00,5.25,5.00,6.00,5.00,304,108,NULL,'SÃO CRISTÓVÃO','TURVO','SC',10253,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2293080,1.00,4.00,1.00,2.00,4.00,NULL,2.00,4.00,1.00,207,NULL,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2293099,5.00,6.00,6.00,6.00,8.00,6.25,7.00,6.00,5.00,214,203,233,'CENTRO','ARARANGUA','SC',6626,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2293102,1.00,7.00,4.00,9.00,5.00,4.00,6.00,6.00,3.00,316,327,NULL,'TRINDADE','FLORIANOPOLIS','SC',10956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2293110,3.00,5.00,3.00,3.00,8.00,5.75,4.00,3.00,2.00,103,415,NULL,'CENTRO','LAGES','SC',14862,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2293137,3.00,8.00,6.00,6.00,8.00,5.50,7.00,8.00,6.00,103,108,NULL,'MARIA LUIZA','CASCAVEL','PR',4769,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2293145,0.00,3.00,2.00,3.00,5.00,6.50,3.00,4.00,3.00,207,420,201,'CENTRO','LAGES','SC',20894,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2293153,0.00,6.00,4.00,5.00,6.00,5.75,4.00,7.00,5.00,201,203,212,'PIONEIROS','BALNEARIO CAMBORIU','SC',11918,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2293161,6.00,8.00,5.00,7.00,6.00,4.50,5.00,5.00,4.00,5,329,NULL,'ALTO BENEDITO','BENEDITO NOVO','SC',6468,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2293170,5.00,8.00,5.00,9.00,8.00,4.50,6.00,7.00,3.00,5,326,NULL,'CENTRO','XANXERE','SC',4122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2293188,2.00,6.00,1.00,4.00,7.00,5.50,5.00,5.00,3.00,103,9,NULL,'CENTRO','SANTA HELENA','PR',15912,2713,NULL,NULL,NULL,NULL,NULL,2,1),(15,2293196,5.00,5.00,5.00,4.00,7.00,5.50,6.00,3.00,4.00,104,217,NULL,'CENTRO','JOACABA','SC',9830,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2293200,1.00,1.00,0.00,1.00,4.00,NULL,4.00,4.00,2.00,319,424,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2293218,2.00,7.00,3.00,5.00,8.00,4.75,2.00,5.00,5.00,211,319,216,'CENTRO','SAO BENTO DO SUL','SC',12800,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2293226,1.00,7.00,0.00,2.00,7.00,NULL,2.00,4.00,0.00,201,222,213,'OFICINAS','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2293234,1.00,3.00,0.00,0.00,3.00,NULL,1.00,2.00,0.00,328,101,NULL,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2293242,1.00,4.00,3.00,4.00,6.00,4.50,5.00,5.00,2.00,5,333,NULL,'CENTRO','ANITAPOLIS','SC',18043,749,922,NULL,NULL,NULL,NULL,5,1),(15,2293250,1.00,3.00,3.00,6.00,6.00,4.75,1.00,3.00,3.00,415,420,NULL,'CENTRO','FLORIANOPOLIS','SC',21240,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2293269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,428,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2293277,2.00,4.00,1.00,2.00,5.00,NULL,2.00,1.00,2.00,309,324,NULL,'CENTRO','SAO JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2293285,2.00,4.00,1.00,0.00,7.00,5.50,4.00,3.00,3.00,424,421,423,'SACO DOS LIMOÕES','FLORIANOPOLIS','SC',20537,91,160,89,NULL,NULL,NULL,4,1),(15,2293293,3.00,8.00,1.00,0.00,2.00,NULL,1.00,4.00,3.00,202,203,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2293307,3.00,7.00,2.00,8.00,8.00,5.75,5.00,6.00,2.00,108,316,NULL,'CENTRO','GUABIRUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2293315,2.00,8.00,4.00,5.00,6.00,6.00,4.00,6.00,0.00,327,404,NULL,'INGLESES','FLORIANOPOLIS','SC',13925,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2293323,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,301,425,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2293331,2.00,4.00,4.00,5.00,6.00,5.50,4.00,5.00,2.00,317,324,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',15483,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2293340,4.00,6.00,4.00,3.00,5.00,5.25,4.00,5.00,2.00,212,214,207,'AREIAS','SAO JOSE','SC',14765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2293358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,216,202,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2293374,1.00,5.00,1.00,5.00,4.00,3.75,6.00,5.00,3.00,103,309,NULL,'ITARARÉ','SANTA MARIA','RS',17992,2859,NULL,NULL,NULL,NULL,NULL,2,3),(15,2293382,2.00,4.00,5.00,5.00,7.00,5.50,2.00,6.00,3.00,308,320,NULL,'ESTREITO','FLORIANOPOLIS','SC',15722,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2293390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2293404,2.00,8.00,5.00,6.00,5.00,6.00,4.00,5.00,2.00,211,233,212,'CENTRO','SAO JOAQUIM','SC',13945,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2293412,1.00,4.00,3.00,5.00,3.00,4.00,5.00,3.00,2.00,316,207,NULL,'JARDIM JEQUITIBÁ','MARILIA','SP',20361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2293420,4.00,4.00,2.00,5.00,6.00,5.25,3.00,2.00,1.00,208,203,202,'VILA RICA','CARAZINHO','RS',19674,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2293439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,327,NULL,'LORENZETTI B','MARILIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2293447,3.00,1.00,4.00,4.00,3.00,4.75,3.00,2.00,0.00,5,319,NULL,'SALSEIRO','VIDAL RAMOS','SC',22454,913,994,NULL,NULL,NULL,NULL,2,2),(15,2293455,1.00,5.00,1.00,1.00,4.00,4.50,3.00,4.00,3.00,203,104,215,'LIBERATA','FRAIBURGO','SC',21594,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2293463,5.00,5.00,3.00,8.00,5.00,4.50,2.00,5.00,3.00,316,319,NULL,'SÃO MARCOS','JOINVILLE','SC',13919,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2293471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,333,233,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2293480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD SAO PAULO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2293498,4.00,7.00,6.00,9.00,6.00,5.75,3.00,7.00,4.00,304,318,NULL,'ZONA SETE','MARINGA','PR',6561,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2293501,5.00,5.00,3.00,5.00,7.00,5.00,5.00,4.00,4.00,103,203,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2293510,4.00,7.00,1.00,6.00,7.00,5.75,4.00,6.00,2.00,217,424,NULL,'ITACORUBI','FLORIANOPOLIS','SC',11365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2293528,4.00,8.00,8.00,7.00,7.00,5.75,6.00,5.00,7.00,316,217,NULL,'BELA VISTA','SAO JOSE','SC',3150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2293536,3.00,8.00,7.00,8.00,5.00,5.50,8.00,7.00,7.00,211,216,NULL,'JABAQUARA','SAO PAULO','SP',3540,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2293544,3.00,4.00,1.00,2.00,4.00,4.25,4.00,5.00,4.00,404,444,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2293552,2.00,6.00,4.00,7.00,7.00,6.00,2.00,6.00,2.00,332,320,NULL,'INGLESES','FLORIANOPOLIS','SC',13307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2293560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,427,421,'PASSA VINTE','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2293579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,202,NULL,'NOVA AMÉRICA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2293587,4.00,7.00,5.00,7.00,6.00,5.25,6.00,7.00,3.00,316,333,NULL,'CENTRO','FLORIANOPOLIS','SC',7585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2293595,2.00,5.00,1.00,5.00,3.00,6.50,1.00,7.00,2.00,317,320,NULL,'SÃO LUIS','SAO JOSE','SC',19352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2293609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,9,NULL,'BUTANTÃ','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2293617,4.00,6.00,7.00,7.00,7.00,5.75,6.00,6.00,5.00,319,9,NULL,'VELHA','BLUMENAU','SC',5028,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2293625,2.00,7.00,5.00,7.00,7.00,5.25,5.00,2.00,5.00,222,233,NULL,'MIRANTE DAS ESTRELAS','VINHEDO','SP',10034,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2293633,3.00,6.00,3.00,4.00,6.00,4.75,5.00,4.00,2.00,502,9,NULL,'JD PAULISTA','ATIBAIA','SP',15731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2293641,4.00,5.00,6.00,2.00,6.00,4.00,4.00,4.00,2.00,104,223,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',16822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2293650,2.00,6.00,3.00,1.00,6.00,4.25,4.00,3.00,3.00,203,214,NULL,'LARANJINHA','CRICIUMA','SC',19583,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2293668,3.00,7.00,3.00,6.00,4.00,5.50,3.00,7.00,2.00,102,202,NULL,'CENTRO','PORTO UNIAO','SC',14038,289,893,NULL,NULL,NULL,NULL,2,1),(15,2293676,0.00,4.00,1.00,1.00,4.00,NULL,3.00,3.00,2.00,208,308,215,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2293692,3.00,2.00,4.00,1.00,0.00,NULL,3.00,3.00,2.00,316,215,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2293722,5.00,8.00,3.00,5.00,6.00,5.75,5.00,7.00,3.00,103,108,NULL,'CENTRO','UBIRATA','PR',8069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2293730,6.00,4.00,4.00,1.00,4.00,4.75,5.00,4.00,3.00,203,238,233,'NOVA BRASÍLIA','JOINVILLE','SC',16811,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(15,2293749,3.00,6.00,1.00,4.00,4.00,4.50,4.00,7.00,3.00,303,5,NULL,'JARDIM DA PENHA','VITORIA','ES',15476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2293765,3.00,6.00,1.00,6.00,6.00,5.50,6.00,4.00,4.00,420,NULL,NULL,'BARREIROS','SAO JOSE','SC',12856,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2293773,3.00,3.00,3.00,4.00,4.00,4.50,3.00,3.00,1.00,316,317,NULL,'CAMPECHE','FLORIANOPOLIS','SC',21481,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2293781,6.00,5.00,5.00,9.00,7.00,6.25,3.00,3.00,2.00,319,308,NULL,'SERRARIA','SAO JOSE','SC',10554,177,263,NULL,NULL,NULL,NULL,2,1),(15,2293790,4.00,5.00,4.00,2.00,6.00,4.75,3.00,4.00,3.00,426,NULL,NULL,'CABEÇUDAS','LAGUNA','SC',16718,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2293803,1.00,4.00,4.00,6.00,7.00,4.75,5.00,5.00,4.00,333,234,NULL,'BOTAFOGO','RIO DE JANEIRO','RJ',13716,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2293820,0.00,5.00,0.00,1.00,1.00,NULL,0.00,3.00,0.00,304,301,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2293838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM PANORAMA','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2293846,0.00,6.00,1.00,3.00,2.00,NULL,2.00,4.00,1.00,201,203,212,'CENTRO','PIRATUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2293854,2.00,6.00,2.00,5.00,7.00,5.50,1.00,4.00,3.00,303,104,NULL,'AMIZADE','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2293862,2.00,4.00,1.00,2.00,2.00,NULL,2.00,2.00,3.00,101,NULL,NULL,'BARRANCEIRA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2293870,1.00,3.00,1.00,6.00,5.00,5.00,3.00,4.00,2.00,404,339,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',20899,230,419,NULL,NULL,NULL,NULL,2,1),(15,2293889,3.00,5.00,3.00,7.00,6.00,5.50,6.00,4.00,3.00,451,450,NULL,'JARDIM AMÉRICA','RIO DO SUL','SC',11765,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2293897,5.00,6.00,4.00,8.00,7.00,4.50,6.00,5.00,2.00,103,NULL,NULL,'BATEL','CURITIBA','PR',8745,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2293900,3.00,9.00,4.00,6.00,6.00,5.00,3.00,8.00,1.00,502,501,NULL,'CENTRO','ANGELINA','SC',11302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2293927,2.00,5.00,3.00,4.00,7.00,7.00,2.00,3.00,4.00,415,319,NULL,'CENTRO','FAXINAL DOS GUEDES','SC',16728,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2293935,1.00,5.00,0.00,4.00,6.00,5.50,2.00,3.00,3.00,303,319,NULL,'STO ANTÔNIO DE LISBO','FLORIANOPOLIS','SC',20670,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2293951,2.00,4.00,3.00,2.00,4.00,5.25,3.00,4.00,3.00,201,202,208,'RIO CAVEIRAS','BIGUACU','SC',20938,1083,957,837,NULL,NULL,NULL,4,1),(15,2293960,3.00,6.00,5.00,6.00,6.00,5.25,5.00,6.00,5.00,5,420,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',8403,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2293978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,316,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2294010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,220,203,'JARDIM IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2294036,4.00,8.00,9.00,7.00,8.00,4.00,8.00,8.00,5.00,5,303,NULL,'ESTREITO','FLORIANOPOLIS','SC',1735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294044,7.00,7.00,9.00,6.00,8.00,5.50,9.00,6.00,9.00,103,NULL,NULL,'EMBARE','SANTOS','SP',1210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294060,2.00,3.00,3.00,4.00,4.00,4.75,4.00,5.00,0.00,212,101,207,'BEIRA RIO','SAO LUDGERO','SC',21547,418,770,1011,NULL,NULL,NULL,2,10),(15,2294087,4.00,7.00,4.00,5.00,7.00,6.00,4.00,4.00,5.00,104,102,NULL,'NAÇÕES','BALNEARIO CAMBORIU','SC',8642,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2294095,1.00,1.00,1.00,5.00,4.00,4.50,4.00,4.00,2.00,214,208,233,'RIO MAINA','CRICIUMA','SC',22222,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2294109,4.00,8.00,8.00,7.00,7.00,7.00,8.00,9.00,4.00,303,301,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',2067,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2294117,5.00,9.00,6.00,9.00,9.00,6.50,7.00,9.00,6.00,5,104,NULL,'PRESIDENTE MÉDICI','CHAPECO','SC',1063,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2294125,2.00,4.00,0.00,3.00,2.00,NULL,2.00,2.00,1.00,5,303,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2294133,3.00,7.00,3.00,5.00,5.00,4.25,1.00,3.00,2.00,103,319,NULL,'CENTRO','FLORIANOPOLIS','SC',19140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294141,1.00,6.00,4.00,7.00,4.00,4.75,4.00,3.00,1.00,316,501,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',18549,544,530,NULL,NULL,NULL,NULL,1,1),(15,2294150,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,238,421,233,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2294168,3.00,5.00,0.00,4.00,7.00,4.50,3.00,3.00,2.00,339,501,NULL,'VILA LALAU','JARAGUA DO SUL','SC',19941,117,556,NULL,NULL,NULL,NULL,2,1),(15,2294176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,327,NULL,'ASA NORTE','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2294184,0.00,4.00,3.00,6.00,3.00,4.50,1.00,5.00,4.00,238,9,208,'ITACORUBI','FLORIANOPOLIS','SC',20080,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2294192,2.00,6.00,0.00,6.00,5.00,4.75,3.00,2.00,2.00,301,310,NULL,'ITACORUBI','FLORIANOPOLIS','SC',20340,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2294206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,213,208,'SETOR BUENO','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2294214,2.00,6.00,3.00,4.00,4.00,6.00,4.00,6.00,2.00,426,NULL,423,'RESSACADA','ITAJAI','SC',16548,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2294222,2.00,3.00,1.00,0.00,4.00,NULL,4.00,4.00,0.00,424,426,423,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294230,6.00,8.00,4.00,6.00,8.00,7.50,4.00,7.00,2.00,207,420,201,'CENTRO','FLORIANOPOLIS','SC',6304,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2294249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,303,238,'DEMARCHI','SAO BERNARDO DO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2294257,4.00,5.00,3.00,3.00,4.00,6.00,5.00,3.00,2.00,102,216,NULL,'VILA ITOUPAVA','BLUMENAU','SC',17966,395,797,NULL,NULL,NULL,NULL,4,2),(15,2294265,4.00,7.00,2.00,5.00,6.00,5.00,4.00,6.00,2.00,213,224,238,'INGLESES','FLORIANOPOLIS','SC',13630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2294273,4.00,4.00,6.00,4.00,6.00,3.50,5.00,4.00,2.00,302,222,NULL,'FAZENDA DO MAX','SAO JOSE','SC',15365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294281,1.00,5.00,4.00,4.00,7.00,5.00,2.00,1.00,4.00,9,215,NULL,'CENTRO','FLORIANOPOLIS','SC',19703,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2294311,1.00,4.00,3.00,5.00,6.00,5.25,3.00,3.00,3.00,207,301,212,'ÁGUA VERDE','BLUMENAU','SC',19657,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2294320,3.00,5.00,1.00,3.00,3.00,5.75,2.00,3.00,2.00,339,324,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',21354,151,427,NULL,NULL,NULL,NULL,2,1),(15,2294338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DUARTE','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2294346,4.00,7.00,6.00,5.00,9.00,5.50,7.00,7.00,4.00,201,220,212,'CENTRO','IOMERE','SC',5134,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2294354,4.00,3.00,4.00,5.00,5.00,4.00,2.00,2.00,2.00,450,451,NULL,'ABRAÃO','FLORIANOPOLIS','SC',19723,187,280,NULL,NULL,NULL,NULL,2,1),(15,2294362,4.00,7.00,5.00,8.00,6.00,5.25,6.00,5.00,6.00,301,316,NULL,'SANTANA','SAO PAULO','SP',7374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294370,4.00,7.00,1.00,2.00,5.00,5.00,3.00,3.00,2.00,415,211,NULL,'DIVINÉIA','ARARANGUA','SC',19936,507,1005,NULL,NULL,NULL,NULL,4,5),(15,2294389,4.00,7.00,4.00,7.00,6.00,6.50,4.00,4.00,2.00,425,420,423,'BOM ABRIGO','FLORIANOPOLIS','SC',11471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2294400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'FLORESTA','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2294419,2.00,3.00,1.00,1.00,1.00,NULL,2.00,2.00,1.00,104,207,NULL,'CENTRO','FAXINAL DOS GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2294427,4.00,7.00,4.00,8.00,5.00,3.75,6.00,7.00,2.00,303,5,NULL,'CENTRO','JOINVILLE','SC',8583,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2294435,3.00,6.00,1.00,4.00,2.00,NULL,3.00,2.00,3.00,213,214,211,'PRESIDENTE MEDICE','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2294443,4.00,4.00,2.00,4.00,6.00,6.50,4.00,3.00,2.00,234,302,NULL,'COQUEIROS','FLORIANOPOLIS','SC',17445,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2294451,5.00,8.00,7.00,5.00,7.00,7.00,6.00,5.00,5.00,203,201,214,'CENTRO','RIO DO SUL','SC',4193,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2294460,1.00,5.00,1.00,4.00,5.00,4.50,2.00,5.00,2.00,319,303,NULL,'TRINTA RÉIS','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2294478,6.00,6.00,4.00,2.00,6.00,6.00,5.00,5.00,2.00,103,101,NULL,'BAEPENDI','JARAGUA DO SUL','SC',13311,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2294486,4.00,6.00,5.00,6.00,7.00,3.75,4.00,7.00,3.00,103,216,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',10397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294494,3.00,7.00,3.00,7.00,5.00,5.75,4.00,4.00,2.00,103,NULL,NULL,'HUGO LANGE','CURITIBA','PR',13862,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2294508,5.00,4.00,4.00,8.00,7.00,7.50,4.00,7.00,3.00,501,NULL,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',8084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294516,4.00,6.00,3.00,1.00,6.00,5.00,5.00,2.00,5.00,216,208,233,'CAPOEIRAS','FLORIANOPOLIS','SC',15808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294524,4.00,2.00,3.00,3.00,6.00,5.75,2.00,3.00,2.00,415,451,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',19985,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2294532,2.00,7.00,3.00,4.00,5.00,5.75,2.00,6.00,2.00,303,217,NULL,'DNER','CACADOR','SC',16266,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2294540,2.00,8.00,4.00,8.00,4.00,5.25,4.00,6.00,5.00,301,425,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294559,3.00,8.00,4.00,9.00,6.00,6.00,8.00,9.00,2.00,203,501,201,'CHAMPAGNAT','GETULIO VARGAS','RS',5193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294567,4.00,8.00,3.00,8.00,7.00,6.25,5.00,5.00,4.00,303,319,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',7944,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2294575,1.00,6.00,4.00,0.00,4.00,5.00,4.00,4.00,2.00,203,216,NULL,'AVENTUREIRO','JOINVILLE','SC',20141,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2294583,6.00,6.00,3.00,3.00,6.00,5.25,5.00,7.00,2.00,207,NULL,208,'FATIMA','FLORIANOPOLIS','SC',11527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,502,201,'CENTRO','LEBON REGIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2294605,4.00,8.00,4.00,3.00,5.00,4.75,5.00,7.00,5.00,103,333,NULL,'CENTRO','RIO DO SUL','SC',10461,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2294613,1.00,3.00,1.00,2.00,4.00,6.25,3.00,7.00,4.00,103,5,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294621,4.00,5.00,4.00,5.00,7.00,3.50,3.00,4.00,3.00,415,203,NULL,'TUCURUVI','SAO PAULO','SP',16459,412,1407,NULL,NULL,NULL,NULL,2,1),(15,2294630,2.00,7.00,3.00,7.00,6.00,7.00,2.00,6.00,3.00,215,2,211,'SÃO CRISTÓVÃO','VIDEIRA','SC',11424,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2294648,3.00,6.00,4.00,7.00,6.00,7.50,3.00,4.00,2.00,207,9,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294672,4.00,7.00,2.00,6.00,6.00,7.00,5.00,6.00,4.00,415,103,NULL,'NAÇOES','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2294680,3.00,6.00,4.00,8.00,6.00,6.00,6.00,3.00,4.00,217,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',10265,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2294699,4.00,6.00,3.00,7.00,8.00,6.00,5.00,4.00,3.00,319,103,NULL,'VILA LENZI','JARAGUA DO SUL','SC',9981,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2294702,3.00,7.00,5.00,5.00,6.00,5.25,7.00,4.00,2.00,303,5,NULL,'BOSQUE DAS MANSÕES','SAO JOSE','SC',9907,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2294729,3.00,7.00,0.00,3.00,7.00,5.00,2.00,5.00,2.00,302,308,NULL,'PASSA VINTE','PALHOCA','SC',18812,157,401,NULL,NULL,NULL,NULL,2,1),(15,2294737,2.00,7.00,3.00,4.00,5.00,4.50,3.00,7.00,5.00,318,317,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2294745,3.00,7.00,4.00,4.00,8.00,6.50,6.00,7.00,3.00,404,225,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',7757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,5,NULL,'SAGAUÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2294761,5.00,8.00,6.00,1.00,9.00,4.75,7.00,5.00,3.00,415,207,NULL,'TRINDADE','FLORIANOPOLIS','SC',8504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294770,3.00,7.00,1.00,6.00,4.00,5.00,1.00,2.00,4.00,108,502,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',19671,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2294788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,301,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2294796,0.00,1.00,3.00,5.00,5.00,NULL,0.00,5.00,2.00,211,9,202,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2294800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,215,201,'CENTRO','JOACABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2294826,3.00,5.00,1.00,5.00,4.00,6.00,4.00,5.00,4.00,103,101,NULL,'CENTRO','FAXINAL DOS GUEDES','SC',16725,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2294834,3.00,3.00,5.00,5.00,3.00,6.50,2.00,4.00,3.00,308,423,NULL,'ARMAÇÃO P DO SUL','FLORIANOPOLIS','SC',17188,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2294842,6.00,8.00,6.00,9.00,7.00,9.50,8.00,6.00,6.00,302,304,NULL,'CENTRO','FLORIANOPOLIS','SC',1497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294850,5.00,4.00,0.00,5.00,7.00,3.00,2.00,3.00,2.00,101,316,NULL,'CENTRO','CHAPECO','SC',19458,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2294869,5.00,9.00,8.00,4.00,8.00,4.75,8.00,7.00,6.00,202,5,208,'PROGRESSO','BLUMENAU','SC',2866,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2294885,7.00,8.00,7.00,7.00,8.00,5.75,7.00,9.00,5.00,203,222,202,'CORREGO GRANDE','FLORIANOPOLIS','SC',1736,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2294893,1.00,3.00,2.00,1.00,3.00,NULL,3.00,2.00,1.00,9,420,NULL,'CIDADE ALTA','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2294907,3.00,6.00,2.00,3.00,3.00,7.00,2.00,6.00,1.00,426,103,429,'AREIAS','SAO JOSE','SC',18658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294915,5.00,6.00,3.00,7.00,8.00,5.50,5.00,7.00,2.00,326,327,NULL,'NAVEGANTES','LAGUNA','SC',6897,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2294923,3.00,7.00,6.00,9.00,8.00,7.75,5.00,5.00,5.00,215,102,NULL,'BOTAFOGO','CAMPINAS','SP',5368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294931,3.00,8.00,2.00,3.00,6.00,5.75,3.00,4.00,4.00,103,102,NULL,'VILA MARINA','TAIO','SC',16216,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2294940,1.00,1.00,1.00,2.00,4.00,NULL,3.00,2.00,3.00,327,415,NULL,'SÃO JOSE','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2294958,3.00,5.00,4.00,3.00,4.00,5.50,6.00,6.00,4.00,339,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',14104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2294966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,316,212,'TARUMÃ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2294974,3.00,6.00,2.00,3.00,8.00,6.50,5.00,3.00,2.00,317,302,NULL,'N S DO ROSÁRIO','SAO JOSE','SC',15082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2294982,1.00,2.00,2.00,0.00,2.00,NULL,1.00,3.00,2.00,309,339,NULL,'SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2295008,4.00,5.00,5.00,5.00,4.00,4.25,3.00,4.00,1.00,317,339,NULL,'ARIRIU','PALHOCA','SC',18399,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2295016,3.00,7.00,4.00,5.00,6.00,6.00,3.00,6.00,4.00,317,333,NULL,'PARQUE MINUANO','PORTO ALEGRE','RS',10199,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2295024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,332,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2295032,3.00,6.00,5.00,7.00,5.00,3.75,3.00,4.00,4.00,333,203,NULL,'HUMAITA','TUBARAO','SC',13584,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2295040,3.00,6.00,1.00,2.00,4.00,6.00,2.00,5.00,3.00,101,9,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2295059,2.00,7.00,6.00,6.00,6.00,5.50,4.00,4.00,1.00,201,329,233,'BELLA VISTA','CAXIAS DO SUL','RS',13881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2295075,3.00,4.00,5.00,4.00,7.00,5.50,5.00,4.00,3.00,420,333,NULL,'SANTA BÁRBARA','CRICIUMA','SC',12229,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2295083,3.00,7.00,6.00,6.00,7.00,5.50,5.00,6.00,4.00,303,NULL,NULL,'PETRÓPOLIS','JOINVILLE','SC',6903,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2295091,5.00,7.00,4.00,7.00,8.00,6.25,6.00,7.00,3.00,233,2,214,'JARDIM AMAURI','ASSIS','SP',5523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295105,3.00,8.00,4.00,7.00,7.00,5.00,6.00,7.00,1.00,203,215,214,'TARUMÃ','CURITIBA','PR',7475,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2295148,2.00,6.00,3.00,6.00,8.00,6.25,5.00,3.00,2.00,201,NULL,212,'CENTRO','BRUSQUE','SC',14285,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2295164,3.00,5.00,6.00,2.00,3.00,6.50,2.00,4.00,3.00,217,302,NULL,'CENTRO','CRICIUMA','SC',18433,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2295172,3.00,5.00,4.00,2.00,6.00,5.00,6.00,5.00,2.00,220,201,203,'JARDIM DAS ACÁCIAS','CRAVINHOS','SP',14750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295180,1.00,5.00,3.00,0.00,5.00,NULL,2.00,4.00,1.00,9,301,NULL,'CENTRO','CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2295199,3.00,6.00,7.00,6.00,8.00,8.00,7.00,7.00,4.00,238,223,208,'NOVA ERA','SALTO','SP',4642,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2295202,2.00,4.00,2.00,4.00,7.00,5.75,3.00,4.00,2.00,309,324,NULL,'ESTREITO','FLORIANOPOLIS','SC',18565,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2295210,2.00,8.00,1.00,3.00,6.00,6.00,1.00,7.00,2.00,213,324,238,'INGLESES','FLORIANOPOLIS','SC',16309,267,268,606,NULL,NULL,NULL,4,1),(15,2295237,4.00,6.00,3.00,5.00,5.00,6.00,4.00,6.00,3.00,203,202,214,'CENTRO','PIRAI DO SUL','PR',12427,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2295245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,404,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2295253,4.00,6.00,4.00,7.00,7.00,6.75,4.00,7.00,5.00,319,310,NULL,'TATUAPÉ','SAO PAULO','SP',7373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295261,3.00,4.00,6.00,3.00,8.00,2.50,5.00,4.00,4.00,201,203,212,'SÃO CRISTÓVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2295270,2.00,8.00,1.00,5.00,6.00,6.00,3.00,6.00,1.00,426,308,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',16964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2295288,6.00,7.00,6.00,7.00,9.00,5.75,8.00,8.00,7.00,103,208,NULL,'CENTRO','PARACATU','MG',2177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295296,3.00,6.00,2.00,2.00,3.00,4.00,3.00,5.00,2.00,332,NULL,NULL,'PADRE MARTINHO STEIN','TIMBO','SC',21613,144,NULL,NULL,NULL,NULL,NULL,2,2),(15,2295300,6.00,9.00,6.00,8.00,8.00,7.00,7.00,8.00,5.00,331,108,NULL,'CENTRO','FLORIANOPOLIS','SC',1387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295318,7.00,8.00,8.00,4.00,8.00,5.50,7.00,7.00,4.00,301,316,NULL,'FAZENDA','ITAJAI','SC',3870,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2295326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'NOVO HORIZONTE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2295334,3.00,5.00,2.00,5.00,4.00,5.25,2.00,4.00,1.00,308,426,NULL,'CENTRO','FLORIANOPOLIS','SC',19332,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2295342,5.00,8.00,3.00,4.00,7.00,6.50,4.00,7.00,2.00,5,NULL,NULL,'CENTRO','PAPANDUVA','SC',10095,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2295369,5.00,6.00,6.00,5.00,5.00,7.25,8.00,5.00,4.00,301,303,NULL,'CENTRO','FLORIANOPOLIS','SC',6668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295377,2.00,5.00,5.00,3.00,4.00,5.25,3.00,3.00,3.00,318,317,NULL,'CAMPINAS','SAO JOSE','SC',18744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295385,8.00,9.00,8.00,9.00,6.00,7.00,9.00,7.00,8.00,103,NULL,NULL,'CENTRO','ITAPECERICA DA SERRA','SP',287,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2295393,2.00,3.00,3.00,4.00,4.00,6.00,2.00,2.00,3.00,207,216,202,'CENTRO','XANXERE','SC',21261,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2295407,3.00,6.00,4.00,7.00,8.00,6.00,4.00,5.00,2.00,220,238,207,'CENTRO','POMERODE','SC',9932,406,890,478,NULL,NULL,NULL,4,2),(15,2295415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,415,NULL,'PONTE DO IMARUIN','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2295423,6.00,7.00,4.00,5.00,7.00,5.50,6.00,6.00,3.00,103,NULL,NULL,'CAMPINAS','SAO JOSE','SC',7495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,316,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2295466,5.00,9.00,4.00,9.00,8.00,6.75,7.00,9.00,3.00,5,303,NULL,'PANTANAL','FLORIANOPOLIS','SC',2394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295474,9.00,8.00,8.00,5.00,8.00,5.25,9.00,6.00,8.00,103,301,NULL,'CENTRO','SAO JOAO DA BOA VISTA','SP',1312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295482,3.00,4.00,3.00,3.00,3.00,5.50,4.00,3.00,4.00,303,104,NULL,'UNIVERSITARIO','CHAPECO','SC',18936,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2295490,0.00,3.00,3.00,3.00,5.00,NULL,3.00,2.00,2.00,101,102,NULL,'CENTRO','BOM JARDIM DA SERRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2295512,8.00,9.00,8.00,9.00,8.00,8.25,8.00,9.00,7.00,103,9,NULL,'CENTRO','CAXIAS DO SUL','RS',222,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2295520,2.00,4.00,1.00,1.00,5.00,6.00,4.00,6.00,2.00,319,308,NULL,'CENTRO','MARAVILHA','SC',20641,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2295539,3.00,7.00,4.00,9.00,8.00,7.00,7.00,5.00,5.00,5,316,NULL,'CENTRO','FLORIANOPOLIS','SC',4287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295547,4.00,7.00,3.00,7.00,5.00,5.25,5.00,3.00,2.00,404,331,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',12682,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2295555,5.00,7.00,9.00,8.00,7.00,6.25,7.00,7.00,6.00,214,316,212,'CENTRO','VOTUPORANGA','SP',2785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295563,3.00,3.00,1.00,5.00,6.00,5.50,4.00,4.00,2.00,101,444,NULL,'FORQUILHINHAS','SAO JOSE','SC',19183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2295580,1.00,7.00,4.00,5.00,6.00,5.00,5.00,5.00,4.00,211,331,202,'CENTRO','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2295598,3.00,6.00,2.00,6.00,7.00,6.25,3.00,5.00,3.00,316,318,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',14140,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2295601,3.00,7.00,4.00,8.00,6.00,6.50,5.00,5.00,3.00,103,415,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2295610,2.00,5.00,2.00,0.00,4.00,4.50,3.00,4.00,3.00,5,319,NULL,'CENTRO','TRES DE MAIO','RS',21694,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2295628,4.00,7.00,4.00,7.00,5.00,5.00,4.00,5.00,3.00,310,415,NULL,'CAMPECHE','FLORIANOPOLIS','SC',11227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295636,3.00,5.00,2.00,3.00,5.00,4.50,3.00,5.00,2.00,339,101,NULL,'IPIRANGA','SAO JOSE','SC',20041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2295644,4.00,7.00,4.00,8.00,8.00,5.75,5.00,4.00,1.00,207,223,201,'VILA NOVA','IMBITUBA','SC',11185,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2295652,2.00,4.00,4.00,2.00,6.00,6.25,4.00,4.00,2.00,415,450,NULL,'ÁGUA BRANCA','SAO FRANCISCO DO SUL','SC',19152,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2295687,2.00,4.00,1.00,0.00,7.00,NULL,5.00,3.00,3.00,103,303,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2295695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2295709,5.00,6.00,1.00,6.00,8.00,5.50,3.00,4.00,4.00,429,424,425,'CENTRO','SAO MIGUEL DOESTE','SC',12992,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2295717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,333,NULL,'PALMITAL','PARANAGUA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2295733,2.00,5.00,4.00,2.00,3.00,3.50,2.00,4.00,3.00,317,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',21809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2295741,1.00,7.00,4.00,1.00,7.00,5.75,5.00,2.00,1.00,101,308,NULL,'BELA VISTA','SAO JOSE','SC',19462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295750,3.00,3.00,1.00,6.00,5.00,3.00,2.00,4.00,1.00,308,301,NULL,'COSTEIRA','FLORIANOPOLIS','SC',21969,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2295768,5.00,6.00,4.00,7.00,8.00,6.25,4.00,5.00,3.00,303,415,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',8054,449,641,NULL,NULL,NULL,NULL,3,1),(15,2295776,1.00,8.00,6.00,6.00,9.00,7.00,6.00,7.00,3.00,102,215,NULL,'NOVA PETRÓPOLIS','SAO BERNARDO DO CAMPO','SP',5807,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2295784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,329,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2295792,3.00,4.00,5.00,1.00,6.00,5.50,4.00,3.00,4.00,104,215,NULL,'SAO GERALDO','IJUI','RS',17330,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2295806,4.00,6.00,5.00,2.00,7.00,2.00,5.00,5.00,4.00,450,333,NULL,'BARRA DO ARIRIÚ','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,5,212,'TAGUATINGA NORTE','TAGUATINGA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2295822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,501,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2295857,2.00,7.00,2.00,2.00,7.00,5.25,4.00,6.00,2.00,420,207,NULL,'GLÓRIA','JOINVILLE','SC',15527,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2295865,2.00,8.00,6.00,5.00,5.00,4.00,6.00,7.00,2.00,332,238,NULL,'BARRA DO ARIRIU','PALHOCA','SC',10854,35,901,NULL,NULL,NULL,NULL,2,1),(15,2295873,1.00,5.00,1.00,5.00,7.00,3.00,3.00,4.00,3.00,9,NULL,NULL,'BARREIROS','SAO JOSE','SC',19097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295881,2.00,5.00,0.00,3.00,3.00,5.50,4.00,3.00,3.00,415,5,NULL,'VILA ZULEIMA','CRICIUMA','SC',21400,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2295890,2.00,3.00,2.00,0.00,3.00,NULL,3.00,3.00,1.00,5,444,NULL,'INDEPENDÊNCIA','TAUBATE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295903,0.00,4.00,2.00,3.00,3.00,4.75,2.00,2.00,3.00,320,318,NULL,'PALMAS','GOVERNADOR CELSO RAMOS','SC',22500,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2295938,2.00,7.00,6.00,9.00,8.00,6.00,5.00,6.00,3.00,220,203,233,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295946,3.00,8.00,1.00,0.00,4.00,5.25,2.00,3.00,2.00,302,NULL,NULL,'BARREIROS','SAO JOSE','SC',21494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295954,4.00,4.00,3.00,5.00,5.00,6.00,4.00,4.00,4.00,103,NULL,NULL,'CENTRO','CRICIUMA','SC',14825,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2295962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2295970,1.00,5.00,1.00,2.00,4.00,NULL,4.00,2.00,1.00,404,NULL,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2295989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AVELINO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2295997,3.00,7.00,2.00,7.00,7.00,5.00,7.00,7.00,5.00,238,333,233,'TRINDADE','FLORIANOPOLIS','SC',7510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296004,4.00,7.00,3.00,4.00,7.00,6.00,5.00,7.00,3.00,444,316,NULL,'ANDORINHA','ITAPEMA','SC',10587,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2296012,4.00,5.00,0.00,1.00,3.00,NULL,1.00,4.00,1.00,444,331,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2296020,2.00,6.00,2.00,1.00,6.00,5.00,3.00,4.00,3.00,211,102,NULL,'CENTRO','DESCANSO','SC',18833,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2296039,6.00,8.00,9.00,2.00,7.00,6.50,9.00,7.00,9.00,103,NULL,NULL,'CENTRO','RIBEIRAO PRETO','SP',1711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296047,2.00,5.00,3.00,7.00,6.00,6.00,2.00,2.00,4.00,303,5,NULL,'CENTRO','JOACABA','SC',16739,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2296063,3.00,8.00,2.00,1.00,4.00,6.00,3.00,5.00,3.00,104,208,NULL,'VOLTA REDONDA','ARAQUARI','SC',16267,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2296071,4.00,6.00,3.00,3.00,6.00,3.25,4.00,2.00,2.00,108,215,NULL,'CENTRO','TAUBATE','SP',19708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,215,NULL,'CENTRO','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2296101,4.00,5.00,2.00,4.00,3.00,5.50,7.00,5.00,2.00,220,5,201,'BARREIROS','SAO JOSE','SC',15310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2296110,4.00,7.00,6.00,8.00,9.00,6.00,6.00,5.00,5.00,103,101,NULL,'PQ DA FIGUEIRA','PAULINIA','SP',4281,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2296128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,328,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2296136,3.00,6.00,1.00,8.00,3.00,6.00,2.00,4.00,2.00,415,308,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',18478,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2296144,2.00,9.00,4.00,6.00,6.00,5.00,6.00,6.00,5.00,317,304,NULL,'CENTRO','FLORIANOPOLIS','SC',8270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296152,1.00,6.00,3.00,6.00,5.00,6.00,4.00,6.00,2.00,415,426,NULL,'VILA LOURO','EMBU GUACU','SP',15149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296160,0.00,2.00,2.00,0.00,2.00,NULL,3.00,2.00,3.00,104,420,NULL,'NOVA BRASÍLIA','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2296179,3.00,5.00,3.00,4.00,5.00,3.00,3.00,4.00,2.00,310,329,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',20581,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2296187,7.00,7.00,7.00,9.00,7.00,5.50,6.00,7.00,5.00,333,415,NULL,'MARACANÃ','RIO DE JANEIRO','RJ',3111,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2296195,4.00,4.00,4.00,2.00,5.00,3.00,4.00,6.00,3.00,215,102,211,'FLORESTA','JOINVILLE','SC',17971,357,1026,627,NULL,NULL,NULL,4,8),(15,2296209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,420,NULL,'AFONSO PENA','SAO JOSE DOS PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2296217,1.00,5.00,2.00,3.00,5.00,3.00,5.00,3.00,4.00,303,9,NULL,'COLONINHA','ARARANGUA','SC',20217,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2296225,4.00,7.00,5.00,5.00,4.00,6.50,7.00,5.00,3.00,238,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',10183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296241,3.00,7.00,2.00,3.00,5.00,5.75,5.00,6.00,3.00,425,329,423,'COQUEIROS','FLORIANOPOLIS','SC',13830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'JARDIM LAVINIA','SAO BERNARDO DO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2296268,5.00,7.00,7.00,5.00,8.00,5.50,5.00,5.00,4.00,303,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',6564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296276,4.00,7.00,5.00,4.00,5.00,4.25,7.00,5.00,4.00,215,211,216,'CENTRO','FRUTAL','MG',12037,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2296284,2.00,4.00,3.00,5.00,7.00,5.00,2.00,6.00,2.00,404,238,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',17720,157,978,NULL,NULL,NULL,NULL,2,1),(15,2296292,3.00,4.00,4.00,6.00,5.00,7.50,2.00,5.00,2.00,207,316,208,'BALNEÁRIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2296306,4.00,7.00,2.00,7.00,7.00,5.75,4.00,6.00,3.00,450,424,NULL,'LAGOA DA CONCEICAO','FLORIANOPOLIS','SC',11060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296314,2.00,5.00,3.00,3.00,2.00,NULL,5.00,5.00,3.00,207,333,211,'CENTRO','SAO MIGUEL DO IGUACU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2296322,2.00,4.00,2.00,4.00,4.00,5.00,2.00,4.00,4.00,404,308,NULL,'PEDRA BRANCA','SAO JOSE','SC',20711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2296330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,332,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2296349,4.00,6.00,1.00,6.00,5.00,4.50,4.00,3.00,3.00,333,331,NULL,'PINHEIRO','POUSO REDONDO','SC',14664,219,173,NULL,NULL,NULL,NULL,2,2),(15,2296357,6.00,8.00,7.00,8.00,8.00,6.50,9.00,8.00,8.00,103,NULL,NULL,'VILA BUARQUE','SAO PAULO','SP',596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296365,4.00,7.00,3.00,7.00,7.00,3.00,4.00,4.00,2.00,103,214,NULL,'TUCURUVI','SAO PAULO','SP',13835,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2296373,3.00,4.00,2.00,4.00,7.00,4.50,5.00,3.00,1.00,301,420,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',17750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296390,3.00,7.00,5.00,2.00,4.00,4.50,4.00,6.00,2.00,404,332,NULL,'CAMINHO NOVO','PALHOCA','SC',16765,141,277,NULL,NULL,NULL,NULL,2,1),(15,2296403,1.00,6.00,5.00,5.00,3.00,4.25,4.00,7.00,2.00,208,233,202,'CENTRO','PALHOCA','SC',17189,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2296411,2.00,8.00,4.00,0.00,4.00,7.25,3.00,6.00,2.00,203,450,202,'CAMPINAS','SAO JOSE','SC',16722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296420,4.00,8.00,2.00,8.00,7.00,7.75,2.00,9.00,3.00,415,429,NULL,'BEATRIZ','LAGES','SC',7172,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2296438,4.00,6.00,4.00,9.00,8.00,7.50,7.00,6.00,6.00,5,303,NULL,'CENTRO','CAXIAS DO SUL','RS',4031,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2296446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REI','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2296454,2.00,5.00,3.00,3.00,4.00,6.00,2.00,2.00,1.00,429,NULL,NULL,'INGLESES','FLORIANOPOLIS','SC',21878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296462,5.00,8.00,4.00,8.00,5.00,5.50,5.00,6.00,2.00,404,444,NULL,'COQUEIROS','FLORIANOPOLIS','SC',9139,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2296470,2.00,5.00,2.00,4.00,4.00,3.00,2.00,5.00,2.00,444,316,NULL,'PEREQUE','PORTO BELO','SC',21312,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2296489,4.00,7.00,7.00,5.00,5.00,5.25,7.00,5.00,3.00,316,211,NULL,'FAZENDA SANTO ANTÔNI','SAO JOSE','SC',8154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296497,2.00,7.00,3.00,6.00,9.00,5.75,4.00,4.00,5.00,444,309,NULL,'BELA VISTA','SAO JOSE','SC',10902,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2296500,3.00,6.00,3.00,6.00,8.00,6.25,4.00,3.00,5.00,102,318,NULL,'CENTRO','CRICIUMA','SC',10789,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2296519,4.00,8.00,4.00,5.00,7.00,6.25,8.00,5.00,6.00,238,301,208,'NOSSA SRA DO ROSÁRIO','SAO JOSE','SC',4916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296527,4.00,5.00,0.00,3.00,4.00,4.75,2.00,2.00,2.00,207,420,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',21884,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2296535,5.00,5.00,4.00,7.00,5.00,5.25,2.00,4.00,3.00,301,303,NULL,'JD ANCHIETA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296543,1.00,8.00,4.00,6.00,6.00,7.00,8.00,7.00,2.00,5,329,NULL,'PONTA DE BAIXO','SAO JOSE','SC',8277,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2296551,5.00,9.00,4.00,6.00,7.00,5.75,7.00,6.00,4.00,303,327,NULL,'CENTRO','ARARANGUA','SC',6376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296560,4.00,9.00,6.00,8.00,7.00,6.00,4.00,7.00,5.00,420,450,NULL,'ESTREITO','FLORIANOPOLIS','SC',4022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296578,4.00,8.00,4.00,4.00,8.00,5.25,8.00,6.00,3.00,331,326,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',6743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296586,6.00,6.00,8.00,9.00,7.00,6.50,9.00,7.00,7.00,211,103,202,'PETRÓPOLIS','PORTO ALEGRE','RS',1547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296594,3.00,6.00,4.00,3.00,6.00,4.00,4.00,4.00,2.00,234,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',16930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296608,4.00,7.00,4.00,6.00,7.00,4.75,6.00,5.00,4.00,213,233,214,'CENTRO','JARAGUA DO SUL','SC',9864,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2296616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,318,NULL,'VARGINHA','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2296624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,223,NULL,'VILA DOZE','ANTONIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2296632,5.00,7.00,5.00,4.00,8.00,5.00,5.00,6.00,5.00,103,501,NULL,'CENTRO','APUCARANA','PR',7000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,220,NULL,'CENTRO','PONTE ALTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2296659,3.00,7.00,4.00,4.00,8.00,7.50,3.00,2.00,2.00,207,301,201,'CENTRO','FLORIANOPOLIS','SC',15690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2296667,1.00,5.00,3.00,4.00,6.00,4.50,3.00,6.00,2.00,208,NULL,238,'NOSSA SENHORA APAREC','FRANCISCO BELTRAO','PR',17753,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2296675,4.00,7.00,0.00,4.00,7.00,6.00,6.00,4.00,2.00,324,429,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',15222,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2296683,4.00,4.00,3.00,4.00,5.00,5.25,5.00,1.00,2.00,207,429,201,'SALETE','SAO MIGUEL DOESTE','SC',19607,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2296705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,225,220,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2296713,5.00,4.00,2.00,3.00,5.00,6.00,5.00,6.00,2.00,212,326,220,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296721,2.00,5.00,1.00,3.00,4.00,NULL,2.00,2.00,1.00,444,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2296730,5.00,8.00,3.00,6.00,5.00,6.50,5.00,6.00,2.00,427,333,424,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',10515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296748,4.00,6.00,4.00,8.00,5.00,6.75,7.00,5.00,2.00,301,304,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296756,1.00,5.00,4.00,1.00,6.00,4.50,3.00,4.00,2.00,103,211,NULL,'CENTRO','JARAGUA DO SUL','SC',19810,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2296764,1.00,6.00,1.00,6.00,6.00,4.00,4.00,4.00,2.00,415,450,NULL,'CENTRO','LAGES','SC',18438,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2296772,4.00,4.00,3.00,4.00,4.00,5.75,3.00,4.00,1.00,104,415,NULL,'ITAIPAVA','ITAJAI','SC',20089,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2296780,7.00,8.00,8.00,8.00,7.00,6.50,9.00,6.00,6.00,207,420,NULL,'CHÁCARA STO ANTÔNIO','SAO PAULO','SP',1161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296799,3.00,6.00,2.00,4.00,6.00,5.75,3.00,6.00,1.00,319,301,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296802,2.00,5.00,2.00,3.00,3.00,5.75,3.00,3.00,5.00,207,420,220,'DOS ESTADOS','BALNEARIO CAMBORIU','SC',19971,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2296810,4.00,4.00,6.00,0.00,5.00,1.75,5.00,4.00,1.00,301,404,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296837,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,201,316,203,'SETE DE SETEMBRO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(15,2296853,1.00,6.00,5.00,2.00,6.00,4.00,3.00,5.00,2.00,303,103,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2296870,5.00,4.00,4.00,4.00,7.00,5.50,3.00,4.00,3.00,308,302,NULL,'CENTRO','SAO PEDRO DE ALCANTARA','SC',14313,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2296888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,318,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2296896,4.00,7.00,6.00,8.00,8.00,4.75,6.00,6.00,6.00,211,301,215,'ESTREITO','FLORIANOPOLIS','SC',3959,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2296900,3.00,6.00,3.00,3.00,4.00,6.50,3.00,6.00,2.00,420,207,NULL,'COLONINHA ZILLI','CRICIUMA','SC',16543,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2296918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,320,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2296934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,333,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2296942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,420,208,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2296950,3.00,5.00,3.00,2.00,4.00,4.50,3.00,4.00,3.00,420,207,NULL,'TRINDADE','FLORIANOPOLIS','SC',20583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296969,4.00,7.00,0.00,1.00,4.00,5.00,3.00,6.00,2.00,301,208,NULL,'JD SAVEIRO','BIGUACU','SC',19356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2296977,2.00,5.00,1.00,4.00,5.00,6.75,1.00,4.00,2.00,211,333,NULL,'RIB SÃO PAULO','ASCURRA','SC',20539,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2296985,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,216,501,233,'CENTRO','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(15,2296993,0.00,3.00,1.00,5.00,3.00,NULL,0.00,1.00,0.00,103,201,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2297000,1.00,4.00,2.00,3.00,2.00,NULL,2.00,2.00,2.00,208,404,NULL,'PICADAS DO SUL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2297019,4.00,8.00,3.00,8.00,5.00,5.50,5.00,6.00,1.00,238,425,208,'BARRA DA LAGOA','FLORIANOPOLIS','SC',10367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297027,2.00,5.00,1.00,4.00,5.00,5.00,3.00,2.00,3.00,420,213,NULL,'PAULAS','SAO FRANCISCO DO SUL','SC',20411,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2297035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,201,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2297043,3.00,1.00,0.00,2.00,4.00,NULL,4.00,4.00,1.00,103,104,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2297051,6.00,8.00,2.00,4.00,8.00,5.75,5.00,3.00,4.00,9,108,NULL,'CENTRO','CACAPAVA','SP',10871,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2297060,1.00,3.00,3.00,5.00,3.00,6.75,3.00,5.00,4.00,302,319,NULL,'INTERIOR','ITAPIRANGA','SC',19801,172,916,NULL,NULL,NULL,NULL,4,4),(15,2297078,4.00,8.00,5.00,6.00,6.00,5.00,5.00,6.00,5.00,202,501,211,'INTERIOR','LUZERNA','SC',7095,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2297086,2.00,5.00,2.00,6.00,5.00,6.50,3.00,4.00,1.00,211,309,215,'CENTRO','FAXINAL DOS GUEDES','SC',18578,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2297094,3.00,5.00,1.00,3.00,7.00,4.75,4.00,3.00,3.00,404,425,NULL,'MORRO DOS CONVENTOS','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2297108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,302,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2297116,2.00,6.00,4.00,5.00,5.00,5.75,3.00,5.00,4.00,318,304,NULL,'PASSO DOS FORTES','CHAPECO','SC',14296,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2297124,4.00,7.00,3.00,4.00,4.00,4.75,4.00,4.00,4.00,217,302,NULL,'COQUEIROS','FLORIANOPOLIS','SC',15866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297132,6.00,8.00,6.00,5.00,9.00,7.00,8.00,6.00,3.00,104,5,NULL,'BELA VISTA','SAO LUDGERO','SC',3370,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2297140,1.00,6.00,5.00,3.00,4.00,3.50,5.00,5.00,1.00,103,220,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2297159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,320,NULL,'CIDADE BAIXA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2297167,4.00,9.00,4.00,2.00,7.00,6.00,4.00,7.00,4.00,203,201,214,'AVENTUREIRO','JOINVILLE','SC',9575,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2297175,5.00,8.00,5.00,6.00,6.00,5.75,6.00,6.00,2.00,316,332,NULL,'JARDIM CIDADE DE FLO','SAO JOSE','SC',8685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2297183,4.00,6.00,2.00,4.00,6.00,5.00,6.00,7.00,3.00,332,329,NULL,'BARREIROS','SAO JOSE','SC',11195,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2297191,3.00,3.00,0.00,3.00,4.00,6.50,6.00,3.00,1.00,426,108,428,'SAO JOSÉ','VACARIA','RS',21582,93,981,98,NULL,NULL,NULL,2,1),(15,2297205,3.00,5.00,2.00,2.00,5.00,4.75,3.00,5.00,4.00,102,108,NULL,'CENTRO','ITUIUTABA','MG',18280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,415,NULL,'CIDADE BAIXA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2297221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,211,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2297230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2297248,2.00,4.00,0.00,1.00,4.00,NULL,3.00,3.00,3.00,327,415,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'GUTIERREZ','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2297264,1.00,3.00,0.00,1.00,4.00,NULL,2.00,3.00,2.00,316,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2297272,5.00,8.00,6.00,7.00,5.00,7.00,6.00,5.00,6.00,104,5,NULL,'CENTRO','CRICIUMA','SC',3890,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2297280,2.00,6.00,3.00,6.00,4.00,4.75,2.00,3.00,4.00,220,301,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297299,2.00,3.00,2.00,2.00,4.00,3.50,4.00,3.00,2.00,444,9,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',22205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297302,4.00,3.00,5.00,6.00,7.00,6.00,2.00,3.00,2.00,339,308,NULL,'INGLESES','FLORIANOPOLIS','SC',15381,34,NULL,NULL,NULL,NULL,NULL,2,1),(15,2297310,4.00,7.00,5.00,5.00,6.00,3.50,6.00,5.00,5.00,501,211,NULL,'SANTA CRUZ','RIBEIRAO PRETO','SP',8665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297329,2.00,5.00,2.00,4.00,4.00,5.75,1.00,4.00,2.00,301,215,NULL,'AREIAS','SAO JOSE','SC',20929,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2297337,5.00,5.00,3.00,3.00,6.00,4.25,5.00,1.00,4.00,223,324,NULL,'COQUEIROS','FLORIANOPOLIS','SC',17740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2297345,3.00,7.00,4.00,6.00,5.00,5.00,4.00,4.00,2.00,201,207,208,'CENTRO','PRESIDENTE GETULIO','SC',15604,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2297353,4.00,7.00,6.00,6.00,7.00,6.50,4.00,7.00,3.00,233,333,215,'DEHON','TUBARAO','SC',7157,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2297361,2.00,3.00,1.00,1.00,4.00,NULL,4.00,2.00,2.00,103,303,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297370,3.00,7.00,2.00,6.00,7.00,5.50,6.00,4.00,3.00,103,211,NULL,'OFICINAS','TUBARAO','SC',12355,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2297388,4.00,6.00,3.00,7.00,8.00,6.75,6.00,6.00,3.00,303,326,NULL,'CENTRO','FLORIANOPOLIS','SC',7621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2297396,4.00,8.00,7.00,6.00,7.00,5.50,6.00,5.00,5.00,9,NULL,NULL,'JARDIM UNIVERSITÁRIO','ARARAS','SP',5482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297400,2.00,5.00,1.00,2.00,4.00,5.25,2.00,3.00,1.00,217,339,NULL,'CORREGO GRABDE','FLORIANOPOLIS','SC',22382,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2297418,2.00,5.00,1.00,1.00,2.00,NULL,1.00,3.00,3.00,502,NULL,NULL,'FORQUILINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2297426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,425,NULL,'EUGENIO SCHINAIDER','RIO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2297434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,318,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2297442,2.00,5.00,1.00,2.00,3.00,4.75,4.00,4.00,5.00,327,425,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',21282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297450,3.00,6.00,2.00,2.00,4.00,4.75,1.00,3.00,2.00,444,238,NULL,'FORQUILHAS','SAO JOSE','SC',21362,278,1034,NULL,NULL,NULL,NULL,2,1),(15,2297469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,2,202,'ANHANGABAÚ','JUNDIAI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2297477,2.00,3.00,1.00,3.00,4.00,5.50,4.00,5.00,1.00,103,319,NULL,'NSA SRA DA SAÚDE','CAXIAS DO SUL','RS',20579,3022,935,NULL,NULL,NULL,NULL,4,1),(15,2297485,7.00,7.00,7.00,8.00,7.00,5.50,9.00,8.00,8.00,202,NULL,NULL,'JARDIM UNIVERSAL','ARARAQUARA','SP',751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297493,2.00,6.00,2.00,6.00,5.00,6.00,2.00,4.00,1.00,444,316,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',18895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297507,3.00,4.00,2.00,6.00,7.00,4.50,3.00,2.00,3.00,339,308,NULL,'CARIANOS','FLORIANOPOLIS','SC',19163,106,405,NULL,NULL,NULL,NULL,2,1),(15,2297515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,304,201,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2297523,3.00,6.00,4.00,7.00,6.00,5.75,6.00,7.00,5.00,331,333,NULL,'INGLESES','FLORIANOPOLIS','SC',7833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,234,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2297540,3.00,7.00,1.00,5.00,6.00,5.25,4.00,3.00,2.00,404,420,NULL,'AREIAS','SAO JOSE','SC',17752,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2297558,2.00,7.00,2.00,1.00,4.00,NULL,1.00,3.00,1.00,316,317,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,301,NULL,'CENTRO','TUPA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2297582,5.00,8.00,6.00,7.00,9.00,5.50,7.00,7.00,5.00,301,316,NULL,'CENTRO','CANELINHA','SC',2763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2297590,0.00,5.00,2.00,2.00,3.00,NULL,5.00,0.00,2.00,302,301,NULL,'JARDIM ALVORADA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297604,1.00,4.00,1.00,1.00,3.00,5.50,3.00,6.00,2.00,224,225,NULL,'PANTANAL','FLORIANOPOLIS','SC',21681,86,207,NULL,NULL,NULL,NULL,2,1),(15,2297612,4.00,7.00,4.00,6.00,6.00,4.00,6.00,4.00,3.00,302,108,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',11225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297620,3.00,5.00,2.00,1.00,6.00,4.50,4.00,4.00,3.00,103,217,NULL,'BESENELLO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2297639,5.00,6.00,7.00,8.00,7.00,6.25,7.00,7.00,4.00,450,225,NULL,'CENTRO','CASCAVEL','PR',3748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,327,NULL,'PRADO','BIGUACU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2297655,4.00,3.00,0.00,3.00,2.00,NULL,0.00,1.00,2.00,404,9,NULL,'AREIAS DO CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297663,3.00,7.00,5.00,4.00,5.00,5.75,4.00,5.00,2.00,104,301,NULL,'ITACORUBI','FLORIANOPOLIS','SC',14327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297671,3.00,6.00,5.00,2.00,6.00,4.00,3.00,5.00,3.00,208,339,233,'CENTRO','FLORIANOPOLIS','SC',17953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,301,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2297698,3.00,3.00,2.00,5.00,5.00,6.00,3.00,2.00,1.00,317,316,NULL,'JARDIM JANAINA','ANGELINA','SC',20200,366,1221,NULL,NULL,NULL,NULL,2,1),(15,2297701,4.00,4.00,1.00,5.00,4.00,3.25,2.00,4.00,3.00,420,207,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2297710,3.00,6.00,4.00,5.00,7.00,3.75,9.00,4.00,2.00,316,301,NULL,'TRINDADE','FLORIANOPOLIS','SC',12100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297728,5.00,5.00,6.00,3.00,6.00,6.00,7.00,5.00,6.00,104,101,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2297736,2.00,6.00,6.00,4.00,8.00,6.75,5.00,4.00,3.00,2,224,NULL,'CENTRO','PATO BRANCO','PR',11580,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2297744,4.00,5.00,3.00,2.00,8.00,3.00,2.00,5.00,1.00,220,332,208,'TIJUQUINHAS','BIGUACU','SC',19325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297752,4.00,7.00,3.00,6.00,6.00,6.50,5.00,6.00,4.00,302,304,NULL,'CARIANOS','FLORIANOPOLIS','SC',9007,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2297760,3.00,3.00,3.00,6.00,3.00,7.50,2.00,4.00,2.00,309,308,NULL,'AGUAS CLARAS','TAGUATINGA','DF',19108,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2297779,5.00,5.00,5.00,5.00,7.00,5.50,3.00,3.00,3.00,5,502,NULL,'COSTA E SILVA','JOINVILLE','SC',12621,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2297795,5.00,7.00,5.00,5.00,7.00,5.50,4.00,7.00,4.00,303,5,NULL,'CENTRO','JARAGUA DO SUL','SC',7908,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2297809,1.00,5.00,3.00,2.00,4.00,5.25,2.00,4.00,1.00,202,317,207,'PRAINHA','FLORIANOPOLIS','SC',22113,719,678,1031,NULL,NULL,NULL,4,1),(15,2297817,1.00,5.00,1.00,1.00,4.00,4.00,5.00,3.00,5.00,302,426,NULL,'ESTREITO','FLORIANOPOLIS','SC',21806,198,252,NULL,NULL,NULL,NULL,2,1),(15,2297825,3.00,3.00,1.00,2.00,4.00,NULL,3.00,3.00,2.00,333,234,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297833,2.00,8.00,6.00,9.00,7.00,6.00,6.00,9.00,3.00,301,108,NULL,'PONTA AGUDA','BLUMENAU','SC',4784,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2297841,2.00,5.00,5.00,7.00,4.00,5.50,1.00,5.00,2.00,103,444,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297850,0.00,6.00,0.00,0.00,5.00,6.50,3.00,5.00,2.00,317,324,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',21470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,220,214,'CENTRO','ESTEIO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2297876,4.00,3.00,4.00,6.00,7.00,3.50,4.00,5.00,3.00,308,423,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',16418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2297884,0.00,3.00,1.00,8.00,4.00,NULL,4.00,6.00,1.00,427,502,424,'BOM ABRIGO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297892,1.00,4.00,6.00,4.00,6.00,4.50,6.00,6.00,4.00,213,224,233,'ITAQUERA','SAO PAULO','SP',14416,234,217,338,NULL,NULL,NULL,2,1),(15,2297906,3.00,6.00,2.00,4.00,3.00,4.00,4.00,4.00,1.00,238,331,220,'INGLESES','FLORIANOPOLIS','SC',20360,758,242,599,NULL,NULL,NULL,2,1),(15,2297914,4.00,8.00,6.00,0.00,9.00,3.75,2.00,6.00,3.00,502,450,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',14068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297922,3.00,6.00,5.00,7.00,7.00,4.50,6.00,6.00,5.00,303,5,NULL,'SAO FRANCISCO','CAMPO GRANDE','MS',7986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297930,4.00,3.00,1.00,5.00,5.00,5.50,3.00,3.00,0.00,102,339,NULL,'CAMPO DE FORA','LAGUNA','SC',21614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297949,1.00,6.00,3.00,4.00,5.00,4.25,2.00,5.00,3.00,216,317,208,'JOAIA','TIJUCAS','SC',18585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297957,1.00,3.00,1.00,0.00,4.00,NULL,3.00,4.00,2.00,319,9,NULL,'JARDIM SÃO PEDRO','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2297965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,302,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2297973,4.00,7.00,4.00,4.00,8.00,3.50,5.00,5.00,6.00,444,332,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',10098,55,200,NULL,NULL,NULL,NULL,2,1),(15,2297981,1.00,4.00,1.00,1.00,6.00,NULL,2.00,4.00,1.00,224,201,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2297990,1.00,4.00,3.00,3.00,3.00,4.25,2.00,2.00,2.00,203,202,214,'CENTRO','NOVA TRENTO','SC',22412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298007,4.00,8.00,2.00,5.00,7.00,6.75,5.00,5.00,4.00,207,420,201,'CENTRO','SANTA MARIA','RS',10317,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2298015,3.00,5.00,2.00,1.00,6.00,4.50,2.00,4.00,3.00,501,327,NULL,'CENTRO','FLORIANOPOLIS','SC',21216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298023,6.00,8.00,6.00,7.00,8.00,6.50,5.00,5.00,5.00,207,420,233,'CENTRO','RIO DO SUL','SC',4788,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2298031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,331,NULL,'INTERIOR','CUNHA PORA','SC',NULL,NULL,NULL,NULL,'S','S','S',1,4),(15,2298040,3.00,5.00,3.00,1.00,0.00,NULL,4.00,3.00,1.00,309,301,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298058,1.00,4.00,1.00,1.00,6.00,5.00,5.00,5.00,2.00,212,316,214,'KOBRASOL','SAO JOSE','SC',20256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298066,7.00,8.00,6.00,8.00,7.00,7.00,5.00,7.00,4.00,233,212,201,'LAGOA DA CONCEICAO','FLORIANOPOLIS','SC',2730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298074,3.00,7.00,4.00,7.00,7.00,5.25,3.00,5.00,2.00,103,208,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2298082,6.00,7.00,5.00,6.00,7.00,6.50,6.00,6.00,6.00,9,101,NULL,'CAMPINAS','SAO JOSE','SC',4560,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298104,5.00,9.00,7.00,7.00,7.00,7.00,8.00,4.00,6.00,211,108,207,'AMÉRICA','JOINVILLE','SC',2808,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2298112,0.00,3.00,2.00,2.00,2.00,NULL,1.00,3.00,3.00,444,211,NULL,'SÃO FRANSISCO','HORIZONTINA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298120,1.00,3.00,3.00,2.00,7.00,4.25,4.00,4.00,2.00,444,301,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298139,4.00,8.00,5.00,8.00,5.00,3.25,6.00,7.00,4.00,310,201,NULL,'CHACARAS BELA VISTA','CAMPINA GRANDE DO SUL','PR',7272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298147,2.00,5.00,7.00,2.00,8.00,7.25,2.00,3.00,2.00,317,429,NULL,'CENTRO','FLORIANOPOLIS','SC',16612,277,270,NULL,NULL,NULL,NULL,4,1),(15,2298155,7.00,8.00,6.00,9.00,7.00,9.50,7.00,8.00,4.00,103,329,NULL,'CENTRO','FLORIANOPOLIS','SC',1018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,333,NULL,'PETROPOLIS','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2298171,2.00,2.00,0.00,4.00,4.00,5.25,3.00,5.00,1.00,324,308,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',22287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298198,2.00,7.00,1.00,2.00,5.00,2.50,4.00,2.00,3.00,211,404,207,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298201,3.00,8.00,5.00,5.00,8.00,6.25,2.00,7.00,4.00,318,316,NULL,'BARREIROS','SAO JOSE','SC',7147,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298210,4.00,3.00,1.00,7.00,6.00,5.00,5.00,5.00,2.00,104,317,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',16505,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298236,6.00,8.00,5.00,6.00,9.00,8.25,6.00,7.00,3.00,303,318,NULL,'PONTO CHIC','IBIRAMA','SC',4210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298252,4.00,5.00,4.00,6.00,7.00,6.00,6.00,5.00,2.00,203,104,214,'COMERCIÁRIO','CRICIUMA','SC',11479,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2298260,3.00,8.00,4.00,5.00,5.00,6.75,4.00,5.00,3.00,444,9,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',11937,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298279,4.00,4.00,1.00,3.00,3.00,4.75,3.00,3.00,1.00,339,308,NULL,'CENTRO','FLORIANOPOLIS','SC',21741,162,482,NULL,NULL,NULL,NULL,4,1),(15,2298287,3.00,7.00,3.00,5.00,4.00,4.00,2.00,5.00,4.00,424,329,421,'CAPOEIRAS','FLORIANOPOLIS','SC',15431,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298295,0.00,8.00,2.00,6.00,6.00,5.75,3.00,5.00,3.00,327,223,NULL,'BELA VISTA I','SAO JOSE','SC',15037,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298309,1.00,4.00,4.00,2.00,4.00,5.50,3.00,4.00,4.00,233,5,201,'SANTA LUZIA','ABELARDO LUZ','SC',19320,427,1307,1020,NULL,NULL,NULL,4,4),(15,2298317,5.00,7.00,6.00,8.00,8.00,6.00,4.00,2.00,3.00,303,415,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298325,4.00,5.00,4.00,9.00,8.00,5.50,5.00,6.00,4.00,207,319,212,'FAZENDA','ITAJAI','SC',7300,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2298333,4.00,5.00,7.00,5.00,6.00,5.50,5.00,6.00,3.00,201,211,212,'PONTE DO IMARUIM','PALHOCA','SC',9603,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'VILA SOFIA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2298350,3.00,7.00,6.00,4.00,5.00,7.75,5.00,6.00,1.00,317,225,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',10919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'CENTRO','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2298376,5.00,6.00,4.00,5.00,5.00,NULL,0.00,0.00,1.00,103,102,NULL,'HIGIENOPOLIS','SANTA CRUZ DO SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298384,3.00,8.00,4.00,2.00,6.00,6.50,5.00,6.00,3.00,238,415,207,'CARBONI','VIDEIRA','SC',11173,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2298392,5.00,6.00,5.00,6.00,8.00,4.75,7.00,5.00,5.00,108,234,NULL,'VILA GUMERCINDO','SAO PAULO','SP',7931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298406,0.00,4.00,2.00,2.00,4.00,NULL,4.00,1.00,3.00,310,319,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298414,5.00,8.00,9.00,8.00,10.00,7.50,8.00,8.00,6.00,216,303,211,'PIRABEIRABA','JOINVILLE','SC',854,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2298422,1.00,4.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,333,108,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(15,2298449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,317,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2298457,1.00,2.00,0.00,0.00,3.00,NULL,0.00,1.00,1.00,404,9,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298465,5.00,7.00,1.00,3.00,7.00,4.50,3.00,3.00,3.00,444,331,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',15279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,303,NULL,'PALERMO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2298490,3.00,6.00,3.00,2.00,6.00,4.25,5.00,5.00,3.00,102,404,NULL,'FAZ SANTO ANTONIO','SAO JOSE','SC',17150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298503,1.00,2.00,1.00,3.00,6.00,NULL,3.00,2.00,2.00,102,425,NULL,'CENTRO','LAGOA VERMELHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2298511,2.00,4.00,2.00,7.00,5.00,6.50,4.00,4.00,1.00,103,216,NULL,'GLÓRIA','RODEIO','SC',18250,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2298520,5.00,7.00,2.00,2.00,6.00,6.00,5.00,4.00,3.00,103,102,NULL,'MARIA GORETTI','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2298538,6.00,6.00,1.00,6.00,7.00,4.00,4.00,6.00,2.00,104,319,NULL,'CENTRO','CURITIBA','PR',13546,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2298546,2.00,3.00,3.00,0.00,2.00,NULL,3.00,2.00,3.00,9,NULL,NULL,'VENETO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298554,7.00,4.00,6.00,8.00,6.00,6.25,8.00,5.00,4.00,415,450,NULL,'LAGO NORTE','LAGO NORTE','DF',5531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298562,3.00,4.00,2.00,8.00,6.00,5.75,5.00,4.00,4.00,208,108,238,'CAMPINAS','SAO JOSE','SC',12835,477,778,462,NULL,NULL,NULL,4,1),(15,2298570,4.00,5.00,3.00,3.00,5.00,5.75,6.00,2.00,3.00,207,420,201,'RIO TAVARES','FLORIANOPOLIS','SC',17192,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298589,4.00,7.00,4.00,8.00,6.00,6.25,8.00,7.00,6.00,103,104,NULL,'ESTREITO','FLORIANOPOLIS','SC',4845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298600,2.00,7.00,3.00,3.00,4.00,5.50,3.00,5.00,3.00,444,339,NULL,'CACHOEIRA','FLORIANOPOLIS','SC',18929,213,357,NULL,NULL,NULL,NULL,2,1),(15,2298619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2298635,5.00,4.00,4.00,5.00,6.00,6.75,4.00,4.00,4.00,304,319,NULL,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298643,6.00,8.00,8.00,6.00,7.00,7.00,8.00,8.00,6.00,207,420,201,'VILA MAZZEI','SAO PAULO','SP',1651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298651,6.00,7.00,8.00,3.00,5.00,7.00,8.00,8.00,6.00,202,318,216,'CIDADE LUIZA','JUNDIAI','SP',3009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298660,2.00,6.00,4.00,7.00,7.00,5.25,3.00,6.00,1.00,238,NULL,208,'LIDER','CHAPECO','SC',12677,454,NULL,469,NULL,NULL,NULL,2,4),(15,2298686,0.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,333,502,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(15,2298694,4.00,5.00,3.00,4.00,5.00,5.00,4.00,4.00,4.00,329,308,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',15840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298708,2.00,5.00,4.00,9.00,5.00,6.75,6.00,3.00,3.00,216,303,233,'CENTRO','XANXERE','SC',10837,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2298716,3.00,7.00,6.00,8.00,5.00,4.25,4.00,6.00,3.00,238,224,215,'INGLESES','FLORIANOPOLIS','SC',11107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298740,4.00,8.00,3.00,9.00,4.00,5.50,4.00,6.00,2.00,207,203,201,'ATIRADORES','JOINVILLE','SC',10803,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2298767,4.00,4.00,0.00,3.00,5.00,NULL,3.00,3.00,2.00,332,333,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298775,3.00,8.00,3.00,1.00,9.00,7.00,4.00,4.00,4.00,9,339,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',11354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298783,0.00,5.00,2.00,3.00,3.00,5.00,5.00,5.00,4.00,301,9,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',19604,328,695,NULL,NULL,NULL,NULL,2,1),(15,2298791,1.00,5.00,2.00,4.00,6.00,5.25,2.00,1.00,3.00,303,326,NULL,'CENTRO','FLORIANOPOLIS','SC',21629,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298805,0.00,7.00,6.00,8.00,7.00,5.25,4.00,5.00,3.00,216,103,201,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2298813,2.00,4.00,5.00,8.00,6.00,0.00,5.00,3.00,2.00,103,319,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2298848,3.00,4.00,3.00,4.00,7.00,5.25,4.00,4.00,3.00,9,319,NULL,'CENTRO','PALHOCA','SC',16648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298856,5.00,6.00,6.00,4.00,8.00,5.75,7.00,6.00,2.00,304,310,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',8399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,101,NULL,'CAJUS I','JUSCIMEIRA','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2298880,3.00,7.00,2.00,8.00,7.00,5.50,4.00,6.00,4.00,5,451,NULL,'TRINDADE','FLORIANOPOLIS','SC',9890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,424,NULL,'CANGO','FRANCISCO BELTRAO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2298910,1.00,4.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,318,423,NULL,'PEDRA BRANCA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2298929,2.00,2.00,1.00,1.00,5.00,NULL,3.00,4.00,3.00,207,415,201,'COLÔNIA SANTANA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2298937,2.00,8.00,6.00,5.00,7.00,5.75,6.00,6.00,4.00,207,444,NULL,'VILA FORMOSA','SAO PAULO','SP',9339,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2298945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,318,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2298953,1.00,4.00,4.00,5.00,6.00,4.25,3.00,1.00,2.00,303,333,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20692,863,1014,NULL,NULL,NULL,NULL,2,1),(15,2298961,4.00,4.00,3.00,5.00,3.00,5.25,3.00,4.00,2.00,104,208,NULL,'BELA VISTA','CUNHA PORA','SC',17110,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2298970,0.00,6.00,2.00,1.00,4.00,5.00,4.00,3.00,1.00,203,201,202,'CENTRO','GRAO PARA','SC',21877,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2298996,2.00,6.00,2.00,4.00,6.00,6.25,3.00,5.00,5.00,103,102,NULL,'IMIGRANTES','TIMBO','SC',15575,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2299003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,2,203,'NOVA PETRÓPOLIS','SAO BERNARDO DO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2299020,3.00,6.00,2.00,8.00,5.00,6.00,3.00,7.00,4.00,319,423,NULL,'JARDIM ITÚ SABARÁ','PORTO ALEGRE','RS',11353,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299038,2.00,4.00,0.00,4.00,5.00,4.75,1.00,4.00,1.00,208,501,220,'FORQUILHAS','SAO JOSE','SC',22038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299046,6.00,8.00,8.00,8.00,7.00,5.25,8.00,7.00,6.00,216,201,238,'SÃO JOÃO','MOGI DAS CRUZES','SP',1905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299054,2.00,7.00,2.00,7.00,6.00,5.00,5.00,5.00,2.00,201,420,212,'ARIRIU','PALHOCA','SC',12651,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,421,NULL,'ALTO ARIRIÚ','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2299070,3.00,7.00,7.00,6.00,7.00,5.25,5.00,8.00,5.00,303,216,NULL,'VOLTA GRANDE','FARROUPILHA','RS',7087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299089,3.00,2.00,1.00,5.00,3.00,4.00,2.00,3.00,3.00,316,317,NULL,'CENTRO','SAO JOSE DO CEDRO','SC',22423,692,681,NULL,NULL,NULL,NULL,4,4),(15,2299097,2.00,6.00,2.00,3.00,5.00,3.00,4.00,2.00,4.00,316,317,NULL,'BIGUAÇU','BIGUACU','SC',20443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299119,2.00,4.00,3.00,3.00,5.00,5.50,1.00,2.00,2.00,424,450,421,'VARGEM PEQUENA','FLORIANOPOLIS','SC',21757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299127,3.00,6.00,8.00,5.00,8.00,6.50,6.00,5.00,5.00,220,202,NULL,'IRIRIÚ','JOINVILLE','SC',4735,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2299135,4.00,7.00,6.00,4.00,6.00,5.00,4.00,7.00,5.00,104,201,NULL,'CENTRO','LACERDOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2299143,2.00,9.00,6.00,6.00,7.00,5.25,4.00,7.00,4.00,301,316,NULL,'ANITA GARIBALDI','JOINVILLE','SC',6255,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2299151,2.00,6.00,1.00,4.00,6.00,4.75,3.00,5.00,3.00,502,501,NULL,'LAGOA DE FORA','BALNEARIO GAIVOTA','SC',18408,74,526,NULL,NULL,NULL,NULL,2,5),(15,2299160,3.00,8.00,5.00,5.00,8.00,5.75,7.00,6.00,2.00,451,501,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',8390,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299178,5.00,8.00,6.00,9.00,8.00,4.50,7.00,8.00,4.00,327,425,NULL,'TRINDADE','FLORIANOPOLIS','SC',2642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299186,4.00,2.00,1.00,5.00,6.00,5.00,4.00,2.00,2.00,217,427,NULL,'PONTE DO IMARUIM','PALHOCA','SC',20598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299194,5.00,5.00,7.00,6.00,6.00,5.25,8.00,4.00,3.00,301,223,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',7996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299216,4.00,6.00,4.00,5.00,6.00,3.75,5.00,4.00,3.00,103,319,NULL,'STO ANTONIO LISBOA','FLORIANOPOLIS','SC',13287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299232,3.00,7.00,6.00,5.00,9.00,6.75,5.00,7.00,3.00,103,104,NULL,'CENTRO','CRICIUMA','SC',7090,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2299259,4.00,7.00,5.00,4.00,7.00,3.75,7.00,5.00,3.00,103,102,NULL,'CENTRO','JARAGUA DO SUL','SC',10459,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2299267,4.00,6.00,4.00,5.00,6.00,6.50,5.00,6.00,2.00,103,102,NULL,'CENTRO','FLORIANOPOLIS','SC',10685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299275,4.00,7.00,6.00,6.00,8.00,6.25,7.00,5.00,2.00,202,203,220,'CENTRO','SANTA MARIA','RS',6458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299283,1.00,6.00,7.00,5.00,7.00,5.25,6.00,7.00,5.00,215,333,233,'MOOCA','SAO PAULO','SP',7904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299305,3.00,6.00,4.00,8.00,6.00,5.75,0.00,5.00,1.00,310,428,NULL,'CENTRO','FLORIANOPOLIS','SC',15759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299313,2.00,6.00,6.00,5.00,5.00,3.75,4.00,7.00,2.00,203,222,238,'CENTRO','TIJUCAS','SC',13076,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299321,2.00,6.00,2.00,2.00,5.00,4.75,5.00,3.00,2.00,444,404,NULL,'ARIRIU','PALHOCA','SC',19714,235,465,NULL,NULL,NULL,NULL,2,1),(15,2299330,3.00,7.00,2.00,5.00,9.00,5.00,6.00,7.00,2.00,103,9,NULL,'CENTRO','SAO BENTO DO SUL','SC',11089,2271,521,NULL,NULL,NULL,NULL,4,8),(15,2299348,4.00,6.00,6.00,3.00,4.00,5.75,7.00,4.00,4.00,202,333,203,'CENTRO','SAO MATEUS DO SUL','PR',12428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299356,3.00,7.00,2.00,2.00,4.00,0.00,4.00,4.00,3.00,420,317,NULL,'FAZENDA','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2299364,0.00,3.00,3.00,3.00,3.00,5.00,2.00,4.00,2.00,316,319,NULL,'VILA NOVA','IMBITUBA','SC',22377,688,991,NULL,NULL,NULL,NULL,2,1),(15,2299372,3.00,5.00,6.00,7.00,8.00,5.50,3.00,6.00,2.00,203,216,202,'CONJUNTO LIBRA IV','FOZ DO IGUACU','PR',11364,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2299380,2.00,6.00,5.00,5.00,5.00,6.25,4.00,4.00,5.00,333,103,NULL,'ABRAÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299399,3.00,3.00,2.00,3.00,3.00,4.00,5.00,3.00,2.00,103,319,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2299410,5.00,5.00,2.00,2.00,5.00,3.50,5.00,6.00,1.00,203,224,238,'CENTRO','PALHOCA','SC',18610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299429,5.00,9.00,8.00,7.00,7.00,7.00,7.00,5.00,4.00,202,213,220,'DORES','SANTA MARIA','RS',3355,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299437,2.00,4.00,3.00,3.00,5.00,6.25,2.00,2.00,3.00,103,333,NULL,'RIO FIORITA','SIDEROPOLIS','SC',19699,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2299445,4.00,4.00,3.00,6.00,6.00,6.50,3.00,3.00,2.00,404,101,NULL,'SERRARIA','SAO JOSE','SC',15340,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299453,3.00,8.00,4.00,8.00,6.00,7.00,6.00,3.00,6.00,103,108,NULL,'JARDIM','SANTO ANDRE','SP',7690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299461,4.00,6.00,4.00,8.00,7.00,5.75,8.00,5.00,6.00,202,318,213,'CENTRO','PORTO ALEGRE','RS',5549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299470,4.00,7.00,4.00,5.00,6.00,6.50,5.00,6.00,3.00,320,309,NULL,'ROÇADO','SAO JOSE','SC',9193,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299488,5.00,6.00,6.00,7.00,9.00,7.00,8.00,5.00,5.00,303,201,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',3672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299500,5.00,8.00,7.00,8.00,5.00,5.75,7.00,5.00,2.00,208,238,202,'MARIA GORETTI','CHAPECO','SC',5441,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2299518,2.00,5.00,4.00,6.00,3.00,3.50,5.00,5.00,2.00,233,212,214,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',16769,383,551,504,NULL,NULL,NULL,4,1),(15,2299526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,316,NULL,'JARDIM ELDORADO','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2299534,3.00,7.00,1.00,4.00,4.00,5.50,4.00,5.00,4.00,301,331,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299542,4.00,8.00,5.00,7.00,7.00,6.25,4.00,3.00,4.00,103,NULL,NULL,'FAZENDA','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2299550,1.00,3.00,1.00,4.00,3.00,NULL,1.00,2.00,4.00,207,420,NULL,'SAO FRANCISCO','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2299569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,108,NULL,'ITINGA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2299585,5.00,6.00,5.00,4.00,5.00,5.75,1.00,5.00,2.00,103,420,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299593,4.00,5.00,4.00,4.00,8.00,6.00,3.00,3.00,4.00,102,215,NULL,'PIO CORREA','CRICIUMA','SC',13437,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2299615,3.00,5.00,2.00,4.00,7.00,3.00,5.00,4.00,2.00,101,331,NULL,'PORTO DA LAGOA','FLORIANOPOLIS','SC',17726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299623,5.00,6.00,5.00,5.00,4.00,5.25,3.00,7.00,3.00,103,9,NULL,'CENTRO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2299640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299658,4.00,8.00,2.00,5.00,7.00,6.00,3.00,4.00,3.00,333,423,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',12122,164,161,NULL,NULL,NULL,NULL,2,1),(15,2299666,2.00,2.00,3.00,2.00,5.00,NULL,4.00,0.00,3.00,444,301,NULL,'SANTA BÁRBARA','RONDA ALTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2299674,1.00,3.00,3.00,2.00,2.00,NULL,2.00,2.00,1.00,215,217,216,'POPULAR','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2299682,2.00,4.00,1.00,2.00,4.00,NULL,2.00,3.00,2.00,5,329,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299690,2.00,6.00,3.00,6.00,6.00,6.25,3.00,4.00,3.00,5,303,NULL,'SANTO ANTÔNIO','CURITIBANOS','SC',14587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299704,3.00,3.00,0.00,4.00,5.00,4.75,2.00,2.00,4.00,451,423,NULL,'SÃO DOMINGOS','CRICIUMA','SC',22055,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2299712,2.00,6.00,2.00,8.00,7.00,6.25,5.00,4.00,3.00,207,NULL,201,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299720,5.00,5.00,4.00,9.00,4.00,5.50,5.00,5.00,3.00,208,203,NULL,'JD DAS HORTENSIAS','RIO DO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2299739,2.00,2.00,0.00,2.00,2.00,NULL,1.00,2.00,2.00,339,9,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299747,6.00,6.00,6.00,9.00,4.00,6.00,6.00,4.00,4.00,304,450,NULL,'CENTRO','CASCAVEL','PR',6634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299755,0.00,8.00,3.00,7.00,5.00,5.00,2.00,7.00,3.00,5,316,NULL,'OFICINAS','TUBARAO','SC',14718,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2299763,4.00,6.00,3.00,7.00,4.00,5.25,4.00,7.00,2.00,320,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',11631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,102,NULL,'SANTA QUITERIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2299780,2.00,4.00,1.00,3.00,5.00,5.00,3.00,3.00,2.00,420,303,NULL,'CIDADE DE FPOLIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299798,1.00,5.00,4.00,7.00,7.00,5.00,3.00,5.00,4.00,444,420,NULL,'CENTRO','TORRES','RS',14127,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2299801,3.00,5.00,5.00,2.00,6.00,8.00,3.00,7.00,2.00,318,5,NULL,'CENTRO','FLORIANOPOLIS','SC',13895,168,1216,NULL,NULL,NULL,NULL,4,1),(15,2299810,4.00,6.00,3.00,2.00,6.00,6.50,4.00,3.00,2.00,104,333,NULL,'CENTRO','LAGES','SC',17017,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2299828,3.00,3.00,1.00,2.00,1.00,NULL,1.00,3.00,1.00,309,423,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299844,1.00,6.00,3.00,4.00,6.00,4.25,3.00,4.00,3.00,5,324,NULL,'STO ANTONIO DE PÁDUA','TUBARAO','SC',18814,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2299852,2.00,7.00,4.00,3.00,8.00,6.25,3.00,4.00,2.00,103,303,NULL,'CRUZEIRO DO SUL','JOACABA','SC',14673,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2299860,1.00,5.00,4.00,6.00,7.00,5.25,5.00,2.00,2.00,317,318,NULL,'ITACORUBI','FLORIANOPOLIS','SC',16540,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299879,1.00,8.00,2.00,8.00,7.00,7.50,4.00,7.00,3.00,5,NULL,NULL,'CENTRO','ITAJAI','SC',8486,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2299887,2.00,5.00,4.00,5.00,5.00,4.75,5.00,2.00,1.00,5,316,NULL,'JARD CID FPOLIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299895,2.00,4.00,1.00,5.00,6.00,4.75,5.00,4.00,3.00,9,207,NULL,'PASSA VINTE','PALHOCA','SC',18467,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299909,4.00,5.00,4.00,3.00,5.00,4.50,6.00,5.00,3.00,304,425,NULL,'CAMPINAS','SAO JOSE','SC',15179,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299917,1.00,6.00,2.00,5.00,7.00,6.75,3.00,6.00,3.00,316,451,NULL,'ITACORUBI','FLORIANOPOLIS','SC',14621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299925,6.00,6.00,7.00,8.00,7.00,4.75,7.00,8.00,5.00,103,108,NULL,'SÃO GERALDO','PORTO ALEGRE','RS',3878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299933,4.00,6.00,4.00,5.00,6.00,6.75,2.00,5.00,5.00,333,502,NULL,'PONTE IMARUIM','PALHOCA','SC',11578,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,333,207,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2299950,6.00,5.00,3.00,1.00,4.00,5.50,2.00,2.00,4.00,220,238,207,'CENTRO','FLORIANOPOLIS','SC',19192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2299968,2.00,5.00,2.00,0.00,4.00,3.50,4.00,6.00,3.00,207,501,NULL,'STO ANTÔNIO DE LISBO','FLORIANOPOLIS','SC',21347,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2299984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'KENEDY','HORIZONTINA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2299992,5.00,7.00,2.00,7.00,8.00,6.00,5.00,5.00,3.00,215,324,233,'CAMPINAS','SAO JOSE','SC',8449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300001,2.00,5.00,5.00,3.00,9.00,5.25,6.00,6.00,5.00,103,303,NULL,'SAO LUIZ','CRICIUMA','SC',10434,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2300010,4.00,8.00,7.00,6.00,7.00,5.25,7.00,5.00,5.00,427,201,429,'ESTREITO','FLORIANOPOLIS','SC',5249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300028,2.00,6.00,5.00,1.00,4.00,7.75,3.00,4.00,3.00,104,216,NULL,'PEREIRA ALVES','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2300036,2.00,6.00,1.00,6.00,6.00,6.00,3.00,4.00,3.00,212,214,238,'PIO CORREA','CRICIUMA','SC',16005,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2300052,5.00,2.00,4.00,4.00,6.00,4.00,6.00,4.00,4.00,103,303,NULL,'CENTRO','TUBARAO','SC',15419,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2300060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,429,427,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2300079,4.00,7.00,1.00,3.00,6.00,5.25,3.00,5.00,2.00,207,201,211,'BARREIROS','SAO JOSE','SC',16468,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2300087,3.00,3.00,1.00,1.00,5.00,NULL,2.00,4.00,2.00,208,316,211,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300095,1.00,5.00,1.00,0.00,3.00,NULL,3.00,3.00,0.00,302,444,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300109,5.00,7.00,3.00,6.00,5.00,4.75,3.00,6.00,5.00,501,201,NULL,'CENTRO','SALETE','SC',9834,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2300117,6.00,8.00,6.00,8.00,7.00,5.75,6.00,5.00,4.00,103,203,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300125,4.00,6.00,4.00,4.00,8.00,7.25,6.00,5.00,5.00,333,332,NULL,'CAMPECHE','FLORIANOPOLIS','SC',8676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300133,2.00,6.00,3.00,7.00,6.00,6.25,4.00,6.00,4.00,425,326,427,'BOSQUE DAS MANSÕES','SAO JOSE','SC',11352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,404,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2300150,1.00,3.00,2.00,5.00,5.00,3.25,2.00,5.00,1.00,319,329,NULL,'CENTRO','SAO JOSE','SC',21988,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2300168,3.00,2.00,2.00,3.00,5.00,3.75,3.00,4.00,1.00,319,502,NULL,'PARQUE SAO JORGE','FLORIANOPOLIS','SC',22260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300176,0.00,2.00,4.00,4.00,6.00,NULL,3.00,2.00,2.00,303,208,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2300192,6.00,8.00,7.00,9.00,8.00,6.00,9.00,7.00,5.00,103,104,NULL,'SAGRADO C DE JESUS','LAGES','SC',1428,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2300206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,301,207,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2300214,2.00,7.00,2.00,7.00,7.00,5.00,3.00,5.00,3.00,103,216,NULL,'INTERIOR','AGUA DOCE','SC',13030,2449,765,NULL,NULL,NULL,NULL,2,7),(15,2300222,2.00,3.00,2.00,0.00,5.00,NULL,3.00,3.00,0.00,201,444,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2300230,2.00,4.00,5.00,8.00,5.00,5.25,5.00,5.00,3.00,103,NULL,NULL,'CAMPUS DO CTA','SAO JOSE DOS CAMPOS','SP',12124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300249,1.00,5.00,4.00,6.00,5.00,5.50,2.00,6.00,4.00,333,104,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2300257,5.00,7.00,4.00,6.00,7.00,6.50,7.00,7.00,5.00,303,415,NULL,'JARDIM BOTÂNICO','SINOP','MT',5856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300265,2.00,7.00,3.00,7.00,4.00,6.50,3.00,6.00,3.00,420,327,NULL,'RIO MAINA','CRICIUMA','SC',13432,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2300273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'NSA SRA ROSARIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2300281,3.00,7.00,5.00,7.00,5.00,5.25,6.00,6.00,3.00,444,108,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300290,4.00,5.00,3.00,5.00,7.00,5.00,4.00,6.00,3.00,415,5,NULL,'CARIANOS','FLORIANOPOLIS','SC',12713,320,1192,NULL,NULL,NULL,NULL,2,1),(15,2300303,6.00,8.00,7.00,5.00,8.00,5.25,7.00,6.00,5.00,333,211,NULL,'JACY','CAMPO GRANDE','MS',4599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300311,1.00,4.00,0.00,2.00,4.00,NULL,1.00,2.00,0.00,233,404,NULL,'CENTRO','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300320,5.00,7.00,6.00,6.00,8.00,6.75,5.00,5.00,4.00,201,233,212,'CENTRO','BALNEARIO CAMBORIU','SC',6228,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2300338,3.00,7.00,7.00,7.00,5.00,5.25,6.00,7.00,2.00,216,217,202,'IGARAS','OTACILIO COSTA','SC',9184,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2300346,5.00,6.00,1.00,7.00,6.00,5.00,4.00,3.00,5.00,420,415,NULL,'CENTRO','CASCAVEL','PR',12887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300354,3.00,3.00,4.00,5.00,3.00,4.00,5.00,3.00,2.00,220,208,203,'GLÓRIA','JOINVILLE','SC',19126,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2300362,2.00,7.00,4.00,4.00,4.00,5.25,6.00,5.00,3.00,421,429,425,'CENTRO','GUARANI DAS MISSOES','RS',13539,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2300370,2.00,3.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,425,102,429,'COHAB','SAO DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(15,2300400,2.00,4.00,2.00,2.00,3.00,5.00,4.00,3.00,1.00,208,NULL,NULL,'CENTRO','IMBITUBA','SC',22267,908,NULL,NULL,NULL,NULL,NULL,4,10),(15,2300419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,9,NULL,'COLONIA BACIA','CORDILHEIRA ALTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2300435,2.00,6.00,6.00,6.00,6.00,5.75,6.00,8.00,2.00,202,213,220,'BELA VISTA','AMERICANA','SP',8124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,326,NULL,'APARECIDA','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2300451,4.00,8.00,7.00,5.00,7.00,3.75,8.00,8.00,5.00,220,213,202,'CENTRO','SANTA HELENA','PR',4027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300460,1.00,2.00,5.00,6.00,6.00,3.75,5.00,4.00,3.00,319,9,NULL,'CENTRO','FOZ DO IGUACU','PR',15985,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2300478,4.00,5.00,2.00,1.00,4.00,5.75,6.00,5.00,3.00,103,451,NULL,'TURIMAR','BALNEARIO GAIVOTA','SC',18419,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2300486,5.00,5.00,3.00,3.00,5.00,7.00,5.00,6.00,4.00,211,222,233,'INTERIOR','LACERDOPOLIS','SC',10975,392,NULL,NULL,NULL,NULL,NULL,4,7),(15,2300494,2.00,4.00,5.00,6.00,7.00,4.00,4.00,5.00,2.00,301,415,NULL,'CENTRO','JARAGUA DO SUL','SC',15885,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2300508,2.00,4.00,2.00,3.00,5.00,3.25,3.00,6.00,2.00,213,502,212,'ROÇADO','SAO JOSE','SC',20606,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2300532,2.00,6.00,7.00,3.00,3.00,4.25,8.00,4.00,1.00,103,202,NULL,'CENTRO','TAPEJARA','RS',14992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300540,2.00,4.00,1.00,4.00,7.00,4.00,4.00,4.00,3.00,317,316,NULL,'CAMINHO NOVO','PALHOCA','SC',19555,349,1201,NULL,NULL,NULL,NULL,2,1),(15,2300559,1.00,5.00,4.00,3.00,3.00,2.00,3.00,4.00,2.00,319,5,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300567,2.00,8.00,4.00,7.00,4.00,5.25,3.00,6.00,2.00,318,316,NULL,'ITACORUBI','FLORIANOPOLIS','SC',12225,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2300575,2.00,6.00,2.00,6.00,7.00,7.50,2.00,3.00,2.00,428,319,NULL,'BELCHIOR BAIXO','GASPAR','SC',16101,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2300583,3.00,6.00,4.00,3.00,8.00,6.25,5.00,4.00,3.00,9,215,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',13156,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2300591,2.00,5.00,3.00,7.00,7.00,5.00,5.00,5.00,1.00,501,215,NULL,'SOBRADINHO','SOBRADINHO','DF',13262,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2300605,4.00,4.00,3.00,9.00,6.00,7.25,5.00,4.00,5.00,103,9,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2300613,2.00,4.00,0.00,3.00,2.00,NULL,1.00,2.00,0.00,102,101,NULL,'DOS ESPORTES','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2300621,3.00,7.00,5.00,3.00,5.00,8.50,3.00,7.00,2.00,310,320,NULL,'JARDIM CONCEIÇÃO','CAMPINAS','SP',10794,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300630,2.00,3.00,0.00,6.00,6.00,5.75,2.00,5.00,3.00,308,324,NULL,'NOSSA SR DO ROSÁRIO','SAO JOSE','SC',19931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2300656,4.00,5.00,0.00,3.00,5.00,NULL,2.00,1.00,1.00,108,333,NULL,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2300664,2.00,2.00,1.00,5.00,2.00,NULL,3.00,2.00,2.00,404,NULL,NULL,'CENTRO','BRACO DO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2300672,5.00,7.00,4.00,9.00,8.00,5.25,4.00,5.00,4.00,415,326,NULL,'CENTRO','FLORIANOPOLIS','SC',5650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300680,3.00,5.00,5.00,1.00,5.00,4.00,6.00,4.00,2.00,302,216,NULL,'RAINHA','ARAQUARI','SC',17772,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2300699,2.00,6.00,4.00,3.00,5.00,4.75,4.00,4.00,4.00,5,316,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',16921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,104,NULL,'CENTRO','MORRO DA FUMACA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2300710,0.00,2.00,1.00,0.00,1.00,NULL,2.00,1.00,0.00,324,451,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2300729,3.00,6.00,2.00,2.00,6.00,5.50,2.00,5.00,2.00,223,324,NULL,'BARREIROS','SAO JOSE','SC',19618,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2300737,8.00,8.00,9.00,9.00,8.00,6.50,8.00,8.00,6.00,103,104,NULL,'CRUZEIRO NOVO','CRUZEIRO','DF',416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300770,3.00,5.00,1.00,6.00,6.00,5.25,2.00,2.00,2.00,444,450,NULL,'ESTREITO','FLORIANOPOLIS','SC',19942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300788,5.00,7.00,3.00,8.00,4.00,5.50,4.00,7.00,3.00,327,331,NULL,'CENTRO','FLORIANOPOLIS','SC',10592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,320,NULL,'PONTA DE BAIXO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2300818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,444,NULL,'CENTRO','SAO JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2300826,3.00,6.00,4.00,5.00,5.00,5.00,4.00,4.00,3.00,103,303,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300842,5.00,7.00,4.00,8.00,8.00,4.25,6.00,5.00,4.00,203,220,201,'CENTRO','POMERODE','SC',6655,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2300850,5.00,8.00,8.00,9.00,7.00,5.50,9.00,7.00,6.00,304,427,NULL,'CENTRO','FLORIANOPOLIS','SC',1652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300869,2.00,3.00,5.00,2.00,5.00,5.75,7.00,3.00,2.00,202,316,220,'VILA LENZI','JARAGUA DO SUL','SC',17989,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2300877,3.00,6.00,1.00,1.00,2.00,NULL,2.00,3.00,2.00,103,212,NULL,'CENTENARIO','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2300885,2.00,5.00,3.00,5.00,3.00,6.50,2.00,5.00,2.00,304,301,NULL,'ESTREITO','FLORIANOPOLIS','SC',20215,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2300893,3.00,4.00,2.00,5.00,5.00,6.50,2.00,4.00,3.00,316,216,NULL,'KOBRASOL','SAO JOSE','SC',17771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2300907,0.00,6.00,2.00,1.00,4.00,3.75,2.00,4.00,3.00,333,301,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',22058,418,863,NULL,NULL,NULL,NULL,4,1),(15,2300915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,309,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2300923,0.00,3.00,1.00,5.00,6.00,NULL,3.00,2.00,3.00,211,102,208,'MARTORANO','SAO JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2300931,3.00,8.00,3.00,6.00,2.00,NULL,4.00,7.00,0.00,234,404,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2300940,5.00,4.00,5.00,5.00,6.00,5.50,6.00,5.00,4.00,208,420,238,'CANOVA','GIRUA','RS',10740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300958,3.00,5.00,4.00,2.00,8.00,5.00,3.00,4.00,3.00,104,333,NULL,'FAZENDA SANTO ANTÕNI','SAO JOSE','SC',17732,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2300966,3.00,5.00,3.00,0.00,3.00,NULL,3.00,1.00,1.00,501,108,NULL,'PETRÓPOLIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2300974,0.00,5.00,2.00,5.00,6.00,5.50,5.00,5.00,5.00,301,316,NULL,'CENTRO','LAGES','SC',16714,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2300982,0.00,7.00,2.00,7.00,6.00,3.00,6.00,5.00,2.00,238,220,208,'ASA SUL','BRASILIA','DF',15254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2300990,2.00,7.00,5.00,4.00,5.00,4.75,6.00,3.00,3.00,224,225,NULL,'CENTRO','LACERDOPOLIS','SC',14636,39,154,NULL,NULL,NULL,NULL,2,7),(15,2301016,2.00,4.00,0.00,5.00,3.00,NULL,4.00,5.00,3.00,203,202,214,'FAZENDA','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2301024,5.00,7.00,6.00,7.00,7.00,6.00,7.00,8.00,5.00,212,214,201,'TRINDADE','FLORIANOPOLIS','SC',3427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301032,3.00,6.00,2.00,3.00,6.00,5.25,4.00,5.00,4.00,301,316,NULL,'STO ANTONIO LISBOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301067,7.00,8.00,8.00,7.00,8.00,7.75,8.00,8.00,7.00,103,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301075,3.00,6.00,4.00,8.00,7.00,5.50,6.00,5.00,3.00,5,420,NULL,'CENTRO','TIJUCAS','SC',8805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301083,2.00,5.00,4.00,4.00,5.00,6.50,4.00,2.00,1.00,501,NULL,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301091,2.00,6.00,6.00,2.00,7.00,6.25,4.00,3.00,4.00,207,501,203,'VILA MOEMA','TUBARAO','SC',14338,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2301113,4.00,5.00,2.00,4.00,4.00,4.50,2.00,4.00,1.00,103,101,NULL,'VILLAGE','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,201,NULL,'JARDIM LARANJEIRAS','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2301130,4.00,4.00,2.00,8.00,4.00,5.25,2.00,1.00,2.00,5,9,NULL,'BELA VISTA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301148,1.00,4.00,2.00,1.00,3.00,6.00,3.00,4.00,3.00,450,425,NULL,'TRINDADE','FLORIANOPOLIS','SC',21695,199,434,NULL,NULL,NULL,NULL,4,1),(15,2301156,2.00,6.00,5.00,6.00,5.00,4.25,4.00,4.00,3.00,329,451,NULL,'JARDIM NACIONAL','MARILIA','SP',14424,43,215,NULL,NULL,NULL,NULL,2,8),(15,2301172,4.00,7.00,5.00,5.00,7.00,5.50,7.00,6.00,4.00,208,220,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301180,4.00,8.00,5.00,8.00,7.00,6.75,4.00,5.00,3.00,327,329,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301202,2.00,6.00,7.00,1.00,7.00,5.50,5.00,4.00,2.00,316,201,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',14797,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'PETRÓPOLIS','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2301237,7.00,7.00,7.00,8.00,7.00,6.75,6.00,5.00,5.00,103,301,NULL,'UBERABA','CURITIBA','PR',2836,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2301245,4.00,8.00,5.00,6.00,8.00,5.75,7.00,6.00,6.00,103,108,NULL,'CENTRO','PLANALTO','RS',4837,1404,598,NULL,NULL,NULL,NULL,4,4),(15,2301253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,201,NULL,'FAZENDA','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2301261,2.00,6.00,4.00,3.00,5.00,4.75,6.00,5.00,4.00,501,233,NULL,'CENTRO','LAGES','SC',13979,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2301270,2.00,3.00,3.00,4.00,4.00,5.75,4.00,3.00,4.00,404,444,NULL,'TAPERA','FLORIANOPOLIS','SC',19562,192,555,NULL,NULL,NULL,NULL,2,1),(15,2301288,4.00,7.00,4.00,6.00,6.00,6.00,5.00,1.00,4.00,5,415,NULL,'CENTRO','ARARANGUA','SC',11598,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2301296,4.00,7.00,3.00,2.00,4.00,7.50,4.00,6.00,3.00,328,329,NULL,'CITY BUSSOCABA','OSASCO','SP',12646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301300,1.00,5.00,2.00,5.00,5.00,5.00,4.00,6.00,4.00,5,333,NULL,'BARREIROS','SAO JOSE','SC',16860,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301318,4.00,6.00,4.00,7.00,5.00,5.00,6.00,3.00,5.00,207,420,201,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',10571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301326,1.00,5.00,3.00,4.00,6.00,2.25,5.00,3.00,2.00,304,318,NULL,'CENTRO','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2301334,4.00,5.00,3.00,5.00,3.00,7.00,1.00,6.00,2.00,103,NULL,NULL,'INGLESES','FLORIANOPOLIS','SC',15477,2679,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'IMIRIM','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2301350,3.00,4.00,2.00,3.00,6.00,5.00,3.00,6.00,3.00,420,415,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301369,3.00,3.00,2.00,3.00,6.00,4.75,4.00,2.00,3.00,203,5,NULL,'BREHMMER','RIO DO SUL','SC',20924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301377,0.00,2.00,1.00,0.00,3.00,NULL,2.00,0.00,1.00,9,444,NULL,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301385,4.00,7.00,2.00,5.00,8.00,5.00,4.00,7.00,4.00,213,217,212,'ROÇADO','SAO JOSE','SC',8210,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301393,3.00,4.00,3.00,2.00,6.00,4.75,4.00,4.00,3.00,319,NULL,NULL,'SÃO JOSÉ','SOMBRIO','SC',19590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301407,0.00,4.00,2.00,7.00,5.00,5.25,2.00,5.00,3.00,5,423,NULL,'AREIAS DO CAMPECHE','FLORIANOPOLIS','SC',18868,790,226,NULL,NULL,NULL,NULL,2,1),(15,2301415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CASTELO BRANCO','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2301423,3.00,7.00,4.00,5.00,6.00,7.25,4.00,5.00,3.00,9,102,NULL,'CENTRO','BARRA VELHA','SC',12159,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2301431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,427,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2301458,3.00,3.00,1.00,6.00,4.00,3.00,3.00,2.00,3.00,224,222,NULL,'BUDAG','RIO DO SUL','SC',20919,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301466,3.00,6.00,2.00,5.00,3.00,5.50,3.00,7.00,1.00,324,429,NULL,'INGLESES','FLORIANOPOLIS','SC',17109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301474,2.00,5.00,3.00,4.00,2.00,NULL,1.00,2.00,3.00,2,303,NULL,'VILA RICA','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2301482,0.00,5.00,0.00,2.00,4.00,NULL,3.00,4.00,2.00,103,207,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2301490,3.00,8.00,4.00,5.00,6.00,6.75,3.00,6.00,6.00,207,420,201,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301504,1.00,5.00,2.00,1.00,5.00,NULL,4.00,2.00,1.00,301,238,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301512,3.00,7.00,4.00,7.00,6.00,4.25,3.00,6.00,3.00,2,217,NULL,'IPIRANGA','SAO JOSE','SC',11442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301520,0.00,7.00,3.00,6.00,6.00,5.25,6.00,3.00,3.00,316,301,NULL,'CENTRO','FLORIANOPOLIS','SC',16103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,207,NULL,'VISTA ALEGRE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2301547,3.00,7.00,3.00,5.00,3.00,4.75,4.00,5.00,3.00,225,2,NULL,'SANTO ANDRÉ','SAO LEOPOLDO','RS',15873,34,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301555,4.00,4.00,3.00,2.00,3.00,5.25,2.00,3.00,4.00,103,101,NULL,'ANDORINHA','ITAPEMA','SC',20903,3044,756,NULL,NULL,NULL,NULL,2,3),(15,2301563,2.00,5.00,1.00,6.00,5.00,3.75,4.00,1.00,3.00,301,333,NULL,'CENTRO','SANANDUVA','RS',20229,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2301571,4.00,4.00,2.00,7.00,2.00,NULL,4.00,2.00,3.00,103,101,NULL,'SANTANA','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,326,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2301598,3.00,6.00,4.00,4.00,7.00,6.25,5.00,7.00,2.00,5,415,NULL,'CENTRO','CRICIUMA','SC',12396,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2301601,2.00,7.00,2.00,6.00,7.00,5.00,5.00,5.00,4.00,202,318,208,'JARDIM PRIMAVERA','PATO BRANCO','PR',10711,409,386,368,NULL,NULL,NULL,4,1),(15,2301628,5.00,7.00,6.00,7.00,4.00,5.75,3.00,3.00,3.00,9,301,NULL,'ITACORUBÍ','FLORIANOPOLIS','SC',12210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301636,0.00,5.00,4.00,0.00,6.00,5.25,3.00,6.00,2.00,5,404,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',20227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301644,4.00,7.00,3.00,1.00,3.00,5.75,5.00,5.00,3.00,420,404,NULL,'PASSO DAREIA','PORTO ALEGRE','RS',17866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301652,3.00,7.00,3.00,4.00,6.00,7.00,4.00,6.00,1.00,108,333,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',12915,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2301660,0.00,2.00,1.00,4.00,3.00,NULL,3.00,1.00,1.00,9,303,NULL,'MINA DO MATO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2301679,4.00,5.00,1.00,6.00,5.00,5.00,4.00,5.00,3.00,103,233,NULL,'RIO CAVEIRAS','BIGUACU','SC',16626,2768,611,NULL,NULL,NULL,NULL,2,1),(15,2301687,3.00,5.00,5.00,5.00,4.00,5.75,6.00,4.00,4.00,216,317,NULL,'OURO VERDE','CAMPO LARGO','PR',13398,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2301695,4.00,5.00,1.00,1.00,3.00,5.75,3.00,1.00,3.00,5,203,NULL,'CRISTO REI','CHAPECO','SC',22235,904,1462,NULL,NULL,NULL,NULL,4,4),(15,2301709,0.00,3.00,5.00,1.00,3.00,7.50,2.00,3.00,2.00,211,501,NULL,'INTERIOR','AGUAS FRIAS','SC',21711,744,588,NULL,NULL,NULL,NULL,4,4),(15,2301717,3.00,2.00,0.00,5.00,4.00,NULL,2.00,0.00,2.00,333,234,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301725,2.00,5.00,0.00,6.00,3.00,NULL,2.00,4.00,3.00,501,108,NULL,'CRISTAL','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301733,6.00,7.00,5.00,5.00,7.00,7.50,8.00,7.00,7.00,103,NULL,NULL,'VILA SÃO GERALDO','SAO PAULO','SP',2776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301741,3.00,4.00,4.00,3.00,3.00,2.25,3.00,3.00,2.00,415,324,NULL,'NAÇOES','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2301750,2.00,5.00,3.00,2.00,3.00,3.75,3.00,5.00,2.00,202,201,203,'AREIAS','SAO JOSE','SC',21843,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301768,4.00,7.00,7.00,6.00,8.00,4.00,6.00,6.00,5.00,223,216,NULL,'NOVA ITALIA','URUSSANGA','SC',5822,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2301776,3.00,4.00,4.00,4.00,3.00,5.50,1.00,6.00,2.00,203,102,NULL,'CENTRO','ABELARDO LUZ','SC',19553,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2301784,2.00,4.00,2.00,0.00,5.00,4.25,3.00,4.00,3.00,302,317,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301792,3.00,6.00,4.00,3.00,5.00,5.50,4.00,4.00,5.00,318,316,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',14262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301814,5.00,7.00,9.00,7.00,5.00,4.50,5.00,5.00,4.00,201,224,238,'FLOR DO SOL','SAO JOSE','SC',7357,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301822,2.00,3.00,2.00,7.00,4.00,4.50,4.00,4.00,1.00,238,450,208,'CARIANOS','FLORIANOPOLIS','SC',19874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301830,3.00,5.00,6.00,8.00,5.00,7.25,6.00,7.00,3.00,301,310,NULL,'INDEPENDÊNCIA','PORTO ALEGRE','RS',7117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301849,5.00,5.00,2.00,5.00,7.00,6.25,3.00,1.00,1.00,304,224,NULL,'ESTREITO','FLORIANOPOLIS','SC',16667,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301865,6.00,7.00,6.00,0.00,4.00,4.25,7.00,6.00,3.00,207,327,238,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',11758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301873,4.00,5.00,4.00,6.00,5.00,4.00,4.00,6.00,4.00,301,324,NULL,'MAR GROSSO','LAGUNA','SC',12935,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2301903,1.00,3.00,1.00,2.00,4.00,NULL,4.00,2.00,2.00,220,203,202,'CENTRO','SORRISO','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301920,2.00,4.00,5.00,7.00,7.00,6.00,6.00,5.00,2.00,203,202,201,'NSA SRA DA SAUDE','CAXIAS DO SUL','RS',9452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301938,3.00,3.00,5.00,4.00,6.00,5.50,3.00,3.00,2.00,101,319,NULL,'ANDORINHA','ITAPEMA','SC',17690,215,861,NULL,NULL,NULL,NULL,2,3),(15,2301946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'CRUZEIRO DO SUL','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2301954,2.00,5.00,3.00,1.00,4.00,6.00,3.00,3.00,2.00,415,329,NULL,'CENTRO','VIDAL RAMOS','SC',21714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2301962,4.00,7.00,6.00,9.00,6.00,0.00,5.00,5.00,2.00,203,415,212,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2301970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,203,NULL,'DAS NAÇOES','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2301989,3.00,5.00,2.00,3.00,6.00,5.75,5.00,4.00,2.00,5,333,NULL,'BELA VISTA TRÊS','SAO JOSE','SC',16516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2301997,2.00,4.00,3.00,4.00,6.00,6.25,3.00,3.00,5.00,319,207,NULL,'SANTA CANDIDA','CURITIBA','PR',16855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2302004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,201,216,'JEQUITIBA','ARACRUZ','ES',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2302012,3.00,6.00,1.00,7.00,4.00,5.75,3.00,3.00,3.00,222,425,NULL,'INGLESES','FLORIANOPOLIS','SC',16869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2302039,5.00,6.00,1.00,4.00,7.00,4.25,7.00,5.00,5.00,319,339,NULL,'GUIOMAR','ANTONIO CARLOS','SC',12116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302047,3.00,5.00,4.00,6.00,7.00,3.75,6.00,6.00,2.00,208,222,238,'AMIZADE','JARAGUA DO SUL','SC',11775,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2302055,7.00,7.00,6.00,8.00,7.00,5.00,8.00,5.00,6.00,234,211,NULL,'TRINDADE','FLORIANOPOLIS','SC',3626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302063,3.00,5.00,0.00,2.00,4.00,NULL,2.00,4.00,3.00,102,420,NULL,'SANTINHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302071,0.00,7.00,2.00,3.00,5.00,3.00,4.00,2.00,2.00,444,302,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2302080,3.00,6.00,5.00,2.00,6.00,4.00,4.00,3.00,3.00,233,203,201,'CENTRO','RIO CLARO','SP',17031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2302098,3.00,7.00,5.00,4.00,6.00,3.75,5.00,6.00,5.00,215,501,216,'EVOLUCAO','SAO LUDGERO','SC',11420,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2302101,4.00,5.00,4.00,2.00,8.00,6.00,4.00,4.00,3.00,102,101,NULL,'SÃO MARTINHO','TUBARAO','SC',13602,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2302110,3.00,7.00,6.00,8.00,4.00,4.50,3.00,6.00,2.00,203,238,202,'CENTRO','VICOSA','MG',11591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302128,1.00,8.00,3.00,7.00,4.00,4.75,2.00,6.00,3.00,103,203,NULL,'MARGEM ESQUERDA','GASPAR','SC',14919,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2302136,7.00,8.00,6.00,6.00,7.00,6.50,7.00,7.00,6.00,304,324,NULL,'LAGOA DA CONCEICAO','FLORIANOPOLIS','SC',2132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2302144,2.00,3.00,0.00,6.00,6.00,NULL,6.00,6.00,2.00,222,324,NULL,'PIO CORREIA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2302160,3.00,7.00,3.00,9.00,7.00,4.75,6.00,5.00,2.00,429,328,425,'CAPOEIRAS','FLORIANOPOLIS','SC',9861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302187,5.00,6.00,0.00,8.00,7.00,5.00,2.00,4.00,2.00,324,423,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',14688,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2302195,2.00,9.00,7.00,8.00,8.00,4.25,8.00,7.00,2.00,208,327,238,'TRINDADE','FLORIANOPOLIS','SC',4421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302217,3.00,7.00,5.00,8.00,6.00,5.25,6.00,7.00,5.00,303,301,NULL,'NEREU RAMOS','JARAGUA DO SUL','SC',6575,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2302225,6.00,9.00,6.00,8.00,8.00,6.50,8.00,7.00,5.00,103,425,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',1995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302233,3.00,7.00,3.00,6.00,5.00,6.25,1.00,5.00,3.00,327,326,NULL,'SERRINHA','FLORIANOPOLIS','SC',15270,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2302250,4.00,5.00,1.00,5.00,6.00,5.75,3.00,2.00,3.00,216,415,215,'CENTRO','CHAPECO','SC',18363,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2302268,5.00,7.00,6.00,4.00,5.00,4.00,4.00,6.00,3.00,220,214,203,'HIGIENÓPOLIS','BAURU','SP',11584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302276,2.00,8.00,4.00,6.00,5.00,5.50,7.00,5.00,3.00,202,203,213,'VILA OPERÁRIA','MARINGA','PR',10422,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2302284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,108,216,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2302292,2.00,4.00,3.00,6.00,7.00,4.00,4.00,5.00,4.00,332,308,NULL,'VARGEM PRIMEIRA','TAIO','SC',13947,70,303,NULL,NULL,NULL,NULL,2,9),(15,2302306,6.00,7.00,8.00,8.00,7.00,7.75,9.00,7.00,7.00,103,NULL,NULL,'VILA PAULO','CRUZEIRO','SP',860,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2302314,4.00,4.00,3.00,5.00,6.00,6.00,5.00,6.00,2.00,501,304,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',14301,154,371,NULL,NULL,NULL,NULL,2,1),(15,2302322,5.00,8.00,6.00,8.00,6.00,5.50,8.00,6.00,4.00,202,213,220,'SALGADO FILHO','ARACAJU','SE',4927,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2302330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,207,NULL,'JARDIM EUROPA','CUIABA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2302349,3.00,5.00,4.00,1.00,7.00,6.50,3.00,5.00,2.00,404,444,NULL,'ABRAÃO','FLORIANOPOLIS','SC',17131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302357,0.00,5.00,6.00,1.00,4.00,3.75,3.00,4.00,0.00,2,225,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302365,3.00,6.00,4.00,7.00,7.00,4.00,4.00,3.00,3.00,103,308,NULL,'PIO CORRÊA','CRICIUMA','SC',12886,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2302373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,103,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2302381,4.00,8.00,5.00,9.00,8.00,6.25,6.00,5.00,2.00,303,215,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2302403,1.00,6.00,2.00,3.00,3.00,5.00,2.00,4.00,3.00,102,108,NULL,'DIVINO','PALMAS','PR',21433,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2302420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,415,NULL,'JARDIM DAS NAÇÕES','TAUBATE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2302446,2.00,6.00,4.00,4.00,5.00,4.75,5.00,4.00,2.00,318,NULL,NULL,'CRISTAL','VACARIA','RS',18496,230,NULL,NULL,NULL,NULL,NULL,4,9),(15,2302462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,216,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2302470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,102,NULL,'ALTO DA BOA VISTA','AVARE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2302489,2.00,6.00,3.00,8.00,6.00,4.50,4.00,5.00,3.00,103,104,NULL,'VELHA','BLUMENAU','SC',12332,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2302500,2.00,7.00,5.00,3.00,6.00,4.75,6.00,3.00,4.00,103,303,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',14526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302519,2.00,3.00,0.00,0.00,4.00,NULL,2.00,5.00,1.00,103,104,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2302527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,427,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2302535,4.00,6.00,3.00,8.00,8.00,6.25,6.00,4.00,2.00,207,420,211,'CENTRO','JOINVILLE','SC',8430,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2302543,4.00,5.00,5.00,0.00,4.00,NULL,4.00,3.00,3.00,302,317,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302551,0.00,6.00,4.00,6.00,5.00,5.25,4.00,4.00,4.00,339,450,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',15924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302560,2.00,5.00,3.00,2.00,5.00,3.00,4.00,4.00,3.00,203,214,220,'DALBERGIA','IBIRAMA','SC',20207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302578,2.00,6.00,1.00,5.00,5.00,5.25,4.00,7.00,2.00,331,501,NULL,'CENTRO','IPUMIRIM','SC',15934,66,485,NULL,NULL,NULL,NULL,2,7),(15,2302594,2.00,6.00,3.00,1.00,7.00,6.00,4.00,5.00,2.00,103,225,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302608,3.00,5.00,1.00,7.00,5.00,4.75,4.00,2.00,1.00,309,333,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',19981,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2302616,2.00,6.00,1.00,3.00,6.00,3.50,3.00,3.00,3.00,420,451,NULL,'CAMPECHE','FLORIANOPOLIS','SC',21164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,428,212,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2302632,2.00,5.00,0.00,1.00,5.00,NULL,2.00,5.00,3.00,339,451,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2302640,7.00,9.00,7.00,4.00,7.00,5.00,7.00,7.00,5.00,201,316,212,'CENTRO','FLORIANOPOLIS','SC',2912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,308,NULL,'CENTRO','NOVA SANTA ROSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2302667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,207,NULL,'VILA ORESTES','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2302675,7.00,5.00,7.00,3.00,7.00,5.50,6.00,5.00,6.00,103,9,NULL,'JARDIM DA PENHA','VITORIA','ES',7905,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2302683,4.00,7.00,4.00,6.00,5.00,4.50,4.00,2.00,3.00,427,451,423,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',14378,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2302691,2.00,7.00,5.00,6.00,3.00,5.75,3.00,6.00,4.00,216,203,211,'SANTO ANTÔNIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302705,1.00,8.00,3.00,7.00,5.00,4.50,3.00,6.00,3.00,329,328,NULL,'AREIAS','SAO JOSE','SC',15724,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2302713,4.00,8.00,2.00,5.00,6.00,8.00,5.00,5.00,3.00,420,415,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2302721,4.00,6.00,1.00,7.00,5.00,4.50,2.00,7.00,4.00,220,222,208,'FAZENDA','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2302756,0.00,5.00,0.00,2.00,7.00,NULL,2.00,3.00,0.00,339,308,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302772,1.00,6.00,4.00,3.00,6.00,6.50,2.00,5.00,3.00,339,NULL,NULL,'VILA GOMES CARDIM','SAO PAULO','SP',18042,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2302780,2.00,4.00,1.00,1.00,2.00,NULL,1.00,2.00,2.00,324,308,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,211,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2302802,5.00,7.00,5.00,5.00,5.00,5.00,4.00,5.00,3.00,238,222,208,'CARIANOS','FLORIANOPOLIS','SC',12018,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2302810,1.00,4.00,4.00,4.00,4.00,4.75,2.00,5.00,3.00,215,5,203,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2302829,3.00,7.00,5.00,9.00,7.00,6.50,4.00,5.00,3.00,415,207,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2302837,2.00,7.00,1.00,6.00,5.00,5.50,4.00,3.00,4.00,425,308,429,'ITACURUBI','FLORIANOPOLIS','SC',17091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302853,5.00,6.00,4.00,5.00,4.00,5.00,5.00,4.00,5.00,320,332,NULL,'TRINDADE','FLORIANOPOLIS','SC',11199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302861,2.00,4.00,6.00,1.00,6.00,4.25,3.00,4.00,4.00,302,404,NULL,'SERRARIA','SAO JOSE','SC',18647,156,443,NULL,NULL,NULL,NULL,4,1),(15,2302870,4.00,6.00,7.00,7.00,6.00,4.25,6.00,6.00,2.00,319,308,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302888,4.00,6.00,3.00,6.00,5.00,5.50,5.00,7.00,2.00,202,404,208,'SANTINHO','FLORIANOPOLIS','SC',11303,432,341,396,NULL,NULL,NULL,4,1),(15,2302896,1.00,4.00,2.00,2.00,5.00,5.00,2.00,4.00,3.00,303,9,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2302900,1.00,7.00,4.00,4.00,5.00,4.75,5.00,4.00,2.00,101,102,NULL,'SAGRADO CORAÇÃO','LAGES','SC',17223,199,1007,NULL,NULL,NULL,NULL,4,9),(15,2302918,3.00,8.00,3.00,4.00,6.00,5.25,5.00,6.00,3.00,301,214,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302926,4.00,6.00,4.00,5.00,5.00,5.25,4.00,5.00,5.00,450,420,NULL,'SÃO JOÃO','ITAJAI','SC',10613,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2302934,2.00,2.00,0.00,4.00,4.00,5.50,3.00,4.00,3.00,217,NULL,NULL,'SANTO ANTONIO','CAMPOS NOVOS','SC',21685,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2302942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,329,NULL,'JARDIM AMERICA','RIO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2302950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,420,NULL,'JARDIM ELDORADO','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2302969,3.00,6.00,1.00,1.00,4.00,NULL,2.00,2.00,1.00,207,316,212,'GUARANI','ANCHIETA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302977,3.00,4.00,0.00,2.00,4.00,NULL,2.00,3.00,1.00,429,324,425,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2302985,4.00,7.00,5.00,1.00,5.00,5.75,4.00,2.00,2.00,201,301,207,'SANTA BÁRBARA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2303000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,327,NULL,'VILA IPE','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2303019,4.00,8.00,3.00,4.00,7.00,5.25,5.00,3.00,4.00,5,420,NULL,'JURERÊ','FLORIANOPOLIS','SC',11898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303027,2.00,7.00,4.00,1.00,7.00,4.50,2.00,3.00,4.00,317,302,NULL,'CENTRO','PALHOCA','SC',16693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303035,4.00,6.00,2.00,5.00,9.00,5.25,5.00,6.00,3.00,102,301,NULL,'CENTRO','SAO JOAQUIM','SC',11624,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2303043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,203,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2303051,3.00,5.00,4.00,3.00,4.00,5.75,3.00,2.00,2.00,103,NULL,NULL,'CENTRO','SANTA MARIA','RS',19334,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2303060,2.00,5.00,1.00,2.00,5.00,NULL,3.00,1.00,2.00,502,215,NULL,'FATIMA','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2303078,3.00,6.00,3.00,6.00,8.00,5.75,3.00,5.00,2.00,208,304,201,'KOBRASOL','SAO JOSE','SC',13641,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2303086,5.00,4.00,1.00,1.00,5.00,4.00,2.00,3.00,2.00,9,324,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303094,0.00,4.00,3.00,5.00,7.00,5.75,5.00,2.00,2.00,104,444,NULL,'VARZEA','LAGES','SC',17936,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2303108,2.00,4.00,5.00,4.00,7.00,5.25,6.00,3.00,2.00,103,333,NULL,'MEIA PRAIA','ITAPEMA','SC',15920,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2303116,2.00,4.00,3.00,5.00,5.00,3.00,5.00,2.00,3.00,420,102,NULL,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',19546,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2303124,1.00,2.00,2.00,0.00,2.00,NULL,3.00,1.00,0.00,501,211,NULL,'CENTRO','MAREMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2303132,2.00,4.00,3.00,1.00,4.00,NULL,3.00,1.00,1.00,104,211,NULL,'CENTRO','MAREMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2303140,2.00,3.00,1.00,2.00,6.00,NULL,1.00,4.00,3.00,103,211,NULL,'CENTRO','MAREMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2303159,3.00,6.00,5.00,7.00,5.00,6.00,9.00,7.00,3.00,304,318,NULL,'JARDIM PLANALTO','PORTO ALEGRE','RS',6864,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2303167,2.00,6.00,2.00,7.00,5.00,5.00,2.00,4.00,2.00,429,316,425,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303175,2.00,3.00,0.00,1.00,7.00,NULL,1.00,3.00,4.00,501,211,NULL,'CENTRO','MAREMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2303191,2.00,3.00,3.00,2.00,3.00,NULL,2.00,3.00,2.00,5,327,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2303205,4.00,6.00,2.00,8.00,6.00,7.00,5.00,4.00,5.00,108,222,NULL,'DEHON','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2303213,1.00,6.00,1.00,6.00,6.00,5.75,1.00,3.00,1.00,207,451,211,'CENTRO','CANELINHA','SC',19897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2303221,4.00,7.00,6.00,1.00,6.00,5.75,6.00,7.00,4.00,303,301,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',9511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303230,3.00,6.00,6.00,4.00,6.00,5.00,5.00,8.00,4.00,318,316,NULL,'COQUEIROS','FLORIANOPOLIS','SC',9097,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2303248,4.00,8.00,7.00,8.00,8.00,5.50,6.00,6.00,4.00,316,238,NULL,'CAMPECHE','FLORIANOPOLIS','SC',3988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303256,5.00,8.00,6.00,7.00,9.00,8.50,9.00,7.00,9.00,103,NULL,NULL,'VILA YARA','OSASCO','SP',616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303264,2.00,6.00,0.00,4.00,5.00,5.00,4.00,5.00,3.00,444,102,NULL,'LARANJEIRAS','RIO DO SUL','SC',18346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'JARDIM DO SALSO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',1,1),(15,2303280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,451,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2303302,4.00,7.00,6.00,6.00,7.00,4.00,8.00,6.00,2.00,214,233,212,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',6401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2303310,1.00,2.00,2.00,7.00,4.00,6.25,4.00,4.00,5.00,215,451,214,'CENTRO','PALOTINA','PR',17586,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2303329,3.00,5.00,3.00,5.00,7.00,5.25,4.00,7.00,3.00,420,501,NULL,'CENTRO','CHOPINZINHO','PR',11895,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2303337,2.00,8.00,2.00,2.00,4.00,5.75,1.00,3.00,1.00,102,103,NULL,'PARQUE MADERIL','SAO JOAQUIM','SC',20889,477,3271,NULL,NULL,NULL,NULL,2,9),(15,2303345,4.00,8.00,8.00,6.00,8.00,5.25,5.00,6.00,4.00,201,308,238,'BARREIROS','SAO JOSE','SC',5303,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2303361,5.00,6.00,3.00,6.00,8.00,4.50,6.00,6.00,4.00,415,426,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',8968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303388,4.00,6.00,6.00,5.00,7.00,5.00,5.00,4.00,4.00,103,101,NULL,'ALTO DA BOA VISTA','SAO PAULO','SP',9724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303396,6.00,7.00,3.00,7.00,8.00,5.50,6.00,6.00,4.00,317,217,NULL,'SÃO CRISTOVÃO','CHAPECO','SC',5817,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2303400,4.00,8.00,5.00,8.00,6.00,5.75,5.00,6.00,2.00,5,451,NULL,'CENTRO','FLORIANOPOLIS','SC',8421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303418,5.00,8.00,9.00,8.00,4.00,5.75,9.00,6.00,4.00,203,NULL,NULL,'JARDIM UNIVERSAL','ARARAQUARA','SP',2992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303426,3.00,4.00,4.00,3.00,7.00,5.25,6.00,2.00,4.00,103,9,NULL,'BELA VISTA','PORTO ALEGRE','RS',16334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303434,1.00,2.00,5.00,2.00,1.00,NULL,1.00,2.00,3.00,317,444,NULL,'BARRACÃO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303442,2.00,5.00,4.00,6.00,5.00,5.00,4.00,3.00,2.00,339,309,NULL,'ESTREITO','FLORIANOPOLIS','SC',17196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303450,3.00,5.00,2.00,7.00,6.00,6.25,5.00,4.00,3.00,303,319,NULL,'COQUEIROS','FLORIANOPOLIS','SC',12623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303469,1.00,4.00,3.00,2.00,2.00,NULL,2.00,3.00,2.00,308,309,NULL,'TIJUQUINHAS','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2303477,4.00,7.00,5.00,6.00,6.00,6.75,7.00,7.00,3.00,103,NULL,NULL,'MARAMBAIA','VINHEDO','SP',5235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303485,3.00,6.00,6.00,7.00,5.00,3.75,4.00,5.00,4.00,217,222,NULL,'COQUEIROS','FLORIANOPOLIS','SC',11990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303493,3.00,7.00,4.00,4.00,3.00,3.50,3.00,6.00,3.00,208,203,238,'COQUEIROS','FLORIANOPOLIS','SC',17390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303507,3.00,6.00,5.00,4.00,6.00,3.50,5.00,7.00,3.00,208,224,201,'RIO BRANCO','CANOAS','RS',13090,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2303515,2.00,4.00,0.00,7.00,7.00,NULL,2.00,1.00,6.00,104,9,NULL,'BELA VISTA I','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2303523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,203,213,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2303531,1.00,7.00,1.00,3.00,5.00,6.00,3.00,3.00,2.00,301,331,NULL,'BARREIROS','SAO JOSE','SC',20241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303540,5.00,8.00,6.00,1.00,6.00,5.00,6.00,5.00,4.00,103,333,NULL,'SANTA MARIA','CHAPECO','SC',10447,2195,664,NULL,NULL,NULL,NULL,4,4),(15,2303558,0.00,8.00,2.00,7.00,4.00,3.25,3.00,6.00,2.00,304,318,NULL,'MOOCA','SAO PAULO','SP',17598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303566,6.00,7.00,3.00,4.00,7.00,5.50,3.00,6.00,4.00,104,102,NULL,'CENTRO','MASSARANDUBA','SC',9624,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2303574,2.00,4.00,1.00,1.00,4.00,NULL,2.00,3.00,2.00,420,9,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303582,2.00,6.00,3.00,5.00,6.00,4.25,6.00,5.00,1.00,222,224,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',15741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303590,5.00,8.00,5.00,9.00,7.00,6.50,5.00,7.00,1.00,451,424,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',5869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303604,3.00,6.00,2.00,1.00,3.00,4.00,4.00,3.00,3.00,404,5,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',21799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303612,2.00,5.00,3.00,1.00,7.00,6.00,3.00,3.00,2.00,326,331,NULL,'MAR GROSSO','LAGUNA','SC',19434,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2303620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2303655,2.00,8.00,6.00,9.00,8.00,5.75,7.00,8.00,3.00,201,213,203,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LEBLON','PARANAGUA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2303671,1.00,2.00,2.00,4.00,4.00,6.00,3.00,4.00,2.00,215,102,216,'CENTRO','CRICIUMA','SC',20996,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2303680,3.00,6.00,0.00,6.00,7.00,6.25,1.00,5.00,2.00,104,102,NULL,'CENTRO','CANOINHAS','SC',17047,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2303698,3.00,6.00,2.00,1.00,4.00,5.50,4.00,5.00,2.00,238,502,208,'INTERIOR','XAVANTINA','SC',19495,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2303701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,303,213,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2303710,5.00,7.00,2.00,4.00,6.00,6.25,3.00,6.00,5.00,303,5,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2303728,5.00,8.00,3.00,4.00,5.00,5.25,3.00,4.00,4.00,103,319,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303736,2.00,1.00,1.00,1.00,3.00,NULL,1.00,2.00,1.00,103,101,NULL,'MORRO SANTANA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2303744,1.00,7.00,2.00,7.00,7.00,6.00,3.00,6.00,3.00,104,420,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',12245,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2303752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2303760,2.00,6.00,2.00,5.00,8.00,5.50,4.00,6.00,3.00,428,450,426,'AREIAS','TIJUCAS','SC',12007,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2303779,2.00,5.00,1.00,6.00,3.00,4.75,3.00,2.00,3.00,308,324,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',20818,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2303817,3.00,7.00,3.00,3.00,8.00,5.25,5.00,4.00,3.00,304,451,NULL,'JARDIM CAIÇARA','SAO JOAQUIM','SC',12969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303825,0.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,207,420,233,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(15,2303833,4.00,5.00,3.00,2.00,7.00,2.00,4.00,3.00,1.00,420,208,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303850,4.00,6.00,1.00,2.00,4.00,5.50,3.00,3.00,2.00,223,427,NULL,'MOURA','CANELINHA','SC',20667,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2303868,3.00,5.00,2.00,4.00,5.00,1.00,3.00,3.00,3.00,101,5,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2303876,6.00,6.00,6.00,7.00,7.00,5.50,8.00,8.00,6.00,103,104,NULL,'AGUA VERDE','CURITIBA','PR',3033,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2303892,3.00,5.00,6.00,7.00,7.00,5.00,6.00,4.00,3.00,220,329,202,'MINEIRA VELHA','CRICIUMA','SC',9201,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2303906,5.00,8.00,5.00,6.00,9.00,6.00,7.00,5.00,6.00,303,201,NULL,'CENTRO','JOACABA','SC',4030,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2303914,3.00,7.00,5.00,9.00,7.00,6.50,4.00,6.00,3.00,415,424,NULL,'CENTRO','PALHOCA','SC',7060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303922,2.00,3.00,0.00,5.00,3.00,4.75,2.00,3.00,2.00,404,303,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303930,6.00,5.00,2.00,6.00,5.00,6.50,5.00,5.00,4.00,303,423,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2303949,5.00,7.00,6.00,6.00,7.00,5.75,3.00,4.00,4.00,238,327,201,'CENTRO','TIJUCAS','SC',9058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303957,1.00,2.00,2.00,3.00,4.00,NULL,3.00,1.00,0.00,103,101,NULL,'FELIPE SCHMIDT','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2303965,7.00,8.00,8.00,8.00,7.00,6.50,9.00,8.00,7.00,103,202,NULL,'CIRO NARDI','CASCAVEL','PR',577,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2303973,3.00,5.00,4.00,9.00,6.00,6.00,3.00,3.00,4.00,301,444,NULL,'SANTO ANTONIO','JOINVILLE','SC',12769,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2303981,5.00,8.00,7.00,8.00,9.00,7.25,6.00,7.00,4.00,425,429,426,'ESTREITO','FLORIANOPOLIS','SC',2249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2303990,2.00,2.00,3.00,4.00,3.00,5.75,3.00,2.00,1.00,303,214,NULL,'CENTRO','RIO DO SUL','SC',22332,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2304007,5.00,5.00,6.00,5.00,7.00,7.00,5.00,4.00,1.00,103,9,NULL,'CAMPO COMPRIDO','CURITIBA','PR',9366,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2304015,3.00,7.00,2.00,2.00,5.00,4.50,2.00,5.00,2.00,214,NULL,NULL,'JAROSESKI','DESCANSO','SC',19505,560,NULL,NULL,NULL,NULL,NULL,4,4),(15,2304023,2.00,3.00,2.00,4.00,5.00,5.75,1.00,3.00,3.00,320,215,NULL,'CENTRO','ABDON BATISTA','SC',21221,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2304031,5.00,6.00,4.00,6.00,7.00,6.50,6.00,4.00,3.00,451,224,NULL,'CENTRO','SAO JOSE','SC',9758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304040,2.00,9.00,6.00,5.00,7.00,5.00,4.00,8.00,2.00,316,317,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',8137,159,457,NULL,NULL,NULL,NULL,2,1),(15,2304058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,328,208,'APONIÃ','PORTO VELHO','RO',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2304066,1.00,6.00,2.00,4.00,6.00,6.25,0.00,5.00,3.00,9,319,NULL,'INTERIOR','MARAVILHA','SC',18371,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2304074,5.00,6.00,4.00,7.00,7.00,7.00,6.00,8.00,5.00,103,328,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',5069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,203,NULL,'COLEGIO ESTADUAL','IPORA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2304090,0.00,6.00,4.00,5.00,5.00,6.50,3.00,7.00,4.00,103,415,NULL,'CENTRO','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2304104,4.00,7.00,7.00,7.00,6.00,5.00,5.00,7.00,1.00,238,222,212,'CENTRO','FLORIANOPOLIS','SC',8872,278,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304112,6.00,8.00,5.00,6.00,7.00,5.00,2.00,5.00,3.00,319,420,NULL,'VILA NOVA','IMBITUBA','SC',8993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2304139,4.00,4.00,3.00,5.00,3.00,5.00,6.00,3.00,3.00,201,211,202,'ANA MARIA','CRICIUMA','SC',17320,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2304147,2.00,7.00,2.00,4.00,8.00,6.25,3.00,8.00,1.00,415,327,NULL,'CENTRO','ICARA','SC',12455,316,318,NULL,NULL,NULL,NULL,2,5),(15,2304155,0.00,0.00,0.00,1.00,4.00,NULL,1.00,2.00,0.00,318,202,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(15,2304163,2.00,4.00,5.00,4.00,2.00,NULL,3.00,3.00,2.00,104,301,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2304180,0.00,4.00,2.00,3.00,2.00,NULL,2.00,2.00,1.00,103,104,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304201,2.00,3.00,5.00,1.00,6.00,6.00,4.00,2.00,2.00,102,502,NULL,'SÃO LUIZ','BRUSQUE','SC',19912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304210,2.00,6.00,2.00,6.00,6.00,6.00,5.00,7.00,4.00,309,310,NULL,'CANTO','FLORIANOPOLIS','SC',12652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304228,1.00,4.00,4.00,6.00,7.00,6.75,1.00,4.00,3.00,429,NULL,425,'PRIMEIRO DE MAIO','BRUSQUE','SC',17532,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2304236,2.00,6.00,2.00,6.00,3.00,6.25,1.00,5.00,3.00,207,5,NULL,'SÃO DEFENDE','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2304244,4.00,6.00,3.00,8.00,6.00,5.50,5.00,4.00,2.00,420,450,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304260,2.00,7.00,7.00,6.00,7.00,5.25,6.00,6.00,3.00,208,223,238,'NONOAI','PORTO ALEGRE','RS',9287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2304279,4.00,4.00,4.00,7.00,6.00,5.00,5.00,4.00,5.00,333,108,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304287,3.00,4.00,0.00,4.00,5.00,NULL,3.00,3.00,3.00,319,326,NULL,'RIO MAINA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2304295,4.00,7.00,4.00,4.00,5.00,5.25,7.00,6.00,3.00,333,423,NULL,'BARREIROS','SAO JOSE','SC',11789,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2304309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,222,238,'TRISTEZA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2304317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,316,208,'CENTRO','SAO JOAO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2304325,1.00,2.00,2.00,3.00,4.00,NULL,2.00,4.00,1.00,108,415,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2304333,3.00,7.00,2.00,5.00,8.00,6.25,4.00,3.00,3.00,425,415,429,'NENE GRAEFF','PASSO FUNDO','RS',14615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304341,1.00,8.00,1.00,3.00,1.00,NULL,2.00,6.00,4.00,217,329,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304350,6.00,7.00,6.00,8.00,7.00,4.75,4.00,4.00,4.00,303,319,NULL,'COSTA E SILVA','JOINVILLE','SC',6947,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2304368,4.00,6.00,5.00,6.00,6.00,6.00,7.00,8.00,2.00,303,302,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',9018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304376,4.00,5.00,5.00,6.00,5.00,5.00,4.00,4.00,3.00,304,328,NULL,'PETRÓPOLIS','PORTO ALEGRE','RS',12735,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2304384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'JARDIM SOCIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2304392,4.00,8.00,5.00,6.00,8.00,4.50,6.00,7.00,5.00,444,108,NULL,'ARMAÇAO DO PSUL','FLORIANOPOLIS','SC',5344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304406,2.00,7.00,4.00,5.00,4.00,4.75,4.00,8.00,1.00,333,225,NULL,'CENTRO','CRICIUMA','SC',15812,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2304414,3.00,8.00,4.00,6.00,7.00,5.00,2.00,6.00,3.00,450,415,NULL,'ALTO DA COLINA','LONDRINA','PR',11816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304422,2.00,6.00,3.00,3.00,6.00,6.00,3.00,4.00,3.00,207,420,233,'CENTRO','FAXINAL DOS GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2304430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,310,NULL,'JD PAULISTANO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2304449,4.00,6.00,4.00,6.00,7.00,5.00,4.00,4.00,4.00,301,316,NULL,'CENTRO','TUBARAO','SC',12577,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2304457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'JARDIM BANDEIRANTES','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2304465,3.00,8.00,1.00,6.00,5.00,4.00,4.00,7.00,3.00,103,108,NULL,'CENTRO','MAFRA','SC',13831,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2304473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,332,NULL,'PIO CORREA','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2304481,1.00,3.00,2.00,5.00,6.00,NULL,2.00,2.00,0.00,317,308,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2304490,0.00,4.00,2.00,0.00,5.00,NULL,3.00,1.00,2.00,220,NULL,NULL,'PINHEIROS','OTACILIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2304503,1.00,7.00,1.00,6.00,5.00,0.00,5.00,8.00,2.00,316,301,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304511,5.00,8.00,6.00,7.00,6.00,7.00,7.00,7.00,2.00,201,316,207,'CACUPÉ','FLORIANOPOLIS','SC',5505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304520,2.00,6.00,5.00,4.00,7.00,4.50,3.00,2.00,2.00,207,238,201,'CENTRO','BRACO DO NORTE','SC',18064,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2304538,5.00,7.00,6.00,9.00,6.00,6.50,9.00,7.00,6.00,2,223,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304546,2.00,7.00,1.00,8.00,9.00,7.50,4.00,7.00,4.00,426,329,425,'CARVOEIRA','FLORIANOPOLIS','SC',8565,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2304554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2304589,2.00,4.00,1.00,4.00,6.00,5.75,2.00,3.00,1.00,104,444,NULL,'CENTRO','SAO JOSE','SC',21350,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2304597,2.00,6.00,5.00,5.00,6.00,4.00,6.00,4.00,3.00,203,444,216,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304600,2.00,6.00,1.00,4.00,2.00,NULL,3.00,1.00,1.00,101,103,NULL,'CENTRO','IBIRAMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2304619,5.00,7.00,5.00,9.00,8.00,7.00,5.00,7.00,4.00,326,429,NULL,'CENTRO','ERECHIM','RS',3616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304627,0.00,0.00,0.00,7.00,8.00,NULL,0.00,0.00,0.00,102,101,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(15,2304635,2.00,5.00,4.00,4.00,5.00,5.50,4.00,5.00,1.00,404,331,NULL,'CENTRO','SUL BRASIL','SC',18555,172,215,NULL,NULL,NULL,NULL,2,4),(15,2304643,4.00,5.00,2.00,2.00,2.00,NULL,2.00,5.00,3.00,444,429,NULL,'ELIZABETH','IJUI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304660,1.00,2.00,0.00,2.00,4.00,NULL,1.00,2.00,3.00,332,224,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304678,3.00,6.00,5.00,7.00,4.00,4.50,5.00,4.00,1.00,320,308,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',15031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2304686,4.00,7.00,6.00,2.00,5.00,5.00,4.00,4.00,2.00,103,104,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304694,3.00,5.00,4.00,5.00,8.00,5.75,3.00,3.00,3.00,104,309,NULL,'CENTRO','FLORIANOPOLIS','SC',13640,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2304708,2.00,6.00,5.00,5.00,5.00,4.25,3.00,3.00,1.00,223,224,NULL,'PICADAS DO SUL','SAO JOSE','SC',18167,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2304716,0.00,0.00,0.00,5.00,1.00,NULL,0.00,0.00,0.00,104,207,NULL,'ITAPEMA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(15,2304724,1.00,6.00,1.00,5.00,4.00,4.50,4.00,7.00,0.00,415,320,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',19510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2304732,6.00,6.00,8.00,9.00,8.00,7.25,6.00,5.00,3.00,238,424,212,'CENTRO','FLORIANOPOLIS','SC',3968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,214,203,'LIDER','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2304759,4.00,8.00,5.00,9.00,6.00,6.75,4.00,7.00,1.00,238,NULL,208,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',6838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304767,2.00,3.00,2.00,4.00,2.00,NULL,1.00,3.00,2.00,502,108,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2304775,1.00,5.00,2.00,3.00,6.00,5.75,1.00,4.00,3.00,501,502,NULL,'CENTRO','MARAVILHA','SC',20350,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2304783,4.00,3.00,2.00,1.00,4.00,5.25,3.00,4.00,3.00,103,211,NULL,'ESTAÇÃO','URUSSANGA','SC',20710,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2304791,3.00,8.00,3.00,6.00,6.00,5.00,6.00,6.00,4.00,103,216,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2304805,4.00,7.00,7.00,4.00,7.00,6.00,5.00,7.00,4.00,317,327,NULL,'TAPERA','FLORIANOPOLIS','SC',6136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2304821,5.00,6.00,4.00,6.00,7.00,6.00,7.00,7.00,3.00,333,104,NULL,'ENSEADA','AMERICANA','SP',8008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304830,2.00,5.00,3.00,5.00,4.00,6.50,3.00,4.00,1.00,329,424,NULL,'CENTRO','FLORIANOPOLIS','SC',18587,64,238,NULL,NULL,NULL,NULL,2,1),(15,2304848,3.00,3.00,2.00,8.00,8.00,5.75,3.00,5.00,3.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2304856,2.00,4.00,1.00,4.00,4.00,5.25,4.00,6.00,2.00,102,108,NULL,'EDMUNDO TREIN','PASSO FUNDO','RS',17693,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2304864,5.00,8.00,5.00,7.00,7.00,5.25,6.00,7.00,2.00,301,316,NULL,'MOOCA','SAO PAULO','SP',6074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304872,5.00,6.00,5.00,5.00,6.00,5.75,5.00,4.00,3.00,103,NULL,NULL,'CENTRO','CORUMBA','MS',10444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304880,3.00,8.00,6.00,9.00,9.00,6.25,7.00,7.00,4.00,318,211,NULL,'CENTRO','FLORIANOPOLIS','SC',2293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304899,3.00,8.00,6.00,2.00,3.00,4.75,4.00,7.00,3.00,203,214,220,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2304902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,212,NULL,'NORTE','TAGUATINGA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2304910,2.00,4.00,3.00,7.00,6.00,5.75,3.00,4.00,4.00,303,207,NULL,'CENTRO','PALHOCA','SC',14847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2304929,2.00,7.00,5.00,5.00,6.00,7.00,6.00,3.00,4.00,451,501,NULL,'ABRAÃO','FLORIANOPOLIS','SC',10426,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2304937,2.00,3.00,1.00,6.00,5.00,6.50,2.00,3.00,3.00,102,9,NULL,'CENTRO','LUZERNA','SC',19864,447,700,NULL,NULL,NULL,NULL,2,7),(15,2304945,3.00,6.00,3.00,2.00,6.00,3.75,5.00,5.00,3.00,303,103,NULL,'FREI ROGÉRIO','LAGES','SC',16454,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2304953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'JARDIM ITÁLIA','CUIABA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2304970,5.00,5.00,5.00,6.00,6.00,6.00,6.00,6.00,4.00,202,213,220,'ROSA CRUZ','MOGI GUACU','SP',6843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2304988,5.00,8.00,5.00,5.00,5.00,5.00,7.00,4.00,8.00,316,318,NULL,'ESTREITO BALNEARIO','FLORIANOPOLIS','SC',7648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2304996,3.00,6.00,4.00,4.00,6.00,3.75,5.00,2.00,4.00,220,208,201,'JARDIM BELA VISTA','SORRISO','MT',16798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305003,1.00,3.00,0.00,3.00,3.00,NULL,1.00,5.00,2.00,319,339,NULL,'RATONES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305011,1.00,5.00,4.00,5.00,5.00,5.50,5.00,5.00,3.00,202,212,213,'ESTREITO','FLORIANOPOLIS','SC',16151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305020,3.00,7.00,3.00,1.00,9.00,5.75,1.00,7.00,4.00,5,9,NULL,'OFICINAS','TUBARAO','SC',14559,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2305038,3.00,6.00,1.00,0.00,4.00,6.75,3.00,4.00,1.00,327,324,NULL,'CENTRO','SAO JOSE','SC',21764,191,443,NULL,NULL,NULL,NULL,4,1),(15,2305054,2.00,4.00,4.00,1.00,2.00,NULL,6.00,1.00,0.00,225,224,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2305062,4.00,7.00,6.00,8.00,7.00,6.00,6.00,7.00,4.00,203,220,202,'JARDIM DOS LORDES','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305070,6.00,8.00,3.00,4.00,6.00,4.75,5.00,5.00,2.00,108,217,NULL,'CENTRO','FLORIANOPOLIS','SC',12573,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2305089,3.00,6.00,2.00,3.00,3.00,4.50,5.00,4.00,2.00,415,404,NULL,'CENTRO','TIJUCAS','SC',20021,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2305097,6.00,8.00,6.00,3.00,6.00,5.00,6.00,5.00,5.00,5,304,NULL,'CENTRO','MARECHAL CANDIDO RONDON','PR',6954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305100,2.00,8.00,1.00,4.00,6.00,4.25,2.00,7.00,2.00,327,451,NULL,'INGLESES','FLORIANOPOLIS','SC',17195,135,246,NULL,NULL,NULL,NULL,2,1),(15,2305119,1.00,3.00,3.00,1.00,4.00,NULL,3.00,2.00,3.00,333,108,NULL,'VILA FIUSA','ASSIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305127,1.00,8.00,3.00,4.00,9.00,5.50,4.00,5.00,2.00,203,202,NULL,'CENTRO','NOVA TRENTO','SC',14152,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2305135,2.00,6.00,7.00,6.00,5.00,6.00,5.00,6.00,4.00,207,420,NULL,'CENTRO','PORTO ALEGRE','RS',9683,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2305143,0.00,5.00,2.00,3.00,4.00,NULL,2.00,1.00,1.00,303,309,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2305151,4.00,6.00,1.00,7.00,6.00,6.25,4.00,5.00,1.00,217,2,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',14662,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2305160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,332,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2305178,3.00,7.00,4.00,7.00,7.00,5.25,7.00,7.00,3.00,102,211,NULL,'VELHA','BLUMENAU','SC',7257,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2305186,3.00,6.00,3.00,6.00,5.00,3.75,6.00,5.00,3.00,420,207,NULL,'BARREIROS','SAO JOSE','SC',14500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305194,2.00,3.00,1.00,5.00,2.00,NULL,5.00,2.00,2.00,207,316,NULL,'CENTRO','SIDEROPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2305208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,502,NULL,'VILA BANDEIRANTES','ARACATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2305224,8.00,7.00,8.00,5.00,7.00,5.00,7.00,7.00,4.00,450,NULL,NULL,'CENTRO','JOINVILLE','SC',3860,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2305232,1.00,5.00,2.00,4.00,3.00,3.00,1.00,4.00,4.00,213,214,212,'REBOUÇAS','CURITIBA','PR',21752,344,808,422,NULL,NULL,NULL,4,6),(15,2305240,1.00,2.00,0.00,5.00,2.00,NULL,3.00,1.00,3.00,415,304,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2305259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,103,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2305267,1.00,5.00,3.00,5.00,5.00,5.00,3.00,1.00,1.00,216,102,215,'CENTRO','BALNEARIO CAMBORIU','SC',21579,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2305283,2.00,4.00,2.00,4.00,5.00,4.00,3.00,5.00,1.00,213,211,202,'CENTRO','ARATIBA','RS',21316,340,1020,701,NULL,NULL,NULL,5,4),(15,2305291,0.00,0.00,0.00,2.00,6.00,NULL,0.00,0.00,0.00,316,5,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,7),(15,2305305,3.00,4.00,0.00,5.00,5.00,4.00,3.00,5.00,2.00,329,423,NULL,'BARREIROS','SAO JOSE','SC',19873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2305313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'JD SÃO SILVESTRE','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2305321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUTIERREZ','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2305330,0.00,2.00,0.00,2.00,4.00,NULL,1.00,4.00,2.00,324,309,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305348,5.00,7.00,6.00,5.00,6.00,6.50,9.00,5.00,5.00,220,203,214,'ALTO DA LAPA','SAO PAULO','SP',4947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305364,4.00,7.00,2.00,5.00,7.00,5.25,2.00,6.00,4.00,201,316,211,'CENTRO','CRICIUMA','SC',13775,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2305372,6.00,6.00,4.00,9.00,6.00,6.25,6.00,6.00,3.00,319,316,NULL,'CENTRO','FLORIANOPOLIS','SC',6948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305380,2.00,5.00,4.00,2.00,5.00,5.00,3.00,4.00,2.00,501,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2305399,5.00,4.00,0.00,4.00,5.00,3.75,6.00,7.00,2.00,103,9,NULL,'PIRAPÓ','APUCARANA','PR',15484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305402,6.00,8.00,9.00,6.00,8.00,6.25,7.00,6.00,7.00,207,NULL,NULL,'SÃO FRANCISCO','IRATI','PR',1946,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2305410,3.00,3.00,5.00,1.00,5.00,4.75,4.00,4.00,5.00,304,302,NULL,'ESTREITO','FLORIANOPOLIS','SC',18183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2305437,1.00,5.00,3.00,0.00,5.00,5.75,2.00,4.00,4.00,213,302,202,'BARREIROS','SAO JOSE','SC',20695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305445,4.00,6.00,3.00,1.00,6.00,5.50,4.00,5.00,3.00,103,217,NULL,'PAES LEME','IMBITUBA','SC',14508,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2305453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,234,NULL,'BELA VISTA IV','COSMOPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2305461,5.00,7.00,4.00,3.00,8.00,6.75,5.00,6.00,4.00,216,501,215,'OPERARIA NOVA','CRICIUMA','SC',8620,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2305470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,208,NULL,'JARDIM ALVORADA','SAO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2305488,3.00,5.00,4.00,5.00,7.00,4.50,6.00,5.00,2.00,308,339,NULL,'CENTRO','FLORIANOPOLIS','SC',14817,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2305496,3.00,6.00,3.00,3.00,6.00,4.75,3.00,6.00,1.00,238,213,208,'ESTREITO','FLORIANOPOLIS','SC',17932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305500,4.00,8.00,4.00,7.00,4.00,4.75,4.00,5.00,1.00,108,9,NULL,'JOAQUIM TAVORA','FORTALEZA','CE',13283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2305518,4.00,6.00,8.00,6.00,5.00,4.50,6.00,5.00,4.00,103,104,NULL,'CENTRO','GUARAPUAVA','PR',8203,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2305526,4.00,6.00,4.00,2.00,5.00,6.25,3.00,4.00,3.00,211,316,NULL,'A NASPOLINI','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2305534,6.00,8.00,2.00,5.00,6.00,5.75,6.00,6.00,5.00,207,324,238,'BARREIROS','SAO JOSE','SC',8058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305542,4.00,7.00,2.00,6.00,6.00,5.50,7.00,5.00,3.00,203,234,211,'BOM RETIRO','JOINVILLE','SC',9720,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2305550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,320,NULL,'ZONA SETE','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2305569,2.00,5.00,0.00,0.00,3.00,4.50,4.00,7.00,1.00,5,327,NULL,'UVARANAS','PONTA GROSSA','PR',21926,895,481,NULL,NULL,NULL,NULL,2,1),(15,2305577,3.00,4.00,1.00,4.00,7.00,4.75,3.00,4.00,2.00,319,301,NULL,'SAO JOSE','RIO DOS CEDROS','SC',19326,421,797,NULL,NULL,NULL,NULL,2,2),(15,2305585,6.00,8.00,7.00,7.00,9.00,4.50,7.00,6.00,7.00,217,501,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',2398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305593,3.00,2.00,2.00,4.00,6.00,6.00,3.00,1.00,3.00,317,318,NULL,'ESTREITO','FLORIANOPOLIS','SC',20736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2305607,2.00,9.00,3.00,7.00,6.00,7.25,5.00,6.00,4.00,207,331,201,'GARCIA','BLUMENAU','SC',8041,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2305615,4.00,4.00,7.00,3.00,5.00,5.75,5.00,6.00,1.00,203,220,208,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305623,3.00,4.00,2.00,4.00,4.00,4.75,2.00,3.00,1.00,450,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',21914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2305631,0.00,7.00,2.00,3.00,7.00,5.75,2.00,5.00,3.00,220,202,203,'CENTRO','SORRISO','MT',19162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305640,3.00,5.00,5.00,7.00,5.00,3.75,4.00,7.00,4.00,420,333,NULL,'CANTA GALO','RIO DO SUL','SC',10653,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2305666,3.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,102,101,NULL,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2305674,1.00,6.00,0.00,1.00,2.00,NULL,3.00,5.00,2.00,103,9,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2305682,4.00,6.00,4.00,2.00,7.00,5.75,5.00,5.00,2.00,103,5,NULL,'CENTRO','CRICIUMA','SC',13018,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2305690,5.00,8.00,6.00,9.00,9.00,6.00,7.00,7.00,5.00,316,301,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',1454,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2305704,3.00,4.00,5.00,8.00,7.00,5.50,5.00,6.00,3.00,5,424,NULL,'CENTRO','ITUPORANGA','SC',9443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305720,0.00,4.00,2.00,3.00,5.00,NULL,2.00,4.00,1.00,415,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2305739,3.00,8.00,5.00,8.00,4.00,4.75,6.00,2.00,2.00,303,302,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305747,5.00,9.00,8.00,8.00,7.00,6.50,7.00,9.00,5.00,216,211,201,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2305755,2.00,3.00,1.00,2.00,2.00,NULL,1.00,3.00,2.00,103,104,NULL,'SÃO PAULO','TAPEJARA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2305763,3.00,6.00,3.00,5.00,5.00,4.50,5.00,6.00,5.00,420,329,NULL,'PONTA AGUDA','BLUMENAU','SC',13087,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2305780,2.00,5.00,0.00,5.00,4.00,NULL,4.00,4.00,2.00,301,303,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,104,NULL,'PASSO DOS FORTES','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2305801,3.00,5.00,1.00,7.00,6.00,6.25,2.00,3.00,2.00,101,102,NULL,'CENTRO','SAO JOAQUIM','SC',17653,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2305828,4.00,4.00,3.00,1.00,5.00,4.75,4.00,4.00,2.00,104,211,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',20208,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2305836,5.00,8.00,3.00,7.00,6.00,5.00,3.00,3.00,2.00,318,320,NULL,'KOBRASOL','SAO JOSE','SC',13622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2305844,5.00,8.00,4.00,3.00,7.00,7.25,3.00,6.00,2.00,426,217,424,'CAMPINAS','SAO JOSE','SC',11452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,420,NULL,'CENTRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2305860,4.00,6.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,316,332,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2305879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2305895,6.00,7.00,8.00,6.00,5.00,7.00,7.00,8.00,3.00,224,222,NULL,'SERRARIA','SAO JOSE','SC',3420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2305909,5.00,5.00,3.00,1.00,8.00,4.00,5.00,4.00,3.00,303,211,NULL,'COQUEIROS','FLORIANOPOLIS','SC',15863,727,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,502,214,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2305933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,332,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2305941,2.00,4.00,5.00,3.00,5.00,5.50,7.00,4.00,3.00,224,222,NULL,'CAMPECHE','FLORIANOPOLIS','SC',16586,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2305950,6.00,9.00,6.00,9.00,8.00,5.00,9.00,6.00,4.00,415,420,NULL,'CENTRO','FLORIANOPOLIS','SC',2174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305968,5.00,8.00,1.00,4.00,6.00,5.50,5.00,4.00,4.00,339,NULL,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',12417,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2305976,3.00,5.00,4.00,2.00,3.00,4.50,2.00,3.00,4.00,208,222,238,'N SHA DO ROSÁRIO','SAO JOSE','SC',21520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305984,5.00,8.00,6.00,1.00,6.00,6.50,6.00,5.00,6.00,317,429,NULL,'ESTREITO','FLORIANOPOLIS','SC',8138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2305992,1.00,6.00,1.00,5.00,3.00,6.50,3.00,2.00,4.00,319,308,NULL,'SUMARE','RIO DO SUL','SC',19836,434,422,NULL,NULL,NULL,NULL,2,3),(15,2306018,5.00,6.00,5.00,6.00,8.00,6.25,5.00,7.00,2.00,320,425,NULL,'TRINDADE','FLORIANOPOLIS','SC',6565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306026,2.00,7.00,6.00,3.00,6.00,5.00,6.00,5.00,3.00,303,420,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',11818,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2306034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,5,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2306042,6.00,8.00,6.00,8.00,9.00,5.50,8.00,8.00,5.00,103,104,NULL,'CENTRO','JOINVILLE','SC',1725,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2306050,4.00,3.00,2.00,5.00,3.00,3.25,2.00,4.00,2.00,208,238,213,'STO ANT DE LISBOA','FLORIANOPOLIS','SC',21749,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2306069,5.00,6.00,5.00,3.00,6.00,0.00,5.00,9.00,5.00,207,420,216,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306077,7.00,7.00,9.00,6.00,9.00,6.75,9.00,8.00,8.00,220,216,203,'ACLIMAÇÃO','SAO PAULO','SP',433,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2306085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,211,NULL,'LUXEMBURGO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2306107,2.00,2.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,415,420,NULL,'JARDIM ELDORADO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306115,3.00,8.00,8.00,6.00,5.00,5.75,6.00,6.00,4.00,450,415,NULL,'LAGO NORTE','LAGO NORTE','DF',6839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306123,4.00,6.00,3.00,7.00,6.00,5.50,7.00,6.00,3.00,316,225,NULL,'JARDIM BOTANICO','PORTO ALEGRE','RS',8941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2306131,4.00,8.00,3.00,9.00,6.00,7.50,7.00,9.00,3.00,450,427,NULL,'PONTA DE BAIXO','SAO JOSE','SC',4547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306140,2.00,3.00,2.00,2.00,3.00,NULL,3.00,2.00,1.00,104,5,NULL,'SANTANA','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306158,4.00,6.00,4.00,5.00,6.00,6.00,4.00,6.00,3.00,318,317,NULL,'TRINDADE','FLORIANOPOLIS','SC',11422,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2306166,2.00,4.00,2.00,4.00,5.00,5.75,3.00,5.00,4.00,103,NULL,NULL,'SANTO ANTONIO','VENTANIA','PR',18486,2901,NULL,NULL,NULL,NULL,NULL,2,1),(15,2306174,0.00,4.00,0.00,0.00,2.00,NULL,3.00,1.00,2.00,9,104,NULL,'SANTA TEREZA','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2306182,3.00,8.00,4.00,1.00,7.00,5.75,6.00,7.00,5.00,238,332,208,'KOBRASOL','SAO JOSE','SC',9916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306190,0.00,4.00,0.00,3.00,2.00,NULL,3.00,1.00,1.00,101,316,NULL,'PRADENSE','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306204,7.00,7.00,5.00,6.00,7.00,6.75,7.00,6.00,5.00,327,426,NULL,'CENTRO','FLORIANOPOLIS','SC',2985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306212,6.00,5.00,3.00,7.00,6.00,7.50,6.00,8.00,3.00,303,215,NULL,'CENTRO','FREDERICO WESTPHALEN','RS',7443,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2306220,4.00,3.00,1.00,1.00,3.00,NULL,3.00,1.00,2.00,102,104,NULL,'PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306239,4.00,3.00,2.00,4.00,5.00,6.75,1.00,4.00,2.00,102,103,NULL,'RIO ADAGA','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306247,1.00,3.00,1.00,1.00,3.00,NULL,4.00,2.00,1.00,104,102,NULL,'CORDEIROS','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2306255,6.00,5.00,7.00,7.00,7.00,6.25,8.00,7.00,7.00,450,NULL,NULL,'NOVA PAULÍNIA','PAULINIA','SP',3191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306263,1.00,7.00,3.00,3.00,6.00,4.00,2.00,1.00,2.00,101,102,NULL,'CENTRO','SAO JOAQUIM','SC',21161,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2306271,8.00,9.00,5.00,8.00,8.00,6.00,9.00,7.00,6.00,203,220,202,'JARDIM ITAPERI','ATIBAIA','SP',1062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'AFONSO PENA','SAO JOSE DOS PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2306298,0.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,208,501,238,'CENTRO','FAXINAL DOS GUEDES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(15,2306301,2.00,4.00,3.00,6.00,7.00,5.00,4.00,6.00,1.00,220,NULL,NULL,'SÃO MIGUEL PAULISTA','SAO PAULO','SP',15359,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2306310,5.00,4.00,8.00,3.00,8.00,4.50,7.00,4.00,1.00,214,238,207,'JARDIM MALUCHE','BRUSQUE','SC',10037,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2306328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'VILA FLORIDA','SAO BERNARDO DO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2306344,1.00,3.00,3.00,4.00,2.00,NULL,3.00,1.00,1.00,214,301,203,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2306352,4.00,4.00,2.00,3.00,5.00,6.50,3.00,3.00,5.00,301,215,NULL,'DO SOL','INDAIAL','SC',16547,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2306360,6.00,7.00,7.00,6.00,7.00,5.25,8.00,6.00,6.00,220,202,NULL,'ASILO','BLUMENAU','SC',3054,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2306379,4.00,5.00,2.00,4.00,5.00,6.25,2.00,6.00,3.00,233,304,213,'NONOAI','PORTO ALEGRE','RS',16379,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2306387,5.00,3.00,3.00,7.00,8.00,6.00,3.00,5.00,4.00,104,108,NULL,'FORQUILHINHAS','SAO JOSE','SC',12285,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2306395,1.00,7.00,4.00,5.00,5.00,5.75,6.00,5.00,1.00,238,NULL,NULL,'ABRAÃO','FLORIANOPOLIS','SC',14086,514,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306409,4.00,8.00,3.00,8.00,5.00,7.25,5.00,8.00,3.00,415,301,NULL,'CENTRO','FLORIANOPOLIS','SC',7203,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2306417,2.00,5.00,3.00,5.00,7.00,5.75,3.00,5.00,2.00,108,211,NULL,'MATO ALTO','ARARANGUA','SC',16389,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2306425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ITANHAEM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2306433,5.00,8.00,7.00,4.00,3.00,6.25,7.00,3.00,3.00,207,317,201,'CAPOEIRAS','FLORIANOPOLIS','SC',8700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2306441,3.00,6.00,2.00,6.00,5.00,4.75,5.00,6.00,2.00,317,224,NULL,'ITACORUBI','FLORIANOPOLIS','SC',13098,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2306450,3.00,9.00,5.00,6.00,5.00,7.25,4.00,6.00,5.00,317,320,NULL,'CARIANOS','FLORIANOPOLIS','SC',8128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2306468,7.00,8.00,7.00,4.00,6.00,6.25,8.00,6.00,7.00,203,NULL,220,'SAGUAÇU','JOINVILLE','SC',3604,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2306476,3.00,2.00,0.00,1.00,3.00,NULL,4.00,4.00,2.00,220,214,203,'CENTRO','CIDADE GAUCHA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2306492,2.00,1.00,4.00,4.00,5.00,4.00,4.00,1.00,2.00,203,202,214,'CENTRO','CASCAVEL','PR',22340,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2306506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,5,NULL,'SEMINÁRIO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2306514,4.00,4.00,3.00,2.00,4.00,5.25,4.00,2.00,3.00,103,9,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2306522,1.00,7.00,5.00,2.00,8.00,4.50,5.00,6.00,4.00,318,304,NULL,'VILA NOVA','SAO LOURENCO','MG',12079,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2306530,5.00,7.00,4.00,6.00,4.00,5.75,6.00,4.00,1.00,333,427,NULL,'TRINDADE','FLORIANOPOLIS','SC',12636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2306557,4.00,7.00,4.00,7.00,5.00,6.00,4.00,3.00,3.00,320,502,NULL,'ITACORUBI','FLORIANOPOLIS','SC',12733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306565,1.00,5.00,1.00,0.00,3.00,NULL,3.00,3.00,2.00,207,101,212,'CENTRO','SAO LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2306573,3.00,7.00,0.00,8.00,5.00,NULL,4.00,7.00,2.00,207,319,NULL,'CACUPÉ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306581,4.00,8.00,2.00,3.00,5.00,4.00,5.00,4.00,4.00,207,304,233,'AMÉRICA','JOINVILLE','SC',15547,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2306590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2306603,3.00,3.00,2.00,6.00,4.00,5.00,2.00,5.00,3.00,316,451,NULL,'JURERE','FLORIANOPOLIS','SC',19095,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2306611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,328,NULL,'SANTA TEREZA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2306620,1.00,6.00,3.00,2.00,5.00,3.75,1.00,1.00,5.00,211,216,233,'SANTA FE','LIMEIRA','SP',21622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306638,2.00,6.00,4.00,2.00,6.00,5.75,4.00,5.00,4.00,208,202,NULL,'CENTRO','CASTRO','PR',14916,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2306646,1.00,6.00,2.00,3.00,6.00,5.75,3.00,5.00,3.00,317,222,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',17821,301,184,NULL,NULL,NULL,NULL,4,1),(15,2306654,6.00,8.00,7.00,8.00,5.00,6.00,7.00,6.00,2.00,103,108,NULL,'GUARA','CAMPINAS','SP',4581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306662,2.00,7.00,3.00,4.00,6.00,6.00,6.00,5.00,3.00,302,9,NULL,'CAMPINAS','SAO JOSE','SC',13400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'LOURDES','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2306689,2.00,2.00,0.00,1.00,2.00,NULL,2.00,2.00,2.00,404,316,NULL,'COLÔNIA SANTANA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306697,6.00,9.00,7.00,8.00,9.00,6.50,7.00,8.00,7.00,303,202,NULL,'CENTRO','FLORIANOPOLIS','SC',774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,429,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2306727,6.00,6.00,5.00,6.00,8.00,6.00,5.00,5.00,3.00,303,425,NULL,'BARREIROS','SAO JOSE','SC',7563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306743,3.00,6.00,0.00,6.00,3.00,6.25,3.00,2.00,2.00,301,316,NULL,'BARREIROS','SAO JOSE','SC',20379,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2306760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,501,211,'INTERIOR','IBIACA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2306786,3.00,6.00,3.00,4.00,5.00,4.00,3.00,3.00,2.00,208,238,201,'CENTRO','FLORIANOPOLIS','SC',18644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306794,1.00,6.00,3.00,3.00,4.00,5.25,0.00,5.00,2.00,428,328,426,'BARREIROS','SAO JOSE','SC',20348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306808,2.00,7.00,4.00,7.00,4.00,3.00,2.00,4.00,1.00,316,318,NULL,'CENTRO','BIGUACU','SC',17427,496,485,NULL,NULL,NULL,NULL,2,1),(15,2306816,7.00,5.00,3.00,3.00,9.00,4.50,7.00,4.00,3.00,212,318,208,'CARIANOS','FLORIANOPOLIS','SC',11570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306824,4.00,7.00,4.00,7.00,4.00,4.25,4.00,6.00,3.00,203,319,216,'JARDIM','SAO JOSE DO CEDRO','SC',10977,801,732,359,NULL,NULL,NULL,2,4),(15,2306840,3.00,6.00,1.00,2.00,4.00,4.50,3.00,5.00,2.00,329,425,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20373,75,421,NULL,NULL,NULL,NULL,4,1),(15,2306875,3.00,6.00,0.00,5.00,7.00,3.50,4.00,5.00,2.00,5,201,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',18784,783,1378,NULL,NULL,NULL,NULL,2,6),(15,2306891,1.00,5.00,2.00,4.00,7.00,3.25,3.00,2.00,1.00,316,339,NULL,'JOSE MENDES','FLORIANOPOLIS','SC',22096,680,456,NULL,NULL,NULL,NULL,2,1),(15,2306905,2.00,4.00,4.00,5.00,4.00,6.25,3.00,3.00,4.00,207,208,203,'CENTRO','ERECHIM','RS',18067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306913,3.00,5.00,7.00,7.00,7.00,4.50,4.00,3.00,3.00,233,225,NULL,'PRADO','BIGUACU','SC',12322,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2306921,3.00,6.00,2.00,4.00,5.00,4.00,5.00,5.00,2.00,216,2,NULL,'CENTRO','FLORIANOPOLIS','SC',18300,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2306948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,501,215,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2306956,5.00,7.00,1.00,9.00,5.00,6.75,7.00,7.00,3.00,214,211,233,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306972,3.00,8.00,3.00,5.00,7.00,6.25,5.00,6.00,4.00,415,424,NULL,'CAMPINAS','SAO JOSE','SC',8970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306980,3.00,8.00,6.00,6.00,8.00,7.50,6.00,8.00,5.00,103,214,NULL,'VILA INDEPENDÊNCIA','LIMEIRA','SP',3799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2306999,3.00,9.00,1.00,2.00,3.00,5.75,3.00,8.00,3.00,103,502,NULL,'ABRAÃO','FLORIANOPOLIS','SC',14829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307006,3.00,6.00,4.00,2.00,5.00,5.75,3.00,4.00,1.00,203,214,233,'VILA NOVA','BLUMENAU','SC',17895,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2307014,3.00,8.00,4.00,8.00,9.00,6.75,5.00,6.00,3.00,327,320,NULL,'ROÇADO','SAO JOSE','SC',6217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307022,1.00,6.00,0.00,1.00,4.00,NULL,2.00,3.00,2.00,308,339,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2307030,2.00,6.00,4.00,5.00,5.00,4.75,1.00,5.00,5.00,308,324,NULL,'PANTANAL','FLORIANOPOLIS','SC',13804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307049,7.00,8.00,8.00,7.00,9.00,5.00,9.00,9.00,8.00,103,NULL,NULL,'RESENDE JUNQUEIRA','UBERLANDIA','MG',489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307065,0.00,4.00,2.00,5.00,6.00,NULL,4.00,4.00,3.00,102,420,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2307073,6.00,6.00,6.00,9.00,7.00,7.25,8.00,7.00,2.00,420,207,NULL,'CAMPECHE','FLORIANOPOLIS','SC',3288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307081,2.00,7.00,3.00,6.00,4.00,NULL,0.00,0.00,0.00,303,208,NULL,'CENTRO','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,6),(15,2307090,6.00,8.00,4.00,7.00,9.00,6.25,6.00,6.00,5.00,216,215,NULL,'VIEIRAS','JARAGUA DO SUL','SC',4689,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2307103,4.00,5.00,1.00,7.00,6.00,6.00,2.00,3.00,2.00,332,327,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',17787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2307111,3.00,6.00,5.00,1.00,5.00,5.00,4.00,5.00,3.00,208,2,220,'FORQUILHINHAS','SAO JOSE','SC',16014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,220,NULL,'IMPERIAL','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2307138,6.00,8.00,7.00,5.00,7.00,8.00,7.00,7.00,6.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',2684,963,848,NULL,NULL,NULL,NULL,4,1),(15,2307146,3.00,8.00,2.00,6.00,7.00,7.00,4.00,8.00,3.00,320,310,NULL,'SANTANA','SAO PAULO','SP',8782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307154,3.00,4.00,0.00,1.00,3.00,5.25,3.00,3.00,3.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307162,1.00,7.00,3.00,6.00,4.00,5.50,4.00,5.00,4.00,5,215,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',13982,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2307170,4.00,7.00,4.00,5.00,4.00,4.00,5.00,4.00,3.00,102,201,NULL,'SALETE','SAO MIGUEL DOESTE','SC',13774,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2307189,5.00,7.00,2.00,5.00,6.00,8.00,6.00,6.00,3.00,333,303,NULL,'CENTRO','FAXINAL DOS GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2307200,1.00,5.00,3.00,5.00,3.00,4.75,2.00,2.00,2.00,102,319,NULL,'SANTA TERESA','SAO PEDRO DE ALCANTARA','SC',22054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2307219,2.00,5.00,4.00,4.00,1.00,NULL,6.00,7.00,5.00,332,331,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2307227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,208,203,'BAIRRO DO GINASIO','ALTINOPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2307235,6.00,6.00,4.00,5.00,5.00,5.50,4.00,6.00,4.00,103,101,NULL,'VILA INDUSTRIAL','SAO JOSE DOS CAMPOS','SP',11446,2306,561,NULL,NULL,NULL,NULL,2,1),(15,2307243,1.00,3.00,2.00,1.00,4.00,NULL,4.00,3.00,1.00,302,309,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2307251,3.00,6.00,5.00,7.00,5.00,6.50,3.00,3.00,3.00,303,424,NULL,'CENTRO','FLORIANOPOLIS','SC',12487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,233,203,'JARDIM MARINGÁ','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2307286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,326,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2307294,1.00,6.00,1.00,6.00,5.00,5.00,2.00,3.00,2.00,103,308,NULL,'JURERÊ','FLORIANOPOLIS','SC',20505,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2307308,3.00,6.00,0.00,3.00,5.00,4.25,4.00,4.00,1.00,444,423,NULL,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307316,5.00,8.00,8.00,7.00,6.00,6.00,9.00,4.00,4.00,214,2,213,'CENTRO','ASCURRA','SC',4329,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2307332,0.00,4.00,0.00,4.00,2.00,NULL,1.00,3.00,1.00,426,427,428,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2307340,2.00,6.00,1.00,3.00,2.00,NULL,1.00,3.00,2.00,201,224,212,'CENTRO','RIO DAS ANTAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2307359,0.00,2.00,0.00,4.00,0.00,NULL,0.00,0.00,0.00,427,424,426,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2307367,6.00,7.00,8.00,5.00,7.00,5.50,7.00,7.00,6.00,220,202,203,'ASA SUL','BRASILIA','DF',2930,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2307375,3.00,7.00,5.00,2.00,6.00,3.25,5.00,4.00,2.00,103,319,NULL,'CENTRO','TUBARAO','SC',14895,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2307391,4.00,7.00,2.00,5.00,9.00,5.75,6.00,4.00,2.00,5,327,NULL,'ARIRIU','PALHOCA','SC',11747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307405,3.00,6.00,6.00,8.00,5.00,6.75,7.00,6.00,6.00,415,450,NULL,'VILA NOVA','PORTO ALEGRE','RS',6231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307413,2.00,3.00,0.00,2.00,5.00,0.00,3.00,6.00,2.00,316,207,NULL,'PORTO DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307421,1.00,9.00,6.00,5.00,5.00,6.75,8.00,7.00,4.00,213,2,202,'BALN DO ESTREITO','FLORIANOPOLIS','SC',5782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307430,0.00,5.00,1.00,3.00,5.00,6.25,5.00,6.00,2.00,220,NULL,214,'SANTA TEREZINHA','SAO PAULO','SP',18481,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2307448,2.00,5.00,3.00,8.00,7.00,5.75,5.00,3.00,2.00,326,103,NULL,'CENTRO','FLORIANOPOLIS','SC',13089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307456,5.00,2.00,3.00,5.00,6.00,4.75,4.00,4.00,2.00,104,207,NULL,'DEHON','TUBARAO','SC',17681,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2307464,7.00,8.00,2.00,6.00,8.00,6.25,4.00,7.00,3.00,108,502,NULL,'CAMPINAS','SAO JOSE','SC',7952,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2307472,3.00,6.00,5.00,4.00,7.00,6.00,6.00,4.00,3.00,216,201,214,'BUCAREIN','JOINVILLE','SC',11863,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2307480,3.00,4.00,3.00,2.00,4.00,4.75,2.00,3.00,4.00,420,207,NULL,'FARROUPILHA','VIDEIRA','SC',20123,409,1297,NULL,NULL,NULL,NULL,4,7),(15,2307499,1.00,4.00,0.00,2.00,2.00,NULL,3.00,3.00,2.00,404,304,NULL,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2307502,2.00,6.00,5.00,4.00,3.00,4.50,6.00,3.00,3.00,203,214,NULL,'JARDIM MALUCHE','BRUSQUE','SC',16666,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2307510,4.00,6.00,5.00,9.00,2.00,NULL,5.00,6.00,1.00,316,222,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2307529,1.00,5.00,2.00,0.00,7.00,NULL,2.00,2.00,3.00,316,317,NULL,'JARDIM CIDADE','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,328,NULL,'SANTA CRUZ','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2307545,4.00,6.00,1.00,5.00,7.00,4.50,4.00,6.00,3.00,332,324,NULL,'ST ANTONIO DE LISBOA','FLORIANOPOLIS','SC',14237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307553,0.00,3.00,4.00,3.00,7.00,6.75,5.00,3.00,2.00,5,326,NULL,'CENTRO','PATO BRANCO','PR',18939,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2307561,6.00,5.00,6.00,8.00,5.00,6.25,6.00,4.00,3.00,404,224,NULL,'CENTRO','FLORIANOPOLIS','SC',6915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307570,4.00,6.00,4.00,4.00,6.00,5.50,3.00,3.00,2.00,320,202,NULL,'CENTRO','FLORIANOPOLIS','SC',16777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307588,5.00,6.00,7.00,4.00,2.00,NULL,5.00,4.00,2.00,203,202,207,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2307596,3.00,4.00,3.00,3.00,3.00,4.75,3.00,2.00,1.00,501,201,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',22366,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2307600,2.00,3.00,1.00,3.00,6.00,5.50,4.00,2.00,2.00,207,303,201,'TRINDADE','FLORIANOPOLIS','SC',21431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307618,2.00,4.00,2.00,4.00,4.00,4.50,2.00,4.00,1.00,208,319,NULL,'VILA REAL','BALNEARIO CAMBORIU','SC',21950,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2307626,3.00,6.00,0.00,5.00,5.00,6.25,2.00,2.00,3.00,101,215,NULL,'KOBRASOL','SAO JOSE','SC',19933,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2307634,3.00,7.00,2.00,3.00,3.00,5.50,4.00,3.00,3.00,223,NULL,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',17539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,233,NULL,'GOPOUVA','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2307650,3.00,8.00,6.00,9.00,6.00,4.75,5.00,8.00,2.00,5,424,NULL,'CENTRO','FLORIANOPOLIS','SC',6252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307669,4.00,6.00,5.00,5.00,6.00,5.75,6.00,4.00,1.00,5,415,NULL,'CENTRO','GAROPABA','SC',13280,579,714,NULL,NULL,NULL,NULL,4,1),(15,2307685,4.00,6.00,1.00,6.00,8.00,4.50,5.00,5.00,3.00,211,303,207,'BOA VISTA','JOINVILLE','SC',12372,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2307693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2307707,0.00,5.00,3.00,3.00,5.00,4.50,5.00,2.00,2.00,208,317,238,'FLORESTA','CONCORDIA','SC',20605,825,657,766,NULL,NULL,NULL,2,4),(15,2307715,3.00,7.00,2.00,3.00,6.00,3.50,5.00,4.00,3.00,103,108,NULL,'CENTRO','PONTA PORA','MS',16929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307723,3.00,6.00,5.00,3.00,7.00,5.50,3.00,7.00,3.00,501,326,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',12756,131,245,NULL,NULL,NULL,NULL,4,1),(15,2307731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,224,428,'CENTRO','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2307740,3.00,2.00,2.00,4.00,4.00,4.75,1.00,5.00,1.00,415,NULL,NULL,'CENTRO','TIJUCAS','SC',22219,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2307758,5.00,5.00,3.00,6.00,8.00,7.00,4.00,6.00,4.00,104,319,NULL,'RIO GRANDE','PALHOCA','SC',9060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2307774,5.00,7.00,7.00,5.00,6.00,8.25,8.00,6.00,6.00,203,201,202,'LAGO SUL','LAGO SUL','DF',3780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307782,4.00,5.00,5.00,6.00,5.00,6.75,4.00,3.00,4.00,238,328,211,'CENTRO','FLORIANOPOLIS','SC',12797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,108,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2307812,0.00,5.00,1.00,2.00,4.00,NULL,3.00,3.00,2.00,203,301,212,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2307839,2.00,8.00,3.00,7.00,6.00,4.75,3.00,8.00,3.00,103,303,NULL,'MERCES','CURITIBA','PR',11129,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2307847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,329,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2307855,2.00,7.00,8.00,5.00,7.00,6.00,7.00,4.00,3.00,203,215,201,'RESERVA DU MOULIN','SAO SEBASTIAO','SP',7810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307863,1.00,7.00,2.00,4.00,4.00,3.50,7.00,8.00,4.00,502,234,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',15103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2307871,2.00,5.00,5.00,4.00,4.00,5.00,2.00,5.00,3.00,301,304,NULL,'MADUREIRA','CAXIAS DO SUL','RS',18301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307880,1.00,6.00,3.00,5.00,7.00,3.75,3.00,6.00,1.00,317,302,NULL,'BARREIROS','SAO JOSE','SC',17836,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2307898,1.00,4.00,2.00,2.00,2.00,NULL,3.00,1.00,2.00,2,301,NULL,'NOSSA S DE FATIMA','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2307901,5.00,7.00,7.00,5.00,7.00,7.00,3.00,4.00,5.00,103,101,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',7771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2307910,4.00,5.00,2.00,4.00,7.00,6.00,2.00,5.00,4.00,234,333,NULL,'PANTANAL','FLORIANOPOLIS','SC',14092,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2307928,3.00,6.00,4.00,7.00,5.00,4.25,6.00,3.00,4.00,202,2,220,'INDUSTRIARIOS','CONCORDIA','SC',13655,512,202,478,NULL,NULL,NULL,2,4),(15,2307936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,428,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2307952,3.00,6.00,3.00,3.00,6.00,NULL,0.00,0.00,0.00,318,429,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2307960,2.00,8.00,8.00,5.00,8.00,6.00,6.00,5.00,4.00,211,216,201,'SAGRADO C DE JESUS','LAGES','SC',6675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2307979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,211,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2307987,2.00,2.00,1.00,0.00,2.00,NULL,3.00,1.00,3.00,102,217,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2307995,1.00,2.00,1.00,6.00,2.00,NULL,2.00,4.00,3.00,329,324,NULL,'BELA VISTA I','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308010,3.00,7.00,5.00,8.00,5.00,5.25,5.00,8.00,4.00,203,214,220,'SETOR BUENO','GOIANIA','GO',8045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2308029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,328,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2308045,1.00,5.00,3.00,5.00,4.00,4.00,2.00,3.00,1.00,444,333,NULL,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2308053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2308061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,316,201,'CENTRO','MERCEDES','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2308088,6.00,7.00,5.00,8.00,6.00,5.25,5.00,5.00,4.00,108,NULL,NULL,'CENTRO','SAO JOAO BATISTA','SC',7641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2308100,2.00,7.00,8.00,5.00,5.00,4.25,3.00,5.00,3.00,208,NULL,238,'CENTRO','FLORIANOPOLIS','SC',12333,452,NULL,439,NULL,NULL,NULL,2,1),(15,2308134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,502,NULL,'FLORESTA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2308142,2.00,7.00,3.00,4.00,6.00,4.75,5.00,4.00,3.00,238,420,211,'PIO CORREA','CRICIUMA','SC',13768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2308150,5.00,6.00,6.00,7.00,6.00,6.00,7.00,5.00,3.00,303,5,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',5252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2308169,3.00,8.00,1.00,7.00,3.00,5.50,4.00,6.00,2.00,425,5,429,'PORTO DA LAGOA','FLORIANOPOLIS','SC',15351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2308177,0.00,5.00,2.00,7.00,4.00,5.00,5.00,4.00,2.00,201,302,207,'INGLESES','FLORIANOPOLIS','SC',18935,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308193,3.00,6.00,3.00,8.00,8.00,8.50,4.00,7.00,2.00,303,425,NULL,'CENTRO','JOINVILLE','SC',8317,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2308207,4.00,8.00,4.00,10.00,6.00,6.25,6.00,5.00,4.00,428,324,426,'SANTA MARIA','CHAPECO','SC',6046,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2308215,3.00,7.00,6.00,7.00,7.00,4.25,5.00,5.00,4.00,5,427,NULL,'CENTRO','FLORIANOPOLIS','SC',7946,358,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308223,2.00,1.00,1.00,2.00,4.00,NULL,1.00,3.00,0.00,424,421,428,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308231,3.00,7.00,2.00,3.00,6.00,5.25,4.00,5.00,4.00,319,327,NULL,'BUCAREIN','JOINVILLE','SC',14361,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2308240,4.00,5.00,7.00,4.00,8.00,4.00,5.00,4.00,2.00,303,203,NULL,'IRIRIÚ','JOINVILLE','SC',11911,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2308266,6.00,8.00,4.00,7.00,8.00,6.00,6.00,7.00,3.00,5,319,NULL,'CENTRO','FLORIANOPOLIS','SC',3834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'JOAO PAULO II','POUSO ALEGRE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2308282,2.00,3.00,3.00,3.00,3.00,NULL,3.00,1.00,3.00,324,420,NULL,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308290,3.00,9.00,7.00,7.00,7.00,6.25,8.00,5.00,3.00,220,202,203,'CENTRO','PONTA GROSSA','PR',4830,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2308304,3.00,9.00,2.00,3.00,8.00,7.00,7.00,8.00,4.00,301,310,NULL,'SANTA CATARINA','CACADOR','SC',8000,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2308312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RAICHASKI','ICARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2308320,4.00,8.00,4.00,6.00,6.00,6.00,6.00,6.00,6.00,201,404,208,'CENTRO','NOVA PRATA','RS',6479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308347,2.00,7.00,2.00,1.00,1.00,NULL,1.00,3.00,2.00,303,319,NULL,'PEREQUE PRAIA','PORTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2308355,2.00,6.00,5.00,5.00,6.00,4.00,3.00,5.00,2.00,319,308,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',16856,351,361,NULL,NULL,NULL,NULL,2,1),(15,2308363,2.00,2.00,1.00,4.00,2.00,NULL,4.00,5.00,3.00,404,9,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,108,211,'ALTO DA TIJUCA','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2308398,4.00,8.00,4.00,2.00,3.00,3.25,5.00,3.00,3.00,108,333,NULL,'TARRAF UM','SAO JOSE DO RIO PRETO','SP',18350,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2308401,3.00,4.00,1.00,2.00,5.00,NULL,1.00,3.00,1.00,203,220,214,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308410,7.00,5.00,7.00,8.00,8.00,5.50,6.00,5.00,6.00,5,444,NULL,'LAGO NORTE','LAGO NORTE','DF',4033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2308428,0.00,4.00,3.00,4.00,5.00,5.50,2.00,5.00,1.00,303,208,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',21045,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2308460,2.00,6.00,2.00,6.00,5.00,3.00,3.00,2.00,3.00,104,216,NULL,'NAVEGANTES','SALTO DO JACUI','RS',19926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308479,4.00,7.00,6.00,8.00,7.00,6.75,6.00,5.00,2.00,238,421,211,'CENTRO','FLORIANOPOLIS','SC',6233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2308487,0.00,3.00,3.00,4.00,6.00,NULL,1.00,3.00,2.00,207,420,NULL,'ALTO ARIRIÚ','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308495,4.00,7.00,3.00,4.00,6.00,4.50,6.00,5.00,3.00,420,208,NULL,'TAPERA','FLORIANOPOLIS','SC',12252,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308517,1.00,4.00,4.00,0.00,5.00,NULL,1.00,4.00,3.00,216,217,NULL,'PINHEIRA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,404,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2308533,4.00,8.00,2.00,5.00,4.00,5.50,5.00,4.00,5.00,103,NULL,NULL,'CENTRO','PONTA GROSSA','PR',12660,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2308541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,425,NULL,'OFICINAS','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2308550,2.00,4.00,1.00,3.00,5.00,5.50,3.00,5.00,2.00,103,108,NULL,'MEDIANEIRA','CACHOEIRA DO SUL','RS',20437,3018,949,NULL,NULL,NULL,NULL,2,3),(15,2308568,3.00,7.00,5.00,8.00,6.00,4.75,7.00,8.00,3.00,203,214,220,'ASA NORTE','BRASILIA','DF',5953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2308576,1.00,3.00,4.00,6.00,6.00,5.25,4.00,3.00,4.00,101,103,NULL,'SÃO GERALDO','IJUI','RS',17267,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2308584,2.00,2.00,0.00,4.00,2.00,NULL,2.00,2.00,3.00,333,502,NULL,'NINHO DA COBRA','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2308592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,212,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2308606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2308614,8.00,8.00,6.00,5.00,8.00,7.50,7.00,5.00,5.00,207,223,201,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',3121,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308622,3.00,5.00,6.00,7.00,5.00,5.00,5.00,5.00,3.00,333,331,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2308630,1.00,3.00,0.00,3.00,4.00,NULL,2.00,3.00,2.00,339,319,NULL,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2308649,3.00,9.00,2.00,2.00,4.00,6.50,3.00,6.00,1.00,331,415,NULL,'PINGUIRITO','GAROPABA','SC',16790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2308657,8.00,8.00,10.00,7.00,9.00,6.50,9.00,8.00,7.00,103,5,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',207,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308665,4.00,5.00,5.00,5.00,7.00,3.75,6.00,6.00,5.00,103,303,NULL,'PQ NOVA JANDIRA','JANDIRA','SP',9982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2308673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,217,216,'LABIENÓPOLES','GARCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2308681,3.00,6.00,2.00,2.00,3.00,6.00,5.00,5.00,2.00,220,203,208,'CENTRO','MARAVILHA','SC',19037,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2308690,4.00,3.00,2.00,6.00,5.00,6.50,3.00,6.00,3.00,202,216,213,'VILA ALIANÇA','GUARULHOS','SP',14281,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2308720,3.00,4.00,3.00,3.00,6.00,5.00,3.00,6.00,2.00,211,234,213,'VILA NOVA','IMBITUBA','SC',18309,638,234,298,NULL,NULL,NULL,4,1),(15,2308738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'LUCAS ARAUJO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2308746,3.00,7.00,5.00,3.00,6.00,4.75,3.00,6.00,2.00,207,224,208,'CENTRO','PALHOCA','SC',15679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2308754,2.00,6.00,2.00,0.00,7.00,6.25,3.00,6.00,1.00,317,213,NULL,'CACUPÉ','FLORIANOPOLIS','SC',18369,315,481,NULL,NULL,NULL,NULL,4,1),(15,2308762,2.00,5.00,1.00,6.00,7.00,4.25,4.00,6.00,1.00,211,501,NULL,'SAO CRISTOVAO','TRES BARRAS','SC',15942,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2308770,6.00,7.00,6.00,9.00,8.00,7.50,6.00,7.00,4.00,212,444,207,'COSTA E SILVA','JOINVILLE','SC',2771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2308789,2.00,8.00,3.00,6.00,8.00,1.00,6.00,6.00,2.00,103,101,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308797,0.00,0.00,2.00,3.00,2.00,NULL,1.00,1.00,1.00,424,238,425,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2308800,5.00,7.00,1.00,6.00,7.00,6.50,4.00,4.00,2.00,308,423,NULL,'ESTREITO','FLORIANOPOLIS','SC',12802,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308819,4.00,8.00,5.00,7.00,7.00,5.25,6.00,5.00,4.00,203,2,208,'COQUEIROS','FLORIANOPOLIS','SC',6400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2308827,3.00,6.00,3.00,4.00,5.00,4.25,5.00,4.00,4.00,404,327,NULL,'ITACORUBI','FLORIANOPOLIS','SC',16223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2308835,6.00,8.00,5.00,7.00,8.00,6.00,7.00,6.00,4.00,103,304,NULL,'CENTRO','CURITIBA','PR',4600,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2308843,5.00,8.00,2.00,8.00,9.00,7.25,7.00,7.00,3.00,103,216,NULL,'COQUEIROS','FLORIANOPOLIS','SC',4672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308851,1.00,7.00,5.00,2.00,5.00,4.75,4.00,5.00,2.00,303,5,NULL,'BARREIROS','SAO JOSE','SC',17420,778,1272,NULL,NULL,NULL,NULL,4,1),(15,2308860,3.00,6.00,1.00,3.00,4.00,2.00,4.00,4.00,1.00,331,501,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2308878,4.00,5.00,3.00,2.00,7.00,4.75,5.00,6.00,3.00,104,211,NULL,'CENTRO','FLORIANOPOLIS','SC',13160,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,429,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2308894,3.00,4.00,3.00,2.00,3.00,3.75,4.00,4.00,4.00,324,224,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2308908,3.00,7.00,4.00,8.00,7.00,5.00,5.00,8.00,4.00,104,102,NULL,'CENTRO','SANTA MARIA','RS',7108,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308916,5.00,9.00,6.00,4.00,5.00,3.75,8.00,5.00,5.00,238,225,213,'BOM VIVER','BIGUACU','SC',7366,211,NULL,NULL,NULL,NULL,NULL,4,1),(15,2308924,4.00,6.00,5.00,4.00,7.00,5.25,5.00,5.00,3.00,318,333,NULL,'BUCAREIN','JOINVILLE','SC',10589,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2308932,0.00,4.00,0.00,4.00,3.00,NULL,3.00,2.00,2.00,316,339,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2308940,3.00,6.00,5.00,8.00,6.00,7.75,5.00,6.00,4.00,303,5,NULL,'COQUEIROS','FLORIANOPOLIS','SC',7409,419,1093,NULL,NULL,NULL,NULL,4,1),(15,2308959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,501,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2308975,3.00,5.00,1.00,2.00,5.00,6.00,4.00,5.00,1.00,104,217,NULL,'ESTREITO','FLORIANOPOLIS','SC',19593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2308983,6.00,6.00,5.00,3.00,6.00,5.00,4.00,6.00,4.00,202,213,238,'PANTANAL','FLORIANOPOLIS','SC',9577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2308991,3.00,4.00,2.00,3.00,7.00,7.00,2.00,3.00,1.00,103,333,NULL,'TRIBESS','BLUMENAU','SC',19908,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2309009,0.00,8.00,5.00,6.00,6.00,5.75,3.00,6.00,2.00,201,444,238,'TRINDADE','FLORIANOPOLIS','SC',12782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2309017,1.00,3.00,3.00,1.00,4.00,NULL,3.00,3.00,2.00,329,428,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309025,3.00,4.00,2.00,4.00,6.00,5.00,6.00,4.00,1.00,208,238,202,'BARRA DA LAGOA','FLORIANOPOLIS','SC',16816,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2309033,4.00,5.00,5.00,6.00,6.00,6.75,3.00,5.00,4.00,238,404,NULL,'CAMPINAS','SAO JOSE','SC',10834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2309041,4.00,8.00,5.00,5.00,8.00,5.50,6.00,7.00,3.00,103,203,NULL,'UNIVERSITÁRIO','LAGES','SC',6918,1746,1319,NULL,NULL,NULL,NULL,4,9),(15,2309050,3.00,8.00,4.00,3.00,7.00,6.50,5.00,6.00,4.00,444,207,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',9230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309068,1.00,1.00,3.00,2.00,1.00,NULL,3.00,5.00,3.00,326,202,NULL,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309076,3.00,4.00,2.00,6.00,4.00,4.75,3.00,4.00,0.00,424,222,426,'CENTRO','FLORIANOPOLIS','SC',20684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309084,6.00,6.00,3.00,9.00,8.00,6.00,5.00,6.00,3.00,103,420,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',5539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309092,7.00,8.00,8.00,8.00,8.00,6.25,9.00,9.00,6.00,5,303,NULL,'SANTA ROSA','PORTO UNIAO','SC',514,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2309106,0.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,444,302,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2309114,3.00,4.00,3.00,3.00,7.00,3.75,7.00,5.00,4.00,303,103,NULL,'BEATRIZ','LAGES','SC',15138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309122,7.00,9.00,5.00,9.00,8.00,6.00,5.00,7.00,4.00,5,317,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',3669,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2309130,2.00,4.00,6.00,6.00,6.00,5.50,0.00,3.00,4.00,223,224,NULL,'TRINDADE','FLORIANOPOLIS','SC',16806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2309149,4.00,7.00,7.00,6.00,5.00,5.50,5.00,6.00,5.00,501,333,NULL,'CENTRO','MARACAJA','SC',7231,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2309157,7.00,7.00,6.00,6.00,7.00,5.00,7.00,3.00,5.00,303,217,NULL,'PRIMEIRA DE MAIO','BRUSQUE','SC',4823,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2309165,4.00,4.00,4.00,7.00,7.00,5.50,3.00,4.00,6.00,318,224,NULL,'JARDIM AQUARIOS','PALHOCA','SC',11336,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2309173,4.00,5.00,4.00,7.00,6.00,4.00,4.00,5.00,4.00,404,339,NULL,'ITACORUBI','FLORIANOPOLIS','SC',13221,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2309181,2.00,5.00,4.00,6.00,6.00,6.00,6.00,3.00,3.00,425,324,429,'CAMPINAS','SAO JOSE','SC',13677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309190,0.00,0.00,0.00,2.00,3.00,NULL,2.00,1.00,1.00,213,212,203,'JD LARANJEIRAS','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2309203,4.00,5.00,3.00,3.00,5.00,4.25,5.00,6.00,5.00,103,333,NULL,'VILA COSTA E SILVA','CAMPINAS','SP',14322,2573,811,NULL,NULL,NULL,NULL,4,1),(15,2309211,2.00,6.00,1.00,4.00,5.00,4.75,4.00,3.00,1.00,415,451,NULL,'CENTRO','TURVO','SC',20642,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2309238,4.00,7.00,1.00,5.00,9.00,4.25,6.00,3.00,2.00,420,316,NULL,'CENTRO','BRACO DO NORTE','SC',14137,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2309246,0.00,5.00,4.00,2.00,8.00,5.75,6.00,7.00,2.00,317,316,NULL,'ROÇADO','SAO JOSE','SC',13938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309254,7.00,8.00,6.00,1.00,6.00,5.50,8.00,6.00,6.00,103,NULL,NULL,'BELA VISTA','BAURU','SP',5920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309262,3.00,7.00,3.00,7.00,7.00,4.25,3.00,4.00,2.00,104,333,NULL,'AREIAS','CAMBORIU','SC',14253,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2309270,5.00,8.00,6.00,9.00,8.00,5.50,6.00,8.00,5.00,5,317,NULL,'ITACORUBI','FLORIANOPOLIS','SC',2873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309289,3.00,6.00,7.00,5.00,8.00,4.50,5.00,5.00,4.00,302,317,NULL,'PONTAL DA CRUZ','SAO SEBASTIAO','SP',8919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309297,3.00,8.00,4.00,8.00,5.00,5.00,5.00,6.00,4.00,216,217,215,'N SRA DE LOURDES','CAXIAS DO SUL','RS',8178,294,NULL,NULL,NULL,NULL,NULL,4,6),(15,2309327,4.00,4.00,1.00,7.00,4.00,6.25,3.00,4.00,3.00,339,324,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',17522,74,300,NULL,NULL,NULL,NULL,2,1),(15,2309335,1.00,4.00,2.00,4.00,4.00,4.25,1.00,2.00,4.00,203,317,214,'CENTRO','BIGUACU','SC',22318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309351,3.00,4.00,3.00,5.00,6.00,5.50,3.00,4.00,2.00,104,316,NULL,'CENTRO','ARARANGUA','SC',18186,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2309378,2.00,6.00,5.00,9.00,8.00,5.75,7.00,8.00,4.00,238,329,208,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',5266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309386,1.00,7.00,6.00,2.00,6.00,6.00,8.00,6.00,3.00,202,201,214,'BEATRIZ','LAGES','SC',11801,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2309394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,332,NULL,'MARTINS','UBERLANDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2309408,3.00,6.00,4.00,5.00,5.00,5.25,6.00,5.00,1.00,316,238,NULL,'CENTRO','TUBARAO','SC',15549,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2309416,5.00,8.00,8.00,6.00,6.00,7.00,8.00,8.00,8.00,214,203,220,'JARDIM DAS COLINAS','SAO JOSE DOS CAMPOS','SP',1849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,333,233,'PARQUE DOS PRINCIPES','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2309432,2.00,5.00,3.00,6.00,7.00,5.50,4.00,5.00,4.00,202,425,220,'ESTREITO','FLORIANOPOLIS','SC',15097,551,348,506,NULL,NULL,NULL,4,1),(15,2309440,2.00,3.00,2.00,4.00,5.00,4.25,2.00,2.00,2.00,308,324,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',21811,205,445,NULL,NULL,NULL,NULL,2,1),(15,2309459,3.00,6.00,6.00,4.00,7.00,5.00,8.00,4.00,4.00,202,213,233,'FREZARIN','AMERICANA','SP',9402,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2309467,4.00,8.00,1.00,7.00,8.00,5.75,3.00,5.00,2.00,319,450,NULL,'JARDIM NOVA LONDRES','LONDRINA','PR',12387,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2309475,5.00,6.00,3.00,8.00,5.00,3.75,6.00,6.00,1.00,304,222,NULL,'FLORESTA','SAO JOSE','SC',11795,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2309483,8.00,7.00,6.00,7.00,8.00,6.50,7.00,6.00,6.00,103,102,NULL,'ZONA SETE','MARINGA','PR',2637,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2309505,4.00,9.00,3.00,5.00,6.00,6.25,2.00,8.00,2.00,301,316,NULL,'CAMBUI','CAMPINAS','SP',9346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2309513,3.00,7.00,4.00,4.00,2.00,NULL,8.00,6.00,3.00,5,202,NULL,'ENSEADA DO BRITO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2309530,3.00,5.00,1.00,6.00,5.00,5.00,4.00,5.00,1.00,316,9,NULL,'MEIA PRAIA','ITAPEMA','SC',18086,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2309548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,201,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2309564,1.00,6.00,1.00,2.00,6.00,3.75,3.00,5.00,3.00,316,331,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',20305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'VILA BETANIA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2309580,3.00,7.00,4.00,5.00,7.00,7.50,3.00,4.00,4.00,208,326,238,'CAMPESTRE','HORIZONTINA','RS',10458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,101,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2309602,6.00,6.00,4.00,8.00,8.00,7.75,6.00,6.00,4.00,217,103,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',5147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309610,3.00,5.00,2.00,4.00,7.00,5.00,3.00,5.00,4.00,207,212,201,'CAMPECHE','FLORIANOPOLIS','SC',16128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,234,NULL,'CENTRO','FLORES DA CUNHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2309637,7.00,8.00,7.00,9.00,9.00,5.75,8.00,7.00,8.00,201,316,233,'CENTRO','BALNEARIO CAMBORIU','SC',621,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2309645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,208,NULL,'ASSUNÇÃO','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2309661,1.00,6.00,3.00,4.00,6.00,NULL,0.00,0.00,0.00,303,329,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2309696,6.00,8.00,6.00,7.00,8.00,5.25,7.00,7.00,1.00,9,423,NULL,'ITACORUBI','FLORIANOPOLIS','SC',4759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309700,4.00,6.00,4.00,8.00,5.00,5.00,3.00,4.00,2.00,420,207,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309718,6.00,7.00,5.00,3.00,7.00,6.25,8.00,5.00,5.00,103,NULL,NULL,'CENTRO','MARACAJA','SC',6290,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2309726,4.00,6.00,6.00,6.00,7.00,5.00,7.00,8.00,3.00,316,319,NULL,'CENTRO','FLORIANOPOLIS','SC',7171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309734,4.00,7.00,6.00,5.00,6.00,5.50,7.00,4.00,1.00,502,501,NULL,'CENTRO','BRACO DO NORTE','SC',10537,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2309742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'AFONSO PENA','SAO JOSE DOS PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2309750,1.00,7.00,2.00,4.00,6.00,6.00,5.00,6.00,3.00,213,202,214,'FAZENDA STO ANTONIO','SAO JOSE','SC',13633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2309777,4.00,2.00,2.00,5.00,8.00,5.00,2.00,3.00,2.00,415,424,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',19242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309785,0.00,0.00,0.00,8.00,6.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'PONTA DE BAIXO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2309793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2309807,2.00,7.00,2.00,6.00,5.00,4.50,3.00,5.00,3.00,101,404,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',15577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,329,NULL,'PICADAS DO SUL','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2309823,3.00,5.00,4.00,3.00,4.00,5.75,5.00,5.00,1.00,303,415,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',17548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309831,0.00,5.00,1.00,7.00,4.00,NULL,1.00,4.00,1.00,423,308,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2309840,4.00,8.00,6.00,9.00,8.00,6.50,8.00,5.00,6.00,220,238,203,'CENTRO','CRICIUMA','SC',3333,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2309858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,301,NULL,'JARDIM MARIA LUIZA','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2309866,2.00,8.00,4.00,2.00,2.00,NULL,4.00,4.00,3.00,302,207,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2309882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,214,NULL,'PRESIDENTE MÉDICE','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2309890,1.00,3.00,3.00,3.00,4.00,5.25,4.00,4.00,3.00,404,308,NULL,'PANTANO DO SUL','FLORIANOPOLIS','SC',20847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2309912,1.00,4.00,4.00,3.00,5.00,4.25,3.00,4.00,2.00,203,214,201,'BOM RETIRO','JOINVILLE','SC',20577,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(15,2309920,5.00,6.00,4.00,6.00,7.00,4.00,4.00,6.00,5.00,214,415,203,'INDIANÓPOLIS','SAO PAULO','SP',9221,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2309939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,424,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2309947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'N S APARECIDA','FRANCISCO BELTRAO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2309963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,214,202,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2309971,5.00,6.00,3.00,8.00,8.00,5.50,4.00,6.00,4.00,9,101,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',8110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2309980,2.00,4.00,2.00,2.00,3.00,5.75,4.00,3.00,1.00,425,302,426,'PONTA DE BAIXO','SAO JOSE','SC',22246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,202,208,'VILA','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2310015,3.00,8.00,5.00,3.00,6.00,5.00,6.00,9.00,4.00,318,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',9142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310031,7.00,8.00,7.00,9.00,7.00,6.75,7.00,7.00,5.00,415,424,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',2414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310040,1.00,7.00,6.00,6.00,6.00,5.50,6.00,7.00,4.00,318,316,NULL,'CENTRO','GAROPABA','SC',8528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','SAO LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2310074,3.00,6.00,5.00,5.00,6.00,5.50,4.00,4.00,3.00,316,339,NULL,'ALTO ARIRIÚ','PALHOCA','SC',13595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2310082,0.00,5.00,4.00,2.00,4.00,NULL,5.00,2.00,2.00,501,502,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'ITAJAI','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2310104,0.00,0.00,2.00,2.00,6.00,NULL,2.00,4.00,5.00,319,332,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2310112,5.00,5.00,5.00,5.00,6.00,6.00,7.00,5.00,2.00,211,216,NULL,'CIDADE NOVA','CAXIAS DO SUL','RS',9405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,425,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2310139,4.00,6.00,6.00,8.00,7.00,7.00,2.00,5.00,6.00,301,102,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',7246,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2310147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'JARDIM IGUAÇU','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2310155,4.00,6.00,4.00,3.00,5.00,4.25,5.00,3.00,1.00,103,NULL,NULL,'AEROPORTO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310163,3.00,6.00,6.00,4.00,5.00,4.50,3.00,5.00,1.00,444,404,NULL,'IPIRANGA','SAO JOSE','SC',16371,167,402,NULL,NULL,NULL,NULL,4,1),(15,2310171,4.00,7.00,5.00,4.00,5.00,5.25,4.00,7.00,4.00,5,224,NULL,'FLORESTA','SAO JOSE','SC',9894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310180,3.00,4.00,2.00,6.00,4.00,6.25,3.00,4.00,2.00,428,319,421,'CENTRO','ANITAPOLIS','SC',18616,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2310198,2.00,2.00,1.00,1.00,0.00,NULL,3.00,2.00,1.00,234,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2310201,3.00,3.00,1.00,5.00,5.00,6.25,2.00,2.00,1.00,420,207,NULL,'CENTRO','ERECHIM','RS',21796,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2310228,6.00,6.00,4.00,6.00,7.00,7.25,6.00,6.00,6.00,415,327,NULL,'AREIAS','SAO JOSE','SC',5150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310236,5.00,9.00,8.00,8.00,7.00,8.00,6.00,8.00,2.00,301,304,NULL,'FLORESTAL','LAJEADO','RS',1796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310244,1.00,6.00,3.00,5.00,6.00,2.00,3.00,4.00,2.00,211,333,212,'TIRADENTES','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2310252,6.00,7.00,7.00,6.00,8.00,7.25,8.00,6.00,6.00,415,326,NULL,'JD SAO DIMAS','SAO JOSE DOS CAMPOS','SP',2456,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2310260,4.00,8.00,6.00,7.00,8.00,6.00,6.00,6.00,4.00,450,326,NULL,'CENTRO NORTE','DOIS VIZINHOS','PR',4326,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2310279,5.00,9.00,6.00,3.00,7.00,7.00,6.00,7.00,3.00,103,303,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310287,5.00,7.00,9.00,7.00,6.00,6.00,8.00,7.00,5.00,201,225,NULL,'JD CAÇAPAVA','CACAPAVA','SP',3119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310295,3.00,6.00,3.00,5.00,6.00,5.50,6.00,4.00,2.00,207,301,NULL,'CAMPINAS','SAO JOSE','SC',14256,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2310309,2.00,4.00,3.00,5.00,4.00,4.50,4.00,2.00,3.00,301,316,NULL,'CENTRO','CAMPINAS DO SUL','RS',21126,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2310325,1.00,7.00,1.00,6.00,5.00,6.50,5.00,5.00,2.00,215,501,233,'FLORESTA','SAO JOSE','SC',15194,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2310333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,318,NULL,'SANTANA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2310341,3.00,5.00,3.00,4.00,7.00,4.75,5.00,5.00,5.00,216,301,203,'CANASVIEIRAS','FLORIANOPOLIS','SC',14586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310350,1.00,7.00,4.00,3.00,5.00,7.00,5.00,7.00,3.00,238,332,215,'CAPOEIRAS','FLORIANOPOLIS','SC',13167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,317,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(15,2310376,3.00,6.00,2.00,5.00,6.00,6.50,3.00,5.00,2.00,428,450,426,'FLORESTA','SAO JOSE','SC',15427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310384,4.00,9.00,4.00,9.00,7.00,6.00,9.00,8.00,7.00,207,420,216,'CENTRO','GUARUJA','SP',1689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310392,2.00,6.00,7.00,8.00,7.00,3.50,5.00,8.00,4.00,310,331,NULL,'HIGIENOPOLIS','SAO PAULO','SP',6465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310406,1.00,5.00,2.00,6.00,6.00,4.50,2.00,4.00,2.00,444,415,NULL,'CENTRO','CAMBORIU','SC',19569,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2310414,3.00,6.00,5.00,0.00,5.00,5.25,4.00,2.00,2.00,101,102,NULL,'CAMPECHE','FLORIANOPOLIS','SC',19883,264,1089,NULL,NULL,NULL,NULL,4,1),(15,2310422,2.00,5.00,5.00,7.00,6.00,6.00,6.00,4.00,2.00,301,333,NULL,'CENTRO','MOGI GUACU','SP',13061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310430,0.00,4.00,1.00,1.00,5.00,NULL,2.00,3.00,3.00,207,316,213,'CENTRO','SAO JOAO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310449,3.00,8.00,5.00,0.00,5.00,4.50,5.00,6.00,3.00,211,333,233,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310457,4.00,4.00,5.00,4.00,6.00,5.75,6.00,4.00,4.00,104,213,NULL,'CENTRO','ERECHIM','RS',12036,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2310465,4.00,3.00,3.00,5.00,3.00,3.25,1.00,2.00,0.00,427,421,424,'SÃO PEDRO','SAO JOSE','SC',22471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2310473,2.00,4.00,3.00,6.00,7.00,5.25,5.00,3.00,3.00,420,102,NULL,'CENTRO','TIJUCAS','SC',15292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2310481,0.00,3.00,1.00,2.00,3.00,NULL,1.00,2.00,0.00,425,423,NULL,'BARRA DO ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2310490,2.00,7.00,1.00,3.00,5.00,5.25,1.00,7.00,0.00,428,331,NULL,'JARDIM EUCALIPTUS','PALHOCA','SC',19839,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2310503,0.00,2.00,0.00,0.00,0.00,NULL,2.00,2.00,1.00,108,502,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310511,7.00,8.00,7.00,7.00,8.00,6.50,5.00,7.00,6.00,303,5,NULL,'MARIA GORETTI','CHAPECO','SC',2349,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2310520,4.00,7.00,4.00,6.00,5.00,5.75,5.00,5.00,3.00,316,317,NULL,'TRINDADE','FLORIANOPOLIS','SC',11183,283,510,NULL,NULL,NULL,NULL,2,1),(15,2310538,4.00,5.00,5.00,3.00,5.00,7.00,2.00,3.00,2.00,501,324,NULL,'TRINDADE','FLORIANOPOLIS','SC',17597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310546,1.00,7.00,4.00,2.00,5.00,4.75,3.00,4.00,3.00,220,208,203,'AEROPORTO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310554,2.00,4.00,3.00,3.00,6.00,5.00,2.00,3.00,2.00,309,427,NULL,'FAZENDA STO ANTÔNIO','SAO JOSE','SC',20615,72,221,NULL,NULL,NULL,NULL,5,1),(15,2310562,1.00,6.00,4.00,6.00,6.00,6.00,3.00,7.00,1.00,207,104,201,'MADUREIRA','CAXIAS DO SUL','RS',13874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310570,5.00,8.00,5.00,6.00,7.00,5.50,8.00,5.00,7.00,103,102,NULL,'GUANABARA','JOINVILLE','SC',4719,1384,NULL,NULL,NULL,NULL,NULL,2,8),(15,2310589,2.00,6.00,5.00,8.00,6.00,5.25,6.00,6.00,3.00,304,318,NULL,'JARDIM SAIRA','SOROCABA','SP',9151,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2310600,4.00,7.00,2.00,3.00,4.00,5.75,3.00,7.00,3.00,5,426,NULL,'CENTRO','FLORIANOPOLIS','SC',14341,618,186,NULL,NULL,NULL,NULL,4,1),(15,2310619,3.00,6.00,4.00,4.00,7.00,5.50,4.00,4.00,1.00,5,324,NULL,'CAMPINAS','SAO JOSE','SC',16636,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2310627,0.00,3.00,1.00,0.00,4.00,NULL,3.00,3.00,1.00,223,225,NULL,'BARRA DO ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310635,0.00,4.00,1.00,3.00,7.00,5.50,5.00,5.00,2.00,102,333,NULL,'CAMPECHE','FLORIANOPOLIS','SC',18783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310643,3.00,7.00,5.00,6.00,7.00,4.25,4.00,7.00,3.00,201,316,233,'CENTRO','ANTONIO CARLOS','SC',9855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2310651,3.00,5.00,2.00,7.00,4.00,6.25,3.00,5.00,1.00,328,424,NULL,'TRINDADE','FLORIANOPOLIS','SC',15871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2310660,4.00,6.00,7.00,8.00,7.00,6.00,5.00,3.00,4.00,420,102,NULL,'CAMPECHE','FLORIANOPOLIS','SC',7708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310678,0.00,5.00,2.00,0.00,2.00,NULL,3.00,6.00,3.00,318,316,NULL,'BELA VISTA I','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310694,3.00,8.00,3.00,2.00,7.00,4.75,5.00,6.00,2.00,207,420,NULL,'FAZENDA','ITAJAI','SC',13046,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2310708,3.00,6.00,2.00,5.00,5.00,6.00,3.00,4.00,2.00,215,404,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',15890,319,395,NULL,NULL,NULL,NULL,2,1),(15,2310716,6.00,8.00,5.00,7.00,7.00,5.75,9.00,7.00,4.00,103,211,NULL,'SANTO ANTONIO','BELO HORIZONTE','MG',3169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2310724,3.00,5.00,1.00,6.00,6.00,5.50,4.00,2.00,3.00,339,309,NULL,'PQ SÃO RAFAEL','SAO PAULO','SP',17316,67,177,NULL,NULL,NULL,NULL,2,1),(15,2310732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,238,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2310740,2.00,7.00,3.00,5.00,5.00,4.75,5.00,4.00,2.00,101,211,NULL,'AMÉRICA','JOINVILLE','SC',16225,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2310759,4.00,7.00,2.00,6.00,5.00,5.25,5.00,5.00,1.00,301,220,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',13852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310767,4.00,4.00,3.00,5.00,7.00,5.00,4.00,6.00,2.00,301,444,NULL,'PONTA DE BAIXO','SAO JOSE','SC',14905,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2310775,5.00,8.00,6.00,7.00,6.00,4.50,6.00,4.00,1.00,420,304,NULL,'ABRAAO','FLORIANOPOLIS','SC',10147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310783,7.00,9.00,6.00,8.00,8.00,6.00,7.00,6.00,4.00,420,310,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',2756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310791,7.00,7.00,7.00,8.00,6.00,6.00,6.00,5.00,4.00,103,102,NULL,'CENTRO','CAMPINAS DO SUL','RS',4644,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2310805,1.00,4.00,5.00,1.00,3.00,NULL,0.00,2.00,3.00,319,420,NULL,'SESI','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2310813,4.00,7.00,3.00,8.00,5.00,6.00,4.00,6.00,3.00,450,428,NULL,'KOBRASOL','SAO JOSE','SC',9739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,208,NULL,'NOSSA SR DO ROSÁRIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2310848,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,103,9,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(15,2310864,3.00,6.00,1.00,5.00,4.00,4.50,3.00,2.00,2.00,308,339,NULL,'PASSA VINTE','PALHOCA','SC',20542,169,403,NULL,NULL,NULL,NULL,2,1),(15,2310872,2.00,7.00,3.00,3.00,4.00,5.25,3.00,6.00,2.00,316,301,NULL,'CANASVIEIRAS','LAGES','SC',18569,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2310880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,423,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2310899,4.00,9.00,3.00,9.00,7.00,6.00,5.00,7.00,3.00,425,320,429,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',6324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310902,2.00,4.00,1.00,6.00,6.00,3.25,2.00,3.00,1.00,101,328,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',22028,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2310910,2.00,4.00,3.00,5.00,6.00,4.25,3.00,5.00,3.00,208,202,238,'JARDIM SAO PAULO','SAO JOAO BATISTA','SC',18480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,211,215,'CENTRO','TELEMACO BORBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2310937,3.00,5.00,4.00,6.00,7.00,4.00,6.00,6.00,3.00,333,427,NULL,'ARRAIAL DA JUDA','PORTO SEGURO','BA',12557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2310945,3.00,6.00,3.00,5.00,5.00,4.25,4.00,5.00,2.00,208,220,NULL,'CENTRO','ARARANGUA','SC',17213,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2310953,0.00,7.00,2.00,6.00,3.00,NULL,6.00,6.00,3.00,5,201,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2310996,1.00,5.00,4.00,5.00,6.00,6.75,3.00,6.00,3.00,318,324,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',14770,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2311003,1.00,4.00,3.00,2.00,3.00,NULL,1.00,2.00,3.00,319,308,NULL,'CORDEIROS','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2311011,3.00,6.00,2.00,3.00,6.00,3.25,5.00,7.00,4.00,415,238,NULL,'SERRARIAS','SAO JOSE','SC',15839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'JARDIM JACARANDÁS','SINOP','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2311062,3.00,5.00,6.00,8.00,7.00,6.50,4.00,6.00,6.00,415,444,NULL,'VILA BEATRIZ','SAO PAULO','SP',6921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311070,3.00,7.00,7.00,1.00,7.00,6.00,6.00,3.00,3.00,331,324,NULL,'ESTREITO','FLORIANOPOLIS','SC',11955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311089,3.00,7.00,3.00,2.00,7.00,6.25,4.00,3.00,4.00,319,308,NULL,'PANTANAL','FLORIANOPOLIS','SC',15535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,339,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2311100,2.00,4.00,1.00,1.00,5.00,5.75,6.00,3.00,2.00,5,415,NULL,'CENTRO','LAGES','SC',21403,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2311119,0.00,5.00,4.00,2.00,3.00,6.25,5.00,2.00,2.00,207,420,NULL,'CRUZEIRO DO SUL','CRICIUMA','SC',20674,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2311127,3.00,3.00,1.00,3.00,2.00,NULL,2.00,2.00,2.00,308,309,NULL,'JD AQUARIUS','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311135,3.00,4.00,5.00,5.00,7.00,5.50,3.00,2.00,4.00,309,339,NULL,'JURERÊ','FLORIANOPOLIS','SC',15230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311143,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2311151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,225,NULL,'PICADAS DO NORTE','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2311160,1.00,5.00,2.00,1.00,3.00,5.00,3.00,4.00,3.00,304,317,NULL,'INTERIOR','OURO','SC',21118,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2311178,6.00,9.00,9.00,7.00,9.00,5.50,9.00,7.00,5.00,103,9,NULL,'CENTRO','BRUSQUE','SC',943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311186,4.00,7.00,4.00,7.00,5.00,6.00,5.00,5.00,2.00,501,NULL,NULL,'ANÁPOLIS CITY','ANAPOLIS','GO',10579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2311194,0.00,4.00,3.00,3.00,6.00,5.75,6.00,4.00,3.00,238,301,203,'VILA SÃO JORGE','SIDEROPOLIS','SC',17969,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2311208,2.00,6.00,1.00,3.00,3.00,5.75,3.00,1.00,1.00,339,324,NULL,'CAMPINAS','SAO JOSE','SC',22277,176,460,NULL,NULL,NULL,NULL,2,1),(15,2311216,6.00,4.00,5.00,6.00,4.00,5.25,5.00,2.00,4.00,202,213,NULL,'SÃO FCO DE ASSIS','DOIS VIZINHOS','PR',12656,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2311224,2.00,4.00,2.00,0.00,2.00,NULL,0.00,0.00,0.00,203,202,214,'JOSÉ AMANDIO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,6),(15,2311232,4.00,5.00,3.00,4.00,4.00,5.75,4.00,4.00,5.00,316,317,NULL,'CAMPINAS','SAO JOSE','SC',15605,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2311240,0.00,4.00,2.00,3.00,1.00,NULL,3.00,2.00,3.00,208,5,238,'CENTRO','CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2311259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,5,212,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2311267,2.00,3.00,2.00,1.00,3.00,NULL,5.00,3.00,0.00,103,303,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2311275,1.00,6.00,1.00,5.00,4.00,4.75,3.00,6.00,2.00,303,207,NULL,'CENTRO','PASSO FUNDO','RS',18510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CIDADE ALTA','JAGUARIAIVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2311305,2.00,6.00,2.00,7.00,7.00,5.75,4.00,4.00,3.00,317,451,NULL,'INGLESES','FLORIANOPOLIS','SC',13908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2311313,1.00,6.00,2.00,1.00,3.00,5.75,2.00,2.00,2.00,316,214,NULL,'CENTRO','CONCORDIA','SC',22237,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2311321,2.00,4.00,1.00,2.00,6.00,4.75,3.00,5.00,2.00,201,202,212,'CORDEIROS','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2311330,1.00,5.00,3.00,5.00,3.00,4.50,2.00,3.00,0.00,423,339,428,'AREIAS','SAO JOSE','SC',21989,114,453,103,NULL,NULL,NULL,2,1),(15,2311348,2.00,8.00,2.00,7.00,5.00,5.75,6.00,6.00,2.00,217,329,NULL,'VILA NOVA','BLUMENAU','SC',12017,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2311356,2.00,3.00,4.00,2.00,6.00,6.00,4.00,3.00,4.00,5,317,NULL,'PONTE DO IMARUIM','PALHOCA','SC',18800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311364,4.00,7.00,6.00,6.00,7.00,5.00,5.00,8.00,3.00,332,320,NULL,'CENTRO','BIGUACU','SC',6124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311372,6.00,7.00,4.00,4.00,7.00,4.00,5.00,6.00,4.00,207,501,NULL,'ZONA RURAL','SAO JORGE D OESTE','PR',9649,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2311380,4.00,7.00,5.00,8.00,7.00,6.75,3.00,7.00,4.00,404,333,NULL,'CENTRO','FLORIANOPOLIS','SC',6573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311399,4.00,5.00,4.00,8.00,6.00,5.00,6.00,4.00,5.00,238,333,207,'ITAGUAÇÚ','FLORIANOPOLIS','SC',10346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2311402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM LUANDA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2311410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,317,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2311429,6.00,6.00,7.00,9.00,7.00,5.50,6.00,4.00,2.00,108,208,NULL,'CENTRO','PALHOCA','SC',5183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311437,5.00,6.00,6.00,6.00,5.00,5.50,4.00,4.00,4.00,316,301,NULL,'VILA BELMIRO','SANTOS','SP',9796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2311461,2.00,5.00,2.00,4.00,6.00,6.00,4.00,4.00,2.00,320,329,NULL,'CANASVIEIRA','FLORIANOPOLIS','SC',18423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311470,2.00,3.00,1.00,4.00,5.00,NULL,3.00,2.00,2.00,308,309,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2311488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,5,NULL,'URBANOVA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2311496,3.00,5.00,5.00,4.00,5.00,5.00,7.00,7.00,2.00,103,220,NULL,'CENTRO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311518,3.00,7.00,2.00,2.00,6.00,6.00,4.00,5.00,2.00,207,211,201,'CENTRO','BALNEARIO CAMBORIU','SC',15299,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2311526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'SANTANA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2311534,4.00,7.00,3.00,3.00,6.00,6.25,3.00,4.00,1.00,103,102,NULL,'ACARAÍ','SAO FRANCISCO DO SUL','SC',15396,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2311542,1.00,5.00,2.00,4.00,6.00,1.50,4.00,6.00,1.00,234,502,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2311550,1.00,8.00,6.00,6.00,4.00,5.25,5.00,6.00,3.00,224,225,NULL,'JARDIM ATLÃNTICO','FLORIANOPOLIS','SC',11721,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2311569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,303,NULL,'JARDIM PARAÍSO','POUSO ALEGRE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2311577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,215,425,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2311585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,320,NULL,'VILA GUARANI','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2311593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,318,NULL,'FUNCIONÁRIOS','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2311607,5.00,9.00,2.00,3.00,4.00,5.25,5.00,7.00,3.00,9,404,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',10300,112,327,NULL,NULL,NULL,NULL,2,1),(15,2311615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,310,NULL,'JARDIM DOS ESTADOS','POCOS DE CALDAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2311623,4.00,7.00,3.00,4.00,5.00,4.75,4.00,4.00,2.00,319,308,NULL,'SAO BERNARDO','TUBARAO','SC',18395,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2311631,4.00,7.00,8.00,6.00,6.00,4.75,5.00,8.00,3.00,201,304,212,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',6271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311640,1.00,0.00,3.00,0.00,5.00,NULL,1.00,3.00,3.00,211,103,201,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2311658,8.00,9.00,6.00,1.00,8.00,5.75,7.00,6.00,7.00,103,NULL,NULL,'VILA DAMÁSIO','SAO BERNARDO DO CAMPO','SP',2765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311666,2.00,5.00,2.00,3.00,3.00,NULL,2.00,1.00,1.00,104,102,NULL,'BRUSQUE DO SUL','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2311674,3.00,6.00,3.00,3.00,8.00,4.25,4.00,7.00,2.00,5,327,NULL,'ESTREITO','FLORIANOPOLIS','SC',13627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311690,2.00,7.00,3.00,5.00,6.00,3.50,2.00,7.00,3.00,326,328,NULL,'CENTRO','SAO JOSE DO RIO PRETO','SP',15567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311704,1.00,4.00,2.00,2.00,3.00,NULL,2.00,2.00,3.00,425,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2311712,4.00,7.00,3.00,4.00,7.00,3.75,5.00,3.00,2.00,303,425,NULL,'KOBRASOL','SAO JOSE','SC',15550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311720,3.00,6.00,2.00,5.00,6.00,5.25,6.00,4.00,3.00,450,331,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',13789,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2311739,1.00,4.00,1.00,3.00,3.00,4.75,3.00,4.00,1.00,101,NULL,NULL,'BARREIROS','SAO JOSE','SC',22071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311747,2.00,7.00,1.00,8.00,5.00,5.50,2.00,2.00,2.00,316,332,NULL,'INGLESES','FLORIANOPOLIS','SC',18725,552,295,NULL,NULL,NULL,NULL,2,1),(15,2311755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,339,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2311771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,318,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2311780,6.00,7.00,5.00,5.00,4.00,5.50,5.00,4.00,5.00,333,327,NULL,'CENTRO','FLORIANOPOLIS','SC',10580,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2311798,3.00,6.00,0.00,1.00,7.00,NULL,3.00,0.00,2.00,425,424,429,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,217,216,'CENTRO','VARGEAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2311810,4.00,6.00,8.00,6.00,9.00,8.00,7.00,7.00,3.00,316,502,NULL,'CAMPINAS','SAO JOSE','SC',3417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311828,3.00,6.00,2.00,2.00,7.00,4.00,6.00,5.00,2.00,2,303,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311836,1.00,6.00,1.00,3.00,4.00,6.50,2.00,2.00,4.00,316,317,NULL,'CENTRO','SAO JOSE','SC',20829,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2311844,2.00,5.00,3.00,4.00,5.00,5.00,2.00,4.00,1.00,203,326,214,'INDUSTRIAL','ITAPEJARA D OESTE','PR',20325,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2311860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'GRANDE TERCEIRO','CUIABA','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2311887,3.00,7.00,0.00,8.00,3.00,NULL,4.00,3.00,1.00,427,428,425,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311895,2.00,7.00,6.00,6.00,7.00,6.50,6.00,7.00,3.00,104,208,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',6941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2311909,3.00,8.00,4.00,8.00,4.00,3.75,5.00,5.00,3.00,415,425,NULL,'ITAGUAÇÚ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,303,201,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2311933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,320,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2311941,0.00,4.00,0.00,3.00,6.00,NULL,1.00,2.00,0.00,104,9,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2311950,1.00,4.00,2.00,3.00,3.00,NULL,2.00,1.00,0.00,104,103,NULL,'CENTRO','CERRO NEGRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2311968,3.00,6.00,4.00,1.00,7.00,5.50,5.00,5.00,5.00,2,233,NULL,'CENTRO','FLORIANOPOLIS','SC',13186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311976,1.00,3.00,3.00,2.00,4.00,NULL,3.00,2.00,3.00,301,207,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2311984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,424,421,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2311992,2.00,2.00,1.00,1.00,2.00,NULL,1.00,3.00,4.00,101,308,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312000,3.00,6.00,0.00,3.00,6.00,NULL,2.00,2.00,2.00,108,326,NULL,'LIMPA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2312018,4.00,2.00,5.00,3.00,7.00,6.25,4.00,5.00,3.00,319,333,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312034,3.00,3.00,3.00,5.00,5.00,4.00,4.00,0.00,2.00,420,2,NULL,'BARREIROS','SAO JOSE','SC',21368,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2312042,0.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,420,333,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2312050,4.00,6.00,6.00,7.00,7.00,4.75,5.00,6.00,3.00,318,324,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',7739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2312069,3.00,3.00,2.00,2.00,5.00,NULL,2.00,2.00,2.00,316,501,NULL,'IGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312077,2.00,7.00,3.00,5.00,4.00,5.00,1.00,4.00,3.00,211,333,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',17422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312085,2.00,6.00,4.00,3.00,6.00,6.00,3.00,7.00,3.00,316,317,NULL,'CENTRO','PALHOCA','SC',13515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2312107,4.00,4.00,1.00,5.00,5.00,5.25,7.00,5.00,4.00,303,9,NULL,'PEDRA BRANCA','PALHOCA','SC',15053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312115,1.00,3.00,0.00,0.00,5.00,NULL,1.00,2.00,1.00,319,328,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2312123,2.00,4.00,0.00,3.00,7.00,NULL,2.00,3.00,2.00,502,208,NULL,'PACHECOS','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312131,4.00,7.00,3.00,9.00,7.00,6.50,6.00,6.00,4.00,238,332,208,'INGLESES','FLORIANOPOLIS','SC',5542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,333,424,'SERRINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2312158,3.00,8.00,3.00,5.00,7.00,6.00,6.00,6.00,3.00,201,207,233,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'JD CAMPOS ELÍSEOS','JUNDIAI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2312174,6.00,7.00,10.00,8.00,9.00,7.50,8.00,6.00,6.00,203,222,233,'CENTRO','FLORIANOPOLIS','SC',742,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2312182,2.00,6.00,0.00,0.00,6.00,6.00,3.00,5.00,4.00,425,324,429,'JOSE NITRO','SAO JOSE','SC',18885,160,341,145,NULL,NULL,NULL,4,1),(15,2312190,2.00,5.00,2.00,5.00,4.00,6.25,2.00,2.00,4.00,103,425,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,316,NULL,'SANTA TEREZA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2312212,3.00,4.00,3.00,2.00,8.00,6.75,3.00,4.00,2.00,415,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',17564,439,NULL,NULL,NULL,NULL,NULL,4,9),(15,2312220,0.00,6.00,2.00,0.00,5.00,NULL,2.00,1.00,3.00,316,308,NULL,'JARDIM JANAINA','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2312239,1.00,4.00,3.00,5.00,2.00,NULL,3.00,3.00,3.00,329,308,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2312247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,319,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2312255,4.00,5.00,1.00,3.00,3.00,4.25,3.00,1.00,1.00,203,202,220,'S C DE JESUS','LAGES','SC',22273,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2312263,3.00,9.00,1.00,3.00,5.00,6.00,3.00,6.00,4.00,318,316,NULL,'BARREIROS','SAO JOSE','SC',13666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,333,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2312310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','CAMPO ERE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2312328,4.00,3.00,3.00,4.00,5.00,4.00,2.00,3.00,3.00,423,331,428,'PENHA','PAULO LOPES','SC',21398,99,252,95,NULL,NULL,NULL,2,1),(15,2312336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,329,NULL,'BELA SUIÇA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2312344,4.00,8.00,6.00,3.00,2.00,NULL,6.00,4.00,6.00,301,108,NULL,'CENTRO','IBITINGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2312360,3.00,4.00,0.00,2.00,5.00,4.75,3.00,4.00,2.00,308,319,NULL,'SERRARIA','SAO JOSE','SC',21819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312387,3.00,7.00,2.00,4.00,8.00,4.50,5.00,4.00,3.00,303,207,NULL,'BARREIROS','SAO JOSE','SC',14679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312395,2.00,4.00,1.00,0.00,5.00,NULL,2.00,2.00,2.00,103,102,NULL,'SANTA HELENA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2312417,3.00,6.00,2.00,6.00,6.00,6.50,3.00,7.00,2.00,450,326,NULL,'CENTRO','FLORIANOPOLIS','SC',13905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312425,1.00,7.00,4.00,2.00,3.00,5.00,4.00,4.00,0.00,318,327,NULL,'TRINDADE','FLORIANOPOLIS','SC',20136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312441,1.00,6.00,4.00,5.00,7.00,6.25,4.00,6.00,3.00,309,502,NULL,'CANTRO','BALNEARIO CAMBORIU','SC',11110,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2312450,4.00,4.00,5.00,0.00,3.00,NULL,3.00,1.00,2.00,201,303,207,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312468,0.00,2.00,0.00,2.00,3.00,NULL,3.00,1.00,2.00,317,316,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312476,2.00,4.00,1.00,1.00,5.00,NULL,1.00,4.00,2.00,415,NULL,NULL,'ESTUDANTES','IPIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2312484,3.00,5.00,4.00,5.00,6.00,5.50,4.00,7.00,3.00,103,215,NULL,'CENTRO','GETULIO VARGAS','RS',12293,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2312492,6.00,8.00,8.00,9.00,8.00,6.25,8.00,8.00,4.00,208,NULL,202,'MOEMA','SAO PAULO','SP',1194,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2312506,1.00,7.00,2.00,6.00,5.00,4.75,3.00,7.00,2.00,303,304,NULL,'CAMPECHE','FLORIANOPOLIS','SC',15647,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2312514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,317,NULL,'ENGENHO NOVO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2312522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,234,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2312530,2.00,6.00,3.00,1.00,5.00,3.50,5.00,5.00,3.00,304,333,NULL,'CENTRO','FLORIANOPOLIS','SC',19389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312549,3.00,7.00,1.00,6.00,5.00,5.25,3.00,5.00,4.00,201,NULL,NULL,'PRADENSE','VACARIA','RS',15420,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2312557,5.00,7.00,8.00,7.00,8.00,6.00,7.00,6.00,5.00,303,304,NULL,'CENTRO','CRICIUMA','SC',3569,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2312565,2.00,5.00,3.00,0.00,6.00,3.75,5.00,5.00,3.00,103,108,NULL,'MARTORANO','SAO JOAQUIM','SC',19259,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2312573,1.00,3.00,3.00,3.00,2.00,NULL,3.00,3.00,2.00,501,102,NULL,'FLORESTA','SANTO AUGUSTO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2312581,2.00,6.00,3.00,6.00,6.00,5.50,5.00,3.00,3.00,329,327,NULL,'TREZE DE JULHO','ARACAJU','SE',13659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312620,5.00,8.00,7.00,3.00,7.00,6.00,9.00,6.00,6.00,2,201,NULL,'DAS PALMEIRAS','CAMPINAS','SP',3784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312638,2.00,6.00,5.00,3.00,5.00,4.00,3.00,5.00,3.00,208,2,238,'BARREIROS','SAO JOSE','SC',18374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312646,3.00,4.00,3.00,0.00,2.00,NULL,1.00,5.00,2.00,103,101,NULL,'ZONA RURAL','SUL BRASIL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2312654,6.00,7.00,5.00,5.00,8.00,5.50,4.00,7.00,4.00,319,451,NULL,'ITACORUBI','FLORIANOPOLIS','SC',6691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312662,0.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,327,451,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2312670,0.00,7.00,1.00,2.00,4.00,NULL,3.00,4.00,2.00,108,309,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312689,0.00,4.00,2.00,4.00,6.00,5.00,2.00,3.00,2.00,215,108,211,'ASILO','BLUMENAU','SC',20770,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2312697,1.00,3.00,4.00,4.00,3.00,3.50,3.00,5.00,2.00,404,308,NULL,'TRINDADE','FLORIANOPOLIS','SC',21705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2312700,4.00,5.00,0.00,5.00,5.00,6.25,5.00,1.00,2.00,451,327,NULL,'PONTE DO IMARUIM','PALHOCA','SC',18888,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2312719,7.00,7.00,6.00,8.00,7.00,6.50,7.00,6.00,7.00,103,102,NULL,'TRINDADE','FLORIANOPOLIS','SC',1708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312727,5.00,8.00,4.00,4.00,7.00,7.25,3.00,5.00,1.00,103,450,NULL,'CENTRO','CAPINZAL','SC',10907,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2312735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,5,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2312743,1.00,5.00,4.00,3.00,3.00,NULL,2.00,1.00,1.00,501,203,NULL,'VENEZA','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2312751,8.00,8.00,9.00,8.00,7.00,6.50,8.00,7.00,5.00,211,222,203,'SANTO ANTÔNIO','FLORIANOPOLIS','SC',899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312760,2.00,5.00,2.00,5.00,5.00,5.75,2.00,5.00,3.00,211,316,207,'SÃO SEBASTIÃO','PALHOCA','SC',17519,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2312778,1.00,6.00,1.00,4.00,3.00,3.75,2.00,3.00,1.00,102,444,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',22061,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2312794,1.00,5.00,2.00,7.00,7.00,7.25,3.00,5.00,2.00,310,424,NULL,'PRAINHA','FLORIANOPOLIS','SC',16066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312808,3.00,5.00,5.00,4.00,5.00,6.75,5.00,4.00,3.00,201,202,203,'ANDORINHA','ITAPEMA','SC',13519,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2312816,7.00,6.00,8.00,8.00,8.00,7.25,5.00,5.00,6.00,103,212,NULL,'VILA TOLENTINO','CASCAVEL','PR',3022,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2312824,6.00,7.00,5.00,4.00,8.00,7.25,6.00,7.00,4.00,103,415,NULL,'CENTRO','URUSSANGA','SC',5422,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2312859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,211,NULL,'ITAPEMA DO NORTE','ITAPOA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2312867,4.00,5.00,3.00,5.00,7.00,5.00,4.00,4.00,1.00,5,316,NULL,'CENTRO','FLORIANOPOLIS','SC',15136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2312875,4.00,6.00,1.00,6.00,6.00,7.00,2.00,7.00,2.00,318,320,NULL,'ITACORUBI','FLORIANOPOLIS','SC',11917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312883,4.00,4.00,1.00,4.00,6.00,5.25,3.00,5.00,2.00,102,108,NULL,'CENTRO','AUREA','RS',17572,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2312891,3.00,6.00,2.00,0.00,4.00,3.25,4.00,4.00,1.00,415,102,NULL,'ST ANTONIO DE LISBOA','FLORIANOPOLIS','SC',22439,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312905,1.00,2.00,2.00,2.00,5.00,NULL,0.00,1.00,4.00,215,9,NULL,'CENTRO','SIDEROPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(15,2312913,2.00,4.00,1.00,3.00,5.00,5.75,3.00,5.00,2.00,233,222,202,'PRADINHO','SAO JOAQUIM','SC',19460,431,208,655,NULL,NULL,NULL,2,9),(15,2312930,0.00,6.00,1.00,3.00,5.00,4.75,3.00,4.00,2.00,429,327,426,'RIO TAVARES','FLORIANOPOLIS','SC',21054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2312948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,450,NULL,'SANTA CRUZ','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2312956,3.00,6.00,2.00,8.00,7.00,3.75,4.00,4.00,2.00,420,108,NULL,'TRIBESS','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2312964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,202,213,'CORDEIROS','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2312972,1.00,6.00,2.00,7.00,8.00,5.00,6.00,3.00,2.00,216,102,NULL,'RODRIGUES','LAGOA VERMELHA','RS',14044,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2312980,2.00,6.00,3.00,4.00,4.00,5.50,4.00,3.00,2.00,102,451,NULL,'SÃO LUIS','BRUSQUE','SC',18883,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2312999,1.00,7.00,2.00,4.00,4.00,3.75,4.00,6.00,1.00,9,444,NULL,'CAMPINAS','SAO JOSE','SC',18240,253,531,NULL,NULL,NULL,NULL,4,1),(15,2313006,2.00,3.00,2.00,4.00,3.00,4.25,3.00,2.00,2.00,423,301,421,'AREAIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313014,4.00,9.00,7.00,9.00,6.00,7.75,5.00,7.00,5.00,333,304,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',3050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313022,0.00,5.00,2.00,4.00,6.00,NULL,2.00,3.00,1.00,415,104,NULL,'JARDIM PINHEIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313030,3.00,8.00,1.00,6.00,5.00,5.25,4.00,4.00,3.00,420,208,NULL,'BARREIROS','SAO JOSE','SC',13303,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313049,2.00,4.00,3.00,9.00,7.00,4.50,4.00,4.00,3.00,108,217,NULL,'BELA VISTA','GASPAR','SC',14824,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2313057,4.00,7.00,3.00,3.00,7.00,4.00,3.00,6.00,3.00,103,301,NULL,'CENTRO','ARARANGUA','SC',13368,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2313065,0.00,5.00,1.00,2.00,5.00,5.50,3.00,2.00,4.00,327,420,NULL,'CAMPINAS','SAO JOSE','SC',21778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313081,0.00,4.00,1.00,6.00,3.00,3.50,2.00,3.00,1.00,329,319,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',22489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313090,1.00,7.00,0.00,5.00,5.00,NULL,4.00,6.00,2.00,328,320,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313103,1.00,3.00,4.00,0.00,6.00,5.50,3.00,5.00,2.00,103,5,NULL,'ARIZONA','LAURO MULLER','SC',21111,3058,1328,NULL,NULL,NULL,NULL,4,5),(15,2313111,0.00,2.00,5.00,2.00,3.00,NULL,2.00,3.00,1.00,211,502,233,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'CENTRO','SAO JOAO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2313146,1.00,4.00,0.00,4.00,6.00,NULL,3.00,3.00,2.00,104,207,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313154,4.00,4.00,4.00,6.00,8.00,4.25,2.00,5.00,2.00,104,451,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',15385,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313162,6.00,6.00,6.00,6.00,5.00,4.25,6.00,6.00,4.00,222,217,NULL,'CENTRO','SAO JOAQUIM','SC',8089,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2313170,6.00,7.00,6.00,4.00,8.00,7.50,8.00,8.00,4.00,103,104,NULL,'SANTO ANTONIO','JOINVILLE','SC',4092,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2313189,3.00,6.00,3.00,4.00,6.00,4.75,3.00,3.00,2.00,420,424,NULL,'ESTREITO','FLORIANOPOLIS','SC',17892,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313197,1.00,4.00,3.00,1.00,4.00,4.00,2.00,3.00,2.00,333,104,NULL,'CENTRO','BAURU','SP',22387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313200,2.00,6.00,4.00,4.00,5.00,3.00,6.00,6.00,4.00,224,329,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',16041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313219,1.00,6.00,1.00,0.00,5.00,5.75,2.00,4.00,3.00,415,303,NULL,'CENTRO','BARRA DO GUARITA','RS',21575,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2313227,1.00,5.00,2.00,5.00,4.00,4.50,3.00,3.00,2.00,319,333,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',21027,471,1028,NULL,NULL,NULL,NULL,2,1),(15,2313235,4.00,7.00,2.00,4.00,5.00,4.75,5.00,4.00,4.00,328,424,NULL,'ESTREITO','FLORIANOPOLIS','SC',15375,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313243,3.00,8.00,3.00,6.00,6.00,3.50,3.00,5.00,1.00,303,319,NULL,'ESTREITO','FLORIANOPOLIS','SC',14022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313251,3.00,5.00,1.00,1.00,4.00,4.75,6.00,5.00,1.00,502,415,NULL,'CENTRO','FLORIANOPOLIS','SC',20233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ESTAÇÃO LUZERNA','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2313278,4.00,4.00,3.00,0.00,6.00,NULL,4.00,2.00,2.00,238,213,208,'NAÇOES','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2313286,1.00,6.00,4.00,3.00,5.00,4.75,3.00,4.00,2.00,331,332,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',19927,88,307,NULL,NULL,NULL,NULL,4,10),(15,2313294,3.00,6.00,4.00,6.00,4.00,6.50,3.00,3.00,4.00,316,425,NULL,'JAQUELINE','ICARA','SC',14767,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2313316,5.00,4.00,3.00,2.00,2.00,NULL,3.00,2.00,4.00,101,324,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313324,1.00,4.00,4.00,7.00,6.00,5.50,6.00,7.00,4.00,101,215,NULL,'MONTE CASTELO','CAMPO GRANDE','MS',11378,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'SAO LUIZ','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2313340,6.00,3.00,2.00,4.00,7.00,5.25,3.00,5.00,2.00,428,308,426,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',16243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313359,3.00,7.00,3.00,4.00,4.00,6.50,5.00,7.00,1.00,5,211,NULL,'PANTANAL','FLORIANOPOLIS','SC',13112,571,900,NULL,NULL,NULL,NULL,2,1),(15,2313367,3.00,6.00,5.00,7.00,6.00,6.00,6.00,4.00,4.00,450,420,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',9801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313375,1.00,6.00,4.00,2.00,6.00,6.50,5.00,3.00,2.00,424,319,428,'MORRO BONITO','JAGUARUNA','SC',18848,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2313383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,450,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2313391,7.00,9.00,10.00,8.00,9.00,6.25,10.00,8.00,8.00,103,329,NULL,'CENTRO','FLORIANOPOLIS','SC',142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313405,4.00,4.00,3.00,1.00,4.00,3.75,3.00,6.00,1.00,208,222,NULL,'ILHA DA FIGUEIRA','JARAGUA DO SUL','SC',20731,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2313413,2.00,7.00,2.00,3.00,3.00,5.25,4.00,5.00,3.00,203,208,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',17437,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2313421,5.00,7.00,2.00,5.00,8.00,8.25,4.00,5.00,0.00,420,426,NULL,'JD CIDADE DE FPOLIS','SAO JOSE','SC',12457,239,170,NULL,NULL,NULL,NULL,4,1),(15,2313430,3.00,7.00,7.00,4.00,8.00,3.00,7.00,3.00,5.00,220,201,203,'TREZE DE JULHO','ARACAJU','SE',8706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313448,5.00,6.00,1.00,5.00,6.00,5.00,5.00,3.00,3.00,415,451,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313456,3.00,3.00,2.00,4.00,5.00,3.75,1.00,2.00,3.00,238,NULL,NULL,'SANTA TEREZINHA','VACARIA','RS',22398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313464,4.00,8.00,2.00,7.00,7.00,7.00,2.00,6.00,2.00,329,421,NULL,'TRINDADE','FLORIANOPOLIS','SC',11453,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313472,3.00,8.00,5.00,7.00,5.00,6.25,6.00,7.00,4.00,317,318,NULL,'SÃO CRISTOVÃO','CHAPECO','SC',7677,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2313480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,222,202,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2313510,1.00,4.00,0.00,8.00,7.00,5.75,2.00,4.00,3.00,423,329,427,'CANTO DA LAGOA','FLORIANOPOLIS','SC',18739,70,233,67,NULL,NULL,NULL,2,1),(15,2313529,1.00,5.00,3.00,5.00,6.00,3.75,2.00,5.00,1.00,308,327,NULL,'TAPERA','FLORIANOPOLIS','SC',18786,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,238,'PRIMEIRO DE MAIO','ICARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2313545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,108,NULL,'FAZENDA','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2313561,3.00,7.00,6.00,5.00,6.00,4.75,4.00,6.00,6.00,215,320,NULL,'VILA SÃO FRANCISCO','SAO PAULO','SP',8582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313570,2.00,4.00,0.00,2.00,5.00,4.25,6.00,5.00,2.00,309,331,NULL,'ITACORUBI','FLORIANOPOLIS','SC',20586,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313588,3.00,3.00,3.00,3.00,5.00,4.00,3.00,3.00,1.00,238,208,203,'INGLESES','FLORIANOPOLIS','SC',21559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313600,4.00,8.00,5.00,2.00,7.00,7.00,7.00,3.00,4.00,103,101,NULL,'PITUBA','SALVADOR','BA',9370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313618,2.00,5.00,3.00,2.00,4.00,4.25,3.00,4.00,2.00,203,202,211,'CAPOEIRAS','FLORIANOPOLIS','SC',22164,1213,966,755,NULL,NULL,NULL,4,1),(15,2313626,1.00,8.00,4.00,3.00,7.00,5.00,5.00,5.00,3.00,318,316,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',11958,133,954,NULL,NULL,NULL,NULL,4,1),(15,2313634,4.00,5.00,3.00,5.00,7.00,5.25,4.00,3.00,3.00,9,415,NULL,'BUTANTÃ','SAO PAULO','SP',14420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313642,2.00,4.00,0.00,6.00,5.00,3.75,5.00,3.00,2.00,104,217,NULL,'CENTRO','MAFRA','SC',20111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313650,3.00,6.00,3.00,5.00,8.00,4.50,5.00,4.00,3.00,102,9,NULL,'SERTAO DO MARUIM','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CASCATINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2313677,4.00,7.00,2.00,5.00,7.00,7.00,4.00,7.00,4.00,415,320,NULL,'JARDIM ITALIA','CHAPECO','SC',8876,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2313685,3.00,7.00,2.00,6.00,7.00,3.75,3.00,5.00,3.00,303,423,NULL,'PONTE DO IMARUIM','PALHOCA','SC',14317,674,179,NULL,NULL,NULL,NULL,2,1),(15,2313693,4.00,5.00,3.00,7.00,6.00,4.75,2.00,5.00,3.00,318,501,NULL,'TRINDADE','FLORIANOPOLIS','SC',15305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313715,4.00,7.00,3.00,4.00,5.00,6.00,4.00,6.00,2.00,101,217,NULL,'TRINDADE','FLORIANOPOLIS','SC',13256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313723,1.00,4.00,2.00,5.00,4.00,4.50,2.00,2.00,3.00,415,450,NULL,'ITACORUBI','FLORIANOPOLIS','SC',22069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313731,3.00,3.00,3.00,4.00,4.00,5.00,2.00,4.00,4.00,415,104,NULL,'GASPARINHO','GASPAR','SC',20527,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2313740,2.00,3.00,2.00,3.00,7.00,5.25,2.00,4.00,2.00,303,420,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313766,4.00,6.00,3.00,3.00,6.00,6.25,1.00,5.00,5.00,202,NULL,203,'CENTRO','GIRUA','RS',14403,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2313782,2.00,3.00,2.00,3.00,2.00,NULL,2.00,5.00,2.00,5,308,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,208,NULL,'NOVO ELDORADO','CONTAGEM','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2313804,2.00,4.00,3.00,5.00,6.00,4.50,5.00,3.00,4.00,101,421,NULL,'SANTA TEREZA','SAO PEDRO DE ALCANTARA','SC',16939,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313812,4.00,8.00,6.00,7.00,8.00,6.25,5.00,4.00,3.00,103,104,NULL,'CENTRO','BLUMENAU','SC',8014,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2313839,6.00,6.00,6.00,5.00,8.00,4.75,7.00,6.00,3.00,318,429,NULL,'ITACORUBI','FLORIANOPOLIS','SC',7525,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,501,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2313863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2313880,3.00,7.00,3.00,4.00,6.00,5.00,4.00,2.00,3.00,421,425,429,'CAMPINAS','SAO JOSE','SC',17455,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313898,3.00,7.00,7.00,9.00,6.00,8.00,6.00,7.00,5.00,317,318,NULL,'CENTRO','FLORIANOPOLIS','SC',2693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313901,2.00,3.00,3.00,0.00,0.00,NULL,3.00,2.00,3.00,332,331,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(15,2313910,2.00,7.00,5.00,7.00,6.00,6.00,4.00,7.00,1.00,326,308,NULL,'MINA BRASIL','CRICIUMA','SC',10526,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2313928,2.00,6.00,5.00,7.00,6.00,NULL,0.00,0.00,0.00,450,319,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,3),(15,2313936,2.00,5.00,4.00,3.00,2.00,NULL,2.00,5.00,1.00,426,326,428,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313944,2.00,2.00,4.00,4.00,7.00,5.00,3.00,4.00,3.00,451,NULL,NULL,'VILA REAL','BALNEARIO CAMBORIU','SC',19304,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2313952,4.00,8.00,4.00,5.00,8.00,4.25,6.00,6.00,2.00,319,331,NULL,'CAMPECHE','FLORIANOPOLIS','SC',9291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313960,4.00,7.00,6.00,7.00,8.00,6.50,5.00,6.00,2.00,303,301,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',7137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2313987,3.00,3.00,2.00,2.00,2.00,NULL,3.00,5.00,1.00,333,217,NULL,'ARMAÇAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2313995,3.00,9.00,6.00,6.00,5.00,5.50,5.00,6.00,6.00,501,310,NULL,'MEIA PRAIA','ITAPEMA','SC',5870,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2314002,4.00,7.00,4.00,3.00,7.00,5.25,5.00,4.00,4.00,101,103,NULL,'CENTRO','PALMITOS','SC',11358,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2314010,0.00,3.00,2.00,5.00,3.00,NULL,1.00,0.00,3.00,319,9,NULL,'FORQUILHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314029,5.00,6.00,1.00,9.00,6.00,4.50,7.00,7.00,4.00,238,324,208,'TRINDADE','FLORIANOPOLIS','SC',7816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,451,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2314045,6.00,8.00,8.00,9.00,9.00,5.75,8.00,6.00,7.00,5,316,NULL,'ITACORUBI','FLORIANOPOLIS','SC',1406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314053,0.00,4.00,3.00,5.00,3.00,4.75,4.00,4.00,2.00,201,211,212,'MARTELI','VIDEIRA','SC',20810,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2314061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,103,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2314070,1.00,6.00,3.00,0.00,2.00,NULL,2.00,3.00,1.00,424,427,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'VARGEM PEQUENA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2314096,2.00,3.00,0.00,5.00,5.00,NULL,3.00,4.00,3.00,339,5,NULL,'CIDADE NOVA','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2314100,3.00,5.00,3.00,3.00,5.00,0.00,3.00,4.00,2.00,316,5,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','IJUI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2314126,3.00,5.00,4.00,5.00,6.00,5.00,4.00,7.00,1.00,102,324,NULL,'CENTRO','ELDORADO DO SUL','RS',15285,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2314134,2.00,9.00,6.00,5.00,9.00,5.75,6.00,7.00,2.00,319,328,NULL,'KOBRASOL','SAO JOSE','SC',6488,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314142,4.00,5.00,4.00,2.00,6.00,5.50,3.00,1.00,1.00,316,339,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',20659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314150,4.00,6.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,104,501,NULL,'CENTRO','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2314169,4.00,9.00,5.00,2.00,5.00,6.50,8.00,8.00,5.00,203,214,202,'GUARÁ','GUARA','DF',5510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314177,7.00,8.00,7.00,7.00,7.00,8.00,7.00,6.00,7.00,103,203,NULL,'JD EUROPA','ITAPEVA','SP',1704,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2314185,0.00,6.00,3.00,1.00,4.00,5.75,3.00,4.00,4.00,308,501,NULL,'SERRINHA','FLORIANOPOLIS','SC',19961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314193,6.00,6.00,2.00,5.00,7.00,6.75,6.00,5.00,3.00,415,428,NULL,'MARCO','BELEM','PA',10075,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314207,6.00,8.00,6.00,7.00,6.00,5.25,9.00,8.00,5.00,5,303,NULL,'JARDIM CRISTO REI','MARILIA','SP',2685,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2314215,2.00,7.00,3.00,2.00,6.00,5.25,6.00,5.00,3.00,208,203,NULL,'ENCANTADA','GAROPABA','SC',13963,526,1386,NULL,NULL,NULL,NULL,4,1),(15,2314240,0.00,1.00,1.00,5.00,6.00,NULL,2.00,2.00,2.00,308,427,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314258,3.00,6.00,4.00,6.00,8.00,6.75,2.00,3.00,3.00,102,424,NULL,'ESTREITO','FLORIANOPOLIS','SC',12433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,421,427,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2314290,1.00,6.00,3.00,2.00,4.00,4.75,6.00,4.00,3.00,203,225,233,'VILA NOVA','PALHOCA','SC',18463,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2314304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,211,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2314312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,216,202,'INTERLAGOS','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2314320,3.00,5.00,4.00,6.00,5.00,3.00,1.00,3.00,1.00,420,NULL,NULL,'NAÇÕES','TIMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2314347,1.00,4.00,1.00,1.00,4.00,4.25,3.00,3.00,3.00,102,101,NULL,'CENTRO','PRESIDENTE NEREU','SC',22475,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2314355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,207,NULL,'SANTA CATARINA','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2314363,4.00,5.00,7.00,8.00,7.00,3.00,5.00,4.00,3.00,316,501,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',11031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314371,5.00,8.00,6.00,6.00,7.00,4.00,6.00,7.00,5.00,316,301,NULL,'TRINDADE','FLORIANOPOLIS','SC',6013,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314380,1.00,5.00,3.00,5.00,6.00,5.25,4.00,3.00,3.00,203,201,233,'CENTRO','FLORIANOPOLIS','SC',17788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314398,3.00,8.00,3.00,8.00,7.00,5.25,4.00,6.00,4.00,103,108,NULL,'JABAQUARA','SAO PAULO','SP',8085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314401,1.00,6.00,1.00,3.00,5.00,4.75,2.00,6.00,3.00,5,327,NULL,'PANTANAL','FLORIANOPOLIS','SC',20000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,301,211,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2314436,2.00,7.00,2.00,4.00,4.00,5.75,4.00,3.00,2.00,319,234,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314444,4.00,6.00,1.00,5.00,6.00,5.00,3.00,4.00,2.00,217,316,NULL,'GETÚLIO VARGAS','TORRES','RS',16963,148,1116,NULL,NULL,NULL,NULL,2,5),(15,2314452,2.00,4.00,3.00,3.00,3.00,3.50,2.00,2.00,2.00,103,5,NULL,'FAZENDA','ITAJAI','SC',22353,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2314460,1.00,3.00,4.00,3.00,4.00,5.25,3.00,5.00,1.00,426,451,427,'CENTRO','FLORIANOPOLIS','SC',21599,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314479,1.00,7.00,7.00,7.00,5.00,4.25,5.00,5.00,3.00,201,234,238,'CENTRO','PALHOCA','SC',9166,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314487,3.00,7.00,4.00,5.00,5.00,5.00,6.00,4.00,4.00,220,213,202,'CENTRO','PATO BRANCO','PR',12075,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2314509,2.00,6.00,2.00,7.00,6.00,5.00,3.00,3.00,2.00,316,207,NULL,'CENTRO','TIJUCAS','SC',17789,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2314517,4.00,7.00,1.00,7.00,4.00,7.25,4.00,6.00,1.00,327,329,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',13706,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314525,1.00,6.00,4.00,3.00,2.00,NULL,3.00,1.00,2.00,201,502,211,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2314533,3.00,8.00,4.00,7.00,7.00,5.75,6.00,9.00,5.00,427,316,421,'MUNICIPIOS','BALNEARIO CAMBORIU','SC',4480,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2314541,3.00,7.00,1.00,4.00,5.00,6.50,4.00,8.00,3.00,423,427,424,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',12655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314550,7.00,8.00,8.00,9.00,7.00,6.50,9.00,7.00,7.00,103,9,NULL,'GUARÁ','GUARA','DF',504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314568,1.00,5.00,4.00,0.00,4.00,NULL,5.00,3.00,2.00,301,316,NULL,'AREIAS','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314576,1.00,5.00,4.00,1.00,2.00,NULL,6.00,6.00,2.00,324,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314584,2.00,6.00,6.00,8.00,6.00,5.50,5.00,5.00,3.00,319,428,NULL,'PIONEIROS','BALNEARIO CAMBORIU','SC',9768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314592,2.00,5.00,3.00,2.00,6.00,3.50,2.00,4.00,4.00,415,327,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',19832,499,444,NULL,NULL,NULL,NULL,4,1),(15,2314606,4.00,5.00,4.00,6.00,4.00,4.50,4.00,5.00,2.00,301,303,NULL,'COQUEIROS','FLORIANOPOLIS','SC',14438,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314614,4.00,8.00,3.00,6.00,8.00,6.00,8.00,7.00,4.00,5,424,NULL,'BARRA DO ARIRIU','PALHOCA','SC',6081,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2314622,5.00,4.00,2.00,4.00,5.00,3.75,2.00,2.00,2.00,317,318,NULL,'COSTEIRA','FLORIANOPOLIS','SC',21693,407,531,NULL,NULL,NULL,NULL,2,1),(15,2314630,1.00,8.00,5.00,4.00,7.00,5.75,2.00,4.00,3.00,502,324,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',14511,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314649,6.00,8.00,8.00,6.00,7.00,4.50,9.00,7.00,5.00,220,NULL,NULL,'JARDIM TANGARA','SANTA ADELIA','SP',2750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314657,4.00,7.00,4.00,7.00,3.00,3.75,2.00,5.00,2.00,207,234,201,'CANTO DA LAGOA','FLORIANOPOLIS','SC',17141,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314665,4.00,7.00,5.00,1.00,7.00,5.75,7.00,7.00,2.00,207,222,233,'DEHON','TUBARAO','SC',9751,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2314673,3.00,4.00,1.00,5.00,3.00,5.50,4.00,1.00,3.00,309,324,NULL,'ABRAÃO','FLORIANOPOLIS','SC',21407,75,429,NULL,NULL,NULL,NULL,2,1),(15,2314681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,103,NULL,'CENTRO','TREZE TILIAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2314690,3.00,4.00,2.00,4.00,6.00,5.25,3.00,3.00,3.00,319,308,NULL,'ITACORUBI','FLORIANOPOLIS','SC',19789,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314703,7.00,7.00,5.00,7.00,6.00,6.25,4.00,6.00,2.00,428,424,427,'AGRONOMICA','FLORIANOPOLIS','SC',7784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314711,4.00,5.00,7.00,4.00,6.00,5.50,8.00,6.00,5.00,211,222,233,'CENTRO','CAXIAS DO SUL','RS',6769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314738,5.00,7.00,8.00,8.00,8.00,6.50,8.00,7.00,8.00,103,426,NULL,'ITACORUBI','FLORIANOPOLIS','SC',766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314746,6.00,5.00,5.00,4.00,7.00,5.50,5.00,2.00,5.00,103,319,NULL,'CHAMPAGNE','GARIBALDI','RS',11595,2328,743,NULL,NULL,NULL,NULL,4,9),(15,2314754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,2,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2314762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'JARDIM PAULISTA','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2314797,2.00,5.00,0.00,1.00,3.00,NULL,1.00,4.00,0.00,9,101,NULL,'CASTELO BRANCO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2314800,1.00,1.00,1.00,2.00,4.00,NULL,2.00,1.00,2.00,9,NULL,NULL,'FIGUEIRA GRANDE','IMARUI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2314819,3.00,6.00,5.00,2.00,4.00,4.50,5.00,5.00,3.00,238,329,213,'FORQUILHINHAS','SAO JOSE','SC',16362,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314835,2.00,7.00,2.00,5.00,5.00,5.00,5.00,7.00,1.00,424,429,423,'CARVOEIRA','FLORIANOPOLIS','SC',16093,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,319,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2314860,5.00,7.00,4.00,5.00,8.00,7.25,6.00,6.00,2.00,319,329,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',7565,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314878,5.00,5.00,5.00,5.00,8.00,4.75,4.00,5.00,2.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',9762,2119,NULL,NULL,NULL,NULL,NULL,4,2),(15,2314886,4.00,8.00,6.00,9.00,6.00,6.00,7.00,8.00,2.00,316,332,NULL,'INGLESES','FLORIANOPOLIS','SC',4459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2314894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,207,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2314908,2.00,2.00,2.00,8.00,7.00,5.00,4.00,3.00,2.00,5,238,NULL,'ESTREITO','FLORIANOPOLIS','SC',18781,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314924,4.00,6.00,7.00,6.00,7.00,4.50,6.00,6.00,6.00,326,310,NULL,'UNIVERSITÁRIO','LAJEADO','RS',6251,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314932,2.00,5.00,1.00,0.00,6.00,NULL,1.00,3.00,3.00,103,102,NULL,'CENTRO','MACHADINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2314940,2.00,4.00,1.00,1.00,4.00,3.50,3.00,5.00,1.00,103,201,NULL,'SALTO DO NORTE','BLUMENAU','SC',22415,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2314959,3.00,7.00,2.00,7.00,5.00,2.00,4.00,5.00,3.00,102,233,NULL,'CENTRO','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314967,3.00,3.00,2.00,4.00,4.00,4.50,3.00,2.00,1.00,444,404,NULL,'AREIAS','SAO JOSE','SC',22049,294,520,NULL,NULL,NULL,NULL,2,1),(15,2314975,3.00,7.00,4.00,6.00,7.00,4.25,4.00,5.00,3.00,103,332,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',10859,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2314983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,451,NULL,'JARDIM KRAHE','VIAMAO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2314991,3.00,8.00,4.00,7.00,7.00,6.25,5.00,4.00,4.00,238,222,NULL,'CENTRO','SAO JOAQUIM','SC',9225,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2315009,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,9,339,NULL,'CENTRO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2315025,1.00,4.00,3.00,7.00,6.00,4.50,4.00,2.00,4.00,451,427,NULL,'NSA SRA DE LOURDES','SANTA MARIA','RS',18262,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315033,2.00,6.00,5.00,5.00,6.00,6.00,5.00,6.00,1.00,302,304,NULL,'ITACORUBI','FLORIANOPOLIS','SC',13488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2315041,6.00,8.00,6.00,7.00,6.00,4.25,9.00,6.00,3.00,208,2,238,'CARVOEIRA','FLORIANOPOLIS','SC',4846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2315050,3.00,6.00,3.00,7.00,6.00,5.00,5.00,5.00,4.00,444,211,NULL,'SÃO CRISTOVÃO','MATELANDIA','PR',12583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2315068,4.00,5.00,1.00,6.00,6.00,6.25,2.00,4.00,1.00,421,427,425,'PONTA DAS CANAS','FLORIANOPOLIS','SC',17517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2315076,3.00,8.00,4.00,3.00,5.00,4.75,4.00,4.00,2.00,324,329,NULL,'ABRAÃO','FLORIANOPOLIS','SC',16597,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315084,2.00,6.00,4.00,6.00,7.00,4.75,3.00,5.00,3.00,301,302,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',12658,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315114,4.00,5.00,1.00,7.00,6.00,5.50,2.00,2.00,2.00,201,233,220,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2315122,3.00,5.00,0.00,2.00,2.00,NULL,2.00,2.00,1.00,444,308,NULL,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2315130,2.00,4.00,2.00,6.00,6.00,6.50,5.00,5.00,3.00,108,2,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',15632,348,222,NULL,NULL,NULL,NULL,2,1),(15,2315149,1.00,6.00,2.00,4.00,4.00,6.75,3.00,5.00,0.00,333,501,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',19321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315157,3.00,6.00,2.00,7.00,5.00,4.50,4.00,6.00,3.00,108,423,NULL,'CACUPÉ','FLORIANOPOLIS','SC',14628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315165,1.00,8.00,3.00,3.00,5.00,4.75,5.00,4.00,2.00,327,329,NULL,'CENTRO','FLORIANOPOLIS','SC',16564,122,205,NULL,NULL,NULL,NULL,5,1),(15,2315173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,2,NULL,'PEDRO ZANIVAM','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2315181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,324,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2315190,0.00,4.00,5.00,1.00,1.00,NULL,1.00,3.00,5.00,103,NULL,NULL,'FUNDO CANOAS','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2315203,2.00,6.00,2.00,5.00,5.00,6.00,5.00,5.00,5.00,339,309,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',15342,32,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315211,6.00,7.00,6.00,1.00,7.00,5.75,6.00,6.00,4.00,103,217,NULL,'MARGEM ESQUERDA','GASPAR','SC',8180,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2315220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,501,NULL,'RIO DE DENTRO','MAMPITUBA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2315238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,333,215,'CENTRO','SIQUEIRA CAMPOS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2315246,1.00,3.00,5.00,5.00,7.00,4.00,4.00,5.00,2.00,316,201,NULL,'TRINDADE','FLORIANOPOLIS','SC',16399,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315254,1.00,2.00,1.00,2.00,3.00,NULL,2.00,4.00,1.00,104,319,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2315262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,339,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2315270,2.00,7.00,3.00,8.00,5.00,4.75,5.00,8.00,3.00,5,320,NULL,'ITACORUBI','FLORIANOPOLIS','SC',9264,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2315289,4.00,6.00,3.00,6.00,3.00,5.50,3.00,6.00,1.00,5,423,NULL,'TELLES DE MENEZES','SANTO ANDRE','SP',16610,705,201,NULL,NULL,NULL,NULL,2,3),(15,2315297,3.00,3.00,1.00,1.00,5.00,NULL,3.00,2.00,1.00,207,211,201,'ADEMAR GARCIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2315300,3.00,3.00,1.00,4.00,6.00,6.25,4.00,2.00,1.00,319,308,NULL,'PEREQUÊ','PORTO BELO','SC',20870,467,456,NULL,NULL,NULL,NULL,2,1),(15,2315319,4.00,7.00,4.00,5.00,7.00,5.50,4.00,5.00,5.00,502,234,NULL,'PANTANAL','FLORIANOPOLIS','SC',10013,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315327,2.00,5.00,3.00,7.00,6.00,7.50,2.00,8.00,2.00,318,303,NULL,'ITACORUBI','FLORIANOPOLIS','SC',11525,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315335,3.00,7.00,5.00,5.00,6.00,5.50,5.00,5.00,5.00,102,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',10113,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315343,1.00,4.00,1.00,0.00,3.00,NULL,3.00,3.00,1.00,215,211,NULL,'CENTRO','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2315351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,316,NULL,'JARDIM PAULISTA','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2315360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,333,233,'SANTA MARIA','JATAI','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2315378,2.00,5.00,4.00,1.00,2.00,NULL,5.00,5.00,3.00,201,224,212,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2315394,3.00,5.00,3.00,7.00,8.00,5.00,5.00,7.00,2.00,303,326,NULL,'GUIOMAR','ANTONIO CARLOS','SC',10523,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315408,4.00,5.00,3.00,7.00,4.00,5.75,4.00,3.00,2.00,444,303,NULL,'CAMPINAS','SAO JOSE','SC',14185,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315416,2.00,3.00,2.00,0.00,2.00,NULL,1.00,0.00,0.00,404,NULL,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2315424,6.00,8.00,4.00,6.00,8.00,6.00,7.00,7.00,4.00,332,319,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',4889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2315432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,317,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2315440,3.00,5.00,5.00,0.00,3.00,2.00,5.00,1.00,1.00,332,501,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2315467,3.00,7.00,1.00,4.00,6.00,4.50,2.00,7.00,1.00,108,320,NULL,'INGLESES','FLORIANOPOLIS','SC',17363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2315475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,328,NULL,'JARDIM AEROPORTO','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2315483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,415,NULL,'TESTO REGA','POMERODE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2315505,4.00,8.00,8.00,5.00,5.00,5.00,8.00,5.00,3.00,201,444,202,'CENTRO','SANTA MARIA','RS',6162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2315513,4.00,6.00,3.00,5.00,7.00,7.00,3.00,7.00,3.00,318,224,NULL,'FORQUILHAS','SAO JOSE','SC',11154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315521,2.00,7.00,5.00,3.00,5.00,5.00,6.00,6.00,4.00,333,211,NULL,'CANTA GALO','RIO DO SUL','SC',10957,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2315530,1.00,7.00,2.00,5.00,3.00,6.25,3.00,4.00,3.00,329,426,NULL,'SANTA LOURDES','MARILIA','SP',18504,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315548,6.00,5.00,6.00,5.00,8.00,6.25,6.00,4.00,4.00,317,404,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',8042,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315556,1.00,3.00,1.00,5.00,5.00,5.25,2.00,3.00,2.00,207,420,201,'ARMAÇÃO P DO SUL','FLORIANOPOLIS','SC',21659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315564,4.00,5.00,1.00,1.00,4.00,5.25,2.00,6.00,1.00,211,331,212,'SACO DOS LIMOES','FLORIANOPOLIS','SC',21846,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,308,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2315580,4.00,8.00,6.00,0.00,7.00,5.00,5.00,7.00,4.00,201,224,215,'CENTRO','RIO DO SUL','SC',10470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2315599,6.00,7.00,6.00,5.00,8.00,6.00,6.00,5.00,7.00,103,420,NULL,'REBOUÇAS','CURITIBA','PR',4111,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2315610,2.00,5.00,2.00,5.00,6.00,5.00,4.00,3.00,3.00,316,5,NULL,'CAMPINAS','SAO JOSE','SC',17689,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315629,0.00,2.00,1.00,3.00,4.00,NULL,2.00,4.00,2.00,201,102,211,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2315637,3.00,9.00,6.00,6.00,6.00,6.00,7.00,8.00,3.00,201,212,NULL,'CENTRO','FLORIANOPOLIS','SC',5892,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,502,NULL,'AGRÔNOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2315653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'JARDIM PÉROLA','KALORE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2315661,1.00,6.00,1.00,5.00,4.00,4.50,2.00,2.00,3.00,316,5,NULL,'CENTRO','ARARAS','SP',21480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2315670,2.00,5.00,2.00,4.00,7.00,4.50,4.00,4.00,2.00,215,104,216,'CENTRO','FRANCISCO BELTRAO','PR',16936,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2315688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,318,NULL,'CENTRO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2315696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,425,215,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2315700,0.00,4.00,2.00,0.00,4.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2315726,2.00,6.00,2.00,0.00,5.00,4.00,2.00,5.00,3.00,316,429,NULL,'TRINDADE','FLORIANOPOLIS','SC',21588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2315734,4.00,5.00,3.00,2.00,6.00,4.25,2.00,4.00,2.00,103,102,NULL,'GARCIA','BLUMENAU','SC',19797,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2315742,4.00,5.00,6.00,6.00,6.00,5.50,4.00,4.00,3.00,444,333,NULL,'CAMPINAS','SAO JOSE','SC',11963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2315750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2315769,2.00,7.00,4.00,9.00,7.00,5.75,3.00,6.00,3.00,420,450,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2315777,2.00,5.00,5.00,6.00,5.00,3.50,6.00,5.00,1.00,5,425,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',16324,690,360,NULL,NULL,NULL,NULL,4,1),(15,2315785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,234,207,'FLORESTA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2315793,0.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,5,339,NULL,'SANTINHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2315807,3.00,8.00,1.00,3.00,4.00,5.75,3.00,4.00,4.00,316,238,NULL,'CAMPINAS','SAO JOSE','SC',17612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2315815,3.00,5.00,2.00,7.00,4.00,5.00,5.00,3.00,3.00,421,423,425,'CORREGO GRANDE','FLORIANOPOLIS','SC',16947,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2315823,3.00,5.00,3.00,3.00,5.00,2.50,4.00,4.00,2.00,425,451,424,'JD ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2315831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,301,201,'JARDIM CAROLINA','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2315840,2.00,2.00,4.00,2.00,3.00,NULL,3.00,2.00,1.00,316,404,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,213,214,'INDUSTRIÁRIOS','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2315866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,415,201,'SÃO JOAQUIM','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',1,2),(15,2315874,2.00,7.00,1.00,3.00,5.00,5.50,5.00,6.00,3.00,420,327,NULL,'CAMPECHE','FLORIANOPOLIS','SC',16808,332,398,NULL,NULL,NULL,NULL,4,1),(15,2315882,3.00,4.00,0.00,2.00,7.00,5.25,4.00,4.00,2.00,101,339,NULL,'INGLESES','FLORIANOPOLIS','SC',20188,276,391,NULL,NULL,NULL,NULL,2,1),(15,2315890,1.00,3.00,2.00,1.00,6.00,NULL,3.00,2.00,2.00,102,101,NULL,'AGUA VERDE','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2315904,1.00,4.00,1.00,3.00,3.00,5.00,3.00,2.00,3.00,207,328,NULL,'CENTRO','FLORIANOPOLIS','SC',22290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2315912,4.00,3.00,4.00,5.00,7.00,5.00,5.00,5.00,2.00,301,444,NULL,'CENTRO','DIVINOPOLIS','MG',14342,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315920,3.00,7.00,4.00,5.00,7.00,4.50,6.00,5.00,4.00,202,NULL,213,'PADRE EDUARDO','TAIO','SC',9715,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2315939,2.00,6.00,4.00,5.00,7.00,5.25,3.00,4.00,1.00,9,317,NULL,'CACHOEIRA B JESUS','FLORIANOPOLIS','SC',16187,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315947,3.00,3.00,3.00,5.00,5.00,5.00,4.00,4.00,1.00,103,101,NULL,'PINGUIRITO','GAROPABA','SC',19400,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315955,1.00,2.00,1.00,0.00,3.00,NULL,2.00,2.00,1.00,316,103,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2315963,0.00,4.00,2.00,4.00,4.00,2.00,2.00,4.00,1.00,303,404,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2315971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,421,NULL,'VILA CLEMENTINO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2315998,5.00,7.00,5.00,5.00,8.00,9.00,5.00,6.00,4.00,104,215,NULL,'CENTRO','FLORIANOPOLIS','SC',4771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316005,2.00,2.00,0.00,0.00,4.00,NULL,5.00,2.00,1.00,103,319,NULL,'N S APARECIDA','FRANCISCO BELTRAO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2316013,3.00,6.00,2.00,2.00,5.00,5.75,2.00,2.00,2.00,333,316,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316021,1.00,7.00,2.00,6.00,7.00,6.75,4.00,5.00,2.00,319,316,NULL,'CENTRO','FLORIANOPOLIS','SC',12778,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316030,0.00,4.00,3.00,6.00,6.00,5.75,2.00,2.00,3.00,216,215,NULL,'CENTRO','AGUAS DE CHAPECO','SC',19627,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2316048,2.00,7.00,1.00,3.00,6.00,NULL,0.00,0.00,0.00,5,303,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(15,2316056,3.00,6.00,1.00,0.00,6.00,5.25,1.00,4.00,2.00,103,101,NULL,'QUINTINO BOCAIÚVA','TIMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2316064,5.00,7.00,4.00,9.00,8.00,5.25,6.00,5.00,3.00,502,318,NULL,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',6817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316072,3.00,7.00,3.00,5.00,7.00,5.75,4.00,4.00,5.00,317,224,NULL,'SERRARIA','SAO JOSE','SC',12556,173,198,NULL,NULL,NULL,NULL,2,1),(15,2316080,3.00,9.00,3.00,6.00,5.00,5.50,5.00,7.00,2.00,327,332,NULL,'PANTANAL','FLORIANOPOLIS','SC',11026,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316099,6.00,9.00,6.00,1.00,4.00,3.75,8.00,7.00,6.00,5,320,NULL,'LIXEIRA','CUIABA','MT',6852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316102,0.00,2.00,3.00,8.00,7.00,NULL,3.00,3.00,4.00,207,420,201,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316110,5.00,8.00,2.00,6.00,7.00,6.25,7.00,7.00,3.00,428,202,NULL,'JD DAS INDUSTRIAS','SAO JOSE DOS CAMPOS','SP',5811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316129,2.00,7.00,4.00,0.00,4.00,5.00,4.00,3.00,1.00,304,NULL,NULL,'CENTRO','SALETE','SC',20193,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2316137,3.00,7.00,1.00,6.00,8.00,5.50,3.00,7.00,3.00,339,211,NULL,'NOVO CAMPECHE','FLORIANOPOLIS','SC',12364,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316145,4.00,6.00,4.00,0.00,7.00,NULL,5.00,6.00,2.00,319,301,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316153,5.00,6.00,4.00,7.00,8.00,7.25,4.00,6.00,4.00,501,327,NULL,'CANTA GALO','RIO DO SUL','SC',7416,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2316161,1.00,5.00,7.00,4.00,2.00,NULL,6.00,4.00,2.00,202,208,238,'PACHECO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316170,4.00,5.00,5.00,2.00,9.00,3.75,5.00,2.00,4.00,103,104,NULL,'OFICINAS','TUBARAO','SC',15291,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2316188,4.00,7.00,5.00,2.00,8.00,5.50,7.00,6.00,3.00,233,102,216,'CENTRO','PORTO UNIAO','SC',8336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316196,4.00,8.00,8.00,6.00,7.00,5.75,6.00,7.00,4.00,304,302,NULL,'CENTRO','FLORIANOPOLIS','SC',3510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316200,3.00,6.00,1.00,2.00,4.00,6.00,3.00,5.00,1.00,103,5,NULL,'MEIA PRAIA','ITAPEMA','SC',19969,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2316218,2.00,4.00,3.00,2.00,3.00,5.00,3.00,4.00,4.00,220,333,215,'JARDIM ELIZABETH','ICARA','SC',19683,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2316226,2.00,6.00,0.00,3.00,1.00,NULL,3.00,6.00,3.00,319,450,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316242,3.00,3.00,3.00,6.00,8.00,5.75,2.00,2.00,2.00,9,215,NULL,'ESTREITO','FLORIANOPOLIS','SC',18708,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316250,3.00,6.00,5.00,6.00,4.00,5.50,5.00,4.00,5.00,211,NULL,NULL,'CENTRO','LAGES','SC',11649,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2316269,2.00,8.00,6.00,6.00,6.00,6.00,5.00,6.00,5.00,310,320,NULL,'JARDIM COUNTRY CLUB','POCOS DE CALDAS','MG',7811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316285,2.00,3.00,1.00,0.00,5.00,NULL,3.00,1.00,2.00,238,420,208,'SÃO VICENTE','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2316293,4.00,8.00,4.00,4.00,7.00,6.00,2.00,6.00,5.00,103,9,NULL,'VILA NORMA','ESPIRITO SANTO DO PINHAL','SP',10660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'VILA ADYANNA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2316323,3.00,7.00,3.00,7.00,4.00,6.00,3.00,6.00,3.00,333,332,NULL,'REBOUÇAS','CURITIBA','PR',13973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,404,NULL,'NOSSA SRA DO ROSÁRIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2316358,4.00,8.00,6.00,5.00,5.00,3.75,4.00,4.00,3.00,216,108,NULL,'VILA BRASIL','URUARA','PA',11614,379,751,NULL,NULL,NULL,NULL,2,1),(15,2316366,3.00,4.00,2.00,3.00,5.00,4.25,1.00,3.00,2.00,420,108,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316374,3.00,7.00,3.00,0.00,3.00,4.75,4.00,3.00,3.00,202,102,203,'CENTRO','FRAIBURGO','SC',20363,668,1100,1152,NULL,NULL,NULL,4,1),(15,2316382,3.00,5.00,2.00,3.00,6.00,6.00,1.00,3.00,0.00,102,9,NULL,'VILA ALEMANHA','LUZERNA','SC',21264,490,735,NULL,NULL,NULL,NULL,2,7),(15,2316390,3.00,7.00,1.00,5.00,3.00,5.00,5.00,6.00,1.00,208,238,NULL,'KOBRASOL','SAO JOSE','SC',18333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316404,2.00,2.00,1.00,2.00,2.00,NULL,2.00,2.00,0.00,101,309,NULL,'PASSA VINTE','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316420,0.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,103,333,NULL,'VILA DAS MERCES','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2316439,2.00,4.00,2.00,1.00,3.00,5.00,2.00,4.00,2.00,103,450,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2316447,2.00,7.00,5.00,6.00,7.00,5.50,2.00,4.00,1.00,238,222,208,'CAMPINAS','SAO JOSE','SC',15528,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316455,5.00,5.00,3.00,3.00,7.00,7.00,6.00,7.00,3.00,103,101,NULL,'PROGRESSO','LAGUNA','SC',9382,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2316463,1.00,6.00,2.00,2.00,3.00,4.00,3.00,4.00,1.00,9,404,NULL,'JD ITAGUAÇU','FLORIANOPOLIS','SC',22368,352,527,NULL,NULL,NULL,NULL,4,1),(15,2316471,2.00,3.00,0.00,6.00,4.00,5.75,4.00,3.00,2.00,425,NULL,NULL,'ESTREITO','FLORIANOPOLIS','SC',20571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(15,2316498,4.00,7.00,4.00,8.00,7.00,6.25,4.00,6.00,2.00,404,425,NULL,'ITACORUBI','FLORIANOPOLIS','SC',10227,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,103,NULL,'CENTRO','CORONEL FREITAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2316510,4.00,8.00,5.00,9.00,6.00,6.50,6.00,8.00,3.00,5,317,NULL,'CARIANOS','FLORIANOPOLIS','SC',4187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316528,3.00,6.00,4.00,4.00,6.00,6.00,3.00,4.00,1.00,214,501,220,'MINA DO TOCO','CRICIUMA','SC',17574,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2316536,2.00,3.00,3.00,8.00,4.00,4.50,2.00,4.00,3.00,309,310,NULL,'TRINDADE','FLORIANOPOLIS','SC',19431,52,NULL,NULL,NULL,NULL,NULL,5,1),(15,2316544,4.00,6.00,2.00,5.00,4.00,2.50,3.00,4.00,2.00,213,225,220,'FLOR DE NAPOLIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316552,1.00,8.00,2.00,3.00,4.00,5.75,4.00,6.00,3.00,207,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',15615,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2316560,4.00,7.00,7.00,7.00,7.00,6.25,6.00,6.00,4.00,304,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',5450,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316587,4.00,7.00,5.00,8.00,4.00,4.00,5.00,4.00,2.00,208,222,238,'ESTREITO','FLORIANOPOLIS','SC',13056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316595,1.00,4.00,1.00,3.00,3.00,NULL,3.00,1.00,1.00,308,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316609,3.00,4.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,428,415,426,'CENTRO','LAGOA VERMELHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2316625,2.00,6.00,1.00,2.00,6.00,4.50,2.00,4.00,3.00,238,225,208,'TRAÇADO','URUBICI','SC',21265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316633,2.00,5.00,1.00,7.00,5.00,0.00,4.00,6.00,1.00,317,316,NULL,'BARREIROS IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316641,5.00,7.00,7.00,7.00,6.00,5.75,4.00,5.00,3.00,5,324,NULL,'CENTRO','TORRES','RS',8788,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2316650,4.00,6.00,5.00,1.00,5.00,3.00,6.00,2.00,2.00,207,333,211,'GONZAGA','SANTOS','SP',18850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316668,1.00,8.00,1.00,5.00,5.00,3.50,2.00,3.00,2.00,404,327,NULL,'BAIRRO SÃO LUIS','SAO JOSE','SC',20470,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316676,3.00,5.00,2.00,6.00,3.00,5.25,5.00,6.00,4.00,404,324,NULL,'TRINDADE','BLUMENAU','SC',14637,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,308,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2316692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA BOA VISTA','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2316706,2.00,3.00,1.00,2.00,5.00,5.25,2.00,8.00,3.00,9,404,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316714,1.00,6.00,5.00,7.00,9.00,6.75,6.00,4.00,3.00,2,225,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2316722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,319,NULL,'PETRÓPOLIS','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2316730,3.00,3.00,3.00,7.00,5.00,5.25,2.00,4.00,1.00,208,317,238,'ITACORUBI','FLORIANOPOLIS','SC',19656,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'JD IMPERIAL','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2316757,2.00,8.00,5.00,8.00,7.00,5.75,6.00,7.00,4.00,216,233,212,'AEROPORTO','VIDEIRA','SC',5435,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2316765,2.00,5.00,4.00,4.00,7.00,6.00,6.00,5.00,4.00,103,NULL,NULL,'CHAMPAGNAT','CURITIBA','PR',12884,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2316773,2.00,7.00,6.00,4.00,4.00,6.00,4.00,5.00,1.00,108,328,NULL,'SÃO LUIZ','LAGES','SC',15499,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2316781,3.00,5.00,2.00,4.00,7.00,5.75,3.00,6.00,3.00,308,426,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',16235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316790,4.00,4.00,5.00,5.00,6.00,5.25,3.00,5.00,3.00,102,329,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',13352,272,164,NULL,NULL,NULL,NULL,2,3),(15,2316803,2.00,0.00,0.00,1.00,3.00,NULL,5.00,2.00,3.00,211,502,215,'CENTRO','TAPEJARA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2316811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,309,NULL,'SUDOESTE','CRUZEIRO','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2316820,7.00,7.00,5.00,8.00,8.00,5.50,8.00,7.00,6.00,420,426,NULL,'CENTRO','SANTA ROSA DO SUL','SC',2615,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2316838,1.00,7.00,1.00,2.00,6.00,5.00,3.00,4.00,2.00,318,333,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316846,5.00,7.00,6.00,5.00,7.00,8.00,5.00,8.00,4.00,310,320,NULL,'PAIOLAO','NOVA FATIMA','PR',5036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316854,1.00,4.00,6.00,1.00,3.00,NULL,2.00,2.00,1.00,104,5,NULL,'REAL PARQUE','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316862,3.00,5.00,2.00,3.00,4.00,5.00,4.00,4.00,2.00,501,316,NULL,'CAMPECHE','FLORIANOPOLIS','SC',19755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316870,2.00,6.00,2.00,5.00,7.00,5.75,3.00,4.00,1.00,104,502,NULL,'BARREIROS','SAO JOSE','SC',17825,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316889,4.00,8.00,6.00,9.00,6.00,6.75,5.00,7.00,2.00,451,502,NULL,'CENTRO','FLORIANOPOLIS','SC',5589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316897,2.00,6.00,2.00,4.00,6.00,5.00,3.00,4.00,2.00,104,301,NULL,'CENTRO','BRACO DO NORTE','SC',18276,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2316900,4.00,6.00,7.00,8.00,7.00,5.25,7.00,6.00,3.00,201,301,207,'VILA DAS ACÁCIAS','SAO JOSE DOS CAMPOS','SP',5890,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2316919,3.00,4.00,5.00,5.00,5.00,7.00,5.00,3.00,3.00,5,333,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',13446,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316927,3.00,6.00,1.00,3.00,1.00,NULL,2.00,1.00,2.00,309,319,NULL,'CARAVAGGIO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2316935,4.00,5.00,0.00,6.00,5.00,5.50,2.00,4.00,2.00,308,224,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',18967,119,271,NULL,NULL,NULL,NULL,2,1),(15,2316943,4.00,3.00,4.00,7.00,5.00,4.50,5.00,5.00,3.00,208,201,NULL,'CENTRO','PALMITOS','SC',12838,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2316960,2.00,4.00,1.00,1.00,1.00,NULL,2.00,3.00,1.00,303,5,NULL,'ITACURUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2316978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,309,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2316986,2.00,7.00,4.00,6.00,4.00,6.75,5.00,5.00,2.00,316,213,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',12078,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2316994,2.00,3.00,2.00,4.00,4.00,4.75,2.00,5.00,3.00,326,309,NULL,'CENTRO','ERECHIM','RS',21913,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2317001,2.00,6.00,3.00,9.00,5.00,NULL,0.00,0.00,0.00,207,502,201,'SÃO PEDRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2317010,3.00,6.00,4.00,3.00,4.00,5.75,3.00,4.00,4.00,201,222,238,'COMERCIÁRIO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2317028,1.00,3.00,2.00,3.00,5.00,4.00,2.00,6.00,0.00,208,203,202,'CAPOEIRAS','FLORIANOPOLIS','SC',22411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317036,3.00,5.00,3.00,2.00,5.00,5.00,3.00,7.00,5.00,415,444,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,327,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2317052,5.00,8.00,6.00,5.00,7.00,7.25,8.00,4.00,6.00,103,333,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',3747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2317079,1.00,4.00,3.00,1.00,5.00,NULL,1.00,3.00,2.00,101,319,NULL,'ALTO BIGUAÇU','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2317087,0.00,5.00,3.00,3.00,3.00,4.75,1.00,5.00,1.00,203,223,220,'FELIDE SCHMIDT','CANOINHAS','SC',22166,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2317109,1.00,3.00,0.00,1.00,3.00,NULL,5.00,4.00,2.00,308,428,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2317117,3.00,5.00,3.00,1.00,6.00,5.00,3.00,3.00,3.00,319,424,NULL,'BELA VISTA','SAO JOSE','SC',19943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,404,NULL,'CIDADE ALTA','CUNHA PORA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2317133,5.00,8.00,8.00,7.00,8.00,6.25,6.00,7.00,6.00,415,444,NULL,'PANTANAL','FLORIANOPOLIS','SC',2383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317141,0.00,4.00,4.00,2.00,5.00,5.25,5.00,5.00,3.00,316,320,NULL,'ITACORUBI','FLORIANOPOLIS','SC',18882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317150,1.00,7.00,4.00,7.00,6.00,4.75,2.00,3.00,4.00,302,425,NULL,'KOBRASOL','SAO JOSE','SC',15680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317168,6.00,8.00,6.00,7.00,6.00,6.00,6.00,6.00,4.00,238,302,208,'ITACORUBI','FLORIANOPOLIS','SC',5362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317176,5.00,5.00,4.00,3.00,6.00,5.75,2.00,4.00,1.00,5,303,NULL,'VILA ANTARTICA','BOTUCATU','SP',18219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317184,2.00,7.00,3.00,4.00,4.00,3.50,5.00,6.00,2.00,214,220,203,'CENTRO','SANTO AUGUSTO','RS',16023,489,752,995,NULL,NULL,NULL,2,4),(15,2317192,0.00,3.00,4.00,4.00,4.00,4.75,3.00,3.00,1.00,308,429,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',22095,219,310,NULL,NULL,NULL,NULL,2,1),(15,2317206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,501,220,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2317214,3.00,5.00,3.00,5.00,7.00,5.00,5.00,5.00,1.00,5,303,NULL,'PORTÃO','CURITIBA','PR',15404,656,1238,NULL,NULL,NULL,NULL,2,8),(15,2317222,4.00,4.00,4.00,8.00,4.00,4.50,5.00,5.00,3.00,103,333,NULL,'SENHOR BOM JESUS','CAMPOS NOVOS','SC',14218,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2317230,5.00,7.00,5.00,8.00,8.00,7.25,3.00,7.00,2.00,5,326,NULL,'PANTANAL','FLORIANOPOLIS','SC',6172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317249,2.00,7.00,3.00,5.00,4.00,4.25,4.00,4.00,3.00,420,9,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317257,1.00,6.00,3.00,4.00,6.00,6.25,2.00,6.00,3.00,303,301,NULL,'INTERIOR','JOACABA','SC',16745,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2317265,4.00,6.00,5.00,3.00,8.00,5.50,5.00,4.00,4.00,215,108,216,'JARDIM UIRÁ','SAO JOSE DOS CAMPOS','SP',10203,211,708,336,NULL,NULL,NULL,2,1),(15,2317273,3.00,6.00,4.00,4.00,6.00,5.25,4.00,5.00,3.00,207,420,208,'SÃO MIGUEL','FRANCISCO BELTRAO','PR',15517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2317281,2.00,4.00,2.00,1.00,1.00,NULL,1.00,2.00,2.00,333,301,NULL,'VILA REAL','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2317290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,203,208,'CENTRO','PALMEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2317303,4.00,7.00,6.00,5.00,4.00,6.75,7.00,4.00,2.00,203,108,NULL,'CENTRO','CRICIUMA','SC',11084,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2317311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'BOTAFOGO','RIO DE JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2317320,4.00,5.00,6.00,7.00,5.00,5.25,1.00,5.00,2.00,225,2,NULL,'SERRARIA','SAO JOSE','SC',14980,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2317338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,213,212,'JARDIM MARINGÁ','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2317346,5.00,7.00,5.00,7.00,8.00,5.75,7.00,6.00,3.00,207,302,215,'TRINDADE','FLORIANOPOLIS','SC',5617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317354,2.00,5.00,4.00,4.00,6.00,4.50,4.00,5.00,2.00,5,303,NULL,'DOS ESTADOS','BALNEARIO CAMBORIU','SC',17911,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2317362,0.00,5.00,3.00,0.00,4.00,NULL,3.00,4.00,2.00,9,316,NULL,'PORTO DA VILA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2317389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,421,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2317397,1.00,3.00,5.00,5.00,4.00,5.75,3.00,1.00,2.00,104,207,NULL,'PIO CORREA','CRICIUMA','SC',21419,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2317400,3.00,7.00,3.00,1.00,8.00,5.75,5.00,6.00,4.00,9,319,NULL,'CRUZEIRO DO SUL','JOACABA','SC',11360,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2317419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,108,NULL,'INDUSTRIAL','CACADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2317427,5.00,7.00,6.00,7.00,6.00,8.50,7.00,7.00,4.00,103,207,NULL,'CENTRO','CAMPO GRANDE','MS',3411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317435,3.00,5.00,5.00,4.00,6.00,6.00,3.00,6.00,6.00,201,415,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',11509,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2317443,4.00,6.00,5.00,5.00,5.00,5.00,4.00,3.00,4.00,415,5,NULL,'JARDIM','CONCORDIA','SC',13694,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2317451,2.00,4.00,7.00,5.00,6.00,5.00,5.00,7.00,2.00,301,428,NULL,'CENTRO','FLORIANOPOLIS','SC',12341,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2317460,3.00,3.00,3.00,4.00,7.00,4.50,1.00,4.00,0.00,9,301,NULL,'CENTRO','IMBITUBA','SC',20782,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2317478,3.00,6.00,3.00,7.00,8.00,5.00,3.00,7.00,2.00,5,220,NULL,'BRÁS','SAO PAULO','SP',12256,532,728,NULL,NULL,NULL,NULL,4,1),(15,2317494,3.00,6.00,3.00,5.00,5.00,4.25,6.00,6.00,5.00,103,326,NULL,'CENTRO','LAGES','SC',13851,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2317508,4.00,5.00,6.00,8.00,6.00,5.75,4.00,3.00,5.00,201,329,207,'CENTRO','BALNEARIO CAMBORIU','SC',9867,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2317516,3.00,5.00,4.00,7.00,6.00,6.00,2.00,5.00,1.00,102,301,NULL,'CENTRO','NOVA PETROPOLIS','RS',14936,318,691,NULL,NULL,NULL,NULL,2,1),(15,2317524,4.00,6.00,4.00,8.00,8.00,4.00,7.00,5.00,4.00,207,420,233,'RIO TAVARES','FLORIANOPOLIS','SC',6853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2317532,3.00,4.00,3.00,5.00,7.00,5.00,3.00,5.00,4.00,207,238,201,'ABRAÃO','FLORIANOPOLIS','SC',15361,745,947,816,NULL,NULL,NULL,4,1),(15,2317540,4.00,6.00,2.00,7.00,4.00,5.25,3.00,4.00,2.00,427,333,423,'AGRONOMICA','FLORIANOPOLIS','SC',16601,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2317559,1.00,5.00,6.00,2.00,7.00,5.50,2.00,4.00,3.00,103,301,NULL,'VILA MOEMA','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2317567,2.00,6.00,4.00,1.00,5.00,6.00,4.00,3.00,2.00,224,304,NULL,'TATUAPE','SAO PAULO','SP',18642,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2317575,1.00,5.00,4.00,1.00,5.00,6.00,6.00,4.00,3.00,217,302,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',16224,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2317583,4.00,7.00,3.00,5.00,7.00,7.25,5.00,8.00,2.00,211,234,215,'SANTO ANTONIO','TUBARAO','SC',8939,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2317591,5.00,6.00,3.00,5.00,6.00,5.25,3.00,8.00,3.00,238,333,220,'CENTRO','PINHALZINHO','SC',10844,369,685,423,NULL,NULL,NULL,4,4),(15,2317605,3.00,5.00,5.00,7.00,8.00,4.75,7.00,5.00,3.00,211,319,207,'TRINDADE','FLORIANOPOLIS','SC',8196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317613,1.00,7.00,3.00,6.00,8.00,5.75,6.00,5.00,3.00,5,329,NULL,'SÃO CRISTÓVÃO','CHAPECO','SC',12550,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2317621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,316,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2317630,1.00,7.00,2.00,6.00,5.00,5.00,3.00,7.00,3.00,333,328,NULL,'CAMPECHE','FLORIANOPOLIS','SC',14653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2317648,6.00,8.00,3.00,7.00,6.00,6.00,5.00,8.00,4.00,103,415,NULL,'JARDIM BELA VISTA','ITAPIRANGA','SC',5327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,103,NULL,'SÃO CRISTÓVÃO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2317664,3.00,4.00,2.00,4.00,4.00,3.75,3.00,4.00,2.00,319,420,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',20949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317672,3.00,6.00,1.00,6.00,5.00,6.00,4.00,4.00,2.00,207,420,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2317680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,220,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2317702,2.00,6.00,1.00,2.00,4.00,4.75,2.00,2.00,2.00,208,333,238,'CAMPECHE','FLORIANOPOLIS','SC',22105,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2317710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'ICARAÍ','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2317729,7.00,7.00,8.00,4.00,4.00,5.00,8.00,5.00,5.00,103,211,NULL,'BATEL','CURITIBA','PR',5333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317737,2.00,6.00,2.00,3.00,5.00,5.50,2.00,3.00,5.00,103,238,NULL,'SÃO JOÃO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2317745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,318,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2317753,7.00,8.00,7.00,4.00,9.00,6.75,9.00,6.00,5.00,203,214,220,'VILA TOGNI','POCOS DE CALDAS','MG',2108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317761,8.00,7.00,9.00,7.00,8.00,6.00,10.00,8.00,8.00,220,201,203,'CENTRO','PENAPOLIS','SP',412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317770,3.00,5.00,2.00,4.00,3.00,5.00,4.00,2.00,3.00,201,104,207,'SAGRADO CORAÇÃO DE J','LAGES','SC',20779,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2317788,3.00,2.00,0.00,1.00,4.00,NULL,2.00,2.00,1.00,450,104,NULL,'CENTRO','AGUAS DE CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2317796,7.00,7.00,3.00,5.00,6.00,5.25,5.00,6.00,3.00,103,NULL,NULL,'TV MORENA','CAMPO GRANDE','MS',8999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2317800,4.00,5.00,5.00,3.00,6.00,6.25,3.00,4.00,2.00,2,222,NULL,'ESTREITO','FLORIANOPOLIS','SC',15855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317818,6.00,7.00,6.00,7.00,5.00,6.00,4.00,6.00,5.00,318,304,NULL,'CENTRO','FLORIANOPOLIS','SC',6727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317826,3.00,7.00,7.00,8.00,8.00,4.00,5.00,6.00,3.00,220,201,NULL,'CENTRO','ITAJUBA','MG',7576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317834,2.00,4.00,2.00,3.00,5.00,4.75,4.00,4.00,1.00,108,319,NULL,'BAIRRO UNIVERSITÁRIO','TIJUCAS','SC',20130,440,927,NULL,NULL,NULL,NULL,4,1),(15,2317842,7.00,7.00,4.00,8.00,9.00,5.50,6.00,8.00,4.00,426,327,428,'ABRAÃO','FLORIANOPOLIS','SC',3903,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317885,6.00,5.00,3.00,4.00,6.00,5.25,4.00,3.00,2.00,203,502,208,'AGRONOMICA','FLORIANOPOLIS','SC',15117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317893,1.00,1.00,2.00,2.00,1.00,NULL,0.00,5.00,2.00,501,213,NULL,'CENTRO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2317907,3.00,6.00,4.00,6.00,5.00,5.75,5.00,6.00,1.00,207,301,203,'VERDE VALE','CAPINZAL','SC',12954,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2317915,4.00,8.00,4.00,4.00,9.00,6.75,6.00,8.00,3.00,331,301,NULL,'COQUEIROS','FLORIANOPOLIS','SC',7243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2317923,3.00,4.00,4.00,4.00,5.00,3.00,4.00,3.00,2.00,203,238,214,'ESTADOS','CONCORDIA','SC',18795,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2317931,1.00,5.00,4.00,6.00,4.00,6.25,4.00,6.00,1.00,329,2,NULL,'INGLESES','SAO JOSE','SC',15671,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2317958,5.00,7.00,5.00,8.00,7.00,4.50,7.00,7.00,3.00,211,233,201,'CHÁCARAS DO VALE','MOCOCA','SP',5205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2317966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,333,233,'NOSSA SRA DE FATIMA','TELEMACO BORBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2317974,2.00,3.00,0.00,2.00,2.00,NULL,1.00,3.00,4.00,238,211,201,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2317982,4.00,8.00,4.00,4.00,7.00,5.25,3.00,5.00,2.00,332,444,NULL,'COQUEIROS','FLORIANOPOLIS','SC',12794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2317990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'MORRO CHIQUE','ITAJUBA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2318008,2.00,5.00,1.00,2.00,5.00,3.50,2.00,5.00,2.00,339,101,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',21623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2318016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,423,NULL,'VILA NOVA','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2318024,0.00,5.00,5.00,4.00,2.00,NULL,5.00,5.00,2.00,201,238,212,'COMERCIARIO','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2318032,3.00,7.00,5.00,9.00,6.00,9.00,6.00,5.00,3.00,207,NULL,201,'SAGUAÇU','JOINVILLE','SC',6453,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2318040,2.00,5.00,2.00,8.00,5.00,5.75,4.00,6.00,3.00,103,303,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2318059,3.00,4.00,3.00,8.00,3.00,6.00,4.00,4.00,2.00,203,202,214,'JARDIM PETROPOLES','VARGINHA','MG',15895,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2318067,1.00,7.00,1.00,2.00,5.00,4.50,3.00,4.00,1.00,316,444,NULL,'CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC',21173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2318075,3.00,3.00,4.00,5.00,2.00,NULL,2.00,2.00,2.00,324,308,NULL,'BALNEARIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2318083,3.00,4.00,2.00,1.00,7.00,5.25,2.00,2.00,2.00,9,104,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',21110,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2318091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,5,NULL,'VILA SÃO JOÃO','CACAPAVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2318105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,217,NULL,'SANTA MARTA','BENTO GONCALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2318113,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,215,450,238,'NAÇÕES','TIMBO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(15,2318130,4.00,6.00,2.00,6.00,6.00,2.00,5.00,3.00,3.00,502,501,NULL,'PRESIDENTE MEDICI','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2318148,1.00,6.00,4.00,0.00,6.00,4.50,3.00,3.00,4.00,104,301,NULL,'CENTRO','JOACABA','SC',20391,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2318156,2.00,8.00,1.00,1.00,4.00,5.50,2.00,3.00,2.00,104,444,NULL,'FÁTIMA','JOINVILLE','SC',21740,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2318164,3.00,8.00,5.00,5.00,3.00,3.75,4.00,7.00,3.00,302,304,NULL,'STA CATARINA','BIGUACU','SC',13249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2318172,1.00,0.00,2.00,0.00,5.00,NULL,2.00,2.00,1.00,316,339,NULL,'BELA VISTA I','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2318180,2.00,3.00,2.00,8.00,7.00,6.50,1.00,2.00,1.00,104,303,NULL,'IPEROBA','SAO FRANCISCO DO SUL','SC',20399,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2318199,2.00,3.00,4.00,6.00,4.00,5.00,3.00,3.00,2.00,404,333,NULL,'CERAMICA','ERECHIM','RS',19413,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2318202,2.00,7.00,2.00,5.00,6.00,5.25,4.00,5.00,5.00,329,320,NULL,'BARREIROS','SAO JOSE','SC',14800,45,193,NULL,NULL,NULL,NULL,2,1),(15,2318210,4.00,6.00,4.00,3.00,6.00,5.25,3.00,5.00,2.00,215,9,NULL,'VILA PARAÍSO','RIO NEGRO','PR',15515,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2318229,3.00,7.00,1.00,5.00,6.00,6.50,7.00,5.00,5.00,301,217,NULL,'TOBIAS','JOACABA','SC',8975,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2318237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'CAMPESTRE','RIO VERDE','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2318245,4.00,7.00,6.00,5.00,7.00,6.00,5.00,6.00,3.00,220,223,201,'CENTRO','MARAVILHA','SC',9095,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2318253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,224,NULL,'ZANELATO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(15,2318261,2.00,5.00,3.00,5.00,3.00,3.50,5.00,4.00,1.00,502,326,NULL,'SAGRADO C DE JESUS','LAGES','SC',19335,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2318270,5.00,8.00,5.00,7.00,7.00,5.00,4.00,7.00,3.00,5,104,NULL,'SÃO CRISTÓVÃO','CASCAVEL','PR',7396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2318288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,501,NULL,'ITAGUACU','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2318300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,201,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2318318,1.00,4.00,1.00,0.00,3.00,NULL,0.00,1.00,4.00,420,238,NULL,'ALVORADA','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2318326,3.00,7.00,2.00,6.00,7.00,4.75,3.00,2.00,2.00,211,415,NULL,'CENTRO','PALMAS','TO',16754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2318334,4.00,5.00,3.00,1.00,3.00,3.00,2.00,4.00,3.00,203,5,208,'RIO CAVEIRAS','BIGUACU','SC',21886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2318342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2318350,1.00,4.00,2.00,5.00,4.00,3.00,4.00,5.00,2.00,427,425,423,'BELA VISTA','SAO JOSE','SC',20398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2318369,3.00,5.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,5,444,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2318377,2.00,7.00,4.00,3.00,4.00,4.50,4.00,7.00,4.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',15388,709,1242,NULL,NULL,NULL,NULL,2,1),(15,2318385,3.00,6.00,2.00,6.00,4.00,5.50,3.00,5.00,2.00,501,327,NULL,'GUARDA DO EMBAU','PALHOCA','SC',15979,194,382,NULL,NULL,NULL,NULL,2,1),(15,2318393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,220,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2318407,0.00,5.00,4.00,2.00,5.00,5.50,2.00,5.00,4.00,202,444,207,'CENTRO','RIO DO OESTE','SC',19406,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2318415,2.00,6.00,2.00,3.00,4.00,4.75,6.00,8.00,3.00,103,104,NULL,'GUANABARA','JOINVILLE','SC',14828,2620,1145,NULL,NULL,NULL,NULL,2,8),(15,2318423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,426,NULL,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2318431,1.00,4.00,1.00,1.00,5.00,NULL,1.00,2.00,1.00,415,NULL,NULL,'CARDOSO','SAO JOAO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2318440,1.00,7.00,2.00,5.00,6.00,6.00,5.00,7.00,2.00,328,326,NULL,'SANTO ANTÔNIO','JARAGUA DO SUL','SC',13776,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2318458,2.00,6.00,4.00,3.00,5.00,4.50,3.00,4.00,3.00,415,420,NULL,'CAMPINAS','SAO JOSE','SC',18532,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2318466,4.00,4.00,3.00,1.00,9.00,5.00,4.00,4.00,3.00,308,303,NULL,'DEHON','TUBARAO','SC',16233,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2318474,0.00,3.00,2.00,3.00,3.00,5.50,4.00,4.00,1.00,238,444,220,'FORQUILHAS','SAO JOSE','SC',22294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2318482,4.00,6.00,3.00,2.00,6.00,NULL,0.00,0.00,0.00,203,213,220,'MONTE CASTELO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,10),(15,2318490,4.00,9.00,3.00,7.00,8.00,8.25,6.00,6.00,4.00,5,208,NULL,'BOMBAS','BOMBINHAS','SC',4571,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2318504,2.00,2.00,1.00,3.00,4.00,NULL,2.00,1.00,1.00,104,319,NULL,'MARIA GORETTI','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2318520,2.00,3.00,2.00,4.00,0.00,NULL,3.00,3.00,1.00,103,9,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2318539,1.00,5.00,2.00,3.00,4.00,4.50,4.00,1.00,1.00,238,220,208,'CENTRO','TRES PASSOS','RS',22031,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2318547,6.00,8.00,2.00,2.00,7.00,5.25,7.00,4.00,6.00,102,108,NULL,'CENTRO','SANTA MARIA','RS',8434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2318555,4.00,6.00,4.00,6.00,6.00,4.75,5.00,4.00,4.00,238,329,208,'SACO GRANDE','FLORIANOPOLIS','SC',11319,390,147,397,NULL,NULL,NULL,4,1),(15,2318563,2.00,4.00,3.00,0.00,4.00,NULL,5.00,5.00,2.00,203,220,214,'ZONA NORTE','PANAMBI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2318571,8.00,8.00,7.00,7.00,9.00,6.75,9.00,8.00,8.00,103,233,NULL,'CABREÚVA','CAMPO GRANDE','MS',274,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2318580,3.00,7.00,3.00,5.00,7.00,4.75,6.00,8.00,2.00,317,302,NULL,'FÁTIMA','PANAMBI','RS',11016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2318598,3.00,4.00,1.00,0.00,4.00,NULL,2.00,2.00,1.00,339,316,NULL,'PICADAS DO SUL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2318601,2.00,4.00,0.00,6.00,3.00,NULL,2.00,2.00,3.00,9,101,NULL,'CIDADE ALTA','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2318610,5.00,6.00,5.00,3.00,4.00,5.50,4.00,6.00,4.00,102,108,NULL,'BAIXO CANOAS','LUIZ ALVES','SC',11504,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2318628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,317,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2318636,3.00,7.00,5.00,8.00,5.00,5.50,5.00,5.00,2.00,103,9,NULL,'SÃO JOÃO','COCAL DO SUL','SC',10862,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2318644,0.00,3.00,1.00,0.00,4.00,NULL,1.00,3.00,1.00,5,NULL,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2318652,2.00,7.00,1.00,7.00,4.00,5.75,4.00,5.00,2.00,207,331,201,'ESTREITO','FLORIANOPOLIS','SC',14882,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2318679,2.00,7.00,4.00,7.00,2.00,NULL,5.00,3.00,2.00,212,301,201,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2318687,0.00,3.00,4.00,4.00,6.00,5.75,3.00,5.00,3.00,9,415,NULL,'CENTRO','ANITAPOLIS','SC',18662,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2318695,6.00,7.00,5.00,7.00,6.00,5.00,4.00,6.00,4.00,415,207,NULL,'SÍLVIA REGINA','CAMPO GRANDE','MS',7200,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2318709,3.00,4.00,2.00,0.00,5.00,NULL,3.00,3.00,1.00,216,217,233,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2318717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,332,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2318725,3.00,7.00,2.00,0.00,3.00,3.50,2.00,3.00,3.00,238,444,208,'CAMPECHE','FLORIANOPOLIS','SC',22190,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2318733,3.00,7.00,5.00,6.00,6.00,5.25,5.00,4.00,1.00,316,327,NULL,'TRNDADE','FLORIANOPOLIS','SC',13416,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2318741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2318750,4.00,6.00,2.00,8.00,4.00,4.25,3.00,3.00,2.00,420,5,NULL,'CENTRO','ITAJAI','SC',17737,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2318768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,333,NULL,'JD ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2318776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,332,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2318784,3.00,5.00,1.00,3.00,6.00,5.50,5.00,2.00,1.00,415,301,NULL,'IPIRANGA','SAO JOSE','SC',19809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2318792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,333,NULL,'CENTRO','IPORA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2318806,6.00,9.00,9.00,9.00,8.00,6.75,9.00,6.00,7.00,103,303,NULL,'GUARA','GUARA','DF',247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2318814,3.00,8.00,4.00,5.00,8.00,5.75,5.00,5.00,3.00,303,5,NULL,'PEREQUÊ MIRIM','UBATUBA','SP',9507,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2318830,4.00,6.00,3.00,7.00,6.00,6.50,5.00,4.00,2.00,329,222,NULL,'CENTRO','FLORIANOPOLIS','SC',10933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2318849,0.00,8.00,2.00,6.00,5.00,6.50,2.00,5.00,3.00,317,318,NULL,'BARREIROS','SAO JOSE','SC',15079,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2318857,4.00,5.00,5.00,6.00,5.00,6.00,3.00,6.00,3.00,104,319,NULL,'CENTRO','CURITIBANOS','SC',12242,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2318865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,108,212,'SUDOESTE','CRUZEIRO','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2318873,4.00,7.00,2.00,5.00,3.00,4.75,4.00,5.00,1.00,207,444,201,'RIO TAVARES','FLORIANOPOLIS','SC',17314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2318881,2.00,6.00,5.00,4.00,6.00,5.50,2.00,2.00,2.00,319,324,NULL,'ABRAAO','FLORIANOPOLIS','SC',17699,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2318890,5.00,5.00,5.00,6.00,4.00,6.75,4.00,5.00,3.00,220,316,203,'VILA DO ENCONTRO','SAO PAULO','SP',12464,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2318903,3.00,5.00,2.00,6.00,4.00,5.75,6.00,5.00,1.00,208,238,202,'PRAIA COMPRIDA','SAO JOSE','SC',15290,587,945,559,NULL,NULL,NULL,2,1),(15,2318911,1.00,2.00,1.00,1.00,2.00,NULL,0.00,2.00,2.00,211,308,238,'STO ANTONIO DE LISBO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2318946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,214,202,'PITUBA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2318954,2.00,7.00,3.00,2.00,3.00,4.50,7.00,4.00,4.00,220,502,202,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2318962,1.00,5.00,3.00,7.00,5.00,4.25,2.00,4.00,3.00,415,327,NULL,'CENTRO','BALNEARIO ARROIO DO SILVA','SC',19750,496,442,NULL,NULL,NULL,NULL,2,5),(15,2318970,1.00,5.00,4.00,6.00,5.00,8.50,4.00,5.00,4.00,329,328,NULL,'VILA LUZITA','SANTO ANDRE','SP',13085,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2318989,2.00,5.00,1.00,0.00,5.00,NULL,2.00,2.00,2.00,234,217,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2318997,6.00,7.00,3.00,5.00,8.00,6.75,8.00,5.00,5.00,103,NULL,NULL,'RIBEIRANIA','RIBEIRAO PRETO','SP',5785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319004,2.00,5.00,1.00,4.00,7.00,5.00,3.00,5.00,3.00,104,303,NULL,'CANGO','FRANCISCO BELTRAO','PR',18319,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2319012,4.00,7.00,3.00,8.00,8.00,5.25,5.00,6.00,4.00,108,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319020,4.00,5.00,7.00,8.00,6.00,7.25,7.00,4.00,5.00,202,108,213,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',5157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'CENTRO','ITUVERAVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2319047,2.00,3.00,4.00,5.00,5.00,5.00,3.00,3.00,2.00,217,324,NULL,'COLONINHA','FLORIANOPOLIS','SC',20176,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2319063,2.00,8.00,6.00,2.00,5.00,5.75,5.00,6.00,4.00,316,301,NULL,'CENTRO','FLORIANOPOLIS','SC',12104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,103,NULL,'ACARAI','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2319080,3.00,6.00,4.00,4.00,8.00,5.50,5.00,4.00,3.00,415,238,NULL,'CENTRO','BOM SUCESSO DO SUL','PR',12868,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2319098,3.00,6.00,3.00,6.00,5.00,4.50,4.00,4.00,3.00,319,103,NULL,'CENTRO','ITUPORANGA','SC',16793,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2319101,7.00,4.00,6.00,6.00,7.00,6.50,6.00,6.00,3.00,207,201,NULL,'CRUZEIRO','PASSO FUNDO','RS',6528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,303,NULL,'MENINO DEUS','JOACABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2319128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,450,NULL,'GUABIROTUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2319136,8.00,7.00,8.00,7.00,8.00,6.00,9.00,7.00,8.00,103,NULL,NULL,'CENTRO','GURUPI','TO',653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2319144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'JD PIRATININGA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2319152,4.00,7.00,4.00,7.00,8.00,5.50,4.00,7.00,4.00,450,108,NULL,'DIAMANTINO','CAXIAS DO SUL','RS',6988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319160,7.00,8.00,3.00,7.00,5.00,4.75,8.00,9.00,4.00,214,444,233,'SANTO ANTÔNIO','JOINVILLE','SC',4923,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2319179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,211,NULL,'INDEPENDENCIA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2319195,4.00,3.00,1.00,3.00,3.00,4.50,2.00,5.00,4.00,444,404,NULL,'ITACORUBI','FLORIANOPOLIS','SC',20069,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2319209,2.00,5.00,2.00,6.00,4.00,4.50,5.00,6.00,2.00,203,220,NULL,'CENTRO','SAO LUDGERO','SC',17647,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2319217,6.00,8.00,5.00,9.00,7.00,5.25,5.00,8.00,6.00,220,203,214,'SETIR BUENO','GOIANIA','GO',2416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,309,NULL,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2319233,3.00,6.00,0.00,4.00,3.00,3.75,2.00,6.00,3.00,103,444,NULL,'VILA JARDINI','SOROCABA','SP',19672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319241,8.00,6.00,8.00,7.00,8.00,6.00,7.00,7.00,7.00,103,211,NULL,'BATEL','CURITIBA','PR',1700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319250,3.00,5.00,5.00,5.00,5.00,4.75,2.00,5.00,2.00,301,421,NULL,'MICHEL','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2319268,3.00,7.00,5.00,6.00,6.00,3.75,4.00,5.00,1.00,103,450,NULL,'CENTRO','FLORIANOPOLIS','SC',13729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319276,4.00,8.00,2.00,6.00,5.00,6.75,6.00,7.00,4.00,103,319,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,9,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2319306,3.00,4.00,4.00,5.00,5.00,5.75,6.00,5.00,2.00,316,104,NULL,'TRINDADE','FLORIANOPOLIS','SC',14222,379,1132,NULL,NULL,NULL,NULL,4,1),(15,2319314,2.00,5.00,3.00,4.00,5.00,4.50,5.00,2.00,1.00,303,9,NULL,'ITACORUBI','FLORIANOPOLIS','SC',18963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319322,4.00,8.00,1.00,7.00,7.00,6.25,4.00,6.00,5.00,420,319,NULL,'AZAMBUJA','BRUSQUE','SC',7097,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2319330,3.00,5.00,2.00,3.00,4.00,2.00,3.00,3.00,3.00,104,333,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2319349,3.00,6.00,4.00,1.00,4.00,6.00,4.00,6.00,4.00,207,420,NULL,'PRAINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319357,1.00,4.00,2.00,5.00,5.00,4.75,3.00,5.00,5.00,319,303,NULL,'PARQUE SÃO JORGE','FLORIANOPOLIS','SC',16989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319365,3.00,5.00,4.00,8.00,5.00,6.25,6.00,3.00,3.00,216,217,211,'MARECHAL FLORIANO','CAXIAS DO SUL','RS',11850,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2319373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,215,NULL,'URBANOVA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2319381,4.00,6.00,4.00,6.00,7.00,4.50,5.00,4.00,3.00,333,201,NULL,'JARDIM CARVALHO','PONTA GROSSA','PR',12450,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2319390,1.00,4.00,1.00,1.00,3.00,NULL,5.00,2.00,2.00,201,316,203,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2319403,2.00,3.00,3.00,5.00,7.00,4.50,3.00,4.00,0.00,319,404,NULL,'PROGRESSO','LAGUNA','SC',20567,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2319411,4.00,4.00,3.00,7.00,7.00,4.00,5.00,6.00,4.00,108,5,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',11409,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2319420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,102,215,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2319438,3.00,7.00,7.00,7.00,7.00,5.00,6.00,6.00,5.00,316,333,NULL,'CENTRO','ARARAS','SP',6418,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319446,1.00,3.00,1.00,3.00,3.00,NULL,2.00,3.00,2.00,444,404,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2319454,5.00,6.00,5.00,6.00,8.00,5.00,6.00,5.00,5.00,212,202,208,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2319462,2.00,4.00,4.00,4.00,6.00,5.50,2.00,2.00,3.00,301,NULL,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',19772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2319470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,108,NULL,'JARDINS','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2319489,4.00,6.00,3.00,7.00,7.00,3.75,5.00,4.00,1.00,5,450,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',12787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2319497,4.00,4.00,0.00,1.00,5.00,NULL,1.00,3.00,1.00,317,339,NULL,'PRAINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319500,3.00,5.00,0.00,1.00,1.00,NULL,6.00,4.00,2.00,234,211,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2319519,5.00,8.00,4.00,3.00,7.00,7.00,6.00,5.00,4.00,104,108,NULL,'CENTRO','FLORIANOPOLIS','SC',7163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319527,0.00,7.00,3.00,7.00,5.00,6.50,3.00,6.00,2.00,415,451,NULL,'CENTRO','PITANGA','PR',14465,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2319535,2.00,5.00,3.00,2.00,5.00,5.75,2.00,4.00,2.00,208,333,238,'ESCOLA AGRICOLA','BLUMENAU','SC',21097,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2319543,4.00,4.00,3.00,0.00,5.00,3.75,6.00,2.00,2.00,201,212,202,'CENTRO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2319551,1.00,4.00,2.00,3.00,5.00,6.00,3.00,5.00,5.00,103,5,NULL,'NOVA BRASÍLIA','ITAJAI','SC',19808,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2319560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'CENTRO','ITAPEJARA D OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2319578,1.00,3.00,1.00,1.00,1.00,NULL,4.00,1.00,2.00,103,NULL,NULL,'CENTRO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2319586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'CENTRO','GUAIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2319594,0.00,5.00,2.00,1.00,4.00,6.00,2.00,4.00,3.00,319,207,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',22086,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2319608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,502,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2319616,3.00,8.00,7.00,8.00,7.00,4.50,7.00,8.00,4.00,5,328,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',3452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319624,3.00,5.00,2.00,3.00,6.00,7.25,4.00,2.00,4.00,424,217,427,'KOBRASOL','SAO JOSE','SC',17205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319640,4.00,7.00,2.00,1.00,7.00,6.00,2.00,5.00,3.00,104,211,NULL,'OFICINAS','TUBARAO','SC',15642,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2319667,0.00,5.00,1.00,3.00,4.00,5.75,4.00,5.00,0.00,301,102,NULL,'INGLESES','FLORIANOPOLIS','SC',21885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319675,1.00,7.00,5.00,0.00,7.00,NULL,3.00,4.00,2.00,103,303,NULL,'CHAMPAGNAT','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2319683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,303,NULL,'JD MONTE CARMELO','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2319713,3.00,4.00,2.00,0.00,5.00,5.50,4.00,3.00,3.00,103,102,NULL,'VILA NOVA','LAGES','SC',20790,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2319730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,444,NULL,'BAEPENDI','JARAGUA DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2319748,6.00,7.00,7.00,6.00,8.00,5.00,5.00,6.00,5.00,207,420,201,'CENTRO','NAVEGANTES','SC',4183,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2319756,5.00,8.00,6.00,7.00,8.00,6.25,8.00,8.00,6.00,5,316,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',1698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319764,2.00,4.00,2.00,7.00,4.00,5.50,4.00,2.00,2.00,319,208,NULL,'MEDIANEIRA','TRES DE MAIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319772,2.00,6.00,6.00,6.00,6.00,4.00,9.00,3.00,3.00,203,202,208,'JARDIM TAPAJÓS','ATIBAIA','SP',10649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319780,4.00,7.00,4.00,8.00,5.00,6.75,6.00,7.00,3.00,420,427,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',6633,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2319799,2.00,4.00,1.00,6.00,3.00,4.75,2.00,4.00,4.00,308,217,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2319802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,203,NULL,'JARDIM ITALIA','CHAPECO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2319810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,211,NULL,'CENTRO','AGUAS FRIAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2319837,4.00,5.00,4.00,2.00,6.00,4.00,4.00,5.00,3.00,327,310,NULL,'FUNCIONÁRIOS','POCOS DE CALDAS','MG',16879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319845,3.00,4.00,0.00,1.00,6.00,5.75,5.00,2.00,3.00,207,420,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2319853,3.00,7.00,0.00,0.00,3.00,NULL,3.00,4.00,2.00,319,301,NULL,'PETROPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2319861,3.00,4.00,3.00,2.00,7.00,5.50,3.00,6.00,2.00,501,333,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319870,1.00,3.00,1.00,2.00,1.00,NULL,4.00,1.00,4.00,238,404,NULL,'SANTO ANTONIO LISBOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2319888,3.00,7.00,3.00,6.00,5.00,5.25,1.00,6.00,4.00,5,316,NULL,'CENTRO','CRICIUMA','SC',15144,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2319896,2.00,6.00,3.00,3.00,4.00,5.00,2.00,7.00,2.00,101,104,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',18089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2319918,4.00,7.00,1.00,6.00,7.00,5.50,4.00,7.00,2.00,450,326,NULL,'PRAIA DE BELAS','PORTO ALEGRE','RS',11823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,425,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2319934,4.00,5.00,0.00,4.00,5.00,NULL,3.00,5.00,3.00,103,444,NULL,'CENTRO','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2319942,3.00,2.00,1.00,4.00,5.00,4.75,3.00,2.00,4.00,309,319,NULL,'PONTE IMARUIM','PALHOCA','SC',21823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2319950,3.00,5.00,4.00,7.00,6.00,5.00,5.00,6.00,2.00,333,203,NULL,'CENTRO','FLORIANOPOLIS','SC',12096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2319969,2.00,6.00,3.00,5.00,4.00,4.00,3.00,5.00,4.00,303,310,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2319977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,301,212,'BALNEÁRIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2319985,3.00,6.00,4.00,3.00,6.00,5.50,7.00,4.00,6.00,108,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',10763,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2319993,4.00,4.00,3.00,7.00,6.00,5.75,3.00,5.00,1.00,108,301,NULL,'CENTRO','NOVA PETROPOLIS','RS',15306,337,697,NULL,NULL,NULL,NULL,2,1),(15,2320002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,316,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2320010,3.00,6.00,8.00,6.00,5.00,5.00,8.00,6.00,4.00,202,223,201,'CENTRO','LAGES','SC',7859,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2320029,6.00,6.00,3.00,6.00,5.00,5.00,3.00,4.00,3.00,108,333,NULL,'SAGUACU','JOINVILLE','SC',12963,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2320037,1.00,3.00,1.00,1.00,3.00,NULL,2.00,3.00,4.00,308,238,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320045,5.00,7.00,6.00,8.00,7.00,4.25,6.00,7.00,4.00,310,318,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,208,201,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2320061,3.00,5.00,0.00,5.00,4.00,5.25,2.00,3.00,0.00,450,415,NULL,'JD PAULISTA','RIBEIRAO PRETO','SP',22022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320070,5.00,2.00,3.00,4.00,7.00,6.50,5.00,2.00,4.00,444,108,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',16069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320088,4.00,6.00,5.00,6.00,6.00,7.00,5.00,4.00,3.00,301,108,NULL,'IDEAL','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2320096,4.00,7.00,4.00,8.00,9.00,4.50,5.00,5.00,2.00,324,NULL,NULL,'CENTRO','GASPAR','SC',8646,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2320100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,502,NULL,'VILA MOEMA','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2320118,7.00,7.00,7.00,9.00,9.00,7.75,8.00,8.00,5.00,303,319,NULL,'CENTRO','FLORIANOPOLIS','SC',572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320126,2.00,6.00,4.00,6.00,8.00,6.00,5.00,8.00,3.00,5,303,NULL,'CENTRO','MARAVILHA','SC',7841,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2320134,1.00,5.00,3.00,2.00,4.00,5.00,3.00,5.00,2.00,214,415,207,'SÃO JOÃO','ITAJAI','SC',20632,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2320142,2.00,5.00,6.00,6.00,4.00,6.25,4.00,4.00,4.00,319,420,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2320150,0.00,2.00,1.00,4.00,2.00,NULL,2.00,1.00,2.00,404,324,NULL,'ÁGUAS MORNAS','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2320169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,203,202,'SANTA QUITERIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2320177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,316,NULL,'VILA NOVA CONCEIÇÃO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2320185,3.00,6.00,2.00,3.00,6.00,6.25,4.00,7.00,1.00,103,333,NULL,'REGIÃO DO LAGO','CASCAVEL','PR',15146,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2320193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,225,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2320207,0.00,3.00,1.00,1.00,1.00,NULL,1.00,1.00,1.00,317,224,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2320223,0.00,8.00,2.00,5.00,5.00,6.50,5.00,5.00,4.00,104,444,NULL,'ANITA GARIBALDI','JOINVILLE','SC',14078,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2320231,0.00,5.00,0.00,2.00,5.00,NULL,0.00,3.00,3.00,420,319,NULL,'NOVA BRASÍLIA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2320240,2.00,8.00,5.00,8.00,7.00,3.50,6.00,7.00,3.00,202,213,214,'SÃO DIMAS','SAO JOSE DOS CAMPOS','SP',7436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320258,0.00,3.00,1.00,5.00,4.00,4.50,3.00,3.00,3.00,108,415,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',22132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2320266,4.00,7.00,4.00,4.00,6.00,6.50,3.00,6.00,2.00,207,103,201,'CRISTO REI','ICARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2320282,3.00,4.00,3.00,3.00,4.00,0.00,2.00,5.00,3.00,208,NULL,238,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2320290,0.00,4.00,3.00,3.00,4.00,NULL,1.00,2.00,2.00,216,NULL,NULL,'CONSERVAS','LAJEADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2320304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,333,NULL,'BAIXADA PIONEIRA','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2320312,4.00,5.00,3.00,9.00,7.00,6.00,4.00,7.00,3.00,5,303,NULL,'PANTANAL','FLORIANOPOLIS','SC',8499,374,1099,NULL,NULL,NULL,NULL,4,1),(15,2320320,3.00,3.00,4.00,1.00,3.00,3.50,2.00,4.00,1.00,101,224,NULL,'ESTRADA GERAL','VIDAL RAMOS','SC',22404,333,314,NULL,NULL,NULL,NULL,2,2),(15,2320339,6.00,8.00,8.00,9.00,8.00,4.75,8.00,8.00,5.00,318,2,NULL,'CENTRO','FLORIANOPOLIS','SC',1433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320347,4.00,5.00,2.00,6.00,6.00,5.00,3.00,5.00,2.00,415,207,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',14802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320363,5.00,8.00,7.00,5.00,8.00,6.75,6.00,6.00,5.00,211,234,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',4531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320371,3.00,6.00,5.00,9.00,7.00,6.50,8.00,7.00,3.00,203,501,238,'CENTRO','CRICIUMA','SC',4968,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2320380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,324,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2320398,2.00,6.00,2.00,4.00,4.00,5.00,3.00,4.00,2.00,324,502,NULL,'VARGEM BOM JESUS','FLORIANOPOLIS','SC',20516,93,341,NULL,NULL,NULL,NULL,2,1),(15,2320410,4.00,4.00,2.00,7.00,7.00,7.50,5.00,3.00,2.00,415,427,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,6),(15,2320428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,203,213,'INTERIOR','PIRATUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2320436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,223,NULL,'VILA RICA','SANTA ROSA DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2320444,3.00,4.00,0.00,1.00,3.00,NULL,2.00,2.00,0.00,324,309,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2320452,5.00,7.00,6.00,8.00,6.00,5.75,2.00,8.00,3.00,203,202,201,'JARDIM MARISTELA','CRICIUMA','SC',7795,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2320460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,310,NULL,'NOVA BRASILIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2320479,3.00,4.00,2.00,3.00,5.00,4.00,2.00,4.00,2.00,339,324,NULL,'CENTRO','FLORIANOPOLIS','SC',20916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2320487,7.00,5.00,3.00,7.00,5.00,5.25,8.00,4.00,3.00,220,214,203,'TIRADENTES','CAMPO GRANDE','MS',9992,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2320495,2.00,7.00,5.00,5.00,6.00,6.00,5.00,3.00,3.00,104,333,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',12155,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2320517,2.00,5.00,2.00,4.00,2.00,NULL,3.00,5.00,4.00,201,327,207,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2320525,4.00,6.00,4.00,6.00,7.00,6.00,3.00,8.00,6.00,303,301,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320533,1.00,4.00,3.00,9.00,4.00,5.50,5.00,4.00,2.00,208,425,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',16297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320541,3.00,6.00,1.00,0.00,6.00,NULL,3.00,5.00,2.00,103,2,NULL,'VILA MOEMA','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2320550,3.00,4.00,2.00,2.00,5.00,4.75,4.00,5.00,3.00,103,211,NULL,'PRAÇA','TIJUCAS','SC',18586,2906,984,NULL,NULL,NULL,NULL,4,1),(15,2320568,3.00,4.00,4.00,4.00,4.00,3.00,2.00,2.00,2.00,102,NULL,NULL,'CENTRO','LAGES','SC',21535,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2320576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,223,202,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2320584,2.00,6.00,4.00,3.00,7.00,6.50,2.00,6.00,2.00,207,420,NULL,'JARDIM EUROPA','JACAREZINHO','PR',16174,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2320592,3.00,6.00,5.00,2.00,6.00,3.25,2.00,7.00,4.00,211,108,208,'COHAB II','CANOINHAS','SC',15900,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320606,5.00,8.00,8.00,8.00,8.00,5.50,9.00,7.00,7.00,216,214,203,'JD ITACOLOMI','SAO PAULO','SP',1572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320614,7.00,7.00,6.00,6.00,7.00,3.00,6.00,7.00,7.00,303,427,NULL,'BUCAREIN','JOINVILLE','SC',3676,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2320622,2.00,9.00,5.00,6.00,6.00,7.00,4.00,8.00,2.00,332,331,NULL,'BOTAFOGO','RIO DE JANEIRO','RJ',7072,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2320630,2.00,3.00,2.00,0.00,3.00,NULL,3.00,2.00,4.00,501,211,NULL,'CANOAS','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320649,3.00,4.00,5.00,6.00,6.00,7.00,4.00,5.00,4.00,415,420,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320657,1.00,2.00,3.00,1.00,5.00,NULL,2.00,1.00,3.00,103,444,NULL,'NAÇÕES','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2320665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,215,NULL,'CENTRO','REGISTRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2320673,4.00,7.00,6.00,6.00,7.00,5.00,7.00,7.00,4.00,317,444,NULL,'PORTAL','ARMAZEM','SC',6651,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2320681,2.00,4.00,1.00,6.00,5.00,5.75,4.00,3.00,3.00,502,501,NULL,'SALSEIRO','CANOINHAS','SC',18424,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2320690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,104,NULL,'FAXINAL','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2320703,2.00,6.00,0.00,5.00,5.00,NULL,4.00,4.00,4.00,103,104,NULL,'CHÁCARA INGLESA','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2320738,2.00,5.00,2.00,2.00,7.00,5.75,4.00,7.00,4.00,301,316,NULL,'FORTALEZA','BLUMENAU','SC',15415,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2320746,3.00,8.00,5.00,7.00,8.00,6.50,4.00,4.00,2.00,415,331,NULL,'MARECHAL FLORIANO','CAXIAS DO SUL','RS',9844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320754,6.00,5.00,2.00,6.00,6.00,6.00,5.00,6.00,3.00,5,303,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320762,1.00,4.00,1.00,8.00,5.00,6.00,5.00,3.00,0.00,308,309,NULL,'ROÇADO','SAO JOSE','SC',18488,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2320770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,415,NULL,'SANTA ROSA','PRESIDENTE EPITACIO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2320789,3.00,4.00,0.00,2.00,4.00,NULL,1.00,4.00,2.00,108,333,NULL,'CENTRO','PORTO UNIAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,502,NULL,'PARQUE OLARIA','SANTA BARBARA D OESTE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2320819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,104,201,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2320827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,5,201,'CENTRO','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2320835,4.00,7.00,2.00,5.00,8.00,5.25,4.00,6.00,2.00,320,310,NULL,'ITACORUBI','FLORIANOPOLIS','SC',11437,38,128,NULL,NULL,NULL,NULL,2,1),(15,2320843,3.00,3.00,2.00,4.00,4.00,4.00,4.00,3.00,2.00,101,9,NULL,'ENSEADA DE BRITO','PALHOCA','SC',22148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2320851,1.00,3.00,4.00,1.00,4.00,NULL,1.00,3.00,2.00,207,420,201,'RESENER','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2320860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,301,NULL,'RIO PEQUENO','GRAO PARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2320878,3.00,8.00,1.00,1.00,6.00,7.00,5.00,6.00,3.00,415,303,NULL,'SANTANA','RIO CLARO','SP',14229,352,1215,NULL,NULL,NULL,NULL,4,1),(15,2320886,3.00,5.00,3.00,7.00,4.00,6.25,3.00,2.00,1.00,103,108,NULL,'SILVA','SAPUCAIA DO SUL','RS',17319,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2320894,1.00,8.00,5.00,3.00,5.00,6.75,6.00,4.00,3.00,317,223,NULL,'TRINDADE','FLORIANOPOLIS','SC',13397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320908,6.00,4.00,1.00,3.00,3.00,4.75,2.00,2.00,3.00,101,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',21185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320916,7.00,9.00,9.00,7.00,9.00,4.75,9.00,7.00,6.00,301,420,NULL,'COQUEIROS','FLORIANOPOLIS','SC',841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2320924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2320932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2320940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,304,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2320959,4.00,7.00,8.00,6.00,6.00,5.50,7.00,6.00,7.00,103,NULL,NULL,'TV MORENA','CAMPO GRANDE','MS',4085,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2320967,2.00,7.00,4.00,6.00,5.00,4.75,4.00,6.00,3.00,450,451,NULL,'JARDIM SÃO LUÍS','SUZANO','SP',12154,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2320975,4.00,7.00,6.00,7.00,6.00,6.00,6.00,6.00,1.00,103,303,NULL,'VILA MOEMA','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2320983,5.00,9.00,4.00,7.00,8.00,7.50,6.00,8.00,3.00,318,302,NULL,'CAMPINAS','SAO JOSE','SC',3793,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2320991,3.00,8.00,3.00,2.00,8.00,5.50,5.00,7.00,4.00,5,502,NULL,'CENTRO','CRICIUMA','SC',8714,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2321009,2.00,6.00,1.00,5.00,4.00,6.50,3.00,3.00,3.00,5,423,NULL,'CAMPECHE','FLORIANOPOLIS','SC',17764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2321025,3.00,6.00,2.00,8.00,7.00,5.00,4.00,7.00,4.00,319,329,NULL,'TRINDADE','FLORIANOPOLIS','SC',9335,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2321033,5.00,7.00,4.00,6.00,7.00,8.00,6.00,5.00,5.00,102,103,NULL,'JD MORUMBI UM','SOROCABA','SP',4559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321041,1.00,3.00,2.00,4.00,7.00,3.75,1.00,2.00,3.00,332,319,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',22011,149,979,NULL,NULL,NULL,NULL,2,1),(15,2321068,3.00,7.00,0.00,1.00,0.00,NULL,3.00,5.00,2.00,103,202,NULL,'TRÊS DE MAIO','CAPIVARI DE BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2321076,2.00,7.00,4.00,8.00,7.00,4.75,4.00,6.00,1.00,103,104,NULL,'JARDIM AMERICA','MAFRA','SC',11602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321084,3.00,3.00,0.00,6.00,7.00,4.50,2.00,4.00,1.00,327,426,NULL,'BELA VISTA I','SAO JOSE','SC',20144,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2321092,3.00,8.00,5.00,4.00,6.00,3.00,6.00,6.00,5.00,202,233,NULL,'CENTRO','SANTA MARIA','RS',9550,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2321106,7.00,7.00,9.00,6.00,8.00,4.25,8.00,7.00,7.00,103,104,NULL,'SANTA LUZIA','PAICANDU','PR',1754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2321114,3.00,6.00,2.00,5.00,6.00,4.50,5.00,3.00,4.00,444,324,NULL,'CAMPINAS','SAO JOSE','SC',15169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2321122,4.00,5.00,3.00,2.00,4.00,5.50,4.00,8.00,3.00,320,451,NULL,'MORRO DO MIRIM','IMBITUBA','SC',14654,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2321130,4.00,7.00,5.00,5.00,8.00,5.75,5.00,7.00,4.00,207,332,212,'ALVINÓPOLIS','ATIBAIA','SP',6983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,5,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2321157,0.00,7.00,1.00,2.00,4.00,NULL,2.00,1.00,0.00,103,202,NULL,'CENTRO','TRINDADE DO SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2321165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,329,NULL,'OXFORD','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2321181,3.00,6.00,1.00,4.00,5.00,6.50,1.00,5.00,2.00,415,301,NULL,'LAGO NORTE','LAGO NORTE','DF',18553,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2321190,4.00,8.00,7.00,3.00,8.00,5.25,5.00,6.00,5.00,203,202,207,'CENTRO','CIDADE GAUCHA','PR',7622,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2321203,4.00,7.00,0.00,7.00,7.00,7.00,4.00,6.00,4.00,103,333,NULL,'PARQUE DAS PALMEIRAS','CHAPECO','SC',9619,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2321211,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,5,316,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2321220,5.00,3.00,4.00,7.00,9.00,7.25,3.00,4.00,2.00,301,316,NULL,'CANTA GALO','RIO DO SUL','SC',10379,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2321238,1.00,2.00,0.00,1.00,3.00,NULL,4.00,2.00,1.00,101,9,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2321246,3.00,7.00,2.00,4.00,4.00,NULL,3.00,5.00,0.00,207,450,238,'CENTRO','POCOS DE CALDAS','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321254,3.00,5.00,0.00,4.00,3.00,4.25,3.00,2.00,2.00,303,444,NULL,'ABRAÃO','FLORIANOPOLIS','SC',22220,897,617,NULL,NULL,NULL,NULL,2,1),(15,2321262,2.00,4.00,2.00,6.00,5.00,6.75,4.00,5.00,2.00,303,420,NULL,'FLORESTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321270,2.00,7.00,4.00,9.00,6.00,6.25,6.00,7.00,4.00,234,333,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',6115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321289,3.00,7.00,5.00,5.00,3.00,6.00,1.00,4.00,2.00,427,425,421,'PRAINHA','FLORIANOPOLIS','SC',16611,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2321297,1.00,3.00,2.00,3.00,7.00,NULL,1.00,5.00,1.00,451,428,NULL,'FORQUILHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2321300,2.00,3.00,3.00,1.00,6.00,5.25,3.00,4.00,3.00,5,303,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',20675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,502,NULL,'CENTRO','IBIACA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2321327,3.00,7.00,1.00,6.00,5.00,5.50,4.00,4.00,1.00,316,5,NULL,'CENTRO','FLORIANOPOLIS','SC',16091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321335,4.00,7.00,4.00,1.00,5.00,4.50,5.00,5.00,3.00,5,501,NULL,'CENTRO','CALIFORNIA','PR',14714,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2321343,2.00,5.00,1.00,1.00,7.00,4.75,2.00,4.00,2.00,303,319,NULL,'CENTRO','PALHOCA','SC',21283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,9,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2321360,1.00,8.00,4.00,5.00,7.00,5.75,5.00,6.00,2.00,208,NULL,NULL,'CENTRO','PONTE SERRADA','SC',10323,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2321378,5.00,8.00,7.00,6.00,6.00,5.50,6.00,7.00,6.00,310,320,NULL,'BELA VISTA','SAO PAULO','SP',4745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'JARDIM CELESTE','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2321394,0.00,4.00,2.00,5.00,4.00,3.75,3.00,4.00,2.00,201,5,NULL,'BATEAS','BRUSQUE','SC',21544,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2321408,4.00,8.00,2.00,6.00,6.00,5.75,4.00,4.00,4.00,303,104,NULL,'AGUA VERDE','CURITIBA','PR',10760,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2321416,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA SEIS','MARINGA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2321424,3.00,9.00,7.00,4.00,6.00,3.00,8.00,7.00,3.00,213,318,NULL,'PANTANAL','FLORIANOPOLIS','SC',6605,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2321432,5.00,8.00,9.00,9.00,6.00,4.25,8.00,6.00,3.00,203,NULL,220,'TRINDADE','FLORIANOPOLIS','SC',3184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321440,2.00,6.00,2.00,2.00,4.00,3.00,3.00,5.00,3.00,316,NULL,NULL,'SERTÃO DO MARUÍM','SAO JOSE','SC',20902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321459,4.00,3.00,3.00,2.00,6.00,6.50,3.00,4.00,3.00,216,224,233,'CORDEIROS','ITAJAI','SC',18832,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2321467,2.00,6.00,5.00,8.00,6.00,4.50,4.00,7.00,5.00,103,303,NULL,'RIO TIGRE','BENEDITO NOVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2321475,0.00,2.00,0.00,1.00,4.00,NULL,2.00,5.00,1.00,211,502,214,'CENTRO','FRANCISCO BELTRAO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2321483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,404,208,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2321491,4.00,7.00,6.00,8.00,8.00,5.25,5.00,7.00,4.00,207,420,201,'NAÇÕES','INDAIAL','SC',4585,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2321505,3.00,5.00,1.00,4.00,4.00,5.75,4.00,7.00,3.00,203,208,201,'CENTRO','BALNEARIO CAMBORIU','SC',14466,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2321513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,217,203,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2321521,5.00,6.00,5.00,6.00,5.00,5.00,5.00,3.00,4.00,103,NULL,NULL,'RONDA','PONTA GROSSA','PR',10830,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2321530,4.00,8.00,3.00,6.00,7.00,5.50,6.00,8.00,4.00,103,201,NULL,'TRINDADE','FLORIANOPOLIS','SC',6399,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2321548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2321556,2.00,5.00,3.00,4.00,5.00,5.75,2.00,7.00,0.00,203,213,202,'VILLA SANTO ANTONIO','MARINGA','PR',18827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,5,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2321580,4.00,6.00,7.00,6.00,7.00,6.75,6.00,6.00,2.00,103,303,NULL,'SAO JORGE','SAO MIGUEL DOESTE','SC',6810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321599,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,444,207,NULL,'COHAB II','SAO JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(15,2321602,6.00,8.00,5.00,6.00,7.00,6.00,6.00,5.00,4.00,303,207,NULL,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',6104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2321610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,222,NULL,'ARMAÇÃO DO PANTANO D','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2321629,2.00,7.00,1.00,1.00,3.00,3.75,2.00,4.00,2.00,310,304,NULL,'CENTRO','GAROPABA','SC',22283,74,446,NULL,NULL,NULL,NULL,2,1),(15,2321637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,333,NULL,'PORTO VERDE','ALVORADA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2321645,6.00,6.00,5.00,2.00,5.00,5.75,6.00,8.00,4.00,207,450,201,'IPIRANGA','RIBEIRAO PRETO','SP',7927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321653,3.00,7.00,5.00,8.00,5.00,4.50,6.00,7.00,2.00,329,328,NULL,'BOM FIM','PORTO ALEGRE','RS',9295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321661,1.00,2.00,0.00,3.00,3.00,NULL,1.00,3.00,2.00,102,108,NULL,'CENTRO','VARGEAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2321696,1.00,2.00,1.00,2.00,3.00,NULL,2.00,4.00,1.00,103,102,NULL,'CANOAS','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321700,3.00,5.00,3.00,3.00,5.00,4.00,2.00,3.00,3.00,201,444,233,'SANTA RITA','PETROLANDIA','SC',19765,1039,564,436,NULL,NULL,NULL,2,1),(15,2321718,2.00,6.00,3.00,3.00,5.00,4.75,4.00,4.00,1.00,308,NULL,NULL,'BOM VIVER','BIGUACU','SC',20030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321726,0.00,5.00,4.00,1.00,5.00,4.25,3.00,3.00,1.00,303,301,NULL,'CENTRO','FLORIANOPOLIS','SC',22130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321734,1.00,6.00,2.00,3.00,6.00,4.00,2.00,2.00,2.00,104,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',21197,693,1041,NULL,NULL,NULL,NULL,2,1),(15,2321742,3.00,6.00,3.00,5.00,6.00,6.00,4.00,5.00,1.00,304,502,NULL,'CENTRO','FLORIANOPOLIS','SC',14129,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2321750,4.00,7.00,3.00,5.00,7.00,7.25,7.00,6.00,4.00,208,324,238,'MARAFON','VIDEIRA','SC',6868,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2321769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,326,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2321777,4.00,5.00,1.00,6.00,4.00,4.50,4.00,4.00,2.00,208,222,202,'ESTREITO','FLORIANOPOLIS','SC',18684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,216,NULL,'CENTRO','CORUPA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2321793,1.00,3.00,2.00,4.00,4.00,4.75,3.00,4.00,3.00,104,9,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',20754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2321807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,316,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2321815,4.00,7.00,4.00,5.00,7.00,5.50,4.00,4.00,3.00,2,223,NULL,'CENTRO','BRACO DO NORTE','SC',12843,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2321823,3.00,6.00,4.00,8.00,5.00,7.00,5.00,5.00,3.00,104,207,NULL,'CENTRO','LAGES','SC',9349,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2321831,1.00,6.00,2.00,5.00,4.00,3.25,1.00,3.00,2.00,318,308,NULL,'CENTRO','FLORIANOPOLIS','SC',22176,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2321840,3.00,5.00,4.00,6.00,4.00,4.25,6.00,5.00,3.00,5,303,NULL,'SANTA CRUZ','RIBEIRAO PRETO','SP',14135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,316,NULL,'CENTRO','PONTE SERRADA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2321874,5.00,7.00,6.00,8.00,5.00,4.50,4.00,6.00,5.00,103,203,NULL,'VILA MOEMA','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2321882,6.00,7.00,6.00,10.00,8.00,4.00,8.00,7.00,5.00,103,102,NULL,'BIGORRILHO','CURITIBA','PR',2492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321890,1.00,2.00,2.00,5.00,4.00,3.50,2.00,4.00,3.00,444,102,NULL,'RESIDENCIAL MADRI','PALHOCA','SC',22243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2321904,3.00,5.00,1.00,4.00,3.00,6.00,2.00,4.00,2.00,108,333,NULL,'CENTRO','COLORADO','RS',20769,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2321912,5.00,6.00,1.00,2.00,5.00,6.75,3.00,5.00,2.00,424,425,NULL,'TRINDADE','FLORIANOPOLIS','SC',17744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2321920,5.00,7.00,5.00,4.00,8.00,5.25,6.00,6.00,5.00,103,101,NULL,'ESPLANA','CHAPECO','SC',5796,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2321939,1.00,4.00,2.00,2.00,3.00,NULL,2.00,3.00,1.00,450,451,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2321947,4.00,7.00,5.00,4.00,5.00,4.75,6.00,3.00,4.00,501,502,NULL,'CENTRO','LAGES','SC',11720,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2321963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,316,NULL,'VILA ADYANA','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2321971,0.00,3.00,4.00,3.00,3.00,5.00,3.00,3.00,3.00,207,NULL,NULL,'ITAUM','JOINVILLE','SC',22410,1040,NULL,NULL,NULL,NULL,NULL,4,8),(15,2321980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,319,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2321998,5.00,5.00,5.00,6.00,7.00,6.75,4.00,5.00,5.00,104,303,NULL,'NAÇÕES','INDAIAL','SC',8303,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2322005,4.00,7.00,2.00,7.00,5.00,5.75,1.00,5.00,2.00,103,5,NULL,'RUDGE RAMOS','SAO BERNARDO DO CAMPO','SP',15337,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2322013,4.00,8.00,3.00,8.00,8.00,5.25,5.00,6.00,4.00,5,333,NULL,'CENTRO','FLORIANOPOLIS','SC',7624,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2322021,3.00,6.00,6.00,4.00,5.00,5.00,5.00,3.00,2.00,201,NULL,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322030,1.00,4.00,1.00,2.00,4.00,NULL,5.00,2.00,1.00,303,203,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2322048,2.00,6.00,3.00,6.00,5.00,5.50,2.00,6.00,2.00,211,333,NULL,'PARTENON','PORTO ALEGRE','RS',15710,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2322064,0.00,1.00,2.00,3.00,1.00,NULL,0.00,2.00,1.00,308,310,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322072,1.00,5.00,3.00,8.00,7.00,5.75,2.00,3.00,4.00,104,303,NULL,'CENTRO','LAJEADO','RS',13532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2322080,4.00,7.00,4.00,5.00,5.00,4.25,3.00,5.00,2.00,303,415,NULL,'CENTRO','CORONEL VIVIDA','PR',15030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322099,1.00,7.00,5.00,8.00,5.00,7.00,5.00,4.00,4.00,103,303,NULL,'CANTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322102,2.00,3.00,1.00,6.00,6.00,4.50,3.00,2.00,2.00,339,426,NULL,'TRINDADE','FLORIANOPOLIS','SC',21941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2322110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,104,215,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2322129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,317,NULL,'CENTRO','SAO FRANCISCO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2322137,2.00,6.00,4.00,3.00,7.00,4.50,3.00,4.00,2.00,326,425,NULL,'TRINDADE','FLORIANOPOLIS','SC',17904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322153,3.00,7.00,4.00,3.00,4.00,4.50,4.00,5.00,3.00,203,208,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,9,NULL,'IPIRANGA','MARMELEIRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2322170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2322188,3.00,7.00,2.00,3.00,5.00,4.00,5.00,7.00,1.00,301,324,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',16851,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2322196,5.00,5.00,4.00,0.00,6.00,5.25,4.00,4.00,3.00,103,213,NULL,'PASSAGEM','TUBARAO','SC',17138,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2322200,0.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,316,102,NULL,'SAGRADO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,9),(15,2322234,1.00,4.00,2.00,3.00,5.00,5.50,1.00,5.00,4.00,420,102,NULL,'CENTRO','PATO BRANCO','PR',19716,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2322250,2.00,5.00,1.00,5.00,7.00,4.75,5.00,4.00,1.00,9,316,NULL,'KOBRASOL','SAO JOSE','SC',18049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2322269,2.00,3.00,2.00,3.00,3.00,NULL,1.00,1.00,3.00,420,319,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2322277,5.00,9.00,6.00,6.00,6.00,5.00,6.00,8.00,3.00,213,202,233,'CENTRO','SAO CARLOS','SC',5152,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2322285,2.00,8.00,5.00,8.00,7.00,6.75,5.00,7.00,2.00,318,304,NULL,'BRÁS','SAO PAULO','SP',8160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322293,3.00,6.00,0.00,1.00,7.00,NULL,2.00,3.00,0.00,104,5,NULL,'CENTRO','PONTE SERRADA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2322307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,329,426,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2322323,3.00,6.00,6.00,7.00,7.00,4.50,5.00,5.00,7.00,303,5,NULL,'CENTRO','CASCAVEL','PR',7552,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2322331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'JARDIM SOCIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2322358,1.00,4.00,3.00,6.00,5.00,5.50,4.00,5.00,2.00,333,211,NULL,'VILA MOEMA','TUBARAO','SC',17380,289,972,NULL,NULL,NULL,NULL,2,10),(15,2322366,0.00,3.00,2.00,0.00,2.00,NULL,2.00,3.00,2.00,201,316,203,'SANTA CATARINA','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322374,3.00,7.00,5.00,5.00,5.00,NULL,0.00,0.00,0.00,303,5,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2322382,6.00,9.00,6.00,3.00,8.00,5.75,6.00,7.00,6.00,501,317,NULL,'AMERICA','JOINVILLE','SC',3991,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2322390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,224,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2322404,3.00,7.00,1.00,7.00,5.00,4.50,1.00,5.00,1.00,450,444,NULL,'CIDADE BAIXA','PORTO ALEGRE','RS',18344,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2322412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,102,216,'BUTANTÃ','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2322420,1.00,4.00,8.00,3.00,4.00,4.50,6.00,3.00,3.00,233,108,202,'JARDIM ANGÉLICA','CRICIUMA','SC',14929,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2322439,3.00,7.00,4.00,2.00,6.00,4.25,2.00,5.00,2.00,103,225,NULL,'VIA CRUZEIRO II','GRAVATAI','RS',16115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322447,0.00,1.00,4.00,3.00,5.00,4.75,5.00,4.00,2.00,308,339,NULL,'BARREIROS','SAO JOSE','SC',21340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322455,3.00,4.00,0.00,0.00,6.00,NULL,2.00,1.00,2.00,451,339,NULL,'ESTRELA','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2322463,5.00,6.00,5.00,5.00,6.00,6.50,5.00,8.00,6.00,215,316,211,'TERRA BRANCA','IBITINGA','SP',6589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322471,5.00,3.00,3.00,1.00,3.00,3.00,5.00,2.00,3.00,316,304,NULL,'FREITAS','PAULO LOPES','SC',22000,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2322480,2.00,7.00,5.00,6.00,8.00,NULL,6.00,3.00,0.00,202,208,213,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2322498,3.00,6.00,2.00,6.00,6.00,7.75,4.00,6.00,2.00,103,427,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',12421,2399,162,NULL,NULL,NULL,NULL,2,1),(15,2322501,7.00,7.00,3.00,4.00,8.00,4.25,8.00,7.00,5.00,333,108,NULL,'CRISTO REI','CURITIBA','PR',6096,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2322510,2.00,3.00,1.00,2.00,3.00,NULL,0.00,2.00,1.00,501,502,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2322536,2.00,5.00,0.00,2.00,7.00,NULL,2.00,5.00,2.00,9,309,NULL,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322544,1.00,8.00,4.00,5.00,6.00,5.75,7.00,7.00,2.00,202,225,211,'CENTRO','CANOINHAS','SC',10156,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2322552,3.00,6.00,1.00,2.00,6.00,4.75,1.00,4.00,2.00,324,207,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',21374,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2322560,2.00,5.00,0.00,0.00,5.00,4.00,3.00,4.00,2.00,317,333,NULL,'BARREIROS','SAO JOSE','SC',22373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322579,3.00,4.00,0.00,1.00,5.00,5.00,3.00,5.00,3.00,104,319,NULL,'CENTRO','BARRACAO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2322587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,324,423,'VILA SANTO ANTONIO','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2322595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,329,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2322609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,319,NULL,'VILA NORMA','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2322617,2.00,4.00,3.00,7.00,5.00,4.50,2.00,1.00,1.00,103,102,NULL,'VILA JANSEN','FARROUPILHA','RS',20968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'HIGIENOPOLIS','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2322633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,5,NULL,'MARTINS','UBERLANDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2322641,2.00,6.00,4.00,6.00,4.00,6.00,3.00,5.00,4.00,207,450,211,'CENTRO','PALMA SOLA','SC',13538,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2322650,0.00,5.00,3.00,1.00,2.00,NULL,5.00,5.00,1.00,329,224,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322668,3.00,3.00,2.00,9.00,6.00,6.75,5.00,5.00,1.00,333,450,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322676,2.00,5.00,1.00,3.00,5.00,6.00,3.00,2.00,2.00,339,404,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',21080,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2322684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,216,NULL,'PRAIA DO CANTO','VITORIA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2322692,3.00,8.00,1.00,3.00,7.00,3.75,4.00,3.00,1.00,238,425,208,'SANTO ANT DE LISBOA','FLORIANOPOLIS','SC',18108,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2322706,3.00,4.00,2.00,5.00,5.00,5.50,4.00,6.00,1.00,303,302,NULL,'CENTRO','PAULO LOPES','SC',18093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322714,2.00,7.00,1.00,3.00,7.00,6.75,4.00,6.00,4.00,429,339,425,'ESTREITO','FLORIANOPOLIS','SC',15538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322722,6.00,7.00,6.00,6.00,7.00,5.25,6.00,5.00,4.00,317,302,NULL,'CENTRO','FLORIANOPOLIS','SC',5707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2322730,7.00,8.00,2.00,8.00,5.00,NULL,0.00,0.00,0.00,9,104,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2322749,5.00,8.00,1.00,4.00,5.00,6.50,3.00,6.00,5.00,103,108,NULL,'STO ANTONIO','CAMPOS NOVOS','SC',11556,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2322757,1.00,7.00,5.00,7.00,5.00,6.75,6.00,7.00,1.00,222,223,NULL,'APARECIDA','UBERLANDIA','MG',11359,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2322765,3.00,7.00,4.00,4.00,6.00,5.75,6.00,7.00,3.00,339,309,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',9522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2322781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,101,NULL,'CENTRO','SANTA RITA DO ARAGUAIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2322790,2.00,7.00,3.00,7.00,7.00,6.75,6.00,6.00,3.00,450,451,NULL,'CENTRO','VINHEDO','SP',8691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2322803,1.00,4.00,2.00,5.00,5.00,5.25,4.00,3.00,2.00,501,324,NULL,'CENTRO','CHAPECO','SC',20434,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2322811,2.00,8.00,0.00,0.00,4.00,5.00,5.00,7.00,2.00,444,208,NULL,'VILA AUGUSTO','MAUA','SP',19323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,404,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2322838,6.00,7.00,9.00,5.00,8.00,3.50,7.00,5.00,5.00,203,201,216,'CENTRO','CORUMBA','MS',5124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,333,NULL,'CERQUEIRA CESAR','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2322854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,302,NULL,'ARAÉS','CUIABA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2322862,3.00,3.00,0.00,3.00,7.00,4.50,3.00,5.00,1.00,425,451,426,'JARDIM JANAINA','BIGUACU','SC',21159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322870,2.00,7.00,2.00,5.00,4.00,4.25,4.00,3.00,0.00,502,501,NULL,'CENTRO','MARECHAL CANDIDO RONDON','PR',20294,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2322889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,301,NULL,'HIGIENOPOLIS','SAO JOSE DO RIO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2322897,3.00,7.00,6.00,7.00,8.00,6.25,5.00,8.00,4.00,421,324,426,'CORREGO GRANDE','FLORIANOPOLIS','SC',4545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322900,3.00,5.00,3.00,2.00,6.00,5.25,4.00,5.00,1.00,207,213,201,'REVOREDO','TUBARAO','SC',18364,870,480,975,NULL,NULL,NULL,4,10),(15,2322919,3.00,2.00,1.00,0.00,0.00,NULL,1.00,2.00,0.00,425,319,424,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322927,3.00,3.00,2.00,2.00,3.00,NULL,1.00,2.00,1.00,310,309,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2322935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,316,NULL,'JD ALTO BOA VISTA','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2322943,5.00,6.00,0.00,6.00,6.00,4.75,5.00,4.00,1.00,319,329,NULL,'AGUA VERDE','CURITIBA','PR',15708,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2322951,3.00,7.00,0.00,0.00,4.00,NULL,4.00,4.00,2.00,103,444,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2322960,5.00,9.00,5.00,8.00,7.00,6.25,5.00,7.00,2.00,450,318,NULL,'BARREIROS','SAO JOSE','SC',4922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,428,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2322986,5.00,7.00,5.00,7.00,8.00,4.75,4.00,5.00,1.00,5,320,NULL,'ITACORUBI','FLORIANOPOLIS','SC',10387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2322994,6.00,8.00,4.00,5.00,6.00,4.50,6.00,8.00,4.00,213,316,201,'CENTRO','BRUSQUE','SC',6990,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2323001,4.00,6.00,3.00,5.00,4.00,5.50,5.00,6.00,3.00,5,303,NULL,'ITACORUBI','FLORIANOPOLIS','SC',12744,559,1187,NULL,NULL,NULL,NULL,2,1),(15,2323010,2.00,8.00,3.00,6.00,7.00,5.50,6.00,5.00,4.00,220,208,NULL,'JARDIM PLANUR','DUARTINA','SP',10205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323028,3.00,6.00,6.00,6.00,6.00,5.75,6.00,5.00,2.00,301,302,NULL,'SAO JOSE','SANTA MARIA','RS',10057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323036,5.00,8.00,5.00,2.00,5.00,6.00,5.00,5.00,4.00,211,304,233,'JD LEONOR CRISTINA','PIRASSUNUNGA','SP',10918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323044,3.00,7.00,5.00,7.00,7.00,6.00,6.00,6.00,3.00,108,331,NULL,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',7263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2323079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,211,201,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2323095,2.00,8.00,2.00,1.00,6.00,4.75,5.00,5.00,2.00,108,331,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',17686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323109,3.00,7.00,5.00,2.00,8.00,6.50,5.00,3.00,1.00,104,211,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',13656,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2323117,4.00,5.00,4.00,7.00,6.00,6.50,3.00,3.00,2.00,104,101,NULL,'CENTRO','LAGES','SC',14739,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2323125,3.00,6.00,1.00,4.00,8.00,3.75,3.00,4.00,1.00,319,301,NULL,'SERTÃO DO MARUIM','SAO JOSE','SC',18248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,208,238,'MOEMA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2323141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'BOM RETIRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2323150,4.00,7.00,6.00,7.00,5.00,6.50,7.00,7.00,4.00,233,450,207,'TRINDADE','FLORIANOPOLIS','SC',4842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,2,203,'JARDIM LIBERDADE II','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2323184,1.00,2.00,3.00,0.00,2.00,NULL,1.00,3.00,0.00,108,339,NULL,'BELA VISTA','CAXIAS DO SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323192,3.00,5.00,7.00,3.00,2.00,NULL,7.00,3.00,4.00,319,329,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,212,NULL,'BOA VISTA','RIO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2323214,1.00,6.00,2.00,6.00,6.00,5.75,3.00,5.00,2.00,207,420,233,'TRIÂNGULO','CARLOS BARBOSA','RS',16926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323222,4.00,7.00,3.00,7.00,7.00,6.00,5.00,5.00,3.00,333,234,NULL,'PONTA DE BAIXO','SAO JOSE','SC',9465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323249,3.00,7.00,4.00,5.00,5.00,5.00,3.00,7.00,2.00,320,327,NULL,'ESTREITO','FLORIANOPOLIS','SC',13877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,215,NULL,'SANTA TEREZINHA','PAULINIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2323281,2.00,7.00,3.00,8.00,4.00,5.00,5.00,8.00,3.00,425,320,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',11592,59,162,NULL,NULL,NULL,NULL,2,1),(15,2323290,6.00,7.00,3.00,4.00,5.00,4.25,5.00,6.00,4.00,103,201,NULL,'CENTRO','UNIAO DO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2323303,2.00,4.00,0.00,5.00,5.00,NULL,3.00,3.00,3.00,308,404,NULL,'NOSSA SRA DAS GRAÇA','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2323311,3.00,6.00,6.00,4.00,4.00,5.00,4.00,4.00,2.00,103,203,NULL,'NOSSA SENHORA DA SAL','CRICIUMA','SC',16268,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2323320,3.00,4.00,1.00,6.00,7.00,5.00,5.00,4.00,2.00,5,316,NULL,'N SRA DO ROSÁRIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2323338,2.00,5.00,5.00,2.00,5.00,4.75,6.00,4.00,5.00,203,220,214,'JARDIM BANDEIRANTES','CORNELIO PROCOPIO','PR',16082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323346,5.00,4.00,4.00,2.00,8.00,7.00,3.00,5.00,2.00,326,415,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,319,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2323362,0.00,4.00,0.00,5.00,5.00,4.25,2.00,4.00,2.00,333,9,NULL,'CENTRO','JACAREZINHO','PR',22362,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2323370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,108,NULL,'CENTRO','JARDIM ALEGRE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2323389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'ZONA SEIS','MARINGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2323397,3.00,2.00,3.00,6.00,7.00,6.00,4.00,4.00,1.00,207,420,215,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2323419,2.00,7.00,5.00,4.00,7.00,6.00,5.00,5.00,5.00,303,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2323427,3.00,4.00,2.00,3.00,4.00,4.50,3.00,2.00,4.00,203,212,214,'CENTRO','PALMA SOLA','SC',21949,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2323435,1.00,8.00,3.00,8.00,5.00,4.25,5.00,4.00,3.00,222,238,NULL,'SANTA LUCIA','CAPIVARI DE BAIXO','SC',14026,24,933,NULL,NULL,NULL,NULL,4,10),(15,2323443,8.00,8.00,7.00,7.00,7.00,7.00,9.00,7.00,7.00,103,319,NULL,'MONTE LIBANO','CAMPO GRANDE','MS',1122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2323451,1.00,6.00,3.00,2.00,4.00,3.25,3.00,4.00,2.00,327,329,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2323460,0.00,3.00,2.00,2.00,3.00,NULL,2.00,3.00,3.00,104,444,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2323478,3.00,7.00,4.00,7.00,6.00,5.00,3.00,6.00,2.00,220,NULL,213,'JARDIM ITÁLIA','CHAPECO','SC',13231,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2323486,2.00,4.00,4.00,7.00,9.00,7.00,3.00,5.00,2.00,303,301,NULL,'VENDAVAL','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2323494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,5,NULL,'JARDIM AMÉRICA','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2323508,2.00,5.00,2.00,3.00,5.00,6.50,1.00,2.00,2.00,316,317,NULL,'CENTRO','SAO MIGUEL DOESTE','SC',21631,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2323516,6.00,9.00,5.00,7.00,6.00,5.25,8.00,8.00,3.00,333,501,NULL,'ESTREITO','FLORIANOPOLIS','SC',3476,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2323524,3.00,5.00,3.00,2.00,5.00,4.00,3.00,5.00,2.00,201,420,212,'CENTRO','JOINVILLE','SC',19473,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2323532,3.00,5.00,4.00,7.00,5.00,4.25,7.00,6.00,2.00,415,NULL,NULL,'CENTRO','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323540,3.00,3.00,1.00,2.00,3.00,4.00,2.00,4.00,2.00,9,104,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',22453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323559,3.00,7.00,2.00,6.00,6.00,5.50,3.00,3.00,3.00,215,201,233,'CENTRO','SINOP','MT',12337,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2323567,1.00,2.00,3.00,1.00,4.00,NULL,3.00,4.00,1.00,201,427,207,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323575,2.00,5.00,2.00,1.00,5.00,5.00,3.00,4.00,2.00,316,208,NULL,'CAMPECHE','FLORIANOPOLIS','SC',21207,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2323583,3.00,7.00,2.00,5.00,6.00,3.75,2.00,4.00,2.00,104,319,NULL,'AREIAS','SAO JOSE','SC',17292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2323591,4.00,8.00,4.00,4.00,5.00,5.50,5.00,5.00,4.00,207,420,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323605,5.00,5.00,2.00,2.00,7.00,6.25,4.00,3.00,4.00,5,303,NULL,'ROÇADO','SAO JOSE','SC',15655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323613,2.00,3.00,0.00,2.00,5.00,NULL,1.00,2.00,1.00,415,NULL,NULL,'PETROPOLIS','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323621,2.00,5.00,4.00,3.00,5.00,6.00,4.00,5.00,3.00,316,301,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2323630,3.00,5.00,2.00,4.00,2.00,NULL,4.00,4.00,0.00,211,108,216,'URUSSANGUINHA','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2323648,1.00,5.00,5.00,4.00,3.00,NULL,0.00,0.00,0.00,444,404,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,3),(15,2323664,2.00,3.00,2.00,3.00,6.00,NULL,1.00,3.00,2.00,217,329,NULL,'VILA AREÃO','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323672,3.00,7.00,6.00,6.00,7.00,4.25,6.00,7.00,4.00,320,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',8549,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2323680,0.00,4.00,1.00,3.00,7.00,NULL,2.00,4.00,1.00,101,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2323699,7.00,7.00,6.00,6.00,9.00,5.25,9.00,7.00,6.00,103,NULL,NULL,'JARDIM ANA MARIA','JUNDIAI','SP',2096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323710,3.00,2.00,2.00,3.00,4.00,3.75,5.00,2.00,1.00,234,420,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',22333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323729,6.00,9.00,3.00,5.00,7.00,6.00,7.00,7.00,5.00,103,108,NULL,'VILA REAL','BALNEARIO CAMBORIU','SC',4553,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2323737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,320,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2323745,1.00,5.00,4.00,5.00,3.00,4.50,4.00,4.00,3.00,404,415,NULL,'CENTRO','SAO BENTO DO SUL','SC',19822,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2323753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,201,202,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2323761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO FRANSCISCO','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2323788,2.00,6.00,4.00,1.00,5.00,4.25,5.00,4.00,2.00,5,103,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323796,2.00,5.00,0.00,3.00,2.00,NULL,1.00,6.00,2.00,501,211,NULL,'CONTESTADO','JOACABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2323800,3.00,5.00,3.00,2.00,3.00,5.50,3.00,2.00,2.00,104,404,NULL,'BARREIROS','SAO JOSE','SC',22134,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2323818,1.00,6.00,5.00,0.00,5.00,4.00,2.00,5.00,2.00,404,444,NULL,'CENTRO','IBIRAMA','SC',20802,226,586,NULL,NULL,NULL,NULL,4,2),(15,2323826,3.00,5.00,1.00,4.00,7.00,4.50,3.00,7.00,4.00,102,NULL,NULL,'CENTRO','SAUDADES','SC',15105,326,NULL,NULL,NULL,NULL,NULL,4,4),(15,2323834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,9,NULL,'CENTRO','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2323842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'JARDIM EGEA','SANTO ANTONIO DA PLATINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2323850,4.00,5.00,6.00,4.00,8.00,5.50,9.00,5.00,4.00,211,215,201,'CENTRO','CASCAVEL','PR',7017,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2323869,2.00,5.00,4.00,5.00,5.00,4.00,2.00,2.00,1.00,234,444,NULL,'SANTA CECILIA','SAO PAULO','SP',19690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323877,2.00,6.00,3.00,2.00,5.00,6.25,5.00,3.00,1.00,207,501,211,'GAVEA','JACINTO MACHADO','SC',18521,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2323885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,415,NULL,'INDEPENDENCIA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2323893,4.00,3.00,1.00,1.00,5.00,NULL,2.00,6.00,0.00,326,331,NULL,'SERTÃO MARUIN','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323907,3.00,7.00,2.00,3.00,3.00,4.50,3.00,4.00,2.00,310,326,NULL,'PRAIA JOÃO ROSA','BIGUACU','SC',19889,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2323915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,310,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2323931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,329,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2323940,3.00,5.00,1.00,3.00,2.00,NULL,2.00,3.00,3.00,501,108,NULL,'CENTRO','ARAQUARI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2323958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,5,201,'BELA VISTA','SORRISO','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2323966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2323974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,301,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2323982,1.00,4.00,2.00,1.00,2.00,NULL,2.00,5.00,1.00,404,415,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2323990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,326,426,'JARDIM ROMA','PIRASSUNUNGA','SP',NULL,NULL,NULL,NULL,'S','S','S',3,1),(15,2324008,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,220,213,203,'SANTA LUSIA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2324016,3.00,6.00,3.00,1.00,4.00,6.75,3.00,5.00,1.00,444,404,NULL,'MEIA PRAIA','ITAPEMA','SC',18256,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2324024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,502,215,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2324032,1.00,4.00,4.00,0.00,5.00,5.75,3.00,4.00,3.00,104,9,NULL,'CENTRO','GUAPORE','RS',21046,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2324040,2.00,5.00,6.00,7.00,7.00,5.75,6.00,8.00,1.00,214,450,201,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2324059,3.00,6.00,5.00,4.00,6.00,4.50,4.00,5.00,2.00,103,104,NULL,'CENTRO','PASSO FUNDO','RS',13485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2324075,2.00,2.00,1.00,3.00,2.00,NULL,2.00,4.00,3.00,316,317,NULL,'EFAPI','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2324083,2.00,6.00,3.00,2.00,5.00,4.00,2.00,6.00,4.00,427,421,NULL,'NOSSA SRA DO ROSARIO','SAO JOSE','SC',19296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2324091,4.00,4.00,4.00,5.00,5.00,6.25,3.00,4.00,3.00,339,NULL,NULL,'KOBRASOL','SAO JOSE','SC',15698,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2324105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,319,NULL,'CRUZEIRO DO SUL','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2324113,1.00,3.00,0.00,2.00,2.00,NULL,0.00,0.00,2.00,420,444,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2324156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,404,NULL,'ABRAAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2324164,3.00,5.00,2.00,2.00,3.00,6.00,6.00,5.00,3.00,303,328,NULL,'CENTRO','SANTAREM','PA',17916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2324172,3.00,7.00,6.00,9.00,9.00,6.50,4.00,7.00,3.00,502,427,NULL,'CENTRO','FLORIANOPOLIS','SC',4109,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2324180,1.00,5.00,2.00,6.00,5.00,4.50,2.00,5.00,3.00,339,309,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',19047,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2324199,3.00,7.00,2.00,4.00,5.00,6.75,5.00,6.00,2.00,2,222,NULL,'TRINDADE','FLORIANOPOLIS','SC',13093,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2324202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,425,NULL,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2324210,1.00,4.00,2.00,4.00,4.00,5.00,2.00,3.00,5.00,201,212,211,'CENTRO','NAVEGANTES','SC',21165,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2324229,6.00,6.00,8.00,7.00,5.00,6.25,5.00,5.00,6.00,220,NULL,203,'ATUBA','CURITIBA','PR',5245,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2324237,1.00,2.00,4.00,5.00,3.00,4.00,2.00,5.00,2.00,304,444,NULL,'FORQUILHAS','SAO JOSE','SC',21580,217,601,NULL,NULL,NULL,NULL,2,1),(15,2324245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,304,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2324253,2.00,7.00,5.00,4.00,4.00,0.00,3.00,6.00,2.00,423,339,429,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2324261,1.00,6.00,4.00,6.00,8.00,6.50,2.00,7.00,4.00,327,428,NULL,'JARDIM JANAÍNA','BIGUACU','SC',12082,55,191,NULL,NULL,NULL,NULL,2,1),(15,2324270,2.00,3.00,1.00,1.00,2.00,NULL,1.00,3.00,2.00,501,303,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2324288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,424,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(15,2324296,7.00,6.00,6.00,6.00,8.00,0.00,7.00,6.00,5.00,303,104,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2324300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,320,NULL,'VILA CLEMENTINO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2324318,3.00,6.00,3.00,5.00,5.00,4.25,4.00,4.00,2.00,317,404,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',17233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2324326,4.00,4.00,2.00,7.00,6.00,6.75,1.00,2.00,2.00,211,225,215,'CENTRO','SALTO VELOSO','SC',18207,634,176,362,NULL,NULL,NULL,2,7),(15,2324334,1.00,5.00,4.00,8.00,5.00,5.00,3.00,5.00,3.00,502,501,NULL,'SALTO','SALTO VELOSO','SC',14629,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2324350,3.00,5.00,0.00,4.00,6.00,5.25,4.00,2.00,4.00,501,213,NULL,'ESTREITO','FLORIANOPOLIS','SC',19184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2324369,3.00,5.00,1.00,5.00,6.00,4.00,5.00,5.00,2.00,207,NULL,201,'LOTE SEIS','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2324377,3.00,7.00,3.00,4.00,6.00,5.25,7.00,4.00,3.00,333,NULL,NULL,'CAMBUCI','SAO PAULO','SP',11718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2324385,8.00,9.00,6.00,8.00,7.00,5.50,9.00,9.00,8.00,320,327,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2324393,2.00,6.00,5.00,7.00,8.00,5.75,7.00,5.00,5.00,211,213,233,'JARDIM DOS ESTADOS','CAMPO GRANDE','MS',5837,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2324407,0.00,0.00,0.00,1.00,0.00,NULL,0.00,0.00,0.00,324,309,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2324415,4.00,6.00,7.00,8.00,7.00,5.75,7.00,3.00,6.00,103,214,NULL,'VILA LEA','SANTO ANDRE','SP',4773,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2324423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'SANTANA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2324431,2.00,7.00,4.00,6.00,4.00,7.00,5.00,6.00,2.00,216,2,208,'CENTRO','DOUTOR PEDRINHO','SC',12736,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2324440,4.00,6.00,7.00,3.00,7.00,6.25,5.00,4.00,3.00,201,212,213,'CENTRO','CORUMBA','MS',10107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2324458,3.00,5.00,1.00,1.00,7.00,4.00,3.00,4.00,1.00,5,103,NULL,'CENTRO','FLORIANOPOLIS','SC',21238,874,3276,NULL,NULL,NULL,NULL,4,1),(15,2324466,3.00,5.00,3.00,4.00,4.00,5.25,2.00,4.00,1.00,420,207,NULL,'CENTRO','FLORIANOPOLIS','SC',20150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2324474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2324482,2.00,5.00,1.00,2.00,4.00,5.25,4.00,6.00,2.00,201,224,NULL,'RIOZINHO','VIDAL RAMOS','SC',20275,1058,290,NULL,NULL,NULL,NULL,2,2),(15,2324490,7.00,8.00,9.00,5.00,6.00,5.75,6.00,5.00,4.00,333,108,NULL,'CENTRO','APUCARANA','PR',4670,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2324504,7.00,7.00,8.00,6.00,9.00,4.50,7.00,8.00,5.00,5,302,NULL,'CENTRO','CRICIUMA','SC',2321,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2324512,2.00,5.00,1.00,3.00,4.00,NULL,0.00,3.00,1.00,308,101,NULL,'GUARDA','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2324520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,404,NULL,'PADRE MARTINHO STEIN','TIMBO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2324539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,404,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2324547,3.00,5.00,4.00,3.00,7.00,6.75,4.00,2.00,1.00,101,104,NULL,'CENTRO','LAGOA VERMELHA','RS',17078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2324555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,202,208,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2324571,4.00,6.00,0.00,6.00,8.00,NULL,2.00,5.00,2.00,319,421,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2324598,2.00,5.00,1.00,0.00,1.00,NULL,4.00,5.00,2.00,103,303,NULL,'CENTRO','SAUDADES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2324601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,225,212,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2324610,3.00,8.00,5.00,4.00,6.00,4.50,8.00,6.00,4.00,202,212,216,'PONTA DA PRAIA','SANTOS','SP',8547,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(15,2324628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,329,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2324636,3.00,7.00,5.00,5.00,7.00,5.00,3.00,5.00,4.00,103,207,NULL,'CENTRO','CLEVELANDIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2324644,3.00,6.00,3.00,6.00,4.00,6.00,5.00,8.00,3.00,333,234,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',11283,142,187,NULL,NULL,NULL,NULL,2,1),(15,2324652,3.00,6.00,4.00,3.00,1.00,NULL,7.00,4.00,5.00,303,201,NULL,'DEHON','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2324679,0.00,2.00,2.00,2.00,3.00,NULL,2.00,2.00,1.00,103,104,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2324687,1.00,7.00,1.00,5.00,9.00,5.25,4.00,6.00,3.00,211,333,207,'SÃO JOSÉ','FRAIBURGO','SC',13576,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2324695,0.00,3.00,0.00,5.00,2.00,NULL,1.00,3.00,2.00,333,444,NULL,'SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2324709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,102,NULL,'CENTRO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2324717,0.00,2.00,0.00,0.00,1.00,NULL,2.00,3.00,1.00,303,415,NULL,'FAZENDA DO MAX','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2324725,1.00,6.00,1.00,7.00,4.00,6.25,2.00,4.00,3.00,215,332,207,'CORAL','LAGES','SC',17623,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2324733,5.00,6.00,1.00,7.00,5.00,5.50,7.00,7.00,5.00,501,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',9014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2324741,5.00,9.00,9.00,1.00,6.00,4.50,7.00,6.00,3.00,103,333,NULL,'BIGORRILHO','CURITIBA','PR',7029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2324768,4.00,7.00,5.00,6.00,5.00,5.50,7.00,7.00,3.00,420,207,NULL,'BOM RETIRO','BLUMENAU','SC',8187,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2324784,3.00,6.00,7.00,4.00,5.00,5.00,4.00,4.00,5.00,103,104,NULL,'CENTRO','ITAJAI','SC',11909,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2324792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2324806,4.00,5.00,3.00,3.00,6.00,0.00,2.00,6.00,3.00,208,420,238,'JARDIM ALVORADA','MARECHAL CANDIDO RONDON','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2324814,1.00,5.00,1.00,2.00,3.00,5.25,2.00,4.00,5.00,215,450,211,'RAICHASKI','ICARA','SC',21611,420,362,741,NULL,NULL,NULL,2,5),(15,2324822,1.00,4.00,3.00,1.00,5.00,NULL,3.00,3.00,1.00,104,502,NULL,'RESIDENCIAL FLORA','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2324830,0.00,5.00,1.00,3.00,2.00,NULL,2.00,2.00,1.00,301,303,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2324849,4.00,5.00,2.00,5.00,7.00,4.75,3.00,6.00,2.00,216,420,207,'CENTRO SUL','DOIS VIZINHOS','PR',14788,428,755,713,NULL,NULL,NULL,2,4),(15,2324857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','LAGOA VERMELHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2324865,2.00,3.00,1.00,7.00,3.00,6.00,2.00,3.00,1.00,415,319,NULL,'JARDIM ITALIA','CHAPECO','SC',21382,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2324873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,420,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2324881,0.00,4.00,4.00,2.00,3.00,0.00,4.00,3.00,3.00,233,217,NULL,'JD MACARENGO','SAO CARLOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2324890,1.00,5.00,8.00,5.00,6.00,6.25,5.00,6.00,4.00,216,NULL,203,'BOA VISTA','CANOINHAS','SC',9736,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2324903,4.00,4.00,2.00,4.00,3.00,0.00,1.00,2.00,1.00,404,339,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2324911,5.00,6.00,2.00,3.00,5.00,6.00,1.00,4.00,2.00,207,324,201,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2324920,4.00,7.00,1.00,9.00,7.00,6.75,5.00,6.00,2.00,308,339,NULL,'FORQUILHINHAS','SAO JOSE','SC',9258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2324938,4.00,6.00,8.00,4.00,6.00,7.50,8.00,6.00,4.00,103,233,NULL,'PARQUE FABER','SAO CARLOS','SP',4167,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2324954,5.00,6.00,5.00,6.00,6.00,4.75,4.00,6.00,3.00,303,104,NULL,'FREGUESIA DO Ó','SAO PAULO','SP',10134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2324962,3.00,6.00,3.00,3.00,3.00,5.50,4.00,5.00,1.00,333,108,NULL,'CENTRO','TAPEJARA','RS',18448,316,893,NULL,NULL,NULL,NULL,4,7),(15,2324970,2.00,4.00,0.00,2.00,5.00,5.00,2.00,4.00,1.00,415,309,NULL,'STO ANTONIO LISBOA','FLORIANOPOLIS','SC',22345,563,258,NULL,NULL,NULL,NULL,2,1),(15,2324997,4.00,8.00,0.00,7.00,7.00,6.00,4.00,4.00,5.00,101,332,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',10480,68,211,NULL,NULL,NULL,NULL,2,1),(15,2325004,3.00,5.00,4.00,1.00,5.00,4.00,5.00,6.00,3.00,329,451,NULL,'PÂNTANO DO SUL','FLORIANOPOLIS','SC',17063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325012,3.00,6.00,4.00,7.00,5.00,6.50,3.00,3.00,3.00,451,316,NULL,'JOSE MENDES','FLORIANOPOLIS','SC',14990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2325020,2.00,7.00,2.00,2.00,1.00,NULL,2.00,8.00,1.00,303,444,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325039,2.00,3.00,3.00,3.00,5.00,4.25,2.00,5.00,1.00,304,404,NULL,'SÃO LUIZ','SOMBRIO','SC',21847,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2325047,3.00,4.00,1.00,3.00,6.00,4.00,5.00,4.00,2.00,234,339,NULL,'COQUEIROS','FLORIANOPOLIS','SC',20033,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2325063,2.00,7.00,3.00,0.00,5.00,4.50,3.00,2.00,1.00,303,103,NULL,'VILA FLOR','CAPIVARI DE BAIXO','SC',22167,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2325071,4.00,5.00,3.00,4.00,6.00,6.00,3.00,4.00,1.00,207,201,211,'CENTRO','TAPEJARA','RS',17418,834,1371,608,NULL,NULL,NULL,4,7),(15,2325080,0.00,8.00,6.00,2.00,5.00,5.50,2.00,5.00,3.00,238,207,201,'SANTA CATARINA','JOINVILLE','SC',17717,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2325098,6.00,8.00,5.00,8.00,5.00,4.00,5.00,5.00,4.00,103,324,NULL,'ROÇADO','SAO JOSE','SC',7461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325101,2.00,6.00,3.00,4.00,4.00,6.50,5.00,4.00,2.00,207,NULL,201,'LOTE SEIS','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2325110,3.00,4.00,3.00,5.00,4.00,4.50,4.00,4.00,2.00,103,420,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2325128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,333,NULL,'PINHEIRA','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2325136,2.00,8.00,6.00,5.00,4.00,6.00,4.00,5.00,1.00,317,302,NULL,'CENTRO','LONDRINA','PR',12789,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2325144,4.00,7.00,5.00,9.00,9.00,6.25,6.00,6.00,4.00,326,327,NULL,'VILA COSTA','SUZANO','SP',3812,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2325152,0.00,1.00,2.00,2.00,3.00,NULL,2.00,0.00,1.00,404,444,NULL,'CENTENARIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2325160,3.00,8.00,2.00,2.00,6.00,5.00,3.00,3.00,4.00,211,327,233,'TRINDADE','FLORIANOPOLIS','SC',17965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325179,1.00,2.00,0.00,1.00,3.00,NULL,2.00,2.00,3.00,102,NULL,NULL,'MORADA DO SOL','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2325187,0.00,3.00,1.00,1.00,5.00,NULL,2.00,4.00,0.00,428,328,424,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325195,1.00,5.00,2.00,0.00,5.00,3.75,3.00,4.00,3.00,220,NULL,203,'TIROLEZA','TRAMANDAI','RS',22085,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2325209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,450,426,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2325217,3.00,2.00,3.00,4.00,5.00,5.25,3.00,4.00,2.00,308,451,NULL,'CENTRO','FLORIANOPOLIS','SC',20580,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2325225,3.00,6.00,5.00,3.00,3.00,5.50,3.00,3.00,3.00,217,2,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',18770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,332,NULL,'CABEÇUDAS','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2325241,3.00,4.00,1.00,3.00,6.00,3.50,3.00,4.00,2.00,320,426,NULL,'NSA SRA DO ROSARIO','SAO JOSE','SC',21270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325250,4.00,4.00,3.00,2.00,4.00,5.25,2.00,3.00,3.00,427,451,425,'CENTRO','CAXIAS DO SUL','RS',20457,86,287,181,NULL,NULL,NULL,4,1),(15,2325268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2325276,5.00,5.00,5.00,7.00,5.00,5.50,8.00,3.00,5.00,208,NULL,NULL,'JARDIM BRASIL','SAO CARLOS','SP',9113,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2325284,4.00,5.00,0.00,0.00,5.00,3.00,4.00,5.00,4.00,5,324,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325292,1.00,5.00,1.00,6.00,5.00,5.00,3.00,2.00,4.00,103,104,NULL,'CENTRO','LAGES','SC',20291,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2325314,3.00,6.00,3.00,5.00,6.00,5.75,3.00,6.00,3.00,309,308,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',13211,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2325322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2325330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PARQUE CAMPOLIM','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2325357,2.00,5.00,2.00,4.00,2.00,NULL,4.00,5.00,2.00,301,324,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2325365,1.00,7.00,2.00,8.00,6.00,6.25,4.00,6.00,4.00,420,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',11148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,214,212,'JARDIM GUANABARA','RIO DE JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2325381,2.00,4.00,4.00,1.00,5.00,7.25,3.00,4.00,3.00,238,316,208,'CAMPINAS','SAO JOSE','SC',18200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325403,4.00,8.00,7.00,8.00,7.00,7.50,8.00,7.00,4.00,238,318,208,'CANTO DA LAGOA','FLORIANOPOLIS','SC',2589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325411,4.00,6.00,7.00,6.00,9.00,4.50,6.00,6.00,2.00,316,420,NULL,'CANTA GALO','RIO DO SUL','SC',7031,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2325420,2.00,5.00,1.00,3.00,3.00,4.75,3.00,3.00,0.00,9,319,NULL,'ESTIVA','TAUBATE','SP',22331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325438,2.00,8.00,2.00,3.00,4.00,4.00,3.00,7.00,3.00,103,333,NULL,'EFAPI','CHAPECO','SC',18056,2870,923,NULL,NULL,NULL,NULL,2,4),(15,2325454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,301,NULL,'SÃO JOÃO DO RIO VERM','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2325462,2.00,8.00,5.00,3.00,3.00,4.75,5.00,3.00,2.00,108,326,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',17175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325489,4.00,6.00,3.00,9.00,6.00,6.75,5.00,7.00,3.00,501,326,NULL,'ITACORUBI','FLORIANOPOLIS','SC',7647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325497,4.00,5.00,3.00,5.00,5.00,5.25,4.00,3.00,1.00,301,333,NULL,'SUMARÉ','RIO DO SUL','SC',17308,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2325500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2325519,0.00,5.00,1.00,1.00,3.00,3.50,3.00,6.00,1.00,415,333,NULL,'CENTRO','SAO JOAO DO SUL','SC',22476,569,1091,NULL,NULL,NULL,NULL,4,5),(15,2325535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,420,NULL,'ITAGUACU','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2325543,4.00,6.00,2.00,8.00,4.00,5.25,5.00,4.00,3.00,404,339,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',12674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2325551,2.00,6.00,6.00,8.00,6.00,6.00,8.00,6.00,4.00,201,207,212,'CENTRO','BLUMENAU','SC',5888,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2325560,2.00,5.00,3.00,3.00,4.00,4.00,4.00,3.00,3.00,203,NULL,NULL,'IRIRIU','JOINVILLE','SC',20592,1162,NULL,NULL,NULL,NULL,NULL,2,8),(15,2325578,2.00,6.00,3.00,9.00,6.00,5.00,5.00,7.00,2.00,301,304,NULL,'QUINTINO','TIMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2325586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2325594,3.00,8.00,4.00,5.00,6.00,5.00,4.00,5.00,1.00,201,233,211,'CORREGO GRANDE','FLORIANOPOLIS','SC',12983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325608,4.00,7.00,1.00,3.00,5.00,4.50,4.00,7.00,2.00,316,5,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',17057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325616,4.00,6.00,3.00,6.00,6.00,5.00,6.00,5.00,3.00,216,217,208,'CENTRO','FLORIANOPOLIS','SC',9048,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2325624,2.00,3.00,0.00,2.00,4.00,NULL,3.00,0.00,2.00,238,102,NULL,'ROCADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325632,1.00,2.00,1.00,0.00,2.00,NULL,3.00,3.00,1.00,444,208,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325640,2.00,3.00,1.00,5.00,4.00,4.50,6.00,4.00,4.00,5,303,NULL,'CENTRO','NOVA ERECHIM','SC',18691,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2325659,3.00,3.00,5.00,5.00,5.00,5.50,4.00,5.00,2.00,420,423,NULL,'BARREIROS','SAO JOSE','SC',16212,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2325667,4.00,3.00,2.00,2.00,1.00,NULL,1.00,6.00,2.00,101,201,NULL,'SANTACRUZDAFIGUEIRA','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2325675,3.00,7.00,2.00,7.00,4.00,6.50,4.00,5.00,5.00,310,333,NULL,'CENTRO','LAJEADO','RS',12438,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2325683,3.00,6.00,4.00,5.00,6.00,7.00,3.00,6.00,1.00,425,332,429,'CAPIVARI INGLESES','FLORIANOPOLIS','SC',14617,100,249,80,NULL,NULL,NULL,4,1),(15,2325691,1.00,6.00,3.00,2.00,4.00,5.00,2.00,3.00,3.00,220,202,NULL,'CAMPECHE','FLORIANOPOLIS','SC',21506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325713,5.00,7.00,4.00,3.00,6.00,4.75,6.00,5.00,5.00,333,211,NULL,'JOSE MENINO','SANTOS','SP',9730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2325721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,331,NULL,'ASA NORTE','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2325730,0.00,5.00,2.00,3.00,4.00,5.75,3.00,2.00,2.00,319,415,NULL,'SÃO MIGUEL','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2325748,2.00,7.00,0.00,2.00,3.00,NULL,3.00,1.00,1.00,208,502,238,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2325756,6.00,5.00,4.00,9.00,7.00,5.00,6.00,7.00,3.00,303,5,NULL,'JARDINS VIENA','APARECIDA DE GOIANIA','GO',6912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,5,NULL,'VILA PAIVA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2325772,2.00,3.00,2.00,2.00,3.00,NULL,2.00,2.00,1.00,339,9,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2325780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'CENTRO','RIO DO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2325799,3.00,7.00,1.00,7.00,6.00,5.25,3.00,4.00,2.00,103,101,NULL,'CENTRO','RIO DOS CEDROS','SC',13527,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2325802,4.00,7.00,0.00,4.00,8.00,4.75,2.00,7.00,1.00,320,425,NULL,'JARDIM IRIRIÚ','JOINVILLE','SC',15453,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2325810,4.00,7.00,7.00,6.00,6.00,5.50,5.00,4.00,4.00,301,444,NULL,'LARGO DA PRAIA','TIETE','SP',8447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,216,214,'VILA MOEMA','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2325837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,108,NULL,'VILA A DE ITAIPU','FOZ DO IGUACU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2325861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,415,NULL,'ALDO ARIOLI','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2325870,4.00,5.00,5.00,9.00,5.00,7.00,5.00,7.00,3.00,423,303,425,'TRINDADE','FLORIANOPOLIS','SC',7492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,208,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2325896,2.00,4.00,3.00,3.00,5.00,5.25,4.00,3.00,2.00,301,234,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',19558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2325900,2.00,4.00,3.00,5.00,5.00,3.75,5.00,5.00,4.00,302,223,NULL,'CENTRO','SAO BONIFACIO','SC',16599,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2325918,1.00,6.00,3.00,4.00,6.00,4.25,1.00,3.00,2.00,501,427,NULL,'FRANCISCA CREMONINI','NOVA ERECHIM','SC',20038,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2325926,1.00,4.00,1.00,3.00,6.00,NULL,3.00,2.00,0.00,207,328,NULL,'JARDIM ARAUCARIA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325934,8.00,7.00,7.00,7.00,7.00,5.25,7.00,6.00,4.00,103,207,NULL,'CENTRO','IJUI','RS',4099,1256,1077,NULL,NULL,NULL,NULL,2,1),(15,2325950,2.00,5.00,3.00,2.00,4.00,2.00,3.00,2.00,2.00,5,404,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325969,3.00,8.00,5.00,6.00,5.00,5.00,3.00,5.00,2.00,444,302,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2325977,0.00,2.00,0.00,3.00,5.00,NULL,2.00,2.00,1.00,215,304,216,'FLORESTAN FERNANDES','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2325985,4.00,6.00,0.00,6.00,7.00,5.00,3.00,4.00,3.00,303,9,NULL,'BELA VISTA','SAO JOSE','SC',15104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326000,0.00,4.00,3.00,6.00,4.00,NULL,0.00,0.00,0.00,303,450,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2326019,1.00,5.00,1.00,1.00,6.00,6.50,5.00,3.00,3.00,9,104,NULL,'CENTRO','CAMPO BELO DO SUL','SC',19134,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2326027,1.00,7.00,3.00,4.00,6.00,6.50,3.00,6.00,1.00,415,339,NULL,'CENTRO','FLORIANOPOLIS','SC',16180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,215,NULL,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2326043,3.00,7.00,5.00,1.00,4.00,5.25,3.00,4.00,7.00,5,NULL,NULL,'BOSQUE DAS MANSÕES','SAO JOSE','SC',13436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,316,NULL,'CENTRO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2326060,3.00,8.00,2.00,8.00,6.00,6.50,5.00,7.00,3.00,319,102,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',9136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326078,0.00,4.00,1.00,4.00,6.00,4.75,5.00,4.00,3.00,319,404,NULL,'BARREIROS','SAO JOSE','SC',19719,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326094,0.00,7.00,1.00,7.00,7.00,7.00,5.00,6.00,2.00,234,211,NULL,'CENTRO','SANTA MARIA','RS',12186,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326108,8.00,8.00,8.00,8.00,9.00,6.50,8.00,8.00,7.00,103,319,NULL,'ASILO','BLUMENAU','SC',409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326116,0.00,0.00,0.00,7.00,7.00,NULL,1.00,3.00,1.00,425,427,423,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326124,2.00,6.00,3.00,5.00,5.00,4.50,4.00,6.00,2.00,5,423,NULL,'ITACORUBI','FLORIANOPOLIS','SC',17431,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326132,5.00,7.00,5.00,6.00,7.00,7.00,7.00,6.00,3.00,103,502,NULL,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',6583,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326140,0.00,3.00,1.00,4.00,4.00,NULL,2.00,2.00,1.00,450,NULL,NULL,'VALPARAISO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2326167,0.00,2.00,2.00,1.00,2.00,NULL,1.00,1.00,2.00,207,415,NULL,'PONTAL','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326175,3.00,4.00,2.00,3.00,4.00,5.50,1.00,4.00,2.00,425,429,423,'BARREIROS','SAO JOSE','SC',21758,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326183,2.00,5.00,1.00,2.00,5.00,5.00,2.00,5.00,3.00,444,415,NULL,'SUMARE','SAO PAULO','SP',21146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326191,7.00,7.00,7.00,7.00,8.00,4.75,8.00,7.00,4.00,103,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',3542,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2326205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JARDIM DA GLÓRIA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2326213,2.00,5.00,2.00,2.00,7.00,4.00,5.00,3.00,2.00,211,339,215,'SACOS DOS LIMOES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326221,4.00,4.00,2.00,5.00,7.00,5.00,5.00,6.00,3.00,9,215,NULL,'CENTRO','LAGES','SC',13648,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2326230,2.00,5.00,3.00,3.00,7.00,5.00,7.00,2.00,1.00,316,318,NULL,'FAZEND SANTO ANTONIO','SAO JOSE','SC',18535,542,497,NULL,NULL,NULL,NULL,2,1),(15,2326264,2.00,8.00,4.00,8.00,5.00,5.50,6.00,5.00,5.00,211,225,201,'CENTRO','JARAGUA DO SUL','SC',8956,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2326272,3.00,3.00,3.00,2.00,5.00,4.25,2.00,3.00,3.00,303,415,NULL,'COQUEIROS','FLORIANOPOLIS','SC',21666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326280,3.00,6.00,4.00,3.00,4.00,6.00,3.00,2.00,4.00,211,108,215,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2326299,3.00,7.00,7.00,6.00,6.00,6.00,8.00,5.00,4.00,9,215,NULL,'HIGIENÓPOLIS','PORTO ALEGRE','RS',6314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326302,3.00,5.00,3.00,4.00,7.00,4.00,4.00,4.00,4.00,101,9,NULL,'JARDIM SATELITE','SAO JOSE DOS CAMPOS','SP',15975,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2326310,1.00,5.00,3.00,7.00,4.00,4.75,4.00,7.00,2.00,327,426,NULL,'SANTO ANJO','SANTO AMARO DA IMPERATRIZ','SC',15753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326329,2.00,4.00,0.00,0.00,4.00,NULL,3.00,6.00,4.00,9,103,NULL,'SÃO CRISTOVÃO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326337,2.00,6.00,2.00,5.00,3.00,4.00,3.00,2.00,4.00,202,233,201,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326345,2.00,4.00,2.00,1.00,5.00,4.00,3.00,3.00,1.00,319,309,NULL,'ALTO RIBEIRÃO','FLORIANOPOLIS','SC',22430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326361,2.00,6.00,3.00,4.00,2.00,NULL,3.00,3.00,2.00,316,308,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326370,3.00,3.00,2.00,3.00,3.00,7.00,3.00,4.00,2.00,426,339,428,'CENTRO','TIJUCAS','SC',20267,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326388,2.00,4.00,3.00,3.00,6.00,5.50,3.00,1.00,2.00,444,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',21144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326396,2.00,7.00,1.00,5.00,3.00,3.50,4.00,4.00,2.00,451,207,NULL,'CENTRO','GAROPABA','SC',20065,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,5,NULL,'SETOR BUENO','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2326418,3.00,3.00,3.00,0.00,7.00,6.00,3.00,3.00,4.00,333,502,NULL,'VILA NOVA','BLUMENAU','SC',19021,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2326426,0.00,3.00,3.00,4.00,3.00,1.00,3.00,4.00,5.00,104,301,NULL,'SAO JOSÉ','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326434,2.00,4.00,4.00,4.00,5.00,4.50,5.00,4.00,2.00,5,333,NULL,'JURERE INTERNACIONAL','FLORIANOPOLIS','SC',18826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326442,0.00,5.00,0.00,7.00,5.00,NULL,3.00,3.00,4.00,238,451,203,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326450,3.00,3.00,0.00,4.00,6.00,4.75,5.00,3.00,3.00,104,102,NULL,'CENTRO','TUBARAO','SC',19211,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2326469,4.00,7.00,1.00,5.00,6.00,4.50,4.00,5.00,2.00,104,9,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',16561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326477,2.00,5.00,1.00,3.00,5.00,6.75,6.00,3.00,2.00,103,104,NULL,'UNIVERSITARIO','CHAPECO','SC',18386,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2326485,3.00,6.00,4.00,4.00,3.00,4.50,4.00,3.00,1.00,420,415,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2326493,1.00,4.00,1.00,1.00,3.00,NULL,1.00,2.00,2.00,327,424,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,318,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2326515,5.00,6.00,8.00,4.00,7.00,7.75,5.00,7.00,4.00,103,101,NULL,'PETROPOLIS','JOINVILLE','SC',5162,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2326523,5.00,7.00,6.00,8.00,7.00,5.00,6.00,6.00,3.00,220,203,202,'IRIRIU','JOINVILLE','SC',5720,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2326531,3.00,7.00,6.00,6.00,9.00,6.25,4.00,7.00,2.00,103,319,NULL,'CENTRO','CURITIBA','PR',7254,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2326540,5.00,7.00,5.00,7.00,7.00,3.50,6.00,6.00,2.00,203,214,NULL,'CENTRO','SANTA MARIA','RS',8590,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2326558,3.00,6.00,5.00,1.00,7.00,5.00,4.00,4.00,2.00,104,319,NULL,'CASCATA VERMELHA','JAGUARUNA','SC',16153,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2326566,4.00,8.00,6.00,4.00,6.00,4.50,4.00,5.00,4.00,207,212,201,'CENTRO','URUSSANGA','SC',11908,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2326574,2.00,4.00,4.00,0.00,4.00,NULL,2.00,2.00,2.00,301,316,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326582,1.00,7.00,4.00,6.00,4.00,6.00,3.00,4.00,4.00,207,319,201,'NOSSA SRA DE LOURDES','DOIS VIZINHOS','PR',15734,764,817,839,NULL,NULL,NULL,2,4),(15,2326604,6.00,8.00,1.00,6.00,5.00,4.75,3.00,3.00,3.00,108,333,NULL,'VILA OPERÁRIA','MARINGA','PR',12945,282,761,NULL,NULL,NULL,NULL,2,3),(15,2326612,1.00,3.00,1.00,5.00,3.00,4.50,3.00,4.00,5.00,303,333,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',21584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,201,NULL,'CENTRO','DIONISIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2326639,2.00,3.00,2.00,5.00,6.00,5.50,0.00,5.00,4.00,303,207,NULL,'ALTO BONITO','CACADOR','SC',19948,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2326647,3.00,5.00,3.00,7.00,4.00,4.25,1.00,4.00,1.00,304,303,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,234,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2326663,4.00,5.00,2.00,9.00,7.00,7.50,4.00,6.00,3.00,425,320,427,'PANTANAL','FLORIANOPOLIS','SC',7903,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326698,2.00,7.00,2.00,5.00,4.00,5.50,3.00,7.00,2.00,333,310,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',16928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,101,207,'PATRONATO','SANTA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2326710,3.00,7.00,5.00,3.00,6.00,4.75,4.00,5.00,2.00,318,234,NULL,'FUNDOS','BIGUACU','SC',14473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326728,1.00,6.00,1.00,6.00,5.00,5.00,1.00,4.00,2.00,329,225,NULL,'ESTREITO','FLORIANOPOLIS','SC',19900,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,451,NULL,'JARDIM ANCHIETA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2326760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,217,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2326779,3.00,5.00,1.00,4.00,2.00,NULL,1.00,0.00,2.00,317,224,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326787,2.00,4.00,1.00,1.00,2.00,NULL,5.00,5.00,2.00,234,NULL,NULL,'JD SANTO ANTONIO','CACAPAVA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326795,0.00,6.00,5.00,4.00,7.00,NULL,5.00,3.00,4.00,208,214,238,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,201,213,'SANTA RITA','PAULO LOPES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2326825,2.00,6.00,1.00,0.00,6.00,4.50,4.00,5.00,2.00,333,420,NULL,'JD PRIMAVERA','ROSEIRA','SP',19865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326833,2.00,5.00,3.00,5.00,4.00,6.50,2.00,5.00,4.00,5,303,NULL,'CENTRO','SEARA','SC',16735,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2326841,1.00,3.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,309,310,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2326850,3.00,6.00,3.00,6.00,5.00,4.50,6.00,4.00,4.00,108,203,NULL,'CENTRO','FLORIANOPOLIS','SC',13138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326868,0.00,7.00,2.00,0.00,1.00,NULL,5.00,5.00,2.00,103,207,NULL,'BATES','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2326884,5.00,7.00,4.00,9.00,6.00,4.25,4.00,6.00,5.00,203,217,202,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326892,4.00,6.00,6.00,5.00,8.00,5.25,7.00,6.00,3.00,5,324,NULL,'ABRAÃO','FLORIANOPOLIS','SC',7354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326906,0.00,5.00,1.00,2.00,4.00,4.00,3.00,2.00,4.00,444,NULL,NULL,'ABRAÃO','FLORIANOPOLIS','SC',22511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326914,2.00,8.00,3.00,5.00,4.00,5.50,3.00,7.00,4.00,301,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',12937,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2326930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,9,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2326965,4.00,7.00,4.00,6.00,5.00,6.00,4.00,3.00,4.00,318,425,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',12752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2326973,3.00,5.00,4.00,6.00,6.00,4.75,4.00,3.00,3.00,207,303,201,'CENTRO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2326981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,214,211,'PENDOTIBA','NITEROI','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2326990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,103,NULL,'CENTRO','PONTA PORA','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2327007,2.00,7.00,0.00,6.00,8.00,5.00,1.00,5.00,1.00,451,426,NULL,'ITACORUBI','FLORIANOPOLIS','SC',18006,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2327015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,318,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2327023,2.00,6.00,5.00,6.00,5.00,6.75,4.00,5.00,3.00,327,317,NULL,'CENTRO','TIJUCAS','SC',11425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327031,6.00,6.00,4.00,8.00,8.00,6.25,4.00,7.00,2.00,415,429,NULL,'CENTRO','FLORIANOPOLIS','SC',6774,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2327040,3.00,7.00,2.00,7.00,8.00,6.00,3.00,7.00,3.00,303,5,NULL,'CENTRO','FLORIANOPOLIS','SC',10322,543,1142,NULL,NULL,NULL,NULL,4,1),(15,2327074,3.00,7.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,103,101,NULL,'SÃO VICENTE','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,6),(15,2327082,4.00,4.00,2.00,1.00,5.00,6.25,2.00,3.00,3.00,5,424,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',19882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327090,1.00,8.00,3.00,4.00,5.00,5.00,4.00,5.00,3.00,5,425,NULL,'JURERÊ','FLORIANOPOLIS','SC',16340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327104,1.00,6.00,4.00,0.00,2.00,NULL,3.00,6.00,3.00,316,301,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327112,4.00,8.00,4.00,9.00,5.00,6.00,4.00,5.00,1.00,420,NULL,NULL,'COQUEIROS','FLORIANOPOLIS','SC',9537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327120,3.00,2.00,1.00,2.00,5.00,NULL,4.00,2.00,1.00,420,450,NULL,'BNH BARÃO II','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327139,3.00,5.00,4.00,7.00,7.00,5.25,6.00,4.00,3.00,425,421,424,'ATIBAIA JARDIM','ATIBAIA','SP',11770,61,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327147,2.00,4.00,2.00,0.00,2.00,NULL,1.00,3.00,5.00,303,301,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327155,1.00,7.00,1.00,5.00,8.00,5.25,5.00,6.00,1.00,102,108,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',16120,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2327163,1.00,1.00,3.00,5.00,4.00,5.50,2.00,4.00,2.00,207,9,NULL,'CENTRO','JOACABA','SC',21427,1004,740,NULL,NULL,NULL,NULL,2,7),(15,2327171,2.00,4.00,2.00,0.00,3.00,NULL,4.00,2.00,2.00,415,332,NULL,'ÍPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'BONSUCESSO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2327198,3.00,5.00,2.00,1.00,5.00,3.50,4.00,3.00,2.00,213,203,202,'SANTA MARIA','ANTONIO CARLOS','SC',21260,339,1456,698,NULL,NULL,NULL,4,1),(15,2327201,4.00,6.00,7.00,7.00,8.00,6.00,8.00,6.00,5.00,102,420,NULL,'PLANALTO VILA VERDE','CAXIAS DO SUL','RS',4641,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2327210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,102,201,'LULU GENRO','SANTIAGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2327228,3.00,6.00,4.00,2.00,5.00,5.25,4.00,2.00,3.00,103,301,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327236,4.00,6.00,1.00,3.00,7.00,4.75,4.00,5.00,4.00,333,327,NULL,'CANTO','FLORIANOPOLIS','SC',15159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327244,3.00,7.00,3.00,9.00,4.00,6.25,3.00,8.00,4.00,303,NULL,NULL,'JURERÊ','FLORIANOPOLIS','SC',11465,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2327260,5.00,6.00,6.00,8.00,7.00,6.25,6.00,4.00,2.00,238,420,208,'CAPOEIRAS','FLORIANOPOLIS','SC',7687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,318,NULL,'MARISTA','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2327287,1.00,5.00,4.00,3.00,4.00,5.00,2.00,4.00,3.00,208,404,NULL,'FORQUILINHAS','SAO JOSE','SC',20991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327295,1.00,4.00,0.00,0.00,2.00,NULL,2.00,2.00,1.00,103,102,NULL,'FÁTIMA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2327309,4.00,8.00,7.00,5.00,6.00,5.00,7.00,6.00,4.00,318,316,NULL,'BARREIROS','SAO JOSE','SC',6551,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2327317,2.00,6.00,5.00,6.00,7.00,6.00,4.00,5.00,3.00,216,234,211,'CANGO','FRANCISCO BELTRAO','PR',11011,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2327325,2.00,9.00,0.00,4.00,5.00,5.25,3.00,8.00,4.00,428,424,NULL,'ABRAÃO','FLORIANOPOLIS','SC',15614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,424,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2327341,3.00,2.00,3.00,3.00,4.00,7.50,4.00,2.00,2.00,303,319,NULL,'CAPITAIS','TIMBO','SC',20421,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2327350,6.00,8.00,3.00,3.00,9.00,3.50,8.00,9.00,6.00,333,211,NULL,'FONTE','ARARAQUARA','SP',4451,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2327368,2.00,4.00,4.00,8.00,5.00,5.75,4.00,7.00,4.00,103,101,NULL,'MATO ALTO','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2327376,6.00,5.00,4.00,6.00,4.00,5.75,3.00,3.00,2.00,332,327,NULL,'FORQUILHINHAS','SAO JOSE','SC',13841,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2327384,4.00,6.00,4.00,5.00,6.00,3.50,6.00,6.00,6.00,320,310,NULL,'PALHOÇA','PALHOCA','SC',9913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327392,7.00,9.00,6.00,7.00,7.00,6.75,9.00,8.00,7.00,103,303,NULL,'SETOR OESTE','GOIANIA','GO',804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,207,NULL,'VILA TUPI','PRAIA GRANDE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2327414,3.00,6.00,3.00,1.00,3.00,3.25,4.00,4.00,1.00,103,212,NULL,'COLÔNIA SANTANA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327422,0.00,6.00,1.00,6.00,5.00,3.00,4.00,2.00,2.00,303,310,NULL,'CENTRO','FLORIANOPOLIS','SC',21321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2327430,2.00,6.00,2.00,6.00,2.00,NULL,3.00,7.00,0.00,5,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2327457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,215,211,'MICHEL','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2327473,2.00,6.00,1.00,1.00,7.00,5.00,5.00,2.00,2.00,207,420,NULL,'SERRARIA','SAO JOSE','SC',20028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327481,3.00,6.00,3.00,3.00,6.00,6.25,5.00,6.00,2.00,203,2,233,'PICADAS DO SUL','SAO JOSE','SC',14456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,451,427,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2327511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,404,213,'IHLOTINHA','CAPIVARI DE BAIXO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2327520,2.00,5.00,2.00,5.00,6.00,7.00,6.00,6.00,3.00,5,201,NULL,'CENTRO','CURITIBA','PR',11980,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2327538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,501,NULL,'CENTRO','XANXERE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2327546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,102,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2327554,4.00,6.00,5.00,6.00,6.00,4.25,6.00,6.00,4.00,326,327,NULL,'CENTRO','SANTA BRANCA','SP',9324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MONTE CASTELO','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2327589,5.00,7.00,5.00,10.00,7.00,4.50,6.00,6.00,6.00,220,213,202,'CARVOEIRA','FLORIANOPOLIS','SC',3853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA XV','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2327600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'VILA ESPERANÇA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2327627,0.00,0.00,0.00,4.00,4.00,NULL,3.00,3.00,3.00,303,NULL,NULL,'JARDIM PARAÍSO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,8),(15,2327635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,333,NULL,'CAVALHADA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2327643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,425,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2327651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,329,NULL,'JARDIM SATÉLITE','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2327660,2.00,4.00,3.00,4.00,2.00,NULL,3.00,3.00,3.00,5,316,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2327678,3.00,7.00,1.00,2.00,6.00,5.50,6.00,6.00,3.00,415,108,NULL,'JARDIM PLANALTO','SAO JOSE DOS PINHAIS','PR',14624,365,812,NULL,NULL,NULL,NULL,4,8),(15,2327686,3.00,5.00,3.00,2.00,7.00,4.75,4.00,4.00,3.00,238,220,NULL,'CIDADE JARDIM','GOIANIA','GO',16198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327708,2.00,4.00,2.00,5.00,7.00,5.75,3.00,4.00,1.00,103,220,NULL,'CENTRO','LAGES','SC',18284,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2327724,3.00,7.00,2.00,6.00,6.00,6.50,3.00,4.00,2.00,207,420,211,'PONTE DO IMARUIM','SANTO AMARO DA IMPERATRIZ','SC',14690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2327732,3.00,4.00,2.00,8.00,4.00,6.25,3.00,3.00,1.00,303,216,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327740,4.00,7.00,1.00,2.00,5.00,5.50,3.00,4.00,4.00,327,339,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',17816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327759,2.00,5.00,3.00,1.00,4.00,5.50,2.00,4.00,0.00,420,207,NULL,'ANTONIO RECH','DESCANSO','SC',21851,437,1322,NULL,NULL,NULL,NULL,4,4),(15,2327767,2.00,8.00,2.00,5.00,7.00,4.00,3.00,5.00,2.00,428,423,426,'JD SÃO MIGUEL','BIGUACU','SC',16078,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2327791,2.00,4.00,3.00,3.00,5.00,5.00,2.00,5.00,2.00,101,102,NULL,'CENTRO','MISSAL','PR',20314,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2327813,1.00,5.00,3.00,6.00,4.00,5.50,5.00,4.00,4.00,214,316,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',16137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327821,1.00,2.00,4.00,1.00,4.00,NULL,1.00,4.00,2.00,211,333,214,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327830,3.00,7.00,3.00,2.00,4.00,4.00,3.00,6.00,1.00,203,420,214,'ATIRADORES','JOINVILLE','SC',19373,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2327848,2.00,6.00,3.00,8.00,5.00,6.00,3.00,3.00,4.00,429,328,427,'AGRONOMICA','FLORIANOPOLIS','SC',14880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327856,0.00,5.00,1.00,5.00,4.00,5.00,4.00,5.00,1.00,215,328,238,'SACO DOS LIMOES','FLORIANOPOLIS','SC',20570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2327864,1.00,4.00,0.00,2.00,1.00,NULL,3.00,1.00,2.00,316,427,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2327872,5.00,8.00,7.00,6.00,9.00,6.25,7.00,6.00,6.00,415,450,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',2547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327880,0.00,3.00,1.00,2.00,3.00,NULL,4.00,3.00,2.00,103,303,NULL,'CIDADE JARDIM','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2327899,5.00,8.00,6.00,8.00,5.00,6.25,9.00,6.00,4.00,5,303,NULL,'SÃO GERALDO','PORTO ALEGRE','RS',3283,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2327902,1.00,4.00,4.00,4.00,5.00,5.75,3.00,6.00,2.00,203,5,202,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327929,2.00,1.00,1.00,3.00,4.00,NULL,2.00,4.00,0.00,208,420,207,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2327937,1.00,6.00,2.00,2.00,2.00,NULL,3.00,2.00,2.00,211,202,203,'CASA','CRISTAL DO SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2327945,2.00,8.00,5.00,1.00,8.00,7.00,5.00,7.00,3.00,5,327,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',10046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2327961,1.00,2.00,1.00,3.00,2.00,NULL,2.00,1.00,2.00,104,303,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2327970,1.00,7.00,4.00,5.00,6.00,5.50,3.00,4.00,4.00,103,NULL,NULL,'CAVALHADA','PORTO ALEGRE','RS',13344,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2327988,1.00,7.00,3.00,3.00,7.00,5.00,4.00,6.00,3.00,103,9,NULL,'CENTRO','CAMPO BELO DO SUL','SC',12528,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2327996,5.00,7.00,4.00,3.00,6.00,5.25,5.00,8.00,2.00,103,NULL,NULL,'CENTRO','JOACABA','SC',9921,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2328003,5.00,9.00,8.00,9.00,9.00,7.00,8.00,7.00,3.00,214,318,211,'TRINDADE','FLORIANOPOLIS','SC',1468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'TREZE DE JULHO','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2328020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'LUZIA','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2328038,3.00,4.00,4.00,5.00,6.00,3.50,0.00,4.00,0.00,339,329,NULL,'BARREIROS','SAO JOSE','SC',21064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2328054,3.00,7.00,2.00,7.00,6.00,6.75,5.00,6.00,2.00,101,425,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',11431,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2328070,3.00,5.00,4.00,7.00,6.00,5.25,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2328097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,233,212,'FAZENDA','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2328100,5.00,6.00,7.00,3.00,7.00,6.75,5.00,5.00,4.00,103,102,NULL,'TRIANON','GUARAPUAVA','PR',9320,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2328119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,233,220,'COLONINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2328127,1.00,4.00,4.00,1.00,3.00,3.00,2.00,4.00,2.00,331,333,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',22507,98,1092,NULL,NULL,NULL,NULL,2,1),(15,2328143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'JARDIM ATLANTICO','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2328151,1.00,5.00,6.00,6.00,7.00,5.00,7.00,5.00,3.00,203,302,214,'ASA NORTE','BRASILIA','DF',10843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328160,3.00,4.00,0.00,0.00,3.00,NULL,1.00,2.00,5.00,9,104,NULL,'CENTRO','CAMPO BELO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2328178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'CENTRO','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2328186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,201,212,'UVARANAS','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2328194,3.00,5.00,5.00,4.00,5.00,4.50,6.00,5.00,2.00,214,233,211,'FARROIPILHA','VIDEIRA','SC',14087,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2328208,2.00,7.00,2.00,6.00,5.00,5.75,5.00,5.00,3.00,103,203,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2328216,2.00,4.00,4.00,5.00,3.00,6.50,2.00,6.00,2.00,225,502,NULL,'CENTRO','PORTO ALEGRE','RS',17092,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2328224,3.00,4.00,1.00,5.00,5.00,5.00,1.00,5.00,2.00,103,104,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2328232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,216,203,'PINHEIRINHO','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2328259,1.00,4.00,1.00,2.00,4.00,4.50,3.00,4.00,3.00,223,224,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2328275,2.00,6.00,2.00,3.00,5.00,5.25,3.00,4.00,3.00,501,NULL,NULL,'SAGRADO CORAÇÃO DE J','LAGES','SC',18047,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2328283,2.00,5.00,2.00,2.00,7.00,5.50,4.00,3.00,1.00,104,9,NULL,'CENTRO','LAURO MULLER','SC',19611,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2328291,3.00,6.00,2.00,8.00,6.00,5.00,3.00,7.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANOPOLIS','SC',10952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328305,1.00,4.00,3.00,8.00,6.00,1.50,3.00,3.00,2.00,316,238,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328313,4.00,7.00,8.00,8.00,8.00,6.25,8.00,7.00,6.00,103,102,NULL,'CIDADE ALTA','ARARANGUA','SC',2260,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2328330,5.00,4.00,3.00,1.00,6.00,5.50,3.00,5.00,2.00,201,238,212,'ESTREITO','FLORIANOPOLIS','SC',18866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2328348,3.00,4.00,4.00,3.00,5.00,4.75,3.00,3.00,4.00,102,104,NULL,'OFICINAS','TUBARAO','SC',19239,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2328364,1.00,4.00,3.00,2.00,6.00,5.25,2.00,3.00,3.00,304,318,NULL,'CENTRO','PORTO UNIAO','SC',21621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328380,5.00,6.00,6.00,4.00,9.00,6.50,7.00,5.00,4.00,103,108,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',6237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328399,4.00,4.00,3.00,3.00,3.00,5.00,3.00,4.00,1.00,224,225,NULL,'PANTANAL','FLORIANOPOLIS','SC',21012,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2328402,3.00,4.00,0.00,2.00,3.00,3.50,2.00,4.00,2.00,220,NULL,214,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2328410,1.00,4.00,4.00,4.00,4.00,5.00,5.00,6.00,3.00,304,223,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',17351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328429,3.00,5.00,4.00,3.00,5.00,4.00,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','NOVA ESPERANCA DO SUDOESTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328445,4.00,4.00,1.00,5.00,6.00,5.00,2.00,3.00,3.00,420,207,NULL,'COQUEIROS','FLORIANOPOLIS','SC',17919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328453,4.00,7.00,3.00,5.00,6.00,6.25,5.00,6.00,1.00,103,207,NULL,'SÃO CRISTÓVÃO','GUARAPUAVA','PR',11128,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2328461,3.00,5.00,2.00,1.00,5.00,4.50,4.00,5.00,1.00,203,202,NULL,'CENTRO','CANOINHAS','SC',20456,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2328470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,333,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2328496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,326,424,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(15,2328500,5.00,6.00,2.00,7.00,3.00,3.00,5.00,5.00,3.00,233,215,203,'MAR GROSSO','LAGUNA','SC',15080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328518,4.00,5.00,3.00,8.00,5.00,6.50,5.00,5.00,4.00,208,202,238,'JURERÊ INTERNACIONAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,220,212,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2328534,1.00,4.00,0.00,8.00,5.00,5.75,2.00,5.00,2.00,316,301,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',17661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328542,5.00,6.00,5.00,7.00,8.00,7.00,7.00,8.00,5.00,303,320,NULL,'CENTRO','FLORIANOPOLIS','SC',3161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328550,3.00,6.00,2.00,5.00,4.00,6.75,7.00,4.00,4.00,501,331,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',12371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328569,6.00,7.00,7.00,7.00,6.00,5.25,8.00,7.00,5.00,203,427,214,'INGLESES','FLORIANOPOLIS','SC',3927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328577,2.00,6.00,3.00,4.00,4.00,5.00,4.00,2.00,0.00,103,101,NULL,'ABRAAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328585,4.00,7.00,8.00,9.00,7.00,3.50,9.00,6.00,5.00,103,220,NULL,'CENTRO','FLORIANOPOLIS','SC',3856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328593,4.00,8.00,7.00,9.00,6.00,6.25,6.00,5.00,3.00,420,223,NULL,'GOIABEIRAS','VITORIA','ES',5037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328631,6.00,7.00,7.00,7.00,8.00,3.00,7.00,6.00,3.00,108,502,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',4803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328640,4.00,5.00,3.00,1.00,5.00,3.50,5.00,5.00,4.00,5,339,NULL,'FORQUILINHAS','SAO JOSE','SC',18146,753,333,NULL,NULL,NULL,NULL,4,1),(15,2328658,3.00,7.00,3.00,1.00,6.00,5.25,2.00,5.00,2.00,303,5,NULL,'COQUEIROS','FLORIANOPOLIS','SC',17688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328666,2.00,7.00,8.00,4.00,6.00,3.50,7.00,8.00,5.00,214,224,238,'PASSA VINTE','PALHOCA','SC',7026,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2328674,1.00,5.00,4.00,8.00,5.00,4.50,3.00,4.00,4.00,301,424,NULL,'PANTANAL','FLORIANOPOLIS','SC',15287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2328682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,501,NULL,'CHACARA DAS PEDRAS','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2328704,6.00,7.00,3.00,8.00,8.00,7.25,5.00,8.00,4.00,216,217,NULL,'SUMARÉ','RIO DO SUL','SC',5000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328712,4.00,5.00,1.00,5.00,4.00,4.75,4.00,3.00,3.00,104,501,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2328720,3.00,6.00,3.00,0.00,6.00,4.75,4.00,4.00,1.00,317,NULL,NULL,'BOMBAS','BOMBINHAS','SC',18407,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2328747,4.00,7.00,5.00,8.00,7.00,7.00,7.00,8.00,4.00,211,502,201,'CORREGO GRANDE','FLORIANOPOLIS','SC',2906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,316,NULL,'JARDIM ICARAI','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2328771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,103,238,'PITANGUEIRAS','GUARUJA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2328780,3.00,8.00,3.00,5.00,5.00,5.25,4.00,7.00,1.00,318,316,NULL,'ITACORUBI','FLORIANOPOLIS','SC',13761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328798,2.00,7.00,2.00,0.00,5.00,3.00,3.00,4.00,1.00,201,207,212,'CAPOEIRAS','FLORIANOPOLIS','SC',22100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328801,1.00,8.00,3.00,6.00,6.00,4.25,4.00,6.00,3.00,333,327,NULL,'CENTRO','PANAMBI','RS',13597,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2328810,0.00,2.00,3.00,1.00,0.00,NULL,3.00,2.00,3.00,215,5,207,'CENTRO','RODEIO BONITO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2328828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,339,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2328836,2.00,4.00,4.00,5.00,5.00,5.00,5.00,4.00,1.00,316,421,NULL,'PANTANAL','FLORIANOPOLIS','SC',18515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2328844,3.00,6.00,2.00,7.00,9.00,5.75,3.00,7.00,4.00,303,328,NULL,'CENTRO','FLORIANOPOLIS','SC',8816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328852,3.00,7.00,3.00,4.00,5.00,6.75,4.00,3.00,1.00,331,339,NULL,'CENTRO','FLORIANOPOLIS','SC',15771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328860,0.00,3.00,1.00,1.00,4.00,NULL,0.00,3.00,2.00,238,216,208,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2328879,3.00,7.00,4.00,6.00,7.00,4.50,3.00,6.00,1.00,429,224,427,'CARVOEIRA','FLORIANOPOLIS','SC',13144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2328887,3.00,8.00,4.00,6.00,7.00,4.00,5.00,5.00,4.00,220,213,202,'REAL PARQUE','SAO JOSE','SC',11072,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2328909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BRIGADEIRO FARIA LIM','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2328925,4.00,7.00,2.00,5.00,9.00,5.75,6.00,7.00,1.00,320,225,NULL,'COQUEIROS','FLORIANOPOLIS','SC',9585,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2328933,4.00,7.00,3.00,8.00,8.00,6.75,7.00,8.00,3.00,103,NULL,NULL,'ITAQUERA','SAO PAULO','SP',5168,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2328941,2.00,5.00,0.00,2.00,2.00,NULL,2.00,2.00,2.00,333,324,NULL,'DANIELA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2328968,5.00,6.00,5.00,6.00,7.00,6.25,5.00,4.00,4.00,302,NULL,NULL,'BAEPENDI','JARAGUA DO SUL','SC',9716,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2328976,8.00,8.00,8.00,9.00,9.00,7.00,9.00,8.00,8.00,103,101,NULL,'SANTA FÉ','CAMPO GRANDE','MS',205,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2328984,3.00,6.00,2.00,5.00,5.00,6.25,1.00,4.00,2.00,429,424,427,'SERRARIA','SAO JOSE','SC',19019,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2328992,0.00,4.00,2.00,1.00,5.00,NULL,2.00,4.00,0.00,316,318,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329000,5.00,4.00,3.00,7.00,6.00,6.50,2.00,1.00,1.00,451,423,NULL,'PICADAS DO SUL','SAO JOSE','SC',17944,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2329018,3.00,9.00,7.00,10.00,7.00,7.00,6.00,9.00,2.00,5,303,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',2953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,332,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2329042,6.00,8.00,5.00,7.00,7.00,6.25,5.00,8.00,5.00,103,NULL,NULL,'ZONA SETE','MARINGA','PR',3528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329050,2.00,8.00,7.00,3.00,6.00,5.25,6.00,6.00,4.00,220,214,203,'VILA JACUÍ','SAO PAULO','SP',9908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329069,2.00,6.00,4.00,3.00,6.00,5.00,3.00,5.00,2.00,203,304,220,'VILA ÁUREA','POA','SP',18476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329085,5.00,8.00,3.00,8.00,7.00,6.00,5.00,6.00,5.00,108,102,NULL,'CENTRO','CAXIAS DO SUL','RS',5773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329093,3.00,6.00,3.00,6.00,5.00,5.25,5.00,2.00,1.00,333,421,NULL,'CENTRO','NOVA TRENTO','SC',19086,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2329107,2.00,7.00,4.00,7.00,6.00,5.00,7.00,7.00,1.00,316,5,NULL,'COQUEIROS','FLORIANOPOLIS','SC',10449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329115,0.00,5.00,1.00,4.00,2.00,NULL,3.00,2.00,2.00,451,324,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2329123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'FAZENDINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2329131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,444,NULL,'VILA ANDRADE','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2329140,3.00,6.00,4.00,2.00,5.00,5.25,3.00,8.00,4.00,425,308,424,'CENTRO','FLORIANOPOLIS','SC',15524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329158,3.00,4.00,4.00,5.00,6.00,5.25,5.00,3.00,5.00,5,429,NULL,'SANTO ANTÔNIO LISBOA','FLORIANOPOLIS','SC',14435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,302,NULL,'PRIMEIRO DE MAIO','DIONISIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2329182,3.00,6.00,1.00,7.00,7.00,6.75,4.00,5.00,3.00,329,324,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',12910,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2329190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,420,213,'JARDIM GUANABARA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2329204,3.00,5.00,2.00,4.00,6.00,6.50,3.00,6.00,2.00,217,216,NULL,'SUÍÇA','SAO JOSE DOS PINHAIS','PR',16575,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2329212,3.00,7.00,5.00,6.00,7.00,6.00,6.00,8.00,5.00,103,104,NULL,'CENTRO','CASCAVEL','PR',6269,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2329239,1.00,5.00,4.00,4.00,3.00,4.25,2.00,3.00,2.00,102,304,NULL,'JURERÊ','FLORIANOPOLIS','SC',21062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329247,3.00,4.00,3.00,8.00,6.00,5.75,3.00,4.00,4.00,216,217,211,'CANTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2329255,1.00,6.00,3.00,6.00,2.00,NULL,3.00,7.00,4.00,301,420,NULL,'JURERE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,108,NULL,'BELA VISTA','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2329271,3.00,5.00,6.00,7.00,4.00,5.25,8.00,6.00,4.00,202,426,220,'ST ANTONIO DE LISBOA','FLORIANOPOLIS','SC',9121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329280,3.00,6.00,2.00,5.00,8.00,4.50,3.00,5.00,3.00,302,423,NULL,'BARREIROS','SAO JOSE','SC',14399,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2329298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,212,211,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2329301,3.00,4.00,2.00,8.00,6.00,6.00,3.00,4.00,2.00,207,9,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2329310,0.00,0.00,0.00,0.00,4.00,NULL,2.00,3.00,0.00,316,5,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2329328,2.00,5.00,2.00,3.00,6.00,5.25,2.00,4.00,2.00,301,316,NULL,'ITACORUBI','FLORIANOPOLIS','SC',20483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329336,6.00,6.00,6.00,4.00,4.00,4.25,5.00,4.00,0.00,208,233,238,'RESSACADA','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2329344,3.00,6.00,5.00,5.00,4.00,5.00,5.00,7.00,1.00,310,320,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',13422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329352,1.00,7.00,3.00,5.00,8.00,5.00,4.00,2.00,5.00,319,9,NULL,'COQUEIROS','FLORIANOPOLIS','SC',14363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,214,212,'CENTRO','CAMPO VERDE','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2329387,2.00,7.00,8.00,9.00,8.00,5.25,8.00,7.00,4.00,5,320,NULL,'CENTRO','IMBITUBA','SC',3384,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2329395,1.00,4.00,1.00,0.00,3.00,NULL,0.00,3.00,3.00,104,319,NULL,'KOLLER','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2329409,2.00,5.00,4.00,0.00,3.00,6.00,5.00,3.00,3.00,203,420,NULL,'CENTRO','FLORIANOPOLIS','SC',20317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329425,3.00,7.00,2.00,0.00,5.00,5.50,4.00,6.00,3.00,302,404,NULL,'CENTRO','PALHOCA','SC',17020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,423,NULL,'CENTRO','BIGUACU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2329441,3.00,8.00,1.00,6.00,4.00,5.50,4.00,6.00,0.00,303,301,NULL,'CENTRO','FLORIANOPOLIS','SC',17001,768,739,NULL,NULL,NULL,NULL,2,1),(15,2329450,3.00,6.00,1.00,3.00,4.00,3.75,2.00,3.00,1.00,333,332,NULL,'INDEMPENDENCIA','TAUBATE','SP',22163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2329468,1.00,3.00,3.00,0.00,2.00,NULL,1.00,1.00,0.00,319,9,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2329476,2.00,3.00,0.00,5.00,5.00,6.50,3.00,3.00,2.00,425,NULL,NULL,'PRAIA DOS AMORES','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2329492,2.00,9.00,4.00,6.00,5.00,5.25,5.00,7.00,4.00,450,415,NULL,'CAMPO GRANDE','SANTOS','SP',9217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329506,3.00,7.00,2.00,8.00,6.00,NULL,0.00,0.00,0.00,332,327,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2329530,5.00,7.00,3.00,8.00,6.00,6.50,3.00,8.00,4.00,424,328,421,'PANTANAL','FLORIANOPOLIS','SC',8660,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2329549,3.00,5.00,2.00,6.00,6.00,5.00,5.00,4.00,2.00,220,301,208,'SÃO VICENTE','ITAJAI','SC',16192,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2329557,3.00,4.00,4.00,0.00,5.00,4.50,5.00,5.00,3.00,319,5,NULL,'CASTELO BRANCO','ITAPEMA','SC',19016,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2329573,2.00,3.00,1.00,1.00,3.00,NULL,3.00,1.00,1.00,429,339,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2329581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,101,NULL,'GETULIO VARGAS','DOM PEDRITO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2329590,2.00,5.00,3.00,4.00,5.00,3.00,5.00,8.00,3.00,203,NULL,NULL,'GLORIA','JOINVILLE','SC',15937,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2329603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,5,NULL,'CENTRO','GETULIO VARGAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2329620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2329638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,201,NULL,'CENTRO','IBIACA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2329670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'SANTANA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2329689,4.00,6.00,4.00,3.00,7.00,7.25,5.00,3.00,2.00,415,420,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329697,2.00,6.00,4.00,6.00,6.00,5.50,2.00,5.00,2.00,318,320,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',14986,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2329700,4.00,8.00,7.00,6.00,7.00,6.00,7.00,7.00,4.00,450,415,NULL,'CENTRO','SAO BENTO DO SUL','SC',4479,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2329719,1.00,7.00,6.00,9.00,7.00,5.75,5.00,5.00,2.00,208,222,233,'CORREGO GRANDE','FLORIANOPOLIS','SC',9482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329727,1.00,5.00,1.00,3.00,6.00,3.75,6.00,6.00,4.00,420,316,NULL,'VELHA','BLUMENAU','SC',16799,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2329735,7.00,8.00,7.00,7.00,8.00,6.75,9.00,7.00,5.00,103,424,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',1401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2329743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,333,NULL,'CENTRO','COLIDER','MT',NULL,NULL,NULL,NULL,'S','S','S',4,3),(15,2329751,3.00,6.00,4.00,6.00,5.00,6.75,5.00,4.00,3.00,207,420,233,'PONTA DAS CANAS','FLORIANOPOLIS','SC',11447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329760,2.00,3.00,4.00,2.00,6.00,3.00,3.00,5.00,4.00,309,339,NULL,'SUDOESTE','BRASILIA','DF',20047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329778,3.00,7.00,5.00,6.00,5.00,5.00,6.00,6.00,0.00,5,238,NULL,'TRINDADE','FLORIANOPOLIS','SC',12357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329786,1.00,6.00,0.00,3.00,7.00,5.00,4.00,3.00,1.00,451,309,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',20811,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2329794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,502,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2329808,3.00,5.00,4.00,3.00,5.00,6.25,2.00,6.00,3.00,220,NULL,201,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329816,1.00,2.00,1.00,4.00,4.00,NULL,1.00,3.00,3.00,303,428,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329832,1.00,4.00,5.00,6.00,5.00,3.00,6.00,4.00,1.00,224,225,NULL,'KOBRASOL','SAO JOSE','SC',16281,49,169,NULL,NULL,NULL,NULL,4,1),(15,2329840,2.00,3.00,3.00,4.00,3.00,5.50,5.00,3.00,2.00,103,424,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,225,220,'SANTANA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(15,2329891,3.00,8.00,8.00,6.00,7.00,6.75,7.00,5.00,4.00,103,450,NULL,'SANTO ANTÔNIO','PORTO ALEGRE','RS',5059,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2329905,3.00,7.00,3.00,7.00,6.00,4.50,0.00,5.00,2.00,332,451,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',16744,93,240,NULL,NULL,NULL,NULL,3,1),(15,2329913,4.00,9.00,7.00,8.00,8.00,4.50,5.00,8.00,3.00,303,302,NULL,'CENTRO','FLORIANOPOLIS','SC',4120,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2329921,1.00,5.00,3.00,6.00,3.00,NULL,0.00,0.00,0.00,333,415,NULL,'DAS NAÇÕES','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,6),(15,2329930,1.00,5.00,3.00,1.00,6.00,5.00,3.00,4.00,1.00,103,9,NULL,'CENTRO','ARAPONGAS','PR',19119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2329948,2.00,3.00,0.00,3.00,5.00,NULL,1.00,4.00,1.00,309,207,NULL,'PASSA VINTE','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2329956,1.00,7.00,2.00,7.00,8.00,5.50,3.00,8.00,4.00,310,326,NULL,'BARRA DO ARIRIU','PALHOCA','SC',9448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2329964,2.00,5.00,3.00,5.00,6.00,4.00,5.00,3.00,1.00,316,423,NULL,'ABRAÃO','FLORIANOPOLIS','SC',19573,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2329980,3.00,7.00,5.00,3.00,4.00,4.50,4.00,3.00,3.00,303,5,NULL,'VILA OLIMPIA','SAO PAULO','SP',16022,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2329999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,224,NULL,'ARIRIÚ','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2330008,4.00,8.00,6.00,2.00,4.00,3.75,5.00,6.00,5.00,203,214,202,'FERRAZ','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,201,NULL,'JARDIM BONFIGLIOLI','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2330024,6.00,6.00,7.00,9.00,6.00,6.00,7.00,6.00,4.00,203,233,214,'VILA HELENA','JUNDIAI','SP',4142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330032,1.00,4.00,2.00,2.00,6.00,6.25,5.00,0.00,4.00,301,102,NULL,'SUMARÉ','RIO DO SUL','SC',21025,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2330067,6.00,8.00,6.00,9.00,6.00,5.00,8.00,8.00,5.00,421,NULL,425,'TRINDADE','FLORIANOPOLIS','SC',2958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330075,5.00,8.00,5.00,8.00,8.00,6.25,7.00,6.00,5.00,103,301,NULL,'SANTA CRUZ','RIBEIRAO PRETO','SP',3684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330083,7.00,7.00,8.00,8.00,6.00,5.50,9.00,7.00,7.00,303,5,NULL,'JARDIM VITÓRIA RÉGIA','SAO JOSE DO RIO PRETO','SP',1392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330091,2.00,6.00,2.00,8.00,5.00,3.50,4.00,3.00,3.00,102,333,NULL,'DUQUE DE CAXIAS','CUIABA','MT',17501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330121,2.00,7.00,1.00,2.00,6.00,4.25,1.00,6.00,1.00,203,103,202,'SENHORA FÁTIMA','RIO BRANCO DO SUL','PR',20272,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2330130,1.00,5.00,4.00,3.00,0.00,NULL,2.00,3.00,0.00,423,308,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2330148,2.00,5.00,0.00,5.00,4.00,NULL,5.00,1.00,4.00,216,211,201,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(15,2330156,3.00,7.00,3.00,4.00,6.00,6.00,4.00,5.00,4.00,429,451,NULL,'AURORA','ICARA','SC',13623,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2330164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,404,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2330172,2.00,5.00,3.00,3.00,6.00,4.00,3.00,4.00,1.00,201,444,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330202,4.00,7.00,4.00,4.00,7.00,5.75,7.00,7.00,4.00,301,216,NULL,'JD PROENÇA','CAMPINAS','SP',7613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330210,2.00,8.00,4.00,8.00,7.00,7.25,3.00,5.00,2.00,103,444,NULL,'VILA OPERÁRIA','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2330237,3.00,7.00,1.00,6.00,5.00,3.75,4.00,3.00,2.00,102,104,NULL,'JARDIM EUROPA','LONDRINA','PR',17745,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2330245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,332,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2330253,1.00,4.00,1.00,9.00,6.00,5.50,3.00,6.00,5.00,327,424,NULL,'SANTANA','PORTO ALEGRE','RS',13937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330261,2.00,3.00,2.00,2.00,4.00,NULL,2.00,2.00,0.00,316,318,NULL,'CENTRO','GUARATUBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2330288,0.00,0.00,0.00,9.00,6.00,NULL,0.00,0.00,0.00,328,425,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2330318,2.00,6.00,4.00,7.00,5.00,5.75,4.00,5.00,2.00,238,415,208,'CAPOEIRAS','FLORIANOPOLIS','SC',14706,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2330326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'ARROIO DA MANTEIGA','SAO LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2330334,4.00,6.00,5.00,3.00,5.00,5.00,5.00,5.00,5.00,211,102,207,'ESTREITO','FLORIANOPOLIS','SC',13124,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2330350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,426,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2330369,2.00,2.00,4.00,2.00,3.00,4.00,3.00,4.00,2.00,326,308,NULL,'BARRA DO ARIRIU','PALHOCA','SC',22431,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2330377,3.00,7.00,5.00,7.00,9.00,6.50,6.00,6.00,4.00,207,333,216,'CORAL','LAGES','SC',6080,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2330385,2.00,5.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,301,444,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2330393,1.00,3.00,0.00,3.00,6.00,NULL,2.00,3.00,1.00,208,420,238,'FÁTIMA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330407,2.00,7.00,1.00,7.00,5.00,5.75,5.00,6.00,3.00,332,339,NULL,'CAMPINAS','SAO JOSE','SC',13357,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2330415,2.00,8.00,7.00,8.00,3.00,4.50,8.00,7.00,2.00,201,233,212,'COQUEIROS','FLORIANOPOLIS','SC',7750,418,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,444,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2330440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,108,238,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2330458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,5,NULL,'VILA IMPERIAL','SAO JOSE DO RIO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2330482,4.00,7.00,5.00,4.00,5.00,5.50,6.00,7.00,1.00,103,501,NULL,'JARDIM DO PRADO','ARACATUBA','SP',10925,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2330504,1.00,5.00,3.00,4.00,2.00,NULL,5.00,4.00,3.00,501,234,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2330512,1.00,5.00,2.00,1.00,4.00,NULL,3.00,2.00,2.00,203,220,214,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(15,2330520,3.00,7.00,3.00,5.00,6.00,5.50,5.00,5.00,2.00,301,425,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',14065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330547,3.00,5.00,2.00,4.00,3.00,3.50,2.00,3.00,1.00,424,324,421,'CAMPINAS','FLORIANOPOLIS','SC',22041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2330571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,212,207,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2330598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,214,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2330601,4.00,5.00,3.00,6.00,4.00,6.50,2.00,3.00,4.00,316,327,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',16946,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2330610,1.00,5.00,1.00,0.00,4.00,NULL,3.00,4.00,2.00,319,428,NULL,'CAMOBI','SANTA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330628,3.00,6.00,3.00,3.00,2.00,NULL,4.00,6.00,2.00,201,404,203,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,225,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2330652,3.00,5.00,2.00,6.00,5.00,5.00,2.00,4.00,5.00,317,324,NULL,'BARREIROS','SAO JOSE','SC',15825,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2330660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,420,NULL,'COLINAS S FRANCISCO','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2330679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,104,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2330695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,202,220,'VILA MATHIAS','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2330709,4.00,3.00,4.00,6.00,5.00,5.00,6.00,6.00,2.00,316,301,NULL,'HIGIENOPOLIS','SAO PAULO','SP',13153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330725,4.00,8.00,3.00,9.00,7.00,5.50,4.00,5.00,3.00,208,301,238,'JD ANCHIETA','FLORIANOPOLIS','SC',8980,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2330733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'NAÇÕES','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2330750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,101,NULL,'SALSEIROS','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2330776,7.00,8.00,7.00,6.00,8.00,5.25,7.00,7.00,6.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',2664,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2330814,0.00,2.00,2.00,2.00,2.00,NULL,5.00,6.00,4.00,208,NULL,238,'SANTO ANTONIO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330849,5.00,9.00,7.00,8.00,8.00,7.25,7.00,7.00,6.00,5,303,NULL,'INDEPENDÊNCIA','PORTO ALEGRE','RS',1770,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2330865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,425,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2330873,5.00,5.00,6.00,1.00,7.00,4.00,3.00,5.00,2.00,301,304,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330890,6.00,6.00,6.00,5.00,7.00,7.50,9.00,7.00,7.00,103,102,NULL,'UBERABA','CURITIBA','PR',2256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,101,NULL,'SÃO JUDAS','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2330938,5.00,5.00,3.00,5.00,6.00,5.00,6.00,4.00,4.00,103,333,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2330946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,310,NULL,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2330954,4.00,8.00,7.00,7.00,7.00,7.00,8.00,7.00,4.00,238,502,NULL,'PANTANAL','FLORIANOPOLIS','SC',3681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330970,2.00,6.00,6.00,9.00,7.00,7.00,5.00,4.00,4.00,415,420,NULL,'ALTO DO PARQUE','SANTA ROSA','RS',8698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2330989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,320,NULL,'ELTON VILLE','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2331004,3.00,7.00,4.00,3.00,5.00,4.50,4.00,6.00,2.00,103,NULL,NULL,'MOGILAR','MOGI DAS CRUZES','SP',15525,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2331039,2.00,4.00,1.00,4.00,5.00,5.50,3.00,7.00,1.00,102,201,NULL,'CENTRO','IMARUI','SC',19721,441,1385,NULL,NULL,NULL,NULL,2,1),(15,2331055,2.00,3.00,0.00,1.00,4.00,NULL,3.00,3.00,1.00,9,319,NULL,'FLORESTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2331063,4.00,6.00,2.00,6.00,6.00,5.75,3.00,5.00,2.00,420,327,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',15927,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2331101,3.00,6.00,5.00,7.00,5.00,5.25,4.00,5.00,4.00,207,420,233,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',13166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2331144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,333,201,'CARANDÁ BOSQUE','CAMPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2331152,5.00,7.00,4.00,8.00,6.00,6.50,4.00,8.00,3.00,5,329,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',7059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2331187,1.00,6.00,2.00,2.00,8.00,6.50,4.00,5.00,3.00,103,207,NULL,'JOÃO BATISTA TONIAL','XANXERE','SC',16820,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2331195,2.00,6.00,0.00,1.00,7.00,4.50,2.00,4.00,2.00,303,5,NULL,'SERTÃO DO IMARUIM','SAO JOSE','SC',21071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2331217,2.00,4.00,4.00,5.00,7.00,4.75,2.00,5.00,2.00,429,317,425,'MONTE VERDE','FLORIANOPOLIS','SC',17096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2331241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,303,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2331268,4.00,6.00,1.00,6.00,5.00,5.50,4.00,8.00,5.00,201,216,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2331276,4.00,9.00,7.00,4.00,7.00,3.00,8.00,6.00,4.00,103,217,NULL,'MANDAQUI','SAO PAULO','SP',7497,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2331292,2.00,5.00,3.00,5.00,2.00,NULL,2.00,4.00,2.00,303,208,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2331306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,327,NULL,'VILA IPIRANGA','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2331314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,427,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(15,2331330,5.00,8.00,4.00,6.00,6.00,NULL,0.00,0.00,0.00,318,324,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2331349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,316,NULL,'VISTA VERDE','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2331357,4.00,6.00,7.00,4.00,6.00,5.50,6.00,4.00,3.00,203,301,214,'GARCIA','BLUMENAU','SC',10527,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2331381,4.00,5.00,3.00,6.00,7.00,3.50,3.00,3.00,3.00,328,319,NULL,'DAS NAÇÕES','BALNEARIO CAMBORIU','SC',15232,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2331390,2.00,2.00,1.00,3.00,3.00,NULL,2.00,2.00,1.00,102,NULL,NULL,'JARDIM ELDORADO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2331411,3.00,5.00,2.00,4.00,4.00,5.00,2.00,5.00,5.00,429,339,425,'TRINDADE','FLORIANOPOLIS','SC',18218,131,335,152,NULL,NULL,NULL,4,1),(15,2331420,3.00,7.00,9.00,7.00,8.00,7.75,8.00,6.00,4.00,317,302,NULL,'PORTAO','CURITIBA','PR',3198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2331446,5.00,4.00,4.00,7.00,6.00,NULL,0.00,0.00,0.00,319,424,NULL,'FAZENDA','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,6),(15,2331454,3.00,2.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,201,NULL,'PEREQUE','PORTO BELO','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',2,3),(15,2331470,7.00,8.00,6.00,4.00,7.00,7.00,7.00,8.00,4.00,5,444,NULL,'COSTA E SILVA','JOINVILLE','SC',3529,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2331497,3.00,4.00,1.00,5.00,6.00,4.25,4.00,5.00,2.00,316,420,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2331500,1.00,6.00,1.00,3.00,5.00,4.75,4.00,6.00,3.00,211,333,NULL,'TERMAS','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2331519,4.00,6.00,6.00,7.00,8.00,6.00,6.00,7.00,3.00,220,212,214,'NAÇÕES','INDAIAL','SC',5657,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2331578,1.00,1.00,3.00,2.00,4.00,3.00,6.00,2.00,3.00,208,203,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2331608,3.00,6.00,1.00,0.00,4.00,4.50,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2331640,3.00,6.00,2.00,6.00,4.00,3.50,7.00,5.00,4.00,103,316,NULL,'CENTRO','UBERABA','MG',12936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2331659,0.00,0.00,0.00,8.00,6.00,NULL,0.00,0.00,0.00,208,238,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2331667,3.00,5.00,4.00,5.00,5.00,5.50,7.00,4.00,3.00,333,211,NULL,'JD GUARANI','CAMPINAS','SP',12984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2331691,6.00,8.00,6.00,10.00,6.00,7.25,9.00,8.00,6.00,203,324,214,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',1522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2331748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'PQ MAUÁ','TAUBATE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2800004,1.00,6.00,4.00,2.00,6.00,4.75,3.00,5.00,3.00,316,308,NULL,'CENTRO','FLORIANOPOLIS','SC',18046,524,386,NULL,NULL,NULL,NULL,4,1),(15,2800012,0.00,5.00,3.00,3.00,6.00,4.25,3.00,5.00,4.00,5,224,NULL,'INGLESES','FLORIANOPOLIS','SC',19282,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800020,2.00,5.00,3.00,4.00,5.00,3.50,4.00,3.00,2.00,339,316,NULL,'CENTRO','FLORIANOPOLIS','SC',20785,136,1241,NULL,NULL,NULL,NULL,2,1),(15,2800039,1.00,4.00,3.00,4.00,6.00,4.50,3.00,1.00,3.00,308,317,NULL,'SERRARIA','SAO JOSE','SC',21458,190,672,NULL,NULL,NULL,NULL,2,1),(15,2800047,1.00,4.00,1.00,0.00,6.00,NULL,0.00,0.00,0.00,324,339,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2800055,1.00,3.00,0.00,3.00,5.00,NULL,3.00,4.00,3.00,404,316,NULL,'VARGEM BOM JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800063,2.00,2.00,1.00,3.00,4.00,NULL,3.00,3.00,2.00,308,324,NULL,'SERRINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800071,3.00,5.00,2.00,5.00,7.00,6.00,3.00,4.00,1.00,317,339,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',17215,289,316,NULL,NULL,NULL,NULL,2,1),(15,2800080,2.00,7.00,1.00,3.00,8.00,5.00,3.00,5.00,1.00,451,425,NULL,'RATONES','FLORIANOPOLIS','SC',19053,81,410,NULL,NULL,NULL,NULL,4,1),(15,2800098,6.00,5.00,4.00,0.00,8.00,4.00,3.00,7.00,3.00,238,207,220,'SERRARIA','SAO JOSE','SC',14409,529,1199,487,NULL,NULL,NULL,4,1),(15,2800101,4.00,6.00,3.00,6.00,8.00,4.75,6.00,4.00,3.00,404,329,NULL,'PACHECO','PALHOCA','SC',11414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800110,5.00,4.00,3.00,2.00,3.00,4.00,3.00,3.00,3.00,101,339,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',20908,291,420,NULL,NULL,NULL,NULL,2,1),(15,2800128,4.00,4.00,2.00,5.00,5.00,5.75,4.00,3.00,4.00,427,329,NULL,'ARMAÇÃO PÂNTANO SUL','FLORIANOPOLIS','SC',17307,54,213,NULL,NULL,NULL,NULL,2,1),(15,2800136,3.00,6.00,5.00,6.00,5.00,4.00,4.00,3.00,3.00,238,331,213,'ABRAÃO','FLORIANOPOLIS','SC',15198,564,178,244,NULL,NULL,NULL,2,1),(15,2800144,3.00,4.00,3.00,3.00,4.00,4.50,4.00,4.00,1.00,207,NULL,201,'COREGO GRANDE','FLORIANOPOLIS','SC',21116,987,NULL,1094,NULL,NULL,NULL,2,1),(15,2800152,5.00,6.00,1.00,2.00,7.00,4.75,5.00,4.00,3.00,207,201,202,'CENTRO','ANTONIO CARLOS','SC',16467,801,1356,583,NULL,NULL,NULL,4,1),(15,2800160,4.00,8.00,6.00,6.00,9.00,7.50,7.00,5.00,5.00,104,224,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',3459,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800179,3.00,6.00,1.00,4.00,5.00,4.25,4.00,5.00,3.00,404,308,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',17029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800187,5.00,7.00,5.00,2.00,6.00,3.75,5.00,2.00,3.00,317,234,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',14842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800195,4.00,4.00,5.00,6.00,7.00,5.25,7.00,4.00,4.00,501,332,NULL,'ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC',9508,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800209,2.00,7.00,2.00,5.00,6.00,6.00,5.00,4.00,6.00,308,423,NULL,'ITACORUBI','FLORIANOPOLIS','SC',11903,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800217,3.00,4.00,0.00,4.00,5.00,NULL,2.00,1.00,2.00,339,324,NULL,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800225,3.00,5.00,2.00,2.00,5.00,6.50,2.00,5.00,3.00,9,102,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',18957,267,1053,NULL,NULL,NULL,NULL,4,1),(15,2800233,1.00,4.00,4.00,6.00,6.00,3.75,3.00,3.00,2.00,318,316,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',19995,245,1215,NULL,NULL,NULL,NULL,2,1),(15,2800241,4.00,7.00,7.00,5.00,7.00,6.25,6.00,6.00,2.00,225,224,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',7134,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800250,4.00,5.00,4.00,1.00,9.00,4.75,4.00,6.00,3.00,429,324,428,'ESTREITO','FLORIANOPOLIS','SC',13821,66,NULL,NULL,NULL,NULL,NULL,4,1),(15,2800268,3.00,5.00,1.00,6.00,6.00,4.00,2.00,3.00,1.00,101,102,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',20386,281,1101,NULL,NULL,NULL,NULL,2,1),(15,2800276,5.00,6.00,1.00,1.00,7.00,6.50,3.00,2.00,5.00,101,NULL,NULL,'SÃO SEBASTIÃO','PALHOCA','SC',17148,197,NULL,NULL,NULL,NULL,NULL,4,1),(15,2800284,6.00,6.00,7.00,5.00,8.00,6.25,6.00,4.00,2.00,216,215,201,'CACUPE','FLORIANOPOLIS','SC',7319,265,491,389,NULL,NULL,NULL,4,1),(15,2800292,2.00,3.00,1.00,0.00,5.00,NULL,3.00,2.00,2.00,332,108,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800306,5.00,5.00,4.00,3.00,7.00,5.00,5.00,4.00,4.00,317,332,NULL,'TRINDADE','FLORIANOPOLIS','SC',13367,189,238,NULL,NULL,NULL,NULL,2,1),(15,2800314,4.00,6.00,5.00,3.00,6.00,5.50,3.00,4.00,4.00,238,222,208,'TRINDADE','FLORIANOPOLIS','SC',12461,443,141,456,NULL,NULL,NULL,2,1),(15,2800322,6.00,9.00,9.00,7.00,8.00,6.50,9.00,5.00,7.00,202,213,208,'CAPOEIRAS','FLORIANOPOLIS','SC',1272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2800330,1.00,7.00,3.00,4.00,4.00,6.25,2.00,3.00,4.00,224,217,NULL,'VARGINHA','SANTO AMARO DA IMPERATRIZ','SC',17512,56,482,NULL,NULL,NULL,NULL,2,1),(15,2800349,3.00,4.00,3.00,4.00,7.00,7.25,4.00,3.00,3.00,415,101,NULL,'AREIAS','SAO JOSE','SC',17149,427,678,NULL,NULL,NULL,NULL,2,1),(15,2800357,3.00,6.00,0.00,1.00,2.00,NULL,2.00,5.00,1.00,332,320,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2800365,3.00,7.00,1.00,5.00,6.00,6.00,3.00,4.00,2.00,319,327,NULL,'TAPERA','FLORIANOPOLIS','SC',16889,354,402,NULL,NULL,NULL,NULL,2,1),(15,2800373,6.00,8.00,8.00,7.00,7.00,6.00,8.00,7.00,4.00,203,238,202,'DANIELA','FLORIANOPOLIS','SC',2486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2800381,3.00,3.00,2.00,1.00,6.00,2.00,5.00,2.00,1.00,308,NULL,NULL,'ALTO RIBEIRAO','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2800390,3.00,6.00,0.00,4.00,5.00,4.00,2.00,5.00,3.00,404,339,NULL,'INGLESES','FLORIANOPOLIS','SC',20469,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,333,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2800411,6.00,6.00,3.00,6.00,8.00,5.75,4.00,7.00,3.00,426,308,423,'RIO CAVEIRAS','BIGUACU','SC',7155,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800420,4.00,7.00,7.00,7.00,7.00,4.75,7.00,8.00,5.00,317,324,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',4491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800438,4.00,8.00,2.00,5.00,6.00,5.25,5.00,7.00,2.00,404,427,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',12002,70,158,NULL,NULL,NULL,NULL,2,1),(15,2800446,2.00,6.00,1.00,1.00,5.00,3.00,3.00,2.00,2.00,203,224,214,'SERRARIA','SAO JOSE','SC',22486,1225,316,599,NULL,NULL,NULL,4,1),(15,2800454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,502,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2800462,1.00,2.00,2.00,4.00,7.00,4.00,4.00,4.00,3.00,328,208,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800470,2.00,5.00,3.00,0.00,4.00,NULL,2.00,2.00,0.00,421,424,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800489,3.00,5.00,1.00,6.00,6.00,5.25,4.00,3.00,1.00,451,426,NULL,'CAMPECHE','FLORIANOPOLIS','SC',17655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800497,2.00,6.00,2.00,3.00,5.00,3.50,3.00,6.00,1.00,5,339,NULL,'AREIAS','SAO JOSE','SC',19499,811,373,NULL,NULL,NULL,NULL,4,1),(15,2800500,5.00,6.00,4.00,6.00,8.00,6.50,4.00,6.00,4.00,316,324,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',7623,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800519,4.00,6.00,4.00,5.00,7.00,4.50,6.00,6.00,3.00,211,234,216,'PONTA DAS CANAS','FLORIANOPOLIS','SC',8516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800527,3.00,7.00,3.00,4.00,6.00,5.75,3.00,4.00,4.00,102,426,NULL,'ESTREITO','FLORIANOPOLIS','SC',14570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800543,3.00,5.00,3.00,3.00,6.00,6.00,3.00,2.00,1.00,319,428,NULL,'AREIAS BARREIROS','FLORIANOPOLIS','SC',18946,410,NULL,NULL,NULL,NULL,NULL,4,1),(15,2800551,2.00,7.00,4.00,8.00,8.00,4.75,5.00,6.00,1.00,317,224,NULL,'BARREIROS','SAO JOSE','SC',10287,118,164,NULL,NULL,NULL,NULL,2,1),(15,2800560,3.00,7.00,6.00,6.00,6.00,5.00,6.00,7.00,6.00,207,308,211,'RIO VERMELHO','FLORIANOPOLIS','SC',6078,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800578,3.00,4.00,2.00,5.00,6.00,4.50,3.00,4.00,4.00,238,308,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',18237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800586,3.00,2.00,2.00,3.00,1.00,NULL,4.00,1.00,1.00,238,316,208,'CACHUEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800594,7.00,7.00,9.00,6.00,8.00,5.25,8.00,5.00,8.00,203,223,201,'INGLESES','FLORIANOPOLIS','SC',1366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2800608,3.00,7.00,3.00,5.00,7.00,5.50,6.00,6.00,4.00,203,202,214,'BARREIROS','SAO JOSE','SC',9749,743,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800616,3.00,8.00,6.00,6.00,7.00,6.00,4.00,6.00,4.00,420,425,NULL,'TRINDADE','FLORIANOPOLIS','SC',7714,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800640,5.00,6.00,1.00,2.00,6.00,3.75,3.00,5.00,3.00,215,217,233,'KOBRASOL','SAO JOSE','SC',17236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2800659,1.00,5.00,3.00,6.00,7.00,4.25,5.00,4.00,1.00,238,208,233,'TRINDADE','FLORIANOPOLIS','SC',16846,625,1058,385,NULL,NULL,NULL,2,1),(15,2800667,5.00,7.00,5.00,5.00,8.00,8.00,6.00,6.00,4.00,420,329,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',5408,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800675,3.00,8.00,3.00,4.00,5.00,6.00,2.00,6.00,2.00,317,316,NULL,'ITACORUBI','FLORIANOPOLIS','SC',13928,203,1010,NULL,NULL,NULL,NULL,4,1),(15,2800683,0.00,2.00,3.00,2.00,5.00,NULL,2.00,1.00,0.00,404,223,NULL,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800691,2.00,6.00,4.00,4.00,4.00,5.75,3.00,3.00,3.00,339,324,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',17901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800705,1.00,5.00,2.00,3.00,7.00,5.50,3.00,6.00,1.00,317,211,NULL,'RIO CAVEIRAS','BIGUACU','SC',19031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800713,6.00,7.00,3.00,4.00,7.00,6.25,5.00,4.00,2.00,309,429,NULL,'FORQUILHINHAS','SAO JOSE','SC',11576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2800721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,332,201,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2800730,0.00,5.00,1.00,1.00,4.00,NULL,2.00,5.00,1.00,404,327,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2800748,2.00,6.00,1.00,5.00,6.00,5.75,3.00,7.00,2.00,327,225,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',15224,102,157,NULL,NULL,NULL,NULL,4,1),(15,2800756,2.00,7.00,2.00,5.00,6.00,6.00,3.00,6.00,4.00,318,320,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',13174,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800764,3.00,8.00,3.00,3.00,7.00,6.25,5.00,5.00,3.00,317,316,NULL,'IPIRANGA','SAO JOSE','SC',12411,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800772,2.00,4.00,2.00,3.00,4.00,NULL,1.00,1.00,1.00,317,404,NULL,'JARDIM ELDORADO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800780,4.00,6.00,3.00,5.00,6.00,4.25,5.00,5.00,4.00,317,316,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',13957,206,1013,NULL,NULL,NULL,NULL,2,1),(15,2800799,2.00,5.00,2.00,6.00,7.00,5.00,0.00,5.00,1.00,317,308,NULL,'TRINDADE','FLORIANOPOLIS','SC',18757,327,400,NULL,NULL,NULL,NULL,2,1),(15,2800802,1.00,6.00,1.00,6.00,6.00,5.75,2.00,4.00,3.00,217,327,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',17179,149,406,NULL,NULL,NULL,NULL,2,1),(15,2800810,3.00,6.00,2.00,5.00,4.00,5.00,3.00,3.00,4.00,5,316,NULL,'BREJARÚ','PALHOCA','SC',18014,746,1141,NULL,NULL,NULL,NULL,2,1),(15,2800829,0.00,7.00,1.00,3.00,7.00,4.50,3.00,4.00,3.00,424,324,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',19539,80,365,NULL,NULL,NULL,NULL,2,1),(15,2800837,2.00,5.00,4.00,7.00,7.00,7.00,2.00,3.00,4.00,429,324,425,'AGRONÔMICA','FLORIANOPOLIS','SC',14488,74,225,93,NULL,NULL,NULL,2,1),(15,2800845,2.00,7.00,0.00,4.00,7.00,NULL,1.00,5.00,2.00,404,308,NULL,'COSTA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800853,5.00,5.00,3.00,6.00,6.00,5.50,6.00,4.00,2.00,103,5,NULL,'TRINDADE','FLORIANOPOLIS','SC',11694,2340,1176,NULL,NULL,NULL,NULL,2,1),(15,2800861,2.00,6.00,3.00,6.00,6.00,5.00,4.00,3.00,1.00,426,327,425,'TRINDADE','FLORIANOPOLIS','SC',18137,63,424,150,NULL,NULL,NULL,2,1),(15,2800870,2.00,5.00,2.00,6.00,3.00,3.00,2.00,2.00,1.00,102,339,NULL,'TRINDADE','FLORIANOPOLIS','SC',22231,520,463,NULL,NULL,NULL,NULL,2,1),(15,2800888,4.00,7.00,4.00,7.00,8.00,5.50,3.00,5.00,3.00,108,333,NULL,'KOBRASOL','SAO JOSE','SC',10292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2800896,5.00,6.00,1.00,1.00,5.00,6.50,2.00,5.00,2.00,429,426,427,'RATONES','FLORIANOPOLIS','SC',18856,143,231,70,NULL,NULL,NULL,4,1),(15,2800900,4.00,6.00,6.00,5.00,6.00,6.25,6.00,6.00,6.00,238,333,208,'TAPERA','FLORIANOPOLIS','SC',6526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2800918,3.00,4.00,2.00,5.00,3.00,4.50,3.00,3.00,2.00,319,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',21390,488,1051,NULL,NULL,NULL,NULL,2,1),(15,2800934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,302,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2800942,2.00,5.00,0.00,6.00,7.00,6.50,2.00,5.00,4.00,333,331,NULL,'PANTANAL','FLORIANOPOLIS','SC',16866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2800950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,332,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2800985,2.00,8.00,3.00,7.00,7.00,5.25,3.00,4.00,3.00,103,329,NULL,'VARGEM GRADE','FLORIANOPOLIS','SC',13423,2488,165,NULL,NULL,NULL,NULL,2,1),(15,2800993,4.00,6.00,2.00,3.00,5.00,5.50,4.00,4.00,1.00,308,317,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',19368,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801000,3.00,7.00,1.00,4.00,7.00,6.00,4.00,6.00,2.00,324,224,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',14299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801019,5.00,7.00,5.00,2.00,8.00,5.25,4.00,7.00,4.00,317,224,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',9996,107,159,NULL,NULL,NULL,NULL,4,1),(15,2801035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,317,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2801043,2.00,2.00,2.00,1.00,5.00,4.75,4.00,5.00,5.00,339,324,NULL,'TRINDADE','FLORIANOPOLIS','SC',21546,156,438,NULL,NULL,NULL,NULL,4,1),(15,2801051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,427,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2801060,3.00,8.00,1.00,6.00,8.00,5.50,5.00,9.00,5.00,332,318,NULL,'FORQUILHAS','SAO JOSE','SC',7352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2801086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,328,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2801094,3.00,2.00,1.00,4.00,2.00,NULL,3.00,4.00,3.00,101,339,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801108,1.00,3.00,1.00,3.00,5.00,5.75,4.00,2.00,3.00,9,339,NULL,'SERRARIA','SAO JOSE','SC',22025,342,455,NULL,NULL,NULL,NULL,2,1),(15,2801116,2.00,5.00,1.00,7.00,4.00,2.25,2.00,3.00,2.00,301,309,NULL,'CACH DE BOM JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801124,4.00,3.00,2.00,0.00,3.00,NULL,2.00,2.00,3.00,429,308,423,'AREIAS','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2801132,1.00,4.00,2.00,1.00,3.00,NULL,2.00,2.00,2.00,101,404,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2801140,3.00,6.00,5.00,1.00,7.00,4.50,4.00,3.00,2.00,317,224,NULL,'ARIRIU','PALHOCA','SC',17010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2801159,2.00,6.00,2.00,6.00,4.00,5.50,1.00,6.00,1.00,501,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',18791,247,338,NULL,NULL,NULL,NULL,2,1),(15,2801167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,324,NULL,'ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2801175,5.00,6.00,3.00,6.00,7.00,5.75,2.00,4.00,1.00,5,327,NULL,'CENTRO','FLORIANOPOLIS','SC',14722,637,365,NULL,NULL,NULL,NULL,2,1),(15,2801183,3.00,6.00,3.00,6.00,7.00,4.25,3.00,5.00,3.00,101,324,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',15242,152,245,NULL,NULL,NULL,NULL,2,1),(15,2801191,1.00,6.00,3.00,4.00,8.00,6.00,4.00,2.00,2.00,324,339,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',18105,67,332,NULL,NULL,NULL,NULL,2,1),(15,2801205,1.00,6.00,3.00,3.00,5.00,5.75,3.00,4.00,4.00,420,301,NULL,'PASSA VINTE','PALHOCA','SC',19647,397,804,NULL,NULL,NULL,NULL,2,1),(15,2801213,3.00,5.00,1.00,5.00,6.00,6.50,2.00,3.00,2.00,102,429,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',18353,409,280,NULL,NULL,NULL,NULL,2,1),(15,2801221,4.00,7.00,4.00,3.00,5.00,6.00,3.00,4.00,2.00,201,238,212,'TRINDADE','FLORIANOPOLIS','SC',15633,834,952,318,NULL,NULL,NULL,2,1),(15,2801230,2.00,5.00,2.00,6.00,7.00,5.00,1.00,3.00,3.00,429,427,424,'SERRINHA','FLORIANOPOLIS','SC',18582,137,205,73,NULL,NULL,NULL,2,1),(15,2801248,7.00,6.00,4.00,4.00,8.00,5.00,4.00,4.00,3.00,238,NULL,213,'SÃO SEBASTIÃO','PALHOCA','SC',11426,396,NULL,181,NULL,NULL,NULL,4,1),(15,2801256,3.00,7.00,3.00,2.00,4.00,4.75,3.00,5.00,4.00,317,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',18234,308,493,NULL,NULL,NULL,NULL,2,1),(15,2801264,5.00,6.00,4.00,8.00,7.00,5.00,6.00,4.00,4.00,316,451,NULL,'PONTE DO IMARUIM','PALHOCA','SC',8996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801272,2.00,5.00,3.00,3.00,3.00,5.00,4.00,5.00,3.00,308,339,NULL,'CAMPECHE','FLORIANOPOLIS','SC',19538,137,374,NULL,NULL,NULL,NULL,2,1),(15,2801280,2.00,4.00,1.00,1.00,6.00,5.50,4.00,5.00,3.00,207,316,211,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',20568,962,1236,701,NULL,NULL,NULL,2,1),(15,2801299,4.00,6.00,4.00,6.00,5.00,7.00,3.00,4.00,2.00,420,324,NULL,'FORQUILHINHAS','SAO JOSE','SC',16058,317,265,NULL,NULL,NULL,NULL,2,1),(15,2801302,3.00,7.00,2.00,1.00,5.00,4.75,4.00,2.00,2.00,427,234,429,'CORREGO GRANDE','FLORIANOPOLIS','SC',20515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,308,NULL,'FLOR DE NAPOLIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2801329,3.00,5.00,1.00,1.00,6.00,NULL,4.00,1.00,2.00,319,308,NULL,'ITACURUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2801353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,332,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2801361,1.00,3.00,2.00,4.00,6.00,6.00,3.00,4.00,1.00,324,339,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',21088,98,426,NULL,NULL,NULL,NULL,2,1),(15,2801370,2.00,5.00,2.00,2.00,3.00,3.00,1.00,2.00,3.00,102,324,NULL,'JOSE MENDES','FLORIANOPOLIS','SC',22516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801388,1.00,6.00,0.00,2.00,5.00,NULL,2.00,3.00,2.00,304,333,NULL,'SANTA MONICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2801396,2.00,5.00,3.00,0.00,7.00,NULL,3.00,3.00,3.00,317,404,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2801400,4.00,7.00,3.00,4.00,7.00,6.50,3.00,5.00,4.00,302,339,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',13066,97,252,NULL,NULL,NULL,NULL,2,1),(15,2801418,4.00,8.00,4.00,5.00,8.00,5.50,4.00,6.00,4.00,317,324,NULL,'RATONES','FLORIANOPOLIS','SC',8280,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801426,3.00,6.00,1.00,2.00,7.00,3.00,5.00,6.00,3.00,202,217,238,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',16591,586,470,616,NULL,NULL,NULL,2,1),(15,2801434,3.00,6.00,2.00,6.00,5.00,5.00,4.00,2.00,4.00,501,224,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',16286,203,236,NULL,NULL,NULL,NULL,2,1),(15,2801442,4.00,7.00,3.00,5.00,6.00,0.00,4.00,5.00,3.00,444,217,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801450,2.00,4.00,2.00,2.00,5.00,6.25,3.00,2.00,2.00,339,NULL,NULL,'CAPIVARI DOS INGLESE','FLORIANOPOLIS','SC',20989,141,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801469,1.00,7.00,3.00,7.00,6.00,3.00,5.00,7.00,1.00,320,317,NULL,'PANTANAL','FLORIANOPOLIS','SC',14581,59,568,NULL,NULL,NULL,NULL,2,1),(15,2801477,2.00,5.00,1.00,3.00,6.00,4.50,1.00,3.00,2.00,308,316,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',21973,215,1271,NULL,NULL,NULL,NULL,2,1),(15,2801485,2.00,9.00,4.00,7.00,8.00,6.25,5.00,7.00,2.00,329,451,NULL,'CENTRO','FLORIANOPOLIS','SC',7282,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801493,4.00,6.00,1.00,5.00,6.00,5.75,2.00,3.00,2.00,101,324,NULL,'SANTOS SARAIVA','SAO JOSE','SC',18908,241,343,NULL,NULL,NULL,NULL,2,1),(15,2801507,4.00,4.00,2.00,6.00,5.00,5.50,3.00,4.00,4.00,318,420,NULL,'ITACORUBI','FLORIANOPOLIS','SC',15959,199,783,NULL,NULL,NULL,NULL,2,1),(15,2801515,2.00,8.00,2.00,5.00,7.00,5.25,3.00,1.00,1.00,238,108,211,'RIO VERMELHO','FLORIANOPOLIS','SC',18401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801523,0.00,1.00,1.00,0.00,1.00,NULL,1.00,1.00,2.00,217,332,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801531,2.00,7.00,2.00,5.00,6.00,4.25,5.00,4.00,4.00,404,326,NULL,'SERRINHA','FLORIANOPOLIS','SC',15822,125,290,NULL,NULL,NULL,NULL,2,1),(15,2801540,0.00,1.00,0.00,4.00,6.00,NULL,2.00,5.00,1.00,102,339,NULL,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801558,0.00,3.00,0.00,3.00,5.00,NULL,3.00,4.00,2.00,339,NULL,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801566,5.00,7.00,5.00,5.00,9.00,6.75,9.00,8.00,6.00,238,225,208,'ESTREITO','FLORIANOPOLIS','SC',1542,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801574,1.00,6.00,5.00,3.00,6.00,4.75,3.00,4.00,2.00,217,324,NULL,'TRINDADE','FLORIANOPOLIS','SC',17831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,224,NULL,'BREJARU','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2801590,0.00,4.00,1.00,1.00,4.00,NULL,2.00,3.00,3.00,101,339,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801604,3.00,7.00,4.00,5.00,5.00,5.25,4.00,5.00,3.00,320,324,NULL,'TAPERA','FLORIANOPOLIS','SC',13704,53,215,NULL,NULL,NULL,NULL,2,1),(15,2801612,4.00,6.00,1.00,7.00,7.00,5.25,4.00,8.00,4.00,217,333,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',9757,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801620,5.00,7.00,3.00,3.00,8.00,3.00,5.00,4.00,3.00,327,420,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',13764,76,731,NULL,NULL,NULL,NULL,4,1),(15,2801647,7.00,8.00,7.00,8.00,8.00,5.50,6.00,8.00,6.00,329,319,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',1632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2801655,2.00,4.00,2.00,2.00,6.00,NULL,2.00,3.00,2.00,333,2,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801663,4.00,7.00,5.00,3.00,7.00,4.50,5.00,6.00,4.00,207,302,201,'SERTÃO DO MARUIM','SAO JOSE','SC',10331,498,243,568,NULL,NULL,NULL,4,1),(15,2801671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,201,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2801680,2.00,5.00,0.00,4.00,4.00,NULL,3.00,4.00,2.00,501,308,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801698,3.00,6.00,2.00,6.00,6.00,4.75,3.00,3.00,1.00,238,316,NULL,'VARGEM PEQUENA','FLORIANOPOLIS','SC',18551,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801701,3.00,3.00,3.00,4.00,6.00,5.50,2.00,3.00,2.00,103,101,NULL,'ITACORUBI','FLORIANOPOLIS','SC',20994,3048,759,NULL,NULL,NULL,NULL,2,1),(15,2801710,2.00,2.00,0.00,4.00,3.00,NULL,3.00,2.00,1.00,103,102,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801728,4.00,5.00,4.00,5.00,6.00,5.75,6.00,5.00,4.00,207,333,211,'CAMPECHE','FLORIANOPOLIS','SC',11286,553,700,399,NULL,NULL,NULL,2,1),(15,2801736,3.00,5.00,5.00,6.00,6.00,5.00,2.00,1.00,3.00,317,318,NULL,'BALA VISTA','SAO JOSE','SC',17433,295,486,NULL,NULL,NULL,NULL,2,1),(15,2801744,4.00,5.00,0.00,4.00,2.00,NULL,4.00,3.00,3.00,101,425,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801752,2.00,4.00,4.00,2.00,6.00,3.25,3.00,2.00,1.00,211,234,212,'VARGEM PEQUENA','FLORIANOPOLIS','SC',22346,759,259,431,NULL,NULL,NULL,2,1),(15,2801760,5.00,5.00,5.00,9.00,7.00,4.50,7.00,5.00,3.00,202,225,213,'SACO GRANDE','FLORIANOPOLIS','SC',6722,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801779,5.00,6.00,3.00,4.00,7.00,2.25,4.00,3.00,3.00,316,208,NULL,'INGLESES DO RIO V','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801787,2.00,6.00,1.00,5.00,7.00,5.25,4.00,4.00,3.00,327,427,NULL,'INGLESES','FLORIANOPOLIS','SC',16743,124,191,NULL,NULL,NULL,NULL,2,1),(15,2801795,4.00,4.00,4.00,3.00,7.00,4.75,4.00,4.00,1.00,102,217,NULL,'JARDIM JANAÍNA','BIGUACU','SC',18142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2801809,0.00,1.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,319,444,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',4,1),(15,2801825,2.00,2.00,3.00,3.00,3.00,NULL,0.00,1.00,1.00,501,502,NULL,'LOTEAMENTO LUAR','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801833,2.00,5.00,2.00,4.00,6.00,6.25,3.00,4.00,4.00,316,318,NULL,'INGLESES','FLORIANOPOLIS','SC',17119,485,481,NULL,NULL,NULL,NULL,2,1),(15,2801841,3.00,2.00,2.00,2.00,4.00,NULL,2.00,2.00,1.00,317,316,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801850,2.00,4.00,4.00,5.00,5.00,3.75,4.00,4.00,1.00,324,317,NULL,'ITACORUBI','FLORIANOPOLIS','SC',19938,87,646,NULL,NULL,NULL,NULL,2,1),(15,2801868,2.00,2.00,1.00,4.00,3.00,NULL,2.00,3.00,1.00,319,9,NULL,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801876,2.00,6.00,1.00,5.00,7.00,4.75,3.00,4.00,1.00,425,333,429,'PINHEIRA','PALHOCA','SC',17986,149,919,127,NULL,NULL,NULL,2,1),(15,2801884,3.00,4.00,2.00,4.00,6.00,4.00,1.00,2.00,2.00,426,333,429,'RIO VERMELHO','FLORIANOPOLIS','SC',21540,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801906,3.00,6.00,2.00,6.00,6.00,5.75,2.00,3.00,0.00,316,444,NULL,'JARDIM CIDADE DE FPO','SAO JOSE','SC',18269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801914,2.00,3.00,2.00,0.00,5.00,NULL,1.00,5.00,1.00,5,102,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801922,4.00,8.00,3.00,5.00,7.00,4.50,6.00,7.00,3.00,316,NULL,NULL,'INGLESES','FLORIANOPOLIS','SC',9421,210,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801930,2.00,7.00,4.00,4.00,8.00,6.25,4.00,6.00,3.00,324,326,NULL,'CARIANOS','FLORIANOPOLIS','SC',11900,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801949,6.00,7.00,2.00,5.00,8.00,6.25,4.00,6.00,2.00,308,9,NULL,'CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC',10676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801957,3.00,7.00,3.00,4.00,3.00,4.75,2.00,3.00,3.00,317,339,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',19297,341,367,NULL,NULL,NULL,NULL,2,1),(15,2801965,2.00,4.00,2.00,2.00,6.00,NULL,1.00,2.00,1.00,301,208,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2801973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,502,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2801990,5.00,5.00,3.00,4.00,7.00,5.00,5.00,6.00,2.00,217,324,NULL,'SERRINHA','FLORIANOPOLIS','SC',13349,107,209,NULL,NULL,NULL,NULL,2,1),(15,2802007,2.00,3.00,4.00,7.00,4.00,5.50,4.00,2.00,3.00,339,318,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',18550,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802015,2.00,7.00,2.00,5.00,9.00,7.00,2.00,5.00,3.00,319,339,NULL,'TRINDADE','FLORIANOPOLIS','SC',13865,266,259,NULL,NULL,NULL,NULL,2,1),(15,2802023,1.00,5.00,2.00,1.00,5.00,3.75,5.00,6.00,2.00,233,331,211,'ITACORUBI','FLORIANOPOLIS','SC',19807,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802031,2.00,4.00,4.00,2.00,5.00,4.00,4.00,4.00,2.00,316,317,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',20100,609,648,NULL,NULL,NULL,NULL,2,1),(15,2802040,3.00,5.00,5.00,1.00,3.00,4.75,4.00,7.00,1.00,238,224,214,'PRADO','BIGUACU','SC',18853,698,270,549,NULL,NULL,NULL,2,1),(15,2802058,1.00,7.00,1.00,2.00,7.00,5.25,3.00,6.00,1.00,404,309,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',19433,188,212,NULL,NULL,NULL,NULL,2,1),(15,2802066,8.00,9.00,9.00,9.00,8.00,7.00,8.00,9.00,7.00,220,201,208,'CENTRO','FLORIANOPOLIS','SC',133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2802074,2.00,6.00,4.00,6.00,7.00,5.75,4.00,3.00,2.00,316,421,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',15139,412,121,NULL,NULL,NULL,NULL,2,1),(15,2802082,1.00,7.00,1.00,3.00,6.00,3.75,2.00,5.00,2.00,332,404,NULL,'INGLESES','FLORIANOPOLIS','SC',19773,122,467,NULL,NULL,NULL,NULL,2,1),(15,2802090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,451,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2802104,4.00,6.00,3.00,6.00,8.00,4.00,5.00,4.00,3.00,501,339,NULL,'TAPERA','FLORIANOPOLIS','SC',11707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802112,5.00,9.00,4.00,7.00,8.00,6.50,5.00,7.00,5.00,444,309,NULL,'INGLESES','FLORIANOPOLIS','SC',3574,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802120,4.00,7.00,1.00,6.00,7.00,4.75,6.00,8.00,2.00,201,212,207,'SACA DOS LIMOES','FLORIANOPOLIS','SC',10043,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802139,1.00,5.00,2.00,4.00,4.00,NULL,2.00,2.00,1.00,501,224,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802147,3.00,7.00,4.00,4.00,8.00,5.75,4.00,6.00,3.00,319,425,NULL,'RATONES','FLORIANOPOLIS','SC',11992,214,311,NULL,NULL,NULL,NULL,2,1),(15,2802163,1.00,7.00,1.00,4.00,5.00,7.00,6.00,7.00,1.00,211,426,215,'ARMAÇÃO','FLORIANOPOLIS','SC',13760,486,180,281,NULL,NULL,NULL,4,1),(15,2802171,1.00,8.00,2.00,0.00,7.00,6.00,5.00,2.00,2.00,102,104,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',19989,453,1240,NULL,NULL,NULL,NULL,4,1),(15,2802180,5.00,6.00,4.00,6.00,8.00,5.50,8.00,8.00,4.00,339,329,NULL,'COSTEIRA','FLORIANOPOLIS','SC',5586,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2802198,3.00,6.00,1.00,4.00,6.00,5.50,3.00,3.00,1.00,502,415,NULL,'TRINDADE','FLORIANOPOLIS','SC',18870,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802201,3.00,5.00,4.00,4.00,6.00,3.50,3.00,5.00,4.00,101,404,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',16012,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802210,3.00,7.00,3.00,0.00,3.00,4.50,1.00,5.00,2.00,339,502,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',21717,161,365,NULL,NULL,NULL,NULL,2,1),(15,2802236,2.00,3.00,3.00,4.00,5.00,5.50,3.00,4.00,1.00,317,213,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',21091,397,496,NULL,NULL,NULL,NULL,2,1),(15,2802244,1.00,5.00,3.00,1.00,7.00,NULL,2.00,3.00,2.00,339,9,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802260,2.00,7.00,2.00,0.00,4.00,NULL,3.00,4.00,2.00,317,316,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2802279,2.00,4.00,0.00,5.00,6.00,5.25,3.00,4.00,3.00,501,217,NULL,'CENTRO','FLORIANOPOLIS','SC',18557,244,500,NULL,NULL,NULL,NULL,2,1),(15,2802287,3.00,5.00,1.00,7.00,5.00,4.25,3.00,6.00,3.00,308,339,NULL,'ITACORUBI','FLORIANOPOLIS','SC',17185,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802295,2.00,3.00,1.00,3.00,3.00,3.75,2.00,5.00,4.00,324,339,NULL,'CENTRO','FLORIANOPOLIS','SC',22171,109,459,NULL,NULL,NULL,NULL,2,1),(15,2802309,5.00,7.00,5.00,4.00,6.00,5.00,6.00,7.00,5.00,316,238,NULL,'TRINDADE','FLORIANOPOLIS','SC',7742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2802317,3.00,2.00,3.00,6.00,5.00,4.25,5.00,4.00,0.00,317,339,NULL,'TAPERA','FLORIANOPOLIS','SC',19727,352,379,NULL,NULL,NULL,NULL,2,1),(15,2802325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,429,NULL,'ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2802333,3.00,8.00,1.00,8.00,6.00,6.00,5.00,7.00,3.00,332,444,NULL,'INGLESES','FLORIANOPOLIS','SC',8766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802341,4.00,7.00,2.00,3.00,8.00,5.00,3.00,5.00,5.00,217,102,NULL,'TRINDADE','FLORIANOPOLIS','SC',14039,118,922,NULL,NULL,NULL,NULL,4,1),(15,2802350,2.00,5.00,1.00,4.00,6.00,3.75,5.00,3.00,2.00,339,101,NULL,'TAPERA','FLORIANOPOLIS','SC',20337,127,743,NULL,NULL,NULL,NULL,2,1),(15,2802368,4.00,7.00,3.00,4.00,6.00,4.25,3.00,6.00,2.00,316,317,NULL,'PICADAS DO SUL','SAO JOSE','SC',15497,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802376,0.00,5.00,1.00,5.00,7.00,5.75,2.00,3.00,1.00,102,316,NULL,'COQUEIROS','FLORIANOPOLIS','SC',21435,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802384,2.00,6.00,2.00,2.00,8.00,5.50,5.00,3.00,2.00,238,333,208,'BARRA DA LAGOA','FLORIANOPOLIS','SC',17377,641,895,678,NULL,NULL,NULL,2,1),(15,2802392,3.00,4.00,1.00,5.00,6.00,6.25,1.00,3.00,3.00,327,324,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',20367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802406,2.00,6.00,5.00,2.00,7.00,6.50,3.00,5.00,2.00,316,317,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',15491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2802414,2.00,2.00,1.00,5.00,6.00,4.50,3.00,4.00,3.00,308,339,NULL,'BARREIROS','SAO JOSE','SC',21406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802422,2.00,7.00,7.00,5.00,6.00,3.00,4.00,5.00,2.00,317,234,NULL,'TRINDADE','FLORIANOPOLIS','SC',13949,205,201,NULL,NULL,NULL,NULL,2,1),(15,2802430,4.00,5.00,1.00,5.00,3.00,5.00,5.00,5.00,3.00,332,333,NULL,'PANTANAL','FLORIANOPOLIS','SC',16604,92,869,NULL,NULL,NULL,NULL,2,1),(15,2802449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,324,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2802457,3.00,4.00,2.00,4.00,5.00,2.50,3.00,3.00,2.00,224,318,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802473,0.00,5.00,2.00,6.00,6.00,3.00,4.00,6.00,5.00,316,429,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',17893,518,278,NULL,NULL,NULL,NULL,2,1),(15,2802481,4.00,5.00,5.00,4.00,6.00,4.75,2.00,5.00,3.00,102,217,NULL,'BARREIROS','SAO JOSE','SC',15274,329,453,NULL,NULL,NULL,NULL,2,1),(15,2802503,3.00,5.00,3.00,2.00,5.00,5.00,2.00,2.00,3.00,223,225,NULL,'AGRINÔMICA','FLORIANOPOLIS','SC',20569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2802511,1.00,4.00,3.00,2.00,6.00,6.00,3.00,3.00,1.00,101,104,NULL,'PRAIA DE FORA','PALHOCA','SC',20627,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802538,2.00,4.00,3.00,8.00,6.00,4.50,3.00,6.00,2.00,302,304,NULL,'CAMPECHE','FLORIANOPOLIS','SC',15193,125,385,NULL,NULL,NULL,NULL,2,1),(15,2802546,1.00,6.00,1.00,4.00,7.00,4.00,2.00,3.00,2.00,339,324,NULL,'COQUEIROS','FLORIANOPOLIS','SC',20705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802562,1.00,4.00,1.00,4.00,3.00,4.00,1.00,4.00,1.00,319,324,NULL,'CENTRO','BIGUACU','SC',22456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2802570,4.00,6.00,6.00,4.00,6.00,4.75,3.00,3.00,3.00,224,451,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',12934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802589,2.00,2.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,339,102,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802597,3.00,6.00,3.00,5.00,8.00,5.00,2.00,3.00,1.00,308,324,NULL,'CAMPINAS','SAO JOSE','SC',17003,79,285,NULL,NULL,NULL,NULL,2,1),(15,2802600,4.00,5.00,1.00,2.00,7.00,7.00,3.00,5.00,2.00,328,451,NULL,'PRAIA DOS INGLESES','FLORIANOPOLIS','SC',17494,35,248,NULL,NULL,NULL,NULL,4,1),(15,2802619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,329,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2802635,3.00,7.00,3.00,0.00,2.00,NULL,1.00,6.00,2.00,451,211,NULL,'CENTRO','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802643,1.00,7.00,3.00,4.00,7.00,6.75,5.00,5.00,3.00,224,223,NULL,'SERRINHA','FLORIANOPOLIS','SC',13210,31,162,NULL,NULL,NULL,NULL,2,1),(15,2802651,2.00,6.00,3.00,5.00,5.00,4.25,5.00,4.00,2.00,426,310,428,'ITAGUAÇU','FLORIANOPOLIS','SC',17232,59,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802660,4.00,8.00,3.00,6.00,8.00,6.50,3.00,5.00,4.00,327,318,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',10550,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802678,7.00,7.00,6.00,5.00,7.00,5.75,7.00,4.00,3.00,316,317,NULL,'ESTREITO','FLORIANOPOLIS','SC',5648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802686,3.00,8.00,5.00,5.00,4.00,4.25,7.00,3.00,2.00,101,339,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',13110,109,253,NULL,NULL,NULL,NULL,2,1),(15,2802694,1.00,4.00,3.00,0.00,5.00,4.50,3.00,4.00,2.00,317,423,NULL,'COQUEIROS','FLORIANOPOLIS','SC',22309,422,266,NULL,NULL,NULL,NULL,2,1),(15,2802708,3.00,3.00,3.00,3.00,6.00,5.50,5.00,4.00,1.00,102,234,NULL,'KOBRASOL','SAO JOSE','SC',19804,445,246,NULL,NULL,NULL,NULL,2,1),(15,2802716,3.00,5.00,1.00,8.00,6.00,5.75,3.00,5.00,1.00,415,451,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',16427,411,235,NULL,NULL,NULL,NULL,2,1),(15,2802724,1.00,5.00,4.00,6.00,8.00,5.75,3.00,7.00,3.00,317,318,NULL,'VENDAVAL','BIGUACU','SC',13038,183,429,NULL,NULL,NULL,NULL,2,1),(15,2802732,2.00,7.00,1.00,5.00,6.00,4.75,4.00,4.00,1.00,217,421,NULL,'TAPERA','FLORIANOPOLIS','SC',16706,145,132,NULL,NULL,NULL,NULL,2,1),(15,2802759,3.00,5.00,5.00,5.00,6.00,4.75,5.00,6.00,3.00,327,332,NULL,'PONTE DO IMARUIM','PALHOCA','SC',12422,61,228,NULL,NULL,NULL,NULL,2,1),(15,2802767,4.00,6.00,0.00,2.00,6.00,5.00,4.00,4.00,3.00,5,444,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',18470,764,537,NULL,NULL,NULL,NULL,2,1),(15,2802775,5.00,6.00,2.00,6.00,9.00,4.00,6.00,5.00,3.00,102,217,NULL,'BARREIROS','SAO JOSE','SC',11304,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802783,2.00,3.00,3.00,3.00,5.00,5.00,2.00,3.00,3.00,308,309,NULL,'AREIAS','PAULO LOPES','SC',21699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2802791,1.00,5.00,4.00,5.00,7.00,5.50,5.00,5.00,1.00,425,319,424,'RIO VERMELHO','FLORIANOPOLIS','SC',15905,115,819,43,NULL,NULL,NULL,4,1),(15,2802805,3.00,5.00,2.00,3.00,5.00,6.00,0.00,4.00,2.00,332,501,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',21300,140,578,NULL,NULL,NULL,NULL,2,1),(15,2802813,6.00,3.00,2.00,6.00,6.00,4.00,5.00,5.00,3.00,317,318,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',15000,231,451,NULL,NULL,NULL,NULL,2,1),(15,2802821,0.00,5.00,3.00,5.00,4.00,NULL,1.00,3.00,1.00,333,502,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802830,2.00,4.00,1.00,1.00,1.00,NULL,1.00,2.00,2.00,108,502,NULL,'JOSE MENDES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802848,4.00,7.00,2.00,6.00,8.00,4.50,4.00,8.00,2.00,328,451,NULL,'CARIANOS','FLORIANOPOLIS','SC',11545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802856,3.00,7.00,1.00,2.00,7.00,5.25,4.00,5.00,3.00,327,308,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',17067,133,365,NULL,NULL,NULL,NULL,4,1),(15,2802864,2.00,5.00,1.00,4.00,3.00,4.25,4.00,3.00,3.00,208,238,NULL,'ARMAÇAO','FLORIANOPOLIS','SC',21808,883,1042,NULL,NULL,NULL,NULL,2,1),(15,2802872,0.00,0.00,0.00,1.00,1.00,NULL,0.00,0.00,0.00,316,238,NULL,'SERRIMHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2802880,1.00,3.00,1.00,4.00,3.00,4.50,4.00,3.00,1.00,339,101,NULL,'FORQUILHAS','SAO JOSE','SC',22503,183,795,NULL,NULL,NULL,NULL,2,1),(15,2802899,2.00,6.00,3.00,6.00,7.00,6.50,5.00,7.00,2.00,320,329,NULL,'ITACORUBI','FLORIANOPOLIS','SC',10728,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802929,1.00,3.00,1.00,2.00,4.00,NULL,4.00,1.00,2.00,317,302,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802937,2.00,2.00,0.00,0.00,2.00,NULL,3.00,4.00,0.00,319,451,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802945,4.00,8.00,2.00,5.00,8.00,5.50,6.00,5.00,4.00,326,428,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',9092,37,161,NULL,NULL,NULL,NULL,2,1),(15,2802953,4.00,4.00,5.00,8.00,4.00,4.25,4.00,3.00,2.00,101,309,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',17352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802961,3.00,5.00,4.00,1.00,8.00,4.50,3.00,5.00,3.00,444,331,NULL,'KOBRASOL','SAO JOSE','SC',17530,187,204,NULL,NULL,NULL,NULL,4,1),(15,2802970,1.00,4.00,0.00,0.00,1.00,NULL,1.00,2.00,4.00,444,NULL,NULL,'LAGOA DA CONÇEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2802988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,333,202,'JOAQUINA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2802996,1.00,6.00,3.00,5.00,6.00,4.75,2.00,2.00,1.00,332,324,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',20431,130,396,NULL,NULL,NULL,NULL,2,1),(15,2803003,1.00,6.00,5.00,6.00,7.00,5.50,5.00,5.00,2.00,317,320,NULL,'BARREIROS','SAO JOSE','SC',11586,144,161,NULL,NULL,NULL,NULL,2,1),(15,2803011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,404,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2803020,5.00,6.00,5.00,5.00,4.00,3.50,4.00,5.00,3.00,238,222,NULL,'RIO CAVEIRAS','BIGUACU','SC',14103,516,158,NULL,NULL,NULL,NULL,2,1),(15,2803038,3.00,6.00,4.00,5.00,5.00,6.50,2.00,5.00,1.00,450,326,NULL,'FORQUILHINHAS','SAO JOSE','SC',16291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2803046,4.00,5.00,3.00,5.00,5.00,5.75,3.00,4.00,3.00,9,339,NULL,'CENTRO','FLORIANOPOLIS','SC',16117,214,301,NULL,NULL,NULL,NULL,2,1),(15,2803054,1.00,2.00,0.00,2.00,4.00,NULL,3.00,2.00,1.00,429,324,423,'PONTE DE IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2803062,2.00,6.00,3.00,5.00,8.00,5.75,5.00,5.00,4.00,234,224,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',12345,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803070,1.00,3.00,3.00,5.00,8.00,5.75,4.00,3.00,1.00,404,324,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',18599,173,330,NULL,NULL,NULL,NULL,4,1),(15,2803089,7.00,5.00,2.00,5.00,8.00,4.25,2.00,4.00,2.00,104,101,NULL,'CENTRO','FLORIANOPOLIS','SC',13866,458,610,NULL,NULL,NULL,NULL,2,1),(15,2803097,3.00,5.00,2.00,3.00,8.00,5.25,3.00,6.00,2.00,5,316,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',16333,692,1093,NULL,NULL,NULL,NULL,4,1),(15,2803100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,316,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2803119,2.00,7.00,3.00,6.00,6.00,6.25,6.00,4.00,2.00,331,108,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',12896,46,779,NULL,NULL,NULL,NULL,2,1),(15,2803127,3.00,3.00,1.00,4.00,5.00,4.50,2.00,5.00,3.00,339,324,NULL,'TAPERA','FLORIANOPOLIS','SC',21180,147,421,NULL,NULL,NULL,NULL,2,1),(15,2803135,2.00,7.00,1.00,7.00,8.00,6.50,4.00,7.00,2.00,425,424,423,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',10224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2803143,0.00,3.00,3.00,3.00,0.00,NULL,4.00,1.00,2.00,339,316,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803151,4.00,4.00,4.00,2.00,7.00,4.00,3.00,4.00,4.00,429,424,427,'ESTREITO','FLORIANOPOLIS','SC',17156,112,227,50,NULL,NULL,NULL,4,1),(15,2803160,3.00,2.00,5.00,4.00,5.00,4.50,3.00,3.00,3.00,404,217,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',19902,199,515,NULL,NULL,NULL,NULL,2,1),(15,2803178,3.00,8.00,3.00,6.00,6.00,6.25,4.00,6.00,1.00,319,320,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',11273,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,102,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2803194,1.00,5.00,0.00,3.00,6.00,4.75,2.00,7.00,2.00,101,324,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',19788,262,371,NULL,NULL,NULL,NULL,2,1),(15,2803208,1.00,6.00,1.00,5.00,6.00,6.25,2.00,5.00,2.00,427,324,421,'COSTEIRA PIRAJUBAE','FLORIANOPOLIS','SC',17102,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803216,2.00,7.00,5.00,2.00,3.00,4.50,3.00,5.00,2.00,339,324,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',18603,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,316,208,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2803232,1.00,5.00,1.00,4.00,7.00,4.25,4.00,6.00,1.00,103,309,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',19288,2944,206,NULL,NULL,NULL,NULL,2,1),(15,2803240,4.00,7.00,6.00,8.00,8.00,6.75,8.00,6.00,3.00,238,429,201,'RIO TAVARES','FLORIANOPOLIS','SC',4020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2803259,1.00,4.00,4.00,4.00,5.00,4.50,5.00,3.00,3.00,324,339,NULL,'TRINDADE','FLORIANOPOLIS','SC',18688,73,349,NULL,NULL,NULL,NULL,2,1),(15,2803267,4.00,5.00,4.00,5.00,8.00,6.25,3.00,4.00,2.00,108,331,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',13448,299,160,NULL,NULL,NULL,NULL,2,1),(15,2803275,3.00,3.00,5.00,4.00,6.00,4.00,4.00,2.00,2.00,5,316,NULL,'COPOEIRAS','FLORIANOPOLIS','SC',19102,798,1189,NULL,NULL,NULL,NULL,2,1),(15,2803283,4.00,7.00,3.00,4.00,7.00,6.25,4.00,6.00,3.00,501,332,NULL,'COQUEIROS','FLORIANOPOLIS','SC',11902,114,220,NULL,NULL,NULL,NULL,4,1),(15,2803291,3.00,4.00,2.00,1.00,4.00,3.00,4.00,5.00,1.00,201,320,207,'TRINDADE','FLORIANOPOLIS','SC',22141,1140,249,1032,NULL,NULL,NULL,2,1),(15,2803305,3.00,6.00,3.00,2.00,6.00,5.25,3.00,5.00,1.00,316,420,NULL,'CAMPECHE','FLORIANOPOLIS','SC',17830,517,826,NULL,NULL,NULL,NULL,2,1),(15,2803313,3.00,6.00,3.00,6.00,7.00,3.00,4.00,8.00,2.00,404,444,NULL,'COSTEIRA','FLORIANOPOLIS','SC',12950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803321,3.00,7.00,4.00,3.00,6.00,3.50,3.00,7.00,2.00,332,238,NULL,'INGLESES','FLORIANOPOLIS','SC',15804,84,954,NULL,NULL,NULL,NULL,2,1),(15,2803348,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,339,309,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2803356,2.00,3.00,3.00,0.00,6.00,NULL,3.00,4.00,1.00,317,318,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2803372,2.00,3.00,1.00,1.00,7.00,4.75,3.00,4.00,2.00,333,316,NULL,'PRAINHACENTRO','FLORIANOPOLIS','SC',20679,383,1238,NULL,NULL,NULL,NULL,2,1),(15,2803380,4.00,5.00,4.00,5.00,7.00,6.50,5.00,5.00,4.00,429,333,425,'CAMPINAS','SAO JOSE','SC',9297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2803399,4.00,5.00,2.00,7.00,5.00,5.25,2.00,5.00,2.00,331,301,NULL,'CAMPECHE','FLORIANOPOLIS','SC',16868,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803402,2.00,7.00,1.00,4.00,7.00,3.50,2.00,4.00,3.00,339,324,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',18966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803410,4.00,6.00,4.00,6.00,6.00,4.25,4.00,6.00,3.00,317,224,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',12026,152,188,NULL,NULL,NULL,NULL,2,1),(15,2803429,2.00,4.00,2.00,4.00,5.00,4.50,4.00,4.00,1.00,301,317,NULL,'SANTOS SARAIVA','SAO JOSE','SC',20109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803437,4.00,5.00,2.00,3.00,4.00,5.50,3.00,5.00,3.00,426,332,429,'CAMPECHE','FLORIANOPOLIS','SC',18327,64,290,133,NULL,NULL,NULL,2,1),(15,2803445,7.00,8.00,5.00,8.00,6.00,5.50,5.00,7.00,5.00,317,NULL,NULL,'AREIAS','SAO JOSE','SC',4125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803453,1.00,3.00,1.00,7.00,5.00,5.75,3.00,2.00,3.00,332,333,NULL,'ARMAÇÃO PÂNTANO SUL','FLORIANOPOLIS','SC',19689,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803461,2.00,2.00,1.00,5.00,6.00,5.50,1.00,4.00,1.00,324,339,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',21822,105,449,NULL,NULL,NULL,NULL,2,1),(15,2803470,7.00,8.00,4.00,5.00,9.00,5.50,4.00,7.00,5.00,332,339,NULL,'ESTREITO','FLORIANOPOLIS','SC',5765,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,429,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2803500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,224,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2803518,5.00,7.00,7.00,2.00,8.00,5.00,7.00,7.00,6.00,303,444,NULL,'TRINDADE','FLORIANOPOLIS','SC',6119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2803534,5.00,7.00,5.00,5.00,8.00,5.75,2.00,6.00,3.00,217,108,NULL,'FORQUILHINHAS','SAO JOSE','SC',9754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803542,4.00,7.00,1.00,5.00,6.00,3.75,4.00,3.00,2.00,217,NULL,NULL,'MADRI','PALHOCA','SC',17327,154,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803550,7.00,6.00,0.00,6.00,6.00,3.75,3.00,6.00,4.00,501,328,NULL,'TRINDADE','FLORIANOPOLIS','SC',13033,135,92,NULL,NULL,NULL,NULL,2,1),(15,2803569,1.00,6.00,2.00,5.00,7.00,6.00,3.00,4.00,1.00,502,501,NULL,'TRINDADE','FLORIANOPOLIS','SC',18107,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803577,3.00,4.00,2.00,6.00,6.00,6.50,3.00,5.00,1.00,317,318,NULL,'CAMINHO NOVO','PALHOCA','SC',16713,283,476,NULL,NULL,NULL,NULL,2,1),(15,2803585,5.00,8.00,6.00,8.00,8.00,6.00,5.00,8.00,5.00,104,424,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',3222,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803593,4.00,5.00,2.00,5.00,6.00,3.50,6.00,3.00,4.00,203,224,202,'SERRARIA','SAO JOSE','SC',14856,956,220,545,NULL,NULL,NULL,2,1),(15,2803607,3.00,3.00,1.00,4.00,3.00,2.00,2.00,3.00,1.00,316,5,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803615,2.00,4.00,2.00,4.00,8.00,5.75,4.00,5.00,2.00,5,303,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',17278,722,1272,NULL,NULL,NULL,NULL,2,1),(15,2803623,5.00,6.00,1.00,3.00,8.00,6.00,3.00,5.00,6.00,9,317,NULL,'REAL PARQUE','SAO JOSE','SC',12601,149,542,NULL,NULL,NULL,NULL,4,1),(15,2803631,7.00,6.00,7.00,7.00,8.00,5.25,6.00,4.00,4.00,415,429,NULL,'ARMAÇÃO DO PÂNTANO','FLORIANOPOLIS','SC',5943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803640,2.00,6.00,2.00,1.00,6.00,4.75,4.00,6.00,1.00,238,NULL,NULL,'INGLESES','FLORIANOPOLIS','SC',18620,691,NULL,NULL,NULL,NULL,NULL,4,1),(15,2803658,2.00,5.00,0.00,7.00,8.00,4.25,3.00,4.00,3.00,238,429,208,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',15896,588,264,618,NULL,NULL,NULL,2,1),(15,2803666,0.00,4.00,0.00,4.00,3.00,NULL,3.00,5.00,0.00,326,328,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803674,2.00,7.00,5.00,3.00,7.00,6.25,1.00,5.00,3.00,101,102,NULL,'TRINDADE','FLORIANOPOLIS','SC',15354,156,951,NULL,NULL,NULL,NULL,4,1),(15,2803682,1.00,6.00,2.00,6.00,7.00,4.75,5.00,7.00,4.00,317,308,NULL,'BARREIROS','SAO JOSE','SC',12000,150,279,NULL,NULL,NULL,NULL,2,1),(15,2803690,7.00,5.00,1.00,1.00,7.00,5.75,6.00,4.00,3.00,316,317,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',14071,376,564,NULL,NULL,NULL,NULL,4,1),(15,2803704,4.00,4.00,3.00,4.00,6.00,3.75,5.00,4.00,3.00,319,329,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',16878,353,209,NULL,NULL,NULL,NULL,2,1),(15,2803712,4.00,2.00,2.00,2.00,6.00,3.50,3.00,5.00,3.00,238,318,208,'SACO GRANDE','FLORIANOPOLIS','SC',21096,782,523,847,NULL,NULL,NULL,2,1),(15,2803720,3.00,5.00,3.00,0.00,6.00,5.75,1.00,6.00,1.00,331,324,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',19974,89,377,NULL,NULL,NULL,NULL,4,1),(15,2803739,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,327,324,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2803747,4.00,5.00,3.00,5.00,8.00,5.50,3.00,5.00,2.00,108,327,NULL,'JD CIDADE DE FPOLIS','SAO JOSE','SC',14091,309,355,NULL,NULL,NULL,NULL,2,1),(15,2803755,3.00,8.00,1.00,3.00,8.00,6.00,3.00,5.00,3.00,308,319,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',14774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2803763,1.00,5.00,0.00,1.00,7.00,NULL,4.00,2.00,2.00,238,317,208,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2803771,4.00,6.00,4.00,6.00,7.00,5.50,4.00,7.00,2.00,101,339,NULL,'SÃO FRANCISCO','SANTO AMARO DA IMPERATRIZ','SC',9395,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803780,1.00,5.00,2.00,5.00,6.00,5.00,3.00,4.00,1.00,327,320,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',19786,166,233,NULL,NULL,NULL,NULL,2,1),(15,2803798,3.00,6.00,1.00,2.00,6.00,4.50,4.00,4.00,2.00,444,234,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',18653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803801,2.00,3.00,4.00,3.00,2.00,NULL,2.00,2.00,1.00,324,444,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803810,1.00,5.00,2.00,4.00,8.00,4.75,3.00,4.00,4.00,309,324,NULL,'INGLESES','FLORIANOPOLIS','SC',17415,32,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803828,2.00,8.00,3.00,5.00,7.00,7.00,4.00,7.00,2.00,103,101,NULL,'BARREIROS','SAO JOSE','SC',10369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803836,3.00,7.00,2.00,2.00,7.00,4.00,4.00,2.00,2.00,316,429,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',18678,549,284,NULL,NULL,NULL,NULL,4,1),(15,2803844,3.00,4.00,1.00,4.00,5.00,3.75,2.00,5.00,2.00,316,324,NULL,'COSTEIRA','FLORIANOPOLIS','SC',21148,643,419,NULL,NULL,NULL,NULL,2,1),(15,2803852,3.00,5.00,0.00,6.00,7.00,5.75,3.00,6.00,4.00,339,324,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',15260,30,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803860,1.00,3.00,0.00,1.00,6.00,NULL,3.00,1.00,5.00,5,423,NULL,'JARDIM JANAINA','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2803879,5.00,7.00,4.00,2.00,8.00,5.00,3.00,5.00,5.00,316,238,NULL,'TAPERA','FLORIANOPOLIS','SC',11520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2803887,3.00,7.00,4.00,4.00,8.00,6.25,6.00,1.00,2.00,324,217,NULL,'DANIELA','FLORIANOPOLIS','SC',13063,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803895,2.00,5.00,1.00,4.00,6.00,6.00,3.00,2.00,3.00,333,217,NULL,'VARGEM PEQUENA','FLORIANOPOLIS','SC',19694,361,512,NULL,NULL,NULL,NULL,2,1),(15,2803909,1.00,6.00,0.00,6.00,3.00,NULL,0.00,3.00,1.00,316,318,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803917,8.00,8.00,6.00,7.00,9.00,7.75,7.00,8.00,6.00,108,415,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',1245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2803925,4.00,7.00,4.00,5.00,8.00,4.50,4.00,4.00,6.00,502,426,NULL,'RATONES','FLORIANOPOLIS','SC',10894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803933,2.00,7.00,4.00,6.00,6.00,5.00,4.00,3.00,4.00,324,317,NULL,'SANTOS DUMONT','SAO JOSE','SC',14769,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803941,2.00,4.00,3.00,3.00,7.00,6.75,4.00,5.00,3.00,309,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',16051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803950,6.00,7.00,4.00,5.00,8.00,6.25,6.00,6.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',6717,1722,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803968,5.00,7.00,3.00,8.00,5.00,6.25,6.00,5.00,3.00,225,2,NULL,'PANTANAL','FLORIANOPOLIS','SC',8064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803976,4.00,4.00,4.00,7.00,6.00,5.25,3.00,5.00,1.00,309,104,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',13486,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803984,6.00,7.00,3.00,3.00,6.00,3.50,4.00,7.00,3.00,217,224,NULL,'ARIRIU','FLORIANOPOLIS','SC',13178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2803992,0.00,4.00,1.00,6.00,8.00,5.25,3.00,5.00,3.00,420,333,NULL,'ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC',17723,347,908,NULL,NULL,NULL,NULL,2,1),(15,2804000,4.00,6.00,1.00,7.00,6.00,4.50,3.00,5.00,3.00,444,404,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',14148,127,383,NULL,NULL,NULL,NULL,2,1),(15,2804018,4.00,3.00,3.00,3.00,6.00,5.75,3.00,3.00,1.00,316,317,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',20318,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804026,2.00,3.00,0.00,3.00,5.00,NULL,2.00,3.00,2.00,108,234,NULL,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804034,3.00,6.00,4.00,5.00,6.00,5.50,1.00,4.00,0.00,339,308,NULL,'COQUEIROS','FLORIANOPOLIS','SC',17393,68,376,NULL,NULL,NULL,NULL,2,1),(15,2804042,0.00,6.00,1.00,6.00,8.00,5.25,6.00,7.00,3.00,5,427,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',12987,566,168,NULL,NULL,NULL,NULL,2,1),(15,2804050,4.00,8.00,3.00,4.00,8.00,5.00,1.00,4.00,3.00,211,217,215,'TRINDADE','FLORIANOPOLIS','SC',14665,519,440,297,NULL,NULL,NULL,2,1),(15,2804069,2.00,5.00,3.00,1.00,5.00,5.25,1.00,3.00,4.00,201,202,211,'CAMPECHE','FLORIANOPOLIS','SC',21113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804077,3.00,5.00,1.00,2.00,3.00,NULL,2.00,4.00,0.00,308,329,NULL,'CAMINHO NOVO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804085,0.00,3.00,1.00,2.00,3.00,NULL,2.00,3.00,1.00,101,102,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804093,2.00,5.00,1.00,0.00,0.00,NULL,3.00,4.00,2.00,324,332,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804107,1.00,7.00,1.00,5.00,4.00,6.50,2.00,5.00,2.00,223,302,NULL,'ROÇADO','SAO JOSE','SC',18082,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804115,2.00,3.00,5.00,5.00,5.00,2.00,7.00,5.00,2.00,225,217,NULL,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804123,4.00,4.00,1.00,4.00,3.00,6.00,3.00,2.00,2.00,308,309,NULL,'ROÇADO','SAO JOSE','SC',21624,194,245,NULL,NULL,NULL,NULL,2,1),(15,2804131,7.00,9.00,8.00,8.00,9.00,5.00,9.00,8.00,9.00,220,2,202,'CENTRO','TIJUCAS','SC',158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804140,2.00,7.00,4.00,6.00,6.00,5.00,4.00,4.00,3.00,207,308,208,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',14075,682,307,532,NULL,NULL,NULL,2,1),(15,2804158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,225,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2804166,2.00,6.00,3.00,5.00,5.00,3.50,2.00,6.00,3.00,332,324,NULL,'AREIAS','SAO JOSE','SC',17818,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804174,1.00,5.00,2.00,7.00,7.00,5.00,3.00,5.00,2.00,339,327,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',17041,61,405,NULL,NULL,NULL,NULL,2,1),(15,2804190,1.00,2.00,1.00,2.00,5.00,NULL,2.00,1.00,2.00,208,301,238,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,429,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2804212,0.00,3.00,3.00,6.00,6.00,NULL,6.00,4.00,2.00,427,326,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2804220,3.00,6.00,2.00,6.00,7.00,4.75,4.00,5.00,3.00,339,308,NULL,'TRINDADE','FLORIANOPOLIS','SC',12639,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804239,4.00,7.00,3.00,6.00,7.00,4.00,4.00,5.00,2.00,320,329,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',10820,35,140,NULL,NULL,NULL,NULL,2,1),(15,2804247,1.00,8.00,2.00,4.00,5.00,6.25,4.00,4.00,2.00,308,224,NULL,'PONTE DO IMARUIM','PALHOCA','SC',17115,83,247,NULL,NULL,NULL,NULL,2,1),(15,2804255,0.00,3.00,0.00,0.00,0.00,NULL,0.00,5.00,0.00,324,332,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804263,1.00,3.00,2.00,6.00,6.00,4.25,3.00,4.00,1.00,331,308,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',19984,90,426,NULL,NULL,NULL,NULL,2,1),(15,2804271,3.00,6.00,1.00,7.00,3.00,4.75,5.00,2.00,1.00,208,222,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',19121,752,200,NULL,NULL,NULL,NULL,2,1),(15,2804280,4.00,9.00,5.00,5.00,7.00,5.50,5.00,8.00,2.00,451,424,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',7897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804298,3.00,5.00,0.00,0.00,3.00,NULL,2.00,1.00,3.00,319,316,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804301,2.00,4.00,0.00,2.00,1.00,NULL,2.00,5.00,2.00,9,444,NULL,'VARGEM DO BOM JESEUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804310,2.00,6.00,2.00,2.00,5.00,4.25,5.00,4.00,1.00,404,333,NULL,'INGLESES','FLORIANOPOLIS','SC',20520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804328,0.00,7.00,1.00,5.00,5.00,NULL,0.00,0.00,0.00,304,429,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2804336,3.00,6.00,5.00,7.00,6.00,7.75,4.00,7.00,3.00,9,502,NULL,'INGLESES','FLORIANOPOLIS','SC',7748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804344,2.00,5.00,3.00,4.00,5.00,5.00,5.00,3.00,1.00,211,214,220,'ROÇADO','FLORIANOPOLIS','SC',17894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804352,1.00,5.00,0.00,4.00,6.00,NULL,4.00,3.00,4.00,420,319,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804360,1.00,7.00,1.00,4.00,3.00,4.75,5.00,5.00,0.00,108,427,NULL,'VARGEM PAQUENA','FLORIANOPOLIS','SC',20453,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804379,4.00,5.00,2.00,7.00,5.00,3.50,3.00,6.00,3.00,326,331,NULL,'CENTRO','FLORIANOPOLIS','SC',15307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804387,3.00,3.00,3.00,4.00,6.00,4.25,1.00,3.00,1.00,211,501,208,'CENTRO','FLORIANOPOLIS','SC',21448,734,583,865,NULL,NULL,NULL,2,1),(15,2804395,5.00,5.00,6.00,3.00,6.00,3.00,6.00,3.00,3.00,222,2,NULL,'CENTRO','FLORIANOPOLIS','SC',15631,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,450,NULL,'TABULEIRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2804417,3.00,6.00,4.00,2.00,4.00,2.00,5.00,3.00,4.00,444,404,NULL,'COSTERA DO PIRAJUBAÉ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804425,0.00,3.00,2.00,4.00,3.00,NULL,2.00,2.00,0.00,404,324,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804433,4.00,6.00,5.00,4.00,7.00,6.00,5.00,6.00,3.00,5,429,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',10634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,329,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2804450,1.00,5.00,2.00,4.00,5.00,5.75,3.00,4.00,2.00,212,316,213,'CARIANOS','FLORIANOPOLIS','SC',19488,393,1200,318,NULL,NULL,NULL,4,1),(15,2804468,2.00,8.00,3.00,1.00,7.00,4.50,4.00,4.00,2.00,108,404,NULL,'CARIANOS','FLORIANOPOLIS','SC',17725,395,429,NULL,NULL,NULL,NULL,4,1),(15,2804476,0.00,2.00,1.00,5.00,5.00,NULL,2.00,3.00,1.00,302,301,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804484,4.00,6.00,4.00,7.00,6.00,6.50,6.00,5.00,4.00,316,318,NULL,'ITACORUBI','FLORIANOPOLIS','SC',8152,162,346,NULL,NULL,NULL,NULL,2,1),(15,2804492,5.00,8.00,4.00,9.00,8.00,7.25,7.00,7.00,1.00,329,308,NULL,'CARIANOS','FLORIANOPOLIS','SC',4404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804506,3.00,5.00,4.00,6.00,7.00,6.50,5.00,5.00,2.00,332,423,NULL,'CARIANOS','FLORIANOPOLIS','SC',10695,32,149,NULL,NULL,NULL,NULL,2,1),(15,2804514,3.00,4.00,2.00,2.00,5.00,5.50,3.00,2.00,1.00,429,324,426,'ITACORUBI','FLORIANOPOLIS','SC',21820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804522,2.00,5.00,3.00,5.00,5.00,5.25,2.00,5.00,1.00,318,444,NULL,'TRINDADE','FLORIANOPOLIS','SC',18903,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804530,1.00,3.00,0.00,2.00,4.00,NULL,1.00,4.00,2.00,316,238,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,310,NULL,'BALNEARIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2804565,4.00,5.00,3.00,1.00,7.00,5.50,6.00,5.00,3.00,327,324,NULL,'ITACORUBI','FLORIANOPOLIS','SC',14855,94,237,NULL,NULL,NULL,NULL,2,1),(15,2804573,1.00,4.00,4.00,2.00,3.00,4.00,3.00,3.00,4.00,108,502,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',21726,478,366,NULL,NULL,NULL,NULL,4,1),(15,2804581,3.00,7.00,2.00,6.00,9.00,4.75,6.00,8.00,4.00,222,225,NULL,'PONTE DE IMARUIM','PALHOCA','SC',8564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804590,0.00,4.00,1.00,2.00,5.00,NULL,2.00,3.00,2.00,309,339,NULL,'PONTE DE IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804611,1.00,3.00,1.00,2.00,5.00,NULL,2.00,4.00,2.00,329,502,NULL,'RIO TAVARES','PONTA GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804620,1.00,6.00,2.00,3.00,4.00,6.00,1.00,4.00,3.00,428,421,423,'TRINDADE','FLORIANOPOLIS','SC',20761,93,163,92,NULL,NULL,NULL,4,1),(15,2804638,2.00,4.00,2.00,2.00,0.00,NULL,2.00,3.00,1.00,319,238,NULL,'FLOR DE NAPOLIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804646,3.00,4.00,1.00,5.00,3.00,4.50,1.00,5.00,2.00,103,101,NULL,'BARREIROS','SAO JOSE','SC',22083,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804654,2.00,4.00,4.00,4.00,5.00,6.00,3.00,6.00,2.00,326,428,NULL,'BARREIROS','SAO JOSE','SC',17301,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804662,2.00,7.00,2.00,4.00,7.00,4.00,2.00,5.00,4.00,309,101,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',14520,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804670,4.00,6.00,2.00,4.00,6.00,NULL,3.00,6.00,0.00,225,238,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804689,1.00,2.00,0.00,1.00,3.00,NULL,2.00,4.00,2.00,213,225,238,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804697,2.00,7.00,2.00,4.00,6.00,5.50,1.00,2.00,3.00,309,333,NULL,'SERRARIA','SAO JOSE','SC',17937,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804700,3.00,7.00,3.00,7.00,5.00,6.00,3.00,5.00,4.00,427,327,423,'JOÃP PAULO','FLORIANOPOLIS','SC',11919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804719,3.00,6.00,3.00,3.00,7.00,3.50,3.00,3.00,2.00,420,327,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',18306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804735,1.00,6.00,5.00,5.00,6.00,5.00,5.00,4.00,1.00,444,101,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',15787,154,651,NULL,NULL,NULL,NULL,2,1),(15,2804751,1.00,8.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,101,427,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2804760,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,208,333,238,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2804778,2.00,6.00,1.00,3.00,3.00,3.00,5.00,3.00,3.00,5,339,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',21467,884,436,NULL,NULL,NULL,NULL,2,1),(15,2804786,1.00,5.00,4.00,4.00,6.00,7.75,6.00,5.00,5.00,420,301,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',10963,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804794,3.00,8.00,8.00,6.00,8.00,7.00,7.00,5.00,3.00,207,301,201,'CARVOEIRA','FLORIANOPOLIS','SC',4966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804808,2.00,8.00,2.00,6.00,7.00,4.50,3.00,4.00,3.00,319,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',15213,300,243,NULL,NULL,NULL,NULL,2,1),(15,2804816,3.00,6.00,4.00,5.00,8.00,4.75,2.00,5.00,2.00,103,333,NULL,'JARDIM CARANDAÍ','BIGUACU','SC',13878,2518,797,NULL,NULL,NULL,NULL,2,1),(15,2804824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,216,203,'JARDIN CARANDAÍ','BIGUACU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2804832,3.00,5.00,1.00,1.00,5.00,4.75,3.00,3.00,1.00,316,332,NULL,'ABRAÃO','FLORIANOPOLIS','SC',21945,673,329,NULL,NULL,NULL,NULL,2,1),(15,2804840,3.00,3.00,1.00,5.00,4.00,NULL,0.00,2.00,2.00,208,211,238,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,415,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2804867,2.00,3.00,1.00,2.00,2.00,NULL,1.00,4.00,0.00,308,339,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804875,3.00,8.00,5.00,6.00,7.00,4.00,6.00,7.00,4.00,238,316,208,'SERRARIA','BIGUACU','SC',6148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,423,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2804891,5.00,6.00,4.00,7.00,8.00,6.75,3.00,7.00,3.00,238,327,211,'TRINDADE','FLORIANOPOLIS','SC',7686,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804905,1.00,5.00,0.00,5.00,5.00,5.50,1.00,2.00,4.00,404,339,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',21824,266,450,NULL,NULL,NULL,NULL,2,1),(15,2804913,4.00,4.00,7.00,5.00,7.00,3.25,7.00,4.00,2.00,201,317,207,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',10498,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804921,3.00,7.00,1.00,4.00,4.00,5.00,2.00,7.00,2.00,317,316,NULL,'INGLESES','FLORIANOPOLIS','SC',18443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804930,4.00,8.00,1.00,7.00,8.00,4.50,3.00,5.00,2.00,308,426,NULL,'CARIANOS','FLORIANOPOLIS','SC',12947,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804948,2.00,5.00,0.00,2.00,4.00,5.25,4.00,2.00,1.00,201,211,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',22189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2804956,6.00,7.00,3.00,7.00,7.00,6.25,5.00,7.00,2.00,309,217,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',7639,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804964,1.00,5.00,2.00,4.00,6.00,4.25,1.00,2.00,1.00,308,426,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',21366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804972,0.00,4.00,1.00,5.00,3.00,4.00,1.00,4.00,2.00,308,426,NULL,'PICADAS DO SUL','SAO JOSE','SC',22469,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804980,3.00,6.00,0.00,2.00,5.00,4.50,2.00,5.00,2.00,223,225,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',20943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2804999,2.00,4.00,0.00,5.00,6.00,NULL,2.00,2.00,1.00,320,329,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805006,3.00,6.00,2.00,4.00,7.00,6.00,2.00,7.00,1.00,427,329,423,'AGRONOMICA','FLORIANOPOLIS','SC',16273,41,202,43,NULL,NULL,NULL,2,1),(15,2805014,2.00,5.00,1.00,2.00,5.00,6.00,3.00,4.00,2.00,324,319,NULL,'ESTREITO','FLORIANOPOLIS','SC',21610,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805022,2.00,2.00,1.00,1.00,1.00,NULL,3.00,3.00,2.00,308,339,NULL,'PRAINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2805049,3.00,5.00,2.00,2.00,4.00,4.75,4.00,7.00,3.00,333,501,NULL,'SERTÃO DO IMARUI','SAO JOSE','SC',17875,301,514,NULL,NULL,NULL,NULL,2,1),(15,2805065,4.00,6.00,1.00,5.00,2.00,NULL,3.00,2.00,1.00,429,423,425,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805073,1.00,6.00,2.00,4.00,5.00,4.00,4.00,3.00,3.00,317,224,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',18409,318,259,NULL,NULL,NULL,NULL,2,1),(15,2805081,4.00,7.00,4.00,4.00,8.00,5.50,1.00,6.00,2.00,317,319,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',12311,164,756,NULL,NULL,NULL,NULL,2,1),(15,2805090,0.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,420,404,NULL,'PASSA VINTE','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2805103,3.00,5.00,2.00,6.00,5.00,6.00,3.00,5.00,4.00,317,318,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',15810,257,463,NULL,NULL,NULL,NULL,2,1),(15,2805111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,203,NULL,'RIO TAVAES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2805120,3.00,6.00,4.00,7.00,7.00,4.50,4.00,7.00,3.00,5,426,NULL,'ABRAÃO','FLORIANOPOLIS','SC',10270,446,152,NULL,NULL,NULL,NULL,2,1),(15,2805138,3.00,6.00,2.00,7.00,5.00,5.00,4.00,6.00,2.00,217,102,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',13568,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805146,3.00,8.00,7.00,6.00,6.00,4.75,4.00,7.00,5.00,317,224,NULL,'CAMPINAS','SAO JOSE','SC',6285,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805154,4.00,6.00,4.00,7.00,5.00,5.00,5.00,4.00,5.00,404,333,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',11813,66,713,NULL,NULL,NULL,NULL,2,1),(15,2805162,2.00,2.00,2.00,4.00,3.00,NULL,0.00,1.00,1.00,404,319,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805170,2.00,4.00,3.00,4.00,4.00,5.00,4.00,6.00,1.00,303,428,NULL,'CAMPECHE','FLORIANOPOLIS','SC',17921,793,234,NULL,NULL,NULL,NULL,2,1),(15,2805189,1.00,2.00,0.00,1.00,1.00,NULL,1.00,2.00,3.00,9,308,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,501,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2805200,2.00,4.00,4.00,5.00,3.00,4.00,2.00,2.00,1.00,404,201,NULL,'FORQUILHAS','SAO JOSE','SC',22010,268,1416,NULL,NULL,NULL,NULL,2,1),(15,2805219,7.00,8.00,3.00,6.00,8.00,6.50,7.00,9.00,5.00,103,108,NULL,'CENTRO','FLORIANOPOLIS','SC',3024,1044,565,NULL,NULL,NULL,NULL,2,1),(15,2805227,3.00,7.00,3.00,6.00,7.00,5.75,4.00,2.00,2.00,201,224,207,'CENTRO','FLORIANOPOLIS','SC',14886,794,221,721,NULL,NULL,NULL,2,1),(15,2805235,1.00,7.00,5.00,3.00,6.00,5.75,3.00,4.00,3.00,425,423,429,'JARDIM ELDORADO','PALHOCA','SC',16348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2805243,4.00,7.00,6.00,6.00,8.00,4.25,6.00,4.00,3.00,302,317,NULL,'TRINDADE','FLORIANOPOLIS','SC',7864,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805251,5.00,8.00,5.00,7.00,8.00,7.00,8.00,8.00,6.00,102,215,NULL,'PANTANAL','FLORIANOPOLIS','SC',2190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2805260,1.00,6.00,5.00,3.00,7.00,5.50,4.00,6.00,4.00,316,215,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',13293,353,552,NULL,NULL,NULL,NULL,4,1),(15,2805278,4.00,6.00,5.00,3.00,8.00,7.00,3.00,5.00,2.00,101,217,NULL,'LONTRINHAS','LONTRAS','SC',11861,90,398,NULL,NULL,NULL,NULL,4,1),(15,2805286,3.00,4.00,0.00,0.00,4.00,4.25,3.00,5.00,1.00,425,319,429,'CAPOEIRAS','FLORIANOPOLIS','SC',22378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2805294,2.00,5.00,0.00,2.00,4.00,3.50,3.00,4.00,3.00,339,327,NULL,'CARIANOS','FLORIANOPOLIS','SC',21839,163,479,NULL,NULL,NULL,NULL,2,1),(15,2805316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,444,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2805324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,444,NULL,'RIO GRANDE','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2805332,6.00,8.00,6.00,4.00,6.00,6.75,6.00,7.00,5.00,215,9,233,'ESTREITO','FLORIANOPOLIS','SC',4806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2805340,4.00,5.00,6.00,6.00,6.00,7.00,7.00,6.00,3.00,5,224,NULL,'FORQUILHINHAS','SAO JOSE','SC',8071,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805359,2.00,5.00,2.00,3.00,6.00,5.75,3.00,5.00,2.00,207,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',18475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805367,3.00,5.00,3.00,5.00,3.00,3.50,1.00,5.00,0.00,327,332,NULL,'RIO GRANDE','PALHOCA','SC',21637,188,324,NULL,NULL,NULL,NULL,2,1),(15,2805375,2.00,3.00,1.00,5.00,4.00,NULL,1.00,1.00,0.00,308,427,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805383,2.00,6.00,2.00,2.00,6.00,3.75,2.00,5.00,2.00,415,339,NULL,'INGLESES','FLORIANOPOLIS','SC',20841,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805391,3.00,6.00,3.00,8.00,7.00,5.75,2.00,4.00,2.00,101,331,NULL,'RIO CAVEIRAS','BIGUACU','SC',13605,122,163,NULL,NULL,NULL,NULL,2,1),(15,2805405,1.00,4.00,0.00,1.00,2.00,NULL,3.00,3.00,3.00,5,318,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2805413,5.00,6.00,4.00,7.00,9.00,4.50,4.00,6.00,4.00,202,332,213,'RIO TAVARES','FLORIANOPOLIS','SC',9159,349,195,150,NULL,NULL,NULL,2,1),(15,2805421,2.00,5.00,4.00,2.00,7.00,5.50,4.00,5.00,2.00,420,324,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',17347,341,294,NULL,NULL,NULL,NULL,2,1),(15,2805430,5.00,8.00,8.00,7.00,9.00,5.75,7.00,7.00,3.00,420,328,NULL,'REAL PARQUE','SAO JOSE','SC',3737,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805448,1.00,3.00,1.00,5.00,4.00,NULL,2.00,2.00,1.00,301,303,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805456,3.00,3.00,3.00,2.00,5.00,4.75,3.00,4.00,4.00,302,324,NULL,'BOA PARADA','SAO PEDRO DE ALCANTARA','SC',20512,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805464,3.00,8.00,4.00,7.00,9.00,6.00,4.00,6.00,3.00,108,502,NULL,'ROÇADO','SAO JOSE','SC',8223,158,169,NULL,NULL,NULL,NULL,2,1),(15,2805472,2.00,7.00,4.00,1.00,4.00,4.50,4.00,2.00,2.00,339,NULL,NULL,'BELA VISTA I','SAO JOSE','SC',21859,164,NULL,NULL,NULL,NULL,NULL,4,1),(15,2805480,1.00,2.00,2.00,3.00,5.00,5.00,2.00,5.00,2.00,224,225,NULL,'FORQUILHINHAS','SAO JOSE','SC',21921,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,324,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2805502,2.00,4.00,1.00,3.00,5.00,4.00,2.00,3.00,3.00,317,318,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',21818,412,534,NULL,NULL,NULL,NULL,2,1),(15,2805510,0.00,4.00,4.00,5.00,3.00,4.75,4.00,3.00,4.00,316,222,NULL,'CENTRO','FLORIANOPOLIS','SC',19279,576,204,NULL,NULL,NULL,NULL,2,1),(15,2805529,6.00,8.00,5.00,8.00,8.00,5.75,9.00,7.00,3.00,317,224,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',2367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805537,2.00,4.00,3.00,5.00,6.00,4.00,2.00,6.00,3.00,444,316,NULL,'CENTRO','FLORIANOPOLIS','SC',18772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805545,1.00,7.00,2.00,3.00,6.00,5.00,4.00,3.00,3.00,404,502,NULL,'FREITAS','PAULO LOPES','SC',18701,175,307,NULL,NULL,NULL,NULL,2,1),(15,2805553,6.00,8.00,8.00,1.00,8.00,4.75,7.00,8.00,4.00,428,502,426,'MORRO DO FREITAS','PAULO LOPES','SC',5620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2805561,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,202,225,213,'AREIAS','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2805570,0.00,4.00,2.00,0.00,3.00,NULL,2.00,3.00,4.00,324,310,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2805588,3.00,8.00,5.00,6.00,7.00,5.50,7.00,7.00,3.00,319,327,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',6204,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805596,1.00,3.00,2.00,5.00,4.00,4.00,4.00,3.00,2.00,426,327,428,'BELA VISTA L','SAO JOSE','SC',21710,95,478,99,NULL,NULL,NULL,2,1),(15,2805600,1.00,3.00,2.00,4.00,5.00,NULL,1.00,2.00,1.00,318,429,NULL,'BELA VISTA L','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805618,4.00,7.00,3.00,6.00,8.00,5.75,6.00,4.00,4.00,101,339,NULL,'TAPERA','FLORIANOPOLIS','SC',9449,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805626,3.00,5.00,6.00,5.00,8.00,6.75,2.00,6.00,2.00,317,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',12692,177,420,NULL,NULL,NULL,NULL,2,1),(15,2805634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,425,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2805642,1.00,2.00,2.00,4.00,4.00,3.50,3.00,2.00,2.00,324,426,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',22510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805650,4.00,4.00,1.00,4.00,3.00,5.00,3.00,5.00,2.00,203,201,214,'TRINDADE','FLORIANOPOLIS','SC',19967,1135,1388,566,NULL,NULL,NULL,2,1),(15,2805669,4.00,4.00,2.00,4.00,5.00,3.00,4.00,3.00,1.00,327,224,NULL,'MACACU','GAROPABA','SC',19964,169,288,NULL,NULL,NULL,NULL,2,1),(15,2805677,3.00,6.00,3.00,5.00,7.00,6.25,2.00,4.00,2.00,309,326,NULL,'MACACU','GAROPABA','SC',16299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805685,4.00,9.00,1.00,7.00,8.00,5.50,5.00,7.00,4.00,501,316,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',7900,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805693,1.00,5.00,5.00,2.00,6.00,5.75,3.00,3.00,1.00,309,326,NULL,'MACACU','GAROPABA','SC',19803,58,319,NULL,NULL,NULL,NULL,2,1),(15,2805707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,101,NULL,'MACACU','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2805715,7.00,7.00,4.00,5.00,8.00,6.75,4.00,7.00,4.00,415,327,NULL,'SERRARIA','SAO JOSE','SC',5466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805723,0.00,3.00,1.00,1.00,4.00,NULL,1.00,4.00,1.00,238,NULL,208,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805731,3.00,6.00,1.00,4.00,7.00,3.00,4.00,4.00,4.00,203,450,220,'CENTRO','PALHOCA','SC',16606,1010,330,530,NULL,NULL,NULL,4,1),(15,2805740,4.00,8.00,2.00,4.00,7.00,4.25,6.00,6.00,4.00,238,327,233,'TAPERA','FLORIANOPOLIS','SC',11374,394,303,286,NULL,NULL,NULL,2,1),(15,2805758,4.00,5.00,2.00,5.00,7.00,7.25,5.00,6.00,4.00,108,2,NULL,'INGLESES','FLORIANOPOLIS','SC',9837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2805766,1.00,5.00,2.00,1.00,3.00,5.50,3.00,3.00,2.00,308,339,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',22428,228,471,NULL,NULL,NULL,NULL,4,1),(15,2805774,1.00,3.00,2.00,1.00,6.00,NULL,1.00,0.00,0.00,332,308,NULL,'NOSSA SRA DO ROSÁRIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805782,3.00,5.00,0.00,7.00,4.00,5.50,3.00,3.00,1.00,103,108,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',19597,2958,922,NULL,NULL,NULL,NULL,2,1),(15,2805790,2.00,5.00,3.00,1.00,2.00,NULL,1.00,3.00,3.00,319,308,NULL,'NOSSA SRA DO ROSÁRIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805804,1.00,3.00,2.00,4.00,2.00,NULL,4.00,5.00,2.00,308,426,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805812,3.00,5.00,1.00,6.00,6.00,3.50,3.00,2.00,2.00,207,420,233,'LANCO DA LAGOA','FLORIANOPOLIS','SC',19795,930,874,437,NULL,NULL,NULL,2,1),(15,2805820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,324,238,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2805839,2.00,6.00,2.00,5.00,4.00,3.75,4.00,5.00,3.00,444,339,NULL,'SANTINHO','FLORIANOPOLIS','SC',17296,184,319,NULL,NULL,NULL,NULL,2,1),(15,2805847,2.00,4.00,1.00,6.00,4.00,4.75,1.00,4.00,0.00,333,308,NULL,'TAPERA','FLORIANOPOLIS','SC',22297,426,497,NULL,NULL,NULL,NULL,2,1),(15,2805855,7.00,9.00,6.00,9.00,9.00,6.75,8.00,7.00,7.00,103,427,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',761,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2805863,2.00,8.00,3.00,4.00,4.00,4.50,3.00,6.00,2.00,404,421,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',17065,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805871,3.00,4.00,3.00,3.00,5.00,4.50,2.00,2.00,0.00,426,327,424,'CENTRO','FLORIANOPOLIS','SC',22307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805880,1.00,4.00,1.00,4.00,3.00,3.25,4.00,3.00,4.00,101,324,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',21837,315,448,NULL,NULL,NULL,NULL,2,1),(15,2805898,3.00,7.00,5.00,6.00,8.00,5.50,6.00,4.00,3.00,5,303,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',10086,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805910,3.00,3.00,3.00,4.00,1.00,NULL,3.00,4.00,4.00,101,103,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2805928,1.00,6.00,4.00,5.00,3.00,3.75,3.00,3.00,2.00,102,101,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',21278,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805936,1.00,4.00,0.00,3.00,2.00,NULL,1.00,2.00,2.00,319,444,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2805944,2.00,6.00,3.00,6.00,8.00,6.50,6.00,7.00,2.00,318,316,NULL,'CAMPINAS','SAO JOSE','SC',9896,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805952,2.00,2.00,1.00,1.00,1.00,NULL,1.00,2.00,0.00,309,102,NULL,'PEDRA BRANCA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2805960,1.00,2.00,3.00,0.00,6.00,NULL,2.00,5.00,0.00,333,309,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2805979,1.00,7.00,1.00,4.00,5.00,5.50,3.00,5.00,2.00,415,5,NULL,'PENHA','PAULO LOPES','SC',18072,454,1284,NULL,NULL,NULL,NULL,2,1),(15,2805987,0.00,3.00,2.00,4.00,3.00,NULL,3.00,1.00,2.00,324,320,NULL,'BARRA DO ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2805995,3.00,7.00,7.00,4.00,9.00,6.25,7.00,6.00,2.00,302,223,NULL,'USINA','ANTONIO CARLOS','SC',6087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2806002,5.00,3.00,2.00,1.00,5.00,5.25,1.00,2.00,3.00,101,NULL,NULL,'BELA VISTA I','SAO JOSE','SC',21855,317,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806010,1.00,0.00,0.00,2.00,4.00,NULL,1.00,3.00,3.00,324,450,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2806029,4.00,6.00,5.00,0.00,7.00,5.00,3.00,2.00,3.00,201,301,212,'ITACORUBI','FLORIANOPOLIS','SC',17698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2806037,1.00,3.00,1.00,3.00,5.00,5.75,4.00,5.00,2.00,404,333,NULL,'BELA VISTA','SAO JOSE','SC',21115,239,1033,NULL,NULL,NULL,NULL,4,1),(15,2806045,3.00,5.00,3.00,4.00,4.00,5.00,4.00,5.00,2.00,301,316,NULL,'COQUEIROS','FLORIANOPOLIS','SC',18252,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806053,5.00,7.00,3.00,7.00,7.00,5.75,5.00,7.00,3.00,429,324,423,'COSTEIRA','FLORIANOPOLIS','SC',8166,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806061,1.00,3.00,4.00,2.00,5.00,6.00,4.00,5.00,3.00,201,317,233,'CENTRO','ANTONIO CARLOS','SC',18947,999,633,423,NULL,NULL,NULL,4,1),(15,2806070,0.00,0.00,0.00,2.00,6.00,NULL,0.00,0.00,0.00,332,320,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2806096,2.00,5.00,1.00,1.00,5.00,3.50,3.00,3.00,2.00,316,404,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',22396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2806100,2.00,4.00,0.00,1.00,4.00,NULL,3.00,3.00,1.00,317,318,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2806118,3.00,6.00,1.00,6.00,4.00,3.00,3.00,5.00,3.00,339,101,NULL,'CAMPECHE','FLORIANOPOLIS','SC',18730,99,707,NULL,NULL,NULL,NULL,2,1),(15,2806126,1.00,3.00,4.00,6.00,6.00,4.50,3.00,5.00,3.00,339,308,NULL,'CAMPECHE','FLORIANOPOLIS','SC',17434,70,377,NULL,NULL,NULL,NULL,2,1),(15,2806134,3.00,7.00,3.00,7.00,6.00,6.25,4.00,4.00,1.00,317,429,NULL,'CENTRO','FLORIANOPOLIS','SC',13735,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806142,3.00,1.00,1.00,7.00,3.00,NULL,1.00,2.00,1.00,324,426,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806150,5.00,4.00,4.00,1.00,4.00,3.50,4.00,5.00,2.00,5,327,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',18769,780,431,NULL,NULL,NULL,NULL,4,1),(15,2806169,4.00,2.00,2.00,3.00,2.00,NULL,1.00,4.00,3.00,420,404,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2806177,2.00,6.00,2.00,6.00,7.00,4.50,3.00,3.00,3.00,404,101,NULL,'PONTE DO IMARUIM','PALHOCA','SC',16573,138,664,NULL,NULL,NULL,NULL,2,1),(15,2806185,2.00,4.00,2.00,3.00,3.00,5.75,2.00,2.00,3.00,308,339,NULL,'FORQUILHAS','SAO JOSE','SC',21961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2806193,3.00,7.00,4.00,4.00,4.00,5.50,3.00,6.00,2.00,332,224,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',15672,83,229,NULL,NULL,NULL,NULL,2,1),(15,2806207,2.00,5.00,3.00,2.00,6.00,5.25,3.00,1.00,3.00,320,224,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',20312,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806215,3.00,7.00,2.00,2.00,4.00,5.00,2.00,4.00,1.00,320,327,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',20979,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806223,2.00,6.00,0.00,2.00,6.00,5.00,3.00,7.00,4.00,316,203,NULL,'INGLESES','FLORIANOPOLIS','SC',17563,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806231,0.00,8.00,2.00,3.00,3.00,5.00,4.00,3.00,2.00,317,318,NULL,'AREIAS DE BAIXO','GOVERNADOR CELSO RAMOS','SC',21154,398,524,NULL,NULL,NULL,NULL,2,1),(15,2806240,2.00,7.00,1.00,2.00,7.00,7.50,2.00,2.00,2.00,319,9,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',20482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806258,2.00,2.00,1.00,2.00,0.00,NULL,0.00,0.00,1.00,316,201,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806266,7.00,6.00,5.00,5.00,7.00,5.50,6.00,7.00,4.00,316,5,NULL,'TRINDADE','FLORIANOPOLIS','SC',5070,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806274,3.00,3.00,1.00,5.00,4.00,4.50,3.00,4.00,1.00,444,404,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',21974,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806282,2.00,5.00,4.00,7.00,8.00,6.00,5.00,4.00,6.00,302,207,NULL,'SERRARIAS','SAO JOSE','SC',10286,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806290,0.00,5.00,0.00,5.00,6.00,6.25,2.00,2.00,3.00,217,223,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',21013,195,232,NULL,NULL,NULL,NULL,2,1),(15,2806304,4.00,5.00,2.00,5.00,5.00,8.00,4.00,6.00,2.00,5,339,NULL,'CENTRO','FLORIANOPOLIS','SC',13809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,316,NULL,'GUARDA DO CUBATÃO','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2806339,1.00,5.00,2.00,4.00,8.00,5.50,3.00,3.00,3.00,309,308,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',17843,36,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806347,3.00,5.00,1.00,5.00,4.00,4.50,3.00,4.00,0.00,332,NULL,NULL,'CARIANOS','FLORIANOPOLIS','SC',20953,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806355,2.00,2.00,3.00,0.00,4.00,NULL,3.00,2.00,3.00,429,427,NULL,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806363,1.00,2.00,3.00,2.00,4.00,NULL,1.00,3.00,0.00,317,339,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,329,NULL,'SANTOS DUMONT','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2806380,1.00,5.00,0.00,6.00,7.00,4.75,5.00,6.00,3.00,329,328,NULL,'ALTO ARIRIÚ','PALHOCA','SC',16307,54,118,NULL,NULL,NULL,NULL,2,1),(15,2806398,2.00,5.00,3.00,4.00,6.00,4.75,5.00,5.00,3.00,301,302,NULL,'ABRAAO','FLORIANOPOLIS','SC',16541,280,290,NULL,NULL,NULL,NULL,2,1),(15,2806401,2.00,5.00,2.00,5.00,7.00,5.00,4.00,5.00,4.00,319,222,NULL,'CAMPECHE','FLORIANOPOLIS','SC',15982,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806410,1.00,4.00,4.00,4.00,4.00,3.75,2.00,2.00,3.00,9,301,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',22241,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806428,5.00,8.00,4.00,3.00,7.00,6.50,7.00,5.00,4.00,316,9,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',6734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2806436,2.00,6.00,0.00,2.00,5.00,NULL,2.00,3.00,3.00,308,333,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806444,5.00,5.00,2.00,5.00,4.00,4.75,4.00,2.00,3.00,308,423,NULL,'TAPERA','FLORIANOPOLIS','SC',17883,101,218,NULL,NULL,NULL,NULL,2,1),(15,2806452,5.00,8.00,4.00,6.00,8.00,6.50,4.00,6.00,3.00,233,238,220,'TRINDADE','FLORIANOPOLIS','SC',7075,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806460,1.00,8.00,3.00,6.00,8.00,5.00,3.00,4.00,3.00,217,328,NULL,'KOBRASOL','SAO JOSE','SC',15736,137,115,NULL,NULL,NULL,NULL,2,1),(15,2806479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2806487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,423,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2806495,3.00,7.00,0.00,4.00,4.00,3.25,3.00,3.00,3.00,324,308,NULL,'PONTE IMARUIM','PALHOCA','SC',21272,100,464,NULL,NULL,NULL,NULL,2,1),(15,2806509,4.00,7.00,2.00,4.00,6.00,4.75,3.00,6.00,2.00,332,426,NULL,'PONTE DO IMARUIM','PALHOCA','SC',14626,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806517,7.00,8.00,3.00,5.00,7.00,5.50,4.00,7.00,3.00,303,234,NULL,'TRINDADE','FLORIANOPOLIS','SC',8744,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806525,1.00,7.00,0.00,4.00,6.00,3.50,1.00,5.00,1.00,339,327,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',20544,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806533,2.00,4.00,0.00,2.00,6.00,6.00,2.00,4.00,4.00,427,324,424,'CORREGO GRANDE','FLORIANOPOLIS','SC',21310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2806541,1.00,3.00,1.00,0.00,1.00,NULL,3.00,1.00,2.00,339,320,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806550,3.00,5.00,3.00,5.00,7.00,6.00,4.00,4.00,3.00,501,217,NULL,'KOBRASOL','SAO JOSE','SC',13541,145,419,NULL,NULL,NULL,NULL,2,1),(15,2806568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,444,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2806576,3.00,7.00,6.00,5.00,6.00,4.50,6.00,3.00,2.00,223,2,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',11493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806584,4.00,4.00,3.00,6.00,7.00,4.75,5.00,5.00,2.00,317,316,NULL,'KOBRASOL','SAO JOSE','SC',14623,220,1037,NULL,NULL,NULL,NULL,2,1),(15,2806592,2.00,5.00,4.00,6.00,8.00,5.50,5.00,2.00,2.00,207,201,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',14311,693,1322,NULL,NULL,NULL,NULL,2,1),(15,2806606,1.00,5.00,0.00,7.00,6.00,5.25,0.00,3.00,4.00,309,308,NULL,'BELA VISTA I','SAO JOSE','SC',19231,51,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806614,0.00,2.00,0.00,3.00,2.00,NULL,1.00,2.00,2.00,208,224,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806622,2.00,2.00,5.00,4.00,5.00,5.50,2.00,4.00,1.00,201,317,207,'SACO DOS LIMOES','FLORIANOPOLIS','SC',20506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2806630,3.00,6.00,6.00,6.00,7.00,4.75,5.00,5.00,3.00,238,208,202,'CENTRO','MAFRA','SC',10040,327,989,379,NULL,NULL,NULL,2,1),(15,2806649,2.00,4.00,1.00,1.00,3.00,NULL,2.00,3.00,1.00,304,222,NULL,'ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806657,2.00,2.00,1.00,0.00,2.00,NULL,4.00,2.00,0.00,502,421,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2806665,5.00,7.00,3.00,9.00,8.00,6.00,4.00,7.00,5.00,319,101,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',4648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2806681,5.00,7.00,7.00,9.00,9.00,8.25,8.00,8.00,7.00,202,213,203,'CARVOEIRA','FLORIANOPOLIS','SC',980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2806690,2.00,6.00,2.00,2.00,4.00,4.75,2.00,4.00,3.00,308,426,NULL,'AREIAS','SAO JOSE','SC',21562,193,248,NULL,NULL,NULL,NULL,2,1),(15,2806711,3.00,5.00,5.00,8.00,5.00,5.25,4.00,2.00,3.00,9,101,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',13665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806720,2.00,5.00,1.00,6.00,6.00,4.50,3.00,5.00,1.00,203,326,214,'RIO TAVARES','FLORIANOPOLIS','SC',18538,1081,311,542,NULL,NULL,NULL,2,1),(15,2806738,3.00,5.00,1.00,1.00,3.00,5.25,2.00,2.00,4.00,339,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',22182,174,456,NULL,NULL,NULL,NULL,2,1),(15,2806746,2.00,7.00,3.00,1.00,4.00,4.00,2.00,3.00,3.00,222,NULL,NULL,'JARDIM AQUARIUS','PALHOCA','SC',21073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2806754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,502,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2806762,3.00,3.00,4.00,6.00,3.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2806770,5.00,8.00,3.00,5.00,6.00,4.75,6.00,5.00,2.00,317,2,NULL,'RATONES','FLORIANOPOLIS','SC',10809,128,184,NULL,NULL,NULL,NULL,2,1),(15,2806789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,212,207,'VILA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2806797,3.00,8.00,5.00,4.00,6.00,5.25,5.00,7.00,3.00,317,427,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',9423,92,135,NULL,NULL,NULL,NULL,2,1),(15,2806800,0.00,7.00,0.00,5.00,6.00,6.50,4.00,3.00,1.00,415,426,NULL,'REAL PARQUE','SAO JOSE','SC',19179,481,232,NULL,NULL,NULL,NULL,2,1),(15,2806819,4.00,6.00,3.00,4.00,7.00,7.00,6.00,5.00,4.00,319,9,NULL,'SERRARIA','SAO JOSE','SC',9936,168,499,NULL,NULL,NULL,NULL,2,1),(15,2806827,2.00,4.00,2.00,3.00,6.00,2.00,4.00,7.00,2.00,404,308,NULL,'BALNEARIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806835,1.00,6.00,1.00,5.00,5.00,5.25,1.00,4.00,2.00,9,309,NULL,'BARREIROS','SAO JOSE','SC',20887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806843,4.00,8.00,2.00,6.00,6.00,4.00,3.00,7.00,2.00,331,332,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',12117,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806860,2.00,3.00,2.00,3.00,4.00,6.50,2.00,4.00,3.00,423,339,429,'TRINDADE','FLORIANOPOLIS','SC',21772,108,447,185,NULL,NULL,NULL,2,1),(15,2806878,2.00,5.00,3.00,0.00,0.00,NULL,0.00,0.00,0.00,404,444,NULL,'PASSA VINTE','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2806886,4.00,7.00,6.00,5.00,6.00,5.50,4.00,4.00,3.00,404,444,NULL,'PASSA VINTE','SAO JOSE','SC',10460,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,317,NULL,'FORQUILHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2806908,4.00,7.00,3.00,6.00,8.00,6.75,5.00,6.00,3.00,238,327,NULL,'REAL PARQUE','SAO JOSE','SC',6998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806916,4.00,6.00,4.00,3.00,6.00,5.25,4.00,1.00,2.00,302,339,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',17132,143,312,NULL,NULL,NULL,NULL,2,1),(15,2806924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,415,201,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2806932,3.00,3.00,0.00,3.00,1.00,NULL,1.00,4.00,2.00,108,301,NULL,'FORQUILHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2806940,3.00,5.00,3.00,5.00,5.00,4.50,5.00,5.00,4.00,309,324,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',15452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806959,3.00,5.00,3.00,0.00,4.00,4.50,3.00,3.00,3.00,9,324,NULL,'CAMINHO NOVO','PALHOCA','SC',21686,334,439,NULL,NULL,NULL,NULL,4,1),(15,2806967,3.00,4.00,3.00,2.00,6.00,5.50,2.00,4.00,3.00,201,324,207,'CAMINHO NOVO','PALHOCA','SC',20009,1048,379,941,NULL,NULL,NULL,4,1),(15,2806975,5.00,7.00,8.00,6.00,7.00,4.00,6.00,6.00,6.00,238,316,208,'FORQUILHAS','SAO JOSE','SC',5166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2806983,4.00,3.00,1.00,3.00,2.00,NULL,1.00,4.00,1.00,332,444,NULL,'BARRA DO ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2806991,2.00,5.00,3.00,4.00,7.00,5.75,2.00,3.00,3.00,339,309,NULL,'AREIAS','SAO JOSE','SC',17889,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807009,2.00,4.00,5.00,4.00,4.00,6.50,5.00,5.00,3.00,104,101,NULL,'JARDIM SOLEMAR','SAO JOSE','SC',16112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807017,1.00,2.00,2.00,1.00,4.00,NULL,3.00,4.00,2.00,425,415,423,'SERTAO IMARUIM','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807025,2.00,5.00,0.00,0.00,1.00,NULL,1.00,2.00,2.00,428,331,423,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807033,3.00,7.00,3.00,5.00,7.00,5.25,4.00,7.00,3.00,304,425,NULL,'CENTRO','FLORIANOPOLIS','SC',10654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807041,2.00,6.00,1.00,1.00,2.00,NULL,4.00,3.00,2.00,303,319,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807050,3.00,5.00,0.00,4.00,3.00,5.50,5.00,2.00,1.00,201,319,207,'FORQUILHINHAS','SAO JOSE','SC',21775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807068,8.00,9.00,7.00,7.00,8.00,6.25,7.00,7.00,5.00,415,425,NULL,'FORQUILINHAS','SAO JOSE','SC',1540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807076,2.00,6.00,4.00,5.00,5.00,5.25,3.00,4.00,6.00,101,339,NULL,'CAMPECHE','FLORIANOPOLIS','SC',14860,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807084,0.00,3.00,2.00,0.00,3.00,NULL,2.00,4.00,4.00,217,223,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,327,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2807106,2.00,5.00,1.00,5.00,3.00,4.25,5.00,3.00,1.00,333,234,NULL,'CAMPECHE','FLORIANOPOLIS','SC',21391,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807114,1.00,4.00,3.00,4.00,5.00,3.50,2.00,2.00,2.00,309,301,NULL,'ESTREITO','FLORIANOPOLIS','SC',21678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,108,NULL,'PRADO','BIGUACU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2807130,2.00,3.00,1.00,3.00,3.00,0.00,4.00,4.00,1.00,208,420,202,'VENDAVAL','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,238,220,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2807157,1.00,5.00,3.00,4.00,9.00,4.50,5.00,5.00,2.00,217,101,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',15938,139,653,NULL,NULL,NULL,NULL,2,1),(15,2807165,4.00,3.00,3.00,2.00,4.00,5.50,3.00,4.00,1.00,317,318,NULL,'ITACORUBI','FLORIANOPOLIS','SC',20726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807173,1.00,7.00,0.00,0.00,5.00,NULL,4.00,2.00,1.00,415,304,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807181,0.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,303,308,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2807190,0.00,2.00,3.00,4.00,5.00,4.25,3.00,3.00,2.00,103,101,NULL,'PRADO','BIGUACU','SC',22024,3099,779,NULL,NULL,NULL,NULL,2,1),(15,2807203,4.00,4.00,5.00,2.00,6.00,5.50,3.00,4.00,0.00,215,324,211,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',18991,371,346,661,NULL,NULL,NULL,2,1),(15,2807211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,425,238,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2807220,0.00,2.00,2.00,1.00,3.00,NULL,4.00,2.00,0.00,202,NULL,213,'PRADO','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,423,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2807254,2.00,3.00,2.00,3.00,3.00,5.00,3.00,3.00,4.00,319,339,NULL,'SANTINHO','FLORIANOPOLIS','SC',21725,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807262,2.00,5.00,3.00,2.00,5.00,3.50,3.00,4.00,1.00,404,9,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',21397,248,739,NULL,NULL,NULL,NULL,4,1),(15,2807270,1.00,6.00,2.00,2.00,5.00,5.25,4.00,4.00,1.00,317,302,NULL,'CENTRO','PALHOCA','SC',20553,378,334,NULL,NULL,NULL,NULL,4,1),(15,2807289,4.00,7.00,1.00,2.00,5.00,4.50,3.00,3.00,1.00,238,324,208,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',20798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807297,3.00,6.00,3.00,3.00,8.00,6.00,6.00,5.00,3.00,201,222,212,'TRINDADE','FLORIANOPOLIS','SC',12280,674,136,252,NULL,NULL,NULL,4,1),(15,2807300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,423,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2807319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,328,207,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2807327,2.00,3.00,4.00,6.00,5.00,3.00,4.00,2.00,2.00,324,317,NULL,'JARDIM ELDORADO','PALHOCA','SC',20258,90,650,NULL,NULL,NULL,NULL,2,1),(15,2807335,1.00,8.00,3.00,7.00,6.00,7.00,4.00,5.00,2.00,102,425,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',11175,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807343,3.00,6.00,1.00,3.00,6.00,6.50,2.00,6.00,4.00,309,326,NULL,'CENTRO','FLORIANOPOLIS','SC',15659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807351,3.00,8.00,4.00,6.00,6.00,6.50,4.00,7.00,3.00,309,339,NULL,'JARDIM SUL','SAO JOSE DOS CAMPOS','SP',9386,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807360,3.00,5.00,0.00,2.00,6.00,3.50,2.00,4.00,2.00,101,331,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',21244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,101,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2807386,2.00,5.00,6.00,5.00,9.00,4.25,6.00,8.00,7.00,214,222,211,'BARRA DO ARIRIÚ','PALHOCA','SC',6938,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,324,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2807408,2.00,5.00,5.00,5.00,5.00,5.00,2.00,5.00,2.00,404,444,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',17591,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,308,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2807424,4.00,5.00,3.00,4.00,6.00,6.00,3.00,5.00,2.00,317,NULL,NULL,'SERRARIA','SAO JOSE','SC',16221,265,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807432,3.00,4.00,3.00,6.00,7.00,5.75,3.00,3.00,3.00,317,302,NULL,'TRINDADE','FLORIANOPOLIS','SC',16828,285,295,NULL,NULL,NULL,NULL,2,1),(15,2807440,3.00,4.00,2.00,4.00,3.00,5.25,4.00,5.00,3.00,425,404,429,'TRINDADE','FLORIANOPOLIS','SC',18659,157,445,140,NULL,NULL,NULL,4,1),(15,2807459,1.00,6.00,1.00,2.00,6.00,5.75,4.00,3.00,2.00,101,317,NULL,'TRINDADE','FLORIANOPOLIS','SC',20311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807467,3.00,7.00,4.00,5.00,2.00,NULL,1.00,5.00,2.00,101,102,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807483,2.00,4.00,2.00,8.00,5.00,5.50,0.00,4.00,1.00,309,339,NULL,'INGLESES','FLORIANOPOLIS','SC',20166,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807491,4.00,8.00,8.00,6.00,8.00,6.25,5.00,9.00,4.00,302,317,NULL,'CARIANOS','FLORIANOPOLIS','SC',3949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807505,5.00,5.00,2.00,7.00,8.00,7.75,6.00,6.00,5.00,428,326,426,'PICADAS DO SUL','SAO JOSE','SC',6448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807513,0.00,2.00,0.00,4.00,3.00,NULL,1.00,2.00,2.00,308,324,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807521,2.00,5.00,1.00,2.00,7.00,5.75,3.00,4.00,2.00,339,451,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',19403,111,276,NULL,NULL,NULL,NULL,4,1),(15,2807530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,327,NULL,'RATONES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2807548,2.00,4.00,4.00,1.00,7.00,5.25,2.00,1.00,5.00,317,238,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',20414,372,1021,NULL,NULL,NULL,NULL,4,1),(15,2807556,3.00,7.00,4.00,8.00,7.00,5.25,1.00,7.00,1.00,207,108,201,'INGLESES','FLORIANOPOLIS','SC',12020,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807564,3.00,1.00,5.00,3.00,3.00,5.50,2.00,3.00,2.00,333,451,NULL,'IPIRANGA','SAO JOSE','SC',22184,423,307,NULL,NULL,NULL,NULL,4,1),(15,2807572,6.00,7.00,3.00,5.00,7.00,5.75,5.00,8.00,3.00,103,104,NULL,'CENTRO','FLORIANOPOLIS','SC',7781,1871,999,NULL,NULL,NULL,NULL,2,1),(15,2807580,3.00,6.00,1.00,4.00,6.00,5.25,4.00,7.00,2.00,444,208,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',15907,158,1045,NULL,NULL,NULL,NULL,4,1),(15,2807599,3.00,6.00,5.00,3.00,5.00,6.25,5.00,7.00,4.00,233,333,207,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',11967,300,718,581,NULL,NULL,NULL,4,1),(15,2807602,3.00,5.00,2.00,1.00,4.00,3.75,3.00,4.00,3.00,444,333,NULL,'CENTRO','FLORIANOPOLIS','SC',21896,291,1070,NULL,NULL,NULL,NULL,4,1),(15,2807610,2.00,8.00,2.00,8.00,7.00,7.00,3.00,7.00,3.00,332,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',8889,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807629,3.00,4.00,4.00,3.00,6.00,5.50,3.00,6.00,2.00,208,213,220,'FORQUILHINHAS','SAO JOSE','SC',15678,608,460,514,NULL,NULL,NULL,4,1),(15,2807637,0.00,5.00,5.00,3.00,3.00,4.25,2.00,1.00,2.00,309,339,NULL,'COSTEIRA','FLORIANOPOLIS','SC',22278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807645,3.00,3.00,1.00,1.00,7.00,4.50,5.00,3.00,3.00,101,309,NULL,'PANTANAL','FLORIANOPOLIS','SC',20712,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807653,3.00,6.00,2.00,2.00,3.00,3.00,2.00,5.00,2.00,316,423,NULL,'ESTREITO','FLORIANOPOLIS','SC',21821,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,421,NULL,'BELA VISTA I','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2807670,3.00,7.00,2.00,5.00,7.00,5.50,6.00,7.00,3.00,217,319,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',11451,88,738,NULL,NULL,NULL,NULL,2,1),(15,2807688,1.00,7.00,3.00,2.00,6.00,7.00,0.00,4.00,4.00,208,222,201,'BARREIROS','SAO JOSE','SC',18331,708,190,973,NULL,NULL,NULL,2,1),(15,2807696,3.00,6.00,3.00,6.00,7.00,6.00,3.00,4.00,4.00,444,404,NULL,'CAMPECHE','FLORIANOPOLIS','SC',12085,91,354,NULL,NULL,NULL,NULL,2,1),(15,2807700,3.00,6.00,1.00,3.00,5.00,3.00,2.00,0.00,2.00,308,9,NULL,'FUNDOS','BIGUACU','SC',22438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807718,5.00,5.00,2.00,3.00,8.00,5.00,8.00,4.00,5.00,238,444,208,'TRINDADE','FLORIANOPOLIS','SC',11552,402,408,404,NULL,NULL,NULL,4,1),(15,2807726,2.00,4.00,5.00,3.00,5.00,4.50,3.00,3.00,1.00,301,444,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',20402,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807734,2.00,5.00,4.00,5.00,7.00,5.75,3.00,7.00,4.00,302,317,NULL,'TAPERA','FLORIANOPOLIS','SC',12436,83,532,NULL,NULL,NULL,NULL,2,1),(15,2807742,3.00,6.00,2.00,5.00,7.00,5.75,4.00,7.00,2.00,207,302,NULL,'RIO FARIAS I','ANTONIO CARLOS','SC',12976,633,259,NULL,NULL,NULL,NULL,2,1),(15,2807750,1.00,8.00,0.00,1.00,5.00,6.25,3.00,6.00,2.00,326,421,NULL,'RIO CAVEIRAS','BIGUACU','SC',16966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807769,3.00,5.00,3.00,1.00,4.00,5.50,2.00,1.00,3.00,108,501,NULL,'RIO FARIAS','ANTONIO CARLOS','SC',21410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807777,5.00,7.00,3.00,4.00,8.00,5.75,5.00,6.00,3.00,326,308,NULL,'CANUDOS','ANTONIO CARLOS','SC',8109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807785,2.00,3.00,3.00,0.00,5.00,7.00,2.00,4.00,2.00,302,308,NULL,'CENTRO','ANTONIO CARLOS','SC',20816,184,454,NULL,NULL,NULL,NULL,4,1),(15,2807793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,324,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2807807,3.00,5.00,3.00,2.00,3.00,5.75,3.00,2.00,1.00,339,320,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',21943,167,247,NULL,NULL,NULL,NULL,2,1),(15,2807815,0.00,3.00,1.00,2.00,4.00,NULL,4.00,3.00,2.00,339,309,NULL,'CAMINHO NOVO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,326,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2807831,2.00,5.00,1.00,2.00,4.00,NULL,2.00,2.00,1.00,102,211,NULL,'CAMINHO NOVO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807840,3.00,7.00,3.00,7.00,6.00,6.50,4.00,5.00,2.00,332,327,NULL,'COLONINHA','FLORIANOPOLIS','SC',10084,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807858,3.00,5.00,2.00,3.00,7.00,7.25,4.00,5.00,4.00,217,425,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',12940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807866,1.00,5.00,2.00,3.00,4.00,5.75,4.00,2.00,1.00,207,423,238,'SANTA MONICA','FLORIANOPOLIS','SC',21595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807874,3.00,5.00,2.00,6.00,6.00,5.00,1.00,4.00,4.00,308,319,NULL,'INGLESES','FLORIANOPOLIS','SC',17674,94,859,NULL,NULL,NULL,NULL,2,1),(15,2807882,3.00,6.00,3.00,7.00,7.00,4.50,1.00,5.00,4.00,339,9,NULL,'INGLESES','FLORIANOPOLIS','SC',13450,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807890,3.00,3.00,2.00,6.00,2.00,NULL,4.00,3.00,1.00,203,333,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807904,2.00,4.00,1.00,5.00,7.00,5.25,3.00,4.00,4.00,5,339,NULL,'INGLESES','FLORIANOPOLIS','SC',17582,733,325,NULL,NULL,NULL,NULL,2,1),(15,2807912,3.00,4.00,0.00,7.00,7.00,4.75,5.00,3.00,2.00,339,9,NULL,'CACHOEIRADOBOMJESUS','FLORIANOPOLIS','SC',17968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807920,5.00,7.00,4.00,5.00,8.00,5.50,3.00,7.00,4.00,301,316,NULL,'CAMPECHE','FLORIANOPOLIS','SC',8204,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,423,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2807947,1.00,5.00,2.00,0.00,4.00,3.00,3.00,3.00,2.00,223,224,NULL,'HIGIENOPOLIS','RIBEIRAO PRETO','SP',22468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,224,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2807963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,217,424,'JARDIM ELDORADO','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2807971,5.00,5.00,4.00,2.00,8.00,4.75,3.00,6.00,3.00,425,423,429,'CAMINHO NOVO','PALHOCA','SC',13478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2807980,3.00,4.00,3.00,6.00,6.00,4.50,3.00,2.00,4.00,444,308,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',18999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2807998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2808005,3.00,4.00,4.00,6.00,4.00,5.00,6.00,4.00,1.00,426,428,429,'VILA NOVA','IMBITUBA','SC',17607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808013,4.00,4.00,3.00,5.00,3.00,4.75,2.00,4.00,2.00,317,238,NULL,'IPIRANGA','SAO JOSE','SC',20174,365,1017,NULL,NULL,NULL,NULL,2,1),(15,2808021,1.00,5.00,3.00,5.00,5.00,5.25,3.00,2.00,2.00,308,339,NULL,'IPIRANGA','SAO JOSE','SC',20075,151,386,NULL,NULL,NULL,NULL,2,1),(15,2808030,1.00,4.00,2.00,2.00,5.00,4.00,3.00,4.00,2.00,450,327,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',21651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2808048,2.00,2.00,2.00,1.00,3.00,NULL,4.00,1.00,3.00,339,329,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808056,2.00,3.00,1.00,4.00,2.00,NULL,3.00,3.00,0.00,339,404,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808064,2.00,5.00,3.00,0.00,4.00,3.75,2.00,3.00,3.00,339,404,NULL,'TRINDADE','FLORIANOPOLIS','SC',22483,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808072,3.00,8.00,6.00,7.00,6.00,6.00,2.00,5.00,3.00,317,302,NULL,'BARREIROS','SAO JOSE','SC',9356,89,236,NULL,NULL,NULL,NULL,2,1),(15,2808080,3.00,5.00,4.00,5.00,5.00,5.75,5.00,3.00,3.00,444,201,NULL,'CAMINHO NOVO','PALHOCA','SC',15809,155,1349,NULL,NULL,NULL,NULL,2,1),(15,2808102,5.00,7.00,6.00,5.00,7.00,4.00,5.00,6.00,4.00,332,324,NULL,'ABRAÃO','FLORIANOPOLIS','SC',7875,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808110,5.00,5.00,2.00,2.00,5.00,5.00,4.00,4.00,2.00,211,319,201,'AGRONÔMICA','FLORIANOPOLIS','SC',17832,620,868,948,NULL,NULL,NULL,2,1),(15,2808129,2.00,3.00,2.00,4.00,5.00,3.75,2.00,3.00,3.00,319,317,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808137,2.00,1.00,0.00,5.00,4.00,NULL,1.00,4.00,1.00,317,224,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808145,3.00,4.00,2.00,6.00,4.00,5.25,3.00,3.00,4.00,339,423,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',18464,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808153,1.00,6.00,5.00,7.00,6.00,4.50,7.00,3.00,1.00,225,202,NULL,'BARREIROS','SAO JOSE','SC',13943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808170,2.00,6.00,4.00,7.00,5.00,4.00,3.00,6.00,3.00,213,212,214,'ITAIBA','CONCORDIA','SC',14035,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808188,3.00,4.00,3.00,5.00,6.00,3.50,3.00,4.00,4.00,213,5,214,'ITAIBA','CONCORDIA','SC',18287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,101,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2808200,0.00,0.00,0.00,6.00,3.00,NULL,3.00,3.00,2.00,5,421,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(15,2808218,4.00,8.00,6.00,6.00,7.00,6.25,5.00,6.00,3.00,213,317,202,'VENDAVAL','BIGUACU','SC',6850,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808226,2.00,3.00,0.00,2.00,4.00,NULL,3.00,1.00,3.00,339,324,NULL,'VENDAVAL','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808234,4.00,8.00,1.00,8.00,5.00,6.50,2.00,5.00,1.00,429,339,423,'INGLESES','FLORIANOPOLIS','SC',14271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808242,3.00,3.00,1.00,1.00,2.00,NULL,5.00,4.00,4.00,339,324,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808250,1.00,5.00,1.00,5.00,5.00,4.25,4.00,4.00,2.00,324,423,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',19740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808269,1.00,7.00,3.00,0.00,5.00,4.50,2.00,4.00,2.00,319,502,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',21779,500,367,NULL,NULL,NULL,NULL,4,1),(15,2808277,3.00,8.00,4.00,5.00,7.00,6.75,3.00,4.00,2.00,415,320,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',10194,276,149,NULL,NULL,NULL,NULL,2,1),(15,2808285,2.00,2.00,2.00,2.00,4.00,NULL,2.00,1.00,1.00,215,217,216,'JORDAO','GOVERNADOR CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808293,2.00,9.00,5.00,6.00,8.00,5.75,7.00,7.00,2.00,320,339,NULL,'INGLESES','FLORIANOPOLIS','SC',6067,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808307,4.00,7.00,6.00,5.00,8.00,7.75,5.00,8.00,4.00,320,426,NULL,'ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC',4434,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,207,427,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2808323,2.00,6.00,1.00,7.00,8.00,5.75,5.00,8.00,4.00,207,420,201,'CANASVIEIRAS','FLORIANOPOLIS','SC',10594,519,653,590,NULL,NULL,NULL,2,1),(15,2808331,7.00,8.00,6.00,3.00,7.00,7.50,9.00,7.00,4.00,424,427,425,'SERRARIA','SAO JOSE','SC',3163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2808340,4.00,4.00,1.00,6.00,3.00,3.00,1.00,4.00,5.00,317,339,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',20645,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808358,1.00,2.00,1.00,4.00,6.00,NULL,1.00,3.00,4.00,339,332,NULL,'SÃO LUIZ','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808366,3.00,2.00,0.00,3.00,3.00,6.00,3.00,3.00,3.00,339,327,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',22339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808374,2.00,3.00,2.00,4.00,3.00,5.00,1.00,4.00,1.00,339,309,NULL,'CAMINHO NOVO','PALHOCA','SC',22477,180,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808382,2.00,6.00,2.00,2.00,7.00,7.00,5.00,3.00,3.00,332,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',15834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808390,0.00,4.00,0.00,3.00,4.00,NULL,2.00,4.00,0.00,501,424,NULL,'CENTRO','BRUNOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,324,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2808412,0.00,5.00,2.00,4.00,4.00,3.75,1.00,5.00,1.00,211,5,215,'FLOR E NÁPOLIS','SAO JOSE','SC',21894,749,1347,425,NULL,NULL,NULL,2,1),(15,2808420,2.00,2.00,2.00,2.00,3.00,NULL,4.00,2.00,1.00,451,415,NULL,'SÃO LUIZ','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2808439,1.00,1.00,3.00,3.00,4.00,NULL,2.00,3.00,2.00,404,319,NULL,'PICADAS DO SUL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2808447,0.00,2.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,444,339,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808455,4.00,5.00,1.00,4.00,7.00,6.00,1.00,4.00,3.00,308,339,NULL,'COLONINHA','FLORIANOPOLIS','SC',18661,116,347,NULL,NULL,NULL,NULL,2,1),(15,2808463,4.00,6.00,5.00,6.00,8.00,5.50,4.00,5.00,3.00,302,427,NULL,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',9935,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808471,2.00,6.00,1.00,0.00,2.00,NULL,3.00,2.00,2.00,5,317,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2808480,4.00,5.00,4.00,7.00,4.00,5.75,1.00,6.00,4.00,339,NULL,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',13366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808498,4.00,6.00,5.00,3.00,7.00,4.25,4.00,5.00,4.00,404,301,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',11988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2808501,5.00,4.00,4.00,0.00,6.00,4.25,2.00,5.00,2.00,317,339,NULL,'JARDIM ELDORADO','PALHOCA','SC',18945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808510,6.00,5.00,4.00,0.00,9.00,6.75,5.00,8.00,2.00,317,327,NULL,'JARDIM ELDORADO','PALHOCA','SC',10023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2808528,3.00,3.00,2.00,2.00,7.00,5.00,5.00,2.00,3.00,316,317,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',19648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2808536,5.00,7.00,6.00,6.00,7.00,5.00,7.00,4.00,2.00,222,501,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',8033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2808544,2.00,8.00,6.00,6.00,7.00,4.50,7.00,5.00,2.00,202,225,238,'BOA VISTA','BIGUACU','SC',9389,360,108,301,NULL,NULL,NULL,2,1),(15,2808552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,103,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2808560,3.00,7.00,3.00,4.00,4.00,4.50,5.00,5.00,1.00,238,214,202,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',16830,624,777,594,NULL,NULL,NULL,2,1),(15,2808579,1.00,3.00,0.00,5.00,3.00,5.00,3.00,3.00,3.00,501,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',22484,317,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808587,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,319,215,NULL,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2808595,5.00,8.00,6.00,4.00,9.00,7.00,6.00,6.00,2.00,103,451,NULL,'ABRAAO','FLORIANOPOLIS','SC',6177,1651,141,NULL,NULL,NULL,NULL,2,1),(15,2808609,0.00,1.00,2.00,1.00,4.00,NULL,1.00,0.00,2.00,101,324,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2808617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,424,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2808625,3.00,8.00,2.00,2.00,8.00,6.00,3.00,7.00,5.00,327,332,NULL,'JARDIM CIDADE FPOLIS','SAO JOSE','SC',11086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2808633,2.00,5.00,2.00,6.00,3.00,4.75,5.00,4.00,3.00,316,301,NULL,'ROCADO','SAO JOSE','SC',18406,537,777,NULL,NULL,NULL,NULL,2,1),(15,2808641,2.00,4.00,3.00,4.00,5.00,6.50,2.00,4.00,2.00,428,222,423,'MARIVONE','PALHOCA','SC',18804,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808650,2.00,5.00,1.00,3.00,5.00,6.50,3.00,4.00,1.00,238,423,NULL,'PALHOÇA','PALHOCA','SC',20393,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808668,5.00,7.00,5.00,7.00,6.00,6.25,5.00,4.00,5.00,316,501,NULL,'SERRINHA','FLORIANOPOLIS','SC',8309,167,374,NULL,NULL,NULL,NULL,2,1),(15,2808676,2.00,3.00,2.00,6.00,5.00,6.25,4.00,6.00,1.00,238,220,208,'FORQUILHINHAS','SAO JOSE','SC',18247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2808684,1.00,2.00,2.00,1.00,1.00,NULL,2.00,1.00,2.00,202,101,213,'JARDIM EUCALIPTOS','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808692,4.00,8.00,5.00,7.00,7.00,6.00,5.00,7.00,2.00,207,333,238,'ARIRIU','PALHOCA','SC',8580,412,613,266,NULL,NULL,NULL,2,1),(15,2808706,1.00,7.00,3.00,6.00,6.00,5.00,5.00,3.00,3.00,108,332,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',13547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808714,3.00,6.00,3.00,5.00,9.00,5.25,4.00,4.00,4.00,331,217,NULL,'ARIRIÚ','PALHOCA','SC',11851,36,397,NULL,NULL,NULL,NULL,2,1),(15,2808722,3.00,5.00,1.00,4.00,7.00,5.00,1.00,4.00,2.00,339,423,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',20455,129,245,NULL,NULL,NULL,NULL,2,1),(15,2808730,1.00,7.00,1.00,3.00,5.00,4.75,3.00,3.00,3.00,302,309,NULL,'JARDIM EUCALIPTOS','PALHOCA','SC',20249,178,222,NULL,NULL,NULL,NULL,4,1),(15,2808749,3.00,6.00,5.00,7.00,6.00,7.25,7.00,5.00,2.00,103,502,NULL,'ITACORUBI','FLORIANOPOLIS','SC',8991,2032,173,NULL,NULL,NULL,NULL,2,1),(15,2808757,3.00,6.00,2.00,7.00,5.00,5.00,4.00,2.00,2.00,217,224,NULL,'SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC',17412,157,249,NULL,NULL,NULL,NULL,5,1),(15,2808765,1.00,7.00,1.00,3.00,4.00,4.50,2.00,5.00,1.00,451,426,NULL,'RATONES','FLORIANOPOLIS','SC',21633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808773,2.00,5.00,1.00,0.00,4.00,NULL,4.00,3.00,4.00,108,333,NULL,'MADRI','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2808781,1.00,4.00,2.00,5.00,6.00,5.50,2.00,5.00,3.00,327,339,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',18314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808790,2.00,6.00,3.00,4.00,7.00,6.25,3.00,6.00,4.00,324,502,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',14021,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808803,3.00,8.00,4.00,6.00,9.00,5.25,6.00,6.00,2.00,317,316,NULL,'SERRARIA','SAO JOSE','SC',8584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808811,5.00,8.00,4.00,7.00,8.00,6.00,5.00,8.00,5.00,102,215,NULL,'SERRARIA','SAO JOSE','SC',2981,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,332,428,'ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2808838,1.00,5.00,3.00,0.00,6.00,5.00,4.00,3.00,3.00,101,217,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20739,288,527,NULL,NULL,NULL,NULL,4,1),(15,2808846,2.00,6.00,1.00,5.00,5.00,4.75,2.00,3.00,2.00,444,208,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',21065,270,1132,NULL,NULL,NULL,NULL,2,1),(15,2808854,2.00,6.00,3.00,1.00,8.00,5.25,4.00,2.00,4.00,316,317,NULL,'ARMAÇÃO DO PANTANO','FLORIANOPOLIS','SC',17579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2808862,2.00,5.00,3.00,2.00,3.00,2.00,5.00,2.00,2.00,308,326,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808870,2.00,6.00,1.00,1.00,5.00,5.25,3.00,4.00,1.00,222,224,NULL,'PASSA VINTE','PALHOCA','SC',21214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2808889,3.00,3.00,1.00,2.00,5.00,4.50,2.00,3.00,3.00,404,327,NULL,'CENTRO','FLORIANOPOLIS','SC',22305,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808897,2.00,2.00,1.00,2.00,5.00,NULL,1.00,3.00,0.00,404,332,NULL,'FLOR DE NAPOLIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2808900,3.00,6.00,4.00,9.00,8.00,6.00,3.00,4.00,2.00,332,308,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',10906,37,268,NULL,NULL,NULL,NULL,2,1),(15,2808919,2.00,7.00,6.00,3.00,7.00,7.75,7.00,6.00,4.00,224,222,NULL,'BALNEARIO','FLORIANOPOLIS','SC',6621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2808927,3.00,7.00,3.00,5.00,6.00,4.50,4.00,0.00,2.00,238,217,212,'JARDIM SÃO MIGUEL','BIGUACU','SC',18173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2808935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,320,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2808943,2.00,3.00,3.00,4.00,2.00,NULL,2.00,2.00,3.00,404,332,NULL,'CENTRO','DIONISIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808951,2.00,7.00,0.00,2.00,6.00,5.00,0.00,3.00,4.00,332,428,NULL,'JARDIM ELDORADO','PALHOCA','SC',21213,139,251,NULL,NULL,NULL,NULL,2,1),(15,2808960,0.00,1.00,0.00,0.00,2.00,NULL,2.00,1.00,0.00,316,324,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2808978,0.00,5.00,3.00,6.00,2.00,NULL,3.00,6.00,2.00,415,5,NULL,'SANTOS DUMONT','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808986,3.00,5.00,4.00,3.00,6.00,6.75,4.00,2.00,3.00,207,451,238,'JURERÊ','FLORIANOPOLIS','SC',16383,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2808994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,324,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2809001,2.00,5.00,4.00,1.00,5.00,5.00,2.00,4.00,1.00,317,318,NULL,'COQUEIROS','FLORIANOPOLIS','SC',20700,382,518,NULL,NULL,NULL,NULL,2,1),(15,2809010,1.00,5.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,444,404,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809028,2.00,5.00,1.00,5.00,6.00,5.75,4.00,3.00,4.00,208,9,NULL,'ESTREITO','FLORIANOPOLIS','SC',16552,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809036,3.00,7.00,2.00,8.00,9.00,6.00,5.00,6.00,2.00,207,420,NULL,'ESTREITO','FLORIANOPOLIS','SC',9051,435,613,NULL,NULL,NULL,NULL,4,1),(15,2809044,4.00,7.00,6.00,6.00,7.00,5.75,4.00,8.00,3.00,316,318,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',6363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809052,5.00,9.00,7.00,7.00,7.00,9.00,7.00,8.00,3.00,301,303,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',1936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2809060,6.00,7.00,7.00,8.00,8.00,4.50,8.00,8.00,5.00,103,108,NULL,'SANTA TEREZA','RIO GRANDE DA SERRA','SP',2411,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2809079,3.00,5.00,3.00,5.00,5.00,4.00,2.00,2.00,1.00,425,108,429,'COQUEIROS','FLORIANOPOLIS','SC',21066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2809087,4.00,4.00,1.00,3.00,5.00,3.00,2.00,3.00,4.00,339,317,NULL,'SAVEIROS','BIGUACU','SC',21220,148,668,NULL,NULL,NULL,NULL,2,1),(15,2809095,4.00,6.00,2.00,1.00,5.00,2.25,3.00,1.00,1.00,420,108,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2809109,3.00,6.00,6.00,7.00,3.00,5.75,5.00,6.00,5.00,216,333,211,'M SIMÃO BARROS LEVY','LIMEIRA','SP',8849,306,NULL,NULL,NULL,NULL,NULL,4,1),(15,2809117,3.00,8.00,3.00,8.00,7.00,5.75,2.00,8.00,1.00,423,308,425,'FUNDOS','BIGUACU','SC',9734,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809125,3.00,4.00,3.00,1.00,4.00,5.50,3.00,3.00,2.00,324,103,NULL,'FORQUILHAS','SAO JOSE','SC',22257,114,3288,NULL,NULL,NULL,NULL,4,1),(15,2809133,2.00,9.00,2.00,2.00,5.00,3.75,3.00,7.00,2.00,327,425,NULL,'FUNDOS','BIGUACU','SC',17034,131,371,NULL,NULL,NULL,NULL,4,1),(15,2809141,3.00,7.00,3.00,6.00,8.00,5.50,3.00,4.00,3.00,308,339,NULL,'PONTE DE IMARUIM','PALHOCA','SC',13037,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809150,1.00,3.00,1.00,1.00,4.00,NULL,0.00,1.00,1.00,426,339,425,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809168,7.00,9.00,9.00,7.00,8.00,7.75,9.00,8.00,7.00,222,2,NULL,'CENTRO','FLORIANOPOLIS','SC',278,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809176,2.00,2.00,1.00,3.00,3.00,NULL,1.00,3.00,1.00,5,102,NULL,'LAGOA DDA CONCEIÇAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2809184,3.00,6.00,3.00,2.00,5.00,4.75,4.00,5.00,4.00,318,427,NULL,'AREIAS DO CAMPECHE','FLORIANOPOLIS','SC',16849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2809192,0.00,5.00,1.00,2.00,4.00,5.75,4.00,4.00,2.00,102,9,NULL,'CARIANOS','FLORIANOPOLIS','SC',21620,501,744,NULL,NULL,NULL,NULL,4,1),(15,2809206,3.00,3.00,2.00,1.00,5.00,4.50,2.00,4.00,1.00,324,224,NULL,'SAO SEBASTIAO','PALHOCA','SC',22329,117,313,NULL,NULL,NULL,NULL,4,1),(15,2809214,0.00,4.00,1.00,2.00,3.00,NULL,0.00,2.00,2.00,316,301,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2809230,3.00,5.00,4.00,4.00,6.00,5.50,2.00,4.00,1.00,317,318,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',18839,329,503,NULL,NULL,NULL,NULL,2,1),(15,2809249,0.00,5.00,3.00,3.00,5.00,NULL,3.00,2.00,0.00,429,415,NULL,'PRAINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2809257,4.00,7.00,4.00,4.00,7.00,5.50,4.00,8.00,3.00,318,225,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',8231,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809265,3.00,7.00,6.00,6.00,5.00,5.00,5.00,6.00,2.00,208,NULL,238,'TAPERA','FLORIANOPOLIS','SC',11746,416,NULL,413,NULL,NULL,NULL,2,1),(15,2809273,2.00,5.00,1.00,6.00,4.00,4.25,3.00,2.00,0.00,9,215,NULL,'SCATOLIN','QUILOMBO','SC',22039,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2809281,3.00,5.00,1.00,5.00,6.00,6.00,3.00,4.00,2.00,308,303,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',18210,106,1285,NULL,NULL,NULL,NULL,2,1),(15,2809290,4.00,6.00,2.00,7.00,8.00,8.00,4.00,7.00,4.00,317,318,NULL,'SERRARIA','SAO JOSE','SC',7288,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809303,3.00,5.00,4.00,5.00,6.00,6.00,3.00,6.00,1.00,317,208,NULL,'AREIAS','SAO JOSE','SC',15600,248,1037,NULL,NULL,NULL,NULL,2,1),(15,2809311,2.00,2.00,1.00,2.00,4.00,NULL,0.00,2.00,2.00,324,308,NULL,'REAL PARQUE','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,225,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2809338,5.00,7.00,7.00,5.00,4.00,6.00,6.00,6.00,4.00,203,216,233,'PANTANAL','FLORIANOPOLIS','SC',7252,604,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,318,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2809354,2.00,6.00,4.00,5.00,8.00,5.25,1.00,4.00,2.00,331,332,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',16513,69,274,NULL,NULL,NULL,NULL,2,1),(15,2809362,4.00,7.00,3.00,6.00,7.00,4.50,7.00,5.00,4.00,404,324,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',9548,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809370,2.00,2.00,2.00,0.00,5.00,NULL,4.00,4.00,3.00,415,450,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2809389,4.00,8.00,6.00,4.00,8.00,7.00,7.00,6.00,5.00,316,339,NULL,'TRINDADE','FLORIANOPOLIS','SC',5722,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809397,3.00,6.00,3.00,1.00,5.00,6.50,6.00,5.00,2.00,108,302,NULL,'INGLESES','FLORIANOPOLIS','SC',16028,356,286,NULL,NULL,NULL,NULL,4,1),(15,2809400,3.00,6.00,5.00,6.00,9.00,6.25,5.00,7.00,1.00,319,328,NULL,'ITACORUBI','FLORIANOPOLIS','SC',8750,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2809419,2.00,4.00,1.00,1.00,4.00,5.75,4.00,4.00,4.00,501,502,NULL,'CENTRO','ANGELINA','SC',20129,271,333,NULL,NULL,NULL,NULL,2,1),(15,2809427,2.00,8.00,4.00,6.00,8.00,7.00,6.00,7.00,3.00,5,424,NULL,'PANTANAL','FLORIANOPOLIS','SC',6423,300,148,NULL,NULL,NULL,NULL,2,1),(15,2809435,0.00,4.00,3.00,6.00,4.00,5.25,1.00,6.00,3.00,317,224,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',18547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809443,2.00,4.00,1.00,5.00,5.00,5.75,5.00,5.00,3.00,5,301,NULL,'KOBRASOL','SAO JOSE','SC',18028,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809451,2.00,7.00,0.00,3.00,1.00,NULL,2.00,1.00,1.00,332,211,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809478,4.00,8.00,4.00,5.00,6.00,6.25,3.00,5.00,2.00,2,225,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',12188,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809486,3.00,5.00,3.00,7.00,6.00,5.25,3.00,3.00,2.00,339,424,NULL,'BARREIROS','SAO JOSE','SC',17217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809494,1.00,3.00,2.00,2.00,3.00,NULL,3.00,2.00,1.00,319,102,NULL,'JORDÃO','GOVERNADOR CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809508,3.00,6.00,3.00,7.00,7.00,7.00,3.00,4.00,2.00,429,320,425,'TIJUQUINHAS','BIGUACU','SC',12269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2809516,3.00,6.00,3.00,5.00,6.00,4.25,1.00,3.00,3.00,101,224,NULL,'CANTO DOS GANCHOS','GOVERNADOR CELSO RAMOS','SC',18238,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809524,5.00,3.00,5.00,1.00,7.00,4.00,5.00,4.00,4.00,201,238,208,'SÃO SEBASTIÃO','PALHOCA','SC',15379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2809532,5.00,6.00,3.00,1.00,5.00,5.75,3.00,3.00,1.00,444,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',18675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2809540,3.00,4.00,3.00,3.00,5.00,6.25,2.00,7.00,3.00,207,426,211,'SOROCABA','PAULO LOPES','SC',17408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2809567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,333,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2809575,2.00,3.00,2.00,2.00,4.00,NULL,2.00,1.00,0.00,238,202,208,'ABRAÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2809583,2.00,5.00,0.00,5.00,6.00,6.00,2.00,2.00,3.00,502,501,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',21024,103,573,NULL,NULL,NULL,NULL,2,1),(15,2809591,2.00,5.00,2.00,5.00,4.00,5.75,4.00,2.00,2.00,324,223,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',20112,89,226,NULL,NULL,NULL,NULL,2,1),(15,2809605,3.00,2.00,2.00,2.00,7.00,NULL,3.00,3.00,1.00,404,208,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809613,2.00,5.00,2.00,4.00,3.00,5.25,4.00,2.00,3.00,339,329,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',20501,130,253,NULL,NULL,NULL,NULL,2,1),(15,2809621,4.00,6.00,3.00,5.00,7.00,4.50,3.00,5.00,3.00,317,224,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',13151,185,206,NULL,NULL,NULL,NULL,2,1),(15,2809630,3.00,5.00,3.00,2.00,4.00,4.00,4.00,2.00,2.00,333,404,NULL,'INGLESES','FLORIANOPOLIS','SC',21439,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809648,3.00,7.00,5.00,7.00,6.00,5.75,5.00,7.00,2.00,329,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',8645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2809656,0.00,4.00,3.00,2.00,6.00,NULL,2.00,4.00,2.00,101,102,NULL,'ABRAAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2809664,4.00,4.00,4.00,3.00,7.00,6.50,5.00,3.00,3.00,9,339,NULL,'AREIAS','SAO JOSE','SC',15266,198,284,NULL,NULL,NULL,NULL,2,1),(15,2809672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,415,428,'JD JANAINA','BIGUACU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2809680,2.00,6.00,2.00,5.00,4.00,5.00,4.00,4.00,3.00,5,NULL,NULL,'COQUEIROS','FLORIANOPOLIS','SC',17991,745,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809699,5.00,9.00,4.00,7.00,7.00,3.75,8.00,7.00,2.00,317,233,NULL,'TAPERA','FLORIANOPOLIS','SC',6175,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809702,3.00,7.00,2.00,4.00,4.00,5.50,2.00,7.00,2.00,502,211,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',16753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809729,3.00,7.00,4.00,5.00,7.00,4.75,3.00,5.00,5.00,320,327,NULL,'RATONES','FLORIANOPOLIS','SC',12443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809737,1.00,7.00,1.00,4.00,7.00,5.50,2.00,4.00,2.00,234,217,NULL,'INGLESES','FLORIANOPOLIS','SC',17751,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,201,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2809753,3.00,4.00,2.00,6.00,7.00,5.75,2.00,6.00,4.00,316,317,NULL,'INGLESES','FLORIANOPOLIS','SC',15166,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809761,1.00,6.00,1.00,6.00,5.00,2.00,4.00,7.00,2.00,329,327,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809770,2.00,6.00,2.00,7.00,7.00,5.50,5.00,3.00,2.00,234,301,NULL,'SANTO ANTONIO LISBOA','FLORIANOPOLIS','SC',14875,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809788,2.00,2.00,2.00,1.00,1.00,NULL,1.00,1.00,1.00,308,324,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809796,2.00,4.00,3.00,4.00,6.00,5.25,3.00,5.00,3.00,316,426,NULL,'PONTE DO IMARUIM','PALHOCA','SC',17727,513,220,NULL,NULL,NULL,NULL,2,1),(15,2809800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,234,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809818,1.00,4.00,4.00,1.00,5.00,4.00,2.00,2.00,2.00,201,324,238,'ABRAÃO','FLORIANOPOLIS','SC',22175,1143,455,822,NULL,NULL,NULL,4,1),(15,2809826,1.00,5.00,1.00,2.00,8.00,5.25,2.00,5.00,3.00,9,319,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',20096,294,924,NULL,NULL,NULL,NULL,4,1),(15,2809834,2.00,6.00,2.00,7.00,6.00,7.75,3.00,4.00,1.00,320,327,NULL,'FORQUILHINHAS','SAO JOSE','SC',15078,62,371,NULL,NULL,NULL,NULL,2,1),(15,2809842,5.00,7.00,3.00,5.00,8.00,6.00,4.00,4.00,5.00,429,332,428,'FORQUILHINHAS','SAO JOSE','SC',9926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,426,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2809869,2.00,5.00,4.00,6.00,6.00,4.25,3.00,2.00,3.00,331,301,NULL,'PONTE DO IMARUIM','PALHOCA','SC',17182,75,744,NULL,NULL,NULL,NULL,2,1),(15,2809877,2.00,6.00,5.00,7.00,6.00,5.50,6.00,5.00,3.00,444,423,NULL,'PONTE DO IMARUIM','PALHOCA','SC',8552,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809885,2.00,8.00,3.00,9.00,8.00,5.00,6.00,6.00,4.00,103,309,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',6987,1758,98,NULL,NULL,NULL,NULL,4,1),(15,2809893,5.00,7.00,3.00,6.00,8.00,5.50,5.00,3.00,3.00,102,332,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',8774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2809907,4.00,5.00,2.00,4.00,3.00,4.25,3.00,4.00,2.00,101,339,NULL,'BARREIROS','SAO JOSE','SC',19905,265,381,NULL,NULL,NULL,NULL,2,1),(15,2809915,2.00,7.00,5.00,4.00,6.00,5.75,4.00,6.00,3.00,201,238,212,'PONTE DO IMARUIM','PALHOCA','SC',12271,672,921,251,NULL,NULL,NULL,4,1),(15,2809923,4.00,6.00,4.00,4.00,6.00,6.75,4.00,5.00,3.00,207,238,201,'BELA VISTA','PALHOCA','SC',12393,606,925,678,NULL,NULL,NULL,4,1),(15,2809931,4.00,6.00,3.00,5.00,7.00,5.00,4.00,4.00,1.00,304,318,NULL,'CENTRO','SAO JOSE','SC',13746,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,339,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2809958,3.00,5.00,0.00,7.00,3.00,4.25,1.00,2.00,3.00,101,429,NULL,'CENTRO','FLORIANOPOLIS','SC',21205,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809966,3.00,6.00,0.00,3.00,5.00,5.75,2.00,5.00,2.00,318,339,NULL,'CARIANOS','FLORIANOPOLIS','SC',20283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2809974,1.00,4.00,2.00,3.00,5.00,4.75,4.00,2.00,2.00,329,421,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',21927,80,169,NULL,NULL,NULL,NULL,2,1),(15,2809982,4.00,8.00,3.00,4.00,7.00,6.50,6.00,5.00,2.00,339,332,NULL,'ITACORUBI','FLORIANOPOLIS','SC',10125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2809990,3.00,8.00,5.00,2.00,6.00,4.25,3.00,3.00,1.00,318,316,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',18712,233,1175,NULL,NULL,NULL,NULL,2,1),(15,2810000,3.00,7.00,0.00,4.00,4.00,4.25,1.00,5.00,2.00,331,332,NULL,'PANTANAL','FLORIANOPOLIS','SC',21067,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810018,3.00,5.00,1.00,6.00,5.00,6.75,4.00,5.00,1.00,428,310,425,'BELA VISTA','SAO JOSE','SC',16716,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810026,1.00,4.00,0.00,3.00,4.00,NULL,3.00,4.00,2.00,5,326,NULL,'BOA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810034,3.00,7.00,4.00,5.00,7.00,5.75,5.00,5.00,3.00,326,331,NULL,'BARREIROS','SAO JOSE','SC',10558,51,137,NULL,NULL,NULL,NULL,2,1),(15,2810042,3.00,4.00,2.00,7.00,8.00,3.50,3.00,2.00,2.00,428,308,423,'BARREIROS','SAO JOSE','SC',18445,67,395,65,NULL,NULL,NULL,2,1),(15,2810050,2.00,4.00,2.00,4.00,5.00,5.75,2.00,5.00,2.00,326,308,NULL,'SERRARIA','SAO JOSE','SC',20231,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810069,1.00,3.00,2.00,0.00,4.00,NULL,4.00,3.00,2.00,319,316,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810077,1.00,6.00,1.00,4.00,5.00,5.50,1.00,4.00,1.00,444,238,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',21392,280,1035,NULL,NULL,NULL,NULL,2,1),(15,2810085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,339,208,'PRAIA COMRPIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2810093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,202,214,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2810107,6.00,7.00,2.00,8.00,8.00,6.00,7.00,7.00,4.00,103,104,NULL,'BALNEARIO CAMBURIU','BALNEARIO CAMBORIU','SC',5001,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2810115,1.00,5.00,1.00,8.00,6.00,4.00,3.00,3.00,3.00,103,104,NULL,'BALNEARIO CAMBURIU','BALNEARIO CAMBORIU','SC',18289,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2810123,2.00,3.00,0.00,3.00,5.00,NULL,4.00,3.00,2.00,238,217,208,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2810131,4.00,7.00,4.00,3.00,5.00,4.50,4.00,4.00,3.00,233,223,212,'PASSA VINTE','PALHOCA','SC',15776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2810158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,444,NULL,'LOS ANGELES','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2810166,2.00,4.00,2.00,5.00,3.00,3.00,5.00,2.00,1.00,415,425,NULL,'IPIRANGA','SAO JOSE','SC',21995,556,437,NULL,NULL,NULL,NULL,2,1),(15,2810174,0.00,4.00,2.00,2.00,3.00,3.75,4.00,2.00,4.00,208,2,238,'LOEFFELSCHEIDT','AGUAS MORNAS','SC',22254,906,255,826,NULL,NULL,NULL,4,1),(15,2810182,3.00,7.00,3.00,1.00,6.00,4.25,3.00,5.00,3.00,331,308,NULL,'RIO DO CEDRO','AGUAS MORNAS','SC',17602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2810190,2.00,3.00,3.00,3.00,7.00,4.00,2.00,4.00,3.00,309,423,NULL,'SANTACRUZDA FIGUEIRA','AGUAS MORNAS','SC',21507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,423,NULL,'MADRI','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2810220,3.00,7.00,3.00,2.00,4.00,4.25,4.00,5.00,2.00,201,332,212,'ITACORUBI','FLORIANOPOLIS','SC',19058,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810239,2.00,7.00,4.00,3.00,3.00,2.00,4.00,4.00,3.00,217,421,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810247,3.00,3.00,2.00,1.00,5.00,NULL,1.00,1.00,2.00,415,444,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2810255,3.00,6.00,3.00,1.00,5.00,5.00,3.00,3.00,3.00,428,425,NULL,'COQUEIROS','FLORIANOPOLIS','SC',19186,77,412,NULL,NULL,NULL,NULL,4,1),(15,2810263,2.00,7.00,3.00,5.00,6.00,7.00,4.00,5.00,2.00,317,327,NULL,'CAMPINAS','SAO JOSE','SC',13194,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810271,2.00,6.00,1.00,2.00,3.00,3.50,4.00,7.00,1.00,5,215,NULL,'IPIRANGA','SAO JOSE','SC',21170,872,633,NULL,NULL,NULL,NULL,2,1),(15,2810280,4.00,4.00,5.00,6.00,6.00,5.50,2.00,6.00,2.00,108,101,NULL,'IPIRANGA','SAO JOSE','SC',13020,285,588,NULL,NULL,NULL,NULL,2,1),(15,2810298,3.00,6.00,2.00,8.00,6.00,4.00,3.00,5.00,2.00,308,423,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',16261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810301,1.00,6.00,2.00,4.00,5.00,NULL,1.00,2.00,1.00,317,318,NULL,'MADRI','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810310,3.00,6.00,2.00,4.00,4.00,3.50,2.00,7.00,4.00,317,327,NULL,'BARREIROS','SAO JOSE','SC',16810,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,332,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2810336,4.00,8.00,2.00,5.00,7.00,6.25,6.00,7.00,3.00,302,404,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',8383,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810344,1.00,1.00,1.00,3.00,0.00,NULL,1.00,0.00,1.00,324,427,NULL,'PRAINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810352,3.00,4.00,3.00,3.00,2.00,NULL,2.00,2.00,2.00,222,425,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2810360,4.00,5.00,2.00,7.00,7.00,7.00,3.00,4.00,3.00,238,339,208,'JARDIM ELDORADO','PALHOCA','SC',12165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810379,5.00,8.00,5.00,5.00,7.00,5.25,4.00,7.00,3.00,5,316,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',7387,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810387,1.00,4.00,4.00,5.00,4.00,5.00,2.00,3.00,2.00,332,320,NULL,'INGLESES','FLORIANOPOLIS','SC',20323,128,238,NULL,NULL,NULL,NULL,2,1),(15,2810395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,423,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2810409,3.00,5.00,1.00,2.00,6.00,4.75,3.00,3.00,0.00,333,444,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',21375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2810417,1.00,5.00,3.00,6.00,7.00,5.75,4.00,4.00,3.00,211,318,201,'VARGEM GRANDE','FLORIANOPOLIS','SC',14381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810425,3.00,6.00,3.00,5.00,7.00,5.25,3.00,5.00,2.00,108,211,NULL,'INGLESES','FLORIANOPOLIS','SC',14822,328,925,NULL,NULL,NULL,NULL,2,1),(15,2810433,4.00,5.00,2.00,5.00,5.00,5.25,3.00,4.00,2.00,444,332,NULL,'FORQUILHINHAS','SAO JOSE','SC',18158,195,286,NULL,NULL,NULL,NULL,2,1),(15,2810441,1.00,3.00,2.00,2.00,5.00,NULL,2.00,1.00,2.00,444,102,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810450,2.00,7.00,1.00,3.00,5.00,6.00,3.00,6.00,1.00,333,328,NULL,'TRINDADE','FLORIANOPOLIS','SC',18680,326,130,NULL,NULL,NULL,NULL,2,1),(15,2810468,4.00,3.00,3.00,1.00,6.00,NULL,2.00,0.00,3.00,108,339,NULL,'FLORESTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2810476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,332,NULL,'TRINDADE','MOGI DAS CRUZES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810484,0.00,3.00,2.00,2.00,2.00,NULL,2.00,1.00,2.00,319,329,NULL,'ARMACAO PANTANO DO S','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810492,2.00,7.00,4.00,6.00,5.00,5.50,5.00,5.00,2.00,332,333,NULL,'PRAIA DO FORTE','FLORIANOPOLIS','SC',12189,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810506,5.00,6.00,4.00,1.00,5.00,3.25,4.00,3.00,2.00,101,217,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',19848,263,514,NULL,NULL,NULL,NULL,4,1),(15,2810514,5.00,7.00,4.00,9.00,9.00,8.00,4.00,7.00,4.00,211,502,213,'ESTREITO','FLORIANOPOLIS','SC',4403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2810522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,224,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2810530,2.00,6.00,1.00,2.00,4.00,3.75,4.00,2.00,2.00,101,327,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',22311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810549,0.00,3.00,2.00,5.00,5.00,5.00,4.00,3.00,2.00,208,238,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',21235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810557,4.00,4.00,3.00,5.00,3.00,4.00,4.00,3.00,1.00,211,234,201,'CANTO DA LAGOA','FLORIANOPOLIS','SC',20447,698,249,1067,NULL,NULL,NULL,2,1),(15,2810565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,308,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2810573,6.00,5.00,5.00,7.00,7.00,6.00,6.00,6.00,0.00,101,223,NULL,'CENTRO','PALHOCA','SC',8854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810581,2.00,6.00,3.00,7.00,3.00,5.00,5.00,5.00,3.00,317,224,NULL,'BARREIROS','SAO JOSE','SC',14479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,502,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2810603,4.00,6.00,4.00,5.00,5.00,5.50,5.00,4.00,3.00,444,238,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',14043,124,934,NULL,NULL,NULL,NULL,2,1),(15,2810611,3.00,2.00,1.00,5.00,5.00,3.00,3.00,6.00,1.00,303,428,NULL,'BARREIROS','SAO JOSE','SC',20999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810620,1.00,1.00,3.00,5.00,5.00,4.50,3.00,3.00,4.00,211,420,208,'PASSA VINTE','PALHOCA','SC',20856,710,909,834,NULL,NULL,NULL,2,1),(15,2810638,0.00,6.00,4.00,4.00,7.00,4.00,2.00,6.00,3.00,238,5,208,'JARDIM CIDADE FPOLIS','SAO JOSE','SC',17095,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810646,2.00,5.00,2.00,5.00,4.00,4.75,4.00,5.00,1.00,101,102,NULL,'BARREIROS','SAO JOSE','SC',19644,256,1079,NULL,NULL,NULL,NULL,2,1),(15,2810654,6.00,7.00,5.00,5.00,8.00,7.25,4.00,5.00,2.00,333,332,NULL,'BARREIROS','SAO JOSE','SC',6534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2810662,3.00,5.00,4.00,7.00,8.00,5.50,4.00,8.00,3.00,207,425,211,'AGRONÔMICA','FLORIANOPOLIS','SC',9296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2810670,5.00,8.00,5.00,7.00,7.00,5.75,6.00,9.00,4.00,319,327,NULL,'JARDIM ELDORADO','PALHOCA','SC',4105,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810689,2.00,2.00,1.00,6.00,5.00,6.75,5.00,3.00,3.00,333,211,NULL,'INGLESES','FLORIANOPOLIS','SC',18755,330,987,NULL,NULL,NULL,NULL,2,1),(15,2810697,7.00,8.00,6.00,7.00,8.00,6.50,8.00,7.00,4.00,319,425,NULL,'TRINDADE','FLORIANOPOLIS','SC',2180,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2810719,5.00,8.00,2.00,6.00,8.00,7.00,3.00,4.00,2.00,421,332,424,'PANTANAL','FLORIANOPOLIS','SC',9841,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810727,3.00,5.00,5.00,3.00,4.00,5.75,3.00,4.00,2.00,421,339,429,'PANTANAL','FLORIANOPOLIS','SC',18598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810735,2.00,3.00,1.00,0.00,2.00,NULL,3.00,2.00,3.00,324,308,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810743,2.00,7.00,1.00,4.00,6.00,4.75,4.00,4.00,2.00,339,309,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',17219,65,176,NULL,NULL,NULL,NULL,2,1),(15,2810760,1.00,0.00,5.00,3.00,3.00,NULL,3.00,1.00,0.00,444,207,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810778,3.00,7.00,1.00,6.00,9.00,6.75,2.00,6.00,3.00,308,426,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',10988,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810786,0.00,0.00,1.00,1.00,3.00,NULL,3.00,0.00,0.00,404,444,NULL,'SERRARIA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810794,7.00,7.00,2.00,5.00,9.00,6.75,6.00,6.00,5.00,207,420,211,'AREIAS','SAO JOSE','SC',5038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2810808,0.00,8.00,2.00,0.00,6.00,5.50,2.00,5.00,1.00,316,327,NULL,'BOM VIVER','BIGUACU','SC',20921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2810816,2.00,7.00,0.00,4.00,7.00,5.50,4.00,3.00,3.00,309,428,NULL,'JARDIM ELDORADO','PALHOCA','SC',16971,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810824,4.00,5.00,2.00,1.00,7.00,5.00,2.00,4.00,2.00,317,224,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',19610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2810832,5.00,6.00,1.00,4.00,8.00,4.75,3.00,3.00,3.00,104,308,NULL,'CENTRO','FLORIANOPOLIS','SC',15727,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810840,1.00,5.00,5.00,2.00,5.00,4.50,8.00,5.00,4.00,201,220,212,'CENTRO','TIJUCAS','SC',14457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2810859,2.00,5.00,1.00,1.00,4.00,4.50,2.00,5.00,2.00,421,332,424,'INGLESES','FLORIANOPOLIS','SC',21737,53,326,102,NULL,NULL,NULL,4,1),(15,2810867,3.00,5.00,4.00,7.00,6.00,3.50,5.00,6.00,4.00,339,309,NULL,'CENTRO','SOCORRO','SP',12288,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810875,2.00,7.00,3.00,8.00,3.00,5.00,4.00,4.00,3.00,101,423,NULL,'CAMPECHE','FLORIANOPOLIS','SC',15432,157,192,NULL,NULL,NULL,NULL,2,1),(15,2810883,0.00,4.00,0.00,1.00,2.00,NULL,2.00,2.00,1.00,223,308,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2810891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,308,423,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2810905,4.00,5.00,4.00,5.00,7.00,5.75,5.00,5.00,4.00,429,318,423,'SERRARIA','SAO JOSE','SC',11231,28,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810921,1.00,5.00,2.00,2.00,6.00,4.75,7.00,7.00,2.00,223,2,NULL,'BELA VISTA I','SAO JOSE','SC',17018,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810930,0.00,0.00,2.00,0.00,2.00,NULL,3.00,1.00,1.00,208,202,215,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810956,5.00,9.00,6.00,8.00,8.00,7.00,7.00,7.00,7.00,316,318,NULL,'INGLESES','FLORIANOPOLIS','SC',1595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2810972,4.00,8.00,3.00,8.00,6.00,7.75,5.00,6.00,2.00,5,303,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',6862,315,1070,NULL,NULL,NULL,NULL,4,1),(15,2810980,1.00,5.00,3.00,5.00,5.00,5.50,5.00,5.00,2.00,308,327,NULL,'SERRARIA','SAO JOSE','SC',17605,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811006,1.00,2.00,0.00,1.00,2.00,NULL,4.00,3.00,5.00,339,308,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811014,0.00,3.00,1.00,3.00,5.00,NULL,2.00,2.00,1.00,309,303,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811022,0.00,5.00,0.00,5.00,4.00,NULL,2.00,1.00,3.00,404,217,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811030,3.00,5.00,0.00,1.00,6.00,5.25,2.00,5.00,2.00,9,339,NULL,'MADRI','PALHOCA','SC',20304,299,395,NULL,NULL,NULL,NULL,4,1),(15,2811049,1.00,2.00,1.00,0.00,4.00,NULL,1.00,4.00,1.00,225,328,NULL,'CENTRO SÃO JOSÉ','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811057,1.00,3.00,2.00,4.00,3.00,5.00,6.00,2.00,2.00,308,423,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',21550,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811065,1.00,7.00,5.00,7.00,7.00,3.75,6.00,6.00,4.00,217,216,NULL,'CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC',8500,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811073,2.00,5.00,0.00,4.00,4.00,NULL,3.00,2.00,0.00,429,339,426,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811081,4.00,5.00,2.00,6.00,6.00,4.50,2.00,3.00,4.00,201,501,212,'ARAUCARIA','SAO JOSE','SC',17803,947,513,364,NULL,NULL,NULL,2,1),(15,2811090,2.00,5.00,2.00,3.00,2.00,NULL,2.00,3.00,1.00,501,211,NULL,'ARAUCARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811103,1.00,3.00,2.00,5.00,5.00,4.50,3.00,5.00,2.00,317,327,NULL,'CAEIRA S DOS LIMÕES','FLORIANOPOLIS','SC',20930,389,464,NULL,NULL,NULL,NULL,2,1),(15,2811111,6.00,4.00,3.00,0.00,6.00,6.25,4.00,4.00,2.00,404,444,NULL,'TAPERA','FLORIANOPOLIS','SC',17506,154,515,NULL,NULL,NULL,NULL,4,1),(15,2811120,0.00,4.00,1.00,7.00,5.00,NULL,1.00,2.00,0.00,309,424,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811138,3.00,6.00,4.00,3.00,4.00,4.75,4.00,1.00,1.00,102,317,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',21411,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811146,3.00,4.00,3.00,3.00,5.00,5.75,3.00,4.00,2.00,415,303,NULL,'TRINDADE','FLORIANOPOLIS','SC',19915,504,1315,NULL,NULL,NULL,NULL,2,1),(15,2811154,2.00,3.00,3.00,5.00,4.00,4.00,1.00,3.00,3.00,319,234,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',22050,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811162,4.00,7.00,5.00,5.00,8.00,6.50,4.00,5.00,3.00,102,211,NULL,'CENTRO','ATALANTA','SC',9205,165,847,NULL,NULL,NULL,NULL,4,2),(15,2811170,1.00,7.00,3.00,4.00,7.00,6.50,6.00,5.00,3.00,101,502,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',12740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811189,4.00,6.00,5.00,5.00,7.00,5.00,9.00,7.00,4.00,238,NULL,208,'RIO TAVARES','FLORIANOPOLIS','SC',7143,198,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811197,1.00,4.00,1.00,5.00,6.00,5.50,3.00,5.00,2.00,316,339,NULL,'ARAUCÁRIA','SAO JOSE','SC',18976,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811200,2.00,6.00,0.00,6.00,6.00,NULL,3.00,6.00,1.00,451,426,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811219,3.00,5.00,4.00,1.00,6.00,5.00,6.00,4.00,3.00,308,339,NULL,'AREIAS','SAO JOSE','SC',15887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,9,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2811235,6.00,8.00,6.00,8.00,8.00,6.00,5.00,7.00,4.00,211,2,215,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',3326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811243,3.00,2.00,3.00,4.00,3.00,4.50,4.00,3.00,3.00,502,308,NULL,'ESTREITO','FLORIANOPOLIS','SC',21901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811251,0.00,6.00,5.00,5.00,4.00,3.50,4.00,3.00,4.00,211,501,233,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',17908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811260,2.00,2.00,4.00,5.00,5.00,4.00,5.00,4.00,2.00,238,339,208,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',18805,695,354,734,NULL,NULL,NULL,2,1),(15,2811278,1.00,4.00,0.00,4.00,4.00,5.00,3.00,4.00,3.00,207,NULL,201,'ALTO ARÍRIU','PALHOCA','SC',21184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811294,4.00,5.00,4.00,1.00,6.00,4.75,5.00,2.00,1.00,208,329,202,'RIO DAS ANTAS','RANCHO QUEIMADO','SC',18873,739,236,643,NULL,NULL,NULL,4,1),(15,2811308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,426,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2811316,0.00,4.00,3.00,3.00,3.00,NULL,4.00,3.00,1.00,415,320,NULL,'MATO FRANCÊS','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,327,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2811332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,428,NULL,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2811340,1.00,2.00,0.00,0.00,4.00,NULL,1.00,2.00,1.00,215,9,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811359,1.00,6.00,1.00,6.00,6.00,4.75,2.00,2.00,1.00,308,423,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',20351,157,243,NULL,NULL,NULL,NULL,2,1),(15,2811367,3.00,4.00,2.00,2.00,5.00,5.50,3.00,7.00,3.00,324,429,NULL,'CAMPINAS','SAO JOSE','SC',18871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,301,201,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2811383,1.00,6.00,1.00,4.00,8.00,3.50,5.00,6.00,2.00,101,451,NULL,'COQUEIROS','FLORIANOPOLIS','SC',16407,181,233,NULL,NULL,NULL,NULL,4,1),(15,2811391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,339,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2811405,3.00,3.00,0.00,4.00,4.00,5.50,2.00,3.00,2.00,327,329,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',21636,187,264,NULL,NULL,NULL,NULL,2,1),(15,2811413,2.00,4.00,2.00,1.00,2.00,NULL,4.00,1.00,2.00,101,429,NULL,'PICADAS DO SUL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811421,1.00,4.00,2.00,3.00,1.00,NULL,1.00,1.00,1.00,301,101,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811430,7.00,7.00,5.00,3.00,9.00,6.00,6.00,7.00,3.00,103,201,NULL,'BARREIROS','SAO JOSE','SC',5778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811448,3.00,8.00,3.00,5.00,7.00,6.00,5.00,6.00,4.00,317,304,NULL,'ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC',8674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811456,1.00,4.00,2.00,1.00,6.00,NULL,4.00,1.00,3.00,303,319,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811464,4.00,4.00,1.00,1.00,7.00,3.75,3.00,2.00,3.00,319,NULL,NULL,'SERRARIAS','FLORIANOPOLIS','SC',21564,493,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811472,4.00,7.00,6.00,6.00,3.00,4.50,5.00,7.00,3.00,203,502,202,'CORREGO GRANDE','FLORIANOPOLIS','SC',9743,742,184,371,NULL,NULL,NULL,2,1),(15,2811480,3.00,4.00,3.00,2.00,2.00,NULL,3.00,3.00,1.00,103,102,NULL,'JANAINA','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811499,3.00,6.00,1.00,6.00,6.00,3.75,2.00,3.00,1.00,444,316,NULL,'INGLESES','FLORIANOPOLIS','SC',19565,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811510,2.00,7.00,1.00,5.00,4.00,3.75,2.00,3.00,2.00,327,224,NULL,'TAPERA','FLORIANOPOLIS','SC',20866,178,296,NULL,NULL,NULL,NULL,2,1),(15,2811529,1.00,6.00,2.00,5.00,5.00,5.50,3.00,1.00,3.00,444,NULL,NULL,'ROÇADO','SAO JOSE','SC',20737,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,317,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2811545,3.00,3.00,2.00,4.00,5.00,6.25,2.00,2.00,2.00,317,101,NULL,'JARDIM CIDADE FPOLIS','SAO JOSE','SC',21050,394,761,NULL,NULL,NULL,NULL,2,1),(15,2811553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,201,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2811561,0.00,5.00,5.00,3.00,5.00,NULL,0.00,0.00,0.00,208,444,238,'JOSÉ MENDES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2811570,2.00,5.00,2.00,3.00,7.00,4.50,3.00,2.00,3.00,102,108,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',19787,444,932,NULL,NULL,NULL,NULL,2,1),(15,2811588,0.00,4.00,0.00,6.00,4.00,NULL,3.00,3.00,3.00,429,308,NULL,'SERRINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811596,0.00,6.00,1.00,1.00,7.00,NULL,3.00,4.00,4.00,327,308,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811600,3.00,8.00,4.00,2.00,8.00,6.00,3.00,4.00,2.00,429,423,425,'CAPOEIRAS','FLORIANOPOLIS','SC',12738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811618,2.00,2.00,1.00,0.00,1.00,NULL,2.00,3.00,3.00,316,317,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,217,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2811634,5.00,8.00,4.00,6.00,8.00,3.75,3.00,6.00,4.00,316,102,NULL,'ENCRUZO','JAGUARUNA','SC',9648,218,820,NULL,NULL,NULL,NULL,2,1),(15,2811650,3.00,2.00,0.00,3.00,4.00,NULL,2.00,6.00,1.00,103,108,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811669,3.00,6.00,5.00,6.00,5.00,6.00,5.00,4.00,1.00,103,101,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',13107,2455,592,NULL,NULL,NULL,NULL,2,1),(15,2811677,4.00,7.00,3.00,6.00,3.00,4.00,2.00,5.00,1.00,317,238,NULL,'PICADAS DO SUL','SAO JOSE','SC',18943,332,1000,NULL,NULL,NULL,NULL,2,1),(15,2811685,3.00,7.00,3.00,5.00,6.00,5.25,4.00,5.00,3.00,103,108,NULL,'FORTALEZA DA BARRA','FLORIANOPOLIS','SC',13505,2494,791,NULL,NULL,NULL,NULL,2,1),(15,2811693,4.00,7.00,3.00,4.00,7.00,6.25,2.00,8.00,3.00,423,308,429,'PONTE DO IMARUIM','PALHOCA','SC',10941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811707,1.00,4.00,1.00,5.00,6.00,4.75,4.00,6.00,3.00,318,426,NULL,'BARRA DO ARIRIÚ','PALHOCA','SC',18299,226,225,NULL,NULL,NULL,NULL,2,1),(15,2811715,5.00,8.00,2.00,8.00,4.00,5.00,5.00,4.00,2.00,317,324,NULL,'INGLESES','FLORIANOPOLIS','SC',11284,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811723,4.00,6.00,1.00,6.00,4.00,6.25,5.00,7.00,1.00,108,309,NULL,'ABRAÃO','FLORIANOPOLIS','SC',12377,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811731,2.00,7.00,3.00,6.00,8.00,5.50,4.00,7.00,1.00,320,332,NULL,'ESTREITO','FLORIANOPOLIS','SC',12091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811740,4.00,6.00,5.00,5.00,6.00,4.75,3.00,6.00,4.00,327,324,NULL,'CARIANOS','FLORIANOPOLIS','SC',10610,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811758,4.00,5.00,3.00,8.00,6.00,5.50,5.00,6.00,1.00,319,316,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',12571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811766,1.00,5.00,3.00,5.00,5.00,6.75,2.00,3.00,1.00,220,238,208,'BARREIROS','SAO JOSE','SC',19959,591,1013,798,NULL,NULL,NULL,2,1),(15,2811774,3.00,7.00,3.00,3.00,3.00,6.00,4.00,6.00,3.00,309,319,NULL,'BOM VIVER','BIGUACU','SC',16388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811782,2.00,7.00,4.00,6.00,6.00,5.75,6.00,5.00,3.00,404,324,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',10535,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811790,3.00,6.00,5.00,7.00,4.00,6.50,2.00,3.00,2.00,101,331,NULL,'CAMPINAS','SAO JOSE','SC',16230,178,188,NULL,NULL,NULL,NULL,2,1),(15,2811804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,329,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2811812,2.00,3.00,3.00,1.00,5.00,NULL,3.00,3.00,1.00,308,319,NULL,'CAERA DA BARRA DO SU','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811820,5.00,7.00,3.00,4.00,8.00,5.25,4.00,5.00,2.00,5,217,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',11922,517,399,NULL,NULL,NULL,NULL,4,1),(15,2811839,2.00,4.00,2.00,5.00,6.00,6.25,3.00,1.00,1.00,319,329,NULL,'CENTRO','PALHOCA','SC',21133,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811847,3.00,6.00,3.00,6.00,7.00,4.75,4.00,5.00,4.00,309,333,NULL,'CARIANOS','FLORIANOPOLIS','SC',13798,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811855,5.00,6.00,2.00,3.00,8.00,6.25,3.00,7.00,2.00,327,428,NULL,'BELA VISTA','SAO JOSE','SC',14328,83,210,NULL,NULL,NULL,NULL,2,1),(15,2811863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,225,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2811871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,302,NULL,'PRAINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2811880,4.00,7.00,5.00,6.00,7.00,7.00,7.00,6.00,3.00,220,222,202,'PASSA VINTE','PALHOCA','SC',7249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811898,1.00,0.00,1.00,1.00,3.00,NULL,3.00,1.00,3.00,301,415,NULL,'LISBOA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811901,0.00,6.00,3.00,4.00,6.00,4.75,5.00,5.00,1.00,404,324,NULL,'ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC',17792,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811910,4.00,9.00,6.00,3.00,8.00,6.75,5.00,7.00,6.00,9,332,NULL,'BOM VIVER','BIGUACU','SC',5331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811928,6.00,7.00,7.00,8.00,6.00,6.75,5.00,8.00,3.00,223,301,NULL,'BELA VISTA I','SAO JOSE','SC',3664,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811936,2.00,8.00,3.00,5.00,7.00,5.75,6.00,6.00,4.00,404,308,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',9517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811944,4.00,7.00,3.00,7.00,7.00,7.00,4.00,7.00,3.00,501,502,NULL,'FORQUILHAS','SAO JOSE','SC',7879,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2811952,4.00,8.00,3.00,3.00,7.00,5.75,3.00,7.00,5.00,318,332,NULL,'SANTO ANTÔNIO DE LIS','FLORIANOPOLIS','SC',10534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811960,4.00,7.00,4.00,6.00,8.00,4.50,5.00,6.00,3.00,208,238,NULL,'ABRAÃO','FLORIANOPOLIS','SC',9115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,333,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2811987,3.00,5.00,0.00,7.00,4.00,NULL,3.00,3.00,1.00,450,320,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2811995,2.00,6.00,2.00,4.00,8.00,5.25,4.00,6.00,3.00,211,423,NULL,'JARDIM CARANDAÍ','BIGUACU','SC',13843,491,178,NULL,NULL,NULL,NULL,2,1),(15,2812002,0.00,6.00,1.00,7.00,6.00,7.00,1.00,6.00,3.00,326,327,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',16833,93,401,NULL,NULL,NULL,NULL,2,1),(15,2812010,3.00,2.00,2.00,6.00,8.00,5.25,5.00,5.00,2.00,423,329,424,'JARDIM CARANDAI','BIGUACU','SC',16247,42,201,48,NULL,NULL,NULL,2,1),(15,2812037,0.00,6.00,1.00,5.00,7.00,5.75,3.00,4.00,4.00,424,324,427,'CARIANOS','FLORIANOPOLIS','SC',15676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812045,3.00,8.00,2.00,8.00,4.00,5.50,6.00,5.00,2.00,238,316,214,'JARDIM CARANDAÍ','BIGUACU','SC',11387,395,937,381,NULL,NULL,NULL,2,1),(15,2812053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,309,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812061,2.00,3.00,1.00,3.00,4.00,2.50,3.00,2.00,4.00,208,450,238,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812070,0.00,3.00,3.00,6.00,6.00,4.00,4.00,2.00,3.00,444,324,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',20158,249,384,NULL,NULL,NULL,NULL,2,1),(15,2812088,2.00,3.00,1.00,3.00,0.00,NULL,3.00,1.00,1.00,425,424,429,'FLORESTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2812096,5.00,6.00,3.00,6.00,7.00,4.50,4.00,6.00,2.00,324,326,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',11890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812100,3.00,7.00,4.00,7.00,8.00,4.75,4.00,6.00,5.00,317,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',9489,95,156,NULL,NULL,NULL,NULL,2,1),(15,2812118,0.00,7.00,3.00,5.00,7.00,5.50,2.00,4.00,2.00,309,324,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',18531,43,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812126,1.00,5.00,1.00,7.00,7.00,5.00,3.00,4.00,1.00,208,329,238,'ARMAÇAO','FLORIANOPOLIS','SC',18753,731,234,694,NULL,NULL,NULL,2,1),(15,2812142,1.00,7.00,3.00,4.00,7.00,6.00,6.00,5.00,4.00,202,317,238,'RIO TAVARES','FLORIANOPOLIS','SC',12473,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812150,5.00,3.00,2.00,5.00,6.00,5.00,3.00,4.00,1.00,217,309,NULL,'ARIRIÚ','PALHOCA','SC',18539,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812169,2.00,6.00,0.00,2.00,4.00,5.50,3.00,4.00,0.00,427,421,423,'CARIANOS','FLORIANOPOLIS','SC',21794,96,168,109,NULL,NULL,NULL,4,1),(15,2812177,4.00,7.00,4.00,7.00,8.00,6.25,4.00,6.00,5.00,415,426,NULL,'ARIRIÚ','PALHOCA','SC',7971,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812185,3.00,6.00,3.00,6.00,5.00,5.00,2.00,6.00,2.00,208,420,220,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',15537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812193,3.00,6.00,4.00,4.00,7.00,6.75,5.00,7.00,4.00,238,429,208,'ARIRIÚ','PALHOCA','SC',9990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812207,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,339,9,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2812215,1.00,5.00,3.00,1.00,3.00,NULL,1.00,2.00,0.00,502,333,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812223,3.00,2.00,1.00,2.00,4.00,NULL,3.00,1.00,0.00,102,332,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,427,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2812240,3.00,8.00,6.00,7.00,8.00,5.75,7.00,5.00,3.00,316,317,NULL,'COSTA DA LAGOA','FLORIANOPOLIS','SC',6676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812258,2.00,4.00,3.00,4.00,5.00,4.00,3.00,3.00,1.00,317,224,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',21814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812266,3.00,3.00,2.00,2.00,5.00,4.25,2.00,5.00,1.00,426,308,429,'INGLESES','FLORIANOPOLIS','SC',21425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2812274,0.00,6.00,4.00,3.00,4.00,4.50,4.00,4.00,1.00,319,308,NULL,'AREIAS DO CAMPECHE','FLORIANOPOLIS','SC',20270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2812282,9.00,7.00,7.00,8.00,9.00,7.00,6.00,4.00,4.00,108,426,NULL,'COQUEIROS','FLORIANOPOLIS','SC',2508,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812290,2.00,4.00,1.00,2.00,7.00,6.00,1.00,4.00,2.00,211,217,208,'RIO VERMELHO','FLORIANOPOLIS','SC',20993,718,531,841,NULL,NULL,NULL,2,1),(15,2812304,3.00,6.00,3.00,4.00,5.00,6.00,5.00,7.00,1.00,223,2,NULL,'FORTALEZA DA BARRA','FLORIANOPOLIS','SC',14599,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812312,0.00,2.00,3.00,1.00,4.00,NULL,2.00,2.00,4.00,444,309,NULL,'COLONINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812320,1.00,5.00,2.00,1.00,6.00,5.00,3.00,2.00,3.00,238,328,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',21449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2812339,1.00,2.00,1.00,2.00,3.00,NULL,2.00,3.00,1.00,308,339,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2812347,1.00,6.00,2.00,7.00,4.00,4.50,3.00,6.00,2.00,207,501,201,'AGRONÔMICA','FLORIANOPOLIS','SC',17468,837,NULL,NULL,NULL,NULL,NULL,4,1),(15,2812355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,502,201,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2812363,3.00,7.00,0.00,3.00,7.00,NULL,4.00,8.00,2.00,450,326,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2812371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,309,NULL,'SAO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2812380,1.00,3.00,3.00,3.00,7.00,5.75,3.00,3.00,1.00,317,308,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',21034,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812398,1.00,5.00,3.00,4.00,7.00,4.75,6.00,5.00,2.00,339,308,NULL,'INGLESES','FLORIANOPOLIS','SC',16430,49,356,NULL,NULL,NULL,NULL,4,1),(15,2812401,1.00,1.00,0.00,0.00,3.00,NULL,3.00,1.00,0.00,308,404,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812410,3.00,5.00,1.00,5.00,5.00,3.75,3.00,3.00,2.00,421,427,NULL,'ESTREITO','FLORIANOPOLIS','SC',21162,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812428,4.00,6.00,0.00,3.00,3.00,2.00,2.00,4.00,1.00,319,326,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812436,3.00,6.00,3.00,3.00,6.00,4.00,3.00,4.00,3.00,208,213,238,'AGRONOMICA','FLORIANOPOLIS','SC',18854,738,486,699,NULL,NULL,NULL,4,1),(15,2812444,1.00,6.00,3.00,3.00,3.00,5.75,3.00,3.00,3.00,301,303,NULL,'COSTEIRA','FLORIANOPOLIS','SC',21142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2812452,5.00,8.00,5.00,4.00,8.00,4.50,7.00,6.00,3.00,203,2,238,'TAPERA','FLORIANOPOLIS','SC',6874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2812460,3.00,5.00,3.00,4.00,6.00,3.75,4.00,4.00,3.00,444,234,NULL,'CAMPECHE','FLORIANOPOLIS','SC',17227,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812479,4.00,4.00,1.00,4.00,3.00,NULL,1.00,1.00,1.00,104,208,NULL,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812487,1.00,5.00,2.00,4.00,5.00,2.50,3.00,7.00,3.00,501,211,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812495,4.00,7.00,9.00,5.00,6.00,6.50,4.00,7.00,4.00,216,317,208,'SACO GRANDE','FLORIANOPOLIS','SC',7229,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812509,2.00,4.00,2.00,4.00,6.00,5.00,1.00,4.00,3.00,319,308,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',20602,458,445,NULL,NULL,NULL,NULL,4,1),(15,2812517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,2,214,'CENTRO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2812525,3.00,6.00,1.00,5.00,6.00,5.75,3.00,4.00,4.00,427,426,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',15244,35,196,NULL,NULL,NULL,NULL,2,1),(15,2812533,2.00,5.00,2.00,4.00,6.00,5.25,3.00,3.00,3.00,309,NULL,NULL,'CENTRO','PALHOCA','SC',18540,44,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812541,5.00,8.00,7.00,7.00,8.00,4.25,5.00,6.00,5.00,317,224,NULL,'ITACORUBI','FLORIANOPOLIS','SC',4717,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,339,NULL,'SÃO SEBASTIÃO','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2812568,4.00,8.00,2.00,5.00,7.00,6.00,4.00,4.00,3.00,101,308,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',13572,121,298,NULL,NULL,NULL,NULL,2,1),(15,2812576,1.00,5.00,4.00,7.00,4.00,4.25,4.00,1.00,1.00,444,324,NULL,'PROMORAR','FLORIANOPOLIS','SC',20250,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812584,2.00,7.00,3.00,2.00,3.00,6.25,3.00,7.00,2.00,424,451,421,'CANASVIEIRAS','FLORIANOPOLIS','SC',17748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812592,4.00,7.00,7.00,1.00,8.00,5.50,6.00,6.00,4.00,319,308,NULL,'ABRAAO','FLORIANOPOLIS','SC',8967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2812606,0.00,6.00,0.00,5.00,6.00,NULL,2.00,3.00,3.00,324,423,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812614,4.00,7.00,1.00,5.00,4.00,4.25,5.00,8.00,1.00,234,331,NULL,'IPIRANGA','SAO JOSE','SC',13537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812622,5.00,5.00,7.00,4.00,6.00,5.25,4.00,6.00,2.00,225,425,NULL,'BARREIROS','SAO JOSE','SC',10441,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812630,3.00,7.00,2.00,2.00,4.00,3.75,3.00,3.00,2.00,324,309,NULL,'ARIRIU','PALHOCA','SC',21198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2812649,2.00,6.00,2.00,6.00,8.00,6.00,3.00,6.00,2.00,326,327,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',13170,71,331,NULL,NULL,NULL,NULL,2,1),(15,2812657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'CACUPÉ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2812665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,331,NULL,'CACUPÉ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2812673,2.00,5.00,1.00,5.00,7.00,4.00,3.00,3.00,5.00,502,339,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',16993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812681,1.00,4.00,3.00,5.00,6.00,6.75,3.00,4.00,2.00,309,319,NULL,'BOM VIVER','BIGUACU','SC',17993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812690,1.00,7.00,1.00,5.00,5.00,5.00,4.00,3.00,3.00,429,444,425,'CENTRO','FLORIANOPOLIS','SC',19168,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812703,3.00,4.00,3.00,2.00,5.00,5.50,4.00,4.00,3.00,316,317,NULL,'FLOR DE NÁPOLIS','SAO JOSE','SC',18482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812711,1.00,3.00,0.00,5.00,5.00,NULL,3.00,2.00,2.00,317,NULL,NULL,'FLOR DE NÁPOLIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812720,1.00,6.00,3.00,3.00,5.00,5.00,1.00,3.00,2.00,415,208,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',20760,528,1123,NULL,NULL,NULL,NULL,2,1),(15,2812738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,501,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2812746,4.00,6.00,3.00,5.00,6.00,5.25,4.00,6.00,4.00,108,502,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',11867,251,212,NULL,NULL,NULL,NULL,2,1),(15,2812754,2.00,6.00,2.00,5.00,4.00,4.75,3.00,4.00,4.00,101,102,NULL,'CARIANOS','FLORIANOPOLIS','SC',17474,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812762,2.00,5.00,2.00,0.00,1.00,NULL,2.00,2.00,3.00,320,328,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812770,6.00,8.00,8.00,5.00,6.00,6.25,8.00,7.00,4.00,207,225,215,'PRAIA COMPRIDA','SAO JOSE','SC',3537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812789,6.00,7.00,7.00,4.00,8.00,5.75,6.00,5.00,4.00,233,201,216,'BELA VISTA','PALHOCA','SC',6048,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812797,3.00,3.00,4.00,4.00,5.00,5.25,4.00,7.00,3.00,304,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',17559,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812800,3.00,8.00,5.00,4.00,7.00,5.25,6.00,7.00,5.00,211,501,201,'CENTRO','FLORIANOPOLIS','SC',6405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812819,3.00,4.00,2.00,1.00,4.00,3.50,4.00,3.00,1.00,211,339,215,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',22314,756,468,427,NULL,NULL,NULL,2,1),(15,2812827,4.00,4.00,5.00,9.00,8.00,4.75,3.00,5.00,2.00,327,426,NULL,'PONTE DO IMARUIM','PALHOCA','SC',10700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812835,3.00,3.00,0.00,2.00,4.00,NULL,2.00,4.00,3.00,317,304,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2812843,2.00,3.00,0.00,2.00,5.00,NULL,3.00,2.00,1.00,339,324,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812851,0.00,3.00,2.00,2.00,0.00,NULL,2.00,1.00,2.00,420,451,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812860,0.00,3.00,1.00,9.00,6.00,5.50,4.00,5.00,3.00,420,103,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',17588,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812878,0.00,3.00,1.00,1.00,1.00,NULL,2.00,4.00,1.00,444,420,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812886,2.00,4.00,2.00,4.00,4.00,NULL,2.00,1.00,2.00,444,404,NULL,'COSTA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812894,2.00,4.00,3.00,0.00,2.00,NULL,4.00,2.00,1.00,101,234,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812908,0.00,4.00,2.00,5.00,3.00,NULL,3.00,4.00,1.00,5,303,NULL,'FAZ SANTO ANTONIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812916,0.00,7.00,4.00,7.00,8.00,5.75,3.00,4.00,1.00,319,444,NULL,'CENTRO','GRAO PARA','SC',14709,290,465,NULL,NULL,NULL,NULL,2,10),(15,2812924,4.00,7.00,6.00,7.00,8.00,4.50,5.00,6.00,4.00,201,2,212,'BALNEÁRIO','FLORIANOPOLIS','SC',6566,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812932,4.00,5.00,5.00,4.00,6.00,3.75,3.00,2.00,3.00,316,301,NULL,'TRINDADE','FLORIANOPOLIS','SC',14247,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812940,2.00,7.00,5.00,6.00,6.00,5.00,3.00,1.00,3.00,101,224,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',15555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812959,2.00,6.00,2.00,3.00,3.00,5.50,2.00,4.00,2.00,317,319,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',21314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812967,2.00,3.00,1.00,1.00,2.00,NULL,1.00,2.00,0.00,220,444,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2812983,2.00,5.00,5.00,7.00,5.00,6.50,6.00,6.00,3.00,238,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',10256,342,900,NULL,NULL,NULL,NULL,4,1),(15,2812991,1.00,6.00,0.00,3.00,5.00,NULL,2.00,2.00,0.00,309,308,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813009,2.00,6.00,4.00,5.00,8.00,4.75,6.00,5.00,4.00,324,103,NULL,'SANTO INACIO','FREDERICO WESTPHALEN','RS',10615,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813017,5.00,6.00,3.00,4.00,7.00,4.50,6.00,6.00,2.00,104,404,NULL,'TRINDADE','FLORIANOPOLIS','SC',11096,352,340,NULL,NULL,NULL,NULL,4,1),(15,2813025,3.00,6.00,4.00,6.00,7.00,6.50,4.00,6.00,2.00,415,320,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',11932,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813041,1.00,3.00,1.00,3.00,2.00,NULL,2.00,1.00,3.00,208,308,NULL,'COLÔNIA SANTANA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813050,6.00,9.00,2.00,5.00,6.00,5.00,5.00,5.00,4.00,501,234,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',9340,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813068,2.00,6.00,5.00,1.00,7.00,5.25,3.00,3.00,4.00,308,329,NULL,'BARREIROS','SAO JOSE','SC',17202,86,210,NULL,NULL,NULL,NULL,4,1),(15,2813076,4.00,2.00,2.00,2.00,4.00,3.75,2.00,3.00,2.00,208,225,238,'AREIAS','SAO JOSE','SC',22466,915,213,835,NULL,NULL,NULL,4,1),(15,2813084,2.00,7.00,2.00,4.00,6.00,5.25,6.00,7.00,2.00,309,339,NULL,'CAMPINAS','SAO JOSE','SC',11857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2813092,1.00,5.00,1.00,5.00,6.00,4.00,3.00,8.00,3.00,320,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',17779,79,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813106,2.00,4.00,0.00,2.00,4.00,NULL,1.00,3.00,1.00,207,326,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813114,2.00,5.00,2.00,5.00,5.00,6.00,4.00,3.00,0.00,222,309,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',20652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813122,2.00,5.00,0.00,3.00,3.00,NULL,1.00,3.00,1.00,444,404,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813130,1.00,6.00,4.00,2.00,3.00,3.75,4.00,3.00,2.00,208,234,238,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',22018,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813149,0.00,5.00,1.00,6.00,7.00,6.00,4.00,3.00,4.00,208,324,NULL,'AREIAS','SAO JOSE','SC',16773,650,277,NULL,NULL,NULL,NULL,2,1),(15,2813157,3.00,4.00,1.00,3.00,4.00,4.25,3.00,3.00,1.00,309,331,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',22197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813165,5.00,7.00,5.00,2.00,8.00,4.50,6.00,7.00,4.00,318,421,NULL,'ESTREITO','FLORIANOPOLIS','SC',9393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2813173,1.00,3.00,2.00,7.00,4.00,6.00,3.00,3.00,2.00,308,324,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',20091,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813190,2.00,9.00,4.00,4.00,6.00,5.25,5.00,6.00,7.00,326,223,NULL,'INGLESES','FLORIANOPOLIS','SC',8607,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2813203,4.00,6.00,2.00,3.00,7.00,5.00,3.00,5.00,2.00,426,320,429,'ITACORUBI','FLORIANOPOLIS','SC',16986,57,208,109,NULL,NULL,NULL,2,1),(15,2813211,4.00,4.00,3.00,1.00,6.00,5.75,3.00,6.00,1.00,324,451,NULL,'SANTOS DUMONT','SAO JOSE','SC',19416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2813220,2.00,6.00,3.00,4.00,5.00,6.00,2.00,5.00,2.00,317,324,NULL,'SANTOS DUMONT','SAO JOSE','SC',16455,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,426,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2813246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,308,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2813254,4.00,5.00,1.00,4.00,3.00,3.75,4.00,4.00,1.00,339,324,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',20952,140,414,NULL,NULL,NULL,NULL,2,1),(15,2813262,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,404,329,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2813270,1.00,4.00,1.00,3.00,4.00,NULL,2.00,1.00,2.00,308,426,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813289,5.00,7.00,3.00,9.00,7.00,6.75,5.00,6.00,5.00,103,214,NULL,'CAMPECHE','FLORIANOPOLIS','SC',5678,1569,678,NULL,NULL,NULL,NULL,4,1),(15,2813297,0.00,2.00,2.00,1.00,3.00,NULL,1.00,1.00,1.00,319,339,NULL,'SANTA CRUZ FIGUEIRA','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813300,3.00,4.00,2.00,1.00,2.00,NULL,4.00,0.00,2.00,103,9,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813319,4.00,7.00,1.00,5.00,5.00,5.00,1.00,4.00,2.00,404,324,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',19180,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813327,4.00,7.00,5.00,8.00,9.00,5.75,7.00,3.00,3.00,201,333,212,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',6337,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813335,2.00,4.00,3.00,1.00,3.00,NULL,2.00,2.00,1.00,324,415,NULL,'FAZENDA STO ANTÔNIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813343,3.00,6.00,0.00,6.00,6.00,6.00,2.00,3.00,2.00,429,425,426,'INGLESES','FLORIANOPOLIS','SC',18954,146,408,69,NULL,NULL,NULL,2,1),(15,2813351,2.00,6.00,2.00,6.00,7.00,4.50,2.00,4.00,2.00,303,301,NULL,'INGLESES','FLORIANOPOLIS','SC',16791,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813360,0.00,5.00,2.00,5.00,2.00,NULL,3.00,3.00,2.00,404,421,NULL,'BAIRRO DE FATIMA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813378,3.00,6.00,4.00,6.00,7.00,6.50,4.00,5.00,5.00,9,223,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',9593,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813386,2.00,6.00,2.00,6.00,6.00,4.50,6.00,5.00,3.00,104,319,NULL,'VARGEM DOS PINHEIROS','SANTO AMARO DA IMPERATRIZ','SC',13430,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813394,2.00,6.00,3.00,3.00,4.00,2.00,1.00,3.00,1.00,234,329,NULL,'ENSEADA DE BRITO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813416,1.00,1.00,1.00,2.00,1.00,NULL,4.00,2.00,0.00,101,308,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813424,3.00,4.00,1.00,3.00,3.00,5.00,2.00,3.00,2.00,208,425,238,'AREIAS','SAO JOSE','SC',22478,916,440,836,NULL,NULL,NULL,4,1),(15,2813432,2.00,7.00,3.00,5.00,5.00,5.00,2.00,3.00,2.00,303,103,NULL,'CENTRO','PALHOCA','SC',18768,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813440,1.00,6.00,2.00,1.00,6.00,5.75,3.00,5.00,2.00,316,318,NULL,'RIO CAVEIRAS','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2813459,5.00,5.00,3.00,6.00,5.00,5.50,3.00,5.00,3.00,333,108,NULL,'CENTRO','BIGUACU','SC',14969,225,817,NULL,NULL,NULL,NULL,2,1),(15,2813467,2.00,4.00,2.00,3.00,6.00,4.00,1.00,6.00,3.00,450,425,NULL,'RIO CAVEIRAS','BIGUACU','SC',20751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2813475,3.00,4.00,1.00,4.00,4.00,5.75,2.00,2.00,2.00,316,NULL,NULL,'SÃO SEBASTIÃO','PALHOCA','SC',21895,670,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813491,2.00,5.00,2.00,5.00,4.00,5.25,2.00,5.00,3.00,308,339,NULL,'SERTAO IMARUI','SAO JOSE','SC',19252,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813505,3.00,6.00,3.00,3.00,5.00,5.25,2.00,3.00,3.00,308,339,NULL,'SERRARIA','SAO JOSE','SC',19094,121,360,NULL,NULL,NULL,NULL,2,1),(15,2813513,2.00,5.00,3.00,3.00,5.00,4.75,6.00,4.00,1.00,333,339,NULL,'TAPERA','FLORIANOPOLIS','SC',19591,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813521,1.00,6.00,3.00,1.00,4.00,NULL,1.00,2.00,1.00,317,224,NULL,'SERTÃO DO IMARUI','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2813530,3.00,5.00,6.00,6.00,6.00,4.50,2.00,5.00,5.00,211,327,NULL,'PANTANAL','FLORIANOPOLIS','SC',13467,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813548,7.00,7.00,3.00,7.00,7.00,4.00,7.00,9.00,7.00,302,223,NULL,'PONTA FINA SUL','NOVA TRENTO','SC',3431,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813556,3.00,4.00,3.00,0.00,2.00,NULL,3.00,3.00,2.00,502,501,NULL,'LINHA DOS CHAVES','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813564,2.00,3.00,4.00,4.00,6.00,5.75,3.00,3.00,2.00,308,339,NULL,'REAL PARQUE','SAO JOSE','SC',20621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813572,2.00,5.00,4.00,4.00,3.00,5.75,2.00,3.00,4.00,213,238,208,'CENTRO','FLORIANOPOLIS','SC',19602,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813599,2.00,4.00,0.00,1.00,1.00,NULL,2.00,3.00,2.00,308,9,NULL,'SAMBAQUI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813602,4.00,6.00,3.00,8.00,6.00,6.25,3.00,5.00,3.00,425,415,429,'ESTREITO','FLORIANOPOLIS','SC',11301,52,685,33,NULL,NULL,NULL,4,1),(15,2813610,2.00,6.00,3.00,5.00,5.00,4.00,2.00,2.00,2.00,238,5,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',20672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813629,5.00,7.00,2.00,0.00,7.00,4.75,4.00,5.00,2.00,217,501,NULL,'PANTANAL','FLORIANOPOLIS','SC',17315,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813645,2.00,4.00,0.00,3.00,4.00,NULL,3.00,3.00,1.00,101,404,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813653,2.00,3.00,3.00,5.00,3.00,5.00,1.00,3.00,2.00,420,208,NULL,'ENSEADA DE BRITO','PALHOCA','SC',21863,438,1142,NULL,NULL,NULL,NULL,2,1),(15,2813661,2.00,4.00,1.00,5.00,3.00,5.25,3.00,3.00,2.00,308,339,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',20803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813670,2.00,3.00,2.00,5.00,6.00,4.75,3.00,3.00,2.00,415,225,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',19924,506,197,NULL,NULL,NULL,NULL,2,1),(15,2813688,0.00,7.00,2.00,3.00,4.00,5.00,0.00,6.00,1.00,208,NULL,NULL,'CENTRO','PALHOCA','SC',21675,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813700,2.00,5.00,4.00,7.00,7.00,5.50,4.00,6.00,3.00,103,101,NULL,'SÃO SEBASTIÃO','PALHOCA','SC',11769,2349,569,NULL,NULL,NULL,NULL,2,1),(15,2813718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,501,201,'AGUAS MORNAS','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2813726,2.00,5.00,2.00,1.00,2.00,NULL,3.00,4.00,3.00,202,222,213,'STA CRUZ DA FIGUEIRA','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813734,0.00,5.00,5.00,6.00,5.00,3.50,2.00,3.00,0.00,309,339,NULL,'CARIANOS','FLORIANOPOLIS','SC',20397,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813742,2.00,5.00,3.00,4.00,6.00,4.25,5.00,2.00,2.00,317,9,NULL,'STA CRUZ DA FIGUEIRA','AGUAS MORNAS','SC',18271,311,670,NULL,NULL,NULL,NULL,4,1),(15,2813750,1.00,5.00,3.00,5.00,4.00,4.75,3.00,2.00,4.00,309,426,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',20612,71,240,NULL,NULL,NULL,NULL,2,1),(15,2813769,0.00,6.00,1.00,5.00,4.00,NULL,3.00,1.00,2.00,404,308,NULL,'VILA NOVA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813777,4.00,7.00,4.00,5.00,7.00,6.50,4.00,7.00,3.00,324,327,NULL,'CARIANOS','FLORIANOPOLIS','SC',8257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2813785,2.00,5.00,2.00,4.00,6.00,3.75,3.00,5.00,3.00,224,203,NULL,'TRINDADE','FLORIANOPOLIS','SC',19745,72,1443,NULL,NULL,NULL,NULL,2,1);
INSERT INTO boletim_desempenho VALUES (15,2813793,1.00,3.00,2.00,2.00,3.00,NULL,1.00,2.00,0.00,5,303,NULL,'JARDIM ELDORADO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813807,8.00,8.00,6.00,8.00,8.00,7.00,8.00,8.00,6.00,104,9,NULL,'BARRA DO ARIRIU','PALHOCA','SC',940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813815,2.00,4.00,1.00,6.00,4.00,6.00,1.00,5.00,3.00,302,222,NULL,'ESTREITO','FLORIANOPOLIS','SC',19274,162,203,NULL,NULL,NULL,NULL,2,1),(15,2813831,2.00,2.00,0.00,4.00,6.00,NULL,1.00,2.00,0.00,423,327,427,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813840,2.00,4.00,2.00,2.00,3.00,6.00,1.00,5.00,1.00,101,102,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',22255,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813858,4.00,6.00,3.00,6.00,5.00,6.00,3.00,5.00,2.00,308,423,NULL,'JARDIM JANAINA','BIGUACU','SC',15475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813866,1.00,4.00,2.00,6.00,5.00,4.50,4.00,3.00,3.00,501,211,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',19283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,339,NULL,'JARDIM JANAÍNA','BIGUACU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2813882,3.00,8.00,1.00,3.00,5.00,5.00,2.00,3.00,4.00,302,423,NULL,'JARDIM JANAÍNA','BIGUACU','SC',19233,160,228,NULL,NULL,NULL,NULL,2,1),(15,2813890,2.00,5.00,3.00,7.00,7.00,6.50,3.00,5.00,3.00,308,423,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',12663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813904,1.00,6.00,3.00,1.00,6.00,6.00,5.00,5.00,2.00,303,5,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',17721,786,1278,NULL,NULL,NULL,NULL,4,1),(15,2813912,4.00,5.00,5.00,4.00,6.00,5.25,4.00,6.00,3.00,404,502,NULL,'ARIRIÚ','PALHOCA','SC',10852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2813920,2.00,5.00,3.00,2.00,2.00,NULL,3.00,4.00,2.00,324,339,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,207,NULL,'CACUPE','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2813947,2.00,7.00,5.00,6.00,6.00,6.25,4.00,5.00,3.00,317,332,NULL,'REAL PARK','SAO JOSE','SC',10211,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813955,1.00,7.00,6.00,6.00,6.00,4.75,2.00,3.00,4.00,316,317,NULL,'COQUEIROS','FLORIANOPOLIS','SC',15018,408,572,NULL,NULL,NULL,NULL,2,1),(15,2813963,1.00,4.00,4.00,0.00,4.00,NULL,3.00,1.00,2.00,233,208,NULL,'FAZENDA RESSURREIÇÃO','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2813971,0.00,3.00,4.00,1.00,4.00,NULL,2.00,4.00,1.00,316,317,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2813980,2.00,6.00,4.00,4.00,6.00,7.00,6.00,4.00,4.00,202,501,NULL,'RIO MIGUEL','AGUAS MORNAS','SC',11696,448,419,NULL,NULL,NULL,NULL,4,1),(15,2813998,1.00,6.00,1.00,0.00,3.00,4.50,3.00,2.00,4.00,104,319,NULL,'CARIANOS','FLORIANOPOLIS','SC',22501,732,998,NULL,NULL,NULL,NULL,4,1),(15,2814005,1.00,5.00,0.00,2.00,6.00,NULL,3.00,3.00,1.00,9,327,NULL,'CENTRO','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814013,3.00,3.00,1.00,6.00,4.00,5.00,2.00,1.00,2.00,317,324,NULL,'ARAUCARIA','SAO JOSE','SC',21834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814021,1.00,6.00,4.00,3.00,5.00,3.50,2.00,6.00,2.00,301,303,NULL,'CENTRO','AGUAS MORNAS','SC',19219,321,1299,NULL,NULL,NULL,NULL,4,1),(15,2814030,3.00,7.00,2.00,5.00,7.00,4.50,5.00,5.00,4.00,331,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',12244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814048,3.00,6.00,0.00,4.00,5.00,3.25,3.00,4.00,2.00,444,220,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',21227,275,785,NULL,NULL,NULL,NULL,2,1),(15,2814064,4.00,7.00,3.00,7.00,6.00,4.75,3.00,3.00,3.00,5,444,NULL,'PRAINHA','FLORIANOPOLIS','SC',12477,541,422,NULL,NULL,NULL,NULL,2,1),(15,2814072,4.00,7.00,1.00,4.00,5.00,5.50,1.00,7.00,1.00,316,318,NULL,'BARREIROS','SAO JOSE','SC',16625,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2814080,0.00,6.00,4.00,6.00,4.00,5.75,4.00,5.00,4.00,101,404,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',15212,151,390,NULL,NULL,NULL,NULL,2,1),(15,2814099,4.00,4.00,0.00,7.00,6.00,5.75,4.00,6.00,2.00,317,327,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',15257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814102,2.00,7.00,1.00,3.00,2.00,NULL,3.00,6.00,1.00,5,202,NULL,'ITAGUAÇÚ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814110,4.00,3.00,1.00,2.00,4.00,5.00,4.00,4.00,3.00,104,425,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',21117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814129,4.00,6.00,5.00,5.00,7.00,6.00,7.00,7.00,4.00,415,304,NULL,'ESTREITO','FLORIANOPOLIS','SC',7558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814137,1.00,7.00,4.00,3.00,6.00,5.50,5.00,5.00,4.00,5,316,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',13274,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814145,0.00,4.00,1.00,2.00,6.00,NULL,4.00,3.00,1.00,101,302,NULL,'CALDAS DA IMPERATRIZ','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814153,4.00,4.00,4.00,0.00,0.00,NULL,4.00,2.00,1.00,319,9,NULL,'CENTRO','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814161,3.00,6.00,2.00,8.00,3.00,5.00,4.00,4.00,2.00,308,426,NULL,'CAMPECHE','FLORIANOPOLIS','SC',17731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814170,2.00,5.00,4.00,7.00,8.00,4.50,2.00,6.00,2.00,108,333,NULL,'TRINDADE','FLORIANOPOLIS','SC',12008,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814188,3.00,5.00,4.00,0.00,6.00,NULL,3.00,4.00,0.00,202,444,NULL,'STA CRUZ DA FIGUEIRA','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814196,2.00,7.00,2.00,7.00,5.00,4.75,2.00,4.00,2.00,324,339,NULL,'CENTRO','FLORIANOPOLIS','SC',17397,59,320,NULL,NULL,NULL,NULL,2,1),(15,2814200,4.00,7.00,2.00,6.00,8.00,7.50,3.00,8.00,2.00,5,426,NULL,'TRINDADE','FLORIANOPOLIS','SC',9647,418,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,331,NULL,'SÍTIO VÔ LUIZ','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2814226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,444,NULL,'STA CRUZ DA FIGUEIRA','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2814234,0.00,2.00,1.00,0.00,0.00,NULL,2.00,3.00,2.00,444,9,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814242,4.00,7.00,4.00,8.00,6.00,5.75,3.00,5.00,3.00,216,217,215,'AREIAS','SAO JOSE','SC',10689,351,376,221,NULL,NULL,NULL,2,1),(15,2814250,2.00,8.00,4.00,5.00,7.00,3.50,3.00,7.00,3.00,316,327,NULL,'TRINDADE','FLORIANOPOLIS','SC',11875,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814269,3.00,5.00,2.00,4.00,4.00,3.00,2.00,5.00,3.00,426,324,428,'SÂO JOSÉ','SAO JOSE','SC',18984,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814277,2.00,5.00,4.00,7.00,6.00,5.25,3.00,4.00,4.00,301,302,NULL,'FORQUILINHAS','SAO JOSE','SC',15879,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814285,1.00,6.00,0.00,4.00,4.00,NULL,1.00,1.00,0.00,225,224,NULL,'ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814293,1.00,3.00,2.00,4.00,3.00,NULL,2.00,3.00,2.00,211,108,212,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,333,NULL,'PALMITAL','MARILIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2814315,2.00,6.00,1.00,5.00,6.00,4.00,2.00,4.00,2.00,303,223,NULL,'BARREIROS','SAO JOSE','SC',19092,828,213,NULL,NULL,NULL,NULL,2,1),(15,2814323,4.00,8.00,2.00,5.00,8.00,5.50,2.00,6.00,2.00,404,423,NULL,'INGLESES','FLORIANOPOLIS','SC',12051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814331,2.00,6.00,2.00,3.00,4.00,3.25,3.00,4.00,0.00,319,9,NULL,'BARREIROS','SAO JOSE','SC',22075,512,754,NULL,NULL,NULL,NULL,2,1),(15,2814340,2.00,2.00,4.00,1.00,3.00,NULL,1.00,2.00,3.00,101,103,NULL,'REAL PARK','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814358,1.00,3.00,1.00,1.00,4.00,NULL,3.00,1.00,1.00,309,331,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814366,2.00,5.00,0.00,4.00,6.00,5.00,2.00,2.00,4.00,319,420,NULL,'SÃO MIGUEL','BIGUACU','SC',21376,487,922,NULL,NULL,NULL,NULL,2,1),(15,2814374,1.00,3.00,2.00,5.00,5.00,3.50,6.00,5.00,2.00,316,213,NULL,'CENTRO','FLORIANOPOLIS','SC',19490,584,490,NULL,NULL,NULL,NULL,2,1),(15,2814382,6.00,7.00,4.00,7.00,8.00,5.00,7.00,7.00,4.00,101,308,NULL,'CENTRO','FLORIANOPOLIS','SC',4844,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814390,6.00,8.00,5.00,7.00,9.00,5.50,8.00,8.00,3.00,213,404,202,'CAMPECHE','FLORIANOPOLIS','SC',3134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814404,3.00,7.00,3.00,3.00,5.00,5.00,5.00,6.00,2.00,208,202,238,'CAMPECHE','FLORIANOPOLIS','SC',14024,529,891,511,NULL,NULL,NULL,4,1),(15,2814412,2.00,9.00,1.00,3.00,7.00,5.50,4.00,6.00,2.00,317,318,NULL,'BARREIROS','SAO JOSE','SC',15641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814420,3.00,3.00,4.00,4.00,3.00,5.00,4.00,3.00,4.00,339,319,NULL,'CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC',20385,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814439,4.00,3.00,3.00,3.00,2.00,NULL,3.00,4.00,0.00,101,9,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814447,3.00,7.00,5.00,6.00,5.00,4.25,4.00,5.00,0.00,201,339,207,'INGLESES','FLORIANOPOLIS','SC',15436,822,287,747,NULL,NULL,NULL,2,1),(15,2814463,1.00,5.00,2.00,7.00,5.00,4.25,4.00,2.00,2.00,404,324,NULL,'CAMPECHE','FLORIANOPOLIS','SC',19284,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814471,2.00,4.00,2.00,2.00,7.00,4.50,4.00,2.00,4.00,317,316,NULL,'AREIAS','SAO JOSE','SC',20007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814480,4.00,5.00,3.00,0.00,7.00,4.25,5.00,7.00,2.00,327,308,NULL,'INGLESES','FLORIANOPOLIS','SC',16424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814498,3.00,6.00,2.00,3.00,5.00,4.75,3.00,5.00,3.00,308,426,NULL,'STO ANTONIO DE LISBO','FLORIANOPOLIS','SC',17261,88,216,NULL,NULL,NULL,NULL,2,1),(15,2814510,4.00,7.00,1.00,2.00,4.00,5.50,4.00,3.00,2.00,101,318,NULL,'LOURO','ANTONIO CARLOS','SC',18721,236,501,NULL,NULL,NULL,NULL,2,1),(15,2814528,1.00,4.00,1.00,6.00,4.00,3.50,3.00,4.00,3.00,420,444,NULL,'COLONINHA','FLORIANOPOLIS','SC',21074,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814536,5.00,7.00,5.00,5.00,7.00,4.75,5.00,6.00,1.00,208,301,238,'MACACU','GAROPABA','SC',9607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814544,3.00,6.00,3.00,2.00,6.00,3.50,5.00,6.00,2.00,207,309,215,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',16984,813,172,338,NULL,NULL,NULL,4,1),(15,2814552,4.00,6.00,2.00,5.00,8.00,6.75,6.00,6.00,4.00,303,5,NULL,'BARREIROS','SAO JOSE','SC',8031,446,1104,NULL,NULL,NULL,NULL,4,1),(15,2814560,5.00,6.00,6.00,6.00,7.00,7.50,6.00,8.00,4.00,424,333,423,'RIO VERMELHO','FLORIANOPOLIS','SC',6194,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,501,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2814587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,425,215,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2814595,3.00,4.00,4.00,5.00,3.00,4.25,3.00,4.00,2.00,329,339,NULL,'KOBRASSOL','SAO JOSE','SC',19122,68,362,NULL,NULL,NULL,NULL,2,1),(15,2814609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,238,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2814617,3.00,7.00,0.00,3.00,3.00,4.75,3.00,6.00,3.00,421,427,425,'FUNDOS','BIGUACU','SC',20253,48,217,178,NULL,NULL,NULL,2,1),(15,2814625,3.00,6.00,5.00,5.00,4.00,6.50,6.00,5.00,2.00,224,316,NULL,'ARIRIU','PALHOCA','SC',12745,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814633,2.00,6.00,6.00,7.00,4.00,3.25,2.00,2.00,3.00,217,333,NULL,'PASSA VINTE','PALHOCA','SC',18613,174,942,NULL,NULL,NULL,NULL,2,1),(15,2814641,3.00,6.00,1.00,3.00,8.00,6.00,3.00,5.00,2.00,415,428,NULL,'CAMPO NOVO','TIJUCAS','SC',16186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814650,2.00,5.00,2.00,5.00,7.00,5.75,2.00,6.00,0.00,324,329,NULL,'IPIRANGA','SAO JOSE','SC',17824,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814668,1.00,5.00,1.00,7.00,5.00,6.00,2.00,2.00,2.00,308,324,NULL,'ARAMACAO DO PANT SU','FLORIANOPOLIS','SC',20396,160,394,NULL,NULL,NULL,NULL,2,1),(15,2814676,3.00,5.00,0.00,1.00,2.00,NULL,4.00,6.00,3.00,327,324,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,308,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2814692,2.00,6.00,4.00,7.00,7.00,5.50,4.00,5.00,3.00,9,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',13065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814706,6.00,7.00,4.00,0.00,7.00,6.50,5.00,3.00,4.00,207,333,201,'ITACORUBI','FLORIANOPOLIS','SC',11403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814714,0.00,5.00,1.00,2.00,2.00,NULL,3.00,1.00,3.00,444,451,NULL,'SERRINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814722,1.00,4.00,1.00,5.00,2.00,NULL,5.00,2.00,1.00,215,404,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814749,2.00,3.00,1.00,5.00,5.00,5.00,4.00,4.00,3.00,309,427,NULL,'TRINDADE','FLORIANOPOLIS','SC',19829,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814757,2.00,5.00,3.00,2.00,6.00,6.00,1.00,4.00,4.00,238,213,208,'CANASVIEIRAS','FLORIANOPOLIS','SC',18066,661,479,698,NULL,NULL,NULL,2,1),(15,2814765,3.00,5.00,2.00,5.00,6.00,6.00,6.00,4.00,4.00,316,420,NULL,'CENTRO','FLORIANOPOLIS','SC',13353,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814773,3.00,7.00,3.00,5.00,8.00,5.75,2.00,6.00,3.00,317,318,NULL,'PANTANAL','FLORIANOPOLIS','SC',12698,178,421,NULL,NULL,NULL,NULL,2,1),(15,2814781,5.00,6.00,3.00,4.00,6.00,5.50,4.00,6.00,3.00,502,333,NULL,'AREIAS','SAO JOSE','SC',12530,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814790,4.00,7.00,1.00,6.00,5.00,5.00,2.00,5.00,4.00,5,327,NULL,'CENTRO','FLORIANOPOLIS','SC',14582,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814803,0.00,3.00,4.00,7.00,6.00,5.00,2.00,5.00,1.00,423,308,427,'FORQUILHINHAS','SAO JOSE','SC',18272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814811,2.00,3.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,319,327,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2814820,0.00,4.00,0.00,0.00,0.00,NULL,3.00,2.00,2.00,5,324,NULL,'CENTRO','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814838,3.00,9.00,6.00,5.00,7.00,6.75,4.00,6.00,5.00,404,426,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',6609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814846,4.00,8.00,2.00,6.00,7.00,4.75,5.00,4.00,4.00,316,301,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',10543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814854,3.00,5.00,3.00,1.00,4.00,5.00,4.00,4.00,2.00,308,421,NULL,'CENTRO','AGUAS MORNAS','SC',20439,164,158,NULL,NULL,NULL,NULL,2,1),(15,2814862,1.00,6.00,1.00,2.00,6.00,3.00,4.00,5.00,2.00,404,9,NULL,'BOA VISTA','BIGUACU','SC',20206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814870,3.00,4.00,0.00,0.00,5.00,NULL,2.00,4.00,3.00,238,324,208,'CENTRO','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814897,1.00,3.00,0.00,3.00,4.00,NULL,1.00,3.00,2.00,101,423,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814900,4.00,5.00,3.00,2.00,8.00,4.75,3.00,7.00,2.00,317,316,NULL,'BARREIROS','SAO JOSE','SC',16658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2814919,2.00,5.00,1.00,4.00,5.00,3.50,1.00,2.00,2.00,208,222,213,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',22214,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814927,3.00,4.00,3.00,4.00,6.00,5.25,1.00,4.00,3.00,415,319,NULL,'CENTRO','AGUAS MORNAS','SC',18713,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814935,1.00,4.00,4.00,6.00,5.00,4.00,1.00,3.00,2.00,319,444,NULL,'CENTRO','AGUAS MORNAS','SC',21098,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814943,2.00,5.00,2.00,4.00,7.00,6.00,2.00,4.00,2.00,309,339,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',17276,31,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814951,0.00,3.00,1.00,4.00,7.00,NULL,1.00,1.00,2.00,308,404,NULL,'CENTRO','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814960,2.00,5.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,316,238,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2814978,0.00,1.00,3.00,2.00,3.00,NULL,2.00,2.00,1.00,308,426,NULL,'VARGEM PEQUENA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814986,2.00,3.00,0.00,5.00,3.00,NULL,2.00,2.00,2.00,324,339,NULL,'VARGEM PEQUENA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2814994,4.00,7.00,2.00,5.00,8.00,5.25,4.00,5.00,4.00,326,331,NULL,'JARDIM CIDADE FPOLIS','SAO JOSE','SC',10743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2815001,4.00,6.00,2.00,0.00,6.00,6.00,4.00,2.00,1.00,9,215,NULL,'CAMINHO NOVO','PALHOCA','SC',19600,285,614,NULL,NULL,NULL,NULL,4,1),(15,2815010,6.00,6.00,3.00,6.00,7.00,7.00,4.00,6.00,5.00,326,429,NULL,'SERRARIA','SAO JOSE','SC',6906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815036,2.00,4.00,1.00,4.00,3.00,4.50,3.00,2.00,1.00,308,309,NULL,'PANTANAL','FLORIANOPOLIS','SC',22434,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815044,2.00,8.00,5.00,7.00,6.00,6.25,6.00,4.00,3.00,318,328,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',8106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815052,3.00,2.00,2.00,6.00,4.00,5.50,2.00,2.00,1.00,421,324,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',22070,57,451,NULL,NULL,NULL,NULL,2,1),(15,2815060,4.00,7.00,2.00,5.00,9.00,4.75,7.00,5.00,2.00,316,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',11940,309,409,NULL,NULL,NULL,NULL,2,1),(15,2815079,2.00,4.00,4.00,6.00,9.00,5.50,5.00,4.00,3.00,102,339,NULL,'TRINDADE','FLORIANOPOLIS','SC',12454,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815087,2.00,4.00,2.00,7.00,6.00,6.00,3.00,5.00,4.00,424,104,425,'AGRONÔMICA','FLORIANOPOLIS','SC',16797,53,1182,131,NULL,NULL,NULL,2,1),(15,2815095,1.00,3.00,0.00,1.00,5.00,NULL,3.00,5.00,2.00,415,NULL,NULL,'BELA VISTA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815109,1.00,5.00,1.00,6.00,8.00,5.25,2.00,4.00,2.00,415,NULL,NULL,'BELA VISTA','PALHOCA','SC',17758,442,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815125,3.00,7.00,4.00,5.00,7.00,6.25,2.00,4.00,5.00,217,216,NULL,'CENTRO HISTÓRICO','SAO JOSE','SC',11665,89,751,NULL,NULL,NULL,NULL,4,1),(15,2815133,4.00,7.00,4.00,5.00,6.00,6.00,6.00,6.00,3.00,238,224,201,'CENTRO HISTÓRICO','SAO JOSE','SC',9277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2815141,0.00,5.00,5.00,0.00,4.00,4.50,4.00,3.00,3.00,203,333,202,'AGRONOMICA','FLORIANOPOLIS','SC',21571,1192,1056,704,NULL,NULL,NULL,4,1),(15,2815150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,428,NULL,'CALDAS','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2815168,3.00,2.00,1.00,7.00,3.00,4.50,4.00,4.00,0.00,339,309,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',20661,132,228,NULL,NULL,NULL,NULL,2,1),(15,2815176,2.00,5.00,0.00,2.00,6.00,4.50,3.00,4.00,4.00,339,324,NULL,'STOS DUMMONT','SAO JOSE','SC',21453,154,430,NULL,NULL,NULL,NULL,4,1),(15,2815184,2.00,5.00,2.00,4.00,3.00,5.00,1.00,3.00,2.00,320,324,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',21827,104,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815192,0.00,5.00,1.00,2.00,6.00,NULL,3.00,2.00,1.00,5,327,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815206,3.00,5.00,1.00,2.00,3.00,NULL,3.00,0.00,1.00,301,324,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815214,3.00,5.00,3.00,2.00,5.00,5.25,5.00,3.00,3.00,302,304,NULL,'PASSA VINTE','PALHOCA','SC',17804,151,416,NULL,NULL,NULL,NULL,2,1),(15,2815222,1.00,6.00,2.00,6.00,5.00,NULL,0.00,0.00,0.00,428,324,421,'RIO GRANDE','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2815230,3.00,5.00,2.00,0.00,3.00,5.25,3.00,6.00,5.00,326,502,NULL,'ALTO GARCIA','ANGELINA','SC',18580,107,306,NULL,NULL,NULL,NULL,4,1),(15,2815249,3.00,4.00,5.00,7.00,7.00,5.50,3.00,4.00,1.00,429,NULL,426,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',14823,83,NULL,37,NULL,NULL,NULL,2,1),(15,2815257,3.00,6.00,5.00,8.00,5.00,5.75,6.00,4.00,4.00,224,223,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',9341,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815265,3.00,6.00,0.00,1.00,6.00,NULL,2.00,5.00,2.00,327,332,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2815273,5.00,7.00,7.00,5.00,4.00,4.50,7.00,6.00,3.00,415,428,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',9074,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815281,3.00,7.00,3.00,2.00,6.00,4.75,4.00,3.00,2.00,327,324,NULL,'FUNDOS','BIGUACU','SC',17956,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815290,6.00,6.00,5.00,8.00,8.00,5.75,5.00,4.00,4.00,309,324,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',6457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815303,0.00,4.00,0.00,5.00,6.00,4.25,3.00,5.00,2.00,339,324,NULL,'ITACORUBI','FLORIANOPOLIS','SC',21308,150,424,NULL,NULL,NULL,NULL,2,1),(15,2815311,1.00,4.00,0.00,5.00,8.00,5.25,4.00,4.00,3.00,324,339,NULL,'VARGEM PEQUENA','FLORIANOPOLIS','SC',18177,68,334,NULL,NULL,NULL,NULL,2,1),(15,2815320,1.00,3.00,2.00,4.00,6.00,5.50,2.00,2.00,2.00,108,423,NULL,'JARDIM DAS ACACIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815338,2.00,3.00,1.00,3.00,3.00,NULL,4.00,2.00,1.00,425,423,424,'STA CRUZ DA FIGUEIRA','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2815346,3.00,7.00,1.00,4.00,7.00,8.50,2.00,3.00,1.00,450,420,NULL,'ITACORUBI','FLORIANOPOLIS','SC',17024,174,805,NULL,NULL,NULL,NULL,2,1),(15,2815354,3.00,5.00,2.00,4.00,5.00,4.50,3.00,3.00,3.00,310,320,NULL,'JARDIM SÃO MIGUEL','BIGUACU','SC',19262,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815362,1.00,2.00,0.00,3.00,5.00,NULL,1.00,3.00,2.00,102,101,NULL,'SANTA ISABEL','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2815370,2.00,3.00,2.00,1.00,3.00,NULL,1.00,4.00,1.00,101,102,NULL,'FAZENDA DE LOURDES','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2815389,6.00,6.00,6.00,4.00,7.00,7.50,8.00,6.00,5.00,415,425,NULL,'PANTANAL','FLORIANOPOLIS','SC',3990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2815397,1.00,5.00,5.00,3.00,5.00,5.00,4.00,4.00,2.00,308,309,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',17343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2815400,0.00,3.00,1.00,0.00,6.00,NULL,1.00,2.00,3.00,420,207,NULL,'FAZENDA RESSURREIÇAO','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2815419,3.00,2.00,2.00,1.00,2.00,NULL,0.00,0.00,3.00,316,444,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2815427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,9,216,'FAZENDA DE LOURDES','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2815435,5.00,6.00,5.00,4.00,5.00,5.00,6.00,5.00,4.00,329,2,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',10495,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815443,1.00,5.00,4.00,2.00,3.00,4.25,2.00,5.00,0.00,217,324,NULL,'FUNDOS','BIGUACU','SC',22386,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,301,NULL,'MORRO DAS TRES VOLTA','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2815460,2.00,5.00,3.00,4.00,7.00,4.75,4.00,4.00,2.00,308,319,NULL,'CARIANOS','FLORIANOPOLIS','SC',16837,74,843,NULL,NULL,NULL,NULL,4,1),(15,2815478,3.00,7.00,3.00,1.00,5.00,4.25,4.00,5.00,3.00,316,327,NULL,'TAPERA','FLORIANOPOLIS','SC',17990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2815486,2.00,3.00,2.00,3.00,5.00,5.00,2.00,4.00,1.00,444,324,NULL,'BELA VISTA','SAO JOSE','SC',21508,281,436,NULL,NULL,NULL,NULL,2,1),(15,2815494,0.00,4.00,1.00,2.00,5.00,NULL,2.00,5.00,1.00,101,102,NULL,'FAZENDA SACRAMENTO','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2815508,0.00,3.00,4.00,3.00,3.00,4.25,4.00,3.00,3.00,317,427,NULL,'CENTRO','FLORIANOPOLIS','SC',22051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815516,1.00,5.00,2.00,5.00,5.00,5.75,3.00,3.00,2.00,317,316,NULL,'COLÔNIA SANTANA','SAO JOSE','SC',18886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815524,4.00,5.00,3.00,5.00,5.00,5.25,1.00,2.00,4.00,308,427,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',16524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815540,1.00,6.00,2.00,4.00,6.00,5.00,3.00,7.00,2.00,327,320,NULL,'TAPERA','FLORIANOPOLIS','SC',16962,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,238,NULL,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2815567,2.00,6.00,2.00,8.00,7.00,4.50,3.00,4.00,1.00,238,425,208,'MONTE SERRAT','FLORIANOPOLIS','SC',16451,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815575,0.00,5.00,2.00,6.00,7.00,5.75,2.00,4.00,1.00,317,318,NULL,'INGLESES','FLORIANOPOLIS','SC',20222,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815583,1.00,1.00,3.00,1.00,8.00,NULL,4.00,3.00,2.00,319,320,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2815591,2.00,6.00,3.00,4.00,4.00,5.50,4.00,4.00,2.00,318,317,NULL,'CENTRO','FLORIANOPOLIS','SC',19125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815605,4.00,6.00,6.00,6.00,5.00,6.00,6.00,5.00,3.00,208,333,238,'MONTE SERRAT','FLORIANOPOLIS','SC',9143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,102,NULL,'JD DAS PAINEIRAS II','JAU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2815621,0.00,6.00,3.00,5.00,5.00,5.00,4.00,5.00,4.00,319,224,NULL,'ROÇADO','SAO JOSE','SC',16339,330,237,NULL,NULL,NULL,NULL,2,1),(15,2815630,2.00,4.00,2.00,5.00,5.00,6.75,6.00,3.00,2.00,203,301,202,'CENTRO','FLORIANOPOLIS','SC',17805,1047,756,618,NULL,NULL,NULL,2,1),(15,2815648,3.00,6.00,3.00,6.00,6.00,7.75,5.00,5.00,2.00,426,308,NULL,'BELA VISTA','SAO JOSE','SC',11719,21,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,404,202,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2815664,4.00,6.00,3.00,5.00,7.00,5.50,5.00,8.00,4.00,316,320,NULL,'CENTRO','FLORIANOPOLIS','SC',8366,170,133,NULL,NULL,NULL,NULL,2,1),(15,2815672,6.00,9.00,8.00,7.00,9.00,7.00,8.00,8.00,5.00,108,427,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',1115,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815699,2.00,4.00,1.00,3.00,5.00,5.50,2.00,4.00,3.00,415,319,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',21147,538,949,NULL,NULL,NULL,NULL,4,1),(15,2815702,2.00,5.00,3.00,3.00,3.00,3.50,3.00,2.00,1.00,319,420,NULL,'BELA VISTA II','SAO JOSE','SC',22473,533,950,NULL,NULL,NULL,NULL,2,1),(15,2815737,3.00,8.00,3.00,6.00,7.00,5.00,5.00,6.00,2.00,320,324,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',10931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815745,2.00,4.00,2.00,5.00,6.00,6.00,2.00,2.00,4.00,207,333,NULL,'SERRINHA','FLORIANOPOLIS','SC',17961,852,918,NULL,NULL,NULL,NULL,2,1),(15,2815753,3.00,6.00,4.00,6.00,6.00,4.75,7.00,4.00,2.00,220,301,214,'SÃO ROQUE','NOVA TRENTO','SC',12351,455,636,404,NULL,NULL,NULL,2,1),(15,2815761,3.00,1.00,1.00,5.00,5.00,NULL,2.00,3.00,2.00,101,309,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815770,3.00,7.00,1.00,4.00,8.00,6.00,4.00,7.00,4.00,415,339,NULL,'CAMPECHE','FLORIANOPOLIS','SC',11362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2815788,3.00,4.00,3.00,5.00,6.00,4.25,2.00,4.00,1.00,225,224,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',19856,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,238,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2815800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,238,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2815818,2.00,6.00,2.00,2.00,6.00,4.50,4.00,4.00,1.00,429,222,426,'ARIRIÚ','PALHOCA','SC',20066,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,101,NULL,'DE FATIMA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2815834,6.00,6.00,0.00,7.00,8.00,4.50,4.00,5.00,2.00,320,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',14010,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815842,3.00,8.00,2.00,7.00,8.00,4.25,3.00,7.00,2.00,303,320,NULL,'ESTREITO','FLORIANOPOLIS','SC',11561,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815850,0.00,3.00,2.00,3.00,7.00,4.25,3.00,4.00,3.00,108,451,NULL,'SERTÃO DO MARUIM','SAO JOSE','SC',20608,454,290,NULL,NULL,NULL,NULL,2,1),(15,2815869,3.00,4.00,0.00,4.00,6.00,NULL,4.00,2.00,1.00,207,444,201,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2815877,1.00,4.00,1.00,6.00,3.00,3.50,5.00,4.00,2.00,215,324,233,'CENTRO','FLORIANOPOLIS','SC',21243,412,423,458,NULL,NULL,NULL,2,1),(15,2815885,6.00,3.00,0.00,1.00,4.00,4.50,3.00,4.00,1.00,302,223,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',22052,204,238,NULL,NULL,NULL,NULL,2,1),(15,2815893,3.00,6.00,3.00,6.00,6.00,5.75,1.00,3.00,1.00,423,424,427,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',18509,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,316,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2815915,4.00,8.00,2.00,5.00,9.00,6.00,4.00,5.00,3.00,331,428,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',10130,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815923,3.00,4.00,5.00,0.00,5.00,NULL,3.00,2.00,2.00,203,NULL,214,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815931,3.00,6.00,3.00,5.00,7.00,4.50,5.00,7.00,3.00,223,324,NULL,'ESTREITO','FLORIANOPOLIS','SC',12214,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815940,6.00,7.00,3.00,4.00,9.00,4.75,2.00,6.00,3.00,316,425,NULL,'CAMINHO NOVO','PALHOCA','SC',10248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2815958,2.00,6.00,1.00,1.00,2.00,NULL,4.00,4.00,1.00,320,426,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2815966,5.00,8.00,4.00,0.00,6.00,6.00,4.00,3.00,3.00,404,444,NULL,'PONTE DO IMARUIM','PALHOCA','SC',14661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2815974,3.00,5.00,5.00,3.00,5.00,4.75,1.00,6.00,4.00,404,428,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',17160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2815982,3.00,7.00,3.00,7.00,2.00,NULL,4.00,6.00,3.00,324,333,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2815990,1.00,2.00,1.00,2.00,2.00,NULL,0.00,2.00,2.00,304,318,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816008,0.00,7.00,2.00,5.00,7.00,5.75,3.00,5.00,2.00,339,327,NULL,'TAPERA','FLORIANOPOLIS','SC',16539,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816016,4.00,7.00,3.00,4.00,8.00,5.00,4.00,5.00,2.00,317,427,NULL,'TAPERA','FLORIANOPOLIS','SC',13214,187,169,NULL,NULL,NULL,NULL,2,1),(15,2816024,2.00,7.00,4.00,3.00,6.00,4.75,5.00,4.00,4.00,203,225,202,'VARGEM DO BRAÇO','SANTO AMARO DA IMPERATRIZ','SC',13799,913,147,518,NULL,NULL,NULL,4,1),(15,2816032,3.00,5.00,4.00,6.00,7.00,6.25,5.00,5.00,2.00,324,332,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',12150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816040,2.00,2.00,1.00,1.00,2.00,NULL,1.00,6.00,1.00,326,428,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816059,3.00,6.00,2.00,2.00,4.00,3.25,2.00,2.00,2.00,339,324,NULL,'CENTRO','FLORIANOPOLIS','SC',21476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816067,1.00,3.00,2.00,3.00,3.00,NULL,2.00,3.00,3.00,211,502,203,'FLOR DE NAPOLES','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816075,1.00,2.00,2.00,5.00,4.00,NULL,2.00,2.00,4.00,316,317,NULL,'FLOR DE NAPOLIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816083,5.00,7.00,2.00,1.00,5.00,6.00,2.00,4.00,3.00,101,333,NULL,'BREJARU','PALHOCA','SC',17650,212,907,NULL,NULL,NULL,NULL,2,1),(15,2816091,8.00,8.00,8.00,8.00,9.00,8.50,9.00,9.00,7.00,103,427,NULL,'TRINDADE','FLORIANOPOLIS','SC',238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816105,1.00,2.00,1.00,3.00,3.00,NULL,0.00,3.00,3.00,101,NULL,NULL,'PALHOÇA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816113,4.00,6.00,4.00,2.00,5.00,4.75,3.00,4.00,1.00,211,316,216,'JARDIM LARANJEIRAS','PALHOCA','SC',17643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816121,0.00,8.00,4.00,2.00,4.00,3.00,4.00,1.00,2.00,317,333,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',21773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816148,3.00,3.00,4.00,2.00,5.00,5.50,3.00,3.00,1.00,339,310,NULL,'TIJUQUINHAS','BIGUACU','SC',21911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,324,NULL,'NOSSA SRA DO ROSARIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2816164,3.00,7.00,4.00,4.00,7.00,7.25,2.00,4.00,4.00,102,319,NULL,'CENTRO','FLORIANOPOLIS','SC',14760,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816172,5.00,4.00,5.00,6.00,7.00,3.25,3.00,3.00,4.00,202,444,213,'CENTRO','FLORIANOPOLIS','SC',14868,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,317,NULL,'JARDIM DAS ACÁCIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2816199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,339,NULL,'JARDIM DAS ACÁCIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2816202,4.00,4.00,1.00,4.00,7.00,5.25,3.00,4.00,2.00,333,420,NULL,'PONTA DE BAIXO','SAO JOSE','SC',18328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816210,1.00,5.00,1.00,5.00,7.00,4.75,5.00,4.00,2.00,224,308,NULL,'SACO GRANDE II','FLORIANOPOLIS','SC',17801,59,384,NULL,NULL,NULL,NULL,2,1),(15,2816229,1.00,7.00,4.00,8.00,8.00,3.75,6.00,6.00,2.00,328,329,NULL,'PANTANO DO SUL','FLORIANOPOLIS','SC',9657,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'SAUDADE','BIGUACU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2816245,5.00,5.00,2.00,4.00,4.00,3.75,4.00,4.00,2.00,404,308,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',18940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,301,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2816261,0.00,5.00,3.00,2.00,4.00,3.50,4.00,2.00,3.00,301,103,NULL,'BREJARU','PALHOCA','SC',21899,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(15,2816270,1.00,4.00,1.00,4.00,7.00,3.50,5.00,4.00,3.00,420,207,NULL,'ESTREITO','FLORIANOPOLIS','SC',19383,391,1282,NULL,NULL,NULL,NULL,2,1),(15,2816288,4.00,8.00,3.00,6.00,7.00,7.25,5.00,7.00,4.00,318,238,NULL,'CAMPINAS','SAO JOSE','SC',6125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816296,3.00,9.00,6.00,7.00,7.00,6.25,4.00,8.00,4.00,238,444,208,'ARMAÇÃO DO P DO SUL','FLORIANOPOLIS','SC',6076,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2816300,2.00,2.00,2.00,0.00,1.00,NULL,2.00,2.00,4.00,5,415,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816318,0.00,3.00,3.00,1.00,4.00,NULL,3.00,1.00,3.00,429,301,NULL,'SANTA ISABEL','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,324,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2816334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'ENSEADA DE BRITO','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2816342,2.00,7.00,0.00,4.00,6.00,NULL,3.00,3.00,0.00,308,339,NULL,'FLORESTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816350,2.00,5.00,4.00,4.00,3.00,5.00,2.00,2.00,4.00,212,451,233,'PRAIA DE FORA','PALHOCA','SC',20260,406,286,445,NULL,NULL,NULL,2,1),(15,2816369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,5,208,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2816377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,317,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2816385,2.00,5.00,3.00,3.00,3.00,4.50,2.00,2.00,2.00,319,332,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',22143,516,333,NULL,NULL,NULL,NULL,2,1),(15,2816393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,318,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2816407,2.00,3.00,0.00,3.00,7.00,NULL,3.00,1.00,1.00,308,329,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816415,2.00,5.00,2.00,6.00,8.00,7.00,6.00,5.00,2.00,415,310,NULL,'CACHOIRA','FLORIANOPOLIS','SC',12052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816423,1.00,6.00,2.00,2.00,6.00,5.25,4.00,3.00,3.00,316,317,NULL,'SERTÃO DO MARUIM','SAO JOSE','SC',19614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,327,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2816440,4.00,5.00,4.00,3.00,5.00,6.50,6.00,4.00,3.00,324,309,NULL,'FORQUILHINHAS','SAO JOSE','SC',15849,40,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816458,2.00,5.00,4.00,6.00,6.00,5.25,3.00,4.00,4.00,324,423,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',16681,52,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816466,5.00,9.00,7.00,6.00,7.00,6.25,8.00,6.00,6.00,103,217,NULL,'CAMPINAS','SAO JOSE','SC',2957,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816474,2.00,4.00,2.00,5.00,5.00,5.25,3.00,5.00,3.00,332,333,NULL,'AREIAS','SAO JOSE','SC',19522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816482,3.00,6.00,4.00,5.00,6.00,4.25,6.00,6.00,3.00,302,317,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',12741,88,546,NULL,NULL,NULL,NULL,2,1),(15,2816490,3.00,7.00,4.00,3.00,6.00,4.50,6.00,4.00,3.00,332,329,NULL,'BARREIROS','SAO JOSE','SC',14651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816504,0.00,3.00,3.00,0.00,2.00,NULL,1.00,3.00,0.00,339,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816512,3.00,4.00,3.00,6.00,8.00,4.75,4.00,1.00,2.00,324,215,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',17561,62,596,NULL,NULL,NULL,NULL,2,1),(15,2816520,2.00,4.00,1.00,0.00,5.00,NULL,2.00,4.00,1.00,339,5,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816539,3.00,5.00,0.00,4.00,6.00,1.00,3.00,4.00,1.00,301,326,NULL,'CALDAS DA IMPERATRIZ','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816547,6.00,9.00,2.00,8.00,8.00,7.00,6.00,8.00,6.00,415,451,NULL,'BARREIROS','SAO JOSE','SC',2340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,324,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2816563,6.00,5.00,4.00,4.00,6.00,4.75,4.00,2.00,3.00,301,309,NULL,'PASSA VINTE','PALHOCA','SC',14064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816571,2.00,6.00,4.00,5.00,6.00,4.25,4.00,5.00,2.00,208,301,201,'BARRA DA LAGOA','FLORIANOPOLIS','SC',15269,586,695,811,NULL,NULL,NULL,2,1),(15,2816580,1.00,4.00,5.00,6.00,7.00,5.25,3.00,5.00,1.00,319,224,NULL,'COLONINHA','FLORIANOPOLIS','SC',16737,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816598,4.00,7.00,1.00,7.00,7.00,5.75,1.00,4.00,2.00,317,318,NULL,'IPIRANGA','SAO JOSE','SC',16182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,328,208,'BARRA DO ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2816610,3.00,1.00,1.00,5.00,2.00,NULL,4.00,4.00,2.00,224,308,NULL,'SANTOS DUMONT','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,327,NULL,'BARRA DO ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2816636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,224,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2816644,3.00,8.00,4.00,4.00,5.00,6.50,4.00,3.00,4.00,101,426,NULL,'AREIAS','SAO JOSE','SC',14208,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816652,3.00,5.00,4.00,6.00,7.00,5.75,4.00,3.00,1.00,320,502,NULL,'CENTRO PALHOÇA','PALHOCA','SC',16538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816660,6.00,6.00,6.00,5.00,9.00,7.00,5.00,6.00,5.00,207,217,201,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',4914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816679,3.00,5.00,2.00,5.00,6.00,6.00,1.00,2.00,3.00,502,501,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',19249,83,542,NULL,NULL,NULL,NULL,2,1),(15,2816687,1.00,6.00,1.00,7.00,4.00,5.25,4.00,4.00,3.00,317,319,NULL,'FORQUILHAS','SAO JOSE','SC',17381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816695,1.00,4.00,3.00,2.00,6.00,4.00,3.00,3.00,3.00,308,327,NULL,'JARDIM JANAINA','BIGUACU','SC',21043,179,466,NULL,NULL,NULL,NULL,4,1),(15,2816709,3.00,5.00,6.00,6.00,7.00,5.00,4.00,4.00,2.00,234,423,NULL,'CACUPÉ','FLORIANOPOLIS','SC',10499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816717,5.00,8.00,2.00,4.00,7.00,5.50,4.00,7.00,3.00,208,202,238,'AREIAS','SAO JOSE','SC',11210,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,301,NULL,'GAMBOINHA','PAULO LOPES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2816733,2.00,2.00,1.00,4.00,1.00,NULL,3.00,3.00,1.00,327,332,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816741,1.00,3.00,3.00,0.00,6.00,NULL,2.00,1.00,2.00,317,316,NULL,'RATONES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816750,3.00,8.00,1.00,4.00,4.00,4.75,2.00,4.00,3.00,5,444,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',18441,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816768,5.00,6.00,0.00,7.00,8.00,7.00,5.00,4.00,2.00,108,423,NULL,'CENTRO','FLORIANOPOLIS','SC',11217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816776,4.00,7.00,5.00,3.00,8.00,3.75,4.00,7.00,1.00,332,324,NULL,'CENTRO','SANTO AMARO DA IMPERATRIZ','SC',11496,42,183,NULL,NULL,NULL,NULL,2,1),(15,2816784,1.00,5.00,0.00,3.00,5.00,NULL,3.00,2.00,2.00,308,423,NULL,'COLONINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816792,1.00,7.00,4.00,4.00,5.00,1.25,2.00,6.00,2.00,332,327,NULL,'COLONINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816806,3.00,5.00,3.00,4.00,6.00,5.50,3.00,6.00,5.00,444,427,NULL,'JARDIM ELDORADO','PALHOCA','SC',14156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,324,NULL,'RATONES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2816822,3.00,6.00,1.00,2.00,8.00,4.75,3.00,5.00,1.00,404,324,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',19143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816830,3.00,8.00,4.00,2.00,7.00,5.50,6.00,5.00,6.00,333,211,NULL,'NOVA MICHIGAN','SAO JOSE DOS CAMPOS','SP',8791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816849,0.00,7.00,2.00,3.00,6.00,6.50,3.00,5.00,2.00,301,404,NULL,'BARREIROS','SAO JOSE','SC',17124,291,415,NULL,NULL,NULL,NULL,2,1),(15,2816857,2.00,7.00,4.00,0.00,5.00,3.75,3.00,4.00,2.00,208,302,202,'FAZENDA DA ARMAÇÃO','GOVERNADOR CELSO RAMOS','SC',20604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816865,2.00,6.00,1.00,5.00,5.00,4.50,2.00,5.00,3.00,302,102,NULL,'JD CAROLINA','BIGUACU','SC',19363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816873,1.00,5.00,2.00,3.00,4.00,4.75,3.00,6.00,2.00,332,NULL,NULL,'JARDIN CAROLINA','BIGUACU','SC',20148,125,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816881,3.00,5.00,1.00,6.00,6.00,4.00,5.00,6.00,0.00,238,316,203,'REAL PARQUE','SAO JOSE','SC',16490,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816890,2.00,4.00,1.00,1.00,3.00,NULL,1.00,3.00,1.00,309,308,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816903,7.00,8.00,5.00,4.00,7.00,6.50,6.00,8.00,6.00,304,332,NULL,'MORRO DO FREITAS','PAULO LOPES','SC',2618,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816911,3.00,4.00,4.00,2.00,4.00,6.00,1.00,6.00,3.00,320,329,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',18901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816920,4.00,5.00,3.00,4.00,4.00,4.50,1.00,4.00,2.00,317,332,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',19636,351,306,NULL,NULL,NULL,NULL,4,1),(15,2816938,3.00,7.00,3.00,6.00,8.00,7.00,3.00,8.00,1.00,324,424,NULL,'ITACORUBI','FLORIANOPOLIS','SC',10538,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816946,4.00,2.00,1.00,1.00,7.00,NULL,3.00,3.00,2.00,319,324,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2816954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2816962,3.00,7.00,2.00,5.00,9.00,5.75,4.00,5.00,2.00,339,327,NULL,'BELA VISTA II','SAO JOSE','SC',12746,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2816970,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,339,329,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',3,1),(15,2816989,2.00,8.00,5.00,6.00,6.00,5.25,5.00,7.00,1.00,333,329,NULL,'PANTANAL','FLORIANOPOLIS','SC',10584,125,137,NULL,NULL,NULL,NULL,4,1),(15,2816997,1.00,4.00,0.00,3.00,6.00,NULL,2.00,2.00,0.00,316,339,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2817004,3.00,6.00,2.00,7.00,6.00,5.25,3.00,4.00,2.00,427,339,429,'CARIANOS','FLORIANOPOLIS','SC',14858,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817012,3.00,4.00,1.00,4.00,6.00,4.25,5.00,3.00,4.00,319,415,NULL,'ABRAÃO','FLORIANOPOLIS','SC',18607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817020,5.00,5.00,2.00,4.00,4.00,5.00,3.00,3.00,1.00,224,222,NULL,'PICADAS DO SUL','SAO JOSE','SC',20068,75,214,NULL,NULL,NULL,NULL,2,1),(15,2817039,3.00,6.00,2.00,3.00,8.00,5.00,3.00,6.00,2.00,211,108,238,'FORQUILHINHAS','SAO JOSE','SC',15512,546,834,576,NULL,NULL,NULL,4,1),(15,2817047,3.00,5.00,0.00,2.00,6.00,NULL,1.00,3.00,0.00,444,108,NULL,'RIO TAVAES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817055,3.00,3.00,1.00,0.00,6.00,NULL,1.00,3.00,1.00,404,333,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2817063,1.00,5.00,0.00,1.00,3.00,NULL,2.00,5.00,0.00,201,NULL,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817071,0.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,303,211,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2817080,1.00,5.00,2.00,3.00,6.00,5.00,3.00,5.00,2.00,5,327,NULL,'CAMPECHE','FLORIANOPOLIS','SC',19846,825,445,NULL,NULL,NULL,NULL,2,1),(15,2817101,1.00,4.00,0.00,2.00,2.00,NULL,2.00,1.00,1.00,319,308,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2817110,3.00,6.00,3.00,5.00,5.00,4.75,4.00,3.00,1.00,101,339,NULL,'COSTEIRA','FLORIANOPOLIS','SC',18339,227,340,NULL,NULL,NULL,NULL,2,1),(15,2817128,4.00,4.00,3.00,5.00,7.00,5.00,3.00,4.00,5.00,426,316,429,'CAMPECHE','FLORIANOPOLIS','SC',14592,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817144,1.00,3.00,2.00,4.00,4.00,NULL,3.00,2.00,2.00,502,333,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817152,4.00,6.00,3.00,6.00,7.00,4.75,6.00,6.00,6.00,225,238,NULL,'PONTE DO IMARUIM','PALHOCA','SC',7892,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817160,2.00,7.00,2.00,6.00,6.00,6.50,4.00,5.00,5.00,207,420,201,'MONTE VERDE','FLORIANOPOLIS','SC',11643,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817179,0.00,6.00,1.00,3.00,1.00,NULL,3.00,3.00,2.00,9,102,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817187,5.00,6.00,0.00,2.00,6.00,4.50,2.00,4.00,3.00,101,103,NULL,'BARREIROS','SAO JOSE','SC',18639,234,3246,NULL,NULL,NULL,NULL,4,1),(15,2817195,1.00,6.00,3.00,5.00,7.00,4.00,3.00,4.00,2.00,333,108,NULL,'FORQUILHINHAS','SAO JOSE','SC',18592,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817209,3.00,5.00,3.00,9.00,5.00,5.00,2.00,3.00,4.00,317,302,NULL,'TRINDADE','FLORIANOPOLIS','SC',14735,223,271,NULL,NULL,NULL,NULL,5,1),(15,2817217,1.00,5.00,2.00,1.00,2.00,NULL,4.00,3.00,2.00,308,339,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817233,3.00,7.00,3.00,2.00,6.00,5.75,4.00,6.00,1.00,207,224,212,'SACO GRANDE','FLORIANOPOLIS','SC',16844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2817241,3.00,4.00,1.00,6.00,2.00,NULL,2.00,3.00,1.00,309,428,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817250,3.00,6.00,3.00,6.00,8.00,6.75,6.00,5.00,2.00,5,333,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',10617,459,671,NULL,NULL,NULL,NULL,2,1),(15,2817268,1.00,4.00,4.00,6.00,8.00,7.25,3.00,2.00,1.00,207,319,215,'TRINDADE','FLORIANOPOLIS','SC',16981,812,846,337,NULL,NULL,NULL,2,1),(15,2817276,0.00,2.00,0.00,0.00,4.00,NULL,2.00,4.00,1.00,319,238,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817284,2.00,4.00,1.00,6.00,5.00,NULL,0.00,2.00,2.00,308,427,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817292,2.00,4.00,1.00,1.00,5.00,NULL,3.00,2.00,3.00,316,224,NULL,'CACHOEIRA DO BOM JES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2817306,3.00,5.00,1.00,1.00,6.00,4.50,4.00,5.00,3.00,212,222,213,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',19975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2817314,0.00,2.00,0.00,5.00,5.00,NULL,2.00,2.00,1.00,308,339,NULL,'BELA VISTA I','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817322,1.00,5.00,4.00,7.00,6.00,4.25,4.00,2.00,2.00,208,425,238,'AGRONÔMICA','FLORIANOPOLIS','SC',17621,682,381,647,NULL,NULL,NULL,4,1),(15,2817330,5.00,6.00,5.00,5.00,7.00,4.50,5.00,6.00,3.00,317,224,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',10186,112,162,NULL,NULL,NULL,NULL,2,1),(15,2817349,2.00,4.00,3.00,4.00,2.00,NULL,3.00,2.00,2.00,238,425,208,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,502,NULL,'INTERIOR','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2817365,2.00,5.00,3.00,1.00,4.00,5.50,2.00,3.00,4.00,301,101,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',19743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2817373,3.00,6.00,2.00,6.00,5.00,4.75,3.00,5.00,3.00,102,324,NULL,'JOSE MENDES','FLORIANOPOLIS','SC',15933,348,261,NULL,NULL,NULL,NULL,2,1),(15,2817381,2.00,6.00,5.00,2.00,5.00,4.75,2.00,2.00,2.00,425,320,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2817390,3.00,4.00,4.00,5.00,5.00,5.00,6.00,2.00,2.00,451,404,NULL,'JOSE MENDES','FLORIANOPOLIS','SC',17878,63,433,NULL,NULL,NULL,NULL,2,1),(15,2817403,4.00,7.00,2.00,6.00,7.00,5.00,7.00,7.00,4.00,319,333,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',7740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817411,3.00,5.00,3.00,3.00,5.00,4.25,4.00,4.00,3.00,202,208,220,'CENTRO','BIGUACU','SC',17713,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817420,3.00,5.00,1.00,2.00,4.00,5.00,3.00,5.00,0.00,332,324,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',22198,150,457,NULL,NULL,NULL,NULL,4,1),(15,2817438,9.00,8.00,6.00,4.00,8.00,6.25,7.00,7.00,5.00,103,101,NULL,'CENTRO','FLORIANOPOLIS','SC',2984,1032,389,NULL,NULL,NULL,NULL,4,1),(15,2817446,0.00,5.00,3.00,6.00,5.00,NULL,3.00,1.00,2.00,203,224,214,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817454,1.00,1.00,3.00,4.00,3.00,NULL,1.00,3.00,2.00,316,421,NULL,'BELA VISTA I','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817462,2.00,5.00,5.00,5.00,6.00,5.25,3.00,5.00,1.00,9,102,NULL,'SAO SEBASTIAO','PALHOCA','SC',16784,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817470,1.00,4.00,0.00,7.00,3.00,5.50,2.00,2.00,3.00,224,213,NULL,'BALNEARIO DOS AÇORES','FLORIANOPOLIS','SC',21852,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817489,6.00,7.00,6.00,5.00,7.00,5.25,8.00,7.00,5.00,208,222,238,'VARGEM GRANDE','FLORIANOPOLIS','SC',4233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817497,5.00,7.00,3.00,6.00,7.00,6.00,2.00,6.00,3.00,331,332,NULL,'ITACORUBI','FLORIANOPOLIS','SC',11416,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817500,4.00,7.00,3.00,6.00,8.00,6.00,5.00,7.00,3.00,308,339,NULL,'COLONIA SANTANA','SAO JOSE','SC',7787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817519,3.00,5.00,1.00,2.00,7.00,5.00,2.00,3.00,3.00,429,324,426,'IPIRANGA','SAO JOSE','SC',20519,166,402,85,NULL,NULL,NULL,2,1),(15,2817527,0.00,7.00,4.00,6.00,7.00,5.00,3.00,8.00,3.00,233,324,208,'CARVOEIRA','FLORIANOPOLIS','SC',13319,326,208,493,NULL,NULL,NULL,2,1),(15,2817535,2.00,8.00,3.00,5.00,6.00,6.75,3.00,4.00,1.00,317,324,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',16327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817543,1.00,2.00,0.00,1.00,3.00,NULL,3.00,2.00,0.00,319,404,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817551,5.00,5.00,2.00,5.00,7.00,3.25,1.00,3.00,2.00,317,339,NULL,'IPIRANGA','SAO JOSE','SC',19484,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817560,4.00,8.00,5.00,6.00,9.00,6.25,4.00,7.00,4.00,108,502,NULL,'CENTRO','SAO JOSE','SC',6109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817578,3.00,5.00,7.00,6.00,6.00,6.00,2.00,4.00,2.00,217,225,NULL,'CENTRO','SAO JOSE','SC',13145,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817586,3.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,1.00,317,316,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817594,0.00,2.00,1.00,0.00,3.00,NULL,1.00,2.00,0.00,217,102,NULL,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2817608,0.00,4.00,3.00,4.00,5.00,2.00,2.00,3.00,4.00,425,427,424,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,104,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2817624,1.00,6.00,3.00,2.00,3.00,5.25,2.00,4.00,3.00,320,329,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',20691,93,NULL,NULL,NULL,NULL,NULL,4,1),(15,2817640,3.00,5.00,3.00,3.00,5.00,5.00,2.00,3.00,3.00,317,324,NULL,'PONTE DO IMARUIM','PALHOCA','SC',19536,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817659,2.00,5.00,0.00,3.00,3.00,3.75,4.00,4.00,2.00,201,303,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',22383,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817667,3.00,7.00,1.00,6.00,6.00,4.50,2.00,4.00,2.00,444,329,NULL,'PONTE DO IMARUIM','PALHOCA','SC',18502,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,207,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2817691,2.00,3.00,3.00,0.00,2.00,NULL,2.00,2.00,3.00,316,332,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2817705,4.00,6.00,3.00,2.00,6.00,4.50,2.00,5.00,2.00,9,450,NULL,'INGLESES','FLORIANOPOLIS','SC',19354,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817713,2.00,3.00,0.00,2.00,3.00,NULL,2.00,0.00,2.00,9,309,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817721,3.00,5.00,1.00,5.00,4.00,5.25,3.00,2.00,1.00,224,225,NULL,'TRINDADE','FLORIANOPOLIS','SC',21313,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,5,220,'REAL P ARQUE','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2817748,3.00,8.00,2.00,1.00,4.00,3.50,3.00,5.00,3.00,203,224,214,'ROÇADO','SAO JOSE','SC',18819,1091,267,547,NULL,NULL,NULL,2,1),(15,2817756,4.00,4.00,0.00,2.00,3.00,NULL,4.00,2.00,0.00,324,2,NULL,'PONTE DO IMARUIM','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817764,1.00,3.00,1.00,6.00,6.00,5.00,3.00,4.00,2.00,308,339,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',20329,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817772,2.00,5.00,4.00,4.00,4.00,3.75,3.00,2.00,4.00,308,324,NULL,'PANTANAL','FLORIANOPOLIS','SC',20167,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817780,7.00,8.00,5.00,8.00,8.00,5.50,6.00,9.00,3.00,303,5,NULL,'DANIELA','FLORIANOPOLIS','SC',3329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2817799,0.00,6.00,3.00,8.00,7.00,5.50,1.00,6.00,2.00,238,333,233,'RIO TAVARES','FLORIANOPOLIS','SC',14809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2817802,2.00,4.00,1.00,5.00,6.00,5.25,3.00,3.00,4.00,429,421,428,'RIO TAVARES','FLORIANOPOLIS','SC',19623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2817810,1.00,3.00,1.00,2.00,4.00,NULL,1.00,3.00,0.00,425,316,423,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817829,2.00,4.00,4.00,4.00,6.00,4.00,5.00,6.00,1.00,108,333,NULL,'CENTRO','VIDAL RAMOS','SC',17076,376,883,NULL,NULL,NULL,NULL,4,2),(15,2817837,2.00,2.00,2.00,5.00,3.00,4.25,1.00,3.00,2.00,207,316,201,'CENTRO','VIDAL RAMOS','SC',22490,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817845,5.00,5.00,1.00,7.00,7.00,5.00,2.00,7.00,3.00,327,423,NULL,'COSTEIRA','FLORIANOPOLIS','SC',11230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817853,1.00,4.00,2.00,4.00,6.00,5.50,2.00,3.00,2.00,420,451,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',21817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2817861,2.00,4.00,2.00,2.00,5.00,NULL,2.00,0.00,0.00,404,426,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817870,6.00,7.00,4.00,6.00,6.00,3.00,7.00,5.00,5.00,217,104,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',7762,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2817888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,203,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2817896,3.00,5.00,4.00,7.00,6.00,5.00,4.00,4.00,2.00,324,332,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',15366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817900,3.00,6.00,5.00,6.00,7.00,5.50,7.00,6.00,6.00,302,301,NULL,'PANTANAL','FLORIANOPOLIS','SC',6604,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817918,4.00,5.00,5.00,2.00,3.00,5.25,2.00,2.00,2.00,308,319,NULL,'BARREIROS','SAO JOSE','SC',21267,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817926,2.00,7.00,1.00,4.00,7.00,4.50,3.00,4.00,2.00,108,324,NULL,'PONTE DO IMARUIM','PALHOCA','SC',17903,402,315,NULL,NULL,NULL,NULL,2,1),(15,2817934,2.00,5.00,0.00,3.00,7.00,4.00,4.00,4.00,2.00,101,327,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',19392,245,436,NULL,NULL,NULL,NULL,2,1),(15,2817942,5.00,7.00,4.00,7.00,8.00,6.50,6.00,5.00,4.00,201,324,238,'FORQUILHINHAS','SAO JOSE','SC',5647,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817950,3.00,4.00,2.00,3.00,3.00,4.00,2.00,3.00,2.00,339,308,NULL,'CENTRO','FLORIANOPOLIS','SC',22349,179,NULL,NULL,NULL,NULL,NULL,2,1),(15,2817969,2.00,5.00,3.00,2.00,5.00,6.00,3.00,4.00,3.00,201,101,NULL,'LOURO','ANTONIO CARLOS','SC',20084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2817977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,428,NULL,'ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2817985,3.00,5.00,0.00,0.00,3.00,NULL,2.00,2.00,1.00,301,302,NULL,'LOURO','ANTONIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2817993,2.00,2.00,1.00,3.00,2.00,NULL,3.00,2.00,1.00,108,303,NULL,'ARAUCÁRIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,426,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2818019,5.00,4.00,4.00,1.00,7.00,5.00,3.00,2.00,1.00,101,108,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',20897,290,966,NULL,NULL,NULL,NULL,4,1),(15,2818027,3.00,3.00,5.00,7.00,5.00,2.25,4.00,3.00,3.00,415,5,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818035,1.00,4.00,5.00,4.00,5.00,NULL,0.00,4.00,2.00,5,303,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818043,1.00,6.00,4.00,6.00,5.00,5.50,1.00,4.00,4.00,316,320,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',16420,459,202,NULL,NULL,NULL,NULL,2,1),(15,2818051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,9,NULL,'RATONES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2818060,4.00,6.00,0.00,5.00,8.00,NULL,3.00,6.00,3.00,102,101,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818078,6.00,6.00,2.00,5.00,6.00,4.50,5.00,7.00,3.00,103,211,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',11039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818086,0.00,5.00,2.00,5.00,4.00,3.00,3.00,3.00,1.00,404,217,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',22117,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818094,1.00,3.00,2.00,4.00,3.00,6.00,3.00,4.00,2.00,429,208,425,'FLOR DE NAPOLES','SAO JOSE','SC',21810,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818108,3.00,3.00,0.00,4.00,3.00,NULL,1.00,0.00,1.00,423,415,NULL,'COSTEIRA DO PIRAJUBA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818116,1.00,6.00,3.00,8.00,6.00,5.00,2.00,3.00,1.00,101,444,NULL,'PACHECOS','PALHOCA','SC',17945,218,528,NULL,NULL,NULL,NULL,2,1),(15,2818124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,332,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2818132,4.00,4.00,0.00,4.00,3.00,NULL,3.00,3.00,3.00,5,NULL,NULL,'FORQUILHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818140,4.00,5.00,3.00,5.00,2.00,NULL,3.00,4.00,4.00,333,327,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818159,6.00,7.00,4.00,6.00,7.00,5.50,6.00,7.00,6.00,319,316,NULL,'AVENTUREIRO','JOINVILLE','SC',5182,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2818167,3.00,7.00,4.00,4.00,7.00,5.25,6.00,5.00,5.00,329,327,NULL,'JARDIM ELDORADO','PALHOCA','SC',11134,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818175,4.00,4.00,2.00,0.00,5.00,NULL,3.00,3.00,0.00,317,316,NULL,'FORQUILHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818183,4.00,7.00,5.00,6.00,8.00,7.50,4.00,6.00,5.00,320,329,NULL,'CARIANOS','FLORIANOPOLIS','SC',6950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818191,2.00,5.00,3.00,3.00,4.00,4.00,3.00,4.00,2.00,332,333,NULL,'PANTANAL','FLORIANOPOLIS','SC',20920,133,1023,NULL,NULL,NULL,NULL,2,1),(15,2818205,1.00,3.00,2.00,2.00,5.00,7.00,2.00,5.00,1.00,302,5,NULL,'CENTRO','FLORIANOPOLIS','SC',21379,192,1332,NULL,NULL,NULL,NULL,2,1),(15,2818213,3.00,6.00,4.00,7.00,7.00,5.75,6.00,7.00,3.00,326,428,NULL,'PANTANAL','FLORIANOPOLIS','SC',8803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2818221,4.00,7.00,2.00,7.00,5.00,5.50,3.00,4.00,2.00,217,425,NULL,'VILA APARECIDA','FLORIANOPOLIS','SC',14123,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818230,5.00,8.00,8.00,7.00,6.00,6.00,6.00,7.00,2.00,217,216,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',5427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2818248,4.00,8.00,5.00,5.00,9.00,5.25,4.00,5.00,2.00,319,324,NULL,'CENTRO','FLORIANOPOLIS','SC',8405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818256,2.00,2.00,0.00,5.00,5.00,4.50,3.00,6.00,2.00,101,102,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',21078,297,1116,NULL,NULL,NULL,NULL,2,1),(15,2818264,4.00,7.00,7.00,3.00,7.00,5.00,5.00,7.00,5.00,224,222,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',7987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2818272,3.00,6.00,4.00,2.00,7.00,5.75,4.00,6.00,3.00,224,222,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',13715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2818280,3.00,8.00,1.00,4.00,7.00,4.50,3.00,7.00,4.00,324,339,NULL,'RIBEIRAO ILHA','FLORIANOPOLIS','SC',14689,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818299,3.00,6.00,1.00,7.00,5.00,6.25,2.00,6.00,1.00,301,238,NULL,'INGLESES','FLORIANOPOLIS','SC',15891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818302,2.00,6.00,7.00,3.00,4.00,4.50,4.00,4.00,3.00,208,2,238,'RIO TAVARES','FLORIANOPOLIS','SC',16387,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818310,4.00,6.00,3.00,3.00,7.00,5.50,5.00,4.00,3.00,207,324,211,'CAMINHO NOVO','PALHOCA','SC',13682,667,214,483,NULL,NULL,NULL,2,1),(15,2818329,3.00,7.00,1.00,5.00,5.00,5.00,2.00,5.00,1.00,309,326,NULL,'PRAIA DE FORA','PALHOCA','SC',18778,48,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818337,6.00,5.00,5.00,3.00,3.00,4.00,4.00,5.00,5.00,201,224,212,'ARMACAO','FLORIANOPOLIS','SC',15049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2818345,4.00,7.00,4.00,1.00,8.00,6.00,6.00,7.00,6.00,331,324,NULL,'AREIAS','SAO JOSE','SC',7970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2818353,2.00,6.00,3.00,3.00,7.00,4.50,3.00,3.00,2.00,201,217,215,'DA GRUTA','ITUPORANGA','SC',18436,980,499,366,NULL,NULL,NULL,2,1),(15,2818361,2.00,7.00,5.00,4.00,5.00,3.75,3.00,3.00,4.00,444,324,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',16883,175,279,NULL,NULL,NULL,NULL,2,1),(15,2818370,1.00,4.00,2.00,0.00,0.00,NULL,4.00,5.00,1.00,317,316,NULL,'REAL PARQUE','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818388,1.00,4.00,2.00,2.00,5.00,6.00,4.00,3.00,3.00,5,238,NULL,'ESTREITO','FLORIANOPOLIS','SC',20788,857,1025,NULL,NULL,NULL,NULL,4,1),(15,2818396,0.00,5.00,5.00,5.00,4.00,2.00,4.00,7.00,1.00,327,326,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818400,3.00,7.00,2.00,5.00,4.00,3.75,5.00,7.00,2.00,332,404,NULL,'BARREIROS','SAO JOSE','SC',15519,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818418,2.00,3.00,2.00,6.00,7.00,4.50,4.00,5.00,1.00,101,426,NULL,'PRAINHA','FLORIANOPOLIS','SC',18626,233,227,NULL,NULL,NULL,NULL,2,1),(15,2818426,5.00,7.00,3.00,8.00,8.00,6.75,6.00,5.00,4.00,9,501,NULL,'CAMPECHE','FLORIANOPOLIS','SC',5393,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818434,0.00,6.00,4.00,3.00,3.00,NULL,5.00,3.00,2.00,238,224,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818442,2.00,6.00,4.00,0.00,5.00,5.50,3.00,7.00,4.00,339,424,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',16692,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2818450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,332,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2818469,2.00,6.00,2.00,6.00,5.00,5.75,2.00,3.00,2.00,317,318,NULL,'JARDIM ZANELLATO','SAO JOSE','SC',18451,320,495,NULL,NULL,NULL,NULL,2,1),(15,2818477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,332,NULL,'BOM VIVER','BIGUACU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2818485,3.00,7.00,2.00,6.00,7.00,6.00,4.00,7.00,3.00,426,208,428,'AREIAS','SAO JOSE','SC',10295,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818493,2.00,5.00,3.00,6.00,5.00,5.00,1.00,3.00,3.00,329,324,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',19571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818507,5.00,5.00,1.00,4.00,2.00,NULL,2.00,3.00,1.00,444,420,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818515,3.00,5.00,4.00,5.00,6.00,4.75,3.00,3.00,5.00,429,339,NULL,'BARREIROS','SAO JOSE','SC',16201,100,303,NULL,NULL,NULL,NULL,2,1),(15,2818523,1.00,7.00,4.00,6.00,6.00,5.75,4.00,7.00,3.00,2,333,NULL,'CAMPECHE','FLORIANOPOLIS','SC',12041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2818531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,327,NULL,'COLONINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2818540,2.00,7.00,3.00,2.00,7.00,5.75,3.00,5.00,3.00,332,327,NULL,'AREIAS','SAO JOSE','SC',16827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2818558,1.00,4.00,3.00,0.00,3.00,NULL,2.00,4.00,3.00,316,324,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2818566,3.00,4.00,4.00,0.00,6.00,NULL,4.00,4.00,3.00,317,224,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2818574,2.00,5.00,0.00,2.00,5.00,4.00,3.00,3.00,4.00,208,404,NULL,'ESTREITO','FLORIANOPOLIS','SC',21658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2818582,1.00,5.00,5.00,4.00,7.00,5.75,3.00,7.00,0.00,426,320,425,'INGLESES','FLORIANOPOLIS','SC',16269,49,200,119,NULL,NULL,NULL,4,1),(15,2818590,2.00,6.00,4.00,5.00,6.00,5.25,4.00,7.00,2.00,238,220,208,'INGLESES','FLORIANOPOLIS','SC',12265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2818604,2.00,5.00,2.00,1.00,3.00,5.25,1.00,4.00,1.00,324,339,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',22361,118,469,NULL,NULL,NULL,NULL,4,1),(15,2818612,3.00,1.00,2.00,0.00,4.00,NULL,4.00,2.00,1.00,404,324,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2818620,2.00,3.00,3.00,3.00,6.00,6.00,4.00,3.00,5.00,317,NULL,NULL,'INGLESES','FLORIANOPOLIS','SC',19388,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818639,1.00,5.00,3.00,5.00,3.00,5.50,4.00,3.00,3.00,208,216,202,'SACO D LIMÕES CAEIRA','FLORIANOPOLIS','SC',19302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818647,1.00,7.00,4.00,6.00,7.00,4.25,3.00,6.00,2.00,425,327,427,'PINHEIRA','PALHOCA','SC',14697,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818655,2.00,6.00,3.00,6.00,8.00,5.25,2.00,4.00,2.00,317,429,NULL,'SERRARIA','SAO JOSE','SC',16046,261,265,NULL,NULL,NULL,NULL,2,1),(15,2818663,2.00,5.00,3.00,1.00,2.00,NULL,0.00,3.00,2.00,104,309,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2818671,3.00,5.00,3.00,6.00,2.00,NULL,2.00,3.00,2.00,331,415,NULL,'LAGOA DA CCONCEICAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818680,2.00,6.00,3.00,7.00,8.00,5.00,3.00,7.00,3.00,324,329,NULL,'COLONINHA','FLORIANOPOLIS','SC',10813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818698,6.00,7.00,7.00,4.00,7.00,5.25,5.00,6.00,5.00,9,444,NULL,'ESTREITO','FLORIANOPOLIS','SC',5588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2818701,2.00,3.00,0.00,1.00,2.00,NULL,3.00,0.00,2.00,211,108,215,'PERNAMBUCO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818710,3.00,5.00,5.00,3.00,4.00,4.75,3.00,3.00,1.00,101,501,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',21048,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,222,208,'BARRA DO ARIRIÚ','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2818736,2.00,7.00,4.00,7.00,6.00,5.25,4.00,5.00,2.00,444,424,NULL,'CENTRO','FLORIANOPOLIS','SC',13196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2818744,2.00,5.00,0.00,4.00,4.00,4.25,4.00,3.00,1.00,101,308,NULL,'BOA PARADA','SAO PEDRO DE ALCANTARA','SC',21568,309,477,NULL,NULL,NULL,NULL,2,1),(15,2818752,2.00,2.00,3.00,0.00,1.00,NULL,3.00,1.00,1.00,444,301,NULL,'FORQUILHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2818760,3.00,5.00,5.00,5.00,6.00,5.25,4.00,5.00,2.00,501,308,NULL,'FORQUILHAS','SAO JOSE','SC',14474,158,318,NULL,NULL,NULL,NULL,2,1),(15,2818779,3.00,5.00,1.00,1.00,3.00,3.75,5.00,3.00,3.00,102,108,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',21873,508,985,NULL,NULL,NULL,NULL,2,1),(15,2818787,6.00,8.00,5.00,5.00,9.00,4.75,6.00,7.00,4.00,102,217,NULL,'INGLESES','FLORIANOPOLIS','SC',5537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818795,4.00,8.00,1.00,6.00,8.00,5.25,3.00,7.00,2.00,102,429,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',11116,211,243,NULL,NULL,NULL,NULL,2,1),(15,2818809,2.00,4.00,2.00,6.00,6.00,6.00,3.00,5.00,3.00,5,317,NULL,'INGLESES','FLORIANOPOLIS','SC',15715,670,584,NULL,NULL,NULL,NULL,2,1),(15,2818817,2.00,6.00,2.00,0.00,2.00,NULL,1.00,2.00,3.00,404,108,NULL,'SIRIU','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818825,3.00,7.00,1.00,6.00,6.00,5.00,4.00,5.00,2.00,238,320,208,'CENTRO','FLORIANOPOLIS','SC',14908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,328,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2818850,2.00,5.00,3.00,7.00,4.00,5.50,3.00,6.00,3.00,420,451,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',14794,294,221,NULL,NULL,NULL,NULL,2,1),(15,2818868,3.00,5.00,5.00,4.00,5.00,5.00,1.00,4.00,3.00,339,324,NULL,'PALMAS','GOVERNADOR CELSO RAMOS','SC',17742,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,324,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2818884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,308,201,'AREIAS DO CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2818892,4.00,3.00,5.00,5.00,6.00,5.50,5.00,6.00,4.00,427,415,425,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',11444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818906,3.00,4.00,1.00,2.00,5.00,0.00,5.00,1.00,2.00,324,424,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,317,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2818922,2.00,5.00,5.00,1.00,7.00,4.25,3.00,3.00,2.00,316,317,NULL,'CAMPINAS','SAO JOSE','SC',18846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2818930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,324,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2818949,2.00,3.00,4.00,2.00,3.00,3.75,5.00,3.00,3.00,316,308,NULL,'TAPERA','FLORIANOPOLIS','SC',21975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2818957,3.00,5.00,5.00,4.00,4.00,4.75,4.00,5.00,4.00,5,303,NULL,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',15518,660,1241,NULL,NULL,NULL,NULL,2,1),(15,2818965,1.00,4.00,0.00,3.00,2.00,NULL,3.00,5.00,4.00,420,328,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2818973,1.00,6.00,4.00,7.00,7.00,5.50,5.00,5.00,2.00,319,324,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',11467,202,182,NULL,NULL,NULL,NULL,2,1),(15,2818981,3.00,4.00,2.00,4.00,5.00,4.75,4.00,4.00,2.00,302,223,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',20049,174,225,NULL,NULL,NULL,NULL,2,1),(15,2818990,2.00,8.00,2.00,2.00,4.00,4.75,4.00,5.00,1.00,225,NULL,NULL,'NAVA ESPERANÇA','CRICIUMA','SC',19234,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2819007,4.00,6.00,5.00,5.00,8.00,6.25,5.00,4.00,3.00,201,426,207,'UNIVERSITÁRIO','CRICIUMA','SC',10403,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2819015,2.00,6.00,4.00,7.00,4.00,5.50,5.00,3.00,3.00,233,215,NULL,'VERA CRUZ','CRICIUMA','SC',14655,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2819023,3.00,4.00,0.00,3.00,4.00,5.50,3.00,4.00,1.00,102,217,NULL,'CAMINHO NOVO','PALHOCA','SC',21909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2819031,3.00,4.00,4.00,6.00,6.00,5.50,2.00,4.00,2.00,102,211,NULL,'COLONINHA','ARARANGUA','SC',18166,404,982,NULL,NULL,NULL,NULL,2,5),(15,2819040,1.00,7.00,2.00,1.00,4.00,6.00,4.00,3.00,2.00,201,224,238,'PRAIA COMPRIDA','SAO JOSE','SC',21007,1087,298,778,NULL,NULL,NULL,4,1),(15,2819058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,327,NULL,'COLONINHA','ARARANGUA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2819066,2.00,3.00,1.00,5.00,7.00,4.75,2.00,6.00,0.00,404,324,NULL,'FAZENDA STO ANTÔNIO','SAO JOSE','SC',20508,215,400,NULL,NULL,NULL,NULL,2,1),(15,2819074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,201,NULL,'COLONINHA','ARARANGUA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2819082,1.00,1.00,1.00,2.00,4.00,NULL,3.00,4.00,3.00,339,320,NULL,'RATONES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819090,0.00,5.00,2.00,4.00,3.00,3.25,3.00,2.00,4.00,444,333,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',22144,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819104,5.00,5.00,2.00,1.00,3.00,5.00,1.00,3.00,1.00,108,404,NULL,'LINHA DOS CHAVES','ANGELINA','SC',22343,494,526,NULL,NULL,NULL,NULL,2,1),(15,2819112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,211,NULL,'URUSSANGUINHA','ARARANGUA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2819120,2.00,5.00,4.00,4.00,6.00,5.00,3.00,3.00,3.00,208,201,212,'BARRANCA','ARARANGUA','SC',17984,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2819139,2.00,3.00,2.00,2.00,3.00,NULL,2.00,2.00,2.00,309,426,NULL,'CAMINHO NOVO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2819147,4.00,2.00,3.00,2.00,1.00,NULL,2.00,3.00,2.00,333,101,NULL,'CIDADE ALTA','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2819171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,225,NULL,'URUSSANGUINHA','ARARANGUA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2819180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,429,NULL,'COLONINHA','ARARANGUA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(15,2819198,3.00,4.00,3.00,3.00,4.00,4.50,3.00,5.00,2.00,324,317,NULL,'ESTREITO','FLORIANOPOLIS','SC',21029,96,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819201,3.00,5.00,1.00,4.00,3.00,6.00,1.00,4.00,3.00,211,NULL,215,'VILA MANENTI','TURVO','SC',20118,691,NULL,389,NULL,NULL,NULL,2,5),(15,2819210,3.00,3.00,3.00,2.00,5.00,NULL,1.00,3.00,0.00,317,316,NULL,'CIDADE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2819228,2.00,5.00,2.00,5.00,7.00,4.50,2.00,5.00,2.00,326,319,NULL,'ENSEADA DE BRITO','PALHOCA','SC',18154,105,879,NULL,NULL,NULL,NULL,2,1),(15,2819236,1.00,5.00,4.00,7.00,6.00,5.50,3.00,6.00,6.00,215,217,216,'SÃO CRISTOVÃO','TURVO','SC',13129,270,413,403,NULL,NULL,NULL,2,5),(15,2819244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,104,NULL,'ENSEADA DE BRITO','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2819252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,327,425,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2819279,2.00,2.00,4.00,6.00,6.00,2.00,3.00,1.00,3.00,324,318,NULL,'BELA VISTA I','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819295,4.00,7.00,4.00,8.00,7.00,6.00,6.00,6.00,4.00,317,327,NULL,'BARREIROS','SAO JOSE','SC',7827,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819309,3.00,7.00,4.00,6.00,7.00,4.50,5.00,7.00,3.00,316,404,NULL,'BARREIROS','SAO JOSE','SC',9765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2819317,0.00,4.00,1.00,2.00,2.00,NULL,0.00,0.00,2.00,308,101,NULL,'CENTRO','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2819325,2.00,5.00,0.00,4.00,6.00,NULL,3.00,3.00,0.00,317,302,NULL,'JARDIM JANAINA','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819333,3.00,4.00,0.00,1.00,3.00,NULL,3.00,5.00,1.00,5,426,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2819341,2.00,4.00,4.00,5.00,6.00,5.50,4.00,5.00,2.00,309,423,NULL,'BARREIROS','SAO JOSE','SC',14749,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819350,4.00,4.00,3.00,0.00,0.00,NULL,0.00,0.00,0.00,316,317,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',2,1),(15,2819368,4.00,3.00,2.00,4.00,4.00,4.00,5.00,4.00,1.00,316,108,NULL,'TRINDADE','FLORIANOPOLIS','SC',20461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819376,2.00,5.00,4.00,5.00,6.00,4.00,3.00,4.00,2.00,234,NULL,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',17728,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819384,2.00,2.00,1.00,1.00,3.00,NULL,2.00,4.00,2.00,302,208,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2819392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,319,NULL,'CENTRO','ARARANGUA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2819406,3.00,8.00,4.00,2.00,6.00,6.00,2.00,5.00,2.00,303,326,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',16114,735,294,NULL,NULL,NULL,NULL,4,1),(15,2819414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,427,NULL,'BELA VISTA III','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2819422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,423,NULL,'VILA MANAUS','CRICIUMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2819449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,324,NULL,'BELA VISTA I','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2819457,0.00,1.00,3.00,1.00,2.00,NULL,4.00,2.00,1.00,319,444,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819465,1.00,2.00,2.00,2.00,2.00,NULL,2.00,5.00,0.00,101,9,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2819473,3.00,5.00,2.00,7.00,6.00,5.50,4.00,3.00,5.00,108,211,NULL,'CIDADE ALTA','ARARANGUA','SC',13652,301,909,NULL,NULL,NULL,NULL,2,5),(15,2819481,1.00,5.00,3.00,1.00,3.00,3.50,3.00,3.00,3.00,404,316,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',22376,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,331,NULL,'DIVINEIA','ARARANGUA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2819503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,324,NULL,'BELA VISTA I','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2819511,2.00,6.00,3.00,2.00,6.00,6.00,3.00,5.00,4.00,238,415,208,'CANTO','FLORIANOPOLIS','SC',17708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2819520,6.00,9.00,4.00,6.00,8.00,5.75,8.00,8.00,5.00,303,421,NULL,'PACHECO','PALHOCA','SC',2682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2819538,0.00,5.00,3.00,4.00,5.00,NULL,2.00,3.00,1.00,404,339,NULL,'PRAINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819546,1.00,7.00,2.00,5.00,6.00,7.50,4.00,5.00,2.00,320,310,NULL,'TRINDADE','FLORIANOPOLIS','SC',14442,57,150,NULL,NULL,NULL,NULL,2,1),(15,2819554,1.00,5.00,0.00,4.00,4.00,4.75,3.00,1.00,4.00,451,450,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',21992,100,365,NULL,NULL,NULL,NULL,2,1),(15,2819562,0.00,6.00,2.00,2.00,6.00,NULL,3.00,6.00,3.00,319,451,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2819570,0.00,2.00,1.00,1.00,3.00,NULL,2.00,1.00,1.00,339,324,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819589,2.00,4.00,2.00,4.00,7.00,4.75,4.00,4.00,3.00,317,224,NULL,'KOBRASOL','SAO JOSE','SC',18025,304,256,NULL,NULL,NULL,NULL,2,1),(15,2819597,1.00,3.00,1.00,3.00,6.00,5.50,3.00,3.00,3.00,5,339,NULL,'CENTRO','FLORIANOPOLIS','SC',21083,868,425,NULL,NULL,NULL,NULL,4,1),(15,2819600,4.00,5.00,3.00,5.00,7.00,6.50,5.00,5.00,4.00,324,420,NULL,'CENTRO','FLORIANOPOLIS','SC',10806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2819619,1.00,5.00,1.00,4.00,5.00,5.25,3.00,5.00,1.00,415,327,NULL,'CAMPECHE','FLORIANOPOLIS','SC',20895,534,461,NULL,NULL,NULL,NULL,2,1),(15,2819627,1.00,1.00,0.00,0.00,0.00,NULL,2.00,1.00,2.00,238,NULL,208,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819635,3.00,5.00,3.00,6.00,7.00,4.25,5.00,4.00,4.00,427,5,426,'TRINDADE','FLORIANOPOLIS','SC',14292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,202,238,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2819651,3.00,5.00,3.00,7.00,8.00,6.00,3.00,6.00,3.00,9,308,NULL,'ARIRIÚ DA FORMIGA','PALHOCA','SC',11347,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819660,4.00,6.00,3.00,2.00,8.00,5.75,4.00,3.00,2.00,320,319,NULL,'CAMPECHE','FLORIANOPOLIS','SC',17476,78,856,NULL,NULL,NULL,NULL,4,1),(15,2819678,1.00,3.00,3.00,4.00,5.00,5.25,4.00,3.00,3.00,423,NULL,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',21016,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819686,1.00,4.00,1.00,2.00,3.00,NULL,2.00,3.00,1.00,301,9,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,317,NULL,'SAPIRANGA','MELEIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2819708,5.00,6.00,4.00,4.00,7.00,5.50,2.00,5.00,2.00,427,108,NULL,'ENSEADA DO BRITO','PALHOCA','SC',12755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2819716,3.00,6.00,3.00,7.00,6.00,5.50,3.00,3.00,2.00,309,339,NULL,'CAMPECHE','FLORIANOPOLIS','SC',15428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819724,2.00,7.00,4.00,3.00,6.00,5.25,5.00,4.00,3.00,238,215,208,'CANASVIEIRAS','FLORIANOPOLIS','SC',15747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2819732,0.00,2.00,2.00,1.00,7.00,NULL,1.00,1.00,1.00,238,316,233,'CENTRO','MORRO GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2819740,2.00,6.00,2.00,5.00,8.00,6.50,6.00,6.00,4.00,326,424,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',11108,56,180,NULL,NULL,NULL,NULL,4,1),(15,2819759,2.00,4.00,0.00,2.00,7.00,NULL,2.00,3.00,0.00,502,501,NULL,'CIDADE ALTA','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(15,2819767,4.00,3.00,1.00,4.00,4.00,2.00,2.00,4.00,2.00,302,339,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,329,NULL,'NOVA DIVINEIA','ARARANGUA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(15,2819791,1.00,8.00,2.00,5.00,6.00,4.50,2.00,5.00,4.00,208,331,233,'BARRACÃO','ORLEANS','SC',16867,655,196,386,NULL,NULL,NULL,2,1),(15,2819805,1.00,6.00,3.00,5.00,8.00,4.75,0.00,3.00,1.00,316,324,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',19691,591,368,NULL,NULL,NULL,NULL,2,1),(15,2819821,4.00,7.00,3.00,8.00,9.00,6.00,6.00,7.00,4.00,425,NULL,NULL,'ARIRIÚ DA FORMIGA','PALHOCA','SC',6288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2819830,3.00,6.00,4.00,6.00,4.00,4.25,4.00,4.00,3.00,420,450,NULL,'CENTRO','FLORIANOPOLIS','SC',13922,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819856,4.00,7.00,2.00,5.00,6.00,4.50,4.00,4.00,4.00,444,451,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',14433,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819872,2.00,2.00,3.00,5.00,5.00,3.50,5.00,2.00,2.00,339,324,NULL,'PANTANAL','FLORIANOPOLIS','SC',21706,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819880,4.00,6.00,5.00,2.00,7.00,7.50,3.00,6.00,4.00,317,201,NULL,'AREIAS','SAO JOSE','SC',10970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2819899,1.00,5.00,0.00,4.00,4.00,NULL,2.00,3.00,1.00,309,427,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819902,4.00,5.00,1.00,2.00,7.00,5.50,4.00,2.00,2.00,103,104,NULL,'CENTRO','ICARA','SC',19492,2952,NULL,NULL,NULL,NULL,NULL,2,5),(15,2819910,2.00,4.00,1.00,3.00,4.00,NULL,0.00,2.00,2.00,302,304,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819929,2.00,3.00,4.00,2.00,3.00,4.00,3.00,3.00,2.00,329,327,NULL,'RIO BONITO','BRACO DO NORTE','SC',22271,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2819937,4.00,5.00,6.00,3.00,6.00,5.50,5.00,3.00,3.00,426,339,429,'ESTREITO','FLORIANOPOLIS','SC',15008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2819945,2.00,5.00,3.00,1.00,5.00,4.50,2.00,2.00,3.00,424,316,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',21556,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819953,5.00,7.00,8.00,10.00,9.00,6.25,9.00,6.00,6.00,202,225,213,'AGRONOMICA','FLORIANOPOLIS','SC',913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2819961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,426,NULL,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2819970,5.00,6.00,0.00,0.00,6.00,NULL,4.00,6.00,3.00,501,217,NULL,'CENTRO','SAO JOAO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(15,2819988,2.00,5.00,2.00,2.00,4.00,2.25,6.00,4.00,2.00,224,329,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2819996,2.00,5.00,1.00,2.00,6.00,4.00,3.00,2.00,2.00,332,211,NULL,'INGLESES','FLORIANOPOLIS','SC',21615,145,1022,NULL,NULL,NULL,NULL,2,1),(15,2820005,5.00,8.00,1.00,5.00,6.00,5.00,4.00,6.00,3.00,331,339,NULL,'CRUZEIRO NOVO','CRUZEIRO','DF',11524,34,230,NULL,NULL,NULL,NULL,2,1),(15,2820013,4.00,6.00,3.00,2.00,6.00,3.00,5.00,3.00,2.00,317,404,NULL,'VENDAVAL','BIGUACU','SC',18997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820021,1.00,5.00,3.00,2.00,4.00,5.00,6.00,3.00,3.00,317,302,NULL,'SÃO FELIPE','TURVO','SC',19885,356,327,NULL,NULL,NULL,NULL,2,5),(15,2820030,3.00,8.00,3.00,5.00,8.00,5.75,3.00,6.00,3.00,316,339,NULL,'BARREIROS','SAO JOSE','SC',10889,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820048,3.00,4.00,4.00,5.00,7.00,5.50,3.00,4.00,0.00,333,234,NULL,'SÃO FELIPE','TURVO','SC',17524,294,226,NULL,NULL,NULL,NULL,2,5),(15,2820056,2.00,4.00,3.00,1.00,5.00,2.50,3.00,3.00,3.00,308,333,NULL,'COSTA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820064,6.00,8.00,3.00,4.00,7.00,4.25,7.00,5.00,2.00,332,426,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',9886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820072,3.00,2.00,0.00,0.00,2.00,NULL,2.00,3.00,1.00,332,327,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820080,4.00,6.00,6.00,7.00,4.00,3.75,6.00,6.00,3.00,234,333,NULL,'COSTEIRA','FLORIANOPOLIS','SC',9584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820099,4.00,5.00,4.00,8.00,8.00,6.00,6.00,6.00,3.00,5,316,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',7679,347,822,NULL,NULL,NULL,NULL,3,1),(15,2820102,0.00,6.00,4.00,3.00,6.00,4.50,6.00,4.00,3.00,420,301,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',16517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820110,3.00,7.00,6.00,6.00,8.00,5.75,7.00,5.00,7.00,317,222,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',5974,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,308,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2820137,4.00,8.00,3.00,5.00,5.00,4.50,5.00,3.00,3.00,225,502,NULL,'CENTRO','BIGUACU','SC',14325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820145,3.00,9.00,3.00,7.00,7.00,5.75,6.00,6.00,2.00,332,339,NULL,'ITACORUBI','FLORIANOPOLIS','SC',7191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820153,4.00,4.00,3.00,2.00,8.00,5.50,4.00,6.00,2.00,302,426,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',14446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820161,1.00,1.00,4.00,3.00,5.00,NULL,4.00,1.00,2.00,317,308,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820170,3.00,5.00,1.00,3.00,5.00,5.50,5.00,6.00,1.00,102,217,NULL,'BARRA SAMBAQUI','FLORIANOPOLIS','SC',18122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820188,1.00,3.00,1.00,7.00,4.00,NULL,2.00,4.00,0.00,428,324,425,'LAGOA DA CONCEICAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820196,1.00,4.00,3.00,4.00,7.00,5.00,3.00,4.00,1.00,215,333,233,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',19455,377,974,430,NULL,NULL,NULL,2,1),(15,2820218,2.00,7.00,4.00,5.00,5.00,4.25,3.00,4.00,2.00,318,427,NULL,'ESTREITO','FLORIANOPOLIS','SC',17089,214,193,NULL,NULL,NULL,NULL,2,1),(15,2820226,7.00,7.00,3.00,7.00,4.00,5.00,5.00,6.00,4.00,329,225,NULL,'KOBRASOL','SAO JOSE','SC',8438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820234,4.00,6.00,7.00,5.00,5.00,4.50,5.00,4.00,4.00,332,327,NULL,'TAPERA','FLORIANOPOLIS','SC',11904,47,307,NULL,NULL,NULL,NULL,2,1),(15,2820242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,317,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2820250,1.00,2.00,1.00,2.00,1.00,NULL,4.00,3.00,2.00,502,108,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,339,NULL,'CAEIRA SACO DOS LIMO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2820277,2.00,5.00,1.00,4.00,1.00,NULL,3.00,5.00,2.00,317,302,NULL,'FAZENDA STO ANTÔNIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,9,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2820293,1.00,7.00,3.00,5.00,6.00,7.00,4.00,8.00,3.00,202,203,NULL,'JARDIM CARANDAI','BIGUACU','SC',11613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820307,3.00,6.00,1.00,5.00,4.00,0.00,3.00,2.00,2.00,308,NULL,NULL,'SANTINHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,420,NULL,'RIO CAVEIRAS','BIGUACU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2820323,4.00,2.00,3.00,4.00,5.00,4.00,4.00,5.00,2.00,208,NULL,NULL,'JARDIM JANAINA','BIGUACU','SC',19881,791,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820331,3.00,5.00,3.00,3.00,6.00,6.00,2.00,4.00,1.00,444,102,NULL,'SÃO MIGUEL','BIGUACU','SC',19486,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,329,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2820358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,310,NULL,'SAO MIGUEL','BIGUACU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2820366,2.00,4.00,1.00,4.00,2.00,NULL,1.00,2.00,1.00,502,102,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820374,3.00,7.00,4.00,2.00,6.00,5.50,4.00,4.00,3.00,333,501,NULL,'PICADAS DO SUL','SAO JOSE','SC',14966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820382,2.00,6.00,3.00,3.00,4.00,3.50,3.00,4.00,2.00,316,317,NULL,'PRAINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820390,6.00,6.00,6.00,7.00,6.00,6.25,7.00,8.00,5.00,108,328,NULL,'CENTRO','CURITIBA','PR',3438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820404,5.00,8.00,1.00,5.00,8.00,5.25,7.00,7.00,3.00,333,304,NULL,'PONTE DO IMARUIM','PALHOCA','SC',6635,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820412,2.00,3.00,5.00,6.00,5.00,6.50,4.00,2.00,1.00,5,234,NULL,'CAMPINAS','SAO JOSE','SC',18859,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820439,1.00,6.00,3.00,4.00,7.00,4.50,5.00,7.00,1.00,5,316,NULL,'PALMAS','GOVERNADOR CELSO RAMOS','SC',15533,661,1068,NULL,NULL,NULL,NULL,2,1),(15,2820447,3.00,7.00,2.00,5.00,6.00,4.25,1.00,3.00,0.00,9,215,NULL,'COSTA DA LAGOA','FLORIANOPOLIS','SC',20853,310,627,NULL,NULL,NULL,NULL,2,1),(15,2820455,2.00,3.00,1.00,5.00,5.00,NULL,0.00,1.00,2.00,308,339,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820463,5.00,6.00,3.00,8.00,5.00,5.75,4.00,6.00,1.00,238,317,208,'JARDIM ZANELLATO','SAO JOSE','SC',12471,444,534,457,NULL,NULL,NULL,4,1),(15,2820471,2.00,6.00,1.00,6.00,6.00,4.50,4.00,3.00,1.00,316,202,NULL,'COSTA DA LAGOA','FLORIANOPOLIS','SC',19001,565,943,NULL,NULL,NULL,NULL,2,1),(15,2820480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,215,NULL,'COSTA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2820498,3.00,6.00,4.00,2.00,8.00,4.50,6.00,5.00,4.00,211,215,212,'COQUEIROS','FLORIANOPOLIS','SC',12527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820501,3.00,7.00,3.00,5.00,7.00,6.00,6.00,5.00,3.00,404,451,NULL,'CENTRO','PALHOCA','SC',10064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820510,4.00,8.00,4.00,5.00,7.00,7.00,4.00,6.00,4.00,101,308,NULL,'CAMPECHE','FLORIANOPOLIS','SC',6555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820528,3.00,5.00,3.00,4.00,4.00,4.75,4.00,6.00,5.00,103,9,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',15277,2655,598,NULL,NULL,NULL,NULL,2,1),(15,2820536,3.00,8.00,3.00,5.00,8.00,6.25,6.00,7.00,3.00,238,217,216,'CENTRO','PALHOCA','SC',7698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820544,2.00,3.00,3.00,1.00,4.00,3.50,4.00,3.00,1.00,339,319,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',22299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820552,2.00,8.00,4.00,6.00,5.00,4.50,5.00,6.00,5.00,327,332,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',11012,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820560,2.00,7.00,2.00,4.00,4.00,5.50,2.00,4.00,4.00,101,102,NULL,'CENTRO','FLORIANOPOLIS','SC',18843,239,1050,NULL,NULL,NULL,NULL,2,1),(15,2820579,3.00,3.00,0.00,4.00,5.00,4.75,3.00,7.00,4.00,327,339,NULL,'CAMPECHE','FLORIANOPOLIS','SC',18667,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820587,4.00,6.00,1.00,2.00,6.00,3.75,2.00,3.00,4.00,318,317,NULL,'TAPERA','FLORIANOPOLIS','SC',20290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,451,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2820609,3.00,5.00,2.00,4.00,3.00,NULL,1.00,2.00,0.00,426,332,429,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820617,4.00,7.00,4.00,7.00,8.00,5.50,3.00,3.00,2.00,222,223,NULL,'TRINDADE','FLORIANOPOLIS','SC',12373,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820625,4.00,7.00,4.00,7.00,8.00,6.50,3.00,6.00,2.00,319,310,NULL,'VILA NOVA','PALHOCA','SC',9189,154,115,NULL,NULL,NULL,NULL,2,1),(15,2820633,2.00,6.00,1.00,1.00,5.00,4.75,1.00,4.00,4.00,201,316,211,'CENTRO','TIJUCAS','SC',20646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820641,3.00,4.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,203,234,220,'ARMACAO DO P DO SUL','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2820650,0.00,5.00,4.00,1.00,7.00,NULL,1.00,2.00,2.00,318,211,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820668,3.00,2.00,0.00,5.00,3.00,3.75,5.00,4.00,3.00,316,NULL,NULL,'TAPERA','FLORIANOPOLIS','SC',21076,640,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820676,4.00,5.00,4.00,1.00,6.00,5.25,4.00,4.00,0.00,238,318,208,'FORQUILHINHAS','SAO JOSE','SC',19067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820684,2.00,3.00,2.00,1.00,1.00,NULL,2.00,0.00,0.00,211,320,213,'OLIVEIRA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820692,1.00,4.00,1.00,4.00,4.00,5.00,4.00,4.00,2.00,316,317,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820706,1.00,2.00,1.00,5.00,3.00,NULL,2.00,1.00,2.00,317,316,NULL,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820714,1.00,4.00,1.00,0.00,6.00,NULL,2.00,3.00,2.00,327,329,NULL,'PORTO DO ITINGA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820722,3.00,8.00,3.00,3.00,5.00,5.00,3.00,6.00,2.00,317,308,NULL,'ESTREITO','FLORIANOPOLIS','SC',15653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820730,4.00,5.00,2.00,3.00,7.00,5.00,4.00,7.00,3.00,339,423,NULL,'CENTRO','FLORIANOPOLIS','SC',14755,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820749,1.00,6.00,3.00,2.00,4.00,5.25,2.00,2.00,3.00,5,316,NULL,'CENTRO','FLORIANOPOLIS','SC',22048,901,1272,NULL,NULL,NULL,NULL,2,1),(15,2820757,1.00,0.00,1.00,0.00,4.00,NULL,5.00,5.00,2.00,451,101,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820765,3.00,4.00,1.00,4.00,5.00,4.75,3.00,3.00,3.00,339,320,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820773,2.00,4.00,4.00,3.00,6.00,4.00,3.00,3.00,1.00,404,444,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',20415,209,578,NULL,NULL,NULL,NULL,4,1),(15,2820781,1.00,7.00,2.00,1.00,5.00,5.50,2.00,4.00,4.00,331,415,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',20192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820790,3.00,6.00,4.00,6.00,5.00,5.50,1.00,7.00,3.00,225,NULL,NULL,'MADRI','PALHOCA','SC',13907,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820803,1.00,5.00,4.00,6.00,3.00,3.75,5.00,4.00,2.00,238,5,208,'PINHEIRA','PALHOCA','SC',18459,681,1294,715,NULL,NULL,NULL,2,1),(15,2820811,3.00,6.00,2.00,3.00,3.00,6.25,5.00,4.00,1.00,308,316,NULL,'NOSSA SRA DO ROSÁRIO','SAO JOSE','SC',17935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820820,3.00,5.00,3.00,4.00,6.00,4.25,3.00,2.00,2.00,317,332,NULL,'INGLESES','FLORIANOPOLIS','SC',19398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820838,2.00,5.00,3.00,4.00,4.00,4.50,3.00,1.00,2.00,429,425,428,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',21037,173,428,94,NULL,NULL,NULL,2,1),(15,2820846,2.00,2.00,1.00,4.00,3.00,3.25,5.00,1.00,3.00,102,101,NULL,'COQUEIROS','FLORIANOPOLIS','SC',22519,531,796,NULL,NULL,NULL,NULL,2,1),(15,2820854,1.00,4.00,2.00,0.00,1.00,NULL,1.00,2.00,0.00,203,444,213,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820862,3.00,5.00,2.00,5.00,6.00,4.25,3.00,5.00,2.00,324,320,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',17886,66,218,NULL,NULL,NULL,NULL,2,1),(15,2820870,3.00,3.00,1.00,7.00,5.00,5.50,3.00,4.00,2.00,451,308,NULL,'GUARDA DO CUBATÃO','PALHOCA','SC',18175,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820889,1.00,4.00,1.00,5.00,2.00,NULL,1.00,2.00,0.00,316,301,NULL,'LAGOA DA CONCEIÇAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820897,4.00,5.00,2.00,5.00,4.00,5.75,3.00,3.00,2.00,304,208,NULL,'GUARDA DO CUBATÃO','PALHOCA','SC',19682,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820900,0.00,8.00,1.00,1.00,6.00,NULL,3.00,6.00,3.00,208,220,238,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,324,NULL,'INTERIOR','SAO BERNARDINO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2820927,2.00,4.00,2.00,1.00,4.00,NULL,3.00,2.00,2.00,332,324,NULL,'BELA VISTA I','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2820935,2.00,3.00,0.00,5.00,3.00,3.50,5.00,2.00,5.00,319,309,NULL,'FAZENDA STO ANTÔNIO','SAO JOSE','SC',21871,504,251,NULL,NULL,NULL,NULL,2,1),(15,2820943,4.00,6.00,3.00,6.00,6.00,5.50,2.00,6.00,2.00,339,309,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',13552,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2820960,8.00,8.00,7.00,6.00,7.00,6.00,8.00,9.00,5.00,103,101,NULL,'ESPLANADA','CHAPECO','SC',2241,860,375,NULL,NULL,NULL,NULL,2,4),(15,2820978,5.00,5.00,1.00,0.00,4.00,NULL,0.00,0.00,0.00,502,333,NULL,'ARMACAO DO P DO SUL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2820986,4.00,6.00,4.00,5.00,8.00,5.75,3.00,5.00,2.00,429,329,424,'PANTANAL','FLORIANOPOLIS','SC',12869,51,NULL,30,NULL,NULL,NULL,2,1),(15,2820994,2.00,7.00,2.00,6.00,6.00,4.50,4.00,5.00,4.00,420,207,NULL,'INGLESES','FLORIANOPOLIS','SC',13788,270,1191,NULL,NULL,NULL,NULL,4,1),(15,2821001,2.00,4.00,3.00,1.00,3.00,6.00,2.00,3.00,3.00,225,224,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',21955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2821028,1.00,3.00,1.00,6.00,7.00,5.50,2.00,2.00,2.00,101,104,NULL,'ESPLANADA','CHAPECO','SC',21176,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2821036,2.00,6.00,3.00,3.00,4.00,5.50,5.00,6.00,4.00,104,333,NULL,'COQUEIROS','FLORIANOPOLIS','SC',14630,479,819,NULL,NULL,NULL,NULL,4,1),(15,2821044,7.00,5.00,5.00,3.00,5.00,3.50,4.00,6.00,4.00,102,444,NULL,'CENTRO','FLORIANOPOLIS','SC',13635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2821052,2.00,4.00,4.00,5.00,5.00,5.50,3.00,4.00,4.00,308,425,NULL,'CARIANOS','FLORIANOPOLIS','SC',17106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2821087,2.00,3.00,2.00,5.00,3.00,4.25,3.00,4.00,4.00,211,501,201,'TRINDADE','FLORIANOPOLIS','SC',21413,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2821095,2.00,7.00,0.00,3.00,7.00,4.75,5.00,3.00,1.00,329,451,NULL,'PICADAS DO NORTE','SAO JOSE','SC',19038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2821109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,223,423,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2821117,4.00,8.00,4.00,6.00,7.00,6.50,3.00,6.00,2.00,317,324,NULL,'CAMPINAS','SAO JOSE','SC',10242,115,168,NULL,NULL,NULL,NULL,2,1),(15,2821125,4.00,5.00,6.00,6.00,3.00,4.50,4.00,6.00,5.00,444,103,NULL,'SANTO ANTONIO','CHAPECO','SC',12005,89,3192,NULL,NULL,NULL,NULL,4,1),(15,2821133,5.00,6.00,6.00,6.00,7.00,4.50,3.00,2.00,4.00,316,308,NULL,'SERTÃO DO MARUIM','SAO JOSE','SC',11152,281,270,NULL,NULL,NULL,NULL,2,1),(15,2821141,3.00,3.00,2.00,0.00,3.00,NULL,3.00,1.00,0.00,208,202,238,'JARDIM ALANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2821150,4.00,5.00,3.00,5.00,5.00,3.50,2.00,3.00,3.00,424,421,427,'INGLESES','FLORIANOPOLIS','SC',18568,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2821168,4.00,3.00,2.00,4.00,4.00,4.25,2.00,4.00,4.00,103,102,NULL,'EFAPI','CHAPECO','SC',19725,2969,1082,NULL,NULL,NULL,NULL,2,4),(15,2821176,2.00,4.00,1.00,1.00,7.00,5.25,2.00,3.00,3.00,202,213,201,'CARVOEIRA','FLORIANOPOLIS','SC',21139,693,497,1096,NULL,NULL,NULL,2,1),(15,2821184,4.00,5.00,3.00,7.00,7.00,4.00,4.00,3.00,4.00,238,NULL,208,'INGLESES','FLORIANOPOLIS','SC',14233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2821192,3.00,5.00,5.00,2.00,5.00,5.00,4.00,4.00,2.00,201,207,212,'SAGRADO CORAÇÃO','SAO MIGUEL DOESTE','SC',16967,901,1245,348,NULL,NULL,NULL,4,4),(15,2821206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,502,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2821214,4.00,6.00,3.00,4.00,5.00,5.50,5.00,8.00,2.00,501,NULL,NULL,'CENTRO','PENHA','SC',12743,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2821222,2.00,6.00,3.00,6.00,5.00,5.75,5.00,2.00,4.00,429,451,425,'CENTRO','CHAPECO','SC',14195,70,211,91,NULL,NULL,NULL,2,4),(15,2821230,0.00,5.00,5.00,3.00,3.00,4.00,2.00,3.00,3.00,103,104,NULL,'NAÇÕES','BALNEARIO CAMBORIU','SC',21687,3085,NULL,NULL,NULL,NULL,NULL,4,3),(15,2821249,4.00,7.00,1.00,2.00,3.00,5.50,1.00,7.00,3.00,5,404,NULL,'AREIAS DO CAMPECHE','FLORIANOPOLIS','SC',18746,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2821257,5.00,8.00,6.00,7.00,7.00,6.00,5.00,7.00,6.00,220,238,203,'TABULEIRO','CAMBORIU','SC',4240,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2821265,5.00,8.00,7.00,4.00,8.00,6.25,9.00,6.00,6.00,103,101,NULL,'CENTRO','CHAPECO','SC',3165,1081,396,NULL,NULL,NULL,NULL,4,4),(15,2821273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,9,NULL,'NAÇOES','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2821281,1.00,4.00,2.00,0.00,2.00,NULL,3.00,2.00,3.00,308,319,NULL,'COLONINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2821290,2.00,4.00,4.00,4.00,4.00,6.25,4.00,4.00,1.00,301,502,NULL,'SAIC','CHAPECO','SC',18404,312,303,NULL,NULL,NULL,NULL,2,4),(15,2821303,0.00,4.00,1.00,7.00,4.00,NULL,2.00,3.00,2.00,103,5,NULL,'NAÇOES','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2821311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,327,NULL,'FAZENDA SANTO ANTONI','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2821320,2.00,3.00,1.00,1.00,3.00,NULL,3.00,1.00,2.00,208,NULL,207,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2821338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,308,NULL,'DE FATIMA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2821346,0.00,4.00,1.00,4.00,2.00,NULL,3.00,3.00,0.00,404,332,NULL,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2821354,3.00,6.00,3.00,5.00,6.00,5.25,3.00,2.00,4.00,215,319,NULL,'ARI LUNARDI','XAXIM','SC',16531,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2821362,4.00,8.00,6.00,6.00,6.00,5.00,6.00,7.00,5.00,201,104,211,'MORRETES','ITAPEMA','SC',5721,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2821370,2.00,2.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,225,308,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2821389,1.00,3.00,1.00,4.00,5.00,5.25,0.00,4.00,4.00,332,426,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',21587,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2821397,1.00,6.00,4.00,6.00,7.00,6.50,3.00,3.00,2.00,317,302,NULL,'SANTA MARIA','CHAPECO','SC',15684,251,279,NULL,NULL,NULL,NULL,2,4),(15,2821400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,327,NULL,'PINHEIRA','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2821419,3.00,7.00,3.00,8.00,7.00,4.25,2.00,4.00,5.00,103,101,NULL,'MEIA PRAIA','ITAPEMA','SC',13206,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(15,2821427,1.00,4.00,3.00,2.00,4.00,NULL,0.00,3.00,3.00,319,404,NULL,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2821435,1.00,8.00,2.00,3.00,4.00,6.25,2.00,4.00,2.00,426,327,428,'AREIAS','SAO JOSE','SC',19629,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2821443,5.00,7.00,5.00,3.00,6.00,5.00,5.00,6.00,2.00,501,NULL,NULL,'TRINTA REIS','NOVA TRENTO','SC',12349,120,NULL,NULL,NULL,NULL,NULL,2,3),(15,2821451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,502,NULL,'INTERIOR','SERRA ALTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2821460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,428,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2821478,2.00,8.00,3.00,7.00,7.00,5.50,4.00,8.00,2.00,331,427,NULL,'MEIA PRAIA','ITAPEMA','SC',9210,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2821486,2.00,6.00,1.00,2.00,6.00,5.75,4.00,4.00,1.00,426,308,425,'ARIRIÚ','PALHOCA','SC',19361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2821494,1.00,4.00,2.00,1.00,3.00,5.75,3.00,5.00,2.00,404,308,NULL,'AREIAS','SAO JOSE','SC',21558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2821516,3.00,2.00,1.00,3.00,3.00,NULL,1.00,4.00,3.00,404,327,NULL,'RIO CAVEIRAS','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2821524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,324,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(15,2821532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,319,424,'JARDIM CARANDAÍ','BIGUACU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2821540,4.00,5.00,3.00,2.00,7.00,NULL,6.00,7.00,0.00,238,NULL,208,'CENTRO','CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(15,2821559,4.00,3.00,5.00,4.00,6.00,5.00,3.00,4.00,1.00,420,502,NULL,'SAIC','CHAPECO','SC',18925,378,314,NULL,NULL,NULL,NULL,4,4),(15,2821567,2.00,7.00,1.00,5.00,4.00,6.50,3.00,8.00,1.00,207,326,NULL,'CENTRO','CAMBORIU','SC',16413,800,298,NULL,NULL,NULL,NULL,2,3),(15,2821575,2.00,5.00,1.00,4.00,4.00,4.50,4.00,4.00,1.00,404,444,NULL,'VILA NOVA','BLUMENAU','SC',20890,229,589,NULL,NULL,NULL,NULL,2,2),(15,2821583,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,319,308,NULL,'PRESIDENTE MÉDICI','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(15,2821591,4.00,6.00,4.00,3.00,6.00,6.50,5.00,4.00,3.00,220,NULL,208,'FORTALEZA','BLUMENAU','SC',12330,454,NULL,451,NULL,NULL,NULL,4,2),(15,2821605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VORSTARDT','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2821613,3.00,6.00,3.00,3.00,7.00,6.00,3.00,1.00,4.00,208,222,238,'CENTRO','POMERODE','SC',17023,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2821621,4.00,8.00,5.00,2.00,5.00,4.75,5.00,6.00,2.00,201,316,220,'SANTA TEREZINHA','GASPAR','SC',14188,764,1024,484,NULL,NULL,NULL,1,2),(15,2821630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,319,NULL,'SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(15,2821648,5.00,7.00,5.00,5.00,7.00,5.50,6.00,5.00,3.00,103,102,NULL,'CENTRO','JARAGUA DO SUL','SC',7769,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2821656,3.00,6.00,2.00,7.00,7.00,5.25,3.00,5.00,2.00,319,309,NULL,'CENTRO','RIQUEZA','SC',12988,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2821664,0.00,5.00,0.00,2.00,4.00,3.75,2.00,6.00,3.00,420,444,NULL,'CENTRO','JARAGUA DO SUL','SC',22162,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2821672,2.00,5.00,2.00,7.00,7.00,7.50,2.00,5.00,2.00,451,319,NULL,'RIBEIRÃO DAS PEDRAS','INDAIAL','SC',15004,40,810,NULL,NULL,NULL,NULL,4,2),(15,2821680,1.00,5.00,3.00,0.00,2.00,NULL,3.00,4.00,2.00,217,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(15,2821699,4.00,6.00,6.00,4.00,9.00,5.50,3.00,5.00,4.00,444,404,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',10486,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2821702,3.00,8.00,3.00,7.00,8.00,5.50,3.00,2.00,2.00,216,303,NULL,'INTERIOR','SAO CARLOS','SC',11448,373,1159,NULL,NULL,NULL,NULL,4,4),(15,2821710,1.00,6.00,2.00,1.00,5.00,7.00,4.00,4.00,3.00,415,317,NULL,'BOA VISTA','JOINVILLE','SC',17948,452,614,NULL,NULL,NULL,NULL,4,8),(15,2821729,2.00,5.00,4.00,4.00,3.00,2.00,4.00,4.00,2.00,103,104,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2821737,5.00,8.00,5.00,5.00,7.00,5.00,5.00,4.00,3.00,103,451,NULL,'BUCAREM','JOINVILLE','SC',9733,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2821745,5.00,7.00,3.00,2.00,8.00,4.75,3.00,6.00,1.00,103,104,NULL,'JARIVATUBA','JOINVILLE','SC',15875,2710,1163,NULL,NULL,NULL,NULL,4,8),(15,2821753,1.00,5.00,5.00,6.00,6.00,5.50,3.00,5.00,3.00,304,310,NULL,'UNIVERSITÁRIO','CHAPECO','SC',14635,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2821761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,101,NULL,'SCHEID','SAO BERNARDINO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2821770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,316,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2821788,2.00,4.00,2.00,6.00,4.00,4.75,1.00,2.00,1.00,104,101,NULL,'SCHEID','SAO BERNARDINO','SC',22301,731,789,NULL,NULL,NULL,NULL,2,4),(15,2821796,5.00,7.00,6.00,4.00,7.00,5.25,4.00,4.00,4.00,217,211,NULL,'SAGUAÇU','JOINVILLE','SC',9033,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2821800,1.00,5.00,0.00,4.00,3.00,NULL,3.00,3.00,3.00,225,2,NULL,'SÃO JUDAS','ITAJAI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(15,2821818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,215,NULL,'SEDE CHARUTO','SAO BERNARDINO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2821826,6.00,6.00,4.00,5.00,4.00,6.25,6.00,5.00,2.00,316,318,NULL,'CENTRO','JUIZ DE FORA','MG',11228,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2821834,1.00,7.00,0.00,2.00,7.00,4.00,3.00,6.00,2.00,224,2,NULL,'SÃO JUDAS','ITAJAI','SC',19235,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2821842,1.00,3.00,1.00,4.00,1.00,NULL,3.00,2.00,2.00,9,103,NULL,'CENTRO','BOM JESUS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2821869,3.00,4.00,3.00,3.00,2.00,NULL,5.00,2.00,4.00,208,308,238,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2821877,3.00,6.00,2.00,1.00,5.00,3.50,1.00,3.00,1.00,420,208,NULL,'FIGUEIRA','LAGUNA','SC',22296,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2821885,2.00,2.00,2.00,3.00,4.00,NULL,2.00,4.00,1.00,303,301,NULL,'JARDIM IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2821907,3.00,7.00,3.00,5.00,5.00,5.25,2.00,2.00,2.00,225,2,NULL,'MAGALHAES','LAGUNA','SC',17645,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2821915,1.00,4.00,0.00,3.00,4.00,NULL,4.00,0.00,1.00,222,502,NULL,'EFAPI','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2821923,1.00,3.00,3.00,4.00,5.00,5.00,2.00,5.00,3.00,103,424,NULL,'MAR GROSSO','LAGUNA','SC',20436,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2821931,1.00,7.00,3.00,4.00,5.00,3.25,3.00,5.00,0.00,333,103,NULL,'NOSSA SENH APARECIDA','POUSO ALEGRE','MG',19513,356,3260,NULL,NULL,NULL,NULL,4,6),(15,2821940,3.00,4.00,3.00,1.00,5.00,4.75,4.00,4.00,2.00,217,102,NULL,'VILA VITÓRIA','LAGUNA','SC',19217,182,1065,NULL,NULL,NULL,NULL,2,10),(15,2821958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,415,NULL,'SÃO VICENTE','ITAJAI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(15,2821966,3.00,5.00,1.00,7.00,7.00,6.50,4.00,6.00,4.00,318,102,NULL,'CENTRO','ARROIO TRINTA','SC',9927,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(15,2821974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,9,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2821982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,339,NULL,'JARDIM ALVORADA','SAO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2821990,3.00,7.00,2.00,1.00,7.00,6.00,3.00,6.00,2.00,318,102,NULL,'CENTRO','ARROIO TRINTA','SC',16315,203,980,NULL,NULL,NULL,NULL,5,3),(15,2822008,6.00,8.00,8.00,7.00,8.00,6.25,8.00,8.00,7.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',1068,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2822016,3.00,5.00,3.00,5.00,5.00,4.75,3.00,5.00,3.00,339,444,NULL,'MORRO DO MIRIM','IMBITUBA','SC',17167,62,508,NULL,NULL,NULL,NULL,2,1),(15,2822024,1.00,7.00,2.00,6.00,3.00,5.00,5.00,4.00,4.00,333,427,NULL,'SAO JOAO','ITAJAI','SC',16487,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(15,2822032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,9,201,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2822059,3.00,5.00,1.00,5.00,5.00,5.25,3.00,3.00,3.00,303,319,NULL,'MAGALHÃES','LAGUNA','SC',18246,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2822067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,425,NULL,'SÃO DOMINGOS','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(15,2822075,4.00,3.00,3.00,2.00,4.00,4.50,2.00,3.00,0.00,501,404,NULL,'INTERIOR','PALMITOS','SC',22097,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2822083,2.00,5.00,3.00,2.00,7.00,5.00,4.00,7.00,3.00,201,501,211,'VILA NOVA','JOINVILLE','SC',15607,832,477,553,NULL,NULL,NULL,4,8),(15,2822091,3.00,8.00,2.00,6.00,7.00,5.00,2.00,4.00,1.00,9,318,NULL,'MAGALHÃES','LAGUNA','SC',15514,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2822105,0.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,319,5,NULL,'ADEMAR GARCIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(15,2822113,4.00,7.00,5.00,6.00,6.00,5.00,3.00,5.00,3.00,223,202,NULL,'MAGALHÃES','LAGUNA','SC',12064,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2822121,1.00,7.00,5.00,2.00,4.00,6.50,2.00,3.00,1.00,208,NULL,238,'JARDIM ITÁLIA','CHAPECO','SC',19855,788,NULL,738,NULL,NULL,NULL,2,4),(15,2822130,1.00,4.00,3.00,0.00,0.00,NULL,0.00,2.00,2.00,203,316,214,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2822156,3.00,5.00,4.00,0.00,5.00,NULL,2.00,6.00,4.00,207,108,211,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2822164,4.00,7.00,4.00,5.00,7.00,6.00,5.00,5.00,3.00,103,102,NULL,'MAR GROSSO','LAGUNA','SC',9918,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2822172,4.00,5.00,5.00,6.00,7.00,4.75,5.00,4.00,3.00,201,207,NULL,'CENTRO','XANXERE','SC',11419,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2822180,3.00,7.00,0.00,1.00,7.00,6.25,3.00,5.00,1.00,415,9,NULL,'BOM JESUS','ITAIOPOLIS','SC',18844,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2822199,2.00,5.00,1.00,2.00,2.00,NULL,4.00,3.00,1.00,450,420,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2822202,0.00,1.00,0.00,1.00,1.00,NULL,2.00,3.00,0.00,502,501,NULL,'PINHEIRAL','BRACO DO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2822229,2.00,6.00,2.00,1.00,5.00,5.50,4.00,5.00,3.00,415,NULL,NULL,'JOÃO COSTA','JOINVILLE','SC',18332,460,NULL,NULL,NULL,NULL,NULL,4,8),(15,2822237,2.00,6.00,3.00,2.00,5.00,5.25,1.00,5.00,3.00,224,225,NULL,'PASSAGEM DA BARRA','LAGUNA','SC',18959,64,187,NULL,NULL,NULL,NULL,2,10),(15,2822245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,9,NULL,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2822253,4.00,7.00,5.00,5.00,8.00,4.50,5.00,5.00,4.00,102,207,NULL,'MAGALHÃES','LAGUNA','SC',10280,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2822261,3.00,7.00,4.00,6.00,8.00,6.75,4.00,8.00,4.00,207,420,NULL,'ESTRELA','SAO MIGUEL DOESTE','SC',7871,373,577,NULL,NULL,NULL,NULL,2,4),(15,2822270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,102,NULL,'JOAO COSTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2822288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,217,NULL,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2822296,1.00,4.00,2.00,0.00,6.00,NULL,2.00,4.00,2.00,317,318,NULL,'RIO OTILIA','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2822300,3.00,6.00,1.00,4.00,5.00,5.50,4.00,5.00,3.00,211,502,216,'SANTA CATARINA','JOINVILLE','SC',15880,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2822318,2.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,3.00,404,451,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2822326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,502,NULL,'PINHERAL','BRACO DO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2822334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,333,NULL,'SANTA CATARINA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2822342,3.00,7.00,1.00,3.00,7.00,7.00,3.00,5.00,3.00,103,9,NULL,'UBATUBA','SAO FRANCISCO DO SUL','SC',16244,2738,621,NULL,NULL,NULL,NULL,4,8),(15,2822350,2.00,7.00,5.00,1.00,5.00,5.25,3.00,4.00,4.00,319,404,NULL,'MAGAHÃES','LAGUNA','SC',17045,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2822407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,425,NULL,'ESTRELA','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2822415,4.00,3.00,2.00,3.00,6.00,5.00,3.00,4.00,3.00,404,444,NULL,'CENTRO','LAGUNA','SC',19729,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2822423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,308,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2822431,1.00,5.00,0.00,2.00,3.00,NULL,2.00,3.00,0.00,319,9,NULL,'ESTRELA','SAO MIGUEL DOESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2822458,4.00,6.00,5.00,1.00,4.00,4.50,5.00,5.00,2.00,207,316,201,'COMASA','JOINVILLE','SC',17413,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(15,2822466,3.00,6.00,0.00,7.00,7.00,6.25,1.00,6.00,2.00,319,2,NULL,'JARDIM PEPERI','SAO MIGUEL DOESTE','SC',15433,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(15,2822490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,216,220,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2822504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,211,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2822520,0.00,7.00,2.00,5.00,8.00,8.50,2.00,6.00,2.00,415,327,NULL,'ESPERANÇA','LAGUNA','SC',13647,340,347,NULL,NULL,NULL,NULL,4,10),(15,2822547,2.00,6.00,3.00,1.00,6.00,6.75,3.00,6.00,3.00,211,207,NULL,'MAGALHÃES','LAGUNA','SC',16323,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2822555,5.00,7.00,2.00,4.00,4.00,4.50,4.00,6.00,3.00,501,332,NULL,'REVOREDO','TUBARAO','SC',15157,173,259,NULL,NULL,NULL,NULL,2,10),(15,2822563,2.00,7.00,1.00,1.00,6.00,6.00,4.00,4.00,3.00,103,101,NULL,'ESTRELA','SAO MIGUEL DOESTE','SC',17918,2856,693,NULL,NULL,NULL,NULL,4,4),(15,2822580,2.00,4.00,4.00,3.00,8.00,5.25,3.00,5.00,2.00,103,451,NULL,'MAGALHÃES','LAGUNA','SC',16917,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2822598,4.00,5.00,5.00,6.00,4.00,5.00,4.00,3.00,3.00,333,108,NULL,'PINHEIRAL','BRACO DO NORTE','SC',15872,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2822601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,217,208,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2822610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,327,NULL,'SÃO MARTINHO','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2822628,2.00,4.00,4.00,2.00,7.00,7.00,3.00,5.00,4.00,216,217,201,'CENTRO','SAO MIGUEL DOESTE','SC',15050,435,445,802,NULL,NULL,NULL,4,4),(15,2822636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,426,NULL,'SÃO MARTINHO','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2822644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,319,NULL,'MAGALHAES','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(15,2822660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,444,NULL,'OFICINAS','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2822679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,420,NULL,'MAGALHAES','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2822687,1.00,4.00,2.00,0.00,5.00,NULL,1.00,3.00,3.00,316,317,NULL,'SANTA BÁRBARA','SANTA ROSA DE LIMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2822695,1.00,4.00,3.00,1.00,5.00,6.75,2.00,5.00,2.00,451,420,NULL,'MAGALHÃES','LAGUNA','SC',20532,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2822709,3.00,4.00,1.00,3.00,3.00,3.00,1.00,3.00,2.00,501,202,NULL,'RIO DOS ÍNDIOS','SANTA ROSA DE LIMA','SC',22520,318,970,NULL,NULL,NULL,NULL,4,10),(15,2822717,1.00,4.00,3.00,3.00,3.00,6.50,1.00,3.00,4.00,215,207,201,'CENTRO','RONDA ALTA','RS',21332,414,1315,1105,NULL,NULL,NULL,4,4),(15,2822725,3.00,7.00,2.00,4.00,5.00,4.50,2.00,3.00,2.00,420,415,NULL,'MAGALHÃES','LAGUNA','SC',19364,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2822733,4.00,5.00,4.00,3.00,7.00,5.00,4.00,3.00,4.00,303,5,NULL,'CENTRO','TUBARAO','SC',14729,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(15,2822741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,451,208,'PONTA DA BARRA','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2822768,1.00,4.00,5.00,1.00,8.00,5.75,1.00,3.00,4.00,303,102,NULL,'SANTO ANDRÉ','CAPIVARI DE BAIXO','SC',19438,835,1068,NULL,NULL,NULL,NULL,4,10),(15,2822776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,420,NULL,'INTERIOR','SAO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2822784,2.00,4.00,1.00,1.00,4.00,NULL,2.00,1.00,2.00,319,333,NULL,'LARANJEIRAS','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2822792,1.00,4.00,2.00,3.00,3.00,NULL,1.00,3.00,2.00,333,320,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2822806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2822814,2.00,6.00,5.00,3.00,4.00,4.25,6.00,5.00,4.00,224,2,NULL,'CABEÇUDA','LAGUNA','SC',15586,44,220,NULL,NULL,NULL,NULL,2,10),(15,2822822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,318,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2822857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,327,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2822865,3.00,7.00,2.00,4.00,5.00,5.00,3.00,4.00,2.00,333,211,NULL,'PONTA DA BARRA','LAGUNA','SC',17486,291,975,NULL,NULL,NULL,NULL,4,10),(15,2822873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,102,NULL,'CABEÇUDAS','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(15,2822881,7.00,9.00,8.00,4.00,9.00,5.00,9.00,9.00,8.00,203,222,211,'SAO MIGUEL','GRAVATAL','SC',927,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(15,2822890,4.00,5.00,1.00,5.00,4.00,5.50,3.00,4.00,1.00,108,316,NULL,'FUNDOS','BIGUACU','SC',19193,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2822903,2.00,4.00,3.00,4.00,6.00,4.75,2.00,5.00,3.00,428,324,NULL,'FORQUILHINHAS','SAO JOSE','SC',18840,72,340,NULL,NULL,NULL,NULL,2,1),(15,2822911,4.00,7.00,3.00,6.00,6.00,4.25,3.00,6.00,3.00,5,429,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',12606,550,245,NULL,NULL,NULL,NULL,2,1),(15,2822920,2.00,6.00,0.00,4.00,7.00,4.25,3.00,2.00,3.00,217,211,NULL,'CANASVIEIRA','FLORIANOPOLIS','SC',20555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2822938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,327,NULL,'JOSÉ MENDES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2822946,0.00,3.00,3.00,4.00,7.00,5.00,4.00,2.00,3.00,101,308,NULL,'BARREIROS','SAO JOSE','SC',19770,261,420,NULL,NULL,NULL,NULL,2,1),(15,2822954,2.00,4.00,0.00,5.00,4.00,4.75,3.00,5.00,2.00,103,217,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',21114,3059,532,NULL,NULL,NULL,NULL,2,1),(15,2822962,3.00,4.00,2.00,3.00,4.00,4.50,4.00,5.00,0.00,332,502,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',20438,131,339,NULL,NULL,NULL,NULL,2,1),(15,2822970,1.00,2.00,3.00,4.00,2.00,NULL,2.00,1.00,2.00,339,428,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2822989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,103,NULL,'BELA VISTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(15,2822997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,308,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2823004,3.00,8.00,1.00,6.00,6.00,4.75,4.00,4.00,2.00,108,332,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',14925,331,255,NULL,NULL,NULL,NULL,2,1),(15,2823012,6.00,6.00,3.00,3.00,3.00,6.50,3.00,7.00,4.00,423,324,421,'CARIANOS','FLORIANOPOLIS','SC',13404,29,NULL,NULL,NULL,NULL,NULL,4,1),(15,2823020,1.00,6.00,2.00,5.00,2.00,NULL,1.00,3.00,3.00,5,425,NULL,'CANASVIEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823039,2.00,7.00,4.00,5.00,7.00,4.75,3.00,6.00,2.00,302,428,NULL,'CAMPECHE','FLORIANOPOLIS','SC',14005,111,209,NULL,NULL,NULL,NULL,2,1),(15,2823047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,214,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2823055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'FLORESTA','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2823063,1.00,6.00,0.00,5.00,3.00,NULL,3.00,2.00,2.00,502,339,NULL,'SANTA TEREZINHA','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2823071,3.00,6.00,0.00,4.00,4.00,4.25,4.00,6.00,3.00,5,426,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',18672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2823080,3.00,4.00,3.00,5.00,3.00,5.25,5.00,4.00,3.00,324,225,NULL,'ITACORUBI','FLORIANOPOLIS','SC',18389,70,178,NULL,NULL,NULL,NULL,2,1),(15,2823098,0.00,4.00,1.00,0.00,4.00,NULL,1.00,4.00,3.00,108,501,NULL,'BOM JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2823101,2.00,8.00,3.00,8.00,6.00,4.75,4.00,4.00,3.00,332,333,NULL,'INGLESES','FLORIANOPOLIS','SC',13068,57,766,NULL,NULL,NULL,NULL,2,1),(15,2823110,2.00,3.00,0.00,3.00,5.00,NULL,2.00,5.00,1.00,9,238,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2823128,1.00,4.00,2.00,0.00,4.00,NULL,1.00,1.00,2.00,308,324,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2823136,2.00,4.00,1.00,1.00,4.00,NULL,3.00,2.00,2.00,429,301,NULL,'PRAIA DE FORA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,424,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2823152,0.00,5.00,3.00,2.00,4.00,NULL,1.00,0.00,2.00,104,211,NULL,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2823160,3.00,4.00,3.00,5.00,2.00,NULL,3.00,2.00,1.00,444,404,NULL,'VILA NOVA','ARACARIGUAMA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,9,NULL,'MARIA LUIZA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2823187,3.00,4.00,1.00,5.00,4.00,6.00,2.00,5.00,0.00,104,102,NULL,'CORAL','LAGES','SC',21484,704,1125,NULL,NULL,NULL,NULL,2,9),(15,2823195,2.00,8.00,3.00,6.00,8.00,7.50,5.00,7.00,4.00,216,217,215,'BEATRIZ','LAGES','SC',7618,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2823217,2.00,3.00,3.00,7.00,5.00,5.25,5.00,4.00,2.00,5,327,NULL,'PRAIA JOÃO ROSA','BIGUACU','SC',16985,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,451,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2823233,4.00,4.00,1.00,5.00,5.00,5.25,2.00,2.00,3.00,328,326,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',19641,39,318,NULL,NULL,NULL,NULL,2,1),(15,2823241,5.00,7.00,1.00,3.00,6.00,6.50,3.00,7.00,3.00,324,427,NULL,'FLOR DE NAPOLIS','SAO JOSE','SC',13698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2823250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,427,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2823268,1.00,4.00,1.00,2.00,4.00,NULL,2.00,1.00,1.00,339,224,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823276,1.00,2.00,1.00,3.00,2.00,NULL,1.00,4.00,2.00,319,339,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823284,4.00,7.00,5.00,7.00,6.00,5.75,5.00,6.00,3.00,234,225,NULL,'ARMAÇÃO','FLORIANOPOLIS','SC',8226,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823292,4.00,6.00,5.00,5.00,8.00,5.75,5.00,5.00,3.00,108,424,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',11427,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823306,3.00,5.00,4.00,5.00,7.00,5.00,0.00,5.00,3.00,317,318,NULL,'SANTOS DUMONT','SAO JOSE','SC',16439,271,470,NULL,NULL,NULL,NULL,2,1),(15,2823314,3.00,6.00,3.00,3.00,7.00,4.25,5.00,3.00,1.00,308,324,NULL,'SERRARIA','SAO JOSE','SC',16898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823322,4.00,6.00,4.00,4.00,8.00,4.75,6.00,4.00,3.00,238,320,233,'ABRAÃO','FLORIANOPOLIS','SC',11140,379,155,284,NULL,NULL,NULL,2,1),(15,2823330,2.00,3.00,4.00,2.00,3.00,4.50,4.00,4.00,2.00,308,301,NULL,'FORQUILHAS','SAO JOSE','SC',21486,192,847,NULL,NULL,NULL,NULL,4,1),(15,2823349,2.00,4.00,3.00,2.00,4.00,3.75,2.00,6.00,1.00,328,319,NULL,'BOM ABRIGO','FLORIANOPOLIS','SC',22196,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823357,8.00,8.00,6.00,7.00,9.00,6.25,8.00,7.00,5.00,103,102,NULL,'CENTRO','FLORIANOPOLIS','SC',1190,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,326,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2823373,1.00,3.00,2.00,5.00,5.00,3.75,3.00,3.00,2.00,301,208,NULL,'CAMINHO NOVO','PALHOCA','SC',20884,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,502,NULL,'CANASVIEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2823390,1.00,4.00,1.00,5.00,8.00,5.75,1.00,4.00,2.00,101,339,NULL,'RATONES','FLORIANOPOLIS','SC',19432,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823403,1.00,4.00,4.00,3.00,5.00,3.75,3.00,5.00,1.00,203,213,202,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',20956,1172,495,685,NULL,NULL,NULL,2,1),(15,2823438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,333,NULL,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2823446,2.00,4.00,2.00,1.00,4.00,NULL,2.00,1.00,3.00,103,104,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2823454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,215,NULL,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2823462,1.00,3.00,0.00,1.00,5.00,NULL,3.00,5.00,3.00,217,215,NULL,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2823470,3.00,5.00,0.00,1.00,5.00,NULL,2.00,3.00,1.00,319,424,NULL,'STA CRUZ DA FIGUEIRA','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2823497,0.00,7.00,1.00,4.00,7.00,NULL,3.00,6.00,2.00,319,102,NULL,'SANTA CRUZ','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2823519,0.00,5.00,3.00,6.00,3.00,4.75,2.00,2.00,1.00,103,102,NULL,'SÃO SEBASTIAO','LAGES','SC',21903,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,102,NULL,'PETROPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(15,2823543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,101,238,'INTERIOR','PAINEL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2823551,3.00,5.00,0.00,3.00,5.00,5.00,2.00,3.00,3.00,404,423,NULL,'BAIRRO DE FATIMA','FLORIANOPOLIS','SC',20960,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823560,2.00,6.00,3.00,5.00,6.00,5.75,4.00,6.00,2.00,451,444,NULL,'VARZEA','LAGES','SC',15530,45,483,NULL,NULL,NULL,NULL,2,9),(15,2823578,3.00,5.00,4.00,0.00,5.00,NULL,2.00,3.00,3.00,420,324,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2823586,3.00,6.00,1.00,1.00,5.00,5.75,3.00,7.00,3.00,201,102,216,'COPACABANA','LAGES','SC',18251,969,1039,514,NULL,NULL,NULL,4,9),(15,2823594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,102,NULL,'IPIRANGA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(15,2823608,0.00,6.00,2.00,0.00,6.00,NULL,1.00,6.00,3.00,102,103,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2823624,4.00,5.00,1.00,5.00,8.00,5.50,3.00,4.00,2.00,429,426,425,'CENTRO','PALHOCA','SC',14805,82,193,103,NULL,NULL,NULL,4,1),(15,2823632,1.00,4.00,1.00,2.00,4.00,NULL,2.00,3.00,2.00,339,310,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823640,1.00,4.00,5.00,4.00,3.00,5.00,2.00,2.00,2.00,420,451,NULL,'AREIAS','SAO JOSE','SC',21638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823659,0.00,5.00,1.00,1.00,2.00,NULL,2.00,0.00,0.00,339,333,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823667,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,316,429,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(15,2823675,2.00,5.00,0.00,4.00,6.00,4.25,3.00,4.00,1.00,215,333,233,'ESQUINA','URUBICI','SC',21965,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2823683,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,501,108,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,9),(15,2823691,2.00,6.00,3.00,1.00,3.00,3.75,3.00,2.00,2.00,202,222,213,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',22129,720,234,348,NULL,NULL,NULL,2,1),(15,2823705,1.00,3.00,0.00,8.00,5.00,6.50,2.00,4.00,1.00,339,427,NULL,'CANASVEIRAS','FLORIANOPOLIS','SC',20514,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2823713,2.00,3.00,4.00,2.00,5.00,4.75,5.00,4.00,2.00,444,404,NULL,'KOBRASOL','SAO JOSE','SC',20653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823721,1.00,4.00,2.00,1.00,5.00,NULL,2.00,4.00,2.00,102,444,NULL,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(15,2823730,3.00,4.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,331,2,NULL,'SERRARIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(15,2823748,3.00,5.00,2.00,6.00,5.00,4.50,3.00,5.00,3.00,103,333,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',16456,2754,866,NULL,NULL,NULL,NULL,2,1),(15,2823756,3.00,8.00,4.00,4.00,7.00,6.00,6.00,8.00,3.00,426,324,428,'ITACORUBI','FLORIANOPOLIS','SC',8471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823764,2.00,6.00,1.00,6.00,6.00,3.50,5.00,5.00,3.00,320,426,NULL,'SERRARIA','SAO JOSE','SC',16301,68,205,NULL,NULL,NULL,NULL,4,1),(15,2823772,5.00,6.00,3.00,5.00,7.00,5.50,4.00,5.00,3.00,339,426,NULL,'CAMPECHE','FLORIANOPOLIS','SC',11830,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823780,2.00,3.00,1.00,1.00,5.00,NULL,1.00,3.00,2.00,9,102,NULL,'SERTÃO DO IMARUI','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2823799,3.00,6.00,3.00,5.00,3.00,5.00,3.00,6.00,2.00,238,301,NULL,'CENTRO','GAROPABA','SC',16970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2823802,2.00,7.00,3.00,5.00,6.00,5.00,6.00,7.00,3.00,327,423,NULL,'CARIANOS','FLORIANOPOLIS','SC',11262,48,155,NULL,NULL,NULL,NULL,2,1),(15,2823829,2.00,3.00,4.00,1.00,6.00,5.75,4.00,4.00,1.00,332,2,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',20418,129,252,NULL,NULL,NULL,NULL,4,1),(15,2823837,5.00,4.00,3.00,7.00,7.00,6.00,6.00,3.00,2.00,317,224,NULL,'ESTREITO','FLORIANOPOLIS','SC',11913,149,185,NULL,NULL,NULL,NULL,2,1),(15,2823845,0.00,4.00,1.00,3.00,4.00,NULL,4.00,3.00,0.00,101,308,NULL,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823853,2.00,3.00,1.00,5.00,3.00,5.75,2.00,5.00,2.00,224,324,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',20638,77,404,NULL,NULL,NULL,NULL,2,1),(15,2823861,2.00,3.00,1.00,2.00,4.00,4.00,6.00,3.00,3.00,423,339,428,'CAMPECHE','FLORIANOPOLIS','SC',21536,104,438,97,NULL,NULL,NULL,2,1),(15,2823870,3.00,7.00,1.00,3.00,4.00,4.75,3.00,4.00,0.00,215,502,233,'CENTRO','FLORIANOPOLIS','SC',20673,401,344,453,NULL,NULL,NULL,2,1),(15,2823888,1.00,8.00,2.00,3.00,4.00,5.50,3.00,5.00,2.00,5,333,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',18706,777,944,NULL,NULL,NULL,NULL,2,1),(15,2823896,3.00,5.00,1.00,1.00,5.00,NULL,1.00,1.00,3.00,9,502,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2823900,2.00,5.00,0.00,3.00,6.00,5.00,2.00,4.00,1.00,308,426,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',21872,210,253,NULL,NULL,NULL,NULL,2,1),(15,2823918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,333,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2823926,0.00,2.00,2.00,2.00,2.00,NULL,3.00,1.00,3.00,324,225,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823934,2.00,4.00,1.00,6.00,6.00,6.25,3.00,4.00,2.00,9,420,NULL,'INGLESES','FLORIANOPOLIS','SC',17983,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823942,3.00,6.00,2.00,2.00,4.00,4.75,3.00,6.00,1.00,319,451,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',20668,463,292,NULL,NULL,NULL,NULL,4,1),(15,2823950,1.00,1.00,1.00,0.00,4.00,NULL,4.00,2.00,2.00,316,339,NULL,'POTECAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823977,3.00,4.00,1.00,3.00,4.00,4.75,3.00,3.00,2.00,101,223,NULL,'AREIAS','SAO JOSE','SC',22261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823985,3.00,5.00,4.00,8.00,8.00,5.50,1.00,4.00,3.00,108,224,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',14410,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2823993,3.00,5.00,1.00,5.00,9.00,5.75,2.00,2.00,5.00,308,NULL,NULL,'ROÇADO','SAO JOSE','SC',16782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824000,5.00,6.00,3.00,7.00,3.00,5.75,5.00,5.00,3.00,425,424,429,'INGLESES','FLORIANOPOLIS','SC',11948,64,187,38,NULL,NULL,NULL,4,1),(15,2824019,1.00,2.00,1.00,5.00,2.00,NULL,3.00,4.00,2.00,324,502,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824027,2.00,4.00,3.00,5.00,4.00,5.75,3.00,3.00,4.00,429,427,NULL,'JARDIM JANAINA','BIGUACU','SC',19816,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824035,5.00,7.00,6.00,6.00,8.00,6.00,3.00,7.00,1.00,203,202,214,'AGRONÔMICA','FLORIANOPOLIS','SC',9316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2824043,4.00,7.00,2.00,6.00,5.00,4.50,3.00,4.00,2.00,207,203,201,'ENSEADA DE BRITO','PALHOCA','SC',16285,795,1406,864,NULL,NULL,NULL,2,1),(15,2824051,4.00,7.00,5.00,7.00,5.00,NULL,0.00,0.00,0.00,415,424,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(15,2824086,2.00,4.00,0.00,0.00,5.00,NULL,3.00,4.00,2.00,316,317,NULL,'SAO VICENTE','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2824094,2.00,7.00,2.00,4.00,4.00,4.75,3.00,1.00,2.00,207,444,201,'CENTRO','HERVAL D OESTE','SC',21248,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2824108,1.00,1.00,2.00,1.00,3.00,NULL,3.00,4.00,2.00,316,9,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2824116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'CENTRO','QUILOMBO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(15,2824124,3.00,5.00,0.00,5.00,4.00,5.25,2.00,4.00,2.00,502,501,NULL,'CENTRO','AGUA DOCE','SC',20394,95,563,NULL,NULL,NULL,NULL,2,7),(15,2824132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','AGUA DOCE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2824140,2.00,5.00,2.00,0.00,3.00,NULL,1.00,2.00,2.00,102,101,NULL,'INTERIOR','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2824159,1.00,3.00,1.00,4.00,3.00,4.75,4.00,3.00,2.00,102,319,NULL,'JARDIM JOSÉ RUPP','HERVAL D OESTE','SC',22357,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(15,2824167,2.00,3.00,1.00,0.00,4.00,NULL,1.00,3.00,4.00,215,415,211,'INTERIOR','ERVAL VELHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(15,2824175,3.00,3.00,1.00,1.00,3.00,NULL,4.00,3.00,2.00,328,326,NULL,'INTERIOR','CONCORDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(15,2824183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,420,202,'CENTRO','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2824191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,423,NULL,'INTERIOR','CONCORDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2824205,1.00,6.00,2.00,5.00,3.00,6.50,1.00,2.00,3.00,9,301,NULL,'CENTRO','HERVAL D OESTE','SC',21085,314,835,NULL,NULL,NULL,NULL,2,7),(15,2824213,3.00,4.00,2.00,1.00,7.00,6.00,2.00,5.00,3.00,5,303,NULL,'CENTRO','CONCORDIA','SC',17964,744,1280,NULL,NULL,NULL,NULL,4,7),(15,2824230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,5,NULL,'VILA ALEMANHA','LUZERNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(15,2824248,4.00,8.00,4.00,8.00,7.00,5.00,3.00,6.00,2.00,103,217,NULL,'PONTE DO IMARUIM','PALHOCA','SC',9571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824256,0.00,7.00,4.00,4.00,6.00,NULL,4.00,4.00,3.00,217,224,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(15,2824264,2.00,6.00,1.00,8.00,8.00,7.00,4.00,5.00,1.00,425,424,429,'TRINDADE','FLORIANOPOLIS','SC',13236,78,195,56,NULL,NULL,NULL,2,1),(15,2824272,1.00,5.00,6.00,1.00,5.00,5.50,7.00,3.00,3.00,203,2,202,'CAMPINAS','SAO JOSE','SC',15180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2824280,1.00,6.00,3.00,4.00,6.00,4.00,4.00,2.00,2.00,213,NULL,NULL,'SANTA MARIA','LAGES','SC',20018,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2824299,0.00,4.00,0.00,1.00,3.00,NULL,2.00,3.00,1.00,444,308,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,502,423,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2824329,4.00,4.00,6.00,5.00,6.00,6.25,5.00,5.00,4.00,207,223,201,'CENTRO','FLORIANOPOLIS','SC',10828,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824337,2.00,3.00,2.00,4.00,3.00,4.25,3.00,3.00,2.00,324,222,NULL,'CAMPECHE','FLORIANOPOLIS','SC',22316,116,237,NULL,NULL,NULL,NULL,2,1),(15,2824345,4.00,6.00,5.00,6.00,7.00,6.00,3.00,4.00,3.00,332,421,NULL,'CARIANOS','FLORIANOPOLIS','SC',10440,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824353,2.00,7.00,5.00,1.00,7.00,5.25,2.00,3.00,3.00,238,444,208,'CENTRO','FLORIANOPOLIS','SC',16249,603,493,632,NULL,NULL,NULL,4,1),(15,2824361,4.00,6.00,3.00,3.00,4.00,4.50,4.00,3.00,2.00,451,309,NULL,'BELA VISTA II','SAO JOSE','SC',19312,84,209,NULL,NULL,NULL,NULL,4,1),(15,2824370,2.00,5.00,0.00,2.00,3.00,3.00,3.00,3.00,2.00,444,233,NULL,'CENTRO','FLORIANOPOLIS','SC',22444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824388,1.00,3.00,0.00,4.00,6.00,NULL,2.00,2.00,1.00,426,327,428,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824396,2.00,4.00,2.00,3.00,5.00,3.75,4.00,3.00,2.00,317,318,NULL,'TRINDADE','FLORIANOPOLIS','SC',21952,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824400,3.00,6.00,5.00,0.00,5.00,NULL,3.00,4.00,3.00,207,420,201,'VARGEM DO BRAÇO','SANTO AMARO DA IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2824418,7.00,8.00,5.00,6.00,9.00,7.25,7.00,6.00,5.00,103,101,NULL,'COLONINHA','FLORIANOPOLIS','SC',2997,1036,391,NULL,NULL,NULL,NULL,2,1),(15,2824426,2.00,3.00,0.00,2.00,4.00,5.00,3.00,4.00,3.00,308,339,NULL,'SACO DOS LIMOES','FLORIANOPOLIS','SC',22199,221,460,NULL,NULL,NULL,NULL,2,1),(15,2824434,3.00,5.00,2.00,8.00,7.00,6.00,2.00,4.00,2.00,444,217,NULL,'CARIANOS','FLORIANOPOLIS','SC',15628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824442,1.00,7.00,2.00,3.00,5.00,6.00,4.00,5.00,2.00,339,426,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',17005,60,213,NULL,NULL,NULL,NULL,2,1),(15,2824450,0.00,3.00,2.00,6.00,5.00,NULL,3.00,2.00,2.00,444,326,NULL,'CACHOEIRA DO B JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824477,2.00,7.00,4.00,8.00,6.00,3.50,8.00,5.00,3.00,202,225,238,'SÃO SEBASTIÃO','PALHOCA','SC',9444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2824485,0.00,3.00,0.00,2.00,4.00,NULL,3.00,0.00,1.00,101,308,NULL,'COSTA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824493,4.00,5.00,3.00,1.00,4.00,4.75,4.00,3.00,1.00,108,502,NULL,'CENTRO','CAPINZAL','SC',21323,468,359,NULL,NULL,NULL,NULL,4,7),(15,2824507,2.00,7.00,3.00,8.00,7.00,6.25,6.00,4.00,4.00,501,332,NULL,'PANTANAL','FLORIANOPOLIS','SC',8689,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(15,2824515,0.00,4.00,1.00,2.00,5.00,4.25,3.00,4.00,4.00,415,9,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',22044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2824523,0.00,2.00,0.00,3.00,4.00,NULL,3.00,3.00,0.00,101,444,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824531,3.00,3.00,0.00,1.00,4.00,NULL,2.00,3.00,3.00,404,NULL,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824540,0.00,0.00,0.00,4.00,5.00,NULL,2.00,4.00,2.00,318,339,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(15,2824558,0.00,0.00,0.00,2.00,4.00,NULL,2.00,4.00,4.00,101,339,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(15,2824566,2.00,2.00,2.00,2.00,5.00,NULL,2.00,1.00,2.00,444,9,NULL,'PRAIA DE FORA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824574,3.00,5.00,3.00,6.00,4.00,6.25,3.00,5.00,3.00,308,329,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',15376,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824582,3.00,4.00,3.00,6.00,6.00,6.00,3.00,7.00,3.00,9,215,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',14331,185,NULL,NULL,NULL,NULL,NULL,4,1),(15,2824590,3.00,4.00,2.00,7.00,3.00,2.50,2.00,1.00,0.00,324,427,NULL,'PONTA DO PAPAGAIO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824604,1.00,3.00,3.00,2.00,6.00,5.00,3.00,4.00,2.00,308,332,NULL,'IPIRANGA','SAO JOSE','SC',21359,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824612,1.00,7.00,2.00,5.00,6.00,5.50,4.00,5.00,1.00,333,309,NULL,'CENTRO','FLORIANOPOLIS','SC',15425,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(15,2824620,4.00,7.00,4.00,6.00,6.00,4.75,4.00,5.00,4.00,501,108,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',11120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824639,1.00,6.00,5.00,5.00,7.00,5.50,4.00,5.00,2.00,5,303,NULL,'TRINDADE','FLORIANOPOLIS','SC',13268,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824647,2.00,6.00,2.00,3.00,6.00,5.75,5.00,5.00,3.00,415,326,NULL,'IRIRIÚ','JOINVILLE','SC',15899,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2824655,2.00,7.00,3.00,6.00,6.00,4.50,7.00,6.00,4.00,201,233,212,'BARREIROS','SAO JOSE','SC',10058,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,415,NULL,'BOEHMERWALDT','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(15,2824671,3.00,6.00,3.00,7.00,8.00,5.00,5.00,8.00,4.00,317,201,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',8702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,502,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2824698,1.00,4.00,0.00,1.00,2.00,NULL,1.00,5.00,1.00,308,309,NULL,'VARGEM PEQUENA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824710,0.00,4.00,1.00,4.00,4.00,3.75,4.00,4.00,1.00,308,324,NULL,'ITACORUBI','FLORIANOPOLIS','SC',22419,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,9,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(15,2824736,2.00,4.00,2.00,6.00,3.00,5.00,2.00,1.00,2.00,308,428,NULL,'RATONES','FLORIANOPOLIS','SC',22161,220,257,NULL,NULL,NULL,NULL,2,1),(15,2824744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2824752,1.00,8.00,2.00,2.00,2.00,NULL,4.00,5.00,2.00,326,333,NULL,'COSTA DE CIMA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824760,3.00,3.00,2.00,6.00,5.00,4.00,4.00,2.00,2.00,333,108,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',20854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824779,6.00,8.00,5.00,5.00,6.00,6.75,5.00,7.00,5.00,101,102,NULL,'AREIAS','SAO JOSE','SC',6002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2824787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,420,201,'CANTO DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(15,2824795,4.00,7.00,3.00,7.00,6.00,7.00,6.00,7.00,3.00,316,327,NULL,'TRINDADE','FLORIANOPOLIS','SC',7524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824809,6.00,8.00,7.00,8.00,7.00,7.00,7.00,6.00,5.00,5,424,NULL,'COQUEIROS','FLORIANOPOLIS','SC',1907,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,225,238,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2824825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,404,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2824833,1.00,4.00,4.00,4.00,6.00,6.00,6.00,4.00,3.00,316,224,NULL,'JARDIM DAS PALMEIRAS','SAO JOSE','SC',16166,451,234,NULL,NULL,NULL,NULL,2,1),(15,2824841,3.00,8.00,4.00,2.00,8.00,6.25,5.00,7.00,4.00,104,427,NULL,'PINHEIRA','PALHOCA','SC',9942,323,143,NULL,NULL,NULL,NULL,2,1),(15,2824868,1.00,3.00,0.00,1.00,5.00,NULL,0.00,3.00,2.00,339,308,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824876,2.00,4.00,4.00,0.00,3.00,NULL,3.00,2.00,3.00,101,102,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2824892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,308,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2824914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,324,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2824922,2.00,1.00,2.00,3.00,2.00,NULL,4.00,3.00,1.00,308,339,NULL,'BARRA DO SAMBAQUI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824930,2.00,5.00,6.00,3.00,5.00,2.00,6.00,4.00,4.00,238,222,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2824949,0.00,6.00,3.00,5.00,5.00,3.75,2.00,5.00,4.00,404,502,NULL,'AREIAS','SAO JOSE','SC',19642,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,421,NULL,'PONTA DAS CANAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2824965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,102,NULL,'JARDIM ELDORADO','PALHOCA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2824973,2.00,3.00,1.00,3.00,1.00,NULL,2.00,1.00,3.00,339,5,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2824981,3.00,3.00,3.00,1.00,3.00,4.50,3.00,3.00,1.00,333,301,NULL,'TRINDADE','FLORIANOPOLIS','SC',22517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2824990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,501,207,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2825007,1.00,5.00,1.00,5.00,6.00,NULL,0.00,4.00,2.00,222,224,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825015,4.00,4.00,1.00,6.00,4.00,5.50,2.00,3.00,1.00,415,420,NULL,'CAMPECHE','FLORIANOPOLIS','SC',21428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825031,3.00,3.00,4.00,5.00,3.00,3.75,1.00,3.00,3.00,324,429,NULL,'JARDIM CIDADE','SAO JOSE','SC',21210,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825040,3.00,5.00,1.00,5.00,6.00,5.75,2.00,4.00,4.00,302,223,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',16474,137,190,NULL,NULL,NULL,NULL,2,1),(15,2825058,0.00,4.00,0.00,6.00,4.00,6.25,5.00,2.00,2.00,308,425,NULL,'PONTA DE BAIXO','SAO JOSE','SC',20918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2825066,2.00,3.00,2.00,3.00,4.00,3.75,3.00,3.00,3.00,425,208,429,'ROÇADO','SAO JOSE','SC',22303,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825074,2.00,3.00,0.00,1.00,5.00,NULL,3.00,4.00,2.00,234,215,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825082,1.00,4.00,1.00,2.00,3.00,NULL,3.00,5.00,1.00,404,427,NULL,'BARRA DO ARIRIU','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825090,3.00,5.00,1.00,4.00,5.00,6.25,3.00,2.00,2.00,303,319,NULL,'E STREITO','FLORIANOPOLIS','SC',20160,853,928,NULL,NULL,NULL,NULL,2,1),(15,2825104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,320,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2825112,5.00,7.00,3.00,6.00,4.00,5.75,5.00,4.00,0.00,333,404,NULL,'MONTE CRISTO','FLORIANOPOLIS','SC',13727,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825120,3.00,4.00,4.00,3.00,7.00,4.75,1.00,3.00,2.00,308,324,NULL,'FAZENDA STO ANTONIO','SAO JOSE','SC',19998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825139,3.00,6.00,4.00,2.00,7.00,4.50,4.00,6.00,3.00,420,238,NULL,'CENTRO','FLORIANOPOLIS','SC',13610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2825147,4.00,7.00,3.00,3.00,7.00,5.75,3.00,4.00,3.00,333,331,NULL,'CENTRO','FLORIANOPOLIS','SC',13696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2825155,1.00,3.00,0.00,2.00,4.00,NULL,2.00,3.00,2.00,444,404,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825163,2.00,2.00,3.00,5.00,6.00,4.25,3.00,3.00,2.00,320,327,NULL,'CENTRO','ITUPORANGA','SC',21107,98,468,NULL,NULL,NULL,NULL,2,1),(15,2825171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,426,NULL,'JD JANAINA','BIGUACU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2825198,3.00,6.00,4.00,7.00,6.00,4.50,5.00,6.00,3.00,308,423,NULL,'ITAGUAÇU','FLORIANOPOLIS','SC',11326,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825201,3.00,8.00,2.00,7.00,5.00,3.75,4.00,4.00,2.00,316,201,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',16600,464,1359,NULL,NULL,NULL,NULL,2,1),(15,2825210,2.00,8.00,2.00,6.00,5.00,4.75,3.00,4.00,3.00,444,207,NULL,'ESTREITO','FLORIANOPOLIS','SC',16105,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825228,1.00,5.00,1.00,3.00,3.00,NULL,1.00,3.00,2.00,339,320,NULL,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825236,0.00,7.00,3.00,5.00,7.00,4.75,4.00,8.00,3.00,320,310,NULL,'CAMPECHE','FLORIANOPOLIS','SC',13202,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,423,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(15,2825260,1.00,5.00,0.00,1.00,5.00,NULL,1.00,2.00,2.00,404,222,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2825279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,201,203,'INTERIOR','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,7),(15,2825287,3.00,7.00,4.00,2.00,7.00,4.25,3.00,6.00,2.00,213,224,214,'AGRONÔMICA','FLORIANOPOLIS','SC',15297,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,421,NULL,'CONQUISTA FRONTEIRA','DIONISIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2825309,2.00,6.00,1.00,4.00,5.00,4.50,2.00,4.00,3.00,222,208,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',20487,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,501,NULL,'INTERIOR','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2825325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,501,NULL,'UNIÃO DA VITÓRIA','ANCHIETA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2825333,1.00,4.00,1.00,1.00,6.00,NULL,2.00,2.00,1.00,324,327,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(15,2825341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,404,NULL,'INTERIOR','CALMON','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2825350,2.00,5.00,1.00,4.00,4.00,3.50,1.00,5.00,2.00,208,302,238,'AGRONÔMICA','FLORIANOPOLIS','SC',21674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,328,NULL,'COOPERUNIÃO','DIONISIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2825376,0.00,0.00,0.00,1.00,6.00,NULL,0.00,0.00,0.00,5,316,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(15,2825384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,501,NULL,'CHICO MENDES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2825392,2.00,7.00,0.00,5.00,4.00,4.50,4.00,5.00,1.00,308,319,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',19402,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825406,3.00,6.00,4.00,1.00,6.00,5.75,3.00,7.00,2.00,5,316,NULL,'AGRÔNOMICA','FLORIANOPOLIS','SC',14704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2825414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,501,NULL,'INTERIOR','ANCHIETA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(15,2825422,2.00,5.00,5.00,2.00,4.00,4.75,2.00,3.00,1.00,329,427,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',21409,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825430,0.00,3.00,3.00,0.00,2.00,NULL,2.00,1.00,1.00,5,320,NULL,'INTERIOR','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(15,2825449,3.00,4.00,4.00,0.00,4.00,NULL,0.00,5.00,2.00,423,426,425,'AGRÔNOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,101,NULL,'INTERIOR','PASSOS MAIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(15,2825465,1.00,5.00,5.00,8.00,6.00,5.00,4.00,6.00,2.00,234,501,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',12272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825481,1.00,6.00,2.00,4.00,7.00,4.25,4.00,3.00,2.00,308,309,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',19080,120,204,NULL,NULL,NULL,NULL,2,1),(15,2825490,1.00,5.00,1.00,5.00,9.00,6.00,5.00,6.00,2.00,303,301,NULL,'COSTEIRA DOPIRAJUBAÉ','FLORIANOPOLIS','SC',15460,712,699,NULL,NULL,NULL,NULL,2,1),(15,2825511,4.00,6.00,6.00,7.00,8.00,5.75,5.00,5.00,1.00,316,238,NULL,'ARIRIÚ','PALHOCA','SC',9130,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825520,2.00,5.00,2.00,7.00,7.00,3.25,2.00,5.00,3.00,324,423,NULL,'PRAINHA','FLORIANOPOLIS','SC',16594,49,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825538,4.00,5.00,1.00,0.00,7.00,3.50,5.00,3.00,3.00,208,444,NULL,'COSTEIRA','FLORIANOPOLIS','SC',20374,817,576,NULL,NULL,NULL,NULL,4,1),(15,2825546,5.00,2.00,6.00,4.00,6.00,6.00,6.00,1.00,2.00,302,324,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',15889,131,259,NULL,NULL,NULL,NULL,2,1),(15,2825554,4.00,5.00,3.00,6.00,5.00,2.00,4.00,4.00,3.00,332,333,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825562,5.00,6.00,8.00,3.00,7.00,5.75,4.00,5.00,5.00,404,308,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',8142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825570,3.00,2.00,4.00,7.00,6.00,5.50,4.00,3.00,6.00,102,101,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',14762,314,630,NULL,NULL,NULL,NULL,2,1),(15,2825589,4.00,3.00,4.00,5.00,7.00,3.00,3.00,3.00,2.00,207,201,202,'FAZENDA STO ANTONIO','SAO JOSE','SC',18600,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825597,3.00,6.00,1.00,3.00,7.00,3.50,3.00,2.00,1.00,308,324,NULL,'SACOGRANDE','FLORIANOPOLIS','SC',20407,161,395,NULL,NULL,NULL,NULL,2,1),(15,2825600,3.00,6.00,0.00,3.00,9.00,NULL,6.00,6.00,4.00,404,233,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(15,2825619,1.00,0.00,3.00,6.00,6.00,NULL,3.00,1.00,2.00,223,222,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825627,3.00,6.00,1.00,3.00,4.00,4.50,4.00,5.00,3.00,320,429,NULL,'ABRAÃO','FLORIANOPOLIS','SC',19548,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825635,1.00,3.00,0.00,2.00,5.00,NULL,3.00,3.00,2.00,423,324,428,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825651,0.00,5.00,0.00,1.00,3.00,NULL,5.00,6.00,3.00,320,327,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(15,2825660,7.00,5.00,5.00,2.00,6.00,5.75,4.00,3.00,4.00,101,429,NULL,'FORQUILHINHAS','SAO JOSE','SC',13664,123,253,NULL,NULL,NULL,NULL,4,1),(16,3000036,8.00,7.00,6.00,9.00,7.00,5.50,5.00,8.00,6.00,319,NULL,NULL,'ALTOS DE SANTANA','S JOSÉ CAMPOS','SP',1141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000044,5.00,3.00,5.00,7.00,7.00,7.25,2.00,8.00,7.00,303,NULL,NULL,'CENTRO','CARAZINHO','RS',4301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000060,4.00,6.00,4.00,7.00,6.00,5.50,2.00,6.00,5.00,214,NULL,212,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',8688,302,NULL,258,NULL,NULL,NULL,2,1),(16,3000079,5.00,8.00,7.00,7.00,7.00,6.00,3.00,6.00,3.00,316,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',4689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3000095,7.00,5.00,5.00,8.00,7.00,5.00,3.00,3.00,3.00,213,NULL,202,'ITACORUBI','FLORIANÓPOLIS','SC',7779,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000109,4.00,5.00,5.00,6.00,6.00,5.25,7.00,7.00,7.00,220,NULL,201,'FIGUEIRA','URUSSANGA','SC',4467,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3000117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PARQUE JABAQUARA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3000125,3.00,4.00,1.00,7.00,5.00,6.00,2.00,3.00,4.00,201,NULL,NULL,'ALVORADA','LUCAS R VERDE','MT',14272,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3000133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,421,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3000141,6.00,6.00,6.00,9.00,7.00,7.25,5.00,7.00,7.00,415,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',1672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000150,5.00,5.00,3.00,3.00,4.00,6.00,5.00,6.00,2.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11480,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000168,7.00,4.00,6.00,6.00,6.00,7.75,3.00,4.00,5.00,302,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',6702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000176,7.00,6.00,5.00,5.00,5.00,5.00,4.00,7.00,6.00,316,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',5187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000184,2.00,5.00,3.00,4.00,5.00,6.00,2.00,5.00,5.00,420,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',13113,142,NULL,NULL,NULL,NULL,NULL,4,5),(16,3000192,4.00,5.00,5.00,9.00,5.00,5.25,5.00,6.00,5.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000206,4.00,1.00,5.00,7.00,5.00,5.75,2.00,3.00,2.00,302,NULL,NULL,'CAMPINAS','S JOSé','SC',15378,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000222,4.00,7.00,3.00,1.00,5.00,4.25,5.00,5.00,4.00,5,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',11896,412,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000230,2.00,4.00,2.00,2.00,4.00,NULL,2.00,4.00,1.00,327,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000249,9.00,8.00,9.00,9.00,8.00,6.75,5.00,8.00,9.00,303,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',214,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3000257,4.00,4.00,2.00,7.00,4.00,4.75,3.00,4.00,3.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14442,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000265,7.00,6.00,7.00,4.00,7.00,7.25,3.00,9.00,7.00,103,NULL,NULL,'SAO RAFAEL','RIO NEGRINHO','SC',2315,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3000281,6.00,7.00,7.00,7.00,6.00,6.50,4.00,7.00,5.00,207,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',3873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000290,4.00,3.00,1.00,5.00,3.00,NULL,2.00,5.00,4.00,101,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000303,4.00,6.00,1.00,6.00,3.00,NULL,1.00,6.00,3.00,328,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000311,5.00,5.00,3.00,6.00,5.00,4.75,3.00,5.00,6.00,207,NULL,216,'LARANJEIRAS','RIO SUL','SC',10244,486,NULL,362,NULL,NULL,NULL,2,1),(16,3000320,5.00,5.00,3.00,1.00,3.00,NULL,3.00,8.00,5.00,450,NULL,NULL,'SANTA CECILIA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000338,4.00,7.00,5.00,9.00,7.00,NULL,0.00,9.00,7.00,216,NULL,215,'LIDER','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3000346,3.00,4.00,2.00,7.00,3.00,NULL,4.00,3.00,3.00,340,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3000354,1.00,2.00,2.00,2.00,5.00,NULL,1.00,3.00,4.00,102,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000362,7.00,5.00,5.00,5.00,7.00,7.75,4.00,7.00,7.00,5,NULL,NULL,'CENTRO','TURVO','SC',3661,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3000370,3.00,1.00,2.00,5.00,3.00,NULL,2.00,5.00,3.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000389,6.00,0.00,4.00,4.00,2.00,NULL,3.00,3.00,5.00,211,NULL,216,'HIGIENOPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000397,5.00,5.00,4.00,6.00,4.00,6.75,2.00,9.00,5.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',7876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000400,5.00,5.00,2.00,5.00,6.00,5.75,4.00,8.00,3.00,340,NULL,NULL,'SERTÃO','STO AMARO IMPERATRIZ','SC',9536,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000419,8.00,7.00,7.00,4.00,7.00,4.75,4.00,7.00,5.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',3568,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3000427,4.00,3.00,4.00,8.00,3.00,NULL,3.00,5.00,2.00,103,NULL,NULL,'PRESIDENTE MEDICE','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3000460,6.00,7.00,4.00,5.00,4.00,4.50,2.00,8.00,4.00,234,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000478,4.00,5.00,6.00,6.00,6.00,4.75,2.00,5.00,2.00,214,NULL,203,'VILA DIVA','STA BÁRBARA D OESTE','SP',11738,384,NULL,775,NULL,NULL,NULL,2,1),(16,3000486,4.00,5.00,6.00,7.00,6.00,4.25,5.00,6.00,4.00,213,NULL,233,'AMIZADE','JARAGUá SUL','SC',7807,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3000508,4.00,4.00,2.00,6.00,6.00,4.75,2.00,5.00,3.00,102,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',14252,252,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000516,7.00,6.00,5.00,9.00,8.00,6.50,5.00,6.00,5.00,415,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',2709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000524,7.00,5.00,7.00,8.00,5.00,5.75,3.00,5.00,6.00,238,NULL,208,'JARDIM AURÉLIA','CAMPINAS','SP',4373,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3000540,3.00,4.00,4.00,7.00,7.00,5.00,3.00,9.00,6.00,201,NULL,212,'COMERCIÁRIO','CRICIúMA','SC',7679,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3000567,8.00,8.00,5.00,8.00,7.00,6.75,7.00,8.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000575,5.00,3.00,4.00,6.00,8.00,7.00,3.00,5.00,5.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000583,7.00,6.00,4.00,7.00,5.00,6.25,6.00,5.00,6.00,201,NULL,213,'SERRARIA','S JOSÉ','SC',4206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000591,5.00,6.00,7.00,2.00,7.00,6.75,3.00,9.00,5.00,201,NULL,212,'CAMPINAS','S JOSÉ','SC',4988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000613,6.00,5.00,5.00,7.00,5.00,5.25,5.00,7.00,6.00,5,NULL,NULL,'CENTRO','PALHOÇA','SC',5647,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000630,8.00,8.00,6.00,9.00,8.00,6.00,5.00,8.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000648,5.00,5.00,3.00,7.00,4.00,5.75,1.00,8.00,2.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000656,4.00,7.00,2.00,0.00,7.00,5.75,2.00,8.00,3.00,207,NULL,201,'OFICINAS','TUBARÃO','SC',12239,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3000664,4.00,5.00,3.00,0.00,0.00,NULL,3.00,6.00,4.00,211,NULL,220,'BOM JESUS','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,8),(16,3000672,1.00,2.00,2.00,6.00,2.00,NULL,4.00,2.00,2.00,317,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000699,8.00,5.00,5.00,7.00,5.00,6.25,4.00,8.00,4.00,103,NULL,NULL,'ATERRADO','POUSO REDONDO','SC',5083,1508,NULL,NULL,NULL,NULL,NULL,2,9),(16,3000702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'FLORESTA','STO AUGUSTO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3000729,3.00,4.00,3.00,7.00,4.00,6.00,1.00,5.00,4.00,102,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',13103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000737,5.00,7.00,1.00,7.00,5.00,6.50,5.00,8.00,6.00,501,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5634,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3000745,7.00,7.00,5.00,2.00,5.00,7.00,5.00,8.00,8.00,103,NULL,NULL,'CENTRO','TREZE TíLIAS','SC',3580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,427,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3000761,5.00,6.00,6.00,8.00,7.00,6.25,5.00,8.00,7.00,203,NULL,233,'MIRAGEM','LAURO DE FREITAS','BA',2267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000770,4.00,2.00,1.00,5.00,3.00,NULL,1.00,2.00,3.00,207,NULL,201,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000796,9.00,8.00,8.00,9.00,8.00,4.50,6.00,9.00,9.00,103,NULL,NULL,'CENTRO','BOMBINHAS','SC',339,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3000800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3000818,9.00,6.00,8.00,7.00,7.00,6.50,7.00,8.00,9.00,103,NULL,NULL,'VALE DO SOL','ARARAQUARA','SP',255,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3000826,5.00,7.00,3.00,9.00,6.00,6.00,4.00,8.00,3.00,202,NULL,213,'VILA SUZANA','S PAULO','SP',5548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000834,4.00,3.00,3.00,5.00,4.00,4.50,4.00,3.00,4.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14606,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000842,2.00,5.00,1.00,7.00,5.00,7.00,1.00,6.00,4.00,329,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000850,2.00,3.00,3.00,1.00,3.00,NULL,2.00,1.00,2.00,214,NULL,203,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000869,8.00,7.00,3.00,6.00,6.00,5.00,3.00,9.00,6.00,333,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000877,6.00,6.00,8.00,8.00,7.00,5.75,1.00,7.00,6.00,211,NULL,215,'RIO MADEIRA','PTO VELHO','RO',3320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000893,2.00,5.00,1.00,9.00,8.00,7.75,2.00,9.00,3.00,308,NULL,NULL,'ROÇADO','S JOSÉ','SC',7747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000907,7.00,5.00,5.00,8.00,5.00,7.00,3.00,7.00,3.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4691,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3000915,7.00,7.00,8.00,4.00,6.00,5.25,4.00,9.00,8.00,213,NULL,NULL,'CENTRO','PARATINGA','BA',2125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3000923,5.00,7.00,5.00,8.00,8.00,7.00,3.00,8.00,3.00,203,NULL,201,'COUNTRY','CASCAVEL','PR',3797,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3000931,6.00,7.00,5.00,7.00,6.00,4.25,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000940,5.00,3.00,2.00,3.00,3.00,NULL,3.00,2.00,4.00,501,NULL,NULL,'BELA VISTA','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3000958,5.00,6.00,4.00,7.00,6.00,6.00,2.00,7.00,4.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6502,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3000990,2.00,2.00,2.00,7.00,4.00,5.00,3.00,3.00,3.00,102,NULL,NULL,'NOBRE','SORRISO','MT',15982,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3001008,6.00,3.00,2.00,4.00,4.00,4.50,3.00,4.00,4.00,328,NULL,NULL,'CAMPINAS','S JOSé','SC',15424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3001024,0.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,233,NULL,208,'BREJARU I','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3001032,3.00,1.00,4.00,7.00,5.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3001040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3001059,4.00,7.00,7.00,6.00,5.00,7.25,6.00,9.00,5.00,103,NULL,NULL,'ZONA III','UMUARAMA','PR',2250,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3001067,2.00,8.00,4.00,8.00,6.00,6.25,3.00,5.00,3.00,208,NULL,238,'CAPOEIRAS','FLORIANóPOLIS','SC',8529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001075,3.00,4.00,4.00,7.00,6.00,5.50,2.00,5.00,4.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11470,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3001083,3.00,6.00,2.00,5.00,7.00,7.00,4.00,7.00,6.00,103,NULL,NULL,'BAREEIROS','S JOSé','SC',7850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3001105,8.00,6.00,6.00,6.00,6.00,6.00,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','SANTO ANGELO','RS',2936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001130,6.00,1.00,1.00,7.00,4.00,6.25,3.00,4.00,5.00,103,NULL,NULL,'MONTE CLARO','VACARIA','RS',13582,2574,NULL,NULL,NULL,NULL,NULL,2,3),(16,3001148,5.00,7.00,5.00,8.00,4.00,4.75,2.00,7.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001156,4.00,3.00,2.00,7.00,6.00,5.75,3.00,6.00,3.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3001164,7.00,8.00,5.00,6.00,3.00,NULL,4.00,6.00,5.00,203,NULL,202,'CARMO','ARARAQUARA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3001172,8.00,9.00,4.00,4.00,6.00,5.50,5.00,7.00,7.00,203,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',3599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001180,7.00,7.00,6.00,6.00,5.00,4.00,3.00,6.00,4.00,303,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',7653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3001199,8.00,7.00,7.00,6.00,7.00,6.00,5.00,8.00,8.00,103,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',1484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001202,4.00,8.00,5.00,4.00,4.00,5.00,2.00,7.00,3.00,203,NULL,202,'CENTRO','CHAPECÓ','SC',10434,726,NULL,381,NULL,NULL,NULL,4,4),(16,3001210,4.00,4.00,5.00,2.00,5.00,6.00,3.00,6.00,5.00,207,NULL,NULL,'BELENZINHO','S PAULO','SP',11786,579,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001237,0.00,4.00,1.00,3.00,1.00,NULL,0.00,2.00,6.00,208,NULL,220,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001245,2.00,1.00,1.00,5.00,3.00,NULL,5.00,2.00,4.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3001253,2.00,3.00,1.00,1.00,0.00,NULL,0.00,0.00,1.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001261,6.00,7.00,2.00,8.00,5.00,4.25,3.00,7.00,4.00,415,NULL,NULL,'SÃO GONÇALO','JANAúBA','MG',8312,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3001270,6.00,2.00,3.00,3.00,3.00,NULL,4.00,4.00,6.00,102,NULL,NULL,'PEDRO ZANAVAN','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3001288,7.00,8.00,6.00,9.00,9.00,7.25,3.00,7.00,6.00,415,NULL,NULL,'VILA MARUMBY','MARINGá','PR',1341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001296,5.00,5.00,2.00,8.00,5.00,4.50,3.00,6.00,3.00,220,NULL,203,'OLIVEIRA BARROS','MIRACATU','SP',11334,431,NULL,765,NULL,NULL,NULL,2,1),(16,3001300,4.00,6.00,4.00,4.00,6.00,4.00,3.00,7.00,5.00,324,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',10446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001318,4.00,2.00,1.00,3.00,3.00,NULL,3.00,4.00,4.00,324,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001334,3.00,0.00,3.00,1.00,4.00,NULL,1.00,4.00,1.00,201,NULL,212,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3001342,1.00,2.00,1.00,0.00,0.00,NULL,2.00,5.00,2.00,303,NULL,NULL,'FÁTIMA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001350,7.00,4.00,6.00,5.00,6.00,7.25,4.00,8.00,7.00,5,NULL,NULL,'FLORESTA','S JOSé','SC',4495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001369,7.00,4.00,5.00,7.00,6.00,4.75,2.00,8.00,6.00,103,NULL,NULL,'CENTRO','NOVA A COLINA','PR',6024,1685,NULL,NULL,NULL,NULL,NULL,4,3),(16,3001377,5.00,8.00,4.00,9.00,5.00,6.25,3.00,8.00,5.00,102,NULL,NULL,'ASILO','BLUMENAU','SC',4036,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3001407,9.00,6.00,8.00,9.00,8.00,5.75,8.00,8.00,8.00,216,NULL,NULL,'CENTRO','ASSIS','SP',167,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(16,3001415,3.00,2.00,3.00,3.00,3.00,NULL,2.00,2.00,4.00,5,NULL,NULL,'FZD SANTO ANTONIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3001423,8.00,6.00,2.00,8.00,7.00,6.00,4.00,7.00,8.00,103,NULL,NULL,'PARAISO','LONDRINA','PR',2988,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3001431,5.00,5.00,2.00,4.00,3.00,NULL,0.00,6.00,3.00,503,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3001458,6.00,7.00,1.00,6.00,6.00,5.00,4.00,7.00,5.00,108,NULL,NULL,'SANTA MARIA','BENEDITO NOVO','SC',7238,142,NULL,NULL,NULL,NULL,NULL,2,2),(16,3001466,3.00,6.00,3.00,5.00,3.00,NULL,3.00,6.00,4.00,201,NULL,216,'CENTRO','TRAMANDAÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3001482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3001490,6.00,6.00,2.00,5.00,4.00,6.50,2.00,6.00,6.00,404,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',9901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3001504,4.00,3.00,3.00,4.00,4.00,4.00,2.00,4.00,4.00,308,NULL,NULL,'BELA VISTA III','S JOSÉ','SC',16516,70,NULL,NULL,NULL,NULL,NULL,2,1),(16,3001512,8.00,6.00,5.00,6.00,6.00,4.50,3.00,6.00,6.00,501,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5431,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3001520,8.00,8.00,6.00,8.00,7.00,7.75,3.00,7.00,6.00,5,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',1430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001539,1.00,2.00,3.00,5.00,1.00,NULL,3.00,7.00,1.00,234,NULL,NULL,'RIO MOLHA','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3001547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JD GETÚLIO VARGAS','MOGI MIRIM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3001563,5.00,4.00,2.00,5.00,2.00,NULL,2.00,4.00,4.00,428,NULL,425,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3001571,2.00,4.00,4.00,4.00,2.00,NULL,3.00,2.00,2.00,502,NULL,NULL,'CAMPO DE DEMOSNTRÇÃO','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3001580,2.00,5.00,1.00,4.00,6.00,NULL,2.00,3.00,3.00,208,NULL,238,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3001598,7.00,7.00,5.00,6.00,7.00,7.50,6.00,7.00,7.00,103,NULL,NULL,'BNH TERCEIRO PLANO','DOURADOS','MS',1234,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3001601,6.00,7.00,4.00,5.00,4.00,5.75,4.00,6.00,5.00,319,NULL,NULL,'GUANABARA','JOINVILLE','SC',8226,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3001610,6.00,5.00,3.00,3.00,8.00,5.50,3.00,5.00,3.00,103,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',10674,2301,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3001660,4.00,6.00,6.00,9.00,5.00,5.75,6.00,4.00,5.00,302,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',5760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001679,3.00,6.00,4.00,7.00,7.00,5.75,2.00,4.00,4.00,215,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',10183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3001695,5.00,4.00,4.00,5.00,5.00,5.25,3.00,7.00,6.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',8514,225,NULL,230,NULL,NULL,NULL,2,1),(16,3001709,5.00,6.00,4.00,8.00,6.00,7.50,2.00,6.00,4.00,9,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',6629,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3001725,4.00,4.00,2.00,6.00,5.00,4.75,1.00,5.00,3.00,104,NULL,NULL,'CENTRO','BRAçO NORTE','SC',14154,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3001733,7.00,6.00,7.00,9.00,7.00,7.25,6.00,7.00,8.00,5,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001741,4.00,6.00,3.00,7.00,4.00,6.00,3.00,6.00,4.00,108,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',9215,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3001750,5.00,4.00,2.00,5.00,6.00,5.00,3.00,5.00,4.00,103,NULL,NULL,'VILA INDUSTRIAL','CAMPINAS','SP',11287,2369,NULL,NULL,NULL,NULL,NULL,2,1),(16,3001768,7.00,7.00,6.00,4.00,7.00,5.50,4.00,6.00,7.00,420,NULL,NULL,'IMIGRANTE','GUABIRUBA','SC',3809,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3001776,4.00,7.00,3.00,7.00,7.00,5.00,1.00,5.00,4.00,310,NULL,NULL,'SAGRADO CORAÇÃO','LAGES','SC',9632,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3001784,4.00,4.00,1.00,2.00,2.00,NULL,3.00,0.00,4.00,429,NULL,425,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001792,2.00,6.00,1.00,7.00,7.00,5.50,2.00,7.00,2.00,310,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11434,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3001830,8.00,3.00,4.00,5.00,8.00,6.00,3.00,6.00,5.00,108,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001849,4.00,3.00,3.00,4.00,5.00,NULL,2.00,4.00,1.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001857,4.00,7.00,5.00,4.00,4.00,5.50,4.00,4.00,6.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001865,3.00,2.00,3.00,3.00,3.00,NULL,4.00,0.00,5.00,308,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3001873,6.00,8.00,7.00,7.00,7.00,5.50,3.00,8.00,7.00,102,NULL,NULL,'CENTRO','S JOAQUIM','SC',2177,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3001881,3.00,2.00,1.00,5.00,2.00,NULL,1.00,5.00,2.00,103,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3001890,8.00,5.00,1.00,3.00,7.00,5.50,3.00,8.00,4.00,9,NULL,NULL,'CENTRO','JOAÇABA','SC',9028,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3001903,6.00,3.00,2.00,6.00,3.00,NULL,3.00,3.00,3.00,225,NULL,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3001920,8.00,5.00,4.00,7.00,6.00,6.25,6.00,4.00,6.00,319,NULL,NULL,'PARQUE ALTO TAQUARAL','CAMPINAS','SP',4464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3001954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3001962,2.00,3.00,3.00,1.00,2.00,NULL,2.00,2.00,1.00,201,NULL,207,'VILA NOVA','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3001970,2.00,5.00,2.00,7.00,3.00,NULL,1.00,6.00,4.00,420,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3001997,5.00,6.00,3.00,6.00,8.00,5.25,4.00,7.00,6.00,426,NULL,428,'N SENHORA DO ROSÁRIO','S JOSÉ','SC',6472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002004,1.00,3.00,3.00,3.00,4.00,4.00,3.00,5.00,3.00,308,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',16649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002012,5.00,2.00,3.00,2.00,3.00,NULL,3.00,3.00,4.00,108,NULL,NULL,'CACHOEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002020,1.00,5.00,3.00,7.00,6.00,5.75,3.00,4.00,4.00,238,NULL,208,'ABRAAO','FLORIANÓPOLIS','SC',13426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002039,4.00,4.00,4.00,7.00,5.00,5.50,2.00,3.00,2.00,451,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',14601,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002047,6.00,7.00,5.00,4.00,6.00,7.25,2.00,5.00,7.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002055,4.00,6.00,4.00,6.00,8.00,5.00,1.00,6.00,4.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',8623,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002071,2.00,3.00,1.00,2.00,4.00,NULL,1.00,5.00,1.00,428,NULL,425,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002080,7.00,5.00,3.00,4.00,6.00,5.25,3.00,7.00,8.00,207,NULL,201,'PIRABEIRABA','JOINVILLE','SC',8285,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3002098,1.00,3.00,4.00,1.00,1.00,NULL,1.00,2.00,4.00,333,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002101,1.00,4.00,1.00,6.00,4.00,5.75,2.00,5.00,3.00,328,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',16509,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002110,6.00,5.00,6.00,8.00,6.00,5.75,5.00,8.00,5.00,103,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',3906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002128,5.00,2.00,3.00,3.00,3.00,NULL,4.00,7.00,3.00,309,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002144,1.00,4.00,2.00,5.00,3.00,NULL,2.00,4.00,5.00,3,NULL,NULL,'CIDADE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3002160,6.00,5.00,6.00,8.00,6.00,6.75,2.00,6.00,4.00,303,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',5797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3002187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM FRANÇA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3002195,9.00,8.00,5.00,7.00,7.00,5.75,4.00,8.00,7.00,203,NULL,208,'MONTE VERDE','FLORIANÓPOLIS','SC',1848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'HUGO LANGE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3002225,6.00,5.00,3.00,4.00,6.00,6.00,3.00,7.00,5.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',9439,2170,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002233,5.00,4.00,3.00,5.00,4.00,4.50,3.00,4.00,4.00,208,NULL,238,'CENTRO','CURITIBA','PR',12878,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3002241,2.00,3.00,3.00,2.00,2.00,NULL,0.00,0.00,2.00,333,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002250,6.00,6.00,5.00,6.00,7.00,5.50,3.00,6.00,4.00,201,NULL,211,'CÓRREGO GRANDE','FLORIANóPOLIS','SC',5800,443,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002268,3.00,1.00,2.00,5.00,2.00,NULL,1.00,4.00,2.00,302,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002276,6.00,5.00,3.00,2.00,8.00,6.50,5.00,6.00,4.00,415,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',8295,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3002292,6.00,3.00,6.00,3.00,4.00,6.00,3.00,5.00,5.00,220,NULL,201,'JARDIM ESTRELA','MAUÁ','SP',9324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002306,8.00,8.00,4.00,9.00,9.00,6.50,6.00,9.00,7.00,5,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002314,4.00,4.00,1.00,5.00,1.00,NULL,3.00,3.00,4.00,223,NULL,NULL,'NOGUEIRA','S DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3002330,7.00,8.00,4.00,9.00,7.00,6.50,3.00,6.00,6.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',2895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002357,6.00,6.00,7.00,8.00,4.00,6.00,5.00,5.00,7.00,202,NULL,213,'CENTRO','FLORIANóPOLIS','SC',3789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3002381,6.00,6.00,4.00,7.00,4.00,5.75,3.00,7.00,3.00,303,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',7690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002390,3.00,4.00,1.00,3.00,2.00,NULL,3.00,7.00,2.00,211,NULL,213,'PRAIA ALEGRE','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3002403,2.00,0.00,1.00,6.00,1.00,NULL,1.00,2.00,2.00,324,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3002420,4.00,5.00,4.00,2.00,3.00,NULL,3.00,6.00,2.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3002438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3002446,6.00,7.00,4.00,6.00,4.00,7.00,2.00,9.00,3.00,318,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',7425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002454,8.00,7.00,7.00,6.00,5.00,5.25,7.00,8.00,6.00,103,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',1673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002470,3.00,5.00,3.00,5.00,5.00,5.75,2.00,7.00,3.00,502,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',11718,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3002527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'RUDGE RAMOS','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3002535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','CAPÃO CANOA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3002551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','FARROUPILHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3002560,5.00,4.00,1.00,7.00,5.00,4.75,3.00,5.00,2.00,309,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',13904,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3002616,3.00,5.00,1.00,6.00,5.00,5.25,2.00,4.00,5.00,238,NULL,233,'FORQUILHINHAS','S JOSÉ','SC',14693,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002632,3.00,6.00,3.00,6.00,4.00,6.50,4.00,8.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',9077,2130,NULL,NULL,NULL,NULL,NULL,4,6),(16,3002640,5.00,6.00,2.00,7.00,7.00,5.25,3.00,4.00,3.00,103,NULL,NULL,'BRASILIA','GUARÁ','DF',10148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002659,6.00,5.00,3.00,4.00,4.00,6.00,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',7919,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3002667,3.00,6.00,5.00,7.00,5.00,4.50,2.00,4.00,5.00,211,NULL,233,'PICADAS DO SUL','S JOSÉ','SC',10978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002675,5.00,5.00,3.00,7.00,4.00,4.50,4.00,6.00,5.00,215,NULL,216,'PONTE DO IMARUIM','PALHOçA','SC',8812,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002683,3.00,3.00,1.00,8.00,5.00,5.00,4.00,4.00,3.00,501,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',13969,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002691,7.00,8.00,5.00,6.00,6.00,5.25,5.00,8.00,6.00,238,NULL,213,'CAPOEIRAS','FLORIANóPOLIS','SC',3313,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002705,4.00,4.00,4.00,7.00,3.00,NULL,2.00,4.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002713,7.00,8.00,8.00,9.00,9.00,5.75,5.00,6.00,8.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',734,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3002721,0.00,1.00,1.00,6.00,5.00,NULL,2.00,5.00,4.00,317,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002730,8.00,8.00,7.00,7.00,8.00,6.50,5.00,6.00,7.00,214,NULL,233,'KOBRASOL','S JOSé','SC',1084,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002756,7.00,5.00,4.00,5.00,7.00,6.25,2.00,6.00,4.00,216,NULL,215,'JOÃO COSTA','JOINVILLE','SC',7678,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3002764,6.00,8.00,5.00,5.00,7.00,6.75,3.00,7.00,7.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',3943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002780,4.00,3.00,4.00,7.00,4.00,6.75,3.00,4.00,2.00,429,NULL,425,'FORQUILHINHAS','SAO JOSE','SC',13807,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002802,4.00,4.00,4.00,9.00,5.00,6.50,5.00,3.00,4.00,207,NULL,233,'SACO DOS LIMÕES','FLORIANóPOLIS','SC',9388,441,NULL,283,NULL,NULL,NULL,2,1),(16,3002810,2.00,4.00,2.00,7.00,5.00,6.00,6.00,6.00,4.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002829,4.00,2.00,1.00,5.00,4.00,NULL,3.00,3.00,3.00,201,NULL,212,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM AUGUSTA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3002861,6.00,5.00,8.00,8.00,3.00,NULL,4.00,8.00,3.00,329,NULL,NULL,'PONTAL DO SUL','PONTAL PARANÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3002888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM SANTA TEREZA','ITU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3002900,3.00,4.00,4.00,8.00,5.00,6.00,1.00,4.00,4.00,216,NULL,201,'MORRETES','ITAPEMA','SC',12577,430,NULL,979,NULL,NULL,NULL,4,6),(16,3002918,8.00,8.00,4.00,8.00,7.00,6.50,5.00,6.00,9.00,103,NULL,NULL,'VILAS DO ATLANTICO','LAURO FREITAS','BA',1359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CANINDE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3002934,4.00,6.00,6.00,8.00,6.00,5.75,2.00,5.00,3.00,203,NULL,207,'CORREGO GRANDE','FLORIANÓPOLIS','SC',8056,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3002942,6.00,6.00,5.00,6.00,6.00,6.50,7.00,6.00,6.00,207,NULL,201,'ANITA GARIBALDI','JOINVILLE','SC',3124,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3002950,7.00,5.00,4.00,7.00,6.00,5.00,3.00,6.00,4.00,302,NULL,NULL,'CENTRO','PALHOÇA','SC',8088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002969,8.00,5.00,8.00,9.00,7.00,8.50,5.00,5.00,6.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3002977,4.00,6.00,4.00,5.00,4.00,6.00,2.00,7.00,4.00,103,NULL,NULL,'VILA FLORESTA','CRICIUMA','SC',9607,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3002993,6.00,3.00,5.00,8.00,7.00,5.75,4.00,3.00,3.00,450,NULL,NULL,'JARDIM GUANABARA','CAMPINAS','SP',9025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003000,3.00,4.00,4.00,5.00,5.00,5.75,2.00,2.00,2.00,429,NULL,425,'BARREIROS','S JOSÉ','SC',15713,67,NULL,99,NULL,NULL,NULL,2,1),(16,3003019,2.00,3.00,2.00,7.00,4.00,6.50,3.00,4.00,3.00,319,NULL,NULL,'LOURDES','CAXIAS SUL','RS',14146,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003027,4.00,4.00,3.00,1.00,3.00,NULL,3.00,5.00,1.00,103,NULL,NULL,'CENTRO','CPO ERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3003035,7.00,6.00,6.00,6.00,6.00,4.25,7.00,6.00,6.00,201,NULL,220,'CENTRO','BAL CAMBORIú','SC',3237,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3003043,5.00,9.00,3.00,4.00,6.00,6.75,6.00,6.00,9.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',3656,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3003051,4.00,2.00,1.00,1.00,1.00,NULL,3.00,2.00,2.00,331,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003060,1.00,6.00,1.00,9.00,5.00,6.75,1.00,4.00,4.00,424,NULL,423,'TRINDADE','FLORIANÓPOLIS','SC',13343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003078,3.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,1.00,301,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'JARDIM MARABÁ','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3003108,6.00,6.00,7.00,8.00,7.00,6.00,4.00,9.00,6.00,203,NULL,214,'ZONA QUATRO','MARINGÁ','PR',1821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003116,4.00,6.00,5.00,7.00,8.00,6.50,3.00,7.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4706,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003124,6.00,9.00,5.00,9.00,7.00,6.75,6.00,8.00,7.00,104,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',896,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3003132,5.00,6.00,6.00,7.00,8.00,4.00,4.00,7.00,4.00,303,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',6098,280,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003159,6.00,4.00,4.00,7.00,7.00,5.50,3.00,6.00,4.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7647,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003167,4.00,3.00,5.00,8.00,5.00,5.75,2.00,3.00,3.00,207,NULL,201,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',11428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003175,4.00,2.00,2.00,3.00,5.00,NULL,2.00,2.00,4.00,104,NULL,NULL,'SANTA CATARINA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003183,3.00,5.00,3.00,4.00,3.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'JARDIM IMPERIAL','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003191,4.00,3.00,6.00,8.00,4.00,4.25,3.00,6.00,5.00,202,NULL,NULL,'PALMITAL','CHAPECó','SC',9281,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3003230,8.00,7.00,2.00,9.00,6.00,5.75,5.00,8.00,6.00,450,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',2983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003248,5.00,5.00,4.00,6.00,7.00,5.50,4.00,3.00,4.00,216,NULL,211,'GLÓRIA','JOINVILLE','SC',10690,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3003256,5.00,5.00,3.00,7.00,4.00,5.50,2.00,6.00,4.00,220,NULL,207,'CENTRO','CRICIúMA','SC',11252,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3003302,4.00,3.00,2.00,4.00,4.00,4.25,2.00,5.00,4.00,327,NULL,NULL,'CENTRO','ITAPEMA','SC',15679,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3003310,3.00,7.00,3.00,7.00,4.00,5.00,3.00,4.00,5.00,317,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',10764,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3003329,6.00,6.00,8.00,8.00,7.00,4.75,6.00,7.00,7.00,214,NULL,201,'COLONINHA','ARARANGUÁ','SC',1766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003345,7.00,7.00,5.00,7.00,8.00,6.75,6.00,9.00,7.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',1132,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3003353,9.00,8.00,6.00,9.00,8.00,6.50,6.00,7.00,9.00,214,NULL,212,'MORRO DOS CONVENTOS','ARARANGUÁ','SC',617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003361,3.00,6.00,4.00,8.00,2.00,NULL,2.00,7.00,4.00,304,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003370,8.00,8.00,6.00,7.00,6.00,5.75,5.00,8.00,6.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003388,9.00,5.00,3.00,8.00,4.00,6.00,3.00,8.00,7.00,103,NULL,NULL,'JARDIM STO AMARO','CAMBÉ','PR',4105,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003396,3.00,5.00,4.00,9.00,7.00,6.50,3.00,4.00,3.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',8685,385,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003400,8.00,8.00,7.00,7.00,8.00,6.00,7.00,8.00,9.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',400,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3003418,8.00,8.00,7.00,6.00,8.00,7.50,5.00,7.00,6.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',1529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003426,4.00,4.00,4.00,9.00,3.00,NULL,3.00,6.00,5.00,3,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003442,9.00,7.00,7.00,7.00,5.00,6.00,3.00,5.00,7.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',3477,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003450,1.00,5.00,1.00,4.00,4.00,5.25,3.00,3.00,5.00,333,NULL,NULL,'CENTRO','CHAPECÓ','SC',15852,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3003477,4.00,4.00,2.00,6.00,6.00,5.50,2.00,5.00,2.00,309,NULL,NULL,'SAO MIGUEL','BIGUAÇU','SC',14456,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003485,4.00,6.00,5.00,3.00,4.00,5.75,2.00,8.00,3.00,238,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',10975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003507,4.00,4.00,1.00,6.00,3.00,NULL,3.00,1.00,5.00,102,NULL,NULL,'NAÇÕES','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3003515,7.00,8.00,5.00,9.00,6.00,6.75,5.00,7.00,6.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003523,4.00,4.00,2.00,1.00,4.00,NULL,3.00,5.00,1.00,320,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003531,6.00,2.00,1.00,6.00,5.00,5.00,1.00,5.00,5.00,9,NULL,NULL,'CENTRO','IMBITUBA','SC',13173,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003540,6.00,8.00,6.00,8.00,5.00,7.00,3.00,7.00,6.00,104,NULL,NULL,'GARCIA','BLUMENAU','SC',2997,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3003558,5.00,6.00,5.00,5.00,5.00,5.75,2.00,4.00,2.00,304,NULL,NULL,'CENTRO','CANELINHA','SC',12886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003566,5.00,2.00,2.00,5.00,5.00,4.75,3.00,4.00,5.00,319,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANóPOLIS','SC',14675,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003574,5.00,5.00,3.00,1.00,7.00,5.75,2.00,4.00,4.00,103,NULL,NULL,'TATUAPÉ','S PAULO','SP',13132,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3003582,5.00,8.00,2.00,9.00,8.00,6.00,2.00,9.00,4.00,303,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',4888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003590,4.00,6.00,3.00,5.00,4.00,3.25,5.00,3.00,4.00,202,NULL,208,'SÃO FRANCISCO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3003612,4.00,2.00,2.00,5.00,7.00,5.00,3.00,5.00,1.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003620,3.00,2.00,1.00,8.00,3.00,NULL,1.00,3.00,2.00,108,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003639,4.00,6.00,4.00,8.00,4.00,6.00,5.00,7.00,5.00,225,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',7331,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3003647,5.00,7.00,3.00,1.00,7.00,4.75,3.00,9.00,4.00,101,NULL,NULL,'IPIRANGA','S JOSÉ','SC',10771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003655,6.00,7.00,3.00,7.00,6.00,5.00,3.00,9.00,5.00,317,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',6237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003671,7.00,7.00,6.00,9.00,6.00,7.25,7.00,7.00,8.00,207,NULL,201,'CENTRO','LAGES','SC',1026,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3003680,8.00,9.00,2.00,5.00,8.00,4.00,3.00,7.00,5.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',5056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003698,8.00,7.00,5.00,9.00,7.00,6.50,3.00,8.00,8.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',1960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003701,3.00,3.00,6.00,3.00,5.00,6.00,2.00,5.00,4.00,238,NULL,208,'CENTRO','ARROIO TRINTA','SC',13527,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3003710,5.00,4.00,5.00,7.00,6.00,6.00,4.00,5.00,5.00,103,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',7444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003736,9.00,7.00,7.00,8.00,7.00,6.50,6.00,8.00,7.00,103,NULL,NULL,'AGRONÔMICA','FLORIANóPOLIS','SC',505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003744,3.00,2.00,1.00,4.00,6.00,4.50,4.00,5.00,4.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003752,3.00,3.00,1.00,7.00,5.00,6.25,1.00,3.00,4.00,429,NULL,425,'CARIANOS','FLORIANÓPOLIS','SC',15664,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003760,3.00,2.00,2.00,6.00,5.00,4.00,2.00,7.00,3.00,301,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',15054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003779,0.00,3.00,1.00,6.00,3.00,NULL,4.00,1.00,1.00,415,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003787,3.00,4.00,4.00,2.00,5.00,4.75,2.00,6.00,2.00,303,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',16228,702,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003795,4.00,7.00,3.00,7.00,6.00,6.00,2.00,7.00,1.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',10536,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003809,3.00,6.00,3.00,6.00,4.00,5.50,2.00,7.00,3.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003817,5.00,4.00,6.00,9.00,7.00,5.25,4.00,6.00,4.00,216,NULL,233,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3003825,6.00,5.00,9.00,7.00,3.00,NULL,6.00,6.00,8.00,216,NULL,202,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3003833,8.00,8.00,7.00,8.00,9.00,5.50,6.00,9.00,8.00,103,NULL,NULL,'CENTRO','NOVA ANDRADINA','MS',548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003850,5.00,5.00,3.00,6.00,4.00,5.00,3.00,5.00,4.00,216,NULL,NULL,'CENTRO','JARAGUá SUL','SC',11233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003876,5.00,4.00,2.00,8.00,4.00,5.00,2.00,7.00,3.00,319,NULL,NULL,'BOA VISTA','CURITIBA','PR',12227,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003884,5.00,7.00,5.00,9.00,5.00,6.25,2.00,8.00,4.00,222,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003892,6.00,5.00,7.00,8.00,6.00,6.25,4.00,7.00,7.00,233,NULL,213,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003906,1.00,4.00,1.00,6.00,5.00,NULL,2.00,2.00,4.00,102,NULL,NULL,'BORTOLON','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003914,3.00,3.00,3.00,5.00,2.00,NULL,2.00,3.00,3.00,303,NULL,NULL,'CENTRO','NOVA C NORTE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003922,3.00,5.00,1.00,6.00,4.00,5.00,3.00,3.00,3.00,201,NULL,208,'BOM VIVER','BIGUAÇU','SC',15641,1211,NULL,545,NULL,NULL,NULL,2,1),(16,3003949,6.00,5.00,4.00,3.00,3.00,NULL,2.00,5.00,5.00,102,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003957,6.00,7.00,5.00,7.00,6.00,6.25,3.00,8.00,6.00,207,NULL,211,'SANTA MÔNICA','FLORIANóPOLIS','SC',3299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003965,3.00,6.00,3.00,6.00,4.00,6.25,3.00,7.00,6.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9024,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3003973,2.00,4.00,2.00,6.00,5.00,6.00,2.00,8.00,1.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',14103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3003981,6.00,8.00,4.00,6.00,7.00,6.00,5.00,7.00,6.00,502,NULL,NULL,'SERRARIA','S JOSÉ','SC',4505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3003990,8.00,7.00,7.00,2.00,8.00,6.25,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1881,798,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004007,5.00,5.00,5.00,8.00,6.00,6.50,3.00,6.00,6.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',5543,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3004015,4.00,4.00,2.00,3.00,5.00,3.25,2.00,6.00,2.00,211,NULL,202,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004023,7.00,6.00,6.00,6.00,7.00,4.00,5.00,4.00,6.00,303,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',6350,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3004031,5.00,3.00,6.00,5.00,5.00,5.50,5.00,3.00,4.00,203,NULL,220,'SÃO SEBASTIÃO','PETRÓPOLIS','RJ',10129,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3004040,2.00,6.00,4.00,5.00,3.00,NULL,3.00,5.00,4.00,5,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3004058,4.00,5.00,3.00,2.00,3.00,NULL,2.00,5.00,4.00,317,NULL,NULL,'REAL PARK','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004066,9.00,8.00,8.00,8.00,8.00,5.50,7.00,8.00,8.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',336,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3004074,5.00,6.00,1.00,7.00,4.00,4.50,3.00,7.00,2.00,238,NULL,214,'RIBEIRÃO DA IHA','FLORIANÓPOLIS','SC',12209,362,NULL,397,NULL,NULL,NULL,2,1),(16,3004090,4.00,5.00,1.00,4.00,0.00,NULL,3.00,4.00,3.00,207,NULL,215,'CENTRO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3004104,5.00,5.00,4.00,7.00,6.00,6.50,3.00,7.00,4.00,428,NULL,425,'ESPINHEIROS','ITAJAÍ','SC',7838,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3004112,9.00,7.00,8.00,7.00,8.00,7.50,4.00,7.00,8.00,103,NULL,NULL,'VILA AURORA OESTE','GOIÂNIA','GO',648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004139,7.00,9.00,9.00,9.00,9.00,9.00,7.00,8.00,8.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',72,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004147,6.00,5.00,6.00,4.00,6.00,6.50,6.00,6.00,7.00,214,NULL,212,'VISTA VERDE','S JOSÉ CAMPOS','SP',5129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004163,8.00,8.00,7.00,5.00,5.00,4.75,7.00,6.00,4.00,216,NULL,220,'CENTRO','LAGES','SC',4507,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3004171,2.00,4.00,2.00,6.00,5.00,5.00,4.00,5.00,2.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004201,7.00,6.00,6.00,6.00,8.00,6.75,7.00,7.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004244,5.00,6.00,3.00,5.00,5.00,6.00,5.00,7.00,3.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7788,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3004252,4.00,5.00,2.00,8.00,4.00,5.25,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004260,5.00,4.00,3.00,7.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ÁGUAS CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(16,3004279,8.00,7.00,8.00,4.00,5.00,5.75,4.00,8.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',2078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004287,8.00,5.00,5.00,6.00,5.00,4.00,2.00,8.00,7.00,201,NULL,203,'RUDGE RAMOS','S BERNARDO CAMPO','SP',5347,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3004295,4.00,6.00,3.00,6.00,7.00,5.25,4.00,8.00,4.00,327,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',7729,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3004309,6.00,5.00,1.00,8.00,3.00,NULL,3.00,7.00,3.00,502,NULL,NULL,'FRAGOSOS','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3004317,9.00,8.00,7.00,9.00,8.00,5.50,7.00,9.00,9.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004325,6.00,7.00,7.00,2.00,6.00,6.50,3.00,7.00,6.00,201,NULL,212,'BARREIROS','S JOSÉ','SC',4898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004350,4.00,4.00,3.00,1.00,1.00,NULL,4.00,3.00,1.00,201,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3004368,8.00,8.00,8.00,9.00,8.00,7.50,6.00,8.00,8.00,220,NULL,208,'PONTE DO IMARUIM','PALHOÇA','SC',258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004376,6.00,8.00,4.00,9.00,7.00,5.25,3.00,8.00,7.00,211,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',3055,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3004384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARIA GORETI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3004392,5.00,5.00,4.00,5.00,9.00,4.75,4.00,6.00,6.00,301,NULL,NULL,'CENTRO','IÇARA','SC',7161,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3004406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3004414,2.00,3.00,4.00,5.00,4.00,5.50,2.00,5.00,5.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004422,5.00,7.00,3.00,9.00,5.00,6.50,2.00,7.00,5.00,207,NULL,NULL,'CENTRO','MARINGá','PR',5908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004449,4.00,1.00,3.00,8.00,3.00,NULL,0.00,2.00,1.00,220,NULL,233,'JARDIM MARAJOARA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3004457,8.00,7.00,6.00,8.00,6.00,7.50,4.00,7.00,8.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',1656,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3004465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3004481,7.00,7.00,6.00,8.00,9.00,5.00,3.00,9.00,7.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004490,6.00,6.00,2.00,2.00,5.00,5.25,5.00,7.00,7.00,214,NULL,212,'JD AQUARIUS','S JOSÉ CAMPOS','SP',7459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004511,5.00,4.00,2.00,6.00,4.00,5.50,3.00,5.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14512,180,NULL,NULL,NULL,NULL,NULL,2,1),(16,3004520,8.00,6.00,8.00,9.00,5.00,5.25,6.00,7.00,7.00,203,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',1334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004538,6.00,5.00,4.00,7.00,6.00,6.50,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6259,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3004546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JAGUAPITÃ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3004554,5.00,6.00,3.00,7.00,2.00,NULL,1.00,5.00,2.00,340,NULL,NULL,'MORADA DO OURO II','CUIABÁ','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004562,5.00,6.00,4.00,7.00,6.00,7.25,3.00,6.00,3.00,201,NULL,213,'FLOR DE NÁPOLIS','S JOSÉ','SC',7007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004589,6.00,5.00,6.00,6.00,6.00,5.00,4.00,6.00,7.00,303,NULL,NULL,'CENTRO','IMBITUBA','SC',6579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004597,4.00,2.00,3.00,1.00,3.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3004627,3.00,5.00,4.00,9.00,7.00,6.50,2.00,7.00,5.00,503,NULL,NULL,'PARQUE PAULISTANO','COTIA','SP',6346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004635,5.00,5.00,4.00,2.00,4.00,3.25,2.00,4.00,4.00,223,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004643,4.00,3.00,4.00,8.00,5.00,6.50,5.00,4.00,7.00,214,NULL,212,'PRAIA BRAVA','FLORIANÓPOLIS','SC',7826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004651,6.00,8.00,7.00,8.00,7.00,6.75,5.00,7.00,8.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004660,9.00,7.00,9.00,4.00,8.00,6.50,8.00,8.00,8.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',298,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3004678,6.00,4.00,1.00,2.00,5.00,5.75,1.00,5.00,4.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',15298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004686,4.00,2.00,1.00,6.00,2.00,NULL,3.00,6.00,4.00,303,NULL,NULL,'CENTRO','ITAPEJARA D OESTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004694,7.00,5.00,7.00,9.00,8.00,7.00,3.00,8.00,9.00,220,NULL,216,'PRAIA COMPRIDA','S JOSé','SC',1235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004708,5.00,4.00,2.00,3.00,5.00,5.25,3.00,3.00,3.00,444,NULL,NULL,'AREIAS DA PALHOCINHA','GAROPABA','SC',15568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004716,4.00,1.00,2.00,2.00,3.00,NULL,2.00,4.00,0.00,216,NULL,208,'ALTO DA RUA XV','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3004724,4.00,5.00,7.00,7.00,5.00,6.00,2.00,5.00,5.00,301,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',9146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004732,6.00,7.00,8.00,8.00,8.00,7.50,6.00,8.00,7.00,203,NULL,220,'CENTRO','CHAPECÓ','SC',1069,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3004740,5.00,6.00,4.00,8.00,8.00,6.00,4.00,9.00,5.00,326,NULL,NULL,'CHAC SANTO ANTONIO','S PAULO','SP',3640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004759,9.00,7.00,4.00,8.00,8.00,5.25,3.00,4.00,8.00,108,NULL,NULL,'ICARAÍ','NITERÓI','RJ',2913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004767,7.00,6.00,8.00,9.00,5.00,7.25,5.00,7.00,6.00,208,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',1613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004775,5.00,8.00,3.00,8.00,6.00,5.50,3.00,7.00,4.00,316,NULL,NULL,'CAMPINAS','S JOSé','SC',6386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004783,5.00,6.00,5.00,7.00,4.00,5.25,3.00,7.00,6.00,503,NULL,NULL,'FÁTIMA','OTACÍLIO COSTA','SC',6207,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3004791,3.00,6.00,1.00,6.00,6.00,6.75,5.00,8.00,3.00,303,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',7556,338,NULL,NULL,NULL,NULL,NULL,2,1),(16,3004805,4.00,4.00,3.00,8.00,3.00,NULL,4.00,2.00,4.00,319,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004813,1.00,0.00,4.00,0.00,0.00,NULL,1.00,1.00,2.00,9,NULL,NULL,'BEL RECANTO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3004821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3004830,3.00,4.00,2.00,2.00,5.00,5.50,2.00,6.00,4.00,310,NULL,NULL,'CENTRO','GUARAMIRIM','SC',15262,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3004848,7.00,9.00,3.00,2.00,3.00,NULL,6.00,7.00,5.00,103,NULL,NULL,'MARIA LUIZA','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004856,5.00,7.00,4.00,5.00,5.00,6.25,3.00,6.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004864,9.00,7.00,7.00,8.00,6.00,7.00,6.00,8.00,8.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',708,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3004872,8.00,7.00,7.00,8.00,8.00,8.50,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',665,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3004880,5.00,7.00,8.00,8.00,5.00,6.75,4.00,7.00,6.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',2793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004899,8.00,9.00,6.00,8.00,9.00,8.00,5.00,8.00,9.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004902,5.00,5.00,2.00,5.00,5.00,6.25,3.00,4.00,2.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004910,7.00,8.00,7.00,9.00,7.00,8.00,7.00,9.00,7.00,203,NULL,208,'CENTRO','BAL CAMBORIÚ','SC',329,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3004929,2.00,3.00,1.00,5.00,2.00,NULL,0.00,1.00,2.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3004937,0.00,3.00,2.00,4.00,3.00,NULL,2.00,0.00,2.00,415,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3004945,7.00,5.00,2.00,8.00,8.00,5.50,3.00,8.00,5.00,9,NULL,NULL,'CENTRO','CARAGUATATUBA','SP',4943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004953,2.00,3.00,3.00,3.00,1.00,NULL,1.00,3.00,2.00,316,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3004961,6.00,6.00,3.00,9.00,5.00,6.75,4.00,8.00,4.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3004996,7.00,8.00,8.00,8.00,8.00,6.50,9.00,8.00,9.00,214,NULL,212,'PARQUE MINAS GERAIS','OURINHOS','SP',88,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005003,6.00,6.00,4.00,7.00,7.00,6.75,4.00,8.00,5.00,108,NULL,NULL,'CENTRO','LUZIâNIA','GO',4150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA RUSSIA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3005038,7.00,9.00,7.00,8.00,5.00,4.75,5.00,8.00,8.00,103,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',1804,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3005046,3.00,4.00,5.00,7.00,6.00,3.25,2.00,6.00,0.00,211,NULL,207,'GRAVATA','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3005054,6.00,6.00,4.00,4.00,7.00,5.75,1.00,7.00,2.00,102,NULL,NULL,'SUMARÉ','RIO SUL','SC',9897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005070,7.00,6.00,4.00,7.00,7.00,5.75,2.00,5.00,6.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',6434,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3005089,3.00,3.00,4.00,7.00,1.00,NULL,3.00,1.00,2.00,215,NULL,211,'CENTRO','CONCHAL','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3005097,6.00,7.00,1.00,6.00,6.00,5.25,3.00,7.00,2.00,5,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',9403,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3005100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,NULL,'CERQUEIRA CESAR','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',1,1),(16,3005119,5.00,5.00,5.00,6.00,8.00,5.75,3.00,7.00,4.00,202,NULL,220,'AMIZADE','JARAGUÁ SUL','SC',7618,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3005127,4.00,2.00,4.00,3.00,2.00,NULL,4.00,8.00,4.00,220,NULL,203,'JARDIM LOURDES','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3005143,6.00,3.00,2.00,2.00,7.00,5.25,2.00,4.00,2.00,429,NULL,426,'JD ELDORADO','PALHOçA','SC',15822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005151,3.00,1.00,1.00,6.00,2.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'SERRARIA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3005160,4.00,3.00,1.00,7.00,3.00,NULL,2.00,3.00,4.00,238,NULL,208,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3005178,8.00,8.00,7.00,5.00,7.00,6.25,6.00,7.00,7.00,103,NULL,NULL,'PARQUE MANIBURA','FORTALEZA','CE',1739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005186,5.00,6.00,3.00,6.00,5.00,7.00,2.00,3.00,4.00,426,NULL,425,'CORREGO GRANDE','FLORIANÓPOLIS','SC',11677,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3005194,3.00,6.00,4.00,7.00,5.00,6.00,6.00,7.00,5.00,420,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005208,4.00,3.00,2.00,1.00,7.00,NULL,1.00,4.00,2.00,301,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005216,8.00,7.00,5.00,8.00,8.00,6.50,5.00,7.00,7.00,108,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',1302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005224,5.00,4.00,7.00,7.00,5.00,6.25,2.00,8.00,4.00,501,NULL,NULL,'JARDIM MAUÁ','S CAETANO SUL','SP',5951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005232,4.00,2.00,5.00,4.00,5.00,5.50,3.00,6.00,2.00,444,NULL,NULL,'VILA NOVA','LAGES','SC',13455,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3005240,7.00,7.00,5.00,9.00,7.00,6.00,4.00,8.00,6.00,207,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',2130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005259,7.00,3.00,3.00,8.00,7.00,6.00,3.00,7.00,3.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005267,8.00,8.00,3.00,3.00,6.00,6.25,5.00,6.00,5.00,3,NULL,NULL,'CARAVAGGIO','LAGES','SC',5883,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3005275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','FRUTAL','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3005291,7.00,7.00,6.00,9.00,6.00,7.00,7.00,7.00,9.00,201,NULL,212,'ÁGUA VERDE','CURITIBA','PR',936,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3005305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3005313,4.00,7.00,4.00,6.00,7.00,6.75,2.00,7.00,4.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',7162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005321,4.00,2.00,1.00,3.00,0.00,NULL,2.00,2.00,2.00,9,NULL,NULL,'INTERIOR','S PAULO MISSÕES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3005348,2.00,3.00,5.00,3.00,1.00,NULL,3.00,7.00,3.00,203,NULL,220,'FRAGATA','PELOTAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3005356,3.00,4.00,2.00,0.00,5.00,NULL,2.00,6.00,2.00,103,NULL,NULL,'VORSTARDT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3005364,4.00,5.00,3.00,1.00,4.00,NULL,0.00,8.00,2.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005372,4.00,6.00,4.00,7.00,7.00,6.25,3.00,6.00,3.00,302,NULL,NULL,'BALNEÁRIO DO ESTREIT','FLORIANÓPOLIS','SC',7941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005380,5.00,5.00,5.00,8.00,7.00,6.00,4.00,7.00,6.00,319,NULL,NULL,'AREIAS','S JOSÉ','SC',4135,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3005402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3005410,6.00,7.00,3.00,7.00,6.00,5.50,3.00,7.00,5.00,207,NULL,211,'VILA MOEMA','TUBARÃO','SC',5771,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3005429,7.00,6.00,7.00,8.00,8.00,7.00,6.00,7.00,6.00,5,NULL,NULL,'PRAIA BRAVA','FLORIANÓPOLIS','SC',1548,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3005437,7.00,4.00,8.00,6.00,8.00,7.25,5.00,6.00,8.00,203,NULL,214,'APARECIDA','SANTOS','SP',1826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005445,9.00,8.00,5.00,9.00,6.00,7.00,4.00,8.00,6.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005453,7.00,7.00,6.00,7.00,6.00,6.00,5.00,5.00,5.00,208,NULL,220,'FLORESTA','S JOSÉ','SC',3992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005461,7.00,2.00,4.00,9.00,7.00,7.25,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',4478,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3005470,3.00,4.00,1.00,5.00,5.00,5.75,4.00,2.00,3.00,211,NULL,215,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3005488,6.00,7.00,4.00,7.00,5.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'EMBARE','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,6),(16,3005500,8.00,8.00,7.00,9.00,7.00,7.00,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005518,2.00,2.00,1.00,2.00,3.00,NULL,3.00,4.00,4.00,301,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005526,6.00,7.00,6.00,2.00,7.00,5.00,3.00,8.00,5.00,212,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',7500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005534,6.00,4.00,1.00,7.00,5.00,6.00,2.00,9.00,4.00,310,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9205,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3005542,5.00,7.00,6.00,8.00,5.00,5.25,4.00,6.00,5.00,340,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',5862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005550,2.00,7.00,3.00,8.00,2.00,NULL,5.00,7.00,3.00,301,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3005577,6.00,6.00,5.00,6.00,6.00,6.25,4.00,4.00,5.00,304,NULL,NULL,'ITAGUAÇU','FLORIANóPOLIS','SC',6460,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3005585,6.00,6.00,4.00,2.00,5.00,6.75,4.00,6.00,3.00,104,NULL,NULL,'CENTRO','POUSO ALEGRE','MG',9539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005593,3.00,4.00,3.00,7.00,7.00,5.75,5.00,6.00,4.00,303,NULL,NULL,'JARDIM GUILHERMINA','PR GRANDE','SP',9284,408,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005623,6.00,6.00,1.00,4.00,5.00,5.00,3.00,7.00,5.00,9,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3005631,7.00,6.00,4.00,8.00,5.00,6.50,4.00,5.00,7.00,3,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REBOUCAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3005658,9.00,6.00,9.00,8.00,7.00,5.50,7.00,8.00,9.00,220,NULL,208,'COROA DO MEIO','ARACAJU','SE',305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005666,3.00,6.00,3.00,5.00,3.00,NULL,3.00,7.00,5.00,233,NULL,211,'POMERANOS','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3005682,6.00,6.00,5.00,5.00,6.00,5.75,3.00,7.00,3.00,450,NULL,NULL,'SANTO ANTONIO','AMPARO','SP',7439,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005690,4.00,5.00,4.00,6.00,6.00,4.50,3.00,7.00,3.00,420,NULL,NULL,'CARNEIROS','LAJEADO','RS',9059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BOA VISTA','PINDAMONHANGABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3005712,5.00,8.00,6.00,7.00,6.00,5.25,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','ANAURILâNDIA','MS',3108,1108,NULL,NULL,NULL,NULL,NULL,2,8),(16,3005720,8.00,7.00,9.00,6.00,6.00,7.25,6.00,9.00,7.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',903,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005739,5.00,6.00,5.00,5.00,6.00,4.75,1.00,5.00,4.00,208,NULL,238,'ARIRIÚ','PALHOÇA','SC',11007,346,NULL,317,NULL,NULL,NULL,2,1),(16,3005747,6.00,6.00,4.00,5.00,5.00,6.75,4.00,7.00,8.00,216,NULL,233,'CENTRO','PNT PORÃ','MS',5733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005755,7.00,5.00,4.00,5.00,4.00,6.50,6.00,4.00,5.00,303,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',6712,308,NULL,NULL,NULL,NULL,NULL,2,1),(16,3005763,4.00,3.00,5.00,8.00,5.00,6.50,3.00,1.00,6.00,103,NULL,NULL,'SAO SEBASTIAO','PIRES RIO','GO',8978,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3005771,7.00,7.00,5.00,8.00,5.00,4.75,5.00,7.00,4.00,211,NULL,233,'JARDIM PANORAMA','GUARATINGUETÁ','SP',5410,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3005798,3.00,5.00,2.00,3.00,4.00,5.00,3.00,7.00,4.00,214,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',13577,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3005801,8.00,5.00,3.00,8.00,6.00,5.00,2.00,6.00,5.00,303,NULL,NULL,'JARDIM TABOÃO','S PAULO','SP',7291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005810,4.00,4.00,4.00,5.00,4.00,6.00,3.00,7.00,4.00,211,NULL,214,'VILA OLIVEIRA','MOGI CRUZES','SP',12469,434,NULL,406,NULL,NULL,NULL,2,8),(16,3005828,5.00,6.00,3.00,4.00,5.00,4.50,2.00,7.00,3.00,303,NULL,NULL,'PEREQUE','PTO BELO','SC',12028,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3005836,7.00,7.00,2.00,8.00,5.00,5.00,4.00,8.00,7.00,211,NULL,213,'CENTRO','CURITIBA','PR',3857,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3005844,5.00,4.00,3.00,3.00,6.00,5.00,5.00,8.00,6.00,420,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',8567,73,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005852,3.00,3.00,3.00,6.00,6.00,6.00,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','CAMBORIÚ','SC',14181,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3005860,6.00,2.00,4.00,1.00,6.00,6.00,2.00,4.00,4.00,502,NULL,NULL,'SAO VICENTE','HERVAL D OESTE','SC',15038,62,NULL,NULL,NULL,NULL,NULL,4,7),(16,3005879,4.00,5.00,2.00,6.00,5.00,5.00,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','STA CECÍLIA','SC',11730,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3005895,2.00,5.00,5.00,9.00,6.00,6.00,1.00,5.00,5.00,333,NULL,NULL,'BROOKLIN','S PAULO','SP',10053,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3005909,6.00,6.00,2.00,7.00,4.00,4.75,4.00,8.00,5.00,301,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',6827,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3005917,7.00,8.00,8.00,5.00,8.00,6.75,6.00,9.00,8.00,203,NULL,202,'J B TONIAL','XANXERÊ','SC',709,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3005941,5.00,3.00,8.00,9.00,6.00,5.50,2.00,7.00,8.00,220,NULL,203,'VILLA ADYANNA','S JOSÉ CAMPOS','SP',4001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005950,7.00,3.00,1.00,6.00,7.00,7.25,3.00,7.00,4.00,428,NULL,426,'CAMPO DUNA','GAROPABA','SC',9563,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3005968,4.00,5.00,2.00,1.00,3.00,NULL,0.00,2.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005976,9.00,8.00,6.00,9.00,8.00,5.75,7.00,8.00,8.00,108,NULL,NULL,'COROA DO MEIO','ARACAJU','SE',417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3005984,9.00,8.00,8.00,9.00,7.00,6.75,6.00,9.00,8.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006000,6.00,5.00,5.00,8.00,7.00,6.00,4.00,7.00,6.00,303,NULL,NULL,'FLORESTA','JOINVILLE','SC',4938,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3006018,7.00,8.00,7.00,7.00,7.00,4.50,5.00,7.00,6.00,203,NULL,NULL,'CENTRO','PALHOÇA','SC',2443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006034,4.00,3.00,2.00,1.00,3.00,NULL,2.00,7.00,4.00,208,NULL,NULL,'STEFFEN','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3006042,2.00,7.00,2.00,7.00,6.00,5.50,4.00,7.00,3.00,211,NULL,233,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',10445,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3006050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3006069,7.00,7.00,4.00,5.00,8.00,7.00,2.00,6.00,5.00,108,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',6539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006077,2.00,4.00,2.00,2.00,5.00,NULL,1.00,3.00,3.00,319,NULL,NULL,'SÃO JOÃO','ITAPEVI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3006085,4.00,5.00,1.00,4.00,6.00,4.50,3.00,4.00,4.00,420,NULL,NULL,'PETRÓPOLIS','JOINVILLE','SC',14524,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3006093,4.00,2.00,2.00,3.00,4.00,5.00,3.00,4.00,5.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006107,6.00,7.00,7.00,8.00,6.00,6.00,3.00,7.00,8.00,103,NULL,NULL,'ASA NORTE','BRASíLIA','DF',2133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(16,3006123,7.00,3.00,3.00,7.00,5.00,6.25,4.00,5.00,6.00,102,NULL,NULL,'TATUAPE','S PAULO','SP',7854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006131,4.00,4.00,1.00,3.00,5.00,5.00,3.00,4.00,4.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15911,158,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006140,6.00,8.00,7.00,9.00,5.00,6.50,5.00,6.00,7.00,340,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',2096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006158,4.00,2.00,1.00,3.00,3.00,NULL,2.00,6.00,5.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3006166,3.00,7.00,6.00,7.00,7.00,6.50,2.00,8.00,4.00,201,NULL,215,'CENTRO','BAL PIÇARRAS','SC',5605,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3006174,8.00,6.00,5.00,7.00,6.00,5.75,2.00,7.00,5.00,303,NULL,NULL,'CONDOMÍNIO MARAMBAIA','VINHEDO','SP',4995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006190,7.00,8.00,4.00,6.00,5.00,5.75,3.00,8.00,6.00,304,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',5774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006204,6.00,5.00,2.00,6.00,5.00,6.25,5.00,7.00,6.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',7141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR SUDOESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3006220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3006239,6.00,7.00,5.00,7.00,7.00,6.25,4.00,8.00,5.00,428,NULL,423,'CANASVIEIRAS','FLORIANÓPOLIS','SC',3868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'JARDIM ALVORADA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3006255,5.00,6.00,6.00,2.00,5.00,6.00,3.00,5.00,5.00,207,NULL,201,'CARIANOS','FLORIANÓPOLIS','SC',10281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006263,5.00,3.00,4.00,7.00,3.00,NULL,3.00,5.00,3.00,202,NULL,201,'SANTO AMARO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3006298,3.00,1.00,2.00,3.00,4.00,NULL,4.00,1.00,1.00,319,NULL,NULL,'CENTRO','CANDELáRIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3006301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3006310,3.00,5.00,3.00,6.00,3.00,NULL,2.00,3.00,2.00,310,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3006328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO CRISTOVAO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3006336,3.00,4.00,3.00,5.00,5.00,5.50,1.00,7.00,5.00,453,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANóPOLIS','SC',12038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006379,2.00,3.00,2.00,4.00,4.00,6.00,5.00,3.00,3.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16271,62,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3006395,4.00,4.00,2.00,4.00,4.00,4.75,2.00,3.00,2.00,103,NULL,NULL,'SÃO CRISTOVÃO','PAPANDUVA','SC',16661,2837,NULL,NULL,NULL,NULL,NULL,2,2),(16,3006409,7.00,6.00,7.00,9.00,9.00,6.00,4.00,9.00,6.00,103,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',1310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3006425,2.00,6.00,4.00,7.00,7.00,5.00,2.00,6.00,1.00,308,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',12919,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3006433,4.00,3.00,2.00,6.00,2.00,NULL,1.00,3.00,2.00,207,NULL,212,'RODRIGUES','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3006450,5.00,7.00,4.00,9.00,6.00,5.75,3.00,5.00,2.00,320,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006476,6.00,7.00,6.00,9.00,8.00,7.00,7.00,7.00,7.00,203,NULL,208,'PANTANAL','FLORIANóPOLIS','SC',1179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006484,8.00,8.00,6.00,9.00,7.00,4.50,5.00,8.00,7.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006506,7.00,8.00,4.00,7.00,9.00,7.50,3.00,9.00,8.00,103,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',1340,612,NULL,NULL,NULL,NULL,NULL,4,4),(16,3006514,5.00,5.00,6.00,5.00,6.00,5.50,4.00,8.00,6.00,215,NULL,216,'CENTRO','BARRA VELHA','SC',5926,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3006522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3006530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3006549,6.00,6.00,3.00,2.00,4.00,6.00,3.00,6.00,6.00,102,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANóPOLIS','SC',10906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006557,3.00,4.00,5.00,4.00,5.00,5.00,7.00,6.00,6.00,203,NULL,214,'CENTRO','TRÊS LAGOAS','MS',8576,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3006565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA RUSSIA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3006573,9.00,7.00,5.00,9.00,9.00,6.00,6.00,9.00,7.00,319,NULL,NULL,'JD LEONOR M BARROS','S PAULO','SP',690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,202,'JARDIM CONSÓRCIO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3006603,4.00,3.00,3.00,2.00,4.00,NULL,3.00,3.00,2.00,108,NULL,NULL,'C NOVO LOT MADRI','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3006638,7.00,8.00,6.00,8.00,8.00,6.00,6.00,8.00,8.00,220,NULL,201,'AGUA VERDE','CURITIBA','PR',711,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3006646,7.00,7.00,6.00,5.00,4.00,5.75,4.00,5.00,4.00,207,NULL,201,'ARAÉS','CUIABÁ','MT',7473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3006662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM SAO MIGUEL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3006670,5.00,3.00,2.00,3.00,4.00,NULL,2.00,1.00,3.00,5,NULL,NULL,'JARDIM ITÁLIA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3006697,4.00,2.00,2.00,4.00,4.00,4.00,4.00,4.00,3.00,340,NULL,NULL,'CENTRO','PRESIDENTE GETULIO','SC',16502,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3006700,5.00,4.00,2.00,6.00,4.00,6.00,2.00,2.00,2.00,103,NULL,NULL,'ARAPONGUINHAS','TIMBó','SC',15969,2785,NULL,NULL,NULL,NULL,NULL,2,2),(16,3006727,5.00,6.00,6.00,8.00,7.00,5.75,4.00,7.00,6.00,214,NULL,211,'GONZAGA','SANTOS','SP',3451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006735,3.00,6.00,1.00,9.00,4.00,6.75,2.00,7.00,5.00,428,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',9948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006751,3.00,6.00,2.00,6.00,6.00,7.00,2.00,5.00,4.00,202,NULL,233,'LOMBA','ORLEANS','SC',11354,406,NULL,357,NULL,NULL,NULL,2,5),(16,3006760,4.00,5.00,6.00,7.00,6.00,7.50,3.00,7.00,2.00,208,NULL,238,'JARDIM PAULISTA','ATIBAIA','SP',7174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006778,5.00,6.00,5.00,6.00,5.00,5.50,3.00,7.00,5.00,211,NULL,201,'BOM RETIRO','JOINVILLE','SC',6991,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3006786,5.00,4.00,4.00,4.00,7.00,6.25,1.00,4.00,5.00,102,NULL,NULL,'INTERLAGOS','S PAULO','SP',10719,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3006794,2.00,4.00,3.00,7.00,5.00,3.00,1.00,4.00,2.00,101,NULL,NULL,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3006808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'OLARIAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3006816,2.00,3.00,5.00,7.00,6.00,5.25,4.00,6.00,3.00,428,NULL,421,'CENTRO','TUBARãO','SC',10862,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3006824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3006832,6.00,8.00,3.00,8.00,8.00,6.25,2.00,6.00,5.00,103,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',4241,1346,NULL,NULL,NULL,NULL,NULL,4,4),(16,3006840,6.00,5.00,1.00,8.00,8.00,6.00,3.00,6.00,5.00,5,NULL,NULL,'CENTRO','PARANAVAí','PR',7183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006859,9.00,8.00,7.00,8.00,7.00,7.75,4.00,8.00,8.00,103,NULL,NULL,'SÃO LUÍS','JARAGUÁ SUL','SC',757,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3006891,6.00,3.00,1.00,6.00,6.00,4.25,3.00,3.00,2.00,211,NULL,201,'CENTRO','JOAÇABA','SC',14033,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3006905,3.00,4.00,4.00,6.00,4.00,5.00,3.00,3.00,6.00,208,NULL,NULL,'VILA NOVA','PTO ALEGRE','RS',12363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3006913,6.00,3.00,4.00,5.00,4.00,6.25,5.00,9.00,4.00,207,NULL,215,'CAMBUCI','S PAULO','SP',7762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006921,6.00,4.00,8.00,4.00,8.00,5.00,4.00,9.00,6.00,220,NULL,203,'VILA CAROLINA','CPO GRANDE','MS',3409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006930,8.00,9.00,8.00,9.00,8.00,7.25,7.00,8.00,8.00,303,NULL,NULL,'VELHA','BLUMENAU','SC',138,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3006948,7.00,8.00,7.00,7.00,8.00,6.00,5.00,9.00,7.00,207,NULL,233,'COQUEIROS','FLORIANÓPOLIS','SC',963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006956,5.00,6.00,4.00,9.00,6.00,5.75,3.00,5.00,4.00,207,NULL,208,'JARDIM ITAPERI','ATIBAIA','SP',8053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006964,7.00,8.00,8.00,9.00,7.00,7.00,6.00,9.00,8.00,203,NULL,220,'MIGUEL SUTIL','CUIABÁ','MT',269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3006972,4.00,5.00,4.00,5.00,8.00,5.25,2.00,3.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3006980,9.00,7.00,10.00,9.00,8.00,5.50,9.00,9.00,8.00,103,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',43,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3006999,0.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(16,3007014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'ZONA DOIS','CIANORTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3007022,4.00,6.00,3.00,5.00,6.00,5.00,3.00,6.00,5.00,2,NULL,NULL,'SERRARIA','S JOSÉ','SC',10222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007030,3.00,6.00,2.00,5.00,4.00,6.00,1.00,6.00,4.00,424,NULL,428,'CENTRO','FLORIANÓPOLIS','SC',13105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007049,7.00,6.00,7.00,9.00,6.00,6.75,7.00,6.00,8.00,103,NULL,NULL,'CENTRO','NOVA TRENTO','SC',1096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007057,6.00,4.00,3.00,3.00,3.00,NULL,2.00,6.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007065,9.00,8.00,7.00,8.00,7.00,7.50,5.00,8.00,6.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007073,7.00,6.00,6.00,6.00,6.00,5.50,4.00,8.00,5.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',3802,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3007081,3.00,9.00,7.00,9.00,8.00,5.50,4.00,7.00,6.00,202,NULL,213,'MICHEL','CRICIúMA','SC',2981,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3007111,8.00,7.00,9.00,9.00,9.00,5.75,7.00,8.00,7.00,340,NULL,NULL,'SÃO JOÃO','PTO ALEGRE','RS',325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007120,5.00,3.00,3.00,3.00,3.00,NULL,2.00,2.00,2.00,303,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3007138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3007146,5.00,4.00,3.00,7.00,6.00,5.25,3.00,2.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007162,3.00,6.00,6.00,8.00,7.00,7.50,3.00,8.00,4.00,103,NULL,NULL,'PIO X','CAXIAS SUL','RS',4212,1342,NULL,NULL,NULL,NULL,NULL,4,4),(16,3007170,3.00,3.00,1.00,4.00,4.00,5.50,3.00,4.00,3.00,216,NULL,NULL,'SAYONARA','CATANDUVAS','SC',16416,502,NULL,NULL,NULL,NULL,NULL,4,7),(16,3007189,7.00,6.00,4.00,8.00,7.00,6.75,2.00,8.00,7.00,103,NULL,NULL,'ARIRIBA','BAL CAMBORIÚ','SC',3395,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3007197,3.00,4.00,1.00,4.00,4.00,NULL,2.00,2.00,3.00,429,NULL,421,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007200,5.00,5.00,5.00,6.00,6.00,6.25,4.00,8.00,6.00,104,NULL,NULL,'LA SALLE','XANXERÊ','SC',6202,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3007219,3.00,3.00,1.00,6.00,4.00,NULL,2.00,3.00,2.00,316,NULL,NULL,'ITAGUACU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'COLÔNIA DONA LUIZA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3007235,4.00,3.00,1.00,7.00,4.00,7.00,2.00,5.00,3.00,453,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',15012,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007243,4.00,4.00,3.00,7.00,6.00,6.00,2.00,6.00,3.00,301,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',11084,204,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3007278,3.00,3.00,3.00,3.00,3.00,NULL,1.00,4.00,1.00,304,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007286,6.00,6.00,6.00,7.00,6.00,5.00,6.00,7.00,6.00,233,NULL,215,'CARIANOS','FLORIANÓPOLIS','SC',3362,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007316,4.00,5.00,5.00,3.00,5.00,5.00,4.00,7.00,6.00,207,NULL,201,'MENINO DEUS','PATO BRANCO','PR',9731,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3007332,4.00,1.00,3.00,4.00,7.00,NULL,1.00,4.00,3.00,324,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007340,3.00,3.00,2.00,6.00,4.00,4.00,0.00,5.00,3.00,211,NULL,207,'CENTRO','TERRA ROXA','PR',16670,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3007359,4.00,6.00,4.00,6.00,4.00,6.00,2.00,4.00,2.00,308,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',13561,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CIDADE JARDIM','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3007391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','LAPA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3007405,9.00,7.00,6.00,9.00,7.00,5.25,6.00,9.00,6.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007421,3.00,8.00,4.00,9.00,6.00,7.00,2.00,4.00,3.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007430,5.00,4.00,2.00,3.00,3.00,NULL,2.00,4.00,2.00,317,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,208,'BOCKMANN','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3007456,5.00,5.00,4.00,8.00,4.00,5.75,5.00,5.00,4.00,203,NULL,214,'JARDIM ITÁLIA','CHAPECÓ','SC',9408,679,NULL,324,NULL,NULL,NULL,2,4),(16,3007472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VISTA ALEGRE','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3007499,1.00,2.00,2.00,7.00,4.00,NULL,1.00,2.00,4.00,201,NULL,212,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007502,6.00,3.00,4.00,4.00,4.00,5.25,3.00,2.00,2.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16071,161,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007510,7.00,4.00,3.00,9.00,3.00,NULL,5.00,6.00,6.00,216,NULL,233,'CAMBUÍ','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'NOVA HIGIENÓPOLIS','JANDIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3007537,4.00,3.00,4.00,5.00,3.00,NULL,3.00,5.00,2.00,102,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007545,3.00,5.00,5.00,1.00,6.00,5.00,3.00,7.00,3.00,501,NULL,NULL,'NOVA PETRÓPOLIS','JOAÇABA','SC',13553,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3007553,6.00,7.00,3.00,8.00,7.00,6.50,4.00,8.00,7.00,404,NULL,NULL,'BARREIROS','S JOSÉ','SC',3144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARRA TIJUCA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3007588,7.00,6.00,3.00,7.00,5.00,7.25,3.00,7.00,3.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6800,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007596,3.00,4.00,1.00,6.00,7.00,5.50,3.00,5.00,3.00,301,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',12558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','COLÍDER','MT',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3007618,7.00,5.00,4.00,6.00,6.00,6.25,5.00,3.00,6.00,415,NULL,NULL,'JARDIM CIDADE DE FLO','S JOSÉ','SC',7074,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007626,9.00,5.00,9.00,9.00,8.00,6.00,6.00,9.00,9.00,103,NULL,NULL,'CAPAO RASO','CURITIBA','PR',357,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3007650,8.00,8.00,7.00,6.00,7.00,6.00,5.00,8.00,8.00,103,NULL,NULL,'ANDORINHA','ITAPEMA','SC',1045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007669,4.00,4.00,4.00,3.00,4.00,6.00,0.00,6.00,3.00,201,NULL,211,'CENTRO','CAXIAS SUL','RS',15183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007677,2.00,5.00,4.00,5.00,2.00,NULL,4.00,3.00,3.00,201,NULL,212,'SETOR JAO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3007693,6.00,8.00,4.00,9.00,7.00,4.75,2.00,8.00,5.00,319,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',4918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007707,6.00,7.00,6.00,5.00,6.00,5.75,6.00,8.00,5.00,213,NULL,220,'ATIRADORES','JOINVILLE','SC',2996,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3007715,7.00,5.00,5.00,6.00,6.00,6.00,3.00,7.00,5.00,216,NULL,202,'CAMPECHE','FLORIANÓPOLIS','SC',5972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA DOIS','CIANORTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3007740,3.00,0.00,3.00,5.00,5.00,NULL,3.00,2.00,2.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007758,3.00,5.00,3.00,6.00,6.00,6.00,4.00,6.00,3.00,451,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',11459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007766,6.00,7.00,5.00,6.00,7.00,6.50,1.00,7.00,7.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',5770,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3007774,4.00,2.00,5.00,4.00,3.00,NULL,3.00,5.00,6.00,215,NULL,212,'VILA PROGRESSO','GUARULHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007790,7.00,8.00,3.00,7.00,7.00,6.50,2.00,8.00,6.00,216,NULL,215,'FAZENDA','ITAJAÍ','SC',3924,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3007804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3007839,6.00,5.00,4.00,8.00,8.00,5.00,4.00,8.00,8.00,203,NULL,214,'ALTO DO IPIRANGA','S PAULO','SP',3222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007847,4.00,5.00,2.00,7.00,5.00,6.75,2.00,5.00,2.00,207,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11800,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007855,6.00,5.00,4.00,9.00,5.00,6.50,3.00,8.00,2.00,319,NULL,NULL,'BELA ALIANÇA','S PAULO','SP',7269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007863,5.00,5.00,2.00,6.00,3.00,NULL,4.00,5.00,3.00,103,NULL,NULL,'JARDIM ANA PAULA','ANÁPOLIS','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007880,3.00,5.00,2.00,8.00,6.00,5.25,3.00,4.00,5.00,220,NULL,203,'CENTRO','SORRISO','MT',11129,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3007898,3.00,4.00,3.00,3.00,1.00,NULL,3.00,7.00,4.00,207,NULL,NULL,'VILA MADALENA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007901,3.00,3.00,2.00,6.00,4.00,5.50,1.00,6.00,2.00,310,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',15930,66,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007910,3.00,3.00,1.00,7.00,7.00,6.50,2.00,6.00,2.00,320,NULL,NULL,'RIO DA LUZ','JARAGUÁ SUL','SC',12609,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3007928,5.00,5.00,3.00,3.00,4.00,4.25,3.00,6.00,2.00,328,NULL,NULL,'JARDIM CALEGARIS','PAULÍNIA','SP',15108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3007944,6.00,7.00,5.00,5.00,5.00,4.50,3.00,6.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7664,1937,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007952,4.00,7.00,1.00,7.00,7.00,6.50,3.00,6.00,4.00,319,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',8086,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007960,8.00,9.00,6.00,8.00,7.00,5.50,4.00,8.00,6.00,333,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1720,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007979,3.00,4.00,3.00,5.00,2.00,NULL,3.00,4.00,5.00,101,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3007987,2.00,6.00,4.00,9.00,8.00,6.50,2.00,5.00,3.00,216,NULL,201,'CENTRO','MRO FUMAÇA','SC',8048,297,NULL,633,NULL,NULL,NULL,4,5),(16,3008002,2.00,2.00,2.00,6.00,4.00,6.50,2.00,6.00,2.00,308,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15531,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3008010,6.00,4.00,1.00,2.00,4.00,5.25,2.00,5.00,3.00,502,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',16327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008029,5.00,4.00,4.00,8.00,6.00,6.50,4.00,5.00,4.00,303,NULL,NULL,'LIMOEIRO','BRUSQUE','SC',8134,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3008037,2.00,6.00,3.00,7.00,7.00,5.00,3.00,3.00,0.00,212,NULL,201,'FORQUILHAS','S JOSé','SC',14514,410,NULL,1109,NULL,NULL,NULL,2,1),(16,3008045,5.00,5.00,1.00,1.00,5.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008061,3.00,3.00,3.00,4.00,7.00,5.50,2.00,6.00,5.00,103,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',13178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008070,7.00,6.00,7.00,6.00,7.00,5.50,5.00,9.00,8.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',1488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008088,4.00,5.00,2.00,4.00,6.00,7.00,1.00,3.00,3.00,428,NULL,424,'VILA REAL','BAL CAMBORIú','SC',14190,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3008118,4.00,6.00,4.00,3.00,2.00,NULL,4.00,5.00,5.00,216,NULL,NULL,'VILA NOVA','VL NOVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008126,2.00,3.00,1.00,6.00,3.00,NULL,2.00,4.00,0.00,444,NULL,NULL,'BOM JESUS','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3008134,5.00,6.00,3.00,8.00,8.00,7.25,3.00,7.00,3.00,5,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',5594,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3008142,7.00,6.00,4.00,8.00,6.00,5.50,5.00,9.00,7.00,301,NULL,NULL,'FIGUEIRA','JACINTO MACHADO','SC',3060,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3008150,5.00,6.00,1.00,9.00,8.00,6.50,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6613,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3008169,6.00,3.00,3.00,4.00,4.00,5.00,1.00,4.00,6.00,103,NULL,NULL,'UNIVERSITÁRIO','CHAPECÓ','SC',13741,2592,NULL,NULL,NULL,NULL,NULL,2,4),(16,3008177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3008193,3.00,6.00,6.00,5.00,5.00,4.50,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',10038,2219,NULL,NULL,NULL,NULL,NULL,4,4),(16,3008207,5.00,5.00,3.00,7.00,6.00,6.50,3.00,5.00,7.00,319,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',7681,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3008215,7.00,8.00,7.00,6.00,6.00,4.25,4.00,7.00,7.00,103,NULL,NULL,'BAEPENDI','JARAGUÁ SUL','SC',3505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008223,7.00,7.00,9.00,9.00,6.00,6.00,6.00,8.00,8.00,203,NULL,NULL,'BELA VISTA','PTE SERRADA','SC',858,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3008231,3.00,3.00,6.00,5.00,6.00,4.50,4.00,5.00,4.00,450,NULL,NULL,'JARDIM AVELINO','S PAULO','SP',11182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008240,3.00,1.00,2.00,4.00,2.00,NULL,3.00,1.00,3.00,302,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3008258,4.00,4.00,5.00,5.00,7.00,6.50,5.00,4.00,5.00,216,NULL,215,'BELA VISTA','S PAULO','SP',7660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008266,5.00,6.00,3.00,7.00,7.00,8.00,1.00,3.00,3.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008274,3.00,0.00,4.00,2.00,2.00,NULL,3.00,5.00,3.00,104,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008290,4.00,2.00,3.00,0.00,3.00,NULL,3.00,5.00,5.00,216,NULL,215,'JARDIM HANTSCHEL','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3008304,5.00,4.00,3.00,8.00,6.00,6.25,3.00,4.00,5.00,103,NULL,NULL,'JARDIM AMERICA','CAXIAS SUL','RS',9085,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3008312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO VICAENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3008320,6.00,2.00,6.00,4.00,5.00,6.25,2.00,4.00,6.00,302,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',10937,121,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008339,3.00,2.00,3.00,3.00,3.00,NULL,3.00,4.00,3.00,453,NULL,NULL,'CENTRO','CHIAPETTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008363,3.00,5.00,4.00,7.00,5.00,4.00,5.00,4.00,3.00,102,NULL,NULL,'CENTRO','S BENTO SUL','SC',11745,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3008371,6.00,6.00,4.00,7.00,5.00,5.50,2.00,7.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7146,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3008380,9.00,8.00,8.00,8.00,8.00,6.25,5.00,7.00,6.00,201,NULL,212,'AMÉRICA','JOINVILLE','SC',712,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3008398,3.00,3.00,2.00,8.00,2.00,NULL,1.00,1.00,4.00,301,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3008401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'PRAIA DO CANTO','VITÓRIA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3008436,5.00,9.00,9.00,7.00,7.00,5.75,5.00,6.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',1600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008444,3.00,8.00,5.00,7.00,7.00,7.50,1.00,9.00,2.00,317,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',7016,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3008452,5.00,4.00,2.00,2.00,7.00,4.50,3.00,4.00,4.00,5,NULL,NULL,'AQUARIUS','IRACEMáPOLIS','SP',14189,476,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008460,7.00,6.00,2.00,8.00,6.00,7.25,4.00,7.00,5.00,501,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008479,4.00,3.00,2.00,7.00,5.00,6.00,3.00,5.00,2.00,301,NULL,NULL,'MATA DA PRAIA','VITÓRIA','ES',13902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008487,3.00,3.00,3.00,4.00,6.00,NULL,1.00,4.00,3.00,102,NULL,NULL,'SAYONARA','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3008495,2.00,6.00,3.00,4.00,4.00,0.00,3.00,5.00,3.00,238,NULL,208,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3008509,8.00,4.00,6.00,7.00,5.00,5.75,4.00,8.00,6.00,202,NULL,216,'PACAEMBU','ITUPEVA','SP',3686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008525,5.00,6.00,6.00,9.00,8.00,4.50,1.00,8.00,4.00,201,NULL,202,'SANTA MARIA','CHAPECÓ','SC',4711,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3008533,4.00,4.00,1.00,3.00,4.00,6.00,3.00,7.00,3.00,503,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3008541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'TRIANON','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3008550,6.00,7.00,9.00,9.00,7.00,6.50,6.00,8.00,6.00,5,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008584,4.00,5.00,3.00,8.00,5.00,5.00,3.00,5.00,5.00,103,NULL,NULL,'JARDIM SILVEIRA','BARUERI','SP',9992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008606,4.00,4.00,3.00,2.00,4.00,6.50,2.00,4.00,4.00,303,NULL,NULL,'CENTRO','ITUPORANGA','SC',15947,688,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008622,3.00,3.00,1.00,3.00,3.00,NULL,3.00,2.00,2.00,404,NULL,NULL,'JARDIM JANAÍNA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3008630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3008657,7.00,6.00,6.00,7.00,6.00,5.50,5.00,8.00,5.00,326,NULL,NULL,'EFAPI','CHAPECÓ','SC',3391,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3008665,4.00,4.00,2.00,4.00,3.00,NULL,2.00,4.00,4.00,3,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3008673,8.00,9.00,8.00,7.00,7.00,6.25,5.00,9.00,8.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',628,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3008681,2.00,3.00,2.00,6.00,2.00,NULL,4.00,6.00,1.00,316,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3008690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'PITUBA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3008703,6.00,3.00,2.00,6.00,7.00,4.25,4.00,3.00,5.00,202,NULL,216,'UBATUBA','S FRANCISCO SUL','SC',12000,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3008711,7.00,6.00,2.00,8.00,6.00,4.75,4.00,6.00,7.00,201,NULL,207,'CENTRO','CACHOEIRA SUL','RS',4990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008720,2.00,4.00,3.00,3.00,6.00,4.50,4.00,3.00,3.00,308,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008738,1.00,1.00,2.00,5.00,5.00,NULL,2.00,3.00,4.00,309,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3008789,4.00,4.00,2.00,6.00,3.00,NULL,1.00,6.00,1.00,201,NULL,212,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3008827,2.00,2.00,2.00,6.00,4.00,NULL,2.00,3.00,4.00,308,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3008835,9.00,8.00,9.00,8.00,9.00,8.50,8.00,9.00,8.00,103,NULL,NULL,'VILA FLORESTA','CRICIÚMA','SC',7,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3008851,5.00,7.00,4.00,7.00,5.00,5.25,3.00,6.00,4.00,214,NULL,216,'CENTRO','PNT GROSSA','PR',7795,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3008886,6.00,7.00,6.00,6.00,7.00,7.50,5.00,7.00,7.00,211,NULL,233,'CENTRO','FLORIANóPOLIS','SC',2212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008894,4.00,1.00,3.00,4.00,3.00,NULL,1.00,3.00,1.00,333,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3008908,7.00,7.00,4.00,8.00,7.00,5.25,5.00,7.00,7.00,216,NULL,215,'DANIELA','FLORIANÓPOLIS','SC',3089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008916,6.00,6.00,5.00,6.00,6.00,6.25,4.00,8.00,5.00,415,NULL,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',4987,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3008924,6.00,6.00,4.00,8.00,7.00,6.50,3.00,8.00,7.00,301,NULL,NULL,'JD ESPLANADA','PRES PRUDENTE','SP',3840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008932,4.00,5.00,4.00,3.00,6.00,6.00,4.00,5.00,6.00,220,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',9134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008940,4.00,2.00,4.00,2.00,0.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'CENTRO','HORIZONTINA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3008959,2.00,2.00,2.00,5.00,3.00,NULL,4.00,3.00,4.00,238,NULL,208,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008967,4.00,4.00,2.00,5.00,4.00,4.75,5.00,3.00,3.00,324,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',14854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3008975,6.00,6.00,8.00,8.00,7.00,7.25,4.00,6.00,7.00,303,NULL,NULL,'URIAS MAGALHÃES','GOIâNIA','GO',1921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3008983,6.00,6.00,2.00,8.00,7.00,6.50,2.00,7.00,4.00,303,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',6339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3008991,4.00,0.00,4.00,5.00,4.00,NULL,2.00,3.00,3.00,5,NULL,NULL,'CENTRO','MASSARANDUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3009009,5.00,6.00,5.00,2.00,5.00,5.50,5.00,5.00,5.00,3,NULL,NULL,'JARDIM NOVA LONDRES','LONDRINA','PR',9785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009025,7.00,8.00,5.00,8.00,7.00,5.75,2.00,7.00,3.00,420,NULL,NULL,'TAQUARUSSU','CPO GRANDE','MS',4616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009033,2.00,2.00,1.00,4.00,3.00,NULL,2.00,1.00,3.00,444,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009041,6.00,4.00,2.00,5.00,5.00,5.75,4.00,5.00,4.00,303,NULL,NULL,'JARDIM MORADA DO SOL','INDAIATUBA','SP',11134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009050,6.00,2.00,2.00,6.00,5.00,5.00,4.00,3.00,4.00,233,NULL,215,'SANTA MÔNICA','FLORIANÓPOLIS','SC',14156,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009068,3.00,4.00,1.00,6.00,3.00,NULL,3.00,3.00,5.00,303,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3009092,7.00,5.00,6.00,7.00,6.00,4.75,4.00,7.00,7.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009106,4.00,5.00,3.00,3.00,2.00,NULL,0.00,3.00,5.00,215,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009114,3.00,3.00,2.00,6.00,6.00,5.00,2.00,2.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15087,325,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009122,5.00,6.00,1.00,5.00,3.00,NULL,3.00,3.00,2.00,502,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009130,4.00,2.00,4.00,3.00,4.00,4.75,3.00,5.00,6.00,301,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',14994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009149,8.00,8.00,6.00,9.00,7.00,4.75,7.00,9.00,8.00,103,NULL,NULL,'CORAL','LAGES','SC',609,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3009157,4.00,3.00,5.00,2.00,5.00,5.75,2.00,3.00,2.00,429,NULL,426,'PEDRO LUDOVICO','GOIÂNIA','GO',15884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009165,5.00,4.00,5.00,7.00,6.00,4.75,5.00,3.00,2.00,201,NULL,233,'JARDIM NOVA ALIANCA','RIBEIRÃO PRETO','SP',10126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009181,5.00,1.00,2.00,2.00,7.00,4.50,3.00,6.00,4.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',15258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009190,8.00,8.00,9.00,9.00,8.00,8.75,7.00,7.00,8.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',73,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009203,5.00,6.00,4.00,6.00,4.00,7.25,3.00,4.00,8.00,203,NULL,202,'BARREIROS','S JOSÉ','SC',7043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009211,7.00,5.00,6.00,9.00,6.00,5.25,5.00,6.00,7.00,207,NULL,202,'CARVOEIRA','FLORIANÓPOLIS','SC',3744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009220,3.00,4.00,5.00,2.00,5.00,6.25,2.00,5.00,3.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009238,3.00,5.00,4.00,3.00,3.00,NULL,3.00,5.00,4.00,444,NULL,NULL,'KOBRASSOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009254,5.00,4.00,3.00,8.00,5.00,4.50,4.00,4.00,3.00,201,NULL,208,'ITACORUBI','FLORIANÓPOLIS','SC',12429,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009262,6.00,2.00,1.00,2.00,4.00,5.00,4.00,5.00,2.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',16357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009297,4.00,4.00,1.00,7.00,5.00,6.25,2.00,4.00,3.00,104,NULL,NULL,'CENTRO','PALMITINHO','RS',14634,418,NULL,NULL,NULL,NULL,NULL,2,4),(16,3009300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3009319,5.00,3.00,2.00,1.00,2.00,NULL,4.00,3.00,2.00,216,NULL,203,'PAGARÁ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009327,3.00,4.00,1.00,3.00,3.00,NULL,3.00,6.00,2.00,234,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM ALICE','JAGUARIÚNA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3009343,8.00,4.00,2.00,6.00,5.00,5.25,2.00,5.00,4.00,303,NULL,NULL,'ARMAÇÃO P DO SUL','FLORIANóPOLIS','SC',10588,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3009360,4.00,4.00,1.00,4.00,3.00,NULL,1.00,3.00,3.00,207,NULL,215,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3009378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SETOR PERIM','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3009386,5.00,5.00,4.00,7.00,2.00,NULL,5.00,6.00,3.00,201,NULL,202,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009408,4.00,4.00,4.00,7.00,8.00,5.25,3.00,6.00,3.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',8414,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3009416,6.00,3.00,4.00,8.00,7.00,5.75,3.00,5.00,4.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3009424,3.00,3.00,3.00,5.00,5.00,5.75,3.00,2.00,4.00,207,NULL,201,'CENTRO','PENHA','SC',14616,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3009432,4.00,8.00,6.00,9.00,5.00,7.00,2.00,7.00,5.00,450,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',4458,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3009440,4.00,3.00,3.00,3.00,3.00,NULL,3.00,4.00,2.00,101,NULL,NULL,'FUNDOS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009467,4.00,3.00,4.00,9.00,6.00,7.00,3.00,4.00,6.00,318,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',8573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009475,8.00,7.00,7.00,5.00,5.00,6.00,6.00,8.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009483,3.00,2.00,2.00,8.00,4.00,6.00,3.00,2.00,6.00,101,NULL,NULL,'UBATUBA','S FRANCISCO SUL','SC',14506,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3009491,3.00,0.00,2.00,0.00,2.00,NULL,2.00,4.00,2.00,108,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3009505,4.00,4.00,2.00,6.00,5.00,5.00,3.00,6.00,5.00,9,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',11954,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009521,9.00,9.00,7.00,8.00,8.00,7.00,6.00,7.00,9.00,103,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',317,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3009530,3.00,5.00,1.00,3.00,5.00,NULL,1.00,3.00,2.00,108,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009548,8.00,5.00,5.00,8.00,6.00,6.00,6.00,6.00,9.00,103,NULL,NULL,'VILA NOVA','GOIâNIA','GO',1952,817,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009556,6.00,7.00,1.00,5.00,5.00,6.25,4.00,6.00,4.00,233,NULL,214,'JD CRISTO REI','MARÍLIA','SP',9262,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3009572,5.00,6.00,4.00,7.00,6.00,6.00,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6679,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3009580,3.00,5.00,8.00,5.00,6.00,5.75,3.00,6.00,8.00,203,NULL,202,'BOM CLIMA','GUARULHOS','SP',5285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009599,7.00,7.00,4.00,8.00,6.00,6.00,2.00,8.00,6.00,203,NULL,201,'MARIA GORETTI','CHAPECó','SC',3665,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3009602,3.00,2.00,1.00,2.00,4.00,NULL,1.00,3.00,5.00,309,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009610,6.00,2.00,3.00,4.00,5.00,5.25,0.00,4.00,3.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15151,200,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009629,8.00,8.00,9.00,9.00,9.00,8.00,7.00,7.00,9.00,103,NULL,NULL,'BAIRRO ALTO','BOTUCATU','SP',83,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009637,7.00,6.00,7.00,8.00,8.00,6.50,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009645,8.00,8.00,9.00,7.00,5.00,5.50,5.00,8.00,9.00,201,NULL,203,'ZONA SETE','MARINGÁ','PR',887,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3009653,3.00,3.00,4.00,2.00,4.00,5.00,4.00,3.00,4.00,202,NULL,201,'CENTRO','CHAPECÓ','SC',15069,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3009661,7.00,5.00,2.00,7.00,6.00,4.50,3.00,7.00,7.00,211,NULL,201,'CENTRO','STO AMARO IMPERATRIZ','SC',5911,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009670,3.00,4.00,3.00,5.00,4.00,6.50,3.00,3.00,6.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009696,6.00,8.00,7.00,9.00,8.00,7.00,5.00,9.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009700,2.00,6.00,1.00,8.00,6.00,6.50,3.00,4.00,1.00,427,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',12763,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3009718,7.00,5.00,5.00,2.00,7.00,6.75,4.00,7.00,3.00,101,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',7677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009726,2.00,4.00,2.00,3.00,3.00,NULL,2.00,5.00,4.00,444,NULL,NULL,'NA SA DO ROSARIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009734,5.00,4.00,4.00,7.00,5.00,5.75,2.00,6.00,6.00,102,NULL,NULL,'CENTRO','XANXERÊ','SC',8489,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3009742,7.00,7.00,3.00,8.00,8.00,5.75,6.00,5.00,5.00,453,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',3851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009750,5.00,5.00,3.00,7.00,4.00,5.00,1.00,3.00,3.00,302,NULL,NULL,'IAPI','PTO ALEGRE','RS',14826,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3009769,3.00,6.00,2.00,3.00,2.00,NULL,5.00,7.00,3.00,208,NULL,213,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009777,6.00,7.00,3.00,9.00,7.00,6.50,5.00,7.00,4.00,420,NULL,NULL,'JARDIM MARIA LUIZA','CASCAVEL','PR',4005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009785,7.00,8.00,6.00,6.00,5.00,5.50,3.00,8.00,5.00,203,NULL,201,'ATIRADORES','JOINVILLE','SC',3911,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3009807,8.00,8.00,6.00,7.00,7.00,5.50,5.00,7.00,7.00,203,NULL,214,'CENTRO','CPO GRANDE','MS',1771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009815,4.00,4.00,2.00,5.00,3.00,NULL,1.00,3.00,2.00,450,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009823,9.00,8.00,5.00,5.00,6.00,6.00,5.00,8.00,7.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',2005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009840,5.00,6.00,5.00,5.00,6.00,5.75,4.00,9.00,6.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',3967,1289,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009858,5.00,2.00,1.00,6.00,3.00,NULL,2.00,5.00,4.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMERICA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3009874,8.00,7.00,4.00,9.00,6.00,6.50,3.00,6.00,6.00,207,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',3480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009882,4.00,3.00,3.00,5.00,0.00,NULL,0.00,4.00,4.00,201,NULL,207,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3009890,5.00,3.00,4.00,7.00,3.00,NULL,2.00,1.00,2.00,101,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009904,4.00,4.00,4.00,5.00,5.00,5.75,2.00,6.00,3.00,201,NULL,212,'SERTÃO DO MARUIM','S JOSÉ','SC',12921,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'PERUS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3009920,5.00,6.00,8.00,3.00,7.00,6.25,5.00,5.00,7.00,203,NULL,202,'PARQUE RENATO MAIA','GUARULHOS','SP',4469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009939,6.00,6.00,4.00,7.00,6.00,6.00,3.00,7.00,3.00,103,NULL,NULL,'JARDIM DA GLORIA','COTIA','SP',6219,1718,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009955,9.00,7.00,8.00,8.00,8.00,6.75,6.00,9.00,9.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',123,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3009980,6.00,6.00,7.00,9.00,9.00,8.00,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3009998,6.00,3.00,3.00,7.00,4.00,6.25,4.00,4.00,4.00,201,NULL,207,'VILA LENZI','JARAGUÁ SUL','SC',11521,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3010007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'PROGRESSO','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3010015,3.00,5.00,7.00,7.00,7.00,4.75,2.00,9.00,5.00,203,NULL,233,'SANTA MARIA','CHAPECÓ','SC',6602,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3010023,9.00,9.00,8.00,8.00,5.00,7.25,5.00,8.00,8.00,103,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010031,7.00,6.00,4.00,7.00,5.00,6.25,4.00,6.00,3.00,103,NULL,NULL,'MOEMA','S PAULO','SP',5435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(16,3010058,4.00,6.00,2.00,3.00,4.00,5.25,2.00,4.00,2.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',15622,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3010066,7.00,4.00,2.00,8.00,5.00,5.50,2.00,7.00,3.00,453,NULL,NULL,'JARDIM CIDADE','SAO JOSE','SC',9673,64,NULL,NULL,NULL,NULL,NULL,2,1),(16,3010074,2.00,7.00,2.00,1.00,5.00,7.00,3.00,8.00,2.00,201,NULL,202,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',13504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010082,6.00,6.00,7.00,8.00,7.00,7.25,4.00,8.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010090,7.00,5.00,3.00,6.00,6.00,5.25,2.00,6.00,5.00,420,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',8659,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3010104,5.00,7.00,7.00,7.00,5.00,5.25,5.00,8.00,7.00,220,NULL,214,'RESIDENCIAL DO LAGO','LONDRINA','PR',2741,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3010112,7.00,6.00,5.00,8.00,8.00,7.75,4.00,6.00,6.00,103,NULL,NULL,'OLARIAS','PNT GROSSA','PR',2585,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3010120,4.00,6.00,5.00,8.00,4.00,5.00,2.00,6.00,4.00,415,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',9638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3010139,9.00,9.00,6.00,8.00,7.00,5.50,5.00,9.00,7.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010147,9.00,8.00,9.00,8.00,9.00,5.50,7.00,7.00,8.00,203,NULL,201,'CENTRO','BRAÇO NORTE','SC',208,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3010155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,215,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3010163,3.00,6.00,2.00,7.00,7.00,5.75,4.00,9.00,3.00,309,NULL,NULL,'ASA SUL','BRASÍLIA','DF',7461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3010171,6.00,6.00,4.00,6.00,5.00,4.50,3.00,5.00,5.00,501,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9279,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3010198,6.00,4.00,3.00,8.00,4.00,6.50,1.00,6.00,5.00,211,NULL,201,'BOTAFOGO','RIO JANEIRO','RJ',8734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3010210,5.00,5.00,2.00,3.00,4.00,6.25,4.00,5.00,2.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010228,1.00,2.00,4.00,8.00,5.00,6.75,1.00,6.00,2.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',14024,NULL,NULL,NULL,NULL,NULL,NULL,5,10),(16,3010260,4.00,5.00,3.00,7.00,4.00,5.75,2.00,5.00,3.00,238,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',13100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010279,9.00,8.00,5.00,9.00,8.00,6.75,5.00,8.00,8.00,203,NULL,214,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010295,4.00,5.00,1.00,6.00,5.00,4.25,3.00,5.00,3.00,207,NULL,213,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',13617,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3010309,4.00,2.00,4.00,4.00,5.00,6.25,1.00,2.00,4.00,103,NULL,NULL,'JARDIM CIDADE','S JOSé','SC',15101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'JARDIM ALVORADA','PARAGUAÇU PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3010341,8.00,7.00,6.00,5.00,2.00,NULL,2.00,7.00,5.00,203,NULL,201,'CENTRO','SINOP','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3010368,6.00,7.00,3.00,9.00,8.00,6.75,5.00,6.00,6.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',2699,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3010376,6.00,5.00,4.00,6.00,6.00,6.25,5.00,6.00,3.00,302,NULL,NULL,'BARRA DO ARIRIÚ','PALHOçA','SC',8120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3010384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MATELÂNDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3010392,5.00,3.00,1.00,3.00,4.00,3.00,3.00,5.00,3.00,324,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3010406,8.00,8.00,9.00,6.00,8.00,7.00,5.00,7.00,7.00,103,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010414,8.00,5.00,6.00,6.00,5.00,4.75,4.00,7.00,6.00,333,NULL,NULL,'SANTO ANTONIO','FLORIANÓPOLIS','SC',5753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010422,3.00,3.00,1.00,5.00,3.00,NULL,0.00,3.00,2.00,301,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010449,2.00,3.00,1.00,1.00,2.00,NULL,2.00,2.00,0.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010457,6.00,4.00,1.00,6.00,5.00,6.00,3.00,3.00,4.00,451,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13615,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3010465,4.00,4.00,3.00,4.00,7.00,4.75,4.00,6.00,4.00,318,NULL,NULL,'IPIRANGA','S JOSÉ','SC',12972,102,NULL,NULL,NULL,NULL,NULL,2,1),(16,3010490,7.00,8.00,6.00,7.00,6.00,8.25,7.00,8.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010503,1.00,3.00,4.00,1.00,0.00,NULL,1.00,4.00,3.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3010511,8.00,6.00,7.00,8.00,8.00,6.00,5.00,8.00,8.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',946,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3010538,4.00,8.00,7.00,6.00,6.00,7.00,6.00,7.00,6.00,208,NULL,238,'IPIRANGA','S JOSÉ','SC',2474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010546,4.00,7.00,2.00,5.00,4.00,4.50,2.00,5.00,4.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010562,7.00,7.00,7.00,8.00,7.00,5.25,8.00,5.00,8.00,103,NULL,NULL,'SETOR SUL','GOIÂNIA','GO',1242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010570,5.00,6.00,5.00,4.00,6.00,6.00,3.00,8.00,6.00,216,NULL,NULL,'CENTRO','FLóRIDA','PR',5358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3010597,7.00,7.00,5.00,5.00,5.00,7.00,3.00,8.00,6.00,331,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'ESPINHEIROS','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3010619,6.00,5.00,2.00,8.00,5.00,6.50,3.00,6.00,2.00,304,NULL,NULL,'SANTO AMARO','S PAULO','SP',9190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010627,4.00,6.00,4.00,9.00,5.00,5.50,3.00,8.00,3.00,203,NULL,233,'CENTRO','FLORIANóPOLIS','SC',6801,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3010635,5.00,2.00,2.00,8.00,6.00,6.50,1.00,4.00,5.00,452,NULL,NULL,'JURERÊ TRADICIONAL','FLORIANÓPOLIS','SC',12136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3010643,4.00,2.00,1.00,7.00,5.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'PASSO DA AREIA','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010651,4.00,6.00,3.00,5.00,6.00,6.00,3.00,3.00,4.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',12376,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3010660,3.00,5.00,5.00,6.00,6.00,5.00,4.00,6.00,1.00,301,NULL,NULL,'JARDIM AMÉRICA','S JOSé CAMPOS','SP',10720,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3010678,3.00,6.00,4.00,6.00,5.00,4.25,3.00,8.00,3.00,324,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11324,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3010686,2.00,2.00,4.00,6.00,4.00,7.25,3.00,4.00,3.00,333,NULL,NULL,'DEHON','TUBARÃO','SC',14289,122,NULL,NULL,NULL,NULL,NULL,5,10),(16,3010694,6.00,7.00,4.00,5.00,3.00,NULL,3.00,6.00,6.00,333,NULL,NULL,'CIDADE NOVA','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010708,6.00,6.00,6.00,4.00,6.00,5.00,4.00,8.00,7.00,203,NULL,233,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',4518,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3010724,0.00,0.00,0.00,1.00,1.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3010732,1.00,5.00,2.00,5.00,4.00,4.75,3.00,4.00,4.00,5,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',15709,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3010740,5.00,2.00,5.00,6.00,4.00,4.75,3.00,4.00,5.00,425,NULL,429,'BELA VISTA I','S JOSÉ','SC',10923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010759,6.00,8.00,7.00,4.00,6.00,6.50,6.00,7.00,6.00,207,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',2522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010767,8.00,8.00,9.00,9.00,7.00,6.50,7.00,8.00,8.00,220,NULL,202,'CENTRO','FOZ IGUAÇU','PR',187,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3010775,2.00,5.00,5.00,5.00,2.00,NULL,3.00,3.00,5.00,502,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3010783,7.00,8.00,9.00,8.00,7.00,6.25,7.00,7.00,8.00,220,NULL,238,'COMERCIÁRIO','CRICIÚMA','SC',555,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3010791,5.00,4.00,1.00,7.00,5.00,5.25,3.00,6.00,4.00,3,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3010805,6.00,5.00,4.00,4.00,4.00,5.25,2.00,3.00,2.00,331,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',14711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3010821,6.00,6.00,3.00,5.00,6.00,4.00,4.00,6.00,4.00,450,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',9545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010848,3.00,3.00,3.00,9.00,3.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'AGRONÔMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3010856,3.00,3.00,1.00,4.00,6.00,4.75,4.00,6.00,1.00,324,NULL,NULL,'CENTRO','MAFRA','SC',15883,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3010872,7.00,7.00,5.00,7.00,6.00,6.50,6.00,8.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1777,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3010880,6.00,7.00,5.00,8.00,7.00,8.00,4.00,6.00,5.00,340,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',3087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010899,6.00,3.00,4.00,8.00,6.00,6.75,2.00,6.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010902,6.00,9.00,5.00,9.00,9.00,10.00,5.00,8.00,6.00,428,NULL,426,'PANTANAL','FLORIANÓPOLIS','SC',719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010929,5.00,8.00,4.00,5.00,5.00,5.00,3.00,6.00,4.00,5,NULL,NULL,'SANTANA','RIO DO SUL','SC',8894,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3010937,8.00,5.00,3.00,4.00,7.00,5.75,6.00,9.00,8.00,103,NULL,NULL,'CENTRO','APUCARANA','PR',2773,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3010945,8.00,7.00,8.00,9.00,9.00,6.00,5.00,9.00,8.00,103,NULL,NULL,'ALTO','PIRACICABA','SP',385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010953,9.00,7.00,9.00,9.00,8.00,5.75,9.00,9.00,8.00,203,NULL,202,'AGRONÔMICA','FLORIANÓPOLIS','SC',64,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010961,3.00,4.00,4.00,6.00,3.00,NULL,4.00,3.00,1.00,212,NULL,213,'JARDIM ESTRELA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3010988,6.00,5.00,7.00,8.00,8.00,7.75,5.00,7.00,7.00,103,NULL,NULL,'MARECHAL RONDON','CANOAS','RS',1725,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3010996,4.00,5.00,4.00,6.00,4.00,7.00,3.00,5.00,3.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',11279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','PNT PORã','MS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3011011,4.00,6.00,2.00,5.00,5.00,6.25,2.00,6.00,5.00,104,NULL,NULL,'ST PEDRO LUDOVICO','GOIÂNIA','GO',9695,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3011020,1.00,7.00,5.00,9.00,4.00,6.25,3.00,7.00,6.00,340,NULL,NULL,'EUGÊNIO SCHNEIDER','RIO SUL','SC',6997,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3011038,5.00,5.00,2.00,3.00,6.00,3.00,2.00,5.00,4.00,331,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3011054,4.00,5.00,5.00,7.00,4.00,6.00,3.00,6.00,5.00,415,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8483,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3011062,4.00,6.00,2.00,8.00,7.00,4.50,3.00,4.00,3.00,220,NULL,203,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',9516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011070,6.00,5.00,6.00,9.00,7.00,4.50,3.00,7.00,6.00,452,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',3749,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3011089,7.00,5.00,3.00,9.00,7.00,6.00,4.00,9.00,6.00,319,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',3435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011097,6.00,4.00,5.00,6.00,4.00,6.25,4.00,4.00,3.00,201,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3011119,6.00,5.00,7.00,8.00,5.00,6.75,3.00,3.00,5.00,202,NULL,213,'FLORESTA','JOINVILLE','SC',6286,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3011127,4.00,4.00,2.00,6.00,4.00,4.50,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',15964,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3011135,7.00,7.00,9.00,8.00,6.00,5.75,7.00,6.00,8.00,216,NULL,201,'FLORESTA','JOINVILLE','SC',819,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3011143,6.00,5.00,1.00,5.00,3.00,NULL,3.00,7.00,1.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011151,5.00,5.00,1.00,6.00,7.00,6.75,1.00,8.00,4.00,340,NULL,NULL,'CENTRO','STA MARIA','RS',9310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011160,8.00,6.00,6.00,6.00,7.00,6.25,4.00,7.00,8.00,102,NULL,NULL,'BOA VISTA','JOINVILLE','SC',2336,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3011178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'BOQUEIRÃO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3011186,8.00,7.00,5.00,8.00,6.00,5.50,3.00,6.00,6.00,207,NULL,201,'CENTRO','CONCÓRDIA','SC',4493,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3011194,5.00,3.00,2.00,7.00,3.00,NULL,1.00,2.00,4.00,310,NULL,NULL,'BELA VISTA I','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3011208,7.00,7.00,2.00,8.00,5.00,5.25,2.00,7.00,3.00,420,NULL,NULL,'SANTANA','RIO SUL','SC',9094,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3011216,6.00,6.00,5.00,7.00,4.00,4.25,4.00,4.00,6.00,207,NULL,201,'CACUPE','FLORIANÓPOLIS','SC',7997,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3011224,8.00,8.00,5.00,8.00,7.00,7.75,7.00,7.00,7.00,103,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUá SUL','SC',507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011232,8.00,9.00,8.00,9.00,8.00,7.25,5.00,8.00,7.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011240,8.00,7.00,5.00,9.00,6.00,5.75,6.00,6.00,7.00,103,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',1998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011275,6.00,8.00,2.00,8.00,6.00,6.50,4.00,9.00,7.00,103,NULL,NULL,'COMERCIÁRIO','CRICIúMA','SC',3189,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3011305,3.00,5.00,3.00,8.00,7.00,6.50,2.00,8.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3011321,4.00,4.00,3.00,3.00,4.00,6.00,1.00,2.00,4.00,320,NULL,NULL,'JARDIM NOVA LONDRES','LONDRINA','PR',15956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011330,4.00,7.00,2.00,9.00,6.00,6.00,2.00,8.00,5.00,450,NULL,NULL,'JARDIM BOTÂNICO','PTO ALEGRE','RS',6293,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3011348,4.00,4.00,1.00,0.00,3.00,NULL,1.00,5.00,5.00,333,NULL,NULL,'COSTA VERDE','VÁRZEA GRANDE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011356,8.00,9.00,9.00,9.00,7.00,7.25,8.00,9.00,8.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',18,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011364,5.00,6.00,6.00,7.00,5.00,6.25,4.00,5.00,3.00,207,NULL,211,'CARVOEIRA','FLORIANÓPOLIS','SC',8420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3011372,1.00,2.00,2.00,6.00,3.00,NULL,2.00,1.00,1.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3011380,4.00,2.00,2.00,6.00,5.00,NULL,1.00,3.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011399,8.00,8.00,7.00,8.00,7.00,5.00,5.00,8.00,6.00,216,NULL,215,'SANTA MÔNICA','FLORIANÓPOLIS','SC',1566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011402,5.00,8.00,7.00,8.00,7.00,6.00,3.00,7.00,5.00,220,NULL,203,'SANTANA','RIO SUL','SC',3836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011410,4.00,6.00,1.00,7.00,5.00,7.00,4.00,7.00,5.00,202,NULL,203,'CENTRO','PTO BELO','SC',7760,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3011429,7.00,4.00,3.00,6.00,7.00,6.25,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',7366,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3011437,3.00,4.00,5.00,1.00,6.00,4.75,1.00,3.00,4.00,301,NULL,NULL,'CENTRO DE SÃO JOSÉ','S JOSÉ','SC',16183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011453,9.00,8.00,9.00,8.00,8.00,6.50,7.00,8.00,8.00,203,NULL,214,'VILA IPIRANGA','LONDRINA','PR',107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011461,6.00,6.00,2.00,5.00,2.00,NULL,1.00,4.00,6.00,220,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011470,7.00,6.00,1.00,6.00,7.00,6.50,3.00,6.00,3.00,103,NULL,NULL,'PARQUE SÃO DOMINGOS','S PAULO','SP',7399,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3011488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'XINGU','LINS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3011496,6.00,6.00,4.00,9.00,8.00,7.75,3.00,7.00,7.00,203,NULL,214,'JARDIM AMÉRICA III','BRAGANÇA PAULISTA','SP',3010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011500,6.00,8.00,5.00,7.00,8.00,5.75,3.00,9.00,2.00,332,NULL,NULL,'NOVO ITACOLOMY','MOGI GUAçU','SP',4107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011518,6.00,5.00,3.00,6.00,7.00,5.00,4.00,5.00,4.00,216,NULL,207,'CENTRO','LAGES','SC',9198,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3011534,5.00,4.00,4.00,7.00,5.00,7.00,3.00,6.00,3.00,108,NULL,NULL,'CIDADE ALTA','ARARANGUá','SC',9031,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3011542,1.00,2.00,1.00,6.00,3.00,NULL,2.00,5.00,2.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011550,1.00,6.00,2.00,8.00,5.00,5.00,4.00,7.00,2.00,331,NULL,NULL,'AREIAS','S JOSÉ','SC',12435,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3011569,4.00,5.00,4.00,6.00,3.00,NULL,1.00,5.00,4.00,303,NULL,NULL,'AREIAS','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3011577,5.00,4.00,6.00,5.00,7.00,6.00,5.00,9.00,5.00,214,NULL,203,'PEDREGULHO','GUARATINGUETá','SP',4728,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3011585,3.00,1.00,4.00,4.00,3.00,NULL,1.00,3.00,3.00,9,NULL,NULL,'VILA ESPERANÇA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3011593,9.00,7.00,6.00,9.00,7.00,6.25,4.00,8.00,7.00,203,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011607,4.00,1.00,1.00,6.00,3.00,NULL,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3011615,2.00,4.00,2.00,1.00,3.00,NULL,2.00,3.00,2.00,2,NULL,NULL,'SÃO LUIS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3011623,8.00,7.00,8.00,7.00,7.00,6.75,7.00,7.00,8.00,103,NULL,NULL,'CENTRO','VILHENA','RO',822,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3011631,7.00,8.00,8.00,7.00,7.00,6.25,7.00,9.00,7.00,214,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011640,3.00,5.00,2.00,8.00,7.00,5.75,4.00,5.00,5.00,202,NULL,207,'KOBRASOL','S JOSé','SC',8964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011658,7.00,7.00,5.00,7.00,7.00,6.00,2.00,9.00,5.00,420,NULL,NULL,'CAMPINAS','S JOSé','SC',4260,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3011666,3.00,5.00,3.00,1.00,5.00,5.75,3.00,3.00,4.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3011682,1.00,3.00,1.00,5.00,5.00,NULL,1.00,3.00,2.00,415,NULL,NULL,'CENTRO','ESTEIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3011704,5.00,5.00,5.00,9.00,6.00,7.75,3.00,7.00,6.00,103,NULL,NULL,'JARDIM PETRÓPOLIS','LONDRINA','PR',4097,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3011712,9.00,5.00,5.00,9.00,7.00,7.25,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011720,7.00,6.00,6.00,8.00,6.00,6.25,4.00,6.00,7.00,415,NULL,NULL,'ROYAL TENNIS','LONDRINA','PR',2251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011739,3.00,3.00,4.00,2.00,3.00,NULL,1.00,4.00,3.00,302,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011747,4.00,7.00,5.00,5.00,6.00,6.75,2.00,7.00,5.00,340,NULL,NULL,'CENTRO','ARARANGUá','SC',5680,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3011763,6.00,5.00,4.00,6.00,4.00,6.00,2.00,6.00,3.00,340,NULL,NULL,'CENTRO','ÁGUAS S PEDRO','SP',10624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011771,7.00,4.00,6.00,5.00,7.00,6.00,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',5551,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3011780,5.00,7.00,4.00,8.00,6.00,6.75,2.00,6.00,2.00,501,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7431,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3011798,3.00,2.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,415,NULL,NULL,'JARDIM SATÉLITE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3011801,1.00,6.00,2.00,4.00,4.00,5.50,2.00,5.00,4.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011810,4.00,4.00,3.00,7.00,4.00,5.75,3.00,5.00,2.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',13066,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3011828,6.00,8.00,5.00,7.00,8.00,5.75,4.00,7.00,6.00,104,NULL,NULL,'MAR GROSSO','LAGUNA','SC',2500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,202,'MANSOES STO ANTONIO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3011844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3011887,8.00,9.00,5.00,9.00,8.00,8.50,3.00,9.00,7.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011895,4.00,6.00,4.00,6.00,6.00,4.75,4.00,7.00,5.00,201,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',8322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011909,9.00,8.00,7.00,10.00,9.00,5.50,5.00,8.00,8.00,103,NULL,NULL,'JD INDÚSTRIAS','S JOSÉ CAMPOS','SP',194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011917,8.00,8.00,8.00,9.00,8.00,8.25,6.00,8.00,7.00,233,NULL,215,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011933,5.00,3.00,2.00,7.00,6.00,5.25,4.00,7.00,4.00,225,NULL,NULL,'XV DE NOVEMBRO','TIJUCAS','SC',10127,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3011941,5.00,4.00,1.00,1.00,5.00,5.25,2.00,5.00,4.00,103,NULL,NULL,'BARREIROS','SAO JOSE','SC',15844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3011950,5.00,5.00,3.00,6.00,4.00,5.00,4.00,2.00,6.00,207,NULL,201,'NEVA','CASCAVEL','PR',11142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3011976,5.00,2.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'UNIVERSITARIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3011984,5.00,4.00,1.00,8.00,6.00,5.50,2.00,7.00,5.00,502,NULL,NULL,'MORROTES','TUBARÃO','SC',9144,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3011992,3.00,5.00,4.00,5.00,4.00,4.00,4.00,3.00,3.00,303,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',14087,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3012000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECó','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3012018,5.00,4.00,5.00,8.00,5.00,5.25,3.00,7.00,5.00,420,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',6592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012026,7.00,7.00,5.00,8.00,7.00,5.50,5.00,7.00,6.00,301,NULL,NULL,'OCTOGONAL','CRUZEIRO','DF',2643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012034,2.00,5.00,2.00,5.00,2.00,NULL,0.00,2.00,2.00,9,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3012042,7.00,6.00,5.00,9.00,7.00,6.25,3.00,6.00,7.00,207,NULL,201,'JARDIM RECREIO','RIBEIRAO PRETO','SP',3266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012069,4.00,3.00,2.00,8.00,3.00,NULL,2.00,8.00,2.00,101,NULL,NULL,'PRESIDENTE VARGAS','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3012077,9.00,8.00,9.00,9.00,8.00,7.50,7.00,9.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',24,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012085,8.00,4.00,6.00,6.00,7.00,6.50,2.00,7.00,6.00,201,NULL,207,'ITACORUBI','FLORIANÓPOLIS','SC',4800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012093,3.00,6.00,2.00,8.00,5.00,5.50,1.00,6.00,2.00,452,NULL,NULL,'CENTRO','GUARAPUAVA','PR',12901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012107,4.00,7.00,5.00,6.00,7.00,6.75,4.00,8.00,5.00,215,NULL,212,'CHACARA DA BARRA','CAMPINAS','SP',4131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3012123,3.00,5.00,4.00,7.00,6.00,6.50,4.00,8.00,4.00,332,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',7781,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3012140,8.00,8.00,6.00,9.00,7.00,5.75,6.00,8.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012158,5.00,6.00,4.00,6.00,5.00,6.00,2.00,3.00,5.00,201,NULL,212,'CRISTO REDENTOR','CAXIAS SUL','RS',10453,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3012166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3012182,2.00,3.00,3.00,4.00,4.00,4.75,2.00,5.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012190,8.00,8.00,6.00,7.00,8.00,6.75,5.00,8.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012204,8.00,8.00,3.00,8.00,5.00,5.25,1.00,7.00,7.00,207,NULL,208,'CENTRO','FLORIANóPOLIS','SC',5082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012212,3.00,3.00,4.00,5.00,4.00,6.75,4.00,6.00,4.00,425,NULL,428,'DAS NAÇÕES','TIMBÓ','SC',11758,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3012220,5.00,5.00,3.00,4.00,3.00,NULL,2.00,5.00,5.00,238,NULL,211,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012239,8.00,8.00,8.00,9.00,7.00,6.00,7.00,9.00,8.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD VALE DAS ARAUCÁRI','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3012263,6.00,3.00,3.00,6.00,4.00,5.25,3.00,2.00,3.00,208,NULL,238,'PASSA VINTE','PALHOÇA','SC',15072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012271,5.00,3.00,6.00,3.00,5.00,6.00,3.00,5.00,6.00,225,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',8950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012298,9.00,9.00,9.00,9.00,9.00,5.00,7.00,7.00,9.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012301,7.00,8.00,7.00,8.00,6.00,6.00,2.00,7.00,8.00,103,NULL,NULL,'CENTRO','XAXIM','SC',1982,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3012310,7.00,7.00,5.00,10.00,4.00,4.75,7.00,9.00,6.00,203,NULL,202,'PARQUE RIO BRANCO','MARINGÁ','PR',2264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012328,6.00,7.00,6.00,8.00,7.00,5.00,7.00,7.00,7.00,211,NULL,202,'JURERÊ','FLORIANóPOLIS','SC',1536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','TANGARÁ SERRA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3012344,4.00,6.00,4.00,9.00,7.00,6.25,4.00,5.00,4.00,238,NULL,233,'CORREGO GRANDE','FLORIANÓPOLIS','SC',7044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012352,5.00,7.00,8.00,9.00,8.00,6.25,6.00,9.00,5.00,212,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',1414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3012387,9.00,7.00,9.00,9.00,7.00,7.50,3.00,8.00,8.00,340,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012395,1.00,1.00,1.00,3.00,3.00,NULL,0.00,4.00,3.00,103,NULL,NULL,'RIO ENGANO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3012409,5.00,6.00,3.00,5.00,2.00,NULL,2.00,5.00,4.00,220,NULL,202,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3012417,4.00,4.00,1.00,4.00,5.00,NULL,2.00,2.00,1.00,415,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3012425,6.00,5.00,6.00,5.00,7.00,8.75,4.00,6.00,5.00,220,NULL,216,'KOBRASOL','S JOSÉ','SC',4010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012433,5.00,6.00,3.00,4.00,5.00,4.00,3.00,5.00,2.00,9,NULL,NULL,'SÃO JOSÉ','APUCARANA','PR',13600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012450,8.00,7.00,6.00,8.00,6.00,5.50,4.00,9.00,8.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',1572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3012468,5.00,7.00,3.00,4.00,5.00,4.75,5.00,7.00,4.00,201,NULL,202,'CAMPINAS','S JOSÉ','SC',7169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012476,5.00,7.00,3.00,5.00,6.00,4.25,2.00,7.00,1.00,103,NULL,NULL,'CENTRO','NOVA FÁTIMA','PR',12303,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3012484,5.00,5.00,3.00,7.00,6.00,5.00,3.00,8.00,3.00,207,NULL,NULL,'JAÇANÃ','S PAULO','SP',8280,372,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012492,6.00,5.00,2.00,8.00,5.00,5.50,4.00,9.00,5.00,108,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',6028,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3012506,5.00,2.00,1.00,3.00,2.00,NULL,3.00,5.00,2.00,203,NULL,220,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3012514,7.00,6.00,7.00,6.00,4.00,5.50,6.00,5.00,7.00,340,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',4081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012522,8.00,8.00,8.00,9.00,8.00,6.50,6.00,9.00,7.00,303,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',343,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3012530,6.00,5.00,8.00,9.00,5.00,5.00,8.00,6.00,9.00,220,NULL,203,'BUENO','GOIÂNIA','GO',1382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','ITU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3012557,3.00,5.00,3.00,5.00,3.00,NULL,1.00,7.00,2.00,203,NULL,214,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012573,5.00,4.00,4.00,6.00,5.00,7.75,4.00,5.00,6.00,420,NULL,NULL,'FLOR DA SERRA','JOAçABA','SC',7071,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3012581,6.00,5.00,4.00,8.00,7.00,7.50,5.00,8.00,7.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3012603,8.00,7.00,8.00,4.00,6.00,6.25,6.00,8.00,8.00,203,NULL,214,'PITUBA','SALVADOR','BA',1661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012611,7.00,5.00,4.00,8.00,6.00,5.50,4.00,6.00,4.00,202,NULL,213,'GARCIA','BLUMENAU','SC',6896,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3012620,5.00,5.00,4.00,7.00,7.00,7.50,4.00,2.00,4.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012638,3.00,5.00,5.00,7.00,5.00,6.50,3.00,9.00,0.00,420,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',10235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3012646,7.00,6.00,7.00,6.00,7.00,6.00,5.00,8.00,8.00,103,NULL,NULL,'ALTO TAQUARAL','CAMPINAS','SP',1680,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3012654,5.00,4.00,3.00,3.00,8.00,6.25,3.00,6.00,6.00,102,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',9457,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3012662,8.00,5.00,6.00,6.00,8.00,4.50,4.00,8.00,7.00,103,NULL,NULL,'JD CARVALHO','PNT GROSSA','PR',2722,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3012670,6.00,9.00,5.00,8.00,6.00,5.75,5.00,9.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012689,2.00,4.00,4.00,6.00,5.00,5.00,1.00,5.00,3.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012697,7.00,7.00,5.00,9.00,6.00,5.75,4.00,7.00,5.00,238,NULL,208,'CENTRO','LAGES','SC',2928,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3012719,7.00,8.00,7.00,9.00,8.00,6.00,8.00,7.00,8.00,203,NULL,220,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012735,4.00,7.00,4.00,7.00,8.00,5.75,5.00,7.00,6.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',4152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012743,7.00,4.00,5.00,9.00,8.00,5.75,2.00,7.00,7.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',2751,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3012760,3.00,2.00,3.00,5.00,3.00,NULL,2.00,2.00,3.00,108,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3012786,6.00,4.00,3.00,5.00,5.00,5.25,4.00,6.00,5.00,303,NULL,NULL,'PORTINHO','LAGUNA','SC',10130,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3012794,3.00,7.00,2.00,4.00,6.00,6.50,2.00,4.00,6.00,211,NULL,215,'SANTO ANTÔNIO','PTO VELHO','RO',12285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012808,6.00,5.00,3.00,8.00,4.00,7.25,4.00,3.00,4.00,211,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012816,6.00,7.00,5.00,5.00,8.00,6.00,5.00,8.00,6.00,203,NULL,233,'JARDIM PRESIDENTE','RIO VERDE','GO',3143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012824,5.00,6.00,5.00,8.00,4.00,6.50,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','IMBÉ','RS',7109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012832,4.00,4.00,3.00,3.00,3.00,NULL,2.00,6.00,3.00,212,NULL,207,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012840,3.00,4.00,2.00,7.00,3.00,NULL,3.00,4.00,4.00,201,NULL,207,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3012859,4.00,5.00,8.00,6.00,7.00,5.75,5.00,7.00,6.00,201,NULL,212,'CARVOEIRA','FLORIANÓPOLIS','SC',3896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012867,8.00,5.00,1.00,8.00,6.00,5.75,3.00,6.00,7.00,203,NULL,202,'CARVOEIRA','FLORIANÓPOLIS','SC',6348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012875,6.00,8.00,4.00,6.00,8.00,7.00,5.00,8.00,6.00,103,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',2366,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3012883,5.00,4.00,5.00,7.00,6.00,4.75,2.00,7.00,5.00,207,NULL,201,'CENTRO','RIO NEGRINHO','SC',7896,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3012891,6.00,4.00,2.00,7.00,8.00,6.00,5.00,7.00,5.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012913,4.00,5.00,7.00,7.00,7.00,7.75,2.00,5.00,4.00,201,NULL,207,'VILA OPERÁRIA','ITAJAÍ','SC',6955,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3012921,6.00,6.00,5.00,7.00,5.00,5.75,3.00,9.00,6.00,501,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',4395,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3012930,6.00,8.00,3.00,9.00,7.00,6.50,5.00,9.00,6.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012948,6.00,6.00,3.00,6.00,4.00,6.75,4.00,6.00,4.00,450,NULL,NULL,'PEREQUÊ','PTO BELO','SC',8961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012956,7.00,8.00,6.00,7.00,6.00,5.75,4.00,8.00,8.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',1904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012964,6.00,6.00,6.00,8.00,5.00,5.75,1.00,6.00,5.00,415,NULL,NULL,'ATIRADORES','JOINVILLE','SC',5731,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3012972,5.00,5.00,6.00,8.00,5.00,6.50,4.00,6.00,6.00,103,NULL,NULL,'JAÇANÃ','S PAULO','SP',4521,1405,NULL,NULL,NULL,NULL,NULL,4,1),(16,3012980,4.00,2.00,1.00,7.00,5.00,6.50,2.00,3.00,3.00,202,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',16119,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3012999,2.00,4.00,4.00,7.00,4.00,5.25,1.00,8.00,2.00,318,NULL,NULL,'SÃO JOSÉ','FAXINAL GUEDES','SC',13417,108,NULL,NULL,NULL,NULL,NULL,2,4),(16,3013014,6.00,7.00,9.00,8.00,8.00,6.00,7.00,4.00,6.00,103,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',1648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3013030,5.00,5.00,3.00,7.00,6.00,4.75,2.00,6.00,6.00,103,NULL,NULL,'CAANSVIEIERAS','FLORIANóPOLIS','SC',8096,1988,NULL,NULL,NULL,NULL,NULL,2,1),(16,3013049,3.00,7.00,1.00,7.00,6.00,5.75,5.00,7.00,5.00,319,NULL,NULL,'FEDERAÇAO','SALVADOR','BA',7705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013057,5.00,6.00,3.00,5.00,6.00,6.00,4.00,6.00,4.00,103,NULL,NULL,'EMBARÉ','SANTOS','SP',7388,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3013065,4.00,2.00,3.00,6.00,6.00,6.50,4.00,3.00,3.00,304,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3013073,8.00,7.00,5.00,8.00,6.00,6.25,3.00,6.00,7.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013090,6.00,4.00,5.00,8.00,2.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PIONEIRO','PRIMAVERA LESTE','MT',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3013103,5.00,6.00,2.00,8.00,7.00,4.50,3.00,6.00,7.00,102,NULL,NULL,'KOBRASOL','S JOSÉ','SC',7277,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3013120,5.00,5.00,3.00,2.00,5.00,3.25,1.00,6.00,2.00,444,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013138,2.00,4.00,1.00,5.00,3.00,NULL,2.00,3.00,4.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013146,6.00,5.00,7.00,6.00,5.00,5.50,3.00,6.00,7.00,103,NULL,NULL,'PQ CELESTE','S JOSÉ R PRETO','SP',5441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013154,3.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013162,5.00,3.00,7.00,9.00,4.00,5.25,2.00,6.00,6.00,203,NULL,202,'MORADA DO SOL','INDAIATUBA','SP',7443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013170,6.00,8.00,7.00,4.00,7.00,5.00,1.00,6.00,2.00,203,NULL,NULL,'PADRE MARTINHO STEIN','TIMBÓ','SC',7394,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3013189,3.00,3.00,2.00,7.00,5.00,6.00,3.00,6.00,5.00,319,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',10895,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3013197,9.00,8.00,7.00,9.00,8.00,6.00,5.00,8.00,7.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',562,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3013200,7.00,7.00,4.00,9.00,7.00,4.75,4.00,8.00,6.00,103,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3013219,5.00,4.00,2.00,2.00,2.00,NULL,3.00,4.00,3.00,108,NULL,NULL,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013227,5.00,3.00,3.00,8.00,5.00,7.00,1.00,5.00,2.00,415,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',12066,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3013235,5.00,7.00,7.00,4.00,7.00,7.00,3.00,8.00,6.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',3622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013243,6.00,4.00,5.00,6.00,7.00,6.25,3.00,4.00,4.00,208,NULL,238,'COQUEIROS','FLORIANÓPOLIS','SC',7454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013251,5.00,7.00,3.00,6.00,6.00,5.75,3.00,5.00,4.00,326,NULL,NULL,'SERRARIA','S JOSÉ','SC',8999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3013260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3013278,9.00,7.00,4.00,7.00,6.00,5.75,4.00,9.00,5.00,108,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',3470,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3013308,4.00,3.00,2.00,7.00,5.00,6.50,1.00,4.00,2.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',14903,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3013324,5.00,5.00,7.00,3.00,4.00,3.25,2.00,7.00,6.00,203,NULL,NULL,'PARQUE CIDADE NOVA','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013332,2.00,3.00,1.00,3.00,1.00,NULL,3.00,3.00,2.00,415,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3013340,9.00,6.00,6.00,6.00,6.00,6.75,5.00,7.00,8.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013359,6.00,5.00,4.00,6.00,4.00,6.25,2.00,7.00,5.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013367,4.00,4.00,4.00,5.00,2.00,NULL,3.00,2.00,1.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3013375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3013383,7.00,6.00,6.00,6.00,6.00,5.00,7.00,7.00,6.00,233,NULL,215,'AMÉRICA','JOINVILLE','SC',3069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013391,5.00,6.00,5.00,7.00,6.00,5.00,3.00,8.00,4.00,450,NULL,NULL,'VILA BRANDINA','CAMPINAS','SP',6662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013405,6.00,7.00,7.00,8.00,6.00,5.50,6.00,6.00,5.00,216,NULL,233,'ASA SUL','BRASÍLIA','DF',2703,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3013413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3013421,3.00,5.00,4.00,6.00,4.00,5.75,1.00,4.00,4.00,333,NULL,NULL,'CENTRO','GR PARá','SC',14244,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3013430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,207,'CENTRO','TERRA N NORTE','MT',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3013448,7.00,7.00,8.00,9.00,6.00,5.75,6.00,8.00,7.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013456,2.00,3.00,2.00,5.00,5.00,5.25,3.00,2.00,3.00,202,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',16419,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3013464,5.00,4.00,7.00,1.00,7.00,5.25,3.00,4.00,6.00,220,NULL,213,'OFICINAS','TUBARÃO','SC',9675,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3013472,8.00,6.00,4.00,9.00,7.00,5.75,1.00,8.00,5.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',3944,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3013499,9.00,8.00,7.00,8.00,7.00,5.75,7.00,7.00,7.00,103,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',428,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3013502,8.00,5.00,5.00,6.00,7.00,4.75,3.00,6.00,5.00,103,NULL,NULL,'VILA BRASIL','LONDRINA','PR',6967,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3013529,3.00,3.00,5.00,4.00,4.00,5.00,3.00,6.00,5.00,207,NULL,201,'PONTE GRANDE','MOGI CRUZES','SP',11965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013545,3.00,2.00,4.00,8.00,5.00,5.50,5.00,3.00,5.00,452,NULL,NULL,'ARIRÚ DA FORMIGA','PALHOÇA','SC',11692,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3013553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3013561,7.00,4.00,3.00,6.00,5.00,6.00,2.00,8.00,6.00,201,NULL,NULL,'ST DOS FUNCIONÁRIOS','GOIÂNIA','GO',7874,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3013570,7.00,7.00,1.00,7.00,4.00,6.00,3.00,7.00,6.00,238,NULL,207,'JARDIM EUROPA','BIGUAçU','SC',7512,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3013588,9.00,7.00,8.00,9.00,8.00,5.00,7.00,8.00,8.00,203,NULL,NULL,'TABOÃO','CURITIBA','PR',546,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3013596,2.00,0.00,1.00,1.00,3.00,NULL,1.00,4.00,2.00,404,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013600,7.00,7.00,6.00,7.00,8.00,6.25,4.00,6.00,6.00,216,NULL,213,'CENTRO','ANITÁPOLIS','SC',2422,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3013618,7.00,8.00,6.00,7.00,7.00,6.00,5.00,9.00,8.00,103,NULL,NULL,'SCHRAMM','S BENTO SUL','SC',1080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013642,7.00,6.00,3.00,4.00,7.00,6.75,3.00,6.00,6.00,216,NULL,207,'BARRA DO TROMBUDO','RIO SUL','SC',7423,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3013650,6.00,6.00,5.00,8.00,7.00,6.25,3.00,7.00,5.00,3,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',4724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013669,3.00,5.00,2.00,3.00,5.00,5.50,2.00,6.00,4.00,104,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',14780,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3013685,4.00,1.00,3.00,4.00,6.00,5.00,3.00,3.00,2.00,211,NULL,207,'JARDIM ITÁLIA','CHAPECó','SC',16178,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3013693,5.00,5.00,4.00,5.00,7.00,6.75,4.00,8.00,3.00,216,NULL,215,'CENTRO','JARAGUÁ SUL','SC',7332,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3013707,2.00,5.00,3.00,4.00,3.00,NULL,3.00,5.00,4.00,319,NULL,NULL,'PARQUE SAO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013715,6.00,3.00,4.00,6.00,2.00,NULL,2.00,5.00,3.00,108,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3013723,9.00,6.00,4.00,8.00,6.00,5.75,5.00,7.00,8.00,103,NULL,NULL,'BATISTA CAMPOS','BELéM','PA',2411,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3013731,6.00,5.00,6.00,8.00,5.00,5.75,4.00,5.00,4.00,201,NULL,207,'GUANABARA','JOINVILLE','SC',7025,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3013740,8.00,8.00,5.00,7.00,7.00,5.50,4.00,6.00,8.00,103,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',2457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3013758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3013766,5.00,6.00,3.00,0.00,7.00,5.25,1.00,5.00,5.00,340,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',12928,400,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013774,8.00,5.00,5.00,4.00,6.00,5.25,2.00,7.00,6.00,201,NULL,238,'CAMPINAS','S JOSÉ','SC',6400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013782,7.00,4.00,3.00,6.00,5.00,4.75,3.00,4.00,4.00,108,NULL,NULL,'CAMPINAS','S JOSé','SC',11925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013790,1.00,3.00,3.00,0.00,2.00,NULL,1.00,1.00,2.00,233,NULL,203,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013804,3.00,6.00,4.00,7.00,8.00,4.50,3.00,6.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8304,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3013820,4.00,4.00,6.00,6.00,4.00,5.75,3.00,7.00,5.00,202,NULL,208,'KOBRASOL','S JOSÉ','SC',9488,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3013839,5.00,6.00,4.00,7.00,6.00,6.25,2.00,8.00,3.00,303,NULL,NULL,'MIGUEL SUTIL','CUIABÁ','MT',7464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013847,5.00,6.00,3.00,8.00,6.00,6.25,3.00,6.00,3.00,238,NULL,202,'ROÇADO','S JOSÉ','SC',7769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013855,1.00,0.00,1.00,2.00,0.00,NULL,2.00,1.00,3.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013871,7.00,6.00,4.00,6.00,6.00,5.50,7.00,8.00,5.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4119,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3013880,2.00,2.00,2.00,2.00,4.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3013898,3.00,7.00,5.00,4.00,5.00,5.00,3.00,6.00,4.00,326,NULL,NULL,'CENTRO','LAGUNA','SC',9857,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3013901,5.00,6.00,3.00,8.00,4.00,4.50,4.00,6.00,5.00,304,NULL,NULL,'CENTRO','TIJUCAS','SC',8102,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3013910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SITIO CERCADO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3013928,3.00,6.00,3.00,7.00,4.00,6.25,2.00,7.00,5.00,207,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013936,6.00,5.00,7.00,9.00,6.00,5.50,5.00,7.00,5.00,214,NULL,212,'SANTA FÉ','CPO GRANDE','MS',3658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013944,4.00,3.00,2.00,1.00,4.00,5.75,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','JARAGUá SUL','SC',14673,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3013979,9.00,6.00,6.00,9.00,8.00,7.00,5.00,7.00,6.00,207,NULL,NULL,'JD SANTA GENEBRA','CAMPINAS','SP',1526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3013987,3.00,2.00,1.00,1.00,4.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014002,5.00,4.00,3.00,4.00,4.00,6.00,4.00,2.00,2.00,223,NULL,NULL,'ALTO DA COLINA','AVARé','SP',14277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014029,5.00,5.00,6.00,8.00,8.00,5.75,4.00,6.00,6.00,103,NULL,NULL,'CIDADE VARGAS','S PAULO','SP',3187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014037,7.00,5.00,5.00,8.00,3.00,NULL,5.00,5.00,5.00,108,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3014045,4.00,4.00,4.00,4.00,3.00,NULL,5.00,4.00,4.00,201,NULL,238,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3014053,2.00,3.00,2.00,0.00,1.00,NULL,3.00,5.00,2.00,317,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014061,2.00,3.00,3.00,5.00,3.00,NULL,3.00,4.00,6.00,5,NULL,NULL,'PARQUE DAS INDÚSTRIA','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3014096,3.00,3.00,4.00,5.00,4.00,5.75,2.00,2.00,2.00,214,NULL,203,'SAO BASILIO','BRAçO NORTE','SC',16430,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3014100,7.00,8.00,3.00,8.00,7.00,7.50,4.00,8.00,5.00,326,NULL,NULL,'SÃO SEBASTIÃO','PTE SERRADA','SC',3044,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3014118,8.00,5.00,7.00,8.00,7.00,5.75,8.00,6.00,9.00,220,NULL,203,'LESTE UNIVERSITÁRIO','GOIÂNIA','GO',1001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014126,7.00,7.00,5.00,9.00,6.00,5.25,7.00,8.00,8.00,5,NULL,NULL,'GLORIA','JOINVILLE','SC',1326,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3014134,5.00,3.00,6.00,7.00,6.00,5.75,4.00,5.00,8.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',5943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014150,3.00,1.00,2.00,3.00,3.00,NULL,3.00,3.00,4.00,202,NULL,NULL,'JARDIM GUADALAJARA','COLOMBO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3014169,8.00,7.00,8.00,9.00,7.00,8.00,7.00,8.00,8.00,415,NULL,NULL,'CENTRO','BLUMENAU','SC',141,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3014177,7.00,7.00,2.00,7.00,7.00,5.00,3.00,7.00,5.00,207,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014185,4.00,5.00,2.00,5.00,5.00,5.00,0.00,4.00,2.00,207,NULL,201,'CENTRO','UNIÃO VITÓRIA','PR',15729,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3014193,7.00,8.00,5.00,8.00,7.00,6.50,5.00,8.00,8.00,319,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',1090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014207,5.00,5.00,6.00,5.00,5.00,5.00,4.00,6.00,5.00,225,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',7657,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3014215,4.00,5.00,5.00,7.00,5.00,7.25,3.00,7.00,7.00,104,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',6091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014223,8.00,8.00,4.00,7.00,7.00,6.25,6.00,7.00,5.00,102,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014231,4.00,2.00,2.00,7.00,5.00,NULL,1.00,1.00,2.00,319,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3014240,9.00,5.00,7.00,7.00,5.00,6.75,7.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014258,4.00,6.00,2.00,4.00,5.00,5.50,3.00,4.00,5.00,444,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',12821,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3014266,7.00,2.00,5.00,2.00,4.00,6.50,1.00,6.00,6.00,108,NULL,NULL,'VILA MARIANA','S PAULO','SP',12025,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(16,3014274,3.00,3.00,2.00,1.00,3.00,NULL,3.00,4.00,4.00,503,NULL,NULL,'CENTRO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3014282,5.00,5.00,9.00,7.00,7.00,5.75,3.00,7.00,7.00,316,NULL,NULL,'CENTRO','SANTA MARIA','RS',3273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014290,3.00,5.00,4.00,6.00,5.00,5.50,3.00,4.00,5.00,101,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC',11039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3014304,4.00,4.00,2.00,2.00,3.00,NULL,2.00,4.00,4.00,333,NULL,NULL,'MORUMBI','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014312,5.00,5.00,3.00,5.00,5.00,3.25,4.00,5.00,4.00,233,NULL,214,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014339,2.00,4.00,2.00,5.00,4.00,NULL,2.00,3.00,3.00,316,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3014355,4.00,5.00,6.00,7.00,7.00,6.25,4.00,4.00,5.00,201,NULL,207,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3014363,9.00,8.00,7.00,7.00,6.00,5.50,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','FORQUILHINHA','SC',1459,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3014371,5.00,5.00,5.00,8.00,8.00,6.00,3.00,7.00,3.00,415,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',5819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014380,7.00,7.00,6.00,8.00,6.00,6.00,3.00,8.00,8.00,213,NULL,238,'CENTRO','STO AMARO IMPERATRIZ','SC',2634,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3014398,5.00,3.00,2.00,1.00,5.00,5.75,3.00,7.00,4.00,331,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',14471,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3014401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3014410,8.00,6.00,8.00,5.00,9.00,6.25,5.00,8.00,8.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANóPOLIS','SC',999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014428,8.00,6.00,5.00,6.00,6.00,6.25,5.00,9.00,9.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',1740,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3014444,8.00,8.00,8.00,8.00,9.00,6.25,6.00,9.00,6.00,203,NULL,202,'CENTRO','ITAJAÍ','SC',528,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3014452,3.00,5.00,3.00,8.00,6.00,6.25,3.00,6.00,3.00,207,NULL,201,'REGINA CELIA','CRUZEIRO','SP',9855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3014460,7.00,9.00,7.00,9.00,7.00,5.75,4.00,6.00,7.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',1450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014479,3.00,7.00,2.00,9.00,7.00,6.75,5.00,6.00,8.00,415,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014487,5.00,5.00,6.00,7.00,5.00,6.75,1.00,8.00,6.00,201,NULL,212,'COLATTO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3014495,4.00,3.00,1.00,3.00,4.00,NULL,0.00,2.00,2.00,309,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3014509,3.00,2.00,3.00,5.00,3.00,NULL,0.00,3.00,1.00,203,NULL,214,'BELA VISTA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3014517,1.00,4.00,1.00,1.00,3.00,NULL,5.00,5.00,1.00,327,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014525,3.00,2.00,1.00,4.00,3.00,NULL,0.00,4.00,3.00,426,NULL,425,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3014533,3.00,4.00,1.00,4.00,4.00,NULL,1.00,5.00,1.00,339,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3014541,7.00,8.00,6.00,9.00,7.00,6.50,6.00,8.00,8.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014550,9.00,5.00,6.00,5.00,6.00,4.00,4.00,8.00,6.00,108,NULL,NULL,'VILA CLEMENTINO','S PAULO','SP',4162,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3014568,9.00,7.00,4.00,7.00,8.00,4.75,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','RESTINGA SECA','RS',2463,959,NULL,NULL,NULL,NULL,NULL,2,4),(16,3014576,4.00,4.00,2.00,2.00,4.00,NULL,1.00,4.00,3.00,211,NULL,215,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3014584,4.00,4.00,4.00,1.00,5.00,4.75,2.00,5.00,3.00,223,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',15952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014592,5.00,4.00,1.00,2.00,5.00,4.50,4.00,3.00,5.00,103,NULL,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',15896,2777,NULL,NULL,NULL,NULL,NULL,4,10),(16,3014606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3014614,6.00,4.00,5.00,7.00,7.00,6.25,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','IPIRA','SC',4868,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3014622,5.00,5.00,4.00,7.00,8.00,6.75,3.00,7.00,5.00,211,NULL,238,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014630,6.00,7.00,5.00,8.00,7.00,6.75,4.00,9.00,7.00,103,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',2095,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3014649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BORTOLON','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3014665,7.00,8.00,3.00,7.00,6.00,6.00,3.00,9.00,5.00,233,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',4672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3014673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'FLORESTA','MONDAí','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3014681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMBUCICA','RIQUEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3014690,5.00,6.00,5.00,7.00,6.00,5.00,5.00,4.00,5.00,207,NULL,201,'RIO TAVARES','FLORIANóPOLIS','SC',7890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3014703,0.00,4.00,2.00,6.00,4.00,NULL,1.00,6.00,2.00,333,NULL,NULL,'GONZAGA','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014738,3.00,2.00,2.00,4.00,4.00,NULL,4.00,2.00,1.00,103,NULL,NULL,'MONTE ALEGRE','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3014746,7.00,3.00,1.00,5.00,7.00,4.75,6.00,6.00,3.00,101,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',10571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3014754,6.00,5.00,4.00,6.00,7.00,4.75,4.00,6.00,5.00,102,NULL,NULL,'FLORESTA','S JOSÉ','SC',6268,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3014770,6.00,3.00,3.00,7.00,6.00,5.75,4.00,8.00,5.00,308,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',7395,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3014797,5.00,4.00,5.00,8.00,6.00,6.25,2.00,6.00,6.00,420,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014800,5.00,5.00,5.00,8.00,6.00,4.75,3.00,5.00,5.00,214,NULL,213,'SAGUAÇÚ','JOINVILLE','SC',7385,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3014819,7.00,7.00,8.00,8.00,8.00,7.00,7.00,6.00,8.00,203,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014835,6.00,4.00,2.00,6.00,4.00,5.50,2.00,5.00,5.00,104,NULL,NULL,'CENTRO','SOMBRIO','SC',11636,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3014843,4.00,6.00,1.00,5.00,4.00,4.50,5.00,5.00,2.00,304,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',14134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014851,3.00,5.00,4.00,7.00,7.00,7.00,5.00,6.00,6.00,103,NULL,NULL,'SANTO ANTÔNIO','NOVA VENEZA','SC',5852,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3014886,7.00,6.00,3.00,4.00,4.00,6.00,2.00,6.00,6.00,102,NULL,NULL,'JARDIM SANTA MARIA','JACAREÍ','SP',9042,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3014894,5.00,4.00,2.00,8.00,8.00,4.75,2.00,6.00,3.00,333,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',10144,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3014908,7.00,4.00,2.00,6.00,7.00,6.00,2.00,6.00,4.00,415,NULL,NULL,'JARDIM','STA RITA P QUATRO','SP',8335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014916,8.00,7.00,7.00,9.00,7.00,6.75,5.00,7.00,8.00,208,NULL,NULL,'BALNEÁRIO SÃO JOSÉ','S PAULO','SP',639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014924,5.00,7.00,3.00,8.00,6.00,5.00,3.00,6.00,5.00,429,NULL,425,'CARVOEIRA','FLORIANóPOLIS','SC',7092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014932,4.00,1.00,3.00,3.00,4.00,5.00,2.00,3.00,5.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',16388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014940,3.00,7.00,7.00,6.00,4.00,5.00,3.00,7.00,7.00,216,NULL,201,'ZONA SETE','MARINGÁ','PR',6380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014959,4.00,4.00,4.00,5.00,3.00,NULL,1.00,8.00,3.00,220,NULL,202,'CENTRO','STA RITA SAPUCAÍ','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3014967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3014983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','S JOSé CERRITO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3014991,3.00,0.00,3.00,4.00,3.00,NULL,3.00,6.00,4.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3015009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'S JDO RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3015017,5.00,7.00,2.00,8.00,6.00,5.75,0.00,8.00,4.00,233,NULL,214,'PRAIA REDONDA','TUBARãO','SC',8970,273,NULL,313,NULL,NULL,NULL,4,10),(16,3015025,8.00,7.00,3.00,7.00,8.00,7.00,3.00,4.00,4.00,212,NULL,211,'BARRA DO ARIRIÚ','PALHOÇA','SC',5151,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3015033,8.00,6.00,7.00,9.00,8.00,6.25,2.00,6.00,7.00,103,NULL,NULL,'CONJUNTO VERONA','PNT GROSSA','PR',1850,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3015050,2.00,3.00,4.00,3.00,3.00,NULL,2.00,5.00,2.00,102,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015068,6.00,6.00,2.00,7.00,7.00,6.50,2.00,5.00,5.00,415,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',7849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015076,8.00,8.00,8.00,3.00,7.00,6.00,7.00,7.00,9.00,203,NULL,201,'CIDADE ALTA','ARARANGUá','SC',1020,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3015084,5.00,6.00,6.00,4.00,6.00,6.25,6.00,7.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',4777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015092,5.00,6.00,3.00,8.00,7.00,5.25,4.00,8.00,5.00,415,NULL,NULL,'JD SÃO FRANCISCO','CUBATÃO','SP',6070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015106,3.00,4.00,2.00,8.00,5.00,5.50,1.00,5.00,3.00,303,NULL,NULL,'CRUZEIRO DO SUL','JOAÇABA','SC',13862,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3015114,5.00,6.00,1.00,7.00,6.00,5.75,2.00,5.00,4.00,450,NULL,NULL,'SÃO JOÃO','COCAL SUL','SC',10754,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3015122,5.00,3.00,1.00,5.00,4.00,4.75,2.00,6.00,3.00,102,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3015149,6.00,4.00,3.00,5.00,5.00,4.50,4.00,6.00,5.00,201,NULL,212,'PRIMAVERA II','PRIMAVERA LESTE','MT',9711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3015157,7.00,7.00,5.00,7.00,6.00,6.00,4.00,6.00,4.00,415,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',4494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015165,6.00,6.00,4.00,7.00,4.00,5.50,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','ITAIÓPOLIS','SC',8717,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3015173,5.00,5.00,1.00,8.00,5.00,6.50,2.00,3.00,3.00,108,NULL,NULL,'CENTRO','CEL FREITAS','SC',14319,321,NULL,NULL,NULL,NULL,NULL,2,4),(16,3015181,5.00,3.00,5.00,6.00,6.00,5.50,3.00,2.00,5.00,215,NULL,NULL,'JARDIM AMÉRICA','PAULÍNIA','SP',10761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015190,9.00,6.00,9.00,9.00,7.00,7.25,7.00,7.00,8.00,103,NULL,NULL,'JARDIM ANA MARIA','JUNDIAI','SP',384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015203,7.00,7.00,4.00,7.00,5.00,6.00,4.00,6.00,4.00,301,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',6008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015220,3.00,2.00,3.00,5.00,4.00,NULL,3.00,3.00,2.00,5,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3015238,6.00,4.00,4.00,7.00,6.00,6.25,5.00,4.00,3.00,103,NULL,NULL,'BELA VISTA III','S JOSÉ','SC',8385,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3015246,8.00,8.00,4.00,8.00,7.00,7.25,6.00,7.00,4.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015254,7.00,5.00,6.00,8.00,7.00,6.50,6.00,7.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015262,7.00,7.00,8.00,5.00,5.00,5.25,4.00,7.00,7.00,203,NULL,201,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',3389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015270,6.00,4.00,4.00,8.00,6.00,8.00,5.00,6.00,4.00,216,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',5327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3015289,5.00,6.00,6.00,8.00,5.00,5.25,5.00,7.00,8.00,103,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',3379,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3015300,1.00,5.00,3.00,7.00,4.00,6.50,6.00,5.00,6.00,428,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3015319,9.00,8.00,9.00,8.00,7.00,7.00,6.00,9.00,7.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015327,4.00,7.00,6.00,6.00,7.00,6.50,4.00,7.00,6.00,202,NULL,203,'ZONA RURAL','RONDON','PR',3928,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3015343,6.00,6.00,3.00,6.00,3.00,NULL,3.00,2.00,4.00,104,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3015351,1.00,4.00,1.00,4.00,3.00,NULL,1.00,3.00,1.00,317,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3015360,4.00,5.00,4.00,7.00,5.00,5.75,1.00,5.00,3.00,220,NULL,201,'JARDIM PARAÍSO','BANDEIRANTES','PR',11398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3015378,8.00,8.00,6.00,8.00,7.00,6.25,4.00,8.00,7.00,303,NULL,NULL,'PARQUE SAO PAULO','CASCAVEL','PR',1263,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3015386,5.00,6.00,1.00,3.00,7.00,5.50,4.00,7.00,3.00,104,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',11362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015408,2.00,3.00,5.00,6.00,3.00,NULL,2.00,3.00,4.00,317,NULL,NULL,'JARDIM CIDADE','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3015416,1.00,2.00,3.00,1.00,3.00,NULL,3.00,0.00,4.00,404,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3015424,8.00,5.00,5.00,8.00,6.00,7.25,6.00,7.00,8.00,2,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',1539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015432,4.00,3.00,2.00,3.00,3.00,NULL,0.00,4.00,2.00,452,NULL,NULL,'RESIDENCIAL FLORENÇA','RIO CLARO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015440,4.00,3.00,3.00,4.00,4.00,5.25,3.00,3.00,2.00,502,NULL,NULL,'JD SANTA CLARA','GUARULHOS','SP',16443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015459,5.00,4.00,1.00,5.00,4.00,5.50,2.00,4.00,4.00,215,NULL,216,'PACHECOS','PALHOÇA','SC',14441,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3015467,3.00,5.00,3.00,4.00,3.00,NULL,1.00,4.00,3.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3015475,8.00,8.00,9.00,9.00,9.00,5.75,7.00,9.00,7.00,5,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',151,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3015483,3.00,6.00,4.00,5.00,5.00,5.75,3.00,7.00,5.00,207,NULL,201,'CENTRO','CURITIBA','PR',8913,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3015491,3.00,6.00,6.00,6.00,4.00,5.50,4.00,4.00,3.00,203,NULL,220,'MEDIANEIRA','PANAMBI','RS',11042,752,NULL,415,NULL,NULL,NULL,4,1),(16,3015505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','PEABIRU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3015513,3.00,6.00,3.00,4.00,5.00,4.50,1.00,4.00,7.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',13085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015521,5.00,7.00,6.00,6.00,7.00,6.25,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','RONDONÓPOLIS','MT',4600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015530,3.00,7.00,6.00,2.00,6.00,4.50,4.00,8.00,6.00,233,NULL,211,'ATIRADORES','JOINVILLE','SC',8454,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3015548,3.00,3.00,2.00,3.00,3.00,NULL,1.00,1.00,3.00,211,NULL,NULL,'VILA SÃO PAULO','CPO LIMPO PAULISTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'HORIZONTAL PARK II','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3015564,6.00,8.00,5.00,7.00,6.00,5.75,5.00,8.00,6.00,303,NULL,NULL,'IPIRANGA','S JOSÉ','SC',2802,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3015572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,216,'ROOSEVELT','UBERLÂNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3015580,7.00,7.00,7.00,7.00,7.00,5.50,5.00,7.00,8.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',1601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015599,5.00,6.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3015602,4.00,5.00,4.00,6.00,4.00,4.25,4.00,5.00,4.00,103,NULL,NULL,'OFICINAS','PNT GROSSA','PR',11735,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3015629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA OPERÁRIA','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3015637,3.00,1.00,3.00,2.00,4.00,NULL,2.00,1.00,2.00,5,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015645,3.00,2.00,5.00,1.00,4.00,3.25,2.00,4.00,4.00,233,NULL,214,'JARDIM DOS ESTADOS','POÇOS CALDAS','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3015661,2.00,5.00,2.00,6.00,5.00,6.00,1.00,7.00,5.00,303,NULL,NULL,'CRISTO REDENTOR','PTO ALEGRE','RS',12939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015670,5.00,6.00,4.00,7.00,7.00,5.75,1.00,6.00,2.00,329,NULL,NULL,'SANTA LUZIA','CRICIÚMA','SC',8954,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3015688,6.00,7.00,5.00,5.00,8.00,6.25,2.00,4.00,5.00,207,NULL,201,'MENINO DEUS','PTO ALEGRE','RS',5542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015696,8.00,7.00,3.00,9.00,5.00,5.25,2.00,8.00,7.00,103,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',3768,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3015700,7.00,5.00,7.00,7.00,7.00,5.75,1.00,7.00,6.00,220,NULL,202,'ABADIA','UBERABA','MG',4263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015726,6.00,6.00,4.00,7.00,7.00,5.00,2.00,7.00,3.00,332,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',7611,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3015734,1.00,6.00,4.00,3.00,3.00,NULL,2.00,6.00,3.00,103,NULL,NULL,'BANDEIRANTES','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3015742,6.00,5.00,8.00,6.00,6.00,6.00,5.00,7.00,7.00,214,NULL,220,'RECREIO DAS ACACIAS','RIBEIRÃO PRETO','SP',2182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015750,8.00,8.00,9.00,8.00,7.00,7.00,5.00,7.00,8.00,103,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ICARAI','NITERÓI','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3015777,5.00,6.00,5.00,6.00,5.00,3.25,2.00,7.00,4.00,501,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3015785,3.00,2.00,5.00,7.00,3.00,NULL,2.00,4.00,2.00,238,NULL,203,'SÃO PELEGRINO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015793,8.00,8.00,9.00,9.00,7.00,5.50,4.00,9.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015815,3.00,7.00,5.00,9.00,5.00,6.25,3.00,7.00,4.00,328,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015823,6.00,7.00,2.00,9.00,9.00,5.50,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',4941,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3015831,8.00,7.00,6.00,6.00,8.00,7.50,3.00,6.00,6.00,415,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',2971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015840,9.00,9.00,7.00,6.00,6.00,6.00,7.00,9.00,8.00,103,NULL,NULL,'CENTRO','CAMBORIÚ','SC',476,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3015858,7.00,6.00,5.00,6.00,5.00,5.50,1.00,8.00,7.00,220,NULL,202,'CENTRO','CASCAVEL','PR',5074,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3015866,4.00,3.00,4.00,6.00,3.00,NULL,2.00,5.00,2.00,340,NULL,NULL,'LISBOA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3015874,4.00,6.00,3.00,6.00,6.00,5.75,4.00,4.00,3.00,104,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10280,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3015882,4.00,5.00,2.00,4.00,2.00,NULL,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','PALMAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3015890,3.00,5.00,2.00,7.00,7.00,4.00,1.00,5.00,3.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',13945,466,NULL,NULL,NULL,NULL,NULL,2,1),(16,3015904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'VILA RICA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3015912,3.00,5.00,4.00,2.00,4.00,5.25,2.00,6.00,2.00,103,NULL,NULL,'SETE DE SETEMBRO','IVOTI','RS',15587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015920,5.00,3.00,2.00,8.00,2.00,NULL,5.00,4.00,5.00,216,NULL,214,'JARDIM EUROPA','ASSIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015939,5.00,5.00,4.00,9.00,7.00,5.50,6.00,7.00,5.00,211,NULL,208,'SETOR JAÓ','GOIÂNIA','GO',3936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015955,5.00,6.00,3.00,3.00,6.00,5.50,4.00,6.00,6.00,415,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',8321,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3015963,6.00,8.00,7.00,8.00,9.00,5.25,7.00,8.00,7.00,220,NULL,208,'SANTA MONICA','FLORIANÓPOLIS','SC',1007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3015998,6.00,7.00,6.00,6.00,5.00,6.75,2.00,5.00,6.00,101,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',5681,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016013,4.00,2.00,5.00,6.00,6.00,5.00,3.00,7.00,3.00,304,NULL,NULL,'PARQUE DAS FLORES','CAMPINAS','SP',11155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016021,4.00,6.00,2.00,7.00,4.00,4.00,4.00,6.00,4.00,207,NULL,201,'ESTHER','S PAULO','SP',11660,569,NULL,900,NULL,NULL,NULL,2,1),(16,3016030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'COCAIA','ILHABELA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3016048,5.00,3.00,2.00,6.00,3.00,NULL,2.00,6.00,3.00,423,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016056,7.00,7.00,9.00,8.00,7.00,6.25,4.00,9.00,8.00,201,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',704,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3016064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'SÃO CRISTOVÃO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3016072,9.00,8.00,8.00,9.00,7.00,5.75,5.00,9.00,8.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA MARIA','ANÁPOLIS','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3016099,6.00,7.00,3.00,5.00,5.00,7.00,2.00,8.00,6.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016102,3.00,4.00,3.00,5.00,4.00,4.00,1.00,6.00,3.00,215,NULL,207,'INGLESES','FLORIANÓPOLIS','SC',15834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016110,4.00,6.00,6.00,7.00,5.00,5.75,5.00,6.00,6.00,238,NULL,208,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',4940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3016137,6.00,4.00,3.00,5.00,5.00,5.75,4.00,3.00,7.00,333,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',9268,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016145,5.00,7.00,5.00,8.00,7.00,6.25,4.00,6.00,3.00,340,NULL,NULL,'AMÉRICA','JOINVILLE','SC',5566,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3016161,6.00,6.00,4.00,4.00,5.00,5.75,1.00,6.00,3.00,211,NULL,201,'CENTRO','S CARLOS','SC',10948,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3016170,3.00,1.00,3.00,4.00,3.00,NULL,3.00,4.00,3.00,212,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016188,5.00,4.00,2.00,9.00,4.00,5.25,1.00,6.00,3.00,208,NULL,238,'ROÇADO','S JOSÉ','SC',11699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016196,2.00,2.00,3.00,6.00,6.00,NULL,1.00,3.00,2.00,310,NULL,NULL,'SERRA ALTA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3016200,5.00,4.00,6.00,6.00,7.00,5.75,2.00,7.00,3.00,214,NULL,203,'TRINDADE','FLORIANÓPOLIS','SC',7702,268,NULL,606,NULL,NULL,NULL,4,1),(16,3016218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3016234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,208,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3016250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3016269,6.00,3.00,4.00,4.00,2.00,NULL,2.00,3.00,1.00,316,NULL,NULL,'BROTAS','SALVADOR','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016277,4.00,4.00,1.00,5.00,4.00,6.50,1.00,6.00,2.00,328,NULL,NULL,'BARREIROS','S JOSÉ','SC',15547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016307,8.00,6.00,3.00,7.00,5.00,6.00,2.00,8.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6117,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016315,8.00,5.00,2.00,7.00,5.00,6.00,3.00,6.00,3.00,310,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016331,3.00,3.00,2.00,6.00,4.00,4.75,1.00,4.00,3.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',15888,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016340,2.00,6.00,2.00,7.00,7.00,6.50,2.00,6.00,3.00,340,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',10770,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016358,5.00,6.00,2.00,7.00,6.00,5.75,3.00,9.00,5.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016366,7.00,7.00,2.00,7.00,7.00,8.25,1.00,6.00,3.00,103,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',5785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016374,6.00,8.00,9.00,8.00,7.00,6.50,4.00,8.00,6.00,203,NULL,202,'PROGRESSO','RIO SUL','SC',1187,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3016404,5.00,6.00,3.00,3.00,4.00,2.00,2.00,5.00,3.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016412,7.00,7.00,4.00,5.00,2.00,NULL,3.00,6.00,6.00,203,NULL,202,'RESIDENCIAL PRIMO','BOITUVA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016420,7.00,7.00,3.00,3.00,7.00,5.75,4.00,6.00,5.00,420,NULL,NULL,'SÃO JOSÉ','DIVINÓPOLIS','MG',7307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016447,4.00,4.00,3.00,3.00,2.00,NULL,4.00,1.00,5.00,233,NULL,212,'JARDIM DAS DRACENAS','BARRA BONITA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,202,'UNIVERSITARIO','SAO JOSE DO RIO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3016463,3.00,6.00,1.00,7.00,6.00,6.00,3.00,7.00,4.00,415,NULL,NULL,'CENTRO','S BENTO SUL','SC',10707,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3016480,8.00,7.00,1.00,8.00,8.00,6.50,5.00,8.00,8.00,303,NULL,NULL,'VILA NOVA','JOINVILLE','SC',2105,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(16,3016498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','CAMBé','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3016501,8.00,6.00,4.00,6.00,6.00,6.75,3.00,6.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','SERTÃOZINHO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3016528,7.00,3.00,6.00,7.00,5.00,5.00,4.00,5.00,6.00,103,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',7261,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3016536,7.00,5.00,7.00,6.00,5.00,6.00,4.00,5.00,6.00,108,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016544,8.00,4.00,4.00,4.00,5.00,5.25,6.00,6.00,7.00,103,NULL,NULL,'CENTRO','BARRACÃO','PR',6514,1759,NULL,NULL,NULL,NULL,NULL,4,4),(16,3016552,8.00,8.00,8.00,9.00,7.00,5.00,7.00,8.00,7.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016560,3.00,2.00,1.00,6.00,6.00,5.75,3.00,4.00,4.00,425,NULL,429,'BOTAFOGO','BENTO GONÇALVES','RS',15094,87,NULL,58,NULL,NULL,NULL,4,1),(16,3016579,4.00,4.00,3.00,7.00,3.00,NULL,3.00,4.00,4.00,104,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016587,7.00,5.00,4.00,7.00,4.00,6.25,4.00,7.00,3.00,340,NULL,NULL,'CENTRO','IGARAçU TIETê','SP',7142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016609,2.00,5.00,2.00,3.00,5.00,5.00,2.00,5.00,4.00,332,NULL,NULL,'AREIAS','S JOSÉ','SC',14153,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016617,8.00,7.00,6.00,8.00,7.00,7.00,4.00,8.00,7.00,108,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',1561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016641,4.00,4.00,4.00,5.00,3.00,NULL,1.00,2.00,3.00,104,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016650,4.00,3.00,1.00,4.00,4.00,6.00,3.00,5.00,3.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',15919,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3016668,6.00,7.00,7.00,8.00,8.00,6.00,6.00,7.00,7.00,201,NULL,213,'SAGRADO CORAÇÃO DE J','LAGES','SC',1311,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3016676,7.00,4.00,3.00,7.00,5.00,7.00,3.00,7.00,6.00,216,NULL,233,'CENTRO','PTO ALEGRE','RS',6456,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3016684,2.00,2.00,3.00,5.00,3.00,NULL,2.00,2.00,2.00,102,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3016692,8.00,6.00,5.00,6.00,6.00,4.75,5.00,8.00,6.00,211,NULL,201,'BARREIROS','S JOSÉ','SC',4019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016706,6.00,4.00,5.00,8.00,6.00,5.50,4.00,7.00,5.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016714,7.00,5.00,2.00,8.00,6.00,5.75,3.00,8.00,8.00,415,NULL,NULL,'HARMONIA','CANOAS','RS',5498,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016730,4.00,6.00,1.00,3.00,7.00,6.75,3.00,5.00,2.00,329,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',13068,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016749,3.00,4.00,7.00,6.00,5.00,6.00,3.00,6.00,4.00,201,NULL,NULL,'AMÉRICA','JOINVILLE','SC',10060,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3016765,5.00,5.00,5.00,8.00,4.00,5.00,5.00,6.00,4.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016781,3.00,3.00,4.00,6.00,4.00,6.50,3.00,5.00,4.00,415,NULL,NULL,'CENTRO','MAIRIPORã','SP',11847,311,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016790,4.00,6.00,4.00,8.00,7.00,4.00,6.00,6.00,7.00,303,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',5096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016803,1.00,4.00,4.00,7.00,4.00,4.00,2.00,3.00,2.00,216,NULL,233,'SANTANA','RIO SUL','SC',16402,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3016811,4.00,5.00,2.00,4.00,3.00,NULL,2.00,6.00,0.00,340,NULL,NULL,'CRUZEIRO','SAO BENTO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3016820,6.00,9.00,5.00,7.00,6.00,6.50,4.00,8.00,6.00,5,NULL,NULL,'TREMEMBÉ','S PAULO','SP',2345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016838,5.00,2.00,3.00,5.00,5.00,4.75,1.00,5.00,3.00,103,NULL,NULL,'CHÁCARA PAULISTA','MARINGÁ','PR',15016,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016846,4.00,2.00,2.00,8.00,5.00,7.00,3.00,6.00,3.00,310,NULL,NULL,'BARRA DO RIO','ITAJAÍ','SC',12224,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3016862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JALES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3016870,6.00,4.00,4.00,7.00,6.00,6.75,3.00,6.00,4.00,425,NULL,421,'STO ANT DE LISBOA','FLORIANÓPOLIS','SC',7823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016889,3.00,3.00,2.00,3.00,2.00,NULL,2.00,3.00,1.00,502,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016897,7.00,5.00,8.00,8.00,7.00,6.25,7.00,7.00,7.00,103,NULL,NULL,'VL BUARQUE','SAO PAULO','SP',1278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016927,4.00,7.00,4.00,6.00,5.00,4.00,1.00,3.00,2.00,302,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',14169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3016943,5.00,7.00,5.00,7.00,4.00,5.00,5.00,7.00,3.00,212,NULL,214,'JARDIM SOCIA','CURITIBA','PR',7460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016951,7.00,7.00,5.00,8.00,7.00,6.25,4.00,9.00,6.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',1976,823,NULL,NULL,NULL,NULL,NULL,2,1),(16,3016960,7.00,4.00,6.00,8.00,5.00,5.75,5.00,6.00,7.00,103,NULL,NULL,'BUTANTA','S PAULO','SP',3518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3016978,9.00,8.00,7.00,10.00,7.00,7.75,6.00,7.00,9.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',226,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3016986,2.00,5.00,4.00,7.00,7.00,5.50,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','RIO NEGRO','PR',11176,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3016994,6.00,6.00,6.00,6.00,6.00,5.25,6.00,6.00,6.00,203,NULL,208,'CAMPINAS','S JOSÉ','SC',3607,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017001,3.00,5.00,5.00,7.00,5.00,5.50,3.00,4.00,5.00,203,NULL,238,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',10524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3017010,4.00,4.00,3.00,5.00,4.00,5.00,5.00,6.00,4.00,207,NULL,201,'ARIRIÚ','PALHOÇA','SC',11091,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3017028,4.00,6.00,6.00,6.00,4.00,5.75,4.00,6.00,6.00,238,NULL,208,'AMBROSIO','GAROPABA','SC',6262,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3017036,6.00,6.00,5.00,7.00,6.00,5.50,6.00,8.00,6.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',3793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017044,5.00,2.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,340,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3017052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'ZONA III','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3017060,3.00,4.00,2.00,9.00,5.00,6.50,3.00,4.00,0.00,310,NULL,NULL,'BOQUEIRÃO','PASSO FUNDO','RS',14323,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3017079,4.00,6.00,5.00,9.00,5.00,5.00,3.00,6.00,4.00,304,NULL,NULL,'JD SAO DIMAS','S JOSÉ CAMPOS','SP',7649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017087,4.00,4.00,1.00,7.00,6.00,7.00,2.00,7.00,5.00,425,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',9790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017095,6.00,7.00,5.00,6.00,6.00,5.25,5.00,6.00,4.00,104,NULL,NULL,'AMÉRICA','JOINVILLE','SC',6365,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3017109,4.00,7.00,7.00,8.00,6.00,5.25,6.00,8.00,4.00,208,NULL,203,'MOEMA','S PAULO','SP',3184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3017125,6.00,5.00,4.00,8.00,4.00,4.00,6.00,6.00,4.00,211,NULL,201,'CENTRO','CANELINHA','SC',8308,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3017133,3.00,4.00,3.00,5.00,5.00,6.50,3.00,5.00,4.00,207,NULL,201,'ASILO','BLUMENAU','SC',12191,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3017150,5.00,5.00,2.00,5.00,7.00,6.00,2.00,4.00,4.00,201,NULL,207,'JARDIM ELDORADO','PALHOÇA','SC',12017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017168,2.00,7.00,5.00,7.00,5.00,5.00,3.00,9.00,5.00,216,NULL,211,'ALVORADA','FRANCISCO BELTRãO','PR',7358,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3017176,0.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,238,NULL,208,'CRISTO REI','VÁRZEA GRANDE','MT',NULL,NULL,NULL,NULL,NULL,'S','S',2,2),(16,3017184,2.00,2.00,3.00,7.00,3.00,NULL,2.00,4.00,3.00,332,NULL,NULL,'AEROPORTO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3017192,7.00,7.00,7.00,8.00,7.00,5.25,7.00,8.00,9.00,103,NULL,NULL,'CENTRO','STA CECÍLIA','SC',817,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3017206,6.00,5.00,6.00,6.00,6.00,5.75,2.00,6.00,5.00,212,NULL,216,'BARRA DO RIO','ITAJAÍ','SC',7482,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3017214,6.00,7.00,4.00,9.00,8.00,7.25,3.00,8.00,5.00,450,NULL,NULL,'VILA BELMIRO','SANTOS','SP',1965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017222,5.00,4.00,4.00,5.00,2.00,NULL,4.00,7.00,4.00,103,NULL,NULL,'JD NOVO HORIZONTE','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3017230,3.00,2.00,4.00,9.00,7.00,6.50,2.00,8.00,5.00,212,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',7467,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3017249,4.00,8.00,4.00,7.00,8.00,7.00,3.00,7.00,5.00,452,NULL,NULL,'PLANO PILOTO','BRASÍLIA','DF',4695,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3017265,4.00,3.00,4.00,0.00,2.00,NULL,2.00,3.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017273,5.00,5.00,4.00,7.00,6.00,6.75,1.00,6.00,3.00,503,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',8703,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3017281,5.00,3.00,1.00,6.00,3.00,NULL,3.00,6.00,3.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017290,8.00,6.00,3.00,8.00,6.00,6.00,3.00,7.00,5.00,213,NULL,211,'COROA DO MEIO','ARACAJU','SE',5557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017303,5.00,3.00,2.00,3.00,4.00,5.00,3.00,3.00,4.00,303,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',16088,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3017311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'MARACANÃ','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3017338,7.00,8.00,9.00,7.00,8.00,5.50,4.00,9.00,6.00,201,NULL,212,'VILA ALEXANDRIA','S PAULO','SP',1196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017346,6.00,5.00,4.00,9.00,7.00,7.00,4.00,8.00,6.00,220,NULL,203,'CENTRO','PARAÍBA SUL','RJ',3219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017354,7.00,5.00,5.00,6.00,7.00,5.75,3.00,6.00,8.00,103,NULL,NULL,'JD NOVA CANUDOS','VINHEDO','SP',4080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017362,8.00,4.00,6.00,9.00,8.00,6.00,5.00,7.00,6.00,214,NULL,212,'OESTE','GOIÂNIA','GO',2197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017389,4.00,5.00,3.00,7.00,3.00,NULL,2.00,5.00,3.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017397,6.00,7.00,5.00,8.00,7.00,7.25,3.00,8.00,5.00,212,NULL,213,'COQUEIROS','FLORIANÓPOLIS','SC',3953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017419,7.00,8.00,6.00,6.00,6.00,6.25,4.00,7.00,6.00,203,NULL,233,'CENTRO','FLORIANóPOLIS','SC',2964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017435,4.00,6.00,4.00,6.00,5.00,4.50,3.00,8.00,5.00,225,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',9083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017443,6.00,4.00,4.00,6.00,4.00,6.25,3.00,7.00,2.00,5,NULL,NULL,'MARTORANO','S JOAQUIM','SC',10916,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3017451,3.00,4.00,3.00,0.00,5.00,4.50,4.00,5.00,4.00,207,NULL,201,'STA RITA','BRUSQUE','SC',16342,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3017460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3017478,0.00,0.00,0.00,2.00,3.00,NULL,0.00,4.00,4.00,203,NULL,220,'CORDEIROS','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,6),(16,3017486,2.00,6.00,5.00,7.00,5.00,5.50,3.00,6.00,5.00,104,NULL,NULL,'TOBIAS','JOAÇABA','SC',8472,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3017494,8.00,9.00,5.00,9.00,8.00,7.50,7.00,8.00,8.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017508,7.00,7.00,5.00,8.00,6.00,5.25,4.00,7.00,5.00,103,NULL,NULL,'SANTO ANTONIO','ITUPORANGA','SC',3585,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3017516,1.00,3.00,1.00,0.00,5.00,NULL,1.00,4.00,1.00,428,NULL,429,'ASA NORTE','BRASíLIA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017524,5.00,5.00,3.00,4.00,3.00,NULL,1.00,5.00,4.00,102,NULL,NULL,'JARDIM ABC','DIADEMA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3017532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','AGRONÔMICA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3017559,6.00,5.00,4.00,5.00,4.00,5.75,5.00,2.00,3.00,301,NULL,NULL,'CENTRO','CHAPECÓ','SC',12541,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3017567,3.00,2.00,2.00,5.00,4.00,NULL,3.00,1.00,4.00,233,NULL,208,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3017583,5.00,2.00,2.00,0.00,5.00,NULL,3.00,4.00,3.00,420,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3017591,5.00,6.00,3.00,7.00,4.00,5.50,2.00,6.00,5.00,453,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10008,70,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017605,2.00,3.00,4.00,3.00,3.00,NULL,3.00,3.00,2.00,238,NULL,213,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3017656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3017664,5.00,5.00,2.00,2.00,7.00,6.50,3.00,6.00,4.00,319,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',10662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017672,2.00,2.00,5.00,5.00,2.00,NULL,3.00,3.00,2.00,211,NULL,220,'INDEPENDENCIA','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3017680,7.00,5.00,7.00,7.00,6.00,6.50,5.00,5.00,6.00,214,NULL,233,'ITACORUBI','FLORIANÓPOLIS','SC',3368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017699,7.00,6.00,6.00,6.00,7.00,5.75,6.00,8.00,6.00,214,NULL,213,'CIDADE MONÇÕES','S PAULO','SP',2308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,423,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3017710,7.00,9.00,7.00,6.00,4.00,6.00,5.00,8.00,7.00,203,NULL,202,'CENTRO','CRICIÚMA','SC',1893,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3017729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3017737,7.00,8.00,6.00,7.00,6.00,5.25,7.00,7.00,7.00,207,NULL,212,'UVARANAS','PNT GROSSA','PR',1435,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3017745,2.00,4.00,5.00,5.00,3.00,NULL,4.00,2.00,5.00,104,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3017753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3017761,7.00,8.00,7.00,8.00,7.00,7.75,3.00,8.00,6.00,238,NULL,207,'BELA VISTA I','S JOSÉ','SC',1847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017788,7.00,5.00,4.00,4.00,7.00,5.25,5.00,6.00,6.00,319,NULL,NULL,'DEHON','TUBARÃO','SC',6880,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3017796,6.00,5.00,1.00,9.00,6.00,5.50,2.00,7.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017800,7.00,5.00,2.00,7.00,6.00,6.75,3.00,7.00,6.00,208,NULL,238,'PRESIDENTE KENNEDY','FRANCISCO BELTRÃO','PR',6624,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3017834,4.00,1.00,4.00,3.00,3.00,NULL,2.00,3.00,2.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017842,7.00,5.00,6.00,7.00,6.00,6.00,5.00,5.00,5.00,203,NULL,214,'TERESÓPOLIS','PTO ALEGRE','RS',5025,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3017850,5.00,7.00,7.00,9.00,4.00,7.25,5.00,7.00,4.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3017877,3.00,2.00,2.00,3.00,0.00,NULL,0.00,2.00,3.00,203,NULL,214,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3017893,3.00,0.00,2.00,3.00,4.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3017907,4.00,4.00,6.00,2.00,5.00,6.00,2.00,5.00,5.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',13060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017915,4.00,7.00,5.00,7.00,6.00,7.50,2.00,3.00,5.00,207,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',8227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017923,7.00,7.00,5.00,7.00,6.00,6.50,4.00,7.00,6.00,211,NULL,233,'PANTANAL','FLORIANÓPOLIS','SC',3570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3017931,4.00,4.00,4.00,0.00,5.00,NULL,1.00,3.00,4.00,103,NULL,NULL,'TIJUCAL','CUIABÁ','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3017940,2.00,2.00,2.00,3.00,3.00,NULL,3.00,4.00,3.00,301,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3017966,6.00,5.00,3.00,4.00,6.00,6.00,3.00,8.00,5.00,234,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017974,7.00,7.00,3.00,8.00,7.00,6.00,4.00,8.00,5.00,103,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',3728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3017982,7.00,6.00,5.00,8.00,8.00,5.75,3.00,7.00,7.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',2772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3017990,7.00,5.00,4.00,4.00,8.00,5.50,4.00,6.00,6.00,108,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',5550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3018008,3.00,3.00,2.00,5.00,5.00,5.75,2.00,5.00,6.00,222,NULL,NULL,'JARDIM LARANJEIRAS','PALHOÇA','SC',13323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3018040,5.00,3.00,3.00,1.00,4.00,NULL,2.00,2.00,5.00,301,NULL,NULL,'LIBERDADE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3018067,4.00,8.00,4.00,6.00,6.00,5.75,4.00,6.00,7.00,104,NULL,NULL,'VISTA ALEGRE','CONCÓRDIA','SC',5603,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3018075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'JD PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3018091,7.00,5.00,4.00,8.00,7.00,7.25,3.00,6.00,6.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3018105,5.00,3.00,2.00,4.00,3.00,NULL,2.00,4.00,4.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3018113,4.00,5.00,4.00,8.00,5.00,4.25,3.00,3.00,5.00,102,NULL,NULL,'JARDIM PRIMAVERA','PATO BRANCO','PR',11249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3018121,5.00,5.00,3.00,5.00,5.00,5.50,2.00,7.00,5.00,415,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10362,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3018130,6.00,2.00,2.00,4.00,4.00,5.50,2.00,4.00,4.00,101,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',15926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3018148,5.00,7.00,8.00,6.00,7.00,5.75,5.00,5.00,8.00,203,NULL,202,'BRASÍLIA','GUARÁ','DF',3039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3018156,4.00,6.00,3.00,8.00,7.00,5.00,1.00,7.00,5.00,201,NULL,220,'BOM ABRIGO','FLORIANÓPOLIS','SC',8469,664,NULL,348,NULL,NULL,NULL,4,1),(16,3018164,8.00,7.00,6.00,9.00,7.00,6.75,4.00,7.00,7.00,103,NULL,NULL,'JOSE MENDES','FLORIANOPOLIS','SC',1913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3018172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3018180,8.00,6.00,4.00,8.00,8.00,5.50,6.00,8.00,7.00,415,NULL,NULL,'STO ANTÔNIO','JOINVILLE','SC',1846,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3018199,7.00,6.00,8.00,9.00,7.00,6.00,6.00,9.00,7.00,216,NULL,215,'VILA NOVA','BLUMENAU','SC',1264,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3018202,1.00,1.00,2.00,0.00,0.00,NULL,0.00,2.00,2.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(16,3018210,6.00,6.00,4.00,9.00,5.00,5.00,2.00,6.00,5.00,316,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',7635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3018229,3.00,3.00,2.00,4.00,4.00,4.25,4.00,4.00,3.00,503,NULL,NULL,'PETROPOLIS','LAGES','SC',16652,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3018237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'ESTAÇÃO COCAL','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3018245,8.00,3.00,6.00,7.00,7.00,5.00,5.00,5.00,8.00,103,NULL,NULL,'SANTO ANTONIO','LONDRINA','PR',4056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3018253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IGRA','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3018261,9.00,6.00,4.00,9.00,7.00,NULL,0.00,8.00,4.00,444,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3018296,7.00,7.00,6.00,8.00,8.00,6.25,4.00,7.00,8.00,203,NULL,202,'VELHA','BLUMENAU','SC',1462,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3018300,4.00,5.00,3.00,5.00,4.00,5.50,3.00,6.00,3.00,301,NULL,NULL,'OFICINAS','TUBARÃO','SC',13194,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3018318,3.00,3.00,2.00,5.00,3.00,NULL,3.00,5.00,4.00,203,NULL,220,'PIONEIROS','ITÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3018326,8.00,7.00,8.00,9.00,6.00,6.75,7.00,8.00,8.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3018334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ENG BALDUÍNO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3018342,5.00,5.00,5.00,5.00,7.00,6.50,3.00,2.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10970,480,NULL,NULL,NULL,NULL,NULL,4,1),(16,3018350,6.00,5.00,3.00,7.00,4.00,6.25,3.00,7.00,3.00,104,NULL,NULL,'MERCES','CURITIBA','PR',9871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3018377,3.00,4.00,2.00,3.00,7.00,5.75,3.00,4.00,3.00,453,NULL,NULL,'OFICINAS','TUBARÃO','SC',14983,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3018385,5.00,5.00,3.00,6.00,5.00,5.25,3.00,7.00,4.00,103,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',11107,2344,NULL,NULL,NULL,NULL,NULL,2,1),(16,3018407,9.00,8.00,9.00,7.00,9.00,6.00,7.00,9.00,9.00,103,NULL,NULL,'BELA VISTA','PORTO UNIAO','SC',87,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3018415,4.00,6.00,3.00,5.00,3.00,NULL,2.00,7.00,3.00,320,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3018423,6.00,5.00,2.00,9.00,5.00,7.75,3.00,4.00,6.00,428,NULL,425,'JAQUELINE','IÇARA','SC',6965,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3018440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3018458,2.00,3.00,1.00,4.00,2.00,NULL,3.00,3.00,1.00,317,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3018474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'HEITOR VILLA LOBOS','ARARAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3018482,3.00,6.00,2.00,7.00,5.00,7.00,3.00,4.00,4.00,103,NULL,NULL,'MURTA','ITAJAÍ','SC',11752,2416,NULL,NULL,NULL,NULL,NULL,2,6),(16,3018490,6.00,5.00,5.00,7.00,5.00,6.25,3.00,6.00,5.00,450,NULL,NULL,'CENTRO','CRICIÚMA','SC',6646,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3018512,6.00,7.00,5.00,6.00,6.00,4.75,3.00,6.00,3.00,333,NULL,NULL,'CENTRO','TUBARãO','SC',7347,61,NULL,NULL,NULL,NULL,NULL,4,10),(16,3018520,3.00,0.00,3.00,3.00,1.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3018539,2.00,0.00,1.00,3.00,3.00,NULL,2.00,1.00,1.00,203,NULL,201,'ENCOSTA DO SOL','ETN VELHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3018571,2.00,8.00,2.00,8.00,8.00,5.25,2.00,7.00,5.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',8447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3018580,4.00,3.00,4.00,2.00,5.00,5.00,5.00,4.00,1.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3018610,5.00,5.00,1.00,8.00,8.00,5.50,1.00,8.00,5.00,329,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',7659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3018628,6.00,7.00,3.00,7.00,6.00,4.00,4.00,7.00,7.00,103,NULL,NULL,'JD SÃO JORGE','MARINGÁ','PR',5112,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3018636,6.00,3.00,3.00,4.00,3.00,NULL,4.00,4.00,3.00,108,NULL,NULL,'VILA OSASCO','OSASCO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3018644,5.00,5.00,5.00,7.00,6.00,7.00,2.00,6.00,6.00,216,NULL,215,'ANDORINHA','ITAPEMA','SC',6568,235,NULL,NULL,NULL,NULL,NULL,2,6),(16,3018679,1.00,3.00,3.00,4.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,3),(16,3018687,4.00,7.00,4.00,9.00,5.00,6.00,2.00,6.00,2.00,320,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',9414,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3018709,5.00,5.00,5.00,8.00,5.00,7.00,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','CEL FREITAS','SC',5176,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3018717,3.00,5.00,2.00,7.00,0.00,NULL,0.00,5.00,5.00,450,NULL,NULL,'ALTO DA COLINA','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3018725,5.00,6.00,5.00,9.00,5.00,7.00,2.00,6.00,3.00,453,NULL,NULL,'RIO DAS PEDRAS','VIDEIRA','SC',7656,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3018733,4.00,4.00,5.00,4.00,4.00,5.00,4.00,5.00,2.00,5,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',13987,469,NULL,NULL,NULL,NULL,NULL,2,4),(16,3018741,5.00,7.00,2.00,7.00,7.00,6.75,1.00,6.00,4.00,104,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',8127,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3018750,5.00,7.00,3.00,6.00,6.00,5.50,4.00,8.00,4.00,202,NULL,213,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',6808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3018768,7.00,7.00,9.00,8.00,9.00,8.00,7.00,8.00,7.00,340,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',377,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3018784,5.00,8.00,3.00,8.00,6.00,5.75,2.00,8.00,4.00,340,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3018792,2.00,6.00,1.00,6.00,4.00,4.00,4.00,7.00,2.00,202,NULL,201,'CENTRO','BIGUAÇU','SC',13472,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3018806,5.00,5.00,3.00,7.00,5.00,6.25,4.00,5.00,3.00,211,NULL,201,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',8506,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3018814,4.00,6.00,4.00,7.00,5.00,6.50,3.00,8.00,6.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',6194,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3018830,5.00,6.00,1.00,6.00,7.00,6.00,3.00,6.00,3.00,308,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',9880,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3018849,6.00,7.00,5.00,8.00,7.00,5.50,3.00,6.00,7.00,333,NULL,NULL,'NSA SRA DE LOURDES','CAXIAS SUL','RS',3785,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3018857,3.00,4.00,2.00,2.00,1.00,NULL,3.00,5.00,3.00,238,NULL,216,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3018881,8.00,8.00,7.00,8.00,7.00,5.75,5.00,8.00,4.00,420,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',1377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3018890,3.00,7.00,4.00,9.00,6.00,6.00,3.00,7.00,3.00,238,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',6179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3018903,6.00,7.00,4.00,8.00,6.00,5.50,4.00,7.00,5.00,9,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4216,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3018920,9.00,8.00,6.00,9.00,6.00,6.25,4.00,7.00,9.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',905,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3018938,2.00,4.00,3.00,3.00,5.00,4.25,1.00,4.00,4.00,201,NULL,213,'PARQUE DAS AVENIDAS','SOMBRIO','SC',16165,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3018954,4.00,6.00,3.00,6.00,6.00,5.25,3.00,8.00,4.00,207,NULL,212,'BELA VISTA','S JOSÉ','SC',7963,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3018970,4.00,3.00,2.00,6.00,1.00,NULL,2.00,5.00,3.00,103,NULL,NULL,'VILA NOVA','TROMBUDO CENTRAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3018989,8.00,6.00,7.00,5.00,5.00,6.00,3.00,8.00,6.00,415,NULL,NULL,'MORRO BRANCO','ITAQUAQUECETUBA','SP',3298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3019020,2.00,6.00,5.00,7.00,6.00,5.75,3.00,7.00,5.00,340,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',6399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3019039,4.00,3.00,4.00,5.00,5.00,6.25,3.00,5.00,1.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3019047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3019063,4.00,6.00,2.00,7.00,6.00,4.25,0.00,2.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15052,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019071,5.00,6.00,2.00,7.00,6.00,5.25,2.00,7.00,7.00,302,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',7897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019080,6.00,8.00,4.00,6.00,5.00,6.50,3.00,8.00,5.00,328,NULL,NULL,'FLORESTA','S JOSÉ','SC',4233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019098,5.00,6.00,4.00,4.00,3.00,NULL,5.00,5.00,4.00,2,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3019101,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'CHAC EST PANORAMA','EMBU','SP',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3019128,3.00,4.00,6.00,5.00,6.00,5.50,0.00,3.00,2.00,453,NULL,NULL,'NSA SRA DO ROSÁRIO','S JOSé','SC',14892,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019144,4.00,4.00,4.00,4.00,5.00,2.50,2.00,5.00,3.00,502,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3019179,7.00,5.00,5.00,6.00,7.00,6.75,5.00,8.00,7.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',3344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3019187,6.00,6.00,2.00,7.00,5.00,7.00,1.00,3.00,4.00,108,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANóPOLIS','SC',11405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019195,6.00,5.00,1.00,7.00,6.00,4.75,4.00,5.00,6.00,103,NULL,NULL,'VILA PARAIBA','GUARATINGUETá','SP',7945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3019209,7.00,6.00,4.00,8.00,5.00,6.75,2.00,8.00,6.00,304,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',5302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019217,4.00,6.00,2.00,5.00,7.00,6.50,3.00,5.00,2.00,421,NULL,428,'PETRÓPOLIS','JOINVILLE','SC',12118,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3019250,0.00,0.00,0.00,9.00,8.00,NULL,0.00,0.00,0.00,425,NULL,421,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3019268,3.00,4.00,2.00,3.00,5.00,4.25,2.00,7.00,2.00,424,NULL,425,'PANTANAL','FLORIANÓPOLIS','SC',16145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3019276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BOM RETIRO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3019284,7.00,7.00,2.00,4.00,5.00,4.75,2.00,7.00,3.00,450,NULL,NULL,'CENTRO','LAGES','SC',10949,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3019292,2.00,4.00,2.00,5.00,3.00,NULL,5.00,6.00,1.00,220,NULL,211,'CENTRO','CAPÃO CANOA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3019314,5.00,4.00,4.00,5.00,3.00,NULL,1.00,4.00,2.00,501,NULL,NULL,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3019322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'CIDADE NOVA','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3019349,5.00,6.00,5.00,6.00,5.00,6.00,5.00,7.00,5.00,203,NULL,214,'CORREGO GRANDE','FLORIANÓPOLIS','SC',6482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019357,1.00,4.00,1.00,7.00,3.00,NULL,1.00,5.00,2.00,428,NULL,423,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019365,9.00,7.00,5.00,5.00,8.00,6.25,4.00,7.00,6.00,216,NULL,203,'MEIA PRAIA','ITAPEMA','SC',2669,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3019390,5.00,3.00,1.00,4.00,3.00,NULL,0.00,2.00,4.00,211,NULL,215,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3019403,8.00,5.00,6.00,2.00,3.00,NULL,3.00,7.00,6.00,103,NULL,NULL,'SÃO DOMINGOS','MARÍLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3019420,3.00,5.00,3.00,9.00,6.00,4.75,2.00,7.00,4.00,451,NULL,NULL,'CENTRO','CHAPECO','SC',10250,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3019438,3.00,3.00,3.00,7.00,2.00,NULL,0.00,4.00,3.00,319,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019446,3.00,1.00,4.00,5.00,2.00,NULL,0.00,3.00,2.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019462,3.00,3.00,1.00,6.00,3.00,NULL,2.00,3.00,4.00,202,NULL,203,'AEROPORTO','MARÍLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3019470,4.00,7.00,3.00,8.00,5.00,6.50,5.00,7.00,6.00,317,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',4809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019489,7.00,6.00,8.00,9.00,7.00,5.75,6.00,9.00,7.00,213,NULL,202,'PASSA VINTE','PALHOÇA','SC',804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3019497,8.00,6.00,8.00,8.00,8.00,5.00,6.00,6.00,7.00,103,NULL,NULL,'CENTRO','CRISTALINA','GO',1356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019500,2.00,5.00,3.00,3.00,4.00,5.50,3.00,6.00,1.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15986,132,NULL,NULL,NULL,NULL,NULL,4,1),(16,3019543,5.00,3.00,1.00,7.00,5.00,5.25,3.00,5.00,3.00,201,NULL,220,'ESPLANADA','CHAPECÓ','SC',13458,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3019560,3.00,5.00,3.00,5.00,5.00,4.25,1.00,8.00,3.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13634,289,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019578,2.00,2.00,2.00,4.00,2.00,NULL,2.00,2.00,3.00,309,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019586,6.00,7.00,7.00,7.00,3.00,NULL,4.00,8.00,5.00,233,NULL,202,'VILA CENTENARIO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,5),(16,3019594,2.00,2.00,3.00,4.00,5.00,NULL,0.00,5.00,4.00,203,NULL,214,'SÃO LUIZ','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3019616,1.00,7.00,1.00,7.00,4.00,3.00,3.00,8.00,3.00,238,NULL,214,'SANTA MÔNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019632,5.00,3.00,2.00,4.00,8.00,5.00,2.00,3.00,3.00,108,NULL,NULL,'MORUMBI','S PAULO','SP',15035,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019640,2.00,3.00,2.00,6.00,5.00,NULL,1.00,1.00,3.00,319,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3019659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3019667,6.00,7.00,6.00,9.00,7.00,5.75,4.00,9.00,7.00,450,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',2006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3019675,5.00,6.00,2.00,6.00,6.00,6.00,3.00,6.00,2.00,501,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9903,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019683,4.00,3.00,2.00,4.00,3.00,NULL,1.00,6.00,3.00,5,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019691,5.00,4.00,3.00,6.00,4.00,5.75,4.00,6.00,8.00,444,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',8491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019713,2.00,6.00,5.00,7.00,5.00,6.25,3.00,8.00,5.00,452,NULL,NULL,'JARDIM JOÃO PAULO II','SUMARÉ','SP',8185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3019721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3019730,5.00,5.00,1.00,5.00,4.00,5.25,0.00,3.00,3.00,303,NULL,NULL,'INTERIOR','ITAPIRANGA','SC',16280,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3019748,7.00,4.00,7.00,9.00,7.00,7.25,2.00,8.00,5.00,104,NULL,NULL,'PQ RES PATRICIA','MARINGÁ','PR',3679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3019764,4.00,7.00,1.00,8.00,6.00,5.25,2.00,8.00,4.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9565,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019772,4.00,4.00,2.00,2.00,5.00,5.25,2.00,4.00,2.00,103,NULL,NULL,'BUDAG','RIO SUL','SC',16560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3019799,3.00,3.00,4.00,6.00,6.00,4.50,2.00,4.00,4.00,108,NULL,NULL,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',14342,324,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019802,6.00,7.00,5.00,6.00,3.00,NULL,4.00,4.00,5.00,207,NULL,233,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3019837,4.00,3.00,1.00,3.00,3.00,NULL,2.00,0.00,3.00,326,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019845,2.00,6.00,3.00,3.00,3.00,NULL,0.00,5.00,3.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3019861,4.00,6.00,3.00,5.00,6.00,5.50,2.00,4.00,2.00,207,NULL,201,'OPERÁRIA NOVA','CRICIÚMA','SC',12680,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3019870,3.00,8.00,5.00,9.00,6.00,6.00,4.00,8.00,5.00,207,NULL,NULL,'ROÇADO','S JOSÉ','SC',3961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3019888,7.00,9.00,6.00,6.00,7.00,6.75,4.00,8.00,9.00,103,NULL,NULL,'SANTA MARIA','CHAPECO','SC',1105,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3019896,3.00,3.00,2.00,3.00,3.00,NULL,3.00,5.00,2.00,320,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019900,7.00,7.00,5.00,9.00,6.00,6.00,4.00,9.00,7.00,103,NULL,NULL,'CENTRO','PTO UNIãO','SC',2349,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3019918,3.00,4.00,2.00,4.00,5.00,5.75,2.00,5.00,4.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019926,5.00,2.00,3.00,0.00,4.00,NULL,3.00,4.00,4.00,103,NULL,NULL,'INDIA','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3019942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CENTRO CIVICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3019950,7.00,7.00,6.00,7.00,8.00,6.50,5.00,8.00,6.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',1942,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3019969,7.00,8.00,7.00,8.00,7.00,4.25,3.00,8.00,7.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3019977,5.00,6.00,3.00,7.00,6.00,5.50,4.00,6.00,6.00,103,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',7188,1866,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019985,3.00,3.00,3.00,7.00,5.00,6.25,1.00,3.00,3.00,420,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',14410,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3019993,8.00,6.00,6.00,5.00,5.00,4.75,6.00,7.00,6.00,201,NULL,216,'BARREIROS','S JOSé','SC',4307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020002,6.00,5.00,6.00,5.00,4.00,4.25,3.00,5.00,4.00,207,NULL,208,'ESTREITO OU CANTO','FLORIANÓPOLIS','SC',11306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020037,2.00,1.00,1.00,5.00,2.00,NULL,2.00,4.00,2.00,301,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020045,2.00,4.00,2.00,7.00,1.00,NULL,3.00,4.00,1.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020061,4.00,3.00,2.00,4.00,4.00,5.25,2.00,2.00,4.00,339,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',16585,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020070,7.00,5.00,4.00,6.00,3.00,NULL,3.00,4.00,2.00,320,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,208,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3020096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'PINHEIROS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3020118,3.00,1.00,3.00,1.00,2.00,NULL,1.00,3.00,5.00,316,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020126,6.00,6.00,7.00,7.00,6.00,5.00,5.00,8.00,6.00,2,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',4050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020134,3.00,6.00,2.00,6.00,5.00,4.25,3.00,6.00,2.00,415,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',14072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020169,6.00,7.00,4.00,8.00,5.00,4.75,3.00,5.00,5.00,301,NULL,NULL,'JARDIM RIVA','PRIMAVERA LESTE','MT',6449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020177,6.00,6.00,5.00,4.00,8.00,7.25,5.00,7.00,6.00,2,NULL,NULL,'JD TARRAF I','S JOSÉ R PRETO','SP',3485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020193,5.00,7.00,4.00,9.00,7.00,7.25,2.00,7.00,5.00,234,NULL,NULL,'STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC',4433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020207,4.00,3.00,1.00,3.00,4.00,NULL,1.00,5.00,3.00,332,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020215,9.00,9.00,5.00,9.00,9.00,5.75,4.00,8.00,8.00,303,NULL,NULL,'CENTRO','NAVEGANTES','SC',597,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3020223,5.00,3.00,3.00,4.00,5.00,5.00,2.00,5.00,3.00,415,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',14379,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020240,6.00,7.00,4.00,7.00,6.00,6.00,6.00,8.00,8.00,103,NULL,NULL,'SAO VICENTE','ITAJAÍ','SC',2048,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3020258,1.00,3.00,1.00,2.00,4.00,NULL,2.00,4.00,4.00,216,NULL,202,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020266,8.00,9.00,5.00,9.00,6.00,6.75,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',1383,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3020274,4.00,4.00,2.00,7.00,6.00,5.25,2.00,6.00,1.00,320,NULL,NULL,'FLORESTA','S JOSÉ','SC',13001,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020290,1.00,3.00,2.00,7.00,4.00,4.25,2.00,4.00,4.00,102,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',16439,309,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020304,2.00,3.00,4.00,2.00,2.00,NULL,1.00,4.00,4.00,102,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020312,6.00,5.00,4.00,7.00,4.00,4.75,4.00,6.00,4.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',8878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020320,3.00,2.00,3.00,1.00,2.00,NULL,1.00,2.00,4.00,201,NULL,212,'CAMPO DA AGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3020339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3020347,7.00,6.00,6.00,8.00,6.00,5.00,5.00,6.00,6.00,213,NULL,214,'JARDIM ESPLANADA','S JOSé CAMPOS','SP',2875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020355,6.00,5.00,4.00,6.00,6.00,6.00,4.00,7.00,6.00,225,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',6375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020363,3.00,5.00,3.00,8.00,5.00,4.25,2.00,7.00,4.00,211,NULL,NULL,'JARDIM SATÉLITE','S JOSÉ CAMPOS','SP',10257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020371,7.00,6.00,5.00,6.00,6.00,7.25,5.00,7.00,2.00,310,NULL,NULL,'LAGOINHA','RIBEIRAO PRETO','SP',5484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020380,8.00,7.00,6.00,7.00,6.00,6.50,6.00,9.00,6.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020398,3.00,2.00,3.00,1.00,2.00,NULL,2.00,2.00,3.00,451,NULL,NULL,'JARDIM CANADÁ','PENÁPOLIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020401,5.00,4.00,4.00,6.00,4.00,7.50,3.00,1.00,2.00,103,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',14364,2643,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020410,7.00,5.00,2.00,8.00,7.00,6.25,5.00,4.00,4.00,503,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020428,8.00,7.00,7.00,9.00,8.00,6.25,4.00,7.00,6.00,340,NULL,NULL,'CENTRO','ERECHIM','RS',1355,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3020436,6.00,4.00,5.00,6.00,8.00,6.00,4.00,8.00,5.00,201,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',4358,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020444,4.00,6.00,3.00,4.00,4.00,NULL,1.00,4.00,0.00,326,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020452,8.00,7.00,2.00,6.00,6.00,4.00,3.00,7.00,6.00,301,NULL,NULL,'VILA CONCEIÇÃO','S JOÃO B VISTA','SP',5499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020460,2.00,1.00,2.00,1.00,4.00,NULL,2.00,1.00,3.00,317,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020487,5.00,5.00,5.00,6.00,4.00,4.25,2.00,6.00,5.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',12084,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020495,5.00,6.00,6.00,4.00,7.00,4.00,3.00,8.00,5.00,211,NULL,215,'MEIA PRAIA','ITAPEMA','SC',7028,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3020509,7.00,6.00,2.00,7.00,5.00,6.75,4.00,9.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020525,4.00,8.00,4.00,7.00,5.00,5.00,4.00,8.00,4.00,103,NULL,NULL,'SERRARIA','S JOSÉ','SC',5837,1647,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020541,5.00,6.00,6.00,7.00,6.00,4.75,3.00,7.00,5.00,216,NULL,215,'SETE DE SETEMBRO','GASPAR','SC',5438,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3020550,3.00,4.00,2.00,7.00,2.00,NULL,1.00,0.00,3.00,102,NULL,NULL,'CAETANO BRANCO','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3020576,4.00,4.00,4.00,4.00,4.00,5.25,2.00,4.00,3.00,207,NULL,201,'MONTE PASQUAL','FARROUPILHA','RS',14853,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3020584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TARUMA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3020592,2.00,3.00,3.00,4.00,3.00,NULL,0.00,4.00,3.00,404,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020614,5.00,4.00,3.00,7.00,6.00,6.00,2.00,5.00,4.00,502,NULL,NULL,'OPERÁRIA NOVA','CRICIÚMA','SC',9936,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3020622,4.00,3.00,3.00,7.00,3.00,NULL,0.00,4.00,2.00,304,NULL,NULL,'JARDIM ATÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020630,9.00,9.00,7.00,10.00,6.00,7.00,6.00,9.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',160,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3020649,2.00,5.00,2.00,3.00,5.00,4.75,3.00,5.00,2.00,103,NULL,NULL,'ESTEVÃO CARRARO','ERECHIM','RS',15971,2786,NULL,NULL,NULL,NULL,NULL,4,6),(16,3020657,8.00,8.00,7.00,9.00,7.00,7.50,5.00,8.00,8.00,211,NULL,201,'CENTRO','FLORIANóPOLIS','SC',203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020665,5.00,4.00,5.00,6.00,3.00,NULL,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020673,2.00,5.00,4.00,4.00,6.00,5.25,2.00,5.00,4.00,238,NULL,208,'ENSEADA DE BRITO','PALHOÇA','SC',14060,450,NULL,465,NULL,NULL,NULL,4,1),(16,3020681,5.00,6.00,7.00,9.00,6.00,4.75,5.00,9.00,7.00,318,NULL,NULL,'SANTA TEREZA','VIDEIRA','SC',2116,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3020690,8.00,4.00,6.00,8.00,7.00,6.00,5.00,5.00,3.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',4584,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3020703,5.00,3.00,5.00,1.00,1.00,NULL,1.00,1.00,3.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020711,6.00,3.00,3.00,8.00,5.00,5.50,3.00,6.00,4.00,108,NULL,NULL,'IMPERADOR','MATÃO','SP',9562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3020738,4.00,4.00,1.00,5.00,2.00,NULL,1.00,2.00,4.00,102,NULL,NULL,'CENTRO','IOMERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3020746,7.00,7.00,1.00,4.00,5.00,4.75,2.00,7.00,5.00,326,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020754,7.00,7.00,4.00,7.00,6.00,5.50,2.00,6.00,7.00,203,NULL,201,'SERRINHA','FLORIANÓPOLIS','SC',5759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020770,5.00,4.00,4.00,7.00,4.00,4.50,2.00,4.00,5.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',12380,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020789,1.00,0.00,2.00,2.00,2.00,NULL,2.00,2.00,2.00,420,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020797,5.00,3.00,6.00,4.00,5.00,6.25,2.00,7.00,6.00,215,NULL,216,'ZONA SETE','MARINGÁ','PR',8781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020800,7.00,7.00,8.00,8.00,7.00,5.25,5.00,7.00,5.00,203,NULL,220,'JARDIM CARAMURU','APUCARANA','PR',2069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3020835,6.00,8.00,4.00,8.00,9.00,7.25,2.00,9.00,6.00,415,NULL,NULL,'AGRONÔMICA','FLORIANóPOLIS','SC',2574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020860,0.00,0.00,0.00,5.00,2.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3020878,7.00,7.00,5.00,6.00,6.00,6.00,4.00,7.00,7.00,207,NULL,201,'PASSA VINTE','PALHOÇA','SC',3579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020886,3.00,1.00,2.00,5.00,0.00,NULL,0.00,3.00,1.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020894,7.00,7.00,6.00,6.00,7.00,6.00,4.00,5.00,8.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',2441,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3020908,5.00,4.00,1.00,1.00,2.00,NULL,0.00,4.00,4.00,9,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3020924,4.00,6.00,3.00,5.00,5.00,5.50,2.00,4.00,3.00,207,NULL,NULL,'ZONA UM A','UMUARAMA','PR',13669,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3020932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3020940,3.00,3.00,2.00,4.00,3.00,NULL,4.00,6.00,5.00,103,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3020959,7.00,7.00,4.00,9.00,6.00,4.00,3.00,8.00,7.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',3537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020975,2.00,5.00,2.00,4.00,3.00,NULL,3.00,3.00,2.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3020983,5.00,5.00,3.00,2.00,4.00,5.00,2.00,5.00,3.00,104,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',14913,435,NULL,NULL,NULL,NULL,NULL,4,1),(16,3020991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3021009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3021025,4.00,6.00,2.00,7.00,6.00,5.25,1.00,6.00,2.00,340,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021041,6.00,8.00,8.00,8.00,6.00,4.75,5.00,7.00,8.00,214,NULL,203,'CENTRO','TREZE TíLIAS','SC',1522,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3021076,6.00,9.00,5.00,9.00,5.00,6.75,6.00,8.00,4.00,207,NULL,211,'VILA EMA','S JOSÉ CAMPOS','SP',2050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021084,8.00,7.00,3.00,7.00,5.00,5.25,4.00,8.00,4.00,220,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',5712,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3021114,6.00,3.00,3.00,7.00,5.00,4.75,1.00,5.00,4.00,3,NULL,NULL,'BOA VISTA','JOINVILLE','SC',12472,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3021122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PARQUE SANTA MARTA','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3021130,3.00,6.00,4.00,1.00,2.00,NULL,3.00,3.00,4.00,238,NULL,214,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021149,6.00,5.00,5.00,6.00,4.00,5.50,5.00,7.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021157,8.00,7.00,5.00,9.00,7.00,7.50,4.00,6.00,3.00,429,NULL,425,'MONTE CASTELO','CPO GRANDE','MS',3227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'VILA NOVA ESPERANÇA','CEL SAPUCAIA','MS',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3021173,3.00,3.00,1.00,5.00,4.00,NULL,2.00,0.00,3.00,201,NULL,NULL,'SÃO DEFENDE','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3021181,5.00,7.00,2.00,2.00,6.00,5.50,3.00,8.00,3.00,415,NULL,NULL,'INTERIOR','ÁGUAS FRIAS','SC',11674,307,NULL,NULL,NULL,NULL,NULL,4,4),(16,3021190,4.00,6.00,4.00,5.00,3.00,NULL,4.00,8.00,6.00,220,NULL,202,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3021211,4.00,2.00,3.00,2.00,5.00,NULL,2.00,4.00,3.00,319,NULL,NULL,'MATO QUEIMADO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021220,2.00,2.00,2.00,4.00,2.00,NULL,1.00,4.00,1.00,103,NULL,NULL,'VILA GALVÃO','GUARULHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021238,4.00,2.00,4.00,5.00,5.00,4.50,5.00,2.00,4.00,203,NULL,214,'BATEL','CURITIBA','PR',13924,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3021246,5.00,3.00,1.00,3.00,5.00,4.75,4.00,6.00,3.00,104,NULL,NULL,'CENTRO','MELEIRO','SC',14845,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3021254,4.00,2.00,2.00,2.00,3.00,NULL,4.00,6.00,1.00,420,NULL,NULL,'ROCIO PEQUENO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3021262,0.00,1.00,2.00,0.00,2.00,NULL,1.00,4.00,2.00,310,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021270,7.00,7.00,4.00,6.00,6.00,6.75,2.00,6.00,5.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',6299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3021289,7.00,6.00,8.00,8.00,6.00,5.00,3.00,6.00,8.00,203,NULL,214,'BUENO','GOIÂNIA','GO',2534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021297,3.00,4.00,1.00,3.00,2.00,NULL,3.00,5.00,4.00,502,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3021300,4.00,5.00,2.00,8.00,5.00,6.75,2.00,4.00,2.00,423,NULL,427,'RIO VERMELHO','FLORIANÓPOLIS','SC',11645,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3021319,7.00,5.00,2.00,8.00,7.00,5.00,5.00,8.00,6.00,319,NULL,NULL,'RODEIO CHATO','CHAPECÓ','SC',4786,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3021327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','LUCAS R VERDE','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3021335,8.00,6.00,6.00,2.00,6.00,5.00,5.00,8.00,6.00,201,NULL,208,'VELHA','BLUMENAU','SC',3960,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3021343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3021351,9.00,7.00,7.00,9.00,9.00,6.00,6.00,9.00,8.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',196,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3021360,4.00,9.00,3.00,7.00,5.00,5.75,3.00,6.00,6.00,425,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021378,6.00,4.00,6.00,7.00,5.00,4.75,5.00,6.00,7.00,213,NULL,214,'TATUAPE','S PAULO','SP',4580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021386,3.00,5.00,6.00,7.00,5.00,4.50,3.00,5.00,5.00,103,NULL,NULL,'BATEL','CURITIBA','PR',9380,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3021394,6.00,5.00,5.00,6.00,3.00,NULL,2.00,4.00,5.00,301,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021408,7.00,5.00,5.00,7.00,6.00,4.50,4.00,8.00,5.00,211,NULL,201,'CENTRO','PALMITAL','SP',5988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021416,5.00,4.00,5.00,2.00,5.00,6.50,3.00,5.00,6.00,103,NULL,NULL,'VILA BANDEIRANDES','CPO GRANDE','MS',10670,2300,NULL,NULL,NULL,NULL,NULL,2,1),(16,3021432,6.00,5.00,1.00,1.00,5.00,5.75,3.00,7.00,5.00,303,NULL,NULL,'VILA TESOURO','S JOSÉ CAMPOS','SP',11582,506,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021440,8.00,6.00,9.00,4.00,7.00,6.50,7.00,7.00,8.00,103,NULL,NULL,'ESMERALDA','MARÍLIA','SP',1352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021459,4.00,4.00,1.00,1.00,3.00,NULL,4.00,5.00,5.00,2,NULL,NULL,'ESPLANADA MENDES','S ROQUE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021467,2.00,5.00,1.00,7.00,6.00,NULL,1.00,3.00,1.00,319,NULL,NULL,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3021475,5.00,4.00,3.00,5.00,4.00,5.00,1.00,5.00,4.00,5,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',14019,472,NULL,NULL,NULL,NULL,NULL,2,1),(16,3021483,6.00,8.00,5.00,8.00,6.00,6.75,5.00,7.00,7.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',2516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3021505,5.00,8.00,5.00,8.00,4.00,6.75,3.00,8.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021521,6.00,7.00,2.00,5.00,6.00,7.00,1.00,6.00,5.00,317,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021530,9.00,9.00,9.00,6.00,7.00,6.25,6.00,8.00,7.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021556,8.00,6.00,7.00,8.00,8.00,6.50,5.00,8.00,8.00,103,NULL,NULL,'VILA CLEMENTINA','MAFRA','SC',716,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3021564,4.00,6.00,3.00,4.00,5.00,5.00,2.00,4.00,2.00,203,NULL,220,'POÇO RICO','OTACÍLIO COSTA','SC',14790,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3021572,8.00,5.00,4.00,7.00,7.00,5.00,4.00,6.00,5.00,104,NULL,NULL,'CENTRO','PNT GROSSA','PR',5496,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3021599,6.00,8.00,4.00,8.00,5.00,5.75,3.00,7.00,6.00,201,NULL,207,'AGRONÔMICA','FLORIANÓPOLIS','SC',4282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021602,8.00,5.00,4.00,8.00,4.00,6.00,5.00,5.00,6.00,103,NULL,NULL,'ALPHAVILLE','CAMPINAS','SP',4629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021610,3.00,4.00,2.00,2.00,4.00,NULL,4.00,2.00,2.00,104,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3021637,5.00,6.00,6.00,6.00,5.00,4.75,4.00,7.00,4.00,238,NULL,208,'KOBRASOL','S JOSé','SC',7432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021645,4.00,3.00,2.00,8.00,7.00,5.75,1.00,5.00,5.00,103,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',12327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021653,4.00,6.00,4.00,3.00,6.00,5.00,3.00,8.00,3.00,404,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021661,2.00,2.00,2.00,2.00,3.00,NULL,2.00,2.00,2.00,223,NULL,NULL,'CENTRO','CORUPá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3021688,5.00,8.00,2.00,7.00,6.00,5.00,3.00,6.00,3.00,428,NULL,421,'CENTRO','FLORIANÓPOLIS','SC',9163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3021700,5.00,5.00,2.00,7.00,6.00,6.00,3.00,6.00,6.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3021718,2.00,5.00,4.00,7.00,4.00,6.00,1.00,6.00,4.00,208,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',12744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021734,5.00,5.00,2.00,9.00,7.00,7.25,2.00,7.00,5.00,319,NULL,NULL,'QUISISANA','POÇOS CALDAS','MG',5985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021742,7.00,5.00,3.00,2.00,7.00,5.25,3.00,6.00,5.00,104,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',9410,249,NULL,NULL,NULL,NULL,NULL,4,10),(16,3021750,8.00,9.00,7.00,7.00,5.00,6.00,5.00,8.00,8.00,203,NULL,233,'ESTREITO','FLORIANóPOLIS','SC',1050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021769,2.00,2.00,3.00,2.00,3.00,NULL,3.00,4.00,3.00,333,NULL,NULL,'FAZENDA SNTO ANTÔNIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021777,7.00,5.00,6.00,9.00,7.00,7.00,6.00,5.00,5.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021785,4.00,6.00,2.00,4.00,7.00,5.00,5.00,7.00,6.00,104,NULL,NULL,'CENTRO','CHAPECÓ','SC',8126,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3021793,5.00,3.00,3.00,4.00,5.00,5.00,4.00,7.00,4.00,301,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',11777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021807,4.00,4.00,3.00,7.00,4.00,5.50,4.00,6.00,4.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',11679,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3021815,3.00,5.00,6.00,7.00,2.00,NULL,3.00,8.00,5.00,208,NULL,216,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3021823,4.00,2.00,1.00,1.00,6.00,5.50,5.00,5.00,4.00,9,NULL,NULL,'VOSTARDT','BLUMENAU','SC',14167,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3021840,5.00,4.00,2.00,5.00,4.00,4.25,2.00,7.00,6.00,102,NULL,NULL,'FLORESTA','S JOSé','SC',12779,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3021858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','SINOP','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3021866,6.00,6.00,3.00,7.00,5.00,5.50,3.00,6.00,5.00,104,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',8409,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3021874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3021882,6.00,7.00,5.00,9.00,7.00,5.50,6.00,8.00,7.00,103,NULL,NULL,'SÃO JOAQUIM','VINHEDO','SP',1940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3021890,4.00,6.00,3.00,8.00,5.00,5.00,2.00,4.00,3.00,203,NULL,216,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3021912,3.00,4.00,3.00,7.00,4.00,6.00,2.00,6.00,3.00,318,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13138,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3021920,2.00,4.00,2.00,4.00,2.00,NULL,2.00,1.00,3.00,302,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3021939,8.00,8.00,6.00,1.00,7.00,5.00,5.00,8.00,7.00,203,NULL,201,'GUANABARA','JOINVILLE','SC',3271,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3021947,2.00,6.00,2.00,7.00,5.00,6.00,4.00,7.00,4.00,213,NULL,202,'PARQUE IMPERIAL','S PAULO','SP',9434,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3021963,6.00,8.00,5.00,7.00,4.00,6.75,5.00,6.00,5.00,203,NULL,214,'ZONA SETE','MARINGÁ','PR',4258,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3021971,9.00,8.00,9.00,7.00,8.00,7.00,8.00,7.00,8.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',177,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3021998,6.00,2.00,1.00,6.00,6.00,5.75,3.00,4.00,3.00,103,NULL,NULL,'GERMÂNICO','XAXIM','SC',14180,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3022005,4.00,2.00,2.00,3.00,4.00,5.00,2.00,5.00,4.00,207,NULL,201,'ANITA GARIBALDI','JOINVILLE','SC',16651,865,NULL,1276,NULL,NULL,NULL,4,8),(16,3022021,3.00,6.00,4.00,6.00,6.00,5.75,2.00,5.00,4.00,415,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',10942,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3022048,8.00,7.00,8.00,6.00,6.00,5.00,4.00,7.00,7.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',2301,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3022064,4.00,3.00,2.00,6.00,6.00,5.00,3.00,3.00,4.00,203,NULL,202,'CAMPECHE','FLORIANÓPOLIS','SC',14338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TABOAO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3022099,3.00,3.00,2.00,5.00,4.00,7.00,3.00,5.00,1.00,426,NULL,428,'FORQUILHINHAS','S JOSé','SC',15929,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3022102,7.00,5.00,7.00,9.00,5.00,6.25,5.00,8.00,5.00,103,NULL,NULL,'JD COLINAS','S JOSÉ CAMPOS','SP',2291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022110,8.00,8.00,4.00,6.00,7.00,6.25,7.00,6.00,7.00,103,NULL,NULL,'BORTOLOTTO','NOVA VENEZA','SC',2319,919,NULL,NULL,NULL,NULL,NULL,4,5),(16,3022129,5.00,5.00,3.00,4.00,6.00,4.75,2.00,6.00,0.00,318,NULL,NULL,'BARREIROS','S JOSÉ','SC',14438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022137,3.00,1.00,1.00,3.00,3.00,NULL,0.00,4.00,3.00,103,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3022145,6.00,4.00,5.00,8.00,7.00,7.00,4.00,7.00,6.00,103,NULL,NULL,'CORAL','LAGES','SC',3760,1236,NULL,NULL,NULL,NULL,NULL,2,9),(16,3022161,8.00,6.00,9.00,3.00,6.00,5.50,7.00,7.00,6.00,220,NULL,203,'CENTRO','PALOTINA','PR',2214,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3022188,5.00,7.00,2.00,8.00,5.00,4.00,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','MARILÂNDIA SUL','PR',9259,2147,NULL,NULL,NULL,NULL,NULL,2,1),(16,3022226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CNETRO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3022250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PIRAPÓ','PIRAPÓ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3022269,5.00,4.00,3.00,8.00,5.00,4.50,2.00,4.00,7.00,216,NULL,211,'JARDIM BOTÂNICO','CURITIBA','PR',9005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3022277,2.00,5.00,3.00,2.00,3.00,NULL,2.00,5.00,4.00,201,NULL,207,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3022293,3.00,4.00,1.00,3.00,2.00,NULL,1.00,6.00,3.00,420,NULL,NULL,'CENTRO','CPO ERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3022315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAGOA','PTO VELHO','RO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3022323,5.00,4.00,5.00,6.00,6.00,8.00,3.00,3.00,3.00,108,NULL,NULL,'CENTRO','ARARANGUá','SC',9866,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3022331,3.00,3.00,4.00,6.00,4.00,7.75,2.00,2.00,5.00,222,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13399,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3022340,6.00,5.00,7.00,9.00,6.00,6.00,3.00,7.00,4.00,425,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',4270,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3022358,4.00,6.00,2.00,8.00,7.00,5.50,4.00,8.00,4.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022374,5.00,5.00,5.00,8.00,7.00,6.25,6.00,9.00,7.00,103,NULL,NULL,'SANTA ROSA','PTO UNIÃO','SC',2761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022382,5.00,7.00,2.00,9.00,8.00,6.50,3.00,6.00,3.00,208,NULL,238,'SÃO CRISTÓVÃO','TUBARÃO','SC',6924,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3022390,8.00,5.00,8.00,9.00,5.00,6.00,2.00,6.00,3.00,201,NULL,212,'DOIS CORREGOS','PIRACICABA','SP',5105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022404,4.00,3.00,3.00,4.00,5.00,7.00,4.00,4.00,4.00,3,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',12581,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3022420,4.00,5.00,3.00,7.00,5.00,6.25,3.00,8.00,3.00,207,NULL,201,'AMERICA','JOINVILLE','SC',9824,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3022439,9.00,7.00,7.00,7.00,8.00,5.75,8.00,7.00,7.00,103,NULL,NULL,'ARIRIÚ','PALHOCA','SC',772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3022447,4.00,2.00,3.00,0.00,4.00,NULL,2.00,2.00,4.00,316,NULL,NULL,'MADRE TERESA','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3022455,6.00,3.00,5.00,8.00,5.00,6.00,2.00,7.00,3.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',7793,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3022463,3.00,2.00,3.00,2.00,4.00,NULL,0.00,3.00,3.00,415,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3022480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3022501,5.00,6.00,1.00,8.00,5.00,5.50,1.00,5.00,2.00,425,NULL,428,'CENTRO','CHAPECÓ','SC',13288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022510,6.00,6.00,3.00,8.00,5.00,5.25,3.00,4.00,5.00,238,NULL,208,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',8382,223,NULL,227,NULL,NULL,NULL,2,1),(16,3022528,2.00,5.00,3.00,4.00,5.00,5.25,2.00,4.00,2.00,208,NULL,238,'KOBRASOL','S JOSÉ','SC',15343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'BARRA DO RIO MOLHA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3022544,6.00,4.00,3.00,8.00,5.00,4.50,2.00,3.00,3.00,303,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',13379,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3022552,8.00,5.00,5.00,8.00,6.00,4.50,3.00,7.00,7.00,103,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',4023,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3022560,7.00,9.00,3.00,7.00,8.00,7.25,4.00,9.00,8.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',1011,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3022579,3.00,5.00,5.00,6.00,5.00,5.25,1.00,3.00,3.00,452,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022587,7.00,5.00,7.00,8.00,8.00,6.75,2.00,6.00,4.00,208,NULL,NULL,'CAMPO LIMPO','S PAULO','SP',4621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022595,1.00,2.00,1.00,5.00,1.00,NULL,4.00,2.00,1.00,308,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3022617,7.00,5.00,5.00,4.00,5.00,6.50,3.00,6.00,4.00,103,NULL,NULL,'GUAIANAZES','S PAULO','SP',7744,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3022625,3.00,4.00,4.00,6.00,5.00,5.75,3.00,6.00,3.00,420,NULL,NULL,'CENTRO','CHAPECO','SC',12389,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3022633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3022650,7.00,9.00,8.00,8.00,6.00,7.00,7.00,8.00,8.00,201,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022668,7.00,9.00,8.00,6.00,6.00,7.50,5.00,7.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3022676,7.00,7.00,5.00,5.00,6.00,6.00,4.00,8.00,7.00,302,NULL,NULL,'BELA VISTA','PALHOÇA','SC',4501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022692,6.00,9.00,4.00,8.00,8.00,8.00,5.00,7.00,5.00,450,NULL,NULL,'VISTA VERDE','S JOSÉ CAMPOS','SP',2362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022706,3.00,4.00,5.00,6.00,3.00,NULL,2.00,5.00,4.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022722,4.00,2.00,4.00,2.00,0.00,NULL,4.00,3.00,1.00,319,NULL,NULL,'CENTRO','CAMPO ERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3022749,7.00,7.00,7.00,9.00,9.00,6.75,6.00,6.00,7.00,207,NULL,212,'SAMBAQUI','FLORIANÓPOLIS','SC',1033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022757,3.00,5.00,4.00,5.00,3.00,NULL,2.00,5.00,2.00,303,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3022765,3.00,4.00,2.00,6.00,5.00,7.50,3.00,7.00,3.00,428,NULL,426,'VARGEM GRANDE','FLORIANÓPOLIS','SC',12288,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3022773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3022781,4.00,7.00,3.00,2.00,6.00,5.75,3.00,6.00,3.00,223,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',12729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022790,5.00,5.00,2.00,7.00,6.00,6.50,3.00,7.00,6.00,303,NULL,NULL,'PASSO','MAFRA','SC',6873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022803,4.00,3.00,2.00,6.00,4.00,6.50,4.00,4.00,2.00,207,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC',14040,725,NULL,NULL,NULL,NULL,NULL,2,1),(16,3022811,3.00,4.00,4.00,3.00,3.00,NULL,3.00,4.00,2.00,238,NULL,208,'MARQUES RIBEIRO','CACHOEIRA SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022820,7.00,4.00,7.00,7.00,6.00,6.00,5.00,6.00,7.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',2745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM BELA VISTA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3022846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3022854,6.00,5.00,3.00,7.00,5.00,3.25,5.00,6.00,4.00,319,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3022862,7.00,7.00,4.00,7.00,8.00,5.50,3.00,7.00,6.00,208,NULL,238,'ITAGUAÇU','FLORIANÓPOLIS','SC',4357,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3022870,7.00,7.00,5.00,9.00,4.00,5.50,2.00,9.00,5.00,201,NULL,233,'SANTANA','RIO SUL','SC',4473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3022900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'GUARARAPES','FORTALEZA','CE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3022919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3022927,4.00,4.00,3.00,3.00,2.00,NULL,2.00,3.00,2.00,451,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3022935,3.00,4.00,4.00,6.00,3.00,NULL,1.00,5.00,3.00,203,NULL,214,'CENTRO','LAPA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3022951,4.00,4.00,4.00,5.00,3.00,NULL,3.00,4.00,5.00,214,NULL,213,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3022978,5.00,5.00,3.00,7.00,4.00,4.75,1.00,5.00,1.00,103,NULL,NULL,'SAGRADO CORAÇÃO DE J','LAGES','SC',14172,2629,NULL,NULL,NULL,NULL,NULL,2,9),(16,3022986,3.00,2.00,2.00,5.00,5.00,5.00,3.00,3.00,4.00,5,NULL,NULL,'CENTRO','SERRA ALTA','SC',15383,494,NULL,NULL,NULL,NULL,NULL,4,4),(16,3022994,5.00,6.00,3.00,0.00,6.00,4.50,1.00,3.00,2.00,102,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',16486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3023028,4.00,5.00,3.00,8.00,6.00,5.75,4.00,9.00,5.00,238,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',6080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023036,2.00,4.00,3.00,7.00,4.00,6.50,2.00,5.00,1.00,302,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',15041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023052,2.00,3.00,1.00,5.00,3.00,NULL,2.00,3.00,2.00,420,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023079,4.00,5.00,4.00,8.00,7.00,7.00,2.00,6.00,4.00,102,NULL,NULL,'DAS DAMAS','URUSSANGA','SC',6596,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3023087,3.00,5.00,3.00,6.00,3.00,NULL,3.00,4.00,2.00,207,NULL,211,'APEDIA','PIMENTA BUENO','RO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023095,4.00,3.00,3.00,5.00,3.00,NULL,2.00,2.00,3.00,425,NULL,429,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'JARDIM ITÁLIA','AMPARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3023125,3.00,5.00,4.00,7.00,3.00,NULL,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','JABORANDI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023133,5.00,6.00,6.00,7.00,6.00,5.50,2.00,5.00,3.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10034,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023141,4.00,4.00,3.00,5.00,5.00,4.75,3.00,7.00,5.00,303,NULL,NULL,'CENTRO','NAVEGANTES','SC',11945,517,NULL,NULL,NULL,NULL,NULL,2,6),(16,3023150,3.00,1.00,5.00,5.00,4.00,5.00,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',15391,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023168,4.00,7.00,3.00,7.00,4.00,6.00,1.00,7.00,5.00,202,NULL,213,'CAPOEIRAS','FLORIANÓPOLIS','SC',9514,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023176,3.00,6.00,4.00,1.00,4.00,4.75,3.00,3.00,4.00,502,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',16335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023184,6.00,7.00,6.00,7.00,7.00,7.00,3.00,9.00,5.00,420,NULL,NULL,'ABRAÃO','FLORIANóPOLIS','SC',3086,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023206,6.00,5.00,5.00,3.00,5.00,7.00,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',9021,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3023214,6.00,7.00,8.00,9.00,7.00,6.50,5.00,8.00,6.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BARRACÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3023230,6.00,8.00,5.00,7.00,7.00,6.25,2.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023257,7.00,6.00,5.00,8.00,6.00,6.50,6.00,8.00,7.00,203,NULL,201,'VILA ADYANA','S JOSÉ CAMPOS','SP',1698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023273,5.00,4.00,4.00,4.00,5.00,5.25,6.00,7.00,4.00,103,NULL,NULL,'JARDIM MARIAS','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3023281,8.00,8.00,6.00,7.00,7.00,5.25,6.00,5.00,7.00,420,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',2339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023290,4.00,5.00,2.00,7.00,5.00,5.00,2.00,5.00,6.00,340,NULL,NULL,'JURERE INTERNACIONAL','FLORIANóPOLIS','SC',11630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023303,3.00,1.00,4.00,4.00,4.00,NULL,3.00,2.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023311,7.00,7.00,5.00,6.00,5.00,6.00,5.00,7.00,6.00,207,NULL,201,'JARDIM CENTRAL','FOZ IGUAÇU','PR',3181,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023320,4.00,5.00,1.00,3.00,4.00,6.50,3.00,7.00,4.00,453,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',13566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023338,3.00,4.00,3.00,4.00,4.00,5.00,2.00,7.00,5.00,340,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',13500,418,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023354,6.00,4.00,4.00,8.00,7.00,5.50,2.00,7.00,5.00,103,NULL,NULL,'JARDIM AMÉRICA','DOURADOS','MS',7250,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023362,5.00,7.00,5.00,7.00,7.00,6.00,2.00,8.00,4.00,301,NULL,NULL,'CENTRO','NOVA VENEZA','SC',5635,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023370,3.00,6.00,2.00,4.00,3.00,NULL,3.00,4.00,3.00,103,NULL,NULL,'TRÊS PALMEIRAS','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3023389,0.00,0.00,0.00,3.00,7.00,NULL,0.00,0.00,0.00,207,NULL,202,'CENTRO EDUCACIONAL','NOVA ANDRADINA','MS',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3023397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3023400,7.00,5.00,1.00,6.00,5.00,6.00,3.00,5.00,2.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12488,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023419,8.00,5.00,8.00,9.00,6.00,5.50,5.00,7.00,6.00,220,NULL,NULL,'BROOKLIN','S PAULO','SP',1709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023427,8.00,5.00,6.00,6.00,6.00,4.25,4.00,7.00,6.00,103,NULL,NULL,'SANTA TEREZA','VIDEIRA','SC',4244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023435,6.00,7.00,5.00,9.00,6.00,6.00,2.00,7.00,6.00,453,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',4222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023443,4.00,6.00,4.00,7.00,6.00,5.00,2.00,4.00,4.00,211,NULL,215,'SÃO SIMÃO','CRICIúMA','SC',10081,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3023460,9.00,6.00,7.00,8.00,5.00,5.75,4.00,8.00,7.00,203,NULL,214,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',1785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023478,3.00,2.00,1.00,7.00,5.00,6.50,1.00,5.00,3.00,328,NULL,NULL,'CENTRO','BIGUAçU','SC',16015,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023486,3.00,1.00,4.00,5.00,4.00,4.75,3.00,3.00,5.00,340,NULL,NULL,'SERRARIA','S JOSÉ','SC',16202,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023494,6.00,4.00,3.00,7.00,5.00,6.00,2.00,8.00,2.00,340,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',10518,326,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023524,7.00,6.00,6.00,7.00,7.00,5.00,4.00,6.00,5.00,303,NULL,NULL,'SÃO VICENTE','MANDAGUAÇU','PR',4000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM KARLA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3023540,3.00,4.00,7.00,7.00,4.00,6.75,4.00,8.00,5.00,214,NULL,213,'AMÉRICA','JOINVILLE','SC',6889,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3023559,3.00,5.00,4.00,7.00,8.00,6.75,3.00,4.00,4.00,103,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023575,6.00,4.00,7.00,6.00,6.00,5.50,2.00,7.00,3.00,340,NULL,NULL,'BARREIROS','S JOSé','SC',7623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023591,6.00,6.00,2.00,7.00,6.00,4.25,5.00,5.00,7.00,9,NULL,NULL,'VILA LEOPOLDINA','S PAULO','SP',5675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023605,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(16,3023613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3023621,0.00,2.00,3.00,1.00,1.00,NULL,2.00,1.00,2.00,223,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023630,3.00,3.00,2.00,7.00,6.00,5.25,1.00,7.00,3.00,104,NULL,NULL,'JARDIM FLORESTA','S JOSÉ','SC',13837,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023656,5.00,4.00,2.00,5.00,3.00,NULL,3.00,4.00,2.00,207,NULL,208,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023664,4.00,6.00,4.00,3.00,5.00,6.00,4.00,3.00,6.00,103,NULL,NULL,'VILA A','FOZ IGUAÇU','PR',11078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023672,4.00,3.00,3.00,7.00,3.00,NULL,3.00,5.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023680,7.00,7.00,4.00,7.00,7.00,6.50,5.00,8.00,3.00,310,NULL,NULL,'BATEL','CURITIBA','PR',4054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023702,2.00,2.00,3.00,7.00,5.00,5.50,3.00,2.00,3.00,203,NULL,202,'JARDIM CANADÁ','PAIçANDU','PR',15958,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023710,4.00,4.00,5.00,7.00,3.00,NULL,2.00,3.00,3.00,203,NULL,214,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3023729,3.00,4.00,1.00,3.00,5.00,NULL,2.00,4.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023737,6.00,9.00,7.00,9.00,7.00,5.00,8.00,9.00,7.00,201,NULL,216,'JARDIM CRISTAL','APARECIDA GOIâNIA','GO',840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023745,2.00,5.00,2.00,7.00,5.00,5.00,2.00,7.00,3.00,327,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',12871,31,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023761,2.00,2.00,2.00,5.00,5.00,NULL,3.00,1.00,4.00,207,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023770,8.00,5.00,8.00,5.00,8.00,6.00,5.00,8.00,8.00,103,NULL,NULL,'JARDIM CHAPADÃO','CAMPINAS','SP',1666,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3023788,6.00,6.00,4.00,2.00,5.00,4.50,4.00,5.00,2.00,233,NULL,238,'INTERIOR','LACERDÓPOLIS','SC',13169,401,NULL,415,NULL,NULL,NULL,4,7),(16,3023796,6.00,5.00,5.00,7.00,5.00,5.25,3.00,5.00,6.00,302,NULL,NULL,'CENTRO','BIGUAÇU','SC',7966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023818,4.00,0.00,1.00,4.00,5.00,NULL,1.00,2.00,3.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'JD ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3023834,3.00,2.00,2.00,7.00,5.00,5.50,2.00,4.00,2.00,101,NULL,NULL,'SETOR SANTO ONOFRE','TRINDADE','GO',16100,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3023842,5.00,8.00,8.00,8.00,7.00,6.50,4.00,8.00,8.00,202,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',1061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023850,7.00,7.00,5.00,8.00,7.00,6.50,2.00,9.00,6.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'HUGO LANGE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3023877,3.00,4.00,2.00,6.00,3.00,NULL,1.00,5.00,5.00,303,NULL,NULL,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'JARDIM FARROPILHA','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3023893,4.00,5.00,3.00,6.00,6.00,5.75,1.00,7.00,3.00,404,NULL,NULL,'KOBRASOL II','S JOSÉ','SC',11810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023915,2.00,6.00,3.00,8.00,6.00,5.75,3.00,6.00,6.00,503,NULL,NULL,'CENTRO','S JOSÉ','SC',8771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3023923,3.00,7.00,1.00,4.00,3.00,NULL,3.00,6.00,4.00,319,NULL,NULL,'FAZENDO STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023931,3.00,5.00,4.00,7.00,5.00,6.50,3.00,6.00,4.00,102,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3023958,4.00,7.00,5.00,6.00,7.00,5.50,1.00,7.00,4.00,5,NULL,NULL,'COMERCIÁRIO','CRICIúMA','SC',7805,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3023966,5.00,6.00,4.00,7.00,7.00,5.50,5.00,6.00,5.00,319,NULL,NULL,'BOSQUE DA SAÚDE','CUIABá','MT',5120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3023982,3.00,2.00,1.00,7.00,4.00,5.50,4.00,4.00,4.00,451,NULL,NULL,'CENTRO','CARAZINHO','RS',14979,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3023990,5.00,3.00,4.00,2.00,6.00,5.00,5.00,7.00,5.00,317,NULL,NULL,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',11012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024008,4.00,1.00,3.00,5.00,3.00,NULL,2.00,4.00,4.00,220,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3024016,3.00,3.00,1.00,3.00,3.00,NULL,4.00,3.00,3.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3024024,6.00,5.00,2.00,6.00,3.00,NULL,1.00,5.00,2.00,220,NULL,233,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3024032,5.00,5.00,2.00,7.00,4.00,4.75,2.00,4.00,3.00,103,NULL,NULL,'POÇO RICO','OTACÍLIO COSTA','SC',13978,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3024040,5.00,5.00,3.00,7.00,5.00,5.50,2.00,5.00,4.00,108,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',10656,239,NULL,NULL,NULL,NULL,NULL,2,8),(16,3024059,2.00,2.00,1.00,6.00,3.00,NULL,1.00,2.00,4.00,415,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3024075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'ANCHIETA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3024083,4.00,2.00,3.00,3.00,5.00,5.75,1.00,6.00,3.00,103,NULL,NULL,'CORAL','LAGES','SC',16124,2793,NULL,NULL,NULL,NULL,NULL,4,9),(16,3024091,4.00,4.00,4.00,7.00,4.00,5.75,2.00,3.00,3.00,202,NULL,207,'VERA CRUZ','PASSO FUNDO','RS',14399,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3024105,5.00,7.00,6.00,6.00,7.00,6.50,3.00,7.00,3.00,303,NULL,NULL,'CENTRO','S JOSÉ','SC',5260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024113,7.00,4.00,7.00,6.00,6.00,6.25,4.00,7.00,8.00,103,NULL,NULL,'APARECIDA','SANTOS','SP',3180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024121,0.00,4.00,1.00,5.00,2.00,NULL,3.00,3.00,1.00,333,NULL,NULL,'CENTRO','MARIANO MORO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3024130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3024148,4.00,1.00,2.00,4.00,2.00,NULL,4.00,5.00,2.00,225,NULL,NULL,'TRAÇADO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3024164,4.00,3.00,4.00,8.00,4.00,4.75,2.00,7.00,3.00,103,NULL,NULL,'JARDIM AMÉRICA','MAFRA','SC',11269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024199,4.00,2.00,2.00,8.00,4.00,5.25,2.00,4.00,1.00,103,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',16504,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3024202,7.00,6.00,3.00,4.00,7.00,5.50,2.00,7.00,4.00,220,NULL,202,'RETA MONTE DE TRIGO','S FRANCISCO SUL','SC',8899,362,NULL,NULL,NULL,NULL,NULL,2,8),(16,3024210,7.00,7.00,8.00,6.00,7.00,6.00,4.00,7.00,6.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',2661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM CANADÁ','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3024237,7.00,8.00,7.00,9.00,8.00,7.50,5.00,9.00,7.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',515,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3024245,8.00,6.00,6.00,4.00,7.00,5.00,7.00,8.00,8.00,203,NULL,202,'AMERICA','JOINVILLE','SC',1922,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3024253,5.00,4.00,3.00,3.00,4.00,4.75,3.00,5.00,4.00,225,NULL,NULL,'FLORESTA','MONDAÍ','SC',14573,NULL,NULL,NULL,NULL,NULL,NULL,1,4),(16,3024261,4.00,5.00,6.00,8.00,6.00,4.75,2.00,6.00,6.00,453,NULL,NULL,'OFICINAS','TUBARÃO','SC',7231,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3024270,7.00,8.00,7.00,9.00,8.00,6.25,6.00,7.00,8.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024288,5.00,5.00,4.00,6.00,6.00,6.25,4.00,4.00,5.00,203,NULL,214,'BELA VISTA III','S JOSÉ','SC',8929,660,NULL,310,NULL,NULL,NULL,2,1),(16,3024300,4.00,5.00,5.00,6.00,4.00,4.00,3.00,4.00,3.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3024318,2.00,5.00,3.00,6.00,4.00,4.75,3.00,4.00,2.00,502,NULL,NULL,'CENTRO','S JOAQUIM','SC',15207,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3024326,5.00,5.00,2.00,5.00,7.00,4.75,3.00,5.00,3.00,208,NULL,238,'CENTRO','IÇARA','SC',11559,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3024334,7.00,5.00,6.00,7.00,8.00,7.50,4.00,8.00,7.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',2342,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3024342,7.00,5.00,5.00,8.00,7.00,6.50,4.00,5.00,7.00,103,NULL,NULL,'LAGOA BONITA','ENG COELHO','SP',3076,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3024350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3024369,3.00,5.00,4.00,7.00,7.00,6.75,1.00,8.00,2.00,319,NULL,NULL,'JARDIM DO SHOPPING','CAXIAS SUL','RS',8749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024377,3.00,5.00,5.00,4.00,4.00,5.50,4.00,7.00,4.00,212,NULL,214,'ACLIMAÇÃO','S PAULO','SP',9809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3024385,9.00,6.00,8.00,8.00,5.00,4.50,3.00,7.00,6.00,220,NULL,203,'VALE DO RENO','LONDRINA','PR',3251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024407,6.00,6.00,5.00,7.00,6.00,5.50,4.00,6.00,5.00,333,NULL,NULL,'CENTRO','NOVO HAMBURGO','RS',7075,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3024415,7.00,5.00,1.00,4.00,2.00,NULL,1.00,6.00,2.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3024423,7.00,8.00,5.00,5.00,7.00,7.00,3.00,6.00,6.00,207,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',5054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024431,4.00,6.00,8.00,9.00,7.00,6.25,5.00,5.00,6.00,103,NULL,NULL,'SANTANA','S PAULO','SP',2294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024458,4.00,5.00,3.00,3.00,4.00,4.00,3.00,7.00,4.00,201,NULL,NULL,'CTO EDUCACIONAL','NOVA ANDRADINA','MS',13225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024466,5.00,5.00,3.00,4.00,5.00,4.75,6.00,3.00,2.00,234,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3024474,3.00,4.00,3.00,4.00,3.00,NULL,2.00,5.00,2.00,333,NULL,NULL,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024482,5.00,6.00,3.00,7.00,5.00,7.50,4.00,9.00,5.00,203,NULL,233,'BARREIROS','S JOSÉ','SC',4396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024490,6.00,7.00,7.00,7.00,7.00,6.50,4.00,6.00,5.00,9,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',3001,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3024504,7.00,7.00,8.00,7.00,6.00,6.25,6.00,7.00,6.00,203,NULL,201,'CENTRO','GOIÂNIA','GO',1770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024512,5.00,8.00,7.00,9.00,8.00,6.75,3.00,7.00,5.00,429,NULL,425,'PLANALTO','VACARIA','RS',2495,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3024539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3024547,6.00,6.00,4.00,8.00,5.00,6.00,4.00,7.00,3.00,103,NULL,NULL,'REVOREDO','TUBARÃO','SC',5424,1574,NULL,NULL,NULL,NULL,NULL,2,10),(16,3024555,7.00,6.00,4.00,8.00,3.00,NULL,6.00,5.00,6.00,203,NULL,214,'TAGUATINGA','TAGUATINGA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024563,8.00,7.00,8.00,8.00,8.00,7.50,8.00,7.00,9.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024580,8.00,7.00,7.00,7.00,7.00,5.75,3.00,6.00,7.00,216,NULL,211,'AMÉRICA','JOINVILLE','SC',1943,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3024610,5.00,3.00,1.00,2.00,3.00,NULL,2.00,6.00,2.00,104,NULL,NULL,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024628,8.00,7.00,8.00,9.00,7.00,5.75,7.00,9.00,6.00,220,NULL,216,'UNIÃO','CPO GRANDE','MS',584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3024644,3.00,3.00,2.00,6.00,2.00,NULL,3.00,6.00,2.00,108,NULL,NULL,'VILA NOVA','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3024652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BREJARU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3024660,4.00,5.00,3.00,8.00,5.00,5.50,1.00,3.00,1.00,203,NULL,238,'BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024695,5.00,6.00,9.00,8.00,9.00,7.75,2.00,8.00,4.00,223,NULL,NULL,'JARDIM CONCEIÇÃO','PIRACICABA','SP',1939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024709,1.00,1.00,2.00,3.00,3.00,NULL,0.00,3.00,3.00,201,NULL,212,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3024717,6.00,6.00,5.00,7.00,6.00,6.50,3.00,9.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024725,6.00,6.00,3.00,5.00,5.00,5.50,3.00,8.00,1.00,101,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',11231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024750,7.00,8.00,3.00,8.00,6.00,5.75,4.00,9.00,7.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',2673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3024768,6.00,4.00,2.00,5.00,6.00,7.25,2.00,4.00,5.00,216,NULL,NULL,'VILA IPIRANGA','LONDRINA','PR',11696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024776,7.00,7.00,5.00,7.00,7.00,6.00,2.00,8.00,7.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2935,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3024784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3024792,7.00,7.00,8.00,7.00,7.00,6.25,5.00,6.00,7.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',1823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3024814,6.00,7.00,6.00,9.00,7.00,5.75,6.00,7.00,8.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',1816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024822,8.00,9.00,5.00,9.00,8.00,5.25,5.00,8.00,8.00,220,NULL,202,'COLONINHA','ARARANGUÁ','SC',558,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3024849,4.00,4.00,1.00,0.00,3.00,NULL,2.00,4.00,3.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024857,7.00,9.00,4.00,7.00,7.00,5.50,5.00,7.00,6.00,207,NULL,208,'ABRAÃO','FLORIANóPOLIS','SC',2819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024865,5.00,4.00,3.00,7.00,6.00,5.00,3.00,5.00,3.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANóPOLIS','SC',11616,508,NULL,NULL,NULL,NULL,NULL,2,1),(16,3024873,6.00,5.00,7.00,3.00,4.00,5.75,2.00,8.00,6.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',7507,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3024890,8.00,5.00,4.00,6.00,6.00,5.50,5.00,5.00,5.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',6052,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3024911,5.00,4.00,4.00,7.00,7.00,5.25,4.00,3.00,2.00,444,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',10803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3024920,5.00,2.00,5.00,3.00,4.00,NULL,0.00,0.00,0.00,216,NULL,233,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(16,3024938,4.00,1.00,5.00,5.00,4.00,6.00,3.00,4.00,4.00,104,NULL,NULL,'GARCIA','BLUMENAU','SC',13915,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3024946,3.00,6.00,2.00,3.00,6.00,5.75,2.00,2.00,4.00,428,NULL,425,'PINHEIRA','PALHOçA','SC',15595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024954,6.00,9.00,8.00,9.00,8.00,5.75,6.00,9.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024962,5.00,9.00,7.00,6.00,5.00,5.75,5.00,8.00,6.00,202,NULL,213,'PANTANAL','FLORIANóPOLIS','SC',2750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024970,8.00,7.00,5.00,9.00,7.00,5.50,2.00,7.00,7.00,108,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',3612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024989,6.00,8.00,4.00,5.00,6.00,6.25,6.00,8.00,8.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',2670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3024997,4.00,3.00,4.00,7.00,3.00,NULL,2.00,7.00,2.00,108,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3025004,6.00,7.00,6.00,9.00,4.00,6.50,3.00,8.00,5.00,216,NULL,207,'SANTO ANTÔNIO','FLORIANÓPOLIS','SC',3710,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3025020,7.00,6.00,5.00,8.00,5.00,5.50,4.00,8.00,6.00,310,NULL,NULL,'JARDIM DOS ESTADOS','POÇOS CALDAS','MG',3672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025047,5.00,8.00,7.00,8.00,6.00,6.75,2.00,7.00,6.00,340,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',3593,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3025055,6.00,5.00,7.00,8.00,6.00,4.25,4.00,4.00,3.00,212,NULL,214,'CENTRO','PIRACICABA','SP',5980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025063,5.00,3.00,2.00,3.00,6.00,NULL,0.00,5.00,3.00,309,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025071,1.00,4.00,2.00,6.00,5.00,6.50,1.00,5.00,4.00,201,NULL,NULL,'SÃO JUDAS TADEU','ITAJAÍ','SC',14836,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3025080,4.00,6.00,2.00,8.00,4.00,4.50,3.00,5.00,5.00,415,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',10208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025098,2.00,1.00,2.00,3.00,2.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025101,4.00,3.00,5.00,4.00,4.00,5.00,3.00,4.00,5.00,103,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',13352,2554,NULL,NULL,NULL,NULL,NULL,4,4),(16,3025128,3.00,4.00,2.00,1.00,5.00,4.50,6.00,5.00,3.00,103,NULL,NULL,'ALTO BIGUAÇU','BIGUAÇU','SC',14708,2668,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025144,5.00,6.00,7.00,7.00,7.00,5.75,5.00,6.00,7.00,501,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANóPOLIS','SC',3523,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3025152,3.00,3.00,1.00,1.00,3.00,NULL,1.00,3.00,4.00,216,NULL,208,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025160,8.00,6.00,5.00,8.00,7.00,5.25,5.00,6.00,5.00,201,NULL,203,'CENTRO','CRICIúMA','SC',3453,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3025187,5.00,6.00,6.00,8.00,9.00,5.50,6.00,9.00,7.00,415,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',1588,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3025195,9.00,7.00,8.00,8.00,6.00,5.75,8.00,5.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025209,4.00,3.00,2.00,5.00,3.00,NULL,3.00,3.00,2.00,415,NULL,NULL,'JARDIM PANAMÁ','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3025217,2.00,2.00,2.00,1.00,1.00,NULL,0.00,3.00,3.00,303,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025225,9.00,8.00,8.00,6.00,5.00,5.75,3.00,9.00,6.00,103,NULL,NULL,'NOVO CENTRO','MARINGÁ','PR',2211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025233,3.00,4.00,2.00,0.00,5.00,NULL,2.00,2.00,2.00,207,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025241,8.00,9.00,8.00,10.00,8.00,7.75,7.00,8.00,7.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',85,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025276,3.00,2.00,1.00,1.00,3.00,NULL,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3025284,4.00,3.00,4.00,7.00,7.00,5.00,2.00,4.00,5.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',11522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3025292,3.00,7.00,3.00,8.00,5.00,7.25,3.00,6.00,4.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025306,5.00,4.00,5.00,7.00,6.00,7.25,3.00,6.00,3.00,207,NULL,201,'SÃO JOÃO','ITAJAÍ','SC',7904,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3025314,5.00,6.00,4.00,9.00,6.00,5.25,3.00,6.00,4.00,203,NULL,214,'TRÊS FIGUEIRAS','PTO ALEGRE','RS',6377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025322,8.00,9.00,8.00,9.00,9.00,6.00,6.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025330,3.00,4.00,1.00,2.00,3.00,NULL,1.00,3.00,4.00,415,NULL,NULL,'BELA VISTA I','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025349,4.00,4.00,3.00,9.00,6.00,5.00,4.00,7.00,6.00,303,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',6459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025357,4.00,5.00,2.00,3.00,6.00,7.00,2.00,6.00,4.00,304,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',12728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025365,8.00,3.00,7.00,9.00,6.00,6.25,5.00,9.00,6.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',2403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025373,2.00,3.00,3.00,5.00,3.00,NULL,5.00,4.00,5.00,104,NULL,NULL,'MOEMA','ITAIóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3025381,5.00,6.00,1.00,7.00,5.00,5.00,1.00,4.00,5.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025390,5.00,7.00,3.00,7.00,5.00,5.00,5.00,8.00,4.00,216,NULL,233,'SANTO ANTÔNIO','PIUMHI','MG',7506,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3025403,4.00,4.00,5.00,9.00,5.00,6.00,3.00,5.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025411,8.00,7.00,6.00,7.00,5.00,4.50,6.00,7.00,7.00,203,NULL,NULL,'CENTRO','ARARANGUÁ','SC',2636,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3025420,8.00,9.00,6.00,9.00,7.00,6.00,6.00,8.00,8.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',459,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3025446,8.00,6.00,3.00,7.00,6.00,4.25,6.00,6.00,5.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',5128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3025462,3.00,2.00,3.00,5.00,3.00,NULL,2.00,5.00,2.00,207,NULL,233,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025470,7.00,3.00,2.00,7.00,6.00,5.00,2.00,5.00,5.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',11003,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3025489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3025497,1.00,6.00,2.00,8.00,5.00,5.00,3.00,9.00,3.00,319,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',10074,195,NULL,NULL,NULL,NULL,NULL,2,1),(16,3025519,5.00,5.00,3.00,2.00,6.00,4.75,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',13871,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3025527,5.00,5.00,3.00,7.00,5.00,6.00,3.00,8.00,3.00,303,NULL,NULL,'CENTRO','PALHOÇA','SC',9035,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3025535,1.00,3.00,3.00,2.00,1.00,NULL,3.00,3.00,4.00,340,NULL,NULL,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3025543,6.00,4.00,4.00,7.00,5.00,6.00,3.00,5.00,4.00,452,NULL,NULL,'VILA NOVA','GOIÂNIA','GO',8849,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3025551,3.00,3.00,2.00,0.00,3.00,NULL,3.00,5.00,4.00,216,NULL,215,'CENTRO','IJUI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025560,6.00,7.00,5.00,8.00,8.00,6.00,5.00,9.00,7.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',1955,819,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3025586,2.00,0.00,2.00,2.00,3.00,NULL,1.00,0.00,2.00,101,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3025594,5.00,4.00,2.00,4.00,3.00,NULL,2.00,5.00,4.00,108,NULL,NULL,'SANTA MÔNICA','ROLÂNDIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3025616,8.00,8.00,1.00,8.00,6.00,6.50,3.00,7.00,5.00,108,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',4439,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3025624,6.00,7.00,7.00,8.00,8.00,7.00,3.00,9.00,8.00,415,NULL,NULL,'RECANTO DOS VINHAIS','S LUíS','MA',1369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025632,6.00,6.00,4.00,6.00,4.00,5.25,2.00,7.00,3.00,201,NULL,212,'CENTRO','LAGES','SC',8838,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3025640,4.00,6.00,4.00,6.00,1.00,NULL,1.00,3.00,3.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3025659,9.00,7.00,3.00,8.00,7.00,6.50,5.00,8.00,7.00,420,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3025667,7.00,6.00,6.00,4.00,5.00,5.25,4.00,6.00,2.00,203,NULL,202,'ZONA CINCO','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3025675,1.00,5.00,3.00,7.00,4.00,6.75,3.00,3.00,3.00,207,NULL,201,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3025683,8.00,5.00,6.00,8.00,6.00,7.50,4.00,7.00,7.00,103,NULL,NULL,'VALE DO SOL','CLEVELÂNDIA','PR',2239,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3025691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'NOVA HIGIENÓPOLIS','JANDIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3025705,7.00,5.00,5.00,8.00,7.00,4.75,2.00,8.00,6.00,9,NULL,NULL,'JD ITÁLIA','SINOP','MT',4763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3025721,4.00,2.00,3.00,4.00,1.00,NULL,2.00,1.00,2.00,238,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'LARANJINHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3025748,6.00,6.00,2.00,3.00,6.00,6.50,2.00,6.00,5.00,102,NULL,NULL,'JOSÉ MENINO','SANTOS','SP',8819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CANA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3025764,6.00,7.00,2.00,7.00,6.00,6.75,3.00,5.00,2.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025780,8.00,6.00,4.00,8.00,7.00,6.50,6.00,5.00,7.00,444,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025799,5.00,6.00,4.00,5.00,6.00,7.25,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',7199,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3025802,6.00,5.00,5.00,7.00,5.00,8.25,5.00,5.00,6.00,201,NULL,212,'CENTRO','BAL CAMBORIÚ','SC',4968,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3025810,9.00,9.00,7.00,9.00,9.00,5.75,6.00,9.00,7.00,303,NULL,NULL,'PIO X','CAXIAS SUL','RS',197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025837,4.00,6.00,6.00,4.00,5.00,5.25,3.00,6.00,6.00,202,NULL,201,'CENTRO','LARANJEIRAS SUL','PR',9145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PIRAPÓ','PIRAPÓ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3025853,4.00,4.00,2.00,8.00,6.00,5.50,4.00,4.00,5.00,450,NULL,NULL,'CENTRO','PENHA','SC',10150,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3025861,4.00,6.00,3.00,4.00,4.00,6.00,2.00,5.00,5.00,104,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',12944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025870,6.00,6.00,3.00,7.00,6.00,5.75,4.00,6.00,6.00,108,NULL,NULL,'CENTRO','TUBARAO','SC',7696,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3025888,6.00,3.00,3.00,6.00,6.00,6.50,4.00,4.00,6.00,428,NULL,425,'KOBRASOL','S JOSÉ','SC',9603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025896,7.00,6.00,7.00,5.00,5.00,6.25,5.00,6.00,6.00,203,NULL,220,'PITANGUEIRAS','LAURO FREITAS','BA',3023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025900,7.00,5.00,3.00,9.00,7.00,5.75,4.00,7.00,7.00,203,NULL,233,'BARREIROS','S JOSÉ','SC',3886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025918,8.00,5.00,7.00,8.00,3.00,NULL,5.00,8.00,9.00,203,NULL,238,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3025926,3.00,5.00,3.00,9.00,5.00,4.00,5.00,6.00,5.00,301,NULL,NULL,'JURERE','FLORIANóPOLIS','SC',8350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025934,3.00,5.00,3.00,7.00,3.00,NULL,3.00,4.00,3.00,425,NULL,424,'JOAO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3025942,4.00,5.00,8.00,8.00,6.00,6.25,7.00,7.00,7.00,203,NULL,201,'JARDIM','STO ANDRÉ','SP',1857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025977,3.00,4.00,2.00,4.00,4.00,5.75,2.00,3.00,3.00,103,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',16497,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3025985,6.00,7.00,6.00,7.00,5.00,5.25,5.00,8.00,6.00,202,NULL,208,'ITACORUBI','FLORIANÓPOLIS','SC',3127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3025993,8.00,4.00,5.00,3.00,5.00,5.25,1.00,7.00,7.00,420,NULL,NULL,'CAMPECHE','FLORIANOPOLIS','SC',9155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026000,3.00,4.00,4.00,4.00,2.00,NULL,3.00,3.00,3.00,9,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3026019,1.00,2.00,2.00,1.00,3.00,NULL,3.00,2.00,1.00,404,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3026027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3026035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'JARDIM BELA VISTA','GUARATINGUETÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3026051,9.00,7.00,7.00,9.00,9.00,6.00,5.00,9.00,8.00,103,NULL,NULL,'ARAÉS','CUIABá','MT',192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026078,4.00,3.00,1.00,4.00,5.00,5.75,1.00,5.00,4.00,102,NULL,NULL,'GLORIA','JOINVILLE','SC',15903,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3026086,9.00,5.00,5.00,5.00,7.00,6.75,4.00,7.00,8.00,103,NULL,NULL,'CONSOLAÇÃO','RIO CLARO','SP',2948,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3026094,8.00,7.00,5.00,7.00,7.00,5.75,4.00,7.00,4.00,319,NULL,NULL,'CENTRO','GRAVATAL','SC',4132,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3026108,6.00,7.00,5.00,7.00,8.00,7.00,4.00,7.00,6.00,316,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',2977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026116,3.00,5.00,3.00,8.00,5.00,4.25,2.00,8.00,5.00,453,NULL,NULL,'KOBRASOL','S JOSé','SC',9783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026124,6.00,7.00,4.00,8.00,6.00,6.00,3.00,6.00,6.00,340,NULL,NULL,'ROÇADO','S JOSÉ','SC',5422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MAZZEI','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3026140,9.00,9.00,9.00,9.00,8.00,6.50,8.00,9.00,9.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',33,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026159,7.00,7.00,9.00,7.00,7.00,6.50,6.00,9.00,7.00,220,NULL,208,'NOVO MUNDO','CURITIBA','PR',651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026167,4.00,6.00,5.00,7.00,7.00,6.50,3.00,6.00,4.00,501,NULL,NULL,'CENTRO','PASSO FUNDO','RS',6601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026175,6.00,5.00,4.00,4.00,6.00,5.00,4.00,4.00,4.00,202,NULL,220,'CENTRO','NOVA ANDRADINA','MS',10755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026183,7.00,6.00,5.00,8.00,6.00,7.50,3.00,6.00,4.00,301,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',4213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026191,6.00,4.00,5.00,6.00,7.00,6.25,5.00,4.00,6.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',4725,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3026213,6.00,7.00,4.00,2.00,7.00,5.00,3.00,8.00,6.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',6890,1814,NULL,NULL,NULL,NULL,NULL,4,5),(16,3026221,6.00,6.00,6.00,8.00,8.00,6.75,3.00,9.00,5.00,208,NULL,238,'PASSA VINTE','PALHOÇA','SC',2854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3026230,6.00,6.00,3.00,6.00,7.00,8.50,3.00,7.00,8.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',2656,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3026248,4.00,5.00,5.00,4.00,4.00,2.75,2.00,5.00,5.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026256,7.00,6.00,4.00,4.00,7.00,7.00,3.00,9.00,4.00,415,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',6138,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3026264,0.00,6.00,2.00,6.00,4.00,6.00,2.00,7.00,3.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',15023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026272,5.00,4.00,6.00,7.00,7.00,4.50,3.00,4.00,5.00,238,NULL,208,'CARIANOS','FLORIANÓPOLIS','SC',8586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026280,4.00,5.00,3.00,8.00,7.00,7.75,3.00,7.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026299,4.00,5.00,3.00,7.00,5.00,7.25,2.00,6.00,4.00,450,NULL,NULL,'VILA BERNARDES','ARAPONGAS','PR',9568,82,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026302,5.00,4.00,4.00,5.00,3.00,NULL,3.00,3.00,3.00,340,NULL,NULL,'SANTO ANTONIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3026310,5.00,4.00,3.00,3.00,6.00,5.00,1.00,2.00,3.00,104,NULL,NULL,'AREIAS','S JOSé','SC',16250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026345,5.00,8.00,6.00,8.00,7.00,5.75,0.00,7.00,2.00,103,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3026353,5.00,7.00,4.00,9.00,6.00,6.75,4.00,8.00,8.00,5,NULL,NULL,'CACUPÉ','FLORIANóPOLIS','SC',2233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026361,3.00,7.00,3.00,7.00,5.00,5.75,4.00,8.00,4.00,102,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',8054,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3026370,3.00,3.00,2.00,3.00,2.00,NULL,3.00,1.00,4.00,5,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026388,3.00,2.00,3.00,1.00,3.00,NULL,3.00,0.00,2.00,9,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026396,9.00,8.00,10.00,9.00,9.00,7.00,8.00,6.00,9.00,203,NULL,233,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',54,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026400,6.00,7.00,6.00,9.00,8.00,5.75,3.00,7.00,6.00,103,NULL,NULL,'COMASA','JOINVILLE','SC',2841,1055,NULL,NULL,NULL,NULL,NULL,2,8),(16,3026418,5.00,6.00,4.00,8.00,6.00,4.75,0.00,7.00,5.00,207,NULL,208,'BROOKLIN','S PAULO','SP',7857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026434,7.00,6.00,3.00,5.00,8.00,6.75,3.00,5.00,6.00,103,NULL,NULL,'VORSTADT','BLUMENAU','SC',5531,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3026450,6.00,4.00,7.00,7.00,6.00,5.00,3.00,4.00,6.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',7099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026469,5.00,6.00,5.00,9.00,6.00,6.75,2.00,6.00,5.00,319,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',5017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026477,4.00,5.00,6.00,4.00,4.00,5.50,3.00,9.00,5.00,215,NULL,207,'BELA VISTA','S PAULO','SP',6989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026485,6.00,7.00,7.00,8.00,5.00,6.50,4.00,5.00,5.00,304,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',4262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026493,5.00,7.00,4.00,7.00,6.00,5.00,6.00,7.00,7.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3828,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3026507,5.00,4.00,5.00,5.00,7.00,5.25,0.00,6.00,5.00,429,NULL,424,'ITACORUBI','FLORIANÓPOLIS','SC',11317,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3026515,5.00,7.00,2.00,9.00,7.00,6.25,3.00,7.00,3.00,420,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',7620,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3026523,5.00,4.00,2.00,5.00,4.00,6.25,2.00,4.00,2.00,332,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026531,3.00,2.00,3.00,0.00,4.00,NULL,4.00,3.00,2.00,415,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3026566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'SÃO CRISTOVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3026574,6.00,6.00,4.00,6.00,6.00,5.50,3.00,5.00,5.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',7274,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026582,6.00,6.00,5.00,9.00,7.00,5.50,5.00,6.00,7.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026590,6.00,6.00,1.00,5.00,4.00,5.25,4.00,8.00,4.00,201,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',11020,854,NULL,750,NULL,NULL,NULL,2,1),(16,3026604,6.00,5.00,1.00,9.00,8.00,5.00,4.00,6.00,5.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',7149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026612,5.00,3.00,2.00,4.00,2.00,NULL,3.00,2.00,2.00,319,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3026620,5.00,3.00,4.00,9.00,6.00,7.00,2.00,5.00,4.00,108,NULL,NULL,'CENTRO','ERECHIM','RS',8306,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3026639,4.00,2.00,1.00,6.00,3.00,NULL,1.00,7.00,6.00,304,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3026647,9.00,7.00,8.00,8.00,5.00,6.75,7.00,7.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',765,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3026655,6.00,5.00,3.00,8.00,6.00,4.50,2.00,5.00,3.00,302,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',10633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3026663,5.00,5.00,3.00,3.00,5.00,6.00,2.00,7.00,6.00,207,NULL,201,'ROSELLI','ARAÇATUBA','SP',9139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026671,7.00,5.00,4.00,1.00,6.00,4.00,4.00,7.00,6.00,220,NULL,NULL,'HAUER','CURITIBA','PR',8982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026680,8.00,7.00,5.00,7.00,5.00,6.25,8.00,6.00,7.00,214,NULL,238,'JARDIM IMPERIAL','CUIABá','MT',1744,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3026698,5.00,3.00,5.00,9.00,5.00,5.00,3.00,5.00,4.00,215,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',8078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026701,2.00,4.00,2.00,3.00,4.00,NULL,3.00,3.00,2.00,220,NULL,202,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3026710,7.00,8.00,8.00,8.00,8.00,6.00,8.00,8.00,9.00,220,NULL,201,'CENTRO','PENáPOLIS','SP',205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3026736,7.00,6.00,7.00,8.00,5.00,6.00,7.00,7.00,8.00,203,NULL,214,'CENTRO','PARANAVAÍ','PR',1300,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3026744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3026752,2.00,3.00,1.00,5.00,2.00,NULL,1.00,2.00,2.00,215,NULL,216,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(16,3026760,5.00,4.00,2.00,5.00,6.00,5.25,3.00,4.00,5.00,420,NULL,NULL,'CENTRO','S JOSé','SC',13030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026779,7.00,7.00,3.00,7.00,4.00,5.75,3.00,7.00,4.00,340,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',7148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3026795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ORFA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3026817,2.00,6.00,6.00,3.00,5.00,5.00,3.00,7.00,4.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026825,3.00,4.00,3.00,2.00,3.00,NULL,0.00,7.00,3.00,5,NULL,NULL,'SANTA MÔNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026833,8.00,7.00,6.00,7.00,6.00,4.75,5.00,7.00,3.00,207,NULL,201,'CAMPECHE','FLORIANóPOLIS','SC',4679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026841,6.00,4.00,1.00,9.00,6.00,6.25,2.00,7.00,6.00,415,NULL,NULL,'PARQUE DAS PALMEIRAS','CHAPECÓ','SC',6927,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3026850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,215,'SETOR OESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3026876,5.00,6.00,3.00,6.00,6.00,5.50,1.00,4.00,5.00,9,NULL,NULL,'SÃO PEDRO','BRUSQUE','SC',10532,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3026884,5.00,7.00,5.00,8.00,6.00,6.50,3.00,8.00,6.00,103,NULL,NULL,'CENTRO','TIJUCAS','SC',3134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026892,2.00,5.00,3.00,3.00,4.00,4.00,2.00,4.00,2.00,319,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026914,8.00,6.00,7.00,7.00,6.00,5.50,6.00,9.00,6.00,214,NULL,207,'ESTREITO','FLORIANÓPOLIS','SC',1253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3026922,4.00,6.00,8.00,7.00,6.00,5.75,5.00,6.00,8.00,220,NULL,208,'SERRARIA','S JOSÉ','SC',4176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026930,9.00,6.00,9.00,8.00,6.00,5.75,7.00,6.00,8.00,203,NULL,220,'COROA DO MEIO','ARACAJU','SE',679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3026949,4.00,2.00,4.00,4.00,1.00,NULL,2.00,6.00,4.00,452,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3026957,4.00,4.00,1.00,6.00,4.00,5.00,1.00,3.00,3.00,207,NULL,201,'BELA VISTA','PALHOÇA','SC',16369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3026965,3.00,2.00,1.00,3.00,3.00,NULL,3.00,1.00,4.00,308,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3026973,6.00,6.00,6.00,8.00,5.00,5.25,3.00,7.00,6.00,303,NULL,NULL,'CENTRO','JOINVILLE','SC',5104,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3026990,5.00,3.00,3.00,3.00,4.00,6.25,1.00,6.00,3.00,103,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3027015,3.00,3.00,3.00,6.00,4.00,4.75,2.00,3.00,3.00,302,NULL,NULL,'BARREIROS','S JOSé','SC',16361,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3027023,4.00,3.00,1.00,9.00,3.00,NULL,3.00,6.00,5.00,215,NULL,211,'VILA CASA BRANCA','BOTUCATU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027040,4.00,3.00,5.00,1.00,5.00,5.25,4.00,6.00,5.00,203,NULL,214,'VILA NOVA','BLUMENAU','SC',11842,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3027058,3.00,4.00,2.00,7.00,4.00,6.25,3.00,3.00,4.00,104,NULL,NULL,'CENTRO','CAIBI','SC',14645,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3027066,8.00,7.00,2.00,9.00,7.00,6.50,1.00,7.00,7.00,340,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',4389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027082,6.00,6.00,4.00,7.00,5.00,5.50,3.00,6.00,3.00,444,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',8680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027090,4.00,5.00,4.00,6.00,4.00,6.00,4.00,4.00,2.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13540,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3027104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,220,'IAPI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3027112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','LAURO FREITAS','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3027120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3027139,3.00,2.00,2.00,1.00,2.00,NULL,2.00,1.00,2.00,309,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','TELÊMACO BORBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3027155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'BELVEDERE','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3027163,6.00,7.00,3.00,8.00,7.00,5.50,3.00,6.00,5.00,503,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5577,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3027171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IPERÓ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3027180,6.00,7.00,6.00,7.00,6.00,5.75,5.00,8.00,7.00,301,NULL,NULL,'CENTRO','ERECHIM','RS',2726,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3027198,1.00,4.00,3.00,1.00,4.00,NULL,2.00,3.00,3.00,316,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027201,6.00,4.00,2.00,5.00,5.00,5.50,3.00,4.00,5.00,3,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',12393,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3027228,3.00,3.00,6.00,6.00,4.00,6.00,3.00,6.00,3.00,220,NULL,202,'BAIRRO IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027244,4.00,6.00,2.00,7.00,3.00,NULL,2.00,5.00,2.00,428,NULL,429,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027252,3.00,5.00,4.00,4.00,6.00,5.75,3.00,1.00,5.00,104,NULL,NULL,'PICADAS DO NORTE','S JOSÉ','SC',14385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027260,4.00,6.00,6.00,6.00,6.00,5.25,3.00,7.00,2.00,317,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9349,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3027279,8.00,7.00,7.00,7.00,7.00,5.50,3.00,6.00,6.00,203,NULL,202,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027287,6.00,7.00,5.00,5.00,5.00,4.75,3.00,4.00,5.00,238,NULL,212,'BARREIROS','S JOSÉ','SC',8365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3027309,4.00,6.00,2.00,9.00,6.00,5.25,4.00,7.00,5.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',7073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027317,6.00,7.00,5.00,6.00,7.00,4.75,1.00,8.00,4.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',6553,1767,NULL,NULL,NULL,NULL,NULL,2,1),(16,3027325,6.00,7.00,3.00,5.00,5.00,5.50,4.00,9.00,5.00,104,NULL,NULL,'CENTRO','IÇARA','SC',6690,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3027333,2.00,1.00,4.00,4.00,3.00,NULL,2.00,2.00,3.00,207,NULL,215,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3027341,7.00,8.00,5.00,7.00,7.00,6.75,6.00,6.00,7.00,103,NULL,NULL,'CENTRO','PALMEIRA','PR',2060,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3027350,7.00,7.00,4.00,8.00,7.00,6.00,3.00,6.00,3.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027368,6.00,5.00,4.00,9.00,8.00,5.50,3.00,5.00,5.00,238,NULL,233,'SANTA MÔNICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027376,6.00,6.00,5.00,8.00,3.00,NULL,3.00,6.00,7.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3027384,4.00,5.00,4.00,6.00,5.00,6.25,1.00,6.00,2.00,207,NULL,201,'VINHAIS','S LUÍS','MA',12872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027406,4.00,7.00,3.00,2.00,5.00,6.25,2.00,7.00,3.00,203,NULL,220,'NAÇÕES','BAL CAMBORIÚ','SC',12791,809,NULL,463,NULL,NULL,NULL,4,3),(16,3027414,3.00,6.00,3.00,7.00,4.00,5.75,3.00,3.00,2.00,420,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',13853,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(16,3027422,8.00,7.00,4.00,8.00,6.00,7.50,3.00,6.00,5.00,103,NULL,NULL,'NOVA SANTA CRUZ','MOGI MIRIM','SP',2788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027430,4.00,6.00,7.00,6.00,7.00,5.50,2.00,4.00,4.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8585,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3027449,4.00,4.00,5.00,6.00,6.00,6.50,6.00,6.00,5.00,201,NULL,NULL,'SÃO CRISTÓVÃO','CASCAVEL','PR',6238,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3027457,2.00,5.00,6.00,2.00,4.00,4.00,2.00,3.00,4.00,203,NULL,216,'CENTRO','MARIALVA','PR',15266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3027481,2.00,4.00,3.00,1.00,3.00,NULL,2.00,4.00,2.00,5,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3027490,4.00,6.00,6.00,6.00,5.00,5.75,3.00,6.00,5.00,302,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',7573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027503,4.00,6.00,1.00,0.00,4.00,5.25,3.00,4.00,4.00,203,NULL,214,'NOVA BRASILIA','BRUSQUE','SC',16367,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3027511,4.00,1.00,3.00,6.00,8.00,4.00,5.00,4.00,4.00,101,NULL,NULL,'JARDIM NOVA TABOÃO','GUARULHOS','SP',10902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027520,8.00,7.00,4.00,9.00,7.00,5.00,5.00,8.00,5.00,220,NULL,233,'JARDIM IRIRIÚ','JOINVILLE','SC',2114,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3027546,7.00,7.00,5.00,8.00,8.00,6.50,5.00,7.00,7.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',1482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3027554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3027562,3.00,2.00,2.00,7.00,2.00,NULL,0.00,4.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3027570,3.00,3.00,3.00,6.00,1.00,NULL,4.00,2.00,1.00,340,NULL,NULL,'RESSACADA','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3027589,6.00,9.00,6.00,8.00,7.00,5.75,2.00,7.00,7.00,212,NULL,201,'PANTANAL','FLORIANOPOLIS','SC',3052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027597,7.00,7.00,5.00,7.00,7.00,6.00,4.00,8.00,6.00,214,NULL,203,'CONTA DINHEIRO','LAGES','SC',2479,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3027600,5.00,5.00,1.00,6.00,5.00,5.25,2.00,6.00,7.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',9294,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3027619,7.00,5.00,4.00,4.00,6.00,7.25,3.00,5.00,5.00,202,NULL,238,'AMIZADE','JARAGUÁ SUL','SC',8626,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3027627,8.00,7.00,6.00,8.00,7.00,5.50,7.00,7.00,7.00,211,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',1782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027635,5.00,5.00,2.00,7.00,7.00,7.00,2.00,5.00,6.00,233,NULL,213,'BALNEÁRIO','FLORIANÓPOLIS','SC',8718,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3027643,9.00,7.00,9.00,7.00,6.00,6.50,6.00,8.00,8.00,103,NULL,NULL,'CERQUEIRA CESAR','S PAULO','SP',535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027651,2.00,3.00,3.00,7.00,5.00,5.75,2.00,5.00,3.00,415,NULL,NULL,'JARDIM BOTÂNICO','RIO JANEIRO','RJ',14398,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3027660,7.00,5.00,6.00,5.00,6.00,6.00,3.00,7.00,7.00,5,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',4191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027686,7.00,7.00,6.00,7.00,7.00,6.25,2.00,8.00,8.00,216,NULL,215,'CENTRO','BAL CAMBORIú','SC',2254,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3027708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3027716,6.00,5.00,7.00,7.00,8.00,5.25,5.00,4.00,5.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',5178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3027724,3.00,4.00,2.00,7.00,5.00,4.00,2.00,4.00,2.00,103,NULL,NULL,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3027740,4.00,3.00,2.00,7.00,5.00,5.75,4.00,5.00,6.00,216,NULL,215,'COLONINHA','ARARANGUÁ','SC',11515,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3027759,9.00,8.00,8.00,8.00,8.00,8.50,6.00,9.00,8.00,216,NULL,215,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',66,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3027767,5.00,5.00,5.00,4.00,4.00,5.00,4.00,8.00,6.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAUDE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3027783,7.00,9.00,9.00,9.00,9.00,6.25,8.00,8.00,8.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',55,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027791,7.00,7.00,4.00,8.00,7.00,7.00,5.00,8.00,7.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',1885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027805,5.00,1.00,3.00,3.00,5.00,NULL,1.00,3.00,3.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3027813,6.00,6.00,3.00,8.00,4.00,7.00,4.00,8.00,5.00,340,NULL,NULL,'BELA VISTA','PALHOÇA','SC',6759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3027821,7.00,9.00,5.00,7.00,8.00,6.75,5.00,8.00,6.00,103,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',1123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027830,0.00,1.00,2.00,0.00,0.00,NULL,3.00,3.00,3.00,203,NULL,215,'ANA PAULA','MAL CÂNDIDO RONDON','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3027848,5.00,7.00,6.00,8.00,6.00,7.00,6.00,7.00,4.00,328,NULL,NULL,'NOVA BRASÍLIA','JARAGUÁ SUL','SC',2805,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3027864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,216,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3027872,3.00,4.00,2.00,6.00,4.00,6.00,2.00,6.00,3.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',14057,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3027880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3027899,9.00,7.00,5.00,8.00,7.00,6.00,5.00,8.00,8.00,216,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',1471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3027929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA INDUSTRIAL','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3027937,4.00,7.00,7.00,8.00,7.00,5.00,4.00,8.00,7.00,233,NULL,216,'VILA AUGUSTA','GUARULHOS','SP',2166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,201,'CENTRO','CEL VIVIDA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3027953,7.00,6.00,3.00,5.00,6.00,7.00,5.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027961,4.00,4.00,3.00,6.00,5.00,4.25,4.00,7.00,4.00,233,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',11349,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3027970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3027988,3.00,1.00,2.00,1.00,4.00,NULL,3.00,2.00,4.00,103,NULL,NULL,'CHACARA CANHOS','JAÚ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3027996,7.00,7.00,3.00,6.00,5.00,6.50,3.00,8.00,5.00,103,NULL,NULL,'DAS NAÇÕES','FRAIBURGO','SC',5529,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3028003,7.00,3.00,4.00,4.00,4.00,4.50,3.00,3.00,2.00,225,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',15253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3028011,7.00,8.00,3.00,8.00,7.00,5.25,4.00,8.00,7.00,425,NULL,429,'PRAIA DE BELAS','PTO ALEGRE','RS',2992,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3028020,4.00,5.00,2.00,3.00,6.00,5.25,3.00,4.00,4.00,9,NULL,NULL,'CENTRO','S JOSÉ','SC',12711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028038,8.00,8.00,8.00,8.00,7.00,7.25,5.00,7.00,8.00,201,NULL,211,'ATALAIA','ARACAJU','SE',529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028046,8.00,8.00,7.00,8.00,6.00,5.25,3.00,7.00,8.00,5,NULL,NULL,'CENTRO','MARAVILHA','SC',1653,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3028054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3028062,6.00,6.00,6.00,7.00,6.00,7.50,3.00,9.00,6.00,108,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2809,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3028070,2.00,2.00,4.00,4.00,3.00,NULL,2.00,1.00,3.00,238,NULL,208,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3028089,1.00,4.00,2.00,5.00,3.00,NULL,1.00,2.00,3.00,317,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3028097,2.00,3.00,4.00,4.00,4.00,NULL,1.00,2.00,3.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3028100,9.00,8.00,9.00,9.00,8.00,7.00,6.00,8.00,9.00,203,NULL,202,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',42,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028119,5.00,6.00,6.00,7.00,7.00,6.25,4.00,7.00,5.00,216,NULL,215,'CENTRO','XANXERê','SC',4360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028127,4.00,6.00,3.00,8.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3028143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'TROPICAL','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3028151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3028160,3.00,4.00,4.00,1.00,2.00,NULL,2.00,1.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028178,2.00,4.00,2.00,4.00,3.00,NULL,3.00,2.00,4.00,208,NULL,213,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3028194,5.00,7.00,5.00,9.00,4.00,7.75,3.00,6.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028208,8.00,4.00,7.00,8.00,4.00,6.25,5.00,7.00,7.00,203,NULL,208,'VIVENDAS DO ARVOREDO','LONDRINA','PR',2236,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3028216,5.00,3.00,4.00,5.00,4.00,5.50,4.00,2.00,4.00,103,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028224,3.00,5.00,3.00,7.00,4.00,6.00,1.00,1.00,2.00,238,NULL,233,'CARIANOS','FLORIANOPOLIS','SC',16308,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3028232,4.00,6.00,2.00,2.00,5.00,4.50,4.00,7.00,2.00,333,NULL,NULL,'RETIRO','VOLTA REDONDA','RJ',13456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028240,5.00,7.00,7.00,8.00,7.00,5.25,5.00,8.00,7.00,103,NULL,NULL,'MORRO ESTEVÃO','CRICIÚMA','SC',1726,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3028259,3.00,5.00,5.00,7.00,7.00,5.25,5.00,7.00,6.00,208,NULL,238,'PANTANAL','FLORIANÓPOLIS','SC',5109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','PANAMBI','RS',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3028275,7.00,5.00,5.00,8.00,5.00,4.00,4.00,6.00,8.00,103,NULL,NULL,'CENTRO','MARINGá','PR',4715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028283,5.00,4.00,4.00,6.00,4.00,5.75,0.00,8.00,5.00,207,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9636,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3028291,4.00,2.00,3.00,6.00,3.00,NULL,3.00,4.00,3.00,103,NULL,NULL,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3028305,7.00,6.00,4.00,7.00,8.00,6.50,2.00,8.00,7.00,207,NULL,201,'JOÃO PAULO','FLORIANÓPOLIS','SC',3142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028313,3.00,2.00,2.00,2.00,4.00,4.75,5.00,3.00,3.00,9,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',16442,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3028321,9.00,7.00,1.00,9.00,6.00,7.50,4.00,7.00,6.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',3191,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3028330,9.00,8.00,5.00,8.00,7.00,5.75,6.00,8.00,8.00,216,NULL,214,'TRINDADE','FLORIANóPOLIS','SC',1016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028356,4.00,7.00,6.00,4.00,5.00,5.00,4.00,7.00,4.00,233,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',7340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028364,6.00,7.00,7.00,6.00,7.00,6.50,6.00,8.00,8.00,203,NULL,220,'CENTRO','S JOSé CAMPOS','SP',1232,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3028372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3028399,5.00,2.00,1.00,8.00,6.00,4.00,1.00,3.00,3.00,502,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',15116,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3028402,7.00,7.00,7.00,8.00,8.00,6.25,7.00,3.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028410,4.00,6.00,7.00,7.00,6.00,8.25,2.00,7.00,4.00,326,NULL,NULL,'CENTRO','ERECHIM','RS',5715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028429,3.00,3.00,5.00,6.00,4.00,4.75,4.00,6.00,3.00,211,NULL,208,'CENTRO','BIGUAçU','SC',11065,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3028437,7.00,6.00,4.00,6.00,5.00,6.25,4.00,6.00,4.00,207,NULL,201,'GOIABEIRAS','CUIABÁ','MT',6768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028445,6.00,5.00,1.00,7.00,6.00,5.50,3.00,2.00,4.00,502,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12808,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3028453,8.00,6.00,8.00,8.00,7.00,6.00,7.00,8.00,8.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028461,6.00,8.00,6.00,9.00,9.00,7.50,3.00,8.00,7.00,340,NULL,NULL,'FAZENDA','ITAJAÍ','SC',1497,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3028470,4.00,7.00,5.00,7.00,6.00,5.75,3.00,6.00,5.00,214,NULL,201,'AMÉRICA','JOINVILLE','SC',6787,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3028488,7.00,7.00,7.00,5.00,7.00,7.25,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028496,4.00,7.00,4.00,4.00,6.00,6.75,5.00,5.00,7.00,215,NULL,NULL,'SÃO MARCO','S JOSÉ R PRETO','SP',5887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028500,9.00,7.00,4.00,6.00,8.00,5.50,2.00,8.00,7.00,216,NULL,211,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',3009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028518,6.00,8.00,6.00,8.00,6.00,7.00,3.00,6.00,4.00,222,NULL,NULL,'BELCHIOR','GASPAR','SC',3586,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(16,3028526,5.00,6.00,5.00,7.00,2.00,NULL,3.00,8.00,7.00,211,NULL,233,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028534,1.00,4.00,2.00,6.00,6.00,6.50,5.00,7.00,5.00,102,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',9724,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3028542,5.00,7.00,4.00,9.00,7.00,7.00,3.00,8.00,6.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028550,4.00,5.00,3.00,7.00,4.00,5.50,3.00,3.00,3.00,420,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',12708,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3028569,4.00,4.00,1.00,3.00,3.00,NULL,4.00,2.00,2.00,102,NULL,NULL,'BADENFURT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3028577,3.00,5.00,5.00,7.00,5.00,5.50,2.00,2.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',11789,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3028585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'RIO BRANCO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3028593,5.00,5.00,6.00,8.00,6.00,6.00,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',5344,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3028607,5.00,0.00,2.00,3.00,2.00,NULL,2.00,1.00,1.00,9,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'CENTRO','TERESINA','PI',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3028623,9.00,6.00,9.00,9.00,9.00,6.75,7.00,8.00,9.00,207,NULL,201,'PRAIA DA COSTA','VL VELHA','ES',111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028631,5.00,3.00,3.00,7.00,6.00,6.25,3.00,7.00,2.00,207,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028640,4.00,5.00,3.00,7.00,3.00,NULL,4.00,7.00,4.00,202,NULL,213,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028658,3.00,3.00,2.00,2.00,4.00,NULL,1.00,3.00,6.00,207,NULL,201,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028666,3.00,4.00,2.00,3.00,4.00,4.00,1.00,6.00,2.00,328,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',16583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028674,8.00,7.00,7.00,8.00,5.00,4.50,6.00,8.00,7.00,214,NULL,212,'MIRANDÓPOLIS','S PAULO','SP',1691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028682,3.00,4.00,4.00,8.00,4.00,5.50,3.00,6.00,5.00,203,NULL,NULL,'VILA NOVA','BLUMENAU','SC',9436,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3028690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3028704,5.00,3.00,5.00,8.00,4.00,5.25,4.00,5.00,2.00,103,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3028720,2.00,1.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,324,NULL,NULL,'JORDÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3028747,5.00,5.00,2.00,5.00,3.00,NULL,3.00,7.00,4.00,326,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028755,7.00,2.00,4.00,7.00,6.00,5.00,1.00,6.00,1.00,303,NULL,NULL,'AMERICA','JOINVILLE','SC',12035,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3028763,6.00,5.00,2.00,6.00,3.00,NULL,2.00,3.00,4.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3028780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,423,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3028798,7.00,6.00,4.00,8.00,7.00,4.00,3.00,5.00,5.00,327,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',6441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028801,7.00,8.00,5.00,8.00,7.00,4.50,6.00,9.00,8.00,103,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',1097,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3028810,2.00,1.00,1.00,4.00,3.00,NULL,2.00,3.00,2.00,324,NULL,NULL,'JARDIM SAO NICOLAU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3028828,5.00,6.00,4.00,8.00,7.00,6.00,4.00,7.00,5.00,340,NULL,NULL,'CAMBUI','CAMPINAS','SP',5316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028836,7.00,7.00,5.00,8.00,5.00,6.75,6.00,7.00,6.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028844,4.00,4.00,3.00,7.00,5.00,5.50,2.00,4.00,3.00,318,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',13759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3028852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CRISTO REI','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3028860,0.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3028879,7.00,7.00,6.00,8.00,6.00,7.25,6.00,8.00,7.00,303,NULL,NULL,'OESTE','GOIÂNIA','GO',1252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028887,5.00,8.00,6.00,8.00,7.00,6.25,4.00,7.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028895,2.00,5.00,3.00,6.00,4.00,5.00,2.00,5.00,3.00,207,NULL,201,'CENTRO','CONCÓRDIA','SC',15286,791,NULL,1177,NULL,NULL,NULL,2,4),(16,3028909,3.00,2.00,2.00,5.00,5.00,6.50,3.00,7.00,5.00,108,NULL,NULL,'PRÓSPERA','CRICIúMA','SC',12735,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3028917,7.00,6.00,4.00,9.00,6.00,7.25,3.00,7.00,4.00,207,NULL,201,'JOAO PAULO','FLORIANÓPOLIS','SC',4020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028925,4.00,6.00,7.00,7.00,7.00,7.00,5.00,6.00,6.00,103,NULL,NULL,'JARDIM PARAISO','S JOSÉ CAMPOS','SP',3098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3028941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'CENTRO','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3028968,4.00,7.00,6.00,3.00,4.00,4.50,5.00,8.00,4.00,202,NULL,213,'CENTRO','CHAPECÓ','SC',6616,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3028984,4.00,4.00,2.00,6.00,5.00,5.25,3.00,2.00,2.00,9,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3029000,3.00,5.00,4.00,6.00,3.00,NULL,2.00,7.00,4.00,220,NULL,203,'JARDIM JEQUITIBA','MARÍLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3029018,5.00,5.00,4.00,6.00,6.00,5.75,2.00,7.00,3.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9362,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3029026,5.00,8.00,6.00,8.00,7.00,6.50,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','FOZ IGUAçU','PR',3739,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3029034,1.00,5.00,1.00,4.00,5.00,NULL,2.00,1.00,5.00,340,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3029042,3.00,6.00,4.00,7.00,4.00,5.50,3.00,8.00,6.00,302,NULL,NULL,'BARREIROS','S JOSé','SC',7535,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3029050,3.00,3.00,3.00,6.00,6.00,3.00,2.00,2.00,4.00,5,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3029069,5.00,7.00,6.00,6.00,4.00,4.25,6.00,4.00,4.00,202,NULL,213,'VILA NOVA','LAGES','SC',6617,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3029077,5.00,6.00,2.00,8.00,8.00,5.50,2.00,6.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029085,1.00,2.00,1.00,6.00,4.00,NULL,0.00,4.00,3.00,331,NULL,NULL,'SANATA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3029093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'VILA SÃO JOÃO','BARUERI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3029115,7.00,9.00,6.00,6.00,5.00,6.50,3.00,7.00,7.00,103,NULL,NULL,'CHÁCARA CACHOEIRA','CPO GRANDE','MS',2340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,208,'GRÃO PARÁ','TEÓFILO OTONI','MG',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3029140,8.00,5.00,8.00,8.00,7.00,7.00,7.00,8.00,8.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029158,7.00,7.00,9.00,9.00,8.00,7.00,7.00,8.00,6.00,201,NULL,207,'MINIGUAÇU','FRANCISCO BELTRÃO','PR',642,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3029166,3.00,3.00,1.00,7.00,2.00,NULL,3.00,4.00,5.00,9,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3029182,4.00,3.00,7.00,6.00,4.00,5.00,3.00,4.00,6.00,215,NULL,233,'PANTANAL','FLORIANOPOLIS','SC',10380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029190,5.00,1.00,2.00,6.00,5.00,5.75,4.00,5.00,5.00,415,NULL,NULL,'PONTA VERDE','MACEIÓ','AL',11731,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3029204,7.00,8.00,4.00,9.00,6.00,7.25,5.00,9.00,8.00,103,NULL,NULL,'MONTE CARLO','S JOAQUIM','SC',1176,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3029212,2.00,2.00,2.00,6.00,7.00,NULL,1.00,4.00,2.00,317,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3029220,7.00,5.00,5.00,8.00,6.00,5.00,6.00,6.00,8.00,208,NULL,202,'COQUEIROS','FLORIANÓPOLIS','SC',3383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029239,3.00,5.00,5.00,4.00,5.00,3.25,1.00,7.00,4.00,340,NULL,NULL,'RAIA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029247,2.00,6.00,4.00,8.00,7.00,5.50,4.00,7.00,5.00,303,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3029255,4.00,7.00,5.00,9.00,6.00,6.75,5.00,9.00,8.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CANAS VIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3029271,3.00,1.00,3.00,6.00,2.00,NULL,3.00,4.00,5.00,319,NULL,NULL,'JARDIM PANORÂMICO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3029280,3.00,3.00,3.00,2.00,3.00,NULL,3.00,1.00,2.00,340,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029310,4.00,3.00,3.00,6.00,2.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','TAIÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3029328,7.00,7.00,6.00,8.00,7.00,7.75,4.00,7.00,2.00,5,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',2910,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3029336,6.00,5.00,4.00,9.00,5.00,6.25,3.00,8.00,5.00,450,NULL,NULL,'LIMOEIRO','S PAULO','SP',6360,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3029344,6.00,6.00,3.00,0.00,3.00,NULL,2.00,5.00,2.00,318,NULL,NULL,'RIO BRANCO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3029352,1.00,3.00,3.00,5.00,3.00,NULL,2.00,4.00,2.00,238,NULL,201,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3029360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'JARDIM UIRÁ','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3029379,5.00,4.00,4.00,7.00,6.00,4.00,5.00,6.00,3.00,215,NULL,211,'PORTÃO','CURITIBA','PR',9068,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3029387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ZONA','CIANORTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3029409,6.00,2.00,3.00,5.00,6.00,6.00,4.00,7.00,6.00,103,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',8192,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3029417,6.00,5.00,7.00,8.00,7.00,6.00,3.00,6.00,6.00,201,NULL,207,'CENTRO','CRICIÚMA','SC',3810,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3029433,6.00,5.00,2.00,4.00,2.00,NULL,1.00,4.00,4.00,104,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3029441,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'JARDIM SOFIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(16,3029450,4.00,4.00,2.00,0.00,5.00,NULL,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3029468,8.00,8.00,5.00,7.00,8.00,6.00,5.00,9.00,7.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',1620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029484,4.00,5.00,4.00,8.00,6.00,4.00,3.00,2.00,5.00,450,NULL,NULL,'VILA MARIANA','S PAULO','SP',10399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029492,5.00,8.00,5.00,8.00,5.00,5.75,3.00,7.00,6.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5065,234,NULL,NULL,NULL,NULL,NULL,1,1),(16,3029506,5.00,5.00,4.00,8.00,5.00,5.50,3.00,7.00,5.00,319,NULL,NULL,'KOBRASOL','S JOSé','SC',8545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3029514,5.00,7.00,5.00,6.00,5.00,4.25,5.00,7.00,5.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5959,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3029522,3.00,4.00,4.00,8.00,7.00,7.50,2.00,6.00,4.00,324,NULL,NULL,'CRUZEIRO','CAXIAS SUL','RS',8981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029530,2.00,2.00,3.00,3.00,2.00,NULL,2.00,2.00,2.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3029549,7.00,8.00,5.00,9.00,7.00,6.00,5.00,8.00,6.00,212,NULL,238,'AREIAS','S JOSÉ','SC',1789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029557,4.00,5.00,5.00,8.00,3.00,NULL,1.00,5.00,4.00,2,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3029573,5.00,3.00,2.00,3.00,3.00,NULL,1.00,5.00,2.00,103,NULL,NULL,'PARQUE OÁSIS','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3029581,8.00,9.00,5.00,8.00,6.00,7.00,4.00,8.00,8.00,216,NULL,214,'JADIM ESPERANÇA','CANOINHAS','SC',1133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029590,7.00,8.00,6.00,8.00,6.00,6.00,2.00,6.00,6.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029603,5.00,3.00,2.00,1.00,3.00,NULL,2.00,3.00,5.00,103,NULL,NULL,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3029611,4.00,4.00,2.00,6.00,4.00,5.50,3.00,5.00,3.00,103,NULL,NULL,'CAMPO ALTO','STA CECÍLIA','SC',14453,2648,NULL,NULL,NULL,NULL,NULL,5,9),(16,3029620,6.00,6.00,4.00,8.00,7.00,4.25,5.00,6.00,5.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029654,7.00,6.00,2.00,7.00,5.00,6.50,2.00,5.00,4.00,425,NULL,429,'CAPOEIRAS','FLORIANóPOLIS','SC',8858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029670,5.00,7.00,5.00,7.00,6.00,4.50,2.00,7.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',7282,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3029689,8.00,8.00,8.00,9.00,8.00,7.00,6.00,7.00,9.00,340,NULL,NULL,'PIATÃ','SALVADOR','BA',174,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3029697,6.00,7.00,3.00,9.00,4.00,5.00,3.00,8.00,4.00,309,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3029727,3.00,3.00,2.00,5.00,5.00,5.50,2.00,7.00,5.00,309,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',12772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3029735,2.00,3.00,1.00,5.00,4.00,NULL,1.00,2.00,1.00,425,NULL,429,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029743,6.00,5.00,5.00,7.00,6.00,5.50,6.00,8.00,6.00,103,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',4060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029751,3.00,2.00,4.00,5.00,4.00,5.00,2.00,2.00,3.00,423,NULL,428,'SANTA MONICA','FLORIANóPOLIS','SC',16645,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3029778,5.00,6.00,4.00,4.00,6.00,0.00,2.00,7.00,3.00,453,NULL,NULL,'ITAGUAÇU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029786,8.00,5.00,6.00,7.00,6.00,6.00,4.00,4.00,7.00,103,NULL,NULL,'JARDIM SAO FRANCISCO','JAÚ','SP',4858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029794,4.00,8.00,7.00,4.00,7.00,5.50,3.00,5.00,6.00,202,NULL,213,'FLORESTA','CRICIUMA','SC',5796,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3029808,5.00,4.00,3.00,8.00,7.00,7.00,2.00,3.00,4.00,103,NULL,NULL,'MARGEM ESQUERDA','GASPAR','SC',11254,2361,NULL,NULL,NULL,NULL,NULL,2,2),(16,3029816,4.00,4.00,5.00,0.00,3.00,NULL,6.00,4.00,3.00,222,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029824,4.00,4.00,2.00,5.00,3.00,NULL,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3029832,4.00,5.00,4.00,5.00,5.00,5.50,1.00,7.00,3.00,104,NULL,NULL,'CENTRO','MAFRA','SC',11968,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3029840,6.00,3.00,6.00,7.00,4.00,5.50,2.00,4.00,5.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',10759,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3029859,5.00,4.00,5.00,6.00,6.00,5.25,2.00,4.00,3.00,5,NULL,NULL,'PIO CORREIA','CRICIÚMA','SC',12078,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3029867,4.00,7.00,2.00,6.00,5.00,5.25,2.00,8.00,5.00,5,NULL,NULL,'JARDIM MARISTELA','CRICIÚMA','SC',9244,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3029875,8.00,5.00,7.00,8.00,7.00,5.75,5.00,7.00,7.00,233,NULL,216,'IMIGRANTES','CRICIÚMA','SC',1611,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3029883,5.00,5.00,3.00,6.00,5.00,5.50,2.00,5.00,3.00,301,NULL,NULL,'CENTRO','NOVA VENEZA','SC',12434,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3029891,5.00,5.00,6.00,4.00,4.00,5.75,2.00,7.00,3.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',10101,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3029905,8.00,8.00,7.00,9.00,8.00,6.00,8.00,8.00,9.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',290,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3029921,6.00,7.00,5.00,8.00,7.00,4.75,2.00,8.00,4.00,415,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',4963,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3029930,5.00,6.00,2.00,8.00,6.00,6.50,3.00,8.00,6.00,5,NULL,NULL,'GRAMADO','CASCAVEL','PR',7131,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3029948,5.00,6.00,3.00,1.00,4.00,2.25,2.00,5.00,3.00,208,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3029956,5.00,4.00,3.00,7.00,6.00,5.75,2.00,4.00,2.00,501,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',11794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3029964,5.00,7.00,5.00,5.00,5.00,5.25,3.00,7.00,3.00,207,NULL,215,'SÃO FRANCISCO','LUZERNA','SC',8807,403,NULL,193,NULL,NULL,NULL,2,7),(16,3029972,7.00,6.00,7.00,8.00,6.00,7.00,4.00,9.00,7.00,450,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',1831,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3029999,6.00,7.00,5.00,2.00,6.00,6.25,2.00,8.00,2.00,339,NULL,NULL,'BELA VISTA II','S JOSÉ','SC',9274,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3030008,4.00,4.00,2.00,7.00,6.00,6.25,6.00,7.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3030016,8.00,7.00,6.00,9.00,9.00,7.00,5.00,9.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3030024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3030032,5.00,7.00,3.00,6.00,5.00,5.25,3.00,6.00,7.00,238,NULL,208,'JARDIM SÃO PAULO','S JOÃO BATISTA','SC',7910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3030040,6.00,5.00,5.00,8.00,6.00,5.50,1.00,4.00,5.00,303,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',9376,413,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030059,8.00,5.00,4.00,4.00,5.00,5.75,4.00,6.00,6.00,207,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',6875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3030075,1.00,3.00,1.00,2.00,4.00,NULL,2.00,3.00,3.00,211,NULL,215,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3030083,2.00,4.00,4.00,4.00,6.00,4.00,3.00,5.00,4.00,404,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',13187,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','PARANAPANEMA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3030130,3.00,4.00,4.00,7.00,5.00,5.25,0.00,7.00,3.00,429,NULL,424,'CAPOEIRAS','FLORIANÓPOLIS','SC',12794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'JARDIM TANGARÁ','JALES','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3030156,2.00,4.00,1.00,3.00,6.00,5.25,4.00,6.00,1.00,324,NULL,NULL,'CENTRO','RIO NEGRO','PR',15484,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3030164,7.00,5.00,4.00,5.00,6.00,4.25,4.00,8.00,6.00,303,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',6569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3030172,4.00,2.00,3.00,3.00,3.00,NULL,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','GOIOERÊ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3030180,6.00,5.00,4.00,4.00,7.00,5.75,4.00,6.00,7.00,216,NULL,214,'ATIRADORES','JOINVILLE','SC',6381,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3030199,8.00,6.00,2.00,7.00,5.00,7.00,4.00,7.00,3.00,303,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',5896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3030202,6.00,3.00,1.00,5.00,6.00,6.00,3.00,5.00,7.00,501,NULL,NULL,'SANTA CRUZ','RIBEIRÃO PRETO','SP',10015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3030210,3.00,8.00,5.00,6.00,5.00,5.50,2.00,5.00,6.00,340,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',8183,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3030229,4.00,2.00,1.00,5.00,5.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030237,4.00,3.00,3.00,7.00,4.00,5.75,1.00,6.00,3.00,238,NULL,208,'FORQUILHAS','S JOSÉ','SC',13920,445,NULL,459,NULL,NULL,NULL,2,1),(16,3030245,5.00,2.00,2.00,5.00,5.00,NULL,2.00,1.00,3.00,101,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030261,7.00,6.00,5.00,8.00,7.00,6.25,5.00,7.00,6.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',3099,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030270,3.00,3.00,2.00,6.00,3.00,NULL,3.00,5.00,4.00,238,NULL,211,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030288,7.00,6.00,2.00,3.00,5.00,4.50,2.00,7.00,6.00,103,NULL,NULL,'SANTA LUZIA','CRICIÚMA','SC',10135,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3030296,3.00,2.00,1.00,5.00,3.00,NULL,0.00,2.00,2.00,104,NULL,NULL,'BOTAFOGO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA IMPERIAL','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3030318,7.00,7.00,4.00,8.00,7.00,5.75,2.00,7.00,8.00,103,NULL,NULL,'CEARÁ','CRICIÚMA','SC',3887,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3030326,4.00,4.00,1.00,7.00,5.00,4.50,0.00,3.00,3.00,318,NULL,NULL,'PRAIA BRAVA','FLORIANóPOLIS','SC',16096,135,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030342,2.00,4.00,5.00,4.00,1.00,NULL,1.00,6.00,2.00,318,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030377,2.00,2.00,4.00,8.00,2.00,NULL,1.00,1.00,4.00,302,NULL,NULL,'SÃO MARCOS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(16,3030385,7.00,6.00,5.00,8.00,6.00,6.50,5.00,8.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1890,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3030393,3.00,6.00,2.00,7.00,6.00,7.75,2.00,7.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3030407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA IMPERIAL','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3030415,5.00,6.00,4.00,5.00,4.00,5.50,2.00,6.00,3.00,208,NULL,238,'SÃO CRISTÓVÃO','CHAPECó','SC',10118,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3030423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3030431,2.00,3.00,4.00,3.00,5.00,NULL,3.00,1.00,2.00,308,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3030440,2.00,2.00,2.00,1.00,1.00,NULL,1.00,3.00,3.00,223,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030458,8.00,7.00,4.00,6.00,6.00,7.00,5.00,8.00,8.00,103,NULL,NULL,'ZONA OITO','MARINGá','PR',1900,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3030474,6.00,4.00,3.00,5.00,5.00,5.00,1.00,5.00,3.00,301,NULL,NULL,'BOMBAS','BOMBINHAS','SC',13441,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3030482,4.00,8.00,5.00,8.00,5.00,6.25,4.00,6.00,6.00,5,NULL,NULL,'VILLAGE','IMBITUBA','SC',4574,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030504,2.00,4.00,5.00,3.00,2.00,NULL,3.00,6.00,4.00,225,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030512,5.00,6.00,3.00,5.00,5.00,5.00,2.00,4.00,6.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',10889,2322,NULL,NULL,NULL,NULL,NULL,2,8),(16,3030539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'PETROPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3030547,4.00,9.00,2.00,2.00,5.00,5.75,4.00,6.00,4.00,202,NULL,203,'AGRONOMICA','FLORIANÓPOLIS','SC',10644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3030555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','CASTRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3030563,3.00,6.00,2.00,4.00,5.00,5.25,2.00,8.00,2.00,203,NULL,214,'JARDIM ELDORADO','PALHOÇA','SC',13351,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030571,4.00,6.00,3.00,7.00,6.00,6.50,4.00,7.00,4.00,329,NULL,NULL,'CACUPE','FLORIANÓPOLIS','SC',7614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3030636,5.00,0.00,4.00,7.00,5.00,5.50,2.00,7.00,5.00,211,NULL,202,'ANDORINHA','ITAPEMA','SC',11818,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3030652,3.00,6.00,2.00,6.00,3.00,NULL,4.00,6.00,2.00,203,NULL,216,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3030679,3.00,2.00,1.00,4.00,4.00,NULL,1.00,3.00,4.00,308,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030687,2.00,3.00,3.00,2.00,4.00,NULL,2.00,4.00,2.00,301,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3030725,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3030733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','GUARATINGUETÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3030741,9.00,8.00,8.00,7.00,8.00,5.00,6.00,8.00,7.00,103,NULL,NULL,'INTERIOR','IJUÍ','RS',965,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030750,3.00,2.00,2.00,5.00,4.00,4.50,3.00,4.00,6.00,201,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',15673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030768,5.00,4.00,4.00,1.00,8.00,NULL,1.00,4.00,1.00,317,NULL,NULL,'GARCIA','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3030776,3.00,1.00,1.00,2.00,5.00,NULL,3.00,5.00,3.00,104,NULL,NULL,'PIO CORREA','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3030792,6.00,7.00,6.00,4.00,4.00,6.00,5.00,7.00,7.00,203,NULL,216,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',4179,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3030806,5.00,5.00,4.00,9.00,4.00,3.00,1.00,5.00,2.00,201,NULL,212,'CENTRO','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3030814,5.00,3.00,4.00,5.00,4.00,4.00,3.00,5.00,5.00,207,NULL,233,'COMERCIARIO','CRICIúMA','SC',12425,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3030849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'COLONINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3030857,6.00,7.00,4.00,7.00,7.00,7.50,4.00,9.00,7.00,9,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',1928,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030865,7.00,4.00,4.00,8.00,7.00,7.75,3.00,8.00,7.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',3064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3030881,7.00,5.00,6.00,6.00,6.00,5.50,4.00,8.00,6.00,303,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',4522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3030890,6.00,6.00,5.00,5.00,6.00,6.50,2.00,6.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3030903,4.00,3.00,2.00,5.00,4.00,5.50,3.00,3.00,2.00,420,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16198,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030911,7.00,6.00,5.00,5.00,7.00,6.75,5.00,9.00,7.00,214,NULL,213,'CAMPINAS','S JOSÉ','SC',2329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3030938,5.00,5.00,2.00,5.00,4.00,5.50,1.00,7.00,5.00,328,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',12648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030946,2.00,5.00,3.00,5.00,6.00,5.25,2.00,4.00,3.00,5,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',14148,474,NULL,NULL,NULL,NULL,NULL,2,1),(16,3030954,5.00,5.00,3.00,3.00,3.00,NULL,1.00,6.00,1.00,501,NULL,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3030962,2.00,6.00,2.00,4.00,5.00,5.50,4.00,6.00,5.00,201,NULL,216,'CENTRO','LAURO MÜLLER','SC',12249,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3030970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3030989,5.00,5.00,3.00,5.00,6.00,7.00,3.00,6.00,5.00,211,NULL,212,'BARREIROS','S JOSé','SC',9297,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3031004,3.00,3.00,1.00,5.00,2.00,NULL,3.00,3.00,3.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3031020,9.00,8.00,6.00,9.00,8.00,6.00,6.00,8.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3031039,5.00,8.00,4.00,8.00,4.00,6.00,5.00,5.00,5.00,202,NULL,201,'CENTRO','QUILOMBO','SC',6147,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3031047,3.00,5.00,5.00,7.00,5.00,7.25,4.00,7.00,6.00,238,NULL,208,'AGRONÔMICA','FLORIANÓPOLIS','SC',5729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031063,5.00,3.00,3.00,7.00,3.00,NULL,2.00,6.00,3.00,502,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3031071,4.00,5.00,1.00,6.00,5.00,4.75,3.00,5.00,4.00,501,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',13207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031080,8.00,8.00,4.00,8.00,7.00,8.25,6.00,8.00,7.00,319,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',1000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031098,5.00,5.00,1.00,8.00,6.00,6.00,4.00,7.00,4.00,450,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',8884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3031128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','GUARATINGUETÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3031136,4.00,8.00,3.00,4.00,6.00,4.75,1.00,7.00,6.00,104,NULL,NULL,'JOÃO PAULO','FLORIANóPOLIS','SC',8527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031144,7.00,8.00,3.00,8.00,8.00,7.50,3.00,8.00,7.00,5,NULL,NULL,'PRAIA BRAVA','ITAJAÍ','SC',2520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031152,9.00,8.00,7.00,8.00,7.00,6.00,4.00,7.00,7.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',815,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3031179,8.00,8.00,6.00,9.00,6.00,6.75,9.00,8.00,9.00,220,NULL,202,'MERCÊS','CURITIBA','PR',342,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3031187,7.00,5.00,4.00,9.00,5.00,5.50,2.00,7.00,6.00,211,NULL,216,'CIDADE BAIXA','PTO ALEGRE','RS',5810,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3031195,2.00,5.00,2.00,7.00,4.00,6.00,2.00,2.00,4.00,102,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031209,5.00,5.00,4.00,6.00,5.00,4.75,2.00,6.00,4.00,103,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',11031,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3031217,4.00,3.00,4.00,6.00,6.00,4.50,2.00,6.00,3.00,316,NULL,NULL,'CÓRREGO GRANDE','FLORIANóPOLIS','SC',12807,148,NULL,NULL,NULL,NULL,NULL,2,1),(16,3031225,8.00,7.00,5.00,8.00,3.00,NULL,4.00,7.00,8.00,103,NULL,NULL,'HAUER','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3031241,8.00,7.00,7.00,6.00,6.00,8.00,6.00,8.00,8.00,303,NULL,NULL,'VILA MOEMA','TUBARãO','SC',883,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3031250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3031268,7.00,5.00,5.00,7.00,5.00,7.00,3.00,7.00,7.00,108,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',4327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031276,9.00,7.00,7.00,9.00,5.00,5.25,3.00,9.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1466,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3031284,8.00,9.00,5.00,7.00,7.00,6.50,4.00,7.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',978,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3031292,6.00,7.00,3.00,5.00,6.00,5.75,3.00,5.00,5.00,302,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',7767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031306,4.00,4.00,3.00,4.00,5.00,6.75,3.00,2.00,3.00,444,NULL,NULL,'BOMBAS','BOMBINHAS','SC',14228,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3031314,4.00,4.00,3.00,7.00,1.00,NULL,3.00,2.00,2.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3031322,4.00,4.00,1.00,2.00,5.00,5.50,4.00,6.00,2.00,103,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',15829,2769,NULL,NULL,NULL,NULL,NULL,2,3),(16,3031349,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3031357,4.00,3.00,3.00,4.00,1.00,NULL,0.00,0.00,0.00,207,NULL,201,'VILA INDISTRIAL','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3031365,6.00,5.00,6.00,4.00,6.00,6.00,3.00,5.00,4.00,201,NULL,212,'CENTRO','ERECHIM','RS',9188,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3031373,1.00,1.00,1.00,6.00,3.00,NULL,1.00,3.00,4.00,211,NULL,201,'VILA FLOR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3031390,4.00,5.00,3.00,3.00,3.00,NULL,3.00,5.00,3.00,238,NULL,208,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3031403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3031411,3.00,4.00,2.00,6.00,2.00,NULL,2.00,5.00,3.00,309,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3031420,8.00,7.00,5.00,8.00,8.00,5.75,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',2208,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3031438,7.00,9.00,6.00,9.00,7.00,6.00,4.00,8.00,6.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',1644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031446,7.00,6.00,5.00,8.00,6.00,5.00,5.00,9.00,5.00,9,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',3996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3031454,4.00,4.00,4.00,4.00,2.00,NULL,3.00,1.00,4.00,102,NULL,NULL,'LINHA ROVARIS','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3031462,4.00,5.00,3.00,2.00,4.00,4.75,1.00,4.00,5.00,103,NULL,NULL,'CENTRO','RIO VERDE','GO',15666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031470,4.00,5.00,1.00,4.00,1.00,NULL,2.00,4.00,2.00,426,NULL,423,'VARGEM PEQUENA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3031489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BOA VISTA','BARUERI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3031500,8.00,7.00,3.00,8.00,8.00,5.75,5.00,7.00,6.00,207,NULL,201,'VILA OPERARIA','ITAJAí','SC',2491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031519,8.00,5.00,4.00,8.00,6.00,5.50,3.00,6.00,6.00,302,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',4535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031527,9.00,7.00,6.00,5.00,6.00,6.50,6.00,7.00,6.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',2282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031535,4.00,6.00,5.00,7.00,5.00,2.50,2.00,6.00,3.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031543,5.00,5.00,4.00,4.00,4.00,5.00,1.00,7.00,4.00,216,NULL,215,'JARDIM ITALIA','CHAPECÓ','SC',12787,433,NULL,289,NULL,NULL,NULL,2,4),(16,3031560,7.00,6.00,7.00,9.00,7.00,6.75,7.00,6.00,8.00,103,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',792,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3031578,4.00,2.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,333,NULL,NULL,'CENTRO','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3031586,5.00,8.00,4.00,8.00,7.00,5.75,4.00,8.00,4.00,303,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',3576,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3031594,9.00,4.00,9.00,9.00,8.00,6.75,3.00,6.00,7.00,108,NULL,NULL,'CENTRO','PALHOÇA','SC',1936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031616,3.00,6.00,3.00,6.00,4.00,5.00,1.00,6.00,3.00,102,NULL,NULL,'PRAIA DE FORA','PALHOçA','SC',13406,238,NULL,NULL,NULL,NULL,NULL,2,1),(16,3031624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CAMOBI','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3031640,6.00,5.00,8.00,4.00,5.00,5.25,4.00,7.00,5.00,203,NULL,220,'VILA SANTA TEREZA','PRES PRUDENTE','SP',4979,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3031659,4.00,5.00,5.00,7.00,5.00,4.75,8.00,8.00,4.00,201,NULL,207,'PINHEIROS','PATO BRANCO','PR',5655,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3031675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM VERGUEIRO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3031683,3.00,0.00,2.00,6.00,3.00,NULL,2.00,4.00,4.00,104,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3031691,6.00,7.00,4.00,2.00,5.00,4.50,6.00,6.00,6.00,332,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',8569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031705,9.00,7.00,8.00,8.00,7.00,5.25,7.00,9.00,9.00,220,NULL,202,'CENTRO','CASCAVEL','PR',356,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3031713,3.00,4.00,1.00,5.00,3.00,NULL,4.00,3.00,4.00,211,NULL,201,'SANTO ANTÔNIO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3031721,4.00,6.00,6.00,6.00,5.00,5.25,2.00,7.00,7.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031730,6.00,7.00,3.00,2.00,6.00,5.50,3.00,9.00,3.00,310,NULL,NULL,'CENTRO','LAGES','SC',9486,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3031748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA RUSSIA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3031756,6.00,6.00,3.00,7.00,6.00,4.75,1.00,6.00,4.00,103,NULL,NULL,'SAO LUIZ','ITU','SP',8504,2061,NULL,NULL,NULL,NULL,NULL,4,8),(16,3031764,3.00,6.00,5.00,8.00,8.00,6.50,4.00,8.00,5.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',4194,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3031772,8.00,8.00,4.00,8.00,8.00,6.25,5.00,7.00,8.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',1174,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3031780,5.00,1.00,1.00,6.00,6.00,5.50,1.00,5.00,2.00,207,NULL,201,'TAPERA','FLORIANÓPOLIS','SC',15939,831,NULL,1232,NULL,NULL,NULL,2,1),(16,3031799,4.00,1.00,4.00,6.00,3.00,NULL,3.00,3.00,2.00,301,NULL,NULL,'CENTRO','SARANDI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3031802,6.00,6.00,4.00,6.00,6.00,5.25,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',8361,2033,NULL,NULL,NULL,NULL,NULL,2,4),(16,3031810,7.00,8.00,6.00,8.00,8.00,6.25,8.00,8.00,7.00,238,NULL,202,'KOBRASOL','S JOSÉ','SC',534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031829,4.00,5.00,6.00,6.00,6.00,5.25,1.00,7.00,5.00,220,NULL,202,'CABEÇUDAS','ITAJAÍ','SC',8512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3031845,5.00,6.00,3.00,8.00,5.00,4.50,1.00,5.00,4.00,303,NULL,NULL,'CENTRO','BRUSQUE','SC',10447,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3031861,6.00,4.00,4.00,4.00,6.00,4.50,3.00,1.00,5.00,9,NULL,NULL,'JARDIM IRAJÁ','RIBEIRÃO PRETO','SP',12330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031888,4.00,2.00,3.00,7.00,4.00,6.25,3.00,4.00,3.00,423,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',13679,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3031896,4.00,6.00,3.00,9.00,8.00,6.50,4.00,5.00,4.00,317,NULL,NULL,'CIDADE FLORIANÓPOLIS','S JOSÉ','SC',7640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031900,4.00,8.00,2.00,7.00,4.00,5.00,1.00,7.00,3.00,215,NULL,NULL,'JARDIM MATILDE','OURINHOS','SP',10046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031918,8.00,8.00,8.00,8.00,6.00,5.75,7.00,8.00,7.00,201,NULL,212,'JARDIM JEQUITIBÁ','MARÍLIA','SP',724,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3031926,4.00,5.00,4.00,8.00,5.00,5.00,4.00,5.00,4.00,202,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',9472,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3031950,2.00,2.00,3.00,5.00,3.00,NULL,2.00,5.00,4.00,214,NULL,212,'CENTRO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3031969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VILA SANTA ISABEL','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3031977,2.00,6.00,2.00,8.00,3.00,NULL,2.00,5.00,3.00,453,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3031985,3.00,7.00,3.00,8.00,6.00,7.75,1.00,8.00,4.00,340,NULL,NULL,'BEATRIZ','LAGES','SC',6795,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3031993,3.00,3.00,2.00,8.00,6.00,5.75,2.00,4.00,1.00,224,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',14420,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3032000,8.00,5.00,2.00,9.00,7.00,4.50,1.00,5.00,4.00,9,NULL,NULL,'CENTRO','PTO ALEGRE','RS',8289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032019,5.00,4.00,6.00,8.00,7.00,6.75,2.00,5.00,6.00,103,NULL,NULL,'SAIC','CHAPECÓ','SC',5117,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3032035,6.00,6.00,4.00,9.00,5.00,5.75,3.00,8.00,6.00,203,NULL,214,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032043,7.00,6.00,5.00,8.00,5.00,5.25,5.00,6.00,6.00,203,NULL,202,'VILA NOVA','JARAGUÁ SUL','SC',3267,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3032051,7.00,9.00,4.00,8.00,6.00,7.00,4.00,6.00,4.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032060,4.00,7.00,1.00,4.00,6.00,4.00,2.00,8.00,5.00,303,NULL,NULL,'ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC',11264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032078,2.00,3.00,3.00,2.00,5.00,NULL,1.00,4.00,2.00,317,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032086,0.00,4.00,2.00,4.00,3.00,NULL,4.00,7.00,3.00,238,NULL,201,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032094,4.00,5.00,1.00,7.00,4.00,6.50,3.00,5.00,3.00,103,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',12337,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3032108,3.00,4.00,3.00,4.00,4.00,4.50,4.00,7.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032116,3.00,1.00,1.00,6.00,6.00,6.25,3.00,3.00,3.00,309,NULL,NULL,'BELA VISTA','CHAPECÓ','SC',15796,59,NULL,NULL,NULL,NULL,NULL,2,4),(16,3032124,6.00,6.00,4.00,9.00,6.00,6.50,4.00,9.00,6.00,202,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',3275,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3032132,4.00,7.00,5.00,7.00,7.00,5.50,4.00,6.00,5.00,202,NULL,201,'CENTRO','CORREIA PINTO','SC',4976,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3032140,8.00,8.00,5.00,7.00,6.00,6.50,4.00,6.00,6.00,453,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',3281,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3032159,9.00,8.00,2.00,8.00,7.00,6.50,6.00,7.00,7.00,319,NULL,NULL,'JOÃO PAULO','FLORIANóPOLIS','SC',1889,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032167,6.00,6.00,5.00,7.00,5.00,6.25,4.00,6.00,5.00,104,NULL,NULL,'CENTRO','CHAPECO','SC',4759,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3032175,7.00,5.00,7.00,9.00,7.00,6.25,4.00,4.00,4.00,450,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',3641,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3032191,5.00,7.00,8.00,9.00,6.00,6.50,5.00,7.00,8.00,220,NULL,203,'BUENO','GOIÂNIA','GO',1246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032205,4.00,5.00,5.00,6.00,4.00,4.75,1.00,3.00,4.00,103,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',13879,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032213,3.00,3.00,3.00,6.00,1.00,NULL,3.00,3.00,3.00,426,NULL,425,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032221,3.00,3.00,1.00,4.00,3.00,NULL,3.00,3.00,4.00,501,NULL,NULL,'SANTO ANTÔNIO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3032230,7.00,6.00,4.00,9.00,6.00,6.25,3.00,7.00,5.00,101,NULL,NULL,'CÓRREGO GRANDE','FLORIANóPOLIS','SC',4316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032248,3.00,6.00,4.00,5.00,4.00,5.50,4.00,4.00,2.00,203,NULL,202,'SÃO VICENTE','HERVAL D OESTE','SC',13878,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3032256,3.00,2.00,3.00,5.00,2.00,NULL,1.00,2.00,4.00,201,NULL,202,'DOM BOSCO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3032264,9.00,8.00,5.00,7.00,7.00,5.00,6.00,7.00,8.00,103,NULL,NULL,'JD MONTE CARLO','MARINGÁ','PR',1193,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3032272,5.00,4.00,2.00,1.00,3.00,NULL,3.00,4.00,4.00,104,NULL,NULL,'FAZENDA','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3032280,7.00,4.00,4.00,6.00,5.00,5.50,4.00,6.00,3.00,108,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',9358,202,NULL,NULL,NULL,NULL,NULL,4,9),(16,3032299,8.00,6.00,5.00,4.00,6.00,5.50,5.00,7.00,7.00,103,NULL,NULL,'ESTERITO','FLORIANÓPOLIS','SC',3613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032310,3.00,2.00,1.00,2.00,3.00,NULL,2.00,2.00,4.00,102,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3032329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3032337,5.00,8.00,5.00,9.00,7.00,5.25,3.00,6.00,3.00,428,NULL,425,'CAMPECHE','FLORIANóPOLIS','SC',5265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032345,3.00,5.00,2.00,7.00,6.00,7.50,3.00,5.00,2.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032353,2.00,3.00,2.00,4.00,2.00,NULL,0.00,2.00,1.00,428,NULL,427,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032361,4.00,7.00,2.00,7.00,4.00,4.50,1.00,3.00,3.00,238,NULL,208,'CENTRO','LACERDÓPOLIS','SC',13621,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3032370,5.00,5.00,4.00,4.00,6.00,7.50,5.00,6.00,5.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',5956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032388,6.00,2.00,2.00,4.00,4.00,4.00,2.00,4.00,4.00,108,NULL,NULL,'JD CAMPOS ELISEOS','CAMPINAS','SP',16229,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032396,2.00,3.00,2.00,4.00,4.00,NULL,0.00,2.00,3.00,301,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032418,7.00,8.00,2.00,6.00,7.00,4.75,3.00,6.00,7.00,101,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',6000,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032434,2.00,1.00,2.00,2.00,2.00,NULL,3.00,2.00,4.00,216,NULL,207,'CENTRO','LACERDÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3032450,2.00,4.00,3.00,5.00,4.00,3.00,1.00,7.00,3.00,340,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3032477,5.00,6.00,5.00,5.00,6.00,5.75,4.00,8.00,6.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',6244,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3032485,5.00,6.00,7.00,7.00,6.00,5.50,4.00,8.00,4.00,2,NULL,NULL,'SETE DE SETEMBRO','GASPAR','SC',4973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032493,7.00,5.00,4.00,3.00,4.00,6.50,6.00,6.00,6.00,103,NULL,NULL,'JARDIM GINÁSIO','POçOS CALDAS','MG',7004,1839,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032507,7.00,5.00,3.00,7.00,6.00,5.75,3.00,4.00,4.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032515,5.00,2.00,2.00,6.00,3.00,NULL,1.00,5.00,3.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032531,4.00,7.00,5.00,6.00,3.00,NULL,3.00,6.00,4.00,202,NULL,213,'PRESIDENTE MÉDICE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3032540,6.00,5.00,7.00,8.00,9.00,6.00,4.00,8.00,5.00,202,NULL,213,'BARRANCA','ARARANGUá','SC',2256,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3032566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','DIADEMA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3032574,4.00,7.00,5.00,5.00,6.00,6.75,4.00,8.00,5.00,340,NULL,NULL,'JARDIM KIOTO','S PAULO','SP',5127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032582,7.00,5.00,2.00,4.00,3.00,NULL,3.00,4.00,4.00,212,NULL,201,'ESPLANADA SANTA TERE','TAUBATÉ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032590,2.00,2.00,1.00,2.00,2.00,NULL,2.00,2.00,1.00,238,NULL,208,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032612,6.00,7.00,7.00,9.00,6.00,5.00,2.00,7.00,2.00,318,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',5139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032620,2.00,1.00,4.00,4.00,6.00,NULL,0.00,3.00,1.00,201,NULL,207,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032639,7.00,4.00,3.00,6.00,8.00,4.00,4.00,6.00,7.00,207,NULL,212,'VILA IZABEL','CURITIBA','PR',5775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032647,2.00,5.00,4.00,7.00,4.00,5.00,3.00,3.00,4.00,233,NULL,216,'GUADALUPE','LAGES','SC',13061,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3032663,7.00,5.00,2.00,6.00,3.00,NULL,4.00,4.00,5.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032671,6.00,4.00,4.00,7.00,6.00,7.25,4.00,5.00,5.00,303,NULL,NULL,'SERRARIA','S JOSé','SC',6347,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032680,3.00,0.00,4.00,2.00,4.00,NULL,2.00,5.00,1.00,425,NULL,429,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3032698,1.00,3.00,2.00,6.00,8.00,6.75,2.00,6.00,3.00,428,NULL,423,'SACO GRANDE','FLORIANóPOLIS','SC',12889,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032710,4.00,4.00,3.00,2.00,2.00,NULL,1.00,4.00,3.00,207,NULL,201,'JARDIM AMÉRICA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032728,4.00,5.00,3.00,7.00,5.00,4.50,3.00,6.00,2.00,103,NULL,NULL,'SÃO LUIS','CRICIÚMA','SC',12121,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3032744,4.00,2.00,1.00,2.00,2.00,NULL,3.00,2.00,1.00,211,NULL,201,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3032752,7.00,9.00,8.00,0.00,0.00,NULL,7.00,5.00,9.00,2,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032787,5.00,7.00,5.00,4.00,5.00,7.50,4.00,7.00,5.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032795,3.00,2.00,2.00,6.00,3.00,NULL,2.00,1.00,4.00,102,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032809,4.00,3.00,4.00,8.00,5.00,3.00,3.00,7.00,3.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SAO JORGE','S VICENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3032825,8.00,4.00,7.00,9.00,7.00,6.25,4.00,7.00,3.00,103,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',4259,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3032833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3032841,8.00,6.00,5.00,9.00,6.00,6.00,3.00,9.00,8.00,453,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',2286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032850,3.00,6.00,1.00,6.00,5.00,4.75,2.00,6.00,3.00,201,NULL,212,'CÓRREGO GRANDE','FLORIANóPOLIS','SC',13864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032868,6.00,3.00,6.00,6.00,3.00,NULL,5.00,7.00,4.00,453,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032876,4.00,5.00,1.00,7.00,4.00,5.25,3.00,3.00,4.00,3,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',13841,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3032892,5.00,5.00,6.00,6.00,4.00,5.00,2.00,4.00,4.00,501,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',9773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032906,5.00,5.00,1.00,9.00,8.00,6.50,4.00,7.00,6.00,319,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',4752,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3032914,9.00,8.00,7.00,10.00,7.00,5.00,8.00,8.00,9.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',161,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3032922,8.00,6.00,5.00,2.00,6.00,6.75,3.00,6.00,5.00,303,NULL,NULL,'CENTRO','CAMPINAS','SP',7424,335,NULL,NULL,NULL,NULL,NULL,4,1),(16,3032949,3.00,2.00,1.00,2.00,2.00,NULL,3.00,4.00,3.00,309,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032965,2.00,2.00,4.00,3.00,1.00,NULL,4.00,1.00,3.00,302,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032981,3.00,2.00,2.00,4.00,4.00,5.00,4.00,5.00,4.00,501,NULL,NULL,'CENTRO','ANTONIO CARLOS','SC',15130,129,NULL,NULL,NULL,NULL,NULL,2,1),(16,3032990,4.00,5.00,3.00,7.00,6.00,4.00,1.00,6.00,6.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',10180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3033007,5.00,6.00,4.00,7.00,6.00,5.00,2.00,6.00,5.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7259,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3033015,6.00,2.00,2.00,4.00,6.00,5.50,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','TRAMANDAÍ','RS',15607,2750,NULL,NULL,NULL,NULL,NULL,2,1),(16,3033031,3.00,5.00,1.00,6.00,3.00,NULL,3.00,6.00,4.00,5,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3033040,6.00,8.00,6.00,9.00,9.00,8.25,7.00,7.00,8.00,5,NULL,NULL,'JOÃO PAULO','FLORIANóPOLIS','SC',275,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3033066,3.00,6.00,5.00,6.00,5.00,4.25,5.00,7.00,6.00,225,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',8326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3033074,5.00,6.00,5.00,8.00,4.00,5.75,2.00,6.00,3.00,207,NULL,201,'CENTRO','MARINGÁ','PR',8526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3033082,4.00,3.00,3.00,8.00,9.00,5.75,3.00,5.00,3.00,103,NULL,NULL,'VILA SANTA CATARINA','OTACÍLIO COSTA','SC',10742,2309,NULL,NULL,NULL,NULL,NULL,2,9),(16,3033090,2.00,4.00,3.00,6.00,4.00,5.00,2.00,6.00,3.00,303,NULL,NULL,'CENTRO','PALHOCA','SC',14834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3033104,3.00,0.00,5.00,4.00,3.00,NULL,1.00,3.00,3.00,319,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3033112,7.00,5.00,7.00,9.00,6.00,4.75,3.00,7.00,6.00,203,NULL,201,'CENTRO','LAGUNA','SC',4362,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3033120,2.00,2.00,3.00,0.00,4.00,NULL,3.00,5.00,3.00,201,NULL,203,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3033139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'JARDIM MONCOES II','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3033147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,429,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3033155,8.00,6.00,6.00,8.00,8.00,6.25,5.00,8.00,7.00,415,NULL,NULL,'FLORESTA','JOINVILLE','SC',1391,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3033163,7.00,3.00,3.00,9.00,4.00,5.25,1.00,6.00,4.00,233,NULL,201,'CRUZEIRO DO SUL','CRICIÚMA','SC',11422,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3033171,4.00,5.00,3.00,7.00,4.00,4.75,2.00,4.00,3.00,104,NULL,NULL,'CENTRO','S JOSé','SC',13661,382,NULL,NULL,NULL,NULL,NULL,2,1),(16,3033198,9.00,8.00,8.00,8.00,7.00,6.25,6.00,7.00,9.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',404,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3033210,5.00,3.00,2.00,6.00,4.00,3.25,1.00,3.00,1.00,207,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3033228,3.00,0.00,1.00,6.00,3.00,NULL,2.00,1.00,4.00,215,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3033252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3033260,3.00,0.00,2.00,5.00,2.00,NULL,5.00,5.00,3.00,333,NULL,NULL,'CENTRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3033279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM OURO BRANCO','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3033287,2.00,4.00,4.00,4.00,4.00,4.75,2.00,5.00,3.00,222,NULL,NULL,'CENTRO','S JOAQUIM','SC',15905,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3033295,4.00,5.00,5.00,6.00,5.00,5.50,3.00,4.00,7.00,103,NULL,NULL,'SETOR AEROPORTO','GOIÂNIA','GO',7458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3033309,5.00,6.00,1.00,2.00,5.00,5.50,2.00,6.00,7.00,425,NULL,427,'SãO FRANCISCO','CURITIBANOS','SC',11443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3033317,8.00,6.00,5.00,6.00,5.00,5.50,4.00,8.00,6.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3033333,5.00,4.00,4.00,1.00,4.00,5.50,5.00,6.00,4.00,316,NULL,NULL,'CENTRO','ARARANGUÁ','SC',13449,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3033341,1.00,2.00,4.00,1.00,4.00,NULL,0.00,7.00,3.00,101,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3033350,4.00,4.00,2.00,7.00,3.00,NULL,1.00,6.00,5.00,502,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3033368,4.00,8.00,1.00,6.00,5.00,4.50,1.00,8.00,4.00,326,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',10205,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3033376,8.00,5.00,2.00,3.00,6.00,6.00,4.00,5.00,5.00,103,NULL,NULL,'VILA VERA CRUZ','APUCARANA','PR',8694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3033406,6.00,6.00,4.00,8.00,7.00,5.50,4.00,5.00,5.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6176,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3033414,4.00,6.00,5.00,2.00,6.00,2.50,3.00,7.00,5.00,203,NULL,214,'AYMORÉ','GUABIRUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3033422,5.00,4.00,3.00,4.00,4.00,4.75,2.00,6.00,4.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3033430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3033449,2.00,3.00,3.00,8.00,1.00,NULL,2.00,4.00,2.00,303,NULL,NULL,'SAO BRAZ','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3033465,6.00,5.00,5.00,8.00,6.00,6.00,1.00,6.00,3.00,303,NULL,NULL,'CENTRO','STA BáRBARA D OESTE','SP',8026,358,NULL,NULL,NULL,NULL,NULL,4,1),(16,3033473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'JARDIM PARAISO','PATOS DE MINAS','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3033481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,220,'ZONA UM','CIANORTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3033511,6.00,7.00,3.00,6.00,4.00,5.00,2.00,7.00,6.00,225,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',8328,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3033520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'MOSSUNGUÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3033538,5.00,4.00,4.00,6.00,6.00,5.25,4.00,5.00,6.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',9655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3033546,8.00,8.00,4.00,8.00,6.00,5.25,5.00,4.00,6.00,207,NULL,215,'CENTRO','JARAGUÁ SUL','SC',3590,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3033554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CEREJEIRAS','RO',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3033562,3.00,3.00,2.00,6.00,4.00,5.50,3.00,3.00,4.00,238,NULL,213,'CENTRO HISTÓRICO','S JOSÉ','SC',14549,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3033589,8.00,8.00,6.00,4.00,5.00,5.00,5.00,7.00,6.00,104,NULL,NULL,'CENTRO','RIO SUL','SC',3775,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3033597,3.00,5.00,7.00,9.00,5.00,7.00,4.00,7.00,7.00,316,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',4057,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3033600,4.00,5.00,2.00,3.00,4.00,4.75,3.00,4.00,2.00,203,NULL,201,'CENTRO','JOAÇABA','SC',16307,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3033619,2.00,0.00,1.00,3.00,6.00,NULL,2.00,5.00,3.00,103,NULL,NULL,'BUDAG','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3033635,3.00,4.00,5.00,7.00,6.00,4.75,4.00,5.00,4.00,212,NULL,213,'GUARDA DO CUBATÃO','PALHOÇA','SC',9689,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3033651,2.00,4.00,1.00,7.00,5.00,7.50,3.00,1.00,4.00,303,NULL,NULL,'VILA CAROLINA','RIO VERDE','GO',14629,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3033660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'CENTRO','S JOÃO TRIUNFO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3033694,6.00,5.00,4.00,7.00,5.00,5.25,3.00,5.00,6.00,104,NULL,NULL,'CENTRO','MARACAJá','SC',8672,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3033716,6.00,5.00,2.00,4.00,8.00,5.50,4.00,8.00,5.00,415,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',7748,207,NULL,NULL,NULL,NULL,NULL,4,1),(16,3033724,4.00,4.00,3.00,6.00,5.00,5.00,1.00,5.00,4.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',12370,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3033732,6.00,6.00,7.00,7.00,6.00,4.75,4.00,8.00,7.00,201,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',3301,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3033740,8.00,7.00,6.00,8.00,7.00,6.50,6.00,6.00,8.00,208,NULL,220,'PANTANAL','FLORIANÓPOLIS','SC',1044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3033759,4.00,1.00,4.00,2.00,4.00,4.75,3.00,5.00,3.00,214,NULL,212,'VILA FATY','S MATEUS SUL','PR',16510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3033775,9.00,8.00,7.00,9.00,8.00,7.25,5.00,8.00,7.00,203,NULL,233,'CENTRO','ITAPEMA','SC',425,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3033783,4.00,4.00,5.00,5.00,5.00,6.00,2.00,6.00,4.00,333,NULL,NULL,'SÃO LUÍS','APIÚNA','SC',11268,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3033791,3.00,4.00,1.00,3.00,3.00,NULL,3.00,2.00,3.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3033813,5.00,7.00,3.00,6.00,5.00,4.25,2.00,7.00,4.00,103,NULL,NULL,'NOSSA SR AUXILIADORA','CAMPINAS','SP',10131,2234,NULL,NULL,NULL,NULL,NULL,2,1),(16,3033821,4.00,3.00,3.00,7.00,6.00,5.50,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',10904,2324,NULL,NULL,NULL,NULL,NULL,2,5),(16,3033830,7.00,5.00,8.00,6.00,7.00,6.75,4.00,6.00,7.00,216,NULL,233,'VILA PAULINA','S PAULO','SP',2466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3033848,2.00,3.00,3.00,1.00,5.00,NULL,1.00,3.00,4.00,316,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3033856,6.00,6.00,3.00,8.00,7.00,6.50,3.00,3.00,5.00,415,NULL,NULL,'CENTRO','CASCAVEL','PR',7700,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3033864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,208,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3033880,7.00,8.00,8.00,7.00,7.00,7.00,7.00,8.00,8.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',375,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3033902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'GONZAGA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3033937,7.00,7.00,2.00,7.00,5.00,6.50,6.00,9.00,5.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',4891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3033945,7.00,5.00,1.00,8.00,6.00,6.00,3.00,6.00,5.00,108,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',6905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3033953,7.00,4.00,6.00,4.00,7.00,6.25,1.00,7.00,4.00,201,NULL,212,'ITAGUAÇU','FLORIANÓPOLIS','SC',8594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3033988,3.00,1.00,2.00,2.00,3.00,NULL,1.00,5.00,3.00,303,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3034003,2.00,4.00,1.00,6.00,7.00,6.50,1.00,4.00,4.00,9,NULL,NULL,'BOMBAS','BOMBINHAS','SC',14939,151,NULL,NULL,NULL,NULL,NULL,5,2),(16,3034011,6.00,6.00,4.00,0.00,6.00,NULL,5.00,8.00,6.00,5,NULL,NULL,'CAMBARÁ','S ROQUE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034020,8.00,7.00,8.00,5.00,8.00,6.50,5.00,7.00,7.00,208,NULL,238,'PONTE DO IMARUIM','PALHOçA','SC',1481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034038,4.00,6.00,2.00,3.00,3.00,NULL,3.00,5.00,3.00,304,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARAU','RS',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3034062,8.00,8.00,9.00,9.00,7.00,6.50,8.00,9.00,8.00,202,NULL,203,'AMÉRICA','JOINVILLE','SC',67,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3034070,6.00,7.00,6.00,7.00,5.00,4.75,3.00,4.00,5.00,103,NULL,NULL,'GRAÇA','SALVADOR','BA',6288,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3034089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3034097,7.00,7.00,4.00,7.00,8.00,6.75,5.00,6.00,7.00,104,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',2708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034100,4.00,2.00,2.00,4.00,4.00,NULL,4.00,2.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034127,3.00,2.00,4.00,6.00,4.00,4.75,2.00,2.00,2.00,302,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',16575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3034135,2.00,2.00,3.00,4.00,2.00,NULL,2.00,5.00,4.00,303,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3034151,4.00,7.00,4.00,6.00,7.00,7.25,5.00,5.00,4.00,450,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',6213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034160,9.00,8.00,8.00,9.00,8.00,8.25,8.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',51,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034178,5.00,6.00,2.00,7.00,3.00,NULL,3.00,4.00,1.00,340,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034186,8.00,8.00,6.00,9.00,7.00,6.50,4.00,7.00,5.00,453,NULL,NULL,'SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3034194,6.00,5.00,3.00,8.00,6.00,5.25,1.00,7.00,4.00,103,NULL,NULL,'BATEL','CURITIBA','PR',8391,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3034208,7.00,6.00,8.00,9.00,6.00,5.75,8.00,7.00,7.00,220,NULL,203,'VILA INDUSTRIAL','ARAÇATUBA','SP',907,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3034216,6.00,6.00,5.00,6.00,6.00,5.50,5.00,8.00,6.00,213,NULL,238,'TRINDADE','FLORIANóPOLIS','SC',4237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034224,6.00,4.00,4.00,6.00,6.00,6.25,3.00,5.00,4.00,103,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',9200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034240,3.00,2.00,1.00,4.00,6.00,NULL,1.00,3.00,3.00,304,NULL,NULL,'PQ PRADO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034259,4.00,2.00,2.00,4.00,3.00,NULL,2.00,4.00,4.00,451,NULL,NULL,'CPA IV','CUIABÁ','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3034267,3.00,6.00,5.00,6.00,6.00,6.75,2.00,4.00,4.00,301,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9554,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3034275,6.00,8.00,4.00,4.00,6.00,5.50,3.00,9.00,5.00,5,NULL,NULL,'CENTRO','PALHOÇA','SC',5158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034283,2.00,5.00,3.00,6.00,4.00,6.75,1.00,4.00,3.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',14890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3034291,6.00,7.00,8.00,7.00,5.00,5.25,3.00,4.00,5.00,103,NULL,NULL,'DR ARI LUNARDI','XAXIM','SC',5859,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3034305,3.00,7.00,6.00,7.00,7.00,5.50,4.00,6.00,5.00,203,NULL,202,'CENTRO','FLORIANóPOLIS','SC',5713,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3034313,3.00,4.00,4.00,6.00,5.00,7.50,2.00,4.00,4.00,428,NULL,426,'BELA VISTA','RIO NEGRINHO','SC',12226,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3034321,8.00,8.00,5.00,8.00,7.00,4.75,4.00,9.00,6.00,220,NULL,214,'CAMPECHE','FLORIANÓPOLIS','SC',2258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034330,6.00,3.00,1.00,6.00,3.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SANTA LUCIA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3034348,4.00,6.00,6.00,1.00,6.00,5.00,4.00,7.00,6.00,5,NULL,NULL,'FLORESTA','JOINVILLE','SC',8660,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3034356,2.00,3.00,3.00,2.00,2.00,NULL,3.00,3.00,2.00,316,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3034364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3034372,5.00,5.00,4.00,3.00,7.00,4.75,3.00,6.00,3.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',10640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034399,6.00,4.00,6.00,5.00,1.00,NULL,5.00,4.00,6.00,203,NULL,214,'JD HELENA MARIA','GUARUJá','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034402,4.00,5.00,8.00,3.00,6.00,4.00,3.00,2.00,4.00,201,NULL,212,'VIVENDAS DO BOSQUE','CPO GRANDE','MS',11579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034410,2.00,1.00,3.00,5.00,3.00,NULL,2.00,6.00,4.00,301,NULL,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3034437,3.00,1.00,1.00,4.00,2.00,NULL,2.00,2.00,3.00,108,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3034445,4.00,6.00,7.00,7.00,7.00,5.00,1.00,7.00,6.00,223,NULL,NULL,'NOVA BRASÍLIA','JARAGUÁ SUL','SC',6132,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3034453,4.00,6.00,4.00,7.00,6.00,5.00,2.00,4.00,4.00,451,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',10204,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3034470,5.00,3.00,4.00,7.00,7.00,6.50,4.00,7.00,5.00,203,NULL,214,'PENDOTIBA','NITERÓI','RJ',5761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'MONTE BELO','JOAçABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3034518,5.00,6.00,3.00,7.00,7.00,6.00,2.00,5.00,3.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',9415,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3034534,5.00,7.00,4.00,1.00,6.00,4.50,1.00,4.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034550,2.00,3.00,2.00,5.00,2.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'VILA FLOR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3034569,6.00,6.00,3.00,6.00,6.00,6.50,2.00,8.00,4.00,319,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',7891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3034577,6.00,6.00,4.00,8.00,7.00,5.50,6.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3034585,4.00,8.00,8.00,9.00,8.00,5.50,5.00,6.00,8.00,216,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034607,2.00,2.00,1.00,0.00,5.00,NULL,4.00,6.00,3.00,223,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3034615,7.00,7.00,6.00,8.00,7.00,6.50,7.00,8.00,7.00,211,NULL,202,'BOM RETIRO','JOINVILLE','SC',904,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3034623,7.00,4.00,3.00,5.00,3.00,NULL,2.00,8.00,2.00,502,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3034631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BRITANIA','IA COMPRIDA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3034658,5.00,4.00,1.00,7.00,7.00,5.00,0.00,5.00,4.00,233,NULL,215,'CAPOEIRAS','FLORIANÓPOLIS','SC',12522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034666,4.00,3.00,2.00,1.00,2.00,NULL,2.00,0.00,3.00,101,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3034674,8.00,4.00,3.00,6.00,5.00,6.75,2.00,9.00,6.00,103,NULL,NULL,'LINDÓIA','CURITIBA','PR',5162,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3034682,6.00,7.00,7.00,5.00,6.00,6.50,4.00,7.00,5.00,108,NULL,NULL,'PQ IMP CANTAREIRA','MAIRIPORÃ','SP',3784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034704,7.00,7.00,7.00,8.00,7.00,6.75,3.00,8.00,5.00,319,NULL,NULL,'CENTRO','PTO ALEGRE','RS',2080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034712,6.00,7.00,1.00,0.00,7.00,4.00,3.00,7.00,6.00,503,NULL,NULL,'RESTINGA','MAFRA','SC',10642,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3034720,7.00,9.00,4.00,9.00,7.00,4.75,4.00,8.00,8.00,216,NULL,202,'COSTEIRA','FLORIANÓPOLIS','SC',1286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034739,4.00,3.00,3.00,2.00,0.00,NULL,0.00,1.00,0.00,450,NULL,NULL,'JUVENTUDE','GARIBALDI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034747,4.00,6.00,5.00,8.00,5.00,6.00,2.00,6.00,5.00,340,NULL,NULL,'SALETE','FRAIBURGO','SC',7546,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3034755,8.00,8.00,8.00,8.00,7.00,6.75,4.00,7.00,7.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',1418,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034763,7.00,7.00,2.00,9.00,4.00,5.25,6.00,8.00,7.00,233,NULL,214,'CENTRO','IMBITUBA','SC',2934,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3034771,5.00,8.00,5.00,8.00,6.00,5.50,5.00,8.00,6.00,326,NULL,NULL,'CENTRO','NOVA TRENTO','SC',3594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'OESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3034801,6.00,5.00,2.00,5.00,4.00,5.50,3.00,1.00,2.00,309,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',15021,47,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034810,3.00,3.00,2.00,6.00,5.00,5.50,2.00,6.00,3.00,207,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14139,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3034836,3.00,3.00,1.00,8.00,4.00,5.00,2.00,6.00,5.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034844,4.00,1.00,2.00,3.00,4.00,NULL,3.00,2.00,4.00,328,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3034852,4.00,0.00,2.00,3.00,3.00,NULL,1.00,4.00,2.00,316,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3034860,5.00,5.00,4.00,9.00,8.00,6.25,3.00,7.00,6.00,503,NULL,NULL,'CENTRO','NAVEGANTES','SC',4384,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3034887,5.00,5.00,1.00,7.00,6.00,6.50,3.00,6.00,4.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',10744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034895,6.00,2.00,2.00,8.00,4.00,8.00,3.00,2.00,1.00,425,NULL,429,'CENTRO','FLORIANÓPOLIS','SC',13313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034909,8.00,5.00,7.00,9.00,6.00,6.00,6.00,7.00,6.00,201,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',2122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034917,6.00,6.00,5.00,4.00,6.00,4.75,3.00,6.00,4.00,213,NULL,202,'JD MARIA HELENA','STO ANTÔNIO POSSE','SP',8263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3034925,4.00,4.00,3.00,2.00,3.00,NULL,2.00,5.00,2.00,340,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3034933,8.00,7.00,4.00,6.00,7.00,5.25,4.00,7.00,4.00,415,NULL,NULL,'SERRARIA','SAO JOSE','SC',4617,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3034941,4.00,5.00,1.00,4.00,2.00,NULL,3.00,8.00,3.00,340,NULL,NULL,'JARDIM COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3034950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3034968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3034976,5.00,6.00,6.00,9.00,7.00,6.50,4.00,7.00,6.00,453,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',2407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3034992,5.00,5.00,4.00,7.00,7.00,5.75,5.00,6.00,3.00,428,NULL,NULL,'SERRARIA','S JOSÉ','SC',7217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3035000,4.00,3.00,3.00,5.00,4.00,5.25,3.00,2.00,3.00,208,NULL,238,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',16461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3035026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3035034,7.00,8.00,5.00,8.00,6.00,4.25,5.00,7.00,4.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035042,1.00,2.00,3.00,1.00,2.00,NULL,4.00,0.00,2.00,502,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3035050,4.00,7.00,3.00,9.00,7.00,4.50,4.00,5.00,3.00,208,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',6934,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3035069,5.00,4.00,5.00,1.00,3.00,NULL,1.00,2.00,2.00,317,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035077,2.00,3.00,1.00,2.00,5.00,NULL,3.00,5.00,4.00,234,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035085,6.00,5.00,3.00,7.00,6.00,5.50,4.00,6.00,5.00,103,NULL,NULL,'SÃO MARTINHO','TUBARÃO','SC',7113,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3035093,5.00,4.00,2.00,8.00,6.00,6.75,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',10515,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3035107,7.00,6.00,7.00,8.00,7.00,5.25,6.00,9.00,7.00,203,NULL,216,'JOSE MENDES','FLORIANóPOLIS','SC',1219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'JARDIM APURA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3035123,5.00,5.00,1.00,6.00,6.00,7.00,3.00,7.00,5.00,502,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8496,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3035131,4.00,5.00,3.00,8.00,3.00,NULL,3.00,8.00,4.00,201,NULL,207,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035140,7.00,6.00,8.00,8.00,6.00,6.00,5.00,7.00,5.00,207,NULL,220,'POMERANOS','TIMBó','SC',2351,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3035158,5.00,4.00,4.00,4.00,6.00,6.00,4.00,3.00,4.00,207,NULL,201,'TRICOLIN','CANOINHAS','SC',11701,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3035166,5.00,5.00,3.00,2.00,5.00,4.00,3.00,7.00,4.00,501,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035174,0.00,2.00,2.00,2.00,4.00,NULL,2.00,5.00,1.00,102,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3035182,5.00,3.00,3.00,7.00,6.00,5.50,5.00,8.00,7.00,318,NULL,NULL,'CENTRO','JARAGUA DO SUL','SC',5362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035190,4.00,6.00,2.00,8.00,7.00,3.25,4.00,9.00,2.00,103,NULL,NULL,'CENTRO','GARUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3035204,5.00,6.00,1.00,8.00,6.00,4.75,2.00,6.00,4.00,429,NULL,425,'CENTRO','OURO','SC',10175,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3035212,4.00,6.00,4.00,7.00,8.00,5.50,3.00,6.00,4.00,212,NULL,214,'ASA NORTE','BRASÍLIA','DF',6281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035220,5.00,4.00,2.00,2.00,3.00,NULL,4.00,5.00,3.00,234,NULL,NULL,'VILA NOVA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035239,8.00,6.00,7.00,7.00,6.00,5.75,4.00,6.00,6.00,303,NULL,NULL,'AMERICA','JOINVILLE','SC',3907,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3035247,7.00,4.00,4.00,6.00,6.00,4.75,2.00,8.00,3.00,238,NULL,208,'BARREIROS','S JOSé','SC',8369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3035255,2.00,2.00,2.00,1.00,0.00,NULL,2.00,4.00,3.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3035271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'CENTRO','ROLÂNDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3035280,7.00,7.00,7.00,8.00,6.00,5.00,4.00,9.00,7.00,201,NULL,203,'ARAUCÁRIA','MODELO','SC',2179,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3035298,2.00,4.00,1.00,7.00,5.00,4.50,0.00,5.00,2.00,9,NULL,NULL,'ALPHAVILLE','BARUERI','SP',16151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035301,9.00,6.00,8.00,9.00,7.00,6.75,4.00,7.00,9.00,207,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035310,5.00,6.00,7.00,7.00,5.00,6.25,5.00,4.00,6.00,203,NULL,233,'CENTRO','BRAÇO NORTE','SC',4700,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3035328,5.00,7.00,2.00,6.00,6.00,4.50,2.00,7.00,4.00,207,NULL,201,'FORTALEZA DA LAGOA','FLORIANÓPOLIS','SC',9555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3035336,4.00,1.00,1.00,3.00,3.00,NULL,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','JANDAIA SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3035379,3.00,3.00,4.00,2.00,5.00,NULL,1.00,3.00,2.00,238,NULL,208,'JARDIM DAS PALMEIRAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3035395,4.00,3.00,2.00,6.00,2.00,NULL,3.00,2.00,2.00,108,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035409,5.00,7.00,8.00,9.00,7.00,5.75,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',1404,637,NULL,NULL,NULL,NULL,NULL,4,8),(16,3035425,0.00,5.00,2.00,4.00,2.00,NULL,3.00,4.00,3.00,317,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3035433,5.00,6.00,6.00,8.00,3.00,NULL,2.00,5.00,4.00,201,NULL,212,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035441,7.00,5.00,6.00,7.00,4.00,7.00,2.00,6.00,3.00,108,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3035450,4.00,4.00,5.00,8.00,5.00,4.75,3.00,7.00,5.00,212,NULL,216,'BARRA DA TIJUCA','RIO JANEIRO','RJ',8067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035476,4.00,3.00,2.00,4.00,2.00,NULL,2.00,4.00,5.00,211,NULL,233,'CENTRO','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3035484,6.00,6.00,5.00,4.00,4.00,5.50,3.00,6.00,5.00,429,NULL,428,'ESTREITO','FLORIANÓPOLIS','SC',11069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035506,5.00,7.00,7.00,9.00,4.00,5.75,4.00,6.00,7.00,220,NULL,203,'JARDIM MANSUR','CPO GRANDE','MS',2862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035514,0.00,2.00,2.00,3.00,3.00,NULL,3.00,3.00,3.00,424,NULL,426,'JARDIM ATLÂNTICO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3035530,4.00,3.00,2.00,4.00,3.00,NULL,1.00,1.00,5.00,501,NULL,NULL,'CENTRO','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035549,9.00,9.00,9.00,6.00,7.00,7.25,6.00,8.00,6.00,203,NULL,201,'HUMAITÁ DE CIMA','TUBARÃO','SC',526,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3035557,8.00,7.00,8.00,7.00,7.00,6.50,7.00,8.00,7.00,103,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',676,379,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035565,5.00,4.00,2.00,5.00,5.00,4.50,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','MODELO','SC',12789,2512,NULL,NULL,NULL,NULL,NULL,2,4),(16,3035573,6.00,4.00,7.00,9.00,7.00,6.50,3.00,7.00,5.00,415,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035581,2.00,2.00,2.00,2.00,3.00,NULL,1.00,3.00,3.00,301,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035603,5.00,3.00,1.00,2.00,2.00,NULL,5.00,5.00,2.00,309,NULL,NULL,'INTERIOR','LACERDÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3035611,7.00,6.00,1.00,8.00,8.00,7.00,3.00,5.00,4.00,451,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035620,3.00,6.00,3.00,5.00,4.00,5.25,2.00,7.00,3.00,502,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',12795,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3035638,7.00,4.00,6.00,8.00,6.00,5.50,6.00,5.00,6.00,333,NULL,NULL,'CENTRO','LONDRINA','PR',3920,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3035662,7.00,3.00,2.00,5.00,3.00,NULL,3.00,5.00,4.00,451,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035670,3.00,2.00,2.00,7.00,1.00,NULL,1.00,5.00,3.00,211,NULL,215,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035689,2.00,5.00,3.00,5.00,3.00,NULL,4.00,4.00,4.00,501,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035697,6.00,4.00,3.00,7.00,7.00,6.25,3.00,7.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035719,3.00,4.00,2.00,0.00,5.00,NULL,2.00,6.00,3.00,9,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035727,6.00,7.00,4.00,7.00,8.00,5.50,3.00,8.00,5.00,207,NULL,212,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',4445,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3035735,5.00,3.00,3.00,6.00,4.00,6.00,3.00,2.00,3.00,201,NULL,216,'CENTRO','TORRES','RS',14394,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3035743,5.00,5.00,7.00,5.00,6.00,5.50,6.00,7.00,7.00,216,NULL,233,'PORTAL DA OLARIA','S SEBASTIÃO','SP',4078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035751,6.00,4.00,2.00,6.00,4.00,5.00,3.00,3.00,2.00,329,NULL,NULL,'ARIRIU DA FORMIGA','PALHOçA','SC',15608,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3035760,5.00,5.00,1.00,9.00,6.00,5.50,1.00,5.00,2.00,428,NULL,427,'CENTRO','BAL PIÇARRAS','SC',11560,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3035778,7.00,5.00,7.00,9.00,6.00,6.50,2.00,8.00,7.00,102,NULL,NULL,'BELA VISTA','S PAULO','SP',2872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035786,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'AMADORI','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(16,3035794,7.00,6.00,5.00,3.00,6.00,7.25,4.00,8.00,6.00,108,NULL,NULL,'VILA FARIA','S CARLOS','SP',4690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035808,3.00,3.00,2.00,5.00,3.00,NULL,2.00,5.00,4.00,502,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3035832,4.00,2.00,1.00,4.00,3.00,NULL,3.00,1.00,4.00,220,NULL,202,'PARQUE ALVORADA','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035859,6.00,8.00,2.00,9.00,7.00,8.25,3.00,8.00,3.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035867,6.00,3.00,1.00,3.00,4.00,4.00,3.00,7.00,6.00,216,NULL,238,'SANTA MONICA','FLORIANÓPOLIS','SC',13020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035875,8.00,7.00,6.00,7.00,7.00,7.00,6.00,7.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',988,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3035883,5.00,5.00,3.00,7.00,4.00,6.00,4.00,8.00,6.00,303,NULL,NULL,'BELA VISTA','S PAULO','SP',5876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035905,4.00,4.00,3.00,5.00,3.00,NULL,1.00,3.00,3.00,216,NULL,212,'SÃO LUIS','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3035913,4.00,5.00,3.00,6.00,4.00,5.50,2.00,6.00,4.00,108,NULL,NULL,'VÁRZEA','ITAPEMA','SC',11026,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3035921,4.00,7.00,3.00,8.00,6.00,5.75,1.00,7.00,7.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',6547,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3035930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3035948,5.00,7.00,7.00,8.00,5.00,6.00,4.00,6.00,8.00,203,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',2572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035956,5.00,2.00,3.00,3.00,3.00,NULL,2.00,4.00,3.00,208,NULL,238,'ARIRIU DA FORMIGA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3035980,3.00,7.00,1.00,5.00,6.00,6.00,2.00,8.00,4.00,301,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',10223,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3035999,9.00,9.00,9.00,5.00,6.00,7.50,6.00,8.00,9.00,216,NULL,214,'MATO ALTO','ARARANGUÁ','SC',530,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3036022,3.00,3.00,1.00,1.00,1.00,NULL,1.00,5.00,0.00,108,NULL,NULL,'SNT ANT DE LISBOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036030,5.00,6.00,4.00,5.00,6.00,7.50,1.00,8.00,2.00,301,NULL,NULL,'ABRANCHES','CURITIBA','PR',8798,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3036049,4.00,6.00,4.00,7.00,4.00,4.50,1.00,5.00,2.00,201,NULL,207,'PANTANAL','FLORIANÓPOLIS','SC',13930,1072,NULL,717,NULL,NULL,NULL,4,1),(16,3036057,6.00,5.00,4.00,7.00,8.00,5.75,5.00,5.00,5.00,233,NULL,203,'AGRONÔMICA','FLORIANÓPOLIS','SC',6353,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3036065,8.00,5.00,5.00,8.00,7.00,7.00,5.00,9.00,8.00,340,NULL,NULL,'JOSE MENDES','FLORIANóPOLIS','SC',1723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036073,7.00,3.00,5.00,7.00,8.00,5.25,4.00,4.00,5.00,103,NULL,NULL,'JARDIM MORUMBI','S PAULO','SP',5252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036081,5.00,6.00,7.00,8.00,4.00,4.00,6.00,6.00,4.00,203,NULL,202,'PARQUE CIDADE JARDIM','UMUARAMA','PR',6037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036103,2.00,5.00,3.00,6.00,4.00,4.75,4.00,5.00,2.00,421,NULL,425,'TANCREDO NEVES','PALMITOS','SC',13729,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3036111,7.00,6.00,5.00,8.00,6.00,7.75,6.00,6.00,4.00,108,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',3141,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3036138,8.00,6.00,7.00,8.00,7.00,6.00,3.00,7.00,8.00,103,NULL,NULL,'VILA MARIA','PALMEIRA','PR',1813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3036146,3.00,1.00,4.00,4.00,4.00,6.50,3.00,2.00,4.00,420,NULL,NULL,'JURERÊ TRADICIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036154,7.00,8.00,6.00,8.00,7.00,6.50,4.00,7.00,6.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036162,3.00,4.00,4.00,7.00,5.00,5.00,4.00,3.00,4.00,207,NULL,202,'CENTRO','CASCAVEL','PR',12920,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3036170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'LINHA FRASSON','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3036189,8.00,5.00,9.00,8.00,6.00,6.25,4.00,7.00,7.00,203,NULL,214,'CARVOEIRA','FLORIANóPOLIS','SC',2090,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3036227,3.00,3.00,3.00,5.00,4.00,4.25,5.00,1.00,2.00,103,NULL,NULL,'CENTRO','LAGES','SC',16648,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3036235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MAXWELL','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3036251,4.00,5.00,3.00,6.00,6.00,5.50,3.00,7.00,1.00,202,NULL,213,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',11643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036260,4.00,6.00,5.00,8.00,6.00,5.50,2.00,7.00,4.00,415,NULL,NULL,'JARDIM PARAÍSO','VÁRZEA PAULISTA','SP',7087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036286,6.00,5.00,1.00,7.00,6.00,3.25,3.00,8.00,5.00,103,NULL,NULL,'JARDIM ALVORADA','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3036294,4.00,3.00,2.00,5.00,6.00,5.00,2.00,3.00,3.00,211,NULL,NULL,'CENTRO','TRÊS PASSOS','RS',14286,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3036316,2.00,7.00,3.00,4.00,4.00,5.75,2.00,6.00,3.00,425,NULL,429,'AREIAS','S JOSÉ','SC',13196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036332,4.00,4.00,5.00,2.00,5.00,5.75,2.00,4.00,3.00,318,NULL,NULL,'IMIGRANTES','GUABIRUBA','SC',14784,119,NULL,NULL,NULL,NULL,NULL,4,6),(16,3036340,6.00,5.00,7.00,7.00,6.00,5.25,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',5553,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3036359,8.00,9.00,8.00,7.00,9.00,6.25,9.00,7.00,8.00,108,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',96,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036367,7.00,8.00,6.00,5.00,7.00,5.50,6.00,8.00,6.00,103,NULL,NULL,'CORAL','LAGES','SC',1615,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3036375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3036391,6.00,4.00,1.00,5.00,2.00,NULL,2.00,5.00,5.00,9,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036405,5.00,7.00,5.00,7.00,8.00,6.00,6.00,7.00,6.00,212,NULL,213,'CARIANOS','FLORIANÓPOLIS','SC',2832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3036413,5.00,5.00,5.00,8.00,5.00,5.75,1.00,5.00,3.00,207,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036421,3.00,6.00,2.00,6.00,5.00,5.50,2.00,4.00,2.00,5,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3036430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA GUARANI','CAMBÉ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3036448,4.00,2.00,2.00,5.00,4.00,5.25,2.00,5.00,4.00,333,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',15218,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3036456,8.00,6.00,7.00,9.00,6.00,6.50,5.00,6.00,8.00,103,NULL,NULL,'ST ANTÔNIO DE LISBOA','FLORIANÓPOLIS','SC',1452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036464,8.00,7.00,9.00,7.00,7.00,5.25,3.00,9.00,6.00,203,NULL,NULL,'SAN REMO','LONDRINA','PR',1099,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3036472,7.00,6.00,4.00,6.00,4.00,7.00,6.00,8.00,7.00,319,NULL,NULL,'ST AEROPORTO','GOIÂNIA','GO',3289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036480,5.00,5.00,3.00,4.00,6.00,5.00,3.00,4.00,2.00,207,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'JARDIM MODELO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3036502,6.00,5.00,1.00,7.00,8.00,5.75,3.00,6.00,5.00,303,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',8683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036510,7.00,7.00,8.00,8.00,9.00,6.50,4.00,8.00,7.00,214,NULL,212,'JARDIM ANDRADE','LONDRINA','PR',989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036545,2.00,4.00,5.00,7.00,3.00,NULL,2.00,7.00,3.00,211,NULL,233,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3036553,5.00,3.00,4.00,7.00,4.00,5.00,3.00,4.00,4.00,202,NULL,220,'VILA SOFIA','S PAULO','SP',11565,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3036561,2.00,6.00,7.00,7.00,7.00,6.00,6.00,7.00,5.00,203,NULL,202,'COMERCIÁRIO','CRICIÚMA','SC',4073,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3036570,6.00,4.00,5.00,8.00,5.00,5.00,4.00,7.00,6.00,220,NULL,216,'RIBAMAR','PERUÍBE','SP',4154,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3036588,8.00,7.00,5.00,8.00,6.00,4.50,4.00,8.00,7.00,103,NULL,NULL,'CITY RIBEIRAO','RIBEIRÃO PRETO','SP',2499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036596,8.00,8.00,5.00,5.00,4.00,4.75,5.00,6.00,7.00,211,NULL,201,'RIO TAVARES','FLORIANÓPOLIS','SC',4115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036600,4.00,6.00,7.00,6.00,7.00,5.50,4.00,8.00,7.00,304,NULL,NULL,'CENTRO','ARARANGUÁ','SC',3751,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3036626,3.00,2.00,5.00,8.00,6.00,6.00,2.00,4.00,4.00,203,NULL,214,'JARDIM SANTA MENA','GUARULHOS','SP',10668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036634,7.00,5.00,2.00,8.00,4.00,6.50,4.00,5.00,3.00,340,NULL,NULL,'CENTRO','MATÃO','SP',8250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036642,2.00,2.00,2.00,4.00,3.00,NULL,2.00,4.00,4.00,309,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036650,4.00,8.00,5.00,7.00,6.00,5.25,2.00,7.00,4.00,203,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036669,6.00,5.00,5.00,7.00,4.00,6.50,4.00,7.00,3.00,108,NULL,NULL,'GRANJA SANTA MARIA','CARAPICUÍBA','SP',6550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036677,3.00,6.00,6.00,7.00,6.00,5.25,3.00,6.00,2.00,202,NULL,213,'CENTRO','APUCARANA','PR',7906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036685,4.00,6.00,3.00,6.00,5.00,5.50,1.00,6.00,4.00,310,NULL,NULL,'CENTRO','CRICIúMA','SC',11637,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3036693,8.00,8.00,9.00,8.00,9.00,6.25,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',418,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3036707,1.00,4.00,2.00,7.00,4.00,4.00,1.00,5.00,2.00,224,NULL,NULL,'KOBRASOL II','S JOSÉ','SC',16657,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3036715,5.00,5.00,4.00,7.00,5.00,6.00,4.00,9.00,3.00,208,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',6231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036723,9.00,6.00,6.00,8.00,9.00,6.75,7.00,7.00,7.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036731,4.00,3.00,5.00,4.00,3.00,NULL,1.00,5.00,6.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3036740,8.00,4.00,5.00,7.00,6.00,6.50,4.00,7.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036766,7.00,4.00,4.00,7.00,5.00,7.25,4.00,6.00,8.00,103,NULL,NULL,'PATRONATO','STA MARIA','RS',4406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3036774,4.00,5.00,4.00,9.00,7.00,5.75,5.00,6.00,3.00,450,NULL,NULL,'JARDIM REGINA','JAU','SP',6190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036782,2.00,2.00,3.00,2.00,2.00,NULL,3.00,4.00,3.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3036790,5.00,5.00,5.00,9.00,6.00,6.25,1.00,8.00,3.00,234,NULL,NULL,'SAO LUIZ','ITU','SP',7516,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3036804,7.00,7.00,3.00,5.00,6.00,6.00,6.00,8.00,8.00,104,NULL,NULL,'ZONA UM A','UMUARAMA','PR',2906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036812,3.00,4.00,4.00,2.00,1.00,NULL,2.00,2.00,5.00,444,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3036839,7.00,9.00,5.00,8.00,6.00,6.00,4.00,7.00,8.00,211,NULL,201,'CENTRO','CAÇADOR','SC',1802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036847,8.00,7.00,7.00,9.00,5.00,7.25,5.00,7.00,8.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3036863,5.00,6.00,6.00,8.00,8.00,6.50,4.00,5.00,7.00,201,NULL,212,'CENTRO','S JOSé','SC',3043,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3036871,4.00,6.00,5.00,6.00,6.00,6.00,3.00,5.00,3.00,202,NULL,213,'CARVOEIRA','FLORIANÓPOLIS','SC',9051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036880,3.00,6.00,5.00,5.00,3.00,NULL,2.00,9.00,3.00,316,NULL,NULL,'BAIRRO DAS NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3036910,7.00,9.00,5.00,5.00,7.00,5.00,6.00,7.00,7.00,203,NULL,202,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',2145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036928,4.00,4.00,4.00,7.00,5.00,6.00,3.00,8.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7396,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3036944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'CENTRO','STA CECíLIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3036952,5.00,6.00,2.00,8.00,4.00,6.00,3.00,7.00,4.00,211,NULL,201,'CENTRO','NOVA ERECHIM','SC',8673,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3036960,5.00,1.00,1.00,4.00,2.00,NULL,1.00,3.00,3.00,207,NULL,201,'SÃO LUIZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3036979,7.00,7.00,8.00,8.00,7.00,6.00,5.00,9.00,7.00,5,NULL,NULL,'SÃO SIMÃO','CRICIÚMA','SC',871,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3036987,6.00,6.00,4.00,8.00,7.00,7.00,4.00,7.00,5.00,340,NULL,NULL,'FEDERAÇAO','SALVADOR','BA',4294,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3036995,4.00,3.00,2.00,4.00,8.00,4.75,1.00,2.00,5.00,103,NULL,NULL,'CENTRO','GARUVA','SC',14815,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3037002,5.00,5.00,2.00,5.00,2.00,NULL,2.00,7.00,2.00,203,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3037037,4.00,5.00,4.00,8.00,6.00,4.75,4.00,5.00,3.00,101,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',10082,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3037061,7.00,4.00,4.00,7.00,5.00,5.50,4.00,5.00,5.00,238,NULL,213,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',8148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037070,3.00,4.00,3.00,6.00,5.00,7.00,2.00,6.00,3.00,203,NULL,220,'TRINDADE','FLORIANÓPOLIS','SC',12573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037088,6.00,6.00,2.00,6.00,4.00,5.50,2.00,4.00,7.00,9,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',11198,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3037096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3037100,9.00,7.00,3.00,9.00,9.00,7.25,4.00,9.00,8.00,103,NULL,NULL,'JD SAN FERNANDO','LONDRINA','PR',753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037118,5.00,6.00,5.00,9.00,7.00,6.75,3.00,8.00,7.00,207,NULL,201,'ANITA GARIBALDI','JOINVILLE','SC',2416,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3037126,5.00,3.00,4.00,5.00,3.00,NULL,3.00,5.00,5.00,301,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037134,3.00,6.00,2.00,7.00,4.00,4.75,2.00,7.00,3.00,326,NULL,NULL,'PERDIZES','S PAULO','SP',12836,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3037150,6.00,4.00,3.00,3.00,5.00,4.25,3.00,3.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',12418,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3037169,5.00,4.00,3.00,6.00,4.00,5.00,2.00,7.00,5.00,303,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037177,6.00,4.00,3.00,8.00,5.00,5.00,5.00,6.00,8.00,203,NULL,214,'CENTRO','CONCÓRDIA','SC',5697,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3037185,3.00,7.00,4.00,8.00,6.00,6.00,5.00,7.00,4.00,220,NULL,203,'XV DE NOVEMBRO','TIJUCAS','SC',6405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3037193,7.00,6.00,4.00,8.00,5.00,5.00,5.00,5.00,4.00,3,NULL,NULL,'CHACARA DAS PEDRAS','PTO ALEGRE','RS',5932,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3037207,4.00,3.00,2.00,0.00,3.00,NULL,1.00,5.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3037215,4.00,6.00,4.00,2.00,3.00,NULL,2.00,8.00,4.00,304,NULL,NULL,'URUSSANGUINHA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3037240,7.00,6.00,4.00,7.00,4.00,6.50,2.00,9.00,7.00,103,NULL,NULL,'CEILÂNDIA','CEILANDIA','DF',5530,1595,NULL,NULL,NULL,NULL,NULL,4,4),(16,3037258,3.00,4.00,5.00,3.00,3.00,NULL,3.00,7.00,4.00,502,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037274,4.00,1.00,2.00,5.00,5.00,5.75,2.00,5.00,4.00,101,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',14946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3037290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,208,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3037312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3037320,6.00,5.00,5.00,9.00,8.00,5.00,6.00,7.00,6.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',2743,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3037339,3.00,5.00,1.00,6.00,4.00,NULL,2.00,1.00,3.00,207,NULL,NULL,'JOSÉ AMÂNDIO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3037347,2.00,3.00,2.00,2.00,4.00,NULL,3.00,3.00,4.00,220,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037355,4.00,3.00,2.00,9.00,5.00,5.25,3.00,6.00,3.00,103,NULL,NULL,'SANTA MARIA','CHAPECó','SC',11531,2388,NULL,NULL,NULL,NULL,NULL,2,4),(16,3037363,4.00,5.00,1.00,8.00,1.00,NULL,0.00,4.00,4.00,216,NULL,211,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3037371,4.00,5.00,2.00,8.00,3.00,NULL,2.00,7.00,1.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037380,3.00,4.00,2.00,4.00,5.00,5.75,3.00,4.00,4.00,104,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',15047,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3037398,6.00,6.00,7.00,7.00,5.00,7.00,2.00,5.00,7.00,103,NULL,NULL,'VILA MARGARIDA','OURINHOS','SP',4354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037401,6.00,6.00,8.00,9.00,7.00,5.50,4.00,5.00,7.00,216,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',3791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037410,8.00,7.00,6.00,8.00,6.00,5.50,4.00,7.00,7.00,102,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',2482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037428,3.00,5.00,5.00,2.00,5.00,5.75,4.00,3.00,4.00,203,NULL,NULL,'NATUREZA','ITÁ','SC',13268,823,NULL,NULL,NULL,NULL,NULL,4,4),(16,3037436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,203,'VILLAS DO ATLÂNTICO','LAURO FREITAS','BA',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3037444,5.00,8.00,4.00,8.00,5.00,6.25,2.00,7.00,5.00,340,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',6215,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3037452,4.00,2.00,1.00,5.00,5.00,NULL,2.00,4.00,1.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037460,4.00,7.00,3.00,7.00,4.00,3.25,4.00,6.00,2.00,203,NULL,220,'CENTRO','CPO NOVO PARECIS','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3037479,8.00,7.00,6.00,7.00,7.00,5.50,6.00,9.00,7.00,211,NULL,202,'ESTREITO','FLORIANóPOLIS','SC',975,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3037487,5.00,4.00,2.00,4.00,4.00,5.50,1.00,4.00,4.00,444,NULL,NULL,'CENTRO','CURITIBANOS','SC',15434,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3037495,4.00,2.00,3.00,2.00,2.00,NULL,3.00,4.00,2.00,207,NULL,NULL,'SAO FRANCISCO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3037509,6.00,4.00,5.00,7.00,5.00,4.50,4.00,7.00,6.00,3,NULL,NULL,'AREIAS','S JOSé','SC',6648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3037517,2.00,6.00,2.00,7.00,4.00,6.00,2.00,7.00,4.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037525,8.00,8.00,8.00,9.00,8.00,5.25,6.00,9.00,8.00,103,NULL,NULL,'CLAUDETE','CASCAVEL','PR',244,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3037533,8.00,7.00,6.00,8.00,6.00,6.00,5.00,5.00,5.00,214,NULL,203,'SANTA MARIA','UBERLâNDIA','MG',2740,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3037541,5.00,7.00,8.00,8.00,5.00,5.50,3.00,7.00,5.00,201,NULL,203,'URBANOVA','S JOSÉ CAMPOS','SP',4088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037550,5.00,4.00,4.00,7.00,7.00,4.75,3.00,4.00,6.00,453,NULL,NULL,'SACO DOS LIMÕES','FLORIANóPOLIS','SC',9199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3037592,5.00,6.00,3.00,7.00,8.00,6.50,5.00,7.00,6.00,216,NULL,233,'CENTRO','PINHEIRO PRETO','SC',4829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3037622,3.00,4.00,1.00,6.00,3.00,NULL,3.00,2.00,2.00,420,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037630,3.00,7.00,3.00,7.00,6.00,5.00,2.00,7.00,4.00,424,NULL,426,'CACUPE','FLORIANÓPOLIS','SC',9927,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3037665,4.00,3.00,3.00,8.00,5.00,5.25,2.00,6.00,2.00,319,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',13110,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3037673,7.00,7.00,7.00,9.00,8.00,6.00,3.00,7.00,7.00,303,NULL,NULL,'CENTRO','LAGES','SC',1578,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3037690,7.00,5.00,5.00,7.00,8.00,7.00,4.00,7.00,6.00,203,NULL,220,'CENTRO','CONCóRDIA','SC',3458,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3037703,6.00,6.00,5.00,8.00,6.00,5.00,4.00,7.00,4.00,103,NULL,NULL,'GIOPPO','CAçADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3037746,7.00,8.00,5.00,7.00,6.00,5.50,3.00,6.00,6.00,201,NULL,233,'CENTRO','TURVO','SC',4627,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3037754,3.00,2.00,3.00,8.00,5.00,5.00,4.00,5.00,4.00,340,NULL,NULL,'CENTRO','CONCÓRDIA','SC',11659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3037762,9.00,7.00,9.00,9.00,6.00,6.50,6.00,8.00,8.00,220,NULL,201,'PANTANAL','FLORIANóPOLIS','SC',300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037789,6.00,5.00,4.00,7.00,7.00,5.50,3.00,6.00,5.00,216,NULL,215,'VALE DOS VINHEDOS','BENTO GONÇALVES','RS',7121,259,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037797,6.00,7.00,5.00,9.00,7.00,4.75,3.00,7.00,4.00,220,NULL,202,'VILA RIGUETTI','RANCHARIA','SP',4604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA SANTO ANTÔNIO','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3037827,8.00,9.00,8.00,8.00,8.00,6.25,7.00,8.00,6.00,203,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037835,7.00,6.00,6.00,9.00,9.00,6.00,2.00,5.00,5.00,415,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',4082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037851,6.00,4.00,4.00,7.00,7.00,6.25,5.00,3.00,4.00,215,NULL,201,'PEDRA BRANCA','PALHOçA','SC',7749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037886,5.00,6.00,5.00,7.00,5.00,6.25,4.00,5.00,5.00,302,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037894,5.00,6.00,2.00,8.00,4.00,NULL,0.00,7.00,4.00,424,NULL,425,'CACUPE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3037908,4.00,4.00,6.00,7.00,5.00,4.00,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','SIQUEIRA CAMPOS','PR',9341,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3037916,7.00,8.00,5.00,9.00,8.00,8.00,7.00,7.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037924,4.00,8.00,4.00,9.00,5.00,6.25,2.00,9.00,6.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4487,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3037932,8.00,7.00,2.00,7.00,3.00,NULL,3.00,5.00,5.00,2,NULL,NULL,'ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'BOQUEIRAO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3037959,2.00,5.00,3.00,4.00,3.00,NULL,3.00,3.00,2.00,202,NULL,220,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3037967,9.00,7.00,7.00,8.00,8.00,7.00,5.00,5.00,8.00,103,NULL,NULL,'JARDIM VERANEIO','CPO GRANDE','MS',1021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037975,5.00,2.00,4.00,2.00,3.00,NULL,4.00,5.00,3.00,211,NULL,208,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3037983,5.00,8.00,5.00,8.00,7.00,6.25,3.00,8.00,7.00,103,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',2448,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3038009,6.00,5.00,6.00,8.00,7.00,4.50,5.00,5.00,3.00,301,NULL,NULL,'JARDIM BELGICA','S PAULO','SP',5314,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3038017,3.00,4.00,5.00,8.00,3.00,NULL,3.00,3.00,4.00,223,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038025,4.00,5.00,4.00,7.00,5.00,5.50,4.00,4.00,5.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038033,9.00,9.00,8.00,8.00,8.00,6.00,8.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038041,6.00,6.00,7.00,3.00,6.00,6.25,6.00,7.00,7.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',3979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038050,6.00,6.00,6.00,8.00,3.00,NULL,3.00,6.00,4.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038068,6.00,6.00,3.00,6.00,6.00,6.50,3.00,7.00,4.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3038084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LOS ANGELES','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3038092,4.00,2.00,2.00,8.00,4.00,5.25,2.00,4.00,3.00,202,NULL,220,'AMÉRICA','JOINVILLE','SC',15164,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3038106,3.00,4.00,4.00,4.00,6.00,6.00,1.00,5.00,3.00,502,NULL,NULL,'BARREIROS','S JOSÉ','SC',13039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038122,2.00,6.00,1.00,8.00,5.00,5.50,3.00,7.00,3.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3038157,5.00,4.00,3.00,3.00,7.00,7.00,3.00,3.00,3.00,103,NULL,NULL,'JARDIM TURMALINAS','STA BÁRBARA D OESTE','SP',12593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038165,7.00,7.00,4.00,6.00,5.00,6.00,1.00,4.00,5.00,216,NULL,NULL,'BELA VISTA','GASPAR','SC',8055,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3038173,2.00,3.00,2.00,2.00,2.00,NULL,2.00,5.00,2.00,501,NULL,NULL,'CINQUENTENARIO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3038181,4.00,8.00,7.00,8.00,8.00,6.75,3.00,9.00,4.00,451,NULL,NULL,'OFICINAS','TUBARÃO','SC',2753,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3038190,3.00,6.00,3.00,6.00,6.00,4.75,3.00,6.00,5.00,203,NULL,201,'JARDIM DOS PRINCIPES','UMUARAMA','PR',9387,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3038203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SANTO INÁCIO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3038211,4.00,4.00,2.00,9.00,8.00,8.00,2.00,8.00,3.00,425,NULL,428,'COQUEIROS','FLORIANÓPOLIS','SC',7223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038220,2.00,2.00,2.00,3.00,4.00,NULL,1.00,5.00,1.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038246,5.00,4.00,1.00,6.00,8.00,5.00,3.00,6.00,6.00,444,NULL,NULL,'ABRAÃO','FLORIANóPOLIS','SC',9289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038254,4.00,4.00,2.00,6.00,7.00,5.50,0.00,6.00,4.00,303,NULL,NULL,'PRADO','BIGUAÇU','SC',13545,591,NULL,NULL,NULL,NULL,NULL,2,1),(16,3038262,8.00,8.00,7.00,9.00,8.00,6.50,4.00,8.00,7.00,303,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038270,4.00,6.00,3.00,8.00,5.00,5.50,1.00,5.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038289,7.00,4.00,7.00,5.00,7.00,4.50,8.00,8.00,7.00,203,NULL,214,'VELHA','BLUMENAU','SC',2374,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3038297,9.00,6.00,9.00,8.00,6.00,5.50,6.00,9.00,7.00,103,NULL,NULL,'JARDIM KENNEDY','CUIABÁ','MT',623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038300,2.00,5.00,3.00,5.00,7.00,4.25,3.00,6.00,2.00,324,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',14304,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3038319,3.00,6.00,4.00,5.00,3.00,NULL,2.00,6.00,5.00,208,NULL,203,'JD CERRO AZUL','MARINGá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038327,7.00,8.00,4.00,9.00,8.00,6.00,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2405,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3038335,5.00,5.00,3.00,8.00,7.00,5.00,3.00,6.00,3.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANóPOLIS','SC',8911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3038360,8.00,7.00,5.00,8.00,7.00,7.00,5.00,7.00,8.00,201,NULL,207,'TRINDADE','FLORIANÓPOLIS','SC',1136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038378,3.00,6.00,4.00,9.00,7.00,7.50,2.00,7.00,3.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038386,7.00,6.00,8.00,8.00,7.00,5.75,5.00,8.00,8.00,103,NULL,NULL,'MOGILAR','MOGI CRUZES','SP',960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038394,4.00,4.00,4.00,7.00,4.00,4.00,4.00,6.00,5.00,203,NULL,202,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3038408,6.00,7.00,6.00,6.00,3.00,NULL,3.00,8.00,5.00,201,NULL,212,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038416,6.00,4.00,4.00,6.00,5.00,5.00,3.00,5.00,3.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11811,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3038424,4.00,5.00,3.00,9.00,7.00,4.50,3.00,9.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3038440,4.00,8.00,6.00,10.00,5.00,4.75,4.00,8.00,3.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',4610,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3038459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,203,'VILA BRUNHARI','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3038483,8.00,9.00,6.00,8.00,7.00,5.75,7.00,9.00,7.00,208,NULL,203,'GLÓRIA','JOINVILLE','SC',474,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3038491,3.00,4.00,4.00,1.00,6.00,8.00,5.00,6.00,5.00,104,NULL,NULL,'STO ANTONIO PADUA','TUBARãO','SC',11513,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3038505,1.00,5.00,3.00,6.00,2.00,NULL,1.00,4.00,2.00,503,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3038513,6.00,6.00,5.00,9.00,7.00,5.75,3.00,8.00,5.00,415,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',4359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038521,5.00,5.00,5.00,8.00,4.00,4.25,3.00,6.00,5.00,203,NULL,214,'ICOARACI','BELÉM','PA',9623,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3038530,8.00,9.00,7.00,6.00,5.00,5.00,6.00,8.00,6.00,220,NULL,202,'JARDIM MALUCHE','BRUSQUE','SC',2249,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3038548,9.00,6.00,8.00,8.00,4.00,6.00,7.00,4.00,7.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',1923,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3038564,3.00,3.00,1.00,6.00,5.00,NULL,0.00,3.00,3.00,319,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3038572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3038580,6.00,5.00,6.00,10.00,5.00,5.00,3.00,8.00,5.00,318,NULL,NULL,'CENTRO','PTO ALEGRE','RS',4322,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3038599,2.00,3.00,2.00,3.00,1.00,NULL,3.00,3.00,3.00,211,NULL,216,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3038610,3.00,2.00,2.00,7.00,5.00,5.50,3.00,4.00,4.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',15446,394,NULL,NULL,NULL,NULL,NULL,2,1),(16,3038629,4.00,6.00,5.00,2.00,5.00,5.25,3.00,5.00,5.00,302,NULL,NULL,'SERRARIA','S JOSÉ','SC',11431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038637,6.00,4.00,4.00,6.00,7.00,5.75,4.00,9.00,5.00,220,NULL,214,'CENTRO','GAROPABA','SC',6552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038645,8.00,7.00,6.00,7.00,7.00,7.50,2.00,7.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038653,4.00,4.00,6.00,7.00,6.00,6.00,4.00,6.00,5.00,319,NULL,NULL,'BELA VISTA','S JOSÉ','SC',6406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038661,2.00,3.00,5.00,6.00,4.00,4.00,4.00,5.00,6.00,216,NULL,220,'SETOR FUNCIONARIOS','GOIÂNIA','GO',11174,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3038670,5.00,5.00,6.00,6.00,4.00,4.75,2.00,5.00,2.00,317,NULL,NULL,'JARDIM JANAÍNA','BIGUAÇU','SC',11686,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3038688,5.00,7.00,5.00,4.00,7.00,6.00,4.00,3.00,6.00,102,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',7977,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3038696,4.00,4.00,6.00,5.00,4.00,4.00,5.00,5.00,4.00,201,NULL,202,'CANTO','FLORIANóPOLIS','SC',11227,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3038700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,NULL,'COPACABANA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3038718,2.00,6.00,4.00,7.00,7.00,7.00,3.00,6.00,5.00,340,NULL,NULL,'CENTRO','BLUMENAU','SC',7948,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3038726,9.00,9.00,7.00,8.00,9.00,8.25,7.00,8.00,9.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',32,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038750,7.00,9.00,6.00,9.00,7.00,6.50,6.00,7.00,6.00,238,NULL,202,'JOSÉ MENDES','FLORIANÓPOLIS','SC',951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038769,5.00,2.00,3.00,3.00,5.00,4.50,2.00,5.00,2.00,103,NULL,NULL,'MATHIAS VELHO','CANOAS','RS',16339,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3038777,5.00,7.00,2.00,6.00,4.00,5.00,2.00,6.00,3.00,326,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',11138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038785,5.00,6.00,4.00,9.00,5.00,6.75,3.00,7.00,5.00,108,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',6134,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3038793,5.00,3.00,1.00,6.00,5.00,6.25,1.00,3.00,2.00,450,NULL,NULL,'ASILO','BLUMENAU','SC',16275,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3038807,5.00,5.00,4.00,9.00,5.00,5.75,3.00,5.00,3.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038823,2.00,3.00,2.00,2.00,2.00,NULL,3.00,7.00,1.00,103,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3038831,7.00,6.00,5.00,9.00,6.00,5.50,4.00,4.00,5.00,103,NULL,NULL,'SÃO LUÍS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3038840,4.00,4.00,2.00,6.00,6.00,5.25,6.00,5.00,3.00,211,NULL,215,'CENTRO','PATO BRANCO','PR',10980,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3038858,7.00,8.00,5.00,7.00,7.00,6.25,4.00,8.00,7.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',2262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038866,2.00,4.00,3.00,5.00,3.00,NULL,2.00,4.00,2.00,102,NULL,NULL,'TRÊS PALMEIRAS','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3038874,6.00,5.00,4.00,8.00,3.00,NULL,2.00,7.00,6.00,304,NULL,NULL,'ZONA SETE','MARINGá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3038882,7.00,7.00,7.00,8.00,8.00,6.75,4.00,8.00,8.00,3,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038890,3.00,2.00,1.00,5.00,4.00,7.50,2.00,3.00,5.00,303,NULL,NULL,'SERRARIAS','S JOSÉ','SC',15756,681,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038904,5.00,5.00,1.00,5.00,3.00,NULL,2.00,4.00,4.00,501,NULL,NULL,'SÃO MARCOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3038912,6.00,5.00,1.00,8.00,2.00,NULL,3.00,4.00,2.00,104,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3038920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3038939,3.00,7.00,6.00,8.00,8.00,8.00,3.00,8.00,5.00,238,NULL,208,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',3446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038947,4.00,4.00,3.00,7.00,4.00,5.75,2.00,4.00,3.00,233,NULL,214,'JARDIM AMÉRICA','FOZ IGUAÇU','PR',14031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3038955,4.00,1.00,3.00,1.00,2.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','PTE SERRADA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,7),(16,3038963,3.00,3.00,3.00,6.00,2.00,NULL,3.00,3.00,3.00,316,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3038980,5.00,7.00,4.00,7.00,5.00,4.25,5.00,6.00,7.00,201,NULL,214,'BARRA DO ARIRIÚ','PALHOÇA','SC',5423,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3038998,7.00,6.00,3.00,6.00,7.00,5.75,4.00,7.00,4.00,238,NULL,208,'RIO GRANDE','PALHOÇA','SC',6722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039005,8.00,4.00,5.00,8.00,6.00,5.25,5.00,8.00,8.00,211,NULL,216,'AMÉRICA','JOINVILLE','SC',3221,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3039013,5.00,3.00,3.00,5.00,2.00,NULL,2.00,4.00,5.00,304,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3039021,3.00,2.00,3.00,2.00,0.00,NULL,2.00,1.00,2.00,444,NULL,NULL,'COSTEIRA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3039030,5.00,4.00,4.00,5.00,6.00,6.75,3.00,5.00,3.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11149,294,NULL,NULL,NULL,NULL,NULL,2,1),(16,3039048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILLA ADYANNA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3039056,3.00,5.00,1.00,2.00,1.00,NULL,4.00,3.00,2.00,309,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039064,2.00,0.00,1.00,0.00,0.00,NULL,2.00,0.00,1.00,319,NULL,NULL,'PIONEIROS','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3039080,9.00,9.00,8.00,9.00,8.00,7.00,8.00,9.00,9.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',16,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039099,6.00,4.00,4.00,7.00,5.00,6.00,1.00,4.00,4.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11057,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3039102,3.00,7.00,1.00,8.00,5.00,5.50,2.00,6.00,2.00,327,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',12738,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3039110,2.00,4.00,1.00,0.00,0.00,NULL,2.00,5.00,0.00,304,NULL,NULL,'VALPARAISO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3039129,3.00,3.00,4.00,4.00,3.00,NULL,2.00,4.00,4.00,319,NULL,NULL,'JORDÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3039137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3039153,5.00,6.00,5.00,3.00,4.00,5.25,4.00,7.00,5.00,212,NULL,214,'SOCOMIM','TELÊMACO BORBA','PR',7844,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3039161,7.00,7.00,6.00,9.00,8.00,5.00,4.00,8.00,6.00,428,NULL,421,'ANITA GARIBALDI','JOINVILLE','SC',1651,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3039170,7.00,8.00,6.00,9.00,8.00,5.75,6.00,8.00,7.00,450,NULL,NULL,'SAÚDE','S PAULO','SP',848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039196,4.00,5.00,2.00,7.00,4.00,5.25,2.00,8.00,2.00,317,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',13699,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3039200,4.00,8.00,4.00,6.00,7.00,6.75,5.00,6.00,3.00,225,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',6728,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3039218,4.00,2.00,3.00,3.00,2.00,NULL,1.00,4.00,2.00,207,NULL,201,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039226,4.00,3.00,5.00,4.00,3.00,NULL,1.00,5.00,2.00,208,NULL,238,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039234,4.00,2.00,4.00,9.00,7.00,8.00,4.00,6.00,6.00,450,NULL,NULL,'SANTO ANTÔNIO','LOUVEIRA','SP',5253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039242,4.00,4.00,3.00,2.00,3.00,NULL,2.00,5.00,2.00,203,NULL,213,'PESCARIA BRAVA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3039250,4.00,7.00,1.00,7.00,4.00,4.00,1.00,4.00,5.00,207,NULL,201,'CASTELO BRANCO','ITAPEMA','SC',13839,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(16,3039277,4.00,5.00,4.00,6.00,6.00,6.25,4.00,8.00,2.00,238,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039285,3.00,2.00,1.00,2.00,4.00,NULL,3.00,4.00,3.00,203,NULL,220,'JARDIM PÉROLA','STA BÁRBARA D OESTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039293,5.00,4.00,4.00,4.00,4.00,4.25,4.00,6.00,5.00,225,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11557,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3039307,6.00,7.00,4.00,7.00,7.00,5.25,5.00,5.00,5.00,317,NULL,NULL,'FÁTIMA','FLORIANÓPOLIS','SC',5890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3039323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ROCIO GRANDE','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3039331,8.00,5.00,4.00,9.00,8.00,7.00,4.00,7.00,5.00,450,NULL,NULL,'ANATOLIA','JOÃO PESSOA','PB',2464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039340,3.00,5.00,3.00,7.00,5.00,5.75,2.00,6.00,4.00,318,NULL,NULL,'VILA GUILHERME','S PAULO','SP',10851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039366,7.00,8.00,6.00,8.00,7.00,7.25,6.00,8.00,8.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039374,4.00,3.00,2.00,5.00,1.00,NULL,4.00,3.00,3.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3039382,2.00,4.00,1.00,2.00,2.00,NULL,2.00,4.00,4.00,215,NULL,212,'DOM BENJAMIM','TERRA N NORTE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3039390,5.00,3.00,4.00,6.00,5.00,4.75,4.00,4.00,4.00,303,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',12165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3039404,3.00,6.00,3.00,8.00,4.00,5.25,1.00,6.00,3.00,340,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',12756,396,NULL,NULL,NULL,NULL,NULL,4,10),(16,3039420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM ELIANE','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3039439,4.00,5.00,7.00,7.00,6.00,5.75,4.00,5.00,2.00,220,NULL,213,'CENTRO','S SEBASTIÃO PARAÍSO','MG',7917,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3039447,7.00,7.00,6.00,9.00,6.00,5.50,4.00,8.00,6.00,203,NULL,214,'CENTRO','S JOSÉ PINHAIS','PR',2023,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3039471,0.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(16,3039480,6.00,8.00,7.00,8.00,7.00,6.00,5.00,7.00,4.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039501,4.00,7.00,5.00,5.00,6.00,4.00,2.00,7.00,2.00,220,NULL,203,'CENTRO','UNIÃO VITÓRIA','PR',9589,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3039510,3.00,5.00,6.00,6.00,5.00,4.25,3.00,8.00,3.00,317,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',10348,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3039528,5.00,3.00,5.00,6.00,4.00,5.00,2.00,3.00,2.00,316,NULL,NULL,'FLORESTA','S JOSÉ','SC',14641,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3039536,7.00,4.00,7.00,5.00,6.00,5.50,3.00,7.00,6.00,101,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039544,7.00,7.00,6.00,7.00,6.00,7.25,3.00,6.00,4.00,415,NULL,NULL,'JARDIM GUANABARA','CAMPINAS','SP',3753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039552,9.00,9.00,6.00,8.00,7.00,7.75,7.00,8.00,9.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3039579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'JAGUARIBE','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3039587,5.00,6.00,3.00,5.00,5.00,4.50,3.00,5.00,2.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12653,545,NULL,NULL,NULL,NULL,NULL,2,1),(16,3039609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3039617,3.00,6.00,2.00,8.00,5.00,4.75,3.00,6.00,3.00,319,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',11272,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3039625,4.00,5.00,2.00,4.00,6.00,5.50,3.00,6.00,6.00,207,NULL,201,'MAGALHÃES','LAGUNA','SC',10727,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3039633,3.00,3.00,1.00,2.00,2.00,NULL,1.00,0.00,1.00,428,NULL,426,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3039641,7.00,5.00,5.00,6.00,5.00,6.00,4.00,7.00,7.00,103,NULL,NULL,'COLORADO','STO ANTÔNIO PLATINA','PR',5301,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3039650,5.00,6.00,6.00,4.00,6.00,5.00,4.00,6.00,5.00,103,NULL,NULL,'SAO JOAO','ITAJAÍ','SC',6723,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3039676,3.00,1.00,1.00,5.00,4.00,NULL,1.00,3.00,2.00,207,NULL,201,'RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3039730,5.00,6.00,4.00,8.00,5.00,6.00,2.00,8.00,6.00,203,NULL,214,'SÃO JOÃO','BRUSQUE','SC',6390,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3039749,6.00,4.00,5.00,5.00,5.00,5.00,2.00,3.00,2.00,501,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',13048,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3039757,4.00,5.00,5.00,3.00,3.00,NULL,4.00,6.00,4.00,201,NULL,233,'JARDIM HIKARI','BASTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3039773,5.00,6.00,3.00,4.00,2.00,NULL,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3039781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3039790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3039803,5.00,7.00,6.00,8.00,8.00,6.00,2.00,6.00,6.00,233,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',4571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3039811,4.00,4.00,2.00,5.00,4.00,5.50,3.00,4.00,3.00,212,NULL,201,'VILA BALISA','GAURAMA','RS',14388,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3039838,6.00,8.00,5.00,9.00,6.00,5.75,4.00,7.00,7.00,207,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',2684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039846,5.00,7.00,4.00,7.00,5.00,5.00,3.00,7.00,5.00,202,NULL,213,'CAMPECHE','FLORIANÓPOLIS','SC',6361,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3039854,4.00,5.00,5.00,6.00,7.00,7.50,5.00,8.00,3.00,104,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',5226,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3039862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO CIVICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3039870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3039897,5.00,0.00,2.00,6.00,5.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3039900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CIDADE NOVA','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3039919,4.00,3.00,2.00,5.00,2.00,NULL,0.00,2.00,2.00,451,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3039927,6.00,4.00,2.00,9.00,6.00,4.25,4.00,4.00,6.00,208,NULL,238,'COQUEIROS','FLORIANÓPOLIS','SC',9111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039935,6.00,6.00,5.00,9.00,4.00,6.00,4.00,8.00,6.00,333,NULL,NULL,'FLORESTA','S JOSÉ','SC',4531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3039943,5.00,6.00,3.00,7.00,4.00,4.50,3.00,6.00,3.00,453,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',11874,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3039960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3039978,9.00,8.00,5.00,9.00,6.00,6.25,7.00,9.00,9.00,220,NULL,201,'CENTRO','SALTINHO','SC',387,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3039986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA IDA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3039994,4.00,2.00,1.00,5.00,4.00,4.25,3.00,3.00,4.00,224,NULL,NULL,'SÃO FRANCISCO DE ASS','BRAÇO NORTE','SC',16241,26,NULL,NULL,NULL,NULL,NULL,2,10),(16,3040003,3.00,5.00,4.00,6.00,4.00,5.00,4.00,6.00,4.00,104,NULL,NULL,'NOSSA SRA APARECIDA','FRANCISCO BELTRÃO','PR',9559,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3040011,4.00,3.00,2.00,2.00,2.00,NULL,3.00,2.00,2.00,317,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3040020,6.00,7.00,4.00,9.00,6.00,5.25,3.00,5.00,1.00,213,NULL,214,'JARDIM ESPLANADA','S JOSÉ CAMPOS','SP',7284,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3040054,6.00,4.00,5.00,5.00,4.00,4.50,4.00,6.00,4.00,103,NULL,NULL,'RECOUÇAS','CURITIBA','PR',11001,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3040062,5.00,7.00,6.00,7.00,6.00,6.00,2.00,6.00,6.00,108,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',5376,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3040070,5.00,7.00,2.00,6.00,5.00,6.25,3.00,6.00,6.00,205,NULL,NULL,'CENTRO','CARLOS BARBOSA','RS',8254,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3040089,0.00,3.00,2.00,0.00,2.00,NULL,1.00,3.00,2.00,9,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3040097,4.00,5.00,3.00,5.00,6.00,5.00,5.00,5.00,5.00,101,NULL,NULL,'OFICINAS','TUBARÃO','SC',9818,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3040119,4.00,4.00,2.00,5.00,3.00,NULL,1.00,6.00,4.00,5,NULL,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3040127,8.00,4.00,1.00,6.00,7.00,6.00,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',10149,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3040135,3.00,5.00,1.00,6.00,3.00,NULL,3.00,7.00,3.00,340,NULL,NULL,'BELA VISTA','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3040143,3.00,1.00,5.00,5.00,7.00,5.25,2.00,3.00,2.00,101,NULL,NULL,'LAGO NORTE','LG NORTE','DF',15468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040178,6.00,8.00,4.00,8.00,6.00,6.50,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4207,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3040186,4.00,4.00,4.00,3.00,3.00,NULL,2.00,3.00,2.00,201,NULL,NULL,'JARDIM ZANELLATO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3040194,5.00,9.00,5.00,9.00,5.00,5.00,3.00,9.00,8.00,108,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',2471,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3040208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3040216,4.00,2.00,3.00,1.00,3.00,NULL,4.00,4.00,5.00,103,NULL,NULL,'SÃO CRISTÓVÃO','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3040224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3040240,5.00,7.00,5.00,2.00,3.00,NULL,2.00,8.00,3.00,202,NULL,203,'SÃO FANCISCO DE ASSI','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3040259,2.00,4.00,2.00,4.00,3.00,NULL,2.00,2.00,1.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3040267,6.00,7.00,6.00,4.00,5.00,6.00,4.00,6.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040283,7.00,8.00,4.00,2.00,6.00,6.50,2.00,6.00,5.00,317,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',8519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040291,2.00,3.00,2.00,4.00,4.00,NULL,2.00,3.00,2.00,214,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3040321,5.00,5.00,4.00,4.00,5.00,4.25,5.00,3.00,4.00,333,NULL,NULL,'JD AMERICA','MARíLIA','SP',11023,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3040330,4.00,3.00,4.00,3.00,3.00,NULL,5.00,2.00,5.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040348,4.00,5.00,4.00,2.00,2.00,NULL,2.00,4.00,2.00,5,NULL,NULL,'FAZ SANTO ANTONIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3040364,2.00,4.00,3.00,4.00,0.00,NULL,2.00,2.00,1.00,208,NULL,201,'CENTRO','CRISSIUMAL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3040372,6.00,6.00,4.00,9.00,7.00,5.50,4.00,5.00,3.00,220,NULL,238,'VILA ESPERANÇA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3040380,7.00,6.00,2.00,9.00,6.00,5.75,3.00,8.00,5.00,304,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',5685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040402,4.00,2.00,3.00,1.00,6.00,6.50,4.00,5.00,4.00,102,NULL,NULL,'CENTRO','ERECHIM','RS',14489,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3040410,6.00,7.00,2.00,8.00,7.00,5.00,5.00,7.00,5.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',5624,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3040429,9.00,6.00,5.00,7.00,7.00,7.25,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','CAÇADOR','SC',1708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040437,3.00,1.00,2.00,1.00,3.00,NULL,1.00,3.00,2.00,421,NULL,424,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3040453,7.00,7.00,7.00,2.00,7.00,5.25,3.00,7.00,6.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',5608,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3040496,8.00,8.00,7.00,9.00,8.00,6.00,4.00,8.00,8.00,220,NULL,202,'BARBOSA','MARÍLIA','SP',744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'BOM PASTOR','MANHUAÇU','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3040518,2.00,0.00,2.00,3.00,5.00,NULL,2.00,4.00,2.00,108,NULL,NULL,'HUMAITA DE CIMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3040526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'LAGO NORTE','LG NORTE','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3040534,5.00,6.00,2.00,9.00,7.00,4.25,3.00,5.00,5.00,319,NULL,NULL,'JD TROPICAL','MARÍLIA','SP',6211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040542,3.00,5.00,3.00,8.00,3.00,NULL,2.00,7.00,3.00,214,NULL,201,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3040550,6.00,6.00,4.00,7.00,6.00,6.00,4.00,6.00,5.00,104,NULL,NULL,'CENTRO','BOMBINHAS','SC',6206,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3040569,5.00,5.00,3.00,1.00,4.00,5.75,4.00,6.00,7.00,103,NULL,NULL,'BOSQUE DA SAUDE','S PAULO','SP',12406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040577,5.00,8.00,5.00,7.00,6.00,6.25,4.00,7.00,5.00,318,NULL,NULL,'CAMPINAS','S JOSé','SC',4371,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3040585,3.00,3.00,2.00,0.00,4.00,NULL,2.00,5.00,5.00,301,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040593,2.00,7.00,3.00,8.00,5.00,6.75,3.00,5.00,3.00,5,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',10098,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3040607,8.00,5.00,9.00,4.00,4.00,4.00,4.00,7.00,4.00,203,NULL,214,'MONTOLAR','MARÍLIA','SP',5939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040615,4.00,2.00,3.00,3.00,3.00,NULL,3.00,4.00,3.00,450,NULL,NULL,'CENTRO','MARÍLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040623,9.00,7.00,8.00,7.00,8.00,6.75,4.00,8.00,6.00,203,NULL,233,'COQUEIROS','FLORIANÓPOLIS','SC',1247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040631,4.00,6.00,2.00,8.00,6.00,5.50,3.00,7.00,3.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040640,5.00,5.00,2.00,7.00,7.00,5.50,2.00,8.00,4.00,303,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3040658,7.00,6.00,3.00,7.00,8.00,7.00,4.00,8.00,7.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',3067,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3040666,4.00,5.00,2.00,4.00,5.00,4.50,3.00,6.00,4.00,103,NULL,NULL,'PROGRESSO','BLUMENAU','SC',14100,2623,NULL,NULL,NULL,NULL,NULL,2,2),(16,3040674,3.00,5.00,3.00,8.00,4.00,6.50,4.00,6.00,7.00,104,NULL,NULL,'SANTA MÕNICA','FRAIBURGO','SC',6462,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3040682,6.00,6.00,6.00,6.00,6.00,5.50,3.00,8.00,5.00,103,NULL,NULL,'CENTRO','FRAIBURGO','SC',5294,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3040690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3040704,5.00,5.00,3.00,8.00,7.00,5.75,4.00,7.00,6.00,207,NULL,201,'CENTRO','PATO BRANCO','PR',6356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3040712,7.00,7.00,7.00,8.00,7.00,7.00,5.00,8.00,8.00,216,NULL,211,'PITUBA','SALVADOR','BA',1135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040755,5.00,4.00,4.00,4.00,3.00,NULL,2.00,3.00,1.00,303,NULL,NULL,'ITAJUBA','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3040763,8.00,5.00,8.00,7.00,6.00,6.50,3.00,6.00,7.00,103,NULL,NULL,'BARREIRINHA','CURITIBA','PR',2303,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3040771,7.00,5.00,2.00,2.00,6.00,7.00,2.00,5.00,5.00,102,NULL,NULL,'PRIMEIRA LINHA','CRICIÚMA','SC',11056,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3040780,7.00,6.00,4.00,9.00,7.00,5.50,4.00,7.00,6.00,9,NULL,NULL,'IPIRANGA','S JOSÉ','SC',3178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3040798,6.00,5.00,4.00,3.00,5.00,5.50,3.00,4.00,6.00,201,NULL,215,'CANASVIEIRAS','FLORIANÓPOLIS','SC',11915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040801,6.00,6.00,5.00,8.00,7.00,4.00,4.00,8.00,8.00,211,NULL,233,'AGRONÔMICA','FLORIANÓPOLIS','SC',3205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040810,2.00,2.00,2.00,2.00,2.00,NULL,2.00,1.00,4.00,102,NULL,NULL,'SAGRADO CORAÇÃO DE J','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3040828,7.00,7.00,6.00,8.00,8.00,5.75,6.00,7.00,9.00,103,NULL,NULL,'ESTADOS','INDAIAL','SC',1116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040836,7.00,6.00,2.00,6.00,5.00,5.00,4.00,6.00,5.00,9,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040844,8.00,5.00,3.00,9.00,6.00,7.00,5.00,6.00,7.00,103,NULL,NULL,'JARDIM MINUANO','S JOAQUIM','SC',3631,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3040852,8.00,3.00,4.00,9.00,7.00,5.75,4.00,6.00,6.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',4863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040860,7.00,7.00,8.00,8.00,5.00,6.50,6.00,8.00,7.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',1271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3040887,4.00,2.00,1.00,6.00,3.00,NULL,0.00,2.00,3.00,308,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3040909,6.00,8.00,1.00,7.00,7.00,7.00,6.00,9.00,2.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',4889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040917,6.00,3.00,2.00,9.00,5.00,7.75,5.00,7.00,5.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',6709,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3040925,5.00,6.00,5.00,5.00,7.00,5.50,3.00,8.00,3.00,102,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',8487,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3040933,4.00,5.00,3.00,4.00,7.00,4.75,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040941,7.00,4.00,4.00,7.00,4.00,5.50,2.00,7.00,5.00,213,NULL,202,'BALNEÁRIO','FLORIANÓPOLIS','SC',8110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3040950,3.00,5.00,4.00,9.00,7.00,5.75,2.00,6.00,5.00,103,NULL,NULL,'AMIZADE','JARAGUá SUL','SC',6994,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3040976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JABORANDI','ITAMBARACÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3040984,7.00,7.00,2.00,8.00,8.00,6.50,3.00,6.00,4.00,319,NULL,NULL,'PASSO DA AREIA','PTO ALEGRE','RS',4588,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3040992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'APARECIDA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3041000,5.00,7.00,5.00,6.00,6.00,6.75,3.00,5.00,4.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6756,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3041018,5.00,2.00,4.00,6.00,2.00,NULL,0.00,1.00,3.00,5,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3041026,8.00,7.00,8.00,8.00,6.00,4.75,7.00,9.00,8.00,220,NULL,203,'CENTRO','MARINGÁ','PR',731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3041042,7.00,5.00,4.00,7.00,5.00,5.75,1.00,6.00,6.00,103,NULL,NULL,'CENTRO','TURVO','SC',8640,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3041050,5.00,7.00,7.00,8.00,9.00,5.75,6.00,5.00,5.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',2237,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3041069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA PETROPOLES','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3041077,5.00,5.00,2.00,9.00,9.00,7.25,0.00,7.00,5.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6408,294,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041085,7.00,6.00,3.00,5.00,3.00,NULL,2.00,6.00,4.00,104,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3041115,3.00,5.00,2.00,5.00,3.00,NULL,2.00,8.00,6.00,503,NULL,NULL,'DE FATÍMA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3041123,4.00,7.00,5.00,6.00,4.00,4.00,5.00,7.00,4.00,303,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',8919,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3041131,7.00,6.00,5.00,7.00,6.00,6.00,3.00,7.00,5.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',5487,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3041158,7.00,7.00,6.00,8.00,6.00,6.25,4.00,7.00,7.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',2387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041166,2.00,2.00,2.00,2.00,3.00,NULL,2.00,7.00,3.00,319,NULL,NULL,'SÃO BENEDITO','CAMBUÍ','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041174,8.00,8.00,3.00,9.00,8.00,6.50,2.00,8.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3609,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3041182,4.00,5.00,2.00,7.00,4.00,6.25,3.00,7.00,4.00,331,NULL,NULL,'CAMPINHO','PTO SEGURO','BA',9696,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3041190,2.00,4.00,2.00,5.00,5.00,5.75,3.00,7.00,2.00,308,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',14783,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3041204,6.00,5.00,4.00,5.00,5.00,4.50,4.00,7.00,5.00,103,NULL,NULL,'AMAMBAI','CPO GRANDE','MS',8098,1989,NULL,NULL,NULL,NULL,NULL,2,1),(16,3041212,2.00,4.00,2.00,1.00,4.00,NULL,2.00,4.00,4.00,318,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041220,5.00,6.00,2.00,9.00,5.00,5.75,5.00,6.00,8.00,203,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',4593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041247,5.00,5.00,5.00,7.00,5.00,5.00,3.00,6.00,5.00,304,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8859,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3041255,7.00,6.00,7.00,7.00,7.00,6.00,7.00,8.00,8.00,333,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',1406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041271,8.00,7.00,6.00,6.00,6.00,5.50,5.00,9.00,8.00,303,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',1509,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3041280,3.00,3.00,1.00,4.00,8.00,6.50,1.00,5.00,4.00,425,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041298,5.00,6.00,2.00,2.00,4.00,7.00,2.00,5.00,2.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3041310,3.00,3.00,4.00,3.00,0.00,NULL,3.00,4.00,3.00,220,NULL,202,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3041328,4.00,2.00,4.00,6.00,4.00,6.00,1.00,2.00,3.00,423,NULL,424,'FAZENDA STO ANTONIO','S JOSÉ','SC',16244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3041336,4.00,3.00,4.00,2.00,5.00,NULL,0.00,4.00,1.00,201,NULL,207,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3041352,3.00,7.00,5.00,7.00,5.00,4.25,4.00,6.00,3.00,238,NULL,208,'CORREGO GRANDE','FLORIANÓPOLIS','SC',9231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041379,7.00,8.00,3.00,6.00,6.00,5.75,3.00,7.00,6.00,415,NULL,NULL,'VILA DO SALTO','LUIZ ALVES','SC',5030,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3041387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3041395,8.00,4.00,3.00,8.00,7.00,4.50,3.00,8.00,6.00,304,NULL,NULL,'CAMPECHE','FLORIANOPOLIS','SC',5406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3041409,4.00,2.00,3.00,4.00,4.00,5.50,1.00,4.00,4.00,104,NULL,NULL,'CENTRO','ARARANGUÁ','SC',16162,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3041417,5.00,4.00,6.00,9.00,5.00,6.50,1.00,7.00,6.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041433,7.00,7.00,4.00,9.00,6.00,6.25,5.00,7.00,6.00,216,NULL,213,'CENTRO','BAL PIçARRAS','SC',2814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041441,4.00,6.00,3.00,8.00,6.00,6.50,4.00,6.00,4.00,327,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',6975,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3041450,2.00,5.00,2.00,8.00,4.00,4.00,2.00,6.00,4.00,238,NULL,208,'IPIRANGA','S JOSÉ','SC',14928,486,NULL,512,NULL,NULL,NULL,2,1),(16,3041468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAMPAIO','PIRES RIO','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3041476,3.00,2.00,3.00,2.00,3.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'EFAPI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3041484,4.00,0.00,1.00,6.00,4.00,NULL,1.00,4.00,3.00,425,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041492,6.00,7.00,6.00,8.00,8.00,4.50,3.00,7.00,6.00,304,NULL,NULL,'JARDIM AMÉRICA','MAFRA','SC',3447,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3041506,7.00,8.00,4.00,9.00,6.00,4.75,3.00,8.00,6.00,103,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',2797,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3041514,4.00,7.00,3.00,8.00,6.00,5.75,3.00,8.00,4.00,340,NULL,NULL,'CENTRO','MESQUITA','RJ',7036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041522,6.00,4.00,5.00,6.00,4.00,4.50,5.00,5.00,4.00,103,NULL,NULL,'RIBEIRANIA','RIBEIRÃO PRETO','SP',10470,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3041530,7.00,5.00,8.00,9.00,7.00,6.50,8.00,8.00,8.00,220,NULL,201,'CENTRO','NOVA ANDRADINA','MS',604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041565,7.00,1.00,2.00,2.00,2.00,NULL,0.00,3.00,2.00,207,NULL,201,'CENTRO','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041573,2.00,6.00,2.00,10.00,3.00,NULL,1.00,6.00,3.00,233,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3041590,6.00,2.00,2.00,6.00,3.00,NULL,1.00,3.00,3.00,225,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041638,1.00,3.00,3.00,3.00,3.00,NULL,4.00,2.00,2.00,207,NULL,202,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3041654,2.00,2.00,4.00,4.00,4.00,NULL,0.00,5.00,0.00,303,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3041662,5.00,3.00,4.00,1.00,4.00,5.00,1.00,3.00,6.00,103,NULL,NULL,'VOLLTA GRANDE','RIO NEGRINHO','SC',16551,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3041670,0.00,0.00,0.00,0.00,0.00,NULL,3.00,7.00,6.00,202,NULL,201,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S',NULL,4,4),(16,3041689,4.00,5.00,4.00,6.00,6.00,5.00,2.00,6.00,2.00,303,NULL,NULL,'ÁGUA BRANCA','S FRANCISCO SUL','SC',11436,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3041697,6.00,4.00,4.00,9.00,6.00,4.25,5.00,6.00,5.00,102,NULL,NULL,'ATIRADORES','JOINVILLE','SC',6527,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3041719,4.00,4.00,6.00,4.00,8.00,7.25,5.00,4.00,6.00,215,NULL,216,'JARDIM MARAJÁ','MARÍLIA','SP',6950,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3041727,7.00,7.00,5.00,8.00,7.00,6.50,4.00,8.00,6.00,103,NULL,NULL,'CENTRO','JABORÁ','SC',1719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041735,5.00,7.00,3.00,5.00,7.00,7.75,2.00,5.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041743,6.00,6.00,7.00,8.00,8.00,5.25,5.00,7.00,6.00,207,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041760,5.00,3.00,1.00,2.00,1.00,NULL,0.00,4.00,3.00,213,NULL,NULL,'ZONA RURAL','NOVA ERECHIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3041778,1.00,5.00,5.00,7.00,5.00,5.25,2.00,4.00,3.00,9,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041794,5.00,6.00,4.00,7.00,7.00,5.50,4.00,9.00,4.00,212,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',5616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041808,6.00,7.00,8.00,9.00,9.00,5.50,4.00,7.00,5.00,207,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',1964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041824,9.00,7.00,6.00,7.00,6.00,5.50,3.00,9.00,8.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',1512,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3041832,3.00,4.00,4.00,2.00,3.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','CRISSIUMAL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3041840,4.00,6.00,4.00,7.00,5.00,5.75,1.00,4.00,3.00,428,NULL,424,'INGLESES','FLORIANÓPOLIS','SC',11624,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3041883,5.00,7.00,5.00,8.00,7.00,6.00,2.00,8.00,3.00,316,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',5963,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3041891,5.00,6.00,2.00,9.00,6.00,5.50,1.00,4.00,3.00,303,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',11308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041905,6.00,7.00,3.00,8.00,4.00,4.25,3.00,5.00,5.00,202,NULL,213,'RIO MOLHA','JARAGUA DO SUL','SC',9522,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3041913,8.00,5.00,5.00,5.00,6.00,4.50,3.00,7.00,6.00,102,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',5856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041921,4.00,4.00,3.00,9.00,7.00,4.00,2.00,2.00,3.00,238,NULL,201,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',13197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041930,2.00,3.00,3.00,7.00,2.00,NULL,3.00,6.00,4.00,453,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3041956,4.00,5.00,3.00,5.00,6.00,6.00,2.00,6.00,4.00,212,NULL,213,'CENTENÁRIO','TORRES','RS',10855,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3041964,3.00,3.00,2.00,4.00,4.00,3.25,2.00,5.00,5.00,233,NULL,203,'BALNEARIO ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3041972,2.00,3.00,1.00,6.00,4.00,5.50,3.00,7.00,1.00,304,NULL,NULL,'BARREIROS','S JOSÉ','SC',15771,163,NULL,NULL,NULL,NULL,NULL,2,1),(16,3041980,4.00,4.00,4.00,7.00,2.00,NULL,0.00,4.00,3.00,426,NULL,428,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3041999,3.00,3.00,5.00,1.00,4.00,NULL,3.00,4.00,2.00,404,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042006,7.00,7.00,6.00,9.00,9.00,6.00,6.00,7.00,8.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042014,4.00,6.00,7.00,6.00,5.00,7.00,2.00,6.00,7.00,201,NULL,212,'CENTRO','DESCANSO','SC',5593,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3042022,4.00,4.00,4.00,6.00,2.00,NULL,2.00,3.00,3.00,502,NULL,NULL,'PRAIA COMPRIDA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042030,5.00,6.00,1.00,7.00,2.00,NULL,2.00,5.00,3.00,316,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3042049,2.00,2.00,2.00,4.00,4.00,NULL,3.00,2.00,3.00,103,NULL,NULL,'CASCATINHA','PTE SERRADA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3042065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SAIC','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3042073,6.00,5.00,2.00,8.00,7.00,6.75,2.00,5.00,3.00,319,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',9787,185,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042081,3.00,4.00,4.00,8.00,5.00,4.50,2.00,8.00,3.00,238,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',10475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042090,5.00,2.00,4.00,7.00,8.00,5.75,2.00,7.00,2.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10528,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042103,5.00,3.00,4.00,6.00,6.00,4.00,3.00,2.00,5.00,208,NULL,238,'FLORESTA','S JOSÉ','SC',13869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3042120,7.00,3.00,6.00,9.00,6.00,6.00,4.00,7.00,7.00,415,NULL,NULL,'BELA VISTA II','S JOSÉ','SC',3630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042138,4.00,3.00,1.00,3.00,4.00,NULL,1.00,5.00,2.00,207,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA GLÓRIA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3042189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'SANTO INÁCIO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3042197,3.00,3.00,2.00,7.00,5.00,6.25,3.00,7.00,3.00,207,NULL,211,'PICADAS DO SUL','S JOSÉ','SC',12351,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042200,4.00,6.00,5.00,7.00,5.00,5.75,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042219,6.00,7.00,5.00,9.00,8.00,6.25,4.00,6.00,6.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',2419,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3042227,7.00,7.00,5.00,8.00,7.00,6.50,3.00,7.00,6.00,103,NULL,NULL,'LIVRAMENTO','TURVO','SC',2300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042235,4.00,3.00,2.00,3.00,7.00,NULL,3.00,2.00,4.00,103,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042243,8.00,8.00,3.00,6.00,7.00,7.50,1.00,7.00,6.00,333,NULL,NULL,'JARDIM EUCALIPTOS','PALHOÇA','SC',4869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042251,5.00,8.00,5.00,4.00,6.00,5.50,7.00,7.00,6.00,202,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',4299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042260,5.00,1.00,2.00,3.00,3.00,NULL,3.00,2.00,4.00,302,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042278,4.00,2.00,4.00,2.00,3.00,NULL,4.00,3.00,4.00,201,NULL,214,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042294,6.00,6.00,4.00,4.00,2.00,NULL,3.00,7.00,3.00,203,NULL,233,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3042308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,220,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3042316,4.00,3.00,3.00,5.00,2.00,NULL,4.00,3.00,5.00,9,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042324,3.00,4.00,4.00,3.00,5.00,4.50,4.00,6.00,4.00,103,NULL,NULL,'CORAL','LAGES','SC',13690,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3042332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'REVOREDO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3042340,5.00,5.00,3.00,8.00,5.00,6.25,2.00,6.00,6.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',7843,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042359,6.00,2.00,3.00,6.00,3.00,NULL,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3042367,6.00,6.00,4.00,1.00,5.00,4.75,3.00,7.00,4.00,207,NULL,214,'CIDADE ADEMAR','S PAULO','SP',10837,521,NULL,361,NULL,NULL,NULL,4,8),(16,3042375,7.00,4.00,3.00,6.00,5.00,5.50,3.00,6.00,6.00,103,NULL,NULL,'JD MORRO VERDE','S PAULO','SP',8109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042383,7.00,7.00,6.00,8.00,8.00,4.75,6.00,8.00,7.00,201,NULL,214,'CAMINHO NOVO','PALHOÇA','SC',1407,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042405,5.00,5.00,5.00,4.00,7.00,5.00,2.00,9.00,5.00,220,NULL,207,'CENTRO','MAFRA','SC',7139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042421,4.00,4.00,2.00,5.00,5.00,4.75,3.00,4.00,3.00,303,NULL,NULL,'NOVA DIVINÉIA','PINHALZINHO','SC',15080,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3042448,3.00,4.00,3.00,7.00,4.00,6.25,3.00,1.00,2.00,503,NULL,NULL,'CENTRO','TORRES','RS',15505,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3042456,6.00,7.00,3.00,7.00,6.00,7.00,3.00,8.00,6.00,333,NULL,NULL,'SANTO ANTONIO','CRICIÚMA','SC',4576,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3042464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','ITAPEJARA D OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3042480,3.00,6.00,3.00,4.00,6.00,4.00,5.00,6.00,5.00,303,NULL,NULL,'ROYAL PARK','CPO GRANDE','MS',11551,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3042499,4.00,6.00,2.00,7.00,6.00,6.50,2.00,6.00,4.00,103,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',8652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042502,2.00,2.00,2.00,3.00,5.00,NULL,2.00,3.00,1.00,225,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042510,6.00,5.00,3.00,8.00,6.00,5.00,3.00,6.00,2.00,450,NULL,NULL,'VILA OLIVEIRA','MOGI CRUZES','SP',9320,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3042529,6.00,7.00,3.00,8.00,7.00,4.25,3.00,6.00,4.00,453,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',8035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042537,6.00,8.00,6.00,6.00,8.00,6.00,4.00,8.00,5.00,220,NULL,207,'CENTRO','PALHOÇA','SC',3282,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3042561,4.00,3.00,5.00,4.00,4.00,5.50,2.00,3.00,5.00,220,NULL,214,'RAICHASKI','IÇARA','SC',15175,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3042570,3.00,3.00,2.00,1.00,4.00,NULL,2.00,2.00,2.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042588,6.00,7.00,6.00,8.00,7.00,7.25,6.00,8.00,8.00,238,NULL,201,'CENTRO','FLORIANóPOLIS','SC',1157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042596,4.00,7.00,4.00,8.00,4.00,5.50,2.00,8.00,3.00,428,NULL,421,'CARVOEIRA','FLORIANóPOLIS','SC',9920,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042626,7.00,8.00,6.00,7.00,7.00,5.00,5.00,8.00,6.00,202,NULL,238,'SACO DOS LIMOES','FLORIANóPOLIS','SC',2344,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042634,5.00,7.00,4.00,8.00,7.00,6.00,4.00,8.00,6.00,501,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',3654,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042650,3.00,4.00,2.00,3.00,6.00,NULL,3.00,4.00,2.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042669,4.00,6.00,5.00,8.00,6.00,6.25,4.00,8.00,4.00,216,NULL,211,'IDEAL','NOVO HAMBURGO','RS',5088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'HUGO LANGE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3042685,2.00,1.00,2.00,2.00,2.00,NULL,2.00,5.00,5.00,238,NULL,208,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042715,6.00,6.00,4.00,7.00,6.00,5.00,4.00,7.00,7.00,103,NULL,NULL,'BOA VISTA','PNT GROSSA','PR',4986,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3042723,2.00,4.00,2.00,5.00,6.00,4.50,1.00,4.00,4.00,452,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042740,7.00,6.00,4.00,8.00,4.00,5.50,2.00,6.00,6.00,108,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',7244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042758,7.00,5.00,4.00,4.00,5.00,6.75,3.00,6.00,4.00,103,NULL,NULL,'CIDADE VISTA VERDE','S JOSÉ CAMPOS','SP',8965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042766,5.00,5.00,4.00,7.00,3.00,NULL,3.00,2.00,6.00,203,NULL,211,'BARRA','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3042774,1.00,0.00,3.00,3.00,0.00,NULL,0.00,2.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042782,4.00,6.00,3.00,3.00,4.00,4.25,3.00,5.00,5.00,202,NULL,203,'CENTRO','QUILOMBO','SC',13295,455,NULL,824,NULL,NULL,NULL,2,8),(16,3042790,5.00,5.00,4.00,7.00,5.00,6.00,3.00,5.00,5.00,5,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',9093,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042804,5.00,7.00,4.00,3.00,6.00,4.75,3.00,6.00,3.00,201,NULL,212,'VILA NOVA','FRANCISCO BELTRÃO','PR',9827,756,NULL,286,NULL,NULL,NULL,2,4),(16,3042812,8.00,8.00,4.00,6.00,5.00,7.50,5.00,8.00,6.00,202,NULL,238,'JARDIM VAZAMI','S PAULO','SP',2760,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042820,5.00,4.00,4.00,1.00,5.00,4.25,3.00,6.00,4.00,203,NULL,214,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042847,5.00,6.00,7.00,7.00,7.00,6.50,4.00,5.00,5.00,216,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',4173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042863,5.00,6.00,4.00,7.00,4.00,4.50,3.00,7.00,4.00,327,NULL,NULL,'SANTA MONICA','FRAIBURGO','SC',9192,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(16,3042871,7.00,7.00,5.00,6.00,8.00,6.50,3.00,8.00,7.00,104,NULL,NULL,'FIDÉLIS','BLUMENAU','SC',2810,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3042880,7.00,5.00,3.00,2.00,5.00,4.25,2.00,6.00,3.00,328,NULL,NULL,'NOVA ESTANCIA','S CARLOS','SP',12311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042898,3.00,5.00,4.00,5.00,4.00,6.25,2.00,4.00,3.00,207,NULL,201,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042901,7.00,8.00,8.00,8.00,6.00,5.75,5.00,8.00,7.00,5,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',1035,50,NULL,NULL,NULL,NULL,NULL,2,1),(16,3042910,7.00,8.00,5.00,8.00,6.00,5.25,3.00,7.00,6.00,207,NULL,201,'VICTOR KONDER','BLUMENAU','SC',3173,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3042936,3.00,5.00,2.00,9.00,6.00,7.25,3.00,8.00,4.00,340,NULL,NULL,'CENTRO','BLUMENAU','SC',7100,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3042944,3.00,7.00,4.00,8.00,5.00,4.50,2.00,6.00,2.00,301,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',11539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042960,7.00,6.00,6.00,9.00,4.00,6.00,3.00,7.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TIJUCO PRETO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3042987,6.00,8.00,6.00,8.00,6.00,4.00,6.00,9.00,6.00,331,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',2269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3042995,2.00,4.00,3.00,2.00,1.00,NULL,0.00,3.00,1.00,208,NULL,203,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043002,2.00,4.00,3.00,4.00,4.00,4.00,2.00,2.00,4.00,201,NULL,212,'JARDIM ALVORADA','CPO NOVO PARECIS','MT',16675,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3043029,7.00,8.00,6.00,6.00,7.00,6.00,3.00,7.00,5.00,207,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',4313,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3043037,5.00,6.00,5.00,7.00,4.00,5.25,4.00,7.00,4.00,303,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',7042,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3043045,5.00,5.00,3.00,6.00,3.00,NULL,1.00,8.00,2.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3043053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BANDEIRANTES','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3043061,4.00,4.00,6.00,8.00,3.00,NULL,2.00,5.00,4.00,207,NULL,202,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3043070,5.00,3.00,2.00,8.00,5.00,6.75,3.00,5.00,2.00,9,NULL,NULL,'NOSSA SENHORA DE FÁT','BRAçO NORTE','SC',12718,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3043088,7.00,7.00,1.00,8.00,3.00,NULL,2.00,6.00,5.00,103,NULL,NULL,'CASA VERDE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ASA SUL','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3043118,5.00,4.00,4.00,8.00,5.00,6.00,4.00,4.00,4.00,501,NULL,NULL,'BALNEÁRIO','FLORIANóPOLIS','SC',9678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3043126,9.00,9.00,6.00,8.00,9.00,8.50,8.00,9.00,8.00,415,NULL,NULL,'CENTRO','OURINHOS','SP',14,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043134,5.00,6.00,5.00,8.00,6.00,7.25,4.00,9.00,5.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',4032,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3043142,3.00,7.00,4.00,9.00,7.00,5.75,2.00,8.00,4.00,319,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',6163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043169,2.00,3.00,2.00,4.00,3.00,NULL,3.00,5.00,4.00,302,NULL,NULL,'CENTRO','IMARUí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3043177,3.00,2.00,4.00,3.00,3.00,NULL,2.00,3.00,3.00,425,NULL,429,'JD CIDADE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043185,1.00,5.00,2.00,1.00,3.00,NULL,3.00,7.00,2.00,450,NULL,NULL,'JARDIM MAUA','MAUÁ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043193,9.00,9.00,9.00,9.00,8.00,6.00,7.00,7.00,9.00,103,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',50,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043207,5.00,4.00,1.00,7.00,4.00,6.00,3.00,4.00,2.00,340,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043215,7.00,8.00,6.00,4.00,5.00,5.00,6.00,7.00,8.00,103,NULL,NULL,'NOVO AMPARO','AMPARO','SP',2831,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'JD PROENÇA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3043240,2.00,7.00,4.00,8.00,4.00,5.25,3.00,5.00,5.00,201,NULL,207,'JARDIM ITÁLIA','CHAPECÓ','SC',10428,808,NULL,502,NULL,NULL,NULL,3,4),(16,3043258,6.00,7.00,3.00,7.00,5.00,6.75,2.00,7.00,3.00,207,NULL,NULL,'MONTE CASTELO','TUBARÃO','SC',7988,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3043266,7.00,6.00,6.00,7.00,6.00,6.25,5.00,7.00,5.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',3730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3043282,9.00,5.00,6.00,9.00,7.00,4.75,6.00,7.00,8.00,203,NULL,202,'VILA MOEMA','TUBARÃO','SC',1485,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3043290,7.00,8.00,2.00,5.00,5.00,5.00,2.00,8.00,3.00,303,NULL,NULL,'VELHA','BLUMENAU','SC',8670,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3043304,9.00,8.00,6.00,9.00,8.00,6.75,6.00,9.00,8.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043339,8.00,6.00,5.00,8.00,7.00,6.75,4.00,5.00,5.00,340,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',3795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043347,6.00,5.00,7.00,6.00,2.00,NULL,5.00,6.00,8.00,203,NULL,214,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043355,7.00,7.00,4.00,6.00,6.00,7.25,4.00,8.00,8.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',3276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043363,5.00,6.00,6.00,5.00,3.00,NULL,6.00,5.00,5.00,203,NULL,208,'APARECIDA','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043371,3.00,3.00,3.00,7.00,1.00,NULL,3.00,3.00,3.00,108,NULL,NULL,'CENTRO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3043380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,203,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3043398,7.00,5.00,3.00,9.00,5.00,6.50,6.00,9.00,4.00,104,NULL,NULL,'PRESIDENTE MEDICI','CHAPECÓ','SC',4246,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3043401,6.00,4.00,3.00,7.00,7.00,5.50,2.00,5.00,6.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',8137,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3043410,3.00,6.00,5.00,7.00,4.00,6.50,2.00,5.00,4.00,203,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',9515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043428,5.00,4.00,5.00,2.00,5.00,5.25,3.00,7.00,4.00,201,NULL,214,'CENTRO','SALTO LONTRA','PR',11421,886,NULL,379,NULL,NULL,NULL,4,4),(16,3043436,6.00,5.00,2.00,3.00,6.00,5.00,1.00,4.00,2.00,316,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043444,3.00,5.00,4.00,5.00,5.00,4.50,1.00,6.00,3.00,213,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',13149,237,NULL,376,NULL,NULL,NULL,2,1),(16,3043452,6.00,7.00,4.00,9.00,7.00,5.75,3.00,8.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043460,4.00,4.00,3.00,6.00,6.00,3.25,2.00,5.00,3.00,220,NULL,202,'CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043479,5.00,7.00,6.00,7.00,6.00,6.25,3.00,8.00,6.00,104,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',4169,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3043487,3.00,5.00,3.00,7.00,5.00,6.00,3.00,7.00,3.00,427,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',12169,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3043495,7.00,7.00,5.00,7.00,7.00,4.75,5.00,6.00,6.00,203,NULL,216,'CENTRO','GUAÍRA','PR',4165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043509,1.00,1.00,3.00,0.00,1.00,NULL,2.00,2.00,4.00,316,NULL,NULL,'MINA DO MATO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3043517,7.00,7.00,8.00,7.00,7.00,6.50,5.00,6.00,6.00,450,NULL,NULL,'CENTRO','IÇARA','SC',2118,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3043525,3.00,5.00,3.00,6.00,3.00,NULL,4.00,0.00,1.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043533,3.00,3.00,2.00,0.00,0.00,NULL,3.00,6.00,3.00,332,NULL,NULL,'CENTRO','IMARUÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3043541,1.00,2.00,4.00,6.00,3.00,NULL,3.00,5.00,1.00,415,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3043550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PARAÍSO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3043568,5.00,3.00,1.00,3.00,3.00,NULL,3.00,4.00,5.00,333,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043576,7.00,6.00,1.00,7.00,7.00,6.00,4.00,5.00,4.00,104,NULL,NULL,'MIRANTE','ITÁ','SC',8916,238,NULL,NULL,NULL,NULL,NULL,4,4),(16,3043584,9.00,5.00,9.00,6.00,6.00,5.75,6.00,6.00,8.00,220,NULL,203,'COMERCIARIO','CRICIÚMA','SC',1743,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3043592,4.00,4.00,5.00,7.00,5.00,6.25,2.00,3.00,3.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3043606,7.00,9.00,1.00,8.00,6.00,6.50,2.00,4.00,5.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',7981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043614,4.00,3.00,1.00,2.00,4.00,NULL,1.00,3.00,4.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043622,3.00,5.00,2.00,3.00,3.00,NULL,0.00,6.00,3.00,202,NULL,233,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043630,2.00,4.00,3.00,5.00,2.00,NULL,4.00,2.00,2.00,238,NULL,NULL,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043649,6.00,6.00,3.00,9.00,6.00,5.00,3.00,7.00,7.00,203,NULL,216,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043665,2.00,3.00,3.00,6.00,3.00,NULL,3.00,7.00,2.00,428,NULL,423,'PIRITUBA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3043673,6.00,6.00,1.00,6.00,6.00,5.00,3.00,8.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8222,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3043690,4.00,2.00,2.00,0.00,4.00,NULL,1.00,2.00,4.00,5,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3043703,5.00,1.00,5.00,2.00,6.00,7.00,4.00,5.00,5.00,308,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',11402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043711,4.00,6.00,8.00,4.00,7.00,5.25,6.00,7.00,5.00,220,NULL,201,'JARDIM UNIVERSITÁRIO','CUIABá','MT',3619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043720,4.00,6.00,3.00,6.00,5.00,4.75,3.00,8.00,5.00,3,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',9567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3043738,4.00,6.00,4.00,3.00,7.00,5.00,3.00,4.00,4.00,203,NULL,208,'CENTRO','CURITIBA','PR',11113,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3043746,7.00,7.00,5.00,8.00,6.00,7.25,4.00,5.00,6.00,207,NULL,208,'JOÃO PAULO','FLORIANÓPOLIS','SC',3608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043754,6.00,6.00,3.00,5.00,8.00,5.00,3.00,4.00,5.00,340,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',9443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043762,9.00,8.00,9.00,6.00,9.00,6.50,8.00,8.00,9.00,103,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',77,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3043770,4.00,3.00,3.00,4.00,2.00,NULL,2.00,4.00,4.00,303,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043797,2.00,5.00,4.00,1.00,5.00,NULL,1.00,4.00,1.00,332,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3043800,3.00,4.00,5.00,6.00,4.00,6.75,3.00,6.00,4.00,302,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',10711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3043827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3043835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM HATORI I','REGISTRO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3043843,8.00,7.00,7.00,8.00,5.00,6.00,6.00,8.00,7.00,203,NULL,220,'CENTRO','MARINGÁ','PR',1209,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3043851,3.00,7.00,4.00,8.00,5.00,4.75,3.00,8.00,2.00,223,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043860,5.00,4.00,5.00,4.00,4.00,4.75,3.00,2.00,5.00,223,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',13916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3043886,5.00,5.00,3.00,7.00,5.00,4.00,2.00,3.00,3.00,103,NULL,NULL,'VILA ALTA','TANGARÁ SERRA','MT',12988,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3043908,5.00,6.00,3.00,9.00,6.00,6.50,3.00,7.00,5.00,501,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',5716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',5,8),(16,3043932,7.00,6.00,4.00,4.00,7.00,5.75,2.00,8.00,5.00,3,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',7127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043967,7.00,8.00,4.00,7.00,7.00,5.00,4.00,8.00,5.00,450,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',3425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3043975,2.00,2.00,2.00,6.00,2.00,NULL,1.00,3.00,2.00,428,NULL,427,'CENTRO','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3043983,5.00,5.00,7.00,7.00,3.00,NULL,3.00,8.00,5.00,420,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3043991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','MOGI MIRIM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3044017,6.00,5.00,1.00,7.00,3.00,NULL,2.00,5.00,1.00,502,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3044025,7.00,5.00,4.00,8.00,6.00,6.25,3.00,8.00,5.00,303,NULL,NULL,'CENTRO','STA MARIA','RS',4652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3044033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AYMORÉ','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3044041,6.00,5.00,4.00,2.00,7.00,5.75,3.00,6.00,6.00,104,NULL,NULL,'CAMPINAS','S JOSé','SC',9681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044068,4.00,4.00,2.00,3.00,7.00,6.50,3.00,6.00,4.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044076,7.00,8.00,3.00,7.00,5.00,3.25,4.00,8.00,1.00,201,NULL,212,'CENTRO','PRES GETÚLIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3044084,6.00,5.00,4.00,7.00,5.00,4.00,5.00,7.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6819,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3044106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3044114,6.00,5.00,7.00,5.00,5.00,6.25,5.00,7.00,6.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',3842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3044122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BELA VISTA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3044130,6.00,6.00,5.00,8.00,5.00,5.25,4.00,5.00,8.00,220,NULL,203,'VILA ALTA II','TANGARÁ SERRA','MT',4068,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3044149,4.00,4.00,3.00,1.00,3.00,NULL,1.00,6.00,5.00,103,NULL,NULL,'VILA OPERARIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3044157,7.00,8.00,3.00,3.00,7.00,4.00,2.00,8.00,5.00,103,NULL,NULL,'SERRARIA','S JOSÉ','SC',8448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044165,4.00,4.00,2.00,7.00,6.00,5.75,3.00,5.00,4.00,301,NULL,NULL,'ELIZA GAVA','NOVA VENEZA','SC',11574,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3044173,5.00,3.00,4.00,6.00,3.00,NULL,3.00,6.00,6.00,501,NULL,NULL,'JARDIM DAS FLORES','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3044181,5.00,6.00,1.00,9.00,6.00,5.75,4.00,8.00,5.00,201,NULL,212,'VILA REAL','BAL CAMBORIÚ','SC',5407,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3044190,7.00,6.00,5.00,3.00,4.00,5.50,4.00,6.00,5.00,211,NULL,208,'CÓRREGO GRANDE','FLORIANóPOLIS','SC',8631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044203,8.00,9.00,5.00,9.00,8.00,9.75,6.00,7.00,7.00,303,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',512,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3044220,6.00,9.00,2.00,3.00,4.00,5.25,5.00,6.00,5.00,216,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',7711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044246,9.00,7.00,8.00,8.00,7.00,6.75,8.00,9.00,8.00,103,NULL,NULL,'ITAPOÃ','VL VELHA','ES',150,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3044254,6.00,6.00,6.00,9.00,9.00,7.00,6.00,8.00,7.00,450,NULL,NULL,'JARDIM DA PENHA','VITÓRIA','ES',1014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044262,2.00,3.00,2.00,5.00,3.00,NULL,3.00,3.00,2.00,340,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3044289,6.00,7.00,3.00,9.00,6.00,5.00,4.00,8.00,4.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044297,6.00,4.00,4.00,4.00,5.00,4.50,3.00,7.00,5.00,104,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',10438,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3044300,6.00,5.00,4.00,9.00,5.00,7.00,4.00,5.00,4.00,207,NULL,NULL,'SAINT ETIENNE','CAXIAS SUL','RS',6625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044319,9.00,7.00,8.00,8.00,7.00,7.00,7.00,9.00,7.00,103,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'PERIN','MARMELEIRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3044335,2.00,5.00,2.00,0.00,4.00,NULL,3.00,5.00,4.00,202,NULL,220,'NOVA FAZENDA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3044343,5.00,5.00,4.00,7.00,4.00,4.75,1.00,6.00,4.00,108,NULL,NULL,'VILA SUEVIA','ITU','SP',9764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044351,2.00,3.00,4.00,2.00,3.00,NULL,3.00,2.00,1.00,203,NULL,202,'BOA VISTA','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3044360,3.00,2.00,1.00,5.00,4.00,NULL,2.00,2.00,2.00,201,NULL,207,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3044378,5.00,5.00,1.00,5.00,4.00,4.00,2.00,5.00,4.00,212,NULL,233,'PARQUE DO COLEGIO','JUNDIAÍ','SP',15422,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3044386,4.00,1.00,2.00,6.00,3.00,NULL,1.00,1.00,4.00,423,NULL,428,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3044394,5.00,6.00,3.00,7.00,7.00,4.25,4.00,6.00,4.00,212,NULL,202,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3044408,8.00,7.00,6.00,8.00,7.00,5.25,7.00,8.00,8.00,214,NULL,212,'VILA EMA','S JOSÉ CAMPOS','SP',995,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3044416,8.00,5.00,1.00,5.00,8.00,6.50,4.00,6.00,6.00,108,NULL,NULL,'IPIRANGA','S JOSÉ','SC',5442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044424,6.00,7.00,5.00,8.00,7.00,5.25,6.00,7.00,8.00,203,NULL,214,'PORTO VELHO','ITAJUBá','MG',1781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044432,5.00,3.00,3.00,3.00,3.00,NULL,0.00,5.00,3.00,216,NULL,NULL,'VILA MONTE ALEGRE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SANTANA','TREMEMBÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3044467,8.00,7.00,7.00,9.00,7.00,6.00,5.00,8.00,5.00,420,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',1727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044475,4.00,3.00,2.00,3.00,4.00,6.00,3.00,5.00,3.00,5,NULL,NULL,'FAZ STO ANTÔNIO','S JOSÉ','SC',14677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044483,6.00,4.00,4.00,9.00,5.00,5.75,3.00,8.00,2.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8581,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3044513,9.00,6.00,5.00,7.00,6.00,6.25,4.00,7.00,6.00,233,NULL,216,'NOSSA SRA DE LURDES','DOIS VIZINHOS','PR',2685,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3044521,3.00,4.00,1.00,8.00,3.00,NULL,0.00,3.00,1.00,340,NULL,NULL,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3044530,5.00,8.00,2.00,7.00,3.00,NULL,4.00,7.00,5.00,452,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3044548,6.00,7.00,6.00,7.00,4.00,5.50,4.00,5.00,5.00,201,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',5590,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3044556,5.00,7.00,5.00,8.00,7.00,5.00,4.00,6.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4885,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3044564,5.00,7.00,6.00,4.00,6.00,6.75,4.00,8.00,7.00,102,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044572,3.00,1.00,4.00,4.00,1.00,NULL,0.00,4.00,4.00,444,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3044580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3044610,1.00,4.00,1.00,3.00,1.00,NULL,3.00,3.00,2.00,304,NULL,NULL,'SAO JUDAS TADEU','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3044629,8.00,8.00,7.00,7.00,7.00,5.50,5.00,8.00,7.00,5,NULL,NULL,'CENTRO','IMBITUBA','SC',1257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3044645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3044653,3.00,0.00,1.00,2.00,1.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3044661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'SETOR DELTA','GOIANIRA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3044670,7.00,5.00,6.00,8.00,8.00,8.75,6.00,7.00,7.00,108,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044688,3.00,5.00,4.00,6.00,5.00,5.50,2.00,4.00,3.00,225,NULL,NULL,'MÉIER','RIO JANEIRO','RJ',12968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3044696,3.00,1.00,2.00,4.00,2.00,NULL,3.00,3.00,4.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3044700,3.00,6.00,2.00,7.00,6.00,5.00,3.00,8.00,3.00,428,NULL,426,'DEMÉTRIA','BOTUCATU','SP',9476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044718,5.00,5.00,4.00,9.00,5.00,5.00,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044726,4.00,5.00,5.00,4.00,3.00,NULL,4.00,6.00,5.00,201,NULL,203,'INTERLAGOS','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044734,3.00,3.00,2.00,6.00,4.00,NULL,2.00,0.00,2.00,331,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3044742,1.00,7.00,4.00,9.00,5.00,7.25,2.00,6.00,4.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',8300,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3044750,1.00,3.00,3.00,3.00,3.00,NULL,2.00,3.00,3.00,5,NULL,NULL,'CANASVIERAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044769,3.00,1.00,4.00,6.00,4.00,5.50,3.00,4.00,5.00,301,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',14176,310,NULL,NULL,NULL,NULL,NULL,2,1),(16,3044777,3.00,3.00,3.00,3.00,1.00,NULL,1.00,3.00,2.00,208,NULL,238,'VILA ALTA III','TANGARá SERRA','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3044785,8.00,8.00,8.00,6.00,4.00,6.25,4.00,6.00,7.00,213,NULL,220,'VILA ALEXANDRIA','S PAULO','SP',2035,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3044793,7.00,4.00,5.00,9.00,7.00,6.00,3.00,7.00,7.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',3811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044807,3.00,4.00,1.00,4.00,5.00,4.75,4.00,3.00,4.00,319,NULL,NULL,'CENTRO','SANTA BARBARA D OESTE','SP',15997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'JARDIM PRIMAVERA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3044823,8.00,7.00,4.00,9.00,7.00,4.75,3.00,8.00,7.00,203,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',1950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044831,1.00,2.00,1.00,4.00,3.00,NULL,2.00,3.00,1.00,318,NULL,NULL,'SARANDI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3044840,5.00,4.00,3.00,4.00,6.00,6.25,4.00,5.00,5.00,302,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',10200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044858,4.00,4.00,4.00,7.00,6.00,4.50,5.00,7.00,5.00,2,NULL,NULL,'EFAPI','CHAPECó','SC',7021,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3044866,3.00,8.00,4.00,8.00,7.00,5.50,5.00,8.00,4.00,303,NULL,NULL,'PARQUE SÃO PAULO','CASCAVEL','PR',5491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3044874,4.00,4.00,2.00,6.00,3.00,NULL,2.00,5.00,2.00,501,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3044890,6.00,5.00,4.00,9.00,5.00,6.50,5.00,8.00,5.00,103,NULL,NULL,'PITUBA','SALVADOR','BA',3595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044912,8.00,8.00,5.00,7.00,8.00,6.25,4.00,7.00,8.00,303,NULL,NULL,'LIVRAMENTO','TURVO','SC',1528,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3044920,6.00,5.00,3.00,8.00,5.00,5.50,3.00,7.00,5.00,104,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',7636,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3044939,5.00,6.00,5.00,7.00,7.00,5.50,5.00,6.00,6.00,214,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',4083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044947,1.00,3.00,2.00,6.00,6.00,NULL,2.00,3.00,4.00,5,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3044955,5.00,6.00,4.00,8.00,4.00,6.00,2.00,7.00,5.00,233,NULL,215,'CENTRO','BRUSQUE','SC',7271,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3044963,6.00,5.00,2.00,7.00,7.00,5.75,1.00,3.00,2.00,310,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',13189,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3044971,5.00,6.00,6.00,8.00,5.00,5.25,3.00,6.00,3.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',6144,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3044980,4.00,3.00,1.00,6.00,4.00,NULL,1.00,3.00,1.00,425,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3044998,9.00,7.00,8.00,8.00,7.00,5.50,5.00,9.00,8.00,103,NULL,NULL,'JD ALVORADA','S JOSÉ CAMPOS','SP',605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045005,6.00,9.00,7.00,4.00,8.00,7.00,3.00,8.00,7.00,333,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',1655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045013,5.00,3.00,4.00,3.00,4.00,5.75,2.00,4.00,6.00,238,NULL,208,'FORQUILHINHAS','S JOSÉ','SC',13354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045021,7.00,7.00,7.00,6.00,6.00,5.00,6.00,8.00,6.00,220,NULL,214,'SANTA MARIA','LAGES','SC',2147,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3045030,4.00,6.00,4.00,5.00,3.00,NULL,3.00,5.00,4.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3045048,6.00,5.00,3.00,6.00,8.00,6.00,4.00,6.00,4.00,452,NULL,NULL,'CENTRO','ARARAQUARA','SP',6520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045056,5.00,3.00,4.00,7.00,7.00,6.25,4.00,4.00,5.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',8428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3045064,7.00,6.00,3.00,8.00,7.00,6.50,3.00,5.00,5.00,108,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',5692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045080,4.00,2.00,2.00,8.00,4.00,5.00,3.00,6.00,3.00,303,NULL,NULL,'CENTRO','STA MARIA','RS',13401,582,NULL,NULL,NULL,NULL,NULL,2,1),(16,3045099,8.00,8.00,6.00,8.00,8.00,6.50,5.00,9.00,7.00,415,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045102,4.00,4.00,2.00,8.00,6.00,5.00,3.00,4.00,2.00,420,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',12914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3045110,9.00,8.00,7.00,7.00,8.00,6.75,5.00,9.00,7.00,103,NULL,NULL,'JARDIM FLORESTA','S JOSé','SC',551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3045137,6.00,7.00,4.00,9.00,8.00,6.25,7.00,9.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045153,2.00,4.00,3.00,7.00,6.00,4.75,1.00,7.00,4.00,420,NULL,NULL,'SÃO JOÂO','ITAJAÍ','SC',11863,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3045170,4.00,6.00,3.00,7.00,4.00,5.25,3.00,5.00,2.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12927,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3045188,4.00,8.00,4.00,7.00,5.00,4.50,4.00,7.00,7.00,304,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6189,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3045196,3.00,5.00,7.00,8.00,4.00,7.00,3.00,4.00,7.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045200,5.00,4.00,3.00,5.00,4.00,4.75,3.00,8.00,5.00,502,NULL,NULL,'EFAPI','CHAPECÓ','SC',11604,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3045218,3.00,5.00,3.00,8.00,6.00,4.50,2.00,8.00,1.00,324,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',12003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045226,5.00,7.00,4.00,9.00,7.00,6.50,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',3111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045242,8.00,7.00,6.00,7.00,6.00,5.25,4.00,6.00,7.00,211,NULL,201,'ATALAIA','ARACAJU','SE',2564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3045277,7.00,9.00,9.00,9.00,9.00,6.00,9.00,9.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',23,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045293,4.00,5.00,5.00,1.00,7.00,5.25,3.00,6.00,5.00,203,NULL,202,'URUSSANGUINHA','ARARANGUA','SC',10903,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3045307,3.00,3.00,1.00,8.00,0.00,NULL,4.00,5.00,3.00,501,NULL,NULL,'JARDIM PORTO ALEGRE','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3045323,4.00,5.00,3.00,4.00,4.00,5.00,3.00,4.00,2.00,302,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',14769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','SETE BARRAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3045340,4.00,4.00,4.00,6.00,2.00,NULL,4.00,5.00,4.00,201,NULL,233,'JARDIM ITÁLIA','MARINGá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3045366,4.00,6.00,6.00,9.00,6.00,6.50,3.00,5.00,2.00,201,NULL,203,'KOBRASOL','S JOSÉ','SC',7111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045374,7.00,5.00,7.00,7.00,6.00,5.25,2.00,7.00,6.00,5,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',4916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3045382,6.00,6.00,6.00,8.00,6.00,4.00,3.00,5.00,6.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045390,1.00,1.00,1.00,7.00,2.00,NULL,2.00,4.00,2.00,339,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3045404,5.00,6.00,5.00,9.00,6.00,4.75,2.00,8.00,5.00,316,NULL,NULL,'CITY RIBEIRAO','RIBEIRÃO PRETO','SP',5194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045412,7.00,4.00,3.00,8.00,8.00,5.25,3.00,3.00,8.00,103,NULL,NULL,'BARREIROS','S JOSé','SC',5962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045420,6.00,4.00,1.00,5.00,6.00,3.25,3.00,6.00,4.00,208,NULL,238,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3045439,3.00,1.00,3.00,6.00,4.00,4.50,1.00,4.00,3.00,502,NULL,NULL,'CENTO','CURITIBANOS','SC',16636,86,NULL,NULL,NULL,NULL,NULL,2,9),(16,3045447,3.00,6.00,7.00,3.00,7.00,6.50,3.00,7.00,7.00,216,NULL,238,'PANTANAL','FLORIANóPOLIS','SC',5978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045455,4.00,6.00,2.00,9.00,8.00,5.75,2.00,8.00,4.00,5,NULL,NULL,'CAMPINAS','S JOSé','SC',6333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045463,6.00,5.00,5.00,0.00,6.00,4.75,5.00,3.00,4.00,103,NULL,NULL,'S C DE JESUS','LAGES','SC',12600,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3045480,6.00,7.00,6.00,6.00,6.00,6.25,4.00,7.00,7.00,103,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',3664,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3045498,5.00,6.00,6.00,6.00,5.00,5.75,2.00,6.00,4.00,340,NULL,NULL,'JARDIM ESPLANADA','S JOSÉ CAMPOS','SP',7617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045501,3.00,4.00,3.00,5.00,3.00,NULL,2.00,4.00,6.00,216,NULL,238,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3045510,5.00,3.00,3.00,7.00,5.00,5.25,1.00,5.00,1.00,233,NULL,203,'PONTE DO IMARUIM','PALHOÇA','SC',14926,442,NULL,884,NULL,NULL,NULL,4,1),(16,3045528,4.00,6.00,6.00,7.00,5.00,4.00,4.00,5.00,2.00,318,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3045536,9.00,8.00,8.00,8.00,7.00,7.00,6.00,9.00,8.00,220,NULL,202,'PRAIA COMPRIDA','S JOSÉ','SC',285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045552,6.00,2.00,2.00,8.00,4.00,6.50,2.00,3.00,4.00,301,NULL,NULL,'AMBROSIO','GAROPABA','SC',12111,233,NULL,NULL,NULL,NULL,NULL,2,1),(16,3045560,5.00,8.00,5.00,7.00,7.00,6.00,3.00,7.00,6.00,108,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',3635,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3045587,3.00,4.00,2.00,6.00,4.00,6.75,4.00,6.00,3.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3045595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM SÃO PAULO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3045609,5.00,5.00,2.00,2.00,6.00,7.00,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','DIVINOLÂNDIA','SP',11110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045633,1.00,5.00,4.00,1.00,4.00,NULL,3.00,5.00,2.00,202,NULL,220,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045641,5.00,6.00,4.00,8.00,5.00,5.00,4.00,5.00,3.00,2,NULL,NULL,'PIO CÔRREA','CRICIÚMA','SC',10099,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3045650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PARK WAY','NUC BANDEIRANTE','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3045668,6.00,4.00,7.00,3.00,3.00,NULL,2.00,5.00,5.00,5,NULL,NULL,'CAPÃO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045684,9.00,6.00,7.00,8.00,7.00,5.00,4.00,8.00,9.00,103,NULL,NULL,'CENTRO','POLONI','SP',1042,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3045692,4.00,4.00,4.00,4.00,5.00,6.00,2.00,7.00,6.00,220,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',11232,425,NULL,873,NULL,NULL,NULL,2,1),(16,3045706,4.00,4.00,8.00,9.00,9.00,6.00,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','STA BÁRBARA D OESTE','SP',3677,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3045714,9.00,5.00,7.00,8.00,6.00,7.75,6.00,9.00,8.00,103,NULL,NULL,'VILA CLEMENTINO','S PAULO','SP',433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045722,3.00,5.00,1.00,5.00,4.00,6.25,2.00,6.00,2.00,331,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',14919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045749,3.00,4.00,2.00,6.00,3.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3045757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3045773,9.00,7.00,9.00,8.00,8.00,7.00,8.00,9.00,8.00,103,NULL,NULL,'BAIRRO SÃO RAFAEL','RIO NEGRINHO','SC',70,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3045803,2.00,3.00,3.00,3.00,3.00,NULL,2.00,4.00,3.00,215,NULL,201,'SAPOPEMBA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045811,8.00,7.00,8.00,9.00,8.00,6.25,9.00,8.00,9.00,220,NULL,NULL,'YPIRANGA','ERECHIM','RS',113,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3045838,4.00,3.00,2.00,8.00,5.00,5.75,2.00,3.00,3.00,207,NULL,201,'PARQUE DAS PALMEIRAS','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3045846,3.00,2.00,3.00,6.00,5.00,5.00,0.00,4.00,5.00,303,NULL,NULL,'CENTRO','PALMITOS','SC',15808,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3045862,6.00,5.00,3.00,5.00,6.00,6.25,3.00,7.00,5.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8012,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3045889,6.00,4.00,3.00,7.00,6.00,6.00,4.00,5.00,5.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',8406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3045897,6.00,8.00,5.00,9.00,8.00,5.00,4.00,8.00,5.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',2654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045919,3.00,7.00,2.00,7.00,4.00,6.00,4.00,5.00,3.00,309,NULL,NULL,'AGRONÔMICA','FLORIANóPOLIS','SC',12628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3045927,7.00,7.00,4.00,3.00,6.00,5.50,5.00,7.00,6.00,102,NULL,NULL,'RESSACADA','ITAJAÍ','SC',5216,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3045935,7.00,2.00,9.00,8.00,6.00,6.25,5.00,4.00,6.00,220,NULL,233,'PARQUE SAO JORGE','MARÍLIA','SP',3618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045943,3.00,5.00,1.00,7.00,5.00,5.50,2.00,7.00,4.00,103,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',10850,2319,NULL,NULL,NULL,NULL,NULL,2,8),(16,3045951,7.00,6.00,2.00,6.00,6.00,6.25,5.00,8.00,6.00,319,NULL,NULL,'CENTRO','MARINGÁ','PR',4964,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3045960,4.00,6.00,6.00,2.00,4.00,5.00,1.00,3.00,3.00,214,NULL,233,'ESTREITO','FLORIANóPOLIS','SC',15421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3045986,4.00,2.00,2.00,6.00,2.00,NULL,3.00,4.00,7.00,203,NULL,220,'BELA VISTA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3045994,6.00,4.00,4.00,7.00,7.00,5.25,4.00,4.00,5.00,5,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',7799,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3046001,8.00,8.00,7.00,9.00,8.00,9.25,5.00,7.00,7.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046010,0.00,0.00,0.00,7.00,3.00,NULL,0.00,0.00,0.00,215,NULL,211,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3046028,7.00,7.00,5.00,9.00,7.00,7.25,7.00,8.00,8.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046036,5.00,6.00,3.00,7.00,8.00,6.00,3.00,7.00,6.00,102,NULL,NULL,'NAÇOES','INDAIAL','SC',6312,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3046052,8.00,6.00,4.00,7.00,5.00,6.75,5.00,6.00,6.00,211,NULL,216,'BARREIROS','S JOSÉ','SC',4145,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3046060,6.00,7.00,4.00,9.00,6.00,4.00,3.00,9.00,5.00,103,NULL,NULL,'DANIELA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046079,5.00,5.00,3.00,6.00,3.00,NULL,0.00,7.00,4.00,303,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3046087,8.00,7.00,7.00,6.00,8.00,5.75,8.00,8.00,8.00,203,NULL,202,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046095,2.00,4.00,1.00,8.00,5.00,4.50,2.00,7.00,4.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3046109,6.00,8.00,5.00,9.00,5.00,8.00,0.00,8.00,2.00,329,NULL,NULL,'RIO PEQUENO','CAMBORIÚ','SC',5067,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3046117,2.00,3.00,3.00,2.00,3.00,NULL,4.00,1.00,2.00,3,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'VILA NOVA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3046133,7.00,9.00,2.00,7.00,8.00,5.25,4.00,7.00,4.00,502,NULL,NULL,'AREIAS','S JOSÉ','SC',4306,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3046141,4.00,3.00,2.00,3.00,0.00,NULL,1.00,1.00,2.00,208,NULL,202,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046150,8.00,9.00,6.00,9.00,8.00,7.75,4.00,9.00,6.00,303,NULL,NULL,'DANIELA','FLORIANóPOLIS','SC',367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046168,6.00,5.00,4.00,7.00,6.00,5.25,4.00,9.00,5.00,452,NULL,NULL,'ZONA QUATRO','MARINGá','PR',5829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046176,9.00,7.00,7.00,8.00,6.00,7.75,4.00,8.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046184,3.00,3.00,1.00,7.00,3.00,NULL,2.00,2.00,2.00,340,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046192,5.00,5.00,1.00,9.00,6.00,7.00,2.00,7.00,2.00,340,NULL,NULL,'DOS ESTADOS','INDAIAL','SC',10261,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3046214,3.00,4.00,3.00,9.00,6.00,5.75,4.00,6.00,4.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',8651,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3046230,5.00,4.00,3.00,4.00,2.00,NULL,2.00,3.00,2.00,208,NULL,238,'ARMAÇÃO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3046257,6.00,6.00,5.00,9.00,7.00,5.75,4.00,5.00,4.00,203,NULL,220,'CENTRO','JOINVILLE','SC',5016,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3046265,5.00,7.00,6.00,9.00,7.00,5.75,5.00,8.00,7.00,5,NULL,NULL,'SÃO SIMAO','CRICIúMA','SC',2223,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3046273,3.00,3.00,1.00,3.00,2.00,NULL,2.00,3.00,1.00,207,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3046281,9.00,9.00,8.00,8.00,7.00,7.75,7.00,8.00,8.00,103,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046290,5.00,3.00,5.00,2.00,5.00,5.50,4.00,2.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',14175,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3046303,4.00,3.00,1.00,8.00,6.00,6.25,4.00,5.00,3.00,101,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',11584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3046311,9.00,8.00,5.00,7.00,5.00,5.25,5.00,6.00,7.00,203,NULL,214,'JARDIM RUSSI','TAUBATÉ','SP',2501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3046320,4.00,5.00,6.00,8.00,5.00,4.75,4.00,7.00,5.00,453,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',6251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046338,6.00,5.00,2.00,7.00,7.00,6.00,3.00,4.00,6.00,102,NULL,NULL,'JARDIM CHAPADÃO','CAMPINAS','SP',8686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,207,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3046354,8.00,8.00,9.00,9.00,7.00,7.50,6.00,8.00,8.00,340,NULL,NULL,'OLIVEIRA BARROS','MIRACATU','SP',335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JD AEROPORTO','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3046370,3.00,5.00,4.00,8.00,4.00,4.75,5.00,6.00,5.00,444,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3046397,8.00,5.00,3.00,8.00,8.00,5.75,4.00,7.00,5.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4773,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3046400,4.00,5.00,4.00,8.00,7.00,6.50,5.00,3.00,4.00,216,NULL,233,'SAGUAÇU','JOINVILLE','SC',7578,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3046427,4.00,4.00,5.00,2.00,6.00,5.75,4.00,6.00,2.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3046443,5.00,6.00,4.00,6.00,5.00,4.75,2.00,6.00,4.00,203,NULL,214,'REVOREDO','TUBARÃO','SC',10154,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3046451,4.00,1.00,2.00,7.00,1.00,NULL,0.00,2.00,3.00,203,NULL,214,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3046486,4.00,3.00,1.00,1.00,2.00,NULL,3.00,2.00,3.00,201,NULL,212,'CANTO DA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3046494,8.00,8.00,6.00,6.00,7.00,6.00,7.00,5.00,8.00,203,NULL,201,'SAO MIGUEL','GRAVATAL','SC',1150,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3046508,5.00,6.00,5.00,5.00,4.00,4.25,6.00,7.00,6.00,203,NULL,214,'ASA NORTE','BRASÍLIA','DF',7812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046516,3.00,5.00,4.00,4.00,3.00,NULL,3.00,4.00,4.00,453,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046532,5.00,5.00,6.00,5.00,4.00,5.75,3.00,2.00,5.00,201,NULL,216,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046540,3.00,3.00,3.00,4.00,4.00,5.75,2.00,4.00,2.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046559,2.00,0.00,2.00,4.00,3.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046567,3.00,4.00,3.00,5.00,1.00,NULL,2.00,7.00,3.00,207,NULL,NULL,'VILA MADALENA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046575,3.00,3.00,1.00,6.00,3.00,NULL,2.00,7.00,2.00,211,NULL,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3046591,5.00,3.00,3.00,6.00,5.00,6.00,3.00,6.00,2.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12031,316,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046605,5.00,5.00,5.00,6.00,7.00,6.25,3.00,9.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046613,7.00,9.00,6.00,3.00,5.00,5.00,4.00,8.00,6.00,103,NULL,NULL,'CENTRO','MEDIANEIRA','PR',3940,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3046621,2.00,4.00,3.00,4.00,4.00,5.75,3.00,6.00,2.00,211,NULL,215,'PASSA VINTE','PALHOÇA','SC',15609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3046630,5.00,6.00,4.00,5.00,6.00,6.00,2.00,7.00,5.00,103,NULL,NULL,'ABRAAO','FLORIANOPOLIS','SC',8453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046648,5.00,6.00,3.00,6.00,5.00,4.25,3.00,5.00,4.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10338,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3046656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PRAIA DA FERRUGEM','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3046664,1.00,4.00,1.00,3.00,5.00,NULL,1.00,3.00,5.00,207,NULL,201,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3046672,2.00,4.00,1.00,4.00,5.00,NULL,1.00,6.00,2.00,503,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3046699,8.00,7.00,6.00,7.00,7.00,7.00,7.00,7.00,9.00,203,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',1003,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3046702,5.00,2.00,2.00,3.00,3.00,NULL,4.00,7.00,3.00,202,NULL,203,'BELA VISTA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3046710,6.00,4.00,3.00,6.00,6.00,6.00,1.00,5.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3046729,6.00,5.00,6.00,5.00,4.00,5.50,1.00,7.00,4.00,302,NULL,NULL,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3046745,4.00,3.00,2.00,7.00,4.00,5.75,2.00,3.00,3.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',14874,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3046753,4.00,4.00,2.00,5.00,2.00,NULL,3.00,7.00,1.00,202,NULL,201,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3046761,6.00,5.00,4.00,8.00,5.00,6.00,3.00,6.00,8.00,208,NULL,202,'PONTA DA PRAIA','SANTOS','SP',5390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046770,5.00,5.00,2.00,1.00,4.00,4.25,5.00,7.00,5.00,202,NULL,203,'PRINCESA ISABEL','CRICIúMA','SC',12824,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3046788,6.00,3.00,1.00,6.00,6.00,6.50,4.00,6.00,5.00,429,NULL,425,'FLORESTA','JOINVILLE','SC',9452,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3046796,3.00,3.00,3.00,3.00,3.00,NULL,1.00,4.00,3.00,5,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3046818,8.00,9.00,5.00,3.00,7.00,7.00,6.00,7.00,7.00,103,NULL,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',2203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046826,2.00,2.00,3.00,2.00,2.00,NULL,2.00,0.00,3.00,207,NULL,220,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3046834,4.00,5.00,2.00,2.00,4.00,5.50,3.00,6.00,3.00,216,NULL,202,'CENTRO','CLEVELÂNDIA','PR',14916,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3046842,5.00,7.00,3.00,5.00,5.00,3.00,3.00,7.00,3.00,420,NULL,NULL,'ALVORADA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3046850,3.00,2.00,1.00,6.00,2.00,NULL,2.00,2.00,2.00,303,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3046877,3.00,4.00,3.00,2.00,0.00,NULL,1.00,4.00,0.00,102,NULL,NULL,'OLARIA AMBRÓSIO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3046885,8.00,5.00,2.00,5.00,4.00,5.75,4.00,5.00,3.00,234,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046893,5.00,5.00,3.00,4.00,4.00,5.75,4.00,7.00,3.00,220,NULL,214,'INDUSTRIAL SUL','RIO NEGRINHO','SC',10158,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3046907,3.00,4.00,2.00,1.00,3.00,NULL,1.00,5.00,5.00,216,NULL,215,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046915,3.00,4.00,1.00,6.00,3.00,NULL,2.00,5.00,4.00,207,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046923,3.00,3.00,3.00,0.00,5.00,6.75,4.00,5.00,4.00,101,NULL,NULL,'GARCIA','BLUMENAU','SC',15753,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3046931,3.00,3.00,2.00,2.00,3.00,NULL,2.00,6.00,4.00,317,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'ZONA RURAL','SEARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3046958,4.00,4.00,2.00,6.00,3.00,NULL,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','SUL BRASIL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3046966,4.00,4.00,1.00,4.00,2.00,NULL,3.00,4.00,3.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046974,8.00,9.00,4.00,2.00,5.00,5.25,4.00,8.00,3.00,303,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',7585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3046982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3046990,3.00,3.00,3.00,2.00,4.00,NULL,1.00,3.00,2.00,333,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3047008,2.00,6.00,3.00,2.00,3.00,NULL,5.00,7.00,6.00,203,NULL,214,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3047016,4.00,5.00,1.00,1.00,3.00,NULL,4.00,4.00,6.00,104,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3047024,5.00,3.00,4.00,8.00,6.00,5.50,2.00,8.00,3.00,207,NULL,201,'CENTRO','BLUMENAU','SC',8212,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3047032,5.00,4.00,2.00,3.00,6.00,6.00,2.00,6.00,2.00,207,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',13712,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3047040,4.00,3.00,1.00,2.00,2.00,NULL,2.00,3.00,4.00,203,NULL,233,'AREIAS DE MACACU','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3047059,8.00,5.00,8.00,7.00,5.00,5.00,4.00,7.00,6.00,211,NULL,208,'TRINDADE','FLORIANóPOLIS','SC',4319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047067,6.00,5.00,3.00,6.00,6.00,5.50,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',7806,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3047075,5.00,4.00,1.00,0.00,4.00,NULL,2.00,5.00,4.00,108,NULL,NULL,'CECAP','TUPã','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047083,7.00,8.00,3.00,5.00,6.00,4.75,3.00,7.00,5.00,103,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',7038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047105,4.00,7.00,4.00,2.00,5.00,5.00,5.00,6.00,2.00,238,NULL,208,'AREIAS','S JOSÉ','SC',11299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047130,4.00,6.00,4.00,9.00,5.00,5.50,2.00,7.00,3.00,104,NULL,NULL,'AMERICA','JOINVILLE','SC',8445,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3047148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FARTURA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3047156,6.00,5.00,5.00,8.00,6.00,6.50,5.00,7.00,7.00,104,NULL,NULL,'TRIBESS','BLUMENAU','SC',2563,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3047172,7.00,6.00,8.00,6.00,6.00,7.00,8.00,8.00,5.00,220,NULL,202,'CENTRO','PALOTINA','PR',1695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047199,5.00,5.00,5.00,6.00,5.00,4.00,5.00,6.00,7.00,201,NULL,213,'JARDIM AS ACÁCIAS','S JOSé','SC',6116,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3047202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,215,'SÃO CRISTOVÃO','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3047210,4.00,6.00,5.00,2.00,7.00,4.50,4.00,5.00,4.00,202,NULL,213,'FARROUPILHA','VIDEIRA','SC',11291,404,NULL,221,NULL,NULL,NULL,4,7),(16,3047229,4.00,3.00,1.00,3.00,1.00,NULL,1.00,4.00,2.00,303,NULL,NULL,'NATUREZA','ITÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3047245,5.00,5.00,3.00,6.00,5.00,6.25,2.00,5.00,4.00,101,NULL,NULL,'CENTRO','RIO SUL','SC',11156,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3047253,5.00,7.00,2.00,7.00,5.00,5.75,3.00,7.00,4.00,101,NULL,NULL,'SERRARIA','S JOSÉ','SC',8241,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3047261,6.00,5.00,4.00,5.00,4.00,4.50,3.00,6.00,2.00,502,NULL,NULL,'ITAGUÁ','UBATUBA','SP',11446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047270,7.00,8.00,8.00,9.00,9.00,9.25,7.00,7.00,8.00,103,NULL,NULL,'VILA REZENDE','GOIÂNIA','GO',109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047296,4.00,3.00,6.00,5.00,2.00,NULL,4.00,3.00,3.00,102,NULL,NULL,'RIBEIRANIA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047318,7.00,7.00,4.00,9.00,8.00,6.25,3.00,8.00,6.00,216,NULL,201,'CENTRO','PR GRANDE','SC',2361,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3047326,3.00,3.00,1.00,6.00,3.00,NULL,3.00,5.00,3.00,207,NULL,201,'CENTRO','FLOR S SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3047334,2.00,3.00,2.00,4.00,1.00,NULL,2.00,2.00,2.00,101,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3047342,2.00,4.00,2.00,5.00,5.00,4.00,1.00,5.00,4.00,2,NULL,NULL,'CENTRO','CONCóRDIA','SC',15924,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3047350,5.00,5.00,4.00,4.00,8.00,7.50,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4486,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3047369,4.00,8.00,2.00,7.00,8.00,5.75,1.00,7.00,4.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',8180,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3047377,3.00,3.00,2.00,6.00,3.00,NULL,2.00,5.00,2.00,102,NULL,NULL,'CENTRO','SERRA ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3047385,6.00,5.00,3.00,9.00,4.00,7.25,3.00,6.00,5.00,108,NULL,NULL,'MIGUEL COUTO','CPO GRANDE','MS',7590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047393,1.00,2.00,2.00,3.00,2.00,NULL,3.00,3.00,4.00,404,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3047407,2.00,2.00,3.00,3.00,2.00,NULL,3.00,3.00,4.00,404,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047415,5.00,5.00,3.00,5.00,2.00,NULL,3.00,4.00,4.00,444,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3047423,7.00,7.00,6.00,9.00,6.00,4.75,4.00,8.00,3.00,203,NULL,208,'LAGOA DA CONCEICAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047440,6.00,8.00,5.00,8.00,6.00,7.25,3.00,7.00,8.00,415,NULL,NULL,'HENRIQUE PANTE','S MARCOS','RS',2551,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3047458,5.00,4.00,2.00,9.00,4.00,4.75,4.00,2.00,1.00,301,NULL,NULL,'CENTRO','TIJUCAS','SC',14278,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3047474,4.00,2.00,4.00,4.00,3.00,NULL,3.00,3.00,4.00,101,NULL,NULL,'FLORESTA','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3047482,5.00,4.00,4.00,5.00,4.00,6.50,2.00,6.00,1.00,301,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3047490,5.00,5.00,3.00,7.00,6.00,5.50,3.00,6.00,1.00,301,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',10472,182,NULL,NULL,NULL,NULL,NULL,2,1),(16,3047504,4.00,4.00,6.00,7.00,7.00,6.50,4.00,8.00,6.00,103,NULL,NULL,'IPÊ I','MOGI GUAÇU','SP',4754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3047520,2.00,3.00,1.00,7.00,4.00,5.00,3.00,4.00,3.00,340,NULL,NULL,'CENTRO','CHAPECÓ','SC',15552,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3047539,3.00,6.00,5.00,7.00,6.00,7.50,3.00,7.00,3.00,320,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',7883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047555,4.00,8.00,6.00,4.00,3.00,NULL,4.00,5.00,6.00,208,NULL,238,'CENTRO','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3047563,8.00,9.00,5.00,8.00,8.00,7.00,4.00,7.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047580,3.00,7.00,1.00,6.00,7.00,NULL,0.00,4.00,4.00,101,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3047598,2.00,4.00,1.00,4.00,4.00,NULL,0.00,3.00,0.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3047610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3047636,2.00,3.00,2.00,5.00,5.00,NULL,2.00,3.00,3.00,208,NULL,238,'JARDIM CIDADE DE FLO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3047652,8.00,7.00,8.00,4.00,7.00,7.00,5.00,6.00,8.00,103,NULL,NULL,'CENTRO','S ROQUE','SP',1330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047660,2.00,2.00,1.00,1.00,3.00,NULL,5.00,1.00,5.00,308,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3047679,9.00,9.00,10.00,8.00,8.00,6.25,6.00,6.00,9.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',170,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3047687,0.00,0.00,2.00,4.00,4.00,NULL,4.00,3.00,3.00,301,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3047695,2.00,3.00,4.00,5.00,3.00,NULL,1.00,3.00,3.00,340,NULL,NULL,'PEREQUE','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3047709,5.00,6.00,4.00,8.00,4.00,5.75,2.00,4.00,5.00,203,NULL,NULL,'CENTRO','PARAGUAÇU PAULISTA','SP',8650,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3047717,6.00,7.00,3.00,9.00,7.00,6.50,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','CAPINZAL','SC',4448,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3047725,2.00,1.00,3.00,3.00,4.00,NULL,1.00,6.00,2.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3047733,5.00,5.00,2.00,8.00,5.00,6.75,2.00,5.00,4.00,503,NULL,NULL,'RATONES','FLORIANOPOLIS','SC',10167,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3047741,5.00,6.00,4.00,7.00,5.00,5.25,0.00,8.00,2.00,303,NULL,NULL,'CENTRO','BARRA VELHA','SC',10176,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3047768,4.00,1.00,3.00,3.00,3.00,NULL,2.00,3.00,3.00,9,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3047792,8.00,8.00,5.00,6.00,7.00,7.00,2.00,6.00,6.00,103,NULL,NULL,'SANTA ROSA','CUIABÁ','MT',3454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047806,5.00,2.00,5.00,9.00,5.00,4.50,2.00,4.00,6.00,203,NULL,211,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047814,4.00,4.00,2.00,3.00,2.00,NULL,3.00,4.00,3.00,201,NULL,NULL,'SALTO GRANDE','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3047822,4.00,3.00,4.00,5.00,6.00,4.75,3.00,6.00,5.00,104,NULL,NULL,'COAHB II','DOURADOS','MS',10052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047830,6.00,6.00,8.00,7.00,6.00,5.00,3.00,6.00,6.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3047865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3047873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ENG BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3047881,9.00,8.00,9.00,8.00,6.00,8.00,6.00,9.00,9.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047890,5.00,6.00,3.00,7.00,8.00,5.75,3.00,7.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7046,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3047903,6.00,3.00,3.00,8.00,7.00,5.00,3.00,8.00,4.00,104,NULL,NULL,'PINHEIROS','S PAULO','SP',7298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047911,2.00,4.00,2.00,5.00,4.00,NULL,2.00,4.00,2.00,216,NULL,215,'COAB I','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3047920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3047938,9.00,6.00,8.00,6.00,6.00,6.75,6.00,7.00,8.00,103,NULL,NULL,'INTERLAGOS','S PAULO','SP',1024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047946,3.00,4.00,4.00,3.00,6.00,4.50,1.00,5.00,2.00,203,NULL,211,'SÃO JOÃO','ITAJAÍ','SC',15649,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3047954,6.00,7.00,5.00,8.00,6.00,5.75,6.00,9.00,7.00,216,NULL,233,'COMERCIARIO','CRICIúMA','SC',2283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3047962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'COSTA NERY','MINEIROS','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3047970,4.00,4.00,2.00,8.00,3.00,NULL,3.00,2.00,2.00,108,NULL,NULL,'PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3047997,3.00,4.00,3.00,3.00,2.00,NULL,1.00,2.00,5.00,215,NULL,216,'CINQUENTENÁRIO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3048012,5.00,3.00,3.00,3.00,3.00,NULL,2.00,6.00,3.00,103,NULL,NULL,'PONTA DE BAIXO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048039,2.00,5.00,3.00,6.00,4.00,4.00,3.00,5.00,4.00,304,NULL,NULL,'BARREIROS','S JOSÉ','SC',14312,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3048055,8.00,9.00,8.00,7.00,7.00,5.75,7.00,9.00,9.00,103,NULL,NULL,'CENTRO','TAUBATÉ','SP',331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048063,6.00,7.00,4.00,5.00,6.00,4.75,3.00,7.00,5.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7852,1961,NULL,NULL,NULL,NULL,NULL,2,1),(16,3048071,6.00,6.00,3.00,3.00,3.00,NULL,5.00,6.00,5.00,203,NULL,220,'VIVENDAS DA LAGOA','MACAÉ','RJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3048080,7.00,5.00,4.00,3.00,5.00,5.25,5.00,8.00,5.00,214,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',7832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048098,5.00,3.00,4.00,8.00,5.00,4.75,1.00,3.00,4.00,207,NULL,201,'VELHA CENTRAL','BLUMENAU','SC',11757,577,NULL,912,NULL,NULL,NULL,4,2),(16,3048101,4.00,6.00,5.00,4.00,6.00,5.25,4.00,8.00,3.00,201,NULL,220,'CENTRO','JARDIM','MS',6458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048110,8.00,6.00,6.00,9.00,7.00,6.75,5.00,8.00,6.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',1036,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3048136,5.00,5.00,2.00,8.00,7.00,7.00,4.00,7.00,4.00,415,NULL,NULL,'SANTO ANTONIO','CPO GRANDE','MS',5028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048144,0.00,0.00,0.00,3.00,7.00,NULL,2.00,3.00,2.00,319,NULL,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(16,3048152,8.00,4.00,7.00,7.00,6.00,6.50,4.00,8.00,8.00,103,NULL,NULL,'MANDAQUI','S PAULO','SP',1489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048160,5.00,7.00,1.00,8.00,5.00,5.50,3.00,6.00,7.00,324,NULL,NULL,'ARI LUNARDI','XAXIM','SC',7060,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3048195,4.00,6.00,3.00,6.00,6.00,5.75,1.00,3.00,5.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11151,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3048209,4.00,3.00,7.00,9.00,3.00,NULL,2.00,6.00,4.00,212,NULL,NULL,'ITAIGARA','SALVADOR','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TERRA BOA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3048225,3.00,6.00,2.00,6.00,4.00,5.50,3.00,5.00,3.00,208,NULL,238,'FORQUILHINHAS','S JOSé','SC',12063,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3048241,5.00,6.00,3.00,4.00,2.00,NULL,3.00,5.00,4.00,216,NULL,215,'LIBERDADE','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3048250,6.00,5.00,3.00,7.00,5.00,6.25,3.00,6.00,4.00,415,NULL,NULL,'SAO LUIZ','CRICIÚMA','SC',7639,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3048268,3.00,3.00,1.00,5.00,7.00,6.75,4.00,7.00,3.00,415,NULL,NULL,'ASILO','BLUMENAU','SC',11502,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3048276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUAIUBA','GUARUJÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3048292,5.00,5.00,3.00,5.00,6.00,5.50,4.00,4.00,4.00,301,NULL,NULL,'GLÓRIA','JOINVILLE','SC',10894,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3048306,3.00,4.00,3.00,1.00,1.00,NULL,1.00,2.00,0.00,501,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048314,5.00,2.00,6.00,2.00,2.00,NULL,3.00,6.00,4.00,101,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3048322,7.00,7.00,7.00,7.00,7.00,4.50,7.00,6.00,7.00,203,NULL,214,'TRINDADE','FLORIANóPOLIS','SC',2140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048330,3.00,5.00,2.00,7.00,2.00,NULL,2.00,3.00,3.00,201,NULL,207,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048357,4.00,4.00,3.00,4.00,4.00,5.25,3.00,6.00,3.00,452,NULL,NULL,'VILA NOVA','IMBITUBA','SC',15176,81,NULL,NULL,NULL,NULL,NULL,4,10),(16,3048365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'BROOKLIN','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3048373,4.00,4.00,4.00,6.00,4.00,7.50,2.00,4.00,3.00,340,NULL,NULL,'SANTA LUZIA','OSóRIO','RS',12265,383,NULL,NULL,NULL,NULL,NULL,4,10),(16,3048381,8.00,7.00,7.00,9.00,7.00,6.50,5.00,8.00,7.00,415,NULL,NULL,'ALTO DA LAPA','S PAULO','SP',1142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048390,6.00,5.00,7.00,9.00,7.00,5.50,4.00,7.00,7.00,207,NULL,201,'SAGUAÇÚ','JOINVILLE','SC',2191,NULL,NULL,NULL,NULL,NULL,NULL,3,8),(16,3048403,4.00,6.00,3.00,6.00,5.00,6.00,3.00,5.00,4.00,216,NULL,215,'SÃO LUIZ','BRUSQUE','SC',9877,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3048411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'VILA MASCOTE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3048420,2.00,2.00,4.00,1.00,3.00,NULL,1.00,5.00,4.00,5,NULL,NULL,'FLOR','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3048454,8.00,7.00,4.00,8.00,7.00,6.00,4.00,7.00,6.00,103,NULL,NULL,'ITAGUAÇU II','FLORIANÓPOLIS','SC',2609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3048462,7.00,4.00,3.00,8.00,6.00,5.50,3.00,6.00,6.00,9,NULL,NULL,'ARIRIÚ DA FORMIGA','PALHOçA','SC',6968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3048470,6.00,5.00,2.00,7.00,6.00,5.00,1.00,7.00,6.00,331,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',8356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3048489,3.00,3.00,2.00,6.00,4.00,4.75,2.00,6.00,4.00,316,NULL,NULL,'FLAMENGO','RIO JANEIRO','RJ',14839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048497,9.00,7.00,9.00,7.00,7.00,6.00,7.00,8.00,8.00,103,NULL,NULL,'CPS SANTO ANTONIO','ITU','SP',355,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3048500,8.00,5.00,2.00,7.00,6.00,4.50,3.00,6.00,3.00,103,NULL,NULL,'CENTRO','PIRATUBA','SC',8470,2056,NULL,NULL,NULL,NULL,NULL,2,7),(16,3048519,5.00,7.00,6.00,5.00,6.00,6.00,2.00,8.00,5.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048527,5.00,8.00,6.00,7.00,6.00,6.50,6.00,9.00,6.00,207,NULL,NULL,'CENTRO','S JOÃO B VISTA','SP',1654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048535,8.00,7.00,7.00,9.00,8.00,7.75,7.00,6.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048543,4.00,3.00,3.00,6.00,1.00,NULL,3.00,7.00,3.00,214,NULL,203,'CENTRO','JD OLINDA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3048551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'SOBRADINHO','PATOS MINAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3048560,5.00,4.00,3.00,7.00,5.00,5.25,7.00,4.00,6.00,211,NULL,203,'VILA CLEMENTINO','S PAULO','SP',6836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048578,2.00,4.00,1.00,3.00,2.00,NULL,3.00,4.00,5.00,425,NULL,424,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,213,'PARQUE DAS MONTANHAS','CUNHA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3048616,4.00,6.00,3.00,4.00,4.00,3.00,2.00,4.00,5.00,102,NULL,NULL,'PAGANI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3048624,8.00,6.00,7.00,7.00,6.00,6.50,4.00,8.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048640,6.00,2.00,4.00,6.00,6.00,4.25,4.00,5.00,2.00,211,NULL,NULL,'FAZENDINHA','ITAJAÍ','SC',12951,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3048675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SANTA RITA','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3048683,7.00,4.00,5.00,8.00,7.00,6.25,3.00,6.00,4.00,453,NULL,NULL,'SANTO ANTONIO','FLORIANóPOLIS','SC',6566,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3048713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3048730,3.00,2.00,1.00,6.00,5.00,4.75,3.00,4.00,3.00,101,NULL,NULL,'JARDIM ZANELLATO','S JOSÉ','SC',16062,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3048748,7.00,7.00,7.00,8.00,7.00,6.75,3.00,8.00,5.00,201,NULL,NULL,'BOTAFOGO','BENTO GONçALVES','RS',2270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048756,6.00,8.00,7.00,8.00,7.00,7.25,6.00,8.00,6.00,310,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048764,4.00,5.00,3.00,8.00,6.00,4.50,1.00,6.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3048780,4.00,5.00,5.00,6.00,4.00,4.25,4.00,5.00,5.00,302,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',10585,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3048799,3.00,3.00,2.00,5.00,5.00,5.50,2.00,3.00,4.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',15282,493,NULL,NULL,NULL,NULL,NULL,2,1),(16,3048802,6.00,5.00,4.00,6.00,4.00,5.50,3.00,6.00,2.00,302,NULL,NULL,'ARIRIU DA FORMIGA','PALHOçA','SC',10579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3048810,2.00,2.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,211,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3048829,6.00,5.00,3.00,5.00,6.00,5.75,5.00,7.00,6.00,104,NULL,NULL,'KOBRASOL','S JOSé','SC',6327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048837,7.00,8.00,3.00,5.00,4.00,6.50,3.00,7.00,6.00,208,NULL,238,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',5339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3048853,6.00,4.00,1.00,6.00,4.00,4.75,5.00,7.00,5.00,214,NULL,220,'TRINDADE','FLORIANóPOLIS','SC',9582,330,NULL,381,NULL,NULL,NULL,2,1),(16,3048861,5.00,5.00,3.00,4.00,6.00,4.50,2.00,4.00,4.00,233,NULL,216,'STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC',12785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048888,8.00,7.00,9.00,9.00,6.00,6.25,7.00,8.00,9.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',288,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3048896,6.00,6.00,4.00,6.00,6.00,4.25,3.00,8.00,6.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',6424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048900,4.00,6.00,1.00,8.00,4.00,4.50,4.00,6.00,5.00,301,NULL,NULL,'CENTRO','LAGES','SC',10500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048918,6.00,7.00,4.00,8.00,7.00,7.75,5.00,8.00,8.00,201,NULL,212,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',1149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048926,9.00,8.00,9.00,9.00,9.00,6.25,6.00,9.00,8.00,103,NULL,NULL,'LAGO PARQUE','LONDRINA','PR',61,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048934,7.00,5.00,6.00,6.00,6.00,5.00,3.00,5.00,4.00,216,NULL,212,'VISTA ALEGRE','PAULÍNIA','SP',7151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048942,6.00,8.00,4.00,9.00,8.00,7.00,4.00,7.00,4.00,103,NULL,NULL,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3048950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'EDU CHAVES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3048969,3.00,2.00,3.00,1.00,4.00,NULL,1.00,3.00,1.00,208,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3048985,7.00,7.00,7.00,7.00,6.00,5.00,3.00,8.00,7.00,319,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3048993,5.00,6.00,8.00,8.00,8.00,6.25,6.00,7.00,6.00,304,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049000,2.00,2.00,2.00,2.00,3.00,NULL,2.00,2.00,3.00,202,NULL,213,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049019,6.00,4.00,5.00,5.00,6.00,4.50,3.00,6.00,7.00,238,NULL,208,'SERRARIA','S JOSÉ','SC',7733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049035,5.00,6.00,4.00,6.00,6.00,6.00,4.00,3.00,5.00,207,NULL,203,'MORRETES','ITAPEMA','SC',10184,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3049043,7.00,7.00,4.00,5.00,6.00,5.50,2.00,9.00,6.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',5123,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3049051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CHÁCARA DA REPÚBLICA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',3,1),(16,3049060,5.00,3.00,4.00,7.00,5.00,6.00,3.00,5.00,7.00,302,NULL,NULL,'ROÇADO','S JOSÉ','SC',8647,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3049086,6.00,7.00,3.00,9.00,8.00,6.50,5.00,8.00,5.00,450,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',3550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049094,5.00,2.00,4.00,5.00,3.00,NULL,4.00,3.00,3.00,207,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049108,7.00,9.00,7.00,8.00,6.00,7.00,3.00,8.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049116,5.00,7.00,5.00,9.00,7.00,5.25,1.00,6.00,4.00,425,NULL,424,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',6044,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3049132,7.00,8.00,4.00,9.00,7.00,4.50,6.00,5.00,3.00,103,NULL,NULL,'ASA SUL','BRASÍLIA','DF',3948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049140,8.00,8.00,8.00,7.00,7.00,7.50,7.00,9.00,8.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',94,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3049159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMÉRICA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3049167,9.00,8.00,8.00,9.00,6.00,5.75,6.00,8.00,9.00,216,NULL,220,'VILA MASCOTE','S PAULO','SP',567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049175,5.00,6.00,5.00,7.00,4.00,4.25,3.00,5.00,6.00,202,NULL,208,'LA SALLE','XANXERê','SC',9653,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3049183,8.00,8.00,9.00,7.00,6.00,6.50,6.00,6.00,7.00,103,NULL,NULL,'VILA NOVA','GOIÂNIA','GO',932,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3049205,7.00,7.00,4.00,9.00,8.00,7.25,3.00,5.00,7.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049213,7.00,7.00,1.00,7.00,6.00,5.50,3.00,6.00,6.00,103,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',5987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049221,5.00,7.00,4.00,8.00,7.00,5.75,3.00,8.00,5.00,452,NULL,NULL,'BARREIROS','S JOSé','SC',4853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3049248,4.00,6.00,6.00,9.00,8.00,6.00,4.00,7.00,7.00,216,NULL,211,'MATA DA PRAIA','VITÓRIA','ES',2785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049256,3.00,2.00,2.00,5.00,1.00,NULL,2.00,3.00,2.00,101,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3049264,8.00,5.00,7.00,8.00,8.00,7.25,5.00,7.00,8.00,216,NULL,215,'CENTRO','PALHOÇA','SC',1475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3049272,7.00,8.00,4.00,7.00,8.00,5.75,4.00,8.00,6.00,220,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049280,3.00,4.00,3.00,5.00,4.00,5.50,2.00,1.00,4.00,216,NULL,215,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3049310,5.00,7.00,2.00,4.00,4.00,4.50,2.00,6.00,4.00,444,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',13093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049329,5.00,6.00,8.00,8.00,6.00,5.75,7.00,6.00,7.00,203,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',1775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049337,3.00,5.00,5.00,2.00,3.00,NULL,2.00,3.00,5.00,104,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3049345,7.00,7.00,4.00,7.00,5.00,5.25,4.00,6.00,5.00,233,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',5586,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3049361,9.00,8.00,7.00,8.00,8.00,6.00,7.00,9.00,7.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',533,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3049370,6.00,4.00,1.00,5.00,6.00,5.75,3.00,7.00,5.00,103,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',10288,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3049388,3.00,3.00,1.00,4.00,3.00,NULL,4.00,4.00,3.00,202,NULL,213,'PRAINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3049396,9.00,7.00,5.00,5.00,7.00,5.50,5.00,8.00,8.00,103,NULL,NULL,'VILA CONTANÇA','S PAULO','SP',1933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049400,2.00,3.00,4.00,3.00,2.00,NULL,0.00,2.00,3.00,207,NULL,216,'JD DOS EUCALIPTOS','PORTÃO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3049418,3.00,3.00,4.00,5.00,4.00,0.00,1.00,5.00,2.00,444,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049426,7.00,6.00,6.00,9.00,8.00,8.25,5.00,6.00,8.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',1266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049434,5.00,3.00,3.00,7.00,5.00,4.50,2.00,5.00,5.00,308,NULL,NULL,'SANTO ANT DE LISBOA','FLORIANÓPOLIS','SC',12049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3049450,4.00,6.00,6.00,5.00,6.00,5.25,2.00,6.00,5.00,108,NULL,NULL,'JARDIM VITÓRIA','GOIÂNIA','GO',8968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049469,5.00,2.00,4.00,4.00,4.00,4.00,1.00,7.00,3.00,201,NULL,212,'CORREGO GRANDE','FLORIANóPOLIS','SC',15102,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3049477,8.00,3.00,4.00,4.00,6.00,5.25,3.00,4.00,4.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049493,5.00,5.00,5.00,6.00,5.00,6.00,2.00,8.00,5.00,415,NULL,NULL,'GUARATIBA','RIO JANEIRO','RJ',7280,191,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049507,5.00,4.00,4.00,4.00,7.00,5.75,1.00,5.00,3.00,108,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',12986,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3049515,4.00,3.00,4.00,7.00,4.00,6.00,4.00,3.00,6.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',10143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3049531,3.00,4.00,3.00,1.00,0.00,NULL,4.00,3.00,5.00,238,NULL,215,'GUARAITUBA','PARANAGUá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3049540,3.00,7.00,3.00,6.00,5.00,5.50,4.00,6.00,6.00,216,NULL,215,'OS PIONEIROS','ITÁ','SC',9359,338,NULL,208,NULL,NULL,NULL,2,4),(16,3049558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3049566,5.00,3.00,2.00,4.00,5.00,4.00,2.00,6.00,3.00,340,NULL,NULL,'PRAIA DANIELA','FLORIANóPOLIS','SC',15042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049582,7.00,6.00,6.00,7.00,8.00,9.00,4.00,6.00,6.00,420,NULL,NULL,'BELÉM NOVO','PTO ALEGRE','RS',2021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049590,3.00,2.00,1.00,7.00,4.00,4.25,3.00,4.00,2.00,102,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',16681,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3049604,7.00,4.00,4.00,6.00,6.00,5.75,5.00,3.00,5.00,220,NULL,NULL,'JARDIM EMILIA','BONFIM PAULISTA','SP',7093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049612,5.00,7.00,1.00,6.00,2.00,NULL,3.00,7.00,2.00,108,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3049620,6.00,6.00,4.00,8.00,7.00,4.25,4.00,7.00,6.00,208,NULL,NULL,'COMASA','JOINVILLE','SC',5537,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3049639,6.00,5.00,2.00,9.00,3.00,NULL,1.00,6.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049647,5.00,3.00,5.00,5.00,3.00,NULL,3.00,2.00,4.00,102,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3049655,5.00,4.00,5.00,8.00,5.00,5.50,2.00,5.00,7.00,103,NULL,NULL,'BATEL','CURITIBA','PR',6946,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3049671,4.00,6.00,3.00,4.00,6.00,5.25,3.00,5.00,4.00,238,NULL,208,'JARDIM JANAINA','BIGUAÇU','SC',12955,404,NULL,426,NULL,NULL,NULL,4,1),(16,3049680,4.00,4.00,2.00,1.00,3.00,NULL,2.00,5.00,3.00,216,NULL,220,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3049698,5.00,3.00,6.00,8.00,6.00,7.75,4.00,4.00,7.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',5268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049701,9.00,6.00,9.00,7.00,6.00,5.50,3.00,8.00,9.00,103,NULL,NULL,'CENTRO','CIANORTE','PR',1190,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3049710,3.00,0.00,4.00,5.00,2.00,NULL,1.00,1.00,4.00,301,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3049736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA IORQUE','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3049744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3049752,7.00,6.00,6.00,4.00,8.00,4.75,3.00,7.00,8.00,233,NULL,238,'CARVOEIRA','FLORIANÓPOLIS','SC',3922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049760,3.00,5.00,3.00,4.00,3.00,NULL,3.00,5.00,4.00,211,NULL,215,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3049779,5.00,6.00,3.00,0.00,5.00,4.00,1.00,6.00,2.00,415,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',16125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049787,3.00,4.00,4.00,4.00,5.00,6.25,2.00,7.00,3.00,102,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13424,240,NULL,NULL,NULL,NULL,NULL,2,1),(16,3049795,9.00,8.00,9.00,9.00,8.00,8.75,8.00,7.00,9.00,103,NULL,NULL,'SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC',8,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049809,7.00,7.00,6.00,8.00,6.00,6.00,3.00,6.00,6.00,207,NULL,201,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',3787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049817,4.00,4.00,3.00,5.00,5.00,4.50,4.00,6.00,3.00,301,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',12694,266,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049833,4.00,5.00,6.00,9.00,7.00,7.00,3.00,7.00,2.00,5,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',5684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049841,6.00,7.00,4.00,7.00,5.00,5.25,3.00,8.00,5.00,301,NULL,NULL,'CENTRO','ASSIS','SP',4794,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3049850,5.00,5.00,2.00,9.00,7.00,5.50,3.00,8.00,4.00,415,NULL,NULL,'BAIRRO IPIRANGA','S JOSÉ','SC',7328,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3049868,5.00,6.00,2.00,5.00,5.00,4.25,2.00,5.00,3.00,450,NULL,NULL,'CENTRO','PARANAVAí','PR',13233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049876,7.00,7.00,6.00,7.00,7.00,6.00,8.00,8.00,8.00,207,NULL,201,'ABRAÃO','FLORIANÓPOLIS','SC',913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049884,8.00,7.00,7.00,7.00,7.00,6.00,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',1724,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3049892,8.00,6.00,9.00,7.00,8.00,5.50,7.00,7.00,9.00,220,NULL,203,'PLANALTO','GUARAÍ','TO',531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049906,3.00,4.00,2.00,2.00,0.00,NULL,1.00,2.00,2.00,203,NULL,202,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3049914,6.00,5.00,6.00,4.00,4.00,4.75,4.00,7.00,6.00,103,NULL,NULL,'JD CIDADE VERDE','CASCAVEL','PR',7561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049922,1.00,4.00,4.00,3.00,4.00,NULL,2.00,3.00,3.00,207,NULL,211,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3049949,3.00,4.00,4.00,2.00,5.00,6.00,2.00,5.00,5.00,340,NULL,NULL,'CENTRO','MELEIRO','SC',14099,437,NULL,NULL,NULL,NULL,NULL,4,5),(16,3049957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NOVA CANTU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3049965,7.00,7.00,7.00,9.00,7.00,7.25,6.00,7.00,7.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3049973,6.00,4.00,8.00,9.00,7.00,5.75,5.00,6.00,8.00,203,NULL,214,'SANTO AMARO','S PAULO','SP',2442,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3049981,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3049990,3.00,1.00,2.00,4.00,3.00,NULL,2.00,5.00,3.00,444,NULL,NULL,'BELA VISTA','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3050009,5.00,8.00,6.00,4.00,8.00,5.50,4.00,6.00,6.00,5,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',4451,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3050017,3.00,2.00,2.00,4.00,5.00,NULL,1.00,2.00,2.00,304,NULL,NULL,'ESPLANADA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3050025,4.00,2.00,4.00,5.00,4.00,5.25,4.00,5.00,3.00,207,NULL,211,'SANTA CRISTINA','HOLAMBRA II','SP',13938,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3050033,5.00,7.00,7.00,7.00,7.00,5.75,4.00,6.00,6.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',3806,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3050068,5.00,7.00,6.00,7.00,7.00,5.50,3.00,7.00,6.00,3,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3050076,2.00,1.00,3.00,6.00,2.00,NULL,2.00,4.00,5.00,104,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3050084,8.00,7.00,3.00,7.00,5.00,6.75,5.00,7.00,6.00,208,NULL,238,'CAMPECHE','FLORIANóPOLIS','SC',3495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050092,8.00,7.00,1.00,3.00,3.00,NULL,4.00,8.00,3.00,2,NULL,NULL,'ITAJUBA','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3050106,4.00,2.00,2.00,1.00,2.00,NULL,1.00,3.00,3.00,420,NULL,NULL,'BARRA DO ARIRIÚ','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3050114,6.00,6.00,1.00,4.00,7.00,7.50,2.00,5.00,4.00,9,NULL,NULL,'VILA RENÔ','PNT PORÃ','MS',10381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050122,4.00,4.00,4.00,0.00,3.00,NULL,2.00,6.00,5.00,238,NULL,208,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3050130,5.00,7.00,8.00,9.00,7.00,6.25,4.00,5.00,3.00,301,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050157,6.00,4.00,3.00,9.00,7.00,6.00,2.00,6.00,6.00,301,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',7383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050165,3.00,2.00,3.00,2.00,4.00,NULL,1.00,5.00,4.00,333,NULL,NULL,'SÃO JOÃO','ITAPEVI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3050173,8.00,7.00,5.00,9.00,7.00,7.00,4.00,9.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050181,5.00,5.00,4.00,6.00,4.00,5.50,4.00,5.00,6.00,103,NULL,NULL,'UMARIZAL','BELÉM','PA',8509,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3050211,5.00,3.00,1.00,1.00,4.00,NULL,3.00,3.00,2.00,340,NULL,NULL,'CENTRO','CIANORTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3050262,6.00,5.00,3.00,7.00,4.00,5.00,1.00,8.00,5.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',8208,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3050289,5.00,7.00,4.00,4.00,7.00,6.00,2.00,8.00,6.00,303,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',6164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050300,6.00,7.00,5.00,9.00,7.00,6.75,2.00,7.00,7.00,103,NULL,NULL,'VILA ITAJUBÁ','FOZ IGUAçU','PR',3091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050319,2.00,4.00,2.00,8.00,6.00,6.50,0.00,4.00,4.00,450,NULL,NULL,'CIANORTINHO','CIANORTE','PR',13703,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3050327,8.00,8.00,9.00,9.00,8.00,5.25,7.00,8.00,7.00,103,NULL,NULL,'STO ANTONIO DE PÁDUA','TUBARãO','SC',381,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3050335,6.00,4.00,5.00,7.00,8.00,6.50,3.00,8.00,5.00,108,NULL,NULL,'FLORESTA','JOINVILLE','SC',5047,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3050343,4.00,3.00,3.00,6.00,2.00,NULL,3.00,3.00,2.00,220,NULL,208,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3050351,5.00,6.00,5.00,9.00,6.00,5.75,4.00,4.00,4.00,233,NULL,215,'PIO CORRÊA','CRICIúMA','SC',7152,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3050360,6.00,6.00,5.00,9.00,7.00,7.25,4.00,7.00,7.00,108,NULL,NULL,'BOA VISTA','JOINVILLE','SC',2427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050378,4.00,3.00,3.00,7.00,6.00,5.50,3.00,5.00,5.00,333,NULL,NULL,'MANDAQUI','S PAULO','SP',10943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050386,8.00,6.00,7.00,8.00,8.00,6.00,5.00,6.00,6.00,103,NULL,NULL,'BATEL','CURITIBA','PR',2079,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3050394,6.00,6.00,4.00,4.00,5.00,5.00,1.00,7.00,6.00,103,NULL,NULL,'VILA VERA CRUZ','APUCARANA','PR',9060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050408,6.00,6.00,2.00,3.00,5.00,5.50,5.00,7.00,4.00,303,NULL,NULL,'ESPLANADA','CHAPECó','SC',10192,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3050416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3050424,8.00,7.00,5.00,9.00,7.00,5.25,5.00,7.00,8.00,303,NULL,NULL,'TAGUATINGA NORTE','TAGUATINGA','DF',1608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050432,4.00,7.00,5.00,4.00,7.00,7.50,4.00,6.00,6.00,303,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',5312,249,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050440,4.00,2.00,2.00,4.00,3.00,NULL,2.00,5.00,2.00,316,NULL,NULL,'STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3050467,4.00,4.00,3.00,7.00,4.00,5.25,2.00,7.00,5.00,9,NULL,NULL,'CENTRO','PALHOÇA','SC',10979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050475,2.00,1.00,3.00,5.00,3.00,NULL,3.00,3.00,3.00,207,NULL,233,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050483,4.00,7.00,1.00,5.00,5.00,5.75,3.00,7.00,3.00,108,NULL,NULL,'SÃO PEDRO','RIO NEGRINHO','SC',11044,247,NULL,NULL,NULL,NULL,NULL,2,8),(16,3050505,5.00,8.00,5.00,7.00,6.00,5.75,4.00,7.00,4.00,108,NULL,NULL,'SÃO PEDRO','RIO NEGRINHO','SC',4429,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3050521,7.00,8.00,6.00,9.00,6.00,5.75,5.00,9.00,7.00,103,NULL,NULL,'ESPLANADA MENDES','S ROQUE','SP',669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050530,9.00,9.00,7.00,6.00,7.00,6.00,5.00,9.00,8.00,108,NULL,NULL,'BARREIROS','S JOSé','SC',594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050548,3.00,5.00,2.00,5.00,4.00,5.50,2.00,7.00,5.00,444,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13596,92,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050556,2.00,6.00,1.00,1.00,5.00,5.00,0.00,7.00,4.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',15812,2767,NULL,NULL,NULL,NULL,NULL,4,8),(16,3050564,7.00,9.00,9.00,9.00,8.00,5.75,2.00,6.00,8.00,220,NULL,202,'PONTA NEGRA','MANAUS','AM',732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050602,3.00,4.00,4.00,3.00,4.00,NULL,3.00,3.00,1.00,421,NULL,425,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050629,6.00,4.00,3.00,8.00,8.00,5.25,3.00,7.00,4.00,103,NULL,NULL,'VILA ASSUNÇÃO','PTO ALEGRE','RS',6195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050637,5.00,7.00,5.00,2.00,6.00,7.75,4.00,7.00,6.00,103,NULL,NULL,'PARQUE CUIABÁ','CUIABá','MT',5281,1553,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050645,5.00,3.00,4.00,6.00,4.00,5.50,4.00,8.00,6.00,452,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',7453,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3050653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3050688,6.00,4.00,6.00,4.00,6.00,5.25,1.00,8.00,4.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050696,2.00,7.00,1.00,6.00,7.00,5.50,2.00,6.00,3.00,332,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13403,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3050700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3050718,5.00,2.00,4.00,3.00,5.00,5.25,3.00,5.00,1.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',16083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050726,5.00,6.00,3.00,7.00,6.00,6.25,4.00,7.00,5.00,202,NULL,207,'BELCHIOR BAIXO','GASPAR','SC',6729,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3050734,9.00,8.00,7.00,8.00,7.00,7.25,7.00,8.00,9.00,103,NULL,NULL,'GONZAGA','SANTOS','SP',201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050750,5.00,4.00,3.00,8.00,5.00,5.00,3.00,5.00,5.00,303,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',10068,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3050769,4.00,6.00,2.00,7.00,7.00,4.75,3.00,6.00,3.00,319,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',9588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050777,1.00,2.00,2.00,0.00,2.00,NULL,2.00,3.00,0.00,220,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3050785,8.00,8.00,5.00,8.00,7.00,7.25,5.00,8.00,6.00,333,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3050793,5.00,7.00,2.00,8.00,6.00,8.00,2.00,6.00,5.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',7830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050807,4.00,6.00,5.00,7.00,6.00,6.25,3.00,6.00,5.00,216,NULL,215,'CENTRO','ERECHIM','RS',6401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050823,6.00,8.00,2.00,7.00,8.00,7.50,3.00,6.00,6.00,340,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',4674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3050831,9.00,7.00,7.00,8.00,8.00,6.00,8.00,9.00,8.00,220,NULL,203,'CENTRO','STA HELENA','PR',266,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3050840,2.00,4.00,3.00,6.00,3.00,NULL,1.00,3.00,3.00,503,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3050858,8.00,9.00,9.00,8.00,9.00,8.50,8.00,8.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',22,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050866,9.00,7.00,8.00,9.00,9.00,8.50,6.00,9.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',97,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050874,9.00,8.00,5.00,9.00,7.00,7.00,6.00,9.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050882,8.00,7.00,6.00,8.00,6.00,7.25,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',1598,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3050890,9.00,8.00,6.00,8.00,7.00,6.00,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','BOTUCATU','SP',1004,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3050904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IDEAL','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3050912,5.00,9.00,4.00,3.00,6.00,6.50,2.00,5.00,4.00,303,NULL,NULL,'RIO DO CEDRO','ÁGUAS MORNAS','SC',9363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3050920,6.00,5.00,6.00,9.00,8.00,6.75,3.00,6.00,7.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',3151,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3050939,4.00,5.00,3.00,3.00,4.00,4.25,3.00,4.00,4.00,208,NULL,202,'SÃO SEBASTIÃO','PALHOÇA','SC',15195,527,NULL,513,NULL,NULL,NULL,4,1),(16,3050947,7.00,8.00,7.00,8.00,6.00,5.25,5.00,9.00,8.00,103,NULL,NULL,'SANTO ANTÔNIO','FRAIBURGO','SC',1277,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3050955,6.00,6.00,3.00,3.00,4.00,5.50,3.00,5.00,2.00,216,NULL,207,'TONIAL','XANXERÊ','SC',13230,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3050971,5.00,4.00,2.00,4.00,3.00,NULL,4.00,3.00,3.00,103,NULL,NULL,'SAIC','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3050980,4.00,4.00,4.00,7.00,6.00,3.25,4.00,5.00,5.00,203,NULL,202,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051005,2.00,5.00,4.00,5.00,4.00,4.75,2.00,4.00,4.00,301,NULL,NULL,'REAL PARQUE','S JOSé','SC',15582,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3051013,6.00,6.00,3.00,9.00,6.00,5.25,2.00,6.00,6.00,450,NULL,NULL,'CAMPINAS','S JOSé','SC',6074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051021,6.00,4.00,1.00,6.00,8.00,6.50,3.00,7.00,6.00,103,NULL,NULL,'PORTO DA LAGOA','FLORIANóPOLIS','SC',6677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOÃO B GLÓRIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3051048,7.00,7.00,6.00,8.00,7.00,5.75,4.00,6.00,7.00,108,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',2525,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3051056,3.00,6.00,4.00,7.00,4.00,5.75,3.00,7.00,6.00,207,NULL,201,'KOBRASOL','S JOSÉ','SC',8294,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3051064,4.00,6.00,4.00,0.00,7.00,4.00,4.00,7.00,5.00,444,NULL,NULL,'ÁGUAS CLARAS','BRUSQUE','SC',9906,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3051072,6.00,5.00,2.00,3.00,6.00,4.75,5.00,4.00,3.00,215,NULL,211,'SAGUAÇU','JOINVILLE','SC',12206,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3051080,7.00,4.00,3.00,7.00,9.00,6.50,2.00,7.00,5.00,317,NULL,NULL,'BETÂNIA','ANGELINA','SC',6599,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3051099,4.00,7.00,6.00,6.00,6.00,5.50,3.00,5.00,4.00,453,NULL,NULL,'SETE DE SETEMBRO','GASPAR','SC',7045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051102,3.00,4.00,3.00,7.00,4.00,5.00,3.00,5.00,2.00,320,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',13927,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3051129,4.00,4.00,4.00,8.00,8.00,5.00,4.00,7.00,6.00,415,NULL,NULL,'JARDIM UNIVERSITÁRIO','CUIABá','MT',5100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051137,7.00,3.00,7.00,6.00,6.00,5.50,4.00,6.00,7.00,220,NULL,216,'OFICINAS','TUBARÃO','SC',3675,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3051153,5.00,4.00,3.00,8.00,5.00,6.00,3.00,3.00,3.00,103,NULL,NULL,'ITAGUACU','FLORIANÓPOLIS','SC',11654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051161,5.00,6.00,4.00,9.00,6.00,5.50,4.00,7.00,3.00,216,NULL,215,'PRESIDENTE MÉDICE','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3051170,8.00,8.00,7.00,9.00,8.00,8.25,7.00,8.00,9.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',84,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3051188,1.00,4.00,1.00,3.00,4.00,NULL,4.00,2.00,3.00,316,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3051200,3.00,3.00,4.00,7.00,6.00,5.50,2.00,5.00,5.00,452,NULL,NULL,'CENTRO','POMERODE','SC',12004,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3051218,3.00,3.00,4.00,6.00,7.00,6.25,4.00,6.00,4.00,5,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',9290,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3051226,5.00,7.00,6.00,8.00,6.00,6.75,5.00,7.00,6.00,501,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',2621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051234,8.00,7.00,6.00,9.00,8.00,6.00,4.00,8.00,8.00,207,NULL,201,'AGRONOMICA','FLORIANÓPOLIS','SC',961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051242,5.00,1.00,1.00,3.00,2.00,NULL,2.00,0.00,2.00,208,NULL,NULL,'JARDIM AMÉRICA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051269,6.00,5.00,4.00,7.00,5.00,4.50,3.00,6.00,4.00,309,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',10039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3051285,5.00,2.00,4.00,8.00,6.00,6.50,4.00,6.00,2.00,207,NULL,201,'VILA ADYANA','S JOSÉ CAMPOS','SP',8238,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3051293,5.00,5.00,3.00,3.00,7.00,5.50,3.00,8.00,2.00,207,NULL,NULL,'CENTRO','XAXIM','SC',11483,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3051307,5.00,7.00,6.00,9.00,7.00,6.25,6.00,9.00,6.00,202,NULL,208,'SALGADO FILHO','CAXIAS SUL','RS',1623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051315,2.00,5.00,1.00,4.00,5.00,5.25,3.00,5.00,4.00,428,NULL,426,'TRINDADE','FLORIANOPOLIS','SC',15313,87,NULL,27,NULL,NULL,NULL,4,1),(16,3051323,2.00,4.00,1.00,3.00,4.00,NULL,1.00,2.00,0.00,308,NULL,NULL,'SÃO JOSÉ','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3051331,7.00,7.00,2.00,7.00,8.00,7.00,4.00,8.00,5.00,415,NULL,NULL,'BARREIROS','S JOSé','SC',4346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3051340,7.00,7.00,5.00,5.00,6.00,4.00,5.00,8.00,7.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051358,2.00,5.00,1.00,6.00,7.00,5.00,1.00,7.00,4.00,103,NULL,NULL,'CENTRO','VIDEIRA','SC',12490,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3051374,6.00,5.00,5.00,9.00,9.00,5.50,2.00,8.00,5.00,450,NULL,NULL,'SÃO BERNARDO','CAMPINAS','SP',3534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051382,4.00,7.00,4.00,3.00,5.00,5.25,4.00,6.00,1.00,201,NULL,203,'AREIAS','CAMBORIú','SC',12154,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3051390,6.00,8.00,7.00,6.00,6.00,6.00,5.00,7.00,6.00,211,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',2553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051404,8.00,8.00,5.00,7.00,9.00,7.25,5.00,7.00,7.00,201,NULL,202,'PANCERA','TOLEDO','PR',1443,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3051412,2.00,3.00,3.00,2.00,4.00,NULL,3.00,3.00,2.00,444,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051420,6.00,5.00,3.00,7.00,4.00,4.50,4.00,1.00,1.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051439,6.00,6.00,2.00,7.00,6.00,5.50,3.00,7.00,5.00,207,NULL,201,'AMÉRICA','JOINVILLE','SC',6925,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3051447,5.00,5.00,5.00,7.00,6.00,5.25,4.00,4.00,5.00,317,NULL,NULL,'AREIAS','S JOSé','SC',7360,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3051455,5.00,7.00,3.00,8.00,3.00,NULL,3.00,6.00,4.00,453,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SETOR UNIVERSITÁRIO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3051471,6.00,7.00,5.00,7.00,6.00,5.75,2.00,8.00,6.00,302,NULL,NULL,'ITAPOCU','ARAQUARI','SC',5159,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3051498,8.00,4.00,3.00,9.00,5.00,6.25,5.00,5.00,7.00,103,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',4417,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3051501,8.00,1.00,2.00,2.00,3.00,NULL,1.00,3.00,1.00,9,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ANTONIO ZANAGA','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3051528,8.00,6.00,6.00,5.00,4.00,6.50,4.00,8.00,5.00,214,NULL,213,'ABRAÃO','FLORIANóPOLIS','SC',3999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051544,4.00,6.00,6.00,5.00,6.00,5.50,2.00,5.00,5.00,102,NULL,NULL,'SETOR B','QUERÊNCIA','MT',8502,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3051552,8.00,7.00,7.00,8.00,8.00,0.00,5.00,9.00,8.00,203,NULL,207,'BOA VISTA','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3051579,5.00,4.00,5.00,6.00,8.00,6.00,3.00,4.00,4.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051587,2.00,3.00,3.00,1.00,3.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'CENTRO','IRINEÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3051595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3051617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CAMPOS ELISEOS','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3051625,7.00,7.00,4.00,9.00,8.00,6.50,5.00,8.00,5.00,103,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3051650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3051668,4.00,7.00,5.00,6.00,7.00,6.75,4.00,8.00,5.00,202,NULL,213,'CAPOEIRAS','FLORIANÓPOLIS','SC',4697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051676,6.00,4.00,3.00,8.00,3.00,NULL,3.00,6.00,2.00,415,NULL,NULL,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3051684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'INDUSTRIAL','SEARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3051692,0.00,0.00,1.00,0.00,1.00,NULL,0.00,1.00,1.00,104,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3051706,3.00,6.00,3.00,2.00,4.00,4.50,1.00,3.00,3.00,208,NULL,NULL,'SERRARIA','S JOSÉ','SC',16672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051714,5.00,3.00,3.00,3.00,3.00,NULL,3.00,4.00,3.00,444,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CERES','GO',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3051730,8.00,5.00,5.00,8.00,5.00,4.00,5.00,5.00,5.00,103,NULL,NULL,'TINGUI','CURITIBA','PR',5807,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3051749,3.00,6.00,3.00,6.00,6.00,7.00,2.00,6.00,4.00,303,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051757,7.00,7.00,2.00,7.00,6.00,6.00,4.00,9.00,5.00,103,NULL,NULL,'MORUMBI','S PAULO','SP',3725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051765,9.00,8.00,5.00,8.00,6.00,6.00,7.00,7.00,8.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1238,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3051773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3051781,6.00,7.00,4.00,5.00,3.00,NULL,6.00,6.00,4.00,103,NULL,NULL,'NOVO AMPARO','AMPARO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051790,7.00,7.00,4.00,9.00,7.00,6.25,5.00,9.00,7.00,103,NULL,NULL,'VILA LENZI','JARAGUA DO SUL','SC',1420,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3051803,5.00,6.00,6.00,5.00,6.00,5.00,5.00,7.00,7.00,203,NULL,213,'SACO GRANDE','FLORIANóPOLIS','SC',4516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051811,4.00,7.00,4.00,6.00,6.00,4.75,3.00,7.00,2.00,203,NULL,233,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051820,2.00,0.00,1.00,3.00,3.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051838,9.00,9.00,7.00,9.00,7.00,8.50,7.00,9.00,7.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',112,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3051846,8.00,8.00,6.00,5.00,8.00,6.75,7.00,7.00,7.00,201,NULL,207,'CENTRO','RONDINHA','RS',1652,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3051854,8.00,7.00,4.00,7.00,8.00,6.25,2.00,8.00,7.00,103,NULL,NULL,'PENHA','S PAULO','SP',2943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051870,4.00,6.00,2.00,7.00,3.00,NULL,3.00,2.00,2.00,108,NULL,NULL,'CIDADE UNIVERSITARIA','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051889,4.00,8.00,4.00,7.00,3.00,NULL,4.00,5.00,5.00,452,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3051897,5.00,4.00,2.00,8.00,4.00,5.75,2.00,7.00,1.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051900,3.00,1.00,2.00,2.00,3.00,NULL,3.00,4.00,0.00,316,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3051919,6.00,7.00,4.00,6.00,6.00,5.75,2.00,6.00,6.00,303,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',6687,306,NULL,NULL,NULL,NULL,NULL,2,1),(16,3051927,5.00,4.00,4.00,8.00,4.00,5.00,2.00,4.00,4.00,102,NULL,NULL,'JARDIM ALVORADA','S CARLOS','SP',11548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051935,5.00,6.00,6.00,6.00,7.00,5.25,5.00,7.00,6.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051943,6.00,8.00,8.00,8.00,7.00,6.25,6.00,7.00,8.00,103,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',1006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051960,5.00,4.00,2.00,4.00,3.00,NULL,4.00,5.00,4.00,453,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3051986,4.00,3.00,2.00,8.00,3.00,NULL,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3052010,2.00,3.00,2.00,5.00,5.00,NULL,2.00,3.00,3.00,503,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3052028,6.00,6.00,4.00,4.00,4.00,5.00,4.00,6.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3052036,4.00,4.00,4.00,3.00,2.00,NULL,4.00,6.00,4.00,301,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3052044,4.00,5.00,3.00,9.00,4.00,6.50,6.00,9.00,7.00,340,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',4636,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3052060,3.00,2.00,2.00,6.00,5.00,4.75,3.00,6.00,4.00,203,NULL,214,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3052079,6.00,9.00,8.00,9.00,7.00,6.50,4.00,9.00,4.00,301,NULL,NULL,'AMÉRICA','JOINVILLE','SC',1367,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3052095,2.00,4.00,3.00,4.00,3.00,NULL,5.00,4.00,4.00,304,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3052109,6.00,4.00,4.00,3.00,4.00,6.75,2.00,4.00,3.00,207,NULL,211,'ITACORUBI','FLORIANÓPOLIS','SC',13917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052117,6.00,6.00,4.00,8.00,6.00,6.75,4.00,5.00,5.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052125,5.00,5.00,4.00,8.00,6.00,3.00,3.00,5.00,6.00,238,NULL,208,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052133,9.00,8.00,8.00,9.00,8.00,6.00,4.00,8.00,8.00,203,NULL,208,'CENTRO','ANTÔNIO CARLOS','SC',614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052150,3.00,3.00,1.00,6.00,4.00,4.75,3.00,5.00,3.00,304,NULL,NULL,'CENTRO','CAçADOR','SC',16519,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3052168,4.00,6.00,4.00,4.00,5.00,6.25,3.00,7.00,4.00,103,NULL,NULL,'PRIMO TACCA','XANXERÊ','SC',11256,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3052176,7.00,7.00,7.00,8.00,6.00,6.00,6.00,8.00,8.00,220,NULL,203,'JARDIM LA SALLE','TOLEDO','PR',1399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052184,6.00,6.00,5.00,7.00,8.00,6.00,4.00,7.00,6.00,220,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',3653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052192,3.00,5.00,3.00,3.00,4.00,5.75,1.00,8.00,4.00,304,NULL,NULL,'JARDIM SÃO JOSÉ','JACAREí','SP',13229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052206,2.00,5.00,2.00,6.00,7.00,5.25,3.00,4.00,3.00,220,NULL,214,'FLORESTA','VIDEIRA','SC',13069,467,NULL,420,NULL,NULL,NULL,4,7),(16,3052214,5.00,8.00,7.00,7.00,9.00,5.00,6.00,8.00,9.00,303,NULL,NULL,'CENTRO','MARAU','RS',1101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3052222,9.00,8.00,9.00,8.00,9.00,6.00,7.00,8.00,8.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052230,5.00,5.00,4.00,4.00,6.00,5.75,4.00,6.00,5.00,211,NULL,215,'CENTRO','CRICIÚMA','SC',8229,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3052249,7.00,7.00,7.00,9.00,9.00,7.00,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',1400,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3052257,3.00,5.00,4.00,7.00,3.00,NULL,3.00,8.00,4.00,415,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3052265,2.00,2.00,2.00,1.00,4.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052273,4.00,5.00,3.00,5.00,4.00,4.75,2.00,5.00,2.00,415,NULL,NULL,'BROOKLIN','S PAULO','SP',14400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052281,8.00,7.00,7.00,9.00,9.00,5.75,4.00,7.00,6.00,103,NULL,NULL,'CAMBUI','CAMPINAS','SP',969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052290,5.00,6.00,3.00,6.00,8.00,5.75,2.00,9.00,3.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',7275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052303,4.00,7.00,8.00,8.00,7.00,5.75,4.00,7.00,7.00,220,NULL,208,'CENTRO','JAPURÁ','PR',2632,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3052311,6.00,7.00,2.00,8.00,8.00,7.50,4.00,6.00,7.00,415,NULL,NULL,'SETOR MARISTA','GOIÂNIA','GO',3794,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052320,4.00,5.00,2.00,1.00,3.00,NULL,1.00,4.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052338,5.00,4.00,1.00,4.00,5.00,5.25,3.00,6.00,4.00,215,NULL,208,'ROÇADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052346,3.00,5.00,3.00,8.00,1.00,NULL,2.00,7.00,1.00,319,NULL,NULL,'SANTA FÉ','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052354,7.00,7.00,5.00,2.00,5.00,5.00,3.00,7.00,8.00,215,NULL,233,'MAR GROSSO','LAGUNA','SC',6285,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3052362,4.00,3.00,2.00,3.00,6.00,6.00,2.00,5.00,2.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',15881,474,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052370,7.00,7.00,4.00,9.00,7.00,6.00,5.00,6.00,7.00,5,NULL,NULL,'CENTRO','S JOSÉ','SC',2925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052389,7.00,7.00,6.00,9.00,6.00,6.25,5.00,9.00,6.00,208,NULL,220,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',1769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052397,6.00,8.00,5.00,7.00,8.00,5.50,5.00,6.00,6.00,220,NULL,203,'MORADA DO OURO','CUIABÁ','MT',2108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052400,7.00,8.00,6.00,9.00,7.00,7.25,4.00,8.00,8.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',1274,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(16,3052427,7.00,8.00,5.00,7.00,6.00,6.25,4.00,8.00,5.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',3556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA ROSA','NITERÓI','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3052443,2.00,4.00,1.00,5.00,4.00,4.50,4.00,4.00,3.00,202,NULL,201,'MARIA GORETTI','CHAPECÓ','SC',16340,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3052451,1.00,2.00,3.00,4.00,5.00,NULL,1.00,3.00,4.00,104,NULL,NULL,'UNIVERSITÁRIO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3052460,5.00,6.00,2.00,3.00,4.00,5.00,3.00,7.00,4.00,5,NULL,NULL,'CENTRO','RIO NEGRO','PR',12320,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3052478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3052486,6.00,7.00,4.00,4.00,7.00,5.75,3.00,8.00,7.00,5,NULL,NULL,'CENTRO','UMUARAMA','PR',5526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052494,7.00,4.00,3.00,8.00,4.00,5.75,3.00,5.00,5.00,103,NULL,NULL,'JARDIM ASTRO','SOROCABA','SP',7959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052508,8.00,9.00,7.00,8.00,7.00,7.25,6.00,8.00,7.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',431,259,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052524,5.00,6.00,3.00,3.00,4.00,4.25,4.00,5.00,7.00,207,NULL,201,'RIO BELO','ORLEANS','SC',11032,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3052540,5.00,6.00,6.00,6.00,4.00,4.50,2.00,7.00,6.00,108,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7534,151,NULL,NULL,NULL,NULL,NULL,2,1),(16,3052559,7.00,7.00,6.00,7.00,7.00,6.50,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052567,6.00,5.00,2.00,6.00,5.00,6.00,3.00,8.00,6.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',7893,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3052575,4.00,3.00,3.00,0.00,5.00,NULL,1.00,3.00,3.00,309,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3052591,6.00,7.00,2.00,9.00,7.00,6.75,4.00,8.00,5.00,415,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',3882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052613,4.00,3.00,4.00,5.00,4.00,5.00,3.00,2.00,6.00,208,NULL,238,'CAMPINAS','S JOSÉ','SC',14868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052630,3.00,2.00,5.00,9.00,7.00,6.25,3.00,4.00,3.00,415,NULL,NULL,'LAGO SUL','LG SUL','DF',11632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052648,4.00,7.00,3.00,6.00,6.00,5.25,3.00,7.00,6.00,201,NULL,207,'CENTRO','GAROPABA','SC',6224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052656,7.00,7.00,6.00,8.00,7.00,6.00,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052664,7.00,5.00,5.00,7.00,6.00,5.00,3.00,6.00,6.00,304,NULL,NULL,'CENTRO','BIGUAÇU','SC',6961,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3052672,6.00,7.00,6.00,8.00,6.00,4.50,9.00,8.00,8.00,203,NULL,211,'VILA APRAZIVEL','JACAREí','SP',1202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052680,7.00,5.00,8.00,7.00,4.00,5.50,7.00,4.00,7.00,203,NULL,214,'JD MARINGA','S JOSé CAMPOS','SP',3471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052699,9.00,6.00,7.00,6.00,6.00,7.00,6.00,7.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052702,2.00,4.00,3.00,9.00,4.00,6.25,2.00,5.00,3.00,5,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3052710,8.00,6.00,3.00,8.00,1.00,NULL,4.00,5.00,5.00,9,NULL,NULL,'RECANTO AZUL','BOTUCATU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052737,5.00,4.00,2.00,5.00,4.00,5.25,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',10334,2259,NULL,NULL,NULL,NULL,NULL,2,8),(16,3052745,7.00,8.00,3.00,8.00,7.00,7.25,5.00,7.00,4.00,2,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',3252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'AEROPORTO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3052761,2.00,5.00,6.00,6.00,6.00,6.00,4.00,5.00,1.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',9446,205,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052770,8.00,7.00,5.00,9.00,7.00,6.25,2.00,8.00,7.00,316,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',2106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052796,3.00,5.00,4.00,2.00,3.00,NULL,3.00,6.00,2.00,207,NULL,215,'BREJARÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052818,6.00,6.00,6.00,7.00,7.00,5.00,4.00,6.00,6.00,318,NULL,NULL,'JD CATANDUVA','S PAULO','SP',3748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052826,4.00,7.00,5.00,9.00,7.00,7.00,4.00,7.00,7.00,203,NULL,220,'TRINDADE','FLORIANÓPOLIS','SC',2606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052834,7.00,8.00,7.00,9.00,7.00,7.00,3.00,7.00,7.00,103,NULL,NULL,'FAZENDA','ITAJAí','SC',1742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052842,2.00,4.00,4.00,2.00,3.00,NULL,2.00,1.00,3.00,212,NULL,215,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052850,4.00,3.00,1.00,3.00,4.00,5.00,2.00,7.00,4.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052869,4.00,4.00,1.00,8.00,5.00,5.75,3.00,3.00,2.00,320,NULL,NULL,'CENTRO','BEBEDOURO','SP',14998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3052877,3.00,2.00,3.00,5.00,4.00,NULL,0.00,5.00,3.00,211,NULL,233,'CENTRO','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3052885,5.00,5.00,2.00,7.00,6.00,6.00,2.00,9.00,5.00,108,NULL,NULL,'CENTRO','S ROQUE','SP',7484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052893,8.00,7.00,6.00,8.00,6.00,6.50,4.00,8.00,7.00,103,NULL,NULL,'POMPÉIA','S PAULO','SP',1296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052907,7.00,7.00,4.00,3.00,5.00,5.00,3.00,8.00,5.00,203,NULL,202,'CENTRO','JAGUAPITÃ','PR',7221,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3052915,5.00,6.00,4.00,6.00,4.00,4.75,4.00,8.00,5.00,215,NULL,216,'CENTRO','JARAGUÁ SUL','SC',8161,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3052923,2.00,0.00,4.00,5.00,6.00,4.00,4.00,3.00,6.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',14900,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3052931,6.00,5.00,5.00,7.00,4.00,6.25,2.00,7.00,6.00,211,NULL,NULL,'OFICINAS','TUBARÃO','SC',6181,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3052940,7.00,8.00,4.00,7.00,6.00,7.50,4.00,7.00,8.00,104,NULL,NULL,'MORADA DO SOL','VIDEIRA','SC',2238,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3052958,4.00,5.00,2.00,4.00,2.00,NULL,3.00,7.00,4.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052966,4.00,7.00,4.00,4.00,7.00,5.50,6.00,7.00,7.00,103,NULL,NULL,'MORUMBI SUL','S PAULO','SP',6142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052974,5.00,5.00,3.00,2.00,7.00,4.00,2.00,6.00,2.00,202,NULL,213,'CENTRO','RIO FORTUNA','SC',13823,472,NULL,250,NULL,NULL,NULL,4,1),(16,3052982,5.00,3.00,1.00,5.00,5.00,6.50,3.00,6.00,4.00,421,NULL,NULL,'JARDIM DABRIL','OSASCO','SP',13167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3052990,9.00,7.00,4.00,7.00,8.00,5.25,5.00,6.00,7.00,303,NULL,NULL,'CENTRO','CIDADE GAúCHA','PR',2421,136,NULL,NULL,NULL,NULL,NULL,2,4),(16,3053008,8.00,4.00,6.00,8.00,6.00,4.50,5.00,6.00,6.00,220,NULL,202,'JARDIM EUROPA','SANTANA LIVRAMENTO','RS',3498,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3053024,3.00,5.00,1.00,7.00,3.00,NULL,3.00,5.00,3.00,304,NULL,NULL,'CENTRO','ÁGUAS S PEDRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053032,8.00,6.00,6.00,8.00,7.00,7.50,2.00,6.00,6.00,213,NULL,203,'JARDIM CASA GRANDE','BEBEDOURO','SP',2949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053040,3.00,3.00,5.00,5.00,5.00,5.75,2.00,6.00,2.00,201,NULL,213,'CRUZEIRO','S BENTO SUL','SC',13307,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3053059,5.00,8.00,2.00,8.00,6.00,6.50,4.00,6.00,5.00,415,NULL,NULL,'MARCO','BELÉM','PA',5485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3053067,9.00,7.00,4.00,9.00,9.00,8.50,5.00,6.00,6.00,453,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',1267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053075,5.00,6.00,4.00,4.00,6.00,6.75,3.00,9.00,8.00,103,NULL,NULL,'JD CANADÁ','MARINGá','PR',4124,1328,NULL,NULL,NULL,NULL,NULL,4,8),(16,3053083,6.00,7.00,7.00,7.00,6.00,6.50,3.00,6.00,7.00,333,NULL,NULL,'MORRO DA BINA','BIGUAÇU','SC',3460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053091,5.00,4.00,1.00,4.00,7.00,6.25,2.00,7.00,2.00,102,NULL,NULL,'CENTRO','CRICIÚMA','SC',13236,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3053113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'BARRA DA TIJUCA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3053121,3.00,5.00,1.00,3.00,2.00,NULL,4.00,1.00,5.00,303,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053148,4.00,5.00,5.00,7.00,5.00,6.00,3.00,5.00,4.00,233,NULL,216,'ITACORUBI','FLORIANÓPOLIS','SC',10084,313,NULL,358,NULL,NULL,NULL,5,1),(16,3053156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ESPERANÇA','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(16,3053164,8.00,8.00,8.00,8.00,8.00,7.75,6.00,7.00,8.00,214,NULL,202,'JARDIM DAS NACOES','TAUBATÉ','SP',274,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053172,5.00,4.00,5.00,3.00,6.00,5.50,2.00,5.00,5.00,216,NULL,215,'VELHA','BLUMENAU','SC',11310,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3053202,6.00,6.00,5.00,9.00,6.00,5.50,5.00,4.00,8.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',4096,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3053210,7.00,5.00,5.00,8.00,5.00,5.25,5.00,7.00,6.00,103,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',3800,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3053237,2.00,3.00,3.00,5.00,2.00,NULL,2.00,3.00,4.00,453,NULL,NULL,'JD HELENA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053245,8.00,7.00,3.00,7.00,6.00,5.75,2.00,6.00,6.00,203,NULL,233,'TAPAJÓS','INDAIAL','SC',5694,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3053253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3053261,4.00,7.00,4.00,7.00,5.00,6.50,4.00,6.00,5.00,3,NULL,NULL,'PETRÓPOLIS','LAGES','SC',5445,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3053270,9.00,7.00,7.00,7.00,8.00,7.00,7.00,9.00,8.00,103,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',319,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3053288,9.00,7.00,6.00,9.00,7.00,4.50,5.00,8.00,9.00,103,NULL,NULL,'COD VISTA ALEGRE','VINHEDO','SP',1046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053296,5.00,4.00,3.00,9.00,7.00,5.25,0.00,8.00,5.00,340,NULL,NULL,'BELA VISTA','GASPAR','SC',7545,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3053318,4.00,2.00,1.00,4.00,4.00,6.50,3.00,4.00,5.00,301,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',15170,328,NULL,NULL,NULL,NULL,NULL,2,8),(16,3053326,2.00,1.00,1.00,3.00,3.00,NULL,1.00,4.00,4.00,301,NULL,NULL,'VARGEM BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053334,7.00,8.00,7.00,9.00,5.00,8.00,4.00,6.00,8.00,211,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',1214,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3053342,7.00,7.00,9.00,8.00,6.00,5.25,4.00,8.00,7.00,2,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053369,4.00,4.00,2.00,3.00,3.00,NULL,1.00,6.00,2.00,502,NULL,NULL,'CENTRO','ABDON BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3053385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','S VICENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3053393,6.00,6.00,2.00,4.00,4.00,5.50,4.00,4.00,2.00,108,NULL,NULL,'CENTRO','ORLEANS','SC',13129,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3053407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3053415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'BOSQUE DA SAUDE','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3053423,4.00,4.00,2.00,3.00,4.00,5.50,3.00,4.00,6.00,201,NULL,207,'CENTRO','LAGES','SC',13214,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3053431,5.00,6.00,5.00,8.00,7.00,6.75,3.00,8.00,5.00,214,NULL,202,'JARDIM DAS NACOES','TAUBATÉ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053458,6.00,6.00,4.00,8.00,8.00,5.50,3.00,6.00,5.00,426,NULL,428,'ABRAÃO','FLORIANÓPOLIS','SC',5154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3053474,4.00,4.00,5.00,6.00,7.00,5.50,3.00,5.00,2.00,317,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',10179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053482,7.00,7.00,4.00,8.00,7.00,6.00,5.00,9.00,7.00,203,NULL,202,'AGRONOMICA','FLORIANÓPOLIS','SC',1996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053490,6.00,6.00,4.00,8.00,6.00,7.00,4.00,8.00,6.00,103,NULL,NULL,'CENTRO','RENASCENÇA','PR',3731,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3053504,3.00,4.00,6.00,8.00,7.00,5.75,5.00,7.00,6.00,201,NULL,213,'CANASVIEIRAS','FLORIANóPOLIS','SC',4753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3053512,9.00,8.00,9.00,8.00,7.00,6.75,8.00,9.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',44,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053539,3.00,4.00,3.00,7.00,5.00,5.25,2.00,5.00,2.00,303,NULL,NULL,'AGORNOMICA','FLORIANÓPOLIS','SC',13686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053547,6.00,4.00,5.00,3.00,3.00,NULL,4.00,4.00,6.00,103,NULL,NULL,'VILA PRUDENTE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3053563,6.00,7.00,6.00,5.00,3.00,NULL,2.00,9.00,4.00,220,NULL,208,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3053571,6.00,3.00,3.00,9.00,3.00,NULL,0.00,8.00,4.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053580,3.00,3.00,5.00,6.00,6.00,5.00,5.00,2.00,4.00,201,NULL,207,'ÁRVOREDO','CONCÓRDIA','SC',11234,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3053598,7.00,5.00,6.00,8.00,8.00,7.25,5.00,7.00,7.00,103,NULL,NULL,'PQ DA FIGUEIRA','PAULÍNIA','SP',1729,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3053601,3.00,0.00,1.00,0.00,2.00,NULL,2.00,4.00,3.00,201,NULL,NULL,'TAPAJOS','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(16,3053628,6.00,6.00,4.00,6.00,5.00,5.75,7.00,6.00,5.00,103,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',6061,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3053636,0.00,0.00,0.00,0.00,6.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3053644,3.00,4.00,2.00,3.00,4.00,NULL,2.00,4.00,1.00,208,NULL,238,'TRAÇADO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'POÇOS','JAGUARUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3053687,3.00,3.00,1.00,2.00,3.00,NULL,2.00,4.00,2.00,501,NULL,NULL,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'CENTRO','MORRETES','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3053709,6.00,7.00,5.00,8.00,6.00,8.00,3.00,7.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3053725,3.00,7.00,3.00,8.00,7.00,8.00,3.00,8.00,2.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6978,319,NULL,NULL,NULL,NULL,NULL,2,1),(16,3053733,4.00,4.00,4.00,5.00,5.00,5.75,3.00,7.00,2.00,238,NULL,208,'FORQUILHINHAS','S JOSÉ','SC',11634,341,NULL,371,NULL,NULL,NULL,2,1),(16,3053741,5.00,5.00,2.00,7.00,7.00,5.50,3.00,3.00,4.00,211,NULL,216,'BOMBAS','BOMBINHAS','SC',11169,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3053750,5.00,5.00,2.00,2.00,3.00,NULL,3.00,6.00,3.00,9,NULL,NULL,'JARDIM SANTA MARIA','JACAREÍ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3053768,2.00,5.00,3.00,5.00,5.00,6.00,4.00,4.00,2.00,208,NULL,238,'CERAMARTE','RIO NEGRINHO','SC',13312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RIBEIRÂNIA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3053784,5.00,4.00,3.00,7.00,6.00,6.75,1.00,4.00,4.00,104,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',11665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3053792,6.00,1.00,2.00,5.00,2.00,NULL,3.00,5.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BAIRRO SÃO FRANCISCO','TRÊS MAIO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3053814,7.00,7.00,3.00,8.00,7.00,5.75,2.00,6.00,5.00,201,NULL,215,'CENTRO','CAÇADOR','SC',5495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053822,8.00,6.00,7.00,8.00,8.00,6.25,6.00,9.00,7.00,202,NULL,203,'BUENO','GOIâNIA','GO',933,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3053830,6.00,7.00,7.00,7.00,7.00,5.75,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','GUARATUBA','PR',1483,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3053849,9.00,9.00,5.00,8.00,7.00,7.00,5.00,8.00,8.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',868,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3053857,4.00,4.00,3.00,6.00,4.00,7.25,3.00,3.00,3.00,340,NULL,NULL,'UNIÃO','PINHEIRO PRETO','SC',12301,385,NULL,NULL,NULL,NULL,NULL,2,7),(16,3053873,6.00,6.00,2.00,3.00,7.00,6.25,3.00,7.00,2.00,203,NULL,201,'VILA NOVA','IMBITUBA','SC',9987,706,NULL,767,NULL,NULL,NULL,4,1),(16,3053881,4.00,5.00,2.00,4.00,6.00,5.50,3.00,7.00,6.00,203,NULL,214,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',9518,684,NULL,328,NULL,NULL,NULL,2,1),(16,3053890,8.00,6.00,5.00,9.00,6.00,6.00,4.00,9.00,6.00,216,NULL,201,'GLORIA','JOINVILLE','SC',2368,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3053903,4.00,4.00,3.00,2.00,2.00,NULL,3.00,3.00,1.00,103,NULL,NULL,'BELA VISTA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3053911,6.00,8.00,7.00,7.00,6.00,5.75,4.00,8.00,5.00,103,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',2557,981,NULL,NULL,NULL,NULL,NULL,2,1),(16,3053920,4.00,9.00,4.00,8.00,6.00,5.50,3.00,7.00,6.00,318,NULL,NULL,'IPIRANGA','S JOSé','SC',5380,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3053938,6.00,7.00,5.00,6.00,5.00,6.25,3.00,7.00,4.00,207,NULL,215,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',5249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3053946,5.00,4.00,5.00,8.00,4.00,6.50,3.00,7.00,4.00,108,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7631,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3053962,7.00,5.00,2.00,7.00,7.00,7.00,4.00,4.00,5.00,108,NULL,NULL,'VENDAVAL','BIGUAçU','SC',6382,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3053970,4.00,5.00,1.00,5.00,5.00,5.25,1.00,7.00,4.00,104,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',13292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3053989,9.00,8.00,7.00,8.00,8.00,4.75,7.00,7.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3053997,8.00,7.00,7.00,8.00,6.00,6.75,7.00,7.00,8.00,203,NULL,202,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054004,8.00,7.00,4.00,5.00,4.00,4.75,3.00,9.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5279,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054012,8.00,5.00,6.00,9.00,6.00,7.25,5.00,7.00,6.00,103,NULL,NULL,'VILA MARIA','BOTUCATU','SP',1797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3054039,7.00,7.00,5.00,7.00,5.00,6.00,5.00,8.00,7.00,220,NULL,208,'RIO TAVARES','FLORIANÓPOLIS','SC',3158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054047,9.00,7.00,9.00,7.00,6.00,5.50,7.00,9.00,9.00,103,NULL,NULL,'PERDIZES','S PAULO','SP',341,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3054063,4.00,6.00,2.00,8.00,4.00,5.25,2.00,5.00,3.00,207,NULL,201,'ST ANTÔNIO DE LISBOA','FLORIANÓPOLIS','SC',11694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054071,7.00,7.00,4.00,7.00,5.00,6.25,4.00,8.00,6.00,201,NULL,238,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',4318,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAGO SUL','LG SUL','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3054098,2.00,3.00,2.00,6.00,5.00,5.50,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','BOA ESPERANÇA','PR',12547,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3054101,4.00,6.00,2.00,7.00,5.00,6.25,3.00,4.00,4.00,303,NULL,NULL,'CABEÇUDAS','ITAJAÍ','SC',11646,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3054128,4.00,8.00,8.00,7.00,6.00,4.00,6.00,8.00,6.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',3239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054136,8.00,9.00,5.00,9.00,8.00,7.50,4.00,8.00,6.00,340,NULL,NULL,'OFICINAS','TUBARÃO','SC',983,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3054144,2.00,3.00,2.00,6.00,4.00,5.25,2.00,7.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054152,6.00,7.00,3.00,10.00,7.00,7.75,2.00,7.00,6.00,429,NULL,424,'SANTA MONICA','FLORIANÓPOLIS','SC',3841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054160,9.00,7.00,5.00,9.00,7.00,5.25,5.00,6.00,6.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',2702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054179,5.00,4.00,3.00,8.00,7.00,6.00,3.00,6.00,4.00,101,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',8319,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054187,2.00,4.00,5.00,6.00,1.00,NULL,3.00,2.00,4.00,316,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054195,5.00,6.00,4.00,6.00,6.00,6.75,3.00,7.00,8.00,103,NULL,NULL,'SETOR SUDOESTE','GOIÂNIA','GO',3991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054209,6.00,7.00,6.00,4.00,6.00,5.50,7.00,7.00,7.00,220,NULL,203,'AEROPORTO','GOIÂNIA','GO',2929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054217,6.00,5.00,2.00,7.00,5.00,6.50,3.00,3.00,2.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10775,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3054233,4.00,3.00,1.00,1.00,3.00,NULL,2.00,3.00,6.00,421,NULL,427,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3054268,8.00,6.00,5.00,8.00,7.00,6.50,5.00,9.00,5.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',1780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054276,4.00,2.00,3.00,8.00,3.00,NULL,3.00,4.00,4.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054284,3.00,4.00,2.00,3.00,2.00,NULL,3.00,3.00,3.00,501,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054292,0.00,0.00,0.00,8.00,7.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3054314,2.00,5.00,2.00,8.00,6.00,7.50,3.00,6.00,3.00,310,NULL,NULL,'CENTRO','CASCAVEL','PR',10104,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3054322,7.00,6.00,1.00,8.00,8.00,8.00,3.00,6.00,4.00,317,NULL,NULL,'MIGUEL SUTIL','CUIABÁ','MT',4549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054330,6.00,7.00,4.00,8.00,7.00,6.50,6.00,8.00,7.00,340,NULL,NULL,'COUNTRY','CASCAVEL','PR',2167,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3054357,8.00,8.00,2.00,9.00,7.00,7.25,5.00,9.00,5.00,303,NULL,NULL,'VILA SEIXAS','RIBEIRÃO PRETO','SP',1807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054365,6.00,7.00,7.00,7.00,4.00,6.00,6.00,7.00,6.00,319,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',2980,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3054373,7.00,3.00,4.00,5.00,5.00,6.00,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','BOITUVA','SP',8653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054381,9.00,9.00,2.00,6.00,6.00,6.00,5.00,9.00,7.00,108,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',2993,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3054390,5.00,4.00,5.00,9.00,7.00,6.00,3.00,7.00,7.00,203,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',4199,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3054403,9.00,6.00,9.00,9.00,8.00,6.50,5.00,9.00,8.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',276,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3054411,4.00,4.00,4.00,5.00,4.00,5.50,2.00,6.00,2.00,207,NULL,201,'FAZENDA SANTO ANTONI','S JOSÉ','SC',14598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ALVORADA','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3054446,7.00,5.00,5.00,7.00,5.00,5.75,3.00,6.00,4.00,207,NULL,238,'ITACORUBI','FLORIANóPOLIS','SC',6877,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054454,9.00,7.00,8.00,8.00,6.00,7.75,5.00,9.00,9.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054462,3.00,5.00,5.00,7.00,3.00,NULL,1.00,5.00,5.00,201,NULL,212,'CENTRO','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3054470,8.00,5.00,8.00,8.00,7.00,6.75,4.00,8.00,9.00,215,NULL,216,'VL ADYANA','S JOSÉ CAMPOS','SP',710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054489,4.00,3.00,2.00,7.00,4.00,6.00,3.00,4.00,3.00,444,NULL,NULL,'BARREIROS','S JOSé','SC',14943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054497,7.00,7.00,8.00,8.00,6.00,5.75,5.00,8.00,6.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',1458,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3054500,9.00,9.00,8.00,9.00,8.00,7.00,7.00,7.00,8.00,103,NULL,NULL,'COMITECO','BELO HORIZONTE','MG',68,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054519,7.00,6.00,5.00,8.00,7.00,6.00,3.00,7.00,5.00,5,NULL,NULL,'VILA MARIANA','GARÇA','SP',3780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054527,6.00,2.00,3.00,8.00,5.00,5.25,2.00,7.00,5.00,103,NULL,NULL,'LAGOA BONITA','ENG COELHO','SP',9980,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3054543,8.00,6.00,7.00,5.00,6.00,6.00,2.00,5.00,6.00,103,NULL,NULL,'JARDIM BRITÂNIA','MAL CÂNDIDO RONDON','PR',5098,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3054560,5.00,3.00,2.00,4.00,6.00,4.75,3.00,5.00,5.00,428,NULL,426,'CENTRO','TIJUCAS','SC',13134,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3054586,1.00,4.00,5.00,4.00,3.00,NULL,1.00,6.00,2.00,308,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054594,5.00,5.00,4.00,3.00,6.00,4.75,3.00,7.00,6.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',9580,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3054608,7.00,6.00,7.00,7.00,5.00,6.50,5.00,8.00,5.00,207,NULL,201,'VILA FORMOSA','S PAULO','SP',2908,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3054616,3.00,6.00,4.00,8.00,4.00,6.50,3.00,5.00,3.00,427,NULL,428,'ABRAÃO','FLORIANóPOLIS','SC',10156,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3054624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'JARDIM BONFIGLIOLI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3054632,4.00,4.00,2.00,3.00,2.00,NULL,2.00,6.00,3.00,444,NULL,NULL,'COLONINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054640,5.00,6.00,6.00,8.00,7.00,6.25,4.00,9.00,6.00,103,NULL,NULL,'BATEL','CURITIBA','PR',2497,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3054659,2.00,3.00,2.00,3.00,2.00,NULL,3.00,3.00,3.00,101,NULL,NULL,'SÃO LUIS','S MARTINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3054667,4.00,2.00,2.00,5.00,3.00,NULL,2.00,3.00,1.00,501,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054675,8.00,4.00,5.00,6.00,8.00,7.00,4.00,5.00,5.00,319,NULL,NULL,'CENTRO','PASSO FUNDO','RS',4434,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3054683,9.00,9.00,7.00,8.00,7.00,6.00,3.00,7.00,7.00,103,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',662,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3054691,5.00,5.00,2.00,7.00,6.00,5.75,2.00,6.00,4.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054705,4.00,3.00,1.00,3.00,0.00,NULL,2.00,1.00,1.00,339,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054713,7.00,9.00,5.00,8.00,7.00,4.75,6.00,7.00,6.00,233,NULL,201,'CAMPINAS','S JOSÉ','SC',2015,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054721,2.00,1.00,3.00,6.00,2.00,NULL,2.00,5.00,3.00,309,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054730,7.00,4.00,2.00,8.00,5.00,5.50,3.00,7.00,5.00,340,NULL,NULL,'JARDIM SÃO DOMINGOS','MARÍLIA','SP',5996,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3054748,6.00,6.00,7.00,8.00,6.00,6.00,4.00,7.00,6.00,103,NULL,NULL,'UNIVERSITÁRIO','CASCAVEL','PR',2957,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3054756,8.00,3.00,4.00,7.00,7.00,6.75,4.00,7.00,7.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',4707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054764,6.00,3.00,2.00,5.00,5.00,5.00,3.00,3.00,3.00,108,NULL,NULL,'PALHOÇA','PALHOÇA','SC',15244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054772,8.00,5.00,4.00,7.00,6.00,5.75,3.00,3.00,7.00,450,NULL,NULL,'COLÔNIA','JUNDIAÍ','SP',6071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054799,9.00,5.00,7.00,8.00,5.00,4.00,5.00,9.00,8.00,212,NULL,233,'CINELÂNDIA','STA RITA P QUATRO','SP',1405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054802,8.00,8.00,7.00,6.00,9.00,6.25,7.00,9.00,8.00,103,NULL,NULL,'COUNTRY','CASCAVEL','PR',410,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3054829,9.00,8.00,6.00,8.00,7.00,5.75,8.00,8.00,7.00,201,NULL,212,'CENTRO','S MIGUEL OESTE','SC',830,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3054837,7.00,4.00,6.00,9.00,5.00,6.00,4.00,8.00,4.00,103,NULL,NULL,'BROOKLIN','S PAULO','SP',4946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'VILA MILITAR','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3054853,4.00,4.00,5.00,4.00,5.00,5.25,2.00,7.00,6.00,201,NULL,NULL,'NONOAI','PASSO FUNDO','RS',10314,795,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054861,5.00,8.00,5.00,8.00,6.00,6.25,4.00,6.00,5.00,9,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054870,0.00,3.00,1.00,3.00,2.00,NULL,1.00,4.00,3.00,340,NULL,NULL,'PROGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3054888,9.00,9.00,9.00,8.00,7.00,6.75,5.00,9.00,8.00,103,NULL,NULL,'AVIAÇÃO','PR GRANDE','SP',219,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3054918,3.00,1.00,2.00,3.00,3.00,NULL,1.00,3.00,1.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054926,8.00,5.00,6.00,9.00,7.00,6.50,4.00,8.00,6.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054934,2.00,2.00,2.00,5.00,3.00,NULL,3.00,4.00,3.00,309,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3054942,6.00,4.00,5.00,6.00,7.00,4.75,3.00,8.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6557,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3054950,8.00,4.00,4.00,3.00,5.00,6.00,3.00,9.00,6.00,211,NULL,NULL,'FREITAS','S JOSÉ CAMPOS','SP',6560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3054969,5.00,6.00,4.00,8.00,7.00,6.25,3.00,8.00,5.00,103,NULL,NULL,'SANTO INÁCIO','STA CRUZ SUL','RS',3912,1277,NULL,NULL,NULL,NULL,NULL,4,10),(16,3054985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3054993,3.00,4.00,3.00,3.00,3.00,NULL,2.00,2.00,3.00,207,NULL,211,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3055000,6.00,5.00,2.00,7.00,5.00,9.75,4.00,8.00,6.00,450,NULL,NULL,'PALMITAL','CHAPECÓ','SC',3994,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3055019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','TEN PORTELA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3055027,2.00,3.00,2.00,2.00,4.00,NULL,2.00,0.00,2.00,238,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3055035,3.00,4.00,2.00,2.00,4.00,NULL,2.00,6.00,2.00,3,NULL,NULL,'INTERIOR','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3055043,6.00,5.00,2.00,8.00,4.00,4.75,2.00,5.00,4.00,3,NULL,NULL,'PETROPOLIS','CAXIAS SUL','RS',10454,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055051,7.00,6.00,6.00,9.00,6.00,7.25,3.00,9.00,8.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SANTA TERESA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3055078,4.00,2.00,7.00,6.00,4.00,5.75,4.00,4.00,6.00,202,NULL,208,'JARDIM MTILDE','OURINHOS','SP',8630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3055094,6.00,8.00,6.00,8.00,7.00,6.50,3.00,6.00,5.00,208,NULL,238,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',3315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055108,7.00,6.00,4.00,5.00,8.00,5.00,3.00,5.00,6.00,103,NULL,NULL,'JARDIM AMERICA','GOIANIA','GO',6972,1834,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055116,7.00,7.00,6.00,5.00,7.00,7.00,6.00,7.00,6.00,201,NULL,212,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055124,5.00,2.00,4.00,4.00,4.00,5.00,4.00,6.00,4.00,333,NULL,NULL,'JD BRASILIA','S PAULO','SP',13176,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3055132,6.00,6.00,4.00,7.00,7.00,6.50,5.00,8.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3055159,7.00,5.00,8.00,6.00,7.00,6.75,6.00,9.00,6.00,202,NULL,213,'CANCELLI','CASCAVEL','PR',1426,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3055167,2.00,4.00,3.00,2.00,4.00,NULL,2.00,3.00,3.00,317,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055175,6.00,6.00,4.00,7.00,7.00,6.25,3.00,5.00,5.00,302,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',6990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARACAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3055205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA LARSEN','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3055213,5.00,6.00,5.00,9.00,8.00,6.50,3.00,7.00,8.00,319,NULL,NULL,'CENTRO','CHAPECÓ','SC',2389,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3055221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3055230,5.00,7.00,3.00,7.00,7.00,5.75,1.00,6.00,5.00,103,NULL,NULL,'LIDER','CHAPECÓ','SC',7510,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3055248,5.00,6.00,3.00,3.00,7.00,5.75,2.00,7.00,6.00,103,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',8336,2028,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055256,6.00,9.00,7.00,6.00,6.00,5.25,3.00,8.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055272,4.00,5.00,3.00,6.00,5.00,4.50,4.00,5.00,1.00,309,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',13805,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055280,3.00,3.00,2.00,3.00,4.00,5.00,2.00,2.00,5.00,202,NULL,213,'CENTRO','LAGES','SC',16257,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3055302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','SERRA NEGRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3055310,5.00,3.00,1.00,5.00,4.00,7.00,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',12480,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3055329,5.00,8.00,7.00,8.00,8.00,6.50,6.00,8.00,8.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055337,2.00,5.00,3.00,4.00,2.00,NULL,3.00,3.00,3.00,211,NULL,207,'PASSO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3055345,5.00,5.00,6.00,8.00,5.00,6.25,2.00,1.00,7.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',8600,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3055361,6.00,6.00,3.00,8.00,4.00,5.25,3.00,6.00,5.00,319,NULL,NULL,'CENTRO','FORQUILHINHA','SC',8378,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3055370,3.00,4.00,1.00,7.00,4.00,5.50,2.00,5.00,4.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14066,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055388,4.00,4.00,4.00,7.00,5.00,6.00,2.00,6.00,2.00,303,NULL,NULL,'MICHEL','CRICIúMA','SC',11289,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3055396,7.00,8.00,9.00,7.00,7.00,8.00,7.00,7.00,8.00,203,NULL,214,'VILA ADYANA','S JOSÉ CAMPOS','SP',299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055400,3.00,8.00,4.00,4.00,4.00,6.75,4.00,6.00,4.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',9136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055418,2.00,5.00,2.00,3.00,3.00,NULL,2.00,5.00,4.00,324,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'GAROPABA DO SUL','JAGUARUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3055434,5.00,4.00,5.00,7.00,5.00,5.50,4.00,4.00,4.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055442,5.00,7.00,3.00,8.00,8.00,6.75,2.00,6.00,3.00,103,NULL,NULL,'SÃO SEBASTIÃO','CAMPOS NOVOS','SC',6884,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3055450,9.00,8.00,8.00,9.00,7.00,8.00,5.00,8.00,8.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',296,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'JARDIM GUABIROTUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3055477,4.00,6.00,3.00,8.00,7.00,4.75,0.00,7.00,3.00,340,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',10715,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055485,4.00,4.00,2.00,6.00,4.00,4.25,4.00,3.00,2.00,216,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',15711,486,NULL,532,NULL,NULL,NULL,2,1),(16,3055493,3.00,4.00,4.00,2.00,4.00,6.00,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3055507,3.00,5.00,3.00,3.00,7.00,4.50,1.00,6.00,5.00,212,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',13738,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3055523,2.00,4.00,2.00,6.00,3.00,NULL,3.00,5.00,2.00,301,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055531,4.00,6.00,4.00,2.00,4.00,5.25,2.00,9.00,3.00,103,NULL,NULL,'CIDADE JARDIM','S JOSé PINHAIS','PR',12842,2515,NULL,NULL,NULL,NULL,NULL,4,8),(16,3055540,5.00,2.00,1.00,3.00,5.00,6.75,4.00,7.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',11184,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3055558,7.00,6.00,6.00,9.00,7.00,7.25,4.00,8.00,8.00,103,NULL,NULL,'NEVA','CASCAVEL','PR',1351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055566,3.00,5.00,3.00,4.00,6.00,4.25,3.00,7.00,5.00,225,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',10981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3055582,7.00,5.00,4.00,4.00,7.00,5.25,4.00,5.00,6.00,2,NULL,NULL,'JURERÊ','FLORIANóPOLIS','SC',6892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3055604,4.00,3.00,6.00,6.00,5.00,5.75,4.00,6.00,6.00,201,NULL,212,'VILA MARIANA','S PAULO','SP',7976,627,NULL,232,NULL,NULL,NULL,2,1),(16,3055612,5.00,3.00,3.00,6.00,3.00,NULL,2.00,4.00,3.00,108,NULL,NULL,'REAL PARQUE','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055620,5.00,5.00,6.00,6.00,7.00,4.75,2.00,6.00,5.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055639,4.00,3.00,2.00,6.00,3.00,NULL,3.00,5.00,4.00,415,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055647,3.00,1.00,2.00,5.00,3.00,NULL,3.00,4.00,3.00,303,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055655,2.00,3.00,3.00,5.00,2.00,NULL,2.00,3.00,3.00,404,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055663,6.00,7.00,4.00,8.00,4.00,5.25,6.00,9.00,6.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',3980,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3055671,3.00,7.00,2.00,4.00,5.00,6.00,4.00,8.00,3.00,450,NULL,NULL,'JARDIM ORIENTAL','S PAULO','SP',11591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055680,5.00,5.00,4.00,7.00,6.00,6.00,3.00,4.00,4.00,103,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',9566,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'JARDIM FRANCANO','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3055701,2.00,4.00,3.00,3.00,4.00,5.75,3.00,4.00,3.00,207,NULL,238,'ZONA SETE','MARINGÁ','PR',16454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055728,2.00,5.00,3.00,3.00,3.00,NULL,2.00,3.00,2.00,104,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3055744,4.00,4.00,1.00,6.00,3.00,NULL,2.00,5.00,5.00,444,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055752,4.00,3.00,3.00,5.00,4.00,5.75,3.00,4.00,4.00,238,NULL,220,'BALNEARIO ESTREITO','FLORIANÓPOLIS','SC',14197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055760,3.00,2.00,3.00,2.00,4.00,NULL,3.00,2.00,4.00,102,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3055779,3.00,4.00,3.00,0.00,3.00,NULL,2.00,5.00,2.00,201,NULL,212,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055787,9.00,9.00,8.00,9.00,7.00,6.75,6.00,9.00,8.00,303,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055795,7.00,7.00,8.00,8.00,5.00,6.00,7.00,8.00,7.00,333,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055809,8.00,8.00,8.00,7.00,7.00,6.50,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055817,4.00,0.00,1.00,4.00,3.00,NULL,3.00,3.00,3.00,212,NULL,214,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3055841,2.00,7.00,5.00,2.00,5.00,5.00,4.00,7.00,6.00,103,NULL,NULL,'OLIMPICO','S CAETANO SUL','SP',8471,2057,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055850,4.00,8.00,7.00,9.00,7.00,6.75,3.00,5.00,6.00,216,NULL,201,'MORADA DO OURO','CUIABÁ','MT',3112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055868,8.00,7.00,3.00,8.00,6.00,6.75,4.00,7.00,5.00,103,NULL,NULL,'VILA SIMONE','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3055876,5.00,6.00,2.00,7.00,6.00,6.25,3.00,4.00,2.00,103,NULL,NULL,'CENTRO','VENÂNCIO AIRES','RS',10562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055884,5.00,5.00,5.00,8.00,6.00,5.75,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',7688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055892,5.00,8.00,4.00,7.00,6.00,5.50,2.00,8.00,7.00,102,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',3973,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055906,8.00,8.00,4.00,3.00,5.00,7.25,3.00,6.00,5.00,108,NULL,NULL,'CENTRO','CONCÓRDIA','SC',6415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VISTA VERDE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3055922,9.00,7.00,9.00,7.00,6.00,6.25,6.00,8.00,8.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',488,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3055930,2.00,0.00,5.00,2.00,2.00,NULL,2.00,4.00,3.00,503,NULL,NULL,'FÁTIMA','PANAMBI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055949,4.00,4.00,2.00,5.00,2.00,NULL,3.00,2.00,1.00,316,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055965,5.00,5.00,4.00,3.00,6.00,7.50,4.00,7.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055973,8.00,9.00,8.00,8.00,7.00,5.50,6.00,9.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3055981,5.00,6.00,6.00,7.00,5.00,5.50,4.00,4.00,5.00,302,NULL,NULL,'FLORESTA','S JOSé','SC',6295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3055990,2.00,4.00,2.00,7.00,4.00,5.25,3.00,6.00,3.00,404,NULL,NULL,'SERRARIA','S JOSÉ','SC',14603,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3056007,4.00,3.00,4.00,7.00,2.00,NULL,4.00,5.00,5.00,201,NULL,212,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056015,4.00,4.00,4.00,6.00,4.00,4.75,2.00,7.00,5.00,102,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',11517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3056031,7.00,9.00,4.00,9.00,8.00,6.25,5.00,7.00,5.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',2292,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3056058,2.00,2.00,2.00,3.00,2.00,NULL,3.00,1.00,2.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MELEIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3056082,7.00,3.00,4.00,2.00,3.00,NULL,5.00,2.00,5.00,203,NULL,202,'NOVA PETROPOLIS','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056090,8.00,7.00,5.00,6.00,6.00,6.25,5.00,7.00,7.00,108,NULL,NULL,'SERRARIA','S JOSÉ','SC',2691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3056104,5.00,3.00,1.00,6.00,5.00,6.00,4.00,3.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',12383,2472,NULL,NULL,NULL,NULL,NULL,2,5),(16,3056112,2.00,1.00,1.00,1.00,5.00,NULL,2.00,5.00,2.00,216,NULL,215,'TRES PINHEIROS','ITATI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3056139,5.00,9.00,3.00,7.00,5.00,5.50,4.00,9.00,5.00,202,NULL,201,'COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC',4951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3056147,5.00,4.00,5.00,9.00,6.00,6.75,3.00,6.00,4.00,207,NULL,215,'CENTRO','HERVAL D OESTE','SC',7187,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3056155,6.00,5.00,7.00,9.00,6.00,5.75,6.00,6.00,4.00,340,NULL,NULL,'IPIRANGA','S JOSÉ','SC',3192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056163,3.00,2.00,2.00,0.00,0.00,NULL,3.00,3.00,3.00,420,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056171,4.00,3.00,5.00,3.00,4.00,4.25,2.00,4.00,4.00,216,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',15442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056201,2.00,5.00,3.00,0.00,6.00,NULL,2.00,5.00,3.00,303,NULL,NULL,'SAO LUIS','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3056210,9.00,8.00,7.00,8.00,4.00,5.00,6.00,8.00,8.00,103,NULL,NULL,'CENTRO','ITUMBIARA','GO',782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056228,3.00,3.00,3.00,4.00,3.00,NULL,2.00,6.00,3.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3056236,7.00,9.00,5.00,9.00,7.00,7.75,5.00,7.00,9.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',673,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3056244,8.00,7.00,4.00,8.00,7.00,6.25,4.00,7.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056252,7.00,5.00,4.00,8.00,5.00,6.75,3.00,8.00,7.00,303,NULL,NULL,'VILA SOFIA','S PAULO','SP',3698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056260,8.00,5.00,5.00,7.00,8.00,5.75,8.00,6.00,5.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3223,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3056287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARREIRINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3056295,7.00,7.00,5.00,6.00,6.00,6.00,6.00,8.00,8.00,214,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',2713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056309,4.00,6.00,3.00,1.00,5.00,5.75,3.00,4.00,5.00,415,NULL,NULL,'FORTALEZA','BLUMENAU','SC',13515,346,NULL,NULL,NULL,NULL,NULL,4,2),(16,3056317,4.00,3.00,3.00,4.00,2.00,NULL,1.00,1.00,4.00,420,NULL,NULL,'CENTRO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3056325,4.00,5.00,2.00,6.00,3.00,NULL,2.00,5.00,4.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3056333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARGEM ESQUERDA','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3056350,5.00,5.00,5.00,8.00,6.00,0.00,2.00,6.00,4.00,201,NULL,215,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3056368,4.00,5.00,3.00,6.00,6.00,5.00,1.00,7.00,2.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12027,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3056376,8.00,7.00,5.00,6.00,8.00,7.50,5.00,7.00,6.00,450,NULL,NULL,'PRAIA GRANDE','TORRES','RS',2322,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3056384,8.00,5.00,5.00,9.00,5.00,6.25,5.00,7.00,5.00,211,NULL,NULL,'JARDIM ROSANA','ARARAS','SP',3186,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3056392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ASTORGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3056406,6.00,6.00,3.00,5.00,6.00,6.75,3.00,6.00,4.00,103,NULL,NULL,'SÃO PAULO','LAGES','SC',8057,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3056414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'CAPÃO DA IMBUIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3056430,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3056449,4.00,6.00,6.00,8.00,6.00,4.75,5.00,8.00,3.00,103,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',5408,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3056457,5.00,2.00,1.00,4.00,4.00,5.75,3.00,4.00,5.00,404,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',15168,62,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056465,1.00,4.00,5.00,6.00,4.00,4.75,4.00,6.00,3.00,101,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12745,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3056481,4.00,8.00,4.00,8.00,6.00,5.25,1.00,7.00,4.00,203,NULL,214,'CANTO','FLORIANÓPOLIS','SC',6969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CENTRO','CATUíPE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3056503,7.00,7.00,8.00,9.00,7.00,4.50,7.00,7.00,8.00,103,NULL,NULL,'SETOR SUDOESTE','CRUZEIRO','DF',866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056511,3.00,4.00,2.00,7.00,7.00,5.50,2.00,7.00,2.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12407,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3056520,6.00,4.00,6.00,8.00,6.00,7.00,4.00,5.00,5.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056538,5.00,6.00,6.00,8.00,7.00,6.50,6.00,8.00,8.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',1592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056546,10.00,9.00,9.00,9.00,9.00,5.50,8.00,7.00,9.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056562,3.00,2.00,2.00,7.00,6.00,6.25,3.00,7.00,3.00,415,NULL,NULL,'JARDIM PRIMAVERA','JACAREÍ','SP',11410,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3056589,4.00,6.00,3.00,4.00,3.00,NULL,2.00,7.00,2.00,332,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056597,7.00,3.00,3.00,5.00,4.00,4.75,3.00,2.00,4.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056600,5.00,5.00,3.00,9.00,7.00,8.50,3.00,6.00,4.00,103,NULL,NULL,'SETOR AEROPORTO','GOIÂNIA','GO',5610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056619,5.00,5.00,3.00,8.00,5.00,5.00,1.00,4.00,5.00,211,NULL,NULL,'GUANABARA','JOINVILLE','SC',10965,364,NULL,NULL,NULL,NULL,NULL,4,8),(16,3056627,4.00,5.00,4.00,5.00,6.00,4.50,3.00,4.00,3.00,104,NULL,NULL,'OURO NEGRO','FORQUILHINHA','SC',12505,347,NULL,NULL,NULL,NULL,NULL,2,5),(16,3056635,6.00,4.00,3.00,8.00,6.00,6.00,4.00,7.00,6.00,326,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3056643,2.00,4.00,3.00,6.00,1.00,NULL,2.00,3.00,4.00,310,NULL,NULL,'VILA BERTIOGA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056651,6.00,6.00,5.00,8.00,6.00,8.25,4.00,7.00,5.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',2963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056660,2.00,5.00,4.00,0.00,2.00,NULL,2.00,3.00,3.00,203,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3056678,2.00,2.00,5.00,3.00,2.00,NULL,0.00,3.00,2.00,415,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3056686,4.00,2.00,2.00,7.00,5.00,5.50,4.00,5.00,5.00,503,NULL,NULL,'IPIRANGA','S JOSÉ','SC',11535,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3056694,4.00,6.00,5.00,7.00,5.00,5.25,3.00,5.00,5.00,201,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',7502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056716,9.00,9.00,9.00,8.00,8.00,5.75,5.00,9.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056724,9.00,8.00,7.00,5.00,8.00,6.25,6.00,8.00,6.00,103,NULL,NULL,'VILA MAZZEI','S PAULO','SP',1177,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3056740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3056759,5.00,3.00,4.00,4.00,5.00,5.00,2.00,3.00,3.00,420,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',15736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3056767,1.00,2.00,3.00,5.00,5.00,NULL,1.00,5.00,2.00,308,NULL,NULL,'VILA MARIETA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056775,4.00,6.00,4.00,2.00,6.00,6.25,5.00,4.00,3.00,212,NULL,214,'CENTRO','QUATRO PONTES','PR',10867,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3056783,4.00,4.00,3.00,4.00,6.00,6.75,3.00,7.00,4.00,319,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',11077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056791,4.00,4.00,3.00,8.00,7.00,5.50,1.00,5.00,3.00,216,NULL,207,'ATIRADORES','JOINVILLE','SC',11937,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3056805,7.00,4.00,8.00,9.00,6.00,5.50,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',3950,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3056813,2.00,3.00,5.00,4.00,5.00,5.25,3.00,6.00,2.00,101,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',15365,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3056821,6.00,6.00,7.00,9.00,6.00,7.50,5.00,7.00,5.00,203,NULL,202,'MORRO DA CEGONHA','ERECHIM','RS',2399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056830,6.00,7.00,4.00,6.00,8.00,6.25,5.00,9.00,5.00,503,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'BAIRRO DO PARQUE','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3056856,6.00,7.00,4.00,7.00,3.00,NULL,1.00,6.00,2.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3056864,8.00,6.00,8.00,8.00,6.00,6.25,4.00,6.00,8.00,203,NULL,214,'URBANOVA','S JOSÉ CAMPOS','SP',1498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056872,4.00,4.00,3.00,6.00,4.00,6.00,1.00,3.00,3.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3056880,4.00,6.00,4.00,5.00,5.00,5.75,3.00,6.00,3.00,340,NULL,NULL,'CENTRO','CURITIBA','PR',10480,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3056902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3056910,7.00,5.00,3.00,5.00,5.00,6.00,5.00,8.00,6.00,104,NULL,NULL,'CENTRO','NOVA TRENTO','SC',5901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3056929,6.00,7.00,5.00,9.00,6.00,6.50,5.00,8.00,4.00,420,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',3949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056961,4.00,3.00,4.00,8.00,7.00,5.75,1.00,8.00,5.00,5,NULL,NULL,'ANITA GAIBALDI','JOINVILLE','SC',8422,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(16,3056988,4.00,7.00,3.00,6.00,7.00,5.00,5.00,6.00,6.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',6618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3056996,2.00,5.00,4.00,9.00,7.00,5.50,3.00,4.00,3.00,104,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',11897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057003,2.00,3.00,3.00,6.00,3.00,NULL,5.00,3.00,5.00,207,NULL,201,'CENTRO','LUÍS E MAGALHÃES','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3057011,5.00,3.00,6.00,4.00,4.00,6.00,4.00,4.00,8.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',8852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3057038,7.00,7.00,5.00,9.00,5.00,4.75,6.00,8.00,7.00,103,NULL,NULL,'SANTO ANTÔNIO','ITUPORANGA','SC',2235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'SETOR CENTAL','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3057062,3.00,2.00,4.00,4.00,3.00,NULL,5.00,3.00,4.00,203,NULL,202,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3057089,4.00,5.00,1.00,4.00,3.00,NULL,2.00,7.00,3.00,203,NULL,201,'CENTRO','PALMEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3057097,5.00,5.00,5.00,8.00,7.00,5.25,5.00,6.00,6.00,220,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',5246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057100,8.00,8.00,6.00,9.00,8.00,5.00,2.00,9.00,6.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',1700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057119,4.00,7.00,3.00,9.00,5.00,5.50,3.00,7.00,6.00,216,NULL,NULL,'CENTRO','CONCÓRDIA','SC',6014,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3057135,2.00,2.00,1.00,0.00,1.00,NULL,2.00,4.00,3.00,317,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057143,3.00,5.00,3.00,8.00,2.00,NULL,2.00,5.00,4.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3057178,2.00,3.00,1.00,2.00,2.00,NULL,5.00,5.00,4.00,301,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3057186,3.00,3.00,2.00,8.00,5.00,6.50,2.00,3.00,4.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057194,7.00,6.00,3.00,7.00,5.00,4.75,3.00,3.00,4.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',10973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057208,6.00,7.00,4.00,4.00,3.00,NULL,4.00,6.00,5.00,319,NULL,NULL,'AMÉRICA','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057224,6.00,5.00,5.00,9.00,9.00,5.25,5.00,7.00,8.00,103,NULL,NULL,'BAIRRO GARCIA','BLUMENAU','SC',2357,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3057240,6.00,7.00,7.00,8.00,5.00,5.25,4.00,7.00,7.00,202,NULL,213,'JARDIM PEPERI','S MIGUEL OESTE','SC',2686,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3057259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,212,'JR REGINA','RANCHARIA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3057267,5.00,6.00,5.00,7.00,6.00,4.50,2.00,7.00,4.00,238,NULL,208,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',7944,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3057275,6.00,3.00,3.00,7.00,4.00,5.50,5.00,6.00,4.00,225,NULL,NULL,'MÉIER','RIO JANEIRO','RJ',9805,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3057283,5.00,5.00,5.00,3.00,3.00,NULL,2.00,5.00,6.00,207,NULL,208,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057291,4.00,3.00,3.00,6.00,3.00,NULL,3.00,1.00,2.00,444,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3057313,3.00,5.00,3.00,1.00,3.00,NULL,1.00,4.00,5.00,201,NULL,212,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3057321,6.00,7.00,1.00,1.00,4.00,5.25,1.00,5.00,3.00,303,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',15078,658,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057348,8.00,8.00,4.00,6.00,5.00,5.75,4.00,5.00,5.00,2,NULL,NULL,'LAGEADO BAIXO','GUABIRUBA','SC',4685,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3057356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,214,'MARECHAL RONDON','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3057364,6.00,5.00,7.00,9.00,8.00,7.25,6.00,6.00,6.00,415,NULL,NULL,'BOSQUE DA SAÚDE','CUIABÁ','MT',2029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3057380,3.00,4.00,3.00,6.00,7.00,5.50,3.00,6.00,1.00,220,NULL,NULL,'JARDIM GUANABARA','RONDONÓPOLIS','MT',13592,473,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057399,7.00,7.00,4.00,8.00,5.00,6.00,2.00,7.00,3.00,340,NULL,NULL,'JURERÊ','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057429,6.00,6.00,7.00,6.00,5.00,5.00,8.00,6.00,8.00,203,NULL,214,'JD PEREIRA DO AMPARO','JACAREÍ','SP',2764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057437,4.00,4.00,4.00,7.00,7.00,5.50,3.00,6.00,6.00,103,NULL,NULL,'LIMOEIRO','S PAULO','SP',7258,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3057445,3.00,4.00,5.00,7.00,5.00,7.00,4.00,5.00,2.00,201,NULL,212,'CENTRO','JARAGUÁ SUL','SC',11732,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3057453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JOAIA','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3057461,7.00,7.00,4.00,9.00,6.00,7.00,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057470,9.00,6.00,7.00,8.00,6.00,6.25,7.00,8.00,8.00,103,NULL,NULL,'VILA SOBRINHO','CPO GRANDE','MS',791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,201,'JARDIM EUROPA','CRUZEIRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3057496,7.00,6.00,6.00,8.00,6.00,6.50,7.00,8.00,7.00,213,NULL,208,'PONTE DO IMARUIM','PALHOÇA','SC',1674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057526,4.00,7.00,3.00,3.00,4.00,4.00,2.00,6.00,4.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3057534,4.00,5.00,2.00,6.00,2.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3057542,6.00,4.00,4.00,8.00,7.00,4.75,2.00,5.00,4.00,207,NULL,233,'CASA BRANCA','STO ANDRÉ','SP',8145,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3057577,2.00,7.00,2.00,8.00,5.00,5.25,2.00,6.00,4.00,318,NULL,NULL,'JD BONANZA','STA RITA P QUATRO','SP',9983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057585,4.00,6.00,3.00,5.00,2.00,NULL,3.00,8.00,4.00,429,NULL,NULL,'CENTRO','MAMBORÊ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057593,3.00,3.00,2.00,7.00,3.00,NULL,1.00,5.00,4.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057607,2.00,3.00,1.00,3.00,4.00,NULL,3.00,3.00,3.00,3,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057615,9.00,8.00,9.00,8.00,9.00,7.50,7.00,8.00,9.00,103,NULL,NULL,'LAGO NORTE','LG NORTE','DF',30,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057623,3.00,4.00,3.00,8.00,3.00,NULL,5.00,4.00,2.00,425,NULL,421,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057631,7.00,7.00,3.00,4.00,7.00,7.00,4.00,6.00,8.00,103,NULL,NULL,'JARDIM BOTÂNICO','LG SUL','DF',4140,1329,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057640,5.00,6.00,1.00,2.00,5.00,4.50,4.00,5.00,3.00,208,NULL,238,'CENTRO','MONDAÍ','SC',14887,509,NULL,484,NULL,NULL,NULL,4,4),(16,3057658,7.00,6.00,6.00,7.00,5.00,4.75,3.00,7.00,6.00,108,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',4899,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3057666,5.00,5.00,2.00,5.00,6.00,5.75,1.00,5.00,5.00,103,NULL,NULL,'MARGEM ESQUERDA','GASPAR','SC',11396,2377,NULL,NULL,NULL,NULL,NULL,2,2),(16,3057674,4.00,3.00,2.00,8.00,6.00,5.00,2.00,5.00,4.00,102,NULL,NULL,'COND MILIONI','SALTO','SP',11886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057682,9.00,8.00,6.00,9.00,8.00,6.75,7.00,9.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057690,3.00,2.00,3.00,6.00,5.00,6.00,3.00,5.00,6.00,211,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',11819,402,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057704,4.00,7.00,1.00,6.00,5.00,6.50,0.00,8.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',8756,2094,NULL,NULL,NULL,NULL,NULL,2,7),(16,3057712,3.00,4.00,4.00,4.00,5.00,6.75,3.00,5.00,4.00,453,NULL,NULL,'IPIRANGA','S JOSÉ','SC',12706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057720,4.00,2.00,1.00,5.00,6.00,NULL,2.00,1.00,1.00,326,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3057747,2.00,1.00,3.00,6.00,4.00,5.75,1.00,6.00,3.00,303,NULL,NULL,'PRIMEIRO DE MAIO','IçARA','SC',16459,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3057755,5.00,6.00,5.00,7.00,6.00,4.25,3.00,6.00,6.00,201,NULL,203,'SANTO INÁCIO','CURITIBA','PR',6945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057763,2.00,3.00,2.00,6.00,2.00,NULL,2.00,3.00,5.00,308,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3057771,3.00,2.00,3.00,5.00,4.00,4.50,1.00,5.00,3.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',16608,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3057780,6.00,6.00,4.00,7.00,3.00,NULL,2.00,6.00,6.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3057810,5.00,7.00,5.00,7.00,7.00,7.50,3.00,7.00,6.00,211,NULL,233,'ITACORUBI','FLORIANÓPOLIS','SC',4058,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3057828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA DO PRATA','MARACAJU','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3057836,4.00,4.00,2.00,7.00,2.00,NULL,3.00,3.00,5.00,207,NULL,201,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3057852,3.00,3.00,3.00,5.00,2.00,NULL,3.00,7.00,4.00,101,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,6),(16,3057860,5.00,8.00,5.00,8.00,6.00,7.00,4.00,9.00,4.00,102,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',3333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3057879,3.00,7.00,3.00,2.00,3.00,NULL,3.00,8.00,4.00,220,NULL,214,'INTERIOR','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3057887,6.00,4.00,2.00,5.00,2.00,NULL,2.00,5.00,6.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3057895,3.00,5.00,1.00,6.00,5.00,4.75,2.00,6.00,1.00,207,NULL,201,'LEONOR','LONDRINA','PR',15618,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3057909,7.00,7.00,6.00,7.00,8.00,6.25,4.00,9.00,7.00,304,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',1328,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3057917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3057925,2.00,4.00,4.00,7.00,4.00,5.25,1.00,4.00,2.00,238,NULL,208,'CAPOEIRAS','FLORIANóPOLIS','SC',15236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057933,5.00,4.00,3.00,6.00,7.00,3.00,3.00,8.00,6.00,201,NULL,212,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3057950,6.00,7.00,4.00,7.00,4.00,5.00,6.00,8.00,6.00,303,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',4632,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3057968,6.00,7.00,4.00,6.00,7.00,5.50,6.00,6.00,7.00,215,NULL,238,'AGRONOMICA','FLORIANÓPOLIS','SC',4599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3057976,3.00,4.00,3.00,3.00,4.00,4.00,3.00,5.00,3.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15938,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3057984,4.00,5.00,3.00,5.00,3.00,NULL,3.00,5.00,3.00,304,NULL,NULL,'ITAQUERA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058000,2.00,3.00,1.00,3.00,3.00,NULL,2.00,4.00,3.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058018,4.00,6.00,4.00,7.00,7.00,5.50,3.00,4.00,2.00,234,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',9138,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3058034,5.00,5.00,4.00,5.00,5.00,5.25,4.00,3.00,2.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13586,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3058085,1.00,2.00,2.00,6.00,3.00,NULL,3.00,2.00,5.00,201,NULL,212,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,207,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3058115,3.00,7.00,6.00,7.00,5.00,5.25,3.00,6.00,3.00,214,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',7817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058140,3.00,3.00,3.00,7.00,6.00,6.25,2.00,3.00,5.00,310,NULL,NULL,'CENTRO','S JOAQUIM','SC',13356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058166,3.00,5.00,4.00,8.00,7.00,7.00,4.00,6.00,2.00,319,NULL,NULL,'SÃO MIGUEL','BIGUAÇU','SC',8643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058174,5.00,7.00,4.00,6.00,6.00,4.75,5.00,7.00,6.00,333,NULL,NULL,'VILA NOVA','IMBITUBA','SC',6383,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058182,3.00,5.00,4.00,8.00,6.00,5.00,3.00,5.00,2.00,202,NULL,220,'PRIMAVERA','ARENÁPOLIS','MT',11288,403,NULL,430,NULL,NULL,NULL,2,1),(16,3058190,6.00,8.00,5.00,1.00,5.00,6.25,3.00,6.00,7.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058212,4.00,3.00,4.00,3.00,2.00,NULL,3.00,3.00,2.00,203,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3058220,2.00,3.00,2.00,5.00,4.00,NULL,2.00,2.00,4.00,214,NULL,220,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058239,4.00,1.00,3.00,2.00,3.00,NULL,2.00,3.00,1.00,203,NULL,220,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058247,9.00,7.00,2.00,8.00,8.00,5.00,4.00,7.00,7.00,103,NULL,NULL,'PERPÉTUO SOCORRO','STA MARIA','RS',3105,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3058255,2.00,4.00,3.00,5.00,5.00,5.50,5.00,3.00,3.00,108,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',15520,345,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058263,8.00,6.00,8.00,9.00,7.00,5.75,8.00,7.00,6.00,203,NULL,202,'CONTA DINHEIRO','LAGES','SC',934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058271,5.00,2.00,3.00,4.00,3.00,NULL,4.00,2.00,1.00,104,NULL,NULL,'TRIANON','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058280,2.00,2.00,1.00,4.00,2.00,NULL,4.00,7.00,3.00,9,NULL,NULL,'CENTRO','SUL BRASIL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3058310,7.00,4.00,3.00,5.00,6.00,5.00,2.00,5.00,6.00,502,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058328,6.00,7.00,3.00,7.00,6.00,5.00,6.00,7.00,6.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',4781,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058336,6.00,1.00,4.00,6.00,5.00,5.75,2.00,6.00,4.00,103,NULL,NULL,'MORRO ESTEVÃO','CRICIÚMA','SC',11851,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3058344,3.00,4.00,1.00,6.00,6.00,NULL,3.00,2.00,2.00,426,NULL,428,'TAPERA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058352,4.00,1.00,3.00,2.00,1.00,NULL,1.00,2.00,2.00,328,NULL,NULL,'CENTRO','SUL BRASIL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3058360,7.00,8.00,9.00,8.00,8.00,7.25,7.00,8.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',210,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058379,6.00,8.00,6.00,7.00,6.00,5.50,5.00,8.00,5.00,319,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',3231,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ANDRADAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3058395,3.00,6.00,2.00,6.00,5.00,6.75,2.00,8.00,2.00,103,NULL,NULL,'PQ DOM BOSCO','UMUARAMA','PR',11651,2400,NULL,NULL,NULL,NULL,NULL,2,4),(16,3058417,6.00,6.00,4.00,7.00,5.00,5.00,3.00,5.00,3.00,453,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',8671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058425,4.00,3.00,1.00,3.00,4.00,NULL,2.00,4.00,3.00,318,NULL,NULL,'JARDIM','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058433,2.00,5.00,1.00,5.00,4.00,5.50,4.00,6.00,4.00,238,NULL,208,'BALNEARIO ESTREITO','FLORIANÓPOLIS','SC',13479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058441,5.00,3.00,3.00,6.00,4.00,5.50,2.00,0.00,2.00,326,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',16378,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3058468,2.00,4.00,1.00,7.00,2.00,NULL,2.00,3.00,3.00,303,NULL,NULL,'CENTRO','CASTRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3058476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'OFICINAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3058484,6.00,7.00,5.00,8.00,6.00,5.25,4.00,6.00,6.00,203,NULL,220,'CENTRO','DOURADOS','MS',4510,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3058492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SARGENTO AMARAL','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3058506,6.00,6.00,5.00,5.00,5.00,5.75,5.00,7.00,6.00,316,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',5625,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3058522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ITU SABARÁ','PORTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3058530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3058557,3.00,4.00,1.00,9.00,7.00,6.75,4.00,6.00,3.00,310,NULL,NULL,'JARDIM GUAPIRA','S PAULO','SP',8063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058565,9.00,8.00,9.00,9.00,8.00,7.25,7.00,8.00,7.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',81,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058573,3.00,2.00,1.00,2.00,0.00,NULL,3.00,1.00,3.00,339,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058590,4.00,2.00,4.00,5.00,4.00,6.25,4.00,3.00,2.00,303,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',13947,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3058603,7.00,3.00,4.00,5.00,5.00,6.00,5.00,6.00,4.00,103,NULL,NULL,'JD ELDORADO','DRACENA','SP',9520,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3058620,2.00,3.00,3.00,8.00,1.00,NULL,3.00,3.00,3.00,203,NULL,202,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058654,7.00,7.00,7.00,10.00,5.00,6.75,3.00,7.00,4.00,216,NULL,214,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058662,5.00,3.00,3.00,5.00,5.00,3.00,4.00,8.00,4.00,103,NULL,NULL,'PASSO DOS FORTES','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3058670,6.00,9.00,7.00,9.00,8.00,6.00,5.00,8.00,5.00,415,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',1089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058689,4.00,5.00,4.00,5.00,5.00,4.00,2.00,7.00,4.00,103,NULL,NULL,'CAMPESTRE','VIDAL RAMOS','SC',12404,2475,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058697,3.00,4.00,4.00,5.00,4.00,4.50,3.00,7.00,7.00,208,NULL,238,'MAR GROSSO','LAGUNA','SC',10421,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3058700,4.00,2.00,3.00,4.00,3.00,NULL,1.00,6.00,3.00,319,NULL,NULL,'IGUAÇU','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058719,8.00,7.00,5.00,7.00,7.00,5.25,5.00,7.00,7.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058727,3.00,4.00,3.00,3.00,2.00,NULL,4.00,2.00,1.00,104,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3058735,3.00,4.00,3.00,7.00,4.00,4.50,2.00,4.00,4.00,502,NULL,NULL,'CENTRO','LGA VERMELHA','RS',14597,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3058743,8.00,6.00,7.00,2.00,6.00,6.75,3.00,6.00,8.00,103,NULL,NULL,'ZONA II','MARINGÁ','PR',4272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058778,8.00,8.00,7.00,9.00,8.00,6.50,5.00,7.00,8.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3058808,3.00,6.00,3.00,5.00,8.00,6.25,3.00,6.00,5.00,211,NULL,238,'PANTANAL','FLORIANóPOLIS','SC',8692,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058816,3.00,5.00,3.00,5.00,6.00,5.50,3.00,6.00,4.00,329,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',11223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058824,9.00,7.00,6.00,8.00,6.00,6.50,4.00,6.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058832,7.00,7.00,4.00,9.00,6.00,5.25,3.00,7.00,4.00,103,NULL,NULL,'SANTANA','RIO SUL','SC',4334,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3058840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3058859,9.00,8.00,8.00,9.00,8.00,5.25,8.00,9.00,9.00,216,NULL,213,'FUNCIONARIOS','BELO HORIZONTE','MG',145,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058875,4.00,4.00,4.00,1.00,3.00,NULL,1.00,4.00,1.00,3,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3058891,5.00,3.00,3.00,2.00,2.00,NULL,0.00,2.00,3.00,302,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058905,7.00,4.00,6.00,7.00,8.00,5.00,4.00,5.00,6.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',4956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058913,5.00,4.00,1.00,5.00,5.00,5.00,3.00,3.00,3.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3058921,2.00,3.00,3.00,0.00,0.00,NULL,2.00,3.00,2.00,333,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3058956,4.00,4.00,2.00,3.00,3.00,NULL,2.00,4.00,3.00,5,NULL,NULL,'TESTO ALTO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3058964,6.00,8.00,3.00,6.00,5.00,5.25,4.00,8.00,4.00,102,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',5768,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3058980,5.00,7.00,4.00,7.00,4.00,5.00,4.00,6.00,6.00,318,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3058999,7.00,6.00,5.00,2.00,6.00,6.25,4.00,7.00,4.00,234,NULL,NULL,'ROÇADO','S JOSÉ','SC',6858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059006,9.00,8.00,5.00,9.00,7.00,7.25,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',879,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3059014,4.00,3.00,4.00,8.00,3.00,NULL,2.00,4.00,2.00,215,NULL,211,'BELA VISTA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3059022,7.00,6.00,9.00,8.00,8.00,5.25,8.00,8.00,8.00,203,NULL,202,'VILA NOVA','ARAPONGAS','PR',552,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3059030,7.00,6.00,7.00,8.00,8.00,6.25,3.00,9.00,5.00,301,NULL,NULL,'GUARDAMOR','S JOÃO D REI','MG',1647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059057,3.00,4.00,1.00,5.00,3.00,NULL,3.00,3.00,1.00,202,NULL,213,'FLOR DE NÁPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059065,6.00,8.00,7.00,7.00,6.00,6.00,2.00,7.00,6.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',2945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059073,3.00,8.00,4.00,7.00,6.00,4.50,2.00,7.00,6.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',8101,1990,NULL,NULL,NULL,NULL,NULL,2,9),(16,3059081,4.00,5.00,6.00,8.00,3.00,NULL,2.00,4.00,2.00,201,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059103,3.00,3.00,3.00,4.00,4.00,6.50,4.00,5.00,4.00,103,NULL,NULL,'SANTO ANTONIO','GUARUJá','SP',13885,2609,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059111,8.00,6.00,8.00,4.00,4.00,5.25,8.00,8.00,7.00,108,NULL,NULL,'ABRAÃO','FLORIANóPOLIS','SC',2206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059120,4.00,5.00,3.00,7.00,5.00,5.75,4.00,7.00,4.00,331,NULL,NULL,'SANTA FÉ','OURINHOS','SP',9076,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059138,4.00,5.00,3.00,3.00,4.00,5.25,1.00,6.00,4.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059154,5.00,4.00,2.00,6.00,6.00,6.00,2.00,5.00,3.00,316,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',12272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059170,3.00,3.00,3.00,6.00,4.00,5.50,2.00,5.00,4.00,208,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',14679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059189,7.00,9.00,6.00,6.00,6.00,5.75,3.00,8.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',2624,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3059197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UVARANAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3059219,4.00,6.00,1.00,1.00,3.00,NULL,2.00,4.00,3.00,207,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3059227,5.00,5.00,3.00,5.00,5.00,5.50,4.00,6.00,4.00,201,NULL,212,'MAR GROSSO','LAGUNA','SC',10121,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3059235,3.00,4.00,2.00,6.00,6.00,4.75,4.00,6.00,3.00,103,NULL,NULL,'CANOAS','RIO SUL','SC',10655,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3059243,0.00,4.00,1.00,2.00,1.00,NULL,2.00,5.00,3.00,318,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3059251,6.00,8.00,3.00,8.00,8.00,7.00,3.00,2.00,6.00,9,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',5615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059260,4.00,6.00,5.00,5.00,4.00,5.50,4.00,8.00,6.00,304,NULL,NULL,'PARQUE VISTA ALEGRE','ITAPEVA','SP',7448,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3059278,7.00,7.00,2.00,8.00,5.00,5.50,7.00,4.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',4171,1333,NULL,NULL,NULL,NULL,NULL,2,4),(16,3059286,5.00,5.00,3.00,8.00,6.00,6.25,4.00,8.00,6.00,333,NULL,NULL,'LÍDER','CHAPECÓ','SC',5492,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3059294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'SEMINÁRIO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3059308,5.00,6.00,5.00,8.00,6.00,5.50,2.00,7.00,6.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059316,5.00,5.00,3.00,8.00,5.00,5.00,4.00,5.00,3.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059324,6.00,6.00,5.00,8.00,4.00,4.75,4.00,7.00,4.00,301,NULL,NULL,'CENTRO','MARINGÁ','PR',6538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059332,6.00,8.00,3.00,4.00,6.00,6.25,3.00,7.00,6.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',5421,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3059340,5.00,4.00,3.00,5.00,5.00,4.50,3.00,5.00,3.00,452,NULL,NULL,'BARREIROS','S JOSÉ','SC',12748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059359,6.00,5.00,5.00,3.00,5.00,8.00,6.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059375,5.00,3.00,1.00,3.00,5.00,4.50,4.00,3.00,3.00,103,NULL,NULL,'VERA CRUZ','MONTES CLAROS','MG',15639,2755,NULL,NULL,NULL,NULL,NULL,2,8),(16,3059383,2.00,6.00,2.00,4.00,5.00,5.75,3.00,4.00,3.00,308,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',13955,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059391,7.00,5.00,3.00,6.00,6.00,7.50,6.00,4.00,4.00,302,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',7324,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059405,5.00,4.00,1.00,6.00,4.00,5.50,3.00,4.00,3.00,201,NULL,207,'CENTRO','BAL CAMBORIÚ','SC',13932,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3059413,4.00,4.00,4.00,7.00,4.00,5.00,4.00,5.00,5.00,415,NULL,NULL,'COMERCIÁRIO','CRICIúMA','SC',10427,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3059421,5.00,4.00,3.00,6.00,4.00,5.25,3.00,6.00,0.00,211,NULL,215,'OFICINAS','TUBARÃO','SC',13822,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3059430,2.00,2.00,3.00,5.00,3.00,NULL,2.00,3.00,3.00,207,NULL,201,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059448,5.00,6.00,2.00,4.00,3.00,NULL,2.00,4.00,4.00,340,NULL,NULL,'SÃO FRANCISCO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA QUATRO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3059464,7.00,3.00,6.00,6.00,8.00,7.50,5.00,5.00,6.00,238,NULL,208,'CENTRO','CAPINZAL','SC',4185,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3059472,4.00,5.00,3.00,3.00,6.00,4.25,1.00,5.00,4.00,326,NULL,NULL,'CENTRO','CASCAVEL','PR',13964,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3059499,6.00,6.00,4.00,8.00,7.00,4.25,2.00,5.00,4.00,102,NULL,NULL,'CENTRO','PAPANDUVA','SC',7912,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3059502,2.00,5.00,3.00,5.00,3.00,NULL,2.00,5.00,3.00,220,NULL,NULL,'CENTRO','SORRISO','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059510,5.00,6.00,2.00,5.00,5.00,5.50,2.00,7.00,3.00,303,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',10386,447,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059529,6.00,5.00,5.00,6.00,5.00,5.50,3.00,6.00,6.00,202,NULL,213,'AGRONÔMICA','FLORIANÓPOLIS','SC',7559,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059537,6.00,6.00,8.00,6.00,6.00,5.00,7.00,6.00,5.00,202,NULL,213,'SERTÃO DO MARUIM','S JOSÉ','SC',3442,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059545,4.00,6.00,6.00,8.00,6.00,5.00,4.00,7.00,3.00,202,NULL,233,'SÃO JOSÉ','S JOSÉ','SC',6306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059561,3.00,2.00,2.00,5.00,6.00,4.00,3.00,7.00,3.00,211,NULL,214,'PONTA DE BAIXO','S JOSÉ','SC',14162,481,NULL,448,NULL,NULL,NULL,2,1),(16,3059570,6.00,3.00,2.00,7.00,3.00,NULL,3.00,4.00,4.00,216,NULL,201,'PEREIRA ALVES','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3059588,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,7),(16,3059596,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(16,3059634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CATUÍRA','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3059642,3.00,3.00,2.00,5.00,0.00,NULL,1.00,2.00,3.00,318,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM KARLA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3059677,3.00,4.00,3.00,7.00,4.00,6.00,1.00,8.00,3.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059685,9.00,7.00,9.00,8.00,8.00,6.75,7.00,8.00,9.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',261,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VISTA ALEGRE','ESPIGÃO D OESTE','RO',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3059707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3059715,9.00,6.00,6.00,8.00,7.00,5.50,6.00,8.00,7.00,103,NULL,NULL,'JARDIM AMÉRICA','GOIÂNIA','GO',1270,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,213,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3059731,8.00,7.00,8.00,9.00,8.00,5.50,4.00,9.00,5.00,340,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',1088,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3059740,6.00,5.00,4.00,6.00,6.00,3.00,3.00,4.00,3.00,220,NULL,202,'MUARAMA','PASSOS','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059766,5.00,6.00,4.00,4.00,5.00,4.25,4.00,4.00,5.00,301,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',11266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059774,3.00,1.00,1.00,7.00,1.00,NULL,2.00,1.00,4.00,103,NULL,NULL,'SANTA CRUZ','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3059782,8.00,8.00,8.00,9.00,7.00,4.50,3.00,8.00,8.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1323,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3059790,3.00,4.00,4.00,1.00,0.00,NULL,1.00,5.00,2.00,318,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3059804,6.00,6.00,3.00,7.00,4.00,5.00,4.00,8.00,4.00,303,NULL,NULL,'JARDIM MARISTELA','CRICIÚMA','SC',8582,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3059812,4.00,3.00,3.00,6.00,7.00,6.75,3.00,4.00,4.00,404,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059820,2.00,5.00,2.00,8.00,7.00,5.75,2.00,7.00,2.00,103,NULL,NULL,'BOMBAS','BOMBINHAS','SC',11280,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3059839,4.00,7.00,4.00,6.00,6.00,4.50,5.00,6.00,3.00,202,NULL,201,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',7384,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059847,9.00,7.00,8.00,9.00,6.00,6.50,7.00,7.00,7.00,211,NULL,214,'GIOCONDO ORSI','CPO GRANDE','MS',544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM UNIVERSITARIO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3059863,2.00,3.00,3.00,3.00,4.00,NULL,0.00,3.00,4.00,331,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059898,5.00,5.00,3.00,7.00,6.00,6.75,2.00,6.00,3.00,423,NULL,424,'SACO GRANDE II','FLORIANÓPOLIS','SC',10072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3059910,3.00,6.00,2.00,6.00,5.00,5.75,3.00,2.00,3.00,421,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',13830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059928,3.00,5.00,5.00,6.00,3.00,NULL,1.00,6.00,3.00,238,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059936,5.00,5.00,4.00,8.00,5.00,5.75,3.00,3.00,6.00,103,NULL,NULL,'BALNEÁRIO','FLORIANóPOLIS','SC',8136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059952,7.00,8.00,9.00,8.00,8.00,6.00,8.00,8.00,8.00,203,NULL,NULL,'CENTRO','CURITIBA','PR',267,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3059960,1.00,2.00,3.00,0.00,3.00,NULL,2.00,3.00,1.00,333,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3059979,4.00,4.00,2.00,8.00,5.00,5.00,1.00,5.00,5.00,103,NULL,NULL,'TACCA','XANXERÊ','SC',12458,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3059987,7.00,5.00,6.00,8.00,5.00,5.75,2.00,6.00,7.00,501,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3059995,7.00,5.00,4.00,8.00,8.00,6.50,5.00,8.00,7.00,220,NULL,NULL,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',2186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060039,6.00,6.00,4.00,7.00,6.00,6.50,5.00,6.00,5.00,103,NULL,NULL,'CENTRO','RIO CEDROS','SC',4372,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3060047,3.00,2.00,3.00,6.00,2.00,NULL,2.00,2.00,1.00,340,NULL,NULL,'SACO GRANDE II','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3060063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',1,8),(16,3060080,3.00,5.00,3.00,6.00,2.00,NULL,3.00,7.00,3.00,304,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3060098,2.00,3.00,2.00,5.00,4.00,5.25,3.00,4.00,3.00,318,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',16273,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3060101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VISTA ALEGRE','ESPIGÃO D OESTE','RO',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3060128,6.00,6.00,3.00,7.00,7.00,6.00,4.00,6.00,4.00,214,NULL,212,'CENTRO','ANTÔNIO CARLOS','SC',7077,251,NULL,NULL,NULL,NULL,NULL,2,1),(16,3060136,6.00,6.00,6.00,7.00,4.00,7.00,5.00,7.00,8.00,103,NULL,NULL,'SANTA TEREZINHA','SOROCABA','SP',3216,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3060144,8.00,7.00,7.00,9.00,6.00,7.00,4.00,9.00,5.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060152,8.00,8.00,7.00,7.00,5.00,5.75,6.00,9.00,8.00,203,NULL,214,'JARDIM OSVALDO SELLA','CAMBé','PR',837,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3060160,4.00,4.00,1.00,7.00,6.00,5.50,0.00,4.00,2.00,211,NULL,207,'VILA FLOR','CAPIVARI BAIXO','SC',15099,510,NULL,783,NULL,NULL,NULL,2,10),(16,3060179,5.00,6.00,4.00,7.00,6.00,5.00,4.00,6.00,3.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',8634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060195,6.00,3.00,2.00,3.00,6.00,5.75,3.00,6.00,4.00,102,NULL,NULL,'PASSAVINTE','PALHOÇA','SC',12535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060209,5.00,6.00,8.00,4.00,5.00,4.75,4.00,6.00,5.00,223,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6534,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3060217,6.00,7.00,4.00,3.00,5.00,5.50,5.00,5.00,6.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA ARAPONGUINHA','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3060233,3.00,2.00,3.00,5.00,3.00,NULL,1.00,2.00,5.00,103,NULL,NULL,'TRES VENDAS','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3060268,6.00,5.00,3.00,4.00,6.00,6.00,3.00,6.00,4.00,415,NULL,NULL,'VILA NOVA','TRÊS BARRAS','SC',9923,263,NULL,NULL,NULL,NULL,NULL,4,2),(16,3060276,4.00,4.00,3.00,7.00,3.00,NULL,1.00,4.00,3.00,319,NULL,NULL,'NOVA GERTY','S CAETANO SUL','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060284,1.00,3.00,4.00,6.00,6.00,4.50,3.00,4.00,3.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3060292,3.00,6.00,3.00,7.00,5.00,4.75,6.00,5.00,4.00,340,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060306,6.00,4.00,6.00,8.00,6.00,6.25,5.00,3.00,3.00,451,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060314,7.00,7.00,5.00,4.00,6.00,4.25,5.00,7.00,6.00,5,NULL,NULL,'ZONA SETE','MARINGÁ','PR',4730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060322,6.00,6.00,3.00,7.00,6.00,6.25,4.00,7.00,5.00,319,NULL,NULL,'ASA SUL','BRASÍLIA','DF',4932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060330,1.00,6.00,1.00,5.00,4.00,5.00,1.00,7.00,4.00,208,NULL,238,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060357,5.00,5.00,5.00,6.00,3.00,NULL,2.00,6.00,4.00,203,NULL,220,'ITAGUÁ','UBATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060365,3.00,5.00,3.00,8.00,7.00,0.00,3.00,4.00,5.00,319,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060373,5.00,8.00,4.00,9.00,6.00,7.00,4.00,7.00,4.00,415,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',4125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060381,4.00,5.00,4.00,6.00,3.00,NULL,3.00,8.00,4.00,211,NULL,NULL,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060390,5.00,7.00,6.00,5.00,5.00,4.75,5.00,4.00,3.00,203,NULL,214,'ITACORUBI','FLORIANÓPOLIS','SC',9529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060403,4.00,5.00,4.00,5.00,5.00,5.00,2.00,6.00,4.00,208,NULL,238,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',12340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060411,7.00,6.00,3.00,9.00,6.00,6.75,4.00,8.00,5.00,415,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',3964,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3060420,3.00,3.00,1.00,5.00,5.00,5.00,3.00,6.00,5.00,501,NULL,NULL,'ARIRIÚ','PALHOçA','SC',14261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3060438,7.00,6.00,5.00,7.00,7.00,6.00,3.00,6.00,3.00,211,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',6578,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3060446,8.00,9.00,9.00,9.00,8.00,7.25,7.00,9.00,7.00,211,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',65,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060454,4.00,1.00,1.00,2.00,1.00,NULL,1.00,2.00,3.00,2,NULL,NULL,'SÃO FRANCISCO','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3060462,3.00,4.00,6.00,9.00,6.00,6.75,6.00,8.00,5.00,203,NULL,211,'CENTRO','FLORIANóPOLIS','SC',4093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060489,8.00,4.00,6.00,8.00,5.00,5.00,7.00,8.00,7.00,319,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',2594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060497,2.00,3.00,2.00,6.00,5.00,4.75,4.00,2.00,3.00,502,NULL,NULL,'CENTRO','LAGES','SC',16500,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3060500,3.00,1.00,5.00,3.00,5.00,4.75,3.00,4.00,2.00,201,NULL,212,'SETOR SUDOESTE','GOIâNIA','GO',16472,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3060527,2.00,1.00,2.00,1.00,3.00,NULL,2.00,1.00,3.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060535,7.00,8.00,6.00,9.00,8.00,5.50,3.00,7.00,6.00,415,NULL,NULL,'CENTRO','CHAPECÓ','SC',1788,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3060543,4.00,4.00,5.00,6.00,6.00,5.75,3.00,9.00,3.00,212,NULL,233,'CENTRO','BRUSQUE','SC',8171,240,NULL,NULL,NULL,NULL,NULL,2,1),(16,3060551,4.00,4.00,7.00,7.00,5.00,4.75,3.00,6.00,5.00,301,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',8575,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3060560,5.00,3.00,5.00,7.00,2.00,NULL,4.00,5.00,4.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060578,3.00,5.00,2.00,4.00,4.00,4.50,2.00,3.00,4.00,216,NULL,233,'CENTRO','MONDAÍ','SC',16592,508,NULL,476,NULL,NULL,NULL,2,4),(16,3060594,7.00,8.00,7.00,7.00,7.00,6.50,4.00,9.00,8.00,202,NULL,213,'CENTRO','CASCAVEL','PR',696,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3060608,9.00,9.00,7.00,8.00,7.00,6.75,6.00,9.00,8.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060616,6.00,5.00,6.00,8.00,6.00,5.75,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','S MATEUS SUL','PR',4407,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3060624,4.00,3.00,2.00,7.00,5.00,5.50,1.00,3.00,3.00,308,NULL,NULL,'VILA DALVA','S PAULO','SP',14345,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3060640,2.00,3.00,1.00,1.00,4.00,NULL,4.00,4.00,2.00,5,NULL,NULL,'CHACARA PAULISTA','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3060659,5.00,3.00,1.00,4.00,4.00,5.25,2.00,6.00,2.00,450,NULL,NULL,'GUAMIRANGA','GUARAMIRIM','SC',16321,133,NULL,NULL,NULL,NULL,NULL,4,8),(16,3060675,5.00,6.00,4.00,6.00,8.00,4.75,3.00,5.00,4.00,502,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',8209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060683,7.00,6.00,2.00,9.00,6.00,7.00,1.00,3.00,3.00,319,NULL,NULL,'HAMBURGO VELHO','NOVO HAMBURGO','RS',9869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060705,1.00,4.00,3.00,4.00,5.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3060713,0.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(16,3060721,5.00,4.00,4.00,3.00,5.00,4.50,2.00,3.00,3.00,316,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',16008,201,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060730,7.00,3.00,5.00,6.00,6.00,6.00,3.00,7.00,6.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060756,3.00,3.00,4.00,4.00,5.00,4.50,5.00,5.00,3.00,202,NULL,203,'UNIVERSITÁRIO','CURITIBANOS','SC',14404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3060764,5.00,4.00,3.00,6.00,6.00,7.25,4.00,6.00,5.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',8245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060772,2.00,5.00,4.00,6.00,2.00,NULL,1.00,6.00,3.00,220,NULL,214,'CENTRO','ENÉAS MARQUES','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3060780,5.00,2.00,4.00,7.00,5.00,2.75,2.00,5.00,4.00,104,NULL,NULL,'RIO BRANCO','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3060799,2.00,2.00,1.00,3.00,2.00,NULL,5.00,4.00,5.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3060802,5.00,5.00,1.00,8.00,5.00,5.50,3.00,5.00,4.00,238,NULL,208,'CAMPINAS','S JOSé','SC',9894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060829,1.00,2.00,2.00,1.00,2.00,NULL,2.00,2.00,6.00,326,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3060837,3.00,7.00,5.00,9.00,6.00,6.50,5.00,6.00,4.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060845,1.00,2.00,3.00,1.00,0.00,NULL,1.00,1.00,3.00,316,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'SANTA CASA','GOIOERÊ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3060861,4.00,5.00,4.00,5.00,4.00,4.50,3.00,6.00,3.00,453,NULL,NULL,'VILA SAO JOAO','PASSO FUNDO','RS',12397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060870,3.00,4.00,4.00,5.00,4.00,7.00,2.00,5.00,5.00,450,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3060888,5.00,2.00,2.00,6.00,5.00,5.00,1.00,6.00,2.00,103,NULL,NULL,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3060896,4.00,2.00,1.00,2.00,1.00,NULL,3.00,0.00,3.00,203,NULL,214,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3060900,9.00,7.00,5.00,9.00,7.00,5.00,5.00,7.00,7.00,108,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',1546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3060926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CIDADE ALTA','ROLIM MOURA','RO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3060934,6.00,8.00,8.00,8.00,7.00,6.00,6.00,5.00,8.00,103,NULL,NULL,'RIACHO FUNDO','RIACHO FUNDO','DF',1031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3060950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3060969,2.00,4.00,3.00,5.00,4.00,6.25,3.00,4.00,3.00,104,NULL,NULL,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3060977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'ALTO DA BOA VISTA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3060985,2.00,4.00,3.00,3.00,3.00,NULL,3.00,4.00,3.00,238,NULL,208,'MONTE BELO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3060993,3.00,5.00,3.00,7.00,2.00,NULL,3.00,3.00,3.00,102,NULL,NULL,'INTERIOR','GUARUJÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3061000,6.00,6.00,2.00,8.00,7.00,6.50,2.00,7.00,3.00,453,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',7605,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061019,7.00,7.00,8.00,7.00,8.00,5.25,4.00,7.00,8.00,103,NULL,NULL,'ROCIO PEQUENO','S FRANCISCO SUL','SC',1324,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3061027,5.00,4.00,3.00,7.00,5.00,5.75,5.00,7.00,3.00,404,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',8558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061035,3.00,4.00,2.00,5.00,4.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061051,1.00,3.00,3.00,2.00,0.00,NULL,1.00,2.00,3.00,309,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3061086,3.00,5.00,2.00,4.00,5.00,5.50,2.00,2.00,4.00,215,NULL,211,'SÃO CRISTÓVÃO','VIDEIRA','SC',15716,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3061094,7.00,6.00,6.00,7.00,8.00,5.75,4.00,5.00,4.00,502,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',4047,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061108,5.00,1.00,3.00,3.00,2.00,NULL,3.00,3.00,3.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061116,1.00,3.00,2.00,3.00,3.00,NULL,0.00,3.00,3.00,104,NULL,NULL,'SERTãO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061124,5.00,6.00,4.00,8.00,3.00,NULL,8.00,6.00,7.00,420,NULL,NULL,'FARROUPILHA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061140,2.00,3.00,2.00,5.00,3.00,NULL,4.00,4.00,3.00,302,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061159,6.00,8.00,2.00,7.00,4.00,6.00,4.00,7.00,7.00,201,NULL,233,'AGRONÔMICA','FLORIANÓPOLIS','SC',5795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061167,0.00,3.00,2.00,5.00,4.00,NULL,1.00,3.00,3.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','JALES','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3061183,8.00,8.00,6.00,8.00,8.00,7.00,4.00,7.00,7.00,103,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061191,6.00,5.00,2.00,5.00,4.00,6.50,3.00,6.00,5.00,503,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',9896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061205,2.00,6.00,3.00,4.00,2.00,NULL,1.00,3.00,1.00,451,NULL,NULL,'CENTRO','VARGEM BONITA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3061213,4.00,6.00,5.00,7.00,5.00,5.00,3.00,4.00,2.00,326,NULL,NULL,'CENTRO','PAINEL','SC',12069,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3061221,5.00,5.00,2.00,5.00,6.00,5.25,2.00,3.00,4.00,211,NULL,208,'KOBRASOL','S JOSÉ','SC',12690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061230,9.00,7.00,9.00,7.00,6.00,6.75,7.00,5.00,8.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',967,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3061248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3061256,5.00,3.00,3.00,2.00,7.00,6.00,2.00,5.00,6.00,201,NULL,207,'AVENTUREIRO','JOINVILLE','SC',11139,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3061264,3.00,4.00,2.00,3.00,5.00,4.50,2.00,5.00,3.00,332,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',16149,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061272,8.00,5.00,6.00,6.00,6.00,8.50,6.00,5.00,8.00,453,NULL,NULL,'HAUER','CURITIBA','PR',2210,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3061280,2.00,2.00,3.00,0.00,3.00,NULL,2.00,3.00,2.00,9,NULL,NULL,'PRIMAVERA','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3061299,9.00,8.00,8.00,8.00,8.00,6.25,8.00,8.00,9.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',154,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3061302,3.00,4.00,1.00,4.00,3.00,NULL,4.00,8.00,3.00,502,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061310,6.00,6.00,4.00,7.00,5.00,5.50,7.00,8.00,8.00,216,NULL,203,'BOTAFOGO','RIO JANEIRO','RJ',2707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061329,5.00,4.00,8.00,9.00,6.00,5.75,4.00,6.00,7.00,220,NULL,202,'JARDIM SATELITE','S JOSÉ CAMPOS','SP',3571,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3061337,6.00,4.00,5.00,9.00,5.00,6.50,2.00,5.00,5.00,201,NULL,207,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',7695,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3061345,6.00,7.00,5.00,8.00,6.00,6.75,4.00,7.00,6.00,103,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',3566,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3061353,6.00,8.00,3.00,3.00,8.00,6.25,4.00,9.00,6.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061370,7.00,4.00,5.00,4.00,4.00,4.25,3.00,4.00,5.00,201,NULL,212,'SANTA BÁRBARA','CRICIúMA','SC',10459,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3061388,9.00,7.00,8.00,8.00,7.00,6.75,7.00,9.00,8.00,103,NULL,NULL,'CENTRO','PALOTINA','PR',291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061396,4.00,6.00,4.00,8.00,7.00,4.50,6.00,8.00,5.00,319,NULL,NULL,'JURERE TRADICIONAL','FLORIANÓPOLIS','SC',5212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061418,4.00,4.00,4.00,9.00,5.00,7.00,2.00,7.00,5.00,103,NULL,NULL,'CAMPO LIMPO','S PAULO','SP',7378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061434,7.00,7.00,4.00,6.00,5.00,6.75,5.00,8.00,7.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',2877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061442,5.00,6.00,1.00,8.00,5.00,5.75,2.00,6.00,4.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11284,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3061450,7.00,5.00,8.00,8.00,7.00,5.25,4.00,5.00,5.00,203,NULL,214,'CENTRO TÉC AEROESPAC','S JOSÉ CAMPOS','SP',4095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061469,3.00,0.00,1.00,4.00,4.00,NULL,3.00,4.00,4.00,308,NULL,NULL,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3061477,3.00,4.00,3.00,5.00,4.00,5.50,1.00,6.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061485,3.00,3.00,3.00,5.00,2.00,NULL,2.00,2.00,0.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHÁCARA MACHADINHO I','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3061515,3.00,5.00,2.00,7.00,5.00,4.50,2.00,8.00,4.00,201,NULL,211,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061523,3.00,2.00,3.00,3.00,5.00,NULL,3.00,4.00,2.00,203,NULL,220,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3061531,3.00,6.00,4.00,7.00,6.00,4.75,2.00,5.00,3.00,340,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061566,7.00,6.00,2.00,4.00,7.00,4.50,4.00,7.00,5.00,108,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',7821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061574,3.00,6.00,5.00,7.00,3.00,NULL,4.00,7.00,5.00,215,NULL,214,'CENTRO','CERQUILHO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061590,1.00,5.00,2.00,7.00,2.00,NULL,3.00,1.00,5.00,201,NULL,212,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061604,4.00,6.00,2.00,8.00,8.00,4.00,3.00,5.00,3.00,238,NULL,208,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',9336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3061620,3.00,2.00,2.00,4.00,3.00,NULL,1.00,5.00,3.00,340,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061639,2.00,3.00,2.00,6.00,3.00,NULL,4.00,1.00,3.00,317,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061655,4.00,3.00,4.00,6.00,4.00,6.50,3.00,2.00,3.00,428,NULL,424,'ITAGUAÇU','FLORIANÓPOLIS','SC',15171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061663,8.00,6.00,4.00,8.00,6.00,6.50,4.00,7.00,8.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2338,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061671,7.00,6.00,2.00,5.00,4.00,5.50,2.00,4.00,3.00,420,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',12346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061710,2.00,5.00,2.00,6.00,2.00,NULL,2.00,5.00,2.00,238,NULL,208,'ZONA NOVE','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3061728,5.00,5.00,4.00,8.00,5.00,4.75,2.00,6.00,3.00,303,NULL,NULL,'CENTRO','CURITIBANOS','SC',9978,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3061736,8.00,6.00,4.00,8.00,6.00,5.50,5.00,4.00,6.00,211,NULL,215,'ESTREITO','FLORIANóPOLIS','SC',4811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061744,6.00,6.00,3.00,7.00,4.00,6.75,4.00,3.00,5.00,108,NULL,NULL,'TIJUCA','RIO JANEIRO','RJ',9003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061752,7.00,7.00,6.00,8.00,8.00,6.50,6.00,7.00,7.00,103,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANóPOLIS','SC',1575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061760,1.00,5.00,3.00,5.00,3.00,NULL,3.00,7.00,5.00,207,NULL,211,'RIO VERMELHO MÚQUEM','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061795,4.00,2.00,1.00,4.00,3.00,NULL,1.00,2.00,3.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061809,2.00,1.00,2.00,0.00,3.00,NULL,3.00,1.00,3.00,203,NULL,207,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3061825,5.00,7.00,4.00,8.00,6.00,5.75,3.00,8.00,4.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',6747,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3061833,5.00,6.00,1.00,5.00,5.00,6.00,4.00,6.00,5.00,103,NULL,NULL,'COPACABANA','LAGES','SC',9914,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3061850,7.00,8.00,5.00,9.00,8.00,5.75,2.00,8.00,5.00,203,NULL,202,'CANTO DA LAGOA','FLORIANóPOLIS','SC',2452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3061892,1.00,2.00,2.00,5.00,7.00,5.25,2.00,6.00,3.00,421,NULL,424,'BELA VISTA','S JOSÉ','SC',15136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061906,3.00,3.00,4.00,3.00,2.00,NULL,3.00,4.00,3.00,202,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061914,7.00,8.00,7.00,7.00,6.00,6.00,6.00,9.00,8.00,203,NULL,202,'CENTRO','MRO FUMAÇA','SC',1159,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3061922,6.00,5.00,4.00,7.00,5.00,5.25,6.00,5.00,5.00,103,NULL,NULL,'JARDIM FLORENÇA','PNT GROSSA','PR',7055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3061930,6.00,6.00,2.00,7.00,5.00,5.25,5.00,7.00,5.00,103,NULL,NULL,'QUARTA LINHA','CRICIÚMA','SC',7505,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3061965,4.00,4.00,2.00,3.00,6.00,NULL,1.00,3.00,1.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3061973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CHICO DE PAULO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3061981,4.00,3.00,2.00,3.00,2.00,NULL,2.00,3.00,4.00,303,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3061990,3.00,3.00,4.00,6.00,5.00,6.25,3.00,4.00,3.00,502,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14108,50,NULL,NULL,NULL,NULL,NULL,2,1),(16,3062015,6.00,3.00,6.00,8.00,8.00,5.75,2.00,6.00,3.00,415,NULL,NULL,'BALNEÁRIO DOS AÇORES','FLORIANóPOLIS','SC',8546,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3062023,5.00,3.00,2.00,1.00,2.00,NULL,1.00,4.00,2.00,211,NULL,207,'VINTE CINCO DE JULHO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062031,3.00,4.00,2.00,4.00,4.00,4.50,2.00,4.00,4.00,214,NULL,201,'CENTRO','JALES','SP',15955,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3062040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3062058,4.00,3.00,1.00,2.00,5.00,NULL,3.00,5.00,2.00,101,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3062082,7.00,8.00,5.00,8.00,7.00,7.00,6.00,8.00,9.00,103,NULL,NULL,'BOSQUE DAS MANSOES','S JOSÉ','SC',686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062090,5.00,6.00,1.00,6.00,4.00,4.50,4.00,5.00,4.00,317,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',11690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3062104,6.00,5.00,4.00,8.00,6.00,4.75,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',6486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062120,4.00,4.00,2.00,3.00,4.00,NULL,2.00,3.00,2.00,424,NULL,428,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062139,1.00,2.00,2.00,1.00,2.00,NULL,1.00,0.00,1.00,101,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3062147,7.00,6.00,3.00,8.00,4.00,6.00,2.00,7.00,2.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3062155,7.00,8.00,8.00,7.00,8.00,5.50,3.00,8.00,6.00,319,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',1899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062171,7.00,4.00,3.00,9.00,6.00,5.75,4.00,4.00,5.00,207,NULL,215,'PANTANAL','FLORIANÓPOLIS','SC',6738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062180,4.00,3.00,1.00,6.00,6.00,5.25,2.00,6.00,3.00,452,NULL,NULL,'FLORESTA','VIDEIRA','SC',13593,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3062198,5.00,4.00,3.00,3.00,7.00,5.50,2.00,7.00,4.00,102,NULL,NULL,'CEARÁ','CRICIÚMA','SC',12509,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3062201,7.00,4.00,7.00,8.00,5.00,5.50,8.00,6.00,4.00,201,NULL,203,'KOBRASOL','S JOSÉ','SC',4240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062210,5.00,6.00,4.00,8.00,8.00,7.50,6.00,8.00,4.00,316,NULL,NULL,'CENTRO','CANOAS','RS',3634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062228,3.00,4.00,4.00,7.00,5.00,6.50,2.00,4.00,4.00,102,NULL,NULL,'CENTRO','XANXERê','SC',12392,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3062236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JD MARILÚ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3062244,9.00,8.00,7.00,9.00,8.00,7.50,4.00,6.00,8.00,103,NULL,NULL,'JARDIM','STO ANDRÉ','SP',736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062252,6.00,5.00,7.00,8.00,7.00,4.75,5.00,5.00,5.00,318,NULL,NULL,'KOBRASOL','S JOSé','SC',5477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062260,2.00,4.00,3.00,6.00,5.00,4.75,4.00,5.00,4.00,319,NULL,NULL,'BELA VISTA','PALHOÇA','SC',13331,274,NULL,NULL,NULL,NULL,NULL,2,1),(16,3062279,6.00,2.00,1.00,2.00,4.00,6.75,5.00,3.00,4.00,108,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',14893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062287,7.00,5.00,2.00,8.00,6.00,7.00,2.00,8.00,6.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TANGARÁ SERRA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3062317,3.00,5.00,5.00,3.00,5.00,4.75,3.00,3.00,5.00,5,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',14766,486,NULL,NULL,NULL,NULL,NULL,2,1),(16,3062325,5.00,7.00,5.00,6.00,8.00,6.75,3.00,5.00,5.00,310,NULL,NULL,'VILA MARIANA','S PAULO','SP',6416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062333,4.00,7.00,3.00,9.00,7.00,5.50,2.00,5.00,2.00,425,NULL,429,'INGLESES','FLORIANÓPOLIS','SC',8541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062341,3.00,3.00,1.00,2.00,0.00,NULL,4.00,6.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3062368,2.00,5.00,3.00,6.00,6.00,4.00,1.00,6.00,7.00,207,NULL,201,'CENTRO','LAGES','SC',11987,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3062376,2.00,4.00,2.00,3.00,4.00,NULL,1.00,3.00,2.00,215,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062384,8.00,8.00,5.00,5.00,5.00,6.50,2.00,8.00,8.00,103,NULL,NULL,'VILA SOLENE','CPO LARGO','PR',3403,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3062392,8.00,7.00,9.00,8.00,6.00,6.50,8.00,7.00,7.00,203,NULL,202,'JARDIM DOS LORDES','S JOSÉ','SC',518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062406,5.00,4.00,4.00,8.00,5.00,4.00,3.00,4.00,2.00,214,NULL,213,'ANITA GARIBALDE','JOINVILLE','SC',12236,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3062422,7.00,8.00,3.00,7.00,5.00,5.75,4.00,8.00,3.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5262,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3062430,6.00,6.00,5.00,7.00,7.00,5.00,3.00,5.00,6.00,201,NULL,207,'CAMPECHE','FLORIANÓPOLIS','SC',5650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062449,3.00,6.00,2.00,1.00,4.00,4.25,4.00,1.00,3.00,201,NULL,207,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',16589,1272,NULL,862,NULL,NULL,NULL,4,1),(16,3062457,6.00,6.00,4.00,9.00,8.00,7.50,5.00,9.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062465,2.00,6.00,2.00,1.00,4.00,5.25,2.00,4.00,4.00,331,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16180,76,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'SANTA CRUZ','CONCóRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3062511,4.00,2.00,2.00,6.00,6.00,5.50,4.00,6.00,3.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12657,546,NULL,NULL,NULL,NULL,NULL,2,1),(16,3062520,4.00,5.00,3.00,7.00,3.00,NULL,2.00,3.00,3.00,308,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3062538,5.00,7.00,3.00,9.00,7.00,6.00,4.00,7.00,4.00,340,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',4760,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3062546,8.00,9.00,8.00,8.00,7.00,7.50,7.00,8.00,9.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062554,5.00,5.00,1.00,8.00,6.00,5.00,3.00,6.00,4.00,301,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',10905,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3062562,5.00,2.00,3.00,2.00,4.00,4.25,2.00,4.00,3.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',16685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3062597,7.00,8.00,4.00,6.00,7.00,6.75,5.00,7.00,7.00,415,NULL,NULL,'NOVA BRASÍLIA','JARAGUÁ SUL','SC',2430,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3062619,7.00,5.00,4.00,6.00,7.00,4.75,5.00,3.00,5.00,319,NULL,NULL,'PICADAS DO SUL','SAO JOSE','SC',7469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062643,4.00,6.00,1.00,1.00,4.00,5.00,2.00,5.00,3.00,214,NULL,215,'FORQUILHINHAS','S JOSÉ','SC',16449,488,NULL,353,NULL,NULL,NULL,4,1),(16,3062651,5.00,5.00,1.00,1.00,3.00,NULL,2.00,7.00,5.00,318,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062660,2.00,4.00,1.00,0.00,4.00,NULL,3.00,1.00,3.00,201,NULL,203,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3062686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3062694,7.00,4.00,3.00,7.00,7.00,6.00,4.00,6.00,7.00,103,NULL,NULL,'JD SAN RAFAEL','FOZ IGUAÇU','PR',6222,1719,NULL,NULL,NULL,NULL,NULL,2,4),(16,3062716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'CENTRO','CORUPÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3062724,7.00,1.00,2.00,2.00,4.00,4.75,1.00,4.00,3.00,208,NULL,220,'ALTO DE MAFRA','MAFRA','SC',16571,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3062732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'VL BUENOS AIRES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3062740,2.00,3.00,1.00,6.00,4.00,5.75,3.00,4.00,2.00,327,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',15682,50,NULL,NULL,NULL,NULL,NULL,2,1),(16,3062767,5.00,4.00,1.00,5.00,3.00,NULL,2.00,5.00,4.00,207,NULL,201,'CENTRO','BENTO GONçALVES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3062775,6.00,7.00,8.00,8.00,8.00,5.75,5.00,8.00,8.00,208,NULL,203,'FLORESTA','JOINVILLE','SC',1268,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3062783,8.00,6.00,5.00,6.00,4.00,5.25,5.00,5.00,6.00,103,NULL,NULL,'MEDIANEIRA','PTO ALEGRE','RS',5224,1539,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062791,8.00,8.00,4.00,7.00,7.00,6.50,1.00,8.00,4.00,207,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',4453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062805,1.00,2.00,2.00,0.00,3.00,NULL,1.00,3.00,1.00,308,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3062813,3.00,3.00,3.00,6.00,3.00,NULL,3.00,4.00,4.00,303,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062821,6.00,5.00,5.00,6.00,8.00,6.25,2.00,5.00,5.00,304,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',6828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062848,8.00,7.00,5.00,9.00,5.00,7.50,5.00,8.00,7.00,103,NULL,NULL,'MARIA GORETTI','CHAPECó','SC',1841,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3062864,5.00,3.00,1.00,3.00,5.00,NULL,2.00,4.00,3.00,420,NULL,NULL,'CENTRO','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3062880,5.00,6.00,6.00,9.00,5.00,6.00,1.00,8.00,3.00,104,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',6720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3062910,6.00,5.00,6.00,5.00,7.00,4.75,4.00,7.00,5.00,316,NULL,NULL,'CENTRO','S JOSÉ','SC',6266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062929,9.00,7.00,5.00,8.00,5.00,6.50,6.00,8.00,9.00,202,NULL,208,'SETOR OESTE','GOIÂNIA','GO',721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062937,8.00,5.00,7.00,5.00,5.00,4.50,4.00,9.00,8.00,103,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',3755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062945,3.00,5.00,4.00,3.00,3.00,NULL,3.00,5.00,4.00,220,NULL,211,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'CENTRO','LOANDA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3062961,3.00,5.00,3.00,5.00,3.00,NULL,3.00,6.00,5.00,207,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062970,5.00,3.00,4.00,3.00,4.00,5.00,4.00,6.00,5.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',12039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3062988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3062996,5.00,2.00,3.00,7.00,6.00,4.75,4.00,7.00,4.00,108,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063003,3.00,4.00,3.00,5.00,4.00,5.75,1.00,5.00,4.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3063020,7.00,6.00,5.00,8.00,6.00,5.00,6.00,7.00,4.00,211,NULL,233,'ITAUM','JOINVILLE','SC',4529,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3063038,4.00,5.00,5.00,2.00,4.00,3.00,3.00,4.00,2.00,103,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063046,4.00,4.00,4.00,0.00,6.00,5.00,2.00,5.00,4.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',15749,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3063062,3.00,4.00,3.00,4.00,5.00,5.50,3.00,4.00,6.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14194,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3063143,7.00,8.00,4.00,7.00,5.00,7.00,4.00,7.00,7.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063151,6.00,6.00,6.00,6.00,6.00,5.50,5.00,7.00,5.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',5382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063160,8.00,7.00,9.00,8.00,7.00,6.25,7.00,9.00,8.00,203,NULL,220,'JD BANDEIRANTES','ARAPONGAS','PR',223,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3063178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ARIRIBA','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3063186,6.00,6.00,5.00,8.00,8.00,6.50,2.00,7.00,6.00,303,NULL,NULL,'CENTRO','ARARANGUÁ','SC',3309,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3063194,5.00,7.00,6.00,8.00,5.00,5.00,4.00,5.00,6.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063208,4.00,3.00,2.00,4.00,4.00,NULL,2.00,1.00,4.00,339,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063216,6.00,7.00,8.00,9.00,5.00,4.75,5.00,6.00,5.00,340,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',3517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063224,7.00,6.00,6.00,8.00,8.00,6.75,5.00,8.00,8.00,216,NULL,201,'CENTRO','AQUIDAUANA','MS',1507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063240,3.00,0.00,1.00,2.00,2.00,NULL,2.00,0.00,2.00,2,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3063267,6.00,3.00,4.00,5.00,6.00,6.25,3.00,6.00,6.00,426,NULL,428,'AVENTUREIRO','JOINVILLE','SC',9329,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3063283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3063305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'J SERIMBURA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3063321,5.00,4.00,2.00,4.00,5.00,6.00,1.00,7.00,4.00,238,NULL,208,'AREIAS','S JOSÉ','SC',12613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063330,3.00,3.00,2.00,7.00,4.00,4.00,1.00,4.00,4.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',16304,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3063348,3.00,2.00,1.00,3.00,4.00,NULL,3.00,1.00,3.00,308,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3063356,4.00,3.00,5.00,4.00,2.00,NULL,3.00,5.00,2.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063364,5.00,5.00,1.00,8.00,6.00,4.25,5.00,7.00,5.00,108,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',8580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063372,8.00,9.00,7.00,5.00,6.00,6.00,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','BELA V PARAÍSO','PR',1779,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3063402,7.00,5.00,4.00,2.00,7.00,5.50,2.00,4.00,4.00,101,NULL,NULL,'COMASA','JOINVILLE','SC',11295,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3063410,8.00,6.00,5.00,7.00,8.00,4.25,7.00,8.00,5.00,103,NULL,NULL,'POUSO ALTO','GRAVATAL','SC',2000,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3063429,7.00,7.00,6.00,5.00,6.00,5.50,3.00,6.00,5.00,103,NULL,NULL,'GRAMADO','CASCAVEL','PR',4910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'JOAO PAULO II','TRêS BARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3063445,4.00,5.00,4.00,6.00,7.00,6.25,4.00,8.00,5.00,9,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',6088,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3063453,4.00,6.00,4.00,6.00,5.00,4.75,3.00,8.00,3.00,327,NULL,NULL,'RIO MORTO','INDAIAL','SC',10298,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3063461,6.00,2.00,2.00,6.00,6.00,5.50,1.00,8.00,6.00,103,NULL,NULL,'BOA VISTA','BOTUCATU','SP',9201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063470,6.00,5.00,3.00,8.00,4.00,5.00,2.00,4.00,5.00,301,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSé','SC',10854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3063488,4.00,6.00,2.00,5.00,5.00,6.75,2.00,4.00,3.00,207,NULL,201,'CENTRO','BRAÇO NORTE','SC',12274,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3063496,3.00,4.00,1.00,3.00,5.00,4.00,4.00,3.00,5.00,225,NULL,NULL,'SÃO CRISTÓVÃO','CHAPECÓ','SC',15746,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3063500,4.00,6.00,3.00,7.00,6.00,6.00,4.00,5.00,4.00,211,NULL,213,'CAPOEIRAS','FLORIANÓPOLIS','SC',9595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3063518,7.00,6.00,6.00,7.00,6.00,6.00,3.00,7.00,4.00,224,NULL,NULL,'CANTA GALO','RIO SUL','SC',5345,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3063534,6.00,8.00,6.00,8.00,7.00,4.75,2.00,9.00,5.00,319,NULL,NULL,'JARDIM JUSSARA','S PAULO','SP',3146,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3063550,5.00,7.00,6.00,6.00,5.00,5.75,3.00,5.00,5.00,102,NULL,NULL,'CENTRO','ARARANGUÁ','SC',6733,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3063569,6.00,6.00,7.00,5.00,6.00,6.50,3.00,5.00,5.00,201,NULL,207,'ITOUPAVA NORTE','BLUMENAU','SC',7341,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3063577,9.00,8.00,8.00,8.00,8.00,7.50,8.00,7.00,8.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063585,6.00,8.00,5.00,7.00,5.00,5.00,3.00,7.00,7.00,203,NULL,220,'ZONA SETE','MARINGá','PR',4071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063607,6.00,5.00,6.00,9.00,6.00,5.50,3.00,8.00,4.00,301,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5346,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3063615,2.00,3.00,3.00,3.00,2.00,NULL,3.00,2.00,4.00,102,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3063623,6.00,6.00,2.00,6.00,3.00,NULL,3.00,7.00,7.00,503,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3063631,7.00,7.00,6.00,8.00,8.00,6.00,7.00,8.00,8.00,208,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',1022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'ALTO DA LAPA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3063658,4.00,5.00,5.00,4.00,6.00,4.25,2.00,6.00,6.00,207,NULL,201,'RIO TAVARES','FLORIANÓPOLIS','SC',10331,492,NULL,796,NULL,NULL,NULL,4,1),(16,3063666,2.00,5.00,4.00,5.00,3.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3063674,9.00,9.00,7.00,9.00,9.00,8.50,8.00,8.00,8.00,303,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',19,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063682,5.00,3.00,2.00,5.00,5.00,4.50,3.00,2.00,2.00,103,NULL,NULL,'RAINHA DO MAR','ITAPOÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3063704,5.00,4.00,6.00,7.00,4.00,5.50,2.00,5.00,4.00,211,NULL,215,'VILA LENZI','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3063712,3.00,5.00,5.00,9.00,5.00,6.50,4.00,8.00,3.00,404,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',7041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063720,6.00,6.00,3.00,5.00,5.00,5.25,3.00,6.00,6.00,203,NULL,220,'JARDIM ITÁLIA','CHAPECÓ','SC',9040,665,NULL,367,NULL,NULL,NULL,2,4),(16,3063739,4.00,4.00,3.00,6.00,4.00,6.00,3.00,5.00,7.00,216,NULL,233,'URUSSANGUINHA','ARARANGUÁ','SC',9765,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3063747,2.00,5.00,2.00,4.00,6.00,5.00,1.00,7.00,3.00,233,NULL,238,'BELA VISTA','S JOSé','SC',13752,417,NULL,435,NULL,NULL,NULL,2,1),(16,3063755,1.00,6.00,5.00,4.00,3.00,NULL,3.00,3.00,3.00,108,NULL,NULL,'COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3063763,5.00,4.00,3.00,2.00,5.00,5.00,1.00,6.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063771,4.00,5.00,2.00,5.00,5.00,4.50,1.00,4.00,4.00,309,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',14643,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3063780,4.00,3.00,5.00,8.00,6.00,5.00,4.00,1.00,8.00,103,NULL,NULL,'CENTRO','INáCIO MARTINS','PR',8719,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3063798,1.00,1.00,2.00,3.00,3.00,NULL,1.00,4.00,2.00,207,NULL,215,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3063801,6.00,5.00,2.00,7.00,6.00,5.25,3.00,7.00,4.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8883,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3063828,5.00,2.00,1.00,4.00,2.00,NULL,0.00,5.00,3.00,304,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063844,6.00,6.00,3.00,6.00,7.00,5.25,2.00,6.00,4.00,415,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',7953,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3063860,6.00,5.00,5.00,6.00,4.00,4.75,2.00,5.00,3.00,5,NULL,NULL,'COUNTRY','CASCAVEL','PR',10657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063887,5.00,6.00,2.00,7.00,7.00,6.50,3.00,6.00,5.00,216,NULL,215,'CENTRO','SULINA','PR',6870,252,NULL,NULL,NULL,NULL,NULL,2,1),(16,3063895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'SÃO DIMAS','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3063917,7.00,7.00,6.00,7.00,5.00,5.00,3.00,6.00,7.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',4341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063925,3.00,3.00,4.00,5.00,7.00,6.00,3.00,4.00,3.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',12684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063933,5.00,6.00,4.00,1.00,5.00,5.00,2.00,5.00,3.00,102,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063941,6.00,4.00,3.00,6.00,3.00,NULL,4.00,4.00,4.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063950,5.00,4.00,1.00,4.00,4.00,NULL,2.00,2.00,3.00,320,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3063968,5.00,4.00,4.00,7.00,5.00,4.25,4.00,2.00,5.00,415,NULL,NULL,'BARREIROS','SAO JOSE','SC',12534,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3063976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3063984,7.00,7.00,7.00,9.00,4.00,4.75,6.00,7.00,5.00,203,NULL,NULL,'CENTRO','MEDIANEIRA','PR',2659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3063992,4.00,1.00,1.00,8.00,5.00,NULL,3.00,1.00,2.00,5,NULL,NULL,'COMERCIÁRIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3064000,5.00,6.00,4.00,9.00,8.00,6.00,2.00,5.00,3.00,216,NULL,215,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',6993,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064026,7.00,6.00,5.00,6.00,6.00,5.50,3.00,6.00,3.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',7440,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3064042,8.00,8.00,5.00,7.00,7.00,6.75,6.00,6.00,8.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064077,5.00,4.00,3.00,2.00,4.00,6.00,5.00,4.00,3.00,318,NULL,NULL,'NOVA DESCOBERTA','TIJUCAS','SC',13865,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064093,3.00,3.00,3.00,0.00,4.00,NULL,2.00,3.00,3.00,222,NULL,NULL,'AREIAS','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064107,7.00,5.00,3.00,8.00,5.00,5.25,3.00,8.00,7.00,303,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',5069,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064115,6.00,4.00,2.00,5.00,6.00,4.50,4.00,6.00,5.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',10376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064123,9.00,5.00,4.00,9.00,7.00,6.00,5.00,9.00,9.00,103,NULL,NULL,'JUNDIAÍ','ANÁPOLIS','GO',1626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064131,7.00,5.00,7.00,9.00,6.00,6.25,3.00,6.00,5.00,103,NULL,NULL,'JOAO COSTA','JOINVILLE','SC',4252,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3064140,3.00,3.00,1.00,8.00,7.00,5.75,3.00,3.00,4.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13509,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUAÍRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3064166,6.00,7.00,3.00,7.00,6.00,5.50,5.00,8.00,6.00,201,NULL,212,'CENTRO','BAL ARROIO SILVA','SC',4183,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3064174,4.00,5.00,2.00,2.00,1.00,NULL,3.00,3.00,2.00,319,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064182,6.00,6.00,5.00,9.00,7.00,6.75,4.00,6.00,6.00,340,NULL,NULL,'CENTRO','BIGUAÇU','SC',2973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064190,2.00,1.00,2.00,2.00,4.00,NULL,2.00,1.00,2.00,5,NULL,NULL,'SAO FRANCISCO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3064212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3064220,4.00,6.00,4.00,4.00,4.00,5.25,3.00,7.00,3.00,340,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',11326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064239,3.00,6.00,2.00,7.00,4.00,5.75,2.00,7.00,3.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064255,7.00,6.00,3.00,1.00,5.00,6.25,2.00,7.00,6.00,104,NULL,NULL,'CENTRO','SUL BRASIL','SC',10115,270,NULL,NULL,NULL,NULL,NULL,4,4),(16,3064271,9.00,8.00,8.00,8.00,5.00,5.25,7.00,8.00,8.00,103,NULL,NULL,'BOA VISTA','BOTUCATU','SP',564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064280,2.00,2.00,2.00,6.00,5.00,NULL,3.00,2.00,2.00,3,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064301,3.00,5.00,3.00,6.00,6.00,6.50,4.00,1.00,4.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',13000,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3064310,4.00,5.00,2.00,2.00,4.00,NULL,1.00,4.00,3.00,104,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064328,6.00,7.00,6.00,7.00,6.00,5.75,3.00,8.00,3.00,301,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',5064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064336,2.00,4.00,1.00,2.00,3.00,NULL,3.00,3.00,3.00,203,NULL,208,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064344,5.00,5.00,3.00,7.00,5.00,5.75,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','LEBON RéGIS','SC',10831,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3064379,7.00,5.00,1.00,2.00,5.00,5.00,4.00,5.00,3.00,207,NULL,201,'UNIVERSITÁRIO','VIDEIRA','SC',14504,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3064387,5.00,6.00,4.00,6.00,3.00,NULL,3.00,4.00,4.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064395,4.00,5.00,5.00,7.00,6.00,6.25,4.00,7.00,4.00,103,NULL,NULL,'PRESIDENTE VARGAS','IÇARA','SC',7175,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3064409,7.00,5.00,4.00,8.00,5.00,4.00,4.00,7.00,6.00,340,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',6047,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064417,5.00,2.00,3.00,7.00,3.00,NULL,1.00,6.00,3.00,308,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064425,6.00,7.00,4.00,9.00,5.00,5.75,3.00,7.00,4.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BELA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3064441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'S J RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3064450,7.00,4.00,7.00,7.00,6.00,5.25,4.00,5.00,6.00,214,NULL,212,'VILA EMA','S JOSÉ CAMPOS','SP',4544,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3064468,8.00,8.00,8.00,8.00,8.00,7.75,6.00,8.00,8.00,103,NULL,NULL,'AHHÚ','CURITIBA','PR',326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064476,7.00,7.00,7.00,5.00,5.00,5.50,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',4850,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3064484,6.00,7.00,5.00,7.00,6.00,5.75,5.00,7.00,6.00,303,NULL,NULL,'PICADAS DO NORTE','S JOSÉ','SC',4184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064492,7.00,6.00,5.00,9.00,7.00,5.75,4.00,7.00,5.00,203,NULL,201,'JDM CID DE FPOLIS','S JOSÉ','SC',3893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064514,3.00,4.00,5.00,4.00,5.00,5.25,1.00,5.00,4.00,104,NULL,NULL,'VILA NOVA','JOINVILLE','SC',13316,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3064522,4.00,4.00,1.00,7.00,6.00,4.75,2.00,6.00,4.00,103,NULL,NULL,'AUXILIADORA','PTO ALEGRE','RS',12625,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064530,7.00,4.00,2.00,8.00,6.00,5.25,6.00,8.00,4.00,5,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',4985,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3064549,7.00,4.00,5.00,8.00,6.00,6.00,3.00,8.00,5.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',5237,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3064557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3064565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,215,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3064581,6.00,9.00,4.00,8.00,8.00,6.25,6.00,8.00,7.00,415,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',1282,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064603,8.00,6.00,1.00,7.00,5.00,7.00,5.00,8.00,6.00,103,NULL,NULL,'DOM AQUINO','CUIABÁ','MT',5274,1551,NULL,NULL,NULL,NULL,NULL,2,4),(16,3064620,4.00,4.00,2.00,3.00,3.00,NULL,3.00,6.00,2.00,211,NULL,214,'IMIGRANTES','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3064638,5.00,7.00,4.00,6.00,5.00,5.25,3.00,6.00,3.00,404,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',8108,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064646,3.00,2.00,3.00,5.00,4.00,6.00,3.00,6.00,2.00,201,NULL,212,'CORDEIROS','ITAJAÍ','SC',14283,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3064662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPO DAGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3064670,4.00,1.00,2.00,3.00,1.00,NULL,3.00,4.00,3.00,104,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3064689,3.00,5.00,3.00,4.00,7.00,6.00,4.00,4.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064697,6.00,5.00,4.00,4.00,6.00,6.00,5.00,5.00,4.00,333,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',8060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064700,5.00,2.00,3.00,5.00,5.00,7.00,5.00,5.00,3.00,211,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11404,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3064719,4.00,1.00,3.00,1.00,3.00,NULL,3.00,5.00,3.00,201,NULL,NULL,'LAGOÃO','PALMAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064727,3.00,2.00,1.00,5.00,3.00,NULL,2.00,3.00,3.00,310,NULL,NULL,'CENTRO','TAQUARITINGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064735,5.00,3.00,2.00,7.00,4.00,5.25,1.00,6.00,5.00,103,NULL,NULL,'PINHEIRINHO','CRICIúMA','SC',13743,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3064743,6.00,3.00,3.00,5.00,5.00,5.25,3.00,6.00,4.00,333,NULL,NULL,'CENTRO','S TIAGO','MG',12792,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3064778,2.00,2.00,1.00,2.00,1.00,NULL,0.00,2.00,3.00,404,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064786,8.00,7.00,6.00,9.00,8.00,5.25,5.00,9.00,7.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064794,4.00,2.00,3.00,1.00,2.00,NULL,3.00,5.00,4.00,316,NULL,NULL,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064816,2.00,3.00,4.00,6.00,5.00,5.50,2.00,4.00,5.00,340,NULL,NULL,'SACO DOS LIMÕES','FLORIANóPOLIS','SC',13072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064824,6.00,5.00,2.00,8.00,4.00,5.25,1.00,5.00,4.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064840,4.00,6.00,5.00,4.00,4.00,4.75,3.00,8.00,3.00,301,NULL,NULL,'CENTRO','ESPÍRITO STO PINHAL','SP',11240,208,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064859,5.00,5.00,2.00,8.00,3.00,NULL,4.00,6.00,4.00,333,NULL,NULL,'COLINA VERDE','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064867,5.00,6.00,3.00,7.00,6.00,6.25,3.00,5.00,2.00,420,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3064891,4.00,6.00,4.00,8.00,7.00,4.25,3.00,6.00,2.00,201,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',9182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064905,8.00,7.00,3.00,6.00,6.00,4.25,4.00,8.00,5.00,503,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',6133,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064913,5.00,6.00,5.00,6.00,5.00,6.25,4.00,7.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064930,5.00,7.00,8.00,8.00,8.00,6.00,4.00,4.00,6.00,220,NULL,214,'BOM RETIRO','JOINVILLE','SC',4195,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3064948,2.00,1.00,1.00,3.00,1.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'COLONINHA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3064956,6.00,8.00,7.00,8.00,8.00,6.50,4.00,6.00,9.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',1162,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064964,8.00,7.00,7.00,8.00,7.00,6.00,7.00,9.00,8.00,103,NULL,NULL,'CENTRO','TIMBÉ SUL','SC',755,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3064972,4.00,5.00,5.00,7.00,6.00,7.75,3.00,8.00,4.00,108,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',5420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3064980,4.00,4.00,5.00,8.00,6.00,6.25,2.00,5.00,5.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',9493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3064999,2.00,3.00,3.00,4.00,4.00,NULL,3.00,3.00,3.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3065006,4.00,3.00,2.00,3.00,5.00,NULL,0.00,3.00,3.00,316,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3065014,4.00,4.00,4.00,5.00,6.00,6.50,4.00,4.00,5.00,103,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',11286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'SALTINHO','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3065030,3.00,7.00,3.00,5.00,7.00,6.50,4.00,6.00,8.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065049,6.00,3.00,4.00,6.00,3.00,NULL,3.00,5.00,4.00,211,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065057,4.00,4.00,3.00,5.00,2.00,NULL,4.00,6.00,3.00,214,NULL,203,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3065065,6.00,3.00,4.00,7.00,2.00,NULL,1.00,6.00,3.00,220,NULL,233,'JARDIM AMÉRICA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3065073,2.00,2.00,2.00,6.00,3.00,NULL,3.00,4.00,3.00,103,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3065081,5.00,3.00,3.00,8.00,8.00,8.25,1.00,7.00,4.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,216,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3065103,2.00,3.00,5.00,7.00,3.00,NULL,4.00,4.00,5.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3065111,2.00,3.00,3.00,6.00,4.00,5.50,1.00,4.00,4.00,303,NULL,NULL,'MAGALHÃES','LAGUNA','SC',16148,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3065120,2.00,2.00,1.00,7.00,6.00,4.50,2.00,4.00,3.00,303,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',16144,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3065146,6.00,7.00,5.00,8.00,6.00,5.75,2.00,8.00,4.00,207,NULL,201,'CENTRO','LAGES','SC',5208,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3065154,7.00,6.00,3.00,4.00,5.00,6.25,2.00,6.00,4.00,103,NULL,NULL,'JARDIM CRISTAL','CASCAVEL','PR',9213,2144,NULL,NULL,NULL,NULL,NULL,4,4),(16,3065170,3.00,6.00,1.00,9.00,3.00,NULL,3.00,2.00,5.00,203,NULL,214,'CENTRO','ITAPIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'CRUZEIRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3065197,3.00,4.00,4.00,7.00,6.00,5.75,3.00,6.00,4.00,340,NULL,NULL,'VILA NOVA','IMBITUBA','SC',9703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065200,5.00,6.00,6.00,8.00,7.00,6.25,4.00,6.00,7.00,319,NULL,NULL,'CENTRO','POÇOS CALDAS','MG',3138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065219,4.00,5.00,6.00,4.00,6.00,4.75,3.00,9.00,4.00,328,NULL,NULL,'PARQUE SÃO QUIRINO','CAMPINAS','SP',8297,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3065235,4.00,5.00,1.00,8.00,4.00,7.25,2.00,6.00,4.00,9,NULL,NULL,'INDUSTRIÁRIOS','CONCÓRDIA','SC',11131,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3065243,2.00,4.00,3.00,6.00,5.00,6.00,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',12661,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3065251,4.00,3.00,4.00,4.00,7.00,4.50,3.00,6.00,6.00,331,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',10002,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3065260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3065278,6.00,5.00,4.00,8.00,5.00,6.00,3.00,7.00,6.00,333,NULL,NULL,'VILA FRANCESA','CRICIÚMA','SC',5991,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3065286,5.00,5.00,6.00,9.00,7.00,5.25,4.00,7.00,5.00,208,NULL,238,'TROPICAL','CASCAVEL','PR',4138,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3065294,6.00,6.00,7.00,6.00,6.00,5.00,4.00,7.00,6.00,220,NULL,201,'DUQUE DE CAXIAS','CUIABá','MT',3642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065308,4.00,3.00,1.00,6.00,3.00,NULL,2.00,4.00,4.00,104,NULL,NULL,'BARRA DO ARIRIÚ','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3065316,2.00,4.00,2.00,5.00,5.00,4.50,3.00,4.00,1.00,238,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065324,3.00,3.00,4.00,7.00,5.00,4.75,2.00,2.00,4.00,415,NULL,NULL,'CENTRO','JOÃO PINHEIRO','MG',15696,401,NULL,NULL,NULL,NULL,NULL,2,1),(16,3065332,4.00,7.00,4.00,8.00,5.00,4.50,3.00,8.00,5.00,452,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',6308,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3065340,5.00,6.00,3.00,7.00,4.00,5.00,3.00,8.00,3.00,9,NULL,NULL,'PROGRESSO','S BENTO SUL','SC',9542,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3065359,7.00,6.00,3.00,4.00,8.00,5.00,3.00,6.00,5.00,503,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',7848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065367,9.00,8.00,5.00,9.00,7.00,7.50,3.00,8.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065375,6.00,5.00,4.00,8.00,7.00,5.50,5.00,4.00,5.00,453,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',5870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065383,1.00,5.00,4.00,7.00,3.00,NULL,3.00,6.00,2.00,332,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3065391,4.00,6.00,3.00,2.00,4.00,4.50,2.00,6.00,6.00,208,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065405,6.00,6.00,6.00,5.00,2.00,NULL,5.00,6.00,6.00,201,NULL,212,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3065413,5.00,5.00,2.00,6.00,2.00,NULL,2.00,6.00,3.00,203,NULL,207,'ESTRADA NOVA','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3065421,3.00,4.00,2.00,4.00,5.00,5.00,3.00,4.00,4.00,103,NULL,NULL,'N SENHORA APARECIDA','CURITIBANOS','SC',15857,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3065430,3.00,3.00,3.00,3.00,5.00,6.50,3.00,5.00,5.00,207,NULL,NULL,'RIBEIRÂNIA','RIBEIRÃO PRETO','SP',15018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065448,6.00,6.00,3.00,4.00,5.00,6.25,2.00,6.00,5.00,201,NULL,216,'JOSE MENDES','FLORIANóPOLIS','SC',10750,835,NULL,375,NULL,NULL,NULL,2,1),(16,3065456,6.00,7.00,3.00,7.00,4.00,5.00,3.00,8.00,6.00,203,NULL,220,'CONTA DINHEIRO','LAGES','SC',6161,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3065464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3065472,5.00,6.00,3.00,4.00,3.00,NULL,5.00,5.00,5.00,104,NULL,NULL,'CENTRO','GR PARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3065480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE JARDIM','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3065502,5.00,8.00,7.00,9.00,6.00,6.00,3.00,8.00,7.00,203,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065510,7.00,7.00,3.00,6.00,7.00,8.00,4.00,7.00,7.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',3692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065529,3.00,2.00,3.00,8.00,4.00,5.00,3.00,3.00,5.00,202,NULL,213,'CENTRO','RIO FORTUNA','SC',14864,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3065537,6.00,6.00,3.00,6.00,4.00,6.75,4.00,5.00,5.00,327,NULL,NULL,'CENTRO','LAGES','SC',8682,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3065545,5.00,3.00,3.00,2.00,1.00,NULL,3.00,4.00,4.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3065561,4.00,3.00,3.00,7.00,4.00,5.25,2.00,6.00,4.00,404,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',12607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3065588,4.00,5.00,2.00,3.00,4.00,4.00,3.00,6.00,3.00,201,NULL,212,'CENTRO','JARAGUÁ SUL','SC',15309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065596,1.00,0.00,2.00,5.00,3.00,NULL,3.00,2.00,3.00,502,NULL,NULL,'CACHOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3065600,3.00,8.00,2.00,7.00,6.00,4.50,3.00,6.00,4.00,329,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',9707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3065618,4.00,3.00,1.00,6.00,6.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'CAIXA POSTAL','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3065626,3.00,3.00,5.00,7.00,6.00,4.75,3.00,2.00,5.00,212,NULL,201,'AGRÔNOMICA','FLORIANÓPOLIS','SC',11664,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065634,5.00,6.00,3.00,8.00,5.00,6.00,1.00,8.00,4.00,103,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065642,8.00,4.00,4.00,8.00,6.00,6.25,4.00,5.00,5.00,9,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3065650,4.00,7.00,3.00,2.00,5.00,5.25,5.00,5.00,7.00,216,NULL,208,'NOVA BRASÍLIA','JARAGUÁ SUL','SC',8523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065669,7.00,7.00,8.00,9.00,7.00,5.50,7.00,7.00,7.00,203,NULL,214,'MINA BRASIL','CRICIÚMA','SC',918,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3065677,3.00,4.00,2.00,7.00,5.00,6.25,2.00,5.00,2.00,207,NULL,201,'NAÇÕES','CONCÓRDIA','SC',13840,712,NULL,1067,NULL,NULL,NULL,2,4),(16,3065707,8.00,7.00,8.00,9.00,7.00,7.00,6.00,8.00,9.00,303,NULL,NULL,'SETOR JAO','GOIÂNIA','GO',577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065715,6.00,6.00,2.00,5.00,4.00,6.50,4.00,7.00,3.00,202,NULL,208,'CENTRO','ANTÔNIO CARLOS','SC',9496,344,NULL,280,NULL,NULL,NULL,2,1),(16,3065723,7.00,6.00,9.00,7.00,8.00,5.00,6.00,6.00,3.00,203,NULL,216,'JD APOLO','S JOSÉ CAMPOS','SP',3058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065731,3.00,6.00,4.00,3.00,6.00,6.25,2.00,8.00,2.00,207,NULL,NULL,'SANTANA','RIO SUL','SC',11649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3065740,2.00,2.00,3.00,3.00,3.00,NULL,1.00,1.00,1.00,319,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3065758,5.00,6.00,2.00,7.00,6.00,5.75,2.00,5.00,3.00,303,NULL,NULL,'JARDIM GRUDTNER','MARIALVA','PR',11828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065766,4.00,6.00,4.00,8.00,3.00,NULL,1.00,7.00,3.00,340,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065774,2.00,3.00,3.00,9.00,7.00,6.25,2.00,7.00,2.00,340,NULL,NULL,'TAPERAPUÃ','PTO SEGURO','BA',10710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065782,4.00,7.00,4.00,5.00,3.00,NULL,0.00,7.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3065790,2.00,1.00,4.00,4.00,4.00,NULL,1.00,3.00,3.00,444,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3065812,6.00,7.00,6.00,9.00,7.00,7.75,5.00,8.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CÂNDIDA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3065839,5.00,7.00,2.00,7.00,7.00,6.00,2.00,7.00,5.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065847,5.00,5.00,1.00,6.00,4.00,5.50,0.00,5.00,5.00,108,NULL,NULL,'CENTRO','CHAPECÓ','SC',14472,327,NULL,NULL,NULL,NULL,NULL,2,4),(16,3065855,8.00,7.00,6.00,3.00,5.00,5.50,5.00,8.00,8.00,203,NULL,216,'FLORESTA','JOINVILLE','SC',3314,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3065863,5.00,7.00,8.00,8.00,8.00,6.00,3.00,7.00,4.00,223,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',2991,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3065871,4.00,4.00,5.00,2.00,4.00,4.75,2.00,6.00,4.00,333,NULL,NULL,'ZONA DOIS','MARINGá','PR',14368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065880,4.00,8.00,4.00,3.00,5.00,5.75,3.00,7.00,4.00,340,NULL,NULL,'CENTRO','VERê','PR',9661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065898,4.00,2.00,4.00,4.00,4.00,3.00,3.00,3.00,5.00,104,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3065901,5.00,6.00,5.00,4.00,2.00,NULL,2.00,4.00,3.00,303,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3065910,3.00,2.00,1.00,1.00,3.00,NULL,3.00,3.00,3.00,220,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3065944,6.00,6.00,6.00,8.00,6.00,5.50,1.00,7.00,6.00,202,NULL,213,'RESIDENCIAL II','ARAPOTI','PR',4466,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3065960,6.00,4.00,5.00,8.00,7.00,6.50,4.00,7.00,7.00,203,NULL,233,'CENTRO','NOVA TRENTO','SC',3396,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3065987,5.00,3.00,3.00,7.00,3.00,NULL,3.00,5.00,6.00,103,NULL,NULL,'JARDIM ÁGUA BOA','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3065995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3066010,5.00,4.00,1.00,5.00,3.00,NULL,1.00,4.00,3.00,104,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3066029,8.00,8.00,7.00,9.00,9.00,6.75,8.00,9.00,8.00,103,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',49,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066037,7.00,8.00,8.00,8.00,8.00,7.50,6.00,9.00,7.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066045,4.00,5.00,2.00,4.00,4.00,6.75,5.00,5.00,5.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11997,137,NULL,NULL,NULL,NULL,NULL,2,1),(16,3066053,2.00,1.00,3.00,5.00,3.00,NULL,2.00,2.00,3.00,450,NULL,NULL,'SETOR MARISTA','GOIâNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066070,5.00,6.00,4.00,7.00,8.00,6.00,3.00,8.00,5.00,203,NULL,201,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3066096,2.00,4.00,2.00,1.00,3.00,NULL,2.00,4.00,5.00,208,NULL,238,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3066100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VISTA ALEGRE','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3066118,7.00,5.00,7.00,9.00,5.00,6.00,5.00,5.00,7.00,203,NULL,201,'ABRAAO','FLORIANÓPOLIS','SC',2924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066126,7.00,8.00,4.00,9.00,7.00,5.00,3.00,8.00,5.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3166,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3066134,3.00,4.00,5.00,7.00,6.00,5.00,3.00,7.00,7.00,203,NULL,201,'VILA JÚLIA','GUARUJÁ','SP',7130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3066150,4.00,3.00,2.00,6.00,4.00,7.00,2.00,2.00,5.00,104,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',14698,423,NULL,NULL,NULL,NULL,NULL,2,4),(16,3066185,5.00,5.00,4.00,9.00,5.00,4.75,2.00,6.00,7.00,303,NULL,NULL,'JARDIM EUROPA','SANTANA LIVRAMENTO','RS',6461,296,NULL,NULL,NULL,NULL,NULL,2,1),(16,3066193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'N S LURDES','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3066207,3.00,3.00,3.00,7.00,5.00,4.75,1.00,5.00,3.00,233,NULL,214,'CIDADE NOVA','URUGUAIANA','RS',14640,437,NULL,459,NULL,NULL,NULL,2,10),(16,3066215,4.00,4.00,4.00,4.00,2.00,NULL,2.00,3.00,3.00,5,NULL,NULL,'GUARDA DO CUBATAO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3066223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3066231,4.00,5.00,4.00,9.00,6.00,4.75,4.00,5.00,4.00,340,NULL,NULL,'ESPERANÇA','ERECHIM','RS',8190,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3066240,4.00,3.00,3.00,5.00,4.00,5.75,3.00,5.00,2.00,211,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3066258,4.00,5.00,4.00,5.00,5.00,5.50,4.00,6.00,5.00,415,NULL,NULL,'OSWALDO CRUZ','RIO JANEIRO','RJ',9612,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3066266,5.00,5.00,1.00,2.00,6.00,7.25,2.00,7.00,1.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066274,4.00,7.00,5.00,8.00,5.00,5.50,3.00,9.00,5.00,2,NULL,NULL,'CENTRO','CRICIÚMA','SC',5765,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3066282,3.00,7.00,4.00,5.00,5.00,6.75,3.00,6.00,3.00,103,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3066290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SÃO JOSÉ','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3066304,8.00,6.00,8.00,9.00,7.00,6.75,5.00,5.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066320,4.00,3.00,1.00,4.00,6.00,4.25,2.00,3.00,5.00,233,NULL,220,'CENTRO','MARINGÁ','PR',15288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066339,6.00,3.00,3.00,7.00,6.00,6.50,2.00,6.00,4.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',8636,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3066347,3.00,4.00,1.00,1.00,3.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'GUARDA DO CUBATAO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3066371,5.00,4.00,2.00,5.00,7.00,6.00,3.00,2.00,4.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',12740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3066380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'SÃO FRANCISCO','LUZERNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3066398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3066410,6.00,6.00,3.00,8.00,8.00,5.00,5.00,8.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3615,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3066436,7.00,8.00,9.00,9.00,8.00,5.75,6.00,8.00,8.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066444,2.00,3.00,2.00,3.00,3.00,NULL,2.00,4.00,4.00,340,NULL,NULL,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3066452,4.00,6.00,2.00,8.00,4.00,5.75,2.00,8.00,2.00,108,NULL,NULL,'CABRAL','CURITIBA','PR',11536,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3066460,1.00,4.00,1.00,5.00,4.00,NULL,0.00,2.00,1.00,309,NULL,NULL,'N SENHORA DO ROSARI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3066479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',3,6),(16,3066487,2.00,4.00,5.00,2.00,2.00,NULL,3.00,5.00,4.00,310,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066495,7.00,6.00,8.00,5.00,7.00,5.25,6.00,6.00,7.00,203,NULL,214,'PIRITUBA','S PAULO','SP',2582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066509,7.00,6.00,3.00,4.00,5.00,5.75,3.00,7.00,4.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9718,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3066517,7.00,5.00,2.00,4.00,5.00,5.75,1.00,2.00,5.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',13535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066525,1.00,2.00,2.00,4.00,2.00,NULL,1.00,3.00,5.00,104,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3066533,3.00,2.00,1.00,1.00,2.00,NULL,2.00,3.00,2.00,108,NULL,NULL,'JARDIM DIAMANTE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066541,2.00,5.00,2.00,3.00,4.00,5.00,1.00,8.00,2.00,331,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',16252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066550,7.00,6.00,5.00,7.00,4.00,6.00,2.00,4.00,5.00,104,NULL,NULL,'CENTRO','CHAPECó','SC',8399,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3066584,3.00,8.00,2.00,5.00,4.00,5.50,3.00,3.00,3.00,501,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',13867,110,NULL,NULL,NULL,NULL,NULL,2,1),(16,3066592,7.00,6.00,4.00,8.00,8.00,7.00,3.00,8.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066606,2.00,5.00,2.00,6.00,2.00,NULL,3.00,5.00,2.00,415,NULL,NULL,'JARDIM ATLÂNTICO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3066614,4.00,7.00,4.00,8.00,7.00,5.75,2.00,7.00,3.00,340,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',7796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066630,5.00,5.00,4.00,9.00,4.00,5.75,2.00,5.00,4.00,317,NULL,NULL,'BELA VISTA','S JOSé','SC',10014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066657,4.00,4.00,1.00,4.00,3.00,NULL,3.00,5.00,4.00,333,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3066681,6.00,4.00,2.00,3.00,4.00,4.00,4.00,4.00,3.00,108,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',15256,341,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066690,2.00,3.00,3.00,2.00,3.00,NULL,1.00,6.00,4.00,203,NULL,201,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066703,7.00,8.00,5.00,5.00,5.00,6.50,4.00,7.00,7.00,303,NULL,NULL,'GUIOMAR','ANTÔNIO CARLOS','SC',3375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'METROPOLITANA','NUCLEO BANDEIRANTE','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3066738,6.00,6.00,4.00,2.00,3.00,NULL,2.00,6.00,4.00,303,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066762,3.00,5.00,3.00,4.00,4.00,4.00,3.00,3.00,3.00,208,NULL,NULL,'SERRARIA','S JOSé','SC',16253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3066789,4.00,4.00,5.00,5.00,6.00,5.50,2.00,5.00,3.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066797,4.00,5.00,3.00,4.00,6.00,7.50,1.00,4.00,5.00,108,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',11962,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3066800,9.00,9.00,9.00,9.00,8.00,7.25,8.00,9.00,9.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066819,5.00,4.00,1.00,8.00,2.00,NULL,0.00,2.00,2.00,108,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3066827,8.00,7.00,7.00,7.00,7.00,7.75,5.00,8.00,8.00,103,NULL,NULL,'ESTEITO','FLORIANÓPOLIS','SC',808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066835,6.00,6.00,5.00,6.00,8.00,5.50,3.00,8.00,7.00,208,NULL,238,'LIVRAMENTO','TURVO','SC',4130,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3066843,7.00,5.00,3.00,4.00,3.00,NULL,4.00,3.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3066851,6.00,7.00,5.00,8.00,6.00,6.00,4.00,6.00,4.00,103,NULL,NULL,'SION','BELO HORIZONTE','MG',4622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3066860,5.00,2.00,3.00,8.00,8.00,6.25,3.00,3.00,3.00,444,NULL,NULL,'CENTRO','NOVA PRATA','RS',10306,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3066878,3.00,5.00,5.00,9.00,7.00,8.00,2.00,7.00,4.00,340,NULL,NULL,'JARDIM DAS ROSAS','ESPíRITO STO PINHAL','SP',5809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066916,4.00,3.00,3.00,3.00,4.00,4.50,2.00,7.00,3.00,234,NULL,NULL,'CENTRO','SEARA','SC',14908,62,NULL,NULL,NULL,NULL,NULL,2,4),(16,3066924,5.00,6.00,4.00,7.00,6.00,6.25,4.00,5.00,5.00,5,NULL,NULL,'SÃO CRISTÓVÃO','TURVO','SC',7299,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3066932,4.00,4.00,2.00,6.00,3.00,NULL,3.00,7.00,3.00,238,NULL,208,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3066940,7.00,6.00,2.00,6.00,6.00,5.75,4.00,8.00,6.00,452,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3066983,3.00,2.00,2.00,1.00,3.00,NULL,1.00,4.00,2.00,316,NULL,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067009,4.00,3.00,3.00,7.00,4.00,6.50,2.00,4.00,2.00,420,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',15124,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3067017,5.00,3.00,4.00,4.00,3.00,NULL,3.00,6.00,5.00,216,NULL,233,'JD BONGIOVANE','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3067041,6.00,4.00,4.00,6.00,3.00,NULL,3.00,6.00,5.00,5,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067050,7.00,8.00,5.00,7.00,7.00,5.00,6.00,7.00,6.00,453,NULL,NULL,'FAZENDA PEDRA BRANCA','PALHOÇA','SC',2763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067068,4.00,4.00,2.00,7.00,5.00,7.50,3.00,7.00,6.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',9141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3067084,7.00,8.00,6.00,8.00,7.00,5.00,5.00,7.00,5.00,303,NULL,NULL,'FAZENDA','ITAJAÍ','SC',2380,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3067092,8.00,8.00,7.00,8.00,7.00,6.75,4.00,9.00,6.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067106,1.00,4.00,5.00,7.00,3.00,NULL,5.00,5.00,3.00,207,NULL,201,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3067130,4.00,6.00,4.00,4.00,4.00,6.00,3.00,6.00,4.00,316,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',10647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067157,6.00,8.00,3.00,5.00,5.00,6.25,3.00,6.00,6.00,316,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',7200,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067165,3.00,2.00,2.00,4.00,1.00,NULL,2.00,5.00,2.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3067173,5.00,1.00,3.00,5.00,5.00,6.25,3.00,6.00,4.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',13321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067181,6.00,5.00,3.00,6.00,3.00,NULL,3.00,6.00,4.00,420,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067203,1.00,2.00,2.00,0.00,1.00,NULL,1.00,3.00,2.00,318,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MONTE CASTELO','TUBARãO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3067238,6.00,3.00,5.00,9.00,8.00,4.50,2.00,7.00,6.00,202,NULL,NULL,'CRISTO REDENTOR','PTO ALEGRE','RS',5332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067246,5.00,3.00,3.00,3.00,3.00,NULL,3.00,2.00,4.00,103,NULL,NULL,'JARDIM ARISTOCRATA','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067254,3.00,3.00,2.00,2.00,5.00,3.25,3.00,5.00,2.00,319,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067262,2.00,7.00,4.00,6.00,8.00,4.50,1.00,8.00,4.00,319,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',9688,183,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067270,7.00,7.00,6.00,7.00,5.00,4.50,3.00,5.00,5.00,503,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6209,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067297,4.00,2.00,2.00,6.00,3.00,NULL,4.00,2.00,2.00,238,NULL,208,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3067300,5.00,5.00,2.00,4.00,4.00,4.50,2.00,8.00,3.00,502,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',13597,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3067327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3067335,8.00,7.00,4.00,8.00,5.00,6.25,5.00,7.00,7.00,203,NULL,202,'CENTRO','BAL CAMBORIÚ','SC',3207,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3067343,5.00,4.00,3.00,6.00,5.00,5.00,1.00,6.00,3.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',13037,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3067351,4.00,5.00,3.00,7.00,2.00,NULL,3.00,5.00,4.00,103,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3067360,4.00,4.00,1.00,5.00,5.00,4.75,1.00,4.00,3.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',16052,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067378,2.00,1.00,4.00,5.00,2.00,NULL,2.00,4.00,5.00,104,NULL,NULL,'BOM PASTOR','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3067394,6.00,6.00,3.00,7.00,5.00,5.75,3.00,4.00,5.00,302,NULL,NULL,'IPIRANGA','S JOSÉ','SC',9621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067416,5.00,4.00,4.00,7.00,5.00,5.00,3.00,5.00,4.00,214,NULL,238,'CENTRO','STO AMARO IMPERATRIZ','SC',10255,346,NULL,287,NULL,NULL,NULL,2,1),(16,3067424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM VITÓRIA','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3067432,6.00,7.00,1.00,8.00,7.00,5.00,5.00,7.00,7.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',5449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067467,2.00,3.00,2.00,5.00,6.00,NULL,2.00,3.00,3.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067475,3.00,6.00,3.00,4.00,5.00,4.75,2.00,4.00,2.00,203,NULL,202,'CAPOEIRAS','FLORIANÓPOLIS','SC',15398,900,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067483,5.00,4.00,2.00,0.00,5.00,5.50,1.00,6.00,5.00,333,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',14517,126,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067491,8.00,8.00,1.00,8.00,8.00,5.75,4.00,7.00,7.00,452,NULL,NULL,'BELA VISTA DOIS','S JOSÉ','SC',3478,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067505,2.00,3.00,4.00,1.00,2.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AURORA','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,5),(16,3067513,7.00,8.00,6.00,7.00,7.00,6.50,2.00,5.00,5.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',4463,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067521,7.00,4.00,5.00,5.00,5.00,4.50,3.00,6.00,5.00,220,NULL,203,'JARDIM BRASIL','BAURU','SP',8715,358,NULL,651,NULL,NULL,NULL,4,8),(16,3067548,1.00,3.00,5.00,1.00,3.00,NULL,4.00,4.00,1.00,103,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3067564,4.00,6.00,4.00,8.00,7.00,7.00,3.00,7.00,5.00,213,NULL,220,'INTERIOR','CONCóRDIA','SC',5341,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3067572,5.00,6.00,6.00,4.00,1.00,NULL,3.00,6.00,5.00,202,NULL,213,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067580,5.00,3.00,4.00,7.00,4.00,4.50,2.00,6.00,2.00,234,NULL,NULL,'LUAR DO SERTÃO','ALAMBARI','SP',13017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067602,4.00,4.00,4.00,7.00,4.00,6.50,3.00,5.00,5.00,415,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10228,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067610,4.00,2.00,2.00,7.00,4.00,4.75,3.00,4.00,3.00,102,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',13913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067629,1.00,2.00,4.00,6.00,5.00,6.25,2.00,5.00,4.00,201,NULL,212,'CENTRO','CARAZINHO','RS',15173,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3067645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'QUIRIRIM','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3067653,7.00,5.00,7.00,8.00,5.00,5.25,6.00,9.00,7.00,207,NULL,201,'JARDIM FERRARI','ITAPEVA','SP',1877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067661,3.00,3.00,3.00,4.00,3.00,NULL,0.00,2.00,3.00,9,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3067670,4.00,5.00,3.00,8.00,5.00,6.00,0.00,6.00,2.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067688,2.00,5.00,1.00,5.00,3.00,NULL,2.00,4.00,3.00,301,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067696,7.00,9.00,5.00,7.00,6.00,6.00,6.00,7.00,7.00,208,NULL,238,'AREIAS','S JOSÉ','SC',1778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067718,7.00,7.00,8.00,6.00,4.00,5.75,3.00,7.00,6.00,5,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',3528,164,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JABOTI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3067734,7.00,7.00,4.00,7.00,7.00,6.75,4.00,7.00,5.00,340,NULL,NULL,'CENTRO','PALHOÇA','SC',3705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067742,5.00,4.00,2.00,2.00,3.00,NULL,0.00,3.00,4.00,9,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067750,7.00,7.00,7.00,4.00,7.00,6.00,5.00,6.00,7.00,203,NULL,202,'CENTRO','PIACATU','SP',3752,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3067769,5.00,6.00,5.00,9.00,9.00,5.25,3.00,9.00,6.00,453,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',2947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067777,2.00,2.00,3.00,7.00,3.00,NULL,3.00,3.00,5.00,340,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3067807,4.00,5.00,4.00,8.00,6.00,6.25,3.00,5.00,4.00,319,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',9150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067815,2.00,8.00,4.00,5.00,7.00,4.75,4.00,6.00,2.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067831,7.00,6.00,4.00,8.00,7.00,9.75,3.00,8.00,4.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067840,7.00,7.00,5.00,8.00,8.00,5.75,7.00,6.00,8.00,203,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',1518,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3067874,3.00,4.00,2.00,7.00,4.00,5.00,2.00,2.00,4.00,102,NULL,NULL,'PETROPOLIS','JOINVILLE','SC',14907,273,NULL,NULL,NULL,NULL,NULL,4,8),(16,3067890,6.00,5.00,4.00,6.00,4.00,5.25,4.00,6.00,2.00,207,NULL,211,'PARQUE JARDIM OURO','OURO','SC',10395,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3067912,9.00,7.00,5.00,9.00,8.00,6.75,5.00,4.00,7.00,103,NULL,NULL,'TARUMÃ','CURITIBA','PR',1616,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3067920,3.00,6.00,7.00,3.00,3.00,NULL,5.00,6.00,4.00,234,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067939,6.00,5.00,4.00,6.00,4.00,5.00,3.00,5.00,5.00,333,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067955,4.00,5.00,3.00,0.00,1.00,NULL,4.00,4.00,4.00,102,NULL,NULL,'NOVA BRASÍLIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3067963,4.00,5.00,3.00,8.00,7.00,6.00,1.00,6.00,4.00,309,NULL,NULL,'SÃO MIGUEL DA SERRA','PTO UNIÃO','SC',10909,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3067971,2.00,3.00,3.00,5.00,3.00,NULL,3.00,3.00,2.00,302,NULL,NULL,'SERTÃO DO MARUIM','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067980,3.00,2.00,3.00,6.00,5.00,5.50,1.00,4.00,3.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',15843,216,NULL,NULL,NULL,NULL,NULL,2,1),(16,3067998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3068005,8.00,7.00,7.00,7.00,8.00,5.00,5.00,7.00,7.00,103,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',1470,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3068013,2.00,1.00,2.00,3.00,2.00,NULL,4.00,0.00,2.00,103,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3068030,6.00,6.00,2.00,8.00,6.00,6.50,3.00,8.00,6.00,216,NULL,201,'VILA COMERCIAL','PRES PRUDENTE','SP',4756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068048,8.00,7.00,5.00,7.00,7.00,6.00,4.00,8.00,6.00,201,NULL,212,'AGRONÔMICA','FLORIANÓPOLIS','SC',2755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NÃO TEM','UBIRATÃ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3068064,4.00,4.00,2.00,4.00,5.00,NULL,2.00,2.00,2.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3068080,5.00,4.00,3.00,8.00,7.00,5.75,3.00,4.00,6.00,104,NULL,NULL,'CENTRO','BRUSQUE','SC',8619,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3068099,9.00,9.00,8.00,9.00,8.00,6.25,6.00,7.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068110,3.00,8.00,3.00,6.00,4.00,4.75,2.00,5.00,3.00,5,NULL,NULL,'ARMACAO DO P DO SUL','FLORIANóPOLIS','SC',13004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3068129,7.00,3.00,3.00,6.00,3.00,NULL,0.00,3.00,3.00,104,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3068137,7.00,5.00,6.00,7.00,8.00,6.75,3.00,8.00,6.00,103,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',3589,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3068145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'PRAIA DO SONHO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3068153,4.00,2.00,5.00,3.00,3.00,NULL,2.00,3.00,4.00,216,NULL,201,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068161,5.00,6.00,4.00,5.00,4.00,4.25,5.00,6.00,6.00,207,NULL,233,'CENTRO','LAGES','SC',8441,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3068170,4.00,5.00,3.00,1.00,5.00,6.00,3.00,6.00,3.00,331,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',14080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068196,4.00,2.00,2.00,6.00,3.00,NULL,3.00,4.00,4.00,103,NULL,NULL,'PROGRESSO','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3068200,1.00,3.00,4.00,7.00,5.00,8.50,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',11600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068218,5.00,6.00,4.00,7.00,7.00,5.50,2.00,7.00,5.00,201,NULL,207,'CENTRO','LAGES','SC',6606,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3068226,3.00,2.00,2.00,7.00,5.00,6.50,2.00,3.00,4.00,318,NULL,NULL,'BALNEÁRIO','FLORIANóPOLIS','SC',15212,125,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068234,3.00,4.00,4.00,4.00,6.00,6.50,3.00,5.00,2.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3068250,4.00,6.00,1.00,4.00,3.00,NULL,3.00,7.00,1.00,310,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3068277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3068285,9.00,9.00,9.00,9.00,8.00,6.50,8.00,8.00,9.00,103,NULL,NULL,'PORTAO','CURITIBA','PR',6,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(16,3068293,2.00,5.00,3.00,4.00,5.00,4.75,4.00,6.00,3.00,103,NULL,NULL,'SÃO JOÃO','URUGUAIANA','RS',14791,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3068307,4.00,4.00,2.00,4.00,5.00,6.75,3.00,2.00,5.00,450,NULL,NULL,'SACO DOS LIMÕES','FLORIANóPOLIS','SC',14292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3068323,3.00,5.00,5.00,6.00,6.00,5.75,5.00,8.00,3.00,415,NULL,NULL,'VILA MASCOTE','S PAULO','SP',7599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068340,2.00,3.00,1.00,3.00,2.00,NULL,3.00,2.00,3.00,2,NULL,NULL,'SÃO FRANCISCO','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3068358,5.00,6.00,4.00,4.00,4.00,6.25,3.00,8.00,6.00,201,NULL,212,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',6797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068374,7.00,7.00,8.00,9.00,8.00,6.50,7.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068382,4.00,1.00,2.00,1.00,6.00,NULL,4.00,5.00,3.00,224,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068390,3.00,1.00,3.00,6.00,5.00,6.00,2.00,4.00,6.00,103,NULL,NULL,'COMERCIÁRIO','CRICIúMA','SC',14124,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3068404,4.00,2.00,1.00,6.00,4.00,5.25,2.00,3.00,3.00,444,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',16353,139,NULL,NULL,NULL,NULL,NULL,2,1),(16,3068420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'NOBRE','SORRISO','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3068439,8.00,8.00,7.00,7.00,6.00,5.00,4.00,8.00,7.00,211,NULL,203,'ATIRADORES','JOINVILLE','SC',2152,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3068447,5.00,4.00,4.00,7.00,5.00,7.25,5.00,6.00,6.00,5,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',6703,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3068455,7.00,6.00,6.00,8.00,6.00,6.50,6.00,5.00,6.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',2613,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3068471,2.00,4.00,5.00,1.00,4.00,NULL,2.00,4.00,1.00,103,NULL,NULL,'SAO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068480,5.00,5.00,5.00,3.00,5.00,5.00,2.00,7.00,3.00,103,NULL,NULL,'TIFA MARTINS','JARAGUÁ SUL','SC',12477,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3068498,3.00,5.00,2.00,7.00,2.00,NULL,3.00,4.00,2.00,502,NULL,NULL,'RACHADEL','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3068501,7.00,4.00,2.00,6.00,3.00,NULL,3.00,3.00,3.00,444,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3068510,4.00,5.00,5.00,5.00,6.00,6.25,4.00,8.00,2.00,220,NULL,208,'COQUEIRAL','CASCAVEL','PR',8639,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3068528,3.00,4.00,2.00,5.00,2.00,NULL,3.00,3.00,2.00,452,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3068536,1.00,2.00,4.00,1.00,2.00,NULL,2.00,3.00,1.00,501,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3068544,2.00,2.00,3.00,2.00,3.00,NULL,3.00,3.00,3.00,104,NULL,NULL,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068552,4.00,4.00,5.00,7.00,4.00,4.00,4.00,4.00,3.00,453,NULL,NULL,'KOBRASOL','S JOSé','SC',12974,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3068560,6.00,5.00,5.00,3.00,7.00,4.75,3.00,3.00,4.00,201,NULL,233,'CENTRO','FLORIANóPOLIS','SC',11316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'CENTRO','ESPÍRITO STO DOURADO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3068587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3068595,7.00,7.00,8.00,9.00,4.00,6.50,6.00,8.00,7.00,103,NULL,NULL,'FIGUEIRA','GASPAR','SC',1370,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3068609,5.00,6.00,3.00,7.00,6.00,5.75,4.00,7.00,6.00,207,NULL,211,'SANTA MÔNICA','FLORIANÓPOLIS','SC',5983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068617,6.00,5.00,7.00,5.00,6.00,5.50,3.00,7.00,4.00,220,NULL,203,'ZONA A','UMUARAMA','PR',5582,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3068625,8.00,7.00,7.00,9.00,6.00,6.25,3.00,8.00,7.00,103,NULL,NULL,'PARAÍSO','S PAULO','SP',1627,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3068641,5.00,1.00,2.00,5.00,4.00,6.00,4.00,5.00,3.00,103,NULL,NULL,'CENTRO','NOVA ERECHIM','SC',14557,2655,NULL,NULL,NULL,NULL,NULL,2,4),(16,3068676,8.00,8.00,6.00,9.00,5.00,4.75,3.00,6.00,7.00,415,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',3399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068684,5.00,2.00,2.00,6.00,5.00,4.00,2.00,7.00,3.00,103,NULL,NULL,'AREIAS','CAMBORIú','SC',14492,2650,NULL,NULL,NULL,NULL,NULL,2,3),(16,3068692,6.00,5.00,1.00,6.00,6.00,5.50,4.00,5.00,5.00,207,NULL,212,'CENTRO','FLORIANóPOLIS','SC',10221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068706,5.00,7.00,3.00,3.00,4.00,5.00,3.00,4.00,2.00,340,NULL,NULL,'ZONA II','UMUARAMA','PR',14081,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3068714,3.00,6.00,5.00,4.00,5.00,4.75,3.00,4.00,5.00,211,NULL,212,'CIDADE NOVA','INDAIATUBA','SP',10687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068722,4.00,5.00,3.00,6.00,6.00,5.25,3.00,3.00,4.00,415,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068730,5.00,7.00,6.00,7.00,6.00,5.50,4.00,7.00,4.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',4677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068749,7.00,4.00,6.00,8.00,8.00,6.50,7.00,6.00,6.00,203,NULL,201,'CENTRO','MEDIANEIRA','PR',2202,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3068757,6.00,8.00,5.00,8.00,5.00,4.00,4.00,7.00,7.00,216,NULL,214,'ITACORUBI','FLORIANÓPOLIS','SC',4602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068765,6.00,6.00,2.00,8.00,8.00,5.75,3.00,7.00,6.00,103,NULL,NULL,'JARIVATUBA','JOINVILLE','SC',4312,1361,NULL,NULL,NULL,NULL,NULL,2,8),(16,3068773,2.00,2.00,3.00,4.00,5.00,NULL,3.00,3.00,3.00,310,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3068781,5.00,4.00,2.00,9.00,7.00,6.50,2.00,6.00,5.00,425,NULL,429,'CENTRO','NOVA TRENTO','SC',9598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068790,5.00,5.00,8.00,5.00,4.00,5.50,5.00,3.00,6.00,214,NULL,220,'BUCAREIN','JOINVILLE','SC',7327,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3068811,6.00,5.00,5.00,8.00,4.00,7.75,3.00,6.00,6.00,201,NULL,212,'POMPÉIA','SANTOS','SP',5163,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3068820,0.00,1.00,4.00,3.00,4.00,NULL,0.00,3.00,4.00,9,NULL,NULL,'VILA BELMIRO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3068838,6.00,5.00,3.00,8.00,4.00,4.00,3.00,9.00,6.00,208,NULL,238,'COQUEIROS','FLORIANóPOLIS','SC',7960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068846,6.00,7.00,4.00,9.00,6.00,7.50,3.00,6.00,3.00,108,NULL,NULL,'MICHEL','CRICIÚMA','SC',5145,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3068854,3.00,4.00,2.00,4.00,3.00,NULL,2.00,4.00,2.00,501,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3068862,2.00,0.00,2.00,2.00,2.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'RIO MORTO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3068919,5.00,6.00,4.00,6.00,7.00,5.75,3.00,7.00,5.00,211,NULL,215,'CENTRO','LAGES','SC',6256,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3068927,4.00,8.00,3.00,7.00,8.00,6.00,4.00,8.00,7.00,203,NULL,214,'ANZOLIN','JOAÇABA','SC',3199,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3068943,5.00,5.00,4.00,6.00,5.00,4.25,6.00,6.00,4.00,211,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',9276,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3068951,4.00,6.00,1.00,6.00,5.00,4.25,3.00,7.00,5.00,103,NULL,NULL,'IRIRIU','JOINVILLE','SC',11516,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3068960,3.00,2.00,5.00,6.00,2.00,NULL,1.00,4.00,4.00,214,NULL,216,'PINHEIRINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3068978,5.00,4.00,4.00,4.00,1.00,NULL,3.00,6.00,3.00,216,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3068986,3.00,6.00,2.00,3.00,6.00,4.75,3.00,5.00,3.00,450,NULL,NULL,'JD EMILIA','SOROCABA','SP',13967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3068994,6.00,4.00,4.00,6.00,2.00,NULL,3.00,5.00,3.00,102,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069028,6.00,6.00,5.00,4.00,4.00,5.25,3.00,5.00,3.00,207,NULL,233,'ZONA UM','CIANORTE','PR',11135,541,NULL,350,NULL,NULL,NULL,2,1),(16,3069036,6.00,5.00,3.00,3.00,6.00,5.50,4.00,7.00,3.00,326,NULL,NULL,'JARDIM SÃO MIGUEL','BIGUAÇU','SC',9605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069044,4.00,4.00,2.00,6.00,6.00,5.75,2.00,5.00,3.00,201,NULL,233,'ROÇADO','S JOSÉ','SC',13029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069052,7.00,7.00,8.00,7.00,8.00,7.00,5.00,9.00,7.00,319,NULL,NULL,'BUCAREIN','JOINVILLE','SC',833,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3069087,6.00,2.00,5.00,6.00,4.00,5.75,3.00,5.00,5.00,213,NULL,233,'CENTRO','ITAPEVA','SP',9342,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069095,7.00,7.00,8.00,5.00,4.00,5.50,7.00,7.00,6.00,5,NULL,NULL,'MRECHAL FLORIANO','CAXIAS SUL','RS',2818,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3069117,7.00,7.00,4.00,8.00,7.00,6.50,5.00,7.00,5.00,216,NULL,233,'CENTRO','MEDIANEIRA','PR',2860,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3069125,5.00,4.00,4.00,7.00,6.00,6.00,3.00,6.00,3.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',9847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069133,5.00,2.00,5.00,6.00,4.00,6.25,3.00,3.00,5.00,103,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',11709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','LAVRAS','MG',NULL,NULL,NULL,NULL,'S','S','S',5,2),(16,3069168,6.00,7.00,6.00,8.00,6.00,4.25,4.00,7.00,7.00,220,NULL,213,'CENTRO','URUPEMA','SC',2856,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3069176,5.00,3.00,4.00,8.00,5.00,5.00,3.00,4.00,4.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',10995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069184,1.00,3.00,4.00,3.00,3.00,NULL,4.00,4.00,1.00,207,NULL,212,'VARGEM GRANDE','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069192,3.00,5.00,3.00,8.00,3.00,NULL,2.00,6.00,5.00,9,NULL,NULL,'PARQUE SÃO JORGE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069206,7.00,6.00,5.00,7.00,6.00,6.00,3.00,8.00,7.00,207,NULL,201,'CENTRO','CRICIÚMA','SC',3426,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3069222,2.00,3.00,4.00,4.00,3.00,NULL,1.00,1.00,3.00,212,NULL,203,'PETROPOLIS','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069230,5.00,5.00,2.00,7.00,6.00,4.50,2.00,8.00,5.00,104,NULL,NULL,'CENTRO','PAULO LOPES','SC',7913,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069249,6.00,5.00,2.00,7.00,5.00,5.75,3.00,5.00,2.00,340,NULL,NULL,'CENTRO','CRICIúMA','SC',10938,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3069265,6.00,4.00,4.00,5.00,4.00,4.75,1.00,7.00,2.00,319,NULL,NULL,'CENTRO','GAROPABA','SC',13374,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA FÉ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3069281,0.00,0.00,1.00,1.00,3.00,NULL,0.00,1.00,3.00,301,NULL,NULL,'CENTRO','FLOR S SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3069290,2.00,4.00,4.00,5.00,3.00,NULL,1.00,4.00,2.00,104,NULL,NULL,'NOVA DIVINEIA','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3069303,7.00,6.00,3.00,6.00,6.00,5.00,3.00,7.00,4.00,212,NULL,213,'PASSA VINTE','PALHOçA','SC',8135,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069320,5.00,4.00,4.00,7.00,6.00,5.50,2.00,6.00,5.00,302,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',10302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069338,8.00,7.00,5.00,6.00,6.00,5.50,5.00,7.00,5.00,9,NULL,NULL,'TONIAL','XANXERÊ','SC',3414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069346,6.00,5.00,2.00,6.00,4.00,5.75,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','UMUARAMA','PR',8994,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3069354,6.00,8.00,3.00,9.00,7.00,6.75,1.00,8.00,6.00,331,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',4235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069362,5.00,5.00,5.00,7.00,5.00,6.25,4.00,8.00,4.00,415,NULL,NULL,'PERDIZES','S PAULO','SP',5889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069389,4.00,6.00,5.00,5.00,5.00,4.50,3.00,8.00,5.00,203,NULL,214,'FERRAZ','GAROPABA','SC',8234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069397,1.00,1.00,1.00,3.00,4.00,NULL,3.00,2.00,6.00,104,NULL,NULL,'CENTRO','ENTRE RIOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3069400,5.00,3.00,2.00,7.00,6.00,5.00,3.00,6.00,6.00,104,NULL,NULL,'MICHEL','ORLEANS','SC',9907,266,NULL,NULL,NULL,NULL,NULL,2,5),(16,3069427,7.00,3.00,6.00,8.00,6.00,5.50,2.00,6.00,4.00,503,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069435,7.00,4.00,1.00,9.00,6.00,6.50,4.00,7.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069443,7.00,8.00,4.00,9.00,6.00,6.25,5.00,7.00,4.00,104,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',3154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069451,1.00,0.00,3.00,4.00,2.00,NULL,3.00,1.00,0.00,101,NULL,NULL,'CAMPO DE FORA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3069460,8.00,8.00,5.00,9.00,7.00,5.00,7.00,7.00,7.00,203,NULL,233,'JOÃO PAULO','FLORIANóPOLIS','SC',1086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3069494,3.00,3.00,3.00,6.00,3.00,NULL,4.00,3.00,3.00,309,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069508,4.00,6.00,4.00,7.00,7.00,5.75,2.00,6.00,7.00,207,NULL,201,'CAMPO DA ÁGUA VERDE','CANOINHAS','SC',6447,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3069516,6.00,6.00,4.00,8.00,6.00,5.75,5.00,8.00,7.00,201,NULL,214,'CENTRO','BAGÉ','RS',3388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069524,4.00,6.00,5.00,7.00,4.00,5.00,4.00,5.00,3.00,316,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',10168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069532,5.00,4.00,3.00,5.00,4.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069540,3.00,3.00,1.00,2.00,3.00,NULL,2.00,0.00,2.00,202,NULL,220,'COOPHAMIL','CUIABÁ','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3069567,3.00,5.00,3.00,5.00,1.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'SÃO ROQUE','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3069575,2.00,5.00,5.00,6.00,8.00,4.75,1.00,2.00,3.00,103,NULL,NULL,'FAZENDA STO ANTÔNI','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069583,4.00,3.00,6.00,5.00,5.00,5.25,3.00,3.00,2.00,103,NULL,NULL,'IRIRIU','JOINVILLE','SC',13397,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3069591,6.00,8.00,5.00,7.00,7.00,4.75,3.00,7.00,4.00,302,NULL,NULL,'ARIRIU','PALHOçA','SC',4743,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069605,3.00,3.00,2.00,5.00,5.00,NULL,1.00,2.00,4.00,201,NULL,233,'SANTO ANTONIO','S ROQUE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069613,7.00,8.00,1.00,7.00,7.00,4.50,2.00,8.00,3.00,303,NULL,NULL,'FAZENDA','ITAJAÍ','SC',8380,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3069621,3.00,5.00,3.00,7.00,5.00,5.75,4.00,7.00,5.00,207,NULL,216,'AMÉRICA','JOINVILLE','SC',8700,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3069656,6.00,4.00,2.00,1.00,4.00,5.50,4.00,6.00,4.00,102,NULL,NULL,'CENTRO','PINHALZINHO','SC',14026,251,NULL,NULL,NULL,NULL,NULL,4,4),(16,3069664,4.00,4.00,3.00,6.00,5.00,5.25,3.00,5.00,4.00,420,NULL,NULL,'SANTA MÔNICA','FLORIANóPOLIS','SC',12261,122,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069672,3.00,3.00,2.00,6.00,6.00,NULL,2.00,4.00,2.00,316,NULL,NULL,'SANTO ANTONIO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3069680,7.00,4.00,6.00,9.00,6.00,4.75,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JD CANAÃ','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3069710,8.00,7.00,5.00,7.00,5.00,6.25,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','TOLEDO','PR',2888,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3069737,1.00,1.00,4.00,5.00,4.00,NULL,1.00,2.00,3.00,333,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3069753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'JD SANTA RITA','DIADEMA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3069761,4.00,3.00,1.00,1.00,6.00,NULL,2.00,4.00,2.00,201,NULL,211,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069770,3.00,6.00,3.00,6.00,4.00,5.25,3.00,6.00,3.00,238,NULL,208,'PANTANAL','FLORIANÓPOLIS','SC',12629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069788,5.00,6.00,3.00,6.00,6.00,6.50,4.00,7.00,2.00,425,NULL,424,'INGLESES','FLORIANóPOLIS','SC',9091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069796,8.00,8.00,8.00,8.00,6.00,5.75,3.00,8.00,6.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069800,4.00,5.00,4.00,6.00,5.00,4.75,2.00,4.00,4.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069818,4.00,6.00,3.00,5.00,7.00,5.00,3.00,5.00,3.00,103,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',11213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069826,5.00,4.00,2.00,8.00,7.00,4.75,1.00,4.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11753,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3069834,5.00,3.00,4.00,3.00,1.00,NULL,2.00,6.00,5.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069842,4.00,3.00,3.00,3.00,3.00,NULL,2.00,6.00,4.00,108,NULL,NULL,'TIMBÉ NORTE','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069850,4.00,3.00,3.00,3.00,3.00,NULL,2.00,5.00,1.00,308,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3069885,9.00,6.00,4.00,3.00,4.00,5.00,3.00,6.00,5.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',8344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069893,6.00,7.00,6.00,8.00,6.00,6.25,5.00,6.00,6.00,420,NULL,NULL,'NAÇÕES','INDAIAL','SC',2852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069907,1.00,1.00,2.00,3.00,2.00,NULL,1.00,4.00,2.00,415,NULL,NULL,'VILOTA SAO JOSE','GARçA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069915,5.00,3.00,2.00,7.00,5.00,4.75,7.00,5.00,4.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10768,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3069931,5.00,5.00,5.00,4.00,7.00,6.50,3.00,3.00,2.00,103,NULL,NULL,'TRÊS PALMEIRAS','CEL FREITAS','SC',12586,2495,NULL,NULL,NULL,NULL,NULL,4,4),(16,3069958,6.00,7.00,5.00,8.00,7.00,7.00,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069966,6.00,7.00,5.00,7.00,5.00,5.50,4.00,4.00,7.00,233,NULL,215,'JARDIM MALUCHE','BRUSQUE','SC',4614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3069974,3.00,2.00,2.00,2.00,3.00,NULL,2.00,6.00,4.00,103,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3069982,7.00,6.00,4.00,7.00,6.00,5.50,2.00,8.00,5.00,318,NULL,NULL,'ARIRIÚ','PALHOçA','SC',6517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3070000,6.00,8.00,4.00,6.00,6.00,6.00,4.00,7.00,6.00,201,NULL,207,'GUIOMAR','ANTÔNIO CARLOS','SC',4035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070034,4.00,5.00,3.00,7.00,6.00,5.00,3.00,8.00,6.00,303,NULL,NULL,'CENTRO','SOMBRIO','SC',7571,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3070042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','RONDONóPOLIS','MT',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3070050,4.00,3.00,6.00,8.00,2.00,NULL,1.00,6.00,4.00,340,NULL,NULL,'SETE DE SETEMBRO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3070069,4.00,5.00,3.00,5.00,3.00,NULL,2.00,3.00,2.00,207,NULL,208,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3070077,5.00,6.00,3.00,7.00,5.00,5.75,3.00,5.00,4.00,415,NULL,NULL,'CANTO','S JOSé','SC',9990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070085,5.00,2.00,2.00,7.00,7.00,7.50,2.00,4.00,6.00,444,NULL,NULL,'FORQUILHINHAS','SAO JOSE','SC',11061,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3070093,4.00,6.00,3.00,1.00,6.00,4.00,4.00,8.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',12987,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3070115,7.00,8.00,4.00,7.00,7.00,6.50,3.00,7.00,6.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',3860,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3070123,8.00,5.00,1.00,8.00,5.00,4.00,4.00,7.00,4.00,104,NULL,NULL,'FIGUEIRA','URUSSANGA','SC',8440,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3070131,3.00,2.00,2.00,1.00,2.00,NULL,3.00,2.00,4.00,207,NULL,NULL,'CAPELA VELHA','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3070158,0.00,4.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3070174,4.00,1.00,1.00,7.00,3.00,NULL,2.00,4.00,5.00,308,NULL,NULL,'VELEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3070182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SOCORRO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3070204,6.00,8.00,1.00,2.00,5.00,6.75,1.00,7.00,3.00,3,NULL,NULL,'INTERIOR','PINHALZINHO','SC',11577,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3070212,2.00,7.00,4.00,6.00,7.00,8.00,3.00,6.00,3.00,415,NULL,NULL,'VILA GUARANI','S PAULO','SP',8794,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070239,5.00,7.00,6.00,9.00,7.00,6.50,3.00,7.00,6.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070255,6.00,5.00,6.00,7.00,5.00,3.25,5.00,7.00,4.00,201,NULL,NULL,'VILLA ADYANA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3070271,4.00,4.00,4.00,6.00,3.00,NULL,2.00,4.00,2.00,310,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3070298,6.00,6.00,5.00,7.00,5.00,5.00,3.00,5.00,4.00,214,NULL,220,'CENTRO','GUAXUPé','MG',8068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070301,2.00,4.00,4.00,2.00,4.00,NULL,3.00,2.00,3.00,415,NULL,NULL,'CENTRO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3070310,5.00,8.00,3.00,5.00,5.00,4.00,1.00,8.00,3.00,103,NULL,NULL,'TABOÃO','RIO SUL','SC',10825,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3070328,2.00,1.00,2.00,5.00,4.00,NULL,2.00,2.00,0.00,103,NULL,NULL,'VARZEA','PIRAJU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3070336,2.00,4.00,2.00,3.00,2.00,NULL,3.00,3.00,4.00,203,NULL,202,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070379,8.00,7.00,7.00,5.00,7.00,5.75,3.00,9.00,6.00,214,NULL,201,'JD LA SALLE','TOLEDO','PR',2616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3070395,4.00,2.00,3.00,6.00,2.00,NULL,3.00,3.00,3.00,104,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3070425,7.00,7.00,3.00,8.00,4.00,4.00,5.00,6.00,8.00,303,NULL,NULL,'MATA DA PRAIA','VITÓRIA','ES',4705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070441,6.00,2.00,3.00,5.00,6.00,5.75,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9913,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3070450,3.00,3.00,1.00,5.00,2.00,NULL,2.00,3.00,3.00,340,NULL,NULL,'BARRA','TRAMANDAí','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3070476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3070492,2.00,4.00,3.00,6.00,4.00,4.75,4.00,5.00,2.00,201,NULL,207,'MONTE VERDE','FLORIANÓPOLIS','SC',15297,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3070514,7.00,6.00,4.00,8.00,6.00,5.50,6.00,8.00,6.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3351,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3070522,8.00,7.00,4.00,8.00,5.00,7.25,5.00,8.00,5.00,303,NULL,NULL,'IMIGRANTES','TIMBÓ','SC',3359,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3070530,4.00,6.00,2.00,8.00,6.00,NULL,0.00,5.00,3.00,329,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3070549,4.00,3.00,1.00,8.00,4.00,4.75,1.00,5.00,4.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',14647,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3070557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'RIO DO BRAÇO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3070573,4.00,4.00,2.00,2.00,2.00,NULL,3.00,4.00,3.00,340,NULL,NULL,'JARDIM CARANDAI','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070581,6.00,6.00,7.00,9.00,8.00,7.25,5.00,7.00,8.00,203,NULL,233,'CENTRO','BEBEDOURO','SP',834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070590,5.00,4.00,3.00,5.00,4.00,5.50,4.00,5.00,3.00,3,NULL,NULL,'CENTRO','PTO BELO','SC',11685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3070603,5.00,6.00,6.00,8.00,5.00,6.50,6.00,9.00,7.00,207,NULL,215,'COQUEIROS','FLORIANÓPOLIS','SC',2392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070611,3.00,6.00,3.00,5.00,4.00,5.00,2.00,6.00,2.00,320,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070620,7.00,8.00,8.00,8.00,6.00,6.75,4.00,8.00,7.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070638,3.00,5.00,3.00,9.00,5.00,5.25,1.00,8.00,4.00,201,NULL,238,'COMERCIÁIO','CRICIúMA','SC',9406,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3070646,7.00,7.00,6.00,8.00,6.00,5.25,6.00,5.00,6.00,238,NULL,208,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',3035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070662,8.00,6.00,7.00,9.00,6.00,7.25,4.00,9.00,4.00,5,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',1513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NOVA ANDRADINA','MS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3070697,3.00,4.00,2.00,7.00,5.00,5.50,4.00,5.00,4.00,340,NULL,NULL,'ATIRADORES','JOINVILLE','SC',11158,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3070700,7.00,5.00,7.00,7.00,7.00,7.00,4.00,6.00,8.00,220,NULL,202,'JARDIM DAS ACASSIAS','RIBEIRÃO PRETO','SP',2806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070751,7.00,7.00,7.00,6.00,8.00,7.50,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','CORREIA PINTO','SC',1630,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3070760,3.00,4.00,2.00,8.00,4.00,4.75,2.00,7.00,3.00,319,NULL,NULL,'PRAIA DO SANTINHO','FLORIANÓPOLIS','SC',13141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070778,4.00,3.00,1.00,4.00,3.00,NULL,2.00,3.00,4.00,108,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070786,4.00,7.00,4.00,8.00,8.00,5.50,2.00,8.00,5.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3070794,5.00,6.00,4.00,8.00,5.00,5.75,3.00,3.00,5.00,5,NULL,NULL,'CENTRO','NOVA TRENTO','SC',9889,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3070808,8.00,7.00,6.00,8.00,7.00,6.75,4.00,8.00,8.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1429,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070816,5.00,7.00,2.00,6.00,5.00,4.75,5.00,8.00,5.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7827,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3070824,6.00,6.00,2.00,7.00,5.00,5.50,3.00,7.00,5.00,415,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8149,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3070832,4.00,7.00,2.00,8.00,6.00,6.00,1.00,5.00,2.00,220,NULL,203,'JARDIM ATLÂNTICO','FLORIANóPOLIS','SC',10535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070840,7.00,6.00,5.00,8.00,7.00,7.50,6.00,7.00,9.00,202,NULL,207,'SAMAMBAIA','GOIÂNIA','GO',1091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070859,5.00,6.00,6.00,9.00,5.00,8.25,4.00,7.00,3.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070867,3.00,7.00,4.00,7.00,3.00,NULL,2.00,6.00,6.00,207,NULL,216,'RECANDO DO SALTO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3070891,4.00,6.00,6.00,8.00,4.00,4.00,2.00,7.00,2.00,420,NULL,NULL,'PARK WAY','NUC BANDEIRANTE','DF',9532,90,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070905,6.00,7.00,6.00,8.00,7.00,5.50,6.00,7.00,6.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070921,7.00,7.00,3.00,2.00,6.00,6.75,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',7173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070930,8.00,7.00,7.00,8.00,6.00,7.00,3.00,6.00,4.00,304,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',3340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070956,4.00,3.00,5.00,5.00,6.00,5.50,2.00,4.00,4.00,207,NULL,201,'KOBRASOL','S JOSÉ','SC',12019,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3070964,6.00,4.00,3.00,8.00,5.00,6.75,3.00,4.00,4.00,319,NULL,NULL,'BARRA DO SALTINHO','SEARA','SC',9541,178,NULL,NULL,NULL,NULL,NULL,2,4),(16,3070972,8.00,7.00,7.00,7.00,8.00,6.50,4.00,8.00,8.00,103,NULL,NULL,'VILA NOVA','LONDRINA','PR',1165,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3070980,5.00,2.00,1.00,7.00,4.00,6.00,4.00,8.00,6.00,207,NULL,215,'VILAS BOAS','CPO GRANDE','MS',9947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3070999,7.00,6.00,6.00,4.00,5.00,6.50,3.00,6.00,5.00,220,NULL,202,'PATRONATO','SANTA MARIA','RS',6419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071006,3.00,4.00,2.00,4.00,3.00,NULL,4.00,3.00,0.00,404,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071014,6.00,7.00,6.00,5.00,5.00,6.75,5.00,7.00,7.00,203,NULL,211,'CENTRO','PARANAVAí','PR',3643,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3071022,5.00,4.00,2.00,4.00,5.00,5.00,3.00,2.00,2.00,503,NULL,NULL,'AREIAS','S JOSÉ','SC',16117,74,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071030,4.00,7.00,6.00,7.00,7.00,6.00,6.00,9.00,7.00,319,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071049,5.00,7.00,5.00,8.00,7.00,5.50,7.00,8.00,7.00,201,NULL,212,'ITACORUTI','FLORIANóPOLIS','SC',1537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071057,6.00,8.00,5.00,7.00,6.00,6.50,3.00,7.00,4.00,318,NULL,NULL,'VORSTADT','BLUMENAU','SC',4716,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3071065,2.00,7.00,2.00,6.00,5.00,5.75,4.00,6.00,4.00,453,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071081,5.00,4.00,4.00,4.00,3.00,NULL,2.00,4.00,2.00,207,NULL,201,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3071090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM ESPLANADA','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3071103,1.00,3.00,2.00,6.00,4.00,NULL,1.00,4.00,3.00,301,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071111,5.00,6.00,4.00,7.00,8.00,5.75,4.00,7.00,6.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4848,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071120,5.00,3.00,4.00,5.00,4.00,5.00,4.00,6.00,3.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',12052,2438,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071138,2.00,3.00,2.00,3.00,4.00,NULL,3.00,4.00,1.00,104,NULL,NULL,'DA VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3071146,9.00,8.00,8.00,9.00,8.00,6.75,7.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071154,8.00,9.00,7.00,9.00,7.00,8.00,7.00,8.00,7.00,207,NULL,201,'CENTRO','FLORIANOPOLIS','SC',207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071162,7.00,7.00,2.00,7.00,7.00,5.00,5.00,8.00,7.00,108,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',3521,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071170,7.00,7.00,3.00,7.00,8.00,4.75,3.00,9.00,3.00,211,NULL,215,'CENTRO','CRICIÚMA','SC',4866,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3071189,5.00,8.00,6.00,8.00,6.00,6.00,5.00,6.00,5.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',3614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071197,5.00,1.00,5.00,6.00,3.00,NULL,2.00,4.00,1.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071200,7.00,8.00,8.00,9.00,9.00,6.50,5.00,9.00,7.00,2,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',314,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3071219,0.00,0.00,1.00,0.00,0.00,NULL,2.00,4.00,4.00,5,NULL,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3071235,2.00,3.00,3.00,1.00,5.00,NULL,0.00,5.00,3.00,108,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3071260,7.00,7.00,5.00,5.00,4.00,4.75,4.00,1.00,4.00,104,NULL,NULL,'CENTRO','XAXIM','SC',10839,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3071278,4.00,6.00,3.00,9.00,6.00,6.50,4.00,9.00,4.00,103,NULL,NULL,'LAGO NORTE','LG NORTE','DF',5165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071286,2.00,4.00,2.00,8.00,5.00,5.00,3.00,6.00,3.00,415,NULL,NULL,'ANÁPOLIS CITY','ANÁPOLIS','GO',13517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071294,5.00,4.00,2.00,7.00,4.00,6.00,4.00,6.00,5.00,202,NULL,208,'OURO BRANCO','NOVO HAMBURGO','RS',8985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071308,2.00,0.00,3.00,1.00,1.00,NULL,4.00,3.00,3.00,103,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071332,5.00,3.00,4.00,7.00,5.00,4.25,2.00,6.00,4.00,238,NULL,216,'CAMPECHE','FLORIANÓPOLIS','SC',11869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071340,6.00,5.00,3.00,7.00,4.00,6.75,2.00,6.00,4.00,333,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',10023,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071359,3.00,5.00,3.00,6.00,2.00,NULL,2.00,3.00,1.00,415,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071367,3.00,6.00,4.00,8.00,6.00,5.75,2.00,8.00,6.00,303,NULL,NULL,'CARANDÁ BOSQUE II','CPO GRANDE','MS',6598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071383,2.00,4.00,3.00,6.00,3.00,NULL,1.00,5.00,5.00,340,NULL,NULL,'ESTADOS','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3071391,7.00,6.00,3.00,9.00,8.00,6.00,4.00,6.00,3.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',5536,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3071405,6.00,6.00,4.00,8.00,6.00,5.50,4.00,6.00,5.00,318,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',6307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071413,9.00,8.00,7.00,9.00,6.00,6.25,6.00,8.00,8.00,203,NULL,233,'CANASVIEIRAS','FLORIANOPOLIS','SC',720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071421,6.00,7.00,1.00,8.00,6.00,7.25,4.00,8.00,6.00,304,NULL,NULL,'CENTRO','LONTRAS','SC',4481,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071448,5.00,4.00,5.00,4.00,5.00,5.00,4.00,5.00,4.00,103,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071456,3.00,4.00,4.00,8.00,5.00,5.50,4.00,5.00,5.00,444,NULL,NULL,'BARREIROS','S JOSé','SC',9350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071464,6.00,8.00,8.00,8.00,7.00,6.00,7.00,7.00,7.00,208,NULL,NULL,'CAPOIERAS','FLORIANóPOLIS','SC',992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071480,5.00,2.00,2.00,0.00,3.00,NULL,2.00,1.00,2.00,309,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071499,2.00,1.00,3.00,3.00,5.00,NULL,4.00,4.00,2.00,5,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071502,4.00,1.00,4.00,4.00,3.00,NULL,3.00,3.00,5.00,102,NULL,NULL,'SUMARé','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3071510,6.00,3.00,1.00,1.00,3.00,NULL,1.00,6.00,2.00,103,NULL,NULL,'RECIFE','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3071529,4.00,4.00,5.00,8.00,6.00,5.25,6.00,4.00,6.00,201,NULL,211,'CENTRO','IMARUí','SC',6155,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3071537,5.00,5.00,4.00,9.00,6.00,7.00,2.00,6.00,5.00,207,NULL,201,'PANTANAL','FLORIANóPOLIS','SC',6746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071545,7.00,5.00,3.00,3.00,6.00,6.25,3.00,7.00,6.00,207,NULL,211,'JARDIM FACULDADE','SOROCABA','SP',7867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071561,8.00,4.00,8.00,7.00,7.00,5.50,6.00,8.00,6.00,415,NULL,NULL,'ASA SUL','BRASíLIA','DF',2032,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,220,'OFICINAS','TUBARãO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3071596,6.00,7.00,5.00,7.00,4.00,4.00,4.00,6.00,4.00,450,NULL,NULL,'PLANO PILOTO','BRASíLIA','DF',9058,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,201,'CENTRO','S DOMINGOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3071626,5.00,5.00,7.00,6.00,7.00,4.00,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','NOVA E SUDOESTE','PR',6204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071634,2.00,3.00,3.00,3.00,2.00,NULL,2.00,5.00,1.00,103,NULL,NULL,'PAPAGAIOS','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071642,4.00,2.00,1.00,6.00,1.00,NULL,3.00,2.00,4.00,503,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COLONINHA','ARARANGUá','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3071685,3.00,2.00,4.00,6.00,5.00,4.75,0.00,2.00,3.00,103,NULL,NULL,'PROFIPO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3071693,5.00,6.00,6.00,8.00,6.00,7.00,3.00,8.00,7.00,415,NULL,NULL,'CENTRO','POçOS CALDAS','MG',2749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3071715,2.00,4.00,4.00,0.00,5.00,NULL,1.00,5.00,2.00,303,NULL,NULL,'CENTRO','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071731,7.00,6.00,7.00,4.00,5.00,5.25,5.00,6.00,5.00,203,NULL,214,'CENTRO','VARGEM BONITA','SC',5439,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3071766,4.00,4.00,3.00,4.00,5.00,5.00,3.00,4.00,3.00,303,NULL,NULL,'CENTRO','CONCóRDIA','SC',15147,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3071774,5.00,4.00,3.00,0.00,6.00,NULL,2.00,3.00,2.00,302,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071782,9.00,9.00,9.00,9.00,7.00,6.75,7.00,7.00,9.00,103,NULL,NULL,'CENTRO','CIANORTE','PR',36,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071790,4.00,4.00,4.00,8.00,5.00,7.00,3.00,6.00,4.00,319,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',9585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071804,5.00,7.00,5.00,7.00,4.00,7.25,6.00,5.00,6.00,212,NULL,207,'ALBARDãO','PALHOçA','SC',5916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071812,2.00,2.00,3.00,2.00,4.00,NULL,1.00,2.00,2.00,309,NULL,NULL,'JARDIM LIBERDADE','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071839,3.00,4.00,4.00,6.00,4.00,5.50,3.00,2.00,3.00,303,NULL,NULL,'AURORA','IçARA','SC',14909,652,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071847,4.00,5.00,4.00,8.00,4.00,5.75,5.00,4.00,6.00,103,NULL,NULL,'GUANABARA','LONDRINA','PR',8047,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3071855,5.00,6.00,4.00,8.00,6.00,6.25,5.00,5.00,4.00,303,NULL,NULL,'PIO CORREA','CRICIúMA','SC',6367,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3071863,4.00,2.00,1.00,0.00,1.00,NULL,2.00,4.00,3.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071871,4.00,3.00,1.00,4.00,7.00,6.00,2.00,6.00,4.00,310,NULL,NULL,'NOVA MORADA','ROLIM MOURA','RO',13494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071898,3.00,3.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,203,NULL,208,'PAGANI','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071901,8.00,9.00,6.00,8.00,8.00,7.00,7.00,8.00,8.00,203,NULL,214,'CENTRO','IMBITUBA','SC',330,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,238,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3071928,3.00,5.00,3.00,6.00,2.00,NULL,2.00,5.00,2.00,425,NULL,427,'VILA BETHANIA','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM DAS AMéRICAS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3071952,4.00,4.00,2.00,6.00,5.00,4.50,4.00,4.00,3.00,213,NULL,202,'AGRONÔMICA','FLORIANóPOLIS','SC',13481,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071960,2.00,6.00,3.00,1.00,6.00,6.75,2.00,8.00,3.00,326,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',13199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3071979,5.00,0.00,1.00,4.00,4.00,5.00,2.00,6.00,3.00,101,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',16065,133,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071987,4.00,4.00,4.00,6.00,3.00,NULL,3.00,5.00,3.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3071995,2.00,4.00,1.00,6.00,4.00,NULL,0.00,6.00,2.00,429,NULL,425,'ARAçATUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072002,1.00,3.00,2.00,3.00,3.00,NULL,3.00,4.00,3.00,302,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072010,2.00,4.00,3.00,7.00,4.00,5.25,3.00,5.00,4.00,201,NULL,202,'CENTRO','CHAPECó','SC',14652,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3072029,4.00,6.00,5.00,7.00,6.00,6.50,2.00,7.00,2.00,207,NULL,233,'ITACORUBI','FLORIANóPOLIS','SC',8211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072037,8.00,8.00,7.00,8.00,5.00,5.75,6.00,8.00,6.00,214,NULL,212,'CENTRO','FLORIANóPOLIS','SC',1645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072045,4.00,3.00,1.00,3.00,7.00,6.25,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','BIGUAçU','SC',14966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072053,7.00,8.00,5.00,7.00,6.00,4.75,5.00,9.00,8.00,103,NULL,NULL,'PROGRESSO','BLUMENAU','SC',1416,639,NULL,NULL,NULL,NULL,NULL,2,2),(16,3072061,5.00,6.00,5.00,6.00,5.00,7.00,3.00,5.00,4.00,104,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',8266,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3072096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3072100,5.00,3.00,1.00,2.00,2.00,NULL,3.00,4.00,2.00,208,NULL,238,'PRIMEIRO DISTRITO','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072118,4.00,4.00,4.00,8.00,5.00,4.50,3.00,8.00,5.00,211,NULL,215,'CENTRO','MARIALVA','PR',8359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072126,5.00,3.00,6.00,7.00,6.00,4.75,4.00,4.00,7.00,333,NULL,NULL,'BARRO BRANCO','S PAULO','SP',6298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072134,6.00,5.00,3.00,7.00,8.00,4.75,4.00,5.00,6.00,103,NULL,NULL,'BELA VISTA','CHAPECó','SC',5333,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3072142,7.00,6.00,5.00,6.00,6.00,6.25,3.00,5.00,6.00,104,NULL,NULL,'PACAEMBU','CASCAVEL','PR',4931,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3072150,6.00,6.00,7.00,6.00,5.00,6.00,4.00,7.00,8.00,203,NULL,214,'ZONA SETE','MARINGá','PR',3382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072177,5.00,6.00,5.00,4.00,5.00,7.00,2.00,5.00,3.00,3,NULL,NULL,'SANTOS SARAIVA','S JOSé','SC',10729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072185,4.00,3.00,3.00,6.00,5.00,5.75,2.00,4.00,1.00,302,NULL,NULL,'JARDIM DAS PALMEIRAS','S JOSé','SC',15053,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3072193,4.00,5.00,4.00,9.00,6.00,5.00,4.00,8.00,5.00,301,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',5502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072207,6.00,5.00,2.00,6.00,5.00,6.00,1.00,3.00,4.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072215,4.00,4.00,5.00,6.00,6.00,5.00,3.00,6.00,3.00,223,NULL,NULL,'VELHA','BLUMENAU','SC',9669,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3072223,6.00,8.00,6.00,9.00,7.00,7.00,4.00,8.00,6.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3072240,5.00,3.00,3.00,3.00,5.00,7.00,2.00,4.00,6.00,301,NULL,NULL,'VELHA','BLUMENAU','SC',13239,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3072258,4.00,7.00,2.00,7.00,6.00,6.25,3.00,8.00,5.00,318,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',6233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3072274,5.00,5.00,4.00,7.00,4.00,4.00,3.00,6.00,3.00,212,NULL,238,'TRINDADE','FLORIANóPOLIS','SC',11112,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3072282,4.00,5.00,5.00,7.00,5.00,5.75,3.00,5.00,4.00,201,NULL,233,'CENTRO','CORREIA PINTO','SC',9140,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3072290,6.00,6.00,2.00,5.00,6.00,5.75,2.00,6.00,5.00,326,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',9396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072304,2.00,6.00,5.00,8.00,6.00,7.00,3.00,6.00,1.00,202,NULL,220,'CAPOEIRAS','FLORIANóPOLIS','SC',9625,350,NULL,384,NULL,NULL,NULL,4,1),(16,3072312,6.00,5.00,5.00,8.00,6.00,6.50,3.00,4.00,5.00,452,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072320,4.00,6.00,8.00,3.00,3.00,NULL,3.00,6.00,8.00,216,NULL,212,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072347,8.00,8.00,3.00,9.00,9.00,8.00,4.00,6.00,6.00,5,NULL,NULL,'CENTRO','IPUMIRIM','SC',2274,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072355,7.00,6.00,4.00,8.00,5.00,4.00,6.00,7.00,5.00,214,NULL,233,'CENTRO','TUBARAO','SC',5598,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3072363,9.00,9.00,8.00,8.00,9.00,6.75,8.00,9.00,9.00,103,NULL,NULL,'CENTRO','TAIó','SC',28,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3072371,4.00,5.00,2.00,6.00,2.00,NULL,1.00,3.00,1.00,339,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3072380,5.00,4.00,2.00,7.00,5.00,4.50,1.00,6.00,2.00,327,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',13618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072398,6.00,4.00,3.00,6.00,4.00,5.75,4.00,5.00,3.00,302,NULL,NULL,'KOBRASOL','S JOSé','SC',11678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3072401,3.00,3.00,1.00,6.00,2.00,NULL,3.00,4.00,4.00,215,NULL,211,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3072410,7.00,6.00,4.00,9.00,8.00,7.25,2.00,6.00,5.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3072436,5.00,3.00,3.00,9.00,5.00,4.75,4.00,6.00,6.00,233,NULL,215,'CENTRO','TUBARãO','SC',7493,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3072444,4.00,5.00,4.00,5.00,5.00,5.75,3.00,3.00,4.00,340,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',12439,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3072452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DAS PAMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3072479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3072495,7.00,7.00,7.00,7.00,7.00,5.00,5.00,6.00,5.00,203,NULL,202,'VILA MILITAR','GUAíRA','PR',2544,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3072517,6.00,4.00,3.00,8.00,3.00,NULL,2.00,6.00,5.00,201,NULL,202,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3072525,3.00,2.00,2.00,6.00,4.00,6.25,5.00,2.00,5.00,319,NULL,NULL,'CENTRO','CURITIBA','PR',14417,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3072533,4.00,7.00,3.00,8.00,8.00,6.00,3.00,3.00,4.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072568,7.00,5.00,5.00,5.00,4.00,5.25,5.00,8.00,6.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',6291,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3072576,7.00,7.00,4.00,6.00,5.00,6.75,2.00,6.00,7.00,444,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',5868,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3072584,5.00,3.00,5.00,4.00,6.00,4.00,3.00,7.00,6.00,208,NULL,202,'ESTREITO','FLORIANóPOLIS','SC',9758,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3072592,5.00,7.00,5.00,5.00,7.00,6.75,3.00,9.00,4.00,207,NULL,201,'CORREGO GRANDE','FLORIANóPOLIS','SC',4983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072606,6.00,6.00,2.00,7.00,5.00,6.50,4.00,7.00,7.00,404,NULL,NULL,'BRASíLIA','CRUZEIRO','DF',5700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072614,4.00,5.00,1.00,6.00,3.00,NULL,5.00,5.00,4.00,202,NULL,212,'ZONA SETE','MARINGá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3072622,4.00,6.00,5.00,3.00,7.00,6.75,3.00,7.00,8.00,220,NULL,233,'MAR GROSSO','LAGUNA','SC',6940,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3072630,2.00,5.00,1.00,2.00,5.00,4.00,2.00,7.00,4.00,102,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072649,5.00,6.00,4.00,4.00,6.00,5.00,2.00,5.00,5.00,212,NULL,213,'VENDAVAL','BIGUAçU','SC',10780,314,NULL,215,NULL,NULL,NULL,4,1),(16,3072657,3.00,5.00,4.00,3.00,5.00,0.00,3.00,5.00,6.00,333,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ASA NORTE','BRASíLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3072673,8.00,7.00,8.00,9.00,8.00,8.50,7.00,7.00,8.00,103,NULL,NULL,'PARQUE NOVO MUNDO','S PAULO','SP',115,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3072690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3072703,9.00,9.00,8.00,9.00,9.00,6.75,8.00,8.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072711,7.00,5.00,5.00,9.00,7.00,7.50,4.00,8.00,6.00,420,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072720,7.00,6.00,5.00,8.00,6.00,5.00,1.00,6.00,2.00,203,NULL,212,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3072738,5.00,4.00,3.00,1.00,5.00,7.00,4.00,6.00,3.00,415,NULL,NULL,'VORSTADT','BLUMENAU','SC',12923,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3072754,5.00,6.00,5.00,6.00,6.00,6.25,1.00,5.00,3.00,104,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',8842,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3072762,5.00,5.00,6.00,6.00,6.00,5.75,3.00,8.00,7.00,220,NULL,213,'CENTRO','APUCARANA','PR',5200,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3072770,7.00,8.00,3.00,8.00,7.00,7.50,4.00,7.00,7.00,5,NULL,NULL,'CENTRO','SIDERóPOLIS','SC',1995,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3072800,6.00,5.00,5.00,7.00,3.00,NULL,4.00,5.00,5.00,501,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3072819,5.00,7.00,7.00,8.00,5.00,6.00,5.00,7.00,5.00,301,NULL,NULL,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',3432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072827,5.00,5.00,3.00,5.00,5.00,5.00,3.00,6.00,3.00,309,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',11817,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3072835,5.00,5.00,3.00,5.00,4.00,5.00,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',10901,2323,NULL,NULL,NULL,NULL,NULL,2,6),(16,3072843,3.00,4.00,3.00,2.00,3.00,NULL,4.00,2.00,2.00,303,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072851,9.00,8.00,7.00,8.00,8.00,6.00,6.00,9.00,8.00,103,NULL,NULL,'SEMINáRIO','TAIó','SC',249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3072860,1.00,2.00,2.00,1.00,4.00,NULL,2.00,2.00,3.00,9,NULL,NULL,'PETROPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3072878,3.00,4.00,4.00,5.00,7.00,6.50,2.00,2.00,3.00,234,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',13665,50,NULL,NULL,NULL,NULL,NULL,2,1),(16,3072886,6.00,7.00,7.00,8.00,4.00,6.25,4.00,6.00,5.00,216,NULL,202,'PARQUE SãO JORGE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072908,6.00,5.00,4.00,8.00,6.00,6.25,1.00,7.00,7.00,102,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',5874,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3072924,8.00,5.00,7.00,8.00,6.00,6.50,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',2075,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3072932,3.00,5.00,4.00,6.00,5.00,7.00,2.00,6.00,4.00,340,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072940,3.00,4.00,2.00,4.00,2.00,NULL,2.00,1.00,3.00,444,NULL,NULL,'INDUSTRIAL NORTE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3072959,6.00,7.00,3.00,7.00,4.00,5.75,4.00,8.00,3.00,202,NULL,208,'TRINDADE','FLORIANóPOLIS','SC',7894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3072975,3.00,4.00,2.00,9.00,5.00,6.25,2.00,6.00,3.00,303,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072983,6.00,6.00,8.00,9.00,7.00,8.00,4.00,8.00,8.00,319,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3072991,5.00,3.00,2.00,5.00,5.00,4.50,3.00,5.00,2.00,331,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',14716,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3073009,4.00,5.00,7.00,8.00,8.00,5.50,4.00,6.00,6.00,420,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',3805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073033,5.00,4.00,5.00,2.00,2.00,NULL,2.00,2.00,3.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3073041,4.00,6.00,5.00,6.00,4.00,6.75,6.00,5.00,6.00,340,NULL,NULL,'APARECIDA','SANTOS','SP',5331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073050,0.00,2.00,3.00,4.00,1.00,NULL,3.00,3.00,1.00,215,NULL,211,'PROGRESSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3073068,4.00,7.00,2.00,8.00,4.00,5.75,2.00,5.00,2.00,108,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SãO LOURENçO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3073084,4.00,4.00,3.00,5.00,7.00,5.50,2.00,7.00,5.00,212,NULL,214,'PERDIZES','S PAULO','SP',11002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073092,5.00,5.00,2.00,8.00,7.00,6.50,3.00,5.00,4.00,211,NULL,201,'CENTRO','FLORIANóPOLIS','SC',7554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073106,6.00,8.00,2.00,6.00,6.00,7.25,1.00,7.00,5.00,215,NULL,216,'CENTRO','ERVAL VELHO','SC',7037,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3073122,3.00,3.00,3.00,7.00,5.00,5.50,2.00,3.00,3.00,207,NULL,201,'CENTRO','CHAPECó','SC',14956,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3073130,3.00,5.00,4.00,7.00,3.00,NULL,3.00,6.00,4.00,303,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3073165,4.00,5.00,3.00,5.00,4.00,4.50,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15395,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3073173,7.00,7.00,4.00,5.00,7.00,6.75,5.00,9.00,4.00,450,NULL,NULL,'CINQUENTENáRIO','CAXIAS SUL','RS',3404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073181,9.00,6.00,7.00,8.00,8.00,6.50,3.00,8.00,7.00,103,NULL,NULL,'áGUA VERDE','CURITIBA','PR',1076,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3073203,6.00,6.00,3.00,7.00,4.00,5.25,3.00,5.00,6.00,216,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',8943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073211,2.00,0.00,3.00,3.00,1.00,NULL,3.00,3.00,1.00,3,NULL,NULL,'SãO SEBASTIãO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3073220,0.00,2.00,3.00,5.00,4.00,NULL,2.00,3.00,2.00,201,NULL,NULL,'CENTRO','VíTOR MEIRELES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3073238,6.00,6.00,6.00,8.00,6.00,5.50,4.00,6.00,6.00,207,NULL,201,'SAGUAçú','JOINVILLE','SC',4709,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3073246,6.00,5.00,5.00,5.00,6.00,4.00,3.00,7.00,5.00,220,NULL,203,'ATUBA','COLOMBO','PR',7759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073254,2.00,3.00,2.00,5.00,1.00,NULL,2.00,4.00,4.00,424,NULL,429,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3073270,4.00,3.00,5.00,7.00,3.00,NULL,3.00,3.00,3.00,9,NULL,NULL,'CENTRO','BANDEIRANTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3073289,7.00,5.00,7.00,3.00,6.00,6.25,6.00,8.00,7.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',3072,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3073297,5.00,3.00,2.00,6.00,6.00,4.00,3.00,5.00,5.00,452,NULL,NULL,'CENTRO','S JOãO BATISTA','SC',12314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3073319,4.00,5.00,4.00,3.00,5.00,6.00,1.00,6.00,4.00,103,NULL,NULL,'CENTRO','DOURADINA','PR',13739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073327,3.00,5.00,2.00,2.00,5.00,4.75,2.00,5.00,4.00,214,NULL,203,'CENTRO','LACERDóPOLIS','SC',15337,469,NULL,898,NULL,NULL,NULL,4,7),(16,3073335,7.00,5.00,3.00,4.00,6.00,5.50,2.00,6.00,5.00,319,NULL,NULL,'VILA VOTURUA','S VICENTE','SP',9714,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3073343,7.00,5.00,4.00,6.00,7.00,4.25,4.00,5.00,5.00,201,NULL,220,'COQUEIROS','FLORIANóPOLIS','SC',6903,535,NULL,302,NULL,NULL,NULL,2,1),(16,3073351,3.00,1.00,4.00,6.00,4.00,5.00,2.00,4.00,1.00,503,NULL,NULL,'ALVORADA','BARRACãO','PR',16455,81,NULL,NULL,NULL,NULL,NULL,2,1),(16,3073378,7.00,7.00,8.00,9.00,5.00,6.00,6.00,7.00,7.00,220,NULL,NULL,'JD PAULISTA','ATIBAIA','SP',1155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073394,1.00,1.00,1.00,5.00,3.00,NULL,2.00,2.00,3.00,234,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3073408,4.00,6.00,4.00,3.00,2.00,NULL,3.00,5.00,2.00,211,NULL,233,'VILA SãO PEDRO','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3073424,4.00,4.00,5.00,8.00,5.00,4.50,2.00,5.00,6.00,222,NULL,NULL,'MIRANTE DAS ESTRELAS','VINHEDO','SP',8776,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3073432,8.00,6.00,5.00,7.00,5.00,5.00,1.00,8.00,5.00,103,NULL,NULL,'CENTRO','CAXAMBU SUL','SC',4785,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3073440,5.00,5.00,3.00,2.00,4.00,4.00,3.00,5.00,2.00,238,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',16351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073459,4.00,1.00,3.00,3.00,4.00,5.25,5.00,5.00,1.00,203,NULL,NULL,'JARDIM TAROBá','FOZ IGUAçU','PR',16468,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3073467,6.00,5.00,5.00,6.00,6.00,5.00,5.00,6.00,7.00,450,NULL,NULL,'VILA BRASíLIA','APARECIDA GOIâNIA','GO',4570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073475,4.00,3.00,1.00,3.00,3.00,NULL,0.00,2.00,2.00,444,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3073483,4.00,5.00,2.00,3.00,5.00,5.25,2.00,6.00,7.00,102,NULL,NULL,'UNIVERSITARIO','CASCAVEL','PR',12198,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3073491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3073505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DIDO','STO ÂNGELO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3073513,5.00,5.00,4.00,6.00,5.00,4.00,3.00,6.00,4.00,328,NULL,NULL,'CENTRO','SAUDADES','SC',10717,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3073521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'JARDIM ANDERE','VARGINHA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3073548,4.00,5.00,1.00,3.00,3.00,NULL,2.00,8.00,2.00,453,NULL,NULL,'BELA VISTA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3073556,4.00,2.00,2.00,2.00,5.00,NULL,1.00,3.00,4.00,501,NULL,NULL,'CENTRO','CERQUILHO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073564,4.00,4.00,2.00,5.00,4.00,5.25,2.00,5.00,4.00,202,NULL,213,'MEIA PRAIA','ITAPEMA','SC',14995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3073572,8.00,7.00,6.00,7.00,6.00,5.50,5.00,8.00,7.00,201,NULL,212,'TRINDADE','FLORIANóPOLIS','SC',2164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM ITALIA','CHAPECó','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3073599,2.00,1.00,1.00,4.00,3.00,NULL,2.00,4.00,1.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3073602,7.00,6.00,6.00,5.00,4.00,5.00,3.00,2.00,5.00,317,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',11060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3073610,2.00,2.00,4.00,5.00,4.00,4.00,1.00,4.00,2.00,223,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3073637,5.00,5.00,5.00,2.00,4.00,5.75,2.00,6.00,3.00,201,NULL,212,'COSTEIRA','FLORIANóPOLIS','SC',12956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073645,5.00,7.00,3.00,4.00,5.00,7.00,3.00,7.00,5.00,203,NULL,220,'SANTO ANTONIO','MARINGá','PR',7752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073653,5.00,5.00,4.00,5.00,7.00,5.00,2.00,4.00,5.00,501,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',10828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073661,3.00,5.00,2.00,6.00,4.00,6.75,3.00,6.00,5.00,216,NULL,211,'COOPHASUL','CPO GRANDE','MS',11204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073688,2.00,0.00,1.00,2.00,3.00,NULL,4.00,2.00,2.00,502,NULL,NULL,'ESPERANçA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3073700,7.00,8.00,7.00,7.00,6.00,4.50,5.00,8.00,7.00,103,NULL,NULL,'NOVO MINAS GERAIS','CPO GRANDE','MS',1833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073718,7.00,7.00,6.00,8.00,7.00,7.50,4.00,5.00,7.00,234,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',2775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3073734,5.00,5.00,3.00,3.00,3.00,NULL,5.00,4.00,5.00,203,NULL,214,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3073742,2.00,6.00,5.00,8.00,6.00,7.50,5.00,7.00,2.00,207,NULL,201,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073750,8.00,5.00,3.00,9.00,6.00,5.50,5.00,3.00,5.00,340,NULL,NULL,'AREIAS','S JOSé','SC',6249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3073769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE ALTA','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3073777,2.00,4.00,1.00,3.00,4.00,NULL,1.00,4.00,2.00,310,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073793,7.00,6.00,5.00,8.00,7.00,5.00,6.00,8.00,5.00,202,NULL,213,'TRINDADE','FLORIANóPOLIS','SC',3034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073831,3.00,1.00,4.00,0.00,4.00,NULL,3.00,5.00,2.00,103,NULL,NULL,'ASA NORTE','BRASíLIA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3073858,2.00,2.00,3.00,0.00,1.00,NULL,3.00,7.00,2.00,104,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3073874,3.00,3.00,2.00,2.00,2.00,NULL,2.00,4.00,3.00,5,NULL,NULL,'QUILOMBO','CUIABá','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073882,9.00,4.00,7.00,7.00,8.00,7.25,6.00,8.00,8.00,214,NULL,212,'VILA GEA','S PAULO','SP',872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073912,6.00,4.00,4.00,8.00,5.00,5.00,3.00,5.00,6.00,201,NULL,203,'CENTRO','MARINGá','PR',7965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073920,3.00,3.00,2.00,6.00,1.00,NULL,3.00,1.00,2.00,303,NULL,NULL,'RIO VERMLHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3073939,5.00,3.00,1.00,5.00,7.00,6.25,4.00,5.00,4.00,319,NULL,NULL,'PRESIDENTE KENNEDY','FRANCISCO BELTRãO','PR',11621,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3073955,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3073963,5.00,6.00,3.00,9.00,7.00,5.00,5.00,8.00,8.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',2562,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3073971,9.00,6.00,7.00,9.00,6.00,7.50,6.00,7.00,9.00,103,NULL,NULL,'JARDIM AMéRICA','GOIâNIA','GO',394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073980,5.00,6.00,5.00,6.00,5.00,6.00,2.00,6.00,5.00,207,NULL,212,'CENTRO','PALHOçA','SC',7985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3073998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'HARMONIA','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3074005,3.00,5.00,4.00,6.00,4.00,6.00,4.00,6.00,6.00,103,NULL,NULL,'PRAIA BRAVA','ITAJAí','SC',9726,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3074013,6.00,7.00,4.00,6.00,7.00,4.75,6.00,8.00,7.00,211,NULL,212,'ZONA NOVA','TRAMANDAí','RS',2995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074048,4.00,2.00,3.00,1.00,3.00,NULL,2.00,2.00,1.00,340,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3074056,4.00,1.00,2.00,2.00,2.00,NULL,2.00,4.00,1.00,328,NULL,NULL,'MATA VERDE','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3074064,8.00,6.00,4.00,9.00,8.00,6.50,3.00,8.00,4.00,415,NULL,NULL,'VERGUEIRO','PASSO FUNDO','RS',3197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074080,3.00,1.00,4.00,0.00,4.00,NULL,4.00,2.00,2.00,331,NULL,NULL,'PASSAGEM','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3074099,7.00,8.00,4.00,9.00,7.00,5.25,2.00,6.00,6.00,421,NULL,425,'ESTREITO','FLORIANóPOLIS','SC',4220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074102,2.00,3.00,3.00,5.00,2.00,NULL,4.00,4.00,3.00,103,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074129,7.00,6.00,6.00,8.00,5.00,4.00,5.00,7.00,8.00,103,NULL,NULL,'LAGO PARQUE','LONDRINA','PR',2354,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3074137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','REALEZA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3074145,6.00,6.00,6.00,3.00,5.00,5.00,4.00,8.00,6.00,220,NULL,201,'CIDADE ALTA','ARARANGUá','SC',5968,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3074153,3.00,7.00,6.00,5.00,6.00,5.00,3.00,6.00,6.00,216,NULL,215,'ATERRADO','POUSO REDONDO','SC',6682,239,NULL,NULL,NULL,NULL,NULL,2,9),(16,3074161,5.00,5.00,2.00,5.00,1.00,NULL,2.00,5.00,4.00,215,NULL,216,'CENTRO','LUIZ ALVES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3074170,4.00,5.00,4.00,7.00,7.00,7.50,4.00,7.00,5.00,104,NULL,NULL,'CENTRO','NOVA VENEZA','SC',5669,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3074188,5.00,4.00,1.00,7.00,7.00,5.25,3.00,2.00,4.00,103,NULL,NULL,'CABEçUDAS','ITAJAí','SC',12685,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3074196,6.00,5.00,3.00,7.00,4.00,4.50,2.00,7.00,3.00,303,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',11377,499,NULL,NULL,NULL,NULL,NULL,2,1),(16,3074200,6.00,5.00,4.00,6.00,7.00,5.25,2.00,7.00,6.00,205,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',6137,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3074226,6.00,5.00,6.00,8.00,7.00,5.75,5.00,7.00,7.00,453,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',3262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074234,6.00,8.00,5.00,8.00,4.00,4.50,4.00,8.00,5.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074250,6.00,7.00,5.00,7.00,7.00,4.75,3.00,6.00,5.00,201,NULL,212,'SANGA DAS PEDRAS','MRO GRANDE','SC',5514,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3074269,6.00,9.00,7.00,9.00,8.00,6.75,6.00,9.00,7.00,340,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074277,4.00,1.00,1.00,3.00,2.00,NULL,1.00,4.00,2.00,340,NULL,NULL,'VILA ANDRADE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3074285,3.00,6.00,1.00,3.00,3.00,NULL,3.00,5.00,4.00,331,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074323,1.00,2.00,1.00,1.00,3.00,NULL,2.00,2.00,2.00,102,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074331,3.00,4.00,2.00,2.00,2.00,NULL,3.00,5.00,1.00,317,NULL,NULL,'REAL PARQUE','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074340,4.00,6.00,5.00,7.00,6.00,5.75,5.00,8.00,6.00,301,NULL,NULL,'MAR GROSSO','LAGUNA','SC',4816,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3074358,4.00,3.00,3.00,4.00,5.00,5.75,1.00,8.00,5.00,103,NULL,NULL,'JARDIM VILA NOVA','S BERNARDO CAMPO','SP',11506,2386,NULL,NULL,NULL,NULL,NULL,2,1),(16,3074374,1.00,0.00,2.00,2.00,2.00,NULL,1.00,0.00,2.00,103,NULL,NULL,'PRAIA DO ROSA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074382,3.00,2.00,3.00,7.00,5.00,4.25,1.00,6.00,5.00,203,NULL,214,'TRINDADE','FLORIANóPOLIS','SC',14183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3074412,4.00,4.00,1.00,6.00,3.00,NULL,2.00,7.00,1.00,453,NULL,NULL,'SETOR JAO','GOIâNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074439,2.00,3.00,4.00,0.00,3.00,NULL,2.00,4.00,2.00,317,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074447,6.00,7.00,5.00,6.00,3.00,NULL,5.00,4.00,5.00,201,NULL,NULL,'CHAPADA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3074455,4.00,5.00,2.00,7.00,4.00,6.75,2.00,4.00,5.00,104,NULL,NULL,'ZONA SETE','MARINGá','PR',11458,311,NULL,NULL,NULL,NULL,NULL,2,1),(16,3074463,5.00,2.00,4.00,1.00,4.00,4.50,3.00,3.00,4.00,211,NULL,220,'CENTRO','TANGARá SERRA','MT',16206,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3074471,4.00,5.00,3.00,5.00,3.00,NULL,4.00,4.00,4.00,202,NULL,216,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3074480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'DAS NAçõES','TIMBó','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3074498,4.00,7.00,5.00,9.00,8.00,5.75,3.00,7.00,4.00,304,NULL,NULL,'CENTRO','JOAçABA','SC',4110,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3074501,2.00,3.00,5.00,5.00,2.00,NULL,2.00,2.00,1.00,326,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3074510,5.00,4.00,1.00,6.00,8.00,5.00,3.00,5.00,4.00,225,NULL,NULL,'CARIJOS','INDAIAL','SC',11710,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3074528,5.00,7.00,4.00,8.00,8.00,7.75,3.00,8.00,6.00,104,NULL,NULL,'ARMAÇAO PANTANO SUL','FLORIANóPOLIS','SC',3331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3074536,6.00,7.00,4.00,7.00,7.00,4.75,3.00,7.00,6.00,415,NULL,NULL,'CENTRO','OSVALDO CRUZ','SP',4640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3074552,5.00,8.00,2.00,5.00,8.00,5.75,5.00,8.00,3.00,303,NULL,NULL,'AREIAS','S JOSé','SC',5840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074560,5.00,5.00,3.00,8.00,4.00,7.00,4.00,6.00,4.00,415,NULL,NULL,'SETOR MARISTA','GOIâNIA','GO',7841,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3074579,5.00,7.00,3.00,5.00,4.00,5.75,3.00,5.00,5.00,301,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',10022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074587,3.00,3.00,5.00,4.00,3.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3074595,7.00,8.00,9.00,7.00,7.00,4.50,4.00,6.00,7.00,203,NULL,211,'URBANOVA','S JOSé CAMPOS','SP',1697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074609,3.00,2.00,2.00,7.00,5.00,6.75,5.00,3.00,4.00,103,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3074617,9.00,7.00,9.00,8.00,7.00,6.50,6.00,7.00,8.00,103,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3074641,8.00,7.00,9.00,9.00,9.00,5.75,5.00,9.00,7.00,214,NULL,216,'CENTRO','STA VITóRIA','MG',323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074650,5.00,3.00,1.00,5.00,6.00,4.75,1.00,6.00,4.00,404,NULL,NULL,'ARAUCáRIA','S JOSé','SC',14083,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3074668,4.00,4.00,5.00,6.00,4.00,6.25,3.00,7.00,5.00,207,NULL,NULL,'CENTRO','BIGUAçU','SC',8601,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3074676,5.00,2.00,1.00,1.00,2.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3074684,4.00,3.00,5.00,8.00,6.00,6.75,2.00,4.00,4.00,207,NULL,211,'PARQUE SAO JORGE','FLORIANóPOLIS','SC',10372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074692,6.00,7.00,5.00,7.00,5.00,4.50,4.00,7.00,5.00,208,NULL,238,'OFICINAS','TUBARãO','SC',5171,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3074706,5.00,5.00,7.00,8.00,7.00,5.75,4.00,8.00,6.00,103,NULL,NULL,'JAGUARIBE','OSASCO','SP',2408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074714,5.00,6.00,6.00,9.00,8.00,7.00,5.00,7.00,7.00,415,NULL,NULL,'CENTRO','POçOS CALDAS','MG',1748,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3074730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'INTERIROR','S LOURENçO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3074749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA LúCIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3074757,4.00,4.00,5.00,5.00,6.00,6.25,3.00,4.00,5.00,103,NULL,NULL,'NOVA BRASÍLIA','JOINVILLE','SC',9608,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3074765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3074773,4.00,6.00,3.00,6.00,7.00,5.00,3.00,6.00,4.00,102,NULL,NULL,'UNIVERSITáRIO','TIJUCAS','SC',9339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3074790,3.00,5.00,4.00,2.00,3.00,NULL,3.00,2.00,3.00,302,NULL,NULL,'FLOR DE NáPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'PARQUE DAS NAçõES','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3074820,8.00,8.00,6.00,8.00,7.00,5.00,5.00,9.00,7.00,201,NULL,212,'CENTRO','ARARANGUá','SC',1025,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3074838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'JARDIM DOS PIONEIROS','RONDONóPOLIS','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3074854,6.00,7.00,3.00,5.00,6.00,5.00,3.00,9.00,5.00,212,NULL,216,'BIGORRILHO','CURITIBA','PR',6001,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3074862,3.00,6.00,3.00,7.00,5.00,4.75,3.00,7.00,3.00,5,NULL,NULL,'CENTRO','PINHEIRO PRETO','SC',10304,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3074870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'BOM JESUS','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3074889,9.00,7.00,8.00,8.00,5.00,7.50,6.00,9.00,7.00,203,NULL,214,'BAIRRO HIGIENÓPOLIS','S PAULO','SP',506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074900,0.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SANTA CRUZ','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3074919,8.00,4.00,6.00,4.00,7.00,5.75,6.00,8.00,7.00,103,NULL,NULL,'ALTOS DE SANTANA','S JOSé CAMPOS','SP',3902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074927,4.00,8.00,3.00,8.00,5.00,5.00,5.00,8.00,5.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074935,3.00,5.00,4.00,5.00,5.00,6.50,4.00,8.00,5.00,203,NULL,220,'IRIRIÚ','JOINVILLE','SC',8664,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3074943,4.00,5.00,5.00,6.00,4.00,4.00,6.00,7.00,5.00,103,NULL,NULL,'JD ANALIA FRANCO','S PAULO','SP',7405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3074960,4.00,1.00,2.00,7.00,4.00,NULL,2.00,1.00,2.00,319,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3074978,6.00,7.00,2.00,7.00,7.00,6.50,4.00,7.00,4.00,304,NULL,NULL,'SANTO AGOSTINHO','FRANCA','SP',4499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3074986,5.00,3.00,3.00,4.00,6.00,4.00,2.00,6.00,4.00,238,NULL,207,'PALHOçA','PALHOçA','SC',14397,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3074994,7.00,2.00,2.00,5.00,5.00,4.25,2.00,5.00,3.00,301,NULL,NULL,'VILA NOVA','BLUMENAU','SC',14462,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3075001,6.00,8.00,6.00,8.00,4.00,6.25,5.00,7.00,7.00,201,NULL,216,'BARREIROS','S JOSé','SC',2961,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3075010,7.00,6.00,4.00,3.00,5.00,5.00,5.00,8.00,8.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075028,3.00,3.00,2.00,6.00,3.00,NULL,2.00,6.00,4.00,303,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075036,6.00,6.00,4.00,8.00,6.00,5.75,4.00,8.00,5.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',4500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075044,6.00,4.00,6.00,9.00,6.00,6.25,2.00,7.00,4.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',5971,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3075052,4.00,4.00,4.00,2.00,3.00,NULL,2.00,4.00,2.00,211,NULL,NULL,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075060,6.00,5.00,5.00,3.00,5.00,7.25,2.00,5.00,6.00,9,NULL,NULL,'CENTRO','TANABI','SP',9433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3075087,8.00,8.00,5.00,4.00,8.00,6.50,5.00,7.00,8.00,303,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',1984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075095,8.00,8.00,6.00,9.00,7.00,8.50,7.00,8.00,7.00,207,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075117,7.00,7.00,5.00,6.00,7.00,4.00,4.00,8.00,5.00,452,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5322,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3075133,6.00,6.00,4.00,5.00,7.00,5.75,3.00,6.00,5.00,301,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',6292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3075141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3075150,6.00,7.00,1.00,9.00,5.00,6.00,4.00,8.00,8.00,333,NULL,NULL,'GRAçA','SALVADOR','BA',3507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075168,3.00,3.00,3.00,0.00,1.00,NULL,4.00,1.00,3.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3075176,5.00,3.00,4.00,7.00,6.00,5.50,4.00,6.00,4.00,108,NULL,NULL,'IPIRANGA','S JOSé','SC',9053,195,NULL,NULL,NULL,NULL,NULL,2,1),(16,3075184,5.00,5.00,3.00,8.00,7.00,5.75,4.00,7.00,6.00,415,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',5872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075192,4.00,2.00,5.00,3.00,3.00,NULL,3.00,3.00,4.00,102,NULL,NULL,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3075214,5.00,1.00,2.00,1.00,0.00,NULL,2.00,0.00,2.00,5,NULL,NULL,'BOEHMERWALD','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3075222,8.00,8.00,7.00,9.00,8.00,6.75,4.00,9.00,6.00,303,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',875,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3075230,6.00,5.00,4.00,4.00,5.00,6.50,5.00,7.00,3.00,450,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075257,3.00,7.00,2.00,6.00,7.00,6.25,3.00,8.00,6.00,201,NULL,212,'BOA PARADA','S PEDRO ALCâNTARA','SC',6303,487,NULL,NULL,NULL,NULL,NULL,2,1),(16,3075265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3075273,5.00,6.00,5.00,6.00,6.00,5.00,3.00,6.00,3.00,452,NULL,NULL,'FERRAZ','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075281,4.00,3.00,2.00,5.00,4.00,NULL,3.00,2.00,1.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3075303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3075320,5.00,8.00,4.00,8.00,7.00,6.00,3.00,7.00,4.00,220,NULL,203,'FAZENDA','ITAJAí','SC',4413,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3075338,4.00,3.00,6.00,8.00,4.00,6.25,1.00,1.00,3.00,103,NULL,NULL,'BATEL','CURITIBA','PR',13814,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3075346,2.00,6.00,4.00,7.00,4.00,6.00,3.00,7.00,2.00,216,NULL,201,'CENTRO','CAMPOS NOVOS','SC',9833,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3075354,6.00,4.00,2.00,3.00,7.00,6.25,3.00,3.00,4.00,317,NULL,NULL,'CENTRO','PAULO LOPES','SC',12594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075370,6.00,4.00,2.00,8.00,6.00,5.50,3.00,9.00,5.00,211,NULL,233,'INDUSTRIAL','SEARA','SC',6073,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3075389,4.00,5.00,4.00,7.00,6.00,3.00,3.00,8.00,5.00,220,NULL,203,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3075397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3075400,5.00,3.00,2.00,5.00,3.00,NULL,2.00,6.00,3.00,302,NULL,NULL,'CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3075419,6.00,4.00,4.00,8.00,7.00,7.25,4.00,5.00,4.00,103,NULL,NULL,'PIO CORRÊA','CRICIúMA','SC',6011,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3075427,6.00,7.00,4.00,9.00,5.00,7.50,3.00,8.00,7.00,301,NULL,NULL,'VILA NOVA','BLUMENAU','SC',3024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075443,4.00,3.00,4.00,1.00,4.00,4.00,3.00,4.00,3.00,211,NULL,215,'CENTRO','TUBARãO','SC',16594,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3075451,7.00,5.00,6.00,5.00,4.00,5.50,3.00,6.00,6.00,452,NULL,NULL,'CAMBUí','CAMPINAS','SP',6245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075460,8.00,6.00,5.00,2.00,5.00,4.75,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','XAXIM','SC',8231,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3075486,8.00,7.00,2.00,7.00,7.00,5.25,5.00,8.00,5.00,104,NULL,NULL,'KOBRASOL','S JOSé','SC',3856,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3075494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM AMéRICA','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3075508,5.00,4.00,3.00,5.00,2.00,NULL,3.00,2.00,5.00,453,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3075524,6.00,7.00,6.00,8.00,8.00,5.75,5.00,6.00,5.00,303,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',3019,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3075532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,425,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3075540,4.00,5.00,2.00,2.00,2.00,NULL,0.00,5.00,3.00,9,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075559,6.00,7.00,4.00,9.00,6.00,5.50,3.00,7.00,4.00,220,NULL,203,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075567,5.00,3.00,3.00,7.00,7.00,8.00,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075575,8.00,9.00,6.00,8.00,8.00,6.25,5.00,9.00,7.00,303,NULL,NULL,'VILA SãO JOSé','ARARANGUá','SC',738,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3075591,5.00,3.00,2.00,8.00,3.00,NULL,1.00,2.00,2.00,301,NULL,NULL,'PâNTANO DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3075605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3075613,7.00,7.00,7.00,7.00,7.00,7.00,7.00,9.00,5.00,216,NULL,211,'TAVEIROPOLIS','CPO GRANDE','MS',1138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075621,7.00,6.00,5.00,3.00,4.00,6.00,4.00,7.00,6.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075648,7.00,5.00,7.00,8.00,5.00,4.00,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075656,5.00,6.00,5.00,8.00,7.00,4.75,6.00,6.00,6.00,104,NULL,NULL,'ARMAçãO P DO SUL','FLORIANóPOLIS','SC',4452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3075664,8.00,8.00,7.00,7.00,6.00,6.25,6.00,8.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',1211,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3075672,6.00,3.00,2.00,6.00,3.00,NULL,3.00,4.00,5.00,303,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3075680,2.00,4.00,4.00,8.00,4.00,6.25,2.00,4.00,5.00,340,NULL,NULL,'CENTRO','ARARANGUá','SC',13210,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3075699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'VILA CARLI','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3075702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MONTE ALEGRE','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3075710,7.00,8.00,6.00,9.00,9.00,5.50,5.00,7.00,6.00,340,NULL,NULL,'ABERTA DOS MORROS','PTO ALEGRE','RS',1643,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3075729,4.00,1.00,1.00,0.00,2.00,NULL,3.00,4.00,5.00,102,NULL,NULL,'CENTRO','TAIó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3075737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3075745,1.00,0.00,1.00,2.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3075753,4.00,4.00,4.00,7.00,7.00,4.50,4.00,7.00,3.00,202,NULL,238,'ITACURUBI','FLORIANóPOLIS','SC',10286,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3075770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3075788,2.00,2.00,3.00,4.00,3.00,NULL,2.00,3.00,4.00,502,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3075796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3075800,4.00,5.00,3.00,7.00,4.00,5.00,1.00,2.00,6.00,429,NULL,424,'CENTRO','FLORIANóPOLIS','SC',14290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SETOR SUDOESTE','CRUZEIRO','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3075826,3.00,3.00,2.00,4.00,4.00,4.75,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',16214,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3075834,5.00,5.00,5.00,6.00,7.00,5.25,3.00,7.00,5.00,317,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',6516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3075842,7.00,5.00,5.00,6.00,8.00,6.75,6.00,3.00,4.00,317,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',6438,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3075850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3075869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NOVA CANTU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3075877,8.00,8.00,6.00,10.00,8.00,7.00,6.00,9.00,6.00,340,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',490,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3075885,6.00,9.00,3.00,8.00,8.00,6.75,4.00,7.00,6.00,102,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075893,2.00,2.00,4.00,3.00,5.00,7.00,3.00,3.00,4.00,103,NULL,NULL,'SÃO JOÃO','CORREIA PINTO','SC',15591,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3075915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,424,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3075923,2.00,2.00,3.00,2.00,4.00,NULL,1.00,5.00,3.00,327,NULL,NULL,'PLANALTO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3075931,8.00,8.00,9.00,9.00,6.00,6.25,5.00,8.00,8.00,216,NULL,208,'AGRONOMICA','FLORIANóPOLIS','SC',517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075940,4.00,4.00,1.00,3.00,3.00,NULL,1.00,5.00,3.00,444,NULL,NULL,'ITACURUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075958,7.00,7.00,6.00,7.00,6.00,6.50,5.00,6.00,5.00,5,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',3671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075966,8.00,8.00,8.00,9.00,7.00,7.50,4.00,8.00,7.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3075974,2.00,2.00,2.00,8.00,3.00,NULL,3.00,2.00,2.00,308,NULL,NULL,'CACHOEIRA B JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3075982,5.00,5.00,3.00,8.00,5.00,4.75,4.00,6.00,5.00,316,NULL,NULL,'ASSIS BRASIL','IJUí','RS',8885,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3075990,5.00,4.00,3.00,6.00,4.00,6.25,4.00,7.00,6.00,304,NULL,NULL,'DANIELA','FLORIANóPOLIS','SC',8317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076008,5.00,6.00,4.00,8.00,6.00,6.50,2.00,2.00,5.00,108,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',8932,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3076016,0.00,4.00,3.00,2.00,1.00,NULL,3.00,4.00,0.00,425,NULL,429,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076024,5.00,7.00,1.00,7.00,5.00,5.25,2.00,3.00,4.00,501,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',12612,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076032,2.00,3.00,2.00,4.00,4.00,5.25,2.00,3.00,5.00,216,NULL,215,'CENTRO','CAçADOR','SC',15981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076040,2.00,4.00,4.00,4.00,4.00,6.50,2.00,5.00,3.00,503,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',15948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076059,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3076075,6.00,6.00,6.00,7.00,7.00,4.75,3.00,8.00,5.00,340,NULL,NULL,'PQ SANTA ROSA','SUZANO','SP',4320,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3076083,5.00,4.00,4.00,9.00,6.00,6.25,1.00,6.00,6.00,103,NULL,NULL,'CENTRO','XANXERê','SC',8195,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3076091,8.00,8.00,5.00,7.00,6.00,6.50,8.00,9.00,8.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076113,8.00,8.00,7.00,8.00,8.00,5.75,5.00,7.00,7.00,201,NULL,212,'CARVOEIRA','FLORIANóPOLIS','SC',958,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076121,2.00,2.00,1.00,3.00,3.00,NULL,4.00,3.00,2.00,104,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3076130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3076148,0.00,4.00,1.00,3.00,5.00,NULL,2.00,2.00,4.00,304,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076156,8.00,7.00,4.00,8.00,9.00,6.50,4.00,8.00,7.00,302,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',1558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076164,2.00,3.00,3.00,1.00,2.00,NULL,3.00,3.00,3.00,214,NULL,201,'FAZENDA','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3076180,5.00,4.00,4.00,5.00,3.00,NULL,0.00,3.00,1.00,108,NULL,NULL,'IVO NERCI HARTAMANN','TREZE TíLIAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(16,3076199,2.00,0.00,3.00,3.00,2.00,NULL,1.00,1.00,2.00,108,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3076202,6.00,8.00,4.00,6.00,7.00,5.75,3.00,6.00,5.00,201,NULL,208,'VILA PEDRINI','JOAçABA','SC',5192,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3076210,5.00,3.00,1.00,7.00,4.00,5.50,3.00,4.00,5.00,207,NULL,201,'PRAIA COMPRIDA','S JOSé','SC',12567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076229,5.00,6.00,3.00,9.00,5.00,5.00,2.00,6.00,5.00,220,NULL,203,'VILA NONOAI','PASSO FUNDO','RS',8235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076237,4.00,4.00,3.00,0.00,1.00,NULL,2.00,5.00,2.00,211,NULL,216,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076245,6.00,6.00,5.00,7.00,6.00,6.75,2.00,8.00,6.00,216,NULL,203,'ANDORINHA','ITAPEMA','SC',4353,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3076253,8.00,4.00,2.00,5.00,6.00,6.25,2.00,5.00,5.00,329,NULL,NULL,'CENTRO','PALHOçA','SC',9535,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076261,7.00,7.00,3.00,8.00,6.00,6.50,2.00,8.00,8.00,215,NULL,233,'CENTRO','JOINVILLE','SC',3295,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3076270,3.00,4.00,6.00,6.00,5.00,5.25,3.00,5.00,4.00,216,NULL,215,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',10123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076296,5.00,3.00,2.00,5.00,4.00,5.00,1.00,3.00,3.00,103,NULL,NULL,'PQ BUTURUSSU','S PAULO','SP',16290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076300,5.00,4.00,3.00,8.00,6.00,5.25,2.00,3.00,2.00,103,NULL,NULL,'VARGEM PEQUENA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076318,5.00,5.00,6.00,3.00,6.00,5.50,3.00,7.00,4.00,203,NULL,214,'BARREIROS','S JOSé','SC',8609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076326,5.00,7.00,5.00,7.00,7.00,4.75,4.00,6.00,3.00,238,NULL,203,'TRINDADE','FLORIANóPOLIS','SC',7129,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076334,5.00,5.00,6.00,7.00,6.00,6.75,3.00,5.00,3.00,303,NULL,NULL,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',7311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076342,7.00,5.00,5.00,7.00,5.00,5.75,3.00,7.00,6.00,220,NULL,202,'BOM ABRIGO','FLORIANóPOLIS','SC',5861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076350,5.00,4.00,3.00,7.00,5.00,5.25,2.00,7.00,5.00,214,NULL,220,'CENTRO','BAL CAMBORIú','SC',10491,352,NULL,401,NULL,NULL,NULL,4,3),(16,3076369,4.00,8.00,5.00,8.00,4.00,4.00,4.00,7.00,3.00,203,NULL,201,'CóRREGO GRANDE','FLORIANóPOLIS','SC',7901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076377,2.00,6.00,1.00,1.00,2.00,NULL,1.00,5.00,4.00,444,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076385,1.00,1.00,4.00,3.00,0.00,NULL,1.00,2.00,1.00,444,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'NOVO HORIZONTE','LINHARES','ES',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3076407,5.00,4.00,4.00,4.00,6.00,5.50,2.00,4.00,2.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076415,5.00,4.00,1.00,7.00,6.00,NULL,0.00,4.00,4.00,5,NULL,NULL,'VARGEM PEQUENA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM AMERICA','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3076431,4.00,3.00,4.00,5.00,1.00,NULL,4.00,1.00,3.00,427,NULL,NULL,'SãO LEOPOLDO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3076440,5.00,6.00,5.00,7.00,6.00,6.00,4.00,5.00,5.00,303,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',5854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ABADIA','UBERABA','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3076482,5.00,6.00,6.00,7.00,4.00,5.50,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','BIGUAçU','SC',5982,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076490,4.00,7.00,3.00,6.00,5.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3076504,6.00,5.00,5.00,6.00,6.00,5.25,5.00,7.00,6.00,214,NULL,212,'SãO JORGE','TAMBAú','SP',5031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076512,5.00,3.00,3.00,3.00,4.00,4.75,4.00,6.00,4.00,216,NULL,233,'PRESIDENTE VARGAS','ICARA','SC',13558,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3076520,3.00,8.00,5.00,9.00,7.00,5.75,4.00,6.00,5.00,340,NULL,NULL,'URCA','RIO JANEIRO','RJ',4761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076539,6.00,5.00,6.00,2.00,4.00,5.75,5.00,5.00,6.00,3,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',9232,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3076547,5.00,3.00,2.00,5.00,6.00,5.50,2.00,4.00,2.00,104,NULL,NULL,'COMERCIARIO','CRICIúMA','SC',15671,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3076555,3.00,3.00,1.00,5.00,5.00,4.75,0.00,6.00,3.00,331,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',16463,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076563,3.00,2.00,4.00,1.00,4.00,NULL,3.00,5.00,1.00,103,NULL,NULL,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3076571,3.00,1.00,1.00,5.00,3.00,NULL,1.00,3.00,3.00,421,NULL,NULL,'RIO DO CEDRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076580,2.00,4.00,3.00,5.00,5.00,5.00,2.00,4.00,4.00,101,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076601,6.00,7.00,4.00,7.00,5.00,6.50,4.00,9.00,5.00,201,NULL,233,'IPANEMA','PTO ALEGRE','RS',5182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076610,1.00,4.00,4.00,8.00,3.00,NULL,0.00,4.00,2.00,207,NULL,201,'CENTRO','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3076628,4.00,7.00,2.00,6.00,5.00,5.50,4.00,5.00,5.00,238,NULL,208,'BARREIROS','S JOSé','SC',10262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076636,6.00,7.00,4.00,7.00,5.00,4.75,2.00,8.00,5.00,319,NULL,NULL,'JURERE INTERNACIONAL','FLORIANóPOLIS','SC',6853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076644,5.00,6.00,5.00,6.00,7.00,7.00,5.00,5.00,5.00,415,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',5228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3076679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO DOMINGOS','NITERóI','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3076687,9.00,6.00,6.00,7.00,6.00,5.75,3.00,5.00,7.00,201,NULL,212,'TIJUQUINHAS','BIGUAçU','SC',3056,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076695,6.00,6.00,6.00,5.00,6.00,4.50,4.00,8.00,7.00,103,NULL,NULL,'ELDORADO','CPO GRANDE','MS',4157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076709,3.00,3.00,3.00,7.00,3.00,NULL,3.00,7.00,4.00,102,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3076717,5.00,6.00,2.00,7.00,8.00,5.75,2.00,6.00,5.00,207,NULL,212,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',8413,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076725,6.00,6.00,7.00,8.00,5.00,6.75,5.00,7.00,7.00,214,NULL,212,'TRINDADE','FLORIANóPOLIS','SC',2588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076733,4.00,3.00,4.00,7.00,5.00,4.75,4.00,5.00,6.00,211,NULL,201,'CAPOEIRAS','FLORIANóPOLIS','SC',10245,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076741,3.00,8.00,3.00,6.00,3.00,NULL,3.00,8.00,3.00,2,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076750,5.00,4.00,3.00,6.00,7.00,6.50,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076768,3.00,5.00,3.00,5.00,4.00,5.00,2.00,4.00,5.00,238,NULL,208,'CAMPINAS','S JOSé','SC',14203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076784,7.00,6.00,3.00,4.00,6.00,5.75,5.00,6.00,4.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',6166,1709,NULL,NULL,NULL,NULL,NULL,4,9),(16,3076792,5.00,4.00,4.00,8.00,8.00,7.25,2.00,8.00,4.00,450,NULL,NULL,'CENTRO HISTóRICO','S JOSé','SC',5475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'FABRICAS','S JOãO D REI','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3076814,6.00,7.00,7.00,9.00,8.00,4.50,4.00,6.00,8.00,415,NULL,NULL,'JARDIM SUMARé','RIBEIRãO PRETO','SP',1469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076830,6.00,2.00,2.00,5.00,6.00,4.25,3.00,4.00,3.00,205,NULL,NULL,'KOBRASOL','S JOSé','SC',14648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076857,6.00,4.00,4.00,9.00,6.00,7.50,4.00,8.00,6.00,340,NULL,NULL,'CENTRO','MARAU','RS',3602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076865,6.00,6.00,5.00,7.00,5.00,5.00,2.00,6.00,6.00,420,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',6611,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076873,4.00,3.00,3.00,8.00,2.00,NULL,2.00,5.00,4.00,340,NULL,NULL,'PIONEIRO','LUCAS R VERDE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076881,5.00,4.00,4.00,6.00,6.00,5.25,3.00,6.00,6.00,103,NULL,NULL,'ALTO DA GLóRIA','LOANDA','PR',9497,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3076903,5.00,4.00,4.00,7.00,7.00,4.75,2.00,4.00,4.00,302,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',10988,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076911,2.00,2.00,2.00,5.00,3.00,NULL,2.00,3.00,0.00,501,NULL,NULL,'PILARZINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076920,7.00,8.00,4.00,8.00,7.00,6.75,5.00,8.00,7.00,214,NULL,233,'CORREGO GRANDE','FLORIANóPOLIS','SC',1388,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076938,2.00,1.00,2.00,5.00,3.00,NULL,1.00,3.00,4.00,331,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3076946,6.00,4.00,7.00,4.00,3.00,NULL,3.00,8.00,7.00,103,NULL,NULL,'JARDIM MORUMBI','S JOSé R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076954,3.00,6.00,4.00,6.00,6.00,6.50,3.00,6.00,3.00,213,NULL,212,'JOãO MOTTA ESPEZIM','FLORIANóPOLIS','SC',10377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076970,5.00,5.00,3.00,8.00,8.00,6.00,4.00,8.00,5.00,340,NULL,NULL,'CENTRO','STA MARIA','RS',5353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3076989,5.00,2.00,6.00,7.00,6.00,5.00,4.00,5.00,5.00,9,NULL,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',8481,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3077004,4.00,2.00,2.00,6.00,5.00,NULL,1.00,4.00,2.00,429,NULL,425,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077012,4.00,8.00,8.00,9.00,7.00,6.25,6.00,4.00,8.00,214,NULL,201,'PANTANAL','FLORIANóPOLIS','SC',2287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077020,6.00,7.00,6.00,8.00,6.00,4.25,5.00,9.00,4.00,207,NULL,233,'TRINDADE','FLORIANóPOLIS','SC',3663,NULL,NULL,NULL,NULL,NULL,NULL,2,1);
INSERT INTO boletim_desempenho VALUES (16,3077039,5.00,5.00,4.00,4.00,3.00,NULL,1.00,6.00,3.00,303,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077047,4.00,6.00,5.00,3.00,4.00,4.75,2.00,7.00,4.00,208,NULL,201,'ITAUM','JOINVILLE','SC',12519,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3077055,4.00,6.00,3.00,8.00,4.00,4.25,6.00,4.00,7.00,201,NULL,215,'SETOR AEROPORTO','GOIâNIA','GO',7783,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3077063,4.00,3.00,3.00,7.00,4.00,6.25,3.00,5.00,3.00,103,NULL,NULL,'JARDIM AQUáRIUS','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3077071,4.00,6.00,4.00,5.00,7.00,6.00,3.00,3.00,6.00,203,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',9733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077080,5.00,3.00,1.00,9.00,7.00,5.50,3.00,6.00,4.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',10270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077098,6.00,5.00,4.00,8.00,4.00,5.00,4.00,5.00,6.00,202,NULL,213,'JD ESTRELA','FOZ IGUAçU','PR',6789,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3077110,4.00,7.00,2.00,7.00,6.00,5.00,1.00,6.00,5.00,308,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',10592,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3077128,3.00,6.00,7.00,8.00,7.00,5.75,3.00,5.00,7.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',4111,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3077136,7.00,8.00,5.00,8.00,5.00,6.00,5.00,6.00,6.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077144,5.00,6.00,2.00,7.00,6.00,5.00,5.00,7.00,3.00,309,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8423,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3077179,5.00,5.00,1.00,4.00,3.00,NULL,3.00,5.00,2.00,5,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077187,6.00,6.00,4.00,8.00,6.00,5.25,0.00,5.00,4.00,415,NULL,NULL,'COLONINHA','GASPAR','SC',8223,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3077195,7.00,8.00,9.00,8.00,8.00,6.75,6.00,9.00,7.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077209,3.00,4.00,3.00,1.00,1.00,NULL,1.00,4.00,3.00,201,NULL,238,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3077217,4.00,5.00,1.00,3.00,5.00,NULL,1.00,4.00,2.00,429,NULL,428,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077225,6.00,5.00,3.00,6.00,6.00,5.75,4.00,7.00,4.00,211,NULL,233,'ACLIMAçãO','S PAULO','SP',7816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3077241,5.00,4.00,3.00,7.00,3.00,NULL,2.00,4.00,2.00,207,NULL,201,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3077250,2.00,3.00,3.00,2.00,0.00,NULL,2.00,1.00,1.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077268,7.00,6.00,6.00,7.00,5.00,4.75,4.00,7.00,8.00,203,NULL,233,'CACUPé','FLORIANóPOLIS','SC',3998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3077276,5.00,6.00,4.00,7.00,6.00,6.25,3.00,7.00,3.00,103,NULL,NULL,'VILA ADYANNA','S JOSé CAMPOS','SP',7514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3077292,5.00,6.00,6.00,9.00,6.00,6.25,4.00,6.00,8.00,214,NULL,203,'PONTA AGUDA','BLUMENAU','SC',3297,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3077306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GRANJA VIANA','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3077314,4.00,2.00,1.00,3.00,6.00,NULL,3.00,4.00,3.00,202,NULL,NULL,'ALTO RIO FORTUNA','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077322,6.00,4.00,3.00,8.00,6.00,5.00,3.00,5.00,5.00,211,NULL,214,'ANITA GARIBALDI','JOINVILLE','SC',8595,276,NULL,295,NULL,NULL,NULL,2,8),(16,3077330,2.00,1.00,2.00,1.00,2.00,NULL,5.00,3.00,1.00,216,NULL,215,'CENTRO','CAIBI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3077349,9.00,7.00,4.00,7.00,7.00,7.00,2.00,8.00,5.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077357,7.00,7.00,9.00,9.00,6.00,5.75,6.00,6.00,8.00,203,NULL,202,'PRAIA DE ITAPARICA','VL VELHA','ES',1073,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3077365,7.00,7.00,1.00,7.00,5.00,6.00,4.00,6.00,4.00,103,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',8386,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3077373,5.00,7.00,5.00,9.00,6.00,6.00,8.00,7.00,6.00,319,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANóPOLIS','SC',2163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077381,3.00,6.00,3.00,8.00,2.00,NULL,3.00,6.00,3.00,420,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077390,5.00,6.00,4.00,8.00,5.00,4.50,3.00,5.00,4.00,5,NULL,NULL,'BOM PASTOR','VARGINHA','MG',8249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077403,9.00,8.00,8.00,7.00,5.00,5.50,9.00,9.00,8.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',407,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3077420,4.00,4.00,4.00,5.00,6.00,6.50,3.00,4.00,5.00,207,NULL,215,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',10871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077438,2.00,7.00,6.00,9.00,6.00,4.75,3.00,8.00,4.00,501,NULL,NULL,'VILA ROMANA','S PAULO','SP',5898,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3077446,6.00,5.00,4.00,5.00,6.00,6.50,4.00,5.00,4.00,452,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',8170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077454,5.00,7.00,4.00,5.00,8.00,7.00,3.00,4.00,5.00,108,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',7530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3077470,5.00,5.00,4.00,7.00,5.00,6.25,4.00,6.00,4.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',7031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3077489,8.00,8.00,6.00,9.00,8.00,7.50,5.00,9.00,8.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',541,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3077500,6.00,4.00,5.00,8.00,6.00,5.25,3.00,4.00,4.00,444,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077519,8.00,6.00,5.00,8.00,6.00,6.50,5.00,8.00,8.00,213,NULL,238,'CENTRO','FLORIANóPOLIS','SC',1851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077527,6.00,8.00,6.00,7.00,6.00,6.00,3.00,7.00,4.00,238,NULL,208,'CENTRO','PRES GETúLIO','SC',4994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077535,3.00,5.00,4.00,4.00,4.00,4.75,3.00,3.00,1.00,319,NULL,NULL,'BARREIROS','S JOSé','SC',16483,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3077551,3.00,2.00,3.00,6.00,4.00,4.75,1.00,3.00,3.00,303,NULL,NULL,'VILA SãO JOSé','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3077578,5.00,2.00,4.00,7.00,5.00,6.00,2.00,5.00,4.00,428,NULL,426,'MAGALHãES','LAGUNA','SC',11545,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3077586,4.00,5.00,4.00,8.00,5.00,5.50,2.00,5.00,3.00,415,NULL,NULL,'FáTIMA','JOINVILLE','SC',10297,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3077594,6.00,7.00,6.00,8.00,7.00,6.50,5.00,7.00,5.00,238,NULL,208,'ITACORUBI','FLORIANóPOLIS','SC',2476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077608,4.00,3.00,2.00,1.00,6.00,4.50,3.00,7.00,3.00,202,NULL,NULL,'ALTO RIO FORTUNA','RIO FORTUNA','SC',15177,511,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077616,7.00,7.00,4.00,8.00,6.00,4.75,3.00,8.00,5.00,238,NULL,208,'COQUEIROS','FLORIANóPOLIS','SC',4315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077632,5.00,4.00,5.00,8.00,3.00,NULL,4.00,5.00,7.00,304,NULL,NULL,'LAGO SUL','LG SUL','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077640,5.00,6.00,3.00,6.00,6.00,5.00,0.00,5.00,3.00,201,NULL,233,'TRINDADE','FLORIANóPOLIS','SC',12506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077659,2.00,5.00,1.00,4.00,7.00,5.25,4.00,9.00,2.00,452,NULL,NULL,'JARDIM CARDINALLI','S CARLOS','SP',12644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,424,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3077675,7.00,7.00,5.00,6.00,5.00,5.50,4.00,5.00,5.00,340,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',5642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3077705,3.00,3.00,4.00,3.00,4.00,5.75,3.00,2.00,7.00,203,NULL,201,'ANITA GARIBALDI','JOINVILLE','SC',15637,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3077713,4.00,7.00,4.00,6.00,4.00,5.75,2.00,7.00,6.00,211,NULL,201,'RIO VERMELHO','FLORIANóPOLIS','SC',8092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077721,6.00,6.00,6.00,4.00,7.00,5.00,3.00,5.00,4.00,5,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',8590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA NOVA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3077748,7.00,7.00,5.00,9.00,8.00,6.25,6.00,9.00,7.00,220,NULL,238,'ESTREITO','FLORIANóPOLIS','SC',1023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077756,4.00,5.00,4.00,7.00,6.00,6.00,5.00,5.00,6.00,340,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',6864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077764,4.00,3.00,3.00,7.00,5.00,6.00,2.00,4.00,3.00,327,NULL,NULL,'BARREIROS','S JOSé','SC',13262,32,NULL,NULL,NULL,NULL,NULL,2,1),(16,3077772,3.00,0.00,1.00,1.00,2.00,NULL,3.00,1.00,5.00,333,NULL,NULL,'CENTRO','MTE CARLO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3077780,4.00,6.00,3.00,4.00,4.00,4.00,2.00,4.00,3.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',14676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3077799,2.00,1.00,3.00,0.00,3.00,NULL,4.00,4.00,1.00,104,NULL,NULL,'CENTRO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3077802,9.00,7.00,9.00,9.00,8.00,7.25,7.00,8.00,8.00,108,NULL,NULL,'AMéRICA','JOINVILLE','SC',78,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3077810,4.00,5.00,4.00,5.00,6.00,4.25,4.00,4.00,1.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12569,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3077829,7.00,6.00,3.00,5.00,4.00,6.75,4.00,6.00,5.00,103,NULL,NULL,'ZONA','MARINGá','PR',8194,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3077837,8.00,7.00,5.00,8.00,7.00,5.50,5.00,7.00,6.00,108,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',1967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077845,4.00,5.00,5.00,5.00,4.00,4.75,3.00,6.00,3.00,201,NULL,208,'CENTRO','GUARACIABA','SC',12083,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3077853,2.00,3.00,3.00,5.00,5.00,4.00,2.00,7.00,3.00,328,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15174,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3077861,7.00,5.00,4.00,5.00,8.00,6.75,3.00,7.00,8.00,103,NULL,NULL,'VALE DO SOL','S JOSé R PRETO','SP',4914,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3077870,6.00,9.00,3.00,6.00,7.00,6.00,3.00,6.00,7.00,503,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077896,5.00,3.00,4.00,6.00,3.00,NULL,3.00,6.00,4.00,501,NULL,NULL,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3077900,6.00,4.00,3.00,5.00,2.00,NULL,3.00,5.00,4.00,238,NULL,208,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3077918,6.00,5.00,1.00,8.00,6.00,5.50,3.00,9.00,6.00,211,NULL,216,'GRAPIA','PARAíSO','SC',6637,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3077926,6.00,6.00,5.00,9.00,7.00,6.00,3.00,8.00,3.00,450,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',4044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077934,6.00,7.00,3.00,6.00,6.00,5.00,3.00,6.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5884,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3077950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3077969,6.00,5.00,6.00,7.00,4.00,6.00,3.00,8.00,6.00,5,NULL,NULL,'AMéRICA','JOINVILLE','SC',5034,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3077977,8.00,6.00,7.00,8.00,7.00,5.75,6.00,8.00,9.00,103,NULL,NULL,'KOBRASOL','S JOSé','SC',1126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3077985,6.00,3.00,2.00,9.00,6.00,5.00,3.00,6.00,5.00,420,NULL,NULL,'HIGIENOPOLIS','STA CRUZ SUL','RS',7942,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3077993,2.00,5.00,2.00,7.00,3.00,NULL,3.00,7.00,3.00,326,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078000,5.00,3.00,2.00,7.00,2.00,NULL,2.00,3.00,3.00,211,NULL,215,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3078019,5.00,6.00,3.00,4.00,8.00,7.00,2.00,7.00,7.00,303,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',5679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078027,3.00,5.00,2.00,7.00,4.00,4.75,3.00,4.00,3.00,5,NULL,NULL,'ESTADOS','INDAIAL','SC',14696,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3078035,2.00,4.00,3.00,6.00,4.00,4.50,2.00,4.00,1.00,502,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',16399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078043,6.00,6.00,4.00,8.00,5.00,6.50,5.00,6.00,6.00,103,NULL,NULL,'DAS NAçõES','TIMBó','SC',4875,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3078051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SACADURA CABRAL','STO ANDRé','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3078060,6.00,6.00,7.00,2.00,5.00,4.50,3.00,7.00,8.00,233,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',5306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078078,4.00,7.00,6.00,7.00,6.00,5.25,2.00,8.00,3.00,318,NULL,NULL,'SERRARIAS','S JOSé','SC',7526,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078086,4.00,6.00,6.00,6.00,6.00,5.00,2.00,5.00,6.00,215,NULL,238,'CACUPé','FLORIANóPOLIS','SC',6359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078094,5.00,5.00,5.00,5.00,6.00,5.75,3.00,5.00,4.00,301,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',9247,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078108,9.00,7.00,4.00,9.00,8.00,7.25,6.00,7.00,8.00,103,NULL,NULL,'BARRA DO RIO CERRO','JARAGUá SUL','SC',622,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3078124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3078132,2.00,4.00,4.00,7.00,5.00,6.25,3.00,3.00,1.00,207,NULL,201,'OLARIAS','PNT GROSSA','PR',15296,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078167,2.00,4.00,2.00,2.00,6.00,4.75,3.00,8.00,5.00,208,NULL,211,'CARIANOS','FLORIANóPOLIS','SC',13181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078175,8.00,4.00,5.00,3.00,4.00,5.75,5.00,6.00,5.00,301,NULL,NULL,'ARMAçãO','FLORIANóPOLIS','SC',8648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'CAMPO EXPERIMENTAL','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3078191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'MATRIZ','MAUá','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3078205,4.00,1.00,2.00,3.00,0.00,NULL,2.00,3.00,2.00,9,NULL,NULL,'CENTRO','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078213,7.00,7.00,5.00,6.00,5.00,5.25,6.00,7.00,7.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078221,8.00,3.00,2.00,8.00,6.00,5.75,3.00,4.00,5.00,108,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',8937,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'PIATã','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3078248,5.00,6.00,4.00,8.00,4.00,4.75,4.00,3.00,3.00,103,NULL,NULL,'VILA VILAS BOAS','CPO GRANDE','MS',10547,2287,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078256,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'ARMAçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3078264,5.00,3.00,1.00,0.00,3.00,NULL,3.00,5.00,4.00,328,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078272,0.00,0.00,0.00,6.00,6.00,NULL,0.00,0.00,0.00,238,NULL,208,'BALNEARIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3078280,6.00,4.00,4.00,8.00,7.00,6.00,5.00,5.00,4.00,340,NULL,NULL,'ASA NORTE','BRASíLIA','DF',7035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078299,7.00,6.00,7.00,7.00,8.00,5.00,5.00,7.00,6.00,103,NULL,NULL,'PROGRESSO','RIO DO SUL','SC',2447,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'PITUBA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3078329,5.00,4.00,3.00,6.00,5.00,4.25,2.00,5.00,4.00,103,NULL,NULL,'SãO MAURíCIO','BRAçO NORTE','SC',13415,2557,NULL,NULL,NULL,NULL,NULL,2,10),(16,3078337,2.00,3.00,2.00,4.00,5.00,NULL,1.00,2.00,2.00,426,NULL,425,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078345,8.00,6.00,6.00,9.00,6.00,6.50,4.00,7.00,8.00,9,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',1760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3078370,4.00,4.00,4.00,6.00,5.00,4.50,1.00,5.00,4.00,224,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'JARDIM DAS COLINAS','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3078396,7.00,6.00,2.00,4.00,6.00,4.50,4.00,5.00,4.00,501,NULL,NULL,'JARDIM AMéRICA','S JOSé CAMPOS','SP',10921,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3078400,6.00,6.00,3.00,5.00,6.00,5.25,4.00,7.00,4.00,332,NULL,NULL,'VELHA','BLUMENAU','SC',8475,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3078418,5.00,6.00,1.00,7.00,5.00,6.50,1.00,7.00,2.00,301,NULL,NULL,'BOM JESUS','CPO GRANDE','MS',11064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078426,3.00,3.00,4.00,1.00,3.00,NULL,3.00,6.00,4.00,238,NULL,208,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078434,5.00,4.00,1.00,8.00,5.00,5.50,4.00,7.00,3.00,319,NULL,NULL,'SANTA MARIA','TOLEDO','PR',10027,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078442,6.00,6.00,6.00,9.00,8.00,6.00,4.00,9.00,4.00,103,NULL,NULL,'JARDIM DAS AMERICAS','PATO BRANCO','PR',3042,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3078450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3078477,9.00,6.00,9.00,9.00,9.00,5.75,6.00,8.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3078493,6.00,8.00,4.00,5.00,3.00,NULL,3.00,6.00,4.00,234,NULL,NULL,'CHACARA DA BARRA','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078507,5.00,5.00,1.00,8.00,5.00,5.75,2.00,6.00,5.00,103,NULL,NULL,'BELA VISTA','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3078515,6.00,8.00,2.00,4.00,4.00,4.75,4.00,6.00,5.00,303,NULL,NULL,'CENTRO','BRUSQUE','SC',9308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078523,3.00,5.00,3.00,3.00,1.00,NULL,2.00,4.00,3.00,309,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078531,3.00,2.00,2.00,3.00,4.00,NULL,1.00,2.00,3.00,451,NULL,NULL,'SANTO ANTONIO DE P','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3078540,3.00,6.00,6.00,8.00,8.00,6.00,2.00,7.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',7529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078566,9.00,7.00,5.00,7.00,5.00,6.00,4.00,8.00,9.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',1815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'MIGUEL COUTO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3078582,4.00,5.00,3.00,7.00,5.00,6.00,4.00,9.00,4.00,103,NULL,NULL,'VILA NOVA','IMBITUBA','SC',7216,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3078590,2.00,3.00,3.00,1.00,4.00,NULL,0.00,3.00,4.00,238,NULL,207,'CENTRO','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078604,5.00,5.00,3.00,4.00,4.00,4.75,2.00,3.00,2.00,404,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',15417,65,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3078620,3.00,6.00,2.00,7.00,5.00,5.75,2.00,6.00,6.00,301,NULL,NULL,'CAMPINAS','S JOSé','SC',10142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078639,6.00,8.00,5.00,7.00,6.00,8.00,3.00,7.00,8.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078647,5.00,7.00,4.00,8.00,6.00,6.00,6.00,9.00,7.00,216,NULL,233,'CENTRO','CASCAVEL','PR',2438,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3078671,6.00,8.00,6.00,7.00,4.00,5.50,3.00,6.00,5.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',5628,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3078680,4.00,5.00,5.00,7.00,4.00,4.25,3.00,6.00,4.00,201,NULL,203,'SãO JORGE','PARANAVAí','PR',10448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'SãO JOãO','SALTO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3078701,4.00,7.00,5.00,9.00,8.00,6.50,3.00,8.00,3.00,238,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078728,2.00,1.00,3.00,2.00,2.00,NULL,4.00,2.00,2.00,316,NULL,NULL,'UBATUBA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3078736,5.00,4.00,4.00,2.00,5.00,5.50,4.00,5.00,5.00,220,NULL,214,'MONTE CRISTO','FLORIANóPOLIS','SC',10635,404,NULL,356,NULL,NULL,NULL,4,1),(16,3078744,5.00,5.00,3.00,7.00,6.00,4.00,1.00,2.00,4.00,108,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',13551,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078752,6.00,3.00,4.00,4.00,4.00,4.75,3.00,2.00,3.00,102,NULL,NULL,'CENTRO','S JOSé R PRETO','SP',15655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078760,7.00,4.00,4.00,4.00,6.00,6.00,2.00,4.00,5.00,103,NULL,NULL,'CONDE D EU','ORLEANS','SC',10911,2327,NULL,NULL,NULL,NULL,NULL,4,10),(16,3078779,5.00,5.00,6.00,7.00,4.00,4.50,3.00,4.00,6.00,201,NULL,233,'DISTRITO INDUSTRIAL','JOINVILLE','SC',8540,673,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078787,6.00,4.00,4.00,5.00,6.00,5.25,5.00,4.00,3.00,103,NULL,NULL,'ALVORADA','CUIABá','MT',9133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078795,7.00,5.00,7.00,7.00,8.00,6.00,7.00,8.00,8.00,103,NULL,NULL,'BOA ESPERANçA','CUIABá','MT',1393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078809,2.00,3.00,4.00,2.00,3.00,NULL,1.00,2.00,4.00,2,NULL,NULL,'BOM JESUS','S JOSé R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078817,7.00,4.00,4.00,8.00,6.00,6.50,3.00,7.00,3.00,103,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',6643,1781,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078841,0.00,5.00,2.00,5.00,6.00,4.75,1.00,3.00,5.00,425,NULL,429,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',16082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'ÁGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3078868,2.00,2.00,3.00,7.00,0.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3078884,4.00,6.00,3.00,6.00,7.00,7.00,2.00,6.00,4.00,303,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',7699,349,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078892,4.00,5.00,4.00,8.00,6.00,6.75,2.00,8.00,3.00,316,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',8389,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PROGRESSO','PRIMAVERA LESTE','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3078922,5.00,7.00,8.00,8.00,8.00,7.00,7.00,8.00,9.00,103,NULL,NULL,'PARAISO','S PAULO','SP',624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078930,5.00,6.00,3.00,7.00,3.00,NULL,2.00,6.00,4.00,3,NULL,NULL,'JARDIM CONTINENTAL','MARíLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3078949,6.00,4.00,2.00,5.00,4.00,6.50,3.00,3.00,5.00,207,NULL,201,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',12979,663,NULL,1010,NULL,NULL,NULL,4,1),(16,3078957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'VILA NOVA','TROMBUDO CENTRAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3078965,6.00,7.00,4.00,7.00,6.00,5.25,2.00,7.00,6.00,303,NULL,NULL,'PASSA VINTE','PALHOçA','SC',5227,245,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078973,5.00,8.00,6.00,8.00,8.00,6.50,2.00,8.00,7.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3078981,9.00,9.00,4.00,7.00,7.00,7.75,6.00,8.00,7.00,207,NULL,201,'TRINDADE','FLORIANOPOLIS','SC',962,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079007,7.00,7.00,6.00,7.00,8.00,7.00,5.00,6.00,5.00,5,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',2433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079015,4.00,6.00,1.00,6.00,5.00,5.00,2.00,7.00,4.00,201,NULL,202,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',11633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3079040,5.00,4.00,3.00,1.00,4.00,5.75,4.00,5.00,1.00,101,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',16179,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079058,3.00,1.00,3.00,5.00,4.00,4.75,3.00,3.00,2.00,415,NULL,NULL,'PRAIA DE FORA','PALHOçA','SC',16616,423,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079074,2.00,4.00,2.00,6.00,2.00,NULL,0.00,6.00,3.00,201,NULL,214,'CAMINHO NOVO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079082,4.00,4.00,2.00,6.00,3.00,NULL,1.00,5.00,3.00,212,NULL,211,'FUNDOS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079104,4.00,4.00,5.00,1.00,3.00,NULL,3.00,4.00,3.00,301,NULL,NULL,'CENTRO','ALPESTRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3079112,4.00,4.00,2.00,6.00,6.00,6.00,2.00,6.00,6.00,201,NULL,233,'CENTRO','S PEDRO ALCâNTARA','SC',9424,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079139,6.00,7.00,5.00,8.00,7.00,5.25,4.00,8.00,6.00,211,NULL,202,'DOM MIELLE','RIBEIRAO PRETO','SP',2484,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079147,4.00,4.00,4.00,3.00,3.00,NULL,3.00,5.00,3.00,208,NULL,202,'FAZ SANTO ANTôNIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079155,6.00,7.00,5.00,5.00,6.00,6.50,4.00,7.00,5.00,211,NULL,201,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',4766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079171,6.00,7.00,6.00,8.00,8.00,6.75,5.00,7.00,7.00,319,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2028,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079180,8.00,6.00,9.00,8.00,6.00,5.50,6.00,9.00,6.00,108,NULL,NULL,'NOVA REDENTORA','S JOSé R PRETO','SP',877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079198,6.00,5.00,5.00,4.00,6.00,7.50,4.00,8.00,6.00,5,NULL,NULL,'SAO JOAO','TUBARãO','SC',4970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079201,2.00,6.00,3.00,3.00,2.00,NULL,2.00,4.00,2.00,104,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MARIA LUIZA','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3079236,3.00,6.00,1.00,4.00,5.00,5.25,4.00,4.00,5.00,5,NULL,NULL,'BATEL','CURITIBA','PR',13003,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3079244,2.00,7.00,3.00,7.00,5.00,5.75,2.00,6.00,2.00,318,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',11920,90,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079260,5.00,7.00,7.00,7.00,4.00,7.00,4.00,8.00,6.00,304,NULL,NULL,'MEDICINA','POUSO ALEGRE','MG',3330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079279,4.00,7.00,2.00,5.00,4.00,4.75,2.00,6.00,5.00,444,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',11672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079287,4.00,5.00,4.00,6.00,2.00,NULL,1.00,3.00,3.00,201,NULL,207,'JD PROGRESSO','PARANAVAí','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079295,3.00,2.00,2.00,7.00,3.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'PRESIDENTE VARGAS','IçARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3079317,3.00,2.00,2.00,6.00,3.00,NULL,0.00,4.00,1.00,317,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079333,7.00,5.00,5.00,6.00,2.00,NULL,4.00,8.00,5.00,420,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3079368,5.00,1.00,3.00,5.00,5.00,5.75,2.00,7.00,1.00,101,NULL,NULL,'CENTRO','BOM JESUS','RS',14725,100,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079376,3.00,2.00,1.00,2.00,3.00,NULL,3.00,5.00,2.00,104,NULL,NULL,'MARACANã','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079384,3.00,3.00,1.00,3.00,4.00,4.25,3.00,4.00,3.00,225,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',16676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079392,7.00,4.00,3.00,3.00,8.00,7.00,5.00,3.00,3.00,415,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',10884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'SAO CRISTOVAO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3079414,3.00,6.00,2.00,7.00,5.00,6.25,4.00,8.00,5.00,303,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',8156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079422,5.00,6.00,3.00,3.00,5.00,6.25,3.00,4.00,1.00,208,NULL,203,'CENTRO','LAGES','SC',13965,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3079430,4.00,2.00,2.00,3.00,2.00,NULL,4.00,3.00,0.00,208,NULL,238,'SANTA TEREZA','S PEDRO ALCâNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079449,4.00,5.00,1.00,3.00,6.00,6.75,2.00,6.00,5.00,207,NULL,201,'JARDIM STABILE','BIRIGüI','SP',11416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079457,2.00,4.00,3.00,8.00,7.00,5.25,4.00,6.00,5.00,225,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',9370,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079465,4.00,3.00,2.00,3.00,2.00,NULL,3.00,2.00,2.00,304,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079473,3.00,2.00,1.00,1.00,3.00,NULL,1.00,2.00,1.00,102,NULL,NULL,'LINHA CONTESSI','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3079490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3079503,6.00,4.00,3.00,6.00,4.00,5.25,3.00,6.00,2.00,303,NULL,NULL,'INTERIOR','CAXAMBU SUL','SC',13028,562,NULL,NULL,NULL,NULL,NULL,2,4),(16,3079511,4.00,1.00,4.00,3.00,5.00,5.25,1.00,5.00,5.00,104,NULL,NULL,'CENTRO','PATO BRANCO','PR',14873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079520,5.00,7.00,3.00,6.00,7.00,6.25,4.00,9.00,5.00,452,NULL,NULL,'CENTRO','STO ANTôNIO POSSE','SP',4712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079538,3.00,7.00,2.00,7.00,7.00,6.75,4.00,7.00,4.00,318,NULL,NULL,'EUROPISO','LONTRAS','SC',7621,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3079554,7.00,8.00,7.00,6.00,8.00,5.75,4.00,7.00,8.00,103,NULL,NULL,'BARREIROS','S JOSé','SC',1859,790,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079562,7.00,8.00,7.00,7.00,7.00,7.00,5.00,6.00,6.00,201,NULL,212,'BOM RETIRO','JOINVILLE','SC',2455,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3079570,3.00,3.00,2.00,4.00,2.00,NULL,1.00,2.00,3.00,216,NULL,213,'INTERIOR','CAIBI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3079589,8.00,3.00,5.00,6.00,4.00,5.25,3.00,6.00,6.00,215,NULL,NULL,'BONFIM PAULISTA','BONFIM PAULISTA','SP',6822,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079597,7.00,5.00,4.00,8.00,7.00,6.75,4.00,6.00,3.00,415,NULL,NULL,'CAMPINAS','S JOSé','SC',4989,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079619,0.00,0.00,0.00,7.00,5.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3079627,5.00,3.00,1.00,6.00,3.00,NULL,3.00,4.00,5.00,404,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079635,5.00,3.00,1.00,4.00,4.00,4.50,3.00,5.00,2.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',16077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079643,1.00,3.00,3.00,3.00,7.00,NULL,3.00,4.00,4.00,208,NULL,203,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3079651,7.00,5.00,7.00,8.00,8.00,6.00,4.00,8.00,5.00,207,NULL,201,'AGRONôMICA','FLORIANóPOLIS','SC',2968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079678,4.00,5.00,3.00,7.00,2.00,NULL,2.00,4.00,1.00,216,NULL,220,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3079686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'ABERTA DOS MORROS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3079708,1.00,4.00,1.00,6.00,4.00,NULL,3.00,4.00,2.00,208,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3079724,5.00,5.00,2.00,6.00,5.00,4.75,4.00,7.00,3.00,452,NULL,NULL,'JANSEN','GRAVATAí','RS',9730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079759,5.00,7.00,4.00,8.00,5.00,5.25,3.00,5.00,5.00,214,NULL,NULL,'PARQUE IRACEMA','CATANDUVA','SP',6743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079775,1.00,7.00,4.00,8.00,5.00,5.00,6.00,7.00,6.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',5614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3079791,3.00,6.00,2.00,1.00,2.00,NULL,0.00,5.00,2.00,205,NULL,NULL,'CENTRO II','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3079805,6.00,7.00,3.00,7.00,8.00,6.50,4.00,8.00,6.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079813,5.00,6.00,2.00,4.00,6.00,5.25,3.00,7.00,3.00,303,NULL,NULL,'FATIMA','FLORIANóPOLIS','SC',11911,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079821,3.00,5.00,5.00,8.00,6.00,7.00,3.00,4.00,5.00,224,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',8001,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079830,9.00,9.00,8.00,8.00,7.00,7.50,7.00,9.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079848,8.00,8.00,5.00,9.00,8.00,4.75,7.00,8.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079856,5.00,3.00,3.00,6.00,4.00,5.25,4.00,6.00,5.00,103,NULL,NULL,'VILA BEATRIZ','MARACAJá','SC',11088,2343,NULL,NULL,NULL,NULL,NULL,2,5),(16,3079864,5.00,5.00,5.00,4.00,5.00,5.25,1.00,8.00,2.00,201,NULL,211,'VARGEM PEQUENA','FLORIANóPOLIS','SC',11245,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079872,3.00,3.00,4.00,7.00,6.00,6.25,0.00,5.00,4.00,328,NULL,NULL,'NEREU RAMOS','JARAGUá SUL','SC',12550,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3079899,5.00,1.00,2.00,3.00,3.00,NULL,2.00,5.00,3.00,103,NULL,NULL,'VIGOLO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079902,4.00,5.00,6.00,9.00,7.00,5.25,3.00,5.00,4.00,202,NULL,208,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079910,6.00,6.00,8.00,9.00,7.00,6.25,5.00,7.00,7.00,214,NULL,213,'CENTRO','S JOSé R PRETO','SP',1445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3079929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3079953,4.00,3.00,4.00,5.00,2.00,NULL,1.00,5.00,5.00,104,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3079961,5.00,4.00,1.00,6.00,4.00,5.00,1.00,5.00,4.00,303,NULL,NULL,'CENTRO','CRICIúMA','SC',15233,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3079988,3.00,6.00,4.00,3.00,5.00,5.50,2.00,7.00,3.00,233,NULL,213,'CENTRO','BAL CAMBORIú','SC',12801,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3079996,5.00,5.00,2.00,6.00,4.00,4.50,2.00,5.00,3.00,207,NULL,NULL,'SANTO ANTONIO','TUBARãO','SC',13646,700,NULL,NULL,NULL,NULL,NULL,2,10),(16,3080005,8.00,9.00,4.00,8.00,7.00,6.50,6.00,8.00,8.00,103,NULL,NULL,'JD CIDADE FPOLIS','S JOSé','SC',668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080013,5.00,4.00,3.00,2.00,5.00,6.00,0.00,6.00,3.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',15452,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3080021,5.00,7.00,6.00,7.00,5.00,6.00,4.00,7.00,4.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080030,7.00,4.00,6.00,8.00,7.00,5.75,3.00,7.00,7.00,103,NULL,NULL,'SAO LUIZ','CRICIúMA','SC',4554,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3080048,8.00,9.00,7.00,9.00,8.00,6.50,4.00,9.00,7.00,301,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080056,5.00,2.00,3.00,8.00,4.00,6.25,4.00,6.00,6.00,203,NULL,233,'GRAJAú','RIO JANEIRO','RJ',9799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080064,6.00,6.00,3.00,3.00,7.00,6.50,4.00,6.00,6.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080072,4.00,5.00,4.00,6.00,2.00,NULL,2.00,0.00,2.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3080110,5.00,5.00,1.00,3.00,2.00,NULL,4.00,6.00,3.00,101,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080129,3.00,5.00,2.00,5.00,5.00,4.75,2.00,6.00,2.00,501,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',15307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080137,8.00,7.00,6.00,7.00,6.00,5.00,3.00,6.00,8.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',3499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080145,6.00,4.00,7.00,8.00,6.00,4.50,5.00,7.00,5.00,201,NULL,202,'SOUZA CRUZ','BRUSQUE','SC',3827,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3080153,6.00,3.00,1.00,3.00,2.00,NULL,2.00,2.00,3.00,501,NULL,NULL,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080170,2.00,4.00,2.00,9.00,4.00,4.25,4.00,8.00,2.00,102,NULL,NULL,'CENTRO','FORMOSA SUL','SC',11832,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3080188,4.00,3.00,4.00,3.00,2.00,NULL,2.00,1.00,2.00,238,NULL,208,'BELA VISTA II','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080196,6.00,6.00,2.00,7.00,7.00,7.50,5.00,8.00,6.00,415,NULL,NULL,'SãO JOãO','ITAJAí','SC',3878,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3080200,1.00,4.00,2.00,1.00,0.00,NULL,0.00,2.00,1.00,203,NULL,202,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080218,5.00,5.00,2.00,7.00,5.00,5.75,3.00,5.00,2.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080226,3.00,1.00,3.00,4.00,3.00,NULL,3.00,5.00,3.00,301,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080234,0.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3080242,4.00,5.00,5.00,7.00,5.00,5.75,4.00,4.00,3.00,5,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',9734,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3080269,7.00,3.00,5.00,8.00,5.00,5.25,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',10704,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3080277,6.00,3.00,4.00,7.00,6.00,4.75,2.00,7.00,3.00,215,NULL,233,'CENTRO','TUBARãO','SC',9728,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3080285,9.00,9.00,6.00,8.00,7.00,6.75,6.00,8.00,8.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080293,7.00,7.00,6.00,5.00,6.00,4.00,5.00,8.00,8.00,203,NULL,220,'AZAMBUJA','BRUSQUE','SC',2185,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3080307,4.00,7.00,4.00,0.00,5.00,NULL,2.00,5.00,4.00,203,NULL,216,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080315,5.00,4.00,2.00,6.00,5.00,4.50,3.00,1.00,2.00,234,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080323,3.00,3.00,4.00,6.00,4.00,6.00,2.00,4.00,5.00,302,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13997,173,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080331,6.00,3.00,6.00,4.00,2.00,NULL,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','CASA BRANCA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080340,5.00,8.00,5.00,8.00,7.00,5.00,2.00,7.00,4.00,319,NULL,NULL,'BARREIROS','S JOSé','SC',6153,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080358,5.00,5.00,2.00,3.00,7.00,6.00,3.00,5.00,5.00,211,NULL,215,'CENTRO','ITAPIRANGA','SC',11736,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3080366,6.00,3.00,4.00,6.00,5.00,6.00,4.00,6.00,6.00,304,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',8114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080374,6.00,3.00,4.00,2.00,3.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'ZONA SETE','MARINGá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3080382,8.00,9.00,9.00,8.00,9.00,6.00,7.00,9.00,8.00,203,NULL,220,'HIGIENóPOLIS','PTO ALEGRE','RS',165,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3080390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BELéM VELHO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3080404,3.00,5.00,1.00,6.00,8.00,6.00,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',13550,2569,NULL,NULL,NULL,NULL,NULL,4,10),(16,3080412,4.00,2.00,4.00,6.00,3.00,NULL,3.00,0.00,4.00,203,NULL,214,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080420,6.00,5.00,4.00,3.00,3.00,NULL,5.00,6.00,3.00,216,NULL,213,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080439,3.00,5.00,4.00,5.00,7.00,6.50,3.00,5.00,2.00,104,NULL,NULL,'ARGENTINA','CRICIúMA','SC',11952,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3080447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3080455,3.00,3.00,2.00,4.00,2.00,NULL,1.00,2.00,3.00,302,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3080480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'IMIGRANTES','TIMBó','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3080498,3.00,2.00,2.00,0.00,3.00,NULL,3.00,2.00,2.00,202,NULL,203,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080501,6.00,4.00,2.00,8.00,7.00,8.00,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080510,7.00,6.00,4.00,0.00,5.00,4.00,3.00,5.00,4.00,212,NULL,201,'REGIãO DO LAGO II','CASCAVEL','PR',12361,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3080528,3.00,5.00,4.00,7.00,5.00,5.00,3.00,4.00,3.00,415,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',14092,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080536,5.00,7.00,3.00,9.00,7.00,6.00,4.00,6.00,5.00,332,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',5343,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080544,7.00,7.00,4.00,8.00,6.00,6.75,2.00,5.00,3.00,415,NULL,NULL,'VILA NOVA','BLUMENAU','SC',6833,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3080552,5.00,5.00,1.00,6.00,6.00,5.00,2.00,7.00,3.00,208,NULL,201,'CENTRO','FLORIANóPOLIS','SC',11795,376,NULL,914,NULL,NULL,NULL,2,1),(16,3080560,5.00,6.00,3.00,5.00,4.00,4.75,2.00,7.00,5.00,202,NULL,213,'PARQUE ALVORADA','DOURADOS','MS',9631,351,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080579,5.00,5.00,5.00,8.00,4.00,5.00,5.00,4.00,5.00,317,NULL,NULL,'CENTRO','CASCAVEL','PR',8118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080587,9.00,8.00,7.00,9.00,7.00,8.25,7.00,7.00,9.00,103,NULL,NULL,'ARASOL','ARAXá','MG',190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMéRICA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3080609,2.00,4.00,4.00,7.00,3.00,NULL,2.00,4.00,4.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080617,5.00,6.00,4.00,5.00,6.00,6.50,4.00,6.00,5.00,104,NULL,NULL,'CENTRO','MASSARANDUBA','SC',7791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080625,7.00,7.00,6.00,8.00,7.00,7.00,4.00,8.00,6.00,216,NULL,233,'SAGRADO C DE JESUS','LAGES','SC',1686,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080633,4.00,5.00,8.00,6.00,5.00,6.25,3.00,5.00,4.00,316,NULL,NULL,'SAGUAçU','JOINVILLE','SC',7124,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3080641,9.00,6.00,8.00,8.00,7.00,7.00,5.00,6.00,8.00,103,NULL,NULL,'CARANDá BOSQUE','CPO GRANDE','MS',730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080650,5.00,2.00,2.00,4.00,4.00,5.75,2.00,5.00,3.00,202,NULL,213,'KOBRASOL','S JOSé','SC',16276,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080668,3.00,2.00,1.00,0.00,2.00,NULL,3.00,2.00,2.00,102,NULL,NULL,'UNIVERSITARIO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3080684,4.00,3.00,2.00,6.00,5.00,4.75,3.00,8.00,5.00,327,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12518,28,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080706,7.00,7.00,7.00,9.00,6.00,5.50,6.00,8.00,7.00,103,NULL,NULL,'ZONA CINCO','MARINGá','PR',1281,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3080722,3.00,1.00,2.00,1.00,3.00,NULL,4.00,0.00,2.00,103,NULL,NULL,'CENTRO','CAXAMBU SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3080749,3.00,6.00,1.00,5.00,5.00,4.25,2.00,3.00,3.00,207,NULL,201,'BELA VISTA','RIO NEGRINHO','SC',16408,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3080757,9.00,8.00,8.00,7.00,7.00,6.00,9.00,8.00,8.00,103,NULL,NULL,'CENTRO','PALHOçA','SC',236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080773,3.00,0.00,3.00,2.00,2.00,NULL,3.00,3.00,5.00,103,NULL,NULL,'JD IMACULADA','TAUBATé','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080790,8.00,5.00,5.00,5.00,5.00,4.00,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',3559,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080803,5.00,7.00,5.00,7.00,6.00,4.25,4.00,6.00,5.00,220,NULL,208,'ATIRADORES','JOINVILLE','SC',5766,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3080838,5.00,4.00,4.00,5.00,6.00,5.75,2.00,7.00,3.00,340,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',11496,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3080846,5.00,6.00,4.00,9.00,7.00,7.25,5.00,8.00,4.00,303,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',2987,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080854,0.00,5.00,3.00,4.00,5.00,NULL,1.00,4.00,2.00,316,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080862,5.00,6.00,4.00,7.00,9.00,6.75,4.00,8.00,4.00,301,NULL,NULL,'ESTREITO','FLORIANOPOLIS','SC',4581,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080870,2.00,0.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,202,NULL,213,'DOS INDUSTRIáRIOS','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3080889,5.00,1.00,4.00,5.00,4.00,6.50,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',15396,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3080897,5.00,5.00,4.00,8.00,4.00,4.50,4.00,6.00,4.00,214,NULL,212,'PIONEIROS','BAL CAMBORIú','SC',8901,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3080900,2.00,3.00,2.00,5.00,5.00,5.75,0.00,3.00,5.00,103,NULL,NULL,'SÃO CRISTÓVÃO','CHAPECO','SC',16166,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3080919,8.00,7.00,3.00,6.00,6.00,4.00,3.00,7.00,5.00,220,NULL,216,'CENTRO','BRUSQUE','SC',7949,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3080927,5.00,4.00,4.00,2.00,7.00,5.50,4.00,6.00,4.00,207,NULL,201,'BARREIROS','S JOSé','SC',10145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3080935,4.00,4.00,2.00,7.00,5.00,4.00,2.00,3.00,3.00,101,NULL,NULL,'SANTA TEREZA','S PEDRO ALCâNTARA','SC',15415,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080943,4.00,3.00,1.00,4.00,4.00,NULL,2.00,3.00,4.00,211,NULL,238,'PRAIA DE FORA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080951,3.00,2.00,1.00,6.00,3.00,NULL,1.00,4.00,2.00,5,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080960,4.00,4.00,3.00,4.00,5.00,5.25,1.00,5.00,2.00,9,NULL,NULL,'VILA NOVA','JOINVILLE','SC',15944,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3080978,4.00,4.00,5.00,7.00,4.00,6.75,3.00,5.00,6.00,207,NULL,201,'CóRREGO GRANDE','FLORIANóPOLIS','SC',9964,472,NULL,764,NULL,NULL,NULL,4,1),(16,3080986,7.00,8.00,5.00,8.00,8.00,6.50,2.00,6.00,6.00,316,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',3194,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3080994,8.00,8.00,7.00,6.00,6.00,4.50,6.00,9.00,7.00,103,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',1635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081001,8.00,9.00,7.00,7.00,8.00,5.75,3.00,8.00,6.00,201,NULL,208,'COQUEIROS','FLORIANóPOLIS','SC',1318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081010,1.00,3.00,1.00,4.00,3.00,NULL,4.00,5.00,2.00,202,NULL,238,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081028,4.00,5.00,2.00,3.00,5.00,4.75,4.00,6.00,4.00,310,NULL,NULL,'CENTRO','APUCARANA','PR',12667,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3081036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3081044,8.00,7.00,4.00,6.00,7.00,7.25,5.00,7.00,6.00,303,NULL,NULL,'SãO FRANCISCO','TORRES','RS',2864,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3081052,5.00,5.00,3.00,8.00,4.00,6.50,2.00,7.00,3.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9984,268,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081060,6.00,6.00,8.00,2.00,5.00,5.00,4.00,8.00,6.00,220,NULL,233,'SORGATTO','CAçADOR','SC',6464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081087,2.00,4.00,3.00,7.00,4.00,5.00,2.00,4.00,3.00,102,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15826,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081095,4.00,4.00,2.00,3.00,3.00,NULL,1.00,4.00,3.00,225,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3081117,3.00,3.00,1.00,6.00,3.00,NULL,4.00,3.00,2.00,102,NULL,NULL,'PENHA','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081125,5.00,5.00,4.00,9.00,6.00,5.50,2.00,4.00,4.00,202,NULL,233,'FLOR DA SERRA','JOAçABA','SC',9132,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3081133,3.00,5.00,2.00,6.00,5.00,5.25,3.00,2.00,6.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',12906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081141,7.00,6.00,5.00,8.00,6.00,7.00,3.00,8.00,5.00,102,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',3939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081150,3.00,1.00,5.00,2.00,4.00,NULL,2.00,2.00,2.00,426,NULL,429,'CENTRO','S DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3081176,4.00,2.00,2.00,0.00,5.00,NULL,2.00,5.00,3.00,303,NULL,NULL,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3081184,1.00,2.00,2.00,2.00,4.00,NULL,1.00,4.00,4.00,201,NULL,207,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'COND CIDADE JARDIM','PRIMAVERA LESTE','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3081214,8.00,6.00,3.00,9.00,8.00,6.00,4.00,8.00,8.00,326,NULL,NULL,'MAR GROSSO','LAGUNA','SC',1603,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3081222,3.00,7.00,5.00,5.00,4.00,3.25,5.00,6.00,2.00,234,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081249,3.00,5.00,4.00,6.00,2.00,NULL,1.00,4.00,5.00,5,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081273,2.00,4.00,3.00,3.00,4.00,NULL,2.00,3.00,1.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081281,3.00,3.00,3.00,6.00,6.00,5.25,3.00,5.00,3.00,207,NULL,238,'JARDIM COLOMBO','S PAULO','SP',13326,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3081290,4.00,5.00,3.00,2.00,4.00,4.25,4.00,3.00,3.00,9,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3081311,7.00,7.00,5.00,6.00,5.00,5.25,5.00,7.00,7.00,108,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',3714,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3081338,5.00,4.00,6.00,8.00,8.00,6.75,4.00,7.00,6.00,104,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',4828,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3081346,7.00,8.00,8.00,5.00,6.00,6.25,7.00,8.00,8.00,303,NULL,NULL,'JARDIM AMéRICA','S PAULO','SP',1212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081362,5.00,5.00,6.00,2.00,5.00,6.50,4.00,5.00,4.00,223,NULL,NULL,'CAMAQUã','PTO ALEGRE','RS',11024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'JARIVATUBA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3081389,2.00,1.00,1.00,1.00,2.00,NULL,1.00,3.00,1.00,332,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3081400,3.00,5.00,4.00,2.00,5.00,5.75,0.00,6.00,4.00,420,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',14534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ITAGUAI II','CALDAS NOVAS','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3081427,3.00,2.00,1.00,1.00,3.00,NULL,3.00,4.00,2.00,101,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081451,3.00,5.00,3.00,5.00,6.00,5.25,2.00,7.00,7.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',9489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081460,3.00,3.00,3.00,5.00,3.00,NULL,2.00,3.00,3.00,302,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081486,5.00,5.00,2.00,6.00,5.00,6.00,2.00,6.00,6.00,425,NULL,424,'BARREIROS','S JOSé','SC',10242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081494,7.00,7.00,5.00,7.00,6.00,4.25,5.00,7.00,8.00,220,NULL,202,'CENTRO','LAGES','SC',2603,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3081516,6.00,4.00,3.00,6.00,6.00,5.50,2.00,6.00,4.00,108,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',10367,229,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CANELA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3081540,7.00,7.00,5.00,8.00,6.00,5.75,4.00,8.00,6.00,3,NULL,NULL,'VILA NOVA','LAGES','SC',2705,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3081583,4.00,3.00,3.00,7.00,4.00,4.25,2.00,5.00,3.00,423,NULL,428,'CóRREGO GRANDE','FLORIANóPOLIS','SC',14276,24,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081605,4.00,4.00,4.00,6.00,6.00,5.75,4.00,5.00,4.00,319,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3081621,1.00,2.00,3.00,4.00,6.00,NULL,2.00,4.00,1.00,339,NULL,NULL,'SãO SEBASTIãO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081630,5.00,6.00,2.00,4.00,4.00,6.00,2.00,6.00,6.00,9,NULL,NULL,'CENTRO','XANXERê','SC',11449,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3081648,3.00,4.00,1.00,8.00,2.00,NULL,1.00,5.00,3.00,333,NULL,NULL,'PLANO PILOTO','BRASíLIA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081656,7.00,8.00,9.00,9.00,7.00,7.00,6.00,8.00,8.00,208,NULL,202,'SACO DOS LIMõES','FLORIANóPOLIS','SC',500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD IMPERIAL','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3081672,5.00,7.00,5.00,7.00,8.00,5.75,4.00,8.00,6.00,303,NULL,NULL,'CRUZEIRO DO SUL','CRICIúMA','SC',4347,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3081710,2.00,5.00,4.00,8.00,6.00,4.75,4.00,6.00,3.00,108,NULL,NULL,'JARDIM PAULISTANO','S PAULO','SP',10610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081729,4.00,2.00,1.00,2.00,3.00,NULL,1.00,3.00,2.00,444,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3081737,5.00,4.00,3.00,8.00,5.00,7.50,4.00,5.00,5.00,319,NULL,NULL,'CURIÓ UTINGA','BELEM','PA',8539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081753,4.00,5.00,6.00,8.00,5.00,5.50,2.00,4.00,4.00,103,NULL,NULL,'ALTO TAQUARAL','CAMPINAS','SP',9600,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081761,3.00,5.00,1.00,9.00,7.00,6.00,3.00,7.00,3.00,303,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3081770,6.00,5.00,3.00,5.00,2.00,NULL,3.00,8.00,3.00,103,NULL,NULL,'CAMPO DO GADO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081796,4.00,7.00,6.00,8.00,7.00,5.00,5.00,6.00,8.00,340,NULL,NULL,'JARDINS','ARACAJU','SE',3240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM QUEBEC','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3081818,2.00,3.00,3.00,2.00,1.00,NULL,2.00,3.00,2.00,451,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081826,6.00,7.00,3.00,8.00,7.00,6.00,2.00,6.00,4.00,303,NULL,NULL,'FLORESTA','S JOSé','SC',6985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081834,3.00,5.00,3.00,6.00,4.00,4.00,2.00,7.00,2.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',13698,2588,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081842,5.00,5.00,2.00,4.00,7.00,5.50,4.00,5.00,6.00,211,NULL,233,'AREIAS','S JOSé','SC',9817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081869,9.00,8.00,8.00,9.00,7.00,6.50,8.00,8.00,9.00,208,NULL,203,'PONTA AGUDA','BLUMENAU','SC',89,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3081877,5.00,5.00,1.00,1.00,6.00,4.50,2.00,4.00,3.00,211,NULL,201,'CENTRO','ITAPEMA','SC',16093,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3081885,3.00,2.00,2.00,0.00,4.00,NULL,2.00,4.00,5.00,201,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081893,5.00,5.00,5.00,8.00,6.00,5.75,3.00,5.00,4.00,207,NULL,201,'VILA NOVA','JARAGUá SUL','SC',6521,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3081923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3081931,4.00,3.00,4.00,1.00,1.00,NULL,3.00,4.00,2.00,429,NULL,425,'PRAINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081940,3.00,3.00,1.00,4.00,3.00,NULL,3.00,3.00,3.00,301,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081958,5.00,2.00,3.00,4.00,4.00,0.00,3.00,4.00,3.00,415,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081966,3.00,4.00,1.00,7.00,5.00,7.25,2.00,3.00,3.00,326,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14947,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3081974,9.00,7.00,8.00,8.00,7.00,6.25,8.00,9.00,8.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3081982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM IGUAçU','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3082008,1.00,1.00,2.00,1.00,3.00,NULL,1.00,2.00,6.00,420,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082016,4.00,4.00,1.00,3.00,3.00,NULL,3.00,3.00,3.00,303,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3082024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3082032,7.00,8.00,9.00,8.00,9.00,6.75,7.00,8.00,8.00,103,NULL,NULL,'JARDIM STéLITE','S JOSé CAMPOS','SP',233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082040,1.00,1.00,1.00,7.00,5.00,5.25,3.00,4.00,4.00,301,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',16086,358,NULL,NULL,NULL,NULL,NULL,2,10),(16,3082059,1.00,1.00,1.00,3.00,1.00,NULL,3.00,2.00,2.00,201,NULL,207,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082067,9.00,7.00,4.00,8.00,6.00,5.50,4.00,9.00,5.00,207,NULL,238,'JOSé MENDES','FLORIANóPOLIS','SC',3135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082075,3.00,3.00,6.00,5.00,4.00,5.50,2.00,4.00,4.00,234,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',13922,54,NULL,NULL,NULL,NULL,NULL,2,1),(16,3082083,4.00,5.00,2.00,0.00,3.00,NULL,2.00,3.00,2.00,102,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3082091,1.00,2.00,1.00,0.00,3.00,NULL,2.00,3.00,2.00,108,NULL,NULL,'HIGIENOPOLIS','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082113,4.00,6.00,3.00,4.00,5.00,4.25,3.00,6.00,3.00,104,NULL,NULL,'VILA UNIVERSITáRIA','BAURU','SP',12776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082121,3.00,3.00,2.00,2.00,4.00,4.50,3.00,4.00,3.00,303,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',16404,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3082130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3082148,2.00,5.00,3.00,8.00,4.00,4.00,4.00,7.00,2.00,203,NULL,216,'ITACORUBI','FLORIANóPOLIS','SC',13560,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3082156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REDENTOR','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3082202,7.00,6.00,9.00,8.00,9.00,7.50,9.00,9.00,9.00,203,NULL,214,'CENTRO','CURITIBA','PR',46,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3082210,4.00,8.00,5.00,7.00,5.00,5.25,2.00,7.00,4.00,104,NULL,NULL,'PINGUIRITO','GAROPABA','SC',8347,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3082229,3.00,1.00,2.00,8.00,3.00,NULL,4.00,1.00,1.00,213,NULL,220,'JARDIM JEQUITIBá','CAçAPAVA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082237,5.00,3.00,6.00,4.00,7.00,5.00,4.00,7.00,5.00,203,NULL,201,'PARQUE INDUSTRIAL','S JOSé CAMPOS','SP',8840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3082245,8.00,6.00,4.00,8.00,8.00,8.25,3.00,7.00,6.00,103,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',2566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082270,6.00,7.00,4.00,6.00,6.00,5.00,5.00,7.00,7.00,3,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',6082,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3082288,5.00,7.00,4.00,9.00,5.00,6.00,2.00,8.00,6.00,340,NULL,NULL,'ATIRADORES','JOINVILLE','SC',5114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082296,4.00,7.00,1.00,4.00,4.00,5.25,2.00,6.00,3.00,415,NULL,NULL,'SAVEIRO','BIGUAçU','SC',13451,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3082318,4.00,4.00,3.00,2.00,5.00,5.25,4.00,4.00,4.00,501,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',14109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082326,5.00,6.00,3.00,5.00,7.00,5.75,2.00,8.00,7.00,233,NULL,208,'CORREGO GRANDE','FLORIANóPOLIS','SC',6814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082342,5.00,4.00,3.00,5.00,6.00,6.50,2.00,4.00,3.00,104,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',12240,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3082350,2.00,2.00,2.00,6.00,3.00,NULL,3.00,6.00,3.00,301,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3082369,2.00,3.00,2.00,7.00,3.00,NULL,3.00,6.00,5.00,310,NULL,NULL,'JARDIM MATILDE','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082377,3.00,3.00,3.00,7.00,4.00,6.00,1.00,6.00,3.00,104,NULL,NULL,'CENTRO','PALMITOS','SC',13928,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3082385,4.00,3.00,1.00,6.00,5.00,6.50,4.00,6.00,3.00,5,NULL,NULL,'JARDIM CARANDAÍ','BIGUACU','SC',12760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082407,5.00,7.00,5.00,9.00,5.00,0.00,5.00,5.00,3.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082415,3.00,1.00,5.00,1.00,3.00,NULL,4.00,5.00,4.00,224,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082431,7.00,6.00,7.00,8.00,5.00,6.50,1.00,7.00,6.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3883,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3082440,3.00,4.00,1.00,4.00,5.00,NULL,0.00,7.00,0.00,328,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082458,5.00,6.00,6.00,9.00,8.00,6.50,4.00,8.00,3.00,201,NULL,212,'CACUPé','FLORIANóPOLIS','SC',3083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082466,8.00,7.00,6.00,8.00,7.00,6.00,3.00,8.00,5.00,103,NULL,NULL,'MARIA GORETTI','CHAPECó','SC',2425,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3082474,2.00,3.00,3.00,6.00,6.00,6.75,3.00,2.00,3.00,103,NULL,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3082482,5.00,1.00,5.00,1.00,5.00,5.50,4.00,2.00,4.00,104,NULL,NULL,'VILA MOEMA','TUBARãO','SC',15111,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3082490,8.00,7.00,5.00,10.00,9.00,8.00,4.00,9.00,7.00,103,NULL,NULL,'JARDIM ITáLIA','CHAPECó','SC',796,NULL,NULL,NULL,NULL,NULL,NULL,3,4),(16,3082504,8.00,8.00,6.00,5.00,8.00,7.50,4.00,6.00,8.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',1882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082512,7.00,4.00,4.00,8.00,5.00,4.50,3.00,7.00,5.00,2,NULL,NULL,'JARDIM GUAPIRA','S PAULO','SP',7066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082520,3.00,4.00,5.00,7.00,5.00,5.00,2.00,1.00,3.00,104,NULL,NULL,'JARDIM DAS ACACIAS','S JOSé','SC',14935,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3082539,5.00,5.00,6.00,5.00,2.00,NULL,5.00,8.00,1.00,201,NULL,212,'ARMAÇÃO PANTANO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3082547,9.00,8.00,8.00,9.00,6.00,7.75,6.00,9.00,9.00,103,NULL,NULL,'PRESIDENTE MéDICE','CHAPECó','SC',179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082555,2.00,2.00,2.00,4.00,3.00,NULL,2.00,3.00,4.00,333,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3082563,4.00,4.00,3.00,3.00,4.00,4.25,1.00,4.00,3.00,331,NULL,NULL,'SãO BERNARDO','TUBARãO','SC',16637,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3082571,2.00,0.00,2.00,6.00,4.00,NULL,2.00,1.00,3.00,309,NULL,NULL,'PONTAS DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3082580,2.00,4.00,2.00,4.00,2.00,NULL,3.00,4.00,3.00,214,NULL,212,'ESCOLA AGRICOLA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3082598,6.00,6.00,6.00,8.00,5.00,6.25,4.00,5.00,3.00,202,NULL,238,'BOM JESUS','STA CRUZ SUL','RS',6086,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3082601,5.00,4.00,3.00,8.00,4.00,5.00,4.00,7.00,4.00,340,NULL,NULL,'SãO SEBASTIãO','PTO ALEGRE','RS',8635,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3082610,4.00,4.00,7.00,6.00,4.00,4.50,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','CONCóRDIA','SC',11313,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3082628,3.00,4.00,1.00,4.00,4.00,4.50,3.00,5.00,3.00,302,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',16291,224,NULL,NULL,NULL,NULL,NULL,2,1),(16,3082636,6.00,5.00,5.00,7.00,7.00,5.00,2.00,5.00,4.00,309,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3082644,9.00,8.00,5.00,8.00,7.00,5.50,5.00,8.00,8.00,103,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082652,6.00,6.00,1.00,8.00,7.00,6.00,3.00,4.00,4.00,453,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',8429,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082660,5.00,7.00,3.00,4.00,5.00,4.00,3.00,6.00,6.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10539,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3082679,6.00,5.00,5.00,4.00,4.00,6.00,4.00,4.00,6.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',8953,2112,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ARAPOTI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3082695,8.00,9.00,7.00,9.00,7.00,6.75,6.00,8.00,8.00,5,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082709,8.00,9.00,7.00,8.00,7.00,6.75,6.00,9.00,7.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082717,7.00,8.00,5.00,6.00,7.00,6.25,3.00,9.00,7.00,102,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082725,2.00,5.00,3.00,2.00,2.00,NULL,3.00,5.00,3.00,303,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082733,4.00,2.00,2.00,6.00,4.00,4.75,4.00,5.00,1.00,207,NULL,NULL,'ARI LUNARDI','XAXIM','SC',16248,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3082741,5.00,5.00,4.00,4.00,5.00,5.00,1.00,6.00,3.00,225,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',13653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082768,1.00,3.00,1.00,5.00,3.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3082776,7.00,3.00,5.00,8.00,6.00,4.75,2.00,8.00,5.00,452,NULL,NULL,'CAMPINAS','S JOSé','SC',6865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082784,5.00,4.00,3.00,7.00,8.00,5.75,3.00,5.00,5.00,415,NULL,NULL,'BARREIROS','S JOSé','SC',9066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3082806,7.00,8.00,4.00,8.00,3.00,NULL,4.00,9.00,6.00,103,NULL,NULL,'NAçõES','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3082814,4.00,3.00,2.00,2.00,1.00,NULL,2.00,3.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3082822,9.00,9.00,6.00,6.00,7.00,6.25,4.00,7.00,8.00,303,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',1506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082830,4.00,5.00,3.00,6.00,7.00,6.75,4.00,6.00,4.00,103,NULL,NULL,'ACARAí','S FRANCISCO SUL','SC',7836,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3082849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'VILA RIO BRANCO','CASTRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3082857,7.00,6.00,7.00,8.00,6.00,5.50,6.00,7.00,7.00,211,NULL,215,'REAL PARQUE','LIMEIRA','SP',1617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082881,4.00,6.00,5.00,8.00,5.00,4.75,3.00,8.00,7.00,201,NULL,212,'JARDIM AQUARIUS','S JOSé CAMPOS','SP',6542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082890,1.00,4.00,2.00,3.00,3.00,NULL,2.00,2.00,2.00,317,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082903,3.00,3.00,2.00,6.00,6.00,5.00,3.00,4.00,2.00,102,NULL,NULL,'FLORESTA','S JOSé','SC',14920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082920,2.00,6.00,2.00,6.00,3.00,NULL,3.00,5.00,5.00,415,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082938,3.00,2.00,3.00,6.00,5.00,5.75,3.00,3.00,2.00,308,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',16311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3082946,6.00,5.00,2.00,6.00,5.00,6.75,3.00,6.00,4.00,326,NULL,NULL,'VILA JANSEN','FARROUPILHA','RS',9816,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3082954,4.00,5.00,3.00,8.00,6.00,6.50,0.00,5.00,3.00,424,NULL,NULL,'BARREIROS','S JOSé','SC',11296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082962,7.00,8.00,5.00,8.00,7.00,6.50,4.00,8.00,5.00,102,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',2859,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3082970,9.00,7.00,6.00,8.00,7.00,4.50,8.00,9.00,9.00,103,NULL,NULL,'JOSE MENINO','SANTOS','SP',759,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3082989,5.00,4.00,4.00,5.00,5.00,6.25,3.00,4.00,5.00,238,NULL,202,'FLOR DE NáPOLIS','S JOSé','SC',10037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3082997,9.00,7.00,8.00,9.00,7.00,6.50,7.00,8.00,8.00,103,NULL,NULL,'SãO GERALDO','PTO ALEGRE','RS',273,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083020,5.00,4.00,2.00,6.00,4.00,6.00,3.00,4.00,3.00,238,NULL,208,'CARVOEIRA','FLORIANóPOLIS','SC',13757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083063,2.00,3.00,1.00,0.00,3.00,NULL,3.00,2.00,4.00,5,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083071,4.00,4.00,2.00,3.00,4.00,4.00,3.00,4.00,4.00,102,NULL,NULL,'DEHON','TUBARãO','SC',16341,306,NULL,NULL,NULL,NULL,NULL,2,10),(16,3083098,4.00,2.00,4.00,4.00,4.00,5.75,4.00,4.00,1.00,203,NULL,201,'PORTAL DOS PáSSAROS','BOITUVA','SP',15217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083101,5.00,4.00,2.00,4.00,5.00,6.00,3.00,6.00,3.00,211,NULL,207,'CENTRO','JAGUARUNA','SC',13383,463,NULL,690,NULL,NULL,NULL,2,10),(16,3083110,8.00,8.00,4.00,7.00,7.00,6.00,8.00,7.00,7.00,103,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',1773,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083128,8.00,3.00,3.00,8.00,4.00,5.75,3.00,5.00,2.00,103,NULL,NULL,'JD DAS PALMEIRAS','LONDRINA','PR',11943,2429,NULL,NULL,NULL,NULL,NULL,4,6),(16,3083136,3.00,5.00,5.00,2.00,4.00,5.00,1.00,5.00,3.00,327,NULL,NULL,'JARDIM SOFIA','JOINVILLE','SC',15890,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3083144,5.00,4.00,1.00,2.00,3.00,NULL,2.00,5.00,4.00,501,NULL,NULL,'GERSON FRANçA','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083152,3.00,3.00,5.00,8.00,6.00,5.75,1.00,4.00,2.00,223,NULL,NULL,'RIO HERN','SCHROEDER','SC',12811,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3083160,1.00,1.00,2.00,3.00,4.00,NULL,0.00,3.00,3.00,101,NULL,NULL,'CENTRO','CHOPINZINHO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3083187,2.00,2.00,4.00,5.00,5.00,NULL,0.00,4.00,3.00,216,NULL,220,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083195,2.00,7.00,3.00,3.00,4.00,5.75,0.00,3.00,4.00,319,NULL,NULL,'CENTRO','LAGES','SC',15954,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3083209,6.00,8.00,5.00,8.00,8.00,7.25,6.00,6.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'CENTRO','PARANAGUá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3083225,9.00,7.00,8.00,8.00,8.00,7.25,5.00,8.00,9.00,103,NULL,NULL,'BUENO','GOIâNIA','GO',237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TRêS B PARANá','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3083241,8.00,8.00,5.00,8.00,5.00,5.25,3.00,8.00,7.00,103,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',2776,1042,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083250,8.00,8.00,5.00,9.00,8.00,6.50,5.00,8.00,8.00,303,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,216,'VILAS DO ATLANTICO','LAURO FREITAS','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3083284,5.00,4.00,3.00,7.00,6.00,6.25,4.00,3.00,6.00,301,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',9769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083292,6.00,6.00,4.00,6.00,2.00,NULL,5.00,5.00,3.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3083322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA RESENDE','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3083349,4.00,5.00,1.00,2.00,2.00,NULL,3.00,5.00,3.00,215,NULL,238,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083357,5.00,6.00,2.00,9.00,5.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3083365,3.00,6.00,4.00,4.00,3.00,NULL,1.00,3.00,5.00,103,NULL,NULL,'JARDIM BIGUAçU','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083373,3.00,4.00,2.00,2.00,2.00,NULL,3.00,4.00,5.00,501,NULL,NULL,'VILA CAMARGO','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083390,9.00,8.00,6.00,6.00,7.00,6.50,4.00,7.00,7.00,238,NULL,215,'ITACORUBI','FLORIANOPOLIS','SC',1706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083403,3.00,5.00,3.00,5.00,4.00,NULL,1.00,1.00,1.00,331,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083438,7.00,5.00,7.00,8.00,8.00,8.25,5.00,9.00,8.00,103,NULL,NULL,'SANTO AMARO','S PAULO','SP',581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'PENHA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3083454,4.00,4.00,3.00,3.00,5.00,4.50,3.00,4.00,5.00,301,NULL,NULL,'CENTRO','LAGES','SC',14016,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3083462,8.00,8.00,6.00,6.00,7.00,4.75,5.00,5.00,7.00,203,NULL,233,'CENTRO','FLORIANóPOLIS','SC',2990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083470,5.00,5.00,3.00,6.00,3.00,NULL,4.00,4.00,1.00,211,NULL,202,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083489,4.00,7.00,5.00,8.00,4.00,4.75,1.00,6.00,3.00,207,NULL,201,'PANTANAL','FLORIANóPOLIS','SC',10359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083497,4.00,6.00,2.00,8.00,7.00,5.75,1.00,8.00,4.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8025,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,429,'JARDIM FLORENçA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3083519,3.00,1.00,2.00,2.00,3.00,NULL,2.00,0.00,2.00,202,NULL,220,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083535,5.00,8.00,3.00,8.00,8.00,5.50,3.00,7.00,6.00,102,NULL,NULL,'CENTRO','LEOBERTO LEAL','SC',5235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083543,6.00,7.00,6.00,9.00,4.00,5.25,7.00,6.00,7.00,203,NULL,214,'RIO TAVARES','FLORIANóPOLIS','SC',2378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083551,6.00,5.00,4.00,9.00,5.00,5.00,3.00,7.00,3.00,415,NULL,NULL,'CAMPINAS','S JOSé','SC',7539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'VILA JOAQUIM PAULINO','STA CRUZ R PARDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3083586,5.00,3.00,3.00,8.00,3.00,NULL,2.00,6.00,5.00,303,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083594,4.00,4.00,2.00,9.00,7.00,6.75,2.00,6.00,6.00,320,NULL,NULL,'CIDADE JARDIM','SOROCABA','SP',7014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083608,5.00,6.00,4.00,8.00,5.00,0.00,1.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ALTO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3083624,5.00,5.00,8.00,8.00,7.00,7.75,3.00,2.00,8.00,216,NULL,215,'MADUREIRA','CAXIAS SUL','RS',2989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3083659,5.00,4.00,5.00,7.00,4.00,6.00,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',12753,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3083667,3.00,3.00,5.00,7.00,6.00,4.00,3.00,4.00,4.00,3,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',12651,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083675,3.00,4.00,1.00,7.00,2.00,NULL,3.00,3.00,2.00,340,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3083683,4.00,6.00,3.00,5.00,4.00,5.25,3.00,5.00,3.00,233,NULL,215,'INTERIOR','LACERDóPOLIS','SC',12023,371,NULL,278,NULL,NULL,NULL,4,7),(16,3083691,4.00,2.00,3.00,1.00,2.00,NULL,3.00,4.00,3.00,5,NULL,NULL,'JARDIM AMéRICA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083705,2.00,4.00,3.00,3.00,2.00,NULL,1.00,1.00,5.00,324,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083713,4.00,3.00,6.00,8.00,5.00,7.75,4.00,4.00,3.00,103,NULL,NULL,'ITINGA','JOINVILLE','SC',8992,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3083721,2.00,3.00,4.00,5.00,4.00,6.00,2.00,3.00,6.00,108,NULL,NULL,'BARREIROS','S JOSé','SC',14608,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083730,2.00,7.00,2.00,8.00,6.00,4.50,3.00,5.00,4.00,415,NULL,NULL,'CENTRO','CAçADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083748,3.00,4.00,1.00,3.00,4.00,4.75,2.00,4.00,2.00,316,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',16654,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083756,5.00,5.00,4.00,7.00,8.00,5.50,2.00,4.00,4.00,444,NULL,NULL,'SERRARIA','S JOSé','SC',9004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083764,8.00,7.00,2.00,6.00,6.00,4.75,4.00,7.00,8.00,202,NULL,213,'TRINDADE','FLORIANóPOLIS','SC',3503,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083772,6.00,7.00,3.00,8.00,5.00,5.00,4.00,7.00,5.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',5223,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3083780,2.00,4.00,2.00,2.00,3.00,NULL,3.00,2.00,3.00,108,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083799,6.00,5.00,4.00,5.00,4.00,5.75,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3083802,5.00,5.00,4.00,5.00,2.00,NULL,2.00,2.00,2.00,427,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3083829,8.00,6.00,6.00,8.00,6.00,4.75,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','AGRONôMICA','SC',3077,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3083837,4.00,4.00,1.00,5.00,3.00,NULL,0.00,5.00,1.00,201,NULL,207,'CANGO','FRANCISCO BELTRãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3083845,2.00,0.00,1.00,1.00,2.00,NULL,1.00,2.00,2.00,404,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083861,7.00,6.00,4.00,8.00,6.00,5.25,3.00,8.00,3.00,308,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',6573,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083870,7.00,6.00,7.00,6.00,7.00,6.00,6.00,8.00,6.00,220,NULL,203,'CENTRO','CAARAPó','MS',1959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083888,4.00,4.00,2.00,5.00,4.00,4.75,3.00,7.00,4.00,301,NULL,NULL,'CENTRO','MONDAí','SC',13314,283,NULL,NULL,NULL,NULL,NULL,2,4),(16,3083896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'AGUAS BELAS','S JOSé PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3083900,3.00,4.00,3.00,4.00,3.00,NULL,2.00,3.00,2.00,211,NULL,207,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083918,5.00,5.00,1.00,6.00,4.00,5.75,3.00,7.00,3.00,101,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',11387,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3083926,4.00,4.00,2.00,4.00,4.00,4.50,2.00,4.00,3.00,444,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',16063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083934,4.00,5.00,3.00,3.00,4.00,4.25,4.00,3.00,3.00,203,NULL,233,'CARIANOS','FLORIANóPOLIS','SC',15497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083950,5.00,1.00,5.00,5.00,4.00,5.00,2.00,6.00,5.00,316,NULL,NULL,'URUSSANGUINHA','ARARANGUá','SC',13153,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3083969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SANTA CRUZ','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3083977,5.00,1.00,4.00,7.00,3.00,NULL,2.00,7.00,3.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083985,7.00,7.00,6.00,8.00,5.00,6.00,5.00,8.00,8.00,201,NULL,213,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',1677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3083993,5.00,6.00,6.00,9.00,7.00,5.00,8.00,9.00,9.00,203,NULL,214,'TRINDADE','FLORIANóPOLIS','SC',1288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084000,9.00,7.00,6.00,7.00,7.00,6.75,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CRUZEIRO','S LOURENçO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3084027,4.00,3.00,1.00,6.00,3.00,NULL,2.00,4.00,5.00,201,NULL,203,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3084035,2.00,6.00,3.00,8.00,6.00,6.50,4.00,5.00,5.00,340,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',7950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084043,1.00,3.00,5.00,7.00,6.00,6.00,1.00,6.00,4.00,301,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',11961,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3084051,6.00,6.00,3.00,7.00,5.00,5.75,4.00,7.00,4.00,102,NULL,NULL,'ARIRIú','PALHOçA','SC',8062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084078,5.00,5.00,3.00,7.00,5.00,6.00,3.00,7.00,6.00,452,NULL,NULL,'SAGUAçú','JOINVILLE','SC',7648,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3084086,4.00,3.00,2.00,4.00,4.00,3.00,2.00,7.00,6.00,201,NULL,203,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3084094,4.00,5.00,5.00,2.00,3.00,NULL,3.00,6.00,6.00,5,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084124,5.00,6.00,7.00,7.00,6.00,7.00,5.00,7.00,7.00,303,NULL,NULL,'VILA FERNANDES','S PAULO','SP',2677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084140,8.00,6.00,5.00,8.00,5.00,6.50,4.00,5.00,7.00,211,NULL,208,'CóRREGO GRANDE','FLORIANóPOLIS','SC',3804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,214,'SETOR SERRANO I','PARAíSO TOCANTINS','TO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3084167,4.00,5.00,5.00,6.00,4.00,5.25,3.00,4.00,5.00,104,NULL,NULL,'ANDORINHA','ITAPEMA','SC',10996,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3084175,2.00,2.00,2.00,3.00,4.00,NULL,3.00,3.00,5.00,201,NULL,207,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3084183,2.00,4.00,5.00,8.00,8.00,6.00,2.00,6.00,4.00,303,NULL,NULL,'HUMAITá DE CIMA','TUBARãO','SC',8948,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3084205,6.00,7.00,4.00,7.00,6.00,5.00,6.00,7.00,8.00,103,NULL,NULL,'CAPAO DA IMBUIA','CURITIBA','PR',3734,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(16,3084213,6.00,7.00,3.00,8.00,6.00,6.00,3.00,6.00,4.00,301,NULL,NULL,'CENTRO','PETROLâNDIA','SC',7356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3084221,4.00,3.00,4.00,6.00,5.00,5.00,3.00,5.00,5.00,238,NULL,208,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',10878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3084230,6.00,5.00,6.00,9.00,8.00,7.25,2.00,7.00,6.00,216,NULL,211,'AGRONôMICA','FLORIANóPOLIS','SC',3048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084248,4.00,4.00,3.00,6.00,4.00,6.50,3.00,5.00,6.00,207,NULL,201,'GUANABARA','JOINVILLE','SC',10961,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3084256,3.00,5.00,3.00,7.00,6.00,5.50,3.00,5.00,3.00,333,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',11805,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3084264,7.00,6.00,5.00,8.00,9.00,6.50,3.00,9.00,6.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',2555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084272,4.00,1.00,3.00,4.00,3.00,NULL,3.00,4.00,3.00,308,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3084280,7.00,5.00,7.00,7.00,7.00,6.25,5.00,8.00,5.00,428,NULL,426,'CENTRO','FLORIANóPOLIS','SC',2874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084302,7.00,5.00,7.00,8.00,8.00,5.75,5.00,6.00,6.00,103,NULL,NULL,'PARQUE IMPERIAL','S PAULO','SP',2596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084310,6.00,7.00,6.00,9.00,8.00,5.75,2.00,9.00,4.00,222,NULL,NULL,'CAMPINAS','S JOSé','SC',3025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084329,4.00,4.00,2.00,6.00,5.00,7.00,3.00,5.00,5.00,503,NULL,NULL,'CENTRO','ITAJAí','SC',12251,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3084337,6.00,7.00,7.00,8.00,5.00,5.00,3.00,7.00,5.00,203,NULL,201,'MIGUEL SUTIL','CUIABá','MT',4064,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3084345,6.00,6.00,7.00,7.00,5.00,6.75,5.00,8.00,7.00,303,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',2470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084353,6.00,4.00,5.00,4.00,4.00,5.50,2.00,3.00,1.00,201,NULL,208,'CENTRO','FLORIANóPOLIS','SC',15093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084370,6.00,5.00,7.00,8.00,4.00,5.75,3.00,7.00,3.00,203,NULL,214,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084388,8.00,4.00,6.00,8.00,7.00,7.75,3.00,6.00,7.00,420,NULL,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',3264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ASA SUL','BRASíLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3084400,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(16,3084418,8.00,7.00,7.00,4.00,7.00,6.00,6.00,7.00,8.00,203,NULL,214,'CENTRO','FLORIANóPOLIS','SC',1556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084426,7.00,2.00,1.00,5.00,5.00,4.00,4.00,5.00,2.00,328,NULL,NULL,'CONJUNTO TAUROS','CORNéLIO PROCóPIO','PR',14756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084434,6.00,6.00,6.00,7.00,6.00,6.00,5.00,5.00,6.00,103,NULL,NULL,'VILA GUILHERMINA','S PAULO','SP',3766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084450,2.00,5.00,4.00,3.00,3.00,NULL,3.00,5.00,2.00,316,NULL,NULL,'JARDIM SOLEMAR','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084469,5.00,3.00,5.00,2.00,1.00,NULL,1.00,5.00,3.00,319,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3084477,7.00,8.00,8.00,8.00,8.00,6.25,6.00,8.00,8.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',310,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3084485,6.00,6.00,5.00,4.00,4.00,4.75,3.00,4.00,6.00,238,NULL,208,'CENTRO','CRICIúMA','SC',10277,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3084507,4.00,3.00,5.00,3.00,5.00,5.75,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084515,6.00,8.00,3.00,7.00,7.00,4.75,2.00,8.00,6.00,302,NULL,NULL,'VILA BEATRIZ','MARACAJá','SC',4030,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3084531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'RECANTO DO SOL','CERQUILHO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3084558,7.00,8.00,6.00,8.00,8.00,6.50,6.00,8.00,8.00,203,NULL,202,'COQUEIROS','FLORIANóPOLIS','SC',619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,423,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3084574,7.00,6.00,1.00,5.00,7.00,4.75,2.00,6.00,4.00,320,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',9517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084582,6.00,6.00,4.00,5.00,6.00,6.00,3.00,8.00,4.00,103,NULL,NULL,'JD PROGRESSO','PARANAVAí','PR',6970,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3084590,0.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3084612,7.00,6.00,4.00,6.00,6.00,5.25,4.00,5.00,4.00,340,NULL,NULL,'PALMITAL','CHAPECó','SC',7185,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3084620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,215,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3084639,4.00,4.00,5.00,6.00,6.00,5.75,2.00,3.00,5.00,238,NULL,208,'FAZENDA STO ANTONIO','S JOSé','SC',11293,327,NULL,356,NULL,NULL,NULL,2,1),(16,3084647,2.00,4.00,2.00,6.00,3.00,NULL,4.00,4.00,4.00,238,NULL,208,'COMECIáRIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3084655,4.00,4.00,1.00,3.00,2.00,NULL,5.00,7.00,5.00,303,NULL,NULL,'VILA ROMANA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SETOR PEDRO LUDOVICO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3084680,7.00,6.00,4.00,8.00,5.00,4.25,4.00,6.00,7.00,501,NULL,NULL,'CENTRO','TUBARãO','SC',5559,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3084698,7.00,7.00,9.00,8.00,9.00,8.00,7.00,8.00,7.00,103,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',353,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3084701,5.00,3.00,7.00,5.00,6.00,4.00,3.00,5.00,4.00,333,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',11132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3084710,1.00,0.00,3.00,2.00,3.00,NULL,0.00,2.00,3.00,202,NULL,213,'FLORESTA','JAGUARIúNA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084728,4.00,1.00,2.00,7.00,3.00,NULL,1.00,3.00,1.00,303,NULL,NULL,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3084736,4.00,3.00,2.00,5.00,2.00,NULL,3.00,2.00,3.00,222,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084744,7.00,7.00,5.00,9.00,9.00,7.50,4.00,6.00,5.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084752,4.00,4.00,2.00,5.00,4.00,5.25,2.00,4.00,3.00,301,NULL,NULL,'CANASVIERAS','FLORIANóPOLIS','SC',14505,317,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084779,2.00,4.00,3.00,6.00,5.00,5.00,1.00,4.00,2.00,234,NULL,NULL,'FAZENDA STO ANTôNIO','S JOSé','SC',15777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3084787,7.00,6.00,4.00,8.00,6.00,6.00,3.00,5.00,5.00,220,NULL,216,'ENGENHO BRAUN','CHAPECó','SC',6488,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3084795,2.00,3.00,2.00,4.00,8.00,5.50,1.00,6.00,4.00,303,NULL,NULL,'GUADALUPE','LAGES','SC',12980,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3084809,6.00,8.00,2.00,4.00,5.00,6.25,5.00,5.00,7.00,453,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'MOEMA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3084825,7.00,5.00,9.00,7.00,6.00,5.25,5.00,6.00,7.00,103,NULL,NULL,'RESIDENCIAL MORESCHI','MARINGá','PR',2415,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3084850,2.00,5.00,4.00,5.00,1.00,NULL,4.00,5.00,1.00,201,NULL,202,'SAIC','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3084868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'VILA QUEIROZ','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3084876,6.00,6.00,4.00,4.00,5.00,4.50,2.00,3.00,4.00,203,NULL,220,'JARDIM AMERICA','DOURADOS','MS',12639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3084884,4.00,4.00,2.00,2.00,5.00,NULL,1.00,2.00,4.00,216,NULL,220,'ESPLANADA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3084906,6.00,5.00,6.00,4.00,5.00,5.00,5.00,8.00,7.00,201,NULL,216,'SANTA TERESINHA','BRUSQUE','SC',4861,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3084930,5.00,2.00,1.00,4.00,1.00,NULL,2.00,3.00,1.00,319,NULL,NULL,'PARQUE SãO JORGE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3084949,5.00,7.00,3.00,5.00,5.00,5.00,2.00,5.00,4.00,415,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',11106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3084973,2.00,4.00,4.00,7.00,5.00,6.00,2.00,6.00,3.00,451,NULL,NULL,'MATOSINHOS','S JOãO D REI','MG',13803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3084981,1.00,1.00,3.00,3.00,2.00,NULL,3.00,3.00,3.00,9,NULL,NULL,'ZONA RURAL','GUARUJá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3084990,4.00,3.00,1.00,2.00,3.00,NULL,4.00,3.00,1.00,222,NULL,NULL,'COLINA DA LAGOA','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085007,6.00,4.00,2.00,9.00,5.00,6.00,3.00,5.00,2.00,103,NULL,NULL,'CENTRO','ARROIO TRINTA','SC',10070,2222,NULL,NULL,NULL,NULL,NULL,5,1),(16,3085015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA CINCO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3085023,4.00,2.00,6.00,7.00,7.00,5.75,1.00,5.00,6.00,216,NULL,215,'CóRREGO GRANDE','FLORIANóPOLIS','SC',8468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085031,5.00,1.00,2.00,2.00,6.00,NULL,7.00,1.00,2.00,5,NULL,NULL,'SãO JOSé','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085040,6.00,7.00,5.00,8.00,6.00,4.50,4.00,7.00,6.00,220,NULL,203,'POCAO','CUIABá','MT',3871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3085058,5.00,8.00,4.00,6.00,5.00,4.75,4.00,4.00,3.00,220,NULL,202,'ITAIPU','MEDIANEIRA','PR',10325,397,NULL,377,NULL,NULL,NULL,2,1),(16,3085066,6.00,9.00,5.00,3.00,6.00,5.75,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','CAIBI','SC',5286,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3085074,5.00,7.00,6.00,8.00,6.00,6.00,5.00,7.00,6.00,319,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',3544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085082,2.00,2.00,4.00,1.00,5.00,NULL,2.00,2.00,5.00,316,NULL,NULL,'BELA VISTA UM','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085090,7.00,6.00,4.00,7.00,6.00,5.75,4.00,7.00,6.00,202,NULL,238,'JOãO PAULO','FLORIANóPOLIS','SC',4871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3085104,3.00,6.00,1.00,4.00,2.00,NULL,4.00,4.00,4.00,207,NULL,215,'ALEGRE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3085112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA CINCO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3085139,5.00,7.00,6.00,7.00,5.00,7.00,2.00,7.00,6.00,212,NULL,216,'CENTRO','FLORIANóPOLIS','SC',4727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085147,3.00,4.00,2.00,8.00,6.00,5.50,3.00,5.00,4.00,502,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',11062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085155,2.00,3.00,4.00,4.00,5.00,5.00,3.00,3.00,5.00,5,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',15470,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3085163,8.00,8.00,8.00,8.00,7.00,6.00,5.00,8.00,7.00,203,NULL,233,'CENTRO','MAUá','SP',888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085171,8.00,9.00,6.00,9.00,8.00,7.25,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','GETúLIO VARGAS','RS',1108,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3085180,9.00,8.00,8.00,9.00,5.00,6.50,7.00,8.00,6.00,303,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085198,3.00,5.00,2.00,6.00,3.00,NULL,1.00,5.00,0.00,207,NULL,212,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3085201,6.00,6.00,4.00,8.00,5.00,5.75,5.00,6.00,5.00,202,NULL,213,'BALNEARIO','FLORIANóPOLIS','SC',5425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3085210,3.00,5.00,3.00,5.00,2.00,NULL,3.00,3.00,5.00,207,NULL,215,'PARQUE SãO JORGE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085228,6.00,6.00,2.00,6.00,6.00,5.25,1.00,4.00,6.00,415,NULL,NULL,'VILA IVETE','MAFRA','SC',10728,282,NULL,NULL,NULL,NULL,NULL,2,8),(16,3085236,9.00,8.00,9.00,9.00,8.00,6.25,7.00,9.00,9.00,103,NULL,NULL,'CENTRO','BRAçO NORTE','SC',56,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'APARECIDA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3085252,4.00,5.00,3.00,7.00,6.00,6.25,5.00,7.00,8.00,108,NULL,NULL,'VILA IPOJUCA','S PAULO','SP',4683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085260,2.00,2.00,2.00,3.00,4.00,NULL,3.00,5.00,2.00,238,NULL,208,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085279,5.00,4.00,3.00,6.00,6.00,4.75,5.00,4.00,3.00,301,NULL,NULL,'PROSPERA','CRICIúMA','SC',11599,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3085287,5.00,7.00,5.00,8.00,4.00,5.75,3.00,7.00,4.00,304,NULL,NULL,'VILA ADYANA','S JOSé CAMPOS','SP',5784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085295,1.00,2.00,3.00,1.00,3.00,NULL,4.00,1.00,2.00,5,NULL,NULL,'CENTRO','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085309,5.00,3.00,3.00,7.00,5.00,5.75,3.00,7.00,2.00,340,NULL,NULL,'CENTRO','BRAçO NORTE','SC',11656,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3085317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3085333,7.00,3.00,3.00,3.00,4.00,5.00,1.00,7.00,3.00,212,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',12912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085341,5.00,7.00,1.00,4.00,6.00,4.75,1.00,5.00,5.00,207,NULL,211,'TRINDADE','FLORIANóPOLIS','SC',12334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085350,8.00,7.00,6.00,9.00,8.00,5.75,7.00,8.00,7.00,203,NULL,214,'BALNEáRIO','FLORIANóPOLIS','SC',800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085368,9.00,7.00,5.00,8.00,8.00,6.00,6.00,8.00,8.00,201,NULL,203,'ESTREITO','FLORIANóPOLIS','SC',768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PRESIDENTE ALTINO','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3085392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3085406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,220,'GRANJA OLGA III','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3085414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3085430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'BOQUEIRãO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3085449,3.00,7.00,3.00,5.00,6.00,5.25,1.00,7.00,6.00,318,NULL,NULL,'CENTRO','SOMBRIO','SC',9105,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3085465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,233,'VILA MIRIM','PR GRANDE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3085481,4.00,5.00,2.00,9.00,7.00,5.00,1.00,8.00,2.00,423,NULL,424,'SANTA MONICA','FLORIANóPOLIS','SC',10041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3085511,7.00,5.00,4.00,3.00,7.00,5.00,3.00,7.00,6.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'JD BELA VISTA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3085538,6.00,8.00,6.00,7.00,4.00,4.00,4.00,7.00,6.00,453,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085546,6.00,5.00,4.00,6.00,2.00,NULL,1.00,5.00,4.00,103,NULL,NULL,'KOLLER','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085554,3.00,4.00,4.00,5.00,2.00,NULL,3.00,4.00,2.00,202,NULL,208,'FUNDOS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3085562,6.00,6.00,4.00,7.00,5.00,4.75,4.00,6.00,6.00,104,NULL,NULL,'FATIMA','ERECHIM','RS',6317,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3085570,4.00,4.00,2.00,6.00,5.00,4.50,4.00,4.00,3.00,453,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',12989,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3085589,7.00,7.00,6.00,8.00,8.00,NULL,0.00,0.00,0.00,203,NULL,220,'BAIRRO DER','CAçADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3085597,5.00,6.00,5.00,7.00,6.00,5.25,3.00,6.00,3.00,502,NULL,NULL,'BARREIROS','S JOSé','SC',8240,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3085619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PREVIDêNCIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3085627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA SOBRINHO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3085635,8.00,8.00,7.00,8.00,5.00,6.50,6.00,7.00,8.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',1002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3085651,2.00,3.00,1.00,3.00,4.00,NULL,1.00,2.00,5.00,238,NULL,208,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3085660,2.00,2.00,1.00,4.00,6.00,NULL,2.00,3.00,3.00,102,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,421,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3085686,4.00,3.00,4.00,8.00,5.00,5.00,2.00,6.00,4.00,340,NULL,NULL,'SAGUAçU','JOINVILLE','SC',10452,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3085694,7.00,8.00,4.00,5.00,7.00,5.00,6.00,6.00,6.00,220,NULL,208,'SACO DOS LIMõES','FLORIANóPOLIS','SC',3558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085708,6.00,5.00,6.00,6.00,6.00,5.25,3.00,5.00,5.00,453,NULL,NULL,'MORUMBI SUL','S PAULO','SP',7239,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3085716,8.00,6.00,7.00,8.00,9.00,6.75,6.00,7.00,5.00,238,NULL,208,'TRINDADE','FLORIANóPOLIS','SC',986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085740,0.00,1.00,5.00,3.00,4.00,NULL,3.00,2.00,2.00,303,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3085759,3.00,4.00,1.00,3.00,4.00,4.00,2.00,5.00,4.00,216,NULL,203,'CENTRO','COLIDER','MT',16542,505,NULL,932,NULL,NULL,NULL,4,3),(16,3085767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'FEITORIA','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3085775,6.00,5.00,4.00,0.00,5.00,4.75,3.00,4.00,3.00,238,NULL,208,'CENTRO','FORQUILHINHA','SC',14871,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3085783,6.00,7.00,5.00,7.00,5.00,5.75,5.00,6.00,4.00,201,NULL,203,'CENTRO','LAGES','SC',5580,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3085791,5.00,5.00,2.00,7.00,6.00,6.75,2.00,5.00,5.00,340,NULL,NULL,'PARQUE ITALIA','CAMPINAS','SP',9856,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3085805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'DALBERGIA','IBIRAMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3085813,4.00,5.00,4.00,8.00,4.00,6.00,3.00,6.00,3.00,233,NULL,202,'LAGOA DA CONCEICAO','FLORIANóPOLIS','SC',9944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085821,6.00,3.00,3.00,6.00,6.00,5.25,3.00,6.00,4.00,103,NULL,NULL,'SUMARÉ','RIO SUL','SC',11761,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3085830,0.00,3.00,2.00,5.00,4.00,5.50,3.00,4.00,3.00,424,NULL,425,'MONTE VERDE','FLORIANóPOLIS','SC',16393,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3085856,5.00,5.00,7.00,8.00,7.00,5.75,3.00,4.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085864,7.00,6.00,5.00,6.00,5.00,6.25,4.00,9.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3085872,8.00,7.00,5.00,8.00,7.00,6.25,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',3213,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3085880,2.00,5.00,5.00,8.00,6.00,6.25,1.00,5.00,6.00,303,NULL,NULL,'CANGO','FRANCISCO BELTRãO','PR',9318,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3085899,5.00,2.00,1.00,4.00,6.00,5.25,2.00,4.00,3.00,502,NULL,NULL,'FREI BRUNO','JOAçABA','SC',15847,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3085910,2.00,4.00,4.00,2.00,3.00,NULL,3.00,5.00,4.00,216,NULL,215,'CANTA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3085929,1.00,3.00,1.00,6.00,2.00,NULL,1.00,3.00,2.00,238,NULL,202,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3085937,4.00,5.00,6.00,9.00,6.00,6.00,4.00,6.00,6.00,104,NULL,NULL,'FáTIMA','ERECHIM','RS',5338,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3085945,3.00,6.00,4.00,5.00,5.00,5.25,3.00,4.00,3.00,303,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',12588,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3085961,5.00,4.00,2.00,7.00,5.00,6.25,2.00,2.00,4.00,103,NULL,NULL,'ENTRO','CRICIúMA','SC',13660,2582,NULL,NULL,NULL,NULL,NULL,2,5),(16,3085970,4.00,4.00,4.00,8.00,4.00,4.50,2.00,4.00,2.00,108,NULL,NULL,'COMASA','JOINVILLE','SC',14171,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3085988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'JD PRESIDENTE DUTRA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3085996,5.00,6.00,4.00,8.00,5.00,5.00,4.00,4.00,3.00,316,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',8122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086003,5.00,3.00,2.00,2.00,3.00,NULL,1.00,3.00,4.00,319,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3086011,5.00,5.00,4.00,3.00,3.00,NULL,4.00,5.00,5.00,501,NULL,NULL,'DOM FELICIANO','GRAVATAí','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086020,7.00,6.00,5.00,9.00,4.00,6.75,2.00,5.00,5.00,103,NULL,NULL,'ITANHANGA PARK','CPO GRANDE','MS',5384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086038,7.00,7.00,4.00,9.00,8.00,6.00,5.00,7.00,6.00,203,NULL,202,'SANTA RITA','BRUSQUE','SC',2156,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3086046,5.00,6.00,2.00,9.00,6.00,5.25,1.00,6.00,6.00,303,NULL,NULL,'CENTRO','CRICIúMA','SC',8574,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3086070,5.00,8.00,2.00,4.00,5.00,6.75,1.00,5.00,6.00,102,NULL,NULL,'MICHEL','CRICIúMA','SC',10564,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3086089,5.00,4.00,2.00,6.00,7.00,6.50,1.00,6.00,6.00,316,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',9338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086097,7.00,6.00,7.00,9.00,6.00,6.00,4.00,9.00,5.00,340,NULL,NULL,'CENTRO','JOINVILLE','SC',2352,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3086100,4.00,3.00,1.00,7.00,3.00,NULL,2.00,1.00,3.00,420,NULL,NULL,'CZERNIEWICZ','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3086119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,233,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3086127,6.00,5.00,2.00,7.00,5.00,5.75,5.00,8.00,6.00,104,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',5641,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3086135,7.00,8.00,4.00,8.00,5.00,4.00,6.00,8.00,6.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086143,4.00,6.00,3.00,4.00,4.00,4.25,4.00,5.00,2.00,103,NULL,NULL,'SAGRADO CORAçãO DE J','LAGES','SC',14749,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3086151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'DUQUE DE CAXIAS','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3086160,2.00,3.00,2.00,5.00,3.00,NULL,3.00,4.00,4.00,104,NULL,NULL,'NAçõES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3086178,7.00,4.00,4.00,9.00,5.00,5.50,5.00,5.00,6.00,108,NULL,NULL,'INGLESES','FLORIANOPOLIS','SC',5513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086194,6.00,3.00,2.00,4.00,3.00,NULL,2.00,5.00,4.00,340,NULL,NULL,'JD OURO VERDE','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3086208,4.00,7.00,2.00,9.00,4.00,5.50,4.00,7.00,3.00,238,NULL,208,'CENTRO','CRICIúMA','SC',8418,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3086216,7.00,3.00,3.00,6.00,6.00,4.75,4.00,5.00,6.00,103,NULL,NULL,'BATEL','CURITIBA','PR',9394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086224,5.00,8.00,7.00,8.00,6.00,6.00,4.00,6.00,4.00,208,NULL,211,'FLORESTA','S JOSé','SC',4120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086232,9.00,8.00,8.00,9.00,8.00,5.75,6.00,8.00,8.00,203,NULL,214,'CENTRO','JOINVILLE','SC',182,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3086240,8.00,9.00,7.00,9.00,7.00,6.75,7.00,7.00,6.00,5,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',478,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3086259,2.00,2.00,3.00,8.00,3.00,NULL,2.00,4.00,3.00,301,NULL,NULL,'AMéRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3086267,6.00,7.00,4.00,4.00,4.00,7.50,4.00,5.00,7.00,316,NULL,NULL,'CENTRO','CANOINHAS','SC',5736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3086283,7.00,9.00,9.00,7.00,7.00,8.25,5.00,9.00,9.00,216,NULL,233,'CENTRO','MARAU','RS',250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086291,6.00,5.00,3.00,8.00,6.00,8.25,5.00,7.00,5.00,103,NULL,NULL,'MATINHO','XANXERê','SC',4428,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3086305,5.00,7.00,2.00,3.00,7.00,6.00,2.00,6.00,3.00,301,NULL,NULL,'GUIOMAR DE BAIXO','ANTôNIO CARLOS','SC',11043,202,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086313,4.00,6.00,2.00,5.00,5.00,4.00,0.00,4.00,4.00,215,NULL,NULL,'BONECA DO IGUAçú','S JOSé PINHAIS','PR',15546,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3086321,7.00,7.00,7.00,6.00,5.00,7.50,4.00,6.00,4.00,304,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',4234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(16,3086348,3.00,6.00,9.00,9.00,5.00,6.25,8.00,7.00,6.00,202,NULL,208,'MONTE VERDE','FLORIANóPOLIS','SC',2099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086356,5.00,5.00,3.00,3.00,6.00,5.00,2.00,6.00,3.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',13824,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3086364,6.00,4.00,2.00,6.00,7.00,6.75,4.00,8.00,6.00,103,NULL,NULL,'CENTRO','ARARANGUá','SC',5429,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3086372,5.00,3.00,3.00,8.00,5.00,4.25,2.00,5.00,4.00,451,NULL,NULL,'PALMITAL','CHAPECó','SC',12022,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3086399,1.00,4.00,2.00,4.00,4.00,NULL,0.00,3.00,1.00,339,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3086402,4.00,2.00,3.00,5.00,3.00,NULL,3.00,3.00,1.00,103,NULL,NULL,'PETRóPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3086429,6.00,4.00,3.00,9.00,6.00,6.50,3.00,5.00,6.00,103,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',7410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086437,4.00,4.00,4.00,6.00,4.00,4.50,3.00,5.00,3.00,202,NULL,238,'BARRA DA LAGOA','FLORIANóPOLIS','SC',13948,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3086445,3.00,4.00,6.00,4.00,5.00,6.00,3.00,6.00,6.00,203,NULL,220,'CIDADE BAIXA','PTO ALEGRE','RS',9398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3086453,4.00,5.00,2.00,6.00,5.00,4.75,3.00,8.00,3.00,303,NULL,NULL,'SERRARIA','S JOSé','SC',11373,498,NULL,NULL,NULL,NULL,NULL,2,1),(16,3086461,4.00,7.00,4.00,1.00,6.00,5.00,1.00,6.00,2.00,103,NULL,NULL,'DAS NAçõES','TIMBó','SC',14925,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(16,3086470,4.00,2.00,3.00,6.00,3.00,NULL,3.00,4.00,2.00,201,NULL,207,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3086488,5.00,4.00,5.00,2.00,3.00,NULL,4.00,3.00,2.00,103,NULL,NULL,'CENTRO','MANOEL RIBAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3086496,5.00,8.00,6.00,8.00,5.00,4.75,4.00,8.00,5.00,216,NULL,214,'BOSQUE DAS MANSõES','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086518,7.00,8.00,5.00,7.00,6.00,5.75,4.00,8.00,6.00,103,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',2579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3086526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3086534,6.00,6.00,3.00,7.00,5.00,5.50,2.00,8.00,3.00,104,NULL,NULL,'ESQUINA','URUBICI','SC',8431,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3086542,0.00,7.00,1.00,6.00,7.00,6.00,1.00,6.00,3.00,426,NULL,428,'PANTANAL','FLORIANóPOLIS','SC',12679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086550,8.00,8.00,6.00,8.00,8.00,6.75,5.00,7.00,8.00,333,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',818,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3086569,0.00,4.00,1.00,3.00,4.00,NULL,2.00,4.00,0.00,101,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3086577,3.00,3.00,2.00,3.00,4.00,5.75,3.00,4.00,5.00,301,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',15821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086585,4.00,6.00,3.00,1.00,5.00,5.75,3.00,8.00,5.00,303,NULL,NULL,'LIVRAMENTO','TURVO','SC',10957,478,NULL,NULL,NULL,NULL,NULL,4,5),(16,3086593,2.00,3.00,1.00,5.00,3.00,NULL,1.00,2.00,4.00,444,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3086607,3.00,4.00,1.00,2.00,3.00,NULL,1.00,3.00,3.00,318,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086623,4.00,6.00,4.00,7.00,9.00,7.50,4.00,9.00,5.00,340,NULL,NULL,'ALTOS DO ESPLANADA','S JOSé CAMPOS','SP',3319,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3086631,5.00,3.00,4.00,4.00,4.00,4.00,2.00,3.00,5.00,103,NULL,NULL,'JARDIM LIBERDADE','JACAREí','SP',14414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086658,2.00,6.00,1.00,5.00,3.00,NULL,2.00,5.00,3.00,203,NULL,214,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3086666,4.00,7.00,4.00,3.00,5.00,4.00,3.00,5.00,3.00,303,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',12601,544,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086674,2.00,4.00,3.00,1.00,3.00,NULL,1.00,5.00,4.00,340,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086690,4.00,4.00,2.00,0.00,3.00,NULL,3.00,4.00,3.00,327,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086704,5.00,8.00,3.00,4.00,4.00,5.75,0.00,6.00,4.00,304,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',11879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086712,9.00,8.00,8.00,8.00,8.00,6.50,9.00,9.00,9.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',25,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3086720,4.00,1.00,4.00,2.00,6.00,0.00,5.00,3.00,4.00,444,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3086739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3086755,8.00,7.00,8.00,9.00,8.00,6.25,3.00,7.00,7.00,233,NULL,214,'MORADA DO SOL','MARAVILHA','SC',964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,213,'VILA DUBOS','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3086771,6.00,4.00,6.00,7.00,6.00,5.50,3.00,4.00,4.00,420,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',9151,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3086780,5.00,6.00,4.00,5.00,6.00,4.75,5.00,7.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5989,1676,NULL,NULL,NULL,NULL,NULL,4,4),(16,3086801,6.00,7.00,7.00,7.00,5.00,6.50,4.00,9.00,8.00,216,NULL,214,'RES LORENZO BALNEARI','FLORIANóPOLIS','SC',2144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086810,4.00,2.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,404,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3086828,4.00,3.00,1.00,6.00,3.00,NULL,3.00,6.00,2.00,404,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3086836,5.00,6.00,3.00,9.00,4.00,5.75,2.00,4.00,5.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086844,7.00,3.00,4.00,6.00,6.00,5.75,2.00,6.00,6.00,102,NULL,NULL,'SãO CRISTOVãO','CRICIúMA','SC',8547,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3086860,4.00,4.00,2.00,7.00,3.00,NULL,3.00,4.00,3.00,415,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3086887,3.00,5.00,1.00,8.00,6.00,4.00,1.00,5.00,2.00,503,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14530,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3086895,2.00,1.00,1.00,3.00,3.00,NULL,1.00,3.00,2.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3086909,3.00,2.00,2.00,6.00,6.00,NULL,1.00,3.00,2.00,328,NULL,NULL,'MORRO DA BINA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3086917,9.00,7.00,7.00,7.00,4.00,4.75,8.00,9.00,8.00,103,NULL,NULL,'GUARá','GUARá','DF',897,452,NULL,NULL,NULL,NULL,NULL,2,1),(16,3086925,7.00,6.00,5.00,8.00,8.00,8.50,3.00,7.00,7.00,203,NULL,216,'CENTRO','ERECHIM','RS',1554,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3086933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3086941,6.00,4.00,5.00,1.00,6.00,4.75,4.00,6.00,2.00,201,NULL,214,'CIANORTINHO','CIANORTE','PR',12495,970,NULL,408,NULL,NULL,NULL,4,8),(16,3086968,2.00,3.00,3.00,2.00,3.00,NULL,2.00,1.00,4.00,103,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3086992,4.00,7.00,3.00,1.00,4.00,4.50,1.00,5.00,3.00,207,NULL,201,'ESTREITO','FLORIANóPOLIS','SC',14755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087000,4.00,6.00,3.00,8.00,4.00,3.00,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','CPO MOURãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3087042,5.00,5.00,3.00,8.00,5.00,4.25,2.00,7.00,3.00,340,NULL,NULL,'TATUAPé','S PAULO','SP',10551,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3087050,4.00,4.00,1.00,5.00,2.00,NULL,2.00,5.00,2.00,101,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087069,3.00,4.00,3.00,5.00,5.00,5.00,4.00,4.00,2.00,404,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',14301,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087093,5.00,2.00,3.00,5.00,3.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'MARGEM ESQUERDA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3087107,3.00,4.00,3.00,2.00,1.00,NULL,1.00,4.00,3.00,203,NULL,202,'VILA MARIANA','TAIó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087115,4.00,4.00,4.00,3.00,4.00,6.00,1.00,2.00,5.00,318,NULL,NULL,'BALNEARIO','FLORIANóPOLIS','SC',14917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087131,1.00,2.00,2.00,3.00,3.00,NULL,2.00,6.00,2.00,453,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087158,4.00,6.00,4.00,5.00,5.00,5.75,3.00,3.00,2.00,318,NULL,NULL,'SERRARIA','S JOSé','SC',13015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087174,5.00,7.00,6.00,6.00,6.00,5.25,3.00,7.00,6.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087182,8.00,6.00,5.00,8.00,6.00,7.00,3.00,5.00,7.00,103,NULL,NULL,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',3329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087190,3.00,1.00,3.00,4.00,3.00,NULL,2.00,4.00,7.00,207,NULL,201,'CENTRO','JACAREZINHO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3087212,7.00,6.00,5.00,8.00,6.00,6.25,3.00,6.00,5.00,211,NULL,215,'CENTRO','FLORIANóPOLIS','SC',5515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087239,8.00,7.00,5.00,8.00,8.00,7.25,5.00,8.00,7.00,415,NULL,NULL,'CENTRO','CHAPECó','SC',1467,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3087247,2.00,3.00,3.00,8.00,4.00,5.00,2.00,4.00,5.00,301,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',14636,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3087255,1.00,2.00,1.00,4.00,2.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087280,7.00,8.00,7.00,8.00,8.00,6.75,6.00,7.00,8.00,214,NULL,213,'INGLESES','FLORIANóPOLIS','SC',895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087298,4.00,8.00,4.00,7.00,7.00,5.75,2.00,7.00,5.00,103,NULL,NULL,'ZONA SETE','MARINGá','PR',4670,1433,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087301,2.00,2.00,2.00,6.00,4.00,4.50,3.00,4.00,2.00,320,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',16580,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087310,4.00,6.00,3.00,6.00,6.00,5.50,3.00,8.00,4.00,202,NULL,NULL,'OSVALDO ARANHA','IJUí','RS',8257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087328,6.00,5.00,2.00,7.00,5.00,6.50,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9170,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087336,7.00,4.00,5.00,6.00,5.00,6.00,5.00,5.00,6.00,202,NULL,201,'ZONA SETE','MARINGá','PR',5363,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3087352,6.00,4.00,3.00,7.00,4.00,5.25,0.00,4.00,6.00,444,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',11382,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3087379,3.00,5.00,4.00,9.00,3.00,NULL,5.00,7.00,3.00,202,NULL,208,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3087395,4.00,7.00,6.00,6.00,4.00,4.75,3.00,8.00,7.00,203,NULL,220,'ANITA GARIBALDI','JOINVILLE','SC',5992,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3087409,3.00,1.00,1.00,7.00,3.00,NULL,4.00,3.00,4.00,301,NULL,NULL,'CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087417,8.00,8.00,9.00,7.00,7.00,6.75,8.00,8.00,9.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',156,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087425,5.00,4.00,8.00,6.00,8.00,4.25,6.00,5.00,4.00,208,NULL,238,'JARDIM MOREIRINHA','AMPARO','SP',5396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087441,3.00,2.00,3.00,4.00,6.00,NULL,1.00,3.00,2.00,308,NULL,NULL,'BALNEARIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087450,6.00,2.00,5.00,6.00,4.00,4.75,2.00,5.00,4.00,216,NULL,212,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087476,3.00,4.00,2.00,5.00,5.00,NULL,0.00,3.00,3.00,317,NULL,NULL,'BELA VISTA II','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087484,2.00,2.00,4.00,6.00,5.00,5.75,4.00,4.00,5.00,429,NULL,NULL,'KOBRASOL','S JOSé','SC',13988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087492,4.00,1.00,1.00,2.00,4.00,NULL,2.00,5.00,1.00,103,NULL,NULL,'INTERIOR','LACERDóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3087506,7.00,8.00,5.00,8.00,6.00,5.75,2.00,8.00,6.00,316,NULL,NULL,'IPIRANGA','S JOSé','SC',3645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087514,8.00,8.00,8.00,9.00,8.00,8.25,7.00,8.00,8.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',47,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3087522,5.00,7.00,2.00,7.00,5.00,5.00,4.00,5.00,3.00,101,NULL,NULL,'PASSA VINTE','PALHOçA','SC',9886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087530,8.00,6.00,6.00,9.00,5.00,7.00,4.00,6.00,6.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087549,5.00,9.00,5.00,6.00,7.00,5.50,5.00,7.00,6.00,207,NULL,201,'ESTREITO','FLORIANóPOLIS','SC',3616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087557,3.00,3.00,3.00,7.00,6.00,5.25,1.00,3.00,2.00,207,NULL,201,'ABRAAO','FLORIANóPOLIS','SC',15614,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SETOR G','ALTA FLORESTA','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3087573,4.00,5.00,3.00,7.00,4.00,4.00,2.00,4.00,3.00,317,NULL,NULL,'AREIAS','S JOSé','SC',14349,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087590,5.00,4.00,1.00,4.00,6.00,6.00,3.00,4.00,3.00,207,NULL,208,'SACO GRANDE','FLORIANóPOLIS','SC',13713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087603,5.00,4.00,1.00,1.00,4.00,NULL,3.00,3.00,3.00,415,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087611,7.00,6.00,4.00,8.00,6.00,7.00,2.00,8.00,4.00,340,NULL,NULL,'CENTRO','LAGES','SC',4736,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3087620,5.00,5.00,2.00,8.00,6.00,5.25,3.00,5.00,5.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',8614,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3087638,1.00,3.00,2.00,7.00,3.00,NULL,3.00,4.00,3.00,108,NULL,NULL,'CAMPO D UNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087646,7.00,6.00,7.00,8.00,8.00,5.25,5.00,7.00,8.00,103,NULL,NULL,'MONTE CASTELO','TUBARãO','SC',1713,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3087654,5.00,5.00,4.00,6.00,5.00,4.50,4.00,5.00,5.00,3,NULL,NULL,'PARQUE LUCIAMAR','CAMPINAS','SP',9046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087662,5.00,2.00,4.00,6.00,8.00,5.00,3.00,5.00,7.00,103,NULL,NULL,'CAPAO RASO','CURITIBA','PR',7846,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087670,1.00,5.00,3.00,5.00,4.00,4.00,5.00,7.00,4.00,203,NULL,202,'FAZENDA STO ANTONIO','S JOSé','SC',13691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087689,5.00,5.00,4.00,9.00,6.00,7.75,3.00,7.00,5.00,215,NULL,216,'CENTRO','FLORIANóPOLIS','SC',5828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'CENTRO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3087719,3.00,7.00,2.00,5.00,4.00,5.25,3.00,2.00,2.00,502,NULL,NULL,'COLONINHA','ORLEANS','SC',15793,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3087735,8.00,7.00,7.00,6.00,6.00,6.50,6.00,8.00,7.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',1106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087751,3.00,3.00,2.00,5.00,0.00,NULL,1.00,4.00,3.00,207,NULL,211,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(16,3087760,4.00,2.00,2.00,8.00,5.00,5.75,2.00,5.00,4.00,223,NULL,NULL,'JARDIM EUROPA','BIGUAçU','SC',13891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087778,4.00,2.00,2.00,5.00,4.00,4.25,2.00,6.00,2.00,309,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',16493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087786,4.00,2.00,3.00,4.00,3.00,NULL,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3087794,8.00,7.00,5.00,8.00,6.00,6.50,5.00,7.00,6.00,340,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',3121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087808,7.00,6.00,5.00,7.00,5.00,5.00,1.00,6.00,4.00,203,NULL,214,'CENTRO','FLORIANóPOLIS','SC',8738,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3087816,2.00,7.00,4.00,8.00,8.00,7.25,3.00,9.00,4.00,428,NULL,426,'BOM VIVER','BIGUAçU','SC',4637,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087824,6.00,7.00,4.00,9.00,8.00,6.50,3.00,6.00,3.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087832,9.00,5.00,9.00,8.00,9.00,7.75,7.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',315,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3087859,2.00,2.00,1.00,5.00,4.00,NULL,2.00,4.00,4.00,340,NULL,NULL,'NAçõES','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3087867,6.00,5.00,4.00,4.00,6.00,5.25,1.00,4.00,3.00,102,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',12043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087891,4.00,6.00,6.00,7.00,4.00,4.75,6.00,8.00,5.00,201,NULL,202,'CENTRO','CHAPECó','SC',5627,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3087905,5.00,5.00,7.00,8.00,4.00,5.50,6.00,6.00,6.00,103,NULL,NULL,'SETOR J','ALTA FLORESTA','MT',4603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087913,2.00,4.00,2.00,3.00,3.00,NULL,0.00,7.00,5.00,303,NULL,NULL,'AMBROSIO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087948,6.00,7.00,7.00,7.00,4.00,5.75,5.00,6.00,5.00,222,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087956,4.00,5.00,4.00,6.00,8.00,4.75,6.00,5.00,5.00,103,NULL,NULL,'PROGRESSO','LAGUNA','SC',7417,1903,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087964,7.00,5.00,6.00,9.00,7.00,7.00,4.00,8.00,8.00,340,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',2085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087972,3.00,5.00,2.00,2.00,3.00,NULL,1.00,2.00,3.00,303,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3087980,8.00,8.00,9.00,8.00,7.00,6.25,6.00,7.00,7.00,203,NULL,220,'CENTRO','BAL CAMBORIú','SC',532,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3088006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'CENTRO','JOAçABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3088014,5.00,5.00,6.00,8.00,8.00,6.50,4.00,6.00,5.00,212,NULL,213,'KOBRASOL','S JOSé','SC',5101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3088022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3088030,3.00,4.00,4.00,5.00,4.00,5.50,3.00,4.00,2.00,501,NULL,NULL,'FREI BRUNO','JOAçABA','SC',15059,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3088049,5.00,4.00,1.00,3.00,4.00,4.25,3.00,5.00,4.00,233,NULL,214,'CENTRO','PNT GROSSA','PR',15113,447,NULL,463,NULL,NULL,NULL,4,8),(16,3088057,2.00,3.00,2.00,8.00,4.00,5.50,3.00,4.00,6.00,303,NULL,NULL,'VILA ALVORADA','IMBITUBA','SC',12936,558,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088065,3.00,6.00,3.00,7.00,5.00,6.25,4.00,3.00,5.00,201,NULL,213,'BARRA DA LAGOA','FLORIANóPOLIS','SC',9735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3088073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',1,1),(16,3088090,4.00,4.00,4.00,4.00,4.00,NULL,0.00,3.00,2.00,420,NULL,NULL,'VILA MOEMA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3088103,6.00,6.00,5.00,9.00,8.00,7.00,5.00,8.00,6.00,420,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',1756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3088120,9.00,7.00,3.00,7.00,6.00,7.75,2.00,6.00,7.00,203,NULL,201,'CAMPINAS','S JOSé','SC',3623,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088138,3.00,2.00,2.00,1.00,0.00,NULL,0.00,3.00,2.00,104,NULL,NULL,'INTERIOR','QUILOMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3088146,6.00,7.00,4.00,3.00,6.00,5.50,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','IMBITUBA','SC',6500,1756,NULL,NULL,NULL,NULL,NULL,4,10),(16,3088154,6.00,7.00,5.00,7.00,6.00,5.75,4.00,6.00,7.00,203,NULL,211,'SANTA MôNICA','FLORIANóPOLIS','SC',3361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3088170,5.00,7.00,3.00,7.00,5.00,7.00,4.00,6.00,6.00,103,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',5778,1632,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088189,4.00,3.00,2.00,3.00,3.00,NULL,3.00,3.00,3.00,101,NULL,NULL,'VILA SANTANA','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3088197,5.00,8.00,5.00,7.00,6.00,5.75,3.00,5.00,5.00,317,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',6532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088200,6.00,5.00,5.00,5.00,8.00,5.25,3.00,6.00,5.00,212,NULL,201,'CARVOEIRA','FLORIANóPOLIS','SC',7442,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088219,3.00,4.00,3.00,4.00,4.00,NULL,3.00,1.00,2.00,420,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088227,1.00,1.00,1.00,4.00,5.00,NULL,2.00,6.00,1.00,207,NULL,233,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088235,8.00,7.00,4.00,7.00,6.00,5.25,2.00,7.00,6.00,102,NULL,NULL,'FAZENDA SANTO ANTôNI','S JOSé','SC',5267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3088251,1.00,3.00,3.00,2.00,5.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3088260,6.00,6.00,8.00,6.00,7.00,6.50,5.00,7.00,7.00,201,NULL,NULL,'RIO VERMELHO','SALVADOR','BA',1776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3088294,3.00,6.00,1.00,7.00,5.00,5.00,3.00,8.00,4.00,108,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',10859,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088316,5.00,4.00,2.00,6.00,5.00,5.50,2.00,6.00,4.00,103,NULL,NULL,'MãE DE DEUS','CATALãO','GO',11567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3088324,4.00,5.00,3.00,7.00,6.00,7.25,2.00,9.00,3.00,319,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',8553,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM VIVENDAS','S JOSé R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3088340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'FAROLâNDIA','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3088359,4.00,2.00,1.00,5.00,1.00,NULL,2.00,4.00,2.00,326,NULL,NULL,'PRAIA DA DANIELA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'JARDIM SãO BENEDITO','CAMBUí','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3088391,4.00,2.00,1.00,4.00,3.00,NULL,2.00,4.00,1.00,309,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088405,5.00,8.00,5.00,4.00,6.00,6.00,5.00,7.00,5.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',5091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3088413,8.00,8.00,7.00,7.00,8.00,6.00,4.00,5.00,6.00,103,NULL,NULL,'NOVA BRASILIA','JOINVILLE','SC',2327,922,NULL,NULL,NULL,NULL,NULL,4,8),(16,3088421,4.00,4.00,2.00,0.00,2.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'CIDADE ALTA','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3088430,6.00,5.00,4.00,6.00,4.00,5.50,1.00,5.00,5.00,211,NULL,207,'CARIANOS','FLORIANóPOLIS','SC',10683,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'FREGUESIA DO Ó','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3088464,4.00,7.00,2.00,5.00,6.00,5.25,3.00,4.00,3.00,302,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',11609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088472,4.00,3.00,1.00,1.00,3.00,NULL,1.00,5.00,4.00,303,NULL,NULL,'FAZENDINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3088480,3.00,4.00,1.00,5.00,3.00,NULL,3.00,3.00,2.00,415,NULL,NULL,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3088499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'MUNICíPIOS','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3088502,1.00,4.00,4.00,8.00,4.00,6.50,4.00,5.00,1.00,415,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',13958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3088510,6.00,8.00,4.00,6.00,6.00,6.50,3.00,7.00,5.00,207,NULL,201,'JARDIM IPANEMA','MARINGá','PR',5583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3088537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3088545,5.00,4.00,5.00,2.00,4.00,5.25,3.00,4.00,5.00,301,NULL,NULL,'CENATRO','IBIAM','SC',13275,281,NULL,NULL,NULL,NULL,NULL,4,7),(16,3088553,3.00,4.00,1.00,3.00,4.00,4.50,1.00,4.00,4.00,303,NULL,NULL,'JARDIM JOSE RUPP','HERVAL D OESTE','SC',16680,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3088570,5.00,6.00,3.00,5.00,5.00,4.25,4.00,5.00,3.00,208,NULL,212,'LINHA NERU RAMOS','ARVOREDO','SC',11397,362,NULL,334,NULL,NULL,NULL,2,4),(16,3088588,6.00,4.00,5.00,6.00,6.00,4.50,3.00,4.00,4.00,9,NULL,NULL,'GLóRIA','JOINVILLE','SC',9797,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3088596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3088600,5.00,5.00,2.00,6.00,6.00,5.50,4.00,6.00,3.00,103,NULL,NULL,'CENTRO','TRINDADE SUL','RS',9994,2217,NULL,NULL,NULL,NULL,NULL,2,4),(16,3088618,4.00,8.00,5.00,7.00,2.00,NULL,3.00,4.00,4.00,234,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088626,5.00,3.00,4.00,4.00,6.00,8.00,2.00,4.00,4.00,108,NULL,NULL,'JD ESPLANADA I','INDAIATUBA','SP',11623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3088634,6.00,7.00,6.00,8.00,7.00,5.50,5.00,6.00,3.00,108,NULL,NULL,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',3565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3088642,7.00,7.00,6.00,7.00,6.00,6.25,2.00,6.00,5.00,420,NULL,NULL,'CENTRO','LAGES','SC',4656,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3088669,3.00,1.00,1.00,2.00,5.00,NULL,2.00,5.00,4.00,301,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3088677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'GRANJA VIANNA','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3088685,1.00,6.00,2.00,0.00,2.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3088693,6.00,6.00,5.00,6.00,7.00,6.00,1.00,7.00,8.00,108,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',5148,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3088707,4.00,7.00,3.00,8.00,5.00,5.00,4.00,7.00,5.00,108,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',7572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088715,6.00,4.00,4.00,5.00,5.00,3.00,3.00,6.00,4.00,501,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088731,6.00,3.00,7.00,6.00,4.00,5.25,5.00,2.00,4.00,201,NULL,211,'VILA OLíMPICA','MARIALVA','PR',9957,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088740,3.00,3.00,2.00,6.00,3.00,NULL,3.00,3.00,3.00,207,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088758,4.00,4.00,2.00,7.00,4.00,4.00,2.00,6.00,5.00,103,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',12856,2517,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088766,2.00,3.00,2.00,5.00,4.00,4.00,3.00,4.00,3.00,102,NULL,NULL,'CENTRO','GAROPABA','SC',16601,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088774,3.00,6.00,3.00,9.00,8.00,4.75,1.00,8.00,4.00,320,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8975,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088782,3.00,4.00,2.00,2.00,4.00,NULL,2.00,1.00,3.00,340,NULL,NULL,'ANDORINHA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3088790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'CIDADE JARDIM','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3088812,5.00,4.00,3.00,7.00,5.00,5.00,3.00,4.00,3.00,453,NULL,NULL,'CENTRO','BRUSQUE','SC',12682,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3088820,4.00,5.00,3.00,6.00,8.00,6.00,2.00,6.00,3.00,420,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',9101,84,NULL,NULL,NULL,NULL,NULL,2,3),(16,3088847,5.00,3.00,1.00,4.00,4.00,5.75,2.00,4.00,3.00,216,NULL,215,'CENTRO','BENEDITO NOVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3088855,5.00,5.00,1.00,6.00,5.00,6.25,2.00,3.00,6.00,502,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12646,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'SITIO ITACURUçA','ITAPEVI','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3088871,6.00,6.00,5.00,3.00,6.00,5.75,3.00,9.00,6.00,203,NULL,201,'BARIGUI','ARAUCáRIA','PR',6535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3088880,8.00,9.00,6.00,8.00,7.00,6.50,3.00,9.00,5.00,201,NULL,202,'CARVOEIRA','FLORIANóPOLIS','SC',1827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3088898,3.00,3.00,3.00,1.00,4.00,NULL,2.00,3.00,4.00,201,NULL,233,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3088901,6.00,7.00,6.00,7.00,5.00,5.00,6.00,8.00,5.00,201,NULL,202,'CARVOEIRA','FLORIANóPOLIS','SC',3150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3088910,3.00,2.00,3.00,3.00,3.00,NULL,0.00,0.00,0.00,215,NULL,201,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3088928,5.00,0.00,3.00,5.00,5.00,5.75,2.00,5.00,2.00,103,NULL,NULL,'COLONIA SANTANA','S JOSé','SC',16330,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088936,8.00,7.00,5.00,6.00,5.00,4.25,5.00,6.00,8.00,104,NULL,NULL,'JARDIN UNIVERSITARIO','MARINGá','PR',3417,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088944,3.00,3.00,4.00,1.00,2.00,NULL,3.00,3.00,4.00,238,NULL,208,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3088952,4.00,5.00,1.00,8.00,6.00,5.50,2.00,5.00,3.00,420,NULL,NULL,'COLONINHA','ARARANGUá','SC',12065,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3088960,2.00,2.00,1.00,7.00,6.00,4.00,2.00,4.00,3.00,327,NULL,NULL,'ITAGUAI I','CALDAS NOVAS','GO',15612,48,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088979,5.00,7.00,1.00,8.00,7.00,5.25,2.00,6.00,5.00,501,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',7673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3088987,4.00,7.00,3.00,7.00,7.00,5.75,5.00,8.00,5.00,317,NULL,NULL,'RIO GRANDE','PALHOçA','SC',4647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3088995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3089002,4.00,3.00,4.00,7.00,5.00,6.75,1.00,5.00,5.00,102,NULL,NULL,'CENTRO','ITAJAí','SC',11220,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3089029,1.00,3.00,2.00,0.00,2.00,NULL,1.00,3.00,3.00,102,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3089037,5.00,3.00,5.00,7.00,3.00,NULL,3.00,4.00,5.00,101,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3089045,7.00,9.00,8.00,8.00,6.00,5.25,6.00,8.00,7.00,220,NULL,208,'CENTRO','RIO SUL','SC',1259,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3089053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3089061,3.00,7.00,4.00,6.00,6.00,7.00,3.00,9.00,4.00,303,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',5873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3089070,1.00,3.00,4.00,3.00,4.00,NULL,1.00,3.00,1.00,212,NULL,NULL,'CENTRO','PRES GETúLIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089088,8.00,8.00,8.00,8.00,8.00,6.00,5.00,9.00,8.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',382,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3089096,6.00,8.00,6.00,9.00,7.00,7.00,4.00,6.00,6.00,202,NULL,203,'AGRONôMICA','FLORIANóPOLIS','SC',2205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'ALTO DA GLóRIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3089118,5.00,4.00,3.00,4.00,7.00,5.50,2.00,6.00,3.00,332,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',11657,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3089126,5.00,4.00,1.00,6.00,7.00,5.75,3.00,5.00,4.00,450,NULL,NULL,'RANCHO DE TáBOAS','ANGELINA','SC',10567,90,NULL,NULL,NULL,NULL,NULL,2,1),(16,3089134,3.00,4.00,2.00,7.00,4.00,6.25,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','TRINDADE SUL','RS',14045,2617,NULL,NULL,NULL,NULL,NULL,2,4),(16,3089142,3.00,2.00,1.00,3.00,3.00,NULL,4.00,1.00,2.00,320,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3089150,2.00,4.00,3.00,5.00,6.00,5.25,3.00,2.00,2.00,225,NULL,NULL,'ESTAçãO','URUSSANGA','SC',15448,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3089169,5.00,8.00,5.00,6.00,5.00,6.50,1.00,8.00,6.00,320,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089185,3.00,2.00,3.00,2.00,4.00,NULL,2.00,3.00,1.00,304,NULL,NULL,'POTECAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3089193,5.00,6.00,5.00,6.00,5.00,6.25,1.00,6.00,4.00,103,NULL,NULL,'CENTRO','IMBITUBA','SC',7716,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3089207,8.00,6.00,5.00,7.00,7.00,6.00,3.00,5.00,6.00,207,NULL,NULL,'CENTRO','PAULO LOPES','SC',3717,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3089215,7.00,3.00,3.00,7.00,5.00,6.00,2.00,6.00,4.00,102,NULL,NULL,'PALMITAL','CHAPECó','SC',10191,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3089223,7.00,8.00,5.00,8.00,5.00,5.25,3.00,7.00,6.00,103,NULL,NULL,'BOQUEIRãO','CURITIBA','PR',3322,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3089231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3089240,0.00,0.00,0.00,8.00,7.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3089258,9.00,9.00,6.00,7.00,6.00,8.25,8.00,8.00,9.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089266,8.00,5.00,3.00,0.00,1.00,NULL,1.00,7.00,6.00,103,NULL,NULL,'BOA VIATA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3089282,7.00,3.00,5.00,7.00,4.00,5.75,2.00,5.00,4.00,101,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',10195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089290,6.00,5.00,3.00,7.00,3.00,NULL,3.00,8.00,5.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3089304,3.00,2.00,1.00,5.00,2.00,NULL,1.00,3.00,3.00,319,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3089312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'CENTRO','DR MAURíCIO CARDOSO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3089320,3.00,5.00,1.00,5.00,4.00,5.00,2.00,7.00,5.00,428,NULL,427,'CAPOEIRAS','FLORIANóPOLIS','SC',12797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089339,5.00,6.00,4.00,8.00,5.00,6.00,2.00,7.00,5.00,453,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089347,6.00,5.00,4.00,6.00,7.00,5.00,2.00,6.00,5.00,415,NULL,NULL,'CENTRO','TIJUCAS','SC',7961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089355,4.00,5.00,3.00,3.00,4.00,NULL,1.00,2.00,2.00,503,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'ACLIMAçãO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3089380,7.00,7.00,5.00,9.00,7.00,6.75,4.00,7.00,6.00,340,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',2675,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3089401,9.00,8.00,8.00,9.00,7.00,5.75,5.00,5.00,6.00,211,NULL,201,'SãO LUIS','CRICIúMA','SC',1447,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3089410,2.00,2.00,4.00,4.00,5.00,5.25,3.00,5.00,5.00,104,NULL,NULL,'PARAGUAI','JACINTO MACHADO','SC',15348,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3089428,8.00,8.00,6.00,9.00,6.00,6.25,6.00,9.00,7.00,203,NULL,211,'CENTRO','BAL CAMBORIú','SC',806,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3089436,2.00,3.00,1.00,3.00,5.00,NULL,3.00,4.00,4.00,201,NULL,207,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089444,2.00,6.00,4.00,6.00,4.00,4.50,2.00,5.00,4.00,207,NULL,201,'SUL DOR RIO','STO AMARO IMPERATRIZ','SC',12854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089452,9.00,8.00,6.00,7.00,8.00,6.00,6.00,8.00,8.00,103,NULL,NULL,'IRIRIU','JOINVILLE','SC',621,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3089460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,203,'PINHEIRINHO','ITAJUBá','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3089487,5.00,2.00,2.00,3.00,6.00,4.25,3.00,5.00,4.00,102,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',14452,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3089509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3089517,8.00,5.00,6.00,5.00,6.00,5.25,3.00,7.00,4.00,207,NULL,211,'JOãO PAULO','FLORIANóPOLIS','SC',6533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089525,6.00,6.00,7.00,7.00,5.00,7.50,6.00,7.00,9.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',1461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089568,6.00,6.00,2.00,7.00,6.00,4.50,6.00,8.00,4.00,453,NULL,NULL,'VILA SAO CRISTOVAM','LIMEIRA','SP',6343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,233,'SUPER QUADRA MORUMBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3089584,4.00,1.00,3.00,6.00,6.00,6.25,4.00,4.00,2.00,216,NULL,215,'CARIANOS','FLORIANóPOLIS','SC',13715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089592,5.00,3.00,2.00,5.00,3.00,NULL,3.00,4.00,2.00,201,NULL,207,'FORQUILINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3089606,3.00,3.00,2.00,7.00,4.00,4.50,3.00,5.00,4.00,404,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',14688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089614,3.00,2.00,2.00,7.00,4.00,5.25,1.00,4.00,4.00,108,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',15973,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3089622,5.00,4.00,3.00,5.00,5.00,5.50,3.00,7.00,3.00,5,NULL,NULL,'BUCAREIN','JOINVILLE','SC',10932,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3089630,7.00,7.00,6.00,8.00,5.00,6.75,4.00,6.00,6.00,212,NULL,213,'CENTRO','FLORIANóPOLIS','SC',2817,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3089649,5.00,5.00,3.00,7.00,7.00,6.75,4.00,6.00,5.00,207,NULL,233,'FORQUILHINHAS','S JOSé','SC',7154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089657,8.00,6.00,4.00,8.00,7.00,6.50,5.00,8.00,7.00,103,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',1845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3089665,4.00,7.00,1.00,4.00,4.00,5.50,4.00,9.00,2.00,103,NULL,NULL,'CENTRO','INDAIAL','SC',11196,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3089673,1.00,3.00,4.00,4.00,4.00,NULL,4.00,1.00,3.00,301,NULL,NULL,'BARRA DO ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089681,5.00,7.00,1.00,5.00,6.00,6.50,3.00,8.00,2.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',8395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089690,1.00,4.00,2.00,3.00,4.00,NULL,2.00,0.00,3.00,303,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3089703,4.00,3.00,4.00,4.00,3.00,NULL,4.00,4.00,3.00,3,NULL,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3089711,6.00,7.00,2.00,4.00,6.00,6.75,3.00,8.00,7.00,103,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIú','SC',4771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089720,3.00,7.00,3.00,6.00,3.00,NULL,2.00,6.00,3.00,501,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3089738,7.00,7.00,7.00,9.00,6.00,6.25,6.00,8.00,6.00,213,NULL,214,'PITUBA','SALVADOR','BA',1199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089746,2.00,6.00,5.00,3.00,3.00,NULL,3.00,7.00,3.00,328,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089754,2.00,5.00,2.00,7.00,6.00,7.00,2.00,7.00,2.00,3,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',11737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089762,4.00,5.00,2.00,9.00,4.00,7.00,1.00,4.00,1.00,304,NULL,NULL,'IATE CLUBE AMERICANA','AMERICANA','SP',13637,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3089770,4.00,4.00,1.00,4.00,3.00,NULL,2.00,6.00,4.00,108,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089797,5.00,3.00,3.00,7.00,5.00,6.75,4.00,5.00,3.00,340,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',10048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089800,4.00,3.00,2.00,7.00,5.00,5.75,2.00,4.00,3.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089819,3.00,3.00,1.00,5.00,0.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'ALEGRE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3089827,2.00,1.00,1.00,4.00,4.00,NULL,1.00,3.00,4.00,425,NULL,429,'PRAIA DE FORA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089835,5.00,7.00,7.00,9.00,6.00,4.50,2.00,7.00,6.00,203,NULL,202,'JD IGUAçU','MARINGá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089843,4.00,3.00,5.00,4.00,4.00,4.75,3.00,3.00,4.00,103,NULL,NULL,'IMIGRANTES','CONCóRDIA','SC',15034,2697,NULL,NULL,NULL,NULL,NULL,4,4),(16,3089860,3.00,5.00,3.00,7.00,5.00,4.50,2.00,5.00,2.00,220,NULL,203,'CENTRO','FLORIANóPOLIS','SC',14424,491,NULL,861,NULL,NULL,NULL,4,1),(16,3089878,8.00,8.00,9.00,9.00,8.00,7.25,6.00,9.00,8.00,103,NULL,NULL,'CENTRO','ARROIO TRINTA','SC',147,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3089886,4.00,5.00,1.00,3.00,4.00,6.75,3.00,3.00,2.00,331,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',15701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089894,8.00,8.00,9.00,9.00,9.00,6.50,5.00,8.00,9.00,103,NULL,NULL,'CENTRO','APUCARANA','PR',277,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3089908,4.00,6.00,2.00,7.00,6.00,5.00,2.00,7.00,6.00,214,NULL,202,'PORTAL DO SOL II','GOIâNIA','GO',8939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089916,7.00,6.00,3.00,10.00,6.00,6.50,4.00,8.00,7.00,103,NULL,NULL,'VILLA VOLGA','PALMITAL','SP',2697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089932,3.00,0.00,1.00,7.00,3.00,NULL,2.00,0.00,2.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089959,6.00,6.00,1.00,7.00,6.00,4.25,3.00,3.00,6.00,202,NULL,211,'JD IGUAçU','MARINGá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089975,9.00,8.00,8.00,9.00,6.00,6.50,7.00,8.00,8.00,214,NULL,212,'PAROLIN','CURITIBA','PR',373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3089983,9.00,9.00,7.00,9.00,7.00,6.75,6.00,9.00,8.00,340,NULL,NULL,'AUXILIADORA','PTO ALEGRE','RS',166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090000,2.00,3.00,4.00,4.00,4.00,5.50,3.00,4.00,2.00,415,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',16175,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3090019,7.00,7.00,7.00,8.00,6.00,5.25,6.00,8.00,7.00,233,NULL,216,'CARVOEIRA','FLORIANóPOLIS','SC',1712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090027,8.00,9.00,6.00,3.00,4.00,5.50,4.00,8.00,7.00,212,NULL,213,'KOBRASOL','S JOSé','SC',3165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090035,5.00,2.00,4.00,8.00,6.00,5.50,3.00,4.00,3.00,222,NULL,NULL,'BALNEARIO','FLORIANóPOLIS','SC',12176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090051,9.00,8.00,7.00,9.00,8.00,9.00,7.00,7.00,8.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',82,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3090060,5.00,6.00,7.00,9.00,6.00,4.75,5.00,6.00,4.00,108,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',4492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090078,4.00,5.00,2.00,7.00,3.00,NULL,4.00,4.00,4.00,103,NULL,NULL,'SETOR SUL','GOIâNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090094,5.00,6.00,6.00,5.00,8.00,5.75,6.00,7.00,7.00,207,NULL,201,'SAGUAçU','JOINVILLE','SC',3217,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3090108,3.00,2.00,2.00,9.00,4.00,4.00,2.00,5.00,3.00,303,NULL,NULL,'BRASILIA','S BENTO SUL','SC',15046,NULL,NULL,NULL,NULL,NULL,NULL,3,3),(16,3090116,3.00,5.00,4.00,6.00,3.00,NULL,2.00,4.00,4.00,301,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090140,5.00,4.00,2.00,7.00,2.00,NULL,3.00,4.00,4.00,211,NULL,216,'CENTRO','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3090159,4.00,3.00,1.00,3.00,3.00,NULL,1.00,3.00,2.00,420,NULL,NULL,'PARQUE INDUSTRIAL','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090175,7.00,8.00,7.00,9.00,6.00,6.00,4.00,5.00,6.00,212,NULL,213,'CENTRO','ERECHIM','RS',2143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090183,6.00,7.00,7.00,8.00,5.00,6.00,4.00,5.00,4.00,215,NULL,238,'CENTRO','BAL PIçARRAS','SC',5068,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3090191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3090205,3.00,3.00,5.00,6.00,5.00,5.00,3.00,5.00,2.00,216,NULL,215,'EVOLUçãO','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3090213,3.00,5.00,3.00,3.00,1.00,NULL,1.00,4.00,2.00,216,NULL,215,'SANTO ANTONIO','ABDON BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3090221,2.00,5.00,3.00,7.00,8.00,6.75,4.00,9.00,3.00,238,NULL,208,'BARREIROS','S JOSé','SC',7089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090248,2.00,4.00,4.00,7.00,4.00,4.50,2.00,6.00,4.00,225,NULL,NULL,'SUMARé','RIO SUL','SC',13452,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3090256,2.00,7.00,2.00,9.00,6.00,7.25,1.00,5.00,3.00,340,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',10631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090280,8.00,7.00,7.00,6.00,7.00,5.25,7.00,8.00,8.00,203,NULL,201,'REBOUçAS','CURITIBA','PR',1117,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3090302,7.00,7.00,7.00,7.00,6.00,6.25,4.00,9.00,7.00,303,NULL,NULL,'JD MARISTELA','CRICIúMA','SC',2024,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3090310,4.00,7.00,4.00,3.00,5.00,6.00,4.00,8.00,5.00,203,NULL,216,'VELHA','BLUMENAU','SC',7190,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3090329,5.00,3.00,2.00,6.00,2.00,NULL,1.00,2.00,3.00,207,NULL,201,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090345,5.00,7.00,3.00,9.00,7.00,6.25,3.00,7.00,4.00,214,NULL,212,'ITAPIRUBá','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090353,4.00,4.00,2.00,5.00,2.00,NULL,1.00,4.00,3.00,216,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3090370,8.00,9.00,6.00,8.00,7.00,8.25,6.00,8.00,9.00,5,NULL,NULL,'ROçADO','S JOSé','SC',292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090388,1.00,2.00,2.00,0.00,4.00,NULL,1.00,6.00,2.00,453,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090396,8.00,6.00,7.00,5.00,7.00,6.00,6.00,5.00,8.00,203,NULL,220,'CENTRO','PALOTINA','PR',3413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'VILA JUNQUEIRA','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3090426,3.00,3.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,233,NULL,215,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3090434,7.00,8.00,4.00,9.00,5.00,4.00,5.00,9.00,6.00,238,NULL,208,'PANTANAL','FLORIANóPOLIS','SC',3306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090442,7.00,5.00,2.00,9.00,6.00,6.00,4.00,5.00,6.00,340,NULL,NULL,'CENTRO','MARAU','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3090450,6.00,6.00,5.00,7.00,7.00,5.75,3.00,8.00,6.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',4791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090469,7.00,7.00,3.00,7.00,5.00,7.00,2.00,9.00,4.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',4337,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3090477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ESMERALDA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3090485,6.00,2.00,5.00,6.00,4.00,6.25,5.00,3.00,5.00,319,NULL,NULL,'OFICINAS','TUBARãO','SC',9273,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3090493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3090507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3090523,4.00,6.00,5.00,6.00,4.00,7.50,4.00,7.00,2.00,303,NULL,NULL,'CENTRO','BLUMENAU','SC',8707,386,NULL,NULL,NULL,NULL,NULL,5,2),(16,3090531,5.00,3.00,4.00,7.00,5.00,5.50,3.00,5.00,5.00,303,NULL,NULL,'PAGANI','PALHOçA','SC',10703,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3090540,6.00,6.00,7.00,5.00,6.00,6.00,5.00,7.00,6.00,203,NULL,216,'CENTRO','FLORIANóPOLIS','SC',3272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090558,5.00,3.00,4.00,3.00,5.00,5.75,4.00,3.00,4.00,423,NULL,428,'COQUEIROS','FLORIANóPOLIS','SC',13672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3090574,8.00,8.00,5.00,8.00,5.00,6.25,4.00,7.00,6.00,304,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',2766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090582,4.00,2.00,2.00,3.00,5.00,NULL,2.00,4.00,2.00,2,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3090590,4.00,4.00,3.00,5.00,5.00,6.00,3.00,7.00,5.00,202,NULL,201,'CENTRO','MAL CâNDIDO RONDON','PR',10575,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3090604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'FREI EUGêNIO','UBERABA','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3090612,6.00,7.00,4.00,9.00,6.00,4.25,5.00,6.00,4.00,233,NULL,201,'PONTA DE BAIXO','S JOSé','SC',5631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090620,6.00,6.00,2.00,6.00,7.00,6.25,4.00,7.00,4.00,207,NULL,201,'SACO GRANDE','FLORIANóPOLIS','SC',7181,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3090639,5.00,1.00,3.00,3.00,1.00,NULL,0.00,3.00,3.00,415,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3090647,3.00,4.00,1.00,8.00,4.00,4.50,2.00,4.00,2.00,319,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',15866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090663,8.00,8.00,5.00,8.00,6.00,6.00,4.00,6.00,7.00,103,NULL,NULL,'SAGRADO','LAGES','SC',2653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090671,6.00,5.00,7.00,6.00,7.00,6.00,7.00,8.00,6.00,203,NULL,220,'CENTRO','LAGES','SC',2255,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3090680,5.00,6.00,5.00,5.00,4.00,4.25,3.00,5.00,4.00,502,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',11217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3090701,6.00,7.00,6.00,5.00,8.00,6.50,4.00,8.00,6.00,103,NULL,NULL,'VILA ADYANNA','S JOSé CAMPOS','SP',2601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090728,9.00,5.00,8.00,6.00,6.00,7.00,7.00,7.00,7.00,103,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',1299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090736,4.00,4.00,2.00,7.00,4.00,4.50,1.00,4.00,2.00,450,NULL,NULL,'CENTRO','RONDONóPOLIS','MT',15277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090744,3.00,3.00,3.00,6.00,6.00,4.50,5.00,4.00,4.00,316,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',13963,166,NULL,NULL,NULL,NULL,NULL,2,1),(16,3090752,2.00,4.00,3.00,2.00,2.00,NULL,2.00,3.00,3.00,501,NULL,NULL,'DEHON','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3090760,8.00,7.00,8.00,8.00,7.00,5.50,6.00,8.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',811,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3090779,7.00,6.00,4.00,8.00,5.00,7.50,3.00,7.00,7.00,202,NULL,208,'VILA IPOJUCA','S PAULO','SP',3061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA OLíMPICA','UBERABA','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3090809,8.00,7.00,9.00,9.00,4.00,4.50,5.00,7.00,7.00,220,NULL,203,'CENTRO','JESUíTAS','PR',1432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090817,5.00,8.00,5.00,4.00,5.00,5.50,5.00,7.00,8.00,202,NULL,203,'CENTRO','FLORIANóPOLIS','SC',4178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090825,7.00,6.00,3.00,8.00,5.00,5.50,3.00,7.00,3.00,203,NULL,202,'IPIRANGA','S PAULO','SP',7364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090833,8.00,4.00,8.00,6.00,8.00,5.75,5.00,6.00,7.00,104,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',2174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090841,3.00,8.00,7.00,9.00,5.00,5.50,5.00,7.00,3.00,238,NULL,208,'CARVOEIRA','FLORIANóPOLIS','SC',4382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090850,2.00,6.00,1.00,7.00,6.00,6.00,3.00,5.00,3.00,317,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',13702,121,NULL,NULL,NULL,NULL,NULL,2,1),(16,3090868,7.00,3.00,4.00,7.00,5.00,7.25,3.00,5.00,4.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8082,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3090876,9.00,9.00,5.00,9.00,6.00,6.25,6.00,8.00,8.00,233,NULL,215,'CENTRO','FLORIANóPOLIS','SC',684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090884,6.00,3.00,2.00,9.00,7.00,6.00,5.00,5.00,7.00,319,NULL,NULL,'JARDIM DAS COLINAS','S JOSé CAMPOS','SP',6041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3090892,8.00,6.00,5.00,7.00,5.00,6.00,2.00,6.00,6.00,108,NULL,NULL,'JARDIM PALERMO','S BERNARDO CAMPO','SP',5175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090906,3.00,5.00,1.00,6.00,6.00,6.75,4.00,4.00,5.00,108,NULL,NULL,'GUARUJá','PTO ALEGRE','RS',12377,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3090914,6.00,6.00,5.00,8.00,4.00,6.25,5.00,6.00,7.00,203,NULL,220,'CENTRO','PASSO FUNDO','RS',3966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090922,2.00,2.00,1.00,6.00,1.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'BELVEDERE II','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3090949,6.00,7.00,6.00,9.00,4.00,5.00,4.00,3.00,5.00,201,NULL,212,'BELEM','SAO PAULO','SP',5320,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3090957,6.00,5.00,3.00,6.00,7.00,6.50,3.00,5.00,4.00,9,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090965,7.00,5.00,8.00,7.00,5.00,5.00,4.00,5.00,7.00,202,NULL,208,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',4201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090973,5.00,2.00,2.00,7.00,4.00,5.25,0.00,2.00,4.00,104,NULL,NULL,'CENTRO','S LOURENçO OESTE','SC',16222,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3090981,8.00,7.00,2.00,2.00,3.00,NULL,0.00,6.00,3.00,444,NULL,NULL,'PINHEIRA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3090990,3.00,3.00,3.00,4.00,5.00,4.75,3.00,6.00,3.00,102,NULL,NULL,'SANTA LUZIA','ABELARDO LUZ','SC',15755,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3091007,4.00,2.00,1.00,5.00,2.00,NULL,3.00,3.00,2.00,301,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3091015,4.00,6.00,1.00,8.00,6.00,6.50,4.00,6.00,5.00,202,NULL,216,'ESTREITO','FLORIANóPOLIS','SC',7808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091023,3.00,3.00,3.00,4.00,5.00,6.00,3.00,3.00,5.00,319,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',14116,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3091031,6.00,7.00,4.00,8.00,6.00,4.25,4.00,6.00,5.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091040,5.00,5.00,6.00,5.00,7.00,6.25,3.00,6.00,3.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091058,6.00,5.00,2.00,7.00,6.00,5.00,2.00,7.00,3.00,108,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091066,8.00,7.00,5.00,7.00,8.00,6.75,5.00,8.00,8.00,103,NULL,NULL,'LA SALLE','PATO BRANCO','PR',1139,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3091074,3.00,3.00,3.00,5.00,5.00,4.25,3.00,5.00,2.00,326,NULL,NULL,'CENTRO','PATO BRANCO','PR',16102,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3091082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3091090,6.00,7.00,2.00,4.00,5.00,5.75,3.00,4.00,3.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12131,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3091104,5.00,5.00,4.00,5.00,3.00,NULL,2.00,7.00,2.00,213,NULL,233,'EMBARÉ','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3091112,4.00,3.00,3.00,6.00,4.00,4.75,2.00,4.00,2.00,415,NULL,NULL,'MICHEL','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3091120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3091139,6.00,5.00,4.00,6.00,6.00,6.00,4.00,7.00,6.00,212,NULL,238,'BARREIROS','S JOSé','SC',6031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3091155,3.00,2.00,1.00,6.00,2.00,NULL,1.00,3.00,3.00,501,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3091171,4.00,7.00,8.00,7.00,7.00,6.00,6.00,7.00,6.00,207,NULL,201,'BRUSQUE','BRUSQUE','SC',2423,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3091180,9.00,8.00,9.00,8.00,7.00,6.25,8.00,7.00,7.00,203,NULL,201,'CENTRO','FLORIANóPOLIS','SC',220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091198,4.00,5.00,3.00,5.00,5.00,5.00,3.00,6.00,4.00,404,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',12552,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3091201,5.00,8.00,9.00,7.00,7.00,6.00,6.00,9.00,6.00,203,NULL,214,'CENTRO','FLORIANóPOLIS','SC',1206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ÂNGULO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3091228,9.00,5.00,4.00,6.00,8.00,7.50,6.00,8.00,7.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',1436,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3091244,4.00,8.00,1.00,8.00,5.00,6.50,4.00,7.00,6.00,208,NULL,238,'CAMPECHE','FLORIANóPOLIS','SC',6650,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3091260,4.00,5.00,2.00,2.00,4.00,6.50,3.00,3.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15994,510,NULL,NULL,NULL,NULL,NULL,1,1),(16,3091287,3.00,1.00,6.00,1.00,2.00,NULL,2.00,3.00,0.00,308,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3091295,4.00,7.00,3.00,7.00,5.00,6.00,0.00,8.00,5.00,103,NULL,NULL,'CENTRO','FRAIBURGO','SC',8438,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3091309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'COLINA','LINHARES','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3091325,9.00,8.00,7.00,9.00,8.00,8.00,8.00,6.00,7.00,103,NULL,NULL,'ASA NORTE','BRASILIA','DF',198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091341,5.00,5.00,5.00,8.00,4.00,5.25,6.00,4.00,7.00,103,NULL,NULL,'LAGO SUL','LG SUL','DF',5269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3091350,3.00,3.00,4.00,2.00,5.00,4.50,4.00,5.00,2.00,103,NULL,NULL,'PASSO DO GADO','TUBARAO','SC',15539,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3091368,6.00,6.00,3.00,3.00,6.00,4.00,3.00,8.00,6.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',7515,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3091384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ACLIMAçãO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3091406,2.00,1.00,4.00,6.00,6.00,6.75,4.00,2.00,3.00,108,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',14628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091414,8.00,5.00,3.00,4.00,6.00,6.00,6.00,7.00,8.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',5201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091430,7.00,9.00,5.00,4.00,6.00,6.50,4.00,9.00,5.00,319,NULL,NULL,'BARREIROS','S JOSé','SC',4017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091449,5.00,6.00,4.00,7.00,7.00,6.25,3.00,5.00,7.00,102,NULL,NULL,'DAS DAMAS','URUSSANGA','SC',5659,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3091457,2.00,1.00,3.00,4.00,5.00,NULL,1.00,3.00,3.00,333,NULL,NULL,'VILA TATETUBA','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091465,2.00,2.00,5.00,2.00,3.00,NULL,3.00,5.00,2.00,202,NULL,208,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091481,3.00,3.00,1.00,6.00,4.00,6.50,4.00,4.00,4.00,216,NULL,215,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3091503,7.00,8.00,8.00,9.00,5.00,4.50,4.00,6.00,7.00,103,NULL,NULL,'MOOCA','S PAULO','SP',2027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091511,3.00,5.00,1.00,2.00,4.00,5.25,2.00,4.00,5.00,319,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',16320,358,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091520,4.00,7.00,2.00,8.00,5.00,5.00,1.00,6.00,4.00,310,NULL,NULL,'DO PARQUE','ITAPIRANGA','SC',12395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091554,4.00,8.00,4.00,8.00,5.00,5.00,3.00,8.00,3.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',6160,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3091562,2.00,2.00,3.00,3.00,2.00,NULL,3.00,5.00,3.00,9,NULL,NULL,'PINHEIRA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3091570,4.00,2.00,3.00,3.00,1.00,NULL,0.00,0.00,0.00,207,NULL,202,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3091597,8.00,7.00,6.00,9.00,8.00,6.00,5.00,6.00,7.00,103,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',1065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091600,3.00,2.00,1.00,1.00,2.00,NULL,1.00,1.00,5.00,101,NULL,NULL,'BALNEARIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091619,7.00,5.00,5.00,9.00,8.00,5.75,5.00,8.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2100,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3091651,5.00,5.00,6.00,6.00,7.00,6.00,2.00,6.00,6.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',5815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091660,8.00,8.00,9.00,9.00,9.00,8.25,8.00,9.00,8.00,103,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',20,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091678,4.00,6.00,2.00,5.00,4.00,6.25,3.00,2.00,3.00,444,NULL,NULL,'BELA VISTA','CHAPECó','SC',15188,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3091686,3.00,4.00,1.00,3.00,3.00,NULL,1.00,2.00,2.00,5,NULL,NULL,'CENTRO','S JOãO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3091708,6.00,7.00,3.00,9.00,8.00,5.25,4.00,8.00,5.00,316,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',3880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091716,6.00,7.00,6.00,8.00,6.00,6.50,2.00,8.00,5.00,202,NULL,201,'ALTO FELIZ','ARARANGUá','SC',3483,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3091732,7.00,6.00,6.00,8.00,7.00,6.00,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091740,3.00,6.00,3.00,4.00,2.00,NULL,3.00,3.00,4.00,101,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3091759,4.00,8.00,3.00,8.00,5.00,6.25,5.00,6.00,5.00,202,NULL,220,'PEDRA BRANCA','S PAULO','SP',5196,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3091767,7.00,6.00,6.00,8.00,7.00,6.00,5.00,8.00,6.00,103,NULL,NULL,'MERCES','CURITIBA','PR',1640,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3091775,2.00,4.00,4.00,2.00,0.00,NULL,3.00,1.00,4.00,304,NULL,NULL,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091783,4.00,2.00,4.00,5.00,7.00,7.00,1.00,5.00,2.00,302,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',11809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3091791,8.00,7.00,9.00,9.00,9.00,7.25,7.00,8.00,9.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',57,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091805,3.00,3.00,3.00,3.00,4.00,5.25,1.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091813,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(16,3091821,7.00,7.00,4.00,6.00,4.00,7.00,4.00,5.00,3.00,309,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',7900,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091830,5.00,4.00,3.00,4.00,5.00,5.00,3.00,5.00,6.00,220,NULL,216,'PARTENON','PTO ALEGRE','RS',11853,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3091856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3091864,7.00,6.00,1.00,5.00,5.00,4.50,1.00,5.00,4.00,201,NULL,238,'CAPOEIRAS','FLORIANóPOLIS','SC',12994,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3091880,6.00,6.00,3.00,7.00,6.00,5.50,5.00,8.00,7.00,303,NULL,NULL,'REAL PARQUE','S JOSé','SC',4092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091899,4.00,5.00,1.00,4.00,5.00,NULL,0.00,3.00,3.00,404,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3091910,4.00,6.00,1.00,8.00,7.00,6.00,2.00,9.00,4.00,450,NULL,NULL,'JARDIM ESTORIL','S JOSé CAMPOS','SP',7509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091937,9.00,7.00,6.00,9.00,8.00,7.25,6.00,7.00,8.00,108,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'PAULICéIA','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3091961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','INCONFIDENTES','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3091970,3.00,5.00,3.00,9.00,7.00,7.75,1.00,8.00,4.00,319,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3091988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUARA','GUARá','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3092003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3092011,6.00,7.00,5.00,9.00,6.00,5.25,5.00,5.00,5.00,238,NULL,208,'OFICINAS','TUBARãO','SC',5033,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3092038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SãO MIGUEL PTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3092046,6.00,6.00,5.00,7.00,7.00,5.25,5.00,7.00,7.00,220,NULL,202,'AGUA VERDE','BLUMENAU','SC',3628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092054,9.00,7.00,5.00,7.00,5.00,5.75,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3092070,4.00,6.00,2.00,7.00,8.00,6.25,2.00,6.00,4.00,415,NULL,NULL,'OLTRAMARI','PTE SERRADA','SC',10056,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3092089,3.00,1.00,3.00,3.00,3.00,NULL,1.00,1.00,3.00,317,NULL,NULL,'JARDIM CIDADE','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092097,5.00,6.00,5.00,9.00,5.00,6.25,4.00,7.00,6.00,211,NULL,215,'SANTO ANTôNIO','FLORIANóPOLIS','SC',4628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ALTO CAIçARAS','PATOS MINAS','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3092127,8.00,7.00,6.00,7.00,5.00,4.75,3.00,8.00,6.00,420,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',4422,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092135,3.00,7.00,5.00,2.00,4.00,6.25,4.00,8.00,4.00,203,NULL,220,'ARAçATUBA','IMBITUBA','SC',9804,700,NULL,388,NULL,NULL,NULL,4,1),(16,3092143,4.00,1.00,1.00,4.00,2.00,NULL,3.00,3.00,5.00,319,NULL,NULL,'CRUZEIRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092151,5.00,9.00,4.00,7.00,6.00,5.75,3.00,8.00,3.00,104,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',5895,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3092160,3.00,4.00,3.00,5.00,3.00,NULL,2.00,5.00,3.00,420,NULL,NULL,'JD DAS INDUSTRIAS','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092178,7.00,5.00,7.00,6.00,4.00,4.75,5.00,5.00,7.00,203,NULL,202,'VILA OPERáRIA II','APUCARANA','PR',5002,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3092186,6.00,5.00,1.00,6.00,4.00,5.50,5.00,5.00,5.00,203,NULL,213,'CERQUEIRA CéSAR','S PAULO','SP',9745,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3092194,4.00,4.00,4.00,8.00,5.00,4.25,4.00,4.00,3.00,211,NULL,216,'GUARANI','BRUSQUE','SC',11762,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3092208,3.00,4.00,2.00,8.00,5.00,5.50,4.00,5.00,4.00,452,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11216,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'ZONA NOVA','TRAMANDAí','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3092232,6.00,7.00,7.00,8.00,6.00,6.75,4.00,7.00,7.00,103,NULL,NULL,'JARDIM DAS PAINEIRAS','BRAGANçA PAULISTA','SP',1925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092240,7.00,5.00,2.00,3.00,6.00,5.00,3.00,6.00,5.00,101,NULL,NULL,'LOURO','ANTôNIO CARLOS','SC',9846,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092259,4.00,5.00,4.00,2.00,4.00,4.75,4.00,8.00,3.00,223,NULL,NULL,'PASSA VINTE','PALHOçA','SC',12216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092267,3.00,3.00,4.00,5.00,4.00,5.00,1.00,4.00,1.00,103,NULL,NULL,'SãO PEDRO','BRUSQUE','SC',16532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092275,4.00,5.00,2.00,2.00,5.00,NULL,3.00,3.00,2.00,103,NULL,NULL,'INTERIOR','S JOSé CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3092283,3.00,6.00,4.00,7.00,7.00,6.50,3.00,7.00,2.00,415,NULL,NULL,'CENTRO','DIVINOLâNDIA','SP',7543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092291,5.00,8.00,6.00,5.00,3.00,NULL,6.00,7.00,7.00,214,NULL,213,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092305,4.00,4.00,1.00,4.00,4.00,7.25,2.00,4.00,5.00,234,NULL,NULL,'SãO JOãO','ITAJAí','SC',14095,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3092313,6.00,6.00,6.00,8.00,6.00,5.50,3.00,7.00,5.00,233,NULL,213,'CENTRO','PALHOçA','SC',4547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092321,6.00,7.00,3.00,8.00,7.00,5.75,4.00,7.00,6.00,103,NULL,NULL,'JD NOVO HORIZONTE','PARANAVAí','PR',4533,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3092348,4.00,4.00,1.00,8.00,6.00,6.75,2.00,6.00,2.00,301,NULL,NULL,'PONTE DE IMARUIM','PALHOçA','SC',12496,253,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UVARANAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3092372,1.00,1.00,2.00,2.00,5.00,NULL,1.00,3.00,2.00,104,NULL,NULL,'SÃO LUIZ','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,201,'MARIA GORETTI','CHAPECó','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3092399,4.00,6.00,5.00,6.00,6.00,6.50,4.00,7.00,6.00,320,NULL,NULL,'ESTAçãO','URUSSANGA','SC',5349,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092402,2.00,5.00,2.00,6.00,3.00,NULL,3.00,6.00,0.00,201,NULL,212,'FAZENDA','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3092410,3.00,4.00,2.00,4.00,3.00,NULL,0.00,2.00,4.00,303,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3092437,4.00,8.00,4.00,4.00,3.00,NULL,5.00,5.00,5.00,208,NULL,238,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3092453,3.00,2.00,1.00,5.00,2.00,NULL,1.00,2.00,4.00,303,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092461,3.00,5.00,2.00,3.00,6.00,6.00,3.00,5.00,3.00,208,NULL,238,'CENTRO','S MIGUEL OESTE','SC',15192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092470,7.00,6.00,3.00,8.00,5.00,5.25,4.00,6.00,4.00,501,NULL,NULL,'ROçADO','S JOSé','SC',7132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'TERRA NOVA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3092496,3.00,1.00,4.00,2.00,3.00,NULL,1.00,2.00,3.00,304,NULL,NULL,'FUNDOS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092500,7.00,7.00,5.00,7.00,5.00,5.00,2.00,5.00,4.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092518,7.00,6.00,3.00,8.00,5.00,6.75,3.00,5.00,5.00,103,NULL,NULL,'JARDIM BELA VISTA','S JOSé R PARDO','SP',6672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE PRADO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3092534,8.00,6.00,8.00,9.00,8.00,5.75,4.00,8.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092542,4.00,1.00,3.00,4.00,5.00,NULL,2.00,3.00,1.00,317,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092550,2.00,5.00,2.00,8.00,5.00,5.50,2.00,4.00,3.00,317,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',13569,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3092569,6.00,6.00,5.00,6.00,6.00,5.50,3.00,7.00,6.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092577,2.00,4.00,2.00,6.00,4.00,NULL,4.00,2.00,1.00,108,NULL,NULL,'SARANDI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092585,3.00,3.00,2.00,2.00,4.00,6.00,1.00,4.00,6.00,444,NULL,NULL,'VISTA VERDE','S JOSé CAMPOS','SP',16332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3092615,7.00,9.00,6.00,6.00,7.00,6.00,6.00,7.00,8.00,108,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',1541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092623,7.00,7.00,5.00,8.00,8.00,5.50,4.00,5.00,5.00,101,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092640,2.00,3.00,2.00,3.00,3.00,NULL,2.00,3.00,2.00,304,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092658,4.00,7.00,6.00,7.00,4.00,5.00,3.00,6.00,5.00,207,NULL,201,'JARDIM NOVA IBIUNA','IBIúNA','SP',7054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092666,4.00,4.00,1.00,8.00,5.00,6.50,1.00,8.00,3.00,303,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',10930,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3092674,6.00,5.00,5.00,9.00,7.00,6.75,3.00,8.00,5.00,415,NULL,NULL,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',3650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VERDE','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3092690,8.00,4.00,2.00,6.00,4.00,4.00,3.00,4.00,4.00,428,NULL,426,'ITACORUBI','FLORIANóPOLIS','SC',12238,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092704,4.00,3.00,2.00,5.00,5.00,5.00,3.00,3.00,3.00,301,NULL,NULL,'CENTRO','IMBITUBA','SC',15373,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3092712,5.00,3.00,3.00,7.00,6.00,6.50,2.00,5.00,4.00,234,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',11340,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092739,5.00,2.00,4.00,5.00,3.00,NULL,3.00,2.00,5.00,103,NULL,NULL,'GUABIRUBA SUL','GUABIRUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092755,6.00,5.00,6.00,7.00,5.00,4.75,7.00,7.00,7.00,220,NULL,214,'SANTA CRUZ','CUIABá','MT',3776,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM DO LAGO','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3092771,4.00,6.00,3.00,6.00,4.00,6.00,5.00,5.00,4.00,104,NULL,NULL,'CASCATA VERMELHA','JAGUARUNA','SC',9335,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3092780,6.00,7.00,9.00,6.00,8.00,6.00,5.00,7.00,5.00,420,NULL,NULL,'PAGANI','PALHOçA','SC',1924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3092810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'VILA B','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3092828,4.00,6.00,4.00,3.00,3.00,NULL,1.00,4.00,3.00,415,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092836,5.00,4.00,2.00,9.00,6.00,6.50,3.00,5.00,5.00,103,NULL,NULL,'PRESIDENTE MéDICI','CHAPECó','SC',9001,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3092844,6.00,6.00,3.00,8.00,5.00,6.00,2.00,7.00,6.00,303,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',6574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,215,'ANDORINHA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3092879,9.00,7.00,6.00,9.00,6.00,7.00,4.00,7.00,6.00,201,NULL,212,'ITAGUAçU','FLORIANóPOLIS','SC',1837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092887,0.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'JD ESTER','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3092895,2.00,4.00,2.00,1.00,4.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092909,8.00,3.00,6.00,8.00,8.00,7.00,4.00,5.00,6.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',3535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3092917,5.00,3.00,2.00,6.00,3.00,NULL,4.00,5.00,3.00,201,NULL,207,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,207,'CENTRO','IBIPORã','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3092941,6.00,6.00,4.00,8.00,6.00,5.25,5.00,7.00,4.00,203,NULL,208,'CONJ KARINA','MARINGá','PR',5836,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3092950,5.00,3.00,4.00,8.00,7.00,6.75,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','VARGEM BONITA','SC',7209,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092968,3.00,4.00,3.00,2.00,5.00,NULL,3.00,1.00,4.00,101,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3092976,7.00,5.00,4.00,8.00,6.00,6.25,6.00,9.00,7.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',2353,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3092992,6.00,5.00,5.00,6.00,5.00,4.75,4.00,6.00,7.00,202,NULL,213,'CARVOEIRA','FLORIANóPOLIS','SC',7196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093000,6.00,9.00,6.00,8.00,7.00,5.75,6.00,8.00,7.00,303,NULL,NULL,'CAMPINAS','S JOSé','SC',1029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093018,6.00,6.00,7.00,9.00,2.00,NULL,5.00,5.00,7.00,203,NULL,214,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093026,6.00,4.00,6.00,6.00,4.00,5.00,3.00,4.00,4.00,201,NULL,208,'VELHA','BLUMENAU','SC',10418,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3093034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3093042,7.00,8.00,1.00,7.00,5.00,6.25,4.00,8.00,8.00,233,NULL,207,'SãO JOSé','PINHALZINHO','SC',4127,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3093050,7.00,9.00,5.00,7.00,4.00,4.00,4.00,7.00,6.00,9,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',4404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093069,5.00,7.00,3.00,7.00,7.00,5.75,1.00,7.00,5.00,415,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',7438,197,NULL,NULL,NULL,NULL,NULL,2,2),(16,3093077,5.00,5.00,4.00,9.00,5.00,5.00,2.00,4.00,6.00,207,NULL,238,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093085,1.00,4.00,1.00,1.00,1.00,NULL,3.00,4.00,3.00,333,NULL,NULL,'CENTRO','ILHOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3093093,5.00,7.00,4.00,5.00,6.00,4.75,4.00,6.00,6.00,208,NULL,238,'FORTALEZA','BLUMENAU','SC',5955,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3093107,3.00,1.00,1.00,4.00,3.00,NULL,4.00,3.00,4.00,207,NULL,201,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3093115,7.00,6.00,5.00,2.00,4.00,5.50,5.00,7.00,7.00,214,NULL,220,'CENTRO','CRAVINHOS','SP',5600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093123,8.00,3.00,6.00,7.00,8.00,5.50,5.00,8.00,5.00,103,NULL,NULL,'VILA INDUSTRIAL','S MANUEL','SP',2833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093131,4.00,4.00,4.00,7.00,7.00,5.25,3.00,6.00,3.00,303,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3093140,3.00,3.00,2.00,4.00,3.00,NULL,3.00,2.00,2.00,234,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SOCIAL','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3093166,7.00,6.00,4.00,6.00,6.00,5.00,3.00,8.00,5.00,103,NULL,NULL,'CENTRO','JARAGUá SUL','SC',5907,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3093174,6.00,6.00,3.00,5.00,7.00,6.50,2.00,7.00,4.00,415,NULL,NULL,'BARRA DO ARIRIú','PALHOçA','SC',8407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093190,4.00,6.00,3.00,8.00,5.00,6.50,5.00,7.00,4.00,208,NULL,NULL,'AMéRICA','JOINVILLE','SC',7215,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3093204,6.00,4.00,1.00,7.00,4.00,6.00,1.00,7.00,2.00,340,NULL,NULL,'SANTANA','RIO SUL','SC',13450,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3093212,7.00,6.00,3.00,8.00,6.00,7.00,2.00,7.00,6.00,333,NULL,NULL,'CENTRO','MASSARANDUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3093220,7.00,5.00,3.00,6.00,5.00,5.50,4.00,6.00,8.00,216,NULL,203,'INGLESES','FLORIANóPOLIS','SC',5609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093239,8.00,4.00,4.00,6.00,7.00,6.50,4.00,8.00,6.00,503,NULL,NULL,'CENTRO','XANXERê','SC',4268,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3093247,5.00,3.00,5.00,5.00,5.00,6.00,2.00,6.00,6.00,103,NULL,NULL,'JARDIM POLON','MARíLIA','SP',9803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093255,6.00,5.00,2.00,2.00,7.00,6.25,2.00,5.00,3.00,331,NULL,NULL,'CONSOLAçãO','RIO CLARO','SP',12277,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3093263,3.00,4.00,4.00,8.00,5.00,NULL,0.00,0.00,0.00,207,NULL,211,'TRISTEZA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3093271,3.00,5.00,4.00,4.00,4.00,5.50,2.00,7.00,5.00,301,NULL,NULL,'CENTRO','TUBARãO','SC',11197,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3093280,5.00,2.00,2.00,3.00,4.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'ITARARé','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3093298,6.00,5.00,4.00,5.00,4.00,6.00,4.00,3.00,2.00,420,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',12542,131,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093301,8.00,6.00,3.00,5.00,4.00,6.00,3.00,7.00,5.00,208,NULL,216,'CENTRO','CAMBORIú','SC',7603,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3093310,6.00,4.00,2.00,6.00,6.00,6.00,6.00,5.00,6.00,207,NULL,201,'CARVOEIRA','FLORIANóPOLIS','SC',6976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093328,7.00,4.00,5.00,5.00,7.00,5.25,2.00,7.00,5.00,333,NULL,NULL,'CAMPINAS','S JOSé','SC',7312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093336,3.00,4.00,4.00,2.00,1.00,NULL,5.00,4.00,2.00,220,NULL,202,'JARDIM ATLANTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093344,4.00,4.00,2.00,8.00,7.00,6.50,1.00,3.00,3.00,415,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',11641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093352,4.00,5.00,5.00,2.00,6.00,5.50,2.00,5.00,6.00,220,NULL,214,'CENTRO','BOM RETIRO','SC',11224,424,NULL,375,NULL,NULL,NULL,4,8),(16,3093360,3.00,4.00,1.00,1.00,6.00,NULL,0.00,4.00,3.00,404,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3093395,5.00,7.00,4.00,7.00,5.00,3.25,4.00,4.00,4.00,444,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093425,5.00,6.00,5.00,8.00,5.00,5.75,4.00,6.00,5.00,203,NULL,207,'CENTRO','FLORIANóPOLIS','SC',5682,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093433,5.00,6.00,4.00,9.00,7.00,5.25,3.00,7.00,3.00,103,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',6319,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093441,8.00,7.00,7.00,9.00,7.00,6.25,6.00,6.00,8.00,203,NULL,208,'AGRONôMICA','FLORIANóPOLIS','SC',841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093450,4.00,4.00,2.00,6.00,6.00,5.50,4.00,3.00,5.00,102,NULL,NULL,'CENTRO','PTE SERRADA','SC',12188,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3093468,5.00,3.00,2.00,2.00,6.00,5.25,2.00,4.00,4.00,319,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093476,0.00,2.00,1.00,3.00,4.00,NULL,3.00,2.00,4.00,328,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093484,4.00,7.00,4.00,6.00,6.00,7.50,2.00,7.00,6.00,317,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',5903,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093492,4.00,2.00,2.00,1.00,2.00,NULL,2.00,2.00,0.00,428,NULL,426,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3093514,3.00,6.00,3.00,6.00,4.00,2.50,4.00,7.00,2.00,208,NULL,212,'SãO BASíLIO MAGNO','UNIãO VITóRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093522,2.00,3.00,2.00,8.00,5.00,6.75,1.00,3.00,4.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093530,5.00,7.00,4.00,9.00,6.00,6.00,3.00,6.00,6.00,415,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093549,3.00,4.00,3.00,2.00,3.00,NULL,2.00,6.00,5.00,9,NULL,NULL,'CENTRO','SALESóPOLIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093557,6.00,5.00,5.00,9.00,7.00,5.25,7.00,7.00,7.00,220,NULL,203,'VILA SãO LUIZ','DOURADOS','MS',2630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093565,3.00,5.00,2.00,7.00,5.00,6.00,2.00,5.00,3.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',13756,460,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093573,6.00,9.00,7.00,7.00,8.00,5.75,8.00,9.00,9.00,303,NULL,NULL,'CRUZEIRO DO SUL','CRICIúMA','SC',414,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3093590,7.00,6.00,8.00,9.00,5.00,6.75,7.00,7.00,8.00,103,NULL,NULL,'POMPEIA','S PAULO','SP',1040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ENSEADA','GUARUJá','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3093611,9.00,8.00,6.00,9.00,7.00,6.75,7.00,8.00,9.00,103,NULL,NULL,'JARDIM ITU SABARá','PTO ALEGRE','RS',340,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3093638,5.00,7.00,4.00,6.00,6.00,6.25,4.00,7.00,5.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093646,4.00,5.00,2.00,0.00,4.00,7.00,2.00,6.00,4.00,103,NULL,NULL,'VILA IPIRANGA','PTO ALEGRE','RS',14985,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093662,5.00,5.00,3.00,4.00,7.00,6.50,3.00,4.00,3.00,108,NULL,NULL,'CHICO DE PAULA','JARAGUá SUL','SC',11292,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3093670,4.00,3.00,1.00,2.00,1.00,NULL,2.00,5.00,5.00,415,NULL,NULL,'OFICINAS','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3093689,4.00,7.00,5.00,2.00,5.00,5.50,2.00,8.00,2.00,104,NULL,NULL,'CORDEIROS','ITAJAí','SC',10898,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3093697,6.00,4.00,3.00,8.00,4.00,6.00,3.00,6.00,3.00,103,NULL,NULL,'SAUDE','S PAULO','SP',9830,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3093719,3.00,0.00,1.00,4.00,1.00,NULL,3.00,3.00,2.00,103,NULL,NULL,'CENTRO','PASSOS MAIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3093727,6.00,6.00,5.00,6.00,5.00,5.75,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','JOAçABA','SC',6544,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3093735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CENTRO','STA ROSA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3093743,8.00,7.00,7.00,7.00,6.00,6.00,3.00,9.00,6.00,103,NULL,NULL,'VILLAGE','IMBITUBA','SC',2265,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VILA ROSA','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3093760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ESTRELA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3093786,3.00,4.00,4.00,4.00,6.00,5.75,3.00,4.00,5.00,207,NULL,201,'CóRREGO GRANDE','FLORIANóPOLIS','SC',11622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PORTãO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3093808,5.00,1.00,1.00,5.00,1.00,NULL,3.00,1.00,4.00,214,NULL,213,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093816,4.00,5.00,2.00,6.00,6.00,7.75,2.00,6.00,3.00,415,NULL,NULL,'PENHA','S PAULO','SP',11451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093824,3.00,4.00,1.00,2.00,4.00,NULL,2.00,3.00,3.00,5,NULL,NULL,'COLINA','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093832,1.00,2.00,2.00,0.00,2.00,NULL,3.00,0.00,3.00,9,NULL,NULL,'LINHA VISTA ALEGRE','BOM J OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3093840,8.00,8.00,5.00,9.00,7.00,6.00,5.00,8.00,7.00,326,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093859,5.00,5.00,3.00,0.00,7.00,6.00,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',9574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093883,5.00,3.00,2.00,7.00,6.00,4.75,2.00,4.00,5.00,104,NULL,NULL,'CENTRO','BARRACãO','PR',11845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093905,8.00,8.00,3.00,2.00,7.00,6.25,6.00,7.00,6.00,104,NULL,NULL,'CENTRO','LAGES','SC',4454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093921,6.00,7.00,6.00,7.00,7.00,8.00,4.00,8.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3093930,4.00,9.00,5.00,7.00,2.00,NULL,3.00,8.00,4.00,318,NULL,NULL,'COBRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3093948,7.00,7.00,4.00,7.00,8.00,6.00,3.00,8.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093956,4.00,1.00,4.00,6.00,4.00,NULL,1.00,2.00,1.00,404,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3093964,7.00,7.00,4.00,5.00,5.00,5.50,5.00,6.00,6.00,216,NULL,202,'CENTRO','BRAçO NORTE','SC',6918,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3093972,8.00,6.00,8.00,8.00,8.00,5.50,4.00,6.00,6.00,220,NULL,203,'SANTA RITA','BRUSQUE','SC',1958,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3093980,4.00,5.00,5.00,7.00,4.00,5.00,2.00,4.00,3.00,5,NULL,NULL,'ACARAí','S FRANCISCO SUL','SC',12700,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3093999,7.00,7.00,6.00,8.00,4.00,4.25,3.00,8.00,6.00,233,NULL,238,'SANTA ISABEL','ANáPOLIS','GO',3423,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3094006,7.00,6.00,4.00,8.00,8.00,5.75,4.00,8.00,7.00,450,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094014,8.00,7.00,2.00,4.00,5.00,4.50,2.00,5.00,5.00,108,NULL,NULL,'CENTRO','JARAGUá SUL','SC',9996,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(16,3094022,3.00,1.00,2.00,2.00,3.00,NULL,1.00,3.00,2.00,215,NULL,208,'CENTRO','PTE SERRADA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3094030,7.00,3.00,1.00,5.00,5.00,6.25,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3094049,7.00,7.00,5.00,7.00,4.00,6.25,6.00,9.00,8.00,220,NULL,203,'CENTRO','FLORIANóPOLIS','SC',2054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094065,6.00,8.00,7.00,7.00,5.00,5.75,7.00,8.00,6.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',2037,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3094073,4.00,3.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','CPO ERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3094081,7.00,8.00,5.00,8.00,7.00,5.50,4.00,7.00,9.00,103,NULL,NULL,'DOM BOSCO','ITAJAí','SC',1530,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3094103,2.00,0.00,3.00,1.00,2.00,NULL,1.00,3.00,5.00,317,NULL,NULL,'CENTRO','PASSOS MAIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3094111,7.00,5.00,3.00,7.00,5.00,6.25,3.00,8.00,5.00,5,NULL,NULL,'CAMPINAS','S JOSé','SC',5667,230,NULL,NULL,NULL,NULL,NULL,2,1),(16,3094120,4.00,5.00,4.00,8.00,5.00,5.25,2.00,4.00,3.00,453,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',12086,91,NULL,NULL,NULL,NULL,NULL,2,1),(16,3094138,4.00,4.00,4.00,2.00,2.00,NULL,0.00,4.00,3.00,444,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094146,3.00,2.00,2.00,2.00,5.00,NULL,2.00,2.00,0.00,103,NULL,NULL,'PARQUE LíVIA','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3094154,5.00,5.00,5.00,5.00,6.00,6.50,5.00,6.00,6.00,5,NULL,NULL,'VELHA','BLUMENAU','SC',5756,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3094162,6.00,5.00,4.00,7.00,6.00,7.00,2.00,4.00,5.00,103,NULL,NULL,'BARREIROS','S JOSé','SC',7916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094170,8.00,5.00,2.00,7.00,5.00,5.00,4.00,5.00,5.00,415,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',8507,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3094189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3094197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM VALKIRIA','S JOSé R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3094200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'BELA VISTA','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3094219,6.00,4.00,3.00,5.00,7.00,5.50,2.00,4.00,5.00,202,NULL,215,'VARGEM PEQUENA','FLORIANóPOLIS','SC',11597,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3094227,3.00,5.00,5.00,4.00,5.00,5.75,2.00,4.00,2.00,201,NULL,216,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094235,2.00,3.00,1.00,4.00,4.00,NULL,1.00,5.00,3.00,309,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3094243,6.00,7.00,4.00,4.00,3.00,NULL,4.00,8.00,6.00,233,NULL,212,'JARDIN ITALIA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3094251,6.00,4.00,3.00,5.00,3.00,NULL,4.00,5.00,4.00,203,NULL,202,'CENTRO','PéROLA D OESTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3094286,5.00,3.00,3.00,4.00,4.00,6.00,2.00,7.00,4.00,202,NULL,NULL,'CENTRO','XAXIM','SC',13319,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3094294,6.00,6.00,3.00,8.00,7.00,6.50,2.00,8.00,5.00,102,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',6042,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3094308,4.00,5.00,5.00,6.00,5.00,4.75,3.00,6.00,3.00,203,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',9357,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3094316,6.00,6.00,4.00,6.00,6.00,4.25,1.00,8.00,6.00,207,NULL,201,'CAMPECHE','FLORIANóPOLIS','SC',8042,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3094324,9.00,9.00,9.00,9.00,8.00,8.75,7.00,8.00,8.00,103,NULL,NULL,'BARREIROS','S JOSé','SC',5,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094340,6.00,5.00,5.00,6.00,4.00,4.00,4.00,7.00,7.00,203,NULL,214,'CENTRO','PATO BRANCO','PR',6018,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3094359,3.00,5.00,4.00,7.00,6.00,6.75,2.00,4.00,4.00,301,NULL,NULL,'PONTE DO IMARUIM','PALHOCA','SC',10019,171,NULL,NULL,NULL,NULL,NULL,2,1),(16,3094367,1.00,2.00,2.00,1.00,3.00,NULL,1.00,3.00,1.00,207,NULL,201,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3094375,3.00,4.00,1.00,7.00,7.00,4.00,2.00,5.00,4.00,340,NULL,NULL,'CENTRO','BRUSQUE','SC',13998,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3094383,9.00,6.00,6.00,8.00,4.00,6.00,6.00,5.00,8.00,203,NULL,202,'CENTRO','BAL CAMBORIú','SC',2379,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3094391,5.00,7.00,4.00,9.00,5.00,7.00,3.00,6.00,3.00,220,NULL,214,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3094421,6.00,8.00,4.00,5.00,6.00,4.25,6.00,8.00,8.00,103,NULL,NULL,'RIO DO PEIXE','LUIZ ALVES','SC',3363,1154,NULL,NULL,NULL,NULL,NULL,4,6),(16,3094448,6.00,3.00,6.00,3.00,6.00,5.25,4.00,5.00,2.00,420,NULL,NULL,'VILA NOVA','JOINVILLE','SC',10078,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3094464,9.00,9.00,6.00,8.00,7.00,5.00,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1261,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094472,8.00,6.00,9.00,5.00,4.00,5.50,7.00,7.00,9.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',1335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094480,5.00,8.00,5.00,8.00,7.00,4.50,4.00,6.00,6.00,5,NULL,NULL,'ÁGUAS CLARAS','TAGUATINGA','DF',4449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094502,5.00,7.00,5.00,5.00,4.00,5.75,2.00,3.00,4.00,222,NULL,NULL,'BARREIROS','S JOSé','SC',11781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094510,6.00,3.00,1.00,7.00,6.00,6.00,1.00,8.00,4.00,108,NULL,NULL,'UBATUBA','S FRANCISCO SUL','SC',8323,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3094537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CASSINO','RIO GRANDE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3094545,5.00,4.00,3.00,7.00,5.00,5.25,4.00,4.00,4.00,5,NULL,NULL,'SAGRADO COR DE JESUS','LAGES','SC',9616,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3094553,2.00,1.00,3.00,2.00,1.00,NULL,2.00,4.00,2.00,502,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094561,3.00,6.00,3.00,9.00,6.00,5.75,3.00,6.00,5.00,340,NULL,NULL,'CENTRO','S MIGUEL IGUAçU','PR',6926,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3094570,4.00,3.00,5.00,2.00,1.00,NULL,3.00,3.00,3.00,216,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3094588,4.00,4.00,2.00,8.00,6.00,6.00,2.00,4.00,5.00,501,NULL,NULL,'DEHON','TUBARãO','SC',12033,NULL,NULL,NULL,NULL,NULL,NULL,5,10),(16,3094596,5.00,5.00,4.00,7.00,7.00,6.00,3.00,8.00,5.00,340,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',5879,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3094600,2.00,6.00,3.00,4.00,5.00,6.25,2.00,9.00,6.00,331,NULL,NULL,'JARDIM PANORAMA','FOZ IGUAçU','PR',9499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094618,4.00,4.00,2.00,7.00,6.00,4.75,2.00,5.00,5.00,201,NULL,207,'VILA SãO JOãO','TORRES','RS',10342,797,NULL,493,NULL,NULL,NULL,2,5),(16,3094626,8.00,8.00,9.00,8.00,8.00,7.00,8.00,8.00,9.00,103,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',62,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094642,3.00,2.00,4.00,4.00,3.00,NULL,1.00,3.00,5.00,103,NULL,NULL,'JARDIM PLANALTO','S SEBASTIãO PARAíSO','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3094650,2.00,3.00,2.00,6.00,4.00,4.25,4.00,5.00,2.00,207,NULL,NULL,'JARDIM AMERICA','VILHENA','RO',15972,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3094669,5.00,5.00,2.00,6.00,7.00,5.75,2.00,6.00,4.00,316,NULL,NULL,'GLóRIA','JOINVILLE','SC',10738,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3094677,9.00,5.00,6.00,9.00,8.00,5.75,6.00,8.00,7.00,103,NULL,NULL,'CENTRO','CAMPO GRANDE','MS',798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094685,7.00,6.00,5.00,4.00,6.00,4.25,5.00,8.00,8.00,9,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',3625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094693,3.00,2.00,4.00,8.00,4.00,6.00,2.00,5.00,2.00,328,NULL,NULL,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',14053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094707,7.00,8.00,7.00,9.00,6.00,7.25,5.00,7.00,8.00,303,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094715,2.00,3.00,3.00,3.00,4.00,NULL,2.00,2.00,3.00,3,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094723,5.00,5.00,7.00,5.00,4.00,5.50,3.00,4.00,4.00,316,NULL,NULL,'CENTRO','RIO SUL','SC',9299,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3094731,6.00,8.00,7.00,9.00,7.00,6.00,5.00,8.00,8.00,303,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',1072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3094758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,215,'NOVA BRASILIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3094774,4.00,3.00,2.00,6.00,5.00,6.75,1.00,7.00,3.00,423,NULL,429,'CANOAS','RIO SUL','SC',12736,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3094782,6.00,4.00,5.00,7.00,5.00,6.50,4.00,8.00,7.00,211,NULL,233,'CENTRO','FLORIANóPOLIS','SC',4229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094804,3.00,2.00,2.00,6.00,5.00,5.50,4.00,2.00,3.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',16073,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3094812,6.00,6.00,7.00,8.00,6.00,5.00,3.00,4.00,4.00,212,NULL,201,'CENTRO','TURVO','PR',6510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3094820,6.00,7.00,6.00,8.00,5.00,7.00,7.00,8.00,6.00,9,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',2273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094839,8.00,7.00,3.00,7.00,8.00,7.50,3.00,9.00,4.00,303,NULL,NULL,'CENTRO','STO ÂNGELO','RS',3581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094855,3.00,4.00,2.00,7.00,5.00,5.75,3.00,5.00,5.00,225,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',10872,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3094863,7.00,8.00,5.00,7.00,7.00,5.75,4.00,7.00,8.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',1832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3094871,7.00,8.00,5.00,9.00,8.00,7.00,4.00,8.00,6.00,207,NULL,238,'BARREIROS','S JOSé','SC',1738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094880,5.00,6.00,5.00,9.00,6.00,7.00,3.00,5.00,4.00,5,NULL,NULL,'CRUZEIRO DO SUL','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3094898,3.00,3.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3094901,7.00,3.00,2.00,7.00,5.00,5.25,3.00,4.00,4.00,216,NULL,211,'CENTRO','CAMPOS NOVOS','SC',12005,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3094928,4.00,3.00,3.00,4.00,4.00,5.25,2.00,7.00,2.00,224,NULL,NULL,'SERRARIA','S JOSé','SC',15098,22,NULL,NULL,NULL,NULL,NULL,2,1),(16,3094936,5.00,4.00,3.00,5.00,4.00,4.25,3.00,4.00,5.00,238,NULL,208,'PASSA VINTE','PALHOçA','SC',13711,433,NULL,445,NULL,NULL,NULL,4,1),(16,3094944,6.00,7.00,5.00,7.00,6.00,5.75,2.00,4.00,4.00,208,NULL,238,'SERRARIA','S JOSé','SC',7860,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3094952,8.00,7.00,6.00,8.00,6.00,6.50,6.00,8.00,7.00,203,NULL,201,'CENTRO','FLORIANóPOLIS','SC',1154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094979,3.00,7.00,5.00,6.00,7.00,7.25,4.00,5.00,5.00,212,NULL,233,'CENTRO','FLORIANóPOLIS','SC',5708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3094987,4.00,0.00,4.00,4.00,4.00,4.75,3.00,4.00,4.00,207,NULL,212,'SAO PEDRO','BRUSQUE','SC',16316,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3094995,1.00,1.00,2.00,1.00,3.00,NULL,1.00,1.00,3.00,207,NULL,201,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095002,2.00,3.00,4.00,4.00,4.00,5.25,2.00,3.00,3.00,502,NULL,NULL,'SERRARIA','S JOSé','SC',16231,78,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095010,1.00,3.00,4.00,5.00,4.00,4.50,3.00,4.00,4.00,302,NULL,NULL,'ALTO ARIRIU','PALHOçA','SC',16110,221,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE DA MOOCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3095037,6.00,5.00,4.00,7.00,6.00,6.00,1.00,6.00,7.00,201,NULL,202,'JARDIM CIDADE FPOLIS','S JOSé','SC',7319,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095045,2.00,4.00,3.00,2.00,4.00,4.75,4.00,5.00,5.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15901,352,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095053,7.00,6.00,8.00,7.00,7.00,5.00,6.00,8.00,7.00,203,NULL,202,'SAGRADO','LAGES','SC',1849,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3095070,5.00,5.00,3.00,5.00,3.00,NULL,2.00,4.00,3.00,503,NULL,NULL,'SAO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3095088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SãO BENEDITO','CAMBUí','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3095100,3.00,6.00,3.00,9.00,5.00,6.25,3.00,7.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7600,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3095126,5.00,7.00,5.00,4.00,4.00,5.25,2.00,7.00,3.00,103,NULL,NULL,'BELA VISTA','PALHOçA','SC',10950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095134,4.00,5.00,4.00,4.00,5.00,5.50,4.00,7.00,3.00,203,NULL,220,'KOBRASOL','S JOSé','SC',11030,751,NULL,414,NULL,NULL,NULL,4,1),(16,3095142,4.00,3.00,1.00,2.00,3.00,NULL,4.00,3.00,3.00,207,NULL,NULL,'JARDIM VILLAçA','S ROQUE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095150,4.00,5.00,4.00,1.00,5.00,6.00,3.00,6.00,4.00,9,NULL,NULL,'CENTRO','JAGUARUNA','SC',13648,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3095169,6.00,6.00,6.00,6.00,3.00,NULL,4.00,4.00,5.00,203,NULL,NULL,'IPANEMA','ARAçATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3095177,7.00,6.00,5.00,8.00,5.00,5.50,4.00,7.00,8.00,201,NULL,212,'CENTRO','S JOSé','SC',3467,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095185,3.00,2.00,1.00,1.00,2.00,NULL,2.00,2.00,2.00,317,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095193,6.00,1.00,1.00,5.00,5.00,5.50,1.00,4.00,4.00,103,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',14623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095207,5.00,5.00,2.00,3.00,4.00,5.50,3.00,5.00,4.00,108,NULL,NULL,'FLOR DE NáPOLIS','S JOSé','SC',14259,319,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095215,7.00,5.00,4.00,5.00,6.00,6.50,2.00,5.00,6.00,211,NULL,215,'TRINDADE','FLORIANóPOLIS','SC',8140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095223,5.00,6.00,2.00,7.00,6.00,5.00,4.00,7.00,7.00,5,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',7634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095240,2.00,4.00,4.00,7.00,4.00,6.50,1.00,3.00,4.00,302,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',14144,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095258,5.00,3.00,6.00,4.00,4.00,5.25,3.00,2.00,4.00,333,NULL,NULL,'BOTAFOGO','CAMPINAS','SP',13106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095274,6.00,4.00,3.00,8.00,4.00,5.25,4.00,6.00,3.00,103,NULL,NULL,'BATEL','CURITIBA','PR',10986,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3095282,9.00,9.00,4.00,8.00,7.00,5.75,3.00,8.00,7.00,303,NULL,NULL,'ANáPOLIS CITY','ANáPOLIS','GO',1610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095290,4.00,4.00,3.00,5.00,4.00,5.50,2.00,6.00,1.00,331,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095304,2.00,3.00,2.00,2.00,2.00,NULL,0.00,1.00,1.00,324,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095312,5.00,5.00,3.00,9.00,8.00,7.00,3.00,5.00,6.00,425,NULL,427,'BARREIROS','S JOSé','SC',6332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095320,2.00,4.00,1.00,2.00,2.00,NULL,1.00,0.00,2.00,207,NULL,215,'JD PAINEIRAS','PARANAVAI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095339,7.00,8.00,9.00,7.00,8.00,7.50,6.00,9.00,8.00,103,NULL,NULL,'CENTRO','ITAJAí','SC',189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095347,8.00,6.00,4.00,5.00,7.00,6.00,6.00,7.00,6.00,310,NULL,NULL,'AEROPORTO','GOIâNIA','GO',3422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095355,2.00,5.00,3.00,6.00,4.00,7.00,2.00,6.00,5.00,340,NULL,NULL,'CENTRO','PRES GETúLIO','SC',11290,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3095371,3.00,5.00,1.00,5.00,6.00,5.75,2.00,4.00,4.00,317,NULL,NULL,'SERRARIA','S JOSé','SC',14415,133,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'REGIãO LAGO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3095401,4.00,5.00,3.00,7.00,5.00,5.00,1.00,4.00,4.00,404,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',13346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3095428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3095444,3.00,4.00,4.00,9.00,7.00,4.25,3.00,7.00,2.00,303,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3095452,7.00,8.00,3.00,9.00,7.00,5.75,4.00,9.00,7.00,103,NULL,NULL,'JUVêVE','CURITIBA','PR',1794,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3095460,8.00,7.00,8.00,8.00,8.00,6.00,5.00,6.00,7.00,207,NULL,NULL,'JARDINS','S PAULO','SP',1043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095479,6.00,5.00,4.00,8.00,5.00,4.25,4.00,4.00,4.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',8908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095487,6.00,5.00,5.00,3.00,3.00,NULL,6.00,5.00,5.00,333,NULL,NULL,'CAMBOINHAS','NITERóI','RJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CECILIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3095517,4.00,6.00,3.00,6.00,8.00,8.75,2.00,7.00,6.00,3,NULL,NULL,'CENTRO','NAVEGANTES','SC',5150,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3095525,2.00,2.00,5.00,6.00,2.00,NULL,2.00,1.00,2.00,2,NULL,NULL,'INGLESES DO RIO VERM','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095533,4.00,4.00,3.00,4.00,5.00,4.75,1.00,6.00,2.00,502,NULL,NULL,'ALTO ARIRIU','PALHOçA','SC',15112,63,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095541,4.00,6.00,3.00,8.00,5.00,5.00,2.00,3.00,3.00,450,NULL,NULL,'CENTRO','CRICIúMA','SC',12072,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3095550,0.00,4.00,4.00,3.00,0.00,NULL,2.00,6.00,1.00,207,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095568,5.00,6.00,4.00,6.00,3.00,NULL,4.00,7.00,5.00,222,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095584,2.00,6.00,4.00,3.00,4.00,5.00,5.00,3.00,2.00,420,NULL,NULL,'CENTRO','TUBARãO','SC',15728,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3095592,6.00,7.00,5.00,5.00,8.00,7.00,4.00,6.00,6.00,103,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',3449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095606,4.00,4.00,3.00,8.00,2.00,NULL,3.00,7.00,4.00,212,NULL,233,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095614,2.00,2.00,3.00,5.00,3.00,NULL,3.00,4.00,3.00,304,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095622,3.00,7.00,2.00,4.00,4.00,5.25,3.00,7.00,5.00,326,NULL,NULL,'BARREIROS','S JOSé','SC',11766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095630,6.00,4.00,2.00,8.00,6.00,5.00,4.00,7.00,7.00,326,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',7418,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3095657,8.00,7.00,4.00,8.00,6.00,6.00,7.00,7.00,6.00,238,NULL,211,'ITACORUBI','FLORIANóPOLIS','SC',2610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095665,8.00,8.00,5.00,5.00,7.00,5.75,6.00,7.00,8.00,203,NULL,214,'TRINDADE','FLORIANóPOLIS','SC',2036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095673,6.00,7.00,5.00,7.00,6.00,5.50,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','IMBITUBA','SC',5906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095681,4.00,3.00,2.00,0.00,1.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3095690,4.00,4.00,3.00,7.00,5.00,5.00,2.00,5.00,2.00,450,NULL,NULL,'FORTALEZA','BLUMENAU','SC',13873,117,NULL,NULL,NULL,NULL,NULL,4,2),(16,3095703,3.00,2.00,2.00,1.00,6.00,NULL,1.00,4.00,6.00,103,NULL,NULL,'VILA RAU','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3095711,8.00,7.00,2.00,8.00,5.00,4.50,3.00,7.00,5.00,203,NULL,202,'CENTRO','CARAZINHO','RS',6191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095720,9.00,8.00,7.00,8.00,6.00,6.00,6.00,9.00,8.00,5,NULL,NULL,'CIDADE JARDIM','UMUARAMA','PR',523,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3095738,4.00,4.00,3.00,7.00,5.00,6.25,3.00,6.00,5.00,207,NULL,212,'KOBRASOL','S JOSé','SC',10985,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095754,4.00,2.00,3.00,2.00,4.00,6.75,2.00,6.00,4.00,317,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',14781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095762,4.00,4.00,2.00,6.00,7.00,4.75,2.00,6.00,4.00,103,NULL,NULL,'JARDIM NOVO HORIZONT','MARINGá','PR',12090,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095770,8.00,9.00,7.00,7.00,8.00,4.00,3.00,8.00,5.00,5,NULL,NULL,'EUGêNIO SCHNEIDER','RIO SUL','SC',2679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095789,3.00,3.00,5.00,6.00,4.00,5.25,2.00,6.00,4.00,102,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',13641,245,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095797,6.00,4.00,5.00,7.00,5.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SANTANA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,9),(16,3095827,6.00,7.00,5.00,7.00,7.00,5.75,1.00,7.00,3.00,327,NULL,NULL,'GARCIA','BLUMENAU','SC',6891,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3095835,9.00,8.00,6.00,8.00,9.00,7.50,4.00,8.00,5.00,319,NULL,NULL,'CENTRO','TUBARãO','SC',1070,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3095843,3.00,6.00,3.00,2.00,4.00,6.00,3.00,8.00,4.00,238,NULL,208,'CENTRO','CAMBORIú','SC',12598,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3095851,2.00,5.00,1.00,3.00,4.00,4.50,1.00,7.00,2.00,309,NULL,NULL,'CAMPINAS','S JOSé','SC',16618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095860,6.00,7.00,4.00,6.00,8.00,6.75,5.00,6.00,6.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095878,4.00,2.00,1.00,5.00,4.00,4.50,4.00,4.00,2.00,101,NULL,NULL,'KOBRASOL','S JOSé','SC',16200,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095886,6.00,5.00,4.00,8.00,4.00,6.00,2.00,7.00,4.00,450,NULL,NULL,'JARDIM PETRóPOLIS','FOZ IGUAçU','PR',7754,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3095894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3095908,4.00,5.00,1.00,3.00,4.00,NULL,1.00,3.00,3.00,340,NULL,NULL,'PRAINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095916,7.00,8.00,6.00,8.00,7.00,4.75,5.00,8.00,4.00,203,NULL,211,'UNIVERSITáRIO','LAGES','SC',2382,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3095924,5.00,1.00,1.00,7.00,5.00,5.50,1.00,4.00,3.00,215,NULL,201,'CERQUEIRA CESAR','S PAULO','SP',14883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095940,7.00,7.00,5.00,8.00,5.00,7.00,4.00,7.00,6.00,303,NULL,NULL,'BELA VISTA I','S JOSé','SC',3694,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3095959,6.00,7.00,3.00,4.00,5.00,4.75,2.00,6.00,3.00,103,NULL,NULL,'JARDIM PRIMAVERA','CAçAPAVA','SP',11587,2395,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095975,4.00,7.00,4.00,3.00,7.00,6.50,2.00,5.00,6.00,103,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',8243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3095983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3095991,7.00,7.00,7.00,7.00,3.00,NULL,3.00,8.00,6.00,104,NULL,NULL,'CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'ARISTOCRATA','S JOSé PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3096017,2.00,2.00,2.00,7.00,2.00,NULL,2.00,3.00,2.00,326,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3096025,8.00,7.00,3.00,6.00,6.00,7.25,3.00,8.00,7.00,415,NULL,NULL,'ESCOLA AGRíCOLA','BLUMENAU','SC',3681,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3096033,5.00,7.00,6.00,8.00,6.00,7.75,5.00,6.00,6.00,331,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',2845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096041,2.00,2.00,3.00,3.00,6.00,4.00,3.00,6.00,3.00,202,NULL,213,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',16337,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3096050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA JULIA','MOGI GUAçU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3096076,4.00,6.00,5.00,7.00,6.00,6.50,3.00,8.00,4.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096092,7.00,6.00,5.00,8.00,7.00,5.00,6.00,6.00,7.00,103,NULL,NULL,'SANTANA','RIO SUL','SC',2628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096106,7.00,8.00,5.00,8.00,7.00,6.00,4.00,8.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',1398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096114,4.00,6.00,3.00,8.00,5.00,6.00,2.00,7.00,4.00,501,NULL,NULL,'PASSA VINTE','PALHOçA','SC',9305,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3096122,6.00,7.00,4.00,8.00,5.00,4.50,1.00,8.00,5.00,104,NULL,NULL,'CENTRO','RIO SUL','SC',7518,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3096149,6.00,7.00,5.00,3.00,6.00,6.25,7.00,6.00,6.00,203,NULL,233,'CENTRO','CASCAVEL','PR',4409,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3096157,8.00,8.00,4.00,8.00,4.00,5.00,6.00,5.00,5.00,103,NULL,NULL,'ALTOS MONTE ALEGRE','DOURADOS','MS',3824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096173,3.00,5.00,4.00,7.00,6.00,6.50,2.00,8.00,3.00,238,NULL,208,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',8903,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3096181,5.00,3.00,3.00,7.00,6.00,6.75,3.00,5.00,5.00,452,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096190,2.00,3.00,1.00,2.00,6.00,NULL,1.00,4.00,0.00,450,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3096211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CAMPESTRE','STO ANDRé','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3096238,7.00,5.00,4.00,8.00,7.00,4.75,5.00,8.00,6.00,211,NULL,208,'CENTRO','BAL ARROIO SILVA','SC',3171,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3096246,9.00,6.00,8.00,7.00,5.00,7.00,8.00,8.00,8.00,103,NULL,NULL,'RIBEIRâNIA','RIBEIRãO PRETO','SP',470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096254,7.00,8.00,5.00,7.00,7.00,6.00,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096289,3.00,6.00,2.00,6.00,4.00,4.25,3.00,5.00,4.00,502,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',13019,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3096297,3.00,6.00,4.00,4.00,4.00,6.00,2.00,7.00,4.00,301,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',12281,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3096300,5.00,7.00,4.00,6.00,4.00,8.25,6.00,7.00,3.00,238,NULL,208,'VIKTOR KONDER','BLUMENAU','SC',5688,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3096319,6.00,8.00,7.00,5.00,7.00,6.00,7.00,9.00,7.00,5,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',1085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096327,8.00,7.00,5.00,8.00,7.00,6.75,7.00,8.00,8.00,102,NULL,NULL,'SãO LUIZ','S MIGUEL OESTE','SC',777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096343,2.00,6.00,5.00,5.00,1.00,NULL,0.00,2.00,2.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3096351,4.00,6.00,3.00,7.00,4.00,5.00,3.00,5.00,4.00,202,NULL,203,'CORAL','LAGES','SC',9838,362,NULL,702,NULL,NULL,NULL,2,9),(16,3096360,6.00,8.00,3.00,5.00,5.00,4.00,6.00,6.00,6.00,103,NULL,NULL,'SãO BRAZ','CURITIBA','PR',5838,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3096378,8.00,7.00,4.00,7.00,7.00,6.00,3.00,8.00,8.00,103,NULL,NULL,'FAZENDA','ITAJAí','SC',2468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096386,7.00,8.00,2.00,6.00,7.00,4.75,5.00,8.00,7.00,103,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',4026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096394,3.00,6.00,2.00,2.00,5.00,NULL,1.00,3.00,3.00,328,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096408,9.00,8.00,8.00,9.00,8.00,5.25,6.00,9.00,8.00,103,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3096424,3.00,2.00,4.00,8.00,7.00,5.50,4.00,3.00,4.00,238,NULL,208,'VILA KURTZ','CAçADOR','SC',11530,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3096432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3096440,3.00,5.00,1.00,6.00,4.00,NULL,4.00,6.00,0.00,429,NULL,428,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096467,7.00,8.00,4.00,2.00,5.00,4.75,2.00,5.00,7.00,103,NULL,NULL,'POçO RICO','OTACíLIO COSTA','SC',8737,2092,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096475,5.00,2.00,5.00,4.00,6.00,5.50,4.00,3.00,4.00,207,NULL,215,'BARREIROS','S JOSé','SC',12170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096491,7.00,6.00,5.00,9.00,8.00,7.25,4.00,8.00,6.00,103,NULL,NULL,'JARDIM FRANçA','S PAULO','SP',1860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096505,7.00,8.00,6.00,8.00,7.00,7.00,4.00,8.00,8.00,415,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',1095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096513,6.00,8.00,5.00,7.00,6.00,5.00,4.00,8.00,6.00,238,NULL,233,'CENTRO','FLORIANóPOLIS','SC',2975,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3096530,5.00,1.00,1.00,6.00,5.00,5.50,2.00,4.00,3.00,103,NULL,NULL,'ERMELINO MATARAZZO','S PAULO','SP',15561,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3096548,2.00,4.00,7.00,8.00,5.00,6.00,5.00,6.00,5.00,103,NULL,NULL,'CENTRO','IMBITUBA','SC',6085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096556,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(16,3096564,3.00,2.00,2.00,4.00,0.00,NULL,4.00,2.00,2.00,103,NULL,NULL,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3096580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CONVIVA','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3096599,5.00,5.00,5.00,7.00,5.00,5.00,5.00,6.00,4.00,303,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',8013,357,NULL,NULL,NULL,NULL,NULL,2,1),(16,3096602,6.00,6.00,4.00,2.00,3.00,NULL,1.00,7.00,3.00,216,NULL,215,'IPIRANGA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3096629,7.00,6.00,5.00,9.00,7.00,8.50,3.00,4.00,6.00,319,NULL,NULL,'JARDIM INDEPENDêNCIA','CAMPINAS','SP',2958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096637,4.00,5.00,3.00,8.00,4.00,5.50,3.00,6.00,4.00,203,NULL,213,'PANTANAL','FLORIANóPOLIS','SC',10017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096645,6.00,6.00,3.00,7.00,5.00,5.50,3.00,6.00,4.00,102,NULL,NULL,'SANTA ISABEL','FORQUILHINHA','SC',8396,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3096670,4.00,7.00,5.00,4.00,4.00,8.00,3.00,8.00,6.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096688,5.00,6.00,5.00,4.00,7.00,5.50,3.00,6.00,3.00,207,NULL,233,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096696,4.00,2.00,3.00,5.00,4.00,6.50,2.00,7.00,2.00,415,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',15057,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3096726,5.00,6.00,5.00,9.00,7.00,5.00,6.00,8.00,6.00,340,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3096742,2.00,7.00,2.00,7.00,3.00,NULL,2.00,5.00,3.00,415,NULL,NULL,'PADRE MARTINHO STEIN','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3096750,7.00,5.00,5.00,4.00,6.00,4.00,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','MARINGá','PR',10466,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3096777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RECREIO','VITóRIA CONQUISTA','BA',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3096785,3.00,3.00,2.00,5.00,4.00,5.00,4.00,3.00,5.00,103,NULL,NULL,'SãO LUIZ','CRICIúMA','SC',14311,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3096815,6.00,7.00,5.00,9.00,7.00,6.75,4.00,6.00,6.00,103,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',2637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096823,6.00,5.00,6.00,6.00,5.00,6.25,2.00,6.00,6.00,208,NULL,207,'BELA ALIANçA','S BENTO SUL','SC',6271,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3096831,6.00,6.00,3.00,8.00,4.00,5.50,3.00,6.00,7.00,302,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',6290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3096840,3.00,2.00,2.00,1.00,4.00,NULL,3.00,1.00,1.00,103,NULL,NULL,'SESMARIAS','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3096858,7.00,7.00,7.00,6.00,8.00,6.50,3.00,8.00,9.00,216,NULL,233,'VILA OPERáRIA','ITAJAí','SC',1757,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3096866,1.00,7.00,1.00,9.00,8.00,6.50,3.00,7.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096874,7.00,6.00,3.00,7.00,7.00,6.00,5.00,7.00,5.00,415,NULL,NULL,'ORATóRIO','ORLEANS','SC',4774,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3096882,8.00,8.00,9.00,8.00,6.00,8.25,6.00,8.00,7.00,203,NULL,214,'CENTRO','BRUSQUE','SC',224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096890,6.00,7.00,4.00,8.00,5.00,7.00,2.00,7.00,4.00,5,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096912,5.00,5.00,6.00,4.00,5.00,7.00,5.00,7.00,3.00,420,NULL,NULL,'ARIRIú','PALHOçA','SC',6220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096920,7.00,7.00,4.00,9.00,8.00,6.00,2.00,7.00,5.00,316,NULL,NULL,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',4293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096939,8.00,7.00,6.00,8.00,8.00,7.00,5.00,8.00,7.00,301,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',1083,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3096947,6.00,7.00,3.00,8.00,6.00,5.75,2.00,8.00,3.00,304,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',6335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096955,6.00,6.00,6.00,8.00,6.00,6.50,5.00,9.00,7.00,415,NULL,NULL,'SãO LUíS','CRICIúMA','SC',2305,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3096963,5.00,6.00,6.00,6.00,7.00,4.00,5.00,7.00,3.00,203,NULL,202,'VICENTE PIRES','TAGUATINGA','DF',6628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3096980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3096998,3.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,5,NULL,NULL,'MORRADA DO SOL','SAUDADES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3097005,8.00,8.00,3.00,6.00,7.00,5.75,6.00,9.00,7.00,208,NULL,238,'CAPOEIRAS','FLORIANóPOLIS','SC',1862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3097021,9.00,8.00,4.00,5.00,6.00,5.00,8.00,7.00,7.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',2733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097030,3.00,7.00,4.00,7.00,8.00,6.50,5.00,8.00,5.00,215,NULL,202,'FORQUILHAS','S JOSé','SC',4845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097064,6.00,6.00,3.00,8.00,9.00,7.50,4.00,9.00,7.00,108,NULL,NULL,'ÁGUAS CLARAS','TAGUATINGA','DF',2365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097072,8.00,8.00,8.00,9.00,7.00,7.75,8.00,8.00,9.00,203,NULL,216,'SOUZA CRUZ','BRUSQUE','SC',142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097080,0.00,8.00,1.00,6.00,7.00,7.25,3.00,8.00,6.00,103,NULL,NULL,'SãO LUIZ','BRUSQUE','SC',8830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097099,7.00,7.00,3.00,6.00,7.00,6.25,2.00,6.00,4.00,303,NULL,NULL,'CENTRO','CPO BELO SUL','SC',7254,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097110,5.00,6.00,1.00,6.00,4.00,5.75,2.00,7.00,3.00,426,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',12431,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097137,4.00,6.00,2.00,5.00,7.00,4.75,1.00,6.00,3.00,319,NULL,NULL,'FLOR DE NAPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097145,6.00,3.00,5.00,7.00,6.00,5.00,5.00,6.00,5.00,501,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097153,4.00,6.00,3.00,1.00,5.00,6.00,3.00,6.00,4.00,203,NULL,233,'CENTRO','PALOTINA','PR',11837,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3097161,4.00,5.00,4.00,4.00,4.00,6.25,2.00,8.00,4.00,108,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',10212,224,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097170,6.00,3.00,4.00,6.00,7.00,7.50,3.00,7.00,5.00,103,NULL,NULL,'PIO CORREIA','CRICIúMA','SC',7406,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3097188,8.00,6.00,9.00,6.00,8.00,6.50,4.00,9.00,7.00,103,NULL,NULL,'CENTRO','IçARA','SC',1338,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3097196,6.00,7.00,8.00,8.00,8.00,6.00,7.00,8.00,6.00,203,NULL,233,'CENTRO','FLORIANóPOLIS','SC',1424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097200,5.00,3.00,5.00,5.00,7.00,4.75,2.00,4.00,4.00,317,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',12559,100,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097226,7.00,6.00,4.00,7.00,7.00,5.25,2.00,9.00,5.00,103,NULL,NULL,'CENTRO','CASTRO','PR',5273,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3097234,3.00,8.00,7.00,7.00,7.00,6.25,4.00,8.00,6.00,5,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',2597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097242,0.00,0.00,5.00,3.00,3.00,NULL,0.00,0.00,0.00,203,NULL,214,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3097250,8.00,8.00,4.00,8.00,7.00,5.75,4.00,8.00,8.00,220,NULL,202,'SANTO ANTONIO','CRICIúMA','SC',1772,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3097269,4.00,5.00,4.00,6.00,5.00,5.75,1.00,7.00,3.00,303,NULL,NULL,'CAMPINAS','S JOSé','SC',10594,457,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097277,3.00,5.00,2.00,8.00,5.00,NULL,0.00,0.00,0.00,203,NULL,202,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,2),(16,3097285,4.00,5.00,1.00,6.00,6.00,7.25,2.00,6.00,6.00,103,NULL,NULL,'FAZENDA','ITAJAí','SC',9699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097293,3.00,2.00,1.00,9.00,5.00,4.00,3.00,3.00,3.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',14765,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3097307,7.00,4.00,6.00,8.00,8.00,4.25,5.00,3.00,7.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097315,7.00,3.00,4.00,8.00,5.00,5.50,3.00,5.00,5.00,208,NULL,220,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',9214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'BELA VISTA','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3097340,6.00,5.00,4.00,6.00,6.00,5.50,3.00,7.00,6.00,215,NULL,NULL,'MARILú','MIRASSOL','SP',6392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097358,4.00,6.00,5.00,2.00,6.00,5.00,3.00,5.00,2.00,207,NULL,NULL,'FLOR DE NAPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097366,3.00,4.00,3.00,6.00,4.00,5.50,2.00,5.00,5.00,502,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',12822,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097374,6.00,4.00,3.00,6.00,6.00,4.00,1.00,5.00,3.00,502,NULL,NULL,'CENTRO','CAçADOR','SC',12347,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097382,6.00,6.00,8.00,9.00,8.00,7.50,6.00,7.00,7.00,202,NULL,220,'CARVOEIRA','FLORIANóPOLIS','SC',797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097390,5.00,5.00,5.00,7.00,6.00,4.25,4.00,9.00,6.00,104,NULL,NULL,'CENTRO','TURVO','SC',5472,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3097404,5.00,6.00,3.00,7.00,3.00,NULL,3.00,5.00,5.00,214,NULL,233,'FLOR DE NAPOLES','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097412,5.00,5.00,7.00,8.00,2.00,NULL,3.00,5.00,4.00,208,NULL,238,'RES ALPHA CLUB','CIANORTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3097447,5.00,3.00,2.00,7.00,2.00,NULL,3.00,4.00,3.00,104,NULL,NULL,'CENTRO','NOVA LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097455,5.00,5.00,4.00,5.00,6.00,5.50,1.00,8.00,4.00,451,NULL,NULL,'ASILO','BLUMENAU','SC',7872,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3097463,7.00,8.00,6.00,9.00,6.00,7.25,5.00,8.00,6.00,303,NULL,NULL,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',1291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097471,6.00,7.00,6.00,7.00,6.00,6.50,5.00,6.00,8.00,104,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',2517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097480,6.00,7.00,3.00,8.00,7.00,7.25,4.00,8.00,3.00,415,NULL,NULL,'JARDIM RECREIO','RIBEIRãO PRETO','SP',3605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097498,9.00,7.00,8.00,9.00,8.00,4.75,6.00,8.00,7.00,103,NULL,NULL,'CENTRO','GAROPABA','SC',472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097501,5.00,5.00,3.00,6.00,5.00,7.00,3.00,6.00,4.00,104,NULL,NULL,'BARRO VERMELHO','ORLEANS','SC',8392,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3097510,7.00,5.00,1.00,6.00,5.00,6.00,4.00,5.00,5.00,404,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',9791,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097528,8.00,7.00,4.00,7.00,6.00,5.00,6.00,8.00,5.00,238,NULL,208,'OFICINAS','TUBARãO','SC',3131,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3097536,5.00,3.00,5.00,6.00,4.00,5.25,4.00,4.00,4.00,444,NULL,NULL,'CAMPINAS','S JOSé','SC',11773,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097544,6.00,8.00,4.00,9.00,8.00,7.00,4.00,8.00,4.00,104,NULL,NULL,'CANOAS','RIO SUL','SC',2672,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3097552,6.00,7.00,7.00,6.00,6.00,6.75,5.00,9.00,6.00,211,NULL,212,'VICTOR KONDER','BLUMENAU','SC',2047,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3097560,1.00,1.00,1.00,0.00,1.00,NULL,1.00,0.00,1.00,316,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097579,4.00,5.00,4.00,7.00,5.00,6.00,3.00,6.00,5.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097587,8.00,7.00,4.00,8.00,8.00,6.50,5.00,7.00,7.00,103,NULL,NULL,'PIRITUBA','S PAULO','SP',1609,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3097595,0.00,3.00,1.00,2.00,3.00,NULL,1.00,6.00,4.00,102,NULL,NULL,'CENTRO','MRO GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3097609,7.00,8.00,5.00,8.00,8.00,5.75,2.00,8.00,6.00,333,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097617,6.00,4.00,4.00,6.00,6.00,5.75,1.00,4.00,3.00,319,NULL,NULL,'KOBRASOL','S JOSé','SC',11894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097625,6.00,8.00,3.00,7.00,4.00,4.75,3.00,6.00,2.00,319,NULL,NULL,'SOUSAS','CAMPINAS','SP',9326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097633,5.00,3.00,3.00,1.00,5.00,4.00,3.00,7.00,1.00,207,NULL,201,'JARDIM OASIS','MARINGá','PR',16348,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3097641,7.00,5.00,6.00,8.00,8.00,6.50,4.00,9.00,7.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1503,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097650,8.00,5.00,6.00,7.00,5.00,5.25,4.00,7.00,6.00,103,NULL,NULL,'GUAJUVIRA','GUAJUVIRA','PR',4122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097668,3.00,4.00,2.00,8.00,6.00,6.25,0.00,5.00,3.00,404,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',13166,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097676,7.00,6.00,7.00,5.00,8.00,6.75,7.00,9.00,8.00,103,NULL,NULL,'VILA NUNES','LORENA','SP',780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097684,4.00,3.00,5.00,1.00,4.00,6.25,4.00,7.00,6.00,203,NULL,NULL,'CENTRO','OURO VERDE','SC',10882,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3097692,4.00,1.00,1.00,1.00,4.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3097706,7.00,7.00,8.00,6.00,4.00,6.75,3.00,7.00,6.00,211,NULL,216,'JARDIM PAULICEIA','CAMPINAS','SP',3666,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3097714,8.00,5.00,8.00,8.00,6.00,5.50,7.00,7.00,7.00,103,NULL,NULL,'JD DAS FLORES','OSASCO','SP',1194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097722,7.00,5.00,3.00,8.00,6.00,6.00,1.00,5.00,7.00,108,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',7267,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097730,8.00,6.00,6.00,8.00,7.00,6.25,3.00,7.00,6.00,108,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',2383,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097749,6.00,4.00,4.00,6.00,6.00,5.75,3.00,5.00,5.00,211,NULL,215,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',9795,320,NULL,219,NULL,NULL,NULL,2,1),(16,3097757,4.00,2.00,4.00,6.00,4.00,5.25,3.00,2.00,4.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15832,348,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097765,5.00,7.00,5.00,9.00,5.00,4.50,5.00,8.00,4.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097773,8.00,7.00,5.00,6.00,6.00,4.75,4.00,6.00,7.00,208,NULL,238,'SANTA ISABEL','ANáPOLIS','GO',3370,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097790,7.00,7.00,9.00,8.00,6.00,5.75,6.00,8.00,8.00,215,NULL,233,'TRINDADE','FLORIANóPOLIS','SC',728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097803,4.00,4.00,5.00,8.00,6.00,6.00,2.00,6.00,6.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',8752,389,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097811,7.00,5.00,4.00,7.00,7.00,6.50,2.00,6.00,6.00,103,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',5038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097820,4.00,7.00,2.00,3.00,2.00,NULL,4.00,5.00,5.00,404,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3097838,5.00,5.00,1.00,5.00,6.00,6.75,5.00,6.00,5.00,304,NULL,NULL,'BARREIROS','S JOSé','SC',7768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097846,6.00,7.00,5.00,8.00,6.00,6.75,5.00,6.00,6.00,2,NULL,NULL,'SANTA TEREZA','AURORA','SC',3078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097854,2.00,1.00,1.00,1.00,3.00,NULL,4.00,3.00,1.00,310,NULL,NULL,'JARDIM VIRGINIA','TABOãO SERRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097862,2.00,4.00,3.00,1.00,3.00,NULL,1.00,3.00,2.00,225,NULL,NULL,'INDAIá','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097889,5.00,6.00,6.00,6.00,5.00,8.00,4.00,3.00,7.00,103,NULL,NULL,'PARQUE ORTOLâNDIA','HORTOLâNDIA','SP',5189,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097897,6.00,3.00,4.00,2.00,5.00,6.00,2.00,4.00,4.00,420,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',13058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097900,4.00,6.00,4.00,7.00,5.00,4.50,3.00,9.00,3.00,211,NULL,207,'JDM DAS HORTENCIAS','FRAIBURGO','SC',8473,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3097919,9.00,7.00,7.00,9.00,8.00,7.25,4.00,8.00,8.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',637,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3097927,7.00,8.00,5.00,9.00,7.00,6.50,3.00,7.00,9.00,203,NULL,214,'CENTRO','FLORIANóPOLIS','SC',1791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3097943,8.00,6.00,7.00,7.00,5.00,6.00,5.00,7.00,7.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',2401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3097951,4.00,3.00,4.00,7.00,2.00,NULL,1.00,5.00,3.00,202,NULL,201,'CORDEIROS','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3097960,1.00,0.00,1.00,4.00,2.00,NULL,3.00,3.00,1.00,102,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3097978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3097986,3.00,2.00,5.00,6.00,3.00,NULL,2.00,1.00,2.00,319,NULL,NULL,'JARDIM PADROEIRA','GUARATINGUETá','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3098001,2.00,1.00,1.00,3.00,2.00,NULL,2.00,2.00,2.00,224,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3098028,6.00,5.00,4.00,5.00,4.00,7.50,1.00,7.00,4.00,9,NULL,NULL,'VILA BANDEIRANTES','CPO GRANDE','MS',9551,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3098036,4.00,5.00,2.00,7.00,7.00,4.25,2.00,6.00,4.00,415,NULL,NULL,'TOBIAS','JOAçABA','SC',11494,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3098044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'VILA RESENDE','CAçAPAVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3098052,6.00,5.00,3.00,5.00,2.00,NULL,4.00,7.00,4.00,203,NULL,202,'JD TRÊS MARIAS','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3098060,3.00,2.00,3.00,2.00,3.00,NULL,4.00,6.00,5.00,444,NULL,NULL,'SANTA TEREZA','AURORA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098079,4.00,4.00,4.00,3.00,4.00,5.75,3.00,5.00,5.00,339,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098087,8.00,8.00,4.00,9.00,7.00,6.75,4.00,6.00,5.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098095,3.00,4.00,2.00,1.00,4.00,NULL,3.00,5.00,2.00,326,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098117,7.00,7.00,6.00,8.00,6.00,5.50,4.00,6.00,4.00,203,NULL,208,'AMIZADE','JARAGUá SUL','SC',4046,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3098125,5.00,6.00,6.00,5.00,7.00,6.50,2.00,6.00,5.00,223,NULL,NULL,'CENTRO','GASPAR','SC',5164,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3098133,7.00,6.00,5.00,8.00,7.00,6.50,3.00,5.00,6.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098141,9.00,7.00,7.00,8.00,7.00,6.25,7.00,9.00,8.00,103,NULL,NULL,'ZONA DOIS','MARINGá','PR',436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098150,9.00,9.00,9.00,9.00,7.00,5.00,7.00,8.00,8.00,103,NULL,NULL,'SERTãO DO MARUIM','S JOSé','SC',110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098168,5.00,6.00,4.00,7.00,5.00,6.75,5.00,9.00,6.00,103,NULL,NULL,'CENTRO','RONDON','PR',4308,1359,NULL,NULL,NULL,NULL,NULL,2,8),(16,3098176,4.00,6.00,4.00,7.00,7.00,7.00,4.00,7.00,7.00,415,NULL,NULL,'ESTIVA','TAUBATé','SP',4049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098184,8.00,6.00,5.00,7.00,6.00,5.00,0.00,6.00,5.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',7104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3098206,7.00,7.00,3.00,8.00,4.00,4.50,5.00,6.00,6.00,211,NULL,NULL,'CENTRO','S BENTO SUL','SC',5748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3098214,7.00,6.00,3.00,3.00,6.00,5.75,1.00,7.00,3.00,108,NULL,NULL,'VILA TATETUBA','S JOSé CAMPOS','SP',9788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098222,5.00,7.00,4.00,4.00,5.00,4.75,1.00,7.00,3.00,101,NULL,NULL,'CENTRO','RIO SUL','SC',11719,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3098230,8.00,7.00,6.00,8.00,7.00,6.25,4.00,8.00,7.00,102,NULL,NULL,'BARREIROS','S JOSé','SC',1525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098249,6.00,3.00,5.00,8.00,4.00,5.50,2.00,5.00,7.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',6465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098257,4.00,7.00,4.00,5.00,3.00,NULL,2.00,6.00,4.00,203,NULL,220,'CENTRO','RONDON','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3098265,6.00,9.00,9.00,9.00,6.00,7.00,5.00,7.00,8.00,207,NULL,201,'ITAGUAçU','FLORIANóPOLIS','SC',638,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098281,6.00,5.00,3.00,7.00,6.00,5.25,2.00,5.00,4.00,429,NULL,425,'GUANABARA','JOINVILLE','SC',11206,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3098290,5.00,5.00,5.00,9.00,6.00,5.00,4.00,4.00,5.00,301,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',6765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098303,8.00,6.00,6.00,5.00,5.00,5.00,3.00,8.00,6.00,238,NULL,208,'CAPOEIRAS','FLORIANóPOLIS','SC',5668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098311,7.00,8.00,6.00,9.00,6.00,6.25,6.00,6.00,8.00,103,NULL,NULL,'OFICINAS','TUBARãO','SC',1614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098320,9.00,9.00,8.00,9.00,7.00,6.00,9.00,9.00,9.00,201,NULL,213,'CENTRO','FLORIANóPOLIS','SC',31,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098338,7.00,9.00,5.00,9.00,9.00,7.75,8.00,9.00,8.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098346,1.00,3.00,2.00,2.00,5.00,NULL,1.00,3.00,3.00,108,NULL,NULL,'OFICINAS','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3098354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,208,'ZONA SETE','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3098362,7.00,5.00,7.00,8.00,8.00,6.50,3.00,7.00,7.00,102,NULL,NULL,'VILA SãO JOSé','ARARANGUá','SC',2881,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3098370,4.00,4.00,5.00,7.00,5.00,5.00,3.00,6.00,3.00,201,NULL,233,'CóRREGO GRANDE','FLORIANóPOLIS','SC',10275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098389,5.00,8.00,3.00,7.00,7.00,6.50,2.00,8.00,6.00,9,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',4159,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3098397,3.00,5.00,4.00,6.00,3.00,NULL,3.00,4.00,5.00,208,NULL,220,'CENTRO','RONDON','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3098419,3.00,2.00,3.00,7.00,4.00,5.50,3.00,5.00,2.00,340,NULL,NULL,'SAO LUIZ','BRUSQUE','SC',15064,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3098435,4.00,5.00,2.00,1.00,5.00,5.25,1.00,6.00,4.00,304,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',15243,156,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098443,5.00,5.00,3.00,6.00,6.00,5.00,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',10416,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3098451,5.00,9.00,5.00,8.00,5.00,6.75,5.00,8.00,6.00,216,NULL,215,'ESTREITO','FLORIANóPOLIS','SC',3876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098460,3.00,0.00,1.00,3.00,2.00,NULL,2.00,3.00,4.00,102,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3098478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3098486,3.00,4.00,1.00,5.00,2.00,NULL,4.00,4.00,3.00,301,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3098494,8.00,8.00,7.00,8.00,6.00,6.50,6.00,5.00,6.00,211,NULL,233,'CARVOEIRA','FLORIANóPOLIS','SC',1975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098508,3.00,4.00,4.00,8.00,6.00,6.75,1.00,7.00,4.00,452,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9867,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3098524,2.00,2.00,1.00,1.00,6.00,NULL,1.00,3.00,4.00,319,NULL,NULL,'ANGELO GUOLLO','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3098532,7.00,7.00,9.00,8.00,7.00,6.50,7.00,8.00,9.00,103,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098540,4.00,6.00,2.00,5.00,5.00,4.25,2.00,5.00,2.00,324,NULL,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',14742,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3098559,5.00,6.00,4.00,7.00,6.00,6.25,4.00,4.00,5.00,103,NULL,NULL,'CENTRO','SALETE','SC',6503,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3098567,7.00,7.00,5.00,9.00,8.00,7.75,4.00,8.00,5.00,220,NULL,201,'CENTRO','PETROLâNDIA','SC',1633,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3098575,2.00,6.00,3.00,5.00,5.00,4.75,2.00,6.00,4.00,327,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',12287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3098583,3.00,6.00,4.00,8.00,5.00,4.75,4.00,7.00,6.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098605,1.00,1.00,1.00,1.00,2.00,NULL,1.00,0.00,3.00,501,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098613,7.00,6.00,4.00,8.00,8.00,6.50,3.00,6.00,4.00,420,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098621,6.00,5.00,2.00,2.00,4.00,5.25,6.00,3.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',10907,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3098630,4.00,4.00,3.00,1.00,2.00,NULL,1.00,1.00,3.00,213,NULL,201,'COM COM','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3098656,5.00,4.00,5.00,4.00,5.00,4.75,3.00,6.00,4.00,201,NULL,208,'CENTRO','AMPARO','SP',10671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098664,6.00,8.00,5.00,5.00,6.00,5.75,3.00,4.00,5.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',6860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098672,4.00,4.00,2.00,6.00,3.00,NULL,2.00,3.00,3.00,316,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3098680,9.00,7.00,8.00,9.00,8.00,5.50,6.00,8.00,8.00,220,NULL,233,'SANTA MôNICA','FLORIANóPOLIS','SC',446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098699,5.00,7.00,4.00,6.00,6.00,4.50,2.00,6.00,4.00,302,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',9345,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3098702,8.00,8.00,4.00,4.00,6.00,6.50,3.00,8.00,5.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098710,4.00,4.00,4.00,6.00,4.00,4.25,1.00,5.00,2.00,104,NULL,NULL,'CENTRO','SALETE','SC',14958,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3098729,6.00,6.00,5.00,6.00,7.00,5.50,4.00,7.00,7.00,238,NULL,208,'JOãO PAULO','FLORIANóPOLIS','SC',4790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098737,8.00,6.00,6.00,8.00,6.00,5.50,5.00,8.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2043,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3098745,3.00,5.00,5.00,5.00,5.00,4.50,4.00,7.00,3.00,303,NULL,NULL,'CENTRO','XANXERê','SC',10974,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3098761,8.00,9.00,7.00,9.00,7.00,8.00,5.00,8.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098770,6.00,5.00,4.00,7.00,6.00,6.25,4.00,3.00,5.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',9420,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3098788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ALPHAVILLE','PTO VELHO','RO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3098800,5.00,5.00,5.00,1.00,7.00,6.75,6.00,4.00,5.00,102,NULL,NULL,'CENTRO','SALETE','SC',10124,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3098818,5.00,5.00,4.00,8.00,4.00,5.75,2.00,7.00,2.00,207,NULL,NULL,'AMéRICA','JOINVILLE','SC',9644,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3098826,6.00,5.00,6.00,7.00,7.00,6.00,3.00,7.00,7.00,215,NULL,NULL,'CENTRO','LAGES','SC',5186,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3098834,7.00,7.00,4.00,7.00,5.00,4.50,3.00,4.00,4.00,203,NULL,201,'BARREIROS','S JOSé','SC',8661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098842,6.00,4.00,4.00,2.00,6.00,6.50,3.00,7.00,5.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',8518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098877,5.00,8.00,7.00,8.00,8.00,5.75,6.00,8.00,6.00,103,NULL,NULL,'CAMPINAS','S JOSé','SC',1752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098885,6.00,5.00,5.00,7.00,6.00,5.50,5.00,8.00,4.00,303,NULL,NULL,'CENTRO','CHAPECó','SC',6159,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3098893,4.00,6.00,2.00,8.00,6.00,7.50,3.00,7.00,7.00,102,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',6512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098907,4.00,6.00,1.00,7.00,4.00,5.75,3.00,6.00,3.00,503,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098915,3.00,6.00,6.00,6.00,6.00,5.50,3.00,5.00,7.00,303,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',8133,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3098923,8.00,8.00,5.00,8.00,6.00,8.75,3.00,8.00,4.00,207,NULL,216,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',2586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098931,3.00,1.00,3.00,2.00,3.00,NULL,1.00,1.00,1.00,308,NULL,NULL,'PâNTANO DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3098940,4.00,5.00,5.00,7.00,5.00,6.25,6.00,4.00,7.00,103,NULL,NULL,'VILA INDUSTRIAL','TOLEDO','PR',6685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3098958,9.00,9.00,6.00,9.00,7.00,6.50,6.00,9.00,8.00,2,NULL,NULL,'VORSTADT','BLUMENAU','SC',270,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3098966,6.00,5.00,5.00,7.00,5.00,5.75,5.00,8.00,6.00,501,NULL,NULL,'BARREIROS','S JOSé','SC',4163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098974,4.00,3.00,1.00,8.00,5.00,5.00,3.00,2.00,3.00,103,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',14683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098982,6.00,6.00,5.00,7.00,7.00,5.50,3.00,5.00,5.00,103,NULL,NULL,'SANTA TERESA','S PEDRO ALCâNTARA','SC',5482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3098990,7.00,7.00,3.00,7.00,6.00,4.50,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','LEBON RéGIS','SC',7755,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3099008,4.00,4.00,3.00,3.00,1.00,NULL,0.00,3.00,4.00,208,NULL,238,'SANTA CRUZ','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099024,5.00,5.00,4.00,6.00,6.00,6.00,4.00,7.00,4.00,207,NULL,212,'CENTRO','URUBICI','SC',7637,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3099032,5.00,7.00,6.00,7.00,7.00,5.75,3.00,6.00,2.00,103,NULL,NULL,'ZONA DOIS','CIANORTE','PR',7192,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3099040,7.00,7.00,4.00,5.00,5.00,6.50,3.00,4.00,4.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','CACULé','BA',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3099067,5.00,8.00,1.00,9.00,7.00,5.00,3.00,8.00,4.00,428,NULL,423,'PANTANAL','FLORIANóPOLIS','SC',5570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099075,8.00,8.00,7.00,8.00,9.00,6.75,3.00,9.00,8.00,103,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',439,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3099091,4.00,7.00,2.00,7.00,6.00,6.00,2.00,6.00,6.00,103,NULL,NULL,'SãO JOãO','COCAL SUL','SC',8153,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3099113,6.00,5.00,1.00,6.00,2.00,NULL,2.00,5.00,1.00,103,NULL,NULL,'CENTRO','MTE CASTELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3099121,7.00,8.00,1.00,7.00,7.00,5.00,3.00,8.00,6.00,203,NULL,202,'SETE DE SETEMBRO','GASPAR','SC',5723,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3099130,5.00,7.00,8.00,4.00,7.00,6.50,4.00,8.00,6.00,213,NULL,202,'JARDIM EUROPA','SOROCABA','SP',3236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099148,7.00,9.00,9.00,9.00,8.00,5.50,8.00,7.00,9.00,203,NULL,214,'CENTRO','FLORIANóPOLIS','SC',184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099156,3.00,3.00,4.00,8.00,5.00,5.25,2.00,5.00,3.00,327,NULL,NULL,'PRAIA DE FORA','PALHOçA','SC',12371,27,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099164,6.00,6.00,4.00,7.00,6.00,6.50,3.00,6.00,4.00,501,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',6511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099172,7.00,8.00,7.00,6.00,7.00,5.00,5.00,9.00,7.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',1293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099180,2.00,0.00,3.00,2.00,3.00,NULL,0.00,4.00,2.00,201,NULL,212,'MEDIANEIRA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3099199,7.00,5.00,7.00,6.00,6.00,8.50,5.00,7.00,6.00,201,NULL,212,'SANTA MôNICA','FLORIANóPOLIS','SC',2738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099202,5.00,2.00,4.00,4.00,6.00,6.25,3.00,5.00,4.00,103,NULL,NULL,'VILA TATETUBA','S JOSé CAMPOS','SP',11980,2432,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099210,5.00,6.00,2.00,0.00,6.00,NULL,4.00,5.00,6.00,103,NULL,NULL,'FLORESTA','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3099229,7.00,9.00,3.00,8.00,7.00,6.00,5.00,8.00,7.00,340,NULL,NULL,'CENTRO','BRAúNA','SP',1736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099237,5.00,6.00,4.00,8.00,5.00,5.25,2.00,7.00,7.00,103,NULL,NULL,'MOSSUNGUê','CURITIBA','PR',5792,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3099245,8.00,8.00,8.00,8.00,7.00,6.50,7.00,8.00,8.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',289,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3099253,5.00,5.00,5.00,6.00,6.00,4.25,3.00,8.00,4.00,207,NULL,233,'CENTRO','ARARANGUá','SC',8113,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3099270,7.00,6.00,7.00,9.00,7.00,6.50,4.00,6.00,8.00,212,NULL,201,'SAGUAçU','JOINVILLE','SC',1997,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3099288,8.00,6.00,4.00,5.00,8.00,6.75,3.00,6.00,5.00,9,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',4982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099300,5.00,6.00,4.00,7.00,6.00,4.25,3.00,7.00,6.00,203,NULL,214,'FAZENDA STO ANTôNIO','S JOSé','SC',7979,620,NULL,280,NULL,NULL,NULL,2,1),(16,3099318,7.00,7.00,5.00,9.00,7.00,5.00,4.00,7.00,5.00,319,NULL,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',3765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099326,1.00,2.00,2.00,2.00,2.00,NULL,3.00,0.00,2.00,207,NULL,201,'HUMAITA DE CIMA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3099334,8.00,5.00,9.00,7.00,4.00,5.75,6.00,8.00,5.00,220,NULL,216,'JARDIM EUROPA','ITAPEVA','SP',2388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099342,7.00,8.00,7.00,7.00,7.00,5.00,6.00,8.00,6.00,203,NULL,201,'CENTRO','FLORIANóPOLIS','SC',1544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3099369,5.00,3.00,3.00,4.00,4.00,3.25,2.00,4.00,5.00,203,NULL,201,'VILA OPERARIA','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3099377,8.00,8.00,6.00,8.00,7.00,4.75,6.00,9.00,7.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099385,8.00,8.00,2.00,5.00,6.00,6.00,4.00,7.00,6.00,108,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',5063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099393,4.00,4.00,2.00,0.00,4.00,NULL,3.00,4.00,3.00,333,NULL,NULL,'GLóRIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3099407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CARVALHO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3099415,5.00,4.00,2.00,2.00,0.00,NULL,3.00,4.00,4.00,501,NULL,NULL,'JARDIM PLANALTO','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099423,5.00,4.00,2.00,1.00,3.00,NULL,3.00,0.00,2.00,104,NULL,NULL,'SAGUACU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3099431,3.00,1.00,3.00,8.00,4.00,6.25,0.00,3.00,6.00,103,NULL,NULL,'JARDIM CARUMBé','S PAULO','SP',14210,2636,NULL,NULL,NULL,NULL,NULL,2,1),(16,3099440,4.00,7.00,5.00,3.00,6.00,5.25,4.00,7.00,5.00,452,NULL,NULL,'CENTRO','JARAGUá SUL','SC',7283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099458,5.00,7.00,5.00,7.00,7.00,6.00,3.00,5.00,5.00,340,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',6106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3099466,4.00,4.00,3.00,8.00,5.00,6.75,2.00,6.00,3.00,301,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099474,5.00,7.00,7.00,5.00,5.00,6.50,4.00,6.00,6.00,201,NULL,202,'CENTRO','ITAJAí','SC',4851,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3099482,7.00,5.00,5.00,6.00,5.00,7.50,3.00,8.00,7.00,103,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',3632,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3099490,2.00,3.00,1.00,2.00,5.00,NULL,1.00,4.00,3.00,108,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3099504,3.00,5.00,4.00,5.00,6.00,5.25,4.00,5.00,6.00,103,NULL,NULL,'VISTA ALEGRE','CONCóRDIA','SC',9208,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3099512,6.00,5.00,4.00,9.00,6.00,6.75,3.00,6.00,5.00,238,NULL,208,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',7006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099520,2.00,0.00,2.00,2.00,4.00,NULL,1.00,7.00,5.00,326,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099539,6.00,6.00,4.00,8.00,7.00,7.00,5.00,6.00,6.00,203,NULL,201,'COQUEIROS','FLORIANóPOLIS','SC',3130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099547,7.00,8.00,8.00,6.00,7.00,6.50,5.00,9.00,9.00,103,NULL,NULL,'CENTRO','BARRA VELHA','SC',902,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3099555,7.00,5.00,4.00,4.00,5.00,4.75,2.00,4.00,3.00,444,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13575,90,NULL,NULL,NULL,NULL,NULL,2,1),(16,3099563,7.00,8.00,6.00,8.00,8.00,6.00,5.00,9.00,7.00,223,NULL,NULL,'CENTRO','CRICIúMA','SC',974,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3099571,5.00,4.00,3.00,5.00,5.00,5.75,2.00,5.00,4.00,103,NULL,NULL,'PINHEIRINHO','CRICIúMA','SC',12081,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3099580,4.00,6.00,3.00,3.00,5.00,4.50,3.00,3.00,2.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099598,6.00,7.00,1.00,8.00,7.00,5.00,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099601,6.00,7.00,3.00,6.00,7.00,6.75,4.00,8.00,4.00,215,NULL,233,'SUMARé','RIO SUL','SC',5205,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3099628,1.00,4.00,2.00,5.00,3.00,NULL,2.00,7.00,3.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3099636,7.00,5.00,6.00,8.00,4.00,5.25,3.00,5.00,5.00,340,NULL,NULL,'VILA NOVA','TRêS LAGOAS','MS',6040,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3099652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PORTO ALEGRE','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3099687,2.00,4.00,4.00,1.00,2.00,NULL,2.00,8.00,6.00,304,NULL,NULL,'DOIS PINHEIROS','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099695,9.00,9.00,9.00,9.00,6.00,7.75,7.00,9.00,8.00,220,NULL,202,'CóRREGO GRANDE','FLORIANóPOLIS','SC',40,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3099725,8.00,6.00,5.00,6.00,6.00,6.75,5.00,7.00,6.00,317,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099733,7.00,5.00,6.00,5.00,8.00,7.25,4.00,5.00,7.00,103,NULL,NULL,'SAGUAçU','JOINVILLE','SC',3831,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3099741,2.00,5.00,3.00,8.00,5.00,5.25,3.00,3.00,3.00,303,NULL,NULL,'VILA LENZI','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3099750,6.00,4.00,7.00,7.00,5.00,4.00,5.00,7.00,5.00,208,NULL,238,'BRASILIA','CRICIúMA','SC',6571,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3099776,2.00,4.00,3.00,2.00,7.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'RIO GRANDE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099784,5.00,4.00,1.00,4.00,4.00,NULL,3.00,2.00,1.00,316,NULL,NULL,'RIO GRANDE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099792,3.00,5.00,1.00,5.00,4.00,5.00,2.00,3.00,4.00,9,NULL,NULL,'CENTRO','ABDON BATISTA','SC',14906,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3099806,5.00,5.00,3.00,7.00,7.00,5.00,5.00,7.00,6.00,103,NULL,NULL,'VILA MOEMA','TUBARãO','SC',6228,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3099814,4.00,4.00,1.00,2.00,4.00,4.75,1.00,5.00,5.00,207,NULL,201,'CENTRO','BAL CAMBORIú','SC',16527,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3099822,3.00,6.00,3.00,7.00,5.00,4.75,1.00,3.00,3.00,502,NULL,NULL,'JURERE','FLORIANóPOLIS','SC',14310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3099830,5.00,7.00,5.00,9.00,7.00,7.00,4.00,6.00,7.00,103,NULL,NULL,'ITAGUACU','FLORIANóPOLIS','SC',3790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099849,5.00,5.00,4.00,6.00,4.00,6.75,3.00,7.00,5.00,450,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099857,6.00,7.00,5.00,7.00,7.00,4.75,4.00,8.00,5.00,212,NULL,215,'GáVEA','JACINTO MACHADO','SC',4625,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3099865,9.00,6.00,9.00,9.00,8.00,5.75,7.00,6.00,8.00,103,NULL,NULL,'RECREIO DOS CAFEZAIS','VALINHOS','SP',371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099873,7.00,6.00,6.00,8.00,5.00,4.50,3.00,7.00,5.00,220,NULL,203,'SANTA MONICA','FLORIANóPOLIS','SC',5503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099881,5.00,7.00,7.00,5.00,7.00,6.00,3.00,7.00,7.00,207,NULL,201,'JARDIM DAS AMéRICAS','CURITIBA','PR',4245,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3099890,5.00,6.00,2.00,2.00,4.00,5.75,1.00,6.00,6.00,332,NULL,NULL,'ROçADO','S JOSé','SC',13587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099903,4.00,6.00,2.00,1.00,4.00,6.75,3.00,6.00,3.00,103,NULL,NULL,'JARDIM DO LAGO','CAMBé','PR',14583,2656,NULL,NULL,NULL,NULL,NULL,4,3),(16,3099911,4.00,3.00,3.00,1.00,4.00,5.75,4.00,5.00,2.00,302,NULL,NULL,'ALTO ARROIO','IMBITUBA','SC',15686,210,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099938,3.00,6.00,3.00,5.00,3.00,NULL,3.00,6.00,2.00,208,NULL,216,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3099946,5.00,4.00,2.00,1.00,6.00,5.25,1.00,4.00,5.00,108,NULL,NULL,'AMéRICA','JOINVILLE','SC',15268,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3099954,7.00,8.00,9.00,8.00,7.00,6.00,7.00,9.00,9.00,103,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099962,5.00,4.00,1.00,5.00,6.00,4.75,3.00,7.00,3.00,207,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',11642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3099997,5.00,7.00,2.00,4.00,5.00,4.25,5.00,6.00,6.00,224,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',8393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100006,4.00,8.00,5.00,8.00,7.00,6.25,3.00,8.00,3.00,340,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',4412,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3100014,8.00,8.00,7.00,8.00,6.00,6.00,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100022,7.00,7.00,3.00,6.00,5.00,6.00,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100030,7.00,6.00,8.00,8.00,8.00,7.50,5.00,9.00,7.00,108,NULL,NULL,'MEIRELES','FORTALEZA','CE',722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100049,4.00,5.00,4.00,3.00,4.00,5.25,3.00,4.00,5.00,450,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',13408,114,NULL,NULL,NULL,NULL,NULL,2,1),(16,3100065,5.00,3.00,2.00,1.00,4.00,5.50,3.00,6.00,3.00,207,NULL,201,'FORQUILHAS','S JOSé','SC',15800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100073,4.00,3.00,4.00,3.00,2.00,NULL,2.00,1.00,3.00,208,NULL,201,'SãO JOSé','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100081,2.00,2.00,3.00,5.00,4.00,NULL,2.00,1.00,3.00,238,NULL,208,'DAS NAÇÕES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3100103,6.00,1.00,2.00,3.00,5.00,6.75,2.00,2.00,5.00,3,NULL,NULL,'CENTRO','COCAL SUL','SC',15764,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3100111,5.00,7.00,2.00,3.00,5.00,5.75,3.00,7.00,6.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100120,5.00,4.00,2.00,7.00,6.00,4.50,5.00,7.00,5.00,332,NULL,NULL,'PASSA VINTE','PALHOçA','SC',8237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3100138,4.00,3.00,1.00,6.00,1.00,NULL,2.00,4.00,5.00,101,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3100146,6.00,1.00,2.00,2.00,2.00,NULL,3.00,5.00,5.00,103,NULL,NULL,'BAIRRO SãO JOãO','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3100154,7.00,7.00,5.00,9.00,7.00,6.00,5.00,9.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',1715,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3100162,1.00,1.00,2.00,7.00,3.00,NULL,3.00,3.00,3.00,331,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3100170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'TABAJARA','CAçADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3100189,6.00,5.00,2.00,6.00,5.00,6.00,3.00,4.00,4.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',10345,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3100197,8.00,8.00,4.00,8.00,6.00,6.50,4.00,9.00,5.00,213,NULL,202,'CENTRO','FLORIANóPOLIS','SC',1945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100200,6.00,5.00,5.00,7.00,6.00,6.00,5.00,7.00,6.00,428,NULL,426,'BARREIROS','S JOSé','SC',3676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3100219,6.00,5.00,5.00,8.00,7.00,5.25,3.00,7.00,7.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',4386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'JUVENTUDE','BENTO GONçALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3100243,6.00,7.00,4.00,9.00,4.00,4.25,6.00,3.00,6.00,211,NULL,201,'INGLESES','FLORIANóPOLIS','SC',5297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100251,8.00,6.00,1.00,5.00,6.00,6.00,4.00,6.00,6.00,216,NULL,215,'FIUZA LIMA','ITAJAí','SC',6466,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3100260,8.00,4.00,2.00,6.00,5.00,5.00,4.00,7.00,5.00,5,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',7717,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3100278,6.00,6.00,3.00,7.00,6.00,5.00,4.00,7.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',5931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100294,9.00,9.00,7.00,9.00,7.00,6.25,6.00,8.00,9.00,103,NULL,NULL,'CENTRO','PALHOçA','SC',503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3100316,7.00,7.00,5.00,2.00,6.00,5.50,3.00,5.00,4.00,108,NULL,NULL,'BARREIROS','S JOSé','SC',7567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100324,6.00,5.00,6.00,9.00,3.00,NULL,5.00,8.00,5.00,103,NULL,NULL,'VILA MARIA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100332,9.00,9.00,7.00,8.00,7.00,5.75,6.00,9.00,5.00,201,NULL,207,'REAL PARQUE','S JOSé','SC',591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100340,4.00,6.00,5.00,7.00,6.00,5.00,3.00,8.00,3.00,503,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100359,6.00,5.00,4.00,5.00,4.00,7.25,4.00,7.00,3.00,503,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',8307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100367,3.00,4.00,2.00,5.00,3.00,NULL,1.00,4.00,4.00,453,NULL,NULL,'VILA MOEMA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3100375,8.00,8.00,8.00,9.00,8.00,7.25,4.00,7.00,6.00,203,NULL,220,'CENTRO','PALHOçA','SC',957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100383,6.00,8.00,7.00,8.00,6.00,5.25,4.00,7.00,5.00,212,NULL,201,'JURERE','FLORIANóPOLIS','SC',2972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100391,7.00,7.00,6.00,7.00,7.00,5.75,4.00,6.00,6.00,104,NULL,NULL,'NOSSA SRA DO ROSáRIO','S JOSé','SC',3350,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3100405,5.00,5.00,4.00,8.00,5.00,6.25,5.00,5.00,4.00,201,NULL,212,'ITAGUAçú','FLORIANóPOLIS','SC',6737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100413,6.00,5.00,5.00,8.00,5.00,6.50,5.00,9.00,6.00,203,NULL,238,'CENTRO','PINHALZINHO','SC',3238,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3100421,5.00,5.00,5.00,6.00,7.00,5.75,3.00,8.00,6.00,212,NULL,233,'MEIA PRAIA','ITAPEMA','SC',5552,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3100430,4.00,6.00,4.00,7.00,5.00,5.50,1.00,6.00,5.00,502,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',9716,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3100456,6.00,6.00,4.00,9.00,7.00,6.25,4.00,6.00,6.00,104,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',4099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100472,4.00,5.00,3.00,3.00,3.00,NULL,4.00,4.00,3.00,211,NULL,207,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3100480,8.00,4.00,3.00,6.00,4.00,6.75,3.00,3.00,3.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',11239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100502,2.00,5.00,2.00,3.00,4.00,4.25,3.00,4.00,5.00,202,NULL,213,'CENTRO','S MIGUEL OESTE','SC',16471,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3100510,6.00,2.00,3.00,0.00,3.00,NULL,2.00,4.00,4.00,453,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100529,5.00,6.00,1.00,3.00,6.00,4.75,1.00,6.00,5.00,203,NULL,214,'BRAçO DO NORTE','BRAçO NORTE','SC',12046,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3100537,4.00,4.00,3.00,2.00,3.00,NULL,2.00,3.00,4.00,5,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ASSAí','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3100561,8.00,7.00,8.00,9.00,8.00,7.50,5.00,9.00,8.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100570,4.00,3.00,3.00,6.00,6.00,4.00,5.00,5.00,3.00,214,NULL,212,'VILA MOEMA','TUBARãO','SC',12400,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3100588,4.00,1.00,1.00,5.00,4.00,5.50,3.00,6.00,4.00,203,NULL,NULL,'MARECHAL BORMANN','MAL BORMANN','SC',15461,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3100596,6.00,6.00,6.00,8.00,7.00,5.25,4.00,7.00,5.00,9,NULL,NULL,'INGLESES','FLORIANOPOLIS','SC',3515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3100600,7.00,4.00,5.00,7.00,7.00,7.50,3.00,7.00,7.00,415,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',4048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100618,6.00,5.00,2.00,9.00,5.00,6.75,2.00,7.00,4.00,415,NULL,NULL,'FIGUEIRA','GASPAR','SC',7220,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3100626,3.00,6.00,6.00,6.00,4.00,5.00,5.00,8.00,4.00,203,NULL,208,'PRóSPERA','CRICIúMA','SC',7126,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3100642,3.00,2.00,3.00,6.00,3.00,NULL,4.00,2.00,2.00,421,NULL,429,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100650,6.00,6.00,2.00,7.00,7.00,5.75,4.00,7.00,5.00,216,NULL,215,'BARREIROS','S JOSé','SC',6105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100669,8.00,8.00,7.00,9.00,8.00,8.50,7.00,8.00,6.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100677,3.00,4.00,2.00,1.00,3.00,NULL,3.00,2.00,3.00,103,NULL,NULL,'CIDADE NOVA','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3100685,8.00,6.00,6.00,8.00,7.00,7.00,4.00,8.00,8.00,5,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUá SUL','SC',1201,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3100693,7.00,4.00,4.00,6.00,5.00,4.50,2.00,6.00,6.00,238,NULL,208,'CóRREGO GRANDE','FLORIANóPOLIS','SC',8556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100707,8.00,6.00,7.00,8.00,7.00,6.50,4.00,9.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3100731,4.00,4.00,3.00,7.00,5.00,5.75,3.00,7.00,2.00,420,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',11455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100758,5.00,1.00,2.00,7.00,3.00,NULL,2.00,5.00,4.00,103,NULL,NULL,'CENTRO II','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3100766,6.00,7.00,2.00,9.00,5.00,5.50,4.00,6.00,5.00,316,NULL,NULL,'CENTRO','BAL PIçARRAS','SC',5915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100782,8.00,8.00,7.00,8.00,8.00,7.25,4.00,9.00,7.00,319,NULL,NULL,'MIRANDOPOLIS','S PAULO','SP',829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100790,5.00,7.00,3.00,4.00,8.00,5.75,4.00,5.00,5.00,220,NULL,214,'PINGUIRITO','GAROPABA','SC',8283,346,NULL,288,NULL,NULL,NULL,4,1),(16,3100812,2.00,5.00,1.00,7.00,5.00,3.25,3.00,2.00,5.00,302,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3100820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,220,'ANITA GARIBALDE','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3100839,3.00,3.00,1.00,7.00,4.00,8.00,2.00,7.00,1.00,207,NULL,211,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100847,4.00,8.00,2.00,6.00,6.00,5.50,3.00,7.00,3.00,423,NULL,426,'CAMPINAS','S JOSé','SC',9430,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3100855,8.00,9.00,5.00,9.00,6.00,6.50,8.00,9.00,8.00,303,NULL,NULL,'CENTRO','PALHOçA','SC',571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100863,5.00,8.00,7.00,8.00,5.00,5.75,3.00,7.00,5.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',4378,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3100871,2.00,5.00,3.00,1.00,3.00,NULL,2.00,3.00,3.00,208,NULL,216,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3100880,4.00,4.00,4.00,5.00,4.00,4.50,1.00,5.00,4.00,203,NULL,202,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100901,6.00,6.00,7.00,9.00,6.00,5.00,6.00,6.00,7.00,103,NULL,NULL,'CENTRO','LAGES','SC',2276,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3100910,4.00,4.00,3.00,6.00,6.00,5.25,4.00,5.00,4.00,238,NULL,208,'JARDIM ZANELATO','S JOSé','SC',10964,314,NULL,345,NULL,NULL,NULL,2,1),(16,3100928,7.00,7.00,5.00,6.00,6.00,6.75,3.00,7.00,4.00,203,NULL,214,'TAPERA','FLORIANóPOLIS','SC',5213,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3100936,2.00,4.00,3.00,7.00,4.00,5.75,2.00,5.00,4.00,203,NULL,220,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100944,8.00,5.00,4.00,8.00,7.00,6.50,3.00,7.00,6.00,211,NULL,215,'CENTRO','FLORIANóPOLIS','SC',2884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GONZAGA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3100960,7.00,5.00,2.00,6.00,5.00,5.50,1.00,3.00,4.00,101,NULL,NULL,'BARREIROS','S JOSé','SC',12766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3100979,7.00,6.00,7.00,8.00,7.00,4.75,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','BRAçO NORTE','SC',2314,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3100987,5.00,6.00,1.00,3.00,1.00,NULL,3.00,6.00,3.00,103,NULL,NULL,'BEATRIZ','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3100995,2.00,0.00,1.00,4.00,2.00,NULL,3.00,2.00,2.00,9,NULL,NULL,'GRUTA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101002,3.00,5.00,2.00,6.00,3.00,NULL,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','PLANALTO ALEGRE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3101010,9.00,6.00,5.00,8.00,9.00,6.00,5.00,6.00,8.00,103,NULL,NULL,'JD AQUARIUS','S JOSé CAMPOS','SP',1114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101029,1.00,2.00,3.00,1.00,1.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101037,8.00,5.00,7.00,7.00,6.00,5.75,3.00,5.00,4.00,103,NULL,NULL,'ACLIMAÇAO','S PAULO','SP',5000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM LEONOR','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3101053,9.00,9.00,8.00,9.00,9.00,8.50,9.00,8.00,9.00,103,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',2,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101061,1.00,2.00,2.00,2.00,4.00,NULL,1.00,2.00,3.00,101,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101070,4.00,5.00,3.00,5.00,3.00,NULL,2.00,3.00,5.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101088,3.00,4.00,3.00,4.00,4.00,4.50,5.00,4.00,4.00,202,NULL,238,'BARRA DO ARIRIU','PALHOçA','SC',14961,504,NULL,489,NULL,NULL,NULL,2,1),(16,3101096,6.00,7.00,6.00,8.00,6.00,5.50,5.00,9.00,7.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',2540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101100,6.00,5.00,4.00,4.00,4.00,5.25,2.00,5.00,3.00,201,NULL,207,'CENTRO','GUARACIABA','SC',13011,1013,NULL,666,NULL,NULL,NULL,4,4),(16,3101118,3.00,6.00,6.00,4.00,6.00,6.00,4.00,3.00,4.00,216,NULL,233,'SANTA TEREZINHA','PAULíNIA','SP',9796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101126,5.00,6.00,5.00,6.00,5.00,4.50,2.00,8.00,5.00,103,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',6906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101134,6.00,4.00,4.00,0.00,3.00,NULL,2.00,4.00,1.00,212,NULL,220,'JARDIM GISELA','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3101142,7.00,6.00,5.00,7.00,6.00,5.75,6.00,9.00,6.00,308,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',2704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101150,5.00,3.00,2.00,2.00,2.00,NULL,2.00,4.00,4.00,452,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101177,4.00,1.00,5.00,3.00,1.00,NULL,2.00,3.00,3.00,201,NULL,NULL,'SãO MARCOS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3101185,3.00,4.00,1.00,6.00,4.00,6.00,4.00,5.00,4.00,502,NULL,NULL,'ITACORUBI','FLORIANOPOLIS','SC',13892,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3101207,4.00,2.00,3.00,6.00,2.00,NULL,2.00,5.00,3.00,203,NULL,NULL,'CENTRO','TANGARá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101215,4.00,5.00,3.00,7.00,4.00,4.00,0.00,8.00,5.00,104,NULL,NULL,'CENTRO','PéROLA D OESTE','PR',11390,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3101223,6.00,8.00,7.00,7.00,8.00,6.50,6.00,8.00,8.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101231,5.00,8.00,5.00,8.00,8.00,5.50,4.00,9.00,6.00,201,NULL,211,'CAPOEIRAS','FLORIANóPOLIS','SC',3129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101240,8.00,5.00,7.00,6.00,6.00,4.75,4.00,6.00,8.00,220,NULL,202,'CENTRO','CARAMBEí','PR',4040,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3101258,5.00,5.00,4.00,8.00,4.00,7.25,4.00,6.00,5.00,340,NULL,NULL,'BARREIROS','S JOSé','SC',6239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101266,8.00,4.00,7.00,4.00,2.00,NULL,6.00,6.00,6.00,202,NULL,213,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3101274,7.00,5.00,5.00,5.00,5.00,4.00,2.00,8.00,6.00,9,NULL,NULL,'BARREIROS','S JOSé','SC',6947,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101282,7.00,6.00,5.00,7.00,6.00,7.75,5.00,8.00,6.00,340,NULL,NULL,'BARREIROS','S JOSé','SC',2599,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101290,3.00,4.00,1.00,4.00,4.00,3.25,2.00,5.00,3.00,502,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101304,4.00,4.00,3.00,7.00,5.00,5.25,2.00,6.00,5.00,502,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',11159,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101320,5.00,7.00,4.00,5.00,6.00,6.75,6.00,7.00,5.00,203,NULL,214,'COSTA E SILVA','JOINVILLE','SC',5645,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3101339,9.00,8.00,9.00,8.00,8.00,7.00,8.00,7.00,8.00,5,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',60,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'AMéRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3101371,3.00,2.00,2.00,3.00,2.00,NULL,3.00,2.00,1.00,220,NULL,NULL,'SãO JOSé','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3101380,6.00,3.00,2.00,4.00,4.00,4.50,3.00,3.00,3.00,201,NULL,212,'ARIRIU DA FORMIGA','PALHOçA','SC',15356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'RIO BRANCO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3101401,3.00,5.00,4.00,8.00,4.00,6.50,3.00,4.00,4.00,201,NULL,NULL,'CORDEIROS','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3101428,4.00,5.00,4.00,9.00,6.00,4.75,2.00,6.00,4.00,453,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',8765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101436,3.00,6.00,4.00,9.00,6.00,4.50,4.00,3.00,5.00,452,NULL,NULL,'CAPãO','GAROPABA','SC',8702,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3101444,9.00,8.00,8.00,9.00,8.00,6.50,6.00,9.00,9.00,220,NULL,202,'PINDORAMA','IJUí','RS',108,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3101452,5.00,7.00,3.00,6.00,5.00,6.50,3.00,7.00,5.00,208,NULL,238,'FORQUILHAS','S JOSé','SC',7342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'CIDADE NOVA','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3101487,8.00,7.00,7.00,6.00,6.00,5.50,6.00,8.00,8.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',1417,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3101495,6.00,8.00,3.00,8.00,7.00,6.00,4.00,7.00,6.00,108,NULL,NULL,'ROçADO','S JOSé','SC',3779,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3101509,4.00,4.00,5.00,8.00,5.00,5.50,2.00,7.00,4.00,316,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9175,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101517,8.00,4.00,7.00,7.00,6.00,7.25,4.00,8.00,6.00,303,NULL,NULL,'JARDIM FERRARI','ITAPEVA','SP',2098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BALNEARIO DOS ACORES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3101533,8.00,6.00,9.00,8.00,9.00,6.75,6.00,9.00,8.00,103,NULL,NULL,'JARDIM FRANçA','S PAULO','SP',294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101541,6.00,7.00,7.00,9.00,8.00,5.75,4.00,6.00,6.00,102,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',2513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101550,5.00,6.00,4.00,7.00,5.00,6.25,6.00,5.00,6.00,233,NULL,208,'CENTRO','FLORIANóPOLIS','SC',5009,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101568,7.00,6.00,6.00,8.00,6.00,6.00,3.00,7.00,5.00,415,NULL,NULL,'ESPLANADA','CHAPECó','SC',3670,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3101576,3.00,7.00,1.00,5.00,5.00,6.00,2.00,6.00,3.00,450,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',13184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101584,3.00,4.00,5.00,7.00,5.00,5.75,3.00,5.00,4.00,103,NULL,NULL,'VILA FLAMBOYANT','APUCARANA','PR',10984,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3101592,2.00,5.00,4.00,8.00,0.00,NULL,6.00,7.00,5.00,319,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3101606,4.00,6.00,5.00,8.00,5.00,6.25,2.00,5.00,2.00,302,NULL,NULL,'KOBRASOL','S JOSé','SC',10545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101614,5.00,7.00,1.00,8.00,6.00,4.00,2.00,5.00,5.00,319,NULL,NULL,'OFICINAS','TUBARãO','SC',10516,202,NULL,NULL,NULL,NULL,NULL,2,10),(16,3101622,4.00,3.00,4.00,7.00,4.00,4.25,3.00,2.00,2.00,211,NULL,201,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',15189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101630,5.00,2.00,2.00,3.00,3.00,NULL,3.00,3.00,3.00,214,NULL,201,'CABEçUDAS','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3101649,3.00,5.00,1.00,7.00,5.00,6.25,1.00,9.00,4.00,214,NULL,212,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3101665,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAXAMBU SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3101681,1.00,2.00,3.00,6.00,4.00,NULL,4.00,2.00,1.00,303,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101690,5.00,6.00,6.00,9.00,6.00,6.25,7.00,8.00,6.00,202,NULL,233,'SAUSALITO','MAIRIPORã','SP',1946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CPA IV','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3101720,5.00,7.00,3.00,8.00,5.00,7.00,3.00,7.00,4.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101746,2.00,1.00,2.00,2.00,2.00,NULL,0.00,1.00,2.00,319,NULL,NULL,'SãO JOãO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3101754,8.00,8.00,6.00,8.00,7.00,6.00,6.00,8.00,7.00,104,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',912,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101762,9.00,6.00,6.00,8.00,7.00,6.25,5.00,8.00,7.00,103,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',1325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101770,7.00,6.00,5.00,7.00,7.00,7.25,6.00,8.00,7.00,303,NULL,NULL,'ASA SUL','BRASíLIA','DF',1914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101789,5.00,9.00,4.00,9.00,6.00,7.00,4.00,7.00,6.00,103,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101797,4.00,5.00,6.00,7.00,6.00,7.25,3.00,7.00,4.00,301,NULL,NULL,'CENTRO','PRES GETúLIO','SC',6247,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JOÃO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3101819,4.00,1.00,4.00,5.00,5.00,6.25,3.00,4.00,3.00,301,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',15845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101827,4.00,2.00,3.00,5.00,5.00,5.25,3.00,3.00,7.00,303,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',13722,601,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101835,4.00,3.00,2.00,0.00,0.00,NULL,2.00,5.00,3.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(16,3101843,5.00,5.00,3.00,6.00,5.00,6.50,3.00,7.00,4.00,332,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101860,5.00,4.00,6.00,7.00,6.00,6.00,2.00,4.00,2.00,201,NULL,212,'CENTRO','PETROLâNDIA','SC',10530,816,NULL,306,NULL,NULL,NULL,2,1),(16,3101894,6.00,8.00,8.00,7.00,6.00,6.00,3.00,7.00,6.00,203,NULL,214,'BUCARIEN','JOINVILLE','SC',3003,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3101916,5.00,7.00,6.00,9.00,5.00,5.75,6.00,8.00,5.00,203,NULL,201,'CENTRO','CPO GRANDE','MS',2698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101924,4.00,4.00,4.00,7.00,5.00,5.50,1.00,5.00,6.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3101932,7.00,4.00,7.00,8.00,6.00,7.00,3.00,7.00,6.00,108,NULL,NULL,'VILA GUMERCINDO','S PAULO','SP',3620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3101967,6.00,7.00,4.00,8.00,6.00,6.00,2.00,7.00,3.00,453,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101975,8.00,6.00,7.00,8.00,6.00,6.25,6.00,6.00,9.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3101983,4.00,4.00,3.00,6.00,6.00,6.50,2.00,5.00,5.00,103,NULL,NULL,'MARIA GORETTI','CHAPECó','SC',11615,2398,NULL,NULL,NULL,NULL,NULL,2,4),(16,3101991,4.00,6.00,2.00,7.00,3.00,NULL,4.00,5.00,2.00,303,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3102017,8.00,8.00,6.00,6.00,7.00,6.50,3.00,6.00,5.00,340,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'áGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3102033,6.00,8.00,2.00,6.00,5.00,4.25,2.00,8.00,4.00,220,NULL,203,'PASSO DOS FORTES','CHAPECó','SC',8282,345,NULL,633,NULL,NULL,NULL,4,4),(16,3102041,8.00,9.00,7.00,3.00,8.00,6.25,6.00,8.00,7.00,428,NULL,426,'BARREIROS','S JOSé','SC',1305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102050,9.00,7.00,9.00,7.00,6.00,7.00,8.00,8.00,9.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102068,6.00,6.00,4.00,8.00,5.00,6.00,5.00,6.00,5.00,103,NULL,NULL,'CENTRO','TERRA BOA','PR',5587,1606,NULL,NULL,NULL,NULL,NULL,2,8),(16,3102076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PQ DIMAS C OMETTO','IRACEMáPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3102092,5.00,6.00,3.00,4.00,5.00,4.50,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',13291,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3102106,6.00,4.00,6.00,6.00,6.00,4.75,5.00,7.00,6.00,108,NULL,NULL,'JARDIM PAULISTA','OURINHOS','SP',4555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102114,8.00,6.00,8.00,8.00,6.00,7.75,8.00,8.00,9.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102122,4.00,4.00,4.00,2.00,3.00,NULL,2.00,6.00,1.00,102,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102130,8.00,7.00,6.00,8.00,8.00,7.25,7.00,7.00,7.00,103,NULL,NULL,'VILA GUMERCINDO','S PAULO','SP',634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102149,7.00,5.00,4.00,7.00,5.00,4.75,4.00,8.00,4.00,201,NULL,NULL,'SãO JOãO','ITAJAí','SC',6992,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3102157,7.00,7.00,8.00,8.00,6.00,6.50,6.00,8.00,7.00,303,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',1017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102165,7.00,8.00,7.00,7.00,6.00,5.25,3.00,8.00,6.00,108,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',2861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102173,8.00,6.00,4.00,8.00,6.00,5.00,4.00,7.00,5.00,340,NULL,NULL,'SãO PELEGRINO','CAXIAS SUL','RS',4575,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(16,3102181,4.00,2.00,4.00,6.00,4.00,5.75,2.00,6.00,3.00,213,NULL,216,'VILA SANTA CATARINA','S PAULO','SP',13367,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3102190,3.00,7.00,8.00,8.00,7.00,5.50,5.00,6.00,7.00,201,NULL,212,'VENEZA','XANXERê','SC',3287,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3102203,2.00,4.00,2.00,1.00,4.00,NULL,2.00,3.00,4.00,102,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102211,7.00,5.00,5.00,8.00,7.00,6.50,4.00,6.00,7.00,207,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3102238,3.00,8.00,4.00,4.00,7.00,6.50,4.00,9.00,5.00,214,NULL,203,'JARDIM BLUMENAU','BLUMENAU','SC',6235,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3102246,6.00,6.00,6.00,9.00,6.00,5.25,3.00,5.00,6.00,211,NULL,233,'JARDIM MáRCIA','CAMPOS JORDãO','SP',4482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102254,2.00,9.00,2.00,5.00,8.00,5.50,3.00,9.00,4.00,102,NULL,NULL,'FLOR DA SERRA','JOAçABA','SC',6740,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3102262,3.00,3.00,2.00,5.00,5.00,5.50,5.00,4.00,4.00,207,NULL,201,'CENTRO','MARINGá','PR',13269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3102270,3.00,4.00,4.00,1.00,3.00,NULL,1.00,7.00,4.00,214,NULL,233,'VILA NOVA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3102289,4.00,5.00,4.00,0.00,1.00,NULL,1.00,7.00,1.00,233,NULL,215,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3102319,8.00,7.00,6.00,8.00,5.00,6.50,4.00,5.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',2404,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3102327,4.00,1.00,2.00,7.00,3.00,NULL,2.00,3.00,4.00,453,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102343,5.00,5.00,6.00,5.00,5.00,6.25,5.00,7.00,6.00,319,NULL,NULL,'SENHOR DOS PASSOS','CUIABá','MT',4536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102351,5.00,7.00,4.00,6.00,5.00,6.00,3.00,6.00,6.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102360,8.00,6.00,5.00,8.00,5.00,5.50,5.00,8.00,7.00,203,NULL,220,'RESIDENCIAL NARDINI','AMERICANA','SP',2221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102378,6.00,8.00,6.00,8.00,5.00,6.25,3.00,9.00,5.00,207,NULL,201,'CENTRO','GASPAR','SC',3522,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3102386,5.00,6.00,3.00,0.00,5.00,5.00,3.00,7.00,7.00,444,NULL,NULL,'CAMPINAS','S JOSé','SC',10517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102394,6.00,5.00,2.00,5.00,5.00,6.00,3.00,6.00,6.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',10431,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3102408,5.00,7.00,3.00,7.00,5.00,5.25,3.00,6.00,6.00,207,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3102416,4.00,7.00,6.00,7.00,5.00,6.00,2.00,5.00,6.00,340,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',6561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102459,2.00,5.00,2.00,6.00,4.00,5.50,1.00,4.00,3.00,308,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',15687,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3102475,5.00,9.00,9.00,8.00,8.00,5.50,4.00,6.00,6.00,220,NULL,214,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3102483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,215,'CONJUNTO CALIFORNIA','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3102505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'ESPORTES','XANXERê','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3102513,2.00,0.00,3.00,0.00,4.00,NULL,3.00,4.00,2.00,5,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102521,2.00,2.00,4.00,4.00,2.00,NULL,0.00,0.00,0.00,220,NULL,202,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3102530,5.00,5.00,1.00,8.00,5.00,5.25,2.00,7.00,5.00,428,NULL,426,'CENTRO','NOVO HORIZONTE','SC',10147,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3102556,6.00,5.00,7.00,9.00,3.00,NULL,3.00,6.00,5.00,103,NULL,NULL,'IRIRIú','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3102564,8.00,8.00,6.00,7.00,6.00,6.25,4.00,9.00,5.00,203,NULL,212,'CENTRO','BRUSQUE','SC',2532,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3102572,4.00,3.00,4.00,2.00,3.00,NULL,3.00,6.00,4.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3102580,5.00,4.00,5.00,9.00,6.00,5.50,2.00,8.00,3.00,214,NULL,213,'SANTA MONICA','FLORIANóPOLIS','SC',6492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'SETOR AEROPORTO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3102610,4.00,8.00,5.00,8.00,6.00,6.00,3.00,7.00,5.00,214,NULL,238,'INGLESES','FLORIANóPOLIS','SC',5045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102629,2.00,4.00,2.00,8.00,5.00,5.00,1.00,2.00,4.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102645,4.00,5.00,3.00,6.00,4.00,4.75,2.00,5.00,3.00,326,NULL,NULL,'CENTRO','S JOSé','SC',12864,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3102661,4.00,5.00,4.00,8.00,4.00,6.75,4.00,5.00,4.00,238,NULL,208,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',8887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102670,8.00,6.00,3.00,6.00,4.00,5.75,4.00,6.00,5.00,420,NULL,NULL,'VILA NOVA','IMBITUBA','SC',7524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102688,8.00,8.00,7.00,8.00,8.00,6.50,6.00,9.00,8.00,340,NULL,NULL,'GLóRIA','JOINVILLE','SC',549,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(16,3102700,8.00,8.00,8.00,8.00,8.00,7.25,6.00,9.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ACLIMAçãO','S JOSé R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3102726,8.00,5.00,6.00,6.00,5.00,6.50,5.00,7.00,6.00,415,NULL,NULL,'JARDIM ELITE','PIRACICABA','SP',3296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102734,4.00,6.00,4.00,10.00,7.00,5.75,3.00,9.00,6.00,203,NULL,214,'COSTA E SILVA','JOINVILLE','SC',4028,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3102742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA BOCAINA','MAUá','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3102750,6.00,5.00,1.00,4.00,4.00,6.00,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',13852,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3102769,7.00,7.00,4.00,8.00,7.00,5.00,3.00,6.00,7.00,453,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',4136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102777,3.00,3.00,3.00,4.00,4.00,4.25,3.00,5.00,3.00,303,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102785,9.00,5.00,7.00,7.00,7.00,5.50,6.00,6.00,9.00,103,NULL,NULL,'ITAGUAÇU','FLORIANóPOLIS','SC',1505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102793,3.00,3.00,1.00,1.00,5.00,NULL,4.00,5.00,3.00,103,NULL,NULL,'CENTRO','S BONIFáCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102807,5.00,6.00,3.00,6.00,6.00,8.00,3.00,9.00,4.00,316,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',5827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102815,7.00,7.00,3.00,2.00,5.00,4.00,1.00,7.00,5.00,103,NULL,NULL,'MAGALHãES','LAGUNA','SC',10405,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3102823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3102831,5.00,1.00,5.00,7.00,3.00,NULL,3.00,5.00,4.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102858,7.00,4.00,6.00,6.00,6.00,5.25,3.00,7.00,6.00,502,NULL,NULL,'CENTRO','BRAçO NORTE','SC',6081,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3102866,8.00,7.00,7.00,9.00,6.00,5.25,4.00,7.00,5.00,213,NULL,208,'JARDIM DAS NAçõES','TAUBATé','SP',3080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102882,8.00,7.00,7.00,7.00,6.00,7.75,4.00,7.00,6.00,103,NULL,NULL,'CAMPINAS','S JOSé','SC',2104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3102904,5.00,2.00,3.00,6.00,4.00,4.50,0.00,5.00,2.00,233,NULL,202,'CENTRO','FLORIANóPOLIS','SC',16512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102912,6.00,6.00,4.00,3.00,6.00,4.50,5.00,8.00,5.00,203,NULL,216,'JARDIM','S JOSé CEDRO','SC',6678,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3102920,6.00,5.00,2.00,8.00,6.00,6.50,3.00,7.00,5.00,340,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',7001,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3102939,3.00,4.00,1.00,5.00,4.00,4.25,3.00,4.00,3.00,201,NULL,216,'VILA NOVA','IMBITUBA','SC',16559,1268,NULL,506,NULL,NULL,NULL,2,10),(16,3102955,8.00,6.00,1.00,4.00,5.00,5.00,6.00,8.00,7.00,103,NULL,NULL,'SUMARé','PARANAVAí','PR',5481,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3102963,5.00,5.00,3.00,7.00,4.00,4.50,3.00,5.00,7.00,214,NULL,208,'JARDIM CAMPO BELO','LONDRINA','PR',9437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102971,2.00,6.00,4.00,8.00,3.00,NULL,3.00,6.00,6.00,340,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3102980,5.00,6.00,3.00,7.00,4.00,6.25,2.00,3.00,5.00,5,NULL,NULL,'SãO CRISTóVãO','CHAPECó','SC',10826,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3102998,4.00,3.00,3.00,2.00,4.00,NULL,4.00,3.00,1.00,303,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3103021,7.00,7.00,5.00,9.00,8.00,6.50,4.00,9.00,7.00,214,NULL,233,'CENTRO','FLORIANóPOLIS','SC',1185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103030,4.00,4.00,3.00,2.00,2.00,NULL,3.00,5.00,3.00,327,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103048,4.00,6.00,4.00,4.00,6.00,5.75,2.00,5.00,2.00,101,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',13198,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103056,2.00,1.00,3.00,4.00,0.00,NULL,2.00,3.00,2.00,339,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103072,6.00,5.00,3.00,4.00,4.00,4.00,2.00,6.00,6.00,103,NULL,NULL,'RIBEIRóPOLIS','REGISTRO','SP',10076,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3103080,3.00,6.00,1.00,2.00,2.00,NULL,2.00,6.00,2.00,220,NULL,203,'CENTRO','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3103099,4.00,3.00,3.00,6.00,3.00,NULL,3.00,5.00,1.00,220,NULL,211,'CONCEIçAO','GUAPORé','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103110,1.00,3.00,2.00,1.00,4.00,NULL,1.00,2.00,2.00,317,NULL,NULL,'SANTO ANTôNIO DE LIS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103129,3.00,0.00,1.00,5.00,6.00,NULL,0.00,4.00,0.00,309,NULL,NULL,'CARIANOS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CPA III','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3103145,1.00,4.00,2.00,4.00,5.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'FAZENDA','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3103153,6.00,6.00,4.00,5.00,5.00,7.25,5.00,6.00,5.00,202,NULL,213,'CENTRO','FLORIANóPOLIS','SC',5981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103161,6.00,6.00,1.00,7.00,9.00,4.25,5.00,5.00,4.00,303,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',7594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103170,7.00,9.00,6.00,7.00,6.00,5.25,5.00,6.00,7.00,203,NULL,213,'ABRAÃO','FLORIANOPOLIS','SC',2346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103188,5.00,6.00,5.00,5.00,6.00,5.25,4.00,8.00,5.00,103,NULL,NULL,'SAO JUDAS TADEU','ITAJAí','SC',5805,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3103200,6.00,5.00,3.00,8.00,4.00,3.00,2.00,4.00,2.00,303,NULL,NULL,'JARDIM ESPERANçA','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3103218,2.00,1.00,1.00,1.00,1.00,NULL,2.00,3.00,3.00,301,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103226,8.00,6.00,7.00,5.00,3.00,NULL,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','REGISTRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3103234,4.00,6.00,6.00,8.00,7.00,6.00,9.00,7.00,6.00,103,NULL,NULL,'PETROPOLIS','PORTO ALEGRE','RS',2016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103242,5.00,5.00,3.00,9.00,5.00,6.00,3.00,6.00,3.00,340,NULL,NULL,'JARDIM LAMBRETA','COTIA','SP',8820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103250,4.00,8.00,6.00,8.00,6.00,6.00,3.00,6.00,6.00,201,NULL,208,'CENTRO','TORRES','RS',4402,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3103269,3.00,4.00,1.00,2.00,5.00,NULL,1.00,3.00,5.00,301,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103285,5.00,7.00,3.00,5.00,5.00,6.00,5.00,5.00,5.00,102,NULL,NULL,'CENTRO','MASSARANDUBA','SC',9152,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3103293,6.00,3.00,2.00,8.00,7.00,7.50,3.00,7.00,3.00,451,NULL,NULL,'CENTRO','ARARAS','SP',8927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103307,2.00,2.00,2.00,5.00,2.00,NULL,1.00,3.00,3.00,304,NULL,NULL,'CACHOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103315,4.00,8.00,6.00,6.00,5.00,5.50,4.00,5.00,5.00,201,NULL,207,'CENTRO','CORUPá','SC',6149,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3103323,3.00,4.00,4.00,4.00,2.00,NULL,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','JAGUARIAíVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3103331,6.00,7.00,4.00,6.00,6.00,5.75,4.00,7.00,3.00,202,NULL,213,'CARIANOS','FLORIANóPOLIS','SC',6479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'ITAPEVA III','ITAPEVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3103358,5.00,3.00,6.00,7.00,7.00,5.25,3.00,5.00,5.00,207,NULL,212,'CENTRO','FLORIANóPOLIS','SC',8769,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103366,4.00,6.00,2.00,4.00,4.00,4.25,3.00,6.00,3.00,208,NULL,238,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',14960,514,NULL,488,NULL,NULL,NULL,4,1),(16,3103374,5.00,4.00,3.00,5.00,3.00,NULL,4.00,4.00,3.00,220,NULL,202,'ANITA GARIBALDI','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3103382,3.00,6.00,5.00,8.00,5.00,4.50,4.00,6.00,2.00,310,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103390,4.00,3.00,4.00,4.00,3.00,NULL,2.00,5.00,1.00,320,NULL,NULL,'JD BOA ESPERANÇA','FRANCA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103404,4.00,2.00,3.00,1.00,2.00,NULL,2.00,4.00,2.00,319,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103412,3.00,2.00,1.00,2.00,3.00,NULL,2.00,5.00,2.00,404,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103420,6.00,5.00,5.00,4.00,3.00,NULL,2.00,5.00,3.00,404,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103439,3.00,5.00,2.00,0.00,2.00,NULL,2.00,2.00,4.00,216,NULL,208,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103447,4.00,4.00,1.00,3.00,6.00,NULL,0.00,6.00,1.00,339,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103455,9.00,8.00,7.00,8.00,8.00,5.75,4.00,9.00,7.00,320,NULL,NULL,'CENTRO','PALHOçA','SC',636,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103463,3.00,3.00,3.00,6.00,3.00,NULL,4.00,4.00,1.00,452,NULL,NULL,'SãO CRISTOVãO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103471,8.00,5.00,4.00,6.00,6.00,6.75,2.00,5.00,5.00,452,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6450,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103480,3.00,3.00,2.00,5.00,6.00,NULL,3.00,2.00,2.00,215,NULL,216,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103498,2.00,5.00,4.00,2.00,3.00,NULL,1.00,3.00,1.00,203,NULL,233,'CENTRO','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VILA NOVA','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3103510,6.00,8.00,6.00,6.00,5.00,5.75,4.00,7.00,6.00,317,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',5589,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103536,9.00,9.00,6.00,9.00,7.00,5.25,8.00,9.00,6.00,203,NULL,233,'CENTRO','CURITIBA','PR',556,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3103552,2.00,1.00,3.00,4.00,1.00,NULL,3.00,2.00,3.00,404,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103560,3.00,1.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3103579,6.00,5.00,6.00,6.00,3.00,NULL,7.00,6.00,6.00,101,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103587,2.00,2.00,4.00,2.00,4.00,NULL,1.00,3.00,4.00,208,NULL,238,'CAPIM MACIO','NATAL','RN',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3103595,6.00,8.00,4.00,9.00,8.00,8.00,3.00,8.00,3.00,329,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',2734,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CIDADE SERODIO','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3103633,2.00,7.00,1.00,5.00,4.00,4.50,5.00,4.00,2.00,326,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',15031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103641,1.00,2.00,5.00,5.00,5.00,5.50,2.00,4.00,2.00,453,NULL,NULL,'CENTRO','PALHOçA','SC',16300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103676,4.00,6.00,2.00,7.00,5.00,5.75,2.00,8.00,5.00,444,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',8658,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103684,8.00,5.00,6.00,6.00,5.00,5.50,5.00,8.00,7.00,216,NULL,202,'CENTRO','CRAVINHOS','SP',3699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103692,5.00,4.00,5.00,2.00,6.00,4.00,4.00,5.00,4.00,108,NULL,NULL,'TRêS DE MAIO','CAPIVARI BAIXO','SC',11538,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3103706,2.00,5.00,3.00,6.00,5.00,5.75,4.00,5.00,5.00,318,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',10215,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3103722,8.00,4.00,4.00,6.00,5.00,6.75,3.00,4.00,6.00,222,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103730,4.00,2.00,3.00,2.00,3.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'CHAC DAS FLORES','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103757,5.00,6.00,2.00,7.00,3.00,NULL,3.00,6.00,3.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103765,5.00,5.00,4.00,6.00,7.00,4.00,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',10733,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3103773,7.00,6.00,4.00,2.00,7.00,5.75,4.00,6.00,4.00,103,NULL,NULL,'RIO BONITO','BRAçO NORTE','SC',7927,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3103781,6.00,7.00,3.00,7.00,8.00,6.50,1.00,6.00,2.00,103,NULL,NULL,'CENTRO','BRAçO NORTE','SC',8492,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3103790,4.00,3.00,2.00,4.00,6.00,6.00,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13278,2549,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103803,3.00,4.00,3.00,3.00,3.00,NULL,1.00,4.00,5.00,303,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103820,3.00,4.00,3.00,3.00,4.00,5.50,1.00,4.00,5.00,415,NULL,NULL,'CENTRO','BRAGANçA PAULISTA','SP',15855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103838,6.00,5.00,6.00,6.00,3.00,NULL,4.00,6.00,5.00,301,NULL,NULL,'JARDIM DAS ACACIAS','CRAVINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103846,3.00,0.00,3.00,4.00,1.00,NULL,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103854,5.00,7.00,2.00,6.00,7.00,6.25,3.00,9.00,5.00,452,NULL,NULL,'IMIGRANTES','CONCóRDIA','SC',6192,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3103862,5.00,6.00,2.00,5.00,4.00,4.50,3.00,7.00,6.00,501,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',9657,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103870,5.00,6.00,3.00,6.00,7.00,5.25,1.00,6.00,4.00,102,NULL,NULL,'CENTRO','CONCóRDIA','SC',10110,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3103889,3.00,4.00,4.00,5.00,5.00,5.50,1.00,5.00,2.00,207,NULL,201,'GUARDA DO CUBATãO','PALHOçA','SC',14490,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103897,7.00,7.00,6.00,8.00,6.00,7.25,4.00,8.00,7.00,103,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',2111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103919,5.00,3.00,1.00,4.00,2.00,NULL,1.00,3.00,5.00,238,NULL,208,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103927,6.00,5.00,2.00,6.00,7.00,4.75,3.00,4.00,4.00,453,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',11383,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103935,3.00,6.00,1.00,6.00,7.00,5.00,2.00,7.00,4.00,333,NULL,NULL,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',10951,90,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103943,4.00,3.00,3.00,2.00,3.00,NULL,3.00,4.00,2.00,202,NULL,203,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3103951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3103960,3.00,6.00,5.00,4.00,6.00,6.75,5.00,6.00,5.00,444,NULL,NULL,'PASSA VINTE','PALHOçA','SC',8972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3103978,1.00,4.00,3.00,4.00,4.00,NULL,2.00,2.00,4.00,308,NULL,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103986,4.00,8.00,2.00,7.00,5.00,6.00,1.00,7.00,5.00,103,NULL,NULL,'CENTRO','URUBICI','SC',9235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3103994,5.00,8.00,4.00,6.00,5.00,6.00,4.00,8.00,3.00,318,NULL,NULL,'BARREIROS','S JOSé','SC',4978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104001,3.00,3.00,2.00,6.00,6.00,5.00,5.00,7.00,4.00,211,NULL,207,'CENTRO','ITAPIRANGA','SC',11489,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3104010,7.00,7.00,8.00,8.00,6.00,5.75,5.00,5.00,5.00,340,NULL,NULL,'CENTRO','SOROCABA','SP',2242,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3104028,7.00,7.00,5.00,9.00,6.00,5.25,7.00,7.00,6.00,103,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',1755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104036,4.00,3.00,1.00,3.00,5.00,NULL,2.00,1.00,3.00,207,NULL,201,'CENTRO','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3104044,3.00,1.00,3.00,2.00,5.00,NULL,3.00,3.00,2.00,9,NULL,NULL,'BELEM NOVO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3104052,5.00,9.00,8.00,8.00,7.00,6.00,6.00,8.00,7.00,203,NULL,201,'JARDIM SILVANA','IçARA','SC',945,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3104060,3.00,6.00,1.00,5.00,4.00,4.75,1.00,3.00,4.00,429,NULL,425,'ESTREITO','FLORIANóPOLIS','SC',16505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104087,3.00,8.00,4.00,7.00,6.00,4.50,2.00,8.00,3.00,319,NULL,NULL,'RIO GRANDE','PALHOçA','SC',8763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3104095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'CENTRO','RONDONóPOLIS','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3104117,3.00,1.00,1.00,2.00,4.00,NULL,2.00,3.00,4.00,404,NULL,NULL,'CAEIRA DO SACO DOS L','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104133,7.00,5.00,6.00,9.00,7.00,7.25,3.00,8.00,6.00,415,NULL,NULL,'PARQUE PROGRESSO','FRANCA','SP',3097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104141,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3104168,6.00,7.00,7.00,9.00,8.00,6.75,4.00,7.00,6.00,420,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',1787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104176,4.00,5.00,2.00,5.00,3.00,NULL,4.00,4.00,2.00,103,NULL,NULL,'BORGES','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3104184,5.00,5.00,6.00,7.00,6.00,6.25,3.00,6.00,6.00,103,NULL,NULL,'COMERCIARIO','CRICIúMA','SC',5119,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3104192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,207,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3104206,7.00,7.00,6.00,8.00,8.00,6.00,4.00,7.00,4.00,404,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',3254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104214,8.00,7.00,6.00,6.00,7.00,5.25,5.00,8.00,7.00,233,NULL,215,'COQUEIROS','FLORIANóPOLIS','SC',2363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3104222,6.00,5.00,3.00,5.00,4.00,5.50,4.00,7.00,5.00,104,NULL,NULL,'CENTRO','JACINTO MACHADO','SC',8533,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3104230,2.00,5.00,3.00,4.00,4.00,NULL,0.00,2.00,1.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3104257,5.00,5.00,5.00,4.00,7.00,5.75,5.00,7.00,5.00,301,NULL,NULL,'TOBIAS','JOAçABA','SC',6330,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3104273,3.00,4.00,2.00,0.00,2.00,NULL,2.00,4.00,4.00,415,NULL,NULL,'JD ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104281,4.00,4.00,2.00,5.00,6.00,4.50,3.00,6.00,3.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3104290,3.00,1.00,2.00,3.00,3.00,NULL,1.00,3.00,3.00,215,NULL,211,'PRESIDENTE MéDICE','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3104303,5.00,4.00,5.00,2.00,7.00,7.00,4.00,8.00,4.00,450,NULL,NULL,'BOQUEIRãO','SANTOS','SP',7903,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3104338,6.00,3.00,1.00,7.00,2.00,NULL,2.00,4.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3104362,7.00,7.00,3.00,6.00,7.00,4.75,1.00,7.00,6.00,201,NULL,216,'CENTRO','CURITIBANOS','SC',6600,511,NULL,238,NULL,NULL,NULL,2,9),(16,3104389,3.00,1.00,4.00,2.00,3.00,NULL,2.00,1.00,1.00,207,NULL,201,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3104400,2.00,4.00,4.00,2.00,0.00,NULL,2.00,5.00,2.00,213,NULL,212,'NAçõES','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3104419,7.00,7.00,6.00,8.00,5.00,6.75,3.00,5.00,7.00,220,NULL,201,'JOãO PAULO','FLORIANóPOLIS','SC',3302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104435,5.00,2.00,3.00,7.00,5.00,5.25,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',11552,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3104451,8.00,5.00,7.00,6.00,5.00,5.50,5.00,8.00,7.00,103,NULL,NULL,'VILA SANTO ANTONIO','BAURU','SP',2921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104478,4.00,2.00,1.00,3.00,2.00,NULL,1.00,4.00,3.00,309,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104494,2.00,2.00,2.00,5.00,6.00,NULL,1.00,4.00,3.00,309,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3104508,7.00,7.00,5.00,9.00,6.00,5.25,8.00,5.00,7.00,203,NULL,214,'RIO VERMELHO','FLORIANóPOLIS','SC',2115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104516,2.00,7.00,1.00,9.00,6.00,5.75,2.00,7.00,5.00,340,NULL,NULL,'CENTRO HISTóRICO','S JOSé','SC',9908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104524,3.00,5.00,1.00,2.00,6.00,5.00,2.00,9.00,3.00,201,NULL,212,'CENTRO','CASCAVEL','PR',14159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104532,3.00,3.00,2.00,2.00,3.00,NULL,3.00,2.00,3.00,202,NULL,238,'PALHOçA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104559,1.00,3.00,4.00,5.00,1.00,NULL,3.00,1.00,2.00,301,NULL,NULL,'ARMAçãO DO PANTANO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3104567,3.00,2.00,3.00,8.00,4.00,6.00,2.00,4.00,4.00,425,NULL,429,'FUNDOS','BIGUAçU','SC',13394,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3104583,5.00,4.00,5.00,6.00,5.00,5.75,1.00,5.00,5.00,101,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',10599,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3104605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3104613,7.00,7.00,4.00,6.00,4.00,5.25,3.00,7.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',8129,317,NULL,NULL,NULL,NULL,NULL,2,1),(16,3104621,4.00,0.00,2.00,1.00,3.00,NULL,5.00,0.00,1.00,303,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3104648,5.00,7.00,5.00,7.00,5.00,5.25,3.00,8.00,8.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104656,8.00,6.00,8.00,8.00,5.00,4.75,2.00,5.00,3.00,302,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',6651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104672,3.00,2.00,2.00,3.00,5.00,NULL,4.00,4.00,3.00,212,NULL,215,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3104680,4.00,6.00,4.00,5.00,5.00,5.75,3.00,6.00,5.00,220,NULL,203,'PQ CALIFORNIA','CAMPOS GOYTACAZES','RJ',8265,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3104699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3104702,7.00,6.00,5.00,3.00,6.00,5.00,3.00,7.00,6.00,103,NULL,NULL,'SANTANA','S PAULO','SP',5904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104710,6.00,4.00,4.00,3.00,3.00,NULL,3.00,5.00,5.00,208,NULL,216,'CENTRO','S ROQUE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM CAMPOS ELISEO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3104745,2.00,5.00,2.00,1.00,2.00,NULL,2.00,3.00,2.00,201,NULL,203,'MONTE ALEGRE','CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3104761,0.00,3.00,3.00,3.00,2.00,NULL,3.00,4.00,3.00,207,NULL,201,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3104770,4.00,5.00,1.00,2.00,4.00,5.00,1.00,6.00,5.00,104,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',15367,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3104788,3.00,1.00,2.00,2.00,2.00,NULL,4.00,0.00,0.00,415,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104796,6.00,7.00,4.00,4.00,5.00,7.25,3.00,7.00,6.00,5,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',5975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104818,4.00,7.00,4.00,4.00,5.00,6.25,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','ASCURRA','SC',8726,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3104826,2.00,3.00,1.00,4.00,4.00,NULL,0.00,3.00,2.00,451,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3104850,9.00,6.00,7.00,9.00,7.00,6.75,5.00,8.00,6.00,103,NULL,NULL,'CENTRO','FRAIBURGO','SC',982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104869,7.00,6.00,6.00,8.00,6.00,5.50,4.00,8.00,7.00,301,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',3005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3104877,6.00,7.00,6.00,8.00,6.00,4.50,5.00,7.00,6.00,202,NULL,201,'CENTRO','NOVA TRENTO','SC',2940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104893,5.00,3.00,3.00,4.00,4.00,NULL,2.00,1.00,2.00,104,NULL,NULL,'VENDAVAL','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3104907,3.00,6.00,3.00,3.00,2.00,NULL,0.00,3.00,2.00,332,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3104915,6.00,5.00,4.00,6.00,5.00,5.50,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','PR GRANDE','SC',10202,2248,NULL,NULL,NULL,NULL,NULL,2,5),(16,3104931,4.00,5.00,1.00,4.00,5.00,7.00,1.00,6.00,2.00,201,NULL,212,'CENTRO','FLORES CUNHA','RS',15363,1189,NULL,430,NULL,NULL,NULL,2,1),(16,3104940,4.00,4.00,1.00,6.00,5.00,6.25,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3104958,7.00,5.00,2.00,6.00,6.00,6.75,2.00,7.00,5.00,9,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',7955,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3104966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3104974,8.00,4.00,5.00,6.00,7.00,5.00,3.00,1.00,4.00,208,NULL,238,'BELA VISTA','S JOSé','SC',8288,221,NULL,217,NULL,NULL,NULL,4,1),(16,3104982,6.00,8.00,6.00,8.00,6.00,6.50,5.00,7.00,6.00,5,NULL,NULL,'COMERCIáRIO','CRICIúMA','SC',1702,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3104990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3105008,3.00,6.00,4.00,6.00,7.00,7.00,2.00,6.00,2.00,423,NULL,425,'SCHROEDER I','SCHROEDER','SC',10649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'CENTRO','JANDAIA SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3105024,2.00,0.00,3.00,2.00,3.00,NULL,3.00,2.00,2.00,215,NULL,NULL,'UNIVERSITARIO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3105032,2.00,6.00,2.00,2.00,5.00,7.00,5.00,4.00,5.00,104,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',11784,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3105040,4.00,4.00,1.00,7.00,3.00,NULL,2.00,5.00,3.00,303,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105059,5.00,5.00,4.00,7.00,7.00,5.75,6.00,6.00,6.00,316,NULL,NULL,'CENTRO','MRO FUMAçA','SC',5290,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3105075,9.00,7.00,7.00,6.00,6.00,7.00,6.00,9.00,8.00,103,NULL,NULL,'ZONA DOIS','CIANORTE','PR',658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105083,6.00,4.00,4.00,8.00,6.00,6.00,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','RIVERSUL','SP',6122,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3105091,3.00,2.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,201,NULL,207,'DALBÉRGIA','IBIRAMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3105105,4.00,4.00,3.00,4.00,5.00,4.00,3.00,5.00,4.00,215,NULL,NULL,'PORTO DO ITINGA','TIJUCAS','SC',13735,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3105113,2.00,4.00,2.00,5.00,4.00,6.00,3.00,2.00,3.00,103,NULL,NULL,'GLóRIA','OSóRIO','RS',15904,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3105121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,213,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3105130,3.00,2.00,5.00,2.00,4.00,5.00,3.00,2.00,5.00,103,NULL,NULL,'CENTRO','MARCELINO RAMOS','RS',16323,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3105148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3105156,8.00,5.00,9.00,8.00,9.00,7.50,7.00,6.00,7.00,103,NULL,NULL,'NOVA SUíçA','GOIâNIA','GO',484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105164,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3105172,4.00,6.00,5.00,3.00,3.00,NULL,1.00,7.00,3.00,501,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3105199,5.00,3.00,3.00,7.00,7.00,4.50,2.00,7.00,4.00,207,NULL,NULL,'ITAIPU','NITERóI','RJ',10630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105202,3.00,4.00,1.00,7.00,3.00,NULL,2.00,4.00,3.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105210,3.00,3.00,2.00,5.00,3.00,NULL,3.00,5.00,2.00,340,NULL,NULL,'CENTRO','IPORã OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3105229,7.00,7.00,3.00,9.00,7.00,6.50,4.00,8.00,7.00,340,NULL,NULL,'PARQUE IMPERADOR','CAMPINAS','SP',2324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105237,1.00,2.00,3.00,6.00,3.00,NULL,1.00,3.00,2.00,303,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105245,6.00,8.00,5.00,9.00,7.00,6.00,4.00,8.00,6.00,340,NULL,NULL,'BARREIROS','S JOSé','SC',2228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105253,7.00,4.00,5.00,3.00,0.00,NULL,1.00,5.00,2.00,339,NULL,NULL,'INTERIOR','S LOURENçO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3105270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3105288,3.00,5.00,1.00,6.00,3.00,NULL,4.00,5.00,5.00,428,NULL,426,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105296,2.00,5.00,2.00,3.00,2.00,NULL,2.00,3.00,3.00,208,NULL,203,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'CENTRO','MANOEL RIBAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3105318,3.00,4.00,2.00,5.00,3.00,NULL,2.00,5.00,4.00,503,NULL,NULL,'PRADO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105326,7.00,7.00,5.00,8.00,7.00,8.00,5.00,8.00,6.00,3,NULL,NULL,'VILA OPERÁRIA','ITAJAI','SC',1649,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3105334,5.00,5.00,3.00,4.00,5.00,5.75,2.00,4.00,3.00,216,NULL,201,'DOS ESPORTES','XANXERê','SC',14804,472,NULL,1141,NULL,NULL,NULL,4,4),(16,3105342,7.00,8.00,3.00,8.00,7.00,6.25,3.00,8.00,6.00,214,NULL,213,'INGLESES','FLORIANóPOLIS','SC',3410,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105350,6.00,5.00,2.00,2.00,4.00,5.00,2.00,7.00,3.00,104,NULL,NULL,'SANTO ANTõNIO','BAL PIçARRAS','SC',13951,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3105369,7.00,6.00,4.00,8.00,2.00,NULL,6.00,6.00,7.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105377,8.00,7.00,7.00,8.00,7.00,5.00,7.00,8.00,8.00,203,NULL,202,'CENTRO','CRICIúMA','SC',1063,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3105385,5.00,5.00,4.00,2.00,7.00,6.00,2.00,4.00,6.00,333,NULL,NULL,'HIGIENÓPOLIS','BAURU','SP',10025,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3105393,6.00,5.00,6.00,7.00,7.00,5.75,5.00,8.00,4.00,201,NULL,212,'CLAUDETE','CASCAVEL','PR',3573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105407,5.00,8.00,3.00,7.00,6.00,6.25,4.00,8.00,6.00,104,NULL,NULL,'CENTRO','CAMBORIU','SC',4714,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3105415,6.00,5.00,6.00,4.00,5.00,5.25,4.00,7.00,4.00,104,NULL,NULL,'JARDIM ROSA MARIA','S PAULO','SP',7208,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3105423,6.00,5.00,4.00,7.00,6.00,6.25,3.00,7.00,5.00,304,NULL,NULL,'RESIDENCIAL TIVOLI','SOROCABA','SP',6123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105431,3.00,3.00,1.00,7.00,4.00,4.00,2.00,4.00,4.00,319,NULL,NULL,'CENTRO','CASCAVEL','PR',15665,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3105440,8.00,8.00,8.00,9.00,6.00,6.50,8.00,9.00,6.00,203,NULL,214,'PANTANAL','FLORIANóPOLIS','SC',320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105458,3.00,2.00,1.00,5.00,3.00,NULL,3.00,5.00,1.00,238,NULL,NULL,'PRAI COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105466,2.00,3.00,6.00,2.00,6.00,5.00,2.00,6.00,1.00,202,NULL,213,'DEHON','TUBARãO','SC',15744,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3105474,8.00,5.00,1.00,4.00,6.00,6.00,3.00,6.00,6.00,104,NULL,NULL,'MARIA GORETTI','CHAPECó','SC',8402,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3105482,5.00,4.00,7.00,4.00,4.00,6.50,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','JOAçABA','SC',7212,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3105490,3.00,6.00,2.00,8.00,6.00,5.75,3.00,6.00,4.00,404,NULL,NULL,'BARREIROS','S JOSé','SC',10353,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105504,8.00,6.00,7.00,8.00,4.00,5.75,3.00,6.00,8.00,103,NULL,NULL,'URUSSANGUINHA','ARARANGUá','SC',3583,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3105512,8.00,5.00,2.00,6.00,6.00,6.25,4.00,8.00,7.00,103,NULL,NULL,'JARDIM UNIVERSO','CAMBé','PR',5240,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3105520,3.00,5.00,2.00,7.00,4.00,4.50,2.00,8.00,5.00,216,NULL,215,'CIDADE NOVA','PTO UNIãO','SC',10968,381,NULL,252,NULL,NULL,NULL,4,7),(16,3105539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA QUATRO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3105547,3.00,6.00,2.00,3.00,3.00,NULL,3.00,4.00,3.00,201,NULL,233,'VOLTA REDONDA','MRO GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3105555,7.00,7.00,3.00,7.00,8.00,6.50,2.00,7.00,5.00,207,NULL,213,'CARIANOS','FLORIANóPOLIS','SC',4242,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105563,6.00,4.00,1.00,6.00,4.00,6.50,2.00,3.00,2.00,211,NULL,216,'COSTA E SILVA','JOINVILLE','SC',14986,507,NULL,476,NULL,NULL,NULL,4,8),(16,3105580,5.00,5.00,4.00,6.00,6.00,5.25,3.00,7.00,5.00,5,NULL,NULL,'JARDIM DO FORTE','CAMAQUã','RS',7970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105598,6.00,7.00,5.00,6.00,7.00,4.75,4.00,6.00,4.00,424,NULL,428,'CAMPINAS','S JOSé','SC',6614,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105601,6.00,5.00,4.00,6.00,6.00,4.50,5.00,7.00,6.00,201,NULL,212,'CENTRO','CONCóRDIA','SC',6143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105610,4.00,4.00,6.00,6.00,5.00,5.00,1.00,5.00,6.00,425,NULL,429,'ZONA RURAL','FREDERICO WESTPHALEN','RS',11260,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3105628,8.00,6.00,4.00,5.00,8.00,5.50,4.00,7.00,5.00,452,NULL,NULL,'áMéRICA','JOINVILLE','SC',4780,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(16,3105636,3.00,6.00,4.00,7.00,3.00,NULL,2.00,7.00,3.00,201,NULL,212,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3105644,7.00,5.00,3.00,7.00,6.00,5.75,4.00,5.00,7.00,103,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',4746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105652,7.00,8.00,6.00,9.00,7.00,6.00,5.00,8.00,7.00,207,NULL,211,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',1533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3105679,4.00,4.00,2.00,6.00,4.00,5.75,3.00,7.00,3.00,428,NULL,426,'VILA NOVA','IMBITUBA','SC',12998,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3105687,7.00,7.00,7.00,7.00,8.00,4.75,5.00,9.00,6.00,104,NULL,NULL,'ÁGUA VERDE','JARAGUá SUL','SC',1966,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3105695,4.00,8.00,7.00,9.00,7.00,5.75,5.00,7.00,6.00,220,NULL,201,'ANITA GARIBALDI','JOINVILLE','SC',2375,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3105717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'SAGUAçU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3105725,4.00,4.00,3.00,6.00,5.00,7.00,3.00,5.00,5.00,215,NULL,238,'BARREIROS','S JOSé','SC',9121,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105733,7.00,6.00,3.00,9.00,7.00,5.25,5.00,6.00,3.00,220,NULL,214,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105741,2.00,3.00,3.00,6.00,2.00,NULL,2.00,3.00,5.00,203,NULL,214,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105750,2.00,5.00,3.00,5.00,5.00,5.00,1.00,4.00,3.00,104,NULL,NULL,'INDEPENDENCIA','POUSO REDONDO','SC',15385,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3105768,7.00,7.00,4.00,5.00,7.00,7.75,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','XANXERê','SC',4031,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3105776,4.00,4.00,3.00,5.00,6.00,5.50,2.00,3.00,3.00,453,NULL,NULL,'BARREIOS','S JOSé','SC',14258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105792,3.00,5.00,4.00,3.00,4.00,4.50,2.00,3.00,3.00,444,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',16659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105806,4.00,5.00,6.00,3.00,4.00,5.00,3.00,4.00,4.00,220,NULL,213,'PARQUE CIDADE JARDIM','UMUARAMA','PR',13848,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3105814,7.00,4.00,4.00,5.00,6.00,5.50,3.00,6.00,4.00,340,NULL,NULL,'CENTRO','GAROPABA','SC',9806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105822,8.00,7.00,6.00,7.00,7.00,5.50,5.00,7.00,8.00,202,NULL,208,'NOSSA SRA DO ROSáRIO','S JOSé','SC',1493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105830,1.00,4.00,2.00,5.00,4.00,6.00,1.00,6.00,5.00,234,NULL,NULL,'JARDIM SâO MIGUEL','BIGUAçU','SC',15070,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105849,9.00,7.00,7.00,8.00,8.00,6.25,3.00,8.00,5.00,201,NULL,212,'BARRA DA LAGOA','FLORIANóPOLIS','SC',1604,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105857,9.00,8.00,8.00,9.00,6.00,6.75,8.00,8.00,9.00,103,NULL,NULL,'JARDIM DA GLóRIA','COTIA','SP',58,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105865,3.00,4.00,4.00,6.00,5.00,4.25,5.00,5.00,3.00,234,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',13151,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105873,5.00,3.00,4.00,1.00,4.00,NULL,1.00,1.00,5.00,108,NULL,NULL,'ALTO ARROIO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105890,3.00,5.00,3.00,4.00,2.00,NULL,3.00,5.00,4.00,301,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105903,3.00,6.00,4.00,4.00,5.00,3.25,2.00,5.00,4.00,316,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105911,6.00,4.00,3.00,6.00,4.00,4.75,4.00,4.00,3.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13078,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105920,3.00,5.00,4.00,8.00,6.00,5.25,4.00,6.00,3.00,340,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',9564,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3105938,4.00,6.00,5.00,8.00,5.00,5.00,4.00,5.00,5.00,453,NULL,NULL,'PARQUE SãO JORGE','FLORIANóPOLIS','SC',6140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3105946,6.00,6.00,4.00,7.00,5.00,4.00,3.00,8.00,4.00,103,NULL,NULL,'SAGUAçU','JOINVILLE','SC',6093,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3105954,3.00,6.00,1.00,5.00,1.00,NULL,2.00,4.00,2.00,332,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3105962,6.00,7.00,7.00,5.00,6.00,6.25,4.00,7.00,6.00,211,NULL,207,'CENTRO','XAVANTINA','SC',3970,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3105970,5.00,2.00,2.00,6.00,4.00,5.00,1.00,5.00,2.00,339,NULL,NULL,'CENTRO','IçARA','SC',15876,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3105997,9.00,8.00,4.00,7.00,7.00,6.00,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','CAMPINAS','SP',1434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106004,6.00,6.00,5.00,8.00,4.00,5.75,3.00,8.00,4.00,238,NULL,211,'CAMPINAS','S JOSé','SC',6437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106012,3.00,5.00,4.00,5.00,3.00,NULL,1.00,7.00,4.00,326,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'JARDIM SATéLITE','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3106039,3.00,3.00,1.00,4.00,2.00,NULL,2.00,4.00,2.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106047,5.00,6.00,2.00,9.00,5.00,5.75,3.00,8.00,5.00,326,NULL,NULL,'PETRóPOLIS','PTO ALEGRE','RS',6902,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106055,7.00,6.00,8.00,8.00,7.00,5.25,5.00,7.00,6.00,203,NULL,214,'CENTRO','FLORIANóPOLIS','SC',2061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PARQUE DOM ANTONIO R','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3106071,7.00,9.00,5.00,7.00,6.00,5.50,5.00,8.00,5.00,301,NULL,NULL,'IPIRANGA','S JOSé','SC',2838,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106101,3.00,3.00,1.00,0.00,2.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'VILA OPERáRIA','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3106110,7.00,6.00,6.00,8.00,7.00,5.25,4.00,8.00,6.00,415,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',2986,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3106128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3106136,3.00,6.00,4.00,3.00,6.00,1.75,2.00,7.00,2.00,201,NULL,212,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106144,4.00,4.00,2.00,3.00,6.00,6.50,2.00,4.00,2.00,101,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',15797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106160,4.00,3.00,1.00,0.00,3.00,NULL,0.00,5.00,3.00,216,NULL,202,'REGINA','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3106179,4.00,7.00,5.00,5.00,7.00,4.50,3.00,6.00,5.00,202,NULL,208,'CENTRO','ITAJAí','SC',7774,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3106187,4.00,3.00,5.00,6.00,6.00,5.25,4.00,3.00,4.00,420,NULL,NULL,'SERRARIA','S JOSé','SC',12157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106195,8.00,6.00,9.00,8.00,7.00,7.00,7.00,8.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106209,4.00,5.00,2.00,8.00,4.00,4.75,3.00,3.00,3.00,453,NULL,NULL,'BARREIROS','S JOSé','SC',13305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3106225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'JARDIM SAMELLO','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3106233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'RONDINHA','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3106241,3.00,4.00,3.00,7.00,4.00,6.25,2.00,4.00,2.00,415,NULL,NULL,'PROGRESSO','MARAVILHA','SC',14454,372,NULL,NULL,NULL,NULL,NULL,2,4),(16,3106250,7.00,8.00,7.00,5.00,7.00,6.25,7.00,8.00,7.00,2,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',1586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM NIAGARA','JARDINóPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3106284,4.00,3.00,3.00,7.00,5.00,4.00,2.00,5.00,3.00,102,NULL,NULL,'CENTRO','GUARAMIRIM','SC',15085,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3106306,5.00,4.00,6.00,7.00,5.00,5.00,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106314,4.00,5.00,1.00,3.00,5.00,5.50,2.00,4.00,3.00,208,NULL,207,'FAZENDA STO ANTôNIO','S JOSé','SC',15718,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106322,9.00,6.00,4.00,8.00,8.00,7.25,4.00,8.00,5.00,319,NULL,NULL,'JD SANTA CLARA','TAUBATé','SP',1798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106330,1.00,4.00,4.00,0.00,0.00,NULL,2.00,5.00,2.00,319,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106349,2.00,4.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,7),(16,3106357,3.00,5.00,3.00,6.00,4.00,5.00,0.00,2.00,4.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',15627,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106365,8.00,7.00,4.00,8.00,6.00,5.75,2.00,7.00,4.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106373,7.00,6.00,3.00,4.00,5.00,6.50,3.00,7.00,4.00,108,NULL,NULL,'FORTALEZA','BLUMENAU','SC',7879,164,NULL,NULL,NULL,NULL,NULL,4,2),(16,3106381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3106390,3.00,4.00,3.00,4.00,4.00,4.25,2.00,4.00,5.00,104,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',15026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106403,2.00,2.00,4.00,6.00,6.00,7.25,4.00,5.00,6.00,207,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',10272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106411,5.00,3.00,3.00,8.00,5.00,6.00,3.00,4.00,1.00,503,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',12699,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106420,3.00,8.00,2.00,1.00,5.00,5.00,3.00,8.00,2.00,340,NULL,NULL,'CENTRO','CURITIBA','PR',14617,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3106438,4.00,5.00,4.00,7.00,3.00,NULL,2.00,8.00,2.00,318,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106446,8.00,6.00,7.00,8.00,5.00,4.00,5.00,7.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106454,3.00,4.00,3.00,0.00,3.00,NULL,2.00,5.00,2.00,208,NULL,NULL,'ALTO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106470,4.00,5.00,8.00,8.00,4.00,5.00,4.00,5.00,5.00,201,NULL,203,'CENTRO','S GABRIEL OESTE','MS',5360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106489,3.00,4.00,2.00,7.00,4.00,5.00,3.00,4.00,3.00,103,NULL,NULL,'ALVORADA','CHAPECó','SC',15359,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3106500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3106519,5.00,5.00,6.00,7.00,5.00,6.75,5.00,4.00,3.00,319,NULL,NULL,'PARQUE ESTER','COSMóPOLIS','SP',6631,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'STELLA MARIS','ANDRADINA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3106535,4.00,7.00,5.00,5.00,5.00,6.00,3.00,7.00,7.00,316,NULL,NULL,'CALHEIROS','GOV CELSO RAMOS','SC',5777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106543,5.00,4.00,3.00,5.00,4.00,6.00,4.00,5.00,5.00,104,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',10709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106551,4.00,4.00,2.00,5.00,4.00,5.50,1.00,6.00,6.00,201,NULL,NULL,'CENTRO','STA ROSA LIMA','SC',12948,1007,NULL,NULL,NULL,NULL,NULL,2,10),(16,3106560,4.00,5.00,3.00,3.00,5.00,4.50,2.00,7.00,5.00,453,NULL,NULL,'CENTRO','ARARANGUá','SC',12538,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3106578,9.00,7.00,9.00,8.00,9.00,7.50,6.00,9.00,9.00,103,NULL,NULL,'BUTANTÃ','SAO PAULO','SP',71,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106586,2.00,4.00,3.00,6.00,5.00,5.25,3.00,8.00,3.00,453,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13064,105,NULL,NULL,NULL,NULL,NULL,5,1),(16,3106594,2.00,3.00,4.00,5.00,2.00,NULL,1.00,3.00,4.00,104,NULL,NULL,'SANTA MARIA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3106608,3.00,5.00,3.00,6.00,7.00,4.75,2.00,5.00,6.00,303,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',10308,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106616,7.00,5.00,4.00,7.00,6.00,5.50,2.00,5.00,3.00,2,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',7715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106632,4.00,3.00,3.00,8.00,2.00,NULL,0.00,4.00,3.00,340,NULL,NULL,'BURU','SALTO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3106640,6.00,7.00,6.00,7.00,6.00,7.75,2.00,6.00,5.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4534,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106659,4.00,3.00,3.00,5.00,4.00,5.25,2.00,4.00,3.00,103,NULL,NULL,'SAGUAçU','JOINVILLE','SC',15828,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3106667,5.00,6.00,5.00,8.00,4.00,5.00,3.00,3.00,5.00,207,NULL,208,'PRAIA DE FORA','PALHOçA','SC',9637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106675,5.00,7.00,8.00,8.00,8.00,6.25,5.00,8.00,6.00,203,NULL,212,'TRINDADE','FLORIANóPOLIS','SC',1401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106705,4.00,5.00,4.00,7.00,6.00,4.75,2.00,6.00,3.00,303,NULL,NULL,'CENTRO','JARAGUá SUL','SC',10486,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3106721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BIRIGüI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3106748,4.00,3.00,3.00,1.00,6.00,5.75,4.00,4.00,5.00,3,NULL,NULL,'BARREIROS','S JOSé','SC',14101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106756,3.00,3.00,1.00,8.00,6.00,6.50,2.00,6.00,2.00,303,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',12810,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ITARARé','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3106772,6.00,4.00,4.00,5.00,6.00,5.25,5.00,5.00,4.00,108,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',10004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106780,6.00,7.00,4.00,8.00,6.00,5.75,2.00,8.00,5.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106799,1.00,5.00,4.00,9.00,7.00,7.00,6.00,8.00,4.00,303,NULL,NULL,'CAPITAIS','TIMBó','SC',5225,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3106810,6.00,4.00,5.00,8.00,6.00,5.75,3.00,3.00,5.00,301,NULL,NULL,'CENTRO','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3106829,7.00,8.00,7.00,9.00,8.00,6.75,6.00,7.00,8.00,415,NULL,NULL,'PONTE DE IMARUIM','PALHOçA','SC',795,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PONTE ALTA','VOLTA REDONDA','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3106845,7.00,4.00,3.00,9.00,5.00,5.00,2.00,6.00,6.00,103,NULL,NULL,'JD BRASILIA','ARAçATUBA','SP',7381,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3106853,7.00,6.00,7.00,9.00,8.00,4.25,8.00,8.00,9.00,103,NULL,NULL,'JAO','GOIANIA','GO',654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106870,7.00,7.00,6.00,5.00,4.00,5.25,4.00,8.00,7.00,208,NULL,238,'ITACORUBI','FLORIANóPOLIS','SC',4611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106888,7.00,8.00,7.00,8.00,7.00,5.75,5.00,7.00,6.00,214,NULL,203,'CENTRO','ERECHIM','RS',1421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106896,4.00,1.00,3.00,0.00,3.00,NULL,2.00,3.00,4.00,220,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3106900,5.00,4.00,6.00,8.00,6.00,5.50,5.00,4.00,7.00,220,NULL,202,'CENTRO','FLORIANóPOLIS','SC',6289,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106918,6.00,4.00,4.00,3.00,5.00,6.75,2.00,6.00,7.00,103,NULL,NULL,'GRANJA OLGA','SOROCABA','SP',9261,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106926,9.00,9.00,8.00,8.00,7.00,6.00,7.00,9.00,8.00,103,NULL,NULL,'VILA SãO FRANCISCO','S PAULO','SP',185,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3106934,6.00,4.00,3.00,8.00,6.00,6.75,1.00,5.00,4.00,453,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',9646,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3106977,4.00,6.00,4.00,7.00,6.00,4.75,2.00,8.00,2.00,425,NULL,429,'RIO CAVEIRAS','BIGUAçU','SC',9881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106985,5.00,6.00,4.00,4.00,5.00,5.50,4.00,7.00,5.00,208,NULL,238,'AGRONôMICA','FLORIANóPOLIS','SC',8549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3106993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3107019,6.00,8.00,2.00,9.00,6.00,5.75,1.00,9.00,4.00,303,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',5592,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3107027,7.00,8.00,4.00,8.00,8.00,8.00,4.00,7.00,7.00,415,NULL,NULL,'KOBRASOL','S JOSé','SC',1688,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3107035,6.00,5.00,4.00,9.00,6.00,6.00,5.00,7.00,8.00,211,NULL,215,'JOAO PAULO','FLORIANóPOLIS','SC',2915,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3107043,7.00,5.00,4.00,7.00,8.00,6.50,3.00,6.00,7.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',4098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107051,0.00,0.00,0.00,8.00,7.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3107060,3.00,4.00,2.00,4.00,4.00,6.50,2.00,4.00,3.00,103,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUá','SC',15628,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3107078,8.00,5.00,5.00,5.00,6.00,5.75,6.00,9.00,7.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',2729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107086,5.00,5.00,4.00,4.00,5.00,7.50,4.00,9.00,5.00,303,NULL,NULL,'TIJUCO PRETO','CAçAPAVA','SP',6899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'VILA MATILDE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3107108,4.00,2.00,5.00,1.00,6.00,5.50,3.00,4.00,2.00,216,NULL,214,'SãO SEBASTIãO','PALHOçA','SC',16164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107116,2.00,4.00,1.00,3.00,3.00,NULL,3.00,3.00,5.00,212,NULL,207,'BORTOLOTTO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3107124,4.00,4.00,5.00,6.00,4.00,4.75,5.00,6.00,5.00,202,NULL,NULL,'JD BRASILIA','ARAçATUBA','SP',9503,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3107132,6.00,5.00,4.00,4.00,3.00,NULL,3.00,6.00,5.00,3,NULL,NULL,'GLóRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3107140,2.00,6.00,2.00,8.00,3.00,NULL,1.00,4.00,3.00,501,NULL,NULL,'JARDIM SãO GABRIEL','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'AMéRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3107213,6.00,1.00,2.00,8.00,5.00,6.50,4.00,4.00,3.00,108,NULL,NULL,'CENTRO','XANXERê','SC',12539,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3107230,8.00,8.00,7.00,8.00,5.00,5.75,8.00,8.00,7.00,203,NULL,NULL,'JARDIM DA PENHA','VITóRIA','ES',773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107248,2.00,5.00,4.00,9.00,6.00,7.00,2.00,5.00,4.00,420,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107256,7.00,3.00,9.00,9.00,5.00,6.25,6.00,6.00,6.00,304,NULL,NULL,'CIDADE UNIVERSITARIA','CAMPINAS','SP',2789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107264,4.00,3.00,6.00,7.00,7.00,5.00,2.00,7.00,3.00,327,NULL,NULL,'PRADO','S JOSé','SC',8674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3107280,7.00,8.00,3.00,7.00,6.00,5.50,4.00,6.00,6.00,2,NULL,NULL,'FAZENDA','ITAJAí','SC',4935,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3107299,6.00,8.00,5.00,9.00,7.00,5.75,4.00,6.00,6.00,207,NULL,212,'CENTRO','FLORIANóPOLIS','SC',3405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'TATUAPE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3107310,5.00,4.00,5.00,8.00,6.00,6.50,4.00,5.00,3.00,301,NULL,NULL,'CAMPINAS','S JOSé','SC',8164,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3107329,8.00,4.00,7.00,8.00,7.00,7.25,2.00,6.00,6.00,211,NULL,216,'CENTRO','FLORIANóPOLIS','SC',3584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3107337,6.00,7.00,4.00,6.00,5.00,4.50,4.00,8.00,4.00,220,NULL,203,'ZONA QUATRO','CIANORTE','PR',7032,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3107345,2.00,1.00,4.00,6.00,3.00,NULL,1.00,4.00,2.00,503,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3107353,5.00,5.00,2.00,9.00,3.00,NULL,3.00,6.00,7.00,420,NULL,NULL,'JARDIM PAGLIATTO','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107361,7.00,5.00,2.00,4.00,5.00,5.25,2.00,6.00,3.00,501,NULL,NULL,'AEROPORTO','TUBARãO','SC',11013,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3107370,7.00,6.00,4.00,8.00,5.00,5.25,3.00,7.00,7.00,207,NULL,NULL,'VILA NOVA','FRANCISCO BELTRãO','PR',4594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107396,0.00,3.00,2.00,3.00,2.00,NULL,1.00,1.00,2.00,203,NULL,207,'PORTINHO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3107400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','MIRANDóPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3107426,5.00,6.00,4.00,4.00,7.00,6.50,3.00,6.00,6.00,3,NULL,NULL,'GUANABARA','JOINVILLE','SC',7143,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3107442,5.00,3.00,3.00,2.00,5.00,6.25,5.00,5.00,5.00,233,NULL,NULL,'RIO MAINA','CRICIúMA','SC',12185,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3107469,5.00,7.00,6.00,8.00,6.00,6.50,3.00,5.00,3.00,302,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',6279,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3107477,3.00,3.00,2.00,2.00,4.00,NULL,1.00,5.00,3.00,5,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3107485,9.00,8.00,8.00,8.00,8.00,9.75,8.00,9.00,9.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'BOSQUE DA SAUDE','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3107507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'CENTRO','TRêS PASSOS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3107515,0.00,0.00,0.00,3.00,1.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3107523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD STO ANTONIO','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3107531,2.00,2.00,2.00,3.00,5.00,NULL,3.00,2.00,3.00,309,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3107540,1.00,0.00,2.00,2.00,2.00,NULL,5.00,4.00,2.00,201,NULL,NULL,'ARI LUNARDI','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3107558,5.00,5.00,3.00,8.00,7.00,5.50,3.00,6.00,4.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107566,5.00,5.00,4.00,3.00,7.00,6.25,4.00,4.00,2.00,104,NULL,NULL,'PARQUE SãO JORGE','FLORIANóPOLIS','SC',11979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107574,4.00,6.00,5.00,8.00,3.00,NULL,4.00,8.00,6.00,202,NULL,201,'JURERê','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107582,3.00,4.00,4.00,0.00,2.00,NULL,4.00,2.00,1.00,101,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107604,4.00,8.00,4.00,9.00,6.00,7.00,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',4215,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3107612,6.00,8.00,3.00,2.00,6.00,5.50,4.00,7.00,6.00,331,NULL,NULL,'VILA ALVORADA','IMBITUBA','SC',7456,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3107620,6.00,6.00,2.00,5.00,5.00,5.00,3.00,8.00,6.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',7638,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3107647,9.00,8.00,6.00,8.00,8.00,5.25,9.00,9.00,9.00,203,NULL,202,'CóRREGO GRANDE','FLORIANóPOLIS','SC',218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107655,4.00,3.00,2.00,3.00,4.00,4.00,2.00,5.00,3.00,303,NULL,NULL,'MARIA CEU','CRICIúMA','SC',16596,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3107663,4.00,5.00,3.00,7.00,4.00,5.75,2.00,4.00,4.00,309,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',13737,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3107671,2.00,5.00,5.00,7.00,4.00,5.25,2.00,5.00,5.00,238,NULL,202,'CAMPINAS','S JOSé','SC',11051,318,NULL,394,NULL,NULL,NULL,4,1),(16,3107680,7.00,9.00,5.00,8.00,7.00,7.75,6.00,7.00,6.00,415,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',1689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107701,5.00,3.00,3.00,7.00,4.00,6.25,2.00,5.00,3.00,302,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',13204,162,NULL,NULL,NULL,NULL,NULL,2,1),(16,3107728,5.00,5.00,3.00,7.00,3.00,NULL,3.00,4.00,2.00,302,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3107736,7.00,7.00,8.00,9.00,8.00,6.25,6.00,7.00,8.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107744,7.00,7.00,8.00,9.00,5.00,5.50,5.00,8.00,6.00,220,NULL,NULL,'OURO VERDE','ASSIS','SP',1304,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3107760,4.00,3.00,1.00,5.00,3.00,NULL,3.00,3.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3107779,2.00,5.00,4.00,3.00,5.00,5.75,3.00,2.00,5.00,216,NULL,211,'CENTRO','TAUBATé','SP',14600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107795,5.00,8.00,5.00,8.00,4.00,5.50,5.00,8.00,6.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',3428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107809,7.00,7.00,5.00,4.00,5.00,6.00,3.00,7.00,5.00,214,NULL,203,'JARDIM ANGéLICA','CRICIúMA','SC',6666,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3107817,4.00,8.00,1.00,3.00,6.00,5.25,1.00,5.00,4.00,201,NULL,202,'JARDIM DAS AMéRICAS','CURITIBA','PR',13983,1078,NULL,477,NULL,NULL,NULL,4,1),(16,3107825,6.00,2.00,4.00,6.00,5.00,6.00,2.00,6.00,4.00,104,NULL,NULL,'RIO MAINA','CRICIúMA','SC',11601,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3107833,8.00,5.00,9.00,7.00,8.00,8.75,5.00,5.00,8.00,223,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3107841,4.00,4.00,3.00,5.00,3.00,NULL,2.00,5.00,2.00,318,NULL,NULL,'SANTOS DUMONT','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3107850,7.00,4.00,6.00,9.00,7.00,7.50,4.00,6.00,7.00,103,NULL,NULL,'PARQUE SãO DIOGO','S BERNARDO CAMPO','SP',2737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107868,4.00,4.00,2.00,8.00,6.00,8.00,3.00,5.00,7.00,503,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',6830,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3107876,2.00,4.00,3.00,1.00,3.00,NULL,1.00,5.00,4.00,9,NULL,NULL,'ARIRIú DA FORMIGA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107884,7.00,6.00,6.00,9.00,8.00,7.50,6.00,7.00,7.00,104,NULL,NULL,'LIRI','IçARA','SC',893,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3107892,3.00,5.00,2.00,5.00,2.00,NULL,1.00,5.00,3.00,303,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3107906,5.00,7.00,7.00,6.00,5.00,5.25,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','ENéAS MARQUES','PR',4519,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3107914,3.00,6.00,3.00,8.00,8.00,6.25,1.00,6.00,4.00,424,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',8934,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3107922,6.00,7.00,8.00,7.00,6.00,6.50,4.00,8.00,7.00,202,NULL,201,'VILA OPERáRIA','ITAJAí','SC',1718,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3107930,6.00,2.00,3.00,5.00,4.00,6.75,2.00,6.00,2.00,316,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',13433,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3107949,4.00,7.00,5.00,6.00,8.00,5.00,3.00,3.00,4.00,318,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',8501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107965,9.00,7.00,5.00,8.00,7.00,7.50,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',3858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107973,4.00,3.00,8.00,7.00,8.00,5.75,2.00,3.00,7.00,319,NULL,NULL,'PORTãO','CURITIBA','PR',6878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3107981,5.00,4.00,5.00,7.00,5.00,0.00,2.00,5.00,5.00,404,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108007,5.00,7.00,4.00,7.00,6.00,6.00,3.00,8.00,5.00,108,NULL,NULL,'BELA VISTA III','S JOSé','SC',5528,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SãO GERALDO','MANAUS','AM',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3108023,9.00,7.00,7.00,9.00,8.00,8.00,5.00,8.00,7.00,450,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3108066,7.00,5.00,8.00,7.00,3.00,NULL,7.00,6.00,8.00,203,NULL,202,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3108074,3.00,6.00,4.00,5.00,3.00,NULL,2.00,5.00,3.00,233,NULL,215,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108082,2.00,5.00,3.00,2.00,2.00,NULL,1.00,3.00,2.00,331,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108104,5.00,4.00,4.00,5.00,5.00,6.00,4.00,5.00,1.00,207,NULL,211,'TIRANDENTE','GRAVATAL','SC',12178,608,NULL,420,NULL,NULL,NULL,2,10),(16,3108112,3.00,5.00,1.00,2.00,4.00,NULL,2.00,2.00,3.00,215,NULL,NULL,'JARDIM SãO JOSé','CAçAPAVA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3108120,5.00,4.00,5.00,6.00,4.00,4.00,3.00,5.00,2.00,404,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',12818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108139,3.00,2.00,5.00,9.00,5.00,4.75,1.00,4.00,3.00,444,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',13073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108147,6.00,2.00,3.00,6.00,3.00,NULL,3.00,7.00,3.00,327,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108155,5.00,5.00,2.00,9.00,7.00,5.00,3.00,8.00,5.00,5,NULL,NULL,'VILA ISABEL','PATO BRANCO','PR',7144,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3108171,5.00,5.00,6.00,9.00,5.00,8.00,4.00,7.00,4.00,104,NULL,NULL,'CENTRO','CRICIúMA','SC',4782,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3108180,7.00,8.00,5.00,8.00,5.00,6.75,5.00,8.00,4.00,415,NULL,NULL,'GARCIA','BLUMENAU','SC',2678,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3108198,6.00,8.00,8.00,6.00,6.00,5.00,3.00,5.00,7.00,211,NULL,233,'VILA SANTA CLARA','BAURU','SP',3812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'CAMAQUã','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3108210,4.00,6.00,2.00,4.00,5.00,5.50,3.00,6.00,5.00,9,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',10990,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3108228,5.00,1.00,3.00,6.00,5.00,6.00,3.00,2.00,1.00,303,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',15690,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3108236,8.00,8.00,4.00,8.00,7.00,6.50,6.00,6.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108244,5.00,5.00,2.00,4.00,5.00,6.00,1.00,7.00,4.00,503,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12635,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108252,3.00,0.00,3.00,6.00,3.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REI','CAPANEMA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3108279,3.00,4.00,2.00,4.00,3.00,NULL,3.00,4.00,3.00,103,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108287,6.00,7.00,5.00,7.00,6.00,6.25,4.00,7.00,7.00,207,NULL,201,'CORREGO GRANDE','FLORIANóPOLIS','SC',2965,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108295,6.00,5.00,6.00,6.00,6.00,5.00,6.00,6.00,6.00,203,NULL,202,'COMERCIáRIO','CRICIúMA','SC',4461,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3108309,5.00,8.00,4.00,5.00,6.00,5.50,5.00,8.00,3.00,316,NULL,NULL,'CENTRO','TREZE TíLIAS','SC',5967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108317,6.00,5.00,4.00,7.00,6.00,6.50,4.00,7.00,3.00,103,NULL,NULL,'CAMPINAS','S JOSé','SC',6570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108333,2.00,1.00,2.00,5.00,4.00,NULL,2.00,4.00,1.00,453,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108341,6.00,7.00,6.00,7.00,6.00,5.50,5.00,3.00,6.00,211,NULL,238,'CAMPECHE','FLORIANóPOLIS','SC',4701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108368,3.00,6.00,2.00,5.00,5.00,4.25,4.00,8.00,0.00,208,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',13727,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3108376,5.00,8.00,3.00,1.00,6.00,6.00,5.00,5.00,4.00,203,NULL,NULL,'ITAIPAVA','ITAJAí','SC',9610,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3108384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3108392,3.00,7.00,3.00,7.00,5.00,6.50,2.00,9.00,3.00,415,NULL,NULL,'JARDIM BRASIL','BAURU','SP',7824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108406,7.00,6.00,5.00,7.00,5.00,6.25,5.00,8.00,7.00,103,NULL,NULL,'VILA CIPA','PNT GROSSA','PR',3325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108414,6.00,8.00,4.00,8.00,8.00,7.25,3.00,6.00,5.00,108,NULL,NULL,'VILA VERDE','ANáPOLIS','GO',3627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108422,4.00,7.00,1.00,6.00,5.00,4.75,0.00,5.00,6.00,201,NULL,207,'FLOR DE NáPOLIS','S JOSé','SC',12517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108430,7.00,9.00,5.00,9.00,7.00,7.25,5.00,8.00,7.00,303,NULL,NULL,'SANTA CRUZ','MOGI MIRIM','SP',886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108449,5.00,4.00,4.00,5.00,2.00,NULL,2.00,4.00,4.00,102,NULL,NULL,'ILHAS','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3108457,3.00,4.00,3.00,3.00,1.00,NULL,2.00,6.00,3.00,103,NULL,NULL,'CEARá','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3108465,2.00,2.00,3.00,5.00,3.00,NULL,1.00,3.00,4.00,302,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108473,6.00,7.00,6.00,8.00,6.00,5.75,5.00,7.00,6.00,213,NULL,211,'PANTANAL','FLORIANóPOLIS','SC',2181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108481,5.00,6.00,1.00,6.00,8.00,5.75,4.00,4.00,3.00,101,NULL,NULL,'JD CIDADE DE FPOLIS','S JOSé','SC',9351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108511,8.00,8.00,7.00,9.00,7.00,5.75,5.00,8.00,6.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',1161,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3108520,3.00,2.00,3.00,5.00,2.00,NULL,3.00,2.00,1.00,308,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','OSVALDO CRUZ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3108546,3.00,3.00,2.00,8.00,5.00,7.00,3.00,2.00,6.00,201,NULL,211,'CENTRO','GAURAMA','RS',11610,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3108554,4.00,5.00,5.00,4.00,5.00,5.50,2.00,7.00,6.00,103,NULL,NULL,'ITAJUBA','BARRA VELHA','SC',9540,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3108562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3108570,8.00,7.00,7.00,8.00,5.00,7.00,7.00,8.00,7.00,2,NULL,NULL,'JARDIM SANTO ANTôNIO','LONDRINA','PR',860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108589,6.00,8.00,3.00,8.00,5.00,5.75,3.00,8.00,3.00,328,NULL,NULL,'CENTRO','ITAJAí','SC',5813,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3108597,5.00,6.00,4.00,4.00,4.00,4.50,2.00,6.00,2.00,331,NULL,NULL,'BELA VISTA','S JOSé','SC',13768,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108600,6.00,6.00,2.00,7.00,4.00,5.75,2.00,5.00,2.00,340,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',11984,378,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3108635,5.00,6.00,3.00,7.00,5.00,4.00,2.00,4.00,3.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12177,422,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3108651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'IGREJINHA','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3108660,6.00,8.00,8.00,9.00,7.00,8.25,5.00,9.00,5.00,103,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108678,5.00,5.00,2.00,4.00,5.00,4.75,3.00,4.00,3.00,208,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',13659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108686,4.00,1.00,2.00,6.00,4.00,4.25,2.00,3.00,4.00,201,NULL,207,'FLOR DE NAPOLIS','S JOSé','SC',16545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108694,4.00,4.00,2.00,6.00,5.00,5.25,2.00,5.00,2.00,302,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',14521,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108708,2.00,4.00,3.00,1.00,3.00,NULL,2.00,5.00,3.00,316,NULL,NULL,'GLóRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3108716,5.00,4.00,1.00,2.00,3.00,NULL,1.00,3.00,4.00,420,NULL,NULL,'NOVA DIVINéIA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3108724,3.00,5.00,5.00,8.00,8.00,5.50,2.00,6.00,4.00,316,NULL,NULL,'CENTRO','LAJEADO','RS',8696,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108732,7.00,5.00,1.00,5.00,3.00,NULL,3.00,4.00,4.00,207,NULL,201,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108740,5.00,7.00,4.00,3.00,7.00,5.75,3.00,7.00,5.00,211,NULL,233,'JURERE INTERNACIONAL','FLORIANóPOLIS','SC',6473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'CAXAMBú','JUNDIAí','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3108775,5.00,3.00,3.00,9.00,6.00,5.75,4.00,7.00,5.00,103,NULL,NULL,'AEROPORTO','TUBARãO','SC',6431,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3108783,6.00,6.00,5.00,3.00,5.00,4.50,1.00,7.00,3.00,220,NULL,NULL,'SANTO ANTONIO','ARACAJU','SE',10462,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108791,6.00,7.00,7.00,4.00,6.00,6.00,3.00,8.00,5.00,103,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',4613,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3108805,2.00,2.00,2.00,3.00,3.00,NULL,2.00,3.00,1.00,301,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108830,7.00,6.00,8.00,7.00,8.00,7.00,5.00,9.00,5.00,303,NULL,NULL,'SANTA CRUZ','RIBEIRãO PRETO','SP',1629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108848,6.00,5.00,5.00,7.00,5.00,5.50,4.00,8.00,5.00,103,NULL,NULL,'CAPãO DA IMBUíA','CURITIBA','PR',5075,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3108856,0.00,0.00,0.00,9.00,5.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3108872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SãO CRISTóVãO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3108880,6.00,5.00,2.00,6.00,6.00,5.50,3.00,5.00,6.00,303,NULL,NULL,'ASILO','BLUMENAU','SC',9690,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3108899,5.00,7.00,4.00,7.00,7.00,5.75,3.00,8.00,6.00,103,NULL,NULL,'SANTO ANTONIO','CRICIúMA','SC',4553,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3108902,1.00,0.00,2.00,7.00,3.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'JARDIM SHANGRILA','ITAPETININGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108910,9.00,7.00,9.00,7.00,8.00,6.00,6.00,7.00,8.00,103,NULL,NULL,'GRANJA JULIETA','S PAULO','SP',483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108937,5.00,5.00,4.00,4.00,3.00,NULL,3.00,4.00,5.00,303,NULL,NULL,'CENTRO','CAçADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108945,5.00,5.00,5.00,9.00,6.00,5.25,3.00,7.00,3.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108953,5.00,4.00,4.00,7.00,2.00,NULL,2.00,4.00,2.00,208,NULL,203,'JARDIM CENTRAL','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108961,3.00,4.00,3.00,5.00,6.00,5.00,1.00,4.00,4.00,420,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',14427,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108970,5.00,4.00,3.00,3.00,5.00,6.00,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',9899,2206,NULL,NULL,NULL,NULL,NULL,4,1),(16,3108988,4.00,6.00,5.00,6.00,5.00,4.50,3.00,5.00,4.00,207,NULL,201,'PRAIA COMPRIDA','S JOSé','SC',10845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3108996,6.00,7.00,6.00,8.00,8.00,6.50,5.00,8.00,6.00,103,NULL,NULL,'CORAL','LAGES','SC',1801,774,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3109011,7.00,6.00,3.00,3.00,4.00,5.50,6.00,8.00,3.00,103,NULL,NULL,'CENTRO','S JOSé','SC',8070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109020,8.00,6.00,5.00,9.00,6.00,4.25,5.00,7.00,6.00,103,NULL,NULL,'CHáCARA MONTE ALEGRE','S PAULO','SP',2478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109038,2.00,6.00,3.00,9.00,4.00,6.25,3.00,4.00,3.00,420,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109046,1.00,0.00,1.00,0.00,1.00,NULL,2.00,3.00,3.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109054,4.00,7.00,2.00,8.00,7.00,5.50,2.00,8.00,6.00,326,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',5844,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3109062,4.00,4.00,3.00,6.00,3.00,NULL,3.00,2.00,3.00,444,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3109070,4.00,3.00,2.00,7.00,5.00,6.00,4.00,5.00,2.00,424,NULL,NULL,'CAMPINAS','S JOSé','SC',12832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3109089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3109097,1.00,2.00,2.00,1.00,3.00,NULL,2.00,3.00,1.00,451,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3109100,6.00,9.00,7.00,7.00,7.00,5.25,8.00,9.00,8.00,203,NULL,201,'CENTRO','BAL CAMBORIú','SC',769,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3109119,6.00,6.00,5.00,5.00,4.00,4.25,5.00,7.00,6.00,220,NULL,207,'ARAéS','CUIABá','MT',7138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109127,4.00,5.00,6.00,6.00,6.00,6.25,3.00,5.00,4.00,203,NULL,201,'MARIA GORETTI','CHAPECó','SC',7641,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3109135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3109143,5.00,2.00,5.00,5.00,5.00,5.50,4.00,3.00,3.00,212,NULL,233,'SãO SEBASTIãO','PALHOçA','SC',13358,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3109151,8.00,5.00,5.00,9.00,8.00,6.00,3.00,7.00,6.00,102,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',3716,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3109178,8.00,9.00,7.00,8.00,5.00,6.50,6.00,7.00,6.00,453,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',1307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109186,6.00,7.00,5.00,6.00,6.00,6.50,4.00,9.00,4.00,303,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',4139,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3109194,7.00,8.00,6.00,8.00,8.00,6.75,6.00,7.00,5.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109208,5.00,5.00,5.00,7.00,6.00,3.25,3.00,7.00,5.00,238,NULL,208,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CAXAMBú','JUNDIAí','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3109224,4.00,5.00,1.00,4.00,5.00,5.75,3.00,3.00,5.00,103,NULL,NULL,'VILA MENCK','OSASCO','SP',12572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109232,6.00,9.00,1.00,5.00,8.00,6.50,4.00,7.00,6.00,333,NULL,NULL,'JURERE','FLORIANóPOLIS','SC',4204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109259,5.00,6.00,4.00,7.00,5.00,7.00,3.00,6.00,7.00,9,NULL,NULL,'SAO QUIRINO','CAMPINAS','SP',5921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109267,3.00,5.00,4.00,7.00,6.00,6.00,3.00,5.00,3.00,302,NULL,NULL,'JARDIM ANA EMILIA','TAUBATé','SP',11799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3109291,3.00,4.00,2.00,2.00,5.00,5.50,1.00,7.00,5.00,327,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',13804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109305,5.00,4.00,5.00,3.00,3.00,NULL,3.00,4.00,6.00,102,NULL,NULL,'CENTRO','REGISTRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3109313,7.00,7.00,4.00,4.00,6.00,6.25,4.00,8.00,5.00,108,NULL,NULL,'PRAIA DA ARMAçãO','FLORIANóPOLIS','SC',4909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109321,4.00,6.00,3.00,7.00,5.00,4.50,3.00,7.00,2.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109330,2.00,1.00,2.00,3.00,5.00,NULL,1.00,1.00,2.00,317,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109348,4.00,6.00,5.00,9.00,6.00,6.00,6.00,6.00,8.00,453,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',2907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3109364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3109380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3109399,4.00,5.00,4.00,8.00,6.00,4.75,3.00,8.00,4.00,101,NULL,NULL,'AREIAS','S JOSé','SC',7971,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3109402,4.00,6.00,2.00,8.00,6.00,7.00,4.00,4.00,4.00,415,NULL,NULL,'SãO JUDAS','ITAJAí','SC',9228,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3109410,6.00,4.00,4.00,4.00,5.00,4.25,2.00,5.00,4.00,102,NULL,NULL,'CENTRO','GARUVA','SC',12749,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3109429,4.00,4.00,2.00,7.00,6.00,5.00,3.00,4.00,3.00,301,NULL,NULL,'AMBRóSIO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3109437,7.00,9.00,7.00,9.00,9.00,7.50,8.00,8.00,8.00,203,NULL,233,'VILA MOEMA','TUBARãO','SC',180,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3109445,1.00,3.00,1.00,3.00,3.00,NULL,2.00,2.00,3.00,316,NULL,NULL,'SANTOS DUMONT','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3109453,8.00,8.00,4.00,9.00,7.00,7.00,5.00,9.00,6.00,202,NULL,214,'CENTRO','BAL CAMBORIú','SC',1224,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3109461,8.00,7.00,8.00,9.00,7.00,6.50,6.00,8.00,8.00,108,NULL,NULL,'CAMPINAS','S JOSé','SC',441,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3109470,7.00,6.00,6.00,8.00,7.00,5.75,3.00,6.00,6.00,340,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',2796,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3109496,6.00,4.00,5.00,7.00,7.00,5.00,2.00,7.00,4.00,103,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',7219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109500,4.00,3.00,1.00,1.00,4.00,NULL,4.00,3.00,3.00,301,NULL,NULL,'ITAIPAVA','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3109518,5.00,8.00,3.00,6.00,7.00,5.00,3.00,9.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4180,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3109526,6.00,5.00,4.00,5.00,6.00,8.50,3.00,3.00,3.00,211,NULL,201,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109534,3.00,2.00,2.00,1.00,1.00,NULL,0.00,6.00,3.00,208,NULL,220,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109550,3.00,7.00,5.00,5.00,3.00,NULL,3.00,8.00,4.00,103,NULL,NULL,'CENTRO','CASCA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3109569,4.00,7.00,1.00,9.00,5.00,4.75,3.00,7.00,2.00,319,NULL,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',10185,197,NULL,NULL,NULL,NULL,NULL,2,1),(16,3109577,1.00,2.00,1.00,3.00,5.00,NULL,3.00,2.00,1.00,301,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3109585,7.00,6.00,5.00,8.00,7.00,5.75,3.00,6.00,4.00,301,NULL,NULL,'CORRéGO GRANDE','FLORIANóPOLIS','SC',6357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109593,5.00,7.00,2.00,9.00,7.00,6.25,3.00,8.00,4.00,326,NULL,NULL,'JARDIM DAS NAçõES','TAUBATé','SP',5311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SANTA TEREZINHA','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3109623,5.00,2.00,4.00,5.00,3.00,NULL,3.00,5.00,5.00,319,NULL,NULL,'JARDIM ANA EMíLIA','TAUBATé','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109631,3.00,9.00,5.00,7.00,7.00,6.50,3.00,8.00,5.00,212,NULL,214,'JARDIM COOLAPA','S SEBASTIãO PARAíSO','MG',5405,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3109640,4.00,6.00,2.00,3.00,3.00,NULL,3.00,5.00,4.00,216,NULL,211,'BNH SEGUNDO PLANO','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3109674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3109682,5.00,7.00,1.00,7.00,4.00,5.25,2.00,5.00,3.00,332,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',13519,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3109704,4.00,6.00,2.00,3.00,3.00,NULL,1.00,4.00,3.00,309,NULL,NULL,'MENINO DEUS','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3109712,4.00,7.00,4.00,7.00,7.00,7.25,4.00,8.00,4.00,103,NULL,NULL,'FUNDOS','BIGUAçU','SC',4908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3109720,7.00,7.00,6.00,7.00,7.00,5.00,3.00,7.00,6.00,301,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',3982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109739,4.00,6.00,7.00,7.00,6.00,6.75,2.00,6.00,6.00,238,NULL,208,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',5957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109755,7.00,5.00,3.00,2.00,4.00,4.50,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','BARRACãO','PR',11549,2391,NULL,NULL,NULL,NULL,NULL,4,4),(16,3109763,8.00,7.00,2.00,8.00,7.00,5.00,3.00,9.00,4.00,101,NULL,NULL,'LARANJEIRAS','BIGUAçU','SC',4100,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3109771,4.00,3.00,6.00,7.00,6.00,6.25,3.00,5.00,4.00,207,NULL,238,'NITERóI','CANOAS','RS',8955,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3109780,4.00,5.00,2.00,8.00,4.00,5.75,2.00,2.00,4.00,104,NULL,NULL,'OFICINAS','PNT GROSSA','PR',13723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109798,4.00,7.00,2.00,5.00,5.00,4.75,3.00,5.00,5.00,207,NULL,211,'CENTRO','S JOSé','SC',11479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3109801,5.00,9.00,3.00,4.00,6.00,7.00,5.00,9.00,7.00,216,NULL,211,'TESTO REGA','POMERODE','SC',3500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109828,5.00,5.00,3.00,5.00,4.00,4.25,3.00,7.00,5.00,238,NULL,208,'CENTRO','TUBARãO','SC',9069,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3109836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'BOSQUE DA SAUDE','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3109844,6.00,7.00,4.00,8.00,6.00,6.75,4.00,7.00,5.00,238,NULL,220,'ESTREITO','FLORIANóPOLIS','SC',4585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109852,8.00,6.00,8.00,8.00,8.00,6.50,5.00,9.00,6.00,104,NULL,NULL,'ASTURIAS','GUARUJá','SP',827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109860,9.00,8.00,8.00,8.00,6.00,5.50,6.00,9.00,7.00,203,NULL,208,'PANTANAL','FLORIANóPOLIS','SC',509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109879,6.00,7.00,7.00,5.00,4.00,4.25,3.00,6.00,2.00,208,NULL,238,'AGRONOMICA','FLORIANóPOLIS','SC',10229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109887,4.00,6.00,4.00,2.00,5.00,4.00,4.00,5.00,5.00,9,NULL,NULL,'CENTRO','TAUBATé','SP',11698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109895,4.00,7.00,4.00,5.00,7.00,7.25,4.00,6.00,6.00,5,NULL,NULL,'COQUIROS','FLORIANóPOLIS','SC',6389,252,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109909,4.00,5.00,3.00,3.00,4.00,7.25,1.00,3.00,3.00,203,NULL,201,'MEIA PRAIA','ITAPEMA','SC',15835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109917,3.00,6.00,3.00,6.00,5.00,NULL,0.00,8.00,3.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109925,4.00,4.00,4.00,4.00,2.00,NULL,3.00,4.00,4.00,316,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109933,5.00,6.00,5.00,0.00,1.00,NULL,2.00,5.00,2.00,233,NULL,211,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3109941,4.00,4.00,4.00,7.00,2.00,NULL,2.00,2.00,1.00,101,NULL,NULL,'PINHEIRA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3109950,4.00,3.00,5.00,6.00,5.00,5.00,2.00,4.00,3.00,319,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',13748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3109968,9.00,8.00,6.00,9.00,7.00,5.00,4.00,7.00,7.00,103,NULL,NULL,'SERTÃO','STO AMARO IMPERATRIZ','SC',1679,733,NULL,NULL,NULL,NULL,NULL,2,1),(16,3109976,3.00,7.00,2.00,8.00,4.00,5.50,3.00,8.00,3.00,320,NULL,NULL,'BARREIROS','S JOSé','SC',9510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3109984,7.00,6.00,5.00,7.00,4.00,5.25,6.00,7.00,6.00,203,NULL,214,'SANTA MONICA','FLORIANóPOLIS','SC',3899,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3109992,5.00,4.00,2.00,5.00,4.00,4.25,2.00,4.00,3.00,211,NULL,216,'COMERCIARIO','CRICIúMA','SC',15658,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3110001,3.00,5.00,4.00,6.00,3.00,NULL,3.00,5.00,3.00,211,NULL,207,'PARZIANELLO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110010,6.00,6.00,4.00,5.00,6.00,5.00,3.00,6.00,7.00,2,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',7829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110028,5.00,7.00,8.00,9.00,6.00,5.75,6.00,6.00,5.00,211,NULL,NULL,'PEDREIRA','BELéM','PA',2542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110036,8.00,3.00,4.00,1.00,5.00,6.00,4.00,6.00,4.00,103,NULL,NULL,'LEOPOLDINA','S PAULO','SP',10786,2312,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110044,2.00,3.00,1.00,5.00,3.00,NULL,3.00,5.00,3.00,203,NULL,NULL,'PRADINHO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3110052,3.00,5.00,3.00,2.00,6.00,5.25,2.00,7.00,4.00,201,NULL,238,'CENTRO','ARMAZéM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3110060,5.00,6.00,3.00,7.00,8.00,8.00,4.00,8.00,6.00,308,NULL,NULL,'CAMPINAS','S JOSé','SC',3881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110079,6.00,8.00,6.00,8.00,6.00,4.75,3.00,7.00,6.00,201,NULL,203,'CENTRO','NAVEGANTES','SC',4102,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3110095,6.00,6.00,7.00,8.00,7.00,5.75,3.00,6.00,7.00,201,NULL,216,'CENTRO','ARROIO TRINTA','SC',3430,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3110117,8.00,7.00,6.00,7.00,4.00,6.50,3.00,8.00,3.00,203,NULL,201,'MONTE CASTELO','CPO GRANDE','MS',4839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110125,1.00,3.00,2.00,2.00,4.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'VILA BELMIRO','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110133,6.00,5.00,4.00,7.00,8.00,4.00,4.00,5.00,3.00,203,NULL,202,'JARDIM SãO LUIZ','PARANAVAí','PR',7305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110150,5.00,4.00,2.00,8.00,3.00,NULL,3.00,8.00,4.00,103,NULL,NULL,'JARDIM MACAé','COLOMBO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3110168,6.00,7.00,1.00,3.00,7.00,6.25,3.00,5.00,5.00,207,NULL,201,'AREIAS','CAMBORIú','SC',9463,444,NULL,727,NULL,NULL,NULL,4,3),(16,3110176,4.00,3.00,3.00,9.00,6.00,6.75,2.00,8.00,4.00,104,NULL,NULL,'NAçõES','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3110184,5.00,6.00,4.00,5.00,5.00,4.50,2.00,6.00,5.00,220,NULL,216,'AREIAS PALHOCINHA','GAROPABA','SC',9372,374,NULL,339,NULL,NULL,NULL,4,1),(16,3110192,6.00,8.00,5.00,4.00,5.00,6.25,4.00,7.00,6.00,331,NULL,NULL,'VILA MADALENA','JOINVILLE','SC',4642,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3110206,3.00,0.00,3.00,3.00,4.00,NULL,2.00,3.00,3.00,223,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110222,4.00,3.00,2.00,6.00,5.00,5.00,3.00,4.00,2.00,205,NULL,NULL,'FAZENDA SANTOANTôNIO','S JOSé','SC',15988,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110230,2.00,2.00,1.00,3.00,2.00,NULL,3.00,4.00,2.00,234,NULL,NULL,'ARMAçãO P DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110249,5.00,5.00,7.00,9.00,8.00,7.00,5.00,7.00,7.00,220,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',1710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110265,7.00,5.00,6.00,9.00,6.00,5.00,3.00,6.00,4.00,233,NULL,213,'FLORESTA','S JOSé','SC',5764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110273,7.00,5.00,6.00,8.00,6.00,6.25,3.00,7.00,7.00,211,NULL,201,'BELA VISTA','PTO ALEGRE','RS',3844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110281,3.00,6.00,6.00,8.00,6.00,6.75,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',5823,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3110290,7.00,5.00,2.00,7.00,6.00,5.00,4.00,4.00,4.00,207,NULL,233,'ESTREITO','FLORIANóPOLIS','SC',9507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110303,4.00,7.00,2.00,8.00,7.00,4.75,5.00,6.00,5.00,303,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',7995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110311,5.00,8.00,5.00,6.00,7.00,4.50,3.00,7.00,4.00,213,NULL,202,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3110338,2.00,4.00,5.00,4.00,3.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3110346,4.00,6.00,2.00,6.00,4.00,3.25,2.00,7.00,3.00,212,NULL,201,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110354,7.00,7.00,9.00,5.00,6.00,6.00,6.00,6.00,8.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',2149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110362,6.00,3.00,4.00,7.00,4.00,5.00,4.00,8.00,8.00,301,NULL,NULL,'GUARA','GUARá','DF',6585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110370,4.00,3.00,3.00,4.00,3.00,NULL,2.00,5.00,5.00,327,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110389,2.00,5.00,2.00,5.00,4.00,7.00,3.00,5.00,2.00,339,NULL,NULL,'SERRARIA','S JOSé','SC',14923,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110397,5.00,5.00,3.00,5.00,6.00,2.25,4.00,4.00,4.00,9,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'IPIRANGA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3110443,3.00,6.00,1.00,6.00,2.00,NULL,3.00,5.00,2.00,103,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110451,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(16,3110478,3.00,3.00,2.00,8.00,5.00,5.00,3.00,2.00,3.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110486,6.00,8.00,7.00,7.00,7.00,5.75,6.00,8.00,7.00,220,NULL,213,'CENTRO','LAGES','SC',1403,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3110494,7.00,7.00,7.00,8.00,7.00,6.50,4.00,8.00,6.00,303,NULL,NULL,'BELA VISTA','S PAULO','SP',1829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110516,6.00,4.00,3.00,8.00,6.00,5.50,2.00,4.00,6.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8760,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110524,6.00,6.00,4.00,8.00,8.00,7.25,3.00,7.00,5.00,333,NULL,NULL,'OFICINAS','TUBARãO','SC',4667,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3110532,5.00,4.00,4.00,8.00,3.00,NULL,4.00,7.00,3.00,453,NULL,NULL,'CAVINATO','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110540,3.00,5.00,2.00,3.00,5.00,NULL,2.00,2.00,0.00,102,NULL,NULL,'HíPICA','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110559,8.00,8.00,4.00,9.00,7.00,7.25,4.00,8.00,6.00,404,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',1867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110575,9.00,7.00,7.00,8.00,7.00,6.50,6.00,9.00,6.00,201,NULL,212,'PRAIA TREZE DE JULHO','ARACAJU','SE',824,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110583,7.00,6.00,5.00,6.00,5.00,5.25,4.00,5.00,6.00,104,NULL,NULL,'AMéRICA','JOINVILLE','SC',7211,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3110591,6.00,8.00,4.00,7.00,4.00,6.50,3.00,8.00,5.00,303,NULL,NULL,'CENTRO','LAURO MüLLER','SC',5446,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3110605,7.00,6.00,1.00,3.00,5.00,4.75,3.00,8.00,5.00,203,NULL,214,'AGRONôMICA','FLORIANóPOLIS','SC',8629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110613,4.00,2.00,5.00,6.00,2.00,NULL,3.00,3.00,4.00,202,NULL,NULL,'CIDADE JARDIM','RIO CLARO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3110621,4.00,5.00,2.00,4.00,5.00,5.00,3.00,9.00,4.00,104,NULL,NULL,'BARREIROS','S JOSé','SC',11883,324,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110630,3.00,4.00,2.00,5.00,2.00,NULL,2.00,1.00,2.00,201,NULL,207,'CENTRO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3110648,7.00,4.00,4.00,7.00,5.00,6.00,5.00,3.00,4.00,304,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',8757,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110656,4.00,7.00,4.00,5.00,5.00,4.25,4.00,7.00,6.00,211,NULL,216,'XV DE NOVEMBRO','TIJUCAS','SC',9032,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110664,5.00,3.00,4.00,5.00,5.00,5.00,2.00,4.00,6.00,501,NULL,NULL,'PARAISO','S PAULO','SP',12473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110680,4.00,5.00,5.00,5.00,4.00,5.00,3.00,7.00,4.00,201,NULL,202,'VELHA','BLUMENAU','SC',9277,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3110699,4.00,4.00,2.00,7.00,4.00,7.75,1.00,5.00,4.00,101,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',12436,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110710,4.00,4.00,4.00,8.00,6.00,6.50,3.00,7.00,5.00,216,NULL,201,'AEROPORTO','LONDRINA','PR',7348,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3110729,3.00,3.00,3.00,1.00,3.00,NULL,1.00,2.00,2.00,208,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SETOR CENTRAL','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3110745,4.00,6.00,3.00,7.00,6.00,6.25,3.00,6.00,3.00,320,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',9760,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110753,5.00,6.00,3.00,5.00,6.00,4.75,4.00,8.00,4.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9465,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110770,7.00,8.00,4.00,8.00,7.00,7.50,3.00,8.00,6.00,103,NULL,NULL,'CENTRO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3110796,7.00,6.00,7.00,8.00,7.00,6.75,6.00,8.00,7.00,303,NULL,NULL,'VILA RESENDE','CAçAPAVA','SP',1012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110800,4.00,3.00,3.00,2.00,3.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110818,3.00,2.00,3.00,4.00,4.00,NULL,2.00,3.00,2.00,207,NULL,211,'JD COM DA BANDEIRA','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3110834,6.00,3.00,3.00,6.00,5.00,5.75,3.00,5.00,5.00,201,NULL,233,'CENTRO','GR PARá','SC',11368,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3110842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','FARROUPILHA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3110850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ROSA','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3110869,7.00,8.00,5.00,8.00,8.00,5.25,4.00,6.00,6.00,201,NULL,202,'CENTRO','FLORIANóPOLIS','SC',2890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110877,4.00,4.00,2.00,6.00,3.00,NULL,4.00,4.00,5.00,444,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110885,4.00,4.00,2.00,7.00,3.00,NULL,4.00,6.00,3.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110893,7.00,4.00,2.00,9.00,6.00,4.75,3.00,8.00,2.00,319,NULL,NULL,'JARDIM PINHEIRO','S PAULO','SP',8627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110907,4.00,4.00,1.00,7.00,5.00,6.25,3.00,6.00,5.00,103,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',10091,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3110915,6.00,4.00,1.00,8.00,4.00,5.75,1.00,6.00,5.00,108,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',10718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110923,6.00,3.00,5.00,5.00,5.00,6.75,2.00,2.00,2.00,501,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',13570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA CINCO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3110940,4.00,5.00,4.00,4.00,6.00,4.75,2.00,8.00,2.00,207,NULL,238,'CAMPECHE','FLORIANóPOLIS','SC',12403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110958,4.00,3.00,3.00,7.00,4.00,4.75,2.00,5.00,5.00,444,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',13465,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3110966,6.00,7.00,4.00,9.00,7.00,6.00,3.00,8.00,4.00,215,NULL,212,'NEVA','CASCAVEL','PR',4211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3110974,4.00,7.00,2.00,9.00,6.00,6.00,3.00,6.00,4.00,303,NULL,NULL,'COMERCIARIO','CRICIúMA','SC',8076,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3110982,3.00,2.00,1.00,5.00,3.00,NULL,1.00,1.00,4.00,233,NULL,238,'ANA RITA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3111008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CENTRO','SALETE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3111016,6.00,3.00,3.00,8.00,5.00,5.75,2.00,7.00,4.00,103,NULL,NULL,'CENTRO','REALEZA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3111024,7.00,7.00,4.00,9.00,7.00,7.25,4.00,8.00,5.00,303,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',2569,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3111032,6.00,6.00,4.00,6.00,3.00,NULL,3.00,6.00,3.00,238,NULL,216,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3111040,3.00,5.00,2.00,7.00,3.00,NULL,2.00,5.00,4.00,104,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3111059,2.00,1.00,2.00,2.00,2.00,NULL,3.00,3.00,2.00,104,NULL,NULL,'OFICINAS','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3111067,5.00,7.00,3.00,7.00,8.00,5.50,4.00,8.00,3.00,340,NULL,NULL,'MARIA LUIZA','CASCAVEL','PR',5757,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3111075,3.00,5.00,2.00,1.00,3.00,NULL,5.00,5.00,3.00,5,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111083,4.00,4.00,5.00,5.00,3.00,NULL,3.00,5.00,4.00,9,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3111091,8.00,7.00,6.00,7.00,8.00,6.25,6.00,7.00,8.00,220,NULL,202,'TAPéRA','FLORIANóPOLIS','SC',1329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111105,6.00,5.00,4.00,5.00,6.00,6.25,2.00,6.00,3.00,207,NULL,NULL,'PASSA VINTE','PALHOçA','SC',10169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111113,8.00,7.00,5.00,7.00,7.00,5.75,4.00,9.00,6.00,216,NULL,215,'CARIANOS','FLORIANóPOLIS','SC',1989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111130,6.00,8.00,4.00,6.00,4.00,5.00,4.00,6.00,5.00,9,NULL,NULL,'CENTRO','JARAGUá SUL','SC',7746,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3111148,5.00,7.00,3.00,6.00,5.00,2.50,3.00,6.00,6.00,2,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3111156,5.00,6.00,1.00,9.00,6.00,6.50,4.00,9.00,4.00,103,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'DOS ESTUDANTES','IPIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3111172,9.00,8.00,6.00,8.00,8.00,7.25,7.00,8.00,8.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111180,4.00,5.00,2.00,6.00,4.00,4.50,2.00,4.00,3.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3111199,8.00,7.00,5.00,9.00,6.00,6.50,5.00,8.00,6.00,340,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',1865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111202,4.00,3.00,5.00,3.00,5.00,5.75,3.00,7.00,4.00,201,NULL,207,'CENTRO','PALHOçA','SC',12094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3111229,3.00,4.00,2.00,6.00,5.00,4.75,2.00,5.00,3.00,9,NULL,NULL,'SAGUAçU','JOINVILLE','SC',15518,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3111237,7.00,7.00,6.00,9.00,7.00,6.50,6.00,9.00,8.00,103,NULL,NULL,'ZONA DOIS','CIANORTE','PR',596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111245,6.00,5.00,5.00,10.00,7.00,6.00,2.00,5.00,5.00,316,NULL,NULL,'PARQUE SãO JORGE','FLORIANóPOLIS','SC',5843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111253,7.00,5.00,4.00,9.00,8.00,7.25,2.00,6.00,5.00,320,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',4813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111261,8.00,6.00,7.00,8.00,6.00,6.50,6.00,7.00,7.00,203,NULL,NULL,'SAGUAçU','JOINVILLE','SC',1582,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3111288,7.00,6.00,6.00,6.00,7.00,5.00,5.00,9.00,4.00,212,NULL,233,'CENTRO','FLORIANóPOLIS','SC',3536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111296,2.00,5.00,3.00,6.00,2.00,NULL,3.00,4.00,3.00,201,NULL,207,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3111300,5.00,6.00,6.00,4.00,6.00,6.50,2.00,3.00,4.00,108,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3111318,6.00,7.00,4.00,8.00,6.00,6.25,3.00,5.00,4.00,207,NULL,212,'VARGEM PEQUENA','FLORIANóPOLIS','SC',7156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ANNES','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3111334,0.00,0.00,0.00,9.00,3.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3111342,5.00,6.00,5.00,8.00,4.00,6.25,5.00,7.00,5.00,320,NULL,NULL,'CITY BOAçAVA','S PAULO','SP',5131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111350,9.00,7.00,6.00,9.00,7.00,9.25,6.00,8.00,8.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',287,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3111369,6.00,5.00,1.00,4.00,5.00,5.00,3.00,7.00,4.00,340,NULL,NULL,'IPIRANGA','S JOSé','SC',11568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'VILA TOLENTINO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3111385,5.00,7.00,8.00,8.00,8.00,7.75,4.00,7.00,6.00,340,NULL,NULL,'VILA CLEMENTINO','S PAULO','SP',1681,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3111393,9.00,7.00,8.00,9.00,8.00,6.25,6.00,8.00,9.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111407,5.00,6.00,4.00,8.00,4.00,6.00,4.00,6.00,5.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',5885,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3111415,5.00,3.00,3.00,6.00,5.00,NULL,0.00,6.00,5.00,201,NULL,220,'VARJOTA','FORTALEZA','CE',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111423,4.00,5.00,2.00,6.00,4.00,4.00,3.00,3.00,4.00,213,NULL,202,'JARDIM PRIMAVERA','PATO BRANCO','PR',15358,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3111440,9.00,7.00,4.00,6.00,7.00,6.25,3.00,9.00,6.00,201,NULL,233,'ESTREITO','FLORIANóPOLIS','SC',2561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111458,6.00,8.00,5.00,9.00,7.00,8.00,5.00,9.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111466,3.00,5.00,3.00,8.00,3.00,NULL,4.00,1.00,2.00,208,NULL,238,'DISTRITO INDUSTRIAL','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3111474,1.00,5.00,5.00,8.00,7.00,5.50,2.00,8.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7837,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3111482,2.00,4.00,4.00,2.00,1.00,NULL,4.00,4.00,2.00,9,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111490,3.00,5.00,4.00,6.00,5.00,5.75,1.00,4.00,3.00,201,NULL,207,'CENTRO','VERA CRUZ','RS',13943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3111504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'PASSO DAREIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3111512,4.00,5.00,5.00,6.00,5.00,5.25,1.00,5.00,3.00,318,NULL,NULL,'SãO LUIZ','CRICIúMA','SC',12891,101,NULL,NULL,NULL,NULL,NULL,2,5),(16,3111520,1.00,4.00,5.00,4.00,3.00,NULL,2.00,3.00,3.00,317,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3111539,5.00,7.00,6.00,9.00,9.00,7.75,3.00,8.00,5.00,320,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',1699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111555,4.00,6.00,3.00,5.00,4.00,5.75,1.00,6.00,3.00,213,NULL,214,'ITAIBA','CONCóRDIA','SC',13790,249,NULL,438,NULL,NULL,NULL,2,1),(16,3111580,3.00,3.00,2.00,8.00,4.00,4.00,3.00,7.00,4.00,502,NULL,NULL,'CENTRO','TUBARãO','SC',12540,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3111598,7.00,8.00,6.00,6.00,5.00,5.75,9.00,7.00,9.00,203,NULL,201,'FORTALEZA','BLUMENAU','SC',1092,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3111601,2.00,3.00,5.00,2.00,3.00,NULL,3.00,5.00,1.00,324,NULL,NULL,'FLOR DE NÁPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111610,4.00,3.00,2.00,6.00,4.00,4.50,3.00,4.00,3.00,502,NULL,NULL,'KOBRASOL','S JOSé','SC',15942,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3111628,7.00,6.00,7.00,8.00,7.00,6.25,4.00,7.00,8.00,450,NULL,NULL,'BARRANCO','TAUBATé','SP',1916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111636,7.00,8.00,7.00,9.00,8.00,5.25,6.00,9.00,7.00,303,NULL,NULL,'OFICINAS','TUBARãO','SC',646,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3111644,4.00,5.00,4.00,5.00,4.00,6.00,1.00,6.00,3.00,203,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111652,8.00,7.00,7.00,7.00,6.00,5.00,5.00,8.00,6.00,103,NULL,NULL,'OURO VERDE','OURINHOS','SP',1990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111679,9.00,8.00,7.00,9.00,9.00,6.50,6.00,8.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111687,4.00,4.00,1.00,6.00,5.00,5.25,3.00,6.00,5.00,103,NULL,NULL,'CAPAO BONITO','CRICIúMA','SC',12148,2449,NULL,NULL,NULL,NULL,NULL,4,5),(16,3111695,5.00,8.00,2.00,5.00,5.00,5.50,2.00,5.00,3.00,103,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',11381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111709,6.00,9.00,7.00,9.00,8.00,8.00,6.00,8.00,8.00,220,NULL,208,'AGRONôMICA','FLORIANóPOLIS','SC',376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111717,4.00,4.00,3.00,6.00,3.00,NULL,4.00,7.00,4.00,238,NULL,208,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111725,4.00,3.00,4.00,6.00,7.00,5.25,3.00,5.00,5.00,214,NULL,213,'CENTRO','FLORIANóPOLIS','SC',10424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111750,6.00,3.00,2.00,3.00,5.00,5.50,3.00,6.00,4.00,319,NULL,NULL,'NOSSA SRA DO ROSáRIO','S JOSé','SC',12119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111768,4.00,6.00,2.00,7.00,6.00,4.75,5.00,5.00,5.00,317,NULL,NULL,'FASENDA STO ANTONIO','S JOSé','SC',9113,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3111776,7.00,7.00,3.00,7.00,6.00,8.00,6.00,7.00,7.00,104,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',2042,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3111784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JOSé DE O MARTINS','MINEIROS','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3111792,3.00,3.00,3.00,3.00,4.00,6.25,3.00,5.00,2.00,207,NULL,202,'BELA VISTA I','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111806,3.00,3.00,3.00,2.00,3.00,NULL,1.00,3.00,4.00,452,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111814,4.00,3.00,2.00,8.00,5.00,6.00,2.00,6.00,3.00,415,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',11333,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3111822,8.00,9.00,7.00,9.00,8.00,7.50,4.00,8.00,6.00,303,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',655,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3111830,4.00,5.00,5.00,6.00,6.00,6.50,1.00,6.00,2.00,424,NULL,427,'TRINDADE','FLORIANóPOLIS','SC',10947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111857,4.00,6.00,4.00,6.00,6.00,6.00,4.00,7.00,5.00,340,NULL,NULL,'CENTRO','BRUSQUE','SC',7206,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3111873,6.00,7.00,4.00,8.00,8.00,5.00,2.00,6.00,4.00,108,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP',6048,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3111881,4.00,3.00,3.00,6.00,2.00,NULL,3.00,6.00,3.00,452,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'TERCEIRO CENTENARIO','ATIBAIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3111903,3.00,5.00,5.00,5.00,5.00,6.50,3.00,4.00,6.00,301,NULL,NULL,'SERTAO DO MARUIM','S JOSé','SC',10809,194,NULL,NULL,NULL,NULL,NULL,2,1),(16,3111911,8.00,7.00,6.00,4.00,4.00,5.75,5.00,8.00,6.00,202,NULL,203,'ANNES','PASSO FUNDO','RS',3931,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3111920,7.00,7.00,5.00,8.00,8.00,5.25,5.00,9.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3111938,7.00,6.00,5.00,8.00,6.00,6.00,5.00,9.00,6.00,103,NULL,NULL,'CENTRO','CANOAS','RS',2519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111946,7.00,4.00,6.00,7.00,6.00,5.75,4.00,8.00,5.00,203,NULL,201,'VILA EUNICE NOVA','CACHOEIRINHA','RS',4491,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3111962,6.00,3.00,6.00,0.00,3.00,NULL,4.00,4.00,6.00,220,NULL,233,'SHANGRI LÁ','SERTãOZINHO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3111970,6.00,7.00,3.00,7.00,7.00,7.00,1.00,7.00,5.00,207,NULL,201,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',5070,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3111989,4.00,2.00,5.00,5.00,4.00,4.75,3.00,2.00,4.00,201,NULL,NULL,'SANTANA','RIO SUL','SC',15482,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3111997,8.00,7.00,5.00,6.00,7.00,6.50,5.00,9.00,7.00,203,NULL,214,'CENTRO','UMUARAMA','PR',1451,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3112004,6.00,6.00,7.00,5.00,7.00,4.50,4.00,6.00,5.00,301,NULL,NULL,'ROçADO','S JOSé','SC',5011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112012,5.00,3.00,8.00,4.00,3.00,NULL,4.00,3.00,6.00,202,NULL,213,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112020,9.00,9.00,8.00,7.00,8.00,5.75,8.00,9.00,9.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112039,2.00,3.00,3.00,8.00,5.00,5.50,2.00,4.00,4.00,3,NULL,NULL,'ARIRIú','PALHOçA','SC',14050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112055,5.00,8.00,1.00,7.00,5.00,6.00,2.00,9.00,4.00,420,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',8032,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112071,5.00,7.00,4.00,6.00,5.00,6.50,3.00,6.00,5.00,429,NULL,428,'CENTRO HISTóRICO','S JOSé','SC',7671,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'QUIRIRIM','TAUBATE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3112101,4.00,5.00,7.00,8.00,8.00,6.00,3.00,7.00,4.00,201,NULL,220,'N SRA DO ROSáRIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112128,7.00,9.00,5.00,8.00,8.00,6.25,4.00,7.00,6.00,216,NULL,211,'CENTRO','CRICIúMA','SC',1486,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3112136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','TAQUARA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3112144,7.00,6.00,6.00,8.00,6.00,8.00,5.00,8.00,7.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',1908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112152,3.00,4.00,5.00,6.00,3.00,NULL,3.00,2.00,3.00,103,NULL,NULL,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3112160,8.00,6.00,7.00,9.00,9.00,6.50,6.00,7.00,8.00,103,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112179,4.00,5.00,3.00,4.00,3.00,NULL,2.00,4.00,3.00,331,NULL,NULL,'SANTA LUZIA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3112195,3.00,5.00,1.00,7.00,5.00,8.00,2.00,6.00,2.00,415,NULL,NULL,'VILA SANTA CRUZ','S JOSé R PRETO','SP',12705,332,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112209,1.00,2.00,1.00,3.00,2.00,NULL,3.00,1.00,5.00,215,NULL,211,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112217,5.00,4.00,1.00,4.00,1.00,NULL,2.00,3.00,4.00,207,NULL,NULL,'BELA VISTA I','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112225,4.00,5.00,3.00,9.00,7.00,6.75,4.00,6.00,3.00,340,NULL,NULL,'VILA SUIçA','INDAIATUBA','SP',6845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112233,4.00,1.00,1.00,4.00,4.00,NULL,2.00,3.00,1.00,211,NULL,215,'SANTA TEREZA','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3112241,6.00,7.00,2.00,8.00,7.00,7.75,2.00,6.00,7.00,103,NULL,NULL,'DEHON','TUBARãO','SC',4325,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3112268,7.00,5.00,5.00,5.00,5.00,6.00,2.00,5.00,5.00,104,NULL,NULL,'CENTRO','MARAVILHA','SC',8563,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3112276,3.00,7.00,3.00,6.00,6.00,6.00,1.00,4.00,2.00,214,NULL,233,'FORQUILHINHAS','S JOSé','SC',13658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3112292,7.00,8.00,6.00,8.00,8.00,6.50,4.00,8.00,7.00,5,NULL,NULL,'PARQUE SAO JORGE','FLORIANóPOLIS','SC',1104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,238,'HUMAITA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3112314,6.00,4.00,2.00,8.00,4.00,5.75,4.00,7.00,4.00,233,NULL,NULL,'CENTENáRIO','JARAGUá SUL','SC',8789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112322,9.00,7.00,7.00,8.00,6.00,5.00,5.00,6.00,9.00,301,NULL,NULL,'HIGIENóPOLIS','STA CRUZ SUL','RS',1303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112330,5.00,7.00,6.00,7.00,6.00,5.00,4.00,5.00,4.00,303,NULL,NULL,'PALMITAL','CHAPECó','SC',5825,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3112349,3.00,6.00,3.00,7.00,6.00,6.50,0.00,6.00,4.00,415,NULL,NULL,'CENTRO','LACERDóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3112357,9.00,8.00,8.00,9.00,8.00,8.00,6.00,8.00,8.00,103,NULL,NULL,'ALTO BIGUAçU','BIGUAçU','SC',127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112365,6.00,4.00,2.00,7.00,6.00,6.50,4.00,3.00,2.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112373,2.00,1.00,1.00,0.00,3.00,NULL,1.00,2.00,1.00,301,NULL,NULL,'JARDIM ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112381,2.00,3.00,2.00,4.00,2.00,NULL,1.00,3.00,4.00,211,NULL,233,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112390,7.00,5.00,5.00,7.00,4.00,5.50,4.00,6.00,6.00,452,NULL,NULL,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',5283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'JAGUARé','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3112411,6.00,5.00,4.00,8.00,4.00,5.25,4.00,8.00,5.00,316,NULL,NULL,'BREJARú','PALHOçA','SC',7761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112420,6.00,9.00,4.00,6.00,7.00,6.00,3.00,7.00,2.00,303,NULL,NULL,'JARDIM GUANABARA','CUIABá','MT',6912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112446,6.00,3.00,4.00,8.00,5.00,5.50,3.00,5.00,5.00,103,NULL,NULL,'UNIVERSITáRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3112454,9.00,8.00,8.00,8.00,8.00,6.75,3.00,8.00,8.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112462,6.00,6.00,3.00,6.00,5.00,6.75,3.00,8.00,3.00,415,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112470,8.00,8.00,7.00,9.00,7.00,5.50,6.00,9.00,8.00,233,NULL,214,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112489,2.00,3.00,3.00,4.00,1.00,NULL,4.00,1.00,3.00,203,NULL,202,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3112497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM VIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3112500,5.00,6.00,4.00,6.00,6.00,6.00,4.00,6.00,4.00,103,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',7371,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3112519,3.00,4.00,2.00,7.00,6.00,6.50,1.00,6.00,3.00,303,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',12866,554,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112527,1.00,3.00,3.00,3.00,3.00,NULL,3.00,1.00,3.00,309,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112535,3.00,7.00,3.00,8.00,6.00,5.75,2.00,8.00,2.00,9,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',9238,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3112543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'TRICOLIN','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3112551,6.00,3.00,4.00,3.00,4.00,4.50,5.00,7.00,6.00,103,NULL,NULL,'MOEMA','S PAULO','SP',8490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112586,3.00,2.00,4.00,1.00,3.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'QUINTINO','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3112594,6.00,5.00,3.00,5.00,3.00,NULL,1.00,6.00,4.00,319,NULL,NULL,'SANTA CLARA DO INGAÍ','QUINZE NOVEMBRO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112608,5.00,4.00,5.00,9.00,5.00,4.75,6.00,9.00,6.00,233,NULL,202,'VILA MOEMA','TUBARãO','SC',3421,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3112616,4.00,6.00,3.00,4.00,4.00,6.25,2.00,5.00,4.00,220,NULL,203,'SERRARIA','S JOSé','SC',13332,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PORTãO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3112632,5.00,5.00,3.00,7.00,7.00,6.50,1.00,6.00,6.00,103,NULL,NULL,'CENTRO','GRAMADO','RS',7581,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112640,6.00,3.00,2.00,1.00,3.00,NULL,1.00,0.00,2.00,301,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112659,5.00,6.00,5.00,7.00,3.00,NULL,3.00,7.00,5.00,301,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112667,3.00,2.00,1.00,2.00,0.00,NULL,0.00,1.00,3.00,9,NULL,NULL,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112683,5.00,5.00,4.00,8.00,6.00,6.50,3.00,6.00,2.00,308,NULL,NULL,'MORUMBI','S PAULO','SP',7924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112691,5.00,4.00,4.00,5.00,4.00,4.75,5.00,5.00,6.00,213,NULL,202,'BAIRRO DA USINA','ATIBAIA','SP',9504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112713,5.00,7.00,2.00,8.00,7.00,6.25,3.00,7.00,6.00,207,NULL,233,'SAMBAQUI','FLORIANóPOLIS','SC',5946,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112721,7.00,7.00,5.00,8.00,8.00,6.25,4.00,8.00,7.00,5,NULL,NULL,'CAMPINAS','S JOSé','SC',1907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112730,3.00,3.00,2.00,6.00,6.00,4.50,1.00,5.00,2.00,340,NULL,NULL,'CENTRO','JOAçABA','SC',15553,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3112748,4.00,2.00,2.00,5.00,4.00,4.25,5.00,5.00,4.00,502,NULL,NULL,'CENTRO','CAçADOR','SC',14511,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112756,5.00,4.00,4.00,3.00,5.00,6.25,3.00,6.00,4.00,415,NULL,NULL,'PINHEIROS','S PAULO','SP',11015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3112772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOOCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3112802,6.00,5.00,6.00,9.00,8.00,6.00,4.00,7.00,7.00,453,NULL,NULL,'CENTRO','RIO SUL','SC',2528,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3112810,5.00,4.00,6.00,6.00,4.00,4.25,1.00,3.00,4.00,224,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',13623,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'AMERICANO','LAJEADO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3112837,4.00,6.00,4.00,7.00,6.00,6.00,5.00,5.00,6.00,303,NULL,NULL,'FRAGOSOS','CPO ALEGRE','SC',5882,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3112853,2.00,1.00,4.00,3.00,2.00,NULL,2.00,2.00,4.00,9,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112861,6.00,4.00,4.00,7.00,6.00,6.50,2.00,6.00,6.00,104,NULL,NULL,'DIVINéIA','ARARANGUá','SC',7309,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3112870,2.00,4.00,3.00,3.00,3.00,NULL,1.00,1.00,1.00,318,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112888,5.00,4.00,4.00,8.00,7.00,5.00,4.00,5.00,4.00,211,NULL,215,'JARDIM DAS CAMéLIAS','LAGES','SC',7803,NULL,NULL,NULL,NULL,NULL,NULL,1,9),(16,3112896,3.00,7.00,6.00,7.00,8.00,5.75,4.00,7.00,5.00,340,NULL,NULL,'CENTRO','CONCóRDIA','SC',4287,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3112900,8.00,6.00,1.00,9.00,7.00,7.00,4.00,8.00,8.00,103,NULL,NULL,'PANAZZOLO','CAXIAS SUL','RS',2230,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3112934,2.00,2.00,1.00,3.00,3.00,NULL,3.00,4.00,2.00,316,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112942,3.00,3.00,3.00,7.00,4.00,4.00,5.00,9.00,3.00,203,NULL,NULL,'SãO ROQUE','BENTO GONçALVES','RS',11763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112950,2.00,4.00,2.00,6.00,4.00,5.25,2.00,5.00,4.00,303,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',14254,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112969,7.00,6.00,3.00,9.00,6.00,6.75,3.00,7.00,5.00,428,NULL,425,'CAMPECHE','FLORIANóPOLIS','SC',4939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3112977,3.00,7.00,1.00,7.00,4.00,4.75,1.00,7.00,4.00,503,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',12815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3112985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3113000,6.00,7.00,7.00,8.00,7.00,6.00,6.00,8.00,6.00,201,NULL,203,'CENTRO','FRANCISCO BELTRãO','PR',1516,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3113019,4.00,6.00,3.00,6.00,6.00,5.25,4.00,6.00,5.00,340,NULL,NULL,'BRASíLIA','CERRO LARGO','RS',8746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113027,3.00,6.00,2.00,1.00,3.00,NULL,2.00,7.00,1.00,304,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113043,3.00,5.00,4.00,9.00,4.00,4.00,4.00,6.00,3.00,203,NULL,214,'CENTRO','GUAíRA','PR',9953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113051,8.00,7.00,5.00,9.00,8.00,6.50,4.00,7.00,6.00,103,NULL,NULL,'VILA OPERáRIA','ITAJAí','SC',1692,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3113060,6.00,8.00,3.00,8.00,6.00,4.50,4.00,5.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7785,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3113078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3113086,7.00,5.00,6.00,5.00,7.00,5.00,4.00,6.00,7.00,220,NULL,203,'JARDIM AVIAçãO','PRES PRUDENTE','SP',4016,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3113094,5.00,5.00,3.00,5.00,4.00,4.75,5.00,5.00,5.00,234,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3113108,3.00,2.00,3.00,7.00,6.00,5.00,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','BOM RETIRO','SC',15269,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3113116,8.00,7.00,6.00,8.00,8.00,6.25,6.00,8.00,8.00,333,NULL,NULL,'INDEPENDêNCIA','PTO ALEGRE','RS',805,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3113124,2.00,3.00,1.00,5.00,4.00,5.25,3.00,6.00,3.00,304,NULL,NULL,'CENTRO','S JOAQUIM','SC',15730,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3113132,7.00,7.00,3.00,2.00,8.00,5.50,3.00,8.00,8.00,108,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',5334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113140,5.00,7.00,5.00,5.00,4.00,5.50,4.00,8.00,4.00,104,NULL,NULL,'FAZENDA RIO TAVARES','FLORIANóPOLIS','SC',8010,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3113159,4.00,7.00,2.00,2.00,3.00,NULL,4.00,8.00,5.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3113167,2.00,6.00,5.00,6.00,6.00,5.50,2.00,6.00,4.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',10998,482,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113175,4.00,4.00,7.00,3.00,3.00,NULL,3.00,4.00,3.00,203,NULL,233,'URBANOVA','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113183,2.00,2.00,3.00,5.00,3.00,NULL,2.00,4.00,2.00,207,NULL,211,'GUARANI','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113191,1.00,0.00,3.00,5.00,4.00,NULL,2.00,0.00,2.00,333,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3113205,8.00,6.00,6.00,9.00,8.00,5.00,5.00,7.00,5.00,9,NULL,NULL,'SANTO ANTôNIO','JOINVILLE','SC',2446,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3113213,7.00,6.00,4.00,7.00,6.00,4.75,4.00,7.00,5.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',5413,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3113221,4.00,4.00,2.00,1.00,5.00,5.00,2.00,6.00,5.00,220,NULL,213,'CENTRO','BRUSQUE','SC',14535,495,NULL,255,NULL,NULL,NULL,4,2),(16,3113230,6.00,7.00,2.00,2.00,7.00,6.50,5.00,7.00,5.00,104,NULL,NULL,'STELLA MARIS','SALVADOR','BA',6734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113256,4.00,3.00,4.00,5.00,7.00,6.50,0.00,4.00,3.00,415,NULL,NULL,'KOBRASOL','S JOSé','SC',14079,357,NULL,NULL,NULL,NULL,NULL,2,1),(16,3113272,3.00,5.00,3.00,3.00,3.00,NULL,4.00,5.00,5.00,303,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3113280,4.00,4.00,5.00,7.00,7.00,5.50,1.00,3.00,4.00,216,NULL,233,'CENTRO','TUBARãO','SC',11598,NULL,NULL,NULL,NULL,NULL,NULL,5,10),(16,3113299,4.00,2.00,2.00,4.00,3.00,NULL,2.00,4.00,1.00,319,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113302,8.00,7.00,7.00,8.00,7.00,6.50,3.00,8.00,5.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3113310,0.00,0.00,0.00,6.00,2.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3113329,5.00,6.00,4.00,7.00,6.00,4.50,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6831,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3113337,6.00,7.00,5.00,8.00,5.00,5.25,2.00,8.00,6.00,202,NULL,220,'SALGADO FILHO','ARACAJU','SE',4653,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3113345,5.00,3.00,4.00,7.00,5.00,5.00,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','FRANCISCO BELTRãO','PR',8900,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3113353,1.00,2.00,4.00,0.00,3.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'CAMPO D UNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113388,4.00,5.00,2.00,7.00,6.00,6.75,1.00,7.00,3.00,319,NULL,NULL,'JARDIM LONDRILAR','LONDRINA','PR',9835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113396,6.00,4.00,1.00,7.00,6.00,4.50,2.00,4.00,2.00,203,NULL,220,'SACO GRANDE','FLORIANóPOLIS','SC',14475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3113426,4.00,1.00,4.00,4.00,1.00,NULL,1.00,3.00,5.00,304,NULL,NULL,'JARDIM RENE','S ROQUE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113434,4.00,6.00,4.00,8.00,6.00,6.00,5.00,8.00,4.00,420,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113442,5.00,5.00,2.00,7.00,3.00,NULL,2.00,5.00,3.00,444,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3113450,3.00,5.00,2.00,9.00,7.00,6.00,1.00,6.00,1.00,450,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',11827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113469,5.00,4.00,1.00,8.00,7.00,5.50,1.00,6.00,5.00,420,NULL,NULL,'MAGALHãES','LAGUNA','SC',11021,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3113477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,220,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3113485,7.00,7.00,4.00,7.00,7.00,4.50,3.00,5.00,2.00,103,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',8276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113493,5.00,4.00,4.00,2.00,6.00,5.50,5.00,7.00,3.00,2,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',10556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113507,4.00,5.00,3.00,5.00,4.00,4.50,3.00,3.00,2.00,502,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',15156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113523,6.00,9.00,4.00,9.00,8.00,5.50,3.00,8.00,6.00,340,NULL,NULL,'CAMPINAS','S JOSé','SC',2260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113566,4.00,6.00,1.00,1.00,3.00,NULL,1.00,2.00,5.00,302,NULL,NULL,'RACHADEL','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113574,4.00,1.00,2.00,4.00,5.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113582,8.00,6.00,5.00,5.00,5.00,5.50,5.00,7.00,5.00,333,NULL,NULL,'NOSSA S DO ROSARIO','S JOSé','SC',5373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113590,4.00,6.00,4.00,1.00,4.00,4.50,3.00,6.00,3.00,320,NULL,NULL,'INGLESES RIO VERMELH','FLORIANóPOLIS','SC',14852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113604,9.00,8.00,9.00,9.00,8.00,7.25,6.00,6.00,9.00,207,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113612,6.00,3.00,4.00,6.00,3.00,NULL,3.00,6.00,5.00,104,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3113620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'SANTA LUZIA','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3113647,3.00,3.00,2.00,6.00,5.00,4.50,2.00,3.00,4.00,444,NULL,NULL,'BARREIROS','S JOSé','SC',16365,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3113655,4.00,4.00,2.00,6.00,4.00,5.50,4.00,6.00,5.00,238,NULL,202,'CANASVIEIRAS','FLORIANóPOLIS','SC',11407,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3113663,8.00,4.00,6.00,5.00,1.00,NULL,2.00,3.00,3.00,203,NULL,201,'INTERIOR','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3113671,3.00,3.00,3.00,5.00,5.00,5.50,2.00,4.00,2.00,303,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',16009,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3113680,2.00,3.00,4.00,2.00,3.00,NULL,1.00,3.00,2.00,101,NULL,NULL,'RACHADEL','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113698,4.00,5.00,3.00,6.00,6.00,5.00,3.00,3.00,4.00,203,NULL,201,'CENTRO','ARROIO TRINTA','SC',12328,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3113701,6.00,5.00,1.00,8.00,4.00,4.50,3.00,6.00,4.00,415,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',10900,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113710,5.00,6.00,3.00,3.00,7.00,5.50,2.00,7.00,3.00,211,NULL,NULL,'AREIAS','S JOSé','SC',10219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113728,7.00,8.00,5.00,9.00,8.00,7.00,6.00,8.00,7.00,207,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3113744,8.00,8.00,5.00,7.00,7.00,6.50,4.00,7.00,6.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',1810,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3113752,6.00,4.00,5.00,6.00,5.00,5.25,3.00,5.00,5.00,102,NULL,NULL,'FAZ SANTO ANTONIO','S JOSé','SC',10439,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3113760,6.00,5.00,1.00,3.00,5.00,6.00,6.00,6.00,3.00,238,NULL,208,'GUARDA DO CUBATãO','PALHOçA','SC',10356,293,NULL,316,NULL,NULL,NULL,2,1),(16,3113779,2.00,4.00,2.00,8.00,5.00,5.00,2.00,7.00,3.00,328,NULL,NULL,'JARDIM ITAGUAÇU','FLORIANóPOLIS','SC',13705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3113787,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'ARMAçãO DO PANT SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3113795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3113809,0.00,2.00,3.00,3.00,3.00,NULL,2.00,5.00,3.00,5,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113825,6.00,7.00,7.00,8.00,6.00,5.25,4.00,6.00,5.00,103,NULL,NULL,'BUENO','GOIâNIA','GO',3813,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3113833,5.00,3.00,5.00,7.00,6.00,5.00,2.00,7.00,5.00,233,NULL,216,'JD ESTORIL','S JOSé CAMPOS','SP',8747,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3113841,3.00,4.00,3.00,1.00,3.00,NULL,1.00,6.00,3.00,404,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113850,2.00,0.00,3.00,5.00,3.00,NULL,1.00,5.00,4.00,317,NULL,NULL,'RIO GRANDE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113876,6.00,6.00,4.00,7.00,7.00,5.75,4.00,8.00,5.00,327,NULL,NULL,'CENTRO','NAVEGANTES','SC',5132,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3113892,3.00,3.00,1.00,4.00,3.00,NULL,3.00,4.00,2.00,234,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3113914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3113922,0.00,2.00,1.00,0.00,4.00,NULL,2.00,4.00,1.00,415,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113930,3.00,2.00,1.00,4.00,4.00,NULL,2.00,3.00,5.00,503,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3113949,3.00,4.00,2.00,1.00,4.00,NULL,3.00,4.00,3.00,302,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113957,2.00,5.00,6.00,3.00,4.00,4.25,1.00,5.00,3.00,207,NULL,211,'JARDIM MARISTELA','CRICIúMA','SC',14879,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3113965,3.00,6.00,3.00,2.00,5.00,5.50,4.00,3.00,4.00,234,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',13241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3113981,3.00,4.00,4.00,4.00,6.00,4.00,4.00,3.00,3.00,234,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',15571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3113990,4.00,5.00,4.00,4.00,5.00,4.75,5.00,6.00,6.00,223,NULL,NULL,'INTERIOR','SUL BRASIL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3114007,6.00,7.00,2.00,7.00,4.00,6.00,1.00,6.00,5.00,234,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',8783,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114015,4.00,0.00,1.00,4.00,3.00,NULL,0.00,3.00,3.00,9,NULL,NULL,'CENTRO','MARíLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114031,4.00,9.00,6.00,9.00,8.00,4.75,3.00,7.00,6.00,333,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',2604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114040,4.00,4.00,2.00,7.00,6.00,6.25,3.00,3.00,4.00,450,NULL,NULL,'BARREIROS','S JOSé','SC',11705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114066,7.00,5.00,6.00,8.00,5.00,6.25,2.00,6.00,6.00,211,NULL,215,'CENTRO','PINHALZINHO','SC',5146,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3114074,3.00,6.00,2.00,8.00,7.00,4.75,4.00,7.00,5.00,211,NULL,233,'SERRARIA','S JOSé','SC',9088,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3114112,6.00,7.00,4.00,8.00,8.00,5.50,4.00,9.00,6.00,415,NULL,NULL,'PASSAGEM DO RIO DUNA','IMARUí','SC',2978,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114120,5.00,4.00,3.00,7.00,5.00,5.00,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','MEDIANEIRA','PR',10206,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3114139,1.00,2.00,1.00,3.00,5.00,NULL,1.00,2.00,1.00,303,NULL,NULL,'ALTO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114147,5.00,8.00,6.00,9.00,6.00,6.25,3.00,7.00,5.00,415,NULL,NULL,'KOBRASOL','S JOSé','SC',3334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114171,4.00,5.00,3.00,6.00,3.00,NULL,3.00,4.00,4.00,238,NULL,208,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114180,4.00,7.00,1.00,4.00,7.00,4.00,4.00,4.00,2.00,502,NULL,NULL,'BALNEARIO ESTREITO','FLORIANóPOLIS','SC',12770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114201,2.00,0.00,4.00,5.00,1.00,NULL,2.00,4.00,3.00,317,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114210,6.00,5.00,7.00,9.00,5.00,7.00,2.00,6.00,6.00,103,NULL,NULL,'CENRO','FLORIANóPOLIS','SC',5136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3114236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3114260,3.00,5.00,2.00,2.00,6.00,6.25,3.00,7.00,5.00,326,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12899,54,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114279,6.00,3.00,2.00,4.00,3.00,NULL,4.00,4.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114287,4.00,6.00,1.00,6.00,7.00,6.25,2.00,6.00,4.00,415,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',10660,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114309,5.00,6.00,3.00,6.00,3.00,NULL,3.00,6.00,3.00,501,NULL,NULL,'CENTRO','AGROLâNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3114317,2.00,3.00,5.00,2.00,5.00,NULL,2.00,5.00,2.00,301,NULL,NULL,'CAPUAVA','EMBU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3114325,2.00,3.00,2.00,4.00,3.00,NULL,3.00,1.00,2.00,452,NULL,NULL,'CENTRO','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114333,5.00,3.00,4.00,3.00,5.00,5.00,3.00,5.00,3.00,211,NULL,201,'CENTRO','BRAçO NORTE','SC',13311,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3114341,5.00,3.00,1.00,3.00,7.00,7.25,2.00,5.00,4.00,201,NULL,215,'CENTRO','PAULO BENTO','RS',14257,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3114350,6.00,5.00,5.00,8.00,9.00,8.50,5.00,8.00,6.00,303,NULL,NULL,'JARDIM COPACABANA','CPO GRANDE','MS',1765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114368,5.00,6.00,3.00,3.00,4.00,4.50,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',15564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114376,2.00,6.00,4.00,5.00,3.00,NULL,3.00,2.00,3.00,327,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114384,6.00,6.00,5.00,4.00,5.00,6.75,4.00,8.00,4.00,104,NULL,NULL,'NOVA ESPERANçA','CRICIúMA','SC',6067,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3114406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3114414,2.00,2.00,4.00,5.00,4.00,4.75,2.00,6.00,3.00,420,NULL,NULL,'ARMAçãO','FLORIANóPOLIS','SC',15180,165,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114449,3.00,6.00,3.00,5.00,7.00,5.25,3.00,4.00,5.00,238,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',11473,334,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114457,3.00,4.00,4.00,8.00,5.00,5.50,1.00,4.00,4.00,5,NULL,NULL,'CENTRO','STA CRUZ SUL','RS',12634,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3114465,3.00,3.00,2.00,4.00,4.00,NULL,1.00,2.00,1.00,303,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114473,7.00,7.00,5.00,4.00,8.00,5.50,7.00,5.00,5.00,203,NULL,214,'CENTRO','S JOSé R PARDO','SP',3678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114481,2.00,4.00,3.00,4.00,1.00,NULL,2.00,3.00,3.00,404,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114490,2.00,1.00,2.00,1.00,0.00,NULL,3.00,2.00,4.00,238,NULL,203,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114503,4.00,3.00,4.00,6.00,5.00,5.50,2.00,5.00,2.00,201,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',12759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'RODOVIARIA PARQUE','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3114538,8.00,6.00,5.00,1.00,7.00,6.00,4.00,4.00,6.00,104,NULL,NULL,'AIURê','GR PARá','SC',6939,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3114546,5.00,4.00,1.00,2.00,6.00,4.00,3.00,3.00,3.00,202,NULL,201,'KOBRASOL','S JOSé','SC',16266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114554,9.00,9.00,6.00,8.00,7.00,5.00,8.00,8.00,7.00,103,NULL,NULL,'BOM RETIRO','BLUMENAU','SC',502,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3114562,1.00,3.00,2.00,2.00,4.00,NULL,3.00,3.00,3.00,308,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114570,7.00,9.00,7.00,7.00,7.00,7.00,5.00,8.00,7.00,303,NULL,NULL,'CENTRO','PALHOçA','SC',1009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114589,2.00,1.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,339,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114597,4.00,3.00,2.00,1.00,2.00,NULL,1.00,6.00,3.00,216,NULL,215,'RIBEIRãO PRETO','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114600,4.00,5.00,5.00,8.00,6.00,6.00,2.00,5.00,3.00,238,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',9761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114619,4.00,7.00,6.00,9.00,7.00,5.75,2.00,7.00,4.00,453,NULL,NULL,'NAçõES','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3114627,8.00,6.00,7.00,8.00,6.00,6.50,2.00,7.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2313,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114635,3.00,3.00,2.00,4.00,5.00,6.25,3.00,5.00,2.00,501,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',15691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114651,4.00,5.00,2.00,6.00,6.00,6.50,3.00,6.00,2.00,302,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',11063,125,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114660,7.00,5.00,9.00,6.00,7.00,4.50,6.00,8.00,9.00,103,NULL,NULL,'JARDIM AMALIA','CAçAPAVA','SP',1331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114686,5.00,3.00,1.00,8.00,4.00,5.50,1.00,6.00,3.00,339,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',14678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LEBLON','PARANAGUá','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3114708,7.00,7.00,5.00,9.00,7.00,5.50,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114716,7.00,5.00,1.00,5.00,5.00,6.50,4.00,6.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',6612,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3114724,4.00,5.00,4.00,6.00,4.00,4.50,2.00,3.00,6.00,216,NULL,211,'CENTRO','CRICIúMA','SC',13256,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3114732,7.00,9.00,5.00,7.00,6.00,5.25,3.00,8.00,7.00,103,NULL,NULL,'BELA VISTA','FRAIBURGO','SC',2765,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114775,2.00,7.00,3.00,8.00,5.00,5.50,4.00,5.00,1.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11921,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114783,3.00,4.00,3.00,4.00,4.00,5.00,0.00,6.00,4.00,207,NULL,201,'IPIRANGA','FREDERICO WESTPHALEN','RS',15227,789,NULL,1174,NULL,NULL,NULL,2,1),(16,3114791,2.00,4.00,4.00,4.00,5.00,4.00,2.00,4.00,2.00,326,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',16593,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3114805,7.00,5.00,4.00,5.00,5.00,6.00,4.00,6.00,6.00,415,NULL,NULL,'MORRO GRANDE','CAIEIRAS','SP',6127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3114830,1.00,3.00,4.00,4.00,7.00,4.75,4.00,4.00,5.00,108,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',14075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114856,3.00,2.00,2.00,3.00,3.00,NULL,1.00,5.00,4.00,340,NULL,NULL,'PASSO DA AREIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114864,6.00,6.00,3.00,7.00,5.00,6.25,5.00,7.00,7.00,316,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114872,5.00,4.00,2.00,7.00,5.00,5.75,4.00,5.00,3.00,214,NULL,220,'FORQUILHINHAS','S JOSé','SC',11472,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3114880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'TORRES DE SãO JOSé','JUNDIAí','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3114899,7.00,2.00,4.00,9.00,6.00,4.50,3.00,6.00,4.00,503,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',8435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114910,3.00,6.00,4.00,4.00,4.00,5.25,2.00,4.00,2.00,329,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',14770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114929,4.00,3.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'PINHEIRA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3114937,3.00,4.00,2.00,3.00,4.00,NULL,1.00,3.00,4.00,104,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114945,5.00,3.00,2.00,6.00,3.00,NULL,2.00,5.00,3.00,104,NULL,NULL,'JARDIM PRIMAVERA','LONTRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3114953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3114970,6.00,6.00,6.00,3.00,5.00,4.50,1.00,5.00,5.00,503,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',10793,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3114988,3.00,6.00,1.00,7.00,6.00,6.00,2.00,6.00,3.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3114996,3.00,3.00,1.00,3.00,3.00,NULL,1.00,3.00,2.00,201,NULL,NULL,'NOSSA SR DE LURDES','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3115003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3115011,8.00,6.00,4.00,7.00,7.00,7.00,6.00,8.00,5.00,104,NULL,NULL,'PRAINHA','FLORIANóPOLIS','SC',2891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115020,7.00,6.00,4.00,4.00,6.00,4.50,2.00,5.00,6.00,208,NULL,238,'HUMAITá DE CIMA','TUBARãO','SC',7714,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3115038,8.00,7.00,5.00,7.00,8.00,6.00,5.00,7.00,7.00,5,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',2009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115046,5.00,6.00,5.00,7.00,6.00,5.00,3.00,5.00,5.00,302,NULL,NULL,'IMBIRAPUERA','MRO FUMAçA','SC',7315,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3115054,1.00,5.00,4.00,6.00,5.00,6.75,2.00,8.00,3.00,310,NULL,NULL,'CENTRO','GAROPABA','SC',11821,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115062,3.00,3.00,2.00,5.00,3.00,NULL,5.00,2.00,3.00,103,NULL,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115070,4.00,3.00,2.00,5.00,2.00,NULL,1.00,3.00,2.00,201,NULL,238,'PALMITAL','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3115089,2.00,2.00,1.00,3.00,1.00,NULL,1.00,1.00,3.00,301,NULL,NULL,'ENSEADA DE BRITO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115097,4.00,6.00,4.00,6.00,5.00,6.00,4.00,6.00,3.00,318,NULL,NULL,'ESCOLA AGRíCOLA','BLUMENAU','SC',9556,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3115100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'JARDIN LANCASTER','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3115127,1.00,0.00,3.00,0.00,3.00,NULL,1.00,2.00,5.00,453,NULL,NULL,'BARRA DO ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115143,5.00,4.00,4.00,3.00,5.00,6.50,4.00,5.00,7.00,216,NULL,215,'SACO GRANDE II','FLORIANóPOLIS','SC',8907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115151,1.00,3.00,3.00,1.00,1.00,NULL,3.00,2.00,3.00,103,NULL,NULL,'GUARUJA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3115178,2.00,6.00,1.00,7.00,4.00,5.25,3.00,3.00,5.00,201,NULL,203,'CENTRO','JOAçABA','SC',13654,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3115186,2.00,4.00,4.00,0.00,3.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'NOVA BRASíLIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115194,4.00,6.00,2.00,6.00,4.00,4.50,4.00,8.00,3.00,453,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',11226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115208,7.00,5.00,7.00,8.00,6.00,5.00,3.00,8.00,7.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',3520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115216,6.00,7.00,5.00,8.00,8.00,6.00,4.00,7.00,7.00,103,NULL,NULL,'SERRARIA','S JOSé','SC',2903,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115224,7.00,6.00,6.00,7.00,6.00,5.00,2.00,5.00,6.00,201,NULL,216,'DAS NAçõES','TIMBó','SC',6340,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3115232,4.00,6.00,4.00,5.00,5.00,5.25,3.00,6.00,3.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',12138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115240,5.00,8.00,7.00,7.00,6.00,5.00,4.00,6.00,6.00,212,NULL,213,'KOBRASOL','S JOSé','SC',3352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115259,4.00,4.00,3.00,6.00,4.00,4.00,1.00,5.00,3.00,415,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',15045,386,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115267,3.00,6.00,6.00,9.00,3.00,NULL,4.00,3.00,3.00,214,NULL,233,'DEHON','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3115275,8.00,8.00,6.00,8.00,6.00,6.00,5.00,9.00,7.00,303,NULL,NULL,'CENTRO','TUBARãO','SC',1439,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3115283,5.00,5.00,3.00,6.00,5.00,5.50,1.00,3.00,1.00,101,NULL,NULL,'COLôNIA SANTANA','S JOSé','SC',15279,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115291,3.00,4.00,2.00,6.00,4.00,4.75,2.00,3.00,5.00,215,NULL,233,'CAPOEIRAS','FLORIANóPOLIS','SC',15688,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115305,3.00,5.00,2.00,2.00,3.00,NULL,3.00,4.00,2.00,207,NULL,NULL,'BARRA','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3115313,8.00,7.00,5.00,6.00,5.00,5.00,6.00,8.00,7.00,203,NULL,201,'DISTRITO INDUSTRIAL','JOINVILLE','SC',2558,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3115321,4.00,5.00,2.00,6.00,3.00,NULL,3.00,5.00,4.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115330,4.00,5.00,1.00,9.00,6.00,5.00,2.00,3.00,5.00,103,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',12660,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115348,6.00,4.00,4.00,8.00,7.00,4.50,4.00,7.00,7.00,203,NULL,202,'SÃO CRISTOVÃO','CRICIUMA','SC',5239,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3115364,7.00,8.00,7.00,9.00,8.00,5.75,5.00,8.00,7.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115372,3.00,4.00,2.00,6.00,0.00,NULL,5.00,4.00,0.00,203,NULL,214,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3115380,4.00,6.00,4.00,3.00,3.00,NULL,0.00,5.00,5.00,319,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115399,3.00,6.00,3.00,6.00,7.00,5.00,2.00,7.00,5.00,302,NULL,NULL,'IMBIRAPUERA','MRO FUMAçA','SC',10218,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3115402,5.00,5.00,6.00,4.00,4.00,5.50,4.00,7.00,7.00,233,NULL,215,'CENTRO','FLORIANóPOLIS','SC',6659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115410,6.00,8.00,7.00,8.00,7.00,7.75,5.00,8.00,5.00,103,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',1384,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115429,3.00,6.00,4.00,6.00,4.00,3.00,4.00,5.00,4.00,201,NULL,212,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115437,7.00,5.00,3.00,9.00,9.00,6.25,4.00,8.00,4.00,450,NULL,NULL,'SANTO ANTONIO','FLORIANóPOLIS','SC',4085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115453,6.00,4.00,2.00,7.00,5.00,4.25,2.00,5.00,4.00,203,NULL,202,'CENTRO','RIO SUL','SC',13372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115461,5.00,2.00,2.00,5.00,4.00,5.75,4.00,6.00,2.00,340,NULL,NULL,'SÃO MIGUEL','MARíLIA','SP',14188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115470,1.00,5.00,2.00,6.00,3.00,NULL,2.00,4.00,4.00,303,NULL,NULL,'DE FÁTIMA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115488,4.00,2.00,1.00,5.00,6.00,NULL,3.00,2.00,3.00,319,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115496,3.00,4.00,6.00,1.00,4.00,5.25,4.00,4.00,4.00,203,NULL,201,'BELA VISTA','CONCóRDIA','SC',14564,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3115500,5.00,3.00,4.00,5.00,4.00,4.25,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',16056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA DAMáSIO','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3115534,4.00,5.00,3.00,9.00,5.00,6.25,3.00,6.00,4.00,207,NULL,201,'SUDOESTE','CRUZEIRO','DF',7724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3115569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'MONTE KEMEL','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3115577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3115585,4.00,6.00,4.00,7.00,5.00,5.75,4.00,7.00,4.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',8376,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115623,8.00,8.00,8.00,9.00,8.00,5.25,6.00,8.00,8.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115631,5.00,4.00,4.00,6.00,3.00,NULL,1.00,6.00,5.00,316,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','TAUBATé','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3115658,4.00,3.00,3.00,6.00,4.00,5.25,3.00,3.00,3.00,303,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',15245,667,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115666,5.00,4.00,2.00,9.00,6.00,4.00,2.00,3.00,4.00,303,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3115674,2.00,3.00,3.00,3.00,3.00,NULL,2.00,6.00,2.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115682,5.00,1.00,2.00,4.00,7.00,NULL,1.00,4.00,3.00,415,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115704,3.00,3.00,2.00,2.00,0.00,NULL,2.00,3.00,2.00,425,NULL,421,'POçO FUNDO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115712,5.00,8.00,2.00,5.00,7.00,5.50,3.00,2.00,1.00,104,NULL,NULL,'SERRARIA','S JOSé','SC',12966,365,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115720,7.00,7.00,6.00,5.00,6.00,5.75,3.00,7.00,4.00,444,NULL,NULL,'KOBRASOL','S JOSé','SC',5564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'GLóRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3115747,5.00,8.00,1.00,7.00,5.00,6.50,5.00,6.00,4.00,420,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',7213,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115755,5.00,6.00,2.00,4.00,3.00,NULL,3.00,5.00,4.00,223,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115763,2.00,0.00,3.00,2.00,1.00,NULL,2.00,2.00,2.00,108,NULL,NULL,'CENTRO','BOM JESUS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3115771,4.00,6.00,5.00,9.00,7.00,7.50,4.00,7.00,4.00,215,NULL,216,'VICTOR KONDER','BLUMENAU','SC',3732,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3115798,5.00,3.00,3.00,8.00,6.00,4.50,3.00,4.00,3.00,211,NULL,233,'AGRONOMICA','FLORIANóPOLIS','SC',13413,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,233,'SALETE','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3115828,8.00,8.00,4.00,7.00,4.00,5.25,5.00,9.00,6.00,103,NULL,NULL,'JOQUEI CLUBE','CPO GRANDE','MS',2711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'VILA OLíMPICA','UBERABA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3115844,4.00,3.00,2.00,2.00,8.00,NULL,0.00,3.00,4.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115852,3.00,5.00,1.00,5.00,5.00,5.75,2.00,3.00,4.00,201,NULL,212,'BARREIROS','S JOSé','SC',15317,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115860,5.00,5.00,4.00,8.00,2.00,NULL,2.00,6.00,2.00,202,NULL,203,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3115879,5.00,5.00,5.00,6.00,5.00,6.25,3.00,4.00,2.00,103,NULL,NULL,'JARDIM BOTANICO','CURITIBA','PR',11137,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3115887,6.00,4.00,5.00,7.00,4.00,5.75,3.00,6.00,4.00,303,NULL,NULL,'CENTRO','CPO GRANDE','MS',8566,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3115895,5.00,1.00,4.00,6.00,4.00,6.00,4.00,3.00,3.00,104,NULL,NULL,'CABREUVA','CPO GRANDE','MS',14355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115909,8.00,8.00,6.00,9.00,6.00,7.50,6.00,9.00,9.00,103,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115917,5.00,7.00,2.00,8.00,6.00,6.00,3.00,4.00,5.00,234,NULL,NULL,'TABAJARA','CAçADOR','SC',7241,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115925,6.00,7.00,6.00,5.00,7.00,6.00,3.00,9.00,7.00,207,NULL,215,'CENTRO','FLORIANóPOLIS','SC',2549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115933,5.00,4.00,5.00,8.00,3.00,NULL,1.00,5.00,3.00,201,NULL,202,'VILA PLANALTO','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3115941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UVARANAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3115968,5.00,6.00,3.00,1.00,4.00,7.00,3.00,6.00,4.00,5,NULL,NULL,'SANTO ANJO DA GUARDA','TRêS CACHOEIRAS','RS',11927,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3115976,6.00,7.00,5.00,6.00,6.00,6.50,4.00,6.00,6.00,104,NULL,NULL,'CENTRO','BIGUAçU','SC',4161,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3115984,5.00,4.00,5.00,0.00,6.00,6.50,3.00,6.00,3.00,201,NULL,211,'CENTRO','CANELINHA','SC',12742,990,NULL,443,NULL,NULL,NULL,4,1),(16,3115992,5.00,7.00,2.00,5.00,6.00,5.50,3.00,7.00,3.00,303,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',9119,404,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116000,4.00,7.00,7.00,6.00,6.00,4.25,2.00,4.00,6.00,3,NULL,NULL,'PLANALTO DO SOL','STA BáRBARA D OESTE','SP',6620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116018,6.00,5.00,3.00,9.00,7.00,6.75,5.00,8.00,0.00,318,NULL,NULL,'PERDIZES','S PAULO','SP',5969,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3116026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'JACAREPAGUá','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3116034,8.00,9.00,7.00,8.00,7.00,7.00,8.00,9.00,8.00,207,NULL,215,'INGLESES','FLORIANóPOLIS','SC',246,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116042,2.00,2.00,3.00,5.00,1.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3116050,8.00,8.00,1.00,9.00,8.00,4.75,5.00,6.00,6.00,303,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',2778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116069,6.00,6.00,6.00,8.00,8.00,7.50,4.00,2.00,4.00,303,NULL,NULL,'COOPHAMAT','CPO GRANDE','MS',5272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116077,5.00,3.00,5.00,7.00,4.00,6.75,2.00,4.00,5.00,104,NULL,NULL,'CENTRO BIGUAçU','BIGUAçU','SC',12433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116085,3.00,4.00,2.00,3.00,4.00,5.25,2.00,7.00,2.00,310,NULL,NULL,'STA ROSALIA','SOROCABA','SP',16059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116093,5.00,4.00,3.00,5.00,5.00,4.25,3.00,6.00,5.00,203,NULL,214,'BOA PARADA','S PEDRO ALCâNTARA','SC',10994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116107,1.00,1.00,2.00,8.00,3.00,NULL,1.00,3.00,2.00,9,NULL,NULL,'COQUEIRAL','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116115,2.00,1.00,2.00,2.00,5.00,NULL,4.00,4.00,2.00,319,NULL,NULL,'JARDIM VALERI','REGISTRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116123,3.00,7.00,2.00,7.00,4.00,5.25,2.00,5.00,3.00,104,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',13687,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116131,9.00,7.00,5.00,8.00,9.00,7.75,4.00,7.00,6.00,208,NULL,NULL,'BOA VISTA','S VICENTE','SP',1931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116140,6.00,3.00,2.00,7.00,6.00,5.50,3.00,4.00,4.00,340,NULL,NULL,'PROGRESSO','BENTO GONçALVES','RS',10544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116158,4.00,4.00,3.00,6.00,4.00,4.75,1.00,5.00,4.00,340,NULL,NULL,'FLORESTA','JOINVILLE','SC',14867,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3116166,8.00,7.00,2.00,7.00,8.00,5.75,2.00,5.00,7.00,103,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',4514,1402,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116174,8.00,5.00,3.00,8.00,8.00,6.50,4.00,9.00,6.00,319,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',3377,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116182,5.00,6.00,3.00,5.00,5.00,5.25,5.00,7.00,6.00,202,NULL,203,'ITOUPAVA NORTE','BLUMENAU','SC',7393,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3116190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MEIA PRAIA ITAPEMA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3116204,4.00,5.00,3.00,0.00,2.00,NULL,1.00,6.00,2.00,207,NULL,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116212,4.00,2.00,2.00,3.00,2.00,NULL,3.00,3.00,2.00,309,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116220,4.00,5.00,4.00,8.00,2.00,NULL,2.00,7.00,3.00,103,NULL,NULL,'PRESIDENTE MéDICI','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3116239,3.00,2.00,2.00,2.00,2.00,NULL,1.00,3.00,4.00,301,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3116255,3.00,2.00,2.00,1.00,3.00,NULL,6.00,5.00,1.00,207,NULL,201,'JARDIM ESMERALDA','STA BáRBARA D OESTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116263,5.00,4.00,3.00,6.00,5.00,6.50,4.00,5.00,3.00,103,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',11756,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3116280,2.00,2.00,3.00,2.00,3.00,NULL,3.00,2.00,2.00,202,NULL,203,'LIBERDADE','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3116301,7.00,7.00,8.00,5.00,6.00,4.50,6.00,7.00,7.00,214,NULL,220,'CENTRO','BAL CAMBORIú','SC',2400,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3116310,5.00,6.00,2.00,6.00,5.00,5.50,2.00,8.00,6.00,326,NULL,NULL,'PRESIDENTE MEDICE','CHAPECó','SC',8354,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3116328,5.00,4.00,2.00,5.00,5.00,NULL,0.00,2.00,4.00,316,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116344,6.00,9.00,5.00,7.00,7.00,6.50,3.00,9.00,4.00,108,NULL,NULL,'CENTRO','ITAJAí','SC',2754,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3116352,7.00,7.00,8.00,7.00,6.00,4.75,3.00,7.00,5.00,214,NULL,212,'CENTRO','RIBEIRãO PRETO','SP',3317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116387,5.00,6.00,5.00,5.00,5.00,4.25,3.00,4.00,5.00,103,NULL,NULL,'MICHEL','CRICIúMA','SC',9715,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3116395,3.00,0.00,3.00,6.00,3.00,NULL,4.00,5.00,3.00,308,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,216,'CENTRO OESTE','CATANDUVAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3116425,3.00,5.00,1.00,8.00,3.00,NULL,4.00,4.00,3.00,103,NULL,NULL,'JURERE INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3116433,6.00,2.00,2.00,3.00,3.00,NULL,2.00,3.00,4.00,207,NULL,212,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3116450,2.00,2.00,3.00,4.00,0.00,NULL,0.00,1.00,2.00,308,NULL,NULL,'ALTO ARROIO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116476,5.00,7.00,3.00,2.00,6.00,4.25,1.00,4.00,3.00,103,NULL,NULL,'SANTA RITA','BRUSQUE','SC',14830,2677,NULL,NULL,NULL,NULL,NULL,4,6),(16,3116484,3.00,5.00,2.00,4.00,4.00,3.25,4.00,4.00,3.00,220,NULL,202,'CENTRO','GUAíRA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116492,3.00,3.00,4.00,5.00,5.00,4.25,2.00,2.00,3.00,212,NULL,213,'JOãO PAULO','FLORIANóPOLIS','SC',16433,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116506,1.00,4.00,1.00,3.00,4.00,NULL,1.00,3.00,3.00,207,NULL,201,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116514,3.00,3.00,1.00,0.00,2.00,NULL,1.00,5.00,4.00,429,NULL,426,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116522,7.00,7.00,7.00,8.00,7.00,6.25,4.00,5.00,3.00,317,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',3452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116530,3.00,6.00,1.00,3.00,3.00,NULL,4.00,3.00,1.00,103,NULL,NULL,'CENTRO','PINHEIRO PRETO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3116549,2.00,2.00,1.00,3.00,2.00,NULL,2.00,1.00,5.00,501,NULL,NULL,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3116557,4.00,4.00,2.00,4.00,6.00,5.75,3.00,2.00,2.00,319,NULL,NULL,'PASSA VINTE','PALHOçA','SC',15922,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116565,1.00,0.00,3.00,3.00,4.00,NULL,0.00,2.00,1.00,426,NULL,428,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JARDIM COLONIAL','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3116581,3.00,8.00,2.00,9.00,6.00,7.25,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','VIDEIRA','SC',7376,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3116590,4.00,1.00,1.00,7.00,4.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'TRIANGULO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3116603,3.00,2.00,4.00,5.00,1.00,NULL,3.00,1.00,5.00,340,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116611,8.00,7.00,9.00,9.00,6.00,7.50,5.00,5.00,7.00,203,NULL,216,'SETOR RESID NORTE','SINOP','MT',1220,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3116620,3.00,3.00,3.00,4.00,3.00,NULL,2.00,2.00,5.00,220,NULL,203,'JARDIN ESTORIL','CORNéLIO PROCóPIO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3116638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ELDORADO','ASSAí','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3116646,5.00,6.00,4.00,2.00,4.00,4.75,3.00,6.00,2.00,208,NULL,238,'SERTãO DO TROMBUDO','ITAPEMA','SC',13628,443,NULL,432,NULL,NULL,NULL,4,3),(16,3116654,6.00,3.00,4.00,6.00,6.00,4.75,4.00,4.00,5.00,303,NULL,NULL,'MAR GROSSO','LAGUNA','SC',9873,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3116662,4.00,4.00,3.00,6.00,4.00,5.00,0.00,4.00,2.00,103,NULL,NULL,'CENTRO','POMERODE','SC',15862,NULL,NULL,NULL,NULL,NULL,NULL,5,2),(16,3116670,4.00,3.00,6.00,3.00,3.00,NULL,2.00,4.00,1.00,201,NULL,212,'INTERIOR','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3116689,2.00,2.00,4.00,3.00,4.00,6.75,3.00,4.00,4.00,310,NULL,NULL,'VILA NOVA','PTO ALEGRE','RS',15921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116697,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,212,NULL,207,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3116719,3.00,6.00,5.00,7.00,6.00,5.75,2.00,8.00,4.00,318,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',8090,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'SANTO AMARO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3116735,6.00,5.00,3.00,5.00,6.00,5.00,2.00,5.00,8.00,502,NULL,NULL,'SANTO ANTãO','BENTO GONçALVES','RS',9050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116743,4.00,6.00,6.00,6.00,5.00,5.00,2.00,4.00,4.00,452,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',11748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116751,3.00,4.00,4.00,6.00,4.00,6.00,4.00,6.00,2.00,319,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12941,260,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'JARDIM SANTA GENEBRA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3116778,2.00,6.00,3.00,6.00,5.00,6.25,2.00,6.00,4.00,420,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',12467,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116786,7.00,7.00,5.00,5.00,6.00,6.50,2.00,6.00,4.00,207,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116794,3.00,7.00,4.00,3.00,4.00,5.00,3.00,6.00,6.00,216,NULL,208,'CENTRO','CAPAO DA CANOA','RS',10394,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3116808,5.00,6.00,5.00,9.00,7.00,5.50,6.00,8.00,4.00,5,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',3177,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116816,4.00,6.00,4.00,5.00,6.00,5.25,2.00,4.00,3.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116824,9.00,8.00,8.00,8.00,6.00,6.00,4.00,9.00,8.00,303,NULL,NULL,'MINA BRASIL','CRICIúMA','SC',919,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3116832,9.00,8.00,8.00,8.00,6.00,6.50,4.00,6.00,6.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1442,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116840,6.00,4.00,3.00,5.00,3.00,NULL,5.00,2.00,3.00,207,NULL,212,'CENTRO','CAçADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3116859,2.00,1.00,1.00,1.00,7.00,NULL,2.00,4.00,2.00,201,NULL,233,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3116875,5.00,5.00,5.00,8.00,4.00,6.25,2.00,3.00,3.00,102,NULL,NULL,'JARDIM ATLâNTICO','S JOSé','SC',10283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116883,6.00,4.00,3.00,8.00,5.00,3.00,4.00,6.00,6.00,203,NULL,220,'JARDIM SãO VICENTE','PARANAVAí','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3116891,2.00,2.00,3.00,6.00,6.00,4.25,3.00,5.00,4.00,9,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',14851,149,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3116913,3.00,8.00,5.00,6.00,4.00,5.75,3.00,9.00,3.00,326,NULL,NULL,'PILARZINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3116921,3.00,7.00,4.00,2.00,6.00,4.25,1.00,7.00,4.00,208,NULL,238,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116948,4.00,5.00,2.00,6.00,3.00,NULL,2.00,3.00,5.00,420,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116956,4.00,3.00,1.00,5.00,5.00,5.25,2.00,4.00,4.00,101,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3116964,3.00,5.00,3.00,3.00,4.00,6.00,2.00,4.00,2.00,303,NULL,NULL,'CENTRO','BIGUAçU','SC',16057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3116972,7.00,7.00,3.00,8.00,6.00,6.75,2.00,7.00,5.00,104,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',5276,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3117006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'ASA NORTE','BRASíLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3117030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3117049,4.00,7.00,4.00,7.00,8.00,6.50,3.00,7.00,5.00,428,NULL,NULL,'JARDIM ESMERALDA','LIMEIRA','SP',4841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117057,3.00,3.00,2.00,4.00,1.00,NULL,2.00,7.00,4.00,316,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3117073,5.00,5.00,5.00,4.00,6.00,4.75,3.00,6.00,4.00,303,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',10369,446,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117081,4.00,3.00,3.00,1.00,4.00,5.50,3.00,8.00,1.00,426,NULL,428,'MATO ALTO','LAGUNA','SC',15332,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3117090,4.00,4.00,6.00,1.00,3.00,NULL,2.00,5.00,2.00,203,NULL,233,'CENTRO','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117103,6.00,8.00,6.00,9.00,7.00,6.75,4.00,6.00,7.00,450,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',1947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117111,3.00,7.00,4.00,8.00,6.00,5.75,4.00,8.00,3.00,211,NULL,201,'CENTRO','CPO MOURãO','PR',6397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117138,7.00,8.00,8.00,6.00,7.00,7.50,3.00,8.00,7.00,103,NULL,NULL,'FATIMA UM','POUSO ALEGRE','MG',1015,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3117146,2.00,3.00,2.00,4.00,3.00,NULL,2.00,7.00,2.00,340,NULL,NULL,'CENTRO','IPORã OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3117162,4.00,5.00,3.00,8.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117170,3.00,1.00,1.00,4.00,4.00,4.75,2.00,5.00,4.00,102,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',16558,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3117189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3117197,4.00,6.00,3.00,6.00,2.00,NULL,7.00,6.00,5.00,104,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117200,3.00,5.00,4.00,2.00,2.00,NULL,3.00,4.00,3.00,317,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117219,2.00,0.00,2.00,5.00,3.00,NULL,2.00,1.00,2.00,214,NULL,NULL,'SãO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3117227,4.00,5.00,2.00,6.00,4.00,5.25,2.00,4.00,3.00,102,NULL,NULL,'CENTRO','PIêN','PR',14288,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3117235,4.00,4.00,1.00,8.00,2.00,NULL,2.00,4.00,2.00,453,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117243,4.00,3.00,2.00,6.00,7.00,5.25,3.00,6.00,5.00,319,NULL,NULL,'SãO CRISTóVãO','CHAPECó','SC',10849,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3117251,4.00,1.00,2.00,2.00,6.00,4.75,3.00,3.00,5.00,103,NULL,NULL,'BARREIROS','S JOSé','SC',16177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117278,4.00,3.00,2.00,6.00,3.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3117286,5.00,6.00,3.00,7.00,5.00,6.75,1.00,7.00,3.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','MRO GRANDE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3117308,5.00,8.00,7.00,8.00,8.00,5.00,4.00,8.00,6.00,215,NULL,233,'SAIC','CHAPECó','SC',1870,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3117316,5.00,5.00,3.00,7.00,4.00,4.75,2.00,4.00,4.00,212,NULL,201,'SAGUAçU','JOINVILLE','SC',11006,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3117324,4.00,5.00,4.00,8.00,5.00,4.00,4.00,4.00,4.00,103,NULL,NULL,'LAGO NORTE','LG NORTE','DF',10268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117332,3.00,5.00,7.00,4.00,2.00,NULL,5.00,2.00,5.00,201,NULL,212,'SAO LOURENCO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117340,3.00,3.00,2.00,3.00,4.00,NULL,2.00,4.00,3.00,415,NULL,NULL,'CENTRO','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117359,5.00,3.00,4.00,7.00,6.00,5.25,2.00,6.00,3.00,317,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',11331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3117367,3.00,3.00,3.00,7.00,2.00,NULL,2.00,3.00,4.00,213,NULL,202,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3117375,7.00,3.00,6.00,9.00,6.00,5.75,6.00,6.00,7.00,103,NULL,NULL,'MOEMA','S PAULO','SP',2219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'CHAC VALE RIO COTIA','CARAPICUíBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3117391,5.00,7.00,2.00,6.00,7.00,6.00,5.00,4.00,5.00,102,NULL,NULL,'CENTRO','S JOãO BATISTA','SC',8542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117405,5.00,6.00,7.00,8.00,5.00,5.50,5.00,9.00,6.00,203,NULL,202,'JARDIM DAS PALMEIRAS','BRAGANçA PAULISTA','SP',2641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117413,2.00,4.00,5.00,5.00,3.00,NULL,4.00,2.00,1.00,326,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3117430,6.00,3.00,3.00,5.00,5.00,4.75,1.00,4.00,7.00,203,NULL,238,'COQUEIROS','FLORIANóPOLIS','SC',12378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'TATUAPE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3117472,3.00,2.00,2.00,8.00,4.00,5.00,2.00,4.00,3.00,207,NULL,215,'CIDADE TIRADENTES','S PAULO','SP',16079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM AVAí','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3117499,7.00,3.00,7.00,3.00,5.00,4.00,5.00,7.00,8.00,203,NULL,214,'CENTRO','CAMBé','PR',6078,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3117502,5.00,7.00,5.00,3.00,6.00,6.25,4.00,8.00,8.00,201,NULL,212,'AGRONôMICA','FLORIANóPOLIS','SC',3798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117510,5.00,4.00,3.00,8.00,6.00,4.50,3.00,3.00,4.00,212,NULL,233,'VARGEM GRANDE','FLORIANóPOLIS','SC',12413,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3117537,2.00,5.00,1.00,1.00,1.00,NULL,3.00,5.00,2.00,201,NULL,238,'CENTRO','LEOBERTO LEAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3117545,6.00,6.00,1.00,4.00,4.00,4.25,2.00,5.00,3.00,501,NULL,NULL,'VOLTA GRANDE','MIRIM DOCE','SC',14975,126,NULL,NULL,NULL,NULL,NULL,2,9),(16,3117553,6.00,4.00,2.00,6.00,5.00,6.00,3.00,7.00,3.00,428,NULL,429,'CENTRO','BIGUAçU','SC',9971,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3117561,8.00,8.00,7.00,9.00,9.00,4.75,5.00,8.00,8.00,103,NULL,NULL,'JD DAS INDUSTRIAS','S JOSé CAMPOS','SP',412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117570,2.00,3.00,4.00,6.00,5.00,5.75,3.00,5.00,4.00,303,NULL,NULL,'BOEHMERWALD','S BENTO SUL','SC',13802,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3117588,8.00,5.00,7.00,8.00,6.00,5.50,3.00,7.00,6.00,208,NULL,NULL,'SãO LUIS','SEBERI','RS',4021,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3117600,2.00,4.00,3.00,6.00,3.00,NULL,2.00,4.00,4.00,103,NULL,NULL,'FRAGATA','MARíLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117618,0.00,0.00,0.00,7.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3117626,5.00,8.00,3.00,6.00,5.00,5.00,4.00,6.00,4.00,202,NULL,220,'TRINDADE','FLORIANóPOLIS','SC',8457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3117634,7.00,5.00,5.00,8.00,3.00,NULL,5.00,7.00,5.00,216,NULL,NULL,'CENTRO','FRANCISCO BELTRãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3117642,7.00,5.00,6.00,6.00,7.00,5.75,4.00,8.00,7.00,103,NULL,NULL,'VILA MELO','S VICENTE','SP',3059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117650,4.00,2.00,1.00,4.00,3.00,NULL,2.00,4.00,2.00,444,NULL,NULL,'CIDADE TIRADENTES','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117669,7.00,8.00,5.00,9.00,7.00,7.00,5.00,8.00,6.00,233,NULL,215,'PROGRESSO','BLUMENAU','SC',1225,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3117677,4.00,3.00,2.00,2.00,4.00,NULL,1.00,6.00,1.00,301,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117685,3.00,4.00,2.00,5.00,2.00,NULL,4.00,3.00,5.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117693,6.00,5.00,6.00,7.00,5.00,7.75,5.00,6.00,8.00,104,NULL,NULL,'BARREIROS','S JOSé','SC',3987,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3117715,4.00,7.00,2.00,6.00,2.00,NULL,3.00,6.00,4.00,203,NULL,208,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117723,3.00,4.00,3.00,3.00,2.00,NULL,3.00,5.00,2.00,238,NULL,208,'JARDIM DAS PALMEIRAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117731,3.00,3.00,4.00,5.00,4.00,NULL,2.00,1.00,2.00,208,NULL,220,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117740,4.00,4.00,5.00,3.00,3.00,NULL,2.00,4.00,3.00,104,NULL,NULL,'CENTRO','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3117758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM IRAJá','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3117766,5.00,2.00,1.00,2.00,4.00,4.25,3.00,5.00,2.00,208,NULL,201,'BARREIROS','S JOSé','SC',16678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117782,2.00,6.00,4.00,8.00,7.00,5.75,3.00,5.00,5.00,3,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',8821,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3117790,3.00,0.00,1.00,5.00,3.00,NULL,2.00,4.00,2.00,451,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3117804,7.00,7.00,7.00,8.00,7.00,7.25,6.00,7.00,8.00,104,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117812,3.00,8.00,2.00,8.00,3.00,NULL,3.00,7.00,2.00,203,NULL,214,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3117820,5.00,6.00,6.00,9.00,6.00,6.25,5.00,4.00,6.00,207,NULL,233,'CARIANOS','FLORIANóPOLIS','SC',4823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117839,4.00,5.00,2.00,7.00,4.00,5.00,4.00,7.00,5.00,216,NULL,202,'CENTRO','TREVISO','SC',9813,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3117847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BITURUNA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3117855,4.00,6.00,4.00,3.00,4.00,5.75,5.00,6.00,3.00,202,NULL,238,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CAMBUI','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3117871,2.00,4.00,3.00,6.00,2.00,NULL,1.00,4.00,2.00,450,NULL,NULL,'BARãO GERALDO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3117880,3.00,4.00,3.00,8.00,5.00,6.00,3.00,3.00,5.00,451,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',12743,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3117910,4.00,6.00,5.00,5.00,7.00,5.25,0.00,8.00,5.00,429,NULL,421,'CENTRO','RANCHO QUEIMADO','SC',8871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117936,3.00,6.00,4.00,6.00,4.00,6.25,4.00,4.00,3.00,222,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',11663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3117944,7.00,7.00,4.00,3.00,4.00,4.75,2.00,8.00,4.00,108,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANóPOLIS','SC',9481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117952,4.00,3.00,3.00,8.00,4.00,3.25,2.00,2.00,5.00,452,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117960,6.00,3.00,4.00,4.00,4.00,5.50,4.00,1.00,3.00,211,NULL,201,'ATIRADORES','JOINVILLE','SC',14279,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3117979,5.00,5.00,3.00,9.00,5.00,6.25,1.00,5.00,7.00,215,NULL,216,'JARDIM ESPLANADA','S JOSé CAMPOS','SP',7873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3117987,3.00,3.00,3.00,2.00,3.00,NULL,2.00,5.00,4.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118002,8.00,7.00,5.00,8.00,7.00,6.50,6.00,7.00,8.00,103,NULL,NULL,'VILA CLEMENTINO','S PAULO','SP',1374,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3118010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JARDIM JUDITH','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3118029,3.00,5.00,5.00,3.00,4.00,4.00,4.00,7.00,2.00,211,NULL,NULL,'CENTRO','S BENTO SUL','SC',14178,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3118045,5.00,6.00,4.00,4.00,4.00,7.00,4.00,6.00,5.00,216,NULL,215,'CENTRO','S BENTO SUL','SC',7575,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3118053,3.00,2.00,3.00,5.00,4.00,NULL,2.00,2.00,3.00,303,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3118088,7.00,4.00,3.00,5.00,4.00,6.00,4.00,6.00,3.00,415,NULL,NULL,'BOA VISTA','S JOSé R PRETO','SP',10659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'CENTRO','TRêS BARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3118126,2.00,3.00,3.00,3.00,3.00,NULL,2.00,3.00,4.00,216,NULL,215,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118134,6.00,5.00,3.00,8.00,7.00,6.50,6.00,6.00,3.00,303,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',6741,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3118177,5.00,5.00,3.00,7.00,6.00,5.25,3.00,8.00,5.00,103,NULL,NULL,'ITAGUACU','FLORIANóPOLIS','SC',6635,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3118185,4.00,6.00,2.00,3.00,3.00,NULL,2.00,5.00,1.00,103,NULL,NULL,'CENTRO','SCHROEDER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3118193,3.00,3.00,3.00,5.00,2.00,NULL,1.00,3.00,2.00,208,NULL,220,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3118207,8.00,6.00,4.00,7.00,4.00,6.00,5.00,7.00,6.00,103,NULL,NULL,'SAGUAçU','JOINVILLE','SC',3952,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3118215,4.00,5.00,4.00,7.00,5.00,5.00,5.00,6.00,3.00,429,NULL,NULL,'VILA PARAíSO','CAçADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118223,4.00,4.00,3.00,6.00,6.00,6.50,3.00,6.00,4.00,202,NULL,213,'JOáIA','TIJUCAS','SC',9789,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3118231,7.00,5.00,4.00,6.00,5.00,4.50,4.00,7.00,5.00,303,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',6772,312,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118240,8.00,8.00,2.00,8.00,6.00,5.00,3.00,7.00,7.00,103,NULL,NULL,'JARDIM PRIMAVERA','GUARUJá','SP',3455,1170,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118258,7.00,7.00,6.00,8.00,5.00,5.75,3.00,7.00,7.00,103,NULL,NULL,'RIBEIRANIA','RIBEIRãO PRETO','SP',2942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118266,1.00,3.00,2.00,5.00,4.00,4.00,2.00,6.00,3.00,425,NULL,429,'MONTE CRISTO','FLORIANóPOLIS','SC',15920,105,NULL,71,NULL,NULL,NULL,4,1),(16,3118282,4.00,7.00,4.00,6.00,5.00,6.00,2.00,5.00,3.00,303,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',11163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3118290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','SARANDI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3118304,3.00,3.00,4.00,8.00,6.00,4.50,3.00,4.00,4.00,214,NULL,213,'AMéRICA','JOINVILLE','SC',12246,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3118312,5.00,5.00,5.00,9.00,4.00,6.75,2.00,6.00,4.00,202,NULL,NULL,'CZERNIEWICZ','JARAGUá SUL','SC',7330,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3118320,3.00,4.00,3.00,5.00,4.00,5.25,1.00,4.00,4.00,211,NULL,215,'CENTRO','LAGES','SC',15184,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3118339,7.00,7.00,5.00,8.00,6.00,5.75,4.00,6.00,7.00,202,NULL,233,'TABULEIRO','CAMBORIú','SC',4087,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3118347,6.00,6.00,4.00,8.00,7.00,6.75,3.00,9.00,6.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118355,6.00,7.00,4.00,7.00,6.00,5.50,3.00,8.00,7.00,303,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',4740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3118363,5.00,6.00,4.00,4.00,4.00,6.25,3.00,3.00,2.00,415,NULL,NULL,'VILA ITAPURA','CAMPINAS','SP',13128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118380,1.00,4.00,2.00,1.00,2.00,NULL,3.00,1.00,2.00,103,NULL,NULL,'BONFIM','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118398,4.00,6.00,6.00,9.00,7.00,4.75,4.00,7.00,5.00,333,NULL,NULL,'JARDIM DOM BOSCO','LONDRINA','PR',3958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118401,4.00,3.00,4.00,6.00,3.00,NULL,3.00,5.00,3.00,223,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118410,2.00,3.00,4.00,5.00,5.00,7.25,3.00,6.00,4.00,415,NULL,NULL,'JARDIM PROGRESSO','PARANAVAí','PR',12296,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3118428,4.00,8.00,8.00,9.00,8.00,6.50,3.00,7.00,7.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',1520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118436,4.00,4.00,2.00,6.00,9.00,6.00,3.00,5.00,4.00,207,NULL,212,'VICTOR KONDER','BLUMENAU','SC',10963,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3118444,3.00,4.00,4.00,5.00,4.00,4.75,5.00,4.00,3.00,444,NULL,NULL,'CAMPINAS','S JOSé','SC',13280,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3118452,4.00,1.00,1.00,1.00,6.00,NULL,2.00,3.00,4.00,104,NULL,NULL,'AEROPORTO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3118460,8.00,6.00,3.00,9.00,5.00,6.00,2.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118479,7.00,8.00,4.00,4.00,7.00,5.50,4.00,7.00,4.00,103,NULL,NULL,'CENTRO','DA EMMA','SC',5871,1656,NULL,NULL,NULL,NULL,NULL,4,2),(16,3118487,4.00,6.00,3.00,7.00,5.00,6.00,2.00,5.00,1.00,425,NULL,429,'COQUEIROS','FLORIANóPOLIS','SC',12532,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118541,6.00,4.00,1.00,7.00,5.00,6.50,4.00,5.00,2.00,415,NULL,NULL,'MORRO DO POSTO','LAGES','SC',12218,321,NULL,NULL,NULL,NULL,NULL,4,9),(16,3118550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3118568,6.00,5.00,2.00,4.00,3.00,NULL,2.00,5.00,4.00,220,NULL,213,'SALIOLA','MARíLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118576,7.00,5.00,4.00,4.00,6.00,5.00,2.00,7.00,5.00,201,NULL,208,'RIO DO SINOS','S LEOPOLDO','RS',9938,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3118584,6.00,6.00,1.00,3.00,7.00,6.75,4.00,5.00,4.00,316,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',9159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118592,5.00,3.00,4.00,8.00,3.00,NULL,2.00,5.00,4.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118622,7.00,7.00,2.00,10.00,7.00,5.50,5.00,3.00,1.00,328,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3118630,7.00,7.00,6.00,9.00,6.00,7.75,6.00,9.00,7.00,103,NULL,NULL,'CHAC SANTO ANTONIO','S PAULO','SP',607,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3118649,5.00,6.00,5.00,9.00,6.00,7.00,3.00,6.00,6.00,5,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',4808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118657,4.00,5.00,4.00,4.00,4.00,6.25,3.00,4.00,4.00,309,NULL,NULL,'CENTRO','S BORJA','RS',11904,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3118665,3.00,4.00,4.00,2.00,3.00,NULL,3.00,4.00,2.00,203,NULL,NULL,'CENTRO','CPO ALEGRE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3118673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM AQUARIUS','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3118681,7.00,6.00,4.00,7.00,6.00,6.25,4.00,5.00,7.00,201,NULL,213,'ESTREITO','FLORIANóPOLIS','SC',5019,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3118690,6.00,5.00,4.00,7.00,8.00,5.50,4.00,4.00,6.00,103,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',6540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3118711,3.00,5.00,2.00,2.00,3.00,NULL,1.00,4.00,3.00,238,NULL,208,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118720,5.00,8.00,4.00,9.00,8.00,6.50,3.00,6.00,5.00,303,NULL,NULL,'PIO CORRÊA','CRICIúMA','SC',3757,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3118746,4.00,7.00,4.00,9.00,7.00,4.75,3.00,7.00,4.00,108,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',5917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118754,2.00,5.00,3.00,5.00,5.00,NULL,1.00,2.00,2.00,420,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118762,6.00,7.00,6.00,6.00,7.00,7.00,3.00,8.00,7.00,9,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',2469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118789,6.00,4.00,4.00,5.00,3.00,NULL,3.00,5.00,3.00,303,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118797,3.00,5.00,4.00,8.00,4.00,5.75,2.00,4.00,5.00,319,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',11983,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3118800,5.00,4.00,4.00,9.00,6.00,5.75,3.00,4.00,3.00,340,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3118819,9.00,7.00,4.00,8.00,6.00,4.75,5.00,7.00,7.00,207,NULL,202,'CENTRO','FLORIANóPOLIS','SC',2539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118827,7.00,3.00,7.00,7.00,3.00,NULL,5.00,5.00,7.00,216,NULL,NULL,'JARDIM PARAISO','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118835,4.00,4.00,2.00,2.00,6.00,4.75,1.00,6.00,6.00,301,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',14993,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118843,7.00,6.00,4.00,6.00,7.00,5.50,6.00,8.00,8.00,103,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',2660,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3118851,6.00,5.00,4.00,8.00,6.00,6.75,6.00,3.00,3.00,103,NULL,NULL,'CENTRO','CAXIAS SUL','RS',7732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118860,5.00,5.00,1.00,1.00,3.00,NULL,2.00,4.00,4.00,215,NULL,NULL,'JARDIM FLÓRIDA','MOGI MIRIM','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3118886,5.00,4.00,3.00,4.00,4.00,5.00,3.00,4.00,5.00,316,NULL,NULL,'NASPOLINI','CRICIúMA','SC',14446,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3118894,6.00,7.00,5.00,8.00,7.00,4.00,4.00,7.00,4.00,220,NULL,203,'CENTRO','TOLEDO','PR',4381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118908,7.00,8.00,7.00,7.00,9.00,6.50,6.00,8.00,8.00,103,NULL,NULL,'NOVA ROMA','MRO GRANDE','SC',758,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3118916,4.00,6.00,3.00,2.00,4.00,5.50,2.00,9.00,3.00,303,NULL,NULL,'ROçADO','S JOSé','SC',13764,604,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118924,3.00,6.00,2.00,7.00,4.00,6.00,1.00,4.00,2.00,103,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',14184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3118940,8.00,8.00,8.00,7.00,7.00,6.25,8.00,8.00,9.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118959,1.00,1.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'FORQUILINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3118967,6.00,8.00,4.00,8.00,8.00,5.25,6.00,8.00,6.00,415,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',2196,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3118983,8.00,8.00,7.00,9.00,7.00,6.75,6.00,8.00,7.00,2,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3118991,4.00,5.00,4.00,7.00,6.00,5.00,3.00,8.00,5.00,238,NULL,213,'TRINDADE','FLORIANóPOLIS','SC',8072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119009,4.00,5.00,5.00,7.00,7.00,5.00,3.00,8.00,4.00,453,NULL,NULL,'BARREIROS','S JOSé','SC',6863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119017,7.00,4.00,2.00,8.00,2.00,NULL,1.00,5.00,4.00,415,NULL,NULL,'COND RECANTO REAL','S JOSé R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119025,6.00,6.00,5.00,7.00,7.00,5.50,6.00,4.00,7.00,208,NULL,238,'BARREIROS','S JOSé','SC',4855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119033,4.00,3.00,2.00,1.00,3.00,NULL,1.00,3.00,3.00,215,NULL,201,'BALNEáRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'EVOLUçãO','S LUDGERO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3119050,4.00,6.00,4.00,9.00,7.00,5.75,2.00,9.00,4.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119068,7.00,7.00,3.00,6.00,5.00,5.50,2.00,6.00,4.00,216,NULL,207,'PAQUETá','BRUSQUE','SC',7738,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3119076,1.00,3.00,2.00,3.00,4.00,NULL,3.00,4.00,2.00,302,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UVARANAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3119092,6.00,6.00,5.00,4.00,4.00,6.50,3.00,6.00,4.00,303,NULL,NULL,'CENTRO','BARRACãO','RS',8933,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3119106,5.00,5.00,4.00,4.00,4.00,5.00,1.00,7.00,3.00,450,NULL,NULL,'CENTRO','IMBITUBA','SC',12877,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3119114,4.00,7.00,1.00,6.00,6.00,5.00,3.00,2.00,5.00,502,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',12620,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119122,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'DAS NAÇÕES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(16,3119130,4.00,1.00,1.00,6.00,6.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3119149,5.00,5.00,3.00,5.00,6.00,5.75,1.00,3.00,4.00,208,NULL,NULL,'KOBRASOL','S JOSé','SC',13248,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119181,8.00,8.00,2.00,8.00,3.00,NULL,2.00,7.00,5.00,108,NULL,NULL,'JARDIM ITALIA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3119190,4.00,4.00,1.00,1.00,5.00,6.00,2.00,6.00,4.00,404,NULL,NULL,'CENTRO','PALHOçA','SC',15290,64,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,212,'BAIRRO AHU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3119211,6.00,8.00,7.00,8.00,4.00,5.00,7.00,8.00,7.00,201,NULL,213,'CORREGO GRANDE','FLORIANóPOLIS','SC',2055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','BRAçO TROMBUDO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3119246,2.00,8.00,4.00,6.00,7.00,5.75,4.00,6.00,5.00,238,NULL,208,'INGLESES','FLORIANóPOLIS','SC',6652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'JARDIM SINUELO','ASTORGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3119262,3.00,4.00,1.00,5.00,3.00,NULL,0.00,4.00,2.00,304,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3119289,8.00,4.00,6.00,4.00,7.00,7.25,5.00,6.00,7.00,103,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',3959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3119300,3.00,5.00,2.00,7.00,7.00,6.50,1.00,5.00,2.00,340,NULL,NULL,'CENTRO','GAURAMA','RS',11848,374,NULL,NULL,NULL,NULL,NULL,2,4),(16,3119319,6.00,7.00,4.00,8.00,7.00,5.25,3.00,8.00,8.00,238,NULL,208,'SANTA MôNICA','FLORIANóPOLIS','SC',3303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119327,5.00,4.00,3.00,7.00,5.00,4.75,3.00,7.00,2.00,319,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',11564,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119351,4.00,7.00,1.00,5.00,4.00,5.50,4.00,5.00,5.00,216,NULL,233,'ESPLANADA','CHAPECó','SC',10954,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3119360,6.00,5.00,5.00,6.00,5.00,7.00,6.00,6.00,4.00,108,NULL,NULL,'JARDIM MORUMBI I','SOROCABA','SP',4687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119378,9.00,8.00,8.00,9.00,9.00,6.25,9.00,8.00,8.00,2,NULL,NULL,'PLANO DIRETOR SUL','PALMAS','TO',86,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119386,4.00,4.00,3.00,6.00,3.00,NULL,4.00,4.00,2.00,207,NULL,201,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119394,4.00,5.00,4.00,7.00,5.00,6.50,4.00,6.00,6.00,103,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',6966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119408,9.00,8.00,9.00,7.00,6.00,5.00,6.00,7.00,9.00,103,NULL,NULL,'CENTRO','LAGES','SC',603,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3119416,2.00,4.00,3.00,7.00,6.00,6.00,2.00,4.00,3.00,108,NULL,NULL,'JARDIM QUISSISANA','POçOS CALDAS','MG',13315,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3119432,4.00,1.00,3.00,5.00,5.00,5.25,3.00,3.00,4.00,302,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',15629,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SôNIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3119459,6.00,2.00,2.00,3.00,6.00,NULL,3.00,2.00,3.00,101,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119467,4.00,5.00,4.00,9.00,4.00,6.50,2.00,4.00,4.00,202,NULL,213,'CENTRO','STA MARIA','RS',11205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119475,3.00,2.00,3.00,5.00,4.00,4.75,1.00,4.00,3.00,234,NULL,NULL,'CAMPINAS','S JOSé','SC',16674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119483,4.00,4.00,1.00,9.00,3.00,NULL,1.00,5.00,3.00,415,NULL,NULL,'SãO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3119491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TERRA NOVA I','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3119505,4.00,3.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,304,NULL,NULL,'SANTA TEREZA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119521,3.00,4.00,1.00,7.00,6.00,5.75,2.00,6.00,3.00,317,NULL,NULL,'CAMPINAS','S JOSé','SC',13090,110,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119530,3.00,6.00,3.00,5.00,6.00,6.25,2.00,4.00,4.00,303,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119548,3.00,1.00,1.00,3.00,0.00,NULL,2.00,2.00,2.00,203,NULL,NULL,'CENTRO II','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3119556,5.00,2.00,4.00,6.00,2.00,NULL,4.00,4.00,3.00,216,NULL,215,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3119564,5.00,6.00,6.00,8.00,8.00,5.75,5.00,8.00,8.00,103,NULL,NULL,'CHAMPAGNAT','CURITIBA','PR',1917,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3119572,4.00,6.00,7.00,6.00,5.00,6.50,3.00,8.00,5.00,201,NULL,238,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',6758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119599,7.00,6.00,6.00,10.00,8.00,6.50,2.00,7.00,5.00,103,NULL,NULL,'LAGO NORTE','LG NORTE','DF',2523,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3119602,3.00,4.00,2.00,5.00,6.00,5.75,4.00,6.00,3.00,211,NULL,207,'CENTRO','CRICIúMA','SC',13349,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3119610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3119629,5.00,3.00,2.00,4.00,5.00,5.75,3.00,6.00,5.00,234,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119637,2.00,7.00,6.00,3.00,7.00,5.00,3.00,7.00,4.00,301,NULL,NULL,'FLORESTA','JOINVILLE','SC',8465,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3119645,5.00,0.00,3.00,5.00,2.00,NULL,3.00,3.00,1.00,332,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119688,5.00,5.00,2.00,9.00,4.00,5.25,2.00,6.00,4.00,220,NULL,NULL,'ANXIETA','MARAVILHA','SC',10049,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3119696,4.00,6.00,3.00,3.00,3.00,NULL,2.00,5.00,4.00,501,NULL,NULL,'WARNOW','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3119700,3.00,4.00,4.00,3.00,2.00,NULL,3.00,4.00,2.00,308,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119718,5.00,4.00,6.00,1.00,3.00,NULL,2.00,4.00,5.00,201,NULL,NULL,'VILA RICA','CAMBé','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3119726,3.00,5.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,404,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119734,5.00,4.00,1.00,5.00,4.00,5.25,4.00,4.00,3.00,5,NULL,NULL,'CAMPINAS','S JOSé','SC',15152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119742,4.00,6.00,4.00,8.00,7.00,5.50,4.00,7.00,3.00,201,NULL,203,'CENTRO','IçARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3119750,5.00,6.00,2.00,7.00,6.00,6.00,1.00,5.00,3.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119769,4.00,4.00,1.00,0.00,4.00,5.25,2.00,5.00,5.00,234,NULL,NULL,'PASSA VINTE','PALHOçA','SC',16150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119777,4.00,4.00,2.00,6.00,4.00,5.25,3.00,3.00,2.00,452,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3119793,3.00,1.00,2.00,1.00,5.00,NULL,3.00,2.00,2.00,415,NULL,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119807,3.00,3.00,1.00,3.00,5.00,NULL,2.00,5.00,3.00,452,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119815,7.00,6.00,6.00,5.00,8.00,5.00,4.00,5.00,6.00,108,NULL,NULL,'HUMAITá DE CIMA','TUBARãO','SC',5689,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3119823,5.00,4.00,1.00,4.00,5.00,6.00,1.00,7.00,4.00,9,NULL,NULL,'CENTRO','ARAQUARI','SC',13440,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3119831,5.00,6.00,4.00,6.00,6.00,5.25,4.00,3.00,2.00,301,NULL,NULL,'KOBRASOL','S JOSé','SC',11409,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119858,2.00,5.00,2.00,8.00,5.00,4.50,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',15028,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3119866,3.00,5.00,1.00,2.00,5.00,NULL,2.00,5.00,1.00,103,NULL,NULL,'JARDIN ALEXANDRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3119874,8.00,9.00,5.00,6.00,6.00,5.50,5.00,9.00,7.00,102,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',1981,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119882,4.00,3.00,4.00,2.00,6.00,5.00,5.00,6.00,6.00,211,NULL,215,'VELHA','BLUMENAU','SC',11495,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3119890,5.00,5.00,5.00,5.00,5.00,6.00,6.00,4.00,5.00,452,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7564,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119904,4.00,1.00,2.00,0.00,2.00,NULL,1.00,4.00,2.00,208,NULL,238,'ESCOLAR','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3119912,7.00,5.00,4.00,9.00,8.00,6.50,3.00,6.00,6.00,303,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',3638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119920,2.00,4.00,1.00,5.00,3.00,NULL,2.00,4.00,4.00,202,NULL,NULL,'GLóRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3119939,6.00,5.00,4.00,5.00,7.00,4.50,2.00,6.00,5.00,207,NULL,233,'CAPOEIRAS','FLORIANóPOLIS','SC',8579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'RECANTO DOS PÁSSAROS','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3119955,6.00,6.00,6.00,6.00,7.00,5.50,4.00,7.00,6.00,211,NULL,216,'SANTO ANT DE LISBOA','FLORIANóPOLIS','SC',3718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3119963,9.00,9.00,7.00,7.00,8.00,7.75,7.00,8.00,8.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',173,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3119971,3.00,1.00,2.00,4.00,7.00,NULL,2.00,4.00,5.00,333,NULL,NULL,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3119980,6.00,5.00,1.00,6.00,5.00,5.75,4.00,4.00,4.00,103,NULL,NULL,'ZONA I A','UMUARAMA','PR',11302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3119998,4.00,5.00,3.00,8.00,6.00,6.25,4.00,4.00,4.00,5,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',10332,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120007,5.00,6.00,3.00,6.00,5.00,5.75,4.00,7.00,4.00,103,NULL,NULL,'CERAMICA','ERECHIM','RS',8374,2037,NULL,NULL,NULL,NULL,NULL,4,5),(16,3120015,5.00,6.00,2.00,4.00,4.00,4.50,2.00,4.00,3.00,301,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',15478,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120023,4.00,8.00,5.00,9.00,8.00,5.25,4.00,6.00,6.00,233,NULL,214,'PASSO DOS FORTES','CHAPECó','SC',3884,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3120031,4.00,4.00,3.00,6.00,4.00,7.50,3.00,6.00,3.00,104,NULL,NULL,'SANTO ANTôNIO','JOINVILLE','SC',10892,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3120074,6.00,6.00,6.00,8.00,6.00,6.00,0.00,5.00,4.00,216,NULL,233,'RIO TAVARES','FLORIANóPOLIS','SC',6752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120082,2.00,5.00,2.00,4.00,4.00,6.00,5.00,6.00,4.00,238,NULL,203,'RIO VERMELHO','FLORIANóPOLIS','SC',12893,400,NULL,812,NULL,NULL,NULL,4,1),(16,3120090,3.00,4.00,4.00,6.00,5.00,5.75,4.00,5.00,5.00,420,NULL,NULL,'SANTO ANT DE LISBOA','FLORIANóPOLIS','SC',11086,108,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120104,7.00,7.00,2.00,6.00,6.00,5.25,3.00,6.00,5.00,420,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',7081,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120112,3.00,7.00,3.00,8.00,6.00,5.00,3.00,6.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120120,8.00,5.00,7.00,7.00,8.00,6.25,5.00,6.00,8.00,216,NULL,201,'RESIDENCIAL FURNAS','IVAIPORã','PR',2113,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3120139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'ARI LUNARDI','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3120147,5.00,7.00,2.00,7.00,5.00,5.75,3.00,7.00,5.00,207,NULL,201,'ANITA GARIBALDI','JOINVILLE','SC',7472,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3120163,5.00,3.00,3.00,5.00,6.00,4.75,1.00,6.00,4.00,327,NULL,NULL,'AREIAS','S JOSé','SC',13675,35,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120171,3.00,4.00,2.00,4.00,3.00,NULL,2.00,2.00,4.00,316,NULL,NULL,'RIO GRANDE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'COLINAS DE IBIúNA','IBIúNA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3120198,4.00,3.00,1.00,1.00,4.00,NULL,3.00,5.00,2.00,339,NULL,NULL,'JARDIM ATLãNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120201,9.00,8.00,8.00,8.00,8.00,7.00,6.00,7.00,7.00,5,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120210,2.00,2.00,1.00,4.00,0.00,NULL,4.00,4.00,2.00,452,NULL,NULL,'PAULO FRONTIM','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3120228,5.00,6.00,6.00,8.00,8.00,6.25,6.00,7.00,6.00,212,NULL,207,'CARVOEIRA','FLORIANóPOLIS','SC',2689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3120260,8.00,9.00,4.00,5.00,7.00,6.00,3.00,6.00,5.00,207,NULL,201,'SANTA MôNICA','FLORIANóPOLIS','SC',4838,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120279,4.00,3.00,4.00,5.00,6.00,5.25,2.00,6.00,2.00,201,NULL,207,'TRINDADE','FLORIANóPOLIS','SC',12359,960,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120287,7.00,7.00,4.00,6.00,7.00,5.50,3.00,7.00,7.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120295,4.00,4.00,7.00,9.00,6.00,5.25,4.00,5.00,5.00,202,NULL,213,'CASA VERDE','S PAULO','SP',4892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120309,6.00,5.00,2.00,8.00,6.00,4.25,3.00,4.00,6.00,207,NULL,208,'LAGOA DA CONCAIçãO','FLORIANóPOLIS','SC',8247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120317,5.00,6.00,2.00,5.00,5.00,5.50,2.00,6.00,5.00,211,NULL,215,'VILA TOLENTINO','CASCAVEL','PR',11120,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3120325,6.00,6.00,3.00,9.00,6.00,6.25,3.00,6.00,3.00,425,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',6236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120333,2.00,3.00,1.00,5.00,5.00,NULL,4.00,4.00,2.00,502,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120341,3.00,2.00,1.00,4.00,4.00,NULL,1.00,2.00,2.00,203,NULL,214,'PINHEIRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3120350,5.00,5.00,4.00,4.00,6.00,6.50,3.00,6.00,5.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BOM RETIRO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3120376,3.00,4.00,5.00,8.00,4.00,6.50,3.00,5.00,3.00,5,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',10553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120384,3.00,5.00,5.00,6.00,5.00,4.50,3.00,6.00,3.00,224,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120392,8.00,5.00,1.00,5.00,6.00,6.50,0.00,3.00,4.00,9,NULL,NULL,'CENTRO','BIGUAçU','SC',12713,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120406,7.00,5.00,2.00,2.00,7.00,5.50,5.00,6.00,6.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',8751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120414,3.00,3.00,5.00,4.00,3.00,NULL,2.00,5.00,2.00,238,NULL,201,'MONTE REALE','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120430,5.00,5.00,4.00,3.00,4.00,5.75,2.00,5.00,3.00,103,NULL,NULL,'CIVEMARA','MARAVILHA','SC',13674,2583,NULL,NULL,NULL,NULL,NULL,4,4),(16,3120449,7.00,4.00,3.00,7.00,5.00,4.50,6.00,6.00,6.00,203,NULL,213,'CANASVIEIRAS','FLORIANóPOLIS','SC',5232,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120457,6.00,6.00,6.00,8.00,6.00,6.25,5.00,8.00,4.00,2,NULL,NULL,'SãO LUIS','JARAGUá SUL','SC',4084,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3120465,4.00,3.00,1.00,0.00,3.00,NULL,1.00,4.00,2.00,415,NULL,NULL,'CENTRO','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120473,4.00,6.00,1.00,4.00,1.00,NULL,2.00,1.00,4.00,303,NULL,NULL,'CENTRO','RIO CEDROS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3120481,7.00,5.00,6.00,8.00,8.00,5.75,5.00,7.00,8.00,211,NULL,216,'CENTRO','ARAçATUBA','SP',1875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120490,5.00,4.00,3.00,8.00,4.00,6.00,3.00,6.00,6.00,450,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',8565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120503,2.00,1.00,2.00,1.00,4.00,NULL,2.00,2.00,2.00,452,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120511,6.00,6.00,5.00,0.00,6.00,5.50,5.00,1.00,6.00,502,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',12283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120538,8.00,7.00,6.00,9.00,6.00,6.25,3.00,9.00,8.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',1542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'RESID PAINEIRAS','POçOS CALDAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3120554,4.00,5.00,4.00,6.00,6.00,5.75,4.00,6.00,1.00,301,NULL,NULL,'OPERáRIO','NOVO HAMBURGO','RS',10385,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120562,8.00,5.00,3.00,9.00,7.00,7.75,5.00,6.00,6.00,108,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',3125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120570,5.00,5.00,4.00,6.00,5.00,5.25,3.00,6.00,5.00,501,NULL,NULL,'KOBRASOL','S JOSé','SC',9173,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120589,5.00,4.00,3.00,1.00,5.00,5.50,3.00,5.00,5.00,103,NULL,NULL,'VILA ALEXANDRIA','S PAULO','SP',12255,2456,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120597,4.00,5.00,2.00,6.00,8.00,5.50,2.00,5.00,3.00,103,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120600,5.00,5.00,3.00,3.00,6.00,5.75,3.00,6.00,6.00,214,NULL,233,'GUANABRA','JOINVILLE','SC',10382,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3120619,3.00,3.00,2.00,1.00,4.00,5.75,4.00,4.00,4.00,104,NULL,NULL,'VILA NOVA','BLUMENAU','SC',16090,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3120627,3.00,4.00,4.00,5.00,4.00,6.00,3.00,1.00,4.00,420,NULL,NULL,'CENTRO','PALHOçA','SC',16182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120635,3.00,6.00,4.00,6.00,4.00,5.75,2.00,4.00,6.00,238,NULL,208,'PASSA VINTE','PALHOçA','SC',10432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120643,3.00,2.00,1.00,2.00,3.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3120651,7.00,8.00,5.00,6.00,5.00,6.75,4.00,5.00,4.00,238,NULL,215,'CENTRO','FLORIANóPOLIS','SC',6177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120660,5.00,2.00,7.00,7.00,5.00,5.25,3.00,4.00,6.00,211,NULL,NULL,'SãO GOTARDO','FLORES CUNHA','RS',9321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120686,4.00,7.00,3.00,7.00,6.00,5.00,2.00,5.00,3.00,220,NULL,202,'SAGRAD CORACAO JESUS','LAGES','SC',8873,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3120694,2.00,6.00,3.00,8.00,3.00,NULL,4.00,5.00,1.00,303,NULL,NULL,'VILA FLOR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3120708,6.00,8.00,1.00,8.00,8.00,6.75,1.00,7.00,5.00,444,NULL,NULL,'LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC',5027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120716,3.00,4.00,4.00,3.00,5.00,5.25,2.00,6.00,3.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',15040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120724,6.00,7.00,2.00,8.00,6.00,6.00,2.00,8.00,4.00,450,NULL,NULL,'VILA RICA','CPO GRANDE','MS',6430,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3120732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'CENTRO','CEL SAPUCAIA','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3120759,2.00,5.00,3.00,6.00,5.00,6.50,1.00,6.00,4.00,238,NULL,215,'MONTE VERDE','FLORIANóPOLIS','SC',12881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120767,6.00,8.00,7.00,7.00,4.00,7.00,3.00,6.00,7.00,207,NULL,201,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',3736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120775,5.00,5.00,3.00,8.00,6.00,5.75,3.00,6.00,6.00,233,NULL,216,'ROçADO','S JOSé','SC',5966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120783,9.00,8.00,8.00,7.00,8.00,5.50,8.00,7.00,8.00,303,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120805,5.00,6.00,2.00,3.00,5.00,5.25,3.00,8.00,5.00,415,NULL,NULL,'CAMPINAS','S JOSé','SC',9606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120821,5.00,3.00,4.00,4.00,7.00,5.00,1.00,4.00,3.00,327,NULL,NULL,'JD NAZARETH','S JOSé R PRETO','SP',14558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120830,7.00,6.00,6.00,8.00,5.00,6.75,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',3030,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3120864,5.00,4.00,1.00,3.00,5.00,NULL,2.00,2.00,2.00,303,NULL,NULL,'CENTRO','ITAIóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3120872,4.00,3.00,1.00,8.00,3.00,NULL,3.00,5.00,3.00,301,NULL,NULL,'LOT PORTAL DO SOL','GOIâNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120880,5.00,7.00,4.00,8.00,6.00,5.25,4.00,7.00,4.00,233,NULL,216,'CENTRO','FARROUPILHA','RS',4924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120899,4.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,5.00,316,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120902,4.00,4.00,3.00,2.00,5.00,5.25,4.00,5.00,4.00,319,NULL,NULL,'MENINO DEUS','PATO BRANCO','PR',13594,287,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120910,8.00,8.00,5.00,8.00,8.00,8.00,6.00,8.00,6.00,103,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120929,6.00,6.00,5.00,9.00,7.00,6.00,6.00,7.00,8.00,103,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',1941,813,NULL,NULL,NULL,NULL,NULL,4,1),(16,3120945,2.00,5.00,1.00,8.00,3.00,NULL,2.00,4.00,4.00,316,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120961,5.00,7.00,4.00,6.00,5.00,5.50,2.00,9.00,3.00,220,NULL,201,'CENTRO','BAL CAMBORIú','SC',7429,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3120970,4.00,3.00,3.00,8.00,6.00,5.75,3.00,6.00,2.00,340,NULL,NULL,'CENTRO','PALHOçA','SC',11004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3120996,4.00,6.00,2.00,6.00,5.00,5.50,2.00,4.00,3.00,104,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',14302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3121003,4.00,5.00,5.00,7.00,2.00,NULL,4.00,5.00,4.00,5,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3121011,4.00,4.00,1.00,3.00,3.00,NULL,3.00,6.00,2.00,318,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3121020,3.00,4.00,3.00,5.00,2.00,NULL,1.00,3.00,4.00,216,NULL,212,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121038,5.00,4.00,3.00,9.00,5.00,5.50,4.00,2.00,3.00,103,NULL,NULL,'JARDIM RIVA','PRIMAVERA LESTE','MT',12006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121046,5.00,5.00,4.00,8.00,3.00,NULL,3.00,5.00,3.00,220,NULL,202,'CIDADE CLARET','RIO CLARO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3121054,6.00,7.00,5.00,7.00,5.00,6.00,4.00,8.00,7.00,103,NULL,NULL,'VILA NOVA','FRANCISCO BELTRãO','PR',3234,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3121062,4.00,4.00,5.00,3.00,4.00,6.00,2.00,5.00,2.00,453,NULL,NULL,'BARREIROS','S JOSé','SC',15534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'J PETROPOLIS','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3121097,4.00,5.00,2.00,2.00,4.00,5.50,4.00,4.00,3.00,233,NULL,201,'PIONEIROS','ITá','SC',15240,449,NULL,1175,NULL,NULL,NULL,4,7),(16,3121100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'CENTRO','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3121119,2.00,4.00,2.00,3.00,4.00,NULL,0.00,4.00,2.00,318,NULL,NULL,'ARMAçAO DO PANTANO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121135,2.00,5.00,3.00,3.00,4.00,NULL,1.00,4.00,2.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121143,6.00,6.00,6.00,8.00,6.00,5.25,6.00,5.00,4.00,220,NULL,208,'CORREGO GRANDE','FLORIANóPOLIS','SC',6169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121151,7.00,4.00,4.00,4.00,5.00,6.00,4.00,6.00,4.00,203,NULL,220,'JARDIM PETROPOLIS','CUIABá','MT',8587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121178,6.00,4.00,4.00,7.00,7.00,7.00,3.00,5.00,6.00,216,NULL,215,'AGUA VERDE','CURITIBA','PR',5364,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3121186,4.00,5.00,5.00,7.00,6.00,5.25,2.00,5.00,4.00,301,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',8905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'BUTANTã','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3121208,7.00,8.00,8.00,8.00,6.00,6.25,4.00,6.00,7.00,207,NULL,215,'CENTRO','FLORIANóPOLIS','SC',2278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'SãO JOSé','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3121224,3.00,6.00,4.00,5.00,2.00,NULL,1.00,6.00,2.00,317,NULL,NULL,'ARIRIBA','CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3121232,4.00,5.00,4.00,9.00,5.00,6.50,4.00,6.00,6.00,207,NULL,201,'CEJNTRO','CANOAS','RS',6983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121240,5.00,6.00,6.00,7.00,7.00,6.50,4.00,6.00,6.00,5,NULL,NULL,'MONTE CASTELO','TUBARãO','SC',4388,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3121259,5.00,7.00,4.00,8.00,9.00,5.25,4.00,9.00,6.00,303,NULL,NULL,'GRANJA VIANA','CARAPICUíBA','SP',3004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121267,5.00,6.00,3.00,3.00,4.00,4.75,4.00,7.00,4.00,108,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',11487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121275,6.00,8.00,4.00,1.00,6.00,6.75,2.00,7.00,5.00,340,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',9694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121283,6.00,8.00,1.00,5.00,4.00,6.25,2.00,5.00,2.00,102,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',12500,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3121291,3.00,3.00,1.00,3.00,4.00,NULL,1.00,6.00,2.00,415,NULL,NULL,'VILA RICA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3121305,2.00,7.00,1.00,8.00,5.00,5.00,2.00,5.00,3.00,5,NULL,NULL,'SANTA CRUZ','RIBEIRãO PRETO','SP',11974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3121321,4.00,6.00,5.00,7.00,7.00,7.50,3.00,8.00,4.00,201,NULL,202,'ESTREITO','FLORIANóPOLIS','SC',4764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3121348,6.00,7.00,6.00,8.00,7.00,5.25,6.00,8.00,6.00,220,NULL,203,'CENTRO','STA MARIA','RS',1896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121356,4.00,4.00,2.00,5.00,5.00,5.25,1.00,7.00,4.00,425,NULL,429,'CENTRO','FLORIANóPOLIS','SC',13716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121364,3.00,3.00,2.00,4.00,2.00,NULL,2.00,4.00,3.00,304,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3121372,4.00,3.00,3.00,5.00,5.00,6.00,3.00,7.00,8.00,201,NULL,212,'TRINDADE','FLORIANóPOLIS','SC',9858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121399,5.00,4.00,2.00,6.00,5.00,6.00,2.00,3.00,4.00,340,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',13016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121402,3.00,3.00,5.00,6.00,3.00,NULL,3.00,4.00,4.00,103,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3121429,5.00,6.00,4.00,5.00,5.00,6.25,6.00,9.00,5.00,201,NULL,215,'SAGUAçú','JOINVILLE','SC',4692,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3121437,2.00,2.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,208,NULL,207,'AEROPORTO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3121445,4.00,2.00,2.00,9.00,5.00,5.75,2.00,4.00,2.00,203,NULL,207,'BOA VISTA','CURITIBA','PR',13797,NULL,NULL,NULL,NULL,NULL,NULL,3,8),(16,3121461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3121500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','DIONíSIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3121518,2.00,6.00,2.00,7.00,6.00,5.50,1.00,6.00,3.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12666,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3121526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3121534,6.00,5.00,4.00,9.00,7.00,6.25,3.00,6.00,6.00,303,NULL,NULL,'CAMPINAS','S JOSé','SC',3706,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3121542,4.00,2.00,4.00,5.00,5.00,6.00,3.00,5.00,4.00,340,NULL,NULL,'SãO PEDRO','GASPAR','SC',13320,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3121550,5.00,7.00,6.00,10.00,8.00,6.25,4.00,6.00,5.00,420,NULL,NULL,'ROçADO','S JOSé','SC',2373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121569,6.00,6.00,5.00,7.00,5.00,7.50,4.00,5.00,6.00,211,NULL,216,'JD VILLA ROMANA','INDAIATUBA','SP',4205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121577,9.00,9.00,7.00,8.00,7.00,6.50,5.00,6.00,7.00,5,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121585,6.00,5.00,4.00,4.00,6.00,5.25,1.00,8.00,5.00,501,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121593,6.00,7.00,3.00,6.00,6.00,5.00,2.00,7.00,5.00,103,NULL,NULL,'NOVA BRASILIA','JOINVILLE','SC',8621,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3121607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'CAMAQüã','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3121615,6.00,4.00,6.00,8.00,5.00,6.00,5.00,6.00,5.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121623,0.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3121631,4.00,3.00,4.00,9.00,4.00,5.00,2.00,7.00,4.00,201,NULL,202,'CENTRO','STA MARIA','RS',9710,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3121640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'BALNEARIO DANIELA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3121658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,233,'SANTA MONICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3121674,2.00,2.00,2.00,4.00,3.00,NULL,2.00,2.00,4.00,502,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3121682,2.00,3.00,2.00,5.00,4.00,5.75,1.00,4.00,3.00,216,NULL,NULL,'PRIMAVERA','XAXIM','SC',16508,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3121690,4.00,6.00,2.00,6.00,4.00,5.50,3.00,4.00,1.00,103,NULL,NULL,'NOVA DIVINÉIA','PINHALZINHO','SC',14074,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3121704,6.00,6.00,5.00,8.00,4.00,5.50,4.00,5.00,6.00,103,NULL,NULL,'RONDA','PNT GROSSA','PR',6325,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3121712,4.00,2.00,4.00,4.00,5.00,4.50,2.00,3.00,4.00,309,NULL,NULL,'KOBRASOL','S JOSé','SC',16208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121720,3.00,3.00,2.00,7.00,6.00,6.75,3.00,5.00,3.00,5,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',12523,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3121747,6.00,6.00,4.00,9.00,6.00,5.00,2.00,7.00,5.00,201,NULL,214,'VILLE CHAMONIX','ITATIBA','SP',5540,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3121755,4.00,5.00,3.00,5.00,5.00,6.00,0.00,5.00,7.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3121763,2.00,5.00,4.00,0.00,4.00,NULL,4.00,5.00,2.00,207,NULL,238,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3121771,6.00,4.00,5.00,6.00,6.00,6.00,5.00,7.00,6.00,103,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',6342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121780,3.00,1.00,1.00,2.00,4.00,NULL,2.00,4.00,2.00,108,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3121798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3121801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'JARDINS VIENA','APARECIDA GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3121810,5.00,5.00,4.00,7.00,7.00,5.50,3.00,4.00,3.00,103,NULL,NULL,'SANTA BARBARA','CRICIúMA','SC',8804,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3121828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,220,'CENTRO','CPO BELO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3121836,7.00,4.00,5.00,7.00,4.00,4.50,3.00,5.00,3.00,201,NULL,212,'VILA AURORA','RONDONóPOLIS','MT',10040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121844,2.00,3.00,4.00,3.00,3.00,NULL,1.00,2.00,1.00,327,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121852,7.00,2.00,4.00,2.00,0.00,NULL,3.00,3.00,5.00,9,NULL,NULL,'BOM VVEVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3121860,7.00,2.00,2.00,6.00,2.00,NULL,3.00,5.00,6.00,208,NULL,238,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121879,4.00,4.00,6.00,8.00,5.00,5.00,3.00,7.00,2.00,5,NULL,NULL,'ROçADO','S JOSé','SC',9303,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3121887,7.00,7.00,7.00,7.00,6.00,5.75,5.00,7.00,7.00,216,NULL,201,'ZONA II','UMUARAMA','PR',2065,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3121909,4.00,4.00,2.00,1.00,4.00,NULL,3.00,5.00,2.00,101,NULL,NULL,'SãO MIGUEL','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3121917,4.00,5.00,2.00,7.00,6.00,6.25,3.00,6.00,5.00,319,NULL,NULL,'FáTIMA','VACARIA','RS',8730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3121925,0.00,0.00,0.00,5.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(16,3121933,4.00,4.00,3.00,6.00,5.00,4.75,2.00,8.00,1.00,238,NULL,208,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',12360,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3121941,6.00,6.00,2.00,8.00,6.00,6.00,4.00,3.00,4.00,319,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',8357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121950,6.00,6.00,3.00,4.00,5.00,4.75,3.00,7.00,6.00,216,NULL,215,'BATEL','CURITIBA','PR',8679,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3121968,6.00,6.00,3.00,8.00,6.00,5.50,4.00,8.00,4.00,444,NULL,NULL,'CRUZEIRO DO SUL','CRICIúMA','SC',6064,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3121976,7.00,7.00,4.00,8.00,6.00,7.00,5.00,8.00,5.00,5,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',3229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3121984,4.00,5.00,7.00,5.00,4.00,6.00,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','FORQUILHINHA','SC',7382,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3121992,4.00,4.00,5.00,8.00,4.00,5.25,2.00,5.00,5.00,203,NULL,220,'VILLA BASTOS','STO ANDRé','SP',9652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122000,1.00,4.00,3.00,8.00,4.00,5.25,3.00,7.00,4.00,303,NULL,NULL,'FLAMBOYANT','ATIBAIA','SP',12499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3122034,3.00,1.00,3.00,3.00,4.00,NULL,1.00,0.00,3.00,208,NULL,202,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122042,5.00,4.00,4.00,8.00,6.00,6.50,3.00,3.00,4.00,216,NULL,201,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122050,4.00,1.00,1.00,6.00,2.00,NULL,3.00,2.00,4.00,208,NULL,238,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3122069,3.00,3.00,2.00,4.00,4.00,NULL,2.00,2.00,4.00,303,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122085,6.00,4.00,4.00,6.00,4.00,5.50,3.00,5.00,3.00,451,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',11764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122093,6.00,6.00,5.00,7.00,6.00,5.75,2.00,4.00,3.00,3,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',9038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122107,3.00,8.00,3.00,3.00,3.00,NULL,3.00,7.00,3.00,452,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122115,3.00,5.00,4.00,5.00,6.00,5.75,3.00,4.00,5.00,233,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',10953,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3122123,6.00,6.00,6.00,9.00,8.00,6.25,4.00,7.00,5.00,310,NULL,NULL,'LARANJEIRAS','RIO JANEIRO','RJ',2826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122140,5.00,3.00,3.00,4.00,5.00,5.75,2.00,6.00,5.00,501,NULL,NULL,'KOBRASOL','S JOSé','SC',13143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122174,2.00,5.00,3.00,7.00,5.00,5.25,5.00,3.00,4.00,108,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',12638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3122220,3.00,4.00,1.00,7.00,5.00,NULL,0.00,7.00,5.00,301,NULL,NULL,'PARQUE BELéM','FRANCISCO MORATO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122239,6.00,3.00,3.00,7.00,6.00,5.75,2.00,8.00,3.00,326,NULL,NULL,'PASSO DOS FORTES','CHAPECó','SC',11563,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3122247,4.00,4.00,2.00,4.00,7.00,5.50,4.00,7.00,7.00,101,NULL,NULL,'JOSé MODENEZ','IRACEMáPOLIS','SP',9594,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3122255,9.00,6.00,6.00,8.00,8.00,6.50,7.00,9.00,8.00,203,NULL,202,'JARDIM UNIãO','CRICIúMA','SC',390,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3122263,4.00,3.00,1.00,6.00,4.00,5.50,3.00,3.00,5.00,234,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',15333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122271,7.00,6.00,3.00,3.00,7.00,4.50,5.00,7.00,7.00,208,NULL,220,'RECIFE','TUBARãO','SC',7098,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3122280,1.00,6.00,5.00,5.00,7.00,6.50,1.00,6.00,6.00,216,NULL,211,'RIO MAINA','CRICIúMA','SC',9197,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3122301,4.00,4.00,3.00,3.00,5.00,5.50,5.00,4.00,5.00,452,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',13116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122310,5.00,7.00,3.00,5.00,7.00,5.50,1.00,7.00,4.00,9,NULL,NULL,'BARREIROS','S JOSé','SC',8517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','JúLIO CASTILHOS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3122379,4.00,5.00,1.00,5.00,4.00,5.00,2.00,4.00,4.00,234,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',15462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3122395,3.00,4.00,3.00,6.00,3.00,NULL,2.00,3.00,1.00,101,NULL,NULL,'BARRA DO RIO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122409,5.00,6.00,2.00,5.00,4.00,5.75,3.00,6.00,6.00,302,NULL,NULL,'JARDIM GERMANIA','S PAULO','SP',9912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122417,6.00,7.00,5.00,8.00,8.00,5.75,6.00,7.00,6.00,103,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',2275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122425,8.00,8.00,5.00,5.00,6.00,6.25,3.00,6.00,6.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',4350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122433,4.00,9.00,6.00,7.00,7.00,5.25,2.00,6.00,6.00,9,NULL,NULL,'SANTA AUGUSTA','BRAçO NORTE','SC',5143,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3122441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'VILA DOS MéDICOS','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3122476,4.00,5.00,2.00,2.00,5.00,5.50,2.00,5.00,3.00,238,NULL,208,'NOSSA SRA DO ROSáRIO','S JOSé','SC',15509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3122492,5.00,5.00,3.00,8.00,7.00,7.00,2.00,4.00,4.00,102,NULL,NULL,'CENTRO','S JOSé','SC',9254,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,211,'JUNDIAI','ANáPOLIS','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3122514,5.00,4.00,3.00,5.00,4.00,5.25,3.00,5.00,4.00,310,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122522,2.00,2.00,3.00,5.00,3.00,NULL,3.00,2.00,3.00,301,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122530,6.00,4.00,5.00,6.00,3.00,NULL,4.00,7.00,6.00,212,NULL,238,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122549,4.00,6.00,2.00,4.00,6.00,5.50,5.00,7.00,4.00,202,NULL,213,'ASA SUL','BRASíLIA','DF',9386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122557,6.00,5.00,3.00,8.00,6.00,6.25,3.00,5.00,1.00,208,NULL,203,'VILA NOVA','IMBITUBA','SC',9526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM ELDORADO','VILHENA','RO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3122573,3.00,5.00,3.00,2.00,4.00,4.50,5.00,5.00,3.00,201,NULL,212,'ITACORUBI','FLORIANóPOLIS','SC',15762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122581,5.00,5.00,2.00,3.00,3.00,NULL,2.00,4.00,1.00,318,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3122590,4.00,1.00,4.00,3.00,6.00,4.50,4.00,6.00,5.00,211,NULL,213,'CAPIM MACIO','NATAL','RN',13013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122662,7.00,8.00,6.00,7.00,6.00,5.00,7.00,8.00,8.00,5,NULL,NULL,'CENTRO','IPUMIRIM','SC',1494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122670,3.00,2.00,3.00,2.00,2.00,NULL,2.00,5.00,2.00,318,NULL,NULL,'JOãO COSTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3122689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','STO ANTôNIO PINHAL','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3122700,9.00,7.00,6.00,6.00,5.00,5.75,5.00,7.00,7.00,5,NULL,NULL,'INDEPENDENCIA','TAUBATé','SP',2112,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3122743,1.00,1.00,3.00,6.00,5.00,NULL,1.00,2.00,3.00,428,NULL,424,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122751,5.00,8.00,5.00,9.00,7.00,4.25,5.00,6.00,3.00,317,NULL,NULL,'LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC',5215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122760,2.00,6.00,4.00,4.00,4.00,5.50,4.00,5.00,6.00,340,NULL,NULL,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',11528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122778,5.00,8.00,6.00,7.00,7.00,6.25,1.00,7.00,7.00,452,NULL,NULL,'BALNEáRIO ESTREITO','FLORIANóPOLIS','SC',4264,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122786,4.00,6.00,3.00,6.00,6.00,4.75,4.00,5.00,4.00,501,NULL,NULL,'PALHOçA','PALHOçA','SC',9548,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122808,9.00,6.00,8.00,9.00,7.00,7.25,8.00,9.00,9.00,103,NULL,NULL,'CENTRO','AT BELA VISTA','SC',105,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3122816,3.00,0.00,3.00,2.00,2.00,NULL,2.00,4.00,3.00,102,NULL,NULL,'ULTIMO RIO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3122824,6.00,8.00,6.00,9.00,7.00,5.50,7.00,5.00,6.00,207,NULL,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',2435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122832,2.00,3.00,2.00,4.00,3.00,NULL,1.00,2.00,2.00,309,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122840,5.00,3.00,2.00,7.00,5.00,6.00,1.00,4.00,2.00,444,NULL,NULL,'BARREIROS','S JOSé','SC',15103,119,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122859,3.00,5.00,3.00,2.00,3.00,NULL,2.00,7.00,3.00,301,NULL,NULL,'USINA','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122867,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA RICA','ATIBAIA','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(16,3122875,3.00,5.00,5.00,1.00,3.00,NULL,4.00,2.00,3.00,5,NULL,NULL,'PROGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3122883,6.00,8.00,7.00,8.00,8.00,6.75,3.00,8.00,6.00,424,NULL,421,'JARDIM ITALIA','CHAPECó','SC',1806,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3122905,3.00,2.00,1.00,3.00,0.00,NULL,3.00,3.00,2.00,316,NULL,NULL,'ARAUCARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122913,5.00,5.00,4.00,5.00,4.00,4.00,0.00,2.00,2.00,203,NULL,214,'VISTA ALEGRE','ERMO','SC',16566,934,NULL,492,NULL,NULL,NULL,2,5),(16,3122921,6.00,3.00,1.00,3.00,4.00,NULL,3.00,1.00,2.00,423,NULL,424,'PâNTANO DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122930,1.00,3.00,1.00,3.00,2.00,NULL,4.00,4.00,6.00,203,NULL,233,'USINA','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122956,4.00,6.00,2.00,7.00,4.00,4.75,2.00,5.00,3.00,101,NULL,NULL,'CAMPINAS','S JOSé','SC',12655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122972,5.00,9.00,3.00,9.00,6.00,7.50,3.00,9.00,2.00,207,NULL,201,'SUMARé','RIO SUL','SC',4248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3122980,4.00,4.00,4.00,5.00,5.00,6.25,3.00,5.00,6.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10373,231,NULL,NULL,NULL,NULL,NULL,2,1),(16,3122999,6.00,4.00,2.00,3.00,3.00,NULL,4.00,3.00,5.00,233,NULL,201,'CENTRO','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3123006,3.00,4.00,3.00,2.00,5.00,5.00,3.00,6.00,4.00,208,NULL,NULL,'PORTO DA LAGOA','FLORIANóPOLIS','SC',14819,500,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123014,6.00,7.00,5.00,7.00,6.00,5.50,4.00,7.00,6.00,304,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',4355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123022,9.00,9.00,9.00,8.00,8.00,7.75,6.00,9.00,8.00,103,NULL,NULL,'VILA DAS ACáCIAS','S JOSé CAMPOS','SP',37,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3123049,3.00,6.00,3.00,2.00,5.00,3.25,3.00,7.00,5.00,201,NULL,207,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123057,5.00,4.00,5.00,7.00,7.00,6.25,3.00,4.00,4.00,215,NULL,211,'VILA LAURA','SALVADOR','BA',6848,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3123065,4.00,4.00,3.00,4.00,4.00,5.50,2.00,7.00,2.00,104,NULL,NULL,'JARDIM MARISTELA','CRICIúMA','SC',15247,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3123073,4.00,4.00,1.00,3.00,7.00,6.50,2.00,6.00,3.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123111,3.00,5.00,5.00,8.00,6.00,4.75,4.00,7.00,2.00,212,NULL,214,'SANTO ANTONIO','CACHOEIRO ITAPEMIRIM','ES',7929,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3123138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ALVORADA','PARANAGUá','PR',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3123146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'TERRA BONITA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3123154,7.00,5.00,6.00,8.00,4.00,4.00,5.00,6.00,6.00,202,NULL,213,'CENTRO','MAL CâNDIDO RONDON','PR',5718,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3123162,8.00,5.00,6.00,6.00,6.00,6.00,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123189,8.00,8.00,5.00,7.00,5.00,6.75,4.00,8.00,6.00,103,NULL,NULL,'CRUZEIROS','PASSO FUNDO','RS',2483,964,NULL,NULL,NULL,NULL,NULL,4,3),(16,3123197,2.00,5.00,3.00,5.00,3.00,NULL,2.00,6.00,4.00,207,NULL,238,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3123200,7.00,8.00,6.00,8.00,7.00,4.50,4.00,8.00,5.00,304,NULL,NULL,'CACUPé','FLORIANóPOLIS','SC',1910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123219,6.00,3.00,4.00,7.00,5.00,4.00,2.00,5.00,6.00,101,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',11775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3123227,4.00,6.00,2.00,1.00,3.00,NULL,3.00,5.00,4.00,234,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'VILA THAíS','ATIBAIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3123243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPãO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3123251,2.00,2.00,2.00,6.00,5.00,NULL,1.00,4.00,2.00,324,NULL,NULL,'COMERCIARIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3123260,4.00,6.00,5.00,8.00,5.00,4.75,2.00,8.00,3.00,211,NULL,233,'CENTRO','CRICIúMA','SC',8094,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3123278,3.00,5.00,2.00,5.00,4.00,5.00,2.00,3.00,3.00,303,NULL,NULL,'PRóSPERA','CRICIúMA','SC',16098,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3123286,5.00,4.00,4.00,7.00,5.00,5.75,2.00,7.00,4.00,212,NULL,207,'CENTRO','CRICIúMA','SC',9186,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3123294,6.00,1.00,2.00,7.00,4.00,4.75,2.00,5.00,1.00,308,NULL,NULL,'PIO CORREA','CRICIúMA','SC',15801,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3123316,1.00,2.00,3.00,2.00,5.00,NULL,2.00,4.00,2.00,420,NULL,NULL,'LIBERDADE','ALTAMIRA','PA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3123324,6.00,5.00,4.00,6.00,8.00,6.25,4.00,7.00,1.00,103,NULL,NULL,'GALóPOLIS','CAXIAS SUL','RS',7577,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3123332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3123340,6.00,6.00,3.00,6.00,6.00,6.00,1.00,8.00,4.00,308,NULL,NULL,'JARDIM AQUARIUS','S JOSé CAMPOS','SP',8358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123359,2.00,4.00,1.00,2.00,3.00,NULL,4.00,2.00,2.00,203,NULL,214,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123375,2.00,5.00,5.00,9.00,5.00,5.75,4.00,7.00,5.00,214,NULL,212,'CENTRO','IMBITUBA','SC',6276,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3123383,3.00,5.00,1.00,4.00,4.00,5.00,4.00,7.00,3.00,103,NULL,NULL,'CRISTO REI','S CARLOS','SC',13588,2575,NULL,NULL,NULL,NULL,NULL,2,9),(16,3123391,5.00,4.00,2.00,6.00,3.00,NULL,3.00,7.00,4.00,225,NULL,NULL,'BIGUAçU','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3123405,5.00,6.00,4.00,7.00,6.00,4.50,3.00,6.00,5.00,214,NULL,208,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',7595,264,NULL,NULL,NULL,NULL,NULL,2,1),(16,3123421,6.00,7.00,5.00,6.00,5.00,6.00,4.00,6.00,8.00,211,NULL,216,'ÁGUA VERDE','CURITIBA','PR',3941,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3123430,7.00,7.00,6.00,8.00,6.00,5.50,6.00,8.00,8.00,201,NULL,207,'VILA FORMOSA','S PAULO','SP',1834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123448,5.00,6.00,2.00,4.00,8.00,5.25,3.00,7.00,4.00,310,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',10305,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(16,3123456,4.00,4.00,3.00,6.00,5.00,5.25,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','CEL VIVIDA','PR',13155,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3123464,6.00,6.00,6.00,6.00,7.00,5.25,3.00,8.00,5.00,103,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',3829,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3123472,5.00,4.00,1.00,9.00,5.00,5.75,2.00,6.00,3.00,208,NULL,NULL,'CENTRO','SINOP','MT',10387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123480,6.00,8.00,4.00,5.00,3.00,NULL,4.00,8.00,1.00,207,NULL,201,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123499,3.00,3.00,3.00,6.00,5.00,5.50,2.00,7.00,3.00,428,NULL,426,'VILA NOVA ALVORADA','IMBITUBA','SC',13059,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3123502,5.00,5.00,5.00,3.00,6.00,5.00,4.00,6.00,3.00,304,NULL,NULL,'MICHEL','CRICIúMA','SC',10361,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3123529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3123537,4.00,6.00,7.00,8.00,7.00,5.00,5.00,4.00,4.00,216,NULL,215,'VILA REGIE','VIRADOURO','SP',6165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3123561,5.00,8.00,3.00,8.00,5.00,7.00,3.00,8.00,4.00,332,NULL,NULL,'FLÔR DE NÁPOLIS','S JOSé','SC',5869,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3123570,3.00,5.00,5.00,7.00,5.00,5.25,1.00,5.00,4.00,302,NULL,NULL,'CENTRO','JARAGUá SUL','SC',11497,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3123588,8.00,6.00,4.00,8.00,7.00,6.50,6.00,8.00,5.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',2732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123596,7.00,5.00,6.00,8.00,4.00,6.75,4.00,6.00,7.00,211,NULL,207,'VILA DAS BELEZAS','S PAULO','SP',4146,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3123600,2.00,3.00,4.00,4.00,2.00,NULL,0.00,4.00,0.00,9,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123618,4.00,2.00,4.00,2.00,3.00,NULL,1.00,5.00,7.00,222,NULL,NULL,'COSTEIRA PIRAJUBAE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123626,1.00,2.00,2.00,1.00,2.00,NULL,3.00,3.00,3.00,420,NULL,NULL,'NITEROI','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3123634,4.00,4.00,1.00,5.00,4.00,6.25,3.00,6.00,1.00,308,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',15349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123642,4.00,0.00,5.00,2.00,1.00,NULL,3.00,1.00,2.00,211,NULL,NULL,'GLóRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3123650,3.00,5.00,4.00,6.00,4.00,4.00,4.00,7.00,3.00,404,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',12041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3123677,7.00,7.00,8.00,8.00,6.00,6.50,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','VERê','PR',1734,752,NULL,NULL,NULL,NULL,NULL,4,4),(16,3123685,2.00,2.00,2.00,3.00,4.00,4.25,1.00,5.00,6.00,9,NULL,NULL,'CENTRO','CORUPá','SC',16380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123693,2.00,2.00,2.00,2.00,2.00,NULL,3.00,3.00,2.00,5,NULL,NULL,'CENTRO','PRES GETúLIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3123715,4.00,3.00,6.00,3.00,5.00,5.50,3.00,5.00,3.00,103,NULL,NULL,'DIVINéIA','IMBITUBA','SC',14270,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3123723,5.00,8.00,3.00,7.00,7.00,6.50,3.00,9.00,5.00,327,NULL,NULL,'MURTA','ITAJAí','SC',4332,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3123731,9.00,6.00,4.00,8.00,4.00,5.00,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',8196,2008,NULL,NULL,NULL,NULL,NULL,2,1),(16,3123740,3.00,2.00,1.00,4.00,5.00,NULL,2.00,4.00,1.00,201,NULL,207,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3123758,9.00,9.00,6.00,8.00,8.00,5.75,5.00,9.00,8.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',627,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3123766,4.00,3.00,4.00,7.00,5.00,4.25,3.00,4.00,5.00,444,NULL,NULL,'JD FERNANDES','S JOSé R PRETO','SP',11267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123774,2.00,2.00,1.00,2.00,6.00,NULL,1.00,3.00,2.00,213,NULL,202,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123782,4.00,3.00,4.00,3.00,4.00,4.25,3.00,5.00,1.00,319,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',16668,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3123790,6.00,8.00,5.00,7.00,7.00,5.00,3.00,7.00,6.00,304,NULL,NULL,'CAMPINAS','S JOSé','SC',4815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123804,6.00,6.00,3.00,3.00,5.00,5.25,3.00,6.00,4.00,318,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',10289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3123839,7.00,5.00,5.00,7.00,6.00,5.25,2.00,8.00,5.00,102,NULL,NULL,'JD TRIANON','JALES','SP',5387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123847,7.00,9.00,6.00,7.00,6.00,5.25,3.00,8.00,7.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',1978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123855,5.00,9.00,3.00,5.00,7.00,7.00,5.00,6.00,8.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',4166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123863,6.00,4.00,6.00,9.00,4.00,5.00,2.00,4.00,4.00,3,NULL,NULL,'ROçADO','S JOSé','SC',9893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123871,3.00,5.00,1.00,7.00,7.00,5.50,3.00,3.00,4.00,9,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',12508,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3123880,9.00,8.00,4.00,6.00,4.00,6.00,5.00,6.00,7.00,202,NULL,213,'PRESIDENTE VARGAS','IçARA','SC',3597,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3123901,7.00,5.00,3.00,8.00,8.00,6.25,2.00,8.00,5.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123910,5.00,3.00,2.00,2.00,4.00,6.00,4.00,2.00,4.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',15408,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3123936,5.00,6.00,8.00,3.00,6.00,5.75,5.00,8.00,7.00,202,NULL,220,'CENTRO','S JOAQUIM','SC',3693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123944,2.00,3.00,2.00,2.00,2.00,NULL,0.00,6.00,4.00,404,NULL,NULL,'JOAIA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3123952,4.00,3.00,3.00,7.00,3.00,NULL,2.00,4.00,3.00,5,NULL,NULL,'SãO JOSé','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3123960,9.00,8.00,6.00,9.00,8.00,7.50,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','BENTO GONçALVES','RS',434,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3123979,2.00,2.00,2.00,2.00,2.00,NULL,2.00,1.00,4.00,238,NULL,NULL,'ALTO RIO FORTUNA','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3123995,3.00,4.00,4.00,2.00,6.00,NULL,1.00,2.00,5.00,317,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124002,3.00,3.00,2.00,1.00,4.00,NULL,2.00,3.00,2.00,453,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124010,5.00,4.00,3.00,5.00,4.00,4.25,3.00,4.00,4.00,101,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',15037,107,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124029,5.00,2.00,1.00,1.00,4.00,NULL,3.00,4.00,3.00,208,NULL,238,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124037,4.00,9.00,6.00,9.00,7.00,5.75,4.00,8.00,5.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',3820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124045,8.00,5.00,5.00,8.00,3.00,NULL,4.00,8.00,4.00,220,NULL,203,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3124061,3.00,3.00,3.00,6.00,3.00,NULL,3.00,4.00,3.00,404,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124070,5.00,3.00,4.00,6.00,3.00,NULL,1.00,3.00,3.00,220,NULL,203,'CENTRO','PAIM FILHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3124088,4.00,4.00,3.00,8.00,5.00,5.00,2.00,7.00,4.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124096,3.00,2.00,5.00,2.00,2.00,NULL,1.00,2.00,1.00,332,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3124100,2.00,5.00,3.00,8.00,6.00,5.75,2.00,9.00,3.00,425,NULL,424,'CAMPECHE','FLORIANóPOLIS','SC',8822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124118,1.00,3.00,1.00,3.00,3.00,NULL,2.00,3.00,3.00,211,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3124134,5.00,4.00,3.00,8.00,4.00,4.75,2.00,4.00,1.00,327,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',14430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124142,4.00,4.00,3.00,6.00,5.00,4.25,2.00,6.00,4.00,404,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',12885,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124150,7.00,6.00,3.00,7.00,6.00,8.00,2.00,8.00,4.00,415,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124177,2.00,0.00,2.00,0.00,3.00,NULL,3.00,4.00,3.00,326,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124185,4.00,3.00,7.00,6.00,6.00,6.00,5.00,1.00,5.00,215,NULL,233,'CENTRO','TUBARãO','SC',10164,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3124193,4.00,7.00,4.00,9.00,4.00,4.75,2.00,4.00,4.00,301,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',11126,206,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3124240,1.00,2.00,3.00,6.00,3.00,NULL,3.00,4.00,3.00,302,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124258,7.00,5.00,5.00,8.00,7.00,6.50,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124266,1.00,4.00,1.00,1.00,4.00,NULL,3.00,5.00,2.00,104,NULL,NULL,'PINHEIRO','PRES GETúLIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3124282,8.00,7.00,7.00,9.00,7.00,6.50,4.00,9.00,6.00,340,NULL,NULL,'POMERANOS','TIMBó','SC',911,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3124290,2.00,5.00,3.00,2.00,4.00,5.75,2.00,3.00,3.00,103,NULL,NULL,'KOBRASOL','S JOSé','SC',16303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124304,3.00,5.00,3.00,7.00,4.00,4.50,2.00,6.00,5.00,214,NULL,220,'VILA NOVA','TRêS COROAS','RS',12895,414,NULL,466,NULL,NULL,NULL,2,1),(16,3124312,2.00,2.00,3.00,0.00,2.00,NULL,2.00,3.00,3.00,234,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124320,4.00,4.00,3.00,5.00,6.00,6.25,4.00,4.00,3.00,308,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',13092,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124347,4.00,5.00,3.00,5.00,5.00,0.00,3.00,2.00,5.00,238,NULL,208,'ARMAçAO DO PANTANO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MERCêS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3124371,7.00,7.00,6.00,8.00,9.00,7.25,5.00,9.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124380,1.00,3.00,3.00,6.00,2.00,NULL,3.00,7.00,3.00,501,NULL,NULL,'ASSUNçãO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3124401,5.00,3.00,2.00,6.00,3.00,NULL,3.00,2.00,2.00,339,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124410,7.00,7.00,9.00,8.00,6.00,6.50,8.00,9.00,8.00,220,NULL,202,'CENTRO','SERTãOZINHO','SP',430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124428,2.00,6.00,3.00,9.00,7.00,6.75,2.00,7.00,4.00,415,NULL,NULL,'CENTRO','VIDEIRA','SC',8889,242,NULL,NULL,NULL,NULL,NULL,4,7),(16,3124436,4.00,6.00,4.00,9.00,7.00,6.75,5.00,9.00,5.00,316,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3124452,6.00,4.00,4.00,4.00,6.00,5.25,2.00,5.00,5.00,103,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',10936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124460,5.00,4.00,2.00,7.00,5.00,5.75,1.00,5.00,3.00,101,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11903,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124479,3.00,5.00,1.00,8.00,6.00,5.25,4.00,5.00,2.00,207,NULL,211,'FáTIMA','FORTALEZA','CE',11938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124487,4.00,4.00,3.00,9.00,6.00,7.75,2.00,6.00,3.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124495,4.00,3.00,3.00,3.00,3.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124509,3.00,2.00,2.00,4.00,3.00,NULL,5.00,3.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3124517,4.00,3.00,3.00,0.00,0.00,NULL,3.00,4.00,2.00,501,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3124525,6.00,7.00,6.00,5.00,8.00,5.50,3.00,7.00,2.00,326,NULL,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',6110,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3124533,4.00,4.00,1.00,2.00,7.00,5.00,3.00,5.00,5.00,301,NULL,NULL,'JARDIM JANAíNA','BIGUAçU','SC',13657,296,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,220,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3124568,4.00,4.00,2.00,5.00,1.00,NULL,3.00,1.00,1.00,303,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124576,6.00,7.00,3.00,2.00,4.00,4.75,2.00,6.00,2.00,316,NULL,NULL,'INTERIOR','TANGARá','SC',13276,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3124584,4.00,2.00,3.00,6.00,5.00,5.25,3.00,3.00,2.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15025,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124606,4.00,2.00,3.00,5.00,5.00,5.25,3.00,3.00,4.00,501,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',15440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3124622,8.00,5.00,5.00,8.00,7.00,6.50,4.00,8.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124630,6.00,6.00,5.00,7.00,6.00,6.75,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124649,2.00,0.00,5.00,6.00,3.00,NULL,1.00,1.00,0.00,319,NULL,NULL,'CAMPO DO GADO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3124673,3.00,4.00,4.00,7.00,3.00,NULL,1.00,3.00,6.00,304,NULL,NULL,'VILA NOVA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3124690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3124703,6.00,5.00,4.00,7.00,7.00,6.75,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124711,5.00,5.00,4.00,8.00,5.00,5.50,1.00,7.00,3.00,203,NULL,214,'CAMPINAS','S JOSé','SC',10114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124720,6.00,7.00,4.00,7.00,6.00,5.50,4.00,6.00,5.00,316,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',5936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124738,6.00,7.00,5.00,8.00,8.00,5.00,4.00,8.00,7.00,201,NULL,238,'FLOR DO SOL','S JOSé','SC',3278,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124746,7.00,7.00,3.00,7.00,5.00,6.50,5.00,7.00,6.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4900,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124754,9.00,8.00,8.00,4.00,6.00,6.00,6.00,8.00,7.00,201,NULL,212,'GUANABARA','JOINVILLE','SC',1662,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3124762,8.00,8.00,5.00,7.00,8.00,5.75,6.00,6.00,7.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANóPOLIS','SC',1646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124770,4.00,1.00,4.00,3.00,4.00,3.25,5.00,2.00,4.00,9,NULL,NULL,'ITAGUá','UBATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3124797,3.00,6.00,1.00,3.00,4.00,5.00,3.00,5.00,4.00,203,NULL,208,'CENTRO','CONCóRDIA','SC',14825,881,NULL,502,NULL,NULL,NULL,4,9),(16,3124800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'MERCêS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3124819,5.00,3.00,2.00,5.00,2.00,NULL,2.00,4.00,1.00,301,NULL,NULL,'PâNTANO DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124835,1.00,2.00,4.00,3.00,3.00,NULL,0.00,1.00,1.00,317,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124843,8.00,7.00,8.00,8.00,6.00,8.00,4.00,7.00,6.00,5,NULL,NULL,'CAMPINAS','S JOSé','SC',1191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124851,6.00,6.00,5.00,4.00,5.00,7.25,4.00,7.00,5.00,304,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',6370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124860,5.00,4.00,6.00,6.00,4.00,4.75,3.00,6.00,2.00,444,NULL,NULL,'MOINHOS','LAJEADO','RS',10398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124878,5.00,7.00,1.00,7.00,2.00,NULL,3.00,8.00,6.00,202,NULL,213,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124886,6.00,4.00,5.00,5.00,6.00,6.00,5.00,6.00,8.00,317,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',5367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124894,8.00,9.00,7.00,7.00,8.00,5.25,5.00,4.00,8.00,201,NULL,211,'CENTRO','FLORIANóPOLIS','SC',1599,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124908,5.00,6.00,6.00,5.00,6.00,5.25,3.00,7.00,6.00,317,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',6818,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124924,4.00,2.00,2.00,8.00,4.00,6.50,3.00,3.00,4.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14347,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124932,8.00,6.00,8.00,6.00,6.00,4.00,3.00,8.00,5.00,2,NULL,NULL,'GLORIA','JOINVILLE','SC',4285,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3124940,2.00,5.00,1.00,2.00,4.00,NULL,1.00,4.00,4.00,201,NULL,238,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3124959,4.00,7.00,2.00,4.00,6.00,5.25,3.00,6.00,5.00,317,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',9654,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124975,6.00,4.00,6.00,8.00,5.00,5.00,3.00,6.00,6.00,201,NULL,212,'PASSO DOS FORTES','CHAPECó','SC',6329,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3124983,4.00,1.00,1.00,7.00,4.00,NULL,2.00,3.00,3.00,102,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3124991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3125009,7.00,6.00,4.00,9.00,6.00,4.50,5.00,5.00,8.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125017,2.00,5.00,4.00,5.00,6.00,5.50,2.00,5.00,2.00,103,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',14835,2678,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125025,4.00,3.00,1.00,5.00,5.00,6.00,2.00,5.00,1.00,502,NULL,NULL,'JARDIM JANAINA','BIGUAçU','SC',16069,76,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125033,5.00,5.00,2.00,4.00,4.00,6.00,2.00,6.00,3.00,303,NULL,NULL,'MADRI','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125041,4.00,3.00,4.00,0.00,5.00,NULL,2.00,2.00,2.00,211,NULL,216,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3125050,7.00,8.00,5.00,9.00,7.00,6.75,5.00,7.00,6.00,301,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',1433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125076,9.00,8.00,6.00,10.00,7.00,6.50,5.00,8.00,7.00,103,NULL,NULL,'GUARACIABA','CPO GRANDE','MS',670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125084,6.00,5.00,2.00,7.00,6.00,6.75,3.00,5.00,3.00,301,NULL,NULL,'BAIRRO DE FATIMA','FLORIANóPOLIS','SC',10572,187,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125092,3.00,2.00,4.00,4.00,6.00,5.00,3.00,5.00,2.00,214,NULL,213,'CENTRO','STA CRUZ R PARDO','SP',14465,453,NULL,254,NULL,NULL,NULL,4,1),(16,3125106,2.00,5.00,1.00,6.00,1.00,NULL,3.00,3.00,1.00,424,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125114,2.00,6.00,4.00,8.00,3.00,NULL,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','MARINGá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125122,7.00,8.00,6.00,8.00,7.00,6.00,6.00,9.00,5.00,5,NULL,NULL,'CENTRO','TUBARãO','SC',1412,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3125130,7.00,6.00,7.00,8.00,3.00,NULL,2.00,6.00,3.00,203,NULL,201,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125149,2.00,4.00,2.00,5.00,4.00,NULL,1.00,2.00,3.00,415,NULL,NULL,'SãO FRANCISCO','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3125165,2.00,3.00,4.00,4.00,3.00,NULL,2.00,3.00,0.00,317,NULL,NULL,'JARDIM ITú','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125173,2.00,2.00,1.00,1.00,1.00,NULL,1.00,1.00,1.00,207,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125181,9.00,7.00,3.00,8.00,7.00,6.00,4.00,8.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2953,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125203,9.00,8.00,6.00,8.00,7.00,7.00,4.00,8.00,8.00,425,NULL,428,'CAMPINAS','S JOSé','SC',981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125211,7.00,5.00,4.00,7.00,6.00,5.75,2.00,6.00,6.00,216,NULL,220,'FREI ROGERIO','LAGES','SC',6223,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3125220,6.00,4.00,5.00,5.00,5.00,6.50,3.00,6.00,4.00,101,NULL,NULL,'OPERáRIO','NOVO HAMBURGO','RS',9180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125246,6.00,3.00,5.00,4.00,5.00,5.50,3.00,4.00,3.00,319,NULL,NULL,'CENTRO','GASPAR','SC',13227,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3125254,3.00,3.00,5.00,2.00,6.00,4.25,3.00,6.00,4.00,316,NULL,NULL,'CENTRO','LAGES','SC',14164,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3125270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'PARQUE RINCãO','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3125297,2.00,3.00,3.00,1.00,1.00,NULL,2.00,2.00,0.00,324,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125319,5.00,3.00,3.00,1.00,6.00,6.00,1.00,5.00,5.00,303,NULL,NULL,'VILA EMA','S PAULO','SP',14448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125327,2.00,1.00,2.00,7.00,2.00,NULL,0.00,0.00,0.00,208,NULL,238,'BOA VISTA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,2),(16,3125360,7.00,8.00,6.00,7.00,7.00,7.00,3.00,7.00,6.00,216,NULL,214,'MAR GROSSO','LAGUNA','SC',2481,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3125378,3.00,0.00,3.00,6.00,5.00,NULL,3.00,4.00,3.00,207,NULL,201,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125386,3.00,4.00,5.00,6.00,5.00,6.00,3.00,3.00,4.00,415,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',11948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125394,5.00,3.00,2.00,7.00,5.00,4.75,1.00,6.00,4.00,428,NULL,424,'CANTO DA LAGOA','FLORIANóPOLIS','SC',12995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125408,4.00,5.00,1.00,7.00,4.00,6.25,2.00,2.00,2.00,2,NULL,NULL,'NAÇÕES','INDAIAL','SC',15667,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3125416,7.00,7.00,5.00,8.00,8.00,4.00,2.00,7.00,5.00,332,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',5385,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125424,6.00,7.00,5.00,8.00,5.00,0.00,2.00,7.00,4.00,319,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125432,5.00,4.00,3.00,7.00,1.00,NULL,4.00,5.00,4.00,220,NULL,201,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3125440,2.00,5.00,4.00,1.00,3.00,NULL,2.00,5.00,1.00,238,NULL,208,'CANUDOS','S MARTINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125459,5.00,4.00,3.00,9.00,4.00,6.50,2.00,5.00,4.00,340,NULL,NULL,'SãO BENTO','BENTO GONçALVES','RS',10410,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3125467,4.00,0.00,2.00,3.00,3.00,NULL,2.00,4.00,0.00,319,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125475,6.00,9.00,5.00,7.00,7.00,6.50,4.00,9.00,7.00,318,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',1774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125483,8.00,7.00,5.00,9.00,6.00,5.75,4.00,8.00,5.00,208,NULL,238,'BOSQUE DAS MANSõES','S JOSé','SC',3161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125491,2.00,4.00,3.00,6.00,2.00,NULL,3.00,4.00,3.00,102,NULL,NULL,'CENTRO','S JOãO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125505,4.00,8.00,6.00,1.00,3.00,NULL,4.00,6.00,5.00,201,NULL,212,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125513,4.00,3.00,1.00,8.00,3.00,NULL,2.00,7.00,5.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3125521,5.00,6.00,4.00,7.00,5.00,4.25,3.00,5.00,5.00,203,NULL,202,'ESTRADA NOVA','JARAGUá SUL','SC',10139,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125530,5.00,5.00,2.00,7.00,7.00,5.50,4.00,6.00,6.00,319,NULL,NULL,'ALVORADA','FRANCISCO BELTRãO','PR',7937,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3125548,3.00,4.00,1.00,5.00,4.00,6.75,2.00,3.00,3.00,303,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',15506,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3125556,1.00,4.00,3.00,8.00,7.00,5.25,1.00,4.00,2.00,103,NULL,NULL,'FREI ROGéRIO','LAGES','SC',13887,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3125572,3.00,5.00,3.00,8.00,5.00,5.25,2.00,4.00,5.00,202,NULL,213,'CENTRO','LAGES','SC',11000,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3125580,2.00,0.00,2.00,7.00,4.00,NULL,2.00,1.00,0.00,340,NULL,NULL,'UNIVERSITáRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125599,3.00,7.00,2.00,8.00,6.00,5.50,5.00,7.00,5.00,203,NULL,202,'VILA NOVA','BLUMENAU','SC',6656,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3125602,3.00,3.00,4.00,3.00,3.00,NULL,3.00,3.00,4.00,216,NULL,215,'CENTRO','MTE CARLO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3125610,4.00,2.00,2.00,5.00,2.00,NULL,3.00,7.00,2.00,319,NULL,NULL,'BELA VISTA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3125653,5.00,3.00,4.00,1.00,5.00,6.50,3.00,5.00,3.00,108,NULL,NULL,'ELDORADO','TREMEMBé','SP',13685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125661,4.00,4.00,2.00,8.00,5.00,6.25,4.00,6.00,2.00,304,NULL,NULL,'JARDIM IPIRANGA','PTO ALEGRE','RS',10999,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3125670,4.00,6.00,2.00,7.00,5.00,4.50,3.00,5.00,4.00,331,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',11878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125688,5.00,6.00,3.00,6.00,6.00,6.00,3.00,5.00,4.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',9371,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3125700,4.00,3.00,4.00,1.00,1.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125718,4.00,3.00,4.00,8.00,5.00,6.75,0.00,2.00,4.00,453,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',13962,112,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125726,4.00,3.00,2.00,7.00,2.00,NULL,6.00,4.00,1.00,415,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125734,5.00,8.00,3.00,2.00,6.00,5.50,4.00,7.00,7.00,205,NULL,NULL,'SAGUAçU','JOINVILLE','SC',7318,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3125742,4.00,0.00,3.00,5.00,6.00,NULL,2.00,3.00,2.00,201,NULL,212,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM IMPERIAL','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3125769,7.00,7.00,4.00,7.00,5.00,5.50,3.00,5.00,4.00,211,NULL,216,'SAO JOAO','ITAJAí','SC',6398,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3125777,5.00,7.00,3.00,6.00,6.00,5.25,3.00,7.00,1.00,415,NULL,NULL,'CENTRO','VACARIA','RS',9708,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3125785,3.00,3.00,4.00,7.00,3.00,NULL,2.00,5.00,4.00,103,NULL,NULL,'CURITIBA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3125793,7.00,7.00,5.00,7.00,6.00,6.00,5.00,5.00,6.00,102,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3915,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125807,4.00,3.00,4.00,4.00,2.00,NULL,2.00,4.00,4.00,302,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125823,6.00,7.00,3.00,5.00,6.00,6.50,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','PALHOçA','SC',8364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125831,4.00,1.00,3.00,8.00,6.00,6.50,0.00,5.00,3.00,101,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',13950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125840,3.00,4.00,2.00,5.00,4.00,4.50,4.00,2.00,4.00,211,NULL,203,'SãO VICENTE','ITAJAí','SC',15765,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3125858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PAMPULHA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3125866,3.00,4.00,2.00,4.00,5.00,5.25,2.00,4.00,4.00,331,NULL,NULL,'FUNDOS','BIGUAçU','SC',15477,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125874,1.00,6.00,2.00,9.00,4.00,5.50,2.00,4.00,2.00,425,NULL,428,'CENTRO','BIGUAçU','SC',14630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3125882,0.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'NAVEGANTES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(16,3125890,6.00,7.00,1.00,8.00,7.00,5.75,4.00,8.00,5.00,5,NULL,NULL,'AMéRICA','JOINVILLE','SC',4630,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3125904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PITUBA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3125920,3.00,2.00,2.00,3.00,1.00,NULL,2.00,2.00,3.00,319,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125939,4.00,3.00,3.00,1.00,3.00,NULL,1.00,4.00,3.00,233,NULL,201,'SAO MARCOS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3125947,3.00,1.00,2.00,4.00,0.00,NULL,3.00,3.00,3.00,303,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3125955,4.00,5.00,1.00,7.00,4.00,NULL,0.00,6.00,6.00,103,NULL,NULL,'AMIZADE','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3125963,7.00,6.00,5.00,8.00,8.00,6.75,6.00,8.00,8.00,104,NULL,NULL,'SANTA BARBARA','CRICIúMA','SC',1314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126013,2.00,1.00,1.00,0.00,0.00,NULL,2.00,2.00,0.00,5,NULL,NULL,'JOAO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126030,5.00,4.00,1.00,5.00,4.00,4.50,2.00,4.00,3.00,309,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',15768,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126048,5.00,5.00,3.00,7.00,7.00,6.00,4.00,5.00,6.00,319,NULL,NULL,'PROGRESSO','BLUMENAU','SC',7306,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3126056,7.00,4.00,2.00,3.00,7.00,6.50,3.00,8.00,4.00,207,NULL,201,'JOãO BATISTA TONIAL','XANXERê','SC',8860,406,NULL,694,NULL,NULL,NULL,4,4),(16,3126064,4.00,1.00,3.00,2.00,3.00,NULL,4.00,5.00,5.00,203,NULL,202,'CENTRO','ABDON BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3126072,6.00,8.00,6.00,8.00,7.00,6.50,2.00,6.00,5.00,216,NULL,203,'CENTRO','SALTO GRANDE','SP',3792,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126099,4.00,3.00,3.00,4.00,3.00,NULL,4.00,2.00,3.00,203,NULL,208,'N SENHORA APARECIDA','PTE ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3126102,1.00,4.00,3.00,6.00,4.00,5.50,3.00,7.00,3.00,404,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',13957,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126137,7.00,9.00,7.00,8.00,7.00,7.00,7.00,8.00,8.00,201,NULL,203,'CENTRO','PORTO UNIAO','SC',451,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3126145,4.00,5.00,3.00,8.00,5.00,4.25,4.00,6.00,6.00,328,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',8559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'OESTE','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3126170,3.00,2.00,2.00,3.00,0.00,NULL,2.00,3.00,4.00,102,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM DA PENHA','VITóRIA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3126196,6.00,7.00,6.00,7.00,6.00,5.00,2.00,8.00,5.00,238,NULL,208,'RIO VERMELHO','FLORIANóPOLIS','SC',5209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126218,5.00,2.00,3.00,3.00,3.00,NULL,3.00,4.00,3.00,502,NULL,NULL,'CENTRO','S MARCOS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126234,5.00,2.00,2.00,7.00,6.00,4.75,3.00,4.00,2.00,103,NULL,NULL,'CIDADE MINERA NOVA','CRICIúMA','SC',15305,2717,NULL,NULL,NULL,NULL,NULL,2,5),(16,3126250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'DIVINéIA','ARARANGUá','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3126285,2.00,3.00,3.00,5.00,4.00,NULL,2.00,2.00,3.00,207,NULL,215,'SANTA GENEBRA','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3126293,8.00,6.00,6.00,6.00,6.00,7.00,6.00,8.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126307,8.00,5.00,4.00,8.00,7.00,4.75,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',3113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126315,6.00,6.00,4.00,4.00,6.00,6.25,3.00,7.00,5.00,220,NULL,202,'ITACORUBI','FLORIANóPOLIS','SC',7029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BRASILIA','CPO BELO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3126331,5.00,7.00,6.00,5.00,6.00,5.50,2.00,4.00,6.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126340,5.00,4.00,2.00,6.00,3.00,NULL,4.00,5.00,5.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3126374,6.00,5.00,3.00,4.00,7.00,6.00,2.00,7.00,5.00,108,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',8197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','MAL CâNDIDO RONDON','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3126390,3.00,3.00,2.00,3.00,4.00,NULL,3.00,3.00,0.00,101,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126404,5.00,4.00,4.00,7.00,4.00,5.50,3.00,5.00,4.00,208,NULL,216,'DOS ESPORTES','XANXERê','SC',10521,325,NULL,367,NULL,NULL,NULL,4,4),(16,3126412,5.00,6.00,2.00,9.00,7.00,5.50,3.00,6.00,5.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',6355,1738,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126420,7.00,8.00,9.00,9.00,8.00,8.50,6.00,6.00,8.00,203,NULL,214,'CóRREGO GRANDE','FLORIANóPOLIS','SC',225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'BANCARIOS','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3126447,4.00,3.00,2.00,7.00,4.00,5.50,4.00,3.00,3.00,303,NULL,NULL,'MORADA DO SOL','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126455,3.00,3.00,2.00,4.00,5.00,5.00,3.00,4.00,3.00,102,NULL,NULL,'CENTRO','S JOSé CEDRO','SC',16107,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3126463,4.00,5.00,4.00,7.00,5.00,5.25,3.00,4.00,6.00,102,NULL,NULL,'JARDIM BOTANICO','RIBEIRãO PRETO','SP',8603,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126471,4.00,1.00,2.00,5.00,2.00,NULL,3.00,4.00,3.00,102,NULL,NULL,'MARISCAL','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3126480,4.00,3.00,1.00,3.00,2.00,NULL,1.00,6.00,3.00,301,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS AMERICAS','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3126510,8.00,7.00,5.00,7.00,7.00,5.50,4.00,8.00,4.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',3611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126528,3.00,6.00,6.00,5.00,5.00,4.50,4.00,6.00,4.00,202,NULL,201,'BOQUERÃO','CURITIBA','PR',8850,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3126536,4.00,6.00,1.00,7.00,4.00,4.50,2.00,7.00,6.00,212,NULL,207,'CENTRO','FLORIANóPOLIS','SC',11089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126552,5.00,3.00,5.00,4.00,3.00,NULL,2.00,5.00,3.00,316,NULL,NULL,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126560,3.00,4.00,2.00,6.00,6.00,6.50,3.00,6.00,5.00,319,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',10653,204,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126579,6.00,3.00,2.00,8.00,6.00,5.50,3.00,4.00,3.00,201,NULL,207,'JARDIM ELDORADO','PALHOçA','SC',12047,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126587,0.00,3.00,1.00,4.00,2.00,NULL,4.00,5.00,4.00,428,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126617,3.00,5.00,4.00,2.00,5.00,4.75,4.00,5.00,5.00,211,NULL,207,'CENTRO','S JOSé CEDRO','SC',12471,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3126625,4.00,7.00,4.00,4.00,6.00,7.00,4.00,6.00,5.00,2,NULL,NULL,'NOSSA SRA DE LURDES','CAMPOS NOVOS','SC',6881,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3126633,1.00,4.00,2.00,4.00,3.00,NULL,3.00,4.00,5.00,213,NULL,208,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126641,5.00,3.00,5.00,7.00,5.00,5.50,3.00,5.00,3.00,9,NULL,NULL,'CAMPINAS','S JOSé','SC',11520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126650,4.00,3.00,4.00,8.00,4.00,5.75,4.00,3.00,2.00,340,NULL,NULL,'CENTRO FLORIANóPOLIS','FLORIANóPOLIS','SC',12734,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3126668,7.00,6.00,7.00,6.00,5.00,5.50,3.00,5.00,5.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126676,6.00,6.00,4.00,6.00,6.00,4.25,2.00,7.00,4.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',8592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126684,2.00,4.00,1.00,3.00,6.00,NULL,2.00,4.00,3.00,317,NULL,NULL,'CIDADE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3126692,7.00,6.00,2.00,2.00,4.00,5.75,2.00,8.00,5.00,404,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',11415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126706,4.00,3.00,2.00,0.00,2.00,NULL,0.00,4.00,4.00,317,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3126722,5.00,2.00,4.00,6.00,4.00,5.75,5.00,6.00,4.00,404,NULL,NULL,'RETIRO DAS PEDRAS','BELO HORIZONTE','MG',10945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126730,2.00,7.00,3.00,7.00,4.00,8.00,1.00,8.00,3.00,303,NULL,NULL,'TV MORENA','CPO GRANDE','MS',10005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126749,4.00,6.00,2.00,6.00,4.00,5.75,1.00,5.00,4.00,234,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',13851,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126757,4.00,3.00,3.00,3.00,3.00,NULL,2.00,3.00,2.00,102,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126773,2.00,3.00,4.00,3.00,5.00,5.00,2.00,4.00,6.00,316,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',15472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126781,5.00,4.00,4.00,8.00,6.00,5.25,2.00,7.00,4.00,425,NULL,429,'SACO GRANDE','FLORIANóPOLIS','SC',8105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126790,2.00,3.00,3.00,7.00,2.00,NULL,2.00,4.00,2.00,102,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3126803,5.00,5.00,2.00,9.00,6.00,7.25,3.00,7.00,4.00,451,NULL,NULL,'MORUMBI','S PAULO','SP',6079,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3126811,8.00,7.00,7.00,6.00,7.00,6.00,5.00,8.00,6.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',1577,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3126820,5.00,5.00,4.00,7.00,6.00,5.50,3.00,5.00,2.00,450,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126838,3.00,4.00,2.00,7.00,5.00,5.75,2.00,6.00,6.00,103,NULL,NULL,'VILA ISABEL','CURITIBA','PR',11009,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3126846,6.00,6.00,5.00,8.00,6.00,5.00,7.00,8.00,5.00,207,NULL,212,'COQUEIROS','FLORIANóPOLIS','SC',3120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126854,9.00,7.00,5.00,7.00,7.00,7.50,3.00,6.00,5.00,318,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',3265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126862,2.00,1.00,4.00,6.00,5.00,5.25,1.00,6.00,1.00,202,NULL,201,'CENTRO','CHAPECó','SC',16185,535,NULL,1245,NULL,NULL,NULL,4,4),(16,3126870,5.00,8.00,3.00,7.00,5.00,4.75,3.00,6.00,4.00,340,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3126889,6.00,5.00,3.00,9.00,6.00,4.50,3.00,8.00,6.00,207,NULL,201,'VILA ITAPURA','CAMPINAS','SP',5554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126900,4.00,5.00,1.00,1.00,5.00,5.50,3.00,4.00,4.00,104,NULL,NULL,'CENTRO','PRES GETúLIO','SC',15913,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3126919,5.00,8.00,5.00,8.00,7.00,6.00,4.00,6.00,7.00,233,NULL,214,'BARREIROS','S JOSé','SC',3188,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126935,3.00,5.00,8.00,7.00,4.00,4.75,4.00,7.00,4.00,203,NULL,233,'CENTRO','FLORIANóPOLIS','SC',7235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126943,7.00,9.00,2.00,7.00,7.00,7.00,4.00,8.00,7.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',2321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3126951,2.00,3.00,1.00,1.00,1.00,NULL,2.00,3.00,2.00,444,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126960,5.00,2.00,1.00,5.00,3.00,NULL,1.00,3.00,4.00,451,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3126978,7.00,8.00,6.00,6.00,7.00,4.50,5.00,9.00,7.00,103,NULL,NULL,'BATEL','CURITIBA','PR',1619,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3126986,3.00,5.00,2.00,4.00,4.00,5.00,2.00,3.00,2.00,502,NULL,NULL,'BARREIROS','S JOSé','SC',16344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3126994,6.00,6.00,3.00,7.00,5.00,6.25,4.00,5.00,5.00,211,NULL,215,'AGRONôMICA','FLORIANóPOLIS','SC',6907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127001,5.00,3.00,8.00,1.00,3.00,NULL,5.00,5.00,6.00,216,NULL,233,'JUSCELINO KUBITSCHEK','POMPéIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3127010,1.00,4.00,4.00,5.00,2.00,NULL,1.00,3.00,2.00,317,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127028,3.00,7.00,6.00,7.00,3.00,NULL,1.00,5.00,4.00,211,NULL,238,'JURERê','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127036,6.00,8.00,5.00,4.00,7.00,5.50,4.00,6.00,4.00,302,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',5886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127044,8.00,7.00,4.00,7.00,8.00,5.00,4.00,9.00,8.00,301,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',1825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127079,7.00,6.00,1.00,6.00,5.00,5.50,4.00,8.00,5.00,103,NULL,NULL,'LINHA OLINDA','NOVA PETRóPOLIS','RS',7248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127095,6.00,4.00,3.00,6.00,5.00,5.50,1.00,3.00,3.00,103,NULL,NULL,'BAIRRO BAú','CUIABá','MT',13689,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127109,6.00,7.00,5.00,9.00,8.00,7.75,2.00,4.00,3.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127117,4.00,5.00,3.00,7.00,6.00,6.50,2.00,7.00,3.00,104,NULL,NULL,'PANAZZOLO','CAXIAS SUL','RS',9753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127133,4.00,4.00,5.00,6.00,5.00,4.25,4.00,4.00,4.00,304,NULL,NULL,'KOBRASOL','S JOSé','SC',11553,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127141,7.00,7.00,4.00,7.00,6.00,8.00,4.00,6.00,6.00,303,NULL,NULL,'CATARINA FONTANA','CONCóRDIA','SC',3600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127150,5.00,7.00,5.00,7.00,7.00,7.00,3.00,7.00,7.00,203,NULL,214,'INGLESES DO RIO VERM','FLORIANóPOLIS','SC',3050,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127168,4.00,2.00,3.00,2.00,1.00,NULL,2.00,5.00,3.00,216,NULL,211,'CENTRO','PASSOS MAIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3127176,5.00,4.00,2.00,7.00,4.00,6.25,4.00,2.00,3.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',13549,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3127192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA LALAU','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3127206,7.00,6.00,4.00,7.00,5.00,7.25,4.00,5.00,4.00,9,NULL,NULL,'PACHECOS','PALHOçA','SC',5639,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127214,4.00,3.00,4.00,5.00,3.00,NULL,3.00,8.00,3.00,333,NULL,NULL,'ROCIO GRANDE','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3127222,4.00,3.00,4.00,7.00,6.00,5.75,4.00,3.00,4.00,340,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',11028,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127230,5.00,3.00,4.00,4.00,5.00,4.00,3.00,5.00,3.00,211,NULL,201,'NOVA AMERICANA','AMERICANA','SP',14105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127249,6.00,2.00,4.00,6.00,4.00,4.50,4.00,5.00,5.00,104,NULL,NULL,'VILA IVETE','MAFRA','SC',10934,295,NULL,NULL,NULL,NULL,NULL,2,8),(16,3127265,4.00,5.00,1.00,3.00,5.00,6.50,0.00,6.00,5.00,429,NULL,421,'CARIANOS','FLORIANóPOLIS','SC',13732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127273,4.00,4.00,3.00,7.00,5.00,6.00,5.00,7.00,2.00,238,NULL,208,'CAMPINAS','S JOSé','SC',9221,259,NULL,268,NULL,NULL,NULL,4,1),(16,3127281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'USINA','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3127290,2.00,3.00,4.00,2.00,2.00,NULL,3.00,0.00,2.00,303,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127311,4.00,4.00,1.00,4.00,5.00,6.00,2.00,3.00,2.00,426,NULL,428,'BARREIROS','S JOSé','SC',15783,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAGOA DOURADA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3127346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CAMPO GRANDE','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3127354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3127362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ARCO ÍRIS','PANAMBI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3127370,9.00,8.00,8.00,8.00,7.00,6.00,8.00,7.00,7.00,220,NULL,202,'BOM RETIRO','JOINVILLE','SC',411,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3127389,4.00,4.00,2.00,5.00,6.00,5.75,3.00,5.00,5.00,319,NULL,NULL,'CENTRO','GETúLIO VARGAS','RS',12715,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3127397,3.00,0.00,1.00,1.00,3.00,NULL,3.00,1.00,2.00,103,NULL,NULL,'TAQUARAS','IBIRAMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127400,5.00,4.00,4.00,4.00,6.00,7.00,2.00,5.00,6.00,211,NULL,207,'CENTRO','FLORIANóPOLIS','SC',10836,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127419,3.00,3.00,2.00,5.00,4.00,7.00,3.00,5.00,3.00,207,NULL,NULL,'CENTRO','ERECHIM','RS',14642,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3127427,4.00,5.00,3.00,8.00,4.00,4.50,2.00,5.00,2.00,319,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',13444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127435,3.00,6.00,3.00,5.00,4.00,5.25,3.00,7.00,4.00,303,NULL,NULL,'PQ FRANCESCHINE','SUMARé','SP',10479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127443,2.00,6.00,2.00,4.00,3.00,NULL,2.00,4.00,3.00,215,NULL,216,'SACO DOS LEMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127451,8.00,8.00,4.00,6.00,5.00,6.25,3.00,9.00,6.00,216,NULL,233,'CENTRO','BAL CAMBORIú','SC',3341,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3127478,6.00,5.00,4.00,6.00,6.00,6.75,3.00,4.00,5.00,302,NULL,NULL,'JOÃO PAULO','FLORIANóPOLIS','SC',7833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127486,5.00,1.00,2.00,9.00,6.00,6.50,3.00,2.00,3.00,212,NULL,213,'GLORIA','JOINVILLE','SC',13205,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3127494,4.00,5.00,3.00,6.00,4.00,5.00,3.00,6.00,3.00,340,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',13215,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127508,3.00,6.00,1.00,6.00,1.00,NULL,4.00,5.00,4.00,238,NULL,203,'ARMAÇAO DO PANTANO D','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127516,6.00,5.00,4.00,6.00,6.00,6.75,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3127524,8.00,5.00,4.00,3.00,5.00,4.25,7.00,7.00,6.00,220,NULL,213,'CENTRO','RIO NEGRINHO','SC',6780,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3127540,4.00,3.00,3.00,8.00,5.00,4.75,3.00,6.00,5.00,502,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',10278,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127559,4.00,4.00,5.00,7.00,3.00,NULL,2.00,4.00,4.00,501,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127567,9.00,7.00,4.00,9.00,7.00,6.00,6.00,9.00,8.00,340,NULL,NULL,'MEIRELES','FORTALEZA','CE',793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127575,5.00,7.00,6.00,9.00,8.00,7.50,4.00,7.00,8.00,331,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',1605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127583,6.00,4.00,1.00,5.00,4.00,5.25,4.00,3.00,2.00,104,NULL,NULL,'PALMITAL','CHAPECó','SC',14885,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3127621,8.00,7.00,3.00,7.00,4.00,4.00,3.00,8.00,6.00,213,NULL,238,'TRINDADE','FLORIANóPOLIS','SC',5460,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127630,6.00,5.00,2.00,8.00,7.00,4.00,5.00,8.00,4.00,503,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',6980,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127648,3.00,5.00,1.00,3.00,3.00,NULL,4.00,5.00,4.00,207,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3127656,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,203,NULL,214,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3127664,3.00,5.00,2.00,9.00,7.00,6.00,2.00,5.00,3.00,501,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',10490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127672,1.00,2.00,1.00,1.00,5.00,NULL,2.00,3.00,1.00,215,NULL,233,'CENTRO','CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3127680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VISTA ALEGRE','BARRA MANSA','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3127699,7.00,6.00,6.00,6.00,7.00,6.00,3.00,6.00,7.00,108,NULL,NULL,'SOBRADINHO','SOBRADINHO','DF',3839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127702,8.00,7.00,5.00,7.00,7.00,7.25,5.00,8.00,7.00,108,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',2225,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3127729,5.00,8.00,8.00,8.00,5.00,6.50,5.00,5.00,6.00,301,NULL,NULL,'SAGUAçú','JOINVILLE','SC',3491,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3127737,5.00,5.00,5.00,8.00,6.00,8.00,3.00,8.00,5.00,203,NULL,214,'TRINDADE','FLORIANóPOLIS','SC',3916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127745,6.00,4.00,2.00,2.00,4.00,4.50,2.00,4.00,2.00,9,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',16218,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3127753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3127761,6.00,5.00,6.00,4.00,4.00,5.50,5.00,6.00,6.00,220,NULL,203,'JARDIM PORTO ALEGRE','TOLEDO','PR',6338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127770,4.00,4.00,3.00,2.00,3.00,NULL,2.00,4.00,3.00,214,NULL,220,'PINHEIRA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127788,1.00,0.00,3.00,4.00,4.00,NULL,0.00,0.00,5.00,207,NULL,238,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127796,4.00,2.00,2.00,2.00,5.00,3.25,3.00,5.00,3.00,207,NULL,208,'PORTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127800,4.00,2.00,1.00,4.00,3.00,NULL,2.00,5.00,3.00,301,NULL,NULL,'FURADINHO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127818,8.00,6.00,4.00,9.00,9.00,6.75,4.00,8.00,6.00,101,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',1891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127826,2.00,3.00,3.00,4.00,2.00,NULL,1.00,5.00,3.00,301,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127834,4.00,7.00,6.00,5.00,5.00,7.00,4.00,6.00,3.00,224,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',8346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127842,4.00,2.00,3.00,7.00,4.00,6.00,4.00,5.00,5.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10758,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3127850,6.00,7.00,5.00,3.00,7.00,7.00,2.00,5.00,4.00,201,NULL,212,'TRINDADE','FLORIANóPOLIS','SC',8210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127869,6.00,9.00,2.00,4.00,7.00,5.00,3.00,7.00,4.00,234,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',7496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127877,8.00,7.00,4.00,7.00,7.00,6.00,3.00,8.00,5.00,103,NULL,NULL,'AMéRICA','JOINVILLE','SC',3781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127885,2.00,5.00,5.00,8.00,5.00,7.50,3.00,9.00,6.00,201,NULL,233,'BOM FIM','PTO ALEGRE','RS',5177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127893,6.00,8.00,4.00,7.00,5.00,5.50,3.00,8.00,7.00,104,NULL,NULL,'LíDER','CHAPECó','SC',5060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,207,'CENTRO','QUEDAS IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3127915,4.00,1.00,2.00,2.00,5.00,NULL,2.00,4.00,4.00,301,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127923,5.00,5.00,5.00,8.00,6.00,5.00,3.00,5.00,4.00,340,NULL,NULL,'OPERáRIO','NOVO HAMBURGO','RS',7882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127931,3.00,7.00,3.00,7.00,6.00,6.50,3.00,8.00,5.00,327,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',6481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127940,4.00,3.00,2.00,6.00,3.00,NULL,2.00,5.00,6.00,104,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3127958,5.00,6.00,3.00,6.00,3.00,NULL,3.00,7.00,3.00,201,NULL,207,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127966,2.00,3.00,3.00,4.00,4.00,4.75,3.00,6.00,4.00,201,NULL,207,'CENTRO','ERVAL VELHO','SC',15543,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3127974,4.00,5.00,4.00,5.00,3.00,NULL,3.00,5.00,4.00,103,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3127982,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'ITAQUERA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3127990,7.00,7.00,5.00,7.00,5.00,5.75,3.00,6.00,5.00,319,NULL,NULL,'PRAIA BRAVA','FLORIANóPOLIS','SC',5077,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128008,7.00,6.00,6.00,8.00,6.00,5.00,3.00,6.00,5.00,201,NULL,213,'KOBRASOL','S JOSé','SC',4484,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128016,4.00,0.00,1.00,2.00,2.00,NULL,3.00,4.00,3.00,451,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3128024,8.00,7.00,5.00,7.00,6.00,7.00,5.00,9.00,7.00,304,NULL,NULL,'JARDIM SOLIEL','VALINHOS','SP',2022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128032,4.00,6.00,3.00,9.00,6.00,6.00,1.00,4.00,5.00,103,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128040,2.00,6.00,2.00,7.00,3.00,NULL,3.00,3.00,1.00,304,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128059,1.00,3.00,3.00,6.00,2.00,NULL,4.00,3.00,5.00,108,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128067,5.00,5.00,2.00,3.00,6.00,4.75,2.00,8.00,4.00,340,NULL,NULL,'CENTRO','CEL FREITAS','SC',11888,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3128075,4.00,6.00,2.00,8.00,6.00,6.00,2.00,7.00,2.00,327,NULL,NULL,'JARDIM EUCALYPTOS','PALHOçA','SC',9949,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128083,3.00,5.00,3.00,5.00,3.00,NULL,3.00,3.00,2.00,501,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128091,3.00,3.00,4.00,8.00,6.00,6.75,1.00,4.00,5.00,103,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',11247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128105,9.00,9.00,9.00,8.00,7.00,7.00,7.00,8.00,8.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128113,7.00,7.00,7.00,8.00,6.00,5.00,4.00,8.00,7.00,212,NULL,201,'CENTRO','FLORIANóPOLIS','SC',2288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128121,5.00,8.00,6.00,6.00,6.00,5.25,3.00,6.00,4.00,203,NULL,220,'VILA SãO JOSé','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3128130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPOS ELISEOS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3128148,6.00,5.00,1.00,8.00,5.00,5.50,4.00,7.00,4.00,319,NULL,NULL,'PITUBA','SALVADOR','BA',7584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128156,6.00,7.00,3.00,6.00,5.00,5.50,3.00,5.00,6.00,201,NULL,212,'PARQUE SãO JORGE','FLORIANóPOLIS','SC',8206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128164,3.00,7.00,4.00,9.00,9.00,5.50,4.00,7.00,5.00,103,NULL,NULL,'JARDIM MORUMBI','S JOSé CAMPOS','SP',4961,1489,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128172,7.00,4.00,2.00,5.00,6.00,6.25,3.00,7.00,5.00,201,NULL,207,'JD DAS AROEIRAS','GOIâNIA','GO',8080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128180,4.00,4.00,5.00,4.00,3.00,NULL,3.00,6.00,2.00,503,NULL,NULL,'NAçõES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3128199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3128202,7.00,5.00,3.00,6.00,3.00,NULL,2.00,3.00,5.00,215,NULL,216,'PARQUE SãO JORGE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128210,3.00,6.00,4.00,4.00,4.00,5.50,3.00,3.00,5.00,450,NULL,NULL,'JARDIM SIMUS','SOROCABA','SP',13907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128237,4.00,5.00,5.00,9.00,6.00,7.50,2.00,5.00,5.00,216,NULL,202,'IGARAS','OTACíLIO COSTA','SC',7057,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3128245,6.00,2.00,2.00,5.00,4.00,4.25,4.00,4.00,2.00,308,NULL,NULL,'BARRA','BAL CAMBORIú','SC',16154,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3128253,6.00,6.00,7.00,8.00,6.00,5.00,3.00,7.00,6.00,203,NULL,202,'GARCIA','BLUMENAU','SC',4039,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3128261,2.00,1.00,4.00,6.00,4.00,6.75,4.00,5.00,6.00,301,NULL,NULL,'CENTRO','GAROPABA','SC',12739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128270,3.00,4.00,4.00,3.00,3.00,NULL,2.00,6.00,3.00,238,NULL,215,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128288,7.00,8.00,7.00,6.00,6.00,7.00,1.00,7.00,8.00,102,NULL,NULL,'BOM RETIRO','CURITIBA','PR',2927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128296,4.00,5.00,3.00,6.00,1.00,NULL,2.00,4.00,2.00,310,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128300,5.00,6.00,6.00,9.00,5.00,5.25,2.00,8.00,4.00,415,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128318,7.00,7.00,6.00,8.00,6.00,6.00,3.00,8.00,5.00,302,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',3387,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128326,2.00,1.00,2.00,1.00,1.00,NULL,3.00,3.00,3.00,502,NULL,NULL,'INTERIOR','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3128342,5.00,5.00,4.00,6.00,5.00,7.50,2.00,4.00,3.00,202,NULL,203,'TRINDADE','FLORIANóPOLIS','SC',11074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128350,6.00,7.00,5.00,9.00,7.00,6.25,3.00,3.00,6.00,104,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',3859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128369,2.00,1.00,1.00,2.00,3.00,NULL,3.00,4.00,2.00,303,NULL,NULL,'SãO LUCAS','MAL CâNDIDO RONDON','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128377,3.00,8.00,4.00,6.00,6.00,6.00,3.00,8.00,4.00,5,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',7207,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128385,3.00,0.00,2.00,2.00,2.00,NULL,3.00,2.00,3.00,303,NULL,NULL,'CENTRO PALHOçA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128393,6.00,2.00,2.00,4.00,4.00,5.50,3.00,5.00,5.00,340,NULL,NULL,'IPIRANGA','S JOSé','SC',13595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128407,4.00,4.00,2.00,8.00,7.00,7.00,3.00,4.00,3.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128415,4.00,2.00,1.00,4.00,5.00,4.50,5.00,5.00,3.00,108,NULL,NULL,'SERRA ALTA','S BENTO SUL','SC',15259,342,NULL,NULL,NULL,NULL,NULL,4,8),(16,3128423,4.00,1.00,2.00,8.00,7.00,4.50,1.00,3.00,3.00,207,NULL,216,'CENTRO','LAGES','SC',16176,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3128431,8.00,6.00,4.00,8.00,6.00,5.75,5.00,7.00,4.00,415,NULL,NULL,'IRIRIU','JOINVILLE','SC',3968,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3128440,4.00,7.00,2.00,5.00,5.00,5.25,1.00,2.00,2.00,303,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',15523,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128458,4.00,5.00,4.00,7.00,6.00,4.25,5.00,6.00,6.00,2,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128474,7.00,3.00,2.00,0.00,3.00,NULL,1.00,4.00,5.00,326,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128482,5.00,1.00,3.00,5.00,6.00,NULL,1.00,3.00,2.00,104,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128490,4.00,5.00,1.00,4.00,4.00,5.50,3.00,6.00,4.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128504,5.00,5.00,4.00,8.00,5.00,5.50,4.00,6.00,5.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128512,5.00,8.00,4.00,5.00,6.00,5.50,4.00,6.00,6.00,103,NULL,NULL,'COLONINHA','ARARANGUá','SC',6623,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3128520,8.00,6.00,6.00,6.00,7.00,6.50,5.00,9.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128539,3.00,1.00,1.00,2.00,4.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3128547,4.00,4.00,2.00,5.00,3.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'QUARTA LINHA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3128555,5.00,6.00,3.00,6.00,6.00,5.75,3.00,6.00,6.00,444,NULL,NULL,'BARREIROS','S JOSé','SC',7002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128563,5.00,3.00,5.00,4.00,4.00,5.25,1.00,2.00,3.00,203,NULL,220,'MICHEL','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3128580,3.00,6.00,2.00,5.00,4.00,4.50,2.00,8.00,3.00,331,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',13977,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128598,7.00,5.00,7.00,7.00,8.00,6.25,1.00,8.00,7.00,103,NULL,NULL,'SãO MARCOS','JOINVILLE','SC',3294,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3128601,4.00,3.00,5.00,2.00,3.00,NULL,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','S SEBASTIãO CAí','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3128610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3128628,9.00,7.00,7.00,7.00,7.00,5.25,9.00,8.00,8.00,203,NULL,201,'CORREGO GRANDE','FLORIANóPOLIS','SC',492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128636,6.00,5.00,3.00,3.00,5.00,5.75,4.00,8.00,7.00,211,NULL,233,'CENTRO','FLORIANóPOLIS','SC',7189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3128652,7.00,4.00,5.00,6.00,7.00,7.00,3.00,6.00,4.00,103,NULL,NULL,'VILA IPIRANGA','PTO ALEGRE','RS',5726,1625,NULL,NULL,NULL,NULL,NULL,2,4),(16,3128660,4.00,6.00,5.00,8.00,5.00,5.50,5.00,7.00,7.00,302,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',4363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128679,3.00,4.00,2.00,3.00,4.00,5.50,2.00,4.00,5.00,9,NULL,NULL,'COLôNIA SANTANA','S JOSé','SC',16324,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128709,5.00,5.00,3.00,8.00,5.00,5.50,3.00,8.00,3.00,340,NULL,NULL,'VILA MOEMA','TUBARãO','SC',8193,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3128717,2.00,2.00,1.00,6.00,6.00,NULL,3.00,2.00,2.00,304,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128725,4.00,1.00,1.00,1.00,1.00,NULL,1.00,0.00,3.00,319,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128733,4.00,4.00,3.00,4.00,3.00,NULL,5.00,3.00,4.00,212,NULL,213,'CENTRO','CAçADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128741,5.00,4.00,3.00,6.00,3.00,NULL,3.00,3.00,6.00,331,NULL,NULL,'BREMER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128750,5.00,4.00,4.00,8.00,7.00,5.75,3.00,6.00,4.00,207,NULL,201,'CAMPINAS','S JOSé','SC',8879,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128768,0.00,5.00,3.00,9.00,4.00,5.75,5.00,5.00,4.00,238,NULL,201,'COQUEIROS','FLORIANóPOLIS','SC',11951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128776,5.00,5.00,3.00,5.00,4.00,4.25,3.00,6.00,6.00,415,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',11136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALVORADA','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3128792,4.00,4.00,1.00,5.00,3.00,NULL,2.00,4.00,3.00,215,NULL,216,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128806,2.00,3.00,1.00,4.00,4.00,NULL,0.00,3.00,4.00,5,NULL,NULL,'CENTRO','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3128814,3.00,4.00,4.00,6.00,5.00,5.50,1.00,4.00,1.00,205,NULL,NULL,'JARDIN MALUCHE','BRUSQUE','SC',14822,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3128830,6.00,3.00,2.00,2.00,3.00,NULL,2.00,1.00,1.00,415,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128849,4.00,5.00,4.00,8.00,4.00,5.50,3.00,6.00,2.00,203,NULL,233,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128857,4.00,4.00,3.00,6.00,3.00,NULL,3.00,4.00,3.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128873,7.00,3.00,2.00,7.00,6.00,5.00,2.00,6.00,4.00,104,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',10464,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'VILA SANTO ANTôNIO','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3128903,7.00,7.00,6.00,9.00,7.00,5.75,8.00,7.00,7.00,211,NULL,213,'LAGOA DA CONCEICAO','FLORIANóPOLIS','SC',814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128911,3.00,3.00,3.00,7.00,3.00,NULL,4.00,6.00,5.00,211,NULL,201,'MAGALHãES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3128920,9.00,8.00,8.00,7.00,7.00,7.00,9.00,7.00,9.00,203,NULL,214,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128946,4.00,2.00,3.00,8.00,7.00,6.00,3.00,3.00,2.00,103,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',13643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128954,5.00,0.00,1.00,2.00,3.00,NULL,2.00,3.00,2.00,404,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3128962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COMERCIáRIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3128970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'VILA RIO BRANCO','CASTRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3128989,4.00,5.00,2.00,2.00,4.00,5.25,3.00,5.00,5.00,502,NULL,NULL,'PIO X','CAXIAS SUL','RS',14501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3128997,6.00,6.00,4.00,5.00,5.00,6.00,3.00,8.00,5.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129012,5.00,6.00,4.00,7.00,5.00,5.25,2.00,7.00,5.00,216,NULL,208,'AGRONÔMICA','FLORIANóPOLIS','SC',6988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129020,4.00,5.00,4.00,9.00,5.00,5.25,4.00,8.00,7.00,201,NULL,212,'ÁGUA VERDE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3129039,6.00,8.00,6.00,8.00,7.00,7.00,7.00,9.00,7.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129055,4.00,4.00,3.00,4.00,6.00,5.25,3.00,4.00,4.00,453,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',12243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129071,4.00,6.00,4.00,8.00,5.00,8.75,4.00,6.00,4.00,216,NULL,211,'IMIGRANTES','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3129080,5.00,6.00,4.00,8.00,5.00,5.50,2.00,5.00,4.00,108,NULL,NULL,'PINHEIROS','S PAULO','SP',9210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129098,7.00,7.00,6.00,9.00,5.00,6.00,5.00,8.00,6.00,212,NULL,207,'JD AQUARIUS','S JOSé CAMPOS','SP',2172,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3129101,3.00,3.00,1.00,4.00,3.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'CENTRO','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3129110,2.00,4.00,2.00,4.00,4.00,3.25,2.00,4.00,3.00,234,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129128,3.00,4.00,4.00,8.00,6.00,5.25,1.00,5.00,1.00,215,NULL,211,'CENTRO','ITAPIRANGA','SC',12002,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3129136,7.00,9.00,6.00,9.00,8.00,6.00,2.00,7.00,8.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129144,8.00,8.00,6.00,8.00,8.00,5.75,8.00,9.00,7.00,303,NULL,NULL,'AMéRICA','JOINVILLE','SC',440,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3129152,3.00,4.00,2.00,7.00,5.00,4.50,2.00,4.00,2.00,320,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',15142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129160,7.00,7.00,6.00,8.00,6.00,6.00,7.00,8.00,7.00,201,NULL,208,'CENTRO','FLORIANóPOLIS','SC',1394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129179,5.00,5.00,4.00,7.00,3.00,NULL,4.00,3.00,3.00,302,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129187,5.00,6.00,2.00,6.00,5.00,6.00,3.00,8.00,5.00,327,NULL,NULL,'BARREIROS','S JOSé','SC',8425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129195,6.00,4.00,2.00,7.00,7.00,5.25,2.00,7.00,5.00,319,NULL,NULL,'BALNEáRIO ESTREITO','FLORIANóPOLIS','SC',7902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129209,4.00,2.00,2.00,4.00,2.00,NULL,1.00,4.00,3.00,328,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129217,2.00,5.00,4.00,7.00,3.00,NULL,4.00,3.00,3.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129225,6.00,7.00,4.00,8.00,5.00,6.50,3.00,6.00,7.00,202,NULL,213,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',5307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129233,4.00,1.00,4.00,5.00,3.00,NULL,3.00,3.00,3.00,319,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129250,5.00,4.00,1.00,6.00,4.00,4.50,3.00,6.00,3.00,317,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129268,5.00,3.00,4.00,9.00,4.00,4.00,4.00,6.00,6.00,208,NULL,213,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129292,7.00,9.00,6.00,8.00,7.00,7.50,7.00,7.00,8.00,104,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',756,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129322,5.00,5.00,1.00,8.00,7.00,5.75,0.00,5.00,3.00,302,NULL,NULL,'BARREIROS','S JOSé','SC',11985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129330,3.00,6.00,4.00,5.00,5.00,4.00,2.00,4.00,2.00,207,NULL,208,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',14269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129349,7.00,4.00,1.00,6.00,4.00,5.00,3.00,5.00,6.00,102,NULL,NULL,'SãO CRISTOVãO','CHAPECó','SC',11631,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3129365,7.00,8.00,5.00,7.00,6.00,6.25,5.00,8.00,7.00,203,NULL,220,'JARDIM ATLâNTICO','S JOSé','SC',2428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129373,3.00,5.00,2.00,8.00,4.00,7.00,3.00,6.00,6.00,303,NULL,NULL,'ALTO ARIRIú','PALHOçA','SC',9774,420,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129381,5.00,6.00,3.00,3.00,6.00,5.75,1.00,3.00,3.00,201,NULL,NULL,'CENTRO','IBIRAMA','SC',14483,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129403,7.00,4.00,4.00,2.00,6.00,5.00,5.00,4.00,5.00,5,NULL,NULL,'MOOCA','S PAULO','SP',10260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129411,7.00,6.00,6.00,4.00,5.00,4.75,1.00,8.00,5.00,207,NULL,201,'CENTRO','ITAPEVA','SP',8202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'BELCHIOR ALTO','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3129438,6.00,4.00,6.00,4.00,5.00,4.75,6.00,6.00,5.00,213,NULL,238,'CENTRO','BIRIGüI','SP',7471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3129470,9.00,7.00,5.00,6.00,6.00,5.00,5.00,8.00,7.00,103,NULL,NULL,'MERCêS','CURITIBA','PR',2583,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3129489,3.00,6.00,3.00,7.00,5.00,4.75,2.00,5.00,3.00,203,NULL,214,'CARIANOS','FLORIANóPOLIS','SC',12235,791,NULL,398,NULL,NULL,NULL,2,1),(16,3129497,8.00,7.00,6.00,9.00,7.00,4.50,6.00,8.00,7.00,319,NULL,NULL,'CAMPINAS','S JOSé','SC',1565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129500,2.00,2.00,1.00,3.00,3.00,NULL,1.00,3.00,4.00,301,NULL,NULL,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129519,6.00,7.00,2.00,6.00,8.00,5.50,4.00,8.00,7.00,3,NULL,NULL,'PIONEIROS','BAL CAMBORIú','SC',3621,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3129535,5.00,6.00,4.00,4.00,7.00,6.50,1.00,8.00,7.00,453,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',7072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129543,9.00,6.00,5.00,8.00,7.00,6.00,4.00,7.00,8.00,215,NULL,233,'ESTREITO','FLORIANóPOLIS','SC',1919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129551,5.00,7.00,3.00,2.00,5.00,4.50,5.00,7.00,6.00,108,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',8912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129560,7.00,3.00,4.00,7.00,5.00,6.75,5.00,3.00,4.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',8375,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3129586,9.00,8.00,3.00,9.00,8.00,6.50,3.00,8.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2222,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129594,5.00,2.00,1.00,2.00,3.00,NULL,1.00,0.00,4.00,104,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129608,6.00,6.00,3.00,8.00,5.00,4.75,3.00,5.00,3.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129616,4.00,5.00,2.00,8.00,6.00,4.75,3.00,3.00,2.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',12596,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3129659,4.00,4.00,2.00,5.00,5.00,5.00,2.00,3.00,3.00,207,NULL,NULL,'CRISTO REI','CHAPECó','SC',16217,841,NULL,NULL,NULL,NULL,NULL,2,4),(16,3129667,3.00,4.00,5.00,7.00,5.00,5.25,2.00,3.00,4.00,215,NULL,207,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129675,7.00,9.00,6.00,7.00,7.00,6.50,3.00,7.00,7.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2187,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129683,4.00,6.00,2.00,9.00,6.00,6.00,4.00,7.00,4.00,319,NULL,NULL,'STA CRUZ','CUIABá','MT',6799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129691,7.00,7.00,9.00,9.00,3.00,NULL,5.00,7.00,7.00,212,NULL,214,'CENTRO','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3129705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','NOVA PALMA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3129713,4.00,6.00,4.00,7.00,6.00,6.25,3.00,8.00,4.00,415,NULL,NULL,'CENTRO','PINHAIS','PR',6499,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3129721,8.00,4.00,4.00,9.00,2.00,NULL,3.00,5.00,2.00,103,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129730,5.00,3.00,4.00,5.00,4.00,5.00,4.00,5.00,5.00,108,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',11666,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129764,4.00,4.00,2.00,7.00,4.00,5.50,3.00,4.00,4.00,501,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',13642,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129772,1.00,3.00,1.00,6.00,4.00,NULL,2.00,3.00,2.00,339,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129780,5.00,6.00,2.00,6.00,5.00,6.00,4.00,4.00,3.00,103,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129799,2.00,4.00,4.00,5.00,5.00,4.75,1.00,4.00,3.00,301,NULL,NULL,'JARDIM CEREJEIRAS','ATIBAIA','SP',14461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129802,7.00,7.00,7.00,6.00,8.00,7.50,5.00,7.00,7.00,102,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',2056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129810,7.00,4.00,5.00,6.00,3.00,NULL,2.00,4.00,6.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3129837,5.00,4.00,2.00,5.00,5.00,6.00,2.00,5.00,2.00,303,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',13435,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3129845,2.00,4.00,1.00,7.00,2.00,NULL,3.00,5.00,3.00,207,NULL,212,'ABRAAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129853,6.00,5.00,5.00,8.00,8.00,5.00,4.00,5.00,5.00,207,NULL,208,'CENTRO','PALHOçA','SC',6026,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129861,5.00,2.00,1.00,1.00,4.00,NULL,3.00,4.00,2.00,104,NULL,NULL,'CENTRO','IPORã OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3129870,5.00,2.00,2.00,2.00,1.00,NULL,2.00,3.00,4.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129888,4.00,6.00,3.00,7.00,6.00,3.25,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3129896,8.00,8.00,3.00,9.00,7.00,5.50,5.00,9.00,9.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',1294,595,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129900,4.00,4.00,4.00,8.00,4.00,5.00,3.00,7.00,5.00,202,NULL,211,'RAIZEIRA','SOMBRIO','SC',7986,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3129918,5.00,2.00,5.00,4.00,3.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3129926,5.00,5.00,2.00,8.00,9.00,6.75,3.00,5.00,4.00,104,NULL,NULL,'CENTRO','VENâNCIO AIRES','RS',8038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129934,5.00,6.00,4.00,7.00,6.00,5.00,6.00,6.00,6.00,201,NULL,213,'CACUPé','FLORIANóPOLIS','SC',4284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129969,8.00,8.00,5.00,9.00,8.00,6.75,2.00,8.00,6.00,420,NULL,NULL,'ROçADO','S JOSé','SC',1585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129977,4.00,1.00,5.00,4.00,4.00,4.25,4.00,3.00,3.00,319,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',15935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3129985,4.00,2.00,3.00,6.00,4.00,5.50,3.00,4.00,2.00,452,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',15789,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3129993,4.00,5.00,4.00,5.00,7.00,6.25,3.00,5.00,6.00,211,NULL,238,'CAPOEIRAS','FLORIANóPOLIS','SC',8759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130002,4.00,6.00,4.00,8.00,7.00,5.75,3.00,9.00,4.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',5709,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3130010,4.00,4.00,3.00,4.00,3.00,NULL,3.00,4.00,2.00,333,NULL,NULL,'SãO LUíS','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3130029,3.00,6.00,5.00,1.00,4.00,4.00,3.00,7.00,5.00,212,NULL,211,'ALVINOPOLIS','ATIBAIA','SP',12089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3130045,8.00,9.00,7.00,9.00,2.00,NULL,7.00,8.00,8.00,203,NULL,202,'MINA BRASIL','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3130053,1.00,4.00,3.00,9.00,4.00,4.00,3.00,1.00,2.00,317,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',16646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3130070,2.00,2.00,2.00,4.00,2.00,NULL,1.00,6.00,3.00,415,NULL,NULL,'RIO PEQUENO','SAO PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130096,8.00,8.00,6.00,8.00,7.00,6.25,8.00,7.00,7.00,203,NULL,207,'TRINDADE','FLORIANóPOLIS','SC',705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3130118,6.00,8.00,5.00,7.00,5.00,6.25,4.00,8.00,4.00,207,NULL,201,'KOBRASOL','S JOSé','SC',4310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3130126,1.00,4.00,5.00,6.00,5.00,5.25,1.00,6.00,2.00,220,NULL,203,'CENTRO','CAPIVARI BAIXO','SC',13911,478,NULL,847,NULL,NULL,NULL,4,10),(16,3130134,7.00,6.00,4.00,8.00,6.00,7.00,4.00,7.00,7.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130142,4.00,5.00,3.00,7.00,5.00,6.50,3.00,5.00,1.00,103,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130150,4.00,4.00,3.00,0.00,2.00,NULL,1.00,6.00,1.00,207,NULL,214,'INTERIOR','LACERDóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'SAGUAçú','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3130177,3.00,4.00,5.00,7.00,3.00,NULL,4.00,5.00,4.00,301,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3130185,4.00,6.00,5.00,6.00,6.00,6.00,3.00,7.00,5.00,207,NULL,NULL,'SANGãO','CRICIúMA','SC',6701,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3130193,5.00,5.00,2.00,8.00,5.00,5.75,3.00,7.00,3.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130215,4.00,5.00,1.00,3.00,3.00,NULL,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3130223,7.00,3.00,5.00,6.00,7.00,5.25,4.00,3.00,6.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',7773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130231,9.00,9.00,8.00,9.00,6.00,7.25,4.00,9.00,8.00,207,NULL,NULL,'D E R','CAçADOR','SC',389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130240,5.00,4.00,2.00,7.00,4.00,4.50,2.00,1.00,5.00,415,NULL,NULL,'CENTRO','URUSSANGA','SC',15205,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3130258,0.00,0.00,0.00,7.00,2.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3130266,6.00,8.00,5.00,9.00,7.00,7.00,3.00,7.00,5.00,207,NULL,NULL,'CACHOEIRA','FLORIANóPOLIS','SC',3782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130274,3.00,6.00,4.00,8.00,3.00,NULL,5.00,7.00,7.00,216,NULL,212,'TAQUARAL','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130290,6.00,7.00,7.00,8.00,4.00,5.00,3.00,6.00,7.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,220,'URUSSANGUINHA','ARARANGUá','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3130320,5.00,8.00,7.00,8.00,7.00,7.00,5.00,9.00,8.00,203,NULL,220,'CENTRO','JOAçABA','SC',842,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3130339,7.00,6.00,2.00,6.00,5.00,4.00,4.00,7.00,3.00,207,NULL,211,'CENTRO','BAL CAMBORIú','SC',9280,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3130347,5.00,6.00,2.00,1.00,3.00,NULL,2.00,6.00,4.00,502,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3130355,3.00,5.00,3.00,4.00,4.00,5.25,4.00,4.00,3.00,331,NULL,NULL,'BARREIROS','S JOSé','SC',14602,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3130363,9.00,9.00,6.00,8.00,9.00,6.50,5.00,8.00,8.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130371,5.00,2.00,2.00,2.00,3.00,NULL,3.00,4.00,5.00,211,NULL,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3130380,6.00,3.00,3.00,7.00,6.00,5.25,3.00,4.00,6.00,103,NULL,NULL,'VILA CRISTINA','VACARIA','RS',10151,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3130398,3.00,7.00,3.00,9.00,5.00,4.75,2.00,7.00,2.00,420,NULL,NULL,'COLONIA SANTANA','S JOSé','SC',10714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'GUAIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3130410,0.00,2.00,3.00,3.00,1.00,NULL,3.00,3.00,4.00,502,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3130428,6.00,4.00,4.00,9.00,6.00,5.25,3.00,7.00,3.00,310,NULL,NULL,'BOQUEIRAO','SANTOS','SP',7465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130436,5.00,6.00,4.00,3.00,7.00,5.50,3.00,7.00,5.00,331,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',8515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130444,2.00,2.00,2.00,6.00,4.00,NULL,4.00,1.00,4.00,102,NULL,NULL,'VILA TATETUBA','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130460,2.00,2.00,2.00,0.00,2.00,NULL,3.00,5.00,2.00,203,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3130479,3.00,3.00,1.00,5.00,5.00,5.00,3.00,5.00,5.00,102,NULL,NULL,'POçO FUNDO','STO AMARO IMPERATRIZ','SC',14412,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3130487,8.00,8.00,3.00,8.00,7.00,5.50,3.00,7.00,6.00,415,NULL,NULL,'ASSUNçãO','S BERNARDO CAMPO','SP',3241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3130509,2.00,2.00,2.00,1.00,0.00,NULL,3.00,2.00,4.00,404,NULL,NULL,'CORRéGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3130533,8.00,6.00,4.00,8.00,6.00,6.50,5.00,5.00,5.00,207,NULL,201,'PORTO DA LAGOA','FLORIANóPOLIS','SC',4126,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3130541,4.00,2.00,3.00,6.00,3.00,NULL,4.00,4.00,5.00,208,NULL,238,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3130550,9.00,7.00,7.00,5.00,7.00,5.25,6.00,8.00,7.00,203,NULL,202,'CENTRO','CRICIúMA','SC',1337,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3130576,4.00,3.00,5.00,2.00,4.00,5.75,2.00,6.00,5.00,203,NULL,201,'VILA NOVA','JOINVILLE','SC',13301,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3130584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3130592,2.00,7.00,5.00,7.00,6.00,6.25,3.00,4.00,5.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3130614,3.00,3.00,4.00,3.00,4.00,5.25,2.00,5.00,2.00,308,NULL,NULL,'CENTRO','S JOSé','SC',16396,67,NULL,NULL,NULL,NULL,NULL,2,1),(16,3130622,6.00,7.00,2.00,8.00,7.00,5.50,3.00,8.00,6.00,238,NULL,208,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',3954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130630,3.00,1.00,4.00,3.00,5.00,5.50,2.00,6.00,1.00,302,NULL,NULL,'CENTRO','SOMBRIO','SC',16258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130649,7.00,6.00,7.00,9.00,6.00,4.75,5.00,8.00,7.00,220,NULL,203,'CENTRO','VENâNCIO AIRES','RS',2758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130657,6.00,4.00,5.00,3.00,5.00,3.00,1.00,4.00,4.00,201,NULL,203,'SÃO MARTINHO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3130665,4.00,2.00,2.00,5.00,5.00,4.75,1.00,6.00,3.00,302,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',15586,207,NULL,NULL,NULL,NULL,NULL,2,1),(16,3130673,4.00,3.00,4.00,9.00,4.00,4.75,2.00,7.00,5.00,453,NULL,NULL,'MARTELLI','VIDEIRA','SC',9332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130681,7.00,5.00,4.00,7.00,5.00,5.25,3.00,5.00,5.00,216,NULL,211,'BARREIROS','S JOSé','SC',7683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130690,6.00,5.00,5.00,4.00,5.00,5.75,2.00,5.00,4.00,101,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',11121,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3130711,4.00,5.00,5.00,8.00,5.00,4.25,4.00,6.00,3.00,208,NULL,202,'JARDIN ARIZONA','SETE LAGOAS','MG',9744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130720,3.00,4.00,2.00,6.00,4.00,5.75,3.00,3.00,2.00,302,NULL,NULL,'CAMPINAS','S JOSé','SC',15805,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3130738,3.00,2.00,4.00,5.00,2.00,NULL,3.00,4.00,3.00,103,NULL,NULL,'ITAGUAÇU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3130746,7.00,7.00,9.00,9.00,6.00,7.00,5.00,8.00,8.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130754,8.00,4.00,3.00,6.00,4.00,4.00,2.00,8.00,2.00,102,NULL,NULL,'JARDIM ITAMBE','COLOMBO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3130762,7.00,7.00,6.00,8.00,7.00,5.00,4.00,8.00,5.00,302,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',2158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3130770,4.00,1.00,2.00,6.00,6.00,5.75,4.00,5.00,4.00,453,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',12175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130797,6.00,7.00,7.00,5.00,5.00,5.75,5.00,8.00,5.00,319,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',4217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130800,6.00,6.00,6.00,8.00,6.00,5.75,5.00,5.00,7.00,208,NULL,238,'BARREIROS','S JOSé','SC',3345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130819,4.00,3.00,3.00,6.00,5.00,6.25,5.00,6.00,3.00,303,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',10762,465,NULL,NULL,NULL,NULL,NULL,2,1),(16,3130827,4.00,4.00,3.00,6.00,5.00,6.25,2.00,5.00,2.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13599,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3130835,6.00,6.00,2.00,9.00,5.00,5.25,2.00,7.00,3.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3130851,3.00,5.00,1.00,8.00,5.00,5.75,2.00,4.00,5.00,238,NULL,208,'CANASVIEIRAS','FLORIANóPOLIS','SC',12387,373,NULL,394,NULL,NULL,NULL,2,1),(16,3130860,5.00,5.00,5.00,2.00,3.00,NULL,5.00,6.00,5.00,216,NULL,220,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3130878,7.00,6.00,4.00,5.00,5.00,7.25,4.00,9.00,2.00,108,NULL,NULL,'BARREIROS','S JOSé','SC',6497,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3130894,2.00,4.00,3.00,9.00,4.00,5.00,5.00,6.00,6.00,220,NULL,203,'CENTRO','CAPIVARI BAIXO','SC',9438,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3130908,3.00,3.00,2.00,5.00,2.00,NULL,3.00,2.00,5.00,102,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3130916,3.00,5.00,2.00,6.00,4.00,5.00,1.00,5.00,1.00,103,NULL,NULL,'NAçõES','CAMBORIú','SC',15274,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3130932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3130940,6.00,6.00,5.00,6.00,4.00,6.00,4.00,6.00,6.00,103,NULL,NULL,'CENTRO CíVICO','CURITIBA','PR',6638,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130959,8.00,7.00,8.00,8.00,6.00,6.50,8.00,7.00,9.00,103,NULL,NULL,'MARACANAZINHO','ANáPOLIS','GO',354,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3130967,8.00,7.00,6.00,9.00,7.00,6.75,8.00,8.00,8.00,203,NULL,220,'TRINDADE','FLORIANóPOLIS','SC',318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3130975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3130991,5.00,5.00,4.00,7.00,4.00,5.75,3.00,6.00,4.00,216,NULL,215,'SETE DE SETEMBRO','GASPAR','SC',8711,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3131009,7.00,7.00,4.00,9.00,6.00,6.00,3.00,5.00,7.00,207,NULL,201,'CAMPECHE','FLORIANóPOLIS','SC',3533,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131017,3.00,2.00,4.00,7.00,3.00,NULL,3.00,5.00,3.00,301,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3131041,8.00,8.00,7.00,5.00,6.00,7.00,6.00,8.00,5.00,303,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',1836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131068,4.00,4.00,3.00,4.00,6.00,6.50,3.00,2.00,2.00,453,NULL,NULL,'BARREIROS','S JOSé','SC',14371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131076,7.00,5.00,2.00,7.00,6.00,4.50,6.00,5.00,6.00,104,NULL,NULL,'FABIO SILVA','TUBARãO','SC',6823,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3131084,4.00,4.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,331,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131092,2.00,3.00,2.00,6.00,1.00,NULL,1.00,5.00,1.00,420,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3131106,4.00,3.00,2.00,8.00,6.00,4.50,2.00,5.00,2.00,451,NULL,NULL,'SANTA RITA','LAGES','SC',14434,39,NULL,NULL,NULL,NULL,NULL,2,9),(16,3131114,4.00,5.00,2.00,7.00,6.00,5.25,1.00,6.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',12267,424,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131122,4.00,8.00,5.00,5.00,5.00,4.25,4.00,4.00,6.00,213,NULL,238,'MICHEL','CRICIúMA','SC',7789,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3131149,0.00,3.00,2.00,3.00,4.00,NULL,0.00,4.00,3.00,340,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131157,3.00,3.00,3.00,5.00,2.00,NULL,4.00,6.00,3.00,319,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131165,7.00,8.00,4.00,3.00,6.00,7.50,5.00,6.00,7.00,202,NULL,201,'VILA OPERáRIA','ITAJAí','SC',4403,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3131181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','DR CAMARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3131190,4.00,4.00,5.00,6.00,4.00,5.25,4.00,3.00,3.00,203,NULL,202,'REGIAO DO LAGO','CASCAVEL','PR',13604,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3131220,4.00,3.00,1.00,4.00,4.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'ESPORTES','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3131238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'VILA DALILA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3131246,3.00,3.00,3.00,6.00,2.00,NULL,3.00,2.00,3.00,238,NULL,208,'PACHECOS','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131254,3.00,4.00,2.00,8.00,4.00,6.00,2.00,6.00,5.00,340,NULL,NULL,'BORGO','BENTO GONçALVES','RS',12096,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3131270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'INTERIOR','CONCóRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3131289,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','BENTO GONçALVES','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3131297,9.00,7.00,6.00,7.00,7.00,5.75,6.00,8.00,9.00,103,NULL,NULL,'CAIçARAS','LONDRINA','PR',1049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131327,4.00,3.00,3.00,4.00,5.00,6.25,4.00,4.00,3.00,304,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',13484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131335,4.00,3.00,2.00,1.00,4.00,NULL,2.00,1.00,2.00,238,NULL,208,'BELA VISTA','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3131343,4.00,5.00,4.00,5.00,4.00,4.25,3.00,6.00,3.00,404,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',12732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131360,3.00,1.00,2.00,3.00,4.00,NULL,1.00,4.00,5.00,214,NULL,233,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131378,7.00,5.00,3.00,5.00,3.00,NULL,4.00,7.00,8.00,404,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3131386,6.00,7.00,1.00,7.00,5.00,6.00,5.00,6.00,4.00,452,NULL,NULL,'PIO CORREA','CRICIúMA','SC',6581,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3131394,3.00,4.00,1.00,5.00,3.00,NULL,1.00,3.00,2.00,332,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131408,4.00,3.00,2.00,1.00,0.00,NULL,1.00,0.00,1.00,415,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131416,7.00,8.00,7.00,7.00,7.00,6.00,5.00,7.00,7.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131424,2.00,6.00,1.00,5.00,1.00,NULL,3.00,1.00,4.00,319,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131432,4.00,2.00,3.00,7.00,3.00,NULL,2.00,5.00,3.00,303,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3131440,3.00,4.00,3.00,7.00,4.00,6.50,3.00,5.00,3.00,303,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3131459,4.00,5.00,5.00,7.00,4.00,5.25,4.00,5.00,4.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10494,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131467,2.00,5.00,4.00,5.00,4.00,4.50,2.00,4.00,1.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15742,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131475,7.00,5.00,2.00,7.00,6.00,4.75,3.00,5.00,7.00,319,NULL,NULL,'CENTRO','CURITIBA','PR',9671,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3131483,3.00,5.00,4.00,1.00,4.00,5.25,4.00,5.00,4.00,203,NULL,201,'CENTRO','FLORIANóPOLIS','SC',14697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131491,6.00,8.00,4.00,7.00,7.00,5.00,4.00,8.00,6.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131505,5.00,6.00,2.00,4.00,7.00,8.00,3.00,6.00,4.00,420,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',6792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131513,6.00,5.00,5.00,5.00,7.00,6.25,4.00,5.00,5.00,104,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',6099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131521,2.00,3.00,1.00,7.00,6.00,NULL,1.00,3.00,2.00,426,NULL,429,'SãO JOSé','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131548,4.00,3.00,1.00,5.00,2.00,NULL,0.00,1.00,1.00,309,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131556,6.00,5.00,5.00,7.00,7.00,7.00,6.00,8.00,7.00,103,NULL,NULL,'ASA NORTE','BRASILIA','DF',3147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3131580,4.00,4.00,4.00,8.00,6.00,5.75,4.00,4.00,4.00,415,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9090,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131599,2.00,5.00,4.00,4.00,5.00,5.75,5.00,3.00,4.00,214,NULL,203,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',14104,445,NULL,853,NULL,NULL,NULL,4,1),(16,3131602,3.00,4.00,4.00,6.00,6.00,6.50,1.00,6.00,4.00,212,NULL,207,'CENTRO','FLORIANóPOLIS','SC',12349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131610,8.00,7.00,5.00,8.00,7.00,5.75,6.00,7.00,7.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',1431,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131629,3.00,4.00,3.00,1.00,3.00,NULL,2.00,4.00,3.00,208,NULL,238,'PICADAS DO NORTE','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131637,2.00,5.00,4.00,6.00,6.00,5.50,0.00,5.00,1.00,309,NULL,NULL,'ARMAÇÃO','FLORIANóPOLIS','SC',14373,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131645,8.00,8.00,4.00,6.00,8.00,8.50,3.00,8.00,4.00,103,NULL,NULL,'CENTRO','ITAPEMA','SC',3439,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3131653,2.00,1.00,2.00,7.00,3.00,NULL,1.00,5.00,1.00,316,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131661,3.00,4.00,2.00,7.00,5.00,6.50,3.00,4.00,4.00,238,NULL,208,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',12335,368,NULL,390,NULL,NULL,NULL,2,1),(16,3131688,2.00,5.00,3.00,3.00,4.00,5.75,2.00,5.00,2.00,207,NULL,201,'CENTRO','QUEDAS IGUAçU','PR',15916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'INTERIOR','S JOSé OURO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3131700,8.00,7.00,6.00,8.00,7.00,7.50,2.00,7.00,8.00,5,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',1593,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131718,5.00,7.00,6.00,8.00,7.00,6.50,7.00,7.00,8.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',2013,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3131726,4.00,6.00,2.00,7.00,6.00,6.50,4.00,5.00,5.00,451,NULL,NULL,'CENTRO','CHAPECó','SC',8228,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3131734,1.00,3.00,2.00,3.00,2.00,NULL,3.00,4.00,5.00,208,NULL,233,'JARDIM EUROPA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131742,2.00,3.00,5.00,6.00,4.00,4.50,3.00,2.00,3.00,216,NULL,203,'INTERIOR','CAIBI','SC',15750,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3131750,3.00,3.00,1.00,1.00,5.00,NULL,2.00,5.00,1.00,302,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131777,6.00,6.00,7.00,8.00,6.00,6.75,5.00,7.00,8.00,201,NULL,216,'CENTRO','CHAPECó','SC',1799,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3131785,2.00,0.00,4.00,3.00,5.00,NULL,3.00,3.00,3.00,101,NULL,NULL,'SAO MAURICIO','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3131793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3131807,5.00,5.00,6.00,5.00,6.00,8.00,4.00,5.00,7.00,202,NULL,213,'COND STA ANGELA','BONFIM PAULISTA','SP',5202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131815,5.00,6.00,3.00,8.00,4.00,4.50,2.00,7.00,2.00,329,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',10801,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131823,1.00,3.00,4.00,5.00,4.00,6.00,4.00,3.00,2.00,318,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',16141,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131840,2.00,5.00,4.00,7.00,6.00,4.75,3.00,4.00,3.00,304,NULL,NULL,'JARDIM JANAINA','BIGUAçU','SC',13430,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131858,5.00,3.00,2.00,4.00,7.00,6.25,5.00,6.00,5.00,104,NULL,NULL,'CENTRO','ITUPORANGA','SC',9353,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3131866,5.00,4.00,3.00,5.00,6.00,6.25,2.00,6.00,4.00,404,NULL,NULL,'IPIRANGA','S JOSé','SC',11418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131874,4.00,4.00,4.00,7.00,7.00,6.00,4.00,7.00,7.00,103,NULL,NULL,'MERCêS','CURITIBA','PR',6154,1706,NULL,NULL,NULL,NULL,NULL,4,8),(16,3131882,4.00,4.00,3.00,4.00,2.00,NULL,2.00,1.00,4.00,317,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131890,3.00,4.00,1.00,3.00,4.00,NULL,2.00,3.00,4.00,453,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131904,2.00,5.00,2.00,1.00,2.00,NULL,2.00,5.00,2.00,234,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131912,5.00,4.00,4.00,7.00,5.00,6.00,4.00,3.00,4.00,101,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',10343,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3131920,6.00,5.00,2.00,8.00,8.00,5.25,2.00,7.00,5.00,340,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',7133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131939,5.00,7.00,4.00,8.00,7.00,7.00,4.00,8.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131947,2.00,8.00,5.00,8.00,6.00,5.25,4.00,8.00,6.00,318,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',4626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131955,4.00,4.00,7.00,4.00,8.00,6.75,2.00,5.00,5.00,103,NULL,NULL,'NOVA MATãO','MATãO','SP',7921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3131998,3.00,7.00,3.00,7.00,5.00,4.75,4.00,5.00,5.00,340,NULL,NULL,'CENTRO','JOINVILLE','SC',10163,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3132005,4.00,5.00,3.00,4.00,5.00,5.00,3.00,6.00,7.00,201,NULL,211,'JARDIM TRUSSARDI','S PAULO','SP',10357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132013,4.00,7.00,5.00,6.00,5.00,4.75,4.00,5.00,5.00,211,NULL,207,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',9225,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132021,5.00,9.00,3.00,8.00,7.00,4.75,2.00,6.00,2.00,103,NULL,NULL,'CAPÃO','GAROPABA','SC',8205,2010,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132030,4.00,3.00,4.00,3.00,4.00,5.00,2.00,4.00,4.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15062,199,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3132064,3.00,5.00,2.00,5.00,5.00,4.25,3.00,4.00,3.00,103,NULL,NULL,'MARIA GORRETE','CHAPECO','SC',14977,2691,NULL,NULL,NULL,NULL,NULL,2,4),(16,3132072,6.00,6.00,4.00,6.00,6.00,7.25,2.00,7.00,1.00,340,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',9470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132080,6.00,5.00,3.00,1.00,7.00,5.25,3.00,5.00,4.00,102,NULL,NULL,'CENTRO','TIMBó','SC',11361,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3132099,4.00,5.00,4.00,6.00,5.00,6.00,4.00,7.00,5.00,211,NULL,207,'TRINDADE','FLORIANóPOLIS','SC',8706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',5,8),(16,3132110,4.00,0.00,4.00,1.00,3.00,NULL,4.00,2.00,2.00,453,NULL,NULL,'SãO LUIS','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3132129,4.00,0.00,8.00,3.00,6.00,5.50,4.00,5.00,6.00,224,NULL,NULL,'TERMAS','GRAVATAL','SC',10073,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3132137,4.00,5.00,3.00,6.00,5.00,6.00,2.00,5.00,5.00,102,NULL,NULL,'VILA NOVA','TROMBUDO CENTRAL','SC',11500,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132145,6.00,5.00,4.00,7.00,7.00,5.50,3.00,6.00,5.00,3,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',7067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132161,1.00,3.00,4.00,6.00,3.00,NULL,3.00,2.00,2.00,102,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3132170,3.00,2.00,2.00,2.00,2.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','PAIM FILHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3132188,5.00,7.00,4.00,8.00,8.00,5.75,5.00,6.00,5.00,319,NULL,NULL,'CÓRREGO GRANDE','FLORIANóPOLIS','SC',4583,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132196,1.00,2.00,2.00,8.00,6.00,5.50,4.00,3.00,3.00,308,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',14579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ESTAçãO LUZERNA','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3132218,7.00,8.00,6.00,9.00,7.00,6.75,5.00,8.00,5.00,301,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',1476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132226,5.00,4.00,7.00,7.00,3.00,NULL,5.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132242,6.00,5.00,2.00,6.00,5.00,5.25,4.00,7.00,4.00,234,NULL,NULL,'BELA VISTA','S JOSé','SC',9487,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132269,5.00,2.00,2.00,3.00,3.00,NULL,4.00,1.00,5.00,201,NULL,220,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132293,2.00,5.00,4.00,4.00,4.00,5.50,1.00,5.00,1.00,317,NULL,NULL,'FAZENDA SANTO ANTôNI','S JOSé','SC',16520,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132307,4.00,3.00,5.00,8.00,6.00,5.75,4.00,8.00,7.00,216,NULL,NULL,'CENTRO','ESTAçãO','RS',4972,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3132315,3.00,2.00,3.00,8.00,4.00,6.50,1.00,4.00,4.00,103,NULL,NULL,'CENTRO','CAMBARá','PR',14133,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3132323,7.00,7.00,4.00,2.00,4.00,5.50,3.00,4.00,4.00,303,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',10896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132358,0.00,1.00,1.00,4.00,2.00,NULL,4.00,2.00,2.00,309,NULL,NULL,'CENTRO','CANDELáRIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132366,8.00,6.00,6.00,8.00,6.00,4.75,4.00,9.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1746,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3132374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3132390,6.00,6.00,8.00,3.00,6.00,6.75,6.00,8.00,7.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',2879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132404,4.00,7.00,7.00,9.00,8.00,5.50,4.00,9.00,8.00,303,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',1283,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3132420,4.00,4.00,1.00,2.00,3.00,NULL,2.00,4.00,3.00,211,NULL,201,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3132439,5.00,4.00,3.00,3.00,3.00,NULL,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3132463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'EXPOSIçãO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3132471,4.00,5.00,2.00,6.00,5.00,5.00,3.00,2.00,3.00,308,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',14707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132480,5.00,5.00,4.00,7.00,6.00,5.75,3.00,6.00,6.00,5,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',6753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132498,5.00,7.00,7.00,7.00,8.00,6.25,3.00,8.00,8.00,233,NULL,215,'COLONINHA','ARARANGUá','SC',2487,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3132501,3.00,6.00,3.00,5.00,4.00,4.75,4.00,2.00,3.00,223,NULL,NULL,'AREIAS','S JOSé','SC',15260,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132510,4.00,4.00,3.00,4.00,5.00,4.50,6.00,5.00,4.00,203,NULL,201,'TAPERA','FLORIANóPOLIS','SC',11399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132528,2.00,6.00,2.00,6.00,4.00,5.25,2.00,4.00,3.00,102,NULL,NULL,'VíGOLO','NOVA TRENTO','SC',15033,277,NULL,NULL,NULL,NULL,NULL,2,3),(16,3132536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'VILA NOGUEIRA','DIADEMA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3132552,6.00,2.00,2.00,6.00,6.00,6.00,3.00,7.00,5.00,201,NULL,211,'BELA VISTA','CHAPECó','SC',9749,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3132560,5.00,3.00,3.00,2.00,4.00,NULL,3.00,2.00,3.00,319,NULL,NULL,'JARDIM AQUáRIUS','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132579,3.00,1.00,3.00,5.00,5.00,NULL,1.00,3.00,3.00,104,NULL,NULL,'SANTO ANTôNIO','BAL PIçARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3132587,6.00,6.00,1.00,8.00,9.00,5.75,4.00,8.00,5.00,207,NULL,201,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',4852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132595,4.00,6.00,2.00,7.00,8.00,6.75,2.00,8.00,6.00,415,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',6529,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132609,2.00,2.00,3.00,3.00,3.00,NULL,3.00,3.00,3.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132617,5.00,5.00,5.00,5.00,4.00,5.00,4.00,4.00,4.00,303,NULL,NULL,'AMERICA','JOINVILLE','SC',11571,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3132625,5.00,7.00,3.00,9.00,7.00,4.50,4.00,7.00,3.00,213,NULL,220,'CENTRO','BAL PIçARRAS','SC',6974,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3132633,8.00,7.00,5.00,7.00,5.00,6.00,5.00,8.00,6.00,208,NULL,238,'COQUEIROS','FLORIANóPOLIS','SC',3376,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132641,2.00,2.00,4.00,1.00,2.00,NULL,2.00,4.00,2.00,201,NULL,203,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132650,7.00,5.00,5.00,8.00,5.00,5.75,4.00,7.00,4.00,301,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',6649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132668,4.00,4.00,2.00,1.00,0.00,NULL,2.00,3.00,3.00,301,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132676,6.00,7.00,3.00,4.00,6.00,5.00,3.00,8.00,4.00,238,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',7483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132684,2.00,3.00,3.00,4.00,1.00,NULL,2.00,4.00,3.00,208,NULL,211,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132706,7.00,7.00,8.00,9.00,8.00,4.75,6.00,8.00,6.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',1018,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3132722,3.00,4.00,1.00,6.00,5.00,6.00,4.00,3.00,3.00,108,NULL,NULL,'BOTAFOGO','BENTO GONçALVES','RS',13785,313,NULL,NULL,NULL,NULL,NULL,2,9),(16,3132749,4.00,5.00,4.00,4.00,6.00,6.00,5.00,7.00,4.00,415,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',8772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132765,5.00,6.00,6.00,6.00,4.00,4.75,3.00,8.00,4.00,225,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132773,3.00,4.00,1.00,1.00,4.00,NULL,2.00,4.00,3.00,404,NULL,NULL,'FUNDOS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132781,2.00,3.00,2.00,5.00,3.00,NULL,4.00,4.00,5.00,215,NULL,238,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132790,2.00,3.00,1.00,8.00,5.00,6.50,2.00,4.00,5.00,104,NULL,NULL,'PROGRESSO','LAGUNA','SC',14895,434,NULL,NULL,NULL,NULL,NULL,2,10),(16,3132803,5.00,4.00,2.00,5.00,1.00,NULL,2.00,3.00,2.00,238,NULL,208,'CAPãO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3132811,1.00,1.00,2.00,5.00,3.00,NULL,2.00,4.00,3.00,202,NULL,238,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132820,4.00,4.00,4.00,7.00,5.00,5.50,3.00,2.00,5.00,420,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132838,4.00,4.00,4.00,2.00,4.00,NULL,0.00,3.00,3.00,207,NULL,201,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'DEER','CAçADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3132862,6.00,6.00,6.00,7.00,9.00,4.00,3.00,7.00,7.00,211,NULL,207,'CENTRO','FLORIANóPOLIS','SC',2840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA PENTEADO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3132889,5.00,5.00,2.00,7.00,3.00,NULL,2.00,5.00,3.00,102,NULL,NULL,'FREI ROGÉRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3132897,6.00,4.00,3.00,4.00,6.00,6.75,2.00,8.00,3.00,103,NULL,NULL,'NOSSA SRA DO ROSáRIO','S JOSé','SC',9954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132900,7.00,7.00,8.00,7.00,6.00,6.25,7.00,9.00,7.00,211,NULL,213,'BOA VISTA','JOINVILLE','SC',938,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3132919,4.00,3.00,2.00,3.00,3.00,NULL,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','BENEDITO NOVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3132927,1.00,4.00,1.00,7.00,4.00,6.00,1.00,4.00,3.00,302,NULL,NULL,'CAMPINAS','S JOSé','SC',16405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3132935,6.00,7.00,5.00,7.00,7.00,5.75,4.00,4.00,7.00,103,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',4847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3132960,4.00,7.00,2.00,3.00,3.00,NULL,1.00,4.00,3.00,303,NULL,NULL,'CENTRO','CAçADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3132978,6.00,5.00,7.00,7.00,5.00,5.50,4.00,7.00,7.00,104,NULL,NULL,'SãO LUIZ','BRUSQUE','SC',4202,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3132986,5.00,2.00,2.00,8.00,6.00,6.75,2.00,5.00,4.00,303,NULL,NULL,'PROGRESSO','LAGUNA','SC',12207,530,NULL,NULL,NULL,NULL,NULL,2,10),(16,3132994,4.00,6.00,4.00,6.00,4.00,5.50,3.00,5.00,3.00,420,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',11866,116,NULL,NULL,NULL,NULL,NULL,2,1),(16,3133001,4.00,5.00,4.00,6.00,3.00,NULL,3.00,3.00,1.00,216,NULL,207,'MARTELI','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3133010,6.00,5.00,5.00,4.00,5.00,6.25,3.00,6.00,3.00,404,NULL,NULL,'BARREIROS','S JOSé','SC',10474,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3133028,4.00,1.00,4.00,8.00,4.00,4.75,3.00,5.00,3.00,303,NULL,NULL,'JARDIM PETRóPOLIS','LONDRINA','PR',13235,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3133036,5.00,5.00,3.00,6.00,6.00,5.50,3.00,4.00,3.00,5,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',11162,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3133060,4.00,8.00,6.00,7.00,5.00,6.50,4.00,7.00,5.00,302,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',4893,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3133079,2.00,5.00,3.00,6.00,3.00,NULL,2.00,6.00,4.00,450,NULL,NULL,'VILA NOVA MAZZEI','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3133087,3.00,6.00,1.00,7.00,6.00,6.75,4.00,6.00,3.00,444,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',9937,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3133109,5.00,5.00,3.00,8.00,4.00,5.25,3.00,7.00,4.00,108,NULL,NULL,'COLINAS','S JOSé CAMPOS','SP',8165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3133125,7.00,6.00,6.00,6.00,7.00,7.00,4.00,9.00,7.00,103,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',1705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133133,4.00,5.00,4.00,2.00,7.00,5.00,4.00,7.00,1.00,212,NULL,211,'GUIOMAR DE FORA','ANTôNIO CARLOS','SC',11742,345,NULL,398,NULL,NULL,NULL,4,1),(16,3133141,6.00,6.00,2.00,8.00,7.00,5.75,2.00,6.00,6.00,503,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',6395,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3133150,5.00,3.00,4.00,7.00,5.00,7.25,2.00,5.00,7.00,207,NULL,211,'BRIGIDA','VENâNCIO AIRES','RS',9306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133168,6.00,4.00,4.00,7.00,6.00,6.00,3.00,6.00,3.00,108,NULL,NULL,'ASA NORTE','BRASíLIA','DF',9239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3133184,7.00,4.00,1.00,2.00,3.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133192,6.00,6.00,4.00,7.00,5.00,5.75,4.00,6.00,5.00,301,NULL,NULL,'SAGUAçU','JOINVILLE','SC',7256,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3133206,7.00,5.00,2.00,1.00,4.00,5.75,4.00,4.00,6.00,5,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',12398,428,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133214,4.00,6.00,2.00,6.00,3.00,NULL,3.00,8.00,7.00,201,NULL,207,'BALNEáRIO ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3133222,4.00,5.00,3.00,8.00,3.00,NULL,4.00,5.00,3.00,211,NULL,207,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133230,4.00,4.00,3.00,6.00,7.00,6.00,4.00,6.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',8277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133249,5.00,5.00,4.00,4.00,3.00,NULL,4.00,7.00,2.00,303,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3133265,6.00,9.00,5.00,8.00,8.00,5.50,5.00,6.00,6.00,211,NULL,215,'ITACORUBI','FLORIANóPOLIS','SC',2524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133281,0.00,0.00,1.00,8.00,6.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3133303,5.00,3.00,1.00,6.00,1.00,NULL,2.00,5.00,4.00,501,NULL,NULL,'INTERIOR','CRISSIUMAL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3133320,4.00,6.00,5.00,6.00,3.00,NULL,4.00,6.00,4.00,211,NULL,238,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3133338,3.00,3.00,2.00,2.00,3.00,NULL,3.00,0.00,3.00,415,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3133354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','LAJEADO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3133362,8.00,6.00,6.00,7.00,6.00,8.50,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3133370,2.00,5.00,2.00,2.00,3.00,NULL,2.00,6.00,3.00,332,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133397,1.00,2.00,3.00,0.00,4.00,NULL,2.00,6.00,3.00,207,NULL,201,'OURO FINO','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133419,3.00,7.00,4.00,9.00,7.00,6.00,4.00,8.00,6.00,201,NULL,NULL,'ATIRADORES','JOINVILLE','SC',4059,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3133427,1.00,2.00,2.00,6.00,4.00,NULL,2.00,4.00,3.00,308,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3133435,4.00,6.00,6.00,4.00,7.00,6.50,3.00,8.00,4.00,202,NULL,201,'AGRONÔMICA','FLORIANóPOLIS','SC',5826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133443,8.00,6.00,6.00,9.00,7.00,6.00,3.00,7.00,7.00,103,NULL,NULL,'ALTO DA BOA VISTA','ROLANDIA','PR',2082,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3133460,6.00,7.00,5.00,8.00,6.00,5.25,7.00,8.00,6.00,203,NULL,216,'COQUEIROS','FLORIANóPOLIS','SC',2410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133478,4.00,7.00,3.00,8.00,6.00,5.75,4.00,8.00,5.00,103,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',5894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3133486,5.00,7.00,5.00,5.00,8.00,6.75,4.00,8.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133494,5.00,7.00,7.00,6.00,4.00,5.50,3.00,8.00,5.00,203,NULL,201,'CENTRO','CEL FREITAS','SC',5085,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3133508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'BOSQUE DA SAÚDE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3133516,3.00,4.00,2.00,7.00,4.00,4.75,1.00,4.00,6.00,211,NULL,201,'TABULEIRO','ITAPEMA','SC',13044,454,NULL,1018,NULL,NULL,NULL,2,6),(16,3133524,5.00,7.00,2.00,6.00,6.00,4.75,4.00,5.00,1.00,453,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3133532,3.00,4.00,3.00,6.00,3.00,NULL,4.00,3.00,4.00,208,NULL,238,'ALVORADA','FRANCISCO BELTRãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3133559,7.00,7.00,4.00,7.00,5.00,8.00,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',4106,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3133567,2.00,5.00,1.00,6.00,4.00,5.00,4.00,5.00,6.00,503,NULL,NULL,'BOA VISTA','JOAçABA','SC',12396,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3133575,4.00,5.00,4.00,9.00,7.00,6.75,2.00,4.00,4.00,426,NULL,428,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',9130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133583,6.00,5.00,5.00,9.00,7.00,6.25,2.00,7.00,7.00,415,NULL,NULL,'JARDIM CRISTINA','MOGI GUAçU','SP',4251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'VILA SANTO ANTONIO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3133605,6.00,4.00,3.00,5.00,7.00,5.75,2.00,3.00,5.00,420,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',11798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133613,2.00,5.00,1.00,1.00,2.00,NULL,1.00,4.00,2.00,223,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133621,4.00,6.00,2.00,6.00,7.00,5.75,2.00,7.00,3.00,319,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',11108,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3133630,4.00,5.00,3.00,1.00,4.00,4.25,0.00,7.00,2.00,304,NULL,NULL,'KOBRASOL','S JOSé','SC',16223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133648,4.00,5.00,4.00,0.00,3.00,NULL,4.00,5.00,2.00,201,NULL,207,'SANTA MARIA','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133656,9.00,9.00,7.00,7.00,7.00,7.00,7.00,6.00,6.00,303,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',487,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3133664,5.00,5.00,2.00,4.00,3.00,NULL,3.00,7.00,3.00,302,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133672,5.00,5.00,2.00,9.00,6.00,7.00,2.00,8.00,4.00,320,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',7102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133680,4.00,5.00,5.00,9.00,6.00,5.00,2.00,7.00,4.00,340,NULL,NULL,'SAO FRANCISCO','S LOURENçO OESTE','SC',7943,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3133710,3.00,3.00,3.00,1.00,3.00,NULL,3.00,5.00,2.00,102,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3133737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3133745,8.00,9.00,8.00,8.00,7.00,6.50,7.00,6.00,8.00,203,NULL,214,'BOM RETIRO','JOINVILLE','SC',405,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3133761,4.00,4.00,3.00,7.00,4.00,5.00,2.00,4.00,4.00,108,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',13894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133788,6.00,7.00,5.00,7.00,7.00,6.25,5.00,7.00,5.00,303,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',2717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133796,4.00,6.00,3.00,4.00,6.00,6.00,5.00,4.00,4.00,102,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133800,4.00,7.00,3.00,3.00,4.00,3.25,2.00,8.00,4.00,501,NULL,NULL,'RIO BANDEIRA','PRES NEREU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3133818,4.00,6.00,4.00,7.00,4.00,6.25,3.00,2.00,3.00,301,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',11350,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3133826,3.00,5.00,2.00,5.00,2.00,NULL,0.00,6.00,3.00,423,NULL,426,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3133834,7.00,2.00,7.00,7.00,6.00,6.25,4.00,7.00,6.00,102,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',4524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3133842,4.00,5.00,4.00,7.00,4.00,4.75,2.00,4.00,3.00,425,NULL,421,'COQUEIROS','FLORIANóPOLIS','SC',13548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133850,0.00,0.00,0.00,2.00,6.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3133869,4.00,5.00,4.00,6.00,6.00,5.00,6.00,4.00,6.00,201,NULL,212,'KOBRASOL','S JOSé','SC',7964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133885,7.00,3.00,2.00,5.00,4.00,6.50,4.00,7.00,5.00,501,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',10007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133907,5.00,5.00,4.00,2.00,4.00,4.50,3.00,5.00,7.00,102,NULL,NULL,'ZONA UM A','UMUARAMA','PR',12426,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3133923,5.00,6.00,3.00,5.00,5.00,5.75,3.00,6.00,2.00,301,NULL,NULL,'JACARECICA','MACEIó','AL',10412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133940,3.00,2.00,2.00,3.00,3.00,NULL,2.00,1.00,3.00,319,NULL,NULL,'TIFA MARTINS','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3133958,5.00,7.00,5.00,9.00,6.00,5.00,5.00,7.00,4.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3133966,4.00,5.00,4.00,6.00,5.00,5.00,3.00,6.00,5.00,303,NULL,NULL,'ÚLTIMO RIO','JACINTO MACHADO','SC',10967,479,NULL,NULL,NULL,NULL,NULL,2,5),(16,3133974,4.00,5.00,4.00,6.00,9.00,5.75,3.00,6.00,4.00,415,NULL,NULL,'SãO JOSé','POçOS CALDAS','MG',6832,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3133982,7.00,6.00,7.00,9.00,8.00,7.50,4.00,7.00,6.00,216,NULL,211,'SAO LUIZ','BRUSQUE','SC',1441,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3133990,3.00,5.00,4.00,0.00,0.00,NULL,1.00,1.00,0.00,5,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(16,3134008,1.00,1.00,2.00,3.00,3.00,NULL,1.00,0.00,4.00,319,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134016,5.00,7.00,4.00,5.00,5.00,5.75,0.00,6.00,4.00,238,NULL,208,'CARIANOS','FLORIANóPOLIS','SC',10846,310,NULL,341,NULL,NULL,NULL,4,1),(16,3134024,6.00,3.00,7.00,7.00,4.00,5.00,3.00,7.00,5.00,102,NULL,NULL,'JARDIM IGUAçU','PARANAVAí','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3134032,7.00,8.00,6.00,9.00,8.00,6.00,6.00,9.00,8.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134059,6.00,5.00,3.00,9.00,6.00,6.00,3.00,6.00,5.00,216,NULL,201,'ITOUPAVA CENTRAL','BLUMENAU','SC',6782,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3134067,7.00,3.00,7.00,6.00,4.00,5.50,4.00,7.00,5.00,101,NULL,NULL,'CENTRO','PALHOçA','SC',6432,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134075,8.00,5.00,8.00,7.00,5.00,5.50,3.00,6.00,7.00,103,NULL,NULL,'JARDIM LAURA','S PAULO','SP',3211,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134083,6.00,3.00,2.00,6.00,5.00,5.50,5.00,6.00,2.00,415,NULL,NULL,'BORTOLON','XANXERê','SC',12468,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3134091,4.00,2.00,1.00,5.00,6.00,5.25,3.00,3.00,3.00,339,NULL,NULL,'ITAGUAÇU','FLORIANóPOLIS','SC',15241,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134105,5.00,5.00,3.00,7.00,6.00,5.50,3.00,5.00,4.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',9945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134113,4.00,6.00,4.00,4.00,7.00,5.75,2.00,5.00,4.00,207,NULL,211,'CARIANOS','FLORIANóPOLIS','SC',10160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134121,4.00,3.00,2.00,7.00,6.00,4.50,3.00,5.00,3.00,222,NULL,NULL,'KOBRASOL','S JOSé','SC',13680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'CENTRO','ENG BELTRãO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3134148,5.00,5.00,2.00,7.00,4.00,4.75,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13858,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134156,2.00,4.00,2.00,1.00,2.00,NULL,2.00,1.00,3.00,444,NULL,NULL,'SERTãO DO MARUIN','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'IMIGRANTES','TIMBó','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3134180,4.00,2.00,4.00,3.00,0.00,NULL,2.00,2.00,1.00,309,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134199,2.00,6.00,8.00,6.00,4.00,4.25,3.00,8.00,4.00,223,NULL,NULL,'CENTRO','BOM JESUS','SC',8588,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3134202,3.00,6.00,4.00,8.00,7.00,6.75,3.00,6.00,5.00,201,NULL,211,'TRINDADE','FLORIANóPOLIS','SC',6270,484,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134210,3.00,5.00,1.00,5.00,3.00,NULL,1.00,6.00,3.00,220,NULL,NULL,'VILA FERROVIARIA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3134229,3.00,7.00,4.00,3.00,5.00,5.25,4.00,4.00,3.00,201,NULL,207,'SãO LOURENçO','CPO GRANDE','MS',13676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,212,'NOVA ALIANCA','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3134245,7.00,5.00,3.00,3.00,7.00,6.25,4.00,8.00,6.00,103,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',5725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134253,0.00,4.00,1.00,8.00,5.00,5.00,1.00,7.00,2.00,340,NULL,NULL,'CENTRO','TUBARãO','SC',15788,NULL,NULL,NULL,NULL,NULL,NULL,5,10),(16,3134261,1.00,1.00,4.00,0.00,0.00,NULL,2.00,3.00,1.00,238,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3134270,4.00,2.00,2.00,6.00,2.00,NULL,3.00,0.00,5.00,103,NULL,NULL,'CENTRO','PORTãO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134288,9.00,9.00,5.00,8.00,6.00,7.75,7.00,7.00,9.00,103,NULL,NULL,'VILA SOBRINHO','CPO GRANDE','MS',575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3134300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3134318,6.00,6.00,4.00,7.00,4.00,4.50,5.00,5.00,6.00,203,NULL,201,'CENTRO','FLORIANóPOLIS','SC',6345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134326,9.00,8.00,9.00,7.00,9.00,6.50,5.00,9.00,7.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134334,5.00,5.00,2.00,1.00,2.00,NULL,1.00,5.00,3.00,501,NULL,NULL,'CENTRO','CORONEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3134342,4.00,2.00,3.00,3.00,4.00,NULL,2.00,4.00,1.00,302,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134350,6.00,6.00,5.00,8.00,7.00,4.00,3.00,7.00,6.00,216,NULL,233,'JARDIM DAS AVENIDAS','ARARANGUá','SC',5430,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3134377,6.00,8.00,1.00,6.00,7.00,4.50,3.00,8.00,5.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',6020,1684,NULL,NULL,NULL,NULL,NULL,2,9),(16,3134393,7.00,6.00,8.00,8.00,3.00,NULL,4.00,4.00,5.00,103,NULL,NULL,'CENTRO','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134407,4.00,3.00,1.00,4.00,3.00,NULL,2.00,6.00,3.00,503,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3134423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'CENTRO','PALMA SOLA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3134440,1.00,4.00,4.00,6.00,3.00,NULL,1.00,6.00,5.00,317,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134466,2.00,2.00,2.00,4.00,3.00,NULL,1.00,5.00,3.00,309,NULL,NULL,'LIMEIRA BAIXA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3134474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'ARRAIAL DA JUDA','PTO SEGURO','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3134482,3.00,6.00,4.00,8.00,7.00,6.00,3.00,5.00,1.00,303,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',9982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134490,5.00,5.00,4.00,5.00,5.00,6.00,5.00,4.00,6.00,428,NULL,426,'JD SANTANA','LIMEIRA','SP',7602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134504,3.00,6.00,3.00,5.00,6.00,6.00,2.00,9.00,2.00,102,NULL,NULL,'INTERIOR','ARABUTã','SC',10141,NULL,NULL,NULL,NULL,NULL,NULL,1,4),(16,3134512,7.00,6.00,4.00,7.00,7.00,6.75,3.00,8.00,8.00,203,NULL,220,'BARREIROS','S JOSé','SC',2064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134539,8.00,6.00,5.00,7.00,5.00,5.75,5.00,7.00,7.00,203,NULL,220,'BARREIROS','S JOSé','SC',3106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134547,6.00,6.00,1.00,8.00,5.00,6.50,4.00,6.00,4.00,233,NULL,213,'CENTRO','FLORIANóPOLIS','SC',7756,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134563,6.00,5.00,2.00,6.00,4.00,5.50,3.00,5.00,5.00,103,NULL,NULL,'VILA CARVALHO','S JOãO B VISTA','SP',9216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134571,6.00,7.00,4.00,6.00,4.00,5.00,3.00,6.00,3.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',8839,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3134598,6.00,5.00,4.00,6.00,4.00,4.50,5.00,6.00,3.00,201,NULL,212,'CENTRO','BAL CAMBORIú','SC',9296,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3134601,4.00,6.00,2.00,4.00,5.00,5.00,4.00,5.00,1.00,452,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',13912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134628,2.00,3.00,2.00,3.00,4.00,NULL,1.00,2.00,2.00,3,NULL,NULL,'PIONEIROS','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3134636,5.00,5.00,4.00,7.00,5.00,5.75,3.00,6.00,4.00,503,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',10637,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134652,3.00,1.00,5.00,1.00,1.00,NULL,3.00,2.00,3.00,103,NULL,NULL,'JARDIM ANA EMILIA','TAUBATé','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134660,4.00,5.00,3.00,4.00,4.00,4.50,6.00,4.00,6.00,104,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',12042,333,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134679,1.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,4.00,415,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134687,3.00,0.00,2.00,3.00,3.00,NULL,1.00,0.00,2.00,303,NULL,NULL,'SANTO ANTONIO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3134695,1.00,3.00,2.00,0.00,3.00,NULL,2.00,2.00,4.00,429,NULL,426,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','MARAU','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3134717,4.00,4.00,3.00,3.00,4.00,5.00,1.00,3.00,4.00,102,NULL,NULL,'CAIEIRA SACO LIMOES','FLORIANóPOLIS','SC',16210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134725,4.00,5.00,3.00,3.00,4.00,4.75,3.00,3.00,5.00,201,NULL,212,'GLORIA','JOINVILLE','SC',14704,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3134733,4.00,6.00,4.00,7.00,6.00,5.00,6.00,6.00,3.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',9302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134741,3.00,5.00,3.00,7.00,4.00,5.50,4.00,5.00,2.00,317,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',12805,108,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134750,5.00,4.00,2.00,6.00,4.00,5.75,3.00,4.00,4.00,303,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3134768,5.00,4.00,5.00,7.00,4.00,5.25,3.00,7.00,4.00,501,NULL,NULL,'CIDADE JARDIM','AMERICANA','SP',9490,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134776,7.00,7.00,2.00,4.00,8.00,6.75,3.00,7.00,3.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134784,2.00,4.00,3.00,9.00,4.00,5.25,3.00,4.00,3.00,201,NULL,207,'CANTRO','CPO GRANDE','MS',13257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134792,8.00,7.00,7.00,9.00,8.00,7.00,4.00,8.00,7.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',832,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3134814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'TATUAPÉ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3134822,7.00,9.00,5.00,6.00,4.00,5.75,3.00,7.00,5.00,108,NULL,NULL,'BARREIROS','S JOSé','SC',4633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CODESPAULO','PIRAJU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3134857,4.00,6.00,3.00,8.00,7.00,6.50,3.00,7.00,5.00,309,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',6931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134865,4.00,1.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,404,NULL,NULL,'GUARDA DO CUBATãO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134873,2.00,3.00,4.00,5.00,1.00,NULL,1.00,5.00,3.00,104,NULL,NULL,'ENGENIO SCHINEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3134881,5.00,4.00,3.00,8.00,7.00,5.75,2.00,6.00,4.00,303,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',8034,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3134890,3.00,2.00,4.00,7.00,5.00,4.50,2.00,4.00,4.00,316,NULL,NULL,'RIO GRANDE','PALHOçA','SC',14001,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134903,6.00,0.00,5.00,4.00,4.00,5.50,2.00,4.00,2.00,102,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',15831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134911,3.00,2.00,1.00,6.00,2.00,NULL,1.00,4.00,4.00,101,NULL,NULL,'FUNDOS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134920,5.00,4.00,2.00,6.00,2.00,NULL,4.00,4.00,4.00,238,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134938,4.00,4.00,2.00,3.00,2.00,NULL,2.00,4.00,5.00,316,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134946,8.00,8.00,10.00,9.00,6.00,6.50,5.00,9.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3134954,3.00,2.00,2.00,1.00,3.00,NULL,1.00,1.00,2.00,224,NULL,NULL,'GUARDA DO CUBATãO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3134989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3134997,4.00,5.00,5.00,5.00,4.00,4.50,3.00,5.00,4.00,208,NULL,216,'BELA VISTA','PTO ALEGRE','RS',11797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'CRISTAL','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3135020,6.00,6.00,4.00,7.00,6.00,5.25,3.00,5.00,4.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135039,9.00,8.00,5.00,9.00,6.00,6.00,3.00,8.00,6.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',1793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135055,3.00,3.00,2.00,0.00,1.00,NULL,3.00,5.00,4.00,215,NULL,233,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135063,1.00,3.00,4.00,4.00,4.00,4.75,1.00,6.00,5.00,203,NULL,208,'CENTRO','CATANDUVAS','SC',15355,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3135071,5.00,7.00,2.00,5.00,5.00,6.50,0.00,6.00,6.00,220,NULL,202,'CENTRO','IMBITUBA','SC',9271,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3135080,5.00,1.00,2.00,6.00,5.00,5.50,4.00,5.00,2.00,104,NULL,NULL,'CENTRO','AGROLâNDIA','SC',14571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3135098,7.00,7.00,5.00,9.00,7.00,7.00,4.00,8.00,5.00,238,NULL,208,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',2087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135101,5.00,7.00,5.00,7.00,6.00,5.25,2.00,7.00,7.00,303,NULL,NULL,'SANTA TEREZINHA','PAULíNIA','SP',4945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135110,5.00,3.00,3.00,5.00,1.00,NULL,4.00,5.00,3.00,211,NULL,201,'CENTRO','UNIãO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3135128,6.00,7.00,4.00,7.00,6.00,5.75,6.00,8.00,7.00,201,NULL,212,'ZONA RURAL','TRêS B PARANá','PR',2757,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3135136,3.00,4.00,3.00,3.00,5.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135144,4.00,4.00,4.00,3.00,4.00,6.25,2.00,7.00,4.00,103,NULL,NULL,'FLORESTA','VIDEIRA','SC',13144,2538,NULL,NULL,NULL,NULL,NULL,4,7),(16,3135152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ASA SUL','BRASíLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3135160,4.00,4.00,3.00,8.00,7.00,5.50,2.00,1.00,4.00,450,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',12710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135179,4.00,5.00,3.00,4.00,4.00,6.00,2.00,6.00,2.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3135195,3.00,3.00,2.00,0.00,2.00,NULL,2.00,5.00,3.00,304,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3135217,0.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3135225,6.00,7.00,2.00,7.00,5.00,4.50,5.00,5.00,4.00,317,NULL,NULL,'PORTO DA LAGOA','FLORIANóPOLIS','SC',8207,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3135233,2.00,0.00,1.00,3.00,3.00,NULL,1.00,4.00,1.00,103,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3135250,5.00,6.00,2.00,8.00,5.00,6.50,2.00,6.00,3.00,303,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',9061,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3135268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'CENTRO','PACAEMBU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3135276,0.00,6.00,1.00,5.00,4.00,4.50,4.00,4.00,3.00,340,NULL,NULL,'VILA MOEMA','TUBARãO','SC',16114,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3135284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PQ DOM ANTONEO REIS','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3135292,1.00,5.00,2.00,4.00,3.00,NULL,4.00,4.00,2.00,103,NULL,NULL,'SÃO PEREGRINO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3135314,5.00,3.00,2.00,7.00,3.00,NULL,2.00,5.00,4.00,302,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3135322,3.00,2.00,3.00,2.00,4.00,NULL,1.00,1.00,2.00,9,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3135330,9.00,7.00,6.00,7.00,8.00,6.00,7.00,7.00,8.00,216,NULL,NULL,'CENTRO','RIO CEDROS','SC',661,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3135349,6.00,7.00,7.00,8.00,6.00,5.25,4.00,6.00,7.00,202,NULL,208,'CENTRO','CERRO LARGO','RS',1905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135357,5.00,4.00,3.00,7.00,5.00,5.50,5.00,5.00,4.00,404,NULL,NULL,'CENTRO','TUBARãO','SC',9930,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3135365,5.00,3.00,3.00,4.00,1.00,NULL,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','IJUí','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135373,2.00,3.00,1.00,6.00,3.00,NULL,0.00,1.00,2.00,301,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3135381,6.00,7.00,6.00,6.00,8.00,6.25,5.00,6.00,7.00,301,NULL,NULL,'CENTRO','GARUVA','SC',2626,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3135390,6.00,6.00,3.00,9.00,7.00,5.75,2.00,7.00,4.00,234,NULL,NULL,'CENTRO','S JOSé','SC',6426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135403,8.00,8.00,7.00,7.00,6.00,8.00,5.00,8.00,8.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135411,2.00,4.00,4.00,2.00,5.00,4.00,2.00,4.00,3.00,316,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',16621,215,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135420,4.00,6.00,5.00,7.00,6.00,5.00,2.00,5.00,4.00,316,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',9511,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3135438,4.00,6.00,3.00,5.00,3.00,NULL,3.00,6.00,6.00,220,NULL,201,'CRISTAL','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3135446,6.00,9.00,5.00,6.00,6.00,6.00,2.00,6.00,6.00,415,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',5652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135454,5.00,5.00,4.00,7.00,7.00,6.75,3.00,8.00,5.00,103,NULL,NULL,'BARRO VERMELHO','ORLEANS','SC',6012,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3135462,5.00,6.00,4.00,6.00,8.00,5.00,2.00,7.00,4.00,309,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',7322,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3135470,5.00,5.00,3.00,2.00,6.00,5.25,4.00,5.00,3.00,303,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135489,5.00,5.00,5.00,6.00,3.00,NULL,4.00,6.00,5.00,202,NULL,NULL,'CENTRO','IJUí','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135497,3.00,4.00,2.00,4.00,3.00,NULL,2.00,4.00,5.00,319,NULL,NULL,'BAIRRO IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3135500,6.00,4.00,1.00,7.00,2.00,NULL,3.00,5.00,3.00,502,NULL,NULL,'SANTO ANTONIO PáDUA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3135527,8.00,5.00,3.00,8.00,5.00,6.25,5.00,8.00,7.00,316,NULL,NULL,'PASSA VINTE','PALHOçA','SC',3411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135535,4.00,6.00,4.00,1.00,5.00,5.50,5.00,2.00,4.00,214,NULL,202,'RIO BONITO','JOINVILLE','SC',12486,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3135543,8.00,7.00,3.00,6.00,5.00,6.00,4.00,9.00,5.00,104,NULL,NULL,'JARDIM SANTA MARIA','TOLEDO','PR',3972,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3135551,1.00,3.00,3.00,8.00,1.00,NULL,1.00,4.00,3.00,9,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3135560,1.00,2.00,1.00,0.00,0.00,NULL,3.00,6.00,4.00,319,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3135578,5.00,8.00,5.00,7.00,6.00,6.25,3.00,5.00,4.00,102,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',6859,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3135586,8.00,8.00,4.00,8.00,6.00,6.25,2.00,7.00,6.00,304,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',3494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135608,2.00,4.00,3.00,6.00,4.00,5.25,1.00,4.00,3.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',15734,2759,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135616,5.00,4.00,3.00,6.00,5.00,6.25,4.00,3.00,5.00,452,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',11441,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3135624,7.00,7.00,5.00,8.00,6.00,5.00,4.00,7.00,6.00,203,NULL,214,'CENTRO','S JOSé','SC',3722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135632,3.00,5.00,3.00,5.00,3.00,NULL,2.00,6.00,2.00,304,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3135640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ESTADOS','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3135659,7.00,8.00,8.00,8.00,7.00,6.75,5.00,9.00,8.00,5,NULL,NULL,'PASSA VINTE','PALHOçA','SC',781,35,NULL,NULL,NULL,NULL,NULL,2,1),(16,3135667,4.00,2.00,2.00,5.00,3.00,NULL,2.00,3.00,4.00,201,NULL,211,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3135675,2.00,4.00,2.00,3.00,2.00,NULL,3.00,2.00,0.00,202,NULL,213,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3135683,2.00,5.00,3.00,5.00,5.00,5.25,1.00,5.00,5.00,220,NULL,216,'MATO ALTO','ARARANGUá','SC',15075,500,NULL,479,NULL,NULL,NULL,4,5),(16,3135705,3.00,6.00,5.00,1.00,3.00,NULL,2.00,6.00,5.00,302,NULL,NULL,'CRUZEIRO DO SUL','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3135713,7.00,6.00,1.00,6.00,5.00,4.50,3.00,5.00,5.00,207,NULL,215,'CORREGO GRANDE','FLORIANóPOLIS','SC',9851,465,NULL,220,NULL,NULL,NULL,2,1),(16,3135721,7.00,6.00,4.00,8.00,8.00,5.00,5.00,5.00,6.00,211,NULL,216,'CAMPINAS','S JOSé','SC',5191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3135756,4.00,5.00,3.00,6.00,3.00,NULL,3.00,3.00,4.00,2,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3135772,5.00,3.00,5.00,3.00,5.00,5.50,3.00,5.00,2.00,223,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',13483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135780,4.00,6.00,8.00,5.00,4.00,4.50,7.00,7.00,6.00,220,NULL,214,'BAUXITA','OURO PRETO','MG',4562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135799,7.00,5.00,3.00,3.00,5.00,7.00,4.00,6.00,4.00,103,NULL,NULL,'BUCAREIN','JOINVILLE','SC',9781,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3135802,4.00,4.00,3.00,1.00,3.00,NULL,4.00,6.00,4.00,203,NULL,214,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3135829,6.00,3.00,2.00,0.00,0.00,NULL,1.00,3.00,2.00,503,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(16,3135837,5.00,3.00,3.00,6.00,5.00,5.00,4.00,6.00,6.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',8951,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3135845,7.00,7.00,2.00,9.00,8.00,7.25,4.00,8.00,7.00,207,NULL,201,'FUNDINHO','UBERLâNDIA','MG',2372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135853,8.00,7.00,6.00,8.00,8.00,7.25,6.00,8.00,7.00,203,NULL,214,'CENTRO','BRAçO NORTE','SC',921,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3135861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'FLORADAS DE SAO JOSE','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3135888,4.00,5.00,4.00,4.00,4.00,5.00,3.00,2.00,1.00,501,NULL,NULL,'GLORIA','VACARIA','RS',15280,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3135896,6.00,7.00,2.00,6.00,5.00,5.25,3.00,9.00,7.00,444,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',6451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'JARDIM SOCIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3135918,5.00,5.00,4.00,3.00,5.00,5.00,4.00,5.00,7.00,420,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',9364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135926,6.00,7.00,8.00,6.00,6.00,7.75,5.00,7.00,7.00,215,NULL,213,'TRINDADE','FLORIANóPOLIS','SC',1887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135934,5.00,4.00,4.00,7.00,7.00,7.50,1.00,6.00,3.00,108,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',8870,182,NULL,NULL,NULL,NULL,NULL,4,1),(16,3135942,5.00,8.00,4.00,8.00,4.00,6.00,2.00,8.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',4397,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3135950,6.00,6.00,3.00,8.00,5.00,5.25,4.00,6.00,2.00,103,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3135977,5.00,8.00,8.00,9.00,6.00,8.00,7.00,8.00,8.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',467,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3135985,6.00,5.00,3.00,8.00,5.00,5.75,3.00,8.00,4.00,201,NULL,216,'CENTRO','FLORIANóPOLIS','SC',6804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136000,3.00,6.00,3.00,0.00,7.00,6.50,3.00,7.00,5.00,207,NULL,NULL,'GUARá','GUARá','DF',11703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136019,7.00,6.00,3.00,6.00,5.00,6.75,4.00,5.00,6.00,207,NULL,NULL,'ZONA DOIS','MARINGá','PR',5359,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3136027,2.00,3.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136035,2.00,3.00,1.00,5.00,5.00,NULL,2.00,3.00,2.00,503,NULL,NULL,'ALTO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136043,4.00,6.00,1.00,1.00,3.00,NULL,3.00,3.00,3.00,202,NULL,213,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3136051,5.00,1.00,3.00,4.00,2.00,NULL,1.00,4.00,5.00,9,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136060,7.00,9.00,3.00,7.00,7.00,4.75,2.00,9.00,6.00,207,NULL,201,'KOBRASOL','S JOSé','SC',2812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136078,5.00,5.00,4.00,5.00,6.00,5.25,2.00,6.00,3.00,423,NULL,428,'SERRARIA','S JOSé','SC',11242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136094,7.00,6.00,4.00,8.00,6.00,5.75,2.00,8.00,5.00,103,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',4441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136108,5.00,6.00,3.00,6.00,4.00,4.75,2.00,6.00,3.00,238,NULL,208,'INGLESES','FLORIANóPOLIS','SC',11619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136116,4.00,8.00,4.00,7.00,6.00,6.00,5.00,8.00,5.00,301,NULL,NULL,'SERRARIA','S JOSé','SC',4440,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136124,9.00,4.00,5.00,4.00,7.00,4.50,5.00,5.00,7.00,207,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',5474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136167,4.00,5.00,2.00,8.00,6.00,7.75,2.00,6.00,1.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',10086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136175,3.00,7.00,5.00,4.00,4.00,5.25,3.00,5.00,4.00,102,NULL,NULL,'CENTRO','LAGES','SC',11714,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3136183,2.00,4.00,3.00,4.00,2.00,NULL,1.00,4.00,2.00,104,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136191,6.00,6.00,6.00,3.00,5.00,7.00,3.00,6.00,6.00,103,NULL,NULL,'JARDIM AMAZONAS','CAMPINAS','SP',5973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136205,7.00,6.00,3.00,7.00,7.00,7.00,1.00,7.00,7.00,233,NULL,211,'CóRREGO GRANDE','FLORIANóPOLIS','SC',3819,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3136221,4.00,4.00,3.00,6.00,6.00,6.25,2.00,6.00,2.00,304,NULL,NULL,'SERTãO DO MARUIM','S JOSé','SC',12771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136230,5.00,4.00,3.00,9.00,7.00,6.00,4.00,8.00,3.00,320,NULL,NULL,'PERDIZES','S PAULO','SP',6248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136248,2.00,1.00,3.00,7.00,2.00,NULL,4.00,3.00,3.00,3,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3136256,6.00,4.00,1.00,7.00,7.00,5.25,3.00,8.00,4.00,5,NULL,NULL,'NAçõES','BAL CAMBORIú','SC',8174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136264,6.00,5.00,6.00,7.00,6.00,7.00,4.00,6.00,6.00,102,NULL,NULL,'FLORESTA','CERRO LARGO','RS',4221,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136272,7.00,5.00,5.00,3.00,4.00,6.00,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','CPO MOURãO','PR',9043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,207,'C H ENES BARBOSA','TAMARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3136299,3.00,4.00,4.00,4.00,3.00,NULL,2.00,7.00,2.00,215,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,201,'CENTRO','MAL CâNDIDO RONDON','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3136310,3.00,3.00,5.00,6.00,4.00,6.50,2.00,1.00,4.00,201,NULL,207,'SãO CRISTOVãO','PASSO FUNDO','RS',15541,1202,NULL,805,NULL,NULL,NULL,2,1),(16,3136329,7.00,8.00,6.00,9.00,7.00,6.00,5.00,8.00,8.00,203,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',1119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3136345,7.00,9.00,4.00,5.00,6.00,5.00,2.00,9.00,5.00,201,NULL,207,'RIO GRANDE','PALHOçA','SC',5619,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136353,4.00,7.00,4.00,6.00,7.00,6.50,4.00,7.00,4.00,238,NULL,212,'CENTRO','FLORIANóPOLIS','SC',6589,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136361,3.00,1.00,5.00,0.00,0.00,NULL,3.00,3.00,3.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,8),(16,3136370,6.00,5.00,6.00,8.00,6.00,5.75,5.00,6.00,6.00,216,NULL,NULL,'JOSé NAZáRIO','ARMAZéM','SC',3433,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136388,4.00,5.00,1.00,7.00,6.00,4.75,2.00,5.00,3.00,318,NULL,NULL,'VILA JUNCKES','S PEDRO ALCâNTARA','SC',13284,106,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136396,7.00,3.00,5.00,7.00,4.00,4.50,2.00,5.00,5.00,503,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',10788,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136400,4.00,6.00,1.00,6.00,5.00,5.00,4.00,4.00,5.00,302,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',11982,139,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136426,3.00,2.00,2.00,0.00,1.00,NULL,3.00,3.00,1.00,2,NULL,NULL,'CENTRO','BILAC','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3136434,4.00,4.00,2.00,4.00,4.00,4.25,3.00,1.00,3.00,211,NULL,215,'HORIZONTE','COCAL SUL','SC',16663,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3136442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3136450,4.00,5.00,4.00,2.00,2.00,NULL,2.00,7.00,3.00,104,NULL,NULL,'PROGRESSO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3136477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAARAPó','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3136485,6.00,3.00,6.00,2.00,4.00,4.75,2.00,5.00,5.00,301,NULL,NULL,'CENTRO','BOITUVA','SP',12479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136493,2.00,5.00,2.00,4.00,5.00,5.25,3.00,4.00,2.00,208,NULL,238,'BARREIROS','S JOSé','SC',15968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136515,3.00,5.00,1.00,7.00,5.00,5.50,3.00,3.00,3.00,301,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',14857,322,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136523,4.00,6.00,4.00,1.00,4.00,4.75,2.00,5.00,3.00,103,NULL,NULL,'SANTA HELENA','LAGES','SC',14542,2653,NULL,NULL,NULL,NULL,NULL,4,9),(16,3136531,5.00,2.00,3.00,3.00,2.00,NULL,0.00,2.00,3.00,340,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136540,3.00,5.00,5.00,8.00,6.00,7.75,2.00,4.00,3.00,203,NULL,238,'CENTRO','LAURO MüLLER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3136558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TROPICAL','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3136566,5.00,6.00,5.00,7.00,5.00,6.75,3.00,2.00,2.00,102,NULL,NULL,'BARREIROS','S JOSé','SC',11514,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136574,3.00,5.00,3.00,5.00,5.00,4.50,3.00,6.00,1.00,103,NULL,NULL,'VILA REAL','BAL CAMBORIú','SC',13770,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3136590,3.00,4.00,5.00,6.00,4.00,5.25,1.00,4.00,3.00,316,NULL,NULL,'CENTRO','ANTôNIO CARLOS','SC',14551,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136604,9.00,8.00,5.00,7.00,6.00,6.00,6.00,8.00,6.00,501,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',1716,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SÃO CRISTÓVÃO','S DOMINGOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3136620,5.00,2.00,2.00,1.00,2.00,NULL,2.00,3.00,3.00,108,NULL,NULL,'SANTA CRUZ DO TIMBó','STA CRUZ TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136639,6.00,5.00,5.00,5.00,6.00,7.25,4.00,7.00,6.00,415,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSé','SC',5686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136655,0.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'BARRA DO ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3136663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SOARES','ITAPIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3136671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',5,8),(16,3136680,5.00,4.00,5.00,3.00,3.00,NULL,3.00,4.00,5.00,104,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136698,3.00,4.00,4.00,6.00,3.00,NULL,3.00,4.00,3.00,233,NULL,215,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3136701,6.00,5.00,3.00,8.00,4.00,6.25,4.00,7.00,5.00,211,NULL,215,'PRESIDENTE MéDICE','CHAPECó','SC',6565,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3136710,2.00,7.00,4.00,6.00,5.00,6.25,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3136728,3.00,4.00,2.00,2.00,2.00,NULL,3.00,3.00,1.00,5,NULL,NULL,'INTERIOR','CAIBI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3136736,2.00,1.00,1.00,0.00,5.00,NULL,4.00,4.00,2.00,234,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136744,8.00,6.00,6.00,4.00,7.00,8.00,2.00,9.00,5.00,303,NULL,NULL,'JARDIM MARMARITA','ITAPECERICA SERRA','SP',2639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136752,3.00,5.00,5.00,6.00,7.00,3.25,3.00,2.00,2.00,201,NULL,220,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3136779,2.00,5.00,3.00,9.00,6.00,6.00,3.00,5.00,3.00,327,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',10543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136787,5.00,3.00,3.00,2.00,3.00,NULL,2.00,2.00,4.00,208,NULL,238,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136795,5.00,3.00,2.00,1.00,3.00,NULL,2.00,2.00,6.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3136809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'ROÇADO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3136817,3.00,2.00,1.00,4.00,4.00,NULL,3.00,5.00,2.00,303,NULL,NULL,'JARDIM AURORA','APIAí','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136825,7.00,6.00,4.00,8.00,5.00,6.75,5.00,7.00,4.00,104,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',5414,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3136833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3136841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS NAÇOES','CASTRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3136850,9.00,7.00,10.00,9.00,7.00,7.25,6.00,8.00,9.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAíBA','SP',221,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3136884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3136892,4.00,3.00,3.00,0.00,0.00,NULL,3.00,2.00,6.00,104,NULL,NULL,'SANTA TEREZA','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136906,6.00,3.00,1.00,6.00,5.00,4.75,3.00,6.00,7.00,3,NULL,NULL,'CENTRO','SAO BENTO DO SUL','SC',10267,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3136914,8.00,7.00,8.00,9.00,9.00,8.50,7.00,8.00,9.00,220,NULL,233,'CAPOEIRAS','FLORIANóPOLIS','SC',29,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136922,6.00,8.00,4.00,7.00,6.00,6.00,4.00,6.00,6.00,302,NULL,NULL,'FORTALEZA','BLUMENAU','SC',5133,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3136930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3136957,7.00,9.00,6.00,7.00,7.00,5.50,5.00,7.00,8.00,211,NULL,215,'COQUEIROS','FLORIANóPOLIS','SC',1453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136965,6.00,4.00,5.00,7.00,4.00,5.00,3.00,5.00,4.00,301,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',9864,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136973,6.00,6.00,4.00,7.00,4.00,5.75,4.00,8.00,4.00,234,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',8017,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3136981,6.00,4.00,6.00,9.00,7.00,6.50,4.00,7.00,3.00,203,NULL,220,'JARDIM ITáLIA','AMPARO','SP',5079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3136990,2.00,1.00,3.00,6.00,3.00,NULL,3.00,4.00,2.00,211,NULL,215,'ALVORADA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3137007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR OESTE','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3137015,3.00,5.00,7.00,7.00,3.00,NULL,3.00,5.00,5.00,214,NULL,233,'VILA LENZI','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3137023,4.00,5.00,1.00,3.00,6.00,NULL,1.00,5.00,2.00,103,NULL,NULL,'PRAIA BRAVA','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3137031,4.00,5.00,3.00,6.00,4.00,4.75,2.00,5.00,4.00,238,NULL,NULL,'CAMPINAS','S JOSé','SC',14220,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3137058,4.00,4.00,3.00,7.00,4.00,4.75,3.00,5.00,4.00,208,NULL,238,'CENTRO','FLORIANóPOLIS','SC',12444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137066,8.00,6.00,7.00,8.00,6.00,6.50,4.00,8.00,8.00,214,NULL,220,'JARDIM PAULISTANO','S PAULO','SP',1664,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137074,2.00,5.00,1.00,4.00,3.00,NULL,1.00,6.00,4.00,316,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137082,5.00,6.00,5.00,3.00,6.00,5.00,3.00,6.00,2.00,211,NULL,233,'VILA TESORURO','S JOSé CAMPOS','SP',11586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137090,5.00,5.00,4.00,6.00,4.00,5.50,3.00,6.00,6.00,216,NULL,215,'BOQUEIRÃO','GUARAPUAVA','PR',7404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137112,8.00,5.00,3.00,7.00,5.00,5.50,3.00,2.00,3.00,108,NULL,NULL,'CENTRO','BIGUAçU','SC',10722,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3137120,7.00,7.00,4.00,9.00,6.00,5.00,2.00,7.00,6.00,9,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',5352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137139,4.00,2.00,2.00,3.00,2.00,NULL,2.00,3.00,3.00,503,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3137147,3.00,4.00,6.00,7.00,4.00,5.75,1.00,4.00,3.00,425,NULL,423,'BARREIROS','S JOSé','SC',12553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137155,5.00,7.00,7.00,6.00,5.00,5.75,4.00,7.00,5.00,207,NULL,212,'ITAGUAçU','FLORIANóPOLIS','SC',4526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137163,7.00,7.00,6.00,9.00,6.00,5.50,6.00,6.00,7.00,2,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',1929,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3137171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'BELA VISTA','S LUDGERO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3137198,4.00,3.00,3.00,9.00,7.00,7.00,2.00,5.00,4.00,201,NULL,207,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137201,4.00,7.00,2.00,5.00,4.00,5.25,2.00,8.00,4.00,234,NULL,NULL,'CENTRO','FORQUILHINHA','SC',10860,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3137210,3.00,4.00,2.00,4.00,6.00,6.50,4.00,7.00,4.00,302,NULL,NULL,'CENTRO','ANTôNIO CARLOS','SC',11887,138,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137228,6.00,8.00,8.00,8.00,7.00,7.00,2.00,8.00,6.00,340,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',2058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137236,2.00,4.00,2.00,5.00,4.00,3.00,3.00,3.00,5.00,201,NULL,212,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3137244,8.00,7.00,6.00,8.00,7.00,4.50,4.00,8.00,7.00,214,NULL,203,'CENTRO','PALHOçA','SC',1980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137252,8.00,9.00,4.00,7.00,7.00,5.50,6.00,8.00,8.00,103,NULL,NULL,'BARRA','BAL CAMBORIú','SC',1262,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3137279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'JURERê','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3137287,7.00,7.00,9.00,8.00,6.00,4.75,4.00,8.00,8.00,201,NULL,233,'CENTRO','FLORIANóPOLIS','SC',1602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137295,8.00,8.00,6.00,8.00,7.00,7.25,3.00,6.00,6.00,207,NULL,201,'ITACORUBI','FLORIANóPOLIS','SC',2220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137309,6.00,6.00,5.00,4.00,7.00,4.00,5.00,4.00,8.00,216,NULL,NULL,'ZONA','MARINGá','PR',6269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137317,4.00,7.00,5.00,7.00,5.00,5.00,4.00,5.00,4.00,207,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8267,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3137325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOSé PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3137333,5.00,6.00,2.00,1.00,5.00,4.50,4.00,6.00,5.00,429,NULL,NULL,'OURO VERDE','LIMEIRA','SP',13516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137341,5.00,6.00,3.00,7.00,6.00,6.25,2.00,6.00,4.00,207,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',9168,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3137350,5.00,6.00,4.00,5.00,7.00,5.75,5.00,6.00,7.00,404,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',6188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137368,3.00,4.00,5.00,5.00,4.00,5.75,4.00,3.00,2.00,2,NULL,NULL,'APARECIDA','ABELARDO LUZ','SC',13538,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3137384,7.00,5.00,8.00,9.00,6.00,5.50,6.00,6.00,7.00,203,NULL,214,'SAGUAçU','JOINVILLE','SC',2071,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3137392,7.00,6.00,8.00,5.00,6.00,4.50,4.00,6.00,6.00,220,NULL,202,'MIRANTE DA LAGOA','MACAé','RJ',4793,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3137406,5.00,6.00,1.00,8.00,4.00,6.00,4.00,6.00,3.00,211,NULL,215,'CENTRO','BAL CAMBORIú','SC',10807,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3137414,6.00,5.00,4.00,8.00,4.00,6.00,5.00,7.00,5.00,104,NULL,NULL,'CENTRO','PALHOçA','SC',5863,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3137422,3.00,6.00,3.00,3.00,4.00,6.00,3.00,7.00,2.00,429,NULL,426,'PICADAS DO SUL','S JOSé','SC',13412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137430,3.00,4.00,2.00,9.00,4.00,4.75,3.00,4.00,2.00,425,NULL,429,'PâNTANO DO SUL','FLORIANóPOLIS','SC',15126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137449,4.00,5.00,5.00,9.00,8.00,7.25,2.00,9.00,5.00,101,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137457,2.00,2.00,2.00,3.00,1.00,NULL,2.00,5.00,1.00,316,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3137473,4.00,5.00,1.00,8.00,5.00,6.25,4.00,6.00,4.00,103,NULL,NULL,'KAYSER','CAXIAS SUL','RS',9500,2177,NULL,NULL,NULL,NULL,NULL,2,1),(16,3137481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PARAíSO','RESENDE','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3137490,3.00,3.00,4.00,2.00,4.00,5.25,2.00,5.00,3.00,201,NULL,203,'INTERIOR','FLOR SERTãO','SC',16572,1271,NULL,935,NULL,NULL,NULL,4,4),(16,3137503,2.00,6.00,4.00,8.00,5.00,4.25,4.00,4.00,5.00,452,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137511,6.00,4.00,3.00,2.00,3.00,NULL,3.00,5.00,4.00,215,NULL,216,'SANTA MARIA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3137520,2.00,2.00,2.00,3.00,3.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'PINHEIRINHO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3137538,4.00,3.00,6.00,8.00,3.00,NULL,3.00,3.00,6.00,103,NULL,NULL,'MORADA DO SOL','RIO VERDE','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3137546,5.00,6.00,6.00,7.00,5.00,6.00,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',6065,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3137554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3137562,7.00,8.00,6.00,8.00,6.00,5.75,6.00,8.00,8.00,203,NULL,211,'BARREIRO','S JOSé','SC',1158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137570,8.00,9.00,9.00,8.00,8.00,6.75,7.00,8.00,9.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',99,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137589,7.00,4.00,5.00,9.00,7.00,5.75,4.00,6.00,5.00,203,NULL,201,'KOBRASOL','S JOSé','SC',4720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137597,5.00,5.00,6.00,7.00,6.00,4.50,4.00,6.00,7.00,208,NULL,238,'CENTRO','FLORIANóPOLIS','SC',6049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137600,8.00,7.00,8.00,9.00,8.00,6.75,3.00,8.00,8.00,103,NULL,NULL,'JAGUARE','S PAULO','SP',465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'SANTA MARIA','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3137627,6.00,5.00,5.00,8.00,7.00,6.00,3.00,4.00,6.00,303,NULL,NULL,'COLINA DE FLORES','FLORES CUNHA','RS',5923,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3137635,5.00,0.00,2.00,6.00,6.00,4.50,1.00,7.00,4.00,207,NULL,201,'BELA VISTA','BRAçO NORTE','SC',14428,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3137651,6.00,1.00,4.00,7.00,5.00,6.75,3.00,6.00,6.00,101,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',9512,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3137660,7.00,6.00,4.00,6.00,6.00,5.25,4.00,8.00,3.00,302,NULL,NULL,'CAMPINAS','S JOSé','SC',6603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137678,3.00,4.00,3.00,8.00,4.00,4.75,3.00,6.00,2.00,103,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',12861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137686,2.00,2.00,1.00,5.00,3.00,NULL,2.00,1.00,4.00,9,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3137694,1.00,3.00,4.00,5.00,3.00,NULL,2.00,1.00,3.00,415,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3137708,7.00,5.00,6.00,7.00,4.00,4.50,3.00,5.00,4.00,103,NULL,NULL,'MARISTELA','PRES PRUDENTE','SP',7881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137716,7.00,7.00,7.00,8.00,7.00,6.75,7.00,6.00,8.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137724,3.00,5.00,2.00,5.00,5.00,2.00,2.00,7.00,2.00,203,NULL,214,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3137740,3.00,3.00,3.00,4.00,3.00,NULL,2.00,3.00,2.00,203,NULL,NULL,'SAGUAçU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3137759,3.00,3.00,2.00,8.00,7.00,4.50,2.00,3.00,2.00,301,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',14850,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3137767,4.00,6.00,4.00,6.00,5.00,3.25,2.00,3.00,4.00,3,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3137775,4.00,3.00,3.00,4.00,2.00,NULL,2.00,1.00,2.00,453,NULL,NULL,'DANIELA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3137791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMERIA','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3137805,6.00,8.00,6.00,8.00,7.00,6.75,2.00,5.00,7.00,220,NULL,214,'CAMPINAS','S JOSé','SC',3492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137813,8.00,5.00,3.00,8.00,7.00,6.00,6.00,6.00,7.00,103,NULL,NULL,'PIONEIRO','CAXIAS SUL','RS',3727,1225,NULL,NULL,NULL,NULL,NULL,2,1),(16,3137821,5.00,7.00,2.00,6.00,5.00,5.00,5.00,8.00,4.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',7601,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3137848,5.00,5.00,3.00,9.00,7.00,6.00,5.00,7.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',5525,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3137856,5.00,6.00,4.00,5.00,5.00,4.00,4.00,7.00,4.00,302,NULL,NULL,'COSTEIRA DO RIBEIRÃO','FLORIANóPOLIS','SC',9116,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3137864,3.00,4.00,3.00,7.00,4.00,5.75,2.00,4.00,4.00,420,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137872,4.00,4.00,2.00,9.00,6.00,6.75,5.00,7.00,5.00,319,NULL,NULL,'BARREIROS','S JOSé','SC',6834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137899,2.00,0.00,4.00,3.00,2.00,NULL,3.00,4.00,1.00,303,NULL,NULL,'HUMAITA DE CIMA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3137910,6.00,7.00,4.00,6.00,7.00,7.00,3.00,8.00,6.00,303,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',3913,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3137929,3.00,5.00,1.00,5.00,4.00,5.75,2.00,6.00,6.00,332,NULL,NULL,'REAL PARQUE','S JOSé','SC',13632,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3137937,6.00,5.00,4.00,7.00,6.00,7.25,5.00,8.00,5.00,103,NULL,NULL,'PONTE DE IMARUIM','PALHOçA','SC',5107,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3137953,2.00,5.00,5.00,2.00,4.00,5.25,1.00,5.00,1.00,203,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',16349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3137961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3137988,7.00,4.00,4.00,5.00,6.00,6.50,1.00,6.00,4.00,207,NULL,212,'BOM ABRIGO','FLORIANóPOLIS','SC',9356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3137996,0.00,2.00,3.00,3.00,3.00,NULL,1.00,2.00,3.00,5,NULL,NULL,'CIVEMARA','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3138003,4.00,4.00,5.00,5.00,5.00,5.25,2.00,4.00,6.00,201,NULL,212,'CENTRO','NOVA VENEZA','SC',11048,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3138011,4.00,4.00,5.00,7.00,4.00,6.75,3.00,6.00,6.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3138038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PORTAO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3138062,8.00,9.00,9.00,0.00,0.00,NULL,7.00,8.00,9.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138070,6.00,8.00,7.00,5.00,7.00,6.25,4.00,8.00,3.00,103,NULL,NULL,'CENTRO','PALHOçA','SC',3564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3138119,9.00,7.00,8.00,8.00,8.00,6.75,3.00,7.00,7.00,103,NULL,NULL,'JARDIM DAS AMéRICAS','CUIABá','MT',785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138127,3.00,5.00,4.00,5.00,4.00,5.50,5.00,4.00,5.00,203,NULL,201,'CENTRO','ASSIS CHATEAUBRIAND','PR',11688,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3138135,5.00,6.00,1.00,7.00,4.00,6.00,2.00,7.00,5.00,211,NULL,216,'FIGUEIRA','URUSSANGA','SC',8902,287,NULL,320,NULL,NULL,NULL,2,5),(16,3138143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,220,'CENTRO','MACHADINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3138151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PLANO DIRETOR SUL','PALMAS','TO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3138160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3138178,4.00,6.00,5.00,9.00,7.00,6.00,2.00,7.00,3.00,415,NULL,NULL,'SANTO ANDRé','CAPIVARI BAIXO','SC',6282,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3138186,8.00,8.00,6.00,7.00,7.00,6.50,4.00,8.00,8.00,103,NULL,NULL,'ESTREITO','FLORIANOPOLIS','SC',1208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138208,2.00,5.00,1.00,2.00,5.00,4.00,2.00,5.00,3.00,238,NULL,208,'PANTANAL','FLORIANóPOLIS','SC',16622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3138224,7.00,4.00,5.00,6.00,6.00,5.25,5.00,8.00,7.00,201,NULL,212,'BELA VISTA','GOIâNIA','GO',3955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138240,6.00,2.00,2.00,6.00,2.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'PIO CORREA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3138259,4.00,7.00,2.00,6.00,6.00,4.00,2.00,7.00,2.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138275,7.00,6.00,5.00,9.00,8.00,6.50,4.00,6.00,7.00,103,NULL,NULL,'PIO CORREA','CRICIúMA','SC',2492,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3138283,1.00,3.00,3.00,5.00,4.00,NULL,3.00,0.00,4.00,201,NULL,202,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3138291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAVALHADA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(16,3138321,3.00,3.00,1.00,5.00,5.00,6.00,2.00,8.00,1.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15699,502,NULL,NULL,NULL,NULL,NULL,3,1),(16,3138330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'COUNTRY','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3138348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3138356,5.00,5.00,3.00,3.00,7.00,7.25,3.00,5.00,5.00,104,NULL,NULL,'PARQUE ROSITA','STA ROSA SUL','SC',10529,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3138364,3.00,5.00,5.00,8.00,2.00,NULL,4.00,3.00,5.00,208,NULL,238,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138372,6.00,8.00,7.00,6.00,7.00,6.25,5.00,8.00,6.00,207,NULL,233,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',2299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3138380,2.00,2.00,2.00,1.00,5.00,NULL,2.00,2.00,2.00,444,NULL,NULL,'SãO LUIS','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3138402,5.00,6.00,2.00,7.00,5.00,6.00,3.00,8.00,6.00,207,NULL,212,'JARDIM JUPIÁ','PIRACICABA','SP',6102,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3138410,1.00,5.00,5.00,3.00,3.00,NULL,2.00,6.00,3.00,207,NULL,211,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3138429,4.00,5.00,2.00,5.00,5.00,4.75,4.00,9.00,5.00,304,NULL,NULL,'VILA SãO CARLOS','TAUBATé','SP',8050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138437,6.00,8.00,8.00,9.00,8.00,8.00,6.00,7.00,5.00,211,NULL,201,'CENTRO','POMERODE','SC',889,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3138445,3.00,6.00,3.00,7.00,4.00,5.75,2.00,6.00,5.00,233,NULL,211,'SANTA BARBARA','CRICIúMA','SC',9786,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3138453,5.00,5.00,6.00,8.00,4.00,5.00,4.00,6.00,3.00,202,NULL,201,'RESTINGA','MAFRA','SC',8802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138461,9.00,7.00,6.00,7.00,5.00,5.00,7.00,9.00,9.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',976,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3138470,6.00,4.00,6.00,7.00,4.00,6.00,3.00,7.00,6.00,220,NULL,202,'TRINDADE','FLORIANóPOLIS','SC',6393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138488,3.00,5.00,2.00,7.00,5.00,5.00,7.00,5.00,2.00,453,NULL,NULL,'CENTRO','SOMBRIO','SC',11412,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3138496,5.00,7.00,4.00,5.00,4.00,4.50,2.00,6.00,4.00,222,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',11481,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3138500,3.00,4.00,2.00,3.00,2.00,NULL,2.00,2.00,4.00,220,NULL,208,'ORATóRIO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3138518,6.00,7.00,2.00,7.00,6.00,7.00,3.00,7.00,3.00,340,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',6835,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3138526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,238,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3138534,8.00,6.00,4.00,7.00,4.00,5.75,5.00,6.00,7.00,203,NULL,202,'CENTRO','UMUARAMA','PR',3919,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3138542,7.00,5.00,4.00,5.00,4.00,5.25,3.00,8.00,5.00,103,NULL,NULL,'BELA VISTA','GASPAR','SC',7925,1971,NULL,NULL,NULL,NULL,NULL,4,2),(16,3138577,8.00,8.00,8.00,8.00,8.00,7.75,5.00,8.00,8.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138585,8.00,4.00,5.00,8.00,6.00,1.50,1.00,6.00,4.00,207,NULL,201,'VILA NOVA','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3138593,7.00,5.00,4.00,8.00,7.00,5.25,3.00,5.00,6.00,103,NULL,NULL,'ROçADO','S JOSé','SC',5180,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3138607,4.00,1.00,2.00,8.00,3.00,NULL,4.00,5.00,3.00,319,NULL,NULL,'JARDIM BELA VISTA','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138615,7.00,7.00,8.00,8.00,9.00,6.75,9.00,8.00,7.00,103,NULL,NULL,'CENTRO','CRICIUMA','SC',324,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3138623,4.00,2.00,1.00,5.00,1.00,NULL,3.00,2.00,3.00,501,NULL,NULL,'CAMINHO PINHAL','DA EMMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3138631,1.00,2.00,3.00,0.00,0.00,NULL,3.00,2.00,2.00,203,NULL,201,'COLATTO','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3138658,5.00,6.00,4.00,6.00,4.00,5.25,5.00,6.00,4.00,304,NULL,NULL,'CENTRO','ERECHIM','RS',9056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138674,7.00,8.00,7.00,8.00,6.00,5.50,3.00,9.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138682,5.00,5.00,5.00,2.00,7.00,4.50,4.00,6.00,6.00,3,NULL,NULL,'AGRôNOMICA','FLORIANóPOLIS','SC',9737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SANTA CRUZ','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3138704,3.00,3.00,5.00,3.00,3.00,NULL,3.00,3.00,5.00,203,NULL,214,'BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138712,7.00,6.00,6.00,4.00,5.00,4.00,2.00,7.00,5.00,108,NULL,NULL,'VARZEA GRANDE','GRAMADO','RS',7726,158,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138720,4.00,4.00,4.00,8.00,5.00,5.50,3.00,5.00,2.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138739,5.00,6.00,4.00,8.00,7.00,4.50,2.00,8.00,3.00,318,NULL,NULL,'CENTRO','CANOINHAS','SC',7027,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3138747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3138755,2.00,5.00,1.00,7.00,2.00,NULL,4.00,3.00,2.00,108,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3138763,6.00,5.00,3.00,9.00,7.00,6.75,3.00,5.00,3.00,340,NULL,NULL,'PEDRA BRANCA','PALHOçA','SC',6973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138771,5.00,7.00,6.00,9.00,8.00,7.00,6.00,6.00,7.00,103,NULL,NULL,'VILA LUCINDA','STO ANDRé','SP',1368,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3138780,8.00,7.00,8.00,6.00,8.00,6.50,5.00,6.00,6.00,201,NULL,213,'BARREIROS','S JOSé','SC',1912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138798,6.00,7.00,5.00,5.00,7.00,5.50,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','VACARIA','RS',8131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138810,6.00,7.00,5.00,8.00,8.00,4.25,4.00,8.00,6.00,340,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',3062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138836,3.00,4.00,2.00,8.00,7.00,4.00,3.00,6.00,4.00,444,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',11944,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3138844,6.00,7.00,2.00,7.00,7.00,7.00,3.00,9.00,6.00,103,NULL,NULL,'CENTRO','ATALANTA','SC',5057,1504,NULL,NULL,NULL,NULL,NULL,4,2),(16,3138852,8.00,7.00,3.00,6.00,4.00,6.50,1.00,4.00,5.00,415,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',8166,220,NULL,NULL,NULL,NULL,NULL,2,1),(16,3138860,2.00,5.00,2.00,3.00,6.00,7.75,4.00,6.00,3.00,103,NULL,NULL,'FLOR DE NáPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138895,4.00,7.00,4.00,7.00,7.00,7.00,4.00,7.00,4.00,319,NULL,NULL,'AREIAS','S JOSé','SC',5509,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3138909,2.00,4.00,2.00,1.00,5.00,NULL,1.00,1.00,3.00,503,NULL,NULL,'INTERIOR','FORMOSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3138917,4.00,5.00,6.00,8.00,8.00,7.75,4.00,9.00,5.00,340,NULL,NULL,'JD RADIO CLUB','SANTOS','SP',3073,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3138925,5.00,4.00,4.00,3.00,4.00,5.25,2.00,4.00,5.00,208,NULL,238,'CENTRO','FLORIANóPOLIS','SC',12911,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3138933,6.00,7.00,5.00,6.00,7.00,5.00,5.00,8.00,7.00,340,NULL,NULL,'SANTA MARIA','SANTOS','SP',4006,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3138941,6.00,8.00,7.00,8.00,7.00,6.50,5.00,6.00,8.00,203,NULL,220,'SANTA LUZIA','JARAGUá SUL','SC',1315,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3138950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'AMéRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3138968,5.00,4.00,4.00,7.00,6.00,7.25,3.00,4.00,3.00,328,NULL,NULL,'CENTRO','CHAPECO','SC',11511,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3138976,5.00,7.00,4.00,3.00,5.00,6.00,3.00,8.00,3.00,310,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',9204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138984,9.00,7.00,7.00,8.00,5.00,5.25,4.00,6.00,6.00,103,NULL,NULL,'SETOR AEROPORTO','GOIâNIA','GO',2309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3138992,3.00,8.00,4.00,8.00,7.00,6.00,3.00,7.00,2.00,328,NULL,NULL,'JOSÉ MENDES','FLORIANóPOLIS','SC',6995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139000,6.00,3.00,3.00,4.00,5.00,5.00,2.00,4.00,3.00,211,NULL,233,'ITAPUã','BAL GAIVOTA','SC',13746,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3139018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3139034,3.00,3.00,2.00,2.00,5.00,NULL,4.00,2.00,2.00,303,NULL,NULL,'PALHOçA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139042,3.00,4.00,2.00,6.00,4.00,3.25,1.00,1.00,4.00,104,NULL,NULL,'INTERIOIR','CAIBI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3139050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3139069,5.00,4.00,3.00,7.00,7.00,5.50,3.00,7.00,7.00,104,NULL,NULL,'CALEMBA','STO AMARO IMPERATRIZ','SC',5776,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139077,2.00,2.00,2.00,5.00,3.00,NULL,1.00,4.00,2.00,201,NULL,207,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139085,4.00,5.00,3.00,4.00,4.00,4.25,3.00,3.00,4.00,108,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3139093,2.00,3.00,1.00,2.00,4.00,NULL,4.00,4.00,3.00,429,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139107,6.00,3.00,5.00,8.00,7.00,6.00,5.00,7.00,7.00,103,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',3843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3139115,1.00,1.00,4.00,4.00,2.00,NULL,2.00,3.00,3.00,444,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139140,6.00,7.00,3.00,9.00,7.00,4.75,4.00,8.00,5.00,303,NULL,NULL,'SãO LUíS','BRUSQUE','SC',4696,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3139166,4.00,6.00,3.00,8.00,5.00,4.75,1.00,7.00,1.00,303,NULL,NULL,'KOBRASOL','S JOSé','SC',12563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3139174,2.00,3.00,3.00,6.00,4.00,3.25,1.00,7.00,3.00,208,NULL,203,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139182,8.00,8.00,7.00,9.00,7.00,7.00,4.00,4.00,6.00,103,NULL,NULL,'SÃO FRANCISCO','CPO GRANDE','MS',2153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3139190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SAO LUIZ','TIMBé SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3139204,4.00,7.00,4.00,5.00,4.00,5.25,3.00,6.00,4.00,452,NULL,NULL,'FLORESTA','S JOSé','SC',10935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3139212,8.00,6.00,6.00,8.00,7.00,8.25,4.00,7.00,8.00,103,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',1129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3139220,4.00,7.00,3.00,9.00,9.00,6.25,3.00,9.00,3.00,424,NULL,421,'JURERÊ','FLORIANóPOLIS','SC',4398,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3139247,4.00,4.00,3.00,6.00,6.00,7.25,0.00,4.00,2.00,103,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',13453,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3139255,4.00,6.00,5.00,6.00,6.00,5.75,1.00,6.00,3.00,201,NULL,212,'BAIRRO DAS NAçõES','BAL CAMBORIú','SC',10253,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3139263,6.00,7.00,5.00,1.00,8.00,5.00,5.00,7.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',6879,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3139280,5.00,2.00,2.00,3.00,3.00,NULL,3.00,3.00,3.00,302,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139298,5.00,7.00,5.00,9.00,6.00,6.00,2.00,8.00,3.00,319,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',7107,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3139301,8.00,9.00,6.00,8.00,7.00,6.50,2.00,9.00,8.00,103,NULL,NULL,'CENTRO','S JOSé','SC',1437,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139310,2.00,4.00,3.00,6.00,6.00,4.50,1.00,5.00,2.00,340,NULL,NULL,'CAMPINAS','S JOSé','SC',15748,471,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139328,3.00,5.00,4.00,5.00,4.00,4.75,4.00,4.00,2.00,214,NULL,212,'CENTRO','PTO UNIãO','SC',14151,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3139344,5.00,5.00,4.00,5.00,3.00,NULL,3.00,5.00,4.00,303,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3139352,5.00,5.00,4.00,4.00,6.00,5.00,5.00,8.00,4.00,103,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',8262,2019,NULL,NULL,NULL,NULL,NULL,4,1),(16,3139379,3.00,2.00,4.00,5.00,5.00,6.50,5.00,5.00,3.00,102,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13677,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3139395,4.00,4.00,2.00,3.00,4.00,6.00,3.00,3.00,3.00,208,NULL,211,'CENTRO','CAMBORIú','SC',16272,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3139409,3.00,2.00,3.00,5.00,4.00,NULL,0.00,1.00,1.00,308,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139417,4.00,6.00,5.00,3.00,3.00,NULL,3.00,7.00,4.00,211,NULL,216,'BEATRIZ','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3139425,3.00,3.00,3.00,6.00,2.00,NULL,3.00,6.00,5.00,421,NULL,424,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139433,7.00,8.00,7.00,7.00,5.00,4.75,3.00,6.00,4.00,340,NULL,NULL,'IBITI DO PAçO','SOROCABA','SP',5535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3139441,3.00,4.00,4.00,3.00,4.00,5.00,2.00,7.00,5.00,339,NULL,NULL,'INTERIOR','NOVO HORIZONTE','SC',13893,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3139450,3.00,3.00,4.00,5.00,4.00,7.00,3.00,3.00,4.00,501,NULL,NULL,'BARREIROS','S JOSé','SC',13979,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139476,3.00,5.00,2.00,7.00,5.00,6.00,3.00,5.00,2.00,340,NULL,NULL,'JARDIM ZANELATO','S JOSé','SC',13633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139484,0.00,0.00,0.00,2.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3139492,4.00,3.00,3.00,0.00,3.00,NULL,4.00,4.00,3.00,207,NULL,201,'MAGALHãES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3139506,5.00,2.00,1.00,3.00,3.00,NULL,6.00,3.00,4.00,453,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3139522,4.00,6.00,5.00,8.00,6.00,5.00,4.00,8.00,3.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3139530,2.00,4.00,2.00,5.00,5.00,6.25,1.00,4.00,3.00,318,NULL,NULL,'KOBRASOL','S JOSé','SC',15887,129,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,233,'NOVA VENEZA','NOSSA SRA CARAVAGGIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3139565,3.00,4.00,2.00,6.00,2.00,NULL,1.00,3.00,2.00,340,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3139581,9.00,7.00,6.00,5.00,4.00,5.50,6.00,9.00,7.00,301,NULL,NULL,'CAPITAIS','TIMBó','SC',2510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3139590,4.00,5.00,4.00,6.00,4.00,5.25,3.00,6.00,4.00,224,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',11607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139603,5.00,5.00,3.00,8.00,6.00,4.75,3.00,7.00,2.00,108,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',9477,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139620,4.00,5.00,3.00,4.00,3.00,NULL,3.00,3.00,3.00,5,NULL,NULL,'JD CIADADE FPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139638,7.00,9.00,6.00,9.00,7.00,5.75,4.00,8.00,8.00,103,NULL,NULL,'ALTO DA GLóRIA','CURITIBA','PR',1130,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3139646,4.00,4.00,6.00,3.00,3.00,NULL,3.00,4.00,3.00,108,NULL,NULL,'SOUSAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3139654,9.00,8.00,6.00,5.00,7.00,6.00,2.00,7.00,8.00,102,NULL,NULL,'VILA SãO JOSé','ARARANGUá','SC',2417,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3139662,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3139670,7.00,8.00,3.00,4.00,4.00,5.25,2.00,7.00,3.00,211,NULL,220,'CENTRO','PASSO TORRES','SC',8426,270,NULL,347,NULL,NULL,NULL,4,5),(16,3139689,5.00,1.00,2.00,7.00,2.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139697,3.00,3.00,4.00,5.00,3.00,NULL,3.00,3.00,1.00,5,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139700,9.00,9.00,6.00,3.00,7.00,7.50,7.00,9.00,9.00,103,NULL,NULL,'PROGRESSO','BLUMENAU','SC',543,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3139735,5.00,6.00,3.00,4.00,5.00,5.00,3.00,4.00,2.00,3,NULL,NULL,'SãO JOãO','COCAL SUL','SC',13598,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3139743,4.00,5.00,3.00,5.00,6.00,5.00,2.00,3.00,5.00,301,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',13721,298,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139760,6.00,6.00,6.00,8.00,7.00,7.00,3.00,8.00,6.00,211,NULL,215,'REAL PARQUE','S PAULO','SP',3012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3139786,2.00,3.00,4.00,5.00,4.00,5.75,3.00,4.00,3.00,319,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',15663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139794,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3139824,5.00,3.00,2.00,7.00,7.00,5.75,2.00,7.00,3.00,207,NULL,201,'CENTRO','S JOãO BATISTA','SC',11327,553,NULL,879,NULL,NULL,NULL,2,3),(16,3139859,4.00,5.00,3.00,7.00,6.00,6.00,3.00,6.00,3.00,318,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',10165,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3139867,5.00,6.00,6.00,8.00,3.00,NULL,2.00,7.00,3.00,5,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139883,8.00,8.00,6.00,9.00,7.00,5.00,5.00,7.00,8.00,103,NULL,NULL,'TINDIQUERA','ARAUCáRIA','PR',1379,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3139891,4.00,4.00,1.00,4.00,3.00,NULL,3.00,6.00,5.00,316,NULL,NULL,'POTECAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3139913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3139921,3.00,2.00,1.00,3.00,2.00,NULL,2.00,3.00,3.00,238,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3139948,6.00,6.00,5.00,10.00,5.00,5.75,2.00,6.00,5.00,238,NULL,208,'AMéRICA','JOINVILLE','SC',5997,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3139956,3.00,3.00,2.00,4.00,4.00,4.25,3.00,8.00,2.00,108,NULL,NULL,'ZONA UM','CIANORTE','PR',14563,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3139972,4.00,5.00,4.00,7.00,6.00,6.50,2.00,5.00,6.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3139980,5.00,4.00,4.00,4.00,5.00,4.75,4.00,1.00,3.00,104,NULL,NULL,'GARIBALDI','CRUZ ALTA','RS',15107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3139999,0.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3140016,5.00,7.00,7.00,7.00,6.00,5.50,6.00,6.00,5.00,319,NULL,NULL,'ITACORUMBI','FLORIANóPOLIS','SC',3513,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3140032,3.00,3.00,4.00,1.00,1.00,NULL,2.00,5.00,3.00,453,NULL,NULL,'JARDIM CIDADE ALTA','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3140040,7.00,7.00,8.00,7.00,7.00,5.50,5.00,8.00,8.00,207,NULL,201,'CENTRO','TOLEDO','PR',910,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3140059,5.00,8.00,5.00,7.00,6.00,5.50,5.00,7.00,6.00,453,NULL,NULL,'VIANELO','JUNDIAí','SP',4612,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3140067,5.00,8.00,4.00,6.00,4.00,5.75,3.00,7.00,6.00,208,NULL,238,'MONTE VERDE','FLORIANóPOLIS','SC',7270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3140075,5.00,4.00,3.00,2.00,4.00,4.25,4.00,7.00,2.00,203,NULL,202,'BRITANIA','MAL CâNDIDO RONDON','PR',13619,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3140091,4.00,6.00,6.00,7.00,7.00,5.50,2.00,6.00,3.00,319,NULL,NULL,'CENTRO','S BENTO SUL','SC',7520,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3140105,3.00,0.00,6.00,3.00,6.00,NULL,2.00,1.00,3.00,317,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3140113,6.00,7.00,5.00,8.00,5.00,5.75,5.00,7.00,4.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',4772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3140121,3.00,0.00,2.00,2.00,5.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'CRISTO REDENTOR','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3140130,5.00,7.00,7.00,8.00,7.00,5.75,4.00,8.00,6.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',1844,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3140156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA COSTA E SILVA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3140172,8.00,7.00,7.00,7.00,6.00,6.00,5.00,5.00,7.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2635,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3140180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','ROLâNDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3140199,3.00,5.00,4.00,8.00,4.00,5.50,5.00,7.00,6.00,214,NULL,203,'BARRA DA LAGOA','FLORIANóPOLIS','SC',7740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3140202,7.00,9.00,4.00,9.00,7.00,5.25,3.00,7.00,4.00,340,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',3601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3140210,6.00,8.00,6.00,6.00,8.00,7.00,5.00,6.00,6.00,452,NULL,NULL,'SAGUAçú','JOINVILLE','SC',2473,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3140229,9.00,5.00,8.00,8.00,7.00,4.75,6.00,8.00,8.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3140237,7.00,5.00,3.00,5.00,7.00,6.75,6.00,5.00,5.00,428,NULL,426,'ESTREITO','FLORIANóPOLIS','SC',5834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3140245,4.00,4.00,2.00,5.00,5.00,NULL,1.00,3.00,1.00,502,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3140253,6.00,7.00,6.00,7.00,5.00,5.50,4.00,5.00,4.00,104,NULL,NULL,'VáRZEA','LAGES','SC',7026,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3140261,4.00,2.00,3.00,5.00,5.00,4.00,4.00,3.00,3.00,207,NULL,201,'CAMPECHE','FLORIANóPOLIS','SC',15513,802,NULL,1199,NULL,NULL,NULL,2,1),(16,3140270,4.00,3.00,5.00,4.00,2.00,NULL,2.00,1.00,5.00,203,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3140296,6.00,7.00,3.00,7.00,7.00,4.75,2.00,8.00,4.00,208,NULL,238,'CENTRO','FLORIANóPOLIS','SC',6745,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3140300,5.00,5.00,4.00,5.00,6.00,5.50,3.00,4.00,6.00,103,NULL,NULL,'CORAL','LAGES','SC',9459,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3140318,8.00,9.00,6.00,9.00,6.00,6.75,6.00,8.00,7.00,201,NULL,212,'SãO LUIZ','BRUSQUE','SC',593,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3140326,5.00,8.00,6.00,9.00,8.00,5.00,5.00,7.00,7.00,203,NULL,214,'CENTRO','JARAGUá SUL','SC',1639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3140334,8.00,7.00,4.00,7.00,5.00,6.25,5.00,8.00,6.00,103,NULL,NULL,'VILA CACHOEIRINHA','CACHOEIRINHA','RS',2439,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3140342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3140350,4.00,2.00,4.00,6.00,2.00,NULL,3.00,3.00,3.00,303,NULL,NULL,'MARIA GORETI','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3140369,0.00,0.00,1.00,2.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3140385,6.00,5.00,5.00,4.00,4.00,4.00,4.00,6.00,4.00,234,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',10811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3140393,8.00,6.00,8.00,9.00,6.00,7.75,6.00,8.00,8.00,103,NULL,NULL,'CENTRO','PIRACICABA','SP',427,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3140407,8.00,9.00,7.00,8.00,8.00,6.50,5.00,9.00,8.00,216,NULL,201,'PAULO DE FRONTIN','CRICIúMA','SC',606,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3140415,4.00,6.00,3.00,6.00,5.00,4.50,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',12093,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3140431,4.00,7.00,3.00,5.00,3.00,NULL,3.00,6.00,5.00,201,NULL,NULL,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3140440,4.00,3.00,4.00,6.00,6.00,5.00,2.00,6.00,4.00,207,NULL,201,'PONTE DO IMARUIM','PALHOçA','SC',11411,554,NULL,884,NULL,NULL,NULL,2,1),(16,3140458,3.00,7.00,1.00,5.00,4.00,4.50,1.00,4.00,3.00,201,NULL,207,'CENTRO','BAL CAMBORIú','SC',15659,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3140474,5.00,4.00,6.00,9.00,6.00,6.25,5.00,7.00,5.00,238,NULL,211,'CÓRREGO GRANDE','FLORIANóPOLIS','SC',4266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3140482,4.00,4.00,1.00,7.00,5.00,6.00,0.00,4.00,3.00,211,NULL,201,'CENTRO','ENTRE R SUL','RS',15306,516,NULL,1181,NULL,NULL,NULL,2,4),(16,3140490,5.00,4.00,2.00,8.00,5.00,5.25,4.00,4.00,3.00,319,NULL,NULL,'KOBRASOL','S JOSé','SC',11858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3140504,3.00,4.00,2.00,1.00,2.00,NULL,3.00,2.00,6.00,502,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3140512,5.00,4.00,3.00,9.00,7.00,5.25,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3140520,3.00,2.00,2.00,0.00,3.00,NULL,2.00,4.00,1.00,302,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3140547,6.00,8.00,6.00,8.00,7.00,5.50,5.00,8.00,7.00,303,NULL,NULL,'SãO BETO','BENTO GONçALVES','RS',1589,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3140555,4.00,4.00,2.00,6.00,5.00,6.50,4.00,6.00,2.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3140563,3.00,2.00,4.00,4.00,4.00,4.50,1.00,3.00,5.00,215,NULL,216,'TENENTE','JACINTO MACHADO','SC',16677,358,NULL,510,NULL,NULL,NULL,2,5),(16,3140598,7.00,5.00,5.00,8.00,8.00,6.50,3.00,8.00,8.00,103,NULL,NULL,'SANTO ANTONIO','CURITIBANOS','SC',2619,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3140601,6.00,7.00,4.00,4.00,5.00,4.50,5.00,6.00,4.00,201,NULL,208,'INTERIOR','TUNáPOLIS','SC',7825,615,NULL,NULL,NULL,NULL,NULL,1,4),(16,3140610,7.00,6.00,5.00,7.00,3.00,NULL,2.00,3.00,5.00,104,NULL,NULL,'SAO FRANCISCO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3140628,6.00,6.00,4.00,8.00,4.00,6.00,3.00,8.00,4.00,220,NULL,203,'CENTRO','GUARAPUAVA','PR',6056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3140644,7.00,5.00,3.00,7.00,4.00,6.25,4.00,5.00,4.00,303,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',10269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3140660,2.00,2.00,4.00,1.00,2.00,NULL,2.00,0.00,3.00,207,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3140679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'JARDIM SINUELO','ASTORGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3140687,2.00,4.00,4.00,3.00,1.00,NULL,3.00,5.00,4.00,211,NULL,202,'TENENTE','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3140695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'VILA KURTZ','CAçADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3140709,3.00,3.00,2.00,4.00,3.00,NULL,1.00,1.00,3.00,502,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3140717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,238,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3140725,3.00,4.00,2.00,2.00,3.00,NULL,3.00,5.00,2.00,103,NULL,NULL,'JARDIM DAS HORTENCIA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3140733,3.00,5.00,5.00,4.00,5.00,5.50,3.00,5.00,3.00,104,NULL,NULL,'CENTRO','LACERDóPOLIS','SC',11194,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3140741,5.00,5.00,2.00,7.00,5.00,5.75,3.00,9.00,6.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',7697,348,NULL,NULL,NULL,NULL,NULL,2,1),(16,3140750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3140768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'SãO JORGE','PANAMBI','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3140776,4.00,7.00,1.00,5.00,4.00,5.25,4.00,6.00,4.00,317,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',12798,107,NULL,NULL,NULL,NULL,NULL,2,1),(16,3140784,3.00,4.00,2.00,1.00,4.00,4.50,4.00,5.00,4.00,503,NULL,NULL,'BALNéARIO ESTREITO','FLORIANóPOLIS','SC',16181,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3140822,3.00,2.00,2.00,3.00,2.00,NULL,2.00,3.00,3.00,208,NULL,238,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3140849,4.00,6.00,3.00,3.00,2.00,NULL,4.00,8.00,3.00,238,NULL,208,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3140857,5.00,1.00,1.00,5.00,3.00,NULL,1.00,5.00,3.00,453,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3140865,7.00,7.00,4.00,6.00,5.00,7.50,4.00,8.00,8.00,201,NULL,208,'SANTA CATARINA','LAGES','SC',2676,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3140903,7.00,3.00,2.00,6.00,4.00,6.25,2.00,7.00,5.00,216,NULL,215,'MARTORANO','S JOAQUIM','SC',10673,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3140911,4.00,8.00,4.00,7.00,5.00,4.75,3.00,2.00,4.00,103,NULL,NULL,'VALE DA BOA ESPERANç','PINHAIS','PR',10346,2264,NULL,NULL,NULL,NULL,NULL,2,1),(16,3140920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'SOBRADINHO','SOBRADINHO','DF',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3140938,2.00,2.00,3.00,7.00,4.00,5.75,4.00,6.00,6.00,303,NULL,NULL,'LOEFF','CARAZINHO','RS',12075,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3140946,3.00,4.00,1.00,7.00,5.00,5.25,1.00,2.00,4.00,234,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',16475,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3140954,4.00,5.00,4.00,2.00,3.00,NULL,2.00,5.00,2.00,208,NULL,238,'CASTELO BRANCO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3140962,5.00,5.00,6.00,8.00,6.00,6.75,3.00,8.00,7.00,103,NULL,NULL,'SANTO ANTONIO','CURITIBANOS','SC',3997,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3140970,9.00,7.00,8.00,9.00,8.00,7.00,8.00,7.00,8.00,103,NULL,NULL,'SETOR JAO','GOIâNIA','GO',188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3140989,3.00,3.00,1.00,3.00,0.00,NULL,3.00,3.00,4.00,203,NULL,214,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3140997,4.00,6.00,2.00,6.00,5.00,4.00,2.00,5.00,4.00,220,NULL,208,'UNIVERSITáRIO','LAGES','SC',12827,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3141004,3.00,4.00,4.00,9.00,8.00,6.00,2.00,5.00,6.00,301,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',7926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141012,2.00,1.00,3.00,6.00,4.00,NULL,2.00,3.00,4.00,104,NULL,NULL,'SãO CRISTóVãO','FRANCISCO BELTRãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3141020,5.00,6.00,5.00,4.00,7.00,7.50,1.00,4.00,2.00,201,NULL,212,'TRINDADE','FLORIANóPOLIS','SC',10765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3141055,5.00,4.00,6.00,5.00,3.00,NULL,3.00,4.00,3.00,203,NULL,220,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141063,4.00,4.00,3.00,9.00,5.00,5.00,1.00,7.00,3.00,220,NULL,213,'SAO JOAQUIM','UNIãO VITóRIA','PR',10747,407,NULL,214,NULL,NULL,NULL,4,8),(16,3141071,5.00,1.00,2.00,4.00,3.00,NULL,2.00,4.00,2.00,223,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3141080,5.00,6.00,5.00,4.00,4.00,5.00,2.00,6.00,5.00,501,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',10493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141098,2.00,3.00,3.00,4.00,2.00,NULL,0.00,3.00,3.00,9,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3141101,6.00,6.00,4.00,6.00,8.00,5.50,3.00,7.00,6.00,340,NULL,NULL,'LA SALLE','PATO BRANCO','PR',4733,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3141110,5.00,5.00,4.00,7.00,2.00,NULL,2.00,5.00,3.00,214,NULL,213,'CENTRO','CAçAPAVA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141128,5.00,5.00,3.00,5.00,4.00,5.50,2.00,4.00,4.00,102,NULL,NULL,'SãO CRISTóVãO','LAGES','SC',13386,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3141136,3.00,3.00,1.00,2.00,6.00,4.00,1.00,7.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',15304,2716,NULL,NULL,NULL,NULL,NULL,4,3),(16,3141144,1.00,3.00,1.00,1.00,3.00,NULL,0.00,4.00,2.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141152,8.00,7.00,7.00,8.00,5.00,5.50,2.00,6.00,8.00,201,NULL,212,'CAMPINAS','S JOSé','SC',2600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141179,2.00,6.00,4.00,1.00,4.00,6.25,2.00,6.00,5.00,203,NULL,214,'BARREIROS','S JOSé','SC',13104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141187,4.00,3.00,2.00,5.00,3.00,NULL,1.00,4.00,4.00,103,NULL,NULL,'JD MARIA DO CARMO','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141195,1.00,2.00,3.00,0.00,3.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3141217,5.00,4.00,3.00,5.00,4.00,4.50,5.00,4.00,3.00,203,NULL,NULL,'CENTRO','FRAIBURGO','SC',12271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3141233,7.00,8.00,8.00,9.00,6.00,6.25,5.00,7.00,5.00,316,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',1671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141241,3.00,5.00,4.00,5.00,5.00,4.75,3.00,6.00,4.00,201,NULL,207,'AGONOMICA','FLORIANóPOLIS','SC',10869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141250,5.00,2.00,1.00,3.00,1.00,NULL,1.00,5.00,2.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3141268,3.00,2.00,1.00,4.00,2.00,NULL,0.00,4.00,2.00,310,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3141292,5.00,5.00,3.00,6.00,4.00,5.50,2.00,5.00,3.00,102,NULL,NULL,'VILA YOLANDA','FOZ IGUAçU','PR',13567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141306,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(16,3141314,5.00,8.00,4.00,7.00,5.00,6.00,4.00,9.00,4.00,9,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',5606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141322,2.00,2.00,4.00,0.00,3.00,NULL,1.00,5.00,3.00,303,NULL,NULL,'BARRA DO RIO CERRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3141330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3141349,1.00,2.00,2.00,2.00,2.00,NULL,3.00,3.00,2.00,9,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3141357,5.00,5.00,1.00,6.00,3.00,NULL,1.00,6.00,3.00,238,NULL,233,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141365,3.00,4.00,1.00,6.00,5.00,6.00,4.00,4.00,3.00,103,NULL,NULL,'NOVA POUSO ALEGRE','POUSO ALEGRE','MG',13574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141373,5.00,1.00,4.00,8.00,4.00,5.25,2.00,7.00,3.00,102,NULL,NULL,'CHICO DE PAULA','JARAGUá SUL','SC',11570,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3141381,4.00,4.00,6.00,5.00,5.00,5.50,5.00,6.00,4.00,212,NULL,213,'LIBERDADE','S PAULO','SP',8014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141390,4.00,4.00,7.00,8.00,3.00,NULL,3.00,3.00,4.00,444,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141403,5.00,5.00,3.00,8.00,6.00,5.25,1.00,9.00,4.00,223,NULL,NULL,'PANORAMA II','FOZ IGUAçU','PR',8591,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3141411,6.00,4.00,4.00,3.00,5.00,5.75,5.00,6.00,6.00,201,NULL,207,'GLóRIA','IJUí','RS',8349,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3141420,3.00,4.00,2.00,2.00,5.00,5.25,1.00,6.00,3.00,201,NULL,212,'SANTINHO','FLORIANóPOLIS','SC',16189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141438,2.00,2.00,4.00,6.00,4.00,5.50,3.00,3.00,3.00,103,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',15757,2761,NULL,NULL,NULL,NULL,NULL,2,1),(16,3141446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARIVATUBA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3141462,2.00,5.00,2.00,7.00,5.00,NULL,0.00,2.00,2.00,238,NULL,NULL,'ACAPULCO','GUARARAPES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3141489,2.00,1.00,2.00,1.00,2.00,NULL,2.00,2.00,1.00,238,NULL,NULL,'CENTRO','PLANALTO ALEGRE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3141497,5.00,4.00,5.00,8.00,4.00,6.00,3.00,2.00,2.00,215,NULL,233,'TAQUARAL','CAMPINAS','SP',12762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141500,6.00,7.00,6.00,8.00,6.00,7.50,1.00,5.00,3.00,415,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',6495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141519,3.00,2.00,3.00,8.00,4.00,4.75,3.00,2.00,3.00,216,NULL,211,'PANTANAL','FLORIANóPOLIS','SC',16058,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3141543,6.00,7.00,8.00,8.00,6.00,6.75,5.00,7.00,5.00,207,NULL,211,'JARDIM DOS ESTADOS','SOROCABA','SP',2041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141551,4.00,5.00,3.00,6.00,7.00,5.50,3.00,8.00,3.00,103,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',9304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141560,5.00,6.00,2.00,4.00,2.00,NULL,3.00,1.00,3.00,238,NULL,233,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141578,4.00,5.00,2.00,5.00,6.00,6.50,3.00,3.00,4.00,302,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',11341,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3141586,5.00,6.00,5.00,6.00,5.00,5.75,1.00,8.00,4.00,304,NULL,NULL,'CENTRO','CONCóRDIA','SC',9185,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3141594,6.00,9.00,4.00,7.00,5.00,4.50,0.00,6.00,4.00,333,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',8051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3141608,6.00,4.00,5.00,7.00,4.00,5.25,1.00,5.00,5.00,108,NULL,NULL,'FLORESTA','S JOSé','SC',10498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141624,6.00,6.00,1.00,8.00,6.00,4.75,3.00,9.00,4.00,103,NULL,NULL,'SãO BRáZ','CURITIBA','PR',6771,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3141632,6.00,7.00,4.00,8.00,6.00,4.75,5.00,8.00,4.00,104,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',5372,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3141659,6.00,7.00,7.00,8.00,9.00,9.00,5.00,7.00,8.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141667,4.00,6.00,3.00,6.00,3.00,NULL,1.00,8.00,3.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3141675,4.00,6.00,4.00,7.00,4.00,6.00,3.00,6.00,5.00,216,NULL,NULL,'LAPA','TRêS LAGOAS','MS',9142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141683,4.00,6.00,5.00,8.00,7.00,7.50,2.00,8.00,4.00,340,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',4675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141691,3.00,5.00,2.00,4.00,3.00,NULL,3.00,7.00,4.00,331,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3141705,2.00,3.00,3.00,5.00,1.00,NULL,2.00,2.00,2.00,5,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3141730,2.00,2.00,2.00,4.00,4.00,NULL,3.00,3.00,1.00,101,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3141756,6.00,4.00,1.00,9.00,7.00,5.75,5.00,8.00,6.00,340,NULL,NULL,'CONSOLAçãO','S PAULO','SP',5448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA BELMIRO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3141772,8.00,8.00,9.00,8.00,7.00,5.50,6.00,8.00,8.00,203,NULL,214,'CENTRO','RIO NEGRINHO','SC',361,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3141780,2.00,3.00,2.00,5.00,3.00,NULL,1.00,4.00,2.00,303,NULL,NULL,'IBIRAQUERA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3141799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3141802,3.00,4.00,3.00,2.00,5.00,5.00,3.00,6.00,2.00,103,NULL,NULL,'COPACABANA','LAGES','SC',15923,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3141810,3.00,4.00,2.00,2.00,4.00,6.75,3.00,7.00,3.00,103,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3141829,3.00,4.00,6.00,5.00,4.00,5.75,1.00,3.00,3.00,216,NULL,220,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3141837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3141845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'PARQUE DAS AVENIDAS','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3141853,4.00,6.00,4.00,3.00,5.00,6.25,4.00,2.00,3.00,203,NULL,214,'PRAIA COMPRIDA','S JOSé','SC',12938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141861,2.00,6.00,2.00,6.00,6.00,5.00,1.00,6.00,3.00,450,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',13751,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3141870,4.00,8.00,6.00,6.00,6.00,7.50,4.00,7.00,6.00,501,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',5156,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3141888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'CENTRO','CHAP SUL','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3141896,3.00,3.00,1.00,3.00,6.00,NULL,4.00,2.00,4.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3141918,5.00,4.00,3.00,7.00,5.00,6.50,3.00,4.00,2.00,104,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141926,9.00,9.00,7.00,8.00,9.00,7.75,5.00,9.00,8.00,108,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141934,5.00,5.00,3.00,8.00,7.00,6.25,2.00,5.00,4.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141942,3.00,2.00,2.00,5.00,5.00,NULL,1.00,4.00,1.00,101,NULL,NULL,'VENDAVAL','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3141969,4.00,3.00,1.00,2.00,4.00,NULL,1.00,3.00,3.00,224,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3141985,4.00,3.00,2.00,6.00,6.00,5.25,4.00,7.00,3.00,215,NULL,233,'CENTRO','TURVO','SC',11430,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3141993,6.00,5.00,7.00,8.00,5.00,5.00,6.00,8.00,5.00,208,NULL,238,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',2911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,233,'ALTO ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3142027,7.00,5.00,5.00,6.00,4.00,6.75,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','UNIãO OESTE','SC',6156,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3142043,4.00,6.00,5.00,5.00,7.00,7.75,3.00,6.00,5.00,415,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142051,6.00,8.00,6.00,8.00,7.00,5.50,2.00,8.00,6.00,201,NULL,211,'CAPOEIRAS','FLORIANóPOLIS','SC',3022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142060,6.00,3.00,4.00,5.00,4.00,5.25,2.00,5.00,5.00,319,NULL,NULL,'ABERNESSIA','CAMPOS JORDãO','SP',12608,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3142078,5.00,5.00,6.00,5.00,3.00,NULL,2.00,6.00,4.00,220,NULL,203,'SãO CRISTóVãO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3142086,5.00,1.00,1.00,0.00,4.00,NULL,1.00,2.00,2.00,9,NULL,NULL,'PROGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3142094,4.00,3.00,2.00,8.00,4.00,5.25,4.00,6.00,6.00,233,NULL,215,'JD DAS INDUSTRIAS','JACAREí','SP',10861,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3142108,3.00,2.00,2.00,3.00,3.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3142116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PERPéTUO SOCORRO','S LOURENçO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3142132,7.00,4.00,7.00,7.00,6.00,5.75,4.00,7.00,7.00,211,NULL,215,'CENTRO','FLORIANóPOLIS','SC',4860,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142140,5.00,4.00,5.00,5.00,1.00,NULL,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142159,5.00,3.00,4.00,3.00,4.00,4.00,3.00,6.00,6.00,203,NULL,202,'CENTRO','UBIRATã','PR',13086,818,NULL,453,NULL,NULL,NULL,4,1),(16,3142167,5.00,5.00,1.00,5.00,3.00,NULL,3.00,2.00,4.00,301,NULL,NULL,'VILA ALBERTINA','RIBEIRãO PIRES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142175,5.00,6.00,2.00,6.00,4.00,6.00,4.00,5.00,6.00,203,NULL,233,'CENTRO SãO JOSé','S JOSé','SC',9407,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RESIDENCIAL DO PRADO','VOTUPORANGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3142191,3.00,4.00,1.00,2.00,2.00,NULL,1.00,4.00,4.00,415,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3142213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'DIVISA DAS AGUAS','XAVANTINA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3142221,5.00,7.00,6.00,3.00,5.00,5.00,8.00,5.00,8.00,220,NULL,202,'CRMéIA LESTE','GOIâNIA','GO',4566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142230,9.00,6.00,7.00,7.00,8.00,6.75,5.00,9.00,7.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142248,2.00,3.00,3.00,5.00,3.00,NULL,2.00,3.00,2.00,324,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142256,3.00,2.00,2.00,4.00,3.00,NULL,3.00,4.00,2.00,214,NULL,NULL,'PRIMEIRA LINHA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3142264,0.00,3.00,2.00,8.00,4.00,NULL,3.00,5.00,0.00,303,NULL,NULL,'SACO GRANDE II','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142272,6.00,2.00,3.00,4.00,5.00,5.50,1.00,2.00,6.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',14085,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3142280,5.00,5.00,4.00,6.00,6.00,6.50,4.00,5.00,4.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',8615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142299,8.00,9.00,3.00,8.00,7.00,7.25,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',1181,553,NULL,NULL,NULL,NULL,NULL,4,4),(16,3142302,6.00,4.00,1.00,6.00,6.00,5.75,3.00,5.00,3.00,420,NULL,NULL,'FUNDOS','BIGUAçU','SC',12470,129,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142310,6.00,3.00,4.00,4.00,2.00,NULL,2.00,7.00,4.00,201,NULL,212,'JD DAS INDUSTRIAS','JACAREí','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3142329,5.00,7.00,3.00,9.00,7.00,6.00,6.00,8.00,6.00,104,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',3740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142337,3.00,1.00,2.00,5.00,5.00,NULL,0.00,3.00,3.00,502,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142345,4.00,2.00,3.00,8.00,6.00,4.00,1.00,4.00,4.00,502,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',14137,51,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142353,6.00,8.00,4.00,7.00,7.00,6.50,6.00,9.00,7.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142370,3.00,3.00,3.00,7.00,4.00,5.50,4.00,2.00,5.00,327,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',14938,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142388,6.00,5.00,5.00,7.00,4.00,4.50,3.00,6.00,6.00,404,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',8864,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142396,5.00,5.00,2.00,7.00,4.00,4.25,4.00,3.00,3.00,333,NULL,NULL,'SãO CRISTóVãO II','RIO PEDRAS','SP',14006,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3142400,7.00,5.00,3.00,8.00,4.00,5.00,4.00,7.00,5.00,318,NULL,NULL,'PENHA','S PAULO','SP',6036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142418,4.00,5.00,2.00,5.00,5.00,5.50,4.00,3.00,3.00,9,NULL,NULL,'SALETE','S MIGUEL OESTE','SC',14468,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3142426,4.00,4.00,2.00,1.00,4.00,4.75,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','LARANJEIRAS SUL','PR',16221,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3142434,6.00,4.00,3.00,7.00,4.00,6.00,3.00,5.00,4.00,444,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',10499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3142469,4.00,5.00,3.00,6.00,7.00,4.75,2.00,8.00,5.00,5,NULL,NULL,'JARIVATUBA','JOINVILLE','SC',9009,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3142477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3142485,5.00,1.00,5.00,8.00,1.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(16,3142493,3.00,6.00,3.00,4.00,1.00,NULL,3.00,5.00,4.00,213,NULL,214,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(16,3142515,3.00,0.00,2.00,5.00,5.00,NULL,3.00,3.00,3.00,340,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3142523,5.00,4.00,2.00,5.00,2.00,NULL,3.00,3.00,3.00,308,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142540,6.00,6.00,4.00,8.00,4.00,4.75,3.00,7.00,5.00,103,NULL,NULL,'PORTãO','CURITIBA','PR',7204,1869,NULL,NULL,NULL,NULL,NULL,2,8),(16,3142558,6.00,7.00,6.00,8.00,6.00,5.75,5.00,9.00,6.00,214,NULL,213,'CENTRO','CRICIúMA','SC',1764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142566,7.00,6.00,5.00,8.00,7.00,4.75,3.00,6.00,4.00,104,NULL,NULL,'SANTO ANDRé','CAPIVARI BAIXO','SC',6019,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3142574,5.00,5.00,3.00,5.00,4.00,5.75,3.00,5.00,5.00,216,NULL,215,'UNIVERSITáRIO','CRICIúMA','SC',10915,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3142582,6.00,3.00,4.00,7.00,5.00,5.75,4.00,5.00,5.00,303,NULL,NULL,'JARDIM AUTONOMISTA','CPO GRANDE','MS',9915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142590,2.00,4.00,3.00,4.00,2.00,NULL,2.00,8.00,3.00,317,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142604,4.00,7.00,6.00,8.00,6.00,5.75,4.00,6.00,5.00,212,NULL,214,'JARDIM PANORAMA','S JOSé R PRETO','SP',4214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142612,7.00,4.00,2.00,7.00,5.00,6.25,3.00,6.00,6.00,104,NULL,NULL,'CARIJóS','INDAIAL','SC',8593,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3142620,5.00,6.00,3.00,8.00,6.00,5.25,5.00,5.00,5.00,101,NULL,NULL,'IPIRANGA','S PAULO','SP',6046,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3142647,3.00,2.00,3.00,2.00,3.00,NULL,3.00,4.00,3.00,211,NULL,233,'SAMUEL SANDRINI','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3142655,6.00,4.00,4.00,7.00,6.00,6.75,4.00,6.00,6.00,103,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',5750,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142663,3.00,3.00,2.00,3.00,5.00,NULL,3.00,2.00,3.00,103,NULL,NULL,'SAGUAçU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3142698,9.00,4.00,3.00,7.00,7.00,7.25,6.00,6.00,8.00,108,NULL,NULL,'VILA SANTA IZABEL','S ROQUE','SP',2631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142701,3.00,4.00,3.00,6.00,2.00,NULL,3.00,6.00,3.00,450,NULL,NULL,'CENTRO','MAL CâNDIDO RONDON','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142710,4.00,4.00,2.00,1.00,6.00,5.25,1.00,6.00,4.00,317,NULL,NULL,'NOVA EPERANçA','BAL CAMBORIú','SC',15526,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3142728,2.00,4.00,4.00,6.00,4.00,5.25,1.00,5.00,3.00,502,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',14840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142736,6.00,7.00,3.00,7.00,4.00,4.00,3.00,8.00,4.00,304,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',7272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142744,2.00,6.00,4.00,3.00,3.00,NULL,3.00,6.00,4.00,333,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,216,'CAMPINAS','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3142779,6.00,4.00,4.00,7.00,5.00,5.00,3.00,5.00,3.00,220,NULL,233,'CENTRO','RIBEIRãO PRETO','SP',10021,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3142787,1.00,2.00,2.00,4.00,2.00,NULL,3.00,4.00,1.00,308,NULL,NULL,'ARMAçãO DO PANTANO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142795,5.00,7.00,1.00,6.00,5.00,6.25,5.00,6.00,6.00,301,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',6952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142809,5.00,4.00,4.00,7.00,5.00,5.25,3.00,4.00,3.00,223,NULL,NULL,'IMBIRAPUERA','MRO FUMAçA','SC',12556,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3142817,4.00,4.00,4.00,5.00,4.00,4.50,3.00,5.00,1.00,427,NULL,424,'CENTRO','FLORIANóPOLIS','SC',14758,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142825,4.00,4.00,2.00,7.00,4.00,6.00,2.00,2.00,3.00,215,NULL,211,'CENTRO','FLORIANóPOLIS','SC',15283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142841,6.00,3.00,4.00,6.00,3.00,NULL,4.00,5.00,4.00,104,NULL,NULL,'VILA PLANALTO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142850,9.00,8.00,5.00,7.00,6.00,4.50,7.00,7.00,8.00,214,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',1423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142868,8.00,6.00,5.00,7.00,6.00,4.75,3.00,5.00,7.00,102,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',6107,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3142892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'ARMAçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3142906,5.00,7.00,6.00,6.00,5.00,6.00,2.00,7.00,4.00,415,NULL,NULL,'VILA COSTA E SILVA','CAMPINAS','SP',6443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142914,3.00,1.00,4.00,6.00,5.00,6.25,2.00,4.00,2.00,339,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',16184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA DOIS','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3142965,6.00,3.00,2.00,3.00,4.00,4.00,3.00,5.00,3.00,104,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',15867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142973,5.00,5.00,1.00,3.00,3.00,NULL,2.00,4.00,3.00,320,NULL,NULL,'TRENTINI','PANAMBI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3142981,6.00,7.00,4.00,7.00,5.00,5.50,5.00,7.00,5.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5415,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3142990,8.00,7.00,5.00,8.00,7.00,5.75,3.00,8.00,7.00,103,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',1460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143007,4.00,3.00,3.00,6.00,4.00,5.50,2.00,4.00,2.00,201,NULL,207,'VILA FRANCESA','CRICIúMA','SC',15308,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3143015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,238,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3143023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CABREUVA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3143031,8.00,4.00,9.00,5.00,3.00,NULL,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','GUARAREMA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAIçARAS','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3143074,3.00,6.00,3.00,8.00,8.00,6.75,4.00,5.00,5.00,207,NULL,220,'RIO BRANCO','CANOAS','RS',6548,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3143082,3.00,3.00,2.00,2.00,3.00,NULL,2.00,5.00,2.00,201,NULL,212,'JARDIM','S JOSé CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143090,8.00,6.00,6.00,7.00,6.00,6.25,4.00,9.00,8.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',2148,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3143104,3.00,4.00,3.00,6.00,0.00,NULL,2.00,3.00,6.00,101,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3143112,7.00,6.00,4.00,9.00,7.00,5.00,3.00,8.00,7.00,207,NULL,201,'PERDIZES','S PAULO','SP',3006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143139,9.00,8.00,7.00,9.00,6.00,5.00,5.00,8.00,8.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143147,8.00,7.00,7.00,8.00,4.00,5.25,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2343,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3143155,4.00,5.00,2.00,1.00,5.00,4.75,3.00,5.00,8.00,202,NULL,220,'RIO AMERICA ALTO','URUSSANGA','SC',13337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143163,3.00,6.00,2.00,2.00,6.00,6.50,3.00,5.00,3.00,5,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',13626,454,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143180,5.00,4.00,1.00,2.00,7.00,4.50,3.00,5.00,5.00,214,NULL,207,'CAMPINAS','S JOSé','SC',13056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143198,6.00,7.00,9.00,9.00,8.00,5.50,6.00,7.00,8.00,103,NULL,NULL,'AMéRICA','JOINVILLE','SC',885,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3143201,8.00,5.00,8.00,7.00,6.00,7.50,5.00,6.00,7.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',1898,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3143210,4.00,4.00,5.00,4.00,6.00,6.25,1.00,4.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143228,6.00,4.00,3.00,5.00,4.00,5.50,3.00,4.00,3.00,108,NULL,NULL,'KOBRASOL','S JOSé','SC',12727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143236,8.00,8.00,6.00,7.00,7.00,5.25,4.00,8.00,7.00,238,NULL,208,'CAPOEIRAS','FLORIANóPOLIS','SC',2176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143252,3.00,2.00,2.00,1.00,4.00,NULL,2.00,2.00,1.00,502,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3143260,3.00,4.00,4.00,5.00,4.00,3.00,1.00,1.00,2.00,104,NULL,NULL,'PASSO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3143287,5.00,7.00,3.00,8.00,7.00,6.25,1.00,7.00,4.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143295,4.00,5.00,4.00,2.00,2.00,NULL,4.00,3.00,0.00,308,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143309,7.00,6.00,6.00,3.00,6.00,4.00,4.00,6.00,7.00,415,NULL,NULL,'KOBRASOL','S JOSé','SC',6505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143317,4.00,4.00,3.00,3.00,1.00,NULL,0.00,3.00,2.00,202,NULL,NULL,'BELA VISTA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3143325,4.00,5.00,6.00,8.00,7.00,7.00,4.00,3.00,6.00,101,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143350,3.00,2.00,3.00,5.00,4.00,6.00,3.00,3.00,3.00,340,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',15853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143368,9.00,9.00,8.00,9.00,7.00,6.00,5.00,7.00,7.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143376,3.00,2.00,1.00,4.00,2.00,NULL,3.00,3.00,5.00,444,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3143384,6.00,8.00,4.00,7.00,6.00,4.00,3.00,6.00,3.00,317,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',7278,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3143392,2.00,6.00,3.00,8.00,7.00,6.00,2.00,7.00,5.00,319,NULL,NULL,'KOBRASOL','S JOSé','SC',7999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3143414,4.00,4.00,5.00,5.00,4.00,4.75,3.00,3.00,4.00,102,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',13055,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3143422,5.00,4.00,4.00,4.00,4.00,6.00,2.00,4.00,2.00,303,NULL,NULL,'CAMPINAS','S JOSé','SC',13939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3143449,2.00,1.00,1.00,2.00,2.00,NULL,3.00,2.00,3.00,208,NULL,203,'INTERIOR','CAIBI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3143457,3.00,5.00,3.00,4.00,5.00,4.50,2.00,4.00,6.00,503,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143465,2.00,2.00,4.00,8.00,2.00,NULL,1.00,3.00,4.00,319,NULL,NULL,'SãO PEDRO','PTO UNIãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143473,3.00,0.00,3.00,0.00,1.00,NULL,1.00,1.00,1.00,208,NULL,202,'INTERIOR','CAIBI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3143490,5.00,8.00,5.00,8.00,4.00,5.75,5.00,6.00,4.00,220,NULL,202,'SANTINHO','FLORIANóPOLIS','SC',4751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143503,5.00,4.00,3.00,9.00,7.00,6.25,2.00,5.00,5.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8728,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3143511,7.00,6.00,4.00,7.00,8.00,5.75,3.00,7.00,6.00,340,NULL,NULL,'CENTRO','PASSO FUNDO','RS',4598,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3143520,5.00,9.00,6.00,9.00,6.00,7.50,3.00,7.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143538,4.00,1.00,2.00,6.00,4.00,5.25,2.00,3.00,3.00,9,NULL,NULL,'INTERIOR','CAIBI','SC',16423,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3143546,3.00,0.00,2.00,4.00,2.00,NULL,1.00,2.00,4.00,309,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3143554,5.00,4.00,3.00,6.00,4.00,7.50,1.00,2.00,4.00,340,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',13165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143562,8.00,8.00,5.00,7.00,7.00,6.25,2.00,7.00,4.00,319,NULL,NULL,'CENTRO','RIO SUL','SC',4143,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3143570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','CANELA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3143589,5.00,5.00,4.00,6.00,7.00,4.50,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143600,5.00,5.00,4.00,7.00,7.00,6.00,3.00,6.00,5.00,103,NULL,NULL,'NITEROI','SEARA','SC',6318,1729,NULL,NULL,NULL,NULL,NULL,2,3),(16,3143619,7.00,8.00,4.00,8.00,7.00,5.75,7.00,8.00,7.00,420,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',1694,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3143627,4.00,5.00,2.00,5.00,4.00,4.00,2.00,6.00,3.00,202,NULL,208,'CENTRO','RIO FORTUNA','SC',15223,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3143635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SUMARE','SERTãOZINHO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3143643,2.00,3.00,6.00,7.00,6.00,5.75,4.00,3.00,1.00,215,NULL,216,'VALPARAíSO','PATOS MINAS','MG',12317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143651,3.00,1.00,2.00,4.00,4.00,NULL,3.00,3.00,2.00,453,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143660,5.00,6.00,6.00,9.00,7.00,4.00,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3541,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3143678,4.00,3.00,8.00,8.00,4.00,4.00,3.00,6.00,3.00,302,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',8485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3143686,7.00,7.00,6.00,9.00,7.00,6.50,6.00,8.00,5.00,103,NULL,NULL,'FIGUEIRA','URUSSANGA','SC',2198,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(16,3143694,3.00,2.00,1.00,2.00,3.00,NULL,5.00,2.00,3.00,308,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,220,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3143716,5.00,6.00,4.00,5.00,4.00,4.25,3.00,7.00,5.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',9449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143724,5.00,4.00,5.00,9.00,6.00,4.75,3.00,7.00,4.00,108,NULL,NULL,'JD AMéRICA','JUNDIAí','SP',7145,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3143732,7.00,5.00,6.00,6.00,6.00,6.75,3.00,7.00,4.00,211,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143740,2.00,1.00,1.00,3.00,5.00,NULL,3.00,2.00,2.00,104,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143767,4.00,5.00,4.00,3.00,4.00,5.00,3.00,6.00,2.00,103,NULL,NULL,'BAIRRO DOM JOAQUIM','BRUSQUE','SC',13774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143775,3.00,4.00,4.00,9.00,6.00,6.25,3.00,8.00,2.00,203,NULL,202,'CENTRO','BAL CAMBORIú','SC',7763,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3143783,5.00,5.00,6.00,7.00,5.00,4.50,6.00,7.00,8.00,201,NULL,212,'ITACORUBI','FLORIANóPOLIS','SC',3514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143791,8.00,6.00,4.00,7.00,6.00,5.75,4.00,7.00,7.00,104,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',3402,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3143805,3.00,4.00,3.00,4.00,4.00,4.00,4.00,2.00,4.00,339,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',16547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3143821,3.00,1.00,2.00,7.00,3.00,NULL,3.00,3.00,3.00,420,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143830,8.00,9.00,7.00,7.00,8.00,6.25,4.00,9.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',1392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143848,5.00,7.00,2.00,3.00,5.00,5.50,3.00,3.00,4.00,201,NULL,212,'KOBRASOL','S JOSé','SC',12663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143856,3.00,5.00,3.00,5.00,4.00,4.00,3.00,5.00,5.00,234,NULL,NULL,'SANTA CECILIA','S PAULO','SP',12971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143864,7.00,8.00,9.00,9.00,6.00,4.50,4.00,6.00,7.00,103,NULL,NULL,'CIDADE NOVA','PTO UNIãO','SC',1569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143872,7.00,7.00,4.00,7.00,8.00,6.50,4.00,6.00,5.00,415,NULL,NULL,'CACUPÉ','FLORIANóPOLIS','SC',3075,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3143880,4.00,6.00,3.00,5.00,6.00,6.00,1.00,8.00,2.00,501,NULL,NULL,'BARREIROS','S JOSé','SC',12147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'BARãO GERALDO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3143902,4.00,7.00,5.00,8.00,5.00,6.00,4.00,8.00,3.00,415,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',7325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143910,3.00,2.00,3.00,7.00,6.00,5.75,0.00,3.00,3.00,102,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',15084,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3143929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','PITANGUEIRAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3143937,4.00,4.00,3.00,1.00,2.00,NULL,3.00,5.00,2.00,211,NULL,215,'INTERIOR','LACERDóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3143953,5.00,4.00,1.00,3.00,6.00,4.25,3.00,6.00,2.00,326,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',16207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143961,5.00,6.00,5.00,5.00,6.00,6.50,2.00,9.00,6.00,9,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',5229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143970,3.00,4.00,3.00,3.00,5.00,NULL,3.00,2.00,3.00,302,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3143996,6.00,6.00,4.00,9.00,6.00,4.75,5.00,7.00,6.00,203,NULL,216,'CENTRO','FLORIANóPOLIS','SC',4067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144003,5.00,3.00,3.00,6.00,5.00,5.50,2.00,3.00,4.00,104,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144038,6.00,3.00,5.00,7.00,6.00,5.50,4.00,7.00,6.00,208,NULL,238,'CENTRO','ARARANGUá','SC',5914,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3144046,0.00,4.00,1.00,8.00,5.00,6.50,2.00,5.00,1.00,102,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',15676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3144054,4.00,6.00,7.00,6.00,1.00,NULL,4.00,4.00,4.00,203,NULL,220,'DAMHA I','S JOSé R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144062,8.00,6.00,7.00,9.00,7.00,6.00,4.00,6.00,7.00,301,NULL,NULL,'JARDIM PAULISTA','OURINHOS','SP',1753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144070,7.00,7.00,3.00,6.00,5.00,5.50,4.00,6.00,5.00,223,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',6803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3144089,5.00,4.00,1.00,6.00,5.00,5.25,2.00,8.00,4.00,103,NULL,NULL,'JARDIM SãO DIMAS','S JOSé CAMPOS','SP',11547,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3144100,3.00,6.00,3.00,9.00,8.00,4.50,5.00,9.00,6.00,201,NULL,212,'COQUEIROS','FLORIANóPOLIS','SC',4925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144127,4.00,5.00,5.00,9.00,4.00,5.00,3.00,7.00,2.00,216,NULL,215,'RIO VERMELHO','FLORIANóPOLIS','SC',9462,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3144135,3.00,6.00,1.00,7.00,5.00,7.50,2.00,8.00,3.00,303,NULL,NULL,'ALTO ARIRIÚ','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3144143,6.00,6.00,5.00,6.00,3.00,NULL,3.00,4.00,4.00,216,NULL,238,'BANDEIRANTES','CALDAS NOVAS','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3144151,4.00,7.00,6.00,7.00,5.00,6.50,4.00,7.00,4.00,340,NULL,NULL,'AMéRICA','JOINVILLE','SC',5839,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3144186,4.00,5.00,4.00,4.00,4.00,5.50,4.00,4.00,4.00,103,NULL,NULL,'CENTRO','POMERODE','SC',12965,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3144194,4.00,2.00,2.00,5.00,3.00,NULL,1.00,3.00,2.00,238,NULL,215,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144208,3.00,1.00,5.00,5.00,2.00,NULL,1.00,5.00,3.00,302,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3144216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CASCATA','MARíLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3144224,6.00,8.00,4.00,8.00,8.00,5.75,4.00,7.00,7.00,203,NULL,233,'TRINDADE','FLORIANóPOLIS','SC',3200,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3144232,5.00,5.00,3.00,8.00,8.00,4.25,2.00,7.00,4.00,303,NULL,NULL,'FAZENDA','ITAJAí','SC',7828,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3144240,2.00,4.00,1.00,5.00,3.00,NULL,2.00,4.00,2.00,101,NULL,NULL,'LIMPA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3144259,5.00,6.00,4.00,7.00,5.00,6.25,4.00,6.00,3.00,103,NULL,NULL,'CENTRO','S LOURENçO OESTE','SC',8218,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3144267,3.00,4.00,3.00,2.00,5.00,NULL,1.00,4.00,1.00,207,NULL,214,'CENTRO','S JOSé CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3144283,3.00,5.00,1.00,5.00,5.00,6.25,0.00,5.00,3.00,303,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',15159,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3144291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,233,'VILA NOVA','ITU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3144305,6.00,6.00,7.00,8.00,6.00,5.25,5.00,7.00,7.00,215,NULL,216,'JABAQUARA','S PAULO','SP',2017,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3144313,6.00,6.00,3.00,3.00,3.00,NULL,5.00,7.00,6.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3144321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'SETOR PEDRO LUDOVICO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3144348,5.00,7.00,5.00,6.00,4.00,5.25,4.00,6.00,8.00,211,NULL,201,'CENTRO','FLORIANóPOLIS','SC',5649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144356,2.00,4.00,1.00,9.00,4.00,5.75,3.00,7.00,5.00,340,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',11052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144364,8.00,9.00,6.00,6.00,7.00,7.75,5.00,7.00,7.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',1217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144372,4.00,7.00,2.00,7.00,4.00,6.00,5.00,7.00,4.00,5,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',8293,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3144380,4.00,4.00,5.00,2.00,4.00,5.50,4.00,3.00,5.00,203,NULL,202,'BELA VISTA','FRAIBURGO','SC',14748,875,NULL,496,NULL,NULL,NULL,4,7),(16,3144399,4.00,1.00,3.00,5.00,3.00,NULL,4.00,4.00,4.00,103,NULL,NULL,'SãO CRISTóVãO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3144402,2.00,6.00,2.00,5.00,6.00,4.25,2.00,6.00,3.00,309,NULL,NULL,'STO ANTôNIO LISBOA','FLORIANóPOLIS','SC',14607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3144410,1.00,2.00,1.00,6.00,4.00,NULL,3.00,3.00,3.00,423,NULL,428,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3144429,3.00,4.00,4.00,4.00,5.00,4.75,5.00,5.00,4.00,238,NULL,208,'PONTE DO IMARUIM','PALHOçA','SC',12214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144437,8.00,8.00,7.00,7.00,6.00,6.75,4.00,8.00,8.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3144445,2.00,1.00,4.00,4.00,4.00,4.50,1.00,6.00,3.00,444,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',16573,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3144453,6.00,7.00,3.00,5.00,3.00,NULL,3.00,6.00,2.00,102,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144461,8.00,7.00,3.00,8.00,7.00,4.00,5.00,7.00,7.00,103,NULL,NULL,'JARDIM DA PENHA','VITóRIA','ES',2774,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3144470,4.00,6.00,1.00,8.00,6.00,5.75,2.00,8.00,4.00,332,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',9257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144488,6.00,3.00,6.00,6.00,5.00,5.25,4.00,7.00,3.00,207,NULL,201,'BARREIROS','S JOSé','SC',8714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144496,3.00,5.00,2.00,3.00,2.00,NULL,1.00,4.00,4.00,420,NULL,NULL,'JABOTICABAL','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3144500,3.00,5.00,2.00,5.00,6.00,5.00,2.00,4.00,6.00,203,NULL,216,'CENTRO','BRAçO NORTE','SC',13220,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3144518,0.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,3.00,319,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3144542,5.00,5.00,4.00,7.00,7.00,7.50,3.00,6.00,4.00,216,NULL,201,'DE LAZZER','CAXIAS SUL','RS',6769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144550,7.00,6.00,5.00,7.00,4.00,4.25,3.00,6.00,4.00,220,NULL,214,'SãO FRANCISCO','VIDEIRA','SC',6887,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3144569,5.00,6.00,4.00,7.00,5.00,5.75,4.00,7.00,3.00,5,NULL,NULL,'SERRA ALTA','S BENTO SUL','SC',8848,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3144577,6.00,8.00,4.00,7.00,8.00,4.00,3.00,6.00,7.00,203,NULL,202,'BARREIROS','S JOSé','SC',3885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,213,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3144615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,216,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3144623,4.00,6.00,3.00,4.00,3.00,NULL,2.00,7.00,5.00,201,NULL,203,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144631,7.00,7.00,6.00,4.00,7.00,6.50,4.00,5.00,6.00,333,NULL,NULL,'CASCATA','MARíLIA','SP',4112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144640,6.00,7.00,3.00,6.00,2.00,NULL,3.00,4.00,4.00,238,NULL,208,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144666,7.00,8.00,7.00,9.00,6.00,7.25,6.00,6.00,8.00,203,NULL,214,'AGRONOMICA','FLORIANóPOLIS','SC',899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3144682,9.00,7.00,7.00,7.00,7.00,7.50,6.00,9.00,7.00,318,NULL,NULL,'CENTRO','RIO ANTAS','SC',397,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3144690,3.00,4.00,2.00,6.00,5.00,3.00,4.00,6.00,3.00,3,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3144704,8.00,7.00,3.00,0.00,4.00,NULL,3.00,8.00,5.00,103,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144712,5.00,7.00,5.00,5.00,6.00,4.75,1.00,7.00,4.00,310,NULL,NULL,'BARREIROS','S JOSé','SC',9361,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3144720,7.00,8.00,2.00,3.00,5.00,5.50,7.00,5.00,6.00,202,NULL,203,'ESPIRITO SANTO','ERECHIM','RS',7685,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3144739,6.00,4.00,2.00,2.00,5.00,6.25,4.00,7.00,5.00,214,NULL,211,'PARANAGUAMIRIM','JOINVILLE','SC',10858,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3144747,8.00,6.00,4.00,6.00,8.00,5.50,5.00,8.00,4.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',4410,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3144755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'CENTRO','CATUíPE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3144763,3.00,4.00,2.00,3.00,3.00,NULL,3.00,5.00,3.00,453,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144771,1.00,2.00,2.00,0.00,1.00,NULL,3.00,2.00,3.00,211,NULL,NULL,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144798,2.00,2.00,2.00,5.00,4.00,7.00,3.00,4.00,4.00,327,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',16060,54,NULL,NULL,NULL,NULL,NULL,2,1),(16,3144801,2.00,4.00,1.00,6.00,4.00,6.50,3.00,4.00,3.00,207,NULL,201,'FREI BRUNO','JOAçABA','SC',16134,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3144828,4.00,3.00,1.00,2.00,2.00,NULL,0.00,5.00,4.00,201,NULL,212,'CENTRO','AT BELA VISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3144836,4.00,3.00,4.00,1.00,7.00,NULL,2.00,4.00,2.00,451,NULL,NULL,'VILA NOVA','REG FEIJó','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144844,4.00,3.00,2.00,8.00,6.00,4.75,3.00,6.00,2.00,452,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',11682,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3144852,4.00,4.00,1.00,5.00,2.00,NULL,0.00,4.00,3.00,9,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3144879,6.00,6.00,2.00,6.00,5.00,5.50,3.00,5.00,6.00,415,NULL,NULL,'ROçADO','S JOSé','SC',9236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3144895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'JOSé MENINO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3144909,8.00,7.00,4.00,8.00,8.00,5.75,3.00,6.00,7.00,303,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',3235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3144925,4.00,5.00,1.00,4.00,5.00,4.25,2.00,7.00,0.00,216,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3144933,4.00,5.00,3.00,7.00,3.00,NULL,3.00,8.00,3.00,340,NULL,NULL,'LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3144941,4.00,4.00,2.00,6.00,4.00,6.25,2.00,6.00,4.00,216,NULL,233,'BELA VISTA','CONCóRDIA','SC',12959,435,NULL,394,NULL,NULL,NULL,2,7),(16,3144976,7.00,5.00,3.00,1.00,4.00,5.75,1.00,6.00,4.00,203,NULL,202,'NOVO HORIZONTE','SAPUCAIA SUL','RS',13724,843,NULL,469,NULL,NULL,NULL,4,1),(16,3144984,6.00,7.00,5.00,7.00,5.00,5.75,3.00,7.00,5.00,238,NULL,208,'CENTRO','LUZERNA','SC',4601,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3144992,6.00,7.00,3.00,8.00,5.00,7.50,3.00,8.00,4.00,301,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',4949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145000,3.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,3.00,201,NULL,212,'PRAIA DE FORA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145026,8.00,5.00,8.00,9.00,6.00,6.75,5.00,9.00,8.00,103,NULL,NULL,'VILA UNIVERSITáRIA','BAURU','SP',725,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145034,3.00,1.00,2.00,2.00,2.00,NULL,3.00,1.00,5.00,207,NULL,201,'POçO FUNDO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145077,2.00,5.00,3.00,5.00,4.00,5.50,3.00,7.00,3.00,211,NULL,201,'PRIMAVERA','XAXIM','SC',12205,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3145093,6.00,5.00,3.00,5.00,5.00,5.50,3.00,7.00,4.00,452,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',9911,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3145115,5.00,4.00,4.00,7.00,4.00,4.75,4.00,7.00,3.00,203,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'JARDIM SãO PAULO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3145140,8.00,7.00,8.00,7.00,4.00,4.50,5.00,6.00,4.00,201,NULL,212,'CARIANOS','FLORIANóPOLIS','SC',4128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145158,4.00,4.00,2.00,8.00,1.00,NULL,2.00,3.00,3.00,302,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3145166,4.00,6.00,7.00,9.00,6.00,6.25,3.00,8.00,2.00,203,NULL,201,'VILA GLORIA','CPO GRANDE','MS',5547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145174,3.00,6.00,4.00,4.00,3.00,NULL,3.00,7.00,3.00,328,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145182,7.00,6.00,6.00,6.00,4.00,7.00,3.00,6.00,5.00,201,NULL,207,'BARREIROS','S JOSé','SC',5671,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145190,4.00,7.00,2.00,5.00,5.00,7.75,3.00,7.00,3.00,203,NULL,207,'INTERIOR','MAREMA','SC',8788,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3145204,4.00,5.00,5.00,7.00,5.00,6.75,1.00,6.00,4.00,5,NULL,NULL,'TAQUARAL','CAMPINAS','SP',8606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145212,4.00,5.00,5.00,9.00,8.00,6.25,4.00,6.00,4.00,225,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',6923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145239,3.00,2.00,2.00,8.00,4.00,5.25,0.00,4.00,3.00,207,NULL,NULL,'CENTRO','CUNHA PORã','SC',16458,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3145247,3.00,4.00,1.00,1.00,3.00,NULL,3.00,7.00,3.00,318,NULL,NULL,'AGUA VERDE','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3145255,3.00,1.00,3.00,8.00,4.00,6.00,4.00,3.00,2.00,451,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',15382,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145263,6.00,8.00,8.00,8.00,9.00,6.25,4.00,7.00,8.00,340,NULL,NULL,'SãO FRANCISCO','BENTO GONçALVES','RS',1102,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3145280,6.00,3.00,4.00,7.00,6.00,6.25,2.00,7.00,6.00,103,NULL,NULL,'KOBRASOL','S JOSé','SC',6326,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145298,3.00,8.00,2.00,8.00,7.00,6.00,1.00,5.00,3.00,203,NULL,216,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3145328,3.00,2.00,4.00,3.00,3.00,NULL,0.00,2.00,3.00,502,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145336,5.00,6.00,6.00,8.00,7.00,4.75,6.00,6.00,6.00,2,NULL,NULL,'VILA MUQUI','TERESóPOLIS','RJ',3598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145344,5.00,5.00,5.00,4.00,5.00,5.50,3.00,3.00,4.00,302,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',12778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145352,8.00,5.00,3.00,7.00,6.00,7.50,6.00,7.00,5.00,103,NULL,NULL,'RESIDENCIAL ITATIAIA','CPO GRANDE','MS',3822,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145360,5.00,4.00,4.00,7.00,5.00,5.50,3.00,5.00,5.00,326,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',9887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145379,5.00,4.00,5.00,5.00,5.00,6.75,5.00,5.00,4.00,329,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',9222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145387,5.00,5.00,4.00,5.00,6.00,5.25,2.00,6.00,3.00,303,NULL,NULL,'SANTA BáRBARA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3145409,3.00,1.00,2.00,4.00,0.00,NULL,1.00,1.00,4.00,444,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145417,4.00,2.00,2.00,9.00,4.00,6.75,3.00,7.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145425,1.00,1.00,3.00,5.00,6.00,NULL,3.00,3.00,2.00,308,NULL,NULL,'CENTRO DE SãO JOSé','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3145433,1.00,3.00,2.00,1.00,3.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'RUDGE RAMOS','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3145441,4.00,4.00,3.00,6.00,4.00,5.75,1.00,4.00,3.00,332,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',14383,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'IMIGRANTES','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3145468,5.00,4.00,7.00,9.00,7.00,5.75,6.00,7.00,7.00,340,NULL,NULL,'AMéRICA','JOINVILLE','SC',2391,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3145476,7.00,6.00,4.00,4.00,6.00,4.75,5.00,9.00,8.00,207,NULL,216,'CARIANOS','FLORIANóPOLIS','SC',5181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145484,3.00,4.00,2.00,7.00,6.00,6.00,4.00,3.00,3.00,340,NULL,NULL,'CENTRO','CRICIúMA','SC',13923,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3145506,7.00,4.00,2.00,9.00,6.00,5.00,3.00,7.00,4.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',7369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145514,7.00,4.00,7.00,9.00,8.00,6.50,5.00,8.00,7.00,103,NULL,NULL,'SCHRAMM','S BENTO SUL','SC',1173,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3145530,3.00,2.00,2.00,6.00,5.00,5.50,2.00,5.00,4.00,103,NULL,NULL,'OFICINAS','TUBARãO','SC',14649,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3145549,6.00,8.00,5.00,4.00,7.00,4.50,5.00,7.00,5.00,316,NULL,NULL,'CENTRO','SOROCABA','SP',4758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145557,3.00,4.00,4.00,5.00,3.00,NULL,3.00,4.00,2.00,202,NULL,203,'PANORAMA','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3145565,7.00,7.00,5.00,9.00,6.00,6.75,3.00,6.00,5.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145573,4.00,7.00,3.00,5.00,6.00,6.75,1.00,5.00,2.00,310,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',11395,33,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145581,3.00,0.00,4.00,3.00,5.00,5.00,3.00,4.00,6.00,9,NULL,NULL,'JARDIM JARAGUA','ATIBAIA','SP',16078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145590,6.00,6.00,7.00,9.00,8.00,7.00,5.00,6.00,6.00,340,NULL,NULL,'NAçõES','INDAIAL','SC',2424,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3145611,4.00,3.00,3.00,5.00,6.00,4.75,3.00,5.00,4.00,317,NULL,NULL,'PANTANO DO SUL','FLORIANóPOLIS','SC',13438,115,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145620,3.00,2.00,4.00,3.00,2.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'CENTRO','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3145638,4.00,3.00,3.00,4.00,4.00,6.00,3.00,2.00,4.00,103,NULL,NULL,'VILA SANTA RITA','SOROCABA','SP',15460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145646,3.00,3.00,4.00,7.00,7.00,5.00,1.00,5.00,3.00,308,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',13607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145654,4.00,8.00,3.00,2.00,3.00,NULL,1.00,8.00,2.00,404,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145662,3.00,3.00,3.00,4.00,6.00,5.00,3.00,3.00,5.00,207,NULL,211,'KOBRASOL','S JOSé','SC',14921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145670,4.00,7.00,6.00,8.00,5.00,4.25,2.00,9.00,4.00,201,NULL,211,'CENTRO','S JOãO BATISTA','SC',6075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145689,8.00,6.00,5.00,6.00,3.00,NULL,4.00,8.00,9.00,233,NULL,213,'BUSSOLO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3145700,3.00,4.00,2.00,7.00,6.00,6.50,2.00,6.00,2.00,426,NULL,428,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145719,6.00,8.00,6.00,3.00,7.00,6.50,5.00,6.00,8.00,103,NULL,NULL,'VILA ALEMANHA','LUZERNA','SC',3139,1114,NULL,NULL,NULL,NULL,NULL,4,7),(16,3145727,3.00,6.00,3.00,8.00,4.00,4.75,2.00,2.00,4.00,444,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',14198,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145743,5.00,4.00,6.00,9.00,7.00,5.75,2.00,8.00,6.00,201,NULL,212,'SALGADO FILHO','STA MARIA','RS',4984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145751,3.00,5.00,4.00,7.00,4.00,6.00,3.00,7.00,5.00,319,NULL,NULL,'PANATANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145760,7.00,6.00,4.00,8.00,7.00,6.75,2.00,7.00,6.00,453,NULL,NULL,'COPACABANA','LAGES','SC',4541,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3145778,5.00,3.00,3.00,3.00,2.00,NULL,1.00,6.00,2.00,101,NULL,NULL,'SAMAMBAIA NORTE','SAMAMBAIA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145786,2.00,4.00,3.00,6.00,4.00,5.50,1.00,5.00,2.00,328,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',15739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145794,3.00,4.00,4.00,3.00,3.00,NULL,2.00,3.00,4.00,223,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145808,4.00,6.00,4.00,5.00,5.00,5.50,3.00,2.00,5.00,5,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145816,5.00,3.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(16,3145824,5.00,2.00,3.00,1.00,2.00,NULL,3.00,3.00,2.00,223,NULL,NULL,'COHAB','S DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3145832,8.00,7.00,5.00,9.00,7.00,6.00,4.00,7.00,5.00,103,NULL,NULL,'JOAO PAULO II','PRES PRUDENTE','SP',2335,924,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145840,6.00,5.00,5.00,4.00,7.00,4.25,2.00,5.00,6.00,102,NULL,NULL,'AGUA BRANCA','S FRANCISCO SUL','SC',9283,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3145859,4.00,7.00,4.00,7.00,6.00,4.50,3.00,5.00,5.00,202,NULL,216,'CENTRO','LARANJEIRAS SUL','PR',8408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145867,2.00,3.00,4.00,1.00,4.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'SANTA HELENA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3145875,2.00,1.00,4.00,4.00,3.00,NULL,2.00,1.00,3.00,316,NULL,NULL,'PACHECO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145891,5.00,6.00,3.00,7.00,6.00,4.75,3.00,4.00,5.00,201,NULL,216,'CENTRO','CANOINHAS','SC',11178,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3145921,8.00,5.00,6.00,8.00,6.00,6.75,4.00,7.00,6.00,216,NULL,201,'SANTA RITA','BRUSQUE','SC',3148,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3145930,4.00,3.00,4.00,8.00,6.00,8.25,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','GUARATINGUETá','SP',7030,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145948,8.00,9.00,8.00,9.00,8.00,7.50,7.00,8.00,8.00,5,NULL,NULL,'JOAO PAULO II','PRES PRUDENTE','SP',176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145956,2.00,4.00,4.00,0.00,6.00,NULL,2.00,4.00,3.00,214,NULL,238,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3145964,9.00,5.00,4.00,9.00,8.00,5.75,4.00,8.00,7.00,415,NULL,NULL,'MOGILAR','MOGI CRUZES','SP',2020,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3145972,8.00,6.00,3.00,8.00,5.00,5.25,3.00,6.00,6.00,333,NULL,NULL,'KOBRASOL','S JOSé','SC',6054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3145980,8.00,5.00,8.00,6.00,5.00,5.50,3.00,5.00,6.00,233,NULL,216,'CENTRO','ERECHIM','RS',4799,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3145999,6.00,5.00,2.00,6.00,5.00,3.25,0.00,3.00,3.00,207,NULL,201,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3146006,3.00,6.00,4.00,6.00,8.00,4.00,3.00,8.00,5.00,333,NULL,NULL,'CAMPINAS','S JOSé','SC',7323,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3146014,2.00,4.00,3.00,8.00,5.00,6.00,5.00,5.00,4.00,103,NULL,NULL,'CIDADE EDSON','SUZANO','SP',10349,2265,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146030,3.00,4.00,3.00,6.00,6.00,6.00,3.00,5.00,3.00,303,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',12560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146049,3.00,1.00,4.00,0.00,4.00,NULL,1.00,2.00,6.00,207,NULL,201,'MOGI MODERNO','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3146073,8.00,7.00,4.00,7.00,5.00,4.75,4.00,8.00,7.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',4014,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3146081,6.00,6.00,4.00,7.00,4.00,5.00,4.00,4.00,1.00,453,NULL,NULL,'SãO BASILIO','BRAçO NORTE','SC',11195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146090,3.00,4.00,3.00,5.00,4.00,6.25,1.00,4.00,5.00,9,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',14582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146103,3.00,4.00,6.00,8.00,5.00,5.25,4.00,3.00,4.00,208,NULL,238,'CENTRO','CHAPECó','SC',9778,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3146111,2.00,5.00,3.00,4.00,3.00,NULL,3.00,6.00,4.00,201,NULL,207,'VILA OLIVEIRA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146120,4.00,3.00,4.00,4.00,6.00,2.75,2.00,6.00,3.00,331,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3146138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'VILA NATAL','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3146146,2.00,4.00,3.00,6.00,6.00,6.00,3.00,7.00,4.00,304,NULL,NULL,'PERQUê','PTO BELO','SC',10295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146154,6.00,5.00,4.00,7.00,3.00,NULL,3.00,6.00,2.00,340,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3146189,5.00,5.00,3.00,7.00,6.00,5.50,2.00,7.00,3.00,104,NULL,NULL,'ALTO DO IPIRANGA','MOGI CRUZES','SP',10601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146197,4.00,3.00,6.00,7.00,5.00,6.00,4.00,6.00,5.00,207,NULL,201,'OFICINAS','TUBARãO','SC',8230,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3146200,5.00,5.00,6.00,7.00,6.00,6.00,2.00,6.00,5.00,452,NULL,NULL,'AREIAS','S JOSé','SC',6250,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3146219,3.00,2.00,2.00,3.00,3.00,NULL,0.00,4.00,3.00,319,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3146227,3.00,5.00,2.00,5.00,6.00,5.75,3.00,4.00,1.00,207,NULL,201,'PINHEIRINHO','CRICIúMA','SC',14992,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3146235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'EUGENIO SCHNEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3146251,7.00,8.00,5.00,6.00,7.00,6.00,3.00,9.00,5.00,220,NULL,216,'VILA NOVA','FRANCISCO BELTRãO','PR',2938,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3146260,7.00,7.00,4.00,7.00,5.00,5.75,5.00,5.00,7.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',4546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146278,2.00,4.00,4.00,4.00,6.00,5.00,2.00,4.00,7.00,238,NULL,208,'KOBRASOL','S JOSé','SC',12784,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3146286,1.00,8.00,2.00,6.00,3.00,NULL,3.00,6.00,2.00,424,NULL,427,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3146294,7.00,6.00,8.00,6.00,5.00,6.25,3.00,5.00,6.00,103,NULL,NULL,'ITAIM','TAUBATé','SP',4123,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3146308,4.00,7.00,3.00,5.00,2.00,NULL,1.00,6.00,2.00,324,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3146316,1.00,1.00,2.00,1.00,2.00,NULL,1.00,3.00,4.00,203,NULL,216,'TESTO SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3146324,3.00,1.00,1.00,4.00,2.00,NULL,1.00,3.00,3.00,502,NULL,NULL,'SANTA CRUZ','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3146340,2.00,5.00,2.00,7.00,3.00,NULL,3.00,4.00,3.00,203,NULL,220,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3146359,5.00,2.00,2.00,5.00,5.00,7.25,3.00,4.00,3.00,216,NULL,207,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146375,6.00,6.00,4.00,7.00,6.00,5.00,1.00,7.00,6.00,205,NULL,NULL,'ESTREITO','MELEIRO','SC',6675,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3146383,3.00,3.00,3.00,6.00,4.00,6.50,3.00,2.00,3.00,340,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',15619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146391,5.00,5.00,1.00,4.00,4.00,6.50,3.00,5.00,3.00,104,NULL,NULL,'CENTRO','CUNHA PORã','SC',14436,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3146405,6.00,7.00,4.00,6.00,6.00,5.00,4.00,7.00,7.00,319,NULL,NULL,'AGUA VERDE','CURITIBA','PR',4651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146413,4.00,4.00,4.00,1.00,4.00,3.00,3.00,4.00,3.00,317,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146421,6.00,7.00,5.00,6.00,5.00,5.75,4.00,8.00,7.00,317,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',3762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3146448,4.00,2.00,3.00,3.00,2.00,NULL,1.00,6.00,3.00,103,NULL,NULL,'JARDIM GODOY','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146456,3.00,7.00,2.00,6.00,4.00,4.75,3.00,5.00,4.00,450,NULL,NULL,'ARMAçãO DO PâNTANO','FLORIANóPOLIS','SC',11668,100,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146464,4.00,4.00,2.00,5.00,3.00,NULL,2.00,3.00,5.00,5,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3146472,1.00,3.00,1.00,2.00,2.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'VILA SãO JOSé','TAUBATé','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3146502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3146510,3.00,7.00,4.00,8.00,5.00,7.25,3.00,6.00,6.00,108,NULL,NULL,'POMERODE FUNDOS','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(16,3146529,4.00,6.00,4.00,4.00,4.00,6.50,2.00,3.00,4.00,429,NULL,426,'CAMPINAS','S JOSé','SC',13333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3146537,6.00,2.00,2.00,7.00,2.00,NULL,4.00,3.00,3.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3146545,4.00,2.00,1.00,1.00,1.00,NULL,2.00,4.00,4.00,102,NULL,NULL,'CENTRO','VIADUTOS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3146553,4.00,5.00,3.00,7.00,5.00,5.50,3.00,4.00,2.00,203,NULL,213,'AGRONôMICA','FLORIANóPOLIS','SC',12482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146570,4.00,3.00,1.00,3.00,2.00,NULL,1.00,1.00,3.00,501,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146588,3.00,3.00,2.00,1.00,4.00,NULL,2.00,4.00,1.00,103,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146596,3.00,3.00,4.00,2.00,6.00,NULL,3.00,3.00,3.00,234,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146618,3.00,4.00,3.00,9.00,5.00,4.00,4.00,9.00,3.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',9775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146626,7.00,6.00,3.00,8.00,7.00,6.00,5.00,7.00,5.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146634,1.00,4.00,3.00,5.00,4.00,NULL,0.00,5.00,5.00,429,NULL,425,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146642,4.00,4.00,2.00,7.00,5.00,6.75,1.00,3.00,3.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',14726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3146650,5.00,5.00,3.00,6.00,5.00,5.25,4.00,5.00,2.00,332,NULL,NULL,'ARMAçãO DO P DO SUL','FLORIANóPOLIS','SC',12106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3146669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3146685,4.00,4.00,1.00,5.00,5.00,5.25,2.00,4.00,2.00,102,NULL,NULL,'ROCIO GRANDE','S FRANCISCO SUL','SC',15770,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3146693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,202,'FLOR DE NáPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3146707,2.00,4.00,1.00,5.00,4.00,4.75,1.00,7.00,3.00,450,NULL,NULL,'CENTRO','ITAPEMA','SC',16356,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3146715,6.00,7.00,5.00,7.00,5.00,6.50,5.00,7.00,6.00,203,NULL,233,'BOM RETIRO','JOINVILLE','SC',3746,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3146723,6.00,3.00,3.00,3.00,4.00,5.00,3.00,4.00,3.00,102,NULL,NULL,'PORTãO','CURITIBA','PR',15013,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3146740,2.00,6.00,5.00,6.00,5.00,6.00,3.00,6.00,3.00,331,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',10296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146758,5.00,8.00,1.00,7.00,4.00,5.00,2.00,7.00,4.00,302,NULL,NULL,'KOBRASSOL','S JOSé','SC',10705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3146766,1.00,3.00,1.00,3.00,4.00,NULL,1.00,2.00,5.00,208,NULL,202,'PEREQUê','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3146774,7.00,7.00,4.00,5.00,7.00,7.50,1.00,5.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',5404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146782,5.00,1.00,2.00,5.00,5.00,NULL,2.00,2.00,3.00,101,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3146790,4.00,6.00,2.00,2.00,4.00,6.00,3.00,7.00,3.00,503,NULL,NULL,'BREJARU','PALHOçA','SC',13208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146804,9.00,8.00,8.00,7.00,5.00,6.00,8.00,8.00,8.00,103,NULL,NULL,'VILA LIBERDADE','PRES PRUDENTE','SP',422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146812,5.00,3.00,4.00,6.00,6.00,6.00,4.00,8.00,4.00,202,NULL,233,'CENTRO','BAL ARROIO SILVA','SC',8904,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3146820,2.00,6.00,2.00,7.00,5.00,5.00,2.00,6.00,4.00,103,NULL,NULL,'BOM JESUS','RIO NEGRO','PR',12863,2519,NULL,NULL,NULL,NULL,NULL,2,8),(16,3146847,3.00,6.00,4.00,7.00,5.00,6.50,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146855,4.00,3.00,3.00,1.00,3.00,NULL,4.00,2.00,1.00,108,NULL,NULL,'JARDIM ESTORIL','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146880,7.00,6.00,5.00,5.00,2.00,NULL,2.00,6.00,6.00,102,NULL,NULL,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146898,4.00,5.00,5.00,7.00,4.00,5.50,4.00,4.00,5.00,201,NULL,207,'IPIRANGA','S JOSé','SC',9558,736,NULL,450,NULL,NULL,NULL,2,1),(16,3146901,5.00,4.00,4.00,5.00,5.00,4.75,1.00,5.00,6.00,303,NULL,NULL,'SANTO ANTONIO','FLORIANóPOLIS','SC',12453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146910,3.00,5.00,2.00,6.00,3.00,NULL,2.00,4.00,2.00,309,NULL,NULL,'ESTRADA NOVA','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3146928,5.00,2.00,3.00,4.00,3.00,NULL,2.00,3.00,3.00,502,NULL,NULL,'SãO DOMINGOS','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALDEIA DA SERRA','SANTANA PARNAíBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3146960,4.00,8.00,4.00,6.00,3.00,NULL,2.00,5.00,4.00,234,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3146979,5.00,7.00,5.00,7.00,8.00,7.50,5.00,6.00,8.00,319,NULL,NULL,'CENTRO','MARAU','RS',2556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3146987,6.00,3.00,3.00,6.00,5.00,8.25,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8424,2046,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147010,3.00,6.00,6.00,6.00,6.00,5.50,5.00,5.00,8.00,203,NULL,214,'CENTRO','JOINVILLE','SC',4479,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3147029,7.00,9.00,3.00,8.00,5.00,6.50,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',3935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147037,4.00,6.00,6.00,8.00,7.00,6.50,3.00,9.00,7.00,201,NULL,213,'ESTREITO','FLORIANóPOLIS','SC',3366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3147070,3.00,3.00,3.00,2.00,2.00,NULL,2.00,4.00,4.00,301,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147088,7.00,5.00,5.00,9.00,3.00,NULL,6.00,6.00,7.00,203,NULL,202,'CAMPO GRANDE','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147096,7.00,6.00,6.00,8.00,6.00,6.75,4.00,8.00,7.00,415,NULL,NULL,'TATUAPE','S PAULO','SP',2651,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147100,3.00,5.00,3.00,2.00,3.00,NULL,3.00,6.00,2.00,211,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3147118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'CENTRO','NONOAI','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3147134,4.00,5.00,1.00,2.00,6.00,4.50,2.00,6.00,6.00,103,NULL,NULL,'CIDADE ALTA','ARARANGUá','SC',12344,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3147150,3.00,3.00,2.00,7.00,3.00,NULL,1.00,5.00,5.00,450,NULL,NULL,'CENTRO','NOVO MACHADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3147169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MONTE CARLO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3147185,3.00,3.00,3.00,5.00,2.00,NULL,3.00,5.00,5.00,404,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147193,6.00,5.00,2.00,6.00,3.00,NULL,3.00,5.00,4.00,415,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147207,1.00,4.00,3.00,6.00,4.00,5.50,0.00,3.00,3.00,310,NULL,NULL,'CENTRO','CRICIúMA','SC',16553,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3147215,5.00,4.00,4.00,0.00,6.00,NULL,3.00,6.00,3.00,234,NULL,NULL,'JARDIM CIDADE FLORIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147223,6.00,8.00,8.00,7.00,7.00,5.00,8.00,8.00,6.00,304,NULL,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',1935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147231,2.00,5.00,4.00,8.00,4.00,7.00,4.00,6.00,4.00,319,NULL,NULL,'CENTRO','BRUSQUE','SC',10874,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3147240,2.00,6.00,1.00,4.00,4.00,0.00,3.00,5.00,3.00,5,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147258,2.00,0.00,2.00,5.00,4.00,NULL,2.00,4.00,3.00,216,NULL,211,'CENTRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147266,4.00,5.00,2.00,5.00,5.00,5.75,2.00,3.00,2.00,423,NULL,421,'BOM VIVER','BIGUAçU','SC',15635,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147274,6.00,7.00,4.00,8.00,8.00,6.00,5.00,5.00,6.00,207,NULL,201,'COQUEIROS','FLORIANóPOLIS','SC',3724,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147282,4.00,6.00,4.00,7.00,7.00,6.50,2.00,5.00,3.00,108,NULL,NULL,'N SRA DE LOURDES','CAMPOS NOVOS','SC',9007,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3147290,3.00,3.00,2.00,3.00,4.00,5.25,2.00,5.00,3.00,404,NULL,NULL,'STO ANTONIO LISBOA','FLORIANóPOLIS','SC',16569,76,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147304,7.00,7.00,5.00,6.00,5.00,5.25,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',5020,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3147312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'WARNOW','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3147320,4.00,2.00,1.00,4.00,3.00,NULL,1.00,4.00,3.00,108,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147339,5.00,4.00,3.00,1.00,4.00,5.00,5.00,6.00,1.00,211,NULL,201,'SAGUAçU','JOINVILLE','SC',15048,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3147347,1.00,3.00,4.00,3.00,2.00,NULL,4.00,5.00,4.00,104,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147355,2.00,3.00,2.00,4.00,4.00,5.00,2.00,5.00,5.00,329,NULL,NULL,'CASA','FLORIANóPOLIS','SC',15886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147363,6.00,5.00,6.00,8.00,5.00,4.25,5.00,8.00,5.00,220,NULL,NULL,'CENTRO','MARINGá','PR',5147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147371,8.00,7.00,5.00,8.00,8.00,8.25,4.00,8.00,8.00,103,NULL,NULL,'JARDIM BONFIGLIOLI','S PAULO','SP',839,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3147380,6.00,8.00,4.00,9.00,8.00,7.00,2.00,7.00,4.00,201,NULL,207,'VALPARAíSO','BLUMENAU','SC',4042,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3147398,7.00,6.00,5.00,8.00,5.00,4.75,3.00,7.00,5.00,211,NULL,233,'FLORESTA','S JOSé','SC',5417,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147401,7.00,5.00,4.00,8.00,6.00,5.75,4.00,6.00,8.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4530,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3147436,9.00,7.00,9.00,7.00,4.00,7.25,7.00,9.00,8.00,203,NULL,202,'CENTRO','XANXERê','SC',579,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3147452,0.00,4.00,4.00,6.00,5.00,5.25,1.00,3.00,4.00,104,NULL,NULL,'BERTE','PTE SERRADA','SC',16161,486,NULL,NULL,NULL,NULL,NULL,2,4),(16,3147460,3.00,5.00,1.00,0.00,4.00,NULL,3.00,6.00,5.00,208,NULL,238,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147479,7.00,7.00,4.00,1.00,6.00,6.00,4.00,7.00,5.00,203,NULL,220,'SALETE','CONCóRDIA','SC',7263,588,NULL,316,NULL,NULL,NULL,4,7),(16,3147487,5.00,5.00,4.00,8.00,5.00,5.25,4.00,9.00,7.00,316,NULL,NULL,'SERTÃO DO MARUIM','S JOSé','SC',4693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147495,6.00,4.00,3.00,6.00,6.00,6.75,0.00,5.00,5.00,102,NULL,NULL,'CENTRO','LAGUNA','SC',9256,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3147509,1.00,4.00,1.00,6.00,3.00,NULL,1.00,6.00,4.00,238,NULL,208,'BELA VISTA II','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147517,2.00,6.00,4.00,6.00,6.00,4.25,3.00,6.00,2.00,310,NULL,NULL,'INTERIOR','XANXERê','SC',12610,43,NULL,NULL,NULL,NULL,NULL,2,4),(16,3147533,6.00,7.00,4.00,7.00,8.00,6.25,3.00,6.00,6.00,208,NULL,214,'TAPERA','FLORIANóPOLIS','SC',4186,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147541,6.00,4.00,2.00,9.00,7.00,7.00,7.00,5.00,8.00,103,NULL,NULL,'GLóRIA','CARAZINHO','RS',3742,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3147550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM ESPERANçA','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3147568,4.00,5.00,2.00,3.00,2.00,NULL,0.00,4.00,5.00,101,NULL,NULL,'PACHECOS','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147584,7.00,5.00,3.00,7.00,7.00,6.25,3.00,7.00,6.00,233,NULL,201,'CENTRO','FLORIANóPOLIS','SC',5935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147592,4.00,5.00,7.00,8.00,4.00,6.50,2.00,6.00,3.00,103,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',7658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147606,5.00,6.00,5.00,9.00,5.00,5.00,2.00,5.00,5.00,103,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',6588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147614,6.00,5.00,5.00,6.00,6.00,5.00,3.00,7.00,4.00,220,NULL,203,'CENTRO','CUIABá','MT',7349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'RINCãO','ETN VELHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3147657,3.00,4.00,3.00,6.00,3.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147673,6.00,5.00,3.00,6.00,4.00,5.50,3.00,8.00,4.00,103,NULL,NULL,'PINHEIRINHO','PATO BRANCO','PR',9366,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3147681,3.00,5.00,6.00,7.00,6.00,6.50,3.00,5.00,3.00,201,NULL,212,'ALTO DO IPIRANGA','MOGI CRUZES','SP',8543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147690,7.00,3.00,4.00,7.00,3.00,NULL,2.00,4.00,4.00,103,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147711,3.00,4.00,2.00,1.00,1.00,NULL,2.00,5.00,4.00,9,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3147720,2.00,6.00,1.00,5.00,4.00,5.50,3.00,7.00,4.00,428,NULL,426,'TAPERA','FLORIANóPOLIS','SC',12925,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147738,6.00,5.00,3.00,5.00,6.00,5.25,2.00,7.00,6.00,501,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',8865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147746,4.00,5.00,5.00,7.00,8.00,5.75,5.00,8.00,6.00,317,NULL,NULL,'CAMPINAS','S JOSé','SC',4563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147754,3.00,5.00,3.00,6.00,6.00,5.25,3.00,4.00,1.00,302,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',14211,180,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147770,4.00,4.00,4.00,8.00,5.00,4.00,2.00,2.00,4.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',13421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147789,4.00,6.00,4.00,7.00,4.00,5.50,3.00,6.00,2.00,103,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SANTO ANTONIO','STO ANDRé','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3147800,5.00,8.00,5.00,8.00,8.00,5.75,3.00,6.00,6.00,331,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',3904,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147819,5.00,5.00,3.00,8.00,6.00,5.75,3.00,7.00,4.00,208,NULL,238,'ITACORUBI','FLORIANOPOLIS','SC',8073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147827,4.00,4.00,3.00,0.00,4.00,NULL,2.00,5.00,2.00,303,NULL,NULL,'CARDOSO','S JOãO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO GABRIEL','COLOMBO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3147843,5.00,4.00,3.00,6.00,5.00,5.00,4.00,6.00,3.00,501,NULL,NULL,'PâNTANO DO SUL','FLORIANóPOLIS','SC',12229,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3147851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ELDORADO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3147860,4.00,7.00,5.00,7.00,6.00,6.75,2.00,7.00,6.00,304,NULL,NULL,'CECAP II','PIRACICABA','SP',5318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147878,7.00,6.00,5.00,7.00,8.00,5.00,4.00,6.00,6.00,208,NULL,238,'CENTRO','FLORIANóPOLIS','SC',5245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147886,7.00,6.00,7.00,8.00,6.00,7.00,4.00,8.00,5.00,207,NULL,201,'CENTRO','RIO CLARO','SP',2215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147916,8.00,7.00,6.00,8.00,6.00,7.00,7.00,8.00,8.00,103,NULL,NULL,'BRAS','S PAULO','SP',645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147932,5.00,5.00,7.00,7.00,4.00,5.50,3.00,8.00,6.00,203,NULL,216,'ARIRIú','PALHOçA','SC',5418,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147940,3.00,5.00,6.00,6.00,7.00,5.25,3.00,9.00,7.00,220,NULL,233,'JARDIM BERLEZE','STA MARIA','RS',4755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147959,5.00,5.00,4.00,7.00,4.00,4.75,3.00,7.00,5.00,103,NULL,NULL,'GLóRIA','JOINVILLE','SC',8367,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3147967,5.00,5.00,5.00,5.00,6.00,6.25,4.00,6.00,7.00,216,NULL,215,'GARCIA','BLUMENAU','SC',6445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147975,7.00,8.00,6.00,9.00,8.00,6.50,6.00,8.00,6.00,211,NULL,208,'CENTRO','FLORIANóPOLIS','SC',1170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3147983,0.00,0.00,0.00,7.00,7.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'VILA IPIRANGA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3147991,6.00,4.00,1.00,3.00,5.00,6.25,2.00,8.00,4.00,108,NULL,NULL,'CENTRO','PATO BRANCO','PR',11617,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3148017,2.00,3.00,3.00,7.00,6.00,6.25,4.00,4.00,3.00,303,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3148025,4.00,5.00,4.00,8.00,2.00,NULL,4.00,7.00,5.00,202,NULL,213,'CANTO GRANDE','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148033,3.00,4.00,1.00,3.00,2.00,NULL,2.00,5.00,4.00,331,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3148041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3148050,3.00,4.00,2.00,9.00,4.00,5.50,1.00,8.00,4.00,216,NULL,215,'CENTRO','BAL CAMBORIú','SC',11693,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3148076,7.00,7.00,8.00,9.00,8.00,7.50,6.00,8.00,8.00,220,NULL,203,'SALTO DO NORTE','BLUMENAU','SC',462,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3148084,8.00,7.00,5.00,6.00,7.00,8.00,4.00,8.00,6.00,103,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',1750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148092,2.00,0.00,1.00,3.00,1.00,NULL,1.00,3.00,4.00,309,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148106,9.00,7.00,9.00,9.00,8.00,8.25,7.00,8.00,9.00,103,NULL,NULL,'BUENO','GOIâNIA','GO',12,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148122,5.00,4.00,2.00,8.00,5.00,5.50,1.00,6.00,6.00,216,NULL,215,'ESTAçãO','URUSSANGA','SC',9757,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3148130,4.00,2.00,2.00,7.00,1.00,NULL,1.00,4.00,4.00,301,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3148149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,216,'VILA LENZI','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3148157,6.00,1.00,1.00,5.00,5.00,5.00,0.00,3.00,4.00,104,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',16061,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3148173,4.00,5.00,2.00,7.00,4.00,4.25,2.00,5.00,6.00,444,NULL,NULL,'PONTE DE IMARUIM','PALHOçA','SC',11922,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3148181,2.00,1.00,4.00,6.00,6.00,NULL,1.00,3.00,4.00,319,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148190,6.00,6.00,2.00,8.00,6.00,4.50,3.00,6.00,4.00,238,NULL,208,'ROçADO','S JOSé','SC',8049,210,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148211,6.00,5.00,6.00,7.00,4.00,5.75,5.00,6.00,7.00,303,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',5108,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3148220,5.00,5.00,4.00,3.00,1.00,NULL,1.00,4.00,4.00,301,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148238,5.00,1.00,2.00,0.00,3.00,NULL,2.00,3.00,4.00,404,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148246,2.00,4.00,2.00,3.00,4.00,NULL,2.00,3.00,2.00,301,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3148254,1.00,7.00,3.00,8.00,4.00,5.75,0.00,4.00,2.00,340,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',14030,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3148262,3.00,3.00,2.00,2.00,2.00,NULL,0.00,3.00,1.00,9,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3148270,6.00,6.00,4.00,6.00,6.00,5.50,1.00,8.00,6.00,444,NULL,NULL,'RIO MAINA','CRICIúMA','SC',7368,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3148297,6.00,4.00,3.00,9.00,4.00,5.00,3.00,6.00,6.00,303,NULL,NULL,'VILA NOVA','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3148319,8.00,7.00,6.00,9.00,8.00,6.50,5.00,8.00,5.00,103,NULL,NULL,'VILA MOEMA','TUBARãO','SC',1146,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3148327,5.00,5.00,3.00,9.00,5.00,6.50,4.00,4.00,5.00,452,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',8188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148335,6.00,6.00,3.00,9.00,3.00,NULL,4.00,7.00,3.00,202,NULL,233,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148343,8.00,6.00,4.00,9.00,8.00,6.50,5.00,5.00,6.00,202,NULL,220,'COLONINHA','ARARANGUá','SC',3109,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3148351,0.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VARGEM PEQUENA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3148360,5.00,3.00,6.00,5.00,5.00,5.00,4.00,5.00,5.00,207,NULL,216,'VILA MOEMA','TUBARãO','SC',9941,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3148378,6.00,6.00,6.00,10.00,6.00,6.75,1.00,7.00,5.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148386,4.00,5.00,6.00,6.00,4.00,5.25,3.00,3.00,4.00,303,NULL,NULL,'CENTRO','JARAGUá SUL','SC',10798,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3148394,8.00,5.00,2.00,6.00,4.00,4.50,1.00,3.00,2.00,208,NULL,238,'ESTREITO','ALFREDO WAGNER','SC',15140,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3148408,7.00,8.00,2.00,4.00,8.00,5.50,5.00,8.00,5.00,102,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',5053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148416,3.00,4.00,2.00,8.00,3.00,NULL,1.00,6.00,3.00,415,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3148424,5.00,6.00,6.00,8.00,6.00,5.25,3.00,7.00,4.00,333,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANóPOLIS','SC',5858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,426,'CANASVEIIERAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3148459,8.00,7.00,8.00,9.00,6.00,7.00,5.00,9.00,8.00,220,NULL,233,'CóRREGO GRANDE','FLORIANóPOLIS','SC',729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148467,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MATO ALTO','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,'S','S',5,10),(16,3148475,6.00,8.00,3.00,8.00,8.00,7.00,3.00,7.00,4.00,428,NULL,425,'KOBRASOL','S JOSé','SC',4015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148483,4.00,4.00,5.00,4.00,2.00,NULL,3.00,3.00,4.00,201,NULL,233,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148491,6.00,6.00,7.00,7.00,6.00,7.50,5.00,5.00,5.00,202,NULL,214,'VILA RICA','MARINGá','PR',3155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148505,4.00,5.00,2.00,3.00,4.00,5.25,0.00,7.00,4.00,104,NULL,NULL,'CIDADE ALTA','ARARANGUá','SC',14341,408,NULL,NULL,NULL,NULL,NULL,2,5),(16,3148513,3.00,5.00,3.00,3.00,5.00,7.50,2.00,7.00,4.00,103,NULL,NULL,'BAIRRO DOS ESTADOS','BAL CAMBORIú','SC',11976,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3148521,3.00,4.00,5.00,9.00,4.00,4.50,3.00,4.00,4.00,238,NULL,208,'CANTO','FLORIANóPOLIS','SC',11626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148530,3.00,2.00,5.00,6.00,7.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'PONTA FINA NORTE','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3148548,8.00,9.00,6.00,9.00,7.00,6.50,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148556,5.00,4.00,4.00,6.00,5.00,6.25,0.00,5.00,6.00,301,NULL,NULL,'PREDIAL','TORRES','RS',10333,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3148564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3148572,6.00,6.00,4.00,5.00,5.00,6.50,2.00,7.00,4.00,428,NULL,427,'FORQUILHINHAS','S JOSé','SC',7727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148602,5.00,4.00,6.00,8.00,6.00,6.00,8.00,5.00,9.00,202,NULL,213,'CENTRO','MINAçU','GO',2612,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3148629,4.00,6.00,2.00,3.00,5.00,4.50,3.00,6.00,3.00,340,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,3),(16,3148637,3.00,5.00,1.00,5.00,1.00,NULL,2.00,4.00,2.00,220,NULL,208,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM CALIFóRNIA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3148653,5.00,7.00,4.00,8.00,6.00,5.75,3.00,6.00,4.00,301,NULL,NULL,'VILA MOEMA','TUBARãO','SC',6567,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3148661,5.00,5.00,4.00,1.00,8.00,4.75,3.00,8.00,4.00,103,NULL,NULL,'CENTRO','JARDINóPOLIS','SC',10109,2233,NULL,NULL,NULL,NULL,NULL,4,4),(16,3148670,2.00,2.00,2.00,1.00,2.00,NULL,3.00,3.00,1.00,415,NULL,NULL,'JARDIM EDORADOIII','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CAMPO LIMPO','FRA SANTANA','BA',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3148696,7.00,6.00,4.00,6.00,2.00,NULL,3.00,5.00,6.00,234,NULL,NULL,'ZONA RURAL','CANAVIEIRAS','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3148700,3.00,3.00,4.00,6.00,5.00,7.50,3.00,5.00,2.00,340,NULL,NULL,'SãO FRANCISCO','CPO GRANDE','MS',12262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148718,8.00,5.00,7.00,6.00,8.00,6.00,4.00,6.00,6.00,103,NULL,NULL,'VILA PADRE DONIZETTI','TAMBAú','SP',3464,1175,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148726,3.00,3.00,1.00,8.00,2.00,NULL,0.00,3.00,4.00,303,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3148734,1.00,3.00,2.00,0.00,5.00,NULL,4.00,4.00,1.00,328,NULL,NULL,'INTERIOR','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3148742,3.00,5.00,3.00,8.00,7.00,5.25,3.00,6.00,4.00,9,NULL,NULL,'BELA VISTA','S JOAQUIM','SC',9560,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3148750,3.00,2.00,2.00,3.00,0.00,NULL,1.00,3.00,3.00,404,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3148769,6.00,4.00,5.00,9.00,6.00,5.50,3.00,7.00,3.00,304,NULL,NULL,'ALTO DA LAPA','S PAULO','SP',6680,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3148777,3.00,3.00,1.00,7.00,4.00,6.75,2.00,4.00,2.00,415,NULL,NULL,'NOSSA SENHORA DE FáT','BARRACãO','PR',15371,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3148785,2.00,4.00,2.00,8.00,4.00,5.75,3.00,5.00,2.00,208,NULL,201,'CENTRO','PALHOçA','SC',14667,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3148793,7.00,6.00,7.00,8.00,6.00,6.25,7.00,8.00,7.00,201,NULL,211,'AGRONôMICA','FLORIANóPOLIS','SC',1348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3148831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3148858,8.00,8.00,8.00,8.00,8.00,6.50,4.00,7.00,8.00,233,NULL,213,'SERRARIA','S JOSé','SC',625,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3148866,5.00,4.00,3.00,5.00,3.00,NULL,2.00,3.00,4.00,317,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3148874,5.00,5.00,4.00,8.00,6.00,6.25,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5664,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3148882,3.00,4.00,4.00,8.00,5.00,6.50,4.00,8.00,4.00,203,NULL,202,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3148890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,215,'TIFA MARTINS','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3148904,2.00,4.00,2.00,3.00,2.00,NULL,3.00,2.00,2.00,309,NULL,NULL,'PALMAS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3148912,6.00,5.00,2.00,7.00,4.00,4.75,2.00,3.00,3.00,501,NULL,NULL,'MARTORANO','S JOAQUIM','SC',12983,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3148920,4.00,7.00,2.00,8.00,5.00,7.25,3.00,7.00,7.00,214,NULL,208,'ITACORUBI','FLORIANóPOLIS','SC',6705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3148939,3.00,3.00,4.00,4.00,5.00,5.50,3.00,6.00,2.00,102,NULL,NULL,'CENTRO','JOAçABA','SC',14604,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3148963,1.00,3.00,2.00,5.00,3.00,NULL,4.00,1.00,3.00,108,NULL,NULL,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3148971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO CIVICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3148980,6.00,7.00,2.00,6.00,5.00,4.00,5.00,8.00,7.00,333,NULL,NULL,'JARDIM PANORâMICO','LAGES','SC',5705,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3148998,3.00,5.00,6.00,0.00,3.00,NULL,4.00,3.00,1.00,203,NULL,214,'INDUSTRIARIOS','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3149005,3.00,4.00,1.00,5.00,3.00,NULL,3.00,6.00,3.00,452,NULL,NULL,'REVOREDO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3149013,6.00,6.00,4.00,6.00,6.00,5.25,3.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5317,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149021,3.00,5.00,3.00,6.00,6.00,5.00,1.00,5.00,4.00,208,NULL,215,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3149030,5.00,7.00,3.00,4.00,9.00,5.75,4.00,7.00,5.00,108,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',6119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149048,2.00,5.00,4.00,3.00,4.00,5.50,3.00,7.00,4.00,404,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',13544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149056,9.00,8.00,5.00,9.00,6.00,6.75,5.00,7.00,7.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149064,4.00,3.00,3.00,6.00,5.00,5.50,2.00,4.00,5.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13282,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149072,8.00,8.00,8.00,8.00,7.00,8.25,5.00,7.00,8.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149080,4.00,4.00,3.00,4.00,6.00,5.00,3.00,2.00,4.00,203,NULL,214,'ABRAãO','FLORIANóPOLIS','SC',14952,885,NULL,462,NULL,NULL,NULL,4,1),(16,3149099,4.00,4.00,4.00,7.00,3.00,NULL,1.00,3.00,5.00,216,NULL,233,'VILA AMARAL','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3149102,3.00,2.00,2.00,6.00,4.00,5.00,3.00,6.00,4.00,203,NULL,201,'BARREIROS','S JOSé','SC',14543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149110,5.00,3.00,2.00,3.00,2.00,NULL,0.00,5.00,3.00,3,NULL,NULL,'TIJUQUINHAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149129,5.00,9.00,5.00,9.00,6.00,4.75,2.00,8.00,5.00,303,NULL,NULL,'CRUZEIRO','RIO NEGRINHO','SC',4569,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3149137,3.00,2.00,3.00,7.00,2.00,NULL,1.00,4.00,3.00,308,NULL,NULL,'CRUZEIRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3149161,5.00,5.00,2.00,7.00,5.00,6.50,3.00,7.00,4.00,501,NULL,NULL,'INTERIOR','VIDEIRA','SC',9245,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3149170,7.00,5.00,6.00,5.00,6.00,5.00,4.00,7.00,6.00,212,NULL,211,'CENTRO','PALHOçA','SC',5555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149188,3.00,6.00,1.00,6.00,4.00,4.75,2.00,2.00,5.00,211,NULL,214,'CENTRO','LAGES','SC',15602,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3149200,2.00,2.00,2.00,5.00,0.00,NULL,1.00,3.00,3.00,404,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149226,4.00,6.00,1.00,8.00,5.00,5.50,3.00,7.00,3.00,423,NULL,421,'BALNEARIO','FLORIANóPOLIS','SC',10256,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149242,2.00,3.00,3.00,6.00,4.00,5.00,1.00,5.00,4.00,303,NULL,NULL,'SãO JOãO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3149250,7.00,8.00,8.00,9.00,7.00,7.25,8.00,6.00,8.00,103,NULL,NULL,'SANTO ANTONIO DE LIS','FLORIANOPOLIS','SC',497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149269,8.00,8.00,6.00,9.00,6.00,5.00,7.00,9.00,7.00,103,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',1164,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149277,3.00,7.00,5.00,8.00,7.00,6.50,4.00,5.00,4.00,333,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149285,3.00,8.00,1.00,7.00,3.00,NULL,4.00,6.00,3.00,201,NULL,207,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149307,4.00,6.00,4.00,7.00,6.00,7.00,2.00,3.00,3.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149315,5.00,7.00,5.00,8.00,5.00,4.75,4.00,6.00,7.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAGO NORTE','LG NORTE','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3149331,6.00,1.00,1.00,2.00,5.00,NULL,1.00,2.00,3.00,102,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149340,8.00,8.00,6.00,9.00,8.00,6.25,7.00,9.00,6.00,203,NULL,201,'PANTANAL','FLORIANóPOLIS','SC',547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149358,6.00,6.00,4.00,6.00,5.00,5.00,4.00,5.00,4.00,503,NULL,NULL,'FLORESTA','VIDEIRA','SC',10016,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149366,7.00,5.00,5.00,6.00,4.00,6.75,4.00,7.00,4.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149374,4.00,4.00,5.00,4.00,3.00,NULL,1.00,4.00,3.00,444,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149382,6.00,4.00,2.00,7.00,4.00,6.00,1.00,4.00,4.00,201,NULL,214,'CENTRO','TURVO','SC',13130,1022,NULL,422,NULL,NULL,NULL,2,5),(16,3149390,2.00,3.00,2.00,3.00,6.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'IMPERIAL','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3149412,3.00,4.00,1.00,5.00,6.00,NULL,1.00,1.00,3.00,201,NULL,207,'STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149420,2.00,6.00,3.00,7.00,5.00,5.75,2.00,6.00,4.00,503,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12521,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149439,8.00,7.00,9.00,8.00,7.00,6.25,5.00,6.00,9.00,103,NULL,NULL,'PRAINHA','FLORIANóPOLIS','SC',783,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149447,3.00,3.00,3.00,3.00,0.00,NULL,3.00,6.00,6.00,203,NULL,216,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149455,4.00,3.00,3.00,5.00,6.00,6.75,3.00,5.00,5.00,102,NULL,NULL,'CENTRO','IBOTIRAMA','BA',13164,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149463,3.00,4.00,4.00,6.00,4.00,4.50,2.00,4.00,5.00,318,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',13579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149471,5.00,4.00,2.00,4.00,4.00,6.00,3.00,4.00,3.00,216,NULL,207,'SAO MARCOS','FARROUPILHA','RS',14991,477,NULL,776,NULL,NULL,NULL,2,1),(16,3149480,4.00,6.00,5.00,7.00,6.00,6.25,4.00,7.00,2.00,450,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',7167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149498,3.00,6.00,3.00,7.00,8.00,5.50,3.00,7.00,2.00,201,NULL,212,'VILA OPERáRIA','ITAJAí','SC',8451,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3149510,6.00,8.00,4.00,8.00,6.00,5.25,5.00,4.00,7.00,211,NULL,203,'PIONEIRO','LUCAS R VERDE','MT',4288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3149536,7.00,6.00,5.00,4.00,8.00,4.50,3.00,8.00,6.00,415,NULL,NULL,'VILA SãO JOSé','CERQUILHO','SP',4734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149544,8.00,9.00,8.00,9.00,8.00,5.75,7.00,7.00,8.00,303,NULL,NULL,'KOBRASOL','S JOSé','SC',351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JURERE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3149579,2.00,4.00,3.00,6.00,2.00,NULL,3.00,5.00,2.00,203,NULL,212,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149587,8.00,9.00,7.00,6.00,9.00,7.25,5.00,8.00,7.00,103,NULL,NULL,'BARREIROS','S JOSé','SC',816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149595,9.00,9.00,6.00,8.00,8.00,7.25,6.00,8.00,8.00,303,NULL,NULL,'CENTRO','PTO ALEGRE','RS',393,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3149609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3149617,4.00,3.00,1.00,5.00,5.00,NULL,2.00,3.00,1.00,216,NULL,203,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3149676,9.00,6.00,9.00,8.00,6.00,6.50,4.00,7.00,7.00,303,NULL,NULL,'CAMPINAS','S JOSé','SC',1241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149684,8.00,8.00,7.00,9.00,4.00,6.50,8.00,9.00,8.00,201,NULL,213,'ITAGUAçU','FLORIANóPOLIS','SC',508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149692,8.00,7.00,6.00,9.00,7.00,6.75,5.00,8.00,8.00,303,NULL,NULL,'SERRARIA','S JOSé','SC',1122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149722,5.00,7.00,3.00,5.00,4.00,5.75,2.00,5.00,3.00,428,NULL,NULL,'BELA VISTA','ITAPIRANGA','SC',12015,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3149749,8.00,8.00,5.00,7.00,7.00,6.00,6.00,9.00,4.00,103,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',2892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149757,5.00,2.00,1.00,6.00,1.00,NULL,2.00,7.00,1.00,208,NULL,238,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149765,5.00,7.00,2.00,5.00,6.00,7.50,3.00,6.00,5.00,318,NULL,NULL,'PRAIA DE BAIXO','BIGUAçU','SC',7353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149773,5.00,6.00,5.00,7.00,5.00,7.25,3.00,5.00,4.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7862,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149781,2.00,0.00,1.00,4.00,1.00,NULL,0.00,3.00,3.00,302,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149790,4.00,4.00,2.00,3.00,4.00,5.75,3.00,4.00,5.00,104,NULL,NULL,'LOTE SEIS','CRICIúMA','SC',14684,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3149803,5.00,5.00,4.00,8.00,6.00,6.00,3.00,3.00,4.00,444,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149811,4.00,5.00,3.00,7.00,7.00,4.75,2.00,7.00,5.00,201,NULL,215,'CENTRO','FLORIANóPOLIS','SC',9618,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149820,6.00,5.00,9.00,9.00,8.00,6.50,4.00,4.00,5.00,220,NULL,NULL,'CENTRO','PASSO FUNDO','RS',3013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149846,4.00,7.00,4.00,2.00,4.00,5.75,3.00,8.00,5.00,303,NULL,NULL,'GUIOMAR','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149854,8.00,8.00,7.00,9.00,5.00,7.00,3.00,7.00,6.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149862,4.00,4.00,3.00,7.00,4.00,4.00,3.00,4.00,3.00,103,NULL,NULL,'SAGUAçU','JOINVILLE','SC',14494,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3149870,7.00,3.00,4.00,4.00,4.00,4.00,3.00,7.00,4.00,108,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',11388,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149889,5.00,2.00,4.00,7.00,5.00,4.75,2.00,3.00,4.00,211,NULL,201,'CENTRO','S MIGUEL OESTE','SC',13565,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3149900,2.00,3.00,3.00,6.00,2.00,NULL,3.00,4.00,4.00,103,NULL,NULL,'CABEÇUDAS','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3149919,1.00,3.00,4.00,7.00,3.00,NULL,3.00,6.00,2.00,103,NULL,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149927,5.00,5.00,1.00,7.00,3.00,NULL,3.00,6.00,3.00,502,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149935,4.00,8.00,7.00,9.00,6.00,5.75,7.00,8.00,6.00,214,NULL,203,'JARDIM DAS NACOES','TAUBATé','SP',1519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3149943,6.00,5.00,3.00,7.00,6.00,4.50,3.00,5.00,5.00,103,NULL,NULL,'ASA SUL','BRASíLIA','DF',8077,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3149951,4.00,2.00,2.00,5.00,3.00,NULL,1.00,2.00,4.00,502,NULL,NULL,'INTERIOR','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3149960,8.00,7.00,9.00,8.00,4.00,8.50,7.00,8.00,8.00,103,NULL,NULL,'SãO JUDAS','ITAJAí','SC',238,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3149978,5.00,6.00,2.00,9.00,5.00,5.00,2.00,7.00,5.00,452,NULL,NULL,'CAMPINAS','S JOSé','SC',8162,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3149986,4.00,8.00,4.00,5.00,5.00,5.25,4.00,4.00,4.00,420,NULL,NULL,'FORTALEZA','BLUMENAU','SC',10241,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3149994,1.00,5.00,1.00,8.00,6.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3150003,7.00,5.00,4.00,7.00,4.00,5.50,3.00,4.00,6.00,203,NULL,220,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150011,7.00,7.00,5.00,9.00,8.00,5.50,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','IçARA','SC',1115,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3150046,4.00,3.00,3.00,3.00,4.00,4.50,3.00,2.00,4.00,103,NULL,NULL,'BELA VISTA','CHAPECó','SC',16617,2834,NULL,NULL,NULL,NULL,NULL,4,4),(16,3150054,3.00,3.00,2.00,7.00,5.00,4.25,1.00,4.00,3.00,211,NULL,NULL,'ALTO','RIO NEGRO','PR',16395,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3150062,4.00,5.00,9.00,8.00,4.00,5.50,5.00,8.00,9.00,203,NULL,NULL,'VILA MARIANA','S PAULO','SP',2451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150070,6.00,7.00,4.00,9.00,5.00,6.25,6.00,8.00,7.00,420,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',2420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150089,3.00,5.00,2.00,7.00,6.00,4.75,1.00,7.00,6.00,104,NULL,NULL,'JARDIM SãO MIGUEL','BIGUAçU','SC',11054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150097,8.00,7.00,6.00,7.00,5.00,5.00,5.00,5.00,4.00,208,NULL,238,'BARRA DO RIO CERRO','JARAGUá SUL','SC',4144,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3150100,7.00,8.00,7.00,9.00,7.00,6.00,5.00,8.00,7.00,202,NULL,NULL,'CENTRO','CONCóRDIA','SC',900,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3150119,8.00,6.00,6.00,7.00,7.00,6.25,4.00,8.00,5.00,216,NULL,215,'CENTRO','BOTUVERá','SC',2240,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3150127,5.00,5.00,4.00,7.00,4.00,5.50,7.00,7.00,8.00,103,NULL,NULL,'MERCES','CURITIBA','PR',4330,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3150135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'CHACARA FLORA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3150143,5.00,5.00,3.00,6.00,5.00,5.50,3.00,7.00,3.00,5,NULL,NULL,'CENTRO','NOVA TRENTO','SC',8984,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA TEREZINHA','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3150160,4.00,6.00,3.00,8.00,5.00,5.75,2.00,7.00,5.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',7706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150178,5.00,5.00,2.00,6.00,7.00,7.25,2.00,4.00,2.00,108,NULL,NULL,'CENTRO','TUBARãO','SC',12102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150186,7.00,6.00,2.00,9.00,6.00,5.00,4.00,5.00,5.00,102,NULL,NULL,'BALNEARIO','FLORIANóPOLIS','SC',7225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150194,5.00,6.00,1.00,3.00,6.00,4.75,3.00,5.00,5.00,207,NULL,201,'S C DE JESUS','LAGES','SC',13396,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3150208,3.00,5.00,7.00,4.00,4.00,5.50,4.00,5.00,6.00,303,NULL,NULL,'PARQUE DAS PALMEIRAS','CHAPECó','SC',10006,429,NULL,NULL,NULL,NULL,NULL,4,4),(16,3150216,6.00,3.00,3.00,7.00,4.00,4.50,3.00,3.00,4.00,203,NULL,NULL,'JARDIM VISTA ALEGRE','RIBEIRãO PRETO','SP',14013,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150232,5.00,2.00,2.00,8.00,6.00,5.75,3.00,3.00,3.00,319,NULL,NULL,'FLOR DO SOL','S JOSé','SC',13180,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3150259,6.00,5.00,3.00,7.00,6.00,5.25,3.00,8.00,3.00,102,NULL,NULL,'CENTRO','S JOSé','SC',8488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150267,4.00,2.00,2.00,6.00,3.00,NULL,3.00,3.00,3.00,424,NULL,421,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150275,6.00,5.00,1.00,5.00,3.00,NULL,3.00,7.00,1.00,208,NULL,202,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150283,5.00,4.00,4.00,9.00,4.00,5.50,2.00,7.00,3.00,340,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3150305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3150313,8.00,7.00,6.00,9.00,8.00,5.50,3.00,6.00,7.00,5,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',1749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150321,4.00,5.00,4.00,5.00,6.00,5.25,3.00,7.00,4.00,238,NULL,203,'SãO SEBASTIãO','PALHOçA','SC',10997,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150348,3.00,5.00,3.00,8.00,7.00,5.75,2.00,7.00,4.00,426,NULL,424,'CENTRO','BAL CAMBORIú','SC',9697,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3150356,3.00,5.00,3.00,7.00,3.00,NULL,2.00,5.00,3.00,429,NULL,425,'ARMAçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150364,4.00,7.00,3.00,9.00,8.00,5.00,2.00,7.00,3.00,329,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150372,7.00,7.00,2.00,7.00,6.00,5.25,5.00,6.00,5.00,444,NULL,NULL,'KOBRASOL','S JOSé','SC',6278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150399,5.00,3.00,5.00,6.00,5.00,6.50,2.00,8.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',5666,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3150402,4.00,7.00,4.00,8.00,6.00,7.00,6.00,6.00,5.00,329,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',4167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150410,7.00,7.00,7.00,5.00,7.00,6.50,8.00,8.00,8.00,103,NULL,NULL,'SANTO INáCIO','CURITIBA','PR',1189,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3150437,4.00,5.00,4.00,5.00,5.00,6.25,5.00,5.00,5.00,104,NULL,NULL,'VILA BAEPENDI','JARAGUá SUL','SC',7884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150445,2.00,5.00,3.00,6.00,2.00,NULL,2.00,6.00,2.00,324,NULL,NULL,'STO ANTONIO LISBOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150453,7.00,6.00,4.00,8.00,2.00,NULL,2.00,4.00,6.00,216,NULL,NULL,'JARDIM ELDORADO','DRACENA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3150488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3150526,4.00,3.00,2.00,5.00,2.00,NULL,3.00,4.00,3.00,220,NULL,211,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150534,4.00,6.00,2.00,5.00,5.00,3.00,1.00,4.00,5.00,415,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150542,8.00,7.00,6.00,8.00,9.00,8.50,5.00,7.00,5.00,5,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',1413,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150550,4.00,4.00,2.00,6.00,2.00,NULL,2.00,6.00,5.00,452,NULL,NULL,'AMéRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3150569,5.00,5.00,5.00,3.00,6.00,5.00,4.00,5.00,3.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150577,3.00,4.00,5.00,5.00,4.00,3.25,3.00,4.00,4.00,102,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150585,3.00,3.00,2.00,8.00,3.00,NULL,1.00,6.00,4.00,234,NULL,NULL,'GRANJA VIANA','COTIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150593,7.00,6.00,5.00,8.00,3.00,NULL,3.00,6.00,5.00,340,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150607,4.00,8.00,6.00,9.00,8.00,6.00,6.00,6.00,6.00,211,NULL,216,'VICTOR KONDER','BLUMENAU','SC',2091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150615,3.00,6.00,3.00,9.00,4.00,5.50,3.00,7.00,5.00,425,NULL,429,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',9026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150623,4.00,2.00,1.00,4.00,6.00,NULL,1.00,2.00,4.00,319,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150640,5.00,3.00,2.00,6.00,6.00,5.00,3.00,8.00,3.00,208,NULL,203,'SERRARIA','S JOSé','SC',10920,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150658,4.00,5.00,2.00,7.00,4.00,5.75,3.00,6.00,4.00,203,NULL,233,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',11998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150666,4.00,5.00,4.00,8.00,7.00,5.75,2.00,7.00,3.00,319,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',7304,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150674,6.00,5.00,6.00,7.00,8.00,5.50,5.00,7.00,7.00,208,NULL,238,'KOBRASOL','S JOSé','SC',3450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150682,4.00,4.00,4.00,2.00,5.00,5.00,4.00,6.00,4.00,234,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150690,6.00,7.00,5.00,8.00,7.00,6.75,4.00,7.00,5.00,207,NULL,201,'CENTRO','S BENTO SUL','SC',3259,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3150704,0.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'BOEHMERWALDT','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(16,3150712,3.00,5.00,4.00,7.00,3.00,NULL,3.00,4.00,2.00,425,NULL,429,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150720,6.00,6.00,5.00,7.00,6.00,6.00,4.00,7.00,6.00,318,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',4405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150739,1.00,2.00,3.00,4.00,3.00,NULL,1.00,3.00,4.00,301,NULL,NULL,'PINHEIRA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150747,4.00,2.00,1.00,8.00,3.00,NULL,2.00,6.00,2.00,208,NULL,238,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150755,7.00,7.00,8.00,6.00,7.00,6.00,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SAúDE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3150771,3.00,4.00,3.00,3.00,5.00,6.75,3.00,6.00,5.00,303,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',12717,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150780,6.00,4.00,3.00,9.00,5.00,4.25,3.00,7.00,3.00,211,NULL,214,'CID UNIVERSITARIA','CAMPINAS','SP',8956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150798,6.00,7.00,5.00,8.00,7.00,5.75,3.00,8.00,6.00,104,NULL,NULL,'VILA NOVA','IMBITUBA','SC',3524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150801,4.00,5.00,1.00,8.00,7.00,7.25,3.00,6.00,4.00,452,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150810,4.00,4.00,2.00,2.00,2.00,NULL,3.00,8.00,5.00,444,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3150828,2.00,3.00,2.00,5.00,4.00,5.75,1.00,7.00,2.00,318,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',16003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3150844,5.00,5.00,5.00,6.00,4.00,3.00,2.00,6.00,3.00,340,NULL,NULL,'VILAGGIO I','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150852,3.00,5.00,3.00,4.00,5.00,4.50,2.00,3.00,2.00,340,NULL,NULL,'BARREIROS','S JOSé','SC',16410,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150860,3.00,1.00,2.00,3.00,0.00,NULL,3.00,4.00,0.00,428,NULL,427,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150879,6.00,6.00,6.00,7.00,8.00,6.25,3.00,8.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150887,5.00,3.00,3.00,5.00,3.00,NULL,3.00,2.00,2.00,331,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150895,5.00,6.00,4.00,7.00,5.00,5.75,4.00,4.00,4.00,319,NULL,NULL,'JOSE MENDES','FLORIANóPOLIS','SC',9013,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150917,0.00,0.00,0.00,2.00,2.00,NULL,2.00,2.00,4.00,104,NULL,NULL,'BORGES DE MEDEIROS','MARAU','RS',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(16,3150933,5.00,4.00,3.00,3.00,3.00,NULL,3.00,4.00,3.00,203,NULL,201,'AMéRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3150941,6.00,6.00,4.00,5.00,4.00,4.00,3.00,7.00,2.00,202,NULL,NULL,'KOBRASOL','S JOSé','SC',11841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150950,6.00,6.00,3.00,5.00,8.00,7.00,4.00,8.00,7.00,233,NULL,202,'TRINDADE','FLORIANóPOLIS','SC',4158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150968,7.00,7.00,7.00,9.00,8.00,6.50,6.00,9.00,6.00,103,NULL,NULL,'URLANDIA','STA MARIA','RS',687,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150976,5.00,6.00,6.00,5.00,5.00,5.00,4.00,4.00,7.00,220,NULL,203,'SETOR RURAL','STA LUZIA D OESTE','RO',7178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3150984,8.00,8.00,9.00,8.00,7.00,6.75,8.00,8.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3150992,6.00,4.00,1.00,3.00,4.00,5.25,3.00,5.00,3.00,203,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',15007,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3151000,3.00,4.00,1.00,5.00,4.00,4.25,3.00,4.00,4.00,201,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',14694,1130,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151018,8.00,7.00,9.00,6.00,8.00,5.50,7.00,8.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151026,4.00,0.00,4.00,4.00,5.00,4.50,1.00,4.00,5.00,309,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',16224,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151042,5.00,3.00,1.00,2.00,5.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3151069,5.00,6.00,4.00,5.00,4.00,6.00,5.00,8.00,5.00,201,NULL,212,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151077,3.00,7.00,3.00,8.00,6.00,5.75,3.00,6.00,3.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',9162,2138,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151085,4.00,6.00,5.00,4.00,4.00,6.75,5.00,9.00,8.00,103,NULL,NULL,'JARDIM MARIA LUÍZA','CASCAVEL','PR',4496,1399,NULL,NULL,NULL,NULL,NULL,4,6),(16,3151093,8.00,9.00,5.00,8.00,6.00,5.50,6.00,8.00,6.00,333,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151107,6.00,5.00,7.00,6.00,4.00,6.00,4.00,6.00,6.00,207,NULL,201,'JARDIM OURO BRANCO','PARANAVAí','PR',4731,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3151115,9.00,9.00,4.00,6.00,6.00,5.50,4.00,9.00,7.00,203,NULL,202,'ESTREITO','FLORIANóPOLIS','SC',2290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151123,4.00,6.00,1.00,1.00,5.00,6.75,3.00,5.00,6.00,211,NULL,NULL,'URBANOVA','S JOSé CAMPOS','SP',11956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151131,4.00,3.00,3.00,5.00,2.00,NULL,1.00,2.00,1.00,453,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151158,7.00,7.00,5.00,6.00,8.00,5.50,4.00,8.00,6.00,340,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151166,6.00,4.00,2.00,3.00,6.00,5.75,0.00,7.00,5.00,103,NULL,NULL,'SÃO CRISTOVÃO','VIDEIRA','SC',12375,2471,NULL,NULL,NULL,NULL,NULL,4,7),(16,3151174,3.00,2.00,2.00,8.00,4.00,5.00,2.00,4.00,2.00,215,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',15314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3151190,1.00,7.00,3.00,5.00,7.00,6.25,4.00,5.00,4.00,216,NULL,215,'CENTRO','CURITIBA','PR',9742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151204,5.00,6.00,6.00,8.00,5.00,6.00,5.00,7.00,5.00,211,NULL,212,'SAGUAçU','JOINVILLE','SC',3917,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3151212,5.00,6.00,2.00,8.00,6.00,5.00,3.00,5.00,4.00,320,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',9045,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3151220,4.00,5.00,3.00,5.00,6.00,4.25,1.00,8.00,6.00,415,NULL,NULL,'CENTRO','LAGES','SC',11022,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3151239,4.00,2.00,4.00,2.00,3.00,NULL,2.00,4.00,4.00,316,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151247,4.00,6.00,3.00,8.00,7.00,4.75,4.00,7.00,3.00,211,NULL,208,'CENTRO','FLORIANóPOLIS','SC',7721,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151255,4.00,8.00,1.00,3.00,1.00,NULL,1.00,6.00,3.00,214,NULL,202,'SãO JOSé','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3151263,3.00,4.00,3.00,5.00,5.00,6.25,4.00,7.00,2.00,428,NULL,421,'COLONINHA','FLORIANóPOLIS','SC',11865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151271,4.00,3.00,2.00,7.00,3.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151280,4.00,3.00,3.00,9.00,7.00,6.00,2.00,7.00,4.00,319,NULL,NULL,'JARDIM AQUARIUS','S JOSé CAMPOS','SP',8977,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3151298,5.00,5.00,6.00,6.00,7.00,5.00,2.00,7.00,8.00,103,NULL,NULL,'BALNEARIO ESTREITO','FLORIANóPOLIS','SC',4639,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151301,7.00,7.00,6.00,7.00,8.00,6.00,6.00,7.00,8.00,201,NULL,207,'CENTRO','FLORIANóPOLIS','SC',1474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151310,2.00,0.00,2.00,4.00,2.00,NULL,2.00,0.00,3.00,9,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151336,5.00,3.00,2.00,6.00,4.00,5.25,2.00,6.00,4.00,201,NULL,207,'PONTA DE BAIXO','S JOSé','SC',13849,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151344,4.00,7.00,4.00,7.00,4.00,5.25,4.00,8.00,6.00,102,NULL,NULL,'CENTRO','CURITIBANOS','SC',6444,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3151352,9.00,7.00,6.00,3.00,8.00,6.00,4.00,6.00,8.00,103,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',1800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151387,5.00,5.00,3.00,3.00,4.00,6.00,1.00,9.00,4.00,340,NULL,NULL,'JARDIM MIRANTE','S PAULO','SP',10776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151417,4.00,3.00,1.00,5.00,4.00,NULL,3.00,2.00,3.00,102,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151425,5.00,4.00,1.00,2.00,2.00,NULL,1.00,5.00,3.00,104,NULL,NULL,'CENTRO','BELA V PARAíSO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151433,6.00,5.00,5.00,6.00,6.00,6.25,5.00,5.00,4.00,207,NULL,201,'PRAIA COMPRIDA','S JOSé','SC',6645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151441,1.00,2.00,2.00,5.00,3.00,NULL,2.00,6.00,2.00,103,NULL,NULL,'CENTRO','PARANAGUá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3151450,5.00,4.00,1.00,7.00,5.00,6.50,2.00,5.00,3.00,308,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12961,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151468,8.00,9.00,2.00,7.00,7.00,6.25,8.00,9.00,8.00,203,NULL,216,'ITAGUAçU','FLORIANóPOLIS','SC',835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151476,3.00,3.00,1.00,6.00,3.00,NULL,3.00,6.00,3.00,212,NULL,233,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3151484,4.00,4.00,4.00,4.00,5.00,5.25,4.00,5.00,5.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',10643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151492,4.00,8.00,5.00,5.00,6.00,5.00,4.00,5.00,5.00,201,NULL,207,'CENTRO','HERVAL D OESTE','SC',6688,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3151506,9.00,6.00,6.00,9.00,7.00,7.50,5.00,9.00,9.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151514,5.00,3.00,4.00,6.00,7.00,6.50,4.00,5.00,4.00,211,NULL,207,'CENTRO','XANXERê','SC',8897,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3151522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3151530,5.00,5.00,6.00,7.00,5.00,5.50,4.00,6.00,5.00,302,NULL,NULL,'BARREIROS','S JOSé','SC',7819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151549,2.00,8.00,2.00,4.00,4.00,5.25,1.00,7.00,4.00,316,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',13673,164,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151557,1.00,2.00,3.00,6.00,1.00,NULL,4.00,0.00,3.00,319,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151565,3.00,4.00,5.00,6.00,4.00,6.75,3.00,7.00,3.00,415,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151573,4.00,8.00,4.00,8.00,4.00,4.25,2.00,6.00,3.00,103,NULL,NULL,'BUTANTã','S PAULO','SP',10584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151590,6.00,7.00,3.00,8.00,9.00,7.00,5.00,8.00,7.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2472,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151611,8.00,8.00,6.00,5.00,7.00,5.00,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151638,1.00,3.00,2.00,1.00,5.00,NULL,3.00,3.00,1.00,444,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ROMANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3151654,4.00,6.00,4.00,8.00,4.00,5.00,3.00,6.00,4.00,211,NULL,212,'CABEçUDAS','ITAJAí','SC',9391,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3151662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'COLONIA CASTROLANDA','COL CASTROLâNDA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3151670,1.00,2.00,2.00,5.00,3.00,NULL,2.00,1.00,1.00,201,NULL,207,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3151689,3.00,2.00,1.00,8.00,6.00,5.75,2.00,3.00,2.00,207,NULL,211,'CENTRO','GUAPORé','RS',15389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151697,7.00,8.00,5.00,6.00,7.00,6.50,5.00,8.00,4.00,103,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',2700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'JARDIM COIMASA','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3151719,4.00,8.00,6.00,8.00,6.00,5.00,5.00,7.00,7.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',3244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151727,2.00,4.00,1.00,7.00,7.00,7.75,1.00,4.00,3.00,340,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',13880,429,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151735,2.00,2.00,5.00,1.00,4.00,NULL,2.00,2.00,4.00,208,NULL,207,'ATLâNTICO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3151743,3.00,2.00,1.00,1.00,5.00,NULL,2.00,5.00,3.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GRANJA VIANA','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3151760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,202,'CENTRO','ERVAL VELHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3151778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3151794,3.00,5.00,8.00,9.00,5.00,6.25,2.00,5.00,8.00,216,NULL,215,'CARVOEIRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3151840,1.00,1.00,1.00,4.00,3.00,NULL,2.00,5.00,1.00,426,NULL,428,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151859,6.00,3.00,4.00,6.00,6.00,6.25,1.00,7.00,3.00,211,NULL,208,'CAMPINAS','S JOSé','SC',11913,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151867,5.00,2.00,2.00,7.00,4.00,5.50,4.00,4.00,2.00,319,NULL,NULL,'SãO CRISTóVãO','TURVO','SC',13929,297,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151875,3.00,0.00,1.00,4.00,2.00,NULL,3.00,3.00,2.00,428,NULL,423,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151883,8.00,8.00,7.00,7.00,8.00,6.25,4.00,9.00,8.00,103,NULL,NULL,'GUARANI','BRUSQUE','SC',601,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3151891,5.00,7.00,3.00,8.00,6.00,8.00,3.00,9.00,3.00,2,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',5222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151905,2.00,2.00,5.00,5.00,5.00,5.75,4.00,3.00,7.00,225,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',12868,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3151913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'MARIA GORETTI','CHAPECó','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3151921,6.00,5.00,2.00,7.00,4.00,5.75,3.00,7.00,7.00,104,NULL,NULL,'CENTRO','CONCóRDIA','SC',7205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151930,5.00,8.00,4.00,9.00,5.00,4.75,2.00,7.00,5.00,207,NULL,211,'CENTRO','FLORIANóPOLIS','SC',6005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151948,8.00,9.00,4.00,3.00,6.00,5.25,4.00,6.00,6.00,452,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',5399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151964,9.00,7.00,9.00,8.00,7.00,6.75,7.00,9.00,9.00,103,NULL,NULL,'JARDIM MARINGÁ','ITAPEVA','SP',79,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3151972,6.00,4.00,3.00,9.00,5.00,5.50,4.00,5.00,6.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',7326,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3151980,5.00,5.00,6.00,6.00,5.00,6.00,6.00,5.00,5.00,103,NULL,NULL,'COMERCIARIO','CRICIúMA','SC',6351,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3151999,5.00,4.00,1.00,8.00,5.00,4.00,3.00,6.00,4.00,301,NULL,NULL,'CENTRO','JARAGUá SUL','SC',12230,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3152006,5.00,5.00,5.00,6.00,5.00,4.00,3.00,7.00,3.00,308,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10481,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152014,7.00,8.00,6.00,6.00,6.00,5.00,7.00,7.00,8.00,203,NULL,202,'NOVA SUIÇA','GOIANIA','GO',1675,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3152022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'SâO JOâO','SEARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3152030,6.00,6.00,3.00,8.00,6.00,5.25,6.00,6.00,6.00,304,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',4232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152049,2.00,4.00,3.00,5.00,4.00,5.00,3.00,7.00,5.00,104,NULL,NULL,'ARIRIú','PALHOçA','SC',13125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152057,0.00,5.00,1.00,4.00,1.00,NULL,2.00,2.00,3.00,309,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152065,1.00,4.00,2.00,6.00,2.00,NULL,1.00,4.00,2.00,501,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3152073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3152081,5.00,5.00,2.00,6.00,7.00,6.00,3.00,5.00,5.00,207,NULL,201,'SãO CRISTóVãO','TURVO','SC',9196,430,NULL,712,NULL,NULL,NULL,2,1),(16,3152090,3.00,5.00,3.00,6.00,7.00,5.00,2.00,7.00,1.00,316,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',11936,135,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152120,2.00,4.00,4.00,3.00,4.00,5.00,3.00,5.00,3.00,303,NULL,NULL,'CZERNIEWICZ','JARAGUá SUL','SC',15726,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3152138,4.00,6.00,1.00,2.00,5.00,5.75,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',15215,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3152146,4.00,4.00,4.00,2.00,5.00,5.75,3.00,3.00,4.00,319,NULL,NULL,'VILA NOVA','JARAGUá SUL','SC',15407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152154,5.00,4.00,2.00,8.00,5.00,5.25,1.00,3.00,4.00,304,NULL,NULL,'VISTA ALEGRE','CONCóRDIA','SC',14332,149,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152162,3.00,4.00,2.00,6.00,2.00,NULL,2.00,2.00,5.00,103,NULL,NULL,'CENTRO','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152189,3.00,2.00,2.00,3.00,5.00,NULL,2.00,4.00,3.00,211,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152227,4.00,1.00,1.00,1.00,2.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','S JOSé OURO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3152235,6.00,8.00,7.00,5.00,7.00,5.75,5.00,8.00,6.00,301,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',2031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152243,4.00,4.00,1.00,0.00,5.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'PRIMAVERA II','PRIMAVERA LESTE','MT',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3152251,2.00,5.00,3.00,2.00,2.00,NULL,3.00,4.00,6.00,415,NULL,NULL,'DEER','CAçADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3152260,3.00,1.00,3.00,5.00,3.00,NULL,0.00,4.00,2.00,205,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152278,3.00,7.00,6.00,7.00,6.00,6.00,4.00,7.00,4.00,453,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',5755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3152294,4.00,3.00,3.00,8.00,8.00,6.75,2.00,2.00,3.00,415,NULL,NULL,'CAMOBI','STA MARIA','RS',12222,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3152316,5.00,6.00,6.00,7.00,5.00,6.75,3.00,5.00,7.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152324,6.00,7.00,4.00,8.00,6.00,4.25,4.00,6.00,5.00,5,NULL,NULL,'SERRARIA','S JOSé','SC',6508,257,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152340,3.00,2.00,1.00,2.00,1.00,NULL,3.00,2.00,2.00,502,NULL,NULL,'SALTO','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(16,3152359,5.00,6.00,1.00,8.00,7.00,3.25,4.00,6.00,5.00,453,NULL,NULL,'COLONINHA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152367,5.00,3.00,4.00,5.00,4.00,6.00,3.00,7.00,2.00,104,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',13448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152375,4.00,6.00,1.00,2.00,6.00,4.50,2.00,4.00,4.00,201,NULL,207,'ALTO ARROIO','IMBITUBA','SC',15469,1193,NULL,799,NULL,NULL,NULL,4,1),(16,3152383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3152391,8.00,7.00,7.00,7.00,6.00,6.75,5.00,8.00,8.00,103,NULL,NULL,'VILA NOVA','JARAGUá SUL','SC',1479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152413,3.00,5.00,3.00,1.00,3.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'CRISTAL','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3152421,0.00,2.00,3.00,4.00,3.00,NULL,2.00,1.00,1.00,202,NULL,201,'COLONINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152430,1.00,6.00,4.00,3.00,5.00,4.75,5.00,4.00,1.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152456,6.00,8.00,5.00,6.00,8.00,5.25,4.00,9.00,5.00,302,NULL,NULL,'CAMPINAS','S JOSé','SC',3102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152464,1.00,4.00,2.00,2.00,5.00,NULL,2.00,4.00,3.00,104,NULL,NULL,'ALTO BIGUAçU','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152472,4.00,5.00,4.00,8.00,4.00,6.00,1.00,3.00,6.00,207,NULL,233,'SACO DOS LIMõES','FLORIANóPOLIS','SC',9932,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3152499,6.00,6.00,4.00,5.00,7.00,5.50,1.00,6.00,5.00,340,NULL,NULL,'BELA VISTA II','S JOSé','SC',9328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152510,9.00,8.00,5.00,10.00,7.00,7.00,4.00,8.00,7.00,203,NULL,202,'PONTE DO IMARUIM','PALHOçA','SC',1151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152529,8.00,7.00,6.00,8.00,7.00,6.25,4.00,4.00,6.00,103,NULL,NULL,'VILA NOVA','LAGES','SC',2502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152537,4.00,4.00,2.00,6.00,4.00,6.00,3.00,4.00,1.00,319,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',15194,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152545,6.00,7.00,7.00,5.00,8.00,5.75,6.00,8.00,9.00,103,NULL,NULL,'CENTRO','ANáPOLIS','GO',1172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152553,6.00,6.00,6.00,3.00,4.00,4.75,3.00,6.00,5.00,304,NULL,NULL,'CENTRO','MAFRA','SC',8446,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3152561,3.00,6.00,4.00,6.00,4.00,4.75,1.00,7.00,2.00,327,NULL,NULL,'BARREIROS','S JOSé','SC',13639,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152570,0.00,1.00,1.00,0.00,3.00,NULL,2.00,3.00,1.00,316,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152588,3.00,3.00,2.00,6.00,7.00,4.75,1.00,5.00,4.00,420,NULL,NULL,'RESID STHALBERG','LIMEIRA','SP',15315,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152596,7.00,7.00,6.00,7.00,5.00,6.50,3.00,8.00,7.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152600,9.00,8.00,8.00,7.00,9.00,7.75,7.00,8.00,9.00,103,NULL,NULL,'CIDADE JARDIM','PRES PRUDENTE','SP',75,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3152618,2.00,4.00,2.00,3.00,3.00,NULL,2.00,1.00,4.00,301,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152626,8.00,7.00,6.00,8.00,9.00,7.75,4.00,7.00,8.00,103,NULL,NULL,'JARDIM BOA ESPERANÇA','CAMPINAS','SP',892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152634,4.00,1.00,3.00,4.00,2.00,NULL,3.00,3.00,1.00,324,NULL,NULL,'VILLAGE','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152642,3.00,3.00,1.00,2.00,4.00,6.25,4.00,4.00,4.00,214,NULL,211,'TAPERA','FLORIANóPOLIS','SC',15724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152650,3.00,4.00,3.00,7.00,7.00,6.75,1.00,7.00,3.00,308,NULL,NULL,'CENTRO','PALHOçA','SC',11097,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152669,7.00,7.00,8.00,7.00,7.00,5.25,6.00,9.00,8.00,5,NULL,NULL,'CENTRO','CRICIúMA','SC',1028,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3152677,6.00,5.00,7.00,8.00,9.00,5.00,9.00,8.00,9.00,220,NULL,202,'SUDOESTE','CRUZEIRO','DF',653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152685,7.00,6.00,9.00,8.00,8.00,5.50,4.00,8.00,8.00,103,NULL,NULL,'JARDIM PROGRESSO','PARANAVAí','PR',1454,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3152693,4.00,3.00,4.00,8.00,4.00,4.00,2.00,5.00,3.00,301,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',13503,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152707,2.00,5.00,4.00,7.00,5.00,6.00,1.00,5.00,4.00,303,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152715,9.00,5.00,7.00,6.00,6.00,5.00,4.00,8.00,7.00,103,NULL,NULL,'BARRA FUNDA','BERNARDINO CAMPOS','SP',2317,918,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'FLORADAS DE SãO JOSé','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3152740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3152758,5.00,4.00,4.00,7.00,5.00,5.25,2.00,7.00,4.00,301,NULL,NULL,'SERRARIAS','S JOSé','SC',10607,189,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152766,4.00,7.00,3.00,4.00,7.00,5.75,2.00,6.00,3.00,309,NULL,NULL,'PRAIA DE FORA','PALHOçA','SC',10893,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152774,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3152782,3.00,5.00,5.00,5.00,5.00,5.25,4.00,4.00,4.00,203,NULL,214,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3152790,8.00,8.00,5.00,8.00,7.00,8.25,4.00,9.00,6.00,5,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',1364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152804,5.00,7.00,6.00,5.00,4.00,5.75,1.00,7.00,5.00,233,NULL,215,'CAMPINAS','S JOSé','SC',8334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152812,5.00,0.00,2.00,6.00,7.00,NULL,1.00,3.00,2.00,108,NULL,NULL,'HUMAITá','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3152820,4.00,4.00,4.00,3.00,3.00,NULL,0.00,4.00,2.00,309,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3152839,7.00,8.00,5.00,8.00,5.00,5.25,3.00,8.00,7.00,420,NULL,NULL,'BARREIROS','S JOSé','SC',3307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152847,1.00,3.00,3.00,4.00,3.00,NULL,2.00,0.00,3.00,103,NULL,NULL,'NAçõES','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152855,5.00,4.00,3.00,2.00,7.00,5.25,1.00,5.00,4.00,214,NULL,207,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3152871,6.00,4.00,4.00,2.00,5.00,6.75,1.00,4.00,4.00,428,NULL,426,'SACO DOS LIMOES','FLORIANóPOLIS','SC',14687,77,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152880,3.00,2.00,2.00,2.00,1.00,NULL,3.00,1.00,2.00,425,NULL,423,'ENSEADA DE BRITO','ENS BRITO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152901,6.00,4.00,5.00,2.00,5.00,5.50,4.00,6.00,6.00,303,NULL,NULL,'FLORESTA','JOINVILLE','SC',9822,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3152910,8.00,6.00,5.00,1.00,6.00,6.00,5.00,7.00,7.00,103,NULL,NULL,'CALIFORNIA','MTE ALTO','SP',5539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3152936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'INTERIOR','ENTRE R OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3152944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3152952,2.00,3.00,3.00,1.00,5.00,NULL,2.00,3.00,2.00,201,NULL,215,'PALHOçA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152960,7.00,5.00,5.00,7.00,6.00,6.75,4.00,7.00,4.00,102,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4948,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3152979,2.00,2.00,2.00,4.00,5.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'ALTO DA BRONZE','ESTRELA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152987,5.00,3.00,3.00,6.00,5.00,4.50,4.00,3.00,2.00,202,NULL,208,'CENTRO','FLORIANóPOLIS','SC',14326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3152995,6.00,6.00,7.00,8.00,5.00,7.00,3.00,6.00,5.00,211,NULL,215,'CACUPé','FLORIANóPOLIS','SC',4485,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3153002,7.00,6.00,6.00,6.00,5.00,5.50,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4009,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153010,1.00,2.00,2.00,7.00,4.00,6.50,3.00,5.00,3.00,426,NULL,423,'CENTRO','VACARIA','RS',15322,28,NULL,NULL,NULL,NULL,NULL,2,2),(16,3153029,6.00,7.00,6.00,9.00,8.00,5.50,4.00,6.00,6.00,233,NULL,215,'KOBRASOL','S JOSé','SC',2486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153037,4.00,6.00,2.00,4.00,4.00,6.25,3.00,5.00,2.00,207,NULL,201,'CAMPECHE','FLORIANóPOLIS','SC',15086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3153053,1.00,2.00,3.00,3.00,2.00,NULL,1.00,1.00,1.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3153061,4.00,8.00,4.00,9.00,4.00,5.50,2.00,7.00,5.00,220,NULL,202,'TRINDADE','FLORIANóPOLIS','SC',6301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153070,7.00,3.00,2.00,7.00,4.00,5.00,5.00,4.00,4.00,102,NULL,NULL,'CENTRO','NOVA VENEZA','SC',10795,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3153088,5.00,3.00,3.00,5.00,4.00,5.25,3.00,2.00,2.00,340,NULL,NULL,'CAMPINAS','S JOSé','SC',16284,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153096,9.00,7.00,5.00,5.00,6.00,2.50,3.00,5.00,6.00,103,NULL,NULL,'ZONA UM','CIANORTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153100,8.00,7.00,8.00,9.00,6.00,6.25,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',1068,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3153126,6.00,4.00,3.00,2.00,6.00,7.00,4.00,4.00,2.00,203,NULL,201,'SANTA MONICA','FLORIANóPOLIS','SC',12551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153134,8.00,8.00,8.00,7.00,6.00,5.00,7.00,8.00,8.00,211,NULL,216,'PROGRESSO','S BENTO SUL','SC',519,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3153150,5.00,3.00,2.00,2.00,6.00,4.75,5.00,6.00,4.00,318,NULL,NULL,'CAMPINAS','S JOSé','SC',13714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153169,5.00,8.00,3.00,7.00,4.00,7.00,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','ITUPORANGA','SC',6593,1772,NULL,NULL,NULL,NULL,NULL,2,2),(16,3153177,3.00,4.00,4.00,6.00,6.00,5.25,1.00,7.00,3.00,310,NULL,NULL,'UTINGA','STO ANDRé','SP',12671,45,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153185,4.00,6.00,3.00,5.00,6.00,5.50,2.00,4.00,4.00,216,NULL,215,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3153193,3.00,6.00,1.00,1.00,2.00,NULL,3.00,4.00,1.00,317,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM NAZARETH','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3153215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,201,'CENTRO','CACOAL','RO',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3153223,7.00,7.00,6.00,7.00,6.00,7.50,4.00,6.00,7.00,101,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',2886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153231,6.00,7.00,4.00,7.00,6.00,6.25,4.00,7.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153240,3.00,4.00,1.00,3.00,0.00,NULL,2.00,3.00,3.00,444,NULL,NULL,'CANTA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3153258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3153266,6.00,5.00,4.00,4.00,4.00,4.25,4.00,4.00,5.00,103,NULL,NULL,'CENTRO','PTO VITóRIA','PR',10883,2321,NULL,NULL,NULL,NULL,NULL,2,8),(16,3153274,7.00,4.00,8.00,9.00,7.00,6.50,5.00,5.00,7.00,103,NULL,NULL,'JUVEVE','CURITIBA','PR',2007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153282,5.00,5.00,2.00,7.00,5.00,5.25,2.00,5.00,3.00,453,NULL,NULL,'TRINTA RéIS','NOVA TRENTO','SC',12773,101,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153290,2.00,6.00,4.00,8.00,4.00,4.50,3.00,6.00,4.00,324,NULL,NULL,'BALNÁRIO DOS AÇORES','FLORIANOPOLIS','SC',10852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153304,5.00,5.00,2.00,7.00,7.00,5.50,4.00,7.00,6.00,101,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153312,3.00,5.00,5.00,6.00,3.00,NULL,5.00,7.00,4.00,224,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153320,4.00,7.00,1.00,2.00,7.00,5.50,3.00,6.00,4.00,211,NULL,238,'JADIM JANAINA','BIGUAçU','SC',12195,422,NULL,361,NULL,NULL,NULL,4,1),(16,3153339,2.00,6.00,3.00,2.00,2.00,NULL,2.00,6.00,2.00,201,NULL,233,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153347,3.00,2.00,4.00,5.00,4.00,5.00,4.00,4.00,2.00,238,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',15287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153355,4.00,5.00,5.00,9.00,6.00,7.75,4.00,7.00,6.00,333,NULL,NULL,'JD MADALENA','CAMPINAS','SP',4859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'GUIOMAR DE FORA','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3153380,7.00,5.00,2.00,5.00,5.00,4.25,3.00,6.00,5.00,333,NULL,NULL,'PAULICEIA','S PAULO','SP',9755,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3153398,4.00,2.00,4.00,2.00,2.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'SERTãOZINHO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3153401,5.00,6.00,4.00,6.00,5.00,5.75,1.00,6.00,6.00,102,NULL,NULL,'CENTRO','URUSSANGA','SC',8123,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3153410,4.00,1.00,4.00,6.00,4.00,5.50,2.00,2.00,4.00,202,NULL,201,'VILA SANTA HELENA','PRES PRUDENTE','SP',15761,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3153428,6.00,4.00,4.00,3.00,1.00,NULL,3.00,7.00,5.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3153436,4.00,8.00,2.00,6.00,5.00,5.50,0.00,3.00,4.00,420,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',13510,147,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153444,2.00,2.00,2.00,2.00,3.00,NULL,4.00,2.00,2.00,444,NULL,NULL,'ARMAçAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153452,8.00,7.00,3.00,6.00,6.00,5.75,3.00,5.00,4.00,5,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',7758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153479,3.00,4.00,2.00,8.00,6.00,4.75,3.00,3.00,2.00,309,NULL,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',14569,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153487,5.00,7.00,4.00,8.00,5.00,6.50,3.00,6.00,4.00,503,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',6948,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153495,3.00,4.00,3.00,6.00,6.00,4.00,4.00,3.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',12681,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153509,1.00,3.00,2.00,4.00,5.00,NULL,2.00,3.00,3.00,319,NULL,NULL,'PARQUE SãO JORGE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153517,4.00,6.00,4.00,5.00,6.00,5.00,3.00,8.00,3.00,332,NULL,NULL,'PRAIA DO FORTE','FLORIANóPOLIS','SC',9924,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153525,4.00,6.00,3.00,6.00,2.00,NULL,4.00,5.00,4.00,203,NULL,214,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3153533,8.00,5.00,6.00,5.00,8.00,6.50,5.00,8.00,7.00,202,NULL,213,'CAMPECHE','FLORIANóPOLIS','SC',2432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153541,7.00,6.00,5.00,8.00,8.00,5.00,5.00,8.00,7.00,104,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',2066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153550,9.00,8.00,8.00,7.00,8.00,5.75,6.00,7.00,9.00,303,NULL,NULL,'CENTRO','URUSSANGA','SC',750,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3153568,3.00,5.00,5.00,6.00,5.00,4.25,5.00,5.00,5.00,220,NULL,202,'KOBRASOL','S JOSé','SC',10207,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153576,7.00,6.00,6.00,8.00,8.00,6.50,2.00,6.00,8.00,103,NULL,NULL,'ALPHAVILLE GRACIOSA','PINHAIS','PR',2568,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3153584,4.00,7.00,3.00,8.00,6.00,6.25,4.00,8.00,5.00,450,NULL,NULL,'CENTRO','GALVãO','SC',5110,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3153592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ALTôNIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3153606,3.00,0.00,1.00,6.00,4.00,NULL,0.00,2.00,3.00,108,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3153614,6.00,5.00,3.00,1.00,6.00,6.75,3.00,2.00,6.00,103,NULL,NULL,'CENTRO','XANXERê','SC',11281,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3153622,5.00,8.00,8.00,6.00,5.00,5.50,7.00,7.00,8.00,212,NULL,201,'CAPOEIRAS','FLORIANóPOLIS','SC',1517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153630,8.00,9.00,8.00,9.00,8.00,5.75,7.00,7.00,8.00,103,NULL,NULL,'LAGO NORTE','LG NORTE','DF',278,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3153649,3.00,4.00,4.00,7.00,4.00,4.25,2.00,6.00,3.00,101,NULL,NULL,'VILA MOEMA','TUBARãO','SC',14370,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3153657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'ITAPUAN','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3153665,3.00,3.00,6.00,4.00,5.00,4.25,4.00,6.00,4.00,214,NULL,202,'TRINDADE','FLORIANóPOLIS','SC',12190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153681,2.00,5.00,2.00,3.00,4.00,6.00,3.00,3.00,3.00,101,NULL,NULL,'ENCANTADA','GAROPABA','SC',16133,136,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153690,3.00,3.00,1.00,5.00,4.00,NULL,2.00,1.00,4.00,425,NULL,429,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153703,4.00,6.00,2.00,5.00,3.00,NULL,2.00,4.00,2.00,319,NULL,NULL,'SãO SEBASTIãO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153711,9.00,6.00,7.00,9.00,7.00,5.25,4.00,4.00,8.00,203,NULL,214,'CACUPé','FLORIANóPOLIS','SC',2012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153746,2.00,5.00,2.00,6.00,4.00,4.00,1.00,4.00,3.00,211,NULL,215,'AZENHA','PTO ALEGRE','RS',16314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153754,6.00,1.00,3.00,7.00,4.00,6.50,2.00,2.00,4.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153762,4.00,5.00,5.00,4.00,2.00,NULL,6.00,7.00,8.00,415,NULL,NULL,'PLANALTO PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153770,4.00,6.00,3.00,4.00,5.00,4.50,4.00,7.00,4.00,208,NULL,220,'BOM RETIRO','JOINVILLE','SC',10681,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3153789,7.00,8.00,7.00,9.00,6.00,5.00,6.00,8.00,8.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',826,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3153800,4.00,3.00,4.00,7.00,5.00,5.50,1.00,3.00,1.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',16441,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153819,3.00,3.00,3.00,1.00,2.00,NULL,2.00,6.00,2.00,302,NULL,NULL,'VARGEM GRANDE','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153827,5.00,7.00,8.00,5.00,7.00,5.75,6.00,8.00,7.00,203,NULL,214,'CANASVIEIRAS','FLORIANóPOLIS','SC',2511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153835,3.00,5.00,2.00,6.00,5.00,5.00,2.00,5.00,3.00,423,NULL,427,'ITACORUBI','FLORIANóPOLIS','SC',14325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153843,4.00,5.00,1.00,6.00,3.00,NULL,4.00,6.00,3.00,301,NULL,NULL,'CENTRO','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3153851,8.00,9.00,6.00,9.00,9.00,8.00,8.00,8.00,7.00,220,NULL,202,'JURERê','FLORIANóPOLIS','SC',254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153860,8.00,7.00,7.00,5.00,7.00,7.00,4.00,7.00,7.00,201,NULL,220,'LIMOEIRO','BRUSQUE','SC',1511,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3153878,4.00,3.00,2.00,0.00,4.00,5.75,2.00,6.00,4.00,319,NULL,NULL,'PARQUE REGINA','S BENTO SUL','SC',15932,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3153886,5.00,7.00,5.00,3.00,4.00,4.50,4.00,7.00,5.00,202,NULL,NULL,'CENTRO','BIGUAçU','SC',7845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153894,1.00,1.00,4.00,6.00,1.00,NULL,2.00,2.00,3.00,301,NULL,NULL,'CALHEIROS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153908,6.00,4.00,4.00,6.00,6.00,6.50,3.00,4.00,4.00,444,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',11103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153916,4.00,2.00,5.00,6.00,3.00,NULL,0.00,2.00,3.00,104,NULL,NULL,'CENTRO','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153924,7.00,8.00,7.00,8.00,7.00,6.25,5.00,8.00,7.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',940,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3153932,6.00,7.00,6.00,7.00,6.00,5.50,5.00,6.00,5.00,207,NULL,201,'CENTRO','FLORIANOPOLIS','SC',3662,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3153940,4.00,6.00,4.00,7.00,8.00,7.00,4.00,7.00,6.00,303,NULL,NULL,'CENTRO','TORRES','RS',4955,226,NULL,NULL,NULL,NULL,NULL,4,5),(16,3153959,6.00,5.00,4.00,9.00,6.00,5.50,6.00,8.00,6.00,203,NULL,220,'CENTRO','RIO CEDROS','SC',3651,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3153967,3.00,5.00,5.00,2.00,5.00,6.25,1.00,5.00,2.00,319,NULL,NULL,'FLOR DE NAPOLES','S JOSé','SC',15960,351,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153975,7.00,8.00,5.00,7.00,5.00,6.00,4.00,8.00,7.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3153983,7.00,8.00,5.00,7.00,6.00,6.75,4.00,8.00,6.00,304,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',2867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154009,7.00,6.00,7.00,6.00,7.00,6.00,6.00,6.00,5.00,201,NULL,212,'RATONES','FLORIANóPOLIS','SC',2870,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3154025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3154033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3154041,8.00,7.00,5.00,9.00,6.00,8.25,2.00,8.00,6.00,301,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',2234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154050,7.00,4.00,5.00,7.00,6.00,7.75,4.00,9.00,7.00,233,NULL,211,'RODRIGES','LGA VERMELHA','RS',2652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3154068,3.00,4.00,3.00,8.00,5.00,6.25,3.00,6.00,3.00,5,NULL,NULL,'CACHOEIRA','FLORIANóPOLIS','SC',9876,367,NULL,NULL,NULL,NULL,NULL,2,1),(16,3154076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','MONGAGUá','SP',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3154092,5.00,7.00,4.00,9.00,7.00,6.75,5.00,7.00,5.00,326,NULL,NULL,'KOBRASOL','S JOSé','SC',3690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154106,5.00,5.00,2.00,2.00,3.00,NULL,2.00,3.00,5.00,316,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154130,3.00,4.00,4.00,8.00,4.00,5.25,3.00,4.00,2.00,9,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154149,7.00,6.00,5.00,9.00,9.00,4.50,3.00,7.00,8.00,103,NULL,NULL,'CENTRO','JARAGUá SUL','SC',3337,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3154165,1.00,3.00,2.00,2.00,1.00,NULL,2.00,2.00,0.00,238,NULL,208,'CENTRO','CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3154181,4.00,6.00,3.00,7.00,6.00,5.25,4.00,8.00,4.00,340,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',7317,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3154190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'PETRóPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3154203,7.00,8.00,7.00,7.00,7.00,7.75,4.00,8.00,8.00,340,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',1464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154211,6.00,6.00,5.00,7.00,6.00,4.75,3.00,7.00,6.00,108,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',5048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154220,7.00,7.00,4.00,7.00,7.00,6.00,2.00,7.00,6.00,104,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',4474,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3154238,9.00,7.00,8.00,8.00,8.00,6.50,7.00,9.00,9.00,103,NULL,NULL,'VILA ADYANNA','S JOSé CAMPOS','SP',168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154246,6.00,6.00,3.00,5.00,4.00,5.00,5.00,6.00,7.00,108,NULL,NULL,'LAGOINHA','RIBEIRãO PRETO','SP',6796,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3154254,6.00,6.00,5.00,9.00,8.00,5.75,3.00,5.00,7.00,103,NULL,NULL,'CAPAO RASO','CURITIBA','PR',3476,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3154270,7.00,7.00,5.00,8.00,7.00,6.25,5.00,6.00,8.00,104,NULL,NULL,'REBOUçAS','CURITIBA','PR',2241,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3154289,6.00,8.00,4.00,8.00,7.00,5.00,3.00,8.00,6.00,211,NULL,233,'ABRAãO','FLORIANóPOLIS','SC',3493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154297,1.00,0.00,1.00,3.00,3.00,NULL,3.00,2.00,2.00,207,NULL,NULL,'JARDIM CARANDAí','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154300,7.00,3.00,3.00,0.00,7.00,5.00,5.00,7.00,6.00,103,NULL,NULL,'JD SãO DIMAS','S JOSé CAMPOS','SP',8159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154319,3.00,2.00,3.00,3.00,4.00,4.75,3.00,3.00,3.00,212,NULL,211,'CENTRO','ABDON BATISTA','SC',16577,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3154327,3.00,6.00,2.00,8.00,4.00,7.00,2.00,7.00,3.00,308,NULL,NULL,'ARMAÇAO','FLORIANóPOLIS','SC',11257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154335,1.00,4.00,2.00,7.00,2.00,NULL,1.00,7.00,5.00,444,NULL,NULL,'AR DO PâNTANO DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3154343,6.00,5.00,5.00,7.00,5.00,6.00,3.00,4.00,8.00,212,NULL,201,'PANTANAL','FLORIANóPOLIS','SC',6184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154351,4.00,1.00,2.00,1.00,4.00,NULL,1.00,4.00,3.00,420,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154360,7.00,6.00,4.00,7.00,5.00,4.75,1.00,8.00,4.00,238,NULL,208,'N S DO ROSARIO','S JOSé','SC',7908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3154378,7.00,4.00,5.00,7.00,6.00,6.00,4.00,9.00,7.00,102,NULL,NULL,'CENTRO','CRICIúMA','SC',3773,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3154386,7.00,7.00,5.00,4.00,5.00,5.00,6.00,6.00,5.00,303,NULL,NULL,'ST ANTôNIO DE PáDUA','TUBARãO','SC',6210,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3154394,5.00,6.00,4.00,6.00,5.00,5.75,3.00,5.00,5.00,238,NULL,203,'CAMPECHE','FLORIANóPOLIS','SC',8311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3154408,2.00,4.00,1.00,9.00,2.00,NULL,1.00,5.00,4.00,5,NULL,NULL,'CENTRO','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3154416,3.00,6.00,2.00,3.00,6.00,6.25,2.00,7.00,6.00,103,NULL,NULL,'CENTRO','CONCóRDIA','SC',10577,2290,NULL,NULL,NULL,NULL,NULL,4,4),(16,3154424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3154432,9.00,8.00,9.00,9.00,9.00,8.50,8.00,8.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',11,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154440,5.00,7.00,3.00,6.00,3.00,NULL,4.00,8.00,4.00,207,NULL,201,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3154459,8.00,9.00,8.00,9.00,9.00,6.50,7.00,8.00,8.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154467,3.00,3.00,2.00,3.00,1.00,NULL,2.00,4.00,4.00,207,NULL,216,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154475,2.00,2.00,3.00,5.00,3.00,NULL,1.00,3.00,2.00,339,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154483,7.00,10.00,6.00,5.00,3.00,NULL,4.00,6.00,6.00,211,NULL,201,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154491,5.00,4.00,6.00,5.00,5.00,6.00,1.00,4.00,4.00,214,NULL,213,'BORTOLATTO','MRO FUMAçA','SC',11478,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3154505,9.00,6.00,7.00,8.00,7.00,8.00,6.00,8.00,7.00,103,NULL,NULL,'ACLIMAçãO','S PAULO','SP',632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154513,6.00,7.00,7.00,7.00,6.00,6.00,5.00,7.00,5.00,214,NULL,213,'CENTRO','JOINVILLE','SC',3617,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3154521,3.00,4.00,1.00,6.00,4.00,NULL,3.00,1.00,2.00,203,NULL,214,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3154530,5.00,5.00,2.00,4.00,2.00,NULL,2.00,5.00,4.00,203,NULL,214,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154556,4.00,5.00,3.00,2.00,1.00,NULL,5.00,2.00,4.00,104,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3154564,7.00,8.00,8.00,9.00,7.00,5.75,3.00,8.00,7.00,303,NULL,NULL,'CENTRO','JOAçABA','SC',1254,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3154572,2.00,3.00,5.00,9.00,3.00,NULL,3.00,5.00,2.00,207,NULL,201,'SãO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3154580,1.00,4.00,4.00,8.00,4.00,4.75,4.00,3.00,2.00,103,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',14585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154599,5.00,7.00,4.00,7.00,5.00,4.00,5.00,7.00,3.00,104,NULL,NULL,'CAMPINAS','S JOSé','SC',7228,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3154602,5.00,6.00,2.00,7.00,6.00,5.25,1.00,6.00,4.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',11384,401,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154645,5.00,6.00,1.00,4.00,8.00,5.50,3.00,6.00,3.00,319,NULL,NULL,'CENTRO','LAGES','SC',11529,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3154653,5.00,6.00,4.00,7.00,4.00,6.25,3.00,7.00,6.00,104,NULL,NULL,'MORUMBI','S PAULO','SP',6009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154661,4.00,4.00,1.00,1.00,4.00,NULL,1.00,6.00,2.00,208,NULL,238,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154670,6.00,6.00,4.00,4.00,7.00,5.25,4.00,5.00,3.00,213,NULL,233,'UNIVERSITáRIO','LAGES','SC',9905,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3154688,7.00,7.00,5.00,10.00,7.00,6.50,5.00,7.00,8.00,103,NULL,NULL,'OFICINAS','PNT GROSSA','PR',1535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154696,2.00,3.00,2.00,8.00,6.00,8.00,2.00,3.00,5.00,303,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',11504,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3154700,9.00,9.00,7.00,8.00,7.00,6.00,5.00,6.00,6.00,103,NULL,NULL,'AREIAS','S JOSé','SC',1276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3154726,3.00,5.00,2.00,8.00,3.00,NULL,0.00,6.00,6.00,404,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3154734,6.00,5.00,7.00,5.00,6.00,5.75,4.00,8.00,5.00,319,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',4170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154742,4.00,3.00,2.00,0.00,7.00,NULL,2.00,6.00,1.00,102,NULL,NULL,'SANTA CATARINA','OTACíLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3154750,3.00,1.00,1.00,4.00,3.00,NULL,1.00,5.00,2.00,203,NULL,216,'CENTRO','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3154769,7.00,8.00,5.00,6.00,7.00,5.75,3.00,8.00,7.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154777,9.00,5.00,7.00,7.00,6.00,5.50,4.00,7.00,7.00,103,NULL,NULL,'HIGIANOPOLIS','S PAULO','SP',2124,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3154785,4.00,3.00,3.00,2.00,4.00,NULL,1.00,4.00,2.00,103,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154793,3.00,7.00,2.00,1.00,4.00,4.50,3.00,5.00,4.00,211,NULL,238,'PIRABEIRABA','JOINVILLE','SC',15328,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3154807,8.00,7.00,9.00,9.00,6.00,6.75,7.00,7.00,8.00,103,NULL,NULL,'TATUAPE','S PAULO','SP',420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154815,2.00,1.00,2.00,2.00,1.00,NULL,0.00,3.00,3.00,203,NULL,202,'PINHEIROS','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3154823,4.00,3.00,2.00,5.00,4.00,6.25,1.00,4.00,3.00,502,NULL,NULL,'RATONES','FLORIANOPOLIS','SC',15983,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3154831,3.00,3.00,1.00,8.00,5.00,6.00,2.00,6.00,3.00,328,NULL,NULL,'CENTRO','CRICIúMA','SC',13568,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3154840,8.00,9.00,9.00,8.00,6.00,6.00,7.00,9.00,9.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154858,4.00,4.00,5.00,8.00,4.00,6.75,1.00,6.00,4.00,216,NULL,215,'SANTA TERESA','JOAçABA','SC',9921,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3154866,6.00,5.00,2.00,7.00,4.00,5.50,4.00,7.00,2.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154882,4.00,3.00,5.00,4.00,4.00,3.00,6.00,6.00,3.00,2,NULL,NULL,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154890,8.00,4.00,7.00,7.00,7.00,6.00,5.00,7.00,6.00,415,NULL,NULL,'JARDIM TOPáZIO','S JOSé CAMPOS','SP',2794,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154904,5.00,7.00,2.00,5.00,6.00,5.00,3.00,5.00,4.00,207,NULL,201,'DEHON','TUBARãO','SC',10701,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3154912,5.00,6.00,3.00,6.00,5.00,5.75,3.00,7.00,5.00,415,NULL,NULL,'CENTRO','NOVA TRENTO','SC',7279,NULL,NULL,NULL,NULL,NULL,NULL,5,2),(16,3154920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'PITANGUINHA','PITANGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3154939,7.00,3.00,4.00,8.00,7.00,5.00,3.00,6.00,5.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7865,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3154947,5.00,4.00,4.00,8.00,8.00,6.50,2.00,3.00,2.00,428,NULL,425,'ESCOLA AGRíCOLA','BLUMENAU','SC',10159,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3154955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3154963,7.00,7.00,5.00,8.00,4.00,7.00,7.00,6.00,7.00,103,NULL,NULL,'BUENO','GOIâNIA','GO',2253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3154971,7.00,7.00,5.00,8.00,8.00,4.50,3.00,6.00,7.00,207,NULL,201,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',4172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3154980,5.00,5.00,5.00,6.00,6.00,6.25,1.00,9.00,6.00,104,NULL,NULL,'INTERIOR','FLORES CUNHA','RS',6418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3154998,5.00,5.00,2.00,9.00,6.00,8.50,3.00,8.00,4.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155013,9.00,9.00,7.00,9.00,8.00,7.75,5.00,7.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3155030,9.00,9.00,8.00,6.00,7.00,6.50,7.00,9.00,8.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155048,2.00,5.00,3.00,7.00,3.00,NULL,5.00,5.00,3.00,203,NULL,214,'MATO ALTO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3155064,6.00,5.00,4.00,3.00,6.00,4.75,2.00,8.00,4.00,301,NULL,NULL,'CENTRO','MAFRA','SC',9413,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3155080,5.00,6.00,2.00,4.00,8.00,4.75,3.00,6.00,5.00,9,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',10323,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3155099,3.00,3.00,3.00,6.00,3.00,NULL,0.00,3.00,3.00,102,NULL,NULL,'SãO FRANSCISCO','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3155102,4.00,6.00,5.00,9.00,7.00,5.75,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155110,3.00,3.00,2.00,2.00,3.00,NULL,2.00,2.00,2.00,319,NULL,NULL,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3155129,3.00,4.00,4.00,7.00,4.00,4.75,3.00,4.00,5.00,220,NULL,212,'SANTO ANTONIO DE LIS','FLORIANóPOLIS','SC',12697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155145,5.00,5.00,4.00,6.00,7.00,6.50,3.00,5.00,5.00,108,NULL,NULL,'PARQUE AVENIDA','LIMEIRA','SP',7119,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3155153,7.00,5.00,4.00,9.00,6.00,5.25,3.00,7.00,4.00,420,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155170,3.00,6.00,1.00,0.00,5.00,NULL,2.00,5.00,3.00,316,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155188,5.00,3.00,4.00,5.00,3.00,NULL,3.00,4.00,3.00,9,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3155196,8.00,6.00,6.00,8.00,4.00,6.00,3.00,7.00,7.00,207,NULL,201,'ALVORADA','XAXIM','SC',4134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155200,6.00,6.00,3.00,7.00,6.00,6.50,5.00,4.00,7.00,103,NULL,NULL,'BARREIROS','S JOSé','SC',4669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155218,1.00,1.00,2.00,4.00,2.00,NULL,1.00,1.00,3.00,201,NULL,207,'JARDIM SãO PAULO','S JOãO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3155226,6.00,7.00,6.00,8.00,8.00,6.00,5.00,8.00,6.00,316,NULL,NULL,'JARDIM AMéRICA','PARANAVAí','PR',1563,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3155234,4.00,3.00,4.00,8.00,4.00,6.25,2.00,3.00,3.00,303,NULL,NULL,'SãO LUIZ','CRICIúMA','SC',13761,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(16,3155250,6.00,2.00,4.00,1.00,6.00,NULL,0.00,3.00,4.00,503,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3155269,4.00,4.00,2.00,5.00,3.00,NULL,2.00,6.00,4.00,424,NULL,426,'CANTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155277,4.00,3.00,3.00,1.00,6.00,5.25,1.00,6.00,4.00,101,NULL,NULL,'IPIRANGA','S JOSé','SC',15558,122,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155285,6.00,9.00,6.00,9.00,9.00,8.75,6.00,8.00,8.00,340,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155293,5.00,7.00,6.00,7.00,5.00,5.50,4.00,8.00,7.00,103,NULL,NULL,'PRóSPERA','CRICIúMA','SC',4029,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3155315,3.00,4.00,1.00,4.00,5.00,6.50,1.00,3.00,5.00,233,NULL,211,'INGLESES','FLORIANóPOLIS','SC',15814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155323,5.00,4.00,4.00,6.00,5.00,5.75,2.00,5.00,4.00,207,NULL,215,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',11219,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3155340,4.00,2.00,5.00,5.00,3.00,NULL,3.00,3.00,3.00,302,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3155358,5.00,8.00,4.00,7.00,7.00,4.75,5.00,8.00,5.00,203,NULL,233,'JOãO PAULO','FLORIANóPOLIS','SC',3853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155366,7.00,8.00,4.00,8.00,7.00,6.00,4.00,6.00,7.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2683,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3155374,8.00,7.00,5.00,8.00,7.00,6.00,5.00,6.00,8.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',2376,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3155382,2.00,6.00,6.00,7.00,6.00,6.50,5.00,7.00,6.00,215,NULL,216,'CENTRO','BAL CAMBORIú','SC',4906,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3155390,6.00,5.00,5.00,4.00,4.00,5.00,2.00,6.00,3.00,202,NULL,208,'IPIRANGA','S JOSé','SC',11305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155404,7.00,6.00,5.00,8.00,7.00,4.25,3.00,7.00,2.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155412,7.00,4.00,5.00,9.00,7.00,6.75,4.00,6.00,7.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',2701,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3155420,5.00,2.00,2.00,7.00,5.00,6.75,3.00,5.00,3.00,316,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',12704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3155439,5.00,7.00,4.00,7.00,5.00,5.50,4.00,7.00,4.00,211,NULL,216,'TRINTA RÉIS','NOVA TRENTO','SC',6711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3155447,6.00,6.00,4.00,4.00,6.00,5.50,6.00,5.00,6.00,108,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',7377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155455,7.00,5.00,5.00,6.00,5.00,6.25,5.00,8.00,4.00,103,NULL,NULL,'SAO CRISTOVAO','LAGES','SC',5116,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3155463,3.00,4.00,3.00,6.00,4.00,4.75,2.00,3.00,3.00,333,NULL,NULL,'CENTRO','S JOSé CEDRO','SC',15795,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3155471,5.00,6.00,4.00,0.00,6.00,4.25,2.00,4.00,3.00,2,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',14736,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3155480,5.00,5.00,3.00,4.00,6.00,5.00,5.00,7.00,3.00,103,NULL,NULL,'CENTRO','CORUPá','SC',9868,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3155498,7.00,5.00,7.00,9.00,5.00,5.50,6.00,7.00,8.00,203,NULL,202,'JARDIM PAULISTANO','CAMPINAS','SP',1696,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3155501,8.00,7.00,5.00,7.00,6.00,5.75,4.00,6.00,4.00,203,NULL,220,'CENTRO','S JOãO BATISTA','SC',4817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155510,5.00,8.00,7.00,3.00,5.00,6.00,4.00,8.00,3.00,201,NULL,208,'CAMPO DUNA','GAROPABA','SC',6324,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3155536,4.00,4.00,2.00,3.00,4.00,5.00,2.00,3.00,5.00,340,NULL,NULL,'AREIAS','TIJUCAS','SC',16480,487,NULL,NULL,NULL,NULL,NULL,2,3),(16,3155544,4.00,5.00,1.00,4.00,3.00,NULL,2.00,5.00,2.00,404,NULL,NULL,'REAL PARQUE','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3155552,5.00,4.00,4.00,5.00,6.00,6.75,2.00,5.00,6.00,215,NULL,238,'CENTRO','ARARANGUá','SC',8936,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3155560,4.00,6.00,4.00,5.00,4.00,5.25,2.00,9.00,4.00,208,NULL,238,'CAPOEIRAS','FLORIANóPOLIS','SC',10055,304,NULL,282,NULL,NULL,NULL,4,1),(16,3155579,6.00,7.00,3.00,2.00,4.00,5.25,2.00,6.00,4.00,303,NULL,NULL,'CENTRO','LAGES','SC',12117,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3155587,3.00,3.00,2.00,4.00,4.00,4.50,2.00,5.00,3.00,207,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3155595,5.00,6.00,1.00,1.00,6.00,5.25,2.00,7.00,3.00,5,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',13730,456,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155609,3.00,2.00,5.00,8.00,2.00,NULL,2.00,2.00,3.00,340,NULL,NULL,'FLORESTAL','LAJEADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3155617,3.00,5.00,3.00,1.00,3.00,NULL,2.00,7.00,2.00,201,NULL,203,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3155625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'JARDIM AQUARIUS','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3155633,3.00,3.00,4.00,1.00,2.00,NULL,2.00,5.00,4.00,203,NULL,202,'CANTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155641,4.00,4.00,3.00,8.00,6.00,5.25,2.00,6.00,4.00,216,NULL,201,'AMIZADE','JARAGUA DO SUL','SC',10210,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3155650,5.00,4.00,6.00,3.00,5.00,4.00,2.00,6.00,6.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',11413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155668,3.00,3.00,3.00,5.00,2.00,NULL,2.00,3.00,3.00,5,NULL,NULL,'SERRA ALTA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155676,6.00,7.00,4.00,4.00,7.00,5.00,3.00,4.00,6.00,103,NULL,NULL,'BELA VISTA','S JOSé','SC',8427,2047,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155692,5.00,7.00,6.00,9.00,7.00,8.00,2.00,7.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155714,5.00,3.00,5.00,5.00,8.00,5.50,4.00,7.00,4.00,316,NULL,NULL,'CENTRO','S JOSé','SC',7947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155722,1.00,5.00,2.00,2.00,2.00,NULL,3.00,3.00,4.00,301,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155730,4.00,1.00,1.00,2.00,5.00,NULL,3.00,3.00,4.00,444,NULL,NULL,'SãO SEBASTIãO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155749,8.00,6.00,6.00,8.00,7.00,6.25,4.00,6.00,8.00,103,NULL,NULL,'REBOUçAS','CURITIBA','PR',1745,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3155757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SAGUAçU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3155765,5.00,6.00,6.00,7.00,6.00,6.25,4.00,9.00,7.00,215,NULL,208,'CENTRO','ITAPEMA','SC',2650,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3155773,7.00,5.00,4.00,8.00,3.00,NULL,4.00,7.00,4.00,444,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3155781,3.00,2.00,4.00,5.00,1.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'PRESIDENTE MéDICI','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3155803,4.00,4.00,4.00,5.00,6.00,5.00,2.00,4.00,6.00,101,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',10976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155811,5.00,2.00,6.00,9.00,5.00,5.00,4.00,4.00,6.00,220,NULL,202,'VILA EMA','S JOSé CAMPOS','SP',7070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155838,2.00,2.00,1.00,1.00,2.00,NULL,3.00,3.00,6.00,216,NULL,213,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155846,3.00,4.00,1.00,1.00,6.00,NULL,3.00,4.00,3.00,207,NULL,201,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3155854,0.00,3.00,2.00,3.00,4.00,NULL,3.00,4.00,4.00,450,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3155870,5.00,3.00,2.00,5.00,5.00,5.50,3.00,3.00,5.00,208,NULL,207,'MORRO DA CRUZ','FLORIANóPOLIS','SC',14003,462,NULL,724,NULL,NULL,NULL,2,1),(16,3155889,4.00,4.00,2.00,7.00,4.00,6.50,4.00,7.00,4.00,103,NULL,NULL,'GRANJA VIANA','CARAPICUíBA','SP',10959,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3155897,5.00,4.00,3.00,5.00,4.00,5.50,4.00,8.00,3.00,331,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',10396,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3155900,5.00,6.00,4.00,8.00,6.00,6.00,3.00,5.00,6.00,208,NULL,238,'CARVOEIRA','FLORIANóPOLIS','SC',5744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155919,4.00,4.00,4.00,3.00,4.00,4.50,3.00,7.00,5.00,303,NULL,NULL,'CENTRO','ITAPEMA','SC',13806,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3155927,6.00,7.00,5.00,5.00,5.00,6.00,5.00,8.00,7.00,103,NULL,NULL,'DAMHA I','PRES PRUDENTE','SP',3539,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3155935,4.00,2.00,4.00,5.00,4.00,5.50,2.00,2.00,4.00,207,NULL,211,'MORADA DO SOL','CASTRO','PR',15585,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3155943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MARAPé','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3155951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BARRA DE IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3155960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','ROLâNDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3155978,3.00,6.00,2.00,8.00,5.00,5.75,5.00,5.00,3.00,203,NULL,214,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3155986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'INTERCAP','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3155994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM ESTORIL','OURINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3156001,4.00,4.00,3.00,4.00,7.00,4.50,2.00,5.00,4.00,503,NULL,NULL,'BALNEARIO','FLORIANóPOLIS','SC',13054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156010,3.00,0.00,4.00,4.00,4.00,NULL,1.00,4.00,3.00,444,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3156028,9.00,8.00,8.00,9.00,7.00,7.00,9.00,8.00,9.00,203,NULL,220,'CENTRO','FLORIANóPOLIS','SC',39,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156036,7.00,7.00,8.00,7.00,5.00,4.00,5.00,5.00,7.00,203,NULL,216,'BALNEARIO ESTREITO','FLORIANóPOLIS','SC',3823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156044,8.00,9.00,7.00,9.00,7.00,7.00,6.00,8.00,8.00,214,NULL,213,'ITAGUAçU','FLORIANóPOLIS','SC',301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156052,0.00,0.00,0.00,5.00,2.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,'S','S',2,2),(16,3156060,3.00,5.00,4.00,7.00,7.00,4.25,2.00,3.00,3.00,202,NULL,NULL,'BALNEARIO ESTREITO','FLORIANóPOLIS','SC',12870,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156079,8.00,7.00,8.00,7.00,8.00,6.50,6.00,7.00,8.00,103,NULL,NULL,'VILA ISABEL','CURITIBA','PR',1060,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3156087,7.00,8.00,5.00,6.00,6.00,5.75,3.00,8.00,7.00,302,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2377,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156095,8.00,6.00,5.00,2.00,5.00,4.50,2.00,7.00,4.00,207,NULL,233,'FAZENDA','ITAJAí','SC',9940,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3156109,4.00,4.00,1.00,6.00,5.00,5.50,2.00,4.00,4.00,203,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',15154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156117,2.00,3.00,1.00,5.00,5.00,NULL,2.00,4.00,3.00,234,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156125,6.00,5.00,5.00,9.00,6.00,6.00,3.00,9.00,5.00,340,NULL,NULL,'COLINA VERDE','LONDRINA','PR',4895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156133,6.00,7.00,5.00,9.00,7.00,5.75,2.00,6.00,5.00,303,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3156141,4.00,6.00,4.00,8.00,5.00,6.00,6.00,5.00,4.00,211,NULL,208,'TRINDADE','FLORIANóPOLIS','SC',8177,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3156168,4.00,8.00,4.00,7.00,7.00,6.25,5.00,8.00,5.00,303,NULL,NULL,'ESTREITO','FLORIANOPOLIS','SC',3990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156176,5.00,8.00,1.00,5.00,6.00,5.00,4.00,6.00,5.00,303,NULL,NULL,'CENTRO','JARAGUá SUL','SC',8146,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3156184,6.00,3.00,4.00,7.00,5.00,5.25,5.00,5.00,4.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',9203,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3156192,5.00,5.00,1.00,4.00,4.00,4.00,1.00,7.00,2.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',16020,356,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3156214,6.00,5.00,6.00,7.00,5.00,6.75,2.00,4.00,4.00,108,NULL,NULL,'VILA SIQUEIRA','S PAULO','SP',8869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156222,5.00,3.00,2.00,7.00,7.00,4.50,3.00,3.00,3.00,207,NULL,201,'VILA NOVA','IMBITUBA','SC',13815,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3156230,6.00,5.00,3.00,6.00,4.00,5.25,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156249,8.00,5.00,9.00,9.00,7.00,6.50,5.00,7.00,8.00,207,NULL,208,'BOSQUE DAS MANSõES','S JOSé','SC',944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156257,3.00,2.00,2.00,5.00,6.00,5.00,3.00,6.00,4.00,104,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',14362,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156265,6.00,5.00,6.00,3.00,5.00,6.75,2.00,6.00,6.00,319,NULL,NULL,'BARREIROS','S JOSé','SC',8248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156273,4.00,4.00,4.00,7.00,4.00,6.25,3.00,5.00,1.00,203,NULL,202,'LOTE SEIS','CRICIúMA','SC',12497,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3156281,4.00,5.00,3.00,7.00,5.00,5.75,4.00,7.00,3.00,103,NULL,NULL,'LIDER','CHAPECó','SC',10355,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3156290,5.00,5.00,4.00,6.00,5.00,5.00,3.00,6.00,5.00,102,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',9999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156303,5.00,5.00,7.00,7.00,7.00,6.25,4.00,7.00,6.00,207,NULL,211,'MEIRELES','FORTALEZA','CE',3110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156311,2.00,3.00,3.00,2.00,3.00,NULL,3.00,3.00,2.00,103,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3156346,3.00,2.00,2.00,1.00,2.00,NULL,1.00,2.00,2.00,444,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156354,4.00,5.00,7.00,9.00,6.00,5.75,5.00,5.00,5.00,208,NULL,203,'JARDIM BOA VISTA','AVARé','SP',4718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156362,5.00,6.00,3.00,3.00,4.00,6.25,4.00,4.00,4.00,104,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',12263,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3156370,3.00,3.00,4.00,2.00,6.00,NULL,0.00,4.00,3.00,327,NULL,NULL,'MOINHOS','LAJEADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3156389,7.00,7.00,6.00,9.00,6.00,6.00,5.00,4.00,5.00,216,NULL,233,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156397,8.00,6.00,4.00,8.00,8.00,7.75,4.00,7.00,5.00,319,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',2217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156400,8.00,9.00,9.00,8.00,9.00,5.50,8.00,9.00,8.00,303,NULL,NULL,'JARDIM AQUARIUS','S JOSé CAMPOS','SP',21,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156419,2.00,2.00,2.00,8.00,3.00,NULL,3.00,0.00,1.00,303,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156427,8.00,6.00,6.00,8.00,8.00,6.25,6.00,7.00,5.00,303,NULL,NULL,'PIO CORREA','CRICIúMA','SC',1818,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3156435,4.00,2.00,4.00,4.00,3.00,NULL,5.00,3.00,2.00,108,NULL,NULL,'MADRI','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156443,7.00,7.00,4.00,7.00,5.00,4.75,4.00,4.00,6.00,104,NULL,NULL,'JARDIM SANTA ROSA','FOZ IGUAçU','PR',7158,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3156451,2.00,2.00,2.00,7.00,3.00,NULL,2.00,7.00,2.00,203,NULL,NULL,'PETRóPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3156460,4.00,8.00,7.00,9.00,8.00,6.75,5.00,8.00,7.00,211,NULL,201,'JARDIM IDEAL','CANOAS','RS',1704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'PINHEIROS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3156486,5.00,7.00,6.00,4.00,4.00,5.50,2.00,6.00,5.00,5,NULL,NULL,'CENTRO','UNIãO VITóRIA','PR',8405,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3156494,5.00,4.00,2.00,5.00,5.00,4.75,4.00,4.00,7.00,220,NULL,238,'CENTRO','BAL CAMBORIú','SC',11575,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3156508,8.00,4.00,5.00,3.00,6.00,6.00,5.00,8.00,8.00,203,NULL,201,'CENTRO','PEDRAS GRANDES','SC',4336,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3156524,8.00,8.00,7.00,9.00,8.00,7.00,5.00,9.00,8.00,214,NULL,212,'CENTRO','FLORIANóPOLIS','SC',316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156532,5.00,7.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,428,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3156540,5.00,2.00,3.00,6.00,5.00,5.00,2.00,4.00,4.00,424,NULL,421,'CAMPECHE','FLORIANóPOLIS','SC',13905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156559,5.00,6.00,3.00,4.00,4.00,6.50,2.00,4.00,1.00,102,NULL,NULL,'CENTRO','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3156567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REBOUçAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3156575,5.00,6.00,3.00,4.00,4.00,4.75,4.00,7.00,4.00,238,NULL,208,'SERRARIA','S JOSé','SC',11080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA DOS LAVRADORES','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3156605,4.00,4.00,2.00,6.00,5.00,7.00,5.00,6.00,4.00,301,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',9643,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156613,3.00,2.00,1.00,3.00,3.00,NULL,2.00,5.00,2.00,404,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156621,5.00,3.00,3.00,7.00,5.00,5.75,3.00,5.00,4.00,415,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',11374,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156630,4.00,2.00,3.00,1.00,4.00,NULL,1.00,2.00,1.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156648,3.00,4.00,1.00,1.00,5.00,3.25,3.00,5.00,5.00,316,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3156656,4.00,4.00,5.00,7.00,5.00,6.25,3.00,7.00,5.00,233,NULL,216,'JARDIM CENTRAL','FOZ IGUAçU','PR',7946,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3156664,6.00,5.00,6.00,9.00,7.00,5.25,5.00,6.00,3.00,104,NULL,NULL,'DORES','STA MARIA','RS',4324,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156672,7.00,5.00,5.00,6.00,4.00,5.00,4.00,5.00,7.00,214,NULL,203,'CIDADE JARDIM','JACAREí','SP',5721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156680,4.00,5.00,2.00,9.00,5.00,5.75,4.00,6.00,6.00,340,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',7441,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3156699,4.00,5.00,5.00,5.00,4.00,5.25,3.00,6.00,7.00,203,NULL,214,'BUCAREIN','JOINVILLE','SC',9022,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3156702,4.00,2.00,2.00,0.00,0.00,NULL,2.00,2.00,4.00,319,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(16,3156729,3.00,4.00,1.00,3.00,4.00,5.75,3.00,5.00,3.00,208,NULL,238,'CENTRO','PALHOçA','SC',15819,549,NULL,521,NULL,NULL,NULL,4,1),(16,3156737,3.00,5.00,3.00,5.00,5.00,5.50,2.00,7.00,3.00,103,NULL,NULL,'JARDIM ISMêNIA','S JOSé CAMPOS','SP',12394,2474,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156745,7.00,5.00,2.00,4.00,8.00,7.25,3.00,6.00,6.00,103,NULL,NULL,'KOBRASOL','S JOSé','SC',6633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156761,4.00,2.00,2.00,6.00,2.00,NULL,2.00,7.00,5.00,425,NULL,429,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156770,8.00,4.00,3.00,7.00,7.00,4.50,4.00,7.00,7.00,103,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',5722,1623,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156788,7.00,4.00,4.00,6.00,6.00,4.25,2.00,6.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156796,4.00,0.00,3.00,0.00,2.00,NULL,1.00,4.00,1.00,211,NULL,208,'REPRESA','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3156800,4.00,2.00,3.00,2.00,3.00,NULL,3.00,2.00,3.00,208,NULL,238,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156818,6.00,2.00,1.00,8.00,5.00,6.25,3.00,3.00,2.00,425,NULL,429,'PRAIA DE FORA','PALHOçA','SC',13760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156826,3.00,5.00,2.00,4.00,3.00,NULL,1.00,8.00,2.00,415,NULL,NULL,'SÃO J RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156834,4.00,2.00,2.00,5.00,4.00,NULL,2.00,4.00,2.00,303,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156842,4.00,3.00,1.00,7.00,4.00,5.75,1.00,1.00,5.00,216,NULL,233,'MENINO DEUS','PTO ALEGRE','RS',16292,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3156850,6.00,5.00,6.00,6.00,5.00,6.25,5.00,7.00,7.00,216,NULL,211,'TRINDADE','FLORIANóPOLIS','SC',4913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156869,4.00,7.00,3.00,5.00,2.00,NULL,2.00,9.00,1.00,214,NULL,216,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3156877,3.00,4.00,3.00,3.00,5.00,3.00,3.00,4.00,3.00,444,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156885,4.00,4.00,1.00,1.00,2.00,NULL,3.00,5.00,4.00,103,NULL,NULL,'JARDIM IMPERIAL','MARINGá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3156893,5.00,3.00,1.00,8.00,5.00,6.50,3.00,5.00,4.00,309,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',12384,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156907,4.00,4.00,2.00,5.00,4.00,5.00,2.00,6.00,4.00,317,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',14067,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3156915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,212,'MINA DO MATO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3156923,6.00,6.00,2.00,9.00,7.00,9.25,4.00,9.00,5.00,304,NULL,NULL,'KOBRASOL','S JOSé','SC',2465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156931,4.00,3.00,1.00,6.00,1.00,NULL,1.00,5.00,3.00,503,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3156940,6.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,4.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156966,3.00,5.00,2.00,5.00,6.00,5.25,4.00,8.00,6.00,238,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',8117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3156974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3156990,3.00,4.00,2.00,6.00,4.00,4.50,2.00,5.00,2.00,309,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',16014,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157016,4.00,1.00,2.00,1.00,6.00,5.50,1.00,6.00,6.00,103,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',15310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157024,7.00,7.00,4.00,6.00,4.00,5.50,2.00,9.00,5.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',6632,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3157032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3157040,5.00,4.00,2.00,6.00,3.00,NULL,4.00,1.00,4.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157067,5.00,4.00,1.00,3.00,3.00,NULL,4.00,2.00,2.00,208,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3157075,2.00,0.00,2.00,2.00,1.00,NULL,1.00,1.00,1.00,214,NULL,NULL,'BELA VISTA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3157083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'STO ANTôNIO DE PáDUA','TUBARãO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3157091,4.00,3.00,4.00,5.00,5.00,5.25,3.00,2.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157105,9.00,9.00,8.00,9.00,8.00,6.50,5.00,9.00,9.00,203,NULL,214,'CORREGO GRANDE','FLORIANóPOLIS','SC',120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157113,3.00,4.00,5.00,5.00,6.00,5.00,3.00,3.00,5.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12603,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157148,8.00,7.00,6.00,8.00,8.00,5.50,4.00,7.00,8.00,103,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',1240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157156,8.00,4.00,4.00,1.00,5.00,6.00,2.00,7.00,5.00,3,NULL,NULL,'VILLAGE','IMBITUBA','SC',11040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157164,5.00,6.00,4.00,8.00,7.00,7.25,4.00,8.00,6.00,103,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',3914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157172,6.00,6.00,4.00,9.00,8.00,5.75,4.00,7.00,6.00,5,NULL,NULL,'CABEçUDAS','ITAJAí','SC',3117,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3157180,4.00,4.00,2.00,6.00,4.00,5.25,2.00,6.00,3.00,201,NULL,207,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157202,0.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3157229,5.00,3.00,3.00,4.00,5.00,5.75,4.00,3.00,2.00,101,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',15060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157237,6.00,4.00,4.00,7.00,6.00,5.75,0.00,4.00,4.00,303,NULL,NULL,'SERRARIAS','S JOSé','SC',11691,511,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157245,2.00,3.00,1.00,6.00,2.00,NULL,1.00,1.00,2.00,211,NULL,201,'VILA SOBRINHO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157253,9.00,7.00,7.00,9.00,9.00,6.25,4.00,9.00,8.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157261,2.00,2.00,1.00,3.00,1.00,NULL,0.00,3.00,1.00,102,NULL,NULL,'GUARUJA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3157270,6.00,6.00,4.00,3.00,6.00,4.50,4.00,5.00,4.00,201,NULL,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',9970,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3157288,7.00,7.00,7.00,6.00,6.00,5.50,5.00,6.00,5.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',3463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157296,9.00,8.00,9.00,6.00,8.00,7.00,7.00,8.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3157318,7.00,6.00,5.00,7.00,6.00,5.75,4.00,8.00,5.00,5,NULL,NULL,'PRAINHA','FLORIANóPOLIS','SC',4366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157342,5.00,6.00,3.00,5.00,5.00,5.50,3.00,7.00,4.00,444,NULL,NULL,'NOSSA SRA DO ROSáRIO','S JOSé','SC',9691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3157369,5.00,6.00,3.00,6.00,5.00,0.00,3.00,7.00,3.00,225,NULL,NULL,'SãO CRISTOVãO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3157377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA BRASILEIRA','ITATIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3157385,7.00,7.00,5.00,6.00,5.00,6.00,3.00,8.00,5.00,103,NULL,NULL,'DOM BOSCO','ITAJAí','SC',5203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'NEVA','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3157415,8.00,7.00,7.00,8.00,7.00,7.75,6.00,9.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157423,5.00,7.00,2.00,7.00,6.00,4.75,3.00,7.00,6.00,103,NULL,NULL,'BARREIRINHA','CURITIBA','PR',7080,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3157431,6.00,7.00,4.00,7.00,5.00,5.00,3.00,8.00,5.00,104,NULL,NULL,'CENTRO','ITUPORANGA','SC',6564,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3157440,6.00,6.00,3.00,8.00,7.00,7.25,3.00,7.00,4.00,234,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',4864,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157466,5.00,6.00,3.00,7.00,4.00,4.50,2.00,4.00,6.00,302,NULL,NULL,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',10292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157474,9.00,8.00,6.00,8.00,7.00,7.00,6.00,7.00,8.00,103,NULL,NULL,'CHACARA CACHOEIRA','CPO GRANDE','MS',568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157482,4.00,3.00,4.00,7.00,3.00,NULL,2.00,1.00,2.00,340,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3157490,3.00,5.00,2.00,0.00,0.00,NULL,2.00,3.00,0.00,501,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(16,3157504,1.00,3.00,3.00,8.00,6.00,5.75,2.00,3.00,3.00,207,NULL,201,'CAMPINAS','S JOSé','SC',14876,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157520,1.00,1.00,4.00,5.00,3.00,NULL,2.00,3.00,4.00,102,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157539,4.00,5.00,2.00,7.00,7.00,5.50,2.00,5.00,2.00,201,NULL,211,'SERRARIA','S JOSé','SC',11035,857,NULL,367,NULL,NULL,NULL,2,1),(16,3157547,3.00,1.00,2.00,1.00,1.00,NULL,2.00,3.00,2.00,501,NULL,NULL,'INTERIOR','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3157563,6.00,5.00,8.00,8.00,5.00,4.75,6.00,6.00,6.00,211,NULL,233,'FIGUEIRA','URUSSANGA','SC',3063,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3157580,4.00,5.00,2.00,0.00,1.00,NULL,2.00,4.00,5.00,220,NULL,203,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157628,8.00,8.00,7.00,9.00,6.00,5.75,5.00,7.00,5.00,340,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',1559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157636,9.00,7.00,6.00,9.00,7.00,5.00,8.00,7.00,8.00,203,NULL,220,'CóRREGO GRANDE','FLORIANóPOLIS','SC',762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157644,4.00,6.00,1.00,7.00,5.00,NULL,1.00,6.00,0.00,324,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157660,3.00,2.00,1.00,5.00,3.00,NULL,2.00,5.00,0.00,324,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157679,2.00,4.00,4.00,5.00,1.00,NULL,2.00,4.00,4.00,238,NULL,208,'CACHOEIRA BOM JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157687,4.00,4.00,4.00,1.00,7.00,NULL,3.00,3.00,2.00,102,NULL,NULL,'SÃO FRANCISCO DE ASS','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157709,3.00,4.00,4.00,5.00,4.00,NULL,0.00,3.00,3.00,208,NULL,238,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157717,1.00,3.00,1.00,7.00,2.00,NULL,4.00,1.00,3.00,102,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157725,5.00,6.00,3.00,8.00,4.00,5.25,3.00,7.00,6.00,340,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP',6379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SERTAO DO IMARUIM','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3157741,6.00,6.00,5.00,8.00,2.00,NULL,3.00,6.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3157750,1.00,1.00,2.00,1.00,2.00,NULL,1.00,2.00,3.00,223,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157768,3.00,3.00,2.00,7.00,2.00,NULL,3.00,4.00,1.00,220,NULL,208,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157776,4.00,3.00,3.00,3.00,3.00,NULL,1.00,3.00,2.00,316,NULL,NULL,'ROCADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157784,4.00,8.00,4.00,9.00,6.00,4.25,2.00,6.00,5.00,201,NULL,238,'PANTANAL','FLORIANóPOLIS','SC',7333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157792,7.00,7.00,7.00,7.00,6.00,7.00,4.00,9.00,5.00,203,NULL,201,'JARDIM MALUCHE','BRUSQUE','SC',2151,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157806,0.00,2.00,1.00,3.00,3.00,NULL,2.00,4.00,2.00,319,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,429,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3157830,6.00,4.00,1.00,8.00,4.00,4.25,1.00,7.00,4.00,5,NULL,NULL,'NAçõES','CONCóRDIA','SC',12982,440,NULL,NULL,NULL,NULL,NULL,2,7),(16,3157849,7.00,7.00,9.00,8.00,6.00,4.50,6.00,8.00,7.00,212,NULL,233,'CACUPE','FLORIANóPOLIS','SC',1082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3157873,3.00,0.00,3.00,2.00,4.00,NULL,1.00,4.00,3.00,208,NULL,220,'DEMOCRATA','JZ FORA','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3157881,3.00,7.00,3.00,5.00,5.00,5.00,1.00,6.00,2.00,503,NULL,NULL,'COLôNIA SANTANA','S JOSé','SC',13795,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157911,4.00,3.00,3.00,6.00,3.00,NULL,4.00,6.00,4.00,426,NULL,428,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157920,5.00,6.00,2.00,5.00,4.00,5.75,3.00,3.00,4.00,340,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',13888,430,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157938,6.00,5.00,5.00,8.00,5.00,4.75,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3157946,6.00,7.00,5.00,8.00,4.00,6.50,3.00,8.00,3.00,331,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',5648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3157954,6.00,8.00,6.00,8.00,8.00,7.25,6.00,7.00,7.00,214,NULL,212,'PANTANAL','FLORIANóPOLIS','SC',1134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157962,6.00,7.00,7.00,8.00,6.00,6.25,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',3825,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3157970,2.00,4.00,1.00,0.00,2.00,NULL,2.00,3.00,3.00,238,NULL,208,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3157997,5.00,5.00,7.00,7.00,5.00,5.50,4.00,6.00,6.00,216,NULL,203,'SANTA MôNICA','COLORADO','PR',5847,203,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158004,4.00,4.00,3.00,3.00,5.00,3.25,2.00,6.00,3.00,453,NULL,NULL,'PANTâNO DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158012,5.00,7.00,5.00,6.00,6.00,6.25,4.00,8.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3158020,6.00,6.00,5.00,7.00,6.00,4.00,6.00,6.00,6.00,202,NULL,NULL,'CENTRO','CPO GRANDE','MS',4703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158047,8.00,5.00,6.00,6.00,8.00,6.50,4.00,8.00,6.00,233,NULL,216,'JARDIM JULIA','BEBEDOURO','SP',2647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158063,8.00,5.00,7.00,8.00,8.00,6.50,4.00,7.00,6.00,214,NULL,213,'BAETA NEVES','S BERNARDO CAMPO','SP',2001,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3158071,6.00,3.00,2.00,3.00,4.00,4.50,3.00,5.00,6.00,444,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',14015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158080,5.00,6.00,1.00,2.00,3.00,NULL,1.00,5.00,3.00,213,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158098,6.00,7.00,1.00,7.00,6.00,6.75,3.00,7.00,4.00,303,NULL,NULL,'CENTRO','CPO GRANDE','MS',7135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158101,2.00,2.00,3.00,6.00,3.00,NULL,2.00,4.00,3.00,415,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158110,4.00,6.00,2.00,4.00,2.00,NULL,3.00,6.00,3.00,304,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158128,4.00,3.00,3.00,3.00,4.00,NULL,1.00,5.00,2.00,216,NULL,233,'PROGRESSO','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158136,3.00,5.00,3.00,6.00,4.00,4.25,1.00,7.00,4.00,233,NULL,216,'CENTRO','FLORIANóPOLIS','SC',13683,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158152,4.00,5.00,2.00,8.00,5.00,5.00,2.00,2.00,6.00,103,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',12546,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158160,4.00,4.00,4.00,5.00,4.00,4.25,1.00,3.00,3.00,104,NULL,NULL,'PIO CORRêA','CRICIúMA','SC',16263,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3158179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3158187,4.00,1.00,3.00,4.00,4.00,NULL,2.00,4.00,1.00,9,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158195,0.00,5.00,3.00,8.00,6.00,NULL,3.00,7.00,4.00,415,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'JULIA KUBITSCHEK','CEL FABRICIANO','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3158217,4.00,6.00,4.00,8.00,7.00,7.50,2.00,6.00,3.00,304,NULL,NULL,'CENTRO','CRICIúMA','SC',7422,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3158225,5.00,6.00,3.00,8.00,8.00,5.75,2.00,8.00,3.00,451,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',6135,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CIANORTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3158241,5.00,3.00,2.00,3.00,2.00,NULL,1.00,3.00,2.00,309,NULL,NULL,'STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158250,7.00,7.00,4.00,9.00,7.00,7.25,4.00,8.00,6.00,340,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',2213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158276,3.00,1.00,1.00,2.00,3.00,NULL,1.00,4.00,3.00,238,NULL,208,'CAMPINA DA ALEGRIA','VARGEM BONITA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3158284,3.00,3.00,4.00,3.00,4.00,NULL,1.00,4.00,3.00,223,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158306,1.00,3.00,3.00,4.00,4.00,NULL,1.00,5.00,3.00,340,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158314,6.00,6.00,4.00,8.00,8.00,5.00,5.00,9.00,8.00,103,NULL,NULL,'PAES LEME','IMBITUBA','SC',2615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3158330,1.00,3.00,1.00,3.00,1.00,NULL,1.00,2.00,3.00,452,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158365,5.00,8.00,8.00,2.00,6.00,6.25,4.00,6.00,8.00,201,NULL,203,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',4818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158373,6.00,6.00,3.00,2.00,3.00,NULL,3.00,8.00,5.00,208,NULL,203,'RIO BRANCO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3158381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO NORTE','STO ÂNGELO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3158390,4.00,8.00,6.00,4.00,7.00,6.75,3.00,7.00,5.00,415,NULL,NULL,'AREIAS','S JOSé','SC',6283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158403,4.00,4.00,4.00,1.00,4.00,5.50,3.00,3.00,3.00,316,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',15918,199,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158411,4.00,3.00,3.00,5.00,3.00,NULL,1.00,5.00,0.00,421,NULL,425,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158420,6.00,2.00,1.00,1.00,7.00,4.75,4.00,3.00,5.00,103,NULL,NULL,'PATAMARES','SALVADOR','BA',14699,2667,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158454,2.00,3.00,2.00,1.00,1.00,NULL,4.00,1.00,2.00,220,NULL,214,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158462,7.00,8.00,6.00,8.00,6.00,4.00,4.00,7.00,7.00,233,NULL,201,'PANTANAL','FLORIANóPOLIS','SC',2739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158470,6.00,7.00,5.00,5.00,5.00,5.75,3.00,5.00,3.00,5,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',9373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158489,7.00,8.00,6.00,8.00,6.00,6.25,6.00,7.00,7.00,203,NULL,213,'SERRINHA','FLORIANóPOLIS','SC',1312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158497,4.00,5.00,4.00,4.00,3.00,NULL,0.00,5.00,4.00,201,NULL,NULL,'MARIA GORETTI','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3158500,5.00,7.00,6.00,7.00,5.00,4.75,2.00,6.00,3.00,103,NULL,NULL,'JARDIM ITáLIA','CHAPECó','SC',9098,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3158519,6.00,9.00,3.00,8.00,4.00,5.75,3.00,9.00,5.00,332,NULL,NULL,'CAMPINAS','S JOSé','SC',4537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158527,2.00,3.00,3.00,6.00,4.00,6.25,2.00,4.00,3.00,451,NULL,NULL,'POTECAS','S JOSé','SC',15292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158535,5.00,3.00,4.00,7.00,6.00,5.75,3.00,4.00,4.00,203,NULL,214,'CENTRO','ERECHIM','RS',9104,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3158543,2.00,3.00,3.00,5.00,4.00,6.00,5.00,2.00,4.00,207,NULL,201,'SOSSEGO','CANOINHAS','SC',15489,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3158551,6.00,6.00,4.00,9.00,6.00,6.25,3.00,6.00,3.00,340,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',5471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158560,7.00,9.00,6.00,5.00,7.00,6.50,4.00,9.00,7.00,103,NULL,NULL,'GRAVATá','NAVEGANTES','SC',2141,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3158578,6.00,5.00,4.00,7.00,5.00,6.75,1.00,8.00,5.00,3,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',7362,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158586,1.00,4.00,1.00,4.00,3.00,NULL,0.00,0.00,3.00,238,NULL,208,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158594,3.00,3.00,2.00,4.00,5.00,NULL,1.00,1.00,1.00,212,NULL,201,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158608,6.00,7.00,4.00,7.00,7.00,6.25,4.00,8.00,8.00,453,NULL,NULL,'CAMPINAS','S JOSé','SC',2503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BELA VISTA','LEME','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3158632,3.00,1.00,1.00,5.00,3.00,NULL,4.00,5.00,4.00,103,NULL,NULL,'SEM BAIRRO','SALETE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3158640,6.00,5.00,6.00,7.00,6.00,6.25,3.00,6.00,3.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',7039,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3158667,4.00,2.00,2.00,1.00,3.00,NULL,2.00,1.00,4.00,303,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158675,6.00,7.00,4.00,6.00,4.00,4.50,6.00,8.00,6.00,203,NULL,201,'IPIRANGA','S JOSé','SC',5369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158683,4.00,8.00,5.00,7.00,8.00,5.25,6.00,8.00,6.00,201,NULL,216,'BOA VISTA','ITUPORANGA','SC',3660,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3158691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,215,'CENTRO','CPO BOM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3158705,5.00,7.00,3.00,6.00,5.00,7.25,3.00,5.00,6.00,108,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',6562,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3158713,4.00,7.00,4.00,6.00,4.00,4.50,4.00,8.00,5.00,203,NULL,214,'JARDIM SOFIA','JOINVILLE','SC',7088,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3158721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3158730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FAZENDA','ITAJAí','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3158748,5.00,5.00,1.00,1.00,3.00,NULL,3.00,4.00,4.00,9,NULL,NULL,'JARDIM COPACABANA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158756,3.00,6.00,3.00,9.00,5.00,6.00,3.00,6.00,4.00,108,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',8562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158764,4.00,5.00,3.00,5.00,4.00,6.00,3.00,3.00,2.00,207,NULL,201,'ESPINHEIROS','ITAJAí','SC',15275,790,NULL,1176,NULL,NULL,NULL,2,6),(16,3158772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3158780,7.00,3.00,5.00,8.00,5.00,5.25,3.00,7.00,5.00,220,NULL,201,'CHÁCARAS MANTOVANI','AMERICANA','SP',5665,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3158799,3.00,3.00,1.00,4.00,4.00,NULL,1.00,1.00,1.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158845,8.00,3.00,4.00,9.00,6.00,6.25,5.00,7.00,4.00,103,NULL,NULL,'CAMPINAS','S JOSé','SC',5138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158853,5.00,7.00,9.00,8.00,7.00,6.25,3.00,5.00,5.00,102,NULL,NULL,'GONZAGA','SANTOS','SP',3332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158861,3.00,6.00,2.00,8.00,4.00,5.25,3.00,4.00,4.00,453,NULL,NULL,'JARDIM MARISTELA','ATIBAIA','SP',11765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'BELA VISTA','PANAMBI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3158888,7.00,7.00,4.00,8.00,7.00,6.00,3.00,7.00,5.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158896,2.00,2.00,1.00,5.00,2.00,NULL,1.00,4.00,4.00,453,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158900,4.00,1.00,3.00,4.00,1.00,NULL,2.00,1.00,4.00,238,NULL,208,'INTERIOR','ENTRE R SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3158918,8.00,9.00,8.00,9.00,7.00,7.50,6.00,8.00,7.00,303,NULL,NULL,'BOSQUE DAS MANSõES','S JOSé','SC',489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3158926,5.00,7.00,2.00,4.00,5.00,5.50,4.00,6.00,4.00,203,NULL,202,'PENHA','LAGES','SC',10506,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3158942,7.00,6.00,4.00,8.00,6.00,4.75,4.00,7.00,5.00,2,NULL,NULL,'JD EUROPA','FOZ IGUAçU','PR',4225,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158950,5.00,7.00,2.00,8.00,8.00,6.25,4.00,6.00,6.00,319,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',6196,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3158977,6.00,5.00,6.00,8.00,6.00,6.50,3.00,7.00,6.00,216,NULL,238,'ESTREITO','FLORIANóPOLIS','SC',4834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3158985,4.00,6.00,2.00,3.00,5.00,6.50,2.00,6.00,3.00,319,NULL,NULL,'ARMACAO DO P DO SUL','FLORIANóPOLIS','SC',13201,269,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159000,6.00,7.00,2.00,7.00,2.00,NULL,3.00,8.00,4.00,201,NULL,233,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MEIRELES','FORTALEZA','CE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3159027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'MORROTES','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3159035,7.00,6.00,8.00,9.00,6.00,6.00,6.00,7.00,8.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',1184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159043,5.00,6.00,7.00,6.00,5.00,5.00,7.00,6.00,6.00,220,NULL,202,'CENTRO','SORRISO','MT',4643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159051,3.00,4.00,3.00,4.00,2.00,NULL,2.00,4.00,4.00,103,NULL,NULL,'AEROPORTO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3159060,4.00,3.00,2.00,4.00,5.00,4.50,1.00,2.00,4.00,303,NULL,NULL,'ESTREITO','S JOSé','SC',16623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159086,7.00,5.00,7.00,8.00,7.00,6.50,4.00,6.00,5.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PRIMAVERA','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3159108,9.00,8.00,3.00,9.00,7.00,6.50,6.00,8.00,7.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',1591,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3159116,5.00,3.00,3.00,7.00,6.00,5.00,6.00,6.00,7.00,317,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',6851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159124,6.00,6.00,3.00,5.00,5.00,2.50,3.00,6.00,4.00,326,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','CPO MOURãO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3159140,7.00,6.00,6.00,9.00,6.00,5.75,2.00,8.00,4.00,207,NULL,233,'JURERE','FLORIANóPOLIS','SC',3861,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3159159,7.00,8.00,8.00,9.00,7.00,6.50,6.00,8.00,7.00,216,NULL,211,'CENTRO','BRUSQUE','SC',449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159167,5.00,1.00,3.00,8.00,4.00,6.00,3.00,4.00,4.00,108,NULL,NULL,'BARREIROS','S JOSé','SC',13038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159175,5.00,4.00,5.00,8.00,5.00,6.50,2.00,6.00,6.00,104,NULL,NULL,'SãO VIRGILIO','RODEIO','SC',8178,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3159183,2.00,5.00,3.00,6.00,3.00,NULL,2.00,4.00,3.00,317,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3159205,4.00,5.00,4.00,5.00,4.00,4.00,3.00,6.00,2.00,203,NULL,207,'ACARAI','S FRANCISCO SUL','SC',13678,841,NULL,703,NULL,NULL,NULL,2,8),(16,3159213,4.00,8.00,3.00,7.00,6.00,5.25,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','TREZE TíLIAS','SC',9841,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3159221,0.00,1.00,1.00,2.00,1.00,NULL,3.00,1.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159230,4.00,2.00,4.00,3.00,4.00,5.50,3.00,5.00,3.00,103,NULL,NULL,'BARREIROS','S JOSé','SC',15155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159256,3.00,3.00,2.00,1.00,4.00,NULL,2.00,3.00,3.00,301,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159264,4.00,6.00,1.00,7.00,4.00,5.50,3.00,6.00,6.00,214,NULL,203,'INTERIOR','VIDEIRA','SC',10409,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3159272,3.00,2.00,1.00,5.00,4.00,NULL,1.00,2.00,3.00,404,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159280,6.00,3.00,1.00,5.00,5.00,4.25,3.00,4.00,3.00,9,NULL,NULL,'POTECAS SãO JOSé','S JOSé','SC',15530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159299,3.00,3.00,4.00,6.00,4.00,5.25,1.00,6.00,3.00,319,NULL,NULL,'DEHON','TUBARãO','SC',14245,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3159302,2.00,0.00,5.00,6.00,7.00,6.50,1.00,6.00,2.00,303,NULL,NULL,'CENTRO','URUBICI','SC',14123,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3159310,3.00,4.00,3.00,1.00,2.00,NULL,2.00,3.00,3.00,238,NULL,208,'BELA VISTA II','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159329,9.00,9.00,8.00,6.00,6.00,5.50,5.00,7.00,8.00,103,NULL,NULL,'CAMPINAS','S JOSé','SC',1013,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159337,5.00,7.00,3.00,7.00,6.00,4.25,2.00,7.00,6.00,103,NULL,NULL,'CENTRO','MARINGá','PR',6739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159345,3.00,3.00,2.00,1.00,3.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'PETROPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3159353,2.00,3.00,1.00,6.00,3.00,NULL,3.00,4.00,2.00,101,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159361,9.00,7.00,6.00,7.00,4.00,4.75,5.00,8.00,8.00,103,NULL,NULL,'FIGUEIRA','URUSSANGA','SC',2207,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159370,4.00,4.00,3.00,2.00,3.00,NULL,1.00,3.00,5.00,3,NULL,NULL,'GUADALUPE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3159388,4.00,4.00,1.00,1.00,5.00,5.50,3.00,4.00,5.00,103,NULL,NULL,'PINEVILLE','PINHAIS','PR',14858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159396,7.00,8.00,6.00,9.00,7.00,7.50,6.00,7.00,7.00,103,NULL,NULL,'JARDIM GOIAS','GOIÂNIA','GO',954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159400,1.00,5.00,3.00,4.00,4.00,6.00,2.00,2.00,4.00,215,NULL,216,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159418,5.00,2.00,2.00,0.00,4.00,NULL,3.00,4.00,1.00,103,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3159426,0.00,0.00,0.00,1.00,1.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3159434,3.00,9.00,3.00,8.00,6.00,5.00,1.00,5.00,4.00,340,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',9807,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3159450,1.00,1.00,2.00,1.00,0.00,NULL,4.00,2.00,6.00,301,NULL,NULL,'MORRO DA BINA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159469,7.00,8.00,4.00,8.00,7.00,7.50,3.00,8.00,2.00,415,NULL,NULL,'GASPARINHO','GASPAR','SC',3962,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3159477,4.00,5.00,2.00,6.00,6.00,6.25,3.00,8.00,4.00,103,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',8731,2091,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159485,1.00,5.00,3.00,7.00,7.00,4.00,2.00,6.00,4.00,301,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',12850,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159493,5.00,5.00,6.00,8.00,8.00,6.75,7.00,7.00,6.00,202,NULL,220,'FIGUEIRA','URUSSANGA','SC',2257,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3159507,8.00,6.00,6.00,8.00,5.00,6.75,0.00,8.00,5.00,104,NULL,NULL,'PINHEIRINHO','CRICIúMA','SC',4277,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3159515,6.00,7.00,7.00,8.00,8.00,5.75,4.00,6.00,6.00,103,NULL,NULL,'PROGRESSO','BLUMENAU','SC',2543,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3159523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REBOUCAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3159531,3.00,6.00,3.00,2.00,5.00,6.00,5.00,7.00,4.00,429,NULL,425,'PANTANAL','FLORIANóPOLIS','SC',10888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159540,4.00,4.00,4.00,6.00,3.00,NULL,6.00,5.00,6.00,207,NULL,216,'METZLER','CPO BOM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159558,4.00,4.00,3.00,4.00,2.00,NULL,1.00,4.00,2.00,340,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159566,6.00,6.00,4.00,6.00,6.00,5.75,3.00,8.00,3.00,214,NULL,211,'FAZENDA','ITAJAí','SC',6770,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3159574,7.00,7.00,5.00,6.00,6.00,6.50,7.00,6.00,6.00,108,NULL,NULL,'FAXINAL GRANDE','FAXINALZINHO','RS',2418,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3159582,5.00,6.00,3.00,9.00,3.00,NULL,4.00,6.00,4.00,420,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3159590,9.00,9.00,8.00,9.00,8.00,7.50,4.00,8.00,8.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159612,3.00,3.00,1.00,4.00,2.00,NULL,2.00,3.00,2.00,101,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159620,6.00,3.00,4.00,4.00,5.00,4.75,2.00,4.00,2.00,420,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',14969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159647,4.00,4.00,4.00,7.00,6.00,6.75,3.00,6.00,5.00,101,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',8065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159655,2.00,5.00,1.00,6.00,4.00,4.00,2.00,6.00,3.00,203,NULL,201,'CENTRO','S JOSé CEDRO','SC',15705,913,NULL,1216,NULL,NULL,NULL,4,4),(16,3159663,9.00,8.00,8.00,9.00,8.00,6.75,7.00,9.00,8.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',76,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159671,4.00,7.00,2.00,8.00,4.00,4.25,2.00,5.00,3.00,211,NULL,216,'CENTRO','PENHA','SC',11491,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3159698,9.00,8.00,4.00,5.00,6.00,5.00,4.00,8.00,5.00,103,NULL,NULL,'SANTO ANTôNIO','JOINVILLE','SC',4517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'MONTE CASTELO','TUBARãO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3159710,4.00,4.00,2.00,3.00,2.00,NULL,3.00,6.00,3.00,234,NULL,NULL,'SÃO JOÃO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3159728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3159736,8.00,7.00,8.00,6.00,7.00,6.00,6.00,7.00,8.00,203,NULL,202,'JOSE MENINO','SANTOS','SP',1100,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159752,8.00,7.00,7.00,8.00,7.00,6.75,5.00,8.00,8.00,5,NULL,NULL,'ANDORINHA','ITAPEMA','SC',873,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3159760,6.00,4.00,3.00,7.00,6.00,6.00,3.00,6.00,4.00,108,NULL,NULL,'BARREIROS','S JOSé','SC',9425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159779,5.00,6.00,3.00,5.00,5.00,5.00,3.00,5.00,2.00,5,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',11958,414,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159787,4.00,7.00,3.00,3.00,5.00,4.75,5.00,4.00,5.00,201,NULL,212,'KOBRASOL','S JOSé','SC',11372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3159809,4.00,6.00,2.00,9.00,8.00,9.25,4.00,8.00,2.00,425,NULL,424,'VARGEM GRANDE','FLORIANóPOLIS','SC',5741,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3159817,4.00,6.00,3.00,3.00,4.00,5.50,3.00,3.00,1.00,104,NULL,NULL,'CENTRO','AURORA','SC',16042,481,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159825,2.00,1.00,2.00,4.00,0.00,NULL,1.00,5.00,3.00,101,NULL,NULL,'SANTA TEREZA','S PEDRO ALCâNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159833,5.00,5.00,4.00,6.00,7.00,5.50,4.00,4.00,5.00,108,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',7734,159,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159841,1.00,3.00,2.00,2.00,4.00,NULL,3.00,4.00,0.00,501,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159850,8.00,7.00,5.00,8.00,7.00,6.00,4.00,9.00,6.00,5,NULL,NULL,'JARDIM AQUARIUS','S JOSé CAMPOS','SP',1903,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159868,8.00,7.00,5.00,8.00,7.00,6.50,7.00,7.00,7.00,103,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',1237,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3159876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'UNIVERSITáRIO','CHAPECó','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3159884,2.00,4.00,2.00,9.00,4.00,5.75,3.00,4.00,5.00,203,NULL,201,'CARIJóS','INDAIAL','SC',12958,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3159906,0.00,0.00,0.00,6.00,6.00,NULL,0.00,0.00,0.00,424,NULL,425,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3159914,2.00,4.00,2.00,5.00,4.00,5.50,4.00,2.00,4.00,104,NULL,NULL,'CENTRO','NOVA LONDRINA','PR',16112,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159922,7.00,8.00,8.00,8.00,8.00,8.00,7.00,7.00,8.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3159930,3.00,3.00,2.00,4.00,6.00,5.75,4.00,6.00,4.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159949,5.00,2.00,2.00,5.00,4.00,NULL,0.00,8.00,0.00,320,NULL,NULL,'SAO JOSE','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3159965,6.00,7.00,4.00,8.00,6.00,5.75,2.00,6.00,6.00,103,NULL,NULL,'JARDIM AMÉRICA','PNT GROSSA','PR',5043,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3159973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BELA VISTA I','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3159981,1.00,1.00,1.00,3.00,0.00,NULL,3.00,2.00,2.00,207,NULL,212,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3159990,7.00,7.00,6.00,8.00,9.00,5.00,3.00,7.00,7.00,333,NULL,NULL,'CENTRO','IçARA','SC',2306,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3160009,3.00,1.00,3.00,4.00,4.00,NULL,3.00,1.00,3.00,203,NULL,211,'CENTRO','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3160017,5.00,3.00,2.00,4.00,7.00,5.25,2.00,6.00,3.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',13325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160025,4.00,4.00,3.00,6.00,3.00,NULL,3.00,6.00,2.00,309,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3160033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'DONATOS','STA VITóRIA PALMAR','RS',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3160041,0.00,3.00,1.00,0.00,2.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'INTERIOR','QUILOMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3160050,0.00,1.00,4.00,4.00,0.00,NULL,2.00,6.00,5.00,426,NULL,423,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3160068,5.00,4.00,1.00,7.00,4.00,4.75,2.00,3.00,5.00,103,NULL,NULL,'CENTRO','S JOãO BATISTA','SC',14965,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3160076,6.00,4.00,2.00,7.00,3.00,NULL,3.00,6.00,5.00,234,NULL,NULL,'VILA FERROVIARIA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3160092,4.00,4.00,1.00,2.00,4.00,5.00,3.00,7.00,4.00,238,NULL,208,'TAPERA','FLORIANóPOLIS','SC',15810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160106,6.00,5.00,5.00,7.00,4.00,6.50,5.00,6.00,6.00,238,NULL,220,'SACO DOS LIMõES','FLORIANóPOLIS','SC',7024,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3160114,5.00,3.00,2.00,3.00,4.00,4.25,1.00,5.00,2.00,103,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',16010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160122,2.00,0.00,3.00,1.00,1.00,NULL,2.00,4.00,3.00,404,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160130,8.00,9.00,8.00,9.00,8.00,6.00,6.00,8.00,9.00,203,NULL,201,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160157,6.00,7.00,6.00,4.00,7.00,5.75,3.00,9.00,5.00,201,NULL,202,'VILA ALEMANHA','LUZERNA','SC',4721,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3160165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ZONA SETE','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3160173,4.00,5.00,2.00,3.00,4.00,4.75,1.00,5.00,3.00,212,NULL,201,'CENTRO','S MARCOS','RS',16632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160181,1.00,1.00,3.00,2.00,0.00,NULL,3.00,2.00,3.00,203,NULL,214,'SANTA CRUZ','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3160190,2.00,4.00,3.00,1.00,3.00,NULL,3.00,6.00,3.00,108,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160203,4.00,6.00,4.00,7.00,3.00,NULL,3.00,5.00,3.00,201,NULL,213,'INTERIOR','QUILOMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3160220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ENGENHO SECO','LOUVEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3160238,6.00,5.00,4.00,7.00,4.00,5.75,3.00,4.00,6.00,208,NULL,213,'FORQUILHINHAS','S JOSé','SC',9390,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3160254,5.00,4.00,5.00,4.00,4.00,4.25,3.00,2.00,2.00,453,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',14744,120,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160262,6.00,6.00,6.00,5.00,5.00,5.50,3.00,7.00,6.00,201,NULL,238,'ANDORINHA','ITAPEMA','SC',6146,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3160270,8.00,8.00,5.00,8.00,7.00,7.75,5.00,8.00,7.00,303,NULL,NULL,'CAMPINAS','S JOSé','SC',1182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3160289,4.00,3.00,4.00,5.00,5.00,5.50,4.00,4.00,4.00,202,NULL,238,'FORTALEZA','BLUMENAU','SC',12977,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3160300,7.00,7.00,7.00,7.00,8.00,5.00,6.00,7.00,7.00,203,NULL,201,'ITACORUBI','FLORIANóPOLIS','SC',2010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160319,3.00,3.00,4.00,4.00,5.00,4.50,1.00,5.00,5.00,103,NULL,NULL,'JARDIM BONGIOVANE','PRESIDENTE PRUDENTE','SP',14984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160327,1.00,3.00,1.00,5.00,4.00,NULL,4.00,2.00,2.00,203,NULL,NULL,'SãO CRISTóVãO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3160335,5.00,8.00,4.00,7.00,7.00,8.50,2.00,7.00,4.00,207,NULL,201,'CAMPECHE','FLORIANóPOLIS','SC',4923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160343,3.00,2.00,2.00,5.00,4.00,4.25,3.00,5.00,3.00,302,NULL,NULL,'FLORESTA','S JOSé','SC',15931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3160351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,215,'JARDIM SOCIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3160386,5.00,5.00,3.00,9.00,7.00,6.50,4.00,8.00,4.00,301,NULL,NULL,'ROçADO','S JOSé','SC',5452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3160394,7.00,7.00,5.00,8.00,5.00,6.00,3.00,7.00,5.00,331,NULL,NULL,'SUMAREZINHO','S PAULO','SP',4309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160408,5.00,5.00,3.00,8.00,6.00,6.00,2.00,4.00,4.00,203,NULL,202,'CENTRO','CPO BELO SUL','SC',10172,718,NULL,373,NULL,NULL,NULL,4,9),(16,3160416,4.00,4.00,4.00,1.00,4.00,4.75,2.00,3.00,3.00,333,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',16683,143,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160424,4.00,4.00,3.00,5.00,5.00,7.50,4.00,6.00,4.00,502,NULL,NULL,'CENTRO','CRICIúMA','SC',9641,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3160432,4.00,2.00,2.00,4.00,6.00,5.50,3.00,5.00,2.00,207,NULL,215,'CAMPINAS','S JOSé','SC',15089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160440,6.00,4.00,5.00,5.00,7.00,5.25,3.00,7.00,3.00,303,NULL,NULL,'VILA NOVA','JOINVILLE','SC',9392,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3160459,5.00,4.00,7.00,7.00,7.00,6.75,5.00,7.00,7.00,340,NULL,NULL,'KOBRASOL','S JOSé','SC',3487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160467,4.00,4.00,4.00,8.00,3.00,NULL,4.00,7.00,4.00,203,NULL,214,'ZONA OITO','MARINGá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160475,3.00,2.00,4.00,5.00,3.00,NULL,3.00,4.00,3.00,216,NULL,201,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3160483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM DAS HORTENSIA','RIO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3160491,1.00,3.00,3.00,3.00,2.00,NULL,3.00,4.00,2.00,303,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3160505,2.00,4.00,2.00,5.00,4.00,4.75,3.00,7.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',15786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160521,3.00,1.00,2.00,7.00,3.00,NULL,3.00,4.00,4.00,427,NULL,425,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3160530,5.00,5.00,1.00,2.00,1.00,NULL,3.00,6.00,4.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160548,3.00,5.00,4.00,6.00,5.00,4.50,3.00,5.00,4.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',13422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160556,1.00,2.00,2.00,4.00,5.00,6.00,3.00,9.00,5.00,207,NULL,201,'POÇO GRANDE','GASPAR','SC',13050,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3160564,3.00,5.00,3.00,6.00,4.00,6.00,3.00,3.00,2.00,103,NULL,NULL,'ITAGUAçú','FLORIANóPOLIS','SC',15703,2758,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160572,4.00,7.00,3.00,5.00,5.00,4.75,4.00,6.00,4.00,201,NULL,212,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3160580,4.00,3.00,3.00,7.00,6.00,5.00,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','BRAçO NORTE','SC',12365,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3160610,4.00,2.00,2.00,4.00,5.00,NULL,2.00,2.00,2.00,102,NULL,NULL,'CRISTO REDENTOR','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3160637,7.00,8.00,8.00,9.00,8.00,7.00,5.00,9.00,8.00,216,NULL,208,'BADENFURT','BLUMENAU','SC',345,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3160645,5.00,6.00,3.00,2.00,4.00,4.00,3.00,5.00,3.00,208,NULL,233,'CENTRO','TUBARãO','SC',14313,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3160661,4.00,3.00,3.00,4.00,3.00,NULL,1.00,3.00,3.00,201,NULL,207,'CENTRO','AGRONôMICA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,9),(16,3160670,3.00,2.00,3.00,6.00,6.00,5.50,3.00,6.00,4.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160688,6.00,8.00,1.00,5.00,6.00,6.25,3.00,8.00,4.00,103,NULL,NULL,'SANTANA','RIO SUL','SC',7316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160696,6.00,4.00,2.00,2.00,6.00,6.00,3.00,5.00,4.00,103,NULL,NULL,'TESTO CENTRAL','POMERODE','SC',13219,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3160700,3.00,6.00,4.00,6.00,3.00,NULL,3.00,6.00,5.00,9,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CIDADE ALTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3160726,5.00,1.00,5.00,1.00,5.00,6.50,1.00,7.00,4.00,303,NULL,NULL,'BARRA DO ARIRIú','PALHOçA','SC',14670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160734,3.00,3.00,4.00,7.00,4.00,3.00,2.00,2.00,5.00,207,NULL,208,'ABRAÃO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160742,3.00,4.00,3.00,6.00,5.00,5.75,3.00,5.00,4.00,333,NULL,NULL,'LAGOA DO PERI','FLORIANóPOLIS','SC',12050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'NAçõES','CONCóRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3160769,5.00,5.00,4.00,5.00,5.00,6.00,3.00,3.00,4.00,3,NULL,NULL,'ARCADAS','AMPARO','SP',12150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160777,3.00,3.00,3.00,0.00,4.00,NULL,2.00,3.00,4.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160785,3.00,4.00,3.00,6.00,3.00,NULL,3.00,2.00,4.00,211,NULL,233,'INTERIOR','LACERDóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3160793,4.00,3.00,4.00,6.00,5.00,6.00,3.00,5.00,3.00,211,NULL,212,'CENTRO','TIJUCAS','SC',12687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160807,3.00,4.00,2.00,3.00,5.00,5.00,2.00,4.00,4.00,303,NULL,NULL,'PARQUE DAS ACáCIAS','S LUDGERO','SC',16267,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3160815,6.00,1.00,4.00,5.00,3.00,NULL,3.00,4.00,3.00,220,NULL,203,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160823,4.00,3.00,2.00,0.00,1.00,NULL,2.00,1.00,3.00,308,NULL,NULL,'BIGUAÇU','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160831,5.00,6.00,4.00,6.00,6.00,7.25,3.00,8.00,4.00,103,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',6825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160840,2.00,4.00,1.00,6.00,3.00,NULL,2.00,2.00,1.00,201,NULL,202,'BARRA DO ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3160858,2.00,3.00,3.00,4.00,2.00,NULL,2.00,5.00,3.00,234,NULL,NULL,'BUTANTAN','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160890,8.00,7.00,6.00,5.00,5.00,5.50,5.00,9.00,5.00,2,NULL,NULL,'INTERIOR','ITAPIRANGA','SC',3193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160912,3.00,3.00,4.00,5.00,4.00,4.75,3.00,2.00,5.00,220,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',14896,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3160920,6.00,3.00,3.00,8.00,5.00,5.75,3.00,7.00,4.00,316,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',9837,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3160939,2.00,5.00,3.00,4.00,5.00,4.50,3.00,6.00,3.00,233,NULL,208,'ITACORUBI','FLORIANóPOLIS','SC',14644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3160947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3160955,3.00,4.00,7.00,5.00,6.00,4.50,2.00,5.00,2.00,203,NULL,214,'TRINDADE','FLORIANóPOLIS','SC',12851,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3160963,2.00,3.00,4.00,5.00,3.00,NULL,1.00,5.00,3.00,101,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3160971,4.00,2.00,1.00,5.00,3.00,NULL,2.00,3.00,2.00,214,NULL,220,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160980,3.00,3.00,3.00,0.00,3.00,NULL,3.00,4.00,5.00,225,NULL,NULL,'CENTRO','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3160998,2.00,3.00,1.00,5.00,2.00,NULL,2.00,1.00,2.00,415,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161005,2.00,3.00,3.00,5.00,4.00,NULL,2.00,3.00,2.00,201,NULL,207,'JARDIM ITáLIA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3161013,7.00,4.00,3.00,4.00,6.00,8.00,5.00,8.00,7.00,102,NULL,NULL,'CENTRO','BELA V GOIáS','GO',5758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161021,5.00,4.00,5.00,8.00,5.00,5.50,4.00,4.00,5.00,104,NULL,NULL,'CENTRO','AMPéRE','PR',8476,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3161048,2.00,1.00,1.00,6.00,4.00,5.75,3.00,2.00,6.00,503,NULL,NULL,'CENTRO','ITAQUI','RS',16436,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161056,3.00,3.00,2.00,5.00,6.00,4.75,2.00,7.00,4.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13258,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161064,3.00,4.00,3.00,5.00,5.00,6.00,2.00,6.00,4.00,207,NULL,201,'CENTRO','CRICIúMA','SC',12545,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3161072,4.00,4.00,2.00,7.00,3.00,NULL,2.00,5.00,2.00,208,NULL,238,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161080,6.00,4.00,1.00,4.00,8.00,5.75,2.00,8.00,4.00,428,NULL,NULL,'CENTRO','MRO FUMAçA','SC',9474,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3161099,5.00,3.00,2.00,5.00,4.00,5.00,5.00,5.00,3.00,340,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',13360,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161102,4.00,8.00,1.00,9.00,5.00,4.75,4.00,6.00,5.00,203,NULL,207,'KOBRASOL','S JOSé','SC',7899,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161110,5.00,6.00,5.00,6.00,3.00,NULL,3.00,6.00,7.00,203,NULL,NULL,'RES SANTA CLARA','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3161129,5.00,8.00,4.00,9.00,7.00,5.50,3.00,8.00,7.00,340,NULL,NULL,'SANT ANT DE LISBOA','FLORIANóPOLIS','SC',2590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161137,6.00,7.00,2.00,3.00,4.00,4.75,3.00,6.00,3.00,9,NULL,NULL,'CAMPINAS','S JOSé','SC',13541,124,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161145,4.00,1.00,2.00,0.00,5.00,NULL,1.00,4.00,2.00,450,NULL,NULL,'BARRANCA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3161153,5.00,8.00,6.00,5.00,6.00,5.00,4.00,5.00,7.00,502,NULL,NULL,'KOBRASOL','S JOSé','SC',5818,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161161,4.00,5.00,2.00,7.00,4.00,5.75,5.00,9.00,4.00,208,NULL,238,'CENTRO','CHAPECó','SC',9017,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3161170,6.00,8.00,1.00,4.00,5.00,7.25,4.00,5.00,7.00,102,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',6762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161188,6.00,5.00,4.00,2.00,6.00,6.00,3.00,5.00,4.00,233,NULL,216,'MUNICíPIOS','CAçADOR','SC',10822,338,NULL,377,NULL,NULL,NULL,4,2),(16,3161196,5.00,2.00,2.00,7.00,6.00,6.75,6.00,4.00,7.00,103,NULL,NULL,'CHACARA CACHOEIRA','CPO GRANDE','MS',7490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161200,6.00,8.00,7.00,8.00,5.00,6.00,6.00,9.00,9.00,203,NULL,NULL,'BARRA FUNDA','GUARUJá','SP',906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161218,6.00,6.00,4.00,7.00,6.00,6.00,4.00,4.00,8.00,222,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',4153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161226,9.00,7.00,8.00,7.00,9.00,6.50,5.00,8.00,9.00,103,NULL,NULL,'BAIXADA','NOSSA SRA CARAVAGGIO','SC',442,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3161234,7.00,5.00,4.00,7.00,6.00,4.75,4.00,2.00,5.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161242,4.00,6.00,2.00,6.00,1.00,NULL,3.00,5.00,4.00,208,NULL,238,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161250,3.00,3.00,1.00,6.00,4.00,4.50,0.00,6.00,4.00,207,NULL,211,'CENTRO','S PEDRO ALCâNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161269,6.00,3.00,1.00,3.00,4.00,NULL,2.00,4.00,2.00,5,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161277,3.00,5.00,3.00,5.00,7.00,6.50,4.00,5.00,4.00,208,NULL,201,'CENTRO','BAL CAMBORIú','SC',10220,310,NULL,784,NULL,NULL,NULL,2,3),(16,3161285,8.00,7.00,7.00,9.00,6.00,6.00,4.00,8.00,7.00,103,NULL,NULL,'VILA ESTRELA','PNT GROSSA','PR',1492,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3161293,6.00,7.00,5.00,6.00,5.00,5.25,2.00,3.00,3.00,214,NULL,NULL,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3161315,2.00,3.00,2.00,4.00,1.00,NULL,1.00,2.00,2.00,404,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161323,2.00,4.00,2.00,3.00,2.00,NULL,2.00,2.00,3.00,216,NULL,233,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161331,6.00,7.00,3.00,1.00,7.00,4.00,3.00,3.00,5.00,319,NULL,NULL,'INGLESES RIO VERMELH','FLORIANóPOLIS','SC',12129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3161358,5.00,7.00,2.00,3.00,4.00,4.25,2.00,3.00,2.00,503,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',16234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161366,2.00,1.00,3.00,4.00,2.00,NULL,2.00,2.00,4.00,208,NULL,214,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161374,5.00,7.00,2.00,5.00,6.00,4.25,3.00,5.00,7.00,203,NULL,214,'SANTA CLARA','LONDRINA','PR',8419,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3161382,6.00,7.00,4.00,7.00,5.00,6.75,4.00,7.00,4.00,332,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',6033,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161390,6.00,6.00,4.00,8.00,6.00,4.00,5.00,6.00,6.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',5506,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3161404,5.00,5.00,7.00,5.00,3.00,NULL,7.00,6.00,6.00,201,NULL,212,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3161412,3.00,4.00,2.00,8.00,2.00,NULL,2.00,4.00,3.00,340,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3161420,4.00,4.00,2.00,6.00,5.00,6.50,1.00,7.00,3.00,326,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',13482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161447,2.00,3.00,2.00,4.00,4.00,NULL,0.00,3.00,4.00,108,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161455,5.00,3.00,3.00,2.00,3.00,NULL,5.00,2.00,4.00,104,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161471,7.00,6.00,8.00,9.00,7.00,5.25,4.00,8.00,5.00,203,NULL,202,'CENTRO','JUNQUEIRóPOLIS','SP',1918,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3161480,3.00,4.00,2.00,4.00,3.00,NULL,3.00,5.00,4.00,340,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161498,3.00,4.00,4.00,7.00,4.00,5.50,3.00,5.00,4.00,207,NULL,201,'CRUZEIRO DO SUL','CRICIúMA','SC',11238,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3161501,4.00,3.00,4.00,2.00,5.00,5.75,2.00,4.00,3.00,205,NULL,NULL,'N SENHORA APARECIDA','ARMAZéM','SC',15522,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3161510,2.00,3.00,2.00,0.00,5.00,NULL,2.00,4.00,4.00,201,NULL,216,'SãO SEBASTIãO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161536,5.00,3.00,1.00,3.00,3.00,NULL,4.00,4.00,4.00,444,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161552,5.00,4.00,4.00,7.00,1.00,NULL,4.00,4.00,3.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161560,9.00,7.00,7.00,9.00,7.00,5.25,6.00,9.00,8.00,216,NULL,215,'CENTRO','FLORIANóPOLIS','SC',569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161579,5.00,9.00,5.00,8.00,6.00,6.00,5.00,9.00,5.00,450,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',2057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161587,4.00,3.00,1.00,7.00,6.00,4.75,3.00,5.00,5.00,501,NULL,NULL,'PARTENON','PTO ALEGRE','RS',12329,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3161595,9.00,8.00,6.00,8.00,9.00,6.75,6.00,9.00,7.00,5,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',402,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161609,5.00,4.00,1.00,3.00,4.00,5.25,3.00,4.00,3.00,101,NULL,NULL,'BARREIROS','S JOSé','SC',16431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161617,1.00,1.00,2.00,4.00,1.00,NULL,3.00,0.00,2.00,502,NULL,NULL,'ALTO DA SAUDADE','ARAçATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161625,6.00,4.00,5.00,2.00,5.00,6.25,4.00,7.00,8.00,415,NULL,NULL,'FÁTIMA','JOINVILLE','SC',7281,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3161633,4.00,4.00,2.00,5.00,3.00,NULL,4.00,5.00,4.00,211,NULL,207,'TROPICAL','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3161641,2.00,3.00,1.00,3.00,3.00,NULL,1.00,3.00,0.00,427,NULL,NULL,'TRÊS RIACHOS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3161668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VILA IORIO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3161676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'SANTA TEREZINHA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3161684,3.00,3.00,4.00,7.00,0.00,NULL,3.00,2.00,4.00,103,NULL,NULL,'VILA PLANALTO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161692,5.00,6.00,4.00,6.00,2.00,NULL,2.00,5.00,4.00,317,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161706,2.00,4.00,3.00,6.00,3.00,NULL,2.00,3.00,3.00,420,NULL,NULL,'SANTA TERREZINHA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3161714,7.00,5.00,6.00,3.00,6.00,5.00,1.00,6.00,3.00,203,NULL,208,'SAGRADO CORAçAO DE J','LAGES','SC',10009,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3161722,8.00,5.00,4.00,7.00,7.00,5.25,6.00,5.00,6.00,215,NULL,213,'SANTA MôNICA','FLORIANóPOLIS','SC',4385,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3161749,2.00,3.00,3.00,3.00,5.00,4.25,4.00,5.00,4.00,211,NULL,208,'ITAGUAçU','FLORIANóPOLIS','SC',15998,541,NULL,557,NULL,NULL,NULL,4,1),(16,3161757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3161765,3.00,6.00,3.00,3.00,5.00,5.50,2.00,3.00,2.00,207,NULL,NULL,'BELA VISTA','PANAMBI','RS',15803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161773,2.00,3.00,4.00,4.00,4.00,NULL,0.00,3.00,3.00,317,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161781,7.00,5.00,2.00,7.00,6.00,7.00,3.00,5.00,3.00,304,NULL,NULL,'VILA SONIA','S PAULO','SP',9451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161790,5.00,4.00,2.00,4.00,4.00,3.00,2.00,7.00,3.00,212,NULL,233,'SÃO SEBASTIÃO','JACIARA','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3161803,3.00,4.00,2.00,0.00,2.00,NULL,3.00,6.00,5.00,453,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'HIDRÁULICA','LAJEADO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3161820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3161838,7.00,7.00,1.00,9.00,8.00,5.50,3.00,4.00,6.00,108,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',5490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161846,2.00,1.00,3.00,2.00,4.00,5.00,3.00,6.00,4.00,103,NULL,NULL,'BATEL','CURITIBA','PR',15900,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3161854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'CENTRO','JUNQUEIRóPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3161870,7.00,7.00,4.00,7.00,8.00,5.75,3.00,8.00,6.00,208,NULL,220,'CENTRO','BRUSQUE','SC',3045,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3161889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SÃO PEDRO','VALPARAíSO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3161897,4.00,1.00,2.00,1.00,2.00,NULL,4.00,1.00,2.00,9,NULL,NULL,'PRAIA JOãO ROSA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161900,7.00,5.00,6.00,8.00,6.00,7.50,3.00,4.00,7.00,103,NULL,NULL,'MIGUEL COUTO','CPO GRANDE','MS',3415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SOUSAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3161935,6.00,6.00,4.00,5.00,2.00,NULL,1.00,6.00,0.00,329,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3161943,5.00,7.00,1.00,5.00,2.00,NULL,3.00,5.00,3.00,207,NULL,201,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3161951,8.00,7.00,7.00,6.00,6.00,6.00,5.00,7.00,8.00,216,NULL,201,'QUILOMBO','CUIABá','MT',1581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3161978,7.00,8.00,4.00,8.00,6.00,4.50,6.00,8.00,7.00,103,NULL,NULL,'VILA OPERARIA','ITAJAí','SC',2535,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3161986,8.00,7.00,4.00,4.00,7.00,5.75,5.00,7.00,6.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3557,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3161994,4.00,5.00,5.00,3.00,5.00,4.75,2.00,6.00,4.00,303,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',12345,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3162010,7.00,9.00,8.00,6.00,8.00,6.00,7.00,8.00,7.00,220,NULL,203,'CARANDA BOSQUE I','CPO GRANDE','MS',524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162028,4.00,2.00,3.00,7.00,3.00,NULL,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162036,6.00,5.00,1.00,2.00,5.00,6.25,0.00,5.00,4.00,103,NULL,NULL,'ESTRELA DO SUL','CPO GRANDE','MS',15209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PASSO TORRES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3162060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'GLóRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3162087,2.00,5.00,2.00,5.00,2.00,NULL,3.00,3.00,4.00,302,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3162095,3.00,5.00,3.00,5.00,3.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162109,5.00,5.00,2.00,8.00,5.00,4.25,5.00,3.00,4.00,108,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',11899,264,NULL,NULL,NULL,NULL,NULL,2,1),(16,3162117,2.00,3.00,4.00,2.00,4.00,NULL,2.00,3.00,3.00,339,NULL,NULL,'BELA VISTA QUATRO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162125,7.00,8.00,9.00,8.00,7.00,5.75,6.00,7.00,8.00,103,NULL,NULL,'ROCIO GRANDE','S FRANCISCO SUL','SC',352,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3162141,5.00,4.00,4.00,6.00,7.00,7.75,2.00,5.00,4.00,102,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9505,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3162150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3162184,5.00,6.00,2.00,5.00,3.00,NULL,1.00,5.00,5.00,207,NULL,201,'SAGUAçU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3162192,3.00,4.00,3.00,6.00,4.00,4.50,3.00,7.00,4.00,404,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3162206,3.00,5.00,4.00,1.00,2.00,NULL,2.00,3.00,2.00,213,NULL,202,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3162214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SãO JOãO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3162222,8.00,5.00,4.00,10.00,8.00,6.50,4.00,8.00,8.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',1514,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(16,3162230,6.00,4.00,6.00,3.00,4.00,5.50,4.00,3.00,3.00,103,NULL,NULL,'CENTRO','JUNQUEIRóPOLIS','SP',12116,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3162249,5.00,7.00,3.00,7.00,5.00,6.25,3.00,4.00,3.00,303,NULL,NULL,'VILA SANTA CATARINA','S JOãO SUL','SC',9756,419,NULL,NULL,NULL,NULL,NULL,4,5),(16,3162257,4.00,4.00,3.00,7.00,5.00,5.00,3.00,2.00,3.00,201,NULL,233,'JOãO PAULO','FLORIANóPOLIS','SC',13959,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3162265,2.00,4.00,3.00,8.00,5.00,5.25,1.00,4.00,3.00,207,NULL,201,'PANTANL','FLORIANóPOLIS','SC',13872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162273,4.00,3.00,3.00,7.00,4.00,6.25,1.00,2.00,4.00,415,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',14275,366,NULL,NULL,NULL,NULL,NULL,2,1),(16,3162281,2.00,4.00,1.00,1.00,6.00,NULL,2.00,0.00,2.00,203,NULL,214,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162303,9.00,9.00,7.00,8.00,8.00,6.00,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162311,5.00,4.00,2.00,6.00,2.00,NULL,1.00,7.00,3.00,201,NULL,212,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3162320,2.00,7.00,6.00,9.00,8.00,7.00,3.00,5.00,6.00,301,NULL,NULL,'SARANDI','PTO ALEGRE','RS',4844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162346,3.00,4.00,3.00,6.00,5.00,4.75,3.00,8.00,6.00,317,NULL,NULL,'CENTRO','ARARANGUá','SC',9379,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3162354,7.00,6.00,6.00,5.00,7.00,7.50,2.00,8.00,8.00,201,NULL,212,'CENTRO','BRUSQUE','SC',2836,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3162370,8.00,6.00,5.00,8.00,7.00,7.50,6.00,8.00,5.00,108,NULL,NULL,'AMéRICA','JOINVILLE','SC',2245,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3162389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3162397,4.00,1.00,1.00,3.00,5.00,NULL,1.00,5.00,3.00,310,NULL,NULL,'CENTRO','JACAREí','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3162400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3162419,6.00,8.00,5.00,4.00,5.00,5.50,4.00,9.00,5.00,202,NULL,220,'BARREIROS','S JOSé','SC',5282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'BONFIM','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3162435,7.00,8.00,4.00,8.00,5.00,6.75,3.00,8.00,6.00,102,NULL,NULL,'CENTRO','PR GRANDE','SC',4034,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3162460,1.00,3.00,1.00,4.00,4.00,NULL,3.00,5.00,3.00,309,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3162478,6.00,6.00,2.00,7.00,8.00,7.00,3.00,8.00,5.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',4789,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3162486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SãO GERALDO','ARARAQUARA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3162494,5.00,4.00,4.00,5.00,1.00,NULL,2.00,7.00,2.00,103,NULL,NULL,'ALVORADA','FRANCISCO BELTRãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3162508,1.00,2.00,1.00,4.00,3.00,NULL,3.00,2.00,3.00,102,NULL,NULL,'INTERIOR','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3162516,3.00,1.00,1.00,1.00,4.00,NULL,1.00,6.00,3.00,301,NULL,NULL,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162524,5.00,5.00,4.00,3.00,5.00,5.75,3.00,5.00,5.00,207,NULL,233,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162532,4.00,4.00,2.00,6.00,4.00,4.75,3.00,5.00,4.00,201,NULL,202,'COLATTO','XANXERê','SC',13274,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3162540,6.00,3.00,2.00,8.00,4.00,6.25,3.00,5.00,5.00,211,NULL,215,'CENTRO','CURITIBANOS','SC',11527,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3162559,4.00,4.00,5.00,8.00,6.00,5.00,4.00,8.00,4.00,214,NULL,203,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3162575,3.00,5.00,4.00,4.00,1.00,NULL,2.00,5.00,3.00,319,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3162583,3.00,5.00,4.00,7.00,6.00,5.00,3.00,3.00,2.00,104,NULL,NULL,'AGUA VERDE','JARAGUá SUL','SC',12898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'CHACARA INGLESA','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3162605,6.00,8.00,3.00,6.00,2.00,NULL,3.00,5.00,3.00,201,NULL,212,'LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3162613,4.00,4.00,2.00,8.00,4.00,5.25,2.00,6.00,3.00,340,NULL,NULL,'CENTRO','JOINVILLE','SC',13708,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3162621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','ARARAQUARA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3162630,3.00,5.00,3.00,5.00,5.00,5.00,3.00,5.00,5.00,316,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3162648,2.00,6.00,4.00,6.00,3.00,NULL,5.00,6.00,4.00,233,NULL,201,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3162656,0.00,3.00,4.00,7.00,2.00,NULL,2.00,3.00,3.00,102,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3162664,3.00,8.00,2.00,4.00,5.00,5.50,3.00,3.00,2.00,333,NULL,NULL,'JARDIM DAS PALMEIRAS','S JOSé','SC',14165,120,NULL,NULL,NULL,NULL,NULL,2,1),(16,3162672,4.00,4.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,213,NULL,201,'PAGANI','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162680,5.00,6.00,2.00,6.00,4.00,4.75,3.00,4.00,4.00,444,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',12300,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3162702,5.00,7.00,3.00,4.00,5.00,6.25,2.00,7.00,3.00,319,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',11029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162710,8.00,8.00,9.00,9.00,7.00,8.00,7.00,8.00,9.00,103,NULL,NULL,'CHACARA MONTE ALEGRE','S PAULO','SP',53,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAMPOS ELISEOS','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3162737,3.00,2.00,1.00,2.00,2.00,NULL,2.00,3.00,3.00,9,NULL,NULL,'ESTAçãO','ITAQUI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3162745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'VILA VELOSA','ARARAQUARA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3162753,5.00,4.00,4.00,5.00,2.00,NULL,1.00,4.00,4.00,9,NULL,NULL,'CENTRO','S JOSé R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162761,1.00,6.00,2.00,0.00,3.00,NULL,2.00,6.00,3.00,201,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3162788,3.00,1.00,3.00,6.00,2.00,NULL,0.00,3.00,2.00,102,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162796,4.00,4.00,4.00,7.00,6.00,5.00,4.00,7.00,3.00,234,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',9898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3162800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BENTO GONçALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3162826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3162834,4.00,4.00,4.00,2.00,2.00,NULL,1.00,3.00,1.00,425,NULL,429,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162842,5.00,2.00,3.00,2.00,3.00,NULL,1.00,4.00,5.00,216,NULL,233,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3162850,6.00,6.00,4.00,5.00,7.00,4.50,3.00,5.00,4.00,103,NULL,NULL,'SAO CRISTOVAO','LAGES','SC',9492,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3162869,3.00,5.00,2.00,4.00,3.00,NULL,0.00,5.00,2.00,415,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3162877,7.00,5.00,4.00,5.00,5.00,6.00,4.00,7.00,7.00,503,NULL,NULL,'CENTRO','PINHALZINHO','SC',5998,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3162885,5.00,5.00,4.00,5.00,6.00,7.50,2.00,3.00,4.00,104,NULL,NULL,'AMERICANO','LAJEADO','RS',11419,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3162893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'VILA ANDRADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3162907,5.00,8.00,3.00,9.00,7.00,7.25,2.00,8.00,5.00,450,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',4676,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3162915,3.00,3.00,2.00,4.00,4.00,4.50,3.00,3.00,4.00,5,NULL,NULL,'REVOREDO','TUBARãO','SC',16451,520,NULL,NULL,NULL,NULL,NULL,2,10),(16,3162923,7.00,4.00,3.00,7.00,6.00,6.50,4.00,7.00,4.00,207,NULL,215,'CZERNIEWIZC','JARAGUá SUL','SC',6958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162931,5.00,7.00,6.00,6.00,6.00,5.25,7.00,7.00,8.00,214,NULL,203,'PANTANAL','FLORIANóPOLIS','SC',2134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162940,5.00,7.00,8.00,8.00,5.00,4.75,6.00,7.00,5.00,212,NULL,201,'CORREGO GRANDE','FLORIANóPOLIS','SC',3637,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3162958,5.00,4.00,3.00,8.00,5.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3162966,4.00,5.00,5.00,2.00,3.00,NULL,4.00,5.00,3.00,207,NULL,233,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162974,5.00,6.00,3.00,9.00,7.00,6.25,2.00,8.00,2.00,340,NULL,NULL,'ÁGUA VERDE','JARAGUá SUL','SC',7610,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3162982,8.00,7.00,4.00,4.00,6.00,5.25,2.00,8.00,4.00,451,NULL,NULL,'SãO MIGUEL','URUGUAIANA','RS',7742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3162990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3163008,6.00,6.00,6.00,8.00,8.00,6.50,5.00,6.00,6.00,203,NULL,202,'BARREIROS','S JOSé','SC',3347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163024,5.00,5.00,4.00,8.00,5.00,5.25,1.00,4.00,5.00,415,NULL,NULL,'CENTRO','TANGARá','SC',9315,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3163032,7.00,7.00,4.00,8.00,6.00,5.50,5.00,9.00,7.00,201,NULL,213,'JARDIM ITáLIA','MELEIRO','SC',2721,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3163040,4.00,4.00,1.00,3.00,5.00,5.75,3.00,8.00,4.00,301,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',12693,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163059,5.00,5.00,2.00,8.00,7.00,6.75,4.00,5.00,4.00,450,NULL,NULL,'CIDADE UNIVERSITáRIA','CAMPINAS','SP',7550,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3163091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SANTANA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3163105,4.00,5.00,3.00,7.00,5.00,4.50,2.00,4.00,5.00,102,NULL,NULL,'JARDIM SANTA MARIA','TOLEDO','PR',13347,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3163113,5.00,5.00,2.00,8.00,7.00,6.00,2.00,7.00,3.00,103,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',8724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163130,3.00,5.00,2.00,0.00,4.00,6.25,2.00,6.00,3.00,238,NULL,208,'INTERIOR','QUILOMBO','SC',16171,531,NULL,564,NULL,NULL,NULL,4,4),(16,3163148,5.00,4.00,3.00,5.00,5.00,4.50,3.00,6.00,3.00,301,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',13213,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3163164,4.00,5.00,4.00,5.00,5.00,6.25,3.00,5.00,4.00,207,NULL,233,'ITACORUBI','FLORIANóPOLIS','SC',10504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163172,2.00,2.00,1.00,2.00,2.00,NULL,1.00,1.00,2.00,319,NULL,NULL,'TRIBUTO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3163180,5.00,3.00,2.00,0.00,0.00,NULL,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,10),(16,3163199,8.00,8.00,7.00,8.00,6.00,6.00,5.00,7.00,8.00,103,NULL,NULL,'SUMARé','RIO SUL','SC',996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163202,4.00,7.00,7.00,7.00,6.00,5.25,5.00,8.00,7.00,233,NULL,216,'COMERCIáRIO','CRICIúMA','SC',3116,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3163210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3163229,3.00,3.00,3.00,2.00,4.00,NULL,1.00,4.00,1.00,201,NULL,212,'MONTANHA','LAJEADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163237,4.00,5.00,3.00,5.00,8.00,4.50,3.00,4.00,4.00,222,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',11999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163245,2.00,1.00,1.00,2.00,2.00,NULL,0.00,1.00,2.00,444,NULL,NULL,'BAIRRO NOVO B','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163253,7.00,6.00,3.00,6.00,6.00,5.50,3.00,8.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6131,1703,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163261,4.00,5.00,3.00,6.00,6.00,5.25,2.00,6.00,6.00,233,NULL,215,'CENTRO','IMBITUBA','SC',9962,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163270,4.00,7.00,6.00,8.00,4.00,5.00,3.00,5.00,4.00,103,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',8564,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3163288,4.00,4.00,4.00,7.00,4.00,4.75,2.00,3.00,2.00,207,NULL,201,'SAMBAQUI','FLORIANóPOLIS','SC',14669,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3163296,1.00,3.00,3.00,3.00,1.00,NULL,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163318,2.00,3.00,3.00,4.00,4.00,NULL,2.00,5.00,2.00,316,NULL,NULL,'AZENHA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163326,5.00,7.00,5.00,6.00,7.00,5.75,5.00,8.00,6.00,201,NULL,212,'BARRA DA LAGOA','FLORIANóPOLIS','SC',3668,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163334,3.00,3.00,4.00,7.00,8.00,4.50,1.00,7.00,4.00,202,NULL,201,'PRESIDENTE MEDICE','CHAPECó','SC',12070,427,NULL,935,NULL,NULL,NULL,4,4),(16,3163342,6.00,2.00,1.00,6.00,6.00,4.00,2.00,4.00,4.00,333,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',14011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163350,6.00,6.00,5.00,9.00,6.00,4.75,2.00,5.00,6.00,212,NULL,201,'JOãO PAULO','FLORIANóPOLIS','SC',6197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163369,8.00,5.00,4.00,3.00,6.00,6.25,3.00,9.00,7.00,9,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',5221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163377,6.00,8.00,4.00,8.00,9.00,5.50,7.00,7.00,6.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',1767,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3163385,6.00,3.00,2.00,3.00,5.00,5.50,3.00,5.00,4.00,303,NULL,NULL,'CENTRO','CANOINHAS','SC',13728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163393,7.00,9.00,6.00,6.00,7.00,6.25,6.00,7.00,9.00,207,NULL,201,'INGLESES','FLORIANóPOLIS','SC',1357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163407,4.00,4.00,3.00,6.00,5.00,5.75,0.00,5.00,5.00,9,NULL,NULL,'CENTRO','CHAPECó','SC',13265,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3163415,5.00,5.00,3.00,7.00,8.00,6.50,3.00,6.00,7.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',6203,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163423,2.00,2.00,4.00,3.00,2.00,NULL,3.00,5.00,2.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163431,4.00,6.00,6.00,6.00,2.00,NULL,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3163440,4.00,6.00,2.00,5.00,3.00,NULL,3.00,7.00,4.00,501,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163458,6.00,5.00,6.00,9.00,6.00,6.75,2.00,6.00,7.00,212,NULL,214,'CENTRO','FLORIANóPOLIS','SC',4295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163466,3.00,3.00,3.00,2.00,4.00,NULL,2.00,4.00,3.00,503,NULL,NULL,'CANGUERI DE FORA','IMARUí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163474,4.00,3.00,4.00,6.00,3.00,NULL,1.00,5.00,3.00,333,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163490,7.00,8.00,6.00,7.00,8.00,6.75,4.00,7.00,8.00,303,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',1027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163504,5.00,5.00,4.00,7.00,6.00,5.25,2.00,7.00,4.00,201,NULL,212,'BOM RETIRO','JOINVILLE','SC',7661,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3163512,4.00,4.00,1.00,6.00,4.00,5.25,2.00,6.00,1.00,207,NULL,201,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163520,6.00,4.00,1.00,7.00,4.00,6.50,3.00,6.00,5.00,201,NULL,220,'CENTRO','CHAPECó','SC',9552,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3163539,3.00,4.00,2.00,2.00,2.00,NULL,1.00,4.00,3.00,9,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3163547,4.00,7.00,3.00,3.00,5.00,4.75,2.00,6.00,4.00,202,NULL,220,'CENTRO','LACERDóPOLIS','SC',11675,420,NULL,444,NULL,NULL,NULL,4,7),(16,3163555,3.00,7.00,3.00,3.00,4.00,5.50,1.00,7.00,4.00,207,NULL,NULL,'VILA SãO JOSé','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3163563,1.00,3.00,2.00,3.00,3.00,NULL,2.00,4.00,2.00,452,NULL,NULL,'ARMAÇÃO DO PÂNTANO D','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,208,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3163580,3.00,2.00,3.00,2.00,0.00,NULL,2.00,3.00,3.00,420,NULL,NULL,'AVENQUINHA','CPO ALEGRE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3163598,5.00,2.00,2.00,0.00,0.00,NULL,2.00,3.00,3.00,238,NULL,203,'CENTRO','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3163601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'DANTE MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3163610,6.00,7.00,6.00,9.00,6.00,6.75,6.00,7.00,4.00,207,NULL,201,'CENTRO','CORDEIRóPOLIS','SP',2521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163652,6.00,6.00,7.00,7.00,8.00,6.00,6.00,8.00,8.00,203,NULL,214,'CENTRO','FLORIANóPOLIS','SC',1397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163660,4.00,5.00,4.00,7.00,8.00,5.50,3.00,9.00,5.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',6038,244,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163679,6.00,6.00,1.00,8.00,6.00,5.75,2.00,6.00,4.00,501,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',8480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163687,2.00,5.00,1.00,6.00,2.00,NULL,1.00,3.00,3.00,234,NULL,NULL,'SãO LUIS','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3163695,8.00,8.00,4.00,5.00,6.00,6.25,2.00,9.00,5.00,332,NULL,NULL,'TRUJILO','SOROCABA','SP',4086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163709,3.00,5.00,3.00,8.00,5.00,4.25,4.00,3.00,4.00,103,NULL,NULL,'CANDANGOLâNDIA DF','CANDANGOLâNDIA','DF',12139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163717,5.00,5.00,7.00,7.00,7.00,7.25,3.00,8.00,7.00,207,NULL,201,'CENTRO','PATO BRANCO','PR',3290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163733,4.00,4.00,2.00,4.00,5.00,6.25,3.00,3.00,3.00,104,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',15090,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3163741,2.00,5.00,4.00,3.00,0.00,NULL,3.00,5.00,5.00,340,NULL,NULL,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3163750,5.00,5.00,2.00,6.00,6.00,5.50,2.00,7.00,6.00,303,NULL,NULL,'CENTRO','IMBITUBA','SC',9125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163768,8.00,9.00,9.00,8.00,7.00,7.50,6.00,8.00,8.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',222,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163776,6.00,6.00,3.00,6.00,4.00,6.00,1.00,4.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',11450,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3163784,3.00,4.00,1.00,8.00,5.00,5.25,4.00,7.00,3.00,214,NULL,203,'CHACARA KLABIN','S PAULO','SP',10749,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3163792,3.00,3.00,2.00,2.00,0.00,NULL,1.00,1.00,3.00,5,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163806,5.00,2.00,2.00,7.00,5.00,6.50,1.00,2.00,4.00,340,NULL,NULL,'LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163814,9.00,8.00,7.00,8.00,8.00,5.75,4.00,8.00,8.00,220,NULL,202,'BELA VISTA','ERECHIM','RS',922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163830,5.00,4.00,1.00,5.00,4.00,6.25,4.00,6.00,4.00,215,NULL,207,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3163849,5.00,5.00,1.00,6.00,6.00,4.50,3.00,8.00,5.00,213,NULL,202,'AGRONôMICA','FLORIANóPOLIS','SC',9929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'PARQUE SãO JORGE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3163865,3.00,5.00,2.00,3.00,3.00,NULL,5.00,8.00,1.00,428,NULL,423,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163873,2.00,3.00,1.00,3.00,4.00,NULL,2.00,1.00,4.00,309,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163881,5.00,4.00,6.00,9.00,4.00,4.75,5.00,7.00,4.00,103,NULL,NULL,'CENTRO','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3163890,5.00,4.00,2.00,3.00,3.00,NULL,2.00,4.00,4.00,207,NULL,201,'CABEçUDAS','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3163903,4.00,4.00,5.00,3.00,5.00,5.50,2.00,4.00,3.00,428,NULL,426,'IMIGRANTES','CONCóRDIA','SC',14709,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3163911,7.00,7.00,6.00,9.00,8.00,4.75,4.00,7.00,5.00,214,NULL,201,'DAS HORTêNCIAS','FRAIBURGO','SC',2827,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3163938,3.00,3.00,2.00,6.00,5.00,6.25,2.00,4.00,4.00,104,NULL,NULL,'SãO RAFAEL','CRUZEIRO SUL','RS',14296,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163946,5.00,4.00,7.00,8.00,6.00,4.25,3.00,5.00,4.00,103,NULL,NULL,'ZONA OITO','MARINGá','PR',7511,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3163954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'CENTRO','PITANGUI','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3163962,2.00,3.00,2.00,5.00,4.00,4.50,3.00,5.00,3.00,233,NULL,215,'JARDIM SANTO ELIAS','S PAULO','SP',15700,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3163970,5.00,3.00,2.00,6.00,6.00,6.00,3.00,6.00,3.00,302,NULL,NULL,'PALHOçA','PALHOçA','SC',12339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3163989,5.00,8.00,3.00,8.00,6.00,5.00,4.00,7.00,3.00,415,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',6112,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3163997,4.00,2.00,3.00,6.00,5.00,5.00,2.00,4.00,3.00,211,NULL,NULL,'INDUSTRIAL NORTE','RIO NEGRINHO','SC',15394,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3164004,6.00,7.00,7.00,7.00,5.00,5.00,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',2450,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3164012,5.00,5.00,8.00,3.00,4.00,4.50,4.00,4.00,4.00,208,NULL,238,'CENTRO','S MIGUEL OESTE','SC',10621,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3164020,7.00,4.00,6.00,7.00,6.00,6.25,3.00,5.00,7.00,103,NULL,NULL,'CENTRO CíVICO','CURITIBA','PR',5287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164039,6.00,6.00,7.00,9.00,9.00,5.50,3.00,7.00,6.00,201,NULL,212,'CóRREGO GRANDE','FLORIANóPOLIS','SC',2912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164055,5.00,1.00,1.00,3.00,3.00,NULL,2.00,2.00,5.00,316,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164063,5.00,4.00,1.00,6.00,3.00,NULL,3.00,7.00,5.00,102,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3164071,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,211,NULL,203,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3164080,2.00,2.00,2.00,1.00,1.00,NULL,3.00,1.00,3.00,331,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164098,1.00,1.00,3.00,3.00,3.00,NULL,4.00,3.00,3.00,101,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3164101,3.00,5.00,3.00,1.00,2.00,NULL,2.00,4.00,3.00,9,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164110,3.00,2.00,3.00,4.00,1.00,NULL,2.00,2.00,2.00,238,NULL,208,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3164128,6.00,5.00,2.00,2.00,6.00,4.00,2.00,3.00,2.00,302,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',15773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164136,4.00,4.00,3.00,0.00,5.00,5.25,1.00,6.00,4.00,103,NULL,NULL,'SANTA LUZIA','CRICIUMA','SC',15435,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3164144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CANTO DO FORTE','PR GRANDE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3164152,5.00,5.00,3.00,7.00,7.00,5.00,4.00,8.00,4.00,203,NULL,214,'CENTRO','S BENTO SUL','SC',6404,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3164160,7.00,7.00,5.00,9.00,7.00,4.50,4.00,7.00,7.00,238,NULL,208,'CENTRO','GRAVATAL','SC',3038,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3164187,4.00,3.00,2.00,6.00,2.00,NULL,3.00,5.00,5.00,201,NULL,207,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3164195,3.00,4.00,4.00,3.00,4.00,5.25,2.00,2.00,4.00,211,NULL,207,'CAMPINAS','S JOSé','SC',16507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164209,7.00,7.00,6.00,6.00,7.00,6.50,4.00,6.00,5.00,420,NULL,NULL,'VELHA','BLUMENAU','SC',4181,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3164217,4.00,0.00,1.00,5.00,2.00,NULL,0.00,0.00,4.00,203,NULL,202,'JARDIM MARISTELA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3164225,3.00,0.00,5.00,4.00,2.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'INDUSTRIAL','SORRISO','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3164233,4.00,3.00,1.00,3.00,6.00,NULL,2.00,3.00,1.00,103,NULL,NULL,'SANTA TERESA','S PEDRO ALCâNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164241,7.00,5.00,5.00,6.00,7.00,5.25,5.00,6.00,5.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',5618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164250,7.00,4.00,9.00,9.00,7.00,6.75,2.00,6.00,7.00,207,NULL,215,'TRINDADE','FLORIANóPOLIS','SC',1951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164268,2.00,4.00,3.00,3.00,1.00,NULL,2.00,4.00,2.00,215,NULL,216,'SãO GOTARDO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3164276,4.00,4.00,5.00,4.00,7.00,5.50,3.00,5.00,3.00,104,NULL,NULL,'CANTA GALO','RIO SUL','SC',11767,320,NULL,NULL,NULL,NULL,NULL,4,2),(16,3164292,6.00,6.00,6.00,9.00,6.00,7.00,3.00,6.00,8.00,203,NULL,202,'ALPHAVILLE','SANTANA PARNAíBA','SP',3002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3164314,6.00,7.00,4.00,9.00,6.00,5.50,1.00,9.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164322,4.00,2.00,2.00,4.00,4.00,4.50,4.00,6.00,4.00,444,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',14898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3164330,2.00,0.00,2.00,5.00,3.00,NULL,2.00,3.00,4.00,327,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3164349,4.00,6.00,3.00,3.00,4.00,5.25,3.00,4.00,4.00,202,NULL,220,'CENTRO','NOVA TRENTO','SC',14353,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3164357,8.00,8.00,8.00,9.00,6.00,5.75,4.00,9.00,7.00,5,NULL,NULL,'JARDINS','S PAULO','SP',909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164365,7.00,2.00,5.00,6.00,6.00,7.00,3.00,1.00,3.00,304,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164373,3.00,6.00,5.00,7.00,4.00,6.00,3.00,6.00,6.00,233,NULL,214,'CENTRO','MRO FUMAçA','SC',9325,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3164381,4.00,4.00,4.00,5.00,4.00,4.50,2.00,3.00,1.00,207,NULL,201,'PRESIDENTE MéDICI','CHAPECó','SC',16562,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3164390,6.00,7.00,3.00,6.00,6.00,5.25,3.00,6.00,5.00,233,NULL,201,'BIGORRILHO','CURITIBA','PR',6935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164411,4.00,4.00,1.00,4.00,4.00,4.75,1.00,4.00,3.00,308,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',16664,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3164420,4.00,3.00,1.00,5.00,4.00,5.25,2.00,4.00,3.00,238,NULL,208,'COSTEIRA','FLORIANóPOLIS','SC',16296,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3164438,2.00,4.00,3.00,7.00,5.00,5.25,2.00,5.00,4.00,207,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164446,8.00,7.00,6.00,6.00,6.00,4.50,2.00,4.00,6.00,501,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',6002,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3164454,4.00,4.00,4.00,3.00,7.00,6.00,1.00,5.00,3.00,428,NULL,424,'CENTRO','FLORIANóPOLIS','SC',13591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164462,4.00,3.00,1.00,0.00,4.00,NULL,2.00,6.00,4.00,301,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3164489,5.00,6.00,2.00,6.00,5.00,5.50,3.00,3.00,1.00,340,NULL,NULL,'CENTRO','LIMEIRA','SP',13961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PIATã','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3164527,6.00,5.00,7.00,8.00,5.00,5.75,3.00,6.00,4.00,201,NULL,220,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164543,4.00,4.00,5.00,5.00,4.00,5.25,4.00,5.00,3.00,203,NULL,NULL,'CENTRO','CORUPá','SC',12040,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3164551,1.00,6.00,3.00,7.00,5.00,5.00,0.00,5.00,2.00,301,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',15493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3164560,4.00,5.00,2.00,7.00,3.00,NULL,2.00,6.00,4.00,340,NULL,NULL,'SANTA TEREZINHA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3164578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CENTRO','CAçADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3164586,6.00,6.00,2.00,6.00,7.00,6.00,2.00,5.00,4.00,340,NULL,NULL,'PROGRESSO','RIO SUL','SC',9584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164594,5.00,7.00,6.00,9.00,6.00,4.75,4.00,5.00,4.00,207,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164608,4.00,6.00,2.00,8.00,3.00,NULL,4.00,6.00,6.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164616,2.00,4.00,3.00,0.00,2.00,NULL,2.00,3.00,3.00,501,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3164624,5.00,6.00,3.00,4.00,4.00,4.75,3.00,5.00,4.00,234,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',13146,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3164632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'COPACABANA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3164640,7.00,8.00,4.00,4.00,7.00,5.25,2.00,7.00,3.00,108,NULL,NULL,'CENTRO','ITUPORANGA','SC',7877,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3164659,5.00,7.00,8.00,7.00,5.00,5.50,4.00,7.00,4.00,415,NULL,NULL,'JARDIM SãO DIMAS','S JOSé CAMPOS','SP',4738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164675,4.00,4.00,3.00,8.00,4.00,4.50,2.00,3.00,1.00,104,NULL,NULL,'CENTRO','SOMBRIO','SC',15636,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3164683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CIDADE NOVA','PTO UNIãO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3164691,5.00,5.00,8.00,7.00,5.00,5.25,4.00,7.00,7.00,203,NULL,208,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3164705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BARRA FUNDA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3164713,7.00,4.00,5.00,6.00,7.00,5.25,4.00,7.00,6.00,104,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',5942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164730,4.00,2.00,1.00,3.00,4.00,NULL,1.00,2.00,4.00,302,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3164748,6.00,4.00,5.00,6.00,6.00,6.50,2.00,7.00,6.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164756,7.00,6.00,7.00,7.00,8.00,6.50,2.00,7.00,6.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164802,7.00,5.00,5.00,7.00,5.00,5.50,3.00,5.00,7.00,302,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',6287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164810,3.00,0.00,3.00,3.00,4.00,NULL,3.00,1.00,4.00,103,NULL,NULL,'SANTA HELENA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3164829,3.00,4.00,2.00,4.00,3.00,NULL,1.00,4.00,3.00,420,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3);
INSERT INTO boletim_desempenho VALUES (16,3164845,3.00,3.00,4.00,7.00,4.00,5.25,3.00,6.00,4.00,207,NULL,201,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3164853,6.00,6.00,4.00,9.00,5.00,7.25,3.00,6.00,5.00,203,NULL,216,'CENTRO','STO ÂNGELO','RS',5141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164870,5.00,4.00,4.00,8.00,4.00,6.00,2.00,6.00,5.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',8618,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(16,3164888,4.00,4.00,2.00,2.00,1.00,NULL,1.00,4.00,2.00,303,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164896,4.00,3.00,2.00,6.00,5.00,7.50,1.00,4.00,3.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164900,0.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,203,NULL,201,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3164918,2.00,3.00,2.00,6.00,5.00,5.75,3.00,6.00,3.00,415,NULL,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',14587,379,NULL,NULL,NULL,NULL,NULL,2,8),(16,3164926,5.00,4.00,3.00,8.00,5.00,4.50,5.00,5.00,3.00,5,NULL,NULL,'CENTRO','S VICENTE','SP',9441,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3164934,2.00,4.00,4.00,3.00,4.00,6.75,1.00,5.00,3.00,208,NULL,238,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',16319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164942,1.00,0.00,2.00,0.00,3.00,NULL,1.00,3.00,4.00,303,NULL,NULL,'SANTOS DUMONT','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3164950,5.00,2.00,2.00,8.00,4.00,5.25,3.00,4.00,3.00,5,NULL,NULL,'BARRA DO RIO CERRO','JARAGUá SUL','SC',14685,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3164977,4.00,6.00,5.00,6.00,5.00,6.00,3.00,6.00,6.00,101,NULL,NULL,'BALNEARIO','FLORIANóPOLIS','SC',6556,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3164985,4.00,0.00,4.00,4.00,4.00,6.25,3.00,4.00,4.00,215,NULL,216,'PRIMEIRO DE MAIO','BRUSQUE','SC',14588,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3164993,4.00,5.00,5.00,7.00,6.00,6.00,2.00,7.00,4.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8348,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3165000,8.00,8.00,9.00,9.00,7.00,5.50,7.00,8.00,8.00,220,NULL,201,'DOS ESTADOS','BAL CAMBORIú','SC',295,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3165019,4.00,8.00,3.00,7.00,5.00,5.75,4.00,3.00,5.00,104,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',8187,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3165027,9.00,6.00,8.00,9.00,6.00,5.25,7.00,8.00,7.00,203,NULL,233,'CENTRO','FLORIANóPOLIS','SC',771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165035,2.00,4.00,3.00,6.00,6.00,5.00,3.00,5.00,3.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165043,7.00,4.00,5.00,7.00,5.00,5.25,5.00,6.00,5.00,9,NULL,NULL,'PETRóPOLIS','CAXIAS SUL','RS',6708,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3165051,5.00,6.00,3.00,8.00,5.00,4.50,2.00,7.00,4.00,233,NULL,201,'SãO JUDAS','ITAJAí','SC',8628,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3165060,5.00,5.00,4.00,5.00,1.00,NULL,3.00,4.00,3.00,207,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3165086,4.00,4.00,2.00,0.00,2.00,NULL,0.00,0.00,0.00,238,NULL,208,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(16,3165094,5.00,4.00,2.00,5.00,2.00,NULL,5.00,7.00,4.00,108,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3165108,5.00,3.00,2.00,3.00,3.00,NULL,2.00,1.00,4.00,103,NULL,NULL,'LIBERDADE','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3165116,5.00,2.00,4.00,7.00,4.00,6.00,2.00,4.00,3.00,303,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',13228,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3165124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'LA SALLE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3165132,3.00,5.00,2.00,6.00,5.00,6.00,1.00,5.00,3.00,103,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',13298,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3165140,4.00,4.00,2.00,7.00,3.00,NULL,3.00,4.00,5.00,208,NULL,203,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3165159,4.00,5.00,6.00,7.00,6.00,5.50,2.00,5.00,4.00,319,NULL,NULL,'STO ANTôNIO DE LISBO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165167,4.00,4.00,3.00,3.00,3.00,NULL,0.00,3.00,5.00,103,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3165191,2.00,4.00,1.00,0.00,3.00,NULL,3.00,2.00,1.00,203,NULL,214,'CENTRO','GR PARá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3165205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'VILA ALBERTINA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3165213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA TEREZINHA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3165230,7.00,5.00,5.00,5.00,6.00,4.25,4.00,7.00,6.00,201,NULL,213,'CENTRO','FLORIANóPOLIS','SC',6583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165248,6.00,7.00,6.00,5.00,6.00,5.75,1.00,9.00,5.00,303,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',4883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165256,2.00,7.00,2.00,7.00,3.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3165272,4.00,7.00,2.00,9.00,7.00,5.50,3.00,6.00,2.00,303,NULL,NULL,'BELA VISTA I','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3165299,2.00,2.00,1.00,5.00,3.00,NULL,3.00,4.00,3.00,404,NULL,NULL,'JARDIM ANGéLICA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3165302,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3165329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'NAçõES I','FAZ RIO GRANDE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3165337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'QUEBEC','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3165345,5.00,7.00,3.00,4.00,5.00,6.50,4.00,7.00,5.00,319,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',7757,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3165353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'REAL PARQUE','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3165361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CINQUENTENARIO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3165370,4.00,4.00,3.00,6.00,5.00,6.00,2.00,6.00,2.00,103,NULL,NULL,'CENTRO','CAIBI','SC',13098,2533,NULL,NULL,NULL,NULL,NULL,2,4),(16,3165388,5.00,3.00,2.00,6.00,7.00,5.25,2.00,5.00,2.00,302,NULL,NULL,'SANTA TERESA','S PEDRO ALCâNTARA','SC',13992,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3165396,1.00,3.00,1.00,5.00,4.00,NULL,0.00,6.00,3.00,233,NULL,211,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3165400,5.00,5.00,6.00,5.00,6.00,5.00,6.00,6.00,5.00,201,NULL,212,'PARQUE ANHANGUERA','GOIâNIA','GO',6455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165426,4.00,3.00,3.00,6.00,5.00,6.00,2.00,6.00,2.00,324,NULL,NULL,'BARRA DO TROMBUDO','RIO SUL','SC',13344,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3165442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CABEçUDAS','ITAJAí','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3165469,8.00,7.00,5.00,8.00,9.00,7.25,4.00,8.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1361,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3165477,3.00,5.00,2.00,0.00,4.00,4.50,2.00,8.00,3.00,304,NULL,NULL,'ALVORADA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3165493,6.00,7.00,4.00,9.00,6.00,6.00,2.00,8.00,6.00,303,NULL,NULL,'RIBEIRâNEA','RIBEIRãO PRETO','SP',3821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165515,4.00,2.00,1.00,2.00,3.00,NULL,2.00,2.00,4.00,303,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3165523,3.00,3.00,1.00,5.00,5.00,NULL,2.00,2.00,2.00,304,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3165531,2.00,8.00,4.00,3.00,4.00,5.50,3.00,8.00,4.00,203,NULL,233,'ESTAçãO COCAL','ETC COCAL','SC',10433,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3165540,7.00,8.00,7.00,9.00,4.00,4.50,3.00,6.00,6.00,302,NULL,NULL,'KOBRASOL','S JOSé','SC',3434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165566,7.00,5.00,6.00,5.00,4.00,6.00,4.00,5.00,6.00,233,NULL,216,'ASA NORTE','BRASíLIA','DF',6296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165574,6.00,8.00,4.00,8.00,6.00,5.50,3.00,8.00,5.00,201,NULL,212,'CORREGO GRANDE','FLORIANóPOLIS','SC',4038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165582,6.00,7.00,8.00,8.00,7.00,5.75,4.00,7.00,8.00,233,NULL,215,'CANTO DA LAGOA','FLORIANóPOLIS','SC',1683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165590,5.00,5.00,4.00,6.00,5.00,6.75,4.00,6.00,7.00,503,NULL,NULL,'IMIGRANTES','TIMBó','SC',6108,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3165612,3.00,4.00,2.00,8.00,5.00,6.25,2.00,6.00,3.00,207,NULL,201,'BALNEáRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165620,4.00,6.00,5.00,8.00,6.00,6.50,2.00,5.00,2.00,238,NULL,208,'TRINDADE','FLORIANóPOLIS','SC',9166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165639,7.00,7.00,8.00,9.00,9.00,6.50,4.00,9.00,7.00,103,NULL,NULL,'CENTRO','RIBEIRãO PRETO','SP',570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165647,3.00,5.00,4.00,4.00,3.00,NULL,4.00,5.00,4.00,224,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165655,3.00,1.00,1.00,5.00,1.00,NULL,3.00,3.00,2.00,108,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3165663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3165671,5.00,6.00,4.00,4.00,6.00,5.00,2.00,4.00,6.00,444,NULL,NULL,'CÓRREGO GRANDE','FLORIANóPOLIS','SC',10103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165698,3.00,4.00,5.00,4.00,3.00,NULL,2.00,4.00,2.00,220,NULL,202,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165728,3.00,1.00,3.00,5.00,3.00,NULL,2.00,4.00,0.00,213,NULL,233,'TRUJILO','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3165736,2.00,7.00,3.00,2.00,4.00,4.75,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',16219,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3165744,3.00,5.00,2.00,5.00,1.00,NULL,0.00,6.00,2.00,318,NULL,NULL,'SãO LUIS CANOAS RS','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3165760,6.00,7.00,5.00,9.00,5.00,5.75,5.00,7.00,6.00,318,NULL,NULL,'SãO JOãO','PTO ALEGRE','RS',2783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165787,8.00,7.00,6.00,8.00,8.00,6.00,5.00,7.00,8.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165795,2.00,3.00,2.00,4.00,2.00,NULL,0.00,5.00,2.00,308,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165809,2.00,5.00,1.00,1.00,5.00,0.00,4.00,5.00,5.00,212,NULL,201,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165817,2.00,2.00,3.00,4.00,1.00,NULL,3.00,2.00,4.00,303,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3165841,3.00,3.00,4.00,4.00,3.00,NULL,3.00,5.00,3.00,501,NULL,NULL,'CENTRO','CORUPá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3165850,7.00,5.00,7.00,8.00,6.00,4.75,6.00,8.00,9.00,303,NULL,NULL,'ARMAçãO','FLORIANóPOLIS','SC',1690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3165868,5.00,5.00,8.00,9.00,6.00,7.50,4.00,7.00,6.00,203,NULL,214,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',2409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165876,3.00,3.00,4.00,9.00,4.00,NULL,0.00,4.00,2.00,104,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'CASTALIA','ITABUNA','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3165892,4.00,8.00,5.00,8.00,4.00,5.25,3.00,8.00,4.00,316,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',7061,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3165906,1.00,3.00,2.00,7.00,2.00,NULL,3.00,4.00,4.00,309,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3165914,5.00,5.00,4.00,8.00,1.00,NULL,3.00,6.00,5.00,214,NULL,207,'JARDIM PARIS','MARINGá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3165930,5.00,3.00,2.00,7.00,5.00,4.25,3.00,6.00,3.00,214,NULL,211,'AGRONOMICA','FLORIANóPOLIS','SC',13602,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3165949,4.00,7.00,5.00,9.00,5.00,6.25,4.00,5.00,5.00,420,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',5113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165965,5.00,5.00,4.00,5.00,4.00,7.00,3.00,8.00,3.00,304,NULL,NULL,'DOM BOSCO','ITAJAí','SC',8500,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3165973,6.00,8.00,3.00,8.00,9.00,7.75,3.00,8.00,7.00,415,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',2138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3165981,8.00,9.00,8.00,9.00,8.00,5.75,5.00,7.00,8.00,203,NULL,202,'VILA OPERáRIA','ITAJAí','SC',576,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3165990,9.00,7.00,8.00,8.00,7.00,6.50,6.00,7.00,8.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',615,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166007,7.00,5.00,7.00,4.00,4.00,6.25,3.00,7.00,7.00,420,NULL,NULL,'CENTRO','CONCóRDIA','SC',4450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166015,7.00,7.00,3.00,8.00,4.00,5.00,3.00,5.00,4.00,203,NULL,202,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3166023,2.00,2.00,1.00,3.00,3.00,NULL,3.00,3.00,2.00,415,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3166031,3.00,2.00,1.00,3.00,4.00,NULL,3.00,4.00,4.00,238,NULL,208,'CASNASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166040,7.00,6.00,4.00,8.00,5.00,5.75,3.00,5.00,6.00,102,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',6694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166066,2.00,3.00,1.00,3.00,0.00,NULL,2.00,3.00,3.00,202,NULL,213,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166074,3.00,2.00,2.00,5.00,2.00,NULL,1.00,2.00,4.00,215,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3166082,7.00,9.00,6.00,8.00,8.00,5.50,2.00,8.00,6.00,211,NULL,212,'AGRONôMICA','FLORIANóPOLIS','SC',2694,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166090,6.00,3.00,5.00,5.00,4.00,3.00,6.00,4.00,3.00,203,NULL,202,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166104,1.00,4.00,5.00,5.00,4.00,4.00,2.00,5.00,3.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166112,4.00,3.00,5.00,7.00,5.00,6.25,0.00,3.00,3.00,303,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',14520,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166120,3.00,4.00,5.00,1.00,4.00,5.00,4.00,2.00,5.00,444,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166139,7.00,6.00,8.00,2.00,6.00,5.50,4.00,6.00,8.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',4077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166147,4.00,5.00,4.00,4.00,4.00,5.50,3.00,2.00,2.00,340,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',16116,479,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166155,6.00,5.00,3.00,9.00,5.00,6.75,3.00,6.00,6.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166163,2.00,5.00,4.00,3.00,2.00,NULL,2.00,3.00,3.00,332,NULL,NULL,'STO DE LISBOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166171,5.00,5.00,1.00,5.00,5.00,5.75,2.00,5.00,6.00,502,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',12424,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166198,9.00,9.00,7.00,9.00,8.00,7.25,8.00,9.00,9.00,103,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',34,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166201,8.00,7.00,6.00,4.00,6.00,5.75,4.00,7.00,7.00,104,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',3448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CENTRO','CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3166236,2.00,4.00,1.00,5.00,5.00,5.75,2.00,6.00,4.00,421,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',15122,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3166244,5.00,4.00,5.00,7.00,6.00,6.25,4.00,6.00,5.00,203,NULL,201,'BELA VISTA','ERECHIM','RS',6477,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3166252,6.00,4.00,4.00,7.00,4.00,6.75,2.00,5.00,4.00,340,NULL,NULL,'JARDIM EUCALIPTUS','PALHOçA','SC',10794,343,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166260,3.00,3.00,3.00,4.00,3.00,NULL,3.00,6.00,2.00,326,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166279,3.00,2.00,7.00,6.00,5.00,4.75,3.00,2.00,4.00,208,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',14375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166287,3.00,4.00,2.00,0.00,4.00,NULL,1.00,2.00,2.00,340,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166295,5.00,7.00,4.00,7.00,6.00,5.25,3.00,7.00,3.00,301,NULL,NULL,'COMERCIáRIO','CRICIúMA','SC',6815,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3166309,5.00,5.00,6.00,7.00,7.00,4.75,4.00,5.00,5.00,103,NULL,NULL,'VILA ESTRELA','PNT GROSSA','PR',6893,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3166317,6.00,2.00,1.00,8.00,4.00,5.75,2.00,7.00,3.00,318,NULL,NULL,'AMéRICA','JOINVILLE','SC',12146,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3166325,9.00,7.00,7.00,9.00,8.00,7.25,7.00,8.00,9.00,103,NULL,NULL,'CIDADE PATRIARCA','S PAULO','SP',117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166333,3.00,3.00,1.00,4.00,3.00,NULL,3.00,5.00,2.00,203,NULL,202,'SANTOS DUMONT','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166341,4.00,6.00,5.00,7.00,4.00,6.00,2.00,5.00,6.00,452,NULL,NULL,'BALNEáRIO DOS AçORES','FLORIANóPOLIS','SC',8525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166350,9.00,6.00,6.00,4.00,7.00,4.25,4.00,7.00,7.00,233,NULL,NULL,'CENTRO','CAMPINAS','SP',4187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166368,3.00,3.00,2.00,1.00,2.00,NULL,0.00,5.00,3.00,201,NULL,211,'PIRATININGA','NITERóI','RJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166376,3.00,1.00,1.00,5.00,4.00,NULL,1.00,1.00,3.00,404,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166384,3.00,5.00,2.00,7.00,4.00,5.50,3.00,9.00,1.00,428,NULL,421,'CAMPECHE','FLORIANóPOLIS','SC',13102,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166392,2.00,3.00,4.00,3.00,2.00,NULL,3.00,2.00,0.00,202,NULL,208,'BARRA DO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166406,5.00,7.00,3.00,6.00,5.00,5.00,1.00,4.00,2.00,317,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12561,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166414,3.00,4.00,5.00,9.00,5.00,6.75,2.00,4.00,5.00,215,NULL,233,'BARREIROS','S JOSé','SC',9664,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3166430,5.00,4.00,5.00,7.00,5.00,4.50,5.00,5.00,4.00,233,NULL,201,'SAGUAçU','JOINVILLE','SC',9427,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3166449,4.00,3.00,2.00,3.00,2.00,NULL,3.00,5.00,3.00,208,NULL,216,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166457,3.00,4.00,4.00,7.00,5.00,4.75,4.00,5.00,3.00,301,NULL,NULL,'CENTRO','BIGUAçU','SC',12454,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166465,4.00,4.00,2.00,7.00,5.00,NULL,0.00,5.00,2.00,201,NULL,212,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166473,6.00,4.00,2.00,5.00,4.00,5.00,4.00,7.00,4.00,202,NULL,233,'BARREIROS','S JOSé','SC',10196,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166481,3.00,5.00,4.00,3.00,7.00,2.50,3.00,4.00,4.00,216,NULL,203,'BALNEARIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166490,7.00,3.00,3.00,6.00,7.00,6.75,2.00,5.00,4.00,104,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',8675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166520,4.00,6.00,4.00,7.00,5.00,0.00,2.00,7.00,4.00,208,NULL,238,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166546,7.00,7.00,2.00,7.00,7.00,6.25,2.00,7.00,6.00,331,NULL,NULL,'KOBRASOL','S JOSé','SC',4739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166554,3.00,4.00,4.00,7.00,5.00,4.25,4.00,5.00,4.00,214,NULL,220,'CARIANOS','FLORIANóPOLIS','SC',10790,360,NULL,411,NULL,NULL,NULL,2,1),(16,3166562,4.00,2.00,3.00,6.00,4.00,5.00,3.00,5.00,4.00,420,NULL,NULL,'CENTRO','RIO FORTUNA','SC',13267,144,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166570,4.00,4.00,2.00,8.00,4.00,5.50,4.00,5.00,3.00,220,NULL,203,'BARRA GRANDE','FAXINAL GUEDES','SC',12459,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3166589,4.00,3.00,4.00,3.00,2.00,NULL,2.00,5.00,3.00,220,NULL,201,'GOPIUVA','CARAPICUíBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166597,4.00,5.00,4.00,7.00,7.00,5.50,1.00,4.00,3.00,503,NULL,NULL,'VELHA','BLUMENAU','SC',12291,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3166600,4.00,4.00,2.00,7.00,3.00,NULL,2.00,5.00,3.00,301,NULL,NULL,'ESTAçãO COCAL','MRO FUMAçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3166627,7.00,6.00,6.00,9.00,6.00,6.75,4.00,8.00,5.00,340,NULL,NULL,'CHáCARA CACHOEIRA','CPO GRANDE','MS',2866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166635,3.00,4.00,3.00,2.00,2.00,NULL,1.00,0.00,2.00,5,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166643,8.00,9.00,8.00,7.00,6.00,4.75,4.00,8.00,5.00,103,NULL,NULL,'VILA MARIANA','TAIó','SC',1731,751,NULL,NULL,NULL,NULL,NULL,4,2),(16,3166651,7.00,7.00,7.00,9.00,8.00,6.50,6.00,6.00,8.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166660,4.00,2.00,3.00,2.00,5.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'SANTA HELENA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3166678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3166694,2.00,2.00,1.00,5.00,3.00,NULL,1.00,2.00,2.00,308,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166708,3.00,3.00,4.00,0.00,2.00,NULL,2.00,3.00,5.00,453,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166716,1.00,3.00,4.00,2.00,3.00,NULL,3.00,1.00,3.00,309,NULL,NULL,'COLONINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166724,4.00,4.00,5.00,8.00,4.00,6.50,3.00,7.00,2.00,202,NULL,213,'PARQUE BANDEIRANTES','RIBEIRãO PRETO','SP',9027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166732,6.00,5.00,5.00,7.00,3.00,NULL,4.00,6.00,5.00,201,NULL,211,'COMERCIARIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3166740,9.00,7.00,9.00,6.00,6.00,8.25,7.00,7.00,9.00,103,NULL,NULL,'CIDADE PATRIARCA','S PAULO','SP',338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166759,3.00,4.00,2.00,3.00,3.00,NULL,3.00,5.00,3.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166767,2.00,3.00,3.00,5.00,3.00,NULL,2.00,0.00,3.00,450,NULL,NULL,'NAçõES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3166783,7.00,9.00,4.00,9.00,6.00,5.50,7.00,7.00,7.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',1838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166805,4.00,3.00,4.00,5.00,6.00,6.75,4.00,6.00,3.00,319,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',12054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166821,2.00,1.00,4.00,7.00,5.00,NULL,3.00,3.00,0.00,211,NULL,201,'GUARUJá','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3166830,6.00,6.00,2.00,3.00,6.00,5.00,3.00,7.00,5.00,301,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',10173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166848,5.00,4.00,2.00,3.00,3.00,NULL,3.00,2.00,2.00,208,NULL,238,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166856,3.00,4.00,2.00,7.00,3.00,NULL,4.00,5.00,3.00,340,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166872,2.00,6.00,1.00,7.00,5.00,5.00,2.00,7.00,3.00,5,NULL,NULL,'SERRARIA','S JOSé','SC',14017,471,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166880,9.00,8.00,5.00,7.00,6.00,6.00,1.00,8.00,7.00,103,NULL,NULL,'CENTRO','ARARANGUá','SC',2706,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3166899,5.00,8.00,5.00,6.00,7.00,8.00,3.00,8.00,3.00,213,NULL,238,'IPIRANGA','S JOSé','SC',4867,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166902,2.00,4.00,2.00,2.00,3.00,NULL,2.00,6.00,2.00,207,NULL,201,'CENTRO','S JOãO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3166910,7.00,4.00,3.00,8.00,8.00,5.75,3.00,6.00,6.00,453,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',5897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166929,7.00,5.00,8.00,9.00,6.00,6.00,5.00,8.00,6.00,301,NULL,NULL,'VILA MATHIAS','SANTOS','SP',1751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166937,3.00,3.00,1.00,5.00,2.00,NULL,3.00,4.00,4.00,211,NULL,233,'CENTRO','BOA V MISSõES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3166945,3.00,6.00,4.00,6.00,6.00,6.50,3.00,6.00,6.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',8987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3166953,5.00,4.00,4.00,7.00,6.00,6.00,1.00,5.00,4.00,103,NULL,NULL,'JOAO PAULO','FLORIANóPOLIS','SC',9333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166961,2.00,0.00,1.00,2.00,1.00,NULL,1.00,1.00,2.00,208,NULL,238,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3166988,2.00,8.00,3.00,7.00,5.00,5.25,2.00,7.00,5.00,421,NULL,423,'IPIRANGA','S JOSé','SC',8808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167011,1.00,8.00,1.00,5.00,4.00,6.50,2.00,7.00,4.00,211,NULL,238,'BOCA DO RIO','SALVADOR','BA',13502,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167020,3.00,1.00,2.00,3.00,5.00,NULL,3.00,3.00,2.00,309,NULL,NULL,'MADRE TEREZA','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3167038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO MAINA','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3167046,6.00,7.00,6.00,9.00,6.00,5.50,3.00,7.00,4.00,212,NULL,215,'JARDIM ACAPULCO','GUARUJá','SP',4480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167054,5.00,6.00,5.00,8.00,6.00,5.25,4.00,7.00,2.00,223,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',6857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167062,1.00,1.00,3.00,1.00,3.00,NULL,3.00,2.00,1.00,333,NULL,NULL,'SãO JOãO','VOTUPORANGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167070,5.00,4.00,4.00,4.00,5.00,7.00,3.00,6.00,4.00,211,NULL,201,'FORTALEZA','BLUMENAU','SC',10089,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3167089,6.00,5.00,4.00,7.00,3.00,NULL,3.00,5.00,4.00,303,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167097,7.00,6.00,3.00,8.00,7.00,4.50,3.00,6.00,7.00,415,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',4650,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3167100,9.00,6.00,7.00,8.00,6.00,5.25,7.00,8.00,7.00,103,NULL,NULL,'LAGO SUL','LG SUL','DF',984,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167119,5.00,5.00,5.00,7.00,7.00,6.00,3.00,8.00,6.00,317,NULL,NULL,'BOTAFOGO','BENTO GONçALVES','RS',4175,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3167127,2.00,6.00,1.00,5.00,4.00,5.25,3.00,4.00,5.00,421,NULL,427,'PANTANAL','FLORIANóPOLIS','SC',15096,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3167135,6.00,7.00,3.00,8.00,5.00,5.00,3.00,4.00,6.00,453,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',7389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'JARDIM DAS AMERICAS','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3167151,4.00,5.00,4.00,7.00,3.00,NULL,2.00,5.00,5.00,208,NULL,207,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167160,5.00,5.00,4.00,2.00,5.00,4.75,5.00,4.00,7.00,102,NULL,NULL,'JARDIM VALE DO SOL','S JOSé CAMPOS','SP',9620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167186,1.00,2.00,1.00,3.00,3.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'DAS NAÇÕES','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3167208,8.00,8.00,3.00,8.00,5.00,5.50,4.00,6.00,6.00,208,NULL,238,'CENTRO','FLORIANóPOLIS','SC',4419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM DAS AMERICAS','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3167224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ITALIA','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3167232,7.00,7.00,7.00,7.00,7.00,6.50,5.00,7.00,7.00,101,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',1728,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167259,3.00,4.00,2.00,5.00,3.00,NULL,4.00,2.00,2.00,319,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167267,4.00,6.00,2.00,8.00,3.00,NULL,3.00,5.00,4.00,208,NULL,238,'VENEZA','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3167275,3.00,4.00,4.00,8.00,5.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'EMBARE','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,6),(16,3167305,3.00,4.00,2.00,4.00,2.00,NULL,1.00,6.00,4.00,103,NULL,NULL,'GUADALUPE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3167313,5.00,5.00,6.00,8.00,6.00,6.00,3.00,6.00,6.00,238,NULL,216,'CóRREGO GRANDE','FLORIANóPOLIS','SC',5337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167330,3.00,5.00,2.00,4.00,3.00,NULL,2.00,5.00,4.00,201,NULL,NULL,'LAGOINHA','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167348,3.00,4.00,4.00,7.00,6.00,5.75,4.00,5.00,3.00,203,NULL,NULL,'SERRA ALTA','S BENTO SUL','SC',11330,764,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167356,6.00,6.00,3.00,9.00,7.00,6.00,3.00,9.00,5.00,5,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',4411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167364,3.00,2.00,3.00,3.00,1.00,NULL,2.00,2.00,2.00,9,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167372,3.00,2.00,4.00,2.00,4.00,NULL,3.00,2.00,3.00,428,NULL,425,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167402,5.00,5.00,4.00,9.00,3.00,NULL,1.00,6.00,3.00,302,NULL,NULL,'CRUZEIRO DO SUL','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3167410,5.00,7.00,5.00,9.00,6.00,5.50,7.00,6.00,6.00,203,NULL,233,'VILA OLIVEIRA','MOGI CRUZES','SP',3248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167429,3.00,5.00,3.00,4.00,3.00,NULL,1.00,6.00,2.00,238,NULL,208,'FAZENDA STO ANTÔNIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167437,7.00,7.00,4.00,8.00,5.00,5.75,4.00,8.00,7.00,333,NULL,NULL,'COMERCIáRIO','CRICIúMA','SC',4261,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3167445,5.00,5.00,4.00,5.00,4.00,4.50,2.00,7.00,1.00,102,NULL,NULL,'SILVIA REGINA','CPO GRANDE','MS',12796,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167453,2.00,2.00,1.00,3.00,1.00,NULL,0.00,4.00,2.00,102,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167461,8.00,6.00,9.00,9.00,8.00,6.25,7.00,8.00,7.00,103,NULL,NULL,'VILA ANDRADE','S PAULO','SP',307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167470,3.00,3.00,4.00,2.00,1.00,NULL,2.00,2.00,3.00,340,NULL,NULL,'PâNTANO DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167496,5.00,7.00,6.00,7.00,4.00,4.75,6.00,7.00,5.00,316,NULL,NULL,'NUCLEO BANDEIRANTE','NUC BANDEIRANTE','DF',4710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167500,3.00,4.00,2.00,3.00,5.00,NULL,3.00,4.00,2.00,428,NULL,426,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167518,4.00,6.00,5.00,8.00,4.00,5.00,3.00,6.00,6.00,103,NULL,NULL,'IMIGRANTES','CRICIúMA','SC',7540,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3167526,6.00,4.00,3.00,3.00,6.00,5.50,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',12449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167534,5.00,7.00,3.00,9.00,5.00,5.25,1.00,4.00,3.00,202,NULL,208,'COQUEIROS','FLORIANóPOLIS','SC',10559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167550,3.00,2.00,2.00,4.00,3.00,NULL,2.00,6.00,2.00,450,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3167569,3.00,6.00,4.00,3.00,5.00,6.00,2.00,7.00,4.00,331,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',11889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167577,5.00,7.00,4.00,6.00,6.00,4.50,2.00,7.00,3.00,303,NULL,NULL,'FAZENDA','ITAJAí','SC',8785,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3167585,4.00,5.00,3.00,3.00,5.00,5.50,3.00,6.00,5.00,214,NULL,220,'SANTA MARIA','ANTôNIO CARLOS','SC',11166,373,NULL,420,NULL,NULL,NULL,4,1),(16,3167593,3.00,5.00,5.00,7.00,4.00,5.75,3.00,6.00,3.00,301,NULL,NULL,'CENTRO','POMERODE','SC',10578,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3167607,3.00,4.00,2.00,4.00,6.00,4.25,0.00,6.00,3.00,208,NULL,238,'ITACORUBI','FLORIANóPOLIS','SC',15404,538,NULL,508,NULL,NULL,NULL,4,1),(16,3167615,3.00,5.00,4.00,5.00,6.00,6.25,5.00,3.00,5.00,103,NULL,NULL,'NOVA BAHIA','CPO GRANDE','MS',9820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167623,4.00,4.00,3.00,7.00,5.00,4.75,2.00,4.00,2.00,324,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',14741,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167631,5.00,6.00,7.00,8.00,8.00,6.75,2.00,6.00,7.00,103,NULL,NULL,'VILA SÃO JOSÉ','S JOSé R PRETO','SP',3440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167658,3.00,3.00,3.00,5.00,2.00,NULL,4.00,4.00,5.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167682,2.00,5.00,1.00,1.00,4.00,NULL,1.00,6.00,3.00,304,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167690,7.00,7.00,5.00,8.00,8.00,6.25,5.00,9.00,8.00,202,NULL,213,'JOSé MENDES','FLORIANóPOLIS','SC',1047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167704,3.00,5.00,4.00,5.00,7.00,5.00,2.00,3.00,2.00,207,NULL,201,'CENTRO','ITUPORANGA','SC',13701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167712,6.00,3.00,3.00,4.00,2.00,NULL,5.00,3.00,6.00,215,NULL,213,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167720,4.00,3.00,4.00,8.00,6.00,5.75,2.00,7.00,5.00,203,NULL,202,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3167739,2.00,1.00,2.00,6.00,3.00,NULL,3.00,4.00,2.00,309,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167747,5.00,4.00,2.00,3.00,4.00,4.50,4.00,6.00,4.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',13532,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167755,2.00,5.00,3.00,7.00,3.00,NULL,1.00,4.00,5.00,201,NULL,207,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3167763,9.00,8.00,8.00,7.00,9.00,6.25,6.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167771,5.00,6.00,4.00,7.00,5.00,8.75,4.00,7.00,3.00,326,NULL,NULL,'SERRARIA','S JOSé','SC',6590,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167798,5.00,2.00,2.00,6.00,4.00,4.50,1.00,4.00,3.00,427,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',16350,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167801,2.00,4.00,5.00,8.00,5.00,6.25,2.00,6.00,3.00,429,NULL,425,'TRINDADE','FLORIANóPOLIS','SC',9997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167810,3.00,6.00,1.00,9.00,5.00,5.50,1.00,4.00,0.00,103,NULL,NULL,'CENTRO','ITAJAí','SC',14094,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3167828,4.00,5.00,3.00,5.00,4.00,5.50,4.00,5.00,4.00,208,NULL,238,'ESTREITO','FLORIANOPOLIS','SC',11468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167836,4.00,2.00,1.00,6.00,4.00,5.50,3.00,3.00,3.00,332,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',16642,61,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167852,4.00,5.00,2.00,4.00,2.00,NULL,3.00,3.00,3.00,415,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167860,7.00,5.00,4.00,3.00,8.00,5.00,5.00,6.00,4.00,319,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',8028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167879,5.00,6.00,5.00,6.00,4.00,5.75,2.00,7.00,2.00,332,NULL,NULL,'CENTRO','S JOSé','SC',9878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167887,5.00,4.00,4.00,7.00,8.00,5.50,3.00,5.00,4.00,502,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167895,4.00,0.00,1.00,0.00,3.00,NULL,3.00,3.00,2.00,310,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167909,6.00,8.00,5.00,6.00,6.00,5.50,5.00,8.00,7.00,212,NULL,238,'KOBRASOL','S JOSé','SC',3869,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167917,4.00,5.00,2.00,6.00,3.00,NULL,3.00,7.00,4.00,207,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3167925,4.00,7.00,7.00,7.00,5.00,2.75,3.00,8.00,3.00,212,NULL,233,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3167950,5.00,5.00,2.00,4.00,4.00,5.75,3.00,7.00,5.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',11360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3167968,2.00,2.00,1.00,5.00,3.00,NULL,0.00,0.00,4.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3167976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FáTIMA','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3168018,6.00,7.00,6.00,7.00,5.00,5.25,2.00,6.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168034,7.00,5.00,4.00,7.00,4.00,6.25,3.00,6.00,6.00,103,NULL,NULL,'FIGUEIRA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3168042,1.00,3.00,2.00,5.00,4.00,NULL,0.00,4.00,2.00,101,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168050,5.00,7.00,1.00,6.00,5.00,5.75,3.00,8.00,4.00,340,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',9374,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3168069,5.00,6.00,3.00,7.00,6.00,5.75,1.00,5.00,3.00,103,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',10992,2335,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168085,4.00,4.00,3.00,7.00,4.00,8.50,3.00,3.00,3.00,318,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',11891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168093,7.00,6.00,4.00,7.00,7.00,6.50,3.00,6.00,4.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5636,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168107,3.00,6.00,3.00,7.00,4.00,5.00,3.00,6.00,2.00,220,NULL,238,'JARDIM AQUARIUS','PALHOçA','SC',12358,453,NULL,370,NULL,NULL,NULL,2,1),(16,3168115,4.00,4.00,3.00,8.00,6.00,5.75,4.00,5.00,5.00,211,NULL,215,'ITACORUBI','FLORIANóPOLIS','SC',9378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168123,6.00,4.00,5.00,5.00,5.00,6.00,2.00,3.00,3.00,302,NULL,NULL,'JOAIA','TIJUCAS','SC',13084,159,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168131,4.00,4.00,4.00,3.00,7.00,5.75,4.00,6.00,5.00,415,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',10330,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3168140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA SETE','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3168158,5.00,4.00,2.00,7.00,3.00,NULL,2.00,4.00,3.00,302,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168166,3.00,6.00,3.00,7.00,6.00,5.75,2.00,8.00,3.00,103,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',8638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168174,0.00,3.00,2.00,0.00,1.00,NULL,3.00,1.00,3.00,5,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168204,6.00,6.00,5.00,6.00,4.00,5.25,4.00,5.00,5.00,203,NULL,216,'INTERITOR','CORREIA PINTO','SC',8411,637,NULL,308,NULL,NULL,NULL,2,9),(16,3168212,6.00,5.00,3.00,6.00,3.00,NULL,4.00,6.00,6.00,319,NULL,NULL,'CENTRO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168220,2.00,6.00,6.00,9.00,6.00,6.50,4.00,7.00,4.00,207,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',6696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168239,2.00,1.00,3.00,5.00,3.00,NULL,2.00,2.00,4.00,404,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168247,6.00,7.00,4.00,8.00,7.00,6.00,7.00,7.00,2.00,207,NULL,201,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',3816,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168255,2.00,4.00,2.00,8.00,7.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3168263,6.00,5.00,4.00,4.00,5.00,4.50,3.00,7.00,4.00,103,NULL,NULL,'INTERIOR','VITORINO','PR',8815,2098,NULL,NULL,NULL,NULL,NULL,2,4),(16,3168271,8.00,9.00,9.00,7.00,8.00,5.75,4.00,9.00,7.00,5,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',521,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168280,4.00,3.00,5.00,4.00,4.00,4.50,2.00,5.00,3.00,238,NULL,208,'PRESIDENTE MEDICE','CHAPECó','SC',15737,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3168301,3.00,3.00,1.00,6.00,4.00,NULL,1.00,3.00,3.00,404,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'SãO MIGUEL','BIGUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3168328,4.00,3.00,2.00,4.00,5.00,3.25,2.00,5.00,4.00,316,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168336,7.00,8.00,6.00,8.00,7.00,6.75,4.00,9.00,7.00,203,NULL,214,'CENTRO','TUBARãO','SC',1427,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3168344,5.00,6.00,4.00,9.00,6.00,6.00,1.00,4.00,3.00,340,NULL,NULL,'TERRAS STA ELISA','LIMEIRA','SP',9748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168352,6.00,5.00,1.00,6.00,4.00,6.00,6.00,3.00,4.00,303,NULL,NULL,'PETRóPOLIS','CONCóRDIA','SC',10817,468,NULL,NULL,NULL,NULL,NULL,2,7),(16,3168360,3.00,2.00,2.00,4.00,5.00,NULL,2.00,3.00,4.00,5,NULL,NULL,'SERTÃO DO MARUIM','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168379,6.00,5.00,3.00,6.00,4.00,6.00,2.00,7.00,4.00,302,NULL,NULL,'SANTA CATARINA','BIGUAçU','SC',10835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168387,7.00,6.00,5.00,5.00,4.00,5.75,2.00,7.00,5.00,216,NULL,211,'DOM JOAQUIM','BRUSQUE','SC',6246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168395,5.00,6.00,4.00,5.00,5.00,5.25,4.00,8.00,5.00,220,NULL,214,'ITACURUBI','FLORIANóPOLIS','SC',6916,303,NULL,248,NULL,NULL,NULL,2,1),(16,3168409,7.00,7.00,4.00,9.00,7.00,5.50,6.00,7.00,4.00,211,NULL,238,'CANTO DA LAGOA','FLORIANóPOLIS','SC',3122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168417,4.00,4.00,2.00,3.00,5.00,4.50,3.00,4.00,5.00,208,NULL,238,'ESTREITO','FLORIANóPOLIS','SC',13159,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168425,4.00,5.00,5.00,5.00,4.00,5.25,2.00,4.00,4.00,5,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',12385,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168433,3.00,6.00,6.00,3.00,1.00,NULL,3.00,2.00,4.00,233,NULL,214,'CENTRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168441,5.00,3.00,3.00,6.00,3.00,NULL,3.00,3.00,2.00,302,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168450,3.00,2.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,316,NULL,NULL,'USINA','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168468,8.00,6.00,4.00,7.00,8.00,6.50,5.00,7.00,7.00,103,NULL,NULL,'CIDADE ALTA','CUNHA PORã','SC',2121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168476,3.00,2.00,3.00,6.00,3.00,NULL,2.00,2.00,3.00,444,NULL,NULL,'HUMAITá','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3168484,4.00,3.00,3.00,4.00,5.00,5.50,3.00,5.00,3.00,302,NULL,NULL,'LOURO','ANTôNIO CARLOS','SC',14922,195,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168492,7.00,7.00,4.00,4.00,6.00,5.50,4.00,6.00,6.00,201,NULL,212,'DIVINéIA','PERDIZES','MG',4915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'TRINTA RÉIS','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3168514,2.00,4.00,1.00,3.00,1.00,NULL,1.00,3.00,3.00,223,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168522,3.00,4.00,2.00,4.00,5.00,5.00,2.00,5.00,3.00,208,NULL,201,'BOM VIVER','BIGUAçU','SC',15869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168530,4.00,5.00,1.00,7.00,4.00,6.00,3.00,4.00,2.00,5,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',14918,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168549,5.00,5.00,6.00,8.00,6.00,6.75,4.00,6.00,5.00,216,NULL,214,'ARCADAS','AMPARO','SP',5323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168557,2.00,2.00,2.00,4.00,0.00,NULL,2.00,3.00,3.00,216,NULL,233,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168565,6.00,7.00,3.00,7.00,1.00,NULL,1.00,7.00,4.00,316,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168573,8.00,5.00,4.00,7.00,3.00,NULL,3.00,6.00,4.00,102,NULL,NULL,'SãO VICENTE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3168581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AEROPORTO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3168590,7.00,7.00,5.00,8.00,7.00,7.50,5.00,9.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',942,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3168603,3.00,6.00,2.00,7.00,7.00,5.75,2.00,7.00,3.00,301,NULL,NULL,'CRUZEIRO DO SUL','CRICIúMA','SC',9087,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3168611,5.00,6.00,2.00,5.00,7.00,5.50,2.00,8.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6218,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3168620,5.00,6.00,3.00,7.00,4.00,5.50,2.00,7.00,4.00,326,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',9825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168638,8.00,8.00,6.00,6.00,6.00,5.75,3.00,8.00,5.00,238,NULL,208,'JARDIM DAS PALMEIRAS','PALHOçA','SC',2939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168646,4.00,5.00,3.00,8.00,7.00,7.00,2.00,5.00,3.00,317,NULL,NULL,'JARDIM ANGéLICA','CRICIúMA','SC',9464,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3168654,4.00,3.00,3.00,1.00,3.00,NULL,2.00,5.00,2.00,103,NULL,NULL,'NOVA ROMA','MRO GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3168662,9.00,5.00,5.00,6.00,4.00,4.75,4.00,7.00,7.00,103,NULL,NULL,'VILA SAO JOAO','IRATI','PR',5657,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3168670,7.00,6.00,6.00,7.00,4.00,4.25,3.00,6.00,6.00,203,NULL,214,'CENTRO','ERECHIM','RS',6373,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3168689,4.00,4.00,2.00,3.00,4.00,NULL,1.00,2.00,3.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168700,5.00,3.00,3.00,1.00,3.00,NULL,2.00,3.00,3.00,302,NULL,NULL,'BETâNIA','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168719,4.00,4.00,1.00,7.00,4.00,5.25,2.00,3.00,3.00,211,NULL,208,'SERTAO DO MARUIM','S JOSé','SC',14619,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168727,5.00,5.00,2.00,8.00,6.00,5.75,2.00,7.00,6.00,104,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',7689,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168743,7.00,5.00,6.00,7.00,7.00,4.50,6.00,7.00,6.00,103,NULL,NULL,'SANTA BARBARA','CRICIúMA','SC',2719,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3168751,3.00,8.00,3.00,8.00,7.00,5.75,3.00,6.00,5.00,320,NULL,NULL,'JARDIM SãO PAULO','AMERICANA','SP',5501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168760,2.00,7.00,4.00,3.00,3.00,NULL,2.00,3.00,2.00,213,NULL,214,'RIO VACARIANO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168778,3.00,5.00,4.00,3.00,3.00,NULL,2.00,7.00,4.00,304,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168786,2.00,4.00,2.00,1.00,4.00,NULL,2.00,4.00,3.00,309,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIO AZUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3168808,5.00,3.00,2.00,6.00,3.00,NULL,2.00,5.00,3.00,502,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'VILA LENZI','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',5,8),(16,3168824,1.00,1.00,1.00,2.00,3.00,NULL,3.00,3.00,3.00,104,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168832,5.00,7.00,1.00,7.00,4.00,5.00,1.00,6.00,4.00,216,NULL,207,'CENTRO','JARAGUá SUL','SC',12290,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3168840,4.00,2.00,2.00,2.00,5.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(16,3168867,3.00,1.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3168875,3.00,5.00,4.00,6.00,6.00,6.25,3.00,7.00,4.00,223,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',9347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168883,6.00,4.00,6.00,8.00,5.00,5.75,1.00,5.00,4.00,302,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',8926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168905,4.00,4.00,4.00,8.00,6.00,6.25,3.00,5.00,4.00,207,NULL,201,'AGRONôMICA','FLORIANóPOLIS','SC',8030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168921,1.00,5.00,3.00,3.00,4.00,NULL,3.00,2.00,0.00,5,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168930,9.00,8.00,8.00,8.00,7.00,7.50,5.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SãO LOURENçO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3168956,5.00,5.00,4.00,6.00,5.00,5.25,3.00,4.00,3.00,303,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',11303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3168964,8.00,5.00,4.00,0.00,4.00,5.50,2.00,5.00,3.00,108,NULL,NULL,'CENTRO','FORQUILHINHA','SC',13989,315,NULL,NULL,NULL,NULL,NULL,4,5),(16,3168972,5.00,5.00,1.00,8.00,5.00,4.75,4.00,8.00,4.00,207,NULL,201,'CAMPINAS','S JOSé','SC',8792,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3168980,3.00,6.00,1.00,5.00,4.00,6.25,5.00,7.00,3.00,327,NULL,NULL,'VILA ZULEIMA','CRICIúMA','SC',12264,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3168999,5.00,6.00,3.00,6.00,7.00,5.75,4.00,8.00,4.00,331,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169006,3.00,3.00,1.00,5.00,2.00,NULL,3.00,5.00,2.00,234,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169014,6.00,7.00,3.00,4.00,5.00,4.50,4.00,6.00,3.00,201,NULL,207,'CENTRO','FLORIANóPOLIS','SC',10864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169022,4.00,4.00,5.00,7.00,6.00,5.25,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','TAIó','SC',11243,2358,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169030,5.00,6.00,2.00,6.00,2.00,NULL,3.00,6.00,3.00,301,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3169065,5.00,5.00,2.00,6.00,4.00,5.50,1.00,8.00,5.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',10925,198,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169073,3.00,4.00,3.00,4.00,6.00,6.25,2.00,6.00,3.00,211,NULL,207,'OFICINAS','TUBARãO','SC',12781,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3169081,6.00,5.00,5.00,8.00,6.00,4.75,5.00,8.00,5.00,303,NULL,NULL,'GUANABARA','JOINVILLE','SC',5013,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3169090,4.00,6.00,4.00,9.00,6.00,5.75,3.00,4.00,6.00,103,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',7335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169103,1.00,4.00,2.00,1.00,5.00,NULL,1.00,2.00,1.00,5,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,428,'SETOR RES NORTE','SINOP','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3169138,3.00,5.00,4.00,4.00,2.00,NULL,2.00,3.00,1.00,203,NULL,233,'SãO MIGUEL','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169146,5.00,5.00,3.00,8.00,5.00,6.75,2.00,8.00,4.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8095,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'VILA LENZI','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',5,8),(16,3169162,5.00,6.00,4.00,7.00,4.00,5.00,4.00,6.00,4.00,104,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',9100,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3169189,4.00,0.00,3.00,1.00,0.00,NULL,3.00,1.00,3.00,207,NULL,NULL,'VALPARAíSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,2),(16,3169197,7.00,3.00,4.00,8.00,5.00,5.25,4.00,5.00,3.00,103,NULL,NULL,'SANTO AMARO','S PAULO','SP',10066,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3169200,1.00,2.00,1.00,3.00,2.00,NULL,3.00,3.00,2.00,213,NULL,202,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169219,3.00,3.00,1.00,6.00,3.00,NULL,4.00,6.00,3.00,304,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169235,2.00,2.00,3.00,6.00,4.00,6.75,1.00,5.00,2.00,339,NULL,NULL,'JOÃO PAULO','FLORIANóPOLIS','SC',15430,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169243,5.00,3.00,4.00,4.00,2.00,NULL,3.00,2.00,4.00,101,NULL,NULL,'CENTRO','TANABI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169260,3.00,3.00,2.00,2.00,4.00,NULL,2.00,3.00,4.00,208,NULL,202,'CENTRO','ESMERALDA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169286,3.00,3.00,1.00,5.00,2.00,NULL,1.00,4.00,3.00,102,NULL,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169294,5.00,2.00,1.00,0.00,6.00,NULL,3.00,4.00,4.00,9,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169308,6.00,4.00,4.00,6.00,6.00,6.25,2.00,2.00,4.00,318,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',11462,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169316,4.00,4.00,1.00,2.00,5.00,NULL,1.00,5.00,2.00,303,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169324,9.00,8.00,8.00,6.00,7.00,7.25,5.00,8.00,9.00,103,NULL,NULL,'VILA LEIS','ITU','SP',525,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3169332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3169340,7.00,8.00,5.00,8.00,6.00,6.75,6.00,9.00,6.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',1607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169359,4.00,6.00,1.00,8.00,5.00,5.75,5.00,3.00,5.00,207,NULL,201,'CENTRO','LAGES','SC',9979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169367,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,213,NULL,212,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3169383,3.00,6.00,6.00,8.00,5.00,5.25,4.00,7.00,2.00,453,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',6145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169391,3.00,6.00,1.00,4.00,3.00,NULL,4.00,4.00,2.00,208,NULL,238,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169405,8.00,6.00,6.00,7.00,7.00,6.00,6.00,8.00,6.00,214,NULL,203,'CORREGO GRANDE','FLORIANóPOLIS','SC',2178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169413,5.00,4.00,2.00,2.00,3.00,NULL,4.00,2.00,8.00,207,NULL,212,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3169430,3.00,7.00,2.00,7.00,7.00,5.75,3.00,8.00,2.00,317,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',8442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169448,3.00,2.00,2.00,3.00,4.00,NULL,1.00,4.00,2.00,308,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169456,4.00,6.00,4.00,6.00,5.00,5.75,2.00,4.00,3.00,201,NULL,220,'AGOSTINI','S MIGUEL OESTE','SC',11116,863,NULL,417,NULL,NULL,NULL,4,4),(16,3169464,9.00,9.00,8.00,8.00,9.00,7.50,6.00,8.00,7.00,103,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',95,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169472,6.00,6.00,5.00,6.00,7.00,7.50,4.00,6.00,5.00,102,NULL,NULL,'CORAL','LAGES','SC',4432,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3169480,2.00,4.00,6.00,8.00,5.00,5.00,3.00,6.00,3.00,317,NULL,NULL,'ALTO RIBEIRÃO','FLORIANóPOLIS','SC',10059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169499,4.00,3.00,4.00,4.00,4.00,5.25,3.00,2.00,4.00,104,NULL,NULL,'CENTRO','CRICIúMA','SC',15575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,421,'ACLIMACAO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3169510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3169529,5.00,6.00,6.00,9.00,8.00,7.00,4.00,7.00,7.00,333,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',2157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169545,5.00,7.00,2.00,8.00,6.00,7.50,2.00,6.00,4.00,319,NULL,NULL,'CENTRO','SALETE','SC',7866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169553,4.00,4.00,3.00,6.00,5.00,4.00,1.00,4.00,4.00,233,NULL,238,'CENTRO','FLORIANóPOLIS','SC',14788,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169561,6.00,6.00,5.00,8.00,7.00,7.75,3.00,7.00,6.00,238,NULL,203,'ITACORUBI','FLORIANóPOLIS','SC',3170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169588,4.00,3.00,3.00,6.00,4.00,5.00,3.00,2.00,2.00,211,NULL,215,'JARDIM BELA VISTA','ITAPIRANGA','SC',15224,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3169596,8.00,5.00,4.00,7.00,8.00,5.00,5.00,6.00,6.00,220,NULL,233,'CENTRO','CRICIúMA','SC',4383,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3169600,7.00,3.00,4.00,8.00,7.00,6.00,2.00,4.00,1.00,211,NULL,201,'SãO SEBASTIãO','PALHOçA','SC',10785,357,NULL,838,NULL,NULL,NULL,2,1),(16,3169618,3.00,5.00,2.00,2.00,5.00,5.25,3.00,5.00,4.00,207,NULL,201,'CENTRO','STO AMARO IMPERATRIZ','SC',14844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169634,1.00,4.00,4.00,0.00,4.00,NULL,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3169642,1.00,5.00,2.00,8.00,6.00,6.75,1.00,5.00,5.00,303,NULL,NULL,'CENTRO','LGA VERMELHA','RS',11991,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169650,5.00,8.00,3.00,3.00,5.00,6.50,0.00,6.00,1.00,5,NULL,NULL,'SERRARIA','S JOSé','SC',13514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169669,5.00,7.00,4.00,4.00,5.00,5.50,3.00,6.00,7.00,220,NULL,201,'CPA I','CUIABá','MT',7446,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3169677,4.00,3.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,317,NULL,NULL,'FERRAZ','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169685,3.00,6.00,6.00,8.00,6.00,7.00,5.00,7.00,3.00,5,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',6180,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3169693,2.00,2.00,4.00,5.00,5.00,4.50,2.00,5.00,2.00,223,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',16101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169707,3.00,4.00,4.00,3.00,4.00,5.75,3.00,3.00,4.00,103,NULL,NULL,'PEDRO DEMETERCO','PINHAIS','PR',15321,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3169715,1.00,3.00,4.00,3.00,2.00,NULL,4.00,6.00,2.00,426,NULL,428,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169723,3.00,6.00,2.00,6.00,5.00,5.00,4.00,5.00,5.00,238,NULL,207,'BARREIROS','S JOSé','SC',11278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169731,5.00,4.00,1.00,6.00,5.00,NULL,0.00,6.00,3.00,420,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169740,4.00,6.00,2.00,5.00,4.00,4.50,3.00,4.00,2.00,502,NULL,NULL,'BARREIROS','S JOSé','SC',16051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169766,8.00,8.00,7.00,8.00,8.00,6.00,5.00,7.00,7.00,211,NULL,201,'CAMPECHE','FLORIANóPOLIS','SC',1128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169774,4.00,3.00,1.00,1.00,4.00,NULL,3.00,4.00,4.00,216,NULL,220,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169782,4.00,4.00,3.00,6.00,6.00,5.50,3.00,7.00,4.00,103,NULL,NULL,'VALE DA BOA ESPERANç','PINHAIS','PR',10336,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3169790,4.00,5.00,4.00,7.00,3.00,NULL,4.00,5.00,4.00,319,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CABEçUDA','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3169812,3.00,6.00,4.00,7.00,5.00,6.50,4.00,5.00,5.00,103,NULL,NULL,'COMERCIARIO','CRICIúMA','SC',9316,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3169820,5.00,5.00,2.00,7.00,4.00,5.75,3.00,7.00,6.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',9385,2165,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169847,3.00,2.00,3.00,4.00,4.00,NULL,2.00,4.00,3.00,340,NULL,NULL,'SãO CRISTóVãO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3169855,5.00,7.00,3.00,6.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLOR DA SERRA','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,7),(16,3169863,7.00,6.00,5.00,8.00,6.00,7.50,3.00,8.00,7.00,201,NULL,208,'CAPOEIRAS','FLORIANóPOLIS','SC',3247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169871,4.00,3.00,1.00,1.00,3.00,NULL,0.00,2.00,4.00,404,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3169898,5.00,3.00,3.00,7.00,4.00,5.75,3.00,2.00,2.00,5,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',15583,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169901,4.00,5.00,1.00,8.00,5.00,6.00,2.00,5.00,2.00,425,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',12350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169910,3.00,4.00,5.00,7.00,5.00,4.25,3.00,2.00,5.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',12605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169928,3.00,0.00,3.00,3.00,3.00,NULL,3.00,2.00,1.00,203,NULL,214,'ARIRIBA','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3169936,4.00,4.00,1.00,8.00,6.00,7.50,3.00,5.00,4.00,327,NULL,NULL,'CAMAQUã','PTO ALEGRE','RS',8922,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3169944,8.00,8.00,9.00,9.00,7.00,5.50,7.00,9.00,8.00,203,NULL,202,'DO SOL','INDAIAL','SC',114,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3169952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3169960,4.00,2.00,1.00,5.00,3.00,NULL,1.00,5.00,1.00,103,NULL,NULL,'VILA FLOR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3169979,5.00,2.00,3.00,6.00,4.00,7.25,3.00,4.00,3.00,103,NULL,NULL,'IDEAL','NOVO HAMBURGO','RS',12502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169987,6.00,3.00,1.00,2.00,3.00,NULL,3.00,2.00,5.00,317,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3169995,3.00,3.00,1.00,5.00,3.00,NULL,1.00,1.00,3.00,212,NULL,215,'LIVRAMENTO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3170004,5.00,4.00,3.00,7.00,3.00,NULL,2.00,5.00,3.00,340,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170020,0.00,3.00,3.00,4.00,3.00,NULL,4.00,2.00,4.00,339,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170039,5.00,4.00,4.00,9.00,3.00,NULL,1.00,3.00,2.00,425,NULL,429,'FAZENDA STO ANTONIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170047,2.00,6.00,4.00,8.00,4.00,5.75,1.00,5.00,3.00,340,NULL,NULL,'COLONINHA','FLORIANóPOLIS','SC',12074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170055,6.00,4.00,4.00,6.00,7.00,4.25,3.00,5.00,8.00,103,NULL,NULL,'LIVRAMENTO','TURVO','SC',7005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170063,2.00,5.00,2.00,1.00,3.00,NULL,1.00,5.00,1.00,317,NULL,NULL,'JARDIM','S JOSé CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3170071,6.00,4.00,6.00,3.00,5.00,5.00,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','CNSO MAIRINCK','PR',7835,1955,NULL,NULL,NULL,NULL,NULL,4,8),(16,3170080,7.00,6.00,4.00,8.00,7.00,5.25,1.00,5.00,6.00,211,NULL,212,'SACO DOS LIMõES','FLORIANóPOLIS','SC',6454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3170101,5.00,2.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'FLOR DA SERRA','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,7),(16,3170110,6.00,4.00,3.00,8.00,5.00,6.25,2.00,3.00,6.00,104,NULL,NULL,'MARIA GORETTI','CHAPECó','SC',9421,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3170128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,427,'VILA BARTH','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',1,1),(16,3170136,4.00,5.00,1.00,3.00,5.00,6.00,2.00,2.00,4.00,9,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',15208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170144,5.00,6.00,2.00,5.00,2.00,NULL,2.00,3.00,3.00,309,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170152,8.00,8.00,8.00,7.00,7.00,5.00,5.00,9.00,8.00,103,NULL,NULL,'SãO SIMãO','CRICIúMA','SC',916,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3170160,5.00,6.00,4.00,6.00,6.00,6.50,3.00,6.00,6.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170179,4.00,6.00,4.00,6.00,1.00,NULL,2.00,3.00,1.00,201,NULL,207,'BELA VISTA I','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170187,4.00,2.00,1.00,6.00,2.00,NULL,1.00,3.00,3.00,104,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170195,3.00,5.00,2.00,3.00,5.00,4.00,2.00,5.00,4.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',16038,693,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170209,4.00,7.00,5.00,7.00,5.00,8.00,2.00,7.00,7.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4694,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170217,3.00,5.00,3.00,4.00,3.00,NULL,3.00,3.00,4.00,328,NULL,NULL,'CENTRO','AMPéRE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170225,6.00,6.00,4.00,7.00,4.00,4.75,5.00,5.00,5.00,203,NULL,202,'CLARAÍBA','NOVA TRENTO','SC',7593,600,NULL,NULL,NULL,NULL,NULL,2,3),(16,3170233,3.00,8.00,2.00,7.00,6.00,6.00,1.00,4.00,3.00,317,NULL,NULL,'FLORESTA','S JOSé','SC',12260,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170241,2.00,3.00,3.00,4.00,3.00,NULL,1.00,4.00,3.00,316,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170250,5.00,6.00,2.00,2.00,4.00,6.50,1.00,4.00,2.00,450,NULL,NULL,'VELHA','BLUMENAU','SC',16238,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3170268,5.00,4.00,3.00,3.00,6.00,NULL,0.00,2.00,2.00,415,NULL,NULL,'NITERóI','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3170276,4.00,4.00,1.00,2.00,3.00,NULL,3.00,3.00,2.00,238,NULL,208,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170284,3.00,3.00,4.00,3.00,4.00,2.50,1.00,4.00,3.00,9,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170292,5.00,5.00,6.00,7.00,6.00,6.00,3.00,8.00,7.00,213,NULL,215,'BARREIROS','S JOSé','SC',4011,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170306,3.00,2.00,1.00,0.00,4.00,NULL,2.00,5.00,3.00,320,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170314,0.00,0.00,0.00,8.00,7.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(16,3170322,6.00,8.00,3.00,4.00,5.00,4.50,5.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8315,2026,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170357,7.00,6.00,5.00,8.00,7.00,6.00,2.00,5.00,8.00,103,NULL,NULL,'BOM RETIRO','CURITIBA','PR',3938,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3170365,4.00,3.00,3.00,4.00,6.00,5.75,1.00,4.00,3.00,326,NULL,NULL,'VENDAVAL','BIGUAçU','SC',15588,78,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170373,4.00,5.00,3.00,5.00,2.00,NULL,2.00,1.00,4.00,404,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170381,5.00,6.00,1.00,8.00,7.00,5.25,2.00,7.00,4.00,452,NULL,NULL,'COLONINHA','ARARANGUá','SC',9343,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3170390,7.00,7.00,6.00,8.00,7.00,4.50,6.00,9.00,8.00,220,NULL,213,'PANTANAL','FLORIANóPOLIS','SC',1473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170403,2.00,2.00,2.00,6.00,4.00,5.50,2.00,5.00,2.00,308,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',16634,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170411,5.00,7.00,2.00,7.00,5.00,5.50,4.00,8.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170420,4.00,6.00,2.00,3.00,5.00,5.75,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',11592,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3170438,4.00,8.00,6.00,6.00,6.00,5.25,5.00,9.00,5.00,303,NULL,NULL,'SERRARIA','S JOSé','SC',4008,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170454,4.00,2.00,2.00,3.00,4.00,NULL,4.00,0.00,3.00,303,NULL,NULL,'MAR DAS PEDRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170470,4.00,6.00,1.00,5.00,2.00,NULL,3.00,6.00,1.00,428,NULL,426,'CENTRO HISTóRICO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170489,6.00,2.00,7.00,6.00,8.00,4.00,4.00,5.00,7.00,220,NULL,202,'SETOR COIMBRA','GOIâNIA','GO',7974,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170497,4.00,4.00,2.00,1.00,3.00,NULL,2.00,1.00,1.00,211,NULL,216,'BELA VISTA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3170500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3170519,4.00,7.00,3.00,8.00,5.00,3.25,5.00,5.00,5.00,203,NULL,202,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3170527,6.00,5.00,2.00,7.00,4.00,5.25,2.00,7.00,4.00,9,NULL,NULL,'CARAVAGIO','OURO','SC',10834,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3170535,5.00,6.00,4.00,3.00,5.00,6.00,4.00,4.00,6.00,103,NULL,NULL,'BARREIROS','S JOSé','SC',9916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170560,7.00,8.00,7.00,8.00,7.00,6.25,4.00,6.00,8.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170578,1.00,4.00,3.00,2.00,2.00,NULL,3.00,4.00,2.00,303,NULL,NULL,'ARIRIú DA FORMIGA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170586,6.00,4.00,3.00,6.00,6.00,6.00,4.00,8.00,7.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',7040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170594,6.00,5.00,3.00,6.00,4.00,5.00,3.00,4.00,3.00,303,NULL,NULL,'SANTO ANTONIO','CAMPOS NOVOS','SC',12894,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3170616,5.00,4.00,1.00,6.00,6.00,5.00,3.00,7.00,3.00,104,NULL,NULL,'ZONA I A','UMUARAMA','PR',10383,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3170624,8.00,8.00,7.00,7.00,8.00,6.00,7.00,7.00,7.00,108,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',849,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170632,4.00,4.00,4.00,7.00,6.00,5.75,4.00,6.00,2.00,212,NULL,213,'CENTRO','FAXINAL GUEDES','SC',9702,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3170640,8.00,7.00,7.00,6.00,7.00,6.00,8.00,6.00,8.00,5,NULL,NULL,'PROGRESSO','RIO SUL','SC',1098,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3170667,3.00,5.00,3.00,7.00,6.00,5.00,4.00,5.00,6.00,9,NULL,NULL,'AGONOMICA','FLORIANóPOLIS','SC',9344,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170683,5.00,4.00,4.00,7.00,5.00,5.25,3.00,6.00,5.00,211,NULL,233,'JARDIM ITALIA','CHAPECó','SC',10816,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3170691,3.00,2.00,1.00,2.00,2.00,NULL,4.00,3.00,3.00,320,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170705,3.00,5.00,2.00,6.00,4.00,5.25,2.00,2.00,3.00,208,NULL,203,'ARMAÇÃO DO PANTANO','FLORIANóPOLIS','SC',14996,516,NULL,886,NULL,NULL,NULL,4,1),(16,3170713,2.00,3.00,2.00,5.00,7.00,6.50,3.00,5.00,4.00,303,NULL,NULL,'SãO JOSé','S JOSé','SC',13425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170721,4.00,3.00,3.00,7.00,4.00,6.25,4.00,6.00,7.00,216,NULL,201,'CENTRO','BAL CAMBORIú','SC',7778,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3170730,3.00,4.00,3.00,5.00,4.00,4.50,2.00,4.00,2.00,319,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170748,5.00,2.00,4.00,6.00,4.00,5.25,2.00,3.00,5.00,104,NULL,NULL,'CENTRO','XANXERê','SC',13695,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3170756,4.00,3.00,4.00,7.00,3.00,NULL,3.00,4.00,4.00,108,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170764,5.00,3.00,2.00,5.00,3.00,NULL,3.00,4.00,3.00,333,NULL,NULL,'VILA MOEMA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3170772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'RURAL','SEARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3170780,2.00,6.00,1.00,2.00,3.00,NULL,4.00,3.00,2.00,415,NULL,NULL,'CENTRO','MARíLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170799,3.00,2.00,3.00,6.00,4.00,5.25,4.00,4.00,3.00,101,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',15210,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170802,3.00,1.00,2.00,5.00,2.00,NULL,2.00,3.00,2.00,304,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170810,6.00,7.00,7.00,6.00,6.00,6.75,3.00,8.00,6.00,201,NULL,233,'SETOR BUENO','GOIâNIA','GO',2999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170829,3.00,3.00,2.00,5.00,2.00,NULL,2.00,3.00,3.00,213,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170837,3.00,4.00,3.00,7.00,5.00,4.25,3.00,3.00,2.00,211,NULL,215,'PADRE MARTINHO STEIN','TIMBó','SC',14816,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3170845,8.00,9.00,8.00,8.00,8.00,5.75,4.00,6.00,8.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'BALNEARIO SOLYMAR','MATINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3170861,3.00,2.00,4.00,8.00,7.00,5.50,3.00,5.00,6.00,319,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',10485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170870,6.00,7.00,4.00,6.00,4.00,5.25,4.00,4.00,5.00,211,NULL,215,'SANTA BáRBARA','CRICIúMA','SC',8583,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3170896,5.00,6.00,6.00,9.00,5.00,5.25,2.00,8.00,4.00,214,NULL,212,'BOA VISTA','MARíLIA','SP',5717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170900,8.00,8.00,7.00,8.00,5.00,6.00,6.00,9.00,9.00,220,NULL,215,'CACHOEIRA DO BJ','FLORIANóPOLIS','SC',779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170918,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',5,8),(16,3170926,4.00,7.00,4.00,6.00,6.00,5.25,3.00,6.00,6.00,203,NULL,214,'VILA A','FOZ IGUAçU','PR',7663,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3170934,0.00,0.00,0.00,0.00,0.00,NULL,3.00,3.00,4.00,319,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S',NULL,4,1),(16,3170942,4.00,5.00,1.00,7.00,3.00,NULL,4.00,5.00,3.00,339,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3170950,1.00,5.00,4.00,2.00,4.00,5.50,4.00,5.00,3.00,320,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',14772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170977,5.00,7.00,3.00,6.00,6.00,7.75,3.00,7.00,4.00,425,NULL,428,'TRINDADE','FLORIANóPOLIS','SC',6986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3170985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PARANAVAí','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3170993,2.00,2.00,1.00,3.00,3.00,NULL,3.00,5.00,5.00,201,NULL,203,'CENTRO','PALMAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171000,4.00,3.00,3.00,7.00,5.00,5.25,4.00,6.00,6.00,201,NULL,233,'JARDIM AMéRICA','RIO SUL','SC',9615,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3171019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3171027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'AMBROSIO','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3171035,5.00,9.00,4.00,8.00,8.00,7.00,3.00,9.00,6.00,5,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',2715,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171043,7.00,7.00,5.00,8.00,6.00,4.50,5.00,7.00,4.00,211,NULL,201,'OFICINAS','TUBARãO','SC',4335,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3171051,8.00,5.00,9.00,2.00,5.00,6.50,6.00,9.00,8.00,203,NULL,214,'JARDIM NOVA BOITUVA','BOITUVA','SP',1858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171078,2.00,6.00,5.00,5.00,5.00,5.50,4.00,6.00,4.00,203,NULL,202,'CENTRO','CHAPECó','SC',9770,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3171086,5.00,6.00,5.00,7.00,6.00,6.00,3.00,6.00,6.00,102,NULL,NULL,'CENTRO','RIO SUL','SC',7339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171094,4.00,5.00,4.00,6.00,5.00,5.25,4.00,4.00,3.00,303,NULL,NULL,'FUNDOS DE BIGUAçU','BIGUAçU','SC',10669,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171108,1.00,3.00,4.00,6.00,2.00,NULL,3.00,4.00,5.00,208,NULL,212,'TOBIAS','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3171116,7.00,8.00,4.00,9.00,6.00,5.75,4.00,7.00,5.00,428,NULL,426,'BOA VISTA','JOINVILLE','SC',3162,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3171124,4.00,5.00,1.00,9.00,4.00,2.75,3.00,6.00,3.00,340,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171132,6.00,4.00,3.00,8.00,6.00,5.25,5.00,6.00,5.00,301,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',7355,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171140,6.00,1.00,1.00,5.00,4.00,4.00,1.00,5.00,4.00,102,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',16249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'MOSQUEIRO','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3171175,2.00,3.00,2.00,2.00,2.00,NULL,2.00,5.00,3.00,207,NULL,211,'PRIMAVERA','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3171183,3.00,4.00,1.00,7.00,2.00,NULL,3.00,4.00,3.00,303,NULL,NULL,'RECIFE','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3171205,6.00,8.00,4.00,5.00,6.00,7.00,2.00,8.00,7.00,303,NULL,NULL,'CERAMARTE','RIO NEGRINHO','SC',5174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171213,4.00,5.00,6.00,5.00,5.00,4.25,2.00,9.00,5.00,103,NULL,NULL,'SETOR OESTE','GOIâNIA','GO',7447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171221,3.00,4.00,1.00,6.00,5.00,6.00,3.00,4.00,4.00,503,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',14818,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171248,6.00,8.00,5.00,8.00,6.00,6.75,6.00,5.00,7.00,215,NULL,233,'CENTRO','LAGES','SC',3891,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3171256,3.00,4.00,4.00,0.00,0.00,NULL,4.00,6.00,2.00,327,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(16,3171280,7.00,4.00,8.00,8.00,9.00,5.75,7.00,7.00,7.00,9,NULL,NULL,'PROFIPO','JOINVILLE','SC',1233,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3171299,0.00,3.00,2.00,4.00,0.00,NULL,2.00,1.00,1.00,309,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171302,3.00,6.00,5.00,9.00,5.00,6.00,4.00,7.00,5.00,103,NULL,NULL,'CENTENARIO','S BENTO SUL','SC',6435,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3171310,5.00,4.00,4.00,2.00,5.00,5.25,2.00,5.00,4.00,319,NULL,NULL,'BALNEARIO','FLORIANóPOLIS','SC',14155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171329,9.00,7.00,8.00,8.00,9.00,6.50,7.00,9.00,8.00,103,NULL,NULL,'RECANTO TROPICAL','CASCAVEL','PR',135,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3171337,6.00,8.00,5.00,9.00,6.00,5.75,5.00,8.00,6.00,108,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANóPOLIS','SC',2565,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3171345,6.00,5.00,2.00,9.00,4.00,6.00,1.00,6.00,2.00,103,NULL,NULL,'CENTRO','ITAJAí','SC',11681,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3171353,7.00,4.00,1.00,6.00,5.00,6.50,4.00,7.00,5.00,331,NULL,NULL,'CENTRO','BARRA VELHA','SC',9047,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3171361,2.00,2.00,4.00,2.00,3.00,NULL,0.00,3.00,2.00,201,NULL,203,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171370,5.00,4.00,1.00,0.00,4.00,5.50,2.00,6.00,3.00,302,NULL,NULL,'CENTRO','ARARANGUá','SC',16525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171396,3.00,4.00,3.00,6.00,5.00,5.00,3.00,4.00,3.00,233,NULL,215,'AGRONOMICA','FLORIANóPOLIS','SC',14519,432,NULL,317,NULL,NULL,NULL,2,1),(16,3171400,7.00,9.00,5.00,6.00,6.00,5.25,4.00,7.00,6.00,233,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',3872,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171418,3.00,1.00,1.00,7.00,3.00,NULL,2.00,0.00,3.00,3,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171434,5.00,1.00,2.00,1.00,0.00,NULL,2.00,2.00,4.00,404,NULL,NULL,'JOâO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171442,6.00,4.00,2.00,8.00,6.00,5.50,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171450,7.00,7.00,5.00,9.00,7.00,5.50,2.00,8.00,7.00,102,NULL,NULL,'AMéRICA','JOINVILLE','SC',3510,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3171469,3.00,4.00,2.00,7.00,5.00,7.00,1.00,9.00,2.00,340,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',12474,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','PINHãO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3171493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPAO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3171507,8.00,7.00,5.00,7.00,6.00,6.00,3.00,8.00,6.00,103,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',3093,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171515,9.00,7.00,6.00,9.00,8.00,5.00,4.00,7.00,8.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171523,6.00,5.00,6.00,8.00,4.00,6.75,3.00,4.00,5.00,450,NULL,NULL,'CENTRO','S JOSé CAMPOS','SP',5814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171531,3.00,5.00,2.00,2.00,1.00,NULL,2.00,1.00,3.00,302,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171540,4.00,4.00,3.00,6.00,6.00,4.75,3.00,3.00,6.00,102,NULL,NULL,'PANTANO DO SUL','FLORIANóPOLIS','SC',10856,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171558,6.00,8.00,4.00,8.00,7.00,5.00,4.00,8.00,6.00,303,NULL,NULL,'MAGALHãES','LAGUNA','SC',2629,NULL,NULL,NULL,NULL,NULL,NULL,5,10),(16,3171566,7.00,7.00,4.00,6.00,5.00,6.50,4.00,6.00,6.00,104,NULL,NULL,'BARREIROS','S JOSé','SC',5621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171574,6.00,6.00,3.00,6.00,5.00,5.00,3.00,6.00,3.00,108,NULL,NULL,'BARREIROS','S JOSé','SC',10233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171590,2.00,5.00,3.00,5.00,4.00,4.25,1.00,7.00,2.00,211,NULL,215,'AGRONOMICA','FLORIANóPOLIS','SC',15573,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171604,6.00,4.00,2.00,6.00,5.00,5.50,3.00,7.00,4.00,207,NULL,211,'MICHEL','CRICIúMA','SC',10106,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3171612,3.00,4.00,6.00,5.00,3.00,NULL,2.00,4.00,6.00,3,NULL,NULL,'CENTRO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3171620,4.00,4.00,2.00,9.00,4.00,5.25,3.00,7.00,5.00,340,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',9736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171639,5.00,3.00,4.00,5.00,3.00,NULL,1.00,6.00,3.00,452,NULL,NULL,'JARDIM COLINA','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3171647,3.00,3.00,1.00,7.00,4.00,4.50,3.00,5.00,4.00,301,NULL,NULL,'ITAGUAçú','FLORIANóPOLIS','SC',15548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'MOEMA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3171663,0.00,6.00,5.00,2.00,2.00,NULL,2.00,6.00,4.00,108,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171680,5.00,6.00,2.00,5.00,4.00,4.75,4.00,6.00,5.00,302,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',10522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171698,4.00,7.00,4.00,8.00,5.00,7.00,3.00,7.00,2.00,207,NULL,233,'CENTRO','ITAJAí','SC',7933,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3171701,4.00,3.00,4.00,8.00,4.00,6.00,1.00,4.00,2.00,308,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171736,7.00,3.00,6.00,6.00,6.00,5.00,4.00,8.00,8.00,103,NULL,NULL,'SãO CRISTóVãO','PASSO FUNDO','RS',4722,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3171744,2.00,5.00,3.00,8.00,4.00,6.75,3.00,8.00,4.00,101,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',10209,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171752,3.00,6.00,4.00,7.00,4.00,5.75,4.00,6.00,3.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',10335,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3171760,4.00,3.00,2.00,6.00,5.00,6.25,2.00,3.00,5.00,319,NULL,NULL,'KOBRASOL','S JOSé','SC',14682,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171779,7.00,4.00,5.00,6.00,4.00,4.75,3.00,6.00,7.00,216,NULL,215,'CAMOBI','STA MARIA','RS',7476,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3171787,2.00,3.00,3.00,3.00,4.00,5.50,1.00,5.00,3.00,103,NULL,NULL,'REC DOS EUCALIPTOS','MAIRINQUE','SP',16139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171809,5.00,5.00,3.00,3.00,3.00,NULL,3.00,5.00,5.00,201,NULL,211,'JARDIM ITÁLIA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3171817,1.00,1.00,1.00,2.00,3.00,NULL,3.00,4.00,3.00,201,NULL,207,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171825,2.00,0.00,3.00,6.00,3.00,NULL,1.00,3.00,3.00,340,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171833,5.00,8.00,2.00,8.00,9.00,7.25,5.00,6.00,6.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171841,3.00,4.00,2.00,1.00,5.00,NULL,1.00,1.00,1.00,415,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171850,2.00,5.00,3.00,7.00,7.00,6.50,2.00,6.00,4.00,340,NULL,NULL,'VILA RAU','JARAGUá SUL','SC',10443,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3171868,4.00,1.00,2.00,5.00,4.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'CENTRO','STO AUGUSTO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3171876,7.00,6.00,6.00,9.00,6.00,6.00,4.00,9.00,6.00,214,NULL,213,'MARIA GORETTI','CHAPECó','SC',2180,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3171892,4.00,4.00,1.00,4.00,5.00,6.25,3.00,5.00,3.00,420,NULL,NULL,'ST GERAL LOMBA ALTA','ALFREDO WAGNER','SC',14665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171906,4.00,5.00,3.00,5.00,3.00,NULL,1.00,3.00,4.00,203,NULL,201,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3171914,7.00,8.00,6.00,7.00,5.00,5.75,6.00,7.00,3.00,201,NULL,212,'CóRREGO GRANDE','FLORIANóPOLIS','SC',3263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171922,4.00,2.00,3.00,4.00,4.00,5.00,4.00,3.00,4.00,207,NULL,201,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',15758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171930,1.00,2.00,2.00,2.00,3.00,NULL,2.00,3.00,2.00,317,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171949,4.00,5.00,4.00,7.00,5.00,3.00,5.00,5.00,4.00,212,NULL,207,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171957,6.00,7.00,7.00,7.00,7.00,6.00,3.00,7.00,5.00,207,NULL,201,'GLóRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3171965,5.00,6.00,5.00,5.00,5.00,4.00,3.00,4.00,3.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',11611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171973,2.00,5.00,4.00,7.00,4.00,5.25,3.00,7.00,4.00,450,NULL,NULL,'CENTRO','CAMPINAS','SP',9762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3171981,2.00,3.00,2.00,3.00,3.00,NULL,2.00,4.00,5.00,319,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3171990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3172007,7.00,7.00,2.00,9.00,3.00,NULL,3.00,6.00,6.00,420,NULL,NULL,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3172023,5.00,3.00,5.00,4.00,6.00,6.25,5.00,6.00,5.00,415,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',8844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172031,5.00,5.00,7.00,6.00,5.00,5.75,4.00,6.00,5.00,214,NULL,238,'PANTANAL','FLORIANóPOLIS','SC',7574,263,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172040,7.00,7.00,4.00,6.00,7.00,5.25,4.00,9.00,5.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',4447,204,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172058,8.00,8.00,8.00,8.00,5.00,5.25,5.00,7.00,7.00,214,NULL,212,'ASA SUL','BRASíLIA','DF',1167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172066,3.00,2.00,3.00,1.00,1.00,NULL,1.00,5.00,2.00,103,NULL,NULL,'CENTRO','NONOAI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3172074,5.00,2.00,2.00,6.00,4.00,5.25,2.00,4.00,3.00,340,NULL,NULL,'KOBRASOL','S JOSé','SC',15020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172082,5.00,4.00,2.00,4.00,5.00,5.25,2.00,5.00,2.00,340,NULL,NULL,'CENTRO','ARMAZéM','SC',15508,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3172104,3.00,3.00,2.00,0.00,3.00,NULL,2.00,4.00,2.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172112,5.00,3.00,2.00,1.00,4.00,5.75,2.00,8.00,2.00,309,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',15721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172120,5.00,4.00,2.00,6.00,4.00,4.50,3.00,2.00,2.00,301,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',16492,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172147,5.00,3.00,5.00,6.00,6.00,4.50,4.00,6.00,7.00,108,NULL,NULL,'LAGO SUL BRASÍLIA','LG SUL','DF',6856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172155,5.00,4.00,3.00,7.00,4.00,4.00,2.00,3.00,5.00,444,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',13647,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IGUATEMI','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3172171,6.00,8.00,6.00,9.00,8.00,5.00,4.00,7.00,7.00,207,NULL,201,'FAZENDA','ITAJAí','SC',1874,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3172180,5.00,3.00,4.00,5.00,5.00,5.50,4.00,4.00,4.00,207,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172210,1.00,5.00,1.00,3.00,4.00,NULL,3.00,4.00,2.00,203,NULL,202,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172228,5.00,8.00,3.00,8.00,6.00,5.50,0.00,7.00,4.00,453,NULL,NULL,'SãO CRISTóVãO','CRICIúMA','SC',8213,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3172236,6.00,5.00,7.00,5.00,4.00,4.00,6.00,9.00,7.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',3796,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3172244,2.00,1.00,3.00,2.00,3.00,NULL,1.00,5.00,3.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172260,2.00,5.00,1.00,5.00,4.00,5.25,2.00,5.00,3.00,102,NULL,NULL,'FERROVIA','LAGES','SC',15479,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3172279,3.00,1.00,3.00,1.00,3.00,NULL,3.00,3.00,5.00,444,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172287,2.00,0.00,3.00,4.00,3.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','SALETE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3172295,5.00,4.00,4.00,5.00,7.00,5.00,4.00,4.00,6.00,9,NULL,NULL,'SERRARIA','S JOSé','SC',9423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172317,5.00,7.00,5.00,2.00,6.00,5.50,2.00,6.00,6.00,220,NULL,202,'CON CON','SOMBRIO','SC',7782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172325,6.00,7.00,4.00,9.00,6.00,6.25,6.00,8.00,5.00,5,NULL,NULL,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',2815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172341,7.00,6.00,3.00,8.00,6.00,4.50,3.00,7.00,6.00,201,NULL,213,'REAL PARQUE','S JOSé','SC',6315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172350,2.00,7.00,2.00,6.00,4.00,5.25,2.00,6.00,2.00,329,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',13622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172368,3.00,2.00,2.00,1.00,4.00,NULL,1.00,3.00,5.00,208,NULL,238,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172376,8.00,7.00,4.00,9.00,8.00,5.25,5.00,8.00,7.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172384,3.00,3.00,4.00,3.00,5.00,5.75,3.00,3.00,4.00,415,NULL,NULL,'CAPITAIS','TIMBó','SC',15732,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3172392,4.00,8.00,3.00,6.00,6.00,6.25,2.00,6.00,6.00,3,NULL,NULL,'TESTO ALTO','POMERODE','SC',7082,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3172406,6.00,7.00,3.00,7.00,4.00,5.25,3.00,5.00,7.00,101,NULL,NULL,'PANTANO DO SUL','FLORIANóPOLIS','SC',6391,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172414,6.00,5.00,2.00,4.00,6.00,5.75,4.00,7.00,2.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',10080,2225,NULL,NULL,NULL,NULL,NULL,2,4),(16,3172422,5.00,4.00,2.00,4.00,5.00,4.00,4.00,5.00,4.00,102,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',13272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172430,4.00,5.00,4.00,7.00,5.00,5.75,3.00,4.00,2.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172449,6.00,6.00,2.00,3.00,7.00,5.25,4.00,6.00,5.00,502,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',9727,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3172457,1.00,4.00,1.00,5.00,4.00,NULL,1.00,3.00,4.00,415,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172465,5.00,4.00,2.00,8.00,3.00,NULL,3.00,2.00,2.00,9,NULL,NULL,'EDGAR TRANCOSO','EUNáPOLIS','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3172473,2.00,7.00,3.00,2.00,6.00,NULL,0.00,3.00,2.00,329,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172481,3.00,5.00,2.00,5.00,3.00,NULL,3.00,2.00,2.00,303,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172490,4.00,4.00,1.00,5.00,3.00,NULL,1.00,3.00,2.00,404,NULL,NULL,'CENTRO','STO AUGUSTO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3172511,5.00,5.00,4.00,7.00,4.00,4.75,3.00,6.00,4.00,316,NULL,NULL,'CENTRO','UMUARAMA','PR',10955,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3172520,2.00,5.00,4.00,4.00,3.00,NULL,3.00,2.00,2.00,319,NULL,NULL,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3172538,3.00,4.00,2.00,6.00,2.00,NULL,3.00,4.00,1.00,2,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172546,4.00,3.00,1.00,4.00,1.00,NULL,2.00,4.00,4.00,444,NULL,NULL,'SANTOS DUMONT','PARANAVAí','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172554,4.00,6.00,4.00,5.00,6.00,5.75,5.00,4.00,4.00,214,NULL,233,'CENTRO','FLORIANóPOLIS','SC',8381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172562,6.00,5.00,6.00,5.00,3.00,NULL,3.00,7.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3172570,6.00,7.00,4.00,2.00,6.00,6.00,3.00,8.00,6.00,316,NULL,NULL,'URUSSANGUINHA','ARARANGUá','SC',7198,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3172589,5.00,4.00,3.00,6.00,8.00,5.00,3.00,7.00,2.00,404,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',9337,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172600,4.00,5.00,2.00,2.00,5.00,5.25,2.00,8.00,3.00,426,NULL,428,'PASSO DA AREIA','CEL FREITAS','SC',14021,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3172619,6.00,4.00,4.00,4.00,4.00,4.25,3.00,4.00,4.00,202,NULL,214,'IPIRANGA','S JOSé','SC',13898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172643,4.00,5.00,4.00,8.00,4.00,7.25,1.00,4.00,3.00,303,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172651,4.00,3.00,3.00,3.00,5.00,5.75,3.00,4.00,4.00,102,NULL,NULL,'INTERIOR','S JOSé CEDRO','SC',15397,281,NULL,NULL,NULL,NULL,NULL,4,4),(16,3172660,7.00,5.00,4.00,4.00,5.00,6.75,4.00,6.00,2.00,319,NULL,NULL,'JARDIM ESTOURIL','OURINHOS','SP',10627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172678,5.00,5.00,2.00,6.00,6.00,5.50,1.00,6.00,3.00,104,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',12245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172686,6.00,4.00,5.00,3.00,6.00,6.25,2.00,4.00,3.00,444,NULL,NULL,'BARREIROS','S JOSé','SC',13034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172694,2.00,2.00,3.00,2.00,1.00,NULL,1.00,4.00,3.00,319,NULL,NULL,'GORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172708,5.00,5.00,2.00,7.00,2.00,NULL,2.00,6.00,4.00,425,NULL,426,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172716,3.00,4.00,1.00,6.00,5.00,4.00,2.00,6.00,4.00,216,NULL,NULL,'RIO MAINA','CRICIúMA','SC',13984,461,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3172732,7.00,7.00,6.00,9.00,9.00,5.75,2.00,9.00,6.00,415,NULL,NULL,'CENTRO','POMERODE','SC',1835,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3172740,4.00,4.00,5.00,2.00,3.00,NULL,3.00,6.00,3.00,201,NULL,212,'CENTRO','MAL CâNDIDO RONDON','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172759,5.00,8.00,4.00,8.00,7.00,4.25,2.00,7.00,8.00,103,NULL,NULL,'CENTRO','CRUZEIRO OESTE','PR',4427,1388,NULL,NULL,NULL,NULL,NULL,2,8),(16,3172767,4.00,2.00,2.00,3.00,1.00,NULL,3.00,4.00,4.00,201,NULL,212,'CENTRO','SALTINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3172775,2.00,4.00,2.00,6.00,5.00,NULL,1.00,3.00,3.00,420,NULL,NULL,'CENTRO','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3172783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3172791,7.00,3.00,2.00,5.00,6.00,5.50,4.00,4.00,4.00,207,NULL,201,'APARECIDA','SANTOS','SP',10927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172805,6.00,7.00,7.00,7.00,6.00,5.50,2.00,9.00,7.00,303,NULL,NULL,'JOSE MENDES','FLORIANóPOLIS','SC',3358,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172813,5.00,6.00,6.00,8.00,6.00,5.75,4.00,6.00,5.00,5,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',4812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172821,5.00,2.00,1.00,0.00,2.00,NULL,2.00,4.00,2.00,216,NULL,201,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172830,7.00,8.00,3.00,6.00,7.00,4.75,7.00,8.00,8.00,319,NULL,NULL,'TRINDANDE','FLORIANóPOLIS','SC',3040,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172848,3.00,5.00,3.00,2.00,1.00,NULL,4.00,4.00,3.00,421,NULL,424,'CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3172856,3.00,8.00,1.00,9.00,5.00,6.00,2.00,8.00,5.00,216,NULL,203,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3172864,2.00,3.00,2.00,5.00,3.00,NULL,2.00,4.00,4.00,108,NULL,NULL,'RIO BONITO','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3172872,4.00,3.00,3.00,3.00,3.00,NULL,3.00,5.00,3.00,223,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172880,4.00,2.00,4.00,7.00,6.00,6.00,2.00,7.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',11724,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172899,3.00,3.00,3.00,3.00,2.00,NULL,1.00,1.00,2.00,303,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172902,7.00,6.00,4.00,7.00,5.00,7.25,4.00,4.00,5.00,102,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',6336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172910,3.00,3.00,3.00,0.00,3.00,NULL,5.00,3.00,3.00,444,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172929,6.00,6.00,4.00,6.00,7.00,6.25,4.00,5.00,5.00,319,NULL,NULL,'FLORESTA','S JOSé','SC',8008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3172945,4.00,5.00,7.00,2.00,5.00,4.25,4.00,4.00,5.00,201,NULL,213,'JARDIM PAULISTA','RIBEIRãO PRETO','SP',10186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172953,8.00,7.00,4.00,6.00,8.00,4.25,3.00,6.00,4.00,207,NULL,212,'IMPERIAL','CONCóRDIA','SC',6057,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3172961,2.00,4.00,1.00,5.00,6.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3172988,2.00,4.00,1.00,5.00,5.00,NULL,1.00,3.00,4.00,201,NULL,212,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3172996,7.00,7.00,9.00,9.00,7.00,6.00,5.00,7.00,7.00,208,NULL,238,'TRINDADE','FLORIANóPOLIS','SC',1284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173003,4.00,6.00,4.00,5.00,4.00,4.00,3.00,2.00,5.00,339,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',15272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173011,7.00,7.00,5.00,7.00,6.00,7.00,3.00,8.00,6.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',3163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173020,4.00,5.00,4.00,4.00,4.00,5.75,1.00,3.00,2.00,319,NULL,NULL,'LINHA CORDILHEIRA','ITAPIRANGA','SC',15725,343,NULL,NULL,NULL,NULL,NULL,4,4),(16,3173046,2.00,6.00,4.00,7.00,7.00,6.00,5.00,7.00,5.00,333,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',5949,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(16,3173062,5.00,6.00,3.00,9.00,6.00,5.25,3.00,6.00,2.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173070,4.00,3.00,6.00,4.00,6.00,6.25,2.00,4.00,4.00,103,NULL,NULL,'ARIRIú','PALHOçA','SC',11394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173089,4.00,7.00,1.00,6.00,5.00,5.50,6.00,7.00,3.00,212,NULL,211,'RIO TAVARES','FLORIANóPOLIS','SC',9527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173097,3.00,3.00,2.00,8.00,3.00,NULL,1.00,6.00,5.00,319,NULL,NULL,'REVOREDO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173100,8.00,6.00,4.00,8.00,6.00,5.50,3.00,8.00,6.00,304,NULL,NULL,'MAR GROSSO','LAGUNA','SC',3353,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3173119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CENTRO','CIDADE GAúCHA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3173135,5.00,3.00,4.00,5.00,4.00,4.25,3.00,5.00,6.00,101,NULL,NULL,'CAMPINAS','S JOSé','SC',12342,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'RIO BRANCO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3173160,6.00,4.00,3.00,5.00,5.00,5.25,3.00,6.00,4.00,103,NULL,NULL,'PADRE ANTONIO','MARAVILHA','SC',9926,2210,NULL,NULL,NULL,NULL,NULL,2,4),(16,3173178,6.00,6.00,6.00,4.00,7.00,6.00,3.00,7.00,6.00,301,NULL,NULL,'JARDIM SILVANA','IçARA','SC',5179,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3173186,3.00,5.00,3.00,6.00,7.00,7.00,4.00,8.00,3.00,415,NULL,NULL,'VILA NOVA','BLUMENAU','SC',7987,214,NULL,NULL,NULL,NULL,NULL,4,2),(16,3173194,9.00,5.00,4.00,8.00,7.00,5.00,6.00,8.00,7.00,212,NULL,213,'CENTRO','FLORIANóPOLIS','SC',2162,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173208,3.00,3.00,3.00,6.00,1.00,NULL,1.00,0.00,1.00,301,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'SAO GERALDO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3173224,4.00,6.00,3.00,6.00,4.00,5.00,4.00,6.00,4.00,234,NULL,NULL,'AREIAS','S JOSé','SC',10488,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173232,4.00,6.00,6.00,7.00,5.00,5.75,3.00,8.00,7.00,215,NULL,216,'PARQUE MANDAQUI','S PAULO','SP',5007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173240,6.00,7.00,5.00,7.00,5.00,5.00,3.00,8.00,7.00,304,NULL,NULL,'MICHEL','CRICIúMA','SC',4238,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3173259,6.00,2.00,3.00,5.00,3.00,NULL,0.00,5.00,4.00,2,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(16,3173267,4.00,5.00,3.00,9.00,7.00,6.50,4.00,5.00,3.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173283,3.00,4.00,4.00,2.00,3.00,NULL,3.00,4.00,3.00,207,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173291,4.00,7.00,2.00,6.00,1.00,NULL,1.00,6.00,4.00,331,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173305,5.00,3.00,5.00,9.00,5.00,6.75,3.00,5.00,4.00,203,NULL,214,'VILA NOVA','BLUMENAU','SC',8259,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3173313,7.00,7.00,6.00,5.00,8.00,6.25,6.00,9.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173321,4.00,7.00,3.00,7.00,7.00,7.00,4.00,3.00,4.00,308,NULL,NULL,'BREJARU','PALHOçA','SC',8890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173330,6.00,6.00,5.00,9.00,7.00,5.00,5.00,4.00,7.00,103,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',3838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173348,5.00,5.00,5.00,7.00,7.00,6.75,2.00,7.00,5.00,211,NULL,216,'IRIRIú','JOINVILLE','SC',6139,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3173356,2.00,4.00,2.00,2.00,4.00,5.00,3.00,4.00,5.00,5,NULL,NULL,'CENTRO','PALMA SOLA','SC',16488,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3173364,4.00,1.00,1.00,6.00,4.00,NULL,2.00,5.00,2.00,101,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173372,5.00,4.00,7.00,6.00,3.00,NULL,4.00,2.00,7.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173380,4.00,5.00,4.00,6.00,5.00,5.00,4.00,5.00,3.00,225,NULL,NULL,'BARRA DO ARIRIú','PALHOçA','SC',11916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173399,4.00,4.00,3.00,5.00,6.00,5.50,2.00,6.00,5.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173402,4.00,4.00,2.00,7.00,3.00,NULL,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3173410,3.00,2.00,2.00,3.00,3.00,NULL,4.00,4.00,4.00,234,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173429,0.00,0.00,1.00,0.00,1.00,NULL,1.00,3.00,3.00,450,NULL,NULL,'CENTRO','NOVA LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173437,2.00,3.00,4.00,4.00,5.00,5.25,1.00,4.00,4.00,304,NULL,NULL,'INTERIOR','TREZE TíLIAS','SC',16156,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3173445,3.00,5.00,2.00,6.00,4.00,4.00,1.00,1.00,3.00,303,NULL,NULL,'BARREIROS','SAO JOSE','SC',16686,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173453,8.00,6.00,3.00,4.00,6.00,6.00,4.00,8.00,4.00,207,NULL,201,'CENTRO','VERê','PR',7260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173461,5.00,6.00,4.00,3.00,3.00,NULL,4.00,7.00,6.00,201,NULL,202,'PAPICU','FORTALEZA','CE',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173470,1.00,2.00,1.00,3.00,2.00,NULL,1.00,4.00,4.00,317,NULL,NULL,'ICARAI','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3173488,4.00,5.00,2.00,8.00,6.00,4.50,3.00,5.00,6.00,3,NULL,NULL,'CENTRO','SUMARé','SP',9739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3173500,4.00,0.00,1.00,2.00,6.00,6.00,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','JOAçABA','SC',15331,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3173518,1.00,3.00,2.00,4.00,2.00,NULL,4.00,2.00,2.00,3,NULL,NULL,'ARMAçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173526,1.00,3.00,1.00,3.00,3.00,NULL,2.00,4.00,3.00,207,NULL,211,'VILA NOVA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAGUAçU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3173550,4.00,4.00,2.00,2.00,2.00,NULL,3.00,3.00,3.00,203,NULL,202,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173569,8.00,8.00,5.00,7.00,6.00,5.00,4.00,7.00,5.00,302,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',3274,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173593,4.00,4.00,3.00,6.00,3.00,NULL,1.00,4.00,3.00,316,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173607,5.00,4.00,2.00,4.00,5.00,5.75,4.00,4.00,5.00,103,NULL,NULL,'SAGUAçú','JOINVILLE','SC',11992,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3173615,2.00,2.00,2.00,2.00,2.00,NULL,3.00,4.00,0.00,108,NULL,NULL,'PALMEIRAS I','DRACENA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3173623,4.00,6.00,4.00,2.00,4.00,6.75,3.00,6.00,5.00,214,NULL,207,'CENTRO','TUBARãO','SC',11620,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3173631,4.00,5.00,2.00,4.00,2.00,NULL,2.00,5.00,3.00,420,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173640,2.00,4.00,1.00,3.00,3.00,NULL,1.00,3.00,3.00,502,NULL,NULL,'VILA NOVA','TRêS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3173658,4.00,3.00,4.00,6.00,5.00,4.50,3.00,4.00,3.00,316,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',14486,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173666,4.00,6.00,3.00,6.00,3.00,NULL,3.00,7.00,1.00,301,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173674,6.00,6.00,6.00,5.00,5.00,4.50,5.00,7.00,6.00,211,NULL,201,'CENTRO','CONCóRDIA','SC',6076,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3173682,4.00,1.00,2.00,0.00,2.00,NULL,3.00,3.00,3.00,207,NULL,215,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173690,8.00,7.00,8.00,8.00,7.00,6.25,4.00,9.00,8.00,340,NULL,NULL,'SETOR JAO','GOIâNIA','GO',674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173704,7.00,5.00,9.00,8.00,8.00,5.25,5.00,6.00,6.00,108,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',2165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173712,6.00,5.00,2.00,5.00,5.00,7.00,4.00,7.00,5.00,104,NULL,NULL,'SUMERé','RIO SUL','SC',7855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173720,2.00,4.00,4.00,0.00,3.00,NULL,1.00,4.00,4.00,104,NULL,NULL,'PEREQUê','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3173747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'SUMARé','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3173755,4.00,5.00,4.00,6.00,7.00,6.50,3.00,7.00,4.00,319,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',8269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173771,4.00,4.00,3.00,4.00,5.00,4.50,4.00,4.00,3.00,238,NULL,208,'BARREIROS','S JOSé','SC',14576,470,NULL,487,NULL,NULL,NULL,4,1),(16,3173780,5.00,3.00,4.00,7.00,7.00,6.75,6.00,6.00,6.00,103,NULL,NULL,'CENTRO NORTE','DOIS VIZINHOS','PR',5478,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3173798,3.00,1.00,3.00,4.00,2.00,NULL,3.00,2.00,3.00,339,NULL,NULL,'SAO LUCAS','VIAMãO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173801,6.00,6.00,5.00,7.00,6.00,5.25,4.00,8.00,4.00,201,NULL,203,'JARDIM ELDORADO','PALHOçA','SC',5355,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173810,6.00,4.00,2.00,7.00,4.00,4.50,2.00,5.00,3.00,310,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12788,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173828,4.00,6.00,2.00,6.00,4.00,5.25,4.00,5.00,4.00,319,NULL,NULL,'CENTRO','XAXIM','SC',10320,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3173836,7.00,5.00,5.00,7.00,7.00,4.75,5.00,8.00,8.00,103,NULL,NULL,'GOIABEIRAS','CUIABá','MT',2897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173844,5.00,6.00,4.00,7.00,6.00,6.25,4.00,6.00,3.00,319,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',7457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173852,3.00,4.00,3.00,6.00,4.00,5.50,1.00,8.00,2.00,326,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',14445,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173860,6.00,4.00,3.00,7.00,5.00,5.25,2.00,4.00,3.00,415,NULL,NULL,'JARDIM IPIRANGA','PTO ALEGRE','RS',12658,329,NULL,NULL,NULL,NULL,NULL,2,5),(16,3173887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CENTRO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3173895,5.00,0.00,4.00,6.00,3.00,NULL,4.00,5.00,4.00,104,NULL,NULL,'DAS NAçõES','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3173909,6.00,3.00,4.00,6.00,5.00,5.00,6.00,5.00,6.00,5,NULL,NULL,'CENTRO','STA MARIA','RS',7864,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173917,5.00,3.00,2.00,8.00,7.00,6.50,5.00,6.00,3.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173925,3.00,2.00,3.00,6.00,4.00,4.50,3.00,3.00,3.00,333,NULL,NULL,'CENTRO','BARRA VELHA','SC',16254,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3173941,4.00,5.00,3.00,6.00,5.00,5.50,2.00,5.00,2.00,451,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',13378,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173950,4.00,4.00,4.00,8.00,6.00,5.00,1.00,3.00,4.00,331,NULL,NULL,'GRANJA JULIETA','S PAULO','SP',13237,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3173968,7.00,5.00,5.00,4.00,7.00,5.25,5.00,8.00,5.00,5,NULL,NULL,'LIBERDADE','S PAULO','SP',4992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3173976,3.00,4.00,2.00,6.00,5.00,5.00,4.00,4.00,2.00,104,NULL,NULL,'STA CRUZ DOS PINHAIS','VíTOR MEIRELES','SC',15068,444,NULL,NULL,NULL,NULL,NULL,2,1),(16,3173984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'PARQUE INDUSTRIAL','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3173992,8.00,7.00,8.00,8.00,8.00,5.50,6.00,8.00,7.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',714,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3174000,9.00,5.00,8.00,4.00,7.00,5.50,7.00,8.00,7.00,103,NULL,NULL,'MANDAQUI','S PAULO','SP',1215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174018,6.00,5.00,4.00,7.00,6.00,5.25,3.00,5.00,2.00,203,NULL,214,'JARDIM KIRI','APUCARANA','PR',9811,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3174026,3.00,4.00,4.00,7.00,7.00,4.50,1.00,4.00,3.00,302,NULL,NULL,'SãO SEBASTIãO','PALHOçA','SC',13459,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174034,5.00,5.00,5.00,9.00,8.00,7.50,2.00,8.00,6.00,212,NULL,208,'CONJ RIVIERA','GOIâNIA','GO',3715,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174050,2.00,4.00,1.00,8.00,6.00,5.50,4.00,8.00,3.00,5,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',10404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174069,5.00,8.00,5.00,6.00,7.00,5.50,4.00,8.00,4.00,202,NULL,238,'ANA MARIA','CRICIúMA','SC',4922,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3174093,2.00,7.00,6.00,8.00,5.00,5.75,3.00,7.00,3.00,304,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174107,6.00,8.00,3.00,8.00,8.00,7.00,5.00,7.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174115,3.00,2.00,2.00,7.00,4.00,5.50,3.00,5.00,1.00,207,NULL,212,'BESENELLO','NOVA TRENTO','SC',14806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174158,6.00,4.00,6.00,8.00,7.00,6.25,5.00,3.00,1.00,425,NULL,429,'VARGEM GRANDE','FLORIANóPOLIS','SC',7698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174174,4.00,4.00,5.00,6.00,3.00,NULL,2.00,6.00,3.00,316,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174182,8.00,8.00,8.00,8.00,7.00,7.25,7.00,8.00,8.00,103,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174220,5.00,4.00,2.00,3.00,6.00,5.00,3.00,6.00,3.00,444,NULL,NULL,'PERDIZES','S PAULO','SP',14467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174239,0.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PALHOçA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3174247,2.00,6.00,3.00,6.00,7.00,6.00,4.00,6.00,6.00,212,NULL,214,'FAZENDA','ITAJAí','SC',8516,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3174255,6.00,5.00,4.00,7.00,6.00,5.00,2.00,4.00,4.00,3,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',8971,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174263,3.00,3.00,3.00,5.00,4.00,5.50,3.00,5.00,4.00,225,NULL,NULL,'BELA VISTA','S JOSé','SC',15006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174271,5.00,4.00,2.00,3.00,7.00,4.25,2.00,6.00,5.00,302,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',13580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174301,3.00,3.00,3.00,6.00,4.00,5.00,3.00,3.00,2.00,108,NULL,NULL,'PARQUE SANTA CANDIDA','ARARAS','SP',15864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174310,7.00,8.00,9.00,9.00,7.00,6.00,5.00,9.00,8.00,214,NULL,213,'SOL NASCENTE','GOIâNIA','GO',578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174328,3.00,1.00,1.00,3.00,5.00,NULL,2.00,5.00,3.00,211,NULL,215,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174336,5.00,5.00,4.00,5.00,3.00,NULL,3.00,4.00,3.00,233,NULL,201,'JARDIM ÁUREA','MOGI MIRIM','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174344,5.00,6.00,3.00,9.00,5.00,4.50,2.00,7.00,6.00,5,NULL,NULL,'JARDIM ATLANTICO','S JOSé','SC',6852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174360,6.00,6.00,6.00,7.00,7.00,5.75,5.00,4.00,7.00,202,NULL,213,'PONTA DAS CANAS','FLORIANóPOLIS','SC',3807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174395,7.00,7.00,4.00,6.00,6.00,5.75,6.00,7.00,6.00,216,NULL,233,'COMERCIARIO','CRICIúMA','SC',4297,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3174409,4.00,4.00,1.00,7.00,5.00,4.25,2.00,5.00,3.00,333,NULL,NULL,'IGRA','TORRES','RS',12843,106,NULL,NULL,NULL,NULL,NULL,2,5),(16,3174417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','ITAPEJARA D OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3174425,6.00,6.00,3.00,7.00,8.00,6.75,2.00,8.00,5.00,5,NULL,NULL,'JARDIM AMERICA','GOIâNIA','GO',5062,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174433,4.00,4.00,1.00,7.00,6.00,6.25,1.00,5.00,5.00,5,NULL,NULL,'CONDE D EU','ORLEANS','SC',11788,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3174441,2.00,2.00,2.00,5.00,2.00,NULL,2.00,0.00,3.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174450,3.00,2.00,4.00,2.00,4.00,NULL,1.00,2.00,4.00,208,NULL,215,'BARRA DO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174468,7.00,5.00,3.00,5.00,3.00,NULL,2.00,8.00,6.00,301,NULL,NULL,'CENTRO','DESCANSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3174476,3.00,0.00,3.00,6.00,1.00,NULL,1.00,2.00,2.00,302,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174492,7.00,7.00,4.00,7.00,6.00,5.75,5.00,5.00,5.00,444,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174506,5.00,3.00,3.00,9.00,7.00,5.75,5.00,2.00,3.00,103,NULL,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174522,1.00,3.00,2.00,3.00,2.00,NULL,3.00,2.00,3.00,103,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174530,2.00,1.00,3.00,8.00,3.00,NULL,2.00,2.00,2.00,427,NULL,425,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3174549,0.00,3.00,2.00,2.00,4.00,NULL,2.00,2.00,3.00,316,NULL,NULL,'SãO LUIZ','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174557,3.00,3.00,2.00,2.00,3.00,NULL,2.00,3.00,2.00,101,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174565,4.00,6.00,5.00,9.00,5.00,5.50,3.00,6.00,4.00,501,NULL,NULL,'LAGOA DA CONCEIçãO','PTO ALEGRE','RS',7140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','LAPA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3174581,2.00,3.00,3.00,7.00,5.00,5.25,3.00,3.00,1.00,304,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',15590,160,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174590,4.00,5.00,2.00,6.00,5.00,6.50,3.00,7.00,1.00,333,NULL,NULL,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',12602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174603,2.00,5.00,4.00,3.00,4.00,5.00,1.00,5.00,2.00,317,NULL,NULL,'PROMORAR','FLORIANóPOLIS','SC',16595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174611,5.00,6.00,5.00,7.00,5.00,4.50,3.00,7.00,5.00,5,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',6092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174620,3.00,3.00,1.00,8.00,3.00,NULL,3.00,3.00,3.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174638,7.00,2.00,2.00,2.00,6.00,5.25,4.00,4.00,2.00,450,NULL,NULL,'SANTA CRUZ','RIBEIRãO PRETO','SP',15316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174646,1.00,1.00,3.00,2.00,3.00,NULL,2.00,0.00,2.00,208,NULL,202,'JARDIN ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174654,0.00,4.00,2.00,1.00,3.00,NULL,3.00,2.00,5.00,303,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174662,6.00,5.00,5.00,8.00,7.00,5.25,4.00,5.00,7.00,103,NULL,NULL,'VILA LARSEN I','LONDRINA','PR',5878,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3174670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'IRIRIú','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3174689,5.00,3.00,2.00,7.00,5.00,5.00,3.00,2.00,6.00,103,NULL,NULL,'AEROPORTO','LONDRINA','PR',12564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174697,8.00,6.00,9.00,8.00,7.00,7.50,2.00,7.00,5.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',2128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174700,3.00,2.00,4.00,6.00,5.00,7.00,2.00,6.00,2.00,450,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',14051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174719,6.00,5.00,1.00,7.00,8.00,4.50,4.00,6.00,3.00,501,NULL,NULL,'CENTRO','LEBON RéGIS','SC',8974,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3174727,5.00,5.00,6.00,6.00,5.00,4.25,4.00,5.00,4.00,304,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',9383,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3174735,3.00,2.00,1.00,2.00,5.00,NULL,1.00,7.00,1.00,308,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174743,1.00,4.00,2.00,2.00,4.00,NULL,3.00,3.00,2.00,319,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174751,3.00,7.00,4.00,4.00,6.00,6.00,2.00,7.00,4.00,301,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',9928,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174778,4.00,4.00,3.00,2.00,3.00,NULL,4.00,1.00,3.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174786,8.00,7.00,4.00,7.00,5.00,5.75,4.00,8.00,7.00,215,NULL,233,'SAGUAçU','JOINVILLE','SC',3901,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3174794,6.00,7.00,5.00,8.00,8.00,6.25,3.00,7.00,6.00,207,NULL,201,'CIDADE ALTA','ARARANGUá','SC',3036,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3174808,1.00,4.00,3.00,4.00,3.00,NULL,2.00,2.00,4.00,207,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174816,3.00,7.00,3.00,6.00,3.00,NULL,2.00,5.00,4.00,104,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174824,3.00,7.00,5.00,3.00,4.00,4.00,1.00,7.00,5.00,319,NULL,NULL,'PINHEIROS','PATO BRANCO','PR',12780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174859,7.00,8.00,6.00,7.00,5.00,7.75,4.00,7.00,7.00,415,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',1930,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174875,4.00,6.00,2.00,7.00,6.00,5.00,2.00,8.00,3.00,310,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',9747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174883,7.00,6.00,4.00,5.00,5.00,6.50,4.00,9.00,6.00,211,NULL,215,'CENTRO','S CARLOS','SC',5654,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3174891,3.00,3.00,2.00,2.00,4.00,NULL,1.00,1.00,4.00,451,NULL,NULL,'FIGUEIRA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3174905,5.00,8.00,7.00,8.00,8.00,6.50,2.00,6.00,6.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174921,3.00,6.00,2.00,1.00,3.00,NULL,3.00,2.00,1.00,317,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174930,2.00,5.00,4.00,9.00,7.00,4.25,3.00,4.00,4.00,429,NULL,424,'ALTO ARIRIU','PALHOçA','SC',10341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174948,7.00,7.00,5.00,4.00,4.00,5.75,4.00,5.00,3.00,301,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',9852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174972,4.00,6.00,3.00,7.00,6.00,5.50,2.00,8.00,5.00,103,NULL,NULL,'SANTA ROSA II','CUIABá','MT',7049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3174980,5.00,3.00,2.00,9.00,5.00,5.75,2.00,4.00,4.00,102,NULL,NULL,'CAMPINAS','S JOSé','SC',11248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3174999,7.00,8.00,7.00,8.00,7.00,5.25,4.00,8.00,8.00,201,NULL,212,'CENTRO','CANOINHAS','SC',1081,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3175006,5.00,6.00,4.00,6.00,3.00,NULL,4.00,6.00,5.00,318,NULL,NULL,'SANTA CECILIA','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3175014,2.00,3.00,1.00,2.00,4.00,NULL,2.00,5.00,3.00,340,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175022,4.00,3.00,2.00,7.00,5.00,4.00,4.00,5.00,5.00,340,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',11211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175030,3.00,2.00,2.00,2.00,2.00,NULL,2.00,4.00,1.00,207,NULL,212,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3175049,8.00,7.00,6.00,8.00,7.00,5.25,6.00,7.00,7.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',1250,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3175057,4.00,4.00,1.00,6.00,4.00,6.50,3.00,5.00,3.00,420,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175081,5.00,1.00,4.00,9.00,7.00,6.50,2.00,7.00,4.00,203,NULL,201,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175103,3.00,5.00,2.00,4.00,3.00,NULL,1.00,4.00,0.00,423,NULL,421,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3175111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE JARDIM','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3175120,6.00,8.00,5.00,8.00,6.00,4.50,4.00,7.00,5.00,104,NULL,NULL,'CAMOBI','STA MARIA','RS',4391,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3175146,5.00,8.00,7.00,10.00,9.00,6.75,3.00,8.00,8.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175162,3.00,4.00,2.00,0.00,2.00,NULL,4.00,5.00,3.00,104,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175170,4.00,5.00,2.00,6.00,5.00,5.75,4.00,5.00,2.00,104,NULL,NULL,'CENTRO','LONTRAS','SC',13137,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3175200,2.00,1.00,1.00,2.00,2.00,NULL,0.00,0.00,2.00,102,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3175219,6.00,7.00,4.00,8.00,6.00,4.75,1.00,7.00,4.00,319,NULL,NULL,'CAMPINAS','S JOSé','SC',7655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175227,7.00,5.00,6.00,7.00,7.00,6.00,4.00,5.00,7.00,215,NULL,211,'CENTRO','FLORIANóPOLIS','SC',3691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3175235,5.00,7.00,6.00,7.00,7.00,5.00,6.00,8.00,6.00,220,NULL,238,'JOãO PAULO','FLORIANóPOLIS','SC',3068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175243,6.00,6.00,4.00,7.00,5.00,5.75,4.00,5.00,4.00,5,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',6721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175260,4.00,4.00,3.00,8.00,5.00,5.50,2.00,4.00,2.00,429,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175278,8.00,5.00,7.00,9.00,8.00,6.00,6.00,8.00,7.00,211,NULL,216,'SANTA TEREZINHA','S PAULO','SP',977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175286,6.00,8.00,4.00,7.00,6.00,6.00,2.00,8.00,4.00,340,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',5087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175294,4.00,3.00,4.00,3.00,4.00,5.25,3.00,3.00,2.00,451,NULL,NULL,'MARIA AP PEDROSSIAN','CPO GRANDE','MS',16524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3175308,5.00,6.00,4.00,8.00,6.00,5.75,3.00,8.00,4.00,208,NULL,238,'CARIANOS','FLORIANóPOLIS','SC',6006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3175324,4.00,6.00,4.00,6.00,8.00,6.25,2.00,7.00,1.00,340,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',8667,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3175332,7.00,6.00,7.00,8.00,4.00,7.75,3.00,7.00,3.00,212,NULL,201,'TESTE SALTO','BLUMENAU','SC',4148,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3175340,8.00,4.00,6.00,9.00,6.00,5.25,4.00,3.00,2.00,103,NULL,NULL,'IRIRIú','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3175359,1.00,3.00,2.00,3.00,4.00,NULL,0.00,2.00,1.00,108,NULL,NULL,'PINHEIRA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3175367,5.00,3.00,2.00,3.00,6.00,6.50,2.00,5.00,6.00,303,NULL,NULL,'PROENçA','CAMPINAS','SP',13238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175375,7.00,7.00,5.00,7.00,6.00,6.50,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',4735,1441,NULL,NULL,NULL,NULL,NULL,2,1),(16,3175383,6.00,3.00,5.00,4.00,7.00,6.25,1.00,3.00,6.00,5,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',11716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175391,8.00,4.00,2.00,7.00,5.00,5.00,4.00,3.00,4.00,207,NULL,238,'PâNTANO DO SUL','FLORIANóPOLIS','SC',9676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3175413,3.00,7.00,5.00,7.00,4.00,5.50,3.00,6.00,2.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',9381,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3175421,3.00,6.00,3.00,4.00,4.00,6.75,1.00,6.00,3.00,103,NULL,NULL,'CENTRO','CORUPá','SC',14381,2645,NULL,NULL,NULL,NULL,NULL,4,8),(16,3175430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BEIRAMAR CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3175448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3175456,4.00,5.00,1.00,6.00,3.00,NULL,3.00,4.00,3.00,301,NULL,NULL,'CENTRO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3175464,3.00,3.00,3.00,7.00,7.00,5.75,1.00,6.00,5.00,304,NULL,NULL,'MORRETES','ITAPEMA','SC',11509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175472,1.00,3.00,2.00,4.00,0.00,NULL,2.00,1.00,1.00,301,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3175480,2.00,2.00,3.00,3.00,3.00,NULL,0.00,5.00,1.00,328,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3175499,5.00,8.00,3.00,5.00,6.00,4.75,3.00,5.00,5.00,202,NULL,213,'TAPERA','FLORIANóPOLIS','SC',9460,341,NULL,NULL,NULL,NULL,NULL,2,1),(16,3175502,1.00,2.00,2.00,0.00,3.00,NULL,1.00,2.00,3.00,214,NULL,233,'DONA PAULA','LONTRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3175529,5.00,4.00,7.00,8.00,5.00,5.00,3.00,5.00,4.00,208,NULL,238,'COQUEIROS','FLORIANóPOLIS','SC',8325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175537,1.00,2.00,3.00,4.00,3.00,NULL,0.00,4.00,4.00,103,NULL,NULL,'JD BRASILIA','MOGI GUAçU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175545,8.00,5.00,8.00,8.00,6.00,6.50,4.00,6.00,8.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',1659,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3175553,1.00,2.00,3.00,8.00,6.00,NULL,0.00,1.00,1.00,108,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175561,7.00,8.00,6.00,8.00,8.00,7.50,6.00,7.00,8.00,103,NULL,NULL,'VILA NOVA JAGUARA','S PAULO','SP',554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175570,3.00,3.00,4.00,2.00,2.00,NULL,2.00,2.00,1.00,404,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175588,5.00,7.00,4.00,9.00,7.00,6.75,5.00,7.00,7.00,303,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',2655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175596,5.00,5.00,2.00,7.00,4.00,5.50,2.00,5.00,3.00,9,NULL,NULL,'BARRAGEM','RIO SUL','SC',13895,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3175600,7.00,5.00,6.00,8.00,5.00,5.25,6.00,4.00,5.00,211,NULL,201,'CENTRO','CANOAS','RS',4884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175626,7.00,7.00,8.00,8.00,8.00,6.50,5.00,9.00,8.00,103,NULL,NULL,'JARDIM DA SAúDE','S PAULO','SP',520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175634,3.00,1.00,2.00,3.00,3.00,NULL,1.00,1.00,2.00,220,NULL,203,'CANTA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3175642,4.00,5.00,6.00,6.00,6.00,5.50,3.00,6.00,5.00,303,NULL,NULL,'SATéLITE','S JOSé CAMPOS','SP',6232,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3175650,6.00,4.00,6.00,8.00,6.00,7.75,1.00,6.00,6.00,102,NULL,NULL,'RIBEIRAO','ITUPEVA','SP',6575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175669,3.00,5.00,2.00,9.00,6.00,3.25,4.00,7.00,5.00,415,NULL,NULL,'BELA VISTA','RIO CLARO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','STO ANTôNIO PINHAL','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3175685,2.00,3.00,2.00,2.00,3.00,NULL,2.00,4.00,2.00,108,NULL,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3175693,2.00,5.00,6.00,5.00,6.00,4.50,2.00,3.00,5.00,238,NULL,208,'COQUEIROS','FLORIANóPOLIS','SC',12108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175707,0.00,0.00,0.00,6.00,3.00,NULL,3.00,5.00,3.00,333,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(16,3175715,4.00,4.00,4.00,6.00,5.00,5.50,2.00,6.00,5.00,333,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',12068,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3175723,2.00,3.00,1.00,4.00,1.00,NULL,3.00,2.00,2.00,203,NULL,202,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3175740,6.00,7.00,2.00,6.00,5.00,4.25,2.00,5.00,3.00,444,NULL,NULL,'CENTRO','PETROLâNDIA','SC',11323,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3175758,4.00,4.00,5.00,6.00,5.00,5.75,1.00,6.00,5.00,319,NULL,NULL,'V VICTORIA','INDAIATUBA','SP',9848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3175774,1.00,3.00,1.00,1.00,3.00,NULL,2.00,3.00,2.00,104,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175790,7.00,5.00,2.00,6.00,6.00,5.50,4.00,7.00,3.00,303,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',8371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175804,3.00,4.00,4.00,6.00,2.00,NULL,3.00,5.00,5.00,211,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175820,4.00,8.00,6.00,7.00,7.00,4.75,3.00,7.00,7.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',4460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175839,4.00,3.00,3.00,5.00,4.00,5.00,2.00,3.00,2.00,104,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',15556,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3175847,3.00,3.00,3.00,5.00,2.00,NULL,2.00,5.00,3.00,211,NULL,202,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175855,3.00,3.00,2.00,2.00,2.00,NULL,1.00,3.00,2.00,205,NULL,NULL,'CAMPO D UNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175863,6.00,6.00,3.00,6.00,6.00,6.00,2.00,7.00,5.00,101,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',8637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175880,6.00,7.00,5.00,7.00,5.00,5.50,5.00,4.00,4.00,203,NULL,201,'ITOUPAVA SECA','BLUMENAU','SC',6876,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3175898,3.00,3.00,2.00,7.00,4.00,5.25,0.00,3.00,5.00,415,NULL,NULL,'CRISTO REI','COCAL SUL','SC',16239,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3175936,4.00,7.00,2.00,6.00,6.00,6.50,3.00,6.00,6.00,102,NULL,NULL,'POçO FUNDO','ÁGUAS MORNAS','SC',7898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3175944,5.00,3.00,5.00,1.00,3.00,NULL,5.00,4.00,3.00,201,NULL,207,'CENTRO','S MARTINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3175952,4.00,5.00,5.00,6.00,4.00,4.25,3.00,5.00,4.00,301,NULL,NULL,'BUCAREIN','JOINVILLE','SC',12937,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3175960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3175979,7.00,6.00,4.00,6.00,4.00,5.75,3.00,5.00,5.00,103,NULL,NULL,'CATIAPOã','S VICENTE','SP',8084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3175987,5.00,6.00,2.00,7.00,6.00,7.00,3.00,7.00,4.00,320,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',8754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3175995,5.00,5.00,2.00,3.00,3.00,NULL,2.00,5.00,3.00,201,NULL,207,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3176002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3176010,7.00,7.00,3.00,7.00,7.00,5.25,2.00,6.00,6.00,3,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC',5850,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3176029,2.00,3.00,4.00,4.00,4.00,6.50,2.00,4.00,3.00,201,NULL,NULL,'CENTRO','TIJUCAS','SC',16115,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3176037,6.00,3.00,5.00,9.00,6.00,7.25,4.00,7.00,6.00,303,NULL,NULL,'VILA SãO FRANCISCO','S PAULO','SP',4121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176045,6.00,6.00,4.00,5.00,5.00,5.50,5.00,5.00,5.00,201,NULL,233,'VáRZEA','LAGES','SC',7932,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3176053,1.00,3.00,4.00,4.00,4.00,NULL,1.00,3.00,4.00,238,NULL,208,'SãO SEBASTIãO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3176061,7.00,6.00,5.00,8.00,5.00,5.00,4.00,10.00,4.00,303,NULL,NULL,'TATUAPE','S PAULO','SP',4052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176088,5.00,6.00,4.00,7.00,6.00,5.75,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176096,5.00,4.00,7.00,7.00,4.00,5.50,4.00,5.00,6.00,203,NULL,214,'GRAMADO','CAMPINAS','SP',7886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176100,5.00,6.00,7.00,7.00,8.00,6.25,5.00,4.00,5.00,203,NULL,202,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',4280,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3176126,7.00,8.00,2.00,8.00,4.00,4.50,2.00,5.00,4.00,234,NULL,NULL,'ARMAçãO PANTANO SUL','FLORIANóPOLIS','SC',9435,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3176134,8.00,4.00,2.00,2.00,5.00,4.75,4.00,7.00,5.00,303,NULL,NULL,'AMéRICA','JOINVILLE','SC',10166,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3176142,8.00,7.00,9.00,8.00,6.00,8.00,6.00,8.00,7.00,108,NULL,NULL,'FUNDO CANOAS','RIO SUL','SC',657,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3176150,3.00,5.00,4.00,8.00,7.00,5.25,3.00,5.00,4.00,502,NULL,NULL,'VILA MOEMA','TUBARãO','SC',9207,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3176169,5.00,7.00,2.00,9.00,6.00,5.25,1.00,4.00,7.00,501,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',7978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176177,2.00,5.00,2.00,2.00,3.00,NULL,1.00,4.00,2.00,233,NULL,208,'ALTO ARROIO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3176185,4.00,2.00,2.00,8.00,5.00,5.25,1.00,5.00,3.00,501,NULL,NULL,'AREIAS','S JOSé','SC',13650,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3176193,7.00,9.00,4.00,9.00,8.00,8.00,5.00,9.00,7.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176207,3.00,4.00,4.00,3.00,4.00,5.75,3.00,9.00,2.00,451,NULL,NULL,'AREIAS','S JOSé','SC',13471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176215,7.00,7.00,6.00,8.00,7.00,5.00,4.00,8.00,7.00,304,NULL,NULL,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',2136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176223,4.00,5.00,6.00,7.00,6.00,5.00,4.00,6.00,5.00,212,NULL,201,'JD PAULISTA','OURINHOS','SP',5562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176231,7.00,6.00,8.00,6.00,7.00,5.50,6.00,8.00,8.00,202,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',1531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176274,5.00,5.00,4.00,7.00,6.00,5.25,3.00,5.00,3.00,216,NULL,214,'TRINDADE','FLORIANóPOLIS','SC',8924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'HIGIENÓPOLIS','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3176290,5.00,5.00,5.00,5.00,4.00,7.25,3.00,9.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176304,8.00,8.00,6.00,9.00,7.00,7.25,5.00,9.00,7.00,415,NULL,NULL,'NOTRE DAME','CAMPINAS','SP',388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176312,3.00,1.00,1.00,2.00,3.00,NULL,3.00,3.00,2.00,308,NULL,NULL,'ALEGRE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3176320,5.00,7.00,3.00,8.00,5.00,4.00,5.00,8.00,6.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',5241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176339,6.00,7.00,5.00,7.00,7.00,5.25,3.00,7.00,6.00,211,NULL,201,'COQUEIROS','FLORIANóPOLIS','SC',4757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176347,3.00,3.00,1.00,4.00,5.00,4.25,3.00,5.00,3.00,208,NULL,201,'CENTRO','GAROPABA','SC',15933,554,NULL,1231,NULL,NULL,NULL,2,1),(16,3176363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SãO CRISTóVãO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3176371,8.00,7.00,5.00,9.00,8.00,7.00,4.00,9.00,7.00,5,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176380,4.00,4.00,5.00,4.00,4.00,3.00,2.00,4.00,4.00,203,NULL,214,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3176398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SANTA CATARINA','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3176410,4.00,5.00,5.00,6.00,3.00,NULL,4.00,8.00,4.00,303,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3176428,4.00,4.00,3.00,6.00,6.00,4.75,3.00,6.00,3.00,429,NULL,424,'ROçADO','S JOSé','SC',11706,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3176436,4.00,2.00,3.00,7.00,5.00,6.00,3.00,2.00,5.00,108,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',13240,302,NULL,NULL,NULL,NULL,NULL,2,1),(16,3176452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,207,'CENTRO','ARARANGUá','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3176460,4.00,4.00,5.00,8.00,6.00,6.50,1.00,8.00,5.00,316,NULL,NULL,'CAMPINAS','S JOSé','SC',7583,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3176479,3.00,7.00,2.00,2.00,4.00,6.25,2.00,6.00,3.00,304,NULL,NULL,'CABREUVA','PAULíNIA','SP',14849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176487,7.00,7.00,3.00,9.00,5.00,6.50,4.00,7.00,5.00,103,NULL,NULL,'ARBORETO JEQUITIBAS','CAMPINAS','SP',4209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3176509,3.00,2.00,3.00,3.00,7.00,NULL,3.00,5.00,2.00,502,NULL,NULL,'ARIZONA','LAURO MüLLER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3176517,4.00,1.00,1.00,5.00,3.00,NULL,2.00,5.00,3.00,208,NULL,NULL,'TENENTE','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3176525,3.00,3.00,3.00,7.00,6.00,6.50,1.00,4.00,2.00,207,NULL,201,'BOTUCARAI','SOLEDADE','RS',14059,726,NULL,1080,NULL,NULL,NULL,2,2),(16,3176533,3.00,5.00,3.00,8.00,8.00,6.00,2.00,6.00,2.00,103,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176541,1.00,3.00,2.00,5.00,2.00,NULL,2.00,5.00,3.00,421,NULL,429,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3176550,6.00,6.00,1.00,9.00,6.00,6.50,3.00,7.00,5.00,319,NULL,NULL,'FAZENDA','ITAJAí','SC',6501,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3176568,6.00,3.00,3.00,2.00,6.00,6.25,3.00,5.00,5.00,211,NULL,233,'PANTANAL','FLORIANóPOLIS','SC',12158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176576,8.00,7.00,5.00,9.00,8.00,5.25,4.00,7.00,6.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176584,2.00,4.00,2.00,4.00,4.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3176592,8.00,7.00,6.00,6.00,5.00,6.00,3.00,7.00,8.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176606,2.00,1.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,444,NULL,NULL,'OPERáRIA NOVA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3176614,5.00,4.00,4.00,5.00,2.00,NULL,3.00,4.00,2.00,317,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3176622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,429,'JARDIM DAS AMéRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3176630,5.00,6.00,6.00,6.00,7.00,5.00,5.00,6.00,4.00,104,NULL,NULL,'CENTRO','TROMBUDO CENTRAL','SC',6227,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3176649,7.00,6.00,7.00,4.00,7.00,6.25,3.00,7.00,7.00,450,NULL,NULL,'TIJUCO DAS TELHAS','CAMPINAS','SP',3554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176657,4.00,6.00,4.00,3.00,6.00,5.00,3.00,6.00,4.00,208,NULL,203,'CENTRO','PALHOçA','SC',10721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176665,3.00,4.00,4.00,7.00,7.00,6.00,3.00,5.00,5.00,317,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9417,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3176673,8.00,6.00,6.00,9.00,6.00,5.25,4.00,7.00,7.00,333,NULL,NULL,'JARDIM BOA ESPERANçA','CAMPINAS','SP',2461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176681,1.00,6.00,1.00,7.00,3.00,NULL,1.00,5.00,3.00,420,NULL,NULL,'ESTADOS','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3176690,6.00,7.00,4.00,7.00,4.00,6.50,2.00,7.00,7.00,302,NULL,NULL,'CENTRO','S MARTINHO','RS',6032,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3176703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO ANTONIO','S CAETANO SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3176711,7.00,5.00,5.00,6.00,8.00,5.75,2.00,8.00,4.00,207,NULL,233,'VILA CLEMENTINO','S PAULO','SP',5111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176720,6.00,6.00,4.00,9.00,5.00,5.75,6.00,5.00,6.00,207,NULL,201,'JOSé MENDES','FLORIANóPOLIS','SC',3875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176738,7.00,4.00,7.00,8.00,7.00,6.75,5.00,6.00,4.00,103,NULL,NULL,'CHACARA DA BARRA','CAMPINAS','SP',2848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176746,3.00,2.00,2.00,7.00,4.00,6.25,1.00,3.00,6.00,103,NULL,NULL,'SORGATTO','CAçADOR','SC',15190,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3176754,6.00,9.00,4.00,8.00,5.00,5.25,5.00,7.00,8.00,220,NULL,202,'V CAPELETO','ITATIBA','SP',2453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JD MARIA SILVEIRA','JALES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3176770,6.00,7.00,5.00,6.00,6.00,5.00,8.00,7.00,7.00,203,NULL,216,'ITACORUBI','FLORIANóPOLIS','SC',3071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176789,5.00,7.00,2.00,7.00,4.00,6.50,5.00,2.00,3.00,207,NULL,NULL,'SANTANA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3176797,5.00,5.00,2.00,9.00,7.00,7.25,2.00,5.00,6.00,216,NULL,211,'SAGRADA FAMíLIA','CAXIAS SUL','RS',6850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176800,5.00,7.00,4.00,6.00,4.00,4.50,2.00,8.00,3.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176819,2.00,5.00,1.00,6.00,5.00,4.25,4.00,5.00,3.00,331,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',14802,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3176827,7.00,8.00,5.00,8.00,6.00,5.75,3.00,6.00,7.00,215,NULL,213,'COQUEIROS','FLORIANóPOLIS','SC',4291,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3176835,4.00,1.00,4.00,2.00,4.00,NULL,2.00,1.00,4.00,201,NULL,208,'REAL PARQUE','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176843,6.00,3.00,2.00,2.00,4.00,5.75,3.00,7.00,4.00,102,NULL,NULL,'AMéRICA','JOINVILLE','SC',13353,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3176851,6.00,5.00,3.00,4.00,3.00,NULL,2.00,6.00,4.00,444,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176860,6.00,6.00,1.00,8.00,5.00,5.00,3.00,7.00,5.00,216,NULL,201,'CENTRO','CURITIBA','PR',7065,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3176878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'BOTUCARAI','SOLEDADE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3176886,5.00,0.00,3.00,7.00,6.00,6.50,4.00,4.00,4.00,301,NULL,NULL,'TRINTA RéIS','NOVA TRENTO','SC',12702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3176894,6.00,4.00,5.00,4.00,7.00,4.25,3.00,7.00,3.00,103,NULL,NULL,'DOM BOSCO','ITAJAí','SC',9034,2124,NULL,NULL,NULL,NULL,NULL,4,6),(16,3176908,4.00,6.00,3.00,6.00,7.00,6.25,3.00,5.00,4.00,301,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',8510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176916,4.00,5.00,3.00,7.00,5.00,5.25,3.00,7.00,5.00,9,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',10303,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3176924,6.00,4.00,3.00,6.00,3.00,NULL,3.00,6.00,5.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176932,2.00,0.00,3.00,5.00,2.00,NULL,2.00,4.00,3.00,303,NULL,NULL,'AGOSTINI','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3176940,3.00,6.00,5.00,7.00,3.00,NULL,3.00,7.00,4.00,203,NULL,214,'ENSEADA DE BRITO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176959,3.00,2.00,2.00,1.00,5.00,NULL,1.00,2.00,1.00,324,NULL,NULL,'PINHEIRA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176967,7.00,4.00,8.00,8.00,6.00,7.75,4.00,7.00,7.00,303,NULL,NULL,'SANTANA','S PAULO','SP',1587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3176975,3.00,4.00,2.00,5.00,3.00,NULL,1.00,3.00,4.00,301,NULL,NULL,'CENTRO','S MARTINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3176983,3.00,3.00,2.00,8.00,4.00,6.00,1.00,5.00,4.00,5,NULL,NULL,'CENTRO','CRICIúMA','SC',13161,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3176991,5.00,4.00,3.00,8.00,5.00,5.25,2.00,2.00,3.00,203,NULL,207,'CENTRO','FLORIANóPOLIS','SC',12724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177009,5.00,5.00,1.00,3.00,5.00,4.50,1.00,4.00,5.00,207,NULL,201,'CENTRO','BIGUAçU','SC',15774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'CENTRO','FRANCISCO ALVES','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3177025,4.00,4.00,3.00,0.00,3.00,NULL,3.00,6.00,3.00,303,NULL,NULL,'AGRONÔMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177041,2.00,3.00,3.00,7.00,4.00,3.25,2.00,4.00,4.00,451,NULL,NULL,'INTERIOR','DIONíSIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3177050,4.00,3.00,1.00,5.00,6.00,4.75,0.00,7.00,2.00,301,NULL,NULL,'PENHA','PAULO LOPES','SC',15974,354,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177068,7.00,7.00,1.00,7.00,6.00,5.25,4.00,7.00,6.00,216,NULL,201,'CENTRO','FLORIANóPOLIS','SC',6580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177076,2.00,4.00,4.00,4.00,5.00,6.25,4.00,6.00,4.00,317,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',13117,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177084,5.00,6.00,1.00,1.00,5.00,4.00,3.00,7.00,3.00,9,NULL,NULL,'VILA NOVA','MAFRA','SC',13838,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3177092,7.00,3.00,2.00,7.00,2.00,NULL,2.00,4.00,5.00,103,NULL,NULL,'SANTO EXPEDITO','JALES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177106,2.00,3.00,1.00,5.00,5.00,NULL,1.00,4.00,2.00,234,NULL,NULL,'SERTAO DO MARUIM','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177114,4.00,5.00,3.00,6.00,5.00,4.00,1.00,6.00,3.00,303,NULL,NULL,'SAGUAçU','JOINVILLE','SC',13260,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3177122,0.00,1.00,3.00,5.00,2.00,NULL,2.00,5.00,2.00,303,NULL,NULL,'RIO GRANDE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177130,7.00,4.00,6.00,7.00,8.00,4.75,4.00,7.00,4.00,453,NULL,NULL,'CAMPINAS','S JOSé','SC',5740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177149,0.00,2.00,3.00,5.00,5.00,NULL,2.00,3.00,5.00,223,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'OPERARIO','CARAZINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3177165,2.00,4.00,4.00,2.00,6.00,NULL,3.00,2.00,3.00,211,NULL,NULL,'SãO JOãO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3177173,1.00,2.00,3.00,3.00,3.00,NULL,3.00,2.00,3.00,415,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3177181,6.00,4.00,2.00,5.00,5.00,5.25,2.00,3.00,3.00,201,NULL,212,'SERRARIA','S JOSé','SC',15005,1155,NULL,421,NULL,NULL,NULL,2,1),(16,3177190,3.00,0.00,3.00,5.00,4.00,NULL,2.00,3.00,3.00,9,NULL,NULL,'CASTELO BRANCO','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3177211,7.00,7.00,7.00,8.00,7.00,6.25,7.00,9.00,7.00,203,NULL,214,'QUINTINO','TIMBó','SC',652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177220,8.00,7.00,6.00,8.00,6.00,5.75,5.00,8.00,7.00,202,NULL,201,'CENTRO','FLORIANóPOLIS','SC',1538,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177238,4.00,6.00,4.00,8.00,6.00,6.75,2.00,4.00,4.00,301,NULL,NULL,'SAN CONRADO','CAMPINAS','SP',9561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177246,6.00,5.00,4.00,7.00,3.00,NULL,3.00,7.00,6.00,102,NULL,NULL,'NOVA PETROPOLIS','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177254,1.00,3.00,1.00,7.00,4.00,NULL,3.00,3.00,2.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177270,6.00,6.00,3.00,9.00,5.00,7.00,3.00,6.00,2.00,5,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177289,4.00,5.00,2.00,3.00,8.00,5.50,2.00,5.00,5.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177297,3.00,5.00,3.00,4.00,4.00,6.25,2.00,4.00,5.00,104,NULL,NULL,'CENTRO','ARARANGUá','SC',13773,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3177300,5.00,6.00,1.00,7.00,5.00,6.00,4.00,6.00,4.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9687,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177319,3.00,4.00,2.00,3.00,5.00,4.75,1.00,6.00,4.00,208,NULL,201,'PALMAS','GOV CELSO RAMOS','SC',15379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177327,1.00,4.00,2.00,2.00,3.00,NULL,2.00,4.00,1.00,3,NULL,NULL,'MANTO AZUL','APARECIDA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177335,5.00,3.00,2.00,6.00,5.00,4.75,1.00,5.00,5.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3177343,1.00,1.00,1.00,1.00,3.00,NULL,2.00,1.00,1.00,404,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177351,4.00,4.00,2.00,8.00,5.00,6.75,4.00,7.00,2.00,201,NULL,212,'PONTA DE BAIXO','S JOSé','SC',10541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177360,5.00,4.00,2.00,2.00,5.00,5.75,3.00,5.00,4.00,5,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',13781,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3177378,2.00,3.00,2.00,6.00,1.00,NULL,2.00,3.00,2.00,207,NULL,201,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177386,6.00,8.00,5.00,7.00,5.00,6.25,4.00,7.00,6.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177394,2.00,3.00,3.00,1.00,3.00,NULL,3.00,4.00,3.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177416,5.00,5.00,3.00,7.00,4.00,4.25,3.00,6.00,8.00,233,NULL,NULL,'VILA SãO PEDRO','S JOSé CAMPOS','SP',8478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177424,7.00,8.00,5.00,8.00,7.00,6.50,2.00,7.00,7.00,318,NULL,NULL,'AGUA BRANCA','S PAULO','SP',2696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177432,3.00,4.00,1.00,0.00,3.00,NULL,3.00,2.00,2.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177440,4.00,3.00,2.00,2.00,3.00,NULL,2.00,5.00,3.00,203,NULL,214,'SãO VICENTE','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3177459,7.00,5.00,4.00,6.00,8.00,6.00,4.00,7.00,6.00,404,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',5051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3177475,8.00,6.00,7.00,8.00,7.00,5.50,4.00,6.00,7.00,201,NULL,215,'MONTE VERDE','FLORIANóPOLIS','SC',2611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177483,2.00,4.00,2.00,3.00,3.00,NULL,1.00,2.00,2.00,302,NULL,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177491,3.00,6.00,3.00,4.00,3.00,NULL,6.00,8.00,4.00,208,NULL,238,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3177505,8.00,8.00,5.00,9.00,7.00,7.50,2.00,6.00,7.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177513,4.00,2.00,4.00,7.00,7.00,7.00,3.00,4.00,4.00,104,NULL,NULL,'CENTRO','CRICIúMA','SC',11371,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3177521,5.00,5.00,4.00,4.00,5.00,6.50,3.00,5.00,3.00,302,NULL,NULL,'FLOR DE NáPOLIS','S JOSé','SC',12228,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177530,2.00,7.00,5.00,7.00,3.00,NULL,3.00,2.00,4.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177548,4.00,8.00,4.00,6.00,5.00,5.00,2.00,7.00,5.00,303,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',8739,388,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177556,1.00,3.00,3.00,2.00,2.00,NULL,5.00,3.00,1.00,420,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177564,6.00,6.00,4.00,3.00,6.00,6.00,3.00,6.00,4.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177580,3.00,2.00,2.00,5.00,4.00,6.00,5.00,3.00,5.00,103,NULL,NULL,'SAúDE','S PAULO','SP',13578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177599,5.00,6.00,8.00,5.00,5.00,5.00,6.00,6.00,7.00,220,NULL,214,'JARDIM DOS ESTADOS','POçOS CALDAS','MG',3703,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177602,6.00,5.00,3.00,9.00,8.00,5.75,2.00,6.00,7.00,304,NULL,NULL,'KOBRASOL','S JOSé','SC',4597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177610,4.00,4.00,3.00,6.00,3.00,NULL,3.00,4.00,4.00,108,NULL,NULL,'JD EUROPA','S JOSé R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177629,4.00,3.00,2.00,5.00,4.00,4.00,2.00,5.00,1.00,214,NULL,208,'KOBRASOL','S JOSé','SC',16629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177637,3.00,5.00,3.00,3.00,4.00,5.25,5.00,6.00,3.00,320,NULL,NULL,'CENTRO','ARARANGUá','SC',12857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177645,3.00,5.00,2.00,8.00,4.00,5.25,2.00,7.00,2.00,207,NULL,201,'ROçADO','S JOSé','SC',11628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177653,4.00,4.00,2.00,6.00,4.00,5.00,2.00,7.00,2.00,220,NULL,238,'CENTRO','S JOãO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177661,2.00,3.00,3.00,7.00,3.00,NULL,0.00,2.00,1.00,203,NULL,202,'SERRARIAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177670,5.00,6.00,5.00,9.00,7.00,6.00,3.00,6.00,5.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',6182,1710,NULL,NULL,NULL,NULL,NULL,5,3),(16,3177688,7.00,7.00,6.00,9.00,5.00,4.75,5.00,9.00,7.00,104,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',1869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177696,3.00,2.00,2.00,3.00,2.00,NULL,2.00,2.00,3.00,101,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177700,5.00,6.00,3.00,7.00,5.00,5.25,3.00,5.00,3.00,207,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',10971,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'SANTA TEREZINHA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3177726,3.00,3.00,1.00,5.00,3.00,NULL,3.00,4.00,3.00,211,NULL,215,'SANTO ANTÔNIO','CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3177734,3.00,6.00,6.00,7.00,6.00,5.25,3.00,7.00,4.00,453,NULL,NULL,'SAGUAçU','JOINVILLE','SC',6933,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3177742,5.00,7.00,3.00,7.00,7.00,5.50,1.00,7.00,5.00,326,NULL,NULL,'SERTãO DO MARUIM','S JOSé','SC',7062,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177769,1.00,4.00,2.00,5.00,4.00,NULL,0.00,5.00,1.00,208,NULL,238,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177777,3.00,3.00,1.00,2.00,4.00,NULL,3.00,4.00,2.00,501,NULL,NULL,'ALTO BIGUAçU','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3177807,2.00,4.00,2.00,2.00,2.00,NULL,4.00,3.00,3.00,220,NULL,202,'PQ RES LOURENçãO','AREIóPOLIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177815,6.00,7.00,4.00,8.00,8.00,6.50,3.00,6.00,5.00,308,NULL,NULL,'KOBRASOL','S JOSé','SC',3343,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177823,9.00,8.00,6.00,8.00,7.00,5.75,5.00,7.00,7.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177831,4.00,3.00,4.00,7.00,4.00,5.50,2.00,6.00,4.00,309,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177840,7.00,5.00,4.00,8.00,7.00,6.50,2.00,7.00,5.00,301,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',5157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177866,5.00,4.00,2.00,9.00,4.00,5.25,2.00,7.00,7.00,333,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',9583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177874,4.00,4.00,2.00,7.00,5.00,6.00,7.00,6.00,5.00,103,NULL,NULL,'CENTRO','DERRUBADAS','RS',7380,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3177890,9.00,9.00,3.00,6.00,6.00,5.75,1.00,9.00,7.00,103,NULL,NULL,'CENTRO','MAJ VIEIRA','SC',3090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177904,4.00,6.00,3.00,4.00,3.00,NULL,2.00,5.00,3.00,104,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177912,7.00,7.00,8.00,8.00,8.00,7.00,4.00,8.00,8.00,303,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177939,3.00,3.00,3.00,6.00,5.00,6.00,3.00,3.00,2.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177947,5.00,3.00,3.00,0.00,0.00,NULL,1.00,6.00,2.00,211,NULL,233,'SãO JOãO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3177955,3.00,5.00,4.00,5.00,3.00,NULL,2.00,5.00,3.00,103,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177963,5.00,4.00,4.00,7.00,5.00,6.00,4.00,3.00,3.00,2,NULL,NULL,'VILA ARGOS NOVA','JUNDIAí','SP',11203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3177971,9.00,7.00,4.00,8.00,7.00,5.75,5.00,6.00,8.00,103,NULL,NULL,'PORTãO','CURITIBA','PR',1872,796,NULL,NULL,NULL,NULL,NULL,2,8),(16,3177980,5.00,6.00,4.00,5.00,6.00,6.00,5.00,6.00,3.00,238,NULL,213,'PANTANAL','FLORIANóPOLIS','SC',7736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3177998,4.00,2.00,1.00,5.00,4.00,NULL,3.00,3.00,3.00,215,NULL,207,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178005,6.00,8.00,4.00,5.00,8.00,5.75,3.00,8.00,6.00,201,NULL,212,'CENTRO','POMERODE','SC',3552,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(16,3178013,5.00,3.00,3.00,6.00,5.00,5.25,3.00,5.00,2.00,309,NULL,NULL,'BARREIROS','S JOSé','SC',13826,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'DA GLóRIA','MACAé','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3178030,3.00,4.00,3.00,4.00,5.00,4.75,2.00,3.00,5.00,207,NULL,201,'ROçADO','S JOSé','SC',15731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178048,3.00,6.00,4.00,3.00,4.00,4.00,2.00,7.00,3.00,202,NULL,213,'CENTRO','ANTôNIO CARLOS','SC',14666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178056,3.00,5.00,6.00,2.00,5.00,5.00,5.00,4.00,5.00,214,NULL,213,'JARDIM DINDINHA','JACAREí','SP',11871,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3178064,9.00,9.00,6.00,2.00,6.00,5.25,7.00,9.00,7.00,103,NULL,NULL,'PARQUE SãO PAULO','CASCAVEL','PR',1735,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3178080,6.00,7.00,7.00,7.00,8.00,6.00,8.00,6.00,8.00,203,NULL,220,'CENTRO','ERECHIM','RS',1534,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3178102,4.00,3.00,3.00,7.00,7.00,5.75,2.00,5.00,5.00,102,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',11199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178110,4.00,5.00,1.00,5.00,5.00,6.00,5.00,5.00,2.00,415,NULL,NULL,'CENTRO','CANARANA','MT',12614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178129,5.00,0.00,1.00,1.00,4.00,5.75,4.00,6.00,4.00,104,NULL,NULL,'HUMAITA','TUBARãO','SC',16491,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3178137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3178145,8.00,6.00,5.00,8.00,7.00,6.00,5.00,8.00,6.00,203,NULL,214,'CENTRO','BRAçO NORTE','SC',1796,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3178153,6.00,4.00,4.00,7.00,7.00,5.00,2.00,7.00,7.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178161,4.00,6.00,3.00,6.00,2.00,NULL,3.00,7.00,5.00,3,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3178170,7.00,3.00,6.00,7.00,5.00,6.00,3.00,6.00,5.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178188,3.00,6.00,3.00,5.00,4.00,5.25,1.00,5.00,2.00,425,NULL,429,'INGLESES','FLORIANóPOLIS','SC',15634,96,NULL,64,NULL,NULL,NULL,4,1),(16,3178196,3.00,5.00,3.00,6.00,4.00,4.25,2.00,4.00,5.00,238,NULL,208,'CENTRO','PAULO LOPES','SC',14774,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178200,6.00,5.00,2.00,4.00,5.00,5.50,3.00,3.00,6.00,208,NULL,238,'FARROUPILHA','VIDEIRA','SC',11650,372,NULL,342,NULL,NULL,NULL,4,7),(16,3178218,5.00,6.00,5.00,9.00,5.00,6.00,3.00,6.00,6.00,102,NULL,NULL,'CENTRO','JOINVILLE','SC',5522,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3178226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3178234,5.00,4.00,2.00,3.00,4.00,6.00,3.00,5.00,2.00,310,NULL,NULL,'BELA VISTA','GOIâNIA','GO',15624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178242,1.00,2.00,4.00,2.00,4.00,NULL,2.00,5.00,1.00,308,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178250,4.00,6.00,5.00,8.00,5.00,5.75,3.00,4.00,5.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178269,6.00,4.00,1.00,4.00,6.00,5.25,3.00,3.00,3.00,211,NULL,215,'TABULEIRO','ITAPEMA','SC',13973,476,NULL,304,NULL,NULL,NULL,4,3),(16,3178277,7.00,5.00,3.00,9.00,6.00,5.75,3.00,5.00,6.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',6017,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3178293,5.00,3.00,2.00,8.00,3.00,NULL,4.00,2.00,3.00,203,NULL,207,'TRêS PALMEIRAS','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3178307,5.00,6.00,4.00,5.00,7.00,7.50,2.00,8.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178315,7.00,6.00,4.00,7.00,6.00,6.25,5.00,6.00,5.00,415,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',5469,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178323,6.00,5.00,4.00,7.00,5.00,4.75,3.00,5.00,4.00,201,NULL,212,'CENTRO','IBIRUBá','RS',9656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178331,6.00,4.00,1.00,5.00,4.00,4.75,3.00,5.00,4.00,201,NULL,233,'CANTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3178358,2.00,1.00,1.00,4.00,5.00,NULL,4.00,4.00,2.00,444,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178366,4.00,2.00,5.00,5.00,5.00,5.00,1.00,5.00,3.00,319,NULL,NULL,'FAZENDA DA ARMAçãO','GOV CELSO RAMOS','SC',14743,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178374,8.00,8.00,5.00,8.00,6.00,4.50,4.00,8.00,7.00,203,NULL,214,'CARVOEIRA','FLORIANóPOLIS','SC',2192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178382,6.00,5.00,3.00,2.00,5.00,5.25,4.00,6.00,6.00,233,NULL,216,'CENTRO','CHAPECó','SC',9895,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3178390,7.00,8.00,7.00,7.00,6.00,6.50,4.00,6.00,6.00,5,NULL,NULL,'CENTRO','BLUMENAU','SC',2490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178404,3.00,2.00,2.00,3.00,3.00,NULL,2.00,4.00,3.00,104,NULL,NULL,'CAVALHADA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178412,3.00,6.00,3.00,5.00,2.00,NULL,4.00,3.00,3.00,225,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178420,2.00,3.00,1.00,5.00,5.00,NULL,1.00,3.00,4.00,415,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3178439,1.00,5.00,1.00,1.00,3.00,NULL,1.00,2.00,4.00,318,NULL,NULL,'SANTA MARIA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3178455,2.00,2.00,2.00,5.00,2.00,NULL,3.00,1.00,3.00,340,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178463,5.00,5.00,1.00,8.00,5.00,6.00,2.00,5.00,4.00,415,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',11386,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178471,7.00,6.00,8.00,1.00,5.00,5.00,2.00,4.00,5.00,213,NULL,202,'BARREIROS','S JOSé','SC',9082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178498,7.00,7.00,4.00,7.00,7.00,5.00,3.00,7.00,4.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5924,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178501,4.00,1.00,1.00,0.00,0.00,NULL,2.00,3.00,3.00,327,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178510,4.00,3.00,4.00,6.00,2.00,NULL,4.00,5.00,4.00,214,NULL,203,'VILA PETRóPOLIS','ATIBAIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178536,5.00,3.00,3.00,5.00,3.00,NULL,2.00,5.00,3.00,301,NULL,NULL,'LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178544,1.00,5.00,5.00,2.00,5.00,5.00,2.00,5.00,2.00,331,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',15429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178552,5.00,3.00,1.00,2.00,3.00,NULL,2.00,3.00,2.00,208,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178560,7.00,6.00,4.00,2.00,6.00,5.25,3.00,5.00,6.00,101,NULL,NULL,'HUMAITA','TUBARãO','SC',9939,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3178579,2.00,2.00,1.00,1.00,2.00,NULL,3.00,4.00,2.00,317,NULL,NULL,'SAMBAQUI','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JABURUNA','VL VELHA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3178595,4.00,2.00,3.00,3.00,5.00,NULL,3.00,4.00,1.00,317,NULL,NULL,'CAMPO D UNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178609,5.00,6.00,6.00,6.00,4.00,6.25,5.00,7.00,4.00,202,NULL,213,'COMERCIáRIO','CRICIúMA','SC',5802,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3178617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'BUENO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3178625,4.00,6.00,6.00,4.00,5.00,3.00,2.00,4.00,6.00,203,NULL,212,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178633,5.00,7.00,6.00,5.00,5.00,4.25,2.00,8.00,7.00,216,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178641,3.00,7.00,5.00,8.00,6.00,6.00,3.00,5.00,4.00,318,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',8455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178650,4.00,5.00,5.00,7.00,4.00,4.00,3.00,8.00,4.00,214,NULL,216,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178668,5.00,3.00,3.00,9.00,4.00,5.75,3.00,5.00,4.00,220,NULL,208,'JARDIM ATLANTICO','S JOSé','SC',11376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178676,5.00,3.00,3.00,7.00,4.00,5.25,2.00,5.00,5.00,211,NULL,207,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3178684,7.00,4.00,2.00,7.00,6.00,6.25,3.00,7.00,5.00,211,NULL,201,'CRISTO REI','CHAPECó','SC',7379,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3178692,4.00,2.00,3.00,2.00,2.00,NULL,3.00,0.00,4.00,104,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178706,4.00,6.00,3.00,7.00,3.00,NULL,1.00,8.00,1.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178714,2.00,2.00,2.00,1.00,4.00,NULL,3.00,3.00,2.00,201,NULL,212,'PETROPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3178722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3178730,0.00,3.00,2.00,3.00,3.00,NULL,2.00,4.00,4.00,302,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,208,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3178773,5.00,5.00,2.00,8.00,7.00,5.25,2.00,5.00,5.00,333,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',8684,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178781,4.00,6.00,2.00,8.00,3.00,NULL,3.00,8.00,2.00,331,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178790,5.00,6.00,1.00,7.00,3.00,NULL,4.00,5.00,3.00,503,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178803,7.00,8.00,4.00,4.00,5.00,4.50,3.00,7.00,7.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178811,6.00,5.00,4.00,7.00,6.00,4.75,4.00,7.00,5.00,301,NULL,NULL,'VELHA','BLUMENAU','SC',6555,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3178820,5.00,4.00,4.00,7.00,6.00,5.75,3.00,5.00,5.00,9,NULL,NULL,'FLORESTA','S JOSé','SC',8764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178838,6.00,7.00,7.00,8.00,7.00,5.50,4.00,7.00,6.00,203,NULL,201,'BIGORRILHO','CURITIBA','PR',2627,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3178846,5.00,7.00,6.00,4.00,5.00,5.75,5.00,5.00,6.00,203,NULL,201,'ESTREITO','FLORIANóPOLIS','SC',6242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178854,3.00,5.00,4.00,6.00,4.00,5.50,3.00,7.00,3.00,201,NULL,211,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3178862,4.00,6.00,4.00,8.00,7.00,6.00,1.00,8.00,7.00,203,NULL,220,'LINHA FLORESTA','S MARTINHO','RS',5970,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3178889,4.00,4.00,1.00,8.00,4.00,5.75,3.00,4.00,3.00,332,NULL,NULL,'BALNEáRIO','S JOSé','SC',13662,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178897,5.00,5.00,4.00,5.00,5.00,6.00,2.00,5.00,7.00,238,NULL,213,'FLOR DE NáPOLIS','S JOSé','SC',8022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178900,3.00,1.00,1.00,0.00,5.00,NULL,1.00,2.00,2.00,211,NULL,213,'CAPISTRANO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178919,8.00,6.00,7.00,7.00,6.00,5.25,4.00,7.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178927,7.00,6.00,4.00,8.00,8.00,6.50,3.00,6.00,6.00,216,NULL,211,'ALTO DA LAPA','S PAULO','SP',3877,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178935,3.00,4.00,3.00,7.00,5.00,5.75,1.00,7.00,3.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178943,5.00,3.00,4.00,1.00,4.00,6.50,2.00,5.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',15516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178951,3.00,5.00,2.00,6.00,5.00,5.25,0.00,5.00,3.00,101,NULL,NULL,'SERRARIA','S JOSé','SC',15002,106,NULL,NULL,NULL,NULL,NULL,2,1),(16,3178960,5.00,5.00,6.00,4.00,6.00,5.75,3.00,8.00,6.00,340,NULL,NULL,'JARDIM BRASIL','BAURU','SP',5905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178978,5.00,6.00,4.00,7.00,5.00,5.75,4.00,9.00,7.00,201,NULL,211,'JARDIM COLINAS','S JOSé CAMPOS','SP',4748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3178986,4.00,4.00,3.00,8.00,6.00,6.00,4.00,3.00,3.00,340,NULL,NULL,'CENTRO','CRICIúMA','SC',11629,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3178994,6.00,3.00,2.00,3.00,7.00,5.50,5.00,4.00,6.00,207,NULL,233,'ITACORUBI','FLORIANóPOLIS','SC',10623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179001,3.00,3.00,1.00,7.00,4.00,NULL,0.00,1.00,0.00,450,NULL,NULL,'ELDORADO','DIADEMA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3179010,4.00,3.00,3.00,3.00,2.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'REVOREDO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3179028,4.00,4.00,3.00,7.00,4.00,5.25,3.00,5.00,2.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179044,8.00,6.00,4.00,7.00,7.00,6.50,4.00,8.00,6.00,103,NULL,NULL,'CENTRO','LGA VERMELHA','RS',3713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179052,3.00,3.00,7.00,3.00,2.00,NULL,5.00,5.00,2.00,234,NULL,NULL,'JARDIM UNIVERSITáRIO','ARARAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179060,3.00,5.00,3.00,4.00,1.00,NULL,2.00,7.00,6.00,211,NULL,207,'JD MONTE AZUL','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3179079,5.00,5.00,3.00,8.00,5.00,5.00,4.00,8.00,7.00,102,NULL,NULL,'CERAMARTE','RIO NEGRINHO','SC',5402,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3179087,6.00,2.00,2.00,6.00,6.00,NULL,3.00,0.00,2.00,420,NULL,NULL,'ELDORADO','DIADEMA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3179095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3179109,8.00,8.00,4.00,8.00,7.00,5.50,3.00,8.00,6.00,216,NULL,238,'CENTRO','FLORIANóPOLIS','SC',2768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CIDADE JARDIM','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3179125,8.00,7.00,6.00,9.00,9.00,7.50,4.00,8.00,5.00,303,NULL,NULL,'CENTRO','CAXIAS SUL','RS',1231,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3179133,5.00,5.00,4.00,5.00,5.00,5.50,2.00,5.00,3.00,415,NULL,NULL,'PINHEIROS','OTACíLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3179141,2.00,2.00,2.00,5.00,4.00,NULL,1.00,5.00,2.00,404,NULL,NULL,'PINHEIRA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3179168,5.00,3.00,2.00,7.00,2.00,NULL,2.00,3.00,4.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179176,5.00,1.00,2.00,5.00,4.00,7.75,2.00,2.00,4.00,415,NULL,NULL,'VELHA','BLUMENAU','SC',15651,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3179184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BOTâNICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3179192,3.00,4.00,3.00,1.00,4.00,NULL,4.00,2.00,2.00,102,NULL,NULL,'ALTO SAO BENTO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3179222,8.00,5.00,5.00,7.00,6.00,5.00,1.00,6.00,5.00,444,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',6331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3179230,5.00,4.00,2.00,6.00,4.00,6.00,3.00,4.00,4.00,453,NULL,NULL,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',13053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179257,8.00,8.00,7.00,7.00,5.00,6.00,5.00,7.00,7.00,201,NULL,212,'PONTE DO IMARUIM','PALHOçA','SC',1327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3179265,4.00,0.00,2.00,7.00,3.00,NULL,2.00,3.00,3.00,324,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3179273,2.00,7.00,4.00,5.00,3.00,NULL,2.00,5.00,3.00,203,NULL,202,'BELA VISTA I','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3179281,8.00,5.00,3.00,8.00,9.00,7.00,6.00,6.00,6.00,108,NULL,NULL,'JARDIM ATLANTICO','S JOSé','SC',3132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179290,6.00,6.00,5.00,5.00,5.00,5.00,4.00,4.00,5.00,202,NULL,208,'CACHOEIRA','FLORIANóPOLIS','SC',9248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179303,4.00,8.00,5.00,6.00,3.00,NULL,2.00,5.00,6.00,319,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM SANTA MARIA','JACAREí','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3179320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REBOUçAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3179338,6.00,7.00,1.00,7.00,4.00,4.25,3.00,5.00,7.00,503,NULL,NULL,'CENTRO','S JOSé','SC',10000,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3179346,6.00,5.00,3.00,8.00,4.00,4.75,4.00,5.00,4.00,233,NULL,215,'SANTINHO','FLORIANóPOLIS','SC',9981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179354,7.00,6.00,4.00,8.00,6.00,4.75,2.00,9.00,5.00,108,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',5081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179370,6.00,8.00,9.00,9.00,7.00,7.25,5.00,8.00,6.00,103,NULL,NULL,'CAMPINAS','S JOSé','SC',717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179389,1.00,3.00,3.00,6.00,4.00,3.25,2.00,4.00,3.00,102,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3179397,3.00,3.00,1.00,6.00,4.00,5.00,3.00,3.00,3.00,238,NULL,220,'COMERCIáRIO','CRICIúMA','SC',16422,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3179400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3179419,8.00,9.00,5.00,7.00,5.00,5.50,4.00,7.00,7.00,203,NULL,214,'TRINDADE','FLORIANóPOLIS','SC',2633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179427,5.00,6.00,2.00,6.00,5.00,4.75,4.00,4.00,5.00,5,NULL,NULL,'JARDIM PRANá','ASSIS CHATEAUBRIAND','PR',11179,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3179435,2.00,3.00,3.00,4.00,1.00,NULL,0.00,5.00,4.00,101,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179443,2.00,2.00,1.00,6.00,2.00,NULL,1.00,3.00,4.00,202,NULL,208,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3179451,2.00,5.00,6.00,8.00,6.00,7.50,2.00,7.00,4.00,320,NULL,NULL,'LAPA','S PAULO','SP',7787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179460,4.00,4.00,4.00,4.00,6.00,5.75,3.00,7.00,5.00,317,NULL,NULL,'AREIAS','S JOSé','SC',10573,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3179478,6.00,7.00,5.00,7.00,5.00,5.00,4.00,8.00,6.00,201,NULL,212,'TRINDADE','FLORIANóPOLIS','SC',4980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179486,6.00,3.00,2.00,7.00,4.00,5.00,3.00,4.00,2.00,211,NULL,233,'AGRONOMICA','FLORIANóPOLIS','SC',14263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3179508,4.00,3.00,2.00,5.00,5.00,5.00,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179516,9.00,6.00,3.00,8.00,7.00,5.75,3.00,7.00,6.00,108,NULL,NULL,'GUARá I','GUARá','DF',3502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179532,8.00,8.00,4.00,7.00,8.00,6.00,6.00,7.00,7.00,104,NULL,NULL,'JARIVATUBA','JOINVILLE','SC',2302,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3179540,2.00,8.00,4.00,7.00,5.00,5.50,3.00,8.00,2.00,317,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',8847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3179559,6.00,5.00,3.00,7.00,7.00,4.75,2.00,5.00,5.00,108,NULL,NULL,'BIGORRILHO','CURITIBA','PR',8443,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3179567,2.00,3.00,3.00,1.00,4.00,NULL,5.00,3.00,2.00,428,NULL,426,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179575,4.00,0.00,4.00,6.00,4.00,NULL,1.00,5.00,3.00,303,NULL,NULL,'PASSAGEM','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3179583,3.00,5.00,2.00,0.00,3.00,NULL,1.00,4.00,3.00,208,NULL,NULL,'CENTRO','S MARTINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3179605,4.00,4.00,5.00,5.00,5.00,5.25,1.00,8.00,5.00,303,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',10337,445,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179613,5.00,6.00,5.00,8.00,2.00,NULL,6.00,6.00,5.00,202,NULL,208,'PARQUE NOVO MUNDO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'JARDIM LINCOLN','SUZANO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3179648,3.00,3.00,4.00,6.00,6.00,6.50,5.00,5.00,4.00,303,NULL,NULL,'SANTOS DUMONT','S JOSé','SC',11644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3179656,6.00,8.00,7.00,5.00,6.00,5.50,6.00,5.00,6.00,202,NULL,220,'TRINDADE','FLORIANóPOLIS','SC',3646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179664,2.00,2.00,4.00,3.00,4.00,6.00,1.00,6.00,4.00,207,NULL,201,'IRIRIú','JOINVILLE','SC',15872,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3179672,3.00,6.00,1.00,6.00,4.00,5.00,3.00,4.00,3.00,104,NULL,NULL,'JARDIM ITALIA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3179680,4.00,4.00,6.00,7.00,5.00,5.50,4.00,5.00,5.00,203,NULL,220,'CENTRO','FLORIANóPOLIS','SC',8942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179699,3.00,3.00,5.00,2.00,4.00,5.50,4.00,4.00,2.00,207,NULL,NULL,'HUMAITá','TUBARãO','SC',15640,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3179702,4.00,6.00,4.00,7.00,6.00,5.25,3.00,7.00,4.00,201,NULL,212,'TRINDADE','FLORIANóPOLIS','SC',8273,652,NULL,244,NULL,NULL,NULL,2,1),(16,3179729,6.00,7.00,5.00,8.00,7.00,4.75,2.00,5.00,7.00,319,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',5595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3179737,1.00,6.00,2.00,6.00,3.00,NULL,5.00,6.00,1.00,502,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3179745,2.00,4.00,2.00,7.00,3.00,NULL,3.00,4.00,2.00,340,NULL,NULL,'SUMARé','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3179753,4.00,5.00,3.00,1.00,3.00,NULL,2.00,6.00,2.00,101,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3179761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3179788,5.00,3.00,4.00,8.00,4.00,4.25,2.00,5.00,2.00,2,NULL,NULL,'CENTRO','ITAJAí','SC',13508,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3179796,3.00,4.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3179800,6.00,4.00,3.00,8.00,6.00,6.25,3.00,7.00,4.00,103,NULL,NULL,'RUDGE RAMOS','S BERNARDO CAMPO','SP',6717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179826,6.00,7.00,6.00,8.00,6.00,6.25,2.00,9.00,7.00,104,NULL,NULL,'MATO ALTO','ARARANGUá','SC',2804,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3179842,4.00,1.00,2.00,5.00,5.00,NULL,2.00,4.00,2.00,104,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3179850,2.00,3.00,2.00,1.00,3.00,NULL,1.00,3.00,4.00,324,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179869,5.00,4.00,2.00,7.00,3.00,NULL,4.00,6.00,4.00,216,NULL,203,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3179877,6.00,7.00,6.00,7.00,6.00,4.00,3.00,5.00,4.00,212,NULL,233,'CENTRO','FLORIANóPOLIS','SC',7334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179885,3.00,2.00,2.00,6.00,2.00,NULL,2.00,2.00,4.00,104,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179907,4.00,6.00,5.00,8.00,3.00,NULL,4.00,4.00,4.00,220,NULL,202,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3179915,4.00,4.00,4.00,7.00,5.00,5.00,3.00,4.00,2.00,303,NULL,NULL,'CENTRO','TUBARãO','SC',13468,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3179923,3.00,4.00,4.00,4.00,4.00,3.25,4.00,3.00,4.00,238,NULL,208,'PROGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3179931,5.00,5.00,2.00,7.00,5.00,5.00,3.00,5.00,5.00,208,NULL,238,'AGRONOMICA','FLORIANóPOLIS','SC',10273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179940,7.00,9.00,4.00,8.00,6.00,4.75,5.00,7.00,7.00,216,NULL,215,'ARMAçãO P DO SUL','FLORIANóPOLIS','SC',2658,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3179958,1.00,2.00,1.00,4.00,2.00,NULL,2.00,4.00,4.00,303,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3179966,4.00,4.00,2.00,8.00,6.00,8.75,3.00,6.00,3.00,452,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',8827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179982,3.00,4.00,4.00,5.00,5.00,6.50,2.00,7.00,4.00,309,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',11367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3179990,2.00,4.00,2.00,6.00,4.00,4.75,0.00,5.00,3.00,103,NULL,NULL,'BELA VISTA','CHAPECó','SC',16377,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3180000,3.00,2.00,4.00,2.00,2.00,NULL,2.00,1.00,2.00,102,NULL,NULL,'CENTRO','VERê','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180018,5.00,4.00,7.00,7.00,6.00,6.25,4.00,4.00,3.00,304,NULL,NULL,'CENTRO','ERECHIM','RS',7931,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3180034,2.00,2.00,1.00,3.00,5.00,NULL,0.00,1.00,2.00,213,NULL,202,'BELA VISTA','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3180042,6.00,6.00,5.00,8.00,3.00,NULL,4.00,5.00,6.00,238,NULL,212,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180050,7.00,3.00,5.00,6.00,4.00,5.75,1.00,4.00,6.00,444,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',11432,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180069,5.00,3.00,4.00,8.00,7.00,7.00,3.00,8.00,5.00,340,NULL,NULL,'BARREIROS','S JOSé','SC',6420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180077,4.00,8.00,5.00,7.00,5.00,6.00,5.00,8.00,6.00,203,NULL,220,'CENTRO','HERVAL D OESTE','SC',3855,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3180085,3.00,3.00,2.00,5.00,5.00,5.00,2.00,5.00,3.00,104,NULL,NULL,'VILA FLOR','CAPIVARI BAIXO','SC',15239,449,NULL,NULL,NULL,NULL,NULL,2,10),(16,3180093,4.00,6.00,3.00,7.00,3.00,NULL,3.00,8.00,5.00,453,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180107,3.00,4.00,3.00,2.00,5.00,5.75,4.00,3.00,4.00,302,NULL,NULL,'COSTEIRA DOPIRAJUBAÉ','FLORIANóPOLIS','SC',15340,201,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180115,6.00,5.00,3.00,2.00,4.00,5.00,3.00,5.00,6.00,3,NULL,NULL,'CENTRO','CONCóRDIA','SC',12963,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3180123,2.00,2.00,1.00,1.00,2.00,NULL,2.00,3.00,2.00,201,NULL,211,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180131,5.00,4.00,4.00,6.00,6.00,4.25,4.00,5.00,4.00,420,NULL,NULL,'CENTRO','S JOãO BATISTA','SC',12058,119,NULL,NULL,NULL,NULL,NULL,2,3),(16,3180140,2.00,2.00,3.00,2.00,1.00,NULL,3.00,3.00,4.00,303,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180158,4.00,5.00,3.00,7.00,8.00,4.00,3.00,5.00,2.00,103,NULL,NULL,'CAMPINAS','S JOSé','SC',11695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180166,7.00,6.00,7.00,3.00,6.00,6.00,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','IPUMIRIM','SC',3965,1288,NULL,NULL,NULL,NULL,NULL,4,7),(16,3180174,3.00,2.00,1.00,5.00,2.00,NULL,3.00,4.00,1.00,214,NULL,212,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180182,7.00,5.00,5.00,6.00,6.00,6.25,6.00,8.00,6.00,207,NULL,220,'JD MONTE KEMEL','S PAULO','SP',2364,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3180190,0.00,5.00,4.00,7.00,4.00,5.00,2.00,3.00,1.00,309,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',16382,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180204,3.00,5.00,1.00,5.00,2.00,NULL,4.00,3.00,3.00,453,NULL,NULL,'PALHOçA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180212,2.00,3.00,2.00,6.00,3.00,NULL,5.00,2.00,4.00,309,NULL,NULL,'JARDIM SATéLITE','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180220,8.00,7.00,6.00,9.00,7.00,7.50,5.00,9.00,7.00,340,NULL,NULL,'ASILO','BLUMENAU','SC',959,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3180239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3180247,1.00,2.00,2.00,4.00,2.00,NULL,2.00,6.00,2.00,340,NULL,NULL,'CENTRO','BEBEDOURO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'SANTA CRUZ','RONDONóPOLIS','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3180263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,238,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3180280,6.00,5.00,4.00,8.00,5.00,5.50,3.00,5.00,6.00,103,NULL,NULL,'BELA VISTA','S JOSé','SC',6901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180298,5.00,3.00,1.00,6.00,4.00,6.00,4.00,5.00,2.00,340,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',13877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','IPORã','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3180310,2.00,1.00,2.00,3.00,2.00,NULL,3.00,4.00,1.00,203,NULL,214,'CENTRO','TRINDADE SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3180328,2.00,4.00,2.00,1.00,3.00,NULL,1.00,5.00,2.00,238,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180336,3.00,3.00,6.00,7.00,7.00,4.50,5.00,6.00,6.00,233,NULL,215,'BELA VISTA','ERECHIM','RS',7555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180344,8.00,6.00,6.00,9.00,7.00,5.50,3.00,7.00,6.00,202,NULL,233,'CAPOEIRAS','S JOSé','SC',2413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180352,7.00,4.00,3.00,6.00,4.00,3.00,4.00,5.00,5.00,101,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180379,3.00,4.00,4.00,2.00,2.00,NULL,3.00,1.00,2.00,103,NULL,NULL,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180387,3.00,4.00,3.00,6.00,4.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3180395,6.00,8.00,4.00,6.00,4.00,6.00,4.00,8.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5309,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3180409,5.00,5.00,1.00,7.00,6.00,2.00,3.00,7.00,6.00,452,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3180425,6.00,2.00,5.00,4.00,7.00,5.75,4.00,5.00,5.00,215,NULL,238,'CENTRO','PALHOçA','SC',9968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180433,3.00,4.00,2.00,6.00,6.00,4.00,1.00,5.00,4.00,329,NULL,NULL,'BUTANTã','S PAULO','SP',15100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180441,3.00,6.00,4.00,6.00,5.00,4.75,2.00,4.00,3.00,223,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',13525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180450,5.00,3.00,2.00,4.00,6.00,6.25,2.00,5.00,2.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',15393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180468,4.00,7.00,5.00,4.00,3.00,NULL,2.00,5.00,3.00,214,NULL,212,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180476,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,238,NULL,208,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3180484,2.00,2.00,3.00,4.00,3.00,NULL,2.00,0.00,5.00,104,NULL,NULL,'GETULIO VARGAS','STO AUGUSTO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3180492,4.00,3.00,5.00,1.00,2.00,NULL,3.00,3.00,2.00,234,NULL,NULL,'CENTRO','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180506,6.00,6.00,7.00,5.00,8.00,5.75,5.00,8.00,8.00,303,NULL,NULL,'GARCIA','BLUMENAU','SC',2533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180514,7.00,7.00,6.00,6.00,6.00,5.50,2.00,7.00,5.00,212,NULL,213,'SANTA MôNICA','FLORIANóPOLIS','SC',5236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180522,1.00,4.00,3.00,4.00,1.00,NULL,4.00,2.00,2.00,319,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180530,1.00,0.00,1.00,1.00,4.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180557,5.00,4.00,2.00,6.00,3.00,NULL,1.00,5.00,4.00,404,NULL,NULL,'VILA NOVA','IçARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3180565,5.00,5.00,4.00,6.00,6.00,4.75,3.00,7.00,3.00,310,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',10187,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180581,4.00,2.00,2.00,6.00,4.00,5.00,2.00,2.00,4.00,404,NULL,NULL,'KOBRASOL','S JOSé','SC',16383,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180590,9.00,9.00,9.00,9.00,9.00,9.25,9.00,8.00,9.00,203,NULL,220,'CENTRO','FLORIANOPOLIS','SC',1,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180611,2.00,4.00,3.00,5.00,3.00,NULL,2.00,4.00,2.00,201,NULL,202,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3180638,6.00,7.00,5.00,3.00,6.00,6.75,4.00,6.00,6.00,202,NULL,220,'CENTRO','CRICIúMA','SC',5950,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3180646,5.00,3.00,2.00,5.00,4.00,3.25,3.00,5.00,4.00,102,NULL,NULL,'JD MOSTEIRO','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180654,1.00,3.00,4.00,4.00,5.00,NULL,0.00,4.00,2.00,238,NULL,208,'SãO JOãO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3180670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'ZONA SETE','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3180697,3.00,5.00,3.00,3.00,1.00,NULL,3.00,7.00,2.00,327,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180700,2.00,2.00,1.00,4.00,3.00,NULL,2.00,3.00,3.00,202,NULL,201,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180727,3.00,4.00,3.00,1.00,4.00,NULL,1.00,4.00,2.00,203,NULL,202,'TABOLEIRO','CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3180735,7.00,6.00,4.00,7.00,6.00,4.50,2.00,5.00,5.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180743,4.00,6.00,2.00,5.00,4.00,NULL,0.00,4.00,1.00,317,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180751,5.00,4.00,4.00,6.00,3.00,NULL,3.00,2.00,3.00,207,NULL,238,'CENTRO','ARMAZéM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3180760,6.00,4.00,4.00,6.00,4.00,4.25,1.00,8.00,5.00,333,NULL,NULL,'SãO JUDAS TADEU','PRES PRUDENTE','SP',10085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180778,2.00,7.00,5.00,9.00,6.00,5.50,6.00,6.00,3.00,318,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180816,3.00,2.00,3.00,2.00,3.00,NULL,1.00,4.00,3.00,238,NULL,208,'COLONINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180824,7.00,8.00,5.00,4.00,6.00,6.00,5.00,5.00,6.00,213,NULL,214,'CENTRO','LAGES','SC',4664,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3180832,6.00,6.00,4.00,7.00,6.00,4.75,3.00,7.00,4.00,310,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180859,6.00,8.00,3.00,9.00,7.00,6.50,3.00,6.00,6.00,303,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',4022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180867,2.00,4.00,4.00,4.00,5.00,NULL,1.00,3.00,2.00,303,NULL,NULL,'NAVEGANTES','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180875,6.00,6.00,4.00,7.00,4.00,5.00,2.00,8.00,4.00,421,NULL,427,'CAMPINAS','S JOSé','SC',8046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180883,5.00,5.00,3.00,5.00,4.00,5.00,4.00,6.00,5.00,202,NULL,238,'CENTRO','FLORIANóPOLIS','SC',10881,391,NULL,312,NULL,NULL,NULL,2,1),(16,3180891,8.00,6.00,8.00,9.00,8.00,6.75,4.00,8.00,7.00,428,NULL,425,'CENTRO','FLORIANóPOLIS','SC',1005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3180905,8.00,3.00,3.00,9.00,6.00,5.75,5.00,6.00,5.00,103,NULL,NULL,'JD BELA VISTA','FOZ IGUAçU','PR',5336,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3180913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'ZONA SETE','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3180930,5.00,6.00,6.00,9.00,5.00,5.50,4.00,8.00,5.00,202,NULL,220,'PIO CORREA','CRICIúMA','SC',4109,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3180964,5.00,4.00,4.00,7.00,4.00,5.75,4.00,5.00,5.00,301,NULL,NULL,'CAMPINAS','S JOSé','SC',9288,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180972,3.00,4.00,1.00,7.00,4.00,4.75,2.00,4.00,5.00,102,NULL,NULL,'JARDIM BOTANICO','SINOP','MT',15892,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3180980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PORTãO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3180999,5.00,6.00,4.00,2.00,5.00,5.75,2.00,5.00,3.00,215,NULL,211,'PASSA VINTE','PALHOçA','SC',11593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181006,2.00,3.00,3.00,3.00,3.00,NULL,3.00,2.00,3.00,222,NULL,NULL,'CENTRO','TRES DE MAIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181014,1.00,3.00,3.00,5.00,3.00,NULL,2.00,6.00,3.00,331,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181022,4.00,4.00,2.00,7.00,5.00,5.25,4.00,5.00,3.00,5,NULL,NULL,'SANTO ANJO DA GUARDA','TRêS CACHOEIRAS','RS',12368,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3181030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PENHA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3181049,3.00,1.00,3.00,5.00,3.00,NULL,5.00,4.00,2.00,203,NULL,220,'SãO SEBATIãO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181073,3.00,4.00,1.00,7.00,3.00,NULL,3.00,8.00,1.00,301,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181081,2.00,4.00,2.00,2.00,5.00,NULL,0.00,7.00,2.00,220,NULL,202,'REBELO','GARçA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3181090,5.00,5.00,2.00,7.00,4.00,4.50,5.00,8.00,6.00,5,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',7412,287,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181103,3.00,4.00,1.00,9.00,3.00,NULL,2.00,7.00,3.00,501,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181111,9.00,5.00,3.00,8.00,6.00,6.75,1.00,6.00,5.00,451,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',5893,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181120,2.00,0.00,1.00,3.00,4.00,NULL,0.00,1.00,4.00,327,NULL,NULL,'JURERÊ','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181138,8.00,6.00,4.00,9.00,8.00,4.25,1.00,7.00,6.00,425,NULL,428,'BALNEáRIO','FLORIANóPOLIS','SC',4645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181146,6.00,2.00,4.00,6.00,2.00,NULL,3.00,3.00,2.00,101,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181162,3.00,4.00,3.00,5.00,6.00,4.75,4.00,5.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',12064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181170,5.00,6.00,3.00,6.00,8.00,6.25,3.00,6.00,7.00,203,NULL,214,'TRINDADE','FLORIANóPOLIS','SC',5340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3181197,4.00,7.00,4.00,9.00,5.00,6.00,2.00,7.00,3.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181219,5.00,2.00,1.00,2.00,4.00,NULL,2.00,3.00,4.00,404,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181235,4.00,1.00,4.00,0.00,3.00,NULL,3.00,2.00,2.00,427,NULL,428,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181251,1.00,4.00,4.00,2.00,2.00,NULL,4.00,3.00,1.00,5,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181260,2.00,3.00,3.00,6.00,6.00,7.25,2.00,3.00,2.00,415,NULL,NULL,'JARDIM DAS TRADIçõES','PELOTAS','RS',14584,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3181278,2.00,5.00,3.00,3.00,4.00,NULL,2.00,4.00,2.00,214,NULL,213,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181286,8.00,5.00,3.00,6.00,3.00,NULL,4.00,6.00,6.00,202,NULL,208,'SANTO ANTONIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181294,3.00,4.00,2.00,0.00,5.00,NULL,2.00,2.00,2.00,104,NULL,NULL,'RIBEIRãO FRESCO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3181308,6.00,3.00,5.00,9.00,8.00,5.75,4.00,7.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181316,2.00,4.00,5.00,7.00,5.00,6.75,1.00,5.00,3.00,216,NULL,203,'CENTRO','DOIS IRMãOS','RS',12725,431,NULL,808,NULL,NULL,NULL,2,1),(16,3181332,6.00,4.00,5.00,5.00,5.00,5.75,4.00,6.00,4.00,453,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181340,1.00,2.00,2.00,5.00,5.00,NULL,0.00,4.00,3.00,104,NULL,NULL,'RONDINHA','PTE ALTA NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3181359,8.00,6.00,7.00,7.00,7.00,7.00,5.00,7.00,7.00,207,NULL,212,'PADRE ANCHIETA','DIADEMA','SP',1339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181367,2.00,1.00,4.00,3.00,5.00,NULL,4.00,1.00,4.00,103,NULL,NULL,'MORROTES','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3181375,6.00,7.00,4.00,4.00,6.00,6.00,3.00,9.00,5.00,104,NULL,NULL,'CRUZEIRO','S LOURENçO OESTE','SC',7022,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3181391,6.00,6.00,4.00,8.00,6.00,6.75,4.00,5.00,7.00,103,NULL,NULL,'CARANDá BOSQUE','CPO GRANDE','MS',3894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181405,5.00,6.00,5.00,8.00,6.00,4.75,4.00,8.00,4.00,104,NULL,NULL,'UVARANAS','PNT GROSSA','PR',5261,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3181413,4.00,2.00,2.00,7.00,5.00,4.75,1.00,3.00,3.00,102,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',16209,302,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181421,5.00,3.00,4.00,7.00,4.00,6.25,2.00,4.00,5.00,103,NULL,NULL,'POUSO ALTO','GRAVATAL','SC',11740,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3181430,4.00,0.00,2.00,3.00,0.00,NULL,1.00,4.00,3.00,108,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181448,5.00,5.00,2.00,4.00,6.00,4.75,0.00,6.00,3.00,225,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',13899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181456,3.00,4.00,3.00,5.00,3.00,NULL,2.00,4.00,2.00,453,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181480,2.00,3.00,3.00,5.00,5.00,NULL,2.00,2.00,4.00,501,NULL,NULL,'VENDAVAL','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181499,0.00,2.00,3.00,4.00,1.00,NULL,1.00,1.00,2.00,501,NULL,NULL,'SãO FELIPE','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3181502,3.00,6.00,3.00,7.00,6.00,5.50,2.00,7.00,2.00,317,NULL,NULL,'IPIRANGA','S JOSé','SC',11104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181510,2.00,2.00,3.00,1.00,2.00,NULL,0.00,5.00,2.00,302,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181529,8.00,8.00,6.00,5.00,7.00,7.00,5.00,7.00,7.00,207,NULL,212,'JARDIM DAS AMERICAS','CURITIBA','PR',2323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181537,5.00,2.00,3.00,5.00,3.00,NULL,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181545,2.00,4.00,3.00,8.00,3.00,NULL,1.00,5.00,2.00,423,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181553,5.00,7.00,3.00,7.00,6.00,4.50,4.00,7.00,3.00,501,NULL,NULL,'KOBRASOL','S JOSé','SC',7834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181561,5.00,8.00,6.00,9.00,6.00,5.75,5.00,5.00,6.00,238,NULL,208,'CAPOEIRAS','FLORIANóPOLIS','SC',4063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181588,2.00,2.00,4.00,2.00,5.00,NULL,2.00,2.00,3.00,444,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181596,6.00,6.00,6.00,9.00,7.00,5.75,4.00,8.00,6.00,5,NULL,NULL,'CERQUEIRA CESAR','S PAULO','SP',2074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181600,2.00,5.00,3.00,5.00,4.00,4.75,4.00,4.00,2.00,201,NULL,207,'BARREIROS','S JOSé','SC',15019,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181618,5.00,5.00,5.00,2.00,5.00,4.25,2.00,5.00,4.00,203,NULL,211,'INGLESES','FLORIANóPOLIS','SC',12304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181626,4.00,7.00,4.00,8.00,6.00,4.00,3.00,6.00,4.00,212,NULL,207,'CENTRO','FLORIANóPOLIS','SC',6894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181634,5.00,5.00,4.00,4.00,6.00,6.75,4.00,6.00,3.00,103,NULL,NULL,'CENTRO','PéROLA','PR',8853,2105,NULL,NULL,NULL,NULL,NULL,4,4),(16,3181642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUENO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3181650,6.00,6.00,5.00,7.00,6.00,6.50,4.00,8.00,5.00,333,NULL,NULL,'ARIRIU','PALHOçA','SC',4937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181669,4.00,2.00,2.00,9.00,4.00,6.75,2.00,3.00,4.00,213,NULL,238,'CENTRO','FLORIANóPOLIS','SC',13603,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181677,5.00,4.00,3.00,7.00,2.00,NULL,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181685,9.00,8.00,8.00,7.00,6.00,6.00,8.00,8.00,8.00,103,NULL,NULL,'CENTRO','JESUíTAS','PR',460,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3181707,3.00,2.00,3.00,2.00,5.00,NULL,2.00,3.00,2.00,104,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181715,4.00,4.00,3.00,8.00,6.00,5.75,4.00,3.00,4.00,444,NULL,NULL,'BARREIROS','S JOSé','SC',11512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181723,3.00,4.00,6.00,8.00,6.00,7.00,3.00,3.00,3.00,340,NULL,NULL,'VILA TONANI','DOURADOS','MS',9955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181731,8.00,8.00,6.00,6.00,4.00,6.00,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','MARIALVA','PR',3107,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3181758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3181782,5.00,3.00,4.00,1.00,4.00,6.25,2.00,6.00,4.00,201,NULL,207,'PICADAS DO SUL','S JOSé','SC',13627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181804,5.00,7.00,4.00,8.00,8.00,7.00,3.00,8.00,6.00,303,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',3429,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3181812,8.00,7.00,7.00,8.00,8.00,5.25,6.00,6.00,9.00,103,NULL,NULL,'SETOR SUL','GOIANéSIA','GO',901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181820,4.00,4.00,1.00,9.00,9.00,7.25,2.00,7.00,2.00,425,NULL,424,'BOM RETIRO','JOINVILLE','SC',9674,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3181839,4.00,4.00,4.00,7.00,6.00,4.75,4.00,3.00,4.00,212,NULL,201,'JARDIM MARGARIDA','LORENA','SP',11670,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3181847,4.00,3.00,3.00,7.00,1.00,NULL,0.00,1.00,3.00,420,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3181863,5.00,2.00,3.00,8.00,1.00,NULL,2.00,4.00,4.00,216,NULL,201,'JARDIM SÃO DIMAS','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181871,8.00,8.00,6.00,8.00,6.00,4.50,5.00,8.00,7.00,233,NULL,213,'SERRINHA','FLORIANóPOLIS','SC',2072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181880,8.00,6.00,5.00,9.00,5.00,7.25,5.00,8.00,7.00,103,NULL,NULL,'JARDIM BELA VISTA','CPO GRANDE','MS',1333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181901,5.00,5.00,3.00,7.00,4.00,6.00,5.00,5.00,3.00,333,NULL,NULL,'JARDIM KARAíBA','UBERLâNDIA','MG',9844,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3181910,6.00,5.00,6.00,6.00,5.00,5.25,2.00,4.00,5.00,203,NULL,214,'JARDIM ANCHIETA','PEDERNEIRAS','SP',9126,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181928,1.00,5.00,3.00,3.00,5.00,NULL,0.00,5.00,2.00,428,NULL,423,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181936,8.00,6.00,8.00,8.00,5.00,6.00,3.00,8.00,8.00,103,NULL,NULL,'JARDIM LEBLON','CPO GRANDE','MS',1523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181944,7.00,7.00,3.00,6.00,6.00,5.75,3.00,8.00,5.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',6300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181952,6.00,7.00,7.00,8.00,9.00,5.75,6.00,6.00,6.00,319,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',1954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181960,4.00,7.00,3.00,7.00,7.00,7.00,4.00,6.00,5.00,103,NULL,NULL,'BALNEÁRIO','FLORIANOPOLIS','SC',5833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3181987,6.00,5.00,4.00,3.00,3.00,NULL,4.00,7.00,4.00,301,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3181995,9.00,7.00,6.00,8.00,9.00,6.25,7.00,7.00,9.00,103,NULL,NULL,'CENTRO','CAXIAS SUL','RS',358,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3182002,4.00,7.00,4.00,6.00,6.00,5.25,4.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3182029,5.00,5.00,6.00,6.00,8.00,6.50,5.00,7.00,6.00,9,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',4027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182045,3.00,4.00,3.00,2.00,4.00,4.75,3.00,4.00,3.00,234,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',16610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182053,4.00,4.00,5.00,8.00,4.00,4.50,3.00,7.00,8.00,233,NULL,220,'CENTRO','CAMBé','PR',7436,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3182061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3182070,2.00,2.00,4.00,5.00,2.00,NULL,1.00,5.00,3.00,502,NULL,NULL,'INTERIOR','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3182096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3182126,8.00,6.00,6.00,9.00,2.00,NULL,5.00,6.00,5.00,201,NULL,207,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3182142,3.00,4.00,4.00,4.00,3.00,NULL,1.00,4.00,4.00,220,NULL,203,'NORTE FERROVIARIO','GOIâNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182150,5.00,3.00,4.00,6.00,2.00,NULL,5.00,7.00,4.00,501,NULL,NULL,'JARDIM IRAJá','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182169,6.00,7.00,6.00,7.00,7.00,5.75,4.00,8.00,5.00,203,NULL,233,'CENTRO','LAGES','SC',2905,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3182177,3.00,4.00,5.00,4.00,4.00,4.00,5.00,7.00,6.00,233,NULL,216,'SAGRADA FAMILIA','NOVA PRATA','RS',10213,319,NULL,361,NULL,NULL,NULL,2,1),(16,3182193,3.00,4.00,2.00,4.00,3.00,NULL,0.00,3.00,5.00,5,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3182207,5.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,1.00,415,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3182215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM GIRASSOL','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3182223,4.00,3.00,4.00,7.00,6.00,5.75,2.00,3.00,4.00,316,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',12321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3182231,4.00,5.00,2.00,6.00,7.00,6.00,4.00,6.00,4.00,501,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10340,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3182240,6.00,7.00,6.00,5.00,4.00,5.25,2.00,5.00,7.00,203,NULL,214,'RENATO GONCALVES','BARREIRAS','BA',7265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,201,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3182266,3.00,5.00,3.00,2.00,8.00,NULL,1.00,4.00,1.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','CAMBé','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3182290,5.00,5.00,4.00,3.00,4.00,6.00,4.00,6.00,5.00,202,NULL,220,'VILA LALAU','JARAGUá SUL','SC',11556,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3182304,3.00,4.00,4.00,5.00,3.00,NULL,2.00,2.00,3.00,102,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3182312,9.00,8.00,8.00,8.00,9.00,5.75,6.00,9.00,8.00,103,NULL,NULL,'SETOR OESTE','GOIâNIA','GO',239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3182339,6.00,9.00,7.00,9.00,8.00,6.25,7.00,8.00,8.00,444,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'VILA SãO JORGE','PR GRANDE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3182363,4.00,2.00,2.00,1.00,3.00,NULL,4.00,3.00,2.00,453,NULL,NULL,'BELA VISTA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3182371,7.00,9.00,4.00,9.00,8.00,7.50,3.00,9.00,6.00,5,NULL,NULL,'N SRA DO ROSARIO','SAO JOSE','SC',1221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182380,2.00,3.00,3.00,3.00,1.00,NULL,5.00,2.00,4.00,238,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3182398,2.00,3.00,4.00,2.00,1.00,NULL,2.00,1.00,2.00,203,NULL,214,'JARDIM BAL CURITIBA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3182401,5.00,4.00,1.00,3.00,3.00,NULL,3.00,4.00,3.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3182428,3.00,0.00,2.00,2.00,3.00,NULL,2.00,2.00,2.00,451,NULL,NULL,'AMBRóSIO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3182436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SETOR OESTE','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3182460,6.00,7.00,6.00,6.00,8.00,6.00,6.00,7.00,6.00,203,NULL,214,'SANTA TEREZA','VIDEIRA','SC',2150,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3182479,8.00,6.00,7.00,7.00,6.00,4.50,5.00,6.00,6.00,108,NULL,NULL,'SETOR SUL','ITUIUTABA','MG',2917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182487,2.00,3.00,2.00,0.00,2.00,NULL,3.00,5.00,2.00,425,NULL,428,'JAGUARE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3182495,3.00,2.00,2.00,4.00,6.00,4.75,3.00,5.00,3.00,501,NULL,NULL,'RIO BELO','ORLEANS','SC',16131,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3182509,0.00,4.00,4.00,3.00,4.00,5.25,3.00,6.00,3.00,101,NULL,NULL,'INTERIOR','BARRA R AZUL','RS',15481,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3182517,8.00,9.00,5.00,7.00,4.00,5.50,4.00,7.00,5.00,302,NULL,NULL,'CENTRO','TAIó','SC',3438,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3182525,7.00,5.00,8.00,8.00,6.00,4.75,5.00,8.00,7.00,220,NULL,203,'SETOR BUENO','GOIâNIA','GO',1971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182541,2.00,5.00,2.00,4.00,4.00,4.00,2.00,5.00,3.00,333,NULL,NULL,'AURORA','IçARA','SC',16597,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3182550,5.00,4.00,4.00,8.00,2.00,NULL,4.00,5.00,5.00,501,NULL,NULL,'JARDIM IRAJA','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182576,2.00,8.00,2.00,6.00,4.00,4.75,2.00,8.00,3.00,331,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC',12677,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3182584,3.00,3.00,3.00,0.00,5.00,5.50,3.00,3.00,5.00,303,NULL,NULL,'JARDIM IPIRANGA','BIGUAçU','SC',16338,713,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182592,3.00,3.00,2.00,2.00,2.00,NULL,3.00,3.00,2.00,451,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3182606,3.00,5.00,1.00,5.00,4.00,NULL,1.00,3.00,3.00,415,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3182614,8.00,7.00,8.00,9.00,7.00,8.00,6.00,8.00,8.00,103,NULL,NULL,'JD DAS BELEZAS','CARAPICUíBA','SP',191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182622,5.00,7.00,8.00,7.00,7.00,5.00,3.00,8.00,6.00,233,NULL,201,'RIBEIRANIA','RIBEIRãO PRETO','SP',3047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182630,6.00,7.00,4.00,7.00,4.00,6.00,2.00,8.00,5.00,340,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',6023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182649,2.00,1.00,2.00,0.00,0.00,NULL,2.00,3.00,3.00,444,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(16,3182657,5.00,8.00,7.00,8.00,6.00,5.50,4.00,5.00,6.00,203,NULL,220,'CENTRO','CRICIúMA','SC',4470,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3182665,7.00,6.00,7.00,8.00,7.00,6.00,6.00,6.00,6.00,9,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',1961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182673,5.00,4.00,2.00,5.00,7.00,5.25,3.00,6.00,5.00,9,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',11378,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3182681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ISABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3182690,3.00,3.00,3.00,4.00,4.00,5.50,2.00,5.00,2.00,103,NULL,NULL,'KM SESSENTA','TUBARãO','SC',15148,2704,NULL,NULL,NULL,NULL,NULL,4,10),(16,3182703,2.00,3.00,4.00,5.00,3.00,NULL,1.00,3.00,1.00,501,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182720,5.00,4.00,2.00,6.00,5.00,6.00,4.00,3.00,4.00,340,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',12537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3182754,0.00,1.00,1.00,4.00,2.00,NULL,1.00,3.00,2.00,9,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3182762,8.00,9.00,6.00,8.00,6.00,6.25,7.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',618,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3182789,3.00,3.00,3.00,2.00,4.00,4.00,2.00,7.00,2.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',16673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182819,3.00,4.00,1.00,6.00,5.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182827,5.00,7.00,7.00,8.00,6.00,5.50,6.00,7.00,7.00,212,NULL,213,'TRINDADE','FLORIANóPOLIS','SC',1759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182835,7.00,4.00,4.00,6.00,5.00,5.75,4.00,6.00,8.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6862,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3182843,7.00,8.00,7.00,9.00,7.00,6.75,6.00,7.00,8.00,207,NULL,201,'PANTANAL','FLORIANóPOLIS','SC',854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182851,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3182860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3182878,5.00,5.00,2.00,6.00,3.00,NULL,4.00,5.00,4.00,108,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182886,7.00,3.00,4.00,7.00,6.00,5.25,3.00,5.00,6.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',8689,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3182908,3.00,0.00,1.00,6.00,4.00,NULL,4.00,3.00,2.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3182916,4.00,7.00,4.00,7.00,5.00,4.50,4.00,8.00,3.00,201,NULL,207,'CENTRO','CLáUDIA','MT',7336,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3182924,4.00,4.00,2.00,6.00,3.00,NULL,1.00,5.00,2.00,316,NULL,NULL,'MORROTES','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3182940,5.00,3.00,5.00,6.00,6.00,5.25,3.00,7.00,5.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3182967,4.00,3.00,1.00,7.00,7.00,6.25,2.00,6.00,3.00,207,NULL,238,'JD CID DE FPOLIS','S JOSé','SC',11868,585,NULL,349,NULL,NULL,NULL,4,1),(16,3182975,2.00,5.00,4.00,5.00,3.00,NULL,2.00,5.00,4.00,238,NULL,208,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183009,2.00,4.00,1.00,4.00,4.00,6.00,2.00,7.00,2.00,308,NULL,NULL,'CENTRO','POMERODE','SC',16152,58,NULL,NULL,NULL,NULL,NULL,4,2),(16,3183017,6.00,2.00,4.00,7.00,5.00,6.50,3.00,7.00,4.00,215,NULL,216,'ITACORUBI','FLORIANóPOLIS','SC',8786,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,208,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3183033,8.00,5.00,5.00,3.00,4.00,4.75,4.00,5.00,7.00,301,NULL,NULL,'ROçADO','S JOSé','SC',7915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183041,7.00,8.00,7.00,8.00,7.00,7.00,6.00,9.00,6.00,203,NULL,214,'CóRREGO GRANDE','FLORIANóPOLIS','SC',869,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3183050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3183068,3.00,3.00,1.00,3.00,2.00,NULL,2.00,3.00,1.00,207,NULL,201,'CRUZEIRO','S LOURENçO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3183076,8.00,7.00,6.00,9.00,6.00,6.75,2.00,7.00,5.00,214,NULL,233,'PANTANAL','FLORIANóPOLIS','SC',2617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183084,2.00,4.00,2.00,9.00,5.00,7.00,3.00,6.00,2.00,324,NULL,NULL,'JARDIM CLEóPATRA','MARINGá','PR',12166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183092,3.00,5.00,2.00,2.00,4.00,3.00,2.00,4.00,3.00,404,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183122,3.00,5.00,4.00,4.00,6.00,5.75,4.00,7.00,4.00,201,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183130,5.00,5.00,1.00,7.00,5.00,5.25,5.00,4.00,4.00,317,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',11452,87,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183149,8.00,7.00,9.00,8.00,8.00,6.50,5.00,8.00,9.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183157,3.00,2.00,2.00,5.00,4.00,NULL,0.00,4.00,3.00,301,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183165,2.00,5.00,2.00,2.00,1.00,NULL,3.00,0.00,2.00,444,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183173,8.00,8.00,5.00,7.00,6.00,7.25,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','QUILOMBO','SC',2799,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3183181,5.00,6.00,4.00,8.00,6.00,6.00,4.00,6.00,8.00,207,NULL,201,'BARRA DO RIO','ITAJAí','SC',5099,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3183190,5.00,4.00,4.00,3.00,5.00,4.00,2.00,6.00,4.00,103,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUá SUL','SC',14132,2626,NULL,NULL,NULL,NULL,NULL,4,8),(16,3183203,2.00,3.00,3.00,8.00,3.00,NULL,3.00,5.00,3.00,203,NULL,NULL,'CAPITAIS','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3183211,3.00,5.00,4.00,5.00,3.00,NULL,3.00,4.00,1.00,317,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183220,8.00,8.00,9.00,8.00,9.00,6.75,7.00,9.00,8.00,103,NULL,NULL,'LAGO NORTE','LG NORTE','DF',27,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183238,5.00,5.00,1.00,7.00,4.00,5.50,3.00,6.00,4.00,104,NULL,NULL,'PINHEIRINHO','CRICIúMA','SC',12156,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(16,3183246,4.00,1.00,5.00,8.00,6.00,6.25,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',8712,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3183254,3.00,3.00,3.00,2.00,2.00,NULL,1.00,5.00,2.00,318,NULL,NULL,'PRAIA DOS INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183262,1.00,5.00,2.00,3.00,4.00,5.00,4.00,3.00,5.00,9,NULL,NULL,'COSTEIRA DO RIBEIRãO','FLORIANóPOLIS','SC',16095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183297,2.00,4.00,3.00,1.00,3.00,NULL,1.00,4.00,3.00,208,NULL,220,'INDUSTRIARIOS','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3183300,3.00,6.00,3.00,5.00,4.00,4.00,2.00,4.00,4.00,316,NULL,NULL,'BARREIROS','S JOSé','SC',14481,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183319,6.00,7.00,2.00,6.00,7.00,5.00,5.00,7.00,3.00,301,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',7165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183327,6.00,7.00,4.00,8.00,7.00,6.50,4.00,7.00,6.00,216,NULL,214,'BARREIROS','S JOSé','SC',3721,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183335,7.00,3.00,2.00,3.00,7.00,6.25,3.00,7.00,2.00,324,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183343,7.00,6.00,5.00,7.00,7.00,5.25,3.00,7.00,7.00,415,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',3764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM CRISTINA II','MANDAGUARI','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3183360,2.00,5.00,1.00,3.00,2.00,NULL,1.00,2.00,2.00,428,NULL,427,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IPORã','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3183386,8.00,7.00,4.00,8.00,6.00,6.00,8.00,8.00,8.00,103,NULL,NULL,'CENTRO','BIGUAçU','SC',1390,632,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183394,8.00,6.00,5.00,8.00,6.00,5.00,5.00,8.00,7.00,214,NULL,233,'UNIVERSITÁRIO','CHAPECó','SC',3629,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3183408,5.00,7.00,3.00,7.00,5.00,5.00,2.00,8.00,2.00,415,NULL,NULL,'CENTRO','SAUDADES','SC',8787,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3183416,2.00,2.00,3.00,0.00,0.00,NULL,1.00,4.00,3.00,332,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(16,3183424,4.00,4.00,3.00,3.00,3.00,NULL,1.00,7.00,3.00,304,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183440,1.00,2.00,1.00,2.00,2.00,NULL,1.00,3.00,4.00,420,NULL,NULL,'PRAIA DOS INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183459,2.00,6.00,4.00,9.00,5.00,6.25,2.00,6.00,5.00,207,NULL,201,'FAZENDA','ITAJAí','SC',8338,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3183467,1.00,5.00,1.00,2.00,4.00,NULL,2.00,5.00,2.00,208,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3183483,8.00,9.00,7.00,9.00,7.00,6.25,6.00,8.00,9.00,203,NULL,220,'JARDIM LA SALLE','TOLEDO','PR',362,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3183491,3.00,5.00,4.00,7.00,4.00,4.75,2.00,6.00,5.00,220,NULL,202,'JARDIM FLóRIDA','CPO MOURãO','PR',11433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183505,2.00,4.00,5.00,7.00,6.00,5.25,3.00,7.00,4.00,340,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',9922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183521,5.00,5.00,4.00,6.00,5.00,4.50,5.00,6.00,4.00,214,NULL,212,'CENTRO','RIBEIRãO PRETO','SP',9614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183530,2.00,4.00,1.00,2.00,2.00,NULL,3.00,5.00,4.00,308,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3183548,5.00,5.00,5.00,7.00,8.00,4.00,2.00,4.00,3.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10057,102,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183556,7.00,7.00,4.00,8.00,7.00,6.50,5.00,7.00,7.00,103,NULL,NULL,'MINA DO MATO','CRICIúMA','SC',3214,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3183564,2.00,4.00,2.00,8.00,3.00,NULL,0.00,2.00,2.00,303,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183572,3.00,4.00,2.00,2.00,5.00,4.75,3.00,6.00,4.00,3,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',15249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183580,5.00,6.00,4.00,7.00,6.00,6.00,5.00,8.00,4.00,103,NULL,NULL,'BARRA DO RIO','ITAJAí','SC',4969,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3183599,5.00,0.00,4.00,5.00,4.00,5.75,2.00,3.00,5.00,415,NULL,NULL,'CENTRAL','STA ROSA','RS',15455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183602,3.00,3.00,3.00,6.00,1.00,NULL,1.00,5.00,2.00,104,NULL,NULL,'OFICINAS','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3183610,6.00,4.00,5.00,8.00,8.00,5.00,4.00,7.00,5.00,302,NULL,NULL,'CENTRO DE PALHOçA','PALHOçA','SC',5155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183629,4.00,3.00,4.00,7.00,6.00,4.75,5.00,3.00,6.00,303,NULL,NULL,'CABEçUDA','LAGUNA','SC',10555,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3183637,4.00,7.00,2.00,2.00,5.00,0.00,2.00,8.00,3.00,3,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183645,1.00,1.00,3.00,2.00,2.00,NULL,3.00,5.00,2.00,203,NULL,220,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183653,5.00,3.00,4.00,6.00,4.00,4.75,2.00,3.00,3.00,316,NULL,NULL,'BARREIROS','S JOSé','SC',14827,185,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183661,6.00,6.00,3.00,5.00,5.00,6.50,5.00,7.00,6.00,214,NULL,203,'BARREIROS','S JOSé','SC',7053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183670,3.00,0.00,1.00,1.00,2.00,NULL,3.00,2.00,4.00,426,NULL,425,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183688,3.00,2.00,1.00,5.00,0.00,NULL,3.00,2.00,3.00,326,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183696,2.00,5.00,4.00,1.00,3.00,NULL,3.00,4.00,2.00,318,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183718,7.00,6.00,8.00,9.00,8.00,6.75,8.00,8.00,9.00,103,NULL,NULL,'JARDIM AMéRICA','GOIâNIA','GO',309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183726,4.00,5.00,5.00,8.00,7.00,6.25,4.00,8.00,5.00,339,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',4671,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3183734,7.00,8.00,6.00,8.00,6.00,6.25,4.00,7.00,7.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183742,4.00,6.00,4.00,2.00,5.00,5.00,2.00,6.00,3.00,238,NULL,208,'AREIAS','CAçADOR','SC',13850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183750,2.00,3.00,3.00,5.00,6.00,2.25,3.00,4.00,5.00,208,NULL,220,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183769,3.00,4.00,2.00,2.00,2.00,NULL,1.00,5.00,3.00,426,NULL,428,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3183793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3183807,6.00,5.00,8.00,9.00,8.00,5.75,4.00,8.00,8.00,103,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',1540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183815,6.00,4.00,3.00,6.00,3.00,NULL,3.00,5.00,5.00,238,NULL,208,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183823,5.00,7.00,3.00,7.00,6.00,5.50,3.00,8.00,5.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'JARDIM CALIFORNIA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3183840,4.00,1.00,4.00,7.00,3.00,NULL,1.00,4.00,3.00,303,NULL,NULL,'XV DE NOVEMBRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3183858,4.00,3.00,2.00,1.00,3.00,NULL,4.00,3.00,7.00,208,NULL,238,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3183866,7.00,6.00,3.00,7.00,6.00,6.25,2.00,6.00,5.00,302,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',6764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183874,2.00,1.00,4.00,2.00,3.00,NULL,2.00,2.00,0.00,319,NULL,NULL,'CENTRO','SINOP','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183882,6.00,8.00,5.00,9.00,8.00,5.25,4.00,7.00,3.00,103,NULL,NULL,'SãO DOMINGOS','NAVEGANTES','SC',3277,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3183890,3.00,6.00,4.00,2.00,3.00,NULL,4.00,5.00,5.00,202,NULL,NULL,'PRAIA DE ITAPARICA','VL VELHA','ES',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183904,1.00,3.00,3.00,4.00,2.00,NULL,1.00,4.00,3.00,201,NULL,207,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3183912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','PITANGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3183920,7.00,8.00,6.00,8.00,7.00,6.25,4.00,8.00,7.00,5,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',1820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183939,1.00,1.00,2.00,2.00,1.00,NULL,2.00,3.00,3.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183947,5.00,5.00,3.00,5.00,4.00,4.75,3.00,4.00,5.00,201,NULL,212,'GLóRIA','JOINVILLE','SC',12733,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3183963,4.00,6.00,2.00,4.00,1.00,NULL,3.00,6.00,1.00,208,NULL,238,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3183998,2.00,2.00,4.00,7.00,4.00,4.75,4.00,3.00,3.00,301,NULL,NULL,'CENTRO','NAVEGANTES','SC',15199,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3184005,1.00,5.00,2.00,4.00,6.00,3.00,2.00,7.00,2.00,421,NULL,424,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184021,6.00,6.00,1.00,4.00,6.00,4.00,2.00,8.00,2.00,316,NULL,NULL,'SAO JOSE','S JOSé','SC',11707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184030,5.00,5.00,2.00,7.00,6.00,6.50,2.00,5.00,4.00,450,NULL,NULL,'SANTA PAULA','S CAETANO SUL','SP',9713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184048,9.00,9.00,5.00,7.00,7.00,7.50,4.00,6.00,7.00,103,NULL,NULL,'KOBRASOL','S JOSé','SC',1487,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184064,4.00,7.00,1.00,8.00,4.00,6.00,2.00,9.00,2.00,310,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',10157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184072,3.00,4.00,3.00,4.00,4.00,5.00,1.00,4.00,4.00,208,NULL,238,'BARREIROS','S JOSé','SC',15836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184080,6.00,7.00,4.00,7.00,4.00,6.00,4.00,6.00,6.00,317,NULL,NULL,'CAMPINAS','S JOSé','SC',5061,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184099,5.00,5.00,5.00,8.00,7.00,5.75,4.00,7.00,5.00,207,NULL,NULL,'SANTA CRUZ','CASCAVEL','PR',5581,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3184102,8.00,5.00,6.00,3.00,6.00,8.25,5.00,6.00,8.00,450,NULL,NULL,'SANTANA','ARARAQUARA','SP',2829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184110,5.00,2.00,1.00,6.00,3.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184137,5.00,7.00,4.00,7.00,5.00,6.00,4.00,6.00,5.00,102,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',7523,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184145,4.00,5.00,5.00,5.00,5.00,6.25,3.00,4.00,5.00,211,NULL,213,'CENTRO','FLORIANóPOLIS','SC',10211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184153,2.00,4.00,4.00,0.00,6.00,NULL,1.00,2.00,3.00,238,NULL,201,'EFAPI','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3184161,3.00,3.00,2.00,3.00,5.00,NULL,2.00,3.00,2.00,444,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184170,4.00,5.00,4.00,7.00,5.00,6.50,4.00,7.00,4.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184188,6.00,7.00,2.00,7.00,3.00,NULL,1.00,6.00,2.00,303,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184200,5.00,7.00,3.00,1.00,5.00,3.25,3.00,7.00,6.00,201,NULL,212,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3184218,0.00,2.00,3.00,3.00,0.00,NULL,3.00,3.00,3.00,108,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184226,2.00,4.00,1.00,4.00,4.00,NULL,3.00,4.00,3.00,216,NULL,233,'OPERARIA NOVA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3184234,5.00,4.00,3.00,7.00,5.00,3.00,4.00,8.00,2.00,453,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184242,6.00,4.00,3.00,5.00,6.00,4.75,0.00,4.00,3.00,444,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',14659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184250,4.00,4.00,1.00,7.00,3.00,NULL,2.00,2.00,3.00,303,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184269,7.00,5.00,8.00,8.00,7.00,7.75,5.00,6.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1245,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184277,2.00,3.00,1.00,5.00,3.00,NULL,2.00,1.00,1.00,207,NULL,201,'PROGRESSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3184285,4.00,4.00,2.00,6.00,4.00,5.25,3.00,6.00,3.00,316,NULL,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',14235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184293,5.00,7.00,7.00,5.00,4.00,6.25,2.00,6.00,6.00,301,NULL,NULL,'CENTRO','MINEIROS','GO',5643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184307,2.00,2.00,3.00,5.00,2.00,NULL,2.00,3.00,2.00,208,NULL,214,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184315,7.00,6.00,3.00,6.00,6.00,7.00,3.00,7.00,7.00,202,NULL,201,'JARDIM CIDADE','S JOSé','SC',5066,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184323,6.00,7.00,4.00,7.00,8.00,6.75,5.00,4.00,7.00,211,NULL,238,'CENTRO','FLORIANóPOLIS','SC',3846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184331,7.00,8.00,5.00,9.00,7.00,6.00,3.00,8.00,4.00,233,NULL,208,'CENTRO','BRUSQUE','SC',2759,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(16,3184340,0.00,6.00,4.00,7.00,6.00,5.75,2.00,5.00,2.00,425,NULL,424,'ABRAãO','FLORIANóPOLIS','SC',13255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184358,7.00,5.00,4.00,9.00,6.00,7.75,3.00,4.00,4.00,207,NULL,NULL,'GRAVATA','NAVEGANTES','SC',5743,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3184366,3.00,5.00,2.00,5.00,4.00,6.00,1.00,7.00,4.00,214,NULL,212,'CARVOEIRA','FLORIANóPOLIS','SC',12640,410,NULL,363,NULL,NULL,NULL,4,1),(16,3184374,4.00,4.00,2.00,8.00,5.00,5.00,3.00,8.00,2.00,238,NULL,208,'TRINDADE','FLORIANóPOLIS','SC',10832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184382,3.00,3.00,1.00,3.00,3.00,NULL,2.00,4.00,4.00,201,NULL,202,'CORDEIRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3184390,7.00,9.00,7.00,9.00,8.00,6.25,3.00,7.00,7.00,303,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',1148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184404,4.00,5.00,3.00,6.00,3.00,NULL,2.00,7.00,6.00,103,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184412,3.00,7.00,6.00,8.00,5.00,6.75,2.00,5.00,3.00,103,NULL,NULL,'SERTÃO','STO AMARO IMPERATRIZ','SC',8403,2042,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184420,4.00,3.00,3.00,7.00,5.00,6.25,1.00,4.00,6.00,215,NULL,216,'CENTRO','CAXIAS SUL','RS',11779,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184439,7.00,7.00,6.00,9.00,5.00,5.50,6.00,9.00,8.00,202,NULL,208,'JARDIM BLUMENAU','BLUMENAU','SC',1256,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3184447,3.00,6.00,4.00,9.00,6.00,4.00,4.00,6.00,4.00,450,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184455,4.00,5.00,4.00,7.00,6.00,5.25,2.00,6.00,4.00,428,NULL,426,'FAZENDA STO ANTôNIO','S JOSé','SC',10716,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184463,1.00,4.00,2.00,2.00,3.00,NULL,2.00,1.00,2.00,415,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184471,4.00,3.00,2.00,8.00,7.00,6.00,1.00,5.00,4.00,332,NULL,NULL,'ARMAçãO','FLORIANóPOLIS','SC',11844,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184480,4.00,6.00,3.00,6.00,5.00,6.50,2.00,5.00,4.00,317,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',10596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184501,5.00,6.00,4.00,4.00,4.00,5.00,4.00,8.00,4.00,301,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',8303,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184510,5.00,5.00,2.00,8.00,5.00,6.50,1.00,7.00,2.00,328,NULL,NULL,'ESTRERITO','FLORIANóPOLIS','SC',11153,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CENTRO','BENTO GONçALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3184536,5.00,7.00,3.00,2.00,6.00,5.75,3.00,7.00,6.00,101,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',9233,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3184544,6.00,7.00,5.00,7.00,7.00,6.50,3.00,7.00,5.00,331,NULL,NULL,'KOBRASOL','S JOSé','SC',4881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184552,2.00,5.00,2.00,2.00,4.00,NULL,3.00,3.00,3.00,451,NULL,NULL,'CENTRO','S CAETANO SUL','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184560,5.00,3.00,1.00,6.00,3.00,NULL,2.00,3.00,4.00,420,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3184587,2.00,5.00,1.00,1.00,3.00,NULL,2.00,3.00,2.00,444,NULL,NULL,'CENRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184595,7.00,7.00,5.00,7.00,7.00,5.75,2.00,7.00,4.00,201,NULL,202,'CENTRO','ITAJAí','SC',4559,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3184609,8.00,6.00,5.00,7.00,6.00,4.75,4.00,7.00,6.00,340,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',3328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184617,5.00,2.00,3.00,2.00,1.00,NULL,1.00,4.00,1.00,104,NULL,NULL,'CENTRO','CéU AZUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3184625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BELA VISTA','CONCóRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3184633,3.00,2.00,3.00,5.00,2.00,NULL,4.00,4.00,3.00,211,NULL,203,'INTERIOR','CUNHA PORã','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3184641,2.00,1.00,2.00,3.00,3.00,NULL,2.00,3.00,4.00,428,NULL,426,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184650,5.00,4.00,5.00,8.00,6.00,4.50,4.00,5.00,3.00,202,NULL,220,'SAIC','CHAPECó','SC',7800,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3184668,3.00,1.00,2.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,208,'CENTRO','JOAçABA','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',4,1),(16,3184676,3.00,4.00,4.00,6.00,4.00,5.00,4.00,4.00,4.00,215,NULL,211,'CENTRO','FLORIANóPOLIS','SC',13253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184684,6.00,4.00,4.00,5.00,5.00,5.00,4.00,5.00,4.00,317,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',10638,77,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184692,0.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,233,NULL,215,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3184706,4.00,5.00,3.00,6.00,6.00,4.75,3.00,9.00,5.00,211,NULL,233,'CENTRO','PANAMBI','RS',8797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184714,3.00,3.00,3.00,9.00,7.00,6.00,3.00,3.00,2.00,503,NULL,NULL,'PRAIA DA JOAQUINA','FLORIANóPOLIS','SC',12223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184722,5.00,4.00,3.00,3.00,6.00,5.75,4.00,6.00,7.00,233,NULL,238,'CENTRO','FLORIANóPOLIS','SC',10254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3184749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','CAMBé','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3184757,5.00,8.00,5.00,5.00,4.00,6.25,2.00,5.00,4.00,211,NULL,214,'AMéRICA','JOINVILLE','SC',9023,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3184765,3.00,3.00,4.00,0.00,2.00,NULL,3.00,4.00,2.00,201,NULL,202,'PORTINHO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3184773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'MORRO DO MEIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3184781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SANTA CRUZ','CASTRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3184790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'MORROTES','TUBARãO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3184803,1.00,1.00,2.00,3.00,2.00,NULL,1.00,0.00,1.00,425,NULL,429,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184811,4.00,5.00,3.00,7.00,5.00,6.50,3.00,4.00,2.00,103,NULL,NULL,'SãO PEDRO','LAGES','SC',12844,2516,NULL,NULL,NULL,NULL,NULL,2,9),(16,3184820,3.00,2.00,3.00,8.00,5.00,4.50,4.00,1.00,3.00,103,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',15760,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184838,7.00,6.00,3.00,6.00,5.00,5.50,3.00,8.00,4.00,428,NULL,421,'CARIANOS','FLORIANóPOLIS','SC',8557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184846,5.00,7.00,6.00,8.00,7.00,7.75,7.00,5.00,6.00,238,NULL,208,'ITACORRUBI','FLORIANóPOLIS','SC',2083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184854,7.00,5.00,6.00,8.00,8.00,5.25,5.00,7.00,9.00,203,NULL,220,'SANTA TEREZINHA','GáLIA','SP',2011,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3184862,6.00,7.00,3.00,8.00,5.00,5.75,5.00,7.00,2.00,201,NULL,207,'CENTRO','LAGES','SC',6778,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3184870,4.00,4.00,2.00,4.00,5.00,7.00,5.00,5.00,4.00,444,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',12284,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3184897,4.00,6.00,2.00,5.00,6.00,5.75,3.00,6.00,3.00,207,NULL,201,'ESTREITO','FLORIANóPOLIS','SC',12348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184900,3.00,5.00,3.00,6.00,4.00,3.25,1.00,3.00,3.00,201,NULL,214,'CENTRO','TAUBATé','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3184927,5.00,4.00,7.00,8.00,8.00,7.00,4.00,2.00,7.00,201,NULL,212,'CENTRO','BIGUAçU','SC',5476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184935,0.00,2.00,2.00,3.00,2.00,NULL,2.00,1.00,1.00,201,NULL,203,'KOKI','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3184943,3.00,7.00,2.00,7.00,5.00,5.75,3.00,8.00,4.00,331,NULL,NULL,'CORAL','LAGES','SC',9178,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3184951,4.00,6.00,4.00,7.00,5.00,3.25,3.00,2.00,4.00,5,NULL,NULL,'CENTRO','VARGEãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3184960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'HIGIENOPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3184978,4.00,3.00,4.00,7.00,5.00,5.50,3.00,5.00,5.00,108,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3184986,6.00,6.00,4.00,8.00,8.00,6.00,1.00,6.00,4.00,211,NULL,203,'CAMPINAS','S JOSé','SC',6439,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185001,7.00,7.00,6.00,8.00,6.00,6.00,2.00,7.00,5.00,207,NULL,201,'ITACORUBI','FLORIANóPOLIS','SC',4414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185028,6.00,4.00,3.00,2.00,4.00,5.00,2.00,5.00,4.00,319,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',14760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185036,8.00,8.00,6.00,2.00,5.00,4.00,3.00,6.00,6.00,103,NULL,NULL,'PQ DAS FLORES','TAUBATé','SP',7242,1876,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'ESTORIL','CORNéLIO PROCóPIO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3185052,3.00,0.00,3.00,0.00,2.00,NULL,2.00,1.00,3.00,316,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3185060,5.00,4.00,4.00,6.00,5.00,4.50,3.00,6.00,5.00,208,NULL,238,'SANTA MôNICA','FLORIANóPOLIS','SC',10378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185079,4.00,5.00,3.00,5.00,6.00,7.00,3.00,6.00,3.00,208,NULL,238,'FREITAS','PAULO LOPES','SC',11207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185087,7.00,3.00,3.00,2.00,5.00,5.00,3.00,4.00,5.00,233,NULL,220,'CAMPESTRE','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3185117,6.00,8.00,5.00,4.00,6.00,6.50,3.00,7.00,4.00,316,NULL,NULL,'BIGUAçU','BIGUAçU','SC',6610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185125,4.00,5.00,2.00,6.00,7.00,5.00,3.00,5.00,5.00,303,NULL,NULL,'CAMPINAS','S JOSé','SC',10684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185133,5.00,7.00,3.00,8.00,4.00,4.75,4.00,5.00,3.00,238,NULL,NULL,'CENTRO','GASPAR','SC',9123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185141,8.00,7.00,5.00,8.00,6.00,5.75,4.00,6.00,7.00,216,NULL,211,'MONTE VERDE','CáCERES','MT',3157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185168,9.00,9.00,8.00,7.00,8.00,6.50,7.00,8.00,9.00,103,NULL,NULL,'SETOR SUL','GOIâNIA','GO',103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185176,4.00,0.00,1.00,6.00,5.00,NULL,2.00,3.00,5.00,319,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3185192,6.00,6.00,5.00,5.00,3.00,NULL,3.00,7.00,6.00,450,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185206,1.00,3.00,2.00,1.00,1.00,NULL,2.00,1.00,4.00,303,NULL,NULL,'JD BARONESA','TAUBATé','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185214,8.00,7.00,4.00,8.00,4.00,5.00,4.00,4.00,5.00,211,NULL,216,'BARRA SUL','CAMBORIú','SC',5447,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3185222,4.00,2.00,2.00,4.00,4.00,NULL,1.00,4.00,1.00,104,NULL,NULL,'INTERIOR','BARRA R AZUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3185230,3.00,3.00,1.00,2.00,5.00,NULL,3.00,5.00,3.00,211,NULL,216,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3185249,7.00,4.00,3.00,4.00,5.00,5.00,5.00,5.00,5.00,104,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',9642,258,NULL,NULL,NULL,NULL,NULL,2,1),(16,3185273,8.00,5.00,5.00,6.00,4.00,7.00,4.00,7.00,7.00,3,NULL,NULL,'SãO JOSé','MARAVILHA','SC',4513,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3185281,4.00,5.00,2.00,4.00,5.00,4.00,2.00,7.00,5.00,101,NULL,NULL,'BELA VISTA','RIO NEGRINHO','SC',13809,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3185290,6.00,6.00,1.00,6.00,7.00,4.25,5.00,2.00,3.00,233,NULL,216,'TRES PALMEIRAS','CEL FREITAS','SC',11143,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3185303,6.00,6.00,5.00,3.00,7.00,6.25,3.00,7.00,7.00,201,NULL,208,'CENTRO','FLORIANóPOLIS','SC',4854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185311,2.00,2.00,1.00,4.00,3.00,NULL,3.00,1.00,3.00,213,NULL,202,'DA GRUTA','ERVAL VELHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3185320,3.00,4.00,1.00,3.00,2.00,NULL,0.00,3.00,4.00,104,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3185338,2.00,6.00,3.00,6.00,3.00,NULL,2.00,6.00,3.00,329,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185346,6.00,8.00,6.00,8.00,6.00,5.25,3.00,4.00,6.00,220,NULL,208,'CENTRO','FLORIANóPOLIS','SC',4247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185354,6.00,1.00,3.00,3.00,5.00,4.00,5.00,4.00,5.00,303,NULL,NULL,'ARMAçãO DO PANTANO','FLORIANóPOLIS','SC',14722,643,NULL,NULL,NULL,NULL,NULL,2,1),(16,3185362,5.00,7.00,5.00,7.00,7.00,5.75,5.00,7.00,3.00,317,NULL,NULL,'CENTRO','ITAJAí','SC',5149,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3185370,6.00,4.00,2.00,3.00,4.00,NULL,1.00,4.00,2.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185397,7.00,6.00,5.00,7.00,5.00,6.25,2.00,7.00,7.00,103,NULL,NULL,'ALTO DA GLóRIA','GOIâNIA','GO',4749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TAQUARAL','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3185419,5.00,6.00,3.00,3.00,6.00,4.50,4.00,6.00,3.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185427,6.00,4.00,2.00,7.00,2.00,NULL,3.00,4.00,3.00,502,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3185435,0.00,3.00,2.00,4.00,4.00,5.75,4.00,4.00,3.00,207,NULL,233,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',16503,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3185443,5.00,2.00,3.00,5.00,3.00,NULL,4.00,3.00,3.00,316,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3185451,6.00,7.00,6.00,7.00,6.00,6.25,3.00,9.00,6.00,103,NULL,NULL,'COLATTO','XANXERê','SC',2475,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3185460,4.00,3.00,3.00,4.00,6.00,6.00,3.00,6.00,6.00,207,NULL,NULL,'VELHA','BLUMENAU','SC',11505,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3185486,3.00,5.00,1.00,7.00,7.00,7.00,2.00,7.00,1.00,326,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',11826,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3185494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CPO MOURãO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3185508,7.00,4.00,3.00,7.00,7.00,6.00,1.00,8.00,6.00,428,NULL,426,'JURERê','FLORIANóPOLIS','SC',7969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185524,6.00,6.00,1.00,4.00,4.00,6.50,4.00,8.00,4.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',8343,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3185532,5.00,4.00,2.00,6.00,4.00,5.25,2.00,4.00,4.00,203,NULL,214,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185540,3.00,2.00,3.00,1.00,3.00,NULL,3.00,2.00,2.00,319,NULL,NULL,'NOSSA SENHORA DE FáT','BARRACãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3185559,7.00,7.00,6.00,9.00,8.00,7.25,4.00,8.00,7.00,415,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',1203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185567,2.00,4.00,2.00,9.00,5.00,5.50,3.00,5.00,4.00,304,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',11725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185575,5.00,6.00,5.00,8.00,8.00,5.50,6.00,8.00,6.00,415,NULL,NULL,'MOEMA','S PAULO','SP',2459,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3185583,3.00,7.00,1.00,9.00,7.00,2.25,2.00,8.00,5.00,326,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185591,4.00,7.00,3.00,7.00,4.00,4.75,3.00,5.00,2.00,329,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',12174,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3185613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMBUI','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3185621,5.00,7.00,6.00,8.00,6.00,4.50,6.00,7.00,4.00,327,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3761,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3185630,6.00,6.00,2.00,7.00,6.00,7.00,2.00,5.00,3.00,327,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',10042,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3185656,4.00,4.00,1.00,8.00,4.00,6.25,3.00,5.00,3.00,101,NULL,NULL,'CENTRO','CPO ALEGRE','SC',12888,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3185672,4.00,7.00,5.00,5.00,5.00,5.25,3.00,6.00,5.00,310,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',8681,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3185680,4.00,3.00,4.00,7.00,4.00,5.75,4.00,5.00,5.00,302,NULL,NULL,'KOBRASOL','S JOSé','SC',10810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185699,3.00,2.00,3.00,4.00,0.00,NULL,1.00,1.00,2.00,333,NULL,NULL,'ZONA CINCO','MARINGá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185702,6.00,6.00,3.00,7.00,4.00,6.50,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',8417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185710,1.00,5.00,1.00,5.00,7.00,4.25,3.00,5.00,5.00,425,NULL,429,'SACO DOS LIMõES','FLORIANóPOLIS','SC',14329,78,NULL,53,NULL,NULL,NULL,4,1),(16,3185729,4.00,4.00,4.00,5.00,7.00,5.25,4.00,6.00,4.00,317,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8632,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3185737,4.00,5.00,2.00,9.00,4.00,4.75,3.00,2.00,3.00,104,NULL,NULL,'ITAGUAçú','FLORIANóPOLIS','SC',14337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185761,4.00,5.00,2.00,8.00,6.00,6.25,4.00,5.00,5.00,108,NULL,NULL,'JARDIM ESMERALDA','S PAULO','SP',7868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185788,7.00,7.00,8.00,8.00,6.00,7.00,7.00,8.00,8.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAíBA','SP',715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3185826,5.00,6.00,2.00,5.00,7.00,4.50,5.00,3.00,3.00,203,NULL,202,'CHACARA DA BARRA','CAMPINAS','SP',11474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185834,3.00,4.00,3.00,5.00,4.00,5.75,3.00,4.00,0.00,308,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',16549,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3185842,3.00,4.00,5.00,4.00,3.00,NULL,4.00,3.00,1.00,208,NULL,238,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3185850,2.00,3.00,2.00,7.00,6.00,5.25,2.00,7.00,4.00,316,NULL,NULL,'CAMPINAS','S JOSé','SC',12809,149,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185869,7.00,7.00,3.00,8.00,6.00,5.75,4.00,6.00,6.00,340,NULL,NULL,'NAçõES','BAL CAMBORIú','SC',5563,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3185877,5.00,3.00,4.00,7.00,5.00,5.75,5.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185893,3.00,5.00,2.00,2.00,5.00,NULL,2.00,2.00,4.00,425,NULL,429,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3185915,4.00,3.00,4.00,6.00,3.00,NULL,2.00,0.00,1.00,238,NULL,215,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3185923,1.00,3.00,4.00,4.00,2.00,NULL,2.00,5.00,3.00,220,NULL,213,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3185931,2.00,2.00,5.00,4.00,3.00,NULL,3.00,6.00,2.00,319,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3185940,4.00,2.00,2.00,8.00,3.00,NULL,3.00,5.00,4.00,225,NULL,NULL,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3185958,2.00,1.00,3.00,7.00,3.00,NULL,3.00,2.00,3.00,316,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3185966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3185974,4.00,6.00,5.00,4.00,7.00,4.00,3.00,6.00,7.00,103,NULL,NULL,'BOQUEIRÃO','PASSO FUNDO','RS',7421,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3185982,6.00,2.00,2.00,5.00,5.00,5.50,2.00,3.00,5.00,502,NULL,NULL,'CENTRO','PR GRANDE','SC',14824,58,NULL,NULL,NULL,NULL,NULL,2,1),(16,3185990,4.00,6.00,3.00,5.00,5.00,5.00,4.00,5.00,5.00,415,NULL,NULL,'URUSSANGUINHA','ARARANGUá','SC',10972,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3186008,7.00,7.00,7.00,2.00,4.00,5.25,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4958,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3186016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3186040,3.00,3.00,2.00,3.00,4.00,NULL,2.00,2.00,4.00,316,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186059,6.00,4.00,1.00,6.00,5.00,4.50,3.00,6.00,3.00,201,NULL,212,'CENTRO','IMARUí','SC',12916,1005,NULL,371,NULL,NULL,NULL,2,10),(16,3186075,4.00,6.00,1.00,3.00,3.00,NULL,0.00,6.00,3.00,238,NULL,208,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186083,7.00,7.00,7.00,9.00,7.00,7.00,4.00,7.00,4.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','JABORá','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3186105,5.00,5.00,5.00,8.00,5.00,4.00,1.00,6.00,4.00,201,NULL,216,'BARRA DA LAGOA','FLORIANóPOLIS','SC',10033,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186113,2.00,3.00,2.00,7.00,2.00,NULL,1.00,3.00,2.00,211,NULL,215,'TABULEIRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3186130,4.00,7.00,3.00,4.00,4.00,4.50,2.00,7.00,2.00,301,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',13170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186164,4.00,2.00,3.00,5.00,2.00,NULL,2.00,2.00,2.00,444,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186172,5.00,6.00,3.00,7.00,8.00,5.75,3.00,4.00,2.00,310,NULL,NULL,'FREITAS','PAULO LOPES','SC',9264,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186180,6.00,6.00,7.00,8.00,7.00,7.00,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','BANDEIRANTES','PR',2014,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3186199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SãO JUDAS TADEU','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3186202,8.00,7.00,7.00,7.00,7.00,6.75,5.00,8.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2127,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186210,3.00,2.00,1.00,5.00,6.00,NULL,3.00,2.00,3.00,450,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186229,6.00,7.00,4.00,6.00,4.00,0.00,1.00,6.00,4.00,108,NULL,NULL,'BREMER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3186237,4.00,4.00,3.00,5.00,0.00,NULL,3.00,1.00,0.00,301,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186253,3.00,7.00,3.00,8.00,5.00,5.75,3.00,7.00,4.00,424,NULL,421,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',8767,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3186261,0.00,4.00,2.00,6.00,4.00,6.00,2.00,4.00,5.00,316,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',16021,202,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186270,6.00,7.00,3.00,7.00,5.00,5.75,4.00,8.00,4.00,201,NULL,211,'CENTRO','FLORIANóPOLIS','SC',7608,596,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186288,9.00,8.00,2.00,8.00,6.00,6.25,3.00,9.00,6.00,207,NULL,211,'ANITA GARIBALDI','JOINVILLE','SC',2871,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3186296,4.00,7.00,3.00,3.00,4.00,6.25,4.00,6.00,6.00,201,NULL,212,'ITACORUBI','FLORIANóPOLIS','SC',9779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186300,8.00,7.00,6.00,8.00,7.00,5.00,5.00,7.00,7.00,233,NULL,238,'SACO DOS LIMOES','FLORIANóPOLIS','SC',1273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186318,5.00,5.00,3.00,5.00,3.00,NULL,3.00,4.00,6.00,103,NULL,NULL,'PASSO DA AREIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186326,8.00,7.00,5.00,6.00,6.00,6.50,2.00,6.00,3.00,5,NULL,NULL,'TARUMã','CURITIBA','PR',6485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186334,2.00,1.00,1.00,6.00,3.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'PENHA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186342,7.00,6.00,6.00,7.00,4.00,4.75,5.00,7.00,6.00,203,NULL,220,'FLORESTA','JOINVILLE','SC',4810,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3186350,3.00,2.00,3.00,1.00,3.00,NULL,2.00,4.00,4.00,429,NULL,426,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186369,1.00,1.00,1.00,4.00,3.00,NULL,2.00,3.00,1.00,238,NULL,208,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186385,3.00,4.00,1.00,5.00,3.00,NULL,1.00,3.00,3.00,104,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186393,4.00,5.00,4.00,5.00,2.00,NULL,2.00,5.00,2.00,331,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186407,3.00,6.00,2.00,6.00,6.00,4.75,1.00,6.00,3.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',13489,2563,NULL,NULL,NULL,NULL,NULL,4,3),(16,3186415,1.00,7.00,3.00,7.00,6.00,4.75,2.00,6.00,5.00,427,NULL,428,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',10214,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3186423,5.00,1.00,3.00,2.00,4.00,NULL,1.00,3.00,2.00,104,NULL,NULL,'SHANGAI','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186431,2.00,3.00,1.00,0.00,2.00,NULL,1.00,4.00,2.00,104,NULL,NULL,'CENTRO','CAIBI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3186440,4.00,3.00,3.00,3.00,4.00,NULL,2.00,3.00,2.00,208,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186458,5.00,8.00,6.00,3.00,5.00,6.00,2.00,6.00,6.00,203,NULL,213,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',7935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186466,5.00,5.00,6.00,8.00,3.00,NULL,4.00,3.00,4.00,303,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186474,4.00,4.00,2.00,5.00,4.00,4.75,1.00,8.00,1.00,327,NULL,NULL,'TABULEIRO','CAMBORIú','SC',14987,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3186482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CANTA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3186490,5.00,4.00,4.00,4.00,4.00,5.50,4.00,4.00,6.00,102,NULL,NULL,'CUMBATA','STO AMARO IMPERATRIZ','SC',11589,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA MARLENE','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3186512,8.00,7.00,8.00,9.00,8.00,5.75,7.00,8.00,8.00,103,NULL,NULL,'ASA SUL','BRASíLIA','DF',235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186520,2.00,3.00,3.00,7.00,4.00,4.00,2.00,4.00,4.00,108,NULL,NULL,'JARDIM CONTINENTAL','LONDRINA','PR',15630,347,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186539,5.00,6.00,2.00,3.00,3.00,NULL,4.00,6.00,5.00,203,NULL,220,'JARDIM IMPERIAL','MARINGá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3186547,4.00,3.00,1.00,7.00,2.00,NULL,3.00,4.00,4.00,319,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186555,2.00,5.00,3.00,4.00,3.00,NULL,2.00,5.00,4.00,317,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186563,2.00,3.00,3.00,6.00,3.00,NULL,2.00,2.00,3.00,332,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186571,3.00,2.00,1.00,2.00,3.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'CENTRO','SANANDUVA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3186598,3.00,5.00,2.00,6.00,6.00,4.00,3.00,5.00,4.00,202,NULL,213,'ALTO DA XV','CURITIBA','PR',13410,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3186601,8.00,5.00,4.00,7.00,3.00,NULL,3.00,5.00,5.00,103,NULL,NULL,'CENTRO NORTE','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3186610,5.00,3.00,3.00,6.00,5.00,5.25,3.00,6.00,1.00,426,NULL,428,'BELA VISTA','S JOSé','SC',13245,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186628,5.00,5.00,2.00,7.00,4.00,4.50,3.00,6.00,5.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186636,3.00,7.00,5.00,9.00,8.00,5.75,4.00,8.00,4.00,424,NULL,427,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',4468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186644,6.00,5.00,4.00,8.00,9.00,5.00,2.00,6.00,5.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186652,3.00,2.00,3.00,4.00,1.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','PTE ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3186660,7.00,7.00,4.00,8.00,7.00,6.75,3.00,5.00,6.00,102,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186679,3.00,3.00,2.00,3.00,3.00,NULL,2.00,2.00,2.00,452,NULL,NULL,'COLONINHA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3186687,2.00,0.00,1.00,1.00,2.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3186695,3.00,4.00,4.00,2.00,1.00,NULL,1.00,0.00,0.00,9,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186717,6.00,8.00,6.00,5.00,7.00,6.25,4.00,9.00,5.00,201,NULL,233,'KOBRASSOL','S JOSé','SC',2811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186725,2.00,7.00,2.00,3.00,5.00,5.25,2.00,9.00,2.00,5,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',13786,463,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186733,4.00,2.00,4.00,4.00,5.00,5.25,2.00,5.00,3.00,301,NULL,NULL,'CENTRO','XAXIM','SC',15226,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3186741,4.00,4.00,4.00,8.00,6.00,5.25,3.00,5.00,6.00,5,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',9683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186750,6.00,4.00,5.00,7.00,6.00,4.50,5.00,4.00,6.00,213,NULL,238,'TRINDADE','FLORIANóPOLIS','SC',7232,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186776,2.00,3.00,2.00,6.00,6.00,5.25,4.00,2.00,3.00,301,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186792,2.00,6.00,5.00,2.00,4.00,4.25,3.00,7.00,3.00,213,NULL,233,'JARDIM VILA RICA','APARECIDA TABOADO','MS',13209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186806,3.00,0.00,3.00,3.00,2.00,NULL,1.00,1.00,2.00,404,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186814,5.00,3.00,4.00,4.00,4.00,5.25,1.00,5.00,3.00,415,NULL,NULL,'GUAIçARA','ÁLVARES MACHADO','SP',14143,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3186822,3.00,2.00,3.00,7.00,6.00,6.50,3.00,1.00,4.00,104,NULL,NULL,'BARREIROS','S JOSé','SC',14686,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186830,4.00,4.00,1.00,2.00,4.00,4.50,2.00,6.00,4.00,224,NULL,NULL,'IPIRANGA','S JOSé','SC',16111,25,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186865,3.00,6.00,2.00,4.00,6.00,4.25,1.00,3.00,3.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186873,4.00,3.00,3.00,4.00,3.00,NULL,1.00,5.00,4.00,426,NULL,NULL,'BELA VISTA I','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186881,7.00,7.00,6.00,7.00,5.00,4.00,4.00,9.00,8.00,103,NULL,NULL,'ORFAS','PNT GROSSA','PR',2909,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3186903,6.00,7.00,6.00,8.00,7.00,6.25,6.00,6.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',1861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186911,7.00,6.00,3.00,2.00,5.00,4.75,3.00,7.00,4.00,302,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',9972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186920,3.00,3.00,3.00,4.00,5.00,NULL,1.00,1.00,3.00,319,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3186938,3.00,7.00,3.00,8.00,4.00,6.50,5.00,7.00,4.00,238,NULL,208,'CENTO','S BENTO SUL','SC',7179,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3186946,4.00,5.00,1.00,8.00,4.00,4.75,2.00,2.00,1.00,340,NULL,NULL,'BARREIROS','S JOSé','SC',16346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186954,4.00,5.00,3.00,7.00,7.00,4.75,2.00,5.00,4.00,108,NULL,NULL,'KOBRASOL','S JOSé','SC',10351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186962,8.00,7.00,7.00,7.00,6.00,5.50,5.00,8.00,8.00,216,NULL,233,'JARDIM UNIVERSITáRIO','CASCAVEL','PR',1550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3186970,3.00,5.00,1.00,3.00,4.00,5.25,3.00,5.00,3.00,5,NULL,NULL,'PORTINHO','LAGUNA','SC',16040,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3186989,3.00,5.00,4.00,5.00,2.00,NULL,2.00,2.00,2.00,102,NULL,NULL,'CENTRO','ENTRE R SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3186997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CARANDA BOSQUE III','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3187004,6.00,4.00,1.00,6.00,5.00,5.25,3.00,2.00,2.00,101,NULL,NULL,'LISBOA','S JOSé','SC',15775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187012,7.00,8.00,6.00,6.00,6.00,6.50,5.00,8.00,5.00,212,NULL,211,'COQUEIROS','FLORIANóPOLIS','SC',2232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187020,4.00,6.00,2.00,1.00,4.00,4.25,3.00,3.00,3.00,303,NULL,NULL,'ALTO BIGAçU','BIGUAçU','SC',16476,718,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187039,8.00,6.00,5.00,7.00,6.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3187047,3.00,3.00,1.00,1.00,2.00,NULL,2.00,4.00,0.00,308,NULL,NULL,'CENTRO','CRISSIUMAL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3187063,3.00,2.00,3.00,2.00,6.00,NULL,2.00,4.00,2.00,444,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187071,4.00,0.00,1.00,3.00,4.00,NULL,3.00,4.00,3.00,415,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187080,9.00,6.00,9.00,9.00,7.00,6.50,7.00,7.00,9.00,203,NULL,216,'VILA SUZANA','S PAULO','SP',399,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3187098,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','LARANJEIRAS SUL','PR',NULL,NULL,NULL,NULL,NULL,'S','S',2,2),(16,3187110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'INTERIOR','SINIMBU','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3187128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'SANTA FELICIA','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3187144,7.00,7.00,4.00,8.00,4.00,6.00,2.00,7.00,5.00,203,NULL,202,'SUMARé','RIO SUL','SC',5391,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3187160,5.00,4.00,2.00,6.00,2.00,NULL,2.00,3.00,4.00,326,NULL,NULL,'CENTRO','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187179,3.00,3.00,3.00,6.00,3.00,NULL,0.00,5.00,1.00,444,NULL,NULL,'BETâNIA','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187187,4.00,3.00,4.00,3.00,4.00,4.50,2.00,5.00,4.00,5,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',15437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187195,1.00,5.00,4.00,7.00,4.00,4.25,1.00,1.00,5.00,104,NULL,NULL,'PEDRA BRANCA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187209,3.00,3.00,4.00,2.00,7.00,5.50,2.00,5.00,5.00,319,NULL,NULL,'SANTO ANDRé','CAPIVARI BAIXO','SC',14631,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3187217,2.00,2.00,2.00,6.00,2.00,NULL,2.00,3.00,4.00,104,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187225,2.00,4.00,2.00,6.00,3.00,NULL,1.00,4.00,1.00,211,NULL,NULL,'VILA DO SALTO','LUIZ ALVES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3187233,7.00,7.00,3.00,9.00,7.00,6.75,5.00,7.00,6.00,207,NULL,201,'SAGUAÇU','JOINVILLE','SC',2731,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3187241,4.00,4.00,3.00,6.00,2.00,NULL,2.00,2.00,4.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187250,3.00,3.00,2.00,1.00,3.00,NULL,1.00,3.00,4.00,211,NULL,215,'CIDADE MINEIRA NOVA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3187268,8.00,7.00,5.00,9.00,4.00,7.00,5.00,6.00,5.00,103,NULL,NULL,'SANTA MARIA','CHAPECó','SC',3834,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3187284,8.00,7.00,6.00,6.00,6.00,7.75,2.00,8.00,7.00,103,NULL,NULL,'BATEL','CURITIBA','PR',1817,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3187292,5.00,4.00,2.00,8.00,5.00,5.00,1.00,6.00,5.00,202,NULL,213,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',10400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187306,1.00,1.00,3.00,0.00,2.00,NULL,0.00,2.00,4.00,104,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187314,4.00,1.00,4.00,7.00,3.00,NULL,2.00,3.00,3.00,427,NULL,425,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3187322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'JARDIM ESPLANADA','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3187330,3.00,2.00,1.00,2.00,2.00,NULL,3.00,4.00,2.00,309,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187349,3.00,3.00,1.00,4.00,3.00,NULL,1.00,0.00,4.00,302,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187357,4.00,4.00,3.00,2.00,1.00,NULL,2.00,4.00,3.00,234,NULL,NULL,'CAMPESTRE','LAJEADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3187373,5.00,4.00,1.00,1.00,2.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'BREMER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3187381,4.00,2.00,5.00,7.00,4.00,5.00,3.00,7.00,6.00,207,NULL,215,'ANITA GARIBALDI','JOINVILLE','SC',10495,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3187390,6.00,8.00,5.00,7.00,9.00,7.00,4.00,6.00,6.00,216,NULL,215,'SUMARé','RIO SUL','SC',2347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187403,2.00,4.00,1.00,6.00,6.00,6.50,3.00,7.00,5.00,208,NULL,238,'SUMARé','RIO SUL','SC',11187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187411,7.00,4.00,2.00,4.00,5.00,5.75,2.00,3.00,5.00,104,NULL,NULL,'SUMARé','RIO SUL','SC',13036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187420,2.00,6.00,3.00,6.00,4.00,7.00,2.00,6.00,3.00,429,NULL,425,'SUMARé','RIO SUL','SC',12674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','ASTORGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3187446,2.00,2.00,3.00,1.00,2.00,NULL,1.00,2.00,2.00,502,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187454,4.00,3.00,2.00,5.00,3.00,NULL,0.00,6.00,4.00,333,NULL,NULL,'LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187462,7.00,5.00,5.00,9.00,8.00,5.75,2.00,9.00,6.00,304,NULL,NULL,'SãO DIMAS','PIRACICABA','SP',2795,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3187470,3.00,2.00,3.00,6.00,4.00,4.00,1.00,4.00,2.00,201,NULL,207,'CENTRO','ARAQUARI','SC',16696,1278,NULL,867,NULL,NULL,NULL,2,8),(16,3187489,8.00,5.00,5.00,7.00,7.00,4.50,3.00,7.00,6.00,201,NULL,212,'CAMPINAS','S JOSé','SC',5004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187500,5.00,7.00,5.00,8.00,7.00,6.00,3.00,6.00,5.00,420,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',5443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187519,5.00,5.00,2.00,8.00,6.00,5.00,3.00,5.00,3.00,104,NULL,NULL,'OFICINAS','TUBARãO','SC',11282,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3187527,5.00,0.00,1.00,5.00,5.00,NULL,2.00,6.00,1.00,444,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187535,3.00,4.00,2.00,2.00,5.00,6.75,2.00,5.00,5.00,201,NULL,207,'CENTRO','ANTôNIO CARLOS','SC',13718,1061,NULL,707,NULL,NULL,NULL,4,1),(16,3187543,3.00,2.00,2.00,2.00,2.00,NULL,1.00,2.00,5.00,208,NULL,203,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187551,6.00,8.00,6.00,9.00,7.00,6.75,4.00,8.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',1822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187560,1.00,5.00,1.00,6.00,4.00,6.00,4.00,4.00,3.00,415,NULL,NULL,'JARDIM TANGARá','STA ADéLIA','SP',14459,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187578,4.00,6.00,3.00,6.00,6.00,6.75,3.00,7.00,6.00,301,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'MORADAS DA COLINA','GUAíBA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3187594,6.00,3.00,4.00,7.00,7.00,6.50,4.00,5.00,3.00,340,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',8949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3187616,5.00,3.00,1.00,5.00,3.00,NULL,3.00,2.00,2.00,423,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187624,3.00,3.00,1.00,6.00,3.00,NULL,2.00,2.00,3.00,223,NULL,NULL,'CACHOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187632,4.00,3.00,2.00,5.00,5.00,5.00,4.00,4.00,2.00,9,NULL,NULL,'CENTRO','IçARA','SC',14681,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3187640,4.00,3.00,3.00,6.00,5.00,6.75,2.00,7.00,1.00,308,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',13936,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187659,7.00,6.00,5.00,1.00,6.00,5.75,3.00,7.00,4.00,303,NULL,NULL,'CENTRO','MANDAGUARI','PR',7905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187667,7.00,9.00,8.00,9.00,6.00,6.00,7.00,7.00,7.00,213,NULL,214,'PRAIA DOS AMORES','BAL CAMBORIú','SC',776,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3187683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,213,'AFONSO PENA','S JOSé PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3187691,3.00,1.00,2.00,1.00,3.00,NULL,1.00,4.00,3.00,102,NULL,NULL,'INTERIOR','ENTRE RIOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3187705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'JARDIM DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3187713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3187730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3187748,1.00,2.00,3.00,3.00,2.00,NULL,2.00,3.00,5.00,332,NULL,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187756,6.00,5.00,1.00,9.00,7.00,5.00,3.00,8.00,7.00,103,NULL,NULL,'OFICINAS CAJURU','CURITIBA','PR',5427,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3187764,6.00,5.00,4.00,2.00,7.00,4.75,5.00,7.00,5.00,211,NULL,216,'ÁGUAS CLARAS','BRUSQUE','SC',8007,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3187772,1.00,1.00,1.00,5.00,1.00,NULL,2.00,4.00,3.00,404,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187780,4.00,9.00,4.00,8.00,6.00,5.00,4.00,5.00,3.00,301,NULL,NULL,'CENTRO','CRICIúMA','SC',7017,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3187799,1.00,3.00,3.00,4.00,4.00,NULL,1.00,4.00,3.00,310,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187802,5.00,4.00,5.00,9.00,8.00,8.50,4.00,8.00,4.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187810,5.00,3.00,4.00,5.00,3.00,NULL,2.00,6.00,3.00,316,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187829,3.00,4.00,2.00,4.00,4.00,4.00,2.00,4.00,3.00,5,NULL,NULL,'SERRARIAS','S JOSé','SC',16465,522,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3187845,3.00,3.00,2.00,5.00,4.00,NULL,1.00,2.00,3.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187861,1.00,6.00,2.00,3.00,3.00,NULL,3.00,6.00,2.00,310,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187870,2.00,2.00,4.00,3.00,3.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3187888,4.00,5.00,4.00,6.00,3.00,NULL,2.00,7.00,5.00,201,NULL,212,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187896,8.00,6.00,7.00,7.00,6.00,4.75,6.00,8.00,6.00,238,NULL,208,'SANTA BáRBARA','CRICIúMA','SC',2052,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3187900,2.00,5.00,2.00,7.00,4.00,5.50,1.00,3.00,5.00,203,NULL,216,'NOVA BRASíLIA','JOINVILLE','SC',14739,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3187918,5.00,2.00,2.00,6.00,5.00,5.50,1.00,5.00,3.00,9,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',15179,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187926,4.00,3.00,4.00,1.00,3.00,NULL,3.00,3.00,5.00,207,NULL,211,'VILA BEATRIZ','MARACAJá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3187934,4.00,4.00,5.00,8.00,3.00,NULL,3.00,6.00,1.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3187942,4.00,2.00,1.00,8.00,4.00,3.00,3.00,4.00,3.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3187950,5.00,5.00,4.00,8.00,4.00,6.00,4.00,9.00,7.00,103,NULL,NULL,'SELMI DEY','ARARAQUARA','SP',5436,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3187969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'COPACABANA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3187977,9.00,7.00,6.00,4.00,7.00,5.75,6.00,8.00,9.00,103,NULL,NULL,'CENTRO','RIBEIRãO PRETO','SP',1594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187985,4.00,6.00,6.00,8.00,5.00,6.00,3.00,5.00,5.00,203,NULL,201,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3187993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CHAMPAGNAT','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3188000,3.00,3.00,2.00,4.00,3.00,NULL,2.00,5.00,3.00,309,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3188019,2.00,3.00,4.00,5.00,0.00,NULL,1.00,2.00,3.00,9,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3188027,2.00,3.00,4.00,4.00,5.00,5.50,3.00,4.00,3.00,339,NULL,NULL,'BARRAAGEM','RIO SUL','SC',15342,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3188035,5.00,5.00,3.00,4.00,4.00,6.25,2.00,5.00,6.00,224,NULL,NULL,'PROSPERA','CRICIúMA','SC',11501,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3188043,1.00,3.00,2.00,4.00,4.00,NULL,1.00,3.00,4.00,328,NULL,NULL,'ALTO ARROIO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3188051,4.00,2.00,4.00,3.00,5.00,6.00,3.00,4.00,3.00,104,NULL,NULL,'JARDIM TANZI','S ROQUE','SP',15341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188060,7.00,7.00,4.00,5.00,4.00,6.25,6.00,5.00,6.00,203,NULL,214,'SUMARé','S PAULO','SP',5035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3188086,3.00,5.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTROO','S CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(16,3188116,3.00,4.00,4.00,5.00,4.00,4.50,2.00,5.00,3.00,216,NULL,211,'BARRO VERMELHO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3188124,5.00,7.00,2.00,6.00,4.00,5.25,3.00,6.00,5.00,102,NULL,NULL,'BENJAMIN CONSTANT','MASSARANDUBA','SC',9191,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3188132,5.00,8.00,2.00,9.00,5.00,6.50,2.00,8.00,1.00,320,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8959,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3188140,1.00,0.00,3.00,5.00,3.00,NULL,3.00,5.00,4.00,203,NULL,214,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3188159,2.00,3.00,6.00,8.00,7.00,6.00,3.00,8.00,5.00,331,NULL,NULL,'VILA MARIANA','S PAULO','SP',7314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188167,6.00,8.00,4.00,6.00,7.00,5.25,2.00,6.00,3.00,220,NULL,214,'SAGRADO','LAGES','SC',7939,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3188175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3188183,6.00,6.00,3.00,7.00,6.00,6.25,3.00,6.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188191,8.00,5.00,7.00,9.00,8.00,8.00,3.00,7.00,7.00,415,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',1113,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3188205,6.00,7.00,4.00,6.00,7.00,5.50,3.00,8.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',5532,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3188213,3.00,5.00,3.00,4.00,4.00,4.75,3.00,4.00,2.00,316,NULL,NULL,'UNIVERSITáRIO','TIJUCAS','SC',16000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188221,3.00,6.00,4.00,7.00,5.00,5.00,4.00,5.00,5.00,216,NULL,215,'LINHA TORRENS','MRO FUMAçA','SC',8043,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3188230,7.00,6.00,4.00,8.00,7.00,6.75,6.00,9.00,7.00,103,NULL,NULL,'CENTRO','PR GRANDE','SC',1636,721,NULL,NULL,NULL,NULL,NULL,2,5),(16,3188248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'ABRANCHES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3188256,4.00,0.00,2.00,1.00,3.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188264,4.00,5.00,6.00,4.00,6.00,4.50,3.00,4.00,4.00,303,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',10174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188272,3.00,2.00,3.00,4.00,3.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188280,3.00,7.00,3.00,7.00,5.00,5.50,3.00,4.00,3.00,301,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',12673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188299,3.00,4.00,5.00,8.00,3.00,NULL,3.00,3.00,3.00,203,NULL,238,'BACURI','IMPERATRIZ','MA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188302,8.00,5.00,6.00,3.00,4.00,5.75,6.00,6.00,6.00,220,NULL,202,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(16,3188310,4.00,5.00,5.00,8.00,4.00,4.50,4.00,7.00,4.00,203,NULL,208,'VILA NOVA','FRANCISCO BELTRãO','PR',8024,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3188329,6.00,7.00,5.00,2.00,4.00,5.50,4.00,6.00,6.00,216,NULL,212,'SANTA FELICIDADE','CURITIBA','PR',7580,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3188337,4.00,2.00,3.00,5.00,4.00,6.00,4.00,2.00,3.00,5,NULL,NULL,'CENTRO','NOVA TRENTO','SC',15993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3188345,3.00,4.00,2.00,7.00,3.00,NULL,3.00,4.00,4.00,501,NULL,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3188353,5.00,5.00,6.00,5.00,6.00,5.00,2.00,5.00,4.00,214,NULL,211,'URBANOVA','S JOSé CAMPOS','SP',9285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188361,5.00,2.00,3.00,8.00,6.00,6.50,3.00,6.00,5.00,501,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188370,6.00,4.00,4.00,2.00,4.00,4.00,2.00,7.00,2.00,331,NULL,NULL,'BARREIROS','S JOSé','SC',14544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188388,6.00,3.00,2.00,5.00,3.00,NULL,3.00,4.00,2.00,444,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3188396,5.00,2.00,3.00,9.00,7.00,7.50,2.00,4.00,3.00,101,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',10706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188418,4.00,5.00,1.00,3.00,5.00,5.50,1.00,7.00,3.00,203,NULL,238,'AREIAS','S JOSé','SC',14779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188426,5.00,6.00,6.00,5.00,7.00,5.50,4.00,7.00,7.00,103,NULL,NULL,'STO ANTONIO DE PADUA','TUBARãO','SC',3864,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3188442,5.00,5.00,2.00,3.00,6.00,6.00,1.00,6.00,4.00,303,NULL,NULL,'SANTA CRUZ','CONCóRDIA','SC',13376,579,NULL,NULL,NULL,NULL,NULL,4,7),(16,3188450,3.00,3.00,4.00,7.00,4.00,6.00,3.00,4.00,3.00,502,NULL,NULL,'BARREIROS','S JOSé','SC',13952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188469,7.00,5.00,2.00,7.00,4.00,4.00,3.00,8.00,7.00,103,NULL,NULL,'GONZAGA','SANTOS','SP',6909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3188477,4.00,5.00,1.00,4.00,3.00,NULL,2.00,6.00,4.00,212,NULL,213,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188493,5.00,4.00,6.00,7.00,7.00,5.00,4.00,5.00,4.00,303,NULL,NULL,'CERAMARTE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3188507,6.00,4.00,5.00,8.00,5.00,5.50,4.00,6.00,5.00,101,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',6750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188515,3.00,4.00,3.00,5.00,5.00,4.25,1.00,4.00,2.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',16213,367,NULL,NULL,NULL,NULL,NULL,2,1),(16,3188523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'CENTRO','PETRóPOLIS','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3188531,2.00,3.00,1.00,2.00,3.00,NULL,3.00,0.00,4.00,103,NULL,NULL,'NOVA DIVINEIA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3188540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,423,'MORRO DA CRUZ','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3188566,5.00,4.00,4.00,5.00,6.00,5.75,2.00,5.00,3.00,444,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188574,8.00,6.00,4.00,8.00,7.00,5.75,3.00,8.00,4.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3188582,3.00,4.00,5.00,7.00,5.00,5.00,3.00,2.00,4.00,103,NULL,NULL,'JARDIM COLINA','PRES PRUDENTE','SP',12441,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3188590,4.00,3.00,1.00,2.00,4.00,NULL,2.00,4.00,3.00,316,NULL,NULL,'SANTO ANT DE LISBOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188612,4.00,2.00,1.00,4.00,6.00,5.50,2.00,2.00,6.00,301,NULL,NULL,'IPIRANGA','S JOSé','SC',16132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188620,8.00,8.00,8.00,9.00,5.00,5.50,7.00,8.00,7.00,220,NULL,233,'SACO DOS LIMOES','FLORIANóPOLIS','SC',726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188639,2.00,4.00,3.00,8.00,5.00,7.75,1.00,5.00,6.00,308,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',10645,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3188647,7.00,7.00,7.00,9.00,7.00,6.25,5.00,8.00,6.00,201,NULL,203,'III PLANO','DOURADOS','MS',1560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188663,7.00,8.00,8.00,9.00,9.00,6.50,4.00,9.00,8.00,207,NULL,212,'PANTANAL','FLORIANóPOLIS','SC',403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188671,8.00,6.00,8.00,8.00,8.00,6.00,5.00,8.00,9.00,216,NULL,203,'CENTRO','TOLEDO','PR',876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188680,1.00,4.00,4.00,3.00,4.00,5.25,2.00,4.00,4.00,444,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',16394,141,NULL,NULL,NULL,NULL,NULL,2,1),(16,3188698,2.00,4.00,3.00,3.00,2.00,NULL,2.00,2.00,4.00,301,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188710,7.00,6.00,9.00,9.00,8.00,6.00,7.00,9.00,8.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188728,4.00,4.00,2.00,5.00,4.00,4.50,1.00,5.00,2.00,444,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'MINA DO MATO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3188752,5.00,4.00,2.00,6.00,5.00,4.75,3.00,4.00,3.00,108,NULL,NULL,'JARDIM PALERMO','S BERNARDO CAMPO','SP',13042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188787,3.00,5.00,4.00,4.00,3.00,NULL,2.00,5.00,2.00,5,NULL,NULL,'JD CIDADE DE FPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3188809,5.00,6.00,5.00,9.00,6.00,5.75,5.00,7.00,4.00,302,NULL,NULL,'CENTRO','TIJUCAS','SC',4543,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3188825,5.00,5.00,2.00,7.00,3.00,NULL,4.00,5.00,3.00,211,NULL,201,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3188833,4.00,1.00,3.00,6.00,4.00,5.25,2.00,4.00,4.00,318,NULL,NULL,'JARDIM DAS ACáCIAS','S JOSé','SC',15056,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3188841,2.00,2.00,1.00,0.00,0.00,NULL,2.00,0.00,3.00,215,NULL,211,'CENTRO','NATéRCIA','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188850,6.00,3.00,4.00,6.00,3.00,NULL,2.00,4.00,3.00,302,NULL,NULL,'FLOR DE NAPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3188868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA BASTOS','STO ANDRé','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3188876,6.00,6.00,4.00,6.00,5.00,7.25,3.00,7.00,6.00,225,NULL,NULL,'JD ANáPOLIS','BIGUAçU','SC',5646,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3188884,7.00,6.00,4.00,7.00,7.00,4.00,6.00,7.00,4.00,233,NULL,203,'CARIANOS','FLORIANóPOLIS','SC',5193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188892,4.00,5.00,3.00,7.00,7.00,7.00,3.00,6.00,2.00,302,NULL,NULL,'CAMPINAS','S JOSé','SC',10444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3188914,5.00,4.00,3.00,7.00,7.00,5.75,3.00,5.00,6.00,304,NULL,NULL,'COMERCIáRIO','CRICIúMA','SC',7236,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3188930,5.00,7.00,4.00,8.00,4.00,4.00,2.00,7.00,5.00,108,NULL,NULL,'ITAIM BIBI','S PAULO','SP',6525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3188949,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,207,NULL,201,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3188957,7.00,6.00,5.00,9.00,6.00,5.00,3.00,6.00,4.00,233,NULL,238,'CENTRO','PALHOçA','SC',6719,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3188965,3.00,3.00,3.00,9.00,2.00,NULL,0.00,4.00,3.00,208,NULL,216,'CENTRO','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3188981,1.00,1.00,2.00,7.00,3.00,NULL,2.00,2.00,2.00,304,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3188990,3.00,1.00,4.00,2.00,3.00,NULL,1.00,5.00,2.00,104,NULL,NULL,'INTERIOR','PALMITINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3189015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'VILA THAíS','ATIBAIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3189023,4.00,6.00,2.00,4.00,5.00,5.25,1.00,2.00,5.00,326,NULL,NULL,'CENTRO','CRICIúMA','SC',13960,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3189040,7.00,6.00,3.00,9.00,8.00,5.50,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',4043,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3189058,8.00,8.00,8.00,8.00,8.00,6.25,6.00,8.00,7.00,303,NULL,NULL,'CENTRO','JOINVILLE','SC',767,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3189066,4.00,7.00,4.00,6.00,5.00,5.25,4.00,4.00,3.00,301,NULL,NULL,'FREI ROGERIO','LAGES','SC',10958,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3189074,3.00,1.00,2.00,5.00,4.00,5.25,2.00,6.00,5.00,212,NULL,201,'CENTRO','IMBITUBA','SC',15169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3189104,7.00,7.00,7.00,8.00,8.00,5.50,6.00,9.00,6.00,5,NULL,NULL,'STO ANTôNIO DE PáDUA','TUBARãO','SC',1590,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3189112,3.00,2.00,1.00,6.00,2.00,NULL,2.00,6.00,2.00,211,NULL,215,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3189120,3.00,4.00,1.00,4.00,4.00,4.50,2.00,6.00,3.00,103,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',15778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189139,5.00,5.00,2.00,6.00,8.00,5.00,4.00,7.00,5.00,203,NULL,207,'CORREGO GRANDE','FLORIANóPOLIS','SC',7536,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3189147,4.00,4.00,1.00,4.00,2.00,NULL,1.00,5.00,2.00,207,NULL,208,'IPANEMA','MONDAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189155,3.00,4.00,3.00,2.00,6.00,5.50,1.00,5.00,3.00,104,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',15745,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3189163,8.00,6.00,6.00,4.00,5.00,4.25,5.00,7.00,6.00,319,NULL,NULL,'BARREIROS','S JOSé','SC',5409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189171,5.00,5.00,3.00,3.00,4.00,5.50,4.00,5.00,6.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',11971,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3189180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3189198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3189201,5.00,4.00,2.00,1.00,6.00,5.75,3.00,5.00,2.00,103,NULL,NULL,'CENTRO','LIBERATO SALZANO','RS',16048,2791,NULL,NULL,NULL,NULL,NULL,4,4),(16,3189210,5.00,4.00,6.00,8.00,8.00,5.75,5.00,5.00,4.00,203,NULL,220,'ITACORUBI','FLORIANóPOLIS','SC',4769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189228,5.00,8.00,6.00,8.00,7.00,6.00,5.00,7.00,5.00,233,NULL,203,'TRINDADE','FLORIANóPOLIS','SC',3923,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3189236,8.00,6.00,3.00,6.00,6.00,5.50,5.00,8.00,7.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',3951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3189252,2.00,1.00,2.00,4.00,2.00,NULL,3.00,4.00,2.00,429,NULL,425,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3189260,6.00,7.00,8.00,8.00,5.00,5.75,4.00,8.00,8.00,201,NULL,212,'PARQUE CIDADE JARDIM','UMUARAMA','PR',1730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189279,2.00,4.00,4.00,6.00,2.00,NULL,3.00,5.00,3.00,303,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3189287,2.00,3.00,3.00,2.00,1.00,NULL,4.00,2.00,4.00,5,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189295,5.00,7.00,5.00,9.00,6.00,4.75,4.00,8.00,4.00,301,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',4872,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3189309,4.00,7.00,2.00,8.00,6.00,7.00,3.00,5.00,6.00,216,NULL,201,'ICARAí','NITERóI','RJ',6476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189317,3.00,5.00,1.00,1.00,3.00,NULL,4.00,4.00,4.00,451,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189325,6.00,5.00,5.00,9.00,7.00,6.25,5.00,5.00,6.00,211,NULL,233,'CENTRO','ESTEIO','RS',3835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189333,5.00,4.00,1.00,7.00,6.00,6.00,5.00,6.00,2.00,503,NULL,NULL,'BAIRRO IPIRANGA','S JOSé','SC',11201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189341,3.00,2.00,2.00,7.00,3.00,NULL,4.00,5.00,4.00,103,NULL,NULL,'ALPHAVILLE','BARUERI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189368,7.00,6.00,6.00,5.00,5.00,6.00,4.00,5.00,5.00,301,NULL,NULL,'FAZENDA SANTO ANTôNI','S JOSé','SC',5351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189376,6.00,8.00,5.00,9.00,7.00,6.00,2.00,8.00,6.00,201,NULL,220,'CAMPINAS','S JOSé','SC',3028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189384,4.00,4.00,5.00,6.00,4.00,5.75,4.00,5.00,5.00,220,NULL,201,'COHAB NOVA','POCONé','MT',8532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3189392,5.00,5.00,4.00,8.00,5.00,5.50,4.00,8.00,6.00,216,NULL,208,'CENTRO','FRANCISCO BELTRãO','PR',5730,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3189406,2.00,3.00,2.00,2.00,4.00,3.00,4.00,6.00,1.00,501,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3189422,3.00,3.00,4.00,1.00,3.00,NULL,2.00,3.00,2.00,207,NULL,216,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3189449,4.00,2.00,1.00,7.00,7.00,5.50,2.00,5.00,3.00,317,NULL,NULL,'CENTRO','AGRONôMICA','SC',13584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3189457,8.00,4.00,9.00,7.00,7.00,6.75,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189465,6.00,6.00,8.00,8.00,6.00,6.75,4.00,8.00,6.00,103,NULL,NULL,'MERCES','CURITIBA','PR',2119,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3189473,5.00,6.00,2.00,5.00,6.00,5.75,1.00,5.00,7.00,101,NULL,NULL,'ALTO ARIRIú','PALHOçA','SC',9581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189481,4.00,3.00,7.00,9.00,4.00,4.75,3.00,6.00,5.00,203,NULL,214,'VILA NOVA','BLUMENAU','SC',8914,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3189490,2.00,5.00,1.00,6.00,4.00,3.25,1.00,4.00,3.00,304,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3189503,6.00,5.00,6.00,4.00,6.00,5.25,5.00,6.00,6.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',5342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189511,2.00,1.00,2.00,4.00,3.00,NULL,1.00,3.00,3.00,207,NULL,201,'CENTRO','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3189520,5.00,6.00,2.00,5.00,3.00,NULL,6.00,8.00,6.00,3,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189538,6.00,5.00,3.00,8.00,4.00,5.25,4.00,5.00,5.00,104,NULL,NULL,'CENTRO','JARAGUá SUL','SC',9573,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3189546,7.00,7.00,7.00,6.00,7.00,4.50,5.00,4.00,5.00,203,NULL,214,'GLORIA','JOINVILLE','SC',4624,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3189554,2.00,6.00,2.00,7.00,4.00,6.75,4.00,5.00,3.00,3,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',10865,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3189562,9.00,8.00,7.00,8.00,7.00,5.50,5.00,7.00,7.00,103,NULL,NULL,'BARRO VERMELHO','ORLEANS','SC',1125,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3189570,4.00,8.00,2.00,5.00,8.00,5.50,6.00,8.00,6.00,211,NULL,233,'BARREIROS','S JOSé','SC',5523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189597,3.00,5.00,4.00,6.00,3.00,NULL,3.00,4.00,2.00,213,NULL,233,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3189600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3189619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPAO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3189627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA BANCARIA','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3189635,2.00,2.00,2.00,5.00,5.00,NULL,1.00,5.00,3.00,201,NULL,212,'DOM BOSCO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3189651,7.00,9.00,7.00,7.00,4.00,6.00,6.00,7.00,6.00,203,NULL,208,'JARDIM LA SALLE','TOLEDO','PR',1880,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3189660,3.00,2.00,1.00,2.00,4.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'MEDIANEIRA','PANAMBI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189678,2.00,5.00,5.00,2.00,4.00,NULL,0.00,7.00,6.00,202,NULL,201,'CENTRO','IRANI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3189686,3.00,1.00,2.00,7.00,7.00,5.25,4.00,4.00,5.00,211,NULL,207,'BARREIROS','S JOSé','SC',13101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3189694,3.00,2.00,1.00,1.00,4.00,NULL,3.00,4.00,4.00,301,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PEDRO LUDOVICO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3189716,4.00,6.00,3.00,7.00,4.00,4.25,3.00,3.00,2.00,220,NULL,202,'CAPOEIRAS','FLORIANóPOLIS','SC',14068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189724,4.00,7.00,5.00,8.00,7.00,5.50,5.00,8.00,7.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189732,6.00,7.00,5.00,1.00,6.00,5.50,3.00,7.00,6.00,102,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',7018,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3189740,4.00,3.00,1.00,4.00,4.00,4.75,3.00,5.00,3.00,429,NULL,426,'CENTRO','BAL CAMBORIú','SC',16089,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3189759,4.00,3.00,4.00,7.00,4.00,3.25,2.00,4.00,3.00,103,NULL,NULL,'JARDIM ELDORADO','PARANAGUá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3189767,4.00,6.00,2.00,7.00,4.00,5.50,2.00,6.00,5.00,203,NULL,208,'CENTRO','ANTôNIO CARLOS','SC',11314,762,NULL,360,NULL,NULL,NULL,2,1),(16,3189791,3.00,0.00,2.00,3.00,3.00,NULL,3.00,2.00,2.00,108,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189805,6.00,6.00,3.00,7.00,7.00,7.00,3.00,8.00,7.00,415,NULL,NULL,'PQ DAS BANDEIRAS','MARINGá','PR',4210,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3189813,5.00,4.00,3.00,6.00,3.00,NULL,2.00,2.00,4.00,404,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3189821,1.00,3.00,1.00,2.00,3.00,NULL,2.00,5.00,1.00,104,NULL,NULL,'INTERIOR','PALMITINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3189848,5.00,5.00,4.00,6.00,1.00,NULL,2.00,4.00,5.00,101,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3189856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',5,8),(16,3189864,5.00,6.00,4.00,9.00,6.00,6.50,2.00,8.00,6.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3189872,5.00,6.00,3.00,5.00,7.00,6.00,6.00,7.00,4.00,501,NULL,NULL,'PASSO FUNDO','LAGES','SC',6490,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3189880,5.00,3.00,5.00,4.00,5.00,4.75,3.00,4.00,4.00,304,NULL,NULL,'RIO MAINA','CRICIúMA','SC',13108,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3189899,3.00,6.00,3.00,6.00,5.00,6.00,4.00,9.00,3.00,340,NULL,NULL,'CENTRO','GRAVATAL','SC',8463,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3189902,6.00,5.00,3.00,3.00,4.00,6.00,5.00,4.00,5.00,102,NULL,NULL,'CANUDO','ORLEANS','SC',11612,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3189910,5.00,6.00,6.00,6.00,5.00,5.00,3.00,7.00,4.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189929,4.00,8.00,4.00,8.00,6.00,4.50,1.00,7.00,4.00,444,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'RESIDENCIAL DO LAGO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3189945,7.00,6.00,5.00,8.00,6.00,6.00,4.00,5.00,6.00,103,NULL,NULL,'LOTE SEIS','CRICIúMA','SC',4271,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3189953,4.00,6.00,1.00,4.00,3.00,NULL,3.00,5.00,3.00,302,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3189961,1.00,2.00,4.00,7.00,5.00,5.50,2.00,2.00,4.00,207,NULL,201,'CENTRO','CAçAPAVA SUL','RS',15350,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3189970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PEDRO LUDOVICO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3189996,5.00,7.00,5.00,7.00,5.00,4.75,5.00,8.00,6.00,103,NULL,NULL,'ITAIPAVA','ITAJAí','SC',4558,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3190005,7.00,6.00,6.00,8.00,5.00,6.50,5.00,7.00,6.00,103,NULL,NULL,'ZONA','MARINGá','PR',2984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190013,2.00,3.00,2.00,5.00,4.00,5.00,1.00,4.00,6.00,444,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3190021,3.00,2.00,5.00,3.00,3.00,NULL,2.00,3.00,5.00,303,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190030,3.00,3.00,2.00,7.00,3.00,NULL,2.00,4.00,2.00,207,NULL,201,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3190056,7.00,5.00,4.00,7.00,5.00,6.00,1.00,6.00,2.00,102,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',10138,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3190064,3.00,5.00,5.00,8.00,5.00,4.25,3.00,7.00,5.00,208,NULL,233,'BOM VIVER','BIGUAçU','SC',8993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3190072,8.00,8.00,7.00,7.00,9.00,5.50,5.00,9.00,7.00,207,NULL,211,'JARDIM ELIZABETE','IçARA','SC',1062,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3190102,3.00,2.00,1.00,0.00,0.00,NULL,1.00,2.00,1.00,108,NULL,NULL,'PICADAS DO NORTE','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190110,5.00,7.00,4.00,8.00,4.00,5.00,2.00,6.00,2.00,302,NULL,NULL,'BARREIROS','S JOSé','SC',8851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190129,5.00,7.00,6.00,8.00,6.00,5.25,3.00,3.00,4.00,222,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',6494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190137,2.00,1.00,3.00,1.00,3.00,NULL,2.00,5.00,2.00,5,NULL,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3190145,2.00,3.00,2.00,6.00,6.00,5.75,1.00,3.00,4.00,319,NULL,NULL,'BELA VISTA II','S JOSé','SC',16031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3190153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PEDRO LUDOVICO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3190161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'ADRIANOPOLIS','MANAUS','AM',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3190170,5.00,5.00,2.00,7.00,3.00,NULL,2.00,6.00,2.00,214,NULL,233,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3190188,2.00,3.00,3.00,6.00,6.00,4.75,4.00,2.00,4.00,427,NULL,423,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3190196,5.00,5.00,7.00,4.00,7.00,6.75,4.00,6.00,8.00,340,NULL,NULL,'PAULISTA','PIRACICABA','SP',4564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190218,5.00,5.00,4.00,7.00,7.00,6.50,3.00,6.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190226,2.00,3.00,4.00,5.00,3.00,NULL,4.00,6.00,4.00,420,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190234,8.00,5.00,8.00,9.00,8.00,7.75,5.00,7.00,6.00,207,NULL,211,'CREMAçãO','BELéM','PA',1077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190277,4.00,4.00,2.00,4.00,5.00,NULL,0.00,1.00,4.00,339,NULL,NULL,'MARECHAL FLORIANO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190285,3.00,2.00,2.00,4.00,4.00,4.00,4.00,2.00,6.00,444,NULL,NULL,'PASSA VINTE','PALHOçA','SC',16474,143,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190293,1.00,5.00,2.00,2.00,5.00,5.75,4.00,4.00,5.00,317,NULL,NULL,'SãO SEBASTIãO','PALHOçA','SC',15514,148,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190307,2.00,1.00,2.00,4.00,3.00,NULL,2.00,4.00,3.00,501,NULL,NULL,'INTERIOR','MARCELINO RAMOS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190315,3.00,4.00,5.00,9.00,3.00,NULL,1.00,5.00,2.00,303,NULL,NULL,'PIO CORRêA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3190323,5.00,6.00,2.00,9.00,3.00,NULL,3.00,5.00,6.00,216,NULL,203,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190331,3.00,2.00,2.00,4.00,5.00,NULL,2.00,3.00,3.00,415,NULL,NULL,'COQUEIROS','IMBé','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190340,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','TRêS PASSOS','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3190358,4.00,7.00,1.00,3.00,6.00,3.00,4.00,7.00,3.00,223,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190366,5.00,7.00,6.00,5.00,4.00,6.25,3.00,6.00,3.00,216,NULL,215,'CENTRO','BAL PIçARRAS','SC',8642,313,NULL,187,NULL,NULL,NULL,4,6),(16,3190374,7.00,8.00,7.00,9.00,8.00,6.50,4.00,7.00,6.00,216,NULL,215,'COSTA E SILVA','JOINVILLE','SC',1440,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3190382,2.00,3.00,3.00,6.00,3.00,NULL,2.00,5.00,3.00,444,NULL,NULL,'SAO LUIZ','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3190404,8.00,6.00,6.00,7.00,6.00,6.00,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190412,4.00,6.00,3.00,6.00,6.00,5.75,4.00,8.00,3.00,310,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',8597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190420,4.00,4.00,2.00,6.00,3.00,NULL,3.00,3.00,2.00,9,NULL,NULL,'AREIAS BRANCAS','ARROIO SAL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3190439,5.00,6.00,3.00,7.00,5.00,4.00,0.00,3.00,5.00,103,NULL,NULL,'BOQUEIRAO','CURITIBA','PR',12275,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3190447,1.00,3.00,4.00,2.00,1.00,NULL,2.00,5.00,4.00,207,NULL,238,'MAURO RAMOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190455,2.00,5.00,3.00,7.00,5.00,5.25,0.00,7.00,3.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13817,350,NULL,NULL,NULL,NULL,NULL,2,1),(16,3190463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAIBI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3190471,3.00,3.00,4.00,9.00,6.00,5.75,0.00,6.00,5.00,207,NULL,201,'BARRA','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190480,2.00,2.00,4.00,3.00,3.00,NULL,1.00,3.00,5.00,203,NULL,214,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3190498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'ADRIANOPOLIS','MANAUS','AM',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3190501,5.00,7.00,1.00,6.00,5.00,4.50,3.00,8.00,4.00,303,NULL,NULL,'SãO JOSé','S JOSé','SC',9884,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3190528,5.00,5.00,3.00,8.00,4.00,5.75,2.00,5.00,3.00,453,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',11680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190536,6.00,6.00,4.00,8.00,7.00,5.75,2.00,5.00,1.00,415,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',9018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA SUIçA','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3190552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3190560,3.00,4.00,1.00,2.00,3.00,NULL,0.00,5.00,3.00,319,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190579,5.00,5.00,5.00,5.00,6.00,5.00,4.00,3.00,5.00,220,NULL,201,'SANTA MôNICA','FLORIANóPOLIS','SC',8823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190587,3.00,6.00,3.00,6.00,4.00,7.00,3.00,6.00,6.00,201,NULL,202,'CENTRO','BAL CAMBORIú','SC',8200,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3190595,4.00,1.00,1.00,7.00,3.00,NULL,2.00,5.00,2.00,340,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3190609,4.00,2.00,4.00,3.00,4.00,4.00,2.00,5.00,6.00,319,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',15369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190617,3.00,6.00,3.00,6.00,3.00,NULL,4.00,3.00,3.00,208,NULL,NULL,'BELA VISTA I','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3190625,7.00,4.00,1.00,7.00,5.00,6.00,3.00,6.00,5.00,501,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',9528,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3190633,7.00,5.00,5.00,4.00,5.00,5.75,3.00,6.00,4.00,214,NULL,213,'COLONIAL','S BENTO SUL','SC',7301,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3190650,1.00,3.00,2.00,7.00,4.00,6.50,2.00,6.00,1.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190668,4.00,5.00,9.00,5.00,3.00,NULL,4.00,4.00,4.00,224,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3190676,4.00,8.00,1.00,4.00,6.00,4.75,3.00,8.00,5.00,302,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',10266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190684,8.00,7.00,5.00,6.00,8.00,4.75,4.00,8.00,7.00,103,NULL,NULL,'AGOSTINI','S MIGUEL OESTE','SC',2051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190692,4.00,4.00,6.00,5.00,7.00,5.25,3.00,9.00,6.00,450,NULL,NULL,'ARTUR ALVIM','S PAULO','SP',6187,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3190706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'JARDIM PEDRA MAR','JACAREí','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3190714,5.00,5.00,4.00,6.00,4.00,5.75,2.00,7.00,5.00,102,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3190749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3190757,4.00,3.00,1.00,3.00,4.00,NULL,2.00,3.00,1.00,202,NULL,203,'COLONINHA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3190765,0.00,0.00,0.00,5.00,5.00,NULL,3.00,2.00,6.00,207,NULL,201,'CENTRO','STO CRISTO','RS',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,2),(16,3190781,4.00,8.00,8.00,6.00,6.00,6.50,6.00,7.00,5.00,220,NULL,202,'JUNDIAí','ANáPOLIS','GO',2518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'POMPEIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3190811,7.00,5.00,3.00,7.00,6.00,4.50,2.00,7.00,4.00,211,NULL,215,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',8983,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3190838,4.00,5.00,2.00,9.00,3.00,NULL,2.00,6.00,3.00,453,NULL,NULL,'JURERE INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190862,3.00,5.00,3.00,5.00,6.00,5.75,4.00,3.00,2.00,301,NULL,NULL,'SANTA CATARINA','BIGUAçU','SC',13668,297,NULL,NULL,NULL,NULL,NULL,2,1),(16,3190889,2.00,5.00,2.00,6.00,4.00,5.25,3.00,7.00,2.00,202,NULL,203,'BUCAREIN','JOINVILLE','SC',14613,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3190897,5.00,3.00,2.00,7.00,4.00,6.00,1.00,6.00,2.00,103,NULL,NULL,'CENTRO','ASTORGA','PR',13486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190919,6.00,7.00,4.00,7.00,5.00,5.50,3.00,7.00,5.00,317,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',6260,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3190927,3.00,8.00,1.00,9.00,6.00,5.25,1.00,8.00,3.00,103,NULL,NULL,'CAMPINAS','S JOSé','SC',8530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190935,5.00,5.00,6.00,9.00,7.00,5.25,4.00,7.00,9.00,201,NULL,233,'VILA FORMOSA','BLUMENAU','SC',2791,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3190943,3.00,4.00,1.00,3.00,3.00,NULL,0.00,2.00,3.00,104,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3190951,2.00,4.00,3.00,0.00,2.00,NULL,3.00,6.00,2.00,216,NULL,NULL,'CENTRO','BOM J OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3190978,6.00,5.00,8.00,6.00,6.00,5.25,4.00,8.00,7.00,340,NULL,NULL,'LAGOINHA','RIBEIRãO PRETO','SP',3321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3190986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'MENGES','STO ÂNGELO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3190994,3.00,5.00,3.00,6.00,6.00,5.50,3.00,7.00,2.00,319,NULL,NULL,'PARQUE SãO JORGE','FLORIANóPOLIS','SC',11561,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3191001,9.00,7.00,7.00,7.00,7.00,5.75,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','LAGES','SC',1210,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3191010,4.00,4.00,2.00,7.00,7.00,5.75,3.00,3.00,4.00,340,NULL,NULL,'KOBRASOL','S JOSé','SC',12689,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3191028,4.00,2.00,2.00,4.00,2.00,NULL,3.00,4.00,4.00,238,NULL,214,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3191036,7.00,6.00,5.00,7.00,6.00,6.75,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','INDAIAL','SC',5173,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3191044,4.00,8.00,2.00,7.00,6.00,5.50,2.00,5.00,4.00,404,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',9752,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3191052,5.00,4.00,3.00,9.00,4.00,5.00,2.00,4.00,5.00,201,NULL,NULL,'NAçõES','CONCóRDIA','SC',10800,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3191060,9.00,8.00,8.00,7.00,9.00,5.50,7.00,9.00,9.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',159,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3191079,6.00,5.00,4.00,7.00,3.00,NULL,2.00,5.00,4.00,103,NULL,NULL,'COMERCIáRIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3191087,3.00,5.00,3.00,5.00,6.00,5.25,2.00,2.00,4.00,104,NULL,NULL,'CAMPINAS','S JOSé','SC',14247,400,NULL,NULL,NULL,NULL,NULL,2,1),(16,3191095,3.00,4.00,3.00,5.00,3.00,NULL,2.00,2.00,3.00,308,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3191109,5.00,7.00,3.00,9.00,5.00,5.75,2.00,4.00,6.00,211,NULL,215,'TRINDADE','FLORIANóPOLIS','SC',8397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,216,'SANTO ANTONIO','S CAETANO SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3191125,7.00,8.00,5.00,6.00,7.00,5.50,5.00,7.00,8.00,203,NULL,NULL,'JD SANTA MARIA','SUMARé','SP',2530,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3191133,2.00,2.00,2.00,0.00,3.00,NULL,3.00,3.00,2.00,404,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PARQUE SãO DOMINGOS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3191168,8.00,8.00,6.00,5.00,7.00,5.50,4.00,8.00,5.00,103,NULL,NULL,'CENTRO','IçARA','SC',2868,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3191184,6.00,5.00,5.00,5.00,6.00,6.25,4.00,5.00,4.00,302,NULL,NULL,'BARREIROS','S JOSé','SC',8669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191192,4.00,4.00,4.00,7.00,3.00,NULL,3.00,5.00,4.00,103,NULL,NULL,'TAMBORé','SANTANA PARNAíBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191206,3.00,3.00,2.00,3.00,4.00,4.25,1.00,6.00,4.00,216,NULL,233,'CENTRO','S MARTINHO','SC',16494,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3191214,3.00,3.00,2.00,5.00,6.00,6.50,3.00,4.00,1.00,213,NULL,220,'COQUEIROS','FLORIANóPOLIS','SC',15238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191222,2.00,6.00,2.00,5.00,8.00,4.50,2.00,4.00,3.00,309,NULL,NULL,'BARREIROS','S JOSé','SC',13171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191230,4.00,5.00,3.00,3.00,5.00,6.00,4.00,5.00,6.00,333,NULL,NULL,'SERRARIA','S JOSé','SC',11337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191249,6.00,7.00,4.00,8.00,5.00,3.00,1.00,5.00,4.00,340,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191257,7.00,5.00,2.00,7.00,8.00,5.00,3.00,7.00,5.00,415,NULL,NULL,'CENTRO','CRICIúMA','SC',6162,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3191265,4.00,1.00,2.00,1.00,3.00,NULL,2.00,2.00,2.00,225,NULL,NULL,'CENTRO','S LOURENçO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3191273,6.00,4.00,4.00,7.00,6.00,5.75,3.00,5.00,6.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',8835,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3191290,3.00,1.00,1.00,3.00,3.00,NULL,0.00,0.00,3.00,415,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3191311,2.00,5.00,3.00,4.00,4.00,5.00,2.00,3.00,4.00,108,NULL,NULL,'SANTA GENOVEVA','GOIâNIA','GO',15708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191320,2.00,5.00,4.00,5.00,3.00,NULL,2.00,3.00,4.00,303,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3191338,6.00,6.00,4.00,7.00,5.00,7.25,3.00,5.00,6.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191346,4.00,5.00,3.00,4.00,2.00,NULL,3.00,4.00,3.00,203,NULL,214,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191354,4.00,4.00,4.00,4.00,2.00,NULL,2.00,3.00,3.00,317,NULL,NULL,'ARMAçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3191362,0.00,4.00,1.00,4.00,4.00,NULL,2.00,4.00,3.00,308,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3191370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3191389,1.00,6.00,3.00,9.00,7.00,7.00,2.00,7.00,3.00,316,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',9291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191397,3.00,4.00,3.00,8.00,3.00,NULL,1.00,3.00,5.00,201,NULL,216,'CENTRO','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3191400,7.00,6.00,6.00,8.00,7.00,5.25,5.00,3.00,6.00,216,NULL,211,'CENTRO','TUBARãO','SC',4141,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3191419,3.00,7.00,4.00,2.00,3.00,NULL,4.00,5.00,2.00,108,NULL,NULL,'JARDIM DAS OLIVEIRAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191427,4.00,6.00,3.00,6.00,6.00,5.25,2.00,4.00,5.00,108,NULL,NULL,'CANASVIERIAS','FLORIANóPOLIS','SC',11614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191435,4.00,1.00,1.00,5.00,5.00,4.25,3.00,4.00,3.00,9,NULL,NULL,'NOVA BRASíLIA','JARAGUá SUL','SC',16265,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3191443,3.00,2.00,1.00,3.00,3.00,NULL,3.00,5.00,3.00,415,NULL,NULL,'BELA VISTA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3191451,3.00,5.00,1.00,0.00,0.00,NULL,2.00,5.00,5.00,103,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(16,3191460,6.00,5.00,5.00,4.00,3.00,NULL,3.00,6.00,3.00,103,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191478,5.00,2.00,3.00,8.00,2.00,NULL,1.00,3.00,5.00,208,NULL,NULL,'JARDIM RIVA','PRIMAVERA LESTE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3191486,6.00,6.00,5.00,7.00,7.00,7.50,2.00,7.00,5.00,211,NULL,201,'JARDIM AQUARIUS','S JOSé CAMPOS','SP',5779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191494,4.00,3.00,3.00,7.00,3.00,NULL,3.00,6.00,3.00,203,NULL,214,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3191508,2.00,2.00,3.00,1.00,3.00,NULL,2.00,2.00,3.00,102,NULL,NULL,'CENTRO','CPO NOVO PARECIS','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3191516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'JARDIM ABC','CIDADE OCIDENTAL','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3191524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3191532,2.00,5.00,1.00,2.00,2.00,NULL,2.00,3.00,3.00,203,NULL,214,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191540,6.00,8.00,5.00,7.00,7.00,5.25,2.00,7.00,5.00,216,NULL,203,'SANTA CRUZ','GUARAPUAVA','PR',4344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'COHAPAR','PIRAQUARA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3191567,4.00,3.00,2.00,3.00,3.00,NULL,3.00,3.00,1.00,316,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191575,4.00,4.00,5.00,9.00,3.00,NULL,3.00,8.00,5.00,327,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191583,6.00,2.00,3.00,7.00,6.00,5.00,3.00,3.00,5.00,102,NULL,NULL,'CENTRO','SANTIAGO','RS',11047,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3191591,3.00,5.00,1.00,7.00,1.00,NULL,1.00,2.00,3.00,220,NULL,203,'PIONEIROS','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3191605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3191613,6.00,5.00,2.00,3.00,6.00,4.25,1.00,6.00,4.00,211,NULL,216,'GLóRIA','JOINVILLE','SC',13040,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3191621,3.00,5.00,4.00,5.00,4.00,5.50,2.00,7.00,3.00,238,NULL,208,'ITACORUBI','FLORIANóPOLIS','SC',13334,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3191648,1.00,2.00,2.00,2.00,2.00,NULL,2.00,2.00,2.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3191664,7.00,6.00,5.00,5.00,8.00,5.50,4.00,8.00,7.00,211,NULL,201,'ITOUPAVA SECA','BLUMENAU','SC',2770,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3191680,9.00,7.00,7.00,9.00,7.00,8.50,6.00,8.00,8.00,420,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM COLINAS','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3191702,7.00,7.00,4.00,9.00,7.00,6.00,4.00,7.00,6.00,103,NULL,NULL,'MINA BRASIL','CRICIúMA','SC',3046,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3191710,5.00,4.00,3.00,8.00,5.00,4.75,3.00,4.00,6.00,211,NULL,201,'CORREGO GRANDE','FLORIANóPOLIS','SC',11073,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3191729,6.00,2.00,3.00,1.00,2.00,NULL,3.00,4.00,0.00,203,NULL,202,'CENTRO','PALMITINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3191745,3.00,4.00,2.00,3.00,4.00,4.00,1.00,5.00,4.00,216,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',16579,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3191753,3.00,6.00,5.00,8.00,5.00,5.75,3.00,7.00,2.00,5,NULL,NULL,'CENTRO','LAGES','SC',9829,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3191761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'GRANJA VIANA','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3191770,3.00,6.00,3.00,8.00,6.00,7.00,3.00,7.00,6.00,453,NULL,NULL,'HUMAITA','TUBARãO','SC',5763,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3191788,5.00,4.00,4.00,6.00,4.00,4.75,3.00,4.00,3.00,303,NULL,NULL,'CENTRO','TUBARãO','SC',12828,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3191796,9.00,7.00,5.00,3.00,8.00,6.00,5.00,7.00,8.00,103,NULL,NULL,'JD AUREA','POá','SP',2381,940,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191800,7.00,5.00,3.00,5.00,5.00,5.50,3.00,5.00,6.00,420,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',9400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191818,4.00,4.00,5.00,4.00,4.00,5.50,2.00,3.00,4.00,9,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',15222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191826,4.00,4.00,3.00,7.00,6.00,6.00,5.00,7.00,2.00,420,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',9590,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3191834,6.00,7.00,6.00,9.00,7.00,7.00,5.00,8.00,5.00,340,NULL,NULL,'CENTRO','S BENTO SUL','SC',2107,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3191842,2.00,5.00,3.00,5.00,6.00,6.00,2.00,7.00,4.00,301,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',12233,237,NULL,NULL,NULL,NULL,NULL,2,1),(16,3191869,4.00,3.00,2.00,1.00,3.00,NULL,2.00,2.00,2.00,216,NULL,203,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3191877,5.00,3.00,1.00,2.00,2.00,NULL,2.00,1.00,3.00,502,NULL,NULL,'INTERLAGOS','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3191893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3191907,4.00,2.00,5.00,2.00,5.00,5.50,4.00,4.00,5.00,220,NULL,202,'SãO DIMAS','PIRACICABA','SP',11994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191915,6.00,7.00,5.00,7.00,6.00,7.00,3.00,4.00,5.00,211,NULL,215,'SERRINHA','FLORIANóPOLIS','SC',5790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191923,9.00,7.00,7.00,7.00,7.00,6.50,4.00,8.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3191931,2.00,6.00,4.00,5.00,4.00,5.00,3.00,3.00,4.00,208,NULL,238,'PASSO DOS FORTES','CHAPECó','SC',14029,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3191940,7.00,5.00,2.00,7.00,6.00,7.00,3.00,5.00,2.00,425,NULL,429,'PICADAS DO SUL','S JOSé','SC',8333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191958,3.00,5.00,1.00,8.00,5.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PIO X','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3191966,9.00,8.00,8.00,8.00,7.00,8.00,8.00,9.00,8.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',98,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191974,3.00,3.00,1.00,3.00,4.00,NULL,2.00,3.00,3.00,303,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3191990,7.00,4.00,5.00,6.00,8.00,6.00,4.00,7.00,7.00,333,NULL,NULL,'JARDIM NOVO CHAPADãO','CAMPINAS','SP',3738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192016,6.00,3.00,4.00,4.00,6.00,5.50,2.00,5.00,4.00,9,NULL,NULL,'VILA NOVA','BLUMENAU','SC',11148,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3192024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA MADALENA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3192032,2.00,1.00,2.00,6.00,3.00,NULL,2.00,4.00,4.00,9,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192040,5.00,4.00,2.00,4.00,3.00,NULL,1.00,2.00,2.00,101,NULL,NULL,'ARMAÇÃO PÂNTANO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3192059,7.00,6.00,6.00,7.00,6.00,5.75,4.00,7.00,7.00,220,NULL,233,'VILA SãO JOSé','ARARANGUá','SC',2885,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3192067,4.00,4.00,7.00,4.00,5.00,4.00,4.00,3.00,4.00,5,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',12960,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3192075,4.00,6.00,3.00,9.00,7.00,7.00,3.00,7.00,3.00,420,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192083,4.00,2.00,3.00,1.00,1.00,NULL,1.00,4.00,1.00,327,NULL,NULL,'CENTRO','AURORA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3192091,3.00,5.00,4.00,7.00,5.00,5.50,2.00,4.00,5.00,304,NULL,NULL,'ATIRADORES','JOINVILLE','SC',10458,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3192105,4.00,3.00,1.00,7.00,5.00,4.75,2.00,6.00,4.00,319,NULL,NULL,'JARDIM BOA VISTA','CAIEIRAS','SP',13798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192113,6.00,5.00,1.00,8.00,6.00,6.00,3.00,6.00,3.00,327,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3192121,7.00,3.00,1.00,8.00,3.00,NULL,4.00,3.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192130,4.00,5.00,5.00,7.00,8.00,7.75,4.00,5.00,8.00,233,NULL,215,'CENTRO','ARARANGUá','SC',4250,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3192148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'FLORESTA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3192156,4.00,4.00,5.00,7.00,3.00,NULL,0.00,5.00,3.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192164,3.00,6.00,4.00,3.00,3.00,NULL,3.00,3.00,3.00,201,NULL,NULL,'JARAGUá ESQUERDO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3192172,8.00,8.00,4.00,9.00,9.00,6.25,4.00,8.00,7.00,103,NULL,NULL,'NOVOS HORIZONTES','CPO MAGRO','PR',1074,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3192180,5.00,6.00,4.00,8.00,4.00,5.50,3.00,6.00,5.00,303,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3192199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,208,'JARDIM DAS INDUSTRIA','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3192202,5.00,8.00,6.00,7.00,5.00,4.00,6.00,6.00,5.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192210,2.00,5.00,2.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',4,1),(16,3192229,5.00,3.00,6.00,6.00,3.00,NULL,1.00,7.00,5.00,215,NULL,208,'AMéRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3192237,4.00,3.00,2.00,3.00,5.00,NULL,1.00,3.00,2.00,303,NULL,NULL,'BELA VISTA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3192245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','BARRACãO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3192253,4.00,4.00,3.00,6.00,3.00,NULL,3.00,5.00,3.00,340,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192261,7.00,7.00,7.00,8.00,7.00,5.50,5.00,8.00,5.00,220,NULL,202,'PARQUE TAQUARAL','CAMPINAS','SP',2110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192270,5.00,3.00,2.00,2.00,4.00,5.25,4.00,4.00,2.00,453,NULL,NULL,'CENTRO','PALHOçA','SC',16540,133,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192288,7.00,7.00,3.00,5.00,5.00,5.50,5.00,7.00,7.00,101,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',6170,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3192296,4.00,3.00,2.00,1.00,6.00,5.25,3.00,4.00,5.00,329,NULL,NULL,'TABULEIRO','ITAPEMA','SC',15360,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3192300,5.00,6.00,6.00,7.00,5.00,4.00,4.00,7.00,4.00,304,NULL,NULL,'BARREIROS','S JOSé','SC',6942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','SERRA ALTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3192326,4.00,5.00,3.00,6.00,6.00,5.50,4.00,5.00,7.00,216,NULL,201,'CENTRO','FRANCISCO ALVES','PR',7373,267,NULL,575,NULL,NULL,NULL,2,4),(16,3192334,8.00,6.00,6.00,6.00,6.00,5.00,6.00,8.00,7.00,211,NULL,233,'FLORESTA','JOINVILLE','SC',1717,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3192342,4.00,3.00,4.00,4.00,3.00,NULL,5.00,6.00,4.00,201,NULL,207,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3192369,2.00,2.00,1.00,4.00,4.00,5.25,4.00,5.00,4.00,423,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',15995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3192377,5.00,5.00,6.00,6.00,5.00,4.75,3.00,3.00,4.00,208,NULL,238,'COMERCIáRIO','CRICIúMA','SC',9991,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3192385,3.00,3.00,4.00,5.00,7.00,5.50,1.00,4.00,3.00,208,NULL,220,'CAMPINAS','S JOSé','SC',14455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192393,5.00,4.00,2.00,2.00,3.00,NULL,1.00,5.00,2.00,201,NULL,216,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3192415,7.00,5.00,5.00,8.00,7.00,7.50,7.00,7.00,5.00,201,NULL,220,'KOBRASOL','S JOSé','SC',2089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR OESTE','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3192431,6.00,4.00,4.00,6.00,5.00,5.50,3.00,5.00,6.00,215,NULL,233,'ABRAãO','FLORIANóPOLIS','SC',8777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3192440,2.00,3.00,1.00,2.00,3.00,NULL,5.00,4.00,2.00,423,NULL,428,'JOSé MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192458,4.00,4.00,2.00,6.00,4.00,4.75,1.00,6.00,3.00,302,NULL,NULL,'PRAIA DE BAIXO','BIGUAçU','SC',14639,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3192466,4.00,4.00,3.00,7.00,6.00,4.50,2.00,7.00,5.00,304,NULL,NULL,'CAMPINAS','S JOSé','SC',10224,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3192474,1.00,4.00,1.00,0.00,3.00,NULL,2.00,2.00,2.00,9,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192482,4.00,3.00,5.00,4.00,2.00,NULL,4.00,3.00,5.00,203,NULL,214,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192490,4.00,4.00,5.00,6.00,5.00,5.75,3.00,7.00,7.00,202,NULL,213,'ESTREITO','FLORIANóPOLIS','SC',6368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192504,6.00,6.00,5.00,8.00,4.00,5.75,7.00,7.00,7.00,103,NULL,NULL,'CRISTO REI','S LEOPOLDO','RS',3085,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3192512,1.00,3.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3192520,5.00,2.00,2.00,9.00,4.00,8.00,2.00,1.00,3.00,104,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192539,5.00,1.00,5.00,9.00,5.00,5.50,3.00,5.00,5.00,103,NULL,NULL,'TROPICAL','CASCAVEL','PR',9099,NULL,NULL,NULL,NULL,NULL,NULL,5,2),(16,3192547,2.00,4.00,3.00,6.00,4.00,4.00,2.00,1.00,3.00,425,NULL,424,'PONTA DE BAIXO','S JOSé','SC',16544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192555,7.00,6.00,5.00,4.00,6.00,6.00,5.00,7.00,4.00,220,NULL,238,'NOSSA SRA DO ROSÁRIO','S JOSé','SC',5076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192580,4.00,1.00,4.00,6.00,5.00,4.25,1.00,6.00,2.00,429,NULL,421,'SAMBAQUI','FLORIANóPOLIS','SC',14212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192598,2.00,2.00,2.00,2.00,3.00,NULL,2.00,2.00,3.00,308,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192601,5.00,3.00,2.00,5.00,4.00,6.00,0.00,7.00,1.00,340,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192610,8.00,7.00,4.00,7.00,7.00,6.25,3.00,7.00,5.00,340,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',3209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192628,5.00,4.00,2.00,5.00,5.00,6.25,2.00,6.00,4.00,103,NULL,NULL,'JARDIM ALEXANDER','RIO SUL','SC',10620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192644,3.00,2.00,2.00,6.00,6.00,6.00,3.00,3.00,4.00,104,NULL,NULL,'CENTRO','CAçADOR','SC',14322,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3192652,7.00,8.00,4.00,9.00,7.00,6.50,3.00,8.00,7.00,450,NULL,NULL,'PARQUE ALVORADA','DOURADOS','MS',2396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192660,1.00,3.00,1.00,1.00,4.00,NULL,2.00,5.00,2.00,108,NULL,NULL,'ARAçATUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192679,5.00,6.00,3.00,1.00,3.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'PARQUE RECREIO','S MANUEL','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192687,4.00,5.00,4.00,8.00,4.00,5.00,3.00,7.00,4.00,317,NULL,NULL,'BALNEARIO','FLORIANóPOLIS','SC',9226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192695,8.00,7.00,8.00,6.00,6.00,5.50,6.00,7.00,8.00,211,NULL,201,'VILA NOVA','BLUMENAU','SC',1409,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3192709,4.00,5.00,4.00,6.00,5.00,6.50,4.00,7.00,6.00,103,NULL,NULL,'PARQUE AMAZôNIA','GOIâNIA','GO',7889,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3192717,4.00,5.00,5.00,6.00,6.00,4.50,1.00,5.00,4.00,201,NULL,208,'CIDADE ALTA','ARARANGUá','SC',10634,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3192725,2.00,0.00,2.00,1.00,1.00,NULL,1.00,1.00,4.00,501,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3192741,5.00,6.00,1.00,6.00,5.00,7.00,4.00,6.00,4.00,429,NULL,NULL,'NEREU RAMOS','JARAGUá SUL','SC',9183,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3192750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'REBOUçAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3192768,4.00,4.00,2.00,1.00,5.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192776,5.00,7.00,2.00,6.00,3.00,NULL,3.00,8.00,3.00,103,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3192784,2.00,6.00,6.00,9.00,6.00,6.75,4.00,9.00,2.00,415,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192806,6.00,4.00,4.00,9.00,7.00,6.75,3.00,5.00,5.00,214,NULL,215,'COQUEIROS','FLORIANóPOLIS','SC',6667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192814,5.00,3.00,6.00,3.00,5.00,4.00,4.00,4.00,3.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',14262,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3192822,3.00,4.00,3.00,5.00,5.00,4.75,3.00,4.00,3.00,302,NULL,NULL,'NOSSA SRA DO ROSáRIO','S JOSé','SC',14305,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3192830,2.00,4.00,1.00,6.00,4.00,NULL,1.00,2.00,3.00,420,NULL,NULL,'DAS NAçõES','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3192849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3192857,7.00,8.00,9.00,6.00,8.00,5.50,7.00,8.00,7.00,220,NULL,201,'SãO LUIZ','BRUSQUE','SC',754,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3192865,2.00,2.00,3.00,6.00,3.00,NULL,3.00,5.00,4.00,404,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3192873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TARUMã','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3192881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE DAS BANDEIRAS','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3192890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3192903,4.00,3.00,4.00,3.00,2.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3192911,6.00,2.00,1.00,5.00,4.00,4.50,3.00,3.00,5.00,233,NULL,215,'CENTRO','TURVO','SC',15524,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3192920,5.00,4.00,4.00,6.00,5.00,5.50,4.00,5.00,6.00,333,NULL,NULL,'SANTA BARBARA','CRICIúMA','SC',8497,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3192938,0.00,0.00,0.00,6.00,2.00,NULL,0.00,0.00,0.00,207,NULL,211,'PROGRESSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',5,2),(16,3192946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'GLóRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3192962,5.00,5.00,4.00,7.00,4.00,5.75,5.00,6.00,4.00,420,NULL,NULL,'PARQUE MUNHOZ','S PAULO','SP',8649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3192970,4.00,3.00,1.00,5.00,4.00,4.50,1.00,6.00,3.00,425,NULL,429,'COLONINHA','FLORIANóPOLIS','SC',16477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3192989,3.00,4.00,3.00,5.00,5.00,5.75,3.00,5.00,2.00,238,NULL,220,'ESTREITO','FLORIANóPOLIS','SC',14237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3192997,3.00,4.00,3.00,6.00,5.00,5.50,5.00,1.00,3.00,207,NULL,201,'CAMPECHE','FLORIANóPOLIS','SC',14692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3193012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ATLâNTICO','NIQUELâNDIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3193020,1.00,3.00,3.00,6.00,3.00,NULL,2.00,5.00,0.00,501,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3193039,6.00,6.00,6.00,8.00,5.00,4.00,4.00,6.00,5.00,220,NULL,214,'PARAGUAI','JACINTO MACHADO','SC',5288,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3193047,6.00,7.00,5.00,7.00,6.00,6.50,2.00,7.00,8.00,211,NULL,233,'KOBRASOL','S JOSé','SC',3647,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3193055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'ÁGUA VERDE','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3193063,2.00,3.00,1.00,6.00,4.00,NULL,0.00,4.00,2.00,426,NULL,429,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3193098,2.00,3.00,1.00,8.00,7.00,5.00,3.00,2.00,4.00,420,NULL,NULL,'VILA GARCIA','PATOS MINAS','MG',15486,169,NULL,NULL,NULL,NULL,NULL,2,1),(16,3193101,3.00,6.00,6.00,5.00,6.00,5.50,2.00,7.00,7.00,216,NULL,233,'CENTRO','BRUSQUE','SC',7246,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3193128,4.00,7.00,7.00,8.00,7.00,5.50,5.00,9.00,8.00,220,NULL,214,'CENTRO','HERVAL D OESTE','SC',1792,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3193136,6.00,6.00,6.00,3.00,6.00,4.50,1.00,5.00,3.00,203,NULL,NULL,'CENTRO','PTE ALTA','SC',11380,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3193144,3.00,3.00,2.00,1.00,5.00,NULL,2.00,6.00,2.00,238,NULL,NULL,'BELA VISTA','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3193152,2.00,6.00,3.00,5.00,4.00,5.00,3.00,5.00,5.00,214,NULL,213,'CAMPECHE','FLORIANóPOLIS','SC',11935,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3193160,4.00,4.00,1.00,6.00,4.00,6.50,2.00,5.00,5.00,215,NULL,202,'CENTRO','ABELARDO LUZ','SC',12935,291,NULL,447,NULL,NULL,NULL,2,4),(16,3193179,5.00,7.00,3.00,6.00,6.00,6.75,4.00,6.00,6.00,201,NULL,NULL,'RESSACADA','ITAJAí','SC',5284,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3193187,1.00,4.00,2.00,1.00,0.00,NULL,0.00,1.00,4.00,202,NULL,208,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3193195,3.00,3.00,2.00,2.00,5.00,NULL,1.00,5.00,1.00,208,NULL,238,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3193209,3.00,3.00,2.00,5.00,4.00,NULL,2.00,1.00,3.00,424,NULL,427,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3193217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,208,'PARQUE SãO PAULO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3193225,2.00,5.00,1.00,2.00,3.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'CANTA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3193233,2.00,3.00,4.00,8.00,4.00,3.25,0.00,3.00,1.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3193241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,NULL,'CENTRO','VENâNCIO AIRES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3193250,7.00,8.00,7.00,7.00,8.00,5.25,5.00,8.00,7.00,203,NULL,214,'ITACORUBI','FLORIANóPOLIS','SC',1223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3193268,4.00,4.00,2.00,7.00,7.00,6.25,2.00,7.00,4.00,101,NULL,NULL,'CORDEIROS','ITAJAí','SC',9102,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3193276,3.00,6.00,2.00,3.00,3.00,NULL,3.00,4.00,4.00,340,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3193284,4.00,5.00,3.00,4.00,4.00,4.00,2.00,6.00,5.00,212,NULL,213,'CENTRO','S CARLOS','SC',13390,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3193306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM LINDóIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3193314,5.00,5.00,4.00,7.00,7.00,5.00,3.00,6.00,4.00,302,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',8169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3193322,3.00,3.00,1.00,3.00,4.00,5.75,4.00,5.00,4.00,9,NULL,NULL,'BALNEÁRIO','FLORIANóPOLIS','SC',15702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3193330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3193349,5.00,4.00,2.00,3.00,4.00,5.75,2.00,5.00,3.00,211,NULL,207,'VELHA','BLUMENAU','SC',15854,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3193357,4.00,4.00,3.00,7.00,5.00,4.50,2.00,5.00,4.00,404,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',13749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3193365,7.00,7.00,4.00,8.00,7.00,6.50,1.00,7.00,4.00,215,NULL,201,'CENTRO','SINOP','MT',4806,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3193373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3193381,3.00,7.00,8.00,8.00,6.00,6.25,4.00,7.00,4.00,201,NULL,212,'AZAMBUJA','BRUSQUE','SC',5124,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3193411,3.00,3.00,2.00,3.00,5.00,NULL,3.00,2.00,3.00,214,NULL,203,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3193420,4.00,2.00,3.00,8.00,4.00,5.75,3.00,5.00,3.00,5,NULL,NULL,'SANTO ANTôNIO','CHAPECó','SC',14128,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3193438,5.00,6.00,2.00,4.00,7.00,4.25,1.00,5.00,3.00,103,NULL,NULL,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',13860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3193446,7.00,7.00,5.00,9.00,7.00,5.50,3.00,9.00,5.00,102,NULL,NULL,'ESTADOS','TIMBó','SC',3701,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3193454,8.00,9.00,5.00,8.00,5.00,5.50,6.00,8.00,7.00,303,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',1166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3193462,4.00,4.00,4.00,4.00,3.00,NULL,2.00,1.00,2.00,203,NULL,214,'SAGUAçU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3193470,3.00,4.00,5.00,4.00,6.00,5.25,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3193489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3193497,3.00,2.00,1.00,7.00,4.00,NULL,3.00,2.00,0.00,415,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3193527,8.00,6.00,6.00,5.00,6.00,5.75,5.00,8.00,5.00,103,NULL,NULL,'OFICINAS','TUBARãO','SC',2657,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3193535,3.00,4.00,5.00,7.00,3.00,NULL,5.00,6.00,3.00,425,NULL,429,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3193543,6.00,6.00,7.00,7.00,5.00,5.25,6.00,7.00,8.00,220,NULL,202,'CENTRO','CAMPINAS','SP',2330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3193551,6.00,6.00,4.00,9.00,5.00,5.50,3.00,7.00,4.00,220,NULL,202,'JARDIM FLORIDA','CPO MOURãO','PR',5607,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3193560,3.00,2.00,2.00,3.00,5.00,NULL,3.00,3.00,3.00,238,NULL,208,'COLONINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3193578,2.00,3.00,3.00,0.00,3.00,NULL,2.00,3.00,1.00,5,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3193586,9.00,8.00,5.00,8.00,8.00,7.00,4.00,6.00,8.00,203,NULL,214,'FAZENDA','CAMPINAS SUL','RS',1371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3193594,3.00,3.00,4.00,2.00,2.00,NULL,3.00,1.00,2.00,108,NULL,NULL,'DEHON','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3193608,3.00,3.00,5.00,9.00,5.00,5.25,2.00,7.00,4.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3193616,3.00,5.00,2.00,3.00,2.00,NULL,3.00,8.00,2.00,326,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3193624,6.00,7.00,3.00,6.00,7.00,7.50,1.00,7.00,5.00,104,NULL,NULL,'CENTRO','PRES GETúLIO','SC',6838,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3193632,8.00,9.00,6.00,9.00,7.00,7.75,2.00,7.00,7.00,303,NULL,NULL,'CAMPINAS','S JOSé','SC',1501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3193640,4.00,4.00,2.00,7.00,7.00,7.00,2.00,6.00,4.00,9,NULL,NULL,'KOBRASOL','SAO JOSE','SC',10077,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3193667,5.00,6.00,5.00,9.00,6.00,6.00,6.00,5.00,7.00,208,NULL,238,'CORREGO GRANDE','FLORIANóPOLIS','SC',3636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3193675,7.00,6.00,7.00,7.00,7.00,6.00,4.00,8.00,4.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',2820,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3193683,5.00,5.00,6.00,7.00,5.00,5.00,5.00,7.00,7.00,238,NULL,207,'POTECAS','S JOSé','SC',4704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3193691,3.00,4.00,3.00,6.00,4.00,4.75,2.00,7.00,1.00,103,NULL,NULL,'CZERNIEWICZ','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3193721,4.00,6.00,1.00,6.00,4.00,4.25,2.00,2.00,3.00,304,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',16354,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3193730,8.00,7.00,5.00,7.00,6.00,6.50,3.00,4.00,7.00,102,NULL,NULL,'KOBRASOL','S JOSé','SC',4281,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3193748,2.00,4.00,5.00,6.00,5.00,4.75,2.00,4.00,3.00,220,NULL,233,'CENTRO','S BENTO SUL','SC',13645,474,NULL,411,NULL,NULL,NULL,4,8),(16,3193756,5.00,6.00,2.00,6.00,5.00,5.50,2.00,5.00,3.00,215,NULL,208,'CAMPECHE','FLORIANóPOLIS','SC',11970,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3193764,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3193772,5.00,3.00,2.00,3.00,5.00,5.50,3.00,7.00,7.00,103,NULL,NULL,'CRUZEIRO DO SUL','CRICIúMA','SC',11453,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3193780,5.00,6.00,3.00,3.00,3.00,NULL,3.00,5.00,3.00,103,NULL,NULL,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3193799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TATUAPE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3193802,7.00,7.00,4.00,7.00,4.00,6.75,7.00,7.00,7.00,103,NULL,NULL,'GOIABEIRAS','CUIABá','MT',2454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3193810,8.00,8.00,5.00,8.00,8.00,5.75,5.00,7.00,8.00,104,NULL,NULL,'CENTRO','PRES GETúLIO','SC',1402,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3193829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'SANTA QUITERIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3193837,6.00,5.00,7.00,9.00,6.00,4.75,3.00,8.00,6.00,103,NULL,NULL,'ZONA OITO','MARINGá','PR',3185,NULL,NULL,NULL,NULL,NULL,NULL,3,8),(16,3193845,2.00,1.00,1.00,0.00,5.00,NULL,2.00,1.00,2.00,207,NULL,211,'PROSPERA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3193853,2.00,5.00,3.00,6.00,5.00,5.25,1.00,4.00,4.00,202,NULL,NULL,'MINA BRASIL','CRICIúMA','SC',15030,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3193861,3.00,3.00,3.00,2.00,2.00,NULL,3.00,2.00,2.00,207,NULL,201,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3193896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3193900,6.00,6.00,4.00,7.00,5.00,5.75,2.00,7.00,4.00,316,NULL,NULL,'JD ESPLANADA II','S JOSé CAMPOS','SP',8141,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3193926,3.00,5.00,2.00,6.00,5.00,5.50,3.00,5.00,4.00,108,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',13416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3193934,6.00,8.00,7.00,7.00,6.00,6.00,6.00,6.00,5.00,333,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3193942,3.00,5.00,1.00,0.00,0.00,NULL,1.00,6.00,3.00,238,NULL,208,'CIDADE FLORIANóPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(16,3193950,5.00,6.00,2.00,4.00,2.00,NULL,4.00,5.00,2.00,501,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3193969,4.00,3.00,3.00,3.00,3.00,NULL,2.00,2.00,5.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3193993,3.00,7.00,5.00,6.00,6.00,5.50,1.00,7.00,3.00,316,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',8855,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3194000,5.00,3.00,1.00,3.00,0.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'PARQUE SãO JORGE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194019,8.00,8.00,8.00,8.00,8.00,7.00,7.00,9.00,8.00,103,NULL,NULL,'VILA AURORA','DOURADOS','MS',183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194027,2.00,0.00,2.00,1.00,1.00,NULL,0.00,3.00,3.00,444,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3194051,3.00,1.00,3.00,3.00,3.00,NULL,2.00,2.00,3.00,317,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3194060,6.00,6.00,7.00,9.00,7.00,6.00,4.00,6.00,5.00,453,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',3516,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3194078,4.00,4.00,2.00,7.00,4.00,6.00,3.00,3.00,4.00,328,NULL,NULL,'NOVA MARABá','MARABá','PA',13829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPãO DA IMBUIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3194094,4.00,3.00,1.00,7.00,5.00,5.75,3.00,4.00,2.00,223,NULL,NULL,'COMERCIáRIO','CRICIúMA','SC',13883,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3194108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'SãO CRISTóVãO','LAJEADO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3194116,8.00,8.00,9.00,8.00,7.00,6.00,4.00,7.00,8.00,220,NULL,214,'TRINDADE','FLORIANóPOLIS','SC',727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194124,4.00,2.00,1.00,2.00,5.00,NULL,2.00,5.00,2.00,340,NULL,NULL,'ANITA GARIBALDE','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3194132,4.00,6.00,4.00,6.00,7.00,6.00,6.00,4.00,4.00,5,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',6807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194140,7.00,5.00,3.00,5.00,6.00,5.50,1.00,3.00,4.00,215,NULL,216,'HUMAITá','TUBARãO','SC',12308,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3194159,5.00,3.00,5.00,1.00,2.00,NULL,4.00,6.00,3.00,303,NULL,NULL,'PRESIDENTE MEDICI','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3194167,6.00,6.00,3.00,3.00,7.00,5.75,4.00,9.00,5.00,103,NULL,NULL,'IMPERIAL','CONCóRDIA','SC',6320,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3194175,3.00,4.00,3.00,9.00,5.00,5.25,4.00,4.00,3.00,425,NULL,427,'TRINDADE','FLORIANóPOLIS','SC',12297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194183,6.00,3.00,4.00,7.00,3.00,NULL,2.00,4.00,5.00,333,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3194205,6.00,8.00,5.00,6.00,9.00,6.25,3.00,8.00,7.00,233,NULL,201,'COQUEIROS','FLORIANóPOLIS','SC',2822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3194221,3.00,4.00,5.00,7.00,6.00,5.50,1.00,8.00,2.00,102,NULL,NULL,'ALVORADA','XAXIM','SC',11171,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3194230,7.00,4.00,4.00,5.00,5.00,6.00,2.00,6.00,4.00,103,NULL,NULL,'GUANABARA','COCAL SUL','SC',10519,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3194248,3.00,5.00,5.00,4.00,4.00,4.75,2.00,7.00,2.00,9,NULL,NULL,'CENTRO','LEOBERTO LEAL','SC',14578,144,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194256,3.00,0.00,1.00,1.00,1.00,NULL,0.00,3.00,2.00,104,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194264,4.00,3.00,2.00,8.00,6.00,4.75,2.00,3.00,2.00,5,NULL,NULL,'IMIGRANTES','ZORTéA','SC',14000,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3194272,6.00,4.00,4.00,7.00,5.00,6.25,1.00,5.00,4.00,103,NULL,NULL,'CHACARA INGLESA','S PAULO','SP',10162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194280,5.00,5.00,1.00,3.00,5.00,5.75,4.00,6.00,3.00,327,NULL,NULL,'FORQUILHAS','S JOSé','SC',13758,36,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194299,5.00,6.00,6.00,7.00,7.00,5.25,4.00,7.00,5.00,214,NULL,207,'CARVOEIRA','FLORIANóPOLIS','SC',4090,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3194302,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PASSAGEM','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(16,3194310,7.00,8.00,5.00,7.00,6.00,6.75,5.00,6.00,7.00,216,NULL,220,'CONCEIçãO','CRUZ ALTA','RS',3304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194329,3.00,2.00,5.00,4.00,2.00,NULL,3.00,3.00,1.00,103,NULL,NULL,'ITINGA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3194345,2.00,5.00,5.00,7.00,2.00,NULL,4.00,4.00,4.00,102,NULL,NULL,'ALTO RIBEIRãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3194353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,213,'CAMPO BELO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3194370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','IBIRAMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3194388,5.00,7.00,4.00,7.00,3.00,NULL,4.00,8.00,6.00,304,NULL,NULL,'NOVA BRASíLIA','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3194396,6.00,3.00,4.00,8.00,5.00,6.00,3.00,7.00,4.00,303,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',9494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3194418,3.00,5.00,2.00,6.00,6.00,3.00,1.00,2.00,4.00,5,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3194426,2.00,9.00,1.00,7.00,7.00,5.75,3.00,8.00,4.00,9,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',8198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194434,5.00,6.00,2.00,4.00,2.00,NULL,4.00,3.00,3.00,452,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3194442,4.00,6.00,4.00,6.00,4.00,6.75,3.00,5.00,2.00,452,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194450,3.00,2.00,4.00,3.00,2.00,NULL,0.00,2.00,2.00,319,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3194469,5.00,5.00,1.00,8.00,5.00,5.25,4.00,6.00,4.00,301,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',9611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194477,5.00,2.00,1.00,0.00,3.00,NULL,1.00,2.00,3.00,215,NULL,211,'BELA VISTA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3194493,6.00,5.00,1.00,3.00,5.00,5.75,2.00,7.00,3.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',12372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194515,2.00,7.00,6.00,8.00,8.00,5.75,4.00,5.00,4.00,238,NULL,208,'ARMAçãO','FLORIANóPOLIS','SC',4778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194523,5.00,5.00,5.00,3.00,5.00,4.75,2.00,4.00,5.00,302,NULL,NULL,'ENSEADA DE BRITO','PALHOçA','SC',12225,143,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3194540,6.00,7.00,7.00,8.00,5.00,6.50,5.00,7.00,4.00,238,NULL,NULL,'PEDRA BRANCA','PALHOçA','SC',4074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194558,7.00,5.00,3.00,5.00,6.00,5.25,4.00,4.00,6.00,216,NULL,212,'SANTA MONICA','FLORIANóPOLIS','SC',8139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194566,5.00,4.00,4.00,4.00,5.00,5.50,3.00,5.00,5.00,207,NULL,211,'CENTRO','XANXERê','SC',12162,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3194574,6.00,7.00,3.00,8.00,8.00,5.75,3.00,7.00,5.00,233,NULL,214,'DIVINéIA','ARARANGUá','SC',4942,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3194604,7.00,5.00,3.00,8.00,7.00,5.50,6.00,6.00,5.00,453,NULL,NULL,'CENTRO','PALHOçA','SC',4380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194612,4.00,6.00,4.00,4.00,2.00,NULL,3.00,4.00,3.00,301,NULL,NULL,'NITERóI','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3194639,5.00,5.00,2.00,3.00,6.00,4.50,5.00,2.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194647,4.00,5.00,3.00,7.00,5.00,6.25,5.00,8.00,3.00,302,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',8997,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3194663,1.00,3.00,1.00,7.00,3.00,NULL,2.00,6.00,2.00,238,NULL,208,'CINQUENTENáRIO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194671,4.00,3.00,2.00,7.00,3.00,NULL,2.00,5.00,5.00,203,NULL,214,'BOA VISTA','CARAZINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3194680,7.00,7.00,5.00,7.00,6.00,7.25,4.00,4.00,5.00,415,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',4698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194698,4.00,5.00,4.00,8.00,4.00,4.50,2.00,5.00,4.00,320,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',11307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3194710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3194736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3194744,4.00,5.00,3.00,3.00,2.00,NULL,4.00,4.00,2.00,233,NULL,220,'RIO CHAPEU','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3194752,4.00,5.00,4.00,1.00,5.00,5.50,2.00,6.00,3.00,444,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',14706,111,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194760,7.00,5.00,6.00,8.00,5.00,6.50,3.00,7.00,5.00,5,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',4686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194779,4.00,1.00,4.00,5.00,4.00,NULL,3.00,3.00,1.00,5,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3194809,5.00,5.00,7.00,8.00,5.00,6.50,1.00,8.00,4.00,309,NULL,NULL,'CENTRO','ITAQUIRAí','MS',6412,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3194833,1.00,4.00,3.00,1.00,7.00,NULL,0.00,2.00,3.00,301,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194841,6.00,5.00,2.00,7.00,5.00,5.00,4.00,5.00,2.00,420,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',9092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194850,2.00,4.00,4.00,5.00,2.00,NULL,2.00,3.00,4.00,415,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3194868,8.00,7.00,4.00,9.00,5.00,5.25,3.00,8.00,6.00,207,NULL,201,'DANIELA','FLORIANóPOLIS','SC',4223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194876,2.00,4.00,2.00,5.00,3.00,NULL,2.00,7.00,2.00,421,NULL,427,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3194884,1.00,3.00,2.00,0.00,2.00,NULL,4.00,3.00,2.00,425,NULL,424,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194892,4.00,6.00,2.00,7.00,6.00,5.75,3.00,7.00,4.00,340,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',8744,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3194906,4.00,6.00,5.00,3.00,5.00,5.75,3.00,8.00,4.00,203,NULL,NULL,'INTERIOR','MONDAí','SC',9630,692,NULL,NULL,NULL,NULL,NULL,4,4),(16,3194914,4.00,6.00,4.00,6.00,4.00,5.75,4.00,6.00,5.00,202,NULL,212,'SERTAO DO MARUIM','S JOSé','SC',9317,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3194922,6.00,7.00,5.00,8.00,4.00,6.25,4.00,6.00,7.00,205,NULL,NULL,'CENTRO','LAGES','SC',3683,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3194949,5.00,4.00,5.00,8.00,6.00,6.00,1.00,6.00,3.00,301,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',9722,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3194957,5.00,7.00,5.00,8.00,5.00,6.75,4.00,5.00,2.00,207,NULL,208,'BOQUEIRãO','SANTOS','SP',6403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3194965,4.00,5.00,5.00,9.00,7.00,5.50,2.00,7.00,3.00,340,NULL,NULL,'OFICINAS','TUBARãO','SC',7598,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3194973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BOTANICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3194981,0.00,2.00,3.00,3.00,3.00,NULL,2.00,0.00,2.00,212,NULL,201,'SANTA TEREZINHA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3194990,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'FLOR DE NAPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3195007,3.00,2.00,1.00,2.00,2.00,NULL,3.00,3.00,2.00,208,NULL,238,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195015,4.00,2.00,3.00,3.00,3.00,NULL,2.00,3.00,2.00,340,NULL,NULL,'GUARDA DO EMBAU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195031,3.00,3.00,3.00,4.00,2.00,NULL,3.00,3.00,6.00,453,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195040,5.00,6.00,2.00,8.00,5.00,3.25,1.00,6.00,3.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195066,3.00,2.00,4.00,5.00,2.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'BARAO GERALDO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(16,3195074,3.00,4.00,1.00,4.00,2.00,NULL,4.00,6.00,2.00,203,NULL,NULL,'CIDADE JARDIM','MARINGá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195090,2.00,5.00,3.00,5.00,5.00,4.75,4.00,6.00,4.00,225,NULL,NULL,'CINQUENTENÁRIO','CONCóRDIA','SC',12248,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3195112,3.00,2.00,3.00,7.00,0.00,NULL,2.00,4.00,2.00,415,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195120,4.00,4.00,5.00,7.00,5.00,6.00,2.00,7.00,6.00,5,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',7776,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195139,4.00,5.00,4.00,7.00,6.00,5.50,4.00,5.00,5.00,453,NULL,NULL,'BELA VISTA','PALHOçA','SC',8215,50,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195163,4.00,1.00,2.00,5.00,3.00,NULL,3.00,4.00,1.00,238,NULL,208,'JARDIM MAR DAS PEDRA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195171,2.00,2.00,2.00,0.00,2.00,NULL,2.00,6.00,4.00,102,NULL,NULL,'BOA VISTA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3195180,4.00,3.00,2.00,3.00,3.00,NULL,3.00,4.00,3.00,501,NULL,NULL,'CENTRO','AURORA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195198,8.00,7.00,4.00,7.00,5.00,5.00,3.00,8.00,6.00,327,NULL,NULL,'STO ANTONIO LISBOA','FLORIANóPOLIS','SC',4249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195210,3.00,4.00,3.00,6.00,6.00,7.00,3.00,7.00,5.00,319,NULL,NULL,'CENTRO','GAROPABA','SC',8561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195228,6.00,5.00,6.00,9.00,6.00,7.00,2.00,7.00,6.00,339,NULL,NULL,'IPIRANGA','S JOSé','SC',4151,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3195244,4.00,3.00,4.00,5.00,2.00,NULL,1.00,4.00,3.00,102,NULL,NULL,'PEDREGULHO','GUARATINGUETá','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195252,3.00,5.00,2.00,6.00,3.00,NULL,3.00,6.00,2.00,309,NULL,NULL,'JARDIM JANAINA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195260,2.00,2.00,2.00,2.00,2.00,NULL,0.00,0.00,2.00,212,NULL,201,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3195279,5.00,4.00,4.00,7.00,5.00,5.00,4.00,6.00,3.00,202,NULL,208,'SANTA MONICA','FLORIANóPOLIS','SC',9251,333,NULL,271,NULL,NULL,NULL,4,1),(16,3195295,2.00,2.00,3.00,5.00,7.00,5.50,0.00,4.00,5.00,333,NULL,NULL,'CENTRO','LIMEIRA','SP',15225,132,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195309,5.00,7.00,7.00,6.00,7.00,5.25,1.00,8.00,5.00,214,NULL,203,'PRADO','BIGUAçU','SC',4762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195317,2.00,7.00,3.00,4.00,4.00,5.75,3.00,5.00,3.00,428,NULL,425,'BARREIROS','S JOSé','SC',13835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195325,3.00,6.00,4.00,6.00,2.00,NULL,3.00,5.00,6.00,104,NULL,NULL,'CENTRO','S MARCOS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3195333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,211,'CENTRO','IçARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3195341,4.00,8.00,1.00,8.00,6.00,6.25,3.00,6.00,3.00,501,NULL,NULL,'CENTRO','JOAçABA','SC',8602,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3195350,1.00,4.00,2.00,5.00,4.00,NULL,3.00,1.00,1.00,101,NULL,NULL,'COLONIA SANTANA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195368,8.00,8.00,6.00,6.00,6.00,6.00,5.00,7.00,8.00,211,NULL,213,'CENTRO','FLORIANóPOLIS','SC',1703,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195376,3.00,2.00,1.00,7.00,3.00,NULL,1.00,4.00,2.00,303,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195384,3.00,4.00,2.00,8.00,7.00,6.50,4.00,4.00,3.00,238,NULL,233,'CENTRO','FLORIANóPOLIS','SC',10726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195392,8.00,7.00,7.00,7.00,8.00,6.25,4.00,7.00,6.00,103,NULL,NULL,'NOVA BRASÍLIA','JOINVILLE','SC',1878,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3195406,4.00,1.00,3.00,8.00,5.00,5.25,4.00,3.00,5.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',13202,2545,NULL,NULL,NULL,NULL,NULL,4,8),(16,3195414,4.00,6.00,6.00,9.00,6.00,5.50,4.00,6.00,5.00,103,NULL,NULL,'VILA SAO PEDRO','PIRAí SUL','PR',5050,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3195422,6.00,5.00,5.00,3.00,5.00,7.00,2.00,5.00,3.00,220,NULL,NULL,'FUNDAçãO BRADESCO','IRECê','BA',11996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195430,2.00,6.00,2.00,6.00,5.00,5.50,2.00,8.00,4.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',11464,501,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195449,4.00,3.00,1.00,5.00,4.00,NULL,3.00,2.00,1.00,207,NULL,208,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195457,4.00,4.00,1.00,2.00,3.00,NULL,3.00,4.00,5.00,415,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195465,3.00,3.00,1.00,3.00,3.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3195473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3195490,2.00,4.00,7.00,3.00,3.00,NULL,2.00,4.00,2.00,213,NULL,202,'CENTRO','MIRASSOL','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'QUINTA DAS VIDEIRAS','JUNDIAí','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3195520,5.00,7.00,2.00,3.00,6.00,5.25,3.00,5.00,4.00,202,NULL,216,'PIRABEIRABA','JOINVILLE','SC',10451,383,NULL,366,NULL,NULL,NULL,4,8),(16,3195538,3.00,2.00,3.00,3.00,5.00,5.50,1.00,5.00,3.00,3,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',16235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','AMPéRE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3195554,4.00,3.00,2.00,5.00,3.00,NULL,1.00,4.00,2.00,215,NULL,211,'ITACURUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195562,3.00,5.00,4.00,6.00,4.00,5.50,3.00,4.00,3.00,201,NULL,212,'COLONIA SANTANA','S JOSé','SC',14518,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195570,7.00,8.00,7.00,9.00,7.00,7.25,4.00,6.00,7.00,201,NULL,202,'CENTRO','PALHOçA','SC',1621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195589,3.00,2.00,3.00,3.00,4.00,6.50,2.00,3.00,5.00,308,NULL,NULL,'PASSA VINTE','PALHOçA','SC',16446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195597,5.00,5.00,1.00,4.00,6.00,5.50,4.00,5.00,6.00,103,NULL,NULL,'ENGORDADOURO','JUNDIAí','SP',10071,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3195600,7.00,5.00,6.00,0.00,5.00,4.75,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','AQUIDAUANA','MS',10863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195619,2.00,5.00,2.00,0.00,0.00,NULL,3.00,7.00,3.00,318,NULL,NULL,'SãO LUIZ','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3195635,4.00,5.00,3.00,7.00,6.00,NULL,0.00,5.00,2.00,340,NULL,NULL,'CRUZEIRO DO SUL','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3195643,4.00,4.00,1.00,2.00,6.00,NULL,1.00,3.00,2.00,308,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195651,7.00,5.00,6.00,7.00,6.00,8.25,5.00,8.00,4.00,103,NULL,NULL,'CENTRO','CARAZINHO','RS',3669,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3195660,3.00,5.00,1.00,2.00,4.00,NULL,1.00,2.00,2.00,208,NULL,201,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195678,5.00,4.00,4.00,5.00,7.00,4.25,2.00,6.00,2.00,207,NULL,233,'ESTREITO','FLORIANóPOLIS','SC',11928,588,NULL,367,NULL,NULL,NULL,2,1),(16,3195686,5.00,6.00,4.00,8.00,8.00,6.00,4.00,7.00,6.00,207,NULL,211,'JUVEVê','CURITIBA','PR',4426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195694,1.00,2.00,3.00,3.00,2.00,NULL,2.00,0.00,5.00,9,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195708,4.00,2.00,2.00,3.00,2.00,NULL,4.00,0.00,3.00,303,NULL,NULL,'CACUPé','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195716,2.00,4.00,2.00,6.00,4.00,NULL,0.00,2.00,4.00,207,NULL,201,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195740,5.00,4.00,3.00,8.00,5.00,5.25,2.00,5.00,2.00,211,NULL,NULL,'CENTRO','IPORã OESTE','SC',12574,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3195775,4.00,7.00,4.00,7.00,4.00,4.25,2.00,8.00,4.00,326,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',9509,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195783,3.00,5.00,2.00,6.00,6.00,4.50,2.00,6.00,3.00,301,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',13296,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195821,4.00,2.00,3.00,9.00,4.00,4.50,2.00,3.00,5.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195830,2.00,4.00,1.00,5.00,3.00,NULL,1.00,8.00,2.00,326,NULL,NULL,'JARDIN ATLÂNTICO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195848,3.00,2.00,2.00,6.00,6.00,NULL,1.00,4.00,2.00,310,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195856,6.00,8.00,7.00,9.00,7.00,5.75,3.00,7.00,7.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195864,5.00,3.00,4.00,1.00,4.00,4.75,3.00,6.00,2.00,453,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',16447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195872,2.00,2.00,3.00,1.00,1.00,NULL,3.00,1.00,2.00,103,NULL,NULL,'ALVORADA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195880,8.00,8.00,8.00,7.00,6.00,6.00,5.00,6.00,8.00,203,NULL,214,'CENTRO','BAL CAMBORIú','SC',1551,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3195899,7.00,2.00,2.00,7.00,3.00,NULL,3.00,1.00,4.00,238,NULL,220,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195902,3.00,4.00,1.00,6.00,4.00,NULL,0.00,3.00,3.00,415,NULL,NULL,'CENTRO','BARRACãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3195929,3.00,4.00,2.00,5.00,2.00,NULL,1.00,4.00,3.00,234,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195945,3.00,8.00,3.00,7.00,7.00,8.00,3.00,6.00,7.00,103,NULL,NULL,'COMERCIáRIO','CRICIúMA','SC',5461,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3195953,3.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,0.00,104,NULL,NULL,'CENTRO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3195970,4.00,5.00,3.00,5.00,4.00,7.25,2.00,6.00,5.00,444,NULL,NULL,'JARDIM PAULISTANO','CAMPINAS','SP',9455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3195988,2.00,2.00,2.00,3.00,4.00,4.75,2.00,5.00,4.00,5,NULL,NULL,'CENTRO','ITAPIRANGA','SC',16625,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3195996,3.00,6.00,2.00,7.00,2.00,NULL,3.00,7.00,3.00,326,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'RIO GRANDE','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3196011,5.00,3.00,4.00,6.00,6.00,5.75,2.00,4.00,4.00,223,NULL,NULL,'LAGOA DA CONCEçãO','FLORIANóPOLIS','SC',12526,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196020,7.00,2.00,7.00,3.00,4.00,5.25,5.00,5.00,8.00,103,NULL,NULL,'VISTA VERDE','S JOSé CAMPOS','SP',6272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196038,6.00,6.00,5.00,8.00,7.00,6.50,4.00,5.00,5.00,208,NULL,238,'TRINDADE','FLORIANóPOLIS','SC',5080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196046,4.00,4.00,5.00,7.00,3.00,NULL,3.00,7.00,5.00,102,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196054,3.00,5.00,1.00,3.00,2.00,NULL,2.00,4.00,3.00,452,NULL,NULL,'FLOR DE NáPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196062,8.00,7.00,2.00,6.00,7.00,6.75,4.00,9.00,5.00,103,NULL,NULL,'CENTRO','VIDEIRA','SC',2998,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3196070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'VILA OPERáRIA','ITAJAí','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3196089,7.00,5.00,2.00,7.00,6.00,6.75,3.00,8.00,6.00,108,NULL,NULL,'ARIRIÚ','PALHOCA','SC',6402,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196097,5.00,3.00,1.00,4.00,4.00,4.75,2.00,5.00,3.00,238,NULL,208,'REVOREDO','TUBARãO','SC',16326,539,NULL,570,NULL,NULL,NULL,4,10),(16,3196100,5.00,0.00,4.00,7.00,2.00,NULL,2.00,3.00,3.00,207,NULL,NULL,'BELA VISTA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196119,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3196127,4.00,3.00,1.00,6.00,5.00,6.25,2.00,3.00,4.00,201,NULL,NULL,'INTERIOR','XAXIM','SC',14331,1094,NULL,NULL,NULL,NULL,NULL,4,4),(16,3196135,2.00,4.00,3.00,5.00,4.00,6.25,3.00,6.00,4.00,303,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',12887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196143,1.00,4.00,4.00,4.00,4.00,NULL,1.00,4.00,2.00,451,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196151,4.00,7.00,4.00,7.00,7.00,5.25,4.00,7.00,3.00,220,NULL,207,'NSA DE LOURDES','CAXIAS SUL','RS',6172,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3196160,7.00,6.00,4.00,0.00,3.00,NULL,4.00,5.00,6.00,203,NULL,202,'INTERIOR','ANCHIETA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3196178,9.00,7.00,3.00,7.00,8.00,6.25,4.00,3.00,6.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',4304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3196194,4.00,1.00,8.00,9.00,3.00,NULL,2.00,1.00,3.00,220,NULL,211,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196208,2.00,4.00,3.00,5.00,1.00,NULL,0.00,5.00,2.00,201,NULL,207,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196224,5.00,8.00,3.00,7.00,5.00,4.50,2.00,7.00,3.00,108,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC',9270,201,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196232,5.00,7.00,4.00,5.00,7.00,6.00,3.00,2.00,2.00,303,NULL,NULL,'CENTRO','CAXIAS DO SUL','RS',10919,474,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196240,1.00,0.00,3.00,0.00,3.00,NULL,2.00,2.00,2.00,502,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196259,6.00,5.00,3.00,7.00,3.00,NULL,4.00,6.00,2.00,340,NULL,NULL,'TERMAS','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3196267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3196275,4.00,2.00,3.00,1.00,2.00,NULL,2.00,5.00,3.00,308,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GIOCONDO ORSI','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3196291,8.00,7.00,4.00,8.00,4.00,4.25,3.00,7.00,5.00,316,NULL,NULL,'URUSSANGUINHA','ARARANGUá','SC',5961,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3196305,4.00,3.00,3.00,3.00,3.00,NULL,3.00,0.00,2.00,102,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196313,2.00,4.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,224,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196321,5.00,3.00,4.00,4.00,2.00,NULL,2.00,4.00,3.00,309,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196330,2.00,3.00,3.00,4.00,4.00,3.25,2.00,4.00,5.00,301,NULL,NULL,'PENHA','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196348,4.00,2.00,2.00,3.00,3.00,NULL,2.00,5.00,2.00,310,NULL,NULL,'PENHA','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196356,6.00,6.00,3.00,7.00,4.00,4.50,1.00,9.00,6.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',8160,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3196364,2.00,2.00,1.00,5.00,2.00,NULL,3.00,1.00,3.00,9,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196372,6.00,6.00,6.00,8.00,7.00,8.00,3.00,7.00,3.00,223,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',4801,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196380,2.00,2.00,4.00,5.00,5.00,6.75,4.00,6.00,2.00,9,NULL,NULL,'CENTRO','LEOBERTO LEAL','SC',13799,129,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196399,3.00,4.00,1.00,5.00,2.00,NULL,3.00,4.00,2.00,501,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196410,3.00,8.00,1.00,7.00,5.00,5.00,3.00,6.00,3.00,332,NULL,NULL,'RIO DE AREIA','RIO RUFINO','SC',10468,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3196429,5.00,6.00,4.00,4.00,3.00,NULL,2.00,6.00,4.00,317,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3196445,5.00,2.00,3.00,6.00,1.00,NULL,2.00,4.00,3.00,9,NULL,NULL,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3196453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'INTERLAGOS','TRêS LAGOAS','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3196470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'BAIRRO PRETO','PRUDENTóPOLIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3196488,8.00,5.00,5.00,8.00,7.00,6.50,4.00,6.00,8.00,233,NULL,215,'GUATá','LAURO MüLLER','SC',2445,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3196496,5.00,8.00,7.00,9.00,7.00,6.00,3.00,9.00,3.00,213,NULL,220,'CORREGO GRANDE','FLORIANóPOLIS','SC',3232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196500,9.00,8.00,8.00,9.00,7.00,7.25,7.00,7.00,9.00,103,NULL,NULL,'PARQUE CIDADE JARDIM','UMUARAMA','PR',243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196518,7.00,5.00,2.00,1.00,4.00,4.00,4.00,6.00,4.00,103,NULL,NULL,'UNIVERSITARIO','LAGES','SC',13656,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3196542,2.00,3.00,2.00,3.00,5.00,NULL,1.00,5.00,1.00,332,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,NULL,'CENTRO','BIRIGüI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3196569,0.00,2.00,1.00,4.00,4.00,NULL,1.00,3.00,1.00,340,NULL,NULL,'CARIANO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196577,4.00,3.00,2.00,5.00,4.00,NULL,1.00,3.00,2.00,415,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INTERIOR','RIO ÍNDIOS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3196593,3.00,3.00,3.00,4.00,2.00,NULL,1.00,1.00,3.00,301,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196607,6.00,2.00,4.00,6.00,3.00,NULL,3.00,4.00,7.00,502,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3196615,7.00,7.00,2.00,9.00,8.00,4.50,4.00,6.00,4.00,2,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196631,3.00,6.00,4.00,8.00,5.00,6.50,5.00,7.00,7.00,102,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',5010,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3196640,4.00,5.00,5.00,5.00,6.00,7.75,2.00,4.00,4.00,108,NULL,NULL,'CENTRO VILA NOVA','TRêS LAGOAS','MS',10651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196674,2.00,4.00,3.00,2.00,4.00,5.25,3.00,5.00,2.00,425,NULL,424,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196690,6.00,7.00,4.00,6.00,4.00,6.00,3.00,7.00,6.00,319,NULL,NULL,'AREIAS','S JOSé','SC',6436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196704,1.00,3.00,3.00,2.00,2.00,NULL,3.00,5.00,4.00,214,NULL,211,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196720,7.00,6.00,4.00,4.00,2.00,NULL,4.00,6.00,3.00,208,NULL,238,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196739,6.00,4.00,2.00,6.00,5.00,6.75,4.00,7.00,7.00,102,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7670,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196747,8.00,7.00,5.00,9.00,8.00,7.00,4.00,7.00,2.00,5,NULL,NULL,'DANIELA','FLORIANóPOLIS','SC',2467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196755,5.00,5.00,5.00,6.00,3.00,NULL,4.00,4.00,3.00,332,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196763,2.00,3.00,4.00,8.00,5.00,5.00,3.00,6.00,4.00,201,NULL,238,'BREMER','RIO SUL','SC',12247,952,NULL,365,NULL,NULL,NULL,4,1),(16,3196771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CASCATINHA','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3196780,4.00,5.00,2.00,6.00,2.00,NULL,3.00,2.00,2.00,202,NULL,208,'RIO BELO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196798,2.00,2.00,2.00,6.00,4.00,NULL,0.00,5.00,2.00,234,NULL,NULL,'CASCATINHA','POçOS CALDAS','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196801,4.00,9.00,5.00,9.00,6.00,7.00,4.00,7.00,6.00,450,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',3644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196810,2.00,3.00,3.00,2.00,5.00,NULL,2.00,2.00,3.00,501,NULL,NULL,'INTERIOR','CâNDIDO GODóI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196828,8.00,8.00,3.00,8.00,7.00,5.50,5.00,9.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',1754,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3196844,7.00,4.00,2.00,8.00,5.00,5.25,4.00,7.00,5.00,108,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',6676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196852,4.00,6.00,6.00,8.00,7.00,5.25,3.00,8.00,6.00,316,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',3942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196860,7.00,5.00,4.00,8.00,4.00,6.50,2.00,4.00,6.00,103,NULL,NULL,'BATEL','CURITIBA','PR',7137,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3196879,5.00,3.00,2.00,5.00,2.00,NULL,1.00,1.00,2.00,404,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196887,4.00,2.00,1.00,6.00,4.00,4.00,2.00,4.00,4.00,310,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',16660,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196895,6.00,7.00,4.00,8.00,7.00,6.50,4.00,8.00,6.00,208,NULL,238,'AZENHA','PTO ALEGRE','RS',2360,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3196909,5.00,5.00,3.00,3.00,5.00,0.00,5.00,2.00,3.00,301,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196917,1.00,4.00,2.00,6.00,2.00,NULL,2.00,2.00,1.00,502,NULL,NULL,'SETOR RODOVIÁRIO','SANCLERLâNDIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3196925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'JD DAS INDUSTRIAS','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3196933,3.00,3.00,2.00,6.00,4.00,4.00,2.00,5.00,5.00,215,NULL,202,'JD PREF MARIO SANTOS','NOVA FáTIMA','PR',14470,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3196950,6.00,8.00,8.00,6.00,7.00,7.00,5.00,5.00,8.00,203,NULL,214,'NOVA SUíçA','GOIâNIA','GO',1733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196968,4.00,3.00,4.00,3.00,4.00,4.25,4.00,5.00,4.00,304,NULL,NULL,'SãO SEBASTIãO','PALHOçA','SC',15402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3196976,6.00,7.00,2.00,7.00,6.00,5.25,1.00,7.00,5.00,420,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7374,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3196984,5.00,4.00,2.00,6.00,5.00,4.00,3.00,4.00,3.00,208,NULL,238,'LARANJEIRAS','RIO SUL','SC',14241,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197000,6.00,5.00,2.00,5.00,5.00,5.00,1.00,5.00,3.00,201,NULL,238,'CENTRO','TERRA RICA','PR',12633,983,NULL,388,NULL,NULL,NULL,4,1),(16,3197018,2.00,1.00,3.00,4.00,3.00,NULL,3.00,2.00,3.00,319,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197026,3.00,5.00,6.00,7.00,6.00,6.25,3.00,6.00,6.00,211,NULL,207,'JUVEVE','CURITIBA','PR',7391,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3197034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','TANGARá','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3197042,6.00,3.00,4.00,2.00,5.00,4.75,4.00,6.00,5.00,303,NULL,NULL,'SETOR RODOVIÁRIO','SANCLERLâNDIA','GO',10877,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3197050,3.00,3.00,1.00,8.00,3.00,NULL,3.00,2.00,4.00,207,NULL,233,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197069,3.00,5.00,2.00,4.00,3.00,NULL,2.00,4.00,1.00,318,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197077,2.00,5.00,2.00,4.00,4.00,NULL,1.00,6.00,1.00,302,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3197093,4.00,3.00,5.00,8.00,3.00,NULL,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3197107,1.00,1.00,3.00,4.00,2.00,NULL,2.00,2.00,4.00,324,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197131,3.00,4.00,2.00,6.00,2.00,NULL,2.00,5.00,4.00,319,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197158,4.00,1.00,4.00,4.00,3.00,NULL,1.00,3.00,2.00,316,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197166,4.00,4.00,4.00,2.00,2.00,NULL,3.00,5.00,3.00,220,NULL,216,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197174,3.00,3.00,3.00,6.00,5.00,7.50,1.00,5.00,3.00,207,NULL,233,'IMIGRANTES','CONCóRDIA','SC',14351,735,NULL,428,NULL,NULL,NULL,2,1),(16,3197182,2.00,3.00,2.00,3.00,4.00,NULL,3.00,4.00,4.00,5,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197190,3.00,6.00,5.00,9.00,4.00,5.50,3.00,7.00,5.00,301,NULL,NULL,'CENTRO','GAROPABA','SC',7085,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197220,3.00,3.00,4.00,6.00,4.00,4.00,3.00,4.00,4.00,212,NULL,201,'RIVIERA FLUMINENSE','MACAé','RJ',14651,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3197239,3.00,4.00,3.00,1.00,4.00,6.25,4.00,5.00,4.00,317,NULL,NULL,'SACO DOS LIMÕES','FLORIANóPOLIS','SC',15466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197247,7.00,6.00,5.00,8.00,8.00,5.25,5.00,8.00,7.00,104,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',2046,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3197255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3197263,4.00,3.00,2.00,3.00,5.00,5.25,3.00,6.00,3.00,102,NULL,NULL,'MARIA GORETTI','CHAPECó','SC',14570,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3197271,4.00,2.00,4.00,3.00,7.00,5.25,4.00,3.00,6.00,103,NULL,NULL,'VILA GILDA','STO ANDRé','SP',11353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197298,6.00,6.00,6.00,3.00,3.00,NULL,2.00,6.00,7.00,203,NULL,202,'BOA PARADA','S PEDRO ALCâNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197310,5.00,4.00,1.00,2.00,2.00,NULL,2.00,4.00,2.00,5,NULL,NULL,'CENTRO','VANINI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197328,4.00,5.00,1.00,5.00,4.00,5.75,2.00,5.00,4.00,303,NULL,NULL,'CENTRO','CRICIúMA','SC',14070,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3197336,6.00,6.00,5.00,6.00,6.00,4.50,2.00,7.00,4.00,318,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',7975,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197344,5.00,5.00,4.00,5.00,5.00,5.00,4.00,6.00,4.00,302,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',10258,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197360,0.00,0.00,1.00,7.00,4.00,5.25,4.00,6.00,4.00,103,NULL,NULL,'HUMAITA DE CIMA','TUBARãO','SC',16574,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3197379,3.00,2.00,2.00,4.00,2.00,NULL,2.00,5.00,3.00,502,NULL,NULL,'CENTRO','TELêMACO BORBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197387,4.00,4.00,4.00,4.00,2.00,NULL,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','AT BELA VISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197425,6.00,8.00,5.00,2.00,4.00,6.00,4.00,6.00,3.00,304,NULL,NULL,'CENTRO','BOM JD SERRA','SC',8379,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3197468,8.00,7.00,5.00,8.00,5.00,6.50,4.00,6.00,9.00,103,NULL,NULL,'AREIAS','S JOSé','SC',2248,894,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197476,3.00,6.00,7.00,4.00,7.00,4.50,6.00,8.00,6.00,202,NULL,213,'ÁGUAS CLARAS','BRUSQUE','SC',5658,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3197484,4.00,7.00,3.00,3.00,2.00,NULL,2.00,6.00,3.00,108,NULL,NULL,'CENTRO','STA VITóRIA PALMAR','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3197492,4.00,2.00,3.00,7.00,2.00,NULL,3.00,4.00,4.00,453,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197506,3.00,5.00,2.00,5.00,2.00,NULL,0.00,5.00,2.00,444,NULL,NULL,'COLONINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197514,6.00,6.00,4.00,3.00,3.00,NULL,2.00,6.00,6.00,501,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3197522,1.00,4.00,2.00,2.00,2.00,NULL,1.00,3.00,2.00,308,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197530,2.00,5.00,4.00,5.00,5.00,6.00,3.00,5.00,4.00,104,NULL,NULL,'CENTRO','LAGES','SC',12208,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3197549,3.00,3.00,1.00,6.00,5.00,5.75,4.00,4.00,4.00,303,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',13863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197557,3.00,4.00,1.00,8.00,5.00,6.25,3.00,6.00,4.00,310,NULL,NULL,'PERDIZES','S PAULO','SP',10960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197565,3.00,5.00,3.00,1.00,3.00,NULL,1.00,3.00,5.00,201,NULL,203,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3197581,6.00,6.00,1.00,9.00,7.00,6.50,1.00,5.00,4.00,103,NULL,NULL,'POPULAR','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3197590,3.00,4.00,2.00,4.00,5.00,5.50,4.00,4.00,5.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197603,4.00,2.00,5.00,1.00,3.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197611,4.00,2.00,4.00,0.00,3.00,NULL,2.00,5.00,4.00,104,NULL,NULL,'FáTIMA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197620,5.00,6.00,3.00,6.00,4.00,5.25,1.00,8.00,5.00,501,NULL,NULL,'BARREIROS','S JOSé','SC',10328,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197638,4.00,5.00,4.00,8.00,6.00,5.25,3.00,6.00,4.00,319,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',8928,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3197654,7.00,4.00,2.00,7.00,5.00,7.00,1.00,5.00,5.00,9,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',9951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197662,5.00,4.00,5.00,4.00,5.00,5.75,3.00,5.00,6.00,319,NULL,NULL,'CENTRO','STA TEREZINHA ITAIPU','PR',9910,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3197689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'PANAZZOLO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3197697,5.00,7.00,4.00,6.00,5.00,5.50,3.00,4.00,3.00,220,NULL,202,'CENTRO','SORRISO','MT',11285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197700,6.00,4.00,2.00,4.00,3.00,NULL,3.00,4.00,3.00,452,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3197727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3197735,5.00,2.00,6.00,3.00,4.00,5.25,3.00,4.00,4.00,201,NULL,202,'TAPERA','FLORIANóPOLIS','SC',14185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197743,9.00,8.00,4.00,8.00,7.00,5.25,6.00,6.00,7.00,340,NULL,NULL,'CENTRO','LADáRIO','MS',1915,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197751,1.00,6.00,4.00,3.00,4.00,4.50,2.00,6.00,2.00,5,NULL,NULL,'MADRI','PALHOçA','SC',16080,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197786,6.00,6.00,6.00,8.00,6.00,6.50,3.00,5.00,3.00,303,NULL,NULL,'DEHON','TUBARãO','SC',6670,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3197794,6.00,4.00,3.00,5.00,5.00,4.50,3.00,4.00,2.00,319,NULL,NULL,'PQ ITAIPU','MARINGá','PR',14084,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197808,4.00,1.00,1.00,3.00,2.00,NULL,1.00,3.00,2.00,444,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197816,5.00,7.00,4.00,7.00,6.00,6.75,3.00,5.00,4.00,211,NULL,215,'RIO TAVARES','FLORIANóPOLIS','SC',7308,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197824,6.00,6.00,4.00,5.00,5.00,5.50,3.00,7.00,7.00,216,NULL,215,'CENTRO','AT PARANá','PR',6252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197832,6.00,4.00,3.00,8.00,6.00,4.75,4.00,8.00,3.00,331,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',7525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197840,4.00,3.00,1.00,7.00,4.00,6.75,3.00,5.00,5.00,104,NULL,NULL,'MORADA DO SOL','VIDEIRA','SC',12750,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197859,4.00,4.00,2.00,7.00,4.00,5.50,3.00,3.00,1.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',15532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197867,7.00,7.00,9.00,8.00,7.00,6.00,6.00,7.00,6.00,340,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',1248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197875,9.00,9.00,7.00,8.00,6.00,6.00,4.00,7.00,9.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',874,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3197891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'JARDIM CIDADE','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3197905,3.00,3.00,3.00,6.00,3.00,NULL,1.00,5.00,2.00,429,NULL,428,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3197921,2.00,3.00,1.00,6.00,0.00,NULL,2.00,8.00,3.00,415,NULL,NULL,'SANTANA','URUGUAIANA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197948,6.00,9.00,3.00,6.00,6.00,5.75,3.00,8.00,5.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197956,3.00,5.00,2.00,5.00,5.00,5.00,2.00,6.00,4.00,303,NULL,NULL,'SANTA MARIA','CHAPECó','SC',13828,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3197964,4.00,5.00,4.00,3.00,6.00,4.25,2.00,7.00,5.00,201,NULL,212,'JARDIM ELDORADO','PALHOçA','SC',12825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3197999,7.00,5.00,3.00,6.00,4.00,4.75,2.00,7.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',10622,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3198006,6.00,5.00,4.00,8.00,4.00,4.25,1.00,3.00,5.00,203,NULL,220,'CENTRO','SORRISO','MT',12325,795,NULL,452,NULL,NULL,NULL,2,1),(16,3198014,6.00,2.00,6.00,7.00,7.00,6.75,4.00,5.00,3.00,308,NULL,NULL,'SANTO ANTONIO DE LIS','FLORIANóPOLIS','SC',7940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3198022,5.00,3.00,2.00,2.00,4.00,5.00,2.00,9.00,4.00,202,NULL,220,'JARDIM IRIRIU','JOINVILLE','SC',13536,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3198030,5.00,4.00,1.00,7.00,3.00,NULL,1.00,4.00,3.00,214,NULL,203,'SANTRA AUGUSTA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3198049,6.00,8.00,6.00,6.00,6.00,6.75,6.00,9.00,8.00,216,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198057,3.00,4.00,5.00,6.00,4.00,4.50,2.00,5.00,4.00,220,NULL,208,'JARDIM ITáLIA','CHAPECó','SC',13818,476,NULL,451,NULL,NULL,NULL,4,4),(16,3198065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'SANTO AGOSTINHO','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3198073,3.00,5.00,3.00,4.00,2.00,NULL,4.00,5.00,3.00,308,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3198081,3.00,2.00,4.00,8.00,7.00,6.25,4.00,4.00,3.00,5,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',10393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198090,3.00,6.00,4.00,5.00,4.00,4.00,1.00,4.00,4.00,103,NULL,NULL,'CENTRO','URUBICI','SC',14718,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3198103,4.00,5.00,3.00,3.00,3.00,NULL,2.00,5.00,3.00,444,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3198111,1.00,4.00,1.00,4.00,3.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'SAO SEBASTIAO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3198138,5.00,6.00,3.00,9.00,4.00,6.00,2.00,6.00,4.00,415,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',8758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198146,3.00,5.00,5.00,4.00,4.00,5.50,2.00,4.00,4.00,420,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',14004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198154,4.00,4.00,5.00,3.00,5.00,4.75,2.00,6.00,4.00,238,NULL,208,'RIO TAVARES','FLORIANóPOLIS','SC',12168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198162,9.00,8.00,8.00,4.00,7.00,7.00,4.00,8.00,8.00,103,NULL,NULL,'CENTRO OESTE','CATANDUVAS','SC',1048,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3198170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CASTROLANDA','COL CASTROLâNDA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3198197,2.00,3.00,2.00,1.00,3.00,NULL,3.00,3.00,3.00,310,NULL,NULL,'BAIRRO IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198200,6.00,5.00,2.00,1.00,5.00,5.00,2.00,2.00,2.00,9,NULL,NULL,'MORADA DO SOL','MARAVILHA','SC',16530,183,NULL,NULL,NULL,NULL,NULL,4,4),(16,3198219,4.00,4.00,2.00,6.00,3.00,NULL,3.00,6.00,1.00,102,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3198227,2.00,2.00,3.00,4.00,2.00,NULL,2.00,0.00,1.00,317,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3198235,7.00,6.00,5.00,8.00,5.00,5.75,5.00,7.00,4.00,214,NULL,212,'CENTRO','JARAGUá SUL','SC',4699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198243,4.00,4.00,4.00,8.00,4.00,5.75,2.00,5.00,3.00,302,NULL,NULL,'PIO CORRêA','CRICIúMA','SC',12193,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3198251,5.00,4.00,4.00,2.00,3.00,NULL,3.00,5.00,1.00,319,NULL,NULL,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3198260,4.00,5.00,7.00,4.00,6.00,6.00,4.00,8.00,4.00,201,NULL,233,'CENTRO','CASCAVEL','PR',7310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198278,4.00,0.00,2.00,5.00,3.00,NULL,1.00,3.00,3.00,238,NULL,208,'CENTRO','GR PARá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3198286,4.00,7.00,5.00,7.00,8.00,6.00,1.00,8.00,2.00,317,NULL,NULL,'CAMPINAS','S JOSé','SC',7920,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3198294,2.00,5.00,3.00,2.00,3.00,NULL,0.00,5.00,3.00,339,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198316,6.00,9.00,7.00,7.00,7.00,6.75,5.00,7.00,6.00,201,NULL,212,'KOBRASOL','S JOSé','SC',1428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3198324,5.00,3.00,5.00,9.00,6.00,7.00,3.00,6.00,3.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198332,6.00,7.00,4.00,9.00,7.00,6.00,4.00,5.00,5.00,103,NULL,NULL,'CIDADE NOVA','MARINGá','PR',5578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198340,3.00,4.00,6.00,7.00,5.00,5.50,3.00,5.00,4.00,220,NULL,203,'ESTREITO','FLORIANóPOLIS','SC',11122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198367,3.00,2.00,4.00,2.00,1.00,NULL,4.00,3.00,4.00,103,NULL,NULL,'INTERIOR','S CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3198375,4.00,3.00,1.00,2.00,5.00,NULL,2.00,4.00,5.00,203,NULL,202,'CABECUDA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3198383,2.00,2.00,2.00,4.00,3.00,NULL,2.00,5.00,3.00,101,NULL,NULL,'PASSO MANSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3198391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM DA GLóRIA','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3198413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'TRINTA RÉIS','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3198421,3.00,7.00,3.00,7.00,5.00,6.25,4.00,9.00,4.00,216,NULL,211,'SILVA','SAPUCAIA SUL','RS',6749,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3198430,1.00,0.00,3.00,1.00,3.00,NULL,2.00,1.00,0.00,503,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3198448,2.00,4.00,4.00,2.00,3.00,NULL,3.00,5.00,2.00,214,NULL,NULL,'MONTE BELO','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3198456,3.00,1.00,2.00,4.00,3.00,NULL,3.00,5.00,5.00,202,NULL,214,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3198464,3.00,4.00,1.00,4.00,2.00,NULL,2.00,4.00,2.00,203,NULL,233,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3198472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BOTUVERá','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3198480,6.00,6.00,5.00,6.00,4.00,6.00,3.00,5.00,4.00,203,NULL,220,'JARDIM LA SALLE','TOLEDO','PR',8150,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3198499,4.00,5.00,4.00,5.00,3.00,NULL,3.00,7.00,3.00,308,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3198510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3198529,1.00,1.00,3.00,4.00,3.00,NULL,3.00,3.00,3.00,308,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3198537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'PARQUE JARDIM OURO','OURO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3198545,7.00,7.00,4.00,7.00,7.00,5.75,5.00,6.00,5.00,319,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',3707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198553,5.00,3.00,5.00,6.00,6.00,5.50,3.00,6.00,3.00,207,NULL,201,'BELéM','TAUBATé','SP',9609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198570,3.00,4.00,4.00,7.00,2.00,NULL,1.00,3.00,3.00,3,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3198588,5.00,6.00,4.00,1.00,4.00,4.50,4.00,6.00,5.00,201,NULL,211,'CAPOEIRAS','FLORIANóPOLIS','SC',12133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198596,1.00,4.00,4.00,4.00,1.00,NULL,3.00,2.00,1.00,303,NULL,NULL,'MICHEL','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198600,3.00,6.00,2.00,5.00,3.00,NULL,2.00,4.00,5.00,340,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3198618,6.00,3.00,2.00,4.00,6.00,6.50,3.00,5.00,4.00,211,NULL,216,'CORDEIROS','ITAJAí','SC',11355,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3198626,6.00,9.00,6.00,8.00,3.00,NULL,0.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198642,3.00,6.00,2.00,7.00,6.00,6.00,4.00,5.00,5.00,501,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',9354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198650,6.00,6.00,6.00,9.00,8.00,6.75,3.00,5.00,7.00,303,NULL,NULL,'GLóRIA','CARAZINHO','RS',3031,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3198669,3.00,4.00,3.00,5.00,3.00,NULL,1.00,3.00,4.00,450,NULL,NULL,'JARDIM ITALIA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3198677,4.00,6.00,5.00,3.00,5.00,5.25,4.00,7.00,6.00,303,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'CENTRO','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3198693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CUBATãO','S PEDRO ALCâNTARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3198707,5.00,6.00,4.00,7.00,8.00,4.50,2.00,8.00,5.00,108,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',7772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198715,1.00,6.00,2.00,0.00,4.00,NULL,0.00,5.00,4.00,223,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198723,3.00,6.00,4.00,9.00,7.00,5.25,3.00,7.00,2.00,233,NULL,215,'AREIAS','S JOSé','SC',7784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198731,4.00,3.00,3.00,9.00,5.00,5.50,2.00,7.00,4.00,9,NULL,NULL,'CENTRO','TIJUCAS','SC',11123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3198766,5.00,7.00,5.00,6.00,7.00,6.50,3.00,6.00,6.00,215,NULL,238,'SAMBAQUI','FLORIANóPOLIS','SC',4784,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3198774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM CONCEIçãO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3198782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3198790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,203,'MOOCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3198804,4.00,5.00,3.00,3.00,7.00,5.75,3.00,5.00,3.00,104,NULL,NULL,'CENTRO','CONCóRDIA','SC',12865,357,NULL,NULL,NULL,NULL,NULL,2,4),(16,3198812,9.00,8.00,6.00,9.00,7.00,5.75,7.00,7.00,8.00,304,NULL,NULL,'GLóRIA','JOINVILLE','SC',737,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3198820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ENCANTADA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3198839,7.00,7.00,3.00,8.00,5.00,6.25,4.00,7.00,3.00,208,NULL,238,'CASTELO BRANCO','ITAPEMA','SC',5653,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3198847,4.00,2.00,2.00,3.00,4.00,NULL,1.00,2.00,1.00,208,NULL,238,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198855,4.00,5.00,4.00,6.00,7.00,6.50,3.00,6.00,5.00,223,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198863,4.00,1.00,1.00,4.00,5.00,5.25,5.00,6.00,3.00,211,NULL,216,'RAIZEIRA','SOMBRIO','SC',14902,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3198871,4.00,4.00,2.00,3.00,4.00,4.75,1.00,4.00,4.00,108,NULL,NULL,'JARDIM ESPLANADA','BEBEDOURO','SP',16563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198898,4.00,3.00,2.00,6.00,4.00,5.75,2.00,5.00,3.00,415,NULL,NULL,'INGLESES DO RIO VERM','FLORIANóPOLIS','SC',15166,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3198901,3.00,2.00,3.00,5.00,4.00,4.50,3.00,5.00,1.00,303,NULL,NULL,'CENTRO','GETúLIO VARGAS','RS',16288,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3198910,5.00,4.00,3.00,6.00,5.00,5.50,2.00,3.00,2.00,108,NULL,NULL,'JARDIM ATLãNTICO','FLORIANóPOLIS','SC',14339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3198936,4.00,8.00,3.00,8.00,4.00,6.50,4.00,8.00,2.00,317,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',8201,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3198944,2.00,1.00,4.00,0.00,0.00,NULL,3.00,3.00,2.00,103,NULL,NULL,'CENTRO','IMARUí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3198952,4.00,3.00,2.00,3.00,5.00,5.75,2.00,4.00,5.00,309,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3198960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'RIO COMPRIDO','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3198979,0.00,6.00,3.00,1.00,4.00,NULL,1.00,4.00,3.00,9,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3198995,3.00,6.00,2.00,5.00,5.00,5.25,3.00,7.00,3.00,201,NULL,211,'CENTRO','S JOãO BATISTA','SC',12196,948,NULL,423,NULL,NULL,NULL,4,1),(16,3199002,6.00,6.00,4.00,6.00,5.00,5.50,3.00,7.00,5.00,207,NULL,201,'COSTA E SILVA','JOINVILLE','SC',6763,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3199010,7.00,5.00,4.00,7.00,4.00,6.50,3.00,6.00,5.00,103,NULL,NULL,'SãO MIGUEL','CONCóRDIA','SC',7739,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3199029,5.00,6.00,3.00,3.00,5.00,5.50,3.00,6.00,6.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',10604,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3199037,6.00,4.00,5.00,6.00,4.00,5.25,6.00,6.00,3.00,302,NULL,NULL,'ALTO ARIRIú','PALHOçA','SC',8384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199045,4.00,6.00,2.00,9.00,7.00,6.00,3.00,5.00,3.00,234,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',8625,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199053,3.00,4.00,1.00,6.00,4.00,4.75,4.00,3.00,2.00,201,NULL,212,'JARDIM AMéRICA','RIO SUL','SC',16628,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3199070,5.00,6.00,4.00,7.00,6.00,5.50,3.00,7.00,5.00,415,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSé','SC',6609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199100,4.00,3.00,3.00,4.00,4.00,NULL,2.00,2.00,2.00,317,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199118,7.00,5.00,6.00,9.00,6.00,5.75,3.00,8.00,7.00,415,NULL,NULL,'PRAIA DAS PALMEIRAS','CARAGUATATUBA','SP',2592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'LUTHER KING','FRANCISCO BELTRãO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3199134,6.00,7.00,5.00,7.00,6.00,5.25,2.00,7.00,2.00,103,NULL,NULL,'JARDIM FADEL','NOVA ODESSA','SP',7226,1875,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199142,4.00,2.00,3.00,7.00,7.00,4.00,3.00,5.00,3.00,238,NULL,216,'ALTO ARIRIU','PALHOçA','SC',13139,411,NULL,440,NULL,NULL,NULL,2,1),(16,3199150,7.00,7.00,4.00,7.00,6.00,6.25,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5817,1641,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199177,7.00,5.00,8.00,8.00,6.00,6.75,4.00,6.00,7.00,203,NULL,220,'CENTRO','ERECHIM','RS',2296,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3199185,2.00,2.00,2.00,5.00,2.00,NULL,3.00,2.00,2.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199193,1.00,3.00,4.00,2.00,0.00,NULL,3.00,2.00,2.00,308,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199215,3.00,1.00,2.00,2.00,4.00,NULL,2.00,1.00,3.00,319,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199223,7.00,7.00,6.00,8.00,7.00,5.75,4.00,8.00,7.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'VILA TOLENTINO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3199258,6.00,4.00,3.00,6.00,2.00,NULL,3.00,6.00,5.00,203,NULL,220,'COLONIAL','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3199266,5.00,6.00,2.00,7.00,4.00,6.50,3.00,6.00,5.00,340,NULL,NULL,'BOA VISTA','CURITIBA','PR',8665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199274,5.00,7.00,4.00,6.00,5.00,6.00,1.00,7.00,4.00,238,NULL,208,'CARIANOS','FLORIANóPOLIS','SC',9821,273,NULL,293,NULL,NULL,NULL,2,1),(16,3199282,1.00,3.00,1.00,3.00,1.00,NULL,0.00,2.00,3.00,207,NULL,201,'CENTRO','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3199290,6.00,8.00,6.00,7.00,6.00,6.50,4.00,8.00,5.00,451,NULL,NULL,'CENTRO','ITAPEMA','SC',3140,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3199304,1.00,1.00,3.00,7.00,4.00,NULL,1.00,4.00,1.00,303,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BELA SUIçA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3199320,6.00,5.00,5.00,5.00,5.00,6.25,3.00,6.00,6.00,326,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',6344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199339,1.00,2.00,2.00,3.00,2.00,NULL,1.00,1.00,3.00,202,NULL,212,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199347,3.00,6.00,1.00,5.00,3.00,NULL,2.00,5.00,3.00,203,NULL,220,'SãO DOMINGOS','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3199355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'ROçA GRANDE','COLOMBO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3199371,7.00,7.00,4.00,7.00,8.00,6.25,3.00,7.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4025,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199398,5.00,8.00,3.00,6.00,6.00,5.50,2.00,6.00,5.00,207,NULL,212,'CENTRO','TIJUCAS','SC',7116,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199401,4.00,2.00,3.00,2.00,2.00,NULL,5.00,4.00,0.00,316,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199428,5.00,6.00,1.00,2.00,3.00,NULL,1.00,0.00,3.00,501,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3199436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3199444,3.00,2.00,4.00,5.00,3.00,NULL,2.00,2.00,3.00,238,NULL,207,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199452,4.00,2.00,4.00,3.00,4.00,4.25,3.00,5.00,4.00,502,NULL,NULL,'CENTRO','TIJUCAS','SC',15733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199460,8.00,7.00,3.00,7.00,7.00,5.75,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199479,8.00,8.00,5.00,9.00,8.00,6.00,3.00,3.00,5.00,201,NULL,203,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199487,6.00,7.00,3.00,6.00,6.00,5.75,3.00,7.00,4.00,302,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',6840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199495,3.00,2.00,3.00,5.00,3.00,NULL,1.00,2.00,3.00,453,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199509,5.00,5.00,1.00,7.00,4.00,4.75,4.00,6.00,5.00,108,NULL,NULL,'CAMPINAS','S JOSé','SC',10100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199517,4.00,7.00,2.00,6.00,3.00,NULL,3.00,5.00,5.00,234,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199525,4.00,3.00,1.00,2.00,3.00,NULL,1.00,4.00,4.00,303,NULL,NULL,'JARDIM SãO MIGUEL','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199533,4.00,3.00,3.00,3.00,5.00,4.50,3.00,4.00,3.00,102,NULL,NULL,'CENTRO','TIMBO','SC',15934,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3199541,5.00,5.00,3.00,8.00,5.00,5.75,5.00,7.00,5.00,501,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',7177,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199550,6.00,3.00,5.00,8.00,7.00,5.75,3.00,8.00,4.00,203,NULL,214,'CAMPINAS','S JOSé','SC',6027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199568,4.00,4.00,3.00,0.00,4.00,NULL,1.00,4.00,2.00,211,NULL,238,'PRAIA DO SOL','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3199584,3.00,3.00,3.00,5.00,5.00,6.00,3.00,4.00,4.00,207,NULL,201,'CENTRO','ÁGUA DOCE','SC',14361,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3199606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MANDAGUARI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3199614,3.00,6.00,4.00,5.00,6.00,5.25,4.00,7.00,8.00,444,NULL,NULL,'DANIELA','FLORIANOPOLIS','SC',7792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199622,4.00,4.00,3.00,5.00,4.00,6.25,3.00,4.00,4.00,302,NULL,NULL,'AREIAS','PAULO LOPES','SC',13266,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199630,1.00,5.00,1.00,4.00,3.00,NULL,3.00,5.00,1.00,238,NULL,216,'PRADO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199649,6.00,6.00,5.00,3.00,7.00,6.00,3.00,6.00,5.00,207,NULL,201,'CENTRO','CURITIBA','PR',7775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199657,4.00,4.00,4.00,7.00,7.00,6.00,7.00,7.00,5.00,202,NULL,238,'BOSQUE DAS MANSõES','S JOSé','SC',5218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199665,6.00,5.00,3.00,6.00,1.00,NULL,3.00,4.00,5.00,501,NULL,NULL,'PRAIO COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199673,4.00,4.00,1.00,4.00,2.00,NULL,4.00,2.00,3.00,104,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199681,3.00,3.00,3.00,3.00,5.00,5.25,2.00,6.00,2.00,202,NULL,NULL,'CENTRO','MARAVILHA','SC',15185,512,NULL,NULL,NULL,NULL,NULL,4,4),(16,3199703,6.00,6.00,5.00,9.00,6.00,6.75,4.00,7.00,6.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199720,1.00,0.00,1.00,5.00,1.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199738,3.00,1.00,1.00,6.00,4.00,NULL,3.00,0.00,3.00,216,NULL,233,'PARQUE DOS RODEIOS','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199746,7.00,8.00,4.00,8.00,7.00,5.50,4.00,8.00,5.00,211,NULL,216,'CENTRO','STO AMARO IMPERATRIZ','SC',4018,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199754,6.00,6.00,4.00,8.00,5.00,6.25,4.00,6.00,6.00,102,NULL,NULL,'ASA NORTE','BRASíLIA','DF',4820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199762,5.00,3.00,2.00,6.00,7.00,4.25,1.00,6.00,3.00,102,NULL,NULL,'CENTRO','LAGES','SC',13281,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3199770,4.00,5.00,1.00,7.00,7.00,4.25,1.00,6.00,4.00,202,NULL,NULL,'MARIA GORETTI','CHAPECó','SC',13047,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3199789,7.00,5.00,3.00,5.00,8.00,4.75,1.00,5.00,2.00,2,NULL,NULL,'PROGRESSO','S LOURENçO OESTE','SC',10802,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3199797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA A','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3199800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTAO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',5,6),(16,3199819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3199827,8.00,5.00,4.00,6.00,6.00,6.00,2.00,9.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4605,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3199835,4.00,3.00,1.00,6.00,6.00,7.75,3.00,8.00,2.00,451,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11463,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA GUARANI','JUNDIAí','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3199851,4.00,5.00,6.00,7.00,7.00,4.75,4.00,7.00,6.00,220,NULL,213,'CENTRO','ITU','SP',4959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199860,5.00,4.00,4.00,2.00,7.00,4.00,3.00,8.00,6.00,103,NULL,NULL,'CENTRO','ITARARé','SP',9645,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3199886,7.00,6.00,6.00,7.00,7.00,6.50,4.00,7.00,7.00,102,NULL,NULL,'ITAPOAN','PAULíNIA','SP',2508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199894,6.00,7.00,2.00,2.00,6.00,5.00,2.00,7.00,2.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',11750,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3199908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ASA SUL','BRASíLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3199916,3.00,4.00,2.00,2.00,3.00,NULL,2.00,7.00,2.00,340,NULL,NULL,'ARAPONGUINHAS','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(16,3199924,2.00,4.00,1.00,1.00,6.00,NULL,1.00,6.00,3.00,319,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199932,5.00,6.00,2.00,8.00,5.00,6.75,1.00,4.00,1.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',12813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3199940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','RENASCENçA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3199967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3199975,6.00,7.00,6.00,7.00,8.00,6.75,2.00,7.00,4.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5014,230,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199983,5.00,6.00,6.00,5.00,7.00,6.50,2.00,4.00,5.00,102,NULL,NULL,'CENTRO','PETROLâNDIA','SC',7499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3199991,4.00,3.00,1.00,7.00,5.00,6.00,7.00,4.00,5.00,213,NULL,202,'CIDADE ALTA','MEDIANEIRA','PR',9665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200000,3.00,2.00,3.00,4.00,1.00,NULL,3.00,5.00,5.00,202,NULL,208,'CENTRO','LAGOA VERMELHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(16,3200019,3.00,5.00,1.00,9.00,3.00,NULL,2.00,6.00,3.00,211,NULL,207,'PADRE MARTINHO STEIN','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3200027,3.00,4.00,1.00,6.00,5.00,NULL,0.00,3.00,2.00,108,NULL,NULL,'ARMAçãO DO PâNTANO D','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200035,5.00,7.00,4.00,9.00,7.00,5.50,3.00,7.00,5.00,203,NULL,201,'AEROPORTO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3200060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3200078,5.00,7.00,5.00,8.00,5.00,5.00,4.00,7.00,5.00,103,NULL,NULL,'BALNEARIO ESTREITO','FLORIANóPOLIS','SC',5395,1570,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200086,4.00,3.00,4.00,7.00,5.00,5.25,3.00,5.00,4.00,212,NULL,201,'AGRONôMICA','FLORIANóPOLIS','SC',12250,356,NULL,954,NULL,NULL,NULL,2,1),(16,3200108,3.00,5.00,5.00,8.00,8.00,6.75,2.00,6.00,3.00,331,NULL,NULL,'TIJUCA','RIO JANEIRO','RJ',6812,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3200116,5.00,6.00,2.00,6.00,6.00,6.25,3.00,5.00,4.00,420,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',10035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200124,2.00,3.00,1.00,2.00,4.00,NULL,3.00,5.00,4.00,220,NULL,214,'CENTRO','IRANI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3200132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3200140,6.00,6.00,6.00,9.00,6.00,6.50,4.00,7.00,4.00,103,NULL,NULL,'CENTRO','MARTINóPOLIS','SP',2982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JURERE INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3200167,1.00,3.00,3.00,3.00,3.00,NULL,2.00,2.00,0.00,101,NULL,NULL,'TRAçADO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200175,8.00,9.00,2.00,8.00,8.00,6.25,6.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200183,3.00,4.00,1.00,6.00,5.00,4.00,3.00,4.00,4.00,104,NULL,NULL,'MORRO ESTEVAO','CRICIúMA','SC',15625,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3200191,3.00,3.00,1.00,6.00,3.00,NULL,1.00,5.00,4.00,303,NULL,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200205,2.00,6.00,4.00,8.00,5.00,6.25,2.00,7.00,4.00,444,NULL,NULL,'CENTRO','PETROLANDIA','SC',9754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200213,2.00,4.00,4.00,1.00,4.00,NULL,1.00,4.00,3.00,9,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200221,4.00,5.00,2.00,7.00,4.00,4.25,1.00,6.00,4.00,215,NULL,NULL,'SANTO ANTôNIO','JOINVILLE','SC',13505,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3200230,5.00,5.00,3.00,5.00,5.00,5.75,3.00,3.00,4.00,452,NULL,NULL,'CAMPINAS','S JOSé','SC',12514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200248,4.00,4.00,2.00,2.00,5.00,NULL,2.00,3.00,2.00,301,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200256,5.00,7.00,5.00,8.00,6.00,6.25,1.00,8.00,5.00,333,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',4903,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3200272,2.00,6.00,3.00,2.00,1.00,NULL,2.00,3.00,5.00,203,NULL,201,'BOA VISTA','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3200299,2.00,2.00,1.00,8.00,5.00,4.50,3.00,6.00,4.00,420,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',13447,146,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200302,3.00,3.00,3.00,3.00,4.00,5.00,2.00,6.00,4.00,309,NULL,NULL,'CACHOEIRA','FLORIANóPOLIS','SC',15496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200310,4.00,4.00,4.00,8.00,5.00,5.25,3.00,2.00,6.00,9,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',10833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200337,2.00,2.00,4.00,3.00,7.00,4.00,4.00,2.00,3.00,2,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',15806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200345,2.00,4.00,1.00,3.00,3.00,NULL,3.00,4.00,2.00,207,NULL,NULL,'ESTAçãO','ASCURRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3200353,8.00,7.00,7.00,7.00,7.00,7.00,5.00,8.00,8.00,103,NULL,NULL,'CORDEIROS','ITAJAí','SC',845,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3200370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,208,'COMERCIARIOS','VOTUPORANGA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3200400,4.00,4.00,2.00,6.00,5.00,6.00,1.00,5.00,3.00,233,NULL,215,'TAPERA','FLORIANóPOLIS','SC',14611,436,NULL,321,NULL,NULL,NULL,2,1),(16,3200418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'MANSõES STO ANTôNIO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3200426,2.00,2.00,4.00,1.00,3.00,NULL,2.00,4.00,2.00,202,NULL,220,'SANTA CATARINA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200434,9.00,7.00,4.00,7.00,7.00,6.00,4.00,8.00,6.00,201,NULL,212,'BELA VISTA III','S JOSé','SC',2068,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200442,2.00,3.00,3.00,4.00,3.00,NULL,2.00,3.00,3.00,201,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200469,9.00,5.00,6.00,9.00,8.00,7.00,8.00,6.00,7.00,220,NULL,202,'CENTRO','TUBARãO','SC',644,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3200477,5.00,6.00,3.00,8.00,6.00,6.50,3.00,6.00,8.00,211,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',5304,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200515,6.00,6.00,5.00,8.00,5.00,6.75,3.00,6.00,5.00,234,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',5913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200523,3.00,3.00,5.00,4.00,4.00,5.75,4.00,4.00,3.00,425,NULL,428,'SANTA ISABEL','ÁGUAS MORNAS','SC',14695,83,NULL,78,NULL,NULL,NULL,4,1),(16,3200531,5.00,2.00,3.00,6.00,6.00,6.25,5.00,4.00,6.00,103,NULL,NULL,'SAGUAçU','JOINVILLE','SC',8805,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3200540,4.00,4.00,3.00,6.00,5.00,4.00,2.00,5.00,2.00,203,NULL,201,'SAO JOSE','FRAIBURGO','SC',14798,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3200558,5.00,5.00,4.00,5.00,3.00,NULL,2.00,6.00,2.00,304,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200574,4.00,5.00,4.00,8.00,4.00,4.25,6.00,7.00,4.00,103,NULL,NULL,'SUMARé','RIO SUL','SC',8782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200582,2.00,2.00,1.00,1.00,1.00,NULL,3.00,2.00,0.00,211,NULL,215,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200604,2.00,4.00,5.00,6.00,5.00,2.75,2.00,5.00,4.00,201,NULL,212,'INGLESES DO RIO VERM','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200612,6.00,4.00,6.00,4.00,7.00,5.25,4.00,5.00,4.00,104,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',9575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200620,5.00,3.00,4.00,7.00,7.00,5.75,3.00,5.00,4.00,108,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',9409,203,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200639,7.00,9.00,7.00,10.00,7.00,5.75,5.00,7.00,8.00,203,NULL,214,'ABRAãO','FLORIANóPOLIS','SC',585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200647,4.00,4.00,3.00,4.00,3.00,NULL,1.00,3.00,3.00,320,NULL,NULL,'SANTO ANTONIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200655,4.00,2.00,2.00,3.00,3.00,NULL,2.00,4.00,2.00,308,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200663,4.00,1.00,4.00,4.00,3.00,NULL,2.00,3.00,5.00,404,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'TRUJILO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3200680,5.00,3.00,5.00,6.00,3.00,NULL,2.00,6.00,4.00,211,NULL,207,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200698,4.00,4.00,1.00,8.00,5.00,6.25,1.00,5.00,3.00,308,NULL,NULL,'JARDIM PINHEIROS','S JOSé','SC',14232,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200701,4.00,6.00,2.00,6.00,7.00,4.00,3.00,4.00,4.00,332,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',11488,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3200728,4.00,5.00,4.00,6.00,6.00,5.25,5.00,5.00,4.00,301,NULL,NULL,'KOBRASOL','S JOSé','SC',8474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200736,5.00,6.00,3.00,8.00,5.00,6.25,3.00,7.00,6.00,415,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',6664,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3200744,4.00,3.00,2.00,2.00,3.00,NULL,2.00,5.00,3.00,501,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200752,3.00,1.00,3.00,3.00,4.00,NULL,3.00,4.00,1.00,303,NULL,NULL,'BRASILIA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(16,3200760,3.00,4.00,2.00,5.00,3.00,NULL,3.00,5.00,4.00,326,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200779,1.00,4.00,3.00,1.00,3.00,NULL,2.00,5.00,5.00,216,NULL,213,'CENTRO','IRANI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3200787,7.00,6.00,4.00,7.00,6.00,6.25,3.00,7.00,7.00,104,NULL,NULL,'CENTRO','URUSSANGA','SC',3774,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3200795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM MARINGá','SINOP','MT',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3200809,4.00,6.00,1.00,3.00,4.00,6.50,3.00,6.00,3.00,425,NULL,429,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',14008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200817,4.00,5.00,2.00,7.00,5.00,5.50,2.00,3.00,1.00,302,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',14801,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200833,4.00,4.00,2.00,8.00,4.00,5.75,2.00,8.00,5.00,316,NULL,NULL,'CENTRO','TIMBó','SC',10956,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3200841,8.00,7.00,2.00,6.00,8.00,5.25,7.00,8.00,6.00,203,NULL,214,'ARROIO UMBú','EREBANGO','RS',2390,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3200850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,216,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3200868,3.00,3.00,4.00,4.00,3.00,NULL,2.00,5.00,2.00,9,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUENO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3200906,5.00,4.00,6.00,6.00,7.00,5.50,4.00,6.00,5.00,207,NULL,215,'AGRONôMICA','FLORIANóPOLIS','SC',6979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200914,3.00,3.00,3.00,5.00,4.00,5.00,3.00,4.00,5.00,415,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',15294,391,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200922,6.00,3.00,2.00,5.00,5.00,4.25,4.00,5.00,6.00,332,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',11683,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3200930,7.00,9.00,2.00,9.00,8.00,6.00,7.00,7.00,5.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',1902,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3200949,6.00,5.00,3.00,6.00,5.00,4.25,2.00,6.00,3.00,201,NULL,202,'CENTRO','LAGES','SC',12498,971,NULL,440,NULL,NULL,NULL,4,9),(16,3200957,4.00,6.00,2.00,9.00,6.00,5.75,1.00,5.00,5.00,103,NULL,NULL,'PâNTANO DO SUL','FLORIANóPOLIS','SC',9010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3200965,3.00,5.00,4.00,5.00,4.00,5.50,2.00,3.00,4.00,501,NULL,NULL,'CAMPINAS','S JOSé','SC',14950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201007,5.00,6.00,5.00,7.00,5.00,6.75,3.00,5.00,6.00,207,NULL,201,'ALTO SãO BENTO','ITAPEMA','SC',6175,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3201015,4.00,6.00,2.00,8.00,6.00,5.25,1.00,6.00,2.00,207,NULL,201,'GLóRIA','JOINVILLE','SC',10652,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3201023,2.00,2.00,1.00,1.00,3.00,NULL,1.00,1.00,1.00,425,NULL,426,'BELA VISTA II','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201040,5.00,4.00,2.00,8.00,6.00,6.00,2.00,4.00,3.00,319,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',10928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201058,6.00,3.00,5.00,4.00,6.00,5.25,4.00,6.00,7.00,103,NULL,NULL,'PETROPOLIS','LAGES','SC',8216,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3201090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3201104,2.00,3.00,1.00,3.00,4.00,NULL,2.00,4.00,2.00,108,NULL,NULL,'GUANABARA','FRANCISCO BELTRãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3201120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LA SALLE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3201139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'GLEBA PAIçANDU','IVATUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3201147,4.00,7.00,7.00,1.00,4.00,4.25,4.00,7.00,3.00,202,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',9572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201155,4.00,4.00,5.00,6.00,4.00,4.00,3.00,4.00,3.00,104,NULL,NULL,'SANTA MARIA','ANTôNIO CARLOS','SC',13537,381,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,208,'COAB II','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3201171,7.00,3.00,2.00,6.00,4.00,5.00,4.00,7.00,6.00,208,NULL,201,'CENTRO','MAFRA','SC',9706,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3201180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'GLEBA PALHANO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3201198,5.00,3.00,2.00,2.00,1.00,NULL,4.00,6.00,3.00,501,NULL,NULL,'ITARARÉ','S JOSé CERRITO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3201201,5.00,3.00,1.00,5.00,7.00,5.75,2.00,3.00,4.00,104,NULL,NULL,'SANTA HELENA','LAGES','SC',12883,359,NULL,NULL,NULL,NULL,NULL,4,9),(16,3201210,3.00,6.00,2.00,7.00,6.00,7.00,3.00,5.00,2.00,340,NULL,NULL,'CASCATA','MARíLIA','SP',10568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201236,3.00,1.00,4.00,0.00,2.00,NULL,3.00,3.00,1.00,101,NULL,NULL,'CENTRO','LAURENTINO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3201244,3.00,5.00,3.00,2.00,2.00,NULL,2.00,1.00,3.00,104,NULL,NULL,'SANTA CRUZ','TREZE MAIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3201260,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'REAL PARK','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3201279,9.00,6.00,8.00,9.00,7.00,6.75,6.00,8.00,7.00,103,NULL,NULL,'CENTRO','ITAPECERICA SERRA','SP',538,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3201287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3201295,3.00,7.00,2.00,2.00,7.00,6.00,4.00,7.00,5.00,340,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',10693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201309,1.00,6.00,4.00,7.00,5.00,5.00,4.00,7.00,3.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201317,2.00,3.00,3.00,2.00,3.00,NULL,2.00,3.00,3.00,238,NULL,208,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201333,6.00,3.00,6.00,9.00,6.00,6.00,4.00,9.00,6.00,333,NULL,NULL,'PERDIZES','S PAULO','SP',3680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201341,3.00,5.00,2.00,7.00,4.00,5.50,2.00,1.00,3.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',16097,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201350,2.00,1.00,2.00,1.00,2.00,NULL,1.00,3.00,2.00,102,NULL,NULL,'CENTRO','TIMBé SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3201368,4.00,5.00,4.00,6.00,7.00,5.50,2.00,6.00,4.00,101,NULL,NULL,'BARREIROS','S JOSé','SC',8976,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201376,6.00,4.00,1.00,3.00,3.00,NULL,1.00,4.00,3.00,319,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201384,1.00,1.00,1.00,7.00,4.00,NULL,0.00,4.00,4.00,503,NULL,NULL,'CABEçUDAS','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3201392,8.00,7.00,8.00,8.00,7.00,7.00,5.00,8.00,9.00,103,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',610,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3201406,5.00,6.00,7.00,9.00,6.00,5.25,5.00,8.00,5.00,340,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',3548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LA SALLE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3201422,5.00,5.00,2.00,5.00,4.00,6.50,4.00,8.00,6.00,101,NULL,NULL,'CENTRO','BENEDITO NOVO','SC',9109,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3201430,4.00,6.00,2.00,3.00,3.00,NULL,1.00,6.00,3.00,102,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201457,1.00,4.00,4.00,7.00,2.00,NULL,1.00,4.00,2.00,428,NULL,423,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201473,6.00,4.00,3.00,8.00,3.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201481,5.00,4.00,4.00,7.00,4.00,4.50,0.00,4.00,5.00,201,NULL,212,'MORADA DO SOL','PALHOçA','SC',13559,1051,NULL,385,NULL,NULL,NULL,2,1),(16,3201490,6.00,6.00,6.00,9.00,7.00,6.00,5.00,4.00,4.00,216,NULL,215,'VILA OPERáRIA','ITAJAí','SC',5185,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3201503,3.00,2.00,2.00,8.00,4.00,5.25,3.00,5.00,3.00,108,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201511,4.00,7.00,1.00,9.00,4.00,6.00,3.00,4.00,5.00,452,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',9888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201520,0.00,3.00,4.00,2.00,3.00,NULL,2.00,2.00,4.00,216,NULL,211,'MINA BRASIL','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3201538,5.00,0.00,1.00,1.00,1.00,NULL,2.00,0.00,0.00,102,NULL,NULL,'GETúLIO VARGAS','RIO GRANDE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201546,4.00,4.00,5.00,8.00,8.00,6.75,1.00,6.00,7.00,201,NULL,212,'CELINA PARK','GOIâNIA','GO',6998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201554,4.00,5.00,1.00,1.00,5.00,NULL,2.00,3.00,2.00,444,NULL,NULL,'CENTRO','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201562,3.00,4.00,5.00,5.00,4.00,4.25,5.00,3.00,3.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',13246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201570,4.00,1.00,3.00,6.00,5.00,5.25,1.00,5.00,3.00,102,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',15871,291,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201589,3.00,3.00,1.00,0.00,2.00,NULL,3.00,2.00,1.00,303,NULL,NULL,'VILA ESPERANçA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3201597,5.00,4.00,3.00,5.00,4.00,4.75,4.00,5.00,5.00,340,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',12056,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3201600,2.00,1.00,1.00,3.00,1.00,NULL,3.00,4.00,5.00,304,NULL,NULL,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201619,9.00,8.00,6.00,9.00,7.00,7.25,7.00,8.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,429,'INTERIOR','MONDAí','SC',NULL,NULL,NULL,NULL,'S','S','S',1,4),(16,3201635,8.00,7.00,6.00,8.00,7.00,7.50,4.00,7.00,7.00,103,NULL,NULL,'SANTA MARIA','ANTôNIO CARLOS','SC',1244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201651,3.00,1.00,2.00,3.00,4.00,NULL,3.00,3.00,1.00,316,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201660,2.00,4.00,3.00,5.00,2.00,NULL,3.00,3.00,3.00,316,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201678,5.00,3.00,2.00,8.00,2.00,NULL,4.00,8.00,2.00,329,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201686,5.00,6.00,7.00,5.00,5.00,5.75,5.00,8.00,4.00,102,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',5190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201694,5.00,4.00,3.00,6.00,6.00,4.00,3.00,7.00,4.00,207,NULL,215,'JARDIM EUROPA','GOIâNIA','GO',10189,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'PRADO','BIGUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3201716,5.00,5.00,1.00,5.00,4.00,6.00,2.00,5.00,3.00,450,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC',14408,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201724,2.00,2.00,1.00,2.00,4.00,NULL,4.00,1.00,1.00,203,NULL,201,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201732,4.00,6.00,4.00,7.00,5.00,3.00,3.00,4.00,5.00,224,NULL,NULL,'RESSACADA','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3201740,6.00,6.00,3.00,6.00,8.00,6.00,4.00,6.00,3.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201759,3.00,4.00,1.00,0.00,2.00,NULL,2.00,1.00,3.00,502,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201767,7.00,9.00,3.00,3.00,4.00,5.50,3.00,9.00,7.00,103,NULL,NULL,'PARQUE AMAZôNIA','GOIâNIA','GO',5830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201775,3.00,2.00,3.00,6.00,3.00,NULL,2.00,1.00,3.00,319,NULL,NULL,'SãO CRISTOVãO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3201805,7.00,6.00,7.00,6.00,5.00,6.50,4.00,6.00,5.00,202,NULL,215,'CENTRO','FLORIANóPOLIS','SC',4472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201813,1.00,2.00,3.00,3.00,1.00,NULL,3.00,3.00,3.00,317,NULL,NULL,'ARMAçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201821,6.00,6.00,7.00,8.00,5.00,6.75,3.00,6.00,5.00,207,NULL,201,'SETOR OESTE','GOIâNIA','GO',5433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201830,2.00,4.00,4.00,3.00,2.00,NULL,3.00,5.00,3.00,501,NULL,NULL,'CENTRO','CEL MARTINS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3201848,7.00,3.00,4.00,7.00,5.00,4.75,3.00,6.00,6.00,207,NULL,201,'JARDIM DAS AVENIDAS','ARARANGUá','SC',9569,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3201856,5.00,8.00,4.00,7.00,8.00,7.50,6.00,8.00,4.00,211,NULL,216,'VELHA','BLUMENAU','SC',3082,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3201864,4.00,3.00,3.00,1.00,6.00,5.50,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','GARUVA','SC',13497,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3201872,4.00,5.00,4.00,5.00,4.00,6.00,2.00,4.00,4.00,301,NULL,NULL,'KOBRASOL','S JOSé','SC',12947,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201880,4.00,5.00,3.00,6.00,4.00,4.50,5.00,7.00,5.00,202,NULL,216,'VILA FLOR','CAPIVARI BAIXO','SC',9153,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3201899,8.00,7.00,4.00,8.00,4.00,6.25,3.00,6.00,8.00,103,NULL,NULL,'CENTRO CIVICO','CURITIBA','PR',3412,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3201902,5.00,6.00,2.00,1.00,2.00,NULL,0.00,6.00,3.00,5,NULL,NULL,'LIMOEIRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201910,5.00,3.00,2.00,5.00,2.00,NULL,4.00,4.00,5.00,102,NULL,NULL,'ZONA RURAL','CEL MARTINS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3201929,5.00,5.00,2.00,8.00,3.00,NULL,3.00,7.00,3.00,304,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201937,2.00,6.00,5.00,7.00,7.00,5.00,2.00,6.00,3.00,331,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',9249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3201945,3.00,7.00,2.00,2.00,6.00,6.00,2.00,2.00,3.00,316,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',15601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201953,4.00,6.00,5.00,9.00,6.00,5.75,3.00,8.00,4.00,214,NULL,233,'SANTANA','RIO SUL','SC',6280,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3201961,5.00,2.00,2.00,6.00,5.00,4.75,3.00,3.00,3.00,329,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3201970,5.00,3.00,5.00,5.00,6.00,4.25,2.00,5.00,4.00,233,NULL,214,'CENTRO','CAPIVARI BAIXO','SC',12105,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3201996,4.00,3.00,4.00,6.00,3.00,NULL,1.00,3.00,5.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CRUZEIRO','S LOURENçO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3202011,4.00,6.00,5.00,5.00,5.00,6.25,4.00,6.00,5.00,340,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202020,7.00,5.00,4.00,1.00,3.00,NULL,3.00,4.00,3.00,202,NULL,220,'AMéRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3202038,7.00,7.00,8.00,7.00,8.00,7.00,5.00,9.00,8.00,103,NULL,NULL,'CENTRO','PARANAPOEMA','PR',1019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202046,5.00,7.00,4.00,7.00,6.00,7.00,4.00,8.00,7.00,3,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',3225,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3202054,6.00,6.00,6.00,5.00,8.00,5.75,1.00,6.00,4.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',6999,1838,NULL,NULL,NULL,NULL,NULL,4,8),(16,3202070,3.00,5.00,4.00,6.00,2.00,NULL,2.00,7.00,6.00,202,NULL,213,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3202089,5.00,2.00,1.00,7.00,4.00,6.25,2.00,2.00,2.00,215,NULL,216,'COPACABANA','LAGES','SC',16295,351,NULL,499,NULL,NULL,NULL,2,9),(16,3202097,2.00,6.00,4.00,4.00,5.00,1.00,2.00,3.00,2.00,301,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202100,8.00,5.00,7.00,8.00,6.00,6.75,3.00,9.00,7.00,104,NULL,NULL,'KOBRASOL','S JOSé','SC',2512,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202119,2.00,4.00,4.00,5.00,4.00,6.75,3.00,3.00,3.00,308,NULL,NULL,'SÃO LUIZ','CRICIUMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3202127,6.00,7.00,5.00,3.00,5.00,4.75,3.00,6.00,5.00,332,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',8224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202135,4.00,4.00,2.00,7.00,6.00,4.75,2.00,7.00,5.00,501,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',10857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202143,6.00,6.00,5.00,7.00,7.00,4.25,4.00,6.00,6.00,319,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',5842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202160,2.00,3.00,3.00,3.00,2.00,NULL,4.00,6.00,2.00,238,NULL,208,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','STA ROSA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3202186,7.00,5.00,2.00,7.00,7.00,5.75,5.00,6.00,7.00,9,NULL,NULL,'CENTRO','CRICIúMA','SC',5247,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3202194,2.00,5.00,2.00,5.00,4.00,5.50,2.00,5.00,2.00,309,NULL,NULL,'ZONA RURAL','CEL MARTINS','SC',15162,48,NULL,NULL,NULL,NULL,NULL,2,4),(16,3202208,5.00,4.00,3.00,7.00,6.00,5.50,5.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202216,3.00,2.00,2.00,0.00,0.00,NULL,2.00,1.00,3.00,501,NULL,NULL,'COLONIA SANTANA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202224,6.00,6.00,2.00,5.00,6.00,3.00,3.00,8.00,3.00,211,NULL,213,'PARQUE DO CARMO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3202240,3.00,4.00,5.00,3.00,4.00,5.00,2.00,3.00,3.00,324,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',16135,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202259,2.00,3.00,2.00,2.00,3.00,NULL,1.00,3.00,3.00,427,NULL,424,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202267,4.00,4.00,1.00,7.00,5.00,5.75,2.00,6.00,3.00,415,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',12575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202275,7.00,4.00,3.00,5.00,7.00,5.50,6.00,9.00,6.00,103,NULL,NULL,'CIDADE JARDIM','RIO CLARO','SP',4658,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3202283,1.00,2.00,1.00,1.00,0.00,NULL,3.00,2.00,3.00,444,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'BUTIATUVINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3202313,4.00,4.00,6.00,8.00,5.00,4.50,4.00,5.00,4.00,102,NULL,NULL,'CENTRO','LAGES','SC',8775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'MINA DO MATO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3202330,3.00,8.00,4.00,9.00,8.00,6.50,2.00,8.00,2.00,308,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',5804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202348,9.00,9.00,7.00,8.00,8.00,7.25,8.00,9.00,9.00,103,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',45,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR NOVA SUIÇA','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3202372,4.00,4.00,3.00,3.00,5.00,4.00,2.00,4.00,3.00,102,NULL,NULL,'CENTRO','SALTO LONTRA','PR',15895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202380,2.00,3.00,2.00,3.00,1.00,NULL,3.00,1.00,2.00,404,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202402,3.00,4.00,5.00,8.00,7.00,4.75,3.00,4.00,4.00,420,NULL,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',10360,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3202410,1.00,3.00,3.00,2.00,2.00,NULL,2.00,2.00,2.00,101,NULL,NULL,'VILA NOVA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3202429,4.00,5.00,2.00,4.00,5.00,5.50,1.00,7.00,5.00,326,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',13359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202437,6.00,6.00,3.00,5.00,4.00,4.25,2.00,8.00,6.00,108,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',8945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202453,1.00,1.00,3.00,4.00,2.00,NULL,3.00,3.00,3.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202461,3.00,1.00,2.00,0.00,4.00,NULL,1.00,5.00,4.00,101,NULL,NULL,'ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202470,0.00,3.00,3.00,4.00,4.00,6.25,5.00,5.00,5.00,101,NULL,NULL,'CENTRO','CEL MARTINS','SC',14767,102,NULL,NULL,NULL,NULL,NULL,2,4),(16,3202496,1.00,6.00,2.00,4.00,0.00,NULL,1.00,4.00,3.00,203,NULL,NULL,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3202500,9.00,8.00,8.00,8.00,7.00,7.50,6.00,9.00,8.00,202,NULL,201,'CENTRO','CONCóRDIA','SC',280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202518,3.00,3.00,2.00,3.00,4.00,NULL,1.00,4.00,3.00,415,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'MINA DO MATO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3202534,2.00,4.00,3.00,5.00,3.00,NULL,1.00,4.00,2.00,302,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'MOEMA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3202569,5.00,3.00,3.00,7.00,6.00,5.25,2.00,7.00,4.00,501,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',10760,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202577,3.00,3.00,2.00,4.00,3.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'LIDER','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3202585,4.00,6.00,3.00,8.00,4.00,6.00,5.00,7.00,4.00,203,NULL,201,'STEFFEN','BRUSQUE','SC',7397,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3202607,2.00,4.00,2.00,2.00,2.00,NULL,2.00,5.00,2.00,453,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202615,3.00,5.00,4.00,8.00,6.00,5.75,2.00,8.00,2.00,328,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANóPOLIS','SC',9292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202623,5.00,6.00,4.00,9.00,5.00,7.00,5.00,6.00,7.00,108,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202631,5.00,3.00,4.00,5.00,5.00,7.25,1.00,2.00,3.00,102,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',14556,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3202640,6.00,7.00,5.00,4.00,7.00,6.00,4.00,7.00,8.00,316,NULL,NULL,'BARREIROS','S JOSé','SC',4094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202658,6.00,5.00,5.00,3.00,6.00,5.00,5.00,6.00,2.00,103,NULL,NULL,'HUMAITA DE CIMA','TUBARãO','SC',10188,2244,NULL,NULL,NULL,NULL,NULL,4,10),(16,3202666,6.00,6.00,3.00,8.00,8.00,7.00,2.00,7.00,7.00,103,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',3897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202674,4.00,7.00,3.00,7.00,6.00,5.00,3.00,8.00,3.00,104,NULL,NULL,'CENTRO','CPO NOVO PARECIS','MT',8189,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202682,2.00,3.00,4.00,3.00,3.00,NULL,0.00,3.00,2.00,104,NULL,NULL,'CENTRO','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3202690,9.00,7.00,5.00,4.00,6.00,6.75,4.00,6.00,5.00,215,NULL,208,'BARREIROS','S JOSé','SC',4886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202704,5.00,3.00,1.00,2.00,1.00,NULL,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3202712,4.00,4.00,3.00,5.00,6.00,4.75,2.00,6.00,5.00,216,NULL,202,'PROGRESSO','BLUMENAU','SC',11523,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3202739,7.00,7.00,3.00,4.00,7.00,5.00,4.00,9.00,8.00,319,NULL,NULL,'MINA BRASIL','CRICIúMA','SC',4438,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3202747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'PARQUE MARAJOARA II','STO ANDRé','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3202755,9.00,8.00,3.00,7.00,6.00,5.00,5.00,7.00,6.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',3374,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3202763,5.00,4.00,4.00,5.00,3.00,NULL,3.00,3.00,2.00,502,NULL,NULL,'FUNDO CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SANTA CRUZ','CASTRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3202780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA CINCO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3202798,5.00,5.00,2.00,7.00,8.00,4.00,2.00,6.00,2.00,201,NULL,203,'COQUEIROS','FLORIANóPOLIS','SC',10489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202810,4.00,3.00,2.00,5.00,6.00,7.25,3.00,3.00,3.00,309,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',14386,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202836,2.00,3.00,3.00,3.00,2.00,NULL,0.00,3.00,2.00,317,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202844,2.00,2.00,5.00,2.00,2.00,NULL,2.00,4.00,2.00,404,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202852,6.00,5.00,7.00,9.00,8.00,5.75,7.00,7.00,8.00,203,NULL,201,'JOãO PAULO','FLORIANóPOLIS','SC',1207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202860,6.00,7.00,3.00,5.00,5.00,4.25,3.00,4.00,4.00,214,NULL,213,'SAGRADO C DE JESUS','LAGES','SC',11050,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3202879,7.00,8.00,5.00,9.00,8.00,6.50,5.00,6.00,6.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',1768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202887,8.00,7.00,8.00,6.00,6.00,5.25,4.00,7.00,6.00,201,NULL,213,'CENTRO','FLORIANóPOLIS','SC',2160,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,208,'SANTO INACIO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3202909,5.00,5.00,5.00,7.00,4.00,5.75,4.00,4.00,6.00,208,NULL,215,'ENSEADA DE BRITO','PALHOçA','SC',9367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202917,1.00,2.00,1.00,0.00,3.00,NULL,3.00,4.00,4.00,101,NULL,NULL,'PONTE DE IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202925,3.00,5.00,2.00,9.00,6.00,6.50,2.00,5.00,3.00,319,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',12026,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3202933,5.00,6.00,4.00,7.00,6.00,4.00,5.00,8.00,5.00,220,NULL,233,'CAMPINAS','S JOSé','SC',5365,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3202941,5.00,4.00,1.00,0.00,7.00,NULL,3.00,8.00,4.00,103,NULL,NULL,'CENTRO','GUAPIARA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3202950,6.00,5.00,7.00,9.00,6.00,5.00,2.00,6.00,4.00,208,NULL,233,'CENTRO','CHAPECó','SC',5574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202968,1.00,2.00,4.00,4.00,0.00,NULL,1.00,0.00,2.00,207,NULL,201,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3202976,4.00,8.00,4.00,6.00,7.00,6.50,3.00,7.00,4.00,102,NULL,NULL,'CENTRO','CEL MARTINS','SC',7106,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3202984,4.00,4.00,2.00,3.00,5.00,5.75,1.00,5.00,3.00,316,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',15499,192,NULL,NULL,NULL,NULL,NULL,4,1),(16,3202992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SETOR TRÊS','ARIQUEMES','RO',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3203018,2.00,0.00,3.00,4.00,3.00,NULL,3.00,4.00,3.00,3,NULL,NULL,'SUMARé','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3203026,5.00,4.00,6.00,9.00,7.00,4.50,4.00,7.00,4.00,208,NULL,238,'ESTREITO','FLORIANóPOLIS','SC',5029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203034,4.00,5.00,4.00,6.00,2.00,NULL,3.00,5.00,3.00,317,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203042,4.00,5.00,1.00,2.00,3.00,NULL,2.00,7.00,2.00,308,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203050,2.00,4.00,3.00,7.00,6.00,6.00,3.00,5.00,3.00,415,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',11855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203069,3.00,4.00,2.00,4.00,2.00,NULL,2.00,4.00,3.00,203,NULL,214,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203077,3.00,3.00,4.00,6.00,5.00,5.75,3.00,4.00,2.00,501,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',14567,120,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203093,8.00,6.00,5.00,9.00,6.00,6.50,3.00,6.00,5.00,207,NULL,214,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',3427,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3203107,2.00,2.00,2.00,1.00,5.00,NULL,3.00,5.00,2.00,301,NULL,NULL,'BOA PARADA','S PEDRO ALCâNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203115,8.00,7.00,7.00,5.00,7.00,7.25,4.00,6.00,6.00,104,NULL,NULL,'INTERIOR','ITAPIRANGA','SC',2117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203123,6.00,5.00,5.00,6.00,4.00,6.00,3.00,6.00,4.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',8910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203131,4.00,5.00,2.00,8.00,5.00,4.75,1.00,5.00,4.00,420,NULL,NULL,'MORRO DS PEDRAS','FLORIANóPOLIS','SC',13049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3203166,4.00,5.00,6.00,4.00,4.00,3.25,3.00,5.00,5.00,213,NULL,202,'MICHEL','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3203174,3.00,7.00,2.00,9.00,5.00,6.25,3.00,4.00,3.00,427,NULL,428,'AREIAS','S JOSé','SC',10685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203182,6.00,7.00,6.00,9.00,8.00,5.00,3.00,7.00,5.00,207,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203190,0.00,0.00,0.00,7.00,5.00,NULL,0.00,0.00,0.00,208,NULL,238,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3203204,5.00,3.00,3.00,4.00,4.00,6.75,0.00,4.00,3.00,108,NULL,NULL,'BARREIROS','S JOSé','SC',15611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'MOOCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3203220,5.00,2.00,2.00,3.00,1.00,NULL,3.00,1.00,3.00,333,NULL,NULL,'CACUPé','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203239,3.00,2.00,3.00,6.00,5.00,5.50,3.00,1.00,3.00,303,NULL,NULL,'FLOR DE NAPOLIS','S JOSé','SC',16230,703,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203247,4.00,2.00,2.00,6.00,5.00,5.75,2.00,4.00,1.00,301,NULL,NULL,'KOBRASOL','S JOSé','SC',15426,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203255,3.00,5.00,2.00,8.00,5.00,5.75,3.00,6.00,1.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203263,4.00,3.00,1.00,4.00,1.00,NULL,4.00,1.00,1.00,425,NULL,429,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,220,'BELA VISTA','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3203280,9.00,6.00,3.00,7.00,6.00,4.75,4.00,8.00,5.00,216,NULL,211,'ATIRADORES','JOINVILLE','SC',4944,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3203298,5.00,5.00,5.00,2.00,4.00,5.50,4.00,6.00,3.00,207,NULL,201,'CENTRO','IMBUIA','SC',13432,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3203301,5.00,6.00,4.00,6.00,6.00,5.00,3.00,6.00,5.00,201,NULL,207,'CAMPINAS','S JOSé','SC',7558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203310,3.00,3.00,4.00,3.00,2.00,NULL,2.00,2.00,5.00,103,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203328,7.00,6.00,5.00,8.00,7.00,4.75,3.00,8.00,6.00,108,NULL,NULL,'CENTRO','JOINVILLE','SC',3562,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3203336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PARANÁ','PALMITAL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3203344,1.00,3.00,3.00,1.00,1.00,NULL,2.00,2.00,1.00,404,NULL,NULL,'SAO JOAO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3203352,7.00,5.00,5.00,4.00,5.00,5.00,4.00,2.00,4.00,319,NULL,NULL,'PORTO DA LAGOA','FLORIANóPOLIS','SC',10983,216,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203360,5.00,5.00,4.00,5.00,3.00,NULL,1.00,6.00,3.00,108,NULL,NULL,'JD LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3203409,5.00,6.00,2.00,4.00,3.00,NULL,2.00,3.00,4.00,205,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203417,4.00,8.00,1.00,4.00,7.00,5.25,4.00,8.00,3.00,207,NULL,208,'BOA VISTA','JOINVILLE','SC',8750,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3203433,7.00,4.00,6.00,9.00,4.00,5.25,3.00,7.00,5.00,201,NULL,212,'CENTRO','S LEOPOLDO','RS',5135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3203450,6.00,6.00,5.00,6.00,6.00,6.00,3.00,5.00,5.00,103,NULL,NULL,'BOM JESUS','JALES','SP',6429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203468,6.00,6.00,8.00,9.00,6.00,8.00,5.00,5.00,7.00,220,NULL,203,'JARDIM SABIA','COTIA','SP',1634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203476,6.00,6.00,4.00,7.00,7.00,4.50,2.00,4.00,4.00,201,NULL,212,'CENTRO','CRICIúMA','SC',8019,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3203484,6.00,6.00,5.00,7.00,2.00,NULL,3.00,7.00,4.00,108,NULL,NULL,'CENTRO','MASSARANDUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203492,5.00,6.00,2.00,4.00,5.00,5.00,2.00,5.00,5.00,3,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',12730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203514,6.00,7.00,5.00,6.00,7.00,4.25,4.00,6.00,7.00,208,NULL,238,'CAPOEIRAS','FLORIANóPOLIS','SC',5412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203549,2.00,8.00,2.00,8.00,4.00,5.75,5.00,6.00,3.00,9,NULL,NULL,'PEDRA BRANCA','PALHOçA','SC',9794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203557,3.00,5.00,2.00,8.00,4.00,5.25,1.00,2.00,4.00,207,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203565,4.00,7.00,2.00,2.00,4.00,4.75,4.00,1.00,4.00,9,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',15654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203573,8.00,8.00,4.00,7.00,5.00,6.00,2.00,8.00,5.00,103,NULL,NULL,'JARDIM AMERICA','RIO SUL','SC',4339,1369,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203581,8.00,8.00,5.00,8.00,6.00,6.75,3.00,7.00,8.00,216,NULL,202,'FORTALEZA','BLUMENAU','SC',2008,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3203590,7.00,7.00,7.00,9.00,8.00,5.75,3.00,7.00,5.00,203,NULL,216,'KOBRASOL','S JOSé','SC',2752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203603,6.00,6.00,2.00,8.00,6.00,4.25,6.00,8.00,6.00,103,NULL,NULL,'BIGORRILHHO','CURITIBA','PR',5166,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3203620,6.00,3.00,3.00,5.00,4.00,NULL,0.00,3.00,6.00,103,NULL,NULL,'CENTRO','STA ALBERTINA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203638,7.00,5.00,8.00,5.00,5.00,4.25,5.00,8.00,4.00,203,NULL,214,'CENTRO','MARINGá','PR',5541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203654,6.00,5.00,3.00,3.00,4.00,6.00,2.00,7.00,5.00,103,NULL,NULL,'AREAO','CUIABá','MT',10182,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3203662,4.00,4.00,3.00,3.00,3.00,NULL,2.00,3.00,6.00,207,NULL,211,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203670,3.00,3.00,2.00,3.00,3.00,NULL,2.00,5.00,2.00,201,NULL,207,'REVOREDO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3203697,3.00,3.00,3.00,6.00,0.00,NULL,1.00,3.00,3.00,319,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203700,6.00,7.00,1.00,5.00,3.00,NULL,1.00,4.00,3.00,212,NULL,233,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203719,3.00,3.00,2.00,6.00,2.00,NULL,1.00,2.00,2.00,316,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203735,4.00,5.00,3.00,4.00,2.00,NULL,3.00,4.00,1.00,444,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203743,3.00,1.00,2.00,2.00,3.00,NULL,1.00,3.00,4.00,211,NULL,215,'SANTOS DUMONT','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203751,1.00,0.00,3.00,3.00,4.00,NULL,3.00,1.00,3.00,319,NULL,NULL,'ARMAçãO DO P DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203760,9.00,8.00,6.00,6.00,5.00,7.00,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','S LOURENçO OESTE','SC',1809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203786,9.00,7.00,8.00,8.00,6.00,6.00,7.00,6.00,7.00,203,NULL,214,'CENTRO','MARINGá','PR',1030,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203794,3.00,3.00,2.00,5.00,2.00,NULL,3.00,2.00,3.00,103,NULL,NULL,'CENTRO','PASSOS MAIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3203808,7.00,5.00,4.00,8.00,7.00,6.00,3.00,5.00,6.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203816,5.00,4.00,3.00,7.00,7.00,6.75,2.00,6.00,5.00,102,NULL,NULL,'CENTRO','CURITIBANOS','SC',8220,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3203824,5.00,6.00,8.00,8.00,5.00,6.75,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',2084,854,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203832,6.00,7.00,5.00,7.00,6.00,5.25,3.00,7.00,8.00,203,NULL,220,'CAMPECHE','FLORIANóPOLIS','SC',2893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203840,5.00,7.00,4.00,8.00,4.00,6.50,3.00,5.00,4.00,202,NULL,213,'VILA OPERARIA','ITAJAí','SC',7202,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3203867,4.00,4.00,4.00,8.00,6.00,6.00,5.00,8.00,5.00,203,NULL,220,'CAPOEIRAS','FLORIANóPOLIS','SC',6467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203875,2.00,0.00,4.00,7.00,3.00,NULL,2.00,4.00,1.00,5,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203883,5.00,4.00,3.00,7.00,6.00,6.75,3.00,4.00,4.00,104,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',10654,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203891,7.00,6.00,7.00,8.00,5.00,5.00,2.00,8.00,5.00,451,NULL,NULL,'BELA VISTA','S PAULO','SP',4459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203905,0.00,1.00,2.00,5.00,3.00,NULL,2.00,2.00,2.00,201,NULL,212,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203913,6.00,3.00,2.00,2.00,3.00,NULL,0.00,7.00,6.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203921,4.00,7.00,4.00,6.00,6.00,6.25,2.00,6.00,5.00,201,NULL,212,'PANTANAL','FLORIANóPOLIS','SC',7624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3203930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'PRESIDENTE MéDICE','PAULíNIA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3203948,2.00,4.00,3.00,6.00,4.00,4.75,3.00,4.00,2.00,104,NULL,NULL,'COMECIáRIO','CRICIúMA','SC',15885,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3203956,7.00,4.00,3.00,7.00,5.00,5.75,3.00,7.00,6.00,9,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',8004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203972,7.00,4.00,5.00,7.00,6.00,5.50,2.00,4.00,4.00,103,NULL,NULL,'PASSA VINTE','PALHOçA','SC',8677,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203980,7.00,4.00,5.00,7.00,6.00,4.75,4.00,3.00,1.00,308,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',10609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3203999,3.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,2.00,5,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204006,5.00,5.00,3.00,8.00,6.00,7.50,1.00,6.00,6.00,104,NULL,NULL,'SAO ROQUE','NOVA TRENTO','SC',7400,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3204014,2.00,4.00,4.00,6.00,3.00,NULL,2.00,3.00,4.00,201,NULL,212,'ALDEOTA','FORTALEZA','CE',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SãO VICENTE','ITAJAí','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3204030,6.00,6.00,3.00,9.00,5.00,6.25,3.00,7.00,4.00,420,NULL,NULL,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3204049,3.00,3.00,2.00,3.00,4.00,NULL,3.00,3.00,3.00,205,NULL,NULL,'ÍNDIA','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204057,0.00,3.00,1.00,0.00,0.00,NULL,3.00,1.00,1.00,318,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204065,8.00,7.00,6.00,9.00,8.00,5.25,3.00,7.00,6.00,208,NULL,238,'CAMPINAS','S JOSé','SC',2937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204081,7.00,8.00,4.00,6.00,6.00,5.25,4.00,8.00,6.00,201,NULL,220,'CRISTO REI','S LEOPOLDO','RS',3316,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3204090,6.00,5.00,5.00,9.00,7.00,6.00,3.00,7.00,3.00,320,NULL,NULL,'BARRA DO SAMBAQUI','FLORIANóPOLIS','SC',5738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204103,7.00,6.00,2.00,7.00,4.00,4.75,3.00,5.00,5.00,304,NULL,NULL,'ESTADOS','BAL CAMBORIú','SC',9502,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3204111,2.00,3.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,220,NULL,203,'CENTRO','TATUí','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204120,2.00,3.00,3.00,6.00,4.00,4.75,4.00,5.00,4.00,309,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',14621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204138,8.00,7.00,5.00,8.00,6.00,7.00,2.00,7.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4104,1322,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204146,3.00,5.00,9.00,8.00,5.00,4.75,7.00,6.00,5.00,220,NULL,213,'CAMPOLIM','SOROCABA','SP',4415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204154,6.00,7.00,8.00,9.00,7.00,7.00,6.00,9.00,8.00,304,NULL,NULL,'SAGUAçU','JOINVILLE','SC',695,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3204162,4.00,5.00,3.00,5.00,5.00,5.75,4.00,4.00,5.00,216,NULL,NULL,'CENTRO','JALES','SP',11344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204170,5.00,7.00,4.00,7.00,5.00,5.25,3.00,6.00,8.00,452,NULL,NULL,'ALDEOTA','FORTALEZA','CE',5604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204189,6.00,5.00,3.00,9.00,5.00,5.50,3.00,7.00,5.00,104,NULL,NULL,'BARCELOS','CACHOEIRA SUL','RS',6886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204200,5.00,5.00,4.00,8.00,6.00,6.25,2.00,6.00,4.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204219,2.00,3.00,2.00,7.00,5.00,7.25,4.00,4.00,3.00,328,NULL,NULL,'JARDIM LUIZA','S PAULO','SP',14374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204235,2.00,3.00,3.00,7.00,3.00,NULL,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3204243,4.00,3.00,3.00,4.00,5.00,5.75,5.00,7.00,1.00,320,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',13985,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204251,4.00,0.00,2.00,3.00,4.00,NULL,2.00,4.00,4.00,501,NULL,NULL,'ARIRIU DA FORMIGA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204260,2.00,2.00,2.00,5.00,6.00,6.50,2.00,4.00,5.00,426,NULL,425,'CAMPECHE','FLORIANóPOLIS','SC',15228,26,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204278,7.00,7.00,2.00,9.00,6.00,6.25,4.00,8.00,4.00,420,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204286,2.00,4.00,4.00,6.00,4.00,4.50,1.00,7.00,4.00,310,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',14538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204294,6.00,2.00,3.00,5.00,5.00,6.75,1.00,5.00,4.00,102,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',12793,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204308,4.00,7.00,1.00,8.00,6.00,5.75,2.00,7.00,4.00,102,NULL,NULL,'PETRóPOLIS','JOINVILLE','SC',9874,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3204316,4.00,4.00,6.00,5.00,3.00,NULL,4.00,4.00,5.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204324,7.00,6.00,8.00,8.00,8.00,4.50,8.00,7.00,7.00,220,NULL,203,'PIQUERI','S PAULO','SP',1186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204332,4.00,4.00,3.00,4.00,3.00,NULL,2.00,5.00,6.00,214,NULL,213,'CENTRO','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3204340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO LOURENCO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3204359,1.00,4.00,4.00,0.00,2.00,NULL,0.00,4.00,2.00,415,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204367,5.00,6.00,4.00,8.00,3.00,NULL,2.00,6.00,3.00,233,NULL,211,'JARDIM AMÉRICA','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204375,6.00,5.00,6.00,7.00,6.00,5.00,6.00,6.00,7.00,203,NULL,202,'ZONA DOIS','MARINGá','PR',3406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204383,4.00,7.00,2.00,7.00,5.00,5.00,4.00,7.00,5.00,211,NULL,238,'CENTRO','CRICIúMA','SC',8214,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3204391,3.00,3.00,3.00,5.00,5.00,5.75,5.00,6.00,5.00,211,NULL,233,'MAR GROSSO','LAGUNA','SC',12159,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3204413,3.00,4.00,2.00,4.00,6.00,5.50,2.00,6.00,2.00,301,NULL,NULL,'CENTRO','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3204421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3204448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'SETOR OESTE','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3204456,2.00,3.00,3.00,2.00,3.00,NULL,3.00,3.00,3.00,201,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204472,3.00,4.00,3.00,5.00,2.00,NULL,2.00,4.00,3.00,201,NULL,202,'PIO CORREA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3204480,4.00,5.00,7.00,8.00,7.00,5.25,3.00,8.00,5.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204499,6.00,6.00,5.00,5.00,5.00,5.50,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','SOBRADINHO','RS',5508,1591,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'VILA LESSA','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3204510,3.00,5.00,1.00,1.00,2.00,NULL,1.00,4.00,2.00,415,NULL,NULL,'NAZARé','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3204529,8.00,8.00,3.00,8.00,6.00,5.50,4.00,5.00,4.00,102,NULL,NULL,'POçO FUNDO','STO AMARO IMPERATRIZ','SC',5546,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204537,2.00,0.00,4.00,2.00,2.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'INTERLAGOS','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PAULICéIA','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3204553,1.00,3.00,2.00,7.00,6.00,5.25,3.00,4.00,1.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3204570,2.00,1.00,3.00,2.00,0.00,NULL,1.00,1.00,2.00,201,NULL,NULL,'CENTRO','VANINI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204588,4.00,4.00,3.00,6.00,6.00,5.25,5.00,6.00,5.00,444,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',9810,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204600,7.00,4.00,7.00,6.00,4.00,6.00,2.00,3.00,3.00,203,NULL,233,'SANTA TEREZINHA','CâNDIDO MOTA','SP',10924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VISTA ALEGRE SEDE','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3204626,3.00,2.00,3.00,4.00,4.00,5.50,0.00,4.00,6.00,215,NULL,NULL,'PETRóPOLIS','LAGES','SC',16002,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3204634,9.00,7.00,7.00,8.00,8.00,6.00,7.00,7.00,8.00,203,NULL,233,'PROGRESSO','LAGUNA','SC',650,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204650,4.00,5.00,4.00,3.00,4.00,6.50,2.00,4.00,4.00,3,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',14073,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204669,4.00,3.00,3.00,4.00,3.00,NULL,3.00,4.00,3.00,102,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204677,3.00,3.00,3.00,3.00,4.00,5.50,1.00,5.00,3.00,3,NULL,NULL,'KOBRASOL','S JOSé','SC',16511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204685,4.00,4.00,2.00,8.00,2.00,NULL,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3204693,4.00,8.00,1.00,4.00,5.00,3.00,4.00,7.00,3.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'SETOR SUDOESTE','CRUZEIRO','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3204715,4.00,4.00,5.00,4.00,3.00,NULL,3.00,4.00,4.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204723,4.00,3.00,4.00,7.00,5.00,5.00,2.00,7.00,3.00,309,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',12092,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204731,5.00,2.00,4.00,6.00,6.00,4.50,4.00,4.00,3.00,108,NULL,NULL,'CENTRO','CAMBé','PR',12412,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3204740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'ÁGUAS NEGRAS','BOTUVERá','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3204758,6.00,4.00,2.00,7.00,5.00,6.50,3.00,2.00,4.00,9,NULL,NULL,'MAE LUZIA','CRICIúMA','SC',11519,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3204766,3.00,3.00,3.00,5.00,2.00,NULL,3.00,5.00,5.00,108,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204774,3.00,3.00,1.00,2.00,4.00,NULL,3.00,1.00,5.00,308,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204782,6.00,4.00,2.00,6.00,5.00,5.25,3.00,6.00,4.00,233,NULL,NULL,'CENTRO','BRUSQUE','SC',11058,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3204790,5.00,6.00,3.00,8.00,5.00,5.50,3.00,4.00,4.00,340,NULL,NULL,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',10030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204804,1.00,3.00,2.00,0.00,2.00,NULL,1.00,0.00,1.00,303,NULL,NULL,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3204812,4.00,4.00,1.00,4.00,0.00,NULL,4.00,2.00,3.00,303,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204820,8.00,7.00,7.00,6.00,7.00,5.50,8.00,6.00,7.00,202,NULL,NULL,'CIRO NARDI','CASCAVEL','PR',1124,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3204839,5.00,7.00,4.00,8.00,7.00,4.50,7.00,3.00,6.00,203,NULL,201,'CENTRO','FLORIANóPOLIS','SC',5632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204847,4.00,4.00,2.00,4.00,5.00,3.25,2.00,3.00,3.00,208,NULL,238,'PRAIA DOS AMORES','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3204855,6.00,5.00,3.00,7.00,5.00,4.75,3.00,7.00,6.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',7934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204863,7.00,7.00,3.00,8.00,3.00,NULL,2.00,8.00,6.00,301,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3204871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA OLIVEIRA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3204880,6.00,6.00,5.00,6.00,7.00,5.25,3.00,7.00,3.00,318,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',6653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204898,1.00,0.00,3.00,3.00,2.00,NULL,1.00,2.00,2.00,420,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3204901,3.00,5.00,3.00,8.00,6.00,5.00,2.00,3.00,1.00,214,NULL,212,'CENTRO','TAIó','SC',12945,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3204910,3.00,4.00,1.00,1.00,3.00,NULL,3.00,2.00,2.00,501,NULL,NULL,'JARDIM CAçAPAVA','CAçAPAVA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3204928,4.00,2.00,2.00,1.00,4.00,NULL,2.00,6.00,2.00,429,NULL,425,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204936,4.00,4.00,3.00,3.00,6.00,5.50,3.00,4.00,3.00,339,NULL,NULL,'VENDAVAL','BIGUAçU','SC',14829,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204944,6.00,6.00,2.00,7.00,4.00,5.50,2.00,6.00,5.00,303,NULL,NULL,'CENTRO','PALHOçA','SC',10193,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204952,4.00,7.00,6.00,9.00,4.00,5.00,2.00,5.00,4.00,238,NULL,212,'CENTRO','FLORIANóPOLIS','SC',7351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204960,6.00,6.00,5.00,8.00,6.00,5.75,5.00,7.00,3.00,5,NULL,NULL,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',5752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3204979,4.00,0.00,1.00,4.00,4.00,NULL,3.00,1.00,3.00,415,NULL,NULL,'FORQUILINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3204995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'PQ DAS FLORES','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3205002,2.00,4.00,2.00,3.00,6.00,NULL,1.00,4.00,3.00,501,NULL,NULL,'PRAçA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205010,7.00,4.00,4.00,7.00,5.00,5.25,6.00,6.00,5.00,203,NULL,211,'CENTRO','CRICIúMA','SC',6083,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3205029,7.00,9.00,7.00,9.00,5.00,6.75,1.00,9.00,5.00,211,NULL,201,'KOBRASOL','S JOSé','SC',2839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA SEIS','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3205045,3.00,6.00,3.00,6.00,3.00,NULL,2.00,6.00,4.00,301,NULL,NULL,'CENTRO','S MARTINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3205061,4.00,7.00,3.00,0.00,3.00,NULL,4.00,7.00,5.00,332,NULL,NULL,'BOM JESUS','POUSO ALEGRE','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3205070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARIA AP PEDROSSIAN','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3205088,1.00,6.00,4.00,3.00,4.00,6.25,1.00,4.00,3.00,102,NULL,NULL,'FORQUILHAS','S JOSé','SC',16379,308,NULL,NULL,NULL,NULL,NULL,2,1),(16,3205096,5.00,5.00,1.00,7.00,6.00,4.75,2.00,6.00,2.00,203,NULL,214,'BELA VISTA','FRAIBURGO','SC',12143,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3205100,3.00,5.00,4.00,0.00,3.00,NULL,3.00,4.00,5.00,211,NULL,215,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205126,6.00,6.00,4.00,8.00,6.00,5.00,1.00,6.00,5.00,340,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205134,6.00,8.00,5.00,8.00,6.00,4.75,4.00,6.00,4.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205142,4.00,5.00,4.00,3.00,7.00,3.25,3.00,1.00,2.00,444,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205150,3.00,5.00,2.00,6.00,2.00,NULL,2.00,8.00,4.00,203,NULL,233,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205169,2.00,4.00,1.00,2.00,4.00,5.50,1.00,7.00,3.00,238,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',16482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205177,1.00,0.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3205185,6.00,5.00,3.00,2.00,3.00,NULL,2.00,8.00,3.00,207,NULL,201,'PARQUE CENTENARIO','JUNDIAí','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205193,3.00,4.00,2.00,4.00,4.00,5.50,1.00,8.00,4.00,326,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',14745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205207,6.00,8.00,3.00,8.00,6.00,6.00,3.00,9.00,6.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',3733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205215,6.00,5.00,3.00,9.00,6.00,7.00,2.00,7.00,5.00,214,NULL,220,'SACO DOS LIMõES','FLORIANóPOLIS','SC',5479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205223,5.00,5.00,3.00,8.00,4.00,5.75,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','CHOPINZINHO','PR',13027,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3205231,6.00,6.00,4.00,8.00,6.00,6.25,3.00,7.00,5.00,501,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205240,5.00,6.00,4.00,7.00,6.00,4.75,2.00,6.00,3.00,207,NULL,211,'JARDIM AQUARIUS','S JOSé CAMPOS','SP',8874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205258,8.00,9.00,3.00,10.00,8.00,6.50,3.00,9.00,7.00,203,NULL,214,'CENTRO','FLORIANóPOLIS','SC',1236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205266,2.00,4.00,3.00,5.00,5.00,5.50,2.00,6.00,2.00,319,NULL,NULL,'BALNEARIO ESTREITO','FLORIANóPOLIS','SC',15498,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3205282,4.00,5.00,3.00,6.00,7.00,6.00,3.00,4.00,3.00,503,NULL,NULL,'CENTRO','S JOSé','SC',11209,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3205290,9.00,8.00,6.00,4.00,8.00,7.00,7.00,9.00,6.00,104,NULL,NULL,'GUARANI','BRUSQUE','SC',950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3205312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'SANTO ANTôNIO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3205320,4.00,3.00,4.00,5.00,5.00,4.50,3.00,2.00,4.00,207,NULL,201,'JARDIM CIDADE','S JOSé','SC',15091,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3205347,5.00,2.00,4.00,0.00,5.00,6.00,3.00,6.00,3.00,207,NULL,215,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205355,6.00,8.00,6.00,9.00,9.00,5.00,7.00,7.00,7.00,203,NULL,214,'CENTRO','CRICIúMA','SC',1145,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3205371,6.00,6.00,1.00,9.00,4.00,4.75,5.00,5.00,6.00,103,NULL,NULL,'PORTãO','CURITIBA','PR',6446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205380,6.00,4.00,2.00,7.00,6.00,5.75,1.00,6.00,7.00,501,NULL,NULL,'CAMPINAS','S JOSé','SC',9319,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3205398,2.00,5.00,2.00,7.00,6.00,4.50,3.00,6.00,4.00,201,NULL,NULL,'JARDIM ITáLIA','CHAPECó','SC',13022,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3205401,4.00,6.00,6.00,6.00,4.00,5.75,4.00,8.00,4.00,103,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205410,1.00,3.00,1.00,2.00,3.00,NULL,1.00,3.00,3.00,9,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205428,4.00,1.00,4.00,1.00,3.00,NULL,3.00,3.00,4.00,502,NULL,NULL,'INTERIOR','MONDAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3205436,3.00,4.00,4.00,2.00,2.00,NULL,2.00,5.00,2.00,203,NULL,NULL,'INTERIOR','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3205444,2.00,1.00,1.00,7.00,6.00,NULL,1.00,1.00,2.00,502,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3205452,3.00,4.00,3.00,2.00,2.00,NULL,2.00,5.00,5.00,108,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3205460,4.00,3.00,2.00,3.00,4.00,NULL,2.00,3.00,3.00,108,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205479,7.00,6.00,7.00,8.00,6.00,2.50,3.00,8.00,7.00,216,NULL,203,'VILA EMA','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205487,6.00,6.00,3.00,7.00,5.00,4.75,3.00,7.00,5.00,332,NULL,NULL,'CARá CARá','PNT GROSSA','PR',7983,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3205509,4.00,1.00,6.00,7.00,6.00,7.75,2.00,3.00,5.00,201,NULL,211,'CENTRO','PASSO FUNDO','RS',10003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205517,3.00,3.00,4.00,6.00,5.00,5.00,1.00,1.00,3.00,103,NULL,NULL,'PIO X','CAXIAS SUL','RS',16352,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3205525,3.00,3.00,1.00,5.00,5.00,NULL,2.00,0.00,4.00,103,NULL,NULL,'JOAO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3205533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'PARQUE SãO PAULO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3205541,6.00,5.00,6.00,7.00,7.00,4.50,2.00,8.00,3.00,303,NULL,NULL,'AMéRICA','JOINVILLE','SC',5463,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3205550,7.00,7.00,7.00,8.00,7.00,6.00,3.00,7.00,6.00,340,NULL,NULL,'VILLAGE','IMBITUBA','SC',3123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205568,5.00,8.00,4.00,1.00,8.00,7.00,3.00,7.00,6.00,303,NULL,NULL,'COMASA','JOINVILLE','SC',6104,281,NULL,NULL,NULL,NULL,NULL,4,8),(16,3205576,3.00,0.00,1.00,4.00,3.00,NULL,2.00,6.00,1.00,303,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205592,6.00,5.00,5.00,4.00,7.00,6.75,3.00,7.00,6.00,301,NULL,NULL,'BUTUCA','MASSARANDUBA','SC',4770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205606,6.00,6.00,3.00,5.00,3.00,NULL,3.00,6.00,4.00,207,NULL,201,'SALETE','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3205614,4.00,8.00,3.00,6.00,7.00,6.50,3.00,8.00,5.00,340,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',5660,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3205622,4.00,3.00,3.00,7.00,4.00,4.75,2.00,6.00,3.00,203,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205649,8.00,6.00,6.00,8.00,7.00,6.00,3.00,9.00,6.00,201,NULL,208,'BARREIROS','S JOSé','SC',2488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205657,4.00,4.00,4.00,6.00,4.00,6.00,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3205665,6.00,6.00,6.00,9.00,6.00,4.75,5.00,7.00,6.00,203,NULL,214,'CAMPECHE','FLORIANóPOLIS','SC',3436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205673,1.00,3.00,2.00,0.00,3.00,NULL,1.00,3.00,5.00,420,NULL,NULL,'JARDIM DAS NAçõES','TAUBATé','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205681,5.00,4.00,4.00,5.00,4.00,NULL,0.00,4.00,3.00,453,NULL,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PETRóPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3205703,2.00,4.00,2.00,5.00,4.00,4.25,3.00,6.00,5.00,201,NULL,212,'SANTA BARBARA','CRICIúMA','SC',14980,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3205711,4.00,7.00,5.00,4.00,6.00,6.25,1.00,8.00,4.00,103,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',8000,1978,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205720,5.00,3.00,2.00,1.00,4.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205738,6.00,4.00,1.00,6.00,5.00,4.50,3.00,5.00,2.00,301,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',13530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205746,6.00,5.00,8.00,6.00,8.00,4.25,4.00,5.00,5.00,223,NULL,NULL,'SANTA HELENA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3205754,6.00,4.00,2.00,7.00,6.00,6.00,3.00,7.00,5.00,319,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',8041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CENTRO','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3205789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM MODELO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3205797,2.00,1.00,1.00,7.00,3.00,NULL,2.00,2.00,3.00,340,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AEROPORTO','ALFENAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3205819,5.00,7.00,3.00,8.00,7.00,6.00,6.00,9.00,2.00,203,NULL,220,'MARAMBAIA','BELéM','PA',5207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205827,6.00,3.00,3.00,6.00,8.00,6.50,2.00,6.00,4.00,104,NULL,NULL,'PIO CORREA','CRICIúMA','SC',9967,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3205835,3.00,6.00,2.00,7.00,4.00,5.25,2.00,8.00,4.00,108,NULL,NULL,'GARCIA','BLUMENAU','SC',10918,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3205843,6.00,6.00,4.00,9.00,5.00,8.25,3.00,6.00,6.00,340,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',4556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205851,5.00,9.00,2.00,9.00,4.00,5.00,5.00,7.00,6.00,304,NULL,NULL,'JARDIM CASTANHEIRAS','FLORIANóPOLIS','SC',5462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205860,5.00,3.00,2.00,4.00,4.00,2.75,1.00,4.00,3.00,453,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205878,6.00,8.00,8.00,9.00,5.00,5.50,1.00,6.00,6.00,207,NULL,201,'SAN CONRADO','CAMPINAS','SP',3741,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3205886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM CANADA','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3205894,4.00,7.00,3.00,2.00,6.00,6.25,2.00,7.00,5.00,102,NULL,NULL,'VARGEM BOM JESUS','FLORIANóPOLIS','SC',10887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3205916,3.00,5.00,4.00,3.00,3.00,NULL,2.00,7.00,6.00,301,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205924,4.00,7.00,4.00,6.00,7.00,5.00,4.00,7.00,5.00,102,NULL,NULL,'ALVORADA','CAFELâNDIA','PR',6541,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3205932,4.00,2.00,2.00,1.00,1.00,NULL,1.00,4.00,5.00,301,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205940,5.00,4.00,4.00,9.00,5.00,5.25,4.00,6.00,6.00,104,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',6806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205959,3.00,2.00,2.00,6.00,2.00,NULL,3.00,2.00,1.00,104,NULL,NULL,'STO ANT DE LISBOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3205967,4.00,3.00,2.00,4.00,2.00,NULL,5.00,5.00,4.00,201,NULL,203,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3205975,3.00,3.00,4.00,6.00,4.00,6.00,2.00,3.00,5.00,303,NULL,NULL,'MAR GROSSO','LAGUNA','SC',14638,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3205983,8.00,8.00,6.00,7.00,6.00,5.75,5.00,8.00,7.00,220,NULL,202,'PARANá','PALMITAL','SP',2173,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3205991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3206009,4.00,4.00,2.00,4.00,3.00,NULL,2.00,4.00,5.00,201,NULL,215,'LAGOA DA CONCEICAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206017,6.00,5.00,2.00,4.00,3.00,NULL,3.00,4.00,4.00,424,NULL,429,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206025,3.00,3.00,3.00,2.00,7.00,NULL,1.00,3.00,5.00,316,NULL,NULL,'BELA VISTA I','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206033,7.00,8.00,7.00,8.00,8.00,6.75,5.00,8.00,7.00,5,NULL,NULL,'CENTRO','BIGUAçU','SC',1041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206041,6.00,3.00,3.00,9.00,6.00,5.00,3.00,7.00,3.00,453,NULL,NULL,'KOBRASOL','S JOSé','SC',8495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'GUARANI','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3206068,0.00,5.00,2.00,3.00,2.00,NULL,3.00,7.00,5.00,103,NULL,NULL,'LOMBA','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3206076,5.00,3.00,3.00,2.00,4.00,4.50,5.00,1.00,5.00,207,NULL,202,'JOSé MENDES','FLORIANóPOLIS','SC',15792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR OESTE','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3206092,3.00,2.00,3.00,7.00,4.00,4.75,2.00,4.00,2.00,503,NULL,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',15833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CENTRO','CORUMBá','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3206114,4.00,4.00,3.00,6.00,3.00,NULL,3.00,5.00,5.00,201,NULL,208,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3206122,2.00,2.00,3.00,6.00,4.00,4.50,3.00,5.00,2.00,103,NULL,NULL,'CENTRO','TIJUCAS','SC',16411,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3206157,4.00,2.00,4.00,4.00,5.00,NULL,0.00,6.00,3.00,326,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206165,9.00,5.00,2.00,6.00,6.00,7.00,4.00,7.00,8.00,103,NULL,NULL,'VILA INDUSTRIAL','TOLEDO','PR',3652,1217,NULL,NULL,NULL,NULL,NULL,4,4),(16,3206173,4.00,5.00,4.00,6.00,5.00,5.25,6.00,5.00,6.00,203,NULL,220,'CENTRO','FLORIANóPOLIS','SC',8952,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206181,0.00,3.00,4.00,5.00,3.00,NULL,2.00,6.00,4.00,303,NULL,NULL,'CENTRO','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3206190,4.00,3.00,2.00,5.00,6.00,5.75,2.00,3.00,4.00,309,NULL,NULL,'JARDIM CASTANHEIRAS','FLORIANóPOLIS','SC',14691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM AMéRICA','CHAPECó','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3206211,3.00,5.00,3.00,7.00,6.00,5.25,4.00,6.00,6.00,103,NULL,NULL,'SAGUAçU','JOINVILLE','SC',8892,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3206220,9.00,9.00,7.00,8.00,6.00,7.00,6.00,8.00,8.00,220,NULL,208,'CARIANOS','FLORIANóPOLIS','SC',477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206238,9.00,7.00,9.00,7.00,7.00,6.75,7.00,7.00,8.00,103,NULL,NULL,'JD PARAíSO','S CARLOS','SP',369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206246,5.00,7.00,4.00,9.00,7.00,7.50,2.00,6.00,5.00,326,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',4822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'IIMIGRANTES','ZORTéA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3206262,7.00,6.00,6.00,8.00,6.00,5.50,5.00,5.00,6.00,202,NULL,238,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',3685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'VILA MAIA','GUARUJá','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3206289,1.00,5.00,1.00,5.00,2.00,NULL,2.00,3.00,3.00,9,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206297,5.00,5.00,2.00,7.00,7.00,NULL,0.00,0.00,0.00,425,NULL,423,'COSTEIRA D PIRAJUBAÉ','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3206300,6.00,9.00,7.00,9.00,7.00,6.50,6.00,9.00,8.00,203,NULL,201,'CENTRO','FLORIANóPOLIS','SC',851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206319,6.00,4.00,4.00,6.00,6.00,6.75,2.00,5.00,3.00,103,NULL,NULL,'JD CIDADE DE FLORIAN','S JOSé','SC',10088,2229,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3206335,5.00,4.00,4.00,6.00,4.00,5.50,5.00,6.00,5.00,208,NULL,238,'AGRONôMICA','FLORIANóPOLIS','SC',9323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206351,5.00,7.00,4.00,6.00,6.00,6.50,2.00,7.00,5.00,318,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',6816,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206360,6.00,5.00,4.00,8.00,6.00,5.75,3.00,9.00,4.00,318,NULL,NULL,'JD TELESPARK','S JOSé CAMPOS','SP',6198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206378,6.00,6.00,2.00,6.00,3.00,NULL,3.00,7.00,7.00,220,NULL,214,'CACHOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'TAGUATINGA','TAGUATINGA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3206408,3.00,0.00,4.00,3.00,3.00,NULL,2.00,2.00,3.00,501,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3206432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3206440,1.00,1.00,4.00,2.00,1.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3206467,8.00,8.00,2.00,8.00,7.00,6.00,4.00,7.00,6.00,103,NULL,NULL,'NAçõES','INDAIAL','SC',3512,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3206475,4.00,6.00,7.00,6.00,5.00,3.25,5.00,7.00,6.00,202,NULL,203,'BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'SANTANA','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3206491,4.00,7.00,3.00,8.00,7.00,5.50,4.00,5.00,2.00,301,NULL,NULL,'VILA NOVA','BLUMENAU','SC',9255,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3206505,5.00,8.00,5.00,9.00,7.00,6.25,4.00,8.00,6.00,340,NULL,NULL,'VELHA','BLUMENAU','SC',3020,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3206521,5.00,3.00,2.00,5.00,4.00,5.50,3.00,3.00,3.00,211,NULL,216,'BARRA DO ARIRIú','PALHOçA','SC',15928,540,NULL,489,NULL,NULL,NULL,2,1),(16,3206530,3.00,2.00,4.00,4.00,3.00,NULL,2.00,2.00,5.00,453,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206548,7.00,4.00,6.00,5.00,5.00,4.25,2.00,3.00,5.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',11115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206556,5.00,6.00,3.00,6.00,6.00,5.50,1.00,5.00,5.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10502,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206564,4.00,4.00,4.00,2.00,4.00,4.50,2.00,4.00,5.00,201,NULL,208,'DIVINEIA','ARARANGUá','SC',15050,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3206572,5.00,5.00,6.00,9.00,6.00,6.00,7.00,7.00,7.00,207,NULL,201,'NOSSA SRA DE LOURDES','STA MARIA','RS',2231,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3206599,4.00,1.00,2.00,4.00,3.00,NULL,2.00,2.00,2.00,308,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206602,8.00,7.00,6.00,8.00,7.00,6.50,5.00,7.00,8.00,203,NULL,202,'ESTREITO','FLORIANóPOLIS','SC',1372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206610,4.00,7.00,3.00,8.00,5.00,7.00,4.00,5.00,3.00,326,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',9224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206629,5.00,4.00,7.00,9.00,6.00,5.50,4.00,6.00,6.00,503,NULL,NULL,'NOVA BRASíLIA','JARAGUá SUL','SC',4708,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3206637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3206645,3.00,6.00,1.00,4.00,5.00,4.50,3.00,6.00,4.00,2,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',14671,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206653,2.00,5.00,1.00,7.00,5.00,5.75,2.00,2.00,4.00,104,NULL,NULL,'CENTRO','BIGUAçU','SC',14945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206661,3.00,3.00,3.00,2.00,2.00,NULL,1.00,3.00,1.00,9,NULL,NULL,'CENTRO','AURORA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206670,3.00,3.00,4.00,0.00,2.00,NULL,3.00,2.00,3.00,404,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206700,4.00,5.00,3.00,6.00,5.00,4.50,3.00,6.00,5.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206718,7.00,4.00,5.00,6.00,6.00,5.25,1.00,2.00,6.00,201,NULL,207,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3206726,3.00,2.00,2.00,2.00,5.00,NULL,1.00,3.00,2.00,216,NULL,NULL,'SãO FRANCISCO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206734,6.00,8.00,7.00,8.00,4.00,5.25,5.00,8.00,5.00,203,NULL,233,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206742,5.00,8.00,6.00,7.00,5.00,5.25,6.00,8.00,5.00,303,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',3431,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3206750,4.00,7.00,2.00,4.00,5.00,5.75,2.00,5.00,4.00,234,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',12331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206769,4.00,3.00,3.00,1.00,4.00,NULL,1.00,2.00,2.00,302,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206777,5.00,4.00,4.00,6.00,5.00,5.00,4.00,5.00,4.00,104,NULL,NULL,'DEHON','TUBARãO','SC',10626,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3206785,5.00,5.00,4.00,8.00,6.00,6.50,2.00,4.00,4.00,211,NULL,215,'GUANABARA','JOINVILLE','SC',8340,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3206793,8.00,9.00,7.00,8.00,6.00,6.25,5.00,8.00,7.00,203,NULL,214,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206807,6.00,5.00,3.00,6.00,5.00,7.00,1.00,7.00,5.00,332,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',7861,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206815,8.00,7.00,7.00,7.00,7.00,5.25,4.00,7.00,7.00,203,NULL,238,'CARAVáGIO','RIO CEDROS','SC',2033,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3206823,2.00,3.00,5.00,4.00,3.00,NULL,1.00,4.00,1.00,324,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206831,7.00,6.00,5.00,8.00,5.00,5.50,2.00,6.00,5.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206840,4.00,5.00,3.00,2.00,5.00,NULL,0.00,3.00,3.00,301,NULL,NULL,'SACO DOS LIMÕES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206858,7.00,7.00,4.00,6.00,5.00,5.75,3.00,4.00,6.00,102,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',7363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206866,2.00,5.00,3.00,4.00,4.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'SANTA ROSA','PTO UNIãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3206874,3.00,1.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,211,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206882,5.00,4.00,4.00,6.00,4.00,5.00,1.00,4.00,3.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206890,5.00,3.00,3.00,8.00,7.00,4.75,2.00,4.00,3.00,420,NULL,NULL,'BELA VISTA','S JOSé','SC',12649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206904,6.00,6.00,4.00,6.00,6.00,5.00,5.00,5.00,7.00,102,NULL,NULL,'PRAINHA','FLORIANóPOLIS','SC',7176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206912,2.00,5.00,4.00,3.00,3.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206920,3.00,4.00,2.00,2.00,1.00,NULL,1.00,2.00,2.00,444,NULL,NULL,'VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206939,7.00,7.00,6.00,9.00,5.00,4.75,4.00,9.00,7.00,220,NULL,203,'JD DAS INDúSTRIAS','S JOSé CAMPOS','SP',2135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206947,2.00,2.00,3.00,6.00,3.00,NULL,4.00,5.00,3.00,234,NULL,NULL,'JARDIM CARANDAI','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3206955,6.00,8.00,4.00,5.00,6.00,6.25,2.00,7.00,6.00,340,NULL,NULL,'VALPARAíSO','BLUMENAU','SC',6096,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3206971,9.00,8.00,8.00,9.00,8.00,6.50,8.00,8.00,8.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',41,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3206980,8.00,8.00,5.00,9.00,6.00,7.00,5.00,8.00,6.00,103,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',1230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3206998,7.00,8.00,7.00,9.00,5.00,5.75,5.00,7.00,6.00,201,NULL,208,'GISELA','TOLEDO','PR',1892,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3207005,2.00,3.00,2.00,4.00,4.00,4.50,2.00,4.00,4.00,202,NULL,213,'JARDIM ITALIA','CHAPECó','SC',16602,548,NULL,281,NULL,NULL,NULL,4,4),(16,3207013,6.00,7.00,8.00,8.00,6.00,5.00,4.00,8.00,8.00,9,NULL,NULL,'CEDRO','JUQUIá','SP',2129,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GONZAGA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3207030,5.00,4.00,7.00,9.00,4.00,5.50,3.00,5.00,4.00,220,NULL,233,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3207048,6.00,1.00,3.00,6.00,3.00,NULL,2.00,5.00,6.00,216,NULL,201,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3207056,2.00,2.00,2.00,3.00,6.00,NULL,4.00,2.00,1.00,205,NULL,NULL,'EFAPI','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3207064,1.00,1.00,2.00,0.00,2.00,NULL,4.00,4.00,0.00,316,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3207072,3.00,2.00,5.00,2.00,4.00,NULL,1.00,4.00,2.00,101,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3207080,6.00,4.00,5.00,7.00,7.00,6.25,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',5662,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3207099,3.00,5.00,3.00,0.00,4.00,5.25,3.00,7.00,4.00,223,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207102,3.00,3.00,4.00,2.00,4.00,4.50,2.00,2.00,5.00,238,NULL,208,'SERRARIA','S JOSé','SC',16624,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207110,4.00,4.00,3.00,4.00,4.00,4.75,5.00,4.00,2.00,208,NULL,201,'SERRARIA','S JOSé','SC',15490,540,NULL,1196,NULL,NULL,NULL,2,1),(16,3207137,5.00,4.00,3.00,6.00,6.00,5.25,3.00,7.00,6.00,215,NULL,211,'ATIRADORES','JOINVILLE','SC',8071,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3207145,5.00,5.00,2.00,8.00,6.00,5.25,3.00,4.00,3.00,215,NULL,201,'CENTRO','FLORIANóPOLIS','SC',10533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207153,7.00,7.00,7.00,8.00,7.00,7.00,6.00,6.00,8.00,207,NULL,212,'CENTRO','FLORIANóPOLIS','SC',923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207161,2.00,4.00,4.00,8.00,5.00,7.00,4.00,7.00,5.00,108,NULL,NULL,'AEROPORTO','TUBARãO','SC',8353,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3207170,6.00,7.00,8.00,4.00,5.00,5.75,6.00,6.00,6.00,203,NULL,220,'ZONA SETE','MARINGá','PR',3709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207188,5.00,8.00,2.00,1.00,5.00,6.00,2.00,7.00,4.00,201,NULL,211,'OFICINAS','TUBARãO','SC',10680,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3207196,4.00,5.00,4.00,4.00,6.00,5.25,5.00,7.00,2.00,203,NULL,220,'MORRO DA BINA','BIGUAçU','SC',11070,753,NULL,416,NULL,NULL,NULL,4,1),(16,3207200,5.00,3.00,5.00,7.00,4.00,6.75,2.00,5.00,4.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',10791,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207218,6.00,6.00,5.00,6.00,6.00,6.00,3.00,6.00,5.00,5,NULL,NULL,'CENTRO','CONCóRDIA','SC',7103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207234,2.00,5.00,3.00,6.00,5.00,6.50,3.00,4.00,2.00,302,NULL,NULL,'CAMPINAS','S JOSé','SC',14048,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207242,5.00,6.00,2.00,8.00,5.00,6.25,3.00,6.00,4.00,201,NULL,207,'BELA VISTA','PIMENTA BUENO','RO',8577,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3207250,4.00,1.00,2.00,3.00,2.00,NULL,2.00,2.00,3.00,415,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207269,7.00,8.00,8.00,8.00,7.00,8.00,4.00,8.00,7.00,104,NULL,NULL,'PROGRESSO','RIO SUL','SC',631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207277,8.00,8.00,5.00,8.00,6.00,6.00,5.00,7.00,7.00,220,NULL,203,'CENTRO','RIO BRILHANTE','MS',1642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207285,1.00,3.00,2.00,4.00,4.00,NULL,1.00,4.00,2.00,303,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207293,4.00,6.00,2.00,8.00,4.00,5.50,2.00,6.00,2.00,102,NULL,NULL,'CENTRO','TIMBó','SC',11846,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3207307,4.00,4.00,1.00,2.00,4.00,NULL,1.00,2.00,3.00,215,NULL,207,'COLONIA SANTANA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207315,5.00,8.00,4.00,6.00,8.00,5.00,5.00,7.00,6.00,207,NULL,201,'CARIANOS','FLORIANóPOLIS','SC',4155,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207331,4.00,1.00,3.00,7.00,3.00,NULL,3.00,4.00,3.00,415,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207340,3.00,2.00,4.00,4.00,5.00,5.50,5.00,4.00,5.00,202,NULL,207,'CENTRO','ERECHIM','RS',13345,458,NULL,688,NULL,NULL,NULL,4,4),(16,3207382,2.00,4.00,3.00,2.00,1.00,NULL,2.00,1.00,3.00,308,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207390,2.00,4.00,2.00,1.00,3.00,NULL,3.00,4.00,2.00,201,NULL,211,'FIGUEIRA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3207404,5.00,7.00,5.00,8.00,6.00,5.25,2.00,7.00,3.00,415,NULL,NULL,'CENTRO','VIDEIRA','SC',6882,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3207420,2.00,1.00,5.00,1.00,2.00,NULL,3.00,3.00,2.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207439,3.00,3.00,6.00,4.00,4.00,6.75,2.00,3.00,4.00,444,NULL,NULL,'FORQUILHAS','S JOSé','SC',14847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207447,7.00,6.00,5.00,8.00,6.00,6.50,3.00,8.00,6.00,303,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',3866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207455,7.00,7.00,8.00,9.00,7.00,7.50,5.00,9.00,6.00,211,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207463,6.00,5.00,8.00,3.00,4.00,6.00,2.00,6.00,5.00,207,NULL,201,'CENTRO','BIGUAçU','SC',8962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207471,3.00,8.00,3.00,8.00,4.00,6.00,2.00,7.00,5.00,103,NULL,NULL,'SETOR BELA VISTA','GOIâNIA','GO',6744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207480,8.00,7.00,6.00,6.00,7.00,5.50,3.00,7.00,7.00,340,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',3291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207498,5.00,4.00,4.00,8.00,7.00,6.00,2.00,7.00,4.00,404,NULL,NULL,'PROGRESSO','BENTO GONçALVES','RS',6699,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3207501,2.00,2.00,3.00,6.00,5.00,5.00,2.00,3.00,3.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',16281,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207510,3.00,5.00,4.00,7.00,5.00,4.50,1.00,5.00,5.00,420,NULL,NULL,'BOMBAS','BOMBINHAS','SC',11901,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3207536,7.00,8.00,7.00,8.00,8.00,7.25,5.00,8.00,5.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1204,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207544,1.00,1.00,3.00,4.00,3.00,NULL,0.00,0.00,2.00,208,NULL,207,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207552,6.00,4.00,2.00,6.00,5.00,5.75,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','IVATé','PR',10698,2303,NULL,NULL,NULL,NULL,NULL,2,4),(16,3207560,7.00,5.00,3.00,9.00,7.00,6.50,4.00,4.00,6.00,103,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',3909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207579,5.00,2.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,333,NULL,NULL,'JD N CAMPOS ELISEOS','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207587,3.00,5.00,3.00,4.00,4.00,5.25,4.00,5.00,2.00,421,NULL,427,'INGLESES','FLORIANóPOLIS','SC',14218,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207595,7.00,4.00,7.00,6.00,8.00,6.50,5.00,8.00,3.00,215,NULL,213,'BARREIROS','S JOSé','SC',3778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207609,7.00,5.00,4.00,8.00,4.00,4.50,3.00,6.00,4.00,316,NULL,NULL,'OFICINAS','TUBARAO','SC',8944,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3207617,8.00,7.00,5.00,5.00,6.00,7.00,4.00,8.00,8.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207625,2.00,5.00,5.00,6.00,6.00,4.50,4.00,9.00,5.00,234,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',7751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207633,5.00,3.00,4.00,8.00,6.00,5.75,3.00,5.00,5.00,238,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',8709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207641,6.00,6.00,2.00,6.00,6.00,6.00,3.00,7.00,4.00,327,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',8814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207650,3.00,4.00,2.00,7.00,3.00,NULL,2.00,6.00,1.00,207,NULL,202,'SãO CRISTóVãO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3207668,2.00,0.00,2.00,4.00,4.00,NULL,2.00,2.00,4.00,216,NULL,213,'FRAGATA','PELOTAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207676,4.00,3.00,4.00,6.00,4.00,5.00,3.00,3.00,2.00,9,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',15246,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207684,6.00,5.00,2.00,7.00,5.00,4.75,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',13563,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3207692,4.00,2.00,5.00,3.00,3.00,NULL,3.00,7.00,2.00,2,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3207706,7.00,6.00,4.00,8.00,6.00,5.00,4.00,6.00,3.00,103,NULL,NULL,'SãO LUIZ','CRICIúMA','SC',8031,1981,NULL,NULL,NULL,NULL,NULL,2,5),(16,3207714,1.00,4.00,1.00,3.00,3.00,NULL,1.00,2.00,3.00,303,NULL,NULL,'BARRA DO SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207722,3.00,3.00,4.00,2.00,4.00,NULL,2.00,0.00,5.00,451,NULL,NULL,'JARDIM PRIMAVERA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3207730,8.00,6.00,4.00,6.00,6.00,5.00,4.00,7.00,8.00,216,NULL,211,'PROGRESSO','LAGUNA','SC',4649,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3207749,4.00,5.00,5.00,8.00,6.00,4.75,5.00,9.00,6.00,304,NULL,NULL,'ASA NORTE','BRASíLIA','DF',3305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207757,3.00,6.00,1.00,1.00,5.00,5.25,3.00,6.00,3.00,211,NULL,238,'BOM RETIRO','JOINVILLE','SC',15545,525,NULL,515,NULL,NULL,NULL,4,8),(16,3207765,7.00,7.00,4.00,7.00,5.00,5.50,4.00,7.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',4257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207773,9.00,6.00,6.00,7.00,6.00,7.00,3.00,6.00,4.00,211,NULL,215,'CANASVIEIRAS','FLORIANóPOLIS','SC',3490,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207781,3.00,6.00,5.00,8.00,5.00,7.50,1.00,6.00,5.00,104,NULL,NULL,'IRIRIU','JOINVILLE','SC',8066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207790,7.00,8.00,3.00,7.00,5.00,4.75,4.00,7.00,7.00,103,NULL,NULL,'BARRA SUL','BAL CAMBORIú','SC',4013,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3207803,5.00,3.00,3.00,8.00,3.00,NULL,2.00,4.00,3.00,328,NULL,NULL,'MIRANTE','ITA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3207811,4.00,5.00,1.00,9.00,3.00,NULL,2.00,8.00,3.00,327,NULL,NULL,'PARQUE SãO PAULO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207820,6.00,7.00,5.00,8.00,9.00,5.50,3.00,8.00,4.00,303,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',3989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3207846,4.00,3.00,8.00,6.00,6.00,5.25,3.00,4.00,4.00,222,NULL,NULL,'CENTRO','TUBARãO','SC',10312,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3207854,3.00,3.00,2.00,0.00,0.00,NULL,2.00,0.00,3.00,302,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207870,9.00,9.00,7.00,8.00,8.00,5.75,6.00,9.00,8.00,203,NULL,202,'SANTA MôNICA','FLORIANóPOLIS','SC',306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3207897,3.00,4.00,5.00,5.00,3.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207900,4.00,4.00,4.00,6.00,4.00,4.50,2.00,2.00,5.00,208,NULL,215,'SANTA MONICA','FLORIANóPOLIS','SC',14195,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207919,2.00,5.00,3.00,4.00,3.00,NULL,2.00,2.00,2.00,301,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3207935,4.00,6.00,2.00,1.00,5.00,4.75,3.00,5.00,3.00,207,NULL,201,'VILA PRUDENTE','S PAULO','SP',14789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207943,5.00,6.00,3.00,7.00,5.00,5.50,4.00,4.00,2.00,425,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3207951,3.00,1.00,2.00,4.00,3.00,NULL,2.00,2.00,1.00,308,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3207978,5.00,5.00,4.00,8.00,6.00,5.50,4.00,8.00,3.00,423,NULL,421,'ENCANO','INDAIAL','SC',7474,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3207986,4.00,1.00,1.00,2.00,0.00,NULL,2.00,2.00,3.00,5,NULL,NULL,'IMIGRANTES','ZORTéA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3208001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'SANTA TEREZINHA','NOVA ANDRADINA','MS',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3208010,5.00,4.00,2.00,7.00,5.00,6.25,4.00,4.00,6.00,103,NULL,NULL,'JARDIM HARMONIA','UMUARAMA','PR',10146,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3208028,6.00,6.00,6.00,8.00,5.00,7.25,6.00,4.00,6.00,215,NULL,216,'REBOUçAS','CURITIBA','PR',3735,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3208036,5.00,8.00,4.00,6.00,6.00,5.75,3.00,6.00,5.00,5,NULL,NULL,'CAMPINAS','S JOSé','SC',7607,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208044,8.00,6.00,3.00,5.00,7.00,5.00,6.00,6.00,7.00,103,NULL,NULL,'BALNEARIO','FLORIANóPOLIS','SC',3486,1181,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208052,6.00,8.00,6.00,7.00,7.00,5.00,4.00,7.00,4.00,5,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',3575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3208060,3.00,4.00,3.00,5.00,4.00,2.25,2.00,5.00,6.00,502,NULL,NULL,'CAIEIRA BARRA SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3208079,8.00,8.00,6.00,9.00,8.00,4.75,5.00,8.00,8.00,207,NULL,201,'CENTRO','CONCóRDIA','SC',666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208087,6.00,7.00,6.00,9.00,7.00,6.25,4.00,8.00,5.00,450,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',2229,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3208095,4.00,6.00,2.00,5.00,3.00,NULL,2.00,4.00,3.00,108,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3208109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,203,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3208117,4.00,1.00,2.00,3.00,2.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208125,4.00,2.00,2.00,6.00,2.00,NULL,4.00,4.00,3.00,207,NULL,212,'INDUSTRIAL','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3208133,4.00,3.00,1.00,6.00,5.00,5.25,2.00,4.00,4.00,104,NULL,NULL,'CENTRO','NOVA ITABERABA','SC',15615,464,NULL,NULL,NULL,NULL,NULL,2,4),(16,3208141,4.00,3.00,2.00,5.00,3.00,NULL,2.00,4.00,1.00,423,NULL,428,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3208150,5.00,4.00,6.00,7.00,4.00,6.00,3.00,4.00,3.00,103,NULL,NULL,'ITACURUBI','FLORIANóPOLIS','SC',10688,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3208168,6.00,6.00,4.00,5.00,5.00,4.25,3.00,4.00,3.00,9,NULL,NULL,'CENTRO','ITUPORANGA','SC',11297,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3208176,3.00,4.00,1.00,4.00,4.00,4.00,3.00,7.00,6.00,233,NULL,214,'TRINDADE','FLORIANóPOLIS','SC',14595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208184,4.00,5.00,3.00,4.00,5.00,5.25,2.00,7.00,3.00,303,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208192,4.00,2.00,2.00,2.00,4.00,NULL,2.00,3.00,3.00,303,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208214,4.00,3.00,2.00,4.00,5.00,5.00,2.00,7.00,3.00,205,NULL,NULL,'INTERIOR','BOM J OESTE','SC',14206,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3208222,3.00,2.00,4.00,7.00,4.00,4.00,1.00,4.00,3.00,215,NULL,233,'KOBRASOL','S JOSé','SC',15592,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3208230,3.00,3.00,1.00,2.00,2.00,NULL,5.00,4.00,2.00,203,NULL,207,'CENTRO','CALMON','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3208257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JD DO LAGO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3208265,2.00,3.00,1.00,3.00,1.00,NULL,3.00,4.00,3.00,501,NULL,NULL,'INTERIOR','CEL MARTINS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3208273,7.00,6.00,2.00,7.00,3.00,NULL,3.00,6.00,6.00,208,NULL,238,'MARAFON','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3208281,1.00,2.00,2.00,6.00,2.00,NULL,3.00,2.00,2.00,319,NULL,NULL,'JARDIM BELA VISTA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3208290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'BORTOT','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3208303,3.00,3.00,2.00,3.00,3.00,NULL,1.00,3.00,3.00,233,NULL,215,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3208320,3.00,3.00,3.00,3.00,1.00,NULL,2.00,4.00,2.00,444,NULL,NULL,'MORRO DOS CONVENTOS','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3208338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,212,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3208346,1.00,4.00,4.00,2.00,4.00,NULL,0.00,4.00,2.00,450,NULL,NULL,'CENTRO','CARLóPOLIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208354,6.00,4.00,2.00,8.00,6.00,7.00,1.00,6.00,3.00,501,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',10079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208362,5.00,5.00,4.00,4.00,3.00,NULL,2.00,2.00,2.00,211,NULL,214,'RIO DO MEIO','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3208370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3208389,5.00,5.00,2.00,0.00,5.00,6.50,4.00,5.00,4.00,333,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',13035,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3208397,5.00,5.00,6.00,8.00,7.00,6.00,4.00,7.00,4.00,216,NULL,201,'COLINA VERDE','VIDEIRA','SC',4273,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3208400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3208419,5.00,7.00,3.00,7.00,8.00,6.00,6.00,9.00,6.00,108,NULL,NULL,'KOBRASOL','S JOSé','SC',3659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208427,5.00,6.00,3.00,4.00,4.00,4.50,2.00,3.00,2.00,444,NULL,NULL,'FORQUILHINHA','S JOSé','SC',15431,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3208435,4.00,4.00,1.00,3.00,6.00,5.25,2.00,5.00,3.00,415,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUá SUL','SC',15167,389,NULL,NULL,NULL,NULL,NULL,4,8),(16,3208443,4.00,4.00,5.00,4.00,7.00,6.25,3.00,7.00,2.00,426,NULL,424,'JOãO PAULO','FLORIANóPOLIS','SC',10375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208451,5.00,6.00,1.00,5.00,5.00,5.25,2.00,3.00,4.00,234,NULL,NULL,'CENTRO','MISSAL','PR',13926,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3208460,4.00,0.00,3.00,3.00,3.00,NULL,3.00,2.00,5.00,339,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208478,3.00,7.00,1.00,5.00,4.00,5.25,2.00,5.00,4.00,102,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',13606,242,NULL,NULL,NULL,NULL,NULL,2,1),(16,3208486,3.00,4.00,4.00,6.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3208494,4.00,4.00,2.00,2.00,4.00,5.25,4.00,3.00,6.00,213,NULL,NULL,'VILA PROGRESSO','JUNDIAí','SP',14734,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3208508,4.00,6.00,2.00,4.00,4.00,4.50,3.00,4.00,7.00,201,NULL,203,'JARDIM DAS COLINAS','S JOSé CAMPOS','SP',11977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208516,4.00,3.00,2.00,2.00,3.00,NULL,1.00,6.00,4.00,108,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3208532,8.00,9.00,3.00,9.00,7.00,7.75,5.00,8.00,6.00,303,NULL,NULL,'ASA NORTE','BRASíLIA','DF',1071,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3208540,6.00,7.00,6.00,9.00,7.00,7.00,5.00,8.00,7.00,220,NULL,203,'SETOR BUENO','GOIâNIA','GO',1144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208559,4.00,4.00,3.00,7.00,4.00,4.25,3.00,6.00,4.00,211,NULL,201,'PIO CORREA','CRICIúMA','SC',11652,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3208567,3.00,8.00,5.00,7.00,5.00,5.50,3.00,5.00,3.00,301,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',8991,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3208583,4.00,7.00,4.00,7.00,7.00,4.25,3.00,8.00,5.00,202,NULL,213,'CENTRO','FLORIANóPOLIS','SC',5095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208591,3.00,5.00,3.00,6.00,6.00,3.00,3.00,5.00,3.00,207,NULL,211,'SANTA CRUZ','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3208605,4.00,1.00,3.00,1.00,3.00,NULL,0.00,2.00,1.00,104,NULL,NULL,'JARDIM AQUáRIUS','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208613,4.00,5.00,3.00,8.00,3.00,NULL,2.00,2.00,4.00,421,NULL,NULL,'SAO LOURENçO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3208621,7.00,6.00,5.00,8.00,6.00,6.25,4.00,7.00,6.00,201,NULL,213,'ESTREITO','FLORIANóPOLIS','SC',4361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208630,5.00,4.00,2.00,6.00,6.00,5.25,1.00,4.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13778,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3208656,2.00,5.00,3.00,8.00,3.00,NULL,4.00,9.00,4.00,201,NULL,203,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3208672,4.00,8.00,5.00,7.00,6.00,7.00,3.00,5.00,6.00,428,NULL,423,'CóRREGOS GRANDE','FLORIANóPOLIS','SC',6304,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3208680,3.00,2.00,2.00,3.00,2.00,NULL,0.00,5.00,3.00,428,NULL,425,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3208699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'PROLONG PALMITAL','MARíLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3208702,2.00,3.00,1.00,3.00,5.00,NULL,1.00,5.00,3.00,234,NULL,NULL,'BAIRRO ENCRUZO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3208710,2.00,1.00,4.00,2.00,3.00,NULL,1.00,3.00,2.00,404,NULL,NULL,'INTERIOR','BOM J OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3208729,3.00,2.00,1.00,4.00,2.00,NULL,3.00,3.00,2.00,308,NULL,NULL,'BELA VISTA I','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3208745,3.00,3.00,1.00,5.00,1.00,NULL,4.00,3.00,2.00,103,NULL,NULL,'LINHA TORRENS','MRO FUMAçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3208753,4.00,5.00,4.00,5.00,3.00,NULL,2.00,8.00,2.00,304,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208761,5.00,3.00,3.00,7.00,3.00,NULL,6.00,8.00,7.00,103,NULL,NULL,'ATUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3208770,3.00,6.00,3.00,6.00,5.00,6.25,4.00,5.00,2.00,213,NULL,212,'CARVOEIRA','FLORIANóPOLIS','SC',11160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208788,5.00,7.00,4.00,8.00,5.00,5.50,3.00,7.00,3.00,207,NULL,201,'CENTRO','S JOAQUIM','SC',7255,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3208800,6.00,7.00,3.00,9.00,7.00,6.00,6.00,8.00,5.00,340,NULL,NULL,'CACUPé','FLORIANóPOLIS','SC',3021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208818,4.00,1.00,2.00,2.00,0.00,NULL,2.00,1.00,3.00,303,NULL,NULL,'VIGOLO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'REBOUçAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3208834,5.00,6.00,2.00,4.00,5.00,6.00,2.00,6.00,5.00,108,NULL,NULL,'FLORESTA','VIDEIRA','SC',12465,282,NULL,NULL,NULL,NULL,NULL,4,7),(16,3208850,4.00,5.00,3.00,4.00,5.00,3.25,2.00,2.00,3.00,429,NULL,425,'JARDIM ELCALIPTOS','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3208869,1.00,1.00,2.00,3.00,2.00,NULL,2.00,5.00,2.00,104,NULL,NULL,'CENTRO','CPO LARGO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3208877,6.00,7.00,2.00,5.00,2.00,NULL,3.00,8.00,5.00,103,NULL,NULL,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3208885,4.00,4.00,6.00,4.00,6.00,5.50,1.00,4.00,6.00,211,NULL,NULL,'CENTRO','CURITIBA','PR',11099,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3208893,4.00,6.00,3.00,5.00,5.00,5.00,3.00,8.00,3.00,233,NULL,238,'JD NS SRA AUXILIADOR','CAMPINAS','SP',9448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3208915,1.00,5.00,1.00,6.00,3.00,NULL,1.00,7.00,2.00,332,NULL,NULL,'CAEIRA SACO LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3208923,3.00,7.00,1.00,4.00,3.00,NULL,3.00,2.00,4.00,501,NULL,NULL,'CENTRO','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3208931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3208940,2.00,3.00,4.00,0.00,3.00,NULL,2.00,2.00,3.00,102,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3208974,1.00,2.00,1.00,2.00,2.00,NULL,1.00,1.00,3.00,203,NULL,207,'COHAB','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3208990,2.00,1.00,4.00,6.00,3.00,NULL,4.00,3.00,3.00,324,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3209008,3.00,6.00,4.00,6.00,5.00,4.00,4.00,5.00,4.00,301,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',12079,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3209016,5.00,4.00,2.00,1.00,6.00,5.00,2.00,5.00,4.00,104,NULL,NULL,'PIO CORREIA','CRICIúMA','SC',15324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209024,6.00,4.00,2.00,2.00,5.00,5.00,2.00,3.00,3.00,207,NULL,201,'ROçADO','S JOSé','SC',15515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,201,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3209040,3.00,3.00,2.00,0.00,2.00,NULL,1.00,4.00,2.00,453,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'SAO FCO DE ASSIS','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3209091,2.00,5.00,1.00,3.00,5.00,4.25,2.00,5.00,3.00,415,NULL,NULL,'JARDIM MARINGá','ITAPEVA','SP',16418,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,201,'SETOR OESTE','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3209113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3209121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'ACARAI','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3209130,1.00,3.00,4.00,2.00,1.00,NULL,3.00,2.00,3.00,201,NULL,207,'MATA VERDE','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3209156,5.00,4.00,3.00,1.00,4.00,4.50,3.00,3.00,3.00,208,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',16667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209180,5.00,5.00,1.00,7.00,5.00,6.00,2.00,6.00,3.00,451,NULL,NULL,'CENTRO','ITAARA','RS',11776,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3209210,5.00,7.00,5.00,7.00,8.00,5.75,2.00,6.00,4.00,215,NULL,212,'CENTRO','FLORIANóPOLIS','SC',6457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3209229,3.00,3.00,3.00,4.00,4.00,NULL,1.00,4.00,1.00,421,NULL,426,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209237,3.00,4.00,1.00,5.00,6.00,5.50,2.00,4.00,2.00,425,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',15727,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3209245,5.00,6.00,4.00,8.00,4.00,6.00,4.00,5.00,5.00,333,NULL,NULL,'VILA ORIENTE','CPO GRANDE','MS',9049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209261,2.00,5.00,4.00,5.00,4.00,6.50,1.00,5.00,3.00,303,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',14027,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3209270,3.00,0.00,3.00,7.00,5.00,5.75,1.00,4.00,4.00,319,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',15692,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3209300,3.00,4.00,2.00,3.00,2.00,NULL,2.00,6.00,3.00,316,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3209318,3.00,1.00,2.00,8.00,4.00,6.50,2.00,4.00,5.00,319,NULL,NULL,'CENTRO','CRUZ ALTA','RS',14653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209326,1.00,6.00,4.00,4.00,4.00,4.75,1.00,4.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',15830,2770,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209350,4.00,7.00,5.00,6.00,5.00,7.25,4.00,7.00,7.00,215,NULL,212,'RESERVA','S SEBASTIãO','SP',4933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209377,3.00,4.00,4.00,4.00,2.00,NULL,3.00,6.00,3.00,220,NULL,238,'GLORIA','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3209385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3209393,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3209407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ORFANS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3209415,8.00,6.00,6.00,6.00,7.00,6.00,4.00,8.00,6.00,340,NULL,NULL,'IRIRIU','JOINVILLE','SC',3029,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3209423,1.00,4.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3209431,5.00,6.00,3.00,8.00,0.00,NULL,2.00,8.00,4.00,332,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209440,7.00,6.00,7.00,6.00,4.00,6.50,4.00,7.00,7.00,220,NULL,213,'BARREIROS','S JOSé','SC',3648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3209458,3.00,5.00,1.00,5.00,6.00,3.25,2.00,8.00,3.00,203,NULL,202,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3209466,5.00,4.00,5.00,7.00,4.00,4.50,3.00,6.00,5.00,220,NULL,208,'INDUSTRIARIOS','CONCóRDIA','SC',8484,349,NULL,229,NULL,NULL,NULL,2,4),(16,3209474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ICARAI','NITERóI','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3209482,6.00,6.00,7.00,6.00,5.00,6.50,6.00,7.00,6.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',3346,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3209490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ARARANGUá','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3209512,3.00,7.00,3.00,7.00,6.00,6.75,3.00,9.00,5.00,103,NULL,NULL,'VILA PEDRINI','JOAçABA','SC',6007,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3209539,4.00,3.00,1.00,6.00,3.00,NULL,0.00,3.00,3.00,216,NULL,215,'W RAU','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3209555,7.00,6.00,5.00,5.00,4.00,7.00,6.00,8.00,8.00,201,NULL,203,'CENTRO','ITAJAí','SC',2781,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3209563,2.00,6.00,2.00,3.00,3.00,NULL,1.00,4.00,3.00,404,NULL,NULL,'CENTRO','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3209571,5.00,4.00,2.00,8.00,4.00,5.25,2.00,5.00,6.00,301,NULL,NULL,'NOSSA SENHORA APAREC','FRANCISCO BELTRãO','PR',10317,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3209580,2.00,2.00,3.00,6.00,1.00,NULL,2.00,2.00,4.00,102,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3209598,7.00,5.00,5.00,6.00,6.00,5.75,2.00,7.00,3.00,202,NULL,238,'ITACORUBI','FLORIANóPOLIS','SC',8121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SãO MARTINHO','TUBARãO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3209610,6.00,2.00,2.00,5.00,7.00,4.50,3.00,5.00,5.00,108,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',12543,284,NULL,NULL,NULL,NULL,NULL,2,1),(16,3209636,4.00,2.00,1.00,2.00,2.00,NULL,0.00,0.00,1.00,452,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209644,6.00,6.00,6.00,8.00,6.00,7.00,4.00,5.00,5.00,108,NULL,NULL,'VILA ALEMANHA','LUZERNA','SC',4911,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3209652,8.00,7.00,4.00,7.00,7.00,4.25,3.00,8.00,5.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',5453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209660,7.00,7.00,4.00,5.00,6.00,6.50,4.00,6.00,6.00,5,NULL,NULL,'JARDIM DAS PALMEIRAS','COCAL SUL','SC',5092,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3209679,7.00,7.00,8.00,8.00,8.00,6.50,7.00,7.00,9.00,103,NULL,NULL,'ASA NORTE','BRASILIA','DF',364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,425,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3209695,4.00,2.00,2.00,1.00,3.00,NULL,3.00,2.00,4.00,425,NULL,429,'SANGA DA TOCA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3209709,4.00,5.00,3.00,7.00,5.00,4.50,5.00,7.00,4.00,316,NULL,NULL,'PASSA VINTE','PALHOçA','SC',10625,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3209717,3.00,7.00,4.00,7.00,8.00,7.00,3.00,7.00,5.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',6409,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3209725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ALTOS DE IPEUNA','IPEúNA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3209733,4.00,5.00,2.00,6.00,3.00,NULL,3.00,4.00,5.00,420,NULL,NULL,'ARMAçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3209741,3.00,7.00,1.00,1.00,3.00,NULL,2.00,3.00,2.00,503,NULL,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'MORADA DO SOL','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3209776,3.00,3.00,3.00,2.00,2.00,NULL,3.00,4.00,2.00,301,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209784,3.00,3.00,4.00,9.00,4.00,4.75,3.00,5.00,3.00,225,NULL,NULL,'ROçADO','S JOSé','SC',12024,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3209806,3.00,6.00,4.00,8.00,5.00,5.00,3.00,7.00,7.00,220,NULL,213,'ÁGUA SECA','PIRACICABA','SP',6802,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3209814,4.00,3.00,5.00,3.00,7.00,6.00,2.00,3.00,3.00,452,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',14078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209822,5.00,5.00,1.00,7.00,9.00,8.00,2.00,2.00,2.00,428,NULL,424,'SACO DOS LIMOES','FLORIANóPOLIS','SC',11613,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3209857,9.00,6.00,7.00,8.00,8.00,7.00,8.00,8.00,9.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3209865,5.00,7.00,1.00,8.00,5.00,8.00,3.00,8.00,4.00,302,NULL,NULL,'FLORIANÓPOLIS','FLORIANóPOLIS','SC',6185,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3209873,4.00,6.00,2.00,8.00,6.00,7.00,3.00,4.00,2.00,208,NULL,238,'TRINDADE','FLORIANóPOLIS','SC',11076,348,NULL,319,NULL,NULL,NULL,4,1),(16,3209881,7.00,6.00,5.00,8.00,6.00,7.00,5.00,7.00,8.00,103,NULL,NULL,'JARDIM ATâNTICO','FLORIANóPOLIS','SC',1632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209890,5.00,5.00,5.00,6.00,6.00,5.75,5.00,5.00,5.00,203,NULL,214,'PANTANAL','FLORIANóPOLIS','SC',7570,599,NULL,262,NULL,NULL,NULL,2,1),(16,3209903,0.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3209911,2.00,3.00,5.00,6.00,2.00,NULL,3.00,3.00,3.00,234,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3209920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM YOLANDA','S JOSé R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3209946,4.00,4.00,1.00,4.00,5.00,5.25,3.00,2.00,4.00,3,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209954,6.00,8.00,6.00,6.00,6.00,5.50,3.00,7.00,8.00,212,NULL,233,'SEMINáRIO','CHAPECó','SC',4051,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3209962,4.00,3.00,1.00,3.00,4.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3209970,5.00,5.00,4.00,2.00,4.00,5.00,1.00,5.00,4.00,202,NULL,213,'CENTRO','GAROPABA','SC',14620,492,NULL,257,NULL,NULL,NULL,4,1),(16,3209997,4.00,3.00,8.00,8.00,6.00,5.25,5.00,5.00,4.00,220,NULL,203,'JD AQUARIUS','S JOSé CAMPOS','SP',6522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210006,6.00,8.00,7.00,6.00,7.00,5.75,4.00,6.00,5.00,333,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',3014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3210022,4.00,5.00,2.00,5.00,3.00,NULL,4.00,7.00,7.00,103,NULL,NULL,'JARDIM DOS PRINCIPES','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210057,7.00,4.00,4.00,8.00,6.00,6.75,6.00,3.00,8.00,103,NULL,NULL,'MONTE LIBANO','CPO GRANDE','MS',5018,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210065,8.00,4.00,4.00,7.00,6.00,5.75,3.00,4.00,4.00,104,NULL,NULL,'MARIA GORETTI','CHAPECó','SC',8813,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3210073,4.00,2.00,2.00,4.00,1.00,NULL,2.00,3.00,2.00,108,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210090,1.00,1.00,3.00,0.00,3.00,NULL,0.00,2.00,3.00,308,NULL,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CHACARA CACHOEIRA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3210111,3.00,4.00,3.00,4.00,6.00,6.00,2.00,3.00,3.00,207,NULL,201,'SAMBAQUI','FLORIANóPOLIS','SC',14869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210120,5.00,4.00,1.00,3.00,6.00,4.50,2.00,5.00,5.00,415,NULL,NULL,'CENTRO','LONDRINA','PR',13896,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3210146,2.00,1.00,3.00,4.00,2.00,NULL,3.00,4.00,3.00,301,NULL,NULL,'CENTRO','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,427,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3210162,2.00,1.00,1.00,2.00,3.00,NULL,1.00,2.00,3.00,319,NULL,NULL,'GUARDA DO CUBATãO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210170,7.00,8.00,6.00,6.00,6.00,5.75,5.00,6.00,5.00,104,NULL,NULL,'CENTRO','CRICIúMA','SC',3397,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3210189,6.00,6.00,6.00,9.00,7.00,5.75,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3210197,6.00,5.00,5.00,3.00,7.00,5.25,5.00,6.00,7.00,211,NULL,216,'PIRABEIRABA','JOINVILLE','SC',5673,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3210200,4.00,4.00,2.00,10.00,3.00,NULL,3.00,4.00,4.00,207,NULL,201,'VILA PROOST DE SOUZA','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3210243,7.00,6.00,3.00,7.00,5.00,6.00,2.00,7.00,5.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',7579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210251,5.00,5.00,3.00,3.00,7.00,6.00,3.00,6.00,6.00,103,NULL,NULL,'RIO FARIAS','ANTôNIO CARLOS','SC',9469,2173,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210260,5.00,3.00,3.00,7.00,5.00,4.00,4.00,4.00,3.00,102,NULL,NULL,'WILSON','SANTANA LIVRAMENTO','RS',13222,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210278,3.00,1.00,2.00,5.00,1.00,NULL,2.00,4.00,2.00,316,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210286,4.00,5.00,1.00,8.00,6.00,6.50,4.00,6.00,3.00,426,NULL,429,'FORQUILHINHAS','S JOSé','SC',10982,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210294,5.00,3.00,4.00,6.00,4.00,6.75,2.00,3.00,4.00,104,NULL,NULL,'CENTRO','S LOURENçO OESTE','SC',14014,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210308,4.00,2.00,1.00,0.00,2.00,NULL,1.00,2.00,5.00,103,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210316,5.00,8.00,5.00,5.00,4.00,6.25,4.00,7.00,4.00,104,NULL,NULL,'CENTRO','LAGES','SC',5772,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3210324,5.00,0.00,1.00,4.00,1.00,NULL,3.00,1.00,3.00,9,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210332,8.00,8.00,8.00,8.00,7.00,5.25,8.00,7.00,8.00,104,NULL,NULL,'CENTRO','LAGES','SC',641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210340,5.00,3.00,1.00,3.00,3.00,NULL,2.00,3.00,4.00,318,NULL,NULL,'PROGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3210367,4.00,5.00,2.00,5.00,3.00,NULL,2.00,6.00,5.00,202,NULL,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210375,3.00,4.00,2.00,7.00,3.00,NULL,2.00,6.00,3.00,329,NULL,NULL,'ENGENHO BRAUM','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3210383,2.00,3.00,3.00,6.00,2.00,NULL,1.00,1.00,6.00,203,NULL,238,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3210391,4.00,5.00,3.00,5.00,5.00,5.75,1.00,6.00,5.00,319,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',12478,254,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210405,3.00,4.00,2.00,0.00,4.00,NULL,1.00,1.00,1.00,211,NULL,208,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210413,5.00,5.00,2.00,2.00,3.00,NULL,2.00,7.00,1.00,220,NULL,214,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210421,3.00,5.00,4.00,6.00,6.00,6.50,4.00,6.00,3.00,213,NULL,214,'VILA NOVA','BLUMENAU','SC',10063,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3210448,6.00,9.00,4.00,9.00,7.00,6.25,4.00,8.00,5.00,453,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',2496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210456,6.00,5.00,4.00,7.00,6.00,8.50,5.00,4.00,4.00,301,NULL,NULL,'PARQUE SãO JORGE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210464,4.00,6.00,4.00,8.00,4.00,4.00,2.00,4.00,3.00,202,NULL,220,'GUARDA DO CUBATãO','PALHOçA','SC',12126,429,NULL,450,NULL,NULL,NULL,2,1),(16,3210472,6.00,5.00,4.00,8.00,7.00,6.00,1.00,8.00,4.00,207,NULL,201,'CENTRO','BRUSQUE','SC',5672,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3210499,0.00,0.00,0.00,6.00,2.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3210502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'AMéRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3210510,5.00,5.00,1.00,7.00,5.00,5.25,1.00,6.00,1.00,317,NULL,NULL,'IMIGRANTE','TURVO','SC',13221,113,NULL,NULL,NULL,NULL,NULL,2,5),(16,3210529,6.00,7.00,5.00,7.00,6.00,4.50,3.00,5.00,5.00,318,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210537,5.00,4.00,2.00,3.00,6.00,5.75,3.00,5.00,3.00,9,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',14343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210545,2.00,1.00,2.00,3.00,3.00,NULL,2.00,4.00,1.00,5,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210553,1.00,5.00,2.00,6.00,5.00,5.00,2.00,6.00,1.00,102,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',15416,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210561,3.00,5.00,4.00,5.00,5.00,6.25,3.00,4.00,6.00,404,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',10873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210570,4.00,6.00,4.00,7.00,5.00,6.75,1.00,6.00,4.00,103,NULL,NULL,'REAL PARQUE','S JOSé','SC',8622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210596,2.00,4.00,2.00,6.00,5.00,5.00,2.00,4.00,4.00,324,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',15082,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210600,6.00,6.00,5.00,9.00,6.00,4.00,5.00,7.00,6.00,202,NULL,213,'COQUEIROS','FLORIANóPOLIS','SC',3910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210618,3.00,3.00,1.00,4.00,5.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'ALVORADA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3210626,6.00,7.00,6.00,8.00,7.00,5.50,6.00,7.00,6.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210634,8.00,8.00,8.00,8.00,6.00,7.00,4.00,7.00,8.00,220,NULL,202,'CóRREGO GRANDE','FLORIANóPOLIS','SC',924,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3210642,9.00,9.00,5.00,9.00,7.00,6.00,5.00,5.00,8.00,203,NULL,201,'BOSQUE DAS MANSõES','S JOSé','SC',1292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210650,5.00,4.00,4.00,2.00,6.00,3.25,3.00,5.00,3.00,220,NULL,203,'CENTRO','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3210669,5.00,7.00,4.00,8.00,7.00,4.50,3.00,6.00,4.00,225,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6309,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210677,2.00,5.00,1.00,6.00,4.00,NULL,2.00,3.00,2.00,203,NULL,202,'APARECIDA','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3210685,4.00,3.00,1.00,0.00,3.00,NULL,1.00,2.00,2.00,203,NULL,214,'INTERIOR','ANCHIETA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3210693,4.00,4.00,1.00,2.00,4.00,NULL,1.00,5.00,3.00,303,NULL,NULL,'NOVA FAZENDA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3210707,3.00,1.00,1.00,4.00,2.00,NULL,2.00,3.00,2.00,319,NULL,NULL,'SAGARADO CORAçãO J','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3210715,3.00,4.00,4.00,7.00,3.00,NULL,2.00,5.00,3.00,501,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210723,5.00,6.00,4.00,7.00,4.00,5.50,4.00,6.00,5.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7592,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210731,8.00,6.00,5.00,5.00,5.00,4.75,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',3527,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210740,2.00,2.00,1.00,1.00,2.00,NULL,4.00,3.00,3.00,501,NULL,NULL,'MORRO SANTANA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210766,5.00,4.00,4.00,4.00,4.00,4.00,3.00,3.00,1.00,201,NULL,212,'JARDIM TROPICAL','OURINHOS','SP',16018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210774,3.00,5.00,3.00,7.00,5.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,9),(16,3210790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'VILA LIZABEL','CRUZ ALTA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3210804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','MONTENEGRO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3210812,7.00,7.00,5.00,4.00,6.00,6.75,4.00,5.00,6.00,108,NULL,NULL,'SãO JOãO','ITAJAí','SC',4897,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3210820,6.00,6.00,6.00,7.00,5.00,6.50,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',2889,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3210839,5.00,4.00,3.00,5.00,4.00,4.25,2.00,2.00,4.00,102,NULL,NULL,'BELA VISTA I','S JOSé','SC',16364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210847,3.00,2.00,2.00,2.00,3.00,NULL,2.00,5.00,1.00,201,NULL,212,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210855,4.00,4.00,2.00,3.00,3.00,NULL,5.00,5.00,4.00,453,NULL,NULL,'CENTRO','LONTRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3210863,7.00,6.00,5.00,4.00,5.00,5.50,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6077,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3210871,4.00,4.00,6.00,7.00,5.00,4.50,2.00,5.00,4.00,103,NULL,NULL,'LINDóIA','CURITIBA','PR',9717,2195,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210880,2.00,3.00,2.00,2.00,4.00,5.50,3.00,6.00,4.00,216,NULL,203,'CENTRO','TAQUARUçU SUL','RS',16169,495,NULL,922,NULL,NULL,NULL,2,4),(16,3210898,5.00,5.00,4.00,6.00,6.00,6.00,4.00,6.00,3.00,303,NULL,NULL,'SAGUAçU','JOINVILLE','SC',10105,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3210901,4.00,6.00,1.00,6.00,6.00,4.50,4.00,5.00,3.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13286,272,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210910,7.00,7.00,7.00,7.00,5.00,6.50,3.00,7.00,7.00,201,NULL,207,'PALMITAL','CHAPECó','SC',3183,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3210936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'JARDIM ESPERANçA','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3210944,6.00,5.00,4.00,8.00,5.00,5.50,3.00,5.00,3.00,309,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',9120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210952,3.00,7.00,3.00,6.00,5.00,6.00,5.00,3.00,2.00,103,NULL,NULL,'SANTO ANTôNIO','JOINVILLE','SC',12440,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3210960,5.00,6.00,2.00,7.00,6.00,4.25,3.00,7.00,4.00,502,NULL,NULL,'CAMPINAS','S JOSé','SC',9684,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210979,3.00,5.00,4.00,6.00,4.00,6.00,3.00,4.00,3.00,303,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3210987,4.00,6.00,5.00,5.00,4.00,5.50,3.00,5.00,4.00,316,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',9772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3210995,8.00,7.00,4.00,6.00,8.00,5.50,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','XANXERê','SC',3128,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3211002,7.00,6.00,6.00,9.00,7.00,7.50,7.00,5.00,8.00,203,NULL,202,'TRINDADE','FLORIANóPOLIS','SC',1641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,238,'VILA VELHA','PALMEIRA MISSõES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3211029,4.00,7.00,2.00,8.00,6.00,4.00,2.00,7.00,5.00,216,NULL,202,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3211037,2.00,5.00,2.00,7.00,4.00,4.75,2.00,5.00,3.00,103,NULL,NULL,'UNIVERSITáRIO','LAGES','SC',14855,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3211045,3.00,7.00,4.00,8.00,5.00,6.50,3.00,9.00,4.00,328,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',6150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211053,2.00,7.00,2.00,4.00,3.00,NULL,4.00,4.00,4.00,444,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211061,7.00,6.00,6.00,8.00,6.00,5.75,5.00,7.00,7.00,301,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',2951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211070,4.00,2.00,5.00,6.00,8.00,4.00,2.00,6.00,5.00,425,NULL,423,'CAMPINAS','S JOSé','SC',9577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211096,3.00,3.00,6.00,7.00,4.00,4.75,1.00,5.00,5.00,214,NULL,201,'CENTRO','MAL CâNDIDO RONDON','PR',10628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211100,5.00,6.00,4.00,3.00,3.00,NULL,2.00,7.00,4.00,102,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3211118,2.00,3.00,2.00,8.00,4.00,5.50,2.00,6.00,5.00,216,NULL,233,'PRAIA COMPRIDA','S JOSé','SC',12565,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211126,5.00,5.00,4.00,8.00,6.00,6.00,3.00,7.00,3.00,5,NULL,NULL,'CRUZEIRO DO SUL','CRICIúMA','SC',8081,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3211142,8.00,6.00,4.00,7.00,5.00,5.50,3.00,7.00,5.00,301,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',5677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211150,7.00,8.00,7.00,9.00,9.00,5.75,7.00,8.00,6.00,3,NULL,NULL,'SAN CONRADO','CAMPINAS','SP',681,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3211169,3.00,4.00,2.00,4.00,5.00,6.00,4.00,3.00,4.00,453,NULL,NULL,'POçO RICO','OTACíLIO COSTA','SC',14817,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3211177,3.00,4.00,1.00,5.00,3.00,NULL,3.00,6.00,3.00,207,NULL,201,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211185,1.00,2.00,3.00,2.00,2.00,NULL,3.00,3.00,2.00,444,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'RITA LUCRÉCIA PINTO','CRUZEIRO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3211207,4.00,3.00,3.00,3.00,3.00,NULL,3.00,4.00,2.00,208,NULL,238,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211215,6.00,4.00,4.00,4.00,5.00,NULL,0.00,0.00,0.00,208,NULL,238,'FUNDOS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211223,0.00,1.00,1.00,1.00,3.00,NULL,0.00,3.00,2.00,5,NULL,NULL,'INTERIOR','ARABUTã','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3211231,5.00,3.00,2.00,8.00,5.00,6.00,2.00,6.00,2.00,415,NULL,NULL,'VILA NOVA','IMBITUBA','SC',11485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211240,4.00,3.00,2.00,5.00,5.00,5.00,2.00,4.00,5.00,404,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',14293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3211266,2.00,4.00,2.00,3.00,1.00,NULL,1.00,3.00,3.00,331,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211274,1.00,4.00,2.00,5.00,4.00,4.00,1.00,3.00,5.00,234,NULL,NULL,'VARGEN DO BOM JESUS','FLORIANóPOLIS','SC',16694,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211282,6.00,7.00,4.00,8.00,7.00,6.50,4.00,7.00,7.00,207,NULL,201,'NOSSA SR DE LURDES','CAMPOS NOVOS','SC',2843,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3211290,5.00,6.00,4.00,6.00,3.00,NULL,3.00,5.00,3.00,318,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211304,9.00,6.00,8.00,9.00,8.00,6.50,6.00,9.00,8.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,207,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3211320,2.00,5.00,2.00,5.00,6.00,5.00,2.00,6.00,5.00,444,NULL,NULL,'RIO PINHEIROS','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3211339,8.00,8.00,8.00,9.00,8.00,4.50,6.00,7.00,7.00,216,NULL,220,'CENTRO','CRICIúMA','SC',688,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3211347,2.00,3.00,3.00,2.00,2.00,NULL,0.00,2.00,1.00,203,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211355,3.00,3.00,4.00,1.00,4.00,4.50,3.00,5.00,2.00,202,NULL,203,'FARROUPILHA','VIDEIRA','SC',16366,541,NULL,927,NULL,NULL,NULL,4,7),(16,3211363,7.00,5.00,7.00,9.00,5.00,5.25,6.00,7.00,8.00,208,NULL,202,'CENTRO','CASCAVEL','PR',2102,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3211371,3.00,4.00,4.00,0.00,3.00,NULL,2.00,1.00,5.00,102,NULL,NULL,'SãO JOSé','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211398,5.00,4.00,6.00,7.00,7.00,5.00,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3211401,6.00,4.00,2.00,6.00,5.00,4.75,2.00,3.00,3.00,203,NULL,214,'CONTA DINHEIRO','LAGES','SC',13470,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3211410,7.00,5.00,4.00,7.00,5.00,7.75,4.00,6.00,1.00,310,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3211428,3.00,4.00,3.00,1.00,2.00,NULL,2.00,3.00,4.00,301,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211436,3.00,3.00,4.00,3.00,4.00,4.50,4.00,3.00,2.00,333,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',16501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211444,3.00,5.00,5.00,6.00,6.00,6.75,3.00,7.00,4.00,201,NULL,207,'PRESIDENTE KENNEDY','APUCARANA','PR',7956,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3211452,3.00,3.00,1.00,5.00,6.00,5.50,1.00,5.00,3.00,207,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211460,5.00,5.00,3.00,6.00,5.00,4.75,2.00,5.00,5.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10549,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211479,3.00,4.00,3.00,8.00,4.00,6.50,2.00,5.00,3.00,420,NULL,NULL,'DAS NAçõES','TIMBó','SC',12802,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3211487,6.00,6.00,6.00,7.00,6.00,5.75,5.00,7.00,7.00,108,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',3233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211495,4.00,3.00,2.00,1.00,3.00,NULL,3.00,4.00,4.00,501,NULL,NULL,'ALTO PEREQUE','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3211509,4.00,6.00,3.00,8.00,6.00,7.00,3.00,7.00,4.00,318,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',5880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211517,2.00,6.00,6.00,7.00,6.00,4.50,3.00,4.00,4.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211533,6.00,6.00,4.00,7.00,4.00,4.75,2.00,8.00,5.00,333,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',7386,62,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211541,6.00,6.00,5.00,1.00,7.00,5.00,4.00,6.00,4.00,214,NULL,NULL,'BARREIROS','SAO JOSE','SC',9195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3211568,0.00,0.00,0.00,8.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM LEBLON','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(16,3211576,4.00,2.00,1.00,2.00,1.00,NULL,2.00,4.00,3.00,420,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211584,4.00,6.00,4.00,8.00,7.00,7.00,2.00,7.00,6.00,102,NULL,NULL,'SCHRAMM','S BENTO SUL','SC',5042,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3211592,4.00,4.00,1.00,5.00,2.00,NULL,2.00,4.00,3.00,329,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211606,4.00,5.00,1.00,3.00,3.00,NULL,5.00,3.00,5.00,5,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211614,7.00,6.00,5.00,7.00,6.00,5.50,7.00,9.00,5.00,203,NULL,214,'COSTA E SILVA','JOINVILLE','SC',2272,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3211622,7.00,6.00,8.00,9.00,7.00,6.25,7.00,9.00,6.00,103,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211649,3.00,5.00,2.00,7.00,6.00,5.50,3.00,6.00,2.00,319,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',11379,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211657,6.00,2.00,3.00,6.00,2.00,NULL,3.00,3.00,1.00,420,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211665,4.00,5.00,2.00,8.00,5.00,4.50,2.00,5.00,4.00,427,NULL,424,'LAGOA DA CONCEICAO','FLORIANóPOLIS','SC',12430,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3211673,4.00,4.00,2.00,6.00,6.00,6.00,2.00,4.00,3.00,302,NULL,NULL,'UNIVERSITáRIO','TIJUCAS','SC',13211,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211681,4.00,5.00,3.00,9.00,4.00,4.50,3.00,7.00,1.00,208,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211690,2.00,3.00,2.00,3.00,5.00,NULL,3.00,3.00,3.00,9,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3211703,2.00,4.00,1.00,1.00,5.00,4.25,1.00,6.00,4.00,201,NULL,202,'JARDIM AMéRICA','ITUPORANGA','SC',16499,1263,NULL,544,NULL,NULL,NULL,4,2),(16,3211711,5.00,3.00,3.00,8.00,4.00,4.75,2.00,3.00,5.00,207,NULL,202,'CENTRO','FLORIANóPOLIS','SC',12978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211720,5.00,4.00,3.00,4.00,6.00,6.00,2.00,7.00,3.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211738,4.00,4.00,2.00,3.00,3.00,NULL,1.00,2.00,4.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211746,4.00,1.00,2.00,7.00,1.00,NULL,0.00,0.00,4.00,308,NULL,NULL,'ARMACAO DO PANTANO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211754,6.00,4.00,3.00,4.00,4.00,5.00,3.00,4.00,4.00,208,NULL,238,'CAMPINAS','S JOSé','SC',14199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211762,3.00,2.00,2.00,5.00,5.00,5.25,3.00,4.00,3.00,108,NULL,NULL,'JARDIM MEDITERRANEO','LIMEIRA','SP',16006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211770,4.00,6.00,2.00,7.00,4.00,6.25,3.00,8.00,1.00,5,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',11391,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211789,5.00,6.00,4.00,5.00,6.00,6.50,4.00,3.00,4.00,211,NULL,212,'CAMPECHE','FLORIANóPOLIS','SC',10820,360,NULL,315,NULL,NULL,NULL,2,1),(16,3211797,2.00,3.00,3.00,5.00,2.00,NULL,1.00,1.00,3.00,501,NULL,NULL,'PARQUE SãO QUIRINO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211800,7.00,8.00,3.00,7.00,4.00,6.50,5.00,3.00,5.00,104,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',6118,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211819,4.00,7.00,2.00,5.00,5.00,5.00,2.00,3.00,3.00,203,NULL,220,'TRINDADE','FLORIANóPOLIS','SC',14201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211827,4.00,5.00,6.00,7.00,6.00,5.25,4.00,7.00,3.00,429,NULL,NULL,'CENTRO','S JOSé','SC',7091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211835,5.00,7.00,2.00,9.00,5.00,6.00,3.00,8.00,4.00,333,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',6066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211843,3.00,8.00,6.00,6.00,2.00,NULL,5.00,6.00,6.00,203,NULL,220,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3211851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3211878,3.00,8.00,3.00,8.00,8.00,9.25,1.00,8.00,3.00,421,NULL,427,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',5706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211886,4.00,5.00,3.00,7.00,5.00,6.25,4.00,6.00,4.00,215,NULL,201,'CENTENáRIO','LAGES','SC',8863,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3211908,3.00,3.00,1.00,5.00,4.00,4.00,3.00,4.00,3.00,340,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',16627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211916,6.00,7.00,6.00,7.00,7.00,5.25,3.00,9.00,6.00,104,NULL,NULL,'RODEIO DOZE','RODEIO','SC',3418,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3211924,3.00,4.00,2.00,5.00,4.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'MACIAMBú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3211932,3.00,2.00,4.00,2.00,4.00,NULL,2.00,3.00,2.00,453,NULL,NULL,'JURERE TRADICIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211959,5.00,3.00,1.00,9.00,7.00,6.75,3.00,6.00,4.00,328,NULL,NULL,'INTERIOR','CRUZEIRO SUL','RS',9988,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3211975,3.00,6.00,2.00,4.00,6.00,4.00,2.00,7.00,4.00,444,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',13350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3211983,5.00,5.00,6.00,8.00,5.00,6.25,4.00,7.00,6.00,103,NULL,NULL,'COMERCIARIO','CRICIúMA','SC',4726,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3212009,8.00,4.00,4.00,8.00,6.00,6.25,4.00,6.00,5.00,207,NULL,211,'SANTA TEREZINHA','ITU','SP',4345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212017,4.00,5.00,3.00,7.00,5.00,4.50,2.00,5.00,3.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',13694,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212033,3.00,5.00,1.00,4.00,6.00,4.00,2.00,7.00,2.00,202,NULL,201,'VILA NOVA','ILHOTA','SC',14894,501,NULL,1150,NULL,NULL,NULL,4,6),(16,3212041,1.00,2.00,4.00,5.00,4.00,3.25,3.00,4.00,3.00,201,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212050,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,238,NULL,208,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(16,3212068,2.00,4.00,2.00,2.00,6.00,NULL,3.00,3.00,3.00,333,NULL,NULL,'HUMAITá DE CIMA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3212084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VILA APARECIDA','ITAPEVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3212106,2.00,2.00,1.00,2.00,0.00,NULL,1.00,1.00,2.00,102,NULL,NULL,'CENTRO','BELMONTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3212122,5.00,7.00,5.00,6.00,6.00,6.00,3.00,8.00,5.00,420,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',4832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TUTUNAS','UBERABA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3212149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','AVARé','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3212157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'SANTO ANTONIO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3212165,6.00,5.00,5.00,3.00,6.00,5.75,3.00,7.00,7.00,234,NULL,NULL,'SANTA ISABEL','FORQUILHINHA','SC',6597,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3212173,3.00,6.00,4.00,8.00,6.00,0.00,1.00,4.00,4.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212181,1.00,4.00,3.00,3.00,5.00,4.50,5.00,5.00,2.00,339,NULL,NULL,'PALHOÇA','PALHOçA','SC',16194,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212190,3.00,1.00,3.00,2.00,3.00,NULL,1.00,3.00,0.00,5,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212203,5.00,7.00,5.00,8.00,7.00,6.00,4.00,8.00,6.00,5,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',3196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212211,4.00,3.00,3.00,5.00,5.00,4.75,4.00,5.00,5.00,201,NULL,202,'SERRARIA','S JOSé','SC',12839,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3212238,6.00,7.00,4.00,5.00,7.00,4.50,4.00,6.00,4.00,201,NULL,212,'BELA VISTA I','S JOSé','SC',6829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212254,4.00,5.00,3.00,1.00,5.00,NULL,3.00,2.00,2.00,301,NULL,NULL,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212262,8.00,8.00,5.00,8.00,6.00,6.25,6.00,8.00,6.00,5,NULL,NULL,'JARDIM ITú SABARá','PTO ALEGRE','RS',1457,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3212270,2.00,5.00,5.00,5.00,4.00,4.25,4.00,6.00,3.00,303,NULL,NULL,'CENTRO','LAGES','SC',13528,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3212289,0.00,0.00,0.00,6.00,6.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3212297,5.00,5.00,5.00,8.00,4.00,4.50,4.00,7.00,3.00,201,NULL,215,'JARDIM MARISTELA','CRICIúMA','SC',8888,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3212300,1.00,3.00,3.00,3.00,3.00,NULL,3.00,3.00,2.00,333,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212319,2.00,6.00,2.00,4.00,1.00,NULL,3.00,4.00,2.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JURERE INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3212335,4.00,5.00,3.00,1.00,4.00,5.25,3.00,3.00,6.00,202,NULL,NULL,'SANTA CATARINA','CAçADOR','SC',15281,515,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212343,4.00,5.00,4.00,6.00,6.00,4.75,2.00,6.00,4.00,303,NULL,NULL,'CENTRO','TUBARãO','SC',11261,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3212351,6.00,3.00,2.00,4.00,2.00,NULL,2.00,5.00,5.00,201,NULL,208,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212360,3.00,3.00,1.00,3.00,4.00,4.50,2.00,5.00,3.00,214,NULL,207,'CENTRO','FLORIANóPOLIS','SC',16611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212378,4.00,4.00,5.00,3.00,3.00,NULL,4.00,7.00,3.00,333,NULL,NULL,'CENTRO','POUSO ALEGRE','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212386,3.00,4.00,2.00,5.00,4.00,4.00,4.00,5.00,3.00,211,NULL,220,'VILLAGE PAINEIRAS','PINDAMONHANGABA','SP',14627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212394,5.00,4.00,4.00,6.00,4.00,5.75,1.00,7.00,5.00,104,NULL,NULL,'SANTA ROSA','CUIABá','MT',10321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212408,5.00,5.00,2.00,3.00,5.00,5.25,2.00,6.00,3.00,501,NULL,NULL,'CENTRO','PTO ALEGRE','RS',13616,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212416,5.00,7.00,5.00,6.00,8.00,7.00,5.00,6.00,5.00,207,NULL,201,'AMéRICA','JOINVILLE','SC',4053,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3212424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SãO PELEGRINO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3212432,6.00,6.00,5.00,6.00,8.00,6.75,2.00,7.00,7.00,207,NULL,201,'ANDORINHA','ITAPEMA','SC',3975,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3212440,4.00,3.00,3.00,6.00,7.00,6.00,3.00,4.00,3.00,309,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13133,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212459,3.00,6.00,3.00,6.00,5.00,5.50,2.00,0.00,4.00,201,NULL,212,'ITOUPAVA NORTE','BLUMENAU','SC',14561,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3212467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'TROMBINE','RIO BRILHANTE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3212475,2.00,4.00,2.00,2.00,3.00,NULL,1.00,4.00,3.00,238,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212483,3.00,2.00,2.00,3.00,3.00,NULL,3.00,2.00,5.00,340,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3212505,5.00,4.00,5.00,4.00,3.00,NULL,4.00,4.00,4.00,102,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212513,7.00,6.00,7.00,7.00,7.00,5.25,3.00,6.00,6.00,211,NULL,216,'CENTRO','LAGES','SC',3817,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3212521,4.00,1.00,4.00,5.00,4.00,4.50,3.00,4.00,3.00,102,NULL,NULL,'REAL PARQUE','S JOSé','SC',15936,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212530,5.00,8.00,5.00,6.00,4.00,4.75,1.00,7.00,4.00,302,NULL,NULL,'ITACORUBI','FLORIANOPOLIS','SC',9879,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212548,3.00,5.00,2.00,8.00,5.00,7.50,3.00,6.00,2.00,303,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',11210,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212556,7.00,4.00,5.00,6.00,6.00,6.25,3.00,7.00,5.00,301,NULL,NULL,'CENTRO','CRICIúMA','SC',6760,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3212564,3.00,4.00,3.00,4.00,5.00,5.00,4.00,5.00,5.00,303,NULL,NULL,'CENTRO','TIJUCAS','SC',12662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'ILHA DA FIGUEIRA','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3212580,7.00,4.00,6.00,8.00,6.00,6.50,4.00,4.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',4831,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212599,2.00,6.00,5.00,6.00,6.00,6.50,3.00,6.00,5.00,203,NULL,233,'SCHRAMM','S BENTO SUL','SC',7682,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3212602,3.00,3.00,1.00,7.00,5.00,6.00,3.00,3.00,6.00,502,NULL,NULL,'BELA VISTA','CANOAS','RS',12415,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212610,9.00,7.00,7.00,7.00,8.00,7.00,7.00,7.00,9.00,103,NULL,NULL,'JD JAPãO','S PAULO','SP',423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'AREIAS DE CIMA','BIGUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3212637,2.00,1.00,1.00,5.00,2.00,NULL,3.00,4.00,3.00,104,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3212645,7.00,6.00,5.00,8.00,7.00,4.00,5.00,7.00,6.00,202,NULL,213,'COLONINIHA','FLORIANóPOLIS','SC',3865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212653,3.00,4.00,1.00,8.00,3.00,NULL,2.00,5.00,3.00,501,NULL,NULL,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212661,4.00,4.00,1.00,6.00,3.00,NULL,1.00,7.00,2.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212670,4.00,7.00,3.00,7.00,8.00,4.50,5.00,8.00,4.00,316,NULL,NULL,'CRUZEIRO','RIO NEGRINHO','SC',6130,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212688,8.00,7.00,6.00,1.00,4.00,5.75,2.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6691,1788,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212696,6.00,9.00,9.00,4.00,8.00,8.50,7.00,8.00,6.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212718,5.00,6.00,1.00,4.00,5.00,4.25,2.00,6.00,2.00,326,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',14832,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3212726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'CENTRO','SANGãO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3212734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SãO CRISTãOVãO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3212742,5.00,8.00,3.00,8.00,8.00,5.25,2.00,8.00,4.00,415,NULL,NULL,'JARDIM AEROPORTO III','FRANCA','SP',5419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212750,3.00,2.00,2.00,3.00,3.00,NULL,3.00,3.00,1.00,211,NULL,238,'CNASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212769,0.00,0.00,1.00,1.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3212777,3.00,2.00,1.00,7.00,4.00,7.00,2.00,5.00,5.00,415,NULL,NULL,'VILA PEDRINE','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3212785,4.00,3.00,2.00,7.00,6.00,5.00,3.00,5.00,3.00,423,NULL,425,'CENTRO','PALHOçA','SC',13217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212793,3.00,6.00,1.00,2.00,2.00,NULL,3.00,2.00,2.00,316,NULL,NULL,'COQUEIROS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212807,6.00,7.00,6.00,7.00,6.00,6.25,7.00,9.00,6.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212823,4.00,5.00,6.00,5.00,3.00,NULL,3.00,6.00,4.00,301,NULL,NULL,'CAIçARA','BIRIGüI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212831,2.00,5.00,1.00,1.00,1.00,NULL,2.00,2.00,1.00,211,NULL,212,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212840,5.00,3.00,3.00,2.00,4.00,5.00,2.00,3.00,4.00,102,NULL,NULL,'CENTRO','NOVA VENEZA','SC',16567,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3212858,3.00,5.00,2.00,1.00,5.00,5.50,3.00,5.00,3.00,444,NULL,NULL,'CENTRO','TUBARãO','SC',15377,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3212866,4.00,3.00,1.00,5.00,3.00,NULL,1.00,6.00,4.00,103,NULL,NULL,'EFAPI','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3212874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3212882,3.00,6.00,4.00,9.00,5.00,6.25,1.00,7.00,4.00,326,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',9513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212890,5.00,3.00,2.00,0.00,3.00,NULL,0.00,0.00,0.00,215,NULL,216,'PARAGUAI','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(16,3212904,2.00,3.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'ABRRãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM TAMOYO','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3212939,4.00,5.00,2.00,6.00,5.00,4.75,3.00,3.00,4.00,202,NULL,213,'REAL PAQUE','S JOSé','SC',14320,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212947,5.00,2.00,1.00,2.00,2.00,NULL,1.00,3.00,1.00,301,NULL,NULL,'PICO DO AMOR','CUIABá','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212955,8.00,7.00,5.00,8.00,7.00,6.00,5.00,8.00,8.00,233,NULL,215,'FLORESTA','S JOSé','SC',1741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3212980,3.00,3.00,2.00,5.00,4.00,NULL,0.00,0.00,1.00,108,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3212998,7.00,4.00,6.00,9.00,4.00,7.00,3.00,5.00,6.00,203,NULL,208,'CIDADE UNIVERSITáRIA','CAMPINAS','SP',5321,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3213013,5.00,5.00,1.00,1.00,2.00,NULL,4.00,6.00,1.00,501,NULL,NULL,'AREIAS BRANCAS','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3213021,8.00,8.00,9.00,9.00,7.00,6.00,8.00,7.00,8.00,3,NULL,NULL,'CENTRO','LAGES','SC',171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213048,2.00,3.00,5.00,5.00,3.00,NULL,2.00,5.00,2.00,102,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213056,2.00,3.00,3.00,0.00,3.00,NULL,4.00,3.00,3.00,444,NULL,NULL,'BELA VISTA I','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213064,4.00,4.00,4.00,5.00,2.00,NULL,3.00,6.00,3.00,301,NULL,NULL,'OXFORD','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3213072,2.00,3.00,2.00,3.00,1.00,NULL,3.00,3.00,5.00,234,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213099,3.00,4.00,1.00,6.00,3.00,NULL,2.00,2.00,3.00,425,NULL,429,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213102,6.00,4.00,2.00,6.00,6.00,7.00,3.00,7.00,3.00,108,NULL,NULL,'VARGEM PEQUENA','FLORIANóPOLIS','SC',9626,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213110,4.00,5.00,3.00,7.00,6.00,5.50,4.00,7.00,6.00,102,NULL,NULL,'SERRARIA','S JOSé','SC',7346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213129,3.00,7.00,4.00,8.00,4.00,NULL,2.00,5.00,0.00,328,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213145,8.00,7.00,9.00,9.00,4.00,5.25,6.00,8.00,7.00,203,NULL,220,'RECANTO TROPICAL','CASCAVEL','PR',1067,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3213153,10.00,7.00,6.00,6.00,6.00,7.25,9.00,8.00,8.00,103,NULL,NULL,'JARDIM AQUARIUS','S JOSé CAMPOS','SP',540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213161,6.00,6.00,3.00,3.00,3.00,NULL,2.00,6.00,4.00,5,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213170,3.00,5.00,4.00,5.00,6.00,5.25,3.00,6.00,4.00,238,NULL,208,'ITACORUBI','FLORIANóPOLIS','SC',11711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213200,6.00,6.00,4.00,6.00,5.00,6.00,3.00,6.00,4.00,303,NULL,NULL,'JARDIM SOCIAL','FOZ IGUAçU','PR',8768,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3213218,3.00,2.00,1.00,1.00,3.00,NULL,3.00,6.00,4.00,319,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3213234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','FáTIMA SUL','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3213242,1.00,5.00,2.00,9.00,5.00,6.50,4.00,3.00,2.00,451,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',13357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213269,6.00,7.00,5.00,7.00,4.00,4.50,1.00,3.00,5.00,203,NULL,208,'CENTRO','NOVA ESPERANçA','PR',10024,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213277,2.00,3.00,1.00,6.00,3.00,NULL,1.00,6.00,4.00,327,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3213285,1.00,2.00,2.00,4.00,2.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3213307,4.00,4.00,1.00,1.00,6.00,NULL,3.00,5.00,0.00,340,NULL,NULL,'CENTRO','BAL PIçARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3213315,4.00,8.00,3.00,8.00,4.00,5.50,4.00,8.00,6.00,201,NULL,215,'CAPOEIRAS','FLORIANóPOLIS','SC',6069,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213323,8.00,7.00,7.00,8.00,8.00,7.25,7.00,7.00,7.00,208,NULL,238,'BARREIROS','S JOSé','SC',633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIO AZUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3213340,4.00,4.00,3.00,3.00,4.00,NULL,0.00,1.00,3.00,104,NULL,NULL,'SERRARIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213358,6.00,5.00,4.00,7.00,6.00,6.75,4.00,6.00,5.00,108,NULL,NULL,'HERMANS M BARROS','MARINGá','PR',7475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213366,7.00,4.00,2.00,6.00,6.00,4.25,3.00,7.00,7.00,303,NULL,NULL,'MATO ALTO','ARARANGUá','SC',7569,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3213374,7.00,7.00,5.00,6.00,7.00,4.75,3.00,9.00,7.00,103,NULL,NULL,'PARQUE GLORIA','CATANDUVA','SP',2320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213390,7.00,5.00,1.00,3.00,5.00,5.50,4.00,1.00,3.00,207,NULL,201,'CóRREGO GRANDE','FLORIANóPOLIS','SC',13976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213404,4.00,1.00,3.00,1.00,2.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3213412,3.00,6.00,3.00,5.00,3.00,NULL,0.00,2.00,2.00,201,NULL,207,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3213420,5.00,3.00,1.00,5.00,4.00,4.50,2.00,6.00,4.00,309,NULL,NULL,'BALNEARIO ESTREITO','FLORIANóPOLIS','SC',15335,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213439,2.00,1.00,2.00,2.00,2.00,NULL,0.00,2.00,5.00,501,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3213455,1.00,3.00,1.00,3.00,1.00,NULL,2.00,4.00,3.00,319,NULL,NULL,'CENTRO','QUILOMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3213463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'AREIAS','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3213480,7.00,8.00,6.00,8.00,5.00,6.25,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213498,3.00,1.00,3.00,8.00,4.00,6.00,3.00,3.00,3.00,104,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',15392,456,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213501,4.00,2.00,1.00,3.00,4.00,NULL,2.00,3.00,4.00,308,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213510,6.00,5.00,1.00,7.00,7.00,7.00,3.00,7.00,2.00,103,NULL,NULL,'SANTANA','RIO SUL','SC',8494,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3213528,4.00,6.00,4.00,6.00,5.00,5.75,3.00,6.00,4.00,201,NULL,207,'IMBUI','CACHOEIRINHA','RS',8522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213544,4.00,5.00,4.00,7.00,3.00,NULL,4.00,6.00,6.00,207,NULL,233,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3213560,7.00,6.00,2.00,4.00,3.00,NULL,5.00,7.00,6.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213579,4.00,4.00,2.00,7.00,4.00,4.50,4.00,4.00,2.00,501,NULL,NULL,'CENTRO','XANXERê','SC',14703,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3213587,1.00,1.00,4.00,2.00,1.00,NULL,5.00,4.00,2.00,308,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BONGIOVANI','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3213609,6.00,7.00,1.00,8.00,7.00,5.50,4.00,9.00,6.00,453,NULL,NULL,'CENTRO','NAVEGANTES','SC',4269,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3213617,6.00,5.00,3.00,8.00,7.00,5.25,3.00,3.00,6.00,303,NULL,NULL,'GUILHERME REICH','CONCóRDIA','SC',8571,378,NULL,NULL,NULL,NULL,NULL,2,4),(16,3213625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'PRADO','BIGUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3213633,7.00,6.00,5.00,6.00,4.00,5.00,3.00,8.00,6.00,202,NULL,208,'CAPOEIRAS','FLORIANóPOLIS','SC',5656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213641,6.00,8.00,6.00,5.00,6.00,4.75,1.00,8.00,3.00,415,NULL,NULL,'MARIA GORETTI','CHAPECó','SC',7470,199,NULL,NULL,NULL,NULL,NULL,4,4),(16,3213650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3213668,4.00,7.00,2.00,3.00,6.00,4.50,2.00,7.00,4.00,303,NULL,NULL,'VILA NOVA','JOINVILLE','SC',12544,539,NULL,NULL,NULL,NULL,NULL,4,8),(16,3213676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FORTALEZA','BARRETOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3213692,2.00,4.00,4.00,4.00,4.00,3.00,4.00,6.00,5.00,220,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213706,4.00,1.00,2.00,5.00,3.00,NULL,3.00,3.00,4.00,201,NULL,211,'SERRARIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3213722,5.00,2.00,2.00,5.00,1.00,NULL,0.00,4.00,3.00,103,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3213730,5.00,4.00,2.00,3.00,5.00,5.00,1.00,6.00,5.00,9,NULL,NULL,'CAMPINAS','S JOSé','SC',14963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213749,3.00,6.00,3.00,7.00,6.00,4.75,4.00,4.00,5.00,102,NULL,NULL,'N SRA APARECIDA','FRANCISCO BELTRãO','PR',9885,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3213757,4.00,6.00,2.00,7.00,8.00,6.25,2.00,7.00,4.00,423,NULL,424,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',7847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213773,7.00,7.00,6.00,6.00,8.00,6.00,6.00,7.00,9.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213781,6.00,4.00,3.00,6.00,6.00,6.25,3.00,8.00,3.00,104,NULL,NULL,'KOBRASOL','S JOSé','SC',8191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213790,4.00,6.00,4.00,7.00,4.00,5.25,3.00,5.00,5.00,216,NULL,215,'PEDRA BRANCA','PALHOçA','SC',8398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213803,4.00,2.00,4.00,4.00,2.00,NULL,1.00,2.00,3.00,201,NULL,207,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213811,7.00,5.00,6.00,8.00,7.00,4.50,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','BRAçO NORTE','SC',7015,1842,NULL,NULL,NULL,NULL,NULL,4,10),(16,3213820,7.00,5.00,3.00,2.00,4.00,5.75,4.00,5.00,4.00,207,NULL,NULL,'TRIBESS','BLUMENAU','SC',12985,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3213846,6.00,7.00,4.00,3.00,4.00,4.00,4.00,7.00,3.00,332,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',10508,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213854,7.00,7.00,7.00,8.00,7.00,5.75,4.00,8.00,7.00,214,NULL,212,'SANTA MôNICA','FRA SANTANA','BA',1378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213862,3.00,1.00,2.00,2.00,4.00,NULL,2.00,3.00,2.00,302,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3213870,7.00,7.00,6.00,8.00,8.00,7.25,6.00,7.00,6.00,303,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',1408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213889,2.00,1.00,2.00,3.00,0.00,NULL,4.00,1.00,1.00,208,NULL,238,'INDEPENDENCIA','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3213897,4.00,2.00,4.00,3.00,4.00,6.50,1.00,6.00,1.00,207,NULL,201,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213900,4.00,6.00,1.00,7.00,5.00,5.25,2.00,6.00,4.00,331,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',12144,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3213919,6.00,3.00,5.00,7.00,3.00,NULL,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','CHAPADA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3213927,6.00,7.00,4.00,7.00,7.00,5.25,5.00,8.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',4437,1390,NULL,NULL,NULL,NULL,NULL,2,2),(16,3213935,5.00,2.00,5.00,3.00,2.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'MAGALHãES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3213943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3213951,3.00,3.00,2.00,4.00,5.00,5.50,3.00,4.00,7.00,415,NULL,NULL,'BARREIROS','S JOSé','SC',14273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213960,3.00,2.00,2.00,0.00,1.00,NULL,1.00,4.00,4.00,308,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213978,4.00,0.00,1.00,3.00,3.00,NULL,3.00,4.00,5.00,301,NULL,NULL,'INTERIOR','SUL BRASIL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3213986,7.00,3.00,5.00,6.00,2.00,NULL,6.00,6.00,6.00,203,NULL,220,'SANTA CRUZ','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3213994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3214001,8.00,5.00,4.00,8.00,7.00,5.75,3.00,6.00,5.00,5,NULL,NULL,'CORDEIROS','ITAJAí','SC',5348,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3214010,6.00,5.00,6.00,8.00,6.00,7.50,3.00,4.00,6.00,302,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',4870,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214028,4.00,6.00,4.00,8.00,4.00,5.50,0.00,4.00,3.00,429,NULL,425,'SACO GRANDE','FLORIANóPOLIS','SC',13391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214036,2.00,4.00,3.00,6.00,6.00,5.50,3.00,6.00,2.00,326,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','CACOAL','RO',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3214052,4.00,3.00,4.00,9.00,4.00,5.75,3.00,4.00,4.00,201,NULL,NULL,'CABRAL','CURITIBA','PR',10908,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3214060,3.00,3.00,1.00,3.00,8.00,NULL,3.00,5.00,3.00,503,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3214079,4.00,3.00,1.00,3.00,3.00,NULL,0.00,4.00,2.00,332,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214087,7.00,5.00,7.00,7.00,6.00,6.50,3.00,9.00,7.00,316,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',2526,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214095,4.00,2.00,2.00,1.00,3.00,NULL,2.00,3.00,2.00,9,NULL,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214109,6.00,4.00,2.00,7.00,6.00,5.75,2.00,7.00,3.00,102,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',10026,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214117,3.00,4.00,3.00,5.00,3.00,NULL,3.00,2.00,4.00,104,NULL,NULL,'TAIOZINHO','RIO CAMPO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3214133,5.00,5.00,5.00,8.00,6.00,4.50,3.00,3.00,3.00,201,NULL,212,'DOM BOSCO','ITAJAí','SC',10663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3214150,5.00,4.00,2.00,7.00,5.00,5.50,3.00,7.00,5.00,301,NULL,NULL,'GLUCOSTARK','CRUZEIRO SUL','RS',9931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214168,3.00,5.00,1.00,6.00,7.00,NULL,0.00,7.00,3.00,103,NULL,NULL,'JARDIM CENTRAL','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214176,2.00,2.00,1.00,2.00,2.00,NULL,1.00,4.00,4.00,319,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214184,3.00,5.00,3.00,3.00,5.00,5.50,3.00,4.00,2.00,212,NULL,213,'BALNEáRIO','FLORIANóPOLIS','SC',16371,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214192,3.00,4.00,2.00,6.00,3.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'PROGRESSO','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3214206,6.00,4.00,4.00,7.00,5.00,5.50,2.00,3.00,5.00,452,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',11852,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3214214,3.00,2.00,4.00,5.00,5.00,6.50,2.00,4.00,5.00,450,NULL,NULL,'JARDIM ALVORADA','VOTUPORANGA','SP',12652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214222,5.00,6.00,4.00,7.00,5.00,7.75,4.00,5.00,5.00,104,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',6866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214230,3.00,3.00,1.00,3.00,5.00,NULL,1.00,3.00,4.00,203,NULL,214,'JARDIM BIGUAçU','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214249,7.00,5.00,4.00,8.00,5.00,6.50,2.00,6.00,5.00,420,NULL,NULL,'CENTRO','CRICIúMA','SC',7249,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3214257,9.00,6.00,7.00,9.00,8.00,7.75,6.00,7.00,8.00,103,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214265,4.00,4.00,2.00,5.00,6.00,6.25,2.00,5.00,4.00,108,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',12637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214273,1.00,1.00,2.00,7.00,3.00,NULL,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3214281,6.00,4.00,2.00,8.00,5.00,4.75,4.00,6.00,4.00,452,NULL,NULL,'VERENA','STA CRUZ SUL','RS',9627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214290,5.00,7.00,5.00,6.00,6.00,5.00,5.00,7.00,6.00,444,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',4457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214303,7.00,5.00,7.00,7.00,6.00,6.25,4.00,8.00,6.00,501,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',2902,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214311,2.00,5.00,5.00,4.00,6.00,4.75,2.00,7.00,5.00,216,NULL,207,'CENTRO','FRUTAL','MG',11011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214338,4.00,3.00,2.00,8.00,4.00,5.50,2.00,4.00,5.00,303,NULL,NULL,'VILA NOVA','BLUMENAU','SC',14513,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3214354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'JOAO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3214362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'PORTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3214370,2.00,2.00,1.00,2.00,3.00,NULL,2.00,2.00,2.00,207,NULL,NULL,'CENTRO','S BONIFáCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214389,2.00,0.00,3.00,8.00,5.00,7.00,0.00,3.00,5.00,302,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',15719,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214397,7.00,8.00,7.00,8.00,6.00,5.25,5.00,7.00,8.00,220,NULL,233,'NOVA SAPUCAIA','SAPUCAIA SUL','RS',1579,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3214427,2.00,2.00,3.00,4.00,3.00,NULL,0.00,5.00,2.00,428,NULL,429,'PRAIA DOS INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214435,4.00,3.00,4.00,7.00,5.00,4.50,1.00,3.00,4.00,444,NULL,NULL,'RIO GRANDE','PALHOçA','SC',13762,95,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214443,2.00,3.00,2.00,7.00,2.00,NULL,1.00,2.00,5.00,452,NULL,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214451,5.00,4.00,3.00,5.00,4.00,5.50,3.00,3.00,4.00,453,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',14352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214460,3.00,5.00,1.00,5.00,4.00,6.25,4.00,5.00,2.00,444,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',14733,112,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'CAMBUí','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3214486,1.00,3.00,2.00,2.00,3.00,NULL,1.00,1.00,2.00,319,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214494,4.00,8.00,3.00,3.00,3.00,NULL,5.00,7.00,3.00,309,NULL,NULL,'CRISTO REDENTOR','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214508,3.00,5.00,3.00,7.00,6.00,6.00,4.00,6.00,4.00,216,NULL,211,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214516,5.00,7.00,1.00,5.00,5.00,4.75,4.00,9.00,3.00,103,NULL,NULL,'PARAíSO','S PAULO','SP',9453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3214532,1.00,2.00,1.00,6.00,3.00,NULL,4.00,2.00,1.00,329,NULL,NULL,'CENTRO','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3214540,3.00,6.00,3.00,5.00,4.00,5.50,3.00,8.00,4.00,444,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',10917,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214559,5.00,8.00,2.00,7.00,4.00,6.00,1.00,3.00,2.00,310,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',12306,39,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214567,5.00,7.00,3.00,8.00,8.00,6.00,5.00,7.00,4.00,450,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',4243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','ARARANGUá','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3214591,7.00,6.00,5.00,2.00,6.00,4.00,4.00,8.00,6.00,220,NULL,216,'VILA BRENNER','CRUZ ALTA','RS',6358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214605,5.00,6.00,4.00,5.00,5.00,6.50,3.00,6.00,3.00,207,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214613,6.00,8.00,4.00,8.00,6.00,5.50,6.00,7.00,6.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3456,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214630,2.00,5.00,5.00,6.00,4.00,4.25,3.00,4.00,6.00,216,NULL,233,'VILA VERA CRUZ','APUCARANA','PR',11919,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3214648,1.00,3.00,3.00,7.00,6.00,5.50,2.00,3.00,1.00,102,NULL,NULL,'CENTRO','BOMBINHAS','SC',15882,292,NULL,NULL,NULL,NULL,NULL,2,3),(16,3214656,3.00,5.00,4.00,4.00,7.00,6.25,3.00,7.00,3.00,202,NULL,213,'IMIRIM','S PAULO','SP',9958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214664,5.00,2.00,5.00,7.00,2.00,NULL,2.00,1.00,3.00,318,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214672,0.00,3.00,1.00,1.00,3.00,NULL,0.00,2.00,5.00,211,NULL,215,'CENTRO','JABORá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3214680,8.00,6.00,8.00,3.00,6.00,6.00,9.00,7.00,9.00,103,NULL,NULL,'JARDIM IRACEMA','BARUERI','SP',1353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214699,1.00,3.00,1.00,6.00,4.00,NULL,1.00,1.00,3.00,444,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'GRANVILLE','TAUBATé','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3214729,4.00,3.00,4.00,4.00,6.00,5.50,2.00,2.00,2.00,201,NULL,207,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214737,2.00,0.00,4.00,4.00,4.00,NULL,2.00,3.00,3.00,324,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214745,5.00,6.00,3.00,7.00,7.00,5.25,2.00,4.00,5.00,5,NULL,NULL,'PASSAGEM','TUBARãO','SC',9484,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3214753,6.00,5.00,2.00,4.00,4.00,6.00,4.00,8.00,5.00,317,NULL,NULL,'PRAINHA','FLORIANóPOLIS','SC',8809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214761,1.00,3.00,1.00,5.00,3.00,NULL,3.00,4.00,2.00,429,NULL,423,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'TATUAPé','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3214796,4.00,7.00,2.00,5.00,3.00,NULL,2.00,7.00,5.00,211,NULL,216,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214800,7.00,6.00,7.00,7.00,6.00,5.25,5.00,7.00,6.00,211,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',2480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214818,2.00,6.00,6.00,9.00,6.00,6.75,3.00,4.00,2.00,208,NULL,207,'BARREIROS','SAO JOSE','SC',9619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214826,6.00,5.00,3.00,1.00,6.00,5.75,3.00,5.00,6.00,319,NULL,NULL,'VILA SãO JOãO','FLORIANóPOLIS','SC',12315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214834,3.00,5.00,1.00,3.00,3.00,NULL,0.00,5.00,4.00,201,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3214842,4.00,3.00,1.00,0.00,2.00,NULL,4.00,6.00,3.00,238,NULL,208,'JARIVATUBA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3214850,5.00,5.00,4.00,6.00,7.00,5.75,4.00,5.00,2.00,340,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',9084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214869,7.00,4.00,5.00,6.00,8.00,5.50,3.00,6.00,6.00,238,NULL,208,'CENTRO','URUSSANGA','SC',5386,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3214877,4.00,3.00,1.00,7.00,0.00,NULL,1.00,3.00,4.00,404,NULL,NULL,'AREIAS','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214885,4.00,5.00,3.00,5.00,5.00,6.50,3.00,7.00,3.00,103,NULL,NULL,'PETRóPOLIS','PTO ALEGRE','RS',10299,2256,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA CONCEIçãO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3214907,6.00,3.00,4.00,7.00,4.00,5.50,1.00,9.00,5.00,216,NULL,214,'JARDIM SATéLITE','S JOSé CAMPOS','SP',8534,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214915,7.00,2.00,6.00,8.00,6.00,5.75,4.00,7.00,5.00,202,NULL,201,'CENTRO','JUNDIAí','SP',5328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214923,2.00,1.00,1.00,1.00,1.00,NULL,3.00,2.00,4.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214931,6.00,6.00,4.00,8.00,6.00,6.50,3.00,7.00,5.00,5,NULL,NULL,'CENTRO','ITUPORANGA','SC',5049,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3214940,8.00,8.00,5.00,6.00,6.00,7.25,5.00,9.00,7.00,103,NULL,NULL,'COQUEIROS','FLORIANOPOLIS','SC',1490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3214958,5.00,7.00,3.00,6.00,3.00,NULL,3.00,5.00,3.00,202,NULL,238,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214966,7.00,7.00,4.00,7.00,3.00,NULL,2.00,7.00,6.00,216,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3214974,2.00,2.00,1.00,4.00,2.00,NULL,3.00,0.00,3.00,208,NULL,203,'CENTRO','CONSTANTINA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3214982,5.00,6.00,3.00,6.00,4.00,4.50,1.00,6.00,5.00,301,NULL,NULL,'TABOãO','RIO SUL','SC',11926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3214990,2.00,3.00,2.00,6.00,2.00,NULL,2.00,3.00,3.00,108,NULL,NULL,'ST ANTONIO DE LISBOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215008,3.00,6.00,2.00,5.00,4.00,5.50,2.00,8.00,3.00,108,NULL,NULL,'BOQUEIRãO','CURITIBA','PR',12675,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215032,2.00,5.00,1.00,6.00,5.00,4.25,1.00,3.00,4.00,404,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',16429,75,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215059,6.00,5.00,2.00,9.00,7.00,8.00,5.00,7.00,6.00,207,NULL,201,'ZONA DOIS','MARINGá','PR',3847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215067,6.00,3.00,3.00,9.00,5.00,5.50,3.00,6.00,4.00,424,NULL,427,'CóRREGO GRANDE','FLORIANóPOLIS','SC',8125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215075,7.00,4.00,2.00,7.00,5.00,6.00,4.00,7.00,4.00,102,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',8690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215083,6.00,6.00,3.00,6.00,8.00,7.25,3.00,6.00,3.00,103,NULL,NULL,'JARDIM PIONEIROS','PAIçANDU','PR',7297,1884,NULL,NULL,NULL,NULL,NULL,2,3),(16,3215091,1.00,2.00,4.00,1.00,3.00,NULL,3.00,2.00,2.00,301,NULL,NULL,'RIO GRANDE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215105,6.00,5.00,3.00,5.00,4.00,5.00,4.00,4.00,6.00,207,NULL,201,'RACHADEL','ANTôNIO CARLOS','SC',10094,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215113,5.00,5.00,5.00,2.00,4.00,4.25,3.00,5.00,3.00,220,NULL,NULL,'VILA NOVA','LAGES','SC',14413,490,NULL,NULL,NULL,NULL,NULL,4,9),(16,3215121,8.00,7.00,3.00,9.00,8.00,7.00,1.00,9.00,5.00,340,NULL,NULL,'BARRA DA TIJUCA','RIO JANEIRO','RJ',3497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215130,7.00,6.00,7.00,3.00,6.00,2.75,2.00,7.00,4.00,220,NULL,203,'PICO DO AMOR','CUIABá','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215148,3.00,2.00,2.00,5.00,4.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3215164,4.00,2.00,2.00,2.00,3.00,NULL,2.00,3.00,5.00,201,NULL,203,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215172,3.00,7.00,4.00,8.00,6.00,6.00,4.00,5.00,3.00,202,NULL,213,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',8115,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215180,5.00,8.00,5.00,8.00,8.00,6.00,5.00,7.00,8.00,201,NULL,215,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',1839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215199,7.00,8.00,5.00,8.00,4.00,5.75,3.00,7.00,7.00,203,NULL,214,'CENTRO','FLORIANóPOLIS','SC',4719,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215202,5.00,5.00,7.00,9.00,6.00,6.75,4.00,7.00,4.00,208,NULL,238,'BUCAREIM','JOINVILLE','SC',3946,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3215210,4.00,3.00,2.00,7.00,4.00,6.00,4.00,3.00,3.00,203,NULL,202,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215229,4.00,1.00,1.00,2.00,4.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'BELA VISTA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3215237,4.00,1.00,1.00,3.00,1.00,NULL,3.00,2.00,4.00,452,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3215245,6.00,3.00,7.00,9.00,6.00,5.25,5.00,7.00,5.00,203,NULL,202,'FLORESTA','JOINVILLE','SC',5153,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3215253,2.00,1.00,4.00,3.00,2.00,NULL,1.00,3.00,3.00,203,NULL,208,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VILA HARMONIA','ARARAQUARA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3215270,8.00,4.00,6.00,8.00,8.00,6.00,4.00,7.00,5.00,201,NULL,207,'NSA SRA APARECID','FRANCISCO BELTRãO','PR',3201,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3215288,8.00,5.00,6.00,9.00,6.00,5.75,5.00,6.00,7.00,501,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215300,4.00,3.00,3.00,6.00,5.00,4.75,1.00,5.00,5.00,9,NULL,NULL,'CENTRO','PATO BRANCO','PR',13498,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3215318,3.00,2.00,1.00,7.00,5.00,NULL,1.00,3.00,3.00,201,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215342,8.00,7.00,6.00,8.00,6.00,7.75,5.00,9.00,8.00,5,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215350,4.00,3.00,2.00,7.00,3.00,NULL,2.00,5.00,2.00,104,NULL,NULL,'PRESIDENTE MéDICE','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3215369,4.00,4.00,4.00,6.00,4.00,5.75,1.00,6.00,3.00,333,NULL,NULL,'BELA VISTA','S JOSé','SC',14158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE SãO LUCAS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3215385,6.00,8.00,3.00,5.00,6.00,7.00,5.00,7.00,7.00,501,NULL,NULL,'BARREIROS','S JOSé','SC',4303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215393,4.00,5.00,4.00,7.00,5.00,6.00,4.00,4.00,4.00,301,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',9784,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215407,7.00,4.00,3.00,7.00,3.00,NULL,2.00,7.00,4.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3215415,4.00,3.00,1.00,7.00,4.00,5.50,0.00,1.00,4.00,102,NULL,NULL,'INTERIOR','TIGRINHOS','SC',16470,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3215423,5.00,2.00,3.00,8.00,6.00,6.50,5.00,6.00,3.00,452,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',10020,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3215431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARAISO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3215440,8.00,7.00,8.00,6.00,7.00,5.50,6.00,8.00,8.00,220,NULL,202,'JARDIM PALMEIRAS','CASCAVEL','PR',970,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3215458,2.00,3.00,2.00,5.00,5.00,5.00,1.00,4.00,3.00,429,NULL,425,'ESTREITO','FLORIANóPOLIS','SC',16328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,208,'CENTRO','LARANJEIRAS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3215474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3215482,3.00,5.00,3.00,6.00,4.00,4.50,3.00,5.00,3.00,303,NULL,NULL,'MARAGATINHO','PALMEIRA MISSõES','RS',13783,605,NULL,NULL,NULL,NULL,NULL,2,3),(16,3215490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM NOVA AMERICA','ARARAQUARA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3215504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','JARU','RO',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3215512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3215520,2.00,0.00,1.00,3.00,3.00,NULL,2.00,0.00,3.00,319,NULL,NULL,'CENTRO','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3215539,8.00,7.00,6.00,9.00,6.00,6.75,5.00,7.00,7.00,203,NULL,202,'CIDADE UNIVERSITARIA','CAMPINAS','SP',1415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215547,2.00,5.00,2.00,3.00,2.00,NULL,2.00,3.00,3.00,501,NULL,NULL,'ALTO FELIZ','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3215555,4.00,1.00,1.00,3.00,2.00,NULL,3.00,4.00,3.00,503,NULL,NULL,'ZONA RURAL','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215563,2.00,3.00,2.00,2.00,3.00,NULL,1.00,5.00,5.00,216,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215571,0.00,7.00,3.00,4.00,5.00,4.00,3.00,5.00,2.00,318,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',15439,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPAO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3215598,8.00,7.00,7.00,5.00,7.00,4.00,5.00,8.00,7.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',1994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215601,3.00,5.00,3.00,6.00,3.00,NULL,1.00,7.00,2.00,238,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215610,5.00,6.00,2.00,7.00,7.00,6.00,2.00,5.00,2.00,103,NULL,NULL,'FLOR DA SERRA','JOAçABA','SC',10436,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3215628,5.00,5.00,2.00,7.00,3.00,NULL,2.00,5.00,4.00,317,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3215644,2.00,5.00,4.00,5.00,3.00,NULL,2.00,5.00,3.00,326,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3215652,2.00,5.00,4.00,7.00,4.00,6.25,3.00,5.00,2.00,223,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',14090,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215660,3.00,2.00,2.00,7.00,3.00,NULL,2.00,2.00,5.00,103,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3215679,3.00,4.00,1.00,2.00,2.00,NULL,1.00,4.00,5.00,203,NULL,208,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215687,4.00,4.00,5.00,5.00,3.00,NULL,2.00,6.00,3.00,220,NULL,214,'VILA ALEMANHA','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3215695,4.00,2.00,4.00,3.00,4.00,4.25,3.00,4.00,2.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',16523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215709,6.00,5.00,6.00,8.00,5.00,6.00,3.00,2.00,5.00,202,NULL,220,'CENTRO','CRICIúMA','SC',8225,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3215717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPAO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3215725,5.00,5.00,7.00,4.00,6.00,5.50,4.00,7.00,4.00,202,NULL,NULL,'JARDIM GUAPORé','MARINGá','PR',6692,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3215733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JD GUANABARA','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3215741,6.00,4.00,2.00,4.00,3.00,NULL,1.00,2.00,2.00,201,NULL,207,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215750,5.00,4.00,2.00,5.00,7.00,6.00,2.00,6.00,2.00,326,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',12701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215768,6.00,5.00,5.00,8.00,7.00,4.00,3.00,5.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6798,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215776,4.00,3.00,1.00,4.00,3.00,NULL,2.00,4.00,4.00,203,NULL,220,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215784,4.00,2.00,2.00,3.00,3.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'FLOR DE NáPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215792,2.00,5.00,1.00,1.00,5.00,NULL,2.00,2.00,2.00,205,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215806,5.00,7.00,5.00,3.00,5.00,5.25,4.00,8.00,5.00,301,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',7777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215814,3.00,5.00,2.00,5.00,4.00,6.00,3.00,5.00,1.00,5,NULL,NULL,'EUGENIO SCHNEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3215822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VISTA ALEGRE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3215830,4.00,2.00,2.00,6.00,4.00,5.00,6.00,4.00,2.00,207,NULL,201,'CARVOEIRA','FLORIANóPOLIS','SC',15131,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215849,4.00,4.00,3.00,4.00,4.00,5.00,2.00,7.00,3.00,203,NULL,202,'RACHADEL','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215857,3.00,2.00,5.00,3.00,4.00,5.50,3.00,5.00,3.00,301,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',14463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215865,3.00,2.00,4.00,4.00,2.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'REQUIãO III','MARINGá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215873,6.00,6.00,5.00,4.00,4.00,5.75,5.00,4.00,5.00,202,NULL,213,'DOM JOAQUIM','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215881,6.00,6.00,4.00,9.00,7.00,6.50,4.00,7.00,7.00,304,NULL,NULL,'LAGOA DA CONCEIçãP','FLORIANóPOLIS','SC',2834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215890,4.00,5.00,4.00,9.00,3.00,NULL,2.00,5.00,2.00,103,NULL,NULL,'CACUPé','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215920,5.00,2.00,3.00,7.00,4.00,5.25,4.00,1.00,4.00,102,NULL,NULL,'ESTREITO BALNEáRIO','FLORIANóPOLIS','SC',14759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3215938,6.00,4.00,4.00,7.00,2.00,NULL,2.00,5.00,3.00,207,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3215946,7.00,5.00,3.00,9.00,9.00,5.75,5.00,4.00,4.00,108,NULL,NULL,'CENTRO','ARARANGUá','SC',5264,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3215954,6.00,5.00,2.00,7.00,8.00,6.50,2.00,5.00,7.00,201,NULL,207,'SÃO LUIZ','CRICIUMA','SC',5953,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3215970,0.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3215989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3215997,3.00,4.00,2.00,5.00,6.00,5.75,1.00,6.00,2.00,5,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',14477,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3216004,5.00,4.00,5.00,5.00,4.00,4.75,3.00,4.00,5.00,444,NULL,NULL,'PRAIA DE FORA','PALHOçA','SC',11867,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3216012,5.00,3.00,2.00,6.00,6.00,5.00,0.00,3.00,4.00,203,NULL,220,'VILA MARIANA','S PAULO','SP',14191,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3216047,3.00,5.00,2.00,4.00,2.00,NULL,3.00,6.00,4.00,326,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3216055,7.00,5.00,2.00,7.00,5.00,6.00,4.00,7.00,7.00,102,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',5687,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3216063,7.00,7.00,2.00,9.00,7.00,6.00,2.00,5.00,5.00,103,NULL,NULL,'SETOR BELA VISTA','GOIâNIA','GO',5762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216071,5.00,4.00,3.00,9.00,7.00,5.00,5.00,5.00,4.00,220,NULL,216,'JARDIM DAS AMÉRICAS','CUIABA','MT',6417,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3216080,3.00,2.00,2.00,3.00,5.00,NULL,2.00,3.00,3.00,208,NULL,202,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216098,9.00,4.00,5.00,6.00,3.00,NULL,6.00,5.00,4.00,104,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3216101,2.00,4.00,3.00,4.00,7.00,6.50,3.00,8.00,3.00,415,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',11036,290,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216110,5.00,3.00,1.00,7.00,4.00,4.25,3.00,3.00,2.00,426,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',16120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3216136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','ENG BELTRãO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3216144,1.00,4.00,3.00,5.00,6.00,NULL,0.00,6.00,2.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3216152,5.00,8.00,5.00,8.00,7.00,5.00,4.00,8.00,4.00,303,NULL,NULL,'VILA NOVA','BLUMENAU','SC',3339,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3216160,7.00,6.00,7.00,8.00,7.00,5.75,3.00,7.00,8.00,303,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',2640,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3216179,6.00,4.00,4.00,7.00,5.00,6.75,3.00,6.00,3.00,301,NULL,NULL,'CENTRO','NOVO HAMBURGO','RS',8716,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3216217,5.00,4.00,2.00,8.00,7.00,5.00,3.00,6.00,3.00,108,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',10512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216225,3.00,7.00,3.00,9.00,4.00,5.00,3.00,5.00,4.00,211,NULL,238,'IPIRANGA','LAGES','SC',10510,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3216233,5.00,6.00,5.00,7.00,8.00,4.75,2.00,7.00,5.00,501,NULL,NULL,'MADUREIRA','CAXIAS SUL','RS',6120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216241,5.00,4.00,5.00,3.00,5.00,5.00,4.00,7.00,5.00,208,NULL,238,'COSTA E SILVA','JOINVILLE','SC',9471,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3216250,3.00,4.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,208,NULL,211,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3216276,3.00,6.00,2.00,7.00,7.00,4.50,1.00,7.00,1.00,103,NULL,NULL,'REVOREDO','TUBARãO','SC',12491,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3216284,5.00,7.00,6.00,8.00,6.00,6.00,4.00,8.00,5.00,214,NULL,212,'CAPOEIRAS','FLORIANóPOLIS','SC',4024,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3216292,5.00,3.00,5.00,3.00,6.00,5.75,4.00,4.00,6.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',11400,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3216306,8.00,7.00,7.00,8.00,7.00,6.25,5.00,8.00,7.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',890,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3216314,2.00,3.00,3.00,8.00,4.00,5.50,3.00,5.00,1.00,211,NULL,215,'COMERCIARIO','CRICIúMA','SC',14488,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3216322,7.00,6.00,2.00,3.00,7.00,4.25,3.00,6.00,3.00,108,NULL,NULL,'JAQUELINE','BELO HORIZONTE','MG',10808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216330,2.00,5.00,3.00,6.00,3.00,NULL,2.00,3.00,2.00,108,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216349,3.00,3.00,1.00,2.00,5.00,NULL,1.00,1.00,2.00,426,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3216357,5.00,4.00,4.00,7.00,4.00,4.75,3.00,7.00,4.00,216,NULL,208,'CANASVIEIRAS','FLORIANóPOLIS','SC',8995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216365,9.00,9.00,5.00,6.00,6.00,4.75,6.00,8.00,7.00,220,NULL,213,'TRINDADE','FLORIANóPOLIS','SC',1886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3216381,1.00,4.00,3.00,2.00,3.00,NULL,1.00,7.00,3.00,207,NULL,215,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3216403,1.00,6.00,1.00,2.00,5.00,5.00,2.00,6.00,3.00,301,NULL,NULL,'VILA NOVA','IMBITUBA','SC',16128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216411,8.00,8.00,6.00,5.00,8.00,6.00,7.00,8.00,7.00,5,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',1373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216420,5.00,6.00,2.00,8.00,5.00,5.00,4.00,4.00,5.00,108,NULL,NULL,'CAMPINAS','S JOSé','SC',9220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216438,6.00,5.00,5.00,6.00,5.00,6.00,3.00,8.00,5.00,503,NULL,NULL,'CENTRO','ITAJAí','SC',7095,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3216446,5.00,3.00,1.00,6.00,3.00,NULL,2.00,5.00,3.00,310,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3216462,7.00,6.00,4.00,7.00,5.00,7.00,5.00,8.00,4.00,501,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',4901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'STO ANTONIO LISBOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3216489,8.00,9.00,7.00,9.00,8.00,6.25,6.00,9.00,7.00,103,NULL,NULL,'VICENTE PIRES','TAGUATINGA','DF',456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216497,7.00,5.00,3.00,8.00,2.00,NULL,2.00,5.00,4.00,316,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216500,6.00,5.00,3.00,9.00,2.00,NULL,3.00,5.00,5.00,233,NULL,203,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3216519,4.00,6.00,4.00,3.00,3.00,NULL,2.00,3.00,5.00,208,NULL,201,'INTERIOR','IRACEMINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3216527,8.00,8.00,3.00,7.00,6.00,6.00,5.00,7.00,7.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',3284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM SANTO ELIAS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3216543,3.00,2.00,3.00,4.00,5.00,NULL,3.00,3.00,2.00,316,NULL,NULL,'CENTRO','CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3216551,5.00,3.00,4.00,6.00,4.00,5.25,3.00,5.00,4.00,303,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',11801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR UNIVERSITARIO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3216578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ALVORADA','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3216586,5.00,6.00,1.00,9.00,6.00,4.50,1.00,6.00,2.00,502,NULL,NULL,'CENTRO','TUBARãO','SC',11905,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3216594,9.00,7.00,8.00,8.00,7.00,6.00,6.00,7.00,8.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',550,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3216608,2.00,5.00,4.00,9.00,4.00,5.50,3.00,5.00,3.00,319,NULL,NULL,'CENTRO','MEDIANEIRA','PR',12135,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3216616,3.00,6.00,4.00,9.00,7.00,4.75,3.00,6.00,3.00,444,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',9131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216624,2.00,5.00,2.00,5.00,4.00,5.25,1.00,9.00,5.00,203,NULL,202,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216632,8.00,8.00,6.00,8.00,8.00,6.75,7.00,7.00,8.00,203,NULL,202,'ITACORUBI','FLORIANóPOLIS','SC',675,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3216640,8.00,6.00,7.00,8.00,8.00,7.25,6.00,7.00,7.00,220,NULL,202,'CARVOEIRA','FLORIANóPOLIS','SC',1054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216659,2.00,2.00,1.00,0.00,3.00,NULL,5.00,3.00,1.00,453,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216667,2.00,2.00,2.00,2.00,1.00,NULL,2.00,3.00,2.00,502,NULL,NULL,'JARDIM JANAíNA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3216675,4.00,7.00,4.00,9.00,6.00,5.00,4.00,5.00,1.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216683,4.00,4.00,4.00,6.00,6.00,4.25,2.00,3.00,2.00,220,NULL,214,'MACACU','GAROPABA','SC',15149,503,NULL,465,NULL,NULL,NULL,2,1),(16,3216691,7.00,7.00,6.00,7.00,5.00,5.00,2.00,8.00,6.00,201,NULL,202,'CENTRO','FLORIANóPOLIS','SC',4442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216705,3.00,4.00,2.00,7.00,3.00,NULL,3.00,4.00,2.00,108,NULL,NULL,'FURADINHO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3216713,8.00,7.00,6.00,9.00,6.00,6.25,5.00,8.00,5.00,103,NULL,NULL,'NOVA PETROPOLIS','LAGES','SC',1949,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3216721,5.00,5.00,2.00,5.00,6.00,6.00,5.00,4.00,5.00,5,NULL,NULL,'CENTRO','CRICIúMA','SC',9275,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3216730,6.00,5.00,6.00,8.00,6.00,5.75,5.00,7.00,6.00,340,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',3473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216756,6.00,4.00,2.00,4.00,5.00,5.50,2.00,6.00,4.00,302,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',14170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216764,6.00,7.00,6.00,8.00,8.00,6.00,2.00,6.00,5.00,207,NULL,201,'CENTRO','SORRISO','MT',5102,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3216780,3.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','TREZE TíLIAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(16,3216799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'EXPOSIçãO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3216802,3.00,0.00,2.00,7.00,3.00,NULL,0.00,5.00,3.00,103,NULL,NULL,'SAGUAçú','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3216810,4.00,5.00,6.00,8.00,6.00,5.50,3.00,8.00,3.00,104,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',6755,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3216837,2.00,1.00,1.00,5.00,1.00,NULL,2.00,2.00,2.00,211,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3216845,5.00,2.00,1.00,5.00,3.00,NULL,2.00,2.00,2.00,208,NULL,238,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3216853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM IGUAçU','ARAUCáRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3216870,4.00,5.00,2.00,9.00,3.00,NULL,2.00,4.00,2.00,216,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3216888,7.00,7.00,5.00,4.00,6.00,6.00,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',6735,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3216896,5.00,4.00,3.00,5.00,5.00,5.75,1.00,5.00,4.00,205,NULL,NULL,'SAGUAçú','JOINVILLE','SC',12037,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3216900,1.00,4.00,2.00,4.00,3.00,NULL,1.00,2.00,4.00,201,NULL,216,'CINQUENTENáRIO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3216918,5.00,5.00,4.00,4.00,4.00,5.25,3.00,6.00,3.00,208,NULL,238,'CENTRO','BAL CAMBORIú','SC',11447,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3216926,2.00,4.00,3.00,5.00,3.00,NULL,5.00,6.00,4.00,450,NULL,NULL,'ESCOLA AGRíCOLA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3216934,3.00,6.00,1.00,7.00,4.00,6.75,0.00,6.00,3.00,203,NULL,201,'JARDIM','S JOSé CEDRO','SC',14113,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3216942,4.00,7.00,2.00,8.00,6.00,7.25,3.00,3.00,4.00,103,NULL,NULL,'JURERE TRADICIONAL','FLORIANóPOLIS','SC',8305,2025,NULL,NULL,NULL,NULL,NULL,2,1),(16,3216950,4.00,3.00,5.00,6.00,6.00,4.75,2.00,4.00,2.00,103,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3216977,7.00,8.00,9.00,7.00,6.00,6.00,7.00,8.00,8.00,215,NULL,216,'IPANEMA','RIO JANEIRO','RJ',764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3216985,5.00,3.00,1.00,3.00,7.00,4.50,1.00,5.00,3.00,211,NULL,212,'SANTA HELENA','LAGES','SC',15330,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3216993,6.00,5.00,4.00,6.00,6.00,5.50,3.00,7.00,5.00,201,NULL,212,'ESTREITO','FLORIANóPOLIS','SC',6847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217000,3.00,4.00,2.00,4.00,4.00,4.50,0.00,6.00,3.00,310,NULL,NULL,'VILA MARIANA','S PAULO','SP',15962,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3217019,8.00,7.00,5.00,6.00,7.00,4.50,4.00,8.00,5.00,201,NULL,207,'CENTRO','CIANORTE','PR',3378,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3217027,3.00,2.00,2.00,5.00,3.00,NULL,3.00,4.00,2.00,426,NULL,424,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217035,2.00,1.00,1.00,5.00,5.00,NULL,1.00,3.00,3.00,340,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217043,4.00,4.00,3.00,5.00,3.00,NULL,5.00,4.00,0.00,444,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217051,5.00,6.00,7.00,7.00,4.00,5.25,2.00,7.00,5.00,201,NULL,202,'CENTRO','TURVO','SC',6025,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3217078,5.00,3.00,4.00,6.00,5.00,3.25,5.00,5.00,2.00,420,NULL,NULL,'SãO MIGUEL','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3217086,4.00,6.00,4.00,9.00,7.00,5.50,2.00,7.00,5.00,420,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',6660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217094,6.00,4.00,5.00,6.00,7.00,6.75,4.00,6.00,6.00,3,NULL,NULL,'COMASA','JOINVILLE','SC',6016,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3217116,5.00,6.00,2.00,8.00,6.00,6.25,4.00,7.00,4.00,308,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',5398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217124,4.00,8.00,3.00,8.00,6.00,5.25,3.00,8.00,5.00,238,NULL,208,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',5596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217132,6.00,6.00,1.00,6.00,7.00,4.50,4.00,9.00,6.00,303,NULL,NULL,'VILA NOVA','FRANCISCO BELTRãO','PR',6212,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3217159,4.00,6.00,5.00,8.00,6.00,7.75,3.00,7.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',5161,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217167,6.00,8.00,7.00,9.00,9.00,7.00,7.00,8.00,8.00,5,NULL,NULL,'LOT FERNANDA','CAPINZAL','SC',312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217175,7.00,4.00,5.00,6.00,7.00,6.00,3.00,8.00,5.00,103,NULL,NULL,'CENTRO','MACHADINHO','RS',5585,1605,NULL,NULL,NULL,NULL,NULL,4,7),(16,3217213,6.00,6.00,1.00,5.00,5.00,5.50,2.00,8.00,4.00,103,NULL,NULL,'JD NOVO HORIZONTE','MARINGá','PR',8570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217230,7.00,4.00,4.00,4.00,4.00,5.50,3.00,7.00,3.00,108,NULL,NULL,'VILA INDUSTRIAL','CAMPINAS','SP',9771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217248,5.00,2.00,3.00,8.00,3.00,NULL,1.00,5.00,3.00,444,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217272,2.00,3.00,1.00,3.00,4.00,NULL,3.00,4.00,2.00,211,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217280,5.00,8.00,2.00,3.00,5.00,5.75,2.00,6.00,4.00,104,NULL,NULL,'CENTRO','STO AUGUSTO','RS',12067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,233,'CARAVáGIO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3217302,4.00,2.00,2.00,2.00,3.00,NULL,2.00,1.00,4.00,415,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217329,5.00,6.00,4.00,5.00,3.00,NULL,3.00,7.00,2.00,303,NULL,NULL,'VILA REDENTORA','S JOSé R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217337,5.00,6.00,5.00,9.00,6.00,6.00,4.00,8.00,7.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',3551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217361,6.00,8.00,5.00,8.00,5.00,5.50,4.00,8.00,6.00,216,NULL,233,'ALTO PARAíSO','PANAMBI','RS',2527,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3217370,6.00,6.00,9.00,8.00,5.00,5.25,7.00,6.00,7.00,203,NULL,214,'CENTRO','S BERNARDO CAMPO','SP',1395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GARCIA','ANGELINA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3217396,4.00,5.00,4.00,7.00,3.00,NULL,3.00,8.00,5.00,304,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3217400,5.00,5.00,4.00,6.00,6.00,6.00,4.00,5.00,6.00,453,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',6546,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'IPIRANGA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3217426,4.00,5.00,1.00,0.00,5.00,NULL,3.00,8.00,3.00,203,NULL,220,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3217434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3217442,5.00,7.00,4.00,9.00,6.00,6.50,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','GOIâNIA','GO',2792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IPORã','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3217469,5.00,6.00,6.00,8.00,7.00,6.00,3.00,6.00,5.00,207,NULL,201,'PARQUE SãO JORGE','FLORIANóPOLIS','SC',5789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217477,4.00,2.00,4.00,2.00,2.00,NULL,3.00,6.00,3.00,202,NULL,216,'CENTRO','GUARATUBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3217485,7.00,7.00,5.00,6.00,7.00,6.75,4.00,8.00,6.00,201,NULL,212,'CARIANOS','FLORIANóPOLIS','SC',3015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217493,6.00,7.00,7.00,8.00,7.00,7.50,4.00,7.00,5.00,303,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',2092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217507,2.00,3.00,5.00,5.00,3.00,NULL,4.00,3.00,0.00,404,NULL,NULL,'MADRI','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217515,3.00,3.00,2.00,4.00,1.00,NULL,2.00,4.00,2.00,340,NULL,NULL,'SãO LUíS','TREZE MAIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3217531,3.00,4.00,3.00,0.00,2.00,NULL,4.00,2.00,4.00,220,NULL,213,'S ANTôNIO DE PáDUA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3217540,4.00,5.00,2.00,3.00,3.00,NULL,4.00,3.00,4.00,420,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217558,6.00,5.00,3.00,7.00,5.00,5.25,3.00,5.00,4.00,318,NULL,NULL,'MIRANTE','ITá','SC',10290,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3217566,5.00,5.00,4.00,5.00,6.00,5.25,3.00,6.00,6.00,238,NULL,208,'CAEIRA SACO LIMOES','FLORIANóPOLIS','SC',8806,239,NULL,245,NULL,NULL,NULL,2,1),(16,3217574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BELA VISTA','SORRISO','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3217582,2.00,1.00,2.00,4.00,5.00,NULL,3.00,0.00,4.00,424,NULL,425,'BALNEáRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217590,5.00,5.00,2.00,1.00,5.00,5.50,5.00,6.00,5.00,203,NULL,233,'JARDIM SãO LUíS','MONTES CLAROS','MG',12021,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3217612,4.00,3.00,1.00,3.00,1.00,NULL,1.00,0.00,4.00,452,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217647,4.00,3.00,1.00,6.00,5.00,4.00,1.00,4.00,2.00,415,NULL,NULL,'PASSA VINTE','PALHOçA','SC',16462,416,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217655,5.00,3.00,3.00,3.00,6.00,5.50,2.00,4.00,6.00,104,NULL,NULL,'CARAVAGIO','LAGES','SC',14460,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3217663,2.00,1.00,1.00,4.00,3.00,NULL,2.00,6.00,5.00,425,NULL,429,'JARDIM JANAINA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217671,4.00,6.00,4.00,5.00,5.00,4.50,4.00,5.00,4.00,202,NULL,213,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',10746,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217680,4.00,6.00,6.00,8.00,6.00,5.25,3.00,6.00,7.00,207,NULL,208,'JOSE MENDES','FLORIANóPOLIS','SC',4999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217698,4.00,6.00,3.00,7.00,4.00,4.75,3.00,6.00,3.00,423,NULL,428,'CAPOEIRAS','FLORIANóPOLIS','SC',12259,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217736,2.00,2.00,2.00,5.00,4.00,NULL,2.00,2.00,3.00,238,NULL,208,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217744,1.00,5.00,2.00,3.00,3.00,NULL,0.00,4.00,5.00,9,NULL,NULL,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3217752,3.00,5.00,1.00,6.00,4.00,5.50,0.00,5.00,3.00,203,NULL,233,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217779,2.00,0.00,1.00,6.00,5.00,NULL,2.00,2.00,3.00,404,NULL,NULL,'PRAINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217787,6.00,5.00,9.00,8.00,5.00,5.25,4.00,7.00,7.00,203,NULL,211,'CHACARA SANTA MARIA','VOTORANTIM','SP',3101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217809,1.00,6.00,5.00,8.00,4.00,5.25,4.00,6.00,5.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217817,4.00,1.00,1.00,8.00,4.00,NULL,2.00,1.00,2.00,453,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3217825,2.00,5.00,3.00,5.00,2.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'JARDIM ATLâNTICO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'MORIN','PETRóPOLIS','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3217841,5.00,6.00,3.00,8.00,7.00,8.00,2.00,7.00,5.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'JATIUCA','MACEIó','AL',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3217876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3217892,4.00,5.00,2.00,5.00,3.00,NULL,2.00,5.00,2.00,444,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217906,4.00,4.00,3.00,5.00,3.00,NULL,1.00,3.00,4.00,332,NULL,NULL,'AEROPORTO','CORUMBá','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217914,7.00,7.00,6.00,8.00,8.00,6.50,4.00,7.00,6.00,202,NULL,213,'SANTA CECíLIA','PTO ALEGRE','RS',1901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'NOVA BRASILIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3217949,9.00,8.00,7.00,8.00,6.00,4.75,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','S JOãO BATISTA','SC',2541,977,NULL,NULL,NULL,NULL,NULL,2,3),(16,3217957,5.00,4.00,5.00,4.00,4.00,6.00,1.00,6.00,3.00,415,NULL,NULL,'TERRA NOVA II','S BERNARDO CAMPO','SP',12557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3217965,6.00,7.00,6.00,8.00,8.00,5.50,3.00,7.00,6.00,103,NULL,NULL,'ASA SUL','BRASíLIA','DF',3053,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3217981,3.00,4.00,2.00,3.00,2.00,NULL,2.00,3.00,3.00,208,NULL,238,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3217990,8.00,8.00,4.00,5.00,6.00,5.50,4.00,8.00,4.00,201,NULL,211,'CAMPECHE','FLORIANóPOLIS','SC',4936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218007,2.00,4.00,4.00,2.00,3.00,NULL,4.00,0.00,4.00,444,NULL,NULL,'PARQUE SãO JORGE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218015,7.00,8.00,6.00,9.00,7.00,5.25,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','NAVEGANTES','SC',1571,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3218031,1.00,3.00,2.00,2.00,3.00,NULL,3.00,6.00,2.00,103,NULL,NULL,'CENTRO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3218040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM AMéRICA','MARíLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3218058,4.00,3.00,3.00,5.00,5.00,5.25,3.00,3.00,2.00,203,NULL,238,'VILA NOVA','IMBITUBA','SC',16155,921,NULL,529,NULL,NULL,NULL,2,10),(16,3218074,7.00,6.00,5.00,6.00,5.00,4.50,5.00,8.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4842,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3218082,5.00,5.00,3.00,4.00,6.00,7.00,2.00,6.00,6.00,9,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',7851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218090,2.00,1.00,1.00,1.00,3.00,NULL,2.00,2.00,1.00,225,NULL,NULL,'RIBEIRAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218104,1.00,3.00,1.00,7.00,7.00,5.00,2.00,8.00,4.00,317,NULL,NULL,'SERRARIA','S JOSé','SC',13750,124,NULL,NULL,NULL,NULL,NULL,2,1),(16,3218112,6.00,5.00,6.00,4.00,5.00,5.00,1.00,5.00,5.00,9,NULL,NULL,'GASPARINHO','GASPAR','SC',9399,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3218120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'COLONIA VITóRIA','VITóRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3218139,3.00,6.00,1.00,7.00,2.00,NULL,3.00,5.00,3.00,238,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218155,3.00,1.00,2.00,3.00,1.00,NULL,1.00,4.00,3.00,208,NULL,238,'ESTREITO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3218171,9.00,7.00,9.00,6.00,8.00,6.25,8.00,9.00,9.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218180,4.00,2.00,4.00,5.00,5.00,5.50,2.00,5.00,4.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',14309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218198,4.00,0.00,4.00,5.00,4.00,5.75,4.00,3.00,5.00,428,NULL,429,'PANTANAL','FLORIANóPOLIS','SC',15362,88,NULL,61,NULL,NULL,NULL,2,1),(16,3218201,6.00,8.00,6.00,6.00,5.00,7.00,6.00,6.00,6.00,301,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',3369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3218210,3.00,4.00,3.00,4.00,4.00,2.25,2.00,4.00,2.00,332,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3218228,5.00,4.00,1.00,5.00,2.00,NULL,3.00,5.00,5.00,208,NULL,202,'BALNEáRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218236,4.00,1.00,3.00,0.00,2.00,NULL,1.00,2.00,4.00,319,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218279,6.00,5.00,3.00,7.00,7.00,5.50,4.00,8.00,4.00,318,NULL,NULL,'CANTA GALO','RIO SUL','SC',6243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3218287,4.00,4.00,1.00,2.00,4.00,NULL,3.00,1.00,3.00,103,NULL,NULL,'SãO SEBASTIãO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218309,2.00,4.00,3.00,7.00,6.00,4.50,1.00,7.00,3.00,213,NULL,202,'OFICINAS','TUBARãO','SC',14032,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3218325,3.00,3.00,3.00,2.00,3.00,NULL,0.00,4.00,4.00,316,NULL,NULL,'FORQUILIHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218333,4.00,8.00,3.00,5.00,5.00,4.75,2.00,7.00,3.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218341,4.00,1.00,1.00,2.00,3.00,NULL,1.00,5.00,2.00,203,NULL,214,'MARIA GORETI','CHAPECO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3218376,4.00,5.00,1.00,2.00,6.00,6.00,4.00,4.00,3.00,103,NULL,NULL,'VILLAGE','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218384,6.00,5.00,4.00,8.00,4.00,5.00,3.00,7.00,3.00,212,NULL,214,'CENTRO','ARARAQUARA','SP',7938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218406,4.00,4.00,3.00,1.00,1.00,NULL,3.00,4.00,4.00,102,NULL,NULL,'JOãO COSTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3218414,3.00,7.00,2.00,5.00,3.00,NULL,3.00,7.00,4.00,234,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3218422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PITANGUEIRAS','STO ANTôNIO PATRULHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3218430,2.00,5.00,6.00,5.00,4.00,5.75,5.00,7.00,3.00,207,NULL,215,'CENTRO','CASCAVEL','PR',9327,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3218449,6.00,7.00,6.00,6.00,6.00,4.75,5.00,7.00,6.00,340,NULL,NULL,'SAPETINGA','ILHéUS','BA',4317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218457,3.00,2.00,3.00,4.00,1.00,NULL,4.00,4.00,2.00,103,NULL,NULL,'LA SALLE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3218465,3.00,4.00,1.00,5.00,3.00,NULL,4.00,4.00,3.00,102,NULL,NULL,'JOãO COSTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3218481,1.00,4.00,3.00,4.00,4.00,6.00,2.00,6.00,3.00,328,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218503,7.00,5.00,7.00,9.00,5.00,7.25,2.00,5.00,3.00,415,NULL,NULL,'VILA ESTRELA','AMAMBAí','MS',6003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218511,7.00,7.00,9.00,9.00,7.00,8.00,6.00,9.00,7.00,220,NULL,202,'ITACORUBI','FLORIANóPOLIS','SC',481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218520,8.00,7.00,4.00,6.00,5.00,6.50,3.00,7.00,9.00,103,NULL,NULL,'CENTRO','RIBEIRãO PRETO','SP',2777,1043,NULL,NULL,NULL,NULL,NULL,2,1),(16,3218538,7.00,7.00,5.00,8.00,7.00,5.50,5.00,8.00,6.00,216,NULL,203,'CENTRO','IPORã OESTE','SC',2398,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3218546,2.00,1.00,1.00,4.00,3.00,NULL,3.00,2.00,6.00,103,NULL,NULL,'SAMBUGARO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3218554,2.00,6.00,2.00,7.00,4.00,5.25,2.00,5.00,3.00,5,NULL,NULL,'SãO JUDAS','ITAJAí','SC',13279,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3218562,4.00,5.00,2.00,3.00,3.00,NULL,0.00,6.00,2.00,317,NULL,NULL,'MONTE CASTELO','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3218570,6.00,7.00,3.00,9.00,7.00,5.75,5.00,6.00,6.00,216,NULL,215,'VILA NOVA','BLUMENAU','SC',3977,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3218589,5.00,6.00,4.00,6.00,6.00,5.50,3.00,4.00,5.00,213,NULL,233,'TRêS VENDAS','ERECHIM','RS',7136,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3218600,7.00,5.00,7.00,8.00,7.00,5.50,3.00,9.00,6.00,203,NULL,NULL,'JARDIM NOVO HORIZONT','MARINGá','PR',2900,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3218619,4.00,3.00,8.00,4.00,2.00,NULL,5.00,5.00,5.00,202,NULL,NULL,'PALMITAL','MARíLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218627,5.00,5.00,2.00,7.00,7.00,6.50,5.00,8.00,3.00,201,NULL,NULL,'SANTA CATARINA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218635,4.00,6.00,4.00,5.00,4.00,4.50,3.00,6.00,5.00,213,NULL,212,'ASA SUL','BRASíLIA','DF',10483,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3218643,5.00,7.00,5.00,7.00,6.00,6.50,2.00,7.00,4.00,216,NULL,233,'JOÃO PAULO','FLORIANóPOLIS','SC',5984,207,NULL,NULL,NULL,NULL,NULL,1,1),(16,3218651,9.00,8.00,9.00,7.00,6.00,6.50,8.00,7.00,7.00,203,NULL,214,'AZAMBUJA','BRUSQUE','SC',392,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3218660,2.00,5.00,2.00,6.00,4.00,3.00,4.00,2.00,2.00,108,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3218678,5.00,7.00,1.00,7.00,5.00,6.25,5.00,9.00,5.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',5588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218686,3.00,4.00,3.00,6.00,2.00,NULL,1.00,5.00,1.00,102,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3218708,5.00,3.00,4.00,7.00,5.00,4.50,4.00,7.00,5.00,340,NULL,NULL,'SAO DOMINGOS','PAULíNIA','SP',8886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3218716,4.00,0.00,2.00,2.00,1.00,NULL,4.00,2.00,1.00,213,NULL,203,'INTERIOR','CORONEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3218724,4.00,4.00,4.00,9.00,7.00,6.50,5.00,6.00,7.00,304,NULL,NULL,'MADUREIRA','CAXIAS SUL','RS',4190,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3218732,7.00,9.00,6.00,4.00,5.00,5.00,5.00,7.00,7.00,203,NULL,201,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',3484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218740,4.00,9.00,2.00,3.00,3.00,NULL,1.00,9.00,2.00,333,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218759,2.00,1.00,1.00,3.00,2.00,NULL,3.00,3.00,3.00,2,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3218767,6.00,6.00,4.00,9.00,8.00,6.50,5.00,5.00,5.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218775,6.00,6.00,5.00,6.00,5.00,5.50,3.00,7.00,3.00,201,NULL,212,'AREAL','PELOTAS','RS',7856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218783,6.00,4.00,3.00,4.00,4.00,6.00,1.00,6.00,1.00,316,NULL,NULL,'SANTO ANT DE LISBOA','FLORIANóPOLIS','SC',14626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218791,1.00,4.00,3.00,6.00,4.00,5.00,4.00,4.00,6.00,203,NULL,NULL,'PRAçA','TIJUCAS','SC',13195,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3218805,8.00,4.00,5.00,9.00,5.00,5.00,2.00,7.00,5.00,207,NULL,211,'ANDORINHA','ITAPEMA','SC',5793,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3218821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'SíTIO SANTO ANTONIO','RONDON','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3218830,6.00,7.00,6.00,9.00,7.00,6.25,3.00,6.00,6.00,102,NULL,NULL,'JARDIM VILLAGE','TREMEMBé','SP',2456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218848,0.00,5.00,5.00,7.00,3.00,NULL,3.00,4.00,1.00,316,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3218856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JD INDEPENDENCIA','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3218864,4.00,6.00,1.00,7.00,4.00,5.00,3.00,4.00,4.00,211,NULL,202,'CENTRO','PINHALZINHO','SC',12918,448,NULL,445,NULL,NULL,NULL,2,4),(16,3218880,4.00,5.00,2.00,5.00,5.00,4.75,3.00,6.00,5.00,340,NULL,NULL,'FAZENDA SANTO ANTôNI','S JOSé','SC',12115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218899,3.00,3.00,3.00,4.00,4.00,4.50,3.00,3.00,5.00,303,NULL,NULL,'DOUTOR ARI LUNARDI','XAXIM','SC',15707,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3218902,7.00,6.00,5.00,8.00,6.00,6.25,4.00,5.00,6.00,212,NULL,215,'SãO JUDAS','ITAJAí','SC',4208,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3218937,6.00,6.00,7.00,8.00,7.00,7.50,4.00,9.00,5.00,340,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',2602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218945,6.00,5.00,2.00,4.00,4.00,5.25,2.00,6.00,5.00,108,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',11823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218953,4.00,6.00,3.00,5.00,3.00,NULL,2.00,2.00,5.00,215,NULL,216,'VILA CHARLOTE','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3218970,3.00,2.00,2.00,1.00,7.00,NULL,1.00,1.00,3.00,9,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3218988,5.00,3.00,3.00,6.00,4.00,6.00,4.00,6.00,4.00,103,NULL,NULL,'JD CIDADE FLORIANOPO','S JOSé','SC',11661,2402,NULL,NULL,NULL,NULL,NULL,2,1),(16,3218996,9.00,9.00,7.00,8.00,8.00,6.50,8.00,8.00,8.00,203,NULL,214,'PIONEIROS','BAL CAMBORIú','SC',216,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3219003,2.00,2.00,1.00,2.00,5.00,NULL,1.00,2.00,1.00,102,NULL,NULL,'VILA NOVA','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3219011,1.00,3.00,2.00,0.00,0.00,NULL,1.00,4.00,2.00,215,NULL,208,'ALTO DAS PALMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3219020,7.00,5.00,3.00,6.00,5.00,6.25,3.00,5.00,7.00,103,NULL,NULL,'JARDIM PETRóPOLIS','LONDRINA','PR',6922,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3219038,8.00,6.00,8.00,7.00,6.00,6.00,6.00,8.00,9.00,103,NULL,NULL,'SANTA MARIA','JATAí','GO',787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219046,4.00,6.00,3.00,8.00,5.00,6.00,0.00,6.00,3.00,308,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',12073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219054,5.00,6.00,4.00,8.00,6.00,6.00,2.00,4.00,3.00,415,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219062,3.00,0.00,1.00,2.00,1.00,NULL,0.00,2.00,4.00,238,NULL,208,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219070,2.00,5.00,1.00,3.00,2.00,NULL,2.00,3.00,5.00,301,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219089,3.00,5.00,3.00,2.00,3.00,NULL,3.00,5.00,2.00,203,NULL,201,'SANTA MONICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,208,'SAO JUDAS TADEU','CRUZEIRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3219100,2.00,4.00,4.00,5.00,3.00,NULL,2.00,4.00,3.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARIA','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3219135,3.00,5.00,3.00,3.00,3.00,NULL,5.00,3.00,4.00,203,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219143,4.00,6.00,3.00,6.00,4.00,4.75,1.00,5.00,4.00,103,NULL,NULL,'CENTRO','STA HELENA','PR',12410,2477,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219151,7.00,6.00,3.00,8.00,6.00,6.00,3.00,7.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4927,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219160,4.00,3.00,4.00,6.00,4.00,5.00,3.00,2.00,2.00,215,NULL,216,'SANTO ANTôNIO','JOINVILLE','SC',15620,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3219178,4.00,4.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,201,NULL,212,'LOTEAMENTO MENZEN','S CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(16,3219186,5.00,4.00,2.00,7.00,3.00,NULL,3.00,6.00,4.00,452,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ALVORADA','CARAZINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3219208,3.00,6.00,3.00,5.00,2.00,NULL,3.00,4.00,3.00,2,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219216,8.00,8.00,6.00,8.00,8.00,6.50,6.00,9.00,9.00,103,NULL,NULL,'ESPLANADA','CHAPECó','SC',494,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3219224,1.00,2.00,2.00,2.00,2.00,NULL,1.00,1.00,3.00,428,NULL,426,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219232,6.00,3.00,6.00,8.00,6.00,6.25,5.00,7.00,7.00,103,NULL,NULL,'PARQUE SANTA Fé','PTO ALEGRE','RS',4283,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3219259,2.00,1.00,2.00,1.00,3.00,NULL,2.00,3.00,3.00,208,NULL,220,'SERTãO DO MARUI','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219267,9.00,8.00,4.00,8.00,5.00,5.00,2.00,9.00,8.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',2247,893,NULL,NULL,NULL,NULL,NULL,2,8),(16,3219275,1.00,0.00,1.00,3.00,3.00,NULL,1.00,2.00,5.00,332,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219283,2.00,3.00,4.00,7.00,5.00,5.00,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','S LOURENçO OESTE','SC',15443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219291,2.00,2.00,2.00,1.00,0.00,NULL,1.00,0.00,3.00,208,NULL,216,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3219305,3.00,5.00,4.00,7.00,5.00,5.50,1.00,7.00,4.00,203,NULL,202,'CENTRO','FLORIANóPOLIS','SC',10097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219313,8.00,6.00,4.00,6.00,7.00,5.50,4.00,8.00,6.00,333,NULL,NULL,'CENTRO','TOLEDO','PR',3115,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3219321,3.00,5.00,1.00,6.00,5.00,4.00,2.00,8.00,2.00,310,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',14485,57,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219330,6.00,6.00,7.00,3.00,5.00,5.25,6.00,9.00,8.00,216,NULL,NULL,'JARDIM SANTANA','CALIFóRNIA','PR',3561,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3219348,3.00,4.00,2.00,2.00,3.00,NULL,1.00,2.00,5.00,214,NULL,220,'HUMAITA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3219356,6.00,2.00,2.00,6.00,4.00,4.00,2.00,2.00,5.00,319,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219364,3.00,3.00,2.00,7.00,6.00,6.50,2.00,6.00,4.00,453,NULL,NULL,'CENTRO','NOVA TRENTO','SC',12318,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3219380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JD SHANGRI LA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3219399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3219402,4.00,5.00,4.00,9.00,6.00,5.50,3.00,6.00,4.00,207,NULL,211,'ATIRADORES','JOINVILLE','SC',7568,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3219410,3.00,2.00,2.00,3.00,4.00,5.75,3.00,6.00,3.00,339,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',16389,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3219429,9.00,8.00,7.00,8.00,8.00,5.75,3.00,8.00,7.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',1198,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3219437,4.00,6.00,5.00,6.00,5.00,6.25,3.00,6.00,3.00,303,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',10122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219445,4.00,3.00,3.00,5.00,5.00,5.50,4.00,6.00,3.00,301,NULL,NULL,'FAZENDA','ITAJAí','SC',12615,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3219453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3219461,7.00,8.00,1.00,6.00,6.00,6.75,3.00,8.00,7.00,310,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',4641,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RONDON','PR',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3219488,2.00,6.00,2.00,5.00,5.00,5.50,4.00,8.00,3.00,501,NULL,NULL,'COMERCIARIO','CRICIúMA','SC',11466,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3219496,6.00,8.00,5.00,5.00,5.00,6.50,4.00,8.00,6.00,5,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',3879,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3219500,3.00,2.00,3.00,4.00,4.00,3.25,3.00,5.00,3.00,238,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219518,3.00,6.00,7.00,5.00,8.00,5.50,2.00,6.00,5.00,201,NULL,233,'VARGINHA','STO AMARO IMPERATRIZ','SC',7654,602,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'CONDOMÍNIO POUSADA','QUATRO BARRAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3219534,2.00,5.00,1.00,4.00,3.00,NULL,2.00,1.00,3.00,420,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219542,4.00,4.00,1.00,5.00,5.00,6.25,2.00,6.00,1.00,103,NULL,NULL,'VILA RICA','GOV VALADARES','MG',15540,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3219550,1.00,2.00,4.00,6.00,5.00,NULL,1.00,3.00,0.00,309,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219585,3.00,3.00,2.00,4.00,4.00,5.50,5.00,3.00,2.00,9,NULL,NULL,'AGUA VERDE','BLUMENAU','SC',16085,170,NULL,NULL,NULL,NULL,NULL,2,2),(16,3219593,5.00,7.00,4.00,9.00,7.00,5.75,4.00,6.00,7.00,215,NULL,216,'CENTRO','TUBARãO','SC',3786,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3219607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,207,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3219615,3.00,1.00,1.00,4.00,2.00,NULL,3.00,3.00,3.00,238,NULL,208,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219623,4.00,4.00,4.00,7.00,5.00,6.50,3.00,5.00,6.00,216,NULL,215,'ITAUM','JOINVILLE','SC',9080,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3219631,8.00,8.00,7.00,8.00,7.00,5.50,3.00,8.00,6.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',1500,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3219658,2.00,4.00,1.00,2.00,4.00,5.75,3.00,7.00,3.00,238,NULL,208,'KOBRASOL','S JOSé','SC',16541,548,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'AMADORI','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3219682,2.00,1.00,4.00,5.00,3.00,NULL,2.00,1.00,3.00,444,NULL,NULL,'CENTRO','FORMOSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3219690,4.00,4.00,7.00,5.00,6.00,6.00,4.00,6.00,6.00,103,NULL,NULL,'BATEL','CURITIBA','PR',6058,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3219704,8.00,4.00,1.00,6.00,5.00,6.50,1.00,6.00,5.00,420,NULL,NULL,'ALTO DO PARQUE','LAJEADO','RS',10181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219712,4.00,7.00,5.00,9.00,8.00,5.25,2.00,8.00,4.00,318,NULL,NULL,'CENTRO','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3219720,5.00,7.00,4.00,5.00,5.00,5.25,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',8421,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3219739,3.00,3.00,1.00,5.00,2.00,NULL,1.00,5.00,3.00,301,NULL,NULL,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3219747,3.00,1.00,3.00,2.00,3.00,NULL,1.00,0.00,3.00,207,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3219755,1.00,2.00,2.00,5.00,4.00,NULL,1.00,4.00,2.00,452,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219771,5.00,5.00,4.00,4.00,3.00,NULL,3.00,4.00,2.00,224,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219780,2.00,2.00,3.00,4.00,5.00,NULL,2.00,3.00,2.00,203,NULL,208,'PARQUE DAS AVENIDAS','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3219801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3219810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'LAGEADO DOS VIEIRAS','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3219828,1.00,4.00,1.00,7.00,7.00,7.00,2.00,4.00,5.00,452,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219836,3.00,2.00,3.00,1.00,3.00,NULL,5.00,5.00,3.00,207,NULL,201,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3219844,5.00,5.00,4.00,7.00,4.00,4.75,2.00,4.00,1.00,108,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',14336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219852,5.00,5.00,5.00,6.00,7.00,5.75,5.00,4.00,4.00,302,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',6152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3219879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','NOVA MUTUM','MT',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3219887,7.00,6.00,5.00,8.00,7.00,7.00,3.00,6.00,8.00,303,NULL,NULL,'CENTRO','CAçADOR','SC',3152,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3219895,7.00,5.00,5.00,7.00,4.00,5.00,2.00,4.00,4.00,108,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',9016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219925,5.00,4.00,3.00,3.00,4.00,5.00,3.00,5.00,2.00,238,NULL,208,'BARRA DO RIO MOLHA','JARAGUá SUL','SC',14842,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3219933,3.00,2.00,3.00,1.00,2.00,NULL,1.00,1.00,4.00,333,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219941,2.00,2.00,2.00,7.00,7.00,NULL,2.00,2.00,3.00,303,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219950,3.00,2.00,4.00,5.00,1.00,NULL,1.00,3.00,3.00,320,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219968,4.00,3.00,5.00,3.00,6.00,5.00,2.00,6.00,2.00,104,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',14701,424,NULL,NULL,NULL,NULL,NULL,4,1),(16,3219984,5.00,7.00,4.00,6.00,4.00,4.75,3.00,7.00,6.00,238,NULL,216,'BOM ABRIGO','FLORIANóPOLIS','SC',7452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3219992,3.00,4.00,1.00,6.00,3.00,NULL,3.00,4.00,5.00,220,NULL,214,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220001,6.00,6.00,2.00,8.00,7.00,5.50,3.00,6.00,3.00,102,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',7962,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3220010,2.00,4.00,3.00,1.00,4.00,NULL,2.00,3.00,3.00,404,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3220028,4.00,5.00,4.00,9.00,3.00,NULL,0.00,7.00,6.00,203,NULL,215,'VENEZA','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3220044,3.00,4.00,1.00,4.00,4.00,6.75,2.00,4.00,7.00,211,NULL,208,'CENTRO','CAXIAS SUL','RS',13919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3220060,8.00,8.00,5.00,8.00,7.00,5.75,3.00,7.00,5.00,340,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',2803,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3220079,9.00,8.00,7.00,9.00,8.00,6.50,4.00,9.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220087,7.00,6.00,4.00,6.00,5.00,4.25,2.00,8.00,7.00,304,NULL,NULL,'VELHA','BLUMENAU','SC',7096,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3220095,9.00,9.00,7.00,8.00,8.00,7.50,4.00,8.00,8.00,5,NULL,NULL,'CZERNIEWICZ','JARAGUá SUL','SC',363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3220109,2.00,2.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3220117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3220125,4.00,3.00,2.00,5.00,3.00,NULL,1.00,5.00,2.00,101,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3220133,4.00,3.00,2.00,6.00,2.00,NULL,2.00,4.00,1.00,329,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3220141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3220150,4.00,2.00,2.00,2.00,4.00,NULL,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','CAIçARA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3220168,5.00,2.00,2.00,1.00,3.00,NULL,2.00,5.00,3.00,207,NULL,201,'BELA VISTA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3220176,5.00,3.00,3.00,1.00,6.00,4.50,2.00,2.00,5.00,301,NULL,NULL,'BELA VISTA','SAO JOSE','SC',16347,372,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220192,4.00,3.00,3.00,7.00,1.00,NULL,2.00,3.00,5.00,9,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3220206,6.00,5.00,6.00,7.00,4.00,4.00,5.00,7.00,7.00,203,NULL,201,'CENTRO','BAL CAMBORIú','SC',5480,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3220214,2.00,1.00,1.00,5.00,3.00,NULL,3.00,3.00,4.00,223,NULL,NULL,'SANTA TEREZINHA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3220222,2.00,5.00,2.00,2.00,4.00,4.50,2.00,5.00,7.00,216,NULL,215,'ESTREITO','FLORIANóPOLIS','SC',15132,480,NULL,329,NULL,NULL,NULL,4,1),(16,3220230,3.00,5.00,1.00,7.00,5.00,6.75,3.00,7.00,2.00,2,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',11939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220249,1.00,3.00,1.00,2.00,2.00,NULL,4.00,4.00,2.00,420,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220257,4.00,6.00,4.00,6.00,4.00,4.50,2.00,5.00,2.00,317,NULL,NULL,'CAMPINAS','S JOSé','SC',14177,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3220273,7.00,7.00,4.00,8.00,5.00,5.50,5.00,9.00,4.00,103,NULL,NULL,'CENTRO','TAIó','SC',4364,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3220290,2.00,2.00,2.00,4.00,4.00,NULL,1.00,5.00,4.00,208,NULL,238,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3220303,6.00,6.00,4.00,5.00,2.00,NULL,5.00,7.00,5.00,234,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3220311,4.00,1.00,2.00,2.00,4.00,NULL,1.00,2.00,2.00,302,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3220320,5.00,9.00,4.00,7.00,6.00,5.00,4.00,7.00,5.00,238,NULL,208,'NOSSA SRA DO ROSARIO','S JOSé','SC',5801,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3220338,4.00,5.00,3.00,6.00,6.00,6.00,4.00,4.00,6.00,303,NULL,NULL,'COMERCIáRIO','CRICIúMA','SC',9250,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3220346,5.00,4.00,2.00,7.00,6.00,4.00,2.00,6.00,4.00,238,NULL,202,'CAMPECHE','FLORIANóPOLIS','SC',12313,366,NULL,435,NULL,NULL,NULL,2,1),(16,3220362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,213,'CENTRO','NAVIRAí','MS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3220370,4.00,2.00,1.00,1.00,2.00,NULL,3.00,1.00,4.00,319,NULL,NULL,'BELA VISTA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3220389,4.00,6.00,7.00,9.00,6.00,4.75,4.00,6.00,6.00,317,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',4833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220397,1.00,4.00,1.00,0.00,3.00,NULL,2.00,4.00,2.00,211,NULL,207,'INTERIOR','ABDON BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3220400,3.00,2.00,1.00,5.00,4.00,6.25,4.00,2.00,4.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',16153,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3220419,5.00,5.00,5.00,4.00,4.00,4.00,2.00,4.00,4.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',12761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220427,5.00,1.00,1.00,6.00,3.00,NULL,3.00,4.00,2.00,212,NULL,201,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3220435,3.00,1.00,1.00,2.00,5.00,NULL,1.00,3.00,1.00,317,NULL,NULL,'STO ANTONIO DELISBOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220443,8.00,6.00,6.00,7.00,8.00,4.00,4.00,8.00,5.00,301,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',3509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220451,6.00,4.00,3.00,1.00,4.00,4.75,2.00,3.00,4.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',16561,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3220460,2.00,3.00,1.00,4.00,4.00,NULL,3.00,3.00,4.00,333,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220478,8.00,4.00,6.00,6.00,2.00,NULL,6.00,6.00,4.00,220,NULL,202,'JARDIM EUROPA','AVARé','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220486,3.00,4.00,5.00,2.00,1.00,NULL,2.00,5.00,2.00,220,NULL,202,'CENTRO','TANGARá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3220494,7.00,6.00,6.00,7.00,7.00,4.50,3.00,8.00,8.00,214,NULL,203,'BOM RETIRO','S PAULO','SP',3519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220508,6.00,6.00,6.00,5.00,3.00,NULL,0.00,8.00,2.00,340,NULL,NULL,'PARQUE SAO JORGE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220516,3.00,7.00,3.00,6.00,4.00,5.50,3.00,7.00,4.00,207,NULL,201,'BELA VISTA','CHAPECó','SC',11594,562,NULL,894,NULL,NULL,NULL,2,4),(16,3220524,7.00,7.00,6.00,6.00,7.00,6.50,3.00,8.00,5.00,201,NULL,212,'COQUEIROS','FLORIANóPOLIS','SC',3007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220532,7.00,8.00,5.00,9.00,8.00,5.75,4.00,5.00,7.00,5,NULL,NULL,'CENTRO','MARAVILHA','SC',2863,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3220559,2.00,1.00,4.00,3.00,0.00,NULL,3.00,2.00,2.00,444,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3220575,4.00,7.00,3.00,8.00,7.00,5.25,4.00,7.00,3.00,303,NULL,NULL,'CENTRO','BRAçO NORTE','SC',6714,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3220583,3.00,4.00,2.00,9.00,6.00,4.75,3.00,4.00,0.00,340,NULL,NULL,'CENTRO','LAGES','SC',13846,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3220591,4.00,3.00,4.00,0.00,4.00,NULL,2.00,7.00,5.00,303,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220621,6.00,3.00,2.00,4.00,6.00,6.00,3.00,8.00,5.00,103,NULL,NULL,'CENTRO','LAURO MüLLER','SC',9977,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3220648,5.00,6.00,1.00,6.00,6.00,3.25,1.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3220664,2.00,3.00,2.00,2.00,4.00,NULL,2.00,5.00,3.00,108,NULL,NULL,'BAIRRO UNIVERSITáRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA OLIMPIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3220680,5.00,6.00,6.00,7.00,6.00,5.00,3.00,7.00,4.00,5,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',6674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220699,6.00,6.00,4.00,7.00,4.00,5.25,4.00,5.00,4.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220702,8.00,6.00,8.00,8.00,6.00,7.75,6.00,9.00,8.00,5,NULL,NULL,'JARDIM APOLO','S JOSé CAMPOS','SP',522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220710,2.00,1.00,4.00,1.00,3.00,NULL,2.00,6.00,3.00,108,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3220729,3.00,1.00,3.00,4.00,2.00,NULL,2.00,3.00,2.00,502,NULL,NULL,'PRAIA DA CAL','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3220737,2.00,2.00,1.00,6.00,1.00,NULL,3.00,3.00,2.00,333,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220745,7.00,3.00,2.00,4.00,3.00,NULL,1.00,4.00,3.00,223,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ALTO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3220761,5.00,7.00,1.00,8.00,9.00,7.75,3.00,9.00,3.00,331,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4732,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3220770,4.00,0.00,1.00,4.00,3.00,NULL,1.00,4.00,3.00,502,NULL,NULL,'CENTRO','LAURO MüLLER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3220788,3.00,4.00,1.00,1.00,2.00,NULL,2.00,3.00,4.00,415,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GARIBALDI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3220818,3.00,5.00,3.00,6.00,6.00,5.50,3.00,5.00,4.00,420,NULL,NULL,'NAZARé','CONCóRDIA','SC',11071,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3220826,3.00,5.00,3.00,5.00,4.00,4.75,5.00,5.00,3.00,303,NULL,NULL,'CENTRO','JOINVILLE','SC',13355,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3220834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,201,'JARDIM PARATY','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3220842,6.00,7.00,2.00,7.00,7.00,6.00,5.00,7.00,7.00,214,NULL,203,'CAPOEIRAS','FLORIANóPOLIS','SC',5250,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3220850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3220869,6.00,7.00,3.00,7.00,5.00,5.75,3.00,5.00,5.00,102,NULL,NULL,'COPACABANA','LAGES','SC',7147,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3220877,7.00,3.00,3.00,5.00,6.00,5.50,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',10437,2277,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220885,5.00,3.00,3.00,0.00,0.00,NULL,2.00,0.00,2.00,316,NULL,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(16,3220893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'SANTA TERESA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3220907,0.00,1.00,2.00,2.00,2.00,NULL,1.00,1.00,2.00,404,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3220915,7.00,7.00,5.00,8.00,6.00,6.75,3.00,9.00,6.00,340,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',2076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CASCATINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3220940,8.00,7.00,6.00,7.00,6.00,7.50,6.00,7.00,7.00,303,NULL,NULL,'SAO FRANCISCO','CATANDUVA','SP',1156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220958,5.00,6.00,3.00,5.00,4.00,4.25,1.00,9.00,2.00,103,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220974,4.00,6.00,3.00,5.00,5.00,5.50,7.00,5.00,6.00,213,NULL,215,'BOM JESUS','CAçADOR','SC',8015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3220982,7.00,6.00,1.00,2.00,4.00,5.50,2.00,5.00,4.00,103,NULL,NULL,'JD STA CANDIDA','CAMPINAS','SP',14125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3221008,9.00,6.00,4.00,8.00,7.00,6.75,7.00,8.00,8.00,104,NULL,NULL,'CENTRO','PATO BRANCO','PR',1205,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3221016,4.00,5.00,4.00,7.00,5.00,4.25,3.00,4.00,4.00,451,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3221032,2.00,4.00,2.00,3.00,6.00,5.25,4.00,7.00,5.00,101,NULL,NULL,'CENTRO','S PEDRO ALCâNTARA','SC',13297,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221040,6.00,5.00,5.00,8.00,5.00,6.00,5.00,6.00,6.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3221083,2.00,3.00,1.00,6.00,3.00,NULL,4.00,4.00,3.00,211,NULL,215,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221091,5.00,3.00,4.00,7.00,5.00,6.00,3.00,8.00,5.00,104,NULL,NULL,'CENTRO','HUMAITá','RS',8287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221105,7.00,7.00,3.00,7.00,4.00,5.75,2.00,7.00,4.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',7251,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221113,2.00,4.00,1.00,1.00,3.00,NULL,2.00,4.00,1.00,207,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3221121,2.00,4.00,2.00,3.00,0.00,NULL,2.00,2.00,1.00,208,NULL,202,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SETOR OESTE','GAMA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3221148,5.00,7.00,5.00,9.00,4.00,5.75,5.00,8.00,5.00,216,NULL,211,'CENTRO','ERECHIM','RS',4644,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3221156,6.00,4.00,5.00,9.00,5.00,5.00,1.00,3.00,6.00,108,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3221164,5.00,5.00,6.00,6.00,6.00,5.00,4.00,5.00,5.00,201,NULL,212,'LINHA GRUTA','BOM S SUL','PR',7193,560,NULL,202,NULL,NULL,NULL,2,4),(16,3221172,6.00,6.00,6.00,9.00,9.00,6.75,1.00,8.00,5.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3221180,2.00,5.00,5.00,3.00,4.00,5.50,2.00,2.00,4.00,104,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',15599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3221199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'JARDIM DAS LARANJEIR','ITATIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3221202,4.00,8.00,5.00,6.00,8.00,4.75,2.00,7.00,2.00,224,NULL,NULL,'COLONIA SANTANA','S JOSé','SC',6627,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221210,4.00,5.00,3.00,4.00,4.00,5.50,2.00,6.00,3.00,214,NULL,201,'CENTRO','TUBARãO','SC',12783,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3221229,4.00,4.00,4.00,5.00,5.00,6.25,2.00,4.00,6.00,301,NULL,NULL,'BALNEáRIO ESTREITO','FLORIANóPOLIS','SC',12934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221237,2.00,5.00,5.00,5.00,4.00,4.00,2.00,5.00,4.00,316,NULL,NULL,'AREIAS','S JOSé','SC',14233,170,NULL,NULL,NULL,NULL,NULL,4,1),(16,3221245,6.00,7.00,5.00,7.00,6.00,5.50,3.00,8.00,5.00,501,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',3542,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221253,5.00,7.00,3.00,7.00,6.00,5.25,4.00,9.00,4.00,103,NULL,NULL,'POPULAR','LAGES','SC',5798,1637,NULL,NULL,NULL,NULL,NULL,2,9),(16,3221270,5.00,5.00,4.00,6.00,6.00,4.25,1.00,7.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11343,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221288,5.00,4.00,5.00,6.00,5.00,4.75,1.00,2.00,2.00,102,NULL,NULL,'CDHU','TATUí','SP',14025,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221296,6.00,7.00,5.00,8.00,7.00,7.25,4.00,8.00,5.00,318,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',2397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3221300,4.00,6.00,2.00,2.00,7.00,5.25,0.00,6.00,4.00,303,NULL,NULL,'JARDIM ITALIA','CHAPECó','SC',13940,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3221318,7.00,6.00,5.00,7.00,7.00,6.75,4.00,7.00,7.00,301,NULL,NULL,'JD DAS INDUSTRIAS','S JOSé CAMPOS','SP',2904,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221326,6.00,4.00,2.00,4.00,4.00,7.00,4.00,6.00,3.00,102,NULL,NULL,'CORRIDAS','ORLEANS','SC',11498,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3221342,5.00,4.00,4.00,5.00,3.00,NULL,4.00,1.00,3.00,450,NULL,NULL,'CANGO','FRANCISCO BELTRãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3221350,2.00,4.00,2.00,5.00,4.00,5.00,2.00,4.00,4.00,238,NULL,NULL,'KOBRASOL','S JOSé','SC',15672,517,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PIRITUBA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3221377,1.00,4.00,2.00,1.00,1.00,NULL,2.00,4.00,3.00,201,NULL,238,'BAIRRO UNIVERSITáRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3221385,3.00,4.00,5.00,7.00,5.00,5.75,3.00,8.00,6.00,203,NULL,211,'CENTRO','FLORIANOPOLIS','SC',7182,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3221393,3.00,5.00,2.00,6.00,4.00,5.75,2.00,4.00,2.00,214,NULL,212,'VILA NOVA','BLUMENAU','SC',14865,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3221407,5.00,5.00,3.00,7.00,7.00,5.50,3.00,4.00,5.00,207,NULL,201,'ESTREITO','FLORIANóPOLIS','SC',9160,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221415,4.00,3.00,3.00,4.00,3.00,NULL,1.00,2.00,4.00,202,NULL,213,'TABULEIRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3221423,4.00,4.00,2.00,1.00,5.00,5.00,2.00,8.00,5.00,201,NULL,238,'MORROTES','TUBARãO','SC',15135,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3221458,3.00,2.00,3.00,4.00,4.00,4.50,3.00,6.00,3.00,207,NULL,208,'MORRETES','ITAPEMA','SC',15846,827,NULL,551,NULL,NULL,NULL,2,3),(16,3221466,3.00,4.00,2.00,7.00,5.00,5.50,1.00,6.00,2.00,425,NULL,424,'CENTRO','PASSO FUNDO','RS',14002,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3221474,4.00,3.00,4.00,1.00,5.00,4.00,2.00,4.00,3.00,208,NULL,201,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3221482,3.00,6.00,1.00,5.00,5.00,6.50,2.00,5.00,3.00,333,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',13431,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221504,6.00,5.00,2.00,8.00,6.00,4.25,6.00,6.00,6.00,202,NULL,203,'JARDIM BRASIL','BAURU','SP',6225,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3221512,5.00,6.00,9.00,8.00,7.00,4.25,5.00,6.00,7.00,213,NULL,202,'CORREGO GRANDE','FLORIANóPOLIS','SC',2348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3221520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'UNIVERSITáRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3221539,4.00,3.00,4.00,5.00,2.00,NULL,2.00,4.00,2.00,303,NULL,NULL,'VARGEM PEQUENA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221547,1.00,5.00,2.00,8.00,5.00,6.00,3.00,6.00,2.00,340,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',13082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3221555,5.00,3.00,3.00,7.00,7.00,4.50,3.00,7.00,3.00,317,NULL,NULL,'REAL PARQUE','S JOSé','SC',10435,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221563,4.00,4.00,2.00,7.00,2.00,NULL,0.00,3.00,3.00,501,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221580,7.00,6.00,6.00,6.00,5.00,6.25,3.00,7.00,4.00,201,NULL,212,'INGLESES','FLORIANóPOLIS','SC',7125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221598,5.00,2.00,2.00,4.00,4.00,NULL,1.00,3.00,3.00,207,NULL,201,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3221601,3.00,5.00,7.00,2.00,5.00,4.50,5.00,7.00,4.00,201,NULL,212,'CENTRO','TUBARãO','SC',10503,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3221610,8.00,5.00,5.00,8.00,5.00,5.75,3.00,6.00,5.00,103,NULL,NULL,'SEMINáRIO','CURITIBA','PR',4874,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3221628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NEGRÃO DE LIMA','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3221636,6.00,5.00,4.00,8.00,5.00,6.75,5.00,4.00,5.00,450,NULL,NULL,'JURERE','FLORIANóPOLIS','SC',6518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3221644,2.00,4.00,1.00,6.00,6.00,6.25,3.00,4.00,3.00,420,NULL,NULL,'TRêS VENDAS','ERECHIM','RS',14735,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221652,3.00,3.00,2.00,5.00,2.00,NULL,3.00,5.00,4.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3221679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3221687,3.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,3,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221695,3.00,1.00,1.00,4.00,4.00,NULL,2.00,2.00,2.00,423,NULL,428,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221709,4.00,4.00,5.00,5.00,5.00,5.00,2.00,3.00,2.00,302,NULL,NULL,'SãO SEBASTIãO','PALHOçA','SC',14531,190,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3221725,7.00,5.00,3.00,8.00,5.00,5.75,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','PR GRANDE','SC',5242,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3221733,2.00,3.00,2.00,4.00,2.00,NULL,2.00,4.00,3.00,108,NULL,NULL,'MARISTELA','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3221741,8.00,8.00,5.00,9.00,9.00,5.00,4.00,7.00,7.00,103,NULL,NULL,'ASA SUL','BRASíLIA','DF',1345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3221750,3.00,5.00,3.00,4.00,4.00,5.00,3.00,5.00,5.00,207,NULL,203,'CENTRO','CPO GRANDE','MS',13079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3221776,3.00,2.00,3.00,1.00,3.00,NULL,2.00,3.00,2.00,211,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3221784,5.00,5.00,1.00,6.00,6.00,6.00,2.00,6.00,4.00,317,NULL,NULL,'MORRETES II','PALHOçA','SC',10230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221792,5.00,6.00,3.00,2.00,3.00,NULL,3.00,6.00,3.00,501,NULL,NULL,'BORTOT','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3221806,6.00,5.00,9.00,4.00,6.00,5.00,5.00,5.00,8.00,103,NULL,NULL,'VILA TUPY','PR GRANDE','SP',4489,1397,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221814,2.00,0.00,4.00,4.00,6.00,4.75,3.00,5.00,4.00,233,NULL,201,'CENTRO','ORLEANS','SC',16173,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3221822,2.00,7.00,4.00,9.00,5.00,5.75,1.00,6.00,4.00,103,NULL,NULL,'COLINA VERDE','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3221830,3.00,3.00,3.00,2.00,3.00,NULL,3.00,2.00,2.00,319,NULL,NULL,'CENTRO','SANANDUVA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221857,9.00,6.00,6.00,9.00,8.00,5.50,7.00,8.00,7.00,340,NULL,NULL,'PâNTANO DO SUL','FLORIANóPOLIS','SC',997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3221865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3221873,4.00,7.00,4.00,8.00,4.00,6.00,1.00,7.00,3.00,212,NULL,213,'CENTRO','BRUSQUE','SC',8142,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3221881,4.00,7.00,7.00,5.00,7.00,5.25,3.00,7.00,6.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',4681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3221903,7.00,4.00,3.00,9.00,5.00,7.75,2.00,8.00,4.00,340,NULL,NULL,'CABEçUDAS','ITAJAí','SC',5640,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3221911,5.00,2.00,4.00,7.00,5.00,4.00,2.00,3.00,5.00,216,NULL,207,'PIRAGO','URUSSANGA','SC',13203,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3221920,6.00,6.00,5.00,0.00,5.00,5.50,2.00,3.00,5.00,102,NULL,NULL,'CENTRO','PTE ALTA','SC',12707,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3221938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','DOIS CóRREGOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3221946,4.00,3.00,1.00,2.00,3.00,NULL,0.00,4.00,4.00,103,NULL,NULL,'ALVORADA','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3221954,6.00,9.00,5.00,9.00,6.00,6.50,5.00,7.00,6.00,415,NULL,NULL,'CENTRO','STO ÂNGELO','RS',2310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3221970,4.00,4.00,3.00,7.00,4.00,6.25,1.00,4.00,4.00,207,NULL,233,'TRINDADE','FLORIANóPOLIS','SC',14469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3221989,3.00,1.00,2.00,2.00,5.00,NULL,3.00,2.00,4.00,108,NULL,NULL,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3221997,1.00,1.00,2.00,0.00,1.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'LOT ANTONIO LIMA','IçARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3222012,6.00,5.00,7.00,7.00,6.00,6.25,3.00,5.00,5.00,101,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',4678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARAGUá ESQUERDO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3222039,4.00,5.00,4.00,5.00,7.00,6.00,2.00,5.00,3.00,5,NULL,NULL,'CAMPINAS','S JOSé','SC',12103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','ADAMANTINA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3222055,7.00,6.00,6.00,6.00,5.00,5.25,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3371,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3222063,6.00,5.00,5.00,8.00,5.00,5.50,7.00,6.00,7.00,103,NULL,NULL,'JARDIM PIRES DE MELO','SOROCABA','SP',3457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222071,4.00,4.00,4.00,5.00,5.00,5.25,3.00,6.00,4.00,214,NULL,203,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',12161,395,NULL,790,NULL,NULL,NULL,4,1),(16,3222080,2.00,3.00,3.00,6.00,2.00,NULL,3.00,3.00,3.00,201,NULL,211,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3222101,8.00,5.00,7.00,6.00,7.00,7.00,4.00,7.00,8.00,103,NULL,NULL,'COSTA DO IPIRANGA','GRAVATAí','RS',2109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3222110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3222128,3.00,3.00,1.00,2.00,2.00,NULL,1.00,4.00,4.00,301,NULL,NULL,'RANCHO QUEIMADO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222144,2.00,2.00,5.00,3.00,3.00,NULL,3.00,1.00,4.00,303,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222152,0.00,0.00,0.00,7.00,5.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3222160,6.00,2.00,2.00,7.00,3.00,NULL,3.00,6.00,4.00,2,NULL,NULL,'VERA CRUZ','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3222179,2.00,4.00,6.00,2.00,5.00,6.25,4.00,2.00,3.00,302,NULL,NULL,'MACIAMBU PEQUENO','PALHOçA','SC',15616,208,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3222209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','GUAPORé','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3222217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'BELA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3222225,7.00,4.00,3.00,6.00,7.00,6.00,3.00,7.00,5.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6394,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3222233,9.00,9.00,6.00,9.00,9.00,7.00,7.00,9.00,9.00,203,NULL,214,'ESTREITO','FLORIANóPOLIS','SC',59,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222241,4.00,9.00,3.00,9.00,9.00,6.75,6.00,9.00,4.00,303,NULL,NULL,'CAMPECHE','FLORIANOPOLIS','SC',1932,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3222268,2.00,4.00,1.00,4.00,3.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SãO JOAQUIM','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3222292,6.00,5.00,6.00,4.00,4.00,5.75,5.00,9.00,5.00,202,NULL,213,'TRINDADE','FLORIANóPOLIS','SC',5584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222306,3.00,4.00,2.00,4.00,5.00,5.25,3.00,7.00,1.00,319,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222314,3.00,1.00,3.00,2.00,3.00,NULL,2.00,6.00,2.00,421,NULL,424,'VERA CRUZ','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3222322,7.00,6.00,4.00,9.00,6.00,5.75,5.00,8.00,3.00,238,NULL,208,'FORQUILHINHAS','S JOSé','SC',4326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222330,4.00,5.00,3.00,5.00,1.00,NULL,1.00,7.00,4.00,423,NULL,425,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3222349,7.00,3.00,4.00,6.00,6.00,4.50,3.00,7.00,6.00,216,NULL,233,'CENTRO','PAPANDUVA','SC',7194,262,NULL,NULL,NULL,NULL,NULL,2,8),(16,3222357,3.00,5.00,2.00,5.00,5.00,6.25,1.00,7.00,4.00,2,NULL,NULL,'AGRONÔMICA','FLORIANóPOLIS','SC',12442,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3222373,9.00,9.00,9.00,7.00,8.00,7.00,5.00,9.00,9.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',121,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3222381,2.00,5.00,2.00,5.00,3.00,NULL,0.00,5.00,3.00,301,NULL,NULL,'SãO SEBASTIãO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3222390,3.00,5.00,2.00,2.00,4.00,NULL,2.00,1.00,1.00,340,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3222403,4.00,6.00,7.00,8.00,8.00,6.25,4.00,6.00,3.00,201,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222411,8.00,7.00,9.00,9.00,8.00,6.00,5.00,9.00,7.00,103,NULL,NULL,'CENTRO','FORQUILHINHA','SC',559,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3222420,9.00,4.00,5.00,9.00,7.00,4.50,7.00,8.00,8.00,203,NULL,201,'GARCIA','BLUMENAU','SC',1711,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3222438,2.00,4.00,1.00,5.00,4.00,NULL,0.00,3.00,1.00,3,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3222446,3.00,4.00,2.00,5.00,5.00,3.00,2.00,6.00,5.00,453,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222454,6.00,4.00,1.00,4.00,5.00,NULL,1.00,3.00,3.00,421,NULL,427,'PQ HIPOLITO EXP I','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3222462,3.00,8.00,4.00,4.00,6.00,6.25,4.00,8.00,4.00,340,NULL,NULL,'CIDADE DE FPOLIS','SAO JOSE','SC',8320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222470,8.00,7.00,5.00,8.00,7.00,6.75,6.00,7.00,7.00,9,NULL,NULL,'VENEZA','XANXERê','SC',1477,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3222489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3222497,6.00,6.00,4.00,8.00,7.00,6.00,4.00,8.00,5.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',4174,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3222500,2.00,4.00,4.00,5.00,2.00,NULL,3.00,3.00,1.00,5,NULL,NULL,'CENTRO','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3222519,2.00,3.00,4.00,6.00,3.00,NULL,4.00,0.00,2.00,202,NULL,212,'VILA MOEMA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3222535,6.00,5.00,3.00,4.00,5.00,5.75,2.00,7.00,3.00,450,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',10324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3222560,7.00,4.00,6.00,6.00,7.00,7.25,2.00,8.00,5.00,103,NULL,NULL,'JOAO DE VASCONCELOS','SUMARé','SP',4349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222586,6.00,7.00,5.00,8.00,7.00,6.00,6.00,6.00,7.00,201,NULL,212,'AGRONôMICA','FLORIANóPOLIS','SC',2823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222594,6.00,8.00,4.00,8.00,7.00,5.00,4.00,8.00,4.00,316,NULL,NULL,'CENTRO','ARMAZéM','SC',4654,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3222608,5.00,4.00,3.00,4.00,4.00,6.75,3.00,6.00,3.00,426,NULL,423,'ITACORUBI','FLORIANóPOLIS','SC',13589,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3222616,3.00,0.00,2.00,3.00,2.00,NULL,1.00,4.00,3.00,340,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222624,2.00,5.00,3.00,7.00,5.00,5.00,1.00,5.00,3.00,320,NULL,NULL,'SãO ROQUE','NOVA TRENTO','SC',14577,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3222632,2.00,2.00,3.00,7.00,3.00,NULL,3.00,2.00,5.00,201,NULL,220,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3222640,5.00,5.00,6.00,8.00,6.00,5.50,2.00,9.00,5.00,220,NULL,203,'SAN REMO','LONDRINA','PR',5238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222659,5.00,4.00,2.00,8.00,4.00,7.00,2.00,4.00,1.00,319,NULL,NULL,'CENTRO','PLANALTO','RS',13080,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3222667,4.00,3.00,2.00,3.00,3.00,NULL,3.00,1.00,3.00,415,NULL,NULL,'GUARANI','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3222683,2.00,1.00,2.00,6.00,2.00,NULL,3.00,2.00,1.00,103,NULL,NULL,'STO ANTôNIO LISBOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3222691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'RUPP','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3222705,6.00,3.00,2.00,6.00,4.00,5.50,1.00,4.00,2.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',15202,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3222721,5.00,4.00,4.00,6.00,4.00,5.50,0.00,5.00,2.00,316,NULL,NULL,'ROCADO','S JOSé','SC',14500,179,NULL,NULL,NULL,NULL,NULL,2,1),(16,3222730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'GABIROBA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3222756,5.00,8.00,6.00,6.00,6.00,6.00,5.00,7.00,7.00,215,NULL,238,'CóRREGO GRANDE','FLORIANóPOLIS','SC',3311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222764,5.00,6.00,7.00,6.00,7.00,5.50,5.00,4.00,5.00,103,NULL,NULL,'VILA CARMEM','PASSO FUNDO','RS',6043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3222780,5.00,3.00,1.00,5.00,4.00,7.25,3.00,2.00,2.00,104,NULL,NULL,'SANTA TEREZA','VIDEIRA','SC',15743,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3222799,6.00,4.00,3.00,7.00,6.00,5.75,4.00,7.00,4.00,303,NULL,NULL,'JARDIM SãO BENTO','CPO GRANDE','MS',7859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3222829,4.00,2.00,4.00,8.00,4.00,6.00,3.00,5.00,1.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',14405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3222837,2.00,2.00,2.00,4.00,2.00,NULL,4.00,3.00,3.00,301,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3222845,7.00,6.00,7.00,9.00,6.00,6.00,1.00,5.00,7.00,216,NULL,202,'CENTRO','CAMPINAS','SP',4070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222853,2.00,3.00,5.00,4.00,4.00,5.25,3.00,7.00,6.00,108,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',12353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'PEDREIRAS','IçARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3222870,7.00,6.00,3.00,7.00,5.00,4.00,3.00,5.00,3.00,208,NULL,NULL,'PRóSPERA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3222888,3.00,3.00,4.00,4.00,4.00,NULL,1.00,2.00,1.00,9,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3222896,3.00,5.00,2.00,2.00,4.00,5.75,2.00,7.00,1.00,5,NULL,NULL,'BOSQUE DAS MANSõES','S JOSé','SC',15235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3222900,4.00,5.00,4.00,4.00,5.00,5.75,4.00,7.00,5.00,319,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',10120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222918,5.00,1.00,3.00,2.00,7.00,5.50,2.00,5.00,3.00,223,NULL,NULL,'CENTRO','CARAZINHO','RS',15196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222926,3.00,3.00,1.00,3.00,4.00,NULL,0.00,2.00,3.00,333,NULL,NULL,'GUATá','LAURO MüLLER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3222934,3.00,5.00,3.00,2.00,3.00,NULL,2.00,3.00,3.00,208,NULL,203,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222950,6.00,6.00,7.00,6.00,7.00,5.75,4.00,7.00,6.00,317,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',2985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3222977,6.00,5.00,1.00,7.00,4.00,4.50,3.00,7.00,4.00,301,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3222993,6.00,7.00,8.00,8.00,6.00,6.25,7.00,9.00,7.00,211,NULL,202,'SERRINHA','FLORIANóPOLIS','SC',1280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223000,4.00,3.00,3.00,3.00,3.00,NULL,4.00,4.00,4.00,212,NULL,213,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3223019,5.00,4.00,3.00,6.00,3.00,NULL,4.00,6.00,2.00,101,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223027,3.00,3.00,2.00,7.00,4.00,5.00,2.00,4.00,3.00,340,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',16036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223035,7.00,6.00,6.00,7.00,4.00,5.50,4.00,6.00,6.00,302,NULL,NULL,'JD CIDADE DE FPOLIS','S JOSé','SC',5121,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LONDRILAR','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3223051,7.00,7.00,3.00,7.00,7.00,6.75,3.00,8.00,5.00,103,NULL,NULL,'PRóSPERA','CRICIúMA','SC',3688,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3223060,6.00,4.00,3.00,7.00,5.00,7.50,4.00,7.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',7628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223078,10.00,8.00,8.00,8.00,6.00,5.75,9.00,7.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223086,7.00,7.00,5.00,3.00,5.00,6.75,2.00,9.00,7.00,103,NULL,NULL,'VITóRIA RéGIA','CORNéLIO PROCóPIO','PR',5233,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3223094,4.00,6.00,6.00,7.00,6.00,5.00,4.00,5.00,7.00,303,NULL,NULL,'SãO LUIZ','CRICIúMA','SC',5170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3223124,5.00,8.00,7.00,8.00,5.00,6.25,6.00,9.00,7.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',2280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223140,5.00,3.00,5.00,6.00,3.00,NULL,3.00,2.00,4.00,214,NULL,203,'CENTRO','PAIM FILHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3223159,8.00,7.00,3.00,7.00,4.00,6.00,3.00,7.00,6.00,103,NULL,NULL,'CIDADE JARDIM','CPO GRANDE','MS',4596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223175,4.00,4.00,3.00,4.00,6.00,5.25,2.00,7.00,3.00,303,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',13096,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3223183,2.00,5.00,1.00,3.00,1.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3223205,7.00,7.00,3.00,6.00,4.00,4.75,4.00,6.00,4.00,420,NULL,NULL,'RIO GRANDE','PALHOçA','SC',8016,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223213,3.00,4.00,2.00,7.00,4.00,5.50,2.00,4.00,4.00,201,NULL,208,'ITAGUAçU','FLORIANóPOLIS','SC',14672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3223230,5.00,5.00,2.00,9.00,4.00,6.00,3.00,3.00,2.00,207,NULL,208,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223248,2.00,4.00,4.00,6.00,4.00,4.25,3.00,3.00,5.00,203,NULL,202,'CENTRO','FLORIANóPOLIS','SC',15648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223256,4.00,5.00,3.00,5.00,5.00,5.50,1.00,5.00,3.00,450,NULL,NULL,'JARDIM SANTA GENEBRA','CAMPINAS','SP',14182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223264,5.00,7.00,4.00,5.00,5.00,5.25,5.00,6.00,6.00,202,NULL,203,'CENTRO','ITAJAí','SC',6053,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3223299,6.00,3.00,2.00,3.00,4.00,5.00,3.00,4.00,3.00,215,NULL,207,'VARGEM GRANDE','FLORIANOPOLIS','SC',14848,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223310,5.00,8.00,2.00,8.00,7.00,5.00,1.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8112,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223329,8.00,4.00,4.00,6.00,4.00,5.75,6.00,7.00,4.00,207,NULL,203,'PACHECOS','PALHOCA','SC',6141,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223337,5.00,6.00,4.00,3.00,4.00,5.25,4.00,4.00,3.00,212,NULL,201,'PARAíSO','S PAULO','SP',11457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223345,4.00,5.00,1.00,8.00,6.00,4.25,3.00,5.00,3.00,421,NULL,428,'CENTRO','FLORIANóPOLIS','SC',12113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223361,6.00,4.00,3.00,7.00,5.00,4.50,5.00,6.00,3.00,503,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10265,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223370,2.00,2.00,2.00,1.00,3.00,NULL,2.00,0.00,2.00,316,NULL,NULL,'SOROCABA','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223388,5.00,3.00,2.00,1.00,2.00,NULL,3.00,4.00,3.00,103,NULL,NULL,'ALTOS DE SANTANA','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3223396,4.00,4.00,5.00,3.00,5.00,5.25,3.00,8.00,6.00,103,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',10083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223400,2.00,4.00,4.00,7.00,7.00,6.50,3.00,5.00,5.00,233,NULL,NULL,'BARREIROS','S JOSé','SC',10198,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223418,5.00,5.00,3.00,6.00,4.00,6.25,2.00,5.00,3.00,207,NULL,201,'MENINO DEUS','JOAçABA','SC',12341,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223426,5.00,9.00,2.00,8.00,7.00,6.75,6.00,6.00,6.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',3168,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3223434,4.00,6.00,3.00,6.00,4.00,4.25,5.00,5.00,3.00,203,NULL,233,'MONTE VERDE','FLORIANóPOLIS','SC',10741,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223442,3.00,4.00,2.00,4.00,6.00,6.75,2.00,6.00,5.00,211,NULL,215,'CAMPECHE','FLORIANóPOLIS','SC',12531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'GUABIROTUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3223477,1.00,0.00,2.00,4.00,0.00,NULL,1.00,5.00,1.00,207,NULL,212,'NITERóI','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3223493,7.00,8.00,7.00,9.00,7.00,6.75,3.00,7.00,3.00,213,NULL,212,'PINHEIRINHO','CRICIúMA','SC',2869,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3223507,6.00,7.00,4.00,6.00,6.00,7.50,6.00,7.00,7.00,203,NULL,220,'CENTRO','PARAíSO NORTE','PR',3398,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3223515,0.00,0.00,1.00,4.00,1.00,NULL,2.00,4.00,3.00,223,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223523,4.00,3.00,2.00,5.00,2.00,NULL,1.00,5.00,4.00,303,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223531,9.00,7.00,7.00,4.00,5.00,7.50,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',2876,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3223540,5.00,6.00,4.00,8.00,5.00,6.00,2.00,6.00,6.00,404,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223558,6.00,6.00,5.00,5.00,7.00,4.25,3.00,9.00,7.00,103,NULL,NULL,'CENTRO','ITAPEVI','SP',4577,1414,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223566,2.00,0.00,3.00,1.00,0.00,NULL,0.00,1.00,2.00,501,NULL,NULL,'CENTRO','UBIRATã','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3223574,6.00,6.00,4.00,8.00,7.00,7.25,4.00,7.00,4.00,101,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',4352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223582,4.00,5.00,3.00,5.00,4.00,4.75,0.00,1.00,4.00,214,NULL,238,'VARGEM GRANDE','FLORIANóPOLIS','SC',16522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223590,4.00,3.00,3.00,5.00,2.00,NULL,3.00,2.00,3.00,404,NULL,NULL,'SãO LUIZ','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223604,7.00,6.00,2.00,7.00,4.00,5.25,2.00,6.00,6.00,201,NULL,212,'XANGRILA','REGISTRO','SP',7289,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223612,5.00,8.00,4.00,6.00,4.00,6.00,3.00,9.00,4.00,340,NULL,NULL,'CENTRO','BLUMENAU','SC',7229,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3223620,4.00,3.00,1.00,5.00,7.00,6.50,3.00,5.00,4.00,340,NULL,NULL,'PARAíSO','CAPIVARI BAIXO','SC',12463,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3223639,7.00,7.00,3.00,7.00,6.00,5.75,3.00,5.00,3.00,201,NULL,212,'CENTRO','TIMBé SUL','SC',7010,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223647,3.00,4.00,2.00,1.00,2.00,NULL,2.00,5.00,3.00,502,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223655,5.00,4.00,2.00,3.00,6.00,5.00,3.00,3.00,5.00,208,NULL,238,'SERRARIA','S JOSé','SC',14330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223663,4.00,5.00,2.00,5.00,4.00,4.75,3.00,8.00,5.00,303,NULL,NULL,'CENTRO','CHAPECO','SC',11079,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3223671,3.00,3.00,3.00,6.00,4.00,7.50,2.00,4.00,3.00,211,NULL,201,'CENTRO','FLORIANOPOLIS','SC',15370,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223698,3.00,6.00,2.00,7.00,5.00,4.00,1.00,5.00,5.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',13330,575,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223701,3.00,2.00,1.00,2.00,2.00,NULL,0.00,3.00,3.00,301,NULL,NULL,'CACHOEIRA DO BJ','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223728,8.00,5.00,9.00,8.00,5.00,5.25,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223736,5.00,4.00,1.00,6.00,6.00,5.50,3.00,5.00,4.00,233,NULL,203,'CENTRO','VOTUPORANGA','SP',11072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223744,2.00,3.00,1.00,4.00,3.00,NULL,4.00,3.00,0.00,207,NULL,211,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3223779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3223787,7.00,7.00,5.00,9.00,8.00,6.75,4.00,8.00,7.00,318,NULL,NULL,'ITAGUAÇU','FLORIANóPOLIS','SC',1987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223795,5.00,4.00,1.00,0.00,6.00,7.25,2.00,6.00,4.00,102,NULL,NULL,'OFICINAS','TUBARãO','SC',14658,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3223809,5.00,6.00,5.00,6.00,6.00,6.00,1.00,5.00,4.00,302,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',8416,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223817,6.00,4.00,4.00,7.00,6.00,5.50,5.00,6.00,4.00,415,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',6706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223825,7.00,8.00,2.00,8.00,7.00,6.75,3.00,8.00,6.00,303,NULL,NULL,'VILA ZELINA','S PAULO','SP',3381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223833,3.00,4.00,2.00,7.00,3.00,NULL,2.00,3.00,1.00,309,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223841,3.00,4.00,2.00,1.00,3.00,NULL,2.00,3.00,2.00,201,NULL,207,'INTERIOR','IPUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3223850,8.00,6.00,8.00,9.00,8.00,6.25,4.00,8.00,7.00,103,NULL,NULL,'FLORESTA','PORTO ALEGRE','RS',990,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3223868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'HIGIENóPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3223876,5.00,5.00,6.00,8.00,6.00,5.00,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223884,2.00,2.00,4.00,4.00,5.00,5.00,2.00,4.00,4.00,216,NULL,NULL,'BARREIROS','S JOSé','SC',16362,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3223892,4.00,4.00,4.00,9.00,3.00,NULL,4.00,4.00,3.00,103,NULL,NULL,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223914,8.00,8.00,8.00,9.00,8.00,6.00,8.00,9.00,8.00,103,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3223930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3223949,4.00,4.00,3.00,7.00,4.00,6.25,2.00,7.00,3.00,319,NULL,NULL,'MARIA GORETTI','CHAPECó','SC',12332,251,NULL,NULL,NULL,NULL,NULL,2,4),(16,3223957,3.00,5.00,5.00,5.00,5.00,0.00,2.00,2.00,3.00,207,NULL,201,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3223965,6.00,4.00,3.00,7.00,4.00,5.75,3.00,8.00,3.00,207,NULL,212,'HIGIENOPOLIS','RIBEIRãO PRETO','SP',8946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3223973,1.00,2.00,2.00,2.00,2.00,NULL,1.00,2.00,2.00,415,NULL,NULL,'CENTRO','CONSTANTINA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3223981,5.00,8.00,5.00,9.00,7.00,6.75,3.00,8.00,2.00,303,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',4776,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3223990,6.00,7.00,5.00,8.00,7.00,6.25,3.00,8.00,2.00,453,NULL,NULL,'CAMPINAS','S JOSé','SC',4998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224007,3.00,4.00,5.00,6.00,4.00,7.75,1.00,4.00,2.00,303,NULL,NULL,'CENTRO','IçARA','SC',13914,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3224015,4.00,4.00,2.00,5.00,3.00,NULL,0.00,1.00,1.00,303,NULL,NULL,'REAL PARQUE','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224023,3.00,0.00,2.00,4.00,4.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'CENTRO','TRêS CACHOEIRAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3224031,5.00,5.00,4.00,8.00,4.00,6.50,1.00,4.00,5.00,340,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3224040,3.00,6.00,4.00,4.00,2.00,NULL,1.00,5.00,3.00,207,NULL,201,'BOM RETIRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224058,3.00,4.00,3.00,2.00,3.00,NULL,3.00,7.00,2.00,208,NULL,238,'LIDER','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3224082,5.00,7.00,2.00,7.00,6.00,NULL,0.00,7.00,4.00,9,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224112,7.00,7.00,5.00,6.00,7.00,6.25,4.00,9.00,8.00,208,NULL,201,'SANTO ANTôNIO DE LIS','FLORIANóPOLIS','SC',1864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224120,2.00,3.00,1.00,5.00,3.00,NULL,2.00,3.00,2.00,9,NULL,NULL,'CENTRO','PASSOS MAIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3224139,3.00,4.00,1.00,2.00,2.00,NULL,3.00,4.00,4.00,319,NULL,NULL,'BELA VISTA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3224147,6.00,5.00,3.00,6.00,3.00,NULL,3.00,5.00,4.00,502,NULL,NULL,'CIDADE NOVA','INDAIATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224155,3.00,5.00,4.00,7.00,3.00,NULL,3.00,4.00,4.00,201,NULL,212,'AMADORI','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3224171,4.00,3.00,1.00,5.00,7.00,4.50,3.00,2.00,4.00,220,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',15780,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3224198,3.00,6.00,5.00,8.00,3.00,NULL,5.00,7.00,3.00,220,NULL,202,'ITAGUá','UBATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224201,2.00,4.00,3.00,6.00,1.00,NULL,1.00,4.00,4.00,308,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224210,8.00,8.00,5.00,9.00,7.00,5.75,4.00,9.00,7.00,103,NULL,NULL,'CACUPé','FLORIANóPOLIS','SC',915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224236,6.00,7.00,7.00,6.00,5.00,5.00,3.00,9.00,6.00,333,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',3767,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224244,8.00,7.00,7.00,7.00,6.00,5.75,7.00,8.00,9.00,103,NULL,NULL,'RESIDENCIAL DA LAGOA','CAXIAS SUL','RS',802,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224260,4.00,5.00,1.00,5.00,3.00,NULL,4.00,7.00,4.00,329,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'TRIâNGULO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3224287,8.00,6.00,4.00,8.00,6.00,6.00,3.00,8.00,6.00,102,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224295,4.00,3.00,3.00,1.00,1.00,NULL,0.00,4.00,2.00,213,NULL,220,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224317,5.00,4.00,2.00,6.00,5.00,4.75,3.00,5.00,4.00,340,NULL,NULL,'JARDIM ITALIA','CHAPECó','SC',13097,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3224325,3.00,1.00,5.00,2.00,2.00,NULL,2.00,0.00,3.00,207,NULL,215,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224333,4.00,2.00,4.00,2.00,3.00,NULL,4.00,3.00,4.00,3,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224350,2.00,4.00,2.00,2.00,4.00,4.75,3.00,5.00,6.00,201,NULL,202,'ESQUINA','URUBICI','SC',16094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224368,3.00,3.00,3.00,2.00,5.00,NULL,3.00,3.00,3.00,9,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224376,5.00,1.00,1.00,8.00,6.00,4.75,4.00,5.00,6.00,203,NULL,233,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3224384,8.00,7.00,7.00,8.00,6.00,6.50,5.00,8.00,8.00,103,NULL,NULL,'PARQUE REAL','RONDONóPOLIS','MT',788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224392,3.00,4.00,5.00,6.00,3.00,NULL,2.00,5.00,4.00,340,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224406,8.00,6.00,3.00,7.00,8.00,6.75,4.00,8.00,6.00,103,NULL,NULL,'SãO VICENTE','ITAJAí','SC',4003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224414,5.00,4.00,1.00,6.00,6.00,5.25,1.00,7.00,5.00,102,NULL,NULL,'CENTRO','S JOSé AUSENTES','RS',11914,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3224422,5.00,5.00,3.00,7.00,6.00,6.00,1.00,4.00,3.00,309,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224430,6.00,6.00,3.00,8.00,4.00,6.50,4.00,7.00,5.00,207,NULL,212,'TREZE DE JULHO','ARACAJU','SE',6781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224465,5.00,6.00,2.00,7.00,6.00,4.50,1.00,7.00,3.00,201,NULL,212,'CENTRO','S JOAQUIM','SC',11850,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3224473,8.00,6.00,6.00,6.00,5.00,5.75,2.00,5.00,6.00,104,NULL,NULL,'GARCIA','BLUMENAU','SC',6055,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3224481,7.00,8.00,7.00,9.00,8.00,7.00,5.00,9.00,7.00,212,NULL,213,'SACO DOS LIMOES','FLORIANóPOLIS','SC',461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224490,4.00,4.00,3.00,7.00,7.00,7.00,1.00,5.00,6.00,453,NULL,NULL,'MINA DO MATO','CRICIúMA','SC',9458,61,NULL,NULL,NULL,NULL,NULL,2,5),(16,3224503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UNIVERSITARIO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3224511,6.00,5.00,9.00,7.00,5.00,6.25,3.00,5.00,8.00,220,NULL,203,'CENTRO','CRUZ ALTA','RS',3723,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3224538,7.00,6.00,6.00,9.00,5.00,6.00,4.00,5.00,7.00,216,NULL,211,'AGRONôMICA','FLORIANóPOLIS','SC',2976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224546,2.00,1.00,1.00,5.00,3.00,NULL,1.00,6.00,2.00,101,NULL,NULL,'SANTA TEREZA','S PEDRO ALCâNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224554,3.00,3.00,1.00,5.00,3.00,NULL,3.00,5.00,4.00,451,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','PINHEIRO PRETO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3224570,6.00,4.00,2.00,4.00,4.00,5.25,0.00,3.00,4.00,103,NULL,NULL,'KOBRASOL','S JOSé','SC',15804,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224589,2.00,3.00,2.00,6.00,5.00,NULL,2.00,3.00,2.00,415,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224597,5.00,6.00,4.00,5.00,6.00,4.00,3.00,5.00,4.00,220,NULL,208,'OTAVIO PECORA','CPO GRANDE','MS',10818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224600,9.00,7.00,1.00,7.00,3.00,NULL,2.00,7.00,5.00,102,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224627,2.00,4.00,4.00,6.00,5.00,6.25,1.00,2.00,3.00,415,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',14936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224635,8.00,8.00,8.00,7.00,7.00,8.50,5.00,7.00,7.00,207,NULL,211,'COQUEIROS','FLORIANóPOLIS','SC',640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224643,2.00,2.00,3.00,4.00,3.00,NULL,1.00,4.00,1.00,5,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3224660,6.00,5.00,4.00,5.00,3.00,NULL,1.00,5.00,6.00,304,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224678,5.00,8.00,6.00,6.00,6.00,6.25,5.00,6.00,8.00,415,NULL,NULL,'MICHEL','CRICIúMA','SC',3737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224686,0.00,0.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,215,NULL,216,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3224694,2.00,4.00,1.00,4.00,3.00,NULL,4.00,3.00,0.00,308,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224708,4.00,5.00,2.00,6.00,5.00,NULL,0.00,6.00,4.00,301,NULL,NULL,'CACUPé','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224724,4.00,4.00,2.00,6.00,4.00,5.75,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','ITAPEMA','SC',16373,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3224732,6.00,6.00,5.00,9.00,5.00,5.00,6.00,7.00,6.00,415,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224740,1.00,3.00,3.00,4.00,2.00,NULL,1.00,3.00,2.00,9,NULL,NULL,'SERRARIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224759,7.00,6.00,3.00,9.00,7.00,7.00,2.00,8.00,5.00,102,NULL,NULL,'CENTRO','CAPINZAL','SC',4745,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3224767,2.00,7.00,3.00,1.00,2.00,NULL,3.00,2.00,0.00,327,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224775,5.00,4.00,2.00,7.00,5.00,6.00,3.00,3.00,4.00,340,NULL,NULL,'BARREIROS','S JOSé','SC',12590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224783,5.00,4.00,6.00,5.00,4.00,4.25,5.00,6.00,3.00,103,NULL,NULL,'CENTRO','MISSAL','PR',10402,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3224791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3224805,1.00,5.00,4.00,7.00,5.00,6.00,3.00,7.00,2.00,108,NULL,NULL,'CAMPINAS','S JOSé','SC',11882,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224813,5.00,4.00,2.00,2.00,3.00,NULL,2.00,4.00,3.00,429,NULL,425,'VARGEM PEQUENA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224821,0.00,5.00,3.00,5.00,3.00,NULL,1.00,2.00,2.00,310,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','SANANDUVA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3224848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3224856,3.00,2.00,2.00,5.00,3.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224864,6.00,8.00,5.00,8.00,6.00,6.25,3.00,7.00,8.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2807,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'JARDIM AQUARIUS','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3224880,6.00,5.00,6.00,7.00,6.00,6.25,4.00,8.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224902,4.00,6.00,2.00,1.00,4.00,5.50,3.00,5.00,3.00,214,NULL,233,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',15467,471,NULL,454,NULL,NULL,NULL,4,1),(16,3224910,7.00,7.00,4.00,7.00,7.00,6.25,3.00,6.00,5.00,103,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',4750,1445,NULL,NULL,NULL,NULL,NULL,2,1),(16,3224929,6.00,6.00,2.00,5.00,4.00,6.00,1.00,5.00,5.00,103,NULL,NULL,'BELA VISTA','S JOSé','SC',10322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224945,1.00,0.00,3.00,3.00,2.00,NULL,4.00,3.00,5.00,103,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3224953,6.00,5.00,3.00,0.00,3.00,NULL,2.00,5.00,3.00,212,NULL,201,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3224961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TERRA NOVA','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3224970,4.00,4.00,4.00,7.00,4.00,5.25,3.00,5.00,2.00,103,NULL,NULL,'CENTRO','SOMBRIO','SC',12631,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3225003,3.00,2.00,8.00,6.00,4.00,5.50,3.00,3.00,7.00,201,NULL,216,'CAMPO COMPRIDO','CURITIBA','PR',9839,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3225011,3.00,1.00,1.00,2.00,3.00,NULL,1.00,4.00,2.00,319,NULL,NULL,'LINHA DOS CHAVES','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225020,3.00,5.00,3.00,4.00,0.00,NULL,1.00,7.00,4.00,201,NULL,211,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225038,6.00,5.00,6.00,7.00,6.00,6.50,3.00,4.00,4.00,103,NULL,NULL,'ICARAí','NITERóI','RJ',5488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225046,5.00,6.00,10.00,7.00,8.00,5.75,4.00,6.00,3.00,208,NULL,238,'CENTRO','GARIBALDI','RS',3674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'PARAISO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3225062,2.00,2.00,4.00,7.00,1.00,NULL,1.00,4.00,4.00,108,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3225089,4.00,4.00,3.00,6.00,6.00,5.00,1.00,3.00,3.00,215,NULL,233,'VILLAGE','IMBITUBA','SC',14591,319,NULL,434,NULL,NULL,NULL,2,1),(16,3225097,5.00,3.00,5.00,7.00,3.00,NULL,1.00,0.00,2.00,453,NULL,NULL,'ITAGUAçú','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225100,4.00,3.00,3.00,4.00,2.00,NULL,1.00,5.00,4.00,103,NULL,NULL,'COLONINHA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3225119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3225127,2.00,4.00,1.00,3.00,5.00,NULL,2.00,5.00,4.00,415,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3225135,2.00,7.00,1.00,5.00,6.00,5.75,3.00,5.00,5.00,201,NULL,207,'SãO VICENTE','ITAJAí','SC',11262,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3225143,4.00,5.00,1.00,9.00,2.00,NULL,3.00,7.00,5.00,303,NULL,NULL,'AMéRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3225151,6.00,5.00,3.00,7.00,5.00,4.00,2.00,6.00,2.00,320,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',11442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225160,6.00,6.00,5.00,6.00,6.00,5.50,3.00,4.00,4.00,320,NULL,NULL,'VELHA','BLUMENAU','SC',8430,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3225178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,208,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3225194,5.00,6.00,1.00,9.00,8.00,8.00,2.00,7.00,2.00,340,NULL,NULL,'CENTRO','CURITIBA','PR',6354,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3225216,4.00,4.00,2.00,6.00,4.00,5.50,2.00,6.00,2.00,103,NULL,NULL,'DC NAVEGANTES','PTO ALEGRE','RS',14545,2654,NULL,NULL,NULL,NULL,NULL,2,4),(16,3225224,4.00,3.00,4.00,1.00,2.00,NULL,1.00,3.00,3.00,453,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225240,4.00,1.00,3.00,5.00,4.00,4.75,5.00,2.00,3.00,104,NULL,NULL,'COMERCIARIO','CRICIúMA','SC',16641,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3225267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'AREAL','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3225275,2.00,5.00,2.00,4.00,2.00,NULL,2.00,2.00,4.00,303,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ZONA DOIS','CIANORTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3225291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3225305,1.00,0.00,3.00,4.00,2.00,NULL,1.00,1.00,2.00,339,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3225313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3225321,5.00,4.00,1.00,2.00,5.00,4.25,3.00,4.00,5.00,317,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',15735,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3225330,5.00,4.00,3.00,4.00,2.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','PTE SERRADA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3225348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3225356,0.00,4.00,3.00,0.00,2.00,NULL,2.00,4.00,2.00,302,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225364,3.00,4.00,4.00,5.00,5.00,6.00,3.00,5.00,3.00,301,NULL,NULL,'PACHECOS','PALHOçA','SC',14287,313,NULL,NULL,NULL,NULL,NULL,2,1),(16,3225372,3.00,2.00,1.00,5.00,5.00,4.75,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','PALMITOS','SC',16536,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3225380,4.00,4.00,4.00,6.00,5.00,4.00,2.00,3.00,5.00,444,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',13793,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3225399,5.00,6.00,4.00,7.00,7.00,5.25,4.00,7.00,5.00,201,NULL,212,'CENTRO','NAVEGANTES','SC',5877,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3225402,6.00,1.00,2.00,2.00,1.00,NULL,2.00,4.00,3.00,444,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3225410,1.00,2.00,4.00,4.00,1.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3225453,3.00,2.00,1.00,6.00,4.00,NULL,4.00,4.00,1.00,104,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3225461,3.00,5.00,3.00,6.00,4.00,5.25,4.00,5.00,4.00,101,NULL,NULL,'CAMPINAS','S JOSé','SC',12302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3225470,9.00,8.00,5.00,7.00,4.00,5.00,7.00,8.00,9.00,220,NULL,202,'PARQUE DAS AVENIDAS','SOMBRIO','SC',1583,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3225488,7.00,3.00,3.00,6.00,7.00,6.00,3.00,4.00,6.00,303,NULL,NULL,'CENTRO','S JOAQUIM','SC',8433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3225500,2.00,4.00,3.00,7.00,5.00,4.75,1.00,6.00,2.00,339,NULL,NULL,'ARIRIU DA FORMIGA','PALHOçA','SC',14877,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3225518,3.00,1.00,1.00,5.00,4.00,NULL,2.00,1.00,2.00,104,NULL,NULL,'SãO LEOPOLDO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3225526,4.00,4.00,3.00,5.00,5.00,6.50,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','TAIó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3225534,5.00,6.00,5.00,8.00,4.00,6.00,2.00,6.00,3.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3225542,4.00,4.00,1.00,5.00,1.00,NULL,3.00,2.00,2.00,303,NULL,NULL,'AEROPORTO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3225550,6.00,6.00,4.00,7.00,5.00,4.75,5.00,3.00,6.00,103,NULL,NULL,'RECANTO TROPICAL','CASCAVEL','PR',6665,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3225569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPOLIM','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3225577,4.00,4.00,3.00,6.00,5.00,5.50,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3225585,6.00,8.00,3.00,2.00,6.00,6.75,3.00,3.00,6.00,215,NULL,233,'BARREIROS','S JOSé','SC',8969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225593,6.00,3.00,3.00,9.00,5.00,4.50,1.00,6.00,3.00,453,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',11671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225607,4.00,2.00,3.00,4.00,4.00,NULL,1.00,4.00,2.00,340,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3225615,6.00,7.00,4.00,9.00,5.00,7.50,5.00,8.00,5.00,316,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225640,4.00,4.00,1.00,5.00,5.00,5.50,4.00,3.00,5.00,203,NULL,NULL,'BOM RETIRO','BLUMENAU','SC',13601,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3225658,6.00,5.00,4.00,7.00,6.00,6.00,4.00,5.00,6.00,216,NULL,215,'CENTRO','MAQUINé','RS',5727,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3225666,5.00,4.00,7.00,4.00,6.00,6.00,4.00,4.00,6.00,216,NULL,233,'JARDIM MABILIA','EMBU','SP',8116,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3225674,2.00,2.00,1.00,8.00,5.00,NULL,1.00,4.00,2.00,415,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3225682,7.00,6.00,7.00,8.00,8.00,5.75,3.00,8.00,5.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225690,1.00,4.00,2.00,2.00,0.00,NULL,2.00,1.00,0.00,103,NULL,NULL,'SAO LEOPOLDO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225704,5.00,3.00,4.00,8.00,6.00,6.75,1.00,7.00,4.00,301,NULL,NULL,'CENTRO','TUBARãO','SC',8662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3225747,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3225755,8.00,6.00,5.00,9.00,9.00,5.25,5.00,7.00,5.00,452,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',2356,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3225763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3225780,9.00,9.00,9.00,6.00,7.00,7.00,6.00,9.00,9.00,203,NULL,216,'CENTRO','FáTIMA SUL','MS',122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225798,3.00,7.00,4.00,4.00,2.00,NULL,2.00,2.00,5.00,203,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3225801,5.00,6.00,4.00,7.00,6.00,5.00,3.00,6.00,3.00,420,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3225810,5.00,4.00,2.00,6.00,5.00,6.75,1.00,5.00,3.00,303,NULL,NULL,'STO ANTO DE LISBOA','FLORIANóPOLIS','SC',12853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3225844,7.00,7.00,3.00,4.00,6.00,6.75,1.00,8.00,5.00,415,NULL,NULL,'ESPERANÇA','LAGUNA','SC',7531,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3225852,3.00,4.00,4.00,3.00,4.00,7.00,3.00,5.00,5.00,303,NULL,NULL,'CENTRO','CRICIúMA','SC',13247,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3225860,7.00,6.00,7.00,9.00,6.00,3.00,4.00,9.00,5.00,222,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225879,4.00,4.00,4.00,2.00,4.00,6.00,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3225887,7.00,7.00,9.00,9.00,7.00,6.25,8.00,8.00,8.00,238,NULL,212,'COQUEIROS','FLORIANóPOLIS','SC',516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225895,7.00,6.00,2.00,9.00,6.00,6.25,3.00,6.00,5.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',5630,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3225917,6.00,7.00,5.00,8.00,7.00,4.25,3.00,8.00,6.00,103,NULL,NULL,'SANTA MARIA','CHAPECó','SC',4607,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3225925,8.00,8.00,4.00,9.00,7.00,7.50,7.00,7.00,7.00,212,NULL,213,'CENTRO','FLORIANóPOLIS','SC',1038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225941,3.00,5.00,3.00,5.00,4.00,5.75,4.00,4.00,3.00,425,NULL,423,'ITACORUBI','FLORIANóPOLIS','SC',14106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3225968,1.00,1.00,2.00,3.00,2.00,NULL,0.00,2.00,1.00,208,NULL,203,'PALMAS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3225976,2.00,8.00,2.00,6.00,9.00,5.00,2.00,7.00,4.00,103,NULL,NULL,'PRAIA DE FORA','PALHOçA','SC',8330,2027,NULL,NULL,NULL,NULL,NULL,4,1),(16,3225984,5.00,5.00,4.00,5.00,4.00,7.25,4.00,8.00,2.00,207,NULL,215,'PAES LEME','IMBITUBA','SC',9096,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3225992,5.00,4.00,4.00,4.00,4.00,7.75,3.00,5.00,4.00,103,NULL,NULL,'JARDIM BELA VISTA','CPO GRANDE','MS',11687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226000,3.00,7.00,6.00,7.00,7.00,6.75,3.00,8.00,5.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226026,3.00,4.00,4.00,8.00,5.00,5.50,1.00,4.00,1.00,340,NULL,NULL,'CENTRO','VIDEIRA','SC',14618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226050,4.00,5.00,3.00,2.00,5.00,4.50,2.00,4.00,3.00,309,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',16279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226077,4.00,4.00,4.00,6.00,5.00,6.25,3.00,7.00,2.00,102,NULL,NULL,'FAZENDA','ITAJAí','SC',11130,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3226085,3.00,3.00,4.00,5.00,4.00,5.50,3.00,3.00,4.00,103,NULL,NULL,'CAMOBI','STA MARIA','RS',15412,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3226093,5.00,5.00,5.00,5.00,4.00,5.50,2.00,6.00,6.00,101,NULL,NULL,'SãO CRISTóVãO','TURVO','SC',10108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BELA VISTA','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3226115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3226123,5.00,6.00,1.00,5.00,4.00,4.75,2.00,5.00,2.00,203,NULL,214,'PANTANAL','FLORIANóPOLIS','SC',14596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3226131,7.00,5.00,5.00,6.00,8.00,6.50,3.00,9.00,6.00,103,NULL,NULL,'CAMPO DA AGUA VERDE','CANOINHAS','SC',4055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226140,8.00,4.00,5.00,7.00,7.00,7.00,1.00,6.00,6.00,302,NULL,NULL,'IPIRANGA','S JOSé','SC',4921,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3226158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'TOBIAS','JOAçABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3226166,4.00,3.00,2.00,6.00,4.00,5.50,2.00,2.00,4.00,303,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',16220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226174,9.00,9.00,8.00,7.00,3.00,NULL,8.00,9.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226182,2.00,2.00,1.00,2.00,3.00,NULL,0.00,5.00,4.00,211,NULL,215,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226190,8.00,7.00,5.00,7.00,7.00,6.25,5.00,8.00,6.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226204,6.00,3.00,3.00,5.00,5.00,6.50,4.00,5.00,3.00,104,NULL,NULL,'DERE','CAçADOR','SC',11900,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3226212,4.00,3.00,1.00,2.00,4.00,NULL,2.00,4.00,3.00,101,NULL,NULL,'SAGRADO CORAçãO DE J','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3226239,6.00,6.00,7.00,7.00,7.00,7.00,7.00,7.00,7.00,102,NULL,NULL,'CENTRO','PTO ALEGRE','RS',1468,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3226247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'PATRIMONIO','SIDERóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3226255,6.00,5.00,5.00,8.00,7.00,6.75,2.00,6.00,6.00,425,NULL,NULL,'JARDIM MARISTELA','CRICIúMA','SC',5437,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3226263,7.00,5.00,5.00,8.00,4.00,5.25,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5374,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3226271,3.00,2.00,4.00,6.00,4.00,6.00,4.00,4.00,3.00,103,NULL,NULL,'CENTRO NORTE','DOIS VIZINHOS','PR',14196,2634,NULL,NULL,NULL,NULL,NULL,2,4),(16,3226298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BOA VISTA','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3226301,6.00,5.00,4.00,9.00,6.00,6.25,2.00,2.00,4.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226310,1.00,3.00,1.00,0.00,1.00,NULL,3.00,2.00,2.00,207,NULL,NULL,'JARDIM','S JOSé CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3226328,3.00,7.00,4.00,6.00,2.00,NULL,3.00,6.00,2.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3226336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'JD DAS HORTENCIAS','RIO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3226344,3.00,3.00,4.00,1.00,2.00,NULL,1.00,3.00,1.00,5,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226352,4.00,1.00,1.00,1.00,2.00,NULL,3.00,3.00,3.00,203,NULL,202,'JARDIM SANTANA','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3226360,3.00,3.00,2.00,8.00,5.00,5.25,3.00,4.00,5.00,3,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12922,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3226387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','S MARCOS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3226395,3.00,1.00,1.00,6.00,4.00,NULL,2.00,1.00,2.00,9,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226409,3.00,6.00,4.00,7.00,6.00,5.00,4.00,6.00,5.00,303,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',7086,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(16,3226417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SHIS','LUZIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3226425,6.00,6.00,3.00,5.00,6.00,6.25,2.00,7.00,5.00,332,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226433,1.00,0.00,1.00,1.00,1.00,NULL,2.00,1.00,4.00,234,NULL,NULL,'JARDIM CIDADE','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226441,4.00,6.00,4.00,7.00,3.00,NULL,4.00,3.00,2.00,220,NULL,214,'ALTO SÃO BENTO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3226450,7.00,5.00,8.00,7.00,6.00,6.25,4.00,6.00,6.00,203,NULL,220,'CENTRO','POMPéIA','SP',3292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,213,'CAPãO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3226484,4.00,1.00,2.00,5.00,4.00,4.25,2.00,5.00,4.00,301,NULL,NULL,'AREIAS','S JOSé','SC',15909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3226506,3.00,4.00,4.00,5.00,3.00,NULL,4.00,8.00,4.00,222,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3226514,5.00,2.00,3.00,7.00,4.00,4.00,0.00,3.00,3.00,304,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',16191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3226522,5.00,3.00,5.00,4.00,4.00,6.75,3.00,3.00,3.00,103,NULL,NULL,'JARDIM ESPLANADA','MANDAGUARI','PR',14376,2644,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226530,4.00,3.00,4.00,4.00,0.00,NULL,3.00,3.00,4.00,444,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226549,3.00,1.00,2.00,6.00,5.00,NULL,4.00,3.00,1.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226557,5.00,5.00,2.00,7.00,6.00,5.75,3.00,4.00,4.00,216,NULL,201,'INGLESES','FLORIANóPOLIS','SC',9506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226565,4.00,0.00,3.00,7.00,4.00,6.75,3.00,4.00,4.00,102,NULL,NULL,'CENTRO','TURVO','SC',14550,263,NULL,NULL,NULL,NULL,NULL,2,5),(16,3226573,5.00,7.00,3.00,5.00,6.00,6.00,3.00,7.00,6.00,503,NULL,NULL,'STO ANTÔNIO DE LISBO','FLORIANOPOLIS','SC',6683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226581,9.00,9.00,5.00,6.00,7.00,6.25,6.00,7.00,9.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226590,4.00,6.00,5.00,8.00,6.00,6.00,4.00,5.00,3.00,233,NULL,216,'OPERáRIA NOVA','CRICIúMA','SC',6396,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3226603,9.00,5.00,4.00,5.00,6.00,6.75,2.00,8.00,7.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',5257,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3226611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MACEDO','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3226620,5.00,8.00,4.00,7.00,5.00,5.50,5.00,6.00,5.00,203,NULL,238,'CENTRO','PEDRINHAS PAULISTA','SP',4805,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3226638,7.00,3.00,3.00,5.00,5.00,5.25,3.00,6.00,7.00,216,NULL,211,'SAGUAçU','JOINVILLE','SC',8837,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3226654,2.00,3.00,2.00,3.00,3.00,NULL,2.00,3.00,0.00,101,NULL,NULL,'CENTRO','CARAZINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3226662,3.00,1.00,2.00,1.00,3.00,NULL,1.00,3.00,4.00,220,NULL,203,'CHáCARA STO ANTôNIO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3226689,5.00,3.00,1.00,8.00,5.00,6.25,2.00,8.00,4.00,303,NULL,NULL,'CENTRO','STO CRISTO','RS',10823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226697,6.00,8.00,7.00,9.00,6.00,6.25,5.00,8.00,3.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',2246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226700,4.00,1.00,4.00,1.00,4.00,NULL,2.00,5.00,2.00,207,NULL,NULL,'CENTRO NORTE','SCHROEDER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3226719,3.00,5.00,2.00,3.00,4.00,4.50,1.00,6.00,2.00,404,NULL,NULL,'GABIROBA','RIO OESTE','SC',16658,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3226727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'VILA RICA','SIDERóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3226735,6.00,3.00,3.00,2.00,4.00,6.50,2.00,4.00,3.00,340,NULL,NULL,'PARQUE UNIãO','BAURU','SP',14910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'PROGRESSO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3226751,4.00,3.00,5.00,5.00,4.00,5.75,4.00,3.00,3.00,302,NULL,NULL,'BARREIROS','S JOSé','SC',14354,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3226760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM JANAíNA','BIGUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3226778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3226786,1.00,3.00,3.00,1.00,3.00,NULL,2.00,4.00,3.00,316,NULL,NULL,'NAçõES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3226794,6.00,5.00,3.00,7.00,5.00,6.75,3.00,4.00,5.00,203,NULL,214,'SãO CRISTóVãO','LAGES','SC',8691,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3226808,7.00,3.00,6.00,2.00,5.00,5.00,2.00,4.00,4.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',12181,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3226816,2.00,5.00,3.00,8.00,2.00,NULL,2.00,3.00,2.00,340,NULL,NULL,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3226824,3.00,3.00,4.00,1.00,4.00,6.00,4.00,4.00,4.00,102,NULL,NULL,'CASTELO BRANCO','ITAPEMA','SC',15715,287,NULL,NULL,NULL,NULL,NULL,4,3),(16,3226832,3.00,4.00,4.00,7.00,5.00,4.75,3.00,5.00,2.00,340,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',13364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226840,4.00,0.00,2.00,2.00,5.00,NULL,4.00,4.00,2.00,340,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3226859,3.00,4.00,3.00,6.00,6.00,5.50,3.00,4.00,6.00,104,NULL,NULL,'SANTA LUZIA','JARAGUá SUL','SC',11910,327,NULL,NULL,NULL,NULL,NULL,4,8),(16,3226867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM LARSEN','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3226875,7.00,5.00,6.00,7.00,5.00,8.00,4.00,9.00,7.00,233,NULL,212,'CAPOEIRAS','FLORIANóPOLIS','SC',2458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226891,4.00,5.00,4.00,5.00,6.00,6.00,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226905,2.00,4.00,2.00,4.00,2.00,NULL,1.00,3.00,3.00,423,NULL,427,'ABRAAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3226913,5.00,4.00,2.00,7.00,7.00,6.50,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','LGA VERMELHA','RS',10766,2310,NULL,NULL,NULL,NULL,NULL,2,8),(16,3226921,4.00,5.00,3.00,4.00,3.00,NULL,4.00,6.00,2.00,301,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226930,2.00,4.00,3.00,6.00,3.00,NULL,3.00,6.00,4.00,3,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3226948,5.00,5.00,2.00,1.00,6.00,NULL,1.00,2.00,3.00,303,NULL,NULL,'SETOR UNIVERSITáRIO','CATALãO','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226964,6.00,5.00,3.00,6.00,6.00,5.00,3.00,4.00,1.00,207,NULL,201,'SANTO ANTôNIO','TUBARãO','SC',12422,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3226972,8.00,7.00,5.00,8.00,7.00,5.50,7.00,8.00,9.00,103,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3226980,3.00,7.00,3.00,7.00,5.00,4.75,3.00,4.00,3.00,104,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',12199,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3226999,2.00,3.00,1.00,1.00,3.00,NULL,2.00,2.00,2.00,211,NULL,215,'ALTOS DA CIDADE','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227006,7.00,7.00,8.00,8.00,7.00,9.00,4.00,7.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',1322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227030,5.00,5.00,5.00,6.00,5.00,5.75,2.00,5.00,3.00,415,NULL,NULL,'CENTRO','SIDERóPOLIS','SC',10178,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3227049,2.00,3.00,2.00,2.00,4.00,NULL,1.00,3.00,2.00,404,NULL,NULL,'GABIROBA','RIO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3227065,4.00,4.00,2.00,2.00,2.00,NULL,3.00,6.00,4.00,104,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3227073,3.00,2.00,1.00,3.00,5.00,NULL,3.00,0.00,4.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3227081,4.00,7.00,3.00,3.00,4.00,6.25,3.00,5.00,4.00,203,NULL,201,'DAS NAçõES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3227090,6.00,8.00,6.00,8.00,8.00,5.25,6.00,9.00,9.00,103,NULL,NULL,'CENTRO','TRINDADE SUL','RS',878,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3227103,3.00,5.00,3.00,4.00,4.00,4.25,4.00,7.00,2.00,316,NULL,NULL,'LIBERDADE','CONCóRDIA','SC',14039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227111,6.00,5.00,5.00,8.00,6.00,7.75,3.00,7.00,3.00,203,NULL,201,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3227120,3.00,4.00,3.00,8.00,4.00,4.50,2.00,5.00,2.00,103,NULL,NULL,'JARDIM TAROBá','FOZ IGUAçU','PR',15504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PAROLIN','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3227146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3227154,3.00,4.00,3.00,2.00,3.00,NULL,2.00,3.00,1.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3227162,3.00,3.00,2.00,0.00,2.00,NULL,2.00,4.00,3.00,216,NULL,NULL,'CRISTO REI','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3227189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JOãO GUALBERTO','PARANAGUá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3227197,3.00,4.00,5.00,6.00,6.00,6.25,3.00,6.00,5.00,238,NULL,208,'PANTANAL','FLORIANóPOLIS','SC',8935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227200,8.00,4.00,3.00,7.00,6.00,6.00,3.00,8.00,3.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3227227,3.00,2.00,3.00,1.00,4.00,NULL,3.00,3.00,4.00,428,NULL,427,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227235,6.00,5.00,2.00,6.00,5.00,6.00,3.00,5.00,5.00,207,NULL,215,'CENTRO','FLORIANóPOLIS','SC',9405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227243,6.00,4.00,6.00,7.00,6.00,6.50,4.00,7.00,7.00,233,NULL,212,'MICHEL','CRICIúMA','SC',4619,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3227251,3.00,5.00,2.00,7.00,6.00,4.50,2.00,5.00,2.00,104,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',14082,397,NULL,NULL,NULL,NULL,NULL,2,1),(16,3227260,2.00,6.00,2.00,7.00,3.00,NULL,4.00,6.00,3.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3227278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'HUGO LANGE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3227286,3.00,5.00,2.00,7.00,5.00,4.25,2.00,3.00,7.00,216,NULL,208,'BALNEARIO ESTREITO','FLORIANóPOLIS','SC',11225,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3227294,4.00,4.00,4.00,6.00,3.00,NULL,2.00,4.00,5.00,201,NULL,220,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3227308,5.00,5.00,6.00,7.00,5.00,6.00,6.00,8.00,6.00,220,NULL,203,'CENTRO','CURITIBA','PR',3204,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3227316,6.00,5.00,1.00,8.00,3.00,NULL,3.00,6.00,6.00,333,NULL,NULL,'AEROPORTO','GOIâNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227324,4.00,5.00,1.00,4.00,3.00,NULL,4.00,5.00,1.00,9,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3227359,2.00,4.00,2.00,7.00,5.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3227367,5.00,7.00,5.00,9.00,7.00,6.50,5.00,9.00,7.00,103,NULL,NULL,'CENTRO','ICARA','SC',2434,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3227375,4.00,5.00,2.00,5.00,4.00,5.00,3.00,6.00,4.00,203,NULL,214,'BARREIROS','S JOSé','SC',11931,779,NULL,388,NULL,NULL,NULL,2,1),(16,3227383,4.00,4.00,4.00,5.00,3.00,NULL,3.00,4.00,4.00,234,NULL,NULL,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3227391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3227405,7.00,7.00,6.00,7.00,7.00,6.25,5.00,8.00,4.00,207,NULL,201,'CENTRO','JARAGUá SUL','SC',3479,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3227413,4.00,4.00,6.00,2.00,4.00,6.00,1.00,7.00,3.00,453,NULL,NULL,'COLONINHA','FLORIANóPOLIS','SC',12582,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3227421,4.00,6.00,5.00,6.00,6.00,5.75,3.00,6.00,4.00,501,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3227430,4.00,5.00,1.00,1.00,3.00,NULL,3.00,3.00,3.00,201,NULL,207,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227448,4.00,5.00,5.00,8.00,4.00,6.50,3.00,5.00,4.00,108,NULL,NULL,'JADIM OLIMPIA','S PAULO','SP',8037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227456,2.00,4.00,1.00,5.00,4.00,6.25,4.00,5.00,4.00,103,NULL,NULL,'SAO LUIZ','CRICIúMA','SC',14479,2649,NULL,NULL,NULL,NULL,NULL,2,5),(16,3227480,8.00,8.00,6.00,7.00,7.00,7.50,7.00,8.00,7.00,216,NULL,201,'CAMPECHE','FLORIANóPOLIS','SC',856,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3227499,3.00,3.00,2.00,1.00,6.00,NULL,1.00,3.00,3.00,212,NULL,211,'DEHON','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3227502,3.00,6.00,1.00,2.00,4.00,6.00,2.00,4.00,5.00,326,NULL,NULL,'SãO VICENTE','ITAJAí','SC',15494,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3227510,1.00,2.00,2.00,6.00,2.00,NULL,3.00,4.00,4.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227529,3.00,3.00,1.00,4.00,1.00,NULL,1.00,3.00,3.00,303,NULL,NULL,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3227537,8.00,8.00,6.00,9.00,7.00,6.00,2.00,7.00,6.00,5,NULL,NULL,'CENTRO','STA MARIA','RS',2680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227545,8.00,6.00,6.00,10.00,9.00,6.75,8.00,8.00,9.00,220,NULL,202,'ASA SUL','BRASíLIA','DF',302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227553,2.00,2.00,3.00,4.00,2.00,NULL,1.00,4.00,1.00,333,NULL,NULL,'NOVA BRASíLIA','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3227570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CENTRO','BRAGANçA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3227588,4.00,4.00,3.00,8.00,6.00,6.00,2.00,5.00,5.00,339,NULL,NULL,'CENTRO','CARAZINHO','RS',9859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227596,9.00,6.00,7.00,9.00,7.00,5.00,7.00,7.00,9.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227626,3.00,2.00,2.00,5.00,4.00,5.25,3.00,2.00,4.00,308,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',16600,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3227642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPãO DA IMBUIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3227650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3227669,5.00,8.00,2.00,8.00,7.00,6.75,4.00,7.00,6.00,103,NULL,NULL,'DOM BOSCO','ITAJAí','SC',3976,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3227677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'ESTREITO BALNEARIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3227685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3227693,2.00,1.00,4.00,2.00,3.00,NULL,4.00,4.00,2.00,201,NULL,212,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3227715,4.00,5.00,5.00,3.00,4.00,5.00,3.00,5.00,1.00,329,NULL,NULL,'AREIAS','S JOSé','SC',15604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227723,5.00,6.00,6.00,7.00,5.00,5.50,4.00,5.00,1.00,203,NULL,NULL,'FRANCIOSI','VACARIA','RS',9389,676,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3227740,6.00,8.00,5.00,8.00,8.00,7.75,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','OURO VERDE','SC',1866,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3227758,2.00,3.00,3.00,7.00,3.00,NULL,0.00,4.00,1.00,331,NULL,NULL,'SAO PEDRO','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3227766,4.00,4.00,4.00,5.00,4.00,5.75,1.00,1.00,4.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15779,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3227790,3.00,5.00,3.00,5.00,6.00,5.25,3.00,5.00,6.00,9,NULL,NULL,'ESTREITO BALNEARIO','FLORIANóPOLIS','SC',10695,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3227804,5.00,3.00,2.00,0.00,3.00,NULL,3.00,1.00,3.00,238,NULL,208,'SãO CRISTóVãO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3227812,3.00,3.00,4.00,4.00,4.00,4.50,3.00,5.00,4.00,340,NULL,NULL,'JARDIM ITALIA','CHAPECó','SC',15488,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3227820,2.00,3.00,2.00,1.00,3.00,NULL,2.00,1.00,2.00,220,NULL,NULL,'VILA COMBONI','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3227839,7.00,7.00,6.00,9.00,7.00,6.00,7.00,7.00,8.00,103,NULL,NULL,'COMERCIáRIO','CRICIúMA','SC',1275,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3227847,3.00,2.00,4.00,8.00,6.00,6.00,4.00,8.00,3.00,214,NULL,233,'ASA NORTE','BRASíLIA','DF',8644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227863,5.00,3.00,4.00,2.00,5.00,5.50,1.00,5.00,3.00,233,NULL,238,'PRAIA COMPRIDA','S JOSé','SC',15043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227871,6.00,6.00,3.00,6.00,5.00,5.25,3.00,6.00,4.00,238,NULL,208,'ROçADO','S JOSé','SC',10552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227880,6.00,6.00,5.00,5.00,4.00,6.75,4.00,6.00,4.00,202,NULL,213,'CENTRO','BRUSQUE','SC',6844,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3227898,3.00,4.00,1.00,1.00,3.00,NULL,4.00,4.00,3.00,320,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3227901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3227928,6.00,1.00,2.00,4.00,3.00,NULL,0.00,2.00,1.00,207,NULL,215,'UNIVERSITáRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3227936,8.00,7.00,6.00,6.00,5.00,5.75,7.00,7.00,6.00,202,NULL,207,'TUCURUVI','S PAULO','SP',2170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227944,2.00,3.00,3.00,2.00,3.00,NULL,3.00,4.00,3.00,502,NULL,NULL,'INTERIOR','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3227952,4.00,3.00,4.00,1.00,4.00,3.25,3.00,5.00,1.00,214,NULL,211,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3227960,1.00,3.00,2.00,5.00,3.00,NULL,2.00,3.00,5.00,309,NULL,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3227979,5.00,8.00,4.00,9.00,6.00,6.75,3.00,4.00,5.00,233,NULL,211,'CENTRO','S BENTO SUL','SC',6174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3227995,4.00,7.00,3.00,2.00,6.00,5.75,2.00,5.00,3.00,211,NULL,233,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228002,3.00,7.00,1.00,8.00,5.00,5.50,4.00,9.00,4.00,324,NULL,NULL,'CENTRO','ITAPEMA','SC',7268,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3228010,5.00,7.00,5.00,8.00,6.00,4.75,3.00,8.00,6.00,301,NULL,NULL,'JARDIM PATENTE','S PAULO','SP',4497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3228037,9.00,8.00,8.00,8.00,7.00,6.25,7.00,9.00,8.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228045,3.00,4.00,2.00,7.00,4.00,4.75,2.00,6.00,5.00,203,NULL,201,'VILA MARIA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3228070,3.00,3.00,3.00,2.00,6.00,6.50,2.00,6.00,5.00,101,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSé','SC',14719,99,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228088,4.00,6.00,2.00,8.00,6.00,4.75,4.00,6.00,4.00,216,NULL,201,'CENTRO','ENTRE R SUL','RS',8256,303,NULL,649,NULL,NULL,NULL,2,4),(16,3228096,5.00,7.00,2.00,4.00,5.00,6.00,2.00,3.00,4.00,309,NULL,NULL,'SERRARIA','S JOSé','SC',12692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228100,4.00,6.00,1.00,1.00,4.00,4.50,1.00,7.00,4.00,340,NULL,NULL,'CENTRO','PTE ALTA','SC',15562,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3228118,2.00,5.00,2.00,6.00,4.00,4.75,2.00,7.00,3.00,203,NULL,208,'TRINDADE','FLORIANóPOLIS','SC',14495,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3228126,6.00,7.00,5.00,7.00,4.00,5.50,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','ASSIS CHATEAUBRIAND','PR',5902,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3228142,1.00,2.00,2.00,7.00,2.00,NULL,2.00,3.00,3.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3228150,4.00,3.00,1.00,7.00,6.00,6.00,3.00,4.00,3.00,333,NULL,NULL,'CENTRO','CANOAS','RS',13062,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3228169,4.00,5.00,3.00,8.00,7.00,5.50,3.00,5.00,5.00,444,NULL,NULL,'IGARA','CANOAS','RS',8251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228177,3.00,2.00,1.00,5.00,4.00,4.50,1.00,5.00,6.00,211,NULL,216,'FAZENDA','ITAJAí','SC',16193,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3228185,4.00,4.00,2.00,2.00,3.00,NULL,2.00,5.00,4.00,451,NULL,NULL,'NATUREZA','ITá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3228207,5.00,5.00,5.00,7.00,5.00,4.25,1.00,0.00,3.00,201,NULL,203,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228215,5.00,7.00,3.00,6.00,5.00,6.25,2.00,5.00,4.00,108,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228223,5.00,5.00,4.00,4.00,7.00,5.25,2.00,7.00,5.00,201,NULL,212,'CENTRO','ORLEANS','SC',7337,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3228231,5.00,1.00,1.00,3.00,5.00,7.00,3.00,5.00,3.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228258,6.00,3.00,1.00,4.00,5.00,5.75,0.00,3.00,4.00,104,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',16033,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3228266,5.00,2.00,2.00,2.00,3.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','ITAPETININGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228282,5.00,4.00,2.00,5.00,7.00,5.75,2.00,3.00,4.00,103,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',13375,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3228290,4.00,3.00,2.00,6.00,5.00,5.25,0.00,3.00,4.00,211,NULL,215,'CLARAIBA','NOVA TRENTO','SC',16025,542,NULL,347,NULL,NULL,NULL,2,2),(16,3228304,8.00,7.00,6.00,9.00,7.00,6.25,4.00,8.00,6.00,303,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',1298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228320,3.00,1.00,3.00,5.00,0.00,NULL,2.00,4.00,3.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3228339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BAU','CUIABA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3228347,6.00,4.00,4.00,7.00,5.00,5.25,4.00,8.00,5.00,103,NULL,NULL,'CENTRO','CLEVELâNDIA','PR',6469,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3228355,5.00,6.00,3.00,7.00,5.00,4.50,2.00,6.00,5.00,303,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',9571,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3228363,3.00,4.00,2.00,6.00,2.00,NULL,4.00,7.00,4.00,203,NULL,214,'INTERIOR','PALMITINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3228371,4.00,1.00,3.00,3.00,4.00,5.25,3.00,2.00,4.00,453,NULL,NULL,'BALNEARIO','FLORIANóPOLIS','SC',16639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228380,4.00,5.00,1.00,7.00,7.00,7.25,3.00,5.00,4.00,415,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',9467,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3228401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'VILA BANDEIRANTES','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3228410,3.00,3.00,2.00,5.00,3.00,NULL,2.00,4.00,4.00,444,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3228428,9.00,8.00,7.00,7.00,7.00,7.50,8.00,8.00,7.00,103,NULL,NULL,'PARQUE CUIABA','CUIABá','MT',242,158,NULL,NULL,NULL,NULL,NULL,2,1),(16,3228436,5.00,7.00,7.00,8.00,5.00,5.25,5.00,4.00,4.00,2,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARRA DO RIO','ITAJAí','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3228452,5.00,3.00,3.00,7.00,3.00,NULL,3.00,6.00,2.00,328,NULL,NULL,'HAMMARSTROM','IJUí','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3228460,3.00,4.00,3.00,8.00,4.00,5.25,1.00,5.00,2.00,101,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3228479,5.00,8.00,6.00,7.00,6.00,5.00,6.00,5.00,5.00,214,NULL,220,'CENTRO','PINHALZINHO','SC',4253,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3228487,8.00,8.00,5.00,7.00,6.00,6.50,5.00,5.00,7.00,103,NULL,NULL,'ÁGUAS CLARAS','BRUSQUE','SC',2155,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3228495,6.00,6.00,3.00,7.00,7.00,4.75,4.00,6.00,5.00,5,NULL,NULL,'PRAIA MOLE','FLORIANóPOLIS','SC',7344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228509,7.00,5.00,5.00,4.00,5.00,6.50,5.00,4.00,4.00,211,NULL,215,'ITAPURA','CAMPINAS','SP',7958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228517,7.00,7.00,7.00,7.00,6.00,7.25,7.00,8.00,8.00,203,NULL,201,'VICTOR KONDER','BLUMENAU','SC',766,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3228525,2.00,4.00,2.00,3.00,2.00,NULL,2.00,4.00,4.00,420,NULL,NULL,'PASSO DOS FORTES','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3228533,9.00,8.00,9.00,8.00,8.00,6.50,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','LAGES','SC',473,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3228541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,429,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3228550,8.00,8.00,3.00,8.00,6.00,5.75,4.00,7.00,8.00,104,NULL,NULL,'IMIGRANTES','TIMBó','SC',2994,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3228568,6.00,5.00,7.00,5.00,6.00,6.25,7.00,8.00,7.00,103,NULL,NULL,'NOVO HORIZONTE','MARíLIA','SP',2646,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3228584,6.00,5.00,6.00,2.00,5.00,6.00,6.00,5.00,7.00,201,NULL,203,'CENTRO','STA INêS','PR',6261,483,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228592,4.00,7.00,6.00,6.00,6.00,6.25,4.00,8.00,5.00,212,NULL,213,'COQUEIROS','FLORIANóPOLIS','SC',3889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228606,3.00,0.00,3.00,5.00,2.00,NULL,2.00,1.00,4.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3228614,3.00,4.00,4.00,6.00,5.00,4.50,4.00,3.00,2.00,238,NULL,208,'CAMPECHE','FLORIANóPOLIS','SC',14282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228622,3.00,4.00,2.00,1.00,5.00,NULL,2.00,4.00,2.00,101,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS AMéRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3228649,3.00,4.00,2.00,4.00,3.00,NULL,3.00,0.00,3.00,220,NULL,214,'RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3228657,6.00,3.00,4.00,7.00,5.00,4.50,2.00,4.00,3.00,211,NULL,203,'VILA SâO BENTO','S JOSé CAMPOS','SP',11727,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3228673,7.00,7.00,8.00,9.00,8.00,7.00,6.00,8.00,8.00,340,NULL,NULL,'PIO CORREA','CRICIúMA','SC',486,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3228681,4.00,7.00,3.00,8.00,8.00,5.75,4.00,4.00,5.00,103,NULL,NULL,'HIGIENóPOLIS','PTO ALEGRE','RS',6911,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(16,3228690,4.00,8.00,8.00,4.00,6.00,5.25,4.00,7.00,7.00,103,NULL,NULL,'VILA NOVA BOTUCATU','BOTUCATU','SP',3956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228703,5.00,6.00,5.00,6.00,4.00,4.50,4.00,4.00,5.00,324,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228711,4.00,5.00,2.00,2.00,6.00,6.75,3.00,5.00,5.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228720,9.00,6.00,5.00,7.00,6.00,6.25,4.00,5.00,7.00,216,NULL,233,'SANTA HELENA','LAGES','SC',3179,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3228738,7.00,7.00,5.00,9.00,4.00,6.25,2.00,6.00,3.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3228754,7.00,8.00,4.00,9.00,8.00,7.00,5.00,7.00,7.00,340,NULL,NULL,'GLóRIA','JOINVILLE','SC',1842,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3228762,5.00,6.00,5.00,3.00,6.00,6.50,3.00,7.00,5.00,319,NULL,NULL,'PARQUE IGLESIAS','JANDIRA','SP',7115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228770,2.00,4.00,4.00,3.00,4.00,5.25,3.00,5.00,1.00,304,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',16302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'JARDIM VENEZA','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3228797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AREIãO','GUIRATINGA','MT',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3228800,6.00,7.00,1.00,6.00,7.00,4.50,4.00,6.00,4.00,303,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',9072,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3228827,8.00,6.00,8.00,10.00,4.00,5.50,6.00,8.00,7.00,203,NULL,233,'BOM RETIRO','JOINVILLE','SC',1272,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3228835,4.00,6.00,4.00,7.00,2.00,NULL,1.00,7.00,2.00,3,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3228851,4.00,6.00,2.00,2.00,7.00,4.50,7.00,8.00,3.00,203,NULL,202,'PITANGUEIRA','AGROLâNDIA','SC',9369,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3228860,6.00,6.00,7.00,8.00,7.00,6.50,2.00,7.00,6.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',3759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3228878,3.00,4.00,3.00,2.00,3.00,NULL,3.00,5.00,2.00,208,NULL,220,'BALNEÁRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228894,3.00,4.00,3.00,6.00,6.00,5.75,2.00,5.00,2.00,9,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',14366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3228916,7.00,6.00,7.00,7.00,2.00,NULL,4.00,5.00,5.00,208,NULL,213,'VILA MOEMA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3228924,3.00,3.00,4.00,4.00,3.00,NULL,2.00,3.00,6.00,101,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3228932,4.00,2.00,1.00,4.00,3.00,NULL,2.00,2.00,4.00,108,NULL,NULL,'NAçõES','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3228940,0.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,428,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3228959,2.00,4.00,1.00,2.00,5.00,NULL,3.00,1.00,3.00,102,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3228975,4.00,4.00,2.00,8.00,6.00,4.75,2.00,3.00,4.00,301,NULL,NULL,'BOM REITIRO','JOINVILLE','SC',12554,256,NULL,NULL,NULL,NULL,NULL,2,8),(16,3228983,7.00,6.00,6.00,9.00,7.00,4.50,5.00,8.00,5.00,201,NULL,207,'CENTRO','MAFRA','SC',2581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3228991,4.00,7.00,4.00,4.00,4.00,5.25,4.00,7.00,4.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',9601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'REUNIDAS','CAçADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3229025,7.00,5.00,4.00,8.00,8.00,4.75,6.00,7.00,3.00,415,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',5719,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3229033,6.00,4.00,3.00,7.00,5.00,5.50,3.00,4.00,4.00,428,NULL,424,'ROçADO','S JOSé','SC',11101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229041,8.00,5.00,4.00,6.00,6.00,7.00,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',4424,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3229050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'CENTRO','PALMITINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3229068,4.00,3.00,3.00,4.00,6.00,6.50,3.00,3.00,2.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229076,2.00,3.00,1.00,6.00,2.00,NULL,0.00,0.00,2.00,301,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229084,3.00,2.00,2.00,5.00,3.00,NULL,2.00,1.00,5.00,333,NULL,NULL,'VILA VELHA','PALMEIRA MISSõES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3229106,3.00,2.00,1.00,3.00,5.00,NULL,2.00,3.00,4.00,303,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3229114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3229130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','S JOSé R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3229149,9.00,7.00,7.00,7.00,8.00,6.00,3.00,8.00,7.00,103,NULL,NULL,'BATEL','CURITIBA','PR',1147,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3229157,3.00,3.00,3.00,3.00,3.00,NULL,0.00,4.00,2.00,452,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229165,4.00,5.00,1.00,6.00,7.00,5.25,1.00,7.00,4.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11834,310,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229181,4.00,5.00,4.00,3.00,5.00,5.50,3.00,5.00,3.00,429,NULL,426,'SACO GRANDE','FLORIANóPOLIS','SC',13890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229190,7.00,5.00,5.00,3.00,5.00,6.00,5.00,5.00,4.00,203,NULL,201,'CAMPECHE','FLORIANóPOLIS','SC',8355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229211,6.00,5.00,5.00,7.00,4.00,4.25,1.00,5.00,3.00,234,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229220,7.00,2.00,2.00,5.00,7.00,6.25,3.00,6.00,4.00,211,NULL,233,'FLORESTA','CERRO LARGO','RS',10329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229238,8.00,7.00,5.00,8.00,7.00,6.00,3.00,8.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',2039,840,NULL,NULL,NULL,NULL,NULL,2,8),(16,3229246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA FANNY','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3229254,4.00,4.00,3.00,5.00,6.00,5.75,3.00,6.00,3.00,451,NULL,NULL,'AURORA','IçARA','SC',12213,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3229270,6.00,4.00,4.00,7.00,5.00,4.75,5.00,7.00,6.00,301,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',7357,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3229297,4.00,6.00,4.00,8.00,5.00,5.50,2.00,6.00,4.00,404,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',9440,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229300,6.00,3.00,3.00,8.00,6.00,4.00,3.00,7.00,4.00,302,NULL,NULL,'BELA VISTA TRêS','S JOSé','SC',10779,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229319,5.00,6.00,3.00,2.00,4.00,6.00,3.00,6.00,4.00,216,NULL,211,'COSTA E SILVA','JOINVILLE','SC',11117,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3229327,3.00,5.00,5.00,9.00,6.00,5.25,2.00,4.00,4.00,333,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',10113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229335,4.00,2.00,1.00,4.00,3.00,NULL,2.00,5.00,4.00,501,NULL,NULL,'AGUA AZUL','MARIóPOLIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3229351,4.00,4.00,1.00,3.00,3.00,NULL,4.00,4.00,3.00,453,NULL,NULL,'PALHOçA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229360,5.00,8.00,6.00,8.00,6.00,8.00,2.00,8.00,5.00,108,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3392,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229378,2.00,5.00,3.00,1.00,5.00,NULL,2.00,5.00,1.00,324,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3229386,4.00,3.00,2.00,5.00,2.00,NULL,0.00,6.00,2.00,203,NULL,233,'PASSO DO GADO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3229394,4.00,4.00,3.00,5.00,2.00,NULL,2.00,5.00,3.00,203,NULL,214,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'ROYAL PARK','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3229416,3.00,2.00,1.00,8.00,4.00,6.25,2.00,4.00,1.00,317,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',15902,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229424,4.00,4.00,3.00,2.00,3.00,NULL,3.00,2.00,4.00,101,NULL,NULL,'JARDIM AMéRICA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3229440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CIDADE JARDIM','ALTINóPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3229467,4.00,5.00,4.00,2.00,4.00,4.50,4.00,5.00,3.00,211,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP',14841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229475,7.00,9.00,7.00,8.00,5.00,6.25,5.00,7.00,7.00,203,NULL,214,'CENTRO','NOVA LONDRINA','PR',1362,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229483,5.00,6.00,2.00,7.00,2.00,NULL,3.00,5.00,5.00,102,NULL,NULL,'ZONA RURAL','MARIALVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3229491,3.00,6.00,4.00,6.00,6.00,4.25,2.00,6.00,3.00,301,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',11364,212,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229505,5.00,3.00,2.00,3.00,5.00,4.00,5.00,6.00,2.00,207,NULL,201,'ROçADO','S JOSé','SC',15519,804,NULL,1201,NULL,NULL,NULL,2,1),(16,3229513,5.00,8.00,6.00,7.00,7.00,5.50,5.00,9.00,6.00,203,NULL,214,'ENCANO BAXIO','INDAIAL','SC',2081,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3229521,2.00,5.00,4.00,7.00,5.00,6.25,1.00,5.00,3.00,2,NULL,NULL,'GUANABARA','JOINVILLE','SC',12831,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3229530,6.00,5.00,5.00,6.00,6.00,5.50,6.00,6.00,4.00,220,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',7153,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229548,4.00,5.00,3.00,7.00,5.00,5.00,2.00,5.00,4.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11947,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229556,3.00,6.00,2.00,8.00,3.00,NULL,1.00,5.00,3.00,429,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229564,5.00,6.00,3.00,9.00,5.00,6.25,5.00,7.00,3.00,233,NULL,213,'LAGOA DA CONCEICAO','FLORIANóPOLIS','SC',6869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229580,5.00,3.00,4.00,0.00,4.00,NULL,4.00,5.00,6.00,211,NULL,212,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229599,3.00,5.00,2.00,6.00,5.00,5.75,2.00,5.00,3.00,301,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',13475,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3229602,6.00,5.00,1.00,8.00,6.00,5.75,3.00,5.00,6.00,340,NULL,NULL,'ASA SUL','BRASíLIA','DF',8390,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3229629,4.00,4.00,2.00,5.00,5.00,6.50,4.00,3.00,5.00,201,NULL,203,'JARDIM ATLÂNTICO','FLORIANOPOLIS','SC',13322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229637,4.00,2.00,4.00,8.00,4.00,6.00,2.00,4.00,3.00,102,NULL,NULL,'CENTRO','CRICIúMA','SC',13991,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3229645,7.00,7.00,8.00,8.00,7.00,6.50,6.00,8.00,7.00,207,NULL,201,'LIBERDADE','S PAULO','SP',743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229653,3.00,5.00,1.00,7.00,5.00,5.25,4.00,4.00,3.00,203,NULL,214,'VILA IZABEL','CURITIBA','PR',13534,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3229661,3.00,2.00,4.00,6.00,6.00,5.50,3.00,7.00,6.00,301,NULL,NULL,'CENTRO','STA CRUZ SUL','RS',8449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229670,4.00,5.00,2.00,7.00,5.00,6.75,4.00,4.00,1.00,104,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229688,5.00,3.00,3.00,7.00,3.00,NULL,2.00,4.00,3.00,415,NULL,NULL,'SãO FRANCISCO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3229696,1.00,5.00,4.00,6.00,5.00,5.75,5.00,4.00,4.00,103,NULL,NULL,'UNIVERSSITáRIO','CHAPECó','SC',12838,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3229700,4.00,8.00,5.00,7.00,4.00,5.50,3.00,7.00,6.00,333,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',5678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229718,8.00,6.00,2.00,9.00,6.00,6.25,3.00,8.00,3.00,215,NULL,212,'CENTRO','FLORIANóPOLIS','SC',5696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALEGRE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3229734,3.00,4.00,2.00,4.00,5.00,5.50,5.00,1.00,5.00,444,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',14624,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3229750,6.00,7.00,1.00,4.00,4.00,5.50,4.00,7.00,3.00,101,NULL,NULL,'CENTRO','OSóRIO','RS',11774,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3229769,1.00,3.00,1.00,2.00,4.00,NULL,2.00,4.00,4.00,201,NULL,214,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229777,1.00,4.00,3.00,6.00,2.00,NULL,3.00,4.00,4.00,423,NULL,424,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3229793,4.00,4.00,3.00,8.00,6.00,6.50,3.00,7.00,4.00,220,NULL,208,'CARIANOS','FLORIANóPOLIS','SC',8655,355,NULL,240,NULL,NULL,NULL,4,1),(16,3229807,2.00,4.00,2.00,5.00,6.00,7.00,1.00,5.00,3.00,340,NULL,NULL,'ELIZABETH','IJUI','RS',15449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229815,4.00,5.00,2.00,4.00,2.00,NULL,3.00,4.00,4.00,203,NULL,202,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229823,5.00,4.00,5.00,5.00,6.00,7.75,2.00,8.00,4.00,301,NULL,NULL,'SãO FRANCISCO','CPO GRANDE','MS',8002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229840,6.00,4.00,4.00,8.00,4.00,6.75,3.00,4.00,3.00,327,NULL,NULL,'SãO FRANCISCO','STO AMARO IMPERATRIZ','SC',10600,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229866,4.00,6.00,3.00,5.00,4.00,4.50,0.00,4.00,5.00,421,NULL,424,'CENTRO','FLORIANóPOLIS','SC',15044,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3229874,1.00,6.00,3.00,7.00,5.00,7.25,3.00,6.00,2.00,301,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',11895,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3229882,7.00,5.00,5.00,9.00,7.00,6.00,4.00,7.00,5.00,103,NULL,NULL,'JARDIM GUAPORé','MARINGá','PR',3501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229890,5.00,5.00,3.00,7.00,5.00,6.50,3.00,7.00,3.00,415,NULL,NULL,'CENTRO','OSóRIO','RS',9635,258,NULL,NULL,NULL,NULL,NULL,2,5),(16,3229904,7.00,5.00,6.00,7.00,6.00,5.25,6.00,4.00,3.00,202,NULL,233,'BOM JESUS','CAçADOR','SC',6095,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3229912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VILA ROSA PIRES','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3229947,8.00,6.00,7.00,8.00,7.00,5.75,6.00,4.00,7.00,103,NULL,NULL,'JD VL MARIANA','S PAULO','SP',2040,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3229955,3.00,2.00,2.00,4.00,2.00,NULL,2.00,5.00,3.00,101,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229963,6.00,6.00,3.00,8.00,5.00,6.25,4.00,5.00,5.00,214,NULL,220,'CARVOEIRA','FLORIANóPOLIS','SC',7402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229971,7.00,9.00,6.00,8.00,9.00,5.50,6.00,8.00,6.00,303,NULL,NULL,'CENTRO','JARAGUá SUL','SC',948,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3229980,7.00,6.00,8.00,8.00,8.00,6.50,4.00,7.00,7.00,238,NULL,201,'ITACORUBI','FLORIANóPOLIS','SC',1515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3229998,3.00,3.00,3.00,6.00,4.00,NULL,2.00,3.00,0.00,340,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3230007,5.00,6.00,4.00,3.00,5.00,5.50,4.00,6.00,2.00,501,NULL,NULL,'IMIGRANTES','TIMBó','SC',12324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230015,5.00,4.00,3.00,6.00,7.00,5.50,3.00,6.00,3.00,308,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',10259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'ICARAY','ARAçATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3230031,5.00,7.00,2.00,5.00,4.00,4.50,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',10390,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3230074,6.00,6.00,5.00,5.00,6.00,5.00,4.00,7.00,5.00,103,NULL,NULL,'JARDIM ITALIA','CHAPECó','SC',7615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230082,3.00,6.00,5.00,8.00,7.00,4.25,5.00,7.00,6.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230090,4.00,5.00,2.00,6.00,3.00,NULL,1.00,4.00,3.00,214,NULL,213,'JARDIM APUCARANA','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3230104,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3230112,7.00,8.00,8.00,7.00,6.00,5.75,4.00,8.00,7.00,303,NULL,NULL,'SANTA BáRBARA','CRICIúMA','SC',1279,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3230120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','AT BELA VISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3230139,5.00,2.00,2.00,0.00,5.00,5.75,3.00,5.00,6.00,3,NULL,NULL,'JARDIM RICETTI','S CARLOS','SP',14702,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3230147,3.00,5.00,2.00,7.00,2.00,NULL,2.00,6.00,3.00,340,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230155,9.00,8.00,8.00,8.00,6.00,5.75,4.00,7.00,7.00,203,NULL,233,'ITACORUBI','FLORIANóPOLIS','SC',931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230163,4.00,2.00,7.00,8.00,6.00,5.50,2.00,4.00,5.00,340,NULL,NULL,'CENTRO','XAXIM','SC',9720,NULL,NULL,NULL,NULL,NULL,NULL,5,4),(16,3230171,2.00,4.00,3.00,3.00,6.00,6.00,2.00,4.00,4.00,211,NULL,216,'LINHA BATISTA','CRICIúMA','SC',15015,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3230180,6.00,7.00,3.00,6.00,4.00,7.25,2.00,8.00,3.00,453,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',7765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230198,6.00,6.00,6.00,5.00,4.00,5.50,3.00,6.00,5.00,201,NULL,214,'CENTRO','FLORIANóPOLIS','SC',8179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230201,9.00,9.00,7.00,7.00,7.00,7.75,4.00,7.00,7.00,340,NULL,NULL,'VILA NOVA','JARAGUá SUL','SC',882,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3230210,4.00,5.00,6.00,7.00,2.00,NULL,2.00,5.00,4.00,203,NULL,214,'JARDIM GUTIERRES','CPO MOURãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230228,6.00,6.00,5.00,8.00,5.00,5.75,4.00,6.00,8.00,3,NULL,NULL,'CENTRO','DOIS IRMãOS','RS',4488,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230236,3.00,4.00,2.00,3.00,6.00,NULL,2.00,3.00,1.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3230252,6.00,7.00,5.00,5.00,5.00,5.75,5.00,8.00,7.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4920,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230260,2.00,3.00,1.00,1.00,2.00,NULL,2.00,2.00,2.00,404,NULL,NULL,'CACUPé','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,NULL,'STELLA MARIS','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3230287,7.00,8.00,6.00,8.00,6.00,5.50,3.00,7.00,6.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3018,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230309,1.00,3.00,2.00,2.00,4.00,4.75,4.00,7.00,4.00,103,NULL,NULL,'SãO LUIS','SOMBRIO','SC',16233,2806,NULL,NULL,NULL,NULL,NULL,2,5),(16,3230317,1.00,6.00,4.00,6.00,5.00,5.00,4.00,5.00,1.00,316,NULL,NULL,'PâNTANO DO SUL','FLORIANóPOLIS','SC',12952,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230333,6.00,7.00,3.00,5.00,6.00,6.25,4.00,6.00,6.00,103,NULL,NULL,'BARRA DO RIO','ITAJAí','SC',7078,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3230341,2.00,7.00,5.00,6.00,4.00,4.00,4.00,4.00,4.00,451,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',13381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'LOMBA GRANDE','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3230368,8.00,9.00,8.00,9.00,8.00,7.75,6.00,9.00,8.00,207,NULL,211,'CóRREGO GRANDE','FLORIANóPOLIS','SC',106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230384,4.00,2.00,2.00,3.00,3.00,NULL,3.00,4.00,4.00,238,NULL,208,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230392,0.00,0.00,0.00,9.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3230406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3230414,4.00,2.00,3.00,3.00,3.00,NULL,1.00,3.00,3.00,201,NULL,NULL,'JARDIM','S JOSé CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3230422,7.00,5.00,7.00,8.00,6.00,7.00,5.00,6.00,6.00,216,NULL,215,'SAMBAQUI','FLORIANóPOLIS','SC',2449,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230430,4.00,7.00,5.00,5.00,6.00,4.50,3.00,7.00,6.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',7401,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3230449,3.00,3.00,1.00,8.00,6.00,5.00,4.00,2.00,6.00,104,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',12691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230457,5.00,5.00,3.00,5.00,6.00,6.00,3.00,5.00,4.00,108,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',10368,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3230465,5.00,5.00,3.00,6.00,8.00,7.25,3.00,2.00,5.00,9,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',9368,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230473,4.00,6.00,4.00,5.00,5.00,4.75,3.00,2.00,4.00,238,NULL,203,'COQUEIROS','FLORIANóPOLIS','SC',13377,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230481,6.00,8.00,5.00,8.00,5.00,6.00,3.00,9.00,6.00,103,NULL,NULL,'RAINHA','LOUVEIRA','SP',3318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230490,4.00,6.00,4.00,0.00,6.00,5.25,5.00,7.00,3.00,207,NULL,233,'CENTRO','FLORIANóPOLIS','SC',12036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,215,'JD NOVA IPANEMA','PRES VENCESLAU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3230520,5.00,5.00,4.00,6.00,4.00,6.75,3.00,6.00,3.00,5,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',9680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230538,4.00,3.00,5.00,8.00,5.00,5.75,2.00,3.00,3.00,101,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',13857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230546,5.00,3.00,2.00,5.00,3.00,NULL,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3230554,3.00,2.00,2.00,1.00,2.00,NULL,3.00,2.00,1.00,5,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'JARDIM SãO JORGE','S JOãO B VISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3230570,4.00,7.00,3.00,8.00,6.00,6.00,2.00,8.00,2.00,427,NULL,423,'PORTO DA LAGOA','FLORIANóPOLIS','SC',8599,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3230589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3230597,7.00,6.00,4.00,8.00,7.00,7.50,3.00,7.00,6.00,103,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',3051,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3230619,7.00,6.00,3.00,7.00,6.00,7.00,6.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230627,7.00,5.00,3.00,7.00,5.00,4.50,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','PNT PORã','MS',7967,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230635,2.00,3.00,4.00,6.00,4.00,3.25,1.00,6.00,3.00,424,NULL,421,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230643,8.00,5.00,7.00,8.00,6.00,7.50,4.00,8.00,6.00,201,NULL,212,'PLANALTO PARAISO','S CARLOS','SP',1824,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230660,5.00,5.00,4.00,6.00,4.00,5.50,1.00,6.00,4.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12087,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230678,4.00,5.00,1.00,8.00,3.00,NULL,3.00,4.00,1.00,303,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230686,6.00,8.00,8.00,8.00,5.00,7.50,6.00,9.00,8.00,340,NULL,NULL,'VILA MASCOTE','S PAULO','SP',1059,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3230694,5.00,6.00,4.00,10.00,5.00,6.50,4.00,8.00,2.00,214,NULL,212,'CENTRO','TOLEDO','PR',4974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230708,3.00,3.00,2.00,4.00,0.00,NULL,3.00,3.00,4.00,208,NULL,201,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230716,3.00,4.00,1.00,8.00,4.00,5.25,2.00,4.00,3.00,444,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230724,6.00,6.00,6.00,8.00,7.00,6.25,3.00,8.00,7.00,103,NULL,NULL,'BALNEáRIO ESTREITO','FLORIANóPOLIS','SC',2716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230740,5.00,5.00,5.00,7.00,5.00,5.75,3.00,5.00,6.00,104,NULL,NULL,'CENTRO','S JOSé','SC',7428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230759,4.00,2.00,1.00,6.00,2.00,NULL,2.00,3.00,5.00,319,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230767,5.00,3.00,4.00,4.00,4.00,4.00,1.00,3.00,6.00,103,NULL,NULL,'CENTRO','GURUPI','TO',15459,2736,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230775,9.00,8.00,6.00,7.00,8.00,6.50,3.00,9.00,9.00,303,NULL,NULL,'LIBERDADE','S PAULO','SP',789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230783,7.00,7.00,5.00,6.00,6.00,5.00,4.00,7.00,6.00,201,NULL,238,'CENTRO','CONCóRDIA','SC',4662,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3230791,4.00,3.00,3.00,6.00,3.00,NULL,1.00,2.00,2.00,501,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230805,6.00,5.00,3.00,1.00,6.00,4.25,4.00,6.00,6.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',11229,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3230813,2.00,2.00,2.00,7.00,5.00,NULL,2.00,5.00,2.00,309,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230821,6.00,4.00,6.00,8.00,4.00,5.00,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',7645,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3230830,4.00,6.00,2.00,6.00,3.00,NULL,1.00,6.00,5.00,304,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3230848,5.00,6.00,2.00,7.00,4.00,6.00,3.00,7.00,3.00,302,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',8826,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230856,2.00,5.00,1.00,7.00,4.00,3.25,3.00,7.00,2.00,501,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230864,2.00,3.00,2.00,6.00,4.00,NULL,1.00,2.00,2.00,301,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230872,5.00,3.00,2.00,6.00,4.00,5.50,3.00,4.00,3.00,224,NULL,NULL,'CENTRO','CORUPá','SC',14981,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3230880,4.00,5.00,1.00,5.00,4.00,6.25,3.00,6.00,5.00,331,NULL,NULL,'SãO DEFENDE','CRICIúMA','SC',12755,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3230899,6.00,6.00,7.00,7.00,7.00,5.50,3.00,6.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3279,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3230902,4.00,6.00,5.00,8.00,3.00,NULL,3.00,6.00,3.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230910,6.00,8.00,4.00,8.00,8.00,5.75,5.00,7.00,5.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3529,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230929,4.00,5.00,4.00,5.00,4.00,4.50,2.00,3.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3230937,1.00,2.00,2.00,2.00,1.00,NULL,4.00,1.00,3.00,101,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230945,3.00,7.00,6.00,9.00,6.00,7.00,6.00,7.00,6.00,319,NULL,NULL,'BONFIM PAULISTA','BONFIM PAULISTA','SP',2591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230953,3.00,5.00,4.00,4.00,5.00,5.00,2.00,3.00,3.00,208,NULL,238,'CENTRO','STO AMARO IMPERATRIZ','SC',14978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3230961,4.00,3.00,2.00,5.00,2.00,NULL,1.00,7.00,3.00,104,NULL,NULL,'PASSO DOS FORTES','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3230970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CARAZINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3230996,5.00,6.00,6.00,8.00,7.00,6.00,3.00,9.00,5.00,340,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',3195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231003,5.00,7.00,2.00,2.00,7.00,4.75,4.00,5.00,5.00,203,NULL,214,'NAçõES','CONCóRDIA','SC',10661,735,NULL,357,NULL,NULL,NULL,4,4),(16,3231020,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231046,4.00,4.00,2.00,6.00,5.00,NULL,0.00,3.00,4.00,301,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231054,8.00,8.00,9.00,7.00,8.00,6.00,4.00,6.00,8.00,103,NULL,NULL,'CENTRO','CONCóRDIA','SC',853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231062,7.00,8.00,4.00,6.00,5.00,5.75,6.00,8.00,6.00,233,NULL,220,'CENTRO','FLORIANOPOLIS','SC',3257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231070,5.00,5.00,6.00,7.00,6.00,6.50,3.00,7.00,6.00,207,NULL,201,'ESCOLA AGRíCOLA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3231097,5.00,5.00,1.00,5.00,4.00,4.75,3.00,6.00,5.00,316,NULL,NULL,'ROçADO','S JOSé','SC',12909,150,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231100,9.00,9.00,7.00,4.00,8.00,5.75,7.00,9.00,9.00,203,NULL,202,'SANTA AUGUSTA','BRAçO NORTE','SC',588,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3231119,2.00,5.00,2.00,7.00,7.00,6.00,4.00,4.00,4.00,102,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',11861,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3231135,4.00,2.00,2.00,3.00,4.00,5.00,2.00,5.00,4.00,104,NULL,NULL,'IRIRIú','JOINVILLE','SC',16159,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3231143,9.00,8.00,9.00,9.00,6.00,7.00,6.00,7.00,8.00,216,NULL,202,'TRINDADE','FLORIANóPOLIS','SC',263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231151,2.00,2.00,5.00,8.00,4.00,5.75,2.00,5.00,6.00,212,NULL,216,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231160,6.00,6.00,5.00,9.00,6.00,7.50,4.00,4.00,6.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',4618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231178,8.00,5.00,4.00,6.00,6.00,5.75,2.00,3.00,5.00,103,NULL,NULL,'KOBRASOL','S JOSé','SC',9670,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231186,6.00,5.00,4.00,9.00,6.00,6.00,4.00,7.00,5.00,103,NULL,NULL,'POçO RICO','OTACíLIO COSTA','SC',4865,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3231194,8.00,7.00,6.00,1.00,6.00,5.50,7.00,8.00,8.00,103,NULL,NULL,'BARRA DO RIO MOLHA','JARAGUá SUL','SC',2369,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3231208,6.00,8.00,3.00,8.00,5.00,5.50,5.00,5.00,6.00,202,NULL,213,'BARRIROS','S JOSé','SC',5900,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3231224,3.00,3.00,2.00,6.00,4.00,4.25,4.00,5.00,1.00,303,NULL,NULL,'VILA CABRAL','REGISTRO','SP',14974,653,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231240,6.00,6.00,3.00,4.00,6.00,5.00,4.00,7.00,4.00,303,NULL,NULL,'KOBRASOL','S JOSé','SC',9287,409,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231259,9.00,6.00,7.00,9.00,6.00,6.00,3.00,8.00,7.00,103,NULL,NULL,'JD NOVO HORIZONTE','MARINGá','PR',1685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231267,8.00,7.00,7.00,9.00,7.00,6.00,7.00,8.00,8.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',649,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3231275,5.00,7.00,6.00,8.00,6.00,5.25,4.00,9.00,7.00,207,NULL,211,'BOM RETIRO','BLUMENAU','SC',2780,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3231283,6.00,4.00,4.00,7.00,7.00,7.50,3.00,6.00,6.00,108,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231291,2.00,3.00,3.00,5.00,4.00,4.75,2.00,5.00,2.00,451,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231305,2.00,6.00,2.00,6.00,2.00,NULL,3.00,5.00,2.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231313,7.00,6.00,7.00,8.00,5.00,5.25,5.00,8.00,5.00,203,NULL,238,'ESTREITO','FLORIANóPOLIS','SC',2504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231321,3.00,5.00,3.00,0.00,0.00,NULL,1.00,7.00,1.00,103,NULL,NULL,'GLóRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,8),(16,3231330,7.00,7.00,9.00,8.00,7.00,5.25,7.00,9.00,8.00,216,NULL,215,'VILA NOVA','JARAGUá SUL','SC',450,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3231348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3231356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','XANXERê','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3231364,6.00,8.00,6.00,8.00,4.00,6.00,2.00,7.00,8.00,103,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',4072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231372,8.00,6.00,3.00,6.00,2.00,NULL,3.00,7.00,5.00,103,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231399,4.00,5.00,2.00,0.00,6.00,4.75,3.00,4.00,3.00,207,NULL,238,'SANTOS DUMONT','S JOSé','SC',15689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231402,4.00,3.00,2.00,0.00,0.00,NULL,3.00,5.00,2.00,316,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(16,3231410,4.00,3.00,1.00,6.00,2.00,NULL,3.00,2.00,2.00,211,NULL,NULL,'PASSO DOS FORTES','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3231429,5.00,0.00,4.00,4.00,1.00,NULL,4.00,5.00,3.00,404,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231437,4.00,5.00,1.00,5.00,4.00,5.50,3.00,4.00,4.00,102,NULL,NULL,'CENTRO','S JOãO BATISTA','SC',14382,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,202,'POMPéIA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3231453,7.00,4.00,5.00,3.00,5.00,7.00,4.00,8.00,3.00,104,NULL,NULL,'MEDIANEIRA','CAXIAS SUL','RS',6984,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3231461,4.00,3.00,2.00,6.00,5.00,5.50,3.00,6.00,4.00,5,NULL,NULL,'N S DO ROSARIO','S JOSé','SC',12466,430,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231470,8.00,7.00,6.00,5.00,5.00,6.50,4.00,6.00,5.00,211,NULL,215,'CENTRO','FLORIANOPOLIS','SC',4826,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231488,8.00,7.00,4.00,9.00,8.00,5.50,4.00,7.00,7.00,203,NULL,201,'JARDIM ESTORIL','OURINHOS','SP',1855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231496,5.00,9.00,3.00,7.00,7.00,5.50,4.00,7.00,4.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',5184,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3231500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO JOSE','STA CECíLIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3231518,2.00,6.00,3.00,3.00,6.00,4.25,2.00,5.00,4.00,415,NULL,NULL,'CAPOEIRA','FLORIANóPOLIS','SC',14515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231526,6.00,6.00,4.00,8.00,3.00,NULL,5.00,6.00,6.00,301,NULL,NULL,'VALE VERDE','LEME','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231542,9.00,9.00,5.00,8.00,7.00,5.50,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','GUARANéSIA','MG',939,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3231550,5.00,5.00,1.00,8.00,7.00,6.50,2.00,7.00,3.00,104,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',9468,251,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231569,5.00,4.00,2.00,7.00,5.00,3.00,5.00,6.00,2.00,2,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231577,4.00,1.00,1.00,7.00,2.00,NULL,3.00,4.00,3.00,450,NULL,NULL,'STA RITA','OLíMPIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231585,5.00,6.00,3.00,7.00,7.00,4.00,3.00,8.00,3.00,318,NULL,NULL,'PALU','S PEDRO','SP',8778,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA GILDA','STO ANDRé','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3231607,3.00,2.00,1.00,2.00,3.00,NULL,1.00,4.00,2.00,332,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','DIONíSIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3231623,5.00,8.00,4.00,6.00,7.00,6.75,3.00,7.00,3.00,104,NULL,NULL,'CENTRO','TIMBó','SC',5464,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3231631,5.00,5.00,4.00,3.00,7.00,5.75,1.00,8.00,3.00,303,NULL,NULL,'CACH DO BOM JESUS','FLORIANóPOLIS','SC',11328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231658,4.00,4.00,8.00,9.00,8.00,5.50,4.00,6.00,6.00,333,NULL,NULL,'GRANJA VIANA','COTIA','SP',3639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231666,3.00,4.00,1.00,6.00,3.00,NULL,5.00,5.00,5.00,207,NULL,201,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3231674,6.00,6.00,4.00,9.00,8.00,8.00,4.00,7.00,4.00,340,NULL,NULL,'MONTE ALEGRE','S PAULO','SP',2767,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3231682,0.00,0.00,0.00,4.00,2.00,NULL,3.00,2.00,3.00,453,NULL,NULL,'JARDIM FLORENçA II','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(16,3231690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3231704,5.00,5.00,4.00,0.00,0.00,NULL,5.00,7.00,2.00,429,NULL,425,'JARDIM CIDADE','S JOSé','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(16,3231712,6.00,4.00,2.00,5.00,5.00,4.50,3.00,6.00,0.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14888,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231747,2.00,2.00,2.00,3.00,4.00,NULL,0.00,2.00,1.00,327,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231755,7.00,5.00,5.00,8.00,8.00,6.25,5.00,9.00,5.00,216,NULL,203,'VILA MATILDE','S PAULO','SP',2607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231763,3.00,4.00,3.00,5.00,3.00,NULL,2.00,3.00,3.00,340,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VILA MARARI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3231798,4.00,4.00,3.00,2.00,2.00,NULL,3.00,4.00,2.00,207,NULL,201,'PASSO MANSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3231801,7.00,5.00,2.00,8.00,6.00,6.25,1.00,4.00,1.00,207,NULL,201,'SANTA CATARINA','CAXIAS SUL','RS',11704,573,NULL,906,NULL,NULL,NULL,2,1),(16,3231810,5.00,6.00,6.00,7.00,6.00,6.00,4.00,8.00,8.00,201,NULL,212,'PONTA DE BAIXO','S JOSé','SC',3066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231828,5.00,5.00,1.00,7.00,7.00,6.00,3.00,5.00,5.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3231852,4.00,5.00,4.00,6.00,5.00,5.25,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231860,4.00,5.00,5.00,5.00,4.00,5.25,2.00,5.00,3.00,301,NULL,NULL,'CENTRO','S JOSé','SC',12950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231887,6.00,6.00,4.00,8.00,4.00,4.00,1.00,7.00,6.00,223,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231895,4.00,3.00,3.00,3.00,4.00,NULL,1.00,3.00,3.00,211,NULL,215,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3231909,6.00,3.00,2.00,8.00,5.00,4.25,1.00,6.00,5.00,220,NULL,202,'JARDIM CONCEIçãO','CAMPINAS','SP',11365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231917,1.00,2.00,2.00,6.00,5.00,4.00,4.00,6.00,3.00,223,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',15578,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3231941,2.00,2.00,1.00,2.00,4.00,NULL,3.00,3.00,3.00,333,NULL,NULL,'COQUEIRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231950,8.00,9.00,6.00,5.00,8.00,4.00,6.00,6.00,5.00,5,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',2790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231968,8.00,5.00,7.00,8.00,4.00,4.75,4.00,7.00,4.00,207,NULL,201,'CENTENáRIO','S BENTO SUL','SC',5892,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3231976,4.00,7.00,1.00,9.00,5.00,4.75,2.00,6.00,3.00,216,NULL,233,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231984,9.00,5.00,6.00,8.00,6.00,6.75,6.00,5.00,7.00,103,NULL,NULL,'JARDIM PARAíSO','BOTUCATU','SP',2018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3231992,5.00,5.00,3.00,5.00,6.00,6.00,4.00,4.00,5.00,212,NULL,233,'VELHA','BLUMENAU','SC',10096,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3232018,8.00,2.00,2.00,3.00,9.00,7.25,3.00,6.00,4.00,108,NULL,NULL,'BARREIROS','S JOSé','SC',8368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232026,4.00,3.00,3.00,3.00,2.00,NULL,2.00,2.00,2.00,102,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3232034,4.00,4.00,4.00,1.00,5.00,4.75,2.00,4.00,2.00,317,NULL,NULL,'SERRARIA','S JOSé','SC',16322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232042,4.00,5.00,4.00,6.00,5.00,5.75,1.00,5.00,5.00,108,NULL,NULL,'PALHOçA','PALHOçA','SC',11933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232050,3.00,7.00,5.00,4.00,4.00,4.50,0.00,8.00,3.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12904,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3232069,3.00,7.00,1.00,8.00,6.00,5.75,4.00,7.00,4.00,301,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',8466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3232085,2.00,6.00,3.00,3.00,7.00,6.25,2.00,8.00,5.00,108,NULL,NULL,'CENTRO','ITAPIRANGA','SC',9891,218,NULL,NULL,NULL,NULL,NULL,4,4),(16,3232093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,212,'VILA SANTO ANTONIO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3232107,4.00,4.00,3.00,9.00,6.00,5.50,4.00,7.00,3.00,211,NULL,233,'AGRONOMICA','FLORIANóPOLIS','SC',7930,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3232123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'DEHON','TUBARãO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3232131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,238,'CENTRO','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3232140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PARQUE NOVA CAMPINAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3232158,5.00,4.00,5.00,8.00,5.00,6.75,4.00,6.00,6.00,103,NULL,NULL,'TOBIAS','JOAçABA','SC',5258,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3232166,0.00,4.00,3.00,1.00,2.00,NULL,2.00,3.00,1.00,319,NULL,NULL,'TABOLEIRO','CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3232174,9.00,6.00,5.00,8.00,8.00,5.00,4.00,9.00,8.00,108,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',1265,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3232182,6.00,5.00,3.00,6.00,4.00,5.75,2.00,7.00,1.00,201,NULL,NULL,'AGUA VERDE','BLUMENAU','SC',12405,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3232190,8.00,8.00,5.00,3.00,5.00,6.50,7.00,7.00,7.00,216,NULL,211,'SÃO RAFAEL','RIO NEGRINHO','SC',3057,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3232212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3232220,6.00,5.00,6.00,5.00,8.00,5.50,4.00,7.00,6.00,319,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',5734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232239,5.00,4.00,3.00,4.00,5.00,4.50,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',13511,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3232247,6.00,8.00,6.00,8.00,7.00,5.00,3.00,8.00,6.00,203,NULL,214,'HUMAITá','TUBARãO','SC',2622,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3232255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BOM J SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3232263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3232271,2.00,2.00,1.00,1.00,4.00,NULL,2.00,5.00,2.00,502,NULL,NULL,'PIONEIROS','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3232280,7.00,3.00,4.00,8.00,6.00,5.25,3.00,6.00,6.00,104,NULL,NULL,'CENTRO','RIO SUL','SC',6384,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3232298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3232301,8.00,6.00,6.00,8.00,5.00,4.75,5.00,7.00,8.00,202,NULL,201,'CENTRO','FLORIANóPOLIS','SC',2941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232310,6.00,7.00,5.00,6.00,7.00,5.25,5.00,8.00,4.00,103,NULL,NULL,'ZONA','MARINGá','PR',3511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232328,6.00,4.00,4.00,8.00,6.00,5.75,4.00,7.00,3.00,425,NULL,429,'PICADAS DO SUL','S JOSé','SC',7642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232336,3.00,3.00,4.00,6.00,3.00,NULL,3.00,4.00,4.00,302,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3232344,6.00,6.00,1.00,8.00,8.00,6.75,4.00,5.00,5.00,104,NULL,NULL,'PASSO DAS PEDRAS','GRAVATAí','RS',5519,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3232352,3.00,4.00,2.00,0.00,4.00,NULL,2.00,6.00,2.00,304,NULL,NULL,'MUNICIPIOS','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3232360,7.00,5.00,5.00,6.00,5.00,5.75,3.00,3.00,6.00,103,NULL,NULL,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',7320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232379,5.00,5.00,5.00,7.00,4.00,7.00,3.00,8.00,3.00,102,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',7686,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3232387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MORUMBI','JABOTICABAL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3232409,5.00,3.00,5.00,7.00,6.00,5.50,3.00,6.00,5.00,101,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',9475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3232417,7.00,7.00,6.00,8.00,6.00,4.50,4.00,7.00,7.00,233,NULL,238,'PONTA DE BAIXO','S JOSé','SC',2956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232425,2.00,3.00,1.00,4.00,1.00,NULL,1.00,4.00,3.00,304,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3232433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'MEDIANEIRA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3232441,3.00,3.00,3.00,5.00,2.00,NULL,2.00,2.00,4.00,216,NULL,207,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3232450,4.00,6.00,4.00,5.00,4.00,6.50,2.00,6.00,5.00,303,NULL,NULL,'CENTRO','S BONIFáCIO','SC',10227,441,NULL,NULL,NULL,NULL,NULL,2,1),(16,3232468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'COHAPAR','GUARATUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3232476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'GUANABARA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3232484,8.00,5.00,8.00,7.00,7.00,4.00,7.00,6.00,8.00,203,NULL,214,'BOSQUE DA SAUDE','CUIABá','MT',1320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232492,3.00,1.00,1.00,0.00,3.00,NULL,4.00,3.00,4.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232506,7.00,7.00,6.00,10.00,8.00,7.00,3.00,9.00,6.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',1495,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3232514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'POÇÃO','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3232522,5.00,6.00,5.00,6.00,7.00,6.00,2.00,7.00,4.00,5,NULL,NULL,'LíDER','CHAPECó','SC',6813,NULL,NULL,NULL,NULL,NULL,NULL,3,4),(16,3232530,9.00,5.00,7.00,8.00,5.00,6.25,8.00,7.00,8.00,211,NULL,215,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',1195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232549,2.00,5.00,4.00,9.00,5.00,6.25,3.00,2.00,6.00,201,NULL,215,'DISTRITO INDUSTRIAL','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3232557,1.00,4.00,4.00,3.00,5.00,4.75,3.00,5.00,4.00,301,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',16113,360,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'NOSSA S DO ROSáRIO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3232581,4.00,2.00,2.00,4.00,3.00,NULL,3.00,6.00,3.00,302,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3232590,4.00,5.00,4.00,2.00,6.00,6.25,4.00,6.00,3.00,303,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',10411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232603,8.00,6.00,8.00,7.00,8.00,6.00,5.00,8.00,7.00,102,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',1295,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3232611,7.00,6.00,4.00,2.00,6.00,5.50,5.00,8.00,3.00,303,NULL,NULL,'BOSQUE','S JOSé','SC',7445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232620,7.00,8.00,6.00,6.00,4.00,5.75,5.00,8.00,6.00,220,NULL,233,'TRINDADE','FLORIANóPOLIS','SC',3932,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3232638,6.00,5.00,4.00,8.00,4.00,5.50,3.00,5.00,5.00,452,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',9666,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3232654,3.00,5.00,4.00,6.00,1.00,NULL,2.00,5.00,1.00,308,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3232662,7.00,8.00,7.00,9.00,8.00,7.00,4.00,8.00,7.00,316,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',1188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232670,5.00,5.00,5.00,6.00,4.00,5.75,5.00,5.00,3.00,332,NULL,NULL,'ARIRIU','PALHOçA','SC',9587,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3232689,7.00,7.00,3.00,5.00,5.00,5.50,5.00,8.00,7.00,302,NULL,NULL,'AREIAS','S JOSé','SC',3971,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3232700,7.00,6.00,4.00,4.00,4.00,5.00,6.00,8.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',6337,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3232719,6.00,3.00,5.00,1.00,4.00,4.75,2.00,5.00,3.00,301,NULL,NULL,'CENTRO','BLUMENAU','SC',15454,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3232727,6.00,6.00,5.00,9.00,7.00,4.75,5.00,7.00,5.00,201,NULL,211,'KOBRASOL','S JOSé','SC',3783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232735,5.00,6.00,4.00,3.00,6.00,4.00,2.00,6.00,5.00,208,NULL,220,'CENTRO','TERRA AREIA','RS',10602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232743,4.00,8.00,4.00,6.00,6.00,5.75,2.00,7.00,3.00,201,NULL,202,'VILA NOVA','FRANCISCO BELTRAO','PR',7625,598,NULL,NULL,NULL,NULL,NULL,4,4),(16,3232751,1.00,6.00,3.00,7.00,5.00,5.75,3.00,7.00,3.00,302,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',11100,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3232760,3.00,4.00,6.00,6.00,3.00,NULL,3.00,2.00,3.00,203,NULL,208,'JARDIM UNIVERSITARIO','MARINGá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3232778,8.00,8.00,6.00,5.00,6.00,6.25,5.00,6.00,6.00,211,NULL,215,'SAGRADO C DE JESUS','LAGES','SC',3081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232786,8.00,6.00,9.00,6.00,6.00,6.25,6.00,6.00,9.00,103,NULL,NULL,'LAGO NORTE','LG NORTE','DF',971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232794,1.00,1.00,2.00,1.00,3.00,NULL,2.00,2.00,3.00,301,NULL,NULL,'PARQUE SÃO JORGE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232808,4.00,4.00,4.00,8.00,8.00,5.50,3.00,7.00,6.00,103,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',5940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3232816,8.00,5.00,2.00,7.00,5.00,5.25,2.00,6.00,7.00,501,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',7170,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3232824,2.00,1.00,2.00,1.00,2.00,NULL,2.00,1.00,2.00,207,NULL,201,'ACASSIAS','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3232832,6.00,8.00,5.00,9.00,6.00,6.75,3.00,7.00,4.00,319,NULL,NULL,'CORAL','LAGES','SC',4512,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3232840,9.00,8.00,6.00,9.00,9.00,7.25,6.00,8.00,8.00,103,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP',139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3232867,1.00,3.00,3.00,3.00,1.00,NULL,2.00,2.00,4.00,9,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO JOAO CLIMACO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3232883,6.00,4.00,3.00,7.00,6.00,5.25,4.00,5.00,6.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232891,6.00,7.00,4.00,8.00,6.00,5.00,4.00,9.00,7.00,104,NULL,NULL,'SAO CRISTOVAO','CRICIúMA','SC',3074,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3232905,2.00,2.00,3.00,5.00,5.00,NULL,1.00,4.00,2.00,238,NULL,208,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3232913,3.00,7.00,3.00,8.00,5.00,4.50,3.00,6.00,4.00,5,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3232948,8.00,8.00,7.00,9.00,7.00,6.00,5.00,7.00,7.00,103,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3232964,7.00,6.00,5.00,1.00,4.00,4.00,4.00,5.00,4.00,2,NULL,NULL,'PQ ALTO TAQUARAL','CAMPINAS','SP',11270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3232972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3232980,3.00,4.00,2.00,2.00,5.00,4.25,4.00,8.00,6.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',13077,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3232999,4.00,4.00,1.00,5.00,4.00,6.00,1.00,4.00,4.00,103,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','PETROLâNDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3233014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AQUARIUS','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3233022,2.00,5.00,3.00,6.00,3.00,NULL,1.00,3.00,4.00,203,NULL,214,'CENTRO','CRUZ ALTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3233030,6.00,6.00,4.00,7.00,2.00,NULL,4.00,8.00,4.00,301,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3233057,5.00,4.00,3.00,7.00,5.00,6.00,3.00,4.00,5.00,103,NULL,NULL,'VILA RODRIGUES','PASSO FUNDO','RS',10425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233065,5.00,3.00,2.00,5.00,4.00,NULL,1.00,2.00,0.00,317,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3233073,2.00,3.00,3.00,2.00,5.00,NULL,2.00,4.00,4.00,9,NULL,NULL,'AREIAS','CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3233081,6.00,7.00,4.00,7.00,5.00,5.75,3.00,8.00,2.00,332,NULL,NULL,'BARREIROS','S JOSé','SC',6784,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3233090,5.00,1.00,3.00,8.00,2.00,NULL,4.00,4.00,2.00,415,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233103,5.00,5.00,2.00,4.00,7.00,6.00,2.00,7.00,3.00,319,NULL,NULL,'KOBRASOL','S JOSé','SC',10784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233111,1.00,6.00,2.00,5.00,3.00,NULL,2.00,7.00,1.00,201,NULL,212,'JARDIM CIDADE FPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233120,4.00,8.00,4.00,8.00,6.00,5.75,2.00,7.00,4.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3233138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3233146,6.00,5.00,6.00,8.00,8.00,7.00,3.00,8.00,7.00,340,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233154,3.00,6.00,5.00,7.00,6.00,6.50,3.00,5.00,4.00,340,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',8687,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3233162,4.00,4.00,5.00,6.00,3.00,NULL,3.00,5.00,3.00,340,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233170,7.00,6.00,6.00,7.00,6.00,6.75,4.00,9.00,7.00,420,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',2025,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3233197,1.00,6.00,2.00,7.00,4.00,5.75,1.00,5.00,1.00,207,NULL,238,'CAPOEIRAS','FLORIANóPOLIS','SC',16240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233200,6.00,8.00,5.00,8.00,6.00,5.50,4.00,7.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',4608,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3233219,3.00,3.00,4.00,5.00,4.00,5.75,1.00,5.00,4.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',14878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3233227,9.00,7.00,6.00,7.00,6.00,4.75,4.00,6.00,6.00,318,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233235,2.00,1.00,1.00,2.00,3.00,NULL,0.00,2.00,0.00,303,NULL,NULL,'VILA MOEMA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3233243,3.00,1.00,2.00,1.00,2.00,NULL,2.00,3.00,2.00,101,NULL,NULL,'NH LIMA E SILVA','OCAUçU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233260,2.00,5.00,5.00,3.00,3.00,NULL,2.00,5.00,2.00,203,NULL,NULL,'VILA FRANCESA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3233278,3.00,6.00,1.00,5.00,5.00,5.00,3.00,6.00,3.00,415,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',14242,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3233286,4.00,5.00,2.00,5.00,5.00,4.00,3.00,5.00,3.00,301,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',14071,305,NULL,NULL,NULL,NULL,NULL,2,1),(16,3233294,6.00,7.00,4.00,6.00,5.00,6.50,4.00,4.00,6.00,319,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',6657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233308,3.00,1.00,2.00,2.00,2.00,NULL,1.00,5.00,2.00,101,NULL,NULL,'SãO MIGUEL','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3233316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3233324,1.00,4.00,1.00,3.00,4.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3233332,7.00,6.00,5.00,7.00,5.00,5.75,3.00,5.00,5.00,301,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',5937,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3233340,3.00,5.00,4.00,5.00,0.00,NULL,3.00,6.00,4.00,316,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3233359,6.00,5.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,207,NULL,211,'FLORESTA','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3233367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3233375,7.00,7.00,5.00,9.00,7.00,5.00,3.00,8.00,5.00,238,NULL,208,'AMéRICA','JOINVILLE','SC',3357,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3233383,4.00,1.00,4.00,5.00,3.00,NULL,0.00,3.00,3.00,302,NULL,NULL,'SERTÃO DO MARUIM','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3233391,6.00,5.00,7.00,7.00,7.00,5.00,5.00,6.00,7.00,203,NULL,216,'CARIANOS','FLORIANóPOLIS','SC',3033,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3233405,4.00,1.00,4.00,6.00,5.00,5.75,1.00,4.00,3.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',14098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233413,6.00,7.00,4.00,6.00,5.00,4.25,2.00,9.00,4.00,104,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',8436,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3233421,6.00,5.00,4.00,7.00,6.00,5.25,2.00,4.00,4.00,327,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233430,4.00,6.00,2.00,7.00,1.00,NULL,3.00,5.00,5.00,450,NULL,NULL,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3233448,7.00,6.00,5.00,9.00,6.00,8.50,3.00,7.00,5.00,328,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2325,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3233456,3.00,3.00,3.00,2.00,1.00,NULL,3.00,7.00,3.00,302,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233464,5.00,5.00,4.00,6.00,4.00,5.50,3.00,7.00,5.00,326,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3233472,4.00,3.00,3.00,6.00,3.00,NULL,2.00,5.00,3.00,425,NULL,429,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,214,'BUTANTã','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3233499,5.00,5.00,2.00,7.00,2.00,NULL,4.00,6.00,4.00,201,NULL,202,'STO ANTôNIO DE LISBO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233502,6.00,4.00,3.00,4.00,6.00,6.25,2.00,7.00,0.00,421,NULL,429,'CAMPINAS','S JOSé','SC',13968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233510,3.00,5.00,2.00,5.00,7.00,7.50,3.00,7.00,2.00,415,NULL,NULL,'NOVA AMÉRICA','PIRACICABA','SP',10279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'CóRREGO GRANGE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3233537,9.00,8.00,5.00,7.00,7.00,7.00,4.00,6.00,4.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',2932,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3233545,6.00,6.00,3.00,4.00,2.00,NULL,2.00,2.00,2.00,304,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233553,7.00,8.00,4.00,9.00,7.00,4.75,5.00,7.00,6.00,3,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',2295,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3233561,8.00,3.00,7.00,8.00,6.00,5.75,5.00,6.00,7.00,103,NULL,NULL,'SUPER QUADRA MORUMBI','S PAULO','SP',3190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233570,5.00,5.00,5.00,6.00,6.00,6.75,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233588,6.00,5.00,6.00,8.00,7.00,6.75,5.00,7.00,5.00,213,NULL,202,'CENTRO','FLORIANóPOLIS','SC',3286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233596,7.00,9.00,6.00,9.00,7.00,6.50,5.00,7.00,6.00,103,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',1478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BROTAS','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3233618,4.00,5.00,3.00,9.00,5.00,6.00,4.00,8.00,2.00,340,NULL,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',8366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3233626,5.00,3.00,3.00,8.00,5.00,5.25,1.00,4.00,3.00,201,NULL,207,'JARDIM ITU','PTO ALEGRE','RS',14335,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3233634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3233642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,220,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3233650,2.00,0.00,1.00,3.00,1.00,NULL,0.00,3.00,2.00,324,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233669,4.00,5.00,4.00,5.00,5.00,5.00,3.00,5.00,4.00,216,NULL,215,'CENTRO','STA TEREZINHA ITAIPU','PR',11807,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3233677,5.00,6.00,5.00,7.00,6.00,4.50,1.00,8.00,5.00,233,NULL,215,'ESTREITO','FLORIANOPOLIS','SC',7606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233707,5.00,6.00,4.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',2,8),(16,3233715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'FUNDACAO','S CAETANO SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3233723,3.00,5.00,4.00,5.00,4.00,6.50,3.00,5.00,3.00,302,NULL,NULL,'JARDIM ALTANTICO','FLORIANóPOLIS','SC',12817,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3233731,2.00,5.00,3.00,4.00,4.00,NULL,0.00,3.00,3.00,238,NULL,208,'SãO MIGUEL','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3233740,0.00,0.00,1.00,0.00,0.00,NULL,0.00,1.00,1.00,308,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233758,5.00,4.00,3.00,8.00,6.00,7.25,4.00,6.00,5.00,108,NULL,NULL,'VILA NOVA','BLUMENAU','SC',6478,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3233766,5.00,4.00,4.00,2.00,3.00,NULL,2.00,6.00,2.00,332,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233774,6.00,3.00,4.00,8.00,4.00,4.50,5.00,4.00,6.00,202,NULL,203,'PAIQUERE','VALINHOS','SP',9740,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(16,3233790,1.00,2.00,4.00,3.00,3.00,NULL,2.00,3.00,2.00,5,NULL,NULL,'NACOES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3233804,3.00,1.00,3.00,1.00,2.00,NULL,1.00,0.00,2.00,9,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233812,9.00,6.00,9.00,9.00,7.00,8.00,7.00,7.00,9.00,103,NULL,NULL,'JARDIM ÁUREA','MOGI MIRIM','SP',178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233820,1.00,3.00,4.00,0.00,2.00,NULL,2.00,2.00,4.00,319,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233839,6.00,5.00,3.00,5.00,5.00,7.00,2.00,5.00,5.00,102,NULL,NULL,'JARDIM STA TEREZINA','S BENTO SAPUCAí','SP',9179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,220,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3233871,2.00,3.00,1.00,5.00,0.00,NULL,2.00,0.00,4.00,502,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233880,1.00,3.00,2.00,4.00,3.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'JOSE OLIVEIRA MARTIN','MINEIROS','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3233898,4.00,0.00,3.00,9.00,5.00,NULL,5.00,4.00,4.00,102,NULL,NULL,'CENTRO','S JOSé CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3233901,9.00,5.00,6.00,9.00,6.00,6.00,3.00,7.00,5.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233910,7.00,6.00,5.00,8.00,6.00,5.50,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','GUARAPUAVA','PR',3818,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3233936,5.00,4.00,3.00,7.00,5.00,5.25,3.00,7.00,4.00,303,NULL,NULL,'CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233944,2.00,3.00,4.00,0.00,1.00,NULL,1.00,2.00,3.00,303,NULL,NULL,'VILA A','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3233952,4.00,4.00,3.00,1.00,0.00,NULL,0.00,2.00,3.00,328,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3233960,9.00,8.00,7.00,7.00,5.00,7.00,5.00,6.00,7.00,216,NULL,212,'ITACORUBI','FLORIANóPOLIS','SC',1665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3233987,5.00,4.00,4.00,4.00,5.00,5.50,2.00,6.00,3.00,201,NULL,203,'CORAL','LAGES','SC',13075,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3233995,8.00,8.00,7.00,9.00,9.00,8.25,4.00,7.00,8.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',447,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3234010,4.00,6.00,4.00,6.00,7.00,5.75,3.00,7.00,3.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234029,2.00,6.00,1.00,5.00,3.00,NULL,3.00,5.00,3.00,208,NULL,220,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA LIMA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3234045,3.00,4.00,3.00,3.00,5.00,6.50,2.00,5.00,2.00,340,NULL,NULL,'JURERE','FLORIANóPOLIS','SC',15985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234053,6.00,7.00,7.00,8.00,6.00,6.25,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','VITORINO','PR',1911,805,NULL,NULL,NULL,NULL,NULL,4,4),(16,3234070,5.00,3.00,3.00,5.00,7.00,5.75,2.00,4.00,4.00,207,NULL,201,'JARDIM MALUCHE','BRUSQUE','SC',11990,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3234088,6.00,7.00,4.00,7.00,5.00,5.25,3.00,8.00,5.00,238,NULL,208,'CENTRO','CHAPECó','SC',5579,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3234096,5.00,2.00,3.00,2.00,2.00,NULL,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3234100,5.00,4.00,6.00,8.00,5.00,5.50,2.00,6.00,6.00,103,NULL,NULL,'SãO JOãO','CURITIBA','PR',6483,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3234118,4.00,5.00,5.00,0.00,0.00,NULL,4.00,2.00,4.00,201,NULL,233,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(16,3234126,2.00,4.00,4.00,6.00,4.00,5.00,4.00,5.00,3.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14140,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3234142,3.00,4.00,2.00,7.00,6.00,6.00,2.00,5.00,4.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',11923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA QUATRO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3234169,3.00,3.00,2.00,4.00,2.00,NULL,2.00,4.00,2.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3234185,3.00,7.00,6.00,3.00,5.00,4.00,6.00,5.00,4.00,208,NULL,213,'SERTÃO DO MARUIM','S JOSé','SC',10639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3234207,3.00,4.00,4.00,6.00,6.00,4.00,3.00,5.00,4.00,104,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',13007,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3234215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,233,'VILA OPERáRIA','ITAJAí','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3234223,4.00,6.00,5.00,6.00,5.00,6.00,1.00,8.00,5.00,303,NULL,NULL,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3234231,4.00,4.00,2.00,0.00,5.00,5.75,4.00,8.00,2.00,202,NULL,213,'ESTREITO','FLORIANóPOLIS','SC',14808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234240,5.00,4.00,4.00,6.00,5.00,6.25,5.00,9.00,6.00,220,NULL,214,'CENTRO','STA MARIA','RS',5450,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3234258,3.00,7.00,5.00,4.00,4.00,4.75,3.00,7.00,4.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11875,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3234266,5.00,6.00,3.00,8.00,6.00,5.00,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234274,4.00,3.00,2.00,5.00,4.00,6.00,4.00,3.00,5.00,201,NULL,203,'CAMPINAS','S JOSé','SC',14886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234290,9.00,7.00,5.00,5.00,5.00,8.50,5.00,6.00,8.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',2393,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3234304,1.00,2.00,1.00,4.00,2.00,NULL,4.00,4.00,0.00,301,NULL,NULL,'VILA NOVA','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3234312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BRAçO TROMBUDO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3234320,4.00,7.00,2.00,5.00,5.00,5.00,3.00,7.00,2.00,304,NULL,NULL,'PIO CORREA','CRICIúMA','SC',11312,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3234347,8.00,7.00,3.00,8.00,8.00,7.50,3.00,9.00,6.00,302,NULL,NULL,'SANTA MARIA','ANTôNIO CARLOS','SC',2334,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3234355,7.00,5.00,6.00,4.00,6.00,7.00,4.00,5.00,7.00,303,NULL,NULL,'CENTRO','XAXIM','SC',4741,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3234363,5.00,8.00,4.00,8.00,5.00,5.75,2.00,7.00,2.00,103,NULL,NULL,'COMERCIáRIO','CRICIúMA','SC',7718,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3234371,6.00,7.00,7.00,7.00,7.00,5.25,3.00,9.00,8.00,201,NULL,207,'RECANTO TROPICAL','CASCAVEL','PR',1974,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(16,3234380,6.00,6.00,4.00,4.00,7.00,6.00,3.00,5.00,4.00,215,NULL,213,'CENTRO','FORQUILHINHA','SC',7887,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3234398,4.00,6.00,4.00,2.00,5.00,5.50,2.00,8.00,5.00,303,NULL,NULL,'CORAL','LAGES','SC',11902,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3234401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'COLONINHA','ARARANGUá','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3234410,3.00,4.00,4.00,7.00,4.00,7.00,5.00,6.00,4.00,404,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',9456,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3234436,8.00,9.00,7.00,8.00,6.00,6.00,5.00,8.00,8.00,340,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',1192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234444,1.00,2.00,2.00,0.00,2.00,NULL,2.00,3.00,2.00,404,NULL,NULL,'CENTRO','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3234452,0.00,3.00,2.00,3.00,1.00,NULL,2.00,1.00,2.00,319,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3234487,8.00,8.00,9.00,8.00,6.00,5.75,9.00,8.00,8.00,220,NULL,203,'ALDEIA DA SERRA','SANTANA PARNAíBA','SP',379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234509,7.00,6.00,3.00,8.00,5.00,6.00,4.00,6.00,7.00,216,NULL,203,'JARDIM LAS PALMAS','GUARUJá','SP',4819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234517,2.00,4.00,2.00,1.00,4.00,4.50,3.00,5.00,5.00,203,NULL,220,'BARREIROS','S JOSé','SC',16543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234533,9.00,8.00,2.00,8.00,8.00,5.75,3.00,8.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234550,4.00,7.00,5.00,7.00,7.00,5.50,4.00,6.00,4.00,302,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3234576,3.00,3.00,3.00,6.00,3.00,NULL,2.00,3.00,3.00,108,NULL,NULL,'AMIZADE','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3234584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3234606,4.00,4.00,4.00,7.00,6.00,6.25,2.00,2.00,6.00,319,NULL,NULL,'BARREIROS','SAO JOSE','SC',11177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234614,7.00,6.00,2.00,9.00,7.00,5.00,5.00,8.00,8.00,103,NULL,NULL,'JARDIM CRUZEIRO','MAIRINQUE','SP',2063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234622,7.00,6.00,4.00,7.00,5.00,4.75,3.00,8.00,6.00,211,NULL,212,'CORREGO GRANDE','FLORIANóPOLIS','SC',6241,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3234630,2.00,7.00,9.00,7.00,8.00,6.00,5.00,9.00,3.00,308,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',3424,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3234649,6.00,7.00,4.00,7.00,6.00,6.50,3.00,6.00,6.00,207,NULL,201,'CAPOEIRAS','FLORIANOPOLIS','SC',5888,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3234657,3.00,2.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,207,NULL,201,'NOSSA SRA DO ROSáRIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JUVEVê','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3234673,8.00,9.00,6.00,9.00,7.00,6.00,5.00,8.00,7.00,103,NULL,NULL,'VORSTADT','BLUMENAU','SC',741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234681,6.00,8.00,6.00,5.00,5.00,7.00,5.00,8.00,5.00,202,NULL,233,'CENTRO','CRICIúMA','SC',3182,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3234690,1.00,2.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,102,NULL,NULL,'JARDIM MIRIAM','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234703,4.00,1.00,2.00,1.00,5.00,5.75,3.00,6.00,4.00,303,NULL,NULL,'ANGELINA','ANGELINA','SC',15784,683,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234711,3.00,4.00,3.00,8.00,5.00,4.75,2.00,3.00,3.00,303,NULL,NULL,'AMéRICA','JOINVILLE','SC',14333,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3234720,2.00,2.00,3.00,1.00,2.00,NULL,2.00,4.00,4.00,215,NULL,207,'MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3234738,4.00,3.00,3.00,4.00,4.00,5.25,1.00,5.00,4.00,201,NULL,203,'JARDIM','CONCóRDIA','SC',15594,1206,NULL,907,NULL,NULL,NULL,2,7),(16,3234746,5.00,6.00,4.00,6.00,5.00,5.25,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7753,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3234754,4.00,5.00,4.00,6.00,6.00,4.00,3.00,3.00,3.00,303,NULL,NULL,'PIO CORREA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3234762,4.00,7.00,3.00,9.00,5.00,5.75,1.00,4.00,4.00,340,NULL,NULL,'SAGRADO CORAçãO','LAGES','SC',11625,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3234770,3.00,3.00,3.00,6.00,6.00,5.00,4.00,5.00,4.00,214,NULL,203,'TRêS DE MAIO','CAPIVARI BAIXO','SC',12929,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3234789,1.00,0.00,2.00,2.00,1.00,NULL,1.00,4.00,2.00,428,NULL,426,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3234797,2.00,6.00,1.00,6.00,2.00,NULL,3.00,9.00,3.00,238,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3234800,2.00,1.00,4.00,5.00,2.00,NULL,4.00,2.00,4.00,319,NULL,NULL,'GASPAR MIRIM','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3234827,6.00,3.00,5.00,7.00,1.00,NULL,4.00,5.00,6.00,220,NULL,208,'VILA YARA','OSASCO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234835,2.00,3.00,3.00,5.00,5.00,3.00,1.00,5.00,2.00,238,NULL,208,'ARMAçãO PANTANO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3234843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM PANORAMA','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3234851,3.00,4.00,3.00,6.00,2.00,NULL,2.00,2.00,2.00,502,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3234878,3.00,5.00,5.00,3.00,5.00,5.50,4.00,7.00,3.00,453,NULL,NULL,'CAMPINAS','S JOSé','SC',11746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234886,2.00,4.00,1.00,1.00,3.00,NULL,3.00,6.00,4.00,223,NULL,NULL,'CENTRO','VARGEãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3234894,4.00,3.00,4.00,5.00,5.00,6.25,3.00,3.00,7.00,309,NULL,NULL,'ITACURUBI','FLORIANóPOLIS','SC',11747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3234908,3.00,5.00,4.00,3.00,4.00,5.25,3.00,5.00,4.00,5,NULL,NULL,'FORTALEZA','BLUMENAU','SC',13487,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3234916,3.00,7.00,4.00,7.00,3.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3234924,1.00,3.00,3.00,2.00,2.00,NULL,3.00,1.00,3.00,208,NULL,238,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234932,6.00,7.00,4.00,6.00,4.00,3.25,4.00,8.00,3.00,103,NULL,NULL,'CENTRO','FIGUEIRA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3234959,5.00,6.00,4.00,8.00,5.00,4.75,4.00,6.00,2.00,201,NULL,212,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234967,3.00,4.00,2.00,3.00,4.00,NULL,3.00,0.00,3.00,309,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3234975,7.00,7.00,5.00,4.00,5.00,6.25,3.00,8.00,6.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234983,8.00,8.00,7.00,9.00,6.00,5.75,6.00,9.00,8.00,103,NULL,NULL,'CENTRO','SALES OLIVEIRA','SP',600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3234991,1.00,1.00,3.00,0.00,0.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3235009,2.00,4.00,3.00,1.00,3.00,NULL,2.00,1.00,4.00,103,NULL,NULL,'INTERIOR','IPORã OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3235017,3.00,6.00,3.00,3.00,5.00,5.25,2.00,5.00,4.00,319,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235025,4.00,2.00,1.00,5.00,0.00,NULL,1.00,2.00,2.00,426,NULL,425,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235033,5.00,7.00,7.00,8.00,5.00,5.75,5.00,8.00,7.00,103,NULL,NULL,'VISTA ALEGRE','RIO NEGRINHO','SC',2923,1075,NULL,NULL,NULL,NULL,NULL,4,8),(16,3235041,5.00,2.00,4.00,4.00,3.00,NULL,3.00,5.00,3.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3235050,5.00,4.00,4.00,9.00,7.00,6.50,3.00,5.00,4.00,207,NULL,201,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3235076,4.00,7.00,7.00,8.00,7.00,5.50,3.00,8.00,6.00,453,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',3569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235084,5.00,5.00,3.00,9.00,6.00,5.75,2.00,4.00,4.00,216,NULL,207,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3235092,5.00,6.00,4.00,7.00,8.00,6.25,2.00,6.00,4.00,215,NULL,212,'CENTRO','BAL CAMBORIú','SC',7911,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3235106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ALTO DA GLóRIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3235114,3.00,3.00,1.00,8.00,5.00,4.50,3.00,3.00,3.00,301,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',16225,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3235122,3.00,4.00,1.00,3.00,4.00,NULL,2.00,3.00,2.00,304,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3235130,4.00,4.00,5.00,1.00,4.00,5.00,2.00,5.00,4.00,202,NULL,208,'CENTRO','IRINEóPOLIS','SC',14891,500,NULL,510,NULL,NULL,NULL,4,1),(16,3235149,5.00,4.00,2.00,4.00,5.00,5.50,2.00,3.00,3.00,207,NULL,NULL,'CENTRO','CONCóRDIA','SC',15589,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3235157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3235165,5.00,6.00,4.00,7.00,4.00,4.00,3.00,6.00,3.00,238,NULL,201,'KOBRASOL','S JOSé','SC',10422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235173,4.00,5.00,4.00,6.00,3.00,NULL,2.00,4.00,4.00,340,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235181,8.00,6.00,4.00,1.00,6.00,5.50,3.00,8.00,5.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',6874,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3235190,4.00,5.00,1.00,9.00,6.00,6.75,3.00,8.00,5.00,108,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',6615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235211,4.00,5.00,4.00,4.00,5.00,6.50,1.00,5.00,2.00,319,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235220,7.00,3.00,4.00,6.00,2.00,NULL,3.00,2.00,4.00,104,NULL,NULL,'PANORâMICO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3235238,5.00,4.00,4.00,8.00,6.00,5.75,3.00,6.00,2.00,318,NULL,NULL,'STO ANTONIO DELISBOA','FLORIANóPOLIS','SC',10676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3235246,3.00,4.00,1.00,7.00,5.00,4.00,2.00,2.00,2.00,201,NULL,207,'COLONINHA','FLORIANóPOLIS','SC',16638,1275,NULL,864,NULL,NULL,NULL,4,1),(16,3235254,3.00,4.00,1.00,2.00,3.00,NULL,4.00,4.00,2.00,9,NULL,NULL,'BAEPENDI','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3235262,5.00,7.00,4.00,6.00,5.00,6.50,3.00,6.00,7.00,238,NULL,213,'JOSE MENDES','FLORIANóPOLIS','SC',5918,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3235270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE ALVORADA','JACAREZINHO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3235289,4.00,4.00,1.00,5.00,3.00,NULL,3.00,4.00,2.00,203,NULL,214,'JARDIM','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3235297,5.00,3.00,5.00,6.00,2.00,NULL,4.00,3.00,5.00,103,NULL,NULL,'BOQUEIRãO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3235300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','BARBOSA FERRAZ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3235319,5.00,4.00,4.00,7.00,3.00,NULL,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','ESPIGãO AT IGUAçU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3235327,2.00,4.00,2.00,5.00,4.00,5.25,3.00,1.00,4.00,308,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',16467,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3235335,6.00,6.00,5.00,7.00,5.00,3.25,3.00,7.00,2.00,203,NULL,208,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3235351,1.00,1.00,2.00,2.00,2.00,NULL,3.00,3.00,3.00,104,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235378,4.00,2.00,3.00,2.00,4.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'N S APARECIDA','FRANCISCO BELTRãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3235386,5.00,5.00,3.00,1.00,3.00,NULL,2.00,5.00,5.00,452,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235394,4.00,3.00,2.00,4.00,4.00,NULL,2.00,2.00,1.00,203,NULL,216,'PRAçA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3235416,4.00,5.00,2.00,7.00,5.00,5.25,2.00,5.00,3.00,238,NULL,201,'CENTRO','FLORIANóPOLIS','SC',13542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235424,3.00,2.00,2.00,4.00,6.00,6.25,2.00,6.00,3.00,207,NULL,201,'FLORESTA','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3235432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3235440,2.00,2.00,3.00,4.00,7.00,NULL,3.00,3.00,2.00,309,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235459,3.00,2.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,211,NULL,216,'CARIANO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3235467,8.00,6.00,4.00,8.00,4.00,6.00,5.00,9.00,5.00,203,NULL,207,'TRÊS FIGUEIRAS','PTO ALEGRE','RS',3475,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3235475,3.00,3.00,1.00,7.00,3.00,NULL,5.00,4.00,5.00,303,NULL,NULL,'ESTADOS','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3235483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,425,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(16,3235491,7.00,7.00,5.00,6.00,5.00,5.75,3.00,6.00,8.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',4311,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3235505,1.00,5.00,2.00,2.00,1.00,NULL,4.00,5.00,3.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3235513,4.00,5.00,4.00,8.00,2.00,NULL,2.00,5.00,3.00,238,NULL,211,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235521,3.00,2.00,2.00,4.00,1.00,NULL,1.00,4.00,3.00,108,NULL,NULL,'CAMPOS DO IGUAçU','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3235548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,216,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3235556,3.00,2.00,1.00,3.00,4.00,NULL,2.00,3.00,2.00,213,NULL,233,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3235564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3235572,2.00,2.00,1.00,2.00,5.00,NULL,0.00,2.00,3.00,332,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235580,5.00,2.00,2.00,5.00,1.00,NULL,2.00,2.00,0.00,103,NULL,NULL,'SãO FRANCISCO','ASCURRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3235599,3.00,5.00,5.00,6.00,4.00,5.50,2.00,5.00,3.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13025,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3235602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','BARRETOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3235629,3.00,4.00,5.00,8.00,4.00,5.00,3.00,6.00,4.00,220,NULL,203,'VILA SUMARE','PRES VENCESLAU','SP',9617,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3235637,6.00,5.00,1.00,5.00,3.00,NULL,2.00,4.00,1.00,316,NULL,NULL,'JOSE MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3235645,3.00,6.00,3.00,4.00,3.00,NULL,2.00,6.00,4.00,233,NULL,212,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3235653,5.00,5.00,4.00,3.00,6.00,6.00,2.00,7.00,5.00,103,NULL,NULL,'AMéRICA','JOINVILLE','SC',9592,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3235661,6.00,5.00,3.00,8.00,6.00,6.50,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235670,1.00,5.00,3.00,7.00,4.00,5.00,2.00,4.00,2.00,340,NULL,NULL,'ARMACAO DO P DO SUL','FLORIANóPOLIS','SC',15621,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3235696,1.00,1.00,1.00,5.00,3.00,NULL,3.00,2.00,3.00,103,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3235700,7.00,9.00,4.00,7.00,6.00,5.25,3.00,7.00,5.00,208,NULL,203,'CAMPECHE','FLORIANóPOLIS','SC',4890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235718,4.00,4.00,3.00,2.00,5.00,6.25,1.00,4.00,6.00,108,NULL,NULL,'CENTRO','ITAJAí','SC',14265,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3235726,2.00,4.00,2.00,3.00,2.00,NULL,2.00,8.00,1.00,316,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3235742,4.00,2.00,3.00,8.00,8.00,6.75,3.00,3.00,7.00,104,NULL,NULL,'PIO CORREA','CRICIúMA','SC',9732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235750,5.00,4.00,2.00,8.00,7.00,4.50,1.00,9.00,4.00,104,NULL,NULL,'JD DAS INDUSTRIAS','S JOSé CAMPOS','SP',7990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3235769,5.00,3.00,4.00,6.00,4.00,5.50,3.00,6.00,5.00,216,NULL,215,'VILA SANTA CATARINA','CAçADOR','SC',9118,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3235777,4.00,4.00,4.00,7.00,5.00,5.75,3.00,4.00,4.00,320,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11133,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3235785,6.00,6.00,3.00,8.00,7.00,5.25,3.00,6.00,6.00,502,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',5928,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3235793,9.00,8.00,5.00,8.00,7.00,6.50,4.00,6.00,7.00,207,NULL,212,'ESTREITO','FLORIANóPOLIS','SC',1920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235807,5.00,2.00,3.00,4.00,4.00,4.50,3.00,3.00,3.00,103,NULL,NULL,'JARDIM ESPLANADA II','S JOSé CAMPOS','SP',16030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235815,5.00,5.00,1.00,6.00,6.00,4.00,2.00,7.00,6.00,216,NULL,202,'VILA OLíMPICA','ESTEIO','RS',9432,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3235831,4.00,3.00,2.00,0.00,3.00,NULL,3.00,0.00,0.00,201,NULL,208,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3235858,4.00,6.00,2.00,5.00,5.00,5.50,2.00,5.00,3.00,301,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235866,5.00,7.00,7.00,8.00,5.00,5.50,4.00,5.00,6.00,304,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',4177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235874,3.00,5.00,4.00,2.00,3.00,NULL,1.00,4.00,4.00,208,NULL,238,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235882,3.00,4.00,2.00,9.00,5.00,5.50,1.00,4.00,2.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235890,4.00,5.00,1.00,4.00,2.00,NULL,2.00,1.00,5.00,404,NULL,NULL,'JOÃO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3235904,5.00,8.00,4.00,6.00,5.00,5.50,4.00,5.00,7.00,207,NULL,201,'CENTRO','FLORIANOPOLIS','SC',6097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3235912,4.00,3.00,3.00,4.00,5.00,5.75,1.00,3.00,3.00,104,NULL,NULL,'PRESIDENTE MéDICI','CHAPECó','SC',15681,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3235920,6.00,7.00,7.00,5.00,7.00,5.25,4.00,9.00,3.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',4219,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3235939,6.00,5.00,6.00,7.00,5.00,5.50,6.00,8.00,6.00,103,NULL,NULL,'PORTAO','CURITIBA','PR',4061,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3235947,3.00,3.00,1.00,6.00,6.00,6.00,2.00,4.00,3.00,202,NULL,213,'CAPOEIRAS','FLORIANóPOLIS','SC',15133,509,NULL,264,NULL,NULL,NULL,2,1),(16,3235963,4.00,6.00,4.00,6.00,4.00,4.25,4.00,4.00,3.00,340,NULL,NULL,'CENTRO','JARAGUá SUL','SC',12859,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3235971,4.00,5.00,3.00,4.00,5.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM DAS ACáCIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3235980,4.00,6.00,6.00,9.00,7.00,6.50,3.00,8.00,6.00,213,NULL,202,'MORUMBI SUL','S PAULO','SP',4062,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3235998,4.00,5.00,3.00,8.00,4.00,4.25,2.00,5.00,2.00,202,NULL,238,'JARDIM ELDORADO','PALHOçA','SC',13908,475,NULL,444,NULL,NULL,NULL,4,1),(16,3236005,8.00,7.00,5.00,8.00,4.00,5.50,3.00,6.00,5.00,208,NULL,238,'CENTRO','TIJUCAS','SC',5183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3236013,5.00,5.00,4.00,7.00,4.00,4.50,4.00,5.00,3.00,203,NULL,202,'JARDIM PARAISO','IBIPORã','PR',10050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236021,2.00,5.00,5.00,8.00,5.00,5.00,4.00,4.00,4.00,201,NULL,203,'CENTRO','FLORIANóPOLIS','SC',11726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BROOKLIN PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3236048,4.00,3.00,2.00,8.00,5.00,5.25,2.00,3.00,2.00,423,NULL,425,'COLONINHA','FLORIANóPOLIS','SC',14615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SUMARE','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3236064,4.00,3.00,3.00,9.00,4.00,5.25,2.00,3.00,4.00,207,NULL,208,'CENTRO','FLORIANóPOLIS','SC',14096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236072,5.00,4.00,3.00,7.00,7.00,6.00,2.00,3.00,5.00,208,NULL,238,'FUNDO DE BIGUAçU','BIGUAçU','SC',9416,276,NULL,264,NULL,NULL,NULL,2,1),(16,3236102,4.00,4.00,3.00,5.00,4.00,6.00,3.00,3.00,3.00,309,NULL,NULL,'JOAO ROSA','BIGUAçU','SC',14763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3236110,8.00,8.00,4.00,6.00,6.00,4.00,6.00,7.00,5.00,103,NULL,NULL,'JARAGUA','S PAULO','SP',4226,1345,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236129,4.00,3.00,5.00,8.00,7.00,5.75,1.00,6.00,2.00,211,NULL,233,'CENTRO','JARAGUá SUL','SC',11102,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3236137,4.00,3.00,4.00,7.00,4.00,5.50,2.00,2.00,3.00,101,NULL,NULL,'EUGENIO SCHNEIDER','RIO SUL','SC',15114,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3236153,1.00,1.00,2.00,1.00,0.00,NULL,3.00,3.00,2.00,404,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236161,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,201,NULL,212,'BOTAFOGO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3236170,3.00,1.00,2.00,0.00,5.00,NULL,2.00,2.00,2.00,207,NULL,201,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236188,7.00,5.00,7.00,5.00,3.00,NULL,5.00,4.00,8.00,103,NULL,NULL,'SETOR OESTE','GOIâNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236196,5.00,4.00,2.00,7.00,7.00,6.00,2.00,2.00,5.00,238,NULL,208,'ITACORUBI','FLORIANóPOLIS','SC',12411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236200,3.00,4.00,3.00,8.00,5.00,3.25,3.00,4.00,2.00,202,NULL,233,'SANTO ANTôNIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236218,5.00,5.00,5.00,5.00,5.00,5.50,5.00,7.00,6.00,211,NULL,212,'GARCIA','BLUMENAU','SC',6362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236226,7.00,5.00,2.00,8.00,5.00,7.00,2.00,5.00,4.00,104,NULL,NULL,'BELA VISTA','LGA VERMELHA','RS',8720,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3236234,3.00,3.00,4.00,5.00,3.00,NULL,2.00,7.00,3.00,301,NULL,NULL,'CENTRO','PTE SERRADA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3236242,9.00,7.00,5.00,7.00,7.00,6.00,5.00,9.00,7.00,103,NULL,NULL,'KOBRASOL','S JOSé','SC',1499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236250,3.00,6.00,2.00,6.00,4.00,6.00,2.00,5.00,4.00,234,NULL,NULL,'GETULIO VARGAS','TORRES','RS',11822,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3236269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,238,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3236277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3236307,4.00,2.00,2.00,2.00,4.00,NULL,2.00,4.00,3.00,207,NULL,201,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'IMIGRANTES','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3236331,2.00,5.00,3.00,6.00,7.00,4.50,3.00,7.00,5.00,212,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3236340,5.00,3.00,3.00,9.00,5.00,3.00,6.00,6.00,5.00,103,NULL,NULL,'TUCANOS','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3236358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA FORMOSA','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3236366,4.00,5.00,4.00,8.00,5.00,3.25,3.00,7.00,5.00,201,NULL,214,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236374,3.00,1.00,1.00,5.00,4.00,NULL,2.00,2.00,3.00,502,NULL,NULL,'SANTA CRUZ','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3236390,2.00,6.00,1.00,7.00,4.00,5.25,2.00,3.00,4.00,207,NULL,201,'BAIRRO DO SALTO','SALTO VELOSO','SC',14668,754,NULL,1125,NULL,NULL,NULL,4,7),(16,3236412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3236420,8.00,6.00,6.00,7.00,5.00,5.75,2.00,7.00,5.00,207,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',4267,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3236447,6.00,7.00,5.00,9.00,6.00,5.75,4.00,7.00,5.00,415,NULL,NULL,'SANTA CECILIA','S PAULO','SP',3929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SETTE','JACAREZINHO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3236471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3236480,9.00,9.00,7.00,8.00,8.00,9.50,5.00,9.00,8.00,103,NULL,NULL,'VILA PAULISTA','GUARULHOS','SP',52,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3236501,7.00,5.00,4.00,8.00,7.00,6.25,2.00,8.00,5.00,503,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',5008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236510,3.00,1.00,2.00,1.00,2.00,NULL,2.00,1.00,5.00,208,NULL,238,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3236528,5.00,3.00,2.00,8.00,5.00,5.25,5.00,6.00,4.00,207,NULL,233,'SANTO ANTôNIO','CRICIúMA','SC',9677,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3236536,8.00,6.00,7.00,8.00,6.00,5.75,6.00,6.00,6.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3236544,3.00,4.00,3.00,6.00,3.00,NULL,2.00,5.00,3.00,103,NULL,NULL,'MINA DO MATO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3236552,7.00,6.00,3.00,5.00,7.00,8.50,1.00,8.00,4.00,5,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',6530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236560,5.00,7.00,3.00,7.00,6.00,5.00,4.00,5.00,6.00,3,NULL,NULL,'CAMPINAS','S JOSé','SC',7019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236579,6.00,8.00,2.00,7.00,9.00,7.25,3.00,7.00,5.00,303,NULL,NULL,'VILA OPERáRIA','ITAJAí','SC',4876,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3236587,4.00,3.00,4.00,2.00,4.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'CENTRO','SANTARéM','PA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236595,5.00,5.00,3.00,6.00,5.00,5.25,2.00,7.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',10723,NULL,NULL,NULL,NULL,NULL,NULL,3,9),(16,3236609,5.00,5.00,6.00,3.00,3.00,NULL,3.00,6.00,3.00,103,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236617,3.00,4.00,2.00,0.00,3.00,NULL,2.00,2.00,3.00,203,NULL,214,'CENTRO','IBIRAIARAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3236625,3.00,4.00,1.00,7.00,4.00,5.50,2.00,7.00,3.00,208,NULL,238,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236633,3.00,5.00,5.00,5.00,3.00,NULL,1.00,7.00,3.00,103,NULL,NULL,'JARDIM ANGéLICA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3236641,6.00,5.00,6.00,8.00,6.00,5.00,4.00,7.00,3.00,340,NULL,NULL,'SãO CRISTóVãO','LAGES','SC',5217,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3236650,9.00,9.00,9.00,9.00,7.00,8.00,7.00,8.00,9.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236668,5.00,1.00,4.00,6.00,1.00,NULL,3.00,3.00,4.00,339,NULL,NULL,'ARIRIú DA FORMIGA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3236676,5.00,5.00,8.00,9.00,7.00,6.25,2.00,5.00,4.00,103,NULL,NULL,'TUCANOS','LONDRINA','PR',4807,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3236684,1.00,4.00,2.00,5.00,4.00,4.75,3.00,5.00,2.00,211,NULL,212,'CAPOEIRAS','FLORIANóPOLIS','SC',16626,564,NULL,452,NULL,NULL,NULL,4,1),(16,3236692,5.00,4.00,7.00,9.00,5.00,6.50,4.00,4.00,7.00,203,NULL,220,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236706,7.00,7.00,8.00,8.00,7.00,5.25,7.00,7.00,5.00,220,NULL,NULL,'CENTRO','MARINGá','PR',1269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236714,4.00,3.00,3.00,9.00,6.00,6.50,4.00,8.00,4.00,225,NULL,NULL,'CENTRO','LAURENTINO','SC',7674,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3236730,3.00,2.00,3.00,5.00,2.00,NULL,2.00,3.00,2.00,331,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3236757,5.00,5.00,6.00,7.00,5.00,4.75,5.00,3.00,6.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',6275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3236773,3.00,4.00,2.00,3.00,4.00,4.75,2.00,6.00,3.00,216,NULL,215,'VILA NOVA ALVORADA','IMBITUBA','SC',15787,488,NULL,343,NULL,NULL,NULL,4,8),(16,3236790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3236803,5.00,6.00,3.00,6.00,4.00,6.25,4.00,3.00,2.00,329,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',12382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236820,3.00,3.00,2.00,4.00,4.00,NULL,1.00,2.00,5.00,104,NULL,NULL,'CENTENáRIO','MONTENEGRO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236838,5.00,7.00,3.00,9.00,5.00,6.50,2.00,2.00,3.00,340,NULL,NULL,'CENTRO','CAçADOR','SC',10841,345,NULL,NULL,NULL,NULL,NULL,4,7),(16,3236846,3.00,2.00,2.00,4.00,3.00,NULL,4.00,5.00,3.00,502,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3236854,2.00,4.00,5.00,6.00,3.00,NULL,3.00,5.00,4.00,420,NULL,NULL,'DIONISIO TORRES','FORTALEZA','CE',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3236862,4.00,4.00,4.00,6.00,4.00,5.50,4.00,3.00,2.00,501,NULL,NULL,'VILA EMA','S JOSé CAMPOS','SP',14141,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3236870,3.00,8.00,4.00,7.00,5.00,5.50,3.00,5.00,3.00,211,NULL,215,'CENTRO','CHAPECó','SC',10583,NULL,NULL,NULL,NULL,NULL,NULL,5,4),(16,3236889,9.00,7.00,6.00,8.00,8.00,6.75,7.00,8.00,8.00,103,NULL,NULL,'RESIDENCIAL PARAISO','FRANCA','SP',419,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3236897,5.00,7.00,4.00,7.00,7.00,6.25,4.00,6.00,5.00,428,NULL,429,'FLORESTA','S JOSé','SC',6453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236900,5.00,2.00,2.00,5.00,5.00,6.50,2.00,5.00,4.00,333,NULL,NULL,'RUI BARBOSA','MONTENEGRO','RS',13794,115,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236919,6.00,6.00,2.00,4.00,5.00,6.00,0.00,5.00,3.00,207,NULL,214,'CENTRO','GUARATUBA','PR',13324,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3236927,6.00,4.00,2.00,6.00,2.00,NULL,2.00,4.00,4.00,202,NULL,203,'CENTRO','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3236935,7.00,8.00,4.00,6.00,5.00,5.75,3.00,5.00,4.00,316,NULL,NULL,'CENTRO','BRAçO NORTE','SC',6928,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3236943,2.00,1.00,4.00,4.00,2.00,NULL,2.00,2.00,1.00,451,NULL,NULL,'VILA ISABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3236951,3.00,2.00,6.00,8.00,8.00,5.25,4.00,7.00,5.00,216,NULL,215,'SãO CRISTóVãO','LAGES','SC',6577,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3236960,5.00,5.00,3.00,8.00,6.00,5.50,4.00,3.00,4.00,207,NULL,212,'JARDIM DAS INDUSTRIA','S JOSé CAMPOS','SP',9112,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3236978,4.00,2.00,2.00,6.00,3.00,NULL,2.00,1.00,3.00,319,NULL,NULL,'VILA RICA IBICUI','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3236986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','IBIRAMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3236994,3.00,5.00,3.00,5.00,6.00,5.75,5.00,7.00,3.00,102,NULL,NULL,'PINHEIRINHO','CRICIúMA','SC',10612,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3237001,8.00,5.00,3.00,9.00,4.00,6.50,5.00,7.00,6.00,220,NULL,203,'CENTRO','CAXIAS SUL','RS',4420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237010,3.00,7.00,4.00,7.00,4.00,5.50,2.00,5.00,3.00,223,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',11019,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'JARDIM ITU','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3237036,2.00,5.00,6.00,4.00,2.00,NULL,3.00,7.00,4.00,224,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237044,7.00,8.00,6.00,8.00,9.00,7.50,6.00,8.00,7.00,103,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',536,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3237052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'OFICINAS','TUBARãO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3237060,5.00,6.00,5.00,2.00,3.00,NULL,3.00,7.00,6.00,220,NULL,203,'JARDIM EUROPA','PRES VENCESLAU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3237079,6.00,8.00,8.00,9.00,9.00,7.75,4.00,9.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237087,4.00,7.00,4.00,3.00,4.00,5.00,2.00,7.00,2.00,303,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',13089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237095,3.00,3.00,2.00,4.00,0.00,NULL,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3237117,6.00,8.00,6.00,8.00,6.00,6.50,4.00,8.00,5.00,318,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',2962,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TV MORENA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3237133,1.00,0.00,1.00,4.00,4.00,NULL,4.00,2.00,2.00,450,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237141,4.00,5.00,2.00,3.00,4.00,5.50,2.00,3.00,3.00,303,NULL,NULL,'INDUSTRIAL','SEARA','SC',16286,711,NULL,NULL,NULL,NULL,NULL,4,4),(16,3237150,8.00,5.00,5.00,4.00,5.00,6.00,2.00,7.00,6.00,103,NULL,NULL,'VILA LARSEN I','LONDRINA','PR',6900,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3237168,3.00,5.00,2.00,4.00,5.00,5.00,3.00,7.00,1.00,309,NULL,NULL,'FORQUILHAS','S JOSé','SC',14378,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237176,3.00,2.00,1.00,2.00,0.00,NULL,1.00,3.00,3.00,303,NULL,NULL,'NAÇOES','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3237184,5.00,6.00,2.00,3.00,3.00,NULL,2.00,6.00,3.00,303,NULL,NULL,'GONZAGA','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3237192,6.00,4.00,5.00,8.00,5.00,2.25,5.00,5.00,3.00,220,NULL,202,'RONDA','PIRAí SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237206,7.00,6.00,3.00,8.00,8.00,6.50,5.00,8.00,6.00,103,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237214,5.00,8.00,4.00,8.00,7.00,5.50,3.00,6.00,6.00,203,NULL,214,'FORTALEZA','BLUMENAU','SC',4568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237222,5.00,5.00,4.00,6.00,6.00,4.75,2.00,8.00,5.00,302,NULL,NULL,'PANTANO DO SUL','FLORIANóPOLIS','SC',9114,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237249,5.00,3.00,4.00,2.00,3.00,NULL,2.00,4.00,6.00,103,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237257,4.00,3.00,3.00,5.00,5.00,5.00,3.00,7.00,4.00,340,NULL,NULL,'CENTRO','ITAPEMA','SC',12298,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3237265,7.00,7.00,4.00,8.00,8.00,7.50,6.00,6.00,7.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',1584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237281,5.00,4.00,4.00,6.00,6.00,5.75,0.00,3.00,2.00,5,NULL,NULL,'CORDEIROS','ITAJAí','SC',13754,459,NULL,NULL,NULL,NULL,NULL,2,6),(16,3237290,7.00,7.00,3.00,9.00,6.00,7.75,5.00,8.00,5.00,103,NULL,NULL,'JARDIM JAPAO','S PAULO','SP',2645,1009,NULL,NULL,NULL,NULL,NULL,4,2),(16,3237303,2.00,3.00,4.00,3.00,3.00,NULL,4.00,5.00,2.00,203,NULL,202,'FAZENDA STO ANTôNIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3237320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,208,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3237338,5.00,3.00,3.00,3.00,3.00,NULL,5.00,2.00,4.00,452,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,424,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3237362,4.00,4.00,4.00,4.00,6.00,5.00,3.00,2.00,3.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',15000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237370,9.00,9.00,7.00,8.00,8.00,7.50,6.00,8.00,9.00,450,NULL,NULL,'BOSQUE','CAMPINAS','SP',241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'HAUER','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3237427,5.00,6.00,2.00,6.00,3.00,NULL,2.00,7.00,4.00,303,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237435,6.00,5.00,3.00,5.00,5.00,4.50,1.00,3.00,2.00,102,NULL,NULL,'COMERCIARIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3237443,4.00,4.00,2.00,2.00,4.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'SãO VICENTE','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3237451,4.00,3.00,3.00,9.00,3.00,NULL,3.00,7.00,3.00,104,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237460,7.00,6.00,3.00,4.00,6.00,5.75,4.00,5.00,7.00,102,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237478,0.00,3.00,1.00,2.00,2.00,NULL,1.00,0.00,4.00,220,NULL,203,'FREI ROGERIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3237486,5.00,3.00,4.00,7.00,3.00,NULL,3.00,6.00,3.00,317,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237494,2.00,6.00,5.00,7.00,5.00,5.00,0.00,5.00,5.00,503,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',12319,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3237524,3.00,5.00,3.00,7.00,3.00,NULL,1.00,3.00,4.00,207,NULL,211,'AMéRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3237540,2.00,5.00,5.00,7.00,3.00,NULL,2.00,5.00,5.00,301,NULL,NULL,'JD DAS AMéRICAS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JOSé BONIFáCIO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3237567,4.00,6.00,5.00,7.00,4.00,3.25,2.00,7.00,5.00,318,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237575,3.00,4.00,4.00,2.00,2.00,NULL,1.00,4.00,3.00,317,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237583,0.00,2.00,2.00,4.00,3.00,NULL,2.00,2.00,2.00,104,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237591,5.00,7.00,6.00,8.00,8.00,5.75,3.00,6.00,4.00,310,NULL,NULL,'CENTRO','BRAçO TROMBUDO','SC',4168,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3237605,3.00,4.00,5.00,7.00,5.00,7.25,2.00,8.00,5.00,238,NULL,208,'HUMAITá','PTO ALEGRE','RS',7665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237613,2.00,3.00,4.00,7.00,3.00,NULL,3.00,5.00,1.00,502,NULL,NULL,'JARDIM DO LAGO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237630,4.00,6.00,5.00,4.00,3.00,NULL,3.00,1.00,5.00,451,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PARQUE INDUSTRIAL','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3237664,5.00,8.00,2.00,9.00,6.00,4.25,4.00,6.00,5.00,2,NULL,NULL,'CIDADE NOVA','PTO UNIãO','SC',6949,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3237672,7.00,7.00,4.00,8.00,5.00,6.25,2.00,8.00,5.00,303,NULL,NULL,'NSS SRA DO ROSáRIO','S JOSé','SC',5459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237680,1.00,5.00,4.00,8.00,4.00,6.00,2.00,5.00,3.00,425,NULL,426,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',12481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR OESTE','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3237710,6.00,4.00,4.00,9.00,7.00,5.50,2.00,5.00,3.00,450,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',8252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237729,1.00,3.00,2.00,5.00,4.00,NULL,1.00,2.00,3.00,208,NULL,214,'ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237737,5.00,4.00,1.00,5.00,6.00,5.00,2.00,5.00,2.00,453,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',14391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237745,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(16,3237753,1.00,4.00,1.00,8.00,3.00,NULL,5.00,4.00,4.00,101,NULL,NULL,'COLÕNIA SANTANA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237761,4.00,3.00,3.00,2.00,6.00,6.50,4.00,7.00,3.00,302,NULL,NULL,'LOURO','ANTôNIO CARLOS','SC',12494,149,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3237788,6.00,6.00,4.00,8.00,7.00,5.50,3.00,6.00,4.00,451,NULL,NULL,'CENTRO','CRICIúMA','SC',6427,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3237796,5.00,4.00,2.00,8.00,5.00,4.00,2.00,8.00,6.00,214,NULL,203,'JARDIM PARAíBA','APARECIDA','SP',8362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237800,6.00,7.00,4.00,5.00,7.00,6.00,5.00,7.00,5.00,233,NULL,211,'TRINDADE','FLORIANóPOLIS','SC',5326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3237826,4.00,6.00,3.00,6.00,5.00,5.25,3.00,6.00,5.00,103,NULL,NULL,'TANGUA','ALM TAMANDARé','PR',8439,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3237842,2.00,2.00,4.00,4.00,0.00,NULL,0.00,3.00,2.00,203,NULL,NULL,'PIO CORREIA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3237850,4.00,6.00,3.00,2.00,4.00,6.00,5.00,8.00,3.00,208,NULL,238,'CENTRO','FLORIANóPOLIS','SC',11406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237869,1.00,1.00,2.00,4.00,1.00,NULL,2.00,2.00,2.00,423,NULL,429,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237877,4.00,5.00,4.00,5.00,4.00,4.50,3.00,6.00,2.00,103,NULL,NULL,'CENTRO','S SEBASTIãO AMOREIRA','PR',13876,2607,NULL,NULL,NULL,NULL,NULL,4,8),(16,3237885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'JARDIM CIDADE','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3237893,2.00,4.00,1.00,5.00,2.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3237907,2.00,4.00,2.00,7.00,4.00,6.25,3.00,6.00,3.00,211,NULL,207,'INDIANóPOLIS','S PAULO','SP',13283,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3237915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3237923,1.00,3.00,3.00,0.00,1.00,NULL,4.00,1.00,3.00,202,NULL,NULL,'PIO CORREIA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3237931,4.00,4.00,4.00,5.00,4.00,5.75,2.00,4.00,2.00,317,NULL,NULL,'ARIRIU FORMIGA','PALHOçA','SC',14710,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237940,5.00,2.00,1.00,7.00,3.00,NULL,4.00,4.00,3.00,103,NULL,NULL,'CENTRO','MATELâNDIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3237958,8.00,4.00,3.00,6.00,7.00,6.00,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','GUARUJá SUL','SC',7068,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3237966,4.00,6.00,5.00,7.00,7.00,7.00,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','PRES GETúLIO','SC',5505,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3237974,6.00,5.00,5.00,7.00,7.00,4.00,3.00,5.00,4.00,429,NULL,424,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',7542,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237982,2.00,3.00,4.00,4.00,4.00,1.50,2.00,4.00,3.00,309,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3237990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3238008,0.00,4.00,1.00,6.00,2.00,NULL,3.00,3.00,3.00,225,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAXAMBU SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3238024,3.00,0.00,2.00,2.00,3.00,NULL,4.00,4.00,4.00,9,NULL,NULL,'INTERIOR','RONDA ALTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3238032,5.00,8.00,3.00,8.00,3.00,NULL,0.00,9.00,5.00,317,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238040,6.00,8.00,7.00,7.00,7.00,6.50,5.00,7.00,6.00,317,NULL,NULL,'KOBRASOL','S JOSé','SC',1979,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3238059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3238067,4.00,4.00,2.00,8.00,6.00,5.75,2.00,3.00,4.00,420,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',12010,118,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238075,6.00,2.00,7.00,8.00,5.00,5.00,5.00,3.00,6.00,220,NULL,202,'CENTRO','S JOSé','SC',6883,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238083,8.00,7.00,4.00,9.00,7.00,5.75,4.00,7.00,5.00,103,NULL,NULL,'BATEL','CURITIBA','PR',3526,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3238091,3.00,3.00,1.00,5.00,3.00,NULL,2.00,4.00,3.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238105,9.00,8.00,7.00,7.00,9.00,7.25,7.00,8.00,8.00,304,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238121,2.00,5.00,3.00,6.00,2.00,NULL,3.00,5.00,1.00,404,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3238148,3.00,0.00,2.00,3.00,4.00,NULL,1.00,4.00,2.00,238,NULL,208,'INTERIOR','RONDA ALTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3238156,3.00,6.00,4.00,7.00,6.00,8.50,3.00,3.00,2.00,328,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',10844,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238164,1.00,4.00,2.00,3.00,4.00,NULL,4.00,4.00,1.00,207,NULL,201,'CENTRO','OSóRIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238172,3.00,3.00,3.00,7.00,5.00,3.25,3.00,4.00,3.00,101,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238180,4.00,4.00,4.00,7.00,5.00,5.25,2.00,6.00,4.00,326,NULL,NULL,'PARQUE FRANCAL','FRANCA','SP',11322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238199,5.00,7.00,4.00,2.00,5.00,4.00,1.00,6.00,3.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',13442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3238229,5.00,5.00,5.00,3.00,6.00,5.75,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','IPUMIRIM','SC',8103,1991,NULL,NULL,NULL,NULL,NULL,4,4),(16,3238237,3.00,3.00,3.00,5.00,3.00,NULL,4.00,5.00,2.00,2,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3238253,5.00,7.00,4.00,1.00,5.00,5.25,3.00,2.00,4.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238261,9.00,8.00,6.00,7.00,7.00,6.50,2.00,7.00,5.00,302,NULL,NULL,'STO ANTONIO DE LISBO','FLORIANóPOLIS','SC',2813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238270,2.00,5.00,2.00,5.00,0.00,NULL,3.00,5.00,2.00,220,NULL,208,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238288,3.00,3.00,4.00,3.00,3.00,NULL,2.00,5.00,5.00,404,NULL,NULL,'ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238296,8.00,1.00,5.00,6.00,3.00,NULL,2.00,3.00,5.00,103,NULL,NULL,'IMPERIAL','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238300,3.00,5.00,2.00,7.00,5.00,6.75,5.00,5.00,2.00,208,NULL,238,'PICADAS DO SUL','S JOSé','SC',11271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238318,5.00,2.00,1.00,7.00,5.00,5.75,1.00,6.00,3.00,101,NULL,NULL,'SãO JOSé','SOMBRIO','SC',14012,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3238326,8.00,8.00,6.00,8.00,5.00,6.00,6.00,9.00,9.00,103,NULL,NULL,'JARDIM ALVORADA','MARINGá','PR',994,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238334,5.00,3.00,5.00,8.00,5.00,4.75,4.00,7.00,3.00,103,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',7918,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3238342,6.00,5.00,4.00,6.00,6.00,5.25,3.00,7.00,6.00,301,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',6428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238350,2.00,4.00,1.00,0.00,3.00,NULL,3.00,4.00,3.00,333,NULL,NULL,'VILA ESPERANçA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238369,3.00,2.00,4.00,5.00,3.00,NULL,3.00,3.00,2.00,329,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238377,4.00,3.00,1.00,2.00,3.00,NULL,3.00,2.00,1.00,429,NULL,428,'BELA VISTA I','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238385,4.00,5.00,4.00,8.00,6.00,5.75,2.00,5.00,4.00,450,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',9402,80,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238393,5.00,5.00,4.00,5.00,5.00,6.50,3.00,6.00,0.00,201,NULL,211,'CENTRO','PALHOçA','SC',12153,942,NULL,416,NULL,NULL,NULL,4,1),(16,3238407,6.00,2.00,1.00,4.00,2.00,NULL,3.00,5.00,2.00,101,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238415,2.00,4.00,2.00,4.00,4.00,5.25,3.00,6.00,3.00,208,NULL,238,'CAMPINAS','S JOSé','SC',14884,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238423,5.00,2.00,4.00,4.00,4.00,6.25,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','NAVEGANTES','SC',16514,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3238458,6.00,5.00,4.00,8.00,6.00,4.75,4.00,6.00,3.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',8132,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3238466,3.00,7.00,3.00,1.00,5.00,6.00,3.00,4.00,3.00,318,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',15146,124,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238474,5.00,1.00,1.00,5.00,3.00,NULL,0.00,4.00,4.00,415,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,427,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3238490,6.00,3.00,2.00,3.00,2.00,NULL,2.00,1.00,3.00,212,NULL,207,'PROGRESSO','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3238504,3.00,5.00,4.00,6.00,4.00,6.50,3.00,7.00,3.00,222,NULL,NULL,'CAMBUI','CAMPINAS','SP',10507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238512,5.00,5.00,1.00,2.00,4.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'VILA MARIANA','TAIó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3238520,3.00,7.00,3.00,7.00,5.00,6.50,1.00,6.00,4.00,304,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',10240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3238555,3.00,8.00,3.00,3.00,4.00,4.00,4.00,6.00,3.00,103,NULL,NULL,'ALTO DA XV','GUARAPUAVA','PR',12949,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3238563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'NOVA DESCOBERTA','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3238571,3.00,6.00,3.00,8.00,5.00,4.75,3.00,6.00,3.00,304,NULL,NULL,'KOBRASOL','S JOSé','SC',10557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238580,6.00,5.00,4.00,6.00,8.00,7.50,2.00,8.00,5.00,415,NULL,NULL,'BALNEARIO ESTREITO','FLORIANóPOLIS','SC',5167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238598,4.00,4.00,4.00,4.00,4.00,5.75,3.00,3.00,5.00,223,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',15303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238601,7.00,5.00,4.00,6.00,8.00,6.75,3.00,8.00,7.00,208,NULL,238,'PICADAS DO SUL','S JOSé','SC',3771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238610,0.00,0.00,1.00,0.00,0.00,NULL,0.00,3.00,1.00,9,NULL,NULL,'COVA TRISTE','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238628,2.00,1.00,2.00,6.00,2.00,NULL,4.00,0.00,3.00,101,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238636,5.00,4.00,2.00,5.00,4.00,5.50,4.00,4.00,5.00,103,NULL,NULL,'SAO JORGE','TRêS LAGOAS','MS',12943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238644,5.00,3.00,3.00,8.00,4.00,6.25,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',10565,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3238652,4.00,4.00,2.00,3.00,4.00,4.50,3.00,3.00,4.00,102,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',16163,300,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238660,6.00,5.00,4.00,4.00,5.00,4.75,4.00,8.00,6.00,203,NULL,233,'CAPOEIRAS','FLORIANóPOLIS','SC',8699,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238679,5.00,9.00,7.00,8.00,7.00,6.00,4.00,6.00,6.00,329,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',2367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238687,4.00,1.00,3.00,5.00,4.00,NULL,1.00,2.00,2.00,101,NULL,NULL,'CENTRO','SALETE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3238695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CAMINHO DAS ARVORES','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3238709,2.00,3.00,4.00,7.00,5.00,6.50,3.00,5.00,4.00,309,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',12931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'JARDIM ATLâNTICO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3238725,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','TAIó','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(16,3238733,4.00,1.00,1.00,4.00,1.00,NULL,2.00,1.00,4.00,319,NULL,NULL,'PANTANO DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238741,3.00,3.00,2.00,0.00,3.00,NULL,0.00,4.00,3.00,233,NULL,211,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238750,7.00,5.00,4.00,6.00,8.00,7.00,2.00,7.00,6.00,238,NULL,208,'CAPOEIRAS','FLORIANóPOLIS','SC',5275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3238776,2.00,3.00,1.00,0.00,3.00,NULL,3.00,3.00,2.00,319,NULL,NULL,'PONTE IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238784,1.00,2.00,2.00,3.00,5.00,NULL,3.00,3.00,1.00,319,NULL,NULL,'PADRE MARTINHO STEIN','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3238792,4.00,5.00,4.00,5.00,4.00,3.25,3.00,6.00,6.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3238806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'AZENHA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3238814,4.00,5.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,207,NULL,212,'CENTRO','S JOãO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3238830,2.00,3.00,3.00,2.00,3.00,NULL,3.00,1.00,4.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238849,4.00,4.00,3.00,5.00,4.00,6.25,1.00,3.00,3.00,301,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',15161,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238857,3.00,4.00,4.00,2.00,4.00,5.00,5.00,8.00,2.00,222,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',12721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238865,2.00,4.00,2.00,6.00,3.00,NULL,1.00,4.00,3.00,316,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238873,5.00,4.00,2.00,4.00,6.00,6.00,4.00,7.00,4.00,304,NULL,NULL,'CECAP II','INDAIATUBA','SP',9861,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238881,3.00,2.00,2.00,4.00,2.00,NULL,1.00,4.00,3.00,308,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238903,5.00,3.00,3.00,4.00,4.00,5.75,1.00,4.00,2.00,453,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',16555,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3238911,3.00,2.00,2.00,2.00,1.00,NULL,1.00,0.00,1.00,238,NULL,208,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3238938,4.00,4.00,3.00,6.00,5.00,6.00,3.00,4.00,4.00,316,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',13289,155,NULL,NULL,NULL,NULL,NULL,4,1),(16,3238946,3.00,4.00,3.00,2.00,4.00,4.50,2.00,4.00,3.00,225,NULL,NULL,'CENTRO','MTE CARLO','SC',16576,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3238954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PORTãO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3238962,3.00,4.00,2.00,5.00,4.00,4.50,2.00,3.00,4.00,208,NULL,238,'CORREGO GRANDE','FLORIANóPOLIS','SC',16170,563,NULL,530,NULL,NULL,NULL,2,1),(16,3238970,3.00,2.00,2.00,4.00,1.00,NULL,0.00,2.00,3.00,317,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238989,3.00,4.00,2.00,1.00,1.00,NULL,1.00,3.00,4.00,339,NULL,NULL,'ARMAçãO DO PâNTANO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3238997,1.00,1.00,1.00,3.00,3.00,NULL,2.00,3.00,5.00,101,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239004,4.00,5.00,1.00,5.00,6.00,5.50,4.00,5.00,4.00,333,NULL,NULL,'LIBERDADE','S PAULO','SP',11580,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239020,3.00,2.00,2.00,5.00,4.00,5.50,5.00,4.00,2.00,104,NULL,NULL,'BARREIROS','S JOSé','SC',15858,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239039,3.00,4.00,1.00,2.00,2.00,NULL,2.00,1.00,3.00,201,NULL,212,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239047,4.00,6.00,3.00,8.00,5.00,5.75,3.00,8.00,1.00,310,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',9229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239055,9.00,7.00,5.00,3.00,5.00,6.25,3.00,7.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',3826,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3239071,2.00,3.00,1.00,6.00,2.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'BELA VISTA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3239080,4.00,7.00,1.00,3.00,3.00,NULL,5.00,7.00,3.00,318,NULL,NULL,'CENTRO','ASCURRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3239098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD IMPERIAL','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3239101,4.00,3.00,2.00,6.00,2.00,NULL,2.00,4.00,4.00,208,NULL,233,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239110,4.00,4.00,4.00,7.00,6.00,6.25,1.00,6.00,1.00,320,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239128,4.00,4.00,2.00,1.00,3.00,NULL,2.00,2.00,1.00,302,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239136,8.00,7.00,7.00,6.00,7.00,7.50,7.00,9.00,8.00,103,NULL,NULL,'CENTRO','GOIâNIA','GO',592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,214,'CAMPO ALEGRE','PINDAMONHANGABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3239152,5.00,3.00,3.00,7.00,6.00,5.25,4.00,4.00,4.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(16,3239187,5.00,6.00,3.00,2.00,2.00,NULL,2.00,5.00,5.00,211,NULL,216,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3239217,2.00,0.00,2.00,4.00,4.00,NULL,1.00,2.00,2.00,212,NULL,216,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239233,4.00,3.00,1.00,7.00,3.00,NULL,2.00,4.00,3.00,310,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239241,7.00,6.00,6.00,7.00,8.00,5.00,3.00,9.00,5.00,415,NULL,NULL,'MORUMBI','VALPARAíSO','SP',3308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'NOVA SUIÇA','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3239268,7.00,9.00,7.00,8.00,8.00,6.25,6.00,9.00,8.00,340,NULL,NULL,'KOBRASOL','S JOSé','SC',370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239276,3.00,7.00,4.00,5.00,6.00,6.00,3.00,7.00,4.00,420,NULL,NULL,'PORTO DA LAGOA','FLORIANóPOLIS','SC',9604,93,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239284,1.00,4.00,1.00,7.00,2.00,NULL,4.00,3.00,3.00,425,NULL,429,'BARRA DO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3239306,3.00,5.00,4.00,6.00,6.00,6.75,4.00,5.00,5.00,319,NULL,NULL,'PASSA VINTE','PALHOçA','SC',9169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239314,3.00,6.00,3.00,7.00,4.00,5.50,3.00,5.00,3.00,316,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',11369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239322,7.00,8.00,7.00,5.00,6.00,5.00,2.00,8.00,8.00,103,NULL,NULL,'CENTRO','PAPANDUVA','SC',2618,1003,NULL,NULL,NULL,NULL,NULL,4,8),(16,3239330,4.00,3.00,1.00,6.00,4.00,4.75,3.00,3.00,4.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15880,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239349,1.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,303,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239357,7.00,5.00,4.00,8.00,5.00,6.25,1.00,5.00,5.00,303,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',5945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239365,4.00,3.00,2.00,0.00,0.00,NULL,3.00,2.00,3.00,318,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239373,3.00,2.00,2.00,3.00,0.00,NULL,1.00,3.00,3.00,332,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239381,3.00,4.00,1.00,4.00,6.00,4.75,3.00,6.00,2.00,108,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239390,1.00,0.00,3.00,6.00,0.00,NULL,2.00,2.00,2.00,213,NULL,233,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239403,5.00,5.00,4.00,9.00,6.00,5.50,3.00,6.00,4.00,103,NULL,NULL,'BATEL','CURITIBA','PR',6938,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(16,3239411,7.00,4.00,5.00,6.00,8.00,5.00,3.00,6.00,4.00,104,NULL,NULL,'JARDIM FLORESTA','S JOSé','SC',6471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239420,1.00,5.00,2.00,6.00,4.00,5.50,0.00,4.00,4.00,302,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',16158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239438,9.00,9.00,6.00,7.00,9.00,7.00,8.00,9.00,7.00,103,NULL,NULL,'VILA MOEMA','TUBARãO','SC',124,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3239446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3239462,1.00,1.00,4.00,1.00,2.00,NULL,3.00,4.00,3.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3239470,4.00,4.00,2.00,1.00,5.00,6.00,1.00,5.00,6.00,340,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',14930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239489,6.00,6.00,3.00,7.00,5.00,4.50,4.00,6.00,6.00,450,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',7350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239497,5.00,3.00,5.00,4.00,1.00,NULL,4.00,5.00,2.00,201,NULL,212,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239500,4.00,5.00,2.00,2.00,6.00,NULL,1.00,6.00,2.00,453,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239519,1.00,6.00,1.00,5.00,4.00,5.50,1.00,7.00,2.00,324,NULL,NULL,'BARREIROS','S JOSé','SC',15399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239527,6.00,6.00,5.00,8.00,7.00,6.50,1.00,7.00,5.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',4634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239535,4.00,0.00,3.00,6.00,0.00,NULL,2.00,3.00,3.00,328,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'BOA VISTA','NAVIRAí','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3239551,3.00,2.00,3.00,0.00,4.00,NULL,1.00,5.00,2.00,302,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUAS CLARAS','TAGUATINGA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3239578,4.00,6.00,2.00,7.00,4.00,4.50,3.00,6.00,2.00,450,NULL,NULL,'CENTRO','CARAZINHO','RS',12688,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239586,3.00,1.00,1.00,2.00,4.00,NULL,3.00,5.00,6.00,201,NULL,212,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3239594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'ESCOLA AGRíCOLA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3239608,2.00,2.00,3.00,6.00,2.00,NULL,3.00,6.00,4.00,302,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239616,4.00,4.00,1.00,2.00,5.00,6.25,2.00,5.00,3.00,214,NULL,212,'SERTãO DO MARUIM','S JOSé','SC',15949,482,NULL,438,NULL,NULL,NULL,4,1),(16,3239624,6.00,6.00,3.00,8.00,6.00,6.75,3.00,5.00,4.00,102,NULL,NULL,'ARMAçãO DO P DO SUL','FLORIANóPOLIS','SC',8029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239632,0.00,0.00,0.00,7.00,7.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'PIO CORREA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3239640,5.00,4.00,4.00,6.00,4.00,5.00,2.00,6.00,2.00,5,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',13779,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239659,1.00,2.00,1.00,3.00,2.00,NULL,5.00,5.00,1.00,103,NULL,NULL,'CENTRO','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,2),(16,3239667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA DOIS','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3239675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PARANAGUá','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3239683,5.00,2.00,2.00,5.00,3.00,NULL,2.00,4.00,5.00,211,NULL,208,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239713,6.00,3.00,1.00,6.00,2.00,NULL,2.00,4.00,3.00,104,NULL,NULL,'SANTO ANJO DA GUARDA','TRêS CACHOEIRAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3239721,1.00,2.00,3.00,2.00,6.00,NULL,2.00,4.00,2.00,223,NULL,NULL,'CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239730,1.00,2.00,2.00,1.00,6.00,NULL,3.00,2.00,1.00,444,NULL,NULL,'SACO DOS LIMOêS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239748,4.00,4.00,5.00,2.00,6.00,6.25,2.00,7.00,4.00,318,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',11437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239756,5.00,8.00,5.00,9.00,9.00,7.75,4.00,7.00,4.00,207,NULL,NULL,'ALTOS DO ESPLANADA','S JOSé CAMPOS','SP',1805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239764,4.00,5.00,3.00,7.00,4.00,5.50,3.00,5.00,4.00,450,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',11173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239772,5.00,4.00,3.00,8.00,7.00,6.25,4.00,7.00,4.00,452,NULL,NULL,'AREIAS','S JOSé','SC',7497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239780,6.00,8.00,4.00,7.00,6.00,6.75,4.00,7.00,7.00,207,NULL,201,'VITORIA I','ERECHIM','RS',2782,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3239799,3.00,2.00,2.00,1.00,1.00,NULL,1.00,0.00,2.00,333,NULL,NULL,'IMIGRANTES','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3239802,6.00,4.00,3.00,5.00,5.00,5.25,2.00,4.00,3.00,420,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',14157,152,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239810,4.00,2.00,6.00,5.00,3.00,NULL,2.00,3.00,1.00,104,NULL,NULL,'CENTRO','CRISTAL SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3239829,6.00,2.00,2.00,7.00,4.00,5.25,3.00,1.00,5.00,303,NULL,NULL,'CENTRO','STA MARIA','RS',15231,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239837,6.00,5.00,4.00,5.00,6.00,7.00,1.00,8.00,7.00,207,NULL,233,'TRINDADE','FLORIANóPOLIS','SC',6642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239845,9.00,9.00,6.00,9.00,8.00,5.75,3.00,7.00,8.00,103,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',740,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3239853,5.00,8.00,6.00,9.00,5.00,5.75,4.00,7.00,5.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239861,3.00,3.00,2.00,1.00,2.00,NULL,3.00,2.00,3.00,9,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239870,5.00,4.00,3.00,8.00,4.00,5.75,3.00,6.00,2.00,340,NULL,NULL,'JARDIM DA SAUDE','S PAULO','SP',10838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239888,4.00,5.00,4.00,5.00,6.00,4.75,5.00,5.00,4.00,333,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239896,3.00,5.00,5.00,8.00,8.00,8.50,3.00,6.00,6.00,319,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',4387,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3239918,3.00,5.00,1.00,1.00,5.00,NULL,2.00,5.00,3.00,320,NULL,NULL,'PASSAGEM','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3239926,8.00,7.00,6.00,6.00,5.00,6.25,5.00,7.00,7.00,421,NULL,428,'VISTA VERDE','S JOSé CAMPOS','SP',2668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239934,2.00,3.00,2.00,2.00,2.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','SIDERóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3239942,5.00,2.00,2.00,5.00,5.00,5.00,3.00,5.00,1.00,320,NULL,NULL,'IPIRANGA','S JOSé','SC',15550,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3239950,6.00,3.00,2.00,1.00,3.00,NULL,3.00,7.00,5.00,316,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239969,6.00,7.00,4.00,8.00,5.00,5.50,3.00,7.00,3.00,238,NULL,208,'COLONINHA','FLORIANóPOLIS','SC',6704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3239977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3239985,2.00,2.00,2.00,2.00,1.00,NULL,2.00,0.00,0.00,212,NULL,211,'CRUZEIRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3239993,6.00,7.00,3.00,5.00,5.00,4.25,5.00,6.00,4.00,213,NULL,220,'MONTE VERDE','FLORIANóPOLIS','SC',9956,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3240002,3.00,4.00,3.00,4.00,3.00,NULL,4.00,6.00,3.00,301,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240010,5.00,3.00,2.00,0.00,3.00,NULL,3.00,4.00,2.00,5,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240029,4.00,3.00,2.00,1.00,4.00,5.25,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3240037,2.00,5.00,1.00,4.00,5.00,NULL,1.00,6.00,1.00,304,NULL,NULL,'JD DAS INDUSTRIAS','SAO JOSE DOS CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240045,4.00,5.00,5.00,7.00,4.00,4.25,3.00,7.00,3.00,103,NULL,NULL,'SãO FRANCISCO','CURITIBA','PR',9422,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3240053,2.00,3.00,2.00,0.00,0.00,NULL,2.00,2.00,6.00,303,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(16,3240061,5.00,6.00,3.00,9.00,4.00,6.00,3.00,5.00,4.00,444,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',9227,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3240070,6.00,6.00,7.00,9.00,8.00,6.00,2.00,7.00,6.00,101,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',2318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BELA VISTA II','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3240096,5.00,4.00,3.00,6.00,3.00,NULL,3.00,3.00,3.00,213,NULL,NULL,'SãO LUIS','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3240100,4.00,2.00,3.00,3.00,1.00,NULL,3.00,4.00,2.00,201,NULL,214,'LOT JARD SãO MIGUEL','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3240126,5.00,6.00,6.00,8.00,7.00,7.00,5.00,8.00,7.00,415,NULL,NULL,'CERQUEIRA CéSAR','S PAULO','SP',1552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240134,6.00,5.00,6.00,8.00,8.00,5.50,3.00,5.00,4.00,453,NULL,NULL,'PARQUE VISTA ALEGRE','BAURU','SP',4836,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3240142,3.00,2.00,1.00,0.00,0.00,NULL,0.00,1.00,1.00,319,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3240150,6.00,3.00,2.00,5.00,4.00,NULL,1.00,1.00,3.00,301,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3240169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JUVEVê','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3240177,5.00,2.00,2.00,3.00,4.00,6.00,3.00,4.00,2.00,234,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',15925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240185,6.00,6.00,3.00,7.00,7.00,5.25,4.00,8.00,5.00,316,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',5561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240193,2.00,3.00,3.00,3.00,6.00,NULL,1.00,4.00,0.00,327,NULL,NULL,'CENTRO','MAXIMILIANO ALMEIDA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3240207,3.00,4.00,3.00,6.00,7.00,4.00,4.00,7.00,5.00,427,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',9766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3240215,7.00,4.00,3.00,2.00,4.00,4.75,2.00,7.00,6.00,103,NULL,NULL,'CAZECA','UBERLâNDIA','MG',10922,2328,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240223,1.00,3.00,2.00,6.00,3.00,NULL,5.00,5.00,3.00,234,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM ITAIPU','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3240240,3.00,4.00,4.00,4.00,2.00,NULL,0.00,6.00,5.00,203,NULL,233,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240258,2.00,4.00,2.00,4.00,3.00,NULL,1.00,3.00,5.00,444,NULL,NULL,'FLOR DE NAPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240266,2.00,5.00,1.00,6.00,4.00,NULL,2.00,3.00,0.00,328,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3240274,2.00,3.00,3.00,3.00,1.00,NULL,1.00,3.00,3.00,238,NULL,211,'PQ SãO MARTINHO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240282,6.00,8.00,6.00,9.00,9.00,6.00,1.00,7.00,7.00,207,NULL,211,'DOM ANTôNIO REIS','STA MARIA','RS',2384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'MARACANã','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3240304,8.00,7.00,6.00,9.00,6.00,5.75,3.00,6.00,7.00,203,NULL,214,'CENTRO','FLORIANóPOLIS','SC',2131,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3240312,4.00,2.00,2.00,2.00,4.00,NULL,2.00,3.00,3.00,223,NULL,NULL,'PRAIA DE FORA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240320,3.00,5.00,4.00,8.00,6.00,4.75,3.00,6.00,5.00,238,NULL,208,'XV DE NOVEMBRO','TIJUCAS','SC',9902,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3240339,5.00,5.00,3.00,5.00,4.00,4.50,2.00,6.00,3.00,309,NULL,NULL,'BARREIROS','S JOSé','SC',13918,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3240347,8.00,6.00,8.00,8.00,9.00,6.50,6.00,6.00,8.00,103,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',664,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240363,6.00,6.00,4.00,5.00,4.00,4.00,4.00,3.00,4.00,220,NULL,202,'CENTRO','SAO LUDGERO','SC',11647,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3240380,6.00,8.00,8.00,5.00,5.00,5.00,5.00,5.00,8.00,201,NULL,212,'TRINDADE','FLORIANóPOLIS','SC',3336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240398,5.00,2.00,5.00,1.00,3.00,NULL,4.00,5.00,4.00,208,NULL,207,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240401,5.00,3.00,5.00,3.00,5.00,6.00,4.00,4.00,6.00,234,NULL,NULL,'JD PAINEIRAS','CAMPINAS','SP',10426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240410,5.00,6.00,4.00,3.00,4.00,5.25,1.00,4.00,6.00,208,NULL,NULL,'PASSAGEM','TUBARãO','SC',12696,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3240444,5.00,4.00,7.00,6.00,6.00,5.75,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','RIO NEGRO','PR',6030,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3240452,3.00,6.00,4.00,2.00,6.00,4.00,4.00,6.00,3.00,425,NULL,428,'ESTREITO','FLORIANóPOLIS','SC',13218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240460,2.00,2.00,4.00,6.00,3.00,NULL,2.00,4.00,5.00,225,NULL,NULL,'XV DE NOVEMBRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3240487,4.00,5.00,3.00,7.00,7.00,7.25,1.00,4.00,5.00,420,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',9865,96,NULL,NULL,NULL,NULL,NULL,2,1),(16,3240495,4.00,1.00,1.00,2.00,5.00,NULL,3.00,3.00,4.00,444,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3240517,7.00,6.00,5.00,9.00,7.00,6.00,3.00,6.00,6.00,302,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',4255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240525,6.00,6.00,2.00,6.00,3.00,NULL,2.00,5.00,4.00,303,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240541,7.00,7.00,3.00,5.00,8.00,6.50,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','XANXERê','SC',4962,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3240568,6.00,6.00,2.00,9.00,6.00,5.00,4.00,8.00,4.00,340,NULL,NULL,'PIRATININGA','NITERóI','RJ',5556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240576,7.00,7.00,4.00,9.00,5.00,6.75,3.00,9.00,5.00,103,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',3250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240584,3.00,6.00,2.00,7.00,4.00,5.50,3.00,5.00,6.00,103,NULL,NULL,'TAQUARAL','CAMPINAS','SP',10783,2311,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3240630,3.00,4.00,3.00,2.00,6.00,NULL,3.00,3.00,1.00,223,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240649,5.00,6.00,7.00,8.00,7.00,6.00,5.00,9.00,6.00,233,NULL,215,'PORTAL DA OLARIA','S SEBASTIãO','SP',1956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240657,6.00,6.00,4.00,7.00,4.00,6.50,6.00,6.00,5.00,225,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',5411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240665,9.00,7.00,5.00,7.00,7.00,4.25,6.00,6.00,7.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3240673,4.00,5.00,2.00,9.00,4.00,4.25,2.00,9.00,3.00,340,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',11448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240681,2.00,2.00,2.00,8.00,3.00,NULL,2.00,4.00,3.00,233,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3240690,8.00,7.00,8.00,8.00,6.00,5.50,6.00,7.00,6.00,103,NULL,NULL,'JD FLAMBOYANT','CAMPINAS','SP',1448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240703,2.00,0.00,1.00,4.00,2.00,NULL,0.00,4.00,4.00,108,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3240711,2.00,3.00,1.00,5.00,2.00,NULL,1.00,2.00,3.00,234,NULL,NULL,'CENTRO','TAIó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3240720,5.00,5.00,5.00,8.00,8.00,4.75,5.00,5.00,6.00,333,NULL,NULL,'JURERE INTERNACIONAL','FLORIANóPOLIS','SC',5271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240738,5.00,6.00,4.00,9.00,4.00,5.75,4.00,5.00,3.00,340,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'HIGIENóPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3240754,5.00,7.00,3.00,7.00,6.00,6.25,4.00,6.00,5.00,234,NULL,NULL,'PRADO','BIGUAÇU','SC',6305,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3240762,4.00,5.00,1.00,3.00,4.00,5.50,4.00,5.00,4.00,207,NULL,201,'ANIL','RIO JANEIRO','RJ',14866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3240770,2.00,3.00,5.00,0.00,3.00,NULL,3.00,5.00,3.00,220,NULL,238,'CENTRO','ERVAL VELHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3240789,2.00,6.00,1.00,6.00,4.00,5.75,0.00,4.00,2.00,5,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',15945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3240797,5.00,9.00,4.00,8.00,8.00,6.75,4.00,9.00,3.00,340,NULL,NULL,'BOM PASTOR','IGREJINHA','RS',3136,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3240800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3240819,3.00,6.00,5.00,8.00,2.00,NULL,1.00,5.00,2.00,223,NULL,NULL,'ALTO ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240835,6.00,8.00,5.00,7.00,6.00,6.00,6.00,7.00,8.00,103,NULL,NULL,'MORRO DA CRUZ','FLORIANOPOLIS','SC',2137,866,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240843,8.00,8.00,8.00,7.00,7.00,6.25,5.00,8.00,8.00,103,NULL,NULL,'TERRAS DE PIRACICABA','PIRACICABA','SP',616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240851,4.00,4.00,3.00,4.00,4.00,5.50,3.00,6.00,3.00,5,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',14321,478,NULL,NULL,NULL,NULL,NULL,4,2),(16,3240860,5.00,1.00,2.00,3.00,5.00,4.75,3.00,4.00,3.00,319,NULL,NULL,'MATRIZ','VIDEIRA','SC',16437,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3240886,5.00,2.00,4.00,4.00,3.00,NULL,4.00,3.00,3.00,207,NULL,201,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240894,2.00,4.00,2.00,1.00,3.00,NULL,4.00,5.00,4.00,426,NULL,429,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240908,6.00,6.00,3.00,9.00,7.00,6.75,5.00,7.00,6.00,340,NULL,NULL,'CAMBUI','CAMPINAS','SP',3000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3240932,7.00,8.00,6.00,6.00,6.00,6.75,7.00,8.00,7.00,220,NULL,203,'CENTRO','ITAQUIRAí','MS',1152,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3240940,3.00,1.00,3.00,5.00,5.00,4.25,3.00,6.00,3.00,450,NULL,NULL,'BARREIROS','S JOSé','SC',15908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3240959,4.00,7.00,5.00,8.00,7.00,6.50,3.00,6.00,4.00,201,NULL,212,'AREIAS','CAMBORIú','SC',6619,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3240967,6.00,5.00,6.00,7.00,5.00,5.75,4.00,6.00,3.00,207,NULL,201,'MAGALHãES','LAGUNA','SC',6908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3240975,5.00,6.00,5.00,6.00,5.00,5.50,6.00,4.00,6.00,304,NULL,NULL,'BOSQUE','CAMPINAS','SP',6811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3240983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'EUGêNIO SCHNEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3240991,2.00,3.00,4.00,7.00,2.00,NULL,2.00,5.00,3.00,303,NULL,NULL,'PEREQUê','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3241017,9.00,8.00,9.00,8.00,6.00,7.75,8.00,8.00,8.00,103,NULL,NULL,'JARDIM CHAPADãO','CAMPINAS','SP',80,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3241025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3241033,5.00,6.00,4.00,8.00,4.00,5.25,4.00,5.00,6.00,201,NULL,220,'CENTRO','ITAJAí','SC',7576,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3241041,4.00,3.00,3.00,7.00,7.00,5.75,4.00,6.00,3.00,501,NULL,NULL,'UNIVERSITáRIO','CRICIúMA','SC',10285,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3241050,3.00,2.00,2.00,5.00,3.00,NULL,4.00,2.00,4.00,212,NULL,211,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241068,2.00,4.00,2.00,6.00,7.00,6.25,4.00,2.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241076,4.00,1.00,1.00,2.00,3.00,NULL,2.00,3.00,3.00,302,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241084,5.00,6.00,1.00,5.00,2.00,NULL,2.00,2.00,3.00,108,NULL,NULL,'LAGOINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241092,3.00,4.00,3.00,8.00,5.00,5.50,1.00,4.00,0.00,304,NULL,NULL,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',15029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3241106,7.00,6.00,4.00,8.00,7.00,5.50,4.00,7.00,6.00,103,NULL,NULL,'COMERCIARIO','CRICIúMA','SC',3084,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3241114,3.00,4.00,2.00,3.00,5.00,4.25,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3241122,5.00,6.00,3.00,0.00,0.00,NULL,2.00,8.00,4.00,333,NULL,NULL,'PINHEIRINHO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,5),(16,3241130,2.00,2.00,3.00,4.00,2.00,NULL,3.00,4.00,0.00,444,NULL,NULL,'CENTRO','STA ROSA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3241149,5.00,6.00,3.00,7.00,5.00,5.75,6.00,7.00,5.00,103,NULL,NULL,'CENTRO','ARARANGUá','SC',6214,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241157,5.00,6.00,1.00,8.00,5.00,6.25,3.00,8.00,5.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANóPOLIS','SC',7097,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241165,3.00,6.00,4.00,8.00,6.00,7.50,2.00,5.00,3.00,327,NULL,NULL,'CAMPINAS','S JOSé','SC',10011,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241173,5.00,3.00,1.00,5.00,4.00,6.25,3.00,3.00,3.00,104,NULL,NULL,'SANTA CRUZ','TREZE MAIO','SC',14723,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3241181,4.00,5.00,3.00,5.00,2.00,NULL,3.00,4.00,3.00,502,NULL,NULL,'MOURA','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241190,3.00,5.00,2.00,7.00,3.00,NULL,2.00,6.00,3.00,301,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241211,7.00,5.00,2.00,3.00,3.00,NULL,5.00,4.00,5.00,211,NULL,215,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3241220,2.00,3.00,1.00,5.00,3.00,NULL,3.00,3.00,3.00,316,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241238,5.00,6.00,3.00,7.00,6.00,7.00,2.00,8.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3241254,4.00,1.00,2.00,3.00,2.00,NULL,0.00,1.00,2.00,9,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241262,5.00,5.00,4.00,8.00,7.00,6.25,6.00,8.00,5.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',4538,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3241270,7.00,6.00,8.00,5.00,6.00,7.00,4.00,5.00,5.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',4265,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241289,9.00,6.00,4.00,8.00,8.00,7.25,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',1622,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3241297,2.00,4.00,1.00,4.00,5.00,NULL,2.00,3.00,2.00,202,NULL,213,'VILA NOVA','FRANCISCO BELTRãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3241300,0.00,1.00,2.00,2.00,3.00,NULL,2.00,2.00,4.00,202,NULL,203,'CENTRO','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3241335,2.00,0.00,2.00,0.00,2.00,NULL,4.00,4.00,3.00,104,NULL,NULL,'SANTA MARIA BERTILA','GUIRATINGA','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3241343,4.00,4.00,1.00,6.00,5.00,6.25,2.00,5.00,2.00,238,NULL,208,'FORQUILHINHAS','S JOSé','SC',14308,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241351,7.00,5.00,7.00,8.00,7.00,5.50,5.00,7.00,7.00,201,NULL,211,'AMéRICA','JOINVILLE','SC',2154,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3241378,3.00,4.00,2.00,4.00,4.00,4.75,1.00,5.00,3.00,205,NULL,NULL,'RIBEIRãO FRESCO','BLUMENAU','SC',16552,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3241386,5.00,6.00,3.00,5.00,3.00,NULL,3.00,8.00,4.00,201,NULL,207,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241408,6.00,5.00,3.00,7.00,6.00,4.75,4.00,7.00,4.00,444,NULL,NULL,'KOBRASOL','S JOSé','SC',8232,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241416,2.00,2.00,2.00,6.00,5.00,NULL,1.00,1.00,3.00,415,NULL,NULL,'RURAL','PâNTANO GRANDE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,213,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3241432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3241459,2.00,4.00,2.00,7.00,4.00,4.50,4.00,3.00,3.00,324,NULL,NULL,'CAMPINAS','S JOSé','SC',16142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241467,6.00,5.00,5.00,7.00,6.00,7.50,3.00,6.00,4.00,426,NULL,423,'KOBRASOL','S JOSé','SC',6582,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241483,3.00,4.00,3.00,7.00,6.00,4.00,5.00,3.00,4.00,216,NULL,NULL,'NAçõES','BAL CAMBORIú','SC',13309,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3241491,3.00,4.00,3.00,8.00,5.00,5.50,1.00,7.00,3.00,302,NULL,NULL,'CENTRO','COCAL SUL','SC',11332,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3241505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,233,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3241513,2.00,4.00,2.00,3.00,3.00,NULL,0.00,5.00,3.00,453,NULL,NULL,'PANTANO DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241521,3.00,4.00,3.00,1.00,5.00,5.75,1.00,8.00,4.00,316,NULL,NULL,'CAMPO NOVO','TIJUCAS','SC',13881,165,NULL,NULL,NULL,NULL,NULL,4,1),(16,3241530,1.00,2.00,2.00,4.00,3.00,NULL,1.00,4.00,4.00,308,NULL,NULL,'BREJARU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241556,5.00,7.00,3.00,3.00,4.00,6.25,4.00,4.00,4.00,316,NULL,NULL,'TESTO CENTRAL','POMERODE','SC',11370,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(16,3241564,2.00,3.00,4.00,3.00,2.00,NULL,2.00,3.00,6.00,208,NULL,238,'CENTRO','TUNáPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3241572,3.00,4.00,4.00,7.00,4.00,6.00,1.00,6.00,6.00,216,NULL,207,'CENTRO','QUEDAS IGUAçU','PR',11596,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3241580,3.00,0.00,3.00,3.00,4.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3241599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',3,3),(16,3241602,4.00,4.00,4.00,6.00,5.00,6.50,3.00,6.00,1.00,207,NULL,201,'SAGUAçU','JOINVILLE','SC',12202,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3241610,0.00,0.00,0.00,7.00,3.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'N SRA DO ROSARIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3241629,4.00,3.00,4.00,3.00,0.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'PIO CORREA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3241637,4.00,5.00,5.00,7.00,8.00,6.00,4.00,6.00,4.00,303,NULL,NULL,'PRESIDENTE MéDICI','CHAPECó','SC',5941,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3241645,2.00,3.00,1.00,1.00,2.00,NULL,1.00,3.00,2.00,301,NULL,NULL,'CRUZEIRO DO SUL','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(16,3241670,7.00,4.00,4.00,8.00,7.00,6.00,3.00,8.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',6121,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3241688,5.00,4.00,1.00,3.00,6.00,NULL,2.00,2.00,0.00,340,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3241696,3.00,3.00,3.00,2.00,2.00,NULL,0.00,4.00,2.00,102,NULL,NULL,'CENTRO','NOVO HORIZONTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3241700,4.00,6.00,3.00,5.00,4.00,6.00,4.00,7.00,5.00,324,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',8896,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241718,5.00,7.00,5.00,5.00,4.00,5.00,2.00,5.00,4.00,304,NULL,NULL,'CENTRO','ITAPEMA','SC',11351,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3241726,0.00,0.00,0.00,6.00,8.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3241734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'MATO PRETO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3241742,7.00,7.00,6.00,4.00,6.00,6.25,2.00,4.00,6.00,216,NULL,233,'COSTEIRA','FLORIANóPOLIS','SC',6726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3241750,7.00,5.00,7.00,8.00,6.00,5.50,5.00,7.00,8.00,201,NULL,207,'PEREQUE','PTO BELO','SC',2614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3241777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MONTE CASTELO','TUBARãO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3241785,3.00,8.00,7.00,8.00,4.00,6.50,3.00,6.00,6.00,304,NULL,NULL,'MATO DENTRO','ATIBAIA','SP',4991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3241793,6.00,6.00,4.00,3.00,3.00,NULL,2.00,5.00,3.00,444,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3241807,7.00,9.00,7.00,7.00,7.00,7.25,8.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',561,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241815,5.00,4.00,3.00,6.00,4.00,4.75,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',14135,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3241823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REBOUçAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3241831,4.00,4.00,5.00,9.00,7.00,NULL,4.00,5.00,0.00,340,NULL,NULL,'SCHRAMM','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3241840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,214,'AGOSTINI','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3241858,3.00,5.00,2.00,0.00,4.00,NULL,2.00,5.00,4.00,201,NULL,203,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3241866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JD SAMAMBAIA','BARRA BONITA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3241874,4.00,2.00,4.00,1.00,2.00,NULL,3.00,2.00,4.00,208,NULL,NULL,'COLONIA SANTANA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241882,3.00,5.00,3.00,2.00,2.00,NULL,1.00,4.00,4.00,420,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241904,4.00,4.00,4.00,6.00,5.00,4.25,4.00,8.00,3.00,202,NULL,201,'INTERIOR','MARAVILHA','SC',10092,369,NULL,775,NULL,NULL,NULL,2,4),(16,3241912,5.00,7.00,3.00,3.00,7.00,5.25,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',8039,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3241920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PRIMEIRO DE MAIO','FARROUPILHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3241939,5.00,5.00,2.00,6.00,6.00,6.00,3.00,6.00,2.00,301,NULL,NULL,'KOBRASOL','S JOSé','SC',11440,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3241947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3241955,3.00,1.00,1.00,2.00,2.00,NULL,2.00,4.00,2.00,444,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3241963,6.00,5.00,3.00,9.00,9.00,8.25,3.00,5.00,4.00,319,NULL,NULL,'ALTOS DE SANTANA','S JOSé CAMPOS','SP',5090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3241971,5.00,5.00,5.00,2.00,4.00,6.25,3.00,7.00,2.00,104,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',10853,292,NULL,NULL,NULL,NULL,NULL,4,1),(16,3241980,4.00,5.00,3.00,5.00,5.00,5.75,2.00,2.00,3.00,501,NULL,NULL,'CENTRO','NAVEGANTES','SC',14363,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3241998,5.00,6.00,6.00,7.00,8.00,6.75,2.00,6.00,4.00,103,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'FROTA','CACHOEIRA SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3242013,7.00,7.00,5.00,8.00,5.00,7.25,3.00,7.00,8.00,103,NULL,NULL,'CENTRO','JARAGUá SUL','SC',2505,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3242021,2.00,4.00,1.00,3.00,3.00,NULL,2.00,5.00,5.00,420,NULL,NULL,'PRESIDENTE MéDICE','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3242030,1.00,4.00,1.00,7.00,4.00,6.25,2.00,4.00,3.00,339,NULL,NULL,'JARDIM CIDADE','S JOSé','SC',16172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242048,3.00,7.00,3.00,7.00,4.00,5.50,3.00,7.00,2.00,207,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',10933,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242064,6.00,9.00,4.00,6.00,8.00,5.00,4.00,7.00,6.00,452,NULL,NULL,'VELHA','BLUMENAU','SC',3985,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3242072,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(16,3242080,5.00,7.00,2.00,4.00,4.00,5.75,0.00,5.00,4.00,320,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',13185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242099,6.00,8.00,6.00,7.00,6.00,5.50,5.00,6.00,5.00,201,NULL,216,'VILA OPERARIA','ITAJAí','SC',4286,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3242102,6.00,6.00,5.00,6.00,5.00,5.50,2.00,6.00,2.00,501,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',9648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242110,3.00,3.00,2.00,7.00,4.00,4.25,3.00,3.00,4.00,304,NULL,NULL,'ESTREITO BALNEARIO','FLORIANóPOLIS','SC',16529,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242129,5.00,7.00,7.00,9.00,6.00,4.75,5.00,5.00,6.00,103,NULL,NULL,'VILA POMERANEA','POMERODE','SC',3591,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3242153,2.00,1.00,4.00,1.00,1.00,NULL,4.00,5.00,2.00,340,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242161,9.00,8.00,6.00,5.00,7.00,6.25,5.00,5.00,8.00,103,NULL,NULL,'JARDIM IMPERIAL','MARINGá','PR',2184,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3242170,7.00,6.00,5.00,1.00,7.00,7.50,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','IVATé','PR',9147,2137,NULL,NULL,NULL,NULL,NULL,4,4),(16,3242188,5.00,5.00,2.00,9.00,8.00,4.00,4.00,9.00,6.00,303,NULL,NULL,'RIO TIGRE','BENEDITO NOVO','SC',5591,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3242196,7.00,6.00,4.00,7.00,5.00,7.25,2.00,5.00,8.00,104,NULL,NULL,'JARDIM ANGELICA','CRICIúMA','SC',4525,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3242200,8.00,5.00,9.00,9.00,7.00,6.50,6.00,8.00,9.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242218,6.00,8.00,5.00,5.00,6.00,4.50,4.00,7.00,6.00,101,NULL,NULL,'KOBRASOL','S JOSé','SC',5006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242234,2.00,6.00,4.00,6.00,4.00,5.25,1.00,3.00,5.00,428,NULL,421,'NSA SRA DO ROSáRIO','S JOSé','SC',14431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242242,6.00,5.00,3.00,6.00,5.00,5.50,6.00,7.00,5.00,2,NULL,NULL,'VILA MARIANA','TAIó','SC',6630,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3242250,4.00,2.00,4.00,4.00,3.00,NULL,3.00,4.00,4.00,101,NULL,NULL,'FLOR DE NAPóLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3242269,2.00,3.00,3.00,7.00,3.00,NULL,2.00,3.00,1.00,444,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242277,9.00,8.00,6.00,6.00,7.00,7.00,6.00,9.00,8.00,103,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',770,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3242293,2.00,4.00,3.00,3.00,2.00,NULL,0.00,1.00,3.00,302,NULL,NULL,'SANTA MARIA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3242307,5.00,4.00,4.00,7.00,4.00,4.75,3.00,4.00,3.00,404,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',12326,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3242315,7.00,6.00,3.00,6.00,8.00,5.25,4.00,4.00,7.00,103,NULL,NULL,'SANTA HELENA','LAGES','SC',5494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3242331,7.00,8.00,8.00,9.00,8.00,6.50,6.00,8.00,6.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242340,2.00,3.00,3.00,6.00,5.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'FERROVIA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3242358,5.00,4.00,3.00,8.00,6.00,4.75,4.00,3.00,4.00,211,NULL,216,'SERRARIA','S JOSé','SC',11193,379,NULL,390,NULL,NULL,NULL,2,1),(16,3242366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3242374,2.00,3.00,2.00,8.00,2.00,NULL,0.00,6.00,2.00,108,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242390,2.00,1.00,1.00,2.00,3.00,NULL,2.00,1.00,2.00,420,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242404,8.00,6.00,2.00,4.00,6.00,6.25,3.00,4.00,6.00,415,NULL,NULL,'SERRARIA','S JOSé','SC',8612,232,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242412,3.00,3.00,1.00,1.00,4.00,NULL,2.00,4.00,4.00,3,NULL,NULL,'JARDIM DA SAúDE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3242420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3242439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,202,'CENTRO','TAUBATé','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3242447,4.00,4.00,2.00,6.00,5.00,6.25,3.00,5.00,5.00,453,NULL,NULL,'JARDIM EMILIA','SOROCABA','SP',11946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242455,3.00,2.00,2.00,6.00,4.00,NULL,2.00,3.00,3.00,215,NULL,233,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242463,5.00,5.00,3.00,4.00,4.00,4.75,3.00,3.00,5.00,216,NULL,212,'UNIãO','PARANATINGA','MT',13866,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3242471,3.00,4.00,3.00,3.00,3.00,NULL,1.00,2.00,2.00,215,NULL,216,'VILA LALAU','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3242480,3.00,2.00,2.00,3.00,3.00,NULL,1.00,3.00,3.00,304,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242498,4.00,2.00,4.00,5.00,5.00,5.75,2.00,4.00,4.00,207,NULL,201,'PRESIDENTE KENNEDY','FRANCISCO BELTRãO','PR',14526,746,NULL,1111,NULL,NULL,NULL,2,4),(16,3242501,3.00,3.00,3.00,6.00,5.00,5.75,2.00,4.00,2.00,207,NULL,201,'PANTANAL','FLORIANóPOLIS','SC',15320,795,NULL,1186,NULL,NULL,NULL,4,1),(16,3242510,5.00,4.00,1.00,6.00,3.00,NULL,3.00,6.00,3.00,316,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242528,3.00,6.00,6.00,7.00,5.00,4.25,2.00,4.00,5.00,233,NULL,201,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3242544,2.00,3.00,2.00,7.00,4.00,5.75,1.00,4.00,4.00,216,NULL,215,'MINA BRASIL','CRICIúMA','SC',16029,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3242552,5.00,7.00,5.00,6.00,5.00,6.50,3.00,4.00,4.00,238,NULL,213,'ARIRIU','PALHOçA','SC',7563,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242579,5.00,1.00,1.00,4.00,6.00,5.75,3.00,4.00,4.00,103,NULL,NULL,'VALPARAISO','BLUMENAU','SC',14856,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3242587,5.00,5.00,4.00,8.00,5.00,6.00,5.00,3.00,5.00,420,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',9006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242595,2.00,3.00,1.00,1.00,2.00,NULL,0.00,2.00,4.00,451,NULL,NULL,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3242609,2.00,2.00,2.00,4.00,3.00,NULL,2.00,1.00,4.00,309,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242617,4.00,8.00,4.00,8.00,6.00,5.50,5.00,8.00,4.00,5,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',5259,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242633,6.00,9.00,7.00,8.00,6.00,5.50,4.00,7.00,6.00,203,NULL,220,'SACO DOS LIMõES','FLORIANóPOLIS','SC',2593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242650,4.00,4.00,2.00,5.00,2.00,NULL,1.00,7.00,3.00,415,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242676,2.00,6.00,3.00,6.00,7.00,4.50,0.00,6.00,2.00,310,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',13777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242684,3.00,5.00,2.00,5.00,3.00,NULL,1.00,7.00,1.00,318,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242692,6.00,6.00,5.00,7.00,4.00,4.00,1.00,7.00,4.00,501,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',8450,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3242714,2.00,3.00,1.00,3.00,3.00,NULL,1.00,5.00,2.00,207,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242722,3.00,2.00,2.00,3.00,3.00,NULL,1.00,1.00,3.00,308,NULL,NULL,'CACUPé','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3242749,3.00,5.00,6.00,5.00,5.00,5.50,3.00,8.00,6.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',8524,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3242757,5.00,4.00,2.00,8.00,5.00,5.00,3.00,7.00,3.00,104,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',10177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242765,8.00,7.00,5.00,5.00,4.00,4.50,4.00,7.00,7.00,103,NULL,NULL,'CASTELO BRANCO','ITAPEMA','SC',5125,1519,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242773,6.00,8.00,5.00,9.00,5.00,6.25,2.00,8.00,6.00,340,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',4520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3242790,3.00,1.00,3.00,3.00,3.00,NULL,1.00,1.00,2.00,318,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242803,5.00,5.00,5.00,8.00,4.00,4.50,3.00,4.00,5.00,234,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',10365,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242811,6.00,7.00,6.00,6.00,4.00,6.50,4.00,7.00,6.00,301,NULL,NULL,'JD AVELINO','S PAULO','SP',4443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IPIRANGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3242846,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SAMANBAIA','BAURU','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3242854,2.00,2.00,3.00,1.00,4.00,NULL,3.00,2.00,2.00,502,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'APARECIDA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3242870,2.00,3.00,2.00,3.00,3.00,NULL,1.00,3.00,2.00,238,NULL,NULL,'SANTISTA','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3242889,3.00,5.00,3.00,4.00,5.00,4.25,2.00,3.00,3.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',16064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'INTERIOR','ERNESTINA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3242900,8.00,7.00,6.00,8.00,5.00,5.50,5.00,8.00,6.00,211,NULL,216,'VILA ADYANNA','S JOSé CAMPOS','SP',2577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3242927,7.00,7.00,4.00,9.00,6.00,4.50,3.00,6.00,6.00,103,NULL,NULL,'FLORESTA','CONCóRDIA','SC',4256,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3242935,3.00,1.00,1.00,4.00,4.00,NULL,1.00,2.00,2.00,102,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3242943,7.00,6.00,5.00,2.00,5.00,6.50,3.00,8.00,4.00,216,NULL,202,'DAS NAçõES','BAL CAMBORIú','SC',8498,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3242951,8.00,7.00,4.00,7.00,9.00,5.50,5.00,7.00,4.00,503,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',3540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3242960,1.00,2.00,3.00,2.00,4.00,NULL,3.00,5.00,4.00,9,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242978,3.00,2.00,2.00,6.00,3.00,NULL,1.00,6.00,3.00,101,NULL,NULL,'BELA VISTA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3242986,0.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'RES SAMAMBAIA','BAURU','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3242994,5.00,4.00,4.00,3.00,5.00,3.00,2.00,5.00,4.00,102,NULL,NULL,'CENTRO','NOVA E SUDOESTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243001,3.00,5.00,5.00,6.00,5.00,7.00,1.00,7.00,4.00,224,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',9904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243010,3.00,5.00,3.00,8.00,6.00,6.75,4.00,7.00,3.00,340,NULL,NULL,'DEHON','TUBARãO','SC',8513,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3243028,3.00,2.00,3.00,6.00,4.00,NULL,1.00,2.00,0.00,404,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243036,1.00,1.00,1.00,0.00,4.00,NULL,3.00,4.00,2.00,104,NULL,NULL,'VILA MOEMA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3243052,3.00,3.00,3.00,2.00,2.00,NULL,3.00,4.00,2.00,3,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243060,4.00,7.00,2.00,10.00,7.00,5.50,3.00,6.00,3.00,202,NULL,213,'PRAIA COMPRIDA','S JOSé','SC',7720,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3243079,4.00,3.00,4.00,3.00,2.00,NULL,1.00,6.00,3.00,203,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'CENTRO','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3243095,2.00,4.00,2.00,5.00,5.00,6.25,2.00,3.00,3.00,207,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',15119,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3243109,5.00,2.00,3.00,7.00,6.00,5.50,3.00,3.00,5.00,101,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',11849,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243117,2.00,1.00,2.00,6.00,2.00,NULL,3.00,1.00,2.00,423,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243125,5.00,5.00,2.00,6.00,5.00,5.50,3.00,3.00,2.00,238,NULL,208,'CAMPINAS','S JOSé','SC',14905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243133,5.00,7.00,6.00,8.00,5.00,6.00,3.00,5.00,3.00,340,NULL,NULL,'PRóSPERA','CRICIúMA','SC',6693,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3243141,4.00,3.00,2.00,3.00,4.00,NULL,3.00,5.00,1.00,415,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,214,'CENTRO','JUNQUEIRóPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3243176,7.00,9.00,8.00,7.00,8.00,8.25,8.00,9.00,9.00,103,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',38,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3243184,5.00,4.00,6.00,8.00,5.00,6.25,3.00,6.00,6.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243192,2.00,1.00,4.00,2.00,4.00,NULL,6.00,3.00,1.00,212,NULL,238,'COLONIA SANTANA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243214,5.00,3.00,4.00,5.00,3.00,NULL,4.00,3.00,4.00,201,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3243230,4.00,4.00,1.00,5.00,4.00,5.50,3.00,4.00,1.00,301,NULL,NULL,'PIO CORRêA','CRICIúMA','SC',16397,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3243249,5.00,4.00,4.00,3.00,4.00,5.00,3.00,6.00,5.00,233,NULL,NULL,'JD IRAJA','RIBEIRAO PRETO','SP',11018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243257,5.00,6.00,5.00,9.00,8.00,7.50,4.00,9.00,8.00,103,NULL,NULL,'APARECIDA','UBERLâNDIA','MG',2062,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3243265,4.00,4.00,5.00,6.00,4.00,6.00,3.00,3.00,3.00,203,NULL,202,'TRINTA RéIS','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243273,2.00,4.00,3.00,8.00,3.00,NULL,3.00,4.00,2.00,212,NULL,203,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','LEBON RéGIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3243290,5.00,4.00,5.00,7.00,7.00,4.50,2.00,8.00,5.00,318,NULL,NULL,'BARREIROS','S JOSé','SC',6634,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243303,5.00,2.00,3.00,4.00,7.00,5.00,4.00,4.00,3.00,102,NULL,NULL,'CENTRO','GR PARá','SC',13419,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3243311,4.00,5.00,4.00,4.00,6.00,5.50,1.00,5.00,4.00,102,NULL,NULL,'ASILO','BLUMENAU','SC',12884,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3243320,5.00,4.00,2.00,9.00,9.00,6.75,2.00,8.00,3.00,428,NULL,424,'CARVOEIRA','FLORIANóPOLIS','SC',6640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243338,1.00,5.00,4.00,4.00,3.00,NULL,2.00,3.00,3.00,211,NULL,215,'CENTRO','ANITáPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243346,3.00,3.00,1.00,4.00,5.00,NULL,1.00,4.00,1.00,328,NULL,NULL,'SãO CAETANO','ARROIO MEIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243354,3.00,2.00,5.00,2.00,1.00,NULL,4.00,3.00,2.00,332,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243362,3.00,6.00,3.00,3.00,2.00,NULL,4.00,3.00,2.00,238,NULL,208,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3243370,3.00,4.00,5.00,6.00,4.00,5.50,4.00,7.00,6.00,102,NULL,NULL,'FLORESTA','JOINVILLE','SC',8641,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3243389,4.00,5.00,2.00,2.00,6.00,5.75,2.00,5.00,4.00,3,NULL,NULL,'MOURA','CANELINHA','SC',14548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243397,1.00,4.00,2.00,0.00,1.00,NULL,0.00,3.00,4.00,420,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243400,5.00,8.00,8.00,7.00,6.00,7.50,4.00,8.00,8.00,103,NULL,NULL,'VILA ABAJA','GOIâNIA','GO',1422,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243419,5.00,8.00,6.00,8.00,7.00,6.25,4.00,6.00,5.00,415,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',4091,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3243427,7.00,8.00,6.00,7.00,7.00,7.00,5.00,8.00,8.00,233,NULL,201,'CENTRO','FLORIANóPOLIS','SC',1226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243451,3.00,3.00,1.00,6.00,3.00,NULL,4.00,5.00,2.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243460,3.00,2.00,1.00,5.00,3.00,NULL,2.00,4.00,1.00,211,NULL,203,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3243478,3.00,3.00,3.00,6.00,3.00,NULL,4.00,4.00,5.00,201,NULL,212,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243486,3.00,4.00,1.00,5.00,3.00,NULL,2.00,3.00,4.00,207,NULL,201,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3243494,3.00,2.00,1.00,4.00,4.00,NULL,3.00,3.00,2.00,207,NULL,201,'PONTE IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243508,4.00,5.00,4.00,8.00,6.00,6.75,2.00,6.00,4.00,415,NULL,NULL,'BAL ESTREITO','FLORIANóPOLIS','SC',8020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'V P M DA NOBREGA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3243524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'CENTRO','TUPANCIRETã','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3243540,3.00,6.00,4.00,6.00,3.00,NULL,0.00,4.00,0.00,450,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'COOPHA FE','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3243567,8.00,7.00,4.00,9.00,8.00,5.75,6.00,8.00,6.00,212,NULL,201,'BOM RETIRO','JOINVILLE','SC',1169,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3243591,7.00,7.00,2.00,8.00,5.00,5.50,3.00,6.00,5.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',7676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243605,2.00,6.00,2.00,6.00,5.00,4.00,2.00,3.00,4.00,317,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',15694,153,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243613,3.00,4.00,2.00,5.00,4.00,4.75,3.00,3.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',16343,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243621,2.00,1.00,1.00,3.00,2.00,NULL,1.00,2.00,1.00,303,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243630,2.00,3.00,1.00,2.00,1.00,NULL,2.00,6.00,2.00,203,NULL,214,'POTECAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243648,8.00,7.00,2.00,5.00,5.00,4.25,4.00,8.00,7.00,203,NULL,201,'CENTRO','FLORIANóPOLIS','SC',5622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243656,4.00,5.00,2.00,7.00,5.00,5.00,2.00,3.00,3.00,214,NULL,212,'CABEçUDAS','ITAJAí','SC',13405,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3243664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,214,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3243672,7.00,5.00,2.00,7.00,5.00,4.75,3.00,5.00,5.00,327,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',9672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243680,7.00,3.00,6.00,8.00,3.00,NULL,3.00,4.00,6.00,216,NULL,207,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3243699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'ITAPUA','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3243702,3.00,3.00,2.00,6.00,5.00,4.75,2.00,3.00,3.00,104,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',16359,494,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243710,5.00,3.00,4.00,5.00,5.00,6.50,3.00,6.00,2.00,207,NULL,215,'AEROPORTO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3243729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CAMPOLIM','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3243737,1.00,3.00,3.00,6.00,3.00,NULL,3.00,4.00,3.00,224,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243745,5.00,5.00,5.00,8.00,4.00,5.00,5.00,5.00,5.00,233,NULL,211,'CARAVAGIO','LAGES','SC',6785,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3243753,5.00,8.00,3.00,9.00,7.00,5.75,4.00,8.00,3.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243761,7.00,8.00,3.00,9.00,6.00,5.00,5.00,7.00,5.00,216,NULL,208,'ARMAçãO','FLORIANóPOLIS','SC',3312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243770,3.00,2.00,2.00,4.00,3.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'ÁREA INDUSTRIAL III','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3243788,3.00,3.00,1.00,7.00,5.00,4.50,2.00,3.00,3.00,201,NULL,203,'SãO CRISTóVãO','VIDEIRA','SC',16301,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3243818,4.00,8.00,3.00,4.00,4.00,5.50,2.00,6.00,4.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243826,4.00,3.00,4.00,2.00,2.00,NULL,1.00,5.00,4.00,203,NULL,202,'PRIMAVERA II','PRIMAVERA LESTE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243834,2.00,0.00,2.00,6.00,2.00,NULL,0.00,2.00,2.00,5,NULL,NULL,'AMADORI','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243842,2.00,2.00,2.00,7.00,3.00,NULL,1.00,4.00,3.00,216,NULL,233,'COLINA DO PINHEIRO','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3243869,3.00,3.00,3.00,4.00,7.00,6.00,3.00,4.00,4.00,201,NULL,212,'MERCêS','UBERABA','MG',13800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243877,5.00,5.00,2.00,7.00,4.00,4.00,3.00,6.00,5.00,319,NULL,NULL,'FAZENDA','ITAJAí','SC',12221,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3243893,4.00,5.00,1.00,7.00,4.00,6.00,2.00,5.00,3.00,9,NULL,NULL,'PIONEIROS','BAL CAMBORIú','SC',13684,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3243907,8.00,9.00,9.00,9.00,8.00,7.50,6.00,8.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',69,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243915,3.00,4.00,4.00,7.00,5.00,4.75,2.00,4.00,5.00,340,NULL,NULL,'CENTRO','POçOS CALDAS','MG',11816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243923,6.00,7.00,1.00,7.00,4.00,4.75,6.00,8.00,5.00,101,NULL,NULL,'CENTRO','ASCURRA','SC',6867,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3243931,3.00,3.00,4.00,5.00,4.00,4.50,2.00,2.00,4.00,316,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',16513,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3243940,5.00,5.00,4.00,1.00,3.00,NULL,3.00,2.00,2.00,327,NULL,NULL,'PARAGUAI','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3243958,4.00,2.00,3.00,4.00,4.00,5.50,2.00,8.00,7.00,103,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',12757,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3243966,6.00,6.00,4.00,4.00,5.00,4.25,5.00,6.00,5.00,333,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',8351,68,NULL,NULL,NULL,NULL,NULL,4,1),(16,3243974,4.00,8.00,3.00,6.00,5.00,6.00,3.00,7.00,2.00,310,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',9780,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3243990,3.00,7.00,1.00,6.00,3.00,NULL,1.00,5.00,3.00,308,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244008,2.00,4.00,3.00,3.00,3.00,NULL,2.00,7.00,3.00,327,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244016,4.00,2.00,3.00,2.00,3.00,NULL,2.00,2.00,3.00,208,NULL,NULL,'ABRÃAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244024,2.00,5.00,3.00,8.00,6.00,5.00,5.00,7.00,3.00,320,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244032,5.00,8.00,6.00,4.00,7.00,5.75,5.00,9.00,7.00,103,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',2559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244040,3.00,3.00,2.00,6.00,5.00,4.75,4.00,3.00,4.00,339,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',15302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244067,3.00,6.00,1.00,8.00,3.00,NULL,4.00,8.00,5.00,303,NULL,NULL,'BOSQUE DAS MANSõES','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244075,5.00,6.00,5.00,8.00,6.00,5.25,7.00,7.00,4.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',4548,NULL,NULL,NULL,NULL,NULL,NULL,3,8),(16,3244083,8.00,4.00,4.00,5.00,5.00,5.00,4.00,6.00,5.00,202,NULL,201,'JARDIM SãO MARCOS','UMUARAMA','PR',8477,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3244091,2.00,3.00,2.00,7.00,1.00,NULL,3.00,1.00,3.00,201,NULL,212,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3244105,6.00,3.00,4.00,7.00,5.00,6.00,5.00,3.00,5.00,316,NULL,NULL,'CENTRO','PTO UNIãO','SC',10401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244113,6.00,8.00,6.00,8.00,7.00,6.50,5.00,6.00,6.00,201,NULL,212,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',2406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244130,5.00,4.00,2.00,8.00,5.00,5.75,2.00,7.00,2.00,316,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',11820,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3244148,2.00,3.00,4.00,1.00,3.00,NULL,5.00,3.00,3.00,220,NULL,213,'CENTRO','AT PIQUIRI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3244156,4.00,4.00,6.00,7.00,4.00,4.75,3.00,5.00,4.00,304,NULL,NULL,'AMéRICA','JOINVILLE','SC',9974,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3244164,6.00,4.00,6.00,7.00,6.00,6.50,2.00,6.00,6.00,340,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',5361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244172,4.00,7.00,1.00,8.00,6.00,5.25,3.00,8.00,3.00,238,NULL,208,'CAPOEIRAS','FLORIANóPOLIS','SC',9836,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244180,4.00,4.00,5.00,3.00,3.00,NULL,5.00,8.00,0.00,328,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244199,6.00,5.00,4.00,6.00,4.00,5.25,3.00,7.00,6.00,103,NULL,NULL,'BATEL','CURITIBA','PR',9482,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3244202,3.00,7.00,2.00,8.00,5.00,5.25,2.00,8.00,4.00,404,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244210,3.00,6.00,3.00,6.00,4.00,4.25,1.00,3.00,4.00,216,NULL,201,'CENTRO','BAL CAMBORIú','SC',14731,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3244229,1.00,2.00,4.00,3.00,5.00,NULL,2.00,1.00,2.00,423,NULL,426,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244237,3.00,6.00,5.00,7.00,6.00,6.50,4.00,5.00,5.00,208,NULL,207,'PANTANAL','FLORIANóPOLIS','SC',7329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244245,7.00,6.00,6.00,4.00,5.00,4.00,5.00,7.00,7.00,238,NULL,202,'CENTRO','CASTRO','PR',4975,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244253,6.00,4.00,4.00,6.00,5.00,4.50,4.00,5.00,5.00,201,NULL,207,'COQUEIROS','FLORIANóPOLIS','SC',10069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,233,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3244270,2.00,3.00,1.00,2.00,1.00,NULL,3.00,1.00,3.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244288,7.00,7.00,2.00,9.00,6.00,6.75,2.00,9.00,8.00,201,NULL,207,'INTERIOR','DESCANSO','SC',2946,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3244296,9.00,6.00,6.00,7.00,8.00,6.00,4.00,6.00,7.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2846,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244300,4.00,6.00,5.00,5.00,5.00,5.00,2.00,3.00,2.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13611,452,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244326,5.00,5.00,3.00,9.00,5.00,6.50,0.00,7.00,3.00,340,NULL,NULL,'VILA MARIANA','S PAULO','SP',9252,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3244334,6.00,8.00,6.00,9.00,8.00,5.75,4.00,7.00,6.00,203,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244342,5.00,4.00,3.00,8.00,4.00,4.00,3.00,5.00,3.00,340,NULL,NULL,'PINHEIRINHO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3244369,7.00,6.00,6.00,8.00,7.00,5.50,6.00,6.00,7.00,103,NULL,NULL,'ASA NORTE','BRASíLIA','DF',1970,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3244377,6.00,4.00,4.00,7.00,5.00,5.50,1.00,7.00,5.00,415,NULL,NULL,'CENTRO','MASSARANDUBA','SC',7818,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3244385,4.00,4.00,5.00,6.00,4.00,4.25,1.00,2.00,4.00,234,NULL,NULL,'CENTRO','GUARAMIRIM','SC',15574,70,NULL,NULL,NULL,NULL,NULL,2,8),(16,3244393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'PLANALTO PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3244407,4.00,7.00,2.00,4.00,6.00,5.25,3.00,0.00,3.00,332,NULL,NULL,'PASSA VINTE','PALHOçA','SC',14225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244415,4.00,6.00,4.00,5.00,6.00,5.00,3.00,2.00,4.00,103,NULL,NULL,'REBOUçAS','CURITIBA','PR',12421,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3244423,5.00,9.00,5.00,7.00,7.00,7.50,5.00,9.00,4.00,211,NULL,216,'CENTRO','FLORIANóPOLIS','SC',2847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244440,2.00,5.00,2.00,8.00,5.00,5.25,3.00,6.00,1.00,316,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',13547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244458,2.00,5.00,2.00,3.00,5.00,5.00,2.00,5.00,4.00,101,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',15301,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244466,3.00,5.00,4.00,8.00,5.00,4.50,2.00,6.00,4.00,318,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',11041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244474,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'BARRA DO ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3244482,4.00,6.00,2.00,5.00,5.00,5.00,1.00,6.00,4.00,303,NULL,NULL,'BOA VISTA','JOINVILLE','SC',12814,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3244490,5.00,3.00,2.00,5.00,3.00,NULL,3.00,4.00,1.00,212,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244504,5.00,2.00,1.00,3.00,5.00,4.75,4.00,3.00,5.00,340,NULL,NULL,'BARREIROS','S JOSé','SC',16457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244512,3.00,6.00,4.00,5.00,6.00,4.50,2.00,6.00,3.00,207,NULL,201,'TRêS VENDAS','ERECHIM','RS',13285,684,NULL,1033,NULL,NULL,NULL,2,4),(16,3244520,9.00,8.00,5.00,9.00,7.00,5.00,4.00,7.00,6.00,103,NULL,NULL,'SAMUEL SANDRINI','ORLEANS','SC',1701,740,NULL,NULL,NULL,NULL,NULL,2,5),(16,3244547,6.00,5.00,5.00,7.00,5.00,5.25,4.00,7.00,6.00,503,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',5569,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3244563,1.00,2.00,3.00,5.00,4.00,NULL,1.00,3.00,2.00,317,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244571,2.00,3.00,1.00,5.00,6.00,NULL,1.00,4.00,1.00,339,NULL,NULL,'CANUDOS','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244580,3.00,3.00,2.00,2.00,2.00,NULL,1.00,2.00,3.00,102,NULL,NULL,'CENTRO','CERQUILHO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244598,1.00,3.00,1.00,2.00,0.00,NULL,4.00,3.00,2.00,9,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244601,3.00,3.00,3.00,6.00,3.00,NULL,2.00,4.00,5.00,208,NULL,NULL,'VILA CORALINA','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244636,4.00,2.00,3.00,9.00,4.00,6.00,3.00,4.00,3.00,340,NULL,NULL,'JARDIM ATHENAS','SERTãOZINHO','SP',13437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244644,5.00,5.00,5.00,7.00,5.00,7.00,6.00,5.00,3.00,225,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244652,4.00,0.00,1.00,0.00,3.00,NULL,2.00,1.00,2.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244660,1.00,2.00,4.00,2.00,3.00,NULL,3.00,6.00,2.00,317,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244679,6.00,6.00,3.00,8.00,8.00,5.75,2.00,9.00,3.00,328,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',6129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244687,4.00,5.00,4.00,7.00,4.00,5.50,2.00,7.00,3.00,2,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',11825,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,207,'JARDIM ADRIANA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3244725,5.00,4.00,2.00,6.00,3.00,NULL,2.00,7.00,2.00,201,NULL,207,'CENTRO','MARMELEIRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3244733,3.00,3.00,1.00,4.00,4.00,4.50,4.00,6.00,3.00,201,NULL,238,'ESTREITO','FLORIANóPOLIS','SC',16103,1239,NULL,528,NULL,NULL,NULL,2,1),(16,3244741,0.00,0.00,0.00,5.00,2.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'MARIA GORETTI','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(16,3244750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,208,'CIDADE ALTA','ARARANGUá','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3244776,4.00,4.00,6.00,0.00,0.00,NULL,3.00,5.00,3.00,207,NULL,211,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,9),(16,3244784,2.00,0.00,1.00,3.00,1.00,NULL,2.00,0.00,3.00,5,NULL,NULL,'ROCIO PEQUENO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3244792,3.00,4.00,2.00,5.00,4.00,6.75,2.00,7.00,3.00,329,NULL,NULL,'CENTRO','QUEDAS IGUAçU','PR',13501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244806,6.00,5.00,4.00,5.00,5.00,4.25,3.00,8.00,6.00,216,NULL,220,'JARDIM LUCILA','TATUí','SP',6843,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244814,1.00,2.00,4.00,1.00,3.00,NULL,3.00,2.00,1.00,207,NULL,NULL,'NOVA ESTÂNCIA','ESTANCIA VELHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244822,9.00,6.00,8.00,7.00,7.00,5.25,8.00,8.00,9.00,103,NULL,NULL,'CENTRO','NIOAQUE','MS',466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3244830,6.00,4.00,3.00,7.00,6.00,4.50,4.00,3.00,3.00,420,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',11425,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3244849,6.00,3.00,6.00,4.00,5.00,4.50,4.00,4.00,4.00,329,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',10234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244857,5.00,4.00,3.00,7.00,4.00,6.00,2.00,5.00,5.00,5,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',11729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CAPITAIS','TIMBó','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3244873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SANTA RITA','BENTO GONçALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3244890,4.00,6.00,5.00,2.00,6.00,4.75,3.00,4.00,4.00,201,NULL,202,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244903,6.00,6.00,3.00,7.00,5.00,6.00,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','ANDIRá','PR',6200,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3244911,5.00,6.00,2.00,5.00,6.00,6.50,3.00,8.00,3.00,318,NULL,NULL,'V MIGUEL V CURY','CAMPINAS','SP',8548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244920,4.00,7.00,3.00,4.00,6.00,4.50,2.00,4.00,4.00,216,NULL,220,'SACO DOS LIMõES','FLORIANóPOLIS','SC',12452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3244938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,215,'SãO JORGE','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3244946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3244954,8.00,7.00,3.00,5.00,6.00,7.00,2.00,7.00,5.00,303,NULL,NULL,'CENTRO','COCAL SUL','SC',6689,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3244962,6.00,9.00,1.00,9.00,5.00,6.00,4.00,8.00,5.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',4376,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3244970,3.00,1.00,3.00,6.00,2.00,NULL,3.00,4.00,1.00,215,NULL,211,'NAçõES','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3244989,6.00,9.00,2.00,7.00,5.00,5.00,4.00,6.00,7.00,104,NULL,NULL,'CENTRO','SERRA ALTA','SC',4947,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3245004,3.00,4.00,1.00,6.00,4.00,5.50,4.00,4.00,3.00,103,NULL,NULL,'JARDIM CLAUDINA','ITARARé','SP',14728,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3245012,4.00,3.00,3.00,3.00,4.00,NULL,3.00,2.00,0.00,103,NULL,NULL,'MARATá','S DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3245020,8.00,4.00,5.00,8.00,8.00,5.50,2.00,6.00,6.00,319,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',4879,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3245039,4.00,6.00,3.00,7.00,3.00,NULL,3.00,5.00,3.00,301,NULL,NULL,'VILA SãO JOSé','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3245055,6.00,7.00,6.00,7.00,6.00,6.00,5.00,8.00,9.00,103,NULL,NULL,'JARDIN GOIáS','GOIâNIA','GO',1808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'CIDADE JARDIM','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3245071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3245080,6.00,6.00,5.00,5.00,4.00,4.00,3.00,6.00,6.00,216,NULL,203,'ASILO','BLUMENAU','SC',9057,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3245098,3.00,7.00,2.00,5.00,5.00,5.50,3.00,6.00,5.00,211,NULL,233,'CENTRO','BAL CAMBORIú','SC',10264,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3245101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM AMéRICA','CRUZEIRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3245110,3.00,4.00,1.00,7.00,7.00,4.00,3.00,4.00,4.00,201,NULL,238,'CENTRO','STO AMARO IMPERATRIZ','SC',13402,1041,NULL,423,NULL,NULL,NULL,2,1),(16,3245128,3.00,4.00,4.00,2.00,2.00,NULL,1.00,1.00,4.00,207,NULL,201,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245136,3.00,5.00,2.00,6.00,5.00,7.25,3.00,6.00,2.00,310,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',13122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3245152,3.00,3.00,3.00,1.00,2.00,NULL,3.00,1.00,0.00,211,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3245160,3.00,2.00,2.00,3.00,5.00,NULL,2.00,4.00,2.00,428,NULL,425,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3245179,5.00,6.00,4.00,5.00,3.00,NULL,3.00,2.00,5.00,316,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3245187,6.00,4.00,4.00,7.00,6.00,4.50,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','JOACABA','SC',7491,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3245217,2.00,4.00,1.00,5.00,3.00,NULL,0.00,7.00,3.00,216,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3245225,5.00,4.00,1.00,2.00,3.00,NULL,2.00,0.00,3.00,207,NULL,211,'GIOCONDO ORSI','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3245241,2.00,7.00,2.00,3.00,3.00,NULL,2.00,5.00,2.00,203,NULL,214,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3245268,5.00,5.00,4.00,7.00,5.00,5.75,2.00,6.00,5.00,108,NULL,NULL,'TANQUE DO MOINHO','BRAGANçA PAULISTA','SP',8044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245276,3.00,4.00,3.00,5.00,2.00,NULL,2.00,4.00,5.00,208,NULL,202,'BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245284,1.00,3.00,3.00,5.00,2.00,NULL,3.00,0.00,3.00,101,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3245292,5.00,3.00,4.00,2.00,0.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'CENTRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3245322,2.00,1.00,3.00,2.00,3.00,NULL,2.00,3.00,2.00,201,NULL,207,'NSA SRA DE LOURDES','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3245330,7.00,3.00,5.00,8.00,2.00,NULL,5.00,5.00,6.00,203,NULL,201,'VILA ESPERANçA','MARINGá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3245349,5.00,5.00,3.00,6.00,6.00,6.50,2.00,6.00,5.00,453,NULL,NULL,'MARTORANO','S JOAQUIM','SC',9193,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3245357,6.00,5.00,2.00,6.00,3.00,NULL,3.00,4.00,2.00,104,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3245365,2.00,7.00,5.00,5.00,6.00,5.25,2.00,5.00,3.00,212,NULL,214,'CENTRO','FAXINAL GUEDES','SC',11924,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3245373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3245381,2.00,1.00,1.00,9.00,6.00,6.00,2.00,3.00,3.00,425,NULL,429,'PASSA VINTE','PALHOçA','SC',15463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245390,2.00,3.00,3.00,2.00,3.00,NULL,3.00,6.00,4.00,421,NULL,425,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245403,1.00,2.00,1.00,2.00,4.00,NULL,2.00,3.00,4.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245411,2.00,3.00,3.00,3.00,3.00,NULL,2.00,3.00,1.00,332,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3245420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3245438,3.00,4.00,1.00,8.00,5.00,5.25,2.00,6.00,3.00,415,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245446,4.00,3.00,2.00,8.00,4.00,5.75,3.00,4.00,2.00,233,NULL,202,'CABRAL','CURITIBA','PR',15351,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3245454,1.00,6.00,2.00,5.00,4.00,4.75,1.00,8.00,2.00,319,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',15566,338,NULL,NULL,NULL,NULL,NULL,2,1),(16,3245462,9.00,6.00,8.00,9.00,6.00,7.25,5.00,8.00,8.00,5,NULL,NULL,'PINHEIROS','S PAULO','SP',566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,233,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3245497,1.00,1.00,1.00,3.00,3.00,NULL,4.00,1.00,2.00,102,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245500,1.00,2.00,4.00,5.00,7.00,5.75,1.00,5.00,5.00,102,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',14358,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3245519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3245527,6.00,3.00,1.00,7.00,3.00,NULL,3.00,1.00,2.00,101,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3245535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SETE PRAIAS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3245543,3.00,7.00,4.00,9.00,5.00,6.25,0.00,5.00,4.00,102,NULL,NULL,'VILA OPERÁRIA','ITAJAí','SC',9365,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3245551,4.00,3.00,5.00,7.00,4.00,6.25,2.00,2.00,3.00,444,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',14122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3245560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','PIêN','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3245578,2.00,4.00,2.00,2.00,5.00,4.75,3.00,4.00,4.00,303,NULL,NULL,'SANTA ANA','FORQUILHINHA','SC',16278,709,NULL,NULL,NULL,NULL,NULL,4,5),(16,3245594,5.00,5.00,2.00,5.00,5.00,4.75,2.00,2.00,4.00,329,NULL,NULL,'KOBRASOL','S JOSé','SC',14953,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3245616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DOS ESTADOS','POçOS CALDAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3245624,2.00,2.00,2.00,7.00,3.00,NULL,2.00,3.00,1.00,234,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3245632,2.00,1.00,3.00,0.00,5.00,NULL,0.00,1.00,4.00,301,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245640,3.00,7.00,4.00,5.00,6.00,6.50,3.00,7.00,3.00,303,NULL,NULL,'AMIZADE','JARAGUá SUL','SC',8729,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3245667,6.00,3.00,1.00,6.00,5.00,4.50,1.00,2.00,3.00,102,NULL,NULL,'PARQUE HORTOLANDIA','HORTOLâNDIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3245675,6.00,7.00,5.00,7.00,8.00,6.00,2.00,7.00,7.00,103,NULL,NULL,'FLORIANóPOLIS','FLORIANóPOLIS','SC',3468,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3245683,3.00,5.00,3.00,6.00,3.00,NULL,1.00,5.00,3.00,326,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245691,3.00,4.00,5.00,8.00,6.00,4.25,2.00,2.00,1.00,302,NULL,NULL,'SANTOS DUMONDT','S JOSé','SC',15781,214,NULL,NULL,NULL,NULL,NULL,2,1),(16,3245705,8.00,7.00,7.00,9.00,8.00,6.25,6.00,8.00,9.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',453,272,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245713,3.00,5.00,2.00,5.00,4.00,5.00,3.00,2.00,2.00,201,NULL,211,'ALTO ARIRI','PALHOçA','SC',16495,1262,NULL,557,NULL,NULL,NULL,2,1),(16,3245721,3.00,4.00,1.00,7.00,3.00,NULL,2.00,6.00,5.00,333,NULL,NULL,'ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3245730,3.00,2.00,3.00,3.00,2.00,NULL,5.00,3.00,3.00,102,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245748,4.00,3.00,4.00,4.00,2.00,NULL,2.00,5.00,3.00,302,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3245756,5.00,5.00,2.00,4.00,3.00,NULL,3.00,7.00,5.00,340,NULL,NULL,'RANCHO ALEGRE','AVARé','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245764,8.00,5.00,7.00,9.00,5.00,7.25,6.00,8.00,8.00,301,NULL,NULL,'JABAQUARA','S PAULO','SP',1309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3245780,2.00,3.00,4.00,3.00,6.00,6.25,2.00,3.00,4.00,203,NULL,214,'DAS NAÇOES','BAL CAMBORIú','SC',15501,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3245799,7.00,4.00,6.00,8.00,5.00,5.25,3.00,6.00,5.00,104,NULL,NULL,'SERTãO DO IMARUIM','S JOSé','SC',6767,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3245802,9.00,6.00,6.00,5.00,8.00,5.75,3.00,8.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',3349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JD TANGARá','JABOTICABAL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3245829,6.00,4.00,4.00,5.00,3.00,NULL,2.00,1.00,4.00,420,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3245837,7.00,8.00,4.00,5.00,5.00,4.50,4.00,8.00,7.00,5,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',5073,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3245845,2.00,3.00,3.00,9.00,3.00,NULL,3.00,4.00,5.00,340,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3245853,3.00,4.00,3.00,1.00,1.00,NULL,0.00,4.00,4.00,208,NULL,203,'PRADO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3245870,3.00,4.00,3.00,8.00,2.00,NULL,3.00,4.00,2.00,238,NULL,NULL,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3245888,0.00,4.00,2.00,1.00,4.00,NULL,2.00,6.00,4.00,207,NULL,208,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245900,5.00,6.00,1.00,6.00,7.00,6.00,3.00,7.00,4.00,415,NULL,NULL,'JARDIM ITáLIA','CHAPECó','SC',8841,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3245918,2.00,6.00,3.00,4.00,6.00,6.25,3.00,7.00,4.00,421,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',10650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245926,7.00,7.00,6.00,9.00,8.00,8.00,5.00,8.00,7.00,333,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3245942,6.00,7.00,4.00,8.00,6.00,6.00,3.00,6.00,4.00,103,NULL,NULL,'JURERE INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3245950,3.00,2.00,1.00,3.00,1.00,NULL,3.00,3.00,3.00,5,NULL,NULL,'JARDIM MINUANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3245969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,202,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3245977,4.00,5.00,3.00,6.00,4.00,5.75,3.00,5.00,3.00,215,NULL,NULL,'SANTO ANTôNIO','URUBICI','SC',11802,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3245985,4.00,5.00,5.00,6.00,4.00,6.00,4.00,5.00,3.00,426,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',11066,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3245993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3246000,6.00,6.00,5.00,9.00,5.00,6.25,3.00,9.00,6.00,207,NULL,NULL,'VILA MADALENA','S PAULO','SP',3437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246019,5.00,5.00,1.00,5.00,6.00,4.00,5.00,3.00,5.00,103,NULL,NULL,'CENTRO','ITAIóPOLIS','SC',13182,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3246027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3246035,3.00,6.00,3.00,6.00,4.00,5.75,3.00,6.00,3.00,316,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',12461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3246043,1.00,3.00,1.00,8.00,4.00,4.25,1.00,4.00,4.00,102,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',16650,317,NULL,NULL,NULL,NULL,NULL,2,1),(16,3246060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JD DAS INDUSTRIAS','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3246078,4.00,4.00,3.00,3.00,3.00,NULL,4.00,7.00,6.00,302,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246086,3.00,3.00,4.00,8.00,5.00,4.75,2.00,4.00,3.00,216,NULL,215,'ELDORADO','PARANAGUá','PR',13023,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3246094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3246108,4.00,7.00,2.00,5.00,5.00,4.00,3.00,5.00,3.00,328,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',13562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246116,3.00,7.00,2.00,3.00,3.00,NULL,1.00,7.00,4.00,103,NULL,NULL,'JARDIM GOIáS','GOIâNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3246124,7.00,6.00,6.00,9.00,8.00,7.50,4.00,8.00,7.00,301,NULL,NULL,'JD ROSA MARIA','S PAULO','SP',894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246140,4.00,5.00,5.00,6.00,5.00,5.00,0.00,5.00,4.00,238,NULL,208,'CENTRO','STO AMARO IMPERATRIZ','SC',12880,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3246159,1.00,6.00,3.00,3.00,4.00,5.75,1.00,6.00,3.00,452,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246167,3.00,7.00,3.00,4.00,5.00,6.75,3.00,8.00,2.00,426,NULL,421,'SANTA MôNICA','FLORIANóPOLIS','SC',10682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246175,4.00,5.00,3.00,5.00,6.00,7.25,2.00,6.00,5.00,319,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',9525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA MADALENA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3246205,6.00,7.00,6.00,8.00,8.00,7.00,4.00,9.00,6.00,5,NULL,NULL,'CENTRO','PTO ALEGRE','RS',2332,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3246213,8.00,6.00,8.00,8.00,8.00,8.00,2.00,8.00,6.00,5,NULL,NULL,'ALTO DA BOA VISTA','RIBEIRãO PRETO','SP',1056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246221,5.00,8.00,7.00,6.00,7.00,5.50,3.00,8.00,6.00,108,NULL,NULL,'FARROUPILHA','IVOTI','RS',3202,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3246230,2.00,3.00,4.00,6.00,4.00,5.50,2.00,4.00,3.00,319,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',15992,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3246248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'JARDIM AMERICA','GOIANIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3246256,5.00,7.00,4.00,7.00,4.00,6.25,2.00,6.00,4.00,211,NULL,207,'CENTRO','FLORIANóPOLIS','SC',8268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246264,3.00,3.00,3.00,6.00,2.00,NULL,3.00,3.00,3.00,104,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3246272,6.00,2.00,2.00,2.00,5.00,4.25,5.00,6.00,5.00,501,NULL,NULL,'CENTRO','DOIS VIZINHOS','PR',12020,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3246280,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3246299,5.00,6.00,3.00,3.00,4.00,6.00,3.00,7.00,3.00,5,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',11606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246302,3.00,5.00,1.00,5.00,4.00,4.50,3.00,2.00,3.00,316,NULL,NULL,'PRAINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3246310,4.00,7.00,4.00,8.00,7.00,6.50,3.00,8.00,4.00,332,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',5039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3246337,4.00,4.00,3.00,6.00,3.00,NULL,3.00,3.00,1.00,238,NULL,208,'ABRAÃO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246345,3.00,6.00,4.00,9.00,7.00,7.50,3.00,7.00,5.00,415,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',6374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246353,8.00,5.00,9.00,7.00,6.00,7.50,5.00,7.00,8.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',1258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246361,8.00,5.00,6.00,8.00,8.00,6.75,6.00,6.00,7.00,220,NULL,203,'CENTRO','ARARAQUARA','SP',1064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,425,'INDEPENDENCIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3246388,4.00,4.00,4.00,6.00,4.00,4.50,1.00,5.00,5.00,224,NULL,NULL,'COLONINHA','FLORIANóPOLIS','SC',14328,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3246396,3.00,6.00,1.00,1.00,2.00,NULL,0.00,7.00,4.00,320,NULL,NULL,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3246418,2.00,6.00,4.00,2.00,4.00,NULL,3.00,5.00,0.00,108,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246426,9.00,7.00,4.00,7.00,6.00,4.75,5.00,8.00,7.00,104,NULL,NULL,'BARRO VERMELHO','ORLEANS','SC',2728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246434,8.00,7.00,4.00,6.00,4.00,4.75,5.00,6.00,6.00,3,NULL,NULL,'CENTRO','PTO ALEGRE','RS',5976,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3246442,6.00,7.00,1.00,0.00,5.00,5.00,5.00,8.00,4.00,103,NULL,NULL,'MONTE CARLO','S JOAQUIM','SC',11049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246469,3.00,4.00,3.00,6.00,5.00,5.25,2.00,4.00,1.00,302,NULL,NULL,'CAMPINAS','S JOSé','SC',15706,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3246477,0.00,0.00,0.00,6.00,6.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','PALMAS','TO',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3246485,6.00,8.00,5.00,7.00,7.00,7.00,3.00,9.00,7.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246493,2.00,2.00,4.00,6.00,6.00,NULL,0.00,0.00,0.00,201,NULL,212,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3246507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3246515,3.00,4.00,2.00,4.00,4.00,6.25,2.00,5.00,3.00,238,NULL,214,'CENTRO','FLORIANóPOLIS','SC',15221,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3246523,5.00,3.00,4.00,6.00,6.00,6.25,1.00,2.00,1.00,103,NULL,NULL,'RIO FORMOSO','GOIâNIA','GO',15372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM PETROPOLIS','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3246540,2.00,0.00,2.00,2.00,2.00,NULL,2.00,2.00,6.00,444,NULL,NULL,'BARRO BRANCO','LAURO MüLLER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3246558,8.00,7.00,7.00,8.00,7.00,6.00,6.00,8.00,8.00,201,NULL,203,'BUTANTã','S PAULO','SP',703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246566,6.00,5.00,3.00,6.00,3.00,NULL,3.00,7.00,5.00,216,NULL,238,'SANTO ANTôNIO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3246574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA MADALENA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3246582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,428,'JARDIM ANGELA ROSA','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3246604,6.00,3.00,5.00,5.00,4.00,5.50,3.00,2.00,5.00,208,NULL,238,'CINQUENTENARIO','CONCóRDIA','SC',12917,423,NULL,402,NULL,NULL,NULL,4,4),(16,3246612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'STO ANTôNIO DE PáDUA','TUBARãO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3246620,9.00,6.00,9.00,8.00,4.00,6.50,7.00,8.00,8.00,216,NULL,201,'SANTANA','S PAULO','SP',980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246639,4.00,0.00,1.00,3.00,2.00,NULL,2.00,0.00,1.00,340,NULL,NULL,'AMIZADE','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3246647,5.00,7.00,4.00,5.00,4.00,4.25,4.00,5.00,6.00,501,NULL,NULL,'ALTO ARIRIú','PALHOçA','SC',9418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3246655,9.00,5.00,7.00,7.00,7.00,7.25,3.00,5.00,8.00,103,NULL,NULL,'VILA MOREIRA','GUARULHOS','SP',1795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','DEODáPOLIS','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3246710,2.00,6.00,4.00,7.00,3.00,NULL,2.00,4.00,3.00,502,NULL,NULL,'NACOES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3246728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,238,'STO ANTONIO DE LISBO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3246736,5.00,3.00,4.00,5.00,3.00,NULL,2.00,5.00,3.00,103,NULL,NULL,'ENSEADA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3246744,4.00,3.00,5.00,2.00,4.00,4.75,4.00,5.00,4.00,104,NULL,NULL,'JARDIM DOS PRINCIPES','UMUARAMA','PR',14401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246752,6.00,6.00,5.00,8.00,6.00,6.75,3.00,8.00,4.00,331,NULL,NULL,'VILA QUITAúNA','OSASCO','SP',5500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246760,4.00,3.00,2.00,5.00,5.00,5.25,3.00,3.00,4.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246787,5.00,4.00,3.00,6.00,5.00,6.75,2.00,4.00,2.00,310,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',12515,42,NULL,NULL,NULL,NULL,NULL,2,1),(16,3246795,2.00,5.00,1.00,6.00,3.00,NULL,0.00,5.00,1.00,303,NULL,NULL,'GLóRIA','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3246817,2.00,2.00,4.00,2.00,3.00,NULL,3.00,2.00,2.00,234,NULL,NULL,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3246825,4.00,5.00,3.00,7.00,5.00,5.25,3.00,4.00,4.00,333,NULL,NULL,'JARDIM AGARUSSI','ITU','SP',11150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3246833,4.00,5.00,6.00,3.00,5.00,6.50,3.00,6.00,4.00,215,NULL,233,'MARTORANO','S JOAQUIM','SC',10740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246841,6.00,5.00,4.00,3.00,3.00,NULL,2.00,7.00,4.00,303,NULL,NULL,'BARRA DO SAí','GUARATUBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3246850,4.00,6.00,5.00,5.00,5.00,5.75,3.00,8.00,3.00,333,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',8075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246868,4.00,5.00,4.00,4.00,3.00,NULL,3.00,7.00,5.00,103,NULL,NULL,'COLôNIA SANTANA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246884,6.00,2.00,1.00,4.00,3.00,NULL,2.00,4.00,3.00,502,NULL,NULL,'STA MõNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3246892,7.00,5.00,6.00,8.00,8.00,5.25,5.00,5.00,6.00,9,NULL,NULL,'CENTRO','CAçAPAVA','SP',3037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246914,7.00,6.00,8.00,9.00,7.00,6.00,5.00,5.00,3.00,208,NULL,238,'CENTRO','FLORIANóPOLIS','SC',3488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3246922,4.00,5.00,2.00,1.00,5.00,4.75,2.00,4.00,3.00,5,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',16615,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3246930,6.00,3.00,5.00,4.00,5.00,5.00,1.00,5.00,4.00,104,NULL,NULL,'INTERIOR','DOIS VIZINHOS','PR',13414,378,NULL,NULL,NULL,NULL,NULL,2,4),(16,3246949,4.00,4.00,1.00,4.00,4.00,0.00,2.00,5.00,3.00,211,NULL,202,'BELA VISTA','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3246957,5.00,5.00,5.00,8.00,5.00,4.75,4.00,5.00,4.00,340,NULL,NULL,'CENTRO','LAGES','SC',8281,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3246965,4.00,1.00,1.00,7.00,4.00,5.50,1.00,5.00,4.00,502,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',15237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3246973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'OFICINAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3246981,2.00,3.00,4.00,4.00,4.00,NULL,2.00,3.00,3.00,316,NULL,NULL,'SãO JOãO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3246990,4.00,5.00,2.00,7.00,5.00,5.00,1.00,3.00,5.00,216,NULL,233,'SANTA AUGUSTA','CRICIúMA','SC',13697,456,NULL,414,NULL,NULL,NULL,2,5),(16,3247031,6.00,7.00,7.00,8.00,8.00,6.25,5.00,8.00,7.00,103,NULL,NULL,'JARDIM ELDORADO','VILHENA','RO',1140,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3247040,6.00,6.00,3.00,4.00,5.00,5.75,4.00,7.00,7.00,301,NULL,NULL,'IGUAçU','IPATINGA','MG',7023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247058,4.00,5.00,4.00,8.00,4.00,4.00,3.00,4.00,2.00,301,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',14152,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247066,1.00,3.00,2.00,3.00,1.00,NULL,0.00,3.00,1.00,340,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247074,5.00,3.00,2.00,2.00,3.00,NULL,5.00,2.00,4.00,208,NULL,238,'SERTãO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247082,5.00,5.00,2.00,4.00,4.00,5.50,3.00,2.00,3.00,304,NULL,NULL,'SERRARIA','S JOSé','SC',15092,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247090,4.00,2.00,3.00,6.00,4.00,6.75,1.00,2.00,3.00,309,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',16168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247112,3.00,3.00,3.00,9.00,7.00,5.75,4.00,3.00,3.00,425,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247120,4.00,7.00,2.00,2.00,4.00,4.75,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',12592,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3247147,6.00,3.00,1.00,7.00,4.00,5.75,2.00,3.00,3.00,9,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247155,4.00,5.00,1.00,6.00,5.00,4.00,0.00,5.00,3.00,451,NULL,NULL,'INTERIOR','TRINDADE SUL','RS',14421,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3247163,4.00,6.00,4.00,6.00,6.00,5.00,3.00,6.00,6.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247171,3.00,1.00,2.00,5.00,3.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3247180,5.00,5.00,4.00,7.00,5.00,4.50,3.00,7.00,4.00,5,NULL,NULL,'SAO CRISTOVAO','TURVO','SC',9298,349,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,207,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3247201,3.00,4.00,1.00,1.00,3.00,NULL,0.00,5.00,3.00,303,NULL,NULL,'TRIANGULO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247210,4.00,5.00,4.00,7.00,2.00,NULL,2.00,4.00,3.00,207,NULL,201,'TAIPA','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3247228,6.00,6.00,3.00,3.00,3.00,NULL,2.00,5.00,3.00,301,NULL,NULL,'SAO FRANCISCO','MTE ALTO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247236,5.00,5.00,2.00,6.00,2.00,NULL,1.00,7.00,4.00,108,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3247244,5.00,7.00,3.00,7.00,7.00,5.75,3.00,7.00,3.00,340,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',7790,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247252,3.00,4.00,5.00,9.00,5.00,6.00,1.00,5.00,3.00,214,NULL,233,'CORREGO GRANDE','FLORIANóPOLIS','SC',9593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247260,3.00,5.00,1.00,6.00,4.00,5.00,2.00,7.00,6.00,211,NULL,201,'CENTRO','CHAPECó','SC',12097,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3247279,5.00,5.00,6.00,9.00,3.00,NULL,4.00,6.00,2.00,208,NULL,238,'JURERê','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'MORRO ESTEVãO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3247295,5.00,5.00,7.00,5.00,5.00,4.00,3.00,4.00,5.00,104,NULL,NULL,'CENTRO','IMBITUBA','SC',8203,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3247309,9.00,7.00,7.00,9.00,7.00,6.75,8.00,8.00,8.00,103,NULL,NULL,'JARDIM ITALIA','CHAPECó','SC',303,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3247317,4.00,8.00,6.00,9.00,6.00,7.00,5.00,8.00,5.00,303,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',3156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247325,2.00,7.00,4.00,7.00,4.00,4.50,2.00,5.00,3.00,318,NULL,NULL,'AREIAS','S JOSé','SC',12501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247341,5.00,3.00,2.00,8.00,3.00,NULL,4.00,5.00,4.00,207,NULL,NULL,'CASTELO BRANCO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3247350,2.00,1.00,4.00,6.00,3.00,NULL,1.00,1.00,2.00,208,NULL,215,'FORQUILHINHAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247368,7.00,7.00,4.00,7.00,6.00,7.25,3.00,7.00,6.00,304,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247376,5.00,2.00,2.00,6.00,5.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'CENTRO','GUARUJá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3247384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3247392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3247406,2.00,3.00,4.00,4.00,4.00,7.00,2.00,6.00,5.00,326,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',13145,56,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247414,3.00,3.00,4.00,5.00,6.00,4.50,2.00,2.00,4.00,301,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',15807,346,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247422,1.00,4.00,3.00,6.00,4.00,6.75,4.00,4.00,3.00,319,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',14833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247430,1.00,3.00,2.00,3.00,4.00,NULL,1.00,6.00,2.00,201,NULL,212,'FORQUILINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247457,1.00,4.00,4.00,7.00,4.00,5.50,3.00,6.00,4.00,421,NULL,427,'LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC',12369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247465,5.00,4.00,2.00,5.00,5.00,6.50,4.00,2.00,5.00,211,NULL,207,'DAS NAçõES','INDAIAL','SC',13318,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3247473,0.00,1.00,3.00,3.00,3.00,NULL,1.00,0.00,1.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247481,8.00,6.00,8.00,5.00,7.00,7.25,3.00,6.00,3.00,303,NULL,NULL,'CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3247490,3.00,5.00,2.00,6.00,4.00,4.75,1.00,7.00,3.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247503,1.00,3.00,2.00,0.00,1.00,NULL,3.00,4.00,2.00,324,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247511,6.00,5.00,4.00,8.00,6.00,5.75,2.00,7.00,4.00,212,NULL,201,'PANTANAL','FLORIANóPOLIS','SC',5787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247520,2.00,1.00,1.00,4.00,3.00,NULL,1.00,2.00,2.00,316,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3247538,8.00,9.00,4.00,6.00,5.00,5.00,3.00,8.00,4.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',4798,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3247546,3.00,7.00,3.00,6.00,5.00,5.75,2.00,5.00,5.00,5,NULL,NULL,'ALTO ARIRU','PALHOçA','SC',10636,386,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247554,1.00,2.00,2.00,3.00,6.00,5.00,3.00,7.00,3.00,202,NULL,213,'ESTREITO','FLORIANóPOLIS','SC',15790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247562,1.00,6.00,3.00,7.00,6.00,5.75,3.00,5.00,3.00,238,NULL,208,'CARVOEIRA','FLORIANóPOLIS','SC',12464,378,NULL,398,NULL,NULL,NULL,2,1),(16,3247570,2.00,4.00,2.00,7.00,5.00,4.50,3.00,6.00,2.00,215,NULL,233,'CENTRO','SIDERóPOLIS','SC',13610,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3247589,4.00,4.00,1.00,4.00,2.00,NULL,2.00,6.00,2.00,207,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3247600,5.00,7.00,5.00,3.00,5.00,5.00,4.00,6.00,2.00,216,NULL,233,'CENTRO','S JOSé','SC',10724,374,NULL,332,NULL,NULL,NULL,4,1),(16,3247619,4.00,2.00,2.00,3.00,5.00,NULL,2.00,4.00,3.00,303,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247627,3.00,5.00,4.00,5.00,5.00,5.75,3.00,5.00,4.00,207,NULL,212,'ALTO ARIRIú','PALHOçA','SC',12061,600,NULL,352,NULL,NULL,NULL,2,1),(16,3247635,6.00,3.00,3.00,7.00,6.00,5.50,5.00,4.00,7.00,102,NULL,NULL,'CENTRO','TUBARãO','SC',8217,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3247643,7.00,7.00,4.00,7.00,6.00,6.75,4.00,8.00,4.00,450,NULL,NULL,'PEREQUê','PTO BELO','SC',4368,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247651,3.00,3.00,3.00,3.00,2.00,NULL,2.00,4.00,4.00,201,NULL,207,'SANTA HELENA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3247660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'BAIRRO ALEGRE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3247678,6.00,7.00,3.00,3.00,7.00,5.75,5.00,6.00,5.00,503,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',7150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247686,5.00,6.00,4.00,7.00,6.00,6.75,2.00,7.00,3.00,5,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',7797,306,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247694,6.00,2.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,104,NULL,NULL,'MICHEL','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3247708,5.00,6.00,3.00,8.00,7.00,5.50,1.00,6.00,2.00,404,NULL,NULL,'CAMPINAS','S JOSé','SC',10691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247716,3.00,4.00,2.00,5.00,2.00,NULL,3.00,4.00,4.00,420,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UNIVERSITáRIO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3247732,1.00,3.00,3.00,3.00,3.00,NULL,1.00,2.00,4.00,223,NULL,NULL,'FORQUILHINHA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247740,3.00,2.00,1.00,4.00,6.00,NULL,1.00,3.00,1.00,216,NULL,203,'INTERIOR','TAQUARUçU SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3247759,5.00,5.00,5.00,9.00,6.00,6.50,3.00,6.00,6.00,103,NULL,NULL,'JARDIM SOFIA','JOINVILLE','SC',5611,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3247767,5.00,3.00,1.00,5.00,2.00,NULL,3.00,5.00,4.00,101,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247783,3.00,5.00,4.00,7.00,4.00,4.25,2.00,6.00,8.00,444,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',10339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247791,2.00,4.00,4.00,0.00,0.00,NULL,2.00,4.00,3.00,302,NULL,NULL,'CENTRO','S JOãO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247805,2.00,3.00,3.00,1.00,2.00,NULL,4.00,5.00,3.00,316,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247813,1.00,3.00,6.00,6.00,5.00,4.75,5.00,3.00,4.00,207,NULL,216,'SERRARIA','S JOSé','SC',12902,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA QUATRO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3247830,5.00,7.00,6.00,7.00,7.00,5.00,6.00,5.00,7.00,220,NULL,202,'JOãO PAULO','FLORIANóPOLIS','SC',3261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247848,2.00,2.00,2.00,2.00,3.00,NULL,2.00,3.00,2.00,310,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247856,3.00,3.00,3.00,4.00,4.00,NULL,2.00,0.00,3.00,308,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247864,5.00,5.00,5.00,6.00,7.00,5.00,1.00,5.00,3.00,319,NULL,NULL,'CASTELO BRANCO','ITAPEMA','SC',11423,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3247872,3.00,4.00,1.00,4.00,3.00,NULL,4.00,6.00,2.00,202,NULL,213,'PROGRESSO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247880,0.00,0.00,3.00,4.00,5.00,NULL,2.00,2.00,3.00,317,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247902,2.00,3.00,2.00,5.00,3.00,NULL,2.00,3.00,2.00,101,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247910,2.00,5.00,4.00,3.00,1.00,NULL,2.00,5.00,3.00,220,NULL,238,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','ELDORADO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3247937,5.00,8.00,6.00,3.00,5.00,7.50,5.00,5.00,3.00,220,NULL,238,'CENTRO','FLORIANóPOLIS','SC',7616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3247945,4.00,8.00,5.00,9.00,7.00,6.50,2.00,8.00,3.00,317,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',4164,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3247953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR SUL','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3247961,2.00,1.00,1.00,3.00,2.00,NULL,2.00,2.00,4.00,104,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247970,3.00,6.00,4.00,6.00,4.00,5.00,3.00,8.00,4.00,317,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',10397,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3247996,3.00,3.00,1.00,7.00,4.00,6.25,3.00,3.00,4.00,308,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',15683,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248003,2.00,3.00,3.00,7.00,4.00,6.75,0.00,5.00,2.00,203,NULL,214,'CENTRO','STO ANTôNIO PATRULHA','RS',15293,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248011,4.00,4.00,4.00,7.00,3.00,NULL,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3248020,2.00,3.00,1.00,5.00,2.00,NULL,3.00,4.00,3.00,207,NULL,201,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3248038,3.00,3.00,3.00,6.00,3.00,NULL,4.00,3.00,2.00,238,NULL,NULL,'AGRôNOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248054,7.00,7.00,5.00,8.00,8.00,5.50,4.00,9.00,8.00,103,NULL,NULL,'INTERIOR','BOM J OESTE','SC',1308,599,NULL,NULL,NULL,NULL,NULL,2,4),(16,3248062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3248089,5.00,6.00,3.00,7.00,6.00,5.25,4.00,5.00,3.00,452,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248100,1.00,3.00,3.00,3.00,1.00,NULL,1.00,0.00,2.00,205,NULL,NULL,'PARQUE DAS ACACEAS','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3248119,6.00,5.00,7.00,5.00,6.00,7.00,3.00,4.00,5.00,203,NULL,211,'CENTRO','STA MARIA','RS',7110,577,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248127,3.00,7.00,4.00,6.00,5.00,5.00,4.00,6.00,3.00,208,NULL,203,'HUMAITA DE CIMA','TUBARãO','SC',10054,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3248135,5.00,3.00,3.00,1.00,4.00,4.25,1.00,4.00,4.00,303,NULL,NULL,'DOMICíLIO CASSEANO','VARGEM BONITA','SC',16679,725,NULL,NULL,NULL,NULL,NULL,4,7),(16,3248143,7.00,6.00,3.00,6.00,5.00,5.50,4.00,6.00,3.00,201,NULL,211,'JARDIM AMéRICA','CHAPECó','SC',8505,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3248151,5.00,4.00,1.00,5.00,4.00,4.00,2.00,2.00,2.00,108,NULL,NULL,'CASTELO BRANCO','ITAPEMA','SC',16697,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3248160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3248178,2.00,1.00,1.00,2.00,5.00,NULL,2.00,4.00,4.00,444,NULL,NULL,'SãO LUIZ','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248186,6.00,4.00,3.00,8.00,7.00,6.25,3.00,8.00,6.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248194,5.00,4.00,2.00,5.00,2.00,NULL,1.00,7.00,5.00,327,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248208,3.00,6.00,1.00,3.00,4.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'INDUSTRIAL','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3248216,3.00,5.00,1.00,4.00,2.00,NULL,5.00,4.00,3.00,451,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3248224,0.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3248232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,213,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3248240,4.00,4.00,1.00,4.00,5.00,NULL,1.00,2.00,1.00,104,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248259,6.00,4.00,1.00,4.00,4.00,4.00,2.00,7.00,3.00,207,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',14480,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3248267,1.00,2.00,1.00,4.00,1.00,NULL,2.00,4.00,3.00,202,NULL,213,'NAçõES','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3248275,1.00,3.00,3.00,8.00,6.00,5.00,2.00,4.00,2.00,104,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(16,3248283,6.00,3.00,3.00,5.00,3.00,NULL,1.00,2.00,6.00,101,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248291,1.00,1.00,4.00,4.00,2.00,NULL,0.00,3.00,2.00,104,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248321,6.00,4.00,2.00,5.00,5.00,6.25,3.00,5.00,3.00,103,NULL,NULL,'VILA NOVA','LAGES','SC',12388,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3248330,3.00,7.00,5.00,8.00,6.00,6.75,3.00,4.00,3.00,415,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3248348,4.00,7.00,2.00,9.00,9.00,5.00,3.00,6.00,3.00,238,NULL,208,'IPIRANGA','S JOSé','SC',7562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248356,7.00,6.00,5.00,8.00,6.00,5.50,5.00,6.00,6.00,214,NULL,212,'CAMPECHE','FLORIANóPOLIS','SC',3249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248364,5.00,4.00,4.00,6.00,5.00,5.75,3.00,9.00,4.00,102,NULL,NULL,'ITINGA','JOINVILLE','SC',9534,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3248372,2.00,4.00,3.00,1.00,2.00,NULL,1.00,4.00,2.00,451,NULL,NULL,'JARDIM DAS HORTêNSIA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3248380,4.00,3.00,1.00,5.00,4.00,NULL,0.00,3.00,5.00,453,NULL,NULL,'VILA SãO JOSé','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3248399,9.00,9.00,8.00,8.00,6.00,6.50,7.00,8.00,7.00,103,NULL,NULL,'PALHOçA','PALHOçA','SC',429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248429,3.00,4.00,3.00,4.00,6.00,4.75,2.00,7.00,4.00,103,NULL,NULL,'SAGUAçU','JOINVILLE','SC',13446,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3248437,3.00,4.00,3.00,5.00,3.00,NULL,2.00,3.00,2.00,425,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3248453,4.00,3.00,3.00,3.00,3.00,NULL,3.00,1.00,5.00,207,NULL,201,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3248461,0.00,5.00,3.00,2.00,3.00,NULL,2.00,7.00,2.00,444,NULL,NULL,'SERRARIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248470,5.00,5.00,5.00,7.00,6.00,6.25,2.00,6.00,2.00,319,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248488,5.00,6.00,2.00,4.00,4.00,5.50,2.00,8.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248496,8.00,7.00,5.00,8.00,7.00,5.75,7.00,7.00,7.00,203,NULL,214,'CAPOEIRAS','FLORIANóPOLIS','SC',1297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248500,3.00,4.00,4.00,4.00,4.00,3.25,3.00,4.00,4.00,208,NULL,201,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3248518,4.00,6.00,4.00,6.00,6.00,5.50,5.00,6.00,4.00,212,NULL,201,'MERCêS','UBERABA','MG',6487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248526,2.00,3.00,3.00,2.00,5.00,NULL,2.00,4.00,3.00,215,NULL,216,'GLóRIA','OSóRIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3248534,3.00,2.00,4.00,1.00,2.00,NULL,2.00,1.00,2.00,102,NULL,NULL,'PRESIDENTE MEDICI','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3248550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'CENTRO NORTE','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3248569,6.00,5.00,2.00,7.00,5.00,6.50,3.00,4.00,3.00,301,NULL,NULL,'N S ROSáRIO','S JOSé','SC',11096,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248577,9.00,8.00,8.00,5.00,7.00,6.75,6.00,7.00,8.00,207,NULL,NULL,'CENTRO','RIBEIRãO PRETO','SP',699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248585,3.00,1.00,4.00,6.00,5.00,4.25,2.00,5.00,2.00,444,NULL,NULL,'CENTRO','PALHOçA','SC',15560,130,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248593,4.00,8.00,2.00,8.00,3.00,NULL,2.00,6.00,4.00,304,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248607,4.00,3.00,2.00,5.00,5.00,5.00,2.00,8.00,5.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',12997,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248615,3.00,5.00,2.00,8.00,4.00,5.75,3.00,5.00,4.00,208,NULL,238,'ESCOLA AGRICOLA','BLUMENAU','SC',12122,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3248623,5.00,4.00,1.00,5.00,3.00,NULL,2.00,4.00,2.00,212,NULL,211,'ALPHAVILLE','BARUERI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248631,5.00,4.00,5.00,5.00,4.00,5.75,2.00,4.00,3.00,319,NULL,NULL,'CAMPINAS','S JOSé','SC',13605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248640,2.00,6.00,2.00,4.00,5.00,5.25,2.00,5.00,4.00,420,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',15436,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248658,4.00,3.00,3.00,5.00,3.00,NULL,4.00,1.00,3.00,333,NULL,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3248666,3.00,5.00,3.00,5.00,8.00,6.00,4.00,6.00,1.00,450,NULL,NULL,'FORTALEZA','BLUMENAU','SC',10813,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3248674,1.00,4.00,3.00,1.00,1.00,NULL,3.00,6.00,3.00,326,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248682,7.00,8.00,7.00,7.00,6.00,6.50,3.00,8.00,7.00,203,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',1761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248690,5.00,6.00,5.00,7.00,4.00,5.75,1.00,5.00,3.00,215,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11315,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248704,2.00,6.00,3.00,8.00,3.00,NULL,3.00,7.00,3.00,329,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248712,5.00,6.00,5.00,6.00,4.00,5.00,2.00,7.00,5.00,207,NULL,201,'CORAL','LAGES','SC',7710,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3248720,3.00,4.00,3.00,6.00,3.00,NULL,2.00,4.00,2.00,420,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248739,2.00,3.00,2.00,5.00,4.00,NULL,3.00,2.00,2.00,303,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248755,5.00,6.00,4.00,7.00,7.00,6.75,4.00,0.00,5.00,216,NULL,211,'DOIS PINHEIROS','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3248763,6.00,5.00,4.00,5.00,6.00,5.75,3.00,8.00,7.00,450,NULL,NULL,'CENTRO','FRUTAL','MG',5786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248771,4.00,6.00,5.00,7.00,4.00,4.00,4.00,6.00,4.00,233,NULL,220,'PANTANAL','FLORIANóPOLIS','SC',10667,331,NULL,405,NULL,NULL,NULL,2,1),(16,3248780,4.00,3.00,2.00,6.00,4.00,5.50,2.00,5.00,3.00,213,NULL,NULL,'CENTRO','CORREIA PINTO','SC',15158,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3248798,1.00,2.00,2.00,6.00,4.00,NULL,3.00,2.00,3.00,415,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248801,5.00,4.00,1.00,6.00,5.00,4.00,0.00,3.00,4.00,102,NULL,NULL,'CENTRO','MARIóPOLIS','PR',16452,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3248810,4.00,3.00,4.00,3.00,3.00,NULL,3.00,2.00,3.00,207,NULL,201,'JARDIM LIMA','FRANCA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VILA ESTRELA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3248836,1.00,2.00,2.00,2.00,3.00,NULL,1.00,2.00,2.00,205,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248844,9.00,7.00,9.00,7.00,8.00,6.00,5.00,8.00,7.00,103,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248860,6.00,4.00,5.00,6.00,5.00,5.75,5.00,5.00,5.00,103,NULL,NULL,'INTERIOR','CHAPECó','SC',8023,1979,NULL,NULL,NULL,NULL,NULL,2,4),(16,3248879,3.00,0.00,1.00,3.00,2.00,NULL,3.00,2.00,4.00,103,NULL,NULL,'SANTOS SARAIVA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248887,4.00,3.00,4.00,3.00,3.00,NULL,2.00,4.00,3.00,238,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248895,7.00,6.00,5.00,8.00,6.00,6.00,4.00,8.00,6.00,104,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',3367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248909,3.00,1.00,3.00,3.00,3.00,NULL,2.00,3.00,1.00,502,NULL,NULL,'JARDIM ESTORIL','MARíLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248917,3.00,3.00,2.00,3.00,2.00,NULL,2.00,1.00,3.00,501,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248925,4.00,4.00,2.00,2.00,4.00,4.25,2.00,4.00,5.00,103,NULL,NULL,'PARQUE SANTA Fé','PTO ALEGRE','RS',16245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3248933,6.00,4.00,4.00,5.00,8.00,7.50,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',4971,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3248941,2.00,2.00,3.00,2.00,0.00,NULL,2.00,1.00,4.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3248950,5.00,3.00,2.00,7.00,2.00,NULL,1.00,4.00,3.00,101,NULL,NULL,'GUARDA ME','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3248968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','CARATINGA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3248976,2.00,3.00,4.00,5.00,3.00,NULL,2.00,5.00,3.00,238,NULL,208,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3248984,6.00,5.00,3.00,8.00,7.00,5.50,3.00,6.00,3.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7604,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3248992,5.00,4.00,4.00,5.00,3.00,NULL,1.00,5.00,4.00,238,NULL,208,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3249000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3249026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'JARDIM AMéRICA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3249042,7.00,4.00,2.00,8.00,6.00,6.50,5.00,6.00,6.00,9,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3249050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3249077,7.00,7.00,4.00,5.00,4.00,5.00,2.00,7.00,2.00,104,NULL,NULL,'CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249085,1.00,3.00,3.00,4.00,4.00,NULL,2.00,2.00,2.00,308,NULL,NULL,'VILA DOZE','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3249093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CINQüENTENáRIO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3249107,4.00,0.00,2.00,2.00,2.00,NULL,0.00,3.00,4.00,319,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3249115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3249123,5.00,6.00,4.00,6.00,6.00,4.75,4.00,8.00,6.00,103,NULL,NULL,'OTAVIO DALAZEN','ORLEANS','SC',6960,1829,NULL,NULL,NULL,NULL,NULL,2,5),(16,3249131,6.00,3.00,2.00,3.00,4.00,5.25,2.00,6.00,4.00,103,NULL,NULL,'PINHEIRINHO','CURITIBA','PR',15032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249140,3.00,1.00,1.00,2.00,5.00,NULL,1.00,2.00,3.00,207,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3249166,4.00,4.00,4.00,6.00,4.00,4.50,2.00,4.00,3.00,425,NULL,421,'CAPOEIRAS','FLORIANóPOLIS','SC',14487,81,NULL,NULL,NULL,NULL,NULL,2,1),(16,3249174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'JARDIM DAS AMéRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3249182,3.00,3.00,4.00,3.00,4.00,5.00,3.00,8.00,4.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',12767,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3249190,7.00,5.00,6.00,8.00,5.00,4.50,4.00,7.00,6.00,215,NULL,203,'BARREIROS','S JOSé','SC',4456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249204,7.00,8.00,6.00,10.00,8.00,7.00,2.00,8.00,8.00,108,NULL,NULL,'PARADA INGLESA','S PAULO','SP',1228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249212,2.00,5.00,4.00,5.00,6.00,4.50,3.00,5.00,2.00,225,NULL,NULL,'AREIAS','S JOSé','SC',14660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249220,6.00,7.00,5.00,7.00,6.00,4.75,2.00,8.00,5.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',4635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249239,8.00,6.00,3.00,6.00,4.00,4.75,4.00,8.00,7.00,104,NULL,NULL,'UNIVERSITáRIO','TIJUCAS','SC',5032,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3249247,5.00,6.00,3.00,4.00,2.00,NULL,3.00,7.00,5.00,5,NULL,NULL,'SEMINARIO','CORUPá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3249255,7.00,2.00,2.00,6.00,4.00,5.75,4.00,5.00,8.00,104,NULL,NULL,'PINHEIROS','S LEOPOLDO','RS',8947,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3249271,3.00,6.00,5.00,1.00,6.00,4.50,4.00,7.00,4.00,302,NULL,NULL,'JURERE','FLORIANóPOLIS','SC',10946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3249298,5.00,5.00,3.00,5.00,4.00,4.75,4.00,4.00,3.00,201,NULL,220,'GUARDA DO CUBATÃO','PALHOçA','SC',12584,980,NULL,459,NULL,NULL,NULL,2,1),(16,3249301,5.00,3.00,2.00,8.00,3.00,NULL,2.00,3.00,3.00,501,NULL,NULL,'SãO FRANCISCO DE ASI','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3249328,2.00,5.00,1.00,3.00,5.00,NULL,3.00,3.00,3.00,326,NULL,NULL,'JAGUARé','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3249344,7.00,7.00,4.00,8.00,4.00,6.50,4.00,8.00,6.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',4198,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3249352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','SANTIAGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3249360,1.00,3.00,1.00,6.00,2.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3249387,3.00,3.00,2.00,1.00,2.00,NULL,0.00,2.00,2.00,211,NULL,207,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249395,5.00,6.00,6.00,9.00,9.00,5.50,3.00,6.00,3.00,3,NULL,NULL,'MARIA GORETI','CHAPECó','SC',4532,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3249409,4.00,3.00,1.00,2.00,3.00,NULL,2.00,5.00,2.00,214,NULL,212,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249417,3.00,2.00,4.00,4.00,1.00,NULL,4.00,4.00,2.00,234,NULL,NULL,'DE FáTIMA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3249425,3.00,2.00,2.00,1.00,5.00,NULL,3.00,5.00,2.00,103,NULL,NULL,'FREGUESIA DO Ó','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249433,4.00,6.00,6.00,7.00,5.00,5.50,4.00,8.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3249441,1.00,1.00,3.00,5.00,3.00,NULL,3.00,3.00,3.00,102,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3249450,4.00,6.00,2.00,1.00,2.00,NULL,3.00,2.00,2.00,340,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3249468,5.00,8.00,7.00,2.00,5.00,4.50,3.00,6.00,5.00,104,NULL,NULL,'CENTRO','QUERêNCIA','MT',8045,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3249476,3.00,6.00,4.00,6.00,4.00,6.50,3.00,6.00,3.00,503,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',10560,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3249484,3.00,5.00,3.00,8.00,3.00,NULL,1.00,2.00,3.00,208,NULL,NULL,'BALNEARIO ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3249522,2.00,5.00,1.00,3.00,4.00,5.00,2.00,5.00,4.00,5,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',15473,497,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249530,1.00,4.00,1.00,2.00,3.00,NULL,3.00,1.00,1.00,319,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3249549,4.00,4.00,6.00,3.00,8.00,5.00,2.00,5.00,6.00,450,NULL,NULL,'CENTRO','UBá','MG',8979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249565,5.00,4.00,3.00,3.00,3.00,NULL,3.00,2.00,2.00,301,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3249573,5.00,6.00,4.00,7.00,8.00,7.00,6.00,7.00,5.00,303,NULL,NULL,'CENTRO','JARAGUá SUL','SC',3496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249581,5.00,6.00,2.00,8.00,4.00,5.75,2.00,8.00,3.00,340,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',9479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249590,5.00,4.00,2.00,5.00,5.00,4.50,4.00,3.00,2.00,103,NULL,NULL,'NAçõES','BAL CAMBORIú','SC',15251,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3249603,2.00,1.00,1.00,2.00,3.00,NULL,3.00,1.00,4.00,302,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3249620,2.00,3.00,3.00,9.00,6.00,6.25,2.00,7.00,4.00,2,NULL,NULL,'GUANABARA','CAMPINAS','SP',10713,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3249638,3.00,6.00,5.00,8.00,6.00,4.75,2.00,4.00,4.00,215,NULL,233,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',10018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249646,6.00,5.00,3.00,3.00,3.00,NULL,4.00,8.00,4.00,220,NULL,208,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249654,4.00,0.00,2.00,0.00,3.00,NULL,2.00,1.00,2.00,304,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3249689,1.00,3.00,1.00,3.00,3.00,NULL,0.00,0.00,4.00,302,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3249700,3.00,4.00,2.00,6.00,4.00,4.00,3.00,4.00,2.00,233,NULL,214,'VILA ALVORADA','IMBITUBA','SC',16318,470,NULL,485,NULL,NULL,NULL,2,1),(16,3249719,3.00,3.00,2.00,2.00,4.00,NULL,2.00,4.00,5.00,9,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249735,4.00,3.00,3.00,5.00,4.00,6.00,3.00,4.00,4.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',14088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249743,3.00,2.00,2.00,5.00,5.00,NULL,0.00,4.00,3.00,301,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3249751,5.00,6.00,2.00,6.00,4.00,4.75,4.00,5.00,3.00,101,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',12606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249760,3.00,4.00,1.00,7.00,7.00,6.00,3.00,6.00,5.00,214,NULL,216,'BARREIROS','S JOSé','SC',10848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249778,4.00,0.00,1.00,6.00,4.00,NULL,1.00,3.00,2.00,444,NULL,NULL,'VILA CABRAL','REGISTRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3249786,5.00,7.00,4.00,8.00,3.00,NULL,5.00,7.00,5.00,208,NULL,202,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249794,5.00,6.00,4.00,8.00,5.00,5.00,1.00,7.00,2.00,207,NULL,211,'CANASVIEIRAS','FLORIANóPOLIS','SC',10478,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3249808,3.00,0.00,1.00,2.00,6.00,NULL,3.00,5.00,5.00,103,NULL,NULL,'GUARDA DO CUBATãO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249816,6.00,6.00,7.00,6.00,7.00,6.50,3.00,7.00,7.00,103,NULL,NULL,'TRÊS PODERES','IMPERATRIZ','MA',2293,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3249832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SENANDES','RIO GRANDE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3249840,4.00,2.00,3.00,1.00,3.00,NULL,2.00,6.00,3.00,103,NULL,NULL,'INTERIOR','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3249859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CACUPé','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3249883,2.00,7.00,2.00,3.00,6.00,6.25,3.00,6.00,4.00,303,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',13070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249891,5.00,6.00,4.00,8.00,7.00,6.75,3.00,6.00,5.00,211,NULL,215,'BARREIROS','S JOSé','SC',5567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3249905,4.00,5.00,4.00,3.00,5.00,4.50,3.00,6.00,2.00,5,NULL,NULL,'TOBIAS','JOAçABA','SC',13467,448,NULL,NULL,NULL,NULL,NULL,4,7),(16,3249930,6.00,3.00,4.00,7.00,5.00,5.50,3.00,6.00,2.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',11358,86,NULL,NULL,NULL,NULL,NULL,2,1),(16,3249948,2.00,3.00,2.00,1.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ACARAí','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(16,3249956,4.00,1.00,1.00,2.00,2.00,NULL,1.00,2.00,5.00,103,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3249964,5.00,4.00,6.00,4.00,4.00,6.25,3.00,5.00,7.00,211,NULL,207,'BELéM VELHO','PTO ALEGRE','RS',9187,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3249972,4.00,2.00,2.00,4.00,2.00,NULL,2.00,1.00,2.00,326,NULL,NULL,'SãO MIGUEL','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3249980,3.00,3.00,4.00,6.00,6.00,5.25,2.00,4.00,4.00,317,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',13192,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3249999,7.00,5.00,4.00,8.00,5.00,4.00,5.00,6.00,8.00,202,NULL,203,'CORREGO GRANDE','FLORIANóPOLIS','SC',5319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250008,1.00,1.00,3.00,2.00,3.00,NULL,2.00,2.00,3.00,208,NULL,238,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250016,5.00,7.00,4.00,9.00,6.00,5.75,4.00,8.00,5.00,5,NULL,NULL,'CENTRO','BLUMENAU','SC',4953,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3250024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'BUTANTAN','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3250032,4.00,5.00,4.00,7.00,5.00,5.75,3.00,4.00,5.00,201,NULL,212,'SãO FRANCISCO','STO AMARO IMPERATRIZ','SC',10824,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250040,4.00,2.00,3.00,2.00,4.00,5.50,2.00,4.00,4.00,102,NULL,NULL,'SAMBUGARO','PATO BRANCO','PR',16450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250091,2.00,2.00,2.00,4.00,5.00,NULL,3.00,4.00,1.00,326,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250105,6.00,5.00,3.00,4.00,6.00,6.00,1.00,4.00,3.00,104,NULL,NULL,'VILA NOVA','NOVO HAMBURGO','RS',12018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250113,3.00,5.00,4.00,6.00,3.00,NULL,2.00,4.00,2.00,213,NULL,202,'PRóSPERA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3250121,4.00,7.00,5.00,8.00,4.00,5.50,3.00,7.00,4.00,103,NULL,NULL,'PIONEIROS','BAL CAMBORIú','SC',6528,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3250130,2.00,2.00,4.00,4.00,3.00,NULL,2.00,3.00,4.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250148,5.00,3.00,2.00,4.00,0.00,NULL,2.00,5.00,2.00,211,NULL,NULL,'SãO GERALDO','IJUí','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3250156,9.00,7.00,8.00,8.00,7.00,5.50,5.00,7.00,7.00,203,NULL,233,'ESPLANADA DO SOL','S JOSé CAMPOS','SP',1290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250164,2.00,3.00,4.00,5.00,3.00,NULL,3.00,1.00,3.00,301,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','PRUDENTóPOLIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3250199,4.00,6.00,3.00,7.00,7.00,5.25,5.00,5.00,4.00,212,NULL,207,'MACEDO','GUARULHOS','SP',7479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250202,0.00,3.00,2.00,3.00,4.00,NULL,2.00,1.00,2.00,303,NULL,NULL,'JARDIM','MODELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250210,3.00,6.00,4.00,9.00,5.00,6.00,2.00,6.00,4.00,202,NULL,213,'ESTREITO','FLORIANóPOLIS','SC',9181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250229,4.00,6.00,3.00,5.00,3.00,NULL,2.00,6.00,6.00,203,NULL,220,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3250237,4.00,1.00,2.00,6.00,4.00,NULL,2.00,2.00,1.00,404,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250245,2.00,4.00,4.00,8.00,4.00,6.25,3.00,8.00,3.00,427,NULL,424,'COSTEIRA','FLORIANóPOLIS','SC',10751,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250253,6.00,8.00,5.00,7.00,6.00,5.25,3.00,7.00,5.00,451,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250261,7.00,5.00,4.00,8.00,6.00,4.75,3.00,3.00,6.00,502,NULL,NULL,'BOA VISTA','JOINVILLE','SC',7538,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3250270,6.00,6.00,1.00,8.00,7.00,8.00,3.00,8.00,5.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4365,NULL,NULL,NULL,NULL,NULL,NULL,4,1);
INSERT INTO boletim_desempenho VALUES (16,3250288,8.00,9.00,4.00,8.00,7.00,5.00,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1830,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250296,4.00,3.00,4.00,3.00,5.00,6.50,3.00,4.00,2.00,104,NULL,NULL,'CENTRO','JARAGUá SUL','SC',13261,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3250300,6.00,7.00,4.00,8.00,5.00,5.00,3.00,7.00,6.00,501,NULL,NULL,'CENTRO','CPO GRANDE','MS',6371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SAO CRISTOVAO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3250326,5.00,6.00,2.00,7.00,2.00,NULL,4.00,5.00,5.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250334,7.00,4.00,2.00,6.00,7.00,6.00,2.00,5.00,2.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',11259,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3250342,5.00,2.00,2.00,6.00,1.00,NULL,3.00,4.00,5.00,238,NULL,208,'SACO DOS LIMÕES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250350,6.00,1.00,6.00,3.00,3.00,NULL,2.00,2.00,6.00,502,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250369,8.00,7.00,2.00,8.00,4.00,6.50,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6713,1790,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250377,2.00,4.00,4.00,7.00,2.00,NULL,1.00,5.00,3.00,301,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3250385,6.00,3.00,4.00,6.00,6.00,5.75,4.00,2.00,5.00,212,NULL,207,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',9969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250393,4.00,5.00,4.00,8.00,6.00,6.50,4.00,5.00,5.00,317,NULL,NULL,'CENTRO','PALHOçA','SC',7426,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250407,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,202,NULL,220,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3250415,3.00,5.00,3.00,3.00,3.00,NULL,3.00,5.00,4.00,201,NULL,207,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3250431,4.00,5.00,4.00,7.00,5.00,5.25,3.00,4.00,3.00,103,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3250440,3.00,3.00,4.00,5.00,3.00,NULL,2.00,3.00,5.00,207,NULL,201,'PâNTANO DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250458,6.00,6.00,5.00,7.00,5.00,5.75,5.00,5.00,5.00,201,NULL,212,'CENTRO','VARGEãO','SC',5197,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3250466,4.00,2.00,4.00,2.00,1.00,NULL,1.00,3.00,2.00,309,NULL,NULL,'CACUPE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3250490,4.00,2.00,3.00,6.00,5.00,5.50,4.00,5.00,3.00,420,NULL,NULL,'COSTA CAVALCANTE','ITAJAí','SC',14248,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3250504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'PINHEIRA','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3250512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3250520,5.00,5.00,3.00,9.00,3.00,NULL,2.00,7.00,4.00,211,NULL,215,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250539,3.00,1.00,2.00,1.00,3.00,NULL,2.00,2.00,0.00,9,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250555,5.00,5.00,3.00,7.00,6.00,5.25,3.00,7.00,5.00,214,NULL,208,'CENTRO','FARTURA','SP',8059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250571,5.00,5.00,4.00,5.00,4.00,5.75,3.00,3.00,4.00,208,NULL,NULL,'PARQUE SãO MARTINHO','CAMPINAS','SP',11540,367,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3250598,4.00,3.00,4.00,5.00,3.00,NULL,4.00,3.00,3.00,309,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250601,4.00,1.00,2.00,4.00,4.00,NULL,3.00,3.00,4.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE MONJOLO','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3250644,2.00,5.00,1.00,5.00,4.00,3.25,2.00,5.00,2.00,328,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3250660,3.00,5.00,4.00,8.00,4.00,4.00,2.00,6.00,3.00,5,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',12566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250679,1.00,1.00,1.00,4.00,2.00,NULL,4.00,3.00,3.00,104,NULL,NULL,'JARDIM SAO NICOLAU','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250687,4.00,1.00,1.00,2.00,4.00,NULL,3.00,1.00,2.00,207,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250709,5.00,8.00,3.00,5.00,7.00,4.00,2.00,7.00,3.00,103,NULL,NULL,'CENTRO','JARAGUá SUL','SC',8181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250717,2.00,2.00,4.00,4.00,3.00,NULL,3.00,5.00,3.00,453,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTAL DO SOL','REG FEIJó','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3250741,2.00,5.00,4.00,5.00,5.00,6.00,3.00,7.00,0.00,303,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',13789,606,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250750,6.00,5.00,3.00,5.00,3.00,NULL,2.00,4.00,3.00,404,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250768,4.00,5.00,2.00,10.00,8.00,5.50,3.00,8.00,5.00,450,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3250792,8.00,8.00,5.00,8.00,8.00,6.50,3.00,7.00,8.00,216,NULL,215,'CóRREGO GRANDE','FLORIANóPOLIS','SC',1564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250814,3.00,3.00,1.00,6.00,3.00,NULL,1.00,5.00,3.00,303,NULL,NULL,'ARIRIú DA FORMIGA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250822,6.00,6.00,5.00,8.00,6.00,5.00,5.00,7.00,5.00,108,NULL,NULL,'CIDADE JARDIM','JACAREí','SP',4542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250830,6.00,3.00,3.00,3.00,3.00,NULL,3.00,4.00,5.00,216,NULL,211,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3250849,5.00,7.00,7.00,9.00,5.00,4.75,5.00,6.00,7.00,216,NULL,201,'CENTRO','S LEOPOLDO','RS',3481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250857,1.00,1.00,2.00,3.00,3.00,NULL,4.00,1.00,2.00,207,NULL,201,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM DRACENA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3250873,7.00,8.00,3.00,6.00,6.00,6.00,3.00,5.00,6.00,108,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',6274,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250881,3.00,1.00,1.00,2.00,2.00,NULL,2.00,2.00,4.00,202,NULL,233,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3250890,7.00,6.00,4.00,6.00,4.00,5.00,5.00,6.00,5.00,339,NULL,NULL,'STO ANTôNIO DE LISB','FLORIANóPOLIS','SC',7519,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3250903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'BUTãNTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3250911,5.00,7.00,6.00,5.00,7.00,6.25,4.00,9.00,6.00,326,NULL,NULL,'SãO CRISTOVãO','CHAPECó','SC',4182,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3250920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'APARECIDA','UBERLâNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3250946,1.00,1.00,2.00,0.00,3.00,NULL,2.00,2.00,1.00,453,NULL,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CABEçUDAS','ITAJAí','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3250970,7.00,6.00,6.00,4.00,7.00,6.00,2.00,5.00,4.00,339,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',7588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3250997,6.00,8.00,7.00,9.00,8.00,5.75,6.00,9.00,7.00,220,NULL,213,'CENTRO','TUBARãO','SC',847,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3251012,1.00,5.00,2.00,3.00,5.00,NULL,1.00,4.00,4.00,451,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251020,4.00,4.00,5.00,5.00,5.00,4.75,2.00,4.00,5.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',11720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251039,4.00,4.00,4.00,4.00,0.00,NULL,1.00,1.00,3.00,207,NULL,201,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251047,4.00,4.00,3.00,0.00,4.00,NULL,4.00,6.00,3.00,202,NULL,NULL,'SãO CRISTOVAO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3251055,5.00,4.00,4.00,8.00,3.00,NULL,2.00,6.00,4.00,102,NULL,NULL,'CINQUENTENáRIO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251063,0.00,1.00,2.00,6.00,3.00,NULL,0.00,3.00,3.00,303,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3251071,6.00,6.00,5.00,8.00,5.00,5.25,6.00,6.00,6.00,211,NULL,215,'CENTRO','TUBARãO','SC',4116,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3251080,1.00,3.00,1.00,6.00,3.00,NULL,1.00,6.00,5.00,104,NULL,NULL,'CEARA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3251098,7.00,6.00,5.00,8.00,7.00,6.00,3.00,9.00,5.00,340,NULL,NULL,'CENTRO','JOINVILLE','SC',3903,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3251101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3251128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3251136,6.00,5.00,5.00,5.00,7.00,4.50,3.00,7.00,5.00,208,NULL,220,'SANTA MARIA GORETI','PTO ALEGRE','RS',8087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251144,8.00,7.00,9.00,9.00,9.00,6.50,7.00,9.00,9.00,103,NULL,NULL,'TATUAPé','S PAULO','SP',93,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251152,1.00,2.00,4.00,3.00,3.00,NULL,1.00,5.00,2.00,329,NULL,NULL,'SãO MIGUEL','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3251160,2.00,1.00,4.00,2.00,2.00,NULL,3.00,1.00,4.00,339,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3251187,5.00,5.00,3.00,5.00,5.00,4.00,2.00,5.00,3.00,3,NULL,NULL,'JD SãO NICOLAU','S PAULO','SP',12197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3251195,4.00,5.00,4.00,7.00,4.00,5.00,2.00,2.00,2.00,327,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',14786,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3251209,5.00,5.00,1.00,8.00,7.00,6.50,1.00,4.00,2.00,201,NULL,207,'ARIRIú DA FORMIGA','PALHOçA','SC',12194,947,NULL,611,NULL,NULL,NULL,2,1),(16,3251217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'RIO MOLHA','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3251225,1.00,2.00,2.00,1.00,3.00,NULL,2.00,1.00,1.00,101,NULL,NULL,'SAO JOAO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3251233,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'JARDIM SERIEMA','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3251241,1.00,4.00,2.00,6.00,3.00,NULL,1.00,3.00,1.00,302,NULL,NULL,'BELA VISTA II','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3251250,5.00,4.00,1.00,3.00,5.00,NULL,1.00,2.00,4.00,108,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251268,4.00,4.00,1.00,2.00,2.00,NULL,2.00,1.00,4.00,202,NULL,203,'VERMELHO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3251276,4.00,5.00,3.00,5.00,5.00,5.00,3.00,4.00,2.00,444,NULL,NULL,'IMBITUBA','IMBITUBA','SC',14129,102,NULL,NULL,NULL,NULL,NULL,2,1),(16,3251284,5.00,5.00,3.00,6.00,6.00,6.00,2.00,8.00,6.00,319,NULL,NULL,'SãO PAULO','FOZ IGUAçU','PR',7013,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3251292,6.00,7.00,2.00,9.00,7.00,7.50,3.00,6.00,6.00,333,NULL,NULL,'SAN CONRADO','CAMPINAS','SP',3898,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3251306,4.00,3.00,1.00,4.00,6.00,4.00,3.00,6.00,2.00,215,NULL,211,'CENTRO DE PALHOçA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3251314,0.00,0.00,0.00,7.00,1.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3251330,5.00,5.00,9.00,7.00,6.00,5.50,2.00,9.00,7.00,103,NULL,NULL,'ESPLANADA DO SOL','S JOSé CAMPOS','SP',3172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251349,1.00,2.00,1.00,7.00,3.00,NULL,3.00,1.00,1.00,452,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3251357,4.00,6.00,2.00,7.00,5.00,7.00,4.00,8.00,5.00,450,NULL,NULL,'JARDIM NOVA EUROPA','CAMPINAS','SP',7117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251365,5.00,4.00,1.00,4.00,3.00,NULL,2.00,6.00,3.00,102,NULL,NULL,'JURERE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251373,0.00,0.00,0.00,7.00,5.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3251381,7.00,5.00,4.00,7.00,7.00,6.75,2.00,8.00,4.00,207,NULL,NULL,'SANTANA','RIO SUL','SC',6072,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3251390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3251411,6.00,4.00,6.00,6.00,3.00,NULL,3.00,6.00,5.00,103,NULL,NULL,'PQ BELVEDERE','S JOSé R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251438,2.00,5.00,1.00,5.00,7.00,6.25,5.00,6.00,4.00,329,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251446,3.00,7.00,5.00,3.00,5.00,5.25,2.00,6.00,8.00,205,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',9206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251454,2.00,5.00,3.00,0.00,5.00,NULL,3.00,3.00,3.00,203,NULL,202,'PONTA DA BARRA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3251462,5.00,6.00,3.00,8.00,6.00,8.25,2.00,8.00,3.00,450,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',5769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251470,4.00,3.00,4.00,4.00,3.00,NULL,2.00,4.00,2.00,202,NULL,213,'SãO JOãO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3251489,6.00,4.00,4.00,8.00,3.00,NULL,2.00,5.00,3.00,301,NULL,NULL,'PIO CORREA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3251497,3.00,1.00,1.00,2.00,4.00,NULL,3.00,3.00,3.00,103,NULL,NULL,'EFAPI','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3251500,5.00,3.00,4.00,7.00,1.00,NULL,2.00,6.00,4.00,201,NULL,208,'BRASILIA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3251519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'PINHEIROS','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3251527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CIDADE ALTA','BENTO GONçALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3251543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3251560,7.00,6.00,8.00,8.00,6.00,5.75,3.00,7.00,7.00,220,NULL,208,'JD NOVO HORIZONTE','MARINGá','PR',2710,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3251578,4.00,3.00,1.00,7.00,4.00,5.50,1.00,3.00,3.00,212,NULL,201,'BELA VISTA','S JOSé','SC',16274,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251586,4.00,3.00,3.00,7.00,5.00,4.75,4.00,7.00,6.00,215,NULL,213,'TRINDADE','FLORIANóPOLIS','SC',10243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3251608,3.00,3.00,3.00,1.00,5.00,5.00,3.00,4.00,3.00,9,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',16557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251616,3.00,4.00,2.00,4.00,4.00,4.00,1.00,3.00,6.00,316,NULL,NULL,'BELA VISTA','PALHOçA','SC',16283,205,NULL,NULL,NULL,NULL,NULL,2,1),(16,3251624,3.00,8.00,2.00,9.00,4.00,4.50,2.00,4.00,3.00,318,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',12443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251632,4.00,4.00,2.00,8.00,1.00,NULL,3.00,5.00,4.00,303,NULL,NULL,'UNIVERSITáRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3251640,2.00,5.00,2.00,6.00,6.00,5.75,2.00,6.00,3.00,9,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',13091,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3251659,7.00,6.00,4.00,7.00,6.00,7.00,4.00,6.00,9.00,205,NULL,NULL,'SãO JOSé OPERáRIO','RIO GRANDE','RS',3474,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3251667,4.00,5.00,2.00,7.00,6.00,4.75,3.00,6.00,2.00,234,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',12915,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3251675,2.00,4.00,5.00,6.00,4.00,4.50,5.00,5.00,5.00,103,NULL,NULL,'SANTA CATARINA','S LOURENçO OESTE','SC',10316,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3251691,4.00,3.00,4.00,8.00,6.00,4.25,3.00,7.00,5.00,201,NULL,207,'RIO VERMELHO','FLORIANóPOLIS','SC',10301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251705,4.00,6.00,3.00,7.00,5.00,6.00,3.00,6.00,5.00,310,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',8313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251713,4.00,4.00,4.00,4.00,5.00,6.50,2.00,5.00,3.00,216,NULL,201,'ESCOLINHA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3251721,2.00,3.00,1.00,4.00,4.00,NULL,3.00,1.00,2.00,316,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3251730,4.00,5.00,4.00,6.00,2.00,NULL,0.00,0.00,0.00,203,NULL,214,'RAICHASKI','IçARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(16,3251748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PARANAVAí','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3251756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3251772,3.00,4.00,1.00,6.00,4.00,5.50,3.00,3.00,2.00,303,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3251799,4.00,4.00,2.00,8.00,5.00,6.75,3.00,5.00,4.00,104,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',11311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251802,4.00,6.00,5.00,7.00,5.00,5.50,2.00,6.00,6.00,207,NULL,201,'SãO CRISTóVãO','PASSO FUNDO','RS',7411,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3251810,3.00,4.00,2.00,3.00,2.00,NULL,1.00,4.00,2.00,104,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3251829,1.00,3.00,4.00,0.00,4.00,NULL,5.00,2.00,1.00,428,NULL,429,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251837,5.00,2.00,4.00,9.00,4.00,4.25,4.00,5.00,3.00,108,NULL,NULL,'ENSEADA','UBATUBA','SP',13177,300,NULL,NULL,NULL,NULL,NULL,5,1),(16,3251845,4.00,6.00,6.00,4.00,7.00,5.00,2.00,8.00,4.00,326,NULL,NULL,'CRUZEIRO DO SUL','CRICIUMA','SC',7048,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3251853,4.00,6.00,4.00,7.00,4.00,5.75,2.00,7.00,4.00,208,NULL,238,'JOSé MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3251870,5.00,3.00,4.00,7.00,6.00,4.50,2.00,7.00,2.00,303,NULL,NULL,'AMéRICA','JOINVILLE','SC',11075,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3251888,5.00,4.00,3.00,2.00,6.00,6.25,4.00,6.00,5.00,216,NULL,NULL,'FORTALEZA','BLUMENAU','SC',10756,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3251896,3.00,4.00,4.00,7.00,6.00,5.50,1.00,5.00,3.00,103,NULL,NULL,'SANTA BARBARA','CRICIúMA','SC',12512,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3251900,6.00,8.00,5.00,6.00,5.00,6.50,1.00,8.00,5.00,415,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',5958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251918,5.00,7.00,4.00,7.00,9.00,5.00,1.00,7.00,3.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251926,1.00,4.00,4.00,8.00,4.00,4.50,1.00,3.00,4.00,203,NULL,202,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251934,4.00,3.00,7.00,7.00,4.00,6.25,3.00,5.00,6.00,103,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',7433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251942,2.00,5.00,3.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'DANIELA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',4,1),(16,3251950,3.00,5.00,4.00,0.00,4.00,4.50,3.00,5.00,4.00,103,NULL,NULL,'VILA LENZI','JARAGUá SUL','SC',15139,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3251969,4.00,6.00,2.00,8.00,8.00,6.00,3.00,5.00,4.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251977,3.00,4.00,2.00,1.00,2.00,NULL,2.00,2.00,2.00,101,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3251985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PETRóPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3251993,9.00,9.00,5.00,6.00,8.00,4.50,6.00,7.00,7.00,211,NULL,233,'BORGO','BENTO GONçALVES','RS',1386,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3252000,2.00,5.00,3.00,6.00,6.00,6.25,3.00,2.00,2.00,302,NULL,NULL,'SERRARIA','S JOSé','SC',15438,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3252019,3.00,6.00,5.00,8.00,4.00,5.75,3.00,5.00,3.00,453,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',9890,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3252027,3.00,3.00,2.00,3.00,1.00,NULL,0.00,3.00,4.00,303,NULL,NULL,'MUNICIPIOS','CAçADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3252035,2.00,2.00,4.00,2.00,2.00,NULL,2.00,2.00,2.00,101,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3252043,6.00,4.00,5.00,5.00,6.00,5.50,3.00,5.00,5.00,212,NULL,215,'VILA MADALENA','S PAULO','SP',9377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JARDIM LINDóIA','GOIOERê','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3252078,2.00,5.00,4.00,7.00,5.00,5.75,3.00,3.00,3.00,103,NULL,NULL,'SãO SIMãO','CRICIúMA','SC',13613,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3252086,3.00,1.00,2.00,5.00,2.00,NULL,1.00,3.00,3.00,420,NULL,NULL,'SANTA CATARINA','SAO LOURENCO DO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3252094,0.00,2.00,2.00,4.00,4.00,NULL,0.00,4.00,1.00,303,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252108,6.00,5.00,5.00,8.00,8.00,7.75,4.00,6.00,6.00,450,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',3145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252116,4.00,6.00,4.00,6.00,5.00,4.75,2.00,6.00,4.00,501,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',11477,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3252124,4.00,6.00,5.00,6.00,3.00,NULL,4.00,7.00,2.00,203,NULL,201,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3252132,5.00,4.00,4.00,5.00,5.00,4.50,1.00,6.00,4.00,208,NULL,238,'CARIANOS','FLORIANóPOLIS','SC',12741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252140,4.00,4.00,4.00,6.00,5.00,5.50,5.00,4.00,5.00,304,NULL,NULL,'MICHEL','CRICIúMA','SC',10319,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3252159,0.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,203,NULL,214,'SEMINARIO','TAIó','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(16,3252167,3.00,6.00,2.00,9.00,6.00,4.50,3.00,6.00,1.00,238,NULL,208,'CENTRO','LAGES','SC',11769,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3252175,3.00,7.00,4.00,7.00,6.00,5.50,2.00,3.00,4.00,5,NULL,NULL,'CENTRO','LAGES','SC',10442,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3252183,5.00,4.00,3.00,1.00,5.00,4.75,1.00,7.00,5.00,5,NULL,NULL,'VILA NOVA','IMBITUBA','SC',13831,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3252191,7.00,7.00,5.00,9.00,8.00,6.50,4.00,6.00,6.00,215,NULL,216,'CENTRO','GAROPABA','SC',2097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252205,4.00,7.00,3.00,9.00,6.00,4.25,2.00,4.00,3.00,340,NULL,NULL,'PIONEIROS','BAL CAMBORIú','SC',9634,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3252213,4.00,6.00,4.00,9.00,4.00,6.00,2.00,6.00,2.00,303,NULL,NULL,'CENTRO','JOINVILLE','SC',10870,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3252221,3.00,4.00,3.00,4.00,7.00,5.75,2.00,5.00,3.00,223,NULL,NULL,'PRAINHA','FLORIANóPOLIS','SC',13244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252230,3.00,1.00,4.00,6.00,6.00,5.25,2.00,2.00,4.00,301,NULL,NULL,'CENTRO','NOVA VENEZA','SC',15838,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3252256,5.00,1.00,3.00,6.00,4.00,5.00,3.00,5.00,6.00,207,NULL,201,'SãO CRISTóVãO','LAGES','SC',13156,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3252264,7.00,6.00,7.00,8.00,7.00,6.50,6.00,6.00,6.00,220,NULL,203,'INTERLAGOS','S PAULO','SP',1625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252272,2.00,4.00,5.00,3.00,5.00,4.00,3.00,5.00,3.00,203,NULL,214,'PONTA DAS CANAS','FLORIANóPOLIS','SC',15492,903,NULL,472,NULL,NULL,NULL,4,1),(16,3252280,3.00,4.00,3.00,1.00,3.00,NULL,2.00,3.00,6.00,301,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252302,1.00,2.00,3.00,3.00,4.00,NULL,3.00,4.00,3.00,452,NULL,NULL,'JARDIM ATHANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3252310,1.00,1.00,3.00,2.00,3.00,NULL,1.00,1.00,1.00,404,NULL,NULL,'BELA VISTA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3252329,1.00,0.00,1.00,0.00,1.00,NULL,0.00,2.00,2.00,316,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3252337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,208,'VILA A','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3252345,2.00,2.00,4.00,7.00,2.00,NULL,2.00,2.00,3.00,102,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252353,3.00,6.00,2.00,0.00,4.00,NULL,0.00,3.00,1.00,303,NULL,NULL,'PINHEIROS','OTACíLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3252370,6.00,8.00,4.00,8.00,6.00,6.50,3.00,7.00,4.00,3,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',4367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252396,7.00,5.00,5.00,7.00,5.00,6.25,4.00,7.00,9.00,103,NULL,NULL,'VILA BELMIRO','SANTOS','SP',2873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'RAMOS','VIçOSA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3252426,5.00,3.00,2.00,2.00,0.00,NULL,2.00,2.00,3.00,203,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252434,3.00,3.00,2.00,6.00,2.00,NULL,2.00,1.00,4.00,318,NULL,NULL,'BALNEARIO ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252442,2.00,3.00,1.00,2.00,1.00,NULL,2.00,4.00,2.00,317,NULL,NULL,'SERTãO DO MARUIM','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3252477,6.00,3.00,3.00,4.00,6.00,5.50,2.00,5.00,2.00,207,NULL,208,'CENTRO','CRICIúMA','SC',13974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252485,4.00,3.00,2.00,2.00,1.00,NULL,2.00,4.00,1.00,108,NULL,NULL,'JUNDIá','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3252493,3.00,5.00,3.00,8.00,5.00,7.00,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','PANAMBI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252507,3.00,8.00,8.00,9.00,7.00,6.75,1.00,6.00,4.00,233,NULL,215,'TATUAPé','S PAULO','SP',4142,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3252515,3.00,3.00,2.00,3.00,7.00,NULL,1.00,3.00,2.00,404,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252523,2.00,1.00,3.00,5.00,4.00,4.75,4.00,2.00,3.00,103,NULL,NULL,'PINHEIROS','PATO BRANCO','PR',16631,2835,NULL,NULL,NULL,NULL,NULL,4,4),(16,3252531,3.00,5.00,3.00,5.00,6.00,5.00,3.00,5.00,4.00,502,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',11152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252540,1.00,0.00,3.00,2.00,2.00,NULL,2.00,0.00,0.00,208,NULL,238,'VILA SãO JOSé','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3252558,3.00,4.00,3.00,4.00,3.00,NULL,4.00,5.00,3.00,420,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252566,4.00,1.00,2.00,8.00,5.00,6.50,2.00,4.00,1.00,108,NULL,NULL,'BARREIROS','S JOSé','SC',15677,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3252574,7.00,4.00,4.00,4.00,8.00,6.00,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','CONCóRDIA','SC',6506,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3252582,2.00,4.00,2.00,2.00,3.00,NULL,2.00,6.00,2.00,103,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252590,3.00,4.00,2.00,3.00,2.00,NULL,0.00,3.00,2.00,317,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3252604,5.00,4.00,1.00,6.00,4.00,5.00,2.00,6.00,4.00,340,NULL,NULL,'CENTRO','S JOAQUIM','SC',12752,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3252612,3.00,4.00,1.00,4.00,1.00,NULL,3.00,4.00,0.00,238,NULL,208,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3252639,0.00,2.00,3.00,2.00,3.00,NULL,2.00,3.00,2.00,309,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3252647,3.00,3.00,4.00,6.00,3.00,NULL,2.00,5.00,4.00,328,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3252655,4.00,5.00,4.00,7.00,4.00,5.00,3.00,7.00,4.00,103,NULL,NULL,'VILLAGE','IMBITUBA','SC',10252,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3252663,2.00,7.00,7.00,4.00,4.00,4.50,4.00,9.00,4.00,203,NULL,216,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252671,8.00,6.00,8.00,8.00,6.00,6.25,4.00,8.00,7.00,238,NULL,208,'RIO TAVARES','FLORIANóPOLIS','SC',1366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252680,2.00,3.00,2.00,4.00,5.00,NULL,1.00,3.00,4.00,415,NULL,NULL,'OXFORD','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3252698,4.00,5.00,3.00,4.00,3.00,NULL,2.00,5.00,2.00,331,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3252701,3.00,3.00,4.00,5.00,5.00,6.25,3.00,6.00,5.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',10276,488,NULL,790,NULL,NULL,NULL,2,1),(16,3252710,5.00,1.00,1.00,4.00,3.00,NULL,1.00,2.00,4.00,108,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3252728,3.00,3.00,2.00,3.00,1.00,NULL,2.00,3.00,1.00,301,NULL,NULL,'POR DO SOL','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3252736,5.00,3.00,2.00,3.00,5.00,5.50,2.00,5.00,3.00,211,NULL,212,'CENTRO','ITAJAí','SC',15818,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3252744,4.00,5.00,4.00,3.00,6.00,5.00,1.00,5.00,5.00,332,NULL,NULL,'BARREIROS','S JOSé','SC',13014,39,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252752,6.00,7.00,2.00,3.00,5.00,5.75,2.00,7.00,3.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252779,5.00,5.00,4.00,3.00,6.00,6.75,2.00,5.00,3.00,104,NULL,NULL,'ESCOLA AGRICOLA','BLUMENAU','SC',12044,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3252787,4.00,4.00,3.00,5.00,5.00,4.50,2.00,4.00,3.00,201,NULL,203,'RIO TAVARES','FLORIANóPOLIS','SC',15769,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3252795,5.00,5.00,3.00,5.00,4.00,6.50,3.00,5.00,5.00,303,NULL,NULL,'CENTRO','URUSSANGA','SC',11653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252809,4.00,4.00,2.00,8.00,6.00,6.25,3.00,7.00,4.00,213,NULL,212,'CENTRO','CRICIúMA','SC',8239,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3252817,7.00,5.00,4.00,9.00,7.00,6.25,3.00,6.00,5.00,415,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',5299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3252825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'JARDIM SAO JOSé','CAçAPAVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3252833,4.00,3.00,6.00,5.00,3.00,NULL,2.00,6.00,1.00,428,NULL,426,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'BELA VISTA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3252850,5.00,2.00,2.00,8.00,5.00,6.00,4.00,5.00,2.00,303,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',12279,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3252868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S LOURENçO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3252876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM KERLAKIAN','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3252884,7.00,3.00,4.00,2.00,2.00,NULL,2.00,1.00,4.00,203,NULL,202,'CAMPINA DOS MAIA','PIêN','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3252906,2.00,4.00,1.00,6.00,5.00,4.75,2.00,3.00,2.00,415,NULL,NULL,'BARREIROS','S JOSé','SC',16586,422,NULL,NULL,NULL,NULL,NULL,2,1),(16,3252914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3252922,5.00,5.00,3.00,5.00,6.00,7.50,2.00,4.00,3.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252930,3.00,4.00,5.00,1.00,2.00,NULL,3.00,4.00,3.00,225,NULL,NULL,'JOTAESSE','TUPãSSI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252949,5.00,6.00,2.00,7.00,4.00,5.00,5.00,9.00,5.00,208,NULL,214,'JOãO PAULO','FLORIANóPOLIS','SC',7296,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3252957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VALE DO ITAMARACá','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3252965,3.00,7.00,5.00,8.00,5.00,6.75,5.00,7.00,5.00,216,NULL,238,'AGRONôMICA','FLORIANóPOLIS','SC',4907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3252990,5.00,4.00,4.00,6.00,3.00,NULL,1.00,7.00,5.00,201,NULL,207,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253015,1.00,3.00,2.00,6.00,5.00,NULL,2.00,4.00,1.00,102,NULL,NULL,'ABRAAO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3253031,5.00,5.00,4.00,2.00,3.00,NULL,2.00,5.00,5.00,319,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3253040,4.00,4.00,5.00,6.00,5.00,7.75,2.00,4.00,3.00,5,NULL,NULL,'SANTO ANTôNIO','PTO ALEGRE','RS',10413,381,NULL,NULL,NULL,NULL,NULL,4,5),(16,3253058,3.00,0.00,1.00,0.00,3.00,NULL,1.00,4.00,2.00,318,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253066,7.00,6.00,5.00,8.00,7.00,6.25,2.00,9.00,6.00,211,NULL,215,'BARREIROS','S JOSé','SC',4224,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3253074,9.00,6.00,8.00,9.00,8.00,7.25,8.00,8.00,8.00,103,NULL,NULL,'MOEMA','S PAULO','SP',102,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3253082,4.00,4.00,4.00,3.00,3.00,NULL,3.00,5.00,5.00,452,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253090,3.00,5.00,1.00,2.00,2.00,NULL,2.00,7.00,4.00,202,NULL,NULL,'ALBERTINA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3253104,5.00,3.00,5.00,0.00,0.00,NULL,3.00,3.00,4.00,103,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,8),(16,3253112,3.00,4.00,5.00,5.00,4.00,4.75,3.00,5.00,5.00,208,NULL,201,'COSTA E SILVA','JOINVILLE','SC',12568,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3253120,5.00,8.00,3.00,8.00,7.00,5.25,7.00,7.00,8.00,202,NULL,213,'CARVOEIRA','FLORIANóPOLIS','SC',2883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253139,4.00,0.00,1.00,7.00,2.00,NULL,3.00,3.00,3.00,102,NULL,NULL,'SAO VICENTE','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3253147,2.00,3.00,4.00,6.00,3.00,NULL,2.00,5.00,1.00,104,NULL,NULL,'BARRA DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3253155,2.00,2.00,2.00,1.00,2.00,NULL,3.00,4.00,3.00,201,NULL,202,'ROÇADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253171,5.00,6.00,2.00,1.00,3.00,NULL,1.00,2.00,2.00,212,NULL,213,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253180,3.00,4.00,2.00,7.00,3.00,NULL,2.00,4.00,2.00,326,NULL,NULL,'CENTRO','CATANDUVAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3253198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'BARRACãO','MRO FUMAçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3253201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'SANTA LUCIA','POçOS CALDAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3253210,4.00,6.00,4.00,7.00,3.00,NULL,3.00,6.00,6.00,316,NULL,NULL,'GRANJA VIANA','COTIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253228,6.00,3.00,7.00,2.00,4.00,7.00,5.00,9.00,7.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',5230,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3253236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'RESIDENCIAL UNIAO','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3253244,3.00,4.00,2.00,6.00,5.00,7.50,4.00,5.00,3.00,207,NULL,201,'CENTRO','PTO ALEGRE','RS',12390,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3253252,8.00,7.00,5.00,7.00,8.00,6.75,4.00,5.00,5.00,5,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',2842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3253260,6.00,5.00,3.00,4.00,6.00,5.00,1.00,7.00,4.00,326,NULL,NULL,'BUTANTA','S PAULO','SP',11658,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3253279,3.00,1.00,4.00,5.00,3.00,NULL,3.00,2.00,5.00,202,NULL,211,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'LAGO SUL','LG SUL','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3253295,2.00,1.00,1.00,3.00,2.00,NULL,2.00,1.00,4.00,308,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3253317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'IPIRANGA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3253325,6.00,7.00,5.00,7.00,6.00,4.75,3.00,7.00,6.00,303,NULL,NULL,'PEDRA BRANCA','PALHOçA','SC',5711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253333,3.00,5.00,2.00,5.00,6.00,6.75,5.00,5.00,5.00,415,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253341,5.00,3.00,3.00,4.00,5.00,4.50,2.00,5.00,5.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253350,5.00,5.00,3.00,9.00,7.00,5.75,2.00,5.00,4.00,201,NULL,203,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253368,4.00,4.00,2.00,6.00,4.00,5.25,3.00,4.00,5.00,201,NULL,207,'VILA PINTO','PALMEIRA MISSõES','RS',12847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3253376,5.00,3.00,4.00,3.00,4.00,5.00,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','MAFRA','SC',15411,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3253384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','GRAMADO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3253392,3.00,4.00,5.00,2.00,4.00,4.00,1.00,8.00,5.00,9,NULL,NULL,'VILA RAU','JARAGUá SUL','SC',13810,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3253414,3.00,3.00,1.00,4.00,5.00,4.75,4.00,5.00,3.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',15406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3253422,4.00,2.00,4.00,6.00,4.00,4.75,2.00,1.00,6.00,104,NULL,NULL,'CENTRO','CURITIBANOS','SC',14932,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3253449,6.00,6.00,7.00,7.00,6.00,6.50,5.00,3.00,8.00,233,NULL,238,'CAMPINAS','S JOSé','SC',4592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253457,4.00,1.00,3.00,4.00,5.00,NULL,2.00,3.00,2.00,102,NULL,NULL,'SANTA LUCIA','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3253465,8.00,5.00,5.00,7.00,6.00,5.50,5.00,6.00,6.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253473,4.00,2.00,2.00,4.00,4.00,NULL,0.00,5.00,3.00,317,NULL,NULL,'CENTRO','MRO FUMAçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3253481,2.00,3.00,1.00,4.00,5.00,NULL,2.00,2.00,3.00,223,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3253490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3253503,3.00,8.00,1.00,7.00,7.00,5.75,3.00,7.00,4.00,328,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',8486,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3253511,4.00,4.00,1.00,7.00,6.00,5.25,2.00,6.00,4.00,102,NULL,NULL,'IMPERIAL','CONCóRDIA','SC',11929,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3253520,5.00,6.00,3.00,8.00,8.00,4.75,6.00,7.00,4.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253546,3.00,2.00,3.00,5.00,5.00,NULL,1.00,3.00,3.00,303,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3253554,3.00,4.00,1.00,5.00,5.00,NULL,0.00,3.00,3.00,102,NULL,NULL,'JARDIM MINUANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3253562,2.00,1.00,2.00,3.00,1.00,NULL,4.00,2.00,2.00,316,NULL,NULL,'AGRONÔMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253570,4.00,5.00,2.00,4.00,5.00,4.75,2.00,4.00,4.00,331,NULL,NULL,'VILA NOVA','IMBITUBA','SC',14838,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3253589,3.00,3.00,2.00,7.00,3.00,NULL,5.00,5.00,5.00,101,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3253597,9.00,7.00,7.00,5.00,8.00,7.50,5.00,8.00,7.00,103,NULL,NULL,'JD EUROPA','SOROCABA','SP',1127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253600,8.00,9.00,5.00,7.00,6.00,7.25,4.00,7.00,6.00,103,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',2623,1005,NULL,NULL,NULL,NULL,NULL,2,2),(16,3253619,3.00,4.00,1.00,6.00,3.00,NULL,3.00,5.00,1.00,317,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3253627,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3253635,3.00,5.00,3.00,5.00,5.00,4.50,2.00,6.00,2.00,5,NULL,NULL,'CENTRO','LAGES','SC',13731,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3253643,4.00,4.00,2.00,7.00,5.00,5.00,3.00,7.00,6.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253651,4.00,3.00,2.00,6.00,2.00,NULL,2.00,5.00,3.00,211,NULL,203,'MARIA GORETTI','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3253678,5.00,4.00,4.00,7.00,7.00,5.50,6.00,6.00,6.00,303,NULL,NULL,'IMIGRANTES','CONCóRDIA','SC',6010,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3253686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA RITA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3253694,5.00,5.00,3.00,8.00,2.00,NULL,2.00,7.00,3.00,203,NULL,202,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3253708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,208,'SãO BRAZ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3253716,2.00,3.00,1.00,3.00,3.00,NULL,1.00,3.00,3.00,333,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3253724,3.00,6.00,3.00,6.00,4.00,4.00,5.00,3.00,3.00,303,NULL,NULL,'PEDRA BRANCA','PALHOçA','SC',13434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253732,4.00,3.00,2.00,3.00,5.00,4.75,3.00,4.00,1.00,207,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',16425,852,NULL,NULL,NULL,NULL,NULL,4,10),(16,3253740,2.00,2.00,6.00,4.00,5.00,5.75,3.00,2.00,4.00,202,NULL,213,'OPERARIA NOVA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3253759,4.00,3.00,1.00,9.00,0.00,NULL,2.00,3.00,4.00,303,NULL,NULL,'VELHA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3253767,2.00,3.00,5.00,6.00,4.00,4.75,4.00,4.00,3.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',15334,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3253775,6.00,5.00,3.00,0.00,6.00,4.00,4.00,7.00,3.00,310,NULL,NULL,'JARDIM SATELITE','S JOSé CAMPOS','SP',12504,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3253791,5.00,1.00,3.00,4.00,4.00,4.75,5.00,3.00,5.00,303,NULL,NULL,'CENTRO','URUSSANGA','SC',14730,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3253805,5.00,8.00,5.00,5.00,6.00,4.25,4.00,7.00,0.00,203,NULL,202,'MALUCHE','BRUSQUE','SC',8856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253813,4.00,6.00,3.00,8.00,4.00,6.25,3.00,6.00,4.00,201,NULL,207,'CRISTO REI','IçARA','SC',9523,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3253821,3.00,3.00,2.00,1.00,5.00,NULL,3.00,2.00,5.00,108,NULL,NULL,'JD SANTO ANTONINHO','OSASCO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253830,4.00,2.00,1.00,7.00,4.00,5.50,5.00,5.00,5.00,220,NULL,208,'SãO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3253864,5.00,3.00,4.00,3.00,2.00,NULL,2.00,5.00,3.00,301,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3253872,7.00,9.00,7.00,8.00,8.00,6.50,6.00,8.00,8.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,216,'PRAIA DO SONHO','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3253902,3.00,5.00,7.00,5.00,2.00,NULL,3.00,4.00,3.00,201,NULL,212,'CENTRO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3253910,4.00,5.00,1.00,5.00,3.00,NULL,2.00,3.00,1.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3253953,3.00,3.00,4.00,6.00,3.00,NULL,0.00,0.00,3.00,316,NULL,NULL,'CENTRO','S LOURENçO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3253961,4.00,6.00,3.00,7.00,6.00,5.50,3.00,7.00,2.00,103,NULL,NULL,'CERUTTI','STA BáRBARA SUL','RS',10460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3253970,5.00,4.00,3.00,1.00,2.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'CENTRO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3253988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3253996,3.00,2.00,4.00,7.00,4.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(16,3254003,5.00,2.00,2.00,7.00,4.00,5.75,1.00,6.00,2.00,501,NULL,NULL,'CENTRO','JOAçABA','SC',14931,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3254011,5.00,4.00,6.00,2.00,2.00,NULL,2.00,5.00,5.00,203,NULL,220,'ZONA RURAL','TUNáPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3254020,6.00,6.00,6.00,9.00,6.00,6.50,7.00,6.00,8.00,2,NULL,NULL,'ALTO DA BOA VISTA','RIBEIRãO PRETO','SP',1667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254038,3.00,5.00,2.00,7.00,7.00,7.00,3.00,4.00,3.00,425,NULL,429,'INGLESES','FLORIANóPOLIS','SC',11541,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3254046,5.00,7.00,3.00,7.00,5.00,6.75,2.00,7.00,5.00,303,NULL,NULL,'SãO CRISTOVãO','CHAPECó','SC',6626,303,NULL,NULL,NULL,NULL,NULL,4,4),(16,3254054,7.00,6.00,2.00,6.00,4.00,5.75,2.00,7.00,4.00,503,NULL,NULL,'SANTA MÔNICA','FLORIANOPOLIS','SC',8551,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3254062,5.00,4.00,5.00,9.00,6.00,5.75,5.00,8.00,4.00,301,NULL,NULL,'CAPITAIS','TIMBó','SC',4965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254089,3.00,3.00,1.00,0.00,4.00,NULL,2.00,2.00,2.00,502,NULL,NULL,'MENINO DEUS','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254100,2.00,5.00,3.00,1.00,4.00,NULL,2.00,4.00,3.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254127,2.00,1.00,2.00,3.00,3.00,NULL,2.00,2.00,5.00,308,NULL,NULL,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3254135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'PEREQUê Açú','UBATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3254143,3.00,4.00,2.00,3.00,6.00,5.75,2.00,5.00,3.00,425,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254151,4.00,4.00,6.00,9.00,6.00,6.00,3.00,8.00,4.00,207,NULL,201,'JARDIM LA SALLE','TOLEDO','PR',6089,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3254160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3254178,5.00,5.00,7.00,2.00,4.00,5.50,4.00,6.00,5.00,213,NULL,202,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',8560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254186,4.00,6.00,5.00,7.00,5.00,4.75,5.00,6.00,7.00,201,NULL,211,'CENTRO','FLORIANóPOLIS','SC',5676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254208,3.00,2.00,1.00,2.00,5.00,NULL,3.00,3.00,3.00,102,NULL,NULL,'CENTRO','CAçADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3254224,4.00,4.00,4.00,4.00,5.00,5.50,4.00,6.00,4.00,203,NULL,202,'CENTRO','JANDAIA SUL','PR',10469,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3254232,7.00,7.00,4.00,8.00,6.00,6.50,2.00,7.00,6.00,103,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',4857,1468,NULL,NULL,NULL,NULL,NULL,2,1),(16,3254240,2.00,3.00,1.00,3.00,5.00,NULL,2.00,4.00,2.00,339,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3254259,3.00,4.00,2.00,6.00,4.00,7.00,2.00,3.00,1.00,103,NULL,NULL,'CAMPINAS','S JOSé','SC',16192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254267,2.00,5.00,4.00,5.00,2.00,NULL,3.00,2.00,3.00,331,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3254283,3.00,4.00,2.00,1.00,4.00,5.75,2.00,6.00,4.00,319,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',15480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SãO PELEGRINO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3254305,5.00,5.00,3.00,8.00,6.00,6.25,4.00,4.00,5.00,207,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3254313,4.00,6.00,5.00,8.00,3.00,NULL,3.00,3.00,3.00,453,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254321,7.00,8.00,4.00,4.00,5.00,6.00,4.00,7.00,4.00,102,NULL,NULL,'CENTRO','TROMBUDO CENTRAL','SC',7108,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3254330,3.00,5.00,2.00,7.00,5.00,4.25,1.00,6.00,3.00,340,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',14863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254348,4.00,6.00,5.00,5.00,6.00,5.00,1.00,4.00,2.00,103,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',13186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3254364,3.00,2.00,2.00,5.00,3.00,NULL,2.00,2.00,4.00,203,NULL,214,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3254372,4.00,5.00,4.00,3.00,3.00,NULL,3.00,6.00,2.00,201,NULL,207,'BOA VISTA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3254380,8.00,7.00,6.00,8.00,7.00,5.75,4.00,8.00,6.00,326,NULL,NULL,'GRANJA VIANA','CARAPICUíBA','SP',1682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254399,8.00,7.00,6.00,8.00,6.00,6.00,5.00,7.00,7.00,220,NULL,208,'VILA RICA','CPO GRANDE','MS',1873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254402,7.00,5.00,4.00,7.00,6.00,5.00,3.00,8.00,4.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',6321,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3254410,1.00,0.00,3.00,4.00,1.00,NULL,3.00,2.00,1.00,319,NULL,NULL,'CENTRO','GUARUJá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3254429,7.00,9.00,6.00,6.00,7.00,6.50,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254437,3.00,5.00,3.00,2.00,4.00,4.50,4.00,6.00,3.00,208,NULL,214,'AREIAS','S JOSé','SC',14810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254453,7.00,7.00,2.00,8.00,5.00,5.25,2.00,6.00,4.00,102,NULL,NULL,'VILA LEOPOLDINA','S PAULO','SP',7118,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3254461,6.00,8.00,8.00,8.00,6.00,7.00,5.00,8.00,6.00,207,NULL,NULL,'STO ANTONIO DE LISB','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254470,2.00,5.00,3.00,4.00,2.00,NULL,4.00,3.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254488,4.00,3.00,4.00,6.00,7.00,5.00,3.00,4.00,6.00,216,NULL,208,'PQ DAS ANDORINHAS','RIBEIRãO PRETO','SP',10581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254496,4.00,5.00,5.00,7.00,4.00,5.75,3.00,6.00,4.00,203,NULL,202,'RIBEIRÃO FRESCO','BLUMENAU','SC',9086,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3254500,4.00,4.00,5.00,5.00,5.00,7.00,3.00,5.00,5.00,420,NULL,NULL,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',9823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3254518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'JARDIM SANTA Fé','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3254526,7.00,6.00,6.00,7.00,6.00,6.25,4.00,4.00,6.00,215,NULL,216,'JD DAS INDúSTRIAS','S JOSé CAMPOS','SP',4560,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3254534,6.00,4.00,4.00,5.00,4.00,5.50,1.00,4.00,3.00,501,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12816,99,NULL,NULL,NULL,NULL,NULL,2,1),(16,3254550,7.00,5.00,5.00,3.00,5.00,4.50,4.00,6.00,5.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CHACARA CACHOEIRA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3254577,2.00,6.00,2.00,2.00,4.00,5.75,3.00,5.00,3.00,426,NULL,424,'TRINDADE','FLORIANóPOLIS','SC',15368,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3254585,3.00,2.00,4.00,5.00,2.00,NULL,1.00,4.00,2.00,104,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254593,5.00,7.00,4.00,5.00,6.00,7.25,1.00,7.00,3.00,328,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3254615,5.00,7.00,3.00,8.00,6.00,6.25,4.00,7.00,7.00,303,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',4825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254623,3.00,1.00,1.00,5.00,1.00,NULL,2.00,1.00,1.00,301,NULL,NULL,'MORRO DA BINA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3254640,6.00,6.00,6.00,8.00,6.00,4.75,2.00,8.00,8.00,340,NULL,NULL,'HUMAITA','PTO ALEGRE','RS',3578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254658,6.00,4.00,8.00,9.00,4.00,5.75,5.00,4.00,6.00,220,NULL,208,'PARQUE INDUSTRIAL','S JOSé CAMPOS','SP',4615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254666,5.00,2.00,3.00,2.00,5.00,6.25,1.00,7.00,3.00,303,NULL,NULL,'CENTRO','TURVO','SC',15088,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3254674,5.00,3.00,2.00,0.00,3.00,NULL,2.00,6.00,4.00,102,NULL,NULL,'GARCIA','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254682,8.00,7.00,9.00,7.00,8.00,7.25,7.00,7.00,7.00,222,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254690,6.00,6.00,4.00,8.00,7.00,7.25,3.00,7.00,5.00,103,NULL,NULL,'DOIS PINHEIROS','VIDEIRA','SC',5219,1537,NULL,NULL,NULL,NULL,NULL,4,9),(16,3254704,5.00,3.00,2.00,3.00,5.00,4.00,2.00,5.00,2.00,326,NULL,NULL,'ATIRADORES','JOINVILLE','SC',16108,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3254712,3.00,3.00,3.00,6.00,3.00,NULL,0.00,6.00,5.00,340,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3254720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'JD ANA MARIA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3254739,7.00,5.00,4.00,6.00,7.00,5.75,4.00,6.00,3.00,203,NULL,214,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254747,6.00,6.00,3.00,7.00,4.00,4.25,2.00,7.00,5.00,301,NULL,NULL,'VILA NOVA SOCORRO','MOGI CRUZES','SP',9543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254755,4.00,3.00,4.00,7.00,5.00,6.50,2.00,4.00,4.00,301,NULL,NULL,'CENTRO','ORLEANS','SC',13002,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3254763,7.00,8.00,4.00,6.00,4.00,6.75,4.00,6.00,5.00,103,NULL,NULL,'GUARA','CAMPINAS','SP',4688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','S SEBASTIãO PARAíSO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3254780,6.00,4.00,7.00,5.00,6.00,6.25,5.00,8.00,4.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',4648,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3254798,1.00,2.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,215,NULL,220,'SACO DOS LIMÕES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3254801,4.00,4.00,2.00,3.00,4.00,5.25,1.00,3.00,4.00,308,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',16282,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3254810,4.00,3.00,4.00,6.00,1.00,NULL,1.00,4.00,2.00,207,NULL,201,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254836,5.00,5.00,5.00,5.00,6.00,7.00,4.00,5.00,7.00,5,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',5881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254844,9.00,7.00,6.00,9.00,6.00,5.75,6.00,7.00,7.00,203,NULL,214,'HAMBURGO VELHO','NOVO HAMBURGO','RS',1287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254852,4.00,2.00,2.00,4.00,3.00,NULL,3.00,1.00,1.00,404,NULL,NULL,'CENTRO','S BONIFáCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3254860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3254879,5.00,4.00,5.00,6.00,6.00,4.50,3.00,3.00,6.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10513,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3254887,1.00,4.00,2.00,4.00,5.00,NULL,2.00,4.00,3.00,9,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3254895,4.00,5.00,3.00,6.00,3.00,NULL,0.00,3.00,3.00,207,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3254909,3.00,4.00,4.00,1.00,3.00,NULL,1.00,2.00,0.00,104,NULL,NULL,'FLORESTA','RIO CAMPO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3254917,3.00,5.00,1.00,7.00,4.00,0.00,5.00,4.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254925,5.00,4.00,2.00,5.00,4.00,4.75,1.00,4.00,5.00,203,NULL,201,'MICHEL','CRICIúMA','SC',14762,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3254933,2.00,5.00,4.00,4.00,3.00,NULL,3.00,6.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3254941,6.00,5.00,7.00,7.00,8.00,5.25,6.00,7.00,9.00,216,NULL,213,'CENTRO','SERTãO','RS',1606,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3254950,3.00,7.00,3.00,6.00,6.00,5.25,4.00,6.00,3.00,304,NULL,NULL,'NOSSA SENHORA DO ROS','S JOSé','SC',9011,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3254976,1.00,1.00,1.00,2.00,3.00,NULL,3.00,2.00,3.00,308,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3254984,9.00,8.00,6.00,8.00,8.00,7.25,5.00,7.00,8.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',602,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3254992,4.00,6.00,4.00,8.00,6.00,6.00,3.00,7.00,3.00,104,NULL,NULL,'EUGêNIO SCHNEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3255000,7.00,5.00,3.00,8.00,6.00,6.75,6.00,8.00,3.00,3,NULL,NULL,'VELHA','BLUMENAU','SC',4408,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3255018,2.00,5.00,5.00,7.00,6.00,5.00,3.00,7.00,4.00,450,NULL,NULL,'CASTELO BRANCO NOVO','RIBEIRãO PRETO','SP',8511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255026,2.00,1.00,3.00,2.00,1.00,NULL,4.00,0.00,2.00,101,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3255034,3.00,4.00,4.00,8.00,8.00,6.25,2.00,6.00,3.00,201,NULL,212,'RIO BRANCO','SAO LEOPOLDO','RS',9444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3255042,3.00,4.00,4.00,6.00,5.00,4.50,3.00,6.00,5.00,340,NULL,NULL,'CENTRO','TUBARãO','SC',10582,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3255050,6.00,5.00,8.00,8.00,6.00,5.00,5.00,7.00,7.00,220,NULL,208,'BOSQUE DA SAUDE','CUIABA','MT',2835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255069,1.00,6.00,2.00,7.00,4.00,5.00,2.00,8.00,3.00,317,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',12835,109,NULL,NULL,NULL,NULL,NULL,2,1),(16,3255077,4.00,3.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3255085,2.00,3.00,5.00,1.00,6.00,5.50,2.00,6.00,2.00,308,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',16081,57,NULL,NULL,NULL,NULL,NULL,2,1),(16,3255093,3.00,6.00,2.00,7.00,1.00,NULL,1.00,6.00,4.00,453,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255107,5.00,5.00,3.00,2.00,4.00,3.00,2.00,6.00,4.00,207,NULL,211,'SAO JOAO','ITAPEVI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255123,3.00,5.00,3.00,6.00,7.00,6.75,1.00,5.00,3.00,415,NULL,NULL,'CENTRO','PALHOçA','SC',11508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'NAçõES','TIMBó','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3255140,3.00,3.00,3.00,1.00,3.00,NULL,2.00,4.00,3.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255158,4.00,0.00,2.00,5.00,2.00,NULL,5.00,4.00,3.00,208,NULL,203,'POVOAçãO DA BARRA','S JOSé NORTE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3255174,4.00,3.00,2.00,0.00,2.00,NULL,2.00,2.00,4.00,104,NULL,NULL,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3255182,8.00,7.00,7.00,9.00,7.00,5.50,5.00,6.00,6.00,211,NULL,216,'PERDIZES','S PAULO','SP',1381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255190,3.00,3.00,3.00,2.00,3.00,NULL,2.00,5.00,2.00,207,NULL,201,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3255204,3.00,4.00,2.00,3.00,2.00,NULL,3.00,4.00,4.00,304,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3255212,4.00,3.00,3.00,2.00,3.00,NULL,1.00,5.00,5.00,317,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3255220,5.00,2.00,6.00,6.00,2.00,NULL,5.00,6.00,4.00,203,NULL,207,'JARDIM APUCARANA','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3255239,5.00,3.00,2.00,2.00,2.00,NULL,3.00,2.00,3.00,216,NULL,233,'FREI BRUNO','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3255247,4.00,7.00,3.00,8.00,7.00,5.50,4.00,6.00,4.00,420,NULL,NULL,'CENTRO','NOVA TRENTO','SC',7488,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3255271,8.00,9.00,4.00,8.00,8.00,7.00,4.00,8.00,7.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255280,8.00,6.00,6.00,6.00,6.00,6.25,4.00,7.00,6.00,302,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',3228,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3255298,4.00,5.00,3.00,7.00,4.00,6.25,1.00,5.00,4.00,319,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',11662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255301,3.00,2.00,2.00,3.00,2.00,NULL,4.00,4.00,2.00,5,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3255310,1.00,1.00,2.00,2.00,2.00,NULL,3.00,1.00,4.00,444,NULL,NULL,'JARDIM AQUARIOS','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3255328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'MASSARANDUBA BAIXO','MASSARANDUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3255336,7.00,4.00,5.00,5.00,5.00,5.75,2.00,6.00,4.00,216,NULL,203,'INTERIOR','XAXIM','SC',8531,312,NULL,640,NULL,NULL,NULL,4,4),(16,3255352,4.00,4.00,4.00,8.00,3.00,NULL,2.00,6.00,2.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3255360,8.00,7.00,7.00,9.00,6.00,6.50,3.00,7.00,7.00,303,NULL,NULL,'JARDIM SALESSI','ITATIBA','SP',1255,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3255379,1.00,6.00,4.00,4.00,2.00,NULL,4.00,4.00,5.00,220,NULL,208,'CENTRO','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3255395,4.00,5.00,4.00,1.00,4.00,6.25,2.00,4.00,5.00,233,NULL,215,'ESCOLA AGRíCOLA','BLUMENAU','SC',13407,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3255417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PINHEIRO','LONTRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3255425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3255433,5.00,3.00,1.00,5.00,5.00,6.75,3.00,4.00,5.00,503,NULL,NULL,'INGLESES DO RIO VERM','FLORIANóPOLIS','SC',12908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3255441,6.00,8.00,6.00,8.00,7.00,6.00,3.00,7.00,5.00,303,NULL,NULL,'GARCIA','BLUMENAU','SC',3689,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3255450,3.00,6.00,6.00,3.00,7.00,6.00,2.00,5.00,5.00,304,NULL,NULL,'CZERNIEWCZ','JARAGUá SUL','SC',9161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255468,3.00,2.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,238,NULL,208,'FLOR DE NAPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3255476,5.00,4.00,4.00,5.00,4.00,5.50,3.00,6.00,5.00,212,NULL,211,'CóRREGO GRANDE','FLORIANóPOLIS','SC',10699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255484,3.00,4.00,2.00,1.00,3.00,NULL,0.00,0.00,4.00,104,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255492,6.00,7.00,4.00,9.00,8.00,8.25,1.00,7.00,5.00,103,NULL,NULL,'BQ DOS EUCALIPTOS','S JOSé CAMPOS','SP',3326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255506,4.00,4.00,6.00,0.00,5.00,NULL,3.00,6.00,5.00,225,NULL,NULL,'SAGRADO CORAçAO DE J','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3255514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'BRACATINGA','PRUDENTóPOLIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3255522,2.00,4.00,2.00,5.00,4.00,6.75,4.00,6.00,4.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255549,5.00,0.00,5.00,1.00,5.00,5.25,1.00,6.00,2.00,238,NULL,208,'SãO JOãO','TUBARãO','SC',16005,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3255557,5.00,6.00,3.00,3.00,3.00,NULL,1.00,5.00,2.00,214,NULL,212,'NEGRãO DE LIMA','GOIâNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255565,7.00,7.00,4.00,6.00,4.00,5.25,3.00,6.00,4.00,212,NULL,238,'CARIANOS','FLORIANóPOLIS','SC',8578,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3255581,7.00,7.00,7.00,8.00,4.00,6.50,5.00,7.00,7.00,207,NULL,201,'PINHEIROS','S PAULO','SP',1909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255590,7.00,7.00,3.00,4.00,4.00,5.75,4.00,8.00,5.00,5,NULL,NULL,'BELA VISTA','PALHOçA','SC',7321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3255603,7.00,4.00,5.00,7.00,5.00,5.00,2.00,5.00,4.00,234,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255611,4.00,3.00,2.00,4.00,5.00,4.00,2.00,3.00,4.00,502,NULL,NULL,'MONTE ALEGRE','RIBEIRãO PRETO','SP',15645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255620,6.00,7.00,6.00,8.00,7.00,5.75,5.00,8.00,6.00,213,NULL,212,'JARDIM ELITE','PIRACICABA','SP',1721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255638,7.00,4.00,4.00,9.00,3.00,NULL,2.00,6.00,5.00,103,NULL,NULL,'VILA JARDIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3255646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,216,'JARDIM COLINA VERDE','GOIOERê','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3255654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3255662,5.00,7.00,7.00,6.00,5.00,6.50,6.00,9.00,5.00,303,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',3100,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3255689,2.00,0.00,1.00,3.00,3.00,NULL,3.00,3.00,2.00,103,NULL,NULL,'UNIVERSITARIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3255697,2.00,2.00,1.00,2.00,5.00,NULL,3.00,3.00,3.00,319,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IOMERê','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3255727,1.00,1.00,2.00,1.00,3.00,NULL,2.00,4.00,2.00,215,NULL,211,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255735,7.00,4.00,3.00,0.00,5.00,6.00,5.00,5.00,6.00,104,NULL,NULL,'CENTRO','FREDERICO WESTPHALEN','RS',11728,318,NULL,NULL,NULL,NULL,NULL,4,4),(16,3255743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3255751,5.00,5.00,5.00,5.00,7.00,6.50,7.00,5.00,5.00,216,NULL,233,'JARDIM BLUMENAU','BLUMENAU','SC',5291,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3255760,1.00,2.00,1.00,7.00,3.00,NULL,1.00,0.00,2.00,444,NULL,NULL,'VILA NOVA','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3255778,4.00,6.00,2.00,5.00,3.00,NULL,4.00,6.00,4.00,212,NULL,208,'SãO SEBASTIãO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3255794,3.00,4.00,1.00,3.00,1.00,NULL,3.00,4.00,3.00,425,NULL,423,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255808,7.00,5.00,4.00,9.00,6.00,5.75,4.00,8.00,4.00,103,NULL,NULL,'VILA NOVA','IMBITUBA','SC',4729,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3255816,6.00,7.00,6.00,8.00,6.00,7.75,2.00,9.00,7.00,203,NULL,214,'NOVA ESTRELA','ARABUTã','SC',2437,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3255824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM LUANDA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3255832,2.00,1.00,3.00,2.00,4.00,NULL,3.00,3.00,2.00,302,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ABISCINIA','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3255859,6.00,5.00,3.00,7.00,4.00,6.00,3.00,5.00,6.00,340,NULL,NULL,'BARRACãO','BENTO GONçALVES','RS',9831,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3255867,3.00,5.00,4.00,5.00,2.00,NULL,2.00,4.00,3.00,211,NULL,214,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3255875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CECILIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3255883,5.00,7.00,3.00,7.00,4.00,6.00,3.00,6.00,4.00,331,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',8184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3255891,4.00,1.00,4.00,1.00,2.00,NULL,3.00,2.00,3.00,502,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3255905,5.00,7.00,1.00,2.00,3.00,NULL,2.00,8.00,4.00,103,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3255956,3.00,4.00,3.00,8.00,5.00,3.25,2.00,2.00,5.00,2,NULL,NULL,'EUGêNIO SCHNEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255964,5.00,2.00,4.00,2.00,5.00,4.50,3.00,4.00,4.00,108,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',15009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3255980,3.00,2.00,3.00,3.00,4.00,5.50,4.00,5.00,2.00,104,NULL,NULL,'CENTRO','FORQUILHINHA','SC',16546,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3255999,2.00,5.00,3.00,5.00,4.00,6.00,3.00,4.00,3.00,102,NULL,NULL,'CENTRO','ITUPORANGA','SC',14384,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3256006,6.00,4.00,2.00,6.00,5.00,6.50,3.00,5.00,2.00,216,NULL,201,'DOM BOSCO','ITAJAí','SC',12408,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3256014,8.00,6.00,6.00,7.00,8.00,7.50,3.00,7.00,7.00,103,NULL,NULL,'BAEPENDI','JARAGUá SUL','SC',2371,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3256022,3.00,4.00,2.00,8.00,6.00,6.75,2.00,4.00,5.00,215,NULL,NULL,'COOPERLOTES','PAULíNIA','SP',10952,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3256030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3256049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'DUQUE DE CAXIAS II','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3256057,2.00,2.00,1.00,1.00,2.00,NULL,2.00,2.00,2.00,301,NULL,NULL,'JARDIM SILVANA','IçARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3256065,4.00,5.00,2.00,4.00,0.00,NULL,1.00,3.00,2.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256081,3.00,2.00,3.00,6.00,4.00,3.00,2.00,4.00,5.00,444,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3256090,3.00,3.00,3.00,2.00,2.00,NULL,3.00,3.00,2.00,444,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256103,5.00,6.00,3.00,9.00,7.00,7.00,3.00,8.00,3.00,103,NULL,NULL,'VILA RUBI','S JOSé CAMPOS','SP',5078,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3256111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3256120,3.00,2.00,2.00,1.00,2.00,NULL,2.00,2.00,3.00,316,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3256138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3256146,3.00,5.00,2.00,4.00,3.00,NULL,2.00,5.00,3.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3256154,3.00,5.00,5.00,7.00,6.00,5.75,1.00,5.00,5.00,216,NULL,233,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',9411,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3256162,3.00,8.00,5.00,6.00,8.00,7.00,4.00,9.00,4.00,415,NULL,NULL,'FáTIMA','PANAMBI','RS',4230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256170,9.00,7.00,4.00,9.00,9.00,6.50,5.00,9.00,8.00,103,NULL,NULL,'SAGUAçU','JOINVILLE','SC',677,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3256189,4.00,5.00,3.00,9.00,4.00,5.50,3.00,5.00,5.00,103,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3256197,0.00,0.00,0.00,7.00,3.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'COMERCIARIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(16,3256200,5.00,3.00,3.00,7.00,4.00,5.25,4.00,6.00,3.00,103,NULL,NULL,'TERMAS','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3256219,6.00,8.00,3.00,3.00,6.00,6.75,2.00,6.00,6.00,310,NULL,NULL,'PARAGEM DOS VERDES C','GRAVATAí','RS',6549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256227,3.00,6.00,7.00,7.00,6.00,5.25,3.00,7.00,6.00,212,NULL,233,'VILA GENY','LORENA','SP',5089,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3256235,5.00,0.00,1.00,2.00,2.00,NULL,4.00,2.00,2.00,108,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3256243,8.00,7.00,8.00,9.00,7.00,6.75,5.00,8.00,8.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256251,5.00,4.00,4.00,6.00,6.00,7.50,3.00,4.00,5.00,303,NULL,NULL,'VIEIRAS','JARAGUá SUL','SC',8773,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3256260,1.00,0.00,1.00,3.00,6.00,NULL,1.00,5.00,3.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3256278,2.00,4.00,1.00,3.00,1.00,NULL,1.00,6.00,3.00,501,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256286,3.00,6.00,4.00,4.00,2.00,NULL,3.00,5.00,6.00,201,NULL,212,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3256294,4.00,4.00,8.00,6.00,3.00,NULL,1.00,6.00,4.00,415,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256308,7.00,8.00,2.00,6.00,6.00,6.00,3.00,8.00,7.00,104,NULL,NULL,'CRUZEIRO DO SUL','CRICIúMA','SC',5305,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3256316,5.00,3.00,2.00,2.00,4.00,NULL,0.00,4.00,4.00,319,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','CASTRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3256340,5.00,8.00,5.00,5.00,5.00,6.50,3.00,8.00,6.00,208,NULL,238,'SACO DOS LIMõES','FLORIANóPOLIS','SC',3930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256359,4.00,6.00,6.00,1.00,6.00,6.75,4.00,6.00,7.00,5,NULL,NULL,'SANTO INáCIO','STA CRUZ SUL','RS',6523,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3256367,5.00,5.00,5.00,9.00,5.00,4.75,2.00,6.00,4.00,207,NULL,216,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256383,2.00,4.00,4.00,7.00,3.00,NULL,3.00,6.00,2.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256391,5.00,5.00,1.00,9.00,5.00,6.50,3.00,6.00,3.00,319,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256405,8.00,8.00,5.00,8.00,7.00,4.75,4.00,6.00,7.00,213,NULL,238,'ITAGUAçU','FLORIANóPOLIS','SC',2059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256413,3.00,3.00,2.00,2.00,5.00,4.25,4.00,6.00,4.00,108,NULL,NULL,'CIRO NARDI','CASCAVEL','PR',15979,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3256421,2.00,4.00,2.00,1.00,2.00,NULL,2.00,3.00,2.00,444,NULL,NULL,'LOMBA','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3256430,7.00,6.00,6.00,9.00,8.00,5.50,7.00,7.00,6.00,420,NULL,NULL,'CANUDOS','NOVO HAMBURGO','RS',1389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256448,7.00,8.00,9.00,6.00,6.00,6.00,4.00,8.00,8.00,201,NULL,213,'CóRREGO GRANDE','FLORIANóPOLIS','SC',955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256456,3.00,2.00,3.00,3.00,2.00,NULL,3.00,3.00,2.00,420,NULL,NULL,'JURERE INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3256464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3256472,2.00,5.00,4.00,7.00,5.00,4.25,3.00,5.00,4.00,316,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',11544,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3256480,6.00,6.00,4.00,9.00,8.00,6.75,6.00,8.00,6.00,213,NULL,202,'CENTRO','RIO SUL','SC',1678,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3256499,5.00,4.00,5.00,8.00,4.00,5.75,4.00,5.00,5.00,216,NULL,202,'CACUPé','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256502,5.00,5.00,4.00,6.00,4.00,5.00,4.00,6.00,4.00,201,NULL,NULL,'JARDIM','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3256529,7.00,5.00,4.00,7.00,6.00,5.25,4.00,4.00,4.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7195,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3256537,4.00,6.00,2.00,1.00,4.00,5.00,1.00,7.00,1.00,501,NULL,NULL,'COQUIROS','FLORIANóPOLIS','SC',15851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256545,8.00,7.00,9.00,9.00,8.00,6.50,5.00,7.00,8.00,203,NULL,202,'VILA MOEMA','TUBARãO','SC',406,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3256553,7.00,4.00,3.00,7.00,5.00,5.75,5.00,6.00,5.00,103,NULL,NULL,'AMéRICA','JOINVILLE','SC',6757,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3256561,7.00,4.00,3.00,7.00,7.00,5.00,4.00,5.00,5.00,304,NULL,NULL,'CAMPINAS','S JOSé','SC',8255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256570,5.00,7.00,6.00,6.00,8.00,5.50,4.00,5.00,4.00,340,NULL,NULL,'SANTA Fé','TAUBATé','SP',5707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3256596,7.00,7.00,5.00,8.00,4.00,6.25,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','MANDAGUARI','PR',5701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3256600,3.00,4.00,4.00,4.00,4.00,4.50,2.00,4.00,4.00,5,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3256618,3.00,3.00,3.00,2.00,2.00,NULL,2.00,1.00,3.00,207,NULL,201,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3256626,4.00,6.00,2.00,5.00,3.00,NULL,2.00,4.00,3.00,222,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3256634,1.00,3.00,2.00,3.00,5.00,NULL,1.00,0.00,4.00,444,NULL,NULL,'FAZEN SANTO ANTôNIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JOÃO PAULO II','REALEZA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3256669,8.00,8.00,9.00,4.00,7.00,5.50,6.00,8.00,7.00,103,NULL,NULL,'PIO CORREA','CRICIúMA','SC',1346,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3256685,6.00,7.00,3.00,7.00,4.00,6.25,4.00,7.00,6.00,103,NULL,NULL,'SãO JUDAS','ITAJAí','SC',5933,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3256693,5.00,3.00,6.00,8.00,6.00,5.00,2.00,5.00,6.00,316,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',8536,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3256715,4.00,4.00,3.00,6.00,7.00,7.75,1.00,6.00,3.00,425,NULL,NULL,'TRINDADE SERRINHA','FLORIANóPOLIS','SC',10777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256723,4.00,3.00,3.00,5.00,3.00,NULL,1.00,1.00,1.00,319,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3256731,7.00,5.00,3.00,8.00,4.00,5.75,4.00,7.00,8.00,202,NULL,203,'CENTRO','S LUIZ GONZAGA','RS',5289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'DUQUE DE CAXIAS','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3256758,6.00,6.00,3.00,8.00,6.00,6.50,3.00,5.00,2.00,238,NULL,212,'ITACORUBI','FLORIANóPOLIS','SC',7063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256766,4.00,5.00,1.00,5.00,4.00,5.00,3.00,6.00,4.00,301,NULL,NULL,'JARDIM SãO MIGUEL','BIGUAçU','SC',13529,292,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256774,7.00,4.00,2.00,6.00,4.00,6.00,3.00,6.00,5.00,207,NULL,201,'SãO JOãO','ITAJAí','SC',9557,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3256782,0.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3256790,6.00,3.00,2.00,4.00,6.00,4.00,3.00,5.00,4.00,103,NULL,NULL,'VILA MOEMA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3256804,4.00,4.00,4.00,3.00,3.00,NULL,4.00,4.00,2.00,201,NULL,203,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256812,1.00,4.00,4.00,6.00,3.00,NULL,0.00,1.00,4.00,233,NULL,220,'PROSPERA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3256839,5.00,3.00,3.00,6.00,4.00,5.75,3.00,3.00,4.00,207,NULL,201,'PARQUE DAS PALMEIRAS','CHAPECó','SC',14464,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3256863,3.00,2.00,1.00,6.00,3.00,NULL,2.00,3.00,2.00,104,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3256871,0.00,2.00,2.00,4.00,0.00,NULL,2.00,2.00,2.00,238,NULL,220,'SANTA TERESINHA','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3256880,6.00,6.00,5.00,8.00,4.00,6.00,2.00,8.00,5.00,303,NULL,NULL,'BOTAFOGO','BENTO GONçALVES','RS',6639,304,NULL,NULL,NULL,NULL,NULL,2,1),(16,3256898,5.00,8.00,5.00,7.00,5.00,5.00,3.00,7.00,6.00,415,NULL,NULL,'JARDIM AQUARIUS','S JOSé CAMPOS','SP',4930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256901,3.00,1.00,4.00,2.00,2.00,NULL,2.00,1.00,2.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256928,8.00,7.00,9.00,3.00,7.00,5.75,7.00,7.00,8.00,103,NULL,NULL,'JARDIM AMERICA','GOIâNIA','GO',929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3256936,8.00,7.00,7.00,8.00,8.00,8.50,7.00,8.00,8.00,103,NULL,NULL,'CIDADE JARDIM','CPO GRANDE','MS',327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3256944,3.00,4.00,2.00,8.00,5.00,5.50,3.00,6.00,4.00,319,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',11265,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3256952,4.00,4.00,2.00,7.00,5.00,5.25,2.00,5.00,2.00,302,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',13300,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3256979,2.00,5.00,3.00,2.00,3.00,NULL,0.00,5.00,4.00,103,NULL,NULL,'CENTRO','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3256987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'MARILUZ','IMBé','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3257002,4.00,5.00,4.00,5.00,4.00,6.00,4.00,6.00,5.00,211,NULL,215,'ITACORUBI','FLORIANóPOLIS','SC',9272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257010,3.00,5.00,4.00,5.00,6.00,6.00,3.00,5.00,4.00,308,NULL,NULL,'NOSSA S DO ROSáRIO','S JOSé','SC',11034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257029,2.00,3.00,2.00,3.00,6.00,6.00,3.00,5.00,3.00,103,NULL,NULL,'APARECIDA','ABELARDO LUZ','SC',15491,2738,NULL,NULL,NULL,NULL,NULL,4,4),(16,3257037,5.00,7.00,4.00,8.00,4.00,5.75,2.00,7.00,4.00,301,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',7936,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3257045,2.00,2.00,2.00,4.00,4.00,NULL,3.00,2.00,3.00,9,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3257053,4.00,5.00,2.00,2.00,3.00,NULL,3.00,1.00,4.00,213,NULL,214,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257061,4.00,1.00,1.00,0.00,2.00,NULL,3.00,1.00,4.00,208,NULL,238,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257070,4.00,2.00,3.00,2.00,3.00,NULL,3.00,4.00,5.00,331,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257088,2.00,5.00,2.00,3.00,5.00,5.00,3.00,6.00,4.00,404,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',14443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257096,4.00,2.00,2.00,3.00,3.00,NULL,1.00,2.00,2.00,208,NULL,238,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257100,4.00,1.00,1.00,5.00,2.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'JARDIM MASCENTE','MARIALVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3257118,1.00,2.00,2.00,5.00,3.00,NULL,1.00,4.00,2.00,326,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257126,3.00,6.00,3.00,8.00,5.00,5.75,0.00,6.00,3.00,324,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',12416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257134,7.00,5.00,5.00,8.00,7.00,6.00,4.00,8.00,6.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257142,6.00,4.00,3.00,6.00,5.00,5.25,2.00,4.00,4.00,201,NULL,212,'RANCHO DE TáBOAS','ANGELINA','SC',11993,929,NULL,349,NULL,NULL,NULL,2,1),(16,3257150,9.00,6.00,7.00,5.00,8.00,7.00,3.00,9.00,7.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',1669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'RES SANTOS DUMONT','STA MARIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3257177,0.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3257185,3.00,6.00,1.00,8.00,5.00,4.00,4.00,7.00,3.00,308,NULL,NULL,'BARREIROS','S JOSé','SC',11444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257207,7.00,6.00,5.00,7.00,6.00,6.25,4.00,6.00,7.00,103,NULL,NULL,'VILA REAL','BAL CAMBORIú','SC',4788,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3257215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'FREI ROGéRIO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3257223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'GUAíRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3257231,1.00,6.00,2.00,1.00,5.00,NULL,3.00,3.00,5.00,302,NULL,NULL,'JARDIM DOS OLIVEIRAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257240,6.00,7.00,6.00,8.00,7.00,6.25,5.00,8.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,214,'SANTO AMARO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3257266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'SANTO ANTôNIO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3257274,2.00,3.00,1.00,3.00,4.00,NULL,2.00,5.00,2.00,208,NULL,238,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3257282,4.00,0.00,2.00,4.00,3.00,NULL,0.00,2.00,2.00,207,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257290,2.00,1.00,2.00,7.00,4.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3257312,2.00,5.00,3.00,5.00,4.00,4.75,1.00,6.00,3.00,331,NULL,NULL,'PANORAMA','ASSIS CHATEAUBRIAND','PR',14937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257347,4.00,5.00,2.00,5.00,4.00,5.50,5.00,7.00,3.00,201,NULL,212,'CENTRO','TORRES','RS',11555,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3257355,5.00,6.00,7.00,2.00,5.00,5.75,4.00,6.00,6.00,220,NULL,NULL,'JARDIM UNIVERSITARIO','CUIABá','MT',5860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257363,5.00,4.00,2.00,8.00,5.00,5.50,2.00,3.00,4.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',12009,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257380,2.00,4.00,1.00,6.00,3.00,NULL,2.00,2.00,3.00,318,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257398,3.00,3.00,5.00,4.00,5.00,5.00,3.00,7.00,5.00,216,NULL,215,'ZONA SETE','MARINGá','PR',12352,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3257401,6.00,6.00,6.00,7.00,6.00,5.00,3.00,5.00,4.00,203,NULL,202,'CENTRO','FORQUILHINHA','SC',7266,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3257428,5.00,6.00,4.00,8.00,6.00,5.50,3.00,7.00,6.00,207,NULL,201,'CENTRO','BAL CAMBORIú','SC',5702,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3257436,4.00,7.00,4.00,9.00,5.00,5.50,4.00,5.00,4.00,420,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',7644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257444,6.00,5.00,4.00,5.00,6.00,4.00,4.00,6.00,5.00,208,NULL,207,'CARIANOS','FLORIANóPOLIS','SC',8780,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257452,6.00,7.00,5.00,8.00,7.00,4.75,3.00,7.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3242,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3257460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TROPICAL','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3257479,3.00,3.00,2.00,3.00,3.00,NULL,2.00,1.00,2.00,301,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3257487,4.00,3.00,4.00,6.00,4.00,4.50,3.00,4.00,4.00,215,NULL,203,'PEDRA BRANCA','SAO PAULO','SP',13655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257495,2.00,1.00,4.00,8.00,3.00,NULL,4.00,4.00,4.00,303,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257509,4.00,4.00,2.00,5.00,4.00,7.25,4.00,4.00,2.00,415,NULL,NULL,'SERRARIA','S JOSé','SC',14574,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257517,7.00,7.00,5.00,1.00,8.00,6.00,5.00,9.00,7.00,103,NULL,NULL,'SãO CRISTóVãO','LAGES','SC',4849,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3257525,8.00,6.00,5.00,6.00,4.00,6.25,3.00,7.00,6.00,202,NULL,213,'BARREIROS','S JOSé','SC',4483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257533,2.00,3.00,4.00,5.00,3.00,NULL,2.00,4.00,3.00,208,NULL,202,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257541,6.00,8.00,8.00,9.00,9.00,6.25,5.00,9.00,7.00,102,NULL,NULL,'CENTRO','SIDERóPOLIS','SC',790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257550,3.00,3.00,2.00,7.00,7.00,5.75,0.00,5.00,4.00,101,NULL,NULL,'MACACU','GAROPABA','SC',14174,89,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257568,6.00,3.00,5.00,7.00,3.00,NULL,2.00,4.00,5.00,203,NULL,220,'BORGO','BENTO GONçALVES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3257576,5.00,3.00,3.00,5.00,3.00,NULL,3.00,4.00,5.00,216,NULL,233,'VISTA VERDE','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257584,6.00,5.00,7.00,7.00,6.00,4.50,4.00,6.00,4.00,220,NULL,211,'CENTRO','INDAIAL','SC',6921,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3257592,3.00,7.00,4.00,7.00,6.00,6.00,4.00,5.00,5.00,103,NULL,NULL,'MARGEM ESQUERDA','GASPAR','SC',7050,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3257622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'MONT SERRAT','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3257630,6.00,4.00,4.00,8.00,7.00,6.00,4.00,5.00,5.00,5,NULL,NULL,'RIO CARVãO BAIXO','URUSSANGA','SC',6951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257649,4.00,4.00,5.00,7.00,6.00,5.75,3.00,5.00,3.00,207,NULL,201,'JARDIM ANGéLICA','CRICIúMA','SC',10311,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3257657,0.00,0.00,0.00,7.00,5.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3257665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM DO ALTO','IVOTI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3257673,2.00,5.00,3.00,3.00,2.00,NULL,3.00,4.00,2.00,303,NULL,NULL,'TRICOLIN','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257681,3.00,3.00,4.00,4.00,5.00,4.50,2.00,3.00,4.00,415,NULL,NULL,'ITAGUAçú','FLORIANóPOLIS','SC',16076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257690,4.00,7.00,4.00,8.00,5.00,4.25,1.00,8.00,7.00,216,NULL,212,'JARDIM ELDORADO','CAMBé','PR',4966,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3257703,2.00,1.00,1.00,3.00,2.00,NULL,1.00,0.00,1.00,428,NULL,NULL,'JD ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257711,3.00,4.00,5.00,5.00,2.00,NULL,5.00,5.00,4.00,211,NULL,215,'MARIA ISABEL','MARíLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM DAS ACáCIAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3257738,6.00,5.00,2.00,3.00,4.00,5.00,3.00,5.00,3.00,104,NULL,NULL,'CENTRO','PALMA SOLA','SC',15165,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3257746,3.00,7.00,1.00,9.00,6.00,6.00,3.00,4.00,6.00,103,NULL,NULL,'SãO JOãO','ITAJAí','SC',8554,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3257754,3.00,4.00,1.00,1.00,2.00,NULL,4.00,1.00,1.00,415,NULL,NULL,'ANDORINHA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3257770,5.00,6.00,5.00,5.00,3.00,NULL,4.00,5.00,4.00,103,NULL,NULL,'ARAéS','CUIABá','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257789,5.00,2.00,1.00,6.00,2.00,NULL,2.00,4.00,5.00,316,NULL,NULL,'FEITORIA IMIGRANTE','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DUQUE DE CAXIAS','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3257800,4.00,6.00,1.00,7.00,4.00,6.25,4.00,3.00,2.00,303,NULL,NULL,'VELHA','BLUMENAU','SC',13636,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3257819,4.00,4.00,2.00,5.00,4.00,6.75,3.00,5.00,3.00,303,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',13338,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257827,6.00,6.00,3.00,5.00,3.00,NULL,2.00,7.00,4.00,203,NULL,214,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257835,3.00,4.00,5.00,6.00,4.00,5.25,3.00,4.00,4.00,101,NULL,NULL,'BELA VISTA','S JOSé','SC',12437,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257843,3.00,0.00,4.00,3.00,2.00,NULL,2.00,2.00,1.00,444,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257851,4.00,1.00,2.00,6.00,4.00,NULL,2.00,2.00,3.00,102,NULL,NULL,'PASSO DO GADO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3257860,3.00,3.00,1.00,7.00,3.00,NULL,2.00,4.00,3.00,207,NULL,211,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257878,3.00,5.00,4.00,8.00,3.00,NULL,2.00,3.00,2.00,208,NULL,238,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257886,2.00,2.00,1.00,3.00,2.00,NULL,0.00,4.00,3.00,317,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257894,1.00,4.00,3.00,7.00,2.00,NULL,4.00,4.00,2.00,302,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257908,7.00,8.00,7.00,8.00,8.00,6.50,1.00,7.00,7.00,201,NULL,213,'AGRONôMICA','FLORIANóPOLIS','SC',1670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257916,5.00,8.00,4.00,5.00,5.00,6.50,4.00,8.00,5.00,203,NULL,201,'CENTRO','S MIGUEL OESTE','SC',6035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257924,4.00,7.00,4.00,7.00,6.00,5.75,3.00,7.00,3.00,326,NULL,NULL,'JARDIM NACIONAL','FOZ IGUAçU','PR',8503,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3257932,2.00,1.00,4.00,5.00,3.00,NULL,3.00,5.00,5.00,208,NULL,212,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3257940,0.00,0.00,0.00,4.00,1.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3257959,3.00,4.00,1.00,0.00,5.00,NULL,1.00,4.00,1.00,103,NULL,NULL,'FATIMA','OTACíLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3257967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RESIDENCIAL PARAISO','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3257975,4.00,2.00,2.00,2.00,1.00,NULL,2.00,0.00,2.00,207,NULL,233,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3257983,6.00,4.00,3.00,3.00,7.00,5.50,3.00,4.00,4.00,234,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAçU','SC',12386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3257991,3.00,2.00,1.00,3.00,2.00,NULL,2.00,4.00,2.00,211,NULL,203,'UNIVERSITáRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3258009,5.00,3.00,1.00,5.00,5.00,6.25,2.00,3.00,3.00,340,NULL,NULL,'POPULAR','LAGES','SC',15336,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3258017,5.00,5.00,6.00,7.00,6.00,5.50,3.00,6.00,3.00,201,NULL,208,'CóRREGO GRANDE','FLORIANóPOLIS','SC',9219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258025,2.00,5.00,3.00,8.00,6.00,6.50,3.00,4.00,5.00,415,NULL,NULL,'VILA NOVA','BLUMENAU','SC',11518,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3258033,3.00,5.00,6.00,7.00,5.00,4.25,5.00,7.00,6.00,202,NULL,201,'CENTRO','TUBARãO','SC',5426,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3258068,3.00,3.00,3.00,8.00,4.00,6.50,3.00,5.00,3.00,328,NULL,NULL,'SAGRADA FAMíLIA','CAXIAS SUL','RS',12719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3258084,3.00,6.00,1.00,5.00,4.00,3.25,2.00,5.00,3.00,326,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258092,0.00,0.00,0.00,3.00,4.00,NULL,3.00,4.00,2.00,108,NULL,NULL,'VILA AMéLIA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,3),(16,3258106,5.00,6.00,3.00,5.00,3.00,NULL,3.00,5.00,2.00,212,NULL,211,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3258122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'VILA RIO BRANCO','CASTRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3258130,4.00,3.00,4.00,3.00,3.00,NULL,1.00,3.00,4.00,203,NULL,214,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3258149,5.00,6.00,2.00,4.00,8.00,6.00,2.00,5.00,3.00,317,NULL,NULL,'CÓRREGO GRANDE','FLORIANóPOLIS','SC',10843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258165,6.00,4.00,6.00,1.00,4.00,4.50,3.00,4.00,3.00,212,NULL,201,'VILA GALVÃO','GUARULHOS','SP',13411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258173,6.00,7.00,7.00,8.00,6.00,6.50,5.00,9.00,6.00,202,NULL,213,'JURERê','FLORIANóPOLIS','SC',1638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258181,4.00,4.00,2.00,2.00,3.00,NULL,2.00,5.00,4.00,340,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258190,5.00,3.00,3.00,7.00,4.00,6.50,0.00,3.00,3.00,212,NULL,201,'GLóRIA','JOINVILLE','SC',14119,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3258203,2.00,4.00,2.00,4.00,4.00,5.25,3.00,5.00,4.00,213,NULL,202,'BARRA DO ARíRIU','PALHOçA','SC',16013,273,NULL,530,NULL,NULL,NULL,2,1),(16,3258220,2.00,1.00,3.00,3.00,3.00,NULL,0.00,2.00,4.00,316,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258238,3.00,3.00,3.00,5.00,3.00,NULL,2.00,2.00,1.00,302,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258246,8.00,7.00,7.00,9.00,8.00,6.75,3.00,9.00,6.00,420,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',1347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258254,5.00,6.00,5.00,7.00,4.00,6.25,2.00,2.00,3.00,212,NULL,201,'ITACORUBI','FLORIANóPOLIS','SC',11087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258262,6.00,4.00,2.00,8.00,5.00,4.50,3.00,5.00,3.00,317,NULL,NULL,'SãO DEFENDE','CRICIúMA','SC',12597,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3258270,4.00,3.00,8.00,8.00,6.00,5.75,5.00,6.00,8.00,220,NULL,202,'JARDIM MARISTELA','CRICIúMA','SC',4103,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3258289,3.00,4.00,2.00,7.00,4.00,5.75,1.00,5.00,3.00,207,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258297,6.00,6.00,4.00,7.00,7.00,4.25,6.00,7.00,8.00,203,NULL,201,'ASA SUL','BRASíLIA','DF',4007,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258319,5.00,3.00,2.00,3.00,3.00,NULL,4.00,5.00,3.00,104,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258327,6.00,8.00,4.00,9.00,5.00,6.25,3.00,7.00,4.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258335,2.00,3.00,2.00,1.00,1.00,NULL,4.00,4.00,1.00,404,NULL,NULL,'JARDIM CARANDAI','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258343,8.00,8.00,6.00,7.00,5.00,5.00,5.00,8.00,7.00,238,NULL,208,'KOBRASOL','S JOSé','SC',2252,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3258360,5.00,7.00,5.00,4.00,5.00,6.00,4.00,7.00,6.00,201,NULL,212,'COSTA E SILVA','JOINVILLE','SC',5866,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3258378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JARDIM DAS COLINAS','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3258386,3.00,5.00,3.00,5.00,4.00,5.75,3.00,3.00,3.00,211,NULL,215,'CAMINHO NOVO','PALHOçA','SC',14348,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258408,3.00,3.00,3.00,6.00,4.00,5.25,3.00,5.00,6.00,207,NULL,201,'ATIRADORES','JOINVILLE','SC',13087,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3258416,4.00,1.00,4.00,3.00,3.00,NULL,4.00,4.00,2.00,404,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3258424,4.00,5.00,6.00,6.00,6.00,5.25,3.00,5.00,1.00,202,NULL,220,'MICHEL','CRICIúMA','SC',11426,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3258432,3.00,6.00,3.00,6.00,5.00,5.25,2.00,3.00,3.00,208,NULL,238,'PRAIA COMPRIDA','S JOSé','SC',13847,454,NULL,440,NULL,NULL,NULL,2,1),(16,3258440,5.00,3.00,4.00,5.00,4.00,4.25,4.00,6.00,3.00,201,NULL,203,'CENTRO','ITAJAí','SC',13572,1053,NULL,836,NULL,NULL,NULL,4,1),(16,3258459,7.00,6.00,8.00,7.00,5.00,4.00,3.00,6.00,8.00,216,NULL,215,'JARDIM MALUCHE','BRUSQUE','SC',3988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258467,3.00,4.00,2.00,6.00,1.00,NULL,3.00,5.00,4.00,238,NULL,202,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258475,0.00,2.00,2.00,7.00,5.00,7.00,1.00,7.00,3.00,415,NULL,NULL,'BELA VISTA','S JOSé','SC',14581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,233,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3258513,7.00,7.00,5.00,5.00,5.00,7.00,2.00,8.00,3.00,201,NULL,212,'CENTRO','FRANCISCO ALVES','PR',6821,527,NULL,NULL,NULL,NULL,NULL,2,4),(16,3258521,4.00,5.00,1.00,4.00,5.00,5.50,3.00,5.00,4.00,333,NULL,NULL,'ARMAçãO DO P DO SUL','FLORIANóPOLIS','SC',14422,125,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258530,1.00,2.00,2.00,8.00,2.00,NULL,3.00,2.00,4.00,238,NULL,208,'CINQUENTENáRIO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3258548,5.00,5.00,3.00,4.00,4.00,2.50,4.00,5.00,5.00,502,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258556,2.00,2.00,2.00,1.00,1.00,NULL,1.00,0.00,2.00,104,NULL,NULL,'SãO PEDRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3258564,0.00,0.00,0.00,3.00,1.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM DAS PALMEIRAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3258572,5.00,8.00,4.00,6.00,6.00,7.75,1.00,6.00,5.00,453,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',5516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258580,7.00,7.00,9.00,8.00,7.00,5.25,7.00,7.00,8.00,203,NULL,214,'DEHON','TUBARãO','SC',590,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3258599,4.00,5.00,1.00,4.00,4.00,5.75,3.00,5.00,6.00,102,NULL,NULL,'FORQUILHINHAS','FLORIANóPOLIS','SC',12804,219,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258602,3.00,3.00,4.00,5.00,2.00,NULL,2.00,6.00,3.00,316,NULL,NULL,'FORQUILINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258610,3.00,7.00,4.00,9.00,8.00,5.50,1.00,6.00,4.00,425,NULL,429,'CARVOEIRA','FLORIANóPOLIS','SC',6727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258629,4.00,3.00,2.00,2.00,3.00,NULL,4.00,4.00,2.00,415,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258645,2.00,2.00,3.00,2.00,3.00,NULL,3.00,1.00,2.00,238,NULL,207,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3258653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'ASSUNçãO','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3258661,5.00,6.00,7.00,7.00,6.00,5.25,3.00,6.00,8.00,216,NULL,215,'BOM RETIRO','JOINVILLE','SC',3419,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3258670,4.00,1.00,4.00,6.00,7.00,5.75,4.00,3.00,2.00,208,NULL,233,'SACO DOS LIMõES','FLORIANóPOLIS','SC',14042,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258688,1.00,2.00,3.00,4.00,3.00,NULL,2.00,3.00,0.00,404,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258696,6.00,5.00,5.00,6.00,6.00,6.25,4.00,7.00,5.00,202,NULL,213,'AGRONôMICA','FLORIANóPOLIS','SC',5357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258700,5.00,5.00,5.00,8.00,6.00,7.00,3.00,8.00,6.00,304,NULL,NULL,'VILA MARIANA','S PAULO','SP',3587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258718,4.00,3.00,3.00,3.00,6.00,4.00,3.00,3.00,4.00,404,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',15559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258726,3.00,3.00,4.00,6.00,7.00,5.00,5.00,5.00,2.00,316,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',12364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258734,5.00,7.00,4.00,8.00,6.00,6.50,5.00,9.00,5.00,5,NULL,NULL,'SANTA CLARA','LAGES','SC',3908,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3258742,6.00,8.00,6.00,7.00,5.00,5.50,3.00,8.00,5.00,213,NULL,215,'JD CIDADE DE FPOLIS','S JOSé','SC',4033,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258750,7.00,5.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3258769,3.00,2.00,3.00,5.00,5.00,5.00,4.00,5.00,3.00,303,NULL,NULL,'MUNICÍPIOS','CACADOR','SC',15010,655,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258777,5.00,5.00,3.00,9.00,2.00,NULL,4.00,7.00,4.00,203,NULL,208,'MARIA IZABEL','MARíLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258785,8.00,8.00,5.00,6.00,4.00,6.50,5.00,6.00,6.00,102,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4114,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258793,5.00,5.00,2.00,6.00,6.00,5.50,3.00,6.00,4.00,444,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',10352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258807,7.00,3.00,4.00,6.00,5.00,5.00,6.00,8.00,5.00,3,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258815,5.00,4.00,1.00,2.00,3.00,NULL,3.00,7.00,3.00,453,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258831,4.00,3.00,2.00,7.00,6.00,3.00,3.00,4.00,4.00,202,NULL,220,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3258840,3.00,1.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,318,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258858,5.00,5.00,2.00,6.00,6.00,4.00,3.00,7.00,3.00,108,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',11723,261,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258866,2.00,4.00,3.00,9.00,3.00,NULL,1.00,1.00,4.00,215,NULL,211,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258874,2.00,2.00,2.00,3.00,2.00,NULL,4.00,4.00,2.00,208,NULL,202,'PRAIA DE FORA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258882,2.00,4.00,2.00,5.00,4.00,NULL,2.00,2.00,2.00,316,NULL,NULL,'FLOR DO SOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258890,8.00,7.00,5.00,7.00,5.00,5.75,5.00,7.00,6.00,501,NULL,NULL,'KOBRASOL','S JOSé','SC',2967,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258904,6.00,4.00,3.00,7.00,7.00,6.75,2.00,4.00,3.00,426,NULL,423,'CENTRO','FLORIANóPOLIS','SC',10293,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258912,2.00,7.00,5.00,7.00,5.00,4.75,4.00,7.00,2.00,224,NULL,NULL,'CENTRO','PALHOçA','SC',9260,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258920,6.00,2.00,2.00,8.00,3.00,NULL,6.00,4.00,4.00,203,NULL,208,'JURERE INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258939,2.00,2.00,2.00,3.00,2.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258947,9.00,7.00,9.00,9.00,7.00,5.50,8.00,9.00,9.00,103,NULL,NULL,'BRASíLIA','LG NORTE','DF',132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258955,5.00,8.00,5.00,4.00,6.00,6.00,6.00,6.00,3.00,233,NULL,207,'ESTREITO','FLORIANóPOLIS','SC',6310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258963,7.00,6.00,5.00,9.00,5.00,7.00,4.00,6.00,5.00,302,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',3596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3258971,5.00,7.00,4.00,8.00,3.00,NULL,3.00,7.00,3.00,421,NULL,424,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258980,5.00,6.00,2.00,7.00,6.00,5.00,2.00,5.00,7.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3258998,6.00,5.00,1.00,1.00,1.00,NULL,1.00,3.00,5.00,103,NULL,NULL,'ALVORADA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3259005,2.00,5.00,3.00,0.00,2.00,NULL,3.00,4.00,2.00,202,NULL,220,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,427,'CENTRO','VANINI','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3259021,5.00,5.00,2.00,9.00,7.00,6.50,1.00,5.00,4.00,201,NULL,207,'CENTRO','BAL PIçARRAS','SC',8898,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3259030,5.00,6.00,8.00,6.00,6.00,7.00,5.00,9.00,7.00,303,NULL,NULL,'JARDIM SATéLITE','S JOSé CAMPOS','SP',1897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259048,7.00,6.00,5.00,7.00,3.00,NULL,3.00,7.00,5.00,328,NULL,NULL,'BALNEáRIO DO ESTREIT','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259056,4.00,4.00,1.00,4.00,6.00,5.75,1.00,6.00,4.00,303,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',14476,635,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259064,2.00,2.00,1.00,6.00,2.00,NULL,3.00,4.00,3.00,220,NULL,202,'SãO LUIZ','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(16,3259080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'JARDIM TROPICAL','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3259099,6.00,9.00,3.00,3.00,5.00,4.50,2.00,5.00,3.00,331,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',11172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3259102,4.00,4.00,3.00,4.00,4.00,4.50,3.00,5.00,4.00,103,NULL,NULL,'COLONINHA','FLORIANóPOLIS','SC',14020,2614,NULL,NULL,NULL,NULL,NULL,2,1),(16,3259110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'VILA NOVA','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3259137,3.00,4.00,2.00,3.00,2.00,NULL,3.00,6.00,1.00,104,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3259145,0.00,4.00,1.00,5.00,4.00,NULL,2.00,3.00,2.00,327,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3259153,4.00,4.00,3.00,5.00,4.00,4.75,4.00,5.00,6.00,301,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',11824,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3259170,5.00,0.00,3.00,3.00,2.00,NULL,2.00,6.00,0.00,203,NULL,214,'CENTRO','S LOURENçO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3259196,3.00,2.00,2.00,4.00,4.00,NULL,0.00,3.00,2.00,234,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3259218,6.00,8.00,6.00,8.00,5.00,5.75,4.00,6.00,4.00,211,NULL,203,'CENTRO','S JOSé OURO','RS',3588,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3259226,6.00,1.00,4.00,4.00,2.00,NULL,4.00,5.00,2.00,301,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3259234,7.00,6.00,6.00,8.00,6.00,5.75,5.00,6.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',5144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259242,6.00,3.00,2.00,7.00,5.00,5.00,2.00,5.00,0.00,234,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',14753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259250,5.00,6.00,3.00,6.00,5.00,5.75,4.00,6.00,3.00,453,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',9704,65,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259285,5.00,3.00,3.00,7.00,5.00,6.25,3.00,7.00,3.00,444,NULL,NULL,'VILA GRANADA','S PAULO','SP',9862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259293,3.00,4.00,1.00,1.00,4.00,NULL,2.00,5.00,3.00,5,NULL,NULL,'SAIC','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3259307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3259331,5.00,5.00,7.00,8.00,6.00,4.50,4.00,4.00,4.00,5,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',7643,295,NULL,NULL,NULL,NULL,NULL,2,1),(16,3259340,3.00,5.00,3.00,8.00,3.00,NULL,2.00,4.00,3.00,425,NULL,427,'PONTE DE IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259358,6.00,4.00,6.00,2.00,7.00,6.00,3.00,3.00,5.00,101,NULL,NULL,'GARCIA','BLUMENAU','SC',9746,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3259366,7.00,6.00,3.00,7.00,5.00,5.25,2.00,7.00,4.00,444,NULL,NULL,'PEDRA BRANCA','PALHOçA','SC',6710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259374,4.00,4.00,3.00,6.00,2.00,NULL,2.00,3.00,2.00,420,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3259390,6.00,7.00,4.00,6.00,5.00,6.75,4.00,6.00,4.00,207,NULL,211,'CANASVIEIRAS','FLORIANóPOLIS','SC',7240,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3259412,4.00,6.00,4.00,9.00,7.00,7.25,3.00,9.00,4.00,303,NULL,NULL,'VILA SUZANA','S PAULO','SP',4421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259420,1.00,6.00,5.00,5.00,3.00,NULL,4.00,8.00,3.00,208,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259439,4.00,4.00,2.00,1.00,3.00,NULL,2.00,5.00,2.00,502,NULL,NULL,'INTERIOR','ÁGUAS CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3259447,3.00,4.00,1.00,0.00,8.00,NULL,3.00,5.00,3.00,428,NULL,426,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259455,3.00,2.00,3.00,2.00,4.00,5.75,1.00,5.00,4.00,215,NULL,211,'CENTRO','STO AMARO IMPERATRIZ','SC',16578,354,NULL,560,NULL,NULL,NULL,2,1),(16,3259463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3259471,6.00,3.00,1.00,6.00,4.00,4.25,3.00,6.00,2.00,238,NULL,208,'CANTO DA LAGOA','FLORIANóPOLIS','SC',14712,474,NULL,496,NULL,NULL,NULL,4,1),(16,3259480,7.00,6.00,2.00,4.00,3.00,NULL,2.00,8.00,6.00,327,NULL,NULL,'CENTRO','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3259498,2.00,7.00,1.00,8.00,6.00,6.00,3.00,8.00,3.00,329,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',9738,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3259501,2.00,4.00,4.00,8.00,4.00,5.50,3.00,5.00,3.00,304,NULL,NULL,'INTERIOR','CEL FREITAS','SC',11790,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3259510,3.00,3.00,2.00,8.00,5.00,4.25,2.00,6.00,4.00,201,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3259528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3259544,3.00,3.00,2.00,3.00,3.00,NULL,1.00,6.00,5.00,104,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3259552,2.00,6.00,3.00,6.00,5.00,6.00,1.00,4.00,3.00,224,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',14086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259560,2.00,2.00,1.00,5.00,3.00,NULL,1.00,3.00,3.00,102,NULL,NULL,'BELA VISTA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3259579,4.00,7.00,4.00,3.00,4.00,6.00,3.00,4.00,3.00,211,NULL,220,'CENTRO','FLORIANóPOLIS','SC',12806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3259587,7.00,5.00,6.00,5.00,6.00,4.50,2.00,7.00,6.00,103,NULL,NULL,'PROGRESSO','BLUMENAU','SC',5613,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3259595,3.00,5.00,3.00,3.00,3.00,NULL,2.00,5.00,2.00,452,NULL,NULL,'AEROPORTO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3259617,6.00,3.00,5.00,7.00,5.00,5.25,2.00,5.00,3.00,201,NULL,212,'RIO VERMELHO','FLORIANóPOLIS','SC',11877,918,NULL,347,NULL,NULL,NULL,2,1),(16,3259625,5.00,6.00,4.00,6.00,6.00,5.50,2.00,6.00,4.00,102,NULL,NULL,'CENTRO','S JOãO BATISTA','SC',9404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3259641,4.00,5.00,4.00,4.00,3.00,NULL,3.00,6.00,4.00,238,NULL,208,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3259650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CAPELA','MOGI GUAçU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3259676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','VERANóPOLIS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3259684,0.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,7),(16,3259692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMéRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3259706,4.00,6.00,5.00,7.00,7.00,5.75,0.00,6.00,6.00,214,NULL,NULL,'INTERIOR','CEL FREITAS','SC',8144,284,NULL,NULL,NULL,NULL,NULL,2,4),(16,3259714,3.00,2.00,3.00,3.00,2.00,NULL,4.00,3.00,3.00,3,NULL,NULL,'INTERIOR','CEL MARTINS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3259722,1.00,5.00,3.00,2.00,4.00,4.00,3.00,3.00,5.00,208,NULL,215,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',16640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259730,3.00,2.00,2.00,4.00,3.00,NULL,3.00,3.00,1.00,452,NULL,NULL,'KOBRASSOL II','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUANABARA','FRANCISCO BELTRãO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3259773,4.00,6.00,1.00,1.00,3.00,NULL,3.00,6.00,4.00,208,NULL,238,'USINA','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259781,8.00,8.00,5.00,7.00,5.00,6.00,5.00,6.00,5.00,216,NULL,215,'CENTRO','MAXIMILIANO ALMEIDA','RS',4545,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3259790,2.00,4.00,2.00,1.00,3.00,NULL,2.00,4.00,1.00,214,NULL,233,'CACH DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259803,6.00,4.00,3.00,4.00,4.00,4.25,2.00,3.00,4.00,317,NULL,NULL,'SERRARIA','SAO JOSE','SC',14949,140,NULL,NULL,NULL,NULL,NULL,2,1),(16,3259811,5.00,3.00,2.00,3.00,2.00,NULL,4.00,6.00,4.00,310,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259820,4.00,3.00,2.00,7.00,4.00,6.75,1.00,7.00,5.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',11241,223,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259846,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3259854,8.00,7.00,5.00,8.00,7.00,7.25,1.00,6.00,6.00,103,NULL,NULL,'JARDIM BLUMENAL','BLUMENAU','SC',2899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259870,5.00,2.00,4.00,6.00,7.00,7.75,3.00,6.00,6.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7822,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3259897,3.00,4.00,4.00,7.00,5.00,4.75,2.00,4.00,4.00,103,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',13832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3259927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3259935,4.00,5.00,5.00,6.00,5.00,4.75,3.00,7.00,1.00,203,NULL,220,'PICADAS DO SUL','S JOSé','SC',11385,767,NULL,434,NULL,NULL,NULL,2,1),(16,3259943,5.00,2.00,1.00,7.00,2.00,NULL,2.00,4.00,4.00,310,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3259951,1.00,3.00,4.00,9.00,6.00,4.75,3.00,3.00,2.00,101,NULL,NULL,'ASILO','BLUMENAU','SC',14433,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3259960,3.00,0.00,1.00,4.00,2.00,NULL,1.00,2.00,2.00,339,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3259978,6.00,7.00,5.00,6.00,6.00,6.75,3.00,9.00,5.00,103,NULL,NULL,'SANTA CRUZ','RIBEIRãO PRETO','SP',3984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3259994,3.00,4.00,3.00,1.00,5.00,6.00,3.00,6.00,4.00,320,NULL,NULL,'ITINGA','JOINVILLE','SC',14324,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3260003,2.00,1.00,1.00,6.00,2.00,NULL,1.00,3.00,2.00,308,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3260011,6.00,4.00,4.00,2.00,2.00,NULL,2.00,2.00,3.00,208,NULL,238,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3260020,2.00,4.00,3.00,5.00,6.00,NULL,0.00,1.00,3.00,331,NULL,NULL,'SÃO DEFENDE','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3260038,4.00,5.00,2.00,8.00,5.00,4.50,3.00,7.00,5.00,302,NULL,NULL,'ALTO ARIRIÚ','PALHOCA','SC',10525,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3260046,3.00,5.00,4.00,5.00,6.00,5.25,2.00,6.00,4.00,5,NULL,NULL,'VELHA','BLUMENAU','SC',11770,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3260062,1.00,1.00,2.00,1.00,2.00,NULL,3.00,4.00,1.00,203,NULL,220,'INTERIOR','PALMITINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3260070,5.00,5.00,4.00,4.00,5.00,6.25,1.00,4.00,3.00,201,NULL,212,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3260100,2.00,1.00,2.00,3.00,4.00,NULL,1.00,0.00,3.00,234,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260119,4.00,5.00,4.00,1.00,5.00,6.25,2.00,7.00,4.00,426,NULL,425,'PANTANAL','FLORIANóPOLIS','SC',13766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260143,2.00,3.00,4.00,5.00,4.00,4.50,3.00,8.00,2.00,304,NULL,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',14554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260151,3.00,5.00,3.00,1.00,5.00,5.00,4.00,6.00,4.00,224,NULL,NULL,'INTERIOR','VIDEIRA','SC',14327,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3260160,2.00,3.00,2.00,5.00,3.00,NULL,2.00,3.00,1.00,104,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3260178,4.00,3.00,3.00,1.00,7.00,NULL,2.00,5.00,2.00,308,NULL,NULL,'FUNDOS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3260186,5.00,2.00,4.00,5.00,4.00,5.50,3.00,6.00,5.00,224,NULL,NULL,'PINHEIRINHO','CRICIúMA','SC',10812,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3260194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'BANDEIRANTES','JURANDA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3260216,7.00,6.00,3.00,8.00,4.00,4.25,3.00,7.00,4.00,234,NULL,NULL,'NEREU RAMOS','JARAGUá SUL','SC',9473,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3260224,2.00,5.00,3.00,6.00,4.00,4.50,2.00,6.00,3.00,453,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',14112,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3260240,3.00,6.00,4.00,7.00,4.00,4.50,2.00,6.00,3.00,201,NULL,238,'CANTA GALO','RIO SUL','SC',12016,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3260259,4.00,5.00,6.00,5.00,5.00,4.50,6.00,5.00,4.00,202,NULL,213,'SERRINHA','FLORIANóPOLIS','SC',9307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3260267,3.00,6.00,3.00,6.00,4.00,5.00,3.00,6.00,2.00,5,NULL,NULL,'SETOROESTE','VL RICA','MT',12869,438,NULL,NULL,NULL,NULL,NULL,2,1),(16,3260275,2.00,2.00,1.00,7.00,8.00,5.50,2.00,6.00,2.00,428,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',15127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260283,7.00,5.00,3.00,7.00,6.00,6.75,3.00,6.00,4.00,302,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',7652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3260291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3260305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'VILA FáTIMA','S VICENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3260313,3.00,4.00,2.00,5.00,4.00,5.50,2.00,6.00,3.00,203,NULL,202,'VILA PINHEIRO','PRES PRUDENTE','SP',14052,851,NULL,479,NULL,NULL,NULL,4,3),(16,3260321,2.00,3.00,3.00,1.00,4.00,NULL,1.00,1.00,1.00,238,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3260330,1.00,4.00,2.00,5.00,5.00,4.75,2.00,6.00,3.00,339,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',16570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3260348,7.00,7.00,4.00,7.00,4.00,6.00,3.00,6.00,5.00,207,NULL,201,'BARREIROS','S JOSé','SC',6221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260356,6.00,7.00,6.00,9.00,5.00,5.25,3.00,8.00,7.00,208,NULL,NULL,'SAIC','CHAPECó','SC',2850,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3260364,2.00,3.00,4.00,3.00,4.00,NULL,0.00,3.00,3.00,211,NULL,215,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3260372,8.00,8.00,2.00,3.00,5.00,5.00,4.00,6.00,8.00,103,NULL,NULL,'VILA PALMIRA','CPO GRANDE','MS',6015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260380,3.00,3.00,1.00,3.00,3.00,NULL,3.00,3.00,4.00,201,NULL,216,'CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260410,5.00,6.00,1.00,5.00,5.00,3.25,4.00,7.00,5.00,208,NULL,203,'CENTRO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3260429,3.00,3.00,1.00,3.00,3.00,NULL,2.00,7.00,3.00,318,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260437,5.00,6.00,6.00,7.00,6.00,7.75,3.00,6.00,2.00,320,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',7427,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3260453,3.00,3.00,1.00,4.00,5.00,NULL,0.00,4.00,0.00,503,NULL,NULL,'CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3260461,4.00,3.00,4.00,2.00,4.00,6.00,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3260470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'COOPHEMA','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3260488,5.00,7.00,6.00,8.00,5.00,5.75,3.00,8.00,6.00,238,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',4113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260496,5.00,4.00,5.00,5.00,6.00,4.50,2.00,4.00,4.00,319,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',11986,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3260518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO MOLHA','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3260526,2.00,3.00,1.00,1.00,3.00,NULL,2.00,2.00,2.00,101,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260542,4.00,5.00,3.00,7.00,5.00,4.75,2.00,7.00,3.00,216,NULL,203,'CENTRO','IPORã OESTE','SC',10618,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3260550,3.00,2.00,3.00,5.00,4.00,4.25,2.00,4.00,5.00,211,NULL,207,'RIO SALTO','URUSSANGA','SC',14589,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3260569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'VARGEN GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3260577,2.00,6.00,5.00,2.00,5.00,5.00,2.00,5.00,3.00,201,NULL,220,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3260585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3260615,4.00,4.00,4.00,3.00,5.00,5.75,2.00,7.00,4.00,238,NULL,208,'PICADAS DO SUL','S JOSé','SC',13051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260623,5.00,2.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,207,NULL,233,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3260640,2.00,3.00,3.00,6.00,4.00,4.00,2.00,6.00,3.00,444,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',16099,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3260666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,427,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3260674,6.00,3.00,3.00,6.00,7.00,5.50,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','PALHOçA','SC',12585,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3260682,4.00,4.00,2.00,6.00,3.00,NULL,2.00,3.00,5.00,208,NULL,220,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3260690,5.00,5.00,4.00,8.00,5.00,4.50,5.00,5.00,6.00,208,NULL,238,'ABRAãO','FLORIANóPOLIS','SC',7435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260704,2.00,1.00,3.00,2.00,2.00,NULL,1.00,1.00,3.00,203,NULL,202,'SANTOS DUMONT','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260712,2.00,3.00,1.00,2.00,4.00,NULL,3.00,4.00,5.00,319,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260720,2.00,1.00,2.00,2.00,0.00,NULL,3.00,4.00,2.00,318,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3260739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'ASA NORTE','BRASíLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3260763,4.00,6.00,3.00,7.00,3.00,NULL,4.00,6.00,6.00,211,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3260771,1.00,2.00,3.00,5.00,3.00,NULL,3.00,2.00,1.00,429,NULL,427,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3260780,5.00,4.00,3.00,8.00,5.00,6.75,2.00,8.00,3.00,429,NULL,428,'CóRREGO GRANDE','FLORIANóPOLIS','SC',8989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260798,2.00,4.00,2.00,1.00,4.00,5.50,2.00,5.00,7.00,103,NULL,NULL,'LUCAS ARAúJO','PASSO FUNDO','RS',15569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260801,7.00,7.00,8.00,4.00,6.00,7.50,3.00,7.00,8.00,104,NULL,NULL,'SãO CRISTóVãO','CRICIúMA','SC',2746,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3260828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BANDEIRANTES','CORNéLIO PROCóPIO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3260836,5.00,6.00,2.00,6.00,5.00,5.50,3.00,5.00,5.00,101,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',10613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260844,3.00,3.00,2.00,1.00,1.00,NULL,2.00,2.00,2.00,333,NULL,NULL,'BALN RAINHA DO MAR','ITAPOá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3260852,3.00,5.00,2.00,7.00,4.00,5.75,3.00,6.00,5.00,225,NULL,NULL,'CENTRO','CRICIúMA','SC',11258,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3260879,6.00,3.00,2.00,3.00,2.00,NULL,3.00,4.00,2.00,502,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260909,9.00,8.00,7.00,7.00,7.00,5.50,4.00,6.00,6.00,103,NULL,NULL,'PROGRESSO','RIO SUL','SC',2531,973,NULL,NULL,NULL,NULL,NULL,2,9),(16,3260917,5.00,5.00,1.00,8.00,5.00,6.50,4.00,2.00,3.00,103,NULL,NULL,'CENTRO','PAIM FILHO','RS',12160,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3260925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3260933,5.00,4.00,1.00,3.00,3.00,NULL,2.00,4.00,4.00,425,NULL,429,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3260950,4.00,3.00,4.00,3.00,2.00,NULL,2.00,4.00,1.00,201,NULL,207,'ALVORADA','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3260968,4.00,4.00,4.00,4.00,4.00,6.00,2.00,3.00,4.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',14395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260976,3.00,4.00,2.00,1.00,2.00,NULL,0.00,2.00,5.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3260992,8.00,8.00,4.00,9.00,8.00,7.25,3.00,8.00,7.00,103,NULL,NULL,'FREI VITO','CHOPINZINHO','PR',1628,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3261000,5.00,5.00,3.00,2.00,4.00,6.50,5.00,6.00,3.00,207,NULL,201,'PARTENON','PTO ALEGRE','RS',12848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261018,4.00,8.00,5.00,7.00,2.00,NULL,1.00,6.00,6.00,104,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261026,3.00,1.00,2.00,1.00,3.00,NULL,2.00,4.00,3.00,308,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261034,1.00,1.00,2.00,3.00,0.00,NULL,2.00,1.00,2.00,502,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261042,5.00,8.00,5.00,6.00,8.00,6.25,3.00,6.00,6.00,102,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261050,8.00,8.00,7.00,4.00,8.00,5.25,6.00,8.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261069,4.00,3.00,2.00,1.00,3.00,NULL,2.00,2.00,3.00,319,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261077,1.00,2.00,3.00,3.00,5.00,NULL,0.00,3.00,1.00,331,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261085,3.00,6.00,4.00,4.00,4.00,5.00,3.00,7.00,2.00,310,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',13111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SANTOS DUMONT','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3261107,8.00,6.00,9.00,7.00,7.00,5.50,6.00,6.00,7.00,5,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',1385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261115,6.00,4.00,3.00,7.00,5.00,5.75,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','ESTEIO','RS',9384,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261123,8.00,4.00,7.00,7.00,7.00,4.75,3.00,9.00,5.00,220,NULL,202,'SãO CRISTóVãO','LAGES','SC',2855,NULL,NULL,NULL,NULL,NULL,NULL,5,9),(16,3261131,1.00,3.00,4.00,6.00,5.00,5.75,2.00,4.00,1.00,415,NULL,NULL,'SANTO ANTONIO','CAMPOS NOVOS','SC',15827,403,NULL,NULL,NULL,NULL,NULL,4,7),(16,3261140,2.00,2.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3261158,6.00,5.00,6.00,7.00,7.00,6.25,3.00,9.00,4.00,233,NULL,212,'MARGEM ESQUERDA','GASPAR','SC',5256,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3261166,4.00,5.00,5.00,7.00,7.00,7.75,4.00,6.00,6.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',6094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261174,2.00,6.00,4.00,7.00,4.00,5.75,1.00,7.00,3.00,108,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',12155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261182,8.00,7.00,4.00,8.00,8.00,6.75,5.00,9.00,6.00,415,NULL,NULL,'CACUPé','FLORIANóPOLIS','SC',1455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261212,3.00,5.00,3.00,6.00,4.00,6.25,1.00,4.00,4.00,333,NULL,NULL,'BARREIROS','S JOSé','SC',15182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3261239,3.00,5.00,3.00,4.00,5.00,5.00,3.00,0.00,4.00,108,NULL,NULL,'VILA NOVA','IMBITUBA','SC',16032,356,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261247,3.00,2.00,2.00,5.00,3.00,NULL,3.00,2.00,5.00,211,NULL,208,'PINHEIRA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261255,3.00,5.00,2.00,0.00,1.00,NULL,3.00,2.00,3.00,317,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261263,6.00,4.00,5.00,7.00,6.00,8.00,3.00,6.00,5.00,415,NULL,NULL,'PINHEIRINHO','PATO BRANCO','PR',6387,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3261298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3261301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3261310,2.00,1.00,2.00,4.00,1.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'CAEIRA SACO DOS LIM','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261328,0.00,4.00,4.00,4.00,0.00,NULL,1.00,0.00,2.00,234,NULL,NULL,'CENTRO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261336,2.00,4.00,4.00,5.00,2.00,NULL,4.00,3.00,2.00,309,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261344,5.00,1.00,1.00,5.00,3.00,NULL,2.00,2.00,3.00,207,NULL,201,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261352,4.00,3.00,3.00,1.00,3.00,NULL,1.00,1.00,5.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3261360,0.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'DEMBOSKI','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(16,3261387,4.00,4.00,1.00,4.00,2.00,NULL,3.00,3.00,4.00,225,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,207,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3261409,1.00,3.00,5.00,1.00,4.00,NULL,3.00,4.00,4.00,317,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261417,6.00,5.00,4.00,7.00,6.00,5.50,2.00,8.00,7.00,303,NULL,NULL,'ACLIMAçãO','S PAULO','SP',5024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261425,3.00,8.00,7.00,9.00,8.00,7.00,5.00,9.00,3.00,5,NULL,NULL,'JOAO PAULO','FLORIANóPOLIS','SC',2183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261433,4.00,4.00,1.00,5.00,3.00,NULL,1.00,5.00,5.00,203,NULL,220,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261441,8.00,8.00,8.00,8.00,8.00,6.25,6.00,8.00,6.00,216,NULL,215,'SANTA RITA','LAGES','SC',794,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3261450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3261468,6.00,7.00,5.00,8.00,6.00,5.50,2.00,5.00,4.00,503,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',7101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261476,5.00,3.00,1.00,3.00,3.00,NULL,3.00,3.00,0.00,317,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261484,3.00,3.00,3.00,3.00,6.00,6.50,4.00,7.00,4.00,450,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',9960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261492,6.00,3.00,3.00,5.00,5.00,4.75,3.00,6.00,2.00,103,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',12841,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3261506,5.00,6.00,5.00,9.00,6.00,5.50,5.00,8.00,7.00,214,NULL,212,'BUTANTAN','S PAULO','SP',2494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261514,3.00,3.00,1.00,5.00,3.00,NULL,1.00,3.00,2.00,101,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261522,4.00,6.00,3.00,8.00,5.00,7.00,2.00,6.00,3.00,319,NULL,NULL,'COLONINHA','FLORIANóPOLIS','SC',7973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261530,4.00,4.00,2.00,7.00,5.00,5.25,4.00,7.00,3.00,453,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',11014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261549,4.00,3.00,4.00,5.00,4.00,6.50,2.00,3.00,4.00,426,NULL,429,'TRINDADE','FLORIANóPOLIS','SC',14970,25,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261557,6.00,4.00,2.00,7.00,4.00,5.50,1.00,1.00,3.00,340,NULL,NULL,'NUCLEO COLONIAL','RIBEIRãO PIRES','SP',15071,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3261565,3.00,6.00,2.00,4.00,6.00,7.50,4.00,7.00,3.00,328,NULL,NULL,'CENTRO','GOIâNIA','GO',9834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261573,4.00,2.00,5.00,5.00,4.00,NULL,2.00,1.00,2.00,234,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261581,2.00,4.00,2.00,4.00,3.00,NULL,1.00,3.00,2.00,308,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261590,3.00,2.00,2.00,6.00,5.00,6.25,3.00,3.00,2.00,5,NULL,NULL,'LINHA DO MEIO','PALMITOS','SC',16434,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3261603,2.00,4.00,5.00,7.00,6.00,5.75,2.00,6.00,3.00,320,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',11759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261620,5.00,5.00,6.00,5.00,5.00,5.75,3.00,4.00,6.00,316,NULL,NULL,'LAGOA DA CONCEIçã','FLORIANóPOLIS','SC',7094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261638,5.00,6.00,4.00,6.00,5.00,5.50,4.00,6.00,4.00,452,NULL,NULL,'AREIAS','S JOSé','SC',7728,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261646,6.00,4.00,4.00,6.00,6.00,4.75,3.00,7.00,2.00,104,NULL,NULL,'NOSSA SENHORA DO ROS','S JOSé','SC',11336,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3261662,3.00,5.00,4.00,5.00,7.00,5.75,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','POUSO REDONDO','SC',9419,2167,NULL,NULL,NULL,NULL,NULL,4,2),(16,3261670,5.00,6.00,4.00,5.00,4.00,4.75,3.00,8.00,3.00,317,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',10075,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261689,8.00,4.00,6.00,8.00,7.00,6.50,5.00,7.00,7.00,103,NULL,NULL,'JARDIM PRIMAVERA','S PAULO','SP',2195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261697,7.00,8.00,5.00,9.00,6.00,4.75,6.00,8.00,7.00,103,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',1580,698,NULL,NULL,NULL,NULL,NULL,1,2),(16,3261700,5.00,4.00,1.00,7.00,6.00,5.75,2.00,8.00,4.00,340,NULL,NULL,'AMIZADE','JARAGUá SUL','SC',11342,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3261719,3.00,5.00,4.00,4.00,2.00,NULL,4.00,3.00,5.00,202,NULL,208,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261727,4.00,6.00,1.00,6.00,3.00,NULL,2.00,7.00,4.00,215,NULL,233,'CENTRO','NOVA ESPERANçA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3261735,3.00,3.00,3.00,5.00,3.00,NULL,2.00,4.00,3.00,101,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3261751,7.00,6.00,7.00,5.00,5.00,5.00,3.00,6.00,8.00,201,NULL,212,'CENTRO','FRAIBURGO','SC',4912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261760,6.00,4.00,2.00,3.00,6.00,4.50,2.00,6.00,4.00,331,NULL,NULL,'RIO GRANDE','PALHOçA','SC',12244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261778,3.00,6.00,3.00,2.00,5.00,5.00,0.00,5.00,3.00,310,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',15975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261794,2.00,1.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'IMIGRANTES','ZORTéA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3261808,0.00,0.00,0.00,7.00,2.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3261816,5.00,6.00,4.00,3.00,6.00,6.75,2.00,6.00,5.00,102,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261859,3.00,3.00,3.00,7.00,2.00,NULL,1.00,3.00,5.00,102,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261867,5.00,6.00,1.00,7.00,7.00,6.50,1.00,8.00,4.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261875,2.00,4.00,2.00,7.00,4.00,6.50,2.00,5.00,4.00,304,NULL,NULL,'FLORESTA','S JOSé','SC',13631,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'MORRADA DO SOL','MONDAí','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3261891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM TRES MARIAS','GUARUJá','SP',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3261905,7.00,7.00,8.00,8.00,8.00,5.25,4.00,8.00,7.00,103,NULL,NULL,'VILA NOVA','GOIâNIA','GO',1008,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3261913,7.00,6.00,5.00,7.00,7.00,5.75,3.00,6.00,5.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',5794,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3261921,6.00,7.00,4.00,9.00,9.00,7.50,6.00,8.00,5.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',1938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261930,8.00,8.00,7.00,7.00,6.00,7.75,4.00,7.00,6.00,103,NULL,NULL,'MORADA DA SERRA II','CUIABá','MT',1532,679,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261948,4.00,5.00,3.00,8.00,2.00,NULL,0.00,5.00,5.00,203,NULL,NULL,'RIO FIORITA','SIDERóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3261956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3261972,4.00,3.00,3.00,7.00,6.00,4.50,2.00,7.00,5.00,203,NULL,201,'VILA MOEMA','TUBARãO','SC',9355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3261980,4.00,7.00,4.00,4.00,6.00,5.00,4.00,8.00,4.00,225,NULL,NULL,'NSA SRA DA SALETE','CRICIúMA','SC',8458,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3261999,7.00,5.00,5.00,6.00,4.00,5.75,2.00,9.00,5.00,316,NULL,NULL,'VILA MOEMA','TUBARãO','SC',6385,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3262006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3262014,7.00,8.00,6.00,7.00,6.00,4.00,5.00,7.00,6.00,318,NULL,NULL,'SUMARE','S PAULO','SP',2821,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262022,2.00,4.00,1.00,4.00,4.00,NULL,0.00,3.00,3.00,404,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262065,3.00,6.00,1.00,5.00,2.00,NULL,2.00,4.00,2.00,208,NULL,203,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262073,1.00,3.00,1.00,7.00,5.00,5.00,3.00,3.00,4.00,303,NULL,NULL,'TRINDATE','FLORIANóPOLIS','SC',16261,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3262081,4.00,3.00,3.00,3.00,2.00,NULL,2.00,3.00,4.00,103,NULL,NULL,'DAS NAçõES','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3262090,4.00,5.00,2.00,7.00,3.00,NULL,3.00,4.00,3.00,429,NULL,425,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3262111,4.00,4.00,1.00,5.00,3.00,NULL,2.00,3.00,0.00,444,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262120,4.00,4.00,1.00,2.00,4.00,5.75,4.00,4.00,1.00,211,NULL,238,'CARVOEIRA','FLORIANóPOLIS','SC',16201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262138,2.00,4.00,2.00,5.00,3.00,NULL,2.00,8.00,6.00,9,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3262146,4.00,4.00,1.00,7.00,1.00,NULL,2.00,5.00,2.00,234,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262154,0.00,0.00,0.00,3.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3262170,2.00,3.00,1.00,0.00,0.00,NULL,1.00,3.00,2.00,327,NULL,NULL,'COSTERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262189,2.00,4.00,1.00,4.00,5.00,5.00,3.00,6.00,3.00,333,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',15427,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262200,4.00,6.00,5.00,2.00,2.00,NULL,3.00,4.00,3.00,220,NULL,233,'NITERRóI','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3262219,1.00,3.00,2.00,3.00,1.00,NULL,3.00,5.00,4.00,3,NULL,NULL,'JD CIDADE DE FPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262227,2.00,4.00,3.00,7.00,3.00,NULL,2.00,7.00,3.00,108,NULL,NULL,'CENTRO','SALTINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262235,4.00,5.00,4.00,3.00,2.00,NULL,2.00,6.00,2.00,309,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262243,5.00,5.00,6.00,3.00,4.00,4.00,3.00,4.00,4.00,317,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',12485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262251,5.00,6.00,4.00,9.00,5.00,7.00,1.00,4.00,3.00,201,NULL,207,'GALóPOLIS','CAXIAS SUL','RS',8906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262260,4.00,2.00,4.00,6.00,5.00,5.75,2.00,3.00,2.00,420,NULL,NULL,'ENSEADA DE BRITO','PALHOçA','SC',15325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262278,3.00,5.00,4.00,5.00,7.00,6.25,4.00,5.00,2.00,301,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',11429,214,NULL,NULL,NULL,NULL,NULL,1,1),(16,3262286,5.00,3.00,2.00,4.00,6.00,4.00,3.00,6.00,5.00,302,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',12427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262294,2.00,3.00,2.00,4.00,5.00,4.50,2.00,3.00,5.00,301,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',16564,376,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CAXAMBU','JUNDIAí','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3262316,2.00,1.00,2.00,4.00,0.00,NULL,0.00,1.00,0.00,309,NULL,NULL,'PALMAS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262324,3.00,3.00,2.00,6.00,4.00,5.25,3.00,4.00,3.00,207,NULL,238,'PâNTANO DO SUL','FLORIANóPOLIS','SC',15456,798,NULL,510,NULL,NULL,NULL,2,1),(16,3262332,4.00,5.00,2.00,5.00,4.00,5.50,4.00,3.00,3.00,324,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',15120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262340,3.00,2.00,1.00,5.00,3.00,NULL,4.00,3.00,3.00,444,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262359,6.00,6.00,5.00,5.00,8.00,6.75,2.00,7.00,5.00,501,NULL,NULL,'BUENO','GOIâNIA','GO',4779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262367,6.00,6.00,2.00,2.00,6.00,4.75,2.00,5.00,3.00,203,NULL,214,'CAçADOR','CAPIVARI BAIXO','SC',13057,815,NULL,418,NULL,NULL,NULL,4,10),(16,3262375,3.00,3.00,2.00,6.00,5.00,5.50,2.00,3.00,3.00,301,NULL,NULL,'ROCIO GRANDE','S FRANCISCO SUL','SC',16256,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3262383,4.00,7.00,3.00,6.00,1.00,NULL,3.00,6.00,5.00,234,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3262405,1.00,4.00,1.00,7.00,2.00,NULL,3.00,3.00,2.00,303,NULL,NULL,'ARMAçãO P DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262413,4.00,5.00,5.00,5.00,4.00,6.50,2.00,6.00,4.00,103,NULL,NULL,'IPIRANGA','S JOSé','SC',10246,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262421,5.00,7.00,4.00,7.00,8.00,6.00,3.00,7.00,3.00,421,NULL,424,'SãO MIGUEL','CONCóRDIA','SC',6124,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262430,5.00,4.00,4.00,6.00,7.00,6.50,3.00,5.00,3.00,319,NULL,NULL,'COLONIAL','S BENTO SUL','SC',10827,210,NULL,NULL,NULL,NULL,NULL,4,8),(16,3262448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETRóPOLIS','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3262456,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PRAIA BRAVA','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3262464,5.00,7.00,5.00,5.00,6.00,4.50,7.00,8.00,6.00,203,NULL,208,'CAMPECHE','FLORIANóPOLIS','SC',3624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262472,3.00,5.00,4.00,3.00,6.00,5.50,2.00,5.00,5.00,302,NULL,NULL,'CAMPINAS','S JOSé','SC',13259,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262480,4.00,1.00,1.00,1.00,4.00,NULL,0.00,3.00,0.00,415,NULL,NULL,'MARIA GORETTI','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3262510,4.00,2.00,1.00,2.00,5.00,5.75,2.00,7.00,3.00,2,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',15714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262529,7.00,6.00,5.00,6.00,5.00,4.75,6.00,6.00,8.00,103,NULL,NULL,'GUARá','GUARá','DF',3508,1185,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262537,5.00,8.00,6.00,9.00,6.00,7.25,3.00,8.00,6.00,316,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',2244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262545,8.00,6.00,4.00,1.00,8.00,7.25,3.00,7.00,7.00,103,NULL,NULL,'SãO VICENTE','JOAçABA','SC',6930,1826,NULL,NULL,NULL,NULL,NULL,4,7),(16,3262553,4.00,7.00,3.00,8.00,7.00,5.50,5.00,9.00,3.00,211,NULL,233,'CENTRO','LAGES','SC',5568,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3262561,5.00,6.00,3.00,7.00,6.00,5.25,3.00,5.00,5.00,317,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8784,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262570,3.00,6.00,3.00,6.00,4.00,4.75,1.00,4.00,1.00,317,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',16012,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3262588,6.00,6.00,3.00,6.00,8.00,5.50,4.00,7.00,4.00,203,NULL,214,'PERPéTUO SOCORRO','S LOURENçO OESTE','SC',5270,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3262596,2.00,3.00,2.00,4.00,2.00,NULL,3.00,3.00,2.00,207,NULL,215,'PRESIDENTE MEDICI','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3262600,2.00,4.00,2.00,4.00,2.00,NULL,1.00,2.00,2.00,316,NULL,NULL,'CANTA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3262626,5.00,8.00,6.00,8.00,6.00,5.50,6.00,7.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262634,5.00,2.00,4.00,3.00,5.00,NULL,2.00,3.00,1.00,301,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262642,4.00,4.00,3.00,4.00,5.00,4.25,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','PASSOS MAIA','SC',16007,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3262650,8.00,3.00,7.00,8.00,6.00,5.00,6.00,8.00,8.00,103,NULL,NULL,'SãO JUDAS','ITAJAí','SC',2259,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3262669,2.00,3.00,1.00,5.00,3.00,NULL,3.00,4.00,3.00,303,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3262677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3262685,6.00,6.00,4.00,6.00,4.00,5.00,3.00,6.00,5.00,316,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',9591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262693,6.00,6.00,4.00,7.00,6.00,4.50,3.00,5.00,4.00,234,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',7416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3262715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3262731,1.00,0.00,2.00,3.00,1.00,NULL,2.00,2.00,4.00,5,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262740,3.00,4.00,4.00,7.00,7.00,6.25,3.00,5.00,3.00,451,NULL,NULL,'FUNDO CANOAS','RIO SUL','SC',11503,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3262766,4.00,3.00,4.00,7.00,4.00,5.25,2.00,3.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',15252,2713,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262774,7.00,5.00,4.00,6.00,6.00,5.50,4.00,5.00,5.00,201,NULL,212,'CENTRO','STA ROSA','RS',7527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262782,4.00,2.00,3.00,5.00,5.00,4.00,3.00,4.00,3.00,303,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',15782,682,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262790,5.00,6.00,4.00,5.00,3.00,NULL,2.00,3.00,2.00,108,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3262812,4.00,2.00,2.00,3.00,3.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262820,7.00,7.00,4.00,8.00,9.00,7.50,5.00,8.00,7.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3262847,4.00,5.00,4.00,5.00,4.00,4.75,2.00,6.00,1.00,234,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',13478,48,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262855,2.00,8.00,4.00,7.00,8.00,7.50,3.00,6.00,2.00,404,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',7413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262863,4.00,4.00,2.00,1.00,6.00,6.25,5.00,4.00,3.00,207,NULL,201,'ALVORADA','XAXIM','SC',15219,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3262871,2.00,4.00,2.00,5.00,3.00,NULL,2.00,4.00,3.00,201,NULL,212,'CENTRP','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262880,5.00,4.00,3.00,4.00,3.00,NULL,4.00,6.00,4.00,208,NULL,NULL,'CARANAZAL','SANTARéM','PA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262901,2.00,2.00,3.00,3.00,3.00,NULL,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3262910,5.00,5.00,4.00,8.00,7.00,5.25,3.00,6.00,5.00,102,NULL,NULL,'MICHEL','CRICIúMA','SC',6849,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3262928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'VILA NOVA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3262936,6.00,7.00,3.00,9.00,7.00,4.00,5.00,8.00,7.00,203,NULL,213,'COQUEIROS','FLORIANóPOLIS','SC',3750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262944,3.00,4.00,3.00,7.00,5.00,5.50,2.00,7.00,2.00,421,NULL,429,'CARVOEIRA','FLORIANóPOLIS','SC',12621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3262952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3262960,5.00,6.00,3.00,4.00,6.00,5.50,3.00,5.00,5.00,101,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',10384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3262987,3.00,2.00,3.00,3.00,5.00,5.25,3.00,5.00,3.00,301,NULL,NULL,'CENTRO','ARARANGUá','SC',15653,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3262995,4.00,5.00,3.00,6.00,5.00,6.25,2.00,5.00,3.00,103,NULL,NULL,'AMéRICA','JOINVILLE','SC',11576,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3263002,5.00,1.00,2.00,0.00,3.00,NULL,0.00,3.00,2.00,102,NULL,NULL,'HUMAITá DE CIMA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3263010,1.00,3.00,3.00,1.00,4.00,NULL,2.00,3.00,4.00,404,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263029,6.00,3.00,3.00,2.00,7.00,4.75,2.00,8.00,2.00,104,NULL,NULL,'JARDIM GIRASSOL','DOURADOS','MS',13216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263037,4.00,2.00,2.00,0.00,4.00,NULL,2.00,2.00,2.00,104,NULL,NULL,'HUMAITA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3263045,4.00,8.00,7.00,8.00,7.00,6.50,4.00,7.00,4.00,5,NULL,NULL,'CAMPINAS','S JOSé','SC',2787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263070,3.00,4.00,3.00,6.00,4.00,4.75,2.00,5.00,5.00,319,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',13859,294,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263088,4.00,5.00,5.00,8.00,3.00,NULL,6.00,6.00,3.00,220,NULL,202,'CENTRO','DOIS IRMãOS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263118,4.00,6.00,7.00,8.00,8.00,8.00,5.00,8.00,6.00,201,NULL,220,'CATLÉIA','CAMPO BOM','RS',1948,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3263126,7.00,6.00,3.00,9.00,8.00,6.00,3.00,5.00,8.00,108,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',4298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263134,4.00,6.00,2.00,2.00,3.00,NULL,3.00,5.00,4.00,318,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263142,0.00,0.00,0.00,8.00,6.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3263150,4.00,5.00,2.00,7.00,5.00,6.00,4.00,8.00,5.00,5,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',7982,313,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263169,9.00,8.00,3.00,9.00,8.00,5.25,4.00,8.00,6.00,303,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',2073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263177,2.00,6.00,1.00,6.00,5.00,4.75,5.00,5.00,2.00,238,NULL,216,'INGLESES','FLORIANóPOLIS','SC',13223,417,NULL,443,NULL,NULL,NULL,2,1),(16,3263185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3263193,3.00,4.00,3.00,6.00,4.00,6.50,5.00,4.00,3.00,415,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',12203,320,NULL,NULL,NULL,NULL,NULL,4,8),(16,3263207,4.00,4.00,2.00,3.00,3.00,NULL,2.00,1.00,2.00,301,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263215,5.00,8.00,9.00,7.00,4.00,4.50,6.00,6.00,6.00,201,NULL,233,'CENTRO','FLORIANóPOLIS','SC',3408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263223,3.00,0.00,1.00,6.00,3.00,NULL,2.00,7.00,2.00,340,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3263231,3.00,5.00,3.00,6.00,3.00,NULL,2.00,5.00,4.00,223,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263240,3.00,8.00,4.00,7.00,4.00,6.50,2.00,4.00,3.00,108,NULL,NULL,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3263258,4.00,3.00,1.00,3.00,1.00,NULL,2.00,2.00,4.00,301,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3263274,5.00,5.00,6.00,8.00,6.00,5.25,4.00,3.00,4.00,319,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',7408,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263282,3.00,4.00,2.00,3.00,3.00,NULL,0.00,4.00,1.00,316,NULL,NULL,'JOAO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263290,3.00,5.00,4.00,5.00,4.00,3.25,4.00,2.00,4.00,308,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263304,3.00,3.00,1.00,4.00,2.00,NULL,2.00,3.00,2.00,503,NULL,NULL,'DAS NAçõES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3263312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3263320,6.00,5.00,2.00,5.00,6.00,5.50,3.00,6.00,4.00,5,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',10111,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3263347,2.00,3.00,3.00,6.00,4.00,6.00,3.00,5.00,3.00,310,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',14768,59,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263355,2.00,6.00,3.00,1.00,2.00,NULL,3.00,5.00,3.00,453,NULL,NULL,'CENTRO','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3263363,7.00,8.00,9.00,7.00,7.00,5.00,5.00,7.00,8.00,207,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',1360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263371,3.00,6.00,4.00,9.00,6.00,5.25,3.00,5.00,5.00,404,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',7992,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3263380,3.00,2.00,3.00,3.00,5.00,NULL,1.00,5.00,4.00,404,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3263401,4.00,5.00,7.00,9.00,8.00,5.50,4.00,6.00,6.00,220,NULL,203,'MEDIANEIRA','STA MARIA','RS',4515,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3263410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3263428,2.00,3.00,2.00,5.00,3.00,NULL,0.00,4.00,2.00,208,NULL,238,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263436,4.00,4.00,5.00,7.00,6.00,4.75,3.00,3.00,4.00,301,NULL,NULL,'FREI BRUNO','JOAçABA','SC',12670,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3263444,1.00,5.00,4.00,4.00,4.00,5.50,3.00,6.00,3.00,102,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3263452,3.00,1.00,2.00,7.00,3.00,NULL,4.00,4.00,2.00,303,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3263460,7.00,7.00,6.00,7.00,7.00,6.50,4.00,9.00,6.00,207,NULL,211,'ITACORUBI','FLORIANóPOLIS','SC',2093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263479,2.00,2.00,2.00,3.00,4.00,NULL,2.00,4.00,4.00,102,NULL,NULL,'ARIRIBá','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3263487,4.00,6.00,6.00,9.00,6.00,6.50,3.00,8.00,2.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',5925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263495,3.00,4.00,4.00,7.00,3.00,NULL,3.00,2.00,2.00,202,NULL,213,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263509,1.00,3.00,4.00,6.00,4.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263517,5.00,5.00,4.00,6.00,6.00,5.00,4.00,7.00,6.00,444,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',7895,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263525,3.00,3.00,2.00,6.00,3.00,NULL,2.00,4.00,4.00,101,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263533,3.00,4.00,4.00,5.00,3.00,NULL,5.00,5.00,5.00,415,NULL,NULL,'RESERVA DO MOULIN','S SEBASTIãO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263541,2.00,3.00,4.00,2.00,3.00,NULL,3.00,5.00,2.00,420,NULL,NULL,'CENTRO','GR PARá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3263550,5.00,2.00,3.00,4.00,2.00,NULL,4.00,2.00,4.00,102,NULL,NULL,'VILA GERMER','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3263568,3.00,5.00,4.00,0.00,2.00,NULL,2.00,3.00,3.00,234,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263576,8.00,9.00,7.00,8.00,9.00,7.50,6.00,8.00,8.00,103,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263584,3.00,1.00,2.00,2.00,3.00,NULL,2.00,4.00,2.00,501,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3263592,5.00,7.00,5.00,8.00,4.00,6.50,3.00,7.00,3.00,103,NULL,NULL,'NAçõES','BAL CAMBORIú','SC',7820,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3263606,2.00,3.00,1.00,4.00,4.00,NULL,1.00,2.00,3.00,208,NULL,238,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3263622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3263630,0.00,0.00,0.00,7.00,5.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3263649,4.00,4.00,2.00,8.00,5.00,6.25,4.00,4.00,4.00,207,NULL,201,'INGLESES','FLORIANóPOLIS','SC',11934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263657,6.00,8.00,7.00,6.00,8.00,5.75,1.00,9.00,7.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',2394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263665,5.00,4.00,4.00,6.00,5.00,4.75,3.00,7.00,6.00,103,NULL,NULL,'ALTO CAFEZAL','MARíLIA','SP',6854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263673,1.00,0.00,2.00,4.00,4.00,NULL,2.00,2.00,3.00,303,NULL,NULL,'CENTRO','SIDERóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3263681,3.00,4.00,3.00,6.00,4.00,0.00,3.00,2.00,3.00,211,NULL,201,'MUNICIPIOS','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263690,5.00,5.00,4.00,2.00,4.00,2.00,1.00,5.00,2.00,331,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263703,6.00,6.00,3.00,6.00,3.00,NULL,3.00,5.00,3.00,234,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263711,4.00,2.00,3.00,3.00,4.00,6.00,3.00,8.00,3.00,103,NULL,NULL,'CENTRO','PRES GETúLIO','SC',13614,2577,NULL,NULL,NULL,NULL,NULL,4,2),(16,3263720,8.00,6.00,1.00,7.00,5.00,5.25,3.00,5.00,5.00,211,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3263738,1.00,4.00,1.00,5.00,1.00,NULL,3.00,3.00,2.00,404,NULL,NULL,'FIGUEROA','CAçADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3263746,2.00,4.00,1.00,6.00,3.00,NULL,3.00,5.00,3.00,212,NULL,238,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263754,3.00,6.00,1.00,7.00,6.00,5.50,3.00,4.00,3.00,238,NULL,207,'CARIANOS','FLORIANóPOLIS','SC',12897,401,NULL,655,NULL,NULL,NULL,2,1),(16,3263762,4.00,4.00,6.00,3.00,3.00,NULL,3.00,7.00,5.00,201,NULL,NULL,'JARDIM DAS AMéRICAS','CUIABá','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263789,2.00,3.00,1.00,4.00,4.00,NULL,1.00,3.00,2.00,234,NULL,NULL,'PRADO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263797,2.00,2.00,1.00,2.00,4.00,NULL,2.00,1.00,3.00,101,NULL,NULL,'COMERCIáRIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3263800,4.00,3.00,3.00,5.00,2.00,NULL,2.00,3.00,2.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263819,3.00,4.00,4.00,6.00,5.00,6.50,0.00,5.00,1.00,302,NULL,NULL,'CAEIRA SACO LIMõES','FLORIANóPOLIS','SC',14940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263827,2.00,4.00,4.00,7.00,6.00,4.50,2.00,4.00,3.00,423,NULL,426,'GUARDA DO CUBATãO','PALHOçA','SC',13644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3263851,2.00,1.00,1.00,5.00,2.00,NULL,3.00,4.00,3.00,326,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263878,4.00,2.00,4.00,1.00,4.00,NULL,4.00,1.00,4.00,203,NULL,202,'VILA MOEMA','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3263894,7.00,5.00,2.00,4.00,6.00,5.25,4.00,9.00,6.00,103,NULL,NULL,'CENTRO','UMUARAMA','PR',7186,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3263908,6.00,6.00,4.00,7.00,9.00,5.50,4.00,6.00,4.00,104,NULL,NULL,'CENTRO','CRICIúMA','SC',5510,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3263916,4.00,3.00,2.00,2.00,4.00,4.25,1.00,4.00,4.00,216,NULL,208,'GUARITA','SOMBRIO','SC',16671,509,NULL,586,NULL,NULL,NULL,4,5),(16,3263924,3.00,2.00,5.00,5.00,4.00,5.25,4.00,3.00,4.00,453,NULL,NULL,'JARDIM EUCALIPTO','PALHOçA','SC',15776,128,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263932,5.00,4.00,5.00,9.00,5.00,4.75,3.00,5.00,4.00,340,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',8610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263940,2.00,3.00,4.00,0.00,3.00,NULL,3.00,1.00,2.00,101,NULL,NULL,'JARDIM PRIMAVERA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263959,7.00,4.00,3.00,9.00,6.00,6.75,5.00,7.00,5.00,318,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',4292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3263967,4.00,2.00,4.00,1.00,6.00,NULL,1.00,4.00,3.00,238,NULL,208,'ALTO ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263975,5.00,4.00,1.00,4.00,4.00,4.00,3.00,5.00,2.00,317,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',16506,167,NULL,NULL,NULL,NULL,NULL,4,1),(16,3263983,3.00,4.00,1.00,2.00,5.00,NULL,1.00,2.00,3.00,415,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264009,2.00,4.00,3.00,5.00,3.00,NULL,2.00,3.00,2.00,207,NULL,201,'CENTRO','NOSSA SRA CARAVAGGIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3264025,5.00,4.00,5.00,8.00,5.00,5.25,2.00,9.00,6.00,9,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',5691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264033,0.00,5.00,2.00,3.00,6.00,0.00,3.00,3.00,5.00,207,NULL,203,'JARDIM ELDORADO III','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264041,3.00,5.00,2.00,5.00,3.00,NULL,2.00,8.00,3.00,328,NULL,NULL,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3264050,1.00,5.00,3.00,2.00,4.00,4.00,3.00,5.00,4.00,207,NULL,201,'IPIRANGA','S PAULO','SP',16074,835,NULL,1236,NULL,NULL,NULL,4,1),(16,3264068,4.00,4.00,2.00,3.00,5.00,NULL,4.00,3.00,0.00,213,NULL,208,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264076,6.00,6.00,3.00,5.00,4.00,5.50,1.00,7.00,2.00,216,NULL,201,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3264084,4.00,4.00,4.00,6.00,2.00,NULL,3.00,6.00,3.00,329,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264092,2.00,1.00,1.00,6.00,5.00,NULL,1.00,3.00,3.00,5,NULL,NULL,'SANTOS SARAIVA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264106,2.00,4.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,211,NULL,203,'STO ANTôNIO DE PáDUA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3264114,4.00,4.00,1.00,9.00,6.00,7.00,1.00,5.00,2.00,450,NULL,NULL,'CAMPINAS','S JOSé','SC',12414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264122,3.00,3.00,2.00,1.00,2.00,NULL,4.00,4.00,1.00,301,NULL,NULL,'UBATUBA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3264130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JOSé DE O MARTINS','MINEIROS','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3264149,4.00,4.00,4.00,8.00,4.00,4.25,4.00,7.00,5.00,203,NULL,220,'CENTRO','FLORIANóPOLIS','SC',9078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264157,2.00,2.00,4.00,8.00,6.00,6.75,2.00,3.00,1.00,444,NULL,NULL,'CAPITAIS','TIMBó','SC',15657,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3264165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA SETE','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3264173,4.00,5.00,3.00,7.00,3.00,NULL,3.00,8.00,5.00,220,NULL,233,'CENTRO','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3264181,6.00,7.00,4.00,8.00,7.00,6.50,3.00,5.00,4.00,501,NULL,NULL,'KOBRASOL','S JOSé','SC',5947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264190,2.00,5.00,2.00,8.00,8.00,6.25,3.00,9.00,4.00,303,NULL,NULL,'CENTRO','CRICIúMA','SC',8318,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3264203,3.00,4.00,2.00,4.00,5.00,5.00,5.00,4.00,5.00,103,NULL,NULL,'CENTRO','JOAçABA','SC',13193,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3264211,7.00,7.00,5.00,4.00,7.00,4.50,4.00,6.00,7.00,301,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',5168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264220,5.00,3.00,4.00,7.00,3.00,NULL,3.00,7.00,4.00,216,NULL,NULL,'VILA MARIA ALTA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264238,4.00,4.00,4.00,9.00,6.00,5.75,1.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264246,1.00,4.00,4.00,5.00,3.00,NULL,1.00,3.00,2.00,203,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264254,3.00,4.00,4.00,1.00,3.00,NULL,2.00,5.00,4.00,208,NULL,238,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264262,0.00,3.00,4.00,8.00,3.00,NULL,1.00,4.00,3.00,216,NULL,214,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264270,4.00,6.00,3.00,6.00,8.00,7.75,3.00,7.00,4.00,104,NULL,NULL,'GARCIA','BLUMENAU','SC',6208,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3264289,0.00,2.00,2.00,3.00,4.00,NULL,1.00,4.00,0.00,301,NULL,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264297,4.00,3.00,3.00,2.00,5.00,NULL,3.00,4.00,1.00,201,NULL,213,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264300,1.00,3.00,4.00,2.00,1.00,NULL,2.00,1.00,3.00,212,NULL,214,'SCHREIBER','SALETE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3264319,2.00,6.00,3.00,0.00,3.00,NULL,4.00,3.00,2.00,208,NULL,238,'CENTRO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264327,2.00,4.00,3.00,4.00,4.00,5.00,4.00,4.00,2.00,9,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',15823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3264343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','IMARUí','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3264351,3.00,3.00,2.00,3.00,1.00,NULL,1.00,3.00,3.00,216,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3264360,5.00,3.00,3.00,3.00,5.00,5.50,4.00,4.00,5.00,303,NULL,NULL,'BOMBAS','BOMBINHAS','SC',13363,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3264378,4.00,4.00,2.00,3.00,2.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'PANTANAL','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264386,0.00,0.00,0.00,3.00,3.00,NULL,2.00,4.00,3.00,340,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(16,3264394,3.00,2.00,3.00,3.00,4.00,NULL,3.00,1.00,2.00,303,NULL,NULL,'CENTRO','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3264408,7.00,5.00,4.00,5.00,5.00,5.50,0.00,4.00,3.00,101,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',11438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264424,1.00,3.00,4.00,4.00,5.00,NULL,1.00,5.00,0.00,327,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264432,6.00,7.00,6.00,5.00,6.00,6.00,5.00,9.00,8.00,216,NULL,202,'ZONA SETE','MARINGá','PR',2462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264440,6.00,9.00,6.00,6.00,8.00,5.75,4.00,9.00,8.00,203,NULL,201,'CAMPECHE','FLORIANóPOLIS','SC',1927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,423,'MARIA ANTONIETA','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3264475,2.00,4.00,6.00,7.00,5.00,4.00,4.00,7.00,5.00,238,NULL,208,'TRINDADE','FLORIANóPOLIS','SC',7547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'SAIC','CHAPECó','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3264505,3.00,5.00,4.00,0.00,4.00,NULL,3.00,3.00,2.00,301,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264513,4.00,4.00,4.00,9.00,5.00,7.25,2.00,6.00,4.00,214,NULL,216,'VILA JOãO JORGE','CAMPINAS','SP',8286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264521,2.00,3.00,2.00,3.00,2.00,NULL,2.00,4.00,2.00,319,NULL,NULL,'EFACIP','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3264530,2.00,2.00,1.00,2.00,4.00,NULL,2.00,3.00,2.00,425,NULL,423,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264548,3.00,4.00,6.00,8.00,4.00,7.00,1.00,5.00,2.00,103,NULL,NULL,'IRIRIú','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3264556,3.00,5.00,3.00,6.00,6.00,4.75,2.00,4.00,3.00,208,NULL,203,'CENTRO','XAXIM','SC',13845,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3264564,4.00,3.00,1.00,3.00,3.00,NULL,2.00,3.00,3.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264572,3.00,5.00,2.00,8.00,3.00,NULL,3.00,8.00,5.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3264602,2.00,1.00,2.00,4.00,4.00,NULL,2.00,3.00,3.00,108,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3264629,5.00,2.00,3.00,6.00,5.00,4.75,2.00,5.00,2.00,317,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',15685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264637,4.00,6.00,5.00,8.00,4.00,4.00,4.00,3.00,5.00,220,NULL,214,'PARAGUAI','JACINTO MACHADO','SC',9501,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3264645,6.00,5.00,2.00,7.00,6.00,4.25,2.00,3.00,3.00,234,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12758,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264653,3.00,2.00,1.00,2.00,3.00,NULL,3.00,1.00,0.00,503,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3264661,1.00,1.00,2.00,2.00,4.00,NULL,3.00,1.00,2.00,103,NULL,NULL,'CENTRO','CAMAQUã','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264670,5.00,3.00,6.00,9.00,3.00,NULL,5.00,7.00,5.00,203,NULL,216,'SANTO ANTôNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3264696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3264700,3.00,3.00,1.00,7.00,5.00,7.00,2.00,6.00,2.00,207,NULL,211,'BOM ABRIGO','FLORIANóPOLIS','SC',14904,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264718,2.00,5.00,3.00,8.00,5.00,7.00,4.00,6.00,5.00,415,NULL,NULL,'PONTE DE IMARUIM','PALHOçA','SC',9478,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PARQUE JAMBEIRO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3264734,5.00,3.00,5.00,5.00,1.00,NULL,0.00,0.00,0.00,202,NULL,213,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3264742,2.00,2.00,3.00,6.00,3.00,NULL,4.00,3.00,2.00,319,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3264769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'PROGRESSO','S LOURENçO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3264777,2.00,7.00,4.00,7.00,7.00,5.50,4.00,8.00,1.00,318,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264785,6.00,8.00,7.00,8.00,8.00,8.00,4.00,7.00,7.00,415,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',1137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ESPERANçA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3264807,5.00,8.00,5.00,8.00,5.00,5.00,4.00,7.00,4.00,201,NULL,202,'CRUZEIRO DO SUL','CRICIúMA','SC',4843,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3264815,2.00,6.00,3.00,5.00,2.00,NULL,2.00,7.00,3.00,304,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3264823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','IMARUí','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3264840,7.00,5.00,6.00,6.00,5.00,5.50,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','LARANJEIRAS SUL','PR',6363,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3264858,3.00,5.00,1.00,4.00,6.00,NULL,2.00,3.00,2.00,503,NULL,NULL,'DAS NAçõES','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3264866,1.00,2.00,4.00,2.00,1.00,NULL,1.00,1.00,1.00,301,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264874,3.00,4.00,1.00,5.00,0.00,NULL,3.00,2.00,2.00,309,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3264882,2.00,1.00,2.00,2.00,3.00,NULL,3.00,0.00,1.00,208,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264890,5.00,2.00,2.00,6.00,5.00,5.75,2.00,4.00,5.00,319,NULL,NULL,'CENTRO','JABORANDI','SP',13420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264912,9.00,8.00,6.00,8.00,7.00,7.50,7.00,6.00,8.00,5,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',761,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264920,6.00,8.00,5.00,7.00,5.00,4.00,5.00,6.00,6.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264939,4.00,3.00,2.00,3.00,5.00,NULL,2.00,1.00,2.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3264955,2.00,4.00,2.00,4.00,2.00,NULL,3.00,7.00,1.00,415,NULL,NULL,'CENTRO','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3264963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','JOAçABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3264971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'INTERIOR','S ROQUE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3264980,3.00,5.00,4.00,2.00,3.00,NULL,3.00,3.00,2.00,444,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3264998,6.00,2.00,5.00,8.00,6.00,5.75,3.00,2.00,6.00,444,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',9106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265005,2.00,0.00,4.00,2.00,4.00,NULL,5.00,2.00,1.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3265013,4.00,3.00,5.00,5.00,4.00,4.25,2.00,4.00,4.00,108,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',14450,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3265021,9.00,5.00,6.00,8.00,6.00,6.25,2.00,7.00,8.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',2662,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3265030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3265048,4.00,7.00,4.00,8.00,6.00,5.50,3.00,5.00,5.00,452,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',6817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265056,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3265064,7.00,6.00,5.00,9.00,7.00,7.00,4.00,7.00,7.00,238,NULL,233,'CENTRO','FLORIANóPOLIS','SC',2514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265072,5.00,5.00,3.00,3.00,5.00,6.25,2.00,6.00,4.00,103,NULL,NULL,'CORAL','LAGES','SC',12254,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3265080,6.00,5.00,5.00,8.00,6.00,5.50,2.00,6.00,5.00,214,NULL,203,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265099,3.00,1.00,2.00,5.00,3.00,NULL,3.00,3.00,5.00,333,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3265102,4.00,7.00,2.00,7.00,4.00,5.75,2.00,8.00,5.00,331,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANóPOLIS','SC',9429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265110,6.00,6.00,3.00,8.00,8.00,6.00,3.00,5.00,5.00,452,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',6029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265129,4.00,0.00,1.00,5.00,2.00,NULL,2.00,4.00,4.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265137,2.00,5.00,2.00,8.00,4.00,6.25,1.00,4.00,3.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',13664,597,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265153,3.00,4.00,1.00,3.00,3.00,NULL,3.00,3.00,5.00,208,NULL,238,'CENTRO','S JOãO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265161,5.00,4.00,2.00,5.00,4.00,6.25,1.00,6.00,4.00,302,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',12903,154,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265170,4.00,4.00,2.00,7.00,5.00,5.75,3.00,6.00,4.00,211,NULL,233,'NASPOLINI','CRICIúMA','SC',11554,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3265188,4.00,7.00,3.00,5.00,7.00,5.00,3.00,5.00,3.00,220,NULL,203,'ITACORUBI','FLORIANóPOLIS','SC',10753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VIAMóPOLIS','VIAMãO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3265200,7.00,6.00,6.00,8.00,8.00,5.50,5.00,8.00,6.00,104,NULL,NULL,'JURERE','FLORIANóPOLIS','SC',1973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265218,1.00,5.00,1.00,5.00,4.00,4.50,1.00,4.00,5.00,108,NULL,NULL,'COLONINHA','FLORIANóPOLIS','SC',15891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265226,5.00,5.00,3.00,6.00,6.00,5.25,4.00,5.00,4.00,108,NULL,NULL,'PACHECO','PALHOçA','SC',10617,237,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265234,4.00,3.00,5.00,5.00,6.00,7.00,5.00,5.00,5.00,316,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',8891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD INDEPENDENCIA','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3265250,1.00,4.00,1.00,2.00,0.00,NULL,1.00,2.00,3.00,319,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265269,5.00,6.00,2.00,3.00,4.00,4.75,3.00,3.00,2.00,501,NULL,NULL,'SERRARIA','S JOSé','SC',16262,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'BRASILIA','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3265285,2.00,0.00,3.00,4.00,4.00,NULL,2.00,4.00,2.00,216,NULL,215,'GLóRIA','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3265293,4.00,7.00,6.00,9.00,8.00,5.25,6.00,8.00,3.00,207,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',3198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265315,8.00,5.00,6.00,8.00,7.00,5.00,5.00,7.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',3466,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3265323,6.00,6.00,5.00,6.00,6.00,6.00,4.00,8.00,5.00,304,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',4905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265331,6.00,7.00,5.00,8.00,7.00,5.50,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',4552,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3265340,4.00,6.00,3.00,7.00,3.00,NULL,3.00,2.00,5.00,215,NULL,216,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265358,4.00,5.00,4.00,4.00,4.00,0.00,2.00,6.00,6.00,444,NULL,NULL,'CENTRO','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3265366,6.00,6.00,4.00,6.00,6.00,7.50,5.00,7.00,7.00,102,NULL,NULL,'CENTRO','ARARANGUá','SC',3416,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3265374,7.00,6.00,4.00,4.00,5.00,5.75,5.00,7.00,8.00,203,NULL,216,'CENTRO','ITAPEMA','SC',4377,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3265382,4.00,3.00,4.00,3.00,6.00,5.50,2.00,4.00,6.00,103,NULL,NULL,'SANTO ANTôNIO','JOINVILLE','SC',14295,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3265404,5.00,5.00,1.00,9.00,3.00,NULL,3.00,6.00,2.00,203,NULL,201,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265412,5.00,3.00,4.00,6.00,5.00,6.75,3.00,3.00,4.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',12013,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3265420,5.00,7.00,8.00,7.00,6.00,5.50,6.00,8.00,7.00,201,NULL,212,'PANTANO DO SUL','FLORIANóPOLIS','SC',2395,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265439,3.00,3.00,1.00,2.00,4.00,NULL,1.00,6.00,3.00,428,NULL,NULL,'CAMOBI','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265455,4.00,6.00,7.00,8.00,6.00,6.25,1.00,5.00,4.00,223,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265463,6.00,8.00,1.00,9.00,6.00,5.75,3.00,8.00,5.00,452,NULL,NULL,'LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC',5295,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265480,3.00,2.00,3.00,5.00,6.00,5.00,2.00,4.00,7.00,503,NULL,NULL,'FLORESTA','VIDEIRA','SC',14076,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3265498,2.00,5.00,2.00,5.00,6.00,5.50,5.00,7.00,4.00,211,NULL,233,'CAMPINAS','S JOSé','SC',11192,378,NULL,353,NULL,NULL,NULL,2,1),(16,3265501,4.00,3.00,2.00,4.00,5.00,5.50,2.00,5.00,4.00,102,NULL,NULL,'MARIA GORETTI','BENTO GONçALVES','RS',14831,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3265528,2.00,4.00,2.00,5.00,3.00,NULL,2.00,5.00,4.00,212,NULL,214,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265544,4.00,2.00,2.00,5.00,4.00,4.75,1.00,4.00,3.00,207,NULL,201,'ARAéS','CUIABá','MT',16312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265560,4.00,6.00,5.00,6.00,6.00,5.75,2.00,6.00,5.00,317,NULL,NULL,'CENTRO','TUBARãO','SC',8861,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3265595,5.00,6.00,2.00,3.00,2.00,NULL,1.00,5.00,1.00,238,NULL,208,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265609,2.00,5.00,6.00,7.00,2.00,NULL,2.00,4.00,4.00,216,NULL,220,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265617,6.00,7.00,7.00,8.00,6.00,6.50,5.00,6.00,4.00,212,NULL,233,'SANTA MôNICA','FLORIANóPOLIS','SC',3008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265625,3.00,3.00,2.00,7.00,4.00,6.00,3.00,3.00,2.00,333,NULL,NULL,'VILA YOLANDA','FOZ IGUAçU','PR',15570,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3265633,2.00,6.00,4.00,7.00,4.00,4.00,4.00,7.00,2.00,222,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',12307,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3265641,6.00,4.00,4.00,3.00,5.00,6.00,2.00,6.00,4.00,103,NULL,NULL,'CIDADE UNIVERSITáRIA','CAMPINAS','SP',11454,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3265650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','ANDIRá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3265668,7.00,8.00,6.00,8.00,5.00,5.75,5.00,7.00,7.00,303,NULL,NULL,'VISTA VERDE','S JOSé CAMPOS','SP',1888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265676,7.00,4.00,5.00,6.00,7.00,6.75,2.00,7.00,4.00,101,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',7184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265684,6.00,6.00,5.00,9.00,6.00,7.50,5.00,6.00,5.00,216,NULL,233,'FIUZA LIMA','ITAJAí','SC',3373,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3265692,4.00,1.00,5.00,7.00,6.00,5.50,3.00,5.00,5.00,103,NULL,NULL,'RIO MAINA','CRICIúMA','SC',11067,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3265706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3265714,2.00,2.00,1.00,1.00,2.00,NULL,0.00,0.00,0.00,220,NULL,213,'JARDIM BANDEIRANTES','TELêMACO BORBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3265722,4.00,4.00,4.00,2.00,5.00,6.00,5.00,3.00,5.00,207,NULL,211,'PRóSPERA','CRICIúMA','SC',13031,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3265757,2.00,4.00,2.00,6.00,5.00,7.25,1.00,5.00,5.00,452,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',12969,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265765,6.00,5.00,3.00,7.00,6.00,5.50,3.00,6.00,4.00,326,NULL,NULL,'SANTA MARIA','ANTôNIO CARLOS','SC',9167,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265773,4.00,4.00,2.00,4.00,2.00,NULL,2.00,5.00,3.00,208,NULL,238,'AZAMBUJA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3265781,4.00,7.00,4.00,8.00,6.00,4.25,4.00,8.00,4.00,201,NULL,212,'OFICINAS','TUBARãO','SC',5891,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3265790,3.00,4.00,5.00,4.00,4.00,5.50,3.00,5.00,2.00,453,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',15125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265803,7.00,5.00,7.00,9.00,5.00,6.25,5.00,7.00,7.00,304,NULL,NULL,'LAGO SUL','LG SUL','DF',2026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265811,4.00,6.00,3.00,4.00,6.00,7.25,2.00,4.00,4.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12212,247,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265820,5.00,7.00,3.00,8.00,7.00,4.00,5.00,5.00,5.00,340,NULL,NULL,'PORTAL DA FOZ','FOZ IGUAçU','PR',7359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265838,6.00,7.00,7.00,3.00,5.00,6.75,3.00,8.00,7.00,203,NULL,214,'CENTRO','ASSIS','SP',3769,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3265846,6.00,3.00,4.00,7.00,5.00,6.75,1.00,5.00,4.00,201,NULL,207,'CENTRO','S JOãO BATISTA','SC',9629,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'VILA NATAL','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3265862,4.00,4.00,5.00,8.00,7.00,6.25,2.00,7.00,7.00,450,NULL,NULL,'JARDIM DO SOL','TAUBATé','SP',6257,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3265870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3265889,5.00,9.00,4.00,8.00,4.00,6.25,1.00,9.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',5021,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265897,4.00,1.00,3.00,6.00,5.00,7.00,1.00,5.00,3.00,3,NULL,NULL,'CENTRO','SALVADOR MISSõES','RS',14499,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3265900,2.00,4.00,5.00,7.00,7.00,5.00,3.00,5.00,5.00,404,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',9989,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265919,4.00,4.00,4.00,1.00,5.00,5.50,3.00,6.00,2.00,214,NULL,233,'FAZENDA SANTO ANTONI','S JOSé','SC',14350,452,NULL,427,NULL,NULL,NULL,4,1),(16,3265927,6.00,8.00,4.00,5.00,5.00,4.75,3.00,6.00,4.00,102,NULL,NULL,'PEDRA BRANCA','PALHOçA','SC',10065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265935,4.00,2.00,3.00,4.00,2.00,NULL,0.00,4.00,6.00,104,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3265943,2.00,4.00,1.00,3.00,3.00,NULL,2.00,8.00,1.00,332,NULL,NULL,'TERRAS DO MADEIRA','CARAPICUíBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265951,5.00,5.00,1.00,1.00,2.00,NULL,3.00,5.00,4.00,238,NULL,201,'VOSTARD','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3265960,4.00,5.00,2.00,3.00,5.00,4.00,3.00,3.00,2.00,415,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',16521,419,NULL,NULL,NULL,NULL,NULL,2,1),(16,3265978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3265986,4.00,8.00,7.00,8.00,8.00,6.75,3.00,8.00,6.00,238,NULL,208,'FLORESTA','S JOSé','SC',2019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3265994,3.00,4.00,1.00,6.00,4.00,5.00,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',16188,2800,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266001,5.00,7.00,2.00,8.00,4.00,7.00,5.00,8.00,4.00,3,NULL,NULL,'INTERIOR','ÁGUA DOCE','SC',6470,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3266010,4.00,4.00,3.00,6.00,5.00,4.00,5.00,4.00,2.00,203,NULL,214,'CENTRO','AT BELA VISTA','SC',13328,827,NULL,424,NULL,NULL,NULL,2,7),(16,3266028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,212,'GRANJA VIANA','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3266036,7.00,8.00,6.00,8.00,8.00,6.75,4.00,7.00,7.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1053,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266044,1.00,1.00,4.00,5.00,4.00,5.00,2.00,6.00,4.00,319,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',15899,346,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266052,6.00,6.00,5.00,5.00,5.00,4.50,3.00,5.00,5.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',9521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3266060,2.00,5.00,2.00,2.00,2.00,NULL,3.00,1.00,2.00,212,NULL,233,'INDUSTRIAL','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3266087,3.00,4.00,2.00,5.00,3.00,NULL,2.00,5.00,4.00,317,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PINHAIS','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3266117,4.00,2.00,3.00,5.00,5.00,4.50,0.00,7.00,4.00,201,NULL,207,'CENTRO','UNIãO VITóRIA','PR',14625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3266125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3266133,2.00,5.00,5.00,2.00,3.00,NULL,0.00,4.00,1.00,238,NULL,202,'AREIAS DE MACACU','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266141,4.00,4.00,2.00,4.00,5.00,4.75,3.00,5.00,4.00,212,NULL,201,'PORTO GRANDE','S SEBASTIãO','SP',13734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3266150,6.00,2.00,5.00,5.00,6.00,7.00,3.00,8.00,4.00,303,NULL,NULL,'CENTRO','ITAPEJARA D OESTE','PR',8799,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3266168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,207,'CENTRO','JANDAIA SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3266176,2.00,5.00,5.00,6.00,4.00,5.50,2.00,5.00,5.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANóPOLIS','SC',12312,533,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266184,9.00,9.00,4.00,9.00,7.00,6.25,5.00,9.00,7.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3266192,3.00,7.00,5.00,5.00,7.00,5.00,3.00,8.00,3.00,5,NULL,NULL,'CENTRO','PALHOçA','SC',7780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3266206,6.00,4.00,3.00,8.00,7.00,4.50,2.00,5.00,6.00,451,NULL,NULL,'CENTRO','VACARIA','RS',7468,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266214,6.00,3.00,4.00,6.00,7.00,5.50,1.00,7.00,6.00,317,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',8052,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'CENTRO','UBERABA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3266249,8.00,7.00,7.00,9.00,6.00,6.75,6.00,7.00,8.00,103,NULL,NULL,'VILA EMA','S JOSé CAMPOS','SP',947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3266257,3.00,6.00,3.00,4.00,4.00,4.75,4.00,6.00,4.00,211,NULL,214,'SAGUAçU','JOINVILLE','SC',11186,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3266265,2.00,7.00,2.00,3.00,5.00,5.00,1.00,6.00,4.00,304,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',13900,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3266273,5.00,6.00,5.00,8.00,4.00,4.75,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','CARLóPOLIS','PR',7487,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3266281,1.00,2.00,1.00,6.00,3.00,NULL,3.00,2.00,3.00,317,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266290,5.00,3.00,2.00,2.00,4.00,4.25,2.00,2.00,4.00,103,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',16662,2838,NULL,NULL,NULL,NULL,NULL,4,8),(16,3266303,4.00,0.00,2.00,7.00,5.00,4.50,3.00,2.00,6.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',15652,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3266311,3.00,2.00,5.00,5.00,5.00,NULL,2.00,4.00,0.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3266320,3.00,5.00,1.00,0.00,5.00,4.75,4.00,4.00,4.00,104,NULL,NULL,'OFICINAS','TUBARãO','SC',16487,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3266346,1.00,4.00,1.00,7.00,4.00,5.50,3.00,5.00,2.00,9,NULL,NULL,'UNIVERSITáRIO','TIJUCAS','SC',16534,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266354,3.00,3.00,2.00,2.00,2.00,NULL,1.00,3.00,2.00,309,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266362,3.00,1.00,3.00,3.00,3.00,NULL,4.00,1.00,2.00,108,NULL,NULL,'OFICINAS','TUBARAO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3266370,4.00,4.00,1.00,3.00,6.00,NULL,1.00,3.00,2.00,203,NULL,208,'CENTRO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3266389,4.00,3.00,1.00,4.00,5.00,5.25,2.00,5.00,5.00,233,NULL,215,'CENTRO','ITAPEMA','SC',15076,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3266397,5.00,7.00,3.00,2.00,7.00,6.00,3.00,6.00,4.00,103,NULL,NULL,'SCHRAMM','S BENTO SUL','SC',9340,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3266400,5.00,4.00,3.00,2.00,3.00,NULL,3.00,7.00,6.00,501,NULL,NULL,'CENTRO','S JOãO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3266419,5.00,5.00,4.00,7.00,6.00,4.25,3.00,7.00,4.00,2,NULL,NULL,'CAMPINAS','S JOSé','SC',8834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3266427,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3266435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'JARDIM JEQUITIBá','MARíLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3266443,4.00,4.00,2.00,6.00,5.00,5.75,1.00,7.00,4.00,318,NULL,NULL,'SãO JOãO','ITAJAí','SC',13071,104,NULL,NULL,NULL,NULL,NULL,2,6),(16,3266451,7.00,8.00,3.00,7.00,7.00,5.75,3.00,6.00,8.00,103,NULL,NULL,'GLóRIA','JOINVILLE','SC',3169,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3266460,3.00,3.00,3.00,2.00,1.00,NULL,0.00,0.00,0.00,220,NULL,202,'CENTRO ADM','OTACíLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,9),(16,3266486,3.00,8.00,4.00,7.00,5.00,4.25,2.00,5.00,5.00,212,NULL,201,'SãO CRISTOVãO','VIDEIRA','SC',9842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266494,4.00,5.00,4.00,8.00,4.00,5.75,2.00,7.00,5.00,103,NULL,NULL,'MIRANDóPOLIS','S PAULO','SP',9129,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'VILA BANCáRIA','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3266516,1.00,4.00,3.00,6.00,3.00,NULL,2.00,0.00,0.00,309,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3266532,2.00,4.00,5.00,0.00,3.00,NULL,3.00,6.00,2.00,308,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3266540,5.00,3.00,1.00,7.00,5.00,5.00,3.00,5.00,3.00,451,NULL,NULL,'RUBEM BERTA','PTO ALEGRE','RS',13875,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM ALVORADA','JOAçABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3266567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM MATARAZZO','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3266575,5.00,3.00,2.00,6.00,5.00,4.75,2.00,2.00,4.00,102,NULL,NULL,'CENTRO','LAGES','SC',15471,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3266583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(16,3266591,4.00,5.00,2.00,7.00,5.00,6.00,3.00,8.00,4.00,302,NULL,NULL,'CENTRO','BEBEDOURO','SP',8482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3266621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3266630,7.00,8.00,5.00,6.00,7.00,6.00,6.00,8.00,9.00,103,NULL,NULL,'BELA VISTA','GOIâNIA','GO',1175,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266648,8.00,4.00,5.00,3.00,4.00,5.25,6.00,6.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',7494,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3266656,3.00,4.00,2.00,5.00,4.00,3.25,2.00,3.00,3.00,201,NULL,233,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266664,3.00,4.00,2.00,3.00,5.00,NULL,2.00,2.00,1.00,319,NULL,NULL,'RECIFE','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3266672,5.00,4.00,4.00,6.00,6.00,6.25,2.00,5.00,5.00,103,NULL,NULL,'COPACABANA','LAGES','SC',10593,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3266680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'CENTRO','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3266702,5.00,6.00,4.00,6.00,6.00,6.25,3.00,7.00,3.00,332,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',9579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3266710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PARQUE ANDORINHAS','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3266729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'AVAí','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3266753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3266761,5.00,7.00,4.00,7.00,7.00,6.75,2.00,7.00,7.00,3,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',4814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266770,3.00,1.00,3.00,5.00,4.00,5.50,2.00,4.00,5.00,303,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3266788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTUGUESA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3266796,6.00,2.00,4.00,1.00,4.00,5.50,2.00,3.00,3.00,333,NULL,NULL,'MORRO DO MEIO','JOINVILLE','SC',16473,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3266818,4.00,2.00,3.00,0.00,0.00,NULL,3.00,4.00,2.00,220,NULL,214,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(16,3266826,7.00,6.00,9.00,9.00,7.00,7.00,3.00,8.00,6.00,201,NULL,212,'ALTO DE PINHEIROS','S PAULO','SP',1313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3266834,7.00,7.00,6.00,9.00,8.00,9.25,4.00,6.00,5.00,207,NULL,203,'PANTANAL','FLORIANóPOLIS','SC',1934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3266842,3.00,1.00,4.00,5.00,1.00,NULL,3.00,0.00,5.00,316,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266850,5.00,4.00,3.00,2.00,5.00,6.00,2.00,3.00,5.00,214,NULL,203,'BEIJA FLOR','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3266869,4.00,7.00,4.00,8.00,8.00,6.50,3.00,8.00,6.00,103,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3266877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3266885,5.00,5.00,2.00,8.00,5.00,6.00,4.00,5.00,5.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3266893,7.00,7.00,2.00,5.00,3.00,NULL,1.00,6.00,4.00,108,NULL,NULL,'ZONA I','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3266907,6.00,5.00,4.00,7.00,6.00,5.00,6.00,5.00,6.00,220,NULL,202,'COMERCIARIO','CRICIúMA','SC',5389,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3266915,2.00,5.00,3.00,7.00,5.00,6.00,2.00,4.00,3.00,5,NULL,NULL,'CENTRO','COCAL DO SUL','SC',13825,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3266923,8.00,8.00,5.00,7.00,6.00,5.00,5.00,9.00,6.00,203,NULL,208,'ESCOLA AGRICOLA','BLUMENAU','SC',2311,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3266931,1.00,4.00,2.00,2.00,4.00,5.00,3.00,5.00,4.00,5,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',16438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3266940,8.00,8.00,8.00,7.00,7.00,5.25,4.00,8.00,8.00,201,NULL,216,'COMERCIáRIO','CRICIúMA','SC',1039,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3266958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3266966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'RIO JORDAO','SIDERóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3266974,4.00,1.00,1.00,3.00,2.00,NULL,1.00,2.00,2.00,302,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3266982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3266990,4.00,6.00,2.00,5.00,5.00,6.25,3.00,7.00,3.00,214,NULL,213,'PQ DAS LARANJEIRAS','CAJOBI','SP',10574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CPO ERê','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3267024,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'VILA PARAíSO','IMARUí','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(16,3267032,3.00,6.00,5.00,6.00,3.00,NULL,2.00,4.00,3.00,444,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267040,4.00,6.00,2.00,5.00,5.00,4.50,3.00,6.00,4.00,501,NULL,NULL,'SãO MIGUEL','FRANCISCO BELTRãO','PR',12120,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3267059,5.00,1.00,2.00,5.00,4.00,2.25,2.00,4.00,2.00,208,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267067,4.00,3.00,3.00,3.00,5.00,7.00,4.00,4.00,6.00,503,NULL,NULL,'ARMAçãO DO PâNTANO D','FLORIANóPOLIS','SC',11857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3267083,3.00,4.00,3.00,3.00,4.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3267091,2.00,2.00,3.00,3.00,3.00,NULL,3.00,3.00,2.00,201,NULL,207,'CENTRO','PINHEIRO PRETO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3267105,4.00,4.00,4.00,1.00,1.00,NULL,2.00,1.00,4.00,301,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267113,2.00,5.00,4.00,3.00,4.00,5.00,3.00,6.00,3.00,428,NULL,427,'CENTRO','FLORIANóPOLIS','SC',15109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VILA OLIMPIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3267130,8.00,8.00,8.00,7.00,7.00,7.00,7.00,7.00,9.00,103,NULL,NULL,'PARQUE DA FAZENDA','ITATIBA','SP',332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267148,2.00,2.00,1.00,4.00,2.00,NULL,2.00,5.00,4.00,207,NULL,208,'SÃO CRISTOVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3267156,3.00,2.00,2.00,1.00,2.00,NULL,0.00,4.00,3.00,502,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267164,0.00,5.00,1.00,7.00,3.00,NULL,3.00,6.00,2.00,326,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3267172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CRUZEIRO','STA ROSA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3267199,6.00,5.00,4.00,6.00,5.00,5.75,2.00,6.00,5.00,303,NULL,NULL,'DEMARCHI','S BERNARDO CAMPO','SP',7869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267202,3.00,3.00,3.00,2.00,2.00,NULL,5.00,6.00,2.00,302,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267210,4.00,4.00,1.00,7.00,6.00,5.00,3.00,5.00,1.00,211,NULL,216,'CENTRO','S JOãO BATISTA','SC',13870,472,NULL,459,NULL,NULL,NULL,2,1),(16,3267229,4.00,5.00,3.00,3.00,3.00,NULL,3.00,4.00,2.00,302,NULL,NULL,'PALHOçA CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267237,2.00,3.00,4.00,6.00,4.00,4.25,5.00,2.00,2.00,415,NULL,NULL,'JARDIM GARUVA','GARUVA','SC',16247,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3267245,2.00,3.00,1.00,5.00,4.00,NULL,2.00,5.00,2.00,101,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267253,4.00,4.00,2.00,5.00,3.00,NULL,1.00,3.00,2.00,318,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267261,6.00,7.00,7.00,9.00,8.00,5.50,8.00,7.00,7.00,214,NULL,212,'HIGIENOPOLIS','S PAULO','SP',671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'PARQUE DOS CISNES','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3267288,4.00,4.00,4.00,7.00,4.00,6.25,1.00,4.00,6.00,207,NULL,201,'CENTRO','PR GRANDE','SC',11722,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3267300,5.00,6.00,1.00,8.00,3.00,NULL,0.00,5.00,4.00,101,NULL,NULL,'GUIOMAR','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267326,5.00,3.00,1.00,3.00,1.00,NULL,2.00,2.00,2.00,415,NULL,NULL,'MARACNâ','ANáPOLIS','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267334,5.00,4.00,2.00,5.00,4.00,4.25,2.00,6.00,4.00,404,NULL,NULL,'BARREIROS','S JOSé','SC',13836,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267342,3.00,4.00,1.00,1.00,3.00,NULL,3.00,4.00,2.00,319,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267350,1.00,6.00,8.00,7.00,5.00,5.50,6.00,7.00,4.00,202,NULL,213,'TRINDADE','FLORIANóPOLIS','SC',5263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267369,9.00,5.00,7.00,9.00,7.00,6.25,7.00,8.00,8.00,302,NULL,NULL,'KOBRASOL','S JOSé','SC',698,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267377,3.00,4.00,3.00,8.00,7.00,6.25,4.00,6.00,4.00,5,NULL,NULL,'CENTRO','CRICIúMA','SC',9519,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3267385,4.00,2.00,3.00,1.00,3.00,NULL,1.00,4.00,1.00,304,NULL,NULL,'SANTOS DUMONT','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267393,6.00,4.00,4.00,7.00,7.00,6.00,7.00,7.00,6.00,103,NULL,NULL,'KOBRA SOL','S JOSé','SC',3118,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267407,3.00,3.00,2.00,1.00,2.00,NULL,1.00,1.00,3.00,5,NULL,NULL,'CORDEIROS','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3267415,5.00,6.00,5.00,4.00,6.00,7.00,3.00,9.00,5.00,340,NULL,NULL,'BARREIROS','S JOSé','SC',5483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3267431,5.00,3.00,9.00,5.00,6.00,6.25,3.00,7.00,5.00,207,NULL,215,'BOM JESUS','PTO ALEGRE','RS',6587,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3267440,2.00,5.00,2.00,3.00,3.00,NULL,3.00,5.00,3.00,202,NULL,208,'CENTRO','VICENTE DUTRA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3267458,3.00,3.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(16,3267466,5.00,5.00,8.00,9.00,7.00,5.75,4.00,7.00,7.00,319,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',3088,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3267482,3.00,3.00,4.00,5.00,1.00,NULL,3.00,2.00,2.00,207,NULL,201,'CENTRO','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3267490,6.00,5.00,3.00,6.00,4.00,5.25,3.00,5.00,4.00,302,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',10782,117,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,427,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3267539,5.00,6.00,4.00,3.00,6.00,6.25,3.00,7.00,3.00,201,NULL,207,'INTERIOR','S JOãO OESTE','SC',10125,778,NULL,478,NULL,NULL,NULL,4,4),(16,3267547,8.00,8.00,4.00,8.00,4.00,6.00,3.00,8.00,7.00,103,NULL,NULL,'CAMPINAS','S JOSé','SC',2537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267555,5.00,4.00,2.00,0.00,2.00,NULL,4.00,4.00,1.00,220,NULL,201,'NSA DO ROSÁRIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267563,3.00,6.00,4.00,4.00,5.00,5.25,3.00,8.00,2.00,5,NULL,NULL,'JARDIM BIGUAçU','BIGUAçU','SC',11995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'INTERIOR','S LUIZ GONZAGA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3267598,2.00,3.00,3.00,6.00,2.00,NULL,3.00,3.00,3.00,303,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUENO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3267610,4.00,4.00,4.00,7.00,5.00,7.25,4.00,3.00,1.00,303,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3267628,5.00,4.00,5.00,5.00,4.00,4.50,2.00,4.00,3.00,103,NULL,NULL,'VL GRANADA','S PAULO','SP',13638,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','IJUí','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3267660,3.00,3.00,4.00,7.00,5.00,5.25,2.00,7.00,4.00,102,NULL,NULL,'FORQUILHAS','S JOSé','SC',12322,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267679,5.00,7.00,2.00,8.00,6.00,7.75,4.00,9.00,5.00,424,NULL,421,'CENTRO','FLORIANóPOLIS','SC',4147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'PRAINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3267695,2.00,3.00,1.00,1.00,5.00,NULL,4.00,3.00,2.00,444,NULL,NULL,'PINHEIROS','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3267709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JD IRACEMA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3267717,3.00,3.00,1.00,1.00,3.00,NULL,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','S DOMINGOS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3267741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','PLANALTO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3267750,7.00,6.00,2.00,4.00,6.00,7.50,3.00,7.00,5.00,415,NULL,NULL,'INTERIOR','PANAMBI','RS',6474,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3267768,4.00,0.00,1.00,6.00,6.00,6.50,2.00,3.00,4.00,308,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',15178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267776,4.00,4.00,4.00,6.00,4.00,5.75,1.00,3.00,5.00,318,NULL,NULL,'CENTRO','ITAJAí','SC',13294,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3267784,2.00,5.00,5.00,8.00,6.00,6.00,2.00,5.00,4.00,102,NULL,NULL,'CENTRO','BIGUAçU','SC',10548,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'GREGO','STA BáRBARA D OESTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3267806,2.00,2.00,3.00,7.00,4.00,5.50,2.00,5.00,3.00,421,NULL,425,'FAZENDA STO ANTONIO','S JOSé','SC',15741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267814,5.00,4.00,2.00,3.00,5.00,6.75,4.00,2.00,6.00,304,NULL,NULL,'CENTRO','PALHOçA','SC',13160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267822,7.00,3.00,4.00,7.00,6.00,7.50,3.00,8.00,7.00,103,NULL,NULL,'VILA MORANGUEIRA','MARINGá','PR',4465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267830,3.00,1.00,4.00,0.00,4.00,NULL,1.00,3.00,4.00,104,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3267849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SANTA BáRBARA','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3267857,3.00,6.00,3.00,5.00,7.00,6.00,3.00,8.00,2.00,320,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',9872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267865,3.00,4.00,2.00,7.00,4.00,4.00,3.00,3.00,3.00,423,NULL,427,'ESTREITO','FLORIANóPOLIS','SC',15444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267873,1.00,7.00,6.00,3.00,4.00,5.75,4.00,5.00,2.00,316,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',13513,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3267881,8.00,8.00,6.00,9.00,7.00,6.50,6.00,9.00,7.00,340,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267890,2.00,7.00,1.00,8.00,6.00,6.25,2.00,9.00,1.00,331,NULL,NULL,'FORQUILHINHA','S JOSé','SC',9743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267903,5.00,6.00,4.00,6.00,5.00,5.50,2.00,5.00,6.00,101,NULL,NULL,'BELA VISTA','S JOAQUIM','SC',8456,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3267911,5.00,5.00,5.00,7.00,6.00,4.75,3.00,6.00,7.00,108,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',6809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267938,3.00,6.00,4.00,4.00,4.00,3.25,3.00,3.00,3.00,303,NULL,NULL,'ESTREITO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267946,4.00,6.00,4.00,9.00,7.00,5.75,3.00,8.00,6.00,444,NULL,NULL,'AREIAS','S JOSé','SC',5037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267954,1.00,2.00,1.00,2.00,3.00,NULL,2.00,1.00,1.00,108,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3267962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VILA JOãO PESSOA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3267970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM AMERICA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3267989,3.00,6.00,1.00,3.00,5.00,5.25,1.00,6.00,2.00,203,NULL,214,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3267997,4.00,3.00,3.00,1.00,3.00,NULL,3.00,4.00,2.00,102,NULL,NULL,'FAZENDA','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3268004,1.00,4.00,2.00,4.00,4.00,4.50,3.00,6.00,3.00,340,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',16226,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3268012,4.00,6.00,4.00,4.00,3.00,NULL,1.00,6.00,2.00,223,NULL,NULL,'SANTOS DUMONT','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268020,4.00,6.00,3.00,5.00,7.00,5.75,4.00,7.00,5.00,108,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',7619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268039,2.00,4.00,3.00,8.00,4.00,4.75,2.00,5.00,4.00,211,NULL,215,'CENTRO','GAROPABA','SC',14298,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268047,4.00,6.00,5.00,6.00,7.00,6.00,3.00,5.00,4.00,104,NULL,NULL,'BARREIROS','S JOSé','SC',7815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268055,8.00,8.00,5.00,9.00,8.00,6.00,5.00,6.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',1684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268063,6.00,7.00,5.00,7.00,4.00,6.00,6.00,8.00,8.00,211,NULL,207,'VILA MARIANA','S PAULO','SP',2682,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268071,5.00,5.00,2.00,4.00,4.00,6.00,4.00,4.00,2.00,203,NULL,214,'TRêS VENDAS','ERECHIM','RS',14528,865,NULL,455,NULL,NULL,NULL,2,4),(16,3268080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'POLO CENTRO','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3268098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ATLâNTICO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3268110,6.00,7.00,8.00,8.00,4.00,5.50,2.00,7.00,7.00,214,NULL,203,'VILA SãO JOãO','LIMEIRA','SP',3258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268128,1.00,4.00,1.00,3.00,5.00,NULL,2.00,4.00,2.00,444,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268144,7.00,7.00,6.00,7.00,5.00,5.00,6.00,7.00,7.00,216,NULL,211,'ESTREITO','FLORIANóPOLIS','SC',2798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268160,6.00,4.00,4.00,8.00,7.00,5.75,2.00,5.00,4.00,451,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',7712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268179,6.00,5.00,3.00,6.00,5.00,5.25,4.00,7.00,5.00,201,NULL,238,'FLORESTA','JOINVILLE','SC',7160,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3268187,7.00,5.00,5.00,7.00,7.00,5.50,3.00,5.00,6.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6158,246,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268195,5.00,2.00,1.00,2.00,3.00,NULL,3.00,4.00,3.00,207,NULL,201,'COSTA NERY','MINEIROS','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268209,4.00,6.00,3.00,9.00,6.00,5.50,3.00,4.00,2.00,320,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',9883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268217,4.00,5.00,2.00,4.00,2.00,NULL,2.00,5.00,4.00,216,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268225,4.00,8.00,5.00,9.00,6.00,7.25,2.00,8.00,5.00,340,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',3657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268233,4.00,3.00,3.00,5.00,3.00,NULL,1.00,3.00,4.00,103,NULL,NULL,'VILA NOVA','FRANCISCO BELTRãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3268241,3.00,5.00,4.00,6.00,5.00,6.00,3.00,7.00,3.00,451,NULL,NULL,'ARMAçãO DO P DO SUL','FLORIANóPOLIS','SC',11359,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3268250,1.00,3.00,2.00,7.00,3.00,NULL,1.00,3.00,2.00,108,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3268268,1.00,2.00,1.00,1.00,4.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'HUMAITA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3268276,6.00,4.00,4.00,8.00,7.00,6.00,4.00,5.00,5.00,301,NULL,NULL,'PARQUE SãO JORGE','FLORIANóPOLIS','SC',6364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268284,3.00,2.00,2.00,5.00,3.00,NULL,2.00,5.00,2.00,319,NULL,NULL,'RIBEIRãO DAS PEDRAS','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3268292,5.00,6.00,3.00,7.00,4.00,6.25,1.00,5.00,2.00,303,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',13095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268306,5.00,5.00,1.00,5.00,4.00,4.50,2.00,5.00,2.00,211,NULL,233,'CANTO DA LAGOA','FLORIANóPOLIS','SC',15542,524,NULL,458,NULL,NULL,NULL,2,1),(16,3268322,5.00,7.00,4.00,8.00,4.00,5.75,4.00,8.00,2.00,501,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',6919,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268330,3.00,4.00,4.00,8.00,6.00,5.00,2.00,3.00,2.00,103,NULL,NULL,'JARDIM VITORIA','MARíLIA','SP',13120,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3268349,6.00,2.00,1.00,8.00,2.00,NULL,2.00,5.00,5.00,340,NULL,NULL,'SAUDADE','ARAçATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3268373,3.00,5.00,4.00,5.00,4.00,6.00,3.00,6.00,4.00,104,NULL,NULL,'JARDIM ITáLIA','CHAPECó','SC',11734,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3268381,8.00,6.00,7.00,8.00,7.00,6.00,6.00,8.00,8.00,103,NULL,NULL,'PARQUE FABER','S CARLOS','SP',799,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3268390,2.00,0.00,3.00,2.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3268411,2.00,0.00,2.00,3.00,2.00,NULL,1.00,4.00,2.00,211,NULL,215,'PIO CORREA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3268420,7.00,6.00,8.00,7.00,5.00,5.75,5.00,8.00,7.00,214,NULL,201,'ESTREITO','FLORIANóPOLIS','SC',2587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268446,6.00,6.00,3.00,6.00,4.00,6.00,4.00,6.00,5.00,303,NULL,NULL,'FREI ROGéRIO','LAGES','SC',8584,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3268454,2.00,3.00,5.00,0.00,2.00,NULL,1.00,5.00,1.00,317,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268462,5.00,8.00,7.00,9.00,8.00,6.75,5.00,7.00,8.00,5,NULL,NULL,'CENTRO','CRICIúMA','SC',1178,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3268470,8.00,7.00,6.00,8.00,8.00,6.00,5.00,6.00,7.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANóPOLIS','SC',1574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3268497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'UVARANAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3268500,4.00,1.00,3.00,4.00,1.00,NULL,3.00,2.00,2.00,502,NULL,NULL,'CENTRO','JARDINóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3268519,5.00,2.00,4.00,1.00,5.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3268527,0.00,0.00,0.00,1.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SãO JOãO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(16,3268535,3.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,3.00,444,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268551,7.00,2.00,5.00,3.00,6.00,5.25,4.00,6.00,5.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268560,3.00,5.00,4.00,8.00,6.00,5.00,0.00,5.00,4.00,425,NULL,429,'BAIRRO IPIRANGA','S JOSé','SC',10501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268578,1.00,4.00,2.00,2.00,2.00,NULL,1.00,3.00,3.00,303,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268586,2.00,4.00,3.00,4.00,5.00,5.00,2.00,3.00,3.00,208,NULL,203,'INGLESES','FLORIANóPOLIS','SC',16203,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPO BELO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3268608,6.00,5.00,3.00,8.00,6.00,5.50,2.00,3.00,3.00,234,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',10796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268616,4.00,5.00,3.00,8.00,4.00,5.50,2.00,3.00,3.00,220,NULL,202,'PASSO DOS FORTES','CHAPECO','SC',13744,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3268624,3.00,3.00,2.00,5.00,5.00,NULL,1.00,3.00,2.00,316,NULL,NULL,'PRADO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268632,2.00,3.00,2.00,4.00,4.00,6.25,3.00,6.00,3.00,420,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',15537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268640,4.00,5.00,5.00,6.00,4.00,5.50,1.00,6.00,5.00,104,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',11046,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268659,5.00,3.00,4.00,4.00,3.00,NULL,3.00,2.00,2.00,215,NULL,212,'ABERNESSIA','CAMPOS JORDãO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3268667,4.00,8.00,3.00,7.00,6.00,7.75,3.00,9.00,4.00,327,NULL,NULL,'PARQUE TAQUARAL','CAMPINAS','SP',5538,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268675,4.00,5.00,4.00,4.00,5.00,3.25,2.00,7.00,4.00,212,NULL,201,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268683,5.00,5.00,2.00,7.00,4.00,5.25,3.00,3.00,2.00,415,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3268713,1.00,4.00,2.00,2.00,1.00,NULL,1.00,3.00,4.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268721,4.00,4.00,2.00,3.00,4.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3268730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3268748,4.00,4.00,1.00,3.00,4.00,6.00,3.00,6.00,4.00,104,NULL,NULL,'VILA NOVA','BLUMENAU','SC',14145,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3268756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','VARGEM BONITA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3268772,8.00,6.00,4.00,8.00,5.00,5.25,7.00,5.00,6.00,211,NULL,233,'ANITA GARIBALDI','JOINVILLE','SC',3726,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3268780,4.00,2.00,2.00,2.00,2.00,NULL,2.00,2.00,1.00,207,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3268799,2.00,4.00,2.00,3.00,1.00,NULL,3.00,2.00,2.00,101,NULL,NULL,'CENTRO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3268810,4.00,2.00,2.00,3.00,2.00,NULL,3.00,2.00,2.00,303,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268829,8.00,8.00,6.00,8.00,9.00,8.00,5.00,9.00,9.00,103,NULL,NULL,'CENTRO','BAL PIçARRAS','SC',322,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3268837,4.00,4.00,5.00,5.00,6.00,6.25,2.00,5.00,6.00,102,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',8881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268845,5.00,7.00,7.00,5.00,6.00,4.25,5.00,7.00,5.00,201,NULL,212,'SACO DOS LIMõES','FLORIANóPOLIS','SC',5521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268853,2.00,4.00,4.00,5.00,3.00,NULL,5.00,4.00,4.00,304,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268861,1.00,4.00,2.00,5.00,2.00,NULL,2.00,3.00,2.00,201,NULL,208,'VILLAGE','SORRISO','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3268870,4.00,4.00,3.00,8.00,4.00,6.00,2.00,6.00,5.00,501,NULL,NULL,'ITATIAIA III','GOIâNIA','GO',10456,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3268918,2.00,2.00,2.00,3.00,2.00,NULL,1.00,3.00,2.00,301,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3268926,5.00,7.00,4.00,1.00,7.00,5.25,3.00,9.00,3.00,304,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',8119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3268934,3.00,4.00,4.00,6.00,4.00,5.75,3.00,5.00,3.00,202,NULL,214,'PARQUE MONDEZIR','LORENA','SP',13512,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268942,3.00,5.00,2.00,8.00,7.00,5.00,2.00,6.00,4.00,216,NULL,233,'CENTRO','GR PARá','SC',11144,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3268950,7.00,7.00,6.00,8.00,6.00,5.50,6.00,7.00,8.00,211,NULL,203,'CENTRO','S JOãO BATISTA','SC',1999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268969,2.00,1.00,3.00,4.00,3.00,NULL,2.00,3.00,3.00,215,NULL,212,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268985,3.00,6.00,4.00,7.00,5.00,6.50,4.00,7.00,3.00,326,NULL,NULL,'SERRARIA','S JOSé','SC',8432,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3268993,3.00,3.00,3.00,5.00,2.00,NULL,0.00,3.00,3.00,211,NULL,207,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3269000,5.00,6.00,2.00,8.00,6.00,5.75,3.00,5.00,3.00,428,NULL,423,'CENTRO','S MARCOS','RS',9395,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3269019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'NOVA SANTA PAULA','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3269027,5.00,3.00,3.00,0.00,0.00,NULL,2.00,3.00,3.00,5,NULL,NULL,'MAGALHãES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3269035,1.00,1.00,2.00,0.00,2.00,NULL,2.00,3.00,1.00,5,NULL,NULL,'CENTRO','VERANóPOLIS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269043,3.00,2.00,2.00,2.00,2.00,NULL,1.00,2.00,2.00,101,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3269051,2.00,4.00,2.00,6.00,5.00,5.00,2.00,4.00,4.00,103,NULL,NULL,'ESPLANADA','CHAPECó','SC',15095,2700,NULL,NULL,NULL,NULL,NULL,2,4),(16,3269060,9.00,8.00,8.00,8.00,8.00,6.75,6.00,9.00,9.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',204,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3269078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BOM RETIRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3269086,5.00,7.00,2.00,5.00,4.00,4.25,1.00,5.00,2.00,104,NULL,NULL,'CENTRO','BRUSQUE','SC',14861,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3269108,4.00,2.00,2.00,4.00,5.00,5.75,1.00,6.00,2.00,104,NULL,NULL,'CENTRO','GARUVA','SC',16376,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3269124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3269132,1.00,1.00,2.00,5.00,2.00,NULL,2.00,1.00,2.00,201,NULL,212,'CENTRO','MARIóPOLIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3269140,7.00,7.00,7.00,9.00,9.00,5.50,5.00,7.00,5.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269159,5.00,4.00,3.00,5.00,4.00,6.00,3.00,5.00,5.00,316,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',11803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269167,3.00,4.00,1.00,3.00,2.00,NULL,2.00,2.00,2.00,238,NULL,208,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3269183,2.00,2.00,3.00,4.00,3.00,NULL,2.00,6.00,3.00,303,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269205,5.00,8.00,4.00,8.00,7.00,4.50,4.00,6.00,3.00,202,NULL,213,'ITACORUBI','FLORIANóPOLIS','SC',7338,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3269213,2.00,4.00,4.00,7.00,6.00,6.50,1.00,5.00,4.00,207,NULL,211,'SãO JOãO','ITAJAí','SC',12130,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3269221,4.00,5.00,2.00,8.00,7.00,6.50,3.00,3.00,4.00,211,NULL,201,'PORTO DO ITINGA','TIJUCAS','SC',10366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3269230,3.00,2.00,2.00,4.00,2.00,NULL,2.00,1.00,3.00,211,NULL,202,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3269248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA IPIRANGA','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3269256,4.00,5.00,3.00,3.00,5.00,5.50,3.00,6.00,4.00,102,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',12800,218,NULL,NULL,NULL,NULL,NULL,4,8),(16,3269264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'VISTA ALEGRE','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3269272,2.00,5.00,3.00,7.00,5.00,5.25,2.00,2.00,3.00,415,NULL,NULL,'BAIRRO DAS NAçõES','BAL CAMBORIú','SC',15387,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3269280,3.00,5.00,3.00,3.00,3.00,NULL,5.00,3.00,4.00,220,NULL,202,'CANCELI','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3269299,1.00,3.00,4.00,5.00,3.00,NULL,3.00,2.00,2.00,309,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3269302,5.00,4.00,2.00,2.00,7.00,5.50,3.00,8.00,4.00,326,NULL,NULL,'VILA NOVA','JOINVILLE','SC',12071,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3269310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SANTA RITA','BENTO GONçALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3269329,3.00,2.00,1.00,7.00,4.00,5.00,3.00,3.00,2.00,108,NULL,NULL,'FLORESTA','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3269337,7.00,4.00,1.00,2.00,2.00,NULL,2.00,5.00,3.00,303,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JARDIM NOVA EUROPA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3269370,3.00,7.00,2.00,3.00,6.00,5.00,2.00,7.00,3.00,5,NULL,NULL,'CASTELO BRANCO','ITAPEMA','SC',13362,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3269388,3.00,7.00,4.00,1.00,3.00,NULL,4.00,7.00,4.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269396,1.00,2.00,2.00,0.00,5.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'ALTO FELIZ','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3269400,7.00,8.00,8.00,8.00,7.00,7.50,7.00,8.00,9.00,303,NULL,NULL,'PLANALTO PAULISTA','S PAULO','SP',155,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3269418,1.00,2.00,2.00,1.00,1.00,NULL,1.00,4.00,4.00,301,NULL,NULL,'JARDIM SÃO MIGUEL','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269426,5.00,3.00,6.00,7.00,6.00,5.25,3.00,6.00,4.00,103,NULL,NULL,'VILA ALBERTINA','S PAULO','SP',8843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','TRêS PASSOS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3269450,3.00,2.00,2.00,3.00,2.00,NULL,1.00,3.00,4.00,501,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3269469,2.00,4.00,2.00,4.00,5.00,5.75,3.00,6.00,3.00,333,NULL,NULL,'NOVA BRASíLIA','JARAGUá SUL','SC',14359,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3269477,2.00,0.00,2.00,6.00,2.00,NULL,2.00,4.00,4.00,103,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269485,3.00,4.00,3.00,4.00,4.00,5.00,2.00,5.00,2.00,201,NULL,203,'ESTREITO','FLORIANóPOLIS','SC',15861,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3269493,5.00,6.00,5.00,9.00,8.00,4.75,5.00,8.00,7.00,5,NULL,NULL,'VELHA','BLUMENAU','SC',3441,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3269507,5.00,6.00,4.00,8.00,7.00,7.00,2.00,7.00,3.00,303,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',6531,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3269515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PAULISTA','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3269523,2.00,4.00,5.00,7.00,2.00,NULL,3.00,2.00,4.00,301,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3269531,3.00,3.00,1.00,1.00,3.00,NULL,0.00,3.00,3.00,5,NULL,NULL,'COSTEIRA DA ARMAçãO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3269558,4.00,4.00,3.00,2.00,1.00,NULL,3.00,3.00,4.00,102,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3269566,5.00,6.00,4.00,7.00,6.00,4.75,3.00,6.00,4.00,309,NULL,NULL,'VILA IZABEL','CURITIBA','PR',7853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3269582,6.00,4.00,4.00,7.00,5.00,4.00,4.00,5.00,4.00,214,NULL,207,'SANTA MONICA','FLORIANóPOLIS','SC',9107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269590,8.00,3.00,1.00,9.00,4.00,6.75,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','CAXIAS SUL','RS',7810,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3269604,4.00,4.00,3.00,0.00,3.00,NULL,2.00,3.00,2.00,207,NULL,NULL,'PAGARA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'ZONA UM','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3269620,2.00,5.00,3.00,4.00,2.00,NULL,2.00,2.00,3.00,201,NULL,212,'CENTRO','MARIóPOLIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3269639,4.00,4.00,3.00,3.00,3.00,NULL,2.00,7.00,3.00,301,NULL,NULL,'PRAIA JOãO ROSA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269647,4.00,5.00,2.00,6.00,5.00,4.75,3.00,4.00,2.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269655,4.00,4.00,1.00,2.00,2.00,NULL,2.00,2.00,3.00,319,NULL,NULL,'ALTO DA GLÓRIA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3269663,4.00,4.00,1.00,8.00,5.00,5.50,2.00,4.00,4.00,502,NULL,NULL,'CENTRO','CARAZINHO','RS',13933,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3269671,4.00,7.00,2.00,6.00,4.00,4.50,2.00,5.00,6.00,211,NULL,216,'VARGEM GRANDE','FLORIANóPOLIS','SC',11275,382,NULL,395,NULL,NULL,NULL,2,1),(16,3269680,6.00,2.00,4.00,6.00,2.00,NULL,1.00,3.00,2.00,108,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3269698,7.00,8.00,7.00,9.00,6.00,6.50,4.00,6.00,7.00,216,NULL,215,'GLÓRIA','CARAZINHO','RS',2412,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3269701,4.00,6.00,2.00,4.00,4.00,5.50,3.00,3.00,2.00,233,NULL,207,'SACO DOS LIMõES','FLORIANóPOLIS','SC',15163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269710,8.00,8.00,5.00,9.00,8.00,7.50,6.00,6.00,5.00,303,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',1260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269728,3.00,3.00,4.00,2.00,3.00,NULL,2.00,4.00,1.00,319,NULL,NULL,'PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269736,9.00,7.00,8.00,9.00,8.00,6.00,6.00,7.00,5.00,103,NULL,NULL,'BOQUEIRãO','PR GRANDE','SP',682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269760,3.00,4.00,2.00,3.00,6.00,5.50,4.00,4.00,5.00,103,NULL,NULL,'PASSO DO GADO','TUBARãO','SC',14419,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3269779,5.00,4.00,2.00,8.00,5.00,4.25,4.00,2.00,5.00,103,NULL,NULL,'BOQUEIRAO','CURITIBA','PR',12152,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3269787,3.00,3.00,2.00,6.00,3.00,NULL,4.00,3.00,3.00,103,NULL,NULL,'CENTRO','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3269795,6.00,7.00,6.00,9.00,7.00,4.00,7.00,5.00,7.00,203,NULL,201,'GUABIRUBA SUL','GUABIRUBA','SC',2436,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3269809,2.00,0.00,4.00,2.00,4.00,NULL,3.00,4.00,5.00,102,NULL,NULL,'PINHEIROS','OTACíLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3269817,4.00,1.00,2.00,4.00,1.00,NULL,5.00,3.00,4.00,301,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3269833,7.00,4.00,7.00,4.00,7.00,6.25,5.00,7.00,7.00,103,NULL,NULL,'HUMAITá','S VICENTE','SP',3285,1142,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3269868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PAULISTA','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3269884,6.00,3.00,2.00,6.00,5.00,6.00,4.00,5.00,5.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10155,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3269906,7.00,5.00,5.00,9.00,6.00,6.75,4.00,4.00,5.00,103,NULL,NULL,'ASA SUL','BRASíLIA','DF',4904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269914,4.00,7.00,5.00,9.00,4.00,5.00,4.00,6.00,6.00,452,NULL,NULL,'PARKWAY','NUC BANDEIRANTE','DF',5493,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3269930,4.00,5.00,2.00,7.00,6.00,4.00,4.00,6.00,3.00,319,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',11749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269949,8.00,6.00,5.00,7.00,6.00,5.00,3.00,4.00,2.00,104,NULL,NULL,'SANTA CRUZ','CONCóRDIA','SC',7993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3269957,2.00,2.00,3.00,2.00,3.00,NULL,2.00,3.00,2.00,208,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3269965,5.00,3.00,1.00,9.00,3.00,NULL,2.00,3.00,4.00,208,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269973,3.00,3.00,2.00,8.00,3.00,NULL,3.00,4.00,4.00,104,NULL,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3269981,1.00,1.00,5.00,2.00,3.00,NULL,3.00,3.00,3.00,220,NULL,212,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3269990,9.00,7.00,5.00,8.00,5.00,4.25,4.00,9.00,8.00,103,NULL,NULL,'PERDIZES','S PAULO','SP',2168,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3270009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'BARRA DO ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3270017,6.00,7.00,3.00,7.00,5.00,6.25,1.00,9.00,3.00,340,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',7909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','S JOSé OURO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3270033,1.00,2.00,3.00,7.00,3.00,NULL,3.00,4.00,1.00,423,NULL,428,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3270041,3.00,3.00,3.00,4.00,2.00,NULL,2.00,4.00,2.00,104,NULL,NULL,'VILA PEDRINI','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3270050,7.00,5.00,4.00,6.00,7.00,5.25,4.00,8.00,6.00,201,NULL,233,'CANOAS','RIO SUL','SC',4275,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3270068,6.00,5.00,5.00,6.00,7.00,6.25,3.00,5.00,7.00,201,NULL,207,'CENTRO','S JOSé','SC',6277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SANTA LUCIA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3270084,3.00,5.00,2.00,5.00,3.00,NULL,2.00,5.00,4.00,208,NULL,214,'URUSSANGUINHA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3270092,2.00,0.00,3.00,6.00,1.00,NULL,3.00,5.00,3.00,301,NULL,NULL,'BOA VISTA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3270114,2.00,3.00,4.00,4.00,4.00,5.75,2.00,4.00,2.00,207,NULL,201,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270122,3.00,1.00,5.00,2.00,2.00,NULL,5.00,1.00,3.00,308,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270130,3.00,1.00,1.00,7.00,5.00,4.75,2.00,5.00,3.00,220,NULL,202,'VILA NOVA','BLUMENAU','SC',16070,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3270149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CONSOLAçãO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3270157,8.00,6.00,7.00,9.00,7.00,7.00,4.00,9.00,6.00,208,NULL,203,'JARDINS','BLUMENAU','SC',1508,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3270165,4.00,4.00,4.00,2.00,6.00,5.75,0.00,7.00,4.00,316,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',13522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270181,2.00,5.00,3.00,2.00,2.00,NULL,1.00,2.00,2.00,415,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270190,8.00,8.00,4.00,8.00,9.00,6.75,4.00,9.00,6.00,5,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',1227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270203,7.00,6.00,5.00,8.00,7.00,6.50,4.00,6.00,6.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270220,2.00,1.00,2.00,2.00,3.00,NULL,2.00,3.00,3.00,224,NULL,NULL,'CENTRO','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3270238,5.00,4.00,1.00,6.00,3.00,NULL,2.00,2.00,2.00,424,NULL,423,'ABRAAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3270246,8.00,7.00,5.00,7.00,5.00,4.75,3.00,7.00,6.00,303,NULL,NULL,'CAMPINAS','S JOSé','SC',4579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JARDIM FLóRIDA','JACAREí','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3270262,5.00,3.00,4.00,6.00,6.00,6.75,1.00,3.00,5.00,216,NULL,215,'IRIRIú','JOINVILLE','SC',11392,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3270289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3270319,3.00,5.00,2.00,7.00,5.00,3.25,4.00,5.00,4.00,340,NULL,NULL,'SANTA CâNDIDA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270327,6.00,7.00,3.00,8.00,6.00,5.75,3.00,8.00,4.00,303,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',5023,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3270335,4.00,6.00,1.00,6.00,3.00,NULL,2.00,6.00,3.00,207,NULL,201,'INTERIOR','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3270343,7.00,6.00,3.00,9.00,7.00,6.25,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',3167,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3270351,3.00,5.00,3.00,8.00,4.00,6.00,3.00,4.00,3.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',12882,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3270360,6.00,8.00,6.00,6.00,6.00,5.00,4.00,6.00,6.00,213,NULL,202,'CENTRO','TIMBó','SC',3719,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3270378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,233,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3270386,7.00,7.00,5.00,6.00,7.00,6.50,4.00,5.00,7.00,404,NULL,NULL,'BARREIROS','S JOSé','SC',4302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270408,5.00,6.00,5.00,6.00,6.00,6.00,6.00,4.00,6.00,202,NULL,213,'SãO CRISTOVAO','CRICIúMA','SC',5663,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3270416,5.00,4.00,5.00,6.00,3.00,NULL,4.00,3.00,6.00,103,NULL,NULL,'VILA PARAGUAIA','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3270424,5.00,7.00,3.00,9.00,8.00,7.00,5.00,6.00,7.00,207,NULL,212,'BOM ABRIGO','FLORIANóPOLIS','SC',2801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CEL APARICIO BORGES','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3270440,3.00,7.00,3.00,7.00,6.00,5.50,5.00,5.00,4.00,212,NULL,233,'BARRACãO','ORLEANS','SC',10044,291,NULL,312,NULL,NULL,NULL,2,5),(16,3270459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3270467,4.00,4.00,4.00,0.00,3.00,NULL,1.00,6.00,1.00,304,NULL,NULL,'CENTRO','MASSARANDUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3270475,5.00,6.00,4.00,7.00,5.00,6.00,4.00,4.00,3.00,108,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',8695,180,NULL,NULL,NULL,NULL,NULL,2,1),(16,3270483,1.00,4.00,1.00,5.00,6.00,6.00,2.00,4.00,3.00,225,NULL,NULL,'VILA LIBINO','CAMPOS NOVOS','SC',15500,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3270491,6.00,6.00,3.00,5.00,5.00,6.00,1.00,5.00,5.00,201,NULL,211,'HAMBURGO VELHO','NOVO HAMBURGO','RS',11838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM BONGIOVANI','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3270521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','BAL BARRA SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3270530,2.00,1.00,1.00,6.00,3.00,NULL,1.00,6.00,2.00,211,NULL,208,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3270548,2.00,7.00,1.00,0.00,2.00,NULL,1.00,6.00,4.00,444,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3270556,3.00,7.00,4.00,7.00,6.00,6.00,4.00,6.00,7.00,202,NULL,NULL,'BARREIROS','S JOSé','SC',5806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270564,5.00,6.00,4.00,5.00,6.00,5.50,5.00,6.00,6.00,216,NULL,215,'BAIXADA PIONEIRA','PINHALZINHO','SC',6805,249,NULL,NULL,NULL,NULL,NULL,4,4),(16,3270572,5.00,3.00,3.00,4.00,3.00,NULL,3.00,5.00,3.00,102,NULL,NULL,'PARQUE SãO LUIS','JUNDIAí','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3270580,2.00,4.00,1.00,3.00,3.00,NULL,2.00,5.00,2.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270599,1.00,3.00,3.00,1.00,2.00,NULL,4.00,4.00,2.00,211,NULL,216,'CENTRO','IBICARé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3270602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3270610,3.00,3.00,1.00,3.00,6.00,NULL,2.00,4.00,1.00,3,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3270629,4.00,2.00,3.00,3.00,4.00,NULL,3.00,2.00,3.00,212,NULL,201,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270637,4.00,4.00,2.00,5.00,4.00,4.00,3.00,3.00,3.00,444,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',16227,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3270645,3.00,5.00,3.00,3.00,5.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'CENTRO','COLINA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270653,5.00,4.00,4.00,4.00,3.00,NULL,5.00,6.00,5.00,216,NULL,215,'CENTRO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3270661,1.00,6.00,2.00,2.00,6.00,NULL,1.00,4.00,3.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270670,4.00,5.00,3.00,0.00,5.00,6.50,2.00,5.00,3.00,302,NULL,NULL,'PADRE MARTINHO STEIN','TIMBó','SC',15386,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3270688,3.00,4.00,5.00,6.00,4.00,4.25,4.00,5.00,2.00,324,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',14115,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3270696,5.00,4.00,5.00,5.00,5.00,4.50,2.00,6.00,4.00,304,NULL,NULL,'MAR GROSSO','LAGUNA','SC',11300,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3270700,4.00,3.00,2.00,4.00,2.00,NULL,1.00,2.00,5.00,203,NULL,201,'CENTRO','TUNáPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3270718,1.00,2.00,1.00,6.00,3.00,NULL,2.00,3.00,3.00,428,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3270726,3.00,3.00,1.00,2.00,0.00,NULL,2.00,2.00,3.00,202,NULL,201,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3270734,1.00,1.00,2.00,2.00,2.00,NULL,2.00,3.00,2.00,301,NULL,NULL,'ARRAPONGUINHAS','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3270742,8.00,6.00,3.00,8.00,5.00,6.50,3.00,7.00,3.00,104,NULL,NULL,'PRADO','BIGUAçU','SC',6591,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3270769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO JOAO','ITAJAí','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3270777,5.00,2.00,2.00,8.00,4.00,8.00,1.00,6.00,3.00,326,NULL,NULL,'STO ANTONIO DE LISBO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3270785,1.00,2.00,1.00,4.00,3.00,NULL,4.00,6.00,2.00,202,NULL,201,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3270793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BARRA DO ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3270807,4.00,6.00,5.00,3.00,5.00,5.25,4.00,7.00,5.00,216,NULL,202,'GLóRIA','JOINVILLE','SC',9725,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3270815,6.00,5.00,2.00,6.00,4.00,6.00,2.00,5.00,3.00,444,NULL,NULL,'SERTAO DO IMARUí','S JOSé','SC',13640,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3270823,3.00,4.00,5.00,5.00,1.00,NULL,2.00,4.00,0.00,207,NULL,201,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3270831,1.00,2.00,2.00,5.00,4.00,NULL,2.00,2.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3270840,2.00,2.00,2.00,1.00,1.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'NOVA BRASILIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3270866,4.00,2.00,1.00,3.00,4.00,NULL,2.00,1.00,3.00,415,NULL,NULL,'GARAVELO','APARECIDA GOIâNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270874,3.00,4.00,7.00,7.00,6.00,5.50,3.00,5.00,2.00,216,NULL,201,'CENTRO','GR PARá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3270882,3.00,5.00,4.00,3.00,2.00,NULL,1.00,6.00,3.00,238,NULL,NULL,'CENTRO','GR PARá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3270890,4.00,2.00,4.00,8.00,4.00,6.00,4.00,4.00,3.00,207,NULL,233,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',12964,659,NULL,395,NULL,NULL,NULL,2,1),(16,3270904,3.00,7.00,2.00,9.00,8.00,6.00,3.00,8.00,1.00,425,NULL,424,'INGLES','FLORIANóPOLIS','SC',8011,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3270912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3270920,0.00,0.00,0.00,1.00,3.00,NULL,3.00,3.00,3.00,451,NULL,NULL,'VILA BARãO','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(16,3270939,6.00,8.00,2.00,7.00,5.00,5.75,3.00,9.00,5.00,303,NULL,NULL,'MORRO DA CRUZ','FLORIANóPOLIS','SC',4996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3270947,2.00,3.00,2.00,5.00,3.00,NULL,3.00,5.00,2.00,423,NULL,429,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3270955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,233,'PRINCESA ISABEL','CACOAL','RO',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3270963,6.00,7.00,5.00,5.00,6.00,5.75,6.00,8.00,6.00,207,NULL,211,'BOM ABRIGO','FLORIANóPOLIS','SC',3745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','S LUIZ GONZAGA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3270980,2.00,3.00,3.00,2.00,2.00,NULL,2.00,4.00,3.00,303,NULL,NULL,'PONTE IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3270998,2.00,2.00,3.00,3.00,4.00,NULL,1.00,4.00,3.00,415,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3271005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'RECREIO DE CAFEZAIS','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',1,1),(16,3271013,3.00,1.00,3.00,2.00,2.00,NULL,3.00,2.00,1.00,303,NULL,NULL,'ARIRIÚ','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271030,4.00,5.00,3.00,5.00,7.00,5.75,0.00,3.00,4.00,301,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271048,3.00,4.00,2.00,3.00,3.00,NULL,2.00,2.00,3.00,3,NULL,NULL,'CENTRO','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271056,6.00,6.00,3.00,5.00,4.00,5.50,4.00,8.00,6.00,108,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',7008,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3271064,0.00,0.00,1.00,0.00,0.00,NULL,1.00,3.00,1.00,317,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3271072,7.00,2.00,3.00,5.00,2.00,NULL,3.00,3.00,5.00,104,NULL,NULL,'CENTRO','CATANDUVAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3271099,4.00,4.00,4.00,4.00,2.00,NULL,3.00,3.00,3.00,213,NULL,211,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3271102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3271110,4.00,4.00,4.00,1.00,1.00,NULL,3.00,6.00,4.00,316,NULL,NULL,'CENTRO','STA ROSA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271137,1.00,2.00,3.00,5.00,3.00,NULL,1.00,2.00,3.00,216,NULL,215,'CRUZEIRO DO SUL','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3271145,2.00,2.00,2.00,3.00,6.00,NULL,2.00,5.00,1.00,103,NULL,NULL,'ESPERANçA','GUARUJá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3271153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'INTERIOR','CAIBI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3271161,5.00,3.00,3.00,1.00,5.00,4.00,3.00,4.00,3.00,303,NULL,NULL,'MAR GROSSO','LAGUNA','SC',16246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271170,4.00,4.00,2.00,9.00,4.00,5.50,4.00,8.00,5.00,220,NULL,203,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271188,3.00,7.00,3.00,5.00,2.00,NULL,2.00,7.00,2.00,329,NULL,NULL,'ESPLANADA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3271196,4.00,4.00,4.00,4.00,6.00,5.25,3.00,4.00,3.00,319,NULL,NULL,'CONTE','LAGES','SC',13387,277,NULL,NULL,NULL,NULL,NULL,4,9),(16,3271200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SAO MARCOS','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3271218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,211,'SANTA CRUZ','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3271234,2.00,0.00,3.00,5.00,3.00,NULL,2.00,4.00,2.00,415,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3271269,2.00,2.00,1.00,5.00,0.00,NULL,4.00,4.00,2.00,5,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271277,4.00,5.00,3.00,7.00,3.00,NULL,1.00,8.00,2.00,2,NULL,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3271285,7.00,6.00,3.00,8.00,8.00,5.00,3.00,6.00,7.00,302,NULL,NULL,'MICHEL','CRICIúMA','SC',5036,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3271293,2.00,1.00,4.00,0.00,3.00,NULL,3.00,3.00,3.00,202,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3271315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3271331,3.00,2.00,2.00,3.00,5.00,5.75,3.00,5.00,3.00,211,NULL,NULL,'CENTRO','VIDEIRA','SC',15848,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3271340,4.00,5.00,3.00,5.00,6.00,6.00,3.00,7.00,6.00,310,NULL,NULL,'CAMPO BELO','S PAULO','SP',7582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'WERNER PLASS','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3271366,8.00,7.00,5.00,9.00,8.00,6.50,5.00,8.00,5.00,103,NULL,NULL,'VILA NOVA ALTA','BRAçO NORTE','SC',1843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271374,2.00,0.00,3.00,1.00,1.00,NULL,0.00,2.00,0.00,304,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3271382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3271390,7.00,6.00,3.00,5.00,5.00,5.50,3.00,8.00,4.00,207,NULL,201,'DIVINéIA','ARARANGUá','SC',8895,410,NULL,699,NULL,NULL,NULL,2,5),(16,3271404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3271420,5.00,6.00,3.00,4.00,5.00,5.00,2.00,6.00,5.00,201,NULL,NULL,'JARDIM GOIáS','GOIâNIA','GO',9530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271439,3.00,2.00,2.00,2.00,1.00,NULL,2.00,1.00,3.00,9,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3271455,4.00,4.00,2.00,2.00,3.00,NULL,2.00,5.00,2.00,216,NULL,238,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3271463,4.00,4.00,2.00,4.00,1.00,NULL,2.00,2.00,5.00,301,NULL,NULL,'SANTA BARBARA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3271471,8.00,8.00,3.00,8.00,9.00,7.00,2.00,6.00,7.00,108,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANóPOLIS','SC',2742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3271498,4.00,6.00,1.00,3.00,3.00,NULL,3.00,8.00,4.00,303,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271501,3.00,4.00,4.00,2.00,1.00,NULL,2.00,6.00,2.00,415,NULL,NULL,'CENTRO','S ROQUE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271510,5.00,5.00,4.00,8.00,4.00,6.50,0.00,5.00,4.00,421,NULL,426,'CARVOEIRA','FLORIANóPOLIS','SC',10962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271528,4.00,2.00,2.00,2.00,3.00,NULL,2.00,1.00,4.00,301,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271544,4.00,1.00,4.00,3.00,1.00,NULL,3.00,2.00,4.00,340,NULL,NULL,'CENTRO','SERAFINA CORRêA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3271552,4.00,6.00,8.00,6.00,5.00,5.25,4.00,8.00,3.00,103,NULL,NULL,'PASSAGEM','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3271560,1.00,2.00,2.00,5.00,3.00,NULL,1.00,2.00,2.00,224,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3271579,4.00,4.00,4.00,3.00,1.00,NULL,2.00,3.00,3.00,208,NULL,201,'CENTRO','TRINDADE SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3271587,3.00,1.00,1.00,6.00,6.00,NULL,4.00,2.00,2.00,424,NULL,426,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3271595,6.00,4.00,2.00,3.00,2.00,NULL,3.00,4.00,1.00,453,NULL,NULL,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3271617,2.00,2.00,1.00,2.00,4.00,NULL,4.00,2.00,3.00,5,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3271625,3.00,3.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,108,NULL,NULL,'IMIGRANTES','HOLAMBRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3271650,6.00,5.00,2.00,4.00,5.00,6.50,3.00,7.00,5.00,3,NULL,NULL,'DAS DAMAS','URUSSANGA','SC',9184,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3271668,3.00,0.00,4.00,2.00,2.00,NULL,2.00,1.00,3.00,327,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3271684,2.00,1.00,1.00,2.00,3.00,NULL,2.00,5.00,3.00,102,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271692,4.00,4.00,1.00,7.00,5.00,4.75,4.00,5.00,2.00,303,NULL,NULL,'SãO CLEMENTE','TUBARãO','SC',13671,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3271706,5.00,7.00,2.00,8.00,5.00,7.50,4.00,6.00,5.00,415,NULL,NULL,'VILA PAES','VOTUPORANGA','SP',6178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3271714,3.00,6.00,1.00,8.00,4.00,5.50,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','S BONIFáCIO','SC',15632,2754,NULL,NULL,NULL,NULL,NULL,2,1),(16,3271722,3.00,6.00,1.00,3.00,6.00,5.50,3.00,6.00,5.00,303,NULL,NULL,'SCEN','BRASíLIA','DF',11981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271730,3.00,3.00,4.00,4.00,4.00,5.50,2.00,7.00,3.00,326,NULL,NULL,'MAGALHãES','LAGUNA','SC',14127,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3271749,4.00,3.00,4.00,2.00,4.00,5.75,5.00,4.00,4.00,203,NULL,201,'CENTRO','CARAZINHO','RS',15058,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3271757,0.00,2.00,1.00,3.00,4.00,NULL,1.00,2.00,3.00,223,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3271765,5.00,4.00,4.00,8.00,7.00,4.50,5.00,6.00,5.00,103,NULL,NULL,'CENTRO','PARANAVAí','PR',6595,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3271773,3.00,5.00,3.00,4.00,4.00,4.75,2.00,7.00,2.00,319,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',14740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3271781,5.00,3.00,2.00,6.00,5.00,5.25,3.00,7.00,2.00,340,NULL,NULL,'JOÃO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3271803,6.00,7.00,5.00,8.00,6.00,5.00,5.00,5.00,7.00,207,NULL,203,'ESTREITO','FLORIANóPOLIS','SC',3808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271811,5.00,3.00,2.00,7.00,4.00,4.50,3.00,1.00,2.00,9,NULL,NULL,'FORTALEZA','BLUMENAU','SC',16109,172,NULL,NULL,NULL,NULL,NULL,2,2),(16,3271820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'PASSO DO GADO','TUBARAO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3271838,5.00,2.00,3.00,5.00,5.00,5.75,1.00,5.00,3.00,329,NULL,NULL,'CENTRO','CORUPá','SC',14498,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3271846,5.00,8.00,5.00,7.00,4.00,5.25,1.00,8.00,4.00,340,NULL,NULL,'BOSQUE DAS MANSõES','S JOSé','SC',7591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271854,2.00,4.00,4.00,2.00,2.00,NULL,1.00,3.00,3.00,316,NULL,NULL,'VIGOLO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271862,2.00,5.00,5.00,2.00,7.00,4.50,2.00,6.00,2.00,223,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',14036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271870,5.00,5.00,2.00,5.00,6.00,4.75,0.00,5.00,3.00,328,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',14102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3271889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'PATRIMONIO VELHO','VOTUPORANGA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3271897,2.00,3.00,1.00,6.00,2.00,NULL,3.00,6.00,0.00,207,NULL,215,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3271900,6.00,6.00,3.00,6.00,7.00,1.75,1.00,7.00,2.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3271919,5.00,7.00,6.00,8.00,7.00,7.00,2.00,8.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3271927,2.00,2.00,5.00,6.00,3.00,NULL,2.00,5.00,4.00,104,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3271951,4.00,6.00,5.00,3.00,5.00,5.00,4.00,6.00,5.00,501,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',10614,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3271960,4.00,2.00,3.00,7.00,6.00,5.75,4.00,5.00,3.00,327,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',12712,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3271978,7.00,8.00,5.00,4.00,7.00,7.00,5.00,7.00,7.00,207,NULL,212,'CENTRO','S DOMINGOS','SC',3459,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3271986,3.00,4.00,1.00,8.00,3.00,NULL,0.00,5.00,3.00,415,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3272028,2.00,4.00,2.00,2.00,2.00,NULL,4.00,3.00,2.00,108,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3272044,4.00,4.00,4.00,2.00,3.00,NULL,3.00,5.00,3.00,201,NULL,207,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3272052,6.00,5.00,4.00,6.00,5.00,5.00,1.00,5.00,5.00,103,NULL,NULL,'CENTRO','CARAZINHO','RS',10597,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3272060,4.00,2.00,4.00,3.00,2.00,NULL,3.00,5.00,4.00,303,NULL,NULL,'PASSA VINTE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272079,4.00,5.00,1.00,3.00,5.00,5.75,0.00,4.00,3.00,108,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',16186,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272087,2.00,3.00,1.00,5.00,3.00,NULL,3.00,3.00,5.00,310,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272095,4.00,6.00,1.00,6.00,3.00,NULL,3.00,6.00,4.00,5,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'BUENO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3272117,5.00,2.00,5.00,2.00,5.00,NULL,1.00,3.00,3.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272125,3.00,1.00,5.00,0.00,1.00,NULL,1.00,5.00,1.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272133,7.00,5.00,3.00,5.00,6.00,7.25,3.00,3.00,2.00,102,NULL,NULL,'CENTRO','MRO GRANDE','SC',10941,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3272141,6.00,6.00,3.00,9.00,4.00,6.00,2.00,5.00,3.00,340,NULL,NULL,'JARDIM BETâNIA','S CARLOS','SP',8329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272150,3.00,4.00,2.00,5.00,2.00,NULL,1.00,4.00,4.00,203,NULL,214,'SãO SEBASTIãO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CORDEIROS','ITAJAí','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3272176,3.00,8.00,3.00,8.00,7.00,4.50,3.00,6.00,3.00,201,NULL,220,'ESPLANADA','CAXIAS SUL','RS',8624,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272184,2.00,3.00,3.00,7.00,4.00,5.50,1.00,5.00,3.00,103,NULL,NULL,'REAL PARQUE','S JOSé','SC',15850,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272192,2.00,5.00,5.00,8.00,7.00,5.75,2.00,7.00,5.00,326,NULL,NULL,'ESPERANÇA','MRO FUMAçA','SC',7566,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3272206,3.00,4.00,2.00,1.00,3.00,NULL,2.00,2.00,2.00,203,NULL,208,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272214,4.00,3.00,5.00,1.00,4.00,NULL,0.00,2.00,4.00,451,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3272222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'COOPHALIS','RONDONóPOLIS','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3272230,3.00,4.00,4.00,6.00,3.00,NULL,1.00,4.00,4.00,303,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272249,6.00,5.00,6.00,7.00,7.00,4.75,4.00,7.00,5.00,201,NULL,207,'JD MARIN','VOTUPORANGA','SP',5255,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272257,5.00,4.00,3.00,8.00,5.00,6.75,5.00,5.00,5.00,214,NULL,216,'LAGOA DA CONCEICAO','FLORIANóPOLIS','SC',7629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272265,7.00,6.00,4.00,5.00,7.00,6.00,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',8818,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3272273,5.00,3.00,2.00,6.00,5.00,5.00,4.00,6.00,3.00,333,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12589,103,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272281,2.00,4.00,3.00,0.00,0.00,NULL,1.00,2.00,3.00,421,NULL,429,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272290,5.00,1.00,2.00,1.00,3.00,NULL,2.00,1.00,4.00,404,NULL,NULL,'CALEMBA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272303,7.00,8.00,3.00,7.00,7.00,6.75,3.00,9.00,3.00,5,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',4993,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272311,4.00,9.00,3.00,8.00,9.00,5.50,4.00,8.00,3.00,503,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272320,5.00,3.00,1.00,5.00,6.00,6.50,1.00,4.00,4.00,420,NULL,NULL,'PINHEIROS','OTACíLIO COSTA','SC',15234,166,NULL,NULL,NULL,NULL,NULL,2,9),(16,3272338,2.00,2.00,2.00,3.00,2.00,NULL,1.00,2.00,2.00,452,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3272346,5.00,4.00,2.00,3.00,6.00,5.50,2.00,5.00,7.00,208,NULL,238,'KOBRASOL','S JOSé','SC',12650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272354,4.00,1.00,1.00,3.00,2.00,NULL,1.00,4.00,1.00,303,NULL,NULL,'JARDIM PRIMAVERA','LONTRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3272362,4.00,4.00,3.00,9.00,6.00,6.00,2.00,4.00,5.00,102,NULL,NULL,'PERDIZES','S PAULO','SP',8755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272370,4.00,4.00,3.00,6.00,3.00,NULL,3.00,3.00,1.00,103,NULL,NULL,'GLóRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3272389,5.00,4.00,1.00,6.00,6.00,4.75,3.00,4.00,3.00,453,NULL,NULL,'FLORESTA','JOINVILLE','SC',14318,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3272397,4.00,4.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,214,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,7),(16,3272400,5.00,5.00,6.00,7.00,6.00,4.75,1.00,8.00,6.00,203,NULL,201,'CENTRO','FLORIANóPOLIS','SC',5277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272419,4.00,5.00,6.00,8.00,3.00,NULL,2.00,5.00,3.00,303,NULL,NULL,'CENTRO','CHAP SUL','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'BROOKLIN PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3272443,4.00,1.00,1.00,2.00,3.00,NULL,2.00,2.00,2.00,202,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272451,7.00,3.00,3.00,5.00,5.00,5.50,2.00,4.00,5.00,104,NULL,NULL,'CENTRO','TREZE MAIO','SC',11283,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3272460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3272478,2.00,4.00,1.00,6.00,4.00,NULL,0.00,4.00,3.00,319,NULL,NULL,'CENTRO','IRATI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3272486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3272508,5.00,5.00,3.00,1.00,4.00,4.75,3.00,4.00,3.00,225,NULL,NULL,'SãO FRANCISCO','STO AMARO IMPERATRIZ','SC',15680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272516,3.00,7.00,2.00,4.00,3.00,NULL,1.00,3.00,2.00,201,NULL,214,'FLOR DE NAPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272532,4.00,3.00,8.00,8.00,6.00,6.25,3.00,7.00,5.00,303,NULL,NULL,'CENTRO','BRAçO NORTE','SC',6794,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3272540,4.00,7.00,4.00,4.00,4.00,4.25,1.00,4.00,4.00,303,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',14187,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3272559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'VISTA VERDE','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3272567,5.00,4.00,5.00,4.00,3.00,NULL,1.00,6.00,4.00,308,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272575,4.00,4.00,5.00,3.00,2.00,NULL,0.00,3.00,2.00,308,NULL,NULL,'PRAIA DE PALMAS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272583,5.00,4.00,3.00,6.00,5.00,4.25,3.00,1.00,5.00,308,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',14222,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272605,4.00,5.00,5.00,0.00,4.00,5.25,4.00,4.00,4.00,502,NULL,NULL,'ARIRIU','PALHOçA','SC',13293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272613,3.00,4.00,2.00,7.00,3.00,NULL,2.00,4.00,3.00,5,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3272621,8.00,8.00,4.00,8.00,7.00,5.75,4.00,8.00,6.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',2552,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272630,3.00,4.00,6.00,7.00,7.00,5.75,2.00,4.00,6.00,317,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9959,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272656,3.00,5.00,1.00,7.00,3.00,NULL,3.00,5.00,3.00,208,NULL,238,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3272664,3.00,3.00,4.00,6.00,4.00,5.50,1.00,5.00,4.00,303,NULL,NULL,'CONDE D EU','ORLEANS','SC',14046,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3272680,4.00,2.00,2.00,2.00,1.00,NULL,4.00,2.00,5.00,233,NULL,NULL,'CENTRO','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3272699,3.00,2.00,3.00,4.00,2.00,NULL,2.00,3.00,4.00,503,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272729,5.00,3.00,5.00,4.00,3.00,NULL,2.00,4.00,6.00,453,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CONJUNTO B','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3272761,5.00,3.00,3.00,5.00,5.00,5.00,2.00,4.00,3.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272770,4.00,3.00,2.00,9.00,5.00,4.50,3.00,6.00,5.00,503,NULL,NULL,'CENTRO','ITAJAí','SC',10274,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3272796,3.00,4.00,1.00,2.00,2.00,NULL,2.00,2.00,3.00,319,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272818,5.00,4.00,2.00,2.00,5.00,6.25,1.00,7.00,2.00,207,NULL,201,'VILA PARAíSO','CAçADOR','SC',15581,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3272826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MERCêS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3272834,1.00,1.00,3.00,4.00,4.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3272842,4.00,7.00,6.00,8.00,7.00,5.50,3.00,7.00,5.00,212,NULL,201,'CORREGO GRANDE','FLORIANóPOLIS','SC',4573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272850,3.00,3.00,5.00,4.00,3.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3272869,0.00,4.00,4.00,5.00,3.00,NULL,3.00,5.00,6.00,404,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272877,4.00,5.00,4.00,4.00,5.00,5.50,3.00,7.00,5.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',10239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272885,6.00,5.00,5.00,6.00,6.00,5.50,2.00,4.00,4.00,207,NULL,201,'AZENHA','PTO ALEGRE','RS',9602,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3272893,2.00,4.00,2.00,2.00,4.00,NULL,2.00,5.00,4.00,201,NULL,207,'FLOR DA SERRA','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3272907,2.00,3.00,1.00,2.00,1.00,NULL,0.00,4.00,3.00,444,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272915,5.00,2.00,4.00,8.00,5.00,4.75,3.00,4.00,3.00,214,NULL,203,'CENTRO','GOIâNIA','GO',12580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272923,5.00,3.00,5.00,5.00,2.00,NULL,3.00,7.00,4.00,201,NULL,203,'CINQUENTENARIO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3272940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3272966,4.00,4.00,3.00,0.00,3.00,NULL,4.00,6.00,2.00,9,NULL,NULL,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272974,6.00,4.00,4.00,7.00,7.00,6.00,4.00,5.00,3.00,319,NULL,NULL,'CENTRO','CORUPá','SC',7923,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3272982,5.00,5.00,1.00,8.00,4.00,6.00,2.00,6.00,4.00,202,NULL,203,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3272990,4.00,5.00,4.00,7.00,6.00,4.75,3.00,5.00,2.00,317,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',12278,98,NULL,NULL,NULL,NULL,NULL,2,1),(16,3273008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'JARDIM MONçõES','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3273016,3.00,5.00,2.00,3.00,2.00,NULL,3.00,2.00,3.00,415,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273024,2.00,3.00,1.00,4.00,3.00,NULL,4.00,5.00,5.00,5,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3273032,6.00,4.00,2.00,6.00,2.00,NULL,2.00,3.00,3.00,301,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3273059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3273067,3.00,5.00,1.00,5.00,4.00,7.25,2.00,2.00,3.00,429,NULL,425,'COQUEIROS','FLORIANóPOLIS','SC',15650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273075,5.00,5.00,1.00,3.00,7.00,4.50,5.00,5.00,4.00,302,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',13006,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3273083,5.00,4.00,4.00,7.00,3.00,NULL,2.00,4.00,4.00,5,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3273091,5.00,3.00,2.00,4.00,3.00,NULL,1.00,1.00,3.00,501,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3273105,2.00,5.00,2.00,6.00,3.00,NULL,0.00,4.00,3.00,103,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273121,4.00,4.00,1.00,1.00,5.00,NULL,1.00,4.00,2.00,340,NULL,NULL,'COSTEIRA D PIRAJUBAé','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273130,2.00,3.00,3.00,6.00,3.00,NULL,3.00,7.00,4.00,333,NULL,NULL,'POMBINHAS','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3273148,6.00,6.00,4.00,8.00,8.00,6.25,3.00,6.00,5.00,415,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',5015,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3273164,3.00,1.00,3.00,5.00,3.00,NULL,2.00,4.00,5.00,211,NULL,215,'CENTRO','CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3273172,4.00,3.00,3.00,6.00,4.00,4.00,3.00,3.00,4.00,3,NULL,NULL,'JARDIM PARAíBA','APARECIDA','SP',15248,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3273180,3.00,6.00,3.00,7.00,5.00,5.75,2.00,6.00,5.00,103,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273199,2.00,5.00,2.00,2.00,3.00,NULL,1.00,7.00,3.00,207,NULL,201,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273202,3.00,1.00,1.00,3.00,1.00,NULL,2.00,2.00,3.00,101,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3273210,6.00,7.00,1.00,7.00,5.00,4.50,5.00,6.00,5.00,234,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',7287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3273229,5.00,4.00,3.00,3.00,3.00,NULL,1.00,7.00,3.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273245,2.00,4.00,4.00,3.00,4.00,5.75,4.00,4.00,3.00,428,NULL,426,'PRAIA COMPRIDA','S JOSé','SC',15669,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3273253,2.00,1.00,2.00,6.00,3.00,NULL,2.00,4.00,0.00,319,NULL,NULL,'MADRI','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3273261,6.00,3.00,4.00,7.00,6.00,5.00,2.00,6.00,3.00,104,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUA','SC',11140,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3273270,5.00,1.00,3.00,6.00,3.00,NULL,1.00,5.00,2.00,501,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273296,7.00,6.00,6.00,10.00,7.00,7.75,4.00,6.00,6.00,5,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',1707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273300,5.00,5.00,2.00,6.00,4.00,6.00,1.00,4.00,3.00,207,NULL,201,'LIBERDADE','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3273326,4.00,4.00,3.00,6.00,4.00,4.75,2.00,4.00,5.00,303,NULL,NULL,'JARDIM MATILDE','OURINHOS','SP',13065,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3273334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'QUINTA DAS FLORES','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3273350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3273377,5.00,7.00,4.00,7.00,5.00,5.00,4.00,7.00,5.00,216,NULL,207,'DAS DAMAS','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3273385,9.00,6.00,4.00,8.00,5.00,8.00,4.00,8.00,8.00,103,NULL,NULL,'TROPICAL','CASCAVEL','PR',1953,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3273393,5.00,7.00,4.00,4.00,6.00,7.50,3.00,6.00,4.00,444,NULL,NULL,'JARDIM','CONCóRDIA','SC',7503,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3273407,7.00,3.00,4.00,5.00,4.00,6.75,2.00,1.00,2.00,207,NULL,201,'JURERê','FLORIANóPOLIS','SC',14761,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3273423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3273431,4.00,2.00,3.00,4.00,3.00,NULL,2.00,1.00,3.00,102,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3273440,5.00,3.00,4.00,3.00,5.00,3.00,1.00,6.00,3.00,211,NULL,203,'CENTRO','GLóRIA DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3273466,2.00,3.00,4.00,8.00,6.00,6.50,4.00,2.00,2.00,340,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',14447,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3273474,5.00,8.00,4.00,8.00,6.00,4.25,4.00,6.00,3.00,211,NULL,208,'CENTRO','CANOINHAS','SC',6872,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3273482,6.00,3.00,3.00,7.00,5.00,5.50,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273490,3.00,3.00,4.00,7.00,7.00,6.00,2.00,5.00,5.00,415,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3273504,5.00,3.00,2.00,8.00,3.00,NULL,3.00,2.00,3.00,101,NULL,NULL,'SANTA CATARINA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3273512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'PINHEIROS','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3273520,2.00,4.00,4.00,8.00,6.00,6.50,5.00,3.00,3.00,340,NULL,NULL,'MEDIANEIRA','PANAMBI','RS',11712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273539,2.00,2.00,3.00,7.00,4.00,4.25,1.00,3.00,4.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',16556,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3273547,2.00,1.00,1.00,4.00,2.00,NULL,2.00,4.00,0.00,319,NULL,NULL,'LINHA CAXIAS','PINHEIRO PRETO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3273555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3273563,3.00,5.00,2.00,6.00,6.00,5.00,3.00,4.00,5.00,108,NULL,NULL,'CENTRO','ITAPEVA','SP',11460,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3273571,1.00,3.00,3.00,2.00,3.00,NULL,3.00,3.00,1.00,108,NULL,NULL,'BAIRRO DO SALTO','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(16,3273580,3.00,3.00,1.00,0.00,4.00,NULL,2.00,2.00,1.00,208,NULL,203,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'SACO DOS LIMÕES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3273610,3.00,7.00,2.00,4.00,2.00,NULL,2.00,6.00,3.00,203,NULL,202,'NSA SRA DO ROSARIO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3273628,5.00,6.00,4.00,6.00,6.00,5.75,3.00,5.00,6.00,220,NULL,216,'TRÊS VENDAS','ERECHIM','RS',7492,324,NULL,274,NULL,NULL,NULL,4,4),(16,3273636,4.00,5.00,4.00,9.00,7.00,5.50,1.00,7.00,4.00,333,NULL,NULL,'SAGUAçU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3273644,6.00,3.00,4.00,6.00,5.00,6.00,3.00,6.00,6.00,103,NULL,NULL,'VILA APIAI','STO ANDRé','SP',9792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273652,4.00,5.00,3.00,3.00,6.00,4.25,3.00,5.00,1.00,201,NULL,212,'CAMPECHE','FLORIANóPOLIS','SC',14934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273660,7.00,6.00,1.00,5.00,3.00,NULL,4.00,7.00,4.00,340,NULL,NULL,'CENTRO','GOIâNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273679,4.00,4.00,5.00,6.00,5.00,4.50,4.00,3.00,5.00,301,NULL,NULL,'KOBRASOL','S JOSé','SC',10977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273687,2.00,5.00,3.00,1.00,4.00,NULL,2.00,2.00,5.00,223,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273695,3.00,5.00,1.00,7.00,5.00,5.75,2.00,2.00,2.00,9,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',14360,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3273709,5.00,8.00,7.00,9.00,5.00,6.75,5.00,8.00,5.00,220,NULL,216,'PANTANAL','FLORIANóPOLIS','SC',1985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273717,2.00,2.00,3.00,3.00,2.00,NULL,2.00,3.00,2.00,201,NULL,216,'REAL PARQUE','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3273725,2.00,3.00,6.00,5.00,6.00,5.00,4.00,1.00,3.00,212,NULL,233,'MOLHES','LAGUNA','SC',14010,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3273733,5.00,4.00,1.00,5.00,5.00,5.00,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','LAGES','SC',16289,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3273750,4.00,2.00,2.00,4.00,5.00,NULL,1.00,4.00,4.00,333,NULL,NULL,'CAPITAIS','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3273768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'VILA BOCAINA','MAUá','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3273776,2.00,5.00,2.00,5.00,6.00,5.25,1.00,6.00,1.00,207,NULL,208,'BRUSQUE','LAGES','SC',16004,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3273784,5.00,5.00,3.00,4.00,4.00,5.00,2.00,6.00,4.00,501,NULL,NULL,'CORAL','LAGES','SC',12276,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3273806,4.00,3.00,5.00,5.00,4.00,5.00,1.00,2.00,5.00,318,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',15961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273814,4.00,2.00,1.00,7.00,4.00,6.50,1.00,4.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',16127,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3273822,9.00,8.00,9.00,9.00,7.00,7.50,7.00,9.00,8.00,103,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',35,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273830,5.00,2.00,2.00,3.00,5.00,NULL,2.00,3.00,3.00,333,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273849,7.00,5.00,4.00,6.00,3.00,NULL,5.00,4.00,4.00,220,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3273857,0.00,0.00,0.00,7.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3273865,2.00,3.00,4.00,5.00,2.00,NULL,3.00,2.00,3.00,424,NULL,423,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273873,4.00,0.00,3.00,0.00,3.00,NULL,2.00,4.00,3.00,5,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273890,3.00,3.00,3.00,1.00,1.00,NULL,2.00,2.00,3.00,9,NULL,NULL,'JURERE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3273903,8.00,7.00,3.00,8.00,8.00,6.50,1.00,7.00,4.00,104,NULL,NULL,'CENTRO','ERECHIM','RS',4582,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3273911,1.00,3.00,3.00,5.00,6.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'PLANALTO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273938,3.00,5.00,2.00,0.00,5.00,5.75,2.00,6.00,2.00,428,NULL,425,'BARREIROS','S JOSé','SC',15870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273946,4.00,1.00,3.00,2.00,3.00,NULL,2.00,5.00,3.00,452,NULL,NULL,'DAS NAçõES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3273954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHACARA KLABIN','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3273962,5.00,7.00,4.00,8.00,5.00,5.00,4.00,4.00,3.00,202,NULL,213,'CAPOEIRAS','FLORIANóPOLIS','SC',9686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273970,5.00,5.00,6.00,9.00,6.00,5.50,4.00,6.00,5.00,238,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273989,5.00,5.00,3.00,5.00,3.00,NULL,4.00,3.00,4.00,453,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3273997,5.00,2.00,4.00,5.00,6.00,5.00,3.00,3.00,5.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',12873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3274012,1.00,2.00,2.00,3.00,0.00,NULL,3.00,2.00,4.00,301,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'SANTA CRUZ','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3274039,2.00,6.00,1.00,9.00,6.00,5.50,4.00,7.00,3.00,320,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9693,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTãO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3274055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3274063,2.00,3.00,4.00,3.00,4.00,NULL,2.00,3.00,1.00,207,NULL,NULL,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274080,9.00,8.00,8.00,8.00,8.00,8.00,8.00,8.00,9.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',48,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274098,6.00,6.00,4.00,6.00,7.00,5.25,5.00,4.00,5.00,103,NULL,NULL,'CETRO','ARARANGUá','SC',7804,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3274110,5.00,7.00,4.00,4.00,7.00,5.00,3.00,6.00,5.00,201,NULL,208,'GUARITA','SOMBRIO','SC',7708,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3274128,2.00,3.00,5.00,6.00,3.00,NULL,4.00,6.00,3.00,108,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274144,7.00,5.00,3.00,5.00,4.00,5.00,3.00,8.00,4.00,332,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',10140,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274152,7.00,5.00,2.00,4.00,2.00,NULL,3.00,6.00,5.00,103,NULL,NULL,'ITAIM BIBI','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274160,2.00,3.00,2.00,4.00,1.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3274179,6.00,6.00,2.00,8.00,6.00,5.25,4.00,5.00,5.00,201,NULL,212,'PONTA VERDE','MACEIó','AL',7058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274187,1.00,4.00,3.00,4.00,3.00,NULL,2.00,3.00,2.00,201,NULL,212,'AMBROSIO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274195,5.00,4.00,6.00,3.00,7.00,5.75,4.00,5.00,6.00,102,NULL,NULL,'CENTRO','LAGES','SC',7128,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3274209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3274225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'ESTâNCIA VELHA','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3274233,2.00,2.00,4.00,2.00,4.00,NULL,2.00,4.00,3.00,319,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3274241,7.00,7.00,6.00,8.00,7.00,6.25,4.00,8.00,7.00,340,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC',2101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274250,2.00,1.00,1.00,5.00,3.00,NULL,0.00,2.00,0.00,309,NULL,NULL,'CENTRO','PELOTAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274268,3.00,6.00,2.00,5.00,7.00,4.00,2.00,7.00,5.00,332,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',12183,36,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274276,6.00,5.00,6.00,7.00,4.00,6.25,3.00,5.00,6.00,208,NULL,238,'CENTRO','S MIGUEL OESTE','SC',6452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274284,4.00,6.00,2.00,3.00,0.00,NULL,3.00,4.00,3.00,453,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274292,9.00,5.00,8.00,9.00,7.00,5.00,7.00,8.00,8.00,103,NULL,NULL,'BRASIL','ITU','SP',542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'CENTRO','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3274314,5.00,5.00,5.00,7.00,5.00,5.50,4.00,6.00,7.00,201,NULL,207,'SANTA MôNICA','FLORIANóPOLIS','SC',5308,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274349,5.00,5.00,1.00,8.00,4.00,5.25,2.00,5.00,3.00,207,NULL,201,'CENTRO','NAVEGANTES','SC',12726,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3274365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'COLINA VERDE','GOIOERê','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3274373,4.00,5.00,1.00,4.00,2.00,NULL,0.00,7.00,4.00,420,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274381,4.00,6.00,6.00,8.00,4.00,5.75,4.00,6.00,6.00,207,NULL,201,'ESTREITO','FLORIANóPOLIS','SC',6157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274390,4.00,1.00,2.00,2.00,3.00,NULL,2.00,1.00,3.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274403,9.00,7.00,9.00,7.00,8.00,6.75,7.00,8.00,9.00,103,NULL,NULL,'MIRANDOPOLIS','S PAULO','SP',175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274411,2.00,4.00,1.00,5.00,1.00,NULL,1.00,3.00,4.00,102,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274420,7.00,8.00,7.00,6.00,6.00,5.50,3.00,6.00,7.00,212,NULL,215,'CAMPECHE','FLORIANóPOLIS','SC',2571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274438,3.00,3.00,2.00,1.00,7.00,NULL,2.00,3.00,4.00,303,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274446,0.00,4.00,2.00,5.00,4.00,NULL,1.00,4.00,1.00,102,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274454,1.00,2.00,3.00,2.00,1.00,NULL,1.00,2.00,3.00,207,NULL,201,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3274470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3274489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,NULL,'PETRóPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3274497,6.00,7.00,3.00,8.00,8.00,5.75,4.00,6.00,5.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',4203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274500,2.00,4.00,3.00,7.00,4.00,7.00,3.00,7.00,3.00,327,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',11689,23,NULL,NULL,NULL,NULL,NULL,1,1),(16,3274519,3.00,8.00,5.00,4.00,5.00,4.25,3.00,7.00,5.00,220,NULL,NULL,'CENTRO','LAGES','SC',8958,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3274527,9.00,6.00,7.00,7.00,5.00,8.25,5.00,7.00,8.00,103,NULL,NULL,'ACLIMACAO','S PAULO','SP',972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274535,5.00,4.00,3.00,5.00,4.00,5.75,4.00,6.00,6.00,453,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3274551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,202,'VILA RICA','JUNDIAí','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3274560,3.00,1.00,3.00,6.00,3.00,NULL,1.00,1.00,5.00,309,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274578,3.00,3.00,7.00,2.00,3.00,NULL,5.00,4.00,3.00,203,NULL,220,'BEIJA FLOR','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3274586,1.00,1.00,2.00,5.00,5.00,NULL,1.00,5.00,3.00,233,NULL,215,'CERAMARTE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3274594,2.00,4.00,1.00,1.00,1.00,NULL,2.00,5.00,1.00,304,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3274608,4.00,5.00,4.00,8.00,5.00,5.00,2.00,4.00,3.00,420,NULL,NULL,'CAMAQUA','PTO ALEGRE','RS',12812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274616,2.00,4.00,4.00,6.00,3.00,NULL,2.00,2.00,3.00,215,NULL,212,'CRUZERIRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3274624,5.00,5.00,3.00,5.00,5.00,3.00,3.00,5.00,4.00,220,NULL,212,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274632,6.00,7.00,3.00,9.00,6.00,7.00,4.00,7.00,7.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',3461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274640,6.00,5.00,4.00,9.00,3.00,NULL,6.00,7.00,4.00,2,NULL,NULL,'MAR GROOSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3274659,5.00,5.00,1.00,7.00,3.00,NULL,2.00,7.00,2.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3274667,5.00,5.00,4.00,3.00,2.00,NULL,3.00,5.00,3.00,212,NULL,211,'SANTO ANTôNIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274683,7.00,7.00,5.00,9.00,7.00,7.00,4.00,6.00,6.00,108,NULL,NULL,'VILA GUSTAVO','S PAULO','SP',2386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274691,1.00,2.00,4.00,4.00,3.00,NULL,3.00,6.00,3.00,103,NULL,NULL,'INTERIOR','S JOSé CERRITO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3274705,4.00,4.00,2.00,2.00,3.00,NULL,4.00,6.00,3.00,208,NULL,238,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274721,6.00,6.00,7.00,9.00,6.00,5.75,3.00,7.00,6.00,220,NULL,203,'CARANDA BOSQUE','CPO GRANDE','MS',2692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274730,4.00,5.00,3.00,5.00,4.00,4.50,3.00,5.00,4.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',12627,104,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274748,5.00,2.00,4.00,1.00,4.00,6.00,1.00,4.00,4.00,211,NULL,NULL,'VILA ALEMANHA','LUZERNA','SC',16205,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3274756,4.00,2.00,3.00,3.00,4.00,NULL,1.00,3.00,2.00,303,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3274764,7.00,7.00,8.00,7.00,8.00,4.50,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',1906,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3274772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3274780,6.00,5.00,4.00,7.00,6.00,3.00,2.00,4.00,3.00,301,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274799,5.00,5.00,1.00,6.00,5.00,7.00,4.00,7.00,6.00,103,NULL,NULL,'VILA MADALENA','S PAULO','SP',6964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274802,3.00,2.00,1.00,5.00,1.00,NULL,2.00,4.00,2.00,304,NULL,NULL,'CENTRO','S PEDRO ALCâNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274810,6.00,6.00,5.00,7.00,7.00,5.00,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',4896,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3274829,5.00,5.00,2.00,7.00,3.00,NULL,1.00,4.00,5.00,103,NULL,NULL,'VILA ESTRELA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3274837,3.00,3.00,2.00,6.00,4.00,6.25,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','LAGUNA','SC',13242,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3274845,8.00,6.00,8.00,9.00,8.00,9.00,5.00,8.00,9.00,103,NULL,NULL,'VILA OLIMPIA','SAO PAULO','SP',265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274861,4.00,3.00,3.00,3.00,4.00,5.25,2.00,4.00,5.00,316,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',15533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274870,4.00,3.00,5.00,7.00,5.00,5.00,3.00,4.00,3.00,201,NULL,207,'NITERóI','SEARA','SC',12654,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3274888,3.00,4.00,1.00,2.00,6.00,NULL,3.00,4.00,3.00,319,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274918,8.00,5.00,5.00,7.00,7.00,6.75,6.00,5.00,7.00,415,NULL,NULL,'VILA NOVA','IçARA','SC',3103,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3274950,4.00,6.00,4.00,8.00,6.00,5.75,1.00,9.00,5.00,103,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',6376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274969,4.00,4.00,4.00,4.00,4.00,4.50,1.00,4.00,2.00,426,NULL,427,'CENTRO','FLORIANóPOLIS','SC',16297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3274977,3.00,3.00,3.00,6.00,4.00,4.00,3.00,2.00,2.00,201,NULL,211,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3274993,8.00,9.00,6.00,8.00,8.00,6.75,6.00,8.00,8.00,202,NULL,203,'CENTRO','CIANORTE','PR',608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275000,4.00,7.00,5.00,9.00,7.00,6.00,4.00,8.00,3.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275019,4.00,4.00,3.00,5.00,3.00,NULL,1.00,2.00,3.00,222,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3275027,1.00,5.00,3.00,4.00,4.00,4.50,1.00,3.00,5.00,201,NULL,220,'CENTRO','LAGES','SC',16123,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3275035,3.00,1.00,4.00,4.00,4.00,NULL,1.00,3.00,4.00,207,NULL,233,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3275051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3275078,7.00,7.00,6.00,8.00,6.00,6.75,5.00,9.00,7.00,103,NULL,NULL,'JARDIM ESPLANADA II','S JOSé CAMPOS','SP',1363,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3275086,3.00,3.00,3.00,3.00,4.00,4.75,4.00,3.00,4.00,304,NULL,NULL,'CENTRO','SALDANHA MARINHO','RS',16092,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3275094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,208,'RIO LAGEADO','CHAPADAO DO LAGEADO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3275108,5.00,5.00,8.00,8.00,5.00,4.25,5.00,7.00,7.00,222,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',3862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275124,4.00,3.00,1.00,0.00,3.00,NULL,2.00,4.00,4.00,203,NULL,202,'INTERIOR','PALMITINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3275132,5.00,8.00,7.00,5.00,6.00,5.50,6.00,8.00,6.00,201,NULL,202,'VILA TOLENTINHO','CASCAVEL','PR',3210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275140,4.00,5.00,4.00,8.00,5.00,5.25,3.00,6.00,4.00,301,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',9246,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3275159,3.00,3.00,3.00,8.00,3.00,NULL,3.00,3.00,2.00,108,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275167,4.00,5.00,2.00,2.00,5.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3275175,2.00,3.00,2.00,7.00,3.00,NULL,2.00,6.00,4.00,303,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3275183,2.00,4.00,3.00,2.00,4.00,NULL,4.00,5.00,1.00,234,NULL,NULL,'SANTA TEREZINHA','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275191,6.00,8.00,4.00,8.00,5.00,6.25,4.00,8.00,5.00,319,NULL,NULL,'URBANOVA','S JOSé CAMPOS','SP',2952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275205,6.00,4.00,1.00,6.00,7.00,6.75,2.00,7.00,4.00,9,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',10886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3275213,6.00,1.00,2.00,8.00,4.00,5.25,2.00,4.00,3.00,104,NULL,NULL,'SãO CRISTOVãO','SALETE','SC',14875,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3275221,3.00,6.00,4.00,5.00,4.00,4.50,1.00,7.00,1.00,301,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',13620,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3275230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'PLANALTO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3275248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3275256,7.00,5.00,4.00,9.00,6.00,5.25,2.00,5.00,5.00,103,NULL,NULL,'IMPERIAL','CONCóRDIA','SC',6982,1835,NULL,NULL,NULL,NULL,NULL,2,4),(16,3275264,4.00,3.00,1.00,4.00,1.00,NULL,2.00,4.00,3.00,211,NULL,213,'INTERIOR','TAPEJARA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3275272,3.00,2.00,1.00,7.00,6.00,5.75,2.00,4.00,4.00,215,NULL,NULL,'ÚLTIMO RIO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3275280,4.00,5.00,5.00,2.00,6.00,5.75,2.00,6.00,5.00,211,NULL,201,'CENTRO','JOAçABA','SC',10692,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3275299,3.00,5.00,3.00,3.00,3.00,NULL,2.00,6.00,2.00,304,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3275302,5.00,4.00,1.00,6.00,5.00,4.00,2.00,5.00,3.00,309,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',15255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275310,4.00,5.00,4.00,2.00,5.00,5.25,1.00,7.00,2.00,104,NULL,NULL,'DEHON','TUBARãO','SC',14306,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3275329,3.00,3.00,1.00,5.00,3.00,NULL,3.00,2.00,2.00,302,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3275337,5.00,3.00,4.00,7.00,6.00,5.50,3.00,2.00,4.00,101,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',13162,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3275345,4.00,4.00,1.00,4.00,3.00,NULL,2.00,8.00,6.00,319,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3275361,4.00,4.00,4.00,5.00,3.00,NULL,2.00,7.00,1.00,301,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3275370,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'AGRONÔMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3275388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,212,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3275396,4.00,7.00,1.00,4.00,3.00,NULL,2.00,5.00,3.00,452,NULL,NULL,'ANITA GARIBALD','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3275400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SAO FRANCISCO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3275418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CIANORTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3275426,4.00,5.00,4.00,1.00,6.00,4.75,2.00,4.00,3.00,203,NULL,214,'CENTRO','FLORIANóPOLIS','SC',15747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3275434,5.00,3.00,1.00,8.00,3.00,NULL,3.00,2.00,4.00,453,NULL,NULL,'CACUPé','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275442,4.00,2.00,2.00,7.00,3.00,NULL,3.00,5.00,5.00,503,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3275450,6.00,7.00,5.00,3.00,5.00,5.00,3.00,5.00,6.00,203,NULL,202,'CENTRO','FLORIANóPOLIS','SC',8499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275477,7.00,3.00,3.00,5.00,4.00,6.00,2.00,4.00,5.00,301,NULL,NULL,'KOBRASOL','S JOSé','SC',13393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275485,3.00,3.00,1.00,0.00,1.00,NULL,3.00,3.00,5.00,309,NULL,NULL,'CENTRO','S JOãO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3275507,2.00,3.00,3.00,6.00,4.00,4.25,3.00,4.00,2.00,316,NULL,NULL,'RIO BONITO','BRAçO NORTE','SC',16515,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3275515,2.00,4.00,3.00,6.00,3.00,NULL,2.00,4.00,3.00,207,NULL,201,'GUILHERME REICH','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3275523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3275531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ATLANTICO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3275540,8.00,8.00,9.00,9.00,8.00,7.00,5.00,8.00,8.00,214,NULL,233,'ITACORUBI','FLORIANóPOLIS','SC',286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3275574,8.00,8.00,4.00,3.00,7.00,7.00,6.00,7.00,8.00,220,NULL,214,'CANASVIEIRAS','FLORIANóPOLIS','SC',2263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275582,7.00,7.00,6.00,5.00,6.00,6.00,7.00,7.00,6.00,220,NULL,203,'CENTRO','RIBEIRãO PRETO','SP',2933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275590,6.00,5.00,6.00,8.00,4.00,6.25,2.00,7.00,5.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',6302,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3275612,4.00,5.00,2.00,2.00,3.00,NULL,2.00,5.00,2.00,103,NULL,NULL,'MORROTES','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3275620,3.00,5.00,5.00,5.00,4.00,6.25,2.00,7.00,4.00,324,NULL,NULL,'SãO LUIZ','CRICIúMA','SC',10591,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3275663,5.00,3.00,3.00,7.00,5.00,6.75,3.00,5.00,6.00,333,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3275671,6.00,3.00,2.00,7.00,4.00,5.50,2.00,5.00,5.00,303,NULL,NULL,'CENTRO','ERECHIM','RS',12187,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3275680,5.00,8.00,6.00,9.00,8.00,8.25,3.00,9.00,4.00,318,NULL,NULL,'BARREIROS','S JOSé','SC',1714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275698,3.00,6.00,5.00,4.00,4.00,4.75,2.00,3.00,2.00,103,NULL,NULL,'VILA MOEMA','TUBARãO','SC',15840,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3275701,2.00,6.00,2.00,7.00,4.00,5.00,5.00,6.00,4.00,203,NULL,215,'CORREGO GRANDE','FLORIANóPOLIS','SC',11640,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3275710,5.00,4.00,4.00,4.00,7.00,5.75,5.00,5.00,3.00,453,NULL,NULL,'JARDIM NOVA YORK','CASCAVEL','PR',9524,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3275728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3275736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3275744,2.00,2.00,1.00,4.00,3.00,NULL,1.00,2.00,3.00,201,NULL,207,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3275752,1.00,2.00,3.00,5.00,3.00,NULL,2.00,3.00,2.00,5,NULL,NULL,'PASSAGEM','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3275779,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(16,3275795,5.00,6.00,3.00,3.00,3.00,NULL,0.00,6.00,3.00,201,NULL,214,'PETRóPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3275809,7.00,3.00,4.00,6.00,6.00,6.00,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',8713,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3275817,4.00,4.00,3.00,6.00,3.00,NULL,4.00,3.00,2.00,502,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3275825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA CARLI','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3275833,5.00,4.00,5.00,6.00,4.00,5.25,4.00,8.00,5.00,103,NULL,NULL,'VILA BETHANIA','S JOSé CAMPOS','SP',7477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','CPO MOURãO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3275850,6.00,6.00,6.00,8.00,7.00,5.25,3.00,4.00,4.00,340,NULL,NULL,'MIRAGEM','LAURO FREITAS','BA',6171,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3275876,3.00,4.00,2.00,3.00,6.00,NULL,0.00,5.00,3.00,453,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275884,3.00,0.00,3.00,6.00,2.00,NULL,1.00,3.00,2.00,309,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3275892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3275906,6.00,7.00,4.00,8.00,5.00,5.00,3.00,5.00,3.00,301,NULL,NULL,'CENTRO','S JOãO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3275914,5.00,4.00,3.00,7.00,5.00,5.25,4.00,2.00,5.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',11581,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3275930,4.00,2.00,1.00,4.00,5.00,NULL,2.00,0.00,3.00,302,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3275949,3.00,1.00,1.00,2.00,3.00,NULL,4.00,2.00,3.00,212,NULL,213,'PRAçA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3275957,4.00,4.00,1.00,9.00,6.00,7.25,3.00,8.00,5.00,333,NULL,NULL,'VILA ADY ANNA','S JOSé CAMPOS','SP',7020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275965,4.00,4.00,2.00,6.00,4.00,5.50,1.00,4.00,2.00,444,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',16041,135,NULL,NULL,NULL,NULL,NULL,2,1),(16,3275973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(16,3275981,6.00,4.00,1.00,3.00,5.00,5.00,2.00,3.00,3.00,453,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3275990,0.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,7),(16,3276007,4.00,4.00,4.00,4.00,2.00,NULL,3.00,5.00,3.00,404,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276015,4.00,6.00,1.00,2.00,7.00,6.00,2.00,5.00,3.00,201,NULL,211,'MEIA PRAIA','ITAPEMA','SC',14751,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3276023,6.00,5.00,3.00,3.00,4.00,4.75,5.00,7.00,5.00,103,NULL,NULL,'JARDIM AMERICA','GOIâNIA','GO',9966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276031,3.00,5.00,3.00,8.00,4.00,4.25,2.00,2.00,4.00,301,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',14111,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3276040,6.00,4.00,2.00,0.00,0.00,NULL,3.00,2.00,2.00,108,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3276058,0.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'INTERIOR','S LOURENçO OESTE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(16,3276066,4.00,7.00,2.00,3.00,3.00,NULL,2.00,3.00,3.00,234,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3276074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'PRAçA','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3276082,4.00,7.00,5.00,3.00,4.00,3.25,2.00,6.00,3.00,203,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3276090,2.00,6.00,1.00,7.00,4.00,6.00,2.00,5.00,2.00,302,NULL,NULL,'VILA RESENDE','CAçAPAVA','SP',14303,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276104,7.00,7.00,2.00,7.00,3.00,NULL,2.00,4.00,6.00,104,NULL,NULL,'PIO CORREIA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3276112,5.00,7.00,2.00,5.00,3.00,NULL,2.00,7.00,7.00,108,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276120,2.00,2.00,4.00,7.00,1.00,NULL,3.00,3.00,3.00,104,NULL,NULL,'ITAQUANDUBA','ILHABELA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3276139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,214,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3276147,5.00,4.00,2.00,8.00,4.00,6.50,3.00,7.00,4.00,5,NULL,NULL,'PASSA VINTE','PALHOçA','SC',10554,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,220,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3276163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'ITAQUERA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3276171,5.00,4.00,4.00,5.00,5.00,5.00,4.00,5.00,4.00,501,NULL,NULL,'BOM VIVER','BIGUAçU','SC',12775,97,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276180,4.00,5.00,3.00,7.00,7.00,5.25,5.00,8.00,4.00,201,NULL,233,'CENTRO','PALHOçA','SC',7632,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276201,3.00,5.00,3.00,7.00,3.00,NULL,1.00,6.00,4.00,326,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276210,5.00,4.00,1.00,3.00,3.00,NULL,1.00,6.00,4.00,207,NULL,212,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276236,4.00,6.00,4.00,5.00,6.00,5.00,3.00,5.00,3.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',9546,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276252,3.00,3.00,2.00,7.00,6.00,6.00,3.00,4.00,4.00,503,NULL,NULL,'PEDRA BRANCA','S JOSé','SC',12446,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276260,3.00,5.00,2.00,7.00,5.00,6.00,2.00,2.00,3.00,9,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',15447,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276279,4.00,4.00,4.00,7.00,3.00,NULL,4.00,7.00,4.00,201,NULL,211,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276287,5.00,7.00,3.00,8.00,5.00,4.75,1.00,6.00,4.00,332,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',9428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276295,4.00,5.00,4.00,8.00,5.00,7.00,4.00,6.00,5.00,102,NULL,NULL,'AMéRICA','JOINVILLE','SC',6255,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3276309,5.00,4.00,2.00,1.00,4.00,4.50,3.00,4.00,4.00,104,NULL,NULL,'CENTRO','SOMBRIO','SC',16298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276325,4.00,3.00,5.00,3.00,4.00,6.75,3.00,5.00,4.00,201,NULL,212,'LOURO','ANTôNIO CARLOS','SC',11741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276333,4.00,6.00,2.00,7.00,4.00,5.75,3.00,7.00,4.00,214,NULL,215,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3276341,8.00,4.00,4.00,6.00,4.00,5.75,3.00,6.00,2.00,102,NULL,NULL,'BORGO','BENTO GONçALVES','RS',9919,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3276350,0.00,0.00,0.00,3.00,1.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3276368,5.00,3.00,5.00,7.00,5.00,5.50,2.00,6.00,6.00,203,NULL,238,'FLOR DE NAPOLIS','S JOSé','SC',8793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3276384,3.00,4.00,3.00,6.00,2.00,NULL,4.00,4.00,3.00,302,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276406,7.00,8.00,3.00,7.00,6.00,7.00,5.00,7.00,4.00,233,NULL,215,'PIO CORREA','CRICIúMA','SC',4663,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3276414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3276430,7.00,4.00,6.00,7.00,6.00,5.75,3.00,8.00,3.00,201,NULL,212,'SETOR MORADA DO SOL','RIO VERDE','GO',6284,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3276449,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3276457,5.00,1.00,4.00,0.00,5.00,NULL,1.00,3.00,5.00,234,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3276465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3276473,5.00,8.00,6.00,7.00,8.00,4.75,4.00,7.00,8.00,216,NULL,213,'COLONINHA','ARARANGUá','SC',2194,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3276481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARTINS','POXORéO','MT',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3276490,3.00,2.00,3.00,7.00,4.00,5.00,2.00,4.00,3.00,316,NULL,NULL,'SANTA BARBARA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3276503,4.00,1.00,1.00,5.00,4.00,NULL,3.00,2.00,3.00,103,NULL,NULL,'COMERCIARIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3276511,2.00,3.00,3.00,3.00,2.00,NULL,1.00,2.00,4.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276520,1.00,3.00,2.00,6.00,4.00,6.50,3.00,4.00,3.00,104,NULL,NULL,'SãO JOãO','URUGUAIANA','RS',16199,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276538,4.00,4.00,1.00,2.00,1.00,NULL,3.00,2.00,3.00,203,NULL,207,'BRACINHO','SCHROEDER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3276546,2.00,4.00,4.00,5.00,2.00,NULL,3.00,4.00,2.00,108,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276554,4.00,4.00,3.00,0.00,3.00,NULL,2.00,4.00,5.00,216,NULL,211,'FAZENDA','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3276562,3.00,5.00,3.00,5.00,6.00,4.75,0.00,8.00,3.00,326,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',12511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276570,3.00,5.00,4.00,2.00,3.00,NULL,4.00,7.00,4.00,203,NULL,214,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276589,4.00,2.00,2.00,4.00,3.00,NULL,1.00,4.00,5.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276619,3.00,3.00,3.00,5.00,2.00,NULL,0.00,1.00,2.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3276627,3.00,6.00,2.00,5.00,3.00,NULL,3.00,5.00,3.00,207,NULL,201,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BRASILIA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3276643,3.00,4.00,4.00,9.00,6.00,5.50,3.00,3.00,6.00,214,NULL,203,'CENTRO','ALFREDO CHAVES','ES',10112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276651,2.00,2.00,2.00,2.00,4.00,NULL,1.00,3.00,3.00,451,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276660,8.00,8.00,7.00,9.00,7.00,5.50,6.00,8.00,8.00,216,NULL,233,'SETOR BUENO','GOIâNIA','GO',457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276678,8.00,7.00,6.00,9.00,7.00,5.75,5.00,7.00,7.00,233,NULL,213,'CENTRO','FLORIANóPOLIS','SC',1496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276686,3.00,3.00,3.00,2.00,2.00,NULL,2.00,0.00,2.00,501,NULL,NULL,'ITAó SERTãO','STA TEREZINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276694,4.00,1.00,1.00,2.00,1.00,NULL,1.00,1.00,2.00,332,NULL,NULL,'CENTRO','IMARUí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276708,3.00,1.00,4.00,5.00,5.00,3.25,2.00,2.00,5.00,238,NULL,216,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276716,3.00,1.00,2.00,4.00,5.00,NULL,3.00,3.00,4.00,304,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276724,4.00,2.00,1.00,3.00,2.00,NULL,2.00,0.00,2.00,208,NULL,201,'CENTRO','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3276732,5.00,1.00,3.00,4.00,0.00,NULL,1.00,1.00,3.00,207,NULL,NULL,'DOM FELICIANO','GRAVATAí','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3276740,5.00,4.00,6.00,6.00,5.00,6.25,4.00,6.00,3.00,415,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276759,3.00,5.00,6.00,2.00,6.00,5.00,1.00,7.00,2.00,202,NULL,220,'JARDIM ITAPUã','PIRACICABA','SP',12445,436,NULL,454,NULL,NULL,NULL,4,1),(16,3276767,6.00,3.00,1.00,7.00,5.00,5.00,2.00,5.00,4.00,3,NULL,NULL,'RESIDENSIAL MADRI','PALHOçA','SC',12232,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276775,2.00,3.00,4.00,6.00,3.00,NULL,2.00,1.00,1.00,404,NULL,NULL,'SACO DOSLIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276783,2.00,2.00,4.00,5.00,2.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3276791,6.00,3.00,2.00,4.00,3.00,NULL,2.00,4.00,2.00,203,NULL,202,'CIDADE ALTA','ALEGRETE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276805,3.00,0.00,2.00,3.00,1.00,NULL,2.00,2.00,5.00,223,NULL,NULL,'EDIFICIO TIRADENTES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276813,4.00,6.00,5.00,5.00,7.00,5.50,4.00,8.00,5.00,207,NULL,201,'CENTRO','JOAçABA','SC',5198,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3276821,3.00,3.00,3.00,8.00,5.00,4.50,3.00,5.00,3.00,108,NULL,NULL,'CENTRO','CRICIúMA','SC',14527,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3276830,3.00,5.00,1.00,2.00,5.00,NULL,1.00,4.00,2.00,426,NULL,429,'BERGER','CAçADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3276848,5.00,4.00,2.00,5.00,2.00,NULL,3.00,4.00,3.00,108,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276856,5.00,4.00,3.00,4.00,4.00,6.50,3.00,7.00,3.00,225,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',12082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276864,1.00,5.00,2.00,3.00,2.00,NULL,1.00,5.00,3.00,340,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276872,8.00,7.00,7.00,7.00,5.00,6.00,7.00,9.00,7.00,103,NULL,NULL,'CENTRO','SORRISO','MT',813,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3276880,3.00,4.00,1.00,5.00,4.00,6.50,3.00,5.00,2.00,340,NULL,NULL,'MARAMBá','BAURU','SP',15191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276899,4.00,6.00,2.00,6.00,3.00,NULL,3.00,5.00,2.00,415,NULL,NULL,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3276902,3.00,3.00,4.00,2.00,0.00,NULL,3.00,2.00,0.00,201,NULL,207,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276910,2.00,5.00,1.00,8.00,6.00,4.75,2.00,4.00,3.00,103,NULL,NULL,'CANTA GALO','RIO SUL','SC',13496,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3276929,3.00,1.00,5.00,4.00,2.00,NULL,3.00,2.00,3.00,429,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276937,5.00,6.00,3.00,8.00,7.00,5.50,3.00,6.00,5.00,201,NULL,238,'ITAGUAçU','FLORIANóPOLIS','SC',6839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276945,8.00,7.00,7.00,8.00,7.00,7.50,4.00,7.00,7.00,103,NULL,NULL,'OLARIAS','PNT GROSSA','PR',1143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3276953,6.00,7.00,3.00,8.00,8.00,6.75,3.00,6.00,6.00,201,NULL,207,'JAROCESKI','DESCANSO','SC',3963,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3276961,4.00,4.00,2.00,3.00,4.00,4.00,4.00,4.00,2.00,501,NULL,NULL,'SANTA LUZIA','CURITIBA','PR',16174,140,NULL,NULL,NULL,NULL,NULL,2,3),(16,3276970,3.00,1.00,2.00,0.00,4.00,NULL,2.00,5.00,5.00,103,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3276988,1.00,0.00,3.00,2.00,4.00,NULL,0.00,3.00,1.00,9,NULL,NULL,'CENTRO','BOM JD SERRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3276996,4.00,7.00,5.00,7.00,6.00,5.50,4.00,6.00,5.00,301,NULL,NULL,'GLóRIA','JOINVILLE','SC',5573,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3277003,2.00,4.00,1.00,4.00,2.00,NULL,3.00,3.00,2.00,302,NULL,NULL,'CENTRO','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3277011,3.00,2.00,1.00,2.00,3.00,NULL,2.00,1.00,3.00,301,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277020,5.00,4.00,3.00,7.00,2.00,NULL,3.00,4.00,3.00,211,NULL,203,'PIO CORREA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3277038,2.00,3.00,2.00,5.00,1.00,NULL,0.00,1.00,4.00,501,NULL,NULL,'QUINTINO','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3277054,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'INGLESES DO RIO VER','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3277062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3277070,4.00,1.00,1.00,1.00,2.00,NULL,3.00,2.00,2.00,415,NULL,NULL,'URUSSANGUINHA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3277089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VILA NOVA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3277097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3277119,5.00,7.00,3.00,5.00,3.00,NULL,2.00,8.00,2.00,238,NULL,208,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3277127,4.00,1.00,3.00,7.00,3.00,NULL,1.00,4.00,5.00,103,NULL,NULL,'ALDEIA DA SERRA','SANTANA PARNAíBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3277143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,201,'CARANDA BOSQUE I','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3277160,3.00,3.00,4.00,4.00,4.00,5.50,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3277178,7.00,6.00,4.00,8.00,6.00,7.00,3.00,3.00,4.00,316,NULL,NULL,'CENTRO','CRICIúMA','SC',6707,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3277186,5.00,1.00,4.00,6.00,2.00,NULL,4.00,4.00,5.00,304,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3277194,3.00,4.00,3.00,8.00,5.00,5.25,3.00,4.00,5.00,103,NULL,NULL,'CORAL','LAGES','SC',11157,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3277208,4.00,4.00,2.00,2.00,4.00,NULL,2.00,4.00,2.00,5,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,216,'PROGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3277224,1.00,2.00,2.00,2.00,3.00,NULL,3.00,3.00,2.00,213,NULL,233,'BARRA DO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277232,9.00,7.00,3.00,9.00,8.00,6.50,6.00,8.00,7.00,340,NULL,NULL,'SãO PELEGRINO','CAXIAS SUL','RS',1317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277240,4.00,3.00,2.00,2.00,2.00,NULL,4.00,3.00,5.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277259,4.00,1.00,1.00,1.00,5.00,NULL,2.00,3.00,4.00,102,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3277267,7.00,7.00,4.00,8.00,7.00,6.00,1.00,8.00,5.00,319,NULL,NULL,'FAZENDA','ITAJAí','SC',5661,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3277275,4.00,4.00,4.00,6.00,4.00,6.75,1.00,1.00,4.00,108,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',14914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3277283,2.00,3.00,5.00,7.00,5.00,5.00,1.00,4.00,5.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',13299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277291,6.00,3.00,2.00,4.00,5.00,5.25,3.00,4.00,7.00,103,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',11836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277305,2.00,3.00,3.00,3.00,4.00,NULL,1.00,4.00,1.00,208,NULL,238,'SERTãO DO MARUIM','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,233,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3277321,2.00,3.00,1.00,0.00,0.00,NULL,3.00,5.00,4.00,340,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,9),(16,3277330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3277356,5.00,2.00,2.00,5.00,4.00,5.75,4.00,1.00,2.00,503,NULL,NULL,'BELA VISTA','GASPAR','SC',16269,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3277372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR OESTE','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3277399,3.00,5.00,4.00,7.00,3.00,NULL,5.00,5.00,2.00,233,NULL,201,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277402,4.00,4.00,4.00,6.00,4.00,5.50,3.00,8.00,2.00,501,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277410,4.00,5.00,2.00,8.00,6.00,4.75,3.00,6.00,3.00,316,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',10876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'JARDIM CIBELE','ARARANGUá','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3277437,2.00,8.00,7.00,7.00,6.00,6.00,5.00,9.00,6.00,216,NULL,207,'SACO DOS LIMOES','FLORIANóPOLIS','SC',3017,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3277445,3.00,3.00,3.00,5.00,3.00,NULL,1.00,5.00,4.00,233,NULL,201,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3277453,4.00,2.00,1.00,4.00,3.00,NULL,3.00,6.00,4.00,216,NULL,NULL,'ARMAÇÃO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277461,3.00,3.00,3.00,6.00,4.00,4.25,3.00,4.00,1.00,2,NULL,NULL,'KOBRASOL','S JOSé','SC',15837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VILA MARIANA','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3277488,9.00,5.00,6.00,8.00,6.00,5.75,4.00,7.00,8.00,103,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',2576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277496,6.00,8.00,6.00,9.00,8.00,6.00,4.00,9.00,5.00,5,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',2003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277500,6.00,5.00,2.00,7.00,6.00,5.50,2.00,6.00,4.00,102,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',9875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277518,4.00,6.00,3.00,4.00,5.00,5.25,3.00,7.00,3.00,317,NULL,NULL,'CAMPINAS','S JOSé','SC',11975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277534,4.00,4.00,2.00,6.00,3.00,NULL,2.00,6.00,4.00,104,NULL,NULL,'UNIVERSITARIO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3277542,7.00,5.00,3.00,8.00,3.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3277550,3.00,3.00,1.00,7.00,4.00,4.50,2.00,3.00,5.00,340,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277569,7.00,6.00,5.00,3.00,2.00,NULL,1.00,6.00,6.00,208,NULL,220,'CENTRO','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3277577,4.00,7.00,2.00,4.00,4.00,4.75,4.00,7.00,5.00,102,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',12460,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3277585,5.00,4.00,5.00,4.00,4.00,5.00,3.00,6.00,5.00,444,NULL,NULL,'ANDORINHA','ITAPEMA','SC',10666,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3277593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'VILA NOVA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3277607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'RIO BRANCO','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3277615,5.00,6.00,6.00,8.00,8.00,6.75,4.00,8.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',2649,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3277623,2.00,1.00,2.00,5.00,1.00,NULL,3.00,2.00,3.00,452,NULL,NULL,'NAZARé','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3277631,0.00,0.00,0.00,2.00,6.00,NULL,0.00,0.00,0.00,216,NULL,215,'POR DO SOL','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,7),(16,3277640,7.00,7.00,6.00,7.00,8.00,6.75,4.00,8.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3277658,6.00,5.00,8.00,9.00,5.00,5.50,3.00,6.00,6.00,214,NULL,201,'CENTRO','CRICIúMA','SC',4657,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3277666,4.00,1.00,1.00,1.00,2.00,NULL,1.00,4.00,3.00,502,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277674,7.00,9.00,6.00,9.00,6.00,6.00,3.00,6.00,6.00,103,NULL,NULL,'NAçOES','INDAIAL','SC',3016,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3277682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3277690,5.00,4.00,4.00,1.00,4.00,5.00,2.00,4.00,4.00,208,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',16391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277704,1.00,1.00,1.00,6.00,5.00,NULL,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3277712,4.00,5.00,3.00,2.00,3.00,NULL,3.00,7.00,2.00,102,NULL,NULL,'CENTRO','ITAPEJARA D OESTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3277720,6.00,2.00,3.00,4.00,0.00,NULL,3.00,4.00,4.00,444,NULL,NULL,'CENTRO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3277739,5.00,8.00,5.00,9.00,6.00,6.00,3.00,5.00,6.00,501,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',3888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277747,5.00,3.00,3.00,5.00,1.00,NULL,2.00,5.00,2.00,502,NULL,NULL,'ESTRELA DALVA','CARAGUATATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277755,3.00,5.00,4.00,3.00,5.00,5.25,1.00,5.00,3.00,453,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',14541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277763,4.00,6.00,4.00,0.00,0.00,NULL,2.00,6.00,5.00,220,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(16,3277771,7.00,7.00,5.00,8.00,7.00,5.25,5.00,7.00,6.00,208,NULL,238,'CORREGO GRANDE','FLORIANóPOLIS','SC',2666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277780,5.00,3.00,3.00,8.00,7.00,5.75,5.00,6.00,2.00,340,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIú','SC',8467,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3277798,6.00,5.00,3.00,5.00,5.00,4.75,2.00,5.00,6.00,102,NULL,NULL,'ALPHAVILLE','CAMPINAS','SP',10058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277810,6.00,7.00,4.00,8.00,6.00,5.50,4.00,6.00,2.00,302,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3277836,4.00,4.00,6.00,2.00,5.00,5.50,3.00,3.00,4.00,205,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',13882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277844,2.00,2.00,2.00,5.00,2.00,NULL,3.00,3.00,2.00,304,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3277852,4.00,1.00,3.00,2.00,3.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3277879,6.00,4.00,3.00,7.00,4.00,6.25,5.00,5.00,6.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',7597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277887,7.00,5.00,9.00,8.00,7.00,7.25,5.00,7.00,7.00,103,NULL,NULL,'BOA VISTA','BLUMENAU','SC',1216,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3277895,6.00,5.00,1.00,4.00,4.00,3.00,3.00,6.00,4.00,203,NULL,220,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3277909,1.00,5.00,6.00,8.00,5.00,6.25,4.00,6.00,5.00,216,NULL,212,'PINHEIROS','S PAULO','SP',7533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3277917,5.00,6.00,1.00,0.00,3.00,NULL,5.00,6.00,4.00,303,NULL,NULL,'SAGUAçU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3277925,5.00,7.00,4.00,4.00,4.00,5.25,3.00,7.00,3.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANóPOLIS','SC',10875,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3277933,7.00,8.00,7.00,9.00,7.00,6.75,2.00,9.00,3.00,303,NULL,NULL,'CENTRO','BLUMENAU','SC',2355,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3277941,2.00,7.00,2.00,5.00,5.00,5.25,1.00,5.00,3.00,426,NULL,427,'INGLESES','FLORIANóPOLIS','SC',15675,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3277950,1.00,0.00,3.00,2.00,2.00,NULL,3.00,1.00,3.00,308,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3277968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'ZONA I','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3277976,8.00,7.00,8.00,8.00,6.00,5.75,3.00,8.00,7.00,103,NULL,NULL,'CENTRO','URAí','PR',2199,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3277984,5.00,3.00,2.00,8.00,5.00,6.00,1.00,4.00,3.00,9,NULL,NULL,'VILA LENZI','JARAGUá SUL','SC',13423,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3277992,7.00,9.00,5.00,9.00,8.00,5.50,3.00,9.00,7.00,340,NULL,NULL,'CENTENáRIO','MOGI GUAçU','SP',1285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,423,'NSA SRA DE LOURDES','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3278018,6.00,4.00,4.00,7.00,7.00,5.75,4.00,8.00,6.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',4926,1482,NULL,NULL,NULL,NULL,NULL,2,8),(16,3278026,3.00,5.00,4.00,5.00,3.00,NULL,2.00,2.00,1.00,420,NULL,NULL,'ESTREITO BALNEáRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278034,4.00,3.00,1.00,2.00,4.00,NULL,2.00,2.00,0.00,238,NULL,208,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278042,7.00,3.00,5.00,0.00,5.00,NULL,4.00,6.00,3.00,203,NULL,202,'ZONA II','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3278069,2.00,2.00,3.00,8.00,4.00,6.25,2.00,2.00,3.00,208,NULL,238,'SACO GRANDE','FLORIANóPOLIS','SC',15495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278077,2.00,2.00,3.00,4.00,0.00,NULL,1.00,4.00,4.00,301,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278085,2.00,4.00,2.00,6.00,5.00,5.25,1.00,4.00,4.00,103,NULL,NULL,'OFICINAS','TUBARãO','SC',15536,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3278093,3.00,3.00,4.00,9.00,4.00,4.50,3.00,5.00,4.00,340,NULL,NULL,'CENTRO','GUARARAPES','SP',12362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278107,3.00,4.00,2.00,4.00,5.00,NULL,3.00,0.00,2.00,301,NULL,NULL,'BETâNIA','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278115,2.00,2.00,3.00,6.00,4.00,4.25,3.00,5.00,2.00,101,NULL,NULL,'DANIELA','FLORIANóPOLIS','SC',16421,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3278123,5.00,4.00,2.00,6.00,5.00,8.50,2.00,7.00,3.00,428,NULL,424,'TRINDADE','FLORIANóPOLIS','SC',11525,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3278140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'AGRONÔMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3278166,4.00,1.00,1.00,5.00,6.00,5.50,3.00,5.00,3.00,303,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3278174,5.00,3.00,4.00,8.00,5.00,4.00,3.00,7.00,5.00,303,NULL,NULL,'CENTRO','CANOINHAS','SC',9849,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3278182,5.00,5.00,3.00,8.00,4.00,6.50,3.00,4.00,3.00,340,NULL,NULL,'SãO PEDRO','GASPAR','SC',10605,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3278190,4.00,3.00,3.00,7.00,3.00,NULL,3.00,3.00,3.00,212,NULL,214,'JARDIM SANTA ANGELA','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278204,3.00,6.00,3.00,2.00,4.00,5.00,3.00,8.00,3.00,303,NULL,NULL,'CENTRO','CRICIúMA','SC',13630,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3278212,3.00,2.00,3.00,5.00,4.00,NULL,1.00,4.00,1.00,234,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3278220,2.00,3.00,1.00,2.00,4.00,NULL,1.00,3.00,2.00,214,NULL,216,'BARRO PRETO','CONGONHAS','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'ACLIMAçãO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',3,8),(16,3278247,4.00,4.00,2.00,7.00,5.00,6.25,2.00,3.00,1.00,104,NULL,NULL,'STA CATARINA ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3278255,4.00,4.00,3.00,3.00,4.00,3.00,3.00,3.00,3.00,238,NULL,208,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3278263,4.00,3.00,2.00,3.00,3.00,NULL,3.00,6.00,4.00,205,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278271,1.00,5.00,4.00,1.00,5.00,4.75,1.00,6.00,3.00,415,NULL,NULL,'BARREIROS','S JOSé','SC',16299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278280,7.00,2.00,6.00,5.00,6.00,6.50,4.00,3.00,7.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',6826,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3278298,2.00,2.00,1.00,4.00,5.00,NULL,2.00,0.00,2.00,207,NULL,201,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278301,5.00,8.00,3.00,9.00,6.00,6.00,4.00,8.00,6.00,207,NULL,233,'BOM ABRIGO','FLORIANóPOLIS','SC',4193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278310,4.00,6.00,3.00,7.00,5.00,5.00,4.00,6.00,4.00,103,NULL,NULL,'VILA CASA NOVA','SOROCABA','SP',9041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278328,3.00,5.00,4.00,6.00,4.00,5.25,3.00,5.00,5.00,415,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',11950,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3278336,4.00,6.00,5.00,9.00,5.00,4.75,3.00,6.00,6.00,340,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',7033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278344,3.00,3.00,3.00,7.00,4.00,6.00,1.00,7.00,4.00,211,NULL,233,'VILA REAL','CHAPECó','SC',12957,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3278352,5.00,3.00,5.00,8.00,6.00,5.50,4.00,3.00,3.00,208,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278360,6.00,4.00,6.00,5.00,6.00,5.25,4.00,7.00,5.00,404,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278379,2.00,2.00,2.00,7.00,3.00,NULL,3.00,5.00,3.00,216,NULL,215,'COMERCIáRIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3278387,5.00,4.00,5.00,3.00,5.00,6.00,2.00,6.00,3.00,503,NULL,NULL,'CORAL','LAGES','SC',12907,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3278395,5.00,5.00,2.00,9.00,5.00,5.25,0.00,3.00,4.00,428,NULL,424,'PANTANAL','FLORIANóPOLIS','SC',13074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278409,0.00,0.00,0.00,4.00,6.00,NULL,3.00,5.00,3.00,108,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(16,3278417,2.00,1.00,4.00,4.00,4.00,6.25,1.00,4.00,4.00,103,NULL,NULL,'BAIRRO PROGESSO','DOURADOS','MS',16310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3278425,7.00,8.00,4.00,9.00,7.00,4.50,3.00,9.00,4.00,340,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278433,2.00,4.00,1.00,6.00,2.00,NULL,1.00,4.00,4.00,202,NULL,NULL,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3278450,6.00,8.00,7.00,9.00,7.00,5.25,2.00,7.00,6.00,103,NULL,NULL,'CENTRO','SCHROEDER','SC',2688,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3278468,0.00,2.00,1.00,0.00,4.00,NULL,1.00,0.00,1.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278476,6.00,7.00,2.00,7.00,7.00,6.50,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4508,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3278484,6.00,2.00,3.00,6.00,6.00,8.00,3.00,6.00,4.00,415,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',9698,261,NULL,NULL,NULL,NULL,NULL,2,1),(16,3278492,2.00,3.00,4.00,3.00,2.00,NULL,1.00,0.00,0.00,207,NULL,201,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278514,5.00,7.00,1.00,5.00,6.00,4.50,5.00,6.00,6.00,205,NULL,NULL,'CAMPINAS','S JOSé','SC',8100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278522,4.00,3.00,4.00,7.00,5.00,6.00,4.00,7.00,3.00,201,NULL,NULL,'JARDIM AMéRICA','CAXIAS SUL','RS',10309,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3278530,3.00,1.00,2.00,2.00,2.00,NULL,3.00,3.00,4.00,304,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278549,3.00,4.00,4.00,8.00,5.00,4.75,1.00,3.00,5.00,238,NULL,208,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3278557,8.00,6.00,6.00,8.00,6.00,5.50,6.00,5.00,7.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278565,3.00,0.00,1.00,5.00,4.00,NULL,1.00,2.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3278573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'CENTRO','RIO CEDROS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(16,3278581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'JARDIM DO LAGO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3278590,4.00,4.00,2.00,6.00,4.00,4.00,2.00,5.00,1.00,301,NULL,NULL,'JOAO PAULO','FLORIANóPOLIS','SC',15941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278603,3.00,4.00,1.00,7.00,4.00,5.25,2.00,5.00,4.00,207,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',14451,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3278611,4.00,5.00,4.00,6.00,4.00,6.00,4.00,5.00,4.00,201,NULL,212,'SANTA LUZIA','ABELARDO LUZ','SC',10171,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3278620,4.00,2.00,2.00,5.00,6.00,5.50,3.00,4.00,5.00,215,NULL,207,'SãO LUIZ','SAPIRANGA','RS',12973,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3278638,3.00,7.00,5.00,8.00,6.00,6.75,3.00,4.00,3.00,415,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9000,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3278654,4.00,4.00,2.00,8.00,5.00,6.00,2.00,5.00,2.00,415,NULL,NULL,'VILA OPERARIA','ITAJAí','SC',12698,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3278662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,233,'NOVA PETROPOLIS','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3278670,4.00,4.00,5.00,5.00,4.00,4.25,5.00,5.00,5.00,211,NULL,203,'AGRONOMICA','FLORIANóPOLIS','SC',10752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PROGRESSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3278719,2.00,2.00,1.00,4.00,2.00,NULL,1.00,3.00,3.00,453,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3278743,3.00,6.00,5.00,7.00,6.00,6.50,4.00,8.00,2.00,450,NULL,NULL,'SAO CRISTOVAO','VIDEIRA','SC',6586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM MADALENA','EMBU-GUAçU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3278760,3.00,3.00,2.00,4.00,6.00,4.00,1.00,6.00,4.00,326,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',15376,72,NULL,NULL,NULL,NULL,NULL,2,1),(16,3278778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'VILA TEIXEIRA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3278786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3278794,3.00,3.00,1.00,5.00,1.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','IMARUí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3278808,5.00,8.00,4.00,4.00,6.00,5.50,5.00,7.00,5.00,233,NULL,216,'RIO TAVARES','FLORIANóPOLIS','SC',6090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278816,3.00,4.00,2.00,8.00,2.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278824,4.00,3.00,2.00,8.00,6.00,6.50,3.00,7.00,2.00,326,NULL,NULL,'BARREIROS','S JOSé','SC',11424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278832,5.00,6.00,2.00,5.00,7.00,3.00,4.00,6.00,4.00,340,NULL,NULL,'MOOCA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278840,3.00,2.00,2.00,3.00,6.00,NULL,2.00,2.00,6.00,5,NULL,NULL,'CAIEIRA S LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278859,6.00,6.00,6.00,9.00,7.00,5.00,5.00,7.00,5.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',3372,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3278867,2.00,4.00,3.00,3.00,5.00,NULL,2.00,5.00,2.00,203,NULL,NULL,'SãO CRISTóVãO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3278875,4.00,4.00,3.00,3.00,3.00,NULL,0.00,4.00,1.00,238,NULL,208,'BALNEáRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3278883,3.00,2.00,1.00,7.00,5.00,5.00,4.00,5.00,4.00,212,NULL,211,'JARDIM ESPLANADA II','S JOSé CAMPOS','SP',13733,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3278891,2.00,6.00,5.00,7.00,3.00,NULL,2.00,5.00,2.00,211,NULL,201,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3278905,5.00,8.00,5.00,8.00,5.00,5.50,2.00,9.00,4.00,340,NULL,NULL,'AMéRICA','JOINVILLE','SC',5383,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3278913,6.00,7.00,4.00,8.00,6.00,5.50,3.00,8.00,3.00,103,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',6059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278921,7.00,4.00,5.00,8.00,4.00,5.25,3.00,4.00,4.00,9,NULL,NULL,'RAINHA','RIO SUL','SC',10067,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3278930,2.00,3.00,4.00,6.00,4.00,4.50,2.00,3.00,2.00,324,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',16588,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3278948,6.00,7.00,6.00,8.00,5.00,4.50,5.00,9.00,5.00,220,NULL,238,'SANTA MONICA','FLORIANóPOLIS','SC',3925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3278980,5.00,5.00,3.00,4.00,3.00,NULL,4.00,4.00,4.00,340,NULL,NULL,'CENTRO','SERAFINA CORRêA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3278999,6.00,5.00,6.00,7.00,6.00,7.00,4.00,7.00,6.00,103,NULL,NULL,'JARDIM PARAISO','BOTUCATU','SP',3983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279006,3.00,5.00,2.00,4.00,5.00,6.50,2.00,7.00,4.00,102,NULL,NULL,'CENTRO','CAçADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3279014,6.00,7.00,7.00,9.00,8.00,7.50,5.00,6.00,6.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',1343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279022,6.00,4.00,5.00,7.00,6.00,6.00,2.00,6.00,4.00,108,NULL,NULL,'CIDADE VISTA VERDE','S JOSé CAMPOS','SP',7123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3279065,3.00,3.00,3.00,8.00,4.00,5.75,3.00,3.00,4.00,303,NULL,NULL,'DE VILLA','URUSSANGA','SC',13720,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3279081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','SINOP','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3279090,2.00,2.00,2.00,2.00,0.00,NULL,0.00,1.00,2.00,214,NULL,213,'BAIRRO VILA NOVA','IçARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3279103,1.00,5.00,4.00,1.00,2.00,NULL,1.00,6.00,3.00,317,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3279111,4.00,5.00,3.00,4.00,5.00,6.25,2.00,7.00,2.00,340,NULL,NULL,'BENEDITO','INDAIAL','SC',13526,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3279120,5.00,6.00,2.00,3.00,7.00,5.75,4.00,6.00,5.00,302,NULL,NULL,'BARREIROS','S JOSé','SC',9553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279138,6.00,4.00,5.00,9.00,7.00,5.25,5.00,5.00,5.00,450,NULL,NULL,'JARDIM DAS PITEIRAS','PARá MINAS','MG',5160,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3279146,3.00,3.00,2.00,3.00,2.00,NULL,1.00,4.00,2.00,301,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279154,3.00,6.00,2.00,5.00,5.00,NULL,0.00,7.00,3.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279162,2.00,2.00,1.00,4.00,3.00,NULL,5.00,3.00,2.00,104,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279170,6.00,6.00,3.00,8.00,6.00,6.00,7.00,6.00,6.00,201,NULL,203,'CENTRO','FLORIANóPOLIS','SC',3803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279189,8.00,8.00,7.00,7.00,7.00,6.50,8.00,8.00,8.00,103,NULL,NULL,'GRANVILLE','GOIâNIA','GO',372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279197,6.00,6.00,4.00,9.00,6.00,6.50,3.00,7.00,4.00,450,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279200,2.00,5.00,4.00,1.00,2.00,NULL,2.00,5.00,3.00,415,NULL,NULL,'MORADA DO SOL','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3279219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'MINA DO MATO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3279235,3.00,4.00,2.00,4.00,5.00,5.00,1.00,3.00,5.00,302,NULL,NULL,'N SENHO DO ROSSARIO','S JOSé','SC',15976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279243,7.00,6.00,4.00,7.00,8.00,7.00,3.00,8.00,7.00,303,NULL,NULL,'MINA BRASIL','CRICIúMA','SC',2747,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3279251,1.00,3.00,3.00,5.00,4.00,NULL,2.00,2.00,4.00,207,NULL,201,'BAIRRO DA FIGUEIRA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3279260,5.00,3.00,4.00,7.00,6.00,5.50,4.00,6.00,7.00,103,NULL,NULL,'JARDIM SANTA ROSA','PARANAGUá','PR',6776,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3279278,6.00,6.00,3.00,8.00,7.00,6.25,6.00,7.00,6.00,207,NULL,201,'SUDOESTE','CRUZEIRO','DF',3469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279286,6.00,5.00,5.00,7.00,6.00,8.00,2.00,5.00,5.00,103,NULL,NULL,'JD AQUARIUS','S JOSé CAMPOS','SP',5899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279294,3.00,2.00,1.00,6.00,8.00,4.75,3.00,2.00,4.00,453,NULL,NULL,'ASILO','BLUMENAU','SC',15073,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3279308,7.00,8.00,1.00,9.00,7.00,6.00,5.00,8.00,7.00,203,NULL,233,'CENTRO','ITAJAí','SC',2771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'CENTRO','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3279324,6.00,6.00,3.00,6.00,5.00,4.75,3.00,7.00,5.00,502,NULL,NULL,'SERRARIA','S JOSé','SC',8646,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3279332,4.00,6.00,4.00,8.00,8.00,6.00,3.00,5.00,2.00,453,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',8275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279359,2.00,4.00,2.00,6.00,4.00,NULL,1.00,3.00,3.00,201,NULL,212,'SãO CRISTOVãO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3279367,4.00,2.00,6.00,6.00,6.00,6.50,4.00,4.00,5.00,207,NULL,201,'FREZZARIN','AMERICANA','SP',9599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279375,8.00,5.00,9.00,9.00,8.00,6.50,6.00,6.00,7.00,103,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279383,3.00,4.00,6.00,6.00,2.00,NULL,5.00,4.00,5.00,202,NULL,233,'CENTRO','STO CRISTO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279405,6.00,7.00,5.00,8.00,5.00,6.75,3.00,6.00,7.00,103,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',3777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279413,2.00,2.00,2.00,3.00,2.00,NULL,4.00,4.00,2.00,302,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3279421,4.00,3.00,3.00,2.00,2.00,NULL,3.00,2.00,4.00,203,NULL,201,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279430,6.00,7.00,4.00,6.00,3.00,NULL,2.00,8.00,5.00,234,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279448,3.00,5.00,1.00,5.00,5.00,6.50,3.00,8.00,5.00,104,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3279456,7.00,5.00,3.00,3.00,8.00,7.75,3.00,6.00,4.00,207,NULL,NULL,'CRUZEIRO','BRASíLIA','DF',7609,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3279464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'MORUMBI SUL','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3279472,7.00,5.00,1.00,2.00,6.00,5.50,5.00,5.00,3.00,102,NULL,NULL,'CENTRO','LAGES','SC',12447,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3279480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'PETRóPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3279499,6.00,7.00,2.00,9.00,5.00,6.50,2.00,9.00,5.00,103,NULL,NULL,'MARAMBAIA','VINHEDO','SP',4783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279502,6.00,5.00,2.00,6.00,5.00,4.75,4.00,5.00,5.00,211,NULL,NULL,'CENTRO','SALETE','SC',10119,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3279510,3.00,5.00,3.00,8.00,7.00,5.25,0.00,4.00,3.00,203,NULL,214,'SANTA MôNICA','FLORIANóPOLIS','SC',12374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279529,4.00,2.00,2.00,2.00,4.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'CENTRO','CONSTANTINA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3279537,4.00,3.00,3.00,6.00,3.00,NULL,1.00,3.00,2.00,104,NULL,NULL,'VILA VELHA','PALMEIRA MISSõES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3279545,5.00,6.00,5.00,8.00,7.00,7.00,6.00,9.00,6.00,420,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',2620,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3279553,4.00,4.00,1.00,2.00,4.00,NULL,4.00,0.00,4.00,316,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279570,1.00,3.00,3.00,5.00,1.00,NULL,3.00,3.00,3.00,101,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3279588,4.00,4.00,1.00,2.00,3.00,NULL,0.00,3.00,3.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3279596,3.00,7.00,3.00,4.00,6.00,6.00,2.00,5.00,2.00,317,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',12723,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3279600,4.00,5.00,3.00,0.00,6.00,6.00,4.00,5.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',13021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279618,4.00,4.00,3.00,7.00,6.00,5.75,2.00,4.00,4.00,103,NULL,NULL,'CORVETA','ARAQUARI','SC',12269,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3279626,4.00,6.00,3.00,4.00,5.00,5.75,3.00,8.00,4.00,501,NULL,NULL,'PARAISO','S PAULO','SP',9973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279634,5.00,3.00,2.00,3.00,5.00,NULL,1.00,0.00,3.00,103,NULL,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279650,2.00,6.00,1.00,4.00,2.00,NULL,1.00,3.00,4.00,201,NULL,207,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3279669,2.00,4.00,3.00,8.00,6.00,5.50,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11170,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3279685,8.00,8.00,5.00,7.00,7.00,7.25,3.00,7.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',1570,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3279693,3.00,3.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,238,NULL,208,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279707,3.00,6.00,7.00,8.00,6.00,6.50,3.00,6.00,6.00,207,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',4765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3279723,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3279731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3279740,5.00,6.00,3.00,2.00,6.00,5.00,3.00,8.00,5.00,340,NULL,NULL,'CENTRO','STA MARIA','RS',8735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279766,2.00,2.00,2.00,2.00,3.00,NULL,3.00,3.00,5.00,205,NULL,NULL,'CORVETA','ARAQUARI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3279774,4.00,2.00,3.00,3.00,3.00,NULL,4.00,4.00,4.00,101,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3279782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'SITIO SãO JOSE','VIAMãO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3279790,3.00,4.00,1.00,0.00,4.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279812,4.00,6.00,3.00,8.00,6.00,7.00,4.00,6.00,6.00,415,NULL,NULL,'CENTRO','CAMPINAS SUL','RS',6334,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3279820,4.00,4.00,2.00,3.00,2.00,NULL,0.00,5.00,4.00,9,NULL,NULL,'SANTO ANTONIO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3279839,7.00,7.00,8.00,7.00,5.00,5.00,5.00,9.00,7.00,103,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',2266,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3279847,2.00,3.00,2.00,6.00,6.00,5.00,3.00,5.00,4.00,108,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',13521,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3279863,7.00,6.00,7.00,7.00,5.00,5.25,3.00,6.00,6.00,501,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',4189,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3279880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3279898,6.00,3.00,7.00,4.00,7.00,5.00,4.00,4.00,4.00,216,NULL,NULL,'IRIRIú','JOINVILLE','SC',9037,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3279901,6.00,8.00,8.00,7.00,7.00,5.25,5.00,7.00,8.00,203,NULL,214,'POLO CENTRO','FOZ IGUAçU','PR',1380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279910,3.00,7.00,3.00,6.00,4.00,3.25,3.00,6.00,3.00,339,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3279928,2.00,4.00,4.00,5.00,3.00,NULL,2.00,6.00,2.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279944,4.00,6.00,4.00,8.00,4.00,5.50,3.00,5.00,2.00,211,NULL,212,'CóRREGO GRANDE','FLORIANóPOLIS','SC',11338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279952,2.00,3.00,2.00,6.00,4.00,5.75,3.00,4.00,3.00,340,NULL,NULL,'VILA GUSTAVO','S PAULO','SP',14714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279960,0.00,5.00,3.00,4.00,1.00,NULL,4.00,6.00,4.00,223,NULL,NULL,'SãO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3279979,4.00,5.00,1.00,2.00,4.00,0.00,3.00,6.00,2.00,340,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3279987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3279995,0.00,0.00,0.00,8.00,3.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'NAçõES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(16,3280004,5.00,3.00,5.00,9.00,5.00,6.00,4.00,9.00,5.00,340,NULL,NULL,'CANOVA','GIRUá','RS',5266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280012,4.00,4.00,4.00,6.00,5.00,7.00,3.00,3.00,5.00,3,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',12101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280020,4.00,4.00,2.00,7.00,3.00,NULL,1.00,6.00,5.00,108,NULL,NULL,'CENTRO','GUARUJá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3280039,5.00,5.00,2.00,7.00,6.00,7.50,4.00,3.00,6.00,319,NULL,NULL,'BARREIROS','S JOSé','SC',8388,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PALMITAL','PARANAGUá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3280055,6.00,6.00,4.00,5.00,6.00,5.00,5.00,8.00,6.00,303,NULL,NULL,'BELA VISTA','BRAçO NORTE','SC',5575,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3280063,5.00,5.00,3.00,4.00,5.00,5.00,4.00,4.00,4.00,428,NULL,426,'PANTANAL','FLORIANóPOLIS','SC',12012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280071,2.00,5.00,3.00,4.00,3.00,NULL,2.00,3.00,1.00,452,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280080,8.00,7.00,8.00,9.00,8.00,6.00,5.00,6.00,7.00,214,NULL,238,'TRINDADE','FLORIANóPOLIS','SC',831,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280098,3.00,3.00,2.00,7.00,4.00,6.00,2.00,4.00,2.00,233,NULL,NULL,'SãO BERNARDO','CAMPINAS','SP',15065,444,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280101,4.00,4.00,5.00,7.00,6.00,5.75,1.00,4.00,4.00,415,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',11967,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280110,3.00,1.00,2.00,0.00,0.00,NULL,3.00,1.00,3.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3280128,7.00,6.00,6.00,5.00,6.00,5.50,3.00,5.00,5.00,2,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',6240,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280136,3.00,4.00,6.00,8.00,5.00,6.25,5.00,9.00,5.00,214,NULL,213,'BELA VISTA','S PAULO','SP',4328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'COMERCIáRIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3280152,1.00,5.00,1.00,2.00,3.00,NULL,2.00,3.00,2.00,404,NULL,NULL,'JARDIM DAS NAçõES','TAUBATé','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280160,3.00,2.00,2.00,7.00,5.00,6.75,3.00,3.00,2.00,452,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280179,4.00,5.00,4.00,7.00,5.00,5.75,2.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',7840,1958,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SãO CRISTóVãO','SALETE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3280195,2.00,1.00,3.00,6.00,3.00,NULL,2.00,5.00,2.00,304,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3280217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3280225,7.00,4.00,6.00,7.00,6.00,4.00,4.00,7.00,6.00,202,NULL,201,'CENTRO','DOURADOS','MS',5565,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280233,6.00,2.00,3.00,4.00,6.00,NULL,1.00,1.00,3.00,301,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280241,3.00,2.00,4.00,3.00,3.00,NULL,2.00,3.00,0.00,404,NULL,NULL,'SAO FRANCISCO','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3280250,5.00,4.00,3.00,4.00,5.00,5.25,2.00,3.00,3.00,103,NULL,NULL,'PIO CORRêA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3280276,4.00,8.00,2.00,7.00,4.00,5.00,3.00,6.00,2.00,104,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',11959,329,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280284,5.00,5.00,4.00,8.00,6.00,5.50,2.00,7.00,4.00,301,NULL,NULL,'STO ANTONIO LISBOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,233,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3280306,3.00,3.00,2.00,3.00,3.00,NULL,2.00,4.00,3.00,201,NULL,203,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280314,4.00,5.00,3.00,7.00,4.00,4.50,3.00,3.00,3.00,216,NULL,207,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3280322,2.00,1.00,2.00,4.00,3.00,NULL,1.00,3.00,1.00,203,NULL,214,'CARBONI','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3280330,3.00,1.00,3.00,5.00,2.00,NULL,5.00,4.00,2.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3280357,2.00,4.00,4.00,2.00,3.00,NULL,4.00,7.00,4.00,103,NULL,NULL,'PESCARIA BRAVA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3280365,5.00,4.00,2.00,7.00,2.00,NULL,2.00,3.00,3.00,216,NULL,207,'MARIA GORETI','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3280373,4.00,7.00,3.00,8.00,4.00,5.50,3.00,6.00,3.00,328,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',10237,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3280381,5.00,2.00,2.00,3.00,3.00,NULL,1.00,2.00,4.00,428,NULL,424,'JOSé MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280390,1.00,0.00,1.00,1.00,1.00,NULL,3.00,2.00,3.00,316,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280403,3.00,3.00,3.00,2.00,5.00,5.50,4.00,5.00,2.00,429,NULL,427,'JARDIM JANAINA','BIGUAçU','SC',15957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280411,3.00,3.00,2.00,4.00,7.00,5.25,1.00,4.00,7.00,215,NULL,211,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280420,1.00,4.00,4.00,4.00,0.00,NULL,0.00,3.00,2.00,9,NULL,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3280454,3.00,4.00,5.00,7.00,5.00,4.25,3.00,5.00,2.00,303,NULL,NULL,'CENTRO','ITAJAí','SC',13443,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3280470,4.00,4.00,2.00,5.00,4.00,6.50,1.00,5.00,3.00,319,NULL,NULL,'AREIAS','S JOSé','SC',14340,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280489,3.00,3.00,2.00,3.00,2.00,NULL,0.00,3.00,3.00,238,NULL,NULL,'LIDER','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3280500,0.00,0.00,0.00,7.00,1.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3280519,5.00,1.00,3.00,3.00,3.00,NULL,2.00,1.00,2.00,309,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3280535,6.00,6.00,7.00,6.00,6.00,5.50,3.00,4.00,5.00,102,NULL,NULL,'CHICO DE PAULA','JARAGUA DO SUL','SC',6607,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3280543,4.00,5.00,3.00,6.00,3.00,NULL,5.00,7.00,2.00,104,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3280551,3.00,3.00,2.00,4.00,0.00,NULL,3.00,4.00,4.00,220,NULL,215,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280560,3.00,5.00,3.00,3.00,5.00,4.50,4.00,5.00,2.00,208,NULL,NULL,'MATO ALTO','ARARANGUá','SC',14823,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3280578,3.00,2.00,2.00,4.00,3.00,NULL,0.00,1.00,2.00,453,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280586,3.00,2.00,2.00,5.00,1.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3280594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3280608,3.00,5.00,5.00,3.00,4.00,5.75,4.00,5.00,6.00,420,NULL,NULL,'JARDIM JANAíNA','S JOSé','SC',12381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280616,5.00,5.00,5.00,6.00,2.00,NULL,4.00,4.00,5.00,220,NULL,213,'SãO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3280624,3.00,2.00,1.00,4.00,3.00,NULL,3.00,3.00,1.00,319,NULL,NULL,'ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280632,5.00,2.00,5.00,1.00,4.00,6.50,3.00,4.00,5.00,211,NULL,233,'FLORESTA','PTO ALEGRE','RS',13385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3280659,6.00,5.00,2.00,7.00,4.00,5.75,5.00,5.00,5.00,202,NULL,213,'BOM RETIRO','BLUMENAU','SC',8960,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3280675,4.00,5.00,3.00,1.00,6.00,7.00,6.00,6.00,4.00,238,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',10473,298,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280683,7.00,7.00,1.00,6.00,7.00,6.50,4.00,7.00,5.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',5354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280691,5.00,5.00,4.00,5.00,4.00,5.00,3.00,6.00,4.00,213,NULL,212,'SALTO DO NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3280705,1.00,3.00,3.00,5.00,2.00,NULL,2.00,3.00,2.00,104,NULL,NULL,'INTERIOR','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3280713,5.00,4.00,2.00,6.00,5.00,5.75,3.00,5.00,4.00,103,NULL,NULL,'BUCAREIN','JOINVILLE','SC',11864,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3280721,5.00,5.00,1.00,7.00,5.00,5.00,4.00,6.00,5.00,207,NULL,201,'XV DE NOVEMBRO','TIJUCAS','SC',10482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280730,3.00,2.00,2.00,7.00,4.00,NULL,2.00,0.00,3.00,207,NULL,201,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3280748,6.00,8.00,4.00,8.00,7.00,6.00,4.00,7.00,7.00,216,NULL,215,'AGRONôMICA','FLORIANóPOLIS','SC',2920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280756,5.00,7.00,5.00,9.00,7.00,6.75,6.00,8.00,8.00,303,NULL,NULL,'VILA MOEMA','TUBARãO','SC',1396,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3280764,0.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3280772,2.00,3.00,2.00,3.00,4.00,NULL,2.00,6.00,1.00,9,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3280780,7.00,5.00,5.00,5.00,6.00,6.00,3.00,7.00,6.00,104,NULL,NULL,'JARDIN DAS AVENIDAS','ARARANGUá','SC',5571,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3280799,4.00,5.00,5.00,3.00,5.00,4.25,1.00,4.00,3.00,501,NULL,NULL,'SãO CRISTóVãO','TURVO','SC',15229,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3280802,5.00,1.00,2.00,1.00,3.00,NULL,1.00,2.00,4.00,415,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280810,5.00,3.00,1.00,6.00,7.00,5.50,2.00,7.00,2.00,104,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',14063,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280829,2.00,1.00,2.00,4.00,1.00,NULL,2.00,1.00,3.00,425,NULL,421,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280837,4.00,3.00,4.00,4.00,4.00,4.25,2.00,6.00,6.00,202,NULL,NULL,'JARDIM MENINO DEUS','CATANDUVAS','PR',13466,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3280845,8.00,7.00,9.00,7.00,5.00,6.00,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',2053,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3280853,6.00,6.00,6.00,6.00,4.00,5.50,2.00,6.00,6.00,216,NULL,203,'CENTRO','S MATEUS SUL','PR',6686,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3280861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BOM RETIRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3280870,4.00,4.00,3.00,6.00,4.00,5.00,1.00,1.00,3.00,429,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',16420,81,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280888,3.00,1.00,1.00,3.00,4.00,NULL,2.00,4.00,2.00,451,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280896,4.00,5.00,4.00,8.00,4.00,7.00,2.00,7.00,4.00,238,NULL,208,'COQUEIROS','FLORIANóPOLIS','SC',8829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280900,1.00,1.00,1.00,3.00,1.00,NULL,1.00,1.00,3.00,503,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3280926,2.00,6.00,1.00,7.00,5.00,5.50,0.00,5.00,3.00,327,NULL,NULL,'ARIRIU','PALHOçA','SC',15327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3280934,4.00,4.00,4.00,4.00,6.00,5.00,2.00,4.00,2.00,429,NULL,425,'CAPOEIRAS','FLORIANóPOLIS','SC',14862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280942,6.00,7.00,4.00,8.00,7.00,5.00,5.00,8.00,5.00,331,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',4231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280950,5.00,7.00,4.00,1.00,6.00,5.00,2.00,6.00,3.00,333,NULL,NULL,'PEDREIRA','S PAULO','SP',11083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3280985,5.00,6.00,4.00,3.00,2.00,NULL,5.00,6.00,3.00,104,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3280993,6.00,6.00,3.00,7.00,6.00,5.00,4.00,7.00,7.00,238,NULL,213,'CENTRO','FLORIANóPOLIS','SC',6115,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281000,1.00,1.00,3.00,1.00,2.00,NULL,3.00,0.00,3.00,302,NULL,NULL,'FAZENDA PEDRA BRANCA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'LAGO PARQUE','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3281027,3.00,4.00,2.00,2.00,3.00,NULL,2.00,3.00,3.00,203,NULL,NULL,'CENTRO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3281035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3281043,6.00,7.00,1.00,5.00,6.00,4.75,1.00,7.00,3.00,207,NULL,238,'PRESIDENTE MéCIDI','CHAPECó','SC',11744,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3281051,6.00,2.00,4.00,6.00,6.00,6.50,5.00,4.00,5.00,9,NULL,NULL,'BARREIROS','S JOSé','SC',8846,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281078,7.00,7.00,5.00,7.00,5.00,6.25,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','IRATI','PR',3245,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3281086,2.00,3.00,1.00,3.00,2.00,NULL,4.00,3.00,2.00,502,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'VILA EURO','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3281108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'LIBRA I','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3281116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'SOSSEGO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3281132,4.00,1.00,1.00,6.00,3.00,NULL,3.00,4.00,5.00,102,NULL,NULL,'JARDIM BRASILIA','PTO UNIãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3281140,5.00,6.00,5.00,8.00,6.00,4.75,5.00,8.00,5.00,203,NULL,208,'CENTRO','FLORIANóPOLIS','SC',4476,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281167,6.00,5.00,5.00,6.00,5.00,5.25,4.00,7.00,5.00,503,NULL,NULL,'SERRARIA','S JOSé','SC',6378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3281191,3.00,2.00,2.00,1.00,1.00,NULL,2.00,5.00,2.00,501,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281205,4.00,3.00,2.00,6.00,3.00,NULL,3.00,1.00,2.00,225,NULL,NULL,'SãO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281213,8.00,8.00,5.00,4.00,6.00,7.00,5.00,7.00,7.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',2281,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3281221,5.00,6.00,2.00,8.00,7.00,8.00,2.00,8.00,5.00,216,NULL,211,'VILA ISABEL','RIO JANEIRO','RJ',5695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281230,6.00,7.00,3.00,6.00,6.00,5.00,2.00,6.00,5.00,103,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',6554,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281256,3.00,3.00,3.00,3.00,3.00,NULL,1.00,3.00,3.00,340,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281264,3.00,4.00,2.00,7.00,3.00,NULL,2.00,3.00,3.00,317,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281272,6.00,3.00,1.00,3.00,3.00,NULL,3.00,1.00,3.00,444,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281280,7.00,8.00,6.00,7.00,6.00,7.25,3.00,7.00,7.00,103,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',2142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281299,5.00,6.00,3.00,6.00,4.00,4.75,3.00,3.00,3.00,303,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',11583,507,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281302,4.00,2.00,6.00,4.00,5.00,6.00,3.00,7.00,6.00,333,NULL,NULL,'TESTO CENTRAL','POMERODE','SC',9900,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(16,3281310,2.00,4.00,1.00,3.00,4.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'CENTRO','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(16,3281329,2.00,2.00,2.00,4.00,4.00,NULL,3.00,0.00,4.00,108,NULL,NULL,'CENTRO','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3281337,5.00,5.00,4.00,8.00,7.00,6.25,0.00,6.00,7.00,415,NULL,NULL,'SANTO ANTONIO','SAO CAETANO DO SUL','SP',6715,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281345,6.00,6.00,3.00,7.00,3.00,NULL,2.00,7.00,5.00,303,NULL,NULL,'GIOCONDO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281353,5.00,7.00,4.00,8.00,5.00,5.25,4.00,6.00,2.00,415,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',8909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281361,2.00,6.00,3.00,8.00,5.00,6.50,4.00,7.00,5.00,303,NULL,NULL,'JARDIM VERANEIO','CPO GRANDE','MS',8069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281370,5.00,3.00,2.00,3.00,4.00,NULL,2.00,4.00,1.00,234,NULL,NULL,'SÃO JUDAS','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281388,5.00,5.00,4.00,5.00,4.00,4.00,2.00,4.00,4.00,301,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3281396,1.00,3.00,2.00,0.00,2.00,NULL,5.00,3.00,0.00,316,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281400,4.00,3.00,3.00,4.00,2.00,NULL,2.00,4.00,4.00,5,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3281426,3.00,2.00,1.00,6.00,3.00,NULL,1.00,2.00,4.00,203,NULL,202,'URUSSANGUINHA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3281434,3.00,3.00,4.00,1.00,3.00,NULL,1.00,3.00,4.00,316,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281442,4.00,6.00,3.00,4.00,4.00,6.25,2.00,4.00,3.00,108,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',13692,312,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281450,7.00,6.00,7.00,8.00,5.00,5.75,3.00,7.00,5.00,319,NULL,NULL,'JARDIM MONTE CARLO','MARINGá','PR',4239,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3281469,3.00,5.00,4.00,5.00,6.00,5.25,5.00,3.00,4.00,421,NULL,427,'RIO TAVARES','FLORIANóPOLIS','SC',12114,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281477,5.00,7.00,7.00,10.00,9.00,6.75,6.00,7.00,5.00,450,NULL,NULL,'JARDIM EUROPA','SOROCABA','SP',1358,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3281485,7.00,5.00,5.00,7.00,7.00,6.75,4.00,8.00,7.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA AMéRICA','CORNéLIO PROCóPIO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3281507,2.00,4.00,4.00,3.00,1.00,NULL,4.00,4.00,4.00,420,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281515,5.00,8.00,4.00,7.00,5.00,5.50,2.00,8.00,4.00,501,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',7292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','IçARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3281558,7.00,3.00,3.00,5.00,4.00,5.50,3.00,2.00,6.00,207,NULL,233,'SACO DOS LIMõES','FLORIANóPOLIS','SC',12991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281566,4.00,7.00,5.00,7.00,4.00,7.00,3.00,7.00,8.00,215,NULL,233,'CENTRO','IPORã OESTE','SC',4631,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3281574,4.00,3.00,2.00,3.00,2.00,NULL,3.00,3.00,2.00,318,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281590,4.00,5.00,4.00,3.00,5.00,5.25,4.00,5.00,5.00,331,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',11778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281604,4.00,3.00,4.00,6.00,6.00,5.25,4.00,4.00,3.00,208,NULL,238,'CENTRO','SINOP','MT',13163,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3281612,6.00,6.00,3.00,7.00,5.00,5.50,3.00,7.00,6.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANóPOLIS','SC',6536,1763,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281620,4.00,5.00,3.00,7.00,6.00,4.00,2.00,4.00,5.00,103,NULL,NULL,'KORASOL','S JOSé','SC',12316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281639,5.00,8.00,4.00,8.00,8.00,7.25,3.00,9.00,5.00,328,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',2714,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281647,6.00,5.00,2.00,4.00,6.00,4.50,1.00,3.00,3.00,415,NULL,NULL,'MATRIZ','VIDEIRA','SC',14800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281655,7.00,5.00,6.00,9.00,6.00,6.50,5.00,6.00,8.00,203,NULL,214,'GONZAGA','SANTOS','SP',1784,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3281663,1.00,3.00,3.00,2.00,2.00,NULL,2.00,6.00,4.00,102,NULL,NULL,'JARDIM NOVA ERA','LEBON RéGIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3281671,5.00,5.00,4.00,7.00,8.00,6.50,6.00,6.00,7.00,103,NULL,NULL,'VILA MOEMA','TUBARãO','SC',4830,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3281680,7.00,6.00,7.00,7.00,6.00,6.50,4.00,7.00,6.00,201,NULL,233,'CENTRO','LAGES','SC',3215,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3281698,5.00,6.00,2.00,9.00,5.00,6.75,3.00,6.00,3.00,420,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281701,2.00,2.00,1.00,8.00,3.00,NULL,2.00,6.00,1.00,340,NULL,NULL,'COMERCIARIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3281728,4.00,4.00,2.00,7.00,4.00,8.00,1.00,4.00,0.00,428,NULL,424,'CAMPECHE','FLORIANóPOLIS','SC',14776,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3281736,7.00,7.00,7.00,8.00,8.00,6.50,5.00,9.00,4.00,220,NULL,208,'TRINDADE','FLORIANóPOLIS','SC',2189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281744,4.00,6.00,4.00,8.00,5.00,5.75,5.00,6.00,3.00,225,NULL,NULL,'GARCIA','BLUMENAU','SC',8147,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3281752,4.00,5.00,4.00,6.00,6.00,5.00,2.00,6.00,6.00,444,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',8824,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3281760,3.00,1.00,1.00,1.00,1.00,NULL,0.00,4.00,2.00,317,NULL,NULL,'PEDREIRA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281779,5.00,7.00,3.00,7.00,7.00,7.25,3.00,8.00,6.00,303,NULL,NULL,'VILA ASSUNçãO','STO ANDRé','SP',4504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281787,5.00,8.00,5.00,3.00,6.00,5.00,4.00,7.00,7.00,202,NULL,233,'AREIAS','S JOSé','SC',5371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281795,4.00,4.00,2.00,1.00,7.00,4.75,4.00,6.00,3.00,103,NULL,NULL,'SETE DE SETEMBRO','GASPAR','SC',14260,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3281809,7.00,6.00,6.00,8.00,6.00,6.25,6.00,8.00,8.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',1658,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3281817,3.00,5.00,1.00,7.00,6.00,5.50,2.00,3.00,2.00,9,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',15613,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281825,6.00,6.00,4.00,5.00,7.00,4.75,3.00,7.00,6.00,203,NULL,211,'PRAIA COMPRIDA','SAO JOSE','SC',6039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281833,3.00,2.00,3.00,6.00,4.00,4.75,1.00,4.00,5.00,316,NULL,NULL,'PICADAS DO NORTE','S JOSé','SC',15879,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281841,5.00,2.00,3.00,5.00,3.00,NULL,4.00,3.00,3.00,202,NULL,220,'VILA INDUSTRIAL','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3281850,5.00,5.00,3.00,7.00,5.00,5.75,0.00,7.00,3.00,238,NULL,208,'BELLA VISTA','CASCA','RS',10537,302,NULL,326,NULL,NULL,NULL,4,1),(16,3281876,6.00,3.00,3.00,6.00,5.00,5.00,3.00,7.00,5.00,104,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',10251,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3281884,7.00,4.00,2.00,7.00,4.00,6.75,8.00,5.00,8.00,103,NULL,NULL,'CABREUVA','CPO GRANDE','MS',4827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281892,2.00,1.00,1.00,2.00,2.00,NULL,1.00,0.00,2.00,404,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281906,7.00,3.00,4.00,6.00,3.00,NULL,4.00,4.00,4.00,103,NULL,NULL,'CHáCARA CAXOEIRA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3281914,0.00,0.00,0.00,7.00,9.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3281922,5.00,6.00,4.00,9.00,5.00,6.25,2.00,7.00,2.00,318,NULL,NULL,'CACHOEIRA','FLORIANóPOLIS','SC',8258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281930,4.00,7.00,2.00,7.00,4.00,5.00,3.00,9.00,7.00,203,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',8099,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3281949,4.00,4.00,2.00,2.00,3.00,NULL,3.00,2.00,2.00,319,NULL,NULL,'RIO MAINA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3281957,4.00,4.00,5.00,7.00,8.00,6.75,3.00,7.00,5.00,104,NULL,NULL,'JARDIM SABARá','PTO ALEGRE','RS',6786,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3281965,5.00,2.00,1.00,2.00,3.00,NULL,2.00,6.00,4.00,108,NULL,NULL,'SÃO SEBASTIÃO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281981,4.00,7.00,3.00,7.00,6.00,6.00,2.00,7.00,0.00,425,NULL,421,'TRINDADE','FLORIANóPOLIS','SC',11309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3281990,6.00,7.00,6.00,7.00,5.00,6.75,6.00,9.00,7.00,103,NULL,NULL,'BARRA SUL','BAL CAMBORIú','SC',1983,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3282007,5.00,6.00,4.00,6.00,6.00,5.50,1.00,6.00,5.00,108,NULL,NULL,'PASSO DOS FORTES','CHAPECó','SC',8645,178,NULL,NULL,NULL,NULL,NULL,2,4),(16,3282015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'BALNEARIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3282023,3.00,4.00,3.00,6.00,5.00,4.50,3.00,7.00,2.00,208,NULL,238,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',14062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282031,8.00,6.00,8.00,7.00,7.00,5.25,4.00,8.00,8.00,103,NULL,NULL,'PORTAO','CURITIBA','PR',1218,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3282040,3.00,5.00,3.00,2.00,3.00,NULL,3.00,3.00,6.00,316,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282058,3.00,7.00,8.00,9.00,6.00,5.75,4.00,7.00,4.00,202,NULL,208,'ITAGUAçU','FLORIANóPOLIS','SC',3655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282066,7.00,4.00,4.00,7.00,4.00,6.00,4.00,4.00,2.00,501,NULL,NULL,'JARDIM BOA VISTA','AVARé','SP',11033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282074,0.00,2.00,2.00,5.00,4.00,NULL,3.00,2.00,2.00,421,NULL,427,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3282104,7.00,8.00,2.00,6.00,5.00,6.25,3.00,8.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282112,3.00,6.00,4.00,5.00,5.00,5.75,1.00,6.00,4.00,317,NULL,NULL,'CENTRO','PALHOçA','SC',12062,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282120,6.00,5.00,6.00,9.00,8.00,8.25,7.00,7.00,8.00,103,NULL,NULL,'MORADA DO OURO','CUIABá','MT',630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282139,3.00,5.00,3.00,5.00,4.00,5.00,2.00,5.00,4.00,332,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',13843,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282147,5.00,1.00,3.00,2.00,3.00,NULL,1.00,4.00,3.00,104,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3282155,5.00,5.00,6.00,7.00,6.00,5.50,4.00,6.00,8.00,216,NULL,202,'CENTRO','PASSO TORRES','SC',5456,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3282163,3.00,3.00,4.00,0.00,4.00,NULL,2.00,3.00,2.00,309,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282171,4.00,3.00,3.00,3.00,2.00,NULL,2.00,4.00,4.00,201,NULL,211,'BELA VISTA I','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282180,5.00,6.00,5.00,7.00,6.00,6.50,3.00,7.00,4.00,203,NULL,202,'ESTREITO','FLORIANóPOLIS','SC',5670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282198,7.00,5.00,4.00,4.00,7.00,4.50,3.00,6.00,4.00,103,NULL,NULL,'JARDIM PARAíBA','APARECIDA','SP',8261,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3282201,5.00,8.00,8.00,9.00,7.00,6.50,4.00,7.00,5.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,215,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3282228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VILA PEDRINE','JOAçABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3282236,6.00,6.00,3.00,8.00,3.00,NULL,3.00,6.00,3.00,301,NULL,NULL,'BOA ESPERANçA','CUIABá','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282244,0.00,0.00,0.00,8.00,5.00,NULL,0.00,0.00,0.00,425,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3282252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'JARDIM PARANá','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3282279,5.00,4.00,2.00,6.00,2.00,NULL,4.00,5.00,2.00,9,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JARDIM RIBAMAR','PERUíBE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3282295,2.00,4.00,3.00,3.00,2.00,NULL,3.00,4.00,3.00,319,NULL,NULL,'SANTA TERESA','S PEDRO ALCâNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282309,5.00,4.00,4.00,6.00,6.00,5.50,3.00,6.00,3.00,103,NULL,NULL,'GUANANDY','CPO GRANDE','MS',9950,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3282317,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3282325,3.00,3.00,1.00,7.00,4.00,5.00,2.00,4.00,2.00,104,NULL,NULL,'CENTRO','BAL PIçARRAS','SC',16609,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3282333,2.00,0.00,2.00,3.00,4.00,NULL,3.00,2.00,1.00,303,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282368,1.00,3.00,1.00,4.00,3.00,NULL,2.00,0.00,4.00,301,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA VELHA','PALMEIRA MISSõES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3282384,3.00,5.00,4.00,8.00,6.00,3.00,4.00,4.00,4.00,202,NULL,216,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282392,3.00,1.00,1.00,3.00,3.00,NULL,4.00,2.00,2.00,415,NULL,NULL,'JURERE INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282406,5.00,2.00,1.00,1.00,3.00,NULL,3.00,3.00,2.00,9,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282414,4.00,6.00,4.00,7.00,2.00,NULL,5.00,4.00,5.00,203,NULL,202,'ARIRIU DA FORMIGA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282422,2.00,3.00,2.00,1.00,4.00,NULL,2.00,5.00,3.00,207,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282430,4.00,2.00,3.00,4.00,2.00,NULL,2.00,3.00,2.00,333,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282449,5.00,2.00,3.00,7.00,3.00,NULL,2.00,4.00,3.00,201,NULL,212,'CENTRO','JAURU','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282457,3.00,5.00,4.00,6.00,5.00,4.75,2.00,5.00,3.00,238,NULL,208,'FORQUILHINHAS','S JOSé','SC',13491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282473,8.00,7.00,5.00,7.00,7.00,6.50,4.00,7.00,5.00,102,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,203,'CENTRO','STA HELENA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3282503,6.00,6.00,6.00,8.00,6.00,6.00,3.00,7.00,5.00,340,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',4197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282511,5.00,4.00,4.00,7.00,6.00,6.75,3.00,7.00,7.00,444,NULL,NULL,'COLONINHA','FLORIANóPOLIS','SC',6644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282520,2.00,4.00,3.00,7.00,5.00,5.00,3.00,5.00,3.00,207,NULL,238,'RIO TAVARES','FLORIANóPOLIS','SC',14231,731,NULL,458,NULL,NULL,NULL,2,1),(16,3282538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','TANGARá','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3282546,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,212,NULL,208,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3282554,6.00,4.00,3.00,6.00,5.00,4.00,6.00,3.00,5.00,202,NULL,208,'PANTANAL','FLORIANóPOLIS','SC',10389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BELA VISTA','BOM RETIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3282589,7.00,5.00,1.00,5.00,7.00,6.00,2.00,7.00,4.00,208,NULL,202,'INGLESES','FLORIANóPOLIS','SC',8831,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282597,3.00,2.00,3.00,3.00,4.00,NULL,1.00,5.00,3.00,5,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282600,5.00,6.00,6.00,9.00,7.00,6.00,5.00,6.00,7.00,108,NULL,NULL,'JARDIM FLóRIDA','JACAREí','SP',2954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282619,3.00,4.00,1.00,6.00,3.00,NULL,3.00,4.00,4.00,220,NULL,208,'INDUSTRIáRIOS','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3282627,7.00,7.00,6.00,9.00,8.00,6.00,5.00,7.00,6.00,203,NULL,207,'LOTE SEIS','CRICIUMA','SC',1937,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3282635,3.00,3.00,3.00,5.00,2.00,NULL,2.00,4.00,4.00,220,NULL,208,'PETRóPOLIS','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3282643,5.00,4.00,1.00,6.00,3.00,NULL,0.00,3.00,2.00,318,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282660,6.00,5.00,7.00,9.00,7.00,4.00,4.00,5.00,6.00,9,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',5298,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282678,2.00,1.00,3.00,3.00,4.00,NULL,3.00,3.00,1.00,501,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282686,3.00,2.00,3.00,2.00,2.00,NULL,3.00,5.00,3.00,301,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282694,7.00,5.00,4.00,3.00,6.00,5.50,2.00,7.00,2.00,301,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',9961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282708,3.00,2.00,2.00,5.00,2.00,NULL,0.00,4.00,3.00,303,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282716,5.00,3.00,3.00,2.00,4.00,NULL,2.00,2.00,3.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282740,4.00,7.00,4.00,5.00,6.00,5.75,3.00,6.00,2.00,223,NULL,NULL,'CAMPINAS','S JOSé','SC',10152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282759,3.00,6.00,3.00,4.00,5.00,5.00,2.00,7.00,4.00,415,NULL,NULL,'CENTRO','PALHOçA','SC',13384,344,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282767,6.00,8.00,8.00,8.00,7.00,5.50,4.00,8.00,7.00,415,NULL,NULL,'VILA IMPERADOR','FRANCA','SP',1547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3282783,1.00,6.00,5.00,3.00,4.00,5.00,1.00,5.00,6.00,224,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',14022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282791,2.00,3.00,4.00,9.00,6.00,5.50,3.00,2.00,2.00,201,NULL,208,'KOBRASOL','S JOSé','SC',13819,1065,NULL,452,NULL,NULL,NULL,4,1),(16,3282805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3282813,3.00,1.00,3.00,3.00,3.00,NULL,3.00,5.00,6.00,319,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282821,6.00,6.00,4.00,6.00,7.00,7.25,5.00,7.00,7.00,103,NULL,NULL,'VILA GALVÃO','GUARULHOS','SP',2808,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282830,7.00,6.00,4.00,7.00,5.00,7.00,2.00,3.00,5.00,207,NULL,201,'LOTE SEIS','CRICIUMA','SC',8383,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3282848,7.00,4.00,5.00,2.00,5.00,4.50,0.00,3.00,4.00,104,NULL,NULL,'CENTRO','VERê','PR',15453,459,NULL,NULL,NULL,NULL,NULL,4,4),(16,3282856,2.00,7.00,3.00,1.00,6.00,7.50,3.00,8.00,2.00,304,NULL,NULL,'CAMPINAS','S JOSé','SC',11277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282864,3.00,6.00,2.00,8.00,3.00,NULL,5.00,4.00,3.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282872,6.00,8.00,2.00,9.00,6.00,5.75,2.00,6.00,6.00,301,NULL,NULL,'SANTA CRUZ','RIBEIRãO PRETO','SP',5293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282880,5.00,4.00,2.00,2.00,3.00,NULL,4.00,5.00,1.00,316,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282899,3.00,4.00,1.00,4.00,6.00,NULL,1.00,3.00,2.00,101,NULL,NULL,'SERTãO DA ESTIVA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3282929,5.00,5.00,2.00,9.00,4.00,4.50,2.00,6.00,2.00,425,NULL,429,'TRINDADE','FLORIANóPOLIS','SC',11345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282937,2.00,4.00,4.00,4.00,4.00,5.25,3.00,6.00,3.00,316,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',14803,184,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282945,5.00,6.00,4.00,7.00,4.00,5.50,4.00,4.00,4.00,316,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',10284,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282953,7.00,8.00,4.00,8.00,8.00,6.50,3.00,7.00,4.00,320,NULL,NULL,'IPIRANGA','S JOSé','SC',3815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3282961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM CLAUDIA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3282988,6.00,4.00,3.00,1.00,2.00,NULL,2.00,1.00,2.00,303,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3282996,6.00,7.00,4.00,10.00,9.00,6.00,3.00,8.00,4.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',3462,1173,NULL,NULL,NULL,NULL,NULL,4,9),(16,3283003,8.00,7.00,8.00,9.00,9.00,5.50,6.00,9.00,9.00,211,NULL,216,'CAMPECHE','FLORIANóPOLIS','SC',413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283011,6.00,7.00,4.00,5.00,6.00,5.50,5.00,6.00,5.00,202,NULL,213,'MICHEL','CRICIúMA','SC',5620,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3283020,5.00,9.00,7.00,7.00,6.00,6.25,6.00,7.00,5.00,207,NULL,212,'CóRREGO GRANDE','FLORIANóPOLIS','SC',2243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283038,1.00,4.00,2.00,0.00,2.00,NULL,1.00,4.00,3.00,104,NULL,NULL,'SãO TOMáS','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3283046,5.00,4.00,4.00,2.00,0.00,NULL,4.00,6.00,4.00,203,NULL,220,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3283054,4.00,7.00,4.00,8.00,6.00,5.00,5.00,8.00,6.00,202,NULL,213,'KOBRASOL','S JOSé','SC',5044,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283062,6.00,6.00,4.00,7.00,4.00,6.00,3.00,4.00,4.00,238,NULL,208,'FAZENDA STO ANTôNIO','S JOSé','SC',8816,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283070,8.00,8.00,8.00,9.00,7.00,6.75,7.00,8.00,8.00,203,NULL,201,'AGUA VERDE','CURITIBA','PR',283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283089,5.00,6.00,4.00,3.00,1.00,NULL,3.00,6.00,5.00,201,NULL,212,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3283100,3.00,5.00,2.00,1.00,2.00,NULL,2.00,1.00,1.00,203,NULL,220,'INDUSTRIAL','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3283119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3283127,4.00,7.00,5.00,5.00,7.00,5.50,3.00,6.00,5.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283135,2.00,0.00,4.00,2.00,6.00,NULL,0.00,3.00,3.00,317,NULL,NULL,'CAIEIRA SACO LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283143,3.00,6.00,2.00,5.00,4.00,6.25,3.00,8.00,5.00,329,NULL,NULL,'CENTRO','RIQUEZA','SC',9965,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3283151,5.00,4.00,2.00,3.00,5.00,6.25,2.00,2.00,4.00,103,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283178,4.00,4.00,4.00,5.00,2.00,NULL,3.00,4.00,1.00,203,NULL,214,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283186,3.00,2.00,1.00,2.00,1.00,NULL,3.00,2.00,3.00,108,NULL,NULL,'JARDIM CHAPADãO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283194,5.00,7.00,2.00,3.00,5.00,4.75,5.00,7.00,5.00,3,NULL,NULL,'JURERE','FLORIANóPOLIS','SC',8973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283208,7.00,8.00,4.00,8.00,7.00,6.50,4.00,7.00,6.00,5,NULL,NULL,'SUMARé','RIO SUL','SC',3547,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3283216,4.00,3.00,1.00,6.00,3.00,NULL,0.00,0.00,0.00,208,NULL,238,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3283224,1.00,5.00,3.00,4.00,5.00,6.50,2.00,6.00,2.00,450,NULL,NULL,'UNIVERSITáRIO','TIJUCAS','SC',14491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283232,3.00,1.00,2.00,2.00,0.00,NULL,1.00,4.00,2.00,101,NULL,NULL,'ARIRIU DA FORMIGA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283240,3.00,4.00,2.00,3.00,4.00,4.50,3.00,5.00,3.00,503,NULL,NULL,'BRAçO SãO JOãO','STO AMARO IMPERATRIZ','SC',16656,83,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283267,3.00,3.00,2.00,2.00,4.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'INTERIOR','NOVA ITABERABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3283291,2.00,2.00,2.00,2.00,1.00,NULL,2.00,2.00,1.00,317,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3283313,3.00,3.00,2.00,3.00,4.00,5.00,2.00,5.00,3.00,316,NULL,NULL,'NOSSA SRA DO ROSáRIO','S JOSé','SC',16613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3283330,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3283348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SãO JOãO','ITAPEVI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3283356,5.00,2.00,1.00,5.00,4.00,NULL,0.00,4.00,3.00,214,NULL,203,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283372,3.00,7.00,5.00,9.00,4.00,5.00,4.00,7.00,3.00,304,NULL,NULL,'CACUPé','FLORIANóPOLIS','SC',6953,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3283380,7.00,7.00,5.00,7.00,5.00,5.50,3.00,7.00,6.00,415,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',3506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283399,5.00,4.00,3.00,5.00,4.00,4.25,3.00,4.00,3.00,201,NULL,212,'AREIAS','S JOSé','SC',15579,1204,NULL,434,NULL,NULL,NULL,2,1),(16,3283402,6.00,6.00,5.00,8.00,8.00,2.00,4.00,7.00,7.00,103,NULL,NULL,'NOVA BRASíLIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3283410,3.00,6.00,3.00,7.00,5.00,6.25,2.00,8.00,4.00,319,NULL,NULL,'AREIAS','S JOSé','SC',8538,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3283437,3.00,4.00,4.00,3.00,5.00,5.50,3.00,6.00,4.00,202,NULL,238,'BELA VISTA','S JOSé','SC',13771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283445,7.00,7.00,5.00,6.00,7.00,7.50,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','TAPEJARA','RS',2359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283453,6.00,0.00,5.00,3.00,1.00,NULL,4.00,3.00,0.00,101,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283461,1.00,2.00,3.00,4.00,2.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CENTRO','VENâNCIO AIRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3283470,3.00,6.00,1.00,1.00,4.00,5.25,3.00,6.00,4.00,319,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',15978,352,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3283496,4.00,6.00,1.00,2.00,4.00,4.75,2.00,5.00,4.00,238,NULL,211,'CENTRO','PAULO LOPES','SC',15670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'VILA IPIRANGA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3283518,3.00,6.00,4.00,3.00,6.00,4.75,4.00,7.00,7.00,3,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',10231,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283534,3.00,3.00,2.00,5.00,2.00,NULL,1.00,4.00,3.00,316,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3283550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3283569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3283577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3283585,3.00,2.00,4.00,6.00,5.00,4.50,3.00,5.00,1.00,331,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283607,8.00,6.00,3.00,9.00,5.00,5.25,3.00,6.00,7.00,103,NULL,NULL,'VILA MARCONDES','PRES PRUDENTE','SP',4300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283615,3.00,5.00,2.00,7.00,6.00,5.75,2.00,7.00,5.00,340,NULL,NULL,'BARREIROS','S JOSé','SC',10287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283631,4.00,7.00,2.00,4.00,2.00,NULL,3.00,6.00,2.00,303,NULL,NULL,'CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'CORDEIROS','ITAJAí','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3283666,1.00,3.00,2.00,7.00,4.00,5.00,3.00,4.00,3.00,303,NULL,NULL,'STEFFEN','BRUSQUE','SC',15813,685,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283674,4.00,7.00,1.00,3.00,6.00,5.25,4.00,6.00,4.00,420,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',11393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283682,2.00,3.00,4.00,6.00,0.00,NULL,4.00,5.00,3.00,425,NULL,429,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283690,3.00,3.00,2.00,2.00,1.00,NULL,2.00,3.00,2.00,238,NULL,208,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283712,1.00,4.00,1.00,3.00,1.00,NULL,2.00,4.00,2.00,207,NULL,NULL,'SANTA AUGUSTA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3283720,8.00,7.00,4.00,3.00,7.00,5.75,4.00,8.00,8.00,211,NULL,201,'CAPOEIRAS','FLORIANóPOLIS','SC',2779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283739,6.00,5.00,9.00,5.00,6.00,6.75,5.00,7.00,7.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',2849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3283755,4.00,3.00,3.00,6.00,6.00,6.00,3.00,5.00,3.00,5,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',12570,434,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283763,4.00,5.00,3.00,6.00,5.00,5.00,4.00,7.00,4.00,502,NULL,NULL,'AREIAS','S JOSé','SC',10107,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CENTRO','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3283780,5.00,7.00,4.00,3.00,7.00,5.50,4.00,5.00,4.00,211,NULL,201,'CENTRO','LAGES','SC',9278,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3283798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3283801,3.00,4.00,4.00,7.00,5.00,5.75,1.00,1.00,3.00,302,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',15502,206,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283810,2.00,4.00,2.00,1.00,1.00,NULL,2.00,3.00,3.00,212,NULL,213,'FLOR DE NAPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283828,6.00,6.00,2.00,9.00,7.00,6.00,4.00,6.00,5.00,207,NULL,238,'CENTRO','FLORIANóPOLIS','SC',5169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283836,2.00,4.00,2.00,0.00,2.00,NULL,2.00,2.00,5.00,404,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283844,2.00,2.00,3.00,1.00,2.00,NULL,3.00,3.00,2.00,424,NULL,428,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283852,3.00,4.00,3.00,5.00,6.00,6.25,3.00,4.00,2.00,316,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',14566,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283879,6.00,4.00,2.00,6.00,4.00,4.75,4.00,7.00,5.00,212,NULL,216,'CAMPINAS','S JOSé','SC',10658,309,NULL,371,NULL,NULL,NULL,2,1),(16,3283887,4.00,1.00,4.00,6.00,2.00,NULL,3.00,4.00,4.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283895,3.00,5.00,2.00,1.00,1.00,NULL,1.00,5.00,2.00,202,NULL,211,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283909,2.00,1.00,2.00,2.00,2.00,NULL,2.00,1.00,3.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'BELA VISTA','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3283925,5.00,5.00,7.00,8.00,6.00,6.00,4.00,6.00,6.00,317,NULL,NULL,'KOBRASOL','S JOSé','SC',4702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283933,2.00,4.00,7.00,8.00,5.00,6.00,5.00,7.00,5.00,415,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',6109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283941,1.00,2.00,3.00,3.00,4.00,NULL,2.00,2.00,3.00,317,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283968,4.00,6.00,3.00,8.00,6.00,6.25,1.00,6.00,6.00,301,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',9189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3283976,2.00,4.00,3.00,4.00,3.00,NULL,3.00,5.00,4.00,303,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3283984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3283992,2.00,4.00,1.00,7.00,3.00,NULL,2.00,3.00,3.00,201,NULL,203,'SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3284018,6.00,6.00,6.00,9.00,5.00,4.00,4.00,7.00,8.00,319,NULL,NULL,'PORTÃO','CURITIBA','PR',3974,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3284034,2.00,2.00,3.00,1.00,2.00,NULL,4.00,3.00,0.00,309,NULL,NULL,'CORRéGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284042,5.00,3.00,2.00,8.00,4.00,4.50,4.00,7.00,4.00,233,NULL,215,'SACO DOS LIMOES','FLORIANOPOLIS','SC',10440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284050,9.00,7.00,7.00,8.00,8.00,6.75,6.00,8.00,8.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANóPOLIS','SC',511,300,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3284077,2.00,1.00,2.00,2.00,4.00,NULL,2.00,2.00,2.00,316,NULL,NULL,'SãO PEDRO','S PEDRO ALCâNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284093,3.00,5.00,4.00,0.00,3.00,NULL,4.00,5.00,3.00,303,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284107,6.00,6.00,6.00,8.00,5.00,5.00,3.00,6.00,2.00,234,NULL,NULL,'PONTA DA BARRA','LAGUNA','SC',6732,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3284115,7.00,5.00,6.00,7.00,7.00,6.50,5.00,3.00,7.00,503,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284123,3.00,5.00,4.00,5.00,6.00,5.25,0.00,7.00,3.00,304,NULL,NULL,'CENTRO','BIGUAçU','SC',12085,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284131,4.00,5.00,1.00,7.00,4.00,6.50,2.00,8.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284140,3.00,3.00,2.00,4.00,3.00,NULL,2.00,4.00,2.00,319,NULL,NULL,'CENTRO','VENâNCIO AIRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284158,4.00,6.00,6.00,8.00,5.00,6.00,3.00,7.00,4.00,5,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',6563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284166,0.00,4.00,2.00,7.00,5.00,NULL,1.00,5.00,2.00,5,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284174,4.00,5.00,3.00,7.00,5.00,5.25,3.00,5.00,2.00,202,NULL,213,'SANTA MONICA','FLORIANóPOLIS','SC',12976,448,NULL,235,NULL,NULL,NULL,2,1),(16,3284190,5.00,5.00,2.00,8.00,5.00,5.00,3.00,5.00,2.00,104,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3284204,1.00,2.00,1.00,3.00,4.00,NULL,2.00,4.00,3.00,223,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284212,9.00,7.00,9.00,7.00,6.00,6.00,7.00,8.00,8.00,103,NULL,NULL,'JARDIM IRAJA','RIBEIRãO PRETO','SP',514,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284220,5.00,4.00,7.00,8.00,5.00,6.50,2.00,4.00,5.00,203,NULL,220,'CENTRO','MARINGá','PR',7247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284239,4.00,6.00,3.00,6.00,3.00,NULL,4.00,4.00,3.00,208,NULL,220,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3284255,5.00,7.00,2.00,4.00,5.00,5.75,3.00,4.00,5.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11439,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284263,3.00,3.00,3.00,2.00,2.00,NULL,1.00,4.00,3.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284271,3.00,5.00,1.00,4.00,5.00,4.75,2.00,6.00,4.00,326,NULL,NULL,'PRADO','BIGUAçU','SC',15347,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284280,1.00,1.00,4.00,9.00,5.00,5.50,4.00,4.00,1.00,421,NULL,423,'PANTANAL','FLORIANóPOLIS','SC',14038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284298,2.00,0.00,2.00,5.00,5.00,NULL,1.00,4.00,5.00,428,NULL,426,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA SETE','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3284310,5.00,6.00,3.00,9.00,6.00,6.00,3.00,7.00,6.00,502,NULL,NULL,'ESPLANADA','CHAPECó','SC',5633,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3284328,3.00,4.00,4.00,8.00,3.00,NULL,5.00,4.00,1.00,423,NULL,NULL,'PâNTANO DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284344,5.00,4.00,3.00,4.00,6.00,4.00,1.00,4.00,3.00,103,NULL,NULL,'PINHEIRINHO','CRICIúMA','SC',15409,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3284352,4.00,8.00,7.00,2.00,5.00,5.75,5.00,9.00,6.00,102,NULL,NULL,'RIVERA','JAGUARI','RS',5296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284360,7.00,6.00,7.00,8.00,7.00,6.50,4.00,9.00,7.00,103,NULL,NULL,'CENTRO','XANXERê','SC',1504,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3284379,4.00,3.00,5.00,5.00,6.00,6.00,4.00,8.00,4.00,103,NULL,NULL,'TREMEMBé','S PAULO','SP',7662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284387,3.00,1.00,1.00,1.00,2.00,NULL,3.00,3.00,3.00,201,NULL,207,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284409,8.00,8.00,9.00,8.00,6.00,6.75,7.00,7.00,8.00,103,NULL,NULL,'JD INDUSTRIAS','S JOSé CAMPOS','SP',437,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3284417,4.00,6.00,3.00,6.00,4.00,4.50,2.00,5.00,3.00,208,NULL,238,'BARREIROS','S JOSé','SC',12665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'MATA VERDE','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3284441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3284450,3.00,5.00,3.00,6.00,6.00,5.50,3.00,8.00,2.00,444,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',11435,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284468,4.00,5.00,4.00,2.00,5.00,5.25,2.00,5.00,4.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','LGA TRêS CANTOS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3284492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3284506,4.00,3.00,2.00,3.00,3.00,NULL,2.00,3.00,1.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284514,1.00,2.00,2.00,6.00,3.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3284522,4.00,6.00,5.00,8.00,7.00,5.25,2.00,3.00,4.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284530,3.00,2.00,1.00,1.00,1.00,NULL,4.00,3.00,1.00,501,NULL,NULL,'PINTO BANDEIRAS','HERVAL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284549,1.00,2.00,4.00,5.00,2.00,NULL,0.00,3.00,2.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284557,8.00,5.00,5.00,7.00,6.00,6.00,6.00,8.00,8.00,103,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',1758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284565,3.00,4.00,2.00,8.00,4.00,5.75,5.00,7.00,7.00,205,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',7885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284573,3.00,4.00,4.00,7.00,4.00,6.50,2.00,7.00,4.00,423,NULL,425,'CAMPECHE','FLORIANóPOLIS','SC',11854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284581,3.00,4.00,1.00,3.00,3.00,NULL,2.00,3.00,2.00,339,NULL,NULL,'COSTEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284590,6.00,5.00,6.00,5.00,5.00,5.50,4.00,5.00,5.00,333,NULL,NULL,'BOA VISTA','STA BáRBARA D OESTE','SP',8033,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3284603,5.00,5.00,1.00,0.00,4.00,5.25,4.00,5.00,3.00,502,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',16157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284611,5.00,3.00,3.00,8.00,7.00,4.75,2.00,4.00,3.00,453,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',13081,106,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284620,4.00,4.00,1.00,2.00,3.00,NULL,2.00,3.00,4.00,421,NULL,425,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284638,2.00,4.00,3.00,4.00,4.00,4.50,3.00,3.00,4.00,201,NULL,212,'CAPOEIRAS','FLORIANóPOLIS','SC',16334,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3284646,5.00,2.00,2.00,7.00,3.00,NULL,2.00,4.00,2.00,319,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3284662,4.00,4.00,2.00,7.00,5.00,4.50,3.00,7.00,2.00,444,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3284689,8.00,7.00,5.00,7.00,8.00,6.25,5.00,6.00,5.00,220,NULL,208,'TRINDADE','FLORIANóPOLIS','SC',3026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284697,2.00,4.00,1.00,2.00,4.00,NULL,1.00,3.00,5.00,238,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284700,3.00,0.00,2.00,4.00,6.00,NULL,0.00,5.00,1.00,225,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'HUMAITá','TUBARãO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3284727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3284735,2.00,3.00,4.00,7.00,3.00,NULL,1.00,3.00,3.00,223,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284743,3.00,2.00,3.00,6.00,4.00,5.25,2.00,2.00,3.00,203,NULL,220,'PORTAL DAS VIDEIRAS','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3284778,2.00,3.00,3.00,0.00,5.00,NULL,2.00,1.00,2.00,211,NULL,215,'LAGOAO','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3284786,6.00,6.00,4.00,5.00,2.00,NULL,3.00,7.00,5.00,302,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284794,4.00,3.00,2.00,7.00,5.00,5.50,2.00,4.00,2.00,224,NULL,NULL,'JOSE MENDES','FLORIANóPOLIS','SC',14997,19,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284816,0.00,0.00,0.00,7.00,2.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3284824,3.00,5.00,2.00,5.00,4.00,5.25,2.00,6.00,3.00,452,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',14811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284832,7.00,4.00,4.00,7.00,4.00,6.00,5.00,7.00,6.00,333,NULL,NULL,'LAGO SUL','LG SUL','DF',6264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284840,4.00,5.00,2.00,4.00,4.00,5.00,3.00,5.00,4.00,207,NULL,233,'CENTRO','FLORIANóPOLIS','SC',14674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284859,3.00,5.00,2.00,7.00,4.00,5.50,1.00,6.00,3.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14592,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284867,2.00,1.00,3.00,3.00,5.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3284875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ALTO DE IPIRANGA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3284883,4.00,7.00,5.00,7.00,7.00,5.25,4.00,8.00,4.00,420,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',5313,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284891,3.00,3.00,4.00,3.00,4.00,6.50,3.00,3.00,3.00,208,NULL,238,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284905,8.00,9.00,4.00,3.00,5.00,6.50,5.00,9.00,6.00,103,NULL,NULL,'BOQUEIRãO','PASSO FUNDO','RS',3867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284913,8.00,8.00,8.00,7.00,8.00,6.25,4.00,9.00,7.00,104,NULL,NULL,'KOBRASOL','S JOSé','SC',821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284930,3.00,5.00,1.00,4.00,4.00,4.75,1.00,4.00,3.00,216,NULL,NULL,'ROçADO','S JOSé','SC',16693,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284948,1.00,1.00,1.00,4.00,3.00,NULL,1.00,1.00,0.00,101,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284956,4.00,7.00,4.00,7.00,6.00,5.50,3.00,8.00,5.00,340,NULL,NULL,'BARREIROS','S JOSé','SC',7064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3284972,4.00,4.00,4.00,2.00,4.00,5.50,5.00,6.00,3.00,503,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',13370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3284999,6.00,6.00,5.00,9.00,7.00,6.25,5.00,7.00,6.00,303,NULL,NULL,'KOBRASOL','S JOSé','SC',2548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,207,'AGRôNOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3285022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ITAPUAN','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3285030,3.00,4.00,5.00,6.00,3.00,NULL,4.00,4.00,2.00,339,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285049,2.00,3.00,3.00,1.00,1.00,NULL,3.00,4.00,4.00,5,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285057,3.00,6.00,2.00,7.00,5.00,5.50,2.00,7.00,3.00,207,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',11215,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3285065,4.00,4.00,5.00,5.00,5.00,4.75,2.00,6.00,4.00,238,NULL,213,'COSTEIRA','FLORIANóPOLIS','SC',13168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'PARQUE IMPERATRIZ','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3285081,2.00,4.00,4.00,6.00,6.00,5.00,3.00,4.00,2.00,340,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',13801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285090,0.00,5.00,1.00,2.00,4.00,NULL,2.00,4.00,2.00,303,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3285111,4.00,5.00,2.00,9.00,6.00,6.50,2.00,7.00,4.00,303,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',8608,382,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285120,6.00,7.00,6.00,7.00,8.00,7.25,3.00,7.00,6.00,108,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',2126,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285138,3.00,3.00,6.00,7.00,3.00,NULL,2.00,6.00,1.00,208,NULL,238,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285146,5.00,5.00,4.00,5.00,4.00,4.50,3.00,7.00,6.00,302,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',9853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285154,3.00,5.00,4.00,5.00,5.00,5.25,1.00,5.00,2.00,214,NULL,233,'CARIANOS','FLORIANóPOLIS','SC',13717,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285170,4.00,7.00,1.00,4.00,3.00,NULL,3.00,5.00,2.00,211,NULL,NULL,'BAIXADA PIONEIRA','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3285189,2.00,3.00,2.00,5.00,6.00,5.75,2.00,4.00,4.00,208,NULL,233,'JARDIM BIGUAçU','BIGUAçU','SC',14474,485,NULL,430,NULL,NULL,NULL,2,1),(16,3285200,2.00,1.00,1.00,3.00,5.00,NULL,0.00,5.00,2.00,415,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285219,9.00,8.00,6.00,6.00,6.00,6.00,5.00,8.00,8.00,203,NULL,214,'BARRA DO RIO','ITAJAí','SC',1332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285227,0.00,0.00,0.00,6.00,2.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3285235,3.00,7.00,6.00,9.00,4.00,6.50,5.00,8.00,6.00,318,NULL,NULL,'GARCIA','BLUMENAU','SC',3212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285243,4.00,6.00,4.00,4.00,3.00,NULL,3.00,5.00,2.00,103,NULL,NULL,'CENTRO','S CRISTóVãO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3285251,5.00,5.00,5.00,5.00,3.00,NULL,3.00,3.00,7.00,205,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285260,2.00,2.00,3.00,7.00,4.00,4.75,1.00,2.00,3.00,101,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',16655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285278,2.00,3.00,1.00,6.00,2.00,NULL,4.00,5.00,5.00,203,NULL,212,'VILA NOVA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3285286,5.00,6.00,2.00,5.00,3.00,NULL,1.00,4.00,2.00,108,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285324,6.00,6.00,5.00,6.00,5.00,4.75,3.00,7.00,5.00,301,NULL,NULL,'CENTRO','BLUMENAU','SC',6316,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3285340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VICTOR KONDER','TAIó','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3285367,5.00,5.00,5.00,6.00,6.00,5.00,3.00,8.00,6.00,216,NULL,215,'GLóRIA','IJUí','RS',6526,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'EFAPI','CHAPECó','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3285391,3.00,3.00,1.00,4.00,5.00,5.25,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285405,5.00,2.00,2.00,1.00,4.00,4.75,3.00,6.00,4.00,211,NULL,215,'CANASVIEIRAS','FLORIANóPOLIS','SC',16591,561,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285413,4.00,4.00,2.00,4.00,4.00,4.50,1.00,3.00,5.00,304,NULL,NULL,'RIO GRANDE','PALHOçA','SC',16400,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285421,2.00,5.00,3.00,4.00,5.00,5.25,1.00,3.00,4.00,103,NULL,NULL,'CRUZEIRO DO SUL','CRICIúMA','SC',15912,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3285430,0.00,1.00,7.00,2.00,3.00,NULL,3.00,1.00,2.00,202,NULL,201,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285448,6.00,7.00,4.00,4.00,7.00,6.00,4.00,6.00,5.00,108,NULL,NULL,'JOSE MENDES','FLORIANóPOLIS','SC',6267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285464,3.00,5.00,4.00,4.00,2.00,NULL,3.00,3.00,3.00,420,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285472,8.00,7.00,2.00,6.00,6.00,6.25,4.00,7.00,7.00,331,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',5058,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285480,3.00,2.00,1.00,4.00,3.00,NULL,3.00,4.00,2.00,415,NULL,NULL,'ELDORADO UM','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285499,2.00,2.00,1.00,1.00,2.00,NULL,2.00,0.00,2.00,316,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285502,0.00,0.00,0.00,6.00,6.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3285510,3.00,6.00,3.00,9.00,7.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3285529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,220,'VILA CASCATINHA','S VICENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3285537,1.00,3.00,1.00,2.00,6.00,NULL,2.00,2.00,3.00,317,NULL,NULL,'COLôNIA SANTANA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ALVORADA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',5,7),(16,3285553,3.00,5.00,1.00,4.00,2.00,NULL,3.00,6.00,4.00,104,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3285561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'BOA ESPERANçA','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3285570,3.00,4.00,1.00,1.00,4.00,NULL,0.00,2.00,4.00,108,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285588,5.00,6.00,5.00,4.00,5.00,6.25,4.00,4.00,3.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285596,1.00,0.00,2.00,6.00,4.00,NULL,2.00,3.00,2.00,102,NULL,NULL,'JARDIM JANAINA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285600,4.00,4.00,5.00,7.00,5.00,5.50,2.00,7.00,4.00,203,NULL,214,'JD MONTE CARLO','MARINGá','PR',7831,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3285618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'ALTO DA PONTE','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3285626,5.00,5.00,7.00,8.00,6.00,6.75,5.00,8.00,7.00,203,NULL,233,'PRQ RES AQUARIUS','S JOSé CAMPOS','SP',2307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285634,5.00,7.00,2.00,7.00,6.00,7.50,1.00,7.00,6.00,319,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',6868,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285650,6.00,5.00,6.00,8.00,8.00,5.25,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',6790,1803,NULL,NULL,NULL,NULL,NULL,4,4),(16,3285669,2.00,4.00,1.00,1.00,1.00,NULL,1.00,3.00,4.00,208,NULL,238,'CAIEIRA SACO LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285677,3.00,7.00,3.00,5.00,4.00,2.00,2.00,5.00,3.00,329,NULL,NULL,'IATE CLUBE','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3285685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'SAO JOAQUIM','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3285693,1.00,2.00,2.00,3.00,3.00,NULL,3.00,2.00,3.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285707,5.00,3.00,5.00,7.00,4.00,6.25,2.00,5.00,3.00,216,NULL,201,'BOMBAS','BOMBINHAS','SC',12409,426,NULL,965,NULL,NULL,NULL,2,1),(16,3285723,2.00,2.00,2.00,5.00,1.00,NULL,4.00,4.00,2.00,503,NULL,NULL,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3285731,4.00,4.00,2.00,8.00,6.00,6.00,2.00,4.00,3.00,102,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',12905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285740,5.00,7.00,6.00,9.00,6.00,7.25,4.00,6.00,4.00,202,NULL,220,'ZONA IND NORTE','JOINVILLE','SC',4227,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3285758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3285766,2.00,3.00,5.00,6.00,4.00,6.25,3.00,5.00,4.00,238,NULL,213,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',13488,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285774,3.00,5.00,2.00,4.00,3.00,NULL,2.00,9.00,2.00,5,NULL,NULL,'CENTRO','GARUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3285782,2.00,3.00,3.00,2.00,4.00,NULL,4.00,2.00,2.00,324,NULL,NULL,'SACO DOS LIMÕES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285804,5.00,8.00,7.00,7.00,6.00,5.75,6.00,8.00,7.00,332,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',1790,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285812,3.00,7.00,3.00,1.00,5.00,5.00,3.00,5.00,2.00,302,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',15428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285820,1.00,2.00,4.00,2.00,2.00,NULL,3.00,3.00,3.00,302,NULL,NULL,'SAO SEBASTIAO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285839,5.00,4.00,4.00,7.00,6.00,6.75,3.00,7.00,6.00,503,NULL,NULL,'JARDIM ATLâNTICO','BAL ARROIO SILVA','SC',6932,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3285855,4.00,4.00,4.00,8.00,4.00,5.75,4.00,7.00,5.00,339,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',8740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3285871,4.00,1.00,1.00,6.00,6.00,NULL,1.00,4.00,1.00,224,NULL,NULL,'JARDIM CARANDAí','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285898,3.00,3.00,2.00,2.00,3.00,NULL,1.00,5.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3285901,4.00,7.00,4.00,7.00,8.00,5.50,4.00,7.00,7.00,303,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',5052,233,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(16,3285928,3.00,2.00,2.00,3.00,1.00,NULL,2.00,1.00,1.00,428,NULL,425,'AREIAS','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285936,3.00,3.00,3.00,5.00,2.00,NULL,3.00,4.00,2.00,207,NULL,201,'CENTRO','S JOãO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285952,4.00,3.00,2.00,6.00,4.00,5.75,3.00,5.00,1.00,208,NULL,238,'JARDIM ELDORADO','PALHOçA','SC',14828,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285960,2.00,1.00,2.00,6.00,3.00,NULL,3.00,1.00,2.00,207,NULL,211,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3285979,6.00,5.00,2.00,5.00,3.00,NULL,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','BROTAS MACAúBAS','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3285987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM MANAUS','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3285995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','QUEDAS IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3286002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3286010,4.00,6.00,5.00,7.00,5.00,4.50,2.00,6.00,2.00,220,NULL,214,'VARGEM GRANDE','FLORIANóPOLIS','SC',11250,426,NULL,377,NULL,NULL,NULL,2,1),(16,3286029,0.00,4.00,2.00,0.00,4.00,NULL,1.00,4.00,2.00,404,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286045,6.00,7.00,1.00,6.00,5.00,4.75,4.00,8.00,6.00,404,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',6963,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3286053,4.00,5.00,1.00,3.00,4.00,3.25,2.00,4.00,4.00,304,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286061,1.00,2.00,2.00,5.00,3.00,NULL,2.00,5.00,3.00,234,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3286070,2.00,3.00,6.00,6.00,4.00,6.25,3.00,5.00,5.00,102,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',10969,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3286088,5.00,7.00,2.00,7.00,7.00,4.00,4.00,6.00,2.00,5,NULL,NULL,'CAMPO DO GADO','RIO NEGRO','PR',8244,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3286096,4.00,4.00,3.00,7.00,8.00,5.50,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','TRêS CACHOEIRAS','RS',9360,2158,NULL,NULL,NULL,NULL,NULL,2,5),(16,3286100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3286126,5.00,7.00,3.00,3.00,6.00,4.75,3.00,6.00,5.00,207,NULL,212,'AREIAS DE MACACU','GAROPABA','SC',10429,503,NULL,300,NULL,NULL,NULL,4,1),(16,3286134,9.00,9.00,8.00,9.00,9.00,7.75,5.00,9.00,8.00,303,NULL,NULL,'CENTRO','POMERODE','SC',91,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3286150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3286169,5.00,3.00,2.00,0.00,3.00,NULL,3.00,3.00,3.00,450,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3286177,6.00,7.00,5.00,9.00,6.00,5.25,3.00,6.00,3.00,453,NULL,NULL,'CENTRO','PALHOçA','SC',6101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286185,2.00,3.00,2.00,2.00,3.00,NULL,1.00,3.00,5.00,303,NULL,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3286193,4.00,6.00,4.00,6.00,3.00,NULL,4.00,6.00,4.00,501,NULL,NULL,'SANTO ÂNTONIO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3286207,4.00,3.00,1.00,3.00,4.00,NULL,0.00,5.00,2.00,102,NULL,NULL,'AREAL','PELOTAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3286215,1.00,0.00,2.00,2.00,5.00,NULL,2.00,3.00,2.00,9,NULL,NULL,'CENTRO','CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3286223,1.00,5.00,2.00,7.00,3.00,NULL,2.00,1.00,2.00,453,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286231,5.00,3.00,1.00,2.00,3.00,NULL,0.00,4.00,4.00,502,NULL,NULL,'IATE CLUBE','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3286240,5.00,8.00,5.00,8.00,6.00,5.50,5.00,7.00,5.00,324,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',3848,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3286258,4.00,6.00,4.00,8.00,7.00,7.00,4.00,6.00,4.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5710,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3286274,2.00,7.00,3.00,3.00,7.00,5.75,2.00,7.00,2.00,428,NULL,423,'ITACORUBI','FLORIANóPOLIS','SC',12896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286282,2.00,3.00,2.00,6.00,2.00,NULL,2.00,5.00,2.00,339,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3286290,0.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3286304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'OFICINAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3286320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,207,'CENTRO','CORUPá','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3286347,4.00,6.00,4.00,3.00,7.00,4.25,4.00,6.00,3.00,333,NULL,NULL,'JORDANESIA','JORDANéSIA','SP',10829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286355,6.00,4.00,4.00,9.00,8.00,7.25,3.00,5.00,6.00,103,NULL,NULL,'SÃO BRAS','CURITIBA','PR',4444,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3286363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA SAO PEDRO','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3286371,9.00,8.00,7.00,7.00,7.00,5.25,7.00,9.00,9.00,103,NULL,NULL,'JARDINS FLORENçA','GOIâNIA','GO',378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BRASíLIA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3286398,1.00,3.00,2.00,4.00,3.00,NULL,1.00,2.00,3.00,339,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3286410,2.00,3.00,2.00,4.00,3.00,NULL,2.00,6.00,3.00,332,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3286428,5.00,3.00,2.00,7.00,5.00,6.25,5.00,7.00,4.00,316,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',10467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286436,3.00,5.00,1.00,5.00,5.00,7.00,0.00,8.00,3.00,104,NULL,NULL,'CAMOBI','STA MARIA','RS',13827,387,NULL,NULL,NULL,NULL,NULL,2,4),(16,3286444,6.00,5.00,6.00,7.00,6.00,8.25,6.00,8.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1988,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3286452,5.00,6.00,3.00,6.00,4.00,7.25,1.00,6.00,0.00,424,NULL,421,'CORREGO GRANDE','FLORIANóPOLIS','SC',12107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286460,6.00,4.00,4.00,0.00,6.00,4.00,1.00,4.00,6.00,5,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',14508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'JARDIM OSVALDO CRUZ','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3286487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3286495,2.00,1.00,3.00,3.00,0.00,NULL,1.00,4.00,3.00,234,NULL,NULL,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3286517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'SÃO JOSÉ','SAO CAETANO DO SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',3,1),(16,3286541,8.00,8.00,7.00,9.00,7.00,6.50,6.00,8.00,6.00,303,NULL,NULL,'KOBRASOL','S JOSé','SC',587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3286568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MACEDO','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3286576,7.00,5.00,6.00,0.00,4.00,5.75,5.00,7.00,4.00,216,NULL,215,'ITAGUAçU','FLORIANóPOLIS','SC',9108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286592,2.00,2.00,2.00,8.00,6.00,5.75,1.00,5.00,5.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',13745,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3286606,1.00,4.00,4.00,7.00,6.00,6.00,3.00,4.00,3.00,428,NULL,429,'BARREIROS','S JOSé','SC',13012,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3286614,2.00,1.00,4.00,1.00,6.00,NULL,4.00,2.00,5.00,319,NULL,NULL,'VELHA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3286622,0.00,3.00,3.00,5.00,4.00,NULL,2.00,2.00,2.00,316,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3286630,8.00,6.00,4.00,8.00,9.00,4.50,6.00,8.00,9.00,103,NULL,NULL,'JARDIM DAS AMéRICAS','ANáPOLIS','GO',1222,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3286649,5.00,5.00,5.00,8.00,5.00,8.00,4.00,7.00,6.00,340,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',4929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3286665,7.00,4.00,1.00,3.00,4.00,7.50,2.00,7.00,3.00,102,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',12860,221,NULL,NULL,NULL,NULL,NULL,4,4),(16,3286673,3.00,4.00,1.00,1.00,4.00,5.75,3.00,3.00,5.00,303,NULL,NULL,'TABOãO','RIO SUL','SC',16384,715,NULL,NULL,NULL,NULL,NULL,4,3),(16,3286681,2.00,3.00,2.00,8.00,5.00,5.25,2.00,4.00,5.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286690,4.00,4.00,1.00,1.00,4.00,4.75,4.00,3.00,4.00,103,NULL,NULL,'ESPINHEIROS','JOINVILLE','SC',16690,2839,NULL,NULL,NULL,NULL,NULL,4,8),(16,3286703,1.00,4.00,2.00,5.00,2.00,NULL,3.00,1.00,4.00,208,NULL,238,'VENDAVAL','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3286711,7.00,5.00,8.00,6.00,7.00,5.75,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',3606,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3286720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA DOIS','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3286738,3.00,5.00,3.00,0.00,3.00,NULL,2.00,5.00,4.00,317,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286746,4.00,3.00,5.00,6.00,5.00,5.75,3.00,5.00,6.00,201,NULL,207,'KOBRASOL','S JOSé','SC',10407,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3286754,2.00,4.00,3.00,0.00,4.00,NULL,4.00,4.00,5.00,420,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3286762,1.00,5.00,4.00,6.00,6.00,5.25,0.00,7.00,4.00,425,NULL,428,'CENTRO','BAL CAMBORIú','SC',13157,55,NULL,NULL,NULL,NULL,NULL,2,6),(16,3286770,8.00,4.00,6.00,9.00,7.00,6.50,3.00,7.00,8.00,103,NULL,NULL,'BELA VISTA I','S JOSé','SC',2560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286797,3.00,1.00,4.00,3.00,2.00,NULL,3.00,2.00,2.00,308,NULL,NULL,'CENTRO','SANTA ROSA DE LIMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3286819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'ANDORINHA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3286827,5.00,5.00,5.00,8.00,6.00,6.00,3.00,4.00,3.00,214,NULL,201,'INTERIOR','JOAçABA','SC',9461,326,NULL,726,NULL,NULL,NULL,2,7),(16,3286835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3286843,3.00,4.00,4.00,2.00,5.00,4.50,4.00,7.00,4.00,9,NULL,NULL,'ESPLANADA DO SOL','S JOSé CAMPOS','SP',12845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286860,9.00,7.00,6.00,8.00,8.00,7.00,4.00,6.00,6.00,5,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',1596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286878,5.00,6.00,1.00,7.00,5.00,5.50,4.00,7.00,2.00,404,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',11375,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3286886,1.00,2.00,2.00,3.00,4.00,NULL,1.00,1.00,2.00,301,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3286908,3.00,3.00,2.00,4.00,1.00,NULL,1.00,0.00,5.00,302,NULL,NULL,'ARIRIBA','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3286916,5.00,5.00,1.00,1.00,5.00,4.25,2.00,5.00,3.00,429,NULL,425,'CENTRO','FLORIANóPOLIS','SC',15798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286924,2.00,4.00,4.00,6.00,7.00,8.00,3.00,3.00,2.00,319,NULL,NULL,'BNH III PLANO','DOURADOS','MS',12438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286932,5.00,3.00,3.00,4.00,4.00,4.50,6.00,4.00,4.00,320,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3286940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3286959,2.00,3.00,3.00,3.00,3.00,NULL,2.00,3.00,2.00,207,NULL,NULL,'CÓRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286967,3.00,6.00,4.00,4.00,3.00,NULL,4.00,7.00,2.00,303,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3286975,2.00,5.00,5.00,7.00,5.00,5.50,2.00,7.00,2.00,421,NULL,427,'VARGEM GRANDE','FLORIANóPOLIS','SC',10804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286983,3.00,3.00,2.00,3.00,4.00,NULL,2.00,5.00,3.00,426,NULL,428,'ABRAAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3286991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3287017,6.00,4.00,6.00,7.00,6.00,4.75,2.00,3.00,5.00,302,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',9723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3287025,5.00,0.00,1.00,3.00,2.00,NULL,1.00,4.00,2.00,101,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3287041,5.00,9.00,4.00,6.00,8.00,5.50,4.00,7.00,4.00,103,NULL,NULL,'INTERIOR','AT BELA VISTA','SC',5473,1582,NULL,NULL,NULL,NULL,NULL,4,7),(16,3287068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3287076,2.00,5.00,1.00,7.00,3.00,NULL,4.00,3.00,1.00,427,NULL,423,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287084,3.00,5.00,4.00,6.00,6.00,7.75,5.00,7.00,4.00,320,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',7668,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287092,4.00,5.00,5.00,5.00,6.00,5.50,3.00,5.00,6.00,501,NULL,NULL,'VILA MASCOTE','S PAULO','SP',9052,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287106,6.00,4.00,4.00,8.00,6.00,6.75,3.00,6.00,2.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3287114,1.00,6.00,3.00,6.00,5.00,6.00,1.00,4.00,3.00,318,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSé','SC',14444,117,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287122,7.00,7.00,3.00,7.00,6.00,6.00,5.00,7.00,6.00,102,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',4066,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3287130,3.00,4.00,5.00,3.00,5.00,6.25,4.00,3.00,5.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',11890,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3287149,2.00,3.00,3.00,4.00,4.00,4.75,3.00,4.00,2.00,301,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',16682,378,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287157,3.00,4.00,1.00,6.00,2.00,NULL,2.00,1.00,4.00,319,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287165,3.00,3.00,1.00,7.00,4.00,4.50,3.00,4.00,3.00,213,NULL,212,'CAMPECHE','FLORIANóPOLIS','SC',15946,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287173,4.00,3.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CAIEIRA SACO LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287203,7.00,6.00,2.00,7.00,6.00,6.00,4.00,6.00,6.00,333,NULL,NULL,'TROPICAL','CASCAVEL','PR',5329,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3287211,3.00,3.00,2.00,5.00,3.00,NULL,1.00,0.00,1.00,207,NULL,211,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287220,2.00,4.00,5.00,9.00,5.00,7.50,2.00,6.00,3.00,208,NULL,238,'FLORESTA','JOINVILLE','SC',8736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3287238,2.00,3.00,1.00,3.00,2.00,NULL,2.00,4.00,3.00,333,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3287254,4.00,5.00,4.00,7.00,5.00,4.50,3.00,6.00,4.00,302,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',10116,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287262,4.00,4.00,1.00,7.00,3.00,NULL,2.00,5.00,3.00,238,NULL,211,'INDUSTRIARIOS','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3287270,3.00,5.00,4.00,7.00,4.00,5.50,2.00,4.00,2.00,303,NULL,NULL,'POTECAS','S JOSé','SC',13392,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287289,1.00,0.00,4.00,5.00,0.00,NULL,2.00,2.00,2.00,102,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287297,2.00,3.00,2.00,2.00,3.00,NULL,0.00,3.00,2.00,339,NULL,NULL,'SãO JOSé CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287300,6.00,5.00,8.00,6.00,5.00,5.00,3.00,6.00,4.00,212,NULL,233,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3287319,4.00,7.00,5.00,8.00,6.00,5.00,4.00,6.00,6.00,220,NULL,214,'JOãO PAULO','FLORIANóPOLIS','SC',4502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3287327,3.00,4.00,3.00,1.00,3.00,NULL,0.00,4.00,2.00,501,NULL,NULL,'SãO SEBASTIãO','TREZE MAIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3287335,6.00,4.00,2.00,5.00,3.00,NULL,2.00,3.00,3.00,208,NULL,207,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,428,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3287351,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3287378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3287386,1.00,1.00,2.00,3.00,3.00,NULL,1.00,3.00,2.00,104,NULL,NULL,'LIBERDADE','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3287394,4.00,3.00,3.00,0.00,4.00,NULL,1.00,5.00,1.00,453,NULL,NULL,'SANTA LUZIA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3287408,3.00,6.00,5.00,8.00,7.00,5.50,3.00,6.00,6.00,222,NULL,NULL,'SãO LUIZ','BRUSQUE','SC',6421,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3287416,6.00,6.00,8.00,9.00,8.00,5.75,3.00,6.00,4.00,103,NULL,NULL,'RES ALPHAVILLE','LONDRINA','PR',3268,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3287424,3.00,2.00,2.00,6.00,2.00,NULL,5.00,5.00,4.00,317,NULL,NULL,'UNIVERSITáRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3287432,2.00,5.00,2.00,2.00,2.00,NULL,1.00,4.00,4.00,302,NULL,NULL,'JARDIM CIDADE','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287440,6.00,9.00,5.00,6.00,7.00,4.00,4.00,7.00,3.00,303,NULL,NULL,'AMéRICA','JOINVILLE','SC',5211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3287459,5.00,4.00,3.00,6.00,3.00,NULL,3.00,6.00,5.00,108,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3287467,4.00,6.00,2.00,4.00,4.00,4.00,2.00,5.00,3.00,415,NULL,NULL,'PANTANO DO SUL','FLORIANóPOLIS','SC',15510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3287475,6.00,6.00,6.00,7.00,5.00,6.75,2.00,8.00,6.00,103,NULL,NULL,'SANTA GENOVEVA','GOIâNIA','GO',3849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3287483,4.00,3.00,1.00,3.00,4.00,NULL,2.00,4.00,2.00,238,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3287491,1.00,1.00,3.00,2.00,2.00,NULL,2.00,3.00,4.00,104,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3287505,6.00,5.00,7.00,8.00,6.00,6.25,4.00,6.00,6.00,318,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',4076,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3287530,3.00,6.00,4.00,7.00,4.00,6.25,5.00,7.00,4.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3287548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA ROSA','PTO UNIãO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3287564,5.00,5.00,2.00,8.00,4.00,5.75,5.00,6.00,5.00,103,NULL,NULL,'ACARAí','S FRANCISCO SUL','SC',8550,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3287572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3287599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CIDADE UNIVERSITáRIA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3287602,2.00,3.00,1.00,6.00,3.00,NULL,2.00,2.00,3.00,308,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287610,3.00,6.00,3.00,8.00,6.00,5.50,2.00,2.00,4.00,415,NULL,NULL,'SANTA MONICA','RIO SUL','SC',12055,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3287629,4.00,4.00,2.00,5.00,3.00,NULL,3.00,4.00,3.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287637,3.00,3.00,3.00,2.00,7.00,5.25,4.00,5.00,4.00,238,NULL,208,'PETRóPOLIS','VACARIA','RS',14700,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3287645,5.00,5.00,4.00,6.00,5.00,6.50,4.00,6.00,3.00,319,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',8766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287661,5.00,7.00,2.00,3.00,6.00,5.50,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',8298,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3287696,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3287700,4.00,4.00,1.00,2.00,3.00,NULL,2.00,6.00,1.00,303,NULL,NULL,'GLóRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3287718,6.00,6.00,4.00,7.00,4.00,6.00,3.00,5.00,4.00,202,NULL,203,'ITAGUAçU','FLORIANóPOLIS','SC',8301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3287726,6.00,2.00,3.00,3.00,7.00,6.75,3.00,5.00,4.00,207,NULL,201,'GUANABARA','JOINVILLE','SC',11715,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3287742,7.00,5.00,2.00,9.00,6.00,6.00,4.00,6.00,4.00,333,NULL,NULL,'MATA DA PRAIA','VITóRIA','ES',5602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3287769,2.00,3.00,4.00,4.00,3.00,NULL,1.00,5.00,3.00,203,NULL,216,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287777,6.00,7.00,6.00,5.00,8.00,6.00,5.00,8.00,8.00,201,NULL,212,'CENTRO','BAL CAMBORIú','SC',2139,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3287785,2.00,5.00,3.00,7.00,4.00,5.75,3.00,7.00,1.00,303,NULL,NULL,'MADRI','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3287793,0.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3287807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3287815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'CAMEPCHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3287823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'TIJUCA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3287831,3.00,2.00,3.00,7.00,5.00,6.25,2.00,5.00,4.00,9,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',13670,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287840,4.00,1.00,2.00,3.00,1.00,NULL,1.00,2.00,2.00,203,NULL,214,'JARDIM AMERICA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3287858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'GUANABARA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3287866,3.00,3.00,3.00,7.00,5.00,4.50,3.00,5.00,3.00,202,NULL,238,'BARRA DO ARIRIU','PALHOçA','SC',14533,489,NULL,468,NULL,NULL,NULL,2,1),(16,3287874,1.00,7.00,2.00,3.00,3.00,NULL,3.00,2.00,2.00,503,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'NOVA BRASíLIA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3287890,2.00,3.00,4.00,0.00,3.00,NULL,3.00,3.00,3.00,223,NULL,NULL,'CENTRO','PIRATUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3287904,3.00,5.00,2.00,2.00,5.00,NULL,2.00,2.00,4.00,319,NULL,NULL,'HUMAITA DE CIMA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3287912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3287920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3287947,0.00,0.00,0.00,9.00,9.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3287955,2.00,4.00,3.00,5.00,5.00,4.00,2.00,5.00,2.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3287971,3.00,5.00,4.00,3.00,3.00,NULL,3.00,6.00,3.00,225,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3287980,3.00,1.00,1.00,6.00,3.00,NULL,2.00,5.00,2.00,103,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3287998,2.00,4.00,2.00,6.00,2.00,NULL,3.00,4.00,0.00,103,NULL,NULL,'CENTRO','PASSOS MAIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3288021,5.00,4.00,4.00,7.00,5.00,5.75,2.00,4.00,1.00,104,NULL,NULL,'PALMITAL','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3288048,3.00,2.00,1.00,3.00,5.00,NULL,3.00,3.00,3.00,303,NULL,NULL,'PIONEIRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3288056,3.00,3.00,4.00,6.00,2.00,NULL,2.00,4.00,2.00,326,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288064,6.00,1.00,3.00,4.00,5.00,4.75,3.00,3.00,5.00,303,NULL,NULL,'CENTRO','CHAPECó','SC',14525,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3288072,4.00,7.00,2.00,7.00,6.00,5.00,5.00,8.00,6.00,316,NULL,NULL,'CENTRO','PATO BRANCO','PR',5990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288080,2.00,3.00,2.00,5.00,2.00,NULL,1.00,3.00,4.00,201,NULL,238,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'NOVA DIVINéIA','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3288102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3288110,3.00,3.00,4.00,2.00,2.00,NULL,1.00,0.00,0.00,238,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3288129,4.00,4.00,4.00,3.00,2.00,NULL,3.00,4.00,5.00,444,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288137,3.00,2.00,4.00,2.00,1.00,NULL,4.00,5.00,4.00,316,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3288145,5.00,4.00,3.00,7.00,7.00,5.50,3.00,4.00,2.00,319,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',11339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288153,2.00,1.00,1.00,2.00,5.00,NULL,2.00,2.00,2.00,501,NULL,NULL,'PARQUE DE EXPOSIçOES','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3288161,1.00,3.00,3.00,5.00,3.00,NULL,2.00,3.00,3.00,444,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3288170,4.00,5.00,5.00,8.00,5.00,4.50,6.00,7.00,5.00,214,NULL,201,'PONTE DO IMARUIM','PALHOçA','SC',5952,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288188,4.00,2.00,2.00,6.00,3.00,NULL,1.00,4.00,5.00,215,NULL,207,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288200,6.00,5.00,4.00,8.00,6.00,4.75,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9658,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','CORUPá','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3288242,3.00,6.00,4.00,5.00,3.00,NULL,4.00,8.00,2.00,317,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288250,6.00,8.00,4.00,5.00,6.00,5.00,3.00,8.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',5400,1571,NULL,NULL,NULL,NULL,NULL,4,1),(16,3288269,4.00,2.00,2.00,1.00,3.00,NULL,2.00,1.00,2.00,9,NULL,NULL,'BELA VISTA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288277,5.00,4.00,4.00,1.00,2.00,NULL,3.00,2.00,4.00,202,NULL,201,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3288285,9.00,8.00,7.00,7.00,8.00,6.00,5.00,9.00,9.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3288293,3.00,8.00,4.00,7.00,6.00,6.25,3.00,9.00,5.00,415,NULL,NULL,'CENTRO','DESCANSO','SC',4960,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3288307,2.00,0.00,2.00,2.00,4.00,NULL,5.00,2.00,2.00,103,NULL,NULL,'SANTA CATARINA','CAçADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3288315,5.00,5.00,6.00,7.00,6.00,8.00,5.00,8.00,5.00,202,NULL,207,'ALTO DO PARQUE','LAJEADO','RS',2756,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288323,5.00,4.00,4.00,7.00,6.00,5.75,5.00,5.00,5.00,301,NULL,NULL,'PIO CORRêA','CRICIúMA','SC',7390,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3288331,3.00,0.00,2.00,0.00,3.00,NULL,0.00,3.00,3.00,214,NULL,220,'CENTRO','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3288340,2.00,5.00,4.00,3.00,2.00,NULL,0.00,0.00,0.00,423,NULL,425,'BOA VISTA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3288358,3.00,4.00,3.00,4.00,3.00,NULL,2.00,3.00,2.00,202,NULL,213,'SãO MIGUEL','MARíLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'CENTRO','GOIOERê','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3288374,5.00,4.00,5.00,9.00,6.00,4.75,4.00,4.00,3.00,203,NULL,216,'PARQUE DAS PALMEIRAS','CHAPECó','SC',9258,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3288382,1.00,2.00,3.00,7.00,4.00,4.00,4.00,3.00,2.00,428,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',16644,101,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288390,7.00,5.00,2.00,5.00,6.00,6.75,4.00,2.00,6.00,102,NULL,NULL,'ESCOLA AGRíCOLA','BLUMENAU','SC',10611,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3288404,1.00,3.00,3.00,4.00,2.00,NULL,2.00,4.00,3.00,223,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3288412,4.00,6.00,3.00,8.00,4.00,5.50,2.00,5.00,4.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',10509,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288420,9.00,5.00,4.00,7.00,5.00,4.75,3.00,8.00,7.00,103,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',3754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288439,4.00,6.00,7.00,9.00,8.00,7.00,3.00,7.00,3.00,207,NULL,201,'CABEçUDAS','ITAJAí','SC',3626,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3288447,2.00,3.00,3.00,8.00,4.00,5.75,5.00,4.00,4.00,340,NULL,NULL,'CENTRO','VITORINO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3288455,5.00,6.00,2.00,3.00,4.00,4.50,3.00,3.00,3.00,452,NULL,NULL,'CENTRO','S JOSé','SC',15105,79,NULL,NULL,NULL,NULL,NULL,4,1),(16,3288463,5.00,5.00,2.00,0.00,3.00,NULL,1.00,4.00,3.00,220,NULL,233,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3288471,6.00,2.00,3.00,4.00,4.00,7.00,4.00,2.00,2.00,444,NULL,NULL,'BELA VISTA','S JOSé','SC',15267,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288480,6.00,6.00,5.00,7.00,3.00,NULL,4.00,8.00,5.00,103,NULL,NULL,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3288498,1.00,2.00,3.00,3.00,4.00,NULL,5.00,3.00,2.00,444,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288501,5.00,3.00,2.00,7.00,4.00,6.25,2.00,4.00,1.00,101,NULL,NULL,'OLIVEIRA','CACHOEIRA SUL','RS',15329,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288510,4.00,5.00,1.00,5.00,6.00,7.00,2.00,6.00,5.00,101,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',11053,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288528,2.00,2.00,2.00,1.00,1.00,NULL,4.00,2.00,2.00,415,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3288536,2.00,3.00,3.00,7.00,3.00,NULL,4.00,5.00,2.00,214,NULL,233,'SAO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3288544,2.00,4.00,1.00,8.00,4.00,4.75,3.00,5.00,3.00,302,NULL,NULL,'SANTA ANA','STO AMARO IMPERATRIZ','SC',14948,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288552,2.00,4.00,2.00,4.00,2.00,NULL,1.00,5.00,1.00,303,NULL,NULL,'CENTRO','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3288560,3.00,5.00,2.00,5.00,7.00,5.50,1.00,4.00,3.00,333,NULL,NULL,'FORQUILHAS','S JOSé','SC',14690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288579,2.00,0.00,4.00,3.00,2.00,NULL,1.00,1.00,4.00,9,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3288587,2.00,6.00,1.00,8.00,5.00,5.50,2.00,7.00,3.00,207,NULL,201,'DEHON','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3288595,2.00,1.00,3.00,4.00,4.00,NULL,3.00,3.00,4.00,308,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3288625,4.00,6.00,3.00,6.00,5.00,6.50,3.00,7.00,3.00,302,NULL,NULL,'BARREIROS','S JOSé','SC',8732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3288633,6.00,4.00,6.00,4.00,5.00,5.00,3.00,4.00,3.00,202,NULL,211,'SUMARE','RIO SUL','SC',11059,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3288641,3.00,5.00,3.00,8.00,5.00,4.00,4.00,5.00,5.00,211,NULL,201,'CENTRO','TUBARãO','SC',10677,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3288650,4.00,3.00,5.00,7.00,5.00,4.25,3.00,4.00,4.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288668,6.00,8.00,3.00,9.00,9.00,5.25,5.00,9.00,4.00,317,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',3175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3288676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,216,'TOZAN','PILAR SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3288684,3.00,4.00,3.00,1.00,2.00,NULL,4.00,2.00,5.00,101,NULL,NULL,'HUMAITá DE CIMA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3288692,4.00,6.00,3.00,6.00,2.00,NULL,1.00,8.00,1.00,425,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3288706,3.00,2.00,2.00,4.00,1.00,NULL,2.00,2.00,3.00,208,NULL,238,'AGRONÔMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3288714,1.00,4.00,1.00,6.00,4.00,5.75,1.00,7.00,1.00,201,NULL,207,'APARECIDA','FLORES CUNHA','RS',16236,1247,NULL,842,NULL,NULL,NULL,2,1),(16,3288722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,233,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3288730,2.00,3.00,6.00,8.00,1.00,NULL,2.00,1.00,5.00,201,NULL,202,'CENTRO','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3288749,2.00,0.00,3.00,4.00,3.00,NULL,2.00,2.00,2.00,444,NULL,NULL,'SANTA LUZIA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3288757,7.00,4.00,6.00,7.00,5.00,5.50,3.00,8.00,7.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',4490,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3288765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MARIA LUIZA','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3288781,5.00,4.00,4.00,7.00,3.00,NULL,4.00,3.00,6.00,203,NULL,233,'COLôNIA IGUAçú','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3288790,1.00,2.00,4.00,1.00,1.00,NULL,2.00,2.00,1.00,316,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3288803,0.00,2.00,4.00,4.00,3.00,NULL,1.00,2.00,3.00,9,NULL,NULL,'SANTA TEREZINHA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3288811,2.00,5.00,3.00,6.00,4.00,4.25,3.00,4.00,2.00,104,NULL,NULL,'CENTRO','SOMBRIO','SC',15400,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288820,5.00,2.00,2.00,4.00,4.00,4.50,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3288838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3288846,5.00,6.00,1.00,1.00,5.00,6.25,3.00,5.00,5.00,103,NULL,NULL,'PIRAGO','URUSSANGA','SC',12946,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3288854,6.00,5.00,5.00,7.00,5.00,6.00,2.00,7.00,5.00,104,NULL,NULL,'SANTO INÁCIO','FREDERICO WESTPHALEN','RS',6372,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3288862,6.00,5.00,5.00,5.00,5.00,4.75,2.00,4.00,3.00,304,NULL,NULL,'MAR GROSSO','LAGUNA','SC',12622,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3288870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3288889,6.00,7.00,2.00,0.00,7.00,NULL,3.00,9.00,6.00,303,NULL,NULL,'BOM RETIRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3288897,0.00,4.00,7.00,2.00,4.00,7.25,3.00,2.00,2.00,213,NULL,212,'CAMINHO NOVO','PALHOçA','SC',16039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3288919,5.00,5.00,1.00,4.00,4.00,5.00,3.00,4.00,5.00,212,NULL,233,'ALTO ARIRIU','PALHOçA','SC',14035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3288927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3288935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'JARDIM FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3288943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'VILAALICE','GUARUJá','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3288951,3.00,3.00,6.00,7.00,2.00,NULL,3.00,3.00,5.00,502,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3288960,1.00,3.00,2.00,3.00,2.00,NULL,0.00,2.00,1.00,415,NULL,NULL,'RIO GRANDE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288978,6.00,8.00,3.00,3.00,4.00,6.00,4.00,6.00,4.00,102,NULL,NULL,'ARAçATUBA','IMBITUBA','SC',9110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3288986,2.00,3.00,4.00,4.00,6.00,6.25,2.00,6.00,5.00,415,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANóPOLIS','SC',13868,352,NULL,NULL,NULL,NULL,NULL,2,1),(16,3288994,1.00,2.00,2.00,4.00,2.00,NULL,3.00,5.00,2.00,208,NULL,238,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3289010,3.00,4.00,2.00,4.00,2.00,NULL,2.00,4.00,1.00,104,NULL,NULL,'COLONIA SANTANA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3289028,6.00,7.00,3.00,10.00,6.00,5.00,2.00,9.00,3.00,207,NULL,233,'SACO DOS LIMOES','FLORIANóPOLIS','SC',6022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'JARDIM BIRIGUI','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3289044,5.00,5.00,6.00,5.00,5.00,6.00,5.00,5.00,4.00,214,NULL,203,'SAGUAçú','JOINVILLE','SC',8124,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3289052,4.00,5.00,2.00,7.00,4.00,5.50,2.00,6.00,3.00,202,NULL,203,'CERâMICA','ERECHIM','RS',11566,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3289060,5.00,2.00,2.00,5.00,5.00,5.50,3.00,3.00,3.00,103,NULL,NULL,'TATUAPé','S PAULO','SP',14870,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3289079,2.00,2.00,2.00,3.00,4.00,NULL,2.00,1.00,3.00,3,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3289087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'ALTO DOS BURITIS','GURUPI','TO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3289095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'GLóRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3289109,2.00,3.00,4.00,2.00,3.00,NULL,1.00,3.00,1.00,234,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289125,8.00,5.00,4.00,4.00,6.00,6.75,4.00,6.00,8.00,103,NULL,NULL,'AUTONOMISTA','CPO GRANDE','MS',4744,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3289133,3.00,1.00,1.00,1.00,3.00,NULL,0.00,1.00,2.00,503,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289141,4.00,3.00,2.00,2.00,3.00,NULL,0.00,5.00,4.00,201,NULL,NULL,'COLONIAL','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3289150,3.00,2.00,2.00,2.00,2.00,NULL,1.00,5.00,1.00,3,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3289168,2.00,2.00,1.00,3.00,4.00,NULL,1.00,2.00,5.00,233,NULL,216,'NAçõES','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3289184,5.00,5.00,3.00,6.00,4.00,5.25,1.00,7.00,5.00,103,NULL,NULL,'ZONA SETE','MARINGá','PR',12142,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3289192,1.00,3.00,1.00,3.00,0.00,NULL,1.00,3.00,4.00,444,NULL,NULL,'CENTRO','ITAIóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3289206,3.00,8.00,3.00,5.00,4.00,6.00,3.00,8.00,2.00,302,NULL,NULL,'CAMPINAS','S JOSé','SC',10763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3289214,8.00,8.00,5.00,8.00,8.00,8.25,4.00,5.00,4.00,104,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',2326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289222,2.00,3.00,1.00,2.00,5.00,NULL,1.00,4.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289230,5.00,5.00,3.00,7.00,4.00,4.00,0.00,3.00,2.00,304,NULL,NULL,'JURERE','FLORIANóPOLIS','SC',15647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289249,2.00,2.00,4.00,4.00,3.00,NULL,2.00,3.00,2.00,404,NULL,NULL,'ITINGA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3289257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3289265,9.00,7.00,6.00,8.00,6.00,6.25,6.00,8.00,7.00,103,NULL,NULL,'PLANALTO','CPO GRANDE','MS',864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289281,3.00,4.00,2.00,6.00,1.00,NULL,1.00,4.00,3.00,316,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3289311,4.00,4.00,3.00,8.00,4.00,5.00,2.00,6.00,3.00,208,NULL,238,'AGRONôMICA','FLORIANóPOLIS','SC',12642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289320,4.00,4.00,2.00,5.00,6.00,5.25,1.00,5.00,1.00,501,NULL,NULL,'NOSSA SRA APARECIDA','CURITIBANOS','SC',15270,131,NULL,NULL,NULL,NULL,NULL,2,1),(16,3289338,7.00,6.00,5.00,2.00,5.00,4.00,5.00,7.00,6.00,216,NULL,214,'CENTRO','ALTO PIQUIRI','PR',6773,245,NULL,NULL,NULL,NULL,NULL,4,8),(16,3289346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3289354,3.00,7.00,3.00,9.00,6.00,6.25,3.00,7.00,3.00,415,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',8360,227,NULL,NULL,NULL,NULL,NULL,2,1),(16,3289362,5.00,6.00,5.00,8.00,6.00,8.00,5.00,8.00,5.00,303,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',4012,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3289370,4.00,3.00,4.00,5.00,5.00,5.25,3.00,6.00,4.00,103,NULL,NULL,'PERPéTUO SOCORRO','S LOURENçO OESTE','SC',11772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289389,3.00,6.00,5.00,7.00,6.00,5.25,4.00,7.00,3.00,203,NULL,214,'GARCIA','BLUMENAU','SC',8537,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3289397,5.00,6.00,7.00,8.00,5.00,6.00,3.00,7.00,2.00,203,NULL,201,'CENTRO','S MIGUEL IGUAçU','PR',6068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289400,8.00,7.00,6.00,8.00,6.00,6.00,3.00,7.00,7.00,340,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',2725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289419,1.00,4.00,3.00,2.00,2.00,NULL,2.00,4.00,2.00,108,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3289427,1.00,3.00,2.00,3.00,3.00,NULL,1.00,2.00,5.00,207,NULL,201,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3289435,6.00,7.00,2.00,9.00,5.00,5.75,4.00,7.00,2.00,340,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',7451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289443,3.00,4.00,2.00,1.00,3.00,NULL,0.00,0.00,2.00,452,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289451,3.00,1.00,3.00,8.00,4.00,5.50,3.00,4.00,4.00,404,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',14799,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3289460,2.00,6.00,4.00,7.00,4.00,5.50,4.00,6.00,3.00,238,NULL,208,'PANTANAL','FLORIANóPOLIS','SC',10137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289478,4.00,4.00,2.00,7.00,2.00,NULL,2.00,4.00,2.00,316,NULL,NULL,'INTERIOR','ANCHIETA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3289486,2.00,4.00,3.00,7.00,3.00,NULL,2.00,4.00,1.00,214,NULL,201,'CIDADE JARDIM','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3289494,2.00,7.00,4.00,3.00,2.00,NULL,2.00,3.00,2.00,203,NULL,220,'SãO CRISTOVãO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3289516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VILA SOBRINHO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3289524,5.00,3.00,5.00,8.00,6.00,6.00,4.00,6.00,4.00,103,NULL,NULL,'SãO PELEGRINO','CAXIAS SUL','RS',8106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3289532,2.00,6.00,3.00,4.00,1.00,NULL,1.00,3.00,4.00,444,NULL,NULL,'JARDIM BIGUAçU','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3289540,5.00,5.00,5.00,5.00,4.00,6.00,2.00,5.00,3.00,501,NULL,NULL,'PENHA','LAGES','SC',11276,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3289559,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3289567,2.00,2.00,2.00,4.00,5.00,5.50,5.00,5.00,4.00,104,NULL,NULL,'SAGUAçU','JOINVILLE','SC',15017,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3289575,6.00,7.00,5.00,7.00,5.00,5.25,1.00,9.00,5.00,208,NULL,207,'PROGRESSO','POUSO REDONDO','SC',5824,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3289583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SAGUAçU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',5,8),(16,3289591,5.00,6.00,2.00,8.00,3.00,NULL,2.00,4.00,1.00,212,NULL,214,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3289613,3.00,4.00,1.00,6.00,1.00,NULL,3.00,4.00,4.00,212,NULL,208,'ITAGUAçú','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3289621,1.00,6.00,1.00,2.00,4.00,NULL,2.00,3.00,2.00,214,NULL,216,'GURITA','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3289630,5.00,6.00,7.00,3.00,3.00,NULL,4.00,6.00,5.00,318,NULL,NULL,'BELA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289648,5.00,5.00,5.00,9.00,8.00,6.75,5.00,6.00,6.00,203,NULL,214,'DITZ','STO ÂNGELO','RS',3054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289672,1.00,0.00,2.00,2.00,4.00,NULL,3.00,3.00,2.00,101,NULL,NULL,'SANTA CRUZ DA FIGUEI','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3289680,4.00,2.00,2.00,5.00,4.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3289699,1.00,0.00,2.00,7.00,2.00,NULL,1.00,2.00,2.00,207,NULL,201,'CENTRO','RODEIO BONITO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3289702,5.00,5.00,1.00,9.00,6.00,5.75,5.00,4.00,3.00,207,NULL,211,'CENTRO','PANAMBI','RS',9312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289710,1.00,2.00,2.00,3.00,2.00,NULL,4.00,2.00,3.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,208,'CENTRO','PARAGUAçU PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3289737,2.00,2.00,1.00,0.00,1.00,NULL,2.00,2.00,3.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289745,5.00,1.00,2.00,3.00,6.00,4.50,2.00,5.00,3.00,331,NULL,NULL,'DOIS IRMãOS','STA ROSA LIMA','SC',16034,75,NULL,NULL,NULL,NULL,NULL,2,10),(16,3289753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SANTA HELENA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3289770,6.00,6.00,4.00,9.00,6.00,4.50,5.00,6.00,4.00,453,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',6148,NULL,NULL,NULL,NULL,NULL,NULL,1,6),(16,3289788,2.00,5.00,3.00,2.00,4.00,5.75,3.00,5.00,4.00,316,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',14458,177,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289796,3.00,3.00,1.00,0.00,2.00,NULL,2.00,6.00,2.00,303,NULL,NULL,'CENTRO','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3289800,2.00,3.00,1.00,0.00,0.00,NULL,2.00,2.00,1.00,309,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289818,6.00,5.00,3.00,6.00,4.00,4.50,2.00,6.00,3.00,320,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12984,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3289826,6.00,3.00,2.00,3.00,6.00,4.50,1.00,7.00,4.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'MEDEIROS','JUNDIAí','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3289842,3.00,4.00,3.00,4.00,4.00,5.00,2.00,3.00,4.00,317,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',15751,156,NULL,NULL,NULL,NULL,NULL,2,1),(16,3289850,4.00,6.00,1.00,8.00,5.00,4.50,3.00,6.00,1.00,425,NULL,424,'CENTRO','ANITáPOLIS','SC',13303,61,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289869,6.00,5.00,8.00,8.00,7.00,7.00,7.00,7.00,8.00,103,NULL,NULL,'RIO BRANCO','NOVO HAMBURGO','RS',1631,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3289877,3.00,4.00,3.00,5.00,5.00,NULL,1.00,1.00,2.00,201,NULL,207,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3289885,3.00,3.00,4.00,8.00,5.00,5.50,2.00,5.00,3.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',12669,349,NULL,NULL,NULL,NULL,NULL,2,6),(16,3289893,1.00,6.00,4.00,7.00,4.00,4.50,2.00,4.00,4.00,234,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',14609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3289915,7.00,7.00,1.00,9.00,7.00,5.75,2.00,7.00,7.00,340,NULL,NULL,'JD ANDRADE','LONDRINA','PR',5071,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3289923,4.00,3.00,2.00,1.00,3.00,NULL,2.00,5.00,2.00,444,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3289940,6.00,6.00,3.00,3.00,3.00,NULL,2.00,7.00,5.00,103,NULL,NULL,'JARDIM SAN FERNANDO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3289966,2.00,5.00,4.00,3.00,5.00,4.25,5.00,4.00,3.00,201,NULL,211,'NOSSA S APARCIDA','FRANCISCO BELTRãO','PR',14439,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3289974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','STA ROSA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3289982,2.00,2.00,3.00,6.00,2.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'QUINTINO BOCAIúVA','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3289990,3.00,4.00,5.00,7.00,3.00,NULL,3.00,5.00,4.00,302,NULL,NULL,'CENTRO','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290018,5.00,5.00,2.00,6.00,6.00,6.50,3.00,6.00,3.00,202,NULL,213,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',11533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3290026,1.00,3.00,4.00,3.00,6.00,5.50,3.00,7.00,4.00,319,NULL,NULL,'URUSSANGUINHA','ARARANGUá','SC',13941,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3290034,3.00,4.00,2.00,0.00,3.00,NULL,2.00,2.00,2.00,316,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3290050,3.00,0.00,2.00,2.00,3.00,NULL,3.00,1.00,3.00,104,NULL,NULL,'CENTRO','MAXIMILIANO ALMEIDA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290069,5.00,8.00,5.00,6.00,8.00,4.75,5.00,8.00,5.00,331,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',3747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3290077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'BUENO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3290085,5.00,4.00,2.00,9.00,7.00,4.25,4.00,4.00,4.00,104,NULL,NULL,'GUANABARA','JOINVILLE','SC',9751,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(16,3290093,4.00,0.00,2.00,8.00,2.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3290115,3.00,6.00,1.00,6.00,3.00,NULL,3.00,5.00,6.00,208,NULL,207,'CENTRO','XAVANTINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3290123,5.00,5.00,2.00,3.00,3.00,NULL,3.00,7.00,2.00,501,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3290131,3.00,2.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,302,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290140,3.00,4.00,4.00,2.00,4.00,5.50,1.00,4.00,4.00,503,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',16287,78,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290158,4.00,4.00,3.00,7.00,4.00,4.00,2.00,3.00,4.00,326,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',15483,75,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'JARDIM ANA EMíLIA','TAUBATé','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3290174,4.00,4.00,1.00,6.00,3.00,NULL,2.00,3.00,3.00,220,NULL,208,'CAMINHO NOVO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3290190,3.00,3.00,3.00,4.00,3.00,NULL,4.00,4.00,2.00,104,NULL,NULL,'SANTA CRUZ','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290220,4.00,1.00,2.00,5.00,2.00,NULL,2.00,4.00,4.00,453,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290239,3.00,6.00,3.00,4.00,3.00,NULL,5.00,5.00,3.00,303,NULL,NULL,'MORRETINHO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290247,4.00,1.00,1.00,1.00,2.00,NULL,3.00,2.00,3.00,317,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3290255,2.00,4.00,4.00,4.00,4.00,NULL,3.00,2.00,2.00,201,NULL,207,'BALNEARIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290263,3.00,3.00,5.00,3.00,4.00,NULL,2.00,2.00,1.00,319,NULL,NULL,'UNIVERSITáRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290271,7.00,7.00,3.00,6.00,4.00,6.25,3.00,7.00,4.00,5,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',8404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290301,5.00,4.00,2.00,7.00,5.00,5.00,3.00,6.00,3.00,103,NULL,NULL,'FAZENDA','ITAJAí','SC',12030,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3290310,5.00,2.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3290328,2.00,5.00,5.00,8.00,6.00,6.50,5.00,7.00,4.00,333,NULL,NULL,'BUENO','GOIÂNIA','GO',6700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290336,4.00,5.00,3.00,0.00,3.00,NULL,1.00,5.00,5.00,3,NULL,NULL,'JORDAO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3290344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3290352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'SANTA HELENA','CACHOEIRA SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3290360,4.00,2.00,1.00,1.00,4.00,NULL,3.00,4.00,1.00,444,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3290379,2.00,4.00,1.00,6.00,3.00,NULL,2.00,3.00,2.00,301,NULL,NULL,'JURERE INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290387,3.00,5.00,3.00,8.00,7.00,6.25,2.00,5.00,4.00,301,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',9741,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290395,3.00,5.00,3.00,5.00,6.00,4.75,2.00,3.00,2.00,425,NULL,429,'CENTRO','PATO BRANCO','PR',15859,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3290409,3.00,4.00,4.00,8.00,6.00,5.50,3.00,6.00,4.00,303,NULL,NULL,'SOL NASCENTE','TAPEJARA','RS',10821,469,NULL,NULL,NULL,NULL,NULL,4,1),(16,3290417,3.00,3.00,6.00,6.00,4.00,5.75,1.00,5.00,2.00,207,NULL,201,'PRESIDENTE MéDICE','CHAPECó','SC',13520,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3290425,3.00,3.00,5.00,5.00,3.00,NULL,2.00,1.00,3.00,301,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3290441,4.00,4.00,2.00,5.00,7.00,5.50,2.00,3.00,3.00,102,NULL,NULL,'PADRE EDUARDO','TAIó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3290450,2.00,2.00,3.00,5.00,3.00,NULL,2.00,5.00,2.00,108,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290468,3.00,6.00,2.00,7.00,7.00,7.25,1.00,8.00,4.00,426,NULL,428,'KOBRASOL','S JOSé','SC',8452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3290476,4.00,6.00,6.00,9.00,5.00,5.25,1.00,7.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290484,4.00,4.00,5.00,6.00,4.00,6.00,3.00,7.00,4.00,207,NULL,212,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3290492,7.00,8.00,8.00,8.00,8.00,6.25,4.00,7.00,7.00,214,NULL,213,'CAMPECHE','FLORIANóPOLIS','SC',1079,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290506,4.00,2.00,1.00,8.00,4.00,5.75,3.00,3.00,2.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3290514,5.00,6.00,4.00,8.00,7.00,7.50,5.00,8.00,4.00,103,NULL,NULL,'TIARAJU','IJUí','RS',4079,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3290522,5.00,6.00,5.00,6.00,2.00,NULL,5.00,5.00,5.00,205,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3290530,4.00,4.00,3.00,3.00,3.00,NULL,3.00,6.00,3.00,214,NULL,238,'CENTRO','XANGRI-Lá','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3290549,0.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3290565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3290573,2.00,1.00,2.00,5.00,2.00,NULL,0.00,3.00,2.00,503,NULL,NULL,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3290581,6.00,4.00,4.00,7.00,3.00,NULL,3.00,5.00,3.00,326,NULL,NULL,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3290590,3.00,4.00,1.00,7.00,7.00,5.25,2.00,1.00,4.00,238,NULL,208,'CENTRO','BIGUAçU','SC',14307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290603,5.00,5.00,5.00,8.00,7.00,6.50,2.00,7.00,1.00,415,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',7430,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3290611,1.00,0.00,4.00,2.00,3.00,NULL,4.00,3.00,3.00,207,NULL,201,'TRAçADO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3290638,3.00,1.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'ENCANO DO NORTE','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3290646,7.00,6.00,6.00,9.00,8.00,5.75,5.00,6.00,6.00,203,NULL,233,'CAMPINAS','S JOSé','SC',2358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3290654,4.00,4.00,2.00,5.00,5.00,4.00,3.00,3.00,4.00,201,NULL,211,'CENTRO','PALHOçA','SC',15319,1185,NULL,517,NULL,NULL,NULL,4,1),(16,3290662,5.00,2.00,3.00,3.00,4.00,4.50,4.00,7.00,1.00,319,NULL,NULL,'PONTE IMARUIM','PALHOçA','SC',15565,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290670,4.00,2.00,3.00,6.00,5.00,NULL,1.00,3.00,0.00,318,NULL,NULL,'JARDIM PIRATININGA','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290689,2.00,1.00,4.00,3.00,5.00,NULL,3.00,3.00,3.00,101,NULL,NULL,'PRADO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290697,6.00,5.00,3.00,5.00,5.00,5.00,4.00,5.00,5.00,207,NULL,201,'CENTRO','ERECHIM','RS',11025,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3290719,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PARQUE PROGRESSO','FRANCA','SP',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3290727,2.00,5.00,4.00,2.00,3.00,NULL,1.00,4.00,4.00,310,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3290735,3.00,5.00,2.00,2.00,5.00,NULL,2.00,1.00,3.00,302,NULL,NULL,'BRAçO SãO JOãO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3290743,3.00,3.00,2.00,5.00,4.00,NULL,0.00,3.00,4.00,501,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3290751,6.00,5.00,6.00,9.00,7.00,5.75,4.00,6.00,7.00,203,NULL,214,'CENTRO','CASCAVEL','PR',2744,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3290760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'SANTA AMALIA','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3290778,6.00,2.00,3.00,3.00,5.00,NULL,2.00,1.00,3.00,211,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290786,4.00,5.00,1.00,6.00,3.00,NULL,4.00,4.00,2.00,101,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290794,3.00,4.00,4.00,3.00,4.00,5.75,3.00,5.00,4.00,104,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',14590,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3290808,6.00,6.00,4.00,3.00,5.00,6.75,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6917,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3290816,2.00,4.00,1.00,2.00,3.00,NULL,1.00,5.00,3.00,444,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3290824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3290832,1.00,4.00,2.00,3.00,1.00,NULL,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3290840,5.00,4.00,5.00,3.00,2.00,NULL,1.00,6.00,3.00,215,NULL,NULL,'PARQUE VERDE','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3290859,0.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3290875,3.00,5.00,3.00,7.00,4.00,5.25,3.00,6.00,4.00,104,NULL,NULL,'CENTRO','MAXIMILIANO ALMEIDA','RS',10408,277,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290883,1.00,5.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SANTA TEREZINHA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,6),(16,3290913,5.00,4.00,2.00,4.00,3.00,NULL,1.00,2.00,4.00,103,NULL,NULL,'CONGONHAS','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3290921,6.00,4.00,3.00,0.00,2.00,NULL,2.00,4.00,5.00,214,NULL,NULL,'CENTRO','S JOãO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3290930,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3290948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','IVAIPORã','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3290956,3.00,4.00,2.00,4.00,4.00,NULL,1.00,2.00,1.00,207,NULL,201,'CENTRO','ITAPEJARA D OESTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3290964,3.00,2.00,1.00,6.00,4.00,6.00,2.00,2.00,4.00,104,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',16445,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3290972,7.00,3.00,3.00,8.00,5.00,5.00,6.00,6.00,6.00,201,NULL,211,'CAMPINAS','S JOSé','SC',6820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3290999,8.00,7.00,5.00,8.00,8.00,6.50,4.00,5.00,9.00,103,NULL,NULL,'SEMINARIO','CURITIBA','PR',1562,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3291006,3.00,1.00,2.00,6.00,3.00,NULL,3.00,5.00,3.00,211,NULL,213,'JARDIM AMERICA','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3291014,2.00,6.00,3.00,7.00,5.00,5.00,3.00,4.00,3.00,201,NULL,212,'CENTRO','PALHOçA','SC',13652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291022,5.00,7.00,4.00,8.00,5.00,4.25,1.00,5.00,4.00,201,NULL,212,'CENTRO','RIO NEGRO','PR',9660,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291030,4.00,4.00,3.00,6.00,4.00,5.25,2.00,5.00,2.00,318,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',15261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291049,3.00,4.00,2.00,5.00,3.00,NULL,3.00,5.00,2.00,202,NULL,212,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3291057,0.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,201,NULL,207,'JARDIM PANCERA','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(16,3291065,5.00,2.00,5.00,7.00,5.00,4.75,4.00,3.00,5.00,233,NULL,215,'SANTA CECíLIA','PTO ALEGRE','RS',11445,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3291081,5.00,3.00,3.00,2.00,1.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'CENTRO','SALETE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3291090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'JURERE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3291103,6.00,8.00,6.00,8.00,7.00,4.50,3.00,9.00,6.00,233,NULL,211,'CENTRO','FLORIANóPOLIS','SC',2644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,427,'SANTA MÔNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(16,3291120,6.00,5.00,3.00,6.00,6.00,5.75,4.00,6.00,6.00,103,NULL,NULL,'SãO VICENTE','ITAJAí','SC',6898,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3291138,2.00,7.00,2.00,7.00,3.00,NULL,2.00,4.00,4.00,331,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291146,4.00,4.00,4.00,7.00,6.00,4.00,3.00,7.00,4.00,5,NULL,NULL,'CECAP II','PIRACICABA','SP',10248,375,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291154,1.00,0.00,2.00,4.00,2.00,NULL,0.00,1.00,3.00,102,NULL,NULL,'AGOSTINI','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3291162,3.00,4.00,4.00,5.00,8.00,5.00,4.00,8.00,2.00,201,NULL,214,'STO ANTONIO DE PáDUA','TUBARãO','SC',10847,842,NULL,362,NULL,NULL,NULL,4,10),(16,3291170,6.00,6.00,6.00,7.00,5.00,6.50,3.00,7.00,6.00,211,NULL,NULL,'ATIRADORES','JOINVILLE','SC',4952,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3291189,4.00,6.00,6.00,6.00,6.00,5.00,3.00,5.00,3.00,201,NULL,233,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3291197,2.00,3.00,1.00,7.00,3.00,NULL,3.00,2.00,3.00,208,NULL,238,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291200,6.00,4.00,6.00,3.00,4.00,5.75,4.00,6.00,6.00,201,NULL,238,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',7508,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3291227,2.00,0.00,2.00,5.00,4.00,NULL,1.00,2.00,4.00,444,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291235,2.00,1.00,3.00,4.00,3.00,NULL,3.00,3.00,2.00,207,NULL,201,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291243,2.00,4.00,2.00,6.00,2.00,NULL,1.00,4.00,3.00,302,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291251,4.00,2.00,3.00,4.00,2.00,NULL,3.00,3.00,2.00,104,NULL,NULL,'CENTRO','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3291260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3291278,0.00,2.00,2.00,2.00,2.00,NULL,2.00,2.00,1.00,201,NULL,207,'RIO DE AREIA','RIO RUFINO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3291286,6.00,6.00,3.00,8.00,6.00,6.25,3.00,5.00,3.00,420,NULL,NULL,'CENTRO','ITAJAí','SC',7907,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3291294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3291308,4.00,6.00,7.00,4.00,5.00,6.50,4.00,4.00,4.00,208,NULL,NULL,'BARREIROS','SAO JOSE','SC',9039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291316,2.00,3.00,4.00,6.00,3.00,NULL,1.00,2.00,3.00,308,NULL,NULL,'JORDÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291324,5.00,5.00,2.00,5.00,6.00,4.50,3.00,8.00,3.00,450,NULL,NULL,'BARRA DO ARIRIÚ','PALHOçA','SC',11573,98,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291332,4.00,1.00,1.00,2.00,5.00,NULL,2.00,5.00,3.00,203,NULL,214,'MENINO DEUS','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3291340,3.00,4.00,2.00,3.00,5.00,5.50,2.00,5.00,3.00,404,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',15873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291359,3.00,2.00,2.00,2.00,4.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'IMPERIAL','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3291375,6.00,6.00,4.00,9.00,5.00,5.25,3.00,6.00,7.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291383,3.00,3.00,2.00,7.00,4.00,5.75,3.00,6.00,2.00,415,NULL,NULL,'CENTRO','GAROPABA','SC',14284,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291391,6.00,5.00,4.00,6.00,5.00,5.00,3.00,5.00,6.00,211,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',9062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291405,5.00,5.00,3.00,7.00,8.00,4.75,3.00,7.00,4.00,104,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',9033,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291413,3.00,2.00,1.00,6.00,5.00,6.00,0.00,6.00,2.00,329,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291421,0.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,426,NULL,428,'NADIR KENAN','BARRETOS','SP',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3291430,3.00,3.00,4.00,6.00,3.00,NULL,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3291448,4.00,6.00,4.00,8.00,6.00,4.75,1.00,7.00,2.00,319,NULL,NULL,'PASSA VINTE','PALHOçA','SC',10912,214,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,233,'NOVA BRASíLIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3291464,2.00,6.00,5.00,2.00,4.00,4.00,1.00,1.00,5.00,310,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',16526,71,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291472,4.00,5.00,4.00,5.00,3.00,NULL,4.00,7.00,2.00,213,NULL,233,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291480,4.00,4.00,3.00,5.00,5.00,5.50,2.00,5.00,5.00,452,NULL,NULL,'CENTRO','RONDINHA','RS',11791,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3291499,5.00,4.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'NOVA BRASíLIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,10),(16,3291502,3.00,2.00,4.00,8.00,5.00,5.25,2.00,6.00,2.00,223,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',14130,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291510,5.00,8.00,6.00,9.00,8.00,6.50,6.00,8.00,6.00,318,NULL,NULL,'CAJURU','CURITIBA','PR',1057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291529,3.00,7.00,1.00,2.00,6.00,6.50,2.00,8.00,1.00,316,NULL,NULL,'SERRARIA','S JOSé','SC',14291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291537,4.00,7.00,3.00,9.00,9.00,4.75,1.00,9.00,4.00,201,NULL,233,'ITAGUAÇU','FLORIANóPOLIS','SC',5026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291553,6.00,4.00,1.00,5.00,4.00,3.25,3.00,4.00,4.00,420,NULL,NULL,'OURO FINO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291561,4.00,3.00,2.00,4.00,2.00,NULL,2.00,5.00,3.00,102,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3291588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3291596,2.00,2.00,4.00,8.00,7.00,5.50,3.00,6.00,2.00,308,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',12624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291618,5.00,5.00,6.00,4.00,3.00,NULL,3.00,1.00,4.00,203,NULL,208,'CIDADE ALTA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3291626,4.00,3.00,4.00,7.00,1.00,NULL,3.00,3.00,3.00,214,NULL,212,'REAL PARQUE','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3291634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'COND J FLORENÇA','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3291642,6.00,6.00,4.00,7.00,3.00,NULL,2.00,5.00,4.00,201,NULL,233,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3291650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3291669,4.00,2.00,2.00,3.00,2.00,NULL,3.00,5.00,2.00,102,NULL,NULL,'CENTRO','S CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3291677,3.00,1.00,2.00,2.00,3.00,NULL,1.00,2.00,2.00,428,NULL,NULL,'CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291685,4.00,6.00,5.00,5.00,4.00,4.25,2.00,3.00,3.00,303,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3291693,5.00,4.00,4.00,8.00,4.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3291707,4.00,3.00,2.00,3.00,5.00,6.00,2.00,3.00,3.00,102,NULL,NULL,'CENTRO','CLEVELâNDIA','PR',16251,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3291715,7.00,5.00,1.00,8.00,5.00,6.00,4.00,6.00,5.00,304,NULL,NULL,'ASA NORTE','BRASíLIA','DF',8036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291723,5.00,5.00,2.00,6.00,4.00,5.50,2.00,5.00,4.00,301,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',11840,226,NULL,NULL,NULL,NULL,NULL,2,3),(16,3291740,4.00,4.00,1.00,7.00,3.00,NULL,4.00,4.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3291758,2.00,3.00,1.00,6.00,1.00,NULL,3.00,7.00,4.00,202,NULL,213,'REAL PARQUE','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291766,2.00,4.00,4.00,8.00,5.00,4.25,4.00,5.00,3.00,301,NULL,NULL,'CRUZEIRO','RIO NEGRINHO','SC',11465,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3291774,5.00,1.00,1.00,5.00,5.00,4.25,2.00,5.00,3.00,2,NULL,NULL,'NS SENHORA DE FATIMA','BRAçO NORTE','SC',16118,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3291782,4.00,1.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3291790,4.00,4.00,3.00,3.00,2.00,NULL,3.00,2.00,6.00,303,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3291804,2.00,6.00,3.00,6.00,4.00,4.50,2.00,7.00,3.00,331,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',13583,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291812,3.00,3.00,1.00,2.00,3.00,NULL,2.00,5.00,3.00,203,NULL,233,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291820,3.00,4.00,2.00,0.00,3.00,NULL,2.00,2.00,1.00,319,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291839,3.00,3.00,3.00,3.00,3.00,NULL,3.00,6.00,3.00,207,NULL,201,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291847,6.00,5.00,5.00,7.00,4.00,5.50,2.00,4.00,5.00,328,NULL,NULL,'CENTRO','TORRES','RS',10419,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3291863,3.00,6.00,4.00,2.00,5.00,4.00,2.00,6.00,3.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14243,477,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'BOA VISTA','MELEIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3291898,2.00,2.00,1.00,8.00,3.00,NULL,2.00,1.00,1.00,108,NULL,NULL,'MORUMBI','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3291901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3291910,4.00,5.00,6.00,8.00,4.00,7.25,3.00,6.00,1.00,238,NULL,214,'INGLESES','FLORIANóPOLIS','SC',7875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291928,2.00,2.00,3.00,5.00,4.00,5.00,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','BOM JD SERRA','SC',15623,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3291936,3.00,0.00,1.00,3.00,0.00,NULL,3.00,0.00,1.00,303,NULL,NULL,'SANTOS DUMONT','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291944,5.00,6.00,4.00,4.00,4.00,6.00,4.00,8.00,3.00,102,NULL,NULL,'JARDIM PARAíSO','S JOSé CAMPOS','SP',9263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291952,2.00,5.00,3.00,9.00,3.00,NULL,2.00,3.00,4.00,318,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3291960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3291987,2.00,4.00,2.00,4.00,1.00,NULL,2.00,4.00,3.00,308,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3291995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO SILVESTRE','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3292002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALDEOTA','FORTALEZA','CE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3292029,4.00,4.00,2.00,6.00,3.00,NULL,1.00,5.00,3.00,212,NULL,201,'JARDIM NOEMIA','FRANCA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292037,5.00,5.00,3.00,9.00,1.00,NULL,3.00,7.00,3.00,201,NULL,208,'ALTO CAFEZAL','MARíLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292045,4.00,4.00,4.00,6.00,2.00,NULL,2.00,4.00,4.00,319,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292053,8.00,7.00,8.00,8.00,7.00,7.50,3.00,7.00,6.00,420,NULL,NULL,'SANTA ROSALIA','LIMEIRA','SP',1576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292061,8.00,6.00,3.00,6.00,5.00,5.75,4.00,4.00,7.00,220,NULL,203,'TIRADENTES','CPO GRANDE','MS',5747,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3292088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,211,'CENTRO','ANáPOLIS','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3292096,4.00,4.00,4.00,8.00,5.00,6.00,3.00,5.00,4.00,304,NULL,NULL,'SAGUAçU','JOINVILLE','SC',9230,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3292100,0.00,2.00,2.00,7.00,4.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292118,3.00,6.00,3.00,2.00,5.00,6.50,4.00,8.00,5.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8930,398,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292126,3.00,3.00,5.00,2.00,1.00,NULL,5.00,5.00,3.00,450,NULL,NULL,'LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3292142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(16,3292150,1.00,3.00,4.00,1.00,1.00,NULL,2.00,4.00,4.00,301,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292169,4.00,4.00,5.00,4.00,6.00,5.25,3.00,7.00,4.00,5,NULL,NULL,'GUARDA DO CUBATãO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292177,6.00,1.00,2.00,1.00,2.00,NULL,1.00,3.00,2.00,207,NULL,201,'MARATá','S DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3292185,7.00,8.00,4.00,8.00,7.00,4.75,4.00,9.00,4.00,5,NULL,NULL,'CIDADE MINEIRA VELHA','CRICIúMA','SC',3300,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3292193,4.00,4.00,2.00,6.00,4.00,6.50,1.00,4.00,1.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',15772,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3292207,7.00,7.00,4.00,6.00,8.00,8.00,2.00,7.00,5.00,102,NULL,NULL,'CENTRO','ERECHIM','RS',4118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3292223,6.00,5.00,3.00,8.00,5.00,6.75,5.00,5.00,4.00,415,NULL,NULL,'SANTA MÔNICA','FLORIANóPOLIS','SC',8204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292231,3.00,4.00,2.00,5.00,4.00,4.75,1.00,5.00,4.00,303,NULL,NULL,'DOS ESTADOS','BAL CAMBORIú','SC',16255,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3292258,7.00,8.00,6.00,8.00,5.00,6.00,4.00,8.00,7.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292266,6.00,8.00,6.00,8.00,7.00,6.50,4.00,7.00,5.00,304,NULL,NULL,'CENTRO','PALHOçA','SC',3208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292282,4.00,5.00,3.00,3.00,6.00,8.00,2.00,7.00,6.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8668,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292290,2.00,4.00,1.00,7.00,0.00,NULL,3.00,3.00,2.00,301,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'LINHA DOS CHAVES','ANGELINA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3292312,6.00,6.00,6.00,9.00,7.00,5.75,3.00,7.00,5.00,5,NULL,NULL,'RESSACADA','ITAJAí','SC',4101,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3292320,4.00,1.00,4.00,3.00,6.00,NULL,2.00,5.00,1.00,450,NULL,NULL,'SANTA MARIA','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CONSOLACAO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3292347,6.00,4.00,2.00,4.00,5.00,5.00,0.00,4.00,2.00,404,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',16044,72,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292355,2.00,3.00,3.00,4.00,3.00,NULL,2.00,4.00,2.00,304,NULL,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292363,2.00,4.00,4.00,5.00,3.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3292371,2.00,3.00,1.00,1.00,5.00,NULL,3.00,2.00,3.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292380,3.00,6.00,2.00,5.00,5.00,6.50,2.00,5.00,6.00,103,NULL,NULL,'BARREIROS','S JOSé','SC',9995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'GUABIROTUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3292410,5.00,2.00,2.00,5.00,3.00,NULL,2.00,1.00,2.00,444,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292428,9.00,9.00,8.00,9.00,9.00,7.50,7.00,8.00,9.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',4,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3292436,3.00,3.00,1.00,3.00,1.00,NULL,4.00,2.00,1.00,404,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292444,4.00,7.00,7.00,6.00,7.00,7.00,2.00,7.00,4.00,211,NULL,233,'TRINDADE','FLORIANóPOLIS','SC',5468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292452,1.00,2.00,3.00,5.00,4.00,NULL,3.00,1.00,2.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292479,4.00,4.00,1.00,9.00,5.00,4.50,3.00,7.00,3.00,428,NULL,421,'CENTRO','BOTUCATU','SP',12007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292495,5.00,5.00,3.00,8.00,6.00,5.50,4.00,7.00,5.00,5,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',7122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292509,7.00,6.00,8.00,9.00,6.00,7.00,6.00,8.00,8.00,202,NULL,213,'LIBERDADE','S PAULO','SP',746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292525,5.00,6.00,6.00,9.00,6.00,5.50,4.00,8.00,6.00,328,NULL,NULL,'MADUREIRA','CAXIAS SUL','RS',3079,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3292533,3.00,4.00,2.00,8.00,6.00,6.75,3.00,6.00,2.00,108,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',11417,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3292541,2.00,4.00,4.00,5.00,2.00,NULL,0.00,4.00,5.00,201,NULL,238,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292550,3.00,4.00,5.00,3.00,4.00,4.25,2.00,4.00,3.00,201,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3292576,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3292592,4.00,4.00,3.00,8.00,6.00,5.75,3.00,5.00,3.00,102,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9860,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3292614,9.00,8.00,8.00,7.00,2.00,NULL,6.00,8.00,8.00,103,NULL,NULL,'TERRA NOVA','CUIABá','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292622,5.00,3.00,1.00,5.00,3.00,NULL,2.00,2.00,2.00,9,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292649,2.00,5.00,4.00,8.00,5.00,4.75,2.00,1.00,4.00,444,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',14056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292657,4.00,6.00,4.00,4.00,5.00,5.75,3.00,6.00,5.00,316,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',10477,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292665,5.00,6.00,4.00,5.00,8.00,6.00,3.00,6.00,3.00,201,NULL,207,'JARDIM AMERICA','GOIâNIA','GO',7398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292673,6.00,7.00,6.00,7.00,6.00,6.00,6.00,8.00,5.00,233,NULL,214,'VILA XAVIER','ASSIS','SP',2667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'ESPLANADA','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3292711,1.00,5.00,4.00,6.00,2.00,NULL,2.00,4.00,4.00,201,NULL,NULL,'CENTRO','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3292720,6.00,5.00,5.00,7.00,6.00,5.50,2.00,6.00,2.00,301,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',8596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'PRAIA DOS AMORES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3292746,7.00,7.00,2.00,6.00,5.00,6.50,1.00,1.00,5.00,331,NULL,NULL,'GLóRIA','JOINVILLE','SC',11212,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3292754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'JD MONTE KEMEL','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3292789,1.00,1.00,3.00,4.00,2.00,NULL,3.00,2.00,2.00,207,NULL,201,'LINHA TIRADENTES','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3292797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3292819,3.00,2.00,3.00,5.00,5.00,6.50,3.00,5.00,4.00,429,NULL,425,'AREIAS','PAULO LOPES','SC',14484,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292827,4.00,4.00,2.00,5.00,5.00,6.50,4.00,7.00,4.00,208,NULL,238,'CENTRO','TORRES','RS',10619,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3292835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MORRINHOS','GUARUJá','SP',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3292843,5.00,4.00,3.00,2.00,4.00,5.50,3.00,5.00,3.00,225,NULL,NULL,'MENINO DESUS','PATO BRANCO','PR',14657,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3292851,4.00,4.00,4.00,8.00,5.00,5.00,3.00,4.00,5.00,453,NULL,NULL,'ARIRIú','PALHOçA','SC',10217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292878,6.00,4.00,2.00,8.00,6.00,5.50,4.00,6.00,4.00,102,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',7735,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3292886,1.00,3.00,3.00,3.00,2.00,NULL,2.00,0.00,3.00,331,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM PAULISTA','JUNDIAí','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3292908,3.00,4.00,4.00,1.00,4.00,NULL,1.00,4.00,3.00,333,NULL,NULL,'CENTRO','TREZE MAIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3292916,2.00,1.00,2.00,3.00,2.00,NULL,2.00,2.00,5.00,450,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3292940,2.00,2.00,3.00,4.00,4.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292959,6.00,6.00,5.00,8.00,5.00,5.00,4.00,3.00,7.00,103,NULL,NULL,'VALE VERDE','COLOMBO','PR',6084,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3292967,1.00,2.00,4.00,4.00,2.00,NULL,3.00,1.00,3.00,317,NULL,NULL,'JD CIDADE FLORIANOPO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3292975,2.00,7.00,4.00,6.00,1.00,NULL,6.00,7.00,2.00,426,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3292983,0.00,0.00,0.00,8.00,4.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'FAZENDA STO ANTôNIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3293009,3.00,4.00,2.00,4.00,4.00,5.00,2.00,6.00,1.00,9,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',15863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3293025,5.00,5.00,3.00,9.00,6.00,5.50,3.00,7.00,4.00,216,NULL,211,'CAMPESTRE','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3293041,5.00,2.00,3.00,6.00,4.00,5.50,2.00,4.00,3.00,404,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',15230,63,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293050,2.00,6.00,2.00,5.00,6.00,5.75,2.00,7.00,2.00,316,NULL,NULL,'CENTRO','CRICIúMA','SC',12910,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3293068,4.00,9.00,4.00,9.00,5.00,6.00,1.00,7.00,4.00,420,NULL,NULL,'LIMOEIRO','BRUSQUE','SC',8394,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3293076,2.00,4.00,3.00,5.00,4.00,5.00,1.00,6.00,5.00,220,NULL,214,'CENTRO','IJUí','RS',14223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3293092,2.00,2.00,1.00,6.00,4.00,NULL,3.00,4.00,3.00,425,NULL,424,'SANTOS DUMONT','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3293106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'JARDIM DAS PALMEIRAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3293114,3.00,9.00,1.00,7.00,6.00,6.00,2.00,8.00,3.00,5,NULL,NULL,'CAMPINAS','S JOSé','SC',9393,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293122,1.00,4.00,1.00,2.00,2.00,NULL,4.00,1.00,4.00,339,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293130,2.00,4.00,4.00,5.00,5.00,5.50,1.00,3.00,2.00,9,NULL,NULL,'SOROCABA','BIGUAçU','SC',15712,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PORTO GRANDE','S SEBASTIãO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3293173,5.00,6.00,3.00,9.00,5.00,4.00,3.00,6.00,5.00,340,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',8299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3293181,4.00,1.00,2.00,6.00,5.00,4.75,3.00,4.00,4.00,420,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',15572,171,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293190,3.00,6.00,2.00,8.00,6.00,4.75,1.00,6.00,1.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',14065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3293203,3.00,4.00,4.00,4.00,2.00,NULL,0.00,6.00,3.00,415,NULL,NULL,'FIGUEIRA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3293211,3.00,4.00,2.00,4.00,4.00,6.00,2.00,4.00,2.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',16374,207,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ESPíRITO SANTO','RIO RUFINO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3293238,4.00,5.00,4.00,8.00,2.00,NULL,3.00,9.00,3.00,317,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293246,3.00,6.00,4.00,2.00,5.00,6.00,3.00,6.00,4.00,318,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3293254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','ELDORADO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3293262,4.00,2.00,5.00,1.00,1.00,NULL,2.00,3.00,2.00,318,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293270,3.00,4.00,5.00,5.00,6.00,5.50,3.00,5.00,4.00,332,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',11909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293297,1.00,3.00,2.00,5.00,1.00,NULL,1.00,4.00,4.00,208,NULL,201,'SãO JOSE CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293300,5.00,4.00,6.00,0.00,4.00,4.50,5.00,5.00,3.00,220,NULL,203,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3293327,3.00,2.00,4.00,5.00,4.00,4.50,4.00,4.00,2.00,104,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3293335,8.00,6.00,5.00,7.00,7.00,6.25,4.00,8.00,4.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',2896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3293351,5.00,4.00,6.00,8.00,4.00,5.00,3.00,7.00,6.00,201,NULL,207,'CENTRO','PASSO FUNDO','RS',6369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293360,3.00,6.00,4.00,5.00,3.00,NULL,0.00,9.00,2.00,238,NULL,211,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3293378,7.00,4.00,4.00,8.00,7.00,6.25,4.00,3.00,5.00,207,NULL,215,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3293386,5.00,3.00,4.00,6.00,2.00,NULL,3.00,5.00,5.00,102,NULL,NULL,'CENTRO','REGISTRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3293394,6.00,6.00,7.00,8.00,7.00,7.50,4.00,8.00,6.00,103,NULL,NULL,'JARDIM IPANEMA','APARECIDA GOIâNIA','GO',1568,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293408,2.00,2.00,2.00,4.00,5.00,NULL,1.00,4.00,3.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293416,5.00,3.00,4.00,6.00,3.00,NULL,2.00,4.00,5.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3293432,2.00,6.00,2.00,2.00,2.00,NULL,3.00,8.00,4.00,331,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3293440,3.00,4.00,3.00,7.00,4.00,6.00,0.00,6.00,2.00,501,NULL,NULL,'ASA NORTE','BRASíLIA','DF',14005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3293459,6.00,5.00,2.00,7.00,4.00,6.00,1.00,6.00,4.00,103,NULL,NULL,'JARDIM FLORIDA','JACAREí','SP',9712,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3293467,4.00,3.00,3.00,5.00,5.00,5.25,3.00,5.00,5.00,303,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3293475,4.00,2.00,5.00,5.00,2.00,NULL,1.00,2.00,2.00,108,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293483,2.00,3.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,104,NULL,NULL,'COLONIA SANTANA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3293505,6.00,3.00,4.00,6.00,6.00,6.50,3.00,3.00,4.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10735,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SEMINARIO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3293530,1.00,5.00,2.00,5.00,4.00,5.50,0.00,6.00,2.00,205,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',16306,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293548,3.00,5.00,3.00,4.00,5.00,4.00,3.00,6.00,3.00,333,NULL,NULL,'RAINHA DO MAR','ITAPOá','SC',13946,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3293556,3.00,5.00,2.00,0.00,4.00,NULL,3.00,5.00,2.00,104,NULL,NULL,'DEHON','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3293564,1.00,2.00,2.00,5.00,3.00,NULL,5.00,2.00,4.00,324,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293572,6.00,6.00,3.00,9.00,5.00,5.25,3.00,7.00,4.00,304,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3293580,6.00,6.00,2.00,8.00,5.00,4.25,2.00,5.00,6.00,104,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',9495,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293599,3.00,4.00,3.00,6.00,5.00,5.50,2.00,4.00,4.00,216,NULL,233,'CENTRO','S JOSé PINHAIS','PR',13382,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3293602,0.00,5.00,1.00,4.00,3.00,NULL,3.00,6.00,3.00,201,NULL,211,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293610,4.00,7.00,2.00,6.00,5.00,4.50,4.00,8.00,5.00,208,NULL,238,'VELHA','BLUMENAU','SC',7996,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3293637,1.00,2.00,5.00,3.00,0.00,NULL,3.00,1.00,2.00,108,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293645,4.00,6.00,5.00,4.00,5.00,4.00,5.00,6.00,3.00,328,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',11273,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293653,8.00,7.00,6.00,8.00,7.00,5.00,3.00,7.00,8.00,203,NULL,211,'ZONA SETE','CIANORTE','PR',2070,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3293688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'CENTRO','MATELâNDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3293696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PETROPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3293700,6.00,6.00,5.00,5.00,5.00,7.50,3.00,8.00,6.00,201,NULL,208,'CENTRO','CANELINHA','SC',4527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3293718,6.00,7.00,8.00,8.00,5.00,5.50,4.00,6.00,4.00,2,NULL,NULL,'CORDEIROS','ITAJAí','SC',4660,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3293726,6.00,6.00,1.00,6.00,2.00,NULL,1.00,6.00,5.00,3,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293734,2.00,3.00,3.00,4.00,3.00,NULL,3.00,4.00,2.00,501,NULL,NULL,'CENTRO','PTE ALTA NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'GUAJUVIRAS','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3293750,2.00,3.00,4.00,2.00,1.00,NULL,2.00,4.00,3.00,222,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293785,3.00,1.00,4.00,6.00,4.00,5.00,3.00,2.00,6.00,101,NULL,NULL,'STO ANTONIO DE PADUA','TUBARãO','SC',15284,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3293807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'GRAçA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3293815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA PARAISO','IMARUí','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3293823,2.00,2.00,4.00,4.00,1.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'AMIZADE','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3293831,5.00,7.00,3.00,6.00,5.00,5.50,3.00,6.00,6.00,207,NULL,201,'GLóRIA','JOINVILLE','SC',6936,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3293840,2.00,2.00,3.00,2.00,3.00,NULL,2.00,3.00,2.00,211,NULL,201,'FLORESTA','RIO CAMPO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3293858,8.00,8.00,5.00,8.00,7.00,6.50,6.00,9.00,9.00,103,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',496,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293866,2.00,4.00,4.00,0.00,3.00,NULL,1.00,1.00,2.00,319,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3293874,2.00,5.00,2.00,4.00,3.00,NULL,1.00,5.00,2.00,331,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293882,1.00,5.00,4.00,6.00,5.00,6.50,2.00,7.00,2.00,450,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',11964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293890,6.00,6.00,2.00,5.00,7.00,6.00,6.00,8.00,6.00,207,NULL,201,'CENTRO','BRUSQUE','SC',4862,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3293904,4.00,3.00,3.00,6.00,3.00,NULL,2.00,7.00,2.00,104,NULL,NULL,'ALTO RIBEIRÃO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3293939,4.00,3.00,4.00,8.00,1.00,NULL,2.00,3.00,3.00,202,NULL,213,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3293947,5.00,5.00,2.00,5.00,4.00,5.25,4.00,3.00,3.00,331,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',13986,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293955,6.00,5.00,3.00,7.00,3.00,NULL,5.00,3.00,3.00,309,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293963,4.00,0.00,2.00,3.00,3.00,NULL,4.00,1.00,3.00,234,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3293971,6.00,7.00,6.00,7.00,7.00,4.25,4.00,8.00,8.00,203,NULL,214,'CRUZEIRO DO SUL','CRICIúMA','SC',3947,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3293980,4.00,2.00,2.00,4.00,5.00,NULL,4.00,3.00,2.00,339,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3293998,4.00,3.00,2.00,4.00,3.00,NULL,2.00,4.00,3.00,303,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294005,3.00,4.00,2.00,5.00,3.00,NULL,2.00,7.00,3.00,452,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294013,7.00,5.00,4.00,6.00,7.00,5.50,2.00,7.00,4.00,304,NULL,NULL,'JARDIM ELISABETE','IçARA','SC',7171,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3294021,1.00,0.00,1.00,4.00,1.00,NULL,1.00,1.00,1.00,207,NULL,201,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294030,4.00,5.00,3.00,5.00,6.00,5.75,6.00,5.00,5.00,103,NULL,NULL,'CENTRO','GETúLIO VARGAS','RS',8745,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3294048,4.00,3.00,1.00,2.00,3.00,NULL,0.00,3.00,4.00,304,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294056,3.00,2.00,1.00,2.00,3.00,NULL,2.00,0.00,3.00,320,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294064,5.00,3.00,4.00,1.00,3.00,NULL,3.00,4.00,2.00,3,NULL,NULL,'CIANORTINHO','CIANORTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3294072,4.00,5.00,7.00,8.00,5.00,7.00,4.00,6.00,5.00,340,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',5416,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294080,4.00,1.00,4.00,2.00,1.00,NULL,2.00,0.00,1.00,102,NULL,NULL,'GáVEA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3294099,2.00,2.00,1.00,5.00,2.00,NULL,4.00,3.00,3.00,415,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294129,7.00,8.00,5.00,4.00,6.00,6.00,5.00,8.00,7.00,104,NULL,NULL,'CENTRO','TROMBUDO CENTRAL','SC',2969,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3294137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3294145,4.00,1.00,2.00,2.00,2.00,NULL,4.00,5.00,3.00,333,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294153,8.00,7.00,7.00,8.00,8.00,6.50,4.00,8.00,5.00,503,NULL,NULL,'CENTRO','ITAJAí','SC',1549,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3294161,2.00,2.00,2.00,2.00,2.00,NULL,1.00,0.00,3.00,453,NULL,NULL,'SãO CRISTOVãO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3294170,2.00,4.00,3.00,5.00,2.00,NULL,3.00,3.00,1.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','REALEZA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3294196,5.00,6.00,2.00,6.00,4.00,6.50,4.00,8.00,5.00,5,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',7914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294200,2.00,3.00,2.00,7.00,6.00,4.00,0.00,4.00,3.00,319,NULL,NULL,'INDUSTRIAL','TAPURAH','MT',16614,364,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294218,3.00,4.00,1.00,1.00,4.00,NULL,3.00,4.00,2.00,310,NULL,NULL,'AIURê','AIURê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3294226,3.00,4.00,3.00,5.00,7.00,5.00,5.00,4.00,3.00,415,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',13119,341,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294234,3.00,2.00,1.00,2.00,6.00,NULL,3.00,3.00,2.00,2,NULL,NULL,'ITAJUBA','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3294250,5.00,8.00,6.00,9.00,4.00,6.25,2.00,8.00,6.00,207,NULL,201,'ITACORUBI','FLORIANOPOLIS','SC',3801,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3294269,4.00,2.00,1.00,3.00,4.00,NULL,2.00,2.00,4.00,319,NULL,NULL,'SANTA CRUZ','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294277,1.00,1.00,1.00,0.00,2.00,NULL,7.00,1.00,3.00,444,NULL,NULL,'BARRANCA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3294285,6.00,3.00,2.00,7.00,3.00,NULL,1.00,5.00,4.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294293,4.00,1.00,2.00,3.00,2.00,NULL,1.00,3.00,2.00,444,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3294323,3.00,5.00,4.00,7.00,4.00,5.50,1.00,7.00,5.00,103,NULL,NULL,'SãO JORGE','XANXERê','SC',10247,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3294331,3.00,4.00,3.00,3.00,3.00,NULL,4.00,0.00,4.00,101,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294340,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO HISTóRICO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3294358,3.00,2.00,3.00,7.00,3.00,NULL,5.00,5.00,5.00,301,NULL,NULL,'JOSE MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3294374,5.00,3.00,3.00,0.00,4.00,5.25,2.00,4.00,3.00,9,NULL,NULL,'CENTRO','LAGES','SC',16630,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3294382,6.00,6.00,3.00,7.00,6.00,5.25,4.00,6.00,2.00,309,NULL,NULL,'SERRARIA','S JOSé','SC',9802,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'SANTO ANTONIO DE LIS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3294404,3.00,2.00,5.00,7.00,3.00,NULL,2.00,6.00,2.00,333,NULL,NULL,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3294412,4.00,3.00,4.00,5.00,3.00,NULL,5.00,6.00,1.00,103,NULL,NULL,'STA TEREZINHA','CLEVELâNDIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3294420,1.00,2.00,4.00,9.00,4.00,5.00,2.00,1.00,3.00,451,NULL,NULL,'COSTA DE DENTRO','FLORIANóPOLIS','SC',15914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3294447,4.00,3.00,2.00,8.00,4.00,6.00,3.00,6.00,2.00,415,NULL,NULL,'JARDIM AEROPORTO','BAURU','SP',12913,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3294455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'SAO MATEUS','JZ FORA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3294463,6.00,8.00,1.00,3.00,6.00,6.75,2.00,7.00,6.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',8434,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3294471,3.00,6.00,4.00,4.00,2.00,NULL,3.00,5.00,4.00,5,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294498,3.00,6.00,2.00,1.00,3.00,NULL,2.00,6.00,4.00,213,NULL,202,'CENTRO','TRêS LAGOAS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294501,6.00,2.00,2.00,2.00,3.00,NULL,1.00,6.00,2.00,234,NULL,NULL,'N SRA DO ROSáRIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294510,4.00,1.00,2.00,2.00,4.00,NULL,1.00,3.00,4.00,205,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294528,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',3,1),(16,3294536,4.00,3.00,2.00,5.00,3.00,NULL,3.00,3.00,3.00,415,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294544,2.00,5.00,4.00,4.00,5.00,5.50,3.00,6.00,3.00,324,NULL,NULL,'TRIDADE','FLORIANóPOLIS','SC',13546,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'IGUATEMI','RIBEIRAO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3294579,6.00,2.00,1.00,3.00,0.00,NULL,2.00,5.00,3.00,9,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3294587,9.00,6.00,4.00,7.00,7.00,6.50,5.00,9.00,7.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',2004,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3294595,6.00,7.00,5.00,5.00,7.00,6.50,4.00,8.00,4.00,333,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',4567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294609,3.00,6.00,4.00,6.00,4.00,5.75,4.00,7.00,3.00,415,NULL,NULL,'CENTRO','PALHOçA','SC',10132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294617,7.00,8.00,6.00,9.00,5.00,5.00,5.00,7.00,5.00,203,NULL,216,'CENTRO','TAIó','SC',3393,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3294625,4.00,3.00,4.00,6.00,3.00,NULL,4.00,4.00,1.00,316,NULL,NULL,'S J DO RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294633,4.00,3.00,3.00,7.00,4.00,5.75,2.00,4.00,3.00,452,NULL,NULL,'CENTRO','S BORJA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294641,5.00,5.00,2.00,7.00,6.00,6.00,3.00,5.00,3.00,425,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',11200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294650,5.00,6.00,2.00,5.00,3.00,NULL,5.00,7.00,4.00,316,NULL,NULL,'PROMORA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294668,7.00,3.00,3.00,7.00,5.00,6.00,4.00,2.00,6.00,319,NULL,NULL,'KOBRASOL','S JOSé','SC',9946,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294676,5.00,4.00,2.00,5.00,2.00,NULL,2.00,1.00,1.00,501,NULL,NULL,'CENTRO','MARMELEIRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3294684,5.00,4.00,3.00,7.00,4.00,4.25,3.00,7.00,2.00,301,NULL,NULL,'PAGANI II','PALHOCA','SC',12578,258,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294692,4.00,5.00,4.00,6.00,7.00,5.75,4.00,8.00,5.00,238,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',7155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3294714,2.00,3.00,2.00,4.00,3.00,NULL,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','ENTRE RIOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3294722,4.00,5.00,3.00,7.00,8.00,5.25,2.00,8.00,4.00,310,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',8464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294730,7.00,8.00,4.00,9.00,5.00,7.50,4.00,7.00,7.00,103,NULL,NULL,'CORAL','LAGES','SC',2922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294749,5.00,5.00,2.00,7.00,4.00,5.50,3.00,7.00,4.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294757,6.00,6.00,7.00,6.00,6.00,5.50,2.00,9.00,6.00,220,NULL,238,'IRIRIU','JOINVILLE','SC',4561,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3294765,2.00,3.00,3.00,2.00,0.00,NULL,2.00,5.00,2.00,319,NULL,NULL,'SANTO ANTôNIO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3294773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IRINEóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3294781,6.00,4.00,3.00,8.00,5.00,5.25,2.00,2.00,3.00,319,NULL,NULL,'SANTA TEREZINHA','VACARIA','RS',13439,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3294803,2.00,5.00,4.00,7.00,4.00,5.75,2.00,3.00,5.00,503,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12204,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'NOSSA S DO ROSÁRIO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3294820,4.00,4.00,2.00,5.00,1.00,NULL,3.00,3.00,5.00,340,NULL,NULL,'UNIVERSITáRIO','CORUMBá','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294838,4.00,4.00,3.00,7.00,6.00,4.50,1.00,3.00,4.00,444,NULL,NULL,'SERRARIA','S JOSé','SC',14466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294846,3.00,1.00,3.00,0.00,4.00,NULL,3.00,5.00,2.00,301,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'EDGARTOWN','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3294862,2.00,2.00,2.00,6.00,4.00,NULL,1.00,4.00,1.00,308,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294870,1.00,1.00,1.00,5.00,0.00,NULL,1.00,3.00,3.00,427,NULL,425,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3294897,6.00,5.00,4.00,5.00,6.00,5.75,3.00,6.00,3.00,103,NULL,NULL,'CAMPINAS','S JOSé','SC',8872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294900,3.00,7.00,2.00,9.00,7.00,5.25,2.00,7.00,3.00,214,NULL,233,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294919,3.00,6.00,1.00,5.00,3.00,NULL,2.00,1.00,4.00,319,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294927,5.00,3.00,3.00,8.00,4.00,5.00,2.00,3.00,3.00,102,NULL,NULL,'CENTRO','DESCANSO','SC',14496,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3294935,5.00,6.00,3.00,4.00,5.00,5.75,2.00,5.00,4.00,216,NULL,NULL,'COMASA','JOINVILLE','SC',10538,368,NULL,NULL,NULL,NULL,NULL,4,8),(16,3294943,3.00,4.00,2.00,7.00,4.00,4.50,2.00,5.00,3.00,339,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294951,4.00,6.00,3.00,9.00,5.00,4.50,3.00,4.00,3.00,5,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',12014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3294960,3.00,1.00,2.00,1.00,3.00,NULL,2.00,0.00,2.00,103,NULL,NULL,'JARDIM NICOLAU','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3294978,4.00,4.00,1.00,5.00,4.00,NULL,2.00,1.00,3.00,444,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3294986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','RONDONóPOLIS','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3295001,4.00,3.00,3.00,6.00,4.00,5.75,2.00,3.00,3.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3295028,1.00,5.00,3.00,0.00,3.00,NULL,3.00,1.00,3.00,333,NULL,NULL,'PARQUE PRESIDENTE I','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3295036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE JARDIM','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3295052,2.00,5.00,1.00,0.00,6.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'CENTENáRIO','SAPIRANGA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295060,5.00,3.00,3.00,7.00,5.00,4.50,3.00,5.00,4.00,216,NULL,215,'REBOUçAS','CURITIBA','PR',13543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295079,5.00,4.00,4.00,1.00,4.00,4.75,3.00,2.00,3.00,202,NULL,201,'MARIA LUIZA','CASCAVEL','PR',16565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295087,2.00,0.00,1.00,1.00,1.00,NULL,1.00,1.00,1.00,223,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295095,5.00,5.00,4.00,7.00,6.00,4.75,3.00,7.00,5.00,415,NULL,NULL,'JD COLIBRI','MARíLIA','SP',7462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295109,6.00,2.00,2.00,6.00,5.00,6.50,3.00,5.00,3.00,104,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',13271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295117,5.00,6.00,2.00,7.00,6.00,6.75,3.00,6.00,6.00,340,NULL,NULL,'BARREIROS','S JOSé','SC',7770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295125,5.00,3.00,2.00,8.00,5.00,7.75,3.00,6.00,5.00,450,NULL,NULL,'VILA MARIANA','S PAULO','SP',9097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295133,6.00,8.00,4.00,7.00,8.00,5.75,5.00,7.00,6.00,450,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295150,7.00,6.00,5.00,5.00,6.00,5.50,4.00,7.00,6.00,103,NULL,NULL,'TATUAPE','S PAULO','SP',4314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295168,6.00,5.00,2.00,8.00,7.00,4.50,6.00,7.00,5.00,304,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',5832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295176,6.00,5.00,3.00,3.00,3.00,NULL,2.00,5.00,3.00,108,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295184,6.00,5.00,5.00,6.00,6.00,5.50,4.00,6.00,5.00,220,NULL,216,'PICADAS DO SUL','S JOSé','SC',8021,339,NULL,294,NULL,NULL,NULL,4,1),(16,3295192,3.00,4.00,1.00,3.00,5.00,5.50,1.00,7.00,4.00,303,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',15273,669,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3295214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','ANCHIETA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3295222,4.00,5.00,3.00,5.00,5.00,5.25,1.00,6.00,4.00,208,NULL,238,'CENTRO','CHAPECó','SC',12323,389,NULL,367,NULL,NULL,NULL,4,4),(16,3295230,1.00,7.00,3.00,4.00,5.00,6.25,1.00,5.00,0.00,426,NULL,428,'SACO DOS LIMOES','FLORIANóPOLIS','SC',15980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295249,3.00,4.00,4.00,0.00,3.00,NULL,3.00,3.00,4.00,211,NULL,201,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295265,3.00,6.00,2.00,2.00,3.00,NULL,2.00,3.00,2.00,203,NULL,NULL,'PORTAL DO LAGO','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3295281,7.00,7.00,8.00,3.00,7.00,4.75,7.00,8.00,7.00,233,NULL,213,'TRINDADE','FLORIANóPOLIS','SC',2103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295303,6.00,4.00,2.00,7.00,4.00,5.00,2.00,3.00,3.00,101,NULL,NULL,'BARREIROS','S JOSé','SC',14553,97,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3295320,4.00,7.00,4.00,6.00,3.00,NULL,1.00,6.00,3.00,220,NULL,214,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295354,2.00,4.00,2.00,3.00,6.00,NULL,3.00,3.00,1.00,303,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295362,6.00,7.00,4.00,8.00,7.00,5.50,3.00,7.00,4.00,207,NULL,215,'CENTRO','STO AMARO IMPERATRIZ','SC',5097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295370,3.00,5.00,2.00,7.00,5.00,4.50,2.00,4.00,1.00,203,NULL,213,'MIRIM','IMBITUBA','SC',15081,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3295389,6.00,5.00,3.00,7.00,5.00,4.75,5.00,6.00,5.00,220,NULL,203,'VILA DOS ALPES','GOIâNIA','GO',7794,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295397,4.00,4.00,5.00,4.00,3.00,NULL,3.00,7.00,6.00,216,NULL,211,'LIMOEIRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3295400,4.00,4.00,5.00,8.00,3.00,NULL,5.00,6.00,4.00,223,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3295419,3.00,3.00,3.00,2.00,2.00,NULL,3.00,4.00,2.00,301,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3295427,4.00,3.00,4.00,8.00,2.00,NULL,5.00,4.00,4.00,302,NULL,NULL,'LOANDA','ATIBAIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295435,5.00,9.00,5.00,9.00,7.00,5.25,4.00,8.00,5.00,203,NULL,207,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3295451,5.00,5.00,2.00,7.00,5.00,4.75,3.00,3.00,5.00,444,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',12219,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295460,5.00,6.00,4.00,7.00,4.00,5.75,3.00,6.00,1.00,502,NULL,NULL,'AGOSTINI','S MIGUEL OESTE','SC',10590,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295478,4.00,6.00,3.00,6.00,3.00,NULL,2.00,5.00,3.00,316,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295516,5.00,4.00,4.00,7.00,7.00,5.00,2.00,6.00,3.00,108,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',10161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295524,0.00,1.00,2.00,6.00,1.00,NULL,4.00,4.00,4.00,101,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3295532,1.00,2.00,2.00,0.00,2.00,NULL,1.00,4.00,2.00,319,NULL,NULL,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295540,4.00,3.00,4.00,3.00,5.00,NULL,2.00,1.00,3.00,426,NULL,NULL,'JURERÊ','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295559,6.00,7.00,5.00,3.00,5.00,6.50,3.00,5.00,4.00,318,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',8941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295567,1.00,3.00,2.00,6.00,4.00,NULL,1.00,3.00,2.00,310,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3295583,3.00,3.00,2.00,6.00,4.00,NULL,2.00,3.00,2.00,329,NULL,NULL,'ROSáRIO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3295591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3295605,0.00,7.00,2.00,7.00,6.00,5.50,3.00,7.00,2.00,328,NULL,NULL,'PORTO DA LAGOA','FLORIANóPOLIS','SC',11605,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295613,4.00,5.00,1.00,5.00,3.00,NULL,3.00,3.00,3.00,302,NULL,NULL,'ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295621,3.00,1.00,2.00,5.00,3.00,NULL,1.00,2.00,3.00,5,NULL,NULL,'SÃO SEBASTIÃO','XANXERE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3295630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PARAGUAI','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3295648,4.00,2.00,1.00,6.00,4.00,6.25,3.00,5.00,1.00,415,NULL,NULL,'KOBRASOL','S JOSé','SC',16050,407,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295656,3.00,6.00,3.00,6.00,3.00,NULL,2.00,8.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295672,3.00,4.00,4.00,1.00,4.00,4.25,2.00,2.00,5.00,220,NULL,212,'CONCORDIA DO OESTE','NOVA CONCóRDIA','PR',16538,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3295680,3.00,3.00,2.00,1.00,4.00,5.75,3.00,4.00,4.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295699,6.00,4.00,2.00,6.00,5.00,5.50,1.00,7.00,3.00,501,NULL,NULL,'PASSA VINTE','PALHOçA','SC',13302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ARMACAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3295729,6.00,6.00,5.00,8.00,5.00,6.75,4.00,6.00,6.00,340,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',5432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295737,4.00,4.00,2.00,5.00,4.00,5.50,2.00,4.00,4.00,303,NULL,NULL,'CENTRO','CEL FREITAS','SC',14727,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3295745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','MAXIMILIANO ALMEIDA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3295753,4.00,1.00,3.00,0.00,4.00,NULL,3.00,2.00,2.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295761,7.00,6.00,6.00,9.00,5.00,6.00,3.00,8.00,7.00,103,NULL,NULL,'JARDIM ITATIAIA','LONDRINA','PR',2664,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3295770,5.00,4.00,4.00,3.00,1.00,NULL,3.00,5.00,3.00,223,NULL,NULL,'ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA HORIZONTE','PARANAGUá','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3295800,7.00,5.00,7.00,3.00,6.00,6.25,3.00,6.00,7.00,215,NULL,216,'CENTRO','RIBEIRãO PRETO','SP',5366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295818,0.00,3.00,3.00,8.00,1.00,NULL,2.00,7.00,5.00,101,NULL,NULL,'FORTALEZA DA BARRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295826,3.00,2.00,1.00,6.00,0.00,NULL,2.00,3.00,3.00,102,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295834,8.00,6.00,8.00,8.00,7.00,7.50,6.00,8.00,7.00,103,NULL,NULL,'SãO CIRO','CAXIAS SUL','RS',784,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3295842,5.00,5.00,2.00,6.00,4.00,6.00,1.00,6.00,3.00,104,NULL,NULL,'CENTRO','PR GRANDE','SC',12942,362,NULL,NULL,NULL,NULL,NULL,2,5),(16,3295850,7.00,5.00,7.00,4.00,5.00,5.75,3.00,9.00,6.00,103,NULL,NULL,'TACCA','XANXERê','SC',4928,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3295869,5.00,5.00,3.00,5.00,6.00,5.25,2.00,4.00,4.00,316,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',11872,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295877,6.00,4.00,5.00,6.00,5.00,5.75,3.00,4.00,4.00,104,NULL,NULL,'JARDIM VILA OSASCO','OSASCO','SP',10203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3295893,4.00,3.00,2.00,4.00,5.00,4.75,2.00,3.00,2.00,212,NULL,201,'KOBRASOL','S JOSé','SC',16336,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295923,6.00,6.00,7.00,8.00,7.00,7.00,4.00,6.00,6.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',2460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295931,3.00,2.00,2.00,7.00,0.00,NULL,1.00,3.00,4.00,301,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295940,4.00,3.00,2.00,3.00,2.00,NULL,1.00,2.00,2.00,301,NULL,NULL,'CENTRO','S MARTINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3295958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3295966,6.00,5.00,4.00,3.00,4.00,5.75,2.00,5.00,4.00,223,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3295982,4.00,6.00,3.00,5.00,8.00,6.50,3.00,6.00,3.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8920,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3295990,2.00,3.00,1.00,1.00,0.00,NULL,1.00,4.00,5.00,318,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3296008,3.00,4.00,3.00,5.00,6.00,4.00,1.00,5.00,3.00,203,NULL,212,'BALNEARIO','FLORIANóPOLIS','SC',14764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296016,4.00,5.00,2.00,3.00,5.00,5.00,3.00,5.00,3.00,201,NULL,208,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3296024,5.00,3.00,2.00,6.00,3.00,NULL,4.00,6.00,3.00,208,NULL,201,'VILA NOVA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3296032,0.00,0.00,0.00,4.00,1.00,NULL,0.00,0.00,0.00,220,NULL,202,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3296040,4.00,3.00,1.00,3.00,6.00,NULL,3.00,3.00,5.00,202,NULL,207,'INDUSTRIAL','FRANCISCO BELTRãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3296059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3296075,6.00,1.00,3.00,5.00,7.00,6.50,5.00,5.00,4.00,333,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',9070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3296083,9.00,5.00,9.00,3.00,6.00,7.25,4.00,6.00,7.00,103,NULL,NULL,'ACLIMACAO','S PAULO','SP',2414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3296105,2.00,7.00,4.00,6.00,5.00,4.75,1.00,4.00,4.00,2,NULL,NULL,'UNIVERSITáRIO','TIJUCAS','SC',13232,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'COHAB','CAMBUí','MG',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3296121,5.00,5.00,2.00,0.00,0.00,NULL,2.00,8.00,6.00,102,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(16,3296130,4.00,4.00,2.00,6.00,5.00,5.50,3.00,4.00,3.00,234,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12391,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296148,2.00,3.00,3.00,3.00,2.00,NULL,3.00,3.00,4.00,101,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'AGUA BRANCA','ILHABELA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3296164,4.00,3.00,2.00,3.00,5.00,NULL,0.00,4.00,2.00,104,NULL,NULL,'SãO JUDAS','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3296172,8.00,7.00,9.00,7.00,6.00,7.50,6.00,7.00,8.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',1112,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296180,3.00,3.00,2.00,1.00,3.00,NULL,1.00,3.00,2.00,302,NULL,NULL,'LOURO','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3296199,4.00,4.00,2.00,3.00,3.00,NULL,1.00,2.00,1.00,101,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3296210,1.00,4.00,3.00,4.00,3.00,NULL,2.00,4.00,2.00,203,NULL,238,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296229,5.00,3.00,5.00,6.00,7.00,5.75,2.00,3.00,3.00,329,NULL,NULL,'UNIVERSITáRIO','LAGES','SC',12630,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3296237,4.00,3.00,4.00,6.00,5.00,4.75,4.00,4.00,1.00,319,NULL,NULL,'KOBRASOL','S JOSé','SC',14662,313,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3296253,5.00,3.00,2.00,3.00,4.00,4.75,2.00,4.00,3.00,501,NULL,NULL,'CENTRO','MARIóPOLIS','PR',16479,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3296261,4.00,6.00,3.00,7.00,6.00,6.50,2.00,4.00,5.00,308,NULL,NULL,'BARREIROS','S JOSé','SC',9217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296270,5.00,5.00,1.00,5.00,4.00,5.00,3.00,4.00,4.00,201,NULL,215,'RIO BELO','ORLEANS','SC',14599,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3296288,0.00,3.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3296296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,220,'CENTRO','CAPãO BONITO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3296300,5.00,3.00,4.00,9.00,4.00,5.25,5.00,4.00,2.00,201,NULL,207,'CENTRO BALN CAMBORI','BAL CAMBORIú','SC',10364,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3296318,9.00,8.00,9.00,10.00,8.00,4.50,7.00,9.00,9.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAíBA','SP',100,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3296342,2.00,2.00,4.00,4.00,2.00,NULL,3.00,2.00,4.00,301,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296350,5.00,2.00,4.00,8.00,4.00,2.50,2.00,5.00,0.00,211,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3296377,6.00,7.00,6.00,5.00,7.00,5.00,4.00,5.00,7.00,220,NULL,202,'SANTA PAULA','S CARLOS','SP',4957,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3296385,4.00,3.00,1.00,8.00,4.00,6.25,2.00,2.00,4.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3296393,2.00,3.00,2.00,1.00,3.00,NULL,0.00,0.00,0.00,233,NULL,216,'VILA FRANCESA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,5),(16,3296415,3.00,5.00,2.00,2.00,5.00,5.50,2.00,3.00,3.00,415,NULL,NULL,'CENTRO','MONDAí','SC',16375,414,NULL,NULL,NULL,NULL,NULL,4,4),(16,3296423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3296440,4.00,4.00,4.00,8.00,6.00,5.25,3.00,3.00,4.00,214,NULL,220,'ALTO DA XV','CURITIBA','PR',10866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296458,1.00,3.00,1.00,1.00,5.00,NULL,1.00,6.00,4.00,238,NULL,208,'SANTO ANTôNIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3296474,5.00,5.00,2.00,8.00,6.00,6.50,3.00,5.00,4.00,103,NULL,NULL,'VILA REZENDE','PIRACICABA','SP',9348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3296504,4.00,5.00,6.00,8.00,3.00,NULL,3.00,7.00,2.00,208,NULL,203,'SAO JOAO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3296512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'SERRA ALTA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3296520,2.00,5.00,4.00,9.00,7.00,6.75,1.00,7.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3296539,4.00,1.00,2.00,3.00,2.00,NULL,1.00,1.00,3.00,101,NULL,NULL,'BARRA DO SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296547,4.00,3.00,1.00,4.00,9.00,NULL,1.00,4.00,1.00,502,NULL,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3296555,2.00,3.00,4.00,6.00,6.00,5.75,1.00,0.00,4.00,103,NULL,NULL,'CENTRO','CORUPá','SC',15577,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3296563,3.00,4.00,3.00,5.00,4.00,5.50,5.00,4.00,2.00,428,NULL,424,'BOM ABRIGO','FLORIANóPOLIS','SC',14622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296571,7.00,2.00,3.00,8.00,7.00,4.25,2.00,1.00,2.00,453,NULL,NULL,'PEREQUE','PTO BELO','SC',13666,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3296580,4.00,2.00,3.00,5.00,3.00,NULL,4.00,5.00,2.00,316,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296598,3.00,5.00,5.00,9.00,4.00,4.50,5.00,7.00,5.00,203,NULL,238,'CENTRO','CASCAVEL','PR',7630,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3296601,4.00,5.00,4.00,6.00,7.00,5.00,5.00,6.00,5.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3296628,6.00,7.00,6.00,8.00,6.00,4.75,3.00,6.00,4.00,420,NULL,NULL,'HIGENóPOLIS','PTO ALEGRE','RS',5103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296636,4.00,4.00,3.00,5.00,5.00,5.50,3.00,5.00,4.00,238,NULL,208,'CENTRO','TUBARãO','SC',13747,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3296644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'COMERCIáRIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3296652,5.00,3.00,2.00,6.00,5.00,5.25,2.00,4.00,3.00,415,NULL,NULL,'JARDIM MOTORAMA','S JOSé CAMPOS','SP',14142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296660,2.00,3.00,2.00,0.00,2.00,NULL,2.00,2.00,2.00,213,NULL,202,'BARRA FRIA','LACERDóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3296679,5.00,4.00,3.00,7.00,4.00,5.00,4.00,4.00,3.00,207,NULL,203,'CENTRO','IBITINGA','SP',12134,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3296687,5.00,5.00,2.00,4.00,4.00,4.75,3.00,8.00,6.00,501,NULL,NULL,'CENTRO','BRAçO NORTE','SC',10374,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3296695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3296709,5.00,6.00,3.00,2.00,4.00,4.75,2.00,7.00,5.00,317,NULL,NULL,'CENTRO','PALHOçA','SC',11932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3296717,2.00,2.00,1.00,5.00,2.00,NULL,1.00,2.00,4.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296725,6.00,5.00,4.00,3.00,6.00,5.50,2.00,5.00,3.00,324,NULL,NULL,'FAZENDA SNTO ANTôNIO','S JOSé','SC',11145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3296741,4.00,1.00,2.00,5.00,4.00,NULL,1.00,5.00,2.00,215,NULL,211,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296768,6.00,5.00,4.00,7.00,6.00,4.25,1.00,6.00,2.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3296792,3.00,5.00,4.00,7.00,2.00,NULL,1.00,5.00,4.00,108,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296806,3.00,2.00,2.00,3.00,2.00,NULL,3.00,3.00,1.00,340,NULL,NULL,'ITANHANGA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296814,5.00,6.00,5.00,9.00,8.00,7.50,3.00,6.00,5.00,233,NULL,211,'SANTA MONICA','FLORIANóPOLIS','SC',4435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3296822,3.00,2.00,3.00,2.00,1.00,NULL,3.00,4.00,5.00,303,NULL,NULL,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3296830,6.00,7.00,7.00,9.00,7.00,8.25,6.00,7.00,7.00,415,NULL,NULL,'VELHA','BLUMENAU','SC',1058,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3296865,6.00,4.00,1.00,6.00,6.00,5.25,1.00,5.00,5.00,212,NULL,201,'CENTRO','XAXIM','SC',13340,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3296873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3296881,3.00,2.00,2.00,2.00,3.00,NULL,3.00,3.00,3.00,308,NULL,NULL,'CANUDOS','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296890,2.00,2.00,4.00,3.00,2.00,NULL,3.00,6.00,1.00,9,NULL,NULL,'CAéTE','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3296903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3296911,6.00,6.00,4.00,3.00,4.00,5.00,2.00,5.00,4.00,238,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',12583,383,NULL,404,NULL,NULL,NULL,4,1),(16,3296920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PIONEIROS','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3296938,7.00,4.00,4.00,6.00,2.00,NULL,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','IPIRANGA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296954,5.00,5.00,4.00,7.00,6.00,5.25,4.00,6.00,6.00,319,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',6636,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3296962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CONJUNTO VIOLIN','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3296970,4.00,8.00,3.00,8.00,6.00,6.00,2.00,5.00,4.00,102,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',8253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3296997,8.00,6.00,4.00,7.00,6.00,5.50,3.00,6.00,6.00,104,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',5292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297004,6.00,6.00,3.00,6.00,5.00,6.00,3.00,7.00,4.00,108,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3297012,4.00,4.00,2.00,4.00,2.00,NULL,1.00,3.00,2.00,404,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297039,3.00,1.00,2.00,4.00,4.00,NULL,4.00,1.00,3.00,103,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3297055,4.00,3.00,4.00,8.00,7.00,5.75,4.00,6.00,6.00,207,NULL,216,'BORTOLUZZI','NOVA VENEZA','SC',7478,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3297063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'UNIÃO','S JOãO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3297071,1.00,3.00,2.00,5.00,2.00,NULL,3.00,3.00,2.00,302,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297098,6.00,5.00,2.00,8.00,5.00,5.75,3.00,3.00,3.00,444,NULL,NULL,'CENTRO','CONCóRDIA','SC',11930,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3297101,4.00,6.00,3.00,3.00,5.00,5.50,2.00,3.00,4.00,220,NULL,233,'SANTA AUGUSTA','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3297110,6.00,3.00,3.00,5.00,6.00,6.00,2.00,4.00,4.00,340,NULL,NULL,'CENTRO','STA MARIA','RS',13480,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297136,6.00,6.00,3.00,5.00,5.00,5.25,4.00,7.00,6.00,238,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297144,3.00,4.00,2.00,6.00,4.00,4.75,2.00,5.00,2.00,309,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3297160,5.00,3.00,2.00,6.00,5.00,4.00,1.00,1.00,2.00,9,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',16581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297179,7.00,8.00,4.00,9.00,6.00,5.75,4.00,9.00,5.00,213,NULL,208,'ITACORUBI','FLORIANóPOLIS','SC',2769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297187,5.00,3.00,2.00,1.00,2.00,NULL,3.00,5.00,2.00,104,NULL,NULL,'CENTRO','BARRACãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3297195,6.00,3.00,2.00,8.00,6.00,6.25,1.00,6.00,3.00,340,NULL,NULL,'QUARTA LINHA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3297209,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'PARQUE DA LAGOA','ITAPETININGA','SP',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3297225,3.00,5.00,4.00,8.00,5.00,5.50,2.00,5.00,5.00,211,NULL,213,'ARMAçãO DO PâNTANO','FLORIANóPOLIS','SC',9808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297233,7.00,6.00,6.00,8.00,5.00,6.25,4.00,7.00,3.00,207,NULL,215,'SERRARIA','S JOSé','SC',5172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297241,3.00,5.00,3.00,2.00,2.00,NULL,2.00,1.00,5.00,316,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297250,0.00,2.00,2.00,0.00,2.00,NULL,3.00,6.00,1.00,9,NULL,NULL,'LOMBA ALTA','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297276,3.00,7.00,3.00,8.00,7.00,5.25,3.00,6.00,4.00,103,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',8572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297284,3.00,4.00,2.00,2.00,1.00,NULL,2.00,1.00,2.00,101,NULL,NULL,'CIGANA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297292,2.00,4.00,1.00,2.00,3.00,NULL,5.00,4.00,4.00,201,NULL,212,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297306,3.00,6.00,4.00,5.00,4.00,4.25,3.00,6.00,2.00,427,NULL,429,'COQUEIROS','FLORIANóPOLIS','SC',13124,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3297314,4.00,5.00,2.00,8.00,3.00,NULL,4.00,6.00,3.00,340,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3297330,3.00,1.00,4.00,2.00,4.00,NULL,2.00,3.00,1.00,102,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3297349,7.00,9.00,6.00,8.00,6.00,6.50,4.00,7.00,6.00,415,NULL,NULL,'VILA SANTA TERESA','BAURU','SP',2285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297357,5.00,3.00,5.00,8.00,6.00,5.50,2.00,4.00,3.00,303,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',10694,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3297365,6.00,7.00,3.00,0.00,7.00,6.00,3.00,5.00,5.00,453,NULL,NULL,'CENTRO','TUBARãO','SC',10566,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3297381,6.00,4.00,4.00,7.00,3.00,NULL,3.00,3.00,4.00,340,NULL,NULL,'JARDIM ITáLIA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3297390,5.00,5.00,6.00,7.00,5.00,5.50,5.00,6.00,5.00,214,NULL,212,'MORRO DA GLóRIA','URUSSANGA','SC',5781,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3297403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3297411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PIONEIROS','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3297420,2.00,3.00,1.00,1.00,3.00,NULL,1.00,2.00,3.00,211,NULL,NULL,'QUARTA LINHA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3297438,2.00,3.00,3.00,5.00,2.00,NULL,2.00,2.00,2.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297446,3.00,1.00,2.00,2.00,3.00,NULL,4.00,4.00,0.00,9,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PQ INDEPENDENCIA','SAO PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3297462,3.00,3.00,4.00,7.00,3.00,NULL,1.00,3.00,5.00,208,NULL,238,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297470,3.00,0.00,3.00,1.00,3.00,NULL,3.00,2.00,2.00,212,NULL,201,'MATO ALTO','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3297489,3.00,6.00,4.00,5.00,5.00,4.25,3.00,7.00,6.00,203,NULL,220,'DEHON','TUBARãO','SC',9709,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3297497,4.00,7.00,3.00,4.00,5.00,5.50,1.00,6.00,5.00,216,NULL,207,'CENTRO','CAMPINAS SUL','RS',10388,363,NULL,499,NULL,NULL,NULL,4,4),(16,3297500,5.00,5.00,3.00,4.00,5.00,5.25,2.00,2.00,1.00,207,NULL,NULL,'CENTRO','JOAçABA','SC',15989,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3297519,9.00,8.00,6.00,5.00,7.00,4.75,7.00,9.00,9.00,203,NULL,233,'CENTRO','STA MARIA','RS',865,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3297527,6.00,5.00,3.00,4.00,7.00,6.00,4.00,7.00,3.00,108,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',9667,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'AURORA','IçARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3297543,3.00,2.00,2.00,8.00,4.00,5.50,2.00,6.00,2.00,216,NULL,201,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'NOVA LONDRES','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3297560,6.00,6.00,5.00,7.00,7.00,7.25,3.00,6.00,5.00,103,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',5254,1546,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297578,2.00,6.00,3.00,8.00,5.00,5.00,5.00,8.00,3.00,5,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',8868,337,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297586,4.00,4.00,5.00,7.00,4.00,4.50,3.00,6.00,4.00,201,NULL,212,'INTERIOR','ERECHIM','RS',10526,815,NULL,305,NULL,NULL,NULL,2,7),(16,3297594,8.00,8.00,7.00,9.00,7.00,6.75,5.00,9.00,8.00,103,NULL,NULL,'CENTRO','CACHOEIRA SUL','RS',349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297616,4.00,4.00,4.00,4.00,3.00,NULL,3.00,1.00,2.00,308,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297624,3.00,6.00,2.00,7.00,6.00,6.50,4.00,5.00,5.00,303,NULL,NULL,'JARDIM CAIçARA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3297632,5.00,4.00,3.00,5.00,5.00,4.00,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',15220,2710,NULL,NULL,NULL,NULL,NULL,2,8),(16,3297640,4.00,5.00,6.00,5.00,5.00,4.50,3.00,4.00,3.00,211,NULL,202,'TRINDADE','FLORIANóPOLIS','SC',12149,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3297659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'VILA BOEIRA','CANELA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3297667,8.00,5.00,3.00,7.00,5.00,5.75,3.00,6.00,6.00,108,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',5938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297675,6.00,4.00,3.00,7.00,5.00,6.50,3.00,5.00,6.00,303,NULL,NULL,'CENTRO II','BRUSQUE','SC',8186,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3297683,4.00,6.00,2.00,9.00,5.00,5.75,3.00,3.00,4.00,304,NULL,NULL,'NOSSA SRA DE FáTIMA','XANXERê','SC',9782,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3297705,3.00,6.00,2.00,8.00,4.00,7.75,2.00,7.00,2.00,303,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',11118,486,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297713,3.00,1.00,3.00,1.00,4.00,NULL,1.00,3.00,4.00,420,NULL,NULL,'SANGA DA TOCA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,220,'GRAVATá','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3297730,2.00,2.00,3.00,5.00,4.00,NULL,2.00,4.00,1.00,207,NULL,211,'CENTRO','AT BELA VISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3297748,5.00,3.00,2.00,8.00,1.00,NULL,4.00,5.00,2.00,303,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297756,4.00,1.00,3.00,8.00,6.00,6.00,3.00,3.00,4.00,415,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',12799,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3297772,7.00,5.00,2.00,2.00,3.00,NULL,4.00,2.00,4.00,201,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3297780,4.00,2.00,2.00,6.00,3.00,NULL,0.00,6.00,2.00,9,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297802,5.00,4.00,4.00,2.00,5.00,5.50,4.00,5.00,3.00,216,NULL,215,'VILA NOVA','JARAGUá SUL','SC',13342,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3297810,5.00,3.00,1.00,5.00,5.00,6.75,3.00,4.00,3.00,103,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297829,4.00,4.00,2.00,7.00,7.00,4.25,3.00,7.00,3.00,309,NULL,NULL,'ITAUM','JOINVILLE','SC',12338,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3297837,8.00,5.00,6.00,6.00,5.00,4.75,3.00,7.00,7.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4919,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297845,7.00,7.00,8.00,9.00,8.00,5.50,4.00,9.00,8.00,103,NULL,NULL,'NUCLEO BANDEIRANTE','NUCLEO BANDEIRANTE','DF',880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297853,6.00,7.00,2.00,6.00,6.00,5.50,1.00,7.00,4.00,101,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',9701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297870,5.00,6.00,2.00,6.00,8.00,4.75,1.00,6.00,3.00,5,NULL,NULL,'VELHA','BLUMENAU','SC',9975,370,NULL,NULL,NULL,NULL,NULL,4,2),(16,3297888,0.00,3.00,3.00,4.00,4.00,4.50,1.00,7.00,3.00,421,NULL,427,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',16691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297896,5.00,4.00,2.00,5.00,4.00,5.50,2.00,2.00,1.00,5,NULL,NULL,'METROPOLITANA','CRICIúMA','SC',16386,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3297900,4.00,4.00,1.00,5.00,4.00,6.00,3.00,5.00,3.00,326,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',15403,73,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297918,3.00,4.00,1.00,4.00,4.00,6.00,2.00,6.00,4.00,201,NULL,212,'ESTREITO','FLORIANóPOLIS','SC',15698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297926,2.00,3.00,1.00,2.00,2.00,NULL,1.00,3.00,5.00,333,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3297934,3.00,7.00,4.00,4.00,6.00,7.25,2.00,6.00,5.00,302,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',8845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PLANO DIRETOR SUL','PALMAS','TO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3297977,3.00,4.00,2.00,3.00,4.00,3.25,3.00,6.00,3.00,421,NULL,427,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3297985,3.00,3.00,2.00,6.00,3.00,NULL,3.00,3.00,2.00,317,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298000,3.00,3.00,3.00,4.00,1.00,NULL,3.00,1.00,3.00,415,NULL,NULL,'CENTRO','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298027,3.00,5.00,4.00,8.00,7.00,6.25,2.00,7.00,2.00,424,NULL,421,'JURERê','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298035,4.00,7.00,2.00,4.00,3.00,NULL,4.00,5.00,2.00,340,NULL,NULL,'RIO CACHOEIRINHAS','GR PARá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3298043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3298060,4.00,4.00,4.00,4.00,6.00,4.25,2.00,6.00,3.00,453,NULL,NULL,'IPIRANGA','S JOSé','SC',13784,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298078,2.00,4.00,2.00,6.00,5.00,6.75,1.00,6.00,6.00,216,NULL,215,'COMASA','JOINVILLE','SC',12451,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3298086,7.00,8.00,6.00,9.00,8.00,5.75,3.00,9.00,7.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',1350,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3298094,0.00,0.00,0.00,8.00,6.00,NULL,0.00,0.00,0.00,220,NULL,203,'SOBRADINHO','SOBRADINHO','DF',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3298116,4.00,1.00,2.00,1.00,3.00,NULL,4.00,4.00,5.00,333,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298124,3.00,4.00,5.00,0.00,4.00,5.25,1.00,6.00,3.00,103,NULL,NULL,'POçO RICO','OTACíLIO COSTA','SC',16460,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3298132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM EUROPA','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3298140,1.00,1.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'BELA VISTA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3298159,7.00,6.00,3.00,7.00,4.00,5.00,2.00,5.00,3.00,211,NULL,213,'ARMAçãO DO PâNTANO','FLORIANóPOLIS','SC',10062,325,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BORTOLUZZI','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3298175,4.00,3.00,1.00,4.00,5.00,4.00,2.00,6.00,2.00,304,NULL,NULL,'BARREIROS','S JOSé','SC',16136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298191,5.00,6.00,4.00,6.00,5.00,6.25,4.00,5.00,5.00,103,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',7105,1857,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298205,4.00,5.00,1.00,8.00,8.00,5.75,2.00,4.00,0.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13335,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298213,2.00,2.00,4.00,7.00,3.00,NULL,1.00,4.00,2.00,308,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298248,4.00,1.00,1.00,6.00,4.00,5.75,2.00,3.00,4.00,319,NULL,NULL,'BARREIROS','S JOSé','SC',16426,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298256,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','SIDERóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,5),(16,3298272,5.00,2.00,4.00,4.00,3.00,NULL,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3298280,6.00,6.00,2.00,7.00,6.00,4.25,2.00,6.00,3.00,331,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',10830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298299,1.00,2.00,3.00,1.00,2.00,NULL,1.00,3.00,2.00,415,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298302,3.00,5.00,1.00,4.00,2.00,NULL,2.00,4.00,4.00,427,NULL,421,'PIO CORREA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3298310,3.00,6.00,6.00,9.00,4.00,6.75,3.00,5.00,5.00,340,NULL,NULL,'ITANHANGA','CPO GRANDE','MS',6837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298337,8.00,5.00,5.00,9.00,7.00,6.50,6.00,8.00,8.00,317,NULL,NULL,'CENTRO','CANOAS','RS',1365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298345,3.00,7.00,3.00,6.00,4.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'BELA VISTA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3298353,8.00,8.00,8.00,9.00,7.00,7.00,7.00,7.00,7.00,220,NULL,214,'CENTRO','FLORIANóPOLIS','SC',401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298361,2.00,1.00,2.00,6.00,3.00,NULL,1.00,2.00,1.00,444,NULL,NULL,'SERTAO DO MARUIN','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3298396,8.00,6.00,6.00,7.00,6.00,8.25,5.00,7.00,6.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',1926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298400,4.00,5.00,3.00,6.00,2.00,NULL,1.00,2.00,2.00,426,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3298426,3.00,4.00,3.00,6.00,3.00,NULL,4.00,6.00,2.00,5,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3298434,6.00,2.00,2.00,8.00,6.00,6.50,3.00,2.00,6.00,103,NULL,NULL,'PIO X','CAXIAS SUL','RS',11147,2349,NULL,NULL,NULL,NULL,NULL,2,10),(16,3298442,7.00,6.00,5.00,4.00,7.00,6.00,2.00,7.00,5.00,103,NULL,NULL,'SAGUAçú','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3298477,2.00,2.00,3.00,6.00,6.00,5.25,2.00,6.00,1.00,326,NULL,NULL,'CENTRO','GAROPABA','SC',14988,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'AURORA','IçARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3298493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'ARMAÇÃO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3298507,2.00,4.00,1.00,6.00,2.00,NULL,3.00,5.00,2.00,207,NULL,201,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3298515,4.00,3.00,3.00,5.00,2.00,NULL,2.00,4.00,3.00,233,NULL,220,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3298523,5.00,4.00,5.00,1.00,2.00,NULL,2.00,2.00,4.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298540,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3298558,3.00,1.00,3.00,5.00,4.00,NULL,3.00,3.00,3.00,308,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298566,4.00,3.00,3.00,7.00,4.00,4.25,2.00,3.00,3.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298574,2.00,6.00,2.00,2.00,2.00,NULL,2.00,2.00,5.00,444,NULL,NULL,'JURERE INTERNACIONAL','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298582,3.00,0.00,1.00,1.00,3.00,NULL,0.00,1.00,0.00,404,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3298590,6.00,3.00,6.00,8.00,7.00,6.25,4.00,5.00,4.00,415,NULL,NULL,'JARDIM PALERMO','S BERNARDO CAMPO','SP',6725,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298604,4.00,4.00,4.00,5.00,5.00,5.50,4.00,3.00,2.00,450,NULL,NULL,'CONSOLAçãO','S PAULO','SP',15354,129,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298612,1.00,1.00,1.00,2.00,3.00,NULL,3.00,3.00,2.00,444,NULL,NULL,'CENTRO','RIO CEDROS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3298620,4.00,6.00,3.00,9.00,4.00,5.00,4.00,6.00,5.00,211,NULL,208,'JARDIM CARAVELAS','S PAULO','SP',8167,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3298639,5.00,7.00,6.00,7.00,5.00,6.25,3.00,7.00,3.00,316,NULL,NULL,'CENTRO','CANOAS','RS',7059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298647,6.00,2.00,3.00,5.00,6.00,4.75,3.00,5.00,5.00,108,NULL,NULL,'CENTRO','SERRA NEGRA','SP',11972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298655,3.00,7.00,5.00,8.00,4.00,6.50,5.00,7.00,4.00,501,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',5683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298680,4.00,3.00,1.00,6.00,3.00,NULL,1.00,0.00,1.00,502,NULL,NULL,'MORRO DA BINA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298698,7.00,6.00,2.00,6.00,7.00,4.00,5.00,8.00,7.00,207,NULL,215,'COSTEIRA PIRAJUBAÉ','FLORIANóPOLIS','SC',4539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298701,4.00,6.00,2.00,5.00,6.00,7.75,3.00,4.00,3.00,426,NULL,423,'SACO GRANDE','FLORIANóPOLIS','SC',12253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298710,4.00,5.00,6.00,5.00,3.00,NULL,3.00,6.00,2.00,202,NULL,238,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3298736,4.00,1.00,2.00,6.00,2.00,NULL,2.00,2.00,3.00,201,NULL,212,'MORRO DO MEIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3298744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD IPANEMA','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3298752,4.00,2.00,3.00,4.00,4.00,6.25,3.00,4.00,4.00,102,NULL,NULL,'CENTRO','ERECHIM','RS',14778,270,NULL,NULL,NULL,NULL,NULL,4,7),(16,3298760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'PINHEIRA','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3298779,5.00,2.00,2.00,7.00,3.00,NULL,4.00,3.00,3.00,444,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298787,7.00,6.00,4.00,8.00,6.00,4.25,3.00,7.00,6.00,5,NULL,NULL,'CENTRO','TURVO','SC',5040,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3298795,3.00,2.00,3.00,2.00,2.00,NULL,0.00,3.00,5.00,309,NULL,NULL,'ENSEADA DE BRITO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298809,5.00,4.00,3.00,3.00,2.00,NULL,2.00,0.00,3.00,103,NULL,NULL,'URUSSANGUINHA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3298817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3298825,5.00,8.00,1.00,8.00,4.00,6.00,2.00,8.00,8.00,104,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',5724,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3298833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'PONTA PRAIA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3298868,1.00,1.00,1.00,2.00,2.00,NULL,2.00,1.00,3.00,207,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298876,4.00,4.00,2.00,6.00,4.00,3.00,1.00,6.00,2.00,207,NULL,201,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298892,4.00,4.00,4.00,7.00,5.00,4.00,1.00,4.00,4.00,404,NULL,NULL,'ROçADO','S JOSé','SC',13769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298906,3.00,4.00,2.00,3.00,4.00,NULL,3.00,2.00,2.00,207,NULL,215,'APARECIDA','CHAPADA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3298914,5.00,4.00,2.00,8.00,4.00,5.75,2.00,5.00,3.00,453,NULL,NULL,'BUCAREIN','JOINVILLE','SC',11648,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3298922,4.00,3.00,2.00,7.00,5.00,6.75,5.00,5.00,4.00,302,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',10540,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298930,3.00,2.00,1.00,3.00,5.00,NULL,3.00,4.00,1.00,453,NULL,NULL,'BALNEARIO ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298949,3.00,3.00,5.00,2.00,0.00,NULL,1.00,3.00,3.00,104,NULL,NULL,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298957,4.00,3.00,2.00,0.00,2.00,NULL,3.00,3.00,3.00,203,NULL,207,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3298965,6.00,4.00,4.00,6.00,7.00,6.25,2.00,7.00,6.00,501,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',7276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298973,2.00,1.00,4.00,3.00,3.00,NULL,3.00,3.00,2.00,339,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3298981,4.00,6.00,2.00,8.00,5.00,6.00,4.00,8.00,2.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3298990,3.00,3.00,3.00,6.00,6.00,5.50,4.00,4.00,5.00,103,NULL,NULL,'SANTA CRUZ','GUARAPUAVA','PR',12252,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299007,3.00,5.00,4.00,3.00,4.00,4.25,4.00,4.00,3.00,415,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',15593,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299015,7.00,7.00,6.00,8.00,3.00,NULL,4.00,8.00,7.00,213,NULL,238,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3299023,4.00,4.00,4.00,5.00,4.00,4.75,1.00,4.00,4.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299031,5.00,4.00,1.00,7.00,3.00,NULL,4.00,4.00,1.00,319,NULL,NULL,'SÃO MARCOS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(16,3299040,3.00,5.00,4.00,6.00,5.00,6.00,1.00,6.00,3.00,444,NULL,NULL,'LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC',13076,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299058,2.00,1.00,2.00,5.00,2.00,NULL,2.00,5.00,3.00,102,NULL,NULL,'WILSON','SANTANA LIVRAMENTO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299066,6.00,7.00,4.00,8.00,5.00,6.00,5.00,9.00,5.00,304,NULL,NULL,'BARRA DO RIO MOLHA','JARAGUá SUL','SC',3814,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3299074,7.00,5.00,3.00,7.00,6.00,4.25,6.00,3.00,8.00,238,NULL,208,'CAMPINAS','S JOSé','SC',6783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299082,3.00,7.00,3.00,3.00,5.00,5.25,2.00,6.00,3.00,211,NULL,212,'JARDIM ELDORADO','PALHOçA','SC',12852,447,NULL,369,NULL,NULL,NULL,4,1),(16,3299090,3.00,2.00,2.00,5.00,3.00,NULL,2.00,6.00,1.00,203,NULL,201,'PARQUE SãO JORGE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299104,5.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,3.00,317,NULL,NULL,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299112,2.00,1.00,1.00,3.00,4.00,NULL,1.00,1.00,1.00,301,NULL,NULL,'BOA PARADA','S PEDRO ALCâNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299120,5.00,3.00,3.00,7.00,6.00,6.00,2.00,7.00,4.00,420,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',9633,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3299139,7.00,6.00,2.00,6.00,5.00,4.00,4.00,8.00,6.00,103,NULL,NULL,'ARISTOCRATA','S JOSé PINHAIS','PR',6658,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299147,3.00,6.00,3.00,7.00,6.00,5.75,1.00,3.00,3.00,104,NULL,NULL,'CENTRO','FRANCISCO BELTRãO','PR',13306,376,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299155,1.00,4.00,1.00,0.00,4.00,NULL,3.00,3.00,3.00,317,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299163,6.00,3.00,1.00,3.00,7.00,5.50,2.00,4.00,5.00,103,NULL,NULL,'SAGUAçú','JOINVILLE','SC',13972,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3299171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3299180,4.00,5.00,3.00,1.00,1.00,NULL,4.00,2.00,1.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299198,3.00,2.00,2.00,7.00,5.00,5.50,2.00,3.00,3.00,426,NULL,429,'TAPERA','FLORIANóPOLIS','SC',16167,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299201,2.00,2.00,3.00,1.00,2.00,NULL,0.00,4.00,4.00,308,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299210,0.00,3.00,2.00,2.00,3.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299228,3.00,5.00,3.00,3.00,5.00,4.75,4.00,4.00,5.00,103,NULL,NULL,'UNIVERSITARIO','MARINGá','PR',14202,2635,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299236,6.00,6.00,3.00,8.00,8.00,5.25,2.00,6.00,7.00,216,NULL,220,'CENTRO','PANAMBI','RS',5993,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3299244,4.00,5.00,2.00,5.00,2.00,NULL,1.00,4.00,4.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299252,5.00,2.00,1.00,7.00,3.00,NULL,2.00,4.00,4.00,201,NULL,216,'NOVA BRASILIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3299260,6.00,5.00,2.00,5.00,4.00,4.75,2.00,7.00,3.00,108,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',13046,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299287,3.00,6.00,1.00,1.00,3.00,NULL,2.00,6.00,2.00,339,NULL,NULL,'FAZENDA','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3299295,4.00,4.00,3.00,7.00,4.00,4.00,2.00,6.00,1.00,9,NULL,NULL,'FORTALEZA DA BARRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299317,2.00,1.00,4.00,2.00,6.00,NULL,3.00,3.00,4.00,319,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3299325,2.00,3.00,2.00,7.00,4.00,NULL,1.00,1.00,2.00,201,NULL,207,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299333,4.00,4.00,2.00,6.00,5.00,5.75,3.00,3.00,4.00,103,NULL,NULL,'BARREIROS','SAO JOSE','SC',14633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299341,6.00,6.00,5.00,3.00,4.00,5.50,4.00,9.00,2.00,207,NULL,212,'PONTA DE BAIXO','S JOSé','SC',8377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299350,5.00,4.00,4.00,7.00,5.00,6.00,2.00,3.00,4.00,327,NULL,NULL,'CENTRO','LAGES','SC',11638,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3299368,4.00,5.00,4.00,5.00,2.00,NULL,3.00,7.00,5.00,203,NULL,214,'COMERCIARIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3299376,2.00,2.00,4.00,4.00,1.00,NULL,1.00,1.00,2.00,207,NULL,211,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299384,3.00,2.00,3.00,6.00,3.00,NULL,3.00,2.00,3.00,404,NULL,NULL,'SAO LUIZ','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3299392,1.00,2.00,1.00,3.00,3.00,NULL,2.00,3.00,2.00,9,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299406,3.00,7.00,2.00,8.00,4.00,5.75,3.00,7.00,4.00,104,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299414,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(16,3299430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ZONA RURAL','CEL MARTINS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3299449,6.00,4.00,2.00,8.00,3.00,NULL,4.00,4.00,2.00,216,NULL,215,'MENINO DEUS','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3299457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM GOIáS','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3299465,4.00,5.00,2.00,3.00,3.00,NULL,4.00,6.00,3.00,216,NULL,202,'CENTRO','BARRACãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3299473,2.00,2.00,2.00,3.00,3.00,NULL,1.00,3.00,4.00,310,NULL,NULL,'ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299481,4.00,5.00,3.00,7.00,4.00,5.00,4.00,6.00,3.00,225,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',11618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299490,4.00,3.00,4.00,6.00,5.00,5.00,2.00,5.00,4.00,201,NULL,233,'SãO CRISTóVãO','TURVO','SC',12173,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3299503,7.00,6.00,7.00,8.00,8.00,7.50,5.00,7.00,8.00,303,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',1344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299511,3.00,5.00,4.00,2.00,6.00,6.00,2.00,5.00,3.00,303,NULL,NULL,'CANTA GALO','RIO SUL','SC',14738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299546,4.00,2.00,3.00,6.00,5.00,5.75,1.00,4.00,3.00,415,NULL,NULL,'DONA FRANCISCA','S BENTO SUL','SC',15464,396,NULL,NULL,NULL,NULL,NULL,2,8),(16,3299554,4.00,4.00,2.00,8.00,5.00,6.00,1.00,3.00,4.00,301,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',12683,264,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3299570,1.00,2.00,4.00,3.00,2.00,NULL,0.00,3.00,1.00,339,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299589,4.00,6.00,4.00,7.00,5.00,6.50,3.00,7.00,6.00,303,NULL,NULL,'SALTO','BLUMENAU','SC',7684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299600,2.00,1.00,2.00,1.00,3.00,NULL,2.00,3.00,1.00,103,NULL,NULL,'JD NOVA AMERICA','OSASCO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299619,2.00,3.00,3.00,0.00,1.00,NULL,3.00,2.00,2.00,444,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299627,3.00,1.00,3.00,6.00,4.00,NULL,0.00,1.00,5.00,302,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299635,4.00,5.00,3.00,5.00,5.00,5.00,2.00,8.00,3.00,450,NULL,NULL,'VIRADOURO','S PEDRO UNIãO','MG',10868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299643,3.00,3.00,3.00,1.00,2.00,NULL,2.00,3.00,3.00,428,NULL,429,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3299660,7.00,7.00,5.00,6.00,6.00,6.50,3.00,7.00,7.00,103,NULL,NULL,'FANNY','CURITIBA','PR',3900,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3299694,2.00,2.00,3.00,2.00,3.00,NULL,1.00,4.00,2.00,207,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3299708,6.00,3.00,4.00,2.00,6.00,5.25,4.00,3.00,4.00,202,NULL,213,'ALVORADA','PIMENTA BUENO','RO',12266,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3299716,3.00,6.00,3.00,6.00,6.00,4.75,3.00,7.00,2.00,103,NULL,NULL,'FERROVIA','LAGES','SC',11898,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3299724,5.00,5.00,4.00,7.00,3.00,NULL,2.00,5.00,3.00,213,NULL,NULL,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3299732,3.00,4.00,3.00,6.00,3.00,NULL,3.00,4.00,2.00,420,NULL,NULL,'STO ANTôNIO LISBOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299740,4.00,3.00,2.00,8.00,2.00,NULL,3.00,3.00,4.00,211,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'PRADO','BIGUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3299767,2.00,2.00,1.00,2.00,5.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3299775,4.00,7.00,5.00,4.00,6.00,1.75,4.00,4.00,4.00,220,NULL,202,'ZONA RURAL','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3299783,3.00,5.00,3.00,8.00,5.00,7.00,3.00,6.00,2.00,201,NULL,212,'CENTRO','BAL CAMBORIú','SC',10550,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3299791,5.00,5.00,5.00,9.00,6.00,7.00,3.00,9.00,5.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3243,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3299805,5.00,7.00,3.00,10.00,6.00,4.50,5.00,8.00,4.00,203,NULL,233,'QUINTINO','TIMBó','SC',4498,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3299813,2.00,4.00,1.00,5.00,2.00,NULL,3.00,4.00,3.00,316,NULL,NULL,'BOA PARADA','S PEDRO ALCâNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299821,5.00,3.00,7.00,6.00,3.00,NULL,3.00,4.00,4.00,202,NULL,213,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299848,5.00,5.00,3.00,6.00,5.00,6.25,2.00,3.00,2.00,104,NULL,NULL,'MICHEL','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3299856,5.00,3.00,1.00,5.00,5.00,5.75,2.00,3.00,3.00,238,NULL,NULL,'IRIRIU','JOINVILLE','SC',15186,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3299864,6.00,3.00,4.00,7.00,7.00,5.00,3.00,5.00,5.00,207,NULL,NULL,'CENTRO','JARAGUá SUL','SC',8708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299880,4.00,4.00,1.00,6.00,3.00,NULL,2.00,3.00,3.00,238,NULL,201,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299899,7.00,5.00,5.00,7.00,6.00,5.50,4.00,5.00,5.00,301,NULL,NULL,'CENTRO','PR GRANDE','SC',6608,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3299902,2.00,3.00,2.00,5.00,5.00,NULL,2.00,4.00,1.00,318,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299910,4.00,6.00,2.00,7.00,4.00,5.75,2.00,6.00,1.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3299937,3.00,1.00,2.00,4.00,3.00,NULL,2.00,3.00,0.00,215,NULL,207,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3299945,1.00,3.00,2.00,2.00,2.00,NULL,4.00,4.00,1.00,103,NULL,NULL,'IMPERIAL','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3299953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3299961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,203,'PIONEIROS','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3299970,6.00,7.00,4.00,8.00,4.00,5.25,5.00,7.00,2.00,319,NULL,NULL,'BELA VISTA I','S JOSé','SC',7553,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3299988,2.00,3.00,4.00,2.00,2.00,NULL,1.00,2.00,4.00,9,NULL,NULL,'RIO BRANCO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3299996,6.00,5.00,6.00,6.00,6.00,5.00,3.00,3.00,6.00,201,NULL,NULL,'CENTRO','BARRA BONITA','SP',7414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3300005,3.00,4.00,1.00,1.00,1.00,NULL,3.00,5.00,4.00,238,NULL,208,'SãO FRANCISCO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3300013,3.00,7.00,1.00,3.00,5.00,7.00,2.00,6.00,4.00,319,NULL,NULL,'LAGOA DE FORA','BAL GAIVOTA','SC',13043,262,NULL,NULL,NULL,NULL,NULL,4,5),(16,3300021,3.00,5.00,3.00,5.00,4.00,4.00,2.00,7.00,6.00,333,NULL,NULL,'COMERCIáRIO','CRICIúMA','SC',11941,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3300048,6.00,6.00,2.00,8.00,4.00,6.50,2.00,5.00,5.00,108,NULL,NULL,'CENTRO','ERECHIM','RS',8967,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3300056,4.00,6.00,1.00,2.00,3.00,NULL,1.00,5.00,3.00,501,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3300064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'OLINDA','UBERABA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3300072,1.00,6.00,3.00,5.00,4.00,4.25,2.00,6.00,2.00,103,NULL,NULL,'MONTE CASTELO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3300080,3.00,2.00,3.00,1.00,2.00,NULL,4.00,3.00,2.00,207,NULL,220,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3300099,2.00,2.00,2.00,2.00,3.00,NULL,2.00,3.00,1.00,5,NULL,NULL,'CENTRO','CLEVELâNDIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3300102,5.00,5.00,1.00,6.00,4.00,4.25,4.00,6.00,2.00,104,NULL,NULL,'SANTA TEREZINHA','CONCóRDIA','SC',13273,374,NULL,NULL,NULL,NULL,NULL,2,4),(16,3300110,6.00,3.00,3.00,6.00,5.00,4.75,4.00,5.00,4.00,103,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',10805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3300137,5.00,5.00,5.00,6.00,5.00,5.25,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','FOZ IGUAçU','PR',5728,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3300145,4.00,6.00,2.00,2.00,3.00,NULL,3.00,6.00,4.00,308,NULL,NULL,'CENTRO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3300153,4.00,2.00,1.00,6.00,6.00,4.75,5.00,5.00,4.00,319,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',13404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3300161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3300170,4.00,3.00,4.00,5.00,5.00,5.25,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13651,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3300188,5.00,6.00,2.00,8.00,3.00,NULL,4.00,4.00,3.00,319,NULL,NULL,'TABULEIRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3300196,8.00,8.00,7.00,8.00,8.00,7.50,5.00,7.00,7.00,316,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',1034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3300200,3.00,4.00,3.00,7.00,5.00,8.00,2.00,6.00,6.00,340,NULL,NULL,'JARDIM AZALéIAS','POçOS CALDAS','MG',9030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3300218,6.00,2.00,1.00,7.00,3.00,NULL,1.00,7.00,2.00,450,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3300226,7.00,7.00,8.00,8.00,5.00,7.00,4.00,6.00,7.00,216,NULL,207,'SUMARé','RIO SUL','SC',2045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3300234,1.00,3.00,2.00,2.00,2.00,NULL,2.00,1.00,0.00,104,NULL,NULL,'ZONA RURAL','CLEVELâNDIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3300242,4.00,4.00,2.00,3.00,5.00,7.00,1.00,5.00,5.00,503,NULL,NULL,'GáVEA','JACINTO MACHADO','SC',13464,63,NULL,NULL,NULL,NULL,NULL,2,5),(16,3300250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'NAÇÕES','ITATIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3300269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3300285,4.00,6.00,3.00,6.00,6.00,5.25,1.00,3.00,2.00,104,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',13861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3300293,2.00,2.00,3.00,2.00,2.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'CAMPO DAGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3300315,2.00,3.00,2.00,5.00,3.00,NULL,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','AT BELA VISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3300323,3.00,5.00,2.00,6.00,5.00,5.75,3.00,4.00,4.00,104,NULL,NULL,'CENTRO','CANOINHAS','SC',12483,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3300331,7.00,6.00,5.00,6.00,7.00,5.50,6.00,8.00,7.00,214,NULL,213,'JD BONSUCESSO','SERTãOZINHO','SP',1884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3300340,7.00,6.00,3.00,9.00,4.00,5.75,5.00,7.00,7.00,203,NULL,202,'CENTRO','POMPéIA','SP',4089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3300358,6.00,1.00,2.00,7.00,5.00,5.50,1.00,5.00,3.00,207,NULL,201,'AMIZADE','JARAGUá SUL','SC',14266,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3300366,5.00,5.00,4.00,4.00,3.00,NULL,3.00,5.00,5.00,304,NULL,NULL,'CENTRO','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3300404,1.00,3.00,5.00,3.00,3.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3300412,2.00,2.00,3.00,4.00,3.00,NULL,3.00,3.00,2.00,201,NULL,207,'MINA DO MATO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3300420,2.00,3.00,3.00,4.00,4.00,4.50,3.00,3.00,3.00,444,NULL,NULL,'CENTRO','MARACAJá','SC',16687,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3300439,5.00,7.00,2.00,8.00,5.00,6.75,2.00,8.00,1.00,501,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',8272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3300455,3.00,1.00,3.00,3.00,2.00,NULL,3.00,5.00,2.00,208,NULL,203,'ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3300480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CIDADE ALTA','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3300498,5.00,6.00,2.00,7.00,7.00,6.25,3.00,8.00,6.00,103,NULL,NULL,'CENTRO','RIO FORTUNA','SC',5853,1652,NULL,NULL,NULL,NULL,NULL,2,10),(16,3300501,5.00,7.00,1.00,5.00,6.00,6.25,2.00,3.00,5.00,104,NULL,NULL,'CENTRO','ITAJAí','SC',12184,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3300510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,207,'CERâMICA','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3300536,0.00,5.00,4.00,8.00,4.00,4.50,2.00,5.00,3.00,327,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',14586,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3300544,6.00,2.00,5.00,4.00,5.00,5.75,2.00,5.00,3.00,302,NULL,NULL,'CENTRO','BIGUAçU','SC',14274,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3300552,4.00,8.00,1.00,0.00,2.00,NULL,3.00,5.00,3.00,316,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3300560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'VILA PROHMANN','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3300579,4.00,5.00,3.00,4.00,3.00,NULL,2.00,1.00,1.00,333,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3300587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3300595,6.00,8.00,5.00,7.00,7.00,5.75,3.00,8.00,6.00,207,NULL,201,'CENTRO','ITAJAí','SC',2545,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3300609,4.00,2.00,1.00,1.00,3.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'SANTO INACIO','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3300617,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(16,3300625,6.00,5.00,5.00,6.00,6.00,5.25,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',5072,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3300633,6.00,5.00,1.00,7.00,6.00,4.75,2.00,6.00,3.00,340,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',11534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3300641,4.00,4.00,1.00,9.00,4.00,6.25,3.00,6.00,4.00,211,NULL,216,'JARDIM','TRêS PASSOS','RS',10415,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3300650,6.00,4.00,2.00,8.00,6.00,5.75,3.00,5.00,5.00,425,NULL,429,'INGLESES','FLORIANóPOLIS','SC',9447,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3300668,3.00,4.00,2.00,5.00,2.00,NULL,3.00,6.00,4.00,103,NULL,NULL,'TRIâNGULO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3300676,4.00,3.00,3.00,6.00,4.00,5.50,2.00,4.00,3.00,304,NULL,NULL,'REAL PARQUE','S JOSé','SC',15433,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3300684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JD MONTE ALEGRE','TABOãO SERRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3300692,4.00,6.00,5.00,6.00,4.00,5.25,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3300706,8.00,8.00,5.00,8.00,6.00,5.50,5.00,8.00,8.00,103,NULL,NULL,'SANTA CATARINA','CRICIúMA','SC',1524,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3300714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3300722,5.00,3.00,2.00,6.00,2.00,NULL,3.00,4.00,3.00,103,NULL,NULL,'JARDIM ITáLIA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3300749,3.00,3.00,1.00,8.00,3.00,NULL,2.00,2.00,5.00,420,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3300757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3300765,7.00,6.00,7.00,9.00,6.00,5.50,3.00,6.00,7.00,220,NULL,201,'LIBERDADE','S PAULO','SP',2284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3300773,9.00,8.00,8.00,9.00,8.00,6.75,4.00,7.00,8.00,103,NULL,NULL,'CAMPINAS','S JOSé','SC',334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3300781,3.00,2.00,2.00,1.00,5.00,NULL,3.00,4.00,3.00,201,NULL,207,'ALVORADA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3300790,3.00,2.00,2.00,5.00,4.00,NULL,2.00,1.00,4.00,101,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3300803,2.00,3.00,3.00,2.00,2.00,NULL,2.00,1.00,1.00,201,NULL,208,'SEM BAIRRO','VARGEM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3300811,1.00,2.00,3.00,4.00,3.00,NULL,4.00,0.00,1.00,425,NULL,421,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3300820,3.00,3.00,2.00,7.00,3.00,NULL,1.00,5.00,4.00,103,NULL,NULL,'JARDIM BANDEIRA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3300838,0.00,2.00,1.00,1.00,3.00,NULL,1.00,4.00,1.00,318,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3300846,4.00,3.00,2.00,5.00,5.00,4.50,3.00,4.00,3.00,303,NULL,NULL,'IPIRANGA','S JOSé','SC',15990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3300854,5.00,5.00,3.00,2.00,3.00,NULL,4.00,4.00,5.00,317,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3300862,4.00,3.00,2.00,8.00,6.00,5.25,1.00,7.00,2.00,207,NULL,211,'SACO DOS LIMõES','FLORIANóPOLIS','SC',12587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3300870,3.00,5.00,4.00,4.00,3.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CERRO LARGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3300889,6.00,5.00,4.00,5.00,6.00,5.00,2.00,7.00,4.00,340,NULL,NULL,'CENTRRO','MARAVILHA','SC',9044,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3300900,4.00,3.00,3.00,4.00,2.00,NULL,2.00,6.00,6.00,340,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3300919,4.00,4.00,3.00,7.00,4.00,5.00,2.00,6.00,5.00,202,NULL,220,'SãO PEDRO','BRUSQUE','SC',11208,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3300927,5.00,1.00,3.00,4.00,5.00,4.00,3.00,4.00,7.00,103,NULL,NULL,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3300935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','SORRISO','MT',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3300943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3300951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SãO JOãO BATISTA','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3300960,5.00,5.00,4.00,7.00,4.00,5.00,3.00,3.00,4.00,203,NULL,214,'NOVA BRASILIA','JOINVILLE','SC',11010,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3300978,4.00,1.00,3.00,5.00,5.00,6.25,3.00,3.00,3.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',16024,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3300994,4.00,4.00,3.00,8.00,4.00,5.50,1.00,4.00,4.00,201,NULL,207,'CENTRO','AMPéRE','PR',12636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301001,2.00,1.00,3.00,0.00,3.00,NULL,1.00,2.00,2.00,451,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CALHAU','S LUíS','MA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3301028,5.00,4.00,1.00,6.00,5.00,4.00,4.00,6.00,2.00,319,NULL,NULL,'TRINTA RéIS','NOVA TRENTO','SC',13884,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3301036,4.00,3.00,5.00,8.00,3.00,NULL,1.00,8.00,3.00,415,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3301044,5.00,2.00,1.00,6.00,3.00,NULL,3.00,3.00,3.00,207,NULL,233,'COMERCIáRIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3301052,3.00,1.00,2.00,0.00,3.00,NULL,2.00,2.00,4.00,301,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301060,2.00,3.00,2.00,7.00,6.00,NULL,2.00,3.00,1.00,339,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3301079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'ROCADO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3301087,4.00,0.00,2.00,2.00,2.00,NULL,2.00,2.00,2.00,208,NULL,201,'RIO BRANCO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301095,0.00,0.00,0.00,6.00,3.00,NULL,2.00,4.00,6.00,303,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(16,3301109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,208,'NAçõES','ITATIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3301117,4.00,7.00,3.00,6.00,3.00,NULL,2.00,5.00,3.00,5,NULL,NULL,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3301125,5.00,4.00,3.00,1.00,3.00,NULL,1.00,2.00,3.00,302,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301141,1.00,1.00,1.00,4.00,3.00,NULL,2.00,6.00,3.00,415,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3301150,4.00,3.00,2.00,6.00,8.00,4.50,2.00,5.00,5.00,103,NULL,NULL,'IMIGRANTE','CPO BOM','RS',11537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3301168,4.00,5.00,6.00,5.00,5.00,7.25,1.00,7.00,4.00,5,NULL,NULL,'CENTRO','URUBICI','SC',9054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3301176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3301184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SIRIU','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3301192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,220,'SANTO AMARO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3301206,4.00,3.00,3.00,7.00,4.00,5.00,3.00,5.00,4.00,332,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',13629,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3301222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA NOVA','IçARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3301230,2.00,3.00,1.00,3.00,4.00,NULL,1.00,4.00,1.00,101,NULL,NULL,'LOURDES','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3301257,4.00,5.00,3.00,9.00,4.00,6.50,2.00,4.00,5.00,202,NULL,208,'REAL PARQUE','S JOSé','SC',11081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301265,3.00,3.00,5.00,7.00,5.00,6.25,4.00,8.00,4.00,415,NULL,NULL,'SANTA CRUZ','CONCóRDIA','SC',9647,260,NULL,NULL,NULL,NULL,NULL,2,4),(16,3301281,2.00,3.00,1.00,6.00,1.00,NULL,2.00,2.00,3.00,420,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3301303,6.00,2.00,2.00,4.00,2.00,NULL,1.00,2.00,2.00,302,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3301311,2.00,3.00,1.00,6.00,4.00,NULL,2.00,1.00,2.00,207,NULL,208,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301320,2.00,4.00,1.00,6.00,3.00,NULL,2.00,5.00,3.00,318,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3301338,3.00,2.00,2.00,2.00,4.00,NULL,3.00,3.00,1.00,102,NULL,NULL,'GUAMIRANGA','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3301346,3.00,7.00,1.00,7.00,3.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3301354,4.00,4.00,5.00,5.00,6.00,4.25,5.00,6.00,6.00,201,NULL,212,'NOIVA DA COLINA','PIRACICABA','SP',8801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301362,4.00,5.00,2.00,5.00,3.00,NULL,2.00,4.00,3.00,207,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301370,3.00,4.00,1.00,0.00,4.00,NULL,1.00,3.00,4.00,203,NULL,214,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301389,2.00,5.00,1.00,3.00,2.00,NULL,3.00,3.00,2.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301397,2.00,2.00,3.00,6.00,3.00,NULL,5.00,2.00,2.00,103,NULL,NULL,'CENTRO','PINHãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3301400,3.00,3.00,4.00,5.00,3.00,NULL,4.00,2.00,4.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3301419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3301427,2.00,5.00,3.00,1.00,4.00,4.25,5.00,6.00,1.00,303,NULL,NULL,'PARQUE DAS AVENIDAS','SOMBRIO','SC',16270,708,NULL,NULL,NULL,NULL,NULL,4,5),(16,3301435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAPANEMA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3301443,3.00,6.00,4.00,6.00,5.00,4.25,3.00,5.00,1.00,101,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',14536,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3301451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3301460,0.00,5.00,2.00,2.00,4.00,NULL,1.00,5.00,3.00,332,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3301478,4.00,5.00,3.00,5.00,4.00,6.50,3.00,6.00,6.00,3,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10291,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3301494,3.00,0.00,3.00,1.00,2.00,NULL,2.00,4.00,2.00,332,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301508,2.00,6.00,7.00,6.00,6.00,6.25,2.00,6.00,3.00,207,NULL,214,'CENTRO','ILHOTA','SC',8598,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3301516,6.00,5.00,2.00,8.00,5.00,6.25,2.00,8.00,5.00,103,NULL,NULL,'APARECIDA','ABELARDO LUZ','SC',6861,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3301524,4.00,5.00,1.00,2.00,6.00,4.50,3.00,7.00,3.00,108,NULL,NULL,'JD TARRAF I','S JOSé R PRETO','SP',14392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301532,3.00,2.00,1.00,5.00,3.00,NULL,0.00,0.00,0.00,220,NULL,208,'NOVO DIAMANTINO','DIAMANTINO','MT',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3301540,3.00,6.00,3.00,4.00,6.00,5.50,4.00,5.00,4.00,326,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301559,5.00,4.00,4.00,3.00,3.00,NULL,2.00,2.00,2.00,238,NULL,208,'VORSTAD','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3301567,2.00,4.00,2.00,2.00,5.00,NULL,2.00,5.00,3.00,9,NULL,NULL,'CENTRO','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301575,5.00,1.00,4.00,6.00,5.00,4.50,3.00,5.00,2.00,331,NULL,NULL,'CENTRO','ITAPEMA','SC',13956,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3301583,5.00,8.00,3.00,9.00,7.00,8.00,2.00,9.00,7.00,310,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',2919,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3301591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'FLOR DE NáPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3301605,3.00,2.00,4.00,6.00,3.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3301613,5.00,4.00,2.00,4.00,3.00,NULL,1.00,6.00,3.00,203,NULL,214,'SANTO ANTONIO','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3301621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UNIVESITARIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3301656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BELA VISTA','IBIRAMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3301664,3.00,6.00,6.00,8.00,5.00,5.75,3.00,5.00,5.00,5,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3301672,3.00,4.00,3.00,4.00,2.00,NULL,0.00,3.00,4.00,104,NULL,NULL,'INTERIOR','PTE ALTA NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3301680,2.00,2.00,2.00,2.00,0.00,NULL,4.00,0.00,3.00,301,NULL,NULL,'POTECAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301702,3.00,4.00,2.00,3.00,4.00,NULL,2.00,4.00,0.00,5,NULL,NULL,'GLóRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3301710,0.00,2.00,1.00,1.00,4.00,NULL,1.00,3.00,4.00,319,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301729,6.00,5.00,2.00,8.00,4.00,5.00,3.00,6.00,5.00,216,NULL,215,'SANTA TEREZINHA','GASPAR','SC',9176,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3301745,3.00,2.00,2.00,7.00,4.00,6.00,2.00,6.00,1.00,301,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',15987,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3301753,4.00,0.00,2.00,1.00,2.00,NULL,4.00,1.00,0.00,444,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301761,3.00,2.00,4.00,5.00,3.00,NULL,3.00,6.00,3.00,212,NULL,238,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3301770,1.00,2.00,2.00,0.00,2.00,NULL,2.00,2.00,1.00,319,NULL,NULL,'POTECAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301788,4.00,5.00,3.00,2.00,3.00,NULL,2.00,5.00,3.00,308,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','JABOTI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3301818,5.00,2.00,4.00,7.00,5.00,5.25,2.00,4.00,3.00,429,NULL,425,'CENTRO','FLORIANóPOLIS','SC',12524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301826,4.00,6.00,6.00,8.00,5.00,6.50,4.00,6.00,2.00,203,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301834,3.00,3.00,2.00,5.00,2.00,NULL,3.00,3.00,3.00,424,NULL,427,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301842,6.00,7.00,2.00,1.00,6.00,5.75,3.00,7.00,3.00,103,NULL,NULL,'RACHADEL','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'JARDIM HELENA','TABOãO SERRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3301877,5.00,6.00,5.00,4.00,5.00,5.50,3.00,8.00,4.00,208,NULL,238,'ITAGUAçU','FLORIANóPOLIS','SC',8876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301885,3.00,3.00,2.00,7.00,4.00,5.25,2.00,5.00,2.00,108,NULL,NULL,'CENTRO','SIDERóPOLIS','SC',14999,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3301893,4.00,3.00,4.00,7.00,4.00,5.50,2.00,2.00,3.00,415,NULL,NULL,'CENTRO','LAURO MüLLER','SC',14971,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3301907,3.00,5.00,3.00,8.00,5.00,5.00,0.00,4.00,5.00,333,NULL,NULL,'CAMBUCI','S PAULO','SP',13463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301915,3.00,7.00,3.00,7.00,5.00,5.00,3.00,8.00,2.00,103,NULL,NULL,'KOBRASOL','S JOSé','SC',9081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301923,4.00,5.00,4.00,5.00,3.00,NULL,3.00,6.00,4.00,327,NULL,NULL,'ALEGRE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3301931,1.00,4.00,3.00,6.00,6.00,5.25,3.00,2.00,2.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301940,6.00,7.00,3.00,8.00,6.00,6.00,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3301958,5.00,2.00,4.00,2.00,3.00,NULL,1.00,4.00,2.00,220,NULL,203,'CENTRO','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3301966,6.00,4.00,4.00,3.00,4.00,6.25,3.00,2.00,6.00,425,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',13118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VILA INGLESA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3301982,5.00,6.00,2.00,9.00,4.00,5.25,2.00,6.00,4.00,444,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',9135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3301990,5.00,2.00,4.00,8.00,5.00,5.75,2.00,4.00,3.00,103,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302008,0.00,0.00,0.00,2.00,3.00,NULL,0.00,1.00,1.00,103,NULL,NULL,'CENTRO','IRINEóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,8),(16,3302016,3.00,4.00,1.00,7.00,5.00,7.25,3.00,6.00,3.00,421,NULL,424,'PARQUE SãO JORGE','FLORIANóPOLIS','SC',12137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302024,5.00,3.00,2.00,7.00,4.00,6.25,2.00,5.00,3.00,103,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',13304,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3302032,4.00,3.00,2.00,6.00,6.00,5.75,3.00,2.00,3.00,102,NULL,NULL,'STAN','TORRES','RS',14432,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3302040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3302059,4.00,4.00,1.00,5.00,1.00,NULL,4.00,6.00,2.00,108,NULL,NULL,'MãE LUZIA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3302067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'BARRA DO RIO CERRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3302075,2.00,4.00,3.00,3.00,5.00,NULL,1.00,2.00,6.00,301,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302083,3.00,1.00,1.00,6.00,5.00,6.75,2.00,3.00,4.00,201,NULL,233,'PARQUE DOS RODEIOS','VACARIA','RS',15984,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3302091,4.00,5.00,5.00,6.00,2.00,NULL,3.00,6.00,2.00,301,NULL,NULL,'JUNDIAí','ANáPOLIS','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PORTãO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3302121,5.00,3.00,3.00,2.00,6.00,4.75,4.00,4.00,5.00,207,NULL,201,'ENSEADA','S FRANCISCO SUL','SC',12754,645,NULL,991,NULL,NULL,NULL,4,8),(16,3302130,6.00,8.00,5.00,8.00,5.00,6.25,4.00,8.00,6.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',2681,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3302156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3302172,4.00,6.00,3.00,4.00,4.00,5.00,3.00,5.00,3.00,201,NULL,207,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3302180,4.00,6.00,2.00,6.00,2.00,NULL,2.00,6.00,3.00,9,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302210,7.00,5.00,3.00,4.00,4.00,4.25,3.00,4.00,3.00,304,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',13507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302229,4.00,3.00,2.00,6.00,5.00,4.50,2.00,5.00,3.00,207,NULL,211,'VILA NOVA','LAGES','SC',14562,748,NULL,NULL,NULL,NULL,NULL,2,9),(16,3302237,4.00,1.00,1.00,2.00,2.00,NULL,3.00,3.00,1.00,108,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302245,6.00,7.00,5.00,9.00,6.00,6.75,2.00,8.00,7.00,208,NULL,238,'CENTRO','FLORIANóPOLIS','SC',3094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302253,1.00,3.00,2.00,5.00,4.00,NULL,0.00,4.00,1.00,203,NULL,214,'MINA BRASIL','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3302261,4.00,2.00,3.00,5.00,5.00,5.50,2.00,2.00,5.00,212,NULL,233,'VILA NOVA','BLUMENAU','SC',14478,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3302296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,238,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3302318,3.00,6.00,5.00,2.00,4.00,6.50,2.00,5.00,2.00,415,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',14565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302326,4.00,7.00,4.00,4.00,6.00,5.25,2.00,4.00,5.00,207,NULL,201,'BARRA SUL','BAL CAMBORIú','SC',11881,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3302334,3.00,4.00,5.00,5.00,3.00,NULL,4.00,4.00,4.00,225,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302342,6.00,6.00,3.00,6.00,5.00,5.75,3.00,8.00,4.00,333,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',7214,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3302350,4.00,7.00,1.00,7.00,6.00,6.25,1.00,5.00,3.00,332,NULL,NULL,'JARDIM DAS ACáCIAS','S JOSé','SC',11499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3302369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','STO ANTôNIO PLATINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3302377,4.00,1.00,1.00,6.00,4.00,4.75,3.00,4.00,4.00,451,NULL,NULL,'CENTRO','PRES GETúLIO','SC',15697,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3302385,2.00,1.00,2.00,0.00,2.00,NULL,5.00,3.00,1.00,108,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302393,2.00,2.00,4.00,4.00,4.00,4.50,2.00,3.00,4.00,404,NULL,NULL,'JOSÉ MENDES','FLORIANóPOLIS','SC',16643,77,NULL,NULL,NULL,NULL,NULL,2,1),(16,3302407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3302415,5.00,7.00,8.00,8.00,8.00,6.75,3.00,6.00,4.00,211,NULL,201,'MARECHAL FLORIANO','CAXIAS SUL','RS',3592,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3302423,2.00,3.00,2.00,7.00,3.00,NULL,0.00,3.00,4.00,318,NULL,NULL,'NAZARé','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3302440,7.00,4.00,2.00,7.00,6.00,5.25,5.00,3.00,2.00,216,NULL,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3302458,3.00,5.00,2.00,8.00,5.00,5.00,1.00,5.00,3.00,453,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',13114,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3302466,1.00,3.00,1.00,2.00,1.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','ANITáPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3302474,3.00,3.00,2.00,6.00,3.00,NULL,3.00,4.00,2.00,201,NULL,NULL,'JAçATUBA','STO ANDRé','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3302482,3.00,5.00,2.00,6.00,5.00,4.50,2.00,5.00,4.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3302490,2.00,0.00,3.00,2.00,2.00,NULL,1.00,0.00,0.00,319,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3302504,3.00,4.00,1.00,6.00,3.00,NULL,2.00,4.00,3.00,207,NULL,215,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3302512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CIDADE ALTA','ROLIM MOURA','RO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3302520,4.00,1.00,2.00,0.00,2.00,NULL,2.00,5.00,2.00,308,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302539,4.00,0.00,1.00,3.00,1.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'ROCIO GRANDE','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3302547,3.00,3.00,4.00,2.00,2.00,NULL,1.00,2.00,1.00,207,NULL,NULL,'RURAL','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3302555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3302563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3302571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SEM BAIRRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3302580,1.00,3.00,4.00,5.00,6.00,5.00,3.00,5.00,4.00,424,NULL,427,'CENTRO','FLORIANóPOLIS','SC',14317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'AGUA BRANCA','ILHABELA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3302601,4.00,1.00,3.00,2.00,4.00,NULL,1.00,1.00,3.00,207,NULL,201,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3302610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,207,'N SENHORA DE FATIMA','COLOMBO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3302628,2.00,4.00,2.00,4.00,5.00,NULL,2.00,4.00,2.00,304,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3302636,2.00,1.00,2.00,4.00,3.00,NULL,5.00,4.00,2.00,102,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3302644,7.00,4.00,4.00,8.00,4.00,5.25,4.00,6.00,7.00,103,NULL,NULL,'UVARANAS','PNT GROSSA','PR',5864,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(16,3302652,5.00,6.00,6.00,9.00,7.00,5.75,5.00,8.00,5.00,201,NULL,211,'VILA DEODORO','S PAULO','SP',2865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302660,8.00,7.00,4.00,4.00,4.00,6.75,4.00,7.00,6.00,220,NULL,238,'CENTRO','HERVAL D OESTE','SC',5467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302679,4.00,5.00,1.00,2.00,7.00,6.25,1.00,6.00,6.00,420,NULL,NULL,'VELHA','BLUMENAU','SC',11469,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3302687,5.00,5.00,2.00,6.00,3.00,NULL,3.00,5.00,2.00,501,NULL,NULL,'CARAPICUIBA','CARAPICUíBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302695,2.00,2.00,1.00,1.00,3.00,NULL,1.00,5.00,3.00,213,NULL,202,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302717,3.00,2.00,2.00,2.00,3.00,NULL,3.00,2.00,4.00,201,NULL,207,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3302733,4.00,6.00,6.00,8.00,7.00,6.75,3.00,7.00,2.00,340,NULL,NULL,'PARQUE BANDEIRANTES','RIBEIRãO PRETO','SP',5948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302741,4.00,5.00,3.00,8.00,6.00,5.25,3.00,5.00,3.00,216,NULL,215,'CENTRO','IPORã OESTE','SC',11105,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3302750,5.00,2.00,3.00,2.00,4.00,6.50,2.00,4.00,4.00,340,NULL,NULL,'VILA ITOUPAVA','BLUMENAU','SC',15910,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3302768,2.00,5.00,2.00,5.00,5.00,5.25,2.00,6.00,2.00,340,NULL,NULL,'COLONIA SANTANA','S JOSé','SC',14457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3302792,8.00,7.00,7.00,9.00,6.00,6.00,5.00,5.00,4.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3302814,5.00,4.00,3.00,7.00,4.00,5.00,3.00,5.00,3.00,201,NULL,233,'N S DA SALETE','CRICIúMA','SC',12420,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3302822,5.00,2.00,2.00,2.00,6.00,6.75,3.00,4.00,3.00,203,NULL,201,'SACO DOS LIMõES','FLORIANóPOLIS','SC',15512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302830,3.00,5.00,5.00,6.00,7.00,4.75,1.00,4.00,4.00,201,NULL,207,'CóRREGO GRANDE','FLORIANóPOLIS','SC',11892,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3302849,2.00,5.00,2.00,3.00,1.00,NULL,3.00,2.00,3.00,201,NULL,220,'FORQUILHINHA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3302865,3.00,6.00,1.00,7.00,3.00,NULL,2.00,5.00,3.00,203,NULL,214,'MORRO ESTEVAO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3302873,4.00,7.00,5.00,6.00,7.00,4.00,3.00,8.00,5.00,203,NULL,214,'FORQUILHINHAS','S JOSé','SC',6410,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3302881,2.00,1.00,1.00,2.00,0.00,NULL,0.00,2.00,1.00,207,NULL,201,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3302890,4.00,4.00,3.00,3.00,3.00,NULL,2.00,3.00,1.00,207,NULL,201,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3302903,7.00,3.00,4.00,7.00,5.00,4.50,5.00,7.00,4.00,201,NULL,212,'AEROPORTO','MARINGá','PR',7295,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3302911,4.00,6.00,3.00,7.00,3.00,NULL,2.00,4.00,2.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3302920,5.00,6.00,2.00,7.00,5.00,4.00,2.00,6.00,2.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',12295,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3302938,5.00,4.00,6.00,9.00,4.00,7.00,4.00,5.00,5.00,453,NULL,NULL,'SãO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3302946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE DAS NAçõES','ITARARé','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3302954,3.00,1.00,3.00,5.00,4.00,4.00,0.00,6.00,3.00,309,NULL,NULL,'ANTONIO FONSECA','DIVINóPOLIS','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3302970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'VILA ESPERANçA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3302989,5.00,7.00,4.00,8.00,7.00,6.50,3.00,8.00,5.00,214,NULL,212,'CENTRO','JOINVILLE','SC',4160,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3302997,2.00,4.00,2.00,0.00,2.00,NULL,2.00,3.00,4.00,103,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUá','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3303020,5.00,4.00,3.00,6.00,6.00,5.00,2.00,7.00,5.00,103,NULL,NULL,'JARDIM ITALIA','CHAPECó','SC',9668,2190,NULL,NULL,NULL,NULL,NULL,2,4),(16,3303039,5.00,4.00,2.00,2.00,5.00,NULL,1.00,3.00,3.00,304,NULL,NULL,'VENDAVAL','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3303047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3303055,4.00,6.00,2.00,7.00,8.00,7.50,2.00,8.00,6.00,450,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',5511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303063,4.00,6.00,1.00,2.00,6.00,4.75,3.00,8.00,2.00,450,NULL,NULL,'LOTEAMENTO PEREIRA','PTE ALTA NORTE','SC',14214,122,NULL,NULL,NULL,NULL,NULL,4,9),(16,3303071,5.00,5.00,3.00,2.00,6.00,5.25,1.00,3.00,4.00,102,NULL,NULL,'CORAL','LAGES','SC',15004,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3303080,0.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,423,NULL,426,'BALNEARIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3303098,4.00,3.00,1.00,5.00,3.00,NULL,0.00,2.00,4.00,450,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303101,2.00,4.00,1.00,6.00,4.00,NULL,2.00,2.00,2.00,207,NULL,208,'FAZENDA SANTO ANTONI','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3303110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3303128,7.00,6.00,6.00,6.00,6.00,5.75,4.00,7.00,7.00,103,NULL,NULL,'BATEL','CURITIBA','PR',4399,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3303136,1.00,1.00,2.00,5.00,5.00,NULL,1.00,4.00,3.00,238,NULL,211,'RUA PAIM FILHO','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303144,2.00,5.00,1.00,2.00,5.00,NULL,2.00,4.00,2.00,340,NULL,NULL,'MANGAL','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303152,4.00,5.00,5.00,7.00,6.00,4.00,4.00,6.00,5.00,304,NULL,NULL,'CENTRO','JAGUARUNA','SC',9164,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3303179,5.00,4.00,2.00,2.00,5.00,4.75,3.00,5.00,4.00,501,NULL,NULL,'BARRA DO PINHEIRINHO','JACINTO MACHADO','SC',14605,121,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303187,8.00,9.00,7.00,9.00,6.00,8.50,7.00,9.00,8.00,103,NULL,NULL,'CENTRO','CONCóRDIA','SC',195,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3303195,7.00,6.00,3.00,9.00,8.00,6.00,4.00,5.00,5.00,208,NULL,238,'CENTRO','CANELINHA','SC',4425,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3303209,6.00,6.00,7.00,9.00,7.00,6.00,4.00,9.00,6.00,304,NULL,NULL,'NAçõES','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3303217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'NOVO DIAMANTINO','NOVO DIAMANTINO','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3303225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'BOTAFOGO','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3303233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'FREI BRUNO','JOAçABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3303241,3.00,3.00,1.00,1.00,3.00,NULL,4.00,2.00,3.00,104,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3303250,6.00,6.00,3.00,6.00,4.00,5.50,1.00,7.00,2.00,102,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3303284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PORTãO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3303292,5.00,3.00,5.00,6.00,5.00,5.25,1.00,6.00,3.00,303,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3303306,1.00,2.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,421,NULL,426,'POVOAMENTO','ANITáPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3303322,1.00,6.00,3.00,7.00,3.00,NULL,3.00,4.00,5.00,203,NULL,220,'CHACARA DAS PEDRAS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3303349,9.00,8.00,8.00,7.00,6.00,5.75,6.00,7.00,9.00,103,NULL,NULL,'SALGADO FILHO','MARíLIA','SP',563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3303365,1.00,2.00,1.00,0.00,0.00,NULL,1.00,2.00,3.00,302,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3303373,6.00,6.00,6.00,6.00,5.00,6.50,3.00,8.00,7.00,303,NULL,NULL,'BUCAREIN','JOINVILLE','SC',3830,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3303381,2.00,3.00,3.00,7.00,1.00,NULL,4.00,2.00,5.00,103,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303390,5.00,7.00,2.00,6.00,5.00,2.75,1.00,7.00,6.00,316,NULL,NULL,'JD ITALIA','ITAPETININGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303403,5.00,4.00,1.00,4.00,5.00,6.00,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','LUZERNA','SC',14664,2663,NULL,NULL,NULL,NULL,NULL,2,7),(16,3303411,3.00,0.00,3.00,2.00,1.00,NULL,1.00,2.00,3.00,428,NULL,426,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3303420,1.00,0.00,1.00,3.00,0.00,NULL,1.00,1.00,2.00,303,NULL,NULL,'SAO CRISTOVAO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3303438,5.00,4.00,5.00,4.00,4.00,7.00,3.00,1.00,2.00,302,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',14425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3303446,2.00,2.00,1.00,6.00,6.00,6.25,2.00,5.00,3.00,104,NULL,NULL,'CENTRO','CRICIúMA','SC',15693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3303462,1.00,3.00,3.00,6.00,3.00,NULL,0.00,0.00,0.00,425,NULL,429,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3303470,3.00,2.00,2.00,6.00,6.00,5.50,2.00,4.00,3.00,216,NULL,215,'BARREIROS','S JOSé','SC',14915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303489,5.00,0.00,4.00,1.00,1.00,NULL,4.00,2.00,2.00,444,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PIONEIROS','ITá','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3303500,5.00,3.00,3.00,2.00,6.00,4.00,1.00,6.00,4.00,211,NULL,212,'JUNDIAQUARA','ARAçOIABA SERRA','SP',14435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303519,5.00,5.00,4.00,4.00,5.00,3.00,4.00,4.00,5.00,103,NULL,NULL,'SAIC','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3303527,4.00,4.00,6.00,5.00,6.00,5.25,4.00,5.00,5.00,233,NULL,213,'VILA B','FOZ IGUAçU','PR',9576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303543,5.00,4.00,3.00,8.00,3.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'AMéRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(16,3303551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CHACARAS MAVISOU','LAVRINHAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3303560,2.00,5.00,2.00,6.00,2.00,NULL,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303586,2.00,4.00,1.00,4.00,3.00,NULL,2.00,8.00,2.00,207,NULL,201,'ALTO SãO BENTO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,3),(16,3303608,2.00,3.00,3.00,2.00,4.00,NULL,3.00,3.00,2.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'NACOES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3303632,5.00,5.00,4.00,7.00,6.00,6.00,2.00,6.00,3.00,424,NULL,NULL,'JARDIM LEOPOLDINA','PTO ALEGRE','RS',9985,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3303640,3.00,3.00,2.00,2.00,3.00,NULL,3.00,6.00,3.00,202,NULL,213,'CENTRO','CAçADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3303659,4.00,7.00,4.00,2.00,7.00,6.50,4.00,7.00,5.00,319,NULL,NULL,'VILLAS DO ATLANTICO','LAURO FREITAS','BA',7134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303667,5.00,4.00,2.00,6.00,5.00,5.75,3.00,6.00,4.00,318,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',10090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303675,4.00,3.00,4.00,1.00,5.00,NULL,1.00,2.00,3.00,207,NULL,216,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3303691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3303713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'RIO GRANDE','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3303721,6.00,6.00,2.00,5.00,4.00,0.00,1.00,5.00,2.00,420,NULL,NULL,'VILA PARAíBA','GUARATINGUETá','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'NS AUXILIADORA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3303748,6.00,7.00,6.00,7.00,7.00,6.50,3.00,9.00,6.00,211,NULL,215,'CENTRO','UBERABA','MG',2718,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3303756,4.00,3.00,4.00,6.00,6.00,4.75,4.00,6.00,5.00,502,NULL,NULL,'STO ANTôNIO DE PADUA','TUBARãO','SC',9814,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3303772,2.00,3.00,2.00,7.00,5.00,5.25,3.00,3.00,5.00,207,NULL,201,'RIO TAVARES','FLORIANóPOLIS','SC',14387,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3303780,6.00,1.00,3.00,3.00,7.00,4.50,2.00,6.00,5.00,201,NULL,212,'AREAL','PELOTAS','RS',13287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3303802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'VILA NOVA','TROMBUDO CENTRAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3303810,3.00,3.00,4.00,6.00,6.00,5.00,1.00,3.00,3.00,501,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',14720,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3303829,6.00,4.00,4.00,8.00,5.00,5.50,3.00,5.00,5.00,452,NULL,NULL,'VORSTADT','BLUMENAU','SC',6761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'ÓRFãS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3303845,3.00,3.00,3.00,5.00,2.00,NULL,3.00,3.00,2.00,318,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3303861,2.00,3.00,3.00,5.00,4.00,NULL,1.00,2.00,2.00,211,NULL,215,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3303870,5.00,5.00,3.00,0.00,2.00,NULL,3.00,3.00,6.00,301,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303888,6.00,7.00,1.00,2.00,5.00,7.50,2.00,8.00,2.00,5,NULL,NULL,'HERMAM MORAES BARROS','MARINGá','PR',10031,371,NULL,NULL,NULL,NULL,NULL,4,8),(16,3303896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'JURERE INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3303918,3.00,4.00,3.00,2.00,4.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3303942,2.00,4.00,2.00,3.00,3.00,NULL,1.00,3.00,4.00,208,NULL,238,'SERRINHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3303950,3.00,2.00,1.00,0.00,2.00,NULL,3.00,3.00,3.00,309,NULL,NULL,'CAMPO D UNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303969,3.00,4.00,5.00,8.00,4.00,5.75,2.00,4.00,2.00,302,NULL,NULL,'JD CIDADE DE FPOLIS','S JOSé','SC',14120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3303977,4.00,5.00,4.00,6.00,5.00,6.50,2.00,4.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303985,3.00,6.00,4.00,5.00,6.00,5.25,3.00,6.00,3.00,203,NULL,201,'PONTE DO IMARUIM','PALHOçA','SC',11109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3303993,2.00,1.00,3.00,6.00,3.00,NULL,1.00,4.00,3.00,339,NULL,NULL,'PRAIA DA ARMAçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3304035,6.00,5.00,2.00,6.00,5.00,NULL,0.00,8.00,4.00,216,NULL,201,'CAMILOPOLIS','STO ANDRé','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304043,4.00,3.00,2.00,4.00,6.00,5.75,2.00,5.00,4.00,103,NULL,NULL,'ERICA','PANAMBI','RS',14523,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3304051,1.00,5.00,4.00,7.00,4.00,6.50,2.00,6.00,2.00,329,NULL,NULL,'AREIAS','S JOSé','SC',13820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304060,3.00,6.00,4.00,3.00,4.00,4.50,4.00,5.00,4.00,207,NULL,201,'CIBRAZéM','VIDEIRA','SC',13252,680,NULL,1029,NULL,NULL,NULL,4,7),(16,3304078,8.00,8.00,6.00,9.00,6.00,6.00,5.00,9.00,7.00,303,NULL,NULL,'GARCIA','BLUMENAU','SC',884,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3304086,7.00,6.00,5.00,7.00,6.00,6.00,3.00,4.00,4.00,503,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',7375,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304094,4.00,5.00,2.00,3.00,2.00,NULL,2.00,3.00,3.00,415,NULL,NULL,'NAVEGANTES','UNIãO VITóRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3304108,5.00,5.00,5.00,4.00,4.00,2.50,3.00,7.00,4.00,501,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304116,5.00,3.00,2.00,5.00,3.00,NULL,1.00,1.00,4.00,103,NULL,NULL,'CENTRO','BAL BARRA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3304132,0.00,3.00,2.00,2.00,2.00,NULL,4.00,2.00,3.00,203,NULL,201,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304140,3.00,6.00,2.00,0.00,0.00,NULL,1.00,5.00,4.00,212,NULL,215,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,2),(16,3304159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SãO JUDAS TADEU','GUARARAPES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3304167,4.00,4.00,4.00,9.00,5.00,5.75,3.00,6.00,4.00,328,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304183,5.00,6.00,3.00,4.00,3.00,NULL,2.00,1.00,3.00,102,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304191,6.00,5.00,6.00,8.00,8.00,5.50,8.00,8.00,7.00,203,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',1168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304205,3.00,2.00,1.00,6.00,1.00,NULL,2.00,2.00,3.00,309,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304213,5.00,7.00,6.00,2.00,4.00,4.50,7.00,7.00,6.00,420,NULL,NULL,'BOA VISTA','BLUMENAU','SC',5504,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3304221,3.00,3.00,3.00,2.00,4.00,4.00,3.00,5.00,3.00,238,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',16568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304230,5.00,6.00,5.00,8.00,5.00,5.75,3.00,8.00,4.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',5909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304248,0.00,4.00,5.00,5.00,3.00,NULL,1.00,5.00,5.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304256,3.00,5.00,3.00,7.00,5.00,6.75,2.00,5.00,5.00,103,NULL,NULL,'JARDIM AMéRICA','ITUVERAVA','SP',10064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304264,4.00,5.00,4.00,2.00,5.00,6.00,2.00,6.00,3.00,425,NULL,423,'TRINDADE','FLORIANóPOLIS','SC',13937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304280,5.00,4.00,3.00,1.00,3.00,NULL,2.00,6.00,1.00,238,NULL,208,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3304299,4.00,3.00,3.00,3.00,5.00,6.50,3.00,4.00,4.00,9,NULL,NULL,'CENTRO','CORREIA PINTO','SC',14509,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3304302,6.00,4.00,4.00,5.00,4.00,4.00,2.00,5.00,4.00,211,NULL,215,'CAPOEIRAS','FLORIANóPOLIS','SC',11884,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304310,3.00,1.00,1.00,1.00,2.00,NULL,4.00,3.00,2.00,233,NULL,215,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304329,4.00,2.00,3.00,7.00,4.00,5.50,1.00,3.00,2.00,103,NULL,NULL,'NOSSA SRA DE FATIMA','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3304337,3.00,5.00,4.00,6.00,4.00,5.00,3.00,5.00,5.00,203,NULL,214,'NOSSA SEN DO ROSáRIO','S JOSé','SC',12373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304345,5.00,3.00,3.00,8.00,6.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3304353,3.00,5.00,4.00,5.00,3.00,NULL,3.00,5.00,4.00,224,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3304361,3.00,5.00,3.00,6.00,4.00,4.75,0.00,6.00,3.00,444,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',14777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','GOIOERê','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3304396,8.00,6.00,5.00,8.00,8.00,8.75,4.00,9.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',1871,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3304400,6.00,7.00,7.00,7.00,5.00,5.75,3.00,6.00,3.00,304,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',6199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304426,7.00,6.00,7.00,6.00,7.00,6.50,7.00,8.00,8.00,104,NULL,NULL,'CENTRO','ITAPOá','SC',1786,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3304434,6.00,8.00,7.00,7.00,6.00,5.75,5.00,9.00,6.00,201,NULL,207,'VILA ICARAí','S JOSé CAMPOS','SP',1612,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304442,2.00,6.00,5.00,9.00,6.00,6.50,6.00,5.00,3.00,333,NULL,NULL,'CENTRO','SAPIRANGA','RS',6841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304469,6.00,5.00,2.00,6.00,4.00,5.75,4.00,7.00,5.00,104,NULL,NULL,'ACLIMAçãO','S PAULO','SP',9157,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3304477,4.00,5.00,4.00,4.00,6.00,7.50,3.00,6.00,5.00,424,NULL,426,'CAMPECHE','FLORIANóPOLIS','SC',9498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304523,9.00,5.00,6.00,7.00,5.00,8.00,6.00,8.00,5.00,103,NULL,NULL,'LOMBA','ORLEANS','SC',2546,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3304531,5.00,5.00,3.00,6.00,4.00,5.75,2.00,5.00,3.00,201,NULL,207,'CENTRO','AGROLâNDIA','SC',12419,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3304558,7.00,6.00,5.00,8.00,5.00,6.00,5.00,8.00,8.00,103,NULL,NULL,'SANTA TERESINHA','PENáPOLIS','SP',2279,903,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304566,2.00,3.00,3.00,2.00,6.00,NULL,3.00,3.00,4.00,415,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304574,6.00,3.00,3.00,7.00,7.00,5.75,2.00,3.00,3.00,420,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',12399,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'BELA ALIANçA','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3304604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','STA ROSA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3304612,3.00,1.00,2.00,4.00,4.00,NULL,2.00,0.00,0.00,9,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304620,3.00,4.00,6.00,8.00,7.00,6.00,2.00,4.00,3.00,303,NULL,NULL,'PIO CORREA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3304647,2.00,2.00,2.00,2.00,2.00,NULL,4.00,3.00,4.00,301,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304655,2.00,3.00,3.00,4.00,2.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'PIONEIROS','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,3),(16,3304663,4.00,2.00,2.00,5.00,5.00,4.00,3.00,5.00,4.00,104,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',14989,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3304680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'NSA SRA ROSARIO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3304698,6.00,4.00,4.00,4.00,3.00,NULL,1.00,6.00,2.00,103,NULL,NULL,'CENTRO','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3304701,6.00,5.00,6.00,6.00,2.00,NULL,8.00,8.00,8.00,103,NULL,NULL,'LAGOINHA','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304710,2.00,3.00,1.00,1.00,2.00,NULL,0.00,0.00,0.00,201,NULL,216,'MORROTES','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,10),(16,3304728,3.00,4.00,1.00,8.00,5.00,5.75,3.00,8.00,4.00,453,NULL,NULL,'PRóSPERA','CRICIúMA','SC',11274,78,NULL,NULL,NULL,NULL,NULL,2,5),(16,3304736,2.00,2.00,3.00,5.00,4.00,5.75,1.00,4.00,5.00,104,NULL,NULL,'CENTRO','STO ANDRé','SP',15420,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3304744,1.00,0.00,1.00,0.00,0.00,NULL,0.00,1.00,0.00,316,NULL,NULL,'JARDIM AMÉRICA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3304752,4.00,3.00,4.00,9.00,5.00,6.75,3.00,5.00,5.00,208,NULL,238,'JARDIM ITú SABARá','PTO ALEGRE','RS',8721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304760,7.00,6.00,3.00,6.00,6.00,5.50,6.00,8.00,5.00,317,NULL,NULL,'CAMPINAS','S JOSé','SC',4878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304787,3.00,1.00,1.00,4.00,2.00,NULL,3.00,1.00,6.00,102,NULL,NULL,'CENTRO','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3304795,4.00,4.00,2.00,6.00,6.00,4.25,1.00,7.00,0.00,103,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304809,7.00,2.00,4.00,6.00,7.00,6.75,3.00,7.00,4.00,201,NULL,212,'DOM BOSCO','ITAJAí','SC',7667,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3304817,1.00,4.00,2.00,5.00,1.00,NULL,2.00,4.00,4.00,420,NULL,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304825,5.00,1.00,2.00,1.00,3.00,NULL,2.00,3.00,4.00,425,NULL,429,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3304841,4.00,4.00,2.00,9.00,6.00,5.25,3.00,5.00,4.00,103,NULL,NULL,'BRASILIA','PATO BRANCO','PR',10201,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3304850,6.00,0.00,2.00,3.00,0.00,NULL,3.00,2.00,3.00,310,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304868,4.00,4.00,1.00,8.00,7.00,7.00,2.00,4.00,1.00,304,NULL,NULL,'BARREIROS','S JOSé','SC',13148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304876,5.00,4.00,1.00,7.00,6.00,6.25,4.00,6.00,4.00,203,NULL,216,'CENTRO','BAL CAMBORIú','SC',11320,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3304884,8.00,7.00,4.00,7.00,7.00,6.25,7.00,7.00,6.00,203,NULL,233,'VILA TOGNI','POçOS CALDAS','MG',2123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304892,2.00,5.00,2.00,2.00,2.00,NULL,1.00,2.00,4.00,201,NULL,207,'ALTO DO MUSSI','TRêS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3304914,5.00,6.00,9.00,8.00,6.00,5.00,3.00,8.00,6.00,214,NULL,213,'VILA UNIVERSITáRIA','S PAULO','SP',3149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304922,6.00,9.00,5.00,7.00,8.00,7.25,3.00,7.00,6.00,3,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304930,5.00,3.00,3.00,4.00,4.00,6.25,3.00,4.00,3.00,333,NULL,NULL,'MARAPé','SANTOS','SP',14546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304949,3.00,3.00,3.00,5.00,2.00,NULL,1.00,7.00,3.00,220,NULL,203,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3304957,6.00,8.00,2.00,9.00,8.00,5.50,3.00,8.00,3.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3304965,9.00,6.00,7.00,7.00,7.00,5.75,9.00,7.00,9.00,103,NULL,NULL,'SETOR SUL','GOIâNIA','GO',448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3304981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'MONTE ALEGRE I','PAULíNIA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3305007,5.00,3.00,4.00,2.00,4.00,5.50,3.00,4.00,5.00,104,NULL,NULL,'CENTRO','CORREIA PINTO','SC',13140,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3305015,6.00,2.00,2.00,2.00,3.00,NULL,4.00,4.00,6.00,208,NULL,202,'PEREQUE','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3305023,3.00,3.00,2.00,4.00,1.00,NULL,1.00,5.00,1.00,102,NULL,NULL,'ESTRELA','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3305040,3.00,3.00,3.00,8.00,5.00,5.75,5.00,3.00,2.00,301,NULL,NULL,'MARIA ISABEL','MARíLIA','SP',12626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3305074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','LAPA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3305082,4.00,0.00,4.00,6.00,2.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3305090,3.00,3.00,2.00,5.00,5.00,NULL,2.00,2.00,3.00,5,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3305104,4.00,6.00,3.00,1.00,3.00,NULL,1.00,8.00,2.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305120,4.00,3.00,2.00,5.00,3.00,NULL,1.00,4.00,1.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3305139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3305147,2.00,4.00,2.00,5.00,4.00,NULL,2.00,3.00,2.00,301,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3305163,3.00,6.00,3.00,7.00,5.00,6.25,4.00,8.00,3.00,202,NULL,233,'JOSE MENDES','FLORIANóPOLIS','SC',8097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305171,5.00,7.00,2.00,4.00,3.00,NULL,3.00,6.00,3.00,5,NULL,NULL,'GLóRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3305180,5.00,5.00,4.00,7.00,6.00,5.50,5.00,6.00,5.00,208,NULL,211,'FLORESTA','S JOSé','SC',6558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305198,1.00,5.00,2.00,5.00,2.00,NULL,2.00,4.00,4.00,329,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3305210,6.00,6.00,2.00,9.00,6.00,6.75,2.00,8.00,4.00,207,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305244,4.00,5.00,2.00,1.00,3.00,NULL,2.00,7.00,5.00,103,NULL,NULL,'JARDIM BELA VISTA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3305252,5.00,4.00,6.00,6.00,6.00,5.75,2.00,8.00,4.00,101,NULL,NULL,'BOQUEIRãO','CURITIBA','PR',7701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3305279,3.00,3.00,5.00,6.00,5.00,4.00,3.00,3.00,5.00,316,NULL,NULL,'GUAXUMA','MACEIó','AL',13427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305287,4.00,6.00,3.00,7.00,4.00,0.00,4.00,4.00,5.00,207,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305295,4.00,2.00,2.00,5.00,5.00,5.00,3.00,5.00,2.00,9,NULL,NULL,'VILA PEDRINE','JOAçABA','SC',16121,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3305309,5.00,7.00,5.00,7.00,7.00,7.75,3.00,7.00,5.00,319,NULL,NULL,'CENTRO','ERECHIM','RS',5118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305325,5.00,2.00,4.00,6.00,5.00,4.75,2.00,4.00,3.00,415,NULL,NULL,'UNIVERSITARIO','CORUMBá','MS',14610,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3305333,3.00,4.00,3.00,5.00,7.00,5.75,2.00,4.00,3.00,103,NULL,NULL,'JARDIM BETâNIA','MARíLIA','SP',13231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305341,3.00,5.00,3.00,3.00,4.00,5.00,3.00,7.00,3.00,108,NULL,NULL,'SãO CRISTóVãO','LAGES','SC',14110,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3305350,3.00,6.00,4.00,3.00,6.00,4.25,3.00,1.00,4.00,208,NULL,202,'CENTRO','CAMBORIú','SC',15576,543,NULL,520,NULL,NULL,NULL,4,3),(16,3305368,3.00,4.00,3.00,4.00,4.00,5.50,2.00,4.00,4.00,203,NULL,208,'CENTRO','GAURAMA','RS',15141,893,NULL,523,NULL,NULL,NULL,2,4),(16,3305376,3.00,6.00,4.00,7.00,5.00,6.50,2.00,5.00,3.00,207,NULL,211,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305384,4.00,7.00,1.00,6.00,5.00,5.50,3.00,8.00,4.00,207,NULL,NULL,'MIRANDóPOLIS','S PAULO','SP',9014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305392,4.00,4.00,2.00,6.00,4.00,5.00,3.00,4.00,4.00,339,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',14757,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3305414,4.00,3.00,2.00,5.00,3.00,NULL,2.00,4.00,2.00,450,NULL,NULL,'SãO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305422,6.00,5.00,4.00,6.00,3.00,NULL,2.00,6.00,4.00,319,NULL,NULL,'CENTRO','LONTRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3305430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3305449,4.00,6.00,4.00,8.00,5.00,6.25,4.00,9.00,1.00,303,NULL,NULL,'VISTA VERDE','S JOSé CAMPOS','SP',7870,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3305457,3.00,4.00,2.00,2.00,1.00,NULL,3.00,4.00,1.00,201,NULL,211,'PASSO DA AREIA','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3305465,2.00,6.00,3.00,0.00,7.00,6.50,2.00,8.00,3.00,415,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',13112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3305481,6.00,4.00,2.00,7.00,5.00,5.50,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305490,5.00,6.00,3.00,2.00,5.00,6.50,3.00,7.00,4.00,238,NULL,208,'RIO TAVARES','FLORIANóPOLIS','SC',10899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305511,8.00,7.00,4.00,6.00,7.00,5.25,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305520,6.00,8.00,2.00,2.00,4.00,6.00,2.00,6.00,5.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',10102,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3305538,6.00,7.00,5.00,8.00,8.00,7.25,6.00,6.00,8.00,103,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',1521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305546,3.00,6.00,4.00,9.00,5.00,4.75,4.00,4.00,5.00,225,NULL,NULL,'CENTRO','TIJUCAS','SC',9815,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3305554,3.00,2.00,1.00,5.00,3.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'SANTA TEREZA','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,7),(16,3305562,4.00,2.00,5.00,3.00,5.00,4.50,4.00,3.00,4.00,502,NULL,NULL,'CENTRO','CANELA','RS',15193,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3305597,4.00,2.00,3.00,2.00,3.00,NULL,3.00,3.00,1.00,303,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305600,2.00,2.00,1.00,1.00,4.00,NULL,2.00,4.00,5.00,308,NULL,NULL,'GLORIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3305619,4.00,6.00,3.00,7.00,5.00,4.75,3.00,5.00,3.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',11708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305627,6.00,3.00,4.00,7.00,5.00,6.00,3.00,2.00,3.00,211,NULL,207,'CENTRO','CHAPECO','SC',12215,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3305635,3.00,3.00,1.00,4.00,5.00,NULL,1.00,4.00,1.00,340,NULL,NULL,'CENTRO','CONCEIçãO BARRA','ES',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305651,4.00,3.00,4.00,5.00,3.00,NULL,2.00,4.00,3.00,104,NULL,NULL,'CENTRO','MARCELINO RAMOS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3305660,5.00,4.00,4.00,9.00,4.00,5.50,3.00,2.00,4.00,207,NULL,201,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3305678,5.00,1.00,1.00,4.00,4.00,NULL,2.00,1.00,5.00,211,NULL,NULL,'HIGIOENóPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305694,7.00,7.00,5.00,7.00,5.00,5.50,4.00,8.00,5.00,211,NULL,201,'PALMITAL','CHAPECó','SC',4416,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3305708,9.00,8.00,8.00,8.00,7.00,6.75,7.00,8.00,9.00,103,NULL,NULL,'SOBRINHO','CPO GRANDE','MS',253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3305716,2.00,6.00,8.00,8.00,6.00,6.50,4.00,7.00,4.00,201,NULL,233,'CENTRO','CHAPECó','SC',4887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305732,4.00,5.00,3.00,4.00,7.00,4.75,5.00,8.00,1.00,303,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',10926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3305740,7.00,7.00,5.00,6.00,7.00,6.00,3.00,6.00,3.00,303,NULL,NULL,'CENTRO','CAçADOR','SC',5397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305759,2.00,6.00,3.00,7.00,5.00,4.75,1.00,5.00,1.00,303,NULL,NULL,'CENTRO','CAXIAS SUL','RS',14532,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3305767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'VILA SUZANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3305791,5.00,5.00,3.00,7.00,6.00,4.25,3.00,6.00,4.00,220,NULL,201,'JARDIM EUROPA','ITAPEVA','SP',10043,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3305813,7.00,6.00,1.00,9.00,3.00,NULL,4.00,4.00,4.00,340,NULL,NULL,'LAGOA DA CONECEIçAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3305830,6.00,5.00,2.00,7.00,4.00,5.50,4.00,4.00,6.00,309,NULL,NULL,'SUDOESTE','CRUZEIRO','DF',9649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3305848,0.00,0.00,0.00,5.00,2.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','TERRA N NORTE','MT',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(16,3305856,4.00,7.00,3.00,6.00,5.00,7.50,2.00,6.00,2.00,201,NULL,207,'CENTRO','BAL CAMBORIú','SC',10347,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3305864,3.00,5.00,4.00,7.00,6.00,4.75,2.00,6.00,4.00,316,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',10563,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3305872,6.00,7.00,5.00,6.00,7.00,6.25,4.00,7.00,6.00,304,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3305880,3.00,6.00,4.00,5.00,4.00,4.50,4.00,7.00,2.00,212,NULL,201,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3305899,2.00,2.00,1.00,5.00,3.00,NULL,2.00,4.00,2.00,215,NULL,211,'VENEZA','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3305910,6.00,8.00,4.00,7.00,6.00,5.50,4.00,9.00,5.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',3969,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3305929,3.00,3.00,3.00,3.00,1.00,NULL,2.00,3.00,3.00,309,NULL,NULL,'ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3305937,2.00,5.00,3.00,3.00,2.00,NULL,5.00,4.00,4.00,211,NULL,202,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3305953,0.00,0.00,0.00,2.00,6.00,NULL,1.00,4.00,4.00,234,NULL,NULL,'ARRAIAL DAJUDA','ARRAIAL D AJUDA','BA',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(16,3305961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3305970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'SANTA FE','ITAPIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3305988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3305996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRI','LARANJEIRAS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3306003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'SANTA ELIZABETE','DIADEMA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3306011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'COLONIA MARCELINO','S JOSé PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3306020,4.00,5.00,1.00,9.00,3.00,NULL,3.00,6.00,4.00,103,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306038,1.00,3.00,2.00,6.00,2.00,NULL,1.00,0.00,4.00,215,NULL,212,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306046,4.00,6.00,1.00,2.00,1.00,NULL,4.00,3.00,1.00,318,NULL,NULL,'EUGENIO SCHNEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3306054,3.00,2.00,4.00,6.00,3.00,NULL,2.00,1.00,2.00,207,NULL,201,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306062,4.00,6.00,5.00,4.00,5.00,6.00,3.00,5.00,2.00,301,NULL,NULL,'FLORESTA','S JOSé','SC',12336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306070,3.00,3.00,3.00,5.00,3.00,NULL,3.00,4.00,4.00,214,NULL,202,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306089,5.00,5.00,4.00,5.00,2.00,NULL,4.00,3.00,5.00,207,NULL,201,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3306097,3.00,2.00,3.00,6.00,3.00,NULL,3.00,4.00,2.00,302,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306100,4.00,4.00,3.00,2.00,2.00,NULL,3.00,4.00,3.00,340,NULL,NULL,'JARDIM PANORâMICO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3306119,3.00,4.00,2.00,8.00,5.00,6.00,3.00,5.00,3.00,303,NULL,NULL,'CENTRO','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3306127,3.00,5.00,1.00,4.00,4.00,5.50,2.00,4.00,3.00,309,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',16392,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306135,2.00,4.00,1.00,8.00,4.00,5.00,2.00,8.00,4.00,201,NULL,212,'MONTE VERDE','FLORIANóPOLIS','SC',12990,1011,NULL,375,NULL,NULL,NULL,5,1),(16,3306143,5.00,1.00,5.00,2.00,3.00,NULL,3.00,4.00,2.00,340,NULL,NULL,'CENTRO','HUMAITá','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3306151,4.00,4.00,3.00,4.00,4.00,4.50,2.00,2.00,3.00,9,NULL,NULL,'CACUPé','FLORIANóPOLIS','SC',16424,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306160,3.00,5.00,4.00,6.00,3.00,NULL,2.00,6.00,2.00,211,NULL,215,'ESTALEIRINHO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3306178,6.00,5.00,3.00,7.00,8.00,6.50,3.00,8.00,2.00,211,NULL,212,'CANASVIEIRAS','FLORIANóPOLIS','SC',6297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306186,1.00,1.00,5.00,1.00,2.00,NULL,2.00,2.00,0.00,103,NULL,NULL,'BARRAGEM','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3306194,4.00,8.00,7.00,7.00,5.00,6.75,3.00,5.00,5.00,302,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',5927,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306208,4.00,5.00,3.00,3.00,3.00,NULL,2.00,5.00,2.00,3,NULL,NULL,'PORTãO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306216,5.00,3.00,2.00,6.00,4.00,6.00,5.00,4.00,1.00,404,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',14186,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306224,2.00,4.00,2.00,2.00,6.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'PROGRESSO','S LOURENçO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3306240,2.00,5.00,3.00,6.00,4.00,5.75,1.00,6.00,3.00,324,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',14219,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306267,3.00,8.00,1.00,8.00,6.00,5.25,3.00,6.00,4.00,201,NULL,212,'CENTRO','IOMERê','SC',8520,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3306275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'JARDIM ELDORADO','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3306291,3.00,1.00,3.00,2.00,6.00,NULL,1.00,3.00,3.00,502,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3306305,4.00,5.00,1.00,6.00,3.00,NULL,2.00,5.00,3.00,216,NULL,207,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3306313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3306321,6.00,7.00,4.00,5.00,5.00,5.75,3.00,7.00,3.00,208,NULL,NULL,'CAMPINAS','S JOSé','SC',7809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306330,4.00,1.00,4.00,2.00,1.00,NULL,4.00,3.00,2.00,326,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306356,3.00,5.00,2.00,4.00,0.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'AMéRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3306364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3306372,4.00,0.00,1.00,3.00,3.00,NULL,2.00,3.00,1.00,316,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306380,5.00,6.00,5.00,7.00,4.00,3.00,2.00,7.00,4.00,316,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306402,3.00,1.00,1.00,5.00,3.00,NULL,3.00,4.00,2.00,453,NULL,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306410,7.00,7.00,3.00,8.00,5.00,5.75,4.00,8.00,5.00,316,NULL,NULL,'BARREIROS','S JOSé','SC',5115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3306437,6.00,7.00,3.00,5.00,7.00,5.50,1.00,9.00,5.00,5,NULL,NULL,'ROçADO','S JOSé','SC',7722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306445,2.00,3.00,5.00,4.00,4.00,5.25,3.00,7.00,3.00,103,NULL,NULL,'VILA LUCINDA','STO ANDRé','SP',13696,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3306453,3.00,3.00,4.00,5.00,5.00,NULL,2.00,2.00,2.00,207,NULL,208,'BOCA DO PIQUE','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3306461,7.00,6.00,4.00,6.00,6.00,6.00,6.00,7.00,6.00,233,NULL,220,'CENTRO','FLORIANóPOLIS','SC',4767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306470,6.00,6.00,3.00,6.00,4.00,5.75,1.00,6.00,3.00,104,NULL,NULL,'EFACIP','PINHALZINHO','SC',10492,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3306488,3.00,8.00,5.00,8.00,6.00,7.00,4.00,6.00,6.00,303,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',4882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306496,3.00,5.00,3.00,6.00,4.00,5.25,3.00,6.00,5.00,202,NULL,233,'NAçôES','SEARA','SC',12192,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3306500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,427,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3306518,7.00,6.00,2.00,7.00,6.00,6.00,1.00,7.00,3.00,203,NULL,220,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306526,4.00,8.00,3.00,7.00,5.00,6.50,4.00,7.00,3.00,207,NULL,201,'MINA DO MATO','CRICIúMA','SC',8219,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3306542,0.00,0.00,0.00,8.00,3.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3306550,5.00,2.00,1.00,5.00,3.00,NULL,4.00,5.00,5.00,103,NULL,NULL,'ALTO DA GLóRIA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3306569,1.00,4.00,3.00,7.00,3.00,NULL,3.00,1.00,3.00,339,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3306577,3.00,7.00,4.00,7.00,5.00,6.75,4.00,6.00,3.00,420,NULL,NULL,'JURERE INTERNACIONAL','FLORIANóPOLIS','SC',9079,81,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306585,4.00,4.00,3.00,6.00,1.00,NULL,1.00,6.00,5.00,207,NULL,201,'VICTOR KONDER','TAIó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3306593,2.00,4.00,5.00,1.00,3.00,NULL,3.00,3.00,3.00,103,NULL,NULL,'ESTâNCIA PINHAIS','PINHAIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3306615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3306623,3.00,3.00,2.00,2.00,4.00,NULL,3.00,2.00,2.00,102,NULL,NULL,'INTERIOR','IPUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3306631,6.00,4.00,3.00,7.00,5.00,5.75,1.00,5.00,5.00,415,NULL,NULL,'BARRA DO RIO CERRO','JARAGUá SUL','SC',10570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306640,6.00,6.00,5.00,7.00,7.00,5.75,2.00,6.00,5.00,420,NULL,NULL,'ALTO FELIZ','ARARANGUá','SC',5428,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3306658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'MATO ALTO','ARARANGUá','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3306674,3.00,3.00,4.00,5.00,3.00,NULL,2.00,4.00,4.00,444,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306682,2.00,4.00,2.00,5.00,1.00,NULL,1.00,4.00,3.00,316,NULL,NULL,'CENTRO','HUMAITá','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3306690,5.00,6.00,5.00,8.00,7.00,7.00,4.00,6.00,9.00,420,NULL,NULL,'VILA JACUI','S PAULO','SP',2277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306704,6.00,6.00,2.00,9.00,7.00,8.00,5.00,5.00,6.00,211,NULL,215,'SANTA MôNICA','FLORIANóPOLIS','SC',3895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306712,5.00,3.00,1.00,4.00,3.00,NULL,3.00,4.00,2.00,207,NULL,203,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306720,6.00,7.00,4.00,9.00,7.00,6.50,3.00,6.00,5.00,5,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3306739,2.00,5.00,3.00,4.00,0.00,NULL,1.00,3.00,3.00,332,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','MANDAGUARI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3306763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA CRUZEIRO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3306771,0.00,2.00,2.00,6.00,3.00,NULL,5.00,3.00,3.00,104,NULL,NULL,'VILA MOEMA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3306780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CRUZEIRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3306798,7.00,8.00,6.00,8.00,7.00,5.75,3.00,6.00,7.00,216,NULL,203,'BALNEáRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306801,7.00,6.00,4.00,7.00,7.00,7.00,2.00,7.00,5.00,211,NULL,215,'CARIANOS','FLORIANóPOLIS','SC',5454,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306810,7.00,5.00,4.00,2.00,4.00,5.75,3.00,5.00,5.00,103,NULL,NULL,'PETRóPOLIS','PASSO FUNDO','RS',10379,2268,NULL,NULL,NULL,NULL,NULL,2,5),(16,3306828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'VERSALLES','ARARAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3306836,6.00,3.00,4.00,8.00,6.00,5.75,3.00,5.00,4.00,303,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306844,4.00,3.00,1.00,2.00,3.00,NULL,1.00,5.00,4.00,5,NULL,NULL,'FUNDO CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306852,2.00,2.00,1.00,6.00,2.00,NULL,3.00,2.00,1.00,308,NULL,NULL,'POMERANOS','TIMBó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3306860,6.00,6.00,7.00,3.00,6.00,5.75,6.00,6.00,8.00,203,NULL,214,'CENTRO','BOTUCATU','SP',3384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306895,1.00,1.00,3.00,2.00,3.00,NULL,2.00,2.00,4.00,444,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306909,5.00,3.00,5.00,8.00,4.00,5.50,3.00,6.00,5.00,203,NULL,202,'ALTO ARIRú','PALHOçA','SC',8998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306917,6.00,6.00,1.00,4.00,7.00,5.50,4.00,6.00,3.00,103,NULL,NULL,'CENTRO','VACARIA','RS',10991,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3306925,3.00,3.00,4.00,8.00,6.00,6.25,3.00,6.00,3.00,211,NULL,207,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3306933,9.00,8.00,3.00,5.00,8.00,4.00,4.00,8.00,6.00,102,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306941,4.00,6.00,4.00,8.00,6.00,7.00,3.00,7.00,4.00,303,NULL,NULL,'SUL DO RIO','SANTO AMARO DA IMPERATRIZ','SC',6504,297,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306968,5.00,1.00,1.00,0.00,3.00,NULL,1.00,4.00,5.00,208,NULL,211,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3306976,6.00,6.00,5.00,9.00,8.00,7.25,5.00,8.00,8.00,220,NULL,203,'CENTRO','GASPAR','SC',1597,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3306992,2.00,4.00,3.00,3.00,5.00,4.50,2.00,3.00,5.00,208,NULL,201,'DOM JOAQUIM','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307000,7.00,8.00,6.00,7.00,9.00,5.75,4.00,8.00,6.00,503,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',1894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307018,5.00,5.00,2.00,6.00,3.00,NULL,1.00,3.00,4.00,429,NULL,425,'PEDRA BRANCA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307034,4.00,4.00,5.00,7.00,6.00,5.75,5.00,6.00,9.00,213,NULL,233,'RIO COMPRIDO','JACAREí','SP',4418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307069,6.00,8.00,6.00,9.00,8.00,5.00,4.00,8.00,5.00,316,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',2735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307085,4.00,2.00,5.00,7.00,3.00,NULL,2.00,1.00,2.00,319,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307093,2.00,3.00,3.00,3.00,4.00,NULL,2.00,4.00,3.00,316,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307107,3.00,5.00,1.00,7.00,4.00,5.50,2.00,6.00,4.00,104,NULL,NULL,'REGINA','CATANDUVAS','SC',14069,396,NULL,NULL,NULL,NULL,NULL,2,7),(16,3307115,6.00,6.00,2.00,8.00,4.00,7.00,5.00,4.00,5.00,211,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',7264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307123,6.00,8.00,6.00,7.00,5.00,5.25,4.00,8.00,7.00,301,NULL,NULL,'CENTRO','XANXERê','SC',3096,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3307131,0.00,2.00,1.00,1.00,3.00,NULL,2.00,3.00,0.00,420,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307140,5.00,8.00,4.00,2.00,4.00,7.75,3.00,8.00,4.00,5,NULL,NULL,'IPIRANGA','S JOSé','SC',8412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307158,5.00,6.00,1.00,8.00,6.00,5.50,3.00,9.00,4.00,208,NULL,238,'AGRONôNICA','FLORIANóPOLIS','SC',7481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307174,3.00,4.00,4.00,7.00,3.00,NULL,3.00,4.00,3.00,450,NULL,NULL,'CJ RES BEIJA FLOR','ITATIBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307190,0.00,4.00,1.00,7.00,5.00,5.00,3.00,3.00,2.00,2,NULL,NULL,'AREIAS','S JOSé','SC',16428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307204,4.00,3.00,2.00,8.00,5.00,6.50,2.00,3.00,3.00,102,NULL,NULL,'CENTRO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3307212,5.00,4.00,9.00,8.00,5.00,5.75,4.00,6.00,5.00,211,NULL,212,'AMERICA','JOINVILLE','SC',5234,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3307220,6.00,5.00,3.00,8.00,5.00,4.50,2.00,7.00,5.00,208,NULL,238,'JARDIM ITALIA','CHAPECó','SC',8342,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3307239,3.00,4.00,2.00,4.00,5.00,4.75,1.00,4.00,3.00,201,NULL,208,'PICADAS DO SUL','S JOSé','SC',16548,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307247,3.00,7.00,4.00,4.00,4.00,5.25,2.00,2.00,5.00,340,NULL,NULL,'BARREIROS','S JOSé','SC',14407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3307263,3.00,3.00,3.00,7.00,5.00,4.00,2.00,6.00,4.00,444,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',12876,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307271,4.00,6.00,3.00,6.00,5.00,4.50,3.00,5.00,4.00,415,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',12833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307280,3.00,7.00,2.00,5.00,5.00,7.00,2.00,7.00,3.00,502,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',11095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307298,6.00,5.00,6.00,9.00,6.00,6.00,4.00,7.00,5.00,319,NULL,NULL,'CENTRO','S FRANCISCO PAULA','RS',4655,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3307301,2.00,4.00,3.00,7.00,3.00,NULL,1.00,5.00,3.00,318,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3307328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3307336,5.00,4.00,4.00,8.00,2.00,NULL,5.00,7.00,3.00,207,NULL,201,'PIO CORREIA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3307344,6.00,6.00,6.00,6.00,7.00,6.00,2.00,6.00,5.00,420,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',6151,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307352,8.00,6.00,2.00,8.00,5.00,6.50,2.00,7.00,5.00,444,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',6736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307360,3.00,4.00,8.00,8.00,3.00,NULL,4.00,5.00,6.00,233,NULL,215,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307379,5.00,8.00,1.00,9.00,6.00,6.50,1.00,8.00,3.00,5,NULL,NULL,'CENTRO','CHAPECó','SC',6824,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307387,5.00,5.00,7.00,7.00,6.00,4.25,5.00,6.00,7.00,203,NULL,202,'CAPOEIRAS','FLORIANóPOLIS','SC',4578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM LINDóIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3307425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ITAIM BIBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3307433,4.00,3.00,4.00,5.00,7.00,6.00,2.00,2.00,3.00,104,NULL,NULL,'COMERCIARIO','CRICIúMA','SC',14654,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3307441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'VARGAS','CARAZINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3307450,2.00,3.00,2.00,1.00,1.00,NULL,1.00,1.00,3.00,207,NULL,201,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307468,4.00,7.00,3.00,0.00,0.00,NULL,2.00,8.00,5.00,317,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(16,3307476,5.00,3.00,2.00,4.00,4.00,4.50,3.00,1.00,3.00,220,NULL,202,'STO ATONIO DE LISBOA','FLORIANóPOLIS','SC',16692,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307484,3.00,4.00,3.00,2.00,4.00,6.00,1.00,6.00,3.00,223,NULL,NULL,'PARQUE DA MATRIZ','CACHOEIRINHA','RS',16196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307492,3.00,3.00,1.00,2.00,5.00,NULL,1.00,5.00,3.00,339,NULL,NULL,'JARDIM BELMONTE','OSASCO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307506,5.00,4.00,2.00,6.00,4.00,5.00,3.00,6.00,3.00,103,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',13982,2613,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307522,3.00,5.00,3.00,9.00,5.00,5.50,1.00,8.00,2.00,326,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',10313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307530,6.00,5.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3307549,1.00,4.00,3.00,4.00,2.00,NULL,2.00,3.00,3.00,415,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3307557,4.00,3.00,1.00,3.00,5.00,5.75,1.00,5.00,3.00,207,NULL,220,'CANASVIEIRAS','FLORIANóPOLIS','SC',15825,825,NULL,511,NULL,NULL,NULL,4,1),(16,3307565,4.00,2.00,5.00,4.00,4.00,5.00,2.00,3.00,3.00,444,NULL,NULL,'SãO JOSé CENTRO','S JOSé','SC',16554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307573,8.00,8.00,7.00,9.00,7.00,7.75,7.00,8.00,7.00,108,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307581,0.00,3.00,1.00,2.00,3.00,NULL,1.00,1.00,2.00,302,NULL,NULL,'SERTãO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO II','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3307603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3307611,4.00,4.00,6.00,7.00,4.00,7.25,3.00,6.00,4.00,104,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',8352,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3307620,3.00,1.00,1.00,4.00,4.00,NULL,3.00,1.00,2.00,444,NULL,NULL,'CENTRO','CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3307638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SANTA CRUZ','AVARé','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3307646,3.00,3.00,2.00,3.00,2.00,NULL,7.00,7.00,6.00,201,NULL,220,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307654,1.00,3.00,4.00,2.00,3.00,NULL,2.00,3.00,3.00,333,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3307662,1.00,3.00,1.00,7.00,5.00,4.75,4.00,7.00,3.00,415,NULL,NULL,'JARDIM EUCALIPTUS','PALHOçA','SC',13874,353,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3307700,5.00,6.00,5.00,9.00,7.00,6.25,5.00,7.00,5.00,317,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',4065,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307719,1.00,3.00,4.00,6.00,3.00,NULL,2.00,3.00,1.00,102,NULL,NULL,'BALNEARIO ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307727,1.00,3.00,3.00,2.00,4.00,NULL,0.00,5.00,3.00,205,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307735,6.00,3.00,4.00,6.00,4.00,3.00,3.00,4.00,0.00,207,NULL,208,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307743,1.00,3.00,2.00,2.00,2.00,NULL,0.00,0.00,2.00,104,NULL,NULL,'NAZARé','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3307751,7.00,6.00,3.00,5.00,5.00,4.75,2.00,4.00,4.00,207,NULL,208,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307760,3.00,3.00,1.00,6.00,3.00,NULL,0.00,2.00,1.00,203,NULL,212,'ITAJUBA','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3307786,1.00,1.00,2.00,3.00,1.00,NULL,2.00,2.00,3.00,309,NULL,NULL,'MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3307794,5.00,5.00,2.00,8.00,6.00,4.25,2.00,7.00,4.00,108,NULL,NULL,'EXPOSIçãO','CAXIAS SUL','RS',10047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'JARDIM UNIVERSITáRIO','ARARAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3307816,4.00,7.00,3.00,2.00,3.00,NULL,1.00,8.00,2.00,103,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307824,4.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3307832,3.00,4.00,5.00,6.00,3.00,NULL,2.00,5.00,3.00,317,NULL,NULL,'SETãO DO MARUIM','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307840,7.00,8.00,4.00,9.00,9.00,7.25,5.00,9.00,8.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307859,3.00,4.00,1.00,4.00,5.00,NULL,1.00,6.00,0.00,451,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3307867,6.00,7.00,5.00,7.00,6.00,6.50,2.00,7.00,4.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',5780,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307883,3.00,5.00,3.00,4.00,4.00,4.75,1.00,5.00,2.00,212,NULL,211,'SANTINHO','FLORIANóPOLIS','SC',16435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307891,5.00,6.00,3.00,9.00,3.00,NULL,3.00,6.00,5.00,340,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307905,8.00,5.00,6.00,6.00,7.00,5.75,3.00,5.00,8.00,103,NULL,NULL,'REBOUçAS','CURITIBA','PR',3863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307913,7.00,6.00,6.00,9.00,7.00,7.50,4.00,8.00,8.00,103,NULL,NULL,'SãO VICENTE','ITAJAí','SC',1573,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3307921,4.00,5.00,4.00,6.00,5.00,6.00,3.00,4.00,1.00,428,NULL,427,'TAPERA','FLORIANOPOLIS','SC',12786,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307930,5.00,4.00,4.00,6.00,6.00,5.25,1.00,4.00,2.00,339,NULL,NULL,'BELA VISTA','S JOSé','SC',13206,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307948,1.00,4.00,3.00,1.00,2.00,NULL,3.00,6.00,3.00,425,NULL,429,'JARDIN ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307956,4.00,4.00,5.00,7.00,6.00,6.25,3.00,5.00,5.00,233,NULL,215,'FLORESTA','S JOSé','SC',8462,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307964,4.00,4.00,1.00,7.00,4.00,5.00,3.00,4.00,5.00,319,NULL,NULL,'VILA NOVA','BLUMENAU','SC',13842,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3307972,8.00,6.00,5.00,4.00,6.00,6.00,8.00,8.00,9.00,103,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',2271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3307980,2.00,1.00,2.00,6.00,4.00,NULL,2.00,1.00,3.00,404,NULL,NULL,'JARDIM BIGUAçU','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3307999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,212,'DOS ESTADOS','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3308006,1.00,4.00,1.00,3.00,3.00,NULL,0.00,2.00,1.00,308,NULL,NULL,'FORQUILINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308014,4.00,5.00,1.00,3.00,4.00,NULL,2.00,1.00,0.00,207,NULL,208,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3308022,4.00,3.00,2.00,5.00,4.00,5.75,2.00,4.00,3.00,108,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3308030,2.00,6.00,2.00,3.00,5.00,5.75,3.00,4.00,3.00,320,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',15326,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3308049,4.00,7.00,7.00,9.00,7.00,8.00,4.00,8.00,7.00,203,NULL,220,'CARVOEIRA','FLORIANóPOLIS','SC',2227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3308057,5.00,4.00,4.00,5.00,3.00,NULL,0.00,4.00,1.00,203,NULL,214,'CENTRO','LAPA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3308065,3.00,4.00,3.00,8.00,3.00,NULL,3.00,5.00,3.00,404,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308073,3.00,2.00,4.00,4.00,4.00,5.50,3.00,3.00,3.00,316,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',16137,204,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308081,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,201,NULL,211,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3308090,1.00,4.00,1.00,6.00,3.00,NULL,3.00,2.00,3.00,103,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3308111,3.00,4.00,1.00,4.00,2.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3308120,3.00,5.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3308138,2.00,5.00,2.00,2.00,3.00,NULL,1.00,4.00,3.00,319,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308146,2.00,2.00,1.00,1.00,0.00,NULL,1.00,6.00,2.00,201,NULL,207,'BRASILIA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3308154,2.00,4.00,2.00,3.00,3.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308162,4.00,2.00,3.00,7.00,5.00,6.50,0.00,4.00,2.00,329,NULL,NULL,'CENTRO','STA MARIA','RS',15011,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308170,3.00,4.00,1.00,3.00,4.00,3.25,3.00,5.00,3.00,203,NULL,202,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308189,8.00,7.00,3.00,6.00,5.00,6.00,4.00,7.00,5.00,103,NULL,NULL,'ANDREATTA','S MIGUEL OESTE','SC',5782,1633,NULL,NULL,NULL,NULL,NULL,2,4),(16,3308197,2.00,2.00,3.00,2.00,2.00,NULL,2.00,5.00,2.00,415,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308200,9.00,8.00,9.00,9.00,8.00,6.50,7.00,7.00,8.00,103,NULL,NULL,'TATUAPé','S PAULO','SP',74,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308227,6.00,5.00,6.00,6.00,8.00,7.75,2.00,5.00,6.00,201,NULL,NULL,'ZONA DOIS','MARINGá','PR',4638,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3308235,2.00,3.00,1.00,7.00,1.00,NULL,2.00,4.00,2.00,104,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3308251,5.00,4.00,4.00,6.00,5.00,6.75,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3308260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3308278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JATIUCA','MACEIó','AL',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3308286,6.00,3.00,5.00,8.00,6.00,6.25,2.00,1.00,4.00,453,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',12171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3308294,3.00,2.00,3.00,5.00,5.00,NULL,1.00,1.00,4.00,333,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3308308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ALPHAVILLE','SANTANA PARNAíBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3308324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JUVEVê','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3308340,1.00,4.00,3.00,5.00,4.00,5.25,1.00,5.00,1.00,201,NULL,207,'VARGEM GRANDE','FLORIANóPOLIS','SC',16550,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308359,4.00,5.00,4.00,3.00,6.00,4.25,3.00,6.00,3.00,424,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',12059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3308367,1.00,2.00,4.00,3.00,2.00,NULL,2.00,2.00,4.00,223,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308375,3.00,4.00,1.00,2.00,2.00,NULL,4.00,5.00,4.00,202,NULL,208,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308391,2.00,4.00,1.00,6.00,3.00,NULL,2.00,1.00,2.00,108,NULL,NULL,'RUSCHEL','IPORã OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3308405,3.00,6.00,5.00,9.00,6.00,5.50,4.00,6.00,6.00,340,NULL,NULL,'PANTANO DO SUL','FLORIANóPOLIS','SC',5791,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3308421,9.00,7.00,7.00,9.00,8.00,5.00,4.00,8.00,7.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',1078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3308430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3308448,4.00,6.00,5.00,5.00,6.00,5.75,2.00,6.00,3.00,207,NULL,201,'CENTRO','TUBARãO','SC',9412,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3308456,1.00,3.00,2.00,5.00,1.00,NULL,1.00,3.00,3.00,308,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308464,4.00,2.00,1.00,3.00,3.00,NULL,1.00,4.00,4.00,444,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3308472,1.00,3.00,2.00,3.00,3.00,NULL,2.00,2.00,3.00,319,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308480,3.00,3.00,3.00,7.00,4.00,4.25,4.00,2.00,4.00,208,NULL,238,'CENTRO','CRICIúMA','SC',15276,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3308499,3.00,6.00,2.00,6.00,2.00,NULL,2.00,5.00,5.00,503,NULL,NULL,'NOVA DIVINéIA','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3308510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'BALNEáRIO ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3308529,5.00,6.00,5.00,8.00,5.00,5.00,2.00,7.00,8.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',6050,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3308537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','S DOMINGOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3308553,4.00,5.00,7.00,8.00,7.00,6.00,3.00,8.00,5.00,303,NULL,NULL,'CENTRO','LAGES','SC',4374,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3308561,9.00,5.00,8.00,8.00,6.00,6.00,6.00,8.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',979,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3308570,5.00,8.00,5.00,8.00,8.00,6.25,6.00,9.00,8.00,340,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',1051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3308588,5.00,7.00,4.00,7.00,3.00,NULL,3.00,7.00,6.00,340,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308596,6.00,7.00,3.00,6.00,5.00,6.50,4.00,7.00,5.00,201,NULL,202,'PONTA AGUDA','BLUMENAU','SC',5368,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3308600,5.00,5.00,3.00,4.00,2.00,NULL,3.00,6.00,6.00,103,NULL,NULL,'INDUSTRIARIOS','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3308618,5.00,5.00,4.00,7.00,6.00,6.00,3.00,7.00,4.00,5,NULL,NULL,'SETOR PEDRO LUDOVICO','GOIâNIA','GO',7172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308626,4.00,4.00,1.00,6.00,3.00,NULL,3.00,4.00,3.00,103,NULL,NULL,'PAROLIN','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3308634,5.00,3.00,2.00,4.00,1.00,NULL,4.00,4.00,2.00,309,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308642,6.00,6.00,4.00,6.00,6.00,6.25,4.00,6.00,3.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',7290,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3308650,4.00,5.00,3.00,5.00,6.00,6.00,4.00,6.00,6.00,452,NULL,NULL,'CENTRO','BRUSQUE','SC',8697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3308669,5.00,3.00,2.00,6.00,4.00,5.75,2.00,6.00,5.00,316,NULL,NULL,'JARDIM MAR DAS PEDRA','BIGUAçU','SC',12200,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308685,2.00,0.00,3.00,3.00,2.00,NULL,1.00,4.00,2.00,340,NULL,NULL,'SãO CRISTOVãO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3308693,4.00,6.00,3.00,7.00,6.00,7.00,2.00,5.00,6.00,316,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',7693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3308715,5.00,6.00,3.00,5.00,2.00,NULL,5.00,7.00,5.00,302,NULL,NULL,'SAO MARTINHO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3308723,3.00,2.00,2.00,2.00,2.00,NULL,2.00,0.00,3.00,208,NULL,202,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3308740,5.00,4.00,2.00,1.00,3.00,NULL,2.00,6.00,3.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3308758,3.00,3.00,3.00,8.00,7.00,5.50,2.00,5.00,3.00,201,NULL,207,'BELA VISTA','ERECHIM','RS',11793,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3308766,3.00,3.00,2.00,8.00,3.00,NULL,2.00,2.00,5.00,303,NULL,NULL,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3308774,3.00,1.00,2.00,4.00,2.00,NULL,3.00,1.00,2.00,101,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308782,6.00,6.00,2.00,7.00,6.00,4.00,1.00,4.00,4.00,3,NULL,NULL,'JARDIM GLORIA','AMERICANA','SP',11347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3308804,5.00,7.00,5.00,9.00,7.00,6.50,5.00,8.00,5.00,9,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',3386,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3308812,5.00,6.00,5.00,9.00,7.00,6.25,5.00,8.00,7.00,103,NULL,NULL,'MORRO ESTEVãO','CRICIúMA','SC',2337,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3308820,6.00,8.00,4.00,9.00,7.00,6.00,4.00,7.00,6.00,340,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3308839,6.00,4.00,3.00,6.00,7.00,7.00,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',9382,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3308847,4.00,6.00,5.00,5.00,6.00,5.00,3.00,6.00,5.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3308863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'N SENHORA DO ROSARIO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3308871,1.00,1.00,3.00,5.00,6.00,NULL,3.00,4.00,3.00,5,NULL,NULL,'STO ANTONIO DE PADUA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3308880,4.00,5.00,2.00,0.00,6.00,NULL,3.00,3.00,1.00,301,NULL,NULL,'STO ANTôNIO DE PáDUA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3308898,1.00,3.00,4.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'GRÃ DUQUESA','GOVERNADOR VALADARES','MG',NULL,NULL,NULL,NULL,'S',NULL,'S',4,5),(16,3308901,8.00,4.00,3.00,9.00,3.00,NULL,2.00,5.00,8.00,202,NULL,203,'SANTA CRUZ','RIO CLARO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3308910,6.00,6.00,6.00,8.00,5.00,6.00,1.00,6.00,6.00,316,NULL,NULL,'KOBRASOL','S JOSé','SC',5434,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308928,6.00,7.00,4.00,6.00,5.00,6.25,3.00,6.00,5.00,103,NULL,NULL,'JARDIM PETRÓPOLIS','FOZ IGUAçU','PR',7880,1963,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308936,5.00,5.00,5.00,6.00,5.00,5.25,5.00,3.00,3.00,203,NULL,213,'JARDIM ALICE','FOZ IGUAçU','PR',9917,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3308952,1.00,8.00,1.00,6.00,3.00,NULL,2.00,7.00,2.00,331,NULL,NULL,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308960,5.00,5.00,2.00,5.00,2.00,NULL,1.00,4.00,3.00,238,NULL,202,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3308979,3.00,6.00,3.00,6.00,3.00,NULL,4.00,6.00,6.00,201,NULL,212,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3308995,3.00,2.00,1.00,5.00,3.00,NULL,2.00,6.00,3.00,421,NULL,425,'CENTRO','TANGARá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3309002,2.00,2.00,2.00,4.00,4.00,NULL,3.00,2.00,4.00,220,NULL,214,'CRUZEIRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3309010,7.00,4.00,3.00,4.00,4.00,6.75,2.00,3.00,5.00,104,NULL,NULL,'CENTRO','LGA VERMELHA','RS',12768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309029,7.00,7.00,4.00,7.00,6.00,4.00,6.00,7.00,7.00,103,NULL,NULL,'DA LUZ','DOIS VIZINHOS','PR',3978,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3309037,0.00,0.00,0.00,7.00,2.00,NULL,3.00,3.00,3.00,103,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,1,2),(16,3309045,2.00,3.00,4.00,2.00,4.00,NULL,2.00,5.00,3.00,444,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309053,3.00,3.00,2.00,6.00,3.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3309061,5.00,5.00,5.00,9.00,2.00,NULL,4.00,3.00,7.00,214,NULL,212,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3309070,3.00,3.00,1.00,6.00,5.00,4.75,2.00,7.00,3.00,202,NULL,201,'BARRA DA LAGOA','FLORIANóPOLIS','SC',15610,521,NULL,1207,NULL,NULL,NULL,2,1),(16,3309088,3.00,4.00,1.00,2.00,2.00,NULL,2.00,6.00,3.00,108,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3309100,1.00,2.00,3.00,3.00,4.00,NULL,3.00,4.00,3.00,208,NULL,238,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3309118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,423,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3309126,3.00,3.00,3.00,5.00,3.00,NULL,4.00,3.00,1.00,501,NULL,NULL,'CENTRO SUL','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3309134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3309169,3.00,6.00,2.00,9.00,6.00,5.50,2.00,6.00,2.00,103,NULL,NULL,'CENTRO','GASPAR','SC',10819,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3309177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,421,'NONOAI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3309193,3.00,1.00,1.00,1.00,2.00,NULL,5.00,1.00,0.00,329,NULL,NULL,'ABRAA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309207,6.00,7.00,4.00,7.00,5.00,4.75,2.00,5.00,5.00,404,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',7957,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3309215,3.00,8.00,4.00,4.00,2.00,NULL,1.00,4.00,3.00,318,NULL,NULL,'CENTRO','CAçADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3309223,6.00,4.00,3.00,5.00,7.00,7.00,3.00,5.00,4.00,201,NULL,207,'CENTRO','TAIó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3309240,3.00,2.00,4.00,3.00,2.00,NULL,4.00,6.00,3.00,317,NULL,NULL,'BELA VISTA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309258,2.00,1.00,4.00,3.00,3.00,NULL,1.00,2.00,3.00,216,NULL,203,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309282,5.00,6.00,4.00,8.00,6.00,5.25,4.00,7.00,3.00,301,NULL,NULL,'BARRA DO RIO CERRO','JARAGUá SUL','SC',7354,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3309290,2.00,2.00,3.00,4.00,2.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3309304,6.00,7.00,8.00,6.00,7.00,6.00,8.00,8.00,6.00,207,NULL,201,'JARDIM SãO FRANCISCO','CAIEIRAS','SP',1316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309320,3.00,4.00,1.00,5.00,5.00,NULL,2.00,4.00,2.00,233,NULL,213,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3309339,3.00,2.00,1.00,3.00,5.00,4.75,2.00,6.00,4.00,304,NULL,NULL,'AREIAS','S JOSé','SC',16417,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3309347,7.00,5.00,1.00,8.00,6.00,5.00,3.00,5.00,4.00,102,NULL,NULL,'CAMPINAS','S JOSé','SC',8832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3309355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'STIEP','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3309363,4.00,4.00,6.00,7.00,6.00,7.75,4.00,5.00,5.00,340,NULL,NULL,'CANCELA PRETA','MACAé','RJ',5517,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3309371,6.00,7.00,3.00,5.00,4.00,5.50,5.00,5.00,4.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',9863,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3309380,4.00,6.00,2.00,3.00,3.00,NULL,3.00,8.00,1.00,203,NULL,202,'COMERCIARIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3309398,3.00,4.00,1.00,3.00,4.00,NULL,2.00,4.00,2.00,316,NULL,NULL,'GLóRIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309401,2.00,0.00,2.00,2.00,1.00,NULL,1.00,2.00,3.00,404,NULL,NULL,'JARDIM','S JOSé CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3309410,3.00,5.00,4.00,7.00,5.00,5.50,6.00,5.00,4.00,202,NULL,213,'COLONINHA','ARARANGUá','SC',9063,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3309444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'JARDIM ELDORADO','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3309452,5.00,4.00,3.00,4.00,3.00,NULL,2.00,2.00,3.00,420,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3309460,4.00,6.00,3.00,7.00,3.00,NULL,4.00,7.00,2.00,211,NULL,216,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3309479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'ZONA DOIS','CIANORTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3309495,3.00,2.00,4.00,2.00,2.00,NULL,5.00,5.00,1.00,201,NULL,212,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309509,2.00,5.00,4.00,3.00,5.00,5.75,4.00,7.00,5.00,415,NULL,NULL,'CENTRO','GUAíRA','PR',11045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3309533,4.00,3.00,4.00,3.00,3.00,NULL,2.00,3.00,4.00,201,NULL,207,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309550,3.00,3.00,4.00,6.00,5.00,6.00,3.00,3.00,3.00,303,NULL,NULL,'AMIZADE','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3309568,0.00,0.00,1.00,4.00,2.00,NULL,1.00,0.00,1.00,404,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309576,3.00,3.00,1.00,7.00,5.00,5.00,4.00,5.00,5.00,108,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',13576,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3309584,4.00,6.00,2.00,5.00,6.00,5.25,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','IBICARé','SC',10632,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3309592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3309614,1.00,4.00,2.00,2.00,4.00,NULL,2.00,4.00,1.00,203,NULL,233,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309657,3.00,6.00,2.00,7.00,4.00,6.75,4.00,8.00,2.00,340,NULL,NULL,'PASSA VINTE','PALHOçA','SC',10732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309665,5.00,3.00,4.00,5.00,7.00,5.00,5.00,6.00,5.00,103,NULL,NULL,'PASSAGEM','TUBARãO','SC',9008,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3309673,3.00,3.00,1.00,4.00,2.00,NULL,4.00,2.00,2.00,324,NULL,NULL,'LISBOA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309681,3.00,5.00,3.00,7.00,6.00,4.75,2.00,7.00,2.00,339,NULL,NULL,'AREIAS','S JOSé','SC',11966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3309690,3.00,7.00,4.00,8.00,5.00,4.25,2.00,6.00,4.00,208,NULL,238,'VILA SãO JOSé','ARARANGUá','SC',9194,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3309703,6.00,7.00,8.00,8.00,8.00,5.75,6.00,8.00,7.00,203,NULL,201,'VILA HELENA','JUNDIAí','SP',1087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309711,3.00,4.00,1.00,4.00,3.00,NULL,3.00,5.00,0.00,211,NULL,238,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3309720,4.00,7.00,3.00,7.00,4.00,6.00,1.00,5.00,2.00,207,NULL,201,'CENTRO','MAL CâNDIDO RONDON','PR',11804,582,NULL,915,NULL,NULL,NULL,2,1),(16,3309738,4.00,6.00,2.00,8.00,6.00,4.25,3.00,7.00,7.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',6895,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(16,3309746,5.00,5.00,4.00,7.00,5.00,6.50,1.00,5.00,4.00,103,NULL,NULL,'JARDIM CENTRAL','DOURADOS','MS',9330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309754,2.00,3.00,4.00,3.00,2.00,NULL,1.00,3.00,2.00,207,NULL,NULL,'SANTA FE ALTA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3309762,3.00,4.00,4.00,5.00,3.00,NULL,1.00,3.00,3.00,301,NULL,NULL,'JARDIM ITALIA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3309770,4.00,2.00,1.00,5.00,3.00,NULL,2.00,6.00,3.00,207,NULL,233,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3309789,3.00,5.00,4.00,5.00,3.00,NULL,1.00,4.00,3.00,212,NULL,201,'CAMPOS ELíSEOS','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3309797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','SANANDUVA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3309800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3309819,5.00,2.00,1.00,2.00,3.00,NULL,1.00,6.00,3.00,319,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3309827,2.00,3.00,1.00,0.00,2.00,NULL,3.00,4.00,3.00,317,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3309835,4.00,3.00,3.00,5.00,4.00,5.75,2.00,1.00,4.00,429,NULL,425,'SANTOS DUMONT','S JOSé','SC',16531,84,NULL,118,NULL,NULL,NULL,4,1),(16,3309843,7.00,7.00,6.00,7.00,4.00,4.00,3.00,6.00,3.00,201,NULL,215,'JD LIBANO','BARUERI','SP',5960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309851,7.00,6.00,8.00,6.00,6.00,5.75,7.00,5.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'RIOVERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3309878,7.00,7.00,1.00,7.00,1.00,NULL,2.00,7.00,3.00,421,NULL,425,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309886,2.00,3.00,2.00,9.00,4.00,4.75,1.00,7.00,3.00,238,NULL,208,'BARRA DA LAGOA','FLORIANóPOLIS','SC',14416,466,NULL,483,NULL,NULL,NULL,4,1),(16,3309894,6.00,4.00,5.00,6.00,7.00,5.75,6.00,6.00,4.00,202,NULL,213,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',6100,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3309908,3.00,4.00,2.00,5.00,7.00,6.00,1.00,5.00,2.00,428,NULL,424,'AGRONôMICA','FLORIANóPOLIS','SC',14264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3309924,4.00,5.00,4.00,7.00,6.00,3.25,4.00,4.00,2.00,301,NULL,NULL,'CENTRO','FRANCISCO BELTRãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3309932,5.00,7.00,5.00,8.00,7.00,5.50,5.00,8.00,5.00,202,NULL,233,'JARDIM ANGELICA','CRICIúMA','SC',3310,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3309940,5.00,2.00,2.00,5.00,3.00,NULL,2.00,5.00,4.00,415,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3309959,4.00,4.00,4.00,8.00,7.00,6.25,3.00,4.00,5.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3309967,4.00,5.00,2.00,3.00,3.00,NULL,5.00,3.00,3.00,220,NULL,202,'MARAFON','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3309975,5.00,7.00,2.00,5.00,5.00,5.50,2.00,5.00,3.00,211,NULL,207,'PONTA DE BAIXO','S JOSé','SC',12179,421,NULL,609,NULL,NULL,NULL,2,1),(16,3309983,1.00,2.00,3.00,3.00,5.00,NULL,1.00,3.00,3.00,9,NULL,NULL,'CAMPOLIM','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3309991,6.00,5.00,3.00,7.00,4.00,6.00,4.00,5.00,5.00,101,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',9241,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310000,4.00,5.00,4.00,2.00,7.00,5.25,2.00,7.00,3.00,238,NULL,211,'CAMPECHE','FLORIANóPOLIS','SC',12231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310019,6.00,7.00,3.00,7.00,5.00,5.50,3.00,5.00,5.00,333,NULL,NULL,'SãO SEBASTIãO','STA RITA P QUATRO','SP',7288,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310027,3.00,2.00,2.00,4.00,2.00,NULL,4.00,7.00,2.00,301,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3310035,3.00,3.00,2.00,0.00,3.00,NULL,2.00,5.00,2.00,318,NULL,NULL,'CENTRO','IRINEóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3310043,5.00,5.00,3.00,4.00,4.00,5.75,3.00,3.00,7.00,502,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',12819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310051,5.00,4.00,3.00,5.00,3.00,NULL,2.00,6.00,2.00,104,NULL,NULL,'FAZENDA SANTO ANTôNI','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310060,3.00,3.00,3.00,3.00,5.00,5.00,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310078,3.00,5.00,3.00,3.00,4.00,6.75,3.00,8.00,5.00,104,NULL,NULL,'GLóRIA','IJUí','RS',11669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'JARDIM SAPOPEMBA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3310094,6.00,6.00,4.00,7.00,9.00,6.00,2.00,8.00,3.00,103,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',6226,1720,NULL,NULL,NULL,NULL,NULL,2,9),(16,3310108,4.00,4.00,5.00,5.00,2.00,NULL,1.00,4.00,4.00,316,NULL,NULL,'JORDÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310116,6.00,4.00,4.00,7.00,6.00,6.75,3.00,4.00,4.00,104,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',9721,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310124,6.00,8.00,3.00,5.00,6.00,4.75,4.00,8.00,7.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',4797,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3310140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','URUGUAIANA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3310159,5.00,4.00,4.00,4.00,7.00,3.25,3.00,9.00,5.00,103,NULL,NULL,'CENTRO','NAVIRAí','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310167,3.00,4.00,1.00,6.00,6.00,5.50,3.00,2.00,3.00,502,NULL,NULL,'INTERIOR','ARVOREDO','SC',14951,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3310183,2.00,1.00,4.00,5.00,3.00,NULL,2.00,1.00,2.00,404,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310191,3.00,4.00,3.00,1.00,3.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,207,'CENTRO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3310213,3.00,1.00,3.00,7.00,2.00,NULL,3.00,3.00,5.00,501,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310221,3.00,4.00,5.00,4.00,4.00,4.75,1.00,4.00,1.00,318,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',15474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310230,1.00,2.00,3.00,5.00,2.00,NULL,2.00,4.00,2.00,453,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310248,5.00,5.00,5.00,9.00,5.00,5.50,1.00,6.00,4.00,216,NULL,201,'ITAUM','JOINVILLE','SC',7548,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3310256,4.00,3.00,1.00,1.00,1.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3310264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PONTAL','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3310272,5.00,3.00,1.00,1.00,4.00,NULL,2.00,6.00,2.00,326,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310280,5.00,5.00,5.00,5.00,5.00,5.00,2.00,3.00,5.00,108,NULL,NULL,'CENTRO','BIGUAçU','SC',12457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310299,6.00,7.00,1.00,7.00,3.00,NULL,3.00,6.00,5.00,340,NULL,NULL,'SÃO SEBASTIÃO','SANTA RITA DO PASSA QUATRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310310,5.00,5.00,5.00,6.00,3.00,NULL,2.00,6.00,3.00,211,NULL,207,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310329,6.00,5.00,3.00,6.00,5.00,4.75,3.00,6.00,7.00,103,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',7485,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3310337,2.00,3.00,3.00,0.00,0.00,NULL,4.00,3.00,2.00,203,NULL,NULL,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3310345,4.00,2.00,4.00,3.00,4.00,NULL,0.00,3.00,3.00,303,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3310353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'VILA ALEXANDRIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3310361,4.00,0.00,1.00,1.00,1.00,NULL,2.00,0.00,2.00,319,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310370,7.00,6.00,6.00,9.00,7.00,0.00,4.00,8.00,6.00,102,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3310388,2.00,6.00,3.00,3.00,3.00,NULL,3.00,6.00,3.00,331,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310396,7.00,7.00,4.00,7.00,7.00,6.00,2.00,6.00,5.00,3,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',5572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310400,3.00,4.00,2.00,4.00,3.00,NULL,2.00,5.00,5.00,203,NULL,214,'CRUZEIRO DO SUL','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3310418,3.00,6.00,4.00,7.00,5.00,5.50,1.00,8.00,1.00,425,NULL,421,'CAPOEIRAS','FLORIANóPOLIS','SC',11590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310426,3.00,5.00,1.00,8.00,6.00,7.50,3.00,6.00,3.00,301,NULL,NULL,'CENTRO','AURORA','SC',10534,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3310434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3310442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA APARECIDA','BRAGANçA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3310450,6.00,6.00,2.00,2.00,5.00,4.75,4.00,5.00,3.00,301,NULL,NULL,'CENTRO','IMBITUBA','SC',13556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310469,3.00,2.00,4.00,3.00,3.00,NULL,2.00,2.00,3.00,238,NULL,201,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3310485,8.00,6.00,4.00,5.00,5.00,5.50,2.00,7.00,4.00,103,NULL,NULL,'ALTO DA XV','GUARAPUAVA','PR',7486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310515,2.00,1.00,3.00,3.00,5.00,NULL,1.00,4.00,2.00,319,NULL,NULL,'VENDAVAL','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310523,4.00,2.00,4.00,4.00,4.00,7.25,2.00,7.00,4.00,104,NULL,NULL,'MARAFON','VIDEIRA','SC',12709,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3310531,1.00,5.00,1.00,6.00,4.00,3.00,3.00,5.00,1.00,234,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310540,9.00,7.00,2.00,7.00,5.00,4.00,5.00,6.00,8.00,104,NULL,NULL,'JARDIM SABARá','PTO ALEGRE','RS',4254,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3310558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','NAVIRAí','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3310566,5.00,7.00,5.00,7.00,7.00,5.75,4.00,8.00,7.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',3553,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3310582,3.00,0.00,2.00,5.00,3.00,NULL,0.00,1.00,2.00,9,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3310590,2.00,3.00,2.00,8.00,2.00,NULL,3.00,3.00,5.00,415,NULL,NULL,'GRAMADãO','JUNDIAí','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3310604,6.00,6.00,3.00,4.00,4.00,4.00,1.00,2.00,3.00,316,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',16022,203,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310620,2.00,7.00,3.00,1.00,3.00,NULL,4.00,7.00,3.00,316,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310639,6.00,6.00,4.00,9.00,7.00,6.50,5.00,9.00,5.00,425,NULL,428,'JOAO PAULO','FLORIANóPOLIS','SC',3220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310647,6.00,7.00,5.00,9.00,6.00,5.75,6.00,8.00,5.00,208,NULL,238,'CENTRO','MARAU','RS',2950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310655,3.00,4.00,3.00,1.00,2.00,NULL,4.00,5.00,3.00,317,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310663,4.00,3.00,1.00,7.00,3.00,NULL,4.00,4.00,3.00,453,NULL,NULL,'JOSé NITRO SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310671,3.00,4.00,2.00,5.00,5.00,4.50,2.00,4.00,2.00,214,NULL,NULL,'ILHOTA','ITAPEMA','SC',16469,489,NULL,NULL,NULL,NULL,NULL,2,3),(16,3310680,4.00,4.00,4.00,7.00,6.00,5.75,3.00,5.00,3.00,207,NULL,201,'CENTRO','TORRES','RS',10734,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3310698,3.00,5.00,3.00,7.00,3.00,NULL,3.00,7.00,2.00,331,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310701,6.00,6.00,5.00,9.00,7.00,5.25,4.00,5.00,2.00,320,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310710,3.00,1.00,1.00,7.00,4.00,NULL,0.00,2.00,3.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310728,1.00,3.00,2.00,5.00,3.00,NULL,1.00,4.00,2.00,317,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310736,3.00,3.00,4.00,5.00,4.00,6.00,1.00,6.00,3.00,214,NULL,NULL,'RUDGE RAMOS','S BERNARDO CAMPO','SP',13706,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3310744,1.00,1.00,3.00,6.00,3.00,NULL,1.00,5.00,3.00,103,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310760,5.00,7.00,3.00,4.00,6.00,5.25,5.00,5.00,7.00,501,NULL,NULL,'CENTRO','RIO FORTUNA','SC',7764,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3310779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3310787,5.00,8.00,3.00,7.00,4.00,5.00,2.00,5.00,3.00,339,NULL,NULL,'IMPERIAL','CONCóRDIA','SC',9651,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3310795,4.00,2.00,2.00,4.00,4.00,NULL,3.00,2.00,3.00,208,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310809,9.00,7.00,9.00,9.00,9.00,7.75,8.00,8.00,9.00,216,NULL,233,'ITACORUBI','FLORIANóPOLIS','SC',17,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310825,3.00,4.00,1.00,10.00,3.00,NULL,4.00,6.00,4.00,319,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3310833,4.00,5.00,2.00,6.00,7.00,6.00,3.00,6.00,3.00,501,NULL,NULL,'ABRAÃO','FLORIANóPOLIS','SC',10885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3310892,0.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(16,3310906,4.00,4.00,2.00,3.00,3.00,NULL,1.00,3.00,4.00,208,NULL,238,'JURERE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310914,3.00,7.00,4.00,5.00,6.00,5.75,3.00,9.00,4.00,340,NULL,NULL,'AZENHA','PTO ALEGRE','RS',7285,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3310957,2.00,4.00,3.00,2.00,5.00,NULL,2.00,4.00,4.00,404,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3310965,3.00,6.00,4.00,9.00,5.00,6.25,3.00,8.00,4.00,340,NULL,NULL,'VILA AMéLIA','S PAULO','SP',7419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310973,2.00,4.00,2.00,1.00,3.00,NULL,4.00,2.00,2.00,212,NULL,213,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310981,2.00,4.00,1.00,3.00,3.00,NULL,2.00,4.00,3.00,238,NULL,220,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3310990,6.00,7.00,3.00,7.00,7.00,7.00,1.00,6.00,2.00,428,NULL,425,'ITACORUBI','FLORIANóPOLIS','SC',7998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311007,3.00,3.00,2.00,8.00,5.00,6.25,2.00,4.00,3.00,303,NULL,NULL,'CAIU DO CéU','OSóRIO','RS',13554,592,NULL,NULL,NULL,NULL,NULL,2,5),(16,3311015,1.00,0.00,5.00,4.00,3.00,NULL,1.00,4.00,3.00,429,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311023,5.00,6.00,6.00,6.00,7.00,5.50,5.00,7.00,4.00,201,NULL,207,'BANCáRIOS','PATO BRANCO','PR',5012,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3311040,3.00,9.00,1.00,9.00,6.00,8.00,3.00,8.00,3.00,326,NULL,NULL,'SERTÃO DO IMARUIM','S JOSé','SC',5995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311058,7.00,7.00,4.00,5.00,4.00,7.00,5.00,8.00,6.00,212,NULL,238,'SACO DOS LIMÕES','FLORIANóPOLIS','SC',4340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'JARDIM SILVANA','ALM TAMANDARé','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3311074,6.00,7.00,3.00,9.00,8.00,6.50,4.00,8.00,5.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2538,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311104,4.00,6.00,3.00,7.00,5.00,6.25,2.00,6.00,4.00,415,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',8857,241,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'CENTRO','PARANHOS','MS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3311139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3311147,3.00,2.00,2.00,2.00,3.00,NULL,1.00,4.00,2.00,201,NULL,NULL,'CENTRO','IPIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3311155,3.00,3.00,1.00,3.00,2.00,NULL,1.00,5.00,3.00,318,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311163,0.00,1.00,2.00,1.00,2.00,NULL,0.00,2.00,1.00,207,NULL,NULL,'SãO JOãO','TRêS CACHOEIRAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3311171,5.00,5.00,4.00,7.00,4.00,5.75,3.00,5.00,5.00,340,NULL,NULL,'BALNEARO','FLORIANóPOLIS','SC',10450,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311180,3.00,4.00,3.00,6.00,3.00,NULL,4.00,5.00,2.00,225,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'JUVEVê','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3311210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3311228,3.00,3.00,2.00,6.00,6.00,7.25,2.00,6.00,1.00,320,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',14737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,208,'JARDIM ACARAY','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3311244,2.00,4.00,3.00,6.00,4.00,5.50,1.00,7.00,0.00,220,NULL,233,'ESTREITO','FLORIANóPOLIS','SC',15563,508,NULL,459,NULL,NULL,NULL,4,1),(16,3311252,5.00,5.00,5.00,4.00,5.00,5.25,3.00,6.00,6.00,223,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',9015,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311260,2.00,5.00,3.00,4.00,3.00,NULL,3.00,6.00,3.00,238,NULL,208,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311287,2.00,4.00,4.00,7.00,5.00,4.50,3.00,6.00,2.00,404,NULL,NULL,'ITACORUBí','FLORIANóPOLIS','SC',12737,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311295,5.00,6.00,5.00,7.00,6.00,5.00,3.00,7.00,4.00,317,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',7224,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311317,7.00,6.00,7.00,9.00,8.00,5.50,6.00,8.00,7.00,103,NULL,NULL,'SANTA ROSA','PTO UNIãO','SC',838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311325,5.00,4.00,6.00,9.00,5.00,7.00,4.00,7.00,6.00,216,NULL,233,'JARDIM ITáLIA','CUIABá','MT',5440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311333,2.00,5.00,3.00,2.00,2.00,NULL,2.00,6.00,3.00,317,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3311376,5.00,4.00,2.00,5.00,6.00,5.25,4.00,7.00,3.00,333,NULL,NULL,'BUDAG','RIO SUL','SC',10497,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3311384,7.00,6.00,5.00,9.00,7.00,4.75,6.00,6.00,5.00,220,NULL,208,'CENTRO','ITAPEMA','SC',2723,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3311392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SAMAMBAIA NORTE','SAMAMBAIA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3311406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','UBIRATã','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3311414,1.00,7.00,4.00,7.00,3.00,NULL,1.00,5.00,4.00,238,NULL,208,'DEHON','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3311422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,208,'BOSQUE DOS EUCALIPTO','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3311430,6.00,7.00,4.00,9.00,7.00,8.50,3.00,6.00,4.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311449,5.00,4.00,3.00,6.00,8.00,7.25,2.00,3.00,2.00,324,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',11953,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311457,4.00,3.00,1.00,7.00,3.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3311465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,421,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3311473,5.00,6.00,6.00,8.00,5.00,7.25,4.00,7.00,6.00,201,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',3700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311481,6.00,6.00,5.00,6.00,5.00,5.75,2.00,8.00,4.00,212,NULL,201,'VILA CLEMENTINO','S PAULO','SP',7403,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3311490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3311503,5.00,4.00,2.00,8.00,7.00,5.50,5.00,7.00,5.00,103,NULL,NULL,'VISTA ALEGRE','CURITIBA','PR',6273,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3311511,4.00,3.00,4.00,4.00,4.00,6.25,2.00,1.00,5.00,207,NULL,208,'BARREIROS','S JOSé','SC',16122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311520,1.00,2.00,2.00,1.00,2.00,NULL,2.00,3.00,3.00,331,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311538,3.00,1.00,4.00,3.00,3.00,NULL,1.00,4.00,4.00,208,NULL,238,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311546,3.00,3.00,3.00,3.00,6.00,5.50,4.00,6.00,4.00,429,NULL,425,'MONTE VERDE','FLORIANóPOLIS','SC',13844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311562,5.00,3.00,4.00,5.00,3.00,NULL,3.00,1.00,2.00,207,NULL,203,'JARDIM AMERICA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311589,2.00,7.00,3.00,9.00,8.00,7.00,3.00,7.00,4.00,415,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',6484,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3311600,5.00,5.00,5.00,8.00,6.00,5.00,3.00,6.00,6.00,207,NULL,201,'RIO TAVARES','FLORIANóPOLIS','SC',6229,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311619,6.00,6.00,4.00,8.00,5.00,6.50,1.00,5.00,2.00,320,NULL,NULL,'PROGRESSO','BLUMENAU','SC',10012,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3311627,2.00,1.00,3.00,1.00,4.00,NULL,1.00,4.00,4.00,223,NULL,NULL,'PRAIA DE FORA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311635,3.00,4.00,1.00,9.00,4.00,4.00,3.00,4.00,4.00,203,NULL,216,'VILA PONTE NOVA','CUBATãO','SP',13251,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3311643,5.00,5.00,2.00,8.00,5.00,4.00,1.00,4.00,5.00,103,NULL,NULL,'JARDIM AMERICA','RIO SUL','SC',13121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311651,2.00,5.00,4.00,0.00,2.00,NULL,2.00,5.00,5.00,212,NULL,202,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3311694,5.00,7.00,2.00,6.00,5.00,5.75,3.00,7.00,4.00,216,NULL,NULL,'GRUTA','CONCóRDIA','SC',9002,324,NULL,NULL,NULL,NULL,NULL,2,7),(16,3311716,5.00,4.00,3.00,6.00,5.00,5.00,3.00,4.00,1.00,317,NULL,NULL,'JOSÉ MENDES','FLORIANóPOLIS','SC',14215,129,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311724,2.00,5.00,2.00,2.00,0.00,NULL,2.00,5.00,4.00,319,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311740,6.00,5.00,3.00,5.00,4.00,6.75,4.00,6.00,6.00,9,NULL,NULL,'ATIRADORES','JOINVILLE','SC',8130,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3311759,2.00,3.00,3.00,4.00,4.00,NULL,2.00,2.00,3.00,309,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311775,4.00,4.00,3.00,3.00,5.00,5.75,1.00,4.00,3.00,428,NULL,424,'CAMPECHE','FLORIANOPOLIS','SC',15999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311783,3.00,5.00,1.00,6.00,4.00,4.25,3.00,3.00,4.00,203,NULL,201,'CENTRO','POUSO REDONDO','SC',15432,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3311791,9.00,7.00,5.00,5.00,6.00,7.00,6.00,9.00,9.00,103,NULL,NULL,'VILA MARIA','BOTUCATU','SP',1120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'MINA BRASIL','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3311821,3.00,6.00,5.00,6.00,4.00,5.75,3.00,5.00,5.00,426,NULL,428,'VILA LALAU','JARAGUá SUL','SC',9622,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3311830,3.00,3.00,2.00,4.00,6.00,NULL,1.00,3.00,1.00,318,NULL,NULL,'SãO MIGUEL','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311848,3.00,0.00,3.00,6.00,2.00,NULL,2.00,1.00,3.00,333,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311856,5.00,5.00,3.00,6.00,3.00,NULL,3.00,6.00,4.00,309,NULL,NULL,'FAZENDA STO ANTôNIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311864,4.00,5.00,2.00,7.00,3.00,NULL,3.00,4.00,2.00,304,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311872,3.00,4.00,5.00,3.00,5.00,5.25,3.00,3.00,5.00,329,NULL,NULL,'PONTO CHIC','IBIRAMA','SC',13310,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3311880,5.00,3.00,2.00,3.00,2.00,NULL,4.00,2.00,2.00,202,NULL,213,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3311899,4.00,8.00,7.00,8.00,4.00,5.25,3.00,7.00,5.00,220,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',4279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311902,3.00,4.00,5.00,7.00,5.00,4.50,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',12623,2501,NULL,NULL,NULL,NULL,NULL,2,9),(16,3311910,4.00,7.00,5.00,8.00,4.00,6.50,2.00,3.00,3.00,214,NULL,203,'SACO DOS LIMõES','FLORIANóPOLIS','SC',10391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3311929,4.00,3.00,3.00,4.00,1.00,NULL,2.00,4.00,2.00,301,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM SANTA CRUZ','AVARé','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3311945,4.00,6.00,3.00,3.00,4.00,4.75,2.00,7.00,4.00,303,NULL,NULL,'SãO CRISTOVãO','LAGES','SC',13492,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3311953,4.00,6.00,4.00,7.00,3.00,NULL,4.00,5.00,3.00,444,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311961,2.00,4.00,7.00,3.00,3.00,NULL,4.00,7.00,3.00,316,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3311988,5.00,5.00,3.00,5.00,2.00,NULL,3.00,3.00,3.00,208,NULL,202,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312003,3.00,3.00,1.00,5.00,4.00,NULL,1.00,3.00,3.00,420,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312011,9.00,9.00,8.00,9.00,7.00,7.00,5.00,5.00,6.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3312038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'ABRAAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3312046,2.00,2.00,4.00,4.00,6.00,6.00,2.00,5.00,5.00,309,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',13788,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312054,5.00,8.00,7.00,9.00,7.00,5.75,4.00,6.00,4.00,453,NULL,NULL,'ARMAçãO DO PâNTANO','FLORIANóPOLIS','SC',3092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312062,4.00,5.00,3.00,7.00,3.00,NULL,3.00,5.00,4.00,339,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312070,3.00,5.00,4.00,6.00,5.00,6.00,2.00,6.00,4.00,332,NULL,NULL,'BELA VISTA I','S JOSé','SC',11068,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312089,3.00,4.00,2.00,8.00,5.00,5.50,3.00,7.00,1.00,329,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312119,2.00,4.00,3.00,5.00,7.00,4.25,3.00,4.00,3.00,317,NULL,NULL,'GUARDA DO CUBATãO','PALHOçA','SC',14705,135,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312127,2.00,3.00,4.00,3.00,5.00,0.00,3.00,4.00,3.00,444,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312135,3.00,3.00,3.00,5.00,4.00,3.00,3.00,4.00,3.00,331,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312151,6.00,6.00,2.00,4.00,2.00,NULL,4.00,5.00,3.00,225,NULL,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312160,0.00,2.00,3.00,4.00,1.00,NULL,3.00,2.00,1.00,332,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312186,3.00,4.00,2.00,7.00,3.00,NULL,3.00,3.00,4.00,425,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3312208,0.00,5.00,2.00,2.00,4.00,2.50,2.00,6.00,6.00,205,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312216,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'PASSO DO GADO','TUBARãO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3312232,6.00,6.00,4.00,8.00,3.00,NULL,3.00,6.00,3.00,340,NULL,NULL,'SAGUAçú','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3312240,3.00,2.00,3.00,2.00,4.00,NULL,3.00,3.00,2.00,304,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312259,5.00,7.00,4.00,7.00,7.00,7.75,4.00,8.00,4.00,331,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312267,3.00,5.00,3.00,7.00,3.00,NULL,3.00,6.00,5.00,208,NULL,238,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312275,4.00,1.00,2.00,1.00,4.00,NULL,3.00,3.00,1.00,444,NULL,NULL,'STA LUZIA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3312283,5.00,4.00,3.00,3.00,3.00,NULL,2.00,5.00,3.00,103,NULL,NULL,'SANTA MARIA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3312305,2.00,3.00,2.00,4.00,2.00,NULL,1.00,4.00,1.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312313,3.00,7.00,2.00,6.00,4.00,4.75,3.00,4.00,5.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12095,92,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312321,3.00,6.00,3.00,1.00,4.00,NULL,0.00,5.00,2.00,501,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312356,6.00,4.00,6.00,8.00,5.00,6.25,3.00,5.00,7.00,103,NULL,NULL,'ITAGUAçú','FLORIANóPOLIS','SC',5558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312364,3.00,4.00,4.00,3.00,6.00,5.50,5.00,7.00,5.00,103,NULL,NULL,'CENTRO','SERTãO','RS',10514,2282,NULL,NULL,NULL,NULL,NULL,4,10),(16,3312380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3312399,4.00,3.00,4.00,3.00,2.00,NULL,2.00,2.00,3.00,301,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312402,9.00,7.00,5.00,9.00,6.00,6.00,7.00,7.00,8.00,103,NULL,NULL,'ZONA SETE','MARINGá','PR',1306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312410,2.00,4.00,3.00,8.00,5.00,4.50,2.00,3.00,2.00,320,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',15150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312429,2.00,3.00,2.00,2.00,3.00,NULL,2.00,6.00,1.00,103,NULL,NULL,'PASSO FUNDO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3312445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3312453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOSé CERRITO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3312461,2.00,4.00,1.00,5.00,2.00,NULL,3.00,5.00,5.00,303,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312470,7.00,6.00,7.00,4.00,5.00,5.50,5.00,7.00,6.00,103,NULL,NULL,'SUMARé','CARAGUATATUBA','SP',3174,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3312488,3.00,4.00,2.00,4.00,0.00,NULL,3.00,3.00,0.00,101,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312518,1.00,4.00,2.00,3.00,5.00,NULL,2.00,3.00,2.00,426,NULL,428,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3312534,5.00,4.00,7.00,9.00,7.00,4.75,6.00,7.00,5.00,220,NULL,202,'PANTANAL','FLORIANóPOLIS','SC',4565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312550,5.00,4.00,2.00,5.00,3.00,NULL,1.00,2.00,4.00,103,NULL,NULL,'BARREIRINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3312569,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,421,NULL,423,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3312577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3312585,2.00,0.00,2.00,3.00,4.00,NULL,5.00,4.00,4.00,309,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3312607,4.00,4.00,2.00,3.00,2.00,NULL,4.00,5.00,2.00,234,NULL,NULL,'CENTRO','JAú','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312615,6.00,5.00,2.00,9.00,5.00,5.75,3.00,5.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',8173,318,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,208,'VILA RICCI','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3312640,5.00,3.00,4.00,0.00,4.00,4.75,3.00,1.00,5.00,501,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',16584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312658,1.00,1.00,1.00,3.00,2.00,NULL,1.00,4.00,2.00,301,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3312666,2.00,3.00,2.00,6.00,2.00,NULL,1.00,5.00,4.00,301,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3312682,5.00,5.00,2.00,5.00,2.00,NULL,3.00,4.00,2.00,304,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SOUSAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3312712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3312720,2.00,5.00,5.00,3.00,2.00,NULL,4.00,2.00,3.00,309,NULL,NULL,'ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312739,6.00,7.00,5.00,8.00,4.00,6.00,3.00,7.00,7.00,220,NULL,NULL,'SETOR OESTE','GOIâNIA','GO',3918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'INTERIOR','ARABUTã','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3312755,4.00,7.00,4.00,8.00,5.00,6.50,1.00,8.00,2.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312763,2.00,5.00,2.00,8.00,5.00,6.25,1.00,6.00,4.00,326,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',13123,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312771,2.00,4.00,4.00,6.00,4.00,3.00,3.00,0.00,2.00,238,NULL,207,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312780,3.00,0.00,1.00,0.00,2.00,NULL,0.00,3.00,4.00,205,NULL,NULL,'LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312810,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'INTERIOR','PALMITINHO','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(16,3312828,6.00,6.00,1.00,3.00,9.00,6.75,3.00,9.00,6.00,5,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',5737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312836,1.00,2.00,4.00,1.00,3.00,NULL,3.00,1.00,1.00,9,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,427,'CENTRO','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3312852,0.00,4.00,4.00,6.00,2.00,NULL,4.00,3.00,3.00,310,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3312879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JD CARLOS LOURENÇO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3312887,6.00,6.00,4.00,5.00,4.00,6.00,2.00,5.00,5.00,102,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',8722,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312895,5.00,4.00,2.00,2.00,3.00,NULL,1.00,4.00,3.00,201,NULL,202,'ROÇADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312909,3.00,4.00,2.00,3.00,3.00,NULL,4.00,5.00,5.00,301,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312917,2.00,3.00,1.00,1.00,3.00,NULL,3.00,5.00,3.00,426,NULL,425,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MACHADINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3312933,4.00,6.00,3.00,7.00,6.00,4.75,4.00,7.00,3.00,5,NULL,NULL,'JD CID FPOLIS','S JOSé','SC',9019,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312941,3.00,6.00,3.00,7.00,4.00,5.75,2.00,3.00,3.00,450,NULL,NULL,'CAMPINAS','S JOSé','SC',13348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3312950,2.00,2.00,3.00,2.00,3.00,NULL,2.00,3.00,2.00,5,NULL,NULL,'PRADO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312976,5.00,3.00,1.00,7.00,2.00,NULL,3.00,6.00,4.00,104,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3312992,5.00,5.00,2.00,9.00,6.00,7.50,0.00,8.00,5.00,450,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313000,4.00,4.00,5.00,4.00,3.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'JARDIM BANDEIRA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3313026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3313034,3.00,3.00,2.00,2.00,3.00,NULL,2.00,1.00,4.00,5,NULL,NULL,'RIO GRANDE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313050,8.00,7.00,9.00,9.00,7.00,6.75,8.00,8.00,9.00,103,NULL,NULL,'JARDIM IGUATEMI','RIBEIRãO PRETO','SP',90,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313077,3.00,3.00,2.00,5.00,4.00,NULL,2.00,3.00,2.00,444,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313085,5.00,7.00,2.00,8.00,4.00,5.25,2.00,4.00,6.00,215,NULL,214,'CENTRO','BAL CAMBORIú','SC',10136,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3313093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,427,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3313107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3313115,0.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,211,NULL,208,'BOQUEIRãO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,9),(16,3313123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'SANTO ANTONIO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3313131,4.00,2.00,3.00,6.00,5.00,5.50,2.00,2.00,2.00,104,NULL,NULL,'KOBRASOL','S JOSé','SC',15991,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313140,5.00,8.00,4.00,6.00,4.00,7.00,4.00,6.00,3.00,303,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',7666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313158,5.00,6.00,6.00,8.00,6.00,6.25,4.00,7.00,2.00,5,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',6507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313166,4.00,4.00,2.00,9.00,4.00,7.00,3.00,3.00,4.00,319,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',12487,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3313182,3.00,4.00,5.00,3.00,8.00,5.00,1.00,6.00,2.00,303,NULL,NULL,'CENTRO','S JOSé','SC',14403,631,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313190,3.00,4.00,3.00,0.00,1.00,NULL,3.00,6.00,1.00,429,NULL,425,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313204,5.00,7.00,4.00,9.00,6.00,8.25,5.00,7.00,5.00,415,NULL,NULL,'EMBARé','SANTOS','SP',3095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313212,9.00,5.00,9.00,7.00,5.00,5.25,8.00,8.00,8.00,203,NULL,214,'CENTRO','UMUARAMA','PR',1160,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313220,3.00,4.00,4.00,9.00,5.00,5.75,5.00,7.00,5.00,404,NULL,NULL,'GONZAGA','SANTOS','SP',6311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3313263,0.00,2.00,3.00,4.00,2.00,NULL,2.00,2.00,2.00,238,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3313280,2.00,4.00,2.00,4.00,4.00,NULL,3.00,3.00,2.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313298,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3313301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3313310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3313328,1.00,3.00,3.00,4.00,3.00,NULL,1.00,3.00,3.00,309,NULL,NULL,'UNIVERSITáRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3313336,4.00,3.00,3.00,3.00,5.00,NULL,3.00,2.00,2.00,303,NULL,NULL,'OFICINAS','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3313344,6.00,9.00,2.00,9.00,6.00,8.50,3.00,7.00,5.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313352,5.00,3.00,1.00,6.00,5.00,5.00,2.00,7.00,4.00,102,NULL,NULL,'CENTRO','URUSSANGA','SC',12892,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3313360,5.00,5.00,2.00,7.00,4.00,5.25,2.00,6.00,5.00,316,NULL,NULL,'CÓRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313379,4.00,4.00,2.00,6.00,6.00,5.50,4.00,4.00,4.00,308,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',11754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313387,6.00,7.00,7.00,7.00,4.00,5.75,3.00,3.00,5.00,233,NULL,238,'CENTRO','FLORIANóPOLIS','SC',7691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313395,1.00,2.00,2.00,4.00,4.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3313409,4.00,5.00,4.00,5.00,3.00,NULL,3.00,6.00,1.00,5,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313425,1.00,1.00,3.00,2.00,3.00,NULL,3.00,2.00,2.00,428,NULL,426,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','POUSO ALEGRE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3313441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3313450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SANTA CATARINA','GETúLIO VARGAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3313468,3.00,2.00,3.00,3.00,3.00,NULL,4.00,3.00,4.00,207,NULL,201,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3313476,4.00,3.00,4.00,9.00,4.00,5.00,6.00,7.00,5.00,201,NULL,212,'INGLESES','FLORIANóPOLIS','SC',7528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313484,7.00,4.00,4.00,3.00,6.00,5.50,3.00,4.00,3.00,220,NULL,202,'PANTANAL','FLORIANóPOLIS','SC',12104,449,NULL,428,NULL,NULL,NULL,4,1),(16,3313492,5.00,5.00,4.00,8.00,6.00,6.75,5.00,7.00,2.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6604,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313506,3.00,2.00,3.00,6.00,2.00,NULL,3.00,4.00,3.00,404,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313514,2.00,3.00,1.00,5.00,2.00,NULL,3.00,4.00,3.00,238,NULL,208,'JARDIM ATLÂNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313522,6.00,5.00,3.00,7.00,7.00,5.00,5.00,7.00,8.00,303,NULL,NULL,'CARAVAGGIO','NOVA VENEZA','SC',4590,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3313530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'RURAL','AMAMBAí','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3313549,6.00,8.00,2.00,9.00,8.00,6.25,2.00,7.00,3.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',4840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3313573,4.00,3.00,2.00,0.00,4.00,4.50,3.00,6.00,3.00,331,NULL,NULL,'JD ATLANTICO','FLORIANóPOLIS','SC',16606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313581,3.00,6.00,1.00,4.00,8.00,4.75,2.00,4.00,2.00,319,NULL,NULL,'NOVA JACAREZINHI','JACAREZINHO','PR',15661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'IGARA 3','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3313603,3.00,5.00,2.00,5.00,6.00,5.75,3.00,5.00,2.00,319,NULL,NULL,'ESTREITO','ALFREDO WAGNER','SC',14200,304,NULL,NULL,NULL,NULL,NULL,2,9),(16,3313611,1.00,2.00,1.00,6.00,1.00,NULL,2.00,2.00,4.00,318,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313620,3.00,3.00,3.00,8.00,3.00,NULL,3.00,5.00,5.00,203,NULL,201,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313646,3.00,5.00,1.00,5.00,3.00,NULL,0.00,2.00,3.00,317,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313654,6.00,6.00,4.00,7.00,8.00,6.25,3.00,7.00,4.00,108,NULL,NULL,'CENTRO','PALHOçA','SC',5210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313662,4.00,6.00,2.00,8.00,6.00,5.50,2.00,4.00,4.00,207,NULL,201,'SãO JOãO','PTO ALEGRE','RS',10531,508,NULL,817,NULL,NULL,NULL,2,3),(16,3313670,2.00,3.00,2.00,0.00,0.00,NULL,3.00,3.00,3.00,101,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3313689,3.00,3.00,4.00,5.00,2.00,NULL,0.00,1.00,2.00,108,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3313697,3.00,6.00,4.00,7.00,7.00,7.25,1.00,6.00,3.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313700,3.00,6.00,3.00,6.00,5.00,5.50,3.00,6.00,1.00,333,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13024,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313719,3.00,3.00,5.00,6.00,5.00,4.75,2.00,4.00,1.00,214,NULL,220,'CAMOBI','STA MARIA','RS',15134,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313727,3.00,4.00,3.00,1.00,5.00,5.25,1.00,4.00,5.00,333,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3313735,4.00,7.00,4.00,3.00,3.00,NULL,4.00,5.00,3.00,202,NULL,213,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313743,3.00,4.00,1.00,2.00,2.00,NULL,2.00,5.00,2.00,309,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313778,2.00,7.00,1.00,6.00,2.00,NULL,3.00,8.00,4.00,340,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313786,6.00,2.00,1.00,5.00,6.00,4.25,2.00,8.00,4.00,238,NULL,208,'CENTRO - SãO JOSé','S JOSé','SC',12034,356,NULL,382,NULL,NULL,NULL,2,1),(16,3313794,2.00,2.00,4.00,4.00,3.00,NULL,1.00,1.00,1.00,316,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313808,2.00,4.00,2.00,6.00,2.00,NULL,2.00,4.00,2.00,423,NULL,426,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313816,2.00,4.00,3.00,1.00,3.00,NULL,1.00,3.00,1.00,101,NULL,NULL,'PICADAS DO NORTE','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313824,2.00,2.00,1.00,4.00,2.00,NULL,3.00,4.00,3.00,5,NULL,NULL,'FIGUEIRA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3313832,5.00,8.00,3.00,6.00,4.00,5.25,3.00,7.00,6.00,234,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',7370,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(16,3313867,4.00,1.00,3.00,2.00,3.00,NULL,2.00,1.00,5.00,420,NULL,NULL,'MAGALHãES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313875,1.00,2.00,4.00,5.00,2.00,NULL,2.00,0.00,0.00,429,NULL,423,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313883,4.00,3.00,1.00,7.00,4.00,6.50,2.00,2.00,4.00,207,NULL,NULL,'CENTRO','TIMBó','SC',15475,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3313891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3313905,2.00,1.00,3.00,5.00,3.00,NULL,1.00,3.00,4.00,319,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313913,3.00,5.00,4.00,5.00,5.00,6.50,2.00,6.00,1.00,332,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',14131,53,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313921,3.00,2.00,1.00,3.00,3.00,NULL,2.00,4.00,3.00,104,NULL,NULL,'CENTRO','TRêS CACHOEIRAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3313930,3.00,4.00,1.00,4.00,2.00,NULL,2.00,4.00,1.00,108,NULL,NULL,'COLINA DA CASCATA','FLOR DA SERRA DO SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3313948,4.00,5.00,3.00,2.00,3.00,NULL,1.00,4.00,2.00,501,NULL,NULL,'RIO SALTO','ANITáPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313956,4.00,5.00,4.00,6.00,3.00,NULL,3.00,5.00,2.00,238,NULL,208,'SANTA MONICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313964,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,427,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3313972,5.00,5.00,2.00,6.00,4.00,4.75,2.00,3.00,3.00,340,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',15413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313980,4.00,4.00,5.00,5.00,5.00,4.75,5.00,7.00,4.00,202,NULL,213,'ITACORUBI','FLORIANóPOLIS','SC',10370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3313999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','TELêMACO BORBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3314006,7.00,6.00,8.00,6.00,6.00,5.00,6.00,8.00,7.00,214,NULL,211,'RIO TAVARES','FLORIANóPOLIS','SC',1993,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314014,5.00,4.00,4.00,8.00,4.00,5.75,3.00,6.00,1.00,103,NULL,NULL,'FERNANDES','S JOãO BATISTA','SC',11667,2403,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','CAçADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3314049,1.00,4.00,4.00,1.00,4.00,NULL,2.00,1.00,3.00,444,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314057,3.00,4.00,4.00,7.00,6.00,6.75,3.00,5.00,4.00,103,NULL,NULL,'COMERCIáRIO','CRICIúMA','SC',10225,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3314065,5.00,3.00,3.00,6.00,7.00,4.50,3.00,2.00,3.00,339,NULL,NULL,'BEIRA MAR','FLORIANóPOLIS','SC',13949,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314073,6.00,5.00,5.00,9.00,7.00,4.00,3.00,8.00,6.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',4393,1378,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314081,2.00,2.00,3.00,4.00,2.00,NULL,0.00,1.00,4.00,104,NULL,NULL,'SAO JOSE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3314090,3.00,8.00,5.00,9.00,6.00,5.75,5.00,8.00,2.00,5,NULL,NULL,'CANTO DA LAGOA','FLORIANOPOLIS','SC',5835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314111,5.00,2.00,1.00,5.00,6.00,6.00,2.00,6.00,3.00,310,NULL,NULL,'BARREIROS','S JOSé','SC',14482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314146,5.00,4.00,2.00,6.00,3.00,NULL,3.00,3.00,3.00,428,NULL,421,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314154,5.00,6.00,3.00,2.00,6.00,5.50,1.00,4.00,5.00,340,NULL,NULL,'AGUA BRANCA','GOIâNIA','GO',12862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314162,5.00,4.00,4.00,4.00,7.00,7.00,3.00,4.00,4.00,102,NULL,NULL,'AREIAS','CAMBORIú','SC',9719,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3314170,3.00,7.00,2.00,8.00,4.00,5.25,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',10414,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3314189,4.00,7.00,7.00,5.00,5.00,5.00,3.00,5.00,5.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',7197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314200,2.00,3.00,1.00,6.00,4.00,6.50,2.00,3.00,5.00,324,NULL,NULL,'SETE DE SETEMBRO','GASPAR','SC',15633,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3314219,3.00,6.00,2.00,6.00,3.00,NULL,1.00,8.00,3.00,332,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314227,4.00,3.00,3.00,2.00,4.00,5.25,2.00,4.00,2.00,101,NULL,NULL,'VL MORAES','S PAULO','SP',16294,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3314243,8.00,6.00,8.00,6.00,5.00,5.00,7.00,7.00,8.00,220,NULL,216,'FLAMBOYANT','CUIABá','MT',1668,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3314251,6.00,7.00,5.00,7.00,5.00,5.00,5.00,7.00,6.00,102,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',4002,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314260,3.00,4.00,1.00,3.00,3.00,NULL,1.00,1.00,4.00,316,NULL,NULL,'DANIELA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314278,3.00,2.00,2.00,3.00,1.00,NULL,3.00,3.00,4.00,301,NULL,NULL,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314286,2.00,7.00,4.00,6.00,3.00,NULL,3.00,6.00,3.00,309,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314294,3.00,3.00,2.00,6.00,5.00,5.75,3.00,3.00,5.00,207,NULL,211,'BELA VISTA','ERECHIM','RS',13388,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3314308,4.00,3.00,3.00,5.00,1.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'ZONA 7','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3314316,3.00,3.00,1.00,8.00,5.00,4.25,1.00,4.00,2.00,5,NULL,NULL,'AREIAS','S JOSé','SC',16260,513,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3314332,3.00,4.00,4.00,1.00,5.00,5.50,2.00,6.00,3.00,238,NULL,212,'TRINDADE','FLORIANóPOLIS','SC',15445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314340,3.00,4.00,4.00,8.00,4.00,5.00,4.00,6.00,4.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',10678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314359,1.00,2.00,3.00,2.00,3.00,NULL,3.00,3.00,2.00,207,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3314367,4.00,5.00,2.00,6.00,2.00,NULL,3.00,6.00,2.00,444,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ARROIO','ESPUMOSO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3314383,4.00,2.00,3.00,8.00,4.00,NULL,0.00,6.00,5.00,340,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,212,'CENTRO','CONGONHAL','MG',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3314405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3314413,3.00,3.00,3.00,8.00,3.00,NULL,2.00,3.00,2.00,319,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314421,3.00,4.00,2.00,4.00,1.00,NULL,1.00,3.00,2.00,201,NULL,212,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314430,4.00,3.00,2.00,5.00,4.00,NULL,0.00,4.00,3.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314456,3.00,5.00,5.00,9.00,4.00,4.00,4.00,7.00,3.00,340,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',8302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314464,3.00,4.00,1.00,4.00,5.00,4.75,2.00,5.00,3.00,208,NULL,238,'CENTRO','S JOãO SUL','SC',15874,553,NULL,523,NULL,NULL,NULL,2,5),(16,3314472,4.00,6.00,2.00,0.00,2.00,NULL,2.00,1.00,2.00,101,NULL,NULL,'FAZENDA DA ARMAçãO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314480,8.00,7.00,4.00,6.00,6.00,5.75,2.00,9.00,7.00,103,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',3407,1162,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314499,2.00,2.00,3.00,3.00,5.00,NULL,2.00,2.00,4.00,9,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314502,3.00,7.00,3.00,7.00,7.00,7.25,2.00,8.00,3.00,329,NULL,NULL,'PRADO','BIGUAçU','SC',7741,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314510,3.00,5.00,3.00,5.00,6.00,4.50,3.00,4.00,1.00,326,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',15457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314529,5.00,7.00,2.00,2.00,4.00,5.75,1.00,6.00,6.00,104,NULL,NULL,'CENTRO','ALPESTRE','RS',11467,312,NULL,NULL,NULL,NULL,NULL,4,4),(16,3314537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3314545,9.00,7.00,9.00,9.00,8.00,6.25,7.00,9.00,9.00,103,NULL,NULL,'SãO JUDAS TADEU','S JOSé CAMPOS','SP',63,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3314561,6.00,3.00,3.00,2.00,5.00,7.50,3.00,5.00,2.00,108,NULL,NULL,'EFACIP','PINHALZINHO','SC',13573,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3314570,5.00,4.00,4.00,3.00,3.00,NULL,3.00,4.00,6.00,201,NULL,212,'CENTRO','UTINGA','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3314588,1.00,2.00,3.00,5.00,5.00,NULL,1.00,5.00,2.00,201,NULL,212,'FLOR DE NAPOLES','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3314596,4.00,0.00,3.00,3.00,4.00,NULL,1.00,1.00,3.00,420,NULL,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314600,7.00,6.00,4.00,8.00,6.00,6.25,6.00,8.00,6.00,207,NULL,201,'ASA SUL','BRASíLIA','DF',3070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314618,3.00,4.00,3.00,6.00,2.00,NULL,2.00,3.00,5.00,208,NULL,238,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314626,4.00,6.00,2.00,9.00,8.00,7.00,4.00,8.00,2.00,340,NULL,NULL,'BALNEARIO ESTREITO','FLORIANóPOLIS','SC',5831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314634,7.00,8.00,4.00,5.00,5.00,5.00,4.00,8.00,7.00,233,NULL,215,'CENTRO','CANOINHAS','SC',3633,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3314642,3.00,5.00,2.00,7.00,5.00,6.00,2.00,4.00,1.00,303,NULL,NULL,'COLONINHA','FLORIANóPOLIS','SC',14423,633,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314650,6.00,4.00,3.00,8.00,5.00,5.00,2.00,5.00,3.00,340,NULL,NULL,'BARREIROS','S JOSé','SC',11214,353,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314669,1.00,3.00,1.00,2.00,0.00,NULL,0.00,1.00,2.00,453,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SETOR SUL','VL RICA','MT',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3314685,3.00,3.00,1.00,6.00,5.00,4.75,2.00,4.00,3.00,308,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',16309,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314693,5.00,6.00,2.00,4.00,7.00,5.00,3.00,7.00,5.00,103,NULL,NULL,'MONTE CASTELO','TUBARãO','SC',10197,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3314707,4.00,4.00,1.00,5.00,4.00,5.50,2.00,6.00,3.00,317,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314715,1.00,1.00,2.00,6.00,0.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314723,5.00,3.00,2.00,6.00,6.00,3.25,3.00,6.00,5.00,108,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314731,2.00,4.00,2.00,4.00,5.00,NULL,2.00,0.00,2.00,301,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LUPIONOPOLIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3314766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'GUARA 1','GUARá','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3314774,6.00,8.00,3.00,4.00,6.00,7.75,2.00,8.00,4.00,320,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3314804,1.00,5.00,2.00,3.00,0.00,NULL,2.00,3.00,4.00,501,NULL,NULL,'RIO DAS ANTAS','MTE CASTELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3314812,3.00,4.00,4.00,6.00,3.00,NULL,1.00,3.00,2.00,220,NULL,202,'SANTA CATARINA','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3314839,7.00,6.00,3.00,8.00,8.00,6.25,5.00,6.00,6.00,103,NULL,NULL,'SANTA TEREZINHA','D PEDRITO','RS',4323,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314855,5.00,7.00,2.00,8.00,3.00,NULL,3.00,4.00,5.00,501,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314863,4.00,5.00,1.00,3.00,3.00,NULL,1.00,4.00,6.00,301,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314871,3.00,3.00,3.00,2.00,2.00,NULL,2.00,3.00,3.00,238,NULL,208,'N SRA DO ROSARIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314880,5.00,5.00,2.00,7.00,2.00,NULL,2.00,4.00,4.00,316,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314898,4.00,7.00,4.00,8.00,7.00,6.25,4.00,8.00,3.00,304,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',4821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314901,5.00,7.00,5.00,8.00,7.00,7.00,4.00,9.00,3.00,316,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',3788,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314910,2.00,1.00,3.00,2.00,0.00,NULL,0.00,3.00,5.00,340,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314936,8.00,8.00,9.00,9.00,8.00,6.25,8.00,9.00,9.00,103,NULL,NULL,'CENTRO','CARAGUATATUBA','SP',26,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3314944,3.00,5.00,3.00,5.00,6.00,6.00,0.00,4.00,2.00,301,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',15172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3314960,4.00,4.00,2.00,3.00,2.00,NULL,4.00,0.00,2.00,501,NULL,NULL,'INTERIOR','IPUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3314979,6.00,5.00,5.00,3.00,4.00,5.50,3.00,8.00,4.00,202,NULL,203,'VILA ADILETA','ASSIS','SP',8743,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3314987,2.00,2.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'PACHECO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3314995,4.00,7.00,1.00,7.00,7.00,8.00,3.00,9.00,2.00,318,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',6654,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315002,2.00,5.00,3.00,6.00,2.00,NULL,2.00,4.00,2.00,203,NULL,207,'JOSE MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3315029,1.00,5.00,3.00,2.00,2.00,NULL,4.00,0.00,3.00,214,NULL,211,'SãO JUDAS','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3315037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM PINHEIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3315045,4.00,5.00,1.00,7.00,5.00,5.00,4.00,5.00,5.00,309,NULL,NULL,'FAZENDA SANTO ANTôNI','S JOSé','SC',10587,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315053,5.00,4.00,1.00,3.00,4.00,5.50,2.00,3.00,2.00,211,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',16599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315061,1.00,3.00,1.00,8.00,4.00,5.50,4.00,2.00,2.00,426,NULL,NULL,'SãO VICENTE','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3315070,5.00,5.00,6.00,8.00,6.00,6.00,2.00,7.00,8.00,303,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',5195,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315096,3.00,7.00,4.00,2.00,7.00,4.25,4.00,5.00,1.00,225,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',12981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3315118,4.00,3.00,3.00,2.00,2.00,NULL,3.00,2.00,2.00,208,NULL,238,'ILHA DA FIGUEIRA','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3315126,4.00,2.00,3.00,2.00,4.00,4.50,2.00,8.00,4.00,302,NULL,NULL,'CENTRO','ANTONIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315134,4.00,3.00,4.00,6.00,6.00,6.50,2.00,3.00,2.00,5,NULL,NULL,'SAGUAçU','JOINVILLE','SC',13981,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3315142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3315150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3315169,4.00,5.00,4.00,7.00,5.00,6.50,3.00,5.00,3.00,3,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',9115,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3315177,6.00,5.00,2.00,8.00,7.00,4.75,2.00,8.00,5.00,203,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',7922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315185,3.00,3.00,2.00,2.00,4.00,NULL,2.00,1.00,4.00,213,NULL,211,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315193,5.00,8.00,3.00,9.00,9.00,8.00,3.00,9.00,3.00,425,NULL,424,'COQUEIROS','FLORIANóPOLIS','SC',2970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315207,6.00,7.00,3.00,8.00,5.00,5.25,3.00,5.00,5.00,404,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',7871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315215,2.00,2.00,4.00,3.00,3.00,NULL,4.00,3.00,4.00,103,NULL,NULL,'SAGUACU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3315223,7.00,7.00,4.00,9.00,6.00,7.00,3.00,8.00,6.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',2914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315240,2.00,3.00,3.00,5.00,3.00,NULL,0.00,2.00,4.00,332,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315258,2.00,2.00,3.00,6.00,3.00,NULL,2.00,6.00,4.00,332,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315266,5.00,5.00,3.00,8.00,4.00,5.25,3.00,5.00,4.00,213,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10471,209,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315282,5.00,5.00,3.00,6.00,4.00,2.75,2.00,3.00,3.00,444,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3315312,8.00,5.00,6.00,8.00,7.00,6.50,6.00,6.00,8.00,5,NULL,NULL,'BRAGA','S JOSé PINHAIS','PR',1828,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315339,2.00,7.00,3.00,8.00,7.00,5.75,1.00,6.00,3.00,233,NULL,212,'CAPOEIRAS','FLORIANóPOLIS','SC',9624,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3315347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ASA NORTE','BRASíLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3315355,2.00,3.00,2.00,6.00,2.00,NULL,3.00,3.00,3.00,318,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315363,2.00,4.00,1.00,7.00,2.00,NULL,3.00,6.00,4.00,202,NULL,203,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3315371,3.00,4.00,4.00,7.00,7.00,6.00,2.00,4.00,4.00,103,NULL,NULL,'ACLIMAçãO','S PAULO','SP',9800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315380,4.00,4.00,4.00,9.00,4.00,5.25,2.00,7.00,5.00,301,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',10170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','TREZE MAIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3315401,1.00,0.00,1.00,2.00,4.00,NULL,3.00,3.00,4.00,309,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315410,5.00,6.00,4.00,8.00,5.00,5.00,2.00,3.00,4.00,203,NULL,207,'CAMPINAS','S JOSé','SC',11085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315428,5.00,4.00,3.00,2.00,4.00,5.75,2.00,3.00,2.00,425,NULL,424,'CAMINHO NOVO','PALHOçA','SC',16415,114,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315436,4.00,5.00,2.00,8.00,4.00,5.75,4.00,2.00,2.00,319,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',13971,299,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'JARDIM MORUMBI','MARíLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3315452,6.00,4.00,6.00,9.00,7.00,5.75,4.00,4.00,5.00,451,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',6193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315460,4.00,7.00,3.00,9.00,8.00,7.00,3.00,7.00,4.00,201,NULL,212,'CACUPé','FLORIANóPOLIS','SC',5137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315479,2.00,5.00,5.00,7.00,5.00,6.00,2.00,5.00,4.00,318,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',11420,85,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315487,4.00,1.00,4.00,6.00,2.00,NULL,1.00,3.00,1.00,207,NULL,NULL,'ALEGRE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315495,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3315509,9.00,7.00,4.00,9.00,6.00,5.00,3.00,8.00,6.00,5,NULL,NULL,'BRAGA','S JOSé PINHAIS','PR',3133,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315517,5.00,5.00,3.00,3.00,2.00,NULL,2.00,3.00,5.00,332,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315533,2.00,4.00,2.00,4.00,3.00,NULL,0.00,2.00,2.00,444,NULL,NULL,'PORTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315541,6.00,3.00,4.00,4.00,4.00,5.00,2.00,5.00,4.00,104,NULL,NULL,'CENTRO','TUBARãO','SC',12953,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3315550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PACHECO','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3315568,4.00,6.00,4.00,4.00,6.00,6.00,3.00,6.00,6.00,316,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',8923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315576,7.00,8.00,2.00,8.00,8.00,6.75,2.00,9.00,5.00,5,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',3704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315584,1.00,4.00,4.00,7.00,2.00,NULL,3.00,5.00,4.00,339,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315592,7.00,6.00,7.00,6.00,5.00,6.25,5.00,6.00,7.00,420,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315606,3.00,5.00,3.00,5.00,4.00,5.25,3.00,4.00,3.00,203,NULL,214,'PRESIDENTE KENNEDY','FRANCISCO BELTRãO','PR',14054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315622,2.00,3.00,4.00,5.00,1.00,NULL,0.00,1.00,2.00,444,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315630,5.00,4.00,2.00,7.00,3.00,NULL,2.00,3.00,2.00,104,NULL,NULL,'CENTRO','IPORã OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315649,3.00,4.00,1.00,7.00,5.00,5.75,4.00,4.00,3.00,340,NULL,NULL,'SANTA TEREZA','PTO ALEGRE','RS',13109,407,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315657,6.00,5.00,7.00,6.00,7.00,8.00,5.00,8.00,5.00,103,NULL,NULL,'BOQUEIRãO','PASSO FUNDO','RS',2573,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3315665,5.00,6.00,6.00,4.00,5.00,5.75,4.00,7.00,6.00,103,NULL,NULL,'RESIDENCIAL TATETUBA','S JOSé CAMPOS','SP',6498,1755,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315681,4.00,4.00,2.00,1.00,2.00,NULL,1.00,1.00,1.00,502,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315703,2.00,5.00,6.00,8.00,7.00,6.00,3.00,6.00,2.00,214,NULL,220,'PRóSPERA','CRICIúMA','SC',8604,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3315711,3.00,2.00,3.00,4.00,1.00,NULL,2.00,2.00,3.00,308,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3315738,3.00,3.00,4.00,5.00,4.00,5.50,3.00,5.00,3.00,316,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',15001,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315746,3.00,4.00,4.00,3.00,5.00,4.00,3.00,7.00,3.00,101,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',14344,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315754,9.00,5.00,5.00,8.00,7.00,5.75,3.00,7.00,7.00,201,NULL,207,'ITOUPAVA Açú','JARAGUá SUL','SC',2605,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3315762,7.00,5.00,5.00,8.00,6.00,5.25,4.00,7.00,8.00,220,NULL,203,'SAO SEBASTIAO','FRANCA','SP',3702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315770,4.00,3.00,1.00,4.00,4.00,4.50,3.00,7.00,2.00,453,NULL,NULL,'JARDIM IMPERIAL','CUIABá','MT',16143,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3315789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'VILA BEATRIZ','JUNQUEIRóPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3315819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'HORTO FLORESTAL','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3315843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3315851,6.00,8.00,3.00,6.00,3.00,NULL,3.00,7.00,7.00,101,NULL,NULL,'VILA SOCIAL','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3315860,2.00,4.00,2.00,4.00,3.00,NULL,2.00,6.00,4.00,444,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315878,2.00,2.00,2.00,6.00,3.00,NULL,1.00,5.00,2.00,308,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315886,4.00,4.00,2.00,3.00,3.00,NULL,3.00,3.00,3.00,208,NULL,238,'VILLAGE','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3315908,3.00,3.00,4.00,2.00,5.00,6.75,4.00,3.00,4.00,211,NULL,207,'NOVO CENTAURO','ARAPONGAS','PR',14229,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3315916,9.00,7.00,9.00,7.00,7.00,5.25,5.00,8.00,9.00,103,NULL,NULL,'VILA EMA','S JOSé CAMPOS','SP',464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315924,2.00,2.00,2.00,4.00,2.00,NULL,5.00,4.00,4.00,302,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3315932,6.00,7.00,7.00,7.00,5.00,4.75,3.00,6.00,5.00,304,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',6103,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3315959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO SUL','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3315975,3.00,3.00,3.00,6.00,3.00,NULL,1.00,4.00,3.00,303,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3315983,2.00,3.00,3.00,1.00,0.00,NULL,2.00,4.00,5.00,201,NULL,238,'PARQUE INDUSTRIAL','S JOSé CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3316009,6.00,3.00,5.00,9.00,4.00,6.00,4.00,4.00,4.00,220,NULL,NULL,'ABERTA MORROS','PTO ALEGRE','RS',9055,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3316025,3.00,7.00,2.00,9.00,7.00,5.75,2.00,8.00,3.00,329,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316033,3.00,3.00,4.00,6.00,4.00,3.00,3.00,4.00,3.00,202,NULL,211,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'JARDIM ELDORADO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3316050,3.00,3.00,2.00,5.00,4.00,5.50,2.00,3.00,4.00,415,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',16539,421,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3316076,3.00,7.00,5.00,6.00,5.00,4.00,3.00,5.00,2.00,304,NULL,NULL,'JURERE','FLORIANóPOLIS','SC',11684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316084,4.00,5.00,4.00,6.00,4.00,4.00,2.00,7.00,4.00,339,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',12145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316092,3.00,3.00,1.00,6.00,3.00,NULL,2.00,4.00,3.00,208,NULL,238,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316106,2.00,4.00,4.00,4.00,4.00,5.50,2.00,4.00,3.00,318,NULL,NULL,'BELA VISTA I','S JOSé','SC',16490,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316114,0.00,0.00,0.00,7.00,2.00,NULL,0.00,0.00,0.00,213,NULL,238,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3316122,3.00,6.00,4.00,3.00,6.00,4.50,3.00,4.00,4.00,207,NULL,216,'CAMPINAS','S JOSé','SC',13993,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3316149,4.00,4.00,2.00,3.00,5.00,6.75,2.00,7.00,2.00,421,NULL,NULL,'FUNDOS','BIGUAçU','SC',14440,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3316157,5.00,5.00,4.00,2.00,5.00,5.25,2.00,6.00,3.00,304,NULL,NULL,'ALTO DA PONTE','S JOSé CAMPOS','SP',12875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316165,4.00,2.00,2.00,6.00,5.00,4.50,3.00,3.00,3.00,453,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',16054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316203,3.00,3.00,2.00,3.00,3.00,NULL,0.00,2.00,2.00,429,NULL,423,'REAL PARQUE SJ','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316211,6.00,4.00,5.00,7.00,7.00,6.75,2.00,5.00,5.00,104,NULL,NULL,'CENTRO','TUBARãO','SC',7164,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3316220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'SANTA TEREZINHA','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3316238,0.00,4.00,4.00,8.00,2.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM PAULISTA','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3316246,5.00,7.00,7.00,9.00,8.00,5.50,4.00,6.00,5.00,214,NULL,212,'PQ RES AQUARIUS','S JOSé CAMPOS','SP',2857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316254,3.00,4.00,2.00,0.00,1.00,NULL,1.00,2.00,3.00,234,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316262,6.00,6.00,3.00,7.00,4.00,5.50,1.00,4.00,3.00,108,NULL,NULL,'ROçADO','S JOSé','SC',11335,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3316289,2.00,6.00,4.00,8.00,4.00,4.50,2.00,7.00,2.00,316,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',11733,131,NULL,NULL,NULL,NULL,NULL,1,1),(16,3316297,5.00,8.00,6.00,8.00,6.00,6.75,7.00,7.00,8.00,103,NULL,NULL,'PRóSPERA','CRICIúMA','SC',1251,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3316300,3.00,6.00,4.00,2.00,6.00,5.25,2.00,7.00,5.00,318,NULL,NULL,'CÓRREGO GRANDE','FLORIANóPOLIS','SC',11743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316319,4.00,4.00,2.00,6.00,5.00,5.75,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','SOMBRIO','SC',13454,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3316327,1.00,2.00,1.00,5.00,4.00,NULL,2.00,5.00,3.00,233,NULL,201,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316335,6.00,7.00,3.00,7.00,4.00,4.50,3.00,6.00,3.00,319,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',9171,171,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316343,3.00,5.00,3.00,6.00,3.00,NULL,4.00,6.00,3.00,428,NULL,421,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316351,5.00,5.00,1.00,8.00,5.00,4.50,1.00,6.00,2.00,332,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',12747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316360,4.00,4.00,1.00,7.00,3.00,NULL,2.00,7.00,2.00,320,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3316386,2.00,2.00,5.00,6.00,3.00,NULL,5.00,6.00,3.00,224,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VISTA VERDE','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3316408,3.00,5.00,3.00,6.00,3.00,NULL,2.00,3.00,5.00,404,NULL,NULL,'OPERARIA NOVA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3316416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASA BRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3316424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','RONDA ALTA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3316459,6.00,6.00,4.00,7.00,6.00,6.50,2.00,5.00,5.00,104,NULL,NULL,'SANTA MARIA','ARAçATUBA','SP',7367,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3316483,2.00,6.00,5.00,9.00,6.00,5.75,3.00,4.00,5.00,238,NULL,208,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',8867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CANDEAL','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3316505,2.00,4.00,3.00,1.00,4.00,NULL,3.00,4.00,3.00,211,NULL,201,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3316513,6.00,4.00,1.00,1.00,3.00,NULL,4.00,2.00,2.00,319,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316521,5.00,7.00,1.00,7.00,5.00,5.75,3.00,9.00,4.00,327,NULL,NULL,'TRINDAE','FLORIANóPOLIS','SC',7627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316548,3.00,6.00,2.00,6.00,4.00,5.00,3.00,8.00,4.00,5,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',11092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316556,1.00,0.00,1.00,2.00,2.00,NULL,3.00,5.00,2.00,317,NULL,NULL,'SANTA TEREZA','S PEDRO ALCâNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316564,2.00,6.00,1.00,7.00,4.00,6.25,3.00,5.00,2.00,207,NULL,238,'PARQUE SãO JORGE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316572,3.00,3.00,6.00,9.00,5.00,4.50,2.00,5.00,4.00,208,NULL,202,'JARDIM CENTENARIO','JANDIRA','SP',9240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316580,4.00,3.00,1.00,2.00,4.00,5.50,4.00,3.00,3.00,211,NULL,208,'SãO JORGE','S MIGUEL OESTE','SC',16028,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3316599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3316610,4.00,6.00,2.00,9.00,8.00,6.25,4.00,6.00,4.00,340,NULL,NULL,'KOBRASOL','S JOSé','SC',7262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316629,3.00,7.00,5.00,4.00,5.00,5.25,3.00,7.00,2.00,303,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',10417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316637,3.00,4.00,2.00,4.00,4.00,5.50,1.00,4.00,2.00,309,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',16331,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3316645,4.00,5.00,1.00,4.00,4.00,5.50,2.00,6.00,3.00,308,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',14872,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316653,7.00,3.00,5.00,7.00,6.00,6.75,3.00,5.00,3.00,319,NULL,NULL,'CENTRO','VERANóPOLIS','RS',7450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316670,6.00,7.00,5.00,9.00,6.00,7.00,3.00,8.00,4.00,303,NULL,NULL,'JARDIM VITóRIA RéGIA','S JOSé R PRETO','SP',2955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316688,1.00,3.00,4.00,1.00,2.00,NULL,1.00,3.00,0.00,301,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'VILA PROHMANN','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3316700,0.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,207,NULL,201,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3316718,3.00,5.00,4.00,4.00,4.00,5.25,3.00,4.00,4.00,319,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',13772,292,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316726,2.00,3.00,3.00,4.00,1.00,NULL,3.00,4.00,2.00,234,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316734,2.00,4.00,4.00,7.00,7.00,5.00,2.00,6.00,4.00,318,NULL,NULL,'PRADO','BIGUAçU','SC',11218,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'SãO CRISTóVãO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3316750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,212,'ADRIANóPOLIS','MANAUS','AM',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3316769,0.00,3.00,2.00,3.00,0.00,NULL,1.00,1.00,1.00,301,NULL,NULL,'LIMEIRA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316777,7.00,5.00,1.00,8.00,6.00,4.75,5.00,8.00,1.00,428,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',8270,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316785,6.00,6.00,2.00,5.00,5.00,5.75,2.00,3.00,2.00,317,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',13719,123,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316793,5.00,4.00,2.00,5.00,3.00,NULL,3.00,4.00,4.00,333,NULL,NULL,'CENTRO','AT PARANá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316807,4.00,3.00,1.00,9.00,5.00,4.50,3.00,6.00,4.00,216,NULL,201,'CENTRO','PINHEIRO PRETO','SC',12099,419,NULL,940,NULL,NULL,NULL,4,7),(16,3316815,7.00,4.00,3.00,8.00,6.00,5.75,3.00,5.00,5.00,220,NULL,211,'PIONEIROS','BAL CAMBORIú','SC',7980,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3316823,2.00,6.00,1.00,7.00,4.00,5.75,0.00,3.00,3.00,340,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',16016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316831,6.00,5.00,5.00,5.00,3.00,NULL,5.00,4.00,4.00,220,NULL,203,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316858,7.00,5.00,6.00,7.00,8.00,5.50,3.00,8.00,6.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',3380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316866,7.00,4.00,4.00,6.00,4.00,5.00,5.00,5.00,5.00,216,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',8316,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316874,6.00,3.00,7.00,7.00,6.00,4.00,4.00,6.00,6.00,103,NULL,NULL,'ASA NORTE','BRASILIA','DF',5278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3316890,3.00,3.00,4.00,5.00,3.00,NULL,2.00,1.00,3.00,9,NULL,NULL,'PETRóPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3316904,3.00,2.00,1.00,5.00,3.00,NULL,1.00,3.00,2.00,316,NULL,NULL,'POTECAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3316920,3.00,3.00,2.00,2.00,1.00,NULL,1.00,2.00,3.00,215,NULL,233,'CENTRO','MRO FUMAçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3316947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TREMEMBE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3316955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3316963,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3316971,5.00,5.00,3.00,4.00,5.00,5.75,2.00,5.00,3.00,303,NULL,NULL,'COLONINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3316980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3317005,1.00,5.00,2.00,6.00,4.00,7.00,2.00,6.00,3.00,428,NULL,423,'PICADAS DO SUL','S JOSé','SC',14023,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317013,5.00,3.00,4.00,5.00,2.00,NULL,3.00,5.00,2.00,2,NULL,NULL,'JARDIM PAULISTA','ATIBAIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3317021,4.00,6.00,2.00,6.00,1.00,NULL,1.00,5.00,2.00,332,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3317030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3317048,2.00,1.00,2.00,4.00,1.00,NULL,3.00,3.00,1.00,319,NULL,NULL,'CENTRO SãO JOSé','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'SANGA DO ENGENHO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3317064,1.00,3.00,3.00,3.00,5.00,NULL,2.00,5.00,4.00,224,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3317080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3317099,6.00,6.00,7.00,7.00,7.00,5.25,4.00,6.00,5.00,203,NULL,214,'TRINDADE','FLORIANóPOLIS','SC',5152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3317102,7.00,7.00,5.00,7.00,6.00,7.00,3.00,8.00,7.00,303,NULL,NULL,'CENTRO','SERRA NEGRA','SP',3293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3317110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3317129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ANDORINHA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3317137,3.00,5.00,3.00,7.00,6.00,8.00,2.00,6.00,4.00,426,NULL,428,'TRINDADE','FLORIANóPOLIS','SC',9218,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317145,5.00,6.00,5.00,9.00,7.00,6.75,2.00,7.00,2.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',5393,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3317153,3.00,3.00,2.00,2.00,0.00,NULL,1.00,2.00,2.00,301,NULL,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317161,4.00,5.00,4.00,5.00,5.00,5.00,0.00,7.00,3.00,302,NULL,NULL,'NOSSA S DE LOURDES','CAMPOS NOVOS','SC',13136,160,NULL,NULL,NULL,NULL,NULL,2,7),(16,3317170,6.00,6.00,3.00,9.00,7.00,8.00,2.00,4.00,3.00,308,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',7437,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3317188,5.00,4.00,2.00,6.00,4.00,6.00,2.00,6.00,2.00,102,NULL,NULL,'JARDIM BIGUAçU','BIGUAçU','SC',13635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3317196,1.00,6.00,5.00,7.00,5.00,5.75,2.00,3.00,4.00,332,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',13428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3317226,6.00,7.00,1.00,7.00,6.00,6.75,3.00,8.00,5.00,103,NULL,NULL,'CENTRO','XAXIM','SC',5912,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3317242,3.00,5.00,3.00,3.00,4.00,4.75,2.00,8.00,4.00,238,NULL,NULL,'CENTRO','SAUDADES','SC',13775,438,NULL,NULL,NULL,NULL,NULL,4,4),(16,3317250,1.00,2.00,2.00,6.00,4.00,5.50,4.00,2.00,3.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317269,1.00,2.00,1.00,5.00,5.00,NULL,3.00,3.00,2.00,310,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317285,3.00,2.00,2.00,5.00,1.00,NULL,2.00,2.00,2.00,324,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3317307,2.00,0.00,6.00,1.00,1.00,NULL,3.00,1.00,2.00,316,NULL,NULL,'TAPERA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3317315,6.00,5.00,2.00,7.00,3.00,NULL,4.00,4.00,4.00,203,NULL,233,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3317331,6.00,4.00,2.00,4.00,4.00,5.50,1.00,4.00,3.00,415,NULL,NULL,'JARDIM MARCANTE','DOIS VIZINHOS','PR',14957,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3317358,4.00,8.00,4.00,4.00,4.00,6.75,2.00,9.00,2.00,326,NULL,NULL,'SALGADO FILHO','CAXIAS DO SUL','RS',9095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3317366,3.00,5.00,3.00,6.00,4.00,6.00,3.00,7.00,4.00,238,NULL,215,'INGLESES','FLORIANóPOLIS','SC',11175,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317374,5.00,9.00,8.00,5.00,7.00,5.25,4.00,7.00,7.00,318,NULL,NULL,'CENTRO','ITAPEMA','SC',3338,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3317382,0.00,0.00,0.00,3.00,1.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'BALNEARIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3317390,5.00,5.00,5.00,8.00,7.00,5.50,0.00,6.00,3.00,103,NULL,NULL,'CENTRO','PINHEIRO PRETO','SC',8693,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3317404,3.00,5.00,3.00,5.00,5.00,6.00,3.00,8.00,3.00,415,NULL,NULL,'VILA SAO JORGE','GUARULHOS','SP',10013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3317412,4.00,6.00,4.00,6.00,4.00,7.00,1.00,7.00,1.00,303,NULL,NULL,'CENTRO','GASPAR','SC',11739,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3317439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,426,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3317447,4.00,6.00,2.00,7.00,4.00,5.75,1.00,6.00,6.00,319,NULL,NULL,'CENTRO','BIGUAçU','SC',10463,200,NULL,NULL,NULL,NULL,NULL,4,1),(16,3317455,3.00,1.00,2.00,2.00,0.00,NULL,2.00,2.00,1.00,444,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3317471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,207,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3317480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3317498,5.00,4.00,3.00,8.00,4.00,6.25,1.00,3.00,4.00,302,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',12484,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317501,2.00,1.00,2.00,6.00,3.00,NULL,2.00,6.00,1.00,415,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3317528,0.00,2.00,4.00,5.00,4.00,4.25,2.00,3.00,5.00,203,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317536,1.00,3.00,3.00,5.00,4.00,NULL,2.00,0.00,4.00,302,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317544,4.00,4.00,2.00,5.00,6.00,6.00,2.00,7.00,2.00,415,NULL,NULL,'FORTALEZA','BLUMENAU','SC',12830,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3317560,5.00,7.00,4.00,9.00,7.00,7.75,2.00,9.00,6.00,103,NULL,NULL,'CENTRO','S MATEUS SUL','PR',3260,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3317579,2.00,6.00,2.00,4.00,3.00,NULL,3.00,7.00,4.00,238,NULL,208,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317587,4.00,7.00,1.00,4.00,4.00,5.50,4.00,5.00,4.00,225,NULL,NULL,'RIO GRANDE','PALHOçA','SC',13094,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'IMPERIAL','CONCóRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3317609,6.00,8.00,7.00,8.00,7.00,5.75,3.00,7.00,6.00,5,NULL,NULL,'CERQUEIRA CéSAR','S PAULO','SP',2724,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3317617,4.00,7.00,4.00,5.00,5.00,6.50,3.00,5.00,6.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317625,0.00,0.00,0.00,7.00,2.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(16,3317633,7.00,6.00,5.00,8.00,4.00,6.75,3.00,6.00,2.00,103,NULL,NULL,'CENTRO','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3317641,3.00,0.00,1.00,2.00,4.00,NULL,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','LINDóIA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3317668,5.00,6.00,4.00,8.00,7.00,5.50,2.00,5.00,4.00,318,NULL,NULL,'IPIRANGA','S JOSé','SC',8079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3317676,4.00,3.00,2.00,4.00,6.00,5.75,2.00,6.00,4.00,207,NULL,NULL,'CIDADE ALTA','ARARANGUá','SC',13336,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3317684,4.00,7.00,9.00,9.00,8.00,6.25,6.00,6.00,6.00,214,NULL,203,'TRINDADE','FLORIANóPOLIS','SC',1375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3317692,5.00,2.00,1.00,7.00,4.00,4.75,4.00,4.00,4.00,404,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',15507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3317722,1.00,0.00,2.00,5.00,2.00,NULL,2.00,3.00,3.00,502,NULL,NULL,'TRES VENDAS','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3317730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CINQUENTENARIO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3317757,5.00,3.00,2.00,2.00,3.00,NULL,0.00,3.00,1.00,420,NULL,NULL,'SANTA BARBARA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3317765,2.00,6.00,2.00,6.00,3.00,NULL,1.00,2.00,1.00,207,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317773,8.00,7.00,3.00,7.00,7.00,5.50,3.00,5.00,5.00,201,NULL,211,'BUCAREIN','JOINVILLE','SC',6793,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3317781,3.00,5.00,5.00,5.00,5.00,6.25,4.00,7.00,3.00,208,NULL,201,'CENTRO','BAL CAMBORIú','SC',9117,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3317790,2.00,4.00,2.00,2.00,0.00,NULL,3.00,2.00,3.00,444,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PLANALTO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3317811,1.00,3.00,4.00,6.00,2.00,NULL,0.00,2.00,5.00,203,NULL,202,'SãO JORGE','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3317820,5.00,7.00,4.00,8.00,8.00,8.50,2.00,6.00,3.00,103,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',5865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3317838,5.00,4.00,3.00,6.00,4.00,3.25,2.00,5.00,3.00,216,NULL,NULL,'JARDIM PETROPOLIS','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3317846,5.00,5.00,2.00,6.00,5.00,6.00,1.00,6.00,4.00,319,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12456,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317862,1.00,3.00,1.00,3.00,2.00,NULL,3.00,3.00,2.00,103,NULL,NULL,'SãO JOSé','TRAMANDAí','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3317870,2.00,3.00,4.00,5.00,3.00,NULL,3.00,5.00,4.00,303,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317889,2.00,6.00,3.00,8.00,7.00,5.25,3.00,6.00,3.00,5,NULL,NULL,'CENTRO','TAIó','SC',9450,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3317897,2.00,0.00,3.00,4.00,1.00,NULL,2.00,3.00,2.00,214,NULL,201,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3317900,4.00,3.00,3.00,8.00,4.00,4.00,3.00,5.00,3.00,301,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUá SUL','SC',12088,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3317919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CAPELA VELHA','ARAUCáRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3317927,3.00,3.00,2.00,7.00,4.00,6.00,2.00,4.00,4.00,425,NULL,427,'CAPOEIRAS','FLORIANóPOLIS','SC',14754,84,NULL,NULL,NULL,NULL,NULL,2,1),(16,3317935,3.00,4.00,4.00,4.00,5.00,3.00,2.00,3.00,3.00,208,NULL,201,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3317943,4.00,4.00,2.00,3.00,2.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'JARDIM JERIVá','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3317951,6.00,4.00,3.00,9.00,6.00,5.50,2.00,5.00,2.00,202,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3317978,5.00,7.00,7.00,7.00,7.00,5.75,3.00,6.00,7.00,103,NULL,NULL,'SANTA BARBARA','CRICIúMA','SC',3905,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3317986,4.00,5.00,3.00,3.00,4.00,5.50,3.00,8.00,6.00,5,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',9375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3317994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PORTãO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3318001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3318010,4.00,1.00,3.00,6.00,4.00,4.50,3.00,3.00,2.00,329,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',16604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3318028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'DOM FELICIANO','VIAMãO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3318036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3318044,2.00,2.00,4.00,6.00,3.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'PONTO AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3318052,1.00,3.00,1.00,3.00,4.00,NULL,1.00,2.00,2.00,453,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3318060,5.00,5.00,3.00,7.00,4.00,4.25,4.00,6.00,2.00,310,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',11815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3318087,6.00,4.00,6.00,8.00,6.00,5.25,5.00,6.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',3684,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3318095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3318109,4.00,2.00,4.00,1.00,2.00,NULL,2.00,1.00,4.00,319,NULL,NULL,'SAIC','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3318117,5.00,6.00,5.00,2.00,3.00,NULL,1.00,4.00,5.00,208,NULL,238,'RIO GRANDE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3318133,5.00,6.00,4.00,3.00,6.00,6.25,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',8459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3318141,7.00,7.00,1.00,7.00,5.00,5.75,1.00,9.00,5.00,319,NULL,NULL,'JOÃO ROSSI','RIBEIRãO PRETO','SP',6971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3318168,5.00,7.00,5.00,8.00,6.00,5.75,2.00,8.00,4.00,202,NULL,208,'CAMPINAS','S JOSé','SC',5812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3318176,3.00,6.00,5.00,6.00,5.00,6.00,5.00,5.00,7.00,333,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',6060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318184,4.00,5.00,1.00,9.00,7.00,5.75,2.00,7.00,4.00,424,NULL,428,'RIO VERMELHO','FLORIANóPOLIS','SC',7952,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3318206,4.00,2.00,1.00,4.00,3.00,NULL,2.00,4.00,1.00,102,NULL,NULL,'SãO FRANCISCO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3318214,1.00,5.00,3.00,6.00,6.00,5.00,2.00,7.00,3.00,101,NULL,NULL,'SANTO ANTONIO','TUBARãO','SC',12746,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3318222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'NOSSA SENHORA DO ROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3318230,4.00,8.00,4.00,8.00,4.00,5.25,6.00,7.00,5.00,203,NULL,NULL,'CENTRO','APUCARANA','PR',4587,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3318249,3.00,3.00,3.00,8.00,6.00,5.75,2.00,4.00,3.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14044,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318265,4.00,3.00,3.00,0.00,1.00,NULL,3.00,4.00,3.00,214,NULL,203,'CENTRO','PINHEIRO PRETO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3318273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3318281,2.00,3.00,2.00,4.00,2.00,NULL,3.00,4.00,3.00,404,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3318311,4.00,5.00,3.00,8.00,7.00,7.00,1.00,7.00,2.00,9,NULL,NULL,'VARGEM DOS PINHEIROS','SANTO AMARO DA IMPERATRIZ','SC',10725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3318320,2.00,1.00,2.00,1.00,4.00,NULL,1.00,3.00,4.00,451,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3318338,0.00,0.00,0.00,1.00,1.00,NULL,0.00,0.00,0.00,425,NULL,429,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3318346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','SALGADO FILHO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3318362,8.00,6.00,6.00,6.00,7.00,5.50,4.00,7.00,6.00,211,NULL,201,'CENTRO','VERANOPOLIS','RS',3049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3318370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3318389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3318397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,211,'LIVRAMENTO','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3318400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3318419,3.00,1.00,3.00,1.00,5.00,NULL,4.00,3.00,3.00,415,NULL,NULL,'CENTRO','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3318427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'TABULEIRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3318435,1.00,2.00,4.00,6.00,5.00,5.75,1.00,7.00,4.00,444,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSé','SC',13389,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318443,5.00,5.00,6.00,8.00,8.00,5.50,3.00,7.00,6.00,211,NULL,201,'IRIRIú','JOINVILLE','SC',4379,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3318451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'OSCAVO DOS SANTOS','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3318460,3.00,4.00,2.00,2.00,3.00,NULL,2.00,3.00,3.00,207,NULL,215,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3318478,2.00,6.00,2.00,7.00,6.00,5.25,2.00,4.00,3.00,339,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',13461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'ASA SUL','BRASILIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3318494,2.00,5.00,1.00,4.00,5.00,5.50,2.00,6.00,2.00,317,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',15720,154,NULL,NULL,NULL,NULL,NULL,2,8),(16,3318516,6.00,3.00,2.00,4.00,4.00,4.50,4.00,5.00,5.00,220,NULL,216,'CENTRO','BRUSQUE','SC',13931,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3318524,3.00,4.00,4.00,3.00,4.00,6.00,2.00,5.00,3.00,340,NULL,NULL,'CENTRO','CRICIúMA','SC',15527,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3318540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PARQUE PARAISO','ITAPECERICA SERRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3318559,3.00,2.00,3.00,7.00,3.00,NULL,2.00,4.00,3.00,317,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318567,3.00,5.00,3.00,2.00,2.00,NULL,3.00,8.00,3.00,450,NULL,NULL,'VENDAVAL','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318575,0.00,4.00,3.00,5.00,2.00,NULL,4.00,5.00,3.00,101,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318583,3.00,1.00,1.00,3.00,2.00,NULL,2.00,2.00,3.00,216,NULL,203,'SãO JOSE','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3318591,3.00,5.00,2.00,5.00,3.00,NULL,3.00,2.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318605,4.00,4.00,4.00,5.00,5.00,5.50,3.00,4.00,3.00,320,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',12356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3318621,3.00,0.00,2.00,7.00,3.00,NULL,4.00,5.00,0.00,233,NULL,211,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318630,4.00,4.00,2.00,7.00,5.00,7.00,1.00,6.00,1.00,331,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13755,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3318648,4.00,5.00,4.00,3.00,5.00,7.00,3.00,7.00,5.00,103,NULL,NULL,'VILA MOEMA','TUBARãO','SC',10815,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3318656,3.00,7.00,4.00,8.00,5.00,5.25,1.00,7.00,3.00,201,NULL,203,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3318664,4.00,4.00,3.00,7.00,3.00,NULL,2.00,2.00,3.00,208,NULL,201,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3318680,4.00,2.00,3.00,6.00,5.00,5.75,4.00,3.00,4.00,213,NULL,238,'CENTRO','CRICIúMA','SC',12525,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3318699,3.00,3.00,2.00,0.00,5.00,NULL,1.00,3.00,2.00,202,NULL,238,'CENTRO','CASCA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3318710,4.00,3.00,3.00,2.00,5.00,4.00,3.00,5.00,3.00,327,NULL,NULL,'BARREIROS','S JOSé','SC',15799,51,NULL,NULL,NULL,NULL,NULL,4,1),(16,3318729,3.00,4.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,102,NULL,NULL,'NOSSA S DE FATIMA','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3318745,1.00,2.00,3.00,1.00,2.00,NULL,2.00,3.00,3.00,426,NULL,427,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318753,8.00,4.00,4.00,5.00,7.00,7.00,3.00,7.00,5.00,103,NULL,NULL,'DEHON','TUBARãO','SC',5720,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3318761,5.00,5.00,3.00,0.00,3.00,NULL,2.00,4.00,4.00,5,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3318770,3.00,4.00,3.00,4.00,3.00,NULL,2.00,4.00,3.00,205,NULL,NULL,'BOEHMERWALD','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3318788,2.00,5.00,1.00,7.00,5.00,6.50,2.00,3.00,6.00,103,NULL,NULL,'TOBIAS','JOAçABA','SC',13154,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3318800,7.00,3.00,4.00,6.00,5.00,6.50,3.00,6.00,4.00,104,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',8373,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3318818,5.00,5.00,4.00,7.00,5.00,3.25,4.00,3.00,3.00,316,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318826,6.00,7.00,5.00,2.00,4.00,5.75,4.00,7.00,7.00,201,NULL,212,'VILA NOVA BOTUCATU','BOTUCATU','SP',6888,534,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318834,4.00,6.00,2.00,7.00,6.00,7.00,2.00,6.00,4.00,316,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',9286,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318842,2.00,1.00,3.00,4.00,5.00,NULL,2.00,3.00,4.00,5,NULL,NULL,'JD ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3318850,4.00,3.00,3.00,7.00,6.00,6.00,2.00,5.00,4.00,104,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',11128,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3318877,1.00,3.00,4.00,5.00,1.00,NULL,3.00,3.00,3.00,207,NULL,NULL,'TABULEIRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3318885,5.00,7.00,5.00,7.00,6.00,4.25,3.00,6.00,8.00,3,NULL,NULL,'SMPW','NUC BANDEIRANTE','DF',5356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318893,3.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,0.00,201,NULL,202,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3318907,3.00,2.00,1.00,2.00,4.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318915,1.00,2.00,3.00,3.00,2.00,NULL,4.00,3.00,2.00,420,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3318923,0.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3318931,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA MOEMA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(16,3318940,6.00,7.00,4.00,8.00,5.00,7.75,3.00,6.00,4.00,303,NULL,NULL,'VELHA','BLUMENAU','SC',6766,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3318958,1.00,2.00,3.00,0.00,3.00,NULL,2.00,2.00,0.00,202,NULL,213,'TRES VENDAS','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3318966,3.00,5.00,2.00,7.00,3.00,NULL,3.00,4.00,1.00,238,NULL,208,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3318974,2.00,3.00,3.00,5.00,4.00,6.00,3.00,5.00,2.00,303,NULL,NULL,'CENTRO','TUBARãO','SC',15423,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3318982,4.00,2.00,3.00,3.00,3.00,NULL,1.00,6.00,3.00,5,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3318990,3.00,4.00,3.00,4.00,5.00,5.25,2.00,4.00,2.00,451,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319016,1.00,2.00,1.00,3.00,3.00,NULL,3.00,3.00,2.00,415,NULL,NULL,'CENTRO','LINDóIA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319024,5.00,6.00,3.00,9.00,6.00,4.50,4.00,6.00,4.00,429,NULL,NULL,'IRIRIú','JOINVILLE','SC',7168,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3319032,6.00,5.00,2.00,8.00,7.00,6.25,2.00,8.00,6.00,201,NULL,207,'PETRóPOLIS','PASSO FUNDO','RS',6201,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3319040,1.00,6.00,1.00,7.00,4.00,6.00,1.00,5.00,4.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',15110,661,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIN SãOSILVESTRE','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3319067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'EMBARE','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3319075,7.00,7.00,1.00,7.00,7.00,6.25,1.00,9.00,5.00,201,NULL,211,'CENTRO','GAROPABA','SC',5994,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319083,3.00,4.00,3.00,4.00,3.00,NULL,2.00,5.00,4.00,201,NULL,207,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'SUMARé','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3319105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3319113,5.00,6.00,3.00,9.00,6.00,6.00,6.00,7.00,2.00,340,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',5644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319121,6.00,3.00,2.00,3.00,6.00,6.00,2.00,6.00,4.00,444,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',12402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319130,3.00,5.00,2.00,3.00,4.00,4.00,2.00,7.00,4.00,501,NULL,NULL,'CENTRO','CAMBORIú','SC',15104,128,NULL,NULL,NULL,NULL,NULL,2,3),(16,3319148,2.00,6.00,5.00,3.00,4.00,4.00,3.00,6.00,4.00,421,NULL,427,'CENTRO','CRICIúMA','SC',13067,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3319156,6.00,5.00,2.00,8.00,8.00,6.75,4.00,5.00,4.00,102,NULL,NULL,'DOM BOSCO','ITAJAí','SC',6724,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3319164,3.00,6.00,2.00,8.00,4.00,6.00,2.00,4.00,2.00,203,NULL,202,'MORROTES','TUBARãO','SC',13018,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3319172,3.00,3.00,1.00,6.00,6.00,NULL,3.00,3.00,2.00,303,NULL,NULL,'SANGãO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3319199,5.00,2.00,5.00,2.00,5.00,5.75,7.00,5.00,5.00,220,NULL,238,'TAPERA','FLORIANóPOLIS','SC',10263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319210,6.00,8.00,6.00,7.00,7.00,4.75,5.00,8.00,6.00,216,NULL,211,'SAGUAçU','JOINVILLE','SC',2385,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3319229,3.00,2.00,4.00,2.00,3.00,NULL,3.00,2.00,4.00,104,NULL,NULL,'CENTRO','TAIó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,233,'CENTRO','MONTENEGRO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3319245,3.00,3.00,1.00,8.00,3.00,NULL,2.00,2.00,4.00,301,NULL,NULL,'SANTO ANTôNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3319261,4.00,4.00,1.00,8.00,5.00,5.25,2.00,3.00,4.00,201,NULL,212,'MATO ALTO','TUBARãO','SC',13710,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3319270,4.00,4.00,3.00,2.00,5.00,5.25,0.00,6.00,3.00,444,NULL,NULL,'AGUA SANTA','CHAPECó','SC',15596,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3319288,4.00,5.00,4.00,7.00,7.00,5.50,3.00,7.00,7.00,3,NULL,NULL,'ASA SUL','BRASíLIA','DF',5199,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3319318,2.00,2.00,3.00,2.00,2.00,NULL,2.00,2.00,0.00,317,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319326,2.00,4.00,1.00,3.00,2.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'VALPARAISO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3319350,4.00,2.00,1.00,6.00,7.00,5.50,2.00,9.00,2.00,415,NULL,NULL,'PETRóPOLIS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3319369,4.00,4.00,5.00,3.00,4.00,5.25,2.00,2.00,3.00,207,NULL,201,'CENTRO','ARARANGUA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3319377,3.00,2.00,2.00,6.00,4.00,4.50,2.00,5.00,5.00,303,NULL,NULL,'GUARDA','TUBARãO','SC',15525,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3319385,3.00,5.00,2.00,7.00,5.00,2.75,1.00,2.00,3.00,103,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3319393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3319407,4.00,3.00,2.00,2.00,3.00,NULL,0.00,3.00,4.00,223,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319415,3.00,5.00,2.00,7.00,3.00,NULL,0.00,7.00,2.00,207,NULL,201,'SANTO ANTONIO','CAPãO CANOA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319423,2.00,2.00,2.00,1.00,3.00,NULL,2.00,5.00,5.00,212,NULL,201,'PRAINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319431,7.00,9.00,2.00,8.00,7.00,7.00,3.00,9.00,5.00,340,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',3323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319440,6.00,5.00,2.00,7.00,5.00,6.00,4.00,6.00,5.00,207,NULL,208,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',8292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319458,0.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3319466,2.00,5.00,1.00,8.00,4.00,5.25,1.00,5.00,2.00,340,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',15022,452,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319474,3.00,7.00,4.00,8.00,4.00,5.50,5.00,5.00,4.00,208,NULL,238,'CORREGO GRANDE','FLORIANóPOLIS','SC',8986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319482,7.00,4.00,4.00,3.00,4.00,6.50,1.00,6.00,5.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319504,5.00,6.00,5.00,6.00,4.00,5.75,4.00,7.00,3.00,102,NULL,NULL,'VILA REAL','BAL CAMBORIú','SC',8710,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3319512,5.00,5.00,1.00,8.00,5.00,5.50,0.00,6.00,3.00,317,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',13317,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3319520,7.00,7.00,4.00,8.00,7.00,6.00,4.00,7.00,5.00,211,NULL,207,'SãO LEOPOLDO','CAXIAS SUL','RS',4108,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3319539,3.00,4.00,3.00,5.00,5.00,5.25,2.00,2.00,2.00,103,NULL,NULL,'AREIAS','S JOSé','SC',16406,2821,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319555,7.00,7.00,7.00,7.00,7.00,6.50,1.00,6.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',5370,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3319598,5.00,4.00,5.00,6.00,6.00,5.00,2.00,6.00,5.00,304,NULL,NULL,'CENTRO','CRICIúMA','SC',8654,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3319601,2.00,5.00,3.00,3.00,5.00,5.25,1.00,5.00,2.00,340,NULL,NULL,'CENTRO','BAL PIçARRAS','SC',16409,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3319610,3.00,4.00,3.00,2.00,4.00,NULL,1.00,1.00,3.00,208,NULL,207,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319628,3.00,6.00,1.00,3.00,1.00,NULL,3.00,5.00,2.00,202,NULL,238,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319636,5.00,5.00,5.00,5.00,5.00,4.50,3.00,7.00,4.00,453,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',9812,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319644,4.00,4.00,3.00,4.00,3.00,NULL,2.00,1.00,5.00,5,NULL,NULL,'RIA VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319652,6.00,5.00,4.00,8.00,6.00,4.75,3.00,3.00,3.00,2,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',11294,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3319679,4.00,2.00,4.00,8.00,2.00,NULL,2.00,2.00,4.00,207,NULL,202,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3319687,6.00,8.00,5.00,9.00,7.00,4.50,5.00,7.00,6.00,103,NULL,NULL,'BAIRRO DO COLéGIO','APUCARANA','PR',2477,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3319695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'PRAIA DO SONHO','ITANHAéM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3319709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3319717,6.00,6.00,4.00,8.00,2.00,NULL,2.00,7.00,5.00,319,NULL,NULL,'COLONINHA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3319725,6.00,7.00,1.00,3.00,4.00,5.25,3.00,7.00,4.00,207,NULL,NULL,'UNIVERSITáRIO','CHAPECó','SC',11833,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3319733,3.00,4.00,3.00,7.00,4.00,6.25,4.00,5.00,2.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3319741,1.00,1.00,2.00,4.00,2.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3319768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',1,8),(16,3319776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'JARDIM SOCIAL','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3319784,7.00,6.00,6.00,7.00,9.00,7.25,4.00,7.00,5.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2638,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319792,3.00,2.00,2.00,4.00,3.00,NULL,4.00,3.00,6.00,309,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319806,7.00,4.00,9.00,9.00,5.00,6.00,5.00,8.00,8.00,103,NULL,NULL,'AHU DE BAIXO','CURITIBA','PR',1510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319814,3.00,0.00,4.00,3.00,1.00,NULL,3.00,3.00,2.00,203,NULL,201,'QUARATA LINHA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3319822,5.00,6.00,5.00,9.00,5.00,7.00,5.00,6.00,3.00,319,NULL,NULL,'BARREIROS','S JOSé','SC',5974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319830,4.00,3.00,4.00,4.00,3.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'ARAUCáRIA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3319849,7.00,6.00,6.00,8.00,6.00,4.50,5.00,9.00,9.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',1693,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319865,4.00,5.00,3.00,7.00,4.00,5.25,2.00,7.00,1.00,207,NULL,201,'CENTRO','CATANDUVAS','SC',12803,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3319873,5.00,6.00,3.00,6.00,5.00,5.50,5.00,6.00,4.00,404,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',7878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319881,3.00,1.00,2.00,2.00,4.00,NULL,1.00,4.00,2.00,420,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319890,3.00,3.00,4.00,1.00,2.00,NULL,2.00,3.00,3.00,207,NULL,201,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319903,2.00,3.00,1.00,4.00,2.00,NULL,2.00,1.00,3.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319920,3.00,2.00,3.00,3.00,4.00,NULL,2.00,5.00,2.00,214,NULL,212,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319938,2.00,1.00,2.00,4.00,3.00,NULL,5.00,5.00,1.00,317,NULL,NULL,'PROCASA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319946,3.00,5.00,5.00,4.00,3.00,NULL,2.00,4.00,4.00,404,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319954,5.00,7.00,4.00,0.00,0.00,NULL,1.00,8.00,7.00,316,NULL,NULL,'OFICINAS','TUBARãO','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,10),(16,3319962,4.00,3.00,6.00,6.00,5.00,5.25,4.00,3.00,3.00,202,NULL,212,'CENTRO','RIO NEGRO','PR',12489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319970,5.00,4.00,7.00,8.00,7.00,6.25,2.00,7.00,5.00,220,NULL,201,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',5629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3319989,4.00,3.00,4.00,6.00,4.00,5.00,2.00,4.00,4.00,303,NULL,NULL,'CAMPINAS','S JOSé','SC',14238,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3319997,4.00,6.00,4.00,6.00,3.00,NULL,1.00,6.00,6.00,207,NULL,216,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DEHON','TUBARãO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3320022,2.00,4.00,1.00,3.00,4.00,NULL,2.00,3.00,5.00,317,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3320030,3.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,4.00,302,NULL,NULL,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3320049,2.00,2.00,2.00,3.00,4.00,NULL,1.00,4.00,3.00,501,NULL,NULL,'SANTISTA','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3320057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,212,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3320065,6.00,3.00,5.00,8.00,5.00,4.50,2.00,3.00,3.00,502,NULL,NULL,'VILA SãO ROQUE','LIMEIRA','SP',13555,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3320073,3.00,6.00,3.00,4.00,7.00,5.75,2.00,6.00,4.00,216,NULL,215,'BARRANCEIRA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3320081,3.00,5.00,1.00,6.00,4.00,6.00,1.00,5.00,3.00,319,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',14552,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3320090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA TERESINHA','CâNDIDO MOTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3320111,1.00,3.00,1.00,5.00,2.00,NULL,2.00,1.00,1.00,404,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3320138,1.00,2.00,3.00,7.00,2.00,NULL,2.00,2.00,2.00,404,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3320146,1.00,2.00,2.00,2.00,2.00,NULL,1.00,2.00,1.00,303,NULL,NULL,'PASSO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3320154,3.00,5.00,1.00,1.00,2.00,NULL,2.00,3.00,3.00,202,NULL,213,'JARDIM ITALIA','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3320162,3.00,2.00,4.00,8.00,2.00,NULL,3.00,4.00,3.00,316,NULL,NULL,'JARDIM BIGUAçU','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320170,4.00,6.00,4.00,8.00,7.00,5.25,2.00,6.00,1.00,208,NULL,214,'ST ANTôNIO DE LISBOA','FLORIANóPOLIS','SC',10133,306,NULL,342,NULL,NULL,NULL,4,1),(16,3320189,5.00,7.00,3.00,4.00,4.00,5.75,1.00,9.00,6.00,216,NULL,211,'ORATóRIO','ORLEANS','SC',9282,337,NULL,305,NULL,NULL,NULL,2,5),(16,3320197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3320200,6.00,6.00,7.00,8.00,4.00,8.50,4.00,6.00,3.00,202,NULL,220,'CARVOEIRA','FLORIANóPOLIS','SC',4620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3320227,6.00,7.00,5.00,6.00,5.00,4.50,4.00,7.00,4.00,502,NULL,NULL,'CENTRO','BLUMENAU','SC',6777,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3320235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3320251,3.00,4.00,1.00,4.00,4.00,NULL,1.00,5.00,2.00,444,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3320260,3.00,0.00,1.00,3.00,3.00,NULL,3.00,4.00,2.00,108,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320278,1.00,5.00,3.00,6.00,6.00,6.00,2.00,6.00,4.00,238,NULL,208,'JURERê INTERNACIONAL','FLORIANóPOLIS','SC',12493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320286,1.00,3.00,4.00,6.00,3.00,NULL,1.00,5.00,2.00,425,NULL,429,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320294,1.00,7.00,5.00,7.00,5.00,5.50,3.00,7.00,3.00,220,NULL,203,'JARDIM CORALINA','BAURU','SP',10371,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3320308,6.00,7.00,4.00,7.00,5.00,7.25,6.00,8.00,6.00,425,NULL,424,'CENTRO','FLORIANóPOLIS','SC',3572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320316,6.00,6.00,5.00,7.00,6.00,4.00,2.00,7.00,4.00,220,NULL,NULL,'BELA VISTA','FRAIBURGO','SC',7892,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3320332,3.00,3.00,6.00,3.00,2.00,NULL,3.00,0.00,2.00,201,NULL,238,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320340,4.00,4.00,3.00,5.00,4.00,NULL,2.00,0.00,2.00,308,NULL,NULL,'BELA VISTA I','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3320359,7.00,7.00,5.00,8.00,6.00,5.50,3.00,7.00,5.00,104,NULL,NULL,'AMéRICA','JOINVILLE','SC',4290,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3320367,4.00,3.00,1.00,7.00,6.00,4.50,3.00,7.00,3.00,320,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',13371,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3320375,8.00,5.00,8.00,9.00,5.00,6.50,5.00,7.00,7.00,220,NULL,NULL,'CENTRO','PRIMAVERA LESTE','MT',2289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3320405,5.00,3.00,3.00,4.00,3.00,NULL,3.00,3.00,2.00,201,NULL,203,'COLONIA SANTANA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3320413,4.00,7.00,4.00,8.00,5.00,5.75,4.00,9.00,4.00,203,NULL,216,'VILA PONTE NOVA','CUBATãO','SP',4430,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3320421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3320430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3320448,2.00,4.00,1.00,6.00,5.00,NULL,3.00,2.00,3.00,420,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3320456,3.00,5.00,4.00,7.00,3.00,NULL,5.00,6.00,1.00,303,NULL,NULL,'VARZEA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3320464,3.00,3.00,1.00,6.00,4.00,4.00,1.00,7.00,5.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',14982,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3320472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'COUNTRY','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3320480,8.00,6.00,4.00,8.00,6.00,6.50,4.00,8.00,6.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',2297,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3320499,3.00,5.00,2.00,8.00,3.00,NULL,1.00,7.00,2.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320502,6.00,3.00,2.00,5.00,4.00,4.75,3.00,4.00,3.00,425,NULL,426,'MONTE CRISTO','FLORIANóPOLIS','SC',15521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320510,1.00,2.00,1.00,4.00,2.00,NULL,2.00,7.00,2.00,310,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3320537,6.00,5.00,8.00,7.00,7.00,5.50,6.00,8.00,7.00,103,NULL,NULL,'JD ARPOADOR','S PAULO','SP',1944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320545,4.00,6.00,4.00,3.00,3.00,NULL,3.00,6.00,3.00,207,NULL,201,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3320553,3.00,4.00,3.00,5.00,4.00,4.50,4.00,4.00,2.00,211,NULL,216,'CENTRO','IPORã OESTE','SC',16129,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3320561,8.00,2.00,3.00,3.00,5.00,6.50,4.00,3.00,4.00,301,NULL,NULL,'COPACABANA','LAGES','SC',12826,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3320570,3.00,5.00,1.00,6.00,6.00,NULL,1.00,3.00,3.00,420,NULL,NULL,'COLONINHA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3320588,5.00,6.00,5.00,9.00,7.00,6.25,3.00,8.00,2.00,5,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',5851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320596,5.00,3.00,2.00,1.00,3.00,NULL,3.00,1.00,3.00,207,NULL,233,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320600,2.00,5.00,1.00,5.00,3.00,NULL,2.00,6.00,2.00,216,NULL,214,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3320634,3.00,5.00,5.00,1.00,5.00,4.00,2.00,3.00,3.00,102,NULL,NULL,'JAROSESKI','DESCANSO','SC',16195,301,NULL,NULL,NULL,NULL,NULL,4,4),(16,3320642,4.00,6.00,5.00,2.00,4.00,6.00,2.00,7.00,3.00,220,NULL,214,'SANTA GEMA','VIDEIRA','SC',11251,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3320650,5.00,6.00,3.00,6.00,2.00,NULL,3.00,5.00,3.00,317,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3320669,1.00,3.00,5.00,2.00,1.00,NULL,4.00,4.00,5.00,501,NULL,NULL,'TRES PEDRINHA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3320677,3.00,0.00,1.00,5.00,1.00,NULL,2.00,0.00,3.00,309,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3320715,1.00,1.00,2.00,1.00,2.00,NULL,4.00,3.00,3.00,308,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3320723,4.00,8.00,4.00,6.00,5.00,5.50,4.00,7.00,5.00,238,NULL,233,'CAMPINAS','S JOSé','SC',6328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320731,5.00,6.00,3.00,7.00,8.00,7.75,1.00,4.00,3.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3320766,4.00,6.00,3.00,5.00,3.00,NULL,0.00,2.00,1.00,101,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3320774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PORTãO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3320782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3320790,2.00,2.00,1.00,2.00,2.00,NULL,3.00,4.00,0.00,223,NULL,NULL,'COSTERIA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3320804,7.00,7.00,4.00,7.00,7.00,6.50,3.00,5.00,6.00,108,NULL,NULL,'BELA VISTA','ITAPIRANGA','SC',4550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320812,4.00,5.00,3.00,7.00,5.00,5.25,4.00,6.00,2.00,333,NULL,NULL,'SANTOS DUMONT II','TRêS LAGOAS','MS',11298,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3320820,4.00,2.00,3.00,4.00,2.00,NULL,3.00,2.00,0.00,428,NULL,425,'AMIZADE','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320839,2.00,4.00,3.00,4.00,3.00,NULL,2.00,6.00,2.00,415,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3320847,3.00,1.00,2.00,2.00,4.00,NULL,0.00,5.00,3.00,103,NULL,NULL,'BARRA DO RIO CERRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3320855,5.00,4.00,3.00,6.00,5.00,5.00,3.00,5.00,3.00,5,NULL,NULL,'CANTA GALO','RIO SUL','SC',12258,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3320863,8.00,5.00,3.00,7.00,6.00,4.25,3.00,7.00,6.00,214,NULL,212,'CABRAL','CURITIBA','PR',6253,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3320871,5.00,9.00,6.00,8.00,8.00,6.00,6.00,9.00,8.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',966,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3320880,6.00,3.00,3.00,7.00,5.00,5.25,4.00,5.00,3.00,9,NULL,NULL,'BUCAREIN','JOINVILLE','SC',11111,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3320901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'VERGUEIRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3320910,5.00,4.00,4.00,1.00,3.00,NULL,0.00,4.00,4.00,302,NULL,NULL,'CENTRO','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320928,3.00,4.00,1.00,0.00,1.00,NULL,2.00,7.00,4.00,317,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3320936,6.00,1.00,2.00,5.00,3.00,NULL,2.00,6.00,3.00,3,NULL,NULL,'PETROPóLIS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3320944,4.00,3.00,4.00,2.00,5.00,5.25,2.00,5.00,4.00,103,NULL,NULL,'SãO CRISTOVãO','UNIãO VITóRIA','PR',14034,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3320952,2.00,5.00,1.00,3.00,4.00,6.50,3.00,3.00,3.00,301,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',16187,365,NULL,NULL,NULL,NULL,NULL,2,1),(16,3320979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'JARDIM POLO CENTRO','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3320987,4.00,6.00,3.00,8.00,6.00,6.25,2.00,2.00,5.00,340,NULL,NULL,'CENTRO','IPORã OESTE','SC',10745,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3320995,1.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3321002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'TRINDANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3321010,4.00,1.00,3.00,5.00,5.00,NULL,2.00,1.00,3.00,207,NULL,201,'PARQUE DAS PALMEIRAS','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3321029,1.00,4.00,5.00,5.00,5.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321037,4.00,5.00,2.00,1.00,2.00,NULL,1.00,3.00,5.00,453,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321045,5.00,7.00,2.00,7.00,3.00,NULL,2.00,6.00,3.00,5,NULL,NULL,'PACAEMBU','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3321061,2.00,4.00,2.00,3.00,3.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'SANTA CRUZ','TREZE MAIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3321070,3.00,2.00,1.00,5.00,2.00,NULL,3.00,4.00,3.00,234,NULL,NULL,'PANTANO DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3321096,6.00,8.00,6.00,7.00,6.00,5.25,2.00,8.00,6.00,208,NULL,238,'PONTE DO IMARUIM','PALHOçA','SC',3153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321100,3.00,6.00,4.00,9.00,5.00,5.25,2.00,7.00,3.00,316,NULL,NULL,'CENTRO','S JOSé','SC',9870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321118,4.00,7.00,5.00,7.00,5.00,4.50,5.00,8.00,3.00,207,NULL,202,'BUENO','GOIâNIA','GO',6647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321126,4.00,5.00,3.00,5.00,3.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3321134,1.00,4.00,5.00,9.00,4.00,6.25,3.00,4.00,1.00,420,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',12432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321142,0.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(16,3321150,5.00,6.00,2.00,8.00,7.00,6.75,2.00,6.00,4.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321169,4.00,4.00,1.00,6.00,2.00,NULL,1.00,3.00,1.00,326,NULL,NULL,'CENTRO','BOTUVERá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3321177,2.00,2.00,2.00,5.00,4.00,NULL,2.00,2.00,3.00,201,NULL,211,'CENTRO','SAO LOURENCO DO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3321185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3321193,5.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,304,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3321207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3321215,0.00,0.00,0.00,9.00,4.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(16,3321223,5.00,4.00,3.00,7.00,4.00,5.00,2.00,4.00,6.00,103,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',11627,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3321231,6.00,5.00,2.00,6.00,5.00,7.50,3.00,7.00,4.00,450,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',9048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321240,4.00,3.00,2.00,6.00,7.00,5.75,2.00,5.00,3.00,101,NULL,NULL,'GLORIA','JOINVILLE','SC',13126,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3321258,2.00,3.00,3.00,6.00,3.00,NULL,2.00,5.00,2.00,319,NULL,NULL,'JARDIM HEDY','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3321282,4.00,6.00,2.00,3.00,3.00,NULL,2.00,4.00,5.00,207,NULL,216,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3321290,5.00,1.00,5.00,7.00,6.00,6.25,4.00,6.00,4.00,238,NULL,208,'CARIANOS','FLORIANóPOLIS','SC',9639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321304,2.00,2.00,1.00,1.00,4.00,NULL,2.00,2.00,3.00,404,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3321312,2.00,6.00,1.00,7.00,5.00,7.75,1.00,4.00,3.00,423,NULL,427,'COQUEIROS','FLORIANóPOLIS','SC',13264,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3321320,5.00,3.00,4.00,2.00,3.00,NULL,3.00,7.00,3.00,220,NULL,203,'CENTRO','ITURAMA','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321339,4.00,3.00,2.00,8.00,5.00,6.25,2.00,6.00,4.00,103,NULL,NULL,'MATINHO','XANXERê','SC',12355,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3321355,4.00,5.00,3.00,6.00,3.00,NULL,1.00,4.00,3.00,201,NULL,207,'NAÇÕES','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3321363,5.00,7.00,3.00,3.00,4.00,2.75,3.00,3.00,5.00,502,NULL,NULL,'PEREQUE','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321380,4.00,4.00,3.00,6.00,4.00,4.25,3.00,3.00,0.00,502,NULL,NULL,'SANTO DE ANTONIO','TUBARãO','SC',16360,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3321398,3.00,4.00,5.00,9.00,5.00,5.25,2.00,4.00,3.00,103,NULL,NULL,'JD AQUARIUS','S JOSé CAMPOS','SP',12141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3321410,3.00,5.00,4.00,4.00,8.00,5.75,3.00,6.00,4.00,103,NULL,NULL,'OFICINAS','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3321436,5.00,5.00,7.00,5.00,7.00,6.25,3.00,7.00,4.00,451,NULL,NULL,'MICHEL','CRICIúMA','SC',5816,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3321444,6.00,7.00,3.00,6.00,5.00,5.00,3.00,7.00,2.00,501,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',9777,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3321452,3.00,2.00,2.00,6.00,3.00,NULL,3.00,6.00,3.00,424,NULL,425,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3321460,4.00,2.00,4.00,3.00,2.00,NULL,2.00,3.00,3.00,318,NULL,NULL,'JD MORRO AZUL','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3321487,4.00,5.00,5.00,7.00,6.00,5.00,4.00,3.00,3.00,340,NULL,NULL,'CENTRO','TUBARãO','SC',10134,NULL,NULL,NULL,NULL,NULL,NULL,5,10),(16,3321495,2.00,5.00,2.00,1.00,3.00,NULL,2.00,5.00,4.00,316,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321509,3.00,3.00,2.00,8.00,6.00,7.75,2.00,7.00,2.00,423,NULL,428,'ARMAÇÃO PÂNTANO SUL','FLORIANóPOLIS','SC',10929,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3321517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3321525,3.00,1.00,1.00,2.00,0.00,NULL,2.00,0.00,3.00,201,NULL,203,'QUEBEC','MARINGá','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3321533,7.00,6.00,4.00,8.00,8.00,6.00,5.00,6.00,6.00,103,NULL,NULL,'SANTO ANTôNIO DE LIS','FLORIANóPOLIS','SC',3327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321541,3.00,6.00,2.00,5.00,4.00,5.00,2.00,5.00,3.00,233,NULL,207,'CENTRO','TURVO','SC',14814,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3321550,6.00,6.00,4.00,2.00,6.00,6.00,3.00,4.00,5.00,301,NULL,NULL,'COPACABANA','LAGES','SC',11005,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3321576,4.00,6.00,4.00,7.00,6.00,7.00,3.00,7.00,2.00,452,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',8372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'ZONA NORTE','IA SOLTEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3321606,6.00,3.00,2.00,5.00,5.00,4.75,2.00,6.00,3.00,5,NULL,NULL,'DANIELA','FLORIANóPOLIS','SC',13688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3321622,3.00,4.00,1.00,5.00,1.00,NULL,3.00,3.00,2.00,453,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321630,3.00,2.00,3.00,5.00,2.00,NULL,6.00,2.00,2.00,208,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3321649,8.00,6.00,4.00,9.00,5.00,5.00,4.00,8.00,6.00,303,NULL,NULL,'PALMAS DO TREMEMBÉ','SAO PAULO','SP',3444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321657,4.00,3.00,4.00,2.00,5.00,4.50,3.00,3.00,4.00,319,NULL,NULL,'VILA ADYANA','S JOSé CAMPOS','SP',16072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321665,3.00,5.00,3.00,8.00,3.00,NULL,3.00,6.00,4.00,202,NULL,213,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3321673,3.00,5.00,2.00,8.00,6.00,6.25,3.00,5.00,2.00,304,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',12476,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3321681,2.00,3.00,4.00,4.00,4.00,4.50,2.00,4.00,2.00,420,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',16647,177,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'REAL PARK','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3321711,6.00,6.00,6.00,6.00,5.00,4.25,3.00,7.00,4.00,415,NULL,NULL,'CENTRO','RONDINHA','RS',7052,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3321720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'CENTRO','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3321738,2.00,1.00,1.00,1.00,0.00,NULL,2.00,1.00,2.00,203,NULL,207,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3321746,3.00,5.00,3.00,2.00,1.00,NULL,4.00,6.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3321754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3321762,6.00,5.00,3.00,4.00,3.00,NULL,4.00,7.00,4.00,208,NULL,NULL,'CENTRO','JABORANDI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3321797,6.00,4.00,5.00,9.00,5.00,4.75,4.00,7.00,4.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321800,4.00,5.00,2.00,0.00,6.00,6.50,4.00,4.00,4.00,201,NULL,216,'CENTRO','CAMPOS NOVOS','SC',14437,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3321819,4.00,5.00,3.00,3.00,3.00,NULL,2.00,4.00,2.00,301,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3321835,3.00,5.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3321851,2.00,5.00,1.00,5.00,6.00,5.00,2.00,4.00,4.00,404,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3321886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3321894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3321908,4.00,4.00,4.00,3.00,3.00,NULL,2.00,6.00,1.00,333,NULL,NULL,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3321916,4.00,4.00,3.00,4.00,4.00,5.50,2.00,4.00,3.00,5,NULL,NULL,'PETRóPOLIS','LAGES','SC',15257,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3321940,3.00,2.00,3.00,5.00,3.00,NULL,1.00,3.00,5.00,207,NULL,201,'ALVORADA','FRANCISCO BELTRãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3321959,2.00,3.00,2.00,4.00,0.00,NULL,5.00,2.00,3.00,339,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3321983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ITAPEMA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3322009,3.00,5.00,4.00,0.00,5.00,NULL,2.00,1.00,3.00,5,NULL,NULL,'JARDIM JANAINA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322017,3.00,5.00,2.00,5.00,7.00,6.00,1.00,5.00,2.00,207,NULL,201,'COLONINHA','FLORIANóPOLIS','SC',14390,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322025,3.00,6.00,3.00,7.00,9.00,7.00,4.00,6.00,3.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3322033,5.00,3.00,2.00,6.00,4.00,5.50,3.00,3.00,3.00,452,NULL,NULL,'CENTRO','JARAGUá SUL','SC',13700,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3322041,3.00,4.00,2.00,7.00,4.00,7.75,1.00,7.00,2.00,421,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',13506,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'SÃO CRISTOVÃO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3322068,1.00,2.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3322076,1.00,2.00,2.00,5.00,6.00,NULL,0.00,4.00,1.00,202,NULL,213,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3322084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SÃO JORGE','S MIGUEL IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3322092,2.00,3.00,2.00,6.00,5.00,NULL,0.00,0.00,0.00,216,NULL,215,'FAZENDA','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(16,3322106,4.00,5.00,5.00,7.00,6.00,7.00,2.00,5.00,5.00,207,NULL,201,'IMIGRANTE','BOM RER SUL','RS',7723,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322114,1.00,4.00,2.00,4.00,1.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'PRAIA WEBBER','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3322122,2.00,7.00,4.00,1.00,5.00,4.75,4.00,5.00,3.00,201,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3322130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3322157,1.00,4.00,3.00,1.00,2.00,NULL,3.00,3.00,3.00,316,NULL,NULL,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3322165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3322173,2.00,3.00,4.00,0.00,4.00,4.25,4.00,5.00,5.00,220,NULL,203,'EMBRATEL','PTO VELHO','RO',15115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3322181,7.00,6.00,5.00,9.00,7.00,6.00,2.00,7.00,5.00,304,NULL,NULL,'AMIZADE','JARAGUá SUL','SC',4196,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3322190,5.00,7.00,3.00,1.00,5.00,4.25,3.00,7.00,5.00,201,NULL,214,'FUNDO CANOAS','RIO SUL','SC',11141,866,NULL,372,NULL,NULL,NULL,2,1),(16,3322203,4.00,2.00,3.00,2.00,3.00,NULL,1.00,4.00,2.00,202,NULL,203,'CENTRO','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3322211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3322220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3322238,2.00,0.00,3.00,1.00,1.00,NULL,4.00,4.00,2.00,215,NULL,208,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3322246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,NULL,'VENDAVAL','BIGUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3322254,3.00,5.00,1.00,4.00,3.00,NULL,1.00,6.00,3.00,103,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322262,6.00,6.00,4.00,7.00,8.00,6.50,3.00,7.00,6.00,301,NULL,NULL,'PRAIA GRANDE','TORRES','RS',4795,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3322270,2.00,6.00,4.00,1.00,4.00,5.75,2.00,7.00,3.00,319,NULL,NULL,'CAMPINAS','S JOSé','SC',15544,336,NULL,NULL,NULL,NULL,NULL,4,1),(16,3322289,6.00,5.00,2.00,5.00,6.00,4.50,2.00,5.00,4.00,214,NULL,211,'CENTRO','URUPEMA','SC',12292,402,NULL,429,NULL,NULL,NULL,2,9),(16,3322300,3.00,3.00,1.00,5.00,5.00,5.25,2.00,4.00,3.00,450,NULL,NULL,'CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3322327,6.00,7.00,5.00,8.00,6.00,5.25,4.00,8.00,4.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CENTRO','S LOURENçO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3322343,3.00,6.00,3.00,9.00,5.00,5.50,2.00,5.00,4.00,238,NULL,208,'CAPOEIRAS','FLORIANóPOLIS','SC',11304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3322351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3322360,3.00,3.00,3.00,7.00,3.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'CAMPO DA AGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3322378,5.00,5.00,1.00,8.00,7.00,8.50,1.00,6.00,5.00,420,NULL,NULL,'KOBRASOL','S JOSé','SC',7345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3322386,6.00,5.00,3.00,8.00,7.00,5.75,4.00,6.00,6.00,108,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',5979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3322394,4.00,8.00,5.00,9.00,8.00,6.50,2.00,7.00,5.00,444,NULL,NULL,'LAGOA','FLORIANóPOLIS','SC',3482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3322408,5.00,5.00,1.00,1.00,2.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'INTERIOR','SALGADO FILHO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3322416,6.00,6.00,8.00,7.00,5.00,5.75,6.00,8.00,7.00,103,NULL,NULL,'CENTRO','CLEVELâNDIA','PR',1410,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3322424,9.00,7.00,7.00,7.00,5.00,5.50,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','S JOSé CEDRO','SC',2077,850,NULL,NULL,NULL,NULL,NULL,2,4),(16,3322432,6.00,3.00,5.00,6.00,3.00,NULL,2.00,5.00,5.00,103,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322440,4.00,1.00,3.00,4.00,2.00,NULL,3.00,3.00,3.00,108,NULL,NULL,'PIçARRAS','GUARATUBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3322467,1.00,5.00,3.00,7.00,1.00,NULL,3.00,6.00,3.00,301,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3322483,5.00,3.00,4.00,7.00,5.00,5.25,3.00,7.00,4.00,444,NULL,NULL,'PASSA VINTE','PALHOçA','SC',10216,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322521,4.00,4.00,5.00,5.00,5.00,5.75,3.00,3.00,2.00,207,NULL,201,'DEHON','TUBARãO','SC',12618,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3322530,4.00,5.00,2.00,2.00,4.00,5.00,3.00,2.00,4.00,103,NULL,NULL,'RIVERA','JAGUARI','RS',15898,2778,NULL,NULL,NULL,NULL,NULL,4,1),(16,3322548,2.00,1.00,4.00,6.00,4.00,4.00,2.00,7.00,1.00,303,NULL,NULL,'CENTRO','PINDAMONHANGABA','SP',16037,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322556,5.00,6.00,5.00,8.00,6.00,7.00,4.00,7.00,4.00,316,NULL,NULL,'BOTAFOGO','RIO JANEIRO','RJ',4717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3322564,2.00,4.00,3.00,6.00,4.00,6.00,4.00,3.00,4.00,201,NULL,NULL,'AMIZADE','JARAGUá SUL','SC',14555,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3322572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3322580,6.00,7.00,6.00,2.00,6.00,4.25,5.00,4.00,6.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',7626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3322599,5.00,6.00,2.00,6.00,5.00,4.75,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','MARAU','RS',10646,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'PQ INDEPENDêNCIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3322610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3322629,3.00,1.00,2.00,1.00,0.00,NULL,2.00,2.00,0.00,238,NULL,220,'BOM RETIRRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3322637,3.00,2.00,2.00,7.00,4.00,4.00,3.00,2.00,4.00,303,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',16598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322645,6.00,7.00,6.00,7.00,5.00,5.50,3.00,6.00,5.00,304,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6323,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322653,5.00,6.00,5.00,7.00,5.00,4.75,2.00,6.00,4.00,203,NULL,216,'URUSSANGUINHA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3322661,4.00,5.00,1.00,2.00,3.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3322670,3.00,4.00,2.00,2.00,1.00,NULL,2.00,2.00,4.00,220,NULL,212,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3322696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3322700,2.00,2.00,2.00,3.00,1.00,NULL,1.00,3.00,2.00,425,NULL,NULL,'DAS NAçõES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3322718,3.00,3.00,3.00,3.00,3.00,NULL,4.00,3.00,4.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322726,2.00,7.00,4.00,8.00,8.00,5.50,2.00,7.00,2.00,316,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',9137,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(16,3322742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CLADETE','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3322750,4.00,5.00,2.00,0.00,2.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3322777,4.00,6.00,6.00,7.00,7.00,4.25,3.00,6.00,6.00,233,NULL,215,'IRIRIU','JOINVILLE','SC',5379,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3322785,1.00,3.00,2.00,8.00,2.00,NULL,2.00,4.00,1.00,104,NULL,NULL,'CENTRO','S LOURENçO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3322793,5.00,2.00,4.00,7.00,6.00,5.25,4.00,3.00,5.00,9,NULL,NULL,'MONTE CASTELO','S JOSé CAMPOS','SP',10797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3322807,2.00,1.00,2.00,5.00,2.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3322815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3322831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','ITAIóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3322840,3.00,4.00,5.00,4.00,3.00,NULL,4.00,5.00,2.00,104,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3322858,2.00,0.00,4.00,2.00,1.00,NULL,4.00,2.00,3.00,203,NULL,214,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3322866,4.00,2.00,4.00,7.00,5.00,4.75,3.00,3.00,3.00,207,NULL,216,'NOSSA SENHORA DE FáT','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3322874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'IPIRANGA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3322882,5.00,6.00,7.00,8.00,3.00,NULL,4.00,6.00,5.00,201,NULL,212,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3322890,3.00,1.00,6.00,5.00,1.00,NULL,1.00,3.00,4.00,309,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322904,2.00,2.00,3.00,2.00,1.00,NULL,4.00,4.00,1.00,108,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322912,2.00,1.00,3.00,3.00,2.00,NULL,1.00,1.00,2.00,319,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322920,2.00,5.00,4.00,6.00,5.00,6.50,2.00,4.00,1.00,318,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',14226,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322939,0.00,4.00,1.00,1.00,1.00,NULL,2.00,5.00,3.00,339,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3322955,6.00,6.00,6.00,6.00,5.00,6.75,3.00,4.00,3.00,302,NULL,NULL,'MUNICIPAL','MONTENEGRO','RS',9570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3322971,6.00,6.00,2.00,6.00,7.00,5.00,4.00,5.00,6.00,202,NULL,208,'CENTRO','JARAGUA DO SUL','SC',6981,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3322980,6.00,6.00,4.00,5.00,3.00,NULL,3.00,7.00,6.00,102,NULL,NULL,'MARIA LUIZA','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3322998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','REALEZA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3323005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'PATRONATO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3323013,6.00,7.00,4.00,9.00,5.00,4.00,3.00,7.00,3.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3323030,4.00,2.00,4.00,6.00,4.00,4.00,4.00,4.00,3.00,223,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',14314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3323048,2.00,7.00,2.00,6.00,3.00,NULL,2.00,8.00,3.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3323056,4.00,6.00,3.00,6.00,5.00,4.00,3.00,6.00,4.00,404,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',11602,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3323064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'NOSSA SRA APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3323072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CANASVIEIRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3323080,0.00,0.00,0.00,6.00,1.00,NULL,4.00,1.00,2.00,207,NULL,211,'FLORESTA','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,4),(16,3323099,5.00,2.00,4.00,4.00,5.00,4.50,2.00,6.00,4.00,103,NULL,NULL,'VILA MOEMA','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3323102,5.00,7.00,2.00,7.00,5.00,5.75,3.00,8.00,5.00,303,NULL,NULL,'CENTRO','S JOSé CEDRO','SC',6977,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3323110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'JARDIN BELA VISTA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3323129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3323137,4.00,6.00,5.00,8.00,4.00,5.25,4.00,5.00,4.00,220,NULL,212,'PINHEIRINHO','RIO NEGRINHO','SC',6425,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3323145,4.00,4.00,2.00,5.00,4.00,4.25,1.00,4.00,2.00,318,NULL,NULL,'BREJARú','PALHOçA','SC',16605,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3323161,4.00,5.00,3.00,6.00,7.00,7.50,2.00,5.00,4.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',10095,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3323170,3.00,1.00,1.00,1.00,2.00,NULL,1.00,1.00,4.00,216,NULL,208,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3323188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'OUVIDOR','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3323200,4.00,3.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3323218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'FLORIANóPOLIS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3323226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILAS BOAS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3323234,2.00,6.00,1.00,0.00,4.00,4.75,3.00,5.00,3.00,332,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',16620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3323242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'PICARRAS','GUARATUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',1,8),(16,3323250,3.00,5.00,5.00,8.00,6.00,6.50,3.00,8.00,5.00,222,NULL,NULL,'FLORESTA','JOINVILLE','SC',5486,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3323269,3.00,3.00,3.00,0.00,1.00,NULL,3.00,4.00,1.00,444,NULL,NULL,'CENTRO','S JOãO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3323277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3323293,4.00,3.00,2.00,0.00,3.00,NULL,3.00,0.00,3.00,101,NULL,NULL,'CENTRO','PRES NEREU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3323315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'CENTRO','DRACENA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3323323,4.00,2.00,1.00,8.00,2.00,NULL,0.00,4.00,5.00,102,NULL,NULL,'SãO PEDRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3323331,4.00,6.00,4.00,6.00,5.00,7.00,2.00,6.00,5.00,201,NULL,203,'JD SAO BENTO','CPO GRANDE','MS',8157,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3323340,1.00,5.00,2.00,4.00,4.00,NULL,1.00,6.00,2.00,426,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3323358,5.00,3.00,5.00,8.00,5.00,4.00,5.00,3.00,5.00,103,NULL,NULL,'GLóRIA','PTO ALEGRE','RS',8828,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3323382,4.00,4.00,2.00,4.00,0.00,NULL,1.00,1.00,2.00,225,NULL,NULL,'N SENHORA DE FáTIMA','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3323390,3.00,5.00,3.00,7.00,6.00,6.75,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',9759,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3323412,2.00,5.00,3.00,3.00,5.00,4.00,2.00,4.00,4.00,304,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',16212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3323420,3.00,2.00,1.00,3.00,3.00,NULL,3.00,6.00,1.00,201,NULL,212,'DISTRITO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3323447,5.00,1.00,4.00,3.00,3.00,NULL,3.00,4.00,5.00,202,NULL,213,'JARDIM VERA CRUZ','DRACENA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3323455,7.00,6.00,4.00,7.00,5.00,5.00,2.00,4.00,3.00,108,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3323463,6.00,4.00,5.00,3.00,6.00,6.75,3.00,6.00,5.00,103,NULL,NULL,'SãO CRISTóVãO','PASSO FUNDO','RS',8528,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3323471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','ERVAL GRANDE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3323480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3323498,4.00,4.00,3.00,2.00,4.00,NULL,0.00,2.00,4.00,501,NULL,NULL,'INTERIOR','JOAçABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3323501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3323536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'HORTO FLORESTAL','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3323544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3323552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'ZONA SETE','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3323560,2.00,1.00,4.00,1.00,0.00,NULL,3.00,3.00,1.00,104,NULL,NULL,'CENTRO','ITAí','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3323587,7.00,6.00,4.00,8.00,4.00,6.50,5.00,7.00,4.00,103,NULL,NULL,'CENTRO','GUARUJá','SP',5001,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3323609,5.00,4.00,5.00,8.00,7.00,4.00,3.00,7.00,5.00,203,NULL,214,'VILA RANCHO VELHO','S CARLOS','SP',5601,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3323617,7.00,5.00,2.00,8.00,7.00,4.50,3.00,7.00,5.00,301,NULL,NULL,'SAO BENEDITO','MORUNGABA','SP',6448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3323625,2.00,4.00,5.00,6.00,3.00,NULL,3.00,3.00,2.00,303,NULL,NULL,'SãO LUIZ','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3323633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'CENTRO','GETúLIO VARGAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3323641,5.00,4.00,3.00,9.00,5.00,5.75,2.00,4.00,2.00,415,NULL,NULL,'PRAIA BRAVA','ITAJAí','SC',12172,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3323650,3.00,6.00,3.00,5.00,2.00,NULL,3.00,2.00,4.00,233,NULL,216,'MORRO DA GLORIA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3323668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,233,'CAMPO BELO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3323676,3.00,6.00,3.00,7.00,6.00,8.25,3.00,6.00,2.00,415,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',9431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3323684,6.00,3.00,5.00,3.00,4.00,6.25,3.00,6.00,3.00,304,NULL,NULL,'NASPOLINI','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3323692,3.00,3.00,2.00,3.00,3.00,NULL,3.00,4.00,4.00,415,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3323706,4.00,8.00,3.00,5.00,4.00,5.25,1.00,5.00,3.00,103,NULL,NULL,'BOM VIVER','BIGUAçU','SC',11673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3323722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,214,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3323749,1.00,5.00,3.00,6.00,5.00,5.25,3.00,4.00,1.00,238,NULL,208,'JARDIM JANAINA','BIGUAçU','SC',15216,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3323757,1.00,5.00,3.00,5.00,4.00,7.00,3.00,3.00,3.00,108,NULL,NULL,'SACO GRANDE II','FLORIANóPOLIS','SC',15206,340,NULL,NULL,NULL,NULL,NULL,2,1),(16,3323773,6.00,6.00,8.00,9.00,6.00,6.50,8.00,8.00,7.00,215,NULL,216,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',843,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3323781,9.00,7.00,7.00,8.00,6.00,7.25,7.00,8.00,9.00,103,NULL,NULL,'IPIRANGA','S PAULO','SP',344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3323790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','QUILOMBO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3323803,6.00,3.00,6.00,8.00,8.00,4.75,5.00,6.00,7.00,201,NULL,212,'CANASVIEIRAS','FLORIANóPOLIS','SC',3667,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3323811,4.00,3.00,4.00,3.00,2.00,NULL,2.00,6.00,3.00,205,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3323820,4.00,6.00,4.00,7.00,4.00,5.75,3.00,4.00,1.00,302,NULL,NULL,'PAES LEME','IMBITUBA','SC',12926,155,NULL,NULL,NULL,NULL,NULL,2,1),(16,3323838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,213,'CENTRO','URUGUAIANA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3323854,1.00,1.00,4.00,0.00,1.00,NULL,2.00,1.00,2.00,303,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3323862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3323870,7.00,7.00,2.00,7.00,5.00,6.25,2.00,8.00,4.00,108,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',6543,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3323889,2.00,3.00,1.00,4.00,4.00,NULL,2.00,4.00,0.00,208,NULL,238,'CENTRO','PLANALTO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3323897,6.00,6.00,1.00,8.00,4.00,4.75,0.00,4.00,3.00,203,NULL,NULL,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3323900,6.00,6.00,7.00,6.00,6.00,5.75,3.00,5.00,4.00,303,NULL,NULL,'CENTRO','CHAPECó','SC',7361,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3323919,7.00,7.00,3.00,7.00,6.00,4.50,2.00,6.00,2.00,103,NULL,NULL,'SãO FRANCISCO','S LOURENçO OESTE','SC',9074,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3323927,1.00,0.00,2.00,6.00,2.00,NULL,2.00,3.00,2.00,501,NULL,NULL,'CENTRO','IPORã OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3323935,4.00,6.00,4.00,7.00,5.00,5.50,3.00,5.00,3.00,207,NULL,233,'TRINDADE','FLORIANóPOLIS','SC',10944,529,NULL,341,NULL,NULL,NULL,2,1),(16,3323943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3323951,5.00,8.00,4.00,8.00,6.00,5.50,3.00,7.00,2.00,331,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',6559,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3323960,2.00,4.00,4.00,4.00,3.00,NULL,2.00,3.00,1.00,425,NULL,429,'CENTRO','ARAQUARI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3323978,4.00,5.00,5.00,6.00,5.00,5.25,2.00,6.00,2.00,415,NULL,NULL,'MEDIANEIRA','STA MARIA','RS',11090,292,NULL,NULL,NULL,NULL,NULL,2,1),(16,3323986,2.00,5.00,1.00,1.00,6.00,7.25,3.00,7.00,7.00,5,NULL,NULL,'CAMPINAS','S JOSé','SC',12189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3323994,5.00,1.00,4.00,3.00,6.00,4.50,3.00,4.00,2.00,202,NULL,213,'AMERICA','JOINVILLE','SC',15487,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3324001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3324010,4.00,3.00,1.00,7.00,3.00,NULL,2.00,4.00,2.00,340,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3324028,8.00,8.00,7.00,4.00,7.00,6.75,6.00,7.00,6.00,103,NULL,NULL,'SãO PEDRO','APUCARANA','PR',1962,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3324036,6.00,5.00,3.00,8.00,6.00,5.25,1.00,6.00,5.00,450,NULL,NULL,'CENTRO','MARAVILHA','SC',8274,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3324044,3.00,2.00,2.00,5.00,6.00,6.00,4.00,4.00,2.00,301,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',14792,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3324052,7.00,8.00,6.00,7.00,5.00,4.50,6.00,7.00,6.00,225,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',2930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3324079,5.00,6.00,4.00,8.00,7.00,7.00,2.00,6.00,6.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',5773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3324087,3.00,8.00,4.00,6.00,3.00,NULL,3.00,5.00,1.00,201,NULL,203,'POçO VERDE','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3324095,8.00,7.00,7.00,6.00,6.00,6.50,6.00,9.00,8.00,103,NULL,NULL,'CENTRO','NAVIRAí','MS',1449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3324109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3324117,3.00,5.00,1.00,5.00,3.00,NULL,2.00,6.00,1.00,103,NULL,NULL,'MARIA LUIZA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3324125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3324141,3.00,6.00,3.00,7.00,5.00,5.00,2.00,7.00,7.00,203,NULL,202,'FIGUEIRA','GASPAR','SC',8233,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3324150,2.00,4.00,4.00,6.00,3.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3324168,3.00,3.00,3.00,7.00,4.00,5.25,3.00,5.00,3.00,303,NULL,NULL,'REVOREDO','TUBARãO','SC',13010,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3324192,1.00,5.00,2.00,3.00,0.00,NULL,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3324206,3.00,3.00,4.00,6.00,5.00,4.50,2.00,7.00,3.00,303,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3324222,8.00,7.00,5.00,4.00,6.00,6.50,4.00,8.00,7.00,333,NULL,NULL,'CERVEJARIA','LONDRINA','PR',3206,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3324230,2.00,4.00,2.00,6.00,3.00,NULL,2.00,7.00,4.00,9,NULL,NULL,'CARIJóS','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3324257,5.00,2.00,2.00,1.00,2.00,NULL,3.00,2.00,3.00,301,NULL,NULL,'LAGOINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3324265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'NAZARE','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3324273,3.00,3.00,2.00,9.00,6.00,4.75,2.00,5.00,2.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3324281,9.00,5.00,2.00,5.00,3.00,NULL,7.00,4.00,6.00,103,NULL,NULL,'SANTO AMARO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3324290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JURERE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3324303,4.00,4.00,6.00,3.00,4.00,4.25,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3324311,3.00,4.00,2.00,5.00,5.00,4.50,5.00,4.00,4.00,428,NULL,427,'ESTREITO','FLORIANóPOLIS','SC',14507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3324320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3324338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3324354,6.00,4.00,4.00,6.00,3.00,NULL,5.00,3.00,3.00,213,NULL,233,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3324362,1.00,4.00,1.00,5.00,5.00,NULL,1.00,6.00,1.00,415,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3324370,6.00,4.00,3.00,6.00,5.00,5.25,3.00,4.00,2.00,310,NULL,NULL,'CENTRO','CHAPECO','SC',12867,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3324389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3324397,4.00,5.00,3.00,1.00,2.00,NULL,1.00,3.00,3.00,201,NULL,212,'DOM BOSCO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3324400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3324419,3.00,3.00,1.00,1.00,1.00,NULL,0.00,1.00,2.00,211,NULL,208,'SANTA RITA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3324427,5.00,4.00,3.00,5.00,4.00,5.75,2.00,3.00,6.00,452,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',13792,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3324443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RIO VEMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3324451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3324460,0.00,2.00,2.00,2.00,2.00,NULL,2.00,5.00,4.00,339,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3324478,3.00,4.00,3.00,5.00,4.00,7.00,2.00,6.00,3.00,303,NULL,NULL,'CENTRO','PR GRANDE','SC',12751,550,NULL,NULL,NULL,NULL,NULL,4,5),(16,3324486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'GRAVATá','PENHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(16,3324494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BALBRASILIA','ITAPOá','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3324516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NOVA ALVORADA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3324524,3.00,5.00,4.00,8.00,7.00,4.00,3.00,7.00,4.00,2,NULL,NULL,'SERRARIA','S JOSé','SC',9485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3324532,2.00,2.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SANTOS SARAIVA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3324540,5.00,7.00,5.00,9.00,5.00,5.75,5.00,7.00,6.00,216,NULL,214,'FLORESTA','JOINVILLE','SC',3560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3324559,1.00,1.00,3.00,8.00,7.00,5.50,2.00,4.00,3.00,103,NULL,NULL,'JARDIM UNIVERSITáRIO','DOURADOS','MS',15203,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3324567,3.00,1.00,2.00,8.00,6.00,6.75,5.00,4.00,3.00,428,NULL,426,'JARDIM ALBA','VINHEDO','SP',12366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3324575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3324583,2.00,3.00,3.00,6.00,4.00,5.50,3.00,5.00,3.00,328,NULL,NULL,'CANAVASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3324591,7.00,7.00,5.00,4.00,5.00,5.00,2.00,6.00,3.00,202,NULL,213,'CENTRO','RIO NEGRO','PR',8917,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3324613,6.00,3.00,4.00,7.00,4.00,4.75,2.00,4.00,4.00,220,NULL,201,'INGLESES','FLORIANóPOLIS','SC',13190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3324621,2.00,3.00,1.00,3.00,3.00,NULL,3.00,4.00,2.00,101,NULL,NULL,'CÓRREGO GANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3324630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'PARAíSO','STO ANDRé','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3324648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3324656,4.00,3.00,3.00,6.00,4.00,5.75,3.00,4.00,3.00,453,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',14150,114,NULL,NULL,NULL,NULL,NULL,2,1),(16,3324672,2.00,4.00,2.00,5.00,2.00,NULL,4.00,1.00,4.00,339,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3324680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3324699,8.00,6.00,3.00,6.00,5.00,5.75,4.00,7.00,7.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3324710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BOA VISTA','CARAZINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3324729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,207,'CENTRO','CRUZ ALTA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3324737,2.00,2.00,3.00,2.00,4.00,NULL,3.00,2.00,2.00,9,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3324745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,203,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3324753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'JARDIM CENTRAL','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3324761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM TROPICAL','CUIABá','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3324770,7.00,5.00,4.00,5.00,7.00,6.00,5.00,5.00,4.00,207,NULL,201,'FORQUETA','CAXIAS SUL','RS',6063,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3324788,5.00,4.00,4.00,9.00,5.00,6.25,4.00,5.00,4.00,420,NULL,NULL,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3324796,4.00,5.00,2.00,7.00,7.00,5.75,1.00,3.00,3.00,309,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',12210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3324800,5.00,2.00,1.00,1.00,3.00,NULL,1.00,2.00,1.00,101,NULL,NULL,'EDMUNDO TREIN','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3324818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JUVEVê','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3324826,2.00,6.00,7.00,7.00,5.00,6.00,2.00,6.00,4.00,444,NULL,NULL,'FLOR DA SERRA','JOAçABA','SC',8605,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3324842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'CENTRO','SETE QUEDAS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3324850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3324869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'TERESOPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3324877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,214,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3324885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3324893,0.00,2.00,3.00,4.00,1.00,NULL,2.00,1.00,0.00,103,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3324915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'KM TRINTA E SETE','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3324923,2.00,4.00,2.00,4.00,3.00,NULL,0.00,4.00,1.00,103,NULL,NULL,'CENTRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3324931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3324966,5.00,5.00,3.00,8.00,5.00,4.00,2.00,6.00,5.00,301,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',11486,218,NULL,NULL,NULL,NULL,NULL,2,1),(16,3324974,4.00,4.00,1.00,3.00,3.00,NULL,2.00,7.00,2.00,220,NULL,201,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3324982,4.00,5.00,2.00,1.00,2.00,NULL,2.00,6.00,1.00,224,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325008,2.00,2.00,3.00,2.00,5.00,NULL,1.00,3.00,3.00,444,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CENTRO','ITURAMA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3325040,6.00,4.00,5.00,8.00,6.00,6.50,4.00,6.00,8.00,301,NULL,NULL,'CENTRO','CRICIúMA','SC',3729,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3325059,6.00,4.00,2.00,8.00,4.00,4.75,2.00,4.00,2.00,327,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',13776,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3325067,7.00,7.00,4.00,6.00,5.00,4.50,6.00,9.00,6.00,5,NULL,NULL,'CRISTO REI','CURITIBA','PR',3549,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3325075,4.00,5.00,1.00,4.00,5.00,5.00,5.00,6.00,3.00,5,NULL,NULL,'RAIA','PARANAGUá','PR',12417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3325083,7.00,6.00,3.00,8.00,5.00,4.00,6.00,3.00,6.00,208,NULL,238,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3325105,2.00,2.00,3.00,5.00,5.00,4.75,2.00,6.00,4.00,327,NULL,NULL,'BOA VISTA','S JOSé R PRETO','SP',15039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PRIMAVERA II','PRIMAVERA LESTE','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3325121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'PORTAL DA FOZ','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3325130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3325148,5.00,5.00,2.00,6.00,5.00,4.75,2.00,6.00,2.00,2,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3325156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'JARDIM BELA VISTA','CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3325164,4.00,1.00,3.00,3.00,2.00,NULL,4.00,4.00,2.00,328,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3325172,5.00,6.00,1.00,5.00,5.00,5.25,3.00,8.00,3.00,212,NULL,201,'ESQUINA','URUBICI','SC',10891,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3325199,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,423,NULL,427,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3325202,2.00,4.00,2.00,10.00,5.00,7.00,2.00,5.00,4.00,428,NULL,425,'ESTREITO','FLORIANóPOLIS','SC',11917,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3325210,6.00,5.00,4.00,8.00,5.00,6.00,3.00,6.00,5.00,103,NULL,NULL,'SANTANA','GUARAPUAVA','PR',6034,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3325229,2.00,2.00,2.00,6.00,7.00,4.75,3.00,5.00,3.00,340,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',15738,470,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'PARQUE INDUSTRIAL','EMBU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3325253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3325261,3.00,4.00,3.00,3.00,2.00,NULL,2.00,2.00,4.00,208,NULL,238,'JARDIM CARANDAI','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325296,6.00,7.00,4.00,8.00,7.00,7.75,5.00,8.00,7.00,103,NULL,NULL,'BELA VISTA I','S JOSé','SC',1555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325318,5.00,5.00,3.00,6.00,6.00,6.00,3.00,7.00,3.00,203,NULL,214,'COSTA E SILVA','JOINVILLE','SC',9925,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3325326,2.00,2.00,1.00,5.00,3.00,NULL,2.00,2.00,2.00,3,NULL,NULL,'BUDAG','RIO DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3325334,1.00,5.00,3.00,1.00,1.00,NULL,0.00,3.00,2.00,234,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325369,5.00,9.00,3.00,9.00,9.00,5.50,5.00,9.00,1.00,425,NULL,423,'CENTRO','FLORIANóPOLIS','SC',4342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3325377,3.00,2.00,1.00,6.00,1.00,NULL,3.00,4.00,0.00,327,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325385,3.00,3.00,4.00,4.00,6.00,5.00,1.00,6.00,1.00,423,NULL,424,'CENTRO','FLORIANóPOLIS','SC',15063,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'OURO BRANCO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3325415,3.00,4.00,1.00,8.00,3.00,NULL,2.00,3.00,2.00,501,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325423,4.00,6.00,4.00,8.00,2.00,NULL,3.00,9.00,5.00,203,NULL,214,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3325431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3325440,2.00,3.00,2.00,7.00,3.00,NULL,3.00,6.00,3.00,317,NULL,NULL,'SERTãO MARUIM','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325458,4.00,5.00,3.00,7.00,4.00,7.25,3.00,3.00,5.00,207,NULL,215,'BIGORRILHO','CURITIBA','PR',10194,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3325482,2.00,1.00,2.00,6.00,3.00,NULL,3.00,4.00,3.00,211,NULL,201,'CAPISTRANO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3325490,4.00,2.00,1.00,5.00,5.00,5.00,3.00,3.00,5.00,2,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',15529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3325504,4.00,4.00,2.00,7.00,2.00,NULL,3.00,5.00,3.00,404,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325512,4.00,4.00,2.00,6.00,3.00,NULL,1.00,7.00,4.00,453,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325520,3.00,4.00,2.00,2.00,3.00,NULL,2.00,1.00,2.00,331,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3325547,2.00,5.00,2.00,3.00,4.00,5.75,1.00,6.00,5.00,339,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',15278,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325555,1.00,4.00,1.00,6.00,4.00,6.75,2.00,7.00,1.00,309,NULL,NULL,'CAPOEIRAS','FLORIANOPOLIS','SC',15710,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325563,3.00,4.00,3.00,2.00,2.00,NULL,3.00,2.00,3.00,238,NULL,213,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3325571,0.00,0.00,0.00,2.00,4.00,NULL,2.00,4.00,3.00,332,NULL,NULL,'SANTOS DUMONT','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(16,3325580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3325598,2.00,4.00,3.00,9.00,6.00,6.50,2.00,4.00,2.00,421,NULL,428,'ITACORUBI','FLORIANóPOLIS','SC',12450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3325601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3325610,3.00,6.00,2.00,5.00,3.00,NULL,3.00,6.00,1.00,316,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325636,2.00,2.00,1.00,3.00,3.00,NULL,2.00,5.00,3.00,103,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3325644,5.00,3.00,6.00,8.00,4.00,5.50,5.00,6.00,4.00,211,NULL,NULL,'BATEL','CURITIBA','PR',6943,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3325652,1.00,1.00,1.00,2.00,1.00,NULL,2.00,2.00,0.00,103,NULL,NULL,'SÃO BENTO BAIXO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3325660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'CASTELO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3325679,4.00,3.00,5.00,6.00,6.00,5.75,3.00,7.00,4.00,214,NULL,208,'PASSO DA AREIA','CEL FREITAS','SC',10294,347,NULL,315,NULL,NULL,NULL,2,4),(16,3325695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3325709,5.00,3.00,2.00,3.00,3.00,NULL,1.00,2.00,2.00,207,NULL,203,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3325717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'INTERIOR','CHOPINZINHO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3325725,6.00,7.00,5.00,8.00,7.00,6.00,2.00,7.00,2.00,103,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3325733,3.00,1.00,1.00,2.00,3.00,NULL,2.00,5.00,3.00,9,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3325741,6.00,4.00,6.00,7.00,6.00,NULL,0.00,6.00,2.00,220,NULL,203,'SANTO ANTôNIO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3325750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3325768,2.00,4.00,2.00,7.00,1.00,NULL,3.00,3.00,2.00,201,NULL,207,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325776,3.00,2.00,1.00,1.00,1.00,NULL,1.00,1.00,4.00,303,NULL,NULL,'FATIMA','OTACíLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3325784,5.00,7.00,2.00,8.00,4.00,6.25,4.00,5.00,5.00,303,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3325792,4.00,5.00,1.00,7.00,3.00,NULL,2.00,5.00,4.00,316,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3325806,8.00,6.00,6.00,9.00,7.00,5.75,3.00,8.00,7.00,340,NULL,NULL,'ROçADO','S JOSé','SC',1957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3325814,0.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3325830,2.00,2.00,2.00,0.00,4.00,NULL,0.00,4.00,4.00,104,NULL,NULL,'BEIJA FLOR','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3325849,7.00,6.00,5.00,4.00,4.00,5.50,0.00,6.00,4.00,103,NULL,NULL,'JARAGUA ESQUERDO','JARAGUá SUL','SC',10093,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3325865,3.00,0.00,2.00,3.00,3.00,NULL,0.00,2.00,2.00,212,NULL,211,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325873,3.00,0.00,2.00,1.00,4.00,NULL,2.00,1.00,0.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325881,4.00,8.00,3.00,9.00,5.00,6.75,4.00,5.00,2.00,301,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',7544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3325911,1.00,5.00,1.00,0.00,1.00,NULL,2.00,2.00,2.00,404,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3325920,3.00,4.00,2.00,3.00,4.00,NULL,1.00,4.00,2.00,503,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3325938,6.00,5.00,5.00,7.00,6.00,5.50,3.00,6.00,3.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6695,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM CENTENARIO','MOGI GUAçU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3325954,3.00,4.00,3.00,6.00,4.00,5.75,3.00,5.00,2.00,309,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',14402,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3325962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3325989,3.00,1.00,1.00,8.00,5.00,5.75,1.00,7.00,3.00,102,NULL,NULL,'KOBRASOL','S JOSé','SC',14837,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3326004,6.00,5.00,4.00,2.00,4.00,5.75,3.00,4.00,8.00,103,NULL,NULL,'AREIAS','S JOSé','SC',10842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'JARDIM LIBERDADE II','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3326020,5.00,5.00,5.00,6.00,6.00,5.50,3.00,7.00,5.00,213,NULL,212,'COQUEIROS','FLORIANóPOLIS','SC',7613,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3326039,8.00,8.00,6.00,9.00,9.00,8.25,5.00,8.00,9.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',262,172,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326047,4.00,7.00,4.00,2.00,6.00,5.00,5.00,7.00,2.00,302,NULL,NULL,'BARREIROS','S JOSé','SC',9976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326055,5.00,7.00,2.00,5.00,3.00,NULL,1.00,8.00,3.00,327,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326063,7.00,5.00,5.00,4.00,5.00,6.25,3.00,8.00,5.00,103,NULL,NULL,'DUQUE DE CAXIAS','CUIABá','MT',7084,1854,NULL,NULL,NULL,NULL,NULL,4,3),(16,3326071,4.00,6.00,3.00,9.00,5.00,4.75,2.00,4.00,2.00,304,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',11859,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3326080,2.00,2.00,2.00,4.00,0.00,NULL,1.00,5.00,2.00,207,NULL,NULL,'SãO CRISTOVãO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3326098,3.00,3.00,2.00,5.00,5.00,6.25,1.00,7.00,3.00,104,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',14268,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3326101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,233,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3326110,4.00,6.00,2.00,3.00,3.00,NULL,2.00,3.00,5.00,502,NULL,NULL,'SSãO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326128,3.00,4.00,3.00,1.00,2.00,NULL,2.00,3.00,5.00,103,NULL,NULL,'CENTRO','CPO ERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3326136,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'IPIRANGA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3326152,6.00,1.00,3.00,7.00,4.00,5.75,3.00,4.00,3.00,102,NULL,NULL,'CENTRO','CRICIUMA','SC',13944,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3326179,4.00,4.00,1.00,7.00,3.00,NULL,1.00,4.00,3.00,302,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3326187,6.00,7.00,4.00,1.00,6.00,4.25,3.00,7.00,2.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',11363,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3326195,4.00,7.00,4.00,3.00,4.00,4.00,4.00,6.00,4.00,211,NULL,201,'CENTRO','CONCóRDIA','SC',11181,376,NULL,870,NULL,NULL,NULL,2,7),(16,3326217,5.00,4.00,2.00,4.00,6.00,4.00,2.00,5.00,2.00,326,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',15555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3326225,1.00,3.00,3.00,6.00,3.00,NULL,1.00,1.00,3.00,9,NULL,NULL,'ZONA RURAL','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3326233,2.00,6.00,5.00,6.00,7.00,7.75,3.00,8.00,6.00,317,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326250,8.00,6.00,6.00,8.00,4.00,5.50,4.00,3.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3326292,2.00,2.00,6.00,6.00,5.00,5.25,3.00,2.00,2.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3326306,3.00,4.00,3.00,3.00,2.00,NULL,3.00,2.00,3.00,201,NULL,220,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3326314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3326322,3.00,3.00,3.00,5.00,1.00,NULL,2.00,4.00,3.00,9,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3326330,3.00,5.00,4.00,8.00,6.00,7.00,2.00,8.00,3.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANóPOLIS','SC',9313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326349,4.00,4.00,3.00,2.00,4.00,NULL,3.00,2.00,4.00,207,NULL,201,'CENTRO','SANANDUVA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3326365,5.00,6.00,5.00,8.00,6.00,6.25,4.00,7.00,4.00,214,NULL,216,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3326390,2.00,2.00,4.00,6.00,4.00,4.25,4.00,4.00,3.00,201,NULL,208,'CARIANOS','FLORIANóPOLIS','SC',15097,1164,NULL,521,NULL,NULL,NULL,4,1),(16,3326403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SAO JOSE','MONTES CLAROS','MG',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3326411,5.00,6.00,2.00,7.00,6.00,6.00,4.00,3.00,4.00,425,NULL,429,'INGLESES','FLORIANóPOLIS','SC',11717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326420,3.00,4.00,1.00,7.00,4.00,3.25,2.00,6.00,3.00,316,NULL,NULL,'JURERE INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326438,4.00,6.00,3.00,2.00,2.00,NULL,2.00,2.00,3.00,203,NULL,233,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CAçADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3326470,3.00,2.00,1.00,4.00,4.00,NULL,3.00,4.00,4.00,216,NULL,201,'PRAIA DO ERVINO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3326489,8.00,9.00,7.00,6.00,5.00,6.75,8.00,8.00,7.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3326497,2.00,1.00,3.00,2.00,2.00,NULL,0.00,2.00,4.00,302,NULL,NULL,'FLOR DE NAPOLIS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3326500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','XANXERê','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3326519,1.00,6.00,1.00,3.00,3.00,NULL,0.00,6.00,0.00,304,NULL,NULL,'RETIRO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3326535,4.00,5.00,3.00,5.00,3.00,NULL,3.00,7.00,3.00,318,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3326551,0.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'VILA LENZI','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(16,3326560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3326578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MORUMBI','UBERABA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3326586,3.00,3.00,3.00,4.00,5.00,6.00,3.00,6.00,3.00,324,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13462,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3326594,3.00,2.00,3.00,6.00,3.00,NULL,3.00,5.00,2.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3326608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,424,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(16,3326616,6.00,3.00,1.00,3.00,3.00,NULL,3.00,4.00,3.00,102,NULL,NULL,'COMERCIARIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3326624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3326632,3.00,3.00,4.00,3.00,4.00,4.25,5.00,3.00,3.00,103,NULL,NULL,'FLORESTA','BRAçO NORTE','SC',16160,2797,NULL,NULL,NULL,NULL,NULL,2,10),(16,3326640,3.00,5.00,3.00,4.00,3.00,NULL,1.00,5.00,4.00,415,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3326659,5.00,6.00,3.00,4.00,6.00,5.25,4.00,4.00,2.00,2,NULL,NULL,'CENTRO','CRICIúMA','SC',11542,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3326667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3326683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3326713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3326721,5.00,6.00,3.00,6.00,7.00,7.00,2.00,8.00,3.00,103,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',7513,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3326730,2.00,4.00,1.00,3.00,1.00,NULL,2.00,1.00,1.00,301,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3326748,3.00,3.00,3.00,7.00,5.00,5.75,1.00,5.00,2.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15375,458,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326764,4.00,8.00,4.00,8.00,5.00,2.75,3.00,5.00,5.00,225,NULL,NULL,'PEREQUÊ','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3326772,6.00,3.00,2.00,3.00,0.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'PARQUE DAS AMéRICAS','UBERABA','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326780,3.00,5.00,3.00,2.00,3.00,NULL,0.00,3.00,2.00,415,NULL,NULL,'EVOLUçãO','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3326799,5.00,4.00,5.00,6.00,4.00,6.00,2.00,5.00,3.00,103,NULL,NULL,'PRESIDENTE VARGAS','IçARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3326802,4.00,3.00,3.00,3.00,5.00,5.75,2.00,3.00,3.00,308,NULL,NULL,'PINHEIRA','PALHOçA','SC',15754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326810,4.00,6.00,6.00,8.00,5.00,6.50,6.00,9.00,7.00,304,NULL,NULL,'IRIRIU','JOINVILLE','SC',2440,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3326829,3.00,5.00,3.00,4.00,5.00,6.00,3.00,5.00,6.00,212,NULL,238,'CENTRO','IMBITUBA','SC',11507,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3326845,5.00,5.00,8.00,8.00,7.00,5.25,4.00,7.00,6.00,318,NULL,NULL,'JD MARAVILHA','MARINGá','PR',3937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326853,6.00,7.00,5.00,8.00,7.00,4.75,3.00,6.00,6.00,319,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',5392,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3326861,5.00,5.00,4.00,8.00,4.00,6.00,4.00,6.00,4.00,203,NULL,233,'IMIGRANTES','TIMBó','SC',8143,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3326870,2.00,0.00,1.00,0.00,2.00,NULL,4.00,4.00,1.00,319,NULL,NULL,'ENSEADA DO BRITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3326888,5.00,5.00,3.00,7.00,5.00,5.75,4.00,7.00,7.00,103,NULL,NULL,'NAKAYAMA','STA CECíLIA','SC',7210,1871,NULL,NULL,NULL,NULL,NULL,2,9),(16,3326896,4.00,3.00,2.00,5.00,3.00,NULL,5.00,4.00,3.00,415,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326900,5.00,3.00,3.00,1.00,3.00,NULL,3.00,5.00,2.00,444,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326918,2.00,3.00,3.00,5.00,2.00,NULL,0.00,4.00,2.00,103,NULL,NULL,'ALDEIA FIGUEIRA','JOSé BOITEUX','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3326926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'MADRI','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3326934,1.00,6.00,4.00,3.00,5.00,5.00,4.00,7.00,5.00,238,NULL,208,'PANTANAL','FLORIANóPOLIS','SC',10686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326950,4.00,5.00,6.00,9.00,6.00,6.50,3.00,7.00,4.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3326969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3326977,4.00,1.00,3.00,5.00,4.00,6.00,1.00,2.00,5.00,301,NULL,NULL,'ESTAçAO','ITAQUI','RS',16603,377,NULL,NULL,NULL,NULL,NULL,2,3),(16,3326985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TAUBATE VILLAGE','TAUBATé','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3326993,7.00,7.00,6.00,6.00,5.00,5.50,6.00,9.00,7.00,213,NULL,202,'PANTANAL','FLORIANóPOLIS','SC',2341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3327000,2.00,4.00,3.00,7.00,5.00,5.00,1.00,5.00,3.00,214,NULL,220,'CENTRO','AGROLâNDIA','SC',14161,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3327019,3.00,2.00,2.00,4.00,4.00,NULL,1.00,3.00,3.00,451,NULL,NULL,'PERPETUO SOCORRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3327035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM PARAíSO','MTE ALTO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3327043,4.00,5.00,4.00,8.00,5.00,6.00,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',5822,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3327051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CIDADE JARDIM','CATANDUVAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3327060,5.00,6.00,5.00,4.00,3.00,NULL,1.00,4.00,4.00,302,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3327078,1.00,3.00,4.00,2.00,1.00,NULL,0.00,3.00,2.00,320,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3327086,8.00,6.00,3.00,8.00,5.00,8.00,2.00,8.00,4.00,103,NULL,NULL,'BELA VISTA','CLEVELâNDIA','PR',4506,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3327094,1.00,4.00,3.00,3.00,1.00,NULL,2.00,4.00,2.00,310,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3327108,5.00,8.00,5.00,8.00,6.00,5.75,3.00,6.00,6.00,340,NULL,NULL,'VILA MARUMBI','MARINGá','PR',4586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3327124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3327132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','JOAçABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3327140,6.00,3.00,1.00,6.00,4.00,NULL,0.00,4.00,5.00,327,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3327167,4.00,5.00,1.00,5.00,3.00,NULL,3.00,5.00,3.00,215,NULL,NULL,'CENTRO','PIRACAIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3327183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3327191,4.00,4.00,3.00,6.00,6.00,5.50,2.00,3.00,2.00,444,NULL,NULL,'COMERCIÁRIO','CRICIúMA','SC',14372,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3327205,5.00,5.00,2.00,3.00,4.00,5.00,2.00,4.00,2.00,308,NULL,NULL,'NOSSA SRA APARECIDA','S LUDGERO','SC',15425,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3327230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'HIGIENÓPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3327248,6.00,5.00,4.00,3.00,2.00,NULL,5.00,5.00,4.00,208,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3327256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'GUARDA ME','TUBARãO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3327264,5.00,6.00,4.00,8.00,6.00,5.50,0.00,6.00,5.00,201,NULL,203,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3327272,3.00,2.00,3.00,0.00,0.00,NULL,2.00,3.00,3.00,102,NULL,NULL,'PACHECOS','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3327280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM OLIMPIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3327299,5.00,5.00,2.00,8.00,4.00,5.00,3.00,6.00,4.00,5,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',9650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3327329,5.00,7.00,4.00,9.00,5.00,5.75,3.00,7.00,7.00,103,NULL,NULL,'BAIRRO AHú','CURITIBA','PR',5188,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3327337,6.00,4.00,5.00,5.00,9.00,7.00,2.00,6.00,4.00,415,NULL,NULL,'FáTIMA','ERECHIM','RS',7565,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3327345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3327353,3.00,4.00,1.00,7.00,4.00,NULL,1.00,2.00,2.00,425,NULL,429,'CANTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3327361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3327388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3327400,4.00,2.00,1.00,5.00,3.00,NULL,3.00,3.00,3.00,108,NULL,NULL,'TABULEIRO','CAMBORIU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3327418,3.00,2.00,2.00,6.00,2.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'SãO SEBASTIãO','PTE SERRADA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,7),(16,3327426,3.00,5.00,3.00,6.00,5.00,4.75,3.00,7.00,4.00,420,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',12576,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3327434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'VILA VELHA','PALMEIRA MISSõES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3327442,1.00,4.00,2.00,6.00,3.00,NULL,2.00,3.00,3.00,450,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3327450,2.00,4.00,2.00,5.00,5.00,5.25,2.00,5.00,3.00,301,NULL,NULL,'JARDIM CARANDAí','BIGUAçU','SC',16146,363,NULL,NULL,NULL,NULL,NULL,2,1),(16,3327469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,423,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3327477,3.00,5.00,5.00,5.00,5.00,5.50,3.00,2.00,5.00,213,NULL,NULL,'CENTRO','PELOTAS','RS',12764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3327485,5.00,4.00,3.00,9.00,6.00,4.00,4.00,5.00,4.00,223,NULL,NULL,'IRIRIú','JOINVILLE','SC',9237,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3327493,6.00,6.00,4.00,6.00,5.00,5.00,4.00,4.00,4.00,444,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',9679,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3327523,1.00,2.00,3.00,2.00,3.00,NULL,3.00,3.00,3.00,339,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3327531,3.00,4.00,4.00,6.00,4.00,5.75,3.00,3.00,2.00,318,NULL,NULL,'CENTRO','TUNáPOLIS','SC',15036,122,NULL,NULL,NULL,NULL,NULL,2,4),(16,3327540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JOVIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3327558,5.00,6.00,2.00,4.00,4.00,5.00,1.00,7.00,4.00,202,NULL,220,'PIRABEIRABA','JOINVILLE','SC',12530,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(16,3327566,0.00,0.00,0.00,3.00,2.00,NULL,3.00,3.00,4.00,208,NULL,203,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(16,3327574,2.00,0.00,1.00,1.00,1.00,NULL,1.00,1.00,3.00,104,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3327582,6.00,6.00,4.00,7.00,5.00,5.00,1.00,7.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',8199,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3327590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(16,3327620,4.00,2.00,1.00,7.00,2.00,NULL,2.00,5.00,3.00,103,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3327639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'MORADA DO SOL','PALMA SOLA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3327647,4.00,5.00,3.00,8.00,4.00,5.75,3.00,7.00,4.00,211,NULL,207,'TRINDADE','FLORIANóPOLIS','SC',9065,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3327655,6.00,2.00,2.00,6.00,2.00,NULL,5.00,7.00,5.00,201,NULL,212,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3327671,3.00,2.00,1.00,6.00,7.00,6.00,0.00,6.00,2.00,108,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',15014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3327680,1.00,1.00,4.00,1.00,3.00,NULL,4.00,3.00,1.00,5,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3327698,3.00,6.00,4.00,6.00,6.00,5.75,2.00,5.00,2.00,302,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',12045,140,NULL,NULL,NULL,NULL,NULL,4,1),(16,3327701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'AURELIO CAIXETA','PATOS MINAS','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3327710,5.00,4.00,5.00,5.00,7.00,4.50,2.00,7.00,7.00,103,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',7047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3327736,5.00,5.00,2.00,9.00,5.00,6.25,2.00,5.00,4.00,420,NULL,NULL,'LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC',9174,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3327760,3.00,2.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3327787,3.00,2.00,4.00,7.00,1.00,NULL,1.00,4.00,4.00,216,NULL,NULL,'SAO JOAO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3327795,4.00,3.00,2.00,1.00,4.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3327809,5.00,5.00,2.00,7.00,3.00,NULL,2.00,5.00,3.00,316,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3327817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3327833,4.00,4.00,2.00,5.00,7.00,6.50,2.00,9.00,3.00,326,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3327841,6.00,6.00,5.00,9.00,7.00,5.75,4.00,7.00,7.00,202,NULL,213,'CENTRO','VIçOSA','MG',2959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3327868,6.00,6.00,7.00,8.00,8.00,7.25,4.00,6.00,5.00,5,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',2201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3327884,5.00,5.00,1.00,5.00,6.00,3.00,1.00,8.00,5.00,201,NULL,211,'ARMAÇÃO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3327906,3.00,0.00,1.00,4.00,4.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'JD DOS ESTADOS','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3327914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'BELA VISTA I','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3327922,1.00,1.00,1.00,0.00,0.00,NULL,1.00,4.00,4.00,201,NULL,203,'OURO VERDE','S JOãO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3327949,3.00,0.00,3.00,5.00,4.00,NULL,2.00,2.00,2.00,340,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3327957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CERAMARTE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3327965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,211,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3327973,7.00,6.00,6.00,5.00,7.00,6.50,3.00,6.00,6.00,103,NULL,NULL,'NEVA','CASCAVEL','PR',4069,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3327981,2.00,5.00,4.00,5.00,4.00,6.00,2.00,7.00,3.00,425,NULL,429,'RIO TAVARES','FLORIANóPOLIS','SC',13725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3327990,0.00,1.00,3.00,5.00,0.00,NULL,1.00,1.00,4.00,215,NULL,211,'PINHEIRA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3328015,0.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,201,NULL,211,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3328023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','XANXERê','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3328040,0.00,0.00,0.00,3.00,4.00,NULL,3.00,4.00,4.00,427,NULL,424,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(16,3328058,2.00,1.00,2.00,4.00,4.00,4.25,3.00,6.00,4.00,202,NULL,208,'JARDIM DEL REY','POçOS CALDAS','MG',16607,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328066,4.00,6.00,3.00,6.00,6.00,5.25,2.00,8.00,2.00,318,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',11183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3328074,3.00,4.00,1.00,4.00,3.00,NULL,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','UNIãO VITóRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3328090,4.00,6.00,1.00,2.00,4.00,4.00,3.00,5.00,4.00,208,NULL,238,'CENTRO','LAURO MüLLER','SC',15181,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3328104,1.00,4.00,2.00,6.00,0.00,NULL,1.00,7.00,1.00,316,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3328112,4.00,4.00,3.00,6.00,4.00,6.00,2.00,2.00,6.00,102,NULL,NULL,'CENTRO','LGA VERMELHA','RS',12849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328139,7.00,8.00,3.00,9.00,5.00,6.00,4.00,6.00,5.00,203,NULL,216,'VILA BRASIL','LONDRINA','PR',4133,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3328147,0.00,0.00,0.00,5.00,4.00,NULL,2.00,2.00,2.00,202,NULL,208,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(16,3328163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3328171,2.00,3.00,3.00,2.00,2.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3328180,0.00,0.00,0.00,5.00,2.00,NULL,3.00,5.00,3.00,301,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(16,3328198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'URBANOVA','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3328201,3.00,3.00,1.00,5.00,3.00,NULL,2.00,4.00,2.00,5,NULL,NULL,'SANTA RITA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3328210,1.00,2.00,2.00,2.00,2.00,NULL,2.00,1.00,0.00,5,NULL,NULL,'CENTRO','SANGãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3328228,8.00,9.00,5.00,9.00,9.00,8.00,4.00,8.00,7.00,310,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328236,2.00,2.00,1.00,5.00,3.00,NULL,3.00,4.00,2.00,303,NULL,NULL,'COLONINHA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3328244,2.00,2.00,1.00,1.00,2.00,NULL,2.00,4.00,2.00,301,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3328279,3.00,1.00,2.00,2.00,2.00,NULL,2.00,2.00,2.00,207,NULL,NULL,'CENTRO','CAIBI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3328295,6.00,6.00,4.00,7.00,6.00,5.50,3.00,6.00,5.00,301,NULL,NULL,'FLOR DE NAPOLIS','S JOSé','SC',6774,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3328309,6.00,6.00,5.00,6.00,6.00,6.50,4.00,5.00,6.00,420,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',5751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328325,5.00,7.00,2.00,8.00,3.00,NULL,1.00,7.00,5.00,9,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3328333,8.00,6.00,6.00,4.00,7.00,6.25,3.00,6.00,7.00,102,NULL,NULL,'CENTRO','STA MARIA','RS',3697,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3328341,2.00,2.00,1.00,0.00,3.00,NULL,1.00,3.00,3.00,207,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3328350,5.00,5.00,4.00,7.00,3.00,NULL,4.00,6.00,5.00,420,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328368,2.00,3.00,2.00,5.00,2.00,NULL,2.00,4.00,2.00,316,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3328376,3.00,3.00,3.00,2.00,4.00,NULL,1.00,1.00,3.00,332,NULL,NULL,'PONTE DE IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328384,7.00,5.00,7.00,8.00,7.00,5.25,5.00,7.00,3.00,207,NULL,201,'CAMPECHE','FLORIANóPOLIS','SC',3981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328392,8.00,7.00,5.00,6.00,6.00,6.50,4.00,9.00,8.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328406,2.00,8.00,3.00,9.00,6.00,4.50,2.00,7.00,4.00,233,NULL,216,'ROÇADO','S JOSé','SC',8401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328430,3.00,5.00,2.00,1.00,2.00,NULL,2.00,5.00,2.00,319,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3328449,1.00,1.00,2.00,3.00,2.00,NULL,2.00,4.00,2.00,421,NULL,425,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3328465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SãO PEDRO','PTO UNIãO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3328473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','GUARARAPES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3328481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'SERTAO DO MARUIM','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3328490,3.00,3.00,4.00,6.00,4.00,4.75,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',14750,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3328511,6.00,2.00,1.00,5.00,5.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3328520,5.00,4.00,6.00,8.00,3.00,NULL,4.00,3.00,4.00,2,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328538,8.00,7.00,9.00,8.00,7.00,8.00,5.00,7.00,9.00,103,NULL,NULL,'BUENO','GOIâNIA','GO',360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328546,3.00,3.00,3.00,2.00,4.00,5.50,3.00,4.00,3.00,316,NULL,NULL,'CENTRO','BIGUAçU','SC',16464,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3328554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','PAIM FILHO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3328570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3328589,3.00,3.00,4.00,7.00,4.00,6.00,2.00,4.00,0.00,452,NULL,NULL,'SãO CAETANO','ARROIO MEIO','RS',15201,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3328597,0.00,0.00,0.00,7.00,2.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3328600,6.00,3.00,7.00,8.00,6.00,5.75,6.00,5.00,7.00,203,NULL,215,'CENTRO','APUCARANA','PR',3986,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3328627,3.00,2.00,2.00,5.00,5.00,5.75,2.00,5.00,4.00,5,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',15106,489,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'JD ALVORADA','JAú','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3328651,7.00,3.00,3.00,9.00,8.00,6.00,6.00,7.00,5.00,203,NULL,202,'ITACORUBI','FLORIANóPOLIS','SC',4877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PRQ DAS LARANJEIRAS','RIO VERDE','GO',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3328678,3.00,4.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','BOCAíNA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3328686,1.00,6.00,3.00,9.00,3.00,NULL,2.00,5.00,2.00,234,NULL,NULL,'JARDIM SANTA GENEBRA','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328694,5.00,3.00,3.00,5.00,5.00,6.25,1.00,6.00,4.00,303,NULL,NULL,'CIDADE ALTA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3328716,4.00,6.00,3.00,6.00,5.00,5.50,2.00,5.00,3.00,301,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',12309,242,NULL,NULL,NULL,NULL,NULL,2,1),(16,3328732,2.00,4.00,4.00,6.00,5.00,5.75,2.00,6.00,3.00,9,NULL,NULL,'BARREIROS','S JOSé','SC',13183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3328740,4.00,6.00,2.00,9.00,5.00,6.25,2.00,9.00,3.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',8264,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3328759,2.00,3.00,2.00,4.00,2.00,NULL,1.00,4.00,3.00,207,NULL,215,'CENTRO','IRATI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3328767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3328775,8.00,8.00,7.00,8.00,7.00,6.00,6.00,8.00,7.00,203,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'COSTA DE DENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3328791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3328805,5.00,5.00,1.00,8.00,6.00,5.75,2.00,6.00,2.00,425,NULL,429,'AGRONÔMICA','FLORIANóPOLIS','SC',11484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328821,1.00,3.00,1.00,8.00,4.00,NULL,1.00,1.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3328830,2.00,4.00,3.00,4.00,3.00,NULL,2.00,3.00,3.00,340,NULL,NULL,'JURERE INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3328848,1.00,3.00,2.00,4.00,2.00,NULL,0.00,6.00,2.00,233,NULL,220,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3328872,2.00,4.00,2.00,6.00,5.00,6.50,2.00,4.00,3.00,238,NULL,208,'JARDIM DAS PALMEIRAS','PALHOçA','SC',15374,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3328910,3.00,4.00,3.00,3.00,2.00,NULL,3.00,5.00,2.00,5,NULL,NULL,'MATO ALTO','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3328929,3.00,2.00,3.00,0.00,3.00,NULL,2.00,1.00,3.00,208,NULL,238,'SERRARIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,201,'JARDIM FERRARI','ITAPEVA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3328945,3.00,3.00,3.00,4.00,2.00,NULL,2.00,2.00,3.00,238,NULL,203,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3328953,3.00,3.00,4.00,3.00,4.00,NULL,3.00,3.00,2.00,332,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3328961,3.00,5.00,3.00,4.00,5.00,5.25,3.00,5.00,3.00,309,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',14656,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3328970,0.00,1.00,1.00,0.00,0.00,NULL,2.00,0.00,0.00,415,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3328988,3.00,3.00,2.00,2.00,2.00,NULL,3.00,3.00,5.00,501,NULL,NULL,'INTERIOS','BENJAMIN C SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3328996,5.00,6.00,2.00,9.00,6.00,5.25,2.00,7.00,4.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',8568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3329003,3.00,4.00,3.00,0.00,3.00,NULL,1.00,5.00,3.00,201,NULL,207,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3329020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,421,'FUNDOS','BIGUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3329046,2.00,4.00,1.00,6.00,3.00,NULL,1.00,4.00,2.00,425,NULL,429,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3329054,3.00,6.00,3.00,0.00,3.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'LARANJEIRAS','MODELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3329062,3.00,3.00,4.00,8.00,6.00,4.25,0.00,4.00,4.00,415,NULL,NULL,'JARDIM BOTANICO','S SEBASTIãO','DF',13624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3329089,4.00,3.00,2.00,8.00,5.00,5.75,2.00,4.00,3.00,340,NULL,NULL,'CENTRO','CAXIAS DO SUL','RS',14037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3329119,0.00,0.00,0.00,8.00,6.00,NULL,0.00,0.00,0.00,238,NULL,220,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3329127,2.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3329143,0.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,427,NULL,421,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3329151,2.00,2.00,1.00,4.00,3.00,NULL,1.00,2.00,3.00,208,NULL,207,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3329160,9.00,6.00,9.00,7.00,7.00,6.75,8.00,8.00,8.00,103,NULL,NULL,'BARONI','BARRETOS','SP',304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3329178,3.00,3.00,1.00,5.00,5.00,5.50,3.00,3.00,4.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3329186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,214,'MACEDO','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3329194,3.00,6.00,2.00,6.00,3.00,NULL,2.00,6.00,4.00,101,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3329208,4.00,4.00,3.00,3.00,6.00,5.75,4.00,2.00,3.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',15414,2731,NULL,NULL,NULL,NULL,NULL,4,8),(16,3329216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(16,3329224,2.00,5.00,3.00,7.00,3.00,NULL,1.00,5.00,4.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3329240,4.00,4.00,3.00,5.00,2.00,NULL,4.00,2.00,1.00,223,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3329259,7.00,6.00,5.00,8.00,5.00,5.50,3.00,8.00,6.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',4394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3329267,5.00,5.00,4.00,8.00,5.00,5.25,5.00,6.00,4.00,207,NULL,201,'CIDADE ALTA','LAGES','SC',8155,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3329275,5.00,5.00,3.00,5.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3329283,3.00,4.00,1.00,7.00,5.00,4.75,2.00,5.00,3.00,428,NULL,426,'CENTRO','STA ROSA SUL','SC',16104,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3329305,3.00,3.00,2.00,7.00,3.00,NULL,2.00,4.00,4.00,319,NULL,NULL,'JURERê','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3329313,7.00,5.00,4.00,4.00,5.00,5.75,6.00,5.00,4.00,103,NULL,NULL,'BELCHIOR BAIXO','GASPAR','SC',8988,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3329321,2.00,3.00,1.00,1.00,3.00,NULL,1.00,2.00,0.00,308,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3329348,9.00,7.00,7.00,8.00,6.00,7.00,2.00,8.00,9.00,103,NULL,NULL,'MANOEL ABRAAO','MINEIROS','GO',1110,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3329356,3.00,5.00,4.00,7.00,5.00,5.00,3.00,5.00,2.00,421,NULL,424,'INGLESES','FLORIANóPOLIS','SC',12527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3329372,4.00,6.00,3.00,4.00,3.00,NULL,3.00,7.00,4.00,301,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3329380,5.00,5.00,2.00,3.00,5.00,4.00,3.00,8.00,4.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11785,409,NULL,NULL,NULL,NULL,NULL,2,1),(16,3329399,4.00,7.00,4.00,8.00,6.00,6.25,4.00,5.00,4.00,319,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',8058,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3329410,5.00,4.00,4.00,6.00,5.00,6.00,4.00,7.00,3.00,9,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3329437,2.00,3.00,3.00,7.00,4.00,4.25,1.00,3.00,5.00,208,NULL,238,'PRADO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3329445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CIDADE FLORIANOPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3329453,5.00,5.00,3.00,8.00,6.00,5.50,3.00,7.00,3.00,318,NULL,NULL,'SANTA RITA','RIO SUL','SC',8324,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3329461,3.00,4.00,2.00,5.00,5.00,5.00,3.00,4.00,2.00,308,NULL,NULL,'SANTA ANA','FORQUILHINHA','SC',16055,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3329470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3329488,4.00,2.00,2.00,1.00,3.00,NULL,2.00,0.00,2.00,238,NULL,208,'CINQUENTENáRIO','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3329496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM ITATI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3329518,6.00,6.00,4.00,7.00,6.00,3.25,4.00,3.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3329526,6.00,5.00,3.00,7.00,6.00,6.25,0.00,5.00,5.00,5,NULL,NULL,'CENTRO','ARARANGUá','SC',8221,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3329534,4.00,5.00,1.00,5.00,3.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'AGUA BRANCA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(16,3329542,2.00,4.00,2.00,8.00,5.00,2.50,3.00,4.00,5.00,310,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3329569,4.00,1.00,3.00,2.00,2.00,NULL,2.00,5.00,2.00,203,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3329585,5.00,6.00,5.00,8.00,4.00,5.00,2.00,7.00,5.00,331,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',8535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3329593,1.00,3.00,1.00,3.00,4.00,NULL,3.00,3.00,3.00,208,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3329607,4.00,4.00,1.00,4.00,1.00,NULL,3.00,8.00,2.00,304,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3329615,4.00,2.00,3.00,0.00,1.00,NULL,3.00,2.00,3.00,211,NULL,NULL,'CENTRO','SIDERóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3329623,2.00,5.00,1.00,2.00,4.00,4.25,4.00,6.00,3.00,404,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',16381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3329631,7.00,5.00,6.00,6.00,7.00,7.25,3.00,5.00,5.00,104,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',5303,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3329666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,208,'NAçõES','ITATIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3329682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'N S DO ROSARIO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3329690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3329704,2.00,5.00,5.00,4.00,4.00,3.00,3.00,4.00,2.00,318,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3329712,1.00,4.00,2.00,2.00,3.00,NULL,1.00,1.00,2.00,214,NULL,233,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3329739,6.00,5.00,5.00,8.00,6.00,5.25,5.00,9.00,6.00,103,NULL,NULL,'AEROPORTO','TUBARãO','SC',3538,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3329747,7.00,5.00,4.00,6.00,5.00,5.50,3.00,8.00,8.00,103,NULL,NULL,'JARDIM CLARET','RIO CLARO','SP',5560,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3329755,7.00,5.00,5.00,3.00,5.00,5.00,4.00,8.00,5.00,214,NULL,203,'FIGUEIRA','GASPAR','SC',7372,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3329763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3329771,4.00,1.00,3.00,1.00,1.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ARIRIU DA FORMIGA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3329780,4.00,5.00,2.00,5.00,5.00,6.25,5.00,2.00,4.00,207,NULL,201,'SOBRADINHO','SOBRADINHO','DF',12257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3329798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3329801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'BERGER','CAçADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3329810,2.00,0.00,2.00,6.00,3.00,NULL,4.00,6.00,2.00,201,NULL,207,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3329828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3329844,7.00,7.00,2.00,9.00,8.00,5.25,4.00,8.00,3.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',4305,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3329852,3.00,4.00,1.00,0.00,4.00,NULL,0.00,2.00,3.00,207,NULL,201,'CENTRO','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3329860,9.00,7.00,9.00,9.00,6.00,5.25,7.00,9.00,6.00,103,NULL,NULL,'JD INDEPENDENCIA','S VICENTE','SP',445,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3329879,4.00,2.00,2.00,1.00,4.00,NULL,0.00,3.00,3.00,214,NULL,233,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3329909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMARAL','PALMEIRA MISSõES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3329917,6.00,7.00,4.00,3.00,4.00,6.50,4.00,4.00,2.00,202,NULL,NULL,'AGRôNOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3329925,3.00,3.00,2.00,6.00,3.00,NULL,3.00,4.00,1.00,451,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3329941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3329950,2.00,3.00,2.00,1.00,3.00,NULL,2.00,6.00,2.00,415,NULL,NULL,'DOIS PINHEIROS','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3329976,3.00,3.00,2.00,0.00,2.00,NULL,3.00,5.00,5.00,301,NULL,NULL,'MARIA GORETTE','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3329984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3330001,2.00,1.00,3.00,2.00,2.00,NULL,2.00,3.00,1.00,317,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330028,2.00,3.00,1.00,5.00,2.00,NULL,3.00,5.00,3.00,215,NULL,211,'SERTAO DE MARUIM','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3330052,4.00,4.00,3.00,4.00,4.00,5.75,2.00,6.00,4.00,207,NULL,211,'BOQUEIRãO','CURITIBA','PR',13571,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3330060,3.00,5.00,1.00,4.00,4.00,NULL,0.00,2.00,4.00,202,NULL,203,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3330117,8.00,8.00,1.00,6.00,7.00,6.50,2.00,6.00,2.00,101,NULL,NULL,'SERRARIA','S JOSé','SC',7650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330125,3.00,6.00,3.00,1.00,2.00,NULL,2.00,4.00,3.00,203,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330133,6.00,5.00,2.00,2.00,5.00,5.25,4.00,5.00,5.00,103,NULL,NULL,'SãO CRISTóVãO','CASCAVEL','PR',11873,2426,NULL,NULL,NULL,NULL,NULL,4,4),(16,3330141,3.00,6.00,5.00,7.00,3.00,NULL,2.00,3.00,2.00,202,NULL,220,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3330150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BARRA DO RIO CERRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3330168,2.00,2.00,2.00,6.00,2.00,NULL,1.00,4.00,3.00,317,NULL,NULL,'RIBEEIRÃO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3330176,5.00,6.00,5.00,5.00,5.00,4.00,4.00,6.00,3.00,316,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',9918,101,NULL,NULL,NULL,NULL,NULL,2,1),(16,3330184,3.00,4.00,3.00,2.00,3.00,NULL,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','STA CECíLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3330192,2.00,4.00,2.00,4.00,2.00,NULL,0.00,4.00,0.00,303,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3330206,3.00,2.00,2.00,3.00,0.00,NULL,1.00,1.00,4.00,208,NULL,207,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3330222,4.00,4.00,5.00,2.00,4.00,5.00,2.00,2.00,3.00,308,NULL,NULL,'JD MARCOS ANTONIO','BIGUAçU','SC',16619,73,NULL,NULL,NULL,NULL,NULL,2,1),(16,3330230,4.00,4.00,4.00,6.00,4.00,5.50,3.00,4.00,2.00,104,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',12834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3330249,5.00,6.00,2.00,4.00,4.00,5.50,3.00,5.00,6.00,316,NULL,NULL,'CANUDOS','ANTôNIO CARLOS','SC',11222,123,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330265,4.00,1.00,4.00,3.00,1.00,NULL,1.00,4.00,4.00,9,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3330273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3330281,5.00,1.00,1.00,3.00,3.00,NULL,0.00,3.00,2.00,452,NULL,NULL,'UNIVERSITáRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3330290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'BUTANTã','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3330311,4.00,5.00,3.00,7.00,6.00,5.75,3.00,3.00,5.00,420,NULL,NULL,'CENTRO','PTO BELO','SC',10199,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3330320,0.00,0.00,0.00,6.00,3.00,NULL,2.00,3.00,4.00,420,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(16,3330338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3330346,2.00,3.00,3.00,0.00,3.00,NULL,2.00,3.00,2.00,502,NULL,NULL,'PORTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330354,6.00,6.00,4.00,5.00,7.00,5.50,4.00,8.00,5.00,108,NULL,NULL,'ENCANO BAIXO','INDAIAL','SC',5965,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3330370,5.00,6.00,1.00,8.00,4.00,5.50,2.00,4.00,2.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330389,4.00,3.00,1.00,1.00,1.00,NULL,3.00,5.00,3.00,108,NULL,NULL,'RECIFE','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330397,4.00,5.00,5.00,8.00,5.00,6.75,3.00,7.00,5.00,216,NULL,220,'CENTRO','PASSO FUNDO','RS',6788,247,NULL,297,NULL,NULL,NULL,4,1),(16,3330400,4.00,4.00,1.00,2.00,6.00,NULL,1.00,4.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330427,5.00,7.00,7.00,8.00,4.00,4.75,5.00,8.00,7.00,5,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',2878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3330435,1.00,1.00,1.00,5.00,4.00,NULL,2.00,3.00,0.00,211,NULL,215,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3330460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PARQUE CASA DE PEDRA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3330478,3.00,5.00,4.00,4.00,3.00,NULL,2.00,4.00,4.00,5,NULL,NULL,'BELA VISTA II','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3330486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3330494,7.00,6.00,6.00,5.00,8.00,4.75,7.00,8.00,8.00,103,NULL,NULL,'SUDOESTE','CRUZEIRO','DF',1657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330508,0.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3330524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CENTRAL','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3330532,4.00,4.00,5.00,5.00,3.00,NULL,2.00,6.00,2.00,319,NULL,NULL,'SERTãO DO MARUíM','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3330540,4.00,0.00,2.00,8.00,7.00,8.50,3.00,5.00,4.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,213,'BOM PASTOR','JZ FORA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3330591,5.00,6.00,2.00,8.00,6.00,4.25,4.00,6.00,3.00,5,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',8616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330605,1.00,2.00,1.00,2.00,1.00,NULL,2.00,1.00,3.00,203,NULL,215,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330613,4.00,4.00,2.00,0.00,4.00,5.50,3.00,6.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',15809,505,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,216,'CENTRO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3330630,4.00,3.00,2.00,5.00,5.00,NULL,1.00,1.00,4.00,102,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3330648,7.00,8.00,3.00,9.00,6.00,7.50,6.00,9.00,4.00,214,NULL,203,'VILA NOVA','FARTURA','SP',1354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330656,1.00,0.00,2.00,0.00,2.00,NULL,1.00,2.00,2.00,301,NULL,NULL,'NAçõES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3330664,2.00,1.00,2.00,3.00,2.00,NULL,4.00,3.00,5.00,317,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3330672,6.00,6.00,1.00,8.00,9.00,5.75,3.00,5.00,6.00,201,NULL,207,'RONDONIA','NOVO HAMBURGO','RS',6216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330680,0.00,0.00,0.00,5.00,3.00,NULL,4.00,5.00,2.00,211,NULL,201,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(16,3330702,6.00,6.00,5.00,7.00,6.00,5.00,1.00,8.00,4.00,415,NULL,NULL,'METRóPOLE','DRACENA','SP',6230,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3330710,6.00,1.00,1.00,6.00,2.00,NULL,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3330737,5.00,6.00,6.00,6.00,5.00,5.00,6.00,5.00,5.00,214,NULL,203,'CARVOEIRA','FLORIANóPOLIS','SC',5875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330745,1.00,2.00,2.00,5.00,3.00,NULL,2.00,2.00,2.00,5,NULL,NULL,'IMPERIAL','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3330761,5.00,1.00,4.00,7.00,2.00,NULL,2.00,6.00,7.00,216,NULL,215,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330770,7.00,7.00,6.00,7.00,4.00,7.00,5.00,8.00,7.00,5,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',2193,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3330788,8.00,6.00,6.00,5.00,4.00,5.00,8.00,9.00,6.00,203,NULL,202,'JARDIM TAROBá','CAMBé','PR',3342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330796,7.00,5.00,4.00,7.00,6.00,5.50,3.00,7.00,5.00,340,NULL,NULL,'JARDIM MARANHãO','COTIA','SP',5820,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3330800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'PORTAO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3330818,6.00,6.00,4.00,7.00,5.00,6.00,1.00,5.00,4.00,331,NULL,NULL,'SAGUAçU','JOINVILLE','SC',8810,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3330826,5.00,6.00,5.00,6.00,5.00,6.25,4.00,7.00,5.00,202,NULL,203,'DAS NAÇÕES','BAL CAMBORIú','SC',7222,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3330850,7.00,8.00,9.00,9.00,8.00,6.00,6.00,9.00,9.00,224,NULL,NULL,'CAMPINAS','S JOSé','SC',193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA EUNICE','CACHOEIRINHA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3330877,5.00,3.00,3.00,6.00,7.00,7.50,4.00,7.00,5.00,340,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',6913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330885,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,202,NULL,203,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',1,10),(16,3330893,5.00,3.00,4.00,5.00,3.00,NULL,2.00,5.00,1.00,234,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3330907,3.00,4.00,3.00,2.00,2.00,NULL,1.00,5.00,4.00,102,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330915,2.00,4.00,2.00,7.00,4.00,7.50,2.00,4.00,3.00,212,NULL,216,'CAPISTRANO','BOM RETIRO','SC',14346,403,NULL,463,NULL,NULL,NULL,2,9),(16,3330923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'FLOR DE NáPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3330931,6.00,6.00,5.00,5.00,4.00,4.25,4.00,7.00,6.00,108,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3330966,7.00,5.00,4.00,6.00,5.00,5.75,2.00,6.00,6.00,202,NULL,233,'URUSSANGUINHA','ARARANGUá','SC',7517,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3330974,9.00,7.00,7.00,4.00,4.00,5.50,4.00,6.00,7.00,103,NULL,NULL,'VILA SãO JOSé','APUCARANA','PR',3770,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3330982,3.00,4.00,2.00,2.00,2.00,NULL,1.00,4.00,1.00,211,NULL,215,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3331024,3.00,3.00,1.00,3.00,1.00,NULL,3.00,4.00,3.00,444,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,214,'CENTRO','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3331040,4.00,4.00,4.00,9.00,6.00,7.25,3.00,6.00,2.00,340,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',9537,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3331059,3.00,3.00,2.00,0.00,3.00,NULL,1.00,3.00,3.00,216,NULL,211,'SãO JOãO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3331075,2.00,4.00,2.00,5.00,3.00,NULL,4.00,2.00,3.00,339,NULL,NULL,'ARMAçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331083,6.00,6.00,3.00,7.00,7.00,7.00,3.00,7.00,6.00,3,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',5520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3331113,1.00,2.00,2.00,2.00,4.00,NULL,4.00,5.00,3.00,203,NULL,214,'SAO JOAO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3331130,4.00,5.00,6.00,7.00,6.00,6.25,3.00,6.00,5.00,5,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',6897,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3331148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3331156,4.00,8.00,1.00,5.00,6.00,5.00,5.00,6.00,2.00,104,NULL,NULL,'CENTRO','TIJUCAS','SC',9640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3331164,1.00,1.00,1.00,2.00,3.00,NULL,0.00,3.00,0.00,101,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3331180,4.00,2.00,1.00,0.00,3.00,NULL,3.00,1.00,4.00,201,NULL,212,'REAL PARQUE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3331199,1.00,3.00,1.00,3.00,2.00,NULL,2.00,1.00,3.00,220,NULL,213,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331202,4.00,4.00,4.00,6.00,3.00,NULL,4.00,1.00,2.00,207,NULL,201,'IPIRANGA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3331229,6.00,5.00,4.00,5.00,4.00,5.00,2.00,6.00,4.00,502,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3331253,2.00,4.00,1.00,3.00,4.00,NULL,1.00,2.00,4.00,501,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3331300,4.00,5.00,4.00,8.00,7.00,6.00,1.00,6.00,5.00,316,NULL,NULL,'SãO SEBASTIãO','S MIGUEL OESTE','SC',8309,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3331318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3331326,0.00,0.00,0.00,1.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'MORRO GRANDE','SANGãO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(16,3331334,8.00,3.00,4.00,6.00,6.00,6.25,2.00,5.00,4.00,201,NULL,207,'JARDIM AMERICA','DOURADOS','MS',8774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3331342,5.00,5.00,4.00,9.00,4.00,6.00,3.00,4.00,4.00,104,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3331350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'ITAICI','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3331369,2.00,4.00,1.00,2.00,3.00,NULL,3.00,5.00,4.00,317,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3331377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','MARAU','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3331431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PQ DIMAS C OMETTO','IRACEMáPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3331440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3331466,5.00,5.00,2.00,4.00,6.00,NULL,0.00,5.00,3.00,303,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3331482,3.00,6.00,4.00,8.00,3.00,NULL,3.00,5.00,3.00,225,NULL,NULL,'DISTRITO INDUSTRIAL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331490,4.00,5.00,2.00,3.00,6.00,5.50,4.00,3.00,6.00,444,NULL,NULL,'KOBRASOL','S JOSé','SC',13429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331504,3.00,3.00,1.00,4.00,3.00,NULL,1.00,3.00,4.00,444,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'PIRITUBA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3331547,2.00,4.00,2.00,1.00,3.00,NULL,3.00,4.00,2.00,215,NULL,233,'SERTãO DO MARUIM','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3331555,1.00,1.00,1.00,3.00,2.00,NULL,2.00,2.00,1.00,208,NULL,238,'PRAçA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3331563,5.00,8.00,3.00,5.00,4.00,6.00,3.00,8.00,3.00,331,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',8666,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331571,3.00,4.00,1.00,6.00,2.00,NULL,2.00,4.00,0.00,208,NULL,213,'PINHEIRINHO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3331580,3.00,7.00,4.00,5.00,4.00,5.75,3.00,8.00,3.00,340,NULL,NULL,'RIO MORTO','INDAIAL','SC',10589,331,NULL,NULL,NULL,NULL,NULL,4,2),(16,3331598,7.00,7.00,3.00,5.00,3.00,NULL,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3331601,3.00,2.00,2.00,6.00,5.00,5.25,2.00,3.00,5.00,104,NULL,NULL,'PASSA VINTE','PALHOçA','SC',16204,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3331628,1.00,1.00,2.00,2.00,0.00,NULL,2.00,2.00,0.00,9,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331636,0.00,3.00,2.00,6.00,2.00,NULL,1.00,3.00,2.00,309,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331644,6.00,7.00,2.00,5.00,6.00,4.75,3.00,6.00,3.00,238,NULL,208,'CENTRO','STO AMARO IMPERATRIZ','SC',10045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3331652,4.00,6.00,4.00,6.00,4.00,4.50,4.00,7.00,4.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3331660,5.00,4.00,2.00,2.00,4.00,3.25,2.00,6.00,3.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3331687,2.00,4.00,5.00,7.00,5.00,5.00,2.00,7.00,4.00,201,NULL,233,'CAPOEIRAS','FLORIANóPOLIS','SC',11940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331695,3.00,4.00,4.00,2.00,2.00,NULL,1.00,4.00,4.00,317,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3331709,3.00,0.00,2.00,1.00,6.00,NULL,2.00,2.00,5.00,317,NULL,NULL,'BREJARU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3331717,2.00,2.00,3.00,5.00,3.00,NULL,4.00,1.00,3.00,208,NULL,238,'KOBRASOL','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331725,0.00,1.00,3.00,4.00,2.00,NULL,2.00,1.00,4.00,309,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331733,1.00,4.00,1.00,2.00,1.00,NULL,2.00,3.00,2.00,214,NULL,202,'SHANGRILA','ITAPETININGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3331741,0.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'ROÇADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3331750,7.00,3.00,8.00,8.00,6.00,7.25,5.00,4.00,7.00,216,NULL,203,'JARDIM VALPARAíBA','S JOSé CAMPOS','SP',3921,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331768,4.00,0.00,1.00,4.00,2.00,NULL,3.00,1.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331776,7.00,6.00,4.00,8.00,6.00,6.50,4.00,6.00,5.00,238,NULL,208,'CORREGO GRANDE','FLORIANóPOLIS','SC',4236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331784,3.00,3.00,3.00,1.00,5.00,6.25,3.00,6.00,2.00,426,NULL,429,'AREIAS','S JOSé','SC',16243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3331792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA SETE','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3331806,1.00,1.00,3.00,3.00,2.00,NULL,3.00,3.00,3.00,318,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3331814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3331822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JARDIM AQUáRIOS','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3331849,3.00,5.00,3.00,3.00,6.00,4.25,4.00,6.00,1.00,203,NULL,215,'CENTRO','CRICIúMA','SC',14724,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3331857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TAQUARA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3331865,2.00,5.00,2.00,5.00,3.00,NULL,2.00,5.00,2.00,211,NULL,220,'JARDIM CHAPADãO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331873,3.00,3.00,2.00,6.00,4.00,5.75,4.00,4.00,4.00,415,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331881,2.00,3.00,2.00,4.00,3.00,NULL,3.00,5.00,3.00,340,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3331890,6.00,3.00,2.00,4.00,3.00,NULL,1.00,4.00,3.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3331911,2.00,4.00,3.00,2.00,3.00,NULL,1.00,2.00,2.00,207,NULL,201,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331920,2.00,3.00,3.00,4.00,3.00,NULL,3.00,2.00,2.00,108,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331938,7.00,6.00,5.00,6.00,7.00,6.50,4.00,5.00,7.00,103,NULL,NULL,'TINGüI','CURITIBA','PR',3649,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3331946,1.00,0.00,3.00,4.00,3.00,NULL,0.00,1.00,0.00,203,NULL,214,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3331954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RES ESPLANADA SOL','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3331970,6.00,4.00,3.00,5.00,2.00,NULL,2.00,4.00,8.00,103,NULL,NULL,'SANTA BARBARA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3331989,8.00,8.00,8.00,8.00,8.00,7.50,4.00,9.00,8.00,303,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',416,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3331997,0.00,2.00,2.00,6.00,4.00,NULL,1.00,1.00,2.00,309,NULL,NULL,'CENTRO','ITARARé','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3332004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3332012,1.00,4.00,1.00,3.00,5.00,NULL,1.00,2.00,2.00,203,NULL,201,'SERTãOZINHO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3332039,0.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','IMARUí','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(16,3332063,1.00,3.00,3.00,0.00,2.00,NULL,1.00,2.00,4.00,201,NULL,207,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3332080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'JARDIN AMERICA','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3332098,6.00,3.00,3.00,8.00,6.00,6.25,2.00,4.00,4.00,201,NULL,212,'ITAGUAçú','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3332101,5.00,4.00,2.00,5.00,4.00,5.00,3.00,4.00,3.00,301,NULL,NULL,'CENTRO','CANOAS','RS',15361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3332110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3332136,3.00,5.00,4.00,2.00,5.00,6.00,2.00,5.00,5.00,332,NULL,NULL,'ITAPEMA','ITAPOá','SC',12611,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3332144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3332152,6.00,5.00,3.00,8.00,7.00,5.00,3.00,3.00,4.00,9,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',10051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3332160,4.00,7.00,8.00,9.00,5.00,5.25,5.00,7.00,5.00,220,NULL,233,'CORREGO GRANDE','FLORIANóPOLIS','SC',2966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3332187,4.00,5.00,1.00,7.00,7.00,6.75,1.00,4.00,2.00,451,NULL,NULL,'CAMPINAS','S JOSé','SC',13910,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3332195,8.00,6.00,7.00,8.00,6.00,7.00,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',2224,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3332217,3.00,2.00,4.00,7.00,4.00,4.50,3.00,4.00,3.00,319,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3332233,2.00,1.00,3.00,3.00,2.00,NULL,2.00,5.00,1.00,428,NULL,426,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3332250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3332268,4.00,4.00,4.00,7.00,4.00,4.25,2.00,6.00,2.00,429,NULL,NULL,'NOVA MACHADINHO','CAMPOS NOVOS','SC',14449,54,NULL,NULL,NULL,NULL,NULL,2,7),(16,3332276,2.00,3.00,3.00,4.00,1.00,NULL,2.00,1.00,4.00,103,NULL,NULL,'SANTA ROSA DE LIMA','TEIXEIRA FREITAS','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3332284,1.00,2.00,2.00,6.00,2.00,NULL,1.00,6.00,2.00,223,NULL,NULL,'ABERTA DOS MORROS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3332292,3.00,3.00,3.00,2.00,3.00,NULL,4.00,3.00,5.00,309,NULL,NULL,'SANTOS DUMONT','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3332314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BAETA NEVES','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3332322,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3332330,4.00,6.00,1.00,0.00,0.00,NULL,2.00,4.00,1.00,452,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,2),(16,3332373,4.00,4.00,4.00,8.00,5.00,5.50,1.00,7.00,4.00,207,NULL,201,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3332381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3332403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3332411,1.00,1.00,2.00,5.00,3.00,NULL,2.00,0.00,4.00,101,NULL,NULL,'VIRA COPO','S PEDRO ALCâNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3332420,3.00,7.00,3.00,6.00,2.00,NULL,3.00,4.00,3.00,103,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3332438,6.00,3.00,3.00,7.00,8.00,5.00,2.00,4.00,4.00,451,NULL,NULL,'ALDEIA DA SERRA','BARUERI','SP',10392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3332454,4.00,3.00,2.00,2.00,1.00,NULL,1.00,2.00,6.00,201,NULL,207,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3332470,4.00,4.00,2.00,5.00,4.00,5.00,2.00,7.00,3.00,212,NULL,214,'FLORESTA','S JOSé','SC',14502,409,NULL,454,NULL,NULL,NULL,2,1),(16,3332489,2.00,7.00,2.00,5.00,4.00,5.75,3.00,5.00,5.00,421,NULL,425,'VILA NOVA','TROMBUDO CENTRAL','SC',13409,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3332497,3.00,3.00,3.00,0.00,0.00,NULL,3.00,3.00,2.00,238,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(16,3332500,2.00,4.00,3.00,0.00,3.00,NULL,2.00,2.00,3.00,319,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3332535,5.00,4.00,4.00,5.00,5.00,5.25,3.00,5.00,3.00,211,NULL,207,'CONTA DINHEIRO','LAGES','SC',12379,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3332543,4.00,3.00,2.00,9.00,5.00,5.50,2.00,5.00,3.00,415,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3332551,9.00,5.00,4.00,7.00,6.00,6.25,7.00,6.00,7.00,103,NULL,NULL,'CARANDA BOSQUE','CPO GRANDE','MS',2882,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3332578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3332594,1.00,4.00,1.00,4.00,7.00,6.50,1.00,6.00,5.00,5,NULL,NULL,'CANTRO','CAMPOS NOVOS','SC',13953,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3332608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'AMIZADE','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3332624,4.00,7.00,1.00,7.00,3.00,NULL,3.00,6.00,5.00,5,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,10),(16,3332640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3332659,4.00,6.00,3.00,5.00,6.00,NULL,0.00,0.00,0.00,216,NULL,203,'OFICINAS','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,10),(16,3332675,4.00,5.00,6.00,7.00,5.00,5.25,1.00,5.00,2.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3332683,4.00,3.00,4.00,5.00,2.00,NULL,1.00,7.00,2.00,317,NULL,NULL,'SÃO MARCOS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3332705,3.00,5.00,3.00,5.00,7.00,6.50,3.00,4.00,4.00,326,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',11246,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3332713,0.00,3.00,3.00,5.00,3.00,NULL,3.00,2.00,4.00,104,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3332721,0.00,0.00,0.00,1.00,1.00,NULL,0.00,0.00,0.00,215,NULL,238,'MENGES','STO ÂNGELO','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3332730,5.00,1.00,1.00,2.00,3.00,NULL,1.00,1.00,1.00,101,NULL,NULL,'JOãO PAULO II','TRêS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3332748,0.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3332764,3.00,2.00,2.00,4.00,2.00,NULL,3.00,4.00,2.00,501,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3332772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'MONSR WLOSKI','S LUIZ GONZAGA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3332799,5.00,5.00,5.00,3.00,2.00,NULL,3.00,4.00,2.00,202,NULL,233,'JARDIM DAS AVENIDAS','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3332810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'STA MONICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3332837,3.00,5.00,3.00,3.00,2.00,NULL,2.00,8.00,2.00,427,NULL,424,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3332853,5.00,5.00,3.00,7.00,5.00,5.25,2.00,6.00,4.00,233,NULL,NULL,'ITALIANA','PANAMBI','RS',10769,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3332870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AEROPORTO','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3332896,4.00,6.00,3.00,5.00,4.00,5.75,4.00,5.00,4.00,502,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3332900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,214,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3332926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3332934,5.00,1.00,3.00,0.00,3.00,NULL,4.00,3.00,1.00,216,NULL,211,'LAGOãO','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3332942,3.00,4.00,1.00,6.00,4.00,NULL,1.00,4.00,2.00,104,NULL,NULL,'CENTRO','SALETE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3332950,4.00,4.00,4.00,6.00,4.00,5.75,3.00,3.00,4.00,214,NULL,220,'SãO ROQUE','NOVA TRENTO','SC',12769,411,NULL,462,NULL,NULL,NULL,2,1),(16,3332977,4.00,5.00,2.00,6.00,2.00,NULL,1.00,6.00,3.00,220,NULL,211,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3332985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3332993,2.00,3.00,3.00,4.00,3.00,NULL,2.00,2.00,2.00,207,NULL,NULL,'CENTRO','ICARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3333019,1.00,4.00,4.00,5.00,2.00,NULL,3.00,5.00,5.00,104,NULL,NULL,'CENTRO','PETROLâNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3333035,3.00,5.00,3.00,5.00,4.00,4.50,1.00,3.00,2.00,9,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3333043,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,201,NULL,214,'OLIVEIRA','STO ÂNGELO','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3333051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ATERRADO','VOLTA REDONDA','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3333060,4.00,3.00,2.00,1.00,3.00,NULL,2.00,1.00,2.00,453,NULL,NULL,'SãO CRISTOVãO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3333078,3.00,7.00,4.00,4.00,4.00,4.50,2.00,8.00,4.00,453,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',12051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3333086,4.00,5.00,3.00,6.00,5.00,5.25,2.00,8.00,3.00,225,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',9850,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3333108,3.00,4.00,3.00,2.00,3.00,NULL,2.00,2.00,3.00,207,NULL,211,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3333132,2.00,4.00,2.00,2.00,3.00,NULL,0.00,3.00,1.00,9,NULL,NULL,'DANIELA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3333159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'VáRZEA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(16,3333167,4.00,4.00,5.00,3.00,4.00,4.50,2.00,3.00,5.00,103,NULL,NULL,'VILA ISABEL','CURITIBA','PR',14899,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3333175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3333191,1.00,2.00,1.00,2.00,2.00,NULL,2.00,5.00,2.00,103,NULL,NULL,'CAMPO D AGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3333205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3333221,0.00,4.00,4.00,6.00,8.00,6.75,3.00,7.00,3.00,316,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',10310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3333230,8.00,7.00,4.00,6.00,5.00,7.00,3.00,8.00,5.00,103,NULL,NULL,'TERCEIRA LINHA','IçARA','SC',5134,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3333256,6.00,5.00,6.00,8.00,5.00,5.25,3.00,7.00,5.00,211,NULL,215,'JARDIM BELA VISTA','S JOSé CAMPOS','SP',5788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3333264,3.00,3.00,2.00,6.00,4.00,4.50,2.00,4.00,4.00,301,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',16363,373,NULL,NULL,NULL,NULL,NULL,2,1),(16,3333302,6.00,7.00,8.00,8.00,5.00,5.25,6.00,8.00,4.00,203,NULL,220,'CENTRO','MEDIANEIRA','PR',2429,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3333310,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'OFICINAS','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(16,3333329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3333337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'VILA SEIXAS','RIBEIRãO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3333345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3333353,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'COREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3333370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CERQUEIRA CEZAR','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3333396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3333400,4.00,3.00,1.00,5.00,3.00,NULL,1.00,4.00,2.00,220,NULL,208,'SãO SIMãO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3333426,3.00,3.00,6.00,3.00,2.00,NULL,2.00,4.00,2.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3333434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3333442,2.00,3.00,3.00,3.00,3.00,NULL,2.00,2.00,3.00,203,NULL,201,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3333450,2.00,5.00,3.00,5.00,1.00,NULL,4.00,4.00,4.00,5,NULL,NULL,'JURERE INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3333469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3333485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PLANALTO','IBIRUBá','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3333493,2.00,2.00,3.00,6.00,4.00,6.25,3.00,3.00,4.00,332,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',16147,58,NULL,NULL,NULL,NULL,NULL,2,1),(16,3333507,8.00,4.00,4.00,6.00,5.00,6.25,4.00,3.00,3.00,452,NULL,NULL,'CENTRO','VACARIA','RS',8925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3333515,2.00,3.00,1.00,3.00,1.00,NULL,2.00,3.00,4.00,108,NULL,NULL,'JURERE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3333531,4.00,0.00,1.00,7.00,5.00,6.75,3.00,5.00,2.00,207,NULL,NULL,'MICHEL','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3333540,0.00,0.00,1.00,0.00,0.00,NULL,3.00,1.00,1.00,319,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3333558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3333574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3333582,4.00,6.00,7.00,7.00,7.00,6.00,3.00,7.00,4.00,303,NULL,NULL,'TABOãO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3333604,3.00,4.00,2.00,2.00,0.00,NULL,0.00,0.00,3.00,215,NULL,216,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3333639,2.00,4.00,1.00,3.00,3.00,NULL,2.00,5.00,2.00,302,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3333647,4.00,4.00,2.00,7.00,4.00,5.00,1.00,4.00,3.00,316,NULL,NULL,'CAMAQUA','PTO ALEGRE','RS',15265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3333655,1.00,5.00,1.00,0.00,5.00,NULL,1.00,3.00,3.00,451,NULL,NULL,'SANTA Fé','SAPIRANGA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3333663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'PONTAL','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3333671,4.00,6.00,3.00,8.00,5.00,6.75,2.00,6.00,4.00,214,NULL,220,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3333680,3.00,5.00,3.00,9.00,4.00,3.00,3.00,4.00,3.00,5,NULL,NULL,'LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3333698,4.00,1.00,1.00,3.00,1.00,NULL,2.00,0.00,2.00,102,NULL,NULL,'SERRARIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3333701,2.00,3.00,3.00,0.00,3.00,NULL,3.00,5.00,3.00,201,NULL,208,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3333710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE UNIVERSITáRIA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3333728,5.00,4.00,3.00,4.00,3.00,NULL,2.00,4.00,4.00,207,NULL,233,'CENTRO','S SEBASTIãO PARAíSO','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3333736,3.00,5.00,2.00,4.00,3.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'TABULEIRO','CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3333744,1.00,3.00,4.00,2.00,1.00,NULL,2.00,2.00,2.00,223,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3333752,3.00,1.00,3.00,1.00,2.00,NULL,1.00,2.00,2.00,316,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3333779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'INTERIOR','CAC DOBLE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3333787,1.00,3.00,2.00,5.00,2.00,NULL,3.00,5.00,2.00,223,NULL,NULL,'RIO GRANDE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3333817,2.00,2.00,2.00,2.00,2.00,NULL,1.00,2.00,3.00,308,NULL,NULL,'INTERIOR','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3333850,3.00,5.00,4.00,9.00,6.00,7.25,2.00,5.00,3.00,303,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3333876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'JARDIM LINDóIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3333884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PARQUE DO LAGO','ESPíRITO STO PINHAL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3333906,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','CASCA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3333914,5.00,4.00,3.00,7.00,6.00,6.50,4.00,7.00,3.00,303,NULL,NULL,'SANTO ANTôNIO','PTO ALEGRE','RS',8461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3333922,4.00,4.00,2.00,0.00,2.00,NULL,1.00,1.00,2.00,211,NULL,201,'JANUARIO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3333930,3.00,7.00,3.00,6.00,6.00,4.50,0.00,2.00,6.00,216,NULL,214,'FRANCIOSE','VACARIA','RS',13523,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3333949,3.00,3.00,3.00,7.00,4.00,4.75,2.00,2.00,3.00,208,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',16412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3333965,1.00,2.00,2.00,2.00,5.00,NULL,3.00,4.00,2.00,316,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3333973,3.00,4.00,3.00,5.00,3.00,NULL,6.00,7.00,1.00,303,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3333990,2.00,5.00,4.00,7.00,4.00,5.25,1.00,3.00,4.00,310,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',14058,54,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334007,1.00,2.00,1.00,2.00,0.00,NULL,1.00,2.00,3.00,503,NULL,NULL,'ARMAçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'WERNER PLAAS','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3334023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3334031,2.00,2.00,2.00,2.00,0.00,NULL,1.00,2.00,0.00,404,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3334058,4.00,4.00,1.00,3.00,3.00,NULL,2.00,5.00,4.00,5,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334066,4.00,2.00,2.00,3.00,3.00,NULL,0.00,2.00,3.00,452,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3334074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','ESTEIO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3334082,4.00,6.00,1.00,9.00,8.00,5.25,2.00,6.00,3.00,340,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',9309,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3334090,3.00,4.00,2.00,3.00,5.00,NULL,2.00,2.00,4.00,102,NULL,NULL,'BELA VISTA','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3334104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'GRANJA JULIETA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3334112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUENO','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3334120,3.00,3.00,3.00,0.00,2.00,NULL,1.00,2.00,3.00,208,NULL,NULL,'JARAGUá ESQUERDO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3334139,3.00,5.00,1.00,6.00,3.00,NULL,0.00,7.00,4.00,332,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334155,5.00,4.00,6.00,8.00,6.00,6.25,3.00,3.00,4.00,451,NULL,NULL,'BALNEáRIO ESTREITO','FLORIANóPOLIS','SC',7888,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3334163,3.00,2.00,2.00,2.00,1.00,NULL,3.00,3.00,2.00,303,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3334171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3334180,4.00,5.00,1.00,3.00,3.00,NULL,3.00,6.00,3.00,340,NULL,NULL,'ESTREITO CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3334201,3.00,3.00,1.00,7.00,4.00,5.75,2.00,3.00,5.00,333,NULL,NULL,'BOM VIVER','BIGUAçU','SC',15465,135,NULL,NULL,NULL,NULL,NULL,2,1),(16,3334210,9.00,6.00,8.00,9.00,5.00,6.00,4.00,5.00,6.00,211,NULL,216,'VILA BRASIL','LONDRINA','PR',2918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,212,'JARDIM AEROPORTO','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3334244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO CRISTOVAO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3334252,4.00,6.00,4.00,2.00,4.00,4.00,4.00,6.00,2.00,304,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'JARDIM TENIS CLUBE','PARAGUAçU PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3334287,6.00,6.00,2.00,8.00,4.00,5.75,2.00,5.00,2.00,108,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',10350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334309,3.00,3.00,1.00,5.00,4.00,5.50,4.00,3.00,3.00,415,NULL,NULL,'VILA NOVA','JARAGUá SUL','SC',15528,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3334325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3334333,6.00,6.00,4.00,6.00,4.00,5.00,4.00,3.00,4.00,319,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',11185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334341,8.00,8.00,7.00,9.00,8.00,6.50,2.00,8.00,7.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',973,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3334350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3334376,4.00,1.00,1.00,1.00,5.00,NULL,2.00,3.00,3.00,303,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3334384,4.00,3.00,1.00,1.00,3.00,NULL,3.00,4.00,2.00,301,NULL,NULL,'N S APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3334392,5.00,6.00,4.00,7.00,6.00,6.75,3.00,6.00,3.00,303,NULL,NULL,'CENTRO','TAIó','SC',8291,369,NULL,NULL,NULL,NULL,NULL,2,1),(16,3334406,4.00,4.00,2.00,3.00,5.00,6.75,0.00,7.00,3.00,429,NULL,425,'TRINDADE','FLORIANóPOLIS','SC',15242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334414,4.00,5.00,2.00,4.00,7.00,6.25,4.00,5.00,1.00,207,NULL,201,'CENTRO','FLORIANóPOLIS','SC',12837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334449,5.00,7.00,4.00,7.00,6.00,7.25,2.00,7.00,6.00,5,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',5597,228,NULL,NULL,NULL,NULL,NULL,2,1),(16,3334457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JD SENADOR VERGUEIR','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3334465,2.00,3.00,3.00,2.00,1.00,NULL,3.00,0.00,2.00,214,NULL,213,'DOM BOSCO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3334473,4.00,3.00,2.00,4.00,4.00,6.25,1.00,3.00,4.00,103,NULL,NULL,'JARDIM MEDITERRâNEO','LIMEIRA','SP',16216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334490,4.00,3.00,2.00,5.00,3.00,NULL,3.00,3.00,3.00,339,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3334503,5.00,6.00,3.00,2.00,1.00,NULL,2.00,6.00,2.00,225,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334520,6.00,6.00,2.00,3.00,5.00,4.75,2.00,4.00,2.00,317,NULL,NULL,'GUIOMAR','ANTôNIO CARLOS','SC',15118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334538,4.00,4.00,4.00,7.00,3.00,NULL,2.00,4.00,1.00,303,NULL,NULL,'COMERCIÁRIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3334546,3.00,4.00,3.00,2.00,3.00,NULL,2.00,3.00,4.00,444,NULL,NULL,'CENTRO','ESTEIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334554,4.00,5.00,3.00,7.00,4.00,5.25,1.00,4.00,2.00,207,NULL,238,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334562,2.00,4.00,1.00,4.00,5.00,6.25,3.00,7.00,2.00,319,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',14752,319,NULL,NULL,NULL,NULL,NULL,2,1),(16,3334570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3334589,5.00,3.00,1.00,4.00,2.00,NULL,2.00,2.00,3.00,303,NULL,NULL,'BELA VISTA I','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3334597,0.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3334600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3334619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'LIDER','CHAPECó','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3334627,5.00,2.00,4.00,9.00,7.00,7.25,3.00,8.00,3.00,340,NULL,NULL,'CENTRO','GASPAR','SC',7000,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3334635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'ALTO DA GLóRIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3334643,2.00,5.00,3.00,8.00,6.00,5.50,4.00,7.00,4.00,207,NULL,212,'VILA FáTIMA','JATAí','GO',8552,388,NULL,254,NULL,NULL,NULL,2,1),(16,3334660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ALBATROZ','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3334678,3.00,1.00,4.00,2.00,2.00,NULL,2.00,4.00,2.00,303,NULL,NULL,'PARQUE EMBOABA','TRAMANDAí','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334686,4.00,3.00,2.00,5.00,3.00,NULL,2.00,2.00,4.00,208,NULL,238,'RIBANCEIRA DO SUL','SAO JOAO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3334694,3.00,7.00,4.00,4.00,6.00,6.50,4.00,9.00,2.00,428,NULL,425,'AREIAS','S JOSé','SC',8337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334716,5.00,5.00,2.00,9.00,7.00,7.00,2.00,8.00,3.00,415,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',7692,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3334740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3334759,6.00,4.00,1.00,5.00,4.00,7.25,3.00,6.00,3.00,452,NULL,NULL,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3334775,6.00,7.00,3.00,9.00,5.00,6.25,4.00,7.00,5.00,426,NULL,428,'PARQUE DAS PALMEIRAS','CHAPECó','SC',4390,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3334791,5.00,4.00,2.00,0.00,4.00,5.50,3.00,3.00,4.00,316,NULL,NULL,'CENTRO','PALHOçA','SC',16453,209,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334805,3.00,4.00,4.00,2.00,2.00,NULL,2.00,3.00,4.00,303,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3334813,3.00,3.00,3.00,2.00,4.00,NULL,3.00,1.00,2.00,104,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM CEREJEIRAS','ATIBAIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3334856,1.00,4.00,5.00,5.00,3.00,NULL,0.00,4.00,3.00,404,NULL,NULL,'JARDIM JANAíNA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3334880,6.00,6.00,7.00,9.00,7.00,8.25,2.00,8.00,6.00,429,NULL,425,'JARDIM IZAURA','SOROCABA','SP',2328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3334899,6.00,5.00,3.00,4.00,3.00,NULL,1.00,6.00,4.00,304,NULL,NULL,'FáTIMA','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3334902,3.00,3.00,2.00,4.00,5.00,4.00,1.00,3.00,5.00,503,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',16665,84,NULL,NULL,NULL,NULL,NULL,2,1),(16,3334910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3334937,4.00,5.00,2.00,6.00,5.00,5.75,3.00,6.00,2.00,108,NULL,NULL,'XV DE NOVEMBRO','TIJUCAS','SC',13152,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3334945,2.00,5.00,2.00,4.00,4.00,NULL,2.00,3.00,3.00,108,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3334953,4.00,4.00,3.00,4.00,1.00,NULL,2.00,4.00,4.00,201,NULL,207,'CACHOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3334961,3.00,2.00,1.00,6.00,6.00,6.50,2.00,4.00,4.00,303,NULL,NULL,'RIO BRANCO','CAXIAS SUL','RS',14149,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3335011,2.00,3.00,3.00,3.00,2.00,NULL,2.00,2.00,3.00,309,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3335020,3.00,5.00,4.00,6.00,5.00,4.75,2.00,5.00,2.00,2,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3335038,5.00,6.00,1.00,3.00,3.00,NULL,1.00,5.00,3.00,301,NULL,NULL,'GLóRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3335046,3.00,3.00,3.00,5.00,3.00,NULL,2.00,2.00,3.00,316,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3335054,1.00,1.00,2.00,6.00,3.00,NULL,3.00,1.00,2.00,451,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3335062,2.00,2.00,3.00,2.00,4.00,NULL,2.00,8.00,2.00,103,NULL,NULL,'CENTRO','RONDA ALTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3335070,5.00,2.00,3.00,6.00,4.00,NULL,2.00,1.00,1.00,317,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3335089,1.00,4.00,2.00,3.00,4.00,NULL,2.00,6.00,2.00,303,NULL,NULL,'FUNDOS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3335100,4.00,8.00,2.00,9.00,4.00,6.00,3.00,7.00,3.00,420,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3335127,4.00,3.00,3.00,4.00,3.00,NULL,2.00,1.00,4.00,501,NULL,NULL,'CENTRO','STA IZABEL OESTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3335135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CAPAO REDONDO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3335151,2.00,3.00,1.00,2.00,5.00,NULL,3.00,1.00,4.00,9,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3335160,3.00,4.00,3.00,3.00,4.00,4.00,0.00,4.00,4.00,207,NULL,211,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',16698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3335178,5.00,6.00,4.00,8.00,8.00,6.50,4.00,7.00,4.00,211,NULL,201,'CENTRO','TUBARãO','SC',4331,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3335186,5.00,5.00,4.00,6.00,2.00,NULL,3.00,5.00,3.00,450,NULL,NULL,'SAPOPEMA','VERANóPOLIS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3335194,3.00,4.00,4.00,2.00,3.00,NULL,4.00,5.00,2.00,211,NULL,NULL,'LURDES','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3335216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','ARAQUARI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3335224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COUNTRY','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3335267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'BUTIATUVINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3335275,5.00,3.00,1.00,2.00,2.00,NULL,3.00,3.00,3.00,202,NULL,213,'SANTA LUCIA','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3335283,3.00,4.00,4.00,5.00,5.00,5.25,3.00,3.00,4.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3335291,2.00,3.00,1.00,6.00,5.00,NULL,1.00,5.00,2.00,415,NULL,NULL,'MICHEL','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3335305,3.00,5.00,2.00,3.00,4.00,5.00,2.00,7.00,4.00,303,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',14846,649,NULL,NULL,NULL,NULL,NULL,4,1),(16,3335313,2.00,1.00,1.00,1.00,3.00,NULL,1.00,1.00,3.00,316,NULL,NULL,'SACO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3335321,4.00,5.00,1.00,3.00,5.00,6.25,3.00,8.00,0.00,333,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',14941,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3335348,2.00,7.00,4.00,2.00,6.00,4.75,2.00,8.00,2.00,318,NULL,NULL,'CIDADE DUTRA','S PAULO','SP',12993,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3335356,2.00,2.00,2.00,4.00,3.00,NULL,0.00,2.00,2.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3335364,8.00,8.00,7.00,7.00,7.00,7.00,8.00,8.00,8.00,5,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3335372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'FLORESTA','MONDAí','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3335380,4.00,5.00,5.00,8.00,5.00,5.75,5.00,8.00,7.00,318,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',4673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3335410,3.00,4.00,4.00,6.00,5.00,5.00,2.00,6.00,3.00,415,NULL,NULL,'BELA VISTA I','S JOSé','SC',14213,362,NULL,NULL,NULL,NULL,NULL,2,1),(16,3335429,7.00,7.00,4.00,7.00,6.00,5.50,5.00,6.00,5.00,317,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',5533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3335437,6.00,3.00,3.00,3.00,4.00,4.75,4.00,3.00,5.00,203,NULL,NULL,'SANTO ANTONIO','CRICIúMA','SC',15051,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3335445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3335453,5.00,3.00,5.00,7.00,6.00,5.00,3.00,6.00,3.00,9,NULL,NULL,'VL ANTONIO VENDAS','CPO GRANDE','MS',10010,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3335461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3335470,4.00,3.00,1.00,2.00,3.00,NULL,3.00,1.00,1.00,201,NULL,211,'NOSSA SENHORA AP','PTE ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3335500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SÃO PAULO','STO ANTôNIO PLATINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3335518,6.00,5.00,4.00,8.00,7.00,6.75,4.00,8.00,5.00,420,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',4274,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3335526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3335534,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3335550,6.00,5.00,6.00,9.00,5.00,4.75,2.00,7.00,6.00,203,NULL,220,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3335569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM ANALIA FRANCO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3335585,3.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,2.00,331,NULL,NULL,'AREIAS DO MEIO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3335593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CENTRO','BARRA GARçAS','MT',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3335607,3.00,3.00,2.00,2.00,2.00,NULL,2.00,5.00,2.00,203,NULL,202,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3335623,5.00,4.00,2.00,5.00,5.00,6.75,4.00,5.00,4.00,207,NULL,201,'LINHA CAXIAS','PINHEIRO PRETO','SC',10880,526,NULL,845,NULL,NULL,NULL,2,1),(16,3335631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'ZONA NORTE','IA SOLTEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3335658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PROGRESSO','PARANAVAí','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3335666,4.00,3.00,4.00,6.00,5.00,5.00,0.00,4.00,1.00,207,NULL,201,'NOVA BRASILIA','JOINVILLE','SC',16329,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3335674,1.00,2.00,1.00,5.00,2.00,NULL,2.00,0.00,1.00,404,NULL,NULL,'CENTRO','PELOTAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3335682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'MOD QUATRO','JUíNA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3335690,7.00,6.00,5.00,6.00,6.00,5.50,2.00,8.00,5.00,303,NULL,NULL,'CENTRO','CRUZEIRO OESTE','PR',5507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3335704,5.00,6.00,3.00,3.00,4.00,4.50,3.00,6.00,3.00,420,NULL,NULL,'DEHON','TUBARãO','SC',13175,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3335712,4.00,4.00,5.00,5.00,5.00,5.50,3.00,4.00,2.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3335720,6.00,6.00,3.00,9.00,6.00,6.25,4.00,5.00,4.00,428,NULL,424,'CENTRO','ITAJAí','SC',6258,NULL,NULL,NULL,NULL,NULL,NULL,3,6),(16,3335739,7.00,6.00,3.00,6.00,7.00,6.25,2.00,5.00,5.00,103,NULL,NULL,'PIONEIROS','BAL CAMBORIú','SC',7011,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3335755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','URUPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3335771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','GETúLIO VARGAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3335780,6.00,8.00,5.00,9.00,4.00,5.25,4.00,7.00,7.00,238,NULL,213,'BALNEÁRIO ESTREITO','FLORIANOPOLIS','SC',2784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3335798,5.00,5.00,4.00,8.00,6.00,4.00,4.00,7.00,7.00,404,NULL,NULL,'ASA SUL','BRASíLIA','DF',5846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3335801,5.00,4.00,5.00,0.00,2.00,NULL,2.00,2.00,3.00,216,NULL,215,'CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3335810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3335836,2.00,5.00,3.00,8.00,7.00,7.00,2.00,8.00,4.00,425,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',9124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3335860,2.00,7.00,2.00,6.00,6.00,6.00,4.00,9.00,4.00,5,NULL,NULL,'PONTE IMARUIM','PALHOçA','SC',9840,366,NULL,NULL,NULL,NULL,NULL,2,1),(16,3335879,4.00,4.00,4.00,5.00,3.00,NULL,2.00,3.00,2.00,319,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3335887,3.00,4.00,2.00,6.00,5.00,5.00,3.00,7.00,2.00,309,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',13975,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3335895,2.00,3.00,1.00,0.00,1.00,NULL,2.00,5.00,4.00,214,NULL,220,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3335917,5.00,7.00,2.00,4.00,5.00,6.75,1.00,3.00,6.00,303,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',12008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3335925,5.00,4.00,4.00,7.00,5.00,6.25,3.00,3.00,2.00,9,NULL,NULL,'CENTRO','FORQUILHINHA','SC',12765,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3335933,2.00,5.00,2.00,8.00,5.00,NULL,0.00,0.00,0.00,202,NULL,216,'PIO X','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3335941,3.00,4.00,1.00,5.00,4.00,5.50,3.00,5.00,4.00,318,NULL,NULL,'SAGUAçU','JOINVILLE','SC',14689,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3335950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S LUIZ GONZAGA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3335968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VERGUEIRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3335984,4.00,5.00,3.00,6.00,5.00,5.00,2.00,5.00,4.00,301,NULL,NULL,'SANTA BáRBARA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3335992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'TERRA NOVA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3336000,2.00,5.00,3.00,7.00,3.00,NULL,3.00,4.00,2.00,308,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3336018,1.00,1.00,1.00,2.00,4.00,NULL,5.00,3.00,1.00,5,NULL,NULL,'CENTRO','CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3336026,2.00,2.00,3.00,1.00,3.00,NULL,2.00,4.00,2.00,203,NULL,202,'SAGRADO CORAçAO DE J','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3336034,4.00,4.00,4.00,4.00,4.00,NULL,1.00,4.00,0.00,238,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336050,3.00,5.00,4.00,7.00,4.00,NULL,2.00,6.00,0.00,225,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336077,7.00,7.00,1.00,7.00,5.00,6.00,5.00,7.00,5.00,102,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',6463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336093,1.00,0.00,3.00,2.00,3.00,NULL,3.00,0.00,3.00,309,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3336131,2.00,2.00,1.00,2.00,1.00,NULL,2.00,1.00,4.00,302,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3336140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3336166,3.00,3.00,3.00,7.00,4.00,7.00,3.00,4.00,3.00,319,NULL,NULL,'CENTRO','MAXIMILIANO ALMEIDA','RS',13485,282,NULL,NULL,NULL,NULL,NULL,2,7),(16,3336174,4.00,5.00,4.00,3.00,4.00,4.50,1.00,5.00,1.00,328,NULL,NULL,'ITAGUAçú','FLORIANóPOLIS','SC',16414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3336182,5.00,5.00,4.00,8.00,6.00,5.00,4.00,8.00,5.00,103,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336190,5.00,6.00,5.00,3.00,4.00,4.00,3.00,6.00,3.00,207,NULL,211,'RIO TAVARES','FLORIANóPOLIS','SC',14114,728,NULL,480,NULL,NULL,NULL,2,1),(16,3336212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MANDAGUARI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3336239,1.00,3.00,2.00,5.00,3.00,NULL,3.00,0.00,4.00,207,NULL,212,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3336247,1.00,2.00,3.00,1.00,4.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3336255,4.00,6.00,3.00,4.00,3.00,NULL,3.00,5.00,3.00,103,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3336271,1.00,3.00,2.00,3.00,3.00,NULL,1.00,3.00,0.00,301,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3336280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JABAQUARA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3336301,3.00,5.00,7.00,6.00,4.00,5.75,3.00,2.00,4.00,5,NULL,NULL,'ENSEADA','SAO FRANCISCO DO SUL','SC',11978,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3336310,2.00,4.00,2.00,0.00,0.00,NULL,1.00,3.00,3.00,301,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,2),(16,3336336,1.00,1.00,1.00,2.00,3.00,NULL,3.00,2.00,3.00,301,NULL,NULL,'PRAIA DE FORA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3336344,6.00,4.00,3.00,4.00,5.00,6.00,4.00,5.00,2.00,201,NULL,207,'COOPHAVALE','CAMAPUã','MS',13174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336352,2.00,7.00,4.00,4.00,4.00,4.75,3.00,3.00,1.00,238,NULL,211,'MICHEL','CRICIúMA','SC',16313,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3336395,2.00,4.00,1.00,2.00,3.00,NULL,3.00,2.00,3.00,211,NULL,201,'COMERCIáRIO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3336409,6.00,6.00,5.00,9.00,7.00,5.50,5.00,6.00,3.00,207,NULL,201,'BALNEARIO','FLORIANóPOLIS','SC',4902,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3336425,5.00,5.00,4.00,7.00,4.00,6.25,3.00,4.00,4.00,201,NULL,212,'CENTRO','IçARA','SC',11221,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3336433,3.00,5.00,3.00,7.00,3.00,NULL,2.00,3.00,3.00,101,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3336441,5.00,6.00,8.00,9.00,7.00,5.75,4.00,8.00,7.00,207,NULL,201,'ALTO DA BOA VISTA','S PAULO','SP',1863,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3336468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'OLARIA','S CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3336492,6.00,7.00,5.00,8.00,7.00,4.75,6.00,6.00,3.00,238,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',4401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3336506,2.00,3.00,2.00,4.00,2.00,NULL,3.00,4.00,2.00,214,NULL,233,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3336530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BORTOLâNDIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3336557,3.00,5.00,6.00,6.00,6.00,5.50,4.00,5.00,4.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336565,3.00,3.00,5.00,4.00,3.00,NULL,1.00,5.00,5.00,103,NULL,NULL,'CHAMPAGNAT','CACADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3336573,2.00,2.00,2.00,7.00,5.00,5.75,2.00,3.00,4.00,303,NULL,NULL,'PORTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336603,7.00,2.00,2.00,3.00,3.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'JD SEMINARIO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336611,0.00,1.00,4.00,3.00,2.00,NULL,2.00,0.00,2.00,503,NULL,NULL,'CENTRO','FORMOSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3336620,4.00,4.00,1.00,7.00,6.00,5.75,4.00,5.00,4.00,303,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3336646,5.00,2.00,3.00,3.00,2.00,NULL,2.00,4.00,1.00,208,NULL,238,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA QUATRO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3336662,3.00,4.00,4.00,5.00,1.00,NULL,1.00,1.00,3.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3336670,1.00,3.00,3.00,3.00,3.00,NULL,2.00,2.00,3.00,301,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336689,2.00,4.00,2.00,8.00,7.00,5.50,3.00,6.00,5.00,340,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CARIRU','IPATINGA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3336719,4.00,3.00,3.00,6.00,5.00,3.25,4.00,7.00,3.00,220,NULL,213,'SAO CRISTOVãO','SALETE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3336727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'BOTAFOGO','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3336735,5.00,5.00,3.00,9.00,6.00,6.00,2.00,5.00,1.00,103,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3336778,5.00,5.00,5.00,7.00,5.00,6.25,1.00,4.00,3.00,340,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336786,0.00,0.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,211,NULL,215,'TABULEIRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(16,3336816,6.00,7.00,6.00,7.00,7.00,4.00,6.00,8.00,4.00,213,NULL,212,'BAIRRO BPS','ITAJUBá','MG',3610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336824,5.00,4.00,1.00,1.00,2.00,NULL,3.00,2.00,4.00,201,NULL,212,'CENTRO','S JOãO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336840,4.00,8.00,6.00,7.00,4.00,7.00,6.00,6.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336859,3.00,2.00,2.00,7.00,4.00,NULL,3.00,2.00,1.00,203,NULL,208,'IMPERIAL','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336875,7.00,6.00,9.00,9.00,6.00,7.00,6.00,8.00,8.00,103,NULL,NULL,'BALNEARIO','FLORIANóPOLIS','SC',694,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3336883,6.00,9.00,3.00,7.00,3.00,NULL,4.00,6.00,5.00,332,NULL,NULL,'CENTRO','SUL BRASIL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3336891,4.00,4.00,3.00,4.00,4.00,5.25,2.00,2.00,4.00,301,NULL,NULL,'JARDIM DO SOL','CáSSIA','MG',15232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336913,2.00,2.00,1.00,3.00,1.00,NULL,1.00,2.00,2.00,444,NULL,NULL,'VILA SANTANA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3336921,6.00,6.00,4.00,3.00,3.00,NULL,3.00,6.00,4.00,501,NULL,NULL,'CZERNIEWICZ','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3336956,3.00,4.00,2.00,3.00,2.00,NULL,1.00,2.00,4.00,425,NULL,428,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3336964,3.00,1.00,2.00,3.00,3.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'BARRIL','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3336972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'ZONA CINCO','MARINGá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3337006,5.00,7.00,8.00,9.00,7.00,6.50,3.00,8.00,5.00,303,NULL,NULL,'LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3337014,3.00,4.00,4.00,5.00,5.00,6.50,2.00,7.00,3.00,202,NULL,220,'DOS MUNICíPIOS','BAL CAMBORIú','SC',11167,398,NULL,421,NULL,NULL,NULL,4,3),(16,3337022,2.00,3.00,1.00,3.00,4.00,NULL,4.00,2.00,3.00,202,NULL,220,'PRAIA DE FORA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3337057,2.00,3.00,4.00,4.00,2.00,NULL,2.00,2.00,2.00,319,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3337090,3.00,3.00,3.00,4.00,1.00,NULL,1.00,3.00,3.00,316,NULL,NULL,'ARAçATUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3337111,4.00,3.00,5.00,3.00,4.00,NULL,2.00,1.00,1.00,415,NULL,NULL,'MONTE ALEGRE','CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3337120,3.00,5.00,4.00,8.00,6.00,5.50,2.00,4.00,3.00,427,NULL,425,'AGRONOMICA','FLORIANóPOLIS','SC',13135,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3337138,5.00,5.00,4.00,7.00,7.00,5.00,3.00,7.00,5.00,103,NULL,NULL,'ZONA DOIS','UMUARAMA','PR',7253,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3337146,4.00,4.00,4.00,4.00,6.00,4.75,2.00,1.00,5.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',14503,415,NULL,NULL,NULL,NULL,NULL,2,1),(16,3337170,2.00,5.00,2.00,7.00,3.00,NULL,3.00,7.00,3.00,103,NULL,NULL,'CENTRO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3337189,6.00,4.00,3.00,4.00,6.00,5.75,3.00,4.00,3.00,301,NULL,NULL,'OFICINAS','TUBARãO','SC',13341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3337219,3.00,4.00,3.00,1.00,2.00,NULL,2.00,1.00,4.00,317,NULL,NULL,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3337227,3.00,4.00,4.00,1.00,4.00,4.75,3.00,4.00,4.00,103,NULL,NULL,'FANNY','CURITIBA','PR',16315,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3337235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3337243,1.00,4.00,2.00,5.00,5.00,NULL,2.00,3.00,1.00,302,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3337251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOSSA SENHORA APAREC','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3337316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM GOIAS','GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3337324,2.00,0.00,1.00,0.00,3.00,NULL,3.00,1.00,3.00,201,NULL,207,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3337340,7.00,7.00,4.00,6.00,7.00,5.25,6.00,7.00,6.00,202,NULL,NULL,'CENTRO','CORUPá','SC',3119,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3337359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3337375,5.00,4.00,4.00,5.00,6.00,4.75,3.00,7.00,2.00,453,NULL,NULL,'PACHECOS','PALHOçA','SC',11356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3337405,0.00,2.00,1.00,1.00,2.00,NULL,2.00,5.00,3.00,207,NULL,238,'VILA PARAISO','CAçADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3337413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'SãO BERNARDO','UNIãO VITóRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3337421,2.00,5.00,2.00,4.00,5.00,4.50,2.00,5.00,5.00,331,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',15153,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3337430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3337448,3.00,6.00,5.00,2.00,4.00,4.50,3.00,5.00,3.00,316,NULL,NULL,'CENTRO','LAGUNA','SC',14418,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3337464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,NULL,'MASSIAMBU','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3337480,7.00,5.00,6.00,7.00,7.00,7.25,5.00,5.00,5.00,207,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',3525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3337499,4.00,6.00,5.00,7.00,5.00,6.50,3.00,7.00,3.00,238,NULL,233,'CORREGO GRANDE','FLORIANOPOLIS','SC',8061,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3337510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO SUL','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3337529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,208,'IPANEMA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3337537,4.00,8.00,4.00,1.00,4.00,4.50,2.00,8.00,1.00,318,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3337545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA OLIMPIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3337553,6.00,3.00,2.00,4.00,3.00,NULL,1.00,2.00,4.00,208,NULL,238,'CENTRO','LOANDA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3337561,3.00,2.00,4.00,7.00,5.00,6.25,1.00,7.00,3.00,5,NULL,NULL,'JARDIM ELIZABETTE','IçARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3337570,4.00,5.00,2.00,8.00,3.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'SãO CRISTOVãO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3337588,5.00,4.00,2.00,4.00,5.00,6.00,3.00,4.00,3.00,103,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',14859,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3337596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'ORFAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1);
INSERT INTO boletim_desempenho VALUES (16,3337618,9.00,6.00,5.00,8.00,4.00,5.00,6.00,9.00,8.00,104,NULL,NULL,'JARDIM AMéRICA','RIO SUL','SC',2120,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3337626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3337634,4.00,2.00,1.00,3.00,4.00,NULL,2.00,2.00,3.00,319,NULL,NULL,'SAGUAçU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3337642,2.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,3.00,104,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3337650,3.00,3.00,1.00,5.00,6.00,NULL,2.00,3.00,2.00,102,NULL,NULL,'SANTA ANA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3337669,6.00,7.00,7.00,7.00,5.00,5.50,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','IRATI','PR',2898,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3337677,3.00,5.00,2.00,2.00,5.00,NULL,2.00,4.00,2.00,303,NULL,NULL,'ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3337685,3.00,4.00,4.00,3.00,2.00,NULL,2.00,3.00,2.00,316,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3337693,7.00,8.00,7.00,8.00,6.00,5.25,7.00,7.00,8.00,103,NULL,NULL,'SETOR BUENO','GOIâNIA','GO',993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3337707,8.00,6.00,2.00,7.00,5.00,4.75,2.00,7.00,6.00,103,NULL,NULL,'PRADO VELHO','CURITIBA','PR',6128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3337715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3337731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3337740,2.00,2.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,104,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3337766,2.00,5.00,1.00,6.00,3.00,NULL,4.00,5.00,4.00,444,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3337774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,214,'ALTO DA LAPA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3337804,3.00,3.00,6.00,7.00,6.00,5.50,3.00,6.00,5.00,212,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',10249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3337812,0.00,3.00,1.00,3.00,1.00,NULL,2.00,3.00,3.00,207,NULL,201,'CENTRO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3337820,0.00,0.00,0.00,1.00,0.00,NULL,0.00,0.00,0.00,211,NULL,202,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3337839,0.00,0.00,0.00,3.00,2.00,NULL,1.00,1.00,2.00,404,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,2),(16,3337847,3.00,3.00,2.00,6.00,3.00,NULL,1.00,4.00,4.00,207,NULL,212,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3337863,2.00,3.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3337880,0.00,0.00,0.00,6.00,6.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3337898,5.00,4.00,5.00,8.00,5.00,5.00,2.00,3.00,0.00,324,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3337910,4.00,2.00,1.00,5.00,4.00,NULL,0.00,3.00,4.00,234,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3337928,2.00,4.00,3.00,1.00,2.00,NULL,3.00,2.00,1.00,404,NULL,NULL,'ROCIO GRANDE','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3337936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'JARDIM SILVANA','ALM TAMANDARé','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3337944,3.00,0.00,1.00,3.00,2.00,NULL,4.00,1.00,3.00,5,NULL,NULL,'CENTRO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3337952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3337979,5.00,4.00,4.00,4.00,4.00,4.00,3.00,8.00,5.00,451,NULL,NULL,'FLORESTA','JOINVILLE','SC',12076,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3337987,7.00,5.00,4.00,8.00,6.00,5.75,3.00,4.00,4.00,207,NULL,201,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3337995,7.00,7.00,3.00,6.00,5.00,6.50,2.00,4.00,4.00,9,NULL,NULL,'BUCAREIN','JOINVILLE','SC',8791,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3338002,4.00,7.00,3.00,3.00,4.00,5.50,1.00,6.00,3.00,304,NULL,NULL,'SANTA CLARA DO LAGO','HORTOLâNDIA','SP',13365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3338029,0.00,0.00,0.00,2.00,5.00,NULL,2.00,2.00,1.00,104,NULL,NULL,'CENTRO','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,5),(16,3338037,4.00,4.00,3.00,4.00,4.00,4.50,3.00,4.00,3.00,444,NULL,NULL,'PAGANI','PALHOçA','SC',15401,127,NULL,NULL,NULL,NULL,NULL,4,1),(16,3338045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SãO JUDAS','CAPãO BONITO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3338070,4.00,6.00,2.00,2.00,4.00,5.25,1.00,6.00,3.00,208,NULL,202,'APARECIDA','PALMITINHO','RS',16023,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3338088,2.00,3.00,3.00,2.00,2.00,NULL,4.00,2.00,4.00,415,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3338096,3.00,2.00,1.00,4.00,2.00,NULL,2.00,2.00,3.00,319,NULL,NULL,'CENTRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3338100,7.00,5.00,3.00,8.00,7.00,6.75,3.00,7.00,7.00,103,NULL,NULL,'CAPRICóRNIO','CPO MOURãO','PR',4917,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3338118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SãO JOSE','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3338126,1.00,2.00,1.00,2.00,3.00,NULL,1.00,2.00,0.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3338134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3338142,3.00,4.00,3.00,4.00,4.00,4.75,3.00,5.00,3.00,102,NULL,NULL,'VILA ALEMANHA','LUZERNA','SC',14912,274,NULL,NULL,NULL,NULL,NULL,2,7),(16,3338185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LUCAS ARAúJO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3338193,3.00,5.00,5.00,3.00,5.00,5.00,2.00,4.00,3.00,238,NULL,208,'CENTRO','STO AMARO IMPERATRIZ','SC',14091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3338215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'CENTRO','STO ÂNGELO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3338231,2.00,5.00,3.00,5.00,3.00,NULL,1.00,7.00,2.00,201,NULL,212,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3338240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM TELLES','PALMITAL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3338258,4.00,7.00,5.00,8.00,7.00,6.25,4.00,7.00,2.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',4802,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3338266,2.00,5.00,4.00,5.00,4.00,4.00,2.00,3.00,5.00,224,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',15049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3338274,5.00,4.00,3.00,3.00,3.00,NULL,5.00,1.00,7.00,202,NULL,220,'SãO CRISTOVãO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3338282,4.00,5.00,3.00,4.00,4.00,4.00,1.00,3.00,3.00,101,NULL,NULL,'CENTRO','TUBARãO','SC',16242,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3338290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3338304,8.00,6.00,6.00,9.00,8.00,7.00,3.00,8.00,7.00,5,NULL,NULL,'CIDADE ALTA','BENTO GONçALVES','RS',1411,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3338320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CAMPO D UNA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3338339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','ESPIGãO AT IGUAçU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(16,3338363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'FACULDADE','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',3,3),(16,3338380,6.00,7.00,4.00,7.00,6.00,8.25,6.00,8.00,8.00,203,NULL,202,'JARDIM MARISTELA','CRICIúMA','SC',2204,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3338401,5.00,6.00,4.00,7.00,6.00,4.50,5.00,3.00,5.00,317,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',8400,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3338410,5.00,3.00,2.00,3.00,3.00,NULL,1.00,5.00,3.00,503,NULL,NULL,'LA SALLE','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3338436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'MINA BRASIL','CRICIúMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3338452,3.00,4.00,4.00,9.00,5.00,6.75,2.00,6.00,5.00,103,NULL,NULL,'JARDIM ITAIPU','MARíLIA','SP',8940,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(16,3338479,2.00,2.00,1.00,1.00,2.00,NULL,2.00,1.00,2.00,203,NULL,214,'ALVORADA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3338487,4.00,4.00,4.00,7.00,5.00,6.50,4.00,3.00,3.00,203,NULL,220,'SANTANA','GUARAPUAVA','PR',11543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3338495,5.00,3.00,6.00,7.00,5.00,7.25,2.00,7.00,4.00,424,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',7709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3338509,3.00,2.00,3.00,8.00,3.00,NULL,1.00,2.00,4.00,201,NULL,238,'CENTRO','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3338517,0.00,0.00,0.00,9.00,1.00,NULL,0.00,0.00,0.00,203,NULL,220,'NOVA CICADE','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,'S','S',3,3),(16,3338525,5.00,5.00,1.00,5.00,7.00,4.00,3.00,4.00,4.00,404,NULL,NULL,'VILA NOVA','JOINVILLE','SC',12890,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3338533,2.00,2.00,4.00,3.00,2.00,NULL,3.00,3.00,2.00,501,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3338550,4.00,3.00,2.00,7.00,4.00,5.25,1.00,3.00,3.00,340,NULL,NULL,'JARDIM IGUAçU','FOZ IGUAçU','PR',15557,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3338568,4.00,3.00,1.00,3.00,6.00,5.75,3.00,6.00,4.00,108,NULL,NULL,'COLATTO','XANXERê','SC',14821,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3338576,3.00,2.00,2.00,9.00,4.00,4.75,2.00,4.00,3.00,201,NULL,212,'CENTRO','S MIGUEL OESTE','SC',15300,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3338592,5.00,4.00,5.00,5.00,6.00,5.25,5.00,6.00,7.00,203,NULL,214,'BOM RETIRO','JOINVILLE','SC',6742,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3338606,6.00,1.00,2.00,7.00,4.00,4.50,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3338614,1.00,4.00,4.00,6.00,3.00,NULL,1.00,5.00,5.00,223,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3338622,6.00,3.00,3.00,8.00,2.00,NULL,2.00,4.00,5.00,203,NULL,220,'SAGUAçU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3338630,5.00,6.00,2.00,3.00,6.00,6.75,1.00,8.00,4.00,317,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3338657,1.00,3.00,2.00,3.00,3.00,NULL,3.00,3.00,4.00,317,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3338690,5.00,7.00,2.00,9.00,7.00,6.00,4.00,8.00,5.00,304,NULL,NULL,'BRáS','S PAULO','SP',5637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3338720,4.00,4.00,3.00,9.00,6.00,7.00,3.00,6.00,2.00,303,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',8866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3338738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'JARDIM SEMINARIO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3338746,4.00,5.00,1.00,6.00,5.00,4.00,2.00,6.00,1.00,428,NULL,425,'FUNDOS','BIGUAçU','SC',15128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3338770,6.00,8.00,5.00,9.00,8.00,7.50,3.00,7.00,5.00,318,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',2824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3338789,5.00,7.00,3.00,6.00,7.00,6.75,2.00,6.00,3.00,415,NULL,NULL,'BOA VISTA','JOINVILLE','SC',8006,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3338800,3.00,5.00,3.00,1.00,3.00,NULL,5.00,4.00,2.00,310,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3338819,1.00,3.00,2.00,3.00,4.00,NULL,3.00,3.00,2.00,5,NULL,NULL,'BOA VISTA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3338827,1.00,5.00,1.00,0.00,1.00,NULL,3.00,7.00,4.00,203,NULL,214,'ALVORADA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3338843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3338851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,212,'GONZAGUINHA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3338860,6.00,6.00,5.00,7.00,6.00,NULL,0.00,0.00,0.00,428,NULL,423,'VILA EUNICE VELHA','CACHOEIRINHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3338878,4.00,4.00,2.00,2.00,4.00,3.00,2.00,2.00,6.00,423,NULL,425,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3338894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',5,8),(16,3338908,8.00,9.00,8.00,9.00,7.00,7.25,8.00,9.00,8.00,5,NULL,NULL,'JARDIM AQUáRIUS','S JOSé CAMPOS','SP',92,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3338916,0.00,1.00,4.00,4.00,2.00,NULL,1.00,0.00,4.00,308,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3338924,3.00,3.00,3.00,0.00,1.00,NULL,3.00,3.00,2.00,203,NULL,220,'JANUáRIA','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3338940,5.00,1.00,2.00,4.00,4.00,5.25,3.00,5.00,3.00,238,NULL,208,'BELA VISTA III','S JOSé','SC',15824,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3338959,3.00,5.00,2.00,6.00,3.00,NULL,2.00,1.00,3.00,308,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3338967,8.00,8.00,5.00,9.00,8.00,7.00,4.00,6.00,6.00,103,NULL,NULL,'GRAJAú','BELO HORIZONTE','MG',1545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3338975,3.00,8.00,6.00,7.00,6.00,7.00,6.00,6.00,4.00,329,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',4803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3338991,3.00,2.00,1.00,2.00,4.00,5.50,5.00,5.00,3.00,326,NULL,NULL,'LAGOA DA CONÇEIÇÃO','FLORIANóPOLIS','SC',16317,83,NULL,NULL,NULL,NULL,NULL,4,1),(16,3339009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM LARANJEIRAS','BRAGANçA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3339025,1.00,3.00,3.00,6.00,3.00,NULL,4.00,3.00,3.00,425,NULL,429,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3339033,4.00,3.00,2.00,2.00,0.00,NULL,1.00,1.00,2.00,503,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3339041,5.00,3.00,6.00,5.00,2.00,NULL,4.00,4.00,1.00,310,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3339050,2.00,1.00,3.00,4.00,3.00,NULL,2.00,1.00,2.00,9,NULL,NULL,'BELA VISTA','PTE SERRADA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3339068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,201,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3339084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA FÉ','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3339092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BOTUCATU','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3339106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','PITANGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3339122,5.00,6.00,4.00,5.00,6.00,0.00,4.00,4.00,3.00,238,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3339130,4.00,5.00,1.00,6.00,5.00,6.00,3.00,6.00,4.00,303,NULL,NULL,'CENTRO','CURITIBANOS','SC',11236,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3339149,0.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,201,NULL,207,'VICENTINA','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3339157,5.00,5.00,2.00,7.00,6.00,7.50,1.00,4.00,4.00,215,NULL,201,'SãO JUDAS','ITAJAí','SC',10569,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3339165,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3339190,2.00,2.00,5.00,1.00,6.00,4.75,2.00,5.00,3.00,319,NULL,NULL,'MA APA PEDOSSIAN','CPO GRANDE','MS',15856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3339203,3.00,4.00,2.00,1.00,2.00,NULL,3.00,3.00,2.00,316,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3339211,3.00,3.00,2.00,5.00,2.00,NULL,4.00,2.00,3.00,333,NULL,NULL,'CHACARAS DAS ROSAS','JACUPIRANGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3339220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DO CÓRREGO','PARACATU','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3339238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'OLARIA','LORENA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3339246,6.00,7.00,3.00,7.00,4.00,6.00,5.00,4.00,3.00,213,NULL,208,'CENTRO','PATO BRANCO','PR',7811,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3339262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3339270,2.00,4.00,2.00,5.00,4.00,6.25,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','CHAPECó','SC',16401,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3339289,5.00,5.00,1.00,3.00,6.00,5.25,2.00,3.00,4.00,101,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',14064,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3339297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,429,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3339319,4.00,5.00,6.00,9.00,6.00,4.00,2.00,6.00,4.00,220,NULL,202,'VILA SAO JORGE','S VICENTE','SP',7387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3339327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'PRAIA DE FORA','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3339335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'SERRARIA DO ROCHA','PARANAGUá','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3339386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','TIMBé SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3339394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3339408,7.00,7.00,5.00,8.00,7.00,6.75,2.00,6.00,4.00,301,NULL,NULL,'BELA VISTA I','S JOSé','SC',5086,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3339416,1.00,3.00,2.00,3.00,4.00,NULL,2.00,3.00,4.00,103,NULL,NULL,'SãO MARCOS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3339424,2.00,6.00,2.00,5.00,3.00,NULL,0.00,4.00,3.00,420,NULL,NULL,'COLONINHA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3339432,4.00,7.00,3.00,3.00,4.00,6.50,4.00,8.00,3.00,404,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',10897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3339467,2.00,3.00,2.00,1.00,5.00,NULL,2.00,5.00,1.00,340,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3339475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA RUSSIA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3339483,3.00,2.00,8.00,8.00,5.00,4.25,3.00,9.00,7.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7719,299,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800008,4.00,1.00,3.00,5.00,1.00,NULL,1.00,3.00,2.00,101,NULL,NULL,'SãO JOSé','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800016,4.00,5.00,3.00,5.00,3.00,NULL,2.00,3.00,3.00,317,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800024,2.00,1.00,1.00,0.00,2.00,NULL,3.00,1.00,2.00,319,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800032,5.00,3.00,1.00,2.00,2.00,NULL,3.00,6.00,2.00,202,NULL,213,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800040,3.00,3.00,2.00,7.00,5.00,5.25,2.00,1.00,3.00,501,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',16403,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800067,4.00,1.00,5.00,5.00,2.00,NULL,3.00,4.00,3.00,415,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800075,2.00,5.00,2.00,4.00,2.00,NULL,3.00,6.00,3.00,101,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800083,3.00,5.00,1.00,6.00,3.00,NULL,2.00,5.00,3.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800091,4.00,3.00,1.00,1.00,3.00,NULL,1.00,6.00,2.00,502,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800105,5.00,2.00,1.00,0.00,1.00,NULL,3.00,5.00,2.00,101,NULL,NULL,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800113,2.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,3.00,208,NULL,238,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800121,4.00,5.00,2.00,5.00,6.00,4.75,1.00,5.00,2.00,310,NULL,NULL,'SERRARIA','S JOSé','SC',14924,61,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800130,6.00,7.00,4.00,8.00,5.00,5.25,6.00,7.00,7.00,202,NULL,208,'SAO SEBASTIAO','PALHOçA','SC',3365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800156,5.00,4.00,4.00,8.00,5.00,6.25,8.00,7.00,4.00,103,NULL,NULL,'SãO JOãO','STO AMARO IMPERATRIZ','SC',5084,1509,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800164,3.00,6.00,1.00,3.00,6.00,NULL,2.00,3.00,3.00,326,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800172,6.00,7.00,4.00,7.00,6.00,4.50,2.00,4.00,3.00,103,NULL,NULL,'MACACU','GAROPABA','SC',10190,2245,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800180,7.00,5.00,4.00,8.00,8.00,4.75,3.00,8.00,3.00,238,NULL,208,'JARDIM ZANELLATO','S JOSé','SC',5977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800202,3.00,6.00,2.00,2.00,6.00,4.00,2.00,8.00,2.00,203,NULL,220,'CENTRO','FLORIANóPOLIS','SC',14880,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3800229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,220,'CACUPé','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3800237,2.00,4.00,3.00,0.00,0.00,NULL,2.00,4.00,2.00,102,NULL,NULL,'CACUPé','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(16,3800245,3.00,4.00,2.00,1.00,4.00,NULL,3.00,5.00,2.00,220,NULL,233,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800270,6.00,7.00,5.00,7.00,7.00,5.75,4.00,6.00,6.00,207,NULL,211,'RIO FARIAS','ANTôNIO CARLOS','SC',3874,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800288,5.00,1.00,1.00,4.00,3.00,NULL,2.00,7.00,3.00,310,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800296,2.00,1.00,2.00,2.00,5.00,NULL,3.00,5.00,2.00,317,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800300,4.00,3.00,3.00,2.00,4.00,4.75,2.00,4.00,4.00,316,NULL,NULL,'FIGUEIRA GRANDE','IMARUí','SC',16590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800318,4.00,2.00,3.00,3.00,1.00,NULL,4.00,2.00,2.00,302,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800326,3.00,2.00,3.00,5.00,2.00,NULL,3.00,1.00,2.00,319,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800342,1.00,3.00,2.00,1.00,3.00,NULL,1.00,2.00,1.00,308,NULL,NULL,'POTECAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800350,3.00,2.00,1.00,6.00,3.00,NULL,2.00,5.00,2.00,308,NULL,NULL,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800377,5.00,4.00,4.00,6.00,5.00,4.75,3.00,3.00,5.00,238,NULL,208,'AREIAS','PAULO LOPES','SC',11796,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800407,7.00,5.00,5.00,6.00,5.00,5.50,3.00,5.00,4.00,428,NULL,426,'RATONES','FLORIANóPOLIS','SC',9269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800415,5.00,6.00,6.00,6.00,6.00,5.25,4.00,7.00,4.00,317,NULL,NULL,'RATONES','FLORIANOPOLIS','SC',6668,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800423,3.00,2.00,1.00,2.00,0.00,NULL,1.00,2.00,2.00,101,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800431,4.00,4.00,3.00,3.00,4.00,5.75,3.00,4.00,5.00,202,NULL,203,'CORREGO GRANDE','FLORIANóPOLIS','SC',14614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800440,5.00,3.00,4.00,0.00,5.00,7.25,3.00,7.00,4.00,302,NULL,NULL,'ARMAçãO','FLORIANóPOLIS','SC',12048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800458,2.00,3.00,3.00,3.00,3.00,NULL,3.00,1.00,3.00,304,NULL,NULL,'JOSE MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3800474,2.00,1.00,1.00,2.00,0.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800482,2.00,2.00,2.00,2.00,1.00,NULL,1.00,1.00,3.00,301,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800490,2.00,1.00,1.00,3.00,0.00,NULL,2.00,2.00,3.00,404,NULL,NULL,'SANTOS DUMONT','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800504,4.00,5.00,5.00,0.00,3.00,NULL,5.00,3.00,3.00,317,NULL,NULL,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800512,5.00,3.00,2.00,4.00,1.00,NULL,1.00,2.00,2.00,302,NULL,NULL,'NOVA BELéM','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800520,2.00,7.00,3.00,7.00,6.00,5.75,3.00,8.00,4.00,316,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',8704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800539,2.00,4.00,3.00,3.00,3.00,NULL,2.00,4.00,5.00,426,NULL,425,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800547,3.00,4.00,3.00,3.00,4.00,7.00,2.00,6.00,4.00,426,NULL,425,'ESTREITO','FLORIANóPOLIS','SC',14121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800555,5.00,6.00,1.00,0.00,5.00,NULL,4.00,8.00,2.00,331,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800563,1.00,2.00,2.00,2.00,4.00,NULL,1.00,3.00,3.00,316,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3800598,6.00,5.00,2.00,7.00,6.00,5.75,2.00,5.00,4.00,310,NULL,NULL,'RATONES','FLORIANOPOLIS','SC',9942,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800601,3.00,3.00,3.00,2.00,5.00,NULL,4.00,4.00,2.00,101,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800610,2.00,2.00,3.00,1.00,5.00,NULL,3.00,2.00,4.00,318,NULL,NULL,'CASA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800628,6.00,2.00,2.00,1.00,5.00,NULL,1.00,5.00,3.00,308,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800636,5.00,3.00,4.00,7.00,5.00,4.75,3.00,6.00,3.00,503,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11490,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800644,4.00,5.00,4.00,1.00,3.00,NULL,2.00,3.00,5.00,103,NULL,NULL,'MORRO DA BINA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800652,4.00,3.00,3.00,2.00,4.00,NULL,2.00,3.00,3.00,9,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800660,3.00,4.00,2.00,6.00,3.00,NULL,1.00,4.00,4.00,304,NULL,NULL,'AREIAS DE MACACU','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'AREIAS DE MACACU','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3800687,4.00,5.00,4.00,4.00,3.00,NULL,3.00,4.00,5.00,201,NULL,202,'VARGEM DO BRAçO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800695,6.00,5.00,2.00,2.00,5.00,4.50,1.00,5.00,4.00,9,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',14942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800709,5.00,4.00,1.00,4.00,6.00,5.00,3.00,5.00,3.00,319,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',13925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,427,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3800725,3.00,4.00,3.00,8.00,6.00,6.75,2.00,5.00,4.00,5,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',11055,392,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800733,3.00,2.00,4.00,5.00,4.00,NULL,2.00,2.00,2.00,304,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800741,4.00,3.00,2.00,6.00,5.00,6.00,2.00,5.00,4.00,309,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',14093,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3800776,4.00,6.00,5.00,8.00,3.00,NULL,2.00,7.00,5.00,207,NULL,203,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800784,3.00,6.00,3.00,3.00,5.00,4.50,2.00,9.00,4.00,326,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',11676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800792,4.00,3.00,5.00,1.00,1.00,NULL,2.00,6.00,2.00,205,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800806,1.00,5.00,2.00,5.00,1.00,NULL,1.00,7.00,5.00,208,NULL,238,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800814,4.00,5.00,2.00,5.00,4.00,4.75,2.00,6.00,4.00,238,NULL,208,'PRAIA COMPRIDA','S JOSé','SC',12992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800822,1.00,4.00,1.00,5.00,1.00,NULL,2.00,3.00,4.00,3,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800830,1.00,4.00,1.00,6.00,2.00,NULL,0.00,6.00,1.00,302,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800849,0.00,4.00,2.00,5.00,7.00,NULL,1.00,3.00,3.00,301,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800857,2.00,3.00,3.00,3.00,1.00,NULL,4.00,4.00,2.00,318,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800865,5.00,2.00,2.00,6.00,4.00,5.00,1.00,4.00,3.00,339,NULL,NULL,'JOSE MENDES','FLORIANóPOLIS','SC',16398,33,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3800881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3800890,5.00,4.00,2.00,2.00,5.00,5.50,2.00,7.00,5.00,404,NULL,NULL,'FREITAS','PAULO LOPES','SC',13740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800903,2.00,3.00,1.00,6.00,3.00,NULL,3.00,1.00,4.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800911,3.00,4.00,1.00,2.00,6.00,NULL,1.00,4.00,3.00,339,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800920,4.00,2.00,2.00,5.00,5.00,NULL,1.00,3.00,3.00,453,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800938,2.00,4.00,1.00,6.00,4.00,6.25,1.00,3.00,4.00,318,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',16268,137,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800946,7.00,4.00,4.00,0.00,4.00,5.75,4.00,4.00,3.00,213,NULL,202,'RIO GRANDE','PALHOçA','SC',14147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3800954,2.00,3.00,1.00,3.00,2.00,NULL,1.00,1.00,2.00,101,NULL,NULL,'CACHOEIRA DO BOM J','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800962,3.00,2.00,3.00,4.00,4.00,6.25,2.00,5.00,1.00,309,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',16427,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3800970,2.00,5.00,3.00,7.00,7.00,4.00,2.00,4.00,5.00,233,NULL,207,'RIO VERMELHO','FLORIANóPOLIS','SC',12967,396,NULL,660,NULL,NULL,NULL,2,1),(16,3800989,0.00,3.00,1.00,3.00,3.00,NULL,1.00,2.00,2.00,309,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801012,2.00,3.00,3.00,2.00,3.00,NULL,2.00,2.00,2.00,332,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,427,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3801039,3.00,1.00,1.00,5.00,3.00,NULL,3.00,0.00,2.00,444,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801047,2.00,3.00,2.00,5.00,3.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,423,'CANTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3801063,2.00,3.00,2.00,2.00,2.00,NULL,1.00,3.00,4.00,9,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801071,3.00,2.00,4.00,4.00,3.00,NULL,2.00,4.00,2.00,202,NULL,216,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3801098,4.00,6.00,3.00,3.00,3.00,NULL,4.00,3.00,1.00,427,NULL,428,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3801110,2.00,1.00,2.00,5.00,1.00,NULL,5.00,3.00,3.00,301,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801128,4.00,2.00,1.00,5.00,3.00,NULL,1.00,4.00,3.00,214,NULL,203,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801144,3.00,2.00,4.00,3.00,1.00,NULL,2.00,2.00,3.00,503,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801152,5.00,4.00,2.00,7.00,6.00,4.75,4.00,6.00,4.00,213,NULL,202,'TRINDADE','FLORIANóPOLIS','SC',9549,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801160,3.00,3.00,3.00,2.00,2.00,NULL,2.00,2.00,2.00,328,NULL,NULL,'BOM VIVER','BIGUACU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801179,3.00,4.00,1.00,5.00,3.00,NULL,2.00,5.00,3.00,309,NULL,NULL,'SANTOS DUMONT','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801187,2.00,3.00,4.00,7.00,3.00,NULL,3.00,2.00,2.00,104,NULL,NULL,'JARDIM ATLANTICO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801209,6.00,8.00,3.00,6.00,6.00,5.25,4.00,5.00,6.00,214,NULL,203,'KOBRASOL','S JOSé','SC',5910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3801225,2.00,2.00,2.00,1.00,2.00,NULL,3.00,3.00,2.00,339,NULL,NULL,'SAO LUIZ','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801233,2.00,1.00,3.00,0.00,2.00,NULL,2.00,2.00,2.00,303,NULL,NULL,'SãO LUIZ','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801241,3.00,4.00,2.00,3.00,4.00,4.00,3.00,7.00,3.00,104,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',15458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801250,1.00,3.00,1.00,3.00,4.00,NULL,4.00,4.00,2.00,426,NULL,423,'AREIAS DO CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801268,4.00,6.00,3.00,5.00,4.00,6.75,3.00,6.00,2.00,223,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',11885,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801276,4.00,4.00,1.00,0.00,1.00,NULL,3.00,4.00,4.00,202,NULL,213,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801292,3.00,3.00,5.00,5.00,1.00,NULL,2.00,4.00,2.00,309,NULL,NULL,'CAMPINAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801306,4.00,6.00,4.00,7.00,4.00,4.75,3.00,5.00,5.00,317,NULL,NULL,'INGLESES','FLORIANOPOLIS','SC',9705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801314,2.00,3.00,3.00,1.00,5.00,NULL,2.00,2.00,2.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801322,2.00,3.00,3.00,4.00,2.00,NULL,1.00,3.00,3.00,208,NULL,202,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801330,1.00,1.00,4.00,4.00,3.00,NULL,2.00,2.00,3.00,308,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801349,3.00,4.00,3.00,6.00,4.00,7.00,1.00,5.00,4.00,502,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',14497,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801365,3.00,3.00,4.00,5.00,1.00,NULL,2.00,3.00,5.00,503,NULL,NULL,'RIO VERMELHO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801373,2.00,4.00,3.00,6.00,3.00,NULL,1.00,3.00,2.00,339,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801381,2.00,5.00,4.00,2.00,4.00,6.50,1.00,6.00,5.00,425,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',13763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801390,7.00,7.00,3.00,5.00,6.00,5.25,2.00,6.00,4.00,207,NULL,201,'RIO CAVEIRAS','BIGUAçU','SC',8271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801403,3.00,5.00,5.00,4.00,5.00,5.25,4.00,5.00,4.00,317,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',9242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801411,5.00,5.00,1.00,1.00,5.00,4.50,2.00,6.00,4.00,101,NULL,NULL,'SERRARIA','S JOSé','SC',15214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3801438,3.00,4.00,2.00,5.00,7.00,7.50,3.00,7.00,3.00,102,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',10789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801446,4.00,5.00,2.00,3.00,1.00,NULL,2.00,4.00,2.00,5,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3801497,4.00,3.00,1.00,5.00,4.00,4.50,2.00,3.00,3.00,238,NULL,208,'IPIRANGA','S JOSé','SC',16478,544,NULL,574,NULL,NULL,NULL,2,1),(16,3801500,3.00,2.00,2.00,2.00,4.00,NULL,1.00,4.00,2.00,216,NULL,214,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801519,4.00,8.00,5.00,6.00,5.00,4.00,4.00,5.00,4.00,303,NULL,NULL,'FORQUILHAS','S JOSé','SC',8176,367,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801527,3.00,4.00,4.00,7.00,6.00,7.50,3.00,3.00,4.00,429,NULL,427,'FORQUILHINHAS','S JOSé','SC',11318,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801535,5.00,4.00,3.00,6.00,5.00,6.50,2.00,4.00,4.00,420,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',12520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801543,1.00,2.00,2.00,3.00,2.00,NULL,3.00,2.00,4.00,317,NULL,NULL,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801560,5.00,4.00,2.00,5.00,5.00,5.00,3.00,8.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',11456,2383,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801578,3.00,3.00,1.00,5.00,3.00,NULL,3.00,5.00,1.00,319,NULL,NULL,'FLOR DE NAPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801586,5.00,6.00,4.00,3.00,3.00,NULL,4.00,4.00,3.00,224,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801594,5.00,2.00,3.00,4.00,6.00,6.25,2.00,4.00,5.00,302,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',13395,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801616,2.00,5.00,2.00,4.00,7.00,5.00,4.00,8.00,2.00,332,NULL,NULL,'CRUZEIRO NOVO','CRUZEIRO','DF',13474,44,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801624,1.00,3.00,1.00,7.00,5.00,NULL,1.00,1.00,3.00,502,NULL,NULL,'JARDIM DAS ACáCIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801632,2.00,3.00,4.00,0.00,2.00,NULL,2.00,2.00,3.00,421,NULL,426,'PASSA VINTE','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801659,3.00,4.00,3.00,3.00,2.00,NULL,1.00,3.00,2.00,234,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3801705,6.00,5.00,4.00,8.00,4.00,5.00,4.00,6.00,4.00,238,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',7951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801713,3.00,2.00,4.00,0.00,0.00,NULL,4.00,3.00,2.00,339,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801721,5.00,4.00,3.00,6.00,6.00,6.00,4.00,5.00,3.00,451,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',10675,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801730,6.00,3.00,5.00,6.00,7.00,6.75,2.00,7.00,2.00,102,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',9311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3801764,4.00,3.00,4.00,5.00,5.00,4.00,4.00,3.00,3.00,238,NULL,202,'FORQUILHINHAS','S JOSé','SC',14955,487,NULL,503,NULL,NULL,NULL,2,1),(16,3801772,7.00,5.00,4.00,5.00,7.00,6.50,3.00,4.00,6.00,104,NULL,NULL,'BARREIROS','S JOSé','SC',7313,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801780,8.00,9.00,5.00,7.00,5.00,5.50,5.00,5.00,5.00,220,NULL,202,'TERESóPOLIS','PTO ALEGRE','RS',4595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801799,5.00,6.00,2.00,2.00,5.00,6.25,3.00,7.00,4.00,3,NULL,NULL,'ARMAçãO P DOS SUL','FLORIANóPOLIS','SC',10487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801802,3.00,2.00,2.00,6.00,5.00,5.00,4.00,3.00,2.00,425,NULL,423,'FLOR DE NáPOLIS','S JOSé','SC',15580,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801810,3.00,2.00,2.00,2.00,3.00,NULL,1.00,2.00,1.00,302,NULL,NULL,'JARDIM ANCHIETA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801829,3.00,1.00,1.00,3.00,3.00,NULL,2.00,5.00,4.00,104,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801837,4.00,3.00,4.00,3.00,3.00,NULL,2.00,4.00,3.00,308,NULL,NULL,'FLOR DE NAPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801845,3.00,0.00,1.00,0.00,3.00,NULL,3.00,3.00,2.00,339,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801853,3.00,7.00,3.00,6.00,7.00,5.25,1.00,5.00,4.00,324,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',11154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801861,5.00,6.00,1.00,7.00,6.00,6.00,4.00,7.00,4.00,316,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7801,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801870,4.00,5.00,3.00,4.00,5.00,4.75,5.00,8.00,5.00,428,NULL,426,'TRINDADE','FLORIANóPOLIS','SC',10406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801888,4.00,3.00,3.00,5.00,4.00,3.00,5.00,5.00,3.00,309,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801896,3.00,4.00,1.00,3.00,4.00,NULL,2.00,1.00,3.00,304,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801900,5.00,4.00,3.00,4.00,6.00,5.50,2.00,3.00,4.00,223,NULL,NULL,'ALTO ARIRIú','PALHOçA','SC',14280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801926,4.00,1.00,3.00,4.00,2.00,NULL,2.00,1.00,2.00,101,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801934,2.00,3.00,2.00,5.00,4.00,NULL,0.00,3.00,2.00,425,NULL,424,'CAMINHO NOVO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801942,4.00,7.00,6.00,8.00,5.00,6.75,3.00,9.00,7.00,234,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',3164,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801950,3.00,5.00,2.00,3.00,3.00,NULL,2.00,3.00,3.00,324,NULL,NULL,'BREJARU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801969,4.00,1.00,2.00,5.00,5.00,4.50,1.00,5.00,2.00,238,NULL,207,'SANTOS DUMONT','S JOSé','SC',16587,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3801977,4.00,6.00,2.00,2.00,8.00,5.75,3.00,7.00,6.00,453,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',10001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801985,5.00,4.00,3.00,3.00,3.00,NULL,1.00,6.00,5.00,316,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3801993,1.00,0.00,1.00,0.00,2.00,NULL,2.00,2.00,5.00,320,NULL,NULL,'MONTE CRITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802000,3.00,0.00,4.00,5.00,2.00,NULL,2.00,0.00,1.00,5,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802019,3.00,4.00,2.00,2.00,6.00,5.00,3.00,3.00,4.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',15295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802027,3.00,5.00,4.00,6.00,5.00,5.00,2.00,4.00,5.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802035,5.00,4.00,3.00,1.00,0.00,NULL,4.00,3.00,4.00,332,NULL,NULL,'FUNDOS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802051,7.00,7.00,5.00,5.00,6.00,4.25,3.00,6.00,5.00,102,NULL,NULL,'CAHOEIRA BOM JESUS','FLORIANóPOLIS','SC',6168,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802060,2.00,4.00,3.00,6.00,6.00,5.50,5.00,5.00,4.00,303,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',11562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802078,4.00,4.00,3.00,3.00,4.00,4.50,3.00,5.00,4.00,324,NULL,NULL,'CORREGO GRANDE','FLORIANOPOLIS','SC',14944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802086,3.00,3.00,2.00,2.00,1.00,NULL,1.00,2.00,2.00,339,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802094,4.00,7.00,3.00,8.00,3.00,NULL,2.00,4.00,4.00,207,NULL,201,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802108,2.00,3.00,3.00,7.00,6.00,5.00,3.00,5.00,1.00,428,NULL,421,'CARIANOS','FLORIANóPOLIS','SC',14729,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802116,5.00,6.00,2.00,6.00,5.00,NULL,0.00,4.00,2.00,304,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802124,3.00,4.00,4.00,6.00,5.00,4.75,3.00,7.00,2.00,301,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',12293,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3802140,0.00,4.00,2.00,1.00,3.00,NULL,2.00,4.00,3.00,309,NULL,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802159,3.00,6.00,2.00,7.00,7.00,5.50,2.00,5.00,3.00,309,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',11907,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802167,2.00,1.00,1.00,5.00,3.00,NULL,2.00,5.00,2.00,108,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802175,4.00,3.00,2.00,5.00,2.00,NULL,2.00,6.00,0.00,301,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802183,3.00,4.00,3.00,4.00,4.00,6.75,1.00,4.00,4.00,104,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',14732,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3802213,3.00,3.00,2.00,1.00,5.00,NULL,2.00,4.00,4.00,332,NULL,NULL,'INGLESES DO RIO VERM','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802221,5.00,6.00,4.00,7.00,3.00,NULL,3.00,9.00,5.00,503,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802230,5.00,3.00,4.00,1.00,4.00,4.75,2.00,5.00,1.00,317,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',16498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802248,1.00,3.00,2.00,6.00,5.00,4.00,2.00,5.00,3.00,428,NULL,426,'SACO DOS LIMõES','FLORIANóPOLIS','SC',16669,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802256,1.00,5.00,4.00,6.00,6.00,5.00,3.00,5.00,3.00,301,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',12211,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802264,4.00,4.00,4.00,6.00,5.00,5.00,2.00,2.00,4.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',13476,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802272,4.00,3.00,5.00,2.00,2.00,NULL,3.00,1.00,2.00,324,NULL,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802280,5.00,6.00,2.00,1.00,4.00,4.00,3.00,3.00,4.00,214,NULL,201,'CENTRO','S JOSé','SC',15656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802299,3.00,5.00,5.00,7.00,6.00,5.50,1.00,6.00,5.00,203,NULL,201,'INGLESES','FLORIANóPOLIS','SC',9547,687,NULL,733,NULL,NULL,NULL,2,1),(16,3802302,5.00,1.00,2.00,5.00,2.00,NULL,1.00,4.00,3.00,108,NULL,NULL,'VILA SAO JOAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802310,3.00,3.00,3.00,5.00,1.00,NULL,4.00,4.00,1.00,428,NULL,427,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802329,2.00,6.00,2.00,5.00,3.00,NULL,1.00,2.00,3.00,304,NULL,NULL,'ITACORUBI','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802337,5.00,6.00,4.00,7.00,2.00,NULL,2.00,5.00,6.00,5,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802345,4.00,4.00,3.00,4.00,5.00,5.50,2.00,3.00,4.00,9,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',14429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802353,4.00,4.00,1.00,6.00,5.00,NULL,0.00,0.00,3.00,207,NULL,201,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802361,0.00,0.00,3.00,3.00,2.00,NULL,0.00,2.00,2.00,101,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802370,1.00,3.00,1.00,3.00,5.00,4.75,2.00,8.00,2.00,317,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',16582,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802388,3.00,5.00,4.00,3.00,2.00,NULL,1.00,4.00,1.00,319,NULL,NULL,'MORRO DAS PEDRAS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3802400,5.00,8.00,4.00,6.00,6.00,6.00,3.00,6.00,6.00,3,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',5214,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3802434,2.00,2.00,2.00,4.00,3.00,NULL,1.00,5.00,3.00,309,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802450,4.00,3.00,3.00,1.00,3.00,NULL,1.00,4.00,2.00,453,NULL,NULL,'ARMAÇÃO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802469,1.00,4.00,3.00,4.00,3.00,NULL,3.00,1.00,2.00,301,NULL,NULL,'ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802477,8.00,5.00,5.00,6.00,8.00,5.00,3.00,5.00,6.00,101,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802485,3.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,3.00,214,NULL,201,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802493,4.00,5.00,2.00,7.00,4.00,5.50,3.00,4.00,4.00,234,NULL,NULL,'COSTA DA LAGOA','FLORIANóPOLIS','SC',11839,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802507,3.00,4.00,2.00,6.00,5.00,5.00,3.00,4.00,2.00,428,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',15123,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3802540,2.00,5.00,3.00,2.00,3.00,NULL,2.00,2.00,1.00,201,NULL,203,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3802574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3802582,4.00,6.00,4.00,4.00,5.00,4.00,4.00,5.00,3.00,224,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',12428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802590,4.00,5.00,1.00,5.00,4.00,4.50,2.00,3.00,3.00,301,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',16264,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802604,7.00,8.00,2.00,7.00,7.00,5.25,3.00,7.00,5.00,501,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',4523,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802612,3.00,0.00,2.00,3.00,4.00,NULL,3.00,2.00,4.00,332,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802620,3.00,3.00,2.00,7.00,6.00,4.25,2.00,6.00,4.00,211,NULL,215,'BARRA DA LAGOA','FLORIANóPOLIS','SC',14043,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802639,4.00,3.00,1.00,3.00,6.00,4.50,2.00,7.00,5.00,238,NULL,208,'JARDIM ELDORADO','PALHOçA','SC',14409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802647,3.00,3.00,4.00,3.00,3.00,NULL,2.00,2.00,3.00,224,NULL,NULL,'FAZENDA SANTO ANTôNI','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802655,1.00,1.00,2.00,3.00,0.00,NULL,2.00,1.00,2.00,444,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802663,3.00,4.00,4.00,1.00,0.00,NULL,3.00,3.00,3.00,5,NULL,NULL,'BREJARU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802671,2.00,2.00,1.00,3.00,1.00,NULL,1.00,3.00,3.00,101,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802680,5.00,4.00,4.00,5.00,5.00,6.00,3.00,4.00,6.00,302,NULL,NULL,'SOROCABA','PAULO LOPES','SC',10840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802698,2.00,2.00,1.00,3.00,2.00,NULL,1.00,4.00,2.00,316,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802701,6.00,5.00,4.00,7.00,4.00,5.00,3.00,3.00,5.00,9,NULL,NULL,'PINHEIRA','PALHOçA','SC',10300,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802728,7.00,8.00,2.00,8.00,5.00,6.00,4.00,7.00,4.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',5821,1642,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802736,3.00,4.00,1.00,1.00,5.00,NULL,3.00,5.00,1.00,331,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802744,5.00,8.00,4.00,7.00,8.00,5.25,2.00,7.00,6.00,101,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',4981,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802752,5.00,7.00,4.00,6.00,6.00,4.00,2.00,8.00,4.00,201,NULL,214,'RIO CAVEIRAS','BIGUAçU','SC',8854,693,NULL,306,NULL,NULL,NULL,2,1),(16,3802760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'PâNTANO DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3802779,4.00,1.00,1.00,3.00,4.00,NULL,0.00,1.00,2.00,301,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802787,5.00,7.00,4.00,4.00,7.00,4.00,4.00,7.00,6.00,201,NULL,203,'FORQUILHAS','S JOSé','SC',5799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802809,2.00,1.00,1.00,2.00,2.00,NULL,1.00,1.00,2.00,309,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802817,6.00,6.00,4.00,2.00,6.00,5.50,4.00,4.00,3.00,332,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',11114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802825,8.00,4.00,2.00,3.00,6.00,4.75,1.00,7.00,4.00,327,NULL,NULL,'ARMAçAO','FLORIANóPOLIS','SC',11973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802841,2.00,2.00,2.00,4.00,2.00,NULL,3.00,5.00,2.00,238,NULL,208,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802850,4.00,7.00,3.00,7.00,6.00,6.25,1.00,6.00,3.00,429,NULL,426,'PANTANAL','FLORIANóPOLIS','SC',9801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802876,1.00,4.00,1.00,3.00,2.00,NULL,1.00,2.00,2.00,404,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802884,1.00,1.00,1.00,3.00,3.00,NULL,2.00,2.00,0.00,319,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802906,5.00,4.00,1.00,7.00,5.00,5.50,2.00,6.00,2.00,303,NULL,NULL,'KOBRASOL','S JOSé','SC',13609,594,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,202,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3802922,3.00,1.00,2.00,2.00,2.00,NULL,1.00,1.00,2.00,333,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802930,4.00,6.00,2.00,3.00,6.00,6.25,2.00,8.00,4.00,428,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',10792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802949,2.00,4.00,3.00,3.00,4.00,4.50,1.00,4.00,4.00,501,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',16484,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802957,3.00,5.00,4.00,6.00,9.00,6.00,4.00,4.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',8589,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802965,2.00,5.00,3.00,5.00,3.00,NULL,2.00,5.00,1.00,324,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3802973,3.00,4.00,2.00,1.00,2.00,NULL,1.00,2.00,2.00,211,NULL,207,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802981,3.00,1.00,2.00,1.00,3.00,NULL,4.00,3.00,2.00,404,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3802990,2.00,4.00,1.00,1.00,4.00,NULL,2.00,4.00,1.00,102,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803007,0.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3803015,6.00,8.00,6.00,9.00,7.00,7.25,3.00,7.00,4.00,423,NULL,425,'CAMPECHE','FLORIANóPOLIS','SC',3532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803023,4.00,4.00,4.00,6.00,7.00,5.00,2.00,6.00,2.00,102,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',11161,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3803031,3.00,0.00,3.00,2.00,1.00,NULL,2.00,1.00,3.00,104,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3803058,6.00,7.00,2.00,4.00,7.00,5.25,4.00,8.00,4.00,202,NULL,201,'BELA VISTA','GASPAR','SC',7498,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3803074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3803082,5.00,6.00,4.00,5.00,7.00,5.75,4.00,8.00,4.00,301,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',6509,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803104,1.00,3.00,1.00,1.00,2.00,NULL,2.00,2.00,3.00,220,NULL,NULL,'CENTRO','STA CECíLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3803112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3803147,3.00,2.00,2.00,3.00,3.00,NULL,0.00,0.00,5.00,450,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3803155,3.00,5.00,2.00,2.00,4.00,NULL,2.00,4.00,3.00,404,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803163,7.00,4.00,5.00,8.00,5.00,NULL,0.00,6.00,5.00,303,NULL,NULL,'JARDIM CENTENáRIO','JARAGUá SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3803171,5.00,7.00,5.00,8.00,6.00,5.00,3.00,5.00,5.00,211,NULL,214,'SãO JOãO','ITAJAí','SC',5248,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3803180,3.00,4.00,4.00,5.00,4.00,3.25,3.00,3.00,2.00,202,NULL,214,'POçO FUNDO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803198,6.00,5.00,4.00,7.00,3.00,NULL,5.00,6.00,4.00,9,NULL,NULL,'SãO SEBASTIãO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3803201,4.00,4.00,3.00,2.00,3.00,NULL,2.00,4.00,3.00,208,NULL,216,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803210,4.00,7.00,4.00,4.00,9.00,5.25,1.00,6.00,6.00,207,NULL,201,'JARDIM SANTA MôNICA','FLORIANóPOLIS','SC',8260,369,NULL,650,NULL,NULL,NULL,4,1),(16,3803228,4.00,3.00,1.00,4.00,3.00,NULL,2.00,1.00,5.00,428,NULL,425,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3803236,2.00,3.00,4.00,1.00,2.00,NULL,3.00,5.00,3.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3803244,3.00,3.00,3.00,2.00,7.00,6.00,0.00,7.00,2.00,428,NULL,425,'CENTRO','FLORIANóPOLIS','SC',15450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3803252,1.00,4.00,2.00,0.00,3.00,NULL,3.00,5.00,2.00,426,NULL,425,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3803260,3.00,4.00,2.00,8.00,4.00,7.00,2.00,4.00,2.00,332,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',13934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803287,3.00,2.00,3.00,5.00,0.00,NULL,2.00,1.00,2.00,234,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803295,5.00,4.00,3.00,8.00,5.00,7.50,2.00,3.00,2.00,340,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',12528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3803309,2.00,4.00,2.00,4.00,1.00,NULL,1.00,4.00,2.00,318,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803317,5.00,4.00,3.00,6.00,5.00,5.50,4.00,7.00,4.00,301,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',9793,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803325,3.00,5.00,4.00,9.00,5.00,5.50,3.00,4.00,6.00,102,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',9454,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3803333,4.00,7.00,3.00,7.00,5.00,6.25,2.00,6.00,5.00,207,NULL,201,'CARVOEIRA','FLORIANóPOLIS','SC',8957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3803341,3.00,7.00,4.00,6.00,6.00,4.75,2.00,6.00,5.00,238,NULL,211,'JD MARCOS ANTONIO','BIGUAçU','SC',10615,304,NULL,346,NULL,NULL,NULL,2,1),(16,3803350,6.00,7.00,4.00,6.00,5.00,4.25,3.00,7.00,5.00,304,NULL,NULL,'KOBRASSOL','S JOSé','SC',7839,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803368,5.00,8.00,4.00,8.00,5.00,6.25,5.00,7.00,4.00,317,NULL,NULL,'VENDAVAL','BIGUAçU','SC',6622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,201,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3803384,1.00,2.00,2.00,7.00,4.00,NULL,1.00,3.00,2.00,424,NULL,427,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803406,3.00,3.00,1.00,4.00,0.00,NULL,2.00,4.00,1.00,319,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803414,3.00,1.00,3.00,4.00,5.00,4.00,2.00,7.00,3.00,319,NULL,NULL,'CENTRO','UNIãO OESTE','SC',16293,357,NULL,NULL,NULL,NULL,NULL,2,4),(16,3803422,3.00,1.00,4.00,5.00,2.00,NULL,2.00,3.00,2.00,203,NULL,208,'ROCIO PEQUENO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3803449,5.00,3.00,2.00,7.00,4.00,6.00,4.00,5.00,4.00,5,NULL,NULL,'CENTRO','SEARA','SC',12032,418,NULL,NULL,NULL,NULL,NULL,2,4),(16,3803457,3.00,2.00,2.00,1.00,3.00,NULL,1.00,5.00,1.00,425,NULL,423,'TAPERADABASE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3803465,5.00,5.00,4.00,8.00,8.00,NULL,0.00,4.00,4.00,301,NULL,NULL,'NOSSA SRA DO ROSáRIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803473,1.00,2.00,1.00,6.00,3.00,NULL,3.00,3.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803481,0.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'JARDIM JANAINA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3803490,2.00,2.00,1.00,3.00,2.00,NULL,3.00,4.00,2.00,333,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803520,4.00,1.00,1.00,1.00,2.00,NULL,3.00,5.00,3.00,404,NULL,NULL,'CAEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3803538,1.00,2.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SãO MARCOS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(16,3803546,5.00,6.00,4.00,7.00,5.00,5.25,3.00,4.00,1.00,308,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',11546,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803554,3.00,5.00,2.00,5.00,3.00,NULL,2.00,1.00,2.00,108,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803562,2.00,2.00,2.00,8.00,6.00,5.25,2.00,3.00,4.00,309,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',15339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803570,4.00,6.00,3.00,7.00,7.00,4.75,2.00,7.00,3.00,302,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',9172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803589,2.00,6.00,1.00,8.00,4.00,4.75,2.00,7.00,3.00,415,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',12823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3803600,3.00,2.00,2.00,3.00,2.00,NULL,2.00,1.00,3.00,316,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'VILA CAMBUCICA','RIQUEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3803627,4.00,4.00,2.00,3.00,6.00,5.25,3.00,4.00,2.00,301,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',15254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3803635,5.00,4.00,2.00,4.00,7.00,6.00,2.00,3.00,2.00,211,NULL,215,'MONTE SERRAT','FLORIANóPOLIS','SC',14256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3803643,3.00,3.00,4.00,5.00,3.00,NULL,3.00,3.00,4.00,212,NULL,NULL,'GUARANY','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3803660,5.00,6.00,4.00,4.00,4.00,4.00,5.00,7.00,4.00,220,NULL,202,'CENTRO','NAVIRAí','MS',10449,399,NULL,382,NULL,NULL,NULL,2,4),(16,3803678,3.00,3.00,1.00,7.00,4.00,NULL,0.00,2.00,3.00,301,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803686,2.00,2.00,1.00,3.00,3.00,NULL,3.00,4.00,3.00,301,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803716,4.00,4.00,2.00,5.00,4.00,5.75,2.00,3.00,2.00,415,NULL,NULL,'ARMAçãO','FLORIANóPOLIS','SC',16481,418,NULL,NULL,NULL,NULL,NULL,4,1),(16,3803732,6.00,4.00,4.00,5.00,5.00,5.75,4.00,6.00,5.00,215,NULL,201,'PRAIA COMPRIDA','S JOSé','SC',9128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803740,3.00,0.00,4.00,3.00,0.00,NULL,3.00,4.00,2.00,308,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803759,6.00,6.00,6.00,7.00,7.00,5.50,4.00,5.00,6.00,216,NULL,215,'MAGALHãES','LAGUNA','SC',5206,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3803767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3803775,4.00,3.00,3.00,5.00,3.00,NULL,3.00,3.00,3.00,415,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803783,7.00,9.00,7.00,7.00,7.00,5.75,5.00,8.00,8.00,103,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',1032,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803791,5.00,6.00,4.00,4.00,6.00,5.25,1.00,7.00,4.00,317,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',10318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3803805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3803813,6.00,7.00,4.00,8.00,8.00,6.00,3.00,6.00,3.00,211,NULL,207,'SERRARIA','S JOSé','SC',6265,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803821,2.00,4.00,2.00,3.00,3.00,NULL,3.00,2.00,2.00,101,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803830,4.00,3.00,2.00,7.00,4.00,4.50,4.00,6.00,2.00,201,NULL,212,'TRINDADE','FLORIANóPOLIS','SC',13897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803848,6.00,7.00,3.00,3.00,6.00,5.75,3.00,5.00,4.00,214,NULL,212,'CENTRO','FLORIANóPOLIS','SC',9819,336,NULL,285,NULL,NULL,NULL,2,1),(16,3803856,5.00,3.00,2.00,0.00,4.00,NULL,3.00,4.00,2.00,303,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3803864,0.00,2.00,1.00,1.00,2.00,NULL,5.00,2.00,2.00,220,NULL,NULL,'ARMAçãO DO PâNTANO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803872,5.00,4.00,2.00,7.00,3.00,NULL,4.00,2.00,2.00,316,NULL,NULL,'VILA SÃO JOÃO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803880,3.00,7.00,4.00,6.00,6.00,4.75,3.00,7.00,4.00,317,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',9346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803899,4.00,6.00,3.00,7.00,5.00,6.50,1.00,5.00,3.00,301,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',12256,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803910,6.00,5.00,4.00,1.00,3.00,NULL,3.00,4.00,3.00,207,NULL,238,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3803929,3.00,4.00,4.00,4.00,3.00,NULL,3.00,5.00,2.00,207,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803937,2.00,1.00,1.00,1.00,1.00,NULL,1.00,0.00,2.00,208,NULL,238,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803945,5.00,4.00,4.00,6.00,4.00,4.75,3.00,8.00,4.00,501,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',10914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803953,5.00,7.00,2.00,5.00,4.00,5.50,2.00,7.00,3.00,320,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',12242,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803961,8.00,4.00,3.00,6.00,7.00,5.00,2.00,4.00,4.00,308,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',9826,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803988,1.00,4.00,1.00,5.00,3.00,NULL,1.00,5.00,2.00,238,NULL,208,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3803996,3.00,2.00,2.00,2.00,4.00,NULL,3.00,3.00,2.00,101,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804003,4.00,5.00,1.00,2.00,3.00,NULL,4.00,3.00,5.00,9,NULL,NULL,'BALNEARIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804011,4.00,3.00,1.00,7.00,3.00,NULL,1.00,7.00,2.00,103,NULL,NULL,'JARDIM CASQUEIRO','CUBATãO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804020,4.00,3.00,3.00,5.00,4.00,NULL,2.00,3.00,0.00,501,NULL,NULL,'FAZ STO ANTONIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804038,4.00,0.00,3.00,4.00,0.00,NULL,1.00,2.00,4.00,339,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804046,4.00,1.00,1.00,2.00,1.00,NULL,1.00,2.00,3.00,301,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804054,4.00,5.00,2.00,5.00,6.00,5.25,1.00,7.00,3.00,317,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',11783,91,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804062,3.00,3.00,1.00,1.00,3.00,NULL,1.00,5.00,2.00,103,NULL,NULL,'PARQUE DAS FLORES','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3804070,3.00,4.00,1.00,3.00,3.00,NULL,0.00,6.00,4.00,328,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804097,3.00,2.00,2.00,5.00,5.00,6.00,2.00,5.00,2.00,318,NULL,NULL,'FLOR DA SERRA','JOAçABA','SC',15959,130,NULL,NULL,NULL,NULL,NULL,2,7),(16,3804100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CARMO','IBIúNA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3804119,2.00,3.00,1.00,3.00,2.00,NULL,1.00,2.00,4.00,102,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804127,4.00,4.00,2.00,3.00,2.00,NULL,1.00,5.00,3.00,501,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804143,4.00,4.00,2.00,4.00,4.00,4.25,2.00,3.00,3.00,5,NULL,NULL,'SENHOR BOM JESUS','CAMPOS NOVOS','SC',16485,523,NULL,NULL,NULL,NULL,NULL,2,7),(16,3804151,3.00,5.00,2.00,7.00,7.00,6.00,3.00,6.00,4.00,301,NULL,NULL,'MAR GROSSO','LAGUNA','SC',9845,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3804160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'LOEFFELSCHEIDT','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3804178,4.00,6.00,2.00,5.00,4.00,6.00,1.00,5.00,3.00,211,NULL,201,'PANTANAL','FLORIANóPOLIS','SC',15511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3804186,2.00,3.00,3.00,4.00,1.00,NULL,1.00,6.00,4.00,5,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,427,'PANTANO DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3804208,2.00,3.00,1.00,5.00,5.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804216,3.00,3.00,2.00,6.00,3.00,NULL,4.00,1.00,1.00,317,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'SANTA MôNICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3804240,4.00,5.00,2.00,7.00,4.00,6.75,3.00,4.00,3.00,102,NULL,NULL,'VILA LUIZA MAZZEI','SANTANA LIVRAMENTO','RS',13009,226,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804259,5.00,7.00,9.00,8.00,9.00,5.75,7.00,5.00,8.00,103,NULL,NULL,'ABADIA','UBERABA','MG',952,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3804275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3804283,3.00,6.00,5.00,4.00,3.00,NULL,4.00,6.00,3.00,225,NULL,NULL,'PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804291,6.00,5.00,3.00,3.00,6.00,6.00,4.00,7.00,4.00,9,NULL,NULL,'SANTA MARIA','LAGES','SC',9211,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3804305,1.00,3.00,2.00,5.00,4.00,5.25,3.00,4.00,3.00,425,NULL,428,'PÂNTANO DO SUL','FLORIANóPOLIS','SC',16518,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804313,5.00,2.00,3.00,6.00,4.00,4.50,2.00,4.00,4.00,429,NULL,423,'SAMBAQUI','FLORIANóPOLIS','SC',14294,52,NULL,25,NULL,NULL,NULL,2,1),(16,3804321,4.00,5.00,1.00,8.00,5.00,6.25,2.00,4.00,2.00,303,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',13263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3804330,3.00,4.00,5.00,4.00,6.00,6.00,3.00,8.00,7.00,327,NULL,NULL,'CORDEIROS','ITAJAí','SC',8152,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3804348,1.00,2.00,2.00,4.00,3.00,NULL,1.00,1.00,1.00,5,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3804364,3.00,5.00,3.00,6.00,5.00,5.00,0.00,4.00,3.00,207,NULL,201,'AGRONOMICA','FLORIANóPOLIS','SC',15646,813,NULL,1212,NULL,NULL,NULL,2,1),(16,3804372,3.00,3.00,3.00,4.00,5.00,NULL,2.00,4.00,1.00,339,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804380,7.00,7.00,3.00,5.00,5.00,6.25,5.00,8.00,5.00,501,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',5534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3804399,1.00,3.00,2.00,3.00,1.00,NULL,4.00,1.00,0.00,444,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804410,2.00,2.00,3.00,2.00,1.00,NULL,2.00,6.00,2.00,415,NULL,NULL,'ITAGUAçU','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804429,2.00,0.00,3.00,6.00,3.00,NULL,2.00,3.00,3.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804437,4.00,5.00,3.00,5.00,7.00,6.25,2.00,8.00,3.00,415,NULL,NULL,'COLÔNIA SANTANA','S JOSé','SC',8723,233,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804445,4.00,2.00,3.00,5.00,4.00,4.50,1.00,4.00,4.00,101,NULL,NULL,'PRAINHA','FLORIANóPOLIS','SC',16091,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804453,4.00,4.00,4.00,4.00,6.00,7.25,4.00,6.00,6.00,216,NULL,212,'TRINDADE','FLORIANóPOLIS','SC',8040,295,NULL,236,NULL,NULL,NULL,4,1),(16,3804461,3.00,7.00,3.00,3.00,5.00,7.00,2.00,6.00,2.00,329,NULL,NULL,'CENTRO','CUIABá','MT',12647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3804470,5.00,3.00,1.00,6.00,4.00,4.00,3.00,5.00,3.00,502,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',14976,61,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804488,1.00,1.00,1.00,4.00,3.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'JOAO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3804496,6.00,6.00,4.00,7.00,6.00,5.75,3.00,7.00,4.00,426,NULL,NULL,'RIO GRANDE','PALHOçA','SC',5857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804500,3.00,4.00,3.00,5.00,3.00,NULL,3.00,4.00,3.00,303,NULL,NULL,'DANIELA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804518,3.00,1.00,1.00,4.00,2.00,NULL,2.00,3.00,3.00,318,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804526,3.00,3.00,2.00,3.00,5.00,3.25,4.00,4.00,3.00,238,NULL,208,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804534,1.00,1.00,3.00,5.00,3.00,NULL,0.00,4.00,2.00,453,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804542,3.00,3.00,1.00,7.00,5.00,NULL,2.00,2.00,2.00,423,NULL,428,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804550,4.00,6.00,2.00,7.00,6.00,6.25,2.00,6.00,3.00,310,NULL,NULL,'SãO SEBASTIãO','PALHOçA','SC',9143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804569,1.00,0.00,1.00,1.00,2.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3804577,5.00,3.00,1.00,6.00,2.00,NULL,2.00,2.00,2.00,238,NULL,208,'JARDIM SAVEIRO','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804593,4.00,7.00,3.00,3.00,6.00,5.25,4.00,6.00,2.00,331,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',12127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3804607,1.00,5.00,3.00,3.00,2.00,NULL,4.00,2.00,0.00,211,NULL,215,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804615,3.00,3.00,4.00,4.00,4.00,3.00,4.00,5.00,3.00,102,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804623,6.00,8.00,4.00,7.00,6.00,5.75,3.00,9.00,3.00,303,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',6114,282,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,238,'JANAINA','BIGUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3804640,2.00,4.00,4.00,8.00,3.00,NULL,3.00,4.00,2.00,316,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804658,5.00,2.00,3.00,5.00,4.00,6.50,2.00,8.00,3.00,108,NULL,NULL,'SãO SEBASTIãO','PALHOçA','SC',10576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3804666,3.00,3.00,2.00,6.00,3.00,NULL,2.00,3.00,4.00,444,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804674,3.00,1.00,1.00,5.00,3.00,NULL,1.00,3.00,2.00,104,NULL,NULL,'BELA VISTA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804682,6.00,5.00,4.00,5.00,6.00,6.50,4.00,8.00,7.00,302,NULL,NULL,'ARMAçãO PâNTANO SUL','FLORIANóPOLIS','SC',5576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3804690,3.00,3.00,4.00,7.00,4.00,NULL,0.00,4.00,3.00,309,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804704,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,207,NULL,201,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3804712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BELA VISTA II','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3804720,1.00,3.00,3.00,3.00,2.00,NULL,0.00,2.00,3.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3804739,2.00,3.00,3.00,1.00,2.00,NULL,3.00,0.00,4.00,102,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3804747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SERTAO DO MARUIM','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3804755,2.00,3.00,5.00,8.00,5.00,5.25,2.00,7.00,5.00,302,NULL,NULL,'SãO MARCOS','BIGUAçU','SC',10029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804763,3.00,5.00,2.00,0.00,8.00,5.75,2.00,7.00,4.00,415,NULL,NULL,'MORRINHOS UM','GUARUJá','SP',14356,368,NULL,NULL,NULL,NULL,NULL,4,1),(16,3804771,0.00,2.00,2.00,0.00,3.00,NULL,2.00,2.00,1.00,318,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3804780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,233,'CAMOBI','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3804798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'CANASVIERIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3804801,4.00,3.00,2.00,6.00,5.00,4.50,3.00,5.00,4.00,309,NULL,NULL,'IPIRANGA','S JOSé','SC',14334,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804810,5.00,6.00,3.00,3.00,5.00,4.25,4.00,6.00,6.00,211,NULL,215,'CENTRO','ABELARDO LUZ','SC',10748,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3804828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CENTRO','PALMEIRA MISSõES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3804836,4.00,6.00,6.00,6.00,6.00,6.00,6.00,8.00,7.00,233,NULL,216,'DUVAL DE BARROS','IBIRITé','MG',3443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804844,3.00,0.00,5.00,4.00,2.00,NULL,2.00,2.00,2.00,238,NULL,207,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804852,2.00,1.00,5.00,3.00,1.00,NULL,2.00,2.00,1.00,316,NULL,NULL,'CENTRO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804860,6.00,4.00,1.00,8.00,5.00,6.00,2.00,7.00,4.00,424,NULL,427,'RIO VERMELHO','FLORIANóPOLIS','SC',9776,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3804879,5.00,4.00,1.00,6.00,7.00,6.00,3.00,7.00,5.00,316,NULL,NULL,'AREIAS','S JOSé','SC',8915,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804887,5.00,8.00,6.00,6.00,7.00,6.50,6.00,8.00,4.00,202,NULL,238,'CENTRO','PTO ALEGRE','RS',2931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3804895,2.00,4.00,1.00,6.00,6.00,NULL,2.00,3.00,2.00,302,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804917,6.00,5.00,4.00,8.00,3.00,NULL,2.00,6.00,3.00,317,NULL,NULL,'PACHECO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804925,4.00,4.00,2.00,3.00,6.00,5.25,3.00,5.00,2.00,415,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSé','SC',15907,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804933,7.00,4.00,4.00,2.00,5.00,4.75,3.00,5.00,5.00,104,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',12874,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804941,4.00,5.00,1.00,6.00,6.00,6.00,3.00,4.00,2.00,331,NULL,NULL,'NOVA BELéM','PAULO LOPES','SC',13277,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804950,5.00,4.00,3.00,7.00,3.00,NULL,2.00,3.00,4.00,316,NULL,NULL,'PRAINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804968,2.00,6.00,3.00,4.00,3.00,NULL,2.00,3.00,3.00,216,NULL,208,'JARDIM NACIONAL','FOZ IGUAçU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804976,2.00,0.00,2.00,4.00,3.00,NULL,1.00,4.00,3.00,319,NULL,NULL,'JARDIM JANAINA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804984,2.00,6.00,3.00,5.00,5.00,6.25,2.00,4.00,2.00,302,NULL,NULL,'FREITAS','PAULO LOPES','SC',14216,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3804992,4.00,5.00,2.00,5.00,0.00,NULL,4.00,6.00,4.00,331,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805000,3.00,5.00,2.00,7.00,5.00,6.50,4.00,7.00,0.00,423,NULL,424,'PINHEIRA','PALHOçA','SC',12777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3805026,3.00,5.00,2.00,6.00,3.00,NULL,1.00,3.00,3.00,316,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805034,5.00,3.00,5.00,5.00,4.00,5.50,3.00,4.00,4.00,339,NULL,NULL,'SERTãO DO MARUIM','S JOSé','SC',13243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805042,3.00,3.00,4.00,2.00,3.00,NULL,2.00,2.00,1.00,316,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805050,1.00,1.00,4.00,4.00,1.00,NULL,1.00,3.00,2.00,339,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805069,3.00,6.00,5.00,4.00,4.00,4.25,5.00,5.00,3.00,308,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',11831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805077,5.00,6.00,3.00,6.00,3.00,NULL,3.00,7.00,3.00,225,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805085,6.00,5.00,3.00,5.00,5.00,6.00,2.00,5.00,2.00,207,NULL,208,'PRAINHA','FLORIANóPOLIS','SC',12579,636,NULL,403,NULL,NULL,NULL,2,1),(16,3805093,2.00,1.00,1.00,5.00,3.00,NULL,2.00,6.00,4.00,308,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805107,5.00,1.00,1.00,6.00,1.00,NULL,2.00,3.00,3.00,425,NULL,429,'INGLESES DO RIO VERM','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3805115,2.00,3.00,3.00,2.00,2.00,NULL,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3805123,3.00,6.00,4.00,7.00,5.00,6.00,2.00,4.00,3.00,324,NULL,NULL,'PASSA VINTE','PALHOçA','SC',12186,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805131,3.00,0.00,1.00,4.00,3.00,NULL,4.00,1.00,1.00,501,NULL,NULL,'COLONIA SANTANA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805158,4.00,6.00,6.00,7.00,8.00,5.75,4.00,8.00,6.00,319,NULL,NULL,'URUSSANGUINHA','ARARANGUá','SC',4369,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3805166,7.00,4.00,4.00,2.00,4.00,5.50,2.00,7.00,3.00,108,NULL,NULL,'SERRARIA','S JOSé','SC',12676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3805174,4.00,5.00,2.00,2.00,6.00,5.25,1.00,7.00,3.00,319,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',13581,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805182,2.00,3.00,2.00,4.00,5.00,4.50,2.00,5.00,2.00,212,NULL,214,'ARAUCARIA','S JOSé','SC',16635,455,NULL,495,NULL,NULL,NULL,2,1),(16,3805190,2.00,4.00,3.00,2.00,3.00,NULL,2.00,4.00,3.00,201,NULL,212,'ARAUCARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805212,4.00,2.00,2.00,3.00,0.00,NULL,0.00,2.00,1.00,317,NULL,NULL,'JARDIM SOLEMAR','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3805220,4.00,5.00,3.00,7.00,6.00,4.50,3.00,6.00,3.00,427,NULL,426,'PRAIA COMPRIDA','S JOSé','SC',11357,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805239,5.00,3.00,2.00,6.00,7.00,5.00,2.00,4.00,4.00,425,NULL,429,'CENTRO','FLORIANóPOLIS','SC',13179,56,NULL,NULL,NULL,NULL,NULL,4,1),(16,3805247,2.00,3.00,1.00,7.00,7.00,6.00,1.00,4.00,3.00,304,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',14357,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3805255,2.00,1.00,1.00,1.00,5.00,NULL,3.00,3.00,2.00,308,NULL,NULL,'KOBRASSOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805263,2.00,3.00,2.00,6.00,4.00,NULL,0.00,2.00,1.00,317,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805271,4.00,3.00,1.00,1.00,3.00,NULL,3.00,4.00,1.00,316,NULL,NULL,'PASSAGEM DA BARRA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3805280,1.00,3.00,2.00,5.00,4.00,NULL,1.00,5.00,2.00,425,NULL,429,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3805298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3805301,5.00,6.00,7.00,6.00,5.00,5.25,4.00,7.00,5.00,222,NULL,NULL,'PASSA VINTE','PALHOCA','SC',5919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3805336,5.00,5.00,4.00,5.00,3.00,NULL,5.00,3.00,3.00,101,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805344,3.00,2.00,1.00,6.00,3.00,NULL,3.00,0.00,2.00,212,NULL,207,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805352,1.00,3.00,2.00,3.00,4.00,NULL,2.00,3.00,1.00,304,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3805379,2.00,3.00,3.00,7.00,5.00,4.75,2.00,5.00,1.00,214,NULL,233,'CENTRO','FLORIANóPOLIS','SC',15763,480,NULL,463,NULL,NULL,NULL,2,1),(16,3805387,3.00,3.00,3.00,6.00,5.00,6.25,3.00,5.00,5.00,208,NULL,238,'JOSE MENDES','FLORIANóPOLIS','SC',12716,415,NULL,393,NULL,NULL,NULL,2,1),(16,3805409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3805425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3805433,5.00,7.00,1.00,6.00,4.00,5.25,4.00,7.00,3.00,339,NULL,NULL,'ARAUCÁRIA SERRARIA','S JOSé','SC',9963,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805441,2.00,7.00,2.00,3.00,2.00,NULL,4.00,6.00,5.00,309,NULL,NULL,'MADRI','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805450,4.00,5.00,6.00,3.00,4.00,5.25,3.00,5.00,4.00,202,NULL,238,'SERRARIA','S JOSé','SC',11960,423,NULL,354,NULL,NULL,NULL,4,1),(16,3805468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3805476,8.00,6.00,1.00,8.00,6.00,6.75,3.00,8.00,2.00,5,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',7713,297,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805484,4.00,2.00,2.00,4.00,3.00,NULL,4.00,5.00,2.00,301,NULL,NULL,'VILA NOVA','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805492,3.00,5.00,4.00,6.00,4.00,5.25,1.00,5.00,3.00,502,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',13990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805506,2.00,2.00,3.00,4.00,1.00,NULL,2.00,2.00,1.00,238,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805522,2.00,2.00,2.00,7.00,4.00,NULL,3.00,4.00,0.00,317,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805549,5.00,6.00,6.00,3.00,6.00,6.00,4.00,7.00,2.00,301,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',9209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3805557,2.00,1.00,2.00,0.00,1.00,NULL,3.00,3.00,2.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805573,2.00,2.00,2.00,7.00,3.00,NULL,1.00,3.00,2.00,339,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805581,3.00,5.00,2.00,5.00,4.00,NULL,1.00,2.00,1.00,317,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805590,3.00,2.00,2.00,6.00,3.00,NULL,3.00,4.00,3.00,104,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805603,6.00,4.00,2.00,6.00,5.00,5.25,2.00,6.00,6.00,108,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUá','SC',10505,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3805620,0.00,2.00,2.00,3.00,3.00,NULL,3.00,1.00,2.00,304,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805638,3.00,4.00,3.00,4.00,3.00,NULL,3.00,6.00,3.00,310,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805646,2.00,3.00,4.00,3.00,5.00,4.75,3.00,5.00,4.00,223,NULL,NULL,'INGLESES DO RIO VERM','FLORIANóPOLIS','SC',15263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805654,2.00,4.00,3.00,0.00,5.00,NULL,2.00,5.00,3.00,207,NULL,201,'INDAIá','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3805662,7.00,7.00,3.00,1.00,4.00,5.50,5.00,7.00,7.00,238,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',8617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3805670,2.00,2.00,3.00,3.00,2.00,NULL,2.00,2.00,3.00,317,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805697,3.00,6.00,3.00,2.00,6.00,5.00,3.00,6.00,3.00,302,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',13172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3805700,3.00,3.00,1.00,5.00,2.00,NULL,1.00,5.00,2.00,331,NULL,NULL,'ARMAçãO DO P DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805719,6.00,7.00,4.00,7.00,5.00,5.25,5.00,7.00,6.00,103,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',4967,1491,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805727,5.00,4.00,4.00,7.00,8.00,5.50,2.00,7.00,4.00,201,NULL,212,'CENTRO','TIJUCAS','SC',8493,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3805735,3.00,5.00,1.00,5.00,5.00,6.50,3.00,7.00,2.00,339,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',12237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805743,3.00,3.00,3.00,2.00,4.00,NULL,4.00,3.00,2.00,444,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3805751,4.00,1.00,3.00,6.00,3.00,NULL,3.00,3.00,5.00,223,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3805778,2.00,2.00,1.00,5.00,5.00,NULL,2.00,5.00,3.00,211,NULL,201,'POçO FUNDO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'FAZENDA DE LOURDES','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3805808,4.00,2.00,3.00,4.00,4.00,NULL,1.00,4.00,2.00,207,NULL,201,'FAZENDA RESSURREIçãO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805816,4.00,7.00,2.00,3.00,5.00,6.00,3.00,4.00,3.00,303,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',14018,616,NULL,NULL,NULL,NULL,NULL,4,1),(16,3805824,5.00,1.00,3.00,5.00,3.00,NULL,3.00,2.00,2.00,308,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'MORRO DOS CAVALOS','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3805840,5.00,6.00,4.00,9.00,7.00,4.50,1.00,8.00,6.00,451,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',5315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3805859,4.00,4.00,3.00,2.00,4.00,5.75,2.00,5.00,2.00,201,NULL,202,'FUNDOS','BIGUAçU','SC',16345,1257,NULL,540,NULL,NULL,NULL,4,1),(16,3805875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,207,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3805883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,213,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3805891,3.00,2.00,1.00,4.00,6.00,NULL,0.00,6.00,3.00,302,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805905,5.00,7.00,2.00,3.00,4.00,4.50,2.00,7.00,3.00,332,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',13226,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805913,3.00,1.00,3.00,4.00,2.00,NULL,1.00,4.00,2.00,108,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3805930,0.00,0.00,2.00,3.00,0.00,NULL,3.00,1.00,2.00,201,NULL,207,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805948,5.00,6.00,4.00,7.00,4.00,6.25,5.00,2.00,3.00,316,NULL,NULL,'SAUDADE','BIGUAçU','SC',11532,128,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805956,7.00,5.00,3.00,0.00,7.00,6.25,4.00,7.00,5.00,420,NULL,NULL,'ARMAçãO DO P DO SUL','FLORIANóPOLIS','SC',7480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3805964,2.00,1.00,3.00,5.00,1.00,NULL,1.00,3.00,1.00,301,NULL,NULL,'SAO SEBASTIAO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3805972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3805980,8.00,8.00,2.00,8.00,8.00,7.25,4.00,8.00,6.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',2665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806006,3.00,3.00,3.00,6.00,3.00,NULL,1.00,4.00,2.00,318,NULL,NULL,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806014,1.00,4.00,2.00,4.00,3.00,NULL,0.00,3.00,2.00,428,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806022,6.00,4.00,2.00,4.00,4.00,4.75,2.00,6.00,3.00,238,NULL,220,'ROçADO','S JOSé','SC',14510,467,NULL,494,NULL,NULL,NULL,4,1),(16,3806030,2.00,3.00,1.00,5.00,2.00,NULL,0.00,2.00,3.00,324,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806057,5.00,6.00,2.00,4.00,5.00,4.25,1.00,7.00,2.00,2,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',13477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806065,4.00,9.00,4.00,9.00,6.00,8.50,2.00,7.00,4.00,201,NULL,211,'ESTREITO','FLORIANóPOLIS','SC',4375,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3806073,5.00,1.00,1.00,6.00,6.00,4.00,1.00,6.00,3.00,301,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',16211,366,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806081,1.00,3.00,4.00,3.00,3.00,NULL,3.00,2.00,3.00,203,NULL,214,'NOVA BELéM','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,429,'PACHECOS','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3806103,3.00,3.00,1.00,3.00,4.00,NULL,2.00,4.00,3.00,101,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806111,2.00,3.00,3.00,2.00,3.00,NULL,1.00,2.00,4.00,9,NULL,NULL,'STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806120,3.00,4.00,4.00,1.00,0.00,NULL,2.00,2.00,1.00,303,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806138,3.00,6.00,1.00,6.00,6.00,5.75,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',10910,2326,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806146,1.00,4.00,4.00,4.00,5.00,NULL,0.00,3.00,2.00,327,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806154,6.00,6.00,4.00,5.00,6.00,6.75,1.00,6.00,6.00,444,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',6684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806162,4.00,4.00,2.00,5.00,4.00,5.75,3.00,4.00,4.00,102,NULL,NULL,'CENTRO','TUBARãO','SC',14717,268,NULL,NULL,NULL,NULL,NULL,2,10),(16,3806170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'CENTRO','IGARAPAVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3806189,3.00,4.00,1.00,4.00,5.00,5.25,3.00,3.00,5.00,404,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',15674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806197,5.00,1.00,1.00,3.00,2.00,NULL,1.00,3.00,3.00,102,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806200,2.00,5.00,3.00,7.00,2.00,NULL,4.00,1.00,1.00,444,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806219,2.00,2.00,3.00,3.00,4.00,NULL,2.00,1.00,5.00,214,NULL,233,'PIEDADE','CAçAPAVA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806227,2.00,4.00,2.00,4.00,6.00,4.00,2.00,7.00,3.00,5,NULL,NULL,'BOM JESUS','ITAIóPOLIS','SC',15554,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3806243,1.00,2.00,3.00,0.00,5.00,NULL,2.00,6.00,3.00,5,NULL,NULL,'CAETé','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806251,5.00,7.00,1.00,6.00,5.00,6.00,1.00,7.00,2.00,207,NULL,NULL,'AGOSTINHO GRISS','S DOMINGOS','SC',12664,641,NULL,NULL,NULL,NULL,NULL,4,4),(16,3806260,4.00,5.00,4.00,1.00,6.00,6.50,1.00,7.00,2.00,101,NULL,NULL,'KOBRASOL','S JOSé','SC',14055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806278,3.00,7.00,6.00,7.00,4.00,5.50,4.00,6.00,4.00,213,NULL,202,'ESTAçãO','FRANCA','SP',6954,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806286,4.00,0.00,2.00,3.00,2.00,NULL,4.00,2.00,3.00,211,NULL,233,'TERRA NOVA','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806294,3.00,4.00,4.00,6.00,3.00,NULL,3.00,1.00,3.00,309,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3806316,2.00,4.00,5.00,5.00,4.00,5.00,0.00,4.00,3.00,427,NULL,424,'CENTRO','FLORIANóPOLIS','SC',16067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806324,4.00,5.00,1.00,9.00,6.00,7.75,3.00,8.00,6.00,425,NULL,428,'RIO VERMELHO','FLORIANóPOLIS','SC',5986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806359,0.00,3.00,3.00,0.00,3.00,NULL,1.00,3.00,3.00,202,NULL,220,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','MTE ALTO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3806375,7.00,4.00,2.00,4.00,5.00,6.00,4.00,6.00,5.00,3,NULL,NULL,'CAMPINAS','S JOSé','SC',9089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806383,5.00,3.00,1.00,2.00,3.00,NULL,2.00,0.00,3.00,238,NULL,211,'SÃO CRISTÓVÃO','S JOSé CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3806391,4.00,5.00,4.00,7.00,6.00,4.50,4.00,9.00,4.00,303,NULL,NULL,'ENSEADA DO BRITO','ENS BRITO','SC',7928,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806405,0.00,4.00,3.00,3.00,1.00,NULL,2.00,5.00,2.00,5,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806413,3.00,4.00,3.00,7.00,3.00,NULL,3.00,5.00,3.00,238,NULL,215,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806421,3.00,2.00,3.00,3.00,3.00,NULL,0.00,4.00,2.00,224,NULL,NULL,'BALNEARIO DOS AÇORES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CENTRO','IMBé','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3806448,3.00,4.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,10),(16,3806456,2.00,4.00,2.00,4.00,4.00,4.50,3.00,6.00,1.00,103,NULL,NULL,'SANTA LUZIA','CRICIúMA','SC',16537,2830,NULL,NULL,NULL,NULL,NULL,2,5),(16,3806464,3.00,3.00,2.00,6.00,2.00,NULL,2.00,5.00,2.00,450,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(16,3806480,5.00,7.00,4.00,8.00,5.00,5.75,3.00,5.00,4.00,5,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',8825,335,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SãO FRANCISCO','BENTO GONçALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3806502,6.00,5.00,2.00,4.00,3.00,NULL,4.00,6.00,6.00,502,NULL,NULL,'ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3806529,5.00,6.00,4.00,6.00,7.00,5.50,4.00,6.00,6.00,319,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',5922,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806537,5.00,4.00,1.00,6.00,7.00,4.75,2.00,4.00,3.00,503,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',13693,64,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806545,5.00,5.00,2.00,6.00,6.00,4.25,1.00,7.00,3.00,234,NULL,NULL,'ARIRIU','PALHOçA','SC',12510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806553,5.00,4.00,3.00,7.00,5.00,3.00,7.00,8.00,5.00,9,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3806561,3.00,4.00,1.00,3.00,4.00,4.00,2.00,7.00,2.00,320,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',16684,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806570,4.00,6.00,4.00,6.00,5.00,5.25,4.00,4.00,4.00,302,NULL,NULL,'JõAO PAULO','FLORIANóPOLIS','SC',11164,128,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806588,5.00,3.00,2.00,4.00,4.00,6.50,1.00,4.00,2.00,103,NULL,NULL,'IRIRIU','JOINVILLE','SC',16126,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3806596,5.00,5.00,2.00,5.00,4.00,4.50,5.00,5.00,5.00,3,NULL,NULL,'SAVEIROS','FLORIANóPOLIS','SC',10420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806600,6.00,7.00,4.00,9.00,7.00,6.00,3.00,6.00,3.00,238,NULL,208,'INGLESES','FLORIANóPOLIS','SC',5545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806618,3.00,4.00,3.00,6.00,4.00,5.50,3.00,4.00,3.00,224,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',15061,21,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806626,8.00,4.00,8.00,6.00,3.00,NULL,6.00,7.00,6.00,207,NULL,201,'VILA SANTANA','VARGEM G SUL','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806634,4.00,4.00,3.00,4.00,4.00,5.75,5.00,1.00,4.00,211,NULL,202,'INGLESES','FLORIANóPOLIS','SC',14635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3806650,1.00,0.00,2.00,5.00,3.00,NULL,2.00,1.00,1.00,339,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,429,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3806685,3.00,5.00,2.00,3.00,4.00,6.25,2.00,5.00,3.00,304,NULL,NULL,'PASSA VINTE','PALHOçA','SC',15977,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806693,2.00,2.00,1.00,7.00,5.00,5.00,3.00,3.00,4.00,238,NULL,215,'BARRA DO ARIRIU','PALHOçA','SC',16087,527,NULL,350,NULL,NULL,NULL,2,1),(16,3806715,2.00,2.00,1.00,6.00,5.00,6.50,3.00,5.00,3.00,339,NULL,NULL,'KOBRASOL','S JOSé','SC',15817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806723,2.00,2.00,2.00,4.00,2.00,NULL,1.00,5.00,3.00,303,NULL,NULL,'áGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3806731,1.00,4.00,3.00,6.00,5.00,5.00,1.00,5.00,2.00,301,NULL,NULL,'JARDIM JANAINA','BIGUAçU','SC',16026,357,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806758,3.00,6.00,3.00,6.00,7.00,4.50,3.00,5.00,3.00,318,NULL,NULL,'CAMPINAS','S JOSé','SC',12217,94,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806766,4.00,5.00,3.00,6.00,5.00,4.00,3.00,5.00,2.00,502,NULL,NULL,'BARREIROS','S JOSé','SC',14612,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806774,5.00,3.00,1.00,4.00,7.00,6.00,3.00,6.00,6.00,303,NULL,NULL,'SANTA ISABEL','FORQUILHINHA','SC',10580,455,NULL,NULL,NULL,NULL,NULL,4,5),(16,3806782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3806790,5.00,7.00,5.00,7.00,7.00,5.50,6.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',3218,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806804,4.00,5.00,1.00,6.00,4.00,6.00,2.00,3.00,2.00,424,NULL,429,'LINHA LOMBA GRANDE','ARVOREDO','SC',15160,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3806812,2.00,5.00,3.00,6.00,4.00,6.25,1.00,6.00,4.00,302,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',14299,183,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806820,5.00,7.00,2.00,5.00,7.00,5.75,3.00,3.00,3.00,207,NULL,212,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',12001,595,NULL,350,NULL,NULL,NULL,4,1),(16,3806839,3.00,3.00,2.00,5.00,3.00,NULL,1.00,3.00,3.00,420,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806855,2.00,3.00,3.00,4.00,2.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'INTERIOR','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3806863,2.00,2.00,4.00,4.00,4.00,4.75,3.00,4.00,4.00,208,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',16612,580,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806880,3.00,1.00,2.00,2.00,1.00,NULL,3.00,5.00,4.00,332,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806898,2.00,5.00,3.00,4.00,3.00,NULL,1.00,2.00,1.00,420,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3806910,3.00,3.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,501,NULL,NULL,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3806928,4.00,5.00,4.00,5.00,5.00,4.00,2.00,2.00,2.00,301,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',15346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806936,2.00,1.00,1.00,0.00,3.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'MAGALHãES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,10),(16,3806944,3.00,7.00,5.00,7.00,8.00,6.75,4.00,6.00,5.00,207,NULL,212,'ESTREITO','FLORIANóPOLIS','SC',5003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806952,1.00,3.00,2.00,2.00,1.00,NULL,0.00,2.00,3.00,208,NULL,238,'ARI LUNARDI','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3806960,3.00,2.00,1.00,3.00,2.00,NULL,2.00,1.00,1.00,301,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3806979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'ARI LUNARDI','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3806987,5.00,3.00,6.00,7.00,5.00,5.50,4.00,4.00,4.00,420,NULL,NULL,'PENHA','PAULO LOPES','SC',8990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3806995,1.00,0.00,2.00,4.00,2.00,NULL,3.00,2.00,2.00,319,NULL,NULL,'BREJARU II','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807002,2.00,0.00,1.00,0.00,2.00,NULL,3.00,2.00,4.00,339,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807010,3.00,4.00,2.00,3.00,6.00,5.50,3.00,6.00,3.00,317,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',13954,125,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807037,1.00,1.00,2.00,4.00,2.00,NULL,1.00,3.00,3.00,208,NULL,207,'MORRO DA CRUZ CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3807053,1.00,1.00,2.00,0.00,1.00,NULL,2.00,2.00,2.00,238,NULL,207,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807061,2.00,2.00,1.00,2.00,4.00,NULL,0.00,2.00,3.00,309,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807070,2.00,2.00,4.00,6.00,3.00,NULL,1.00,7.00,4.00,103,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807088,2.00,5.00,2.00,5.00,4.00,5.75,3.00,4.00,1.00,425,NULL,429,'SERRARIA','S JOSé','SC',16084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807096,3.00,4.00,5.00,7.00,6.00,6.00,4.00,8.00,6.00,333,NULL,NULL,'KOBRASOL','S JOSé','SC',6111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807118,2.00,3.00,3.00,0.00,4.00,NULL,4.00,3.00,2.00,202,NULL,203,'SERRARIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807126,3.00,1.00,3.00,1.00,0.00,NULL,1.00,2.00,3.00,319,NULL,NULL,'SERRARIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807134,3.00,4.00,4.00,3.00,4.00,4.25,3.00,6.00,3.00,208,NULL,238,'CAPOEIRAS','FLORIANóPOLIS','SC',15003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'JARDIM ATâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3807150,3.00,4.00,3.00,1.00,5.00,5.50,4.00,5.00,3.00,426,NULL,428,'AREIAS','S JOSé','SC',15644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807169,3.00,4.00,1.00,2.00,3.00,NULL,3.00,1.00,1.00,208,NULL,202,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807185,0.00,0.00,0.00,1.00,2.00,NULL,3.00,4.00,2.00,327,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(16,3807193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM ESTALAGEM','VIAMãO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3807207,1.00,4.00,2.00,6.00,5.00,4.25,2.00,7.00,2.00,324,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',15485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807215,5.00,6.00,4.00,6.00,8.00,5.25,2.00,7.00,4.00,207,NULL,211,'PONTE DO IMARUIM','PALHOçA','SC',8085,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807223,1.00,3.00,3.00,1.00,2.00,NULL,2.00,1.00,2.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807231,1.00,3.00,2.00,3.00,3.00,NULL,1.00,4.00,4.00,212,NULL,213,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807240,3.00,4.00,1.00,4.00,5.00,NULL,3.00,2.00,1.00,425,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807258,3.00,5.00,4.00,7.00,3.00,NULL,2.00,5.00,3.00,201,NULL,212,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807282,4.00,6.00,3.00,4.00,6.00,5.50,4.00,6.00,4.00,238,NULL,208,'AGRONôMICA','FLORIANóPOLIS','SC',10028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807290,4.00,6.00,3.00,6.00,7.00,4.50,4.00,7.00,2.00,223,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',9401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807304,4.00,4.00,4.00,3.00,2.00,NULL,2.00,6.00,2.00,207,NULL,211,'CANTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807312,4.00,2.00,1.00,0.00,4.00,NULL,2.00,2.00,3.00,238,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807320,5.00,2.00,1.00,6.00,3.00,NULL,3.00,3.00,1.00,303,NULL,NULL,'LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807339,5.00,4.00,4.00,5.00,5.00,5.50,1.00,5.00,5.00,207,NULL,212,'BARREIROS','S JOSé','SC',12100,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807347,4.00,5.00,3.00,5.00,3.00,NULL,2.00,6.00,4.00,301,NULL,NULL,'PRAINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807355,2.00,1.00,3.00,6.00,5.00,NULL,3.00,2.00,2.00,450,NULL,NULL,'FAZ DO SACRAMENTO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807363,2.00,4.00,4.00,3.00,3.00,NULL,1.00,2.00,5.00,318,NULL,NULL,'ROCADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807371,6.00,4.00,6.00,7.00,5.00,6.25,2.00,4.00,3.00,201,NULL,203,'PONTE DO IMARUIM','PALHOçA','SC',9798,754,NULL,698,NULL,NULL,NULL,2,1),(16,3807380,0.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,233,NULL,211,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3807398,2.00,2.00,3.00,5.00,2.00,NULL,3.00,4.00,2.00,238,NULL,208,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807401,2.00,3.00,1.00,3.00,4.00,NULL,1.00,2.00,4.00,301,NULL,NULL,'STO ANTôNIO DE LISBO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807410,3.00,7.00,1.00,7.00,5.00,5.75,2.00,8.00,2.00,450,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',10558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807428,4.00,5.00,3.00,5.00,6.00,5.00,3.00,4.00,2.00,444,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',13585,91,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807436,2.00,2.00,1.00,3.00,3.00,NULL,2.00,5.00,6.00,208,NULL,238,'COSTEIRA PIRAJUBAE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807444,2.00,4.00,2.00,7.00,4.00,7.25,5.00,5.00,5.00,234,NULL,NULL,'CACH BOM JESUS','FLORIANóPOLIS','SC',11639,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807452,3.00,4.00,3.00,8.00,5.00,5.00,3.00,5.00,5.00,302,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',11190,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807460,7.00,9.00,5.00,6.00,6.00,4.75,4.00,5.00,8.00,201,NULL,207,'PONTE DO IMARUIM','PALHOçA','SC',5055,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807479,1.00,6.00,4.00,1.00,3.00,NULL,4.00,4.00,3.00,238,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'VARGINHA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3807495,5.00,4.00,1.00,4.00,4.00,5.00,4.00,3.00,2.00,108,NULL,NULL,'BARREIROS','S JOSé','SC',16130,357,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807509,6.00,6.00,4.00,8.00,6.00,7.50,3.00,7.00,3.00,5,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',6183,249,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807525,4.00,3.00,4.00,6.00,4.00,5.75,3.00,4.00,1.00,404,NULL,NULL,'COLONINHA','FLORIANóPOLIS','SC',14813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807541,4.00,3.00,2.00,1.00,2.00,NULL,1.00,3.00,2.00,301,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807550,2.00,6.00,2.00,5.00,5.00,5.00,1.00,6.00,5.00,444,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',13249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807568,5.00,4.00,3.00,8.00,7.00,6.00,2.00,6.00,2.00,302,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',10307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807576,3.00,2.00,1.00,4.00,2.00,NULL,2.00,2.00,2.00,5,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807584,4.00,4.00,1.00,5.00,4.00,6.00,2.00,3.00,4.00,429,NULL,426,'CENTRO','ESTAçãO','RS',15606,63,NULL,32,NULL,NULL,NULL,2,1),(16,3807592,0.00,4.00,4.00,2.00,2.00,NULL,3.00,6.00,2.00,324,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3807614,6.00,4.00,5.00,8.00,7.00,4.75,2.00,6.00,5.00,233,NULL,208,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',6440,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807622,3.00,2.00,3.00,3.00,5.00,4.00,4.00,7.00,3.00,301,NULL,NULL,'PONTA DE BAIXO','S JOSé','SC',15839,350,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807630,5.00,7.00,4.00,5.00,4.00,4.50,1.00,7.00,3.00,317,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',10542,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807649,2.00,4.00,2.00,8.00,3.00,NULL,3.00,2.00,4.00,429,NULL,425,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3807657,7.00,5.00,4.00,6.00,7.00,4.50,4.00,5.00,4.00,304,NULL,NULL,'ENSEADA DE BRITO','PALHOçA','SC',7537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807673,2.00,3.00,4.00,3.00,4.00,NULL,1.00,3.00,2.00,302,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807681,1.00,4.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,444,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807690,5.00,7.00,4.00,6.00,6.00,5.50,2.00,6.00,4.00,317,NULL,NULL,'SERRARIA','S JOSé','SC',9149,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807711,6.00,3.00,1.00,5.00,2.00,NULL,3.00,5.00,2.00,207,NULL,211,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807720,6.00,5.00,4.00,6.00,5.00,6.00,2.00,7.00,3.00,425,NULL,NULL,'GUARDA DO CUBATãO','PALHOçA','SC',10226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807738,3.00,4.00,1.00,5.00,2.00,NULL,3.00,4.00,1.00,308,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807746,4.00,2.00,3.00,6.00,2.00,NULL,3.00,4.00,3.00,302,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807754,1.00,5.00,3.00,2.00,3.00,NULL,2.00,6.00,3.00,211,NULL,208,'VARGEM GRANDE','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807762,3.00,5.00,4.00,6.00,5.00,4.00,4.00,6.00,4.00,201,NULL,212,'CENTRO','ÁGUAS MORNAS','SC',12167,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807770,2.00,5.00,4.00,4.00,2.00,NULL,1.00,4.00,3.00,238,NULL,208,'PONTA DE BAIXO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807789,5.00,6.00,2.00,7.00,6.00,6.75,2.00,3.00,3.00,211,NULL,203,'AREIAS','S JOSé','SC',12091,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807797,2.00,3.00,2.00,4.00,4.00,NULL,3.00,2.00,3.00,104,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807819,6.00,4.00,2.00,0.00,6.00,5.00,4.00,3.00,4.00,319,NULL,NULL,'N SRA DO ROSARIO','S JOSé','SC',15405,331,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807827,2.00,1.00,2.00,1.00,2.00,NULL,1.00,1.00,3.00,308,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807835,4.00,2.00,1.00,0.00,4.00,NULL,2.00,3.00,3.00,339,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807843,1.00,4.00,4.00,5.00,2.00,NULL,2.00,2.00,3.00,9,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807851,6.00,1.00,4.00,2.00,0.00,NULL,1.00,3.00,2.00,503,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807860,3.00,3.00,2.00,1.00,3.00,NULL,3.00,5.00,2.00,404,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807878,3.00,2.00,3.00,6.00,6.00,5.25,4.00,6.00,2.00,501,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807886,3.00,2.00,2.00,5.00,3.00,NULL,1.00,4.00,2.00,324,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807894,6.00,3.00,3.00,4.00,4.00,4.75,2.00,5.00,2.00,309,NULL,NULL,'IPIRANGA','S JOSé','SC',15740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807916,4.00,5.00,2.00,5.00,5.00,4.00,4.00,5.00,5.00,214,NULL,212,'ESTREITO','FLORIANóPOLIS','SC',11526,382,NULL,338,NULL,NULL,NULL,2,1),(16,3807924,3.00,3.00,4.00,5.00,4.00,4.75,3.00,6.00,1.00,453,NULL,NULL,'BELA VISTA','S JOSé','SC',15937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807932,4.00,3.00,3.00,2.00,6.00,NULL,0.00,5.00,3.00,102,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807940,5.00,7.00,2.00,9.00,7.00,6.50,5.00,5.00,3.00,208,NULL,238,'BARREIROS','S JOSé','SC',7009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3807959,4.00,4.00,4.00,5.00,6.00,5.75,3.00,5.00,4.00,319,NULL,NULL,'TRêS RIACHOS','BIGUAçU','SC',12536,255,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807967,5.00,7.00,5.00,5.00,5.00,5.00,3.00,7.00,4.00,316,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',8733,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807983,2.00,1.00,3.00,4.00,3.00,NULL,1.00,3.00,2.00,303,NULL,NULL,'BELA VISTA II','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3807991,3.00,3.00,2.00,1.00,1.00,NULL,1.00,3.00,4.00,301,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808009,2.00,2.00,1.00,5.00,2.00,NULL,2.00,1.00,1.00,309,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808025,7.00,5.00,2.00,5.00,3.00,NULL,5.00,7.00,5.00,444,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808033,2.00,1.00,1.00,1.00,5.00,NULL,1.00,3.00,3.00,304,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'DANIELA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3808050,1.00,3.00,4.00,7.00,6.00,6.00,4.00,8.00,4.00,308,NULL,NULL,'INGLESES DO RIO VERM','FLORIANóPOLIS','SC',10772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808068,3.00,1.00,2.00,1.00,4.00,NULL,2.00,3.00,4.00,304,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808076,3.00,2.00,2.00,2.00,1.00,NULL,2.00,2.00,2.00,316,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808084,3.00,6.00,2.00,5.00,3.00,NULL,2.00,5.00,2.00,202,NULL,213,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3808106,5.00,2.00,3.00,6.00,4.00,6.75,3.00,1.00,3.00,339,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15605,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808114,2.00,3.00,1.00,3.00,5.00,5.00,2.00,6.00,5.00,339,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15723,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808122,4.00,6.00,2.00,9.00,5.00,5.75,4.00,6.00,4.00,225,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',8437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808130,3.00,4.00,4.00,3.00,5.00,4.50,2.00,4.00,3.00,425,NULL,424,'CENTRO','FLORIANOPOLIS','SC',16138,110,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808149,4.00,4.00,3.00,6.00,3.00,NULL,3.00,5.00,4.00,501,NULL,NULL,'RESIDENCIAL LISBOA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808165,2.00,2.00,2.00,2.00,3.00,NULL,0.00,0.00,1.00,425,NULL,429,'ALTO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808173,6.00,6.00,5.00,7.00,5.00,5.25,4.00,6.00,6.00,211,NULL,215,'ITACORUBI','FLORIANóPOLIS','SC',5739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3808190,5.00,5.00,5.00,5.00,5.00,6.25,3.00,4.00,3.00,428,NULL,426,'ABRAãO','FLORIANóPOLIS','SC',11427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808203,4.00,3.00,4.00,2.00,3.00,NULL,2.00,3.00,2.00,5,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808211,1.00,1.00,3.00,6.00,3.00,NULL,2.00,5.00,3.00,301,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808220,1.00,4.00,3.00,4.00,3.00,NULL,1.00,2.00,2.00,425,NULL,429,'CAMPO DEMONSTRAçãO','S PEDRO ALCâNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808246,2.00,2.00,4.00,3.00,6.00,NULL,2.00,2.00,3.00,324,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808254,1.00,2.00,3.00,0.00,0.00,NULL,3.00,2.00,2.00,302,NULL,NULL,'BARRA DO SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808262,3.00,5.00,3.00,5.00,5.00,4.25,2.00,6.00,3.00,339,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',14747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808270,4.00,5.00,2.00,6.00,6.00,4.75,3.00,5.00,3.00,301,NULL,NULL,'ALTO ARIRIU','PALHOçA','SC',13445,288,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808289,5.00,6.00,5.00,4.00,3.00,NULL,2.00,5.00,4.00,316,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808297,2.00,5.00,4.00,7.00,3.00,NULL,2.00,3.00,4.00,309,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'REAL PARK','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3808319,2.00,1.00,4.00,5.00,3.00,NULL,2.00,2.00,4.00,234,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3808327,2.00,3.00,3.00,2.00,4.00,NULL,2.00,3.00,2.00,102,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808335,3.00,2.00,2.00,6.00,3.00,NULL,2.00,3.00,5.00,339,NULL,NULL,'SERTãO DO MARUIM','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808351,0.00,3.00,5.00,2.00,5.00,NULL,1.00,4.00,3.00,316,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808360,1.00,3.00,3.00,1.00,0.00,NULL,1.00,1.00,2.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808378,1.00,3.00,1.00,2.00,3.00,NULL,1.00,1.00,1.00,201,NULL,208,'ESTREITO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808386,3.00,5.00,4.00,0.00,2.00,NULL,3.00,6.00,4.00,318,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808394,4.00,2.00,2.00,4.00,3.00,NULL,5.00,5.00,2.00,425,NULL,423,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808408,3.00,6.00,4.00,4.00,4.00,4.00,5.00,2.00,2.00,238,NULL,208,'JOãO PAULO','FLORIANóPOLIS','SC',14593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808416,2.00,3.00,2.00,2.00,4.00,NULL,2.00,3.00,1.00,101,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808424,3.00,3.00,2.00,4.00,3.00,NULL,3.00,3.00,4.00,324,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808432,2.00,4.00,3.00,1.00,2.00,NULL,1.00,3.00,4.00,421,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3808440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'PETROPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3808459,1.00,5.00,1.00,4.00,3.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3808467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3808483,1.00,0.00,2.00,1.00,1.00,NULL,1.00,0.00,2.00,101,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808491,5.00,5.00,2.00,8.00,5.00,5.75,3.00,9.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808505,4.00,5.00,4.00,8.00,7.00,6.00,2.00,7.00,3.00,452,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808521,1.00,4.00,3.00,3.00,3.00,NULL,0.00,2.00,4.00,215,NULL,212,'COSTEIRA PIRAJUBAé','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808530,2.00,1.00,3.00,1.00,2.00,NULL,1.00,1.00,4.00,339,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808548,0.00,0.00,1.00,3.00,2.00,NULL,2.00,2.00,2.00,202,NULL,208,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808556,3.00,2.00,4.00,5.00,3.00,NULL,3.00,3.00,5.00,203,NULL,208,'SERTÃO DO MARUIM','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3808572,4.00,4.00,3.00,5.00,5.00,5.25,2.00,5.00,1.00,316,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',15598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808580,2.00,2.00,2.00,3.00,4.00,NULL,2.00,1.00,3.00,327,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808602,5.00,6.00,4.00,6.00,7.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3808610,6.00,5.00,4.00,6.00,4.00,5.25,2.00,5.00,5.00,203,NULL,201,'JARDIM CIDADE','S JOSé','SC',11125,760,NULL,864,NULL,NULL,NULL,2,1),(16,3808629,4.00,3.00,2.00,7.00,4.00,5.00,3.00,5.00,3.00,415,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',13834,351,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808637,2.00,2.00,3.00,0.00,3.00,NULL,2.00,2.00,2.00,309,NULL,NULL,'FUNDOS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3808661,2.00,5.00,2.00,6.00,3.00,NULL,2.00,5.00,3.00,428,NULL,425,'FUNDOS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3808688,2.00,5.00,3.00,2.00,4.00,NULL,2.00,4.00,1.00,318,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808696,5.00,3.00,3.00,7.00,4.00,5.25,2.00,4.00,4.00,316,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',13400,157,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808700,5.00,3.00,2.00,4.00,7.00,NULL,0.00,0.00,0.00,207,NULL,201,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3808718,2.00,3.00,2.00,3.00,5.00,NULL,2.00,2.00,1.00,310,NULL,NULL,'SERRARIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808726,3.00,2.00,3.00,6.00,3.00,NULL,3.00,3.00,5.00,211,NULL,215,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808734,3.00,4.00,2.00,3.00,3.00,NULL,3.00,4.00,4.00,451,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808742,3.00,4.00,2.00,6.00,7.00,7.00,3.00,6.00,5.00,339,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9445,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808750,6.00,5.00,3.00,3.00,5.00,5.00,3.00,5.00,1.00,108,NULL,NULL,'SERTãO DO MARUIM','S JOSé','SC',13290,303,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808769,2.00,5.00,1.00,6.00,4.00,4.75,3.00,5.00,5.00,301,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',14007,303,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808777,4.00,3.00,4.00,6.00,6.00,5.00,2.00,6.00,2.00,339,NULL,NULL,'BELA VISTA I','S JOSé','SC',13254,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808807,4.00,5.00,4.00,0.00,2.00,NULL,4.00,4.00,4.00,201,NULL,207,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808815,4.00,2.00,5.00,7.00,6.00,4.75,2.00,4.00,3.00,332,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',13361,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808823,4.00,6.00,4.00,4.00,4.00,5.50,3.00,3.00,4.00,420,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',13518,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808831,2.00,3.00,2.00,5.00,2.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3808858,6.00,4.00,6.00,8.00,7.00,6.00,5.00,7.00,3.00,103,NULL,NULL,'INTERIOR','ÁGUA DOCE','SC',4792,1453,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808866,5.00,6.00,4.00,4.00,6.00,4.00,0.00,7.00,4.00,423,NULL,425,'FUNDOS','BIGUAçU','SC',12057,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808874,4.00,5.00,5.00,6.00,4.00,5.00,4.00,4.00,2.00,317,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',12643,105,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808882,3.00,1.00,2.00,2.00,0.00,NULL,4.00,3.00,1.00,425,NULL,428,'SERTãO DO MARUIM','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808890,2.00,1.00,2.00,0.00,2.00,NULL,5.00,0.00,0.00,428,NULL,423,'VARGEM DO BOM JESUS','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808904,3.00,0.00,1.00,1.00,2.00,NULL,1.00,1.00,2.00,316,NULL,NULL,'ABRAÃO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808912,3.00,3.00,1.00,1.00,3.00,NULL,2.00,3.00,3.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808920,4.00,4.00,4.00,6.00,5.00,6.00,2.00,7.00,3.00,326,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',12132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808939,5.00,7.00,6.00,5.00,4.00,4.50,5.00,7.00,6.00,501,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5599,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808947,5.00,7.00,6.00,8.00,6.00,6.50,7.00,8.00,4.00,5,NULL,NULL,'SAUDADE','BIGUAçU','SC',2693,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808963,2.00,4.00,1.00,5.00,5.00,NULL,1.00,5.00,2.00,429,NULL,425,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3808971,3.00,3.00,3.00,3.00,2.00,NULL,2.00,1.00,2.00,317,NULL,NULL,'RIO GRANDE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808980,4.00,2.00,4.00,6.00,5.00,4.50,1.00,5.00,3.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3808998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BARRA DO ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3809005,3.00,2.00,2.00,5.00,2.00,NULL,3.00,4.00,2.00,223,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809013,4.00,6.00,4.00,6.00,4.00,5.25,3.00,6.00,4.00,309,NULL,NULL,'ALTO RIBEIRãO','FLORIANóPOLIS','SC',10737,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809021,3.00,6.00,5.00,8.00,6.00,4.25,4.00,8.00,4.00,310,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6957,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809030,2.00,4.00,2.00,5.00,4.00,NULL,2.00,5.00,1.00,308,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809048,1.00,3.00,3.00,2.00,2.00,NULL,2.00,4.00,3.00,309,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809056,4.00,3.00,2.00,1.00,2.00,NULL,2.00,4.00,1.00,317,NULL,NULL,'SAO SEBASTIAO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3809064,1.00,4.00,4.00,8.00,7.00,6.00,2.00,3.00,3.00,214,NULL,215,'MANOEL FRANCISCO','LIMEIRA','SP',13787,437,NULL,303,NULL,NULL,NULL,2,1),(16,3809072,4.00,1.00,1.00,7.00,3.00,NULL,2.00,2.00,3.00,339,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809080,3.00,2.00,4.00,6.00,2.00,NULL,3.00,5.00,4.00,5,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809099,8.00,6.00,6.00,6.00,6.00,4.75,3.00,7.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3504,1183,NULL,NULL,NULL,NULL,NULL,4,1),(16,3809102,2.00,1.00,1.00,4.00,2.00,NULL,2.00,3.00,2.00,310,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809110,2.00,4.00,2.00,4.00,0.00,NULL,1.00,4.00,3.00,208,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809129,3.00,3.00,3.00,2.00,2.00,NULL,3.00,0.00,1.00,207,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809137,4.00,2.00,3.00,4.00,5.00,6.00,3.00,5.00,4.00,238,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',13995,448,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809145,3.00,0.00,4.00,4.00,2.00,NULL,2.00,0.00,2.00,415,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809161,1.00,1.00,1.00,1.00,2.00,NULL,1.00,2.00,4.00,340,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3809170,3.00,4.00,3.00,7.00,4.00,4.50,2.00,7.00,3.00,5,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13625,453,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809188,1.00,1.00,4.00,1.00,1.00,NULL,2.00,1.00,3.00,339,NULL,NULL,'POTECAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809196,5.00,5.00,4.00,7.00,6.00,5.75,3.00,8.00,5.00,420,NULL,NULL,'JD ANCHIETA','FLORIANóPOLIS','SC',6697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3809200,4.00,6.00,1.00,4.00,6.00,4.75,3.00,6.00,1.00,326,NULL,NULL,'PICADAS DO NORTE','S JOSé','SC',13681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3809218,4.00,6.00,4.00,6.00,5.00,4.00,3.00,5.00,4.00,332,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',11957,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809226,3.00,4.00,1.00,7.00,5.00,5.50,2.00,3.00,3.00,326,NULL,NULL,'SERRARIA','S JOSé','SC',15791,79,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809234,3.00,2.00,2.00,3.00,2.00,NULL,1.00,1.00,2.00,502,NULL,NULL,'VILA SãO JOãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809242,3.00,2.00,4.00,3.00,2.00,NULL,3.00,2.00,2.00,319,NULL,NULL,'MONTE VERDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809250,1.00,2.00,4.00,1.00,1.00,NULL,1.00,0.00,2.00,301,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809269,1.00,2.00,4.00,3.00,3.00,NULL,2.00,0.00,2.00,429,NULL,423,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809277,6.00,8.00,7.00,7.00,5.00,5.25,5.00,8.00,7.00,202,NULL,213,'TRINDADE','FLORIANóPOLIS','SC',2554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3809293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3809307,3.00,1.00,3.00,2.00,4.00,NULL,3.00,5.00,2.00,201,NULL,213,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809315,3.00,1.00,2.00,2.00,3.00,NULL,2.00,4.00,3.00,301,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3809323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'PANTANO DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3809331,3.00,3.00,4.00,6.00,5.00,5.25,4.00,1.00,2.00,301,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',15419,337,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809340,4.00,5.00,4.00,8.00,6.00,5.50,4.00,5.00,6.00,102,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',7532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809366,3.00,1.00,3.00,6.00,4.00,NULL,1.00,1.00,2.00,316,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809382,6.00,6.00,5.00,4.00,7.00,7.25,7.00,9.00,7.00,5,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',3246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3809390,3.00,2.00,3.00,4.00,2.00,NULL,1.00,2.00,2.00,304,NULL,NULL,'OBOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809404,3.00,1.00,2.00,5.00,4.00,NULL,1.00,2.00,5.00,302,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809420,4.00,6.00,4.00,4.00,8.00,5.75,3.00,5.00,3.00,108,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',9483,209,NULL,NULL,NULL,NULL,NULL,4,1),(16,3809439,5.00,5.00,4.00,6.00,3.00,NULL,4.00,5.00,4.00,316,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809447,3.00,4.00,3.00,5.00,3.00,NULL,1.00,3.00,4.00,207,NULL,NULL,'JURERÊ','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809455,3.00,3.00,2.00,6.00,5.00,6.25,3.00,5.00,1.00,303,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',15024,656,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809463,3.00,5.00,1.00,8.00,3.00,NULL,2.00,6.00,3.00,303,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3809471,4.00,4.00,3.00,5.00,5.00,3.00,2.00,3.00,3.00,102,NULL,NULL,'ARMAçãO DO PANTANO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'ARMAçãO DO PâNTANO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3809498,4.00,4.00,3.00,5.00,4.00,5.75,2.00,2.00,3.00,415,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',16466,417,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809501,2.00,4.00,3.00,5.00,3.00,NULL,0.00,6.00,4.00,233,NULL,203,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809510,3.00,4.00,2.00,4.00,0.00,NULL,3.00,5.00,2.00,333,NULL,NULL,'ARMAçãO DO P DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809536,2.00,3.00,1.00,5.00,6.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809544,2.00,5.00,4.00,6.00,3.00,NULL,0.00,4.00,3.00,340,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3809552,3.00,5.00,2.00,5.00,3.00,NULL,2.00,3.00,5.00,426,NULL,427,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809579,3.00,0.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,324,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809587,2.00,3.00,3.00,2.00,7.00,NULL,3.00,5.00,2.00,317,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3809595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,423,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3809617,4.00,4.00,2.00,8.00,6.00,4.75,2.00,5.00,6.00,203,NULL,202,'FORQUILHAS','S JOSé','SC',12011,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809625,4.00,5.00,2.00,8.00,4.00,4.00,1.00,6.00,4.00,420,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',12462,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809633,3.00,3.00,3.00,7.00,2.00,NULL,0.00,3.00,3.00,427,NULL,421,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809641,3.00,2.00,1.00,2.00,2.00,NULL,3.00,1.00,3.00,108,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3809650,4.00,5.00,2.00,9.00,7.00,5.75,2.00,7.00,6.00,108,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',6904,135,NULL,NULL,NULL,NULL,NULL,4,1),(16,3809668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'COHAB','RIQUEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3809676,4.00,4.00,3.00,5.00,3.00,NULL,3.00,3.00,3.00,225,NULL,NULL,'PRAINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3809692,1.00,1.00,2.00,2.00,4.00,NULL,3.00,2.00,1.00,324,NULL,NULL,'VILA SAO JOAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809706,2.00,6.00,4.00,6.00,6.00,5.75,3.00,3.00,4.00,316,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12714,147,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809714,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3809722,3.00,4.00,5.00,3.00,4.00,NULL,0.00,3.00,4.00,216,NULL,211,'INTERIOR','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3809730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CRUZEIRO','STA ROSA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3809749,0.00,2.00,2.00,4.00,3.00,NULL,2.00,2.00,2.00,316,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809757,6.00,3.00,3.00,7.00,3.00,NULL,1.00,6.00,2.00,317,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809765,4.00,2.00,2.00,8.00,3.00,NULL,3.00,1.00,4.00,420,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809773,5.00,3.00,1.00,6.00,6.00,NULL,2.00,0.00,3.00,202,NULL,208,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809781,1.00,3.00,2.00,3.00,2.00,NULL,2.00,5.00,3.00,208,NULL,238,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809790,1.00,1.00,4.00,5.00,5.00,NULL,2.00,0.00,2.00,102,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809838,3.00,4.00,2.00,1.00,2.00,NULL,4.00,4.00,3.00,453,NULL,NULL,'TRINDADE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3809846,5.00,5.00,3.00,3.00,7.00,6.75,3.00,6.00,3.00,104,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',10641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3809862,6.00,4.00,5.00,2.00,6.00,5.25,5.00,6.00,6.00,207,NULL,201,'PANTANAL','FLORIANóPOLIS','SC',9943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3809870,2.00,3.00,2.00,5.00,3.00,NULL,3.00,3.00,2.00,426,NULL,425,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809889,2.00,3.00,1.00,4.00,2.00,NULL,3.00,2.00,3.00,102,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809897,3.00,3.00,2.00,1.00,5.00,NULL,1.00,3.00,3.00,444,NULL,NULL,'CAMPECHE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3809900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,220,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3809919,2.00,5.00,2.00,0.00,5.00,NULL,2.00,2.00,3.00,304,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3809943,2.00,5.00,3.00,6.00,5.00,6.00,3.00,4.00,3.00,317,NULL,NULL,'CAMBOA DA ARMAçãO','GOV CELSO RAMOS','SC',13469,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,NULL,'GUARDA DO CUBATãO','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3809960,1.00,4.00,2.00,5.00,2.00,NULL,3.00,2.00,4.00,319,NULL,NULL,'BOM VIVER','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809978,5.00,5.00,1.00,4.00,6.00,6.00,1.00,7.00,1.00,207,NULL,201,'ITOUPAVA CENTRAL','BLUMENAU','SC',15197,787,NULL,1171,NULL,NULL,NULL,4,2),(16,3809986,4.00,3.00,2.00,7.00,5.00,NULL,0.00,7.00,3.00,301,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3809994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3810003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3810011,4.00,2.00,1.00,5.00,5.00,5.25,0.00,7.00,2.00,327,NULL,NULL,'AREIAS','S JOSé','SC',16413,55,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810020,3.00,1.00,2.00,7.00,6.00,NULL,1.00,2.00,1.00,309,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810038,3.00,3.00,3.00,4.00,4.00,4.00,3.00,3.00,3.00,317,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',16695,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM AMERICA','CACHOEIRINHA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3810054,0.00,3.00,1.00,6.00,4.00,NULL,2.00,4.00,2.00,339,NULL,NULL,'PALMAS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810062,4.00,2.00,3.00,4.00,6.00,5.25,4.00,5.00,3.00,303,NULL,NULL,'VARGEM GRANDE','ÁGUAS MORNAS','SC',13339,576,NULL,NULL,NULL,NULL,NULL,4,1),(16,3810070,3.00,6.00,2.00,6.00,6.00,4.00,0.00,4.00,4.00,309,NULL,NULL,'BARRA DO ARIRIú','PALHOçA','SC',14782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3810097,1.00,1.00,3.00,5.00,6.00,5.00,3.00,4.00,4.00,108,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',16448,360,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810100,5.00,3.00,3.00,7.00,4.00,5.50,2.00,2.00,3.00,452,NULL,NULL,'NATUREZA','CONCóRDIA','SC',15549,84,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3810127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3810135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'SãO SEBASTIãO','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3810143,1.00,3.00,3.00,6.00,0.00,NULL,2.00,5.00,2.00,501,NULL,NULL,'FORQUILINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810151,2.00,5.00,2.00,6.00,5.00,7.25,2.00,4.00,2.00,101,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',14927,104,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810160,2.00,2.00,4.00,5.00,5.00,NULL,2.00,1.00,1.00,214,NULL,212,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3810186,2.00,1.00,2.00,2.00,5.00,NULL,2.00,1.00,3.00,425,NULL,429,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3810208,4.00,6.00,4.00,8.00,3.00,NULL,4.00,4.00,3.00,502,NULL,NULL,'SãO MIGUEL','CONCóRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810216,4.00,4.00,4.00,6.00,3.00,NULL,2.00,5.00,5.00,225,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810224,3.00,6.00,3.00,3.00,5.00,4.50,1.00,4.00,3.00,225,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',16305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3810232,3.00,2.00,4.00,2.00,2.00,NULL,2.00,4.00,3.00,339,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3810240,4.00,3.00,2.00,4.00,5.00,4.75,1.00,6.00,2.00,452,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',15794,87,NULL,NULL,NULL,NULL,NULL,4,1),(16,3810259,4.00,5.00,4.00,5.00,5.00,5.75,4.00,6.00,1.00,301,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',11955,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3810275,4.00,4.00,2.00,3.00,5.00,NULL,1.00,3.00,2.00,317,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3810283,5.00,4.00,2.00,6.00,4.00,5.25,3.00,6.00,7.00,301,NULL,NULL,'BARREIROS','S JOSé','SC',9832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810291,2.00,0.00,4.00,5.00,2.00,NULL,3.00,5.00,2.00,423,NULL,424,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810305,5.00,5.00,6.00,7.00,6.00,6.00,3.00,7.00,6.00,207,NULL,201,'BARREIROS','S JOSé','SC',6475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810313,0.00,0.00,0.00,3.00,1.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3810321,5.00,5.00,4.00,5.00,3.00,NULL,3.00,4.00,3.00,423,NULL,425,'SANTOS SARAIVA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810330,3.00,3.00,4.00,5.00,4.00,4.50,1.00,6.00,2.00,415,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',16047,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3810348,5.00,7.00,1.00,4.00,2.00,NULL,2.00,7.00,3.00,327,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3810372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3810410,2.00,2.00,2.00,4.00,2.00,NULL,3.00,4.00,4.00,208,NULL,214,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810429,4.00,4.00,1.00,4.00,5.00,5.50,2.00,6.00,3.00,317,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3810437,5.00,6.00,3.00,5.00,6.00,6.00,2.00,7.00,5.00,304,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',9202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3810445,5.00,7.00,2.00,3.00,6.00,6.00,0.00,7.00,4.00,225,NULL,NULL,'PASSA VINTE','PALHOçA','SC',11037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3810453,5.00,4.00,1.00,6.00,6.00,4.50,3.00,7.00,4.00,3,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',11806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810461,7.00,5.00,3.00,6.00,6.00,5.50,4.00,4.00,0.00,333,NULL,NULL,'ARMAÇÃO','FLORIANóPOLIS','SC',10616,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810470,3.00,0.00,1.00,3.00,2.00,NULL,3.00,3.00,4.00,238,NULL,208,'ROCINHA','TIMBé SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3810488,4.00,4.00,1.00,7.00,4.00,5.50,3.00,6.00,2.00,317,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',14255,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810500,5.00,4.00,2.00,4.00,6.00,6.00,2.00,4.00,3.00,101,NULL,NULL,'DOS ESTADOS','INDAIAL','SC',14516,95,NULL,NULL,NULL,NULL,NULL,4,2),(16,3810518,6.00,3.00,4.00,5.00,6.00,4.75,5.00,3.00,3.00,301,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',12125,234,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810526,5.00,5.00,3.00,2.00,6.00,4.75,3.00,4.00,4.00,207,NULL,201,'CAMINHO NOVO','PALHOçA','SC',13033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3810534,2.00,3.00,2.00,6.00,4.00,NULL,2.00,1.00,2.00,333,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810542,3.00,5.00,2.00,5.00,3.00,NULL,1.00,3.00,4.00,304,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810550,2.00,2.00,1.00,6.00,6.00,5.50,4.00,5.00,4.00,317,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',15352,145,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810569,4.00,5.00,3.00,5.00,3.00,NULL,3.00,4.00,4.00,320,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810577,2.00,1.00,4.00,4.00,5.00,NULL,4.00,1.00,3.00,234,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810585,3.00,8.00,3.00,5.00,6.00,5.00,0.00,4.00,1.00,234,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',15008,63,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810593,4.00,4.00,3.00,5.00,4.00,4.75,2.00,4.00,2.00,324,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',15889,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810607,3.00,4.00,4.00,6.00,4.00,4.00,2.00,5.00,3.00,333,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',14860,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810615,3.00,4.00,2.00,8.00,7.00,7.00,3.00,8.00,4.00,324,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',8795,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810623,5.00,4.00,5.00,3.00,5.00,6.75,6.00,8.00,4.00,502,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',6294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3810631,4.00,4.00,4.00,8.00,3.00,NULL,3.00,7.00,4.00,223,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3810658,1.00,5.00,1.00,5.00,2.00,NULL,1.00,2.00,3.00,339,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810666,4.00,5.00,5.00,3.00,5.00,5.75,2.00,6.00,1.00,428,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',14049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3810674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3810682,4.00,2.00,3.00,5.00,4.00,5.25,3.00,2.00,3.00,101,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',16197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3810704,4.00,6.00,2.00,6.00,0.00,NULL,3.00,6.00,4.00,208,NULL,238,'JARDIM JANAINA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810712,4.00,6.00,1.00,4.00,5.00,5.25,2.00,6.00,2.00,208,NULL,238,'JARDIM DOS AçORES','BIGUAçU','SC',14205,472,NULL,456,NULL,NULL,NULL,2,1),(16,3810720,0.00,1.00,3.00,5.00,1.00,NULL,3.00,1.00,4.00,101,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810739,3.00,4.00,4.00,3.00,1.00,NULL,2.00,1.00,3.00,309,NULL,NULL,'SAO SEBASTIAO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810747,3.00,5.00,2.00,5.00,1.00,NULL,2.00,0.00,2.00,427,NULL,426,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810755,0.00,2.00,1.00,0.00,1.00,NULL,2.00,1.00,2.00,319,NULL,NULL,'GUARDA DO CUBATÃO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3810763,2.00,5.00,5.00,3.00,4.00,5.50,2.00,5.00,4.00,425,NULL,428,'JOSE NITRO','S JOSé','SC',14118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3810771,5.00,6.00,2.00,7.00,7.00,5.50,3.00,6.00,7.00,444,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',7293,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3810810,1.00,3.00,2.00,2.00,3.00,NULL,2.00,3.00,3.00,317,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810828,6.00,6.00,2.00,4.00,6.00,5.75,1.00,7.00,3.00,211,NULL,216,'AREIAS DO MEIO','GOV CELSO RAMOS','SC',11319,383,NULL,397,NULL,NULL,NULL,4,1),(16,3810844,3.00,4.00,2.00,7.00,2.00,NULL,2.00,5.00,3.00,502,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3810860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'RIO VERMELHO TRAVESS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3810879,3.00,4.00,2.00,7.00,3.00,NULL,1.00,4.00,3.00,450,NULL,NULL,'INGLESSES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810887,2.00,2.00,2.00,6.00,3.00,NULL,2.00,3.00,3.00,316,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3810909,2.00,2.00,3.00,4.00,2.00,NULL,1.00,2.00,3.00,308,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3810925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3810933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,214,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3810941,2.00,4.00,2.00,5.00,5.00,4.00,2.00,4.00,3.00,101,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',16325,142,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,423,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3810968,2.00,1.00,2.00,2.00,3.00,NULL,3.00,1.00,2.00,429,NULL,425,'COSTEIRA PIRAJUBAé','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3810976,2.00,4.00,2.00,6.00,6.00,4.50,2.00,6.00,3.00,214,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',14221,450,NULL,473,NULL,NULL,NULL,2,1),(16,3810984,2.00,1.00,1.00,2.00,5.00,NULL,3.00,3.00,3.00,317,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3810992,4.00,2.00,3.00,5.00,5.00,6.00,3.00,4.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',14560,310,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811000,4.00,2.00,2.00,7.00,5.00,5.75,3.00,6.00,3.00,304,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',12996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811018,4.00,4.00,3.00,5.00,3.00,NULL,3.00,7.00,3.00,309,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811026,4.00,3.00,2.00,4.00,3.00,NULL,1.00,4.00,2.00,317,NULL,NULL,'MADRI','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'A PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3811050,5.00,5.00,3.00,8.00,5.00,6.50,2.00,7.00,4.00,303,NULL,NULL,'CENTRO','CONCóRDIA','SC',7157,327,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811069,3.00,2.00,3.00,2.00,3.00,NULL,1.00,1.00,2.00,316,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811077,5.00,3.00,3.00,4.00,3.00,NULL,3.00,5.00,3.00,316,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811085,4.00,1.00,3.00,0.00,5.00,NULL,4.00,3.00,2.00,303,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3811107,4.00,3.00,4.00,3.00,7.00,4.00,5.00,4.00,5.00,302,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',12343,146,NULL,NULL,NULL,NULL,NULL,4,1),(16,3811115,3.00,4.00,3.00,5.00,4.00,5.75,4.00,6.00,4.00,327,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',13032,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811123,5.00,3.00,1.00,2.00,3.00,NULL,2.00,8.00,6.00,101,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3811131,3.00,3.00,1.00,2.00,5.00,NULL,1.00,0.00,2.00,201,NULL,207,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3811158,3.00,5.00,4.00,7.00,6.00,5.50,2.00,6.00,3.00,327,NULL,NULL,'FORQUILHAS','S JOSé','SC',11585,21,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'COSTA DE DENRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3811174,1.00,5.00,4.00,5.00,5.00,6.25,2.00,6.00,4.00,304,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',13115,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811182,4.00,7.00,1.00,6.00,4.00,7.00,2.00,5.00,2.00,423,NULL,426,'ABRAãO','FLORIANóPOLIS','SC',12720,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811190,4.00,5.00,1.00,3.00,4.00,4.50,1.00,5.00,4.00,101,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',16440,144,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811204,3.00,5.00,3.00,5.00,2.00,NULL,2.00,4.00,4.00,404,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811212,3.00,4.00,4.00,6.00,6.00,5.25,2.00,5.00,2.00,423,NULL,425,'BARREIROS','S JOSé','SC',13533,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811220,4.00,2.00,3.00,3.00,4.00,NULL,3.00,3.00,2.00,309,NULL,NULL,'SERRA CANOA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3811247,2.00,4.00,4.00,3.00,1.00,NULL,3.00,4.00,1.00,421,NULL,428,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3811255,2.00,2.00,4.00,2.00,3.00,NULL,2.00,3.00,4.00,301,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3811263,1.00,4.00,2.00,0.00,0.00,NULL,3.00,5.00,2.00,201,NULL,212,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,8),(16,3811271,1.00,0.00,1.00,0.00,2.00,NULL,0.00,0.00,1.00,303,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3811280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3811298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,212,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3811301,0.00,0.00,0.00,4.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(16,3811310,3.00,2.00,2.00,2.00,3.00,NULL,3.00,2.00,3.00,303,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3811328,5.00,3.00,1.00,2.00,1.00,NULL,2.00,5.00,5.00,212,NULL,215,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3811336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,214,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3811344,3.00,2.00,2.00,5.00,1.00,NULL,2.00,4.00,4.00,203,NULL,214,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3811352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3811360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3811379,1.00,5.00,3.00,5.00,3.00,NULL,3.00,5.00,3.00,333,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3811387,1.00,0.00,1.00,1.00,2.00,NULL,3.00,3.00,1.00,444,NULL,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811395,4.00,6.00,2.00,3.00,5.00,6.25,2.00,7.00,4.00,207,NULL,201,'AGRONÔMICA','FLORIANOPOLIS','SC',12900,656,NULL,1004,NULL,NULL,NULL,4,1),(16,3811409,4.00,3.00,3.00,5.00,4.00,5.50,3.00,4.00,2.00,425,NULL,429,'AGRONÔMICA','FLORIANOPOLIS','SC',15055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3811417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3811425,1.00,1.00,4.00,4.00,2.00,NULL,4.00,1.00,3.00,102,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3811433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3811441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3811450,5.00,8.00,1.00,4.00,1.00,NULL,3.00,8.00,3.00,201,NULL,216,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811468,3.00,5.00,1.00,3.00,6.00,NULL,1.00,5.00,3.00,207,NULL,201,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3811484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3811492,1.00,3.00,1.00,6.00,5.00,NULL,1.00,6.00,3.00,212,NULL,213,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811506,0.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,203,NULL,214,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(16,3811514,2.00,2.00,4.00,5.00,2.00,NULL,4.00,3.00,1.00,309,NULL,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811522,2.00,2.00,2.00,5.00,2.00,NULL,3.00,4.00,2.00,324,NULL,NULL,'AGRÔNOMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3811530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3811549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3811565,3.00,8.00,4.00,7.00,7.00,6.25,5.00,7.00,7.00,238,NULL,208,'PARQUE JOINVILLE','JOINVILLE','SC',4343,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3811573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3811581,3.00,3.00,4.00,2.00,2.00,NULL,2.00,2.00,4.00,420,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3811603,4.00,2.00,3.00,5.00,2.00,NULL,3.00,4.00,2.00,309,NULL,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811611,3.00,5.00,3.00,4.00,2.00,NULL,4.00,5.00,2.00,329,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3811620,6.00,4.00,3.00,6.00,4.00,5.75,3.00,3.00,5.00,328,NULL,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',13026,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811638,3.00,4.00,2.00,2.00,4.00,4.75,2.00,4.00,4.00,421,NULL,428,'PARQUE GUARANI','JOINVILLE','SC',16653,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3811646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3811654,3.00,3.00,3.00,5.00,2.00,NULL,3.00,3.00,4.00,303,NULL,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811662,5.00,6.00,3.00,5.00,5.00,5.50,3.00,7.00,3.00,234,NULL,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',10931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811670,2.00,2.00,2.00,3.00,2.00,NULL,2.00,3.00,4.00,234,NULL,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811689,5.00,3.00,1.00,3.00,5.00,NULL,2.00,2.00,4.00,207,NULL,201,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811697,1.00,3.00,2.00,2.00,0.00,NULL,2.00,2.00,3.00,234,NULL,NULL,'AGRONÔMICA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3811700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,212,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3811719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3811727,2.00,2.00,1.00,4.00,1.00,NULL,3.00,3.00,3.00,202,NULL,203,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3811735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,233,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3811743,2.00,2.00,3.00,4.00,2.00,NULL,2.00,3.00,2.00,5,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3811760,0.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(16,3811778,6.00,7.00,2.00,3.00,4.00,5.25,1.00,7.00,3.00,450,NULL,NULL,'TESTO CENTRAL','POMERODE','SC',12529,106,NULL,NULL,NULL,NULL,NULL,4,2),(16,3811786,4.00,7.00,3.00,7.00,6.00,4.50,3.00,8.00,4.00,333,NULL,NULL,'CENTRO','BLUMENAU','SC',7633,63,NULL,NULL,NULL,NULL,NULL,2,2),(16,3811794,2.00,6.00,4.00,5.00,4.00,5.75,1.00,3.00,3.00,316,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',15704,196,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,424,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3811816,4.00,5.00,4.00,3.00,4.00,6.00,5.00,6.00,3.00,233,NULL,214,'ITACORUBI','FLORIANóPOLIS','SC',12123,374,NULL,392,NULL,NULL,NULL,2,1),(16,3811824,3.00,4.00,2.00,3.00,4.00,NULL,1.00,3.00,2.00,238,NULL,202,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3811832,0.00,3.00,1.00,5.00,3.00,NULL,2.00,2.00,1.00,220,NULL,233,'CENTRO','ARROIO TRINTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(16,3811840,6.00,2.00,1.00,7.00,5.00,6.00,3.00,5.00,2.00,444,NULL,NULL,'CENTRO','CEL MARTINS','SC',14990,116,NULL,NULL,NULL,NULL,NULL,2,4),(16,3811859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA SÃO JOSÉ','IçARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3811867,3.00,4.00,3.00,3.00,4.00,6.50,3.00,3.00,4.00,201,NULL,212,'PEíIMETRO RURAL','IRATI','SC',14594,1117,NULL,413,NULL,NULL,NULL,4,4),(16,3811875,2.00,4.00,3.00,4.00,3.00,NULL,1.00,4.00,5.00,317,NULL,NULL,'SAO LUIZ','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811883,2.00,4.00,4.00,2.00,3.00,NULL,4.00,4.00,3.00,316,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811891,3.00,2.00,3.00,6.00,4.00,5.75,2.00,5.00,4.00,444,NULL,NULL,'CENTRO','CEL MARTINS','SC',15299,122,NULL,NULL,NULL,NULL,NULL,2,4),(16,3811905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOCAINA','CONCEIçãO MACABU','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3811913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'LOCALIDADE RIO CLARO','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3811921,9.00,7.00,6.00,6.00,8.00,6.25,5.00,8.00,9.00,103,NULL,NULL,'SÃO DIMAS','PIRACICABA','SP',1107,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3811948,5.00,5.00,3.00,5.00,5.00,5.00,3.00,5.00,4.00,425,NULL,429,'CENTRO','CHAPECó','SC',12294,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3811956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CENTRO','ARABUTã','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(16,3811964,6.00,5.00,5.00,7.00,7.00,6.50,4.00,6.00,3.00,238,NULL,208,'RAICHASKI','IçARA','SC',5651,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3811972,2.00,6.00,3.00,7.00,5.00,4.75,2.00,3.00,3.00,452,NULL,NULL,'VILA FRAGOSOS','CONCóRDIA','SC',15138,80,NULL,NULL,NULL,NULL,NULL,2,1),(16,3811980,4.00,2.00,3.00,0.00,4.00,NULL,3.00,3.00,1.00,304,NULL,NULL,'SANTA EMíLIA','HORTOLâNDIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3811999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD ALVINóPOLIS','ATIBAIA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3812006,3.00,5.00,1.00,7.00,5.00,6.00,3.00,6.00,3.00,220,NULL,238,'SANTO ANTONIO','CRICIúMA','SC',11751,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3812014,2.00,3.00,1.00,7.00,5.00,4.75,2.00,5.00,5.00,308,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',15291,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812022,6.00,6.00,1.00,6.00,4.00,4.75,4.00,8.00,3.00,310,NULL,NULL,'BRASILIA','CRICIúMA','SC',10527,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3812030,6.00,2.00,2.00,4.00,5.00,6.25,3.00,5.00,2.00,225,NULL,NULL,'SANTA GEMA','S DOMINGOS SUL','RS',14968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812065,4.00,1.00,3.00,1.00,3.00,NULL,1.00,0.00,1.00,104,NULL,NULL,'VILA RICA','SIDERóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3812073,7.00,5.00,5.00,7.00,6.00,5.25,5.00,7.00,5.00,302,NULL,NULL,'CENTRO','JOINVILLE','SC',4528,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3812081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3812090,8.00,8.00,3.00,8.00,8.00,5.75,4.00,7.00,4.00,304,NULL,NULL,'CENTRO','POMERODE','SC',2894,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3812103,4.00,4.00,3.00,5.00,3.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812111,9.00,9.00,6.00,8.00,6.00,5.00,6.00,7.00,8.00,103,NULL,NULL,'GLóRIA','JOINVILLE','SC',852,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3812120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'BELA VISTA','IBIRAMA','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3812138,2.00,3.00,3.00,3.00,4.00,5.00,4.00,6.00,1.00,415,NULL,NULL,'VILA MATTEO BEI','S VICENTE','SP',16533,420,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812146,5.00,5.00,1.00,6.00,3.00,NULL,1.00,5.00,2.00,415,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3812154,4.00,3.00,3.00,8.00,4.00,6.25,2.00,6.00,1.00,214,NULL,233,'ESTREITO','FLORIANóPOLIS','SC',14041,443,NULL,422,NULL,NULL,NULL,2,1),(16,3812162,4.00,3.00,4.00,3.00,6.00,5.50,2.00,6.00,3.00,220,NULL,203,'BELA VISTA','CHAPECó','SC',14230,487,NULL,858,NULL,NULL,NULL,4,4),(16,3812170,4.00,3.00,2.00,6.00,5.00,4.75,2.00,5.00,2.00,212,NULL,215,'CENTRO','FLORIANóPOLIS','SC',14411,406,NULL,313,NULL,NULL,NULL,2,1),(16,3812189,3.00,4.00,3.00,5.00,6.00,5.00,3.00,3.00,4.00,3,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',14843,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3812197,5.00,4.00,3.00,3.00,3.00,NULL,3.00,4.00,2.00,201,NULL,212,'SANTO ANTONIO','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3812200,1.00,2.00,4.00,6.00,3.00,NULL,3.00,6.00,1.00,201,NULL,216,'OFICINAS','TUBARãO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3812219,4.00,5.00,3.00,5.00,4.00,5.75,1.00,7.00,5.00,103,NULL,NULL,'MAGALHãES','LAGUNA','SC',12354,2465,NULL,NULL,NULL,NULL,NULL,2,10),(16,3812227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CABEÇUDA','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3812235,3.00,3.00,2.00,5.00,3.00,NULL,1.00,4.00,4.00,317,NULL,NULL,'CABEÇUDA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3812243,3.00,2.00,2.00,1.00,2.00,NULL,3.00,3.00,3.00,404,NULL,NULL,'MATO ALTO','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3812251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SãO JUDAS TADEUS','GRAVATAí','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(16,3812260,3.00,4.00,2.00,1.00,4.00,NULL,2.00,5.00,2.00,309,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812278,6.00,6.00,3.00,4.00,7.00,6.00,2.00,8.00,5.00,324,NULL,NULL,'CENTRO','BIGUAçU','SC',7343,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BOA SAúDE','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3812294,3.00,4.00,2.00,7.00,6.00,6.25,2.00,3.00,3.00,5,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',14559,481,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812308,4.00,5.00,5.00,6.00,6.00,5.75,0.00,6.00,2.00,309,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',11550,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812316,3.00,2.00,2.00,3.00,2.00,NULL,3.00,2.00,3.00,208,NULL,207,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812324,4.00,4.00,2.00,5.00,6.00,5.50,2.00,6.00,5.00,207,NULL,201,'CAMPECHE','FLORIANóPOLIS','SC',12077,601,NULL,936,NULL,NULL,NULL,2,1),(16,3812332,8.00,7.00,5.00,2.00,8.00,6.25,5.00,8.00,7.00,103,NULL,NULL,'ALTO BOQUEIRãO','CURITIBA','PR',2584,994,NULL,NULL,NULL,NULL,NULL,4,3),(16,3812340,8.00,4.00,2.00,4.00,4.00,4.50,2.00,5.00,5.00,238,NULL,208,'CENTRO','SOMBRIO','SC',12591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812359,1.00,2.00,3.00,4.00,2.00,NULL,3.00,4.00,2.00,317,NULL,NULL,'CAEIRA SACO LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812367,7.00,7.00,4.00,5.00,9.00,6.75,2.00,9.00,7.00,450,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',2800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812375,2.00,6.00,2.00,9.00,6.00,6.00,0.00,7.00,3.00,320,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',11408,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812391,4.00,6.00,3.00,5.00,6.00,5.00,3.00,6.00,2.00,201,NULL,212,'ARAçATUBA','IMBITUBA','SC',11476,890,NULL,336,NULL,NULL,NULL,2,1),(16,3812405,4.00,1.00,1.00,2.00,3.00,NULL,1.00,6.00,0.00,224,NULL,NULL,'MAGALHãES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3812413,3.00,2.00,3.00,6.00,3.00,NULL,2.00,0.00,2.00,318,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812421,2.00,2.00,4.00,3.00,4.00,NULL,2.00,3.00,3.00,310,NULL,NULL,'MARGEM ESQUERDA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812430,2.00,2.00,3.00,1.00,0.00,NULL,2.00,2.00,2.00,234,NULL,NULL,'PORTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'PARQUE ISAAC PIRES','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3812456,4.00,2.00,3.00,5.00,4.00,5.75,1.00,5.00,4.00,101,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',15717,124,NULL,NULL,NULL,NULL,NULL,2,6),(16,3812472,2.00,3.00,4.00,2.00,5.00,NULL,2.00,1.00,4.00,301,NULL,NULL,'PINDORAMA','IJUí','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812480,2.00,2.00,1.00,2.00,3.00,NULL,3.00,4.00,1.00,102,NULL,NULL,'CENTRO','FLOR S SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812502,3.00,2.00,1.00,2.00,1.00,NULL,2.00,2.00,3.00,444,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812510,1.00,3.00,1.00,0.00,4.00,NULL,2.00,3.00,2.00,9,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SANTA EMILIA','HORTOLâNDIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3812537,3.00,3.00,2.00,2.00,2.00,NULL,4.00,3.00,2.00,302,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812553,5.00,3.00,3.00,6.00,3.00,NULL,3.00,4.00,3.00,421,NULL,425,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812561,2.00,0.00,3.00,0.00,2.00,NULL,3.00,2.00,4.00,301,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812570,1.00,6.00,2.00,2.00,6.00,5.75,4.00,6.00,2.00,207,NULL,201,'MONTE CRISTO','FLORIANóPOLIS','SC',14680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812588,3.00,1.00,1.00,2.00,1.00,NULL,1.00,5.00,2.00,102,NULL,NULL,'DR ARI LUNARDI','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3812596,2.00,5.00,3.00,8.00,5.00,6.00,1.00,5.00,3.00,319,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',12790,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812600,5.00,6.00,2.00,4.00,9.00,5.75,4.00,8.00,3.00,201,NULL,214,'WALDEMAR RAU','JARAGUá SUL','SC',7646,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3812618,4.00,5.00,3.00,2.00,2.00,NULL,1.00,4.00,4.00,201,NULL,207,'DR ARI LUNARDI','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3812626,3.00,1.00,1.00,3.00,3.00,NULL,2.00,2.00,3.00,415,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812634,3.00,4.00,4.00,7.00,5.00,6.50,1.00,7.00,4.00,220,NULL,201,'JARDIM LUIZA','JACAREí','SP',10757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'PRIMAVERA','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3812669,4.00,6.00,4.00,4.00,9.00,8.00,0.00,6.00,3.00,415,NULL,NULL,'VALPARAíSO','BLUMENAU','SC',9986,264,NULL,NULL,NULL,NULL,NULL,4,2),(16,3812677,7.00,5.00,4.00,6.00,5.00,5.50,3.00,6.00,6.00,103,NULL,NULL,'VILA RICA','CPO GRANDE','MS',8027,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812685,5.00,4.00,3.00,7.00,5.00,5.00,2.00,7.00,2.00,319,NULL,NULL,'CENTRO','STA HELENA','SC',11603,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3812707,2.00,3.00,3.00,1.00,3.00,NULL,6.00,1.00,2.00,404,NULL,NULL,'INTERIOR','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3812715,3.00,4.00,3.00,5.00,4.00,5.00,3.00,5.00,2.00,301,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',15668,344,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812723,2.00,3.00,1.00,5.00,7.00,NULL,5.00,3.00,3.00,429,NULL,425,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812731,2.00,4.00,2.00,7.00,4.00,5.25,3.00,3.00,3.00,9,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',16011,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812740,0.00,1.00,3.00,5.00,3.00,NULL,1.00,4.00,0.00,101,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812758,5.00,1.00,2.00,0.00,0.00,NULL,1.00,1.00,3.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812766,1.00,4.00,2.00,2.00,5.00,4.75,5.00,5.00,2.00,327,NULL,NULL,'COLONINHA','ARARANGUá','SC',16043,53,NULL,NULL,NULL,NULL,NULL,2,5),(16,3812782,3.00,3.00,2.00,2.00,5.00,4.75,3.00,6.00,4.00,202,NULL,208,'KOBRASOL','S JOSé','SC',15390,518,NULL,537,NULL,NULL,NULL,4,1),(16,3812790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTAL','LAJEADO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3812820,1.00,3.00,1.00,3.00,4.00,NULL,2.00,4.00,1.00,319,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'VARGINHA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3812847,5.00,4.00,4.00,4.00,2.00,NULL,3.00,4.00,4.00,333,NULL,NULL,'VILA NOVA CONCEIçãO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812855,1.00,2.00,2.00,1.00,2.00,NULL,3.00,2.00,3.00,215,NULL,208,'GUARANI','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3812871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CENTRO','S PEDRO ALCâNTARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3812898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'CORDEIROS','ITAJAí','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3812901,4.00,4.00,3.00,2.00,4.00,4.75,2.00,5.00,4.00,333,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',15264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'SANTA MARIA','CHAPECó','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3812936,3.00,2.00,1.00,3.00,4.00,NULL,1.00,5.00,2.00,333,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3812944,0.00,1.00,3.00,4.00,2.00,NULL,0.00,2.00,4.00,303,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812952,1.00,3.00,1.00,2.00,3.00,NULL,1.00,1.00,5.00,103,NULL,NULL,'VILA ROMANA','PRES BERNARDES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,426,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3812979,4.00,3.00,4.00,5.00,5.00,4.25,1.00,3.00,2.00,320,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',16277,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3812987,3.00,3.00,1.00,1.00,3.00,NULL,2.00,1.00,2.00,404,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3812995,4.00,4.00,1.00,2.00,4.00,NULL,1.00,4.00,3.00,5,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3813002,4.00,3.00,3.00,5.00,6.00,4.50,3.00,3.00,3.00,207,NULL,201,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',14539,747,NULL,1112,NULL,NULL,NULL,2,5),(16,3813010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'NóBREGA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3813029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,203,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3813037,2.00,4.00,3.00,4.00,6.00,4.75,4.00,5.00,3.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',15145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3813045,2.00,4.00,2.00,2.00,2.00,NULL,2.00,3.00,2.00,208,NULL,238,'CENTRO','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813053,1.00,0.00,1.00,5.00,1.00,NULL,2.00,4.00,1.00,339,NULL,NULL,'ENSEADA DE BRITO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813061,6.00,5.00,2.00,9.00,5.00,7.00,4.00,7.00,6.00,103,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',5808,1640,NULL,NULL,NULL,NULL,NULL,2,5),(16,3813088,8.00,8.00,3.00,7.00,5.00,6.00,2.00,7.00,8.00,233,NULL,215,'LOTE SEIS','CRICIúMA','SC',4188,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813096,2.00,3.00,3.00,4.00,7.00,NULL,3.00,3.00,3.00,302,NULL,NULL,'PETROPOLIS','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3813100,3.00,6.00,2.00,5.00,4.00,4.00,2.00,4.00,4.00,451,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',15785,46,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813118,1.00,0.00,4.00,2.00,2.00,NULL,2.00,4.00,2.00,316,NULL,NULL,'SãO CRISTóVãO','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,4),(16,3813126,4.00,3.00,1.00,3.00,2.00,NULL,4.00,1.00,2.00,423,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3813169,4.00,5.00,2.00,6.00,5.00,4.25,2.00,4.00,4.00,501,NULL,NULL,'ALTO ARIRIú','PALHOçA','SC',14240,117,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813185,3.00,6.00,3.00,0.00,2.00,NULL,2.00,7.00,3.00,302,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3813193,6.00,4.00,3.00,3.00,4.00,6.25,2.00,4.00,5.00,340,NULL,NULL,'CAMOBI','STA MARIA','RS',12220,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813207,7.00,4.00,2.00,4.00,5.00,4.50,3.00,5.00,6.00,238,NULL,233,'SERRARIA','S JOSé','SC',12401,374,NULL,381,NULL,NULL,NULL,4,1),(16,3813215,2.00,1.00,3.00,5.00,1.00,NULL,1.00,1.00,3.00,9,NULL,NULL,'CDHU','APIAí','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JAGUARé','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3813231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'BENTO GONçALVES','CORDILHEIRA ALTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3813240,3.00,7.00,2.00,3.00,4.00,4.00,3.00,5.00,4.00,3,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3813258,2.00,1.00,3.00,4.00,1.00,NULL,4.00,3.00,3.00,316,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813266,3.00,4.00,1.00,7.00,4.00,5.50,5.00,5.00,1.00,339,NULL,NULL,'BELA VISTA I','S JOSé','SC',15285,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813274,5.00,8.00,7.00,5.00,7.00,5.00,3.00,6.00,4.00,103,NULL,NULL,'BUCAREIN','JOINVILLE','SC',4837,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3813282,6.00,7.00,4.00,6.00,6.00,4.75,4.00,8.00,7.00,103,NULL,NULL,'PROGRESSO','LAGUNA','SC',4351,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3813290,3.00,2.00,2.00,6.00,3.00,NULL,2.00,5.00,4.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813304,2.00,3.00,2.00,3.00,4.00,NULL,0.00,4.00,3.00,5,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813312,0.00,0.00,2.00,5.00,0.00,NULL,4.00,5.00,2.00,429,NULL,428,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3813320,4.00,4.00,1.00,5.00,6.00,5.00,1.00,6.00,3.00,3,NULL,NULL,'SANTO ANTONIO DE LIS','FLORIANóPOLIS','SC',14793,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3813339,5.00,6.00,3.00,5.00,3.00,NULL,4.00,6.00,3.00,444,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813347,2.00,5.00,4.00,7.00,5.00,5.50,2.00,2.00,1.00,223,NULL,NULL,'CAMPPECHE','FLORIANóPOLIS','SC',16068,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813355,2.00,2.00,4.00,2.00,3.00,NULL,1.00,2.00,2.00,5,NULL,NULL,'BOM SUCESSO','CAçADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3813363,1.00,4.00,2.00,3.00,7.00,4.25,4.00,5.00,5.00,233,NULL,203,'SANTO ANTONIO','JOINVILLE','SC',15074,445,NULL,890,NULL,NULL,NULL,2,8),(16,3813371,2.00,5.00,5.00,3.00,3.00,NULL,2.00,4.00,1.00,202,NULL,213,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813380,2.00,2.00,4.00,5.00,4.00,4.00,3.00,5.00,3.00,202,NULL,238,'LOURO','ANTôNIO CARLOS','SC',16517,546,NULL,546,NULL,NULL,NULL,2,1),(16,3813398,6.00,4.00,3.00,3.00,5.00,5.75,5.00,5.00,3.00,502,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',11812,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813401,3.00,2.00,3.00,3.00,2.00,NULL,2.00,3.00,1.00,203,NULL,202,'AREIAS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813410,5.00,5.00,1.00,7.00,4.00,7.00,2.00,6.00,5.00,108,NULL,NULL,'BARREIROS','S JOSé','SC',11027,246,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813428,4.00,4.00,2.00,2.00,3.00,NULL,1.00,7.00,5.00,214,NULL,216,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3813436,4.00,3.00,2.00,2.00,6.00,NULL,2.00,4.00,3.00,429,NULL,425,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3813444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'PASSA VINTE','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3813452,2.00,2.00,3.00,3.00,0.00,NULL,3.00,4.00,1.00,328,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3813460,2.00,4.00,2.00,2.00,1.00,NULL,3.00,4.00,2.00,222,NULL,NULL,'JD DAS PALMEIRAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3813487,2.00,1.00,3.00,7.00,4.00,4.50,3.00,5.00,2.00,317,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',16105,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813509,2.00,3.00,2.00,3.00,3.00,NULL,1.00,3.00,2.00,339,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813525,4.00,6.00,4.00,6.00,4.00,4.50,2.00,5.00,4.00,238,NULL,208,'CARIANOS','FLORIANóPOLIS','SC',12641,389,NULL,409,NULL,NULL,NULL,4,1),(16,3813533,2.00,4.00,2.00,7.00,4.00,5.50,2.00,4.00,4.00,225,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',14537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3813541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,238,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3813550,3.00,3.00,3.00,0.00,6.00,NULL,3.00,4.00,2.00,428,NULL,425,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3813568,4.00,3.00,4.00,3.00,6.00,5.25,2.00,3.00,3.00,216,NULL,215,'BARREIROS','S JOSé','SC',15617,483,NULL,338,NULL,NULL,NULL,4,1),(16,3813576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'VILA ROSANA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3813584,4.00,2.00,5.00,2.00,4.00,5.25,3.00,2.00,4.00,415,NULL,NULL,'SãO FRANCISCO','STO AMARO IMPERATRIZ','SC',16666,424,NULL,NULL,NULL,NULL,NULL,4,1),(16,3813592,4.00,5.00,2.00,2.00,3.00,NULL,3.00,3.00,3.00,202,NULL,203,'CENTRO','IRATI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3813606,2.00,1.00,1.00,3.00,3.00,NULL,0.00,1.00,3.00,415,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3813614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SãO MIGUEL','CPO ALEGRE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3813622,2.00,3.00,3.00,5.00,4.00,NULL,1.00,4.00,1.00,201,NULL,203,'CACUPé','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813630,4.00,7.00,3.00,4.00,3.00,NULL,2.00,2.00,3.00,215,NULL,208,'CENTRO','S JOãO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3813649,4.00,4.00,3.00,2.00,3.00,NULL,3.00,6.00,3.00,202,NULL,208,'BARRA DE IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813657,1.00,3.00,2.00,2.00,4.00,NULL,3.00,3.00,2.00,309,NULL,NULL,'ARAUCÁRIA SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3813673,5.00,3.00,1.00,6.00,4.00,4.00,4.00,4.00,3.00,317,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',15631,151,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813681,3.00,4.00,4.00,3.00,1.00,NULL,5.00,5.00,3.00,317,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813690,1.00,8.00,3.00,6.00,5.00,6.75,3.00,6.00,3.00,316,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',10702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813703,1.00,3.00,2.00,6.00,5.00,NULL,2.00,3.00,2.00,426,NULL,423,'JARDIM CARANDAí','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813711,4.00,2.00,2.00,9.00,4.00,5.00,3.00,2.00,1.00,238,NULL,208,'CAMPECHE','FLORIANóPOLIS','SC',15996,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3813720,3.00,3.00,1.00,0.00,2.00,NULL,2.00,5.00,3.00,320,NULL,NULL,'INTERIOR','LINDOIA DO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3813738,3.00,3.00,2.00,2.00,1.00,NULL,4.00,0.00,3.00,201,NULL,207,'CENTRO','DESCANSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3813746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3813754,5.00,5.00,2.00,5.00,5.00,5.25,2.00,7.00,5.00,319,NULL,NULL,'PRESIDENTE MEDICI','CHAPECó','SC',11237,222,NULL,NULL,NULL,NULL,NULL,2,4),(16,3813762,5.00,5.00,3.00,0.00,2.00,NULL,4.00,8.00,3.00,103,NULL,NULL,'BATEIAS','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3813770,4.00,5.00,3.00,5.00,4.00,6.00,2.00,5.00,3.00,302,NULL,NULL,'KOBRASOL','S JOSé','SC',14315,186,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813789,2.00,1.00,1.00,3.00,3.00,NULL,2.00,4.00,3.00,301,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813797,5.00,3.00,3.00,8.00,4.00,6.75,4.00,6.00,3.00,340,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',10455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3813827,2.00,5.00,2.00,8.00,6.00,6.50,2.00,4.00,3.00,340,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',12930,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3813851,7.00,8.00,2.00,7.00,6.00,5.75,3.00,6.00,6.00,201,NULL,213,'CENTRO','ENTRE RIOS','SC',5703,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3813860,4.00,5.00,5.00,6.00,4.00,6.00,2.00,5.00,4.00,201,NULL,212,'CENTRO','ENTRE RIOS','SC',10939,849,NULL,320,NULL,NULL,NULL,2,4),(16,3813878,2.00,3.00,2.00,7.00,4.00,6.25,2.00,3.00,3.00,320,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',16049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813886,3.00,3.00,2.00,6.00,5.00,NULL,3.00,0.00,3.00,9,NULL,NULL,'BELA VISTA DOIS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3813916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3813940,2.00,4.00,2.00,6.00,3.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3813967,8.00,7.00,7.00,9.00,6.00,8.00,7.00,8.00,6.00,214,NULL,216,'CENTRO','POMERODE','SC',742,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3813975,5.00,5.00,1.00,3.00,6.00,5.75,5.00,3.00,2.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',13812,2598,NULL,NULL,NULL,NULL,NULL,4,2),(16,3813991,5.00,4.00,4.00,4.00,5.00,6.75,2.00,8.00,3.00,233,NULL,207,'ITACORUBI','FLORIANOPOLIS','SC',11202,354,NULL,545,NULL,NULL,NULL,2,1),(16,3814017,6.00,6.00,6.00,7.00,5.00,7.00,5.00,7.00,6.00,216,NULL,215,'CENTRO','CRICIúMA','SC',3489,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3814041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'JD DA CONQUISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3814076,2.00,4.00,2.00,4.00,3.00,NULL,3.00,4.00,2.00,308,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814106,5.00,4.00,6.00,7.00,6.00,6.00,1.00,7.00,4.00,104,NULL,NULL,'VILA MOEMA','TUBARãO','SC',8236,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3814130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COHATRAC I','S LUíS','MA',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3814149,6.00,6.00,5.00,6.00,6.00,6.00,4.00,8.00,5.00,331,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',5231,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(16,3814165,1.00,2.00,1.00,0.00,4.00,NULL,1.00,3.00,3.00,310,NULL,NULL,'CIDADE ARACY II','S CARLOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3814181,3.00,3.00,1.00,7.00,3.00,NULL,1.00,6.00,4.00,426,NULL,425,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3814190,3.00,3.00,4.00,5.00,6.00,6.25,3.00,4.00,2.00,425,NULL,NULL,'VILA PAULISTA','RIO CLARO','SP',14168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3814203,2.00,5.00,2.00,0.00,5.00,6.25,3.00,5.00,5.00,201,NULL,207,'VILA ALEMANHA','LUZERNA','SC',14797,1139,NULL,762,NULL,NULL,NULL,4,7),(16,3814211,5.00,5.00,5.00,7.00,7.00,6.25,3.00,7.00,4.00,303,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',5617,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814238,2.00,0.00,2.00,2.00,3.00,NULL,2.00,2.00,2.00,421,NULL,423,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814246,3.00,2.00,2.00,4.00,3.00,NULL,2.00,2.00,3.00,427,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814262,4.00,3.00,2.00,3.00,3.00,NULL,2.00,5.00,3.00,301,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PRAIA DE ITAPIRUBá','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3814289,1.00,0.00,2.00,2.00,3.00,NULL,1.00,4.00,1.00,310,NULL,NULL,'JARDIM EUCALIPTUS','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3814327,5.00,4.00,5.00,8.00,7.00,6.75,2.00,8.00,3.00,318,NULL,NULL,'VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC',6669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3814343,3.00,6.00,3.00,7.00,6.00,4.00,2.00,7.00,3.00,234,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',11098,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CARATINGA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3814360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','IPORã OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3814378,4.00,4.00,4.00,6.00,5.00,5.50,4.00,5.00,4.00,327,NULL,NULL,'BORGES','ANITA GARIBALDI','SC',11713,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3814386,5.00,4.00,3.00,2.00,5.00,4.75,2.00,4.00,3.00,224,NULL,NULL,'SãO LUIZ','CURITIBANOS','SC',15875,24,NULL,NULL,NULL,NULL,NULL,4,9),(16,3814394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'TRICOLIN','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3814408,2.00,4.00,2.00,6.00,3.00,NULL,2.00,3.00,3.00,3,NULL,NULL,'N SENHORA DO ROSáRIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814416,5.00,3.00,2.00,2.00,2.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'PONTAL','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ITAQUERA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3814432,2.00,3.00,4.00,7.00,6.00,5.50,3.00,3.00,2.00,453,NULL,NULL,'CAMPINAS','S JOSé','SC',13999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3814440,3.00,0.00,4.00,0.00,0.00,NULL,3.00,6.00,4.00,428,NULL,421,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(16,3814459,5.00,6.00,5.00,4.00,5.00,4.50,1.00,7.00,4.00,302,NULL,NULL,'SERTãO DO IMARUIM','S JOSé','SC',10781,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814467,4.00,4.00,3.00,7.00,6.00,7.00,3.00,4.00,2.00,326,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',11862,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,NULL,'TIJUQUINHAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3814483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(16,3814491,1.00,2.00,3.00,3.00,3.00,NULL,2.00,2.00,6.00,425,NULL,424,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3814505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JUDAS TADEU','BALNEARIO CAMBORIU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3814521,2.00,3.00,3.00,6.00,4.00,NULL,3.00,4.00,0.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3814548,3.00,1.00,1.00,2.00,2.00,NULL,3.00,1.00,2.00,102,NULL,NULL,'BREJARú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814556,1.00,1.00,1.00,3.00,0.00,NULL,0.00,3.00,1.00,9,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814564,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814572,2.00,2.00,1.00,2.00,4.00,NULL,1.00,3.00,0.00,423,NULL,428,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814580,2.00,2.00,2.00,4.00,4.00,NULL,2.00,3.00,4.00,303,NULL,NULL,'AGUAS FERREAS','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814599,5.00,6.00,2.00,8.00,8.00,6.50,3.00,7.00,4.00,332,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',5403,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814602,3.00,3.00,2.00,4.00,4.00,5.25,3.00,2.00,5.00,309,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',16535,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,423,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3814629,5.00,4.00,2.00,6.00,3.00,NULL,5.00,2.00,4.00,303,NULL,NULL,'COLONINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814645,2.00,4.00,3.00,5.00,0.00,NULL,1.00,4.00,1.00,317,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'XXV DE JULHO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3814661,3.00,1.00,4.00,1.00,1.00,NULL,1.00,1.00,3.00,5,NULL,NULL,'BELA VISTA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814670,3.00,0.00,1.00,5.00,2.00,NULL,3.00,3.00,1.00,316,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814688,3.00,6.00,4.00,6.00,2.00,NULL,1.00,5.00,3.00,502,NULL,NULL,'BELA VISTA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814700,3.00,2.00,3.00,4.00,3.00,NULL,2.00,4.00,4.00,308,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814718,5.00,3.00,6.00,3.00,3.00,NULL,0.00,2.00,3.00,501,NULL,NULL,'NOVA SUIçA','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814726,6.00,3.00,3.00,7.00,5.00,7.00,2.00,5.00,3.00,426,NULL,428,'BARREIROS','S JOSé','SC',11963,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814734,3.00,6.00,3.00,6.00,6.00,5.50,3.00,7.00,2.00,233,NULL,212,'PRAIA COMPRIDA','S JOSé','SC',11094,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814742,2.00,3.00,5.00,6.00,6.00,4.00,1.00,4.00,3.00,233,NULL,NULL,'áGUA SANTA','CURITIBANOS','SC',14547,433,NULL,NULL,NULL,NULL,NULL,2,9),(16,3814750,5.00,4.00,2.00,4.00,0.00,NULL,3.00,7.00,2.00,303,NULL,NULL,'INTERIOR','ANCHIETA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3814769,5.00,5.00,4.00,5.00,7.00,5.25,4.00,5.00,1.00,2,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',11082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3814777,3.00,3.00,1.00,4.00,3.00,NULL,3.00,4.00,3.00,301,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3814785,5.00,5.00,3.00,0.00,3.00,NULL,3.00,9.00,3.00,103,NULL,NULL,'NOVA SOROCABA','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3814793,3.00,1.00,2.00,3.00,2.00,NULL,3.00,3.00,3.00,404,NULL,NULL,'VILA NOVA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3814815,1.00,1.00,2.00,1.00,2.00,NULL,2.00,2.00,4.00,101,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814823,5.00,5.00,4.00,5.00,3.00,NULL,4.00,3.00,2.00,320,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814831,2.00,4.00,1.00,5.00,3.00,NULL,2.00,5.00,2.00,5,NULL,NULL,'BARREIROS AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM NOVO OSASCO','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3814858,3.00,2.00,3.00,5.00,3.00,NULL,1.00,3.00,3.00,102,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ITAQUERA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3814874,3.00,6.00,6.00,5.00,6.00,4.25,2.00,6.00,4.00,318,NULL,NULL,'JARDIM AMERICA','ITUPORANGA','SC',11403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3814882,5.00,6.00,4.00,6.00,4.00,4.00,4.00,5.00,3.00,317,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',11389,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814890,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3814904,1.00,3.00,5.00,5.00,4.00,4.75,4.00,3.00,3.00,220,NULL,202,'RIO TAVARES','FLORIANóPOLIS','SC',15722,509,NULL,524,NULL,NULL,NULL,2,1),(16,3814912,9.00,7.00,7.00,9.00,6.00,5.00,3.00,7.00,7.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANóPOLIS','SC',1342,613,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814920,4.00,3.00,1.00,4.00,3.00,NULL,3.00,2.00,2.00,339,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814939,1.00,2.00,5.00,1.00,2.00,NULL,2.00,0.00,1.00,9,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814947,5.00,7.00,2.00,6.00,7.00,5.50,2.00,8.00,6.00,207,NULL,208,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',6545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814955,6.00,6.00,1.00,6.00,3.00,NULL,1.00,6.00,5.00,304,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814963,3.00,3.00,1.00,5.00,1.00,NULL,2.00,2.00,2.00,9,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814971,3.00,3.00,3.00,2.00,3.00,NULL,3.00,3.00,4.00,238,NULL,208,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814980,4.00,6.00,3.00,4.00,3.00,NULL,3.00,6.00,6.00,202,NULL,213,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3814998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,2),(16,3815005,2.00,4.00,4.00,1.00,3.00,NULL,3.00,2.00,5.00,318,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3815013,5.00,5.00,6.00,3.00,6.00,5.75,3.00,4.00,4.00,220,NULL,201,'CENTRO','GR PARá','SC',9538,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3815030,5.00,4.00,4.00,1.00,4.00,6.25,1.00,4.00,2.00,328,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',16045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3815048,3.00,1.00,3.00,1.00,4.00,NULL,3.00,3.00,3.00,211,NULL,201,'NOVA FATIMA','S JOãO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3815064,3.00,4.00,2.00,3.00,4.00,4.75,3.00,5.00,4.00,214,NULL,213,'CENTRO','FLORIANóPOLIS','SC',15927,481,NULL,271,NULL,NULL,NULL,4,1),(16,3815072,1.00,4.00,2.00,4.00,2.00,NULL,3.00,4.00,0.00,102,NULL,NULL,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3815080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'RIO GRANDE','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3815099,3.00,1.00,3.00,4.00,1.00,NULL,1.00,3.00,5.00,444,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815102,5.00,5.00,1.00,5.00,3.00,NULL,3.00,3.00,3.00,316,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815110,4.00,4.00,2.00,8.00,4.00,6.50,3.00,6.00,4.00,309,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',11558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815129,7.00,6.00,2.00,9.00,5.00,5.00,1.00,5.00,4.00,220,NULL,214,'APARECIDA','CURITIBANOS','SC',8657,356,NULL,301,NULL,NULL,NULL,4,9),(16,3815161,5.00,3.00,5.00,4.00,3.00,NULL,2.00,5.00,4.00,316,NULL,NULL,'NOSSA SRA APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3815170,5.00,5.00,2.00,3.00,4.00,5.25,2.00,4.00,5.00,5,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',13557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3815200,2.00,3.00,1.00,0.00,0.00,NULL,2.00,0.00,3.00,101,NULL,NULL,'CAMPESTRE','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3815218,1.00,0.00,2.00,2.00,1.00,NULL,1.00,2.00,1.00,108,NULL,NULL,'BREJARU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','SALTO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3815234,2.00,2.00,3.00,3.00,4.00,NULL,2.00,2.00,4.00,324,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815242,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3815250,4.00,2.00,3.00,1.00,4.00,NULL,2.00,3.00,4.00,208,NULL,211,'COSTEIRA DO RIBEIRãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3815269,1.00,1.00,3.00,1.00,2.00,NULL,2.00,3.00,2.00,444,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815277,4.00,5.00,4.00,2.00,6.00,6.25,3.00,3.00,5.00,214,NULL,220,'VILA SANTA CATARINA','STA CATARINA','RS',13994,441,NULL,480,NULL,NULL,NULL,1,4),(16,3815293,7.00,5.00,4.00,6.00,5.00,6.00,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8341,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815307,0.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SãO SEBASTIãO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3815315,1.00,5.00,1.00,5.00,4.00,NULL,2.00,6.00,1.00,428,NULL,423,'CANTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO BERNARDO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3815331,3.00,3.00,2.00,4.00,4.00,NULL,2.00,3.00,4.00,207,NULL,201,'CANTO DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3815340,4.00,4.00,3.00,3.00,3.00,NULL,1.00,4.00,3.00,415,NULL,NULL,'CENTRO','PRES BERNARDES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3815358,2.00,2.00,3.00,1.00,0.00,NULL,3.00,4.00,2.00,502,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3815366,3.00,6.00,2.00,5.00,3.00,NULL,0.00,7.00,2.00,332,NULL,NULL,'CENTRO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815374,2.00,3.00,3.00,4.00,2.00,NULL,2.00,3.00,4.00,208,NULL,202,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3815382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3815390,5.00,3.00,1.00,4.00,3.00,NULL,2.00,4.00,4.00,201,NULL,207,'PRAIA DE FORA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815404,3.00,5.00,2.00,6.00,4.00,5.25,4.00,4.00,3.00,225,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',14300,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815412,3.00,4.00,1.00,4.00,2.00,NULL,3.00,4.00,2.00,202,NULL,238,'ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3815420,1.00,5.00,2.00,5.00,2.00,NULL,3.00,4.00,1.00,238,NULL,207,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815439,6.00,7.00,3.00,2.00,5.00,6.25,3.00,8.00,5.00,223,NULL,NULL,'BARREIROS','S JOSé','SC',8555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3815447,6.00,4.00,3.00,6.00,4.00,5.50,2.00,6.00,5.00,207,NULL,211,'MIRIM','IMBITUBA','SC',10700,515,NULL,353,NULL,NULL,NULL,2,10),(16,3815455,5.00,3.00,4.00,2.00,6.00,4.25,4.00,2.00,6.00,208,NULL,202,'ESTREITO','FLORIANóPOLIS','SC',14796,498,NULL,497,NULL,NULL,NULL,4,1),(16,3815471,5.00,6.00,2.00,0.00,5.00,6.25,2.00,7.00,3.00,319,NULL,NULL,'NOVA RAFARD','RAFARD','SP',13200,268,NULL,NULL,NULL,NULL,NULL,4,8),(16,3815480,3.00,3.00,3.00,8.00,5.00,4.50,3.00,5.00,2.00,201,NULL,203,'CENTRO','ANCHIETA','SC',14493,1107,NULL,863,NULL,NULL,NULL,4,4),(16,3815498,4.00,5.00,5.00,0.00,0.00,NULL,3.00,6.00,3.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(16,3815501,5.00,6.00,4.00,1.00,1.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'PONTAL','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3815510,5.00,1.00,1.00,3.00,0.00,NULL,3.00,0.00,2.00,339,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815528,4.00,1.00,2.00,6.00,4.00,4.50,1.00,4.00,4.00,108,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',16489,361,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815536,4.00,4.00,3.00,6.00,6.00,5.25,2.00,4.00,4.00,324,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',13142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815544,0.00,3.00,3.00,0.00,0.00,NULL,3.00,1.00,1.00,102,NULL,NULL,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3815552,9.00,7.00,8.00,8.00,7.00,8.50,7.00,9.00,8.00,103,NULL,NULL,'VILA OPORTUNIDADE','CARAPICUíBA','SP',148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3815587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'SENHORINHAS','JUQUITIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3815595,3.00,6.00,1.00,2.00,6.00,4.75,4.00,4.00,1.00,103,NULL,NULL,'CENTRO','PRES GETúLIO','SC',15842,2772,NULL,NULL,NULL,NULL,NULL,4,2),(16,3815609,2.00,4.00,2.00,2.00,2.00,NULL,2.00,4.00,3.00,404,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815617,3.00,5.00,3.00,8.00,4.00,5.00,2.00,3.00,4.00,318,NULL,NULL,'JD ATLâNTICO','FLORIANóPOLIS','SC',14389,115,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815625,2.00,0.00,2.00,3.00,3.00,NULL,2.00,5.00,1.00,339,NULL,NULL,'JARDIM JANAINA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815641,3.00,3.00,4.00,5.00,5.00,4.00,3.00,4.00,2.00,223,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815650,2.00,3.00,3.00,1.00,2.00,NULL,3.00,4.00,3.00,223,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3815668,2.00,4.00,1.00,5.00,3.00,NULL,3.00,5.00,1.00,324,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815676,2.00,2.00,1.00,1.00,3.00,NULL,3.00,3.00,2.00,208,NULL,214,'BARRA DO ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3815684,4.00,1.00,1.00,7.00,5.00,5.25,2.00,5.00,3.00,238,NULL,233,'CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC',15517,514,NULL,456,NULL,NULL,NULL,2,1),(16,3815692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3815706,4.00,2.00,2.00,5.00,2.00,NULL,3.00,1.00,3.00,503,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815714,4.00,2.00,4.00,4.00,4.00,1.25,3.00,5.00,2.00,501,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815722,0.00,3.00,2.00,3.00,2.00,NULL,2.00,6.00,2.00,208,NULL,238,'SERTÃO DO MARUIM','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815730,2.00,3.00,4.00,5.00,2.00,NULL,4.00,4.00,4.00,316,NULL,NULL,'JOÃO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815749,4.00,3.00,1.00,6.00,4.00,6.00,2.00,5.00,2.00,101,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',15816,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'PRAIA DE FORA','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3815773,2.00,5.00,3.00,7.00,2.00,NULL,2.00,5.00,3.00,316,NULL,NULL,'S J DO RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815781,2.00,2.00,3.00,5.00,0.00,NULL,3.00,4.00,3.00,421,NULL,427,'PRAIA DE FORA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815790,2.00,1.00,2.00,5.00,3.00,NULL,2.00,1.00,3.00,301,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815803,1.00,3.00,2.00,1.00,4.00,NULL,1.00,1.00,3.00,201,NULL,214,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815811,5.00,7.00,5.00,7.00,3.00,NULL,1.00,3.00,4.00,453,NULL,NULL,'MADRI','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815820,4.00,5.00,1.00,8.00,4.00,6.75,2.00,1.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',14962,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815838,3.00,1.00,3.00,0.00,0.00,NULL,1.00,2.00,4.00,308,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3815846,4.00,4.00,2.00,6.00,3.00,NULL,3.00,3.00,2.00,429,NULL,425,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815854,3.00,2.00,5.00,6.00,5.00,7.00,3.00,4.00,3.00,319,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',13380,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815862,3.00,4.00,3.00,7.00,4.00,5.00,2.00,7.00,3.00,5,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',12163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815870,2.00,1.00,3.00,6.00,4.00,NULL,2.00,2.00,1.00,444,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815889,4.00,5.00,4.00,9.00,9.00,6.50,5.00,4.00,4.00,453,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',5848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3815897,3.00,3.00,3.00,2.00,2.00,NULL,1.00,3.00,2.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815900,3.00,5.00,4.00,6.00,4.00,4.50,3.00,2.00,4.00,102,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',14632,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815919,2.00,5.00,4.00,6.00,5.00,4.25,2.00,3.00,1.00,426,NULL,429,'CAPOEIRAS','FLORIANóPOLIS','SC',16333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3815935,4.00,5.00,2.00,6.00,6.00,6.25,3.00,7.00,4.00,310,NULL,NULL,'ARIRIú','PALHOçA','SC',10271,30,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815943,5.00,7.00,5.00,7.00,6.00,5.25,3.00,7.00,4.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',6751,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,423,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3815960,3.00,3.00,4.00,3.00,6.00,6.00,3.00,3.00,6.00,211,NULL,233,'JARDIM ELDORADO','PALHOçA','SC',12617,440,NULL,389,NULL,NULL,NULL,4,1),(16,3815978,6.00,4.00,3.00,7.00,6.00,4.50,3.00,7.00,3.00,302,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',10441,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815986,3.00,2.00,2.00,0.00,4.00,NULL,0.00,4.00,3.00,317,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3815994,2.00,3.00,2.00,3.00,3.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816001,3.00,0.00,1.00,5.00,2.00,NULL,2.00,2.00,4.00,101,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816010,4.00,2.00,6.00,7.00,5.00,6.50,2.00,5.00,2.00,101,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816028,3.00,3.00,3.00,6.00,6.00,4.75,2.00,6.00,4.00,328,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',13212,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816036,3.00,4.00,2.00,3.00,4.00,4.25,2.00,7.00,3.00,225,NULL,NULL,'ARMAçãO DA PIEDADE','GOV CELSO RAMOS','SC',15865,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816044,2.00,3.00,1.00,5.00,3.00,NULL,2.00,4.00,3.00,308,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816052,0.00,6.00,2.00,7.00,3.00,NULL,3.00,5.00,1.00,444,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816060,2.00,4.00,5.00,7.00,7.00,6.00,3.00,4.00,4.00,319,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',10423,199,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816079,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3816087,2.00,3.00,3.00,6.00,4.00,5.00,2.00,3.00,5.00,426,NULL,425,'JARDIM AQUáRIUS','PALHOçA','SC',15877,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816095,3.00,6.00,3.00,2.00,4.00,4.25,3.00,7.00,3.00,317,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',14126,127,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816109,3.00,5.00,4.00,6.00,6.00,5.00,4.00,7.00,2.00,340,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11329,357,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816117,7.00,5.00,2.00,5.00,6.00,4.00,2.00,4.00,5.00,420,NULL,NULL,'CENTRO','S JOSé','SC',10606,104,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816125,2.00,2.00,3.00,3.00,3.00,NULL,1.00,3.00,5.00,404,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816133,5.00,2.00,3.00,8.00,5.00,6.50,1.00,3.00,4.00,423,NULL,429,'ESTREITO','FLORIANóPOLIS','SC',13808,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816141,2.00,1.00,2.00,5.00,4.00,NULL,1.00,2.00,1.00,308,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816150,4.00,5.00,3.00,3.00,7.00,6.00,3.00,7.00,3.00,303,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',10511,453,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816168,3.00,1.00,1.00,4.00,3.00,NULL,3.00,2.00,3.00,208,NULL,202,'SANTOS DUMONT','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816176,3.00,0.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,420,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816184,0.00,0.00,0.00,6.00,6.00,NULL,4.00,6.00,2.00,404,NULL,NULL,'BALNEáRIO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(16,3816192,1.00,4.00,1.00,4.00,3.00,NULL,3.00,3.00,2.00,309,NULL,NULL,'JARDIM CIDADE','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816206,2.00,2.00,2.00,2.00,6.00,NULL,0.00,6.00,2.00,316,NULL,NULL,'JARDIM JANAINA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'JARDIM JANAíNA','BIGUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3816222,7.00,6.00,2.00,7.00,7.00,4.75,3.00,7.00,4.00,501,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',7163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816230,7.00,6.00,3.00,2.00,6.00,6.75,5.00,4.00,5.00,103,NULL,NULL,'REAL PARQUE','S JOSé','SC',8370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816249,3.00,4.00,3.00,2.00,5.00,NULL,0.00,4.00,4.00,104,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816257,3.00,5.00,1.00,6.00,5.00,NULL,2.00,2.00,2.00,201,NULL,212,'CAETE','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816265,4.00,4.00,3.00,6.00,5.00,4.25,2.00,6.00,6.00,108,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',12970,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816281,2.00,3.00,2.00,4.00,3.00,NULL,3.00,5.00,4.00,327,NULL,NULL,'SAO SEBASTIAO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816303,6.00,5.00,3.00,5.00,5.00,5.75,4.00,6.00,3.00,316,NULL,NULL,'VILA IVETE','S JOSé','SC',10879,118,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816311,1.00,5.00,2.00,6.00,6.00,8.00,1.00,3.00,4.00,319,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13667,290,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816320,0.00,0.00,3.00,2.00,2.00,NULL,0.00,2.00,4.00,317,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816338,7.00,7.00,6.00,9.00,8.00,7.25,3.00,9.00,6.00,211,NULL,215,'BELA VISTA I','S JOSé','SC',1618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816346,4.00,2.00,4.00,7.00,6.00,6.25,3.00,3.00,4.00,108,NULL,NULL,'PARQUE SAO JORGE','FLORIANóPOLIS','SC',12703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816354,5.00,3.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,102,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816362,1.00,0.00,2.00,2.00,2.00,NULL,1.00,0.00,1.00,303,NULL,NULL,'VARGEM GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816370,3.00,2.00,2.00,3.00,3.00,NULL,2.00,3.00,2.00,302,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816389,5.00,3.00,2.00,4.00,4.00,NULL,1.00,4.00,2.00,207,NULL,201,'PROMOAR','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816397,1.00,2.00,4.00,1.00,5.00,NULL,2.00,3.00,3.00,428,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816400,1.00,4.00,1.00,7.00,4.00,4.75,2.00,7.00,2.00,324,NULL,NULL,'CACUPé','FLORIANóPOLIS','SC',15878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816419,1.00,4.00,1.00,2.00,1.00,NULL,3.00,4.00,2.00,201,NULL,211,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816427,3.00,4.00,3.00,1.00,3.00,NULL,3.00,5.00,2.00,340,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816435,3.00,3.00,2.00,1.00,4.00,NULL,2.00,5.00,4.00,301,NULL,NULL,'SOROCABA DE FORA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816443,5.00,3.00,3.00,5.00,6.00,4.50,3.00,5.00,5.00,103,NULL,NULL,'VILA MARIA','BOTUCATU','SP',11755,2417,NULL,NULL,NULL,NULL,NULL,4,6),(16,3816451,3.00,3.00,1.00,2.00,3.00,NULL,1.00,4.00,3.00,502,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816460,2.00,1.00,2.00,6.00,3.00,NULL,1.00,3.00,2.00,332,NULL,NULL,'ABRAÃO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816478,2.00,2.00,3.00,1.00,0.00,NULL,3.00,3.00,2.00,301,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816486,2.00,2.00,4.00,3.00,2.00,NULL,1.00,3.00,3.00,309,NULL,NULL,'COSTA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816494,2.00,0.00,3.00,4.00,2.00,NULL,2.00,4.00,3.00,301,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816508,5.00,2.00,2.00,7.00,3.00,NULL,3.00,1.00,2.00,424,NULL,428,'JURERE INTERNACIONAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,211,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3816532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,208,'SESC SUZANO SP','SUZANO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3816540,3.00,5.00,2.00,0.00,6.00,6.25,1.00,7.00,2.00,238,NULL,208,'CANASVIEIRAS','FLORIANóPOLIS','SC',14881,482,NULL,507,NULL,NULL,NULL,4,1),(16,3816567,3.00,6.00,4.00,6.00,5.00,6.00,3.00,7.00,5.00,207,NULL,215,'COLONINHA','FLORIANóPOLIS','SC',7984,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816575,3.00,3.00,3.00,2.00,5.00,4.25,2.00,6.00,4.00,238,NULL,208,'SERRARIAS','S JOSé','SC',16053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816583,3.00,2.00,1.00,6.00,2.00,NULL,1.00,2.00,2.00,333,NULL,NULL,'CENTRO','CAPãO CANOA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3816591,2.00,4.00,2.00,4.00,3.00,NULL,2.00,1.00,2.00,452,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816605,1.00,1.00,2.00,3.00,3.00,NULL,1.00,3.00,2.00,316,NULL,NULL,'DONA WANDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816613,6.00,7.00,3.00,9.00,7.00,5.75,4.00,5.00,4.00,319,NULL,NULL,'GLóRIA','PTO ALEGRE','RS',5749,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816621,1.00,3.00,2.00,1.00,2.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'DONA WANDA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816630,3.00,1.00,1.00,3.00,3.00,NULL,0.00,1.00,1.00,319,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,428,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3816656,2.00,2.00,2.00,6.00,2.00,NULL,2.00,5.00,4.00,302,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3816672,3.00,3.00,4.00,5.00,6.00,4.50,3.00,5.00,2.00,503,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',14377,67,NULL,NULL,NULL,NULL,NULL,2,2),(16,3816680,3.00,2.00,3.00,3.00,3.00,NULL,0.00,3.00,4.00,333,NULL,NULL,'SãO LUIZ','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3816699,4.00,3.00,1.00,2.00,4.00,NULL,2.00,4.00,4.00,301,NULL,NULL,'ROÇADO','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816702,3.00,3.00,1.00,3.00,3.00,NULL,2.00,4.00,4.00,331,NULL,NULL,'COLONINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816710,1.00,4.00,1.00,6.00,2.00,NULL,3.00,2.00,2.00,302,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816745,2.00,4.00,4.00,6.00,6.00,6.50,4.00,5.00,4.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11191,122,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3816770,6.00,8.00,5.00,7.00,8.00,6.75,4.00,7.00,6.00,420,NULL,NULL,'INGL DO RIO VERMELHO','FLORIANOPOLIS','SC',2298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'PIONEIROS','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3816800,3.00,4.00,2.00,5.00,1.00,NULL,1.00,4.00,4.00,453,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3816826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3816834,7.00,8.00,4.00,7.00,8.00,7.75,5.00,7.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',1480,658,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816842,4.00,5.00,5.00,6.00,5.00,7.75,3.00,5.00,4.00,425,NULL,424,'BARRA DO ARIRIú','PALHOçA','SC',9075,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816850,4.00,5.00,1.00,7.00,4.00,5.00,1.00,6.00,4.00,340,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',13373,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816869,5.00,4.00,4.00,4.00,4.00,4.75,2.00,6.00,3.00,234,NULL,NULL,'IPIRANGA','S JOSé','SC',13707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816877,7.00,4.00,3.00,7.00,7.00,7.00,3.00,6.00,3.00,319,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',8701,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3816885,5.00,5.00,4.00,5.00,6.00,5.50,2.00,5.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',10712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816893,6.00,3.00,5.00,7.00,6.00,5.75,2.00,6.00,5.00,316,NULL,NULL,'LOTEAMENTO BROERING','STO AMARO IMPERATRIZ','SC',8613,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816907,3.00,4.00,3.00,5.00,3.00,NULL,3.00,6.00,3.00,318,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816915,4.00,2.00,2.00,5.00,2.00,NULL,3.00,7.00,3.00,429,NULL,425,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816923,4.00,5.00,4.00,6.00,5.00,4.75,4.00,5.00,1.00,421,NULL,428,'CAMPECHE','FLORIANóPOLIS','SC',12774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816931,3.00,4.00,3.00,1.00,2.00,NULL,2.00,0.00,2.00,208,NULL,238,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816940,3.00,3.00,2.00,4.00,5.00,5.50,2.00,7.00,5.00,108,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',14117,317,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816958,3.00,3.00,3.00,0.00,4.00,NULL,3.00,4.00,3.00,317,NULL,NULL,'ARIRIú DA FORMIGA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816966,4.00,6.00,3.00,7.00,7.00,6.50,2.00,5.00,3.00,331,NULL,NULL,'PENHA','PAULO LOPES','SC',9352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816974,3.00,6.00,3.00,3.00,0.00,NULL,3.00,6.00,3.00,238,NULL,208,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3816982,3.00,3.00,2.00,7.00,4.00,5.00,2.00,6.00,3.00,308,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',14771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3816990,1.00,1.00,3.00,3.00,2.00,NULL,2.00,2.00,3.00,238,NULL,208,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817008,5.00,7.00,2.00,5.00,4.00,6.50,1.00,6.00,3.00,5,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',11814,411,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817016,5.00,7.00,3.00,7.00,5.00,5.25,4.00,6.00,5.00,423,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',7802,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817024,6.00,6.00,2.00,8.00,6.00,5.25,6.00,6.00,6.00,420,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',5220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3817032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,202,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3817040,4.00,8.00,6.00,8.00,7.00,6.50,3.00,7.00,3.00,415,NULL,NULL,'ARIRIU','PALHOçA','SC',4787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817067,4.00,4.00,1.00,2.00,3.00,NULL,2.00,1.00,2.00,308,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817075,4.00,6.00,5.00,5.00,5.00,5.50,1.00,4.00,4.00,102,NULL,NULL,'PENHA','PAULO LOPES','SC',11702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817083,4.00,5.00,3.00,5.00,5.00,6.25,3.00,6.00,4.00,303,NULL,NULL,'CENTRO','FLORIANOPOLIS','SC',10708,464,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817091,1.00,0.00,4.00,0.00,4.00,NULL,3.00,4.00,3.00,420,NULL,NULL,'SãO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3817105,1.00,1.00,4.00,0.00,2.00,NULL,1.00,2.00,2.00,309,NULL,NULL,'SANTO ANTONIO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3817113,3.00,3.00,2.00,3.00,5.00,4.75,2.00,6.00,4.00,203,NULL,202,'AÇUCENA','BRAçO NORTE','SC',15695,912,NULL,523,NULL,NULL,NULL,4,10),(16,3817121,4.00,5.00,3.00,3.00,3.00,NULL,2.00,4.00,3.00,201,NULL,203,'INTERIOR','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(16,3817164,2.00,2.00,5.00,3.00,4.00,NULL,0.00,2.00,3.00,502,NULL,NULL,'RIO DOS INDIOS','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3817172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3817180,1.00,2.00,4.00,2.00,4.00,NULL,1.00,5.00,1.00,429,NULL,426,'CENTRO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3817199,5.00,6.00,5.00,8.00,7.00,6.00,6.00,7.00,7.00,203,NULL,220,'COSTA E SILVA','JOINVILLE','SC',2828,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3817202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SãO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3817210,3.00,1.00,1.00,0.00,3.00,NULL,3.00,3.00,3.00,108,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3817237,1.00,1.00,3.00,0.00,0.00,NULL,2.00,3.00,3.00,3,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3817245,5.00,4.00,2.00,4.00,3.00,NULL,0.00,5.00,3.00,302,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817253,2.00,6.00,4.00,5.00,3.00,NULL,0.00,1.00,3.00,304,NULL,NULL,'JARDIM JANAINA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817261,1.00,4.00,2.00,4.00,3.00,NULL,1.00,3.00,0.00,316,NULL,NULL,'SANTO ANTONIO LISBOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817288,0.00,2.00,2.00,4.00,4.00,NULL,2.00,4.00,1.00,225,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817296,5.00,4.00,3.00,6.00,4.00,5.00,4.00,5.00,4.00,429,NULL,426,'BARREIROS','S JOSé','SC',11635,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMILA BEATRIZ','STA ADéLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3817326,2.00,5.00,2.00,4.00,1.00,NULL,3.00,4.00,2.00,423,NULL,425,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817334,4.00,5.00,3.00,5.00,5.00,6.00,4.00,4.00,5.00,423,NULL,426,'RIO DO MEIO','STA ROSA LIMA','SC',10696,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817342,2.00,3.00,2.00,4.00,5.00,NULL,2.00,1.00,3.00,421,NULL,426,'RIO BRAVO ALTO','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3817350,2.00,5.00,2.00,6.00,3.00,NULL,4.00,3.00,1.00,320,NULL,NULL,'PONTE DE IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817377,2.00,2.00,3.00,0.00,1.00,NULL,3.00,1.00,4.00,309,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3817385,5.00,2.00,3.00,1.00,2.00,NULL,1.00,4.00,3.00,108,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3817393,1.00,3.00,1.00,5.00,2.00,NULL,2.00,0.00,2.00,225,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817407,3.00,1.00,1.00,6.00,2.00,NULL,2.00,3.00,2.00,208,NULL,216,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3817415,2.00,5.00,2.00,2.00,3.00,NULL,4.00,4.00,4.00,444,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817423,2.00,2.00,1.00,2.00,3.00,NULL,3.00,3.00,3.00,104,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817431,4.00,1.00,2.00,5.00,4.00,6.25,1.00,6.00,3.00,331,NULL,NULL,'COSTEIRA DO PIRAJUB','FLORIANóPOLIS','SC',15380,70,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817440,4.00,1.00,1.00,3.00,6.00,NULL,1.00,5.00,4.00,5,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817458,3.00,4.00,3.00,6.00,5.00,5.50,2.00,6.00,4.00,108,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13329,305,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817466,4.00,4.00,4.00,6.00,5.00,4.75,3.00,2.00,4.00,223,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',13083,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817474,5.00,5.00,5.00,5.00,6.00,4.50,3.00,6.00,5.00,404,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',9397,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817482,5.00,1.00,1.00,5.00,2.00,NULL,3.00,6.00,1.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817490,2.00,1.00,1.00,2.00,2.00,NULL,1.00,2.00,3.00,101,NULL,NULL,'REAL PARQUE','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3817512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'VARGEM GRANDE','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3817520,4.00,5.00,2.00,5.00,4.00,5.25,4.00,3.00,2.00,309,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',15638,53,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817539,4.00,7.00,4.00,5.00,5.00,5.25,3.00,6.00,4.00,212,NULL,220,'CANASVIEIRAS','FLORIANóPOLIS','SC',10315,298,NULL,396,NULL,NULL,NULL,5,1),(16,3817547,2.00,3.00,1.00,4.00,3.00,NULL,2.00,5.00,2.00,5,NULL,NULL,'CANPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817571,1.00,2.00,2.00,1.00,3.00,NULL,3.00,3.00,2.00,404,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3817580,3.00,2.00,2.00,2.00,3.00,NULL,1.00,5.00,4.00,309,NULL,NULL,'GUARDA DO EMBAú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817598,3.00,5.00,4.00,6.00,5.00,6.00,3.00,3.00,3.00,103,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',13833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'RIO VEMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3817628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3817636,2.00,5.00,4.00,2.00,2.00,NULL,3.00,4.00,1.00,220,NULL,215,'INGLESES DO RIO VERM','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3817644,2.00,4.00,4.00,6.00,6.00,NULL,2.00,3.00,1.00,309,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,215,'CENTRO','ANCHIETA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3817660,2.00,2.00,3.00,3.00,3.00,NULL,2.00,4.00,1.00,319,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817679,2.00,4.00,3.00,5.00,3.00,NULL,2.00,4.00,2.00,415,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817687,2.00,2.00,2.00,2.00,6.00,NULL,2.00,4.00,4.00,452,NULL,NULL,'PINHEIRA','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3817709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'OFICINAS','TUBARãO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3817717,4.00,2.00,2.00,0.00,1.00,NULL,1.00,3.00,4.00,9,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3817725,7.00,7.00,5.00,7.00,7.00,6.00,5.00,6.00,6.00,102,NULL,NULL,'CENTRO','TIJUCAS','SC',3582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3817733,5.00,7.00,2.00,7.00,7.00,7.00,2.00,4.00,5.00,326,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',7651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3817741,4.00,7.00,4.00,8.00,6.00,5.25,5.00,6.00,4.00,213,NULL,212,'PANTANAL','FLORIANóPOLIS','SC',5497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3817776,8.00,9.00,4.00,7.00,7.00,6.75,4.00,8.00,7.00,103,NULL,NULL,'KOBRASOL','S JOSé','SC',1868,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817784,1.00,3.00,4.00,0.00,0.00,NULL,1.00,2.00,3.00,9,NULL,NULL,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3817806,6.00,5.00,2.00,7.00,4.00,6.25,1.00,6.00,3.00,428,NULL,426,'JARDIM CARANDAí','BIGUAçU','SC',12731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817814,2.00,3.00,1.00,6.00,4.00,4.00,1.00,7.00,2.00,302,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',15951,219,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817822,2.00,2.00,2.00,2.00,5.00,NULL,2.00,5.00,3.00,451,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3817830,2.00,3.00,2.00,1.00,3.00,NULL,2.00,3.00,3.00,320,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817849,4.00,3.00,2.00,7.00,4.00,5.75,3.00,4.00,2.00,420,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC',14426,157,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817857,2.00,0.00,1.00,4.00,1.00,NULL,1.00,0.00,4.00,415,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817865,4.00,8.00,2.00,8.00,4.00,6.00,4.00,6.00,6.00,238,NULL,208,'ABRAãO','FLORIANóPOLIS','SC',6920,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3817881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3817890,7.00,6.00,5.00,7.00,7.00,6.75,4.00,8.00,7.00,316,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',3137,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817903,7.00,4.00,2.00,8.00,5.00,4.75,3.00,7.00,5.00,211,NULL,214,'AGRONÔMICA','FLORIANóPOLIS','SC',9156,297,NULL,319,NULL,NULL,NULL,2,1),(16,3817911,5.00,6.00,4.00,5.00,4.00,4.50,2.00,5.00,4.00,331,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',11880,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817920,3.00,3.00,2.00,4.00,5.00,6.25,4.00,3.00,3.00,308,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',16237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817938,3.00,1.00,3.00,6.00,4.00,5.50,4.00,2.00,2.00,308,NULL,NULL,'IPIRANGA','S JOSé','SC',16355,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817946,5.00,4.00,4.00,8.00,6.00,6.25,2.00,4.00,2.00,421,NULL,427,'BARREIROS','S JOSé','SC',11228,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817954,1.00,4.00,4.00,6.00,5.00,4.75,3.00,3.00,3.00,324,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',15966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817962,1.00,4.00,3.00,4.00,3.00,NULL,4.00,2.00,3.00,103,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817970,4.00,8.00,6.00,7.00,6.00,7.25,5.00,7.00,5.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',3743,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3817989,5.00,5.00,3.00,4.00,5.00,5.00,3.00,8.00,3.00,316,NULL,NULL,'COSTEIRA DOPIRAJUBAÉ','FLORIANóPOLIS','SC',11301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3817997,2.00,1.00,4.00,2.00,1.00,NULL,2.00,2.00,1.00,302,NULL,NULL,'LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818004,6.00,2.00,3.00,4.00,4.00,4.75,3.00,3.00,3.00,316,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',15815,197,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818012,1.00,4.00,2.00,5.00,3.00,NULL,1.00,5.00,2.00,318,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818020,5.00,5.00,4.00,6.00,5.00,4.75,1.00,8.00,2.00,326,NULL,NULL,'CENTRO','S JOSé','SC',11813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818039,4.00,1.00,3.00,2.00,1.00,NULL,2.00,8.00,2.00,309,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818047,6.00,5.00,4.00,6.00,7.00,6.25,4.00,6.00,4.00,214,NULL,238,'JARDIM CARANDAÍ','BIGUAçU','SC',6572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818055,4.00,4.00,4.00,8.00,6.00,6.50,1.00,4.00,3.00,238,NULL,211,'TRINDADE','FLORIANóPOLIS','SC',11876,351,NULL,404,NULL,NULL,NULL,2,1),(16,3818063,1.00,6.00,2.00,5.00,5.00,3.00,2.00,5.00,2.00,223,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818071,7.00,5.00,6.00,3.00,5.00,5.25,3.00,7.00,5.00,225,NULL,NULL,'AREIAS','S JOSé','SC',7552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3818080,4.00,3.00,2.00,5.00,6.00,5.25,2.00,6.00,3.00,319,NULL,NULL,'IPIRANGA','S JOSé','SC',14715,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818098,3.00,5.00,3.00,2.00,5.00,4.25,2.00,7.00,2.00,339,NULL,NULL,'BARREIROS AREIAS','S JOSé','SC',15802,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818101,1.00,0.00,1.00,5.00,4.00,NULL,2.00,3.00,2.00,326,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818110,5.00,3.00,3.00,3.00,5.00,6.50,3.00,5.00,4.00,102,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',13612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3818128,5.00,8.00,4.00,8.00,6.00,5.25,3.00,7.00,5.00,327,NULL,NULL,'CENTRO','NOVA TRENTO','SC',6322,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INTERIOR','PALMITOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3818144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3818152,0.00,4.00,3.00,4.00,2.00,NULL,4.00,4.00,2.00,318,NULL,NULL,'SÃO JUDAS','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3818160,0.00,4.00,2.00,6.00,3.00,NULL,3.00,4.00,3.00,104,NULL,NULL,'CENTRO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3818179,4.00,5.00,2.00,6.00,8.00,6.75,2.00,8.00,2.00,316,NULL,NULL,'CAMPINAS','S JOSé','SC',9158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818187,2.00,2.00,3.00,2.00,3.00,NULL,1.00,5.00,4.00,339,NULL,NULL,'BARREIROS','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818195,5.00,6.00,4.00,5.00,6.00,5.50,5.00,5.00,2.00,5,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',9663,360,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818209,3.00,1.00,2.00,4.00,3.00,NULL,1.00,3.00,3.00,303,NULL,NULL,'JARDIM AMERICA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3818217,4.00,6.00,1.00,8.00,3.00,NULL,4.00,7.00,3.00,453,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818225,3.00,1.00,2.00,1.00,4.00,NULL,4.00,3.00,4.00,101,NULL,NULL,'JARDIM AMERICA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3818233,4.00,3.00,5.00,4.00,4.00,6.00,2.00,2.00,5.00,452,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',15344,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818241,2.00,2.00,1.00,5.00,4.00,NULL,2.00,2.00,1.00,208,NULL,238,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3818250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3818268,6.00,4.00,4.00,4.00,3.00,NULL,3.00,3.00,4.00,3,NULL,NULL,'PRAINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818276,0.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,220,NULL,238,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3818284,5.00,5.00,5.00,2.00,3.00,NULL,4.00,3.00,3.00,332,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3818292,4.00,2.00,1.00,6.00,4.00,5.75,2.00,5.00,4.00,444,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',15027,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3818306,3.00,6.00,2.00,6.00,3.00,NULL,4.00,6.00,3.00,326,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818314,6.00,8.00,5.00,4.00,6.00,6.25,5.00,6.00,8.00,318,NULL,NULL,'JARDIM SUMAREZINHO','HORTOLâNDIA','SP',3280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3818322,3.00,1.00,3.00,3.00,4.00,NULL,1.00,4.00,3.00,451,NULL,NULL,'VILA ALEMANHA','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3818349,3.00,6.00,4.00,8.00,5.00,5.00,5.00,8.00,6.00,308,NULL,NULL,'CENTRO','BARRA VELHA','SC',6621,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3818357,5.00,6.00,2.00,7.00,6.00,5.50,4.00,5.00,6.00,420,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8620,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JARDIM TERRAS DO SUL','S JOSé CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3818373,5.00,0.00,3.00,2.00,6.00,4.75,4.00,4.00,3.00,103,NULL,NULL,'SÃO BERNARDO','CAMPINAS','SP',15965,2784,NULL,NULL,NULL,NULL,NULL,4,1),(16,3818381,4.00,4.00,2.00,7.00,3.00,NULL,1.00,1.00,4.00,234,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818390,3.00,3.00,2.00,6.00,5.00,5.00,3.00,6.00,2.00,340,NULL,NULL,'CAMPOS DE SAO JOSE','S JOSé CAMPOS','SP',14795,445,NULL,NULL,NULL,NULL,NULL,2,8),(16,3818403,5.00,7.00,4.00,4.00,3.00,NULL,3.00,6.00,3.00,303,NULL,NULL,'PACHECOS','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,208,'INTERIOR','DIONíSIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3818420,1.00,1.00,1.00,3.00,2.00,NULL,2.00,2.00,3.00,208,NULL,201,'IPEROBA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3818438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3818446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'VILA ISABEL','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3818454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,233,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3818462,5.00,6.00,1.00,7.00,6.00,5.00,3.00,7.00,5.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',8836,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818470,3.00,5.00,3.00,4.00,4.00,2.00,2.00,4.00,3.00,234,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818489,8.00,8.00,7.00,7.00,8.00,5.00,4.00,7.00,8.00,203,NULL,238,'ALTO BIGUACU','BIGUAçU','SC',1502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3818500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'KOBRASOL II','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3818519,3.00,2.00,4.00,5.00,2.00,NULL,3.00,6.00,0.00,310,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818527,2.00,4.00,5.00,6.00,1.00,NULL,4.00,6.00,7.00,205,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'ACARAI','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3818551,4.00,2.00,3.00,4.00,2.00,NULL,1.00,1.00,3.00,216,NULL,NULL,'VILA SÃO JOSÉ','IçARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3818560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM COLINA','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3818578,1.00,4.00,2.00,5.00,4.00,NULL,0.00,4.00,2.00,415,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3818594,1.00,3.00,4.00,1.00,5.00,5.75,3.00,6.00,3.00,308,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',16075,56,NULL,NULL,NULL,NULL,NULL,4,1),(16,3818608,4.00,6.00,5.00,5.00,5.00,5.50,6.00,5.00,6.00,222,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',7056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3818616,2.00,1.00,2.00,0.00,0.00,NULL,2.00,4.00,2.00,5,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3818624,3.00,5.00,3.00,5.00,4.00,4.00,2.00,3.00,0.00,426,NULL,423,'CENTRO','FLORIANóPOLIS','SC',16688,51,NULL,36,NULL,NULL,NULL,2,1),(16,3818632,4.00,3.00,1.00,4.00,5.00,NULL,1.00,2.00,3.00,207,NULL,208,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818640,3.00,5.00,1.00,6.00,1.00,NULL,2.00,3.00,2.00,423,NULL,426,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818659,3.00,5.00,2.00,6.00,2.00,NULL,1.00,5.00,4.00,202,NULL,238,'BARRA DO ARIRIú','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818667,3.00,6.00,4.00,7.00,3.00,NULL,2.00,8.00,1.00,234,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818675,2.00,2.00,3.00,3.00,3.00,NULL,2.00,2.00,2.00,5,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3818683,3.00,5.00,2.00,6.00,4.00,5.00,4.00,4.00,3.00,203,NULL,214,'CENTRO','FLORIANóPOLIS','SC',14529,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818691,3.00,3.00,2.00,3.00,4.00,NULL,1.00,3.00,4.00,303,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818705,3.00,2.00,2.00,2.00,4.00,NULL,2.00,3.00,4.00,319,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818713,0.00,0.00,0.00,4.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'INGLESES DO RIO VERM','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3818721,1.00,1.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,101,NULL,NULL,'JARDIM AQUARIUS','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818730,2.00,5.00,1.00,0.00,4.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'RIO BONITO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3818748,3.00,3.00,1.00,4.00,1.00,NULL,1.00,4.00,3.00,319,NULL,NULL,'BREJARU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818756,4.00,5.00,3.00,4.00,3.00,NULL,2.00,1.00,3.00,320,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818764,5.00,6.00,3.00,8.00,5.00,5.00,1.00,6.00,4.00,234,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',8093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3818780,4.00,6.00,4.00,7.00,7.00,5.75,2.00,8.00,6.00,327,NULL,NULL,'BARREIROS','S JOSé','SC',6791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3818799,4.00,4.00,2.00,8.00,8.00,5.00,1.00,5.00,4.00,9,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANóPOLIS','SC',10629,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'INTERIOR','IPUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3818810,6.00,9.00,7.00,0.00,7.00,5.00,2.00,7.00,3.00,220,NULL,203,'BARAO GERALDO','CAMPINAS','SP',8817,359,NULL,656,NULL,NULL,NULL,4,1),(16,3818837,5.00,2.00,1.00,6.00,6.00,6.25,4.00,5.00,2.00,234,NULL,NULL,'AREIAS DE CIMA','GOV CELSO RAMOS','SC',13780,52,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,211,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3818853,4.00,3.00,3.00,5.00,3.00,NULL,4.00,6.00,2.00,303,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'STO ANTONIO DE PADUA','TUBARãO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3818888,3.00,4.00,1.00,4.00,3.00,NULL,2.00,2.00,3.00,333,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3818918,2.00,0.00,2.00,3.00,3.00,NULL,3.00,1.00,1.00,211,NULL,215,'DOIS IRMÃOS','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3818926,6.00,6.00,4.00,5.00,5.00,6.00,3.00,7.00,6.00,212,NULL,201,'ARAçATUBA','IMBITUBA','SC',7069,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818942,4.00,0.00,2.00,0.00,2.00,NULL,3.00,4.00,2.00,316,NULL,NULL,'SANTOS DIAS','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3818950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3818969,2.00,2.00,1.00,0.00,1.00,NULL,3.00,3.00,3.00,308,NULL,NULL,'CRISTO REI','IPUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3818977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3818985,2.00,4.00,3.00,6.00,3.00,NULL,0.00,6.00,3.00,420,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3818993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'QUEDAS','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(16,3819000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3819019,1.00,1.00,2.00,1.00,3.00,NULL,2.00,3.00,4.00,104,NULL,NULL,'INTERIOR','IPUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3819027,4.00,4.00,1.00,7.00,3.00,NULL,2.00,5.00,2.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3819043,2.00,1.00,1.00,2.00,3.00,NULL,3.00,2.00,3.00,308,NULL,NULL,'SOROCABA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819051,5.00,4.00,5.00,0.00,4.00,NULL,4.00,6.00,5.00,503,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3819060,5.00,4.00,4.00,6.00,5.00,4.50,2.00,7.00,4.00,220,NULL,214,'SERRARIA','S JOSé','SC',10731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CRISTO REI','IPUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3819086,1.00,2.00,2.00,5.00,3.00,NULL,2.00,3.00,4.00,428,NULL,424,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819094,1.00,1.00,1.00,1.00,2.00,NULL,2.00,1.00,2.00,327,NULL,NULL,'CENTRO','IPUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3819108,2.00,4.00,2.00,1.00,3.00,NULL,2.00,2.00,1.00,104,NULL,NULL,'CENTRO','IPUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3819116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'INTERIOR','IPUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3819124,1.00,2.00,1.00,1.00,3.00,NULL,2.00,1.00,1.00,308,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3819132,3.00,3.00,4.00,6.00,4.00,4.00,3.00,4.00,2.00,331,NULL,NULL,'PENHA','PAULO LOPES','SC',15940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819140,2.00,3.00,2.00,2.00,4.00,NULL,0.00,4.00,3.00,102,NULL,NULL,'INTERIOR','IPUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3819159,2.00,5.00,4.00,4.00,1.00,NULL,1.00,4.00,3.00,333,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819167,4.00,2.00,2.00,6.00,2.00,NULL,3.00,3.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3819175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COHAB','PTE SERRADA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3819183,6.00,4.00,5.00,4.00,6.00,5.75,2.00,7.00,4.00,317,NULL,NULL,'PENHA','PAULO LOPES','SC',8009,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819191,2.00,3.00,2.00,6.00,0.00,NULL,2.00,4.00,2.00,202,NULL,208,'AREIAS DO MACACU','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819205,2.00,3.00,1.00,0.00,2.00,NULL,2.00,4.00,2.00,202,NULL,207,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3819213,0.00,0.00,4.00,4.00,3.00,NULL,3.00,2.00,1.00,309,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819230,6.00,6.00,4.00,2.00,5.00,6.50,3.00,6.00,2.00,3,NULL,NULL,'PENHA','PAULO LOPES','SC',9998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3819256,5.00,2.00,3.00,5.00,6.00,4.50,0.00,6.00,3.00,308,NULL,NULL,'ARMAÇÃO DO PANTANO D','FLORIANóPOLIS','SC',15204,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819264,2.00,4.00,2.00,6.00,1.00,NULL,1.00,4.00,3.00,101,NULL,NULL,'POLíCIA RODOVIáRIA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3819272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3819280,1.00,3.00,5.00,5.00,6.00,5.25,3.00,6.00,3.00,201,NULL,212,'CARVOEIRA','FLORIANóPOLIS','SC',12053,934,NULL,351,NULL,NULL,NULL,2,1),(16,3819299,3.00,5.00,2.00,7.00,6.00,6.25,4.00,5.00,3.00,420,NULL,NULL,'BOM VIVER','BIGUAçU','SC',11119,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819302,3.00,1.00,2.00,4.00,3.00,NULL,2.00,4.00,1.00,309,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819310,5.00,8.00,2.00,7.00,5.00,5.75,3.00,7.00,3.00,238,NULL,208,'PONTA DE BAIXO','S JOSé','SC',9662,270,NULL,288,NULL,NULL,NULL,2,1),(16,3819329,4.00,4.00,2.00,1.00,3.00,NULL,2.00,2.00,2.00,310,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3819337,3.00,4.00,3.00,3.00,1.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'LA SALLE','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3819345,4.00,0.00,2.00,7.00,4.00,NULL,3.00,1.00,2.00,319,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3819370,1.00,6.00,2.00,3.00,2.00,NULL,1.00,2.00,2.00,339,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3819388,2.00,2.00,2.00,3.00,3.00,NULL,3.00,5.00,2.00,203,NULL,NULL,'MACACU','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819396,7.00,6.00,2.00,7.00,5.00,6.75,2.00,7.00,6.00,102,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',6513,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819418,3.00,2.00,1.00,3.00,5.00,5.50,3.00,5.00,4.00,103,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',15117,2702,NULL,NULL,NULL,NULL,NULL,4,1),(16,3819426,3.00,5.00,4.00,2.00,7.00,5.25,3.00,3.00,4.00,203,NULL,214,'VILA SINHá','S JOSé CAMPOS','SP',14028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3819434,6.00,4.00,2.00,3.00,4.00,5.25,3.00,5.00,4.00,207,NULL,238,'FERRAZ','GAROPABA','SC',12503,632,NULL,380,NULL,NULL,NULL,4,1),(16,3819442,0.00,1.00,1.00,4.00,1.00,NULL,1.00,5.00,2.00,207,NULL,201,'INTERIOR','IPUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3819469,2.00,2.00,4.00,4.00,3.00,NULL,1.00,5.00,4.00,202,NULL,213,'PINHEIRA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3819477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'SãO JOSé','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3819485,2.00,5.00,2.00,4.00,3.00,NULL,2.00,6.00,2.00,238,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819507,4.00,2.00,3.00,4.00,4.00,6.25,4.00,4.00,3.00,425,NULL,429,'BELA VISTA','S JOSé','SC',14204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3819515,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(16,3819531,6.00,6.00,2.00,6.00,7.00,5.50,1.00,3.00,7.00,205,NULL,NULL,'AREIAS','S JOSé','SC',9767,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819558,1.00,1.00,4.00,3.00,0.00,NULL,0.00,1.00,1.00,317,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819566,2.00,3.00,3.00,6.00,3.00,NULL,3.00,1.00,4.00,102,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819574,4.00,3.00,2.00,2.00,4.00,NULL,1.00,4.00,2.00,103,NULL,NULL,'JARDIM NISSALVES','ITAPECERICA SERRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,2),(16,3819582,3.00,6.00,4.00,5.00,6.00,6.00,2.00,4.00,4.00,302,NULL,NULL,'AREIAS','S JOSé','SC',10993,124,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819590,8.00,9.00,4.00,6.00,4.00,5.75,6.00,8.00,7.00,207,NULL,201,'PRAIA COMPRIDA','S JOSé','SC',2595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819604,3.00,0.00,2.00,0.00,2.00,NULL,3.00,3.00,3.00,103,NULL,NULL,'VISTA ALEGRE','XANXERê','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3819612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA PAULISTA','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3819620,4.00,1.00,2.00,7.00,3.00,NULL,2.00,3.00,5.00,103,NULL,NULL,'SANTA GEMA','S DOMINGOS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819639,2.00,1.00,2.00,3.00,2.00,NULL,3.00,5.00,2.00,327,NULL,NULL,'ST ANTONIO DE LISBOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819647,3.00,5.00,3.00,1.00,3.00,NULL,1.00,6.00,4.00,207,NULL,220,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3819671,2.00,4.00,1.00,4.00,4.00,NULL,2.00,4.00,4.00,211,NULL,216,'VILA SãO JOSé','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3819680,0.00,0.00,1.00,0.00,0.00,NULL,1.00,2.00,1.00,319,NULL,NULL,'SANTA MONICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3819698,3.00,2.00,1.00,0.00,2.00,NULL,3.00,3.00,2.00,324,NULL,NULL,'JARDIM BIGUAçU','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3819701,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'INTERIOR','ARVOREDO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(16,3819710,4.00,4.00,5.00,6.00,5.00,5.75,4.00,7.00,7.00,103,NULL,NULL,'BOM RETIRO','RIO PEDRAS','SP',6413,1742,NULL,NULL,NULL,NULL,NULL,2,8),(16,3819736,2.00,3.00,1.00,5.00,5.00,NULL,1.00,4.00,2.00,225,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819744,3.00,2.00,3.00,0.00,5.00,NULL,3.00,3.00,3.00,503,NULL,NULL,'VILA MARIZA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3819752,4.00,0.00,2.00,4.00,5.00,NULL,3.00,4.00,2.00,426,NULL,423,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819760,4.00,5.00,4.00,5.00,3.00,NULL,4.00,8.00,5.00,303,NULL,NULL,'PRESIDENTE MEDICI','CHAPECó','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3819779,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3819787,2.00,3.00,2.00,1.00,4.00,NULL,1.00,5.00,3.00,104,NULL,NULL,'CENTRO','DESCANSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3819809,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3819817,2.00,3.00,4.00,5.00,5.00,4.25,2.00,6.00,1.00,108,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',15476,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819825,5.00,6.00,4.00,7.00,7.00,5.50,4.00,6.00,5.00,203,NULL,214,'RESIDENCIAL PLANALTO','S JOSé CAMPOS','SP',7501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819833,1.00,1.00,1.00,6.00,4.00,NULL,3.00,4.00,1.00,426,NULL,428,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819841,1.00,1.00,2.00,5.00,3.00,NULL,1.00,0.00,3.00,426,NULL,425,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819850,1.00,2.00,2.00,1.00,2.00,NULL,2.00,3.00,3.00,329,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819884,2.00,4.00,5.00,3.00,5.00,4.50,2.00,5.00,5.00,301,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',14297,314,NULL,NULL,NULL,NULL,NULL,4,1),(16,3819892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3819906,5.00,6.00,2.00,6.00,6.00,5.75,3.00,5.00,6.00,319,NULL,NULL,'KOBRASOL','S JOSé','SC',9148,168,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819914,3.00,2.00,2.00,5.00,2.00,NULL,3.00,5.00,3.00,108,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819922,5.00,5.00,3.00,2.00,5.00,5.75,2.00,4.00,2.00,303,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',15198,664,NULL,NULL,NULL,NULL,NULL,4,3),(16,3819949,1.00,2.00,2.00,2.00,2.00,NULL,3.00,2.00,2.00,316,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3819957,6.00,6.00,4.00,6.00,4.00,5.75,2.00,5.00,6.00,319,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',8742,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3819965,7.00,7.00,5.00,6.00,6.00,5.50,6.00,7.00,7.00,214,NULL,212,'CENTRO','FLORIANóPOLIS','SC',3126,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819973,4.00,4.00,4.00,4.00,4.00,3.25,2.00,3.00,3.00,317,NULL,NULL,'BIGUAÇU','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3819981,3.00,2.00,2.00,1.00,3.00,NULL,1.00,3.00,4.00,316,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3819990,5.00,7.00,3.00,7.00,5.00,5.50,2.00,7.00,5.00,108,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',7737,160,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE VERA CRUZ II','APARECIDA GOIâNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3820017,4.00,3.00,4.00,4.00,4.00,4.75,3.00,4.00,3.00,238,NULL,212,'INGLESES','FLORIANóPOLIS','SC',15503,512,NULL,433,NULL,NULL,NULL,4,1),(16,3820025,4.00,5.00,2.00,4.00,3.00,NULL,3.00,6.00,3.00,502,NULL,NULL,'BARRA DO ARIRIÚ','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820041,4.00,6.00,1.00,3.00,4.00,4.75,1.00,6.00,1.00,233,NULL,203,'MATO ALTO','ARARANGUá','SC',16387,471,NULL,929,NULL,NULL,NULL,4,5),(16,3820050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CRISTO REI','IPUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3820068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'OPERáRIA','ARARANGUá','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(16,3820076,1.00,0.00,4.00,1.00,1.00,NULL,1.00,1.00,3.00,320,NULL,NULL,'CANTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820084,7.00,6.00,4.00,7.00,6.00,5.25,5.00,7.00,5.00,501,NULL,NULL,'FLORESTA','S JOSé','SC',5811,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820106,3.00,3.00,2.00,2.00,3.00,NULL,2.00,3.00,3.00,424,NULL,429,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3820114,3.00,5.00,3.00,6.00,5.00,6.00,4.00,6.00,3.00,304,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANóPOLIS','SC',12619,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820130,5.00,5.00,3.00,2.00,5.00,4.25,3.00,3.00,2.00,423,NULL,425,'CENTRO','RIQUEZA','SC',16019,33,NULL,107,NULL,NULL,NULL,2,4),(16,3820149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'CENTRO','IPUAçU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3820157,5.00,3.00,1.00,1.00,1.00,NULL,2.00,1.00,2.00,101,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3820165,6.00,7.00,4.00,6.00,5.00,6.25,3.00,7.00,8.00,103,NULL,NULL,'COLONINHA','FLORIANóPOLIS','SC',3799,1244,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820173,3.00,5.00,4.00,4.00,4.00,6.25,1.00,6.00,4.00,327,NULL,NULL,'PâNTANO DO SUL','FLORIANóPOLIS','SC',12695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3820181,6.00,6.00,3.00,7.00,6.00,5.25,3.00,5.00,4.00,319,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',8633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820190,4.00,5.00,2.00,6.00,5.00,5.50,3.00,6.00,3.00,501,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',10913,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820203,3.00,2.00,1.00,2.00,2.00,NULL,5.00,2.00,3.00,101,NULL,NULL,'MAGALHAES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3820238,2.00,2.00,1.00,1.00,3.00,NULL,3.00,3.00,3.00,102,NULL,NULL,'CENTRO','DESCANSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3820246,5.00,3.00,2.00,3.00,4.00,NULL,0.00,5.00,3.00,404,NULL,NULL,'GRAMA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3820254,6.00,4.00,3.00,2.00,4.00,5.50,4.00,5.00,4.00,207,NULL,203,'CENTRO','RIQUEZA','SC',13418,693,NULL,832,NULL,NULL,NULL,4,4),(16,3820270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3820300,4.00,3.00,1.00,5.00,4.00,5.00,1.00,5.00,2.00,452,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',16633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820319,3.00,5.00,1.00,6.00,3.00,NULL,2.00,4.00,3.00,303,NULL,NULL,'POLíCIA RODOVIáRIA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3820327,6.00,5.00,5.00,6.00,3.00,NULL,3.00,3.00,4.00,238,NULL,207,'CARVOEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820343,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BREJARU DOIS','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3820351,2.00,3.00,4.00,1.00,0.00,NULL,1.00,1.00,2.00,208,NULL,238,'POçO FUNDO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820360,5.00,2.00,4.00,2.00,3.00,NULL,1.00,2.00,3.00,316,NULL,NULL,'SANGA DA AREIA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3820378,1.00,4.00,3.00,6.00,3.00,NULL,2.00,6.00,1.00,423,NULL,426,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820386,2.00,4.00,2.00,4.00,2.00,NULL,4.00,4.00,3.00,317,NULL,NULL,'SAO SEBASTIAO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SAO SEBASTIAO','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3820408,3.00,3.00,2.00,5.00,3.00,NULL,2.00,6.00,2.00,502,NULL,NULL,'NOVA SUISSA','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820416,8.00,8.00,5.00,6.00,7.00,6.00,6.00,8.00,8.00,108,NULL,NULL,'CAMPINAS','S JOSé','SC',1010,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'VILA F FOLLE','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3820432,4.00,5.00,1.00,7.00,5.00,4.25,1.00,3.00,4.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14805,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820440,5.00,4.00,3.00,2.00,4.00,5.00,2.00,7.00,3.00,444,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',15323,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BELA VISTA','PTE SERRADA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(16,3820467,5.00,7.00,4.00,3.00,5.00,5.75,1.00,7.00,4.00,208,NULL,202,'REAL PARK','S JOSé','SC',10153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3820475,3.00,5.00,4.00,5.00,5.00,5.00,3.00,5.00,5.00,301,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',12932,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3820491,2.00,3.00,4.00,0.00,0.00,NULL,2.00,3.00,2.00,216,NULL,203,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820505,6.00,5.00,4.00,8.00,7.00,6.00,2.00,7.00,5.00,103,NULL,NULL,'VILA SANTA HELENA','S JOSé CAMPOS','SP',4400,1382,NULL,NULL,NULL,NULL,NULL,4,1),(16,3820521,2.00,1.00,1.00,5.00,5.00,NULL,1.00,3.00,5.00,216,NULL,233,'PRóSPERA','CRICIúMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3820530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CASCATINHA','PTE SERRADA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3820548,4.00,3.00,1.00,3.00,3.00,NULL,2.00,6.00,2.00,326,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'GANCHOS DE FORA','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3820564,4.00,5.00,4.00,4.00,3.00,NULL,3.00,3.00,2.00,444,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820572,4.00,3.00,5.00,6.00,4.00,5.00,5.00,5.00,5.00,415,NULL,NULL,'INTERIOR','SAO MIGUEL DOESTE','SC',10987,287,NULL,NULL,NULL,NULL,NULL,4,4),(16,3820599,4.00,5.00,1.00,7.00,5.00,7.75,1.00,5.00,3.00,340,NULL,NULL,'SANTO ANTONIO','IRANI','SC',11870,375,NULL,NULL,NULL,NULL,NULL,4,7),(16,3820602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'INDUSTRIARIOS','CONCóRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(16,3820610,5.00,3.00,2.00,6.00,3.00,NULL,1.00,3.00,3.00,301,NULL,NULL,'MAGALHAES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820629,3.00,1.00,3.00,2.00,3.00,NULL,3.00,2.00,3.00,404,NULL,NULL,'MAGALHãES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3820637,5.00,2.00,2.00,3.00,1.00,NULL,2.00,4.00,4.00,328,NULL,NULL,'MAGALHãES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(16,3820645,2.00,2.00,4.00,4.00,5.00,NULL,3.00,2.00,4.00,444,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820653,4.00,3.00,2.00,9.00,5.00,6.25,1.00,6.00,5.00,424,NULL,428,'CORREGO GRANDE','FLORIANóPOLIS','SC',10989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3820670,5.00,5.00,5.00,5.00,7.00,4.00,3.00,5.00,3.00,9,NULL,NULL,'PARQUE HIPóLITO','LIMEIRA','SP',10767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3820688,1.00,4.00,1.00,3.00,3.00,NULL,2.00,6.00,2.00,320,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820700,3.00,2.00,2.00,4.00,2.00,NULL,3.00,4.00,2.00,316,NULL,NULL,'URUSSANGUINHA','ARARANGUá','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3820718,7.00,8.00,2.00,8.00,6.00,6.50,4.00,7.00,5.00,102,NULL,NULL,'BARREIROS','S JOSé','SC',4668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3820726,4.00,4.00,2.00,0.00,2.00,NULL,2.00,3.00,2.00,404,NULL,NULL,'MONT SERRAT','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3820734,7.00,6.00,6.00,9.00,8.00,6.00,6.00,9.00,8.00,220,NULL,203,'MONTE CARLO','ARAçATUBA','SP',823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3820769,1.00,1.00,2.00,2.00,2.00,NULL,0.00,4.00,2.00,339,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3820777,3.00,0.00,6.00,5.00,6.00,5.25,2.00,3.00,3.00,103,NULL,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',14967,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3820785,4.00,6.00,5.00,3.00,5.00,4.50,4.00,5.00,2.00,214,NULL,203,'RAYCOS','FRANCA','SP',12280,401,NULL,793,NULL,NULL,NULL,4,1),(16,3820793,3.00,2.00,3.00,3.00,2.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3820807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'INTERIOR','ARVOREDO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3820815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,423,'AMBROSIO','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3820823,1.00,1.00,1.00,3.00,1.00,NULL,3.00,3.00,1.00,303,NULL,NULL,'AREIAS DE AMBROSIO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820831,5.00,4.00,3.00,6.00,3.00,NULL,5.00,5.00,2.00,444,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820840,6.00,5.00,2.00,3.00,6.00,5.00,1.00,6.00,5.00,502,NULL,NULL,'BARREIROS','S JOSé','SC',12492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3820858,2.00,5.00,5.00,8.00,6.00,4.75,3.00,6.00,2.00,503,NULL,NULL,'LAGOA DA CONCEIçAO','FLORIANóPOLIS','SC',10778,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820874,2.00,1.00,1.00,3.00,3.00,NULL,4.00,5.00,5.00,238,NULL,208,'NOSSA SRA DE LURDES','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3820882,1.00,0.00,4.00,5.00,2.00,NULL,1.00,4.00,0.00,327,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820890,4.00,4.00,2.00,6.00,3.00,NULL,3.00,4.00,4.00,216,NULL,213,'ESTRELA','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3820912,3.00,4.00,3.00,6.00,3.00,NULL,0.00,4.00,3.00,103,NULL,NULL,'LEOPOLDO ZARLING','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820939,2.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(16,3820947,3.00,0.00,2.00,3.00,0.00,NULL,1.00,4.00,2.00,301,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820955,2.00,1.00,2.00,6.00,5.00,NULL,3.00,1.00,0.00,211,NULL,207,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820963,4.00,5.00,3.00,2.00,5.00,NULL,1.00,4.00,3.00,333,NULL,NULL,'VILA RESENDE','CAçAPAVA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820971,5.00,5.00,5.00,8.00,5.00,8.50,2.00,8.00,5.00,108,NULL,NULL,'CENTRO','PETRóPOLIS','RJ',4557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3820980,3.00,5.00,3.00,3.00,4.00,4.25,4.00,6.00,4.00,317,NULL,NULL,'PACHECO','PALHOçA','SC',14365,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3820998,8.00,5.00,5.00,4.00,6.00,6.25,4.00,7.00,7.00,308,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',4511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3821005,2.00,3.00,2.00,5.00,4.00,6.00,4.00,6.00,3.00,450,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',14911,126,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3821021,4.00,7.00,5.00,8.00,6.00,6.50,6.00,8.00,7.00,319,NULL,NULL,'FLOR DE NáPOLIS','S JOSé','SC',2509,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821030,6.00,8.00,8.00,8.00,9.00,7.75,6.00,8.00,9.00,103,NULL,NULL,'PADRE MARTINHO STEIN','TIMBó','SC',268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3821048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARIVATUBA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3821056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3821064,6.00,5.00,3.00,8.00,5.00,6.25,3.00,7.00,7.00,103,NULL,NULL,'CENTRO','CRICIúMA','SC',5458,1580,NULL,NULL,NULL,NULL,NULL,2,5),(16,3821072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,233,'RIO BRANCO','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3821080,2.00,4.00,4.00,3.00,5.00,4.50,3.00,2.00,3.00,2,NULL,NULL,'CENTRO','BRAçO NORTE','SC',16372,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3821099,4.00,5.00,2.00,4.00,2.00,NULL,2.00,7.00,3.00,201,NULL,203,'INTERIOR','S JOãO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3821102,4.00,5.00,3.00,4.00,3.00,NULL,3.00,2.00,2.00,201,NULL,207,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3821129,2.00,8.00,2.00,5.00,4.00,4.75,2.00,4.00,4.00,326,NULL,NULL,'SãO FRANCISCO','STO AMARO IMPERATRIZ','SC',14973,68,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3821145,4.00,7.00,4.00,6.00,7.00,7.75,3.00,3.00,4.00,104,NULL,NULL,'BARREIROS','S JOSé','SC',7766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3821153,4.00,7.00,6.00,7.00,6.00,5.25,3.00,6.00,4.00,415,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6661,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821170,0.00,6.00,2.00,3.00,3.00,NULL,2.00,5.00,3.00,225,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3821188,3.00,3.00,3.00,7.00,6.00,5.50,2.00,7.00,4.00,207,NULL,NULL,'JARDIM COLONIAL','ATIBAIA','SP',12273,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','IçARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3821218,3.00,2.00,3.00,4.00,5.00,5.25,3.00,5.00,2.00,102,NULL,NULL,'LAGOA DOS FREITAS','IçARA','SC',16046,298,NULL,NULL,NULL,NULL,NULL,4,5),(16,3821285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,203,'RAICHASKI','IçARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(16,3821323,3.00,2.00,2.00,5.00,2.00,NULL,2.00,3.00,4.00,238,NULL,208,'BELA VISTA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821340,4.00,2.00,2.00,1.00,6.00,NULL,0.00,5.00,4.00,340,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3821366,2.00,3.00,3.00,2.00,2.00,NULL,1.00,4.00,3.00,428,NULL,423,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3821374,4.00,4.00,3.00,8.00,3.00,NULL,3.00,4.00,3.00,423,NULL,428,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821382,7.00,6.00,4.00,7.00,8.00,6.00,5.00,7.00,3.00,339,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',5623,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821390,5.00,4.00,4.00,7.00,6.00,5.00,2.00,5.00,3.00,428,NULL,423,'PORTO DA LAGOA','FLORIANóPOLIS','SC',11346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821404,4.00,2.00,4.00,4.00,3.00,NULL,4.00,3.00,7.00,102,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821412,3.00,6.00,4.00,3.00,4.00,5.00,3.00,7.00,4.00,327,NULL,NULL,'BOM VIVER','BIGUAçU','SC',11569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3821439,3.00,4.00,4.00,2.00,3.00,NULL,2.00,7.00,3.00,104,NULL,NULL,'SANTA RITA','BORDA MATA','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3821447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'FATIMA I','POUSO ALEGRE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3821455,3.00,4.00,2.00,8.00,3.00,NULL,3.00,3.00,2.00,238,NULL,208,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821463,2.00,2.00,4.00,1.00,4.00,NULL,3.00,2.00,4.00,9,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3821471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'NAÇÕES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(16,3821498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BELA VISTA','BOM RETIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3821501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'BELA VISTA','BOM RETIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3821510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3821536,2.00,2.00,4.00,7.00,4.00,5.25,2.00,3.00,3.00,201,NULL,207,'RIO SANTO ANTONIO','STA ROSA LIMA','SC',15767,1222,NULL,820,NULL,NULL,NULL,2,10),(16,3821552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'CENTRO','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3821560,1.00,3.00,2.00,1.00,4.00,NULL,1.00,2.00,4.00,303,NULL,NULL,'PINHEIRA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3821609,1.00,5.00,1.00,3.00,4.00,NULL,1.00,4.00,3.00,503,NULL,NULL,'BAIRRO SÃO LUIS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3821617,4.00,0.00,1.00,0.00,3.00,NULL,0.00,2.00,1.00,319,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3821625,6.00,3.00,4.00,5.00,4.00,5.25,2.00,8.00,4.00,207,NULL,201,'SAO FRANCISCO','STO AMARO IMPERATRIZ','SC',11168,544,NULL,868,NULL,NULL,NULL,2,1),(16,3821633,3.00,8.00,2.00,6.00,5.00,5.25,5.00,8.00,2.00,340,NULL,NULL,'CENTRO','BRAçO NORTE','SC',8698,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3821641,2.00,1.00,2.00,6.00,3.00,NULL,1.00,5.00,5.00,101,NULL,NULL,'INTERIOR','ANCHIETA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3821650,3.00,0.00,1.00,3.00,1.00,NULL,2.00,3.00,1.00,207,NULL,201,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821668,5.00,2.00,3.00,2.00,3.00,NULL,3.00,3.00,2.00,9,NULL,NULL,'BREJARU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821676,5.00,8.00,2.00,7.00,7.00,5.75,1.00,9.00,3.00,5,NULL,NULL,'COHAB I','S JOAQUIM','SC',8284,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3821684,1.00,5.00,2.00,2.00,3.00,NULL,2.00,4.00,2.00,202,NULL,211,'ENSEADA DE BRITO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821692,0.00,2.00,4.00,7.00,4.00,NULL,5.00,1.00,2.00,415,NULL,NULL,'BELA VISTA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821706,1.00,3.00,2.00,2.00,0.00,NULL,4.00,0.00,3.00,207,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821714,0.00,4.00,3.00,4.00,1.00,NULL,2.00,3.00,1.00,101,NULL,NULL,'ENSEADA DE BRITO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'PINHEIRAL','BRAçO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3821730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SANTA TEREZA ALTA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(16,3821749,5.00,6.00,2.00,2.00,4.00,5.75,3.00,6.00,4.00,302,NULL,NULL,'LOURO','ANTôNIO CARLOS','SC',12858,153,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821757,3.00,4.00,2.00,2.00,3.00,NULL,2.00,2.00,4.00,2,NULL,NULL,'CENTRO','ITAPETININGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(16,3821765,3.00,0.00,1.00,0.00,3.00,NULL,3.00,2.00,3.00,201,NULL,212,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3821773,2.00,1.00,3.00,2.00,3.00,NULL,4.00,2.00,5.00,216,NULL,215,'CENTRO','UNIãO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3821781,5.00,7.00,6.00,9.00,7.00,6.00,3.00,6.00,6.00,201,NULL,220,'CENTRO','IPORã OESTE','SC',3065,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(16,3821790,2.00,4.00,2.00,4.00,4.00,4.50,2.00,7.00,2.00,310,NULL,NULL,'CONSOLACAO','S PAULO','SP',16496,70,NULL,NULL,NULL,NULL,NULL,4,1),(16,3821803,4.00,5.00,3.00,4.00,5.00,6.50,2.00,2.00,4.00,318,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',14807,120,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3821820,3.00,6.00,3.00,9.00,7.00,6.50,3.00,8.00,5.00,316,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',5964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3821838,2.00,6.00,4.00,6.00,4.00,7.25,2.00,4.00,3.00,427,NULL,421,'FORQUILHINHAS','S JOSé','SC',13473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3821846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3821854,4.00,3.00,2.00,5.00,2.00,NULL,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3821870,3.00,5.00,2.00,4.00,5.00,4.50,2.00,2.00,3.00,319,NULL,NULL,'FLOR DE NAPOLIS','S JOSé','SC',16407,360,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821889,1.00,5.00,4.00,5.00,2.00,NULL,5.00,3.00,2.00,238,NULL,208,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3821900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SANTA HELENA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3821919,3.00,1.00,4.00,3.00,3.00,NULL,3.00,3.00,0.00,101,NULL,NULL,'UNIVERSITARIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3821927,5.00,7.00,2.00,6.00,7.00,6.25,2.00,7.00,4.00,3,NULL,NULL,'BEATRIZ','LAGES','SC',7551,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(16,3821935,2.00,2.00,2.00,2.00,5.00,5.50,3.00,4.00,7.00,2,NULL,NULL,'CAROBA','LAGES','SC',16528,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3821943,6.00,8.00,1.00,9.00,4.00,6.00,1.00,8.00,4.00,318,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',8753,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(16,3821951,3.00,5.00,4.00,8.00,3.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SAO JOAO','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,6),(16,3821960,2.00,0.00,3.00,0.00,2.00,NULL,2.00,2.00,1.00,327,NULL,NULL,'CENTRO','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3821978,0.00,4.00,1.00,6.00,6.00,NULL,1.00,4.00,2.00,5,NULL,NULL,'SãO ROQUE','ITAJAí','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3821986,7.00,6.00,3.00,7.00,6.00,6.25,1.00,7.00,6.00,201,NULL,207,'SãO JOãO','ITAJAí','SC',5693,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(16,3822001,2.00,1.00,2.00,3.00,2.00,NULL,3.00,6.00,4.00,316,NULL,NULL,'NAçOES','BAL CAMBORIú','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3822010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CAMBORIú','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(16,3822028,4.00,3.00,4.00,8.00,3.00,NULL,1.00,5.00,3.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3822036,5.00,4.00,2.00,3.00,5.00,5.50,2.00,6.00,2.00,234,NULL,NULL,'CENTRO','S JOãO BATISTA','SC',15318,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(16,3822044,3.00,4.00,2.00,6.00,7.00,4.50,3.00,6.00,3.00,211,NULL,233,'CENTRO','BAL CAMBORIú','SC',12549,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(16,3822052,2.00,6.00,4.00,9.00,5.00,7.00,3.00,4.00,3.00,202,NULL,213,'CENTRO','BAL CAMBORIú','SC',10036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3822060,4.00,3.00,1.00,3.00,2.00,NULL,3.00,4.00,3.00,202,NULL,213,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','ITAIóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3822087,3.00,4.00,4.00,7.00,7.00,4.00,4.00,6.00,3.00,301,NULL,NULL,'PRAIA COMPRIDA','S JOSé','SC',10743,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822095,4.00,2.00,2.00,7.00,5.00,6.00,1.00,4.00,4.00,211,NULL,202,'PINHEIRA','PALHOçA','SC',15129,511,NULL,508,NULL,NULL,NULL,4,1),(16,3822109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3822133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3822141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'RIO DE AREIA','RIO RUFINO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3822168,5.00,5.00,2.00,7.00,4.00,7.25,3.00,7.00,5.00,201,NULL,233,'CENTRO','ITAJAí','SC',8128,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(16,3822176,1.00,1.00,2.00,5.00,2.00,NULL,1.00,4.00,2.00,108,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822184,4.00,1.00,2.00,3.00,1.00,NULL,2.00,4.00,3.00,301,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822192,3.00,4.00,2.00,5.00,5.00,6.50,3.00,5.00,3.00,308,NULL,NULL,'SERTãO DO MARUIM','S JOSé','SC',14209,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822214,4.00,2.00,3.00,5.00,3.00,NULL,3.00,3.00,2.00,423,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822222,6.00,7.00,5.00,8.00,7.00,7.50,3.00,8.00,6.00,450,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',2002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3822230,3.00,3.00,3.00,2.00,2.00,NULL,1.00,2.00,2.00,5,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822249,1.00,3.00,2.00,6.00,4.00,NULL,2.00,1.00,2.00,238,NULL,208,'STO ANTONIO DE LISBO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822257,4.00,5.00,1.00,1.00,3.00,NULL,2.00,3.00,2.00,238,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822265,3.00,5.00,4.00,6.00,4.00,6.75,3.00,3.00,2.00,317,NULL,NULL,'CARVOEIRA','FLORIANóPOLIS','SC',14522,134,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822273,3.00,4.00,1.00,3.00,3.00,NULL,2.00,5.00,3.00,308,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822281,1.00,6.00,1.00,3.00,5.00,6.00,3.00,5.00,3.00,317,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',16066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3822290,3.00,5.00,1.00,3.00,7.00,NULL,1.00,4.00,3.00,102,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3822303,3.00,5.00,2.00,7.00,3.00,NULL,1.00,3.00,6.00,9,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822311,3.00,6.00,4.00,7.00,6.00,4.25,2.00,6.00,3.00,303,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',10814,467,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822320,6.00,8.00,4.00,2.00,5.00,5.25,3.00,7.00,6.00,103,NULL,NULL,'ALTO ARIRIU','PALHOçA','SC',7994,1977,NULL,NULL,NULL,NULL,NULL,4,1),(16,3822338,3.00,3.00,2.00,6.00,5.00,5.50,3.00,4.00,3.00,101,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',14809,103,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822346,5.00,2.00,3.00,6.00,4.00,6.25,3.00,4.00,4.00,238,NULL,208,'INGLESES','FLORIANóPOLIS','SC',13791,439,NULL,450,NULL,NULL,NULL,2,1),(16,3822354,4.00,7.00,4.00,7.00,5.00,7.50,3.00,6.00,5.00,415,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',7076,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822362,3.00,7.00,2.00,4.00,5.00,5.25,2.00,6.00,5.00,415,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',12668,330,NULL,NULL,NULL,NULL,NULL,4,1),(16,3822370,0.00,0.00,0.00,6.00,1.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3822389,2.00,2.00,3.00,4.00,2.00,NULL,4.00,2.00,4.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822397,1.00,3.00,1.00,6.00,3.00,NULL,1.00,3.00,2.00,320,NULL,NULL,'INGLESES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822400,1.00,7.00,2.00,3.00,5.00,5.75,2.00,5.00,3.00,328,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3822419,3.00,5.00,1.00,7.00,5.00,5.75,2.00,5.00,6.00,424,NULL,425,'VARGEM PEQUENA','FLORIANóPOLIS','SC',11697,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822427,6.00,6.00,5.00,6.00,6.00,5.75,3.00,8.00,6.00,303,NULL,NULL,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',4682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3822435,5.00,5.00,1.00,5.00,4.00,4.75,3.00,5.00,6.00,326,NULL,NULL,'FAZENDA STO ANTONIO','S JOSé','SC',12820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3822451,4.00,4.00,4.00,7.00,5.00,4.75,3.00,5.00,2.00,451,NULL,NULL,'INGLESES','FLORIANOPOLIS','SC',12672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822460,5.00,5.00,1.00,2.00,7.00,6.50,3.00,6.00,5.00,319,NULL,NULL,'ARMAçãO','FLORIANóPOLIS','SC',11808,238,NULL,NULL,NULL,NULL,NULL,4,1),(16,3822478,4.00,4.00,2.00,5.00,5.00,7.00,3.00,8.00,3.00,319,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',11244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822486,4.00,2.00,3.00,1.00,2.00,NULL,3.00,1.00,3.00,234,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3822494,5.00,6.00,1.00,7.00,5.00,4.50,2.00,7.00,2.00,332,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',12110,35,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822508,5.00,6.00,6.00,7.00,7.00,5.75,4.00,7.00,5.00,238,NULL,215,'REAL PARQUE','S JOSé','SC',4436,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822516,6.00,2.00,3.00,0.00,6.00,NULL,1.00,3.00,3.00,340,NULL,NULL,'CENTRO','ARMAZEM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3822524,7.00,4.00,4.00,5.00,5.00,4.50,3.00,8.00,5.00,214,NULL,233,'CENTRO','FARTURA','SP',8727,304,NULL,267,NULL,NULL,NULL,2,1),(16,3822532,4.00,3.00,4.00,5.00,4.00,4.00,4.00,4.00,5.00,208,NULL,238,'RIO TAVARES','FLORIANóPOLIS','SC',12516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822540,2.00,3.00,3.00,6.00,2.00,NULL,2.00,7.00,5.00,309,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822559,7.00,6.00,4.00,7.00,2.00,NULL,2.00,6.00,4.00,327,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822567,3.00,4.00,1.00,5.00,3.00,NULL,4.00,5.00,3.00,316,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822575,7.00,6.00,4.00,7.00,8.00,5.75,4.00,7.00,6.00,207,NULL,211,'RIO VERMELHO','FLORIANOPOLIS','SC',4037,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822583,5.00,7.00,3.00,7.00,8.00,7.50,4.00,5.00,6.00,211,NULL,215,'INGLESES','FLORIANóPOLIS','SC',4129,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822591,3.00,7.00,1.00,6.00,4.00,5.00,2.00,6.00,3.00,309,NULL,NULL,'SNT ANT DE LISBOA','FLORIANóPOLIS','SC',14253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822605,5.00,5.00,3.00,7.00,5.00,6.00,4.00,5.00,4.00,303,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',10061,430,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822613,5.00,5.00,4.00,7.00,6.00,6.25,5.00,6.00,6.00,301,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',5455,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822621,4.00,2.00,2.00,6.00,3.00,NULL,2.00,6.00,3.00,101,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822630,1.00,3.00,4.00,7.00,2.00,NULL,2.00,3.00,4.00,424,NULL,427,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822648,1.00,2.00,4.00,5.00,3.00,NULL,3.00,0.00,2.00,423,NULL,428,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822656,3.00,4.00,4.00,5.00,6.00,5.25,3.00,6.00,4.00,425,NULL,428,'FUNDOS','BIGUAçU','SC',12151,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822664,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3822672,4.00,7.00,2.00,3.00,5.00,3.00,2.00,6.00,2.00,329,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822680,3.00,2.00,1.00,5.00,1.00,NULL,2.00,5.00,3.00,316,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822699,2.00,3.00,2.00,8.00,5.00,5.25,1.00,3.00,2.00,503,NULL,NULL,'RIO TAVARES','FLORIANOPOLIS','SC',16390,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822702,1.00,2.00,1.00,3.00,3.00,NULL,3.00,3.00,2.00,208,NULL,238,'INGLESE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822710,3.00,3.00,4.00,4.00,4.00,4.75,3.00,3.00,2.00,317,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',16215,164,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822729,5.00,5.00,2.00,5.00,6.00,6.00,2.00,7.00,2.00,331,NULL,NULL,'SAMBAQUI','FLORIANóPOLIS','SC',11768,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822737,5.00,4.00,2.00,5.00,4.00,4.75,4.00,4.00,4.00,101,NULL,NULL,'SACO SOA LIMõES','FLORIANóPOLIS','SC',13821,82,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822745,3.00,0.00,1.00,4.00,3.00,NULL,5.00,2.00,3.00,316,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822753,3.00,5.00,1.00,6.00,2.00,NULL,3.00,4.00,5.00,308,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822761,5.00,6.00,2.00,5.00,7.00,4.25,3.00,7.00,3.00,225,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',12595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822770,5.00,3.00,4.00,7.00,4.00,4.75,4.00,5.00,3.00,301,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',11721,223,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822788,4.00,4.00,5.00,6.00,6.00,6.00,3.00,5.00,4.00,317,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',10496,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822796,4.00,4.00,4.00,7.00,4.00,5.00,1.00,5.00,2.00,420,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',14207,153,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822800,4.00,4.00,3.00,8.00,7.00,5.75,4.00,5.00,5.00,108,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',9253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822818,3.00,5.00,4.00,5.00,5.00,5.75,4.00,4.00,4.00,103,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',13564,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822826,4.00,5.00,1.00,0.00,7.00,4.25,4.00,4.00,4.00,304,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',15137,155,NULL,NULL,NULL,NULL,NULL,4,1),(16,3822834,4.00,4.00,5.00,6.00,7.00,5.50,5.00,8.00,3.00,233,NULL,214,'FORQUILHINHAS','S JOSé','SC',8138,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822842,4.00,1.00,4.00,5.00,4.00,5.25,2.00,5.00,4.00,101,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',14746,101,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822850,4.00,5.00,4.00,5.00,4.00,4.50,3.00,4.00,5.00,308,NULL,NULL,'COSTA DA LAGOA','FLORIANóPOLIS','SC',13008,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822869,2.00,5.00,2.00,3.00,1.00,NULL,3.00,3.00,3.00,316,NULL,NULL,'SERRARIA','SAO JOSE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822877,5.00,3.00,1.00,4.00,2.00,NULL,4.00,5.00,3.00,101,NULL,NULL,'COSTA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822893,2.00,3.00,3.00,6.00,6.00,4.75,1.00,4.00,2.00,5,NULL,NULL,'COLONIA SANTANA','S JOSé','SC',15894,507,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822907,6.00,8.00,4.00,5.00,5.00,4.50,4.00,8.00,3.00,2,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',6842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822915,2.00,5.00,5.00,4.00,3.00,NULL,3.00,3.00,4.00,415,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822923,3.00,3.00,2.00,4.00,4.00,5.50,3.00,6.00,2.00,309,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',15953,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822931,5.00,7.00,2.00,6.00,5.00,5.75,2.00,6.00,6.00,234,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',8966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822940,4.00,2.00,1.00,3.00,1.00,NULL,3.00,1.00,2.00,102,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822958,4.00,7.00,2.00,7.00,6.00,6.00,4.00,8.00,3.00,203,NULL,214,'SACO DOS LIMõES','FLORIANóPOLIS','SC',6944,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822966,3.00,3.00,4.00,6.00,6.00,3.00,2.00,8.00,3.00,332,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822974,3.00,0.00,3.00,4.00,3.00,NULL,3.00,2.00,2.00,316,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3822982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3822990,3.00,5.00,3.00,6.00,4.00,5.00,2.00,7.00,4.00,324,NULL,NULL,'RETIRO DA LAGOA','FLORIANóPOLIS','SC',11843,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823008,4.00,8.00,1.00,6.00,5.00,5.50,3.00,6.00,4.00,332,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSé','SC',11016,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823016,2.00,3.00,1.00,3.00,3.00,NULL,3.00,3.00,3.00,339,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823024,4.00,4.00,1.00,3.00,3.00,NULL,2.00,6.00,2.00,224,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823032,7.00,6.00,2.00,5.00,7.00,5.25,2.00,6.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',8770,392,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823040,3.00,5.00,1.00,5.00,5.00,5.75,2.00,4.00,5.00,301,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',14138,308,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823059,5.00,6.00,4.00,6.00,5.00,6.00,3.00,5.00,4.00,207,NULL,201,'VARGEM DO BRAçO','STO AMARO IMPERATRIZ','SC',8811,404,NULL,687,NULL,NULL,NULL,2,1),(16,3823067,5.00,6.00,3.00,7.00,4.00,4.50,2.00,6.00,4.00,444,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',11942,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823075,1.00,3.00,4.00,5.00,2.00,NULL,3.00,5.00,2.00,309,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823083,3.00,3.00,4.00,5.00,1.00,NULL,2.00,4.00,0.00,339,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823091,4.00,6.00,3.00,6.00,4.00,5.75,2.00,7.00,3.00,223,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',11860,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823105,4.00,3.00,1.00,2.00,5.00,NULL,2.00,3.00,5.00,238,NULL,233,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823113,6.00,6.00,4.00,7.00,6.00,7.00,3.00,5.00,3.00,301,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',6962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3823121,3.00,2.00,2.00,1.00,0.00,NULL,3.00,2.00,5.00,101,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823130,6.00,5.00,4.00,5.00,5.00,5.50,4.00,6.00,6.00,234,NULL,NULL,'STO ANTONIO DE LISBO','FLORIANóPOLIS','SC',7159,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823148,2.00,3.00,3.00,2.00,1.00,NULL,2.00,3.00,3.00,9,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823156,5.00,6.00,3.00,6.00,3.00,NULL,4.00,7.00,4.00,501,NULL,NULL,'MORRO DA BOA VISTA','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823164,0.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3823172,2.00,0.00,1.00,3.00,3.00,NULL,2.00,3.00,3.00,309,NULL,NULL,'SACO DOS LIMOES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823180,4.00,5.00,3.00,7.00,3.00,NULL,4.00,2.00,3.00,332,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823199,5.00,5.00,4.00,6.00,5.00,6.25,4.00,6.00,3.00,233,NULL,211,'CENTRO','FLORIANóPOLIS','SC',9685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823202,2.00,4.00,4.00,2.00,6.00,5.00,3.00,7.00,4.00,319,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',13552,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823210,4.00,5.00,2.00,5.00,5.00,0.00,4.00,7.00,5.00,102,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823229,6.00,4.00,1.00,6.00,5.00,4.00,1.00,3.00,4.00,301,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',14655,319,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823237,1.00,2.00,2.00,1.00,2.00,NULL,2.00,5.00,2.00,426,NULL,429,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823245,5.00,6.00,4.00,8.00,6.00,4.00,3.00,4.00,5.00,301,NULL,NULL,'CACHOEIRA','FLORIANóPOLIS','SC',9293,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823253,6.00,5.00,3.00,7.00,5.00,4.75,3.00,5.00,5.00,501,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',10520,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823261,2.00,4.00,2.00,6.00,7.00,4.25,2.00,4.00,4.00,423,NULL,NULL,'SERTAO DO IMARUIM','S JOSé','SC',14009,21,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823270,2.00,4.00,1.00,6.00,7.00,5.25,1.00,6.00,4.00,339,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',14473,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823288,6.00,3.00,2.00,4.00,5.00,4.50,4.00,5.00,5.00,320,NULL,NULL,'CENTRO','ITUPORANGA','SC',13782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823296,3.00,3.00,6.00,2.00,4.00,4.50,2.00,5.00,4.00,203,NULL,214,'AGRONOMICA','FLORIANóPOLIS','SC',15600,908,NULL,475,NULL,NULL,NULL,4,1),(16,3823300,4.00,6.00,2.00,8.00,5.00,5.50,3.00,7.00,2.00,207,NULL,211,'SERRARIA','S JOSé','SC',10354,495,NULL,337,NULL,NULL,NULL,2,1),(16,3823318,7.00,6.00,3.00,7.00,7.00,5.50,3.00,8.00,5.00,108,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',5524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823326,4.00,3.00,2.00,4.00,4.00,4.00,1.00,4.00,3.00,332,NULL,NULL,'RIO TAVARE','FLORIANóPOLIS','SC',16689,62,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823334,4.00,3.00,4.00,4.00,4.00,5.00,3.00,5.00,3.00,420,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',14234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823342,2.00,5.00,4.00,7.00,4.00,5.50,3.00,3.00,2.00,201,NULL,202,'PASSA VINTE','PALHOçA','SC',14136,1085,NULL,480,NULL,NULL,NULL,2,1),(16,3823350,0.00,4.00,2.00,3.00,3.00,NULL,3.00,4.00,2.00,318,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823369,4.00,4.00,1.00,5.00,1.00,NULL,3.00,3.00,4.00,238,NULL,208,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823377,3.00,5.00,3.00,6.00,4.00,5.25,2.00,6.00,4.00,102,NULL,NULL,'INTERIOR','GUARACIABA','SC',13224,231,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823385,4.00,2.00,1.00,3.00,3.00,NULL,4.00,1.00,0.00,501,NULL,NULL,'BREJARU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823407,6.00,2.00,5.00,4.00,2.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'COSTA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823415,4.00,6.00,2.00,6.00,6.00,5.25,3.00,4.00,3.00,9,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',12975,115,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823423,3.00,4.00,3.00,5.00,3.00,NULL,3.00,5.00,3.00,420,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823431,2.00,3.00,3.00,1.00,1.00,NULL,4.00,0.00,2.00,404,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823440,4.00,3.00,3.00,6.00,5.00,4.75,2.00,7.00,4.00,308,NULL,NULL,'PANTANAL','FLORIANOPOLIS','SC',13150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823458,3.00,1.00,2.00,4.00,3.00,NULL,1.00,2.00,3.00,316,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823466,5.00,5.00,2.00,5.00,7.00,5.50,1.00,6.00,2.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',12124,2445,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823474,5.00,6.00,1.00,4.00,5.00,4.25,2.00,7.00,3.00,501,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',13906,111,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823482,2.00,0.00,3.00,2.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(16,3823490,6.00,3.00,4.00,5.00,6.00,4.00,3.00,5.00,5.00,202,NULL,213,'VARGEM PEQUENA','FLORIANOPOLIS','SC',12164,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823504,6.00,4.00,4.00,7.00,7.00,5.75,2.00,7.00,3.00,317,NULL,NULL,'BAIRRO IPIRANGA','S JOSé','SC',8175,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823512,5.00,6.00,5.00,3.00,3.00,NULL,3.00,3.00,2.00,212,NULL,207,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3823520,5.00,3.00,1.00,0.00,4.00,NULL,2.00,3.00,4.00,324,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3823547,3.00,3.00,2.00,4.00,4.00,NULL,1.00,3.00,3.00,317,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823555,5.00,4.00,4.00,5.00,2.00,NULL,2.00,4.00,4.00,453,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3823563,4.00,3.00,1.00,6.00,5.00,6.50,5.00,4.00,1.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',14794,321,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823571,1.00,4.00,3.00,4.00,5.00,NULL,1.00,1.00,3.00,317,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3823580,3.00,2.00,1.00,6.00,5.00,NULL,2.00,6.00,1.00,303,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823598,5.00,3.00,3.00,5.00,5.00,5.00,0.00,3.00,3.00,429,NULL,426,'AREIAS','S JOSé','SC',16035,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823601,2.00,5.00,3.00,5.00,6.00,4.00,1.00,4.00,3.00,310,NULL,NULL,'FLOR DE NAPOLES','S JOSé','SC',14933,62,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823610,5.00,4.00,1.00,8.00,5.00,5.75,3.00,4.00,3.00,108,NULL,NULL,'MADRI','PALHOçA','SC',12286,276,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823628,2.00,1.00,2.00,2.00,4.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823636,3.00,6.00,4.00,7.00,7.00,5.50,4.00,4.00,4.00,320,NULL,NULL,'ARMAçãO PANTANO SUL','FLORIANóPOLIS','SC',7842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823644,3.00,4.00,5.00,6.00,4.00,4.75,2.00,5.00,2.00,224,NULL,NULL,'ROçADO','S JOSé','SC',14406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823660,3.00,2.00,3.00,3.00,1.00,NULL,1.00,2.00,1.00,316,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823679,3.00,6.00,4.00,6.00,4.00,4.50,3.00,6.00,2.00,238,NULL,208,'INGLESES DO RIO VERM','FLORIANóPOLIS','SC',12924,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823687,4.00,6.00,2.00,4.00,5.00,4.00,2.00,4.00,4.00,317,NULL,NULL,'PANTANA','FLORIANóPOLIS','SC',15079,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823695,4.00,3.00,1.00,4.00,4.00,5.50,2.00,5.00,4.00,424,NULL,426,'SAO SEBASTIAO','PALHOCA','SC',16106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823709,3.00,5.00,5.00,7.00,6.00,5.25,4.00,6.00,4.00,339,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',9177,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823717,5.00,5.00,5.00,9.00,7.00,6.25,5.00,7.00,3.00,329,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',4796,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(16,3823725,4.00,2.00,3.00,4.00,4.00,5.00,1.00,4.00,4.00,316,NULL,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',16385,208,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823733,3.00,5.00,1.00,6.00,3.00,NULL,2.00,2.00,4.00,309,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823741,4.00,5.00,2.00,1.00,5.00,6.00,2.00,5.00,5.00,225,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',14193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3823750,3.00,4.00,4.00,4.00,4.00,3.00,2.00,2.00,4.00,404,NULL,NULL,'CORRéGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823768,2.00,1.00,4.00,2.00,2.00,NULL,2.00,2.00,5.00,309,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823776,5.00,6.00,1.00,4.00,6.00,3.00,3.00,6.00,3.00,3,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823784,5.00,4.00,3.00,2.00,4.00,4.75,3.00,3.00,4.00,9,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',15893,166,NULL,NULL,NULL,NULL,NULL,4,1),(16,3823792,4.00,6.00,3.00,5.00,3.00,NULL,2.00,4.00,3.00,404,NULL,NULL,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823814,6.00,7.00,5.00,7.00,5.00,4.25,4.00,5.00,4.00,404,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',8741,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823822,2.00,2.00,1.00,3.00,2.00,NULL,1.00,2.00,4.00,233,NULL,211,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823830,3.00,4.00,3.00,6.00,4.00,5.25,2.00,6.00,3.00,309,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',13539,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823849,2.00,2.00,3.00,5.00,2.00,NULL,0.00,3.00,3.00,309,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823857,3.00,3.00,2.00,5.00,2.00,NULL,2.00,3.00,1.00,339,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823865,2.00,3.00,2.00,4.00,4.00,NULL,2.00,2.00,5.00,339,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823873,4.00,5.00,2.00,5.00,6.00,5.50,3.00,6.00,3.00,501,NULL,NULL,'FUNDOS','BIGUAçU','SC',12112,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823881,5.00,5.00,4.00,7.00,7.00,4.50,2.00,5.00,5.00,103,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',9071,2128,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823890,3.00,5.00,4.00,6.00,5.00,4.50,3.00,4.00,2.00,101,NULL,NULL,'ENSEADA DE BRITO','ENS BRITO','SC',14267,91,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823903,5.00,5.00,3.00,8.00,7.00,5.75,5.00,6.00,4.00,319,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',6914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823911,3.00,3.00,2.00,5.00,7.00,NULL,1.00,2.00,4.00,103,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823920,5.00,6.00,4.00,4.00,4.00,5.00,1.00,3.00,4.00,224,NULL,NULL,'AREIAS','SAO JOSE','SC',13886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823938,3.00,1.00,4.00,7.00,4.00,4.50,2.00,3.00,4.00,501,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',15963,138,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823946,2.00,4.00,4.00,2.00,2.00,NULL,3.00,3.00,2.00,9,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823954,3.00,7.00,4.00,6.00,4.00,4.00,5.00,6.00,3.00,316,NULL,NULL,'CENTRO','PALHOçA','SC',11492,127,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823962,5.00,5.00,3.00,6.00,4.00,5.50,1.00,7.00,4.00,316,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',11949,136,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823970,3.00,2.00,2.00,5.00,4.00,5.50,1.00,5.00,3.00,9,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',16444,182,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823989,3.00,4.00,3.00,6.00,5.00,4.75,2.00,5.00,3.00,101,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',14227,90,NULL,NULL,NULL,NULL,NULL,2,1),(16,3823997,4.00,4.00,3.00,5.00,4.00,5.00,1.00,5.00,4.00,319,NULL,NULL,'CACUPE','FLORIANóPOLIS','SC',15538,335,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824004,5.00,7.00,3.00,4.00,9.00,5.75,2.00,6.00,3.00,318,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',8005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824012,4.00,6.00,5.00,6.00,6.00,6.50,2.00,6.00,3.00,317,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',8790,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824020,3.00,6.00,5.00,6.00,6.00,7.00,2.00,8.00,3.00,502,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',7589,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824039,3.00,4.00,3.00,6.00,3.00,NULL,3.00,5.00,2.00,104,NULL,NULL,'COLôNIA 20','TAQUARI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824047,5.00,4.00,2.00,4.00,2.00,NULL,4.00,2.00,1.00,301,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824055,4.00,2.00,2.00,6.00,5.00,4.25,4.00,4.00,5.00,316,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',14250,172,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824063,6.00,6.00,3.00,4.00,3.00,NULL,2.00,6.00,3.00,302,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824071,4.00,4.00,4.00,4.00,3.00,NULL,3.00,4.00,3.00,444,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824080,5.00,5.00,2.00,7.00,6.00,6.00,3.00,7.00,4.00,319,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',8544,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824098,5.00,1.00,2.00,4.00,6.00,4.75,2.00,4.00,6.00,404,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',14713,59,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824101,7.00,7.00,4.00,7.00,5.00,4.75,4.00,6.00,6.00,223,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',4954,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824110,2.00,1.00,2.00,2.00,2.00,NULL,4.00,3.00,1.00,317,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824128,4.00,6.00,4.00,5.00,8.00,6.00,3.00,6.00,5.00,415,NULL,NULL,'KOBRASOL','S JOSé','SC',7365,195,NULL,NULL,NULL,NULL,NULL,4,1),(16,3824136,2.00,2.00,4.00,1.00,3.00,NULL,1.00,4.00,1.00,339,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824144,4.00,4.00,1.00,3.00,7.00,6.00,3.00,5.00,4.00,415,NULL,NULL,'KOBRASOL','S JOSé','SC',13147,343,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824160,1.00,4.00,3.00,2.00,2.00,NULL,3.00,5.00,4.00,208,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3824179,3.00,4.00,1.00,6.00,7.00,5.25,1.00,5.00,3.00,332,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13811,50,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824187,4.00,6.00,4.00,4.00,4.00,3.00,2.00,4.00,2.00,207,NULL,201,'RIO GRANDE','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824195,4.00,3.00,4.00,3.00,5.00,4.25,2.00,5.00,4.00,324,NULL,NULL,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',16017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3824209,2.00,4.00,1.00,3.00,4.00,NULL,2.00,5.00,0.00,420,NULL,NULL,'CARVOEIRA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3824217,3.00,1.00,2.00,4.00,5.00,5.50,3.00,5.00,3.00,9,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',15849,165,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824225,5.00,4.00,2.00,5.00,5.00,5.75,3.00,5.00,4.00,317,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',11830,92,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824233,6.00,6.00,5.00,3.00,7.00,7.00,4.00,7.00,3.00,319,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',6641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3824241,1.00,1.00,2.00,1.00,3.00,NULL,1.00,3.00,1.00,309,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824250,3.00,2.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,429,NULL,425,'JURERE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3824268,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JOSé MENDES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3824276,3.00,2.00,2.00,4.00,2.00,NULL,1.00,5.00,2.00,427,NULL,423,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ARIRIÚ','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3824292,5.00,5.00,2.00,8.00,3.00,NULL,2.00,5.00,2.00,207,NULL,201,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824306,6.00,4.00,3.00,4.00,5.00,6.25,5.00,6.00,3.00,308,NULL,NULL,'SAUDADE','BIGUAçU','SC',11414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824314,3.00,3.00,2.00,3.00,2.00,NULL,1.00,5.00,3.00,234,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824322,7.00,5.00,4.00,6.00,6.00,6.25,2.00,6.00,5.00,420,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',6423,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824330,5.00,2.00,3.00,4.00,3.00,NULL,3.00,6.00,5.00,102,NULL,NULL,'RATONES','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824349,2.00,3.00,3.00,2.00,2.00,NULL,3.00,3.00,2.00,215,NULL,212,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3824357,4.00,7.00,4.00,7.00,6.00,5.25,4.00,6.00,7.00,208,NULL,238,'TAPERA','FLORIANóPOLIS','SC',7300,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824365,4.00,3.00,2.00,8.00,7.00,6.25,2.00,5.00,4.00,444,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',11461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824373,2.00,5.00,2.00,6.00,5.00,4.50,2.00,4.00,4.00,101,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',15353,118,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824381,4.00,6.00,3.00,7.00,3.00,NULL,4.00,6.00,2.00,332,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824390,2.00,2.00,1.00,0.00,2.00,NULL,3.00,2.00,3.00,104,NULL,NULL,'IPIRANGA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824403,6.00,7.00,5.00,8.00,8.00,4.25,3.00,9.00,7.00,304,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',3390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3824411,4.00,7.00,4.00,5.00,4.00,4.50,4.00,8.00,2.00,503,NULL,NULL,'BARRA SUL','BALNEARIO CAMBORIU','SC',11493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824420,4.00,0.00,4.00,3.00,1.00,NULL,3.00,1.00,1.00,319,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824438,3.00,4.00,1.00,5.00,5.00,5.50,2.00,6.00,5.00,102,NULL,NULL,'IPIRANGA','S JOSé','SC',14393,257,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824446,7.00,6.00,3.00,6.00,6.00,5.50,4.00,6.00,6.00,501,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',6730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824454,3.00,1.00,2.00,2.00,3.00,NULL,1.00,3.00,3.00,331,NULL,NULL,'ARMAçãO PANT D SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824462,6.00,7.00,5.00,8.00,7.00,7.00,5.00,7.00,5.00,211,NULL,216,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',3348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3824470,3.00,3.00,2.00,3.00,2.00,NULL,2.00,2.00,4.00,332,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824489,5.00,5.00,2.00,3.00,6.00,5.25,4.00,8.00,5.00,318,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',10128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3824497,4.00,2.00,5.00,6.00,5.00,5.75,3.00,4.00,2.00,423,NULL,426,'FORQUILHAS','S JOSé','SC',14580,27,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824500,1.00,3.00,3.00,4.00,2.00,NULL,3.00,2.00,2.00,207,NULL,201,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824519,6.00,6.00,5.00,3.00,4.00,6.75,4.00,8.00,3.00,208,NULL,220,'JARDIM ATLâNTICO','FLORIANóPOLIS','SC',8091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3824527,1.00,4.00,3.00,2.00,2.00,NULL,4.00,4.00,4.00,223,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824535,3.00,2.00,3.00,4.00,3.00,NULL,0.00,6.00,5.00,319,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824543,1.00,2.00,1.00,5.00,2.00,NULL,1.00,1.00,2.00,309,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824551,2.00,0.00,2.00,6.00,5.00,4.75,4.00,3.00,4.00,319,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',16370,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824560,2.00,5.00,3.00,1.00,5.00,NULL,3.00,3.00,2.00,501,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824578,5.00,6.00,3.00,7.00,4.00,4.50,5.00,5.00,4.00,234,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',10679,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824594,2.00,6.00,3.00,2.00,4.00,NULL,2.00,2.00,2.00,215,NULL,211,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3824608,3.00,3.00,4.00,6.00,6.00,6.00,3.00,5.00,4.00,207,NULL,233,'SERRINHA','FLORIANóPOLIS','SC',12282,618,NULL,380,NULL,NULL,NULL,2,1),(16,3824616,5.00,6.00,3.00,4.00,5.00,4.00,4.00,5.00,4.00,404,NULL,NULL,'SAO JUDAS TADEU','BAL CAMBORIú','SC',12555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824624,2.00,1.00,2.00,2.00,1.00,NULL,2.00,3.00,1.00,452,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3824640,4.00,5.00,3.00,6.00,6.00,5.25,2.00,3.00,3.00,233,NULL,214,'BARRA DA LAGOA','FLORIANóPOLIS','SC',13495,408,NULL,428,NULL,NULL,NULL,2,1),(16,3824659,4.00,4.00,1.00,5.00,5.00,5.50,3.00,5.00,1.00,101,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',15967,130,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824667,5.00,7.00,4.00,7.00,3.00,NULL,2.00,6.00,5.00,238,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824675,4.00,4.00,4.00,4.00,4.00,4.25,4.00,6.00,4.00,238,NULL,208,'RIO VERDE','COLOMBO','PR',12855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824683,7.00,7.00,3.00,5.00,5.00,7.25,3.00,9.00,6.00,103,NULL,NULL,'RIO GRANDE','PALHOCA','SC',5746,1629,NULL,NULL,NULL,NULL,NULL,4,1),(16,3824691,6.00,7.00,4.00,2.00,7.00,4.25,2.00,7.00,4.00,332,NULL,NULL,'COSTA DE CIMA','FLORIANóPOLIS','SC',10403,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824705,2.00,2.00,4.00,6.00,5.00,4.75,2.00,5.00,4.00,224,NULL,NULL,'BELA VISTA','S JOSé','SC',15678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3824721,2.00,3.00,4.00,3.00,4.00,5.50,3.00,5.00,3.00,444,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',15338,125,NULL,NULL,NULL,NULL,NULL,4,1),(16,3824730,4.00,7.00,5.00,6.00,3.00,NULL,3.00,7.00,3.00,104,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824748,1.00,3.00,3.00,1.00,4.00,NULL,3.00,5.00,2.00,309,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3824756,4.00,4.00,5.00,3.00,5.00,4.50,3.00,5.00,3.00,238,NULL,208,'VARGEM GRANDE','FLORIANóPOLIS','SC',13903,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3824772,5.00,7.00,3.00,6.00,8.00,7.50,3.00,7.00,3.00,316,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',7541,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824780,7.00,4.00,4.00,5.00,4.00,4.00,4.00,6.00,5.00,444,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',10648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824799,4.00,3.00,4.00,5.00,3.00,NULL,2.00,6.00,3.00,332,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'TAPERA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3824810,2.00,3.00,4.00,4.00,2.00,NULL,0.00,3.00,2.00,104,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824829,2.00,4.00,1.00,6.00,2.00,NULL,3.00,5.00,5.00,103,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824837,2.00,5.00,4.00,5.00,5.00,4.50,2.00,4.00,4.00,444,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',13767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3824845,1.00,2.00,3.00,1.00,4.00,NULL,2.00,3.00,1.00,308,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824853,2.00,3.00,6.00,5.00,6.00,5.50,4.00,4.00,3.00,304,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',13327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824861,4.00,4.00,6.00,6.00,4.00,6.50,4.00,7.00,5.00,317,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',7252,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824870,6.00,5.00,3.00,5.00,5.00,4.00,2.00,6.00,4.00,404,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',12289,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824888,4.00,1.00,1.00,2.00,4.00,NULL,3.00,5.00,2.00,301,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3824896,3.00,6.00,4.00,6.00,5.00,4.75,2.00,5.00,1.00,444,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',13935,98,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824900,2.00,3.00,1.00,4.00,5.00,2.00,4.00,5.00,4.00,404,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824918,2.00,6.00,5.00,7.00,6.00,5.50,4.00,4.00,4.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',10457,383,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824926,4.00,6.00,5.00,7.00,7.00,4.00,4.00,7.00,6.00,304,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',6442,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824934,4.00,4.00,4.00,4.00,6.00,5.25,2.00,5.00,3.00,234,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',14097,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824942,6.00,5.00,4.00,3.00,6.00,7.00,3.00,6.00,4.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',10087,2228,NULL,NULL,NULL,NULL,NULL,4,1),(16,3824950,2.00,5.00,2.00,5.00,8.00,4.75,3.00,4.00,3.00,224,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSé','SC',13493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824969,3.00,4.00,3.00,8.00,6.00,4.50,1.00,5.00,1.00,5,NULL,NULL,'AREIAS','S JOSé','SC',14575,482,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824977,4.00,4.00,2.00,4.00,0.00,NULL,3.00,3.00,4.00,340,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3824985,5.00,8.00,4.00,7.00,7.00,5.50,3.00,7.00,5.00,5,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',5204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3825000,6.00,4.00,1.00,4.00,4.00,4.75,2.00,3.00,3.00,324,NULL,NULL,'SANTOS DUMONT','S JOSé','SC',15860,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825019,6.00,6.00,5.00,7.00,5.00,5.50,4.00,8.00,8.00,108,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',4665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825027,4.00,6.00,5.00,7.00,8.00,5.00,1.00,7.00,4.00,503,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',7466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3825035,1.00,0.00,1.00,4.00,2.00,NULL,3.00,3.00,2.00,303,NULL,NULL,'JARDIM CIDADE','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825043,5.00,4.00,2.00,5.00,2.00,NULL,3.00,2.00,3.00,415,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825051,3.00,3.00,1.00,4.00,3.00,NULL,2.00,5.00,2.00,9,NULL,NULL,'JURERE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825060,1.00,2.00,2.00,6.00,1.00,NULL,1.00,3.00,3.00,339,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825078,5.00,3.00,3.00,6.00,4.00,NULL,1.00,0.00,3.00,429,NULL,NULL,'SAUDADE','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825086,2.00,5.00,1.00,6.00,3.00,NULL,2.00,2.00,3.00,211,NULL,201,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825094,1.00,2.00,2.00,0.00,2.00,NULL,2.00,1.00,0.00,208,NULL,238,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3825108,6.00,6.00,5.00,5.00,5.00,4.50,7.00,6.00,4.00,203,NULL,214,'CAPOEIRAS','FLORIANóPOLIS','SC',6681,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825116,2.00,4.00,2.00,7.00,2.00,NULL,3.00,6.00,3.00,404,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825124,3.00,3.00,5.00,7.00,6.00,5.00,4.00,5.00,4.00,103,NULL,NULL,'ALTO ARIRIú','PALHOçA','SC',11835,2422,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825140,0.00,4.00,1.00,5.00,6.00,NULL,2.00,1.00,3.00,301,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825159,5.00,4.00,2.00,7.00,3.00,NULL,3.00,4.00,2.00,452,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3825167,3.00,6.00,3.00,3.00,5.00,4.75,3.00,7.00,3.00,225,NULL,NULL,'SAO SEBASTIAO','PALHOçA','SC',13158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825175,4.00,3.00,3.00,3.00,5.00,5.25,3.00,4.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',15626,501,NULL,NULL,NULL,NULL,NULL,4,1),(16,3825183,6.00,6.00,3.00,7.00,7.00,5.00,4.00,9.00,4.00,201,NULL,216,'SACO DOS LIMÕES','FLORIANóPOLIS','SC',6125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825191,4.00,6.00,3.00,6.00,4.00,5.75,2.00,3.00,5.00,428,NULL,426,'IPIRANGA','S JOSé','SC',12299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825205,5.00,4.00,2.00,7.00,4.00,6.25,4.00,5.00,4.00,318,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',11124,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825213,5.00,6.00,2.00,6.00,5.00,6.50,3.00,5.00,4.00,104,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',11588,313,NULL,NULL,NULL,NULL,NULL,4,1),(16,3825221,5.00,4.00,2.00,7.00,5.00,6.25,5.00,6.00,5.00,319,NULL,NULL,'ARIRIU DA FORMIGA','PALHOçA','SC',9223,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825230,3.00,7.00,5.00,7.00,6.00,6.25,3.00,2.00,4.00,207,NULL,233,'CANTO DA AMIZADE','STO AMARO IMPERATRIZ','SC',9266,433,NULL,279,NULL,NULL,NULL,2,1),(16,3825248,4.00,5.00,1.00,7.00,4.00,4.25,0.00,5.00,4.00,234,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',15083,65,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825256,3.00,4.00,3.00,8.00,4.00,6.00,1.00,1.00,5.00,234,NULL,NULL,'AREIAS','S JOSé','SC',14077,56,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825264,3.00,5.00,2.00,6.00,5.00,4.75,1.00,3.00,3.00,421,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',16190,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825272,2.00,3.00,2.00,5.00,4.00,6.00,2.00,5.00,4.00,340,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',15381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825280,2.00,5.00,2.00,4.00,2.00,NULL,2.00,1.00,4.00,332,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825299,1.00,3.00,2.00,2.00,1.00,NULL,2.00,2.00,3.00,452,NULL,NULL,'SANTINHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825302,1.00,4.00,3.00,6.00,4.00,7.25,5.00,8.00,4.00,428,NULL,429,'COLONINHA','FLORIANóPOLIS','SC',10736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CORREGO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3825337,6.00,5.00,1.00,7.00,4.00,5.25,4.00,6.00,4.00,331,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',9993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,429,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3825353,4.00,4.00,4.00,6.00,3.00,NULL,2.00,6.00,0.00,320,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825361,2.00,2.00,2.00,4.00,0.00,NULL,2.00,2.00,2.00,444,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825370,6.00,8.00,4.00,7.00,8.00,5.50,4.00,6.00,6.00,444,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',4606,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825388,0.00,1.00,2.00,6.00,4.00,NULL,2.00,2.00,4.00,5,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825396,6.00,7.00,3.00,7.00,6.00,5.00,3.00,7.00,5.00,208,NULL,238,'AGRONôMICA','FLORIANóPOLIS','SC',6594,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825400,6.00,8.00,5.00,6.00,6.00,5.75,4.00,6.00,5.00,301,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',4475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3825418,2.00,4.00,2.00,5.00,6.00,4.00,3.00,5.00,3.00,9,NULL,NULL,'COSTEIRA','FLORIANóPOLIS','SC',14787,148,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825426,4.00,5.00,1.00,3.00,4.00,4.75,4.00,4.00,5.00,104,NULL,NULL,'CENTRO','S JOSé','SC',14316,405,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825434,4.00,6.00,4.00,7.00,6.00,5.75,2.00,4.00,4.00,317,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',11255,84,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825442,7.00,6.00,2.00,9.00,7.00,4.25,6.00,9.00,7.00,302,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',3114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3825450,5.00,3.00,3.00,2.00,4.00,4.75,5.00,5.00,3.00,207,NULL,208,'ESTREITO','FLORIANOPOLIS','SC',14954,774,NULL,513,NULL,NULL,NULL,2,1),(16,3825469,3.00,3.00,1.00,6.00,5.00,5.50,2.00,3.00,3.00,5,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',16456,521,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825485,5.00,7.00,4.00,6.00,4.00,4.75,2.00,7.00,5.00,317,NULL,NULL,'AREIAS','S JOSé','SC',9508,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825493,1.00,5.00,5.00,4.00,1.00,NULL,3.00,4.00,3.00,316,NULL,NULL,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(16,3825515,3.00,7.00,5.00,5.00,7.00,7.75,3.00,6.00,5.00,316,NULL,NULL,'ITACORUBI','FLORIANóPOLIS','SC',5954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3825523,1.00,5.00,2.00,6.00,4.00,4.00,3.00,8.00,3.00,234,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',14812,61,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'JARDIM ELDORADO','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3825540,2.00,3.00,1.00,3.00,3.00,NULL,3.00,4.00,3.00,238,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3825558,4.00,5.00,4.00,4.00,2.00,NULL,3.00,5.00,1.00,316,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825566,3.00,3.00,4.00,0.00,4.00,NULL,1.00,4.00,3.00,211,NULL,212,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3825574,4.00,5.00,2.00,7.00,8.00,4.75,2.00,5.00,4.00,429,NULL,425,'CENTRO','PALHOçA','SC',10689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3825582,4.00,5.00,2.00,7.00,6.00,4.25,4.00,7.00,6.00,316,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',9154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3825604,2.00,2.00,1.00,4.00,4.00,NULL,2.00,5.00,3.00,215,NULL,233,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825612,4.00,5.00,4.00,6.00,5.00,6.25,1.00,5.00,4.00,324,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',12029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825620,3.00,7.00,2.00,2.00,4.00,5.00,2.00,7.00,2.00,5,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',14820,487,NULL,NULL,NULL,NULL,NULL,4,1),(16,3825639,1.00,2.00,1.00,5.00,5.00,NULL,3.00,5.00,3.00,319,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825647,3.00,7.00,3.00,5.00,5.00,4.75,3.00,5.00,4.00,302,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',12686,151,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825655,1.00,3.00,1.00,4.00,2.00,NULL,2.00,5.00,3.00,320,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825663,2.00,4.00,2.00,3.00,4.00,5.75,4.00,7.00,5.00,108,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',13107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3825671,3.00,6.00,4.00,4.00,4.00,4.00,3.00,8.00,4.00,404,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',11988,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825680,6.00,6.00,6.00,7.00,7.00,5.00,3.00,8.00,4.00,317,NULL,NULL,'CóRREGO GRANDE','FLORIANóPOLIS','SC',5999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825698,3.00,4.00,2.00,4.00,2.00,NULL,3.00,5.00,2.00,201,NULL,207,'SãO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825701,3.00,1.00,3.00,7.00,4.00,NULL,2.00,2.00,2.00,308,NULL,NULL,'AREIAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825710,6.00,6.00,4.00,6.00,3.00,NULL,5.00,4.00,4.00,501,NULL,NULL,'KOBRASOL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825728,2.00,4.00,1.00,5.00,5.00,4.25,1.00,5.00,4.00,238,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',16259,534,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825736,3.00,6.00,2.00,4.00,4.00,5.25,2.00,7.00,5.00,425,NULL,429,'AREIAS','S JOSé','SC',13088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3825744,4.00,2.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,404,NULL,NULL,'CÓRREGO GRANDE','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825752,4.00,3.00,4.00,4.00,4.00,3.25,4.00,5.00,5.00,316,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825760,3.00,3.00,1.00,2.00,6.00,4.75,3.00,7.00,4.00,425,NULL,427,'ESTREITO','FLORIANóPOLIS','SC',14396,79,NULL,NULL,NULL,NULL,NULL,4,1),(16,3825787,5.00,7.00,2.00,7.00,3.00,NULL,4.00,7.00,3.00,319,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825795,2.00,5.00,1.00,6.00,3.00,NULL,4.00,2.00,2.00,211,NULL,215,'SACO GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825809,6.00,5.00,3.00,7.00,6.00,4.75,3.00,7.00,3.00,316,NULL,NULL,'CAMINHO NOVO','PALHOçA','SC',9012,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825817,6.00,6.00,2.00,7.00,6.00,5.00,5.00,6.00,4.00,327,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',8104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825825,5.00,2.00,1.00,6.00,4.00,4.50,2.00,3.00,4.00,420,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',16368,176,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825833,4.00,4.00,4.00,7.00,4.00,3.00,2.00,6.00,2.00,404,NULL,NULL,'BELA VISTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825841,3.00,6.00,2.00,5.00,5.00,4.50,2.00,4.00,4.00,211,NULL,215,'CACHOEIRA DO BOM JES','FLORIANóPOLIS','SC',14249,484,NULL,308,NULL,NULL,NULL,2,1),(16,3825850,3.00,1.00,4.00,2.00,2.00,NULL,3.00,4.00,3.00,319,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3825884,2.00,3.00,2.00,2.00,7.00,6.25,4.00,4.00,3.00,317,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',15200,143,NULL,NULL,NULL,NULL,NULL,4,1),(16,3825892,3.00,5.00,4.00,4.00,2.00,NULL,0.00,6.00,4.00,302,NULL,NULL,'GUARDA DO CUBATAO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825906,5.00,7.00,3.00,5.00,5.00,5.50,4.00,5.00,4.00,203,NULL,201,'BARREIROS','S JOSé','SC',10363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825914,4.00,3.00,4.00,6.00,3.00,NULL,3.00,4.00,1.00,301,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825922,3.00,4.00,3.00,5.00,3.00,NULL,3.00,1.00,4.00,333,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825930,3.00,4.00,3.00,6.00,4.00,5.75,1.00,4.00,4.00,101,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',15684,123,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825949,4.00,7.00,2.00,6.00,4.00,4.75,3.00,2.00,3.00,101,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',15211,112,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825957,5.00,5.00,2.00,7.00,7.00,6.50,1.00,3.00,6.00,103,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',10523,2285,NULL,NULL,NULL,NULL,NULL,4,1),(16,3825965,4.00,6.00,4.00,4.00,5.00,4.50,1.00,5.00,4.00,233,NULL,214,'BELA VISTA','S JOSé','SC',13063,400,NULL,419,NULL,NULL,NULL,2,1),(16,3825973,4.00,6.00,3.00,7.00,6.00,4.00,3.00,7.00,6.00,211,NULL,212,'PONTA DAS CANAS','FLORIANóPOLIS','SC',8893,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825981,3.00,3.00,2.00,3.00,0.00,NULL,2.00,4.00,2.00,332,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3825990,4.00,5.00,3.00,4.00,7.00,5.50,4.00,5.00,5.00,238,NULL,208,'CANASVIEIRAS','FLORIANóPOLIS','SC',9933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3826007,4.00,6.00,2.00,3.00,5.00,5.75,1.00,4.00,4.00,444,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',15066,118,NULL,NULL,NULL,NULL,NULL,4,1),(16,3826015,2.00,5.00,4.00,2.00,6.00,5.00,3.00,5.00,3.00,339,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',15345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3826023,4.00,2.00,4.00,6.00,4.00,NULL,0.00,4.00,3.00,340,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826031,5.00,3.00,3.00,5.00,3.00,NULL,3.00,4.00,6.00,428,NULL,423,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826040,6.00,6.00,4.00,6.00,5.00,6.25,3.00,7.00,3.00,108,NULL,NULL,'BELA VISTA','S JOSé','SC',8875,183,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826058,3.00,3.00,4.00,6.00,5.00,5.75,1.00,4.00,2.00,404,NULL,NULL,'KOBRASOL','S JOSé','SC',15759,70,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826066,3.00,3.00,2.00,3.00,5.00,NULL,1.00,2.00,3.00,327,NULL,NULL,'PONTA DAS CANAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826074,6.00,8.00,5.00,7.00,7.00,5.00,7.00,9.00,8.00,214,NULL,213,'ESTACAO','FRANCA','SP',1762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826082,2.00,4.00,4.00,5.00,4.00,6.00,2.00,2.00,3.00,308,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',16232,60,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826090,2.00,4.00,4.00,5.00,3.00,NULL,2.00,5.00,2.00,224,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826104,4.00,4.00,2.00,2.00,4.00,NULL,3.00,4.00,1.00,503,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826112,6.00,4.00,3.00,5.00,3.00,NULL,3.00,7.00,6.00,108,NULL,NULL,'SAO SEBASTIAO','PALHOCA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826120,4.00,7.00,2.00,7.00,5.00,4.50,4.00,7.00,4.00,317,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',9426,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826139,4.00,6.00,3.00,7.00,8.00,5.00,2.00,7.00,4.00,327,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',8018,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826147,2.00,4.00,2.00,2.00,2.00,NULL,1.00,2.00,3.00,450,NULL,NULL,'BOM ABRIGO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3826163,3.00,7.00,2.00,3.00,4.00,4.50,1.00,8.00,3.00,501,NULL,NULL,'VARGEM PEQUENA','FLORIANóPOLIS','SC',15357,134,NULL,NULL,NULL,NULL,NULL,4,1),(16,3826171,1.00,5.00,4.00,7.00,5.00,6.00,4.00,3.00,3.00,444,NULL,NULL,'KOBRASOL','S JOSé','SC',14568,108,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826180,5.00,8.00,4.00,7.00,7.00,5.50,3.00,5.00,1.00,318,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',7090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3826198,2.00,2.00,4.00,3.00,5.00,NULL,1.00,3.00,2.00,2,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3826201,5.00,5.00,2.00,6.00,6.00,6.00,4.00,4.00,6.00,308,NULL,NULL,'CENTRO','PALHOçA','SC',10664,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826210,4.00,4.00,1.00,3.00,5.00,7.00,5.00,4.00,3.00,238,NULL,208,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',14661,472,NULL,491,NULL,NULL,NULL,4,1),(16,3826228,0.00,1.00,2.00,6.00,3.00,NULL,1.00,1.00,2.00,301,NULL,NULL,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826236,3.00,4.00,4.00,5.00,4.00,6.00,1.00,4.00,2.00,428,NULL,425,'VARGEM DO BOM JESUS','FLORIANóPOLIS','SC',15970,96,NULL,106,NULL,NULL,NULL,4,1),(16,3826244,6.00,5.00,4.00,5.00,3.00,NULL,0.00,3.00,3.00,453,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826252,2.00,3.00,3.00,4.00,4.00,4.25,6.00,6.00,4.00,101,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',14650,98,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826260,3.00,2.00,1.00,6.00,5.00,6.25,1.00,4.00,5.00,238,NULL,208,'PANTANAL','FLORIANóPOLIS','SC',15271,502,NULL,531,NULL,NULL,NULL,4,1),(16,3826279,5.00,6.00,3.00,6.00,6.00,6.75,3.00,6.00,5.00,453,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',7227,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826287,4.00,6.00,1.00,6.00,5.00,4.75,3.00,7.00,4.00,223,NULL,NULL,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',11918,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,423,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3826309,1.00,5.00,1.00,2.00,5.00,NULL,3.00,3.00,3.00,317,NULL,NULL,'FLORESTA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3826325,0.00,0.00,0.00,7.00,5.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'MONTE CRISTO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(16,3826333,4.00,6.00,3.00,8.00,6.00,6.50,3.00,7.00,6.00,317,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',7463,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826341,3.00,5.00,3.00,6.00,5.00,6.25,4.00,4.00,2.00,502,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',13457,43,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826350,3.00,5.00,1.00,7.00,4.00,4.75,2.00,5.00,2.00,308,NULL,NULL,'COLONINHA','FLORIANóPOLIS','SC',15915,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826368,5.00,6.00,4.00,7.00,6.00,4.50,3.00,6.00,5.00,102,NULL,NULL,'PONTA DE BAIXO','SAO JOSE','SC',8415,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826376,4.00,7.00,2.00,7.00,6.00,5.50,3.00,4.00,4.00,318,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',11263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826384,2.00,5.00,1.00,3.00,3.00,NULL,3.00,2.00,3.00,216,NULL,215,'RIBEIRãO DA ILHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3826406,1.00,3.00,4.00,4.00,5.00,4.50,4.00,6.00,3.00,9,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',14166,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826414,2.00,1.00,3.00,5.00,6.00,NULL,3.00,2.00,4.00,339,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826422,3.00,1.00,2.00,4.00,1.00,NULL,0.00,4.00,3.00,302,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826430,3.00,3.00,1.00,5.00,2.00,NULL,2.00,4.00,1.00,207,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826449,6.00,5.00,4.00,7.00,5.00,5.25,5.00,6.00,4.00,216,NULL,233,'INGLESES','FLORIANóPOLIS','SC',8083,300,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'PONTE DO IMARUIM','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3826465,4.00,7.00,3.00,6.00,6.00,5.50,3.00,6.00,2.00,339,NULL,NULL,'CACHOEIRA DO BOM','FLORIANóPOLIS','SC',9768,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826473,2.00,4.00,3.00,6.00,5.00,6.50,3.00,4.00,3.00,420,NULL,NULL,'ARMAçãO DO P DO SUL','FLORIANóPOLIS','SC',13816,149,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826481,4.00,4.00,1.00,2.00,4.00,NULL,2.00,4.00,3.00,502,NULL,NULL,'FABRICIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826490,4.00,6.00,3.00,5.00,5.00,4.00,3.00,3.00,3.00,444,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',14637,110,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826503,2.00,2.00,2.00,6.00,4.00,NULL,1.00,5.00,2.00,415,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826511,6.00,5.00,3.00,4.00,2.00,NULL,2.00,2.00,4.00,318,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826520,5.00,4.00,3.00,5.00,6.00,7.00,2.00,5.00,4.00,207,NULL,211,'SANTINHO','FLORIANóPOLIS','SC',11760,578,NULL,399,NULL,NULL,NULL,2,1),(16,3826538,4.00,6.00,1.00,7.00,6.00,8.00,3.00,6.00,3.00,328,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',9682,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826546,4.00,4.00,4.00,7.00,4.00,4.75,3.00,6.00,3.00,450,NULL,NULL,'CANTO DA LAGOA','FLORIANóPOLIS','SC',11180,96,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826589,5.00,2.00,2.00,5.00,3.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'FAZNDA STO ANTONIO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3826600,6.00,4.00,3.00,7.00,6.00,4.50,3.00,4.00,4.00,233,NULL,214,'CARVOEIRA','FLORIANóPOLIS','SC',10561,329,NULL,353,NULL,NULL,NULL,2,1),(16,3826619,1.00,5.00,3.00,4.00,8.00,5.50,1.00,5.00,1.00,451,NULL,NULL,'RATONES','FLORIANóPOLIS','SC',15121,42,NULL,NULL,NULL,NULL,NULL,4,1),(16,3826627,2.00,2.00,2.00,2.00,0.00,NULL,2.00,4.00,2.00,309,NULL,NULL,'PICADAS DOSUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826643,2.00,2.00,1.00,1.00,0.00,NULL,2.00,3.00,2.00,444,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826651,3.00,5.00,4.00,6.00,6.00,5.75,3.00,6.00,5.00,234,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',10773,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826660,0.00,1.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,420,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826678,4.00,5.00,2.00,2.00,4.00,5.75,4.00,6.00,4.00,327,NULL,NULL,'ABRAAO','FLORIANóPOLIS','SC',13854,39,NULL,NULL,NULL,NULL,NULL,4,1),(16,3826708,5.00,5.00,4.00,6.00,5.00,5.50,3.00,6.00,4.00,233,NULL,214,'INGLESES','FLORIANóPOLIS','SC',7675,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826716,5.00,5.00,2.00,7.00,6.00,5.75,2.00,7.00,2.00,415,NULL,NULL,'FUNDOS','BIGUAçU','SC',11471,299,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826724,2.00,5.00,2.00,5.00,3.00,NULL,0.00,3.00,2.00,201,NULL,238,'ABRAãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826732,3.00,3.00,6.00,5.00,5.00,5.75,5.00,5.00,4.00,224,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',11524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826740,4.00,3.00,3.00,4.00,6.00,6.00,3.00,5.00,3.00,238,NULL,201,'MONTE VERDE','FLORIANóPOLIS','SC',13942,446,NULL,1074,NULL,NULL,NULL,4,1),(16,3826759,5.00,3.00,4.00,3.00,3.00,NULL,2.00,3.00,2.00,108,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3826767,2.00,6.00,3.00,7.00,6.00,5.00,3.00,4.00,4.00,501,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',11401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3826783,5.00,4.00,4.00,6.00,4.00,5.00,3.00,4.00,4.00,309,NULL,NULL,'SACO DOS LIMÕES','FLORIANóPOLIS','SC',13250,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826791,2.00,3.00,3.00,6.00,4.00,4.75,1.00,2.00,5.00,317,NULL,NULL,'RIO CAVEIRAS','BIGUAçU','SC',16140,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826805,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,423,'PANTANAL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826813,4.00,7.00,3.00,1.00,3.00,NULL,2.00,4.00,3.00,212,NULL,220,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826821,3.00,5.00,3.00,6.00,7.00,5.25,4.00,6.00,3.00,302,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',10608,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826830,2.00,1.00,3.00,4.00,4.00,NULL,3.00,5.00,3.00,316,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826848,2.00,4.00,1.00,6.00,3.00,NULL,1.00,2.00,4.00,9,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826856,6.00,3.00,4.00,2.00,3.00,NULL,2.00,4.00,4.00,501,NULL,NULL,'SAO SEBASTIAO','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3826864,3.00,4.00,4.00,7.00,6.00,5.50,3.00,5.00,3.00,207,NULL,215,'CARIANOS','FLORIANóPOLIS','SC',11829,583,NULL,274,NULL,NULL,NULL,2,1),(16,3826872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'BARRA DO SAMBAQUI','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3826880,4.00,5.00,4.00,6.00,7.00,5.50,2.00,7.00,3.00,102,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',9934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826899,2.00,3.00,4.00,3.00,3.00,NULL,2.00,2.00,3.00,444,NULL,NULL,'LAGOA DA CONCEIçãO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826902,4.00,7.00,4.00,6.00,3.00,NULL,3.00,6.00,5.00,316,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826910,5.00,5.00,3.00,5.00,5.00,5.75,3.00,4.00,5.00,301,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',11578,221,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826929,2.00,2.00,3.00,2.00,4.00,NULL,2.00,2.00,3.00,319,NULL,NULL,'AGRONôMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3826937,6.00,7.00,5.00,8.00,8.00,6.75,5.00,6.00,6.00,319,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',2625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3826945,3.00,5.00,4.00,7.00,3.00,NULL,4.00,6.00,4.00,316,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826953,7.00,8.00,7.00,7.00,6.00,6.25,3.00,7.00,6.00,316,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',2209,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826970,1.00,3.00,3.00,1.00,3.00,NULL,3.00,4.00,4.00,108,NULL,NULL,'AGRONOMICA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3826988,4.00,5.00,3.00,8.00,6.00,4.25,1.00,6.00,4.00,327,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',11572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3826996,5.00,6.00,4.00,5.00,3.00,NULL,3.00,6.00,5.00,104,NULL,NULL,'CAMPECHE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3827003,2.00,3.00,1.00,1.00,3.00,NULL,3.00,5.00,3.00,327,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827011,6.00,5.00,4.00,5.00,5.00,5.25,4.00,4.00,4.00,207,NULL,201,'PANTANAL','FLORIANóPOLIS','SC',10697,514,NULL,831,NULL,NULL,NULL,4,1),(16,3827020,1.00,2.00,4.00,5.00,3.00,NULL,1.00,3.00,1.00,339,NULL,NULL,'JOAO PAULO','FLORIANOPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827038,3.00,6.00,4.00,6.00,5.00,6.50,2.00,6.00,2.00,308,NULL,NULL,'SERRINHA','FLORIANóPOLIS','SC',11771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827046,3.00,5.00,1.00,6.00,5.00,4.75,2.00,5.00,1.00,316,NULL,NULL,'PANTANAL','FLORIANóPOLIS','SC',16285,206,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827054,2.00,3.00,3.00,6.00,2.00,NULL,3.00,4.00,3.00,415,NULL,NULL,'COLONINHA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827062,5.00,7.00,2.00,7.00,4.00,6.75,2.00,6.00,4.00,420,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',9442,89,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827089,4.00,1.00,2.00,2.00,4.00,NULL,2.00,5.00,4.00,309,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827097,3.00,4.00,3.00,5.00,3.00,NULL,2.00,2.00,3.00,420,NULL,NULL,'PANTANO DO SUL','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827100,2.00,3.00,3.00,3.00,5.00,4.50,1.00,7.00,3.00,234,NULL,NULL,'BARREIROS','S JOSé','SC',15584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3827119,4.00,3.00,1.00,5.00,5.00,5.50,5.00,7.00,3.00,429,NULL,424,'CAPOEIRAS','FLORIANóPOLIS','SC',13270,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827127,5.00,2.00,2.00,6.00,4.00,5.75,3.00,3.00,4.00,310,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',14773,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827135,3.00,3.00,4.00,7.00,4.00,4.75,1.00,3.00,4.00,427,NULL,421,'ARMAçãO PâNTANO SUL','FLORIANóPOLIS','SC',15603,13,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827143,4.00,7.00,4.00,2.00,4.00,4.75,3.00,7.00,4.00,501,NULL,NULL,'AGRONOMICA','FLORIANOPOLIS','SC',11780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3827151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3827160,4.00,3.00,2.00,3.00,2.00,NULL,2.00,4.00,4.00,404,NULL,NULL,'RIO VERMELHO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827178,6.00,5.00,4.00,2.00,3.00,NULL,4.00,5.00,5.00,202,NULL,203,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827186,5.00,6.00,2.00,5.00,5.00,5.25,3.00,8.00,3.00,308,NULL,NULL,'JOãO PAULO','FLORIANóPOLIS','SC',10598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827194,4.00,6.00,3.00,6.00,5.00,4.00,3.00,6.00,4.00,220,NULL,214,'BARRA DA LAGOA','FLORIANóPOLIS','SC',12140,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3827232,1.00,3.00,2.00,3.00,1.00,NULL,3.00,0.00,0.00,303,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827240,6.00,4.00,2.00,7.00,4.00,5.75,2.00,6.00,6.00,317,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',11017,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827259,3.00,4.00,2.00,4.00,2.00,NULL,3.00,5.00,2.00,211,NULL,202,'MORRO DAS PEDRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'BREJARU','PALHOçA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3827275,3.00,2.00,2.00,3.00,2.00,NULL,1.00,3.00,5.00,404,NULL,NULL,'CANASVIEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827283,4.00,1.00,2.00,5.00,3.00,NULL,2.00,2.00,5.00,429,NULL,426,'CARIANOS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827291,1.00,4.00,3.00,5.00,4.00,5.00,4.00,7.00,3.00,9,NULL,NULL,'SACO DOS LIMõES','FLORIANóPOLIS','SC',14179,136,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827305,3.00,3.00,1.00,3.00,2.00,NULL,1.00,4.00,3.00,308,NULL,NULL,'BARRA DO ARIRIU','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827313,4.00,4.00,1.00,7.00,4.00,6.00,3.00,5.00,4.00,404,NULL,NULL,'RIO TAVARES','FLORIANóPOLIS','SC',13921,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827321,2.00,3.00,2.00,4.00,4.00,6.25,2.00,6.00,3.00,308,NULL,NULL,'JARDIM ATLANTICO','FLORIANóPOLIS','SC',15897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827330,5.00,1.00,3.00,2.00,2.00,NULL,3.00,4.00,1.00,223,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3827348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,426,'CAPOEIRAS','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3827364,2.00,2.00,4.00,2.00,5.00,NULL,2.00,3.00,3.00,308,NULL,NULL,'CAMPINAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827372,4.00,5.00,2.00,5.00,5.00,5.50,1.00,4.00,3.00,224,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',14572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827380,0.00,0.00,1.00,3.00,2.00,NULL,2.00,4.00,3.00,428,NULL,423,'TRINDADE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827399,3.00,4.00,2.00,7.00,5.00,4.25,2.00,5.00,5.00,201,NULL,220,'TRINDADE','FLORIANóPOLIS','SC',14163,1087,NULL,482,NULL,NULL,NULL,2,1),(16,3827402,5.00,6.00,1.00,2.00,5.00,5.00,2.00,4.00,3.00,501,NULL,NULL,'TRINDADE','FLORIANóPOLIS','SC',15811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3827429,2.00,2.00,1.00,7.00,4.00,5.75,2.00,5.00,3.00,444,NULL,NULL,'CENTRO','DESCANSO','SC',16432,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(16,3827437,2.00,3.00,1.00,3.00,2.00,NULL,3.00,2.00,3.00,101,NULL,NULL,'MONTE VERDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827445,6.00,5.00,3.00,2.00,7.00,5.00,0.00,7.00,5.00,108,NULL,NULL,'NOSSA S APARECIDA','CURITIBANOS','SC',11908,265,NULL,NULL,NULL,NULL,NULL,4,9),(16,3827453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOSSA SENHARPARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(16,3827461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(16,3827470,6.00,4.00,5.00,6.00,6.00,6.25,2.00,8.00,5.00,208,NULL,238,'TRINDADE','FLORIANóPOLIS','SC',7114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3827488,2.00,1.00,2.00,3.00,3.00,NULL,1.00,2.00,5.00,316,NULL,NULL,'APARECIDA','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3827496,0.00,2.00,2.00,3.00,0.00,NULL,2.00,4.00,2.00,104,NULL,NULL,'APARECIDA','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(16,3827500,5.00,4.00,4.00,1.00,4.00,7.00,2.00,3.00,3.00,303,NULL,NULL,'CENTRO','LAGES','SC',15917,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3827518,1.00,4.00,3.00,1.00,4.00,NULL,1.00,2.00,2.00,317,NULL,NULL,'CENTRO','ANTôNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827526,4.00,4.00,4.00,5.00,4.00,4.25,1.00,2.00,4.00,201,NULL,207,'CENTRO','LUZERNA','SC',15820,1225,NULL,824,NULL,NULL,NULL,2,7),(16,3827534,2.00,5.00,3.00,0.00,0.00,NULL,3.00,3.00,2.00,202,NULL,208,'FLOR DE NAPOLIS','S JOSé','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(16,3827542,4.00,5.00,2.00,3.00,5.00,5.25,2.00,9.00,4.00,318,NULL,NULL,'COQUEIROS','FLORIANóPOLIS','SC',12455,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'FORQUILHINHAS','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3827569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'NOSSA SENHORA DA PAZ','BAL PIçARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3827585,2.00,1.00,2.00,5.00,1.00,NULL,4.00,1.00,2.00,415,NULL,NULL,'PEDRA BRANCA','PALHOçA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(16,3827593,4.00,3.00,5.00,6.00,5.00,6.50,1.00,5.00,3.00,318,NULL,NULL,'BARREIROS','S JOSé','SC',12616,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,212,'CORDEIROS','S SEBASTIãO ARVOREDO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(16,3827615,4.00,4.00,3.00,2.00,4.00,6.25,4.00,7.00,3.00,207,NULL,NULL,'TOBIAS','JOAçABA','SC',13909,715,NULL,NULL,NULL,NULL,NULL,4,7),(16,3827623,4.00,4.00,3.00,4.00,5.00,4.50,1.00,6.00,2.00,208,NULL,214,'PASSO DOS FORTES','CHAPECó','SC',15597,544,NULL,474,NULL,NULL,NULL,4,4),(16,3827631,5.00,6.00,2.00,5.00,3.00,NULL,1.00,5.00,2.00,207,NULL,201,'SANTA RITA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3827640,3.00,0.00,2.00,0.00,2.00,NULL,2.00,1.00,2.00,202,NULL,238,'CENTRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3827658,5.00,4.00,2.00,6.00,4.00,5.75,4.00,4.00,3.00,102,NULL,NULL,'PONTE DO IMARUIM','PALHOçA','SC',12954,225,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827666,3.00,3.00,5.00,1.00,6.00,5.75,4.00,5.00,2.00,303,NULL,NULL,'CENTRO','JOAçABA','SC',14208,627,NULL,NULL,NULL,NULL,NULL,4,7),(16,3827674,6.00,7.00,1.00,3.00,5.00,5.50,3.00,5.00,5.00,216,NULL,214,'CENTRO','JOAçABA','SC',11230,393,NULL,376,NULL,NULL,NULL,4,7),(16,3827690,3.00,5.00,4.00,5.00,6.00,5.25,4.00,7.00,5.00,316,NULL,NULL,'NS APARECIDA','CURITIBANOS','SC',9729,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3827704,3.00,4.00,2.00,4.00,0.00,NULL,4.00,1.00,1.00,201,NULL,212,'FUNDOS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827712,5.00,4.00,6.00,6.00,6.00,6.00,2.00,8.00,4.00,103,NULL,NULL,'CAMACHO','JAGUARUNA','SC',8172,2002,NULL,NULL,NULL,NULL,NULL,2,10),(16,3827720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3827739,4.00,6.00,3.00,1.00,4.00,6.25,1.00,8.00,3.00,301,NULL,NULL,'CAMPO DEMONSTRAÇÃO','SAO PEDRO DE ALCANTARA','SC',14224,311,NULL,NULL,NULL,NULL,NULL,4,1),(16,3827755,3.00,5.00,3.00,0.00,0.00,NULL,3.00,3.00,2.00,316,NULL,NULL,'CENTRO','PRES CASTELO BRANCO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(16,3827763,2.00,2.00,2.00,8.00,5.00,6.25,1.00,5.00,2.00,319,NULL,NULL,'INGLESES','FLORIANóPOLIS','SC',15312,329,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827771,4.00,4.00,1.00,2.00,3.00,NULL,2.00,7.00,3.00,501,NULL,NULL,'SANTA MARIA','ANITáPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3827780,3.00,3.00,2.00,3.00,4.00,NULL,2.00,5.00,2.00,220,NULL,214,'ROçADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3827798,2.00,2.00,1.00,4.00,2.00,NULL,1.00,4.00,2.00,332,NULL,NULL,'ROCADO','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827801,3.00,0.00,4.00,0.00,2.00,NULL,2.00,5.00,2.00,308,NULL,NULL,'PEREQUê','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3827810,4.00,4.00,3.00,5.00,3.00,NULL,2.00,3.00,3.00,318,NULL,NULL,'PICADAS DO SUL','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3827828,1.00,3.00,4.00,2.00,6.00,NULL,2.00,3.00,2.00,319,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3827844,1.00,7.00,4.00,2.00,3.00,NULL,3.00,3.00,3.00,316,NULL,NULL,'FORQUILHAS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3827852,2.00,3.00,1.00,3.00,1.00,NULL,2.00,3.00,4.00,203,NULL,208,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827860,2.00,0.00,2.00,4.00,2.00,NULL,2.00,5.00,3.00,9,NULL,NULL,'BARRA DA LAGOA','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827879,8.00,8.00,4.00,5.00,6.00,7.00,3.00,9.00,4.00,201,NULL,211,'SANTA ISABEL','ÁGUAS MORNAS','SC',3870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3827887,4.00,5.00,3.00,3.00,5.00,5.50,2.00,8.00,3.00,214,NULL,208,'SANTA FILOMENA','S PEDRO ALCâNTARA','SC',12933,415,NULL,425,NULL,NULL,NULL,4,1),(16,3827895,2.00,3.00,3.00,1.00,3.00,NULL,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3827909,4.00,4.00,3.00,7.00,6.00,6.25,2.00,6.00,2.00,310,NULL,NULL,'SACO GRANDE','FLORIANóPOLIS','SC',12840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827925,3.00,5.00,3.00,3.00,4.00,6.00,2.00,6.00,3.00,316,NULL,NULL,'SAO PEDRO','PTO UNIãO','SC',15144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3827941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'RIO CACHIMBO','ANITáPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3827950,2.00,3.00,3.00,4.00,2.00,NULL,2.00,1.00,3.00,207,NULL,211,'RIO CAVEIRAS','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3827968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'MARACUJA','ANITáPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3827992,2.00,3.00,2.00,1.00,2.00,NULL,2.00,3.00,1.00,415,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3828026,5.00,3.00,3.00,5.00,2.00,NULL,3.00,5.00,1.00,101,NULL,NULL,'JARDIM LOS ANGELES','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(16,3828034,2.00,4.00,1.00,6.00,5.00,3.00,2.00,5.00,2.00,501,NULL,NULL,'BARRA GASPAR','ANITáPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3828042,7.00,7.00,1.00,8.00,5.00,4.75,3.00,8.00,7.00,333,NULL,NULL,'OPERARIA NOVA','CRICIúMA','SC',6731,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(16,3828050,1.00,1.00,3.00,4.00,3.00,NULL,3.00,3.00,2.00,404,NULL,NULL,'BARREIROS','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3828069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CENTRO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(16,3828077,4.00,6.00,2.00,7.00,4.00,5.75,2.00,7.00,4.00,201,NULL,203,'RIO CUBATãO','ÁGUAS MORNAS','SC',10358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3828093,2.00,1.00,3.00,0.00,4.00,NULL,2.00,3.00,3.00,215,NULL,NULL,'LIVRAMENTO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(16,3828107,3.00,3.00,1.00,0.00,3.00,NULL,2.00,1.00,2.00,319,NULL,NULL,'SERTãO DO MARUIM','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3828115,3.00,3.00,3.00,2.00,4.00,NULL,3.00,3.00,1.00,316,NULL,NULL,'SANTA ISABEL','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3828131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'ÁGUAS NEGRAS','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(16,3828140,3.00,0.00,3.00,0.00,4.00,NULL,1.00,2.00,2.00,415,NULL,NULL,'STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3828158,3.00,3.00,2.00,4.00,3.00,NULL,3.00,2.00,3.00,319,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3828166,3.00,3.00,2.00,2.00,4.00,NULL,2.00,4.00,2.00,332,NULL,NULL,'RIO DO CEDRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3828174,5.00,6.00,5.00,1.00,6.00,6.25,4.00,8.00,5.00,318,NULL,NULL,'QUATRO PINHEIROS','PTE ALTA NORTE','SC',7704,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3828182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA CEDRO','CPO ALEGRE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3828190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','CPO ALEGRE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(16,3828204,2.00,4.00,4.00,5.00,5.00,5.75,2.00,4.00,3.00,415,NULL,NULL,'TRêS RIACHOS','BIGUAçU','SC',14160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3828212,2.00,2.00,1.00,6.00,2.00,NULL,0.00,5.00,2.00,5,NULL,NULL,'VARGEM GRANDE','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3828220,3.00,4.00,3.00,3.00,2.00,NULL,3.00,4.00,4.00,316,NULL,NULL,'SANTA ISABEL','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3828239,3.00,3.00,3.00,1.00,3.00,NULL,1.00,5.00,3.00,3,NULL,NULL,'JARDIM CARANDAI','BIGUAçU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3828247,5.00,3.00,1.00,7.00,5.00,4.25,2.00,5.00,2.00,452,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',14929,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(16,3828255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'SERRARIA','S JOSé','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(16,3828263,4.00,4.00,3.00,5.00,2.00,NULL,3.00,4.00,2.00,421,NULL,428,'TERESóPOLIS','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(16,3828271,2.00,0.00,1.00,1.00,4.00,NULL,1.00,0.00,2.00,101,NULL,NULL,'SANTA ISABEL','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3828280,1.00,4.00,2.00,0.00,4.00,NULL,1.00,3.00,2.00,101,NULL,NULL,'RIO CUBATÃO','AGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3828298,5.00,0.00,3.00,1.00,0.00,NULL,1.00,4.00,0.00,101,NULL,NULL,'TRAçADO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(16,3828301,1.00,0.00,4.00,1.00,0.00,NULL,0.00,2.00,2.00,502,NULL,NULL,'ESTREITO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3828310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'ESTREITRO','FLORIANóPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(16,3828379,6.00,5.00,4.00,7.00,7.00,6.50,3.00,4.00,7.00,453,NULL,NULL,'CENTRO','QUEDAS IGUAçU','PR',6314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(16,3828387,3.00,6.00,5.00,7.00,7.00,6.50,3.00,5.00,5.00,319,NULL,NULL,'SERRARIA','S JOSé','SC',6871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5000009,8.00,8.00,4.00,7.00,9.00,8.63,4.00,5.00,7.00,303,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',1852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5000017,3.00,6.00,1.00,6.00,4.00,11.63,2.00,1.00,2.00,427,NULL,424,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5000033,7.00,8.00,0.00,7.00,9.00,7.50,2.00,6.00,6.00,503,NULL,NULL,'CENTRO','TUBARÃO','SC',6126,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5000041,6.00,8.00,2.00,7.00,8.00,12.00,3.00,5.00,6.00,415,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',2880,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5000050,3.00,6.00,3.00,5.00,4.00,9.38,0.00,3.00,5.00,652,NULL,651,'URUSSANGUINHA','ARARANGUÁ','SC',15082,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5000068,7.00,8.00,4.00,6.00,8.00,9.38,4.00,3.00,5.00,302,NULL,NULL,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',6089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5000092,8.00,7.00,6.00,7.00,10.00,11.25,5.00,6.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5000114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5000122,5.00,6.00,4.00,1.00,5.00,8.25,2.00,1.00,5.00,220,NULL,208,'CENTRO','PTE ALTA','SC',13657,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5000157,5.00,5.00,1.00,3.00,5.00,7.88,3.00,3.00,2.00,318,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5000165,7.00,7.00,4.00,4.00,6.00,7.50,4.00,4.00,7.00,340,NULL,NULL,'PARQUE SISI','S CARLOS','SP',8772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5000181,2.00,2.00,0.00,6.00,6.00,NULL,2.00,2.00,1.00,220,NULL,203,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5000190,6.00,7.00,6.00,7.00,7.00,9.00,5.00,5.00,9.00,216,NULL,215,'RIO VERMELHO','FLORIANÓPOLIS','SC',2037,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5000203,7.00,8.00,4.00,4.00,6.00,8.63,6.00,7.00,6.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',3566,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5000211,3.00,3.00,4.00,5.00,3.00,NULL,0.00,2.00,4.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5000246,8.00,7.00,5.00,6.00,10.00,10.50,4.00,4.00,6.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5000254,6.00,6.00,5.00,7.00,7.00,7.50,3.00,4.00,7.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',4036,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5000262,6.00,3.00,1.00,4.00,7.00,10.13,3.00,2.00,4.00,201,NULL,212,'AMADORI','PATO BRANCO','PR',11151,817,NULL,282,NULL,NULL,NULL,2,4),(20,5000270,6.00,6.00,2.00,3.00,8.00,9.00,0.00,2.00,6.00,309,NULL,NULL,'UNIVERSITARIO','TIJUCAS','SC',13662,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5000289,3.00,6.00,1.00,6.00,7.00,7.88,3.00,2.00,4.00,5,NULL,NULL,'CDHU','APIAÍ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5000319,8.00,9.00,4.00,6.00,9.00,9.00,2.00,6.00,7.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',2765,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5000343,2.00,6.00,4.00,3.00,4.00,6.75,1.00,2.00,3.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',16186,532,NULL,NULL,NULL,NULL,NULL,2,1),(20,5000351,9.00,8.00,6.00,6.00,9.00,12.00,5.00,5.00,8.00,5,NULL,NULL,'CRISTO REI','CURITIBA','PR',947,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5000360,5.00,7.00,1.00,4.00,6.00,9.38,1.00,2.00,4.00,201,NULL,203,'CAMPO EXPERIMENTAL','VIDEIRA','SC',14293,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5000386,8.00,7.00,5.00,5.00,9.00,10.50,5.00,7.00,8.00,235,NULL,202,'AMIZADE','JARAGUÁ SUL','SC',1823,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5000394,7.00,7.00,1.00,6.00,4.00,8.25,0.00,1.00,4.00,101,NULL,NULL,'CENTRO','ASCURRA','SC',14633,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5000408,5.00,7.00,0.00,6.00,8.00,7.50,3.00,2.00,6.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',9689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5000416,6.00,6.00,2.00,5.00,8.00,8.25,1.00,4.00,6.00,202,NULL,235,'JOÁIA','TIJUCAS','SC',10484,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5000424,5.00,6.00,1.00,4.00,7.00,11.25,1.00,5.00,5.00,320,NULL,NULL,'BARREIROS','S JOSÉ','SC',11764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5000432,2.00,6.00,0.00,2.00,6.00,NULL,1.00,3.00,3.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5000440,8.00,7.00,2.00,7.00,6.00,9.00,2.00,4.00,7.00,201,NULL,203,'CENTRO','RIBEIRÃO PRETO','SP',6524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5000467,8.00,9.00,8.00,7.00,9.00,11.63,8.00,5.00,9.00,103,NULL,NULL,'ALTO DA GLORIA','CURITIBA','PR',75,NULL,NULL,NULL,NULL,NULL,NULL,3,5),(20,5000475,5.00,6.00,3.00,7.00,9.00,10.50,2.00,6.00,4.00,101,NULL,NULL,'AREIAS','S JOSÉ','SC',6157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5000483,8.00,6.00,2.00,7.00,9.00,8.25,1.00,3.00,6.00,103,NULL,NULL,'VILA MORANGUEIRA','MARINGÁ','PR',5121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5000491,8.00,7.00,0.00,6.00,8.00,9.75,3.00,4.00,4.00,207,NULL,201,'ARMAÇÃO','FLORIANÓPOLIS','SC',8436,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5000513,5.00,7.00,1.00,6.00,8.00,7.50,1.00,3.00,5.00,501,NULL,NULL,'CENTRO','ANTÔNIO OLINTO','PR',11543,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5000530,7.00,7.00,2.00,7.00,8.00,8.25,4.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5000548,7.00,8.00,4.00,6.00,7.00,9.00,3.00,5.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3815,1791,NULL,NULL,NULL,NULL,NULL,2,1),(20,5000556,5.00,7.00,7.00,6.00,7.00,10.50,5.00,4.00,7.00,233,NULL,216,'CENTRO','CRICIÚMA','SC',3088,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5000564,4.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,214,NULL,212,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(20,5000572,7.00,6.00,5.00,5.00,9.00,9.00,4.00,2.00,4.00,202,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',8427,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5000580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PASSO DAREIA','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5000599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5000602,3.00,4.00,3.00,2.00,4.00,NULL,3.00,3.00,2.00,9,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5000629,3.00,3.00,0.00,2.00,5.00,NULL,2.00,0.00,4.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5000637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5000645,8.00,5.00,4.00,5.00,9.00,7.88,2.00,3.00,7.00,103,NULL,NULL,'CENTRO','LAGES','SC',7855,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5000653,9.00,6.00,7.00,6.00,8.00,9.00,5.00,4.00,8.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',1286,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5000670,3.00,2.00,0.00,2.00,1.00,NULL,0.00,2.00,3.00,102,NULL,NULL,'ALVORADA','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5000688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5000696,3.00,6.00,5.00,1.00,4.00,8.63,3.00,2.00,4.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16022,524,NULL,NULL,NULL,NULL,NULL,4,1),(20,5000700,3.00,5.00,2.00,4.00,6.00,0.00,3.00,1.00,2.00,208,NULL,238,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5000718,4.00,6.00,1.00,4.00,5.00,7.13,2.00,2.00,3.00,415,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5000734,7.00,6.00,2.00,3.00,4.00,9.38,4.00,1.00,6.00,104,NULL,NULL,'RIO FIORITA','SIDERÓPOLIS','SC',14236,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5000742,8.00,5.00,4.00,6.00,8.00,6.00,3.00,5.00,7.00,316,NULL,NULL,'VILA MARTINS','CARAPICUÍBA','SP',4081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5000750,7.00,7.00,4.00,5.00,6.00,6.00,2.00,5.00,5.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',9309,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5000769,4.00,7.00,4.00,6.00,6.00,8.63,5.00,2.00,7.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5000777,4.00,6.00,2.00,7.00,6.00,8.63,2.00,2.00,3.00,225,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',13790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5000785,5.00,8.00,3.00,3.00,6.00,6.75,0.00,3.00,7.00,201,NULL,212,'SANTA TEREZA','VIDEIRA','SC',12172,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5000793,8.00,7.00,7.00,7.00,8.00,9.38,5.00,4.00,6.00,215,NULL,216,'PANTANAL','FLORIANÓPOLIS','SC',1749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5000807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5000815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JARDIM PORTUGAL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5000823,7.00,5.00,4.00,7.00,6.00,9.75,4.00,6.00,6.00,203,NULL,202,'CENTRO','JARAGUÁ SUL','SC',4555,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5000831,3.00,5.00,3.00,1.00,3.00,NULL,2.00,2.00,4.00,102,NULL,NULL,'NAÇÕES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5000840,8.00,6.00,2.00,5.00,8.00,10.50,4.00,2.00,8.00,102,NULL,NULL,'CENTRO','QUILOMBO','SC',5893,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5000858,8.00,5.00,3.00,5.00,9.00,10.50,4.00,4.00,5.00,316,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5000874,8.00,7.00,6.00,7.00,10.00,11.63,6.00,6.00,7.00,207,NULL,212,'CARVOEIRA','FLORIANÓPOLIS','SC',638,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5000882,6.00,6.00,4.00,6.00,5.00,7.88,4.00,3.00,5.00,429,NULL,425,'PRAIA MOLE','FLORIANÓPOLIS','SC',10284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5000890,5.00,3.00,2.00,6.00,3.00,NULL,4.00,2.00,3.00,308,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5000904,8.00,5.00,5.00,7.00,8.00,7.88,4.00,4.00,5.00,203,NULL,220,'ARAÉS','CUIABÁ','MT',3402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5000912,7.00,5.00,1.00,6.00,9.00,9.00,3.00,4.00,8.00,102,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',6027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5000920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5000939,8.00,9.00,6.00,7.00,10.00,9.75,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',634,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5000955,5.00,6.00,5.00,4.00,5.00,8.63,3.00,2.00,4.00,317,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',14227,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5000963,5.00,5.00,4.00,4.00,6.00,9.00,1.00,1.00,2.00,450,NULL,NULL,'JARDIM GLÓRIA','AMERICANA','SP',14435,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5000980,8.00,6.00,1.00,7.00,9.00,6.75,4.00,5.00,7.00,420,NULL,NULL,'ALTO DA GLÓRIA','CURITIBA','PR',4727,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5000998,4.00,6.00,0.00,4.00,4.00,NULL,2.00,2.00,3.00,444,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5001013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ITARARÉ','S VICENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5001021,5.00,4.00,2.00,6.00,5.00,8.25,2.00,3.00,4.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',14462,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5001030,3.00,3.00,3.00,2.00,3.00,NULL,0.00,3.00,0.00,319,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001064,2.00,2.00,1.00,4.00,4.00,NULL,0.00,1.00,3.00,333,NULL,NULL,'MOSSUNGUÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001072,3.00,6.00,6.00,5.00,6.00,9.00,4.00,3.00,4.00,214,NULL,203,'SANTA AUGUSTA','CRICIÚMA','SC',11496,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5001080,8.00,7.00,6.00,7.00,11.00,11.63,6.00,6.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001099,8.00,6.00,4.00,4.00,8.00,9.75,5.00,5.00,9.00,103,NULL,NULL,'JACARECANGA','FORTALEZA','CE',2648,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5001102,6.00,5.00,3.00,5.00,5.00,8.63,4.00,5.00,6.00,5,NULL,NULL,'PEDREGULHO','GUARATINGUETÁ','SP',8150,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5001137,6.00,7.00,3.00,7.00,9.00,8.25,3.00,4.00,6.00,429,NULL,425,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',8023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001145,6.00,6.00,5.00,5.00,8.00,8.25,5.00,5.00,5.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',4435,1978,NULL,NULL,NULL,NULL,NULL,4,8),(20,5001153,9.00,9.00,8.00,6.00,11.00,11.25,6.00,6.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',99,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5001161,5.00,7.00,0.00,5.00,6.00,8.25,0.00,3.00,4.00,319,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',12628,226,NULL,NULL,NULL,NULL,NULL,2,4),(20,5001170,3.00,4.00,4.00,4.00,3.00,NULL,2.00,2.00,3.00,304,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5001188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DOM MIELLE','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5001200,8.00,7.00,7.00,8.00,9.00,11.25,7.00,8.00,9.00,103,NULL,NULL,'SANTO ANTÔNIO','ITUPORANGA','SC',71,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001218,5.00,3.00,2.00,6.00,7.00,8.63,2.00,2.00,3.00,212,NULL,213,'JARDIM NACIONAL','FOZ IGUAÇU','PR',12248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001226,6.00,7.00,6.00,5.00,8.00,6.75,5.00,4.00,6.00,214,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',5877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001234,5.00,5.00,5.00,3.00,5.00,6.38,2.00,2.00,5.00,304,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001242,9.00,8.00,9.00,8.00,11.00,11.63,9.00,7.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001250,5.00,7.00,3.00,5.00,9.00,6.00,5.00,3.00,6.00,3,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',6916,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5001277,7.00,4.00,4.00,7.00,9.00,7.13,4.00,3.00,4.00,336,NULL,NULL,'VILA STA CATARINA','AMERICANA','SP',7287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001285,4.00,8.00,2.00,4.00,7.00,NULL,0.00,4.00,5.00,653,NULL,652,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5001293,3.00,5.00,1.00,5.00,5.00,8.63,3.00,2.00,4.00,332,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',14330,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5001307,7.00,4.00,4.00,4.00,6.00,8.25,2.00,4.00,1.00,104,NULL,NULL,'CENTRO','JOAÇABA','SC',11999,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5001315,6.00,6.00,4.00,6.00,8.00,10.88,4.00,4.00,3.00,415,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',5515,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5001331,8.00,8.00,4.00,7.00,9.00,9.38,4.00,6.00,6.00,103,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',2002,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5001340,5.00,6.00,6.00,7.00,7.00,9.00,2.00,5.00,5.00,203,NULL,220,'JARDIM ESPLANADA','S JOSÉ CAMPOS','SP',4655,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5001358,4.00,3.00,2.00,5.00,5.00,9.00,3.00,2.00,3.00,234,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14983,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5001374,3.00,4.00,1.00,2.00,6.00,NULL,0.00,1.00,2.00,501,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5001382,5.00,4.00,0.00,5.00,3.00,NULL,1.00,2.00,2.00,324,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5001390,5.00,7.00,5.00,4.00,5.00,8.63,3.00,3.00,6.00,234,NULL,NULL,'SACO DOS LOMÕES','FLORIANÓPOLIS','SC',7923,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5001404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'QUISSISSANA','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5001412,7.00,7.00,7.00,6.00,7.00,7.50,4.00,2.00,7.00,601,NULL,201,'CAMPESTRE','STO ANDRÉ','SP',3668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001439,7.00,6.00,3.00,5.00,6.00,9.75,0.00,2.00,4.00,2,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',12776,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5001447,5.00,3.00,2.00,0.00,6.00,NULL,3.00,1.00,3.00,103,NULL,NULL,'BELA VISTA','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,10),(20,5001455,8.00,8.00,3.00,7.00,9.00,7.88,5.00,3.00,5.00,108,NULL,NULL,'JARDIM PAULISTA','OURINHOS','SP',3343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001463,7.00,5.00,1.00,7.00,6.00,8.25,1.00,5.00,4.00,450,NULL,NULL,'VL ALEXANDRIA','S PAULO','SP',9247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001471,5.00,6.00,5.00,6.00,6.00,7.13,3.00,5.00,6.00,302,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',8492,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5001480,7.00,6.00,1.00,3.00,5.00,6.75,1.00,2.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',15008,3752,NULL,NULL,NULL,NULL,NULL,2,5),(20,5001498,8.00,5.00,5.00,7.00,8.00,8.63,5.00,3.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',3000,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5001501,6.00,6.00,4.00,3.00,6.00,9.38,5.00,3.00,5.00,425,NULL,421,'FORQUILINHAS','S JOSÉ','SC',11775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5001510,7.00,6.00,5.00,8.00,9.00,9.38,6.00,6.00,6.00,220,NULL,201,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',2274,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5001536,5.00,5.00,1.00,2.00,6.00,8.25,3.00,3.00,3.00,9,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',15366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001544,4.00,4.00,0.00,2.00,6.00,NULL,1.00,1.00,5.00,102,NULL,NULL,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5001552,3.00,5.00,2.00,7.00,5.00,6.75,1.00,3.00,3.00,5,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',15981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001560,6.00,7.00,4.00,4.00,9.00,9.00,3.00,5.00,5.00,207,NULL,211,'SACO GRANDE','FLORIANÓPOLIS','SC',7845,337,NULL,NULL,NULL,NULL,NULL,2,1),(20,5001579,8.00,6.00,4.00,7.00,7.00,12.00,3.00,2.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5464,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5001595,3.00,6.00,3.00,5.00,7.00,8.63,2.00,5.00,4.00,5,NULL,NULL,'SANTANA','RIO SUL','SC',12573,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5001625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5001633,6.00,6.00,3.00,0.00,5.00,6.00,3.00,4.00,4.00,103,NULL,NULL,'LINHA TRES RIBEIROES','IÇARA','SC',15787,3805,NULL,NULL,NULL,NULL,NULL,4,5),(20,5001641,8.00,8.00,6.00,6.00,9.00,11.63,5.00,6.00,8.00,103,NULL,NULL,'PERDIZES','S PAULO','SP',434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001684,5.00,5.00,5.00,7.00,4.00,12.00,2.00,3.00,3.00,207,NULL,NULL,'CRISTO REI','CURITIBA','PR',8400,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5001706,6.00,6.00,3.00,4.00,8.00,9.75,3.00,3.00,3.00,215,NULL,211,'PASSAGEM','TUBARÃO','SC',9384,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5001714,4.00,5.00,2.00,3.00,6.00,NULL,2.00,1.00,2.00,207,NULL,NULL,'MADRI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5001722,8.00,7.00,4.00,7.00,10.00,11.63,6.00,5.00,7.00,103,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'ENTRE RIOS','JORDÃOZINHO','PR',NULL,NULL,NULL,NULL,'S','S','S',1,8),(20,5001749,0.00,6.00,5.00,6.00,1.00,NULL,2.00,0.00,4.00,201,NULL,207,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,426,'CENTRO','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5001773,7.00,5.00,4.00,7.00,8.00,10.50,1.00,4.00,5.00,451,NULL,NULL,'CENTRO','CAMPINAS','SP',5789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5001803,8.00,6.00,4.00,6.00,9.00,9.38,6.00,2.00,6.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',3700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5001820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA TONANI','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5001854,7.00,5.00,4.00,6.00,8.00,7.50,3.00,4.00,5.00,208,NULL,NULL,'INTERIOR','JÓIA','RS',8882,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5001862,4.00,3.00,1.00,4.00,3.00,NULL,0.00,3.00,1.00,324,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001870,9.00,6.00,4.00,6.00,8.00,7.13,4.00,5.00,6.00,103,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',3577,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5001900,4.00,7.00,1.00,7.00,7.00,9.00,4.00,3.00,4.00,203,NULL,235,'ARIRIÚ','PALHOÇA','SC',9831,709,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001919,6.00,4.00,3.00,5.00,7.00,9.00,3.00,3.00,6.00,215,NULL,216,'VILA BERTIOGA','S PAULO','SP',7599,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5001943,5.00,5.00,0.00,2.00,0.00,NULL,2.00,2.00,0.00,103,NULL,NULL,'COLÔNIA RUTHES','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5001951,7.00,6.00,3.00,5.00,8.00,8.63,3.00,7.00,6.00,233,NULL,215,'INTERIOR','LACERDÓPOLIS','SC',5057,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5001960,4.00,4.00,1.00,2.00,4.00,NULL,3.00,2.00,2.00,203,NULL,NULL,'INCONFIDENTES','CONTAGEM','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5001994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,653,'CENTRO','MISSAL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5002001,8.00,5.00,5.00,7.00,8.00,9.38,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','COLÍDER','MT',4059,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5002028,4.00,6.00,3.00,4.00,6.00,7.88,4.00,3.00,5.00,203,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',8782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002036,5.00,3.00,1.00,3.00,6.00,7.88,3.00,3.00,4.00,201,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',16018,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5002052,6.00,6.00,3.00,6.00,7.00,7.50,3.00,4.00,4.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',8397,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5002060,9.00,6.00,5.00,5.00,9.00,8.63,7.00,6.00,8.00,103,NULL,NULL,'LA SALLE','PATO BRANCO','PR',1261,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5002095,5.00,6.00,3.00,5.00,7.00,9.00,2.00,1.00,6.00,216,NULL,233,'DOIS PINHEIROS','VIDEIRA','SC',12013,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5002109,6.00,4.00,1.00,4.00,7.00,8.25,2.00,3.00,4.00,601,NULL,233,'PASSO','MAFRA','SC',12144,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5002125,8.00,3.00,1.00,3.00,3.00,NULL,2.00,1.00,1.00,5,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002133,7.00,6.00,4.00,6.00,9.00,8.63,5.00,4.00,7.00,202,NULL,213,'KOBRASOL','S JOSÉ','SC',3827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5002150,5.00,7.00,1.00,5.00,6.00,7.13,1.00,2.00,6.00,333,NULL,NULL,'BADENFURT','BLUMENAU','SC',12484,109,NULL,NULL,NULL,NULL,NULL,2,2),(20,5002168,4.00,6.00,3.00,7.00,7.00,7.88,3.00,5.00,4.00,415,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002176,8.00,8.00,5.00,5.00,9.00,8.25,5.00,5.00,7.00,103,NULL,NULL,'GABIROBA','ITUPORANGA','SC',2068,1113,NULL,NULL,NULL,NULL,NULL,2,9),(20,5002206,6.00,3.00,2.00,4.00,3.00,NULL,2.00,2.00,3.00,501,NULL,NULL,'CENTRO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5002214,7.00,6.00,2.00,4.00,7.00,7.88,2.00,5.00,4.00,320,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5002222,6.00,5.00,4.00,8.00,7.00,7.88,3.00,5.00,6.00,304,NULL,NULL,'VILA SÃO JOÃO','CAMPINAS','SP',6383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002230,7.00,8.00,6.00,7.00,10.00,9.75,6.00,6.00,8.00,233,NULL,208,'CARVOEIRA','FLORIANÓPOLIS','SC',552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002249,6.00,7.00,1.00,5.00,4.00,7.88,2.00,3.00,5.00,104,NULL,NULL,'BAIRRO AGOSTINI','S MIGUEL OESTE','SC',13674,348,NULL,NULL,NULL,NULL,NULL,2,4),(20,5002257,8.00,7.00,8.00,5.00,9.00,10.88,4.00,4.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1201,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5002265,4.00,3.00,4.00,4.00,4.00,8.63,2.00,1.00,5.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16134,124,NULL,NULL,NULL,NULL,NULL,2,1),(20,5002273,6.00,5.00,3.00,3.00,5.00,6.38,4.00,2.00,7.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002281,1.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','NOVA ERECHIM','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(20,5002290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5002303,4.00,7.00,2.00,4.00,4.00,6.75,2.00,3.00,3.00,238,NULL,201,'CENTRO','IMBITUBA','SC',15007,381,NULL,1064,NULL,NULL,NULL,4,10),(20,5002311,6.00,7.00,4.00,6.00,7.00,6.75,2.00,4.00,7.00,319,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',7088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002320,8.00,8.00,6.00,6.00,10.00,9.00,7.00,5.00,8.00,202,NULL,213,'MICHEL','CRICIÚMA','SC',1798,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5002338,5.00,5.00,2.00,6.00,7.00,7.88,4.00,2.00,5.00,317,NULL,NULL,'CENTRO','ITAJAÍ','SC',10477,NULL,NULL,NULL,NULL,NULL,NULL,3,6),(20,5002346,3.00,5.00,0.00,2.00,5.00,NULL,0.00,2.00,2.00,327,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5002354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ALTO DO IPIRANGA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5002362,2.00,2.00,1.00,2.00,5.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5002389,4.00,4.00,0.00,4.00,6.00,NULL,1.00,1.00,4.00,104,NULL,NULL,'CENTRO','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5002397,6.00,8.00,3.00,3.00,8.00,7.88,3.00,4.00,4.00,428,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',9666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002400,8.00,7.00,2.00,5.00,7.00,8.63,5.00,5.00,6.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',3913,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5002419,3.00,3.00,4.00,4.00,4.00,NULL,1.00,2.00,2.00,208,NULL,238,'CENTRO','CAMPOS SALES','CE',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002427,2.00,4.00,0.00,3.00,2.00,NULL,2.00,2.00,2.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5002435,6.00,6.00,4.00,4.00,6.00,6.38,4.00,4.00,5.00,101,NULL,NULL,'FAZENDA','ITAJAÍ','SC',11784,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5002443,3.00,4.00,2.00,1.00,4.00,NULL,1.00,1.00,2.00,5,NULL,NULL,'SAO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5002451,9.00,6.00,1.00,7.00,8.00,7.50,7.00,6.00,5.00,415,NULL,NULL,'RECANTO DAS ROSAS','CERQUILHO','SP',3445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002460,9.00,8.00,4.00,7.00,10.00,8.25,3.00,6.00,5.00,450,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',4031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5002486,6.00,7.00,2.00,4.00,8.00,11.25,2.00,3.00,6.00,101,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',7697,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5002494,5.00,6.00,1.00,5.00,7.00,7.13,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','STA ROSA LIMA','SC',10714,3261,NULL,NULL,NULL,NULL,NULL,2,10),(20,5002508,9.00,8.00,5.00,8.00,9.00,11.25,5.00,4.00,6.00,203,NULL,213,'CAMPO BELO','S PAULO','SP',1021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002516,6.00,7.00,4.00,7.00,8.00,7.88,3.00,4.00,6.00,238,NULL,208,'CARIANOS','FLORIANÓPOLIS','SC',5701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002524,8.00,8.00,5.00,7.00,8.00,9.75,4.00,4.00,8.00,103,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',1768,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5002532,4.00,7.00,1.00,7.00,4.00,8.63,3.00,4.00,2.00,207,NULL,215,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5002559,9.00,8.00,5.00,7.00,9.00,8.63,7.00,5.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',907,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5002567,7.00,6.00,1.00,3.00,7.00,9.00,2.00,3.00,3.00,303,NULL,NULL,'SERRARIA','S JOSÉ','SC',14024,568,NULL,NULL,NULL,NULL,NULL,2,1),(20,5002575,8.00,8.00,1.00,5.00,7.00,11.63,4.00,5.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3382,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5002583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5002591,4.00,6.00,1.00,2.00,3.00,NULL,2.00,0.00,4.00,201,NULL,212,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5002621,2.00,5.00,1.00,5.00,2.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'DOS MUNICÍPIOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,6),(20,5002630,5.00,7.00,2.00,6.00,5.00,6.75,1.00,4.00,5.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14373,78,NULL,NULL,NULL,NULL,NULL,2,1),(20,5002664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5002672,9.00,7.00,7.00,7.00,11.00,8.63,6.00,6.00,7.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002680,7.00,5.00,3.00,6.00,6.00,9.00,2.00,1.00,4.00,103,NULL,NULL,'VILA PALMIRA','S JOSÉ PINHAIS','PR',10345,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5002699,9.00,6.00,1.00,6.00,9.00,10.50,6.00,3.00,8.00,220,NULL,NULL,'REBOUÇAS','CURITIBA','PR',2695,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5002702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5002729,6.00,5.00,2.00,6.00,7.00,7.50,2.00,1.00,4.00,103,NULL,NULL,'EUGÊNIO SCHNEIDER','RIO SUL','SC',11974,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5002737,7.00,8.00,5.00,7.00,6.00,9.00,4.00,4.00,7.00,304,NULL,NULL,'CENTRO','TIJUCAS','SC',3220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002753,7.00,6.00,3.00,7.00,10.00,10.13,3.00,5.00,6.00,203,NULL,214,'CAMPINAS','S JOSÉ','SC',4299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,235,'MUNICÍPIOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5002796,8.00,7.00,4.00,5.00,9.00,7.88,3.00,4.00,5.00,324,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',6876,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5002800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CATARINA','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5002826,9.00,7.00,6.00,7.00,9.00,10.88,9.00,6.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',201,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5002834,5.00,5.00,0.00,7.00,5.00,9.38,1.00,4.00,4.00,453,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',15144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5002850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5002869,2.00,5.00,0.00,6.00,6.00,NULL,2.00,2.00,2.00,104,NULL,NULL,'PAULISTA','CPO BOM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5002877,4.00,5.00,2.00,4.00,6.00,9.38,2.00,5.00,5.00,238,NULL,208,'CARIANOS','FLORIANÓPOLIS','SC',14141,346,NULL,NULL,NULL,NULL,NULL,2,1),(20,5002885,4.00,9.00,1.00,7.00,9.00,10.13,2.00,4.00,7.00,301,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',4923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002893,6.00,7.00,3.00,6.00,9.00,6.38,3.00,5.00,3.00,340,NULL,NULL,'BOA ESPERANÇA','ROLIM MOURA','RO',9100,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5002907,8.00,6.00,6.00,6.00,8.00,7.13,2.00,4.00,6.00,216,NULL,201,'VILA REAL','CHAPECÓ','SC',5738,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5002915,7.00,7.00,4.00,4.00,7.00,11.25,4.00,6.00,7.00,415,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4319,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5002923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'ASA SUL','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5002940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'AFONSO PENA','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5002958,8.00,8.00,7.00,7.00,8.00,9.38,6.00,3.00,8.00,103,NULL,NULL,'VILA ITAJUBÁ','FOZ IGUAÇU','PR',1195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002966,5.00,6.00,2.00,6.00,7.00,8.25,2.00,4.00,4.00,203,NULL,220,'CINQÜENTENÁRIO','CONCÓRDIA','SC',10292,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5002974,9.00,8.00,6.00,7.00,10.00,8.63,5.00,3.00,9.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5002982,5.00,6.00,2.00,3.00,7.00,9.00,5.00,4.00,5.00,238,NULL,211,'CENTRO','S BONIFÁCIO','SC',10751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003008,8.00,6.00,3.00,2.00,5.00,9.75,5.00,3.00,4.00,214,NULL,213,'JARDIM PAULISTA','BAURU','SP',7889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003016,5.00,7.00,1.00,6.00,8.00,9.75,2.00,4.00,5.00,104,NULL,NULL,'SCHREIBER','SALETE','SC',8396,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003032,4.00,7.00,0.00,6.00,8.00,10.13,2.00,4.00,3.00,450,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',11302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003040,7.00,7.00,0.00,7.00,9.00,9.38,1.00,5.00,3.00,450,NULL,NULL,'FORTALEZA','BLUMENAU','SC',9442,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5003059,6.00,7.00,3.00,5.00,7.00,9.38,2.00,4.00,2.00,303,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',9494,391,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003067,2.00,4.00,0.00,3.00,4.00,NULL,1.00,1.00,3.00,653,NULL,652,'POÇO DA LONTRA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5003083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5003091,6.00,4.00,4.00,3.00,5.00,6.75,2.00,1.00,4.00,216,NULL,208,'ABRAÃO','FLORIANÓPOLIS','SC',15098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003105,8.00,8.00,2.00,3.00,9.00,10.88,3.00,8.00,6.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',3792,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003113,4.00,8.00,3.00,4.00,6.00,6.75,0.00,2.00,3.00,319,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',14428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003121,6.00,7.00,3.00,7.00,9.00,9.38,1.00,3.00,4.00,104,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',8848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003130,3.00,5.00,1.00,4.00,4.00,NULL,1.00,2.00,5.00,302,NULL,NULL,'CENTRO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003148,6.00,4.00,2.00,4.00,3.00,NULL,0.00,2.00,1.00,104,NULL,NULL,'EFAPI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5003156,7.00,8.00,1.00,6.00,8.00,10.88,1.00,6.00,2.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',8193,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003164,4.00,6.00,4.00,3.00,6.00,6.00,2.00,2.00,4.00,233,NULL,238,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',14027,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003172,3.00,6.00,1.00,3.00,5.00,NULL,1.00,1.00,6.00,3,NULL,NULL,'AREÃO','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5003199,6.00,6.00,2.00,7.00,5.00,7.13,2.00,3.00,3.00,208,NULL,216,'COQUEIROS','FLORIANÓPOLIS','SC',12007,286,NULL,484,NULL,NULL,NULL,4,1),(20,5003202,3.00,5.00,0.00,5.00,6.00,NULL,2.00,1.00,4.00,108,NULL,NULL,'SANTOS DUMMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,208,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5003229,6.00,7.00,3.00,5.00,6.00,6.75,0.00,3.00,2.00,234,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14944,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003237,5.00,5.00,2.00,7.00,7.00,8.63,1.00,2.00,0.00,429,NULL,425,'INGLESES','FLORIANÓPOLIS','SC',13649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003245,2.00,1.00,1.00,3.00,5.00,NULL,1.00,1.00,2.00,502,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5003253,3.00,4.00,0.00,4.00,6.00,NULL,2.00,0.00,4.00,216,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5003261,9.00,6.00,7.00,7.00,9.00,8.63,3.00,4.00,6.00,207,NULL,201,'VELHA','BLUMENAU','SC',2270,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5003270,7.00,8.00,6.00,7.00,8.00,11.25,4.00,5.00,7.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',2143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003296,5.00,7.00,4.00,6.00,6.00,9.00,3.00,4.00,6.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',7643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003300,3.00,7.00,1.00,3.00,5.00,8.63,1.00,4.00,2.00,238,NULL,208,'AVENTUREIRO','JOINVILLE','SC',15151,386,NULL,432,NULL,NULL,NULL,4,8),(20,5003334,8.00,8.00,6.00,6.00,10.00,9.38,3.00,4.00,4.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',2436,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003342,3.00,4.00,2.00,6.00,9.00,11.25,3.00,4.00,3.00,319,NULL,NULL,'JARDIM PAULISTA','VÁRZEA PAULISTA','SP',9659,143,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003350,1.00,3.00,2.00,3.00,6.00,NULL,1.00,4.00,4.00,502,NULL,NULL,'SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'BOQUEIRÃO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5003377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'VALE DO ITAMARACA','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5003407,6.00,8.00,5.00,4.00,6.00,7.50,2.00,3.00,4.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003415,8.00,7.00,9.00,7.00,8.00,9.00,7.00,6.00,7.00,203,NULL,214,'AGRONÔMICA','FLORIANÓPOLIS','SC',765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003423,7.00,7.00,1.00,7.00,7.00,8.25,3.00,2.00,4.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003431,5.00,4.00,2.00,5.00,6.00,7.88,2.00,3.00,2.00,108,NULL,NULL,'ARMAÇÃO PÂNTANO SUL','FLORIANÓPOLIS','SC',14732,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003440,5.00,5.00,5.00,5.00,8.00,8.63,3.00,4.00,7.00,216,NULL,202,'JARDIM UNIVERSITÁRIO','MARINGÁ','PR',6601,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003458,9.00,7.00,4.00,7.00,7.00,11.25,3.00,3.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3269,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5003466,3.00,1.00,5.00,2.00,1.00,NULL,0.00,2.00,2.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003474,2.00,5.00,0.00,3.00,1.00,NULL,1.00,1.00,4.00,104,NULL,NULL,'CENTRO','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5003482,5.00,7.00,2.00,4.00,8.00,9.00,2.00,5.00,7.00,103,NULL,NULL,'COPACABANA','LAGES','SC',8735,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5003490,2.00,5.00,0.00,2.00,5.00,NULL,0.00,2.00,4.00,339,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003504,5.00,7.00,4.00,3.00,7.00,9.38,4.00,5.00,6.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9755,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'NOVA ESTÂNCIA','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5003520,8.00,5.00,1.00,6.00,6.00,10.13,3.00,4.00,3.00,451,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5003539,7.00,8.00,2.00,5.00,9.00,9.38,1.00,1.00,5.00,102,NULL,NULL,'GUANABARA','JOINVILLE','SC',7824,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5003547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SERRANO','S BENTO SAPUCAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5003555,5.00,4.00,4.00,6.00,5.00,6.75,3.00,3.00,5.00,452,NULL,NULL,'CENTRO','MARINGÁ','PR',12766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003571,7.00,7.00,4.00,8.00,10.00,13.50,2.00,6.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003580,5.00,5.00,1.00,7.00,5.00,7.13,3.00,1.00,5.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',14522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5003601,7.00,5.00,3.00,4.00,8.00,8.25,3.00,3.00,5.00,104,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',8628,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5003610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5003628,6.00,3.00,3.00,7.00,7.00,9.38,3.00,2.00,5.00,103,NULL,NULL,'VILA ESTRELA','PNT GROSSA','PR',7627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003636,9.00,8.00,6.00,7.00,10.00,10.50,3.00,6.00,7.00,9,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003644,3.00,2.00,2.00,4.00,5.00,NULL,0.00,1.00,0.00,423,NULL,428,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003652,5.00,4.00,0.00,4.00,6.00,NULL,0.00,2.00,4.00,207,NULL,211,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003660,3.00,3.00,3.00,3.00,4.00,NULL,2.00,2.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003679,6.00,5.00,5.00,3.00,6.00,9.00,3.00,5.00,5.00,327,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',10669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003687,3.00,5.00,1.00,3.00,3.00,NULL,1.00,1.00,3.00,201,NULL,212,'SANTO ANTONIO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003695,4.00,5.00,3.00,4.00,2.00,NULL,3.00,3.00,3.00,425,NULL,423,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003709,6.00,9.00,4.00,4.00,9.00,6.38,1.00,7.00,3.00,331,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',7055,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003717,8.00,4.00,3.00,4.00,4.00,9.00,2.00,3.00,6.00,104,NULL,NULL,'AMERICANO','LAJEADO','RS',10244,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5003725,5.00,0.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,214,NULL,213,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(20,5003733,8.00,6.00,4.00,7.00,7.00,6.38,4.00,4.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003741,7.00,6.00,3.00,4.00,7.00,9.00,1.00,5.00,3.00,415,NULL,NULL,'ARIRIÚ DA FORMIGA','PALHOÇA','SC',10904,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003750,2.00,3.00,1.00,2.00,5.00,NULL,1.00,0.00,1.00,652,NULL,653,'VILA SAO JOSE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,15),(20,5003768,8.00,7.00,5.00,7.00,9.00,9.00,4.00,5.00,6.00,5,NULL,NULL,'CENTRO','CURITIBA','PR',2710,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5003776,4.00,5.00,1.00,3.00,4.00,NULL,1.00,1.00,3.00,104,NULL,NULL,'FLORESTA','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5003814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5003822,9.00,7.00,6.00,6.00,9.00,6.75,6.00,5.00,8.00,203,NULL,214,'CENTRO','RIBEIRÃO PRETO','SP',1420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003830,4.00,4.00,4.00,6.00,8.00,7.13,1.00,2.00,6.00,216,NULL,215,'CENTRO','PARECI NOVO','RS',7987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003849,4.00,6.00,1.00,3.00,8.00,6.75,2.00,4.00,2.00,420,NULL,NULL,'BARREIROS','S JOSÉ','SC',13943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003857,7.00,6.00,3.00,7.00,7.00,8.63,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7205,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5003865,5.00,5.00,4.00,4.00,8.00,11.63,3.00,2.00,6.00,207,NULL,233,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003873,7.00,6.00,4.00,7.00,9.00,8.63,4.00,5.00,7.00,301,NULL,NULL,'ENGORDADOURO','JUNDIAÍ','SP',2451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003881,4.00,4.00,0.00,5.00,4.00,NULL,0.00,1.00,2.00,234,NULL,NULL,'JARDIM VALERI','REGISTRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003890,9.00,7.00,4.00,6.00,7.00,9.38,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',2636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003903,7.00,4.00,3.00,3.00,4.00,6.75,3.00,1.00,6.00,103,NULL,NULL,'CARMO II','MTE CARMELO','MG',12834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003911,6.00,7.00,2.00,7.00,7.00,11.63,4.00,7.00,5.00,103,NULL,NULL,'MERCÊS','UBERABA','MG',2857,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5003920,7.00,8.00,4.00,7.00,10.00,12.00,2.00,3.00,5.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003938,3.00,6.00,2.00,4.00,5.00,9.00,4.00,2.00,2.00,317,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',15514,120,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003946,6.00,8.00,6.00,7.00,9.00,9.00,2.00,4.00,6.00,103,NULL,NULL,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',4648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003954,8.00,8.00,8.00,7.00,9.00,11.25,7.00,7.00,9.00,203,NULL,201,'ATALAIA','ARACAJU','SE',96,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5003962,7.00,6.00,5.00,6.00,8.00,11.25,3.00,3.00,5.00,104,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',4326,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5003989,3.00,2.00,3.00,1.00,4.00,NULL,2.00,2.00,1.00,201,NULL,207,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004004,3.00,3.00,2.00,7.00,6.00,7.50,3.00,1.00,2.00,203,NULL,238,'CENTRO','FOZ IGUAÇU','PR',16158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5004020,8.00,8.00,2.00,7.00,7.00,6.75,5.00,4.00,8.00,203,NULL,202,'PANTANAL','FLORIANÓPOLIS','SC',4235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5004039,1.00,5.00,2.00,0.00,2.00,NULL,3.00,2.00,3.00,208,NULL,NULL,'ALTO BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004047,3.00,8.00,4.00,4.00,4.00,8.25,1.00,4.00,4.00,318,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5004055,1.00,3.00,1.00,2.00,3.00,NULL,0.00,0.00,3.00,223,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5004063,4.00,5.00,1.00,4.00,5.00,NULL,1.00,1.00,4.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5004071,4.00,3.00,1.00,6.00,5.00,NULL,1.00,1.00,2.00,203,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5004080,8.00,6.00,3.00,8.00,7.00,9.00,3.00,5.00,6.00,110,NULL,NULL,'CERQUEIRA CÉSAR','S PAULO','SP',4685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004098,7.00,7.00,4.00,8.00,9.00,10.88,2.00,4.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004101,4.00,5.00,0.00,1.00,3.00,NULL,0.00,3.00,2.00,326,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,7),(20,5004110,8.00,6.00,2.00,7.00,8.00,10.13,2.00,4.00,5.00,601,NULL,203,'BARREIROS','S JOSÉ','SC',4866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004128,5.00,4.00,2.00,3.00,6.00,9.75,2.00,2.00,5.00,429,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5004136,2.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5004179,7.00,6.00,2.00,4.00,8.00,9.75,3.00,4.00,3.00,450,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9839,64,NULL,NULL,NULL,NULL,NULL,2,1),(20,5004187,5.00,5.00,0.00,3.00,5.00,NULL,2.00,3.00,3.00,304,NULL,NULL,'MOURA','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5004209,4.00,3.00,0.00,2.00,4.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5004233,8.00,7.00,1.00,6.00,7.00,6.75,3.00,2.00,5.00,208,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',8863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'VILA CLEÓPATRA','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5004250,8.00,7.00,6.00,6.00,7.00,8.25,3.00,1.00,7.00,202,NULL,235,'JARIVATUBA','JOINVILLE','SC',4317,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5004268,5.00,7.00,5.00,7.00,8.00,7.50,5.00,4.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5004276,3.00,3.00,0.00,5.00,5.00,NULL,1.00,1.00,2.00,303,NULL,NULL,'JARDIM TULIPAS','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5004284,8.00,8.00,5.00,7.00,9.00,10.13,3.00,5.00,8.00,103,NULL,NULL,'FREI ROGERIO','LAGES','SC',1176,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5004292,3.00,6.00,2.00,7.00,4.00,9.75,1.00,0.00,6.00,452,NULL,NULL,'JARDIM JEQUITIBÁ','MARÍLIA','SP',11391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004306,8.00,8.00,1.00,8.00,9.00,10.50,4.00,4.00,8.00,340,NULL,NULL,'CENTRO','BRUSQUE','SC',2967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004314,2.00,5.00,1.00,5.00,5.00,NULL,2.00,2.00,1.00,333,NULL,NULL,'LA SALLE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5004330,5.00,4.00,4.00,7.00,6.00,9.38,3.00,3.00,4.00,102,NULL,NULL,'JARDIM AQUARIUS IV','S JOSÉ CAMPOS','SP',7632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004349,4.00,5.00,3.00,6.00,5.00,9.38,1.00,3.00,3.00,103,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',14106,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5004373,4.00,5.00,1.00,5.00,5.00,9.38,1.00,4.00,1.00,5,NULL,NULL,'BOQUEIRÃO','SANTOS','SP',15713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'JARDIM IRIRIRU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5004390,6.00,6.00,0.00,7.00,4.00,13.88,3.00,3.00,2.00,453,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004411,6.00,7.00,4.00,7.00,8.00,7.88,5.00,5.00,4.00,319,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',5788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004438,5.00,6.00,1.00,5.00,8.00,8.63,2.00,4.00,6.00,102,NULL,NULL,'FORTALEZA','BLUMENAU','SC',11035,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5004446,4.00,7.00,4.00,5.00,4.00,9.75,2.00,3.00,3.00,103,NULL,NULL,'JARDIM CENTRAL','DOURADOS','MS',10865,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5004454,5.00,7.00,4.00,4.00,6.00,9.00,4.00,3.00,6.00,201,NULL,601,'PENHA','PAULO LOPES','SC',9349,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5004462,7.00,6.00,0.00,4.00,8.00,7.88,2.00,3.00,4.00,207,NULL,212,'LIBERDADE','CRICIÚMA','SC',11141,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5004470,7.00,7.00,2.00,7.00,8.00,8.25,2.00,3.00,3.00,340,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',10128,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5004489,8.00,7.00,7.00,7.00,10.00,10.13,6.00,6.00,7.00,104,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',572,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5004497,8.00,7.00,3.00,7.00,8.00,8.25,6.00,5.00,9.00,103,NULL,NULL,'CENTRO','CPO BOM','RS',2855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ARIRIBA','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5004519,5.00,8.00,5.00,5.00,6.00,7.88,2.00,3.00,5.00,319,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004543,9.00,9.00,7.00,7.00,9.00,10.88,7.00,5.00,6.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',753,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5004551,6.00,4.00,4.00,5.00,5.00,6.75,3.00,2.00,4.00,212,NULL,235,'RESIDENCIAL SANTA HE','LIMEIRA','SP',11954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004560,5.00,4.00,0.00,6.00,5.00,NULL,0.00,3.00,0.00,340,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5004586,9.00,6.00,7.00,8.00,10.00,7.88,6.00,6.00,9.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',701,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5004594,9.00,9.00,8.00,7.00,9.00,10.13,9.00,5.00,9.00,103,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',68,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5004608,6.00,8.00,4.00,7.00,8.00,9.00,3.00,5.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004624,8.00,8.00,6.00,6.00,8.00,7.88,5.00,6.00,9.00,103,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',803,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5004632,0.00,2.00,3.00,2.00,2.00,NULL,1.00,0.00,0.00,9,NULL,NULL,'PINHALZINHO','MIRIM DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5004640,6.00,6.00,4.00,6.00,6.00,10.50,3.00,3.00,3.00,220,NULL,203,'VILA IRACEMA','S JOSÉ CAMPOS','SP',7336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,202,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5004667,9.00,7.00,5.00,7.00,10.00,10.88,6.00,8.00,7.00,108,NULL,NULL,'STO ANTÔNIO DE PÁDUA','TUBARÃO','SC',364,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5004675,6.00,6.00,1.00,6.00,7.00,8.25,3.00,3.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004691,8.00,7.00,1.00,7.00,6.00,6.75,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6133,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5004705,8.00,7.00,6.00,6.00,10.00,9.75,6.00,5.00,7.00,103,NULL,NULL,'CENTRO','MARAU','RS',882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004713,8.00,5.00,3.00,7.00,8.00,9.75,3.00,4.00,4.00,303,NULL,NULL,'CENTRO','ITAJAÍ','SC',7320,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5004721,8.00,6.00,4.00,7.00,10.00,10.50,6.00,4.00,7.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',2237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,202,'ESPINHEIROS','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5004756,7.00,6.00,2.00,5.00,6.00,7.13,3.00,4.00,5.00,452,NULL,NULL,'LOTEAMENTO KLITZKE','MAL CÂNDIDO RONDON','PR',11696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004764,3.00,4.00,0.00,4.00,3.00,NULL,4.00,4.00,5.00,429,NULL,424,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5004772,8.00,6.00,4.00,7.00,7.00,8.63,3.00,4.00,4.00,420,NULL,NULL,'JARDIM PAULISTANO','SOROCABA','SP',4951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004780,7.00,6.00,5.00,6.00,5.00,7.88,2.00,4.00,5.00,211,NULL,NULL,'BAIRRO UNIVERSITARIO','MARINGÁ','PR',8383,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5004799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5004810,5.00,8.00,0.00,4.00,8.00,7.88,2.00,5.00,5.00,329,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',11249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5004837,6.00,6.00,1.00,4.00,6.00,5.25,4.00,4.00,6.00,213,NULL,214,'ESTRADINHA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5004845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'PAULAS','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5004861,1.00,4.00,1.00,3.00,3.00,NULL,0.00,0.00,3.00,324,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004870,3.00,3.00,1.00,0.00,4.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'BELA VISTA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5004888,9.00,6.00,5.00,4.00,6.00,10.50,6.00,4.00,9.00,202,NULL,208,'CENTRO','JOINVILLE','SC',2873,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5004896,7.00,6.00,2.00,6.00,3.00,NULL,2.00,4.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004918,5.00,0.00,2.00,1.00,4.00,NULL,1.00,0.00,1.00,339,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5004926,6.00,7.00,2.00,6.00,7.00,7.88,1.00,4.00,3.00,103,NULL,NULL,'AVAÍ','GUARAMIRIM','SC',11791,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5004942,6.00,6.00,4.00,8.00,9.00,7.50,4.00,5.00,7.00,202,NULL,213,'COPACABANA','LAGES','SC',4776,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5004950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'JARDIM MARIA AUGUSTA','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5004977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'VILA RIO BRANCO','CASTRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5004985,5.00,5.00,1.00,5.00,6.00,7.50,3.00,2.00,6.00,450,NULL,NULL,'JARDIM SÃO PAULO','RIO CLARO','SP',10647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5004993,7.00,5.00,3.00,6.00,7.00,9.38,1.00,4.00,3.00,653,NULL,201,'URUSSANGUINHA','ARARANGUÁ','SC',11390,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5005019,5.00,5.00,2.00,2.00,3.00,NULL,2.00,3.00,3.00,653,NULL,651,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5005035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5005043,5.00,7.00,3.00,7.00,5.00,6.38,1.00,3.00,4.00,340,NULL,NULL,'VISTA ALEGRE','CURITIBA','PR',11971,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5005051,4.00,2.00,0.00,4.00,8.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'NAÇÕES','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5005060,6.00,6.00,1.00,5.00,6.00,7.50,1.00,4.00,2.00,333,NULL,NULL,'CENTRO','MARILUZ','PR',13606,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5005078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5005108,6.00,6.00,6.00,7.00,5.00,8.63,4.00,4.00,6.00,201,NULL,212,'AEROPORTO','MARINGÁ','PR',5468,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5005116,6.00,5.00,3.00,6.00,8.00,9.38,1.00,0.00,7.00,203,NULL,202,'CAPIVARI','JAGUARIAÍVA','PR',7839,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5005132,5.00,4.00,0.00,7.00,5.00,10.50,1.00,3.00,5.00,238,NULL,208,'ANITA GARIBALDI','JOINVILLE','SC',13202,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5005140,5.00,7.00,3.00,6.00,8.00,9.75,0.00,6.00,5.00,225,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',8247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005167,4.00,8.00,4.00,7.00,7.00,7.88,2.00,6.00,5.00,316,NULL,NULL,'RES SAMAMBAIA','BAURU','SP',6500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'SANTA HELENA','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5005183,8.00,8.00,3.00,7.00,7.00,7.13,5.00,3.00,7.00,444,NULL,NULL,'BATEL','CURITIBA','PR',3718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5005205,4.00,4.00,2.00,0.00,5.00,NULL,2.00,2.00,3.00,207,NULL,601,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5005213,3.00,6.00,1.00,4.00,6.00,7.50,2.00,4.00,3.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',14527,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5005221,4.00,3.00,2.00,2.00,5.00,7.13,2.00,2.00,6.00,503,NULL,NULL,'BARREIROS','S JOSÉ','SC',16147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005230,9.00,5.00,7.00,6.00,10.00,9.00,8.00,6.00,8.00,203,NULL,216,'SANTO ANTONIO','JOINVILLE','SC',667,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5005248,8.00,7.00,3.00,7.00,7.00,12.00,3.00,4.00,4.00,215,NULL,207,'ICARAÍ','BARRA VELHA','SC',4627,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5005256,3.00,6.00,0.00,7.00,5.00,7.88,3.00,3.00,3.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005272,8.00,7.00,4.00,7.00,7.00,8.25,7.00,7.00,7.00,203,NULL,214,'ASILO','BLUMENAU','SC',1899,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5005280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'LAGO SUL','LG SUL','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5005299,1.00,3.00,0.00,3.00,2.00,NULL,0.00,3.00,1.00,339,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5005302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5005329,8.00,6.00,5.00,5.00,6.00,9.38,6.00,3.00,7.00,201,NULL,212,'CENTRO','PARANAVAÍ','PR',4227,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5005337,8.00,8.00,8.00,7.00,8.00,11.63,7.00,7.00,8.00,220,NULL,203,'CENTRO','PALOTINA','PR',173,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5005361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'REAL PARQUE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5005370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5005388,6.00,7.00,0.00,0.00,5.00,NULL,2.00,1.00,2.00,303,NULL,NULL,'CENTRO','JABOTICABAL','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5005418,7.00,4.00,3.00,3.00,7.00,9.00,0.00,1.00,6.00,103,NULL,NULL,'RIBEIRANIA','RIBEIRÃO PRETO','SP',10662,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5005434,6.00,7.00,4.00,5.00,6.00,9.00,2.00,3.00,4.00,201,NULL,212,'CENTRO','FRANCISCO BELTRÃO','PR',7716,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5005442,3.00,6.00,1.00,6.00,4.00,8.25,0.00,2.00,6.00,203,NULL,216,'MORRO VERMELHO','MOGI MIRIM','SP',13787,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5005450,9.00,8.00,5.00,5.00,9.00,10.50,5.00,4.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1894,1041,NULL,NULL,NULL,NULL,NULL,2,1),(20,5005469,8.00,4.00,1.00,7.00,6.00,7.50,3.00,4.00,4.00,340,NULL,NULL,'BARRA DO JUCU','VL VELHA','ES',8371,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5005477,2.00,5.00,1.00,3.00,5.00,NULL,0.00,3.00,4.00,452,NULL,NULL,'PARQUE DAS PALMEIRAS','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5005485,4.00,7.00,2.00,7.00,9.00,9.75,1.00,8.00,4.00,216,NULL,601,'LIBERDADE','S PAULO','SP',4915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005493,5.00,8.00,3.00,4.00,9.00,10.13,6.00,5.00,7.00,202,NULL,213,'CAMPINAS','S JOSÉ','SC',3378,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5005507,8.00,7.00,6.00,7.00,6.00,7.88,4.00,2.00,6.00,601,NULL,215,'JD DAS LARANJEIRAS','BRAGANÇA PAULISTA','SP',5479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005515,3.00,4.00,1.00,7.00,8.00,10.13,2.00,6.00,3.00,308,NULL,NULL,'ALPHAVILLE','CAMPINAS','SP',8345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005540,8.00,7.00,7.00,7.00,10.00,12.00,5.00,6.00,6.00,304,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005558,6.00,5.00,3.00,5.00,11.00,9.00,2.00,3.00,5.00,9,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5005566,6.00,5.00,0.00,1.00,4.00,6.38,1.00,3.00,5.00,103,NULL,NULL,'CENTRO','TEN PORTELA','RS',15895,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5005574,5.00,6.00,4.00,4.00,7.00,9.75,5.00,4.00,4.00,233,NULL,202,'CENTRO','IMBITUBA','SC',7557,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5005604,4.00,4.00,4.00,5.00,5.00,7.88,2.00,2.00,4.00,319,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',15507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005612,8.00,7.00,5.00,6.00,9.00,10.88,3.00,6.00,6.00,207,NULL,201,'CIDADE ALTA','ARARANGUÁ','SC',3433,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5005639,2.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PRESIDENTE VARGAS','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(20,5005647,4.00,6.00,2.00,4.00,4.00,6.75,4.00,2.00,3.00,601,NULL,NULL,'BOA VISTA','JOINVILLE','SC',15837,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5005655,2.00,4.00,1.00,7.00,5.00,9.00,3.00,3.00,3.00,340,NULL,NULL,'FAZENDA','ITAJAÍ','SC',15488,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5005663,9.00,8.00,4.00,7.00,10.00,11.63,7.00,6.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005671,7.00,6.00,2.00,6.00,9.00,9.00,3.00,5.00,7.00,102,NULL,NULL,'SUMARÉ','RIO SUL','SC',5857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005680,7.00,3.00,5.00,5.00,7.00,8.25,3.00,2.00,5.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',8496,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5005698,8.00,7.00,4.00,7.00,8.00,7.88,1.00,6.00,6.00,103,NULL,NULL,'ZONA NOVE','MARINGÁ','PR',4458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005701,7.00,7.00,2.00,3.00,5.00,3.38,1.00,5.00,5.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5005710,2.00,5.00,2.00,1.00,2.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5005736,3.00,6.00,2.00,5.00,5.00,8.25,1.00,3.00,5.00,211,NULL,216,'PROTASIO ALVES','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5005744,4.00,6.00,2.00,4.00,5.00,NULL,0.00,1.00,2.00,102,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5005752,6.00,6.00,3.00,7.00,8.00,7.13,4.00,3.00,6.00,102,NULL,NULL,'MORUMBI','S PAULO','SP',5300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TERRAS DE ITAICI','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5005795,4.00,4.00,2.00,7.00,9.00,6.75,1.00,4.00,3.00,337,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005809,4.00,3.00,1.00,5.00,8.00,NULL,0.00,3.00,2.00,427,NULL,424,'PARQUE DO CASTELO','FRANCA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005817,4.00,2.00,0.00,3.00,1.00,NULL,0.00,1.00,2.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5005825,7.00,5.00,2.00,6.00,7.00,7.50,3.00,4.00,7.00,108,NULL,NULL,'CENTRO','ITURAMA','MG',7454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005833,2.00,4.00,2.00,5.00,5.00,8.25,2.00,4.00,1.00,9,NULL,NULL,'CAIOBÁ','MATINHOS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5005841,4.00,6.00,4.00,5.00,9.00,9.00,2.00,2.00,6.00,301,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',8302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005850,6.00,7.00,1.00,5.00,10.00,8.25,1.00,3.00,6.00,415,NULL,NULL,'GRAVATÁ','NAVEGANTES','SC',8004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005868,3.00,1.00,0.00,4.00,4.00,NULL,2.00,0.00,2.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5005876,4.00,6.00,1.00,4.00,7.00,8.63,3.00,1.00,3.00,212,NULL,202,'KOBRASOL','S JOSÉ','SC',14829,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5005884,7.00,8.00,3.00,6.00,8.00,9.38,3.00,6.00,4.00,333,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005892,1.00,3.00,2.00,3.00,3.00,NULL,3.00,1.00,3.00,203,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005906,5.00,3.00,3.00,5.00,3.00,NULL,3.00,2.00,2.00,211,NULL,653,'SAO CRISTOVAO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5005914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5005922,4.00,4.00,3.00,4.00,5.00,NULL,0.00,2.00,2.00,102,NULL,NULL,'BARRA DO RIO MOLHA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5005930,7.00,7.00,8.00,7.00,7.00,10.13,6.00,4.00,7.00,203,NULL,NULL,'SACO DOS LIMÔES','FLORIANÓPOLIS','SC',1690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005949,6.00,6.00,3.00,6.00,5.00,8.63,4.00,4.00,5.00,216,NULL,211,'MIRANDÓPOLIS','S PAULO','SP',6672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005965,4.00,6.00,1.00,4.00,3.00,NULL,3.00,2.00,6.00,235,NULL,238,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5005973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'BOA VISTA','SIQUEIRA CAMPOS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5005981,9.00,8.00,7.00,7.00,10.00,6.75,7.00,7.00,9.00,220,NULL,203,'CENTRO','PALHOÇA','SC',545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5005990,6.00,6.00,2.00,5.00,6.00,9.38,2.00,4.00,5.00,238,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',8884,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5006007,7.00,7.00,0.00,4.00,7.00,8.25,2.00,3.00,4.00,503,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',12143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006015,9.00,7.00,2.00,7.00,7.00,10.88,5.00,7.00,6.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',4492,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5006040,7.00,4.00,0.00,7.00,7.00,6.75,0.00,4.00,2.00,340,NULL,NULL,'JD SOLANGE','BAURU','SP',12597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006066,9.00,7.00,8.00,7.00,9.00,6.38,7.00,6.00,8.00,214,NULL,211,'ITACORUBI','FLORIANÓPOLIS','SC',777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006082,6.00,5.00,1.00,7.00,8.00,9.75,2.00,5.00,6.00,101,NULL,NULL,'CENTRO','PTO ALEGRE','RS',7071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006104,3.00,2.00,3.00,3.00,4.00,NULL,2.00,1.00,0.00,317,NULL,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5006112,8.00,5.00,6.00,7.00,6.00,8.25,4.00,3.00,5.00,420,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006120,4.00,4.00,1.00,0.00,6.00,NULL,1.00,1.00,1.00,103,NULL,NULL,'AREIAS','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5006139,3.00,2.00,6.00,6.00,5.00,7.88,3.00,4.00,5.00,201,NULL,208,'SANTA MÔNICA','FLORIANÓPOLIS','SC',12578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA AURORA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5006163,4.00,3.00,1.00,3.00,4.00,NULL,1.00,0.00,2.00,339,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5006171,5.00,4.00,2.00,7.00,7.00,10.88,2.00,2.00,5.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12096,385,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006180,6.00,4.00,2.00,5.00,9.00,9.00,4.00,3.00,7.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',6028,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5006198,5.00,8.00,2.00,4.00,6.00,6.38,1.00,6.00,2.00,103,NULL,NULL,'CENTRO','LAGES','SC',14883,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5006201,8.00,5.00,6.00,7.00,9.00,9.00,4.00,3.00,6.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006210,2.00,6.00,1.00,2.00,6.00,7.88,1.00,4.00,4.00,207,NULL,NULL,'CONSERVA','AMERICANA','SP',14800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006228,2.00,5.00,0.00,4.00,5.00,NULL,3.00,3.00,5.00,303,NULL,NULL,'JARDIM IPIRANGA','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5006244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5006260,5.00,5.00,0.00,6.00,6.00,8.25,2.00,6.00,1.00,202,NULL,213,'BADENFURT','BLUMENAU','SC',12160,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5006279,6.00,7.00,4.00,8.00,9.00,9.00,2.00,3.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006287,6.00,5.00,4.00,6.00,8.00,8.63,4.00,2.00,6.00,201,NULL,211,'CENTRO','CPO GRANDE','MS',6138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5006341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5006350,5.00,6.00,1.00,7.00,10.00,8.63,0.00,5.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12174,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5006368,4.00,5.00,5.00,1.00,5.00,9.00,4.00,2.00,4.00,214,NULL,233,'CAMPESTRE','TUBARÃO','SC',11679,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5006376,5.00,5.00,1.00,4.00,5.00,4.50,2.00,1.00,5.00,501,NULL,NULL,'JARDIM DA GLORIA','COTIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5006384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA GARCIA','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5006392,5.00,4.00,3.00,5.00,3.00,NULL,0.00,2.00,1.00,201,NULL,215,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5006414,4.00,6.00,1.00,2.00,7.00,6.75,3.00,3.00,6.00,601,NULL,233,'PARQUE COSMO','MTE ALTO','SP',13296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,653,'RUDGE RAMOS','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5006430,3.00,4.00,2.00,3.00,5.00,NULL,3.00,2.00,3.00,5,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5006449,6.00,6.00,1.00,6.00,7.00,10.50,4.00,3.00,5.00,208,NULL,238,'CENTRO','TIJUCAS','SC',8048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006457,8.00,6.00,6.00,5.00,6.00,8.25,2.00,1.00,6.00,201,NULL,207,'BOM ABRIGO','FLORIANÓPOLIS','SC',9047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006473,9.00,6.00,0.00,8.00,9.00,NULL,2.00,6.00,7.00,303,NULL,NULL,'VILA FLORESTA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5006481,3.00,3.00,0.00,2.00,5.00,NULL,2.00,3.00,3.00,301,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006490,7.00,5.00,4.00,6.00,6.00,7.50,3.00,3.00,8.00,103,NULL,NULL,'RIO BONITO','IRATI','PR',6418,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5006503,9.00,6.00,4.00,7.00,8.00,10.13,6.00,4.00,7.00,103,NULL,NULL,'BELA SUIÇA','LONDRINA','PR',1621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006511,5.00,7.00,5.00,7.00,7.00,6.75,4.00,6.00,4.00,213,NULL,235,'ALPHAVILLE','CAMPINAS','SP',5224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006520,7.00,6.00,3.00,7.00,8.00,9.00,3.00,4.00,5.00,319,NULL,NULL,'TRÊS MARIAS','PERUÍBE','SP',6370,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5006538,7.00,6.00,2.00,7.00,9.00,6.38,3.00,4.00,7.00,450,NULL,NULL,'SETOR JAÓ','GOIÂNIA','GO',5926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006546,7.00,7.00,7.00,7.00,6.00,10.13,4.00,3.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',3047,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5006554,2.00,5.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'RIO DO SALTO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5006562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PARAGUAÇU PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5006570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'ASSUNÇÃO','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5006589,4.00,3.00,4.00,4.00,3.00,NULL,1.00,2.00,5.00,223,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5006600,7.00,6.00,1.00,6.00,8.00,NULL,0.00,5.00,4.00,319,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5006619,4.00,5.00,4.00,4.00,7.00,6.75,3.00,2.00,5.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',12920,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5006627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM DAS FLORES','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5006635,8.00,6.00,2.00,7.00,8.00,7.13,2.00,4.00,5.00,207,NULL,601,'PANTANAL','FLORIANÓPOLIS','SC',6450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006643,8.00,7.00,1.00,6.00,9.00,10.50,3.00,4.00,5.00,103,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',5454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006651,5.00,6.00,1.00,6.00,5.00,8.25,3.00,1.00,3.00,211,NULL,653,'MEDITERRANEO','LONDRINA','PR',14166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006660,8.00,6.00,4.00,7.00,5.00,9.38,3.00,3.00,5.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006678,9.00,9.00,8.00,7.00,9.00,10.88,8.00,5.00,9.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',78,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006686,8.00,6.00,4.00,7.00,5.00,7.88,5.00,5.00,5.00,233,NULL,216,'PIRITUBA','S PAULO','SP',4621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006694,6.00,3.00,0.00,4.00,4.00,7.50,3.00,3.00,3.00,452,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',16087,140,NULL,NULL,NULL,NULL,NULL,2,1),(20,5006708,4.00,5.00,3.00,7.00,8.00,6.38,2.00,4.00,4.00,318,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',13534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006716,1.00,3.00,1.00,1.00,5.00,NULL,0.00,3.00,2.00,339,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006724,9.00,6.00,6.00,6.00,9.00,10.50,3.00,2.00,9.00,216,NULL,233,'IMIGRANTES','TIMBÓ','SC',2110,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5006732,6.00,5.00,1.00,3.00,6.00,8.25,2.00,3.00,3.00,211,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',14475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5006740,9.00,6.00,4.00,7.00,9.00,6.75,3.00,5.00,7.00,319,NULL,NULL,'VILA NOVA','BLUMENAU','SC',3676,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5006775,7.00,6.00,1.00,4.00,7.00,7.13,2.00,3.00,5.00,333,NULL,NULL,'VILA ASAS','LGA SANTA','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,3),(20,5006791,5.00,5.00,5.00,3.00,4.00,8.25,3.00,1.00,4.00,215,NULL,233,'CENTRO','IBIÚNA','SP',10387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006805,6.00,6.00,3.00,5.00,7.00,6.38,4.00,1.00,4.00,303,NULL,NULL,'NACOES','BAL CAMBORIÚ','SC',12067,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5006813,3.00,3.00,0.00,2.00,5.00,NULL,0.00,2.00,3.00,501,NULL,NULL,'UNIVERSITARIO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5006821,1.00,3.00,1.00,3.00,3.00,NULL,1.00,0.00,1.00,444,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5006830,2.00,7.00,1.00,4.00,5.00,6.38,4.00,1.00,5.00,103,NULL,NULL,'CENTRO','COLÍDER','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5006848,9.00,7.00,4.00,7.00,7.00,11.25,4.00,5.00,7.00,203,NULL,214,'OURO VERDE','CPO LARGO','PR',1645,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5006856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'JD EGLE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5006864,5.00,4.00,2.00,3.00,5.00,9.00,4.00,1.00,3.00,102,NULL,NULL,'CEARÁ','CRICIÚMA','SC',15344,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5006872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'NEREU RAMOS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5006880,7.00,7.00,6.00,6.00,10.00,9.00,6.00,4.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1274,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5006899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(20,5006902,3.00,5.00,2.00,6.00,7.00,7.50,0.00,2.00,4.00,310,NULL,NULL,'VILA MARIANA','S PAULO','SP',15140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006910,5.00,5.00,2.00,5.00,7.00,6.00,3.00,6.00,5.00,324,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11389,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5006929,7.00,6.00,4.00,5.00,8.00,7.13,2.00,5.00,4.00,108,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',7381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5006961,5.00,4.00,3.00,4.00,4.00,4.13,3.00,2.00,3.00,201,NULL,238,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5006970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','GUARARAPES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5006988,7.00,5.00,3.00,7.00,10.00,8.63,4.00,3.00,8.00,211,NULL,216,'JARDIM BÉLGICA','S PAULO','SP',3493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5006996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5007003,5.00,7.00,1.00,6.00,8.00,9.38,3.00,2.00,2.00,304,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',11661,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5007011,9.00,7.00,7.00,5.00,10.00,9.00,8.00,5.00,7.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',372,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5007046,9.00,6.00,0.00,6.00,8.00,NULL,0.00,4.00,5.00,420,NULL,NULL,'PETRÓPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5007062,3.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,201,NULL,208,'VILA JARDIM POMPÉIA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(20,5007070,5.00,7.00,3.00,6.00,9.00,9.00,2.00,3.00,5.00,453,NULL,NULL,'JARDIM CIDADE ALTA','JOAÇABA','SC',7835,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5007097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','CANARANA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5007100,3.00,4.00,2.00,2.00,7.00,NULL,0.00,2.00,5.00,205,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007119,8.00,9.00,4.00,5.00,6.00,9.38,1.00,5.00,8.00,103,NULL,NULL,'JARDIM SANTA MÔNICA','S BERNARDO CAMPO','SP',4297,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5007127,7.00,6.00,1.00,5.00,9.00,9.38,2.00,3.00,6.00,5,NULL,NULL,'FLORADAS DE SÃO JOSÉ','S JOSÉ CAMPOS','SP',6885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007135,8.00,5.00,4.00,7.00,7.00,6.75,3.00,2.00,5.00,450,NULL,NULL,'TAQUARAL','CAMPINAS','SP',5975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007143,8.00,5.00,6.00,7.00,6.00,9.75,3.00,2.00,6.00,235,NULL,202,'CENTRO','CURITIBA','PR',5136,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5007151,6.00,7.00,4.00,5.00,8.00,11.25,2.00,4.00,4.00,225,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'SANTA LUZIA','ALUMÍNIO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5007178,6.00,3.00,1.00,5.00,3.00,NULL,2.00,1.00,6.00,303,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5007194,8.00,5.00,1.00,7.00,9.00,9.75,1.00,5.00,4.00,333,NULL,NULL,'CAMBUCI','S PAULO','SP',7745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007208,5.00,4.00,1.00,4.00,9.00,NULL,0.00,2.00,4.00,453,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5007216,3.00,5.00,3.00,7.00,5.00,6.00,3.00,2.00,2.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5007224,7.00,4.00,3.00,5.00,8.00,6.75,2.00,3.00,8.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007240,4.00,6.00,2.00,3.00,7.00,8.25,1.00,2.00,4.00,202,NULL,235,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',14091,470,NULL,187,NULL,NULL,NULL,2,1),(20,5007267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'CENTRO','ORLÂNDIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5007291,6.00,7.00,3.00,5.00,5.00,6.75,5.00,5.00,7.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',7488,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5007305,9.00,9.00,7.00,6.00,9.00,12.75,7.00,4.00,9.00,103,NULL,NULL,'JARDIM AMÉRICA','S LEOPOLDO','RS',230,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5007313,7.00,5.00,2.00,6.00,9.00,9.00,5.00,3.00,4.00,302,NULL,NULL,'VILA VICENTINA','GUARULHOS','SP',7192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'MONT SERRAT','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5007356,6.00,7.00,1.00,7.00,8.00,9.75,2.00,5.00,6.00,425,NULL,428,'SERRINHA','FLORIANÓPOLIS','SC',7221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007372,6.00,6.00,2.00,3.00,7.00,9.38,2.00,2.00,6.00,103,NULL,NULL,'GRUTA','ITUPORANGA','SC',10948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007380,4.00,5.00,2.00,2.00,4.00,NULL,0.00,3.00,2.00,220,NULL,601,'CRISTO REI','GUARANTÃ NORTE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'GRANJA OLGA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5007402,7.00,7.00,2.00,7.00,8.00,7.88,4.00,2.00,6.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',7318,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5007410,6.00,7.00,4.00,7.00,8.00,6.00,3.00,7.00,5.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007429,4.00,2.00,2.00,5.00,6.00,NULL,3.00,0.00,0.00,502,NULL,NULL,'ÁGUA VERDE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5007437,4.00,5.00,3.00,6.00,7.00,7.50,2.00,3.00,3.00,453,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',14916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'BALNEARIO DA DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5007453,5.00,6.00,0.00,3.00,6.00,NULL,0.00,3.00,3.00,303,NULL,NULL,'PICADAS DO SIL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007461,8.00,5.00,1.00,6.00,7.00,11.63,3.00,4.00,3.00,303,NULL,NULL,'JARDIM PACAEMBU','JUNDIAÍ','SP',7577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007488,7.00,9.00,5.00,7.00,9.00,8.63,5.00,5.00,6.00,103,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',1573,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5007496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5007500,7.00,7.00,6.00,7.00,6.00,7.13,3.00,5.00,4.00,214,NULL,235,'VILA FORMOSA','APUCARANA','PR',4384,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5007526,5.00,6.00,1.00,4.00,7.00,7.13,0.00,1.00,4.00,207,NULL,201,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5007534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5007542,9.00,7.00,4.00,7.00,8.00,9.38,2.00,6.00,6.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007550,6.00,6.00,4.00,5.00,6.00,9.00,2.00,2.00,5.00,316,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',11380,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5007569,6.00,4.00,3.00,5.00,6.00,9.00,1.00,1.00,4.00,303,NULL,NULL,'VELHA CENTRAL','BLUMENAU','SC',14295,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5007577,6.00,5.00,3.00,4.00,6.00,6.75,2.00,2.00,6.00,318,NULL,NULL,'JARDIM APOLO','S JOSÉ CAMPOS','SP',11237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007593,9.00,8.00,8.00,6.00,10.00,10.50,8.00,7.00,7.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',116,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5007615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,212,'PRAIA DE ITAPARICA','VL VELHA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5007623,5.00,5.00,5.00,2.00,7.00,12.38,4.00,2.00,5.00,328,NULL,NULL,'CENTRO','JOINVILLE','SC',9513,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5007640,2.00,6.00,2.00,1.00,4.00,NULL,1.00,3.00,1.00,201,NULL,208,'SÃO CRISTOVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5007658,6.00,7.00,3.00,6.00,8.00,10.13,4.00,2.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4003,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5007666,8.00,7.00,3.00,6.00,8.00,10.50,2.00,5.00,3.00,303,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',4690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5007682,7.00,7.00,5.00,7.00,8.00,9.38,6.00,3.00,6.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',2555,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5007690,5.00,8.00,4.00,6.00,6.00,7.13,2.00,3.00,4.00,202,NULL,213,'BARRA DO ARIRIÚ','PALHOÇA','SC',10204,350,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007704,2.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,9),(20,5007712,6.00,5.00,1.00,5.00,8.00,9.75,3.00,3.00,6.00,103,NULL,NULL,'NOSSA S DE LOURDES','STA MARIA','RS',9399,3083,NULL,NULL,NULL,NULL,NULL,4,7),(20,5007720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5007739,2.00,4.00,0.00,1.00,2.00,NULL,1.00,1.00,3.00,326,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5007763,3.00,5.00,0.00,2.00,5.00,NULL,0.00,5.00,3.00,502,NULL,NULL,'RECIFE','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5007771,6.00,6.00,4.00,3.00,6.00,7.50,2.00,5.00,5.00,327,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5007780,7.00,7.00,1.00,7.00,9.00,7.88,3.00,5.00,5.00,103,NULL,NULL,'VENEZA','XANXERÊ','SC',5694,2333,NULL,NULL,NULL,NULL,NULL,4,4),(20,5007798,5.00,4.00,4.00,6.00,8.00,8.25,4.00,3.00,7.00,202,NULL,213,'SÃO JUDAS TADEU','S JOSÉ CAMPOS','SP',7102,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5007801,3.00,6.00,2.00,4.00,6.00,7.13,2.00,3.00,3.00,319,NULL,NULL,'URCA','RIO JANEIRO','RJ',14279,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5007828,5.00,4.00,3.00,2.00,4.00,7.88,3.00,4.00,4.00,404,NULL,NULL,'ALTO INDEPENDENCIA','PETRÓPOLIS','RJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007836,5.00,4.00,0.00,5.00,4.00,8.25,4.00,2.00,2.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',15745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007879,5.00,6.00,5.00,3.00,5.00,6.00,1.00,6.00,5.00,444,NULL,NULL,'CENTRO','ARARANGUÁ','SC',13385,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5007887,1.00,2.00,0.00,3.00,3.00,NULL,0.00,2.00,0.00,319,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007895,6.00,8.00,5.00,7.00,7.00,9.00,5.00,4.00,4.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',5458,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5007909,6.00,7.00,3.00,1.00,7.00,7.88,2.00,5.00,4.00,428,NULL,426,'VILA DO SALTO','LUIZ ALVES','SC',10137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007917,2.00,4.00,3.00,3.00,4.00,NULL,1.00,2.00,3.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5007925,7.00,3.00,3.00,4.00,5.00,7.88,4.00,2.00,4.00,108,NULL,NULL,'PAES LEME','IMBITUBA','SC',11924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007933,9.00,8.00,2.00,7.00,9.00,11.25,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007941,8.00,7.00,4.00,5.00,7.00,7.13,4.00,5.00,8.00,103,NULL,NULL,'CENTRO CURITIBA','CURITIBA','PR',4165,1890,NULL,NULL,NULL,NULL,NULL,2,8),(20,5007950,6.00,6.00,2.00,5.00,4.00,7.88,2.00,2.00,3.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5007976,9.00,6.00,5.00,7.00,7.00,9.38,8.00,4.00,4.00,103,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',2310,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5008000,7.00,5.00,2.00,7.00,8.00,7.13,1.00,1.00,6.00,340,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',9386,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5008018,7.00,6.00,1.00,5.00,7.00,8.25,5.00,4.00,6.00,5,NULL,NULL,'PRESIDENTE MEDICI','CHAPECÓ','SC',5852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008026,4.00,6.00,4.00,7.00,7.00,7.13,2.00,5.00,3.00,331,NULL,NULL,'TARRAF II','S JOSÉ R PRETO','SP',9173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008042,4.00,6.00,2.00,5.00,7.00,6.00,0.00,2.00,6.00,303,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',12616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008050,3.00,7.00,4.00,0.00,2.00,NULL,4.00,2.00,4.00,203,NULL,202,'ROCIO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5008069,1.00,4.00,2.00,3.00,3.00,NULL,0.00,1.00,2.00,223,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'FIGUEROA','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5008085,8.00,5.00,1.00,3.00,7.00,7.50,0.00,5.00,4.00,103,NULL,NULL,'MATA DA PRAIA','VITÓRIA','ES',9136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008093,6.00,6.00,4.00,3.00,8.00,7.88,2.00,3.00,5.00,651,NULL,653,'MATO ALTO','ARARANGUÁ','SC',12716,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5008107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CERQUEIRA CÉSAR','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5008115,2.00,0.00,1.00,2.00,6.00,NULL,0.00,1.00,2.00,9,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5008131,5.00,4.00,3.00,5.00,5.00,6.00,4.00,4.00,5.00,205,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13850,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5008140,4.00,6.00,2.00,5.00,7.00,7.50,2.00,4.00,5.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',12511,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5008158,3.00,4.00,0.00,4.00,4.00,NULL,2.00,3.00,1.00,326,NULL,NULL,'RIO DO BRAÇO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5008166,7.00,5.00,2.00,5.00,6.00,8.63,1.00,3.00,4.00,5,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',10808,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5008182,8.00,5.00,1.00,7.00,7.00,10.13,1.00,4.00,4.00,303,NULL,NULL,'BOSQUE DA SAÚDE','S PAULO','SP',9664,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008190,8.00,7.00,3.00,6.00,8.00,7.13,4.00,4.00,6.00,216,NULL,207,'CENTRO','FRUTAL','MG',4871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008204,5.00,6.00,3.00,7.00,9.00,9.75,3.00,2.00,6.00,301,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',4542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,203,'CENTRO','IRINEÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5008255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ITANHANGÁ PARK','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5008263,6.00,6.00,7.00,5.00,9.00,6.38,3.00,3.00,7.00,203,NULL,214,'BARREIRINHA','CURITIBA','PR',4632,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5008271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5008280,5.00,8.00,6.00,5.00,9.00,8.63,3.00,5.00,6.00,104,NULL,NULL,'SANTO ANT DE LISBOA','FLORIANÓPOLIS','SC',4405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008298,3.00,6.00,0.00,1.00,3.00,NULL,2.00,2.00,3.00,503,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM DONA JOAQUINA','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5008310,3.00,5.00,2.00,4.00,5.00,7.50,2.00,4.00,3.00,302,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',16033,109,NULL,NULL,NULL,NULL,NULL,2,1),(20,5008328,7.00,6.00,0.00,5.00,5.00,8.63,2.00,4.00,4.00,104,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5008336,7.00,6.00,4.00,7.00,7.00,9.75,1.00,3.00,7.00,103,NULL,NULL,'BETEL','PAULÍNIA','SP',5657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008360,4.00,4.00,4.00,7.00,3.00,NULL,0.00,2.00,2.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'COPACABANA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5008387,6.00,7.00,4.00,7.00,9.00,9.75,4.00,3.00,6.00,203,NULL,202,'BOSQUE DA SAUDE','CUIABÁ','MT',4106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008409,9.00,7.00,3.00,5.00,7.00,9.38,4.00,4.00,7.00,220,NULL,202,'TERRANOVA','VALINHOS','SP',3738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008425,8.00,7.00,5.00,3.00,6.00,10.50,2.00,7.00,5.00,103,NULL,NULL,'AGUAS CLARAS','TAGUATINGA','DF',5349,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5008450,5.00,5.00,0.00,7.00,8.00,10.88,2.00,4.00,5.00,420,NULL,NULL,'VILA YARA','OSASCO','SP',10108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008468,3.00,3.00,2.00,5.00,5.00,NULL,3.00,0.00,1.00,207,NULL,212,'CENTRO','TANGARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5008476,2.00,2.00,0.00,3.00,4.00,NULL,2.00,4.00,3.00,317,NULL,NULL,'MORRO GRANDE','SANGÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5008484,6.00,8.00,6.00,6.00,8.00,10.50,3.00,7.00,6.00,5,NULL,NULL,'CENTRO','CHAPECÓ','SC',2693,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5008492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,203,'MANDAQUI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5008506,7.00,7.00,2.00,5.00,8.00,9.75,3.00,6.00,6.00,303,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',5132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5008514,6.00,6.00,3.00,6.00,8.00,10.13,4.00,4.00,6.00,303,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',5603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008522,6.00,6.00,3.00,5.00,6.00,8.25,4.00,4.00,6.00,601,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',8133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PARQUE DO IMPERADOR','MATÃO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5008549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CASARAO','SUMARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5008557,9.00,7.00,7.00,6.00,9.00,10.13,8.00,7.00,9.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008565,6.00,7.00,2.00,5.00,8.00,11.25,3.00,5.00,4.00,310,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',6272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5008573,9.00,7.00,6.00,6.00,11.00,9.00,6.00,6.00,9.00,103,NULL,NULL,'CENTRO CURITIBA','CURITIBA','PR',414,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5008581,7.00,7.00,3.00,6.00,8.00,9.00,2.00,5.00,7.00,503,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',6452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5008603,4.00,6.00,0.00,3.00,3.00,NULL,3.00,1.00,4.00,9,NULL,NULL,'TATUAPÉ','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5008611,8.00,5.00,9.00,6.00,9.00,6.00,7.00,5.00,7.00,201,NULL,216,'EFACIP','PINHALZINHO','SC',2061,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5008620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,233,'RECREIO DOS CAFEZAIS','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5008638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PALMITAL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5008646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5008662,8.00,7.00,4.00,7.00,8.00,10.13,1.00,6.00,6.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008670,4.00,5.00,4.00,7.00,7.00,10.13,2.00,3.00,2.00,336,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13324,70,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008689,6.00,9.00,5.00,7.00,7.00,8.63,7.00,6.00,7.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008697,6.00,7.00,1.00,6.00,8.00,7.50,4.00,4.00,4.00,9,NULL,NULL,'CANTA GALO','RIO SUL','SC',10301,NULL,NULL,NULL,NULL,NULL,NULL,5,2),(20,5008700,3.00,5.00,2.00,2.00,3.00,NULL,1.00,2.00,2.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008719,5.00,7.00,6.00,6.00,8.00,10.50,1.00,7.00,6.00,326,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5008735,5.00,7.00,2.00,4.00,6.00,8.25,2.00,3.00,4.00,104,NULL,NULL,'ASILO','BLUMENAU','SC',12424,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5008760,7.00,8.00,4.00,7.00,8.00,8.63,4.00,3.00,6.00,203,NULL,233,'CENTRO','BOA VISTA','RR',3697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM SÃO PAULO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5008794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'WERNER PLAAS','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5008808,4.00,4.00,0.00,7.00,6.00,NULL,0.00,1.00,2.00,319,NULL,NULL,'SÃO JOÃO','MONTENEGRO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008816,6.00,5.00,2.00,6.00,7.00,8.25,3.00,2.00,4.00,216,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',11280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESPLANADA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5008832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CAMBOINHAS','NITERÓI','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5008840,9.00,6.00,6.00,7.00,9.00,6.75,4.00,6.00,8.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',1895,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(20,5008867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5008875,6.00,6.00,4.00,3.00,6.00,7.13,3.00,3.00,4.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5008883,9.00,7.00,7.00,7.00,11.00,7.50,7.00,5.00,8.00,233,NULL,214,'ITACORUBI','FLORIANÓPOLIS','SC',734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008905,6.00,7.00,4.00,7.00,6.00,8.25,3.00,6.00,4.00,601,NULL,NULL,'BOA VISTA','JOINVILLE','SC',6783,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5008913,7.00,4.00,4.00,5.00,6.00,9.75,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008921,3.00,7.00,1.00,5.00,6.00,6.75,4.00,3.00,4.00,208,NULL,238,'BARREIROS','S JOSÉ','SC',13394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008930,2.00,4.00,2.00,4.00,4.00,NULL,2.00,0.00,2.00,329,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5008972,6.00,7.00,0.00,4.00,6.00,NULL,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','CÉU AZUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5008980,7.00,6.00,7.00,8.00,9.00,13.50,4.00,7.00,8.00,103,NULL,NULL,'CENTRAL','ANÁPOLIS','GO',752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5008999,5.00,4.00,2.00,6.00,5.00,6.75,1.00,4.00,2.00,340,NULL,NULL,'ITINGA','JOINVILLE','SC',14532,NULL,NULL,NULL,NULL,NULL,NULL,3,8),(20,5009006,2.00,5.00,3.00,3.00,3.00,NULL,1.00,1.00,2.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5009014,3.00,7.00,2.00,3.00,5.00,8.63,3.00,1.00,4.00,110,NULL,NULL,'CANTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5009022,3.00,2.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,452,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5009030,9.00,6.00,7.00,7.00,8.00,9.00,8.00,4.00,9.00,103,NULL,NULL,'SÃO LOURENÇO','CURITIBA','PR',580,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5009049,8.00,9.00,5.00,6.00,9.00,10.13,6.00,3.00,5.00,216,NULL,215,'AMIZADE','JARAGUÁ SUL','SC',1936,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5009057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5009065,9.00,7.00,3.00,5.00,8.00,8.63,3.00,6.00,7.00,104,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',3268,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5009073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'FREZZARIM','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5009090,9.00,8.00,6.00,6.00,9.00,6.75,7.00,6.00,8.00,216,NULL,601,'CHAMPAGNAT','CURITIBA','PR',992,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5009111,5.00,3.00,2.00,3.00,5.00,8.63,3.00,4.00,3.00,108,NULL,NULL,'PRAIA DA CAL','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5009120,3.00,4.00,2.00,0.00,2.00,NULL,3.00,1.00,2.00,601,NULL,207,'CENTRO','CPO ALEGRE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5009146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JATIÚCA','MACEIÓ','AL',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5009154,4.00,4.00,1.00,4.00,5.00,NULL,2.00,3.00,2.00,302,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5009162,7.00,4.00,2.00,5.00,8.00,9.00,3.00,2.00,5.00,420,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',8155,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5009170,5.00,4.00,1.00,4.00,5.00,7.13,3.00,3.00,3.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15281,96,NULL,NULL,NULL,NULL,NULL,2,1),(20,5009197,3.00,3.00,2.00,5.00,5.00,NULL,1.00,0.00,3.00,207,NULL,201,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5009200,6.00,6.00,4.00,4.00,6.00,8.25,6.00,5.00,6.00,203,NULL,233,'CENTRO','FREDERICO WESTPHALEN','RS',5336,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5009219,7.00,8.00,2.00,4.00,9.00,9.75,4.00,3.00,6.00,207,NULL,238,'CENTRO','ARMAZÉM','SC',5831,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5009227,3.00,4.00,4.00,3.00,5.00,NULL,1.00,2.00,3.00,429,NULL,425,'JARDIM ANAPOLIS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5009243,3.00,4.00,1.00,2.00,6.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5009251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5009260,7.00,5.00,5.00,6.00,4.00,9.75,5.00,5.00,9.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',3333,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5009278,3.00,3.00,2.00,2.00,5.00,NULL,1.00,3.00,4.00,207,NULL,201,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009286,7.00,5.00,2.00,4.00,7.00,10.13,2.00,2.00,4.00,2,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',11637,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5009294,4.00,4.00,1.00,3.00,6.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'PASSO MANSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5009308,9.00,8.00,7.00,7.00,9.00,11.63,6.00,7.00,7.00,203,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009316,6.00,5.00,4.00,7.00,9.00,9.75,3.00,2.00,3.00,214,NULL,220,'CAMBUCI','S PAULO','SP',7986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5009332,3.00,7.00,4.00,4.00,6.00,4.13,3.00,4.00,7.00,9,NULL,NULL,'MARIA ANTONIETA','PINHAIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5009340,8.00,7.00,3.00,5.00,9.00,9.00,5.00,5.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3232,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5009359,5.00,6.00,2.00,2.00,6.00,8.25,0.00,1.00,4.00,3,NULL,NULL,'CENTRO','TIJUCAS','SC',15458,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5009367,9.00,7.00,5.00,7.00,10.00,12.38,7.00,5.00,8.00,340,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',359,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5009383,5.00,4.00,1.00,3.00,7.00,9.00,2.00,2.00,3.00,332,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5009391,6.00,8.00,7.00,6.00,8.00,10.88,5.00,6.00,8.00,601,NULL,201,'CENTRO','STO AMARO IMPERATRIZ','SC',1378,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5009405,4.00,3.00,2.00,5.00,5.00,8.25,2.00,3.00,3.00,104,NULL,NULL,'JARDIM DA PENHA','VITÓRIA','ES',14039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009413,7.00,5.00,8.00,5.00,11.00,8.63,1.00,4.00,4.00,208,NULL,238,'PONTE DO ÍMARUIM','PALHOÇA','SC',4999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5009421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5009430,4.00,4.00,0.00,3.00,4.00,NULL,1.00,4.00,3.00,450,NULL,NULL,'VILA NOVA','TRÊS LAGOAS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009448,7.00,8.00,3.00,4.00,7.00,9.75,4.00,6.00,6.00,207,NULL,233,'CAPOEIRAS','FLORIANÓPOLIS','SC',5323,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5009464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5009502,8.00,9.00,3.00,6.00,9.00,9.38,6.00,5.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',865,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5009510,1.00,8.00,6.00,5.00,4.00,6.38,3.00,5.00,6.00,201,NULL,235,'CORREGO GRANDE','FLORIANÓPOLIS','SC',10253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5009553,5.00,5.00,0.00,7.00,2.00,NULL,2.00,1.00,2.00,2,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5009570,6.00,4.00,2.00,7.00,5.00,9.75,0.00,4.00,4.00,207,NULL,201,'JARDIM PLANALTO','PAULÍNIA','SP',11984,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5009588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,233,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',3,1),(20,5009600,7.00,5.00,3.00,7.00,5.00,10.50,4.00,2.00,4.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA LAUCY','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5009626,5.00,8.00,1.00,4.00,5.00,8.25,3.00,3.00,3.00,415,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',15053,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5009634,4.00,7.00,4.00,7.00,8.00,11.25,3.00,5.00,7.00,211,NULL,215,'BOA VISTA','NOVO HAMBURGO','RS',4254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'XINGU','LINS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5009650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,203,'PQ DO SOL NASCENTE','STA ROSA VITERBO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5009677,9.00,9.00,5.00,7.00,7.00,9.00,4.00,4.00,8.00,207,NULL,201,'KOBRASOL','S JOSÉ','SC',1586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009685,9.00,9.00,8.00,7.00,11.00,0.00,8.00,7.00,9.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009707,3.00,6.00,2.00,4.00,7.00,10.50,1.00,3.00,2.00,103,NULL,NULL,'NOSSA SRA DE LOURDES','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5009715,8.00,6.00,4.00,7.00,8.00,7.88,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6035,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5009740,3.00,6.00,1.00,5.00,6.00,8.25,1.00,2.00,4.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14705,94,NULL,NULL,NULL,NULL,NULL,2,1),(20,5009758,8.00,6.00,6.00,7.00,10.00,8.25,6.00,4.00,8.00,214,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',1484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009766,8.00,5.00,3.00,4.00,5.00,4.88,1.00,6.00,3.00,211,NULL,207,'JARDIM APIPEMA','SALVADOR','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009774,9.00,7.00,7.00,6.00,9.00,10.88,7.00,4.00,8.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',844,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5009782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JARDIM ELDORADO','NOVA A SUL','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5009790,6.00,6.00,0.00,6.00,8.00,9.00,2.00,4.00,6.00,207,NULL,201,'CENTRO','BIGUAÇU','SC',9216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009820,5.00,6.00,3.00,5.00,6.00,7.88,0.00,0.00,3.00,452,NULL,NULL,'BARREIROS','S JOSÉ','SC',14252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009839,7.00,9.00,6.00,7.00,8.00,10.50,2.00,2.00,7.00,415,NULL,NULL,'VIVENDAS DO BOSQUE','CPO GRANDE','MS',2822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009847,5.00,5.00,6.00,3.00,4.00,9.38,4.00,3.00,5.00,601,NULL,NULL,'BATEL','CURITIBA','PR',11798,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5009855,6.00,4.00,1.00,3.00,8.00,7.13,4.00,3.00,5.00,223,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11749,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5009863,7.00,5.00,1.00,6.00,7.00,10.13,2.00,4.00,4.00,103,NULL,NULL,'SANTA CECILIA','S PAULO','SP',6284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009871,3.00,3.00,1.00,4.00,6.00,8.25,4.00,2.00,4.00,303,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',15676,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5009880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'JARDIM COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5009898,5.00,6.00,0.00,7.00,6.00,NULL,3.00,3.00,4.00,340,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5009901,7.00,8.00,2.00,7.00,9.00,8.63,3.00,4.00,7.00,220,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',2925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009910,6.00,5.00,4.00,5.00,7.00,12.75,2.00,3.00,6.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ASTRO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5009944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'JARDIM BRASIL','SALTO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5009952,7.00,6.00,6.00,7.00,9.00,7.50,5.00,4.00,8.00,214,NULL,201,'CENTRO','CRICIÚMA','SC',3147,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5009960,9.00,5.00,0.00,7.00,8.00,9.38,3.00,2.00,4.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009979,5.00,6.00,4.00,6.00,6.00,NULL,0.00,2.00,5.00,102,NULL,NULL,'SANTO ANTÔNIO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5009995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5010004,5.00,4.00,5.00,7.00,5.00,10.88,2.00,1.00,3.00,301,NULL,NULL,'VILA BELA','CAMPINAS','SP',11525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010012,6.00,6.00,1.00,6.00,9.00,9.00,0.00,3.00,4.00,302,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010020,4.00,4.00,1.00,5.00,8.00,NULL,2.00,1.00,2.00,453,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5010039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,201,'JARDIM','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5010047,9.00,7.00,6.00,7.00,8.00,8.25,5.00,5.00,5.00,103,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',2189,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5010055,4.00,5.00,3.00,7.00,8.00,8.63,2.00,0.00,4.00,203,NULL,220,'JARDIM EUROPA','PNT GROSSA','PR',11116,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5010063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','S BERNARDINO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5010071,5.00,6.00,2.00,6.00,7.00,9.00,2.00,4.00,4.00,320,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',10217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010080,6.00,5.00,5.00,6.00,6.00,8.63,2.00,3.00,5.00,303,NULL,NULL,'VILLA REDHER','AMERICANA','SP',9052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010098,8.00,6.00,4.00,7.00,8.00,9.75,2.00,3.00,6.00,216,NULL,211,'CIDADE MAIA','GUARULHOS','SP',5204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010101,9.00,7.00,3.00,7.00,7.00,9.00,4.00,5.00,5.00,5,NULL,NULL,'CIDADE LÍDER','S PAULO','SP',3942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010110,7.00,6.00,6.00,7.00,9.00,9.00,5.00,5.00,8.00,104,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',1693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010128,8.00,8.00,3.00,6.00,10.00,12.75,7.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'PETRÓPOLIS','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5010144,8.00,5.00,5.00,7.00,9.00,9.00,4.00,4.00,6.00,103,NULL,NULL,'VILA MAZZEI','STO ANDRÉ','SP',2209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010152,7.00,7.00,3.00,3.00,6.00,6.00,3.00,3.00,4.00,331,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',10816,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5010160,9.00,6.00,8.00,7.00,9.00,9.38,7.00,5.00,6.00,653,NULL,203,'ENGENHO BRAUN','CHAPECÓ','SC',1205,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5010179,4.00,5.00,2.00,5.00,6.00,6.00,2.00,3.00,4.00,203,NULL,NULL,'VILA COUTO','CUBATÃO','SP',11843,809,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5010209,4.00,6.00,4.00,7.00,7.00,9.00,3.00,3.00,6.00,340,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5010217,6.00,7.00,1.00,6.00,7.00,9.38,3.00,2.00,3.00,501,NULL,NULL,'MORUMBI','S PAULO','SP',9340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,203,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5010250,6.00,6.00,2.00,4.00,4.00,10.13,0.00,3.00,2.00,207,NULL,201,'PONTA AGUDA','BLUMENAU','SC',13758,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5010268,7.00,5.00,3.00,5.00,6.00,8.63,3.00,3.00,5.00,103,NULL,NULL,'UNIVERSITÁRIO','CHAPECÓ','SC',8727,2973,NULL,NULL,NULL,NULL,NULL,4,4),(20,5010276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5010292,5.00,6.00,4.00,7.00,8.00,6.75,1.00,2.00,4.00,203,NULL,NULL,'BIGORRILHO','CURITIBA','PR',10417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'LAUZANE PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5010314,3.00,3.00,1.00,4.00,5.00,NULL,0.00,2.00,3.00,104,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5010322,8.00,8.00,3.00,6.00,8.00,7.13,2.00,3.00,7.00,238,NULL,652,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',5218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010330,9.00,8.00,6.00,7.00,9.00,9.00,6.00,6.00,9.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010349,7.00,7.00,2.00,7.00,9.00,10.13,1.00,4.00,4.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',4793,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5010357,4.00,4.00,0.00,6.00,5.00,7.88,1.00,3.00,2.00,207,NULL,211,'CENTRO','BARRACÃO','PR',15220,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5010373,7.00,8.00,2.00,4.00,6.00,10.88,1.00,6.00,4.00,110,NULL,NULL,'BARREIROS','S JOSÉ','SC',10991,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5010381,8.00,5.00,2.00,7.00,9.00,9.38,4.00,4.00,3.00,103,NULL,NULL,'FORTE','PR GRANDE','SP',4158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5010411,3.00,4.00,1.00,3.00,7.00,NULL,0.00,0.00,2.00,212,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5010420,3.00,6.00,3.00,7.00,4.00,6.75,3.00,3.00,3.00,211,NULL,601,'PARAISO','S PAULO','SP',13961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010438,7.00,6.00,8.00,7.00,6.00,9.38,4.00,5.00,6.00,203,NULL,201,'JARDIM MONÇÕES','MARINGÁ','PR',2795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010446,0.00,3.00,2.00,2.00,2.00,NULL,0.00,2.00,3.00,207,NULL,201,'JARDIM SÃO MIGUEL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010489,2.00,7.00,1.00,7.00,5.00,7.50,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','S JOSÉ','SC',14848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010497,4.00,5.00,5.00,3.00,5.00,6.00,5.00,1.00,5.00,238,NULL,208,'CAMPINAS','S JOSÉ','SC',13236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5010500,5.00,5.00,1.00,5.00,7.00,7.88,1.00,4.00,6.00,202,NULL,220,'BATEL','CURITIBA','PR',10202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010535,4.00,6.00,3.00,5.00,4.00,4.50,2.00,3.00,4.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5010551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'DAMHA IV','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5010560,8.00,8.00,4.00,7.00,9.00,9.00,3.00,5.00,6.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',2876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010578,5.00,7.00,4.00,2.00,9.00,7.88,3.00,4.00,5.00,104,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',8844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010586,6.00,4.00,3.00,3.00,4.00,6.00,2.00,4.00,2.00,104,NULL,NULL,'CENTRO','RIQUEZA','SC',15012,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5010594,4.00,4.00,0.00,5.00,7.00,NULL,0.00,3.00,2.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5010608,8.00,6.00,2.00,5.00,6.00,9.00,4.00,2.00,5.00,103,NULL,NULL,'JARDIM SANTA MARIA','JACAREÍ','SP',7603,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5010616,7.00,7.00,6.00,7.00,10.00,10.50,7.00,5.00,5.00,340,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',1410,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5010624,6.00,4.00,4.00,6.00,6.00,9.00,4.00,3.00,6.00,238,NULL,235,'FORTALEZA DA BARRA','FLORIANÓPOLIS','SC',8551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010632,8.00,6.00,7.00,6.00,8.00,10.13,4.00,4.00,7.00,207,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',3114,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5010640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5010659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BAEPENDI','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5010667,6.00,4.00,2.00,7.00,6.00,10.50,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010675,6.00,7.00,3.00,7.00,7.00,10.88,5.00,6.00,6.00,5,NULL,NULL,'BELA VISTA','S PAULO','SP',3538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010683,5.00,6.00,3.00,7.00,7.00,7.50,4.00,1.00,2.00,202,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',13451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010691,8.00,6.00,8.00,7.00,8.00,10.13,4.00,6.00,6.00,216,NULL,233,'ANITA GARIBALDI','JOINVILLE','SC',1567,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5010721,2.00,0.00,2.00,3.00,0.00,NULL,2.00,0.00,2.00,213,NULL,202,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,6),(20,5010730,7.00,7.00,2.00,5.00,8.00,9.00,1.00,4.00,6.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7623,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5010748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5010756,7.00,6.00,4.00,6.00,6.00,6.75,2.00,2.00,3.00,104,NULL,NULL,'D E R','CAÇADOR','SC',10347,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5010764,8.00,6.00,5.00,7.00,7.00,8.63,5.00,4.00,6.00,103,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',2791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010772,4.00,4.00,2.00,4.00,6.00,6.00,2.00,2.00,4.00,238,NULL,652,'MARIA CÉU','CRICIÚMA','SC',16170,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5010780,4.00,6.00,1.00,4.00,3.00,NULL,1.00,3.00,2.00,652,NULL,653,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5010799,2.00,5.00,0.00,0.00,0.00,NULL,1.00,3.00,4.00,108,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010802,4.00,6.00,1.00,6.00,5.00,9.75,0.00,4.00,2.00,211,NULL,207,'SÃO PEDRO','BRUSQUE','SC',13838,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5010810,5.00,5.00,1.00,4.00,4.00,6.00,1.00,2.00,3.00,326,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',16103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5010837,8.00,6.00,4.00,7.00,9.00,8.25,3.00,4.00,5.00,340,NULL,NULL,'INDUSTRIAL','BAURU','SP',5398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010870,5.00,5.00,0.00,6.00,7.00,NULL,2.00,4.00,5.00,104,NULL,NULL,'ICOARACI','BELÉM','PA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5010896,5.00,5.00,3.00,4.00,5.00,7.13,2.00,3.00,1.00,502,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',15318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MANAUS','AM',NULL,NULL,NULL,NULL,'S','S','S',3,1),(20,5010926,5.00,7.00,5.00,6.00,8.00,9.75,2.00,3.00,6.00,202,NULL,215,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010934,8.00,6.00,2.00,4.00,8.00,7.50,4.00,3.00,5.00,318,NULL,NULL,'TAJUBA II','S JOÃO BATISTA','SC',9305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5010950,6.00,6.00,1.00,5.00,5.00,8.63,5.00,3.00,4.00,203,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',12995,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5010969,1.00,4.00,0.00,1.00,5.00,NULL,1.00,1.00,1.00,211,NULL,216,'PARQUE DAS PALMEIRAS','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5010977,2.00,6.00,1.00,6.00,3.00,NULL,2.00,2.00,4.00,201,NULL,211,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5010985,2.00,5.00,0.00,4.00,3.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5011019,4.00,5.00,5.00,7.00,6.00,9.00,4.00,3.00,4.00,336,NULL,NULL,'ENSEADA','S FRANCISCO SUL','SC',7714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011027,5.00,5.00,2.00,6.00,5.00,8.63,0.00,3.00,3.00,108,NULL,NULL,'CENTRO','BIGUAÇU','SC',15887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011035,4.00,6.00,5.00,5.00,6.00,13.13,2.00,3.00,5.00,2,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9010,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5011043,5.00,5.00,0.00,5.00,4.00,7.88,2.00,3.00,4.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',15773,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5011051,9.00,9.00,6.00,5.00,9.00,9.38,9.00,5.00,9.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',425,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5011060,9.00,9.00,4.00,6.00,10.00,10.13,6.00,7.00,9.00,103,NULL,NULL,'CENTRO EDUCACIONAL','NOVA ANDRADINA','MS',334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011078,8.00,6.00,5.00,5.00,10.00,7.88,3.00,3.00,9.00,211,NULL,215,'BOMBAS','BOMBINHAS','SC',3746,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5011086,3.00,3.00,1.00,4.00,7.00,NULL,0.00,3.00,4.00,320,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5011094,8.00,7.00,1.00,7.00,9.00,9.75,2.00,5.00,3.00,415,NULL,NULL,'CENTRO','PALHOÇA','SC',5018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD CIDADE ALTA','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5011116,2.00,5.00,2.00,4.00,2.00,NULL,3.00,3.00,1.00,450,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5011124,7.00,6.00,6.00,6.00,9.00,9.75,5.00,6.00,8.00,303,NULL,NULL,'JARDIM CAIÇARA','S JOAQUIM','SC',2042,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5011132,5.00,6.00,0.00,5.00,6.00,8.25,3.00,3.00,5.00,318,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',14147,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5011140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'SENHOR BOM JESUS','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5011159,8.00,7.00,3.00,7.00,9.00,9.00,2.00,4.00,7.00,207,NULL,233,'SAGUAÇÚ','JOINVILLE','SC',3708,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5011167,9.00,7.00,6.00,7.00,9.00,6.75,3.00,5.00,7.00,103,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',2465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011175,7.00,6.00,3.00,5.00,8.00,9.38,3.00,4.00,3.00,503,NULL,NULL,'OFICINAS','TUBARÃO','SC',9947,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5011183,5.00,5.00,3.00,7.00,9.00,8.25,3.00,4.00,7.00,420,NULL,NULL,'BARREIROS','S JOSÉ','SC',7293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011191,7.00,7.00,0.00,7.00,9.00,NULL,2.00,2.00,5.00,103,NULL,NULL,'MORROTES','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5011205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5011213,6.00,4.00,3.00,4.00,4.00,6.38,5.00,4.00,4.00,337,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',14814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5011221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'PARQUE NACIONAL','JUQUIÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5011230,6.00,7.00,3.00,5.00,7.00,7.13,1.00,3.00,1.00,207,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',14801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011248,3.00,2.00,5.00,3.00,4.00,NULL,3.00,1.00,3.00,502,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5011256,4.00,5.00,2.00,5.00,4.00,NULL,0.00,2.00,4.00,9,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5011264,4.00,5.00,2.00,3.00,5.00,8.25,1.00,2.00,5.00,208,NULL,238,'ALTO ARIRIÚ','PALHOÇA','SC',15011,422,NULL,382,NULL,NULL,NULL,2,1),(20,5011272,8.00,6.00,7.00,7.00,9.00,6.38,4.00,6.00,7.00,203,NULL,214,'JARDIM DA GLÓRIA','COTIA','SP',2487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011280,9.00,7.00,1.00,7.00,8.00,9.00,1.00,3.00,7.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',4694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SOLAR DOS LAGOS','S LOURENÇO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5011310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5011329,5.00,5.00,5.00,7.00,6.00,7.13,2.00,3.00,6.00,203,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',7548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011345,9.00,8.00,8.00,8.00,10.00,10.50,8.00,8.00,9.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011353,8.00,7.00,5.00,7.00,8.00,6.75,5.00,4.00,8.00,103,NULL,NULL,'PARAÍSO','S PAULO','SP',2468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011361,6.00,5.00,4.00,1.00,5.00,12.00,0.00,3.00,6.00,108,NULL,NULL,'COLONINHA','GASPAR','SC',11958,208,NULL,NULL,NULL,NULL,NULL,4,2),(20,5011370,7.00,6.00,1.00,7.00,6.00,10.13,2.00,3.00,3.00,108,NULL,NULL,'SANTO ANTONIO','S CAETANO SUL','SP',10772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011388,8.00,6.00,2.00,5.00,8.00,8.63,3.00,5.00,4.00,601,NULL,203,'BUCAREIN','JOINVILLE','SC',6042,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5011396,6.00,5.00,1.00,4.00,6.00,6.75,3.00,2.00,3.00,302,NULL,NULL,'CENTRO','PALHOÇA','SC',15186,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5011400,4.00,6.00,1.00,3.00,7.00,7.50,3.00,3.00,3.00,108,NULL,NULL,'JD CARANDAI','BIGUAÇU','SC',14175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011418,5.00,8.00,4.00,5.00,5.00,6.38,3.00,3.00,3.00,234,NULL,NULL,'BARREIROS','S JOSÉ','SC',11849,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5011426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5011434,2.00,6.00,0.00,2.00,2.00,NULL,1.00,3.00,3.00,104,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5011442,5.00,7.00,1.00,6.00,10.00,9.00,3.00,3.00,3.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011450,5.00,5.00,5.00,6.00,6.00,11.25,5.00,3.00,6.00,201,NULL,233,'BELA VISTA I','S JOSÉ','SC',5076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011469,6.00,7.00,4.00,6.00,6.00,9.00,4.00,3.00,4.00,301,NULL,NULL,'CENTRO','TUBARÃO','SC',8289,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5011477,2.00,3.00,2.00,5.00,8.00,9.38,2.00,5.00,3.00,450,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,207,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5011493,5.00,6.00,1.00,6.00,7.00,7.50,0.00,2.00,4.00,207,NULL,NULL,'DAS NAÇÕES','SEARA','SC',14093,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5011507,8.00,7.00,1.00,4.00,9.00,11.63,2.00,3.00,7.00,103,NULL,NULL,'CENTRO','ENG BELTRÃO','PR',5432,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5011540,7.00,7.00,5.00,4.00,6.00,9.00,1.00,4.00,6.00,103,NULL,NULL,'ITINGA','JOINVILLE','SC',7240,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5011558,3.00,2.00,3.00,3.00,6.00,NULL,2.00,4.00,3.00,429,NULL,425,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5011566,5.00,6.00,0.00,5.00,7.00,7.13,2.00,5.00,5.00,420,NULL,NULL,'SÃO MIGUEL','CONCÓRDIA','SC',12053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011574,7.00,6.00,5.00,7.00,8.00,10.50,4.00,5.00,7.00,415,NULL,NULL,'JARDIM ARUÃ','CAMPINAS','SP',3014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011582,6.00,7.00,2.00,6.00,6.00,6.00,2.00,3.00,6.00,501,NULL,NULL,'LAPA','S PAULO','SP',11811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011604,3.00,5.00,4.00,5.00,4.00,9.38,0.00,2.00,4.00,108,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5011612,8.00,6.00,1.00,5.00,4.00,7.50,3.00,3.00,4.00,501,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5011620,7.00,3.00,0.00,6.00,8.00,7.88,2.00,4.00,4.00,340,NULL,NULL,'CENTRO','CARAPICUÍBA','SP',13339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011647,5.00,7.00,3.00,5.00,4.00,6.75,0.00,0.00,6.00,202,NULL,601,'BOM RETIRO','JOINVILLE','SC',13047,441,NULL,NULL,NULL,NULL,NULL,2,8),(20,5011655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'ESPINHEIROS','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5011663,7.00,7.00,3.00,6.00,7.00,10.50,5.00,6.00,6.00,303,NULL,NULL,'TORRES DE SÃO JOSÉ','JUNDIAÍ','SP',2466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011671,3.00,6.00,2.00,7.00,7.00,9.75,2.00,3.00,2.00,425,NULL,424,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011680,5.00,2.00,0.00,4.00,4.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5011698,9.00,6.00,7.00,6.00,8.00,9.75,5.00,4.00,5.00,203,NULL,601,'ITAUM','JOINVILLE','SC',2628,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5011701,7.00,2.00,4.00,5.00,7.00,7.88,3.00,3.00,4.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',12553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011710,8.00,8.00,5.00,6.00,8.00,9.38,5.00,7.00,6.00,208,NULL,207,'PARQUE DEZ','MANAUS','AM',2039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5011736,7.00,7.00,1.00,7.00,9.00,6.38,1.00,6.00,6.00,303,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',7397,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5011760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5011787,7.00,6.00,4.00,7.00,9.00,8.25,4.00,4.00,7.00,215,NULL,216,'MOOCA','S PAULO','SP',4361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011809,8.00,8.00,8.00,7.00,9.00,9.38,7.00,5.00,8.00,104,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011817,5.00,5.00,2.00,4.00,8.00,7.88,3.00,4.00,3.00,103,NULL,NULL,'MORRO DO MEIO','JOINVILLE','SC',12122,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5011825,7.00,7.00,4.00,5.00,7.00,9.75,2.00,4.00,6.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',5700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011833,8.00,8.00,6.00,8.00,9.00,13.50,6.00,5.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011841,7.00,5.00,1.00,7.00,9.00,12.00,3.00,3.00,3.00,420,NULL,NULL,'GUANABARA','JOINVILLE','SC',7888,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5011850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5011868,7.00,9.00,3.00,7.00,9.00,10.50,1.00,5.00,7.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011876,5.00,7.00,3.00,5.00,8.00,7.88,3.00,2.00,5.00,208,NULL,238,'ALTO ARIRIÚ','PALHOÇA','SC',8894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5011892,8.00,7.00,7.00,8.00,9.00,10.88,6.00,6.00,8.00,203,NULL,601,'CENTRO','CRICIÚMA','SC',280,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5011906,8.00,5.00,7.00,7.00,10.00,9.38,5.00,3.00,6.00,216,NULL,201,'TERRAS DE SAO JOAO','JACAREÍ','SP',2157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011914,6.00,5.00,5.00,4.00,7.00,7.88,3.00,1.00,4.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',11119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011922,6.00,4.00,3.00,2.00,5.00,8.25,2.00,1.00,2.00,303,NULL,NULL,'CENTRO','LUCAS R VERDE','MT',15115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5011965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BOM RETIRO','BRAGANÇA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5011973,7.00,6.00,3.00,6.00,6.00,10.88,3.00,4.00,5.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',6075,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5011981,3.00,4.00,3.00,2.00,7.00,NULL,2.00,1.00,5.00,301,NULL,NULL,'CIDADE JARDIM','RIO CLARO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5011990,5.00,5.00,0.00,4.00,4.00,NULL,0.00,1.00,3.00,215,NULL,212,'SAO LOURENÇO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'JARDIM CONCEIÇÃO','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5012015,6.00,6.00,1.00,3.00,7.00,8.63,2.00,2.00,3.00,326,NULL,NULL,'SANTA TERESA','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5012031,8.00,6.00,0.00,7.00,8.00,10.13,1.00,2.00,4.00,303,NULL,NULL,'CENTRO','ITAPEMA','SC',9166,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5012040,7.00,7.00,1.00,4.00,8.00,7.50,3.00,2.00,6.00,102,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',8226,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5012058,2.00,3.00,0.00,4.00,5.00,NULL,2.00,2.00,5.00,9,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5012066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM LUCEMAR','BARRA BONITA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5012074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM DAS MARAVILHA','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5012082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5012090,4.00,5.00,1.00,3.00,5.00,NULL,3.00,1.00,1.00,450,NULL,NULL,'JARDIM MAR E CÉU','GUARUJÁ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5012104,8.00,8.00,5.00,6.00,9.00,10.13,2.00,4.00,8.00,203,NULL,202,'CENTRO','CRICIÚMA','SC',2699,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5012112,8.00,7.00,6.00,4.00,9.00,10.50,6.00,6.00,6.00,316,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',2070,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5012120,7.00,8.00,3.00,7.00,9.00,9.75,5.00,6.00,3.00,201,NULL,653,'CENTRO','IÇARA','SC',2729,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5012139,7.00,8.00,6.00,6.00,8.00,10.88,4.00,6.00,5.00,220,NULL,203,'JARDIM DAS BANDEIRAS','FOZ IGUAÇU','PR',2351,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5012155,7.00,7.00,4.00,4.00,9.00,12.00,5.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3844,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5012163,7.00,7.00,4.00,5.00,6.00,NULL,0.00,5.00,5.00,203,NULL,233,'JARDIM TROPICAL','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5012171,6.00,5.00,1.00,4.00,7.00,9.38,2.00,4.00,5.00,202,NULL,207,'CIDADE BAIXA','PTO ALEGRE','RS',8372,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5012198,7.00,6.00,5.00,8.00,7.00,7.88,3.00,4.00,6.00,207,NULL,201,'JARDIM PAULISTA','JUNDIAÍ','SP',3874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012201,2.00,1.00,3.00,1.00,3.00,NULL,1.00,2.00,2.00,201,NULL,NULL,'CENTRO','STA LÚCIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5012210,4.00,6.00,3.00,3.00,2.00,NULL,2.00,1.00,2.00,452,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5012228,2.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,5.00,223,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5012236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'INDEPENDÊNCIA','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5012252,7.00,7.00,3.00,5.00,9.00,6.75,3.00,4.00,3.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012260,6.00,6.00,5.00,8.00,8.00,12.00,3.00,6.00,7.00,340,NULL,NULL,'SANTANA','PTO ALEGRE','RS',2359,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5012279,9.00,7.00,5.00,7.00,9.00,10.88,5.00,6.00,9.00,103,NULL,NULL,'NOVA SANTA CRUZ','MOGI MIRIM','SP',471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012287,4.00,7.00,1.00,6.00,9.00,7.50,4.00,8.00,6.00,452,NULL,NULL,'ALVORADA','VIDEIRA','SC',6590,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5012295,5.00,5.00,4.00,5.00,6.00,9.00,3.00,4.00,4.00,316,NULL,NULL,'VILLA MOEMA','TUBARÃO','SC',11382,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5012309,8.00,7.00,9.00,6.00,7.00,9.00,7.00,4.00,8.00,220,NULL,235,'SETOR BUENO','GOIÂNIA','GO',1280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5012325,8.00,7.00,4.00,5.00,9.00,7.50,2.00,5.00,5.00,103,NULL,NULL,'NOVA BRASÍLIA','JOINVILLE','SC',4964,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5012341,1.00,2.00,3.00,1.00,2.00,NULL,2.00,2.00,2.00,5,NULL,NULL,'CAMPO DA AVIAÇÃO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5012350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'APARECIDA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5012368,6.00,8.00,5.00,5.00,7.00,10.13,3.00,7.00,5.00,453,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5844,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5012376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5012384,6.00,4.00,5.00,6.00,6.00,9.38,3.00,5.00,4.00,340,NULL,NULL,'CENTRO','PALOTINA','PR',7391,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5012392,8.00,5.00,3.00,6.00,8.00,8.25,1.00,5.00,6.00,215,NULL,216,'UBERABA','CURITIBA','PR',6080,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5012406,3.00,6.00,1.00,5.00,6.00,6.75,1.00,3.00,3.00,103,NULL,NULL,'BOA PARADA','S PEDRO ALCÂNTARA','SC',15320,3780,NULL,NULL,NULL,NULL,NULL,2,1),(20,5012414,6.00,7.00,2.00,5.00,8.00,7.13,2.00,3.00,4.00,101,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',9484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012422,2.00,1.00,0.00,4.00,7.00,NULL,0.00,3.00,1.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5012430,4.00,6.00,2.00,6.00,9.00,NULL,0.00,4.00,3.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012449,3.00,4.00,1.00,4.00,5.00,9.38,3.00,2.00,5.00,202,NULL,203,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5012465,5.00,5.00,2.00,8.00,5.00,8.63,1.00,2.00,3.00,9,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMÉRICA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5012490,4.00,5.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,108,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5012511,4.00,5.00,0.00,4.00,4.00,8.63,2.00,2.00,6.00,415,NULL,NULL,'VARGEM GRANDE','PINHAIS','PR',15541,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5012520,4.00,8.00,3.00,5.00,9.00,10.50,1.00,5.00,6.00,5,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',9485,315,NULL,NULL,NULL,NULL,NULL,4,16),(20,5012546,4.00,5.00,4.00,2.00,4.00,7.50,4.00,1.00,3.00,214,NULL,213,'VILA OLIVEIRA','MOGI CRUZES','SP',13469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012554,7.00,7.00,3.00,6.00,9.00,8.25,3.00,5.00,5.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',3256,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5012562,5.00,4.00,3.00,3.00,4.00,9.00,1.00,3.00,4.00,415,NULL,NULL,'ARIRÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5012570,7.00,5.00,0.00,5.00,6.00,7.50,3.00,1.00,3.00,503,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5012597,9.00,7.00,7.00,7.00,10.00,8.63,4.00,5.00,6.00,201,NULL,233,'COQUEIROS','FLORIANÓPOLIS','SC',1275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012600,4.00,4.00,4.00,1.00,7.00,NULL,2.00,1.00,2.00,319,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5012627,7.00,6.00,1.00,5.00,5.00,7.13,2.00,1.00,3.00,308,NULL,NULL,'NOSSA SENHORA DO ROS','S JOSÉ','SC',15619,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5012635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'JARDIM ITALIA','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5012643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'ITANHANGÁ PARK','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5012651,4.00,4.00,3.00,4.00,3.00,NULL,2.00,1.00,5.00,201,NULL,238,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5012660,6.00,6.00,5.00,8.00,10.00,9.75,3.00,6.00,8.00,203,NULL,601,'SOUZA CRUZ','BRUSQUE','SC',2616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5012686,9.00,7.00,4.00,5.00,7.00,9.38,3.00,5.00,5.00,233,NULL,601,'RIO MAINA','CRICIÚMA','SC',4614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012694,5.00,5.00,1.00,5.00,7.00,9.75,0.00,3.00,2.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',14206,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5012716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SANTANA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5012732,3.00,6.00,3.00,6.00,10.00,9.00,2.00,4.00,3.00,211,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',9275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012740,6.00,6.00,5.00,7.00,9.00,9.00,4.00,4.00,7.00,208,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',5634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012767,9.00,7.00,6.00,6.00,8.00,8.63,5.00,4.00,8.00,103,NULL,NULL,'CENTRO','CORUMBÁ','MS',1449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTOS DE IGARACU','IGARAÇU TIETÊ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5012791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,NULL,'PARQUE PADUAN','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5012805,8.00,4.00,3.00,6.00,8.00,9.00,3.00,3.00,6.00,238,NULL,208,'CINQUENTENÁRIO','CAXIAS SUL','RS',8094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012813,9.00,7.00,0.00,6.00,9.00,NULL,4.00,2.00,5.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012821,7.00,6.00,0.00,6.00,7.00,8.63,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',7868,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5012830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,238,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5012848,4.00,3.00,3.00,6.00,5.00,6.75,2.00,2.00,2.00,5,NULL,NULL,'CRISTO REI','CURITIBA','PR',15843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012856,9.00,8.00,7.00,5.00,7.00,14.25,4.00,4.00,7.00,202,NULL,213,'CENTRO','CAMPINAS','SP',1259,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5012864,7.00,6.00,0.00,6.00,4.00,10.50,1.00,2.00,5.00,207,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',12625,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5012872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'GETÚLIO VARGAS','RIO GRANDE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5012880,6.00,7.00,2.00,6.00,9.00,9.00,3.00,4.00,6.00,208,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012899,7.00,5.00,0.00,6.00,7.00,6.75,0.00,4.00,6.00,429,NULL,425,'PONTE DE IMARUIM','PALHOÇA','SC',11837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012910,4.00,3.00,2.00,6.00,3.00,NULL,1.00,2.00,5.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5012929,7.00,6.00,6.00,3.00,5.00,7.88,6.00,3.00,8.00,601,NULL,202,'SAGUAÇU','JOINVILLE','SC',5346,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5012937,6.00,3.00,3.00,4.00,3.00,NULL,3.00,3.00,2.00,238,NULL,208,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012945,8.00,7.00,4.00,7.00,8.00,9.75,4.00,5.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012953,3.00,3.00,2.00,4.00,6.00,NULL,1.00,3.00,2.00,302,NULL,NULL,'BELA VISTA II','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5012961,8.00,5.00,1.00,7.00,8.00,8.25,0.00,5.00,6.00,453,NULL,NULL,'PORTINHO','LAGUNA','SC',5900,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5012970,8.00,8.00,7.00,4.00,8.00,8.25,7.00,8.00,8.00,216,NULL,211,'CAMPECHE','FLORIANÓPOLIS','SC',1542,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5012988,7.00,6.00,0.00,5.00,8.00,8.25,2.00,1.00,5.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',13788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5012996,5.00,7.00,0.00,4.00,6.00,8.63,3.00,2.00,5.00,103,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5013003,7.00,7.00,4.00,7.00,8.00,10.88,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','CHAPADA','RS',4587,2023,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013011,9.00,7.00,4.00,5.00,7.00,9.38,3.00,5.00,6.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',3702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013020,4.00,4.00,0.00,5.00,4.00,NULL,0.00,2.00,3.00,207,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5013038,4.00,5.00,1.00,5.00,4.00,6.38,2.00,4.00,5.00,304,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',14258,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5013046,7.00,8.00,6.00,6.00,7.00,9.38,1.00,6.00,4.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4509,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5013054,8.00,4.00,3.00,3.00,5.00,9.00,2.00,3.00,4.00,208,NULL,215,'AGRONOMICA','FLORIANÓPOLIS','SC',12693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013062,9.00,8.00,4.00,7.00,10.00,12.38,5.00,5.00,7.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',899,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5013070,6.00,4.00,2.00,6.00,7.00,7.88,1.00,2.00,5.00,601,NULL,233,'PIO CORREA','CRICIÚMA','SC',10715,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5013089,3.00,4.00,5.00,5.00,6.00,6.00,1.00,3.00,4.00,233,NULL,215,'UNIVERSITÁRIO','TIJUCAS','SC',16108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013100,2.00,5.00,3.00,4.00,5.00,NULL,0.00,2.00,3.00,207,NULL,238,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5013119,5.00,4.00,4.00,6.00,8.00,9.00,1.00,3.00,3.00,102,NULL,NULL,'SANTA RITA','BRUSQUE','SC',10154,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5013127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VILA MORANGUEIRA','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5013135,7.00,6.00,2.00,4.00,6.00,9.38,1.00,4.00,7.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MIRANDÓPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5013151,9.00,8.00,9.00,7.00,10.00,10.13,9.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',47,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013160,4.00,4.00,5.00,5.00,7.00,6.00,2.00,4.00,6.00,207,NULL,201,'RACHADEL','ANTÔNIO CARLOS','SC',9927,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5013178,8.00,6.00,4.00,7.00,9.00,11.63,2.00,3.00,7.00,415,NULL,NULL,'CHACARA STO ANTONIO','S PAULO','SP',3491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013186,5.00,4.00,1.00,4.00,6.00,NULL,0.00,1.00,4.00,208,NULL,238,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5013194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5013208,8.00,7.00,1.00,6.00,9.00,7.88,4.00,2.00,4.00,104,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',6176,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5013216,8.00,6.00,4.00,4.00,7.00,9.75,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013224,4.00,4.00,1.00,5.00,5.00,NULL,0.00,3.00,1.00,340,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013232,6.00,5.00,4.00,7.00,9.00,10.50,3.00,1.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6043,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5013240,4.00,6.00,1.00,5.00,4.00,NULL,0.00,4.00,5.00,450,NULL,NULL,'CENTRO','CRUZ ALTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013259,5.00,3.00,0.00,1.00,4.00,NULL,1.00,3.00,2.00,234,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM BELA VISTA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5013275,7.00,7.00,7.00,7.00,7.00,8.25,1.00,6.00,6.00,102,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',4562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'ASA SUL','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5013291,7.00,4.00,4.00,6.00,8.00,10.13,3.00,2.00,5.00,333,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',6847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5013313,9.00,7.00,8.00,7.00,10.00,12.00,7.00,5.00,9.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',66,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELEM','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5013330,6.00,7.00,1.00,4.00,6.00,9.38,2.00,4.00,2.00,450,NULL,NULL,'VILA ZIZINHA','S JOSÉ CAMPOS','SP',12377,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5013348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'QUILOMBO','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5013364,8.00,8.00,7.00,7.00,7.00,7.88,7.00,4.00,7.00,203,NULL,220,'ITACORUBI','FLORIANÓPOLIS','SC',1384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5013429,5.00,6.00,1.00,5.00,4.00,9.00,2.00,4.00,2.00,103,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013437,5.00,8.00,3.00,7.00,8.00,9.38,6.00,6.00,5.00,207,NULL,201,'JARDIM GUANABARA','CAMPINAS','SP',2782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO ANTONIO','JAÚ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5013461,7.00,7.00,3.00,6.00,6.00,8.63,1.00,2.00,3.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',10195,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5013470,2.00,6.00,0.00,3.00,2.00,NULL,1.00,3.00,2.00,207,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013488,8.00,5.00,5.00,7.00,8.00,10.88,7.00,3.00,6.00,220,NULL,235,'CENTRO','PTO SEGURO','BA',2787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013496,5.00,3.00,2.00,3.00,3.00,NULL,5.00,2.00,2.00,238,NULL,202,'JARDIM PANORAM','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013500,9.00,8.00,6.00,6.00,8.00,11.63,6.00,6.00,7.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013518,7.00,4.00,6.00,7.00,8.00,6.75,5.00,3.00,5.00,216,NULL,215,'BARRA DO RIO MOLHA','JARAGUÁ SUL','SC',6512,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5013526,8.00,2.00,5.00,7.00,7.00,7.88,4.00,5.00,7.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',5459,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5013534,6.00,5.00,3.00,4.00,5.00,7.88,3.00,2.00,6.00,428,NULL,423,'BELEM NOVO','PTO ALEGRE','RS',14230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5013542,9.00,7.00,7.00,7.00,10.00,8.25,7.00,5.00,7.00,5,NULL,NULL,'CENTRO','S JOSÉ','SC',415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'SÃO CONRADO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5013569,9.00,6.00,4.00,4.00,9.00,8.25,5.00,5.00,9.00,103,NULL,NULL,'BAIRRO ANA PAULA','JARAGUÁ SUL','SC',2587,1328,NULL,NULL,NULL,NULL,NULL,2,2),(20,5013577,9.00,9.00,4.00,4.00,9.00,10.88,6.00,4.00,7.00,103,NULL,NULL,'JARDIM GUANABARA','CAMPINAS','SP',1459,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5013585,9.00,6.00,2.00,8.00,9.00,8.63,3.00,7.00,7.00,104,NULL,NULL,'IRIRIU','JOINVILLE','SC',3773,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5013593,5.00,8.00,5.00,5.00,7.00,7.88,3.00,3.00,5.00,3,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',7312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013607,6.00,6.00,3.00,7.00,10.00,9.75,2.00,7.00,5.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',4698,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5013640,9.00,9.00,8.00,7.00,11.00,12.00,8.00,8.00,9.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',13,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5013658,4.00,4.00,2.00,7.00,4.00,10.88,1.00,7.00,3.00,102,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',12409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013666,6.00,6.00,2.00,4.00,4.00,10.50,1.00,3.00,2.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013674,8.00,8.00,6.00,3.00,9.00,10.13,5.00,6.00,8.00,202,NULL,213,'BARREIROS','S JOSÉ','SC',2702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013682,4.00,6.00,3.00,6.00,6.00,11.63,3.00,4.00,5.00,233,NULL,601,'BARRA','BAL CAMBORIÚ','SC',5940,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5013690,6.00,6.00,5.00,6.00,6.00,7.88,3.00,6.00,5.00,303,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',5649,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5013712,5.00,5.00,2.00,5.00,8.00,9.75,3.00,3.00,5.00,9,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013720,3.00,5.00,2.00,6.00,5.00,8.25,1.00,2.00,3.00,208,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',15381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013739,3.00,3.00,0.00,2.00,7.00,NULL,0.00,4.00,2.00,5,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5013747,8.00,4.00,6.00,7.00,9.00,9.38,6.00,6.00,9.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',1162,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5013755,7.00,6.00,2.00,7.00,9.00,10.50,0.00,7.00,4.00,340,NULL,NULL,'CENTRO','JOAÇABA','SC',5817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013763,6.00,6.00,6.00,7.00,10.00,9.38,3.00,5.00,8.00,453,NULL,NULL,'CENTRO','NOVA VENEZA','SC',2173,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5013771,8.00,7.00,1.00,4.00,6.00,10.13,1.00,6.00,7.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',7914,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5013780,8.00,4.00,2.00,7.00,10.00,8.25,4.00,5.00,6.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',3816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013798,5.00,5.00,0.00,6.00,7.00,8.25,3.00,4.00,4.00,9,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',11181,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5013801,5.00,7.00,1.00,2.00,3.00,NULL,3.00,2.00,4.00,201,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013810,4.00,3.00,6.00,6.00,6.00,6.75,3.00,2.00,6.00,103,NULL,NULL,'SUMARÉ','RIO SUL','SC',9902,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5013828,5.00,5.00,3.00,5.00,8.00,6.75,3.00,2.00,3.00,303,NULL,NULL,'CENTRO','PELOTAS','RS',12318,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5013836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'BELA VISTA','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5013844,5.00,2.00,0.00,6.00,7.00,NULL,1.00,3.00,3.00,102,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5013852,3.00,3.00,3.00,6.00,9.00,7.50,1.00,3.00,3.00,340,NULL,NULL,'CENTRO','VIDEIRA','SC',14285,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5013879,9.00,7.00,7.00,7.00,11.00,10.88,7.00,7.00,6.00,211,NULL,216,'STO ANT DE LISBOA','FLORIANÓPOLIS','SC',299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013887,6.00,6.00,6.00,7.00,7.00,9.38,5.00,5.00,5.00,201,NULL,216,'CENTRO','S MIGUEL OESTE','SC',3868,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5013895,8.00,8.00,1.00,5.00,8.00,8.63,5.00,2.00,5.00,202,NULL,203,'CAMPINAS','S JOSÉ','SC',7537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'PRAIA DA DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5013917,9.00,5.00,7.00,6.00,8.00,10.13,5.00,4.00,6.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5013933,8.00,7.00,3.00,7.00,8.00,9.00,6.00,4.00,7.00,201,NULL,216,'CENTRO','S MIGUEL OESTE','SC',2818,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5013941,4.00,4.00,2.00,4.00,7.00,6.75,2.00,4.00,2.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15861,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5013976,4.00,4.00,0.00,6.00,6.00,NULL,0.00,1.00,3.00,324,NULL,NULL,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5013984,4.00,7.00,2.00,7.00,9.00,9.75,2.00,3.00,6.00,102,NULL,NULL,'PAES LEME','IMBITUBA','SC',7107,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5013992,3.00,5.00,0.00,2.00,4.00,NULL,3.00,4.00,3.00,303,NULL,NULL,'GANCHOS DE FORA','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014000,9.00,8.00,6.00,7.00,11.00,8.63,6.00,6.00,8.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMBUI','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5014026,6.00,4.00,3.00,6.00,8.00,8.25,3.00,6.00,5.00,502,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10285,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014042,8.00,7.00,6.00,7.00,10.00,9.75,6.00,6.00,7.00,233,NULL,215,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',1363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014050,5.00,4.00,1.00,3.00,8.00,4.13,5.00,2.00,4.00,238,NULL,202,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014069,5.00,6.00,2.00,5.00,5.00,7.13,1.00,5.00,4.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13091,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014085,9.00,6.00,6.00,7.00,8.00,8.63,5.00,4.00,7.00,220,NULL,235,'JARDIM GOIÁS','GOIÂNIA','GO',2882,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5014093,5.00,7.00,0.00,4.00,4.00,8.63,0.00,1.00,4.00,303,NULL,NULL,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5014131,4.00,5.00,2.00,0.00,4.00,NULL,2.00,2.00,2.00,202,NULL,235,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5014140,4.00,4.00,1.00,6.00,8.00,8.25,3.00,2.00,5.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',14965,3748,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014158,3.00,5.00,2.00,5.00,4.00,8.25,3.00,3.00,3.00,208,NULL,238,'JARDIM AQUARIUS','PALHOÇA','SC',15172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014166,5.00,4.00,6.00,4.00,7.00,8.63,0.00,2.00,5.00,215,NULL,216,'CENTRO','BAL CAMBORIÚ','SC',13131,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5014174,8.00,7.00,3.00,7.00,9.00,8.25,4.00,5.00,6.00,103,NULL,NULL,'VILA FLORESTA','CRICIÚMA','SC',3059,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5014182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,235,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5014190,4.00,6.00,3.00,4.00,3.00,NULL,2.00,2.00,4.00,5,NULL,NULL,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014204,4.00,7.00,1.00,5.00,8.00,7.50,1.00,3.00,4.00,5,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',14323,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014212,6.00,6.00,0.00,2.00,5.00,8.63,2.00,2.00,5.00,301,NULL,NULL,'BELA VISTA','S PAULO','SP',13896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014220,6.00,3.00,3.00,5.00,6.00,8.25,1.00,2.00,4.00,420,NULL,NULL,'ROÇADO','S JOSÉ','SC',14468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'VILA NOVA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5014247,8.00,5.00,4.00,7.00,6.00,9.00,3.00,7.00,8.00,340,NULL,NULL,'PLANALTO PAULISTA','S PAULO','SP',3394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014255,5.00,4.00,2.00,2.00,5.00,7.50,6.00,3.00,5.00,653,NULL,652,'COMERCIÁRIO','CRICIÚMA','SC',14032,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5014263,9.00,6.00,4.00,7.00,11.00,9.00,5.00,6.00,6.00,103,NULL,NULL,'JD STA EUGÊNIA','PARANAVAÍ','PR',1428,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5014280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5014298,3.00,2.00,1.00,5.00,7.00,NULL,0.00,0.00,2.00,101,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014301,3.00,2.00,1.00,3.00,4.00,NULL,3.00,1.00,2.00,340,NULL,NULL,'JARDIM ESTORIL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIBEIRÂNIA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5014336,7.00,8.00,2.00,6.00,9.00,11.25,0.00,4.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014344,5.00,6.00,3.00,5.00,4.00,8.63,2.00,4.00,5.00,101,NULL,NULL,'POÇO FUNDO','STO AMARO IMPERATRIZ','SC',11022,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014352,9.00,7.00,7.00,7.00,6.00,11.63,5.00,2.00,8.00,103,NULL,NULL,'JARDIM PAULICÉIA','CAMPINAS','SP',1550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014379,3.00,5.00,0.00,4.00,5.00,NULL,3.00,2.00,6.00,211,NULL,207,'QUINTO BEC','VILHENA','RO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014395,5.00,7.00,4.00,3.00,7.00,7.13,2.00,3.00,3.00,503,NULL,NULL,'CENTRO','EXTREMA','MG',13199,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5014417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5014425,7.00,6.00,3.00,8.00,8.00,9.38,3.00,4.00,6.00,211,NULL,201,'PIO CORREA','CRICIÚMA','SC',6295,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5014433,8.00,8.00,4.00,3.00,8.00,7.88,4.00,4.00,6.00,203,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',5726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014441,1.00,4.00,1.00,6.00,5.00,NULL,0.00,3.00,4.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014450,8.00,6.00,5.00,7.00,7.00,12.00,1.00,4.00,7.00,9,NULL,NULL,'SANTO ANTONIO','MOSSORÓ','RN',3481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'RES EUROVILLE','CARAPICUÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5014476,9.00,6.00,4.00,7.00,8.00,7.50,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',2740,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5014484,4.00,8.00,5.00,4.00,7.00,7.13,3.00,5.00,4.00,203,NULL,202,'JARDIM DOS ESTADOS','CPO GRANDE','MS',7907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014492,3.00,5.00,2.00,4.00,4.00,7.50,1.00,3.00,5.00,9,NULL,NULL,'PARQUE VISTA ALEGRE','ITAPEVA','SP',15723,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'JARDIM AVARE','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5014514,5.00,4.00,1.00,4.00,6.00,8.25,1.00,3.00,5.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014522,7.00,8.00,0.00,5.00,6.00,8.63,2.00,3.00,5.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10025,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014530,9.00,8.00,5.00,7.00,9.00,6.75,3.00,3.00,6.00,108,NULL,NULL,'GARCIA','BLUMENAU','SC',3845,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5014549,7.00,6.00,2.00,6.00,9.00,8.25,1.00,3.00,4.00,109,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',10298,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5014557,6.00,6.00,0.00,7.00,8.00,10.88,1.00,3.00,6.00,211,NULL,233,'SÃO CRISTOVÃO','FAXINAL GUEDES','SC',7693,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5014565,6.00,7.00,2.00,6.00,8.00,8.63,2.00,2.00,7.00,215,NULL,202,'JARDIM BEIJA FLOR','ITAPEVA','SP',7655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014581,7.00,6.00,2.00,5.00,5.00,7.50,1.00,5.00,5.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13211,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'GRANJA VIANA','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5014603,9.00,7.00,8.00,7.00,9.00,9.75,8.00,7.00,8.00,203,NULL,202,'JD IGUAÇU','MARINGÁ','PR',180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014620,2.00,5.00,1.00,6.00,8.00,7.88,2.00,2.00,3.00,452,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',16106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPO BELO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5014646,6.00,6.00,6.00,4.00,9.00,7.88,5.00,6.00,5.00,201,NULL,208,'CENTRO','TOLEDO','PR',3909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014654,5.00,5.00,1.00,5.00,8.00,9.38,0.00,1.00,4.00,452,NULL,NULL,'SÃO CRISTOVÃO','CRICIÚMA','SC',12009,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5014662,8.00,8.00,4.00,6.00,10.00,7.50,6.00,4.00,5.00,303,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',2806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014670,8.00,7.00,5.00,7.00,8.00,10.50,7.00,5.00,8.00,203,NULL,NULL,'CENTRO','APUCARANA','PR',1569,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5014689,9.00,7.00,3.00,7.00,10.00,8.63,4.00,4.00,6.00,103,NULL,NULL,'SANTO ANTÔNIO','CPO GRANDE','MS',1929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014697,5.00,5.00,1.00,5.00,6.00,NULL,1.00,3.00,1.00,238,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014700,9.00,8.00,4.00,7.00,8.00,8.63,4.00,7.00,8.00,103,NULL,NULL,'BOM RETIRO','CURITIBA','PR',1529,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5014719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'JARDIM VAZANI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5014735,7.00,7.00,7.00,6.00,7.00,8.63,5.00,6.00,7.00,216,NULL,203,'ZONA CINCO','MARINGÁ','PR',1781,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5014743,8.00,7.00,2.00,7.00,10.00,9.38,2.00,4.00,3.00,104,NULL,NULL,'CENTRO','VENÂNCIO AIRES','RS',5912,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014751,5.00,4.00,1.00,6.00,5.00,9.38,3.00,1.00,4.00,216,NULL,NULL,'CAMILÓPOLIS','STO ANDRÉ','SP',14783,563,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014760,8.00,7.00,6.00,7.00,10.00,6.38,7.00,5.00,7.00,216,NULL,202,'JOSÉ MENDES','FLORIANÓPOLIS','SC',1902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014778,6.00,6.00,3.00,5.00,4.00,6.38,1.00,3.00,5.00,201,NULL,653,'COQUEIROS','FLORIANÓPOLIS','SC',13577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5014794,4.00,7.00,1.00,1.00,5.00,7.50,2.00,3.00,3.00,211,NULL,215,'CENTRO','CPO ERÊ','SC',15914,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5014808,8.00,7.00,2.00,7.00,7.00,12.75,4.00,7.00,7.00,415,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',2859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014816,8.00,6.00,5.00,5.00,6.00,10.88,3.00,6.00,6.00,304,NULL,NULL,'CENTRO','RIO ANTAS','SC',3915,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5014824,7.00,8.00,4.00,6.00,7.00,8.25,3.00,7.00,6.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',4050,1859,NULL,NULL,NULL,NULL,NULL,4,3),(20,5014832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'CIDADE JARDIM','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5014840,1.00,5.00,2.00,3.00,5.00,NULL,2.00,2.00,4.00,653,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5014859,5.00,4.00,2.00,5.00,2.00,NULL,1.00,1.00,4.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014867,3.00,5.00,2.00,4.00,6.00,NULL,2.00,2.00,2.00,429,NULL,425,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014883,9.00,6.00,3.00,5.00,10.00,10.50,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3855,1805,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014891,8.00,7.00,0.00,7.00,10.00,NULL,2.00,3.00,6.00,303,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014905,6.00,6.00,4.00,3.00,8.00,10.13,2.00,3.00,8.00,103,NULL,NULL,'SAÚDE','S PAULO','SP',7155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014913,6.00,6.00,4.00,6.00,7.00,9.75,3.00,3.00,4.00,428,NULL,424,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8190,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'SANTA CECILIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5014948,5.00,6.00,5.00,4.00,7.00,8.25,4.00,1.00,5.00,9,NULL,NULL,'MAR GROSSO','LAGUNA','SC',12798,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5014964,6.00,6.00,5.00,7.00,4.00,4.88,2.00,5.00,5.00,340,NULL,NULL,'ANITA GARIBALDE','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5014972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'JARDIM SILVANA','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5014980,3.00,6.00,1.00,5.00,5.00,7.88,1.00,3.00,1.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',15525,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5014999,6.00,5.00,3.00,5.00,9.00,8.25,4.00,4.00,5.00,203,NULL,207,'AZENHA','PTO ALEGRE','RS',9447,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5015006,6.00,6.00,1.00,7.00,5.00,4.88,3.00,1.00,6.00,203,NULL,214,'JARDIN PEDREIRAS','FRANCA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015014,9.00,7.00,3.00,4.00,7.00,7.88,4.00,3.00,6.00,103,NULL,NULL,'CENTRO','FRAIBURGO','SC',6215,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5015022,7.00,6.00,2.00,5.00,7.00,6.38,1.00,3.00,4.00,102,NULL,NULL,'FLORESTA','JOINVILLE','SC',11634,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5015030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5015049,9.00,8.00,5.00,7.00,10.00,12.75,5.00,8.00,7.00,103,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',444,NULL,NULL,NULL,NULL,NULL,NULL,3,4),(20,5015057,8.00,6.00,3.00,7.00,7.00,7.13,1.00,2.00,6.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',7498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5015073,5.00,8.00,1.00,7.00,9.00,6.38,2.00,4.00,5.00,303,NULL,NULL,'CENTRO','PALHOÇA','SC',7898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015081,6.00,5.00,4.00,4.00,8.00,7.88,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','CORUMBÁ','MS',12847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA MONTEIRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5015103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5015111,4.00,5.00,4.00,6.00,6.00,6.00,0.00,3.00,5.00,216,NULL,NULL,'PORTÃO','CURITIBA','PR',11602,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5015120,8.00,6.00,9.00,7.00,10.00,8.25,8.00,7.00,6.00,203,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015138,2.00,5.00,0.00,2.00,3.00,NULL,1.00,3.00,2.00,415,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015154,5.00,3.00,2.00,1.00,7.00,NULL,1.00,3.00,2.00,108,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015170,6.00,8.00,3.00,6.00,8.00,10.13,3.00,1.00,4.00,415,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8983,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5015189,3.00,6.00,5.00,6.00,5.00,9.38,3.00,4.00,4.00,308,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',9997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015197,6.00,6.00,2.00,6.00,9.00,8.63,0.00,5.00,2.00,101,NULL,NULL,'ARMAÇÃO PÂNTANO SUL','FLORIANÓPOLIS','SC',12057,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5015200,3.00,4.00,3.00,6.00,6.00,8.25,2.00,1.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015219,9.00,7.00,3.00,5.00,8.00,12.38,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2611,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5015227,9.00,7.00,9.00,5.00,8.00,10.88,7.00,4.00,9.00,103,NULL,NULL,'CENTRO','S ROQUE','SP',531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015235,6.00,6.00,3.00,2.00,3.00,NULL,3.00,1.00,4.00,104,NULL,NULL,'CENTRO','S DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5015243,5.00,7.00,3.00,7.00,10.00,8.25,4.00,2.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5015260,5.00,4.00,3.00,3.00,4.00,NULL,1.00,1.00,4.00,216,NULL,NULL,'CAMBUCI','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015278,6.00,4.00,4.00,7.00,8.00,10.13,4.00,2.00,5.00,208,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',7283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'AGENOR DE CARVALHO','PTO VELHO','RO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5015294,4.00,5.00,5.00,4.00,6.00,7.13,3.00,3.00,4.00,103,NULL,NULL,'HIGIENOPOLIS','RIBEIRÃO PRETO','SP',12178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015308,3.00,4.00,2.00,2.00,4.00,NULL,0.00,0.00,1.00,103,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5015316,4.00,7.00,1.00,3.00,4.00,7.88,1.00,5.00,2.00,340,NULL,NULL,'CENTRO','PATO BRANCO','PR',14430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015324,4.00,7.00,1.00,3.00,6.00,4.50,2.00,2.00,2.00,653,NULL,652,'ERECHIM','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5015332,6.00,7.00,1.00,4.00,3.00,NULL,0.00,3.00,3.00,211,NULL,207,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015367,8.00,6.00,5.00,7.00,7.00,7.88,6.00,4.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3037,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5015375,7.00,6.00,5.00,4.00,9.00,10.13,3.00,3.00,6.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5015383,9.00,6.00,6.00,7.00,7.00,10.50,6.00,2.00,6.00,211,NULL,216,'PARQUE DAS NAÇÕES','S JOÃO B VISTA','SP',2422,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5015391,4.00,1.00,3.00,2.00,3.00,NULL,2.00,2.00,2.00,501,NULL,NULL,'PALMITAL','MARÍLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5015405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5015413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5015421,2.00,4.00,1.00,4.00,3.00,NULL,2.00,3.00,2.00,453,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5015430,8.00,8.00,4.00,7.00,8.00,11.25,4.00,5.00,7.00,214,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',2384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015448,8.00,7.00,6.00,7.00,9.00,10.88,4.00,5.00,6.00,319,NULL,NULL,'CAJURU','CURITIBA','PR',1559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015456,3.00,6.00,6.00,5.00,7.00,8.25,1.00,4.00,6.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015464,8.00,8.00,9.00,4.00,8.00,7.88,7.00,5.00,7.00,203,NULL,214,'CENTRO','POMERODE','SC',1189,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5015472,8.00,7.00,3.00,5.00,8.00,9.38,3.00,8.00,5.00,216,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3118,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5015480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5015499,5.00,7.00,6.00,6.00,7.00,9.00,3.00,3.00,5.00,215,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',6903,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015510,1.00,5.00,2.00,2.00,3.00,NULL,1.00,1.00,2.00,340,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5015529,7.00,9.00,4.00,7.00,8.00,8.25,5.00,5.00,5.00,103,NULL,NULL,'COUNTRY','CASCAVEL','PR',3521,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5015537,8.00,7.00,7.00,6.00,8.00,9.38,8.00,5.00,7.00,211,NULL,215,'KOBRASOL','S JOSÉ','SC',1023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015553,5.00,6.00,0.00,5.00,6.00,6.38,2.00,4.00,2.00,103,NULL,NULL,'TATUAPÉ','S PAULO','SP',14357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015570,9.00,7.00,3.00,6.00,10.00,11.25,1.00,3.00,4.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015588,9.00,6.00,2.00,7.00,7.00,6.75,1.00,3.00,4.00,108,NULL,NULL,'ALTO','CURITIBA','PR',8717,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5015596,5.00,7.00,1.00,4.00,7.00,6.75,3.00,3.00,3.00,212,NULL,213,'ESPL S TEREZINHA','TAUBATÉ','SP',12676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015600,6.00,5.00,0.00,4.00,6.00,9.75,0.00,2.00,4.00,211,NULL,653,'SANTA FÉ ALTA','ITAPIRANGA','SC',14124,435,NULL,94,NULL,NULL,NULL,4,4),(20,5015618,6.00,5.00,2.00,5.00,8.00,7.13,1.00,2.00,4.00,205,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'NOVA DIVINÉIA','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5015634,7.00,7.00,5.00,7.00,8.00,11.63,6.00,5.00,6.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',1669,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5015642,6.00,6.00,2.00,6.00,6.00,10.88,1.00,3.00,6.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',9929,3157,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015669,8.00,8.00,5.00,7.00,10.00,9.75,3.00,4.00,7.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',1411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PRAIA ALEGRE','PENHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5015685,5.00,6.00,3.00,7.00,8.00,10.13,1.00,2.00,5.00,208,NULL,202,'CAPOEIRAS','FLORIANÓPOLIS','SC',10935,242,NULL,372,NULL,NULL,NULL,4,1),(20,5015693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'TATUAPÉ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5015707,4.00,7.00,0.00,6.00,8.00,NULL,3.00,3.00,1.00,329,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015715,6.00,4.00,2.00,6.00,4.00,8.63,1.00,2.00,2.00,215,NULL,207,'BATEL','CURITIBA','PR',16241,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5015723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5015731,3.00,7.00,4.00,3.00,7.00,7.88,3.00,4.00,5.00,320,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',9751,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5015740,7.00,4.00,2.00,4.00,6.00,10.13,1.00,4.00,7.00,215,NULL,211,'GLORIA','JOINVILLE','SC',8387,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5015758,7.00,6.00,5.00,5.00,8.00,7.50,3.00,4.00,4.00,303,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',6633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5015766,7.00,5.00,1.00,6.00,8.00,7.88,2.00,4.00,5.00,103,NULL,NULL,'BAIRRO IPIRANGA','S JOSÉ','SC',8941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015774,4.00,0.00,1.00,5.00,1.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'LIMOEIRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(20,5015782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,220,'PRESIDENTE ALTINO','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5015790,6.00,7.00,6.00,6.00,7.00,7.88,6.00,4.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015804,6.00,5.00,2.00,7.00,9.00,8.63,1.00,3.00,6.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015812,6.00,6.00,3.00,7.00,8.00,7.50,3.00,4.00,5.00,207,NULL,212,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5015820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'V HIGIENÓPOLIS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5015839,8.00,6.00,4.00,7.00,9.00,12.75,5.00,7.00,9.00,108,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015847,8.00,4.00,5.00,6.00,7.00,9.00,3.00,3.00,4.00,601,NULL,203,'CENTRO','S BENTO SUL','SC',7819,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5015855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5015863,8.00,5.00,4.00,7.00,10.00,9.75,2.00,5.00,6.00,103,NULL,NULL,'CHACARA MALOTA','JUNDIAÍ','SP',2668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015871,7.00,8.00,5.00,7.00,10.00,9.38,3.00,4.00,5.00,207,NULL,215,'SÃO CRISTÓVÃO','LAGES','SC',3551,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5015880,9.00,8.00,7.00,6.00,10.00,9.38,6.00,5.00,9.00,415,NULL,NULL,'ROYAL TENNIS','LONDRINA','PR',608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015898,5.00,5.00,3.00,7.00,9.00,9.38,1.00,5.00,3.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015901,8.00,4.00,2.00,5.00,10.00,9.75,3.00,3.00,6.00,5,NULL,NULL,'CENTRO','TUBARÃO','SC',5901,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5015910,6.00,6.00,5.00,7.00,7.00,9.38,1.00,5.00,7.00,216,NULL,233,'MINA BRASIL','CRICIÚMA','SC',7154,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5015928,5.00,5.00,0.00,3.00,5.00,NULL,0.00,2.00,4.00,420,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015952,8.00,6.00,5.00,7.00,8.00,10.13,3.00,5.00,7.00,303,NULL,NULL,'VILLAGGIO I','BAURU','SP',2799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015960,9.00,6.00,6.00,7.00,10.00,10.13,3.00,4.00,4.00,207,NULL,201,'SÃO LUIZ','BRUSQUE','SC',2972,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5015979,3.00,4.00,4.00,5.00,3.00,NULL,3.00,2.00,4.00,404,NULL,NULL,'VILA NOVA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5015987,2.00,5.00,1.00,2.00,2.00,NULL,0.00,3.00,3.00,303,NULL,NULL,'CENTRO','SINOP','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5015995,4.00,8.00,3.00,5.00,8.00,8.63,1.00,5.00,5.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5016002,8.00,5.00,3.00,5.00,9.00,7.13,5.00,4.00,8.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',4441,1980,NULL,NULL,NULL,NULL,NULL,2,1),(20,5016029,3.00,4.00,1.00,4.00,5.00,7.13,3.00,3.00,3.00,319,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',16294,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5016053,4.00,7.00,3.00,4.00,7.00,6.00,3.00,3.00,5.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',13780,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5016061,7.00,7.00,6.00,6.00,8.00,7.50,1.00,6.00,8.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',3610,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5016088,6.00,4.00,0.00,5.00,5.00,7.88,0.00,4.00,4.00,103,NULL,NULL,'CENTRO','MATINHOS','PR',15023,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5016096,5.00,6.00,3.00,7.00,8.00,8.25,3.00,2.00,7.00,203,NULL,202,'VILA INDAIÁ','RIO CLARO','SP',6583,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5016100,8.00,4.00,3.00,6.00,10.00,6.75,2.00,3.00,6.00,340,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',6831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5016118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5016126,8.00,8.00,4.00,7.00,9.00,9.75,4.00,3.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',3350,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5016134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'SÃO FRANCISCO','NITERÓI','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5016142,6.00,4.00,1.00,3.00,4.00,0.00,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5016150,5.00,7.00,2.00,6.00,10.00,10.88,1.00,4.00,5.00,415,NULL,NULL,'VALPARAÍSO','BLUMENAU','SC',6840,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5016169,4.00,6.00,1.00,3.00,3.00,NULL,1.00,3.00,2.00,652,NULL,653,'MORRO DOS CONVENTOS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5016177,6.00,6.00,4.00,7.00,9.00,7.50,1.00,4.00,3.00,452,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',7487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016185,9.00,6.00,2.00,7.00,8.00,7.13,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',4996,2145,NULL,NULL,NULL,NULL,NULL,4,4),(20,5016193,7.00,7.00,6.00,6.00,9.00,7.50,6.00,7.00,6.00,201,NULL,601,'PONTE DO IMARUIM','PALHOÇA','SC',2419,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5016207,4.00,4.00,1.00,6.00,4.00,8.25,2.00,3.00,3.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',15821,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5016215,8.00,6.00,2.00,7.00,8.00,9.75,6.00,7.00,6.00,340,NULL,NULL,'CIDADE NOVA','PTO UNIÃO','SC',2956,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5016223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVO ESTEIO','ESTEIO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5016231,2.00,4.00,2.00,5.00,3.00,NULL,2.00,3.00,3.00,207,NULL,201,'JARDIM AMERICA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5016240,6.00,6.00,3.00,7.00,7.00,7.88,1.00,4.00,5.00,102,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016266,8.00,7.00,3.00,5.00,9.00,10.13,1.00,5.00,7.00,340,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',4267,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5016274,7.00,5.00,0.00,7.00,9.00,9.75,2.00,3.00,6.00,301,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016282,6.00,6.00,0.00,5.00,6.00,NULL,0.00,3.00,5.00,103,NULL,NULL,'LINDÓIA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5016290,4.00,6.00,6.00,4.00,7.00,10.13,2.00,5.00,5.00,208,NULL,238,'CENTRO','TIJUCAS','SC',8218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016304,5.00,4.00,3.00,6.00,5.00,7.50,0.00,3.00,5.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016312,7.00,8.00,0.00,3.00,9.00,9.75,2.00,3.00,3.00,303,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',9822,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5016320,3.00,5.00,4.00,6.00,6.00,11.25,2.00,2.00,4.00,201,NULL,233,'CENTRO','CPO GRANDE','MS',8679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016347,4.00,6.00,4.00,6.00,8.00,5.25,5.00,1.00,5.00,211,NULL,207,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5016355,5.00,7.00,3.00,4.00,6.00,6.00,5.00,2.00,5.00,303,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',13180,534,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5016380,8.00,7.00,7.00,5.00,10.00,9.75,6.00,3.00,7.00,203,NULL,233,'CENTRO','BRAÇO NORTE','SC',1417,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5016398,4.00,3.00,2.00,2.00,3.00,NULL,1.00,0.00,2.00,503,NULL,NULL,'SÃO BASÍLIO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5016401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'SÃO BASILIO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5016410,7.00,6.00,4.00,7.00,8.00,11.25,4.00,4.00,6.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',2920,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5016428,5.00,6.00,4.00,7.00,6.00,8.25,1.00,3.00,3.00,207,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',12466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016436,8.00,5.00,0.00,4.00,9.00,9.00,3.00,4.00,4.00,601,NULL,NULL,'BUCAREIN','JOINVILLE','SC',11203,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5016460,2.00,7.00,2.00,2.00,4.00,NULL,2.00,2.00,2.00,317,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5016479,4.00,4.00,2.00,5.00,5.00,8.25,2.00,1.00,5.00,110,NULL,NULL,'OURO PRETO','CARAZINHO','RS',14670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016487,7.00,8.00,0.00,7.00,9.00,9.38,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','SOMBRIO','SC',4391,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5016495,7.00,7.00,1.00,6.00,8.00,9.75,2.00,2.00,7.00,452,NULL,NULL,'JARDIM ITÚ SABARÁ','PTO ALEGRE','RS',5837,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5016509,4.00,8.00,3.00,7.00,8.00,7.50,3.00,6.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SÃO FRANCISCO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5016533,4.00,4.00,2.00,4.00,3.00,NULL,0.00,0.00,2.00,103,NULL,NULL,'ZONA UM','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016541,8.00,9.00,6.00,8.00,9.00,11.25,4.00,8.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016568,4.00,6.00,2.00,5.00,5.00,10.13,3.00,2.00,4.00,211,NULL,652,'RIBANCEIRA DO SUL','S JOÃO BATISTA','SC',12841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016576,9.00,9.00,6.00,6.00,8.00,11.25,7.00,5.00,7.00,216,NULL,215,'JARDIM FERRARI','ITAPEVA','SP',352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016584,5.00,5.00,3.00,6.00,6.00,7.50,4.00,2.00,1.00,233,NULL,601,'SAGUAÇU','JOINVILLE','SC',14051,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5016592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5016606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'ICARAI','NITERÓI','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5016614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESPLANADA DO SOL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5016622,7.00,7.00,1.00,5.00,8.00,NULL,0.00,5.00,4.00,108,NULL,NULL,'CENTRO HISTÓRICO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016630,8.00,5.00,4.00,7.00,9.00,8.25,7.00,4.00,9.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016649,5.00,5.00,4.00,7.00,7.00,8.63,3.00,1.00,7.00,601,NULL,202,'VILA MARIANA','RIBEIRÃO PRETO','SP',7613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SANTO AMARO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5016665,6.00,7.00,4.00,8.00,9.00,9.38,3.00,5.00,6.00,326,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016673,8.00,7.00,6.00,7.00,9.00,10.13,3.00,5.00,8.00,203,NULL,201,'VILA SÃO JOSÉ','ARARANGUÁ','SC',2387,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5016681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'PANORAMA','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(20,5016690,8.00,7.00,1.00,7.00,9.00,9.38,3.00,5.00,6.00,102,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',3916,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5016703,3.00,6.00,3.00,5.00,6.00,7.88,3.00,3.00,4.00,302,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',11600,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5016711,3.00,6.00,0.00,4.00,5.00,NULL,2.00,1.00,2.00,215,NULL,216,'APARECIDA','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5016720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VL VICENTINA','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5016738,5.00,5.00,4.00,5.00,8.00,9.00,3.00,2.00,4.00,215,NULL,212,'CENTRO','PAPANDUVA','SC',9289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016746,6.00,6.00,3.00,7.00,7.00,8.63,6.00,3.00,5.00,203,NULL,220,'CARANDÁ BOSQUE','CPO GRANDE','MS',6651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016754,1.00,3.00,1.00,1.00,4.00,NULL,2.00,1.00,3.00,201,NULL,207,'SANTA TERESA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5016762,8.00,5.00,3.00,5.00,7.00,10.88,1.00,3.00,7.00,103,NULL,NULL,'MOOCA','S PAULO','SP',5743,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5016770,4.00,6.00,4.00,6.00,6.00,6.00,1.00,3.00,6.00,316,NULL,NULL,'SAMAMBAIA','BAURU','SP',9917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016797,6.00,5.00,3.00,2.00,5.00,6.38,2.00,3.00,5.00,216,NULL,215,'CAPÃO DA IMBUIA','CURITIBA','PR',13415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MIRANDÓPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5016819,8.00,9.00,6.00,7.00,9.00,11.63,4.00,5.00,8.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016827,7.00,9.00,7.00,6.00,8.00,9.38,3.00,2.00,6.00,207,NULL,201,'SÃO FRANCISCO','BENTO GONÇALVES','RS',2792,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5016835,1.00,7.00,0.00,4.00,4.00,NULL,2.00,1.00,1.00,2,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5016843,7.00,6.00,7.00,7.00,9.00,8.63,4.00,4.00,7.00,336,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',3228,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5016851,9.00,6.00,6.00,6.00,8.00,8.25,4.00,6.00,8.00,103,NULL,NULL,'CENTRO','JURANDA','PR',1918,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5016860,7.00,6.00,4.00,7.00,6.00,9.75,2.00,2.00,4.00,207,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',6718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016878,9.00,8.00,9.00,7.00,9.00,9.00,7.00,6.00,8.00,220,NULL,601,'SETOR OESTE','GOIÂNIA','GO',254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5016894,6.00,6.00,5.00,7.00,10.00,8.25,4.00,5.00,5.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',3760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BELA VISTA','ITAPIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5016916,5.00,4.00,0.00,6.00,5.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'SANTA QUITERIA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5016924,9.00,7.00,4.00,7.00,9.00,10.13,4.00,4.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016932,9.00,8.00,8.00,7.00,10.00,10.50,8.00,5.00,9.00,103,NULL,NULL,'BOA VISTA','BOTUCATU','SP',161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5016959,7.00,7.00,5.00,6.00,6.00,3.38,3.00,5.00,5.00,3,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5016967,7.00,8.00,7.00,7.00,5.00,9.75,7.00,5.00,7.00,212,NULL,201,'JARDIM PAULISTANO','S PAULO','SP',2116,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5016983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'GUAÍRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5016991,7.00,8.00,1.00,7.00,10.00,9.00,3.00,3.00,5.00,207,NULL,208,'ITACURUBI','FLORIANÓPOLIS','SC',5560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'QUISISANA','POÇOS CALDAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5017017,4.00,4.00,0.00,2.00,4.00,NULL,2.00,5.00,4.00,238,NULL,233,'NOVO BOTAFOGO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5017025,6.00,5.00,2.00,6.00,5.00,9.00,4.00,5.00,5.00,333,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',9348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','ITAPEVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5017041,6.00,5.00,3.00,6.00,4.00,9.00,3.00,3.00,5.00,450,NULL,NULL,'SETOR SUL','GOIANÉSIA','GO',12258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017076,8.00,8.00,1.00,7.00,10.00,10.13,8.00,6.00,5.00,214,NULL,213,'AGRONÔMICA','FLORIANÓPOLIS','SC',1358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017084,3.00,5.00,1.00,2.00,4.00,NULL,1.00,3.00,1.00,317,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5017092,5.00,5.00,1.00,6.00,8.00,8.25,2.00,3.00,5.00,420,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5017106,6.00,6.00,1.00,3.00,4.00,7.88,1.00,4.00,3.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14389,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5017114,8.00,5.00,1.00,7.00,7.00,9.38,2.00,4.00,5.00,102,NULL,NULL,'SÃO LUÍS','BRUSQUE','SC',7489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017122,7.00,5.00,4.00,2.00,2.00,NULL,3.00,4.00,8.00,103,NULL,NULL,'MÊRCES','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5017149,8.00,8.00,2.00,6.00,6.00,7.50,3.00,3.00,6.00,202,NULL,653,'CENTRO','CURITIBA','PR',5997,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5017157,6.00,5.00,3.00,2.00,2.00,NULL,1.00,1.00,4.00,104,NULL,NULL,'CENTRO','IMBITUVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5017165,7.00,6.00,1.00,6.00,6.00,6.38,2.00,3.00,6.00,102,NULL,NULL,'SANTO INÁCIO','CURITIBA','PR',10229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017173,6.00,7.00,5.00,4.00,6.00,6.38,3.00,4.00,7.00,201,NULL,212,'JARDIM ANA MARIA','SOROCABA','SP',5514,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5017181,8.00,8.00,4.00,7.00,8.00,10.50,5.00,4.00,7.00,203,NULL,214,'ESPLANADA DO SOL','S JOSÉ CAMPOS','SP',2347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017190,5.00,3.00,0.00,5.00,9.00,11.63,2.00,2.00,5.00,207,NULL,201,'JD PAULISTA','S PAULO','SP',10373,495,NULL,768,NULL,NULL,NULL,4,8),(20,5017203,5.00,5.00,3.00,4.00,7.00,9.00,1.00,3.00,4.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',14025,3639,NULL,NULL,NULL,NULL,NULL,4,8),(20,5017211,9.00,6.00,5.00,7.00,8.00,9.00,5.00,5.00,5.00,201,NULL,202,'COHAPAR II','MATINHOS','PR',2805,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5017220,7.00,8.00,2.00,5.00,9.00,8.63,3.00,5.00,7.00,327,NULL,NULL,'PIEDADE','JABOATÃO GUARARAPES','PE',4576,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5017238,7.00,6.00,2.00,4.00,8.00,10.50,4.00,5.00,3.00,108,NULL,NULL,'AREIAS','CAMBORIÚ','SC',7797,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5017246,5.00,6.00,3.00,7.00,5.00,7.50,2.00,4.00,6.00,453,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',10283,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5017254,6.00,6.00,4.00,6.00,7.00,9.75,0.00,2.00,5.00,103,NULL,NULL,'CENTRO','S LEOPOLDO','RS',8260,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5017270,7.00,7.00,1.00,6.00,5.00,8.25,3.00,3.00,3.00,319,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',11252,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5017289,2.00,5.00,0.00,3.00,6.00,NULL,0.00,3.00,2.00,5,NULL,NULL,'SÃO BENEDITO','CPO MAGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017297,4.00,6.00,2.00,6.00,7.00,9.75,2.00,3.00,3.00,216,NULL,207,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5017319,9.00,6.00,0.00,7.00,7.00,9.38,1.00,3.00,3.00,103,NULL,NULL,'VILA MATHIAS','SANTOS','SP',8566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017343,5.00,6.00,3.00,7.00,9.00,NULL,0.00,4.00,7.00,425,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017378,4.00,6.00,1.00,5.00,5.00,6.38,3.00,3.00,4.00,203,NULL,601,'CENTRO','ARROIO SAL','RS',12733,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5017386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'INTERIOR','ARROIO TRINTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5017394,7.00,4.00,5.00,5.00,8.00,9.00,3.00,2.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',7324,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5017408,8.00,6.00,6.00,7.00,5.00,8.25,3.00,5.00,7.00,103,NULL,NULL,'PARQUE TAQUARAL','CAMPINAS','SP',4619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017424,9.00,8.00,8.00,8.00,10.00,10.88,6.00,7.00,9.00,103,NULL,NULL,'SANTANA','RIO SUL','SC',93,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5017432,2.00,6.00,2.00,2.00,3.00,NULL,1.00,2.00,4.00,653,NULL,652,'NOVA DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,15),(20,5017440,6.00,7.00,5.00,6.00,8.00,7.88,3.00,3.00,5.00,234,NULL,NULL,'SUMAREZINHO','S PAULO','SP',8402,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5017459,9.00,9.00,3.00,5.00,9.00,10.13,6.00,6.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',1857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5017483,5.00,7.00,1.00,2.00,5.00,NULL,0.00,6.00,7.00,205,NULL,NULL,'REGINA','CACHOEIRINHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017491,9.00,7.00,8.00,6.00,10.00,10.50,6.00,6.00,9.00,220,NULL,203,'COSTA TELLES I','UBERABA','MG',129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017505,8.00,6.00,3.00,5.00,8.00,9.00,2.00,3.00,4.00,319,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',7335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017521,9.00,6.00,5.00,7.00,7.00,7.88,5.00,3.00,8.00,103,NULL,NULL,'SÃO FRANCISCO','CPO GRANDE','MS',3345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017530,6.00,4.00,5.00,6.00,7.00,9.75,1.00,4.00,4.00,103,NULL,NULL,'BARRA DO RIO','ITAJAÍ','SC',8066,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5017556,2.00,4.00,0.00,2.00,2.00,NULL,1.00,0.00,2.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5017564,9.00,7.00,5.00,7.00,9.00,10.88,6.00,5.00,6.00,216,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',1385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017580,9.00,7.00,3.00,6.00,9.00,9.00,5.00,6.00,5.00,203,NULL,202,'ITACORUBI','FLORIANÓPOLIS','SC',2641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017599,6.00,6.00,5.00,5.00,6.00,6.38,4.00,3.00,5.00,235,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',7626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SÃO CRISTÓVÃO','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5017610,3.00,4.00,0.00,3.00,4.00,NULL,2.00,0.00,3.00,104,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5017629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'JARDIM AMÉRICA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5017637,4.00,4.00,0.00,5.00,4.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'VIETNÃ','VÍTOR MEIRELES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5017645,8.00,6.00,2.00,7.00,8.00,11.25,4.00,5.00,5.00,207,NULL,208,'SÃO BRAZ','BELÉM','PA',3415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017653,5.00,5.00,3.00,5.00,6.00,7.13,3.00,3.00,4.00,102,NULL,NULL,'CENTRO','LAGES','SC',11833,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5017661,5.00,6.00,5.00,4.00,6.00,8.25,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5017670,6.00,5.00,6.00,5.00,8.00,9.75,6.00,6.00,6.00,104,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',4074,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5017688,9.00,7.00,9.00,7.00,7.00,10.13,5.00,3.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',1170,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5017700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'PRESIDENTE MÉDICE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5017718,5.00,7.00,4.00,7.00,6.00,11.25,2.00,6.00,5.00,9,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5017734,9.00,8.00,8.00,5.00,10.00,11.63,8.00,4.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017742,7.00,7.00,7.00,7.00,7.00,10.50,4.00,4.00,8.00,203,NULL,220,'GONZAGA','SANTOS','SP',1137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'MORUMBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5017769,8.00,9.00,9.00,7.00,9.00,11.25,5.00,5.00,8.00,211,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017777,9.00,7.00,7.00,7.00,8.00,9.75,3.00,2.00,9.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',1350,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5017785,6.00,7.00,3.00,5.00,9.00,7.88,3.00,2.00,3.00,108,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',11157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5017793,7.00,7.00,4.00,6.00,10.00,9.75,6.00,8.00,7.00,415,NULL,NULL,'SUIÇA','ARACAJU','SE',1262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017807,5.00,7.00,2.00,5.00,8.00,8.25,0.00,5.00,6.00,108,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',6905,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5017823,9.00,6.00,3.00,7.00,7.00,9.75,2.00,5.00,6.00,103,NULL,NULL,'VILA PROGRESSO','GUARULHOS','SP',4859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017840,4.00,5.00,4.00,7.00,8.00,7.88,3.00,5.00,3.00,452,NULL,NULL,'SANTA RITA','BRUSQUE','SC',7829,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5017858,6.00,6.00,4.00,7.00,8.00,7.88,4.00,3.00,3.00,108,NULL,NULL,'VILA BERTIOGA','S PAULO','SP',6848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017866,8.00,6.00,2.00,4.00,7.00,6.75,4.00,2.00,4.00,201,NULL,202,'CENTRO','PTO ALEGRE','RS',8831,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017874,5.00,7.00,2.00,5.00,7.00,9.75,0.00,4.00,5.00,5,NULL,NULL,'ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC',12331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017890,5.00,6.00,6.00,3.00,5.00,7.13,2.00,4.00,5.00,203,NULL,601,'ALTO DA RUA XV','CURITIBA','PR',9685,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5017904,8.00,6.00,5.00,6.00,8.00,9.38,5.00,4.00,8.00,103,NULL,NULL,'SOLAR DO AGRESTE A','RIO VERDE','GO',2844,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5017912,8.00,7.00,6.00,6.00,9.00,8.63,7.00,4.00,6.00,420,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',1864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017939,4.00,6.00,0.00,4.00,3.00,NULL,3.00,3.00,6.00,104,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5017947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM MORUMBI','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5017955,4.00,6.00,4.00,0.00,6.00,NULL,0.00,2.00,4.00,319,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5017971,8.00,7.00,2.00,6.00,6.00,10.50,1.00,3.00,7.00,103,NULL,NULL,'PRIMO TACCA','XANXERÊ','SC',6859,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5017980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CRISTO REI','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5017998,6.00,7.00,1.00,7.00,8.00,10.13,3.00,5.00,3.00,415,NULL,NULL,'MUNDINHO','MINEIROS','GO',6058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5018013,9.00,5.00,9.00,7.00,8.00,12.00,4.00,3.00,7.00,103,NULL,NULL,'SAÚDE','S PAULO','SP',1419,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5018021,6.00,7.00,3.00,7.00,9.00,8.63,5.00,3.00,6.00,208,NULL,238,'UNIVERSITÁRIO','TIJUCAS','SC',5075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018030,8.00,9.00,2.00,7.00,8.00,12.00,3.00,5.00,8.00,103,NULL,NULL,'JABAQUARA','S PAULO','SP',1998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'NOVA DIVINÉIA','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5018064,5.00,6.00,5.00,5.00,2.00,NULL,6.00,1.00,6.00,453,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018072,8.00,8.00,7.00,6.00,9.00,7.50,7.00,6.00,9.00,103,NULL,NULL,'AAHÚ','CURITIBA','PR',912,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5018080,8.00,7.00,6.00,7.00,9.00,9.75,5.00,6.00,9.00,333,NULL,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018102,7.00,6.00,4.00,7.00,5.00,6.75,1.00,1.00,5.00,103,NULL,NULL,'VILA VERDE','PNT PORÃ','MS',10803,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5018110,3.00,6.00,2.00,7.00,5.00,6.38,2.00,1.00,5.00,235,NULL,214,'CENTRO','BLUMENAU','SC',12919,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5018129,8.00,3.00,3.00,7.00,9.00,9.75,4.00,3.00,7.00,103,NULL,NULL,'COPACABANA','RIO JANEIRO','RJ',4293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018137,6.00,7.00,1.00,6.00,6.00,9.00,4.00,5.00,7.00,216,NULL,202,'BOA VISTA','CURITIBA','PR',5949,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5018153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'LAGO SUL','LG SUL','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5018161,4.00,5.00,2.00,3.00,6.00,NULL,0.00,2.00,1.00,420,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5018170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5018188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5018196,4.00,5.00,4.00,5.00,8.00,9.75,2.00,4.00,1.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13576,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5018200,8.00,8.00,4.00,3.00,7.00,8.63,3.00,4.00,5.00,340,NULL,NULL,'CENTRO','MARINGÁ','PR',7553,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5018218,5.00,6.00,1.00,7.00,8.00,8.25,3.00,3.00,7.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10233,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5018226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MORUMBI','NERÓPOLIS','GO',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5018234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5018242,5.00,7.00,0.00,5.00,5.00,8.63,3.00,4.00,5.00,340,NULL,NULL,'CENTRO','DRACENA','SP',9693,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5018250,3.00,7.00,5.00,7.00,8.00,9.00,3.00,5.00,4.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',6520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018277,9.00,9.00,3.00,6.00,10.00,6.75,5.00,6.00,9.00,216,NULL,233,'SACO GRANDE','FLORIANÓPOLIS','SC',1546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018285,8.00,8.00,3.00,7.00,10.00,12.38,4.00,4.00,8.00,211,NULL,215,'AGRONÔMICA','FLORIANÓPOLIS','SC',1492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018307,4.00,6.00,2.00,5.00,6.00,7.13,2.00,3.00,1.00,317,NULL,NULL,'QUARTEL','VIDEIRA','SC',15719,126,NULL,NULL,NULL,NULL,NULL,2,16),(20,5018315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'VILA MONTEIRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5018323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5018331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,235,'EFACIP','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5018358,3.00,5.00,4.00,4.00,8.00,8.63,3.00,4.00,6.00,102,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7019,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5018366,7.00,7.00,5.00,4.00,9.00,9.75,5.00,4.00,6.00,103,NULL,NULL,'JARDIM PARAÍSO','CAMPINAS','SP',2529,1304,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018374,4.00,6.00,2.00,5.00,4.00,6.75,2.00,3.00,1.00,207,NULL,211,'BARREIROS','S JOSÉ','SC',16151,785,NULL,506,NULL,NULL,NULL,2,1),(20,5018382,5.00,6.00,4.00,5.00,8.00,8.25,5.00,4.00,5.00,601,NULL,201,'SANTANA','RIO SUL','SC',7440,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5018390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5018404,7.00,7.00,5.00,6.00,8.00,6.00,6.00,4.00,6.00,201,NULL,233,'BOM ABRIGO','FLORIANÓPOLIS','SC',4236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'RECREIO','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5018420,8.00,7.00,6.00,7.00,7.00,10.13,6.00,5.00,8.00,214,NULL,203,'MIRAGEM','LAURO FREITAS','BA',1776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018439,5.00,5.00,3.00,7.00,6.00,8.25,3.00,3.00,2.00,108,NULL,NULL,'GRANJA VIANA','COTIA','SP',10602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5018455,6.00,3.00,1.00,3.00,5.00,7.50,4.00,1.00,6.00,104,NULL,NULL,'UVARANAS','PNT GROSSA','PR',13669,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5018463,7.00,3.00,2.00,7.00,10.00,6.38,1.00,4.00,3.00,303,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',9344,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5018480,6.00,6.00,0.00,7.00,10.00,7.13,2.00,3.00,6.00,216,NULL,NULL,'CENTRO','JOINVILLE','SC',9553,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5018498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5018501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BROOKLIN','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5018510,4.00,3.00,3.00,6.00,8.00,7.50,1.00,2.00,6.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',11859,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5018528,1.00,4.00,5.00,5.00,7.00,9.00,5.00,4.00,4.00,415,NULL,NULL,'SANTO ANTONIO','LADÁRIO','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5018552,3.00,5.00,1.00,5.00,5.00,NULL,0.00,1.00,2.00,420,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5018579,5.00,6.00,1.00,7.00,7.00,9.38,1.00,2.00,3.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',10823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018587,8.00,7.00,3.00,7.00,4.00,8.63,3.00,4.00,6.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',6275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018609,5.00,3.00,3.00,6.00,8.00,9.75,8.00,1.00,9.00,207,NULL,201,'JARDIM DOS ESTADOS','CPO GRANDE','MS',5156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018617,2.00,5.00,1.00,6.00,5.00,10.13,2.00,4.00,3.00,340,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5018625,5.00,6.00,1.00,6.00,7.00,7.88,1.00,3.00,4.00,451,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',14653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018633,6.00,4.00,1.00,6.00,5.00,10.50,2.00,3.00,5.00,104,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',11089,274,NULL,NULL,NULL,NULL,NULL,2,4),(20,5018668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5018676,1.00,4.00,1.00,2.00,3.00,NULL,4.00,4.00,3.00,424,NULL,427,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5018684,5.00,6.00,0.00,4.00,4.00,6.38,2.00,6.00,7.00,211,NULL,212,'JARDIM ELDORADO','PALHOÇA','SC',10979,340,NULL,276,NULL,NULL,NULL,2,1),(20,5018692,6.00,6.00,2.00,7.00,6.00,7.88,2.00,3.00,5.00,216,NULL,203,'LARSEN','LONDRINA','PR',9432,394,NULL,679,NULL,NULL,NULL,4,1),(20,5018706,4.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,211,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(20,5018714,2.00,0.00,1.00,2.00,2.00,NULL,1.00,1.00,1.00,404,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5018730,5.00,5.00,2.00,6.00,5.00,7.88,3.00,4.00,6.00,444,NULL,NULL,'CENTRO','PALHOÇA','SC',13146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018749,9.00,8.00,9.00,7.00,10.00,10.50,8.00,8.00,9.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',38,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5018757,5.00,7.00,2.00,7.00,7.00,6.75,5.00,3.00,5.00,316,NULL,NULL,'MORUMBI','S PAULO','SP',7043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018781,4.00,6.00,3.00,6.00,7.00,6.38,2.00,2.00,6.00,211,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',12021,376,NULL,336,NULL,NULL,NULL,2,1),(20,5018790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5018803,8.00,8.00,8.00,7.00,10.00,8.63,5.00,4.00,8.00,214,NULL,212,'RIO BRANCO','CAXIAS SUL','RS',831,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SÃO CRISTÓVÃO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5018820,5.00,4.00,3.00,6.00,3.00,NULL,3.00,4.00,4.00,203,NULL,214,'PQ FLORESTA','SUMARÉ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018862,9.00,8.00,6.00,7.00,9.00,11.25,8.00,6.00,8.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5018870,6.00,5.00,4.00,6.00,6.00,7.88,2.00,4.00,4.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018889,7.00,8.00,3.00,6.00,6.00,9.00,5.00,5.00,7.00,3,NULL,NULL,'VILA NOVA','LAGES','SC',4747,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5018897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5018919,8.00,5.00,8.00,6.00,8.00,9.75,5.00,6.00,8.00,203,NULL,220,'JARDIM BANDEIRANTES','CORNÉLIO PROCÓPIO','PR',1370,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5018927,8.00,6.00,2.00,7.00,7.00,7.88,1.00,6.00,5.00,319,NULL,NULL,'SANTA CRUZ','CUIABÁ','MT',5787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5018951,8.00,6.00,3.00,7.00,5.00,7.13,5.00,3.00,3.00,203,NULL,214,'BAEPENDI','JARAGUÁ SUL','SC',8827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5018960,6.00,7.00,0.00,4.00,5.00,9.00,0.00,3.00,5.00,102,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12637,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5018986,6.00,6.00,4.00,6.00,9.00,10.50,6.00,5.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',3359,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5018994,7.00,6.00,1.00,7.00,8.00,9.00,2.00,5.00,6.00,103,NULL,NULL,'JD AQUARIUS','S JOSÉ CAMPOS','SP',7410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019001,8.00,8.00,6.00,7.00,10.00,9.38,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1514,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5019010,9.00,8.00,5.00,8.00,8.00,12.00,7.00,3.00,8.00,203,NULL,NULL,'AMÉRICA','JOINVILLE','SC',946,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5019028,6.00,5.00,4.00,7.00,6.00,10.50,5.00,7.00,5.00,216,NULL,233,'VILA SAO FRANCISCO','S PAULO','SP',4265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019036,8.00,6.00,3.00,6.00,7.00,7.50,4.00,4.00,7.00,103,NULL,NULL,'BEATRIZ','LAGES','SC',6240,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5019044,4.00,4.00,4.00,3.00,6.00,9.38,2.00,2.00,4.00,316,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',14427,221,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019052,6.00,7.00,1.00,7.00,7.00,6.38,2.00,3.00,2.00,319,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',14241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019060,4.00,4.00,1.00,7.00,4.00,6.75,1.00,2.00,2.00,207,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',16268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019079,6.00,2.00,2.00,4.00,5.00,7.13,1.00,4.00,5.00,9,NULL,NULL,'CENTRO','JOINVILLE','SC',15695,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5019087,8.00,7.00,1.00,5.00,7.00,8.63,4.00,5.00,8.00,103,NULL,NULL,'JARDIM REGIS','S PAULO','SP',4568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019095,6.00,6.00,4.00,4.00,5.00,9.38,3.00,4.00,5.00,3,NULL,NULL,'SCHRAMM','S BENTO SUL','SC',12691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019117,6.00,6.00,1.00,6.00,7.00,9.38,2.00,4.00,3.00,104,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019125,3.00,4.00,1.00,4.00,5.00,NULL,0.00,1.00,2.00,320,NULL,NULL,'CENTRO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5019133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'HORTO FLORESTAL','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5019141,7.00,5.00,5.00,2.00,6.00,9.00,2.00,1.00,5.00,103,NULL,NULL,'CRUZEIRO','CPO GRANDE','MS',9331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5019168,4.00,3.00,3.00,5.00,6.00,10.50,4.00,2.00,1.00,429,NULL,425,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019176,7.00,7.00,2.00,7.00,10.00,10.88,2.00,5.00,8.00,340,NULL,NULL,'JARDIM DAS PALMEIRAS','MARAU','RS',2619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019184,3.00,4.00,2.00,1.00,5.00,NULL,1.00,2.00,2.00,108,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019192,7.00,8.00,2.00,7.00,10.00,9.75,2.00,5.00,5.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',4396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019206,7.00,6.00,6.00,6.00,6.00,6.75,7.00,2.00,6.00,220,NULL,202,'ZONA II','UMUARAMA','PR',4618,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5019214,5.00,8.00,3.00,5.00,6.00,8.25,3.00,5.00,5.00,501,NULL,NULL,'CENTRO','IRATI','PR',8338,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5019230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'VILA MEDON','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5019249,8.00,7.00,3.00,7.00,7.00,8.63,3.00,6.00,6.00,340,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',4336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019257,6.00,5.00,5.00,5.00,9.00,11.25,3.00,4.00,6.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',3830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019265,5.00,5.00,3.00,4.00,8.00,11.63,0.00,5.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12728,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5019281,7.00,5.00,1.00,8.00,7.00,6.75,1.00,3.00,6.00,215,NULL,201,'JAÇANÃ','S PAULO','SP',11042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019290,1.00,5.00,3.00,8.00,7.00,12.38,1.00,4.00,6.00,425,NULL,429,'KOBRASOL','S JOSÉ','SC',9251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019303,3.00,4.00,2.00,7.00,7.00,9.00,0.00,1.00,5.00,234,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019320,9.00,8.00,2.00,4.00,8.00,9.00,5.00,5.00,7.00,104,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',3304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019338,2.00,3.00,2.00,3.00,5.00,NULL,0.00,1.00,3.00,208,NULL,207,'CENTRO','LARANJEIRAS SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5019362,3.00,5.00,0.00,4.00,0.00,NULL,2.00,2.00,3.00,238,NULL,208,'POÇO FUNDO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5019370,6.00,4.00,2.00,6.00,5.00,6.38,4.00,3.00,5.00,102,NULL,NULL,'CIDADE ALTA','VENÂNCIO AIRES','RS',10985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019397,5.00,6.00,0.00,3.00,7.00,NULL,1.00,3.00,5.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5019427,3.00,0.00,1.00,5.00,3.00,NULL,0.00,1.00,2.00,333,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5019435,5.00,4.00,0.00,7.00,9.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5019443,5.00,6.00,3.00,5.00,9.00,10.13,4.00,1.00,4.00,207,NULL,201,'CENTRO','APUCARANA','PR',8073,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5019460,8.00,7.00,5.00,7.00,9.00,7.88,5.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019478,9.00,7.00,5.00,6.00,9.00,8.25,6.00,4.00,6.00,103,NULL,NULL,'CENTRO','S JOSÉ','SC',2849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019486,4.00,5.00,5.00,6.00,3.00,NULL,5.00,3.00,6.00,303,NULL,NULL,'NOVA ESPERANÇA','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5019494,6.00,6.00,4.00,6.00,10.00,9.00,4.00,5.00,5.00,215,NULL,216,'CENTRO','SANTANA LIVRAMENTO','RS',5455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019508,4.00,6.00,2.00,4.00,4.00,NULL,0.00,4.00,3.00,201,NULL,212,'CENTRO','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5019516,3.00,5.00,3.00,5.00,3.00,NULL,1.00,1.00,5.00,102,NULL,NULL,'NITERÓI','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5019524,8.00,4.00,2.00,5.00,5.00,8.63,1.00,1.00,3.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',13793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5019575,7.00,8.00,2.00,5.00,9.00,10.13,3.00,6.00,6.00,319,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',5014,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5019583,9.00,9.00,8.00,7.00,8.00,7.13,6.00,6.00,8.00,103,NULL,NULL,'IRIRIU','JOINVILLE','SC',888,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5019591,6.00,7.00,6.00,5.00,8.00,9.75,3.00,6.00,5.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5392,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5019605,6.00,5.00,3.00,5.00,7.00,7.88,3.00,4.00,4.00,214,NULL,233,'PIRITUBA','S PAULO','SP',8450,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5019648,6.00,8.00,1.00,7.00,7.00,8.63,1.00,4.00,5.00,201,NULL,202,'BREMER','RIO SUL','SC',9894,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5019656,6.00,5.00,4.00,6.00,8.00,7.50,6.00,4.00,6.00,601,NULL,203,'GUANABARA','JOINVILLE','SC',5098,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5019664,7.00,5.00,0.00,2.00,5.00,6.75,1.00,3.00,4.00,201,NULL,601,'IRIRIU','JOINVILLE','SC',14491,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5019672,9.00,7.00,8.00,8.00,8.00,12.75,8.00,6.00,7.00,103,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019699,8.00,8.00,4.00,5.00,8.00,10.50,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3444,1646,NULL,NULL,NULL,NULL,NULL,2,1),(20,5019702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CITY RIBEIRAO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5019710,6.00,5.00,5.00,7.00,8.00,10.88,4.00,4.00,7.00,216,NULL,653,'MARIA GORETTI','CHAPECÓ','SC',4298,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5019729,9.00,9.00,2.00,7.00,11.00,7.13,6.00,6.00,8.00,103,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',1100,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5019737,6.00,7.00,4.00,5.00,5.00,7.50,3.00,3.00,5.00,303,NULL,NULL,'CPA II','CUIABÁ','MT',10924,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5019745,3.00,6.00,3.00,2.00,6.00,9.75,2.00,1.00,4.00,5,NULL,NULL,'VORSTADT','BLUMENAU','SC',12837,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5019753,5.00,6.00,1.00,3.00,5.00,8.25,1.00,2.00,3.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15333,414,NULL,NULL,NULL,NULL,NULL,2,1),(20,5019761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM CAMARGO','MOGI GUAÇU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5019788,7.00,8.00,4.00,6.00,8.00,9.38,3.00,6.00,7.00,102,NULL,NULL,'CENTRO','SALETE','SC',4148,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5019818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GÁVEA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5019826,2.00,5.00,3.00,5.00,4.00,NULL,1.00,1.00,4.00,108,NULL,NULL,'CENTRO DE SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019842,8.00,9.00,6.00,8.00,10.00,8.63,6.00,7.00,8.00,5,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019850,9.00,9.00,2.00,7.00,10.00,10.88,6.00,5.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019869,8.00,6.00,2.00,7.00,6.00,8.25,3.00,3.00,6.00,601,NULL,208,'BOM RETIRO','JOINVILLE','SC',6915,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5019877,9.00,7.00,4.00,8.00,10.00,12.75,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',930,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5019885,8.00,8.00,7.00,7.00,10.00,9.75,5.00,8.00,7.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019893,8.00,6.00,1.00,2.00,5.00,6.75,1.00,2.00,5.00,103,NULL,NULL,'CENTRO','ITAPIRA','SP',13213,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5019907,8.00,5.00,6.00,2.00,7.00,7.50,4.00,3.00,5.00,108,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',8319,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5019915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5019931,7.00,7.00,2.00,4.00,5.00,7.88,2.00,3.00,3.00,207,NULL,201,'RIO GUARAPARI','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5019940,8.00,7.00,2.00,4.00,4.00,8.63,2.00,4.00,5.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',9740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019958,4.00,6.00,2.00,2.00,5.00,NULL,2.00,1.00,3.00,326,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5019974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'VILA SUZANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5019982,3.00,7.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,415,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5019990,6.00,6.00,3.00,5.00,6.00,NULL,0.00,3.00,1.00,235,NULL,233,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5020000,3.00,6.00,0.00,2.00,3.00,NULL,1.00,5.00,3.00,238,NULL,202,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020018,7.00,7.00,4.00,7.00,9.00,11.25,9.00,7.00,6.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020026,5.00,8.00,1.00,4.00,8.00,9.75,3.00,3.00,4.00,450,NULL,NULL,'CENTRO','CRICIÚMA','SC',10254,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5020034,4.00,6.00,3.00,4.00,6.00,8.25,3.00,4.00,5.00,238,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',13818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CASTELO BRANCO','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5020050,7.00,6.00,6.00,7.00,6.00,8.25,9.00,6.00,8.00,203,NULL,601,'JARDIM GOIÁS','GOIÂNIA','GO',2341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020069,3.00,4.00,1.00,3.00,5.00,NULL,0.00,1.00,2.00,651,NULL,653,'NOVA DIVINEIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5020077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DE PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5020085,8.00,5.00,5.00,7.00,8.00,9.38,4.00,6.00,9.00,216,NULL,215,'CENTRO','CRICIÚMA','SC',2352,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5020093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5020107,5.00,4.00,2.00,5.00,4.00,6.38,3.00,3.00,4.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020115,4.00,5.00,2.00,5.00,6.00,6.38,1.00,4.00,2.00,201,NULL,207,'CENTRO','CUNHA PORÃ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5020131,5.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5020140,3.00,4.00,0.00,4.00,7.00,NULL,2.00,4.00,5.00,104,NULL,NULL,'TRÊS BARRAS','AGROLÂNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5020158,4.00,7.00,3.00,6.00,5.00,6.38,2.00,5.00,4.00,331,NULL,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',12026,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5020166,3.00,4.00,2.00,5.00,4.00,8.25,2.00,3.00,3.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020174,8.00,7.00,5.00,5.00,9.00,7.13,6.00,6.00,7.00,214,NULL,233,'CAMPINAS','S JOSÉ','SC',2080,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5020182,5.00,2.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,326,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020204,7.00,4.00,2.00,6.00,5.00,8.63,2.00,4.00,4.00,103,NULL,NULL,'JKNOVA CAPITAL','ANÁPOLIS','GO',11220,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5020212,8.00,8.00,4.00,7.00,10.00,10.50,5.00,6.00,7.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020220,8.00,8.00,3.00,7.00,10.00,7.50,2.00,7.00,7.00,340,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',2997,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5020255,3.00,5.00,1.00,3.00,1.00,NULL,1.00,1.00,0.00,238,NULL,NULL,'JARDIM PANORAMA','LARANJEIRAS SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5020263,7.00,5.00,3.00,6.00,6.00,10.88,1.00,4.00,6.00,103,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',8249,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5020271,8.00,6.00,0.00,6.00,8.00,9.38,3.00,5.00,7.00,5,NULL,NULL,'VILA ESTER','S PAULO','SP',4353,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5020298,3.00,6.00,4.00,4.00,8.00,7.88,4.00,5.00,5.00,215,NULL,211,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5020301,3.00,5.00,0.00,6.00,8.00,10.50,4.00,3.00,5.00,211,NULL,201,'SERRARIA','S JOSÉ','SC',9952,296,NULL,730,NULL,NULL,NULL,2,1),(20,5020310,7.00,3.00,1.00,4.00,7.00,7.13,0.00,4.00,3.00,234,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5020328,0.00,6.00,3.00,2.00,7.00,NULL,1.00,2.00,4.00,203,NULL,214,'JARDIM APOLO I','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM ÍRIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5020352,7.00,7.00,3.00,4.00,9.00,10.13,2.00,4.00,6.00,415,NULL,NULL,'ROÇADO','S JOSÉ','SC',8171,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5020360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5020379,6.00,4.00,1.00,3.00,5.00,NULL,0.00,3.00,3.00,340,NULL,NULL,'CAMPOS DE SOA JOSE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5020387,6.00,6.00,1.00,7.00,8.00,10.88,5.00,4.00,3.00,328,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020395,5.00,4.00,1.00,2.00,7.00,NULL,0.00,1.00,5.00,333,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5020409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','TERRA BOA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5020425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5020433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA BOCAINA','MAUÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5020441,4.00,5.00,2.00,4.00,6.00,6.75,2.00,1.00,4.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15530,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5020450,7.00,6.00,5.00,4.00,8.00,8.25,3.00,4.00,6.00,203,NULL,601,'CENTRO','LAGES','SC',6750,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5020492,5.00,6.00,3.00,7.00,8.00,7.88,4.00,2.00,4.00,207,NULL,212,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5020514,2.00,4.00,0.00,2.00,3.00,NULL,3.00,0.00,4.00,103,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5020530,2.00,5.00,3.00,2.00,5.00,NULL,2.00,1.00,5.00,301,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5020565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5020573,5.00,4.00,1.00,5.00,2.00,NULL,1.00,3.00,2.00,104,NULL,NULL,'PRADINHO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5020581,2.00,5.00,1.00,5.00,5.00,NULL,0.00,1.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5020603,4.00,8.00,1.00,7.00,7.00,10.13,2.00,3.00,6.00,415,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10353,200,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020646,4.00,4.00,3.00,6.00,8.00,9.75,2.00,2.00,4.00,103,NULL,NULL,'SÃO FCO DE ASSIS','CAMBORIÚ','SC',12818,3495,NULL,NULL,NULL,NULL,NULL,4,3),(20,5020662,5.00,7.00,2.00,5.00,6.00,NULL,0.00,3.00,3.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5020689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5020697,7.00,6.00,0.00,8.00,6.00,NULL,3.00,2.00,4.00,653,NULL,652,'PRÓSPERA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(20,5020719,4.00,6.00,2.00,4.00,6.00,7.50,4.00,4.00,4.00,332,NULL,NULL,'JARDIM DAS COLINAS','HORTOLÂNDIA','SP',10179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020727,5.00,5.00,0.00,5.00,6.00,7.13,4.00,2.00,5.00,333,NULL,NULL,'VILAS BOAS','CPO GRANDE','MS',12508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020735,7.00,6.00,2.00,7.00,7.00,9.00,3.00,6.00,4.00,316,NULL,NULL,'CHACARA CNEO','CAMPINAS','SP',5142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020751,3.00,5.00,5.00,7.00,7.00,10.50,3.00,1.00,3.00,208,NULL,238,'TOBIAS','JOAÇABA','SC',11197,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5020786,8.00,6.00,1.00,6.00,10.00,6.75,3.00,4.00,4.00,319,NULL,NULL,'PASSAGEM DO MACIAMBU','PALHOÇA','SC',8089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020832,2.00,2.00,2.00,2.00,5.00,NULL,2.00,5.00,3.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020840,4.00,5.00,3.00,4.00,7.00,8.63,2.00,3.00,5.00,326,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',13461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5020859,3.00,5.00,3.00,1.00,4.00,NULL,0.00,4.00,0.00,501,NULL,NULL,'ENCRUZILHADA','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5020867,7.00,8.00,6.00,6.00,9.00,9.00,6.00,6.00,6.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',1648,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5020875,3.00,6.00,1.00,5.00,9.00,8.25,2.00,3.00,4.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13611,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5020883,4.00,7.00,2.00,6.00,7.00,12.00,2.00,3.00,4.00,103,NULL,NULL,'JARDIM ESPERANÇA','CANOINHAS','SC',9208,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5020891,3.00,4.00,0.00,2.00,7.00,NULL,2.00,3.00,4.00,301,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020905,5.00,4.00,5.00,5.00,8.00,6.00,2.00,3.00,5.00,316,NULL,NULL,'CENTRO','RIO SUL','SC',8715,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5020913,3.00,1.00,0.00,6.00,7.00,NULL,1.00,2.00,1.00,415,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5020921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM AMÉRICA','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5020930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PLANALTO','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5020948,5.00,3.00,3.00,4.00,4.00,8.63,3.00,3.00,2.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5020956,4.00,6.00,3.00,5.00,4.00,8.25,1.00,3.00,3.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5020964,7.00,6.00,6.00,7.00,6.00,8.25,7.00,5.00,5.00,214,NULL,212,'CASCATA','MARÍLIA','SP',2602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020980,1.00,4.00,1.00,5.00,5.00,NULL,3.00,1.00,3.00,450,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5020999,6.00,6.00,8.00,7.00,6.00,9.75,8.00,1.00,8.00,220,NULL,235,'CENTRO','S JOSÉ CAMPOS','SP',3230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'FAYH','CARAZINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5021014,2.00,4.00,2.00,6.00,4.00,7.50,2.00,2.00,4.00,425,NULL,NULL,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TERRAS QUATRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5021057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5021073,3.00,4.00,0.00,4.00,6.00,NULL,0.00,3.00,2.00,320,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5021081,9.00,7.00,4.00,6.00,8.00,7.13,4.00,4.00,6.00,203,NULL,207,'ESTREITO','FLORIANÓPOLIS','SC',4034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5021111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,202,'GLORIA','CARAZINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5021120,4.00,3.00,2.00,1.00,1.00,NULL,0.00,3.00,2.00,503,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5021138,6.00,7.00,4.00,6.00,8.00,7.88,3.00,4.00,4.00,207,NULL,NULL,'BELA VISTA','RIO OESTE','SC',9411,436,NULL,NULL,NULL,NULL,NULL,2,1),(20,5021146,3.00,6.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,208,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5021197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5021200,5.00,7.00,0.00,4.00,8.00,9.00,1.00,1.00,4.00,319,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',13233,246,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021219,6.00,3.00,1.00,4.00,6.00,7.50,1.00,3.00,3.00,308,NULL,NULL,'FLORESTA','S JOSÉ','SC',16261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5021235,2.00,2.00,1.00,3.00,5.00,NULL,1.00,1.00,2.00,223,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','WENCESLAU BRAZ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5021278,3.00,7.00,2.00,3.00,4.00,8.25,1.00,1.00,5.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16259,140,NULL,NULL,NULL,NULL,NULL,2,1),(20,5021286,7.00,5.00,4.00,5.00,8.00,7.13,3.00,5.00,4.00,102,NULL,NULL,'CONJUNTO LIBRA I','FOZ IGUAÇU','PR',8811,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5021294,5.00,7.00,3.00,7.00,6.00,7.88,3.00,4.00,4.00,331,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021308,5.00,5.00,3.00,4.00,5.00,7.88,0.00,3.00,5.00,238,NULL,203,'PANTANAL','FLORIANÓPOLIS','SC',11533,239,NULL,NULL,NULL,NULL,NULL,2,1),(20,5021316,3.00,6.00,2.00,5.00,7.00,9.38,3.00,3.00,6.00,233,NULL,213,'CENTRO','CRICIÚMA','SC',10785,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5021324,4.00,8.00,1.00,6.00,8.00,8.63,2.00,4.00,4.00,302,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021332,4.00,3.00,0.00,3.00,7.00,NULL,0.00,2.00,0.00,426,NULL,428,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5021359,5.00,5.00,3.00,0.00,4.00,NULL,0.00,3.00,3.00,109,NULL,NULL,'PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021367,3.00,6.00,4.00,5.00,6.00,6.00,3.00,1.00,7.00,208,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',11472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021383,6.00,5.00,3.00,3.00,8.00,8.63,4.00,4.00,5.00,103,NULL,NULL,'HUMAITÁ DE CIMA','TUBARÃO','SC',8593,2945,NULL,NULL,NULL,NULL,NULL,4,10),(20,5021391,7.00,6.00,2.00,6.00,10.00,10.50,2.00,5.00,4.00,5,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',5827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'HIGIENOPOLIS','CATANDUVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5021421,5.00,5.00,2.00,6.00,9.00,9.38,2.00,5.00,4.00,103,NULL,NULL,'LINHA CONTESSI','TURVO','SC',8763,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5021430,6.00,6.00,3.00,3.00,9.00,10.50,1.00,6.00,6.00,319,NULL,NULL,'VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC',6377,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5021448,8.00,6.00,3.00,6.00,8.00,9.75,3.00,6.00,7.00,203,NULL,233,'CAMPINAS','S JOSÉ','SC',3182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5021456,4.00,7.00,1.00,5.00,7.00,9.00,2.00,5.00,4.00,203,NULL,211,'RES BEIJA FLOR A','ITATIBA','SP',9129,663,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021464,3.00,4.00,1.00,2.00,7.00,NULL,3.00,1.00,3.00,404,NULL,NULL,'CENTRO','SAUDADES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5021472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'INTERIOR','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5021480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5021499,2.00,7.00,1.00,3.00,6.00,NULL,0.00,3.00,2.00,428,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5021502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'JARDIM YPU','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5021510,8.00,7.00,4.00,7.00,7.00,6.75,4.00,2.00,7.00,203,NULL,235,'BELA SUIÇA','LONDRINA','PR',5015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021529,9.00,7.00,4.00,7.00,10.00,13.50,3.00,5.00,6.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2335,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5021537,2.00,5.00,0.00,5.00,5.00,NULL,1.00,4.00,1.00,340,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5021545,7.00,7.00,0.00,4.00,7.00,9.38,3.00,5.00,2.00,333,NULL,NULL,'JATIUCA','MACEIÓ','AL',10264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021588,7.00,6.00,4.00,5.00,6.00,8.25,0.00,6.00,3.00,102,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',12761,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5021618,2.00,3.00,1.00,3.00,4.00,NULL,0.00,2.00,5.00,424,NULL,423,'BELA VISTA II','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021634,5.00,7.00,3.00,3.00,4.00,7.50,5.00,2.00,5.00,429,NULL,425,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021669,9.00,6.00,3.00,6.00,10.00,8.63,4.00,4.00,6.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',4009,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5021685,5.00,2.00,0.00,0.00,5.00,NULL,3.00,2.00,5.00,238,NULL,201,'JARDIM SÃO PAULO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021693,3.00,4.00,0.00,5.00,5.00,NULL,2.00,3.00,2.00,207,NULL,201,'VALE VERDE','GOV VALADARES','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5021707,2.00,2.00,2.00,4.00,3.00,NULL,2.00,2.00,4.00,101,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5021731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'VILA DUARTINA','DUARTINA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5021740,7.00,7.00,1.00,5.00,10.00,9.00,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',4745,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5021758,5.00,3.00,0.00,7.00,3.00,NULL,0.00,2.00,3.00,212,NULL,201,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(20,5021766,8.00,5.00,2.00,4.00,5.00,6.75,3.00,5.00,4.00,5,NULL,NULL,'BIGORRILHO','CURITIBA','PR',12030,383,NULL,NULL,NULL,NULL,NULL,2,8),(20,5021782,7.00,5.00,1.00,7.00,9.00,9.38,3.00,3.00,5.00,207,NULL,201,'QUADRA COBERTA','PINDAMONHANGABA','SP',6302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021790,4.00,6.00,2.00,2.00,3.00,NULL,2.00,2.00,3.00,302,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5021804,8.00,8.00,7.00,7.00,10.00,8.63,6.00,7.00,8.00,103,NULL,NULL,'SANTANA','RIO SUL','SC',469,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5021820,8.00,7.00,2.00,6.00,10.00,8.25,3.00,2.00,7.00,103,NULL,NULL,'PAMPLONA','RIO SUL','SC',4646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021839,8.00,5.00,5.00,7.00,9.00,9.38,6.00,7.00,9.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',714,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5021847,7.00,4.00,3.00,6.00,8.00,8.63,4.00,4.00,5.00,103,NULL,NULL,'PREDIAL','TORRES','RS',4918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021855,8.00,4.00,6.00,4.00,6.00,7.50,3.00,6.00,6.00,104,NULL,NULL,'JD CALIFORNIA','IRATI','PR',5706,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5021863,6.00,4.00,1.00,3.00,4.00,7.13,3.00,2.00,3.00,340,NULL,NULL,'CENTRO','IPUMIRIM','SC',16308,439,NULL,NULL,NULL,NULL,NULL,4,7),(20,5021871,6.00,6.00,4.00,4.00,8.00,9.00,5.00,6.00,7.00,216,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',4823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5021898,2.00,4.00,2.00,3.00,1.00,NULL,0.00,3.00,3.00,501,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5021901,4.00,6.00,1.00,3.00,4.00,NULL,2.00,2.00,1.00,207,NULL,201,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5021910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JD BANDEIRANTES','SALTO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5021928,5.00,4.00,5.00,5.00,5.00,8.25,2.00,3.00,3.00,238,NULL,233,'BARREIROS','S JOSÉ','SC',12665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5021944,6.00,4.00,2.00,4.00,6.00,NULL,0.00,2.00,5.00,9,NULL,NULL,'JARDIM ITÁLIA','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5021952,6.00,7.00,5.00,7.00,9.00,8.25,4.00,4.00,8.00,303,NULL,NULL,'VILA ANTÔNIO AUGUSTO','CAÇAPAVA','SP',2727,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5021960,3.00,7.00,3.00,5.00,6.00,7.50,3.00,3.00,4.00,331,NULL,NULL,'CENTRO','CONCÓRDIA','SC',13707,36,NULL,NULL,NULL,NULL,NULL,2,4),(20,5021987,4.00,7.00,0.00,4.00,9.00,7.88,1.00,5.00,4.00,207,NULL,211,'TIRADENTES','GRAVATAL','SC',12963,619,NULL,409,NULL,NULL,NULL,2,10),(20,5021995,3.00,6.00,0.00,5.00,8.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,208,'JARDIM NOEMIA','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5022037,5.00,6.00,4.00,7.00,5.00,7.88,0.00,2.00,5.00,102,NULL,NULL,'CINQUENTENÁRIO','CONCÓRDIA','SC',13365,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5022053,6.00,5.00,1.00,7.00,9.00,8.25,2.00,3.00,4.00,220,NULL,202,'CAMPECHE','FLORIANÓPOLIS','SC',9788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5022070,8.00,8.00,4.00,6.00,9.00,9.75,3.00,6.00,6.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',3429,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5022088,2.00,4.00,1.00,4.00,5.00,NULL,0.00,1.00,1.00,223,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022096,8.00,8.00,4.00,7.00,10.00,13.50,6.00,8.00,6.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5022100,3.00,4.00,2.00,4.00,5.00,7.13,0.00,4.00,4.00,415,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022118,9.00,7.00,6.00,5.00,9.00,11.63,4.00,5.00,7.00,103,NULL,NULL,'ITAIPAVA','ITAJAÍ','SC',1078,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5022126,6.00,6.00,2.00,5.00,6.00,8.63,3.00,2.00,6.00,215,NULL,207,'CENTRO','PASSOS','MG',9983,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022134,8.00,7.00,3.00,5.00,7.00,10.50,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5520,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022142,9.00,9.00,5.00,4.00,9.00,10.88,5.00,7.00,9.00,103,NULL,NULL,'JARDIM BOTÂNICO','CURITIBA','PR',735,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5022150,7.00,7.00,1.00,6.00,6.00,NULL,0.00,2.00,5.00,207,NULL,201,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5022169,6.00,4.00,1.00,6.00,5.00,NULL,0.00,2.00,4.00,502,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022177,2.00,4.00,2.00,3.00,5.00,NULL,1.00,2.00,5.00,319,NULL,NULL,'VILA DUARTINA','DUARTINA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022185,6.00,6.00,3.00,5.00,8.00,11.25,4.00,2.00,6.00,5,NULL,NULL,'N SRA DO ROSARIO','S JOSÉ','SC',5549,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022193,5.00,7.00,4.00,6.00,8.00,9.00,2.00,5.00,5.00,327,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',7578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5022258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PINHEIROS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5022266,2.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022274,6.00,6.00,4.00,4.00,5.00,8.63,1.00,1.00,6.00,212,NULL,215,'CENTRO','ÁGUA BOA','MT',11235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022282,7.00,5.00,3.00,5.00,7.00,6.75,4.00,5.00,5.00,208,NULL,207,'SÃO CRISTOVÃO','CHAPECÓ','SC',6572,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5022304,5.00,7.00,2.00,6.00,6.00,10.88,3.00,2.00,4.00,340,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',11133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5022312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JD COCAIA','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5022320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'MATO PRETO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5022347,6.00,6.00,4.00,4.00,5.00,6.75,2.00,4.00,4.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',12441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5022355,6.00,7.00,1.00,3.00,5.00,10.50,1.00,4.00,3.00,5,NULL,NULL,'VILA PEDRINI','JOAÇABA','SC',12811,420,NULL,NULL,NULL,NULL,NULL,4,7),(20,5022371,3.00,7.00,3.00,7.00,8.00,7.50,2.00,4.00,5.00,201,NULL,211,'CAPOEIRAS','FLORIANÓPOLIS','SC',9368,679,NULL,NULL,NULL,NULL,NULL,4,1),(20,5022380,3.00,3.00,0.00,2.00,7.00,NULL,1.00,1.00,4.00,202,NULL,215,'CENTRO','PEDRAS GRANDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5022401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5022428,8.00,6.00,4.00,4.00,8.00,10.13,3.00,5.00,6.00,102,NULL,NULL,'CENTRO','PARIQUERA-AÇU','SP',4147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5022436,4.00,6.00,0.00,7.00,4.00,9.38,2.00,2.00,4.00,450,NULL,NULL,'VILA THAÍS','ATIBAIA','SP',15639,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5022444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'LOMBA','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5022479,3.00,4.00,1.00,3.00,4.00,NULL,2.00,3.00,2.00,108,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022487,3.00,5.00,4.00,2.00,8.00,8.63,1.00,4.00,3.00,404,NULL,NULL,'CENTRO','PAULO LOPES','SC',13956,32,NULL,NULL,NULL,NULL,NULL,4,1),(20,5022495,7.00,5.00,3.00,7.00,3.00,NULL,2.00,3.00,3.00,303,NULL,NULL,'PQ DAS VIDEIRAS','LOUVEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5022509,5.00,7.00,4.00,5.00,8.00,10.88,4.00,6.00,6.00,238,NULL,208,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',4084,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022517,6.00,6.00,2.00,5.00,4.00,9.75,2.00,2.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',10579,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5022533,3.00,4.00,1.00,1.00,3.00,NULL,1.00,3.00,2.00,203,NULL,214,'CENTRO','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5022541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5022568,8.00,6.00,4.00,4.00,7.00,9.00,4.00,4.00,7.00,212,NULL,215,'INDIANÓPOLIS','S PAULO','SP',4810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5022576,5.00,7.00,6.00,7.00,8.00,7.88,1.00,3.00,6.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',6223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5022606,8.00,7.00,7.00,5.00,10.00,7.50,3.00,7.00,8.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022614,6.00,4.00,1.00,3.00,5.00,9.00,4.00,3.00,2.00,329,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MENINO DEUS','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5022630,8.00,6.00,0.00,7.00,6.00,9.00,3.00,4.00,7.00,103,NULL,NULL,'PINHEIRINHO','PATO BRANCO','PR',5622,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5022657,4.00,4.00,1.00,4.00,5.00,NULL,2.00,0.00,4.00,452,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022665,7.00,5.00,1.00,5.00,9.00,7.50,2.00,2.00,6.00,415,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',11173,216,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA LUZIA','BRAGANÇA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5022681,7.00,7.00,4.00,7.00,9.00,10.88,2.00,2.00,7.00,108,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5022703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARAPÉ','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5022711,8.00,7.00,7.00,7.00,9.00,7.88,6.00,4.00,5.00,103,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',2056,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5022738,6.00,5.00,1.00,3.00,6.00,8.63,0.00,3.00,5.00,319,NULL,NULL,'CENTRO','CURITIBA','PR',12539,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5022746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'LA BRUNETTI','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5022754,3.00,5.00,4.00,5.00,7.00,6.00,1.00,2.00,4.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022789,3.00,6.00,1.00,1.00,7.00,NULL,0.00,1.00,3.00,207,NULL,216,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5022797,2.00,5.00,1.00,4.00,4.00,NULL,1.00,2.00,3.00,451,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022800,8.00,6.00,0.00,0.00,4.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'JARDIM PARAÍSO II','BOTUCATU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5022819,4.00,7.00,1.00,3.00,5.00,7.50,3.00,1.00,3.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16099,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022827,3.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CASTELO BRANCO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(20,5022843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5022851,6.00,5.00,1.00,4.00,8.00,9.00,0.00,2.00,3.00,317,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022860,5.00,6.00,4.00,4.00,7.00,6.75,2.00,4.00,4.00,501,NULL,NULL,'PALHOÇA','PALHOÇA','SC',13383,75,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022878,9.00,8.00,8.00,7.00,9.00,9.00,7.00,5.00,7.00,216,NULL,215,'CENTRO','BLUMENAU','SC',503,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5022886,4.00,4.00,0.00,2.00,3.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'VILA PROGRESSO','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5022894,5.00,5.00,1.00,2.00,6.00,NULL,0.00,1.00,3.00,332,NULL,NULL,'CHÁCARAS CORNÉLIA','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5022908,5.00,5.00,5.00,7.00,8.00,9.38,3.00,2.00,5.00,201,NULL,207,'CENTRO','STA MARIA','RS',7077,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5022916,4.00,2.00,3.00,4.00,6.00,NULL,2.00,3.00,2.00,5,NULL,NULL,'SÃO JOSÉ','SAPUCAIA SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022932,6.00,4.00,3.00,4.00,6.00,8.25,2.00,2.00,5.00,333,NULL,NULL,'GARCIA','BLUMENAU','SC',15252,147,NULL,NULL,NULL,NULL,NULL,4,2),(20,5022959,9.00,8.00,8.00,7.00,10.00,9.75,7.00,7.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',28,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5022975,6.00,5.00,1.00,4.00,9.00,7.88,1.00,3.00,4.00,207,NULL,212,'CANASVIEIRAS','FLORIANÓPOLIS','SC',11991,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5022983,8.00,6.00,1.00,6.00,5.00,10.13,2.00,5.00,3.00,9,NULL,NULL,'SANTO ANTONIO','FLORIANÓPOLIS','SC',10687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5022991,5.00,8.00,0.00,6.00,8.00,NULL,2.00,4.00,4.00,340,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5023009,9.00,7.00,4.00,6.00,9.00,10.50,8.00,4.00,9.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023017,6.00,7.00,4.00,1.00,4.00,9.38,4.00,3.00,6.00,304,NULL,NULL,'ALTO DA XV','CURITIBA','PR',10752,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5023033,5.00,6.00,2.00,6.00,6.00,9.00,2.00,1.00,5.00,426,NULL,429,'TRINDADE','FLORIANÓPOLIS','SC',12886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023041,4.00,5.00,1.00,6.00,5.00,10.13,2.00,2.00,5.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',15379,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5023068,6.00,8.00,3.00,7.00,7.00,9.75,4.00,5.00,6.00,207,NULL,NULL,'PAU PRETO','INDAIATUBA','SP',4366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023076,5.00,5.00,0.00,4.00,4.00,NULL,2.00,0.00,3.00,415,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5023084,7.00,3.00,4.00,6.00,8.00,9.38,2.00,1.00,2.00,420,NULL,NULL,'ZONA OITO','MARINGÁ','PR',10629,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5023092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5023106,3.00,4.00,2.00,5.00,5.00,NULL,0.00,1.00,2.00,319,NULL,NULL,'JARDIM ATLANTICO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5023114,6.00,3.00,4.00,5.00,5.00,10.13,2.00,1.00,5.00,601,NULL,201,'CENTRO','ARAQUARI','SC',12750,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5023122,5.00,2.00,2.00,3.00,6.00,7.88,3.00,3.00,4.00,207,NULL,201,'CENTRO','STA BÁRBARA D OESTE','SP',15221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5023149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(20,5023157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5023165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5023173,3.00,4.00,3.00,3.00,6.00,NULL,1.00,3.00,3.00,101,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5023181,3.00,5.00,2.00,2.00,3.00,NULL,2.00,2.00,3.00,238,NULL,208,'INDEPENDENCIA','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5023211,2.00,7.00,2.00,3.00,5.00,7.50,3.00,3.00,4.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,202,'SERTÃOZINHO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5023238,3.00,5.00,2.00,4.00,9.00,8.63,3.00,2.00,3.00,303,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5023246,9.00,6.00,6.00,7.00,9.00,9.00,8.00,6.00,7.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023254,2.00,3.00,0.00,2.00,0.00,NULL,1.00,0.00,2.00,652,NULL,NULL,'POLICIA RODOVIARIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5023262,3.00,6.00,0.00,5.00,4.00,7.13,4.00,2.00,4.00,216,NULL,215,'CENTRO','ITAJAÍ','SC',15331,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5023270,5.00,3.00,1.00,4.00,4.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'SERRA ALTA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5023289,9.00,6.00,4.00,8.00,6.00,9.38,4.00,5.00,6.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',2388,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5023297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'CENTRO','S JOÃO TRIUNFO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5023319,3.00,5.00,0.00,3.00,5.00,NULL,1.00,2.00,2.00,208,NULL,238,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5023327,8.00,6.00,2.00,6.00,8.00,8.25,2.00,3.00,5.00,303,NULL,NULL,'SOSSEGO','CANOINHAS','SC',7100,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5023335,6.00,3.00,2.00,7.00,8.00,10.13,2.00,4.00,4.00,103,NULL,NULL,'VILLA MOEMA','TUBARÃO','SC',10372,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5023343,4.00,6.00,2.00,4.00,7.00,4.13,2.00,4.00,4.00,238,NULL,208,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5023351,6.00,6.00,1.00,5.00,8.00,10.13,3.00,5.00,3.00,3,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023360,5.00,6.00,1.00,7.00,6.00,8.25,4.00,4.00,3.00,415,NULL,NULL,'CENTRO','BRUSQUE','SC',8241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023378,8.00,4.00,4.00,2.00,7.00,6.75,1.00,3.00,4.00,201,NULL,202,'CENTRO','CURITIBA','PR',10959,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5023386,4.00,4.00,1.00,5.00,5.00,NULL,0.00,2.00,5.00,302,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5023394,3.00,3.00,2.00,2.00,5.00,NULL,2.00,4.00,5.00,502,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5023408,3.00,8.00,1.00,6.00,7.00,9.00,2.00,3.00,7.00,203,NULL,212,'CARIANOS','FLORIANÓPOLIS','SC',9731,703,NULL,249,NULL,NULL,NULL,4,1),(20,5023416,4.00,7.00,3.00,7.00,8.00,8.25,3.00,2.00,5.00,208,NULL,238,'MEIA PRAIA','ITAPEMA','SC',8265,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5023424,3.00,6.00,2.00,3.00,5.00,9.00,1.00,4.00,4.00,317,NULL,NULL,'AREIAS','S JOSÉ','SC',15803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5023432,7.00,7.00,5.00,8.00,9.00,7.88,2.00,5.00,8.00,103,NULL,NULL,'CENTRO','S MATEUS SUL','PR',2484,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5023440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPAO DA IMBUIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5023459,7.00,6.00,1.00,4.00,7.00,6.75,1.00,2.00,4.00,317,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',15111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5023467,7.00,5.00,2.00,7.00,8.00,8.63,1.00,3.00,4.00,340,NULL,NULL,'CENTRO','CASCAVEL','PR',9683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'JARDIM APIPEMA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5023491,5.00,6.00,3.00,4.00,6.00,4.88,3.00,3.00,3.00,444,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023505,6.00,6.00,5.00,8.00,5.00,8.25,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',5410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023513,7.00,7.00,1.00,6.00,8.00,10.13,2.00,4.00,4.00,215,NULL,233,'BARREIROS','S JOSÉ','SC',8180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TAGUATINGA NORTE','TAGUATINGA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5023530,6.00,6.00,5.00,4.00,7.00,10.13,3.00,1.00,2.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',10135,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5023548,1.00,4.00,1.00,3.00,2.00,NULL,2.00,1.00,4.00,215,NULL,216,'INTERIOR','NOVA ERECHIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5023556,2.00,7.00,3.00,3.00,5.00,8.63,4.00,4.00,5.00,202,NULL,213,'CITY RIBEIRÃO','RIBEIRÃO PRETO','SP',9941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023564,6.00,5.00,4.00,4.00,4.00,6.38,4.00,5.00,4.00,203,NULL,214,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023572,4.00,5.00,2.00,3.00,3.00,NULL,2.00,3.00,4.00,301,NULL,NULL,'PAGARÁ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5023580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'ANHANGABAÚ','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5023599,4.00,4.00,4.00,4.00,6.00,7.13,3.00,4.00,3.00,301,NULL,NULL,'NSA SRA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5023602,6.00,5.00,2.00,3.00,6.00,7.13,1.00,4.00,4.00,302,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',12418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5023610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'ARAÇATUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5023637,4.00,8.00,2.00,4.00,4.00,6.38,0.00,3.00,3.00,103,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',14496,3694,NULL,NULL,NULL,NULL,NULL,2,1),(20,5023645,3.00,5.00,4.00,4.00,4.00,9.00,3.00,3.00,1.00,339,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',16029,18,NULL,NULL,NULL,NULL,NULL,2,1),(20,5023661,8.00,7.00,5.00,5.00,9.00,8.25,4.00,4.00,4.00,233,NULL,211,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',3186,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5023670,2.00,4.00,0.00,1.00,5.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'DOIS PINHEIROS','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5023696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5023700,5.00,5.00,4.00,7.00,7.00,4.50,3.00,0.00,6.00,601,NULL,202,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5023718,1.00,4.00,1.00,1.00,0.00,NULL,1.00,1.00,0.00,101,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5023726,7.00,3.00,3.00,2.00,5.00,7.50,2.00,2.00,5.00,108,NULL,NULL,'PITANGUEIRAS','LAURO FREITAS','BA',15121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023742,5.00,4.00,3.00,5.00,6.00,6.75,1.00,2.00,5.00,103,NULL,NULL,'CENTRO','IRATI','PR',12082,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5023750,8.00,6.00,4.00,6.00,7.00,11.63,2.00,3.00,5.00,211,NULL,216,'SÃO SILVANO','COLATINA','ES',4679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023769,6.00,2.00,0.00,3.00,6.00,NULL,1.00,4.00,2.00,319,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5023777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5023785,6.00,7.00,3.00,7.00,7.00,9.38,3.00,3.00,7.00,216,NULL,207,'CENTRO','PASSO FUNDO','RS',5321,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5023793,3.00,7.00,5.00,3.00,7.00,6.38,3.00,1.00,5.00,201,NULL,202,'MORADA DO SOL','PALHOÇA','SC',14615,1036,NULL,488,NULL,NULL,NULL,2,1),(20,5023807,8.00,8.00,1.00,7.00,7.00,7.50,4.00,4.00,7.00,201,NULL,202,'CARVOEIRA','FLORIANÓPOLIS','SC',4243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023823,7.00,7.00,4.00,5.00,9.00,8.63,4.00,4.00,3.00,317,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',6443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5023866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ATUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5023882,4.00,4.00,4.00,1.00,6.00,NULL,1.00,4.00,3.00,601,NULL,207,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5023890,5.00,4.00,2.00,6.00,7.00,7.50,3.00,3.00,4.00,108,NULL,NULL,'PAULISTA','PIRACICABA','SP',11821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023904,8.00,7.00,5.00,7.00,10.00,11.25,5.00,7.00,8.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REPÚBLICA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5023963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CONSTANTINA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5023971,6.00,8.00,2.00,6.00,11.00,13.88,3.00,5.00,5.00,340,NULL,NULL,'VILA XAVIER','ARARAQUARA','SP',5756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023980,6.00,7.00,3.00,8.00,9.00,8.25,4.00,5.00,5.00,453,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5023998,9.00,8.00,7.00,5.00,10.00,8.25,4.00,5.00,8.00,103,NULL,NULL,'PORTAL DA PRIMAVERA','COLORADO','PR',1254,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5024005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5024013,5.00,8.00,3.00,3.00,4.00,8.25,5.00,5.00,5.00,216,NULL,233,'SOBRADINHO','SOBRADINHO','DF',10377,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5024021,6.00,7.00,4.00,2.00,8.00,9.75,1.00,4.00,6.00,216,NULL,203,'BALNEÁRIO ENSEADA','S FRANCISCO SUL','SC',6288,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5024030,4.00,4.00,0.00,3.00,4.00,NULL,4.00,1.00,2.00,207,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024048,3.00,2.00,0.00,3.00,4.00,NULL,1.00,1.00,2.00,319,NULL,NULL,'JUVEVÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5024056,2.00,8.00,5.00,4.00,3.00,NULL,1.00,1.00,2.00,501,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5024080,7.00,5.00,4.00,7.00,7.00,11.25,3.00,2.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024099,4.00,4.00,2.00,4.00,4.00,NULL,1.00,2.00,4.00,653,NULL,652,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5024102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'BOM RETIRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5024110,4.00,4.00,3.00,3.00,5.00,NULL,1.00,3.00,2.00,429,NULL,425,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024129,8.00,7.00,1.00,6.00,8.00,9.38,5.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024137,6.00,4.00,2.00,4.00,8.00,NULL,0.00,3.00,4.00,201,NULL,203,'INTERIOR','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5024153,4.00,6.00,2.00,6.00,7.00,9.00,3.00,3.00,6.00,332,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',11204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024161,7.00,8.00,6.00,7.00,9.00,10.88,8.00,5.00,7.00,201,NULL,211,'CABRAL','CURITIBA','PR',1118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024170,6.00,3.00,0.00,1.00,2.00,NULL,0.00,0.00,4.00,333,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5024196,4.00,5.00,1.00,6.00,5.00,6.00,1.00,3.00,4.00,203,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',15042,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5024218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PROGRESSO','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5024226,5.00,4.00,4.00,0.00,4.00,7.50,1.00,5.00,2.00,502,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024234,5.00,6.00,1.00,4.00,3.00,NULL,2.00,1.00,1.00,415,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024242,5.00,5.00,3.00,5.00,6.00,9.00,3.00,4.00,6.00,216,NULL,203,'VILA GATO','BRAGANÇA PAULISTA','SP',8028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024250,8.00,8.00,7.00,6.00,7.00,10.13,4.00,4.00,6.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM SÃO PAULO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5024277,3.00,5.00,0.00,2.00,5.00,NULL,0.00,1.00,3.00,213,NULL,238,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5024285,3.00,4.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,444,NULL,NULL,'CENTRO','ANITÁPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5024293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,214,'GRANVILLE','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5024307,8.00,4.00,3.00,6.00,7.00,9.38,3.00,5.00,7.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',6698,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5024315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5024323,6.00,5.00,2.00,7.00,10.00,9.75,3.00,5.00,5.00,303,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',5351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024331,5.00,5.00,1.00,6.00,2.00,NULL,2.00,2.00,1.00,220,NULL,213,'JARDIM BELA VISTA','SOCORRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5024358,3.00,8.00,3.00,7.00,5.00,6.38,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5024366,4.00,5.00,2.00,4.00,5.00,6.38,0.00,3.00,4.00,450,NULL,NULL,'TROPICAL','CASCAVEL','PR',15711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5024404,8.00,8.00,7.00,7.00,7.00,11.25,5.00,4.00,8.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',1034,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5024412,6.00,5.00,3.00,3.00,7.00,4.88,2.00,5.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024420,6.00,6.00,2.00,8.00,8.00,6.00,6.00,1.00,6.00,201,NULL,208,'BARREIROS','S JOSÉ','SC',5776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024439,4.00,6.00,1.00,6.00,8.00,9.75,2.00,1.00,4.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',10436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024447,3.00,8.00,1.00,4.00,3.00,NULL,4.00,3.00,2.00,211,NULL,NULL,'SÃO PASCOAL','IRINEÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5024455,8.00,6.00,6.00,5.00,4.00,10.88,5.00,4.00,5.00,318,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',5669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024463,3.00,4.00,0.00,3.00,5.00,NULL,1.00,3.00,4.00,415,NULL,NULL,'NOSSA SRA DE FÁTIMA','BARRACÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5024471,7.00,5.00,1.00,6.00,7.00,8.63,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','DIONÍSIO CERQUEIRA','SC',11635,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5024480,7.00,8.00,5.00,7.00,8.00,8.63,2.00,6.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024498,9.00,6.00,6.00,7.00,9.00,10.50,6.00,3.00,8.00,216,NULL,203,'CENTRO','CURITIBA','PR',1313,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5024501,7.00,6.00,2.00,5.00,5.00,9.00,3.00,3.00,3.00,101,NULL,NULL,'CENTRO','CAMBORIÚ','SC',11516,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5024510,5.00,6.00,5.00,5.00,8.00,9.75,3.00,3.00,5.00,224,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',7618,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5024528,6.00,7.00,4.00,7.00,10.00,9.75,5.00,6.00,8.00,203,NULL,202,'SANTA MARIA','CHAPECÓ','SC',2010,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5024536,8.00,6.00,8.00,6.00,10.00,8.25,5.00,6.00,7.00,233,NULL,601,'ATIRADORES','JOINVILLE','SC',1318,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5024544,1.00,5.00,4.00,1.00,2.00,NULL,2.00,3.00,2.00,301,NULL,NULL,'ESTADOS','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5024552,5.00,5.00,2.00,5.00,5.00,7.50,1.00,4.00,3.00,303,NULL,NULL,'CENTRO','CONGONHAS','MG',13128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024560,6.00,5.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,308,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5024579,8.00,6.00,6.00,7.00,10.00,10.13,4.00,2.00,8.00,3,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',2510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024587,5.00,4.00,4.00,6.00,7.00,6.75,1.00,4.00,6.00,104,NULL,NULL,'REBOUÇAS','CURITIBA','PR',9581,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5024595,5.00,5.00,5.00,6.00,8.00,7.88,3.00,4.00,5.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024609,7.00,7.00,5.00,7.00,9.00,7.88,5.00,6.00,7.00,303,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',2167,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5024625,9.00,8.00,8.00,7.00,9.00,9.75,5.00,5.00,7.00,103,NULL,NULL,'CENTRO','LAGES','SC',839,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5024641,6.00,7.00,4.00,6.00,10.00,8.63,8.00,6.00,4.00,203,NULL,202,'ORFÃS','PNT GROSSA','PR',2833,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5024650,8.00,6.00,4.00,7.00,9.00,11.63,2.00,5.00,4.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4393,1961,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024668,8.00,5.00,3.00,6.00,8.00,8.25,3.00,2.00,7.00,333,NULL,NULL,'CENTRO','CAÇADOR','SC',6381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5024676,6.00,8.00,3.00,6.00,10.00,11.25,6.00,2.00,7.00,212,NULL,201,'CENTRO','CURITIBA','PR',2646,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5024684,5.00,6.00,1.00,4.00,10.00,8.25,4.00,6.00,5.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',7692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024692,5.00,5.00,7.00,7.00,7.00,8.63,3.00,3.00,3.00,203,NULL,213,'CENTRO','LIMEIRA','SP',6823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024706,8.00,8.00,8.00,7.00,8.00,9.38,7.00,3.00,9.00,103,NULL,NULL,'VILA MADALENA','S PAULO','SP',805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024714,9.00,5.00,3.00,6.00,7.00,9.38,3.00,3.00,8.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',6056,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5024722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5024749,3.00,6.00,1.00,4.00,6.00,NULL,1.00,2.00,3.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024757,9.00,7.00,4.00,5.00,10.00,6.75,2.00,5.00,7.00,202,NULL,203,'CORDEIROS','ITAJAÍ','SC',3919,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5024765,3.00,6.00,4.00,5.00,5.00,8.25,2.00,3.00,2.00,238,NULL,208,'ITACORUBI','FLORIANÓPOLIS','SC',14485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024773,7.00,6.00,4.00,7.00,8.00,9.38,4.00,4.00,6.00,201,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',6052,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5024781,9.00,7.00,5.00,6.00,9.00,10.13,5.00,6.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',779,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5024811,3.00,2.00,1.00,4.00,5.00,NULL,1.00,3.00,5.00,104,NULL,NULL,'VALPARAISO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5024820,9.00,7.00,7.00,6.00,10.00,10.50,5.00,3.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',2048,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5024838,7.00,4.00,4.00,3.00,5.00,7.88,3.00,2.00,2.00,103,NULL,NULL,'PANORAMA','PARANAVAÍ','PR',14719,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5024846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5024854,7.00,4.00,4.00,6.00,6.00,8.25,2.00,4.00,4.00,319,NULL,NULL,'SOUSAS','CAMPINAS','SP',10093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024862,5.00,4.00,3.00,6.00,7.00,4.88,3.00,2.00,5.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5024870,6.00,8.00,1.00,3.00,5.00,3.75,3.00,3.00,6.00,502,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5024889,9.00,8.00,7.00,7.00,9.00,10.88,8.00,6.00,8.00,103,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024897,6.00,6.00,1.00,4.00,9.00,7.88,2.00,4.00,5.00,104,NULL,NULL,'MEDIANEIRA','CAXIAS SUL','RS',9696,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5024900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JD AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5024919,2.00,6.00,2.00,3.00,7.00,NULL,2.00,2.00,4.00,303,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5024927,6.00,4.00,4.00,7.00,5.00,6.38,6.00,4.00,7.00,211,NULL,653,'CENTRO','LONDRINA','PR',7036,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5024935,6.00,7.00,0.00,4.00,7.00,NULL,4.00,2.00,3.00,601,NULL,213,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5024951,6.00,8.00,2.00,6.00,7.00,7.13,1.00,4.00,5.00,303,NULL,NULL,'CENTRO','CHAPECÓ','SC',9488,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5024960,7.00,6.00,1.00,5.00,8.00,7.13,1.00,1.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9818,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5024978,4.00,7.00,1.00,5.00,10.00,8.25,2.00,5.00,4.00,501,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',9403,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5024994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'CENTRO','MATOS COSTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5025001,8.00,8.00,5.00,7.00,9.00,7.50,6.00,6.00,9.00,303,NULL,NULL,'CENTRO','ITAJAÍ','SC',1129,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5025010,7.00,6.00,4.00,5.00,9.00,9.75,1.00,3.00,4.00,207,NULL,201,'PICADAS DO SUL','S JOSÉ','SC',9311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5025028,7.00,4.00,3.00,7.00,9.00,9.00,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',6264,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5025036,8.00,6.00,8.00,7.00,7.00,12.00,8.00,3.00,8.00,216,NULL,201,'CERQUEIRA CÉSAR','S PAULO','SP',697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5025044,7.00,8.00,2.00,7.00,10.00,6.75,5.00,5.00,5.00,601,NULL,213,'COLONIAL','S BENTO SUL','SC',3305,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5025052,5.00,6.00,0.00,4.00,3.00,NULL,2.00,5.00,3.00,5,NULL,NULL,'PINEVILLE','PINHAIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5025079,7.00,3.00,4.00,7.00,6.00,10.13,3.00,2.00,5.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',6807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5025087,4.00,5.00,5.00,7.00,6.00,9.75,2.00,4.00,6.00,303,NULL,NULL,'VILA IRACEMA','S JOSÉ CAMPOS','SP',8172,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5025109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5025117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'RECANTO DOS PÁSSAROS','ALUMÍNIO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5025133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5025141,3.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ERNESTINA','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5025168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MANAUS','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5025176,5.00,6.00,2.00,5.00,3.00,NULL,2.00,2.00,5.00,103,NULL,NULL,'BELA VISTA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5025184,5.00,5.00,0.00,7.00,5.00,9.75,2.00,2.00,3.00,420,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5025192,4.00,4.00,1.00,6.00,9.00,10.50,3.00,2.00,4.00,108,NULL,NULL,'DEHON','TUBARÃO','SC',11513,192,NULL,NULL,NULL,NULL,NULL,4,10),(20,5025206,4.00,5.00,5.00,4.00,8.00,7.88,4.00,3.00,4.00,201,NULL,212,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',10695,790,NULL,269,NULL,NULL,NULL,2,1),(20,5025214,7.00,5.00,6.00,7.00,6.00,7.88,4.00,4.00,6.00,103,NULL,NULL,'VILA IRACEMA','S JOSÉ CAMPOS','SP',4580,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5025222,8.00,7.00,4.00,3.00,9.00,8.63,4.00,5.00,7.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',4089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5025230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,214,'CENTRO','LARANJAL PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5025249,5.00,5.00,2.00,5.00,7.00,9.00,2.00,4.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8959,369,NULL,NULL,NULL,NULL,NULL,2,1),(20,5025257,3.00,4.00,3.00,2.00,5.00,NULL,0.00,1.00,5.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5025265,6.00,6.00,1.00,3.00,6.00,6.75,0.00,2.00,3.00,303,NULL,NULL,'CENTRO','ITUPORANGA','SC',15670,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5025273,3.00,5.00,1.00,1.00,4.00,NULL,1.00,2.00,3.00,653,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5025290,8.00,6.00,8.00,7.00,9.00,9.75,7.00,6.00,6.00,103,NULL,NULL,'PONTE PRETA','CAMPINAS','SP',710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5025311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5025320,7.00,7.00,5.00,4.00,7.00,7.13,6.00,6.00,6.00,202,NULL,201,'MELLO','CPO ERÊ','SC',3928,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5025346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5025354,4.00,6.00,5.00,4.00,3.00,NULL,2.00,2.00,4.00,104,NULL,NULL,'CENTRO','VENÂNCIO AIRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5025362,5.00,5.00,4.00,5.00,7.00,7.88,3.00,3.00,6.00,108,NULL,NULL,'VILA SÃO JOÃO','FLORIANÓPOLIS','SC',10789,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5025397,4.00,7.00,2.00,3.00,8.00,7.88,1.00,3.00,5.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',13116,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5025419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOTAFOGO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5025427,2.00,8.00,2.00,7.00,4.00,9.00,2.00,2.00,1.00,201,NULL,215,'JARDIM TROPICAL','MARÍLIA','SP',14253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5025435,7.00,7.00,3.00,4.00,6.00,8.63,3.00,3.00,5.00,211,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',10441,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5025443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'CASTELO BRANCO','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5025451,0.00,3.00,2.00,2.00,5.00,NULL,2.00,1.00,1.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5025460,8.00,6.00,2.00,7.00,8.00,8.63,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',5792,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5025478,1.00,3.00,0.00,1.00,3.00,NULL,2.00,1.00,2.00,316,NULL,NULL,'INTERIOR','S CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5025486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,214,'JARDIM LONGATTO','MOGI MIRIM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5025494,4.00,4.00,0.00,4.00,4.00,NULL,0.00,1.00,4.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5025508,7.00,5.00,5.00,7.00,7.00,8.25,2.00,3.00,4.00,303,NULL,NULL,'ITAUM','JOINVILLE','SC',7416,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5025516,5.00,7.00,7.00,5.00,7.00,9.38,4.00,1.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',5316,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5025524,5.00,6.00,2.00,5.00,6.00,7.13,3.00,3.00,5.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',12885,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5025532,7.00,8.00,1.00,7.00,8.00,9.75,2.00,2.00,5.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',7811,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5025559,2.00,4.00,3.00,4.00,7.00,NULL,2.00,1.00,4.00,203,NULL,220,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5025567,9.00,6.00,7.00,7.00,9.00,10.50,6.00,6.00,9.00,103,NULL,NULL,'JD CRISTAL','CASCAVEL','PR',320,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5025575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'SANTA HILDA','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5025583,6.00,6.00,3.00,8.00,8.00,10.13,5.00,2.00,6.00,450,NULL,NULL,'HIGIENÓPOLIS','BAURU','SP',5967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5025591,4.00,6.00,5.00,4.00,6.00,6.75,3.00,3.00,1.00,427,NULL,421,'MATRIZ','VIDEIRA','SC',14903,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5025621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'BARRA FUNDA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5025630,4.00,4.00,2.00,6.00,6.00,10.50,2.00,2.00,3.00,201,NULL,212,'ROÇADO','S JOSÉ','SC',14402,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5025648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'MOEMA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5025656,7.00,7.00,2.00,5.00,8.00,8.63,2.00,4.00,4.00,601,NULL,203,'VILA NOVA','MAFRA','SC',6851,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5025664,8.00,6.00,5.00,3.00,8.00,7.50,2.00,6.00,7.00,203,NULL,214,'AGRONÔMICA','FLORIANÓPOLIS','SC',5868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5025672,2.00,0.00,0.00,3.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,2),(20,5025699,7.00,7.00,3.00,6.00,5.00,7.88,2.00,5.00,3.00,340,NULL,NULL,'JARDIM LAGOA','PNT GROSSA','PR',8056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5025702,8.00,9.00,3.00,6.00,5.00,8.25,2.00,5.00,5.00,208,NULL,238,'VILA OLIMPIA','S PAULO','SP',5053,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5025710,8.00,7.00,8.00,7.00,9.00,9.75,5.00,5.00,8.00,201,NULL,212,'MEIA PRAIA','ITAPEMA','SC',530,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5025745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,208,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5025753,3.00,3.00,1.00,4.00,5.00,NULL,1.00,2.00,4.00,320,NULL,NULL,'FREI ROGÉRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5025761,7.00,6.00,5.00,7.00,6.00,8.25,7.00,3.00,8.00,303,NULL,NULL,'BIGORRILHO','CURITIBA','PR',3548,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5025770,7.00,6.00,4.00,5.00,8.00,7.88,5.00,5.00,7.00,233,NULL,601,'URUSSANGUINHA','ARARANGUÁ','SC',5898,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5025788,1.00,4.00,3.00,2.00,2.00,NULL,2.00,2.00,3.00,601,NULL,214,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(20,5025796,5.00,6.00,1.00,5.00,7.00,7.50,4.00,0.00,4.00,215,NULL,216,'JARDIM ANDERE','VARGINHA','MG',11599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5025800,8.00,7.00,7.00,8.00,9.00,10.50,3.00,6.00,9.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5025818,6.00,6.00,3.00,6.00,6.00,10.13,1.00,1.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5025826,9.00,8.00,4.00,6.00,10.00,9.38,4.00,4.00,9.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',1362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5025834,4.00,3.00,3.00,6.00,7.00,7.50,4.00,1.00,6.00,103,NULL,NULL,'BOQUEIRAO','CURITIBA','PR',10973,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5025850,8.00,7.00,4.00,6.00,6.00,8.63,3.00,6.00,3.00,340,NULL,NULL,'MONTE LÍBANO','CPO GRANDE','MS',7012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5025869,7.00,7.00,2.00,3.00,6.00,NULL,0.00,3.00,4.00,303,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5025885,6.00,4.00,1.00,7.00,7.00,10.13,1.00,1.00,3.00,415,NULL,NULL,'MONTE CARLO','CPO GRANDE','MS',12247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5025893,2.00,5.00,0.00,2.00,6.00,NULL,4.00,2.00,2.00,207,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5025907,7.00,5.00,2.00,5.00,9.00,10.50,5.00,3.00,7.00,415,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',5828,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5025915,1.00,5.00,0.00,3.00,4.00,NULL,3.00,1.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5025931,9.00,6.00,7.00,7.00,8.00,10.50,7.00,6.00,8.00,103,NULL,NULL,'JD CRISTAL','CASCAVEL','PR',786,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5025940,4.00,0.00,2.00,6.00,2.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5025966,7.00,8.00,1.00,5.00,10.00,7.50,1.00,3.00,5.00,103,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',10176,3186,NULL,NULL,NULL,NULL,NULL,4,1),(20,5025974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'B AHÚ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5025982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VILA RAMI','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5025990,5.00,3.00,2.00,2.00,7.00,NULL,3.00,2.00,2.00,420,NULL,NULL,'LOT MADRI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5026008,6.00,6.00,4.00,7.00,6.00,8.63,1.00,5.00,8.00,303,NULL,NULL,'AMÉRICA','JOINVILLE','SC',4503,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5026016,4.00,5.00,3.00,7.00,4.00,7.88,4.00,1.00,3.00,101,NULL,NULL,'CENTRO','JOINVILLE','SC',12572,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5026024,5.00,6.00,4.00,5.00,5.00,6.00,2.00,1.00,4.00,234,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5026032,9.00,7.00,3.00,7.00,7.00,8.63,7.00,5.00,8.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',1658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5026040,6.00,6.00,5.00,4.00,8.00,7.13,4.00,4.00,7.00,233,NULL,235,'INTERIOR','LACERDÓPOLIS','SC',6193,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5026059,4.00,6.00,1.00,3.00,3.00,NULL,2.00,1.00,2.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5026067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5026075,9.00,7.00,7.00,7.00,8.00,8.25,5.00,6.00,6.00,331,NULL,NULL,'SANTO AMARO','S PAULO','SP',1487,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5026083,7.00,5.00,4.00,4.00,5.00,8.25,4.00,2.00,6.00,601,NULL,202,'BOM RETIRO','JOINVILLE','SC',10225,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5026091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S',NULL,2,8),(20,5026113,5.00,5.00,3.00,2.00,4.00,7.88,2.00,4.00,2.00,108,NULL,NULL,'PEREQUÊ','PTO BELO','SC',14772,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5026121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5026130,8.00,8.00,1.00,4.00,6.00,6.75,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',11776,3390,NULL,NULL,NULL,NULL,NULL,2,4),(20,5026148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'VILA A','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5026164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5026172,7.00,5.00,1.00,6.00,7.00,7.50,4.00,3.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',10231,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5026180,6.00,4.00,2.00,4.00,3.00,NULL,2.00,0.00,2.00,9,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5026202,8.00,8.00,6.00,4.00,8.00,9.75,3.00,4.00,7.00,216,NULL,215,'CENTRO','RIBEIRÃO PRETO','SP',2614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5026229,8.00,7.00,3.00,5.00,7.00,12.00,4.00,6.00,4.00,104,NULL,NULL,'BOA VISTA','CURITIBA','PR',4664,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5026237,8.00,7.00,3.00,6.00,8.00,10.50,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',5529,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5026245,3.00,5.00,2.00,2.00,5.00,NULL,2.00,4.00,2.00,104,NULL,NULL,'PARQUE DAS AVENIDAS','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5026253,6.00,6.00,0.00,6.00,7.00,6.00,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5026261,6.00,6.00,4.00,8.00,10.00,8.63,6.00,7.00,7.00,203,NULL,207,'CENTRO','CPO BELO SUL','SC',2717,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5026288,8.00,9.00,6.00,6.00,11.00,12.00,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',330,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5026296,5.00,6.00,3.00,4.00,6.00,7.13,5.00,3.00,4.00,216,NULL,651,'VILA MOEMA','TUBARÃO','SC',14469,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5026318,4.00,4.00,1.00,4.00,2.00,NULL,1.00,3.00,4.00,104,NULL,NULL,'CINQUENTENÁRIO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5026326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD ANTARTICA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5026342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'VILA OLÍMPIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5026350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'VILA SAO JOSE','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5026369,6.00,5.00,5.00,3.00,6.00,8.25,2.00,2.00,5.00,201,NULL,207,'JARDIM RECANTO','TOLEDO','PR',10542,779,NULL,505,NULL,NULL,NULL,2,8),(20,5026377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,233,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5026393,4.00,6.00,5.00,2.00,8.00,6.75,1.00,3.00,5.00,203,NULL,202,'PASSA VINTE','PALHOÇA','SC',12587,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5026407,3.00,6.00,1.00,6.00,7.00,7.13,2.00,0.00,4.00,303,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',12695,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5026415,7.00,5.00,6.00,7.00,8.00,10.13,5.00,2.00,6.00,211,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',3164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5026423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'FIGUEROA','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5026431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ZONA II','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5026474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE MANDAQUI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5026482,9.00,7.00,5.00,6.00,9.00,7.13,5.00,5.00,9.00,103,NULL,NULL,'ZONA DOIS','UMUARAMA','PR',1503,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5026490,7.00,3.00,2.00,6.00,5.00,7.13,3.00,3.00,4.00,5,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',12823,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5026504,6.00,5.00,1.00,5.00,6.00,6.00,3.00,2.00,3.00,214,NULL,213,'JARDIM CENTRAL','DOURADOS','MS',13587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5026512,8.00,4.00,1.00,4.00,8.00,6.75,3.00,4.00,5.00,319,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',11814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5026520,9.00,7.00,2.00,7.00,9.00,10.88,4.00,4.00,6.00,333,NULL,NULL,'CASTELO','BELO HORIZONTE','MG',3983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5026539,2.00,6.00,0.00,4.00,1.00,NULL,0.00,0.00,1.00,324,NULL,NULL,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5026547,5.00,3.00,0.00,6.00,3.00,NULL,3.00,2.00,4.00,238,NULL,208,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5026555,6.00,6.00,1.00,4.00,6.00,7.88,0.00,2.00,5.00,601,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',14242,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5026563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM UNIVERSITARIO','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5026571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','SALTO LONTRA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5026598,3.00,4.00,4.00,2.00,2.00,NULL,0.00,1.00,5.00,444,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5026601,7.00,5.00,2.00,6.00,8.00,7.50,3.00,3.00,6.00,103,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',10393,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(20,5026610,8.00,7.00,3.00,7.00,8.00,6.75,1.00,5.00,6.00,415,NULL,NULL,'JARDIM AEROPORTO','MATÃO','SP',5625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5026636,9.00,6.00,7.00,7.00,6.00,6.75,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2171,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5026644,6.00,8.00,2.00,6.00,7.00,8.63,2.00,4.00,6.00,103,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5026652,9.00,8.00,6.00,7.00,11.00,10.13,3.00,6.00,8.00,211,NULL,216,'CAMPECHE','FLORIANÓPOLIS','SC',840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5026660,8.00,7.00,1.00,6.00,8.00,9.75,3.00,7.00,6.00,319,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',3930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5026679,3.00,6.00,1.00,7.00,6.00,7.88,3.00,5.00,5.00,421,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5026687,5.00,5.00,0.00,3.00,2.00,NULL,1.00,1.00,1.00,102,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5026695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'JARDIM MARECÉU','GUARUJÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5026709,8.00,8.00,4.00,6.00,6.00,7.88,2.00,3.00,7.00,222,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',6165,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5026717,4.00,4.00,0.00,6.00,8.00,8.25,4.00,3.00,4.00,216,NULL,653,'CENTRO','AVARÉ','SP',11534,459,NULL,NULL,NULL,NULL,NULL,4,1),(20,5026733,5.00,3.00,1.00,4.00,6.00,9.00,2.00,3.00,3.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5026750,4.00,4.00,2.00,5.00,3.00,NULL,2.00,3.00,3.00,327,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5026768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,653,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5026776,2.00,5.00,1.00,4.00,4.00,7.50,2.00,2.00,5.00,303,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5026784,6.00,7.00,5.00,8.00,8.00,12.00,2.00,2.00,4.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5026792,8.00,7.00,5.00,7.00,8.00,9.38,3.00,4.00,5.00,340,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',4443,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5026806,6.00,0.00,3.00,5.00,7.00,NULL,0.00,0.00,0.00,216,NULL,211,'JARDIM VALE VERDE','ROLÂNDIA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(20,5026814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5026849,9.00,5.00,4.00,8.00,9.00,9.38,6.00,4.00,7.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',2896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5026857,1.00,5.00,1.00,5.00,3.00,NULL,3.00,1.00,3.00,333,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5026865,4.00,2.00,1.00,3.00,4.00,NULL,3.00,2.00,5.00,333,NULL,NULL,'BENASSI','MATÃO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5026873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM RONDONIA','RONDONÓPOLIS','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5026881,6.00,5.00,0.00,4.00,5.00,6.38,4.00,2.00,6.00,207,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5026890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SÃO LOURENÇO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5026911,4.00,2.00,5.00,3.00,3.00,NULL,3.00,1.00,4.00,317,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5026920,8.00,3.00,3.00,7.00,9.00,10.88,0.00,4.00,5.00,216,NULL,215,'BURTET','IJUÍ','RS',10383,427,NULL,210,NULL,NULL,NULL,2,4),(20,5026938,7.00,9.00,6.00,6.00,9.00,10.50,5.00,4.00,8.00,201,NULL,212,'VILA OPERÁRIA','ITAJAÍ','SC',1882,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5026946,3.00,6.00,1.00,4.00,6.00,6.38,1.00,4.00,5.00,308,NULL,NULL,'JARDIM AMERICA','ITUPORANGA','SC',15977,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5026954,5.00,6.00,3.00,3.00,4.00,7.13,4.00,4.00,5.00,203,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5026962,4.00,5.00,0.00,6.00,6.00,NULL,2.00,3.00,3.00,427,NULL,NULL,'TRÊS RIOS DO SUL','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(20,5026970,3.00,4.00,4.00,2.00,6.00,NULL,1.00,2.00,2.00,102,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5026989,4.00,3.00,1.00,3.00,7.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5026997,7.00,6.00,1.00,6.00,4.00,7.13,3.00,1.00,5.00,5,NULL,NULL,'PEREQUE','PTO BELO','SC',13923,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5027004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'GUAIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5027012,4.00,7.00,3.00,7.00,6.00,11.25,1.00,5.00,5.00,425,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',8834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027020,8.00,7.00,3.00,7.00,8.00,8.25,3.00,5.00,6.00,303,NULL,NULL,'BATEL','CURITIBA','PR',3659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027039,2.00,1.00,1.00,3.00,5.00,NULL,2.00,1.00,1.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027047,3.00,7.00,3.00,6.00,7.00,9.38,0.00,3.00,4.00,207,NULL,201,'JARDIM PAU PRETO','INDAIATUBA','SP',10817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027055,8.00,7.00,3.00,6.00,7.00,8.25,4.00,3.00,5.00,201,NULL,207,'NOVA CAMPINAS','CAMPINAS','SP',5292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027063,7.00,7.00,1.00,7.00,8.00,9.00,3.00,5.00,5.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027071,6.00,7.00,1.00,6.00,6.00,11.25,1.00,5.00,4.00,421,NULL,428,'SAO LUIZ','BRUSQUE','SC',7224,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(20,5027080,8.00,9.00,5.00,7.00,10.00,9.75,5.00,3.00,6.00,340,NULL,NULL,'VILA UNIVERSITÁRIA','BAURU','SP',2119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VILA FORMOSA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5027101,5.00,6.00,3.00,4.00,8.00,7.13,1.00,1.00,3.00,452,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',15372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PANATANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5027144,9.00,7.00,5.00,7.00,8.00,9.00,6.00,6.00,8.00,214,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',1510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027152,5.00,5.00,2.00,2.00,6.00,6.00,3.00,3.00,3.00,317,NULL,NULL,'JD VELOSO','OSASCO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5027160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PONTE ALTA','APARECIDA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5027179,4.00,4.00,0.00,4.00,6.00,9.38,4.00,3.00,3.00,336,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',13944,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5027187,6.00,6.00,4.00,6.00,6.00,6.75,3.00,3.00,3.00,238,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',12366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'JD DAS INDÚSTRIAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5027217,2.00,4.00,1.00,7.00,8.00,NULL,0.00,3.00,3.00,216,NULL,211,'BUDAG','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5027225,7.00,8.00,3.00,6.00,9.00,12.00,3.00,5.00,6.00,318,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',3389,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5027241,9.00,8.00,5.00,7.00,8.00,12.75,4.00,5.00,8.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027250,5.00,6.00,5.00,7.00,10.00,8.63,2.00,4.00,5.00,415,NULL,NULL,'JARDIM TAROBÁ','FOZ IGUAÇU','PR',4194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027276,2.00,4.00,1.00,2.00,4.00,NULL,2.00,3.00,5.00,207,NULL,208,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027292,7.00,6.00,1.00,5.00,7.00,9.38,3.00,4.00,5.00,103,NULL,NULL,'ZONA III CENTRO','UMUARAMA','PR',8988,3020,NULL,NULL,NULL,NULL,NULL,4,4),(20,5027306,1.00,6.00,3.00,3.00,6.00,NULL,0.00,1.00,2.00,328,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027314,7.00,6.00,3.00,5.00,6.00,8.25,1.00,2.00,3.00,201,NULL,NULL,'SANTA ROSA','MATÃO','SP',10100,741,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027322,8.00,7.00,3.00,5.00,9.00,8.63,4.00,5.00,6.00,203,NULL,212,'LIBERDADE','S PAULO','SP',4645,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5027330,8.00,7.00,4.00,5.00,8.00,9.38,4.00,3.00,7.00,216,NULL,201,'CENTRO','TAIÓ','SC',3762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5027349,5.00,4.00,1.00,2.00,5.00,NULL,1.00,1.00,2.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5027357,9.00,6.00,4.00,7.00,10.00,11.25,4.00,4.00,8.00,103,NULL,NULL,'JARDIM ITATIAIA','LONDRINA','PR',1458,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5027373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5027381,7.00,7.00,6.00,6.00,7.00,7.13,7.00,7.00,8.00,103,NULL,NULL,'MERCES','CURITIBA','PR',1926,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5027390,5.00,0.00,4.00,4.00,5.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'BURITI','RONDONÓPOLIS','MT',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5027403,7.00,8.00,8.00,7.00,10.00,8.25,8.00,7.00,7.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027411,4.00,6.00,0.00,3.00,2.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'EUGENIO SCHNEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5027420,9.00,7.00,5.00,5.00,8.00,6.38,4.00,6.00,9.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',2402,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5027438,8.00,7.00,1.00,7.00,10.00,9.00,2.00,5.00,6.00,103,NULL,NULL,'LA SALLE','XANXERÊ','SC',3561,1699,NULL,NULL,NULL,NULL,NULL,4,4),(20,5027470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5027489,4.00,7.00,3.00,1.00,6.00,8.25,2.00,3.00,3.00,5,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',14908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027497,4.00,5.00,3.00,4.00,5.00,12.38,1.00,4.00,4.00,216,NULL,233,'CENTRO','BURITAMA','SP',10502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027519,5.00,5.00,2.00,4.00,6.00,9.38,1.00,2.00,3.00,213,NULL,601,'SANTA MONICA','FLORIANÓPOLIS','SC',12277,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5027535,5.00,7.00,1.00,4.00,7.00,9.00,3.00,5.00,6.00,301,NULL,NULL,'LOT DONA ADÉLIA','S JOSÉ','SC',10165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027543,8.00,8.00,4.00,7.00,8.00,8.25,2.00,6.00,8.00,601,NULL,203,'CAMPECHE','FLORIANÓPOLIS','SC',2768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027551,6.00,6.00,4.00,3.00,5.00,7.88,2.00,3.00,6.00,310,NULL,NULL,'CENTRO','BOMBINHAS','SC',10850,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5027560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RIBEIRÂNIA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5027578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5027586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,235,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5027594,6.00,7.00,5.00,5.00,8.00,7.88,3.00,4.00,5.00,9,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',8271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027616,4.00,6.00,5.00,7.00,7.00,7.13,2.00,1.00,7.00,303,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027632,6.00,5.00,4.00,6.00,8.00,9.75,4.00,7.00,5.00,453,NULL,NULL,'MORUMBI SUL','S PAULO','SP',4173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027640,7.00,6.00,1.00,7.00,11.00,9.00,0.00,6.00,4.00,340,NULL,NULL,'PQ DAS LARANJEIRAS','GOIÂNIA','GO',7651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027659,8.00,5.00,5.00,7.00,9.00,9.38,6.00,4.00,6.00,103,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',2853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027667,5.00,4.00,2.00,3.00,5.00,9.00,2.00,2.00,3.00,108,NULL,NULL,'CENTRO','XANXERÊ','SC',14995,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5027675,2.00,6.00,2.00,6.00,3.00,NULL,1.00,1.00,5.00,425,NULL,NULL,'FERRAZ','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027683,6.00,6.00,1.00,3.00,8.00,10.13,1.00,1.00,5.00,2,NULL,NULL,'RIBEIRÃO','FLORIANÓPOLIS','SC',11945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5027691,7.00,6.00,3.00,6.00,7.00,7.50,3.00,4.00,5.00,220,NULL,214,'CENTRO','BRUSQUE','SC',8876,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5027705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5027721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5027730,2.00,3.00,1.00,4.00,4.00,NULL,1.00,2.00,4.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5027748,8.00,5.00,0.00,6.00,6.00,NULL,0.00,5.00,4.00,502,NULL,NULL,'CACHOEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5027756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'PARK IMPERADOR','MATÃO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5027764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5027780,7.00,9.00,6.00,7.00,9.00,12.00,6.00,7.00,7.00,203,NULL,214,'NAÇÕES','INDAIAL','SC',494,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5027810,5.00,7.00,2.00,4.00,7.00,8.25,0.00,4.00,4.00,207,NULL,NULL,'JD SÃO DIMAS','S JOSÉ CAMPOS','SP',11334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VILA VITORIA','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5027837,9.00,6.00,7.00,7.00,8.00,9.75,5.00,5.00,8.00,202,NULL,213,'ASILO','BLUMENAU','SC',1215,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5027845,5.00,6.00,0.00,7.00,8.00,NULL,1.00,3.00,6.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM CHAPADAO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5027888,7.00,8.00,4.00,7.00,10.00,11.25,2.00,5.00,2.00,340,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',5097,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5027896,6.00,7.00,1.00,7.00,6.00,10.88,2.00,4.00,5.00,310,NULL,NULL,'MORADAS DO JATAY','CAÇAPAVA','SP',7262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027926,6.00,6.00,0.00,3.00,8.00,NULL,1.00,2.00,3.00,104,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5027942,4.00,4.00,1.00,7.00,6.00,10.13,1.00,6.00,5.00,452,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',13190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5027950,5.00,6.00,1.00,4.00,8.00,7.50,1.00,4.00,3.00,103,NULL,NULL,'CRISTO REI','ESTRELA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5027969,3.00,5.00,2.00,3.00,8.00,NULL,2.00,0.00,4.00,108,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5027977,7.00,7.00,3.00,5.00,6.00,9.38,1.00,5.00,4.00,102,NULL,NULL,'CENTRO','MARACAJÁ','SC',9222,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5027985,2.00,4.00,2.00,4.00,3.00,NULL,0.00,3.00,0.00,316,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5028019,4.00,5.00,0.00,6.00,2.00,NULL,1.00,2.00,4.00,201,NULL,233,'VILA SOLTO','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028043,6.00,6.00,1.00,5.00,8.00,9.00,2.00,2.00,5.00,318,NULL,NULL,'PARTENON','PTO ALEGRE','RS',9534,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5028051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'JD LAS PALMAS','GUARUJÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5028086,7.00,7.00,3.00,4.00,7.00,7.50,1.00,2.00,6.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11460,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5028094,5.00,5.00,3.00,4.00,7.00,7.88,1.00,4.00,1.00,316,NULL,NULL,'FLORESTA','S JOSÉ','SC',14882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028108,6.00,7.00,5.00,7.00,8.00,9.38,2.00,4.00,4.00,202,NULL,235,'VILA MATHILDE VIEIRA','PRES PRUDENTE','SP',6154,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5028116,6.00,8.00,2.00,6.00,7.00,10.13,1.00,3.00,6.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028132,7.00,4.00,3.00,6.00,7.00,7.88,3.00,1.00,3.00,453,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028140,5.00,6.00,1.00,7.00,6.00,9.00,2.00,3.00,4.00,104,NULL,NULL,'PLANALTO','CAXIAS SUL','RS',10881,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5028159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM DAS NAÇÕES','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5028167,9.00,7.00,4.00,8.00,8.00,7.88,6.00,5.00,7.00,103,NULL,NULL,'MORUMBI','S PAULO','SP',1702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028175,6.00,4.00,2.00,5.00,4.00,6.75,1.00,3.00,4.00,103,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',14730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5028205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,235,'SERTAO DO IMARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5028213,7.00,7.00,3.00,7.00,9.00,8.25,4.00,5.00,7.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028221,7.00,7.00,2.00,4.00,9.00,10.13,3.00,7.00,6.00,203,NULL,214,'SÃO VICENTE','HERVAL D OESTE','SC',3657,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5028248,6.00,4.00,5.00,3.00,7.00,11.63,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','CAMPINAS','SP',10553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA IPIRANGA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5028280,9.00,3.00,2.00,5.00,7.00,7.13,2.00,4.00,2.00,9,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',13830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,215,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5028302,9.00,9.00,7.00,7.00,9.00,10.50,7.00,6.00,9.00,220,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028310,7.00,7.00,5.00,6.00,10.00,9.00,2.00,6.00,6.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3580,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5028329,7.00,7.00,5.00,7.00,10.00,9.00,6.00,7.00,8.00,216,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028337,8.00,7.00,5.00,6.00,8.00,10.13,3.00,5.00,8.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',2198,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5028353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5028361,9.00,7.00,3.00,7.00,9.00,9.00,6.00,5.00,6.00,303,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',2047,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5028370,5.00,7.00,2.00,7.00,8.00,7.88,2.00,4.00,4.00,238,NULL,233,'PONTA DE BAIXO','S JOSÉ','SC',8969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028396,2.00,3.00,1.00,2.00,5.00,NULL,1.00,0.00,3.00,238,NULL,211,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5028418,6.00,7.00,1.00,6.00,8.00,6.75,1.00,4.00,5.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',10116,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5028426,9.00,8.00,4.00,7.00,9.00,9.75,5.00,6.00,8.00,340,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',1203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028434,6.00,6.00,2.00,2.00,5.00,7.13,2.00,2.00,4.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16021,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5028442,8.00,5.00,4.00,6.00,7.00,9.00,5.00,5.00,9.00,103,NULL,NULL,'SANTA QUITÉRIA','CURITIBA','PR',2987,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5028450,9.00,8.00,8.00,5.00,10.00,10.13,7.00,8.00,9.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',123,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5028469,6.00,4.00,3.00,4.00,3.00,NULL,1.00,5.00,3.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5028477,4.00,4.00,2.00,6.00,7.00,8.63,0.00,1.00,5.00,102,NULL,NULL,'CENTRO','MISSAL','PR',14538,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5028485,3.00,4.00,2.00,5.00,2.00,NULL,4.00,2.00,3.00,103,NULL,NULL,'CENTRO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028493,8.00,5.00,2.00,5.00,9.00,10.13,4.00,4.00,7.00,211,NULL,233,'POÇO GRANDE','GASPAR','SC',5296,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5028507,7.00,7.00,7.00,6.00,9.00,10.50,5.00,8.00,6.00,202,NULL,653,'AREIAS','S JOSÉ','SC',1726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028515,5.00,2.00,0.00,2.00,3.00,NULL,3.00,1.00,4.00,404,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5028531,6.00,5.00,3.00,7.00,8.00,9.38,4.00,6.00,7.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',4120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028558,6.00,7.00,5.00,8.00,7.00,9.00,4.00,8.00,6.00,203,NULL,220,'VILA IZABEL','CURITIBA','PR',2041,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5028566,5.00,5.00,3.00,6.00,7.00,4.50,0.00,4.00,6.00,103,NULL,NULL,'JARDIM PARAISO','ALM TAMANDARÉ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5028574,2.00,7.00,3.00,2.00,6.00,NULL,3.00,2.00,2.00,601,NULL,203,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5028582,4.00,6.00,1.00,4.00,5.00,NULL,3.00,1.00,1.00,303,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5028604,4.00,0.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5028620,7.00,4.00,2.00,6.00,8.00,9.00,1.00,3.00,4.00,213,NULL,216,'SANTA MONICA','FLORIANÓPOLIS','SC',8807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028639,8.00,7.00,1.00,4.00,8.00,6.38,1.00,4.00,5.00,319,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',9466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5028647,6.00,7.00,4.00,5.00,5.00,7.88,1.00,3.00,4.00,203,NULL,201,'CORREGO GRANDE','FLORIANÓPOLIS','SC',9407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028655,8.00,6.00,4.00,7.00,7.00,8.25,3.00,4.00,7.00,220,NULL,203,'TATUAPÉ','S PAULO','SP',3968,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5028671,4.00,5.00,2.00,6.00,5.00,7.88,0.00,3.00,1.00,207,NULL,233,'PIO CORRÊA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5028680,9.00,9.00,4.00,5.00,10.00,9.38,6.00,4.00,8.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',1149,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5028710,5.00,5.00,2.00,3.00,6.00,6.00,1.00,2.00,5.00,207,NULL,211,'BOQUEIRÃO','SANTOS','SP',16257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028728,0.00,6.00,0.00,4.00,4.00,NULL,0.00,0.00,3.00,102,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5028736,8.00,5.00,2.00,4.00,7.00,10.13,1.00,3.00,5.00,103,NULL,NULL,'EMBARÉ','SANTOS','SP',7735,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5028744,4.00,4.00,3.00,5.00,4.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5028752,4.00,7.00,3.00,6.00,10.00,9.75,4.00,2.00,4.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',6573,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5028760,6.00,8.00,2.00,5.00,10.00,7.88,3.00,5.00,4.00,303,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',7817,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5028787,8.00,7.00,3.00,6.00,9.00,9.00,6.00,2.00,4.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028795,6.00,6.00,3.00,5.00,8.00,8.25,2.00,5.00,5.00,319,NULL,NULL,'ITAIGARA','SALVADOR','BA',6332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028809,6.00,6.00,6.00,7.00,7.00,7.88,6.00,6.00,8.00,208,NULL,235,'BARREIROS','S JOSÉ','SC',2985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028817,6.00,5.00,5.00,4.00,7.00,8.63,4.00,6.00,5.00,309,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8162,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5028825,4.00,4.00,2.00,6.00,7.00,7.50,2.00,1.00,3.00,212,NULL,201,'VILA GOMES','CPO GRANDE','MS',14759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028833,8.00,8.00,7.00,7.00,10.00,9.75,4.00,5.00,6.00,320,NULL,NULL,'BARREIROS','S JOSÉ','SC',611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5028850,6.00,4.00,3.00,4.00,4.00,10.88,2.00,2.00,3.00,332,NULL,NULL,'CASA BRANCA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5028868,3.00,3.00,2.00,4.00,2.00,NULL,3.00,3.00,4.00,415,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5028876,4.00,3.00,0.00,4.00,5.00,NULL,3.00,3.00,4.00,319,NULL,NULL,'SANTA MARIA','MTE ALEGRE MINAS','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5028892,4.00,4.00,0.00,4.00,8.00,NULL,2.00,4.00,4.00,207,NULL,NULL,'RIO MOLHA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5028906,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','GUAPORÉ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5028922,6.00,7.00,6.00,5.00,10.00,9.00,2.00,3.00,3.00,207,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',6262,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5028930,1.00,2.00,1.00,4.00,5.00,NULL,1.00,1.00,2.00,451,NULL,NULL,'CENTRO','VILHENA','RO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5028949,5.00,6.00,2.00,3.00,5.00,6.75,2.00,4.00,4.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',15493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5028957,5.00,7.00,4.00,7.00,6.00,8.63,1.00,4.00,2.00,238,NULL,220,'CENTRO','TIJUCAS','SC',12134,261,NULL,335,NULL,NULL,NULL,4,1),(20,5028965,9.00,7.00,3.00,7.00,9.00,10.13,3.00,6.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1611,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5028973,3.00,2.00,0.00,5.00,7.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'JD LIBERDADE','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5028981,8.00,5.00,3.00,6.00,7.00,10.88,5.00,4.00,6.00,103,NULL,NULL,'GERMÂNICO','XAXIM','SC',5772,2353,NULL,NULL,NULL,NULL,NULL,2,4),(20,5028990,8.00,7.00,4.00,3.00,7.00,9.38,1.00,3.00,4.00,104,NULL,NULL,'RESTINGA','MAFRA','SC',9144,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029007,2.00,7.00,3.00,6.00,6.00,6.00,2.00,3.00,5.00,203,NULL,214,'PARTENON','PTO ALEGRE','RS',11912,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029015,5.00,6.00,2.00,6.00,5.00,7.88,4.00,2.00,3.00,201,NULL,NULL,'ZONA III','UMUARAMA','PR',9765,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5029023,6.00,8.00,1.00,5.00,7.00,9.38,2.00,4.00,3.00,207,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029031,8.00,7.00,7.00,6.00,8.00,7.50,7.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029040,9.00,9.00,6.00,6.00,11.00,7.13,6.00,8.00,9.00,103,NULL,NULL,'CENTRO','FORQUILHINHA','SC',391,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5029058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5029066,8.00,8.00,3.00,7.00,8.00,8.25,6.00,4.00,8.00,103,NULL,NULL,'SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC',2854,1426,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029082,6.00,7.00,5.00,5.00,9.00,8.63,1.00,2.00,5.00,207,NULL,216,'VILA REAL','BAL CAMBORIÚ','SC',7947,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5029090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SUMARÉ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5029104,1.00,4.00,3.00,2.00,6.00,NULL,1.00,2.00,0.00,3,NULL,NULL,'VILA CABANA','CANANÉIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029112,6.00,6.00,2.00,7.00,8.00,9.38,2.00,7.00,6.00,340,NULL,NULL,'BOSQUE DA PRINCESA','PINDAMONHANGABA','SP',6467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029120,8.00,6.00,1.00,6.00,7.00,7.50,3.00,3.00,8.00,103,NULL,NULL,'JUVEVÊ','CURITIBA','PR',7729,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5029139,9.00,6.00,1.00,5.00,9.00,8.25,1.00,3.00,4.00,103,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',9073,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5029147,3.00,3.00,0.00,1.00,3.00,NULL,2.00,2.00,3.00,316,NULL,NULL,'SANTA ISABEL','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029155,8.00,4.00,2.00,7.00,7.00,10.13,2.00,5.00,8.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',4546,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5029163,7.00,6.00,2.00,7.00,8.00,10.88,2.00,5.00,6.00,5,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',5680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029171,7.00,6.00,4.00,7.00,7.00,8.63,7.00,2.00,5.00,453,NULL,NULL,'JARDIM DAS IMBUIAS','S PAULO','SP',4320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'VILA ADYANA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5029201,6.00,6.00,3.00,6.00,7.00,10.88,2.00,4.00,5.00,211,NULL,215,'SANTA MARIA','UBERLÂNDIA','MG',7448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029210,7.00,6.00,7.00,8.00,9.00,9.75,4.00,3.00,6.00,220,NULL,235,'BIGORRILHO','CURITIBA','PR',2527,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5029236,9.00,7.00,4.00,7.00,10.00,12.00,4.00,6.00,8.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'SACO DO LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5029260,5.00,5.00,2.00,4.00,8.00,9.75,3.00,3.00,6.00,303,NULL,NULL,'MAR DAS PEDRAS','BIGUAÇU','SC',8554,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5029287,8.00,6.00,3.00,6.00,7.00,10.13,0.00,3.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7540,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029309,6.00,7.00,5.00,6.00,7.00,6.00,4.00,4.00,7.00,201,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',5480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029317,6.00,3.00,1.00,6.00,8.00,9.38,2.00,5.00,5.00,319,NULL,NULL,'JARDIM SÃO MIGUEL','BIGUAÇU','SC',9843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'ENCRUZILHADA','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5029333,8.00,6.00,4.00,6.00,8.00,6.75,5.00,5.00,7.00,340,NULL,NULL,'JD LA SALLE','TOLEDO','PR',3870,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5029341,0.00,5.00,2.00,2.00,1.00,NULL,0.00,3.00,2.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5029368,8.00,8.00,4.00,7.00,8.00,7.88,5.00,5.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029376,8.00,8.00,2.00,7.00,9.00,6.75,4.00,7.00,7.00,103,NULL,NULL,'PORTAL DE DOURADOS','DOURADOS','MS',2752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029384,8.00,7.00,3.00,7.00,5.00,7.88,6.00,4.00,7.00,203,NULL,214,'VILA EMA','S JOSÉ CAMPOS','SP',4094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029392,3.00,6.00,2.00,6.00,3.00,NULL,1.00,3.00,1.00,425,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029406,4.00,6.00,1.00,5.00,9.00,9.75,2.00,4.00,2.00,333,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',11030,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5029422,5.00,4.00,0.00,2.00,2.00,NULL,1.00,2.00,3.00,102,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5029430,7.00,6.00,1.00,4.00,6.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5029449,8.00,6.00,3.00,7.00,8.00,11.63,1.00,4.00,5.00,2,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',7122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029457,5.00,7.00,2.00,4.00,5.00,7.50,3.00,2.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9926,328,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029465,5.00,7.00,4.00,4.00,7.00,9.75,1.00,3.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10519,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'PLANALTO PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5029481,9.00,8.00,6.00,6.00,10.00,9.00,7.00,6.00,8.00,233,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029490,1.00,3.00,1.00,4.00,2.00,NULL,1.00,1.00,3.00,319,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029503,8.00,8.00,2.00,4.00,7.00,9.00,3.00,5.00,4.00,207,NULL,208,'RIO TAVARES','FLORIANÓPOLIS','SC',8007,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029511,6.00,7.00,5.00,7.00,11.00,8.25,4.00,4.00,4.00,201,NULL,233,'SANTANA','RIO CLARO','SP',3320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029520,9.00,4.00,5.00,0.00,6.00,6.75,3.00,4.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7174,2676,NULL,NULL,NULL,NULL,NULL,4,17),(20,5029554,9.00,7.00,2.00,7.00,10.00,10.13,4.00,3.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029562,6.00,7.00,4.00,8.00,9.00,10.50,4.00,5.00,7.00,211,NULL,216,'CENTRO','S DOMINGOS','SC',3022,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5029570,4.00,4.00,3.00,4.00,9.00,10.13,1.00,1.00,5.00,319,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',13298,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029589,7.00,6.00,5.00,6.00,8.00,10.50,3.00,5.00,4.00,215,NULL,653,'CENTRO','FLORIANÓPOLIS','SC',5128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029597,2.00,4.00,0.00,4.00,5.00,NULL,1.00,2.00,2.00,444,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BROOKLIN','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5029627,7.00,4.00,4.00,5.00,8.00,6.00,1.00,3.00,4.00,9,NULL,NULL,'CENTRO','S JOSÉ','SC',12364,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5029643,3.00,2.00,0.00,6.00,6.00,NULL,2.00,1.00,4.00,340,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5029651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'BELA VISTA','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5029660,8.00,7.00,3.00,5.00,7.00,8.63,2.00,4.00,4.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',6926,2634,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029686,3.00,4.00,1.00,3.00,5.00,NULL,1.00,4.00,2.00,207,NULL,202,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029694,5.00,5.00,1.00,4.00,5.00,8.63,2.00,4.00,2.00,201,NULL,207,'APARECIDA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5029708,6.00,6.00,4.00,6.00,9.00,10.50,4.00,4.00,7.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',3482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029724,7.00,8.00,3.00,4.00,8.00,7.50,1.00,3.00,6.00,104,NULL,NULL,'SALETE','FRAIBURGO','SC',8368,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5029732,8.00,8.00,4.00,5.00,7.00,7.88,4.00,4.00,5.00,316,NULL,NULL,'MONTE CASTELO','TUBARÃO','SC',5543,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5029740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BROOKLIN','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5029759,7.00,8.00,3.00,5.00,7.00,6.75,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','JAGUARUNA','SC',6685,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5029767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,653,'ERECHIM','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5029783,6.00,5.00,4.00,4.00,7.00,9.38,1.00,5.00,7.00,103,NULL,NULL,'VISTA ALEGRE','CURITIBA','PR',7349,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5029805,5.00,5.00,3.00,7.00,7.00,9.38,2.00,2.00,6.00,216,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',8661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029813,8.00,6.00,6.00,6.00,10.00,9.00,3.00,2.00,8.00,103,NULL,NULL,'CENTRO','SALETE','SC',2947,1466,NULL,NULL,NULL,NULL,NULL,4,2),(20,5029821,4.00,6.00,0.00,4.00,7.00,8.25,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',14466,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5029830,7.00,4.00,2.00,3.00,8.00,9.00,3.00,3.00,3.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',10709,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5029848,3.00,2.00,2.00,2.00,3.00,NULL,2.00,1.00,0.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029872,9.00,7.00,6.00,7.00,9.00,13.50,3.00,4.00,7.00,103,NULL,NULL,'TARUMÃ','UMUARAMA','PR',785,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5029880,7.00,5.00,1.00,6.00,8.00,8.63,4.00,4.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029899,3.00,5.00,2.00,2.00,5.00,NULL,1.00,1.00,2.00,201,NULL,202,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029902,6.00,5.00,1.00,4.00,9.00,10.13,1.00,4.00,4.00,404,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',12241,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029910,4.00,4.00,1.00,4.00,5.00,NULL,1.00,2.00,1.00,319,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5029929,6.00,6.00,3.00,7.00,7.00,8.63,5.00,3.00,9.00,103,NULL,NULL,'MARECHAL RONDOM','CANOAS','RS',4397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029937,9.00,5.00,3.00,7.00,6.00,9.75,4.00,3.00,4.00,103,NULL,NULL,'JARDIM GRANJA OLGA','SOROCABA','SP',6614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029945,8.00,7.00,4.00,7.00,7.00,8.25,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',4467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029953,8.00,6.00,1.00,8.00,9.00,10.50,2.00,5.00,6.00,104,NULL,NULL,'LOTE SEIS','CRICIÚMA','SC',4210,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5029961,8.00,7.00,7.00,4.00,9.00,8.25,4.00,5.00,4.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',3825,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5029988,7.00,4.00,2.00,6.00,8.00,7.88,0.00,4.00,4.00,110,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',9343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5029996,8.00,7.00,7.00,5.00,9.00,8.25,6.00,5.00,8.00,104,NULL,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',1842,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5030005,7.00,5.00,5.00,7.00,8.00,9.38,3.00,5.00,5.00,453,NULL,NULL,'OFICINAS','TUBARÃO','SC',6346,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5030013,6.00,7.00,5.00,5.00,8.00,5.25,3.00,1.00,6.00,233,NULL,215,'CAPOERIAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030021,6.00,6.00,3.00,6.00,6.00,8.63,1.00,4.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030030,4.00,5.00,3.00,6.00,8.00,8.25,2.00,2.00,3.00,207,NULL,216,'SANTA CRUZ','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5030048,8.00,6.00,3.00,3.00,6.00,10.13,3.00,6.00,5.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',7126,304,NULL,NULL,NULL,NULL,NULL,2,1),(20,5030056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'POMPÉIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5030064,8.00,8.00,4.00,7.00,10.00,9.75,2.00,6.00,6.00,103,NULL,NULL,'NONOAI','PTO ALEGRE','RS',1812,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5030072,5.00,5.00,4.00,6.00,3.00,NULL,2.00,2.00,2.00,202,NULL,213,'ESCOLA AGRICOLA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5030080,7.00,7.00,8.00,6.00,7.00,10.13,5.00,7.00,6.00,5,NULL,NULL,'CENTRO','S BENTO SUL','SC',1808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030102,1.00,1.00,1.00,2.00,4.00,NULL,2.00,2.00,0.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030110,8.00,6.00,3.00,7.00,9.00,8.25,2.00,3.00,5.00,207,NULL,201,'ASILO','BLUMENAU','SC',6216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030129,8.00,7.00,6.00,7.00,10.00,13.50,4.00,7.00,7.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030137,6.00,6.00,3.00,6.00,4.00,8.63,2.00,5.00,5.00,101,NULL,NULL,'CENTRO','CHAPECÓ','SC',9150,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5030145,9.00,6.00,8.00,7.00,9.00,9.75,7.00,4.00,8.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',748,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5030153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARAÍSO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5030161,9.00,9.00,7.00,8.00,11.00,10.50,8.00,5.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',41,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030188,8.00,7.00,5.00,5.00,8.00,7.88,5.00,5.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5030196,5.00,7.00,3.00,5.00,9.00,7.13,2.00,5.00,6.00,452,NULL,NULL,'ROÇADO','S JOSÉ','SC',10041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030200,8.00,6.00,4.00,8.00,9.00,10.88,2.00,1.00,6.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030218,9.00,6.00,3.00,6.00,9.00,9.38,5.00,4.00,6.00,601,NULL,211,'GUANABARA','JOINVILLE','SC',2698,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5030226,7.00,7.00,1.00,7.00,4.00,6.00,5.00,4.00,3.00,213,NULL,212,'MOSSUNGUÊ','CURITIBA','PR',9196,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5030234,5.00,4.00,1.00,3.00,6.00,8.25,3.00,1.00,6.00,452,NULL,NULL,'BARREIROS','S JOSÉ','SC',13881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5030242,3.00,6.00,1.00,5.00,4.00,7.50,3.00,3.00,3.00,211,NULL,201,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5030250,3.00,4.00,0.00,5.00,4.00,NULL,0.00,2.00,4.00,303,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5030269,3.00,5.00,0.00,4.00,5.00,NULL,0.00,3.00,4.00,216,NULL,NULL,'ALTO PEREQUE','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5030277,4.00,3.00,2.00,4.00,5.00,7.88,4.00,1.00,5.00,216,NULL,233,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5030293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AHUU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5030307,6.00,7.00,1.00,5.00,5.00,9.00,2.00,4.00,7.00,303,NULL,NULL,'SANTA TEREZINHA','S BERNARDO CAMPO','SP',8814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5030315,4.00,3.00,4.00,7.00,5.00,8.63,2.00,5.00,5.00,2,NULL,NULL,'RIO FIORITA','SIDERÓPOLIS','SC',11684,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5030323,3.00,5.00,2.00,2.00,8.00,NULL,2.00,3.00,3.00,404,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'CENTRO TÉCNICO AEROE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5030340,0.00,5.00,2.00,5.00,6.00,NULL,2.00,3.00,3.00,207,NULL,NULL,'IGRA NORTE','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5030358,9.00,6.00,1.00,7.00,10.00,9.38,2.00,4.00,7.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',5711,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5030366,4.00,0.00,1.00,7.00,5.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(20,5030374,4.00,6.00,6.00,3.00,7.00,6.00,1.00,2.00,5.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14421,3683,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030390,4.00,6.00,3.00,4.00,6.00,7.50,3.00,3.00,4.00,103,NULL,NULL,'GRAVATÁ','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5030404,7.00,7.00,4.00,7.00,9.00,9.00,4.00,3.00,5.00,303,NULL,NULL,'EXPOSIÇÃO','CAXIAS SUL','RS',4061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'TREMEMBÉ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5030420,8.00,9.00,4.00,7.00,7.00,12.00,6.00,6.00,8.00,103,NULL,NULL,'CAMOBI','STA MARIA','RS',861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030439,5.00,5.00,3.00,3.00,7.00,8.63,2.00,5.00,8.00,336,NULL,NULL,'SANTA HELENA','MARINGÁ','PR',8775,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5030447,5.00,6.00,3.00,6.00,5.00,6.38,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',8944,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5030455,8.00,7.00,3.00,4.00,7.00,9.38,2.00,5.00,5.00,211,NULL,NULL,'PERÓPOLIS','JOINVILLE','SC',7322,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5030463,3.00,6.00,2.00,4.00,5.00,7.50,1.00,3.00,5.00,103,NULL,NULL,'MINA BRASIL','CRICIÚMA','SC',13917,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5030471,7.00,6.00,2.00,6.00,9.00,6.38,3.00,4.00,5.00,208,NULL,201,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',8077,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5030480,8.00,6.00,6.00,6.00,7.00,10.13,2.00,4.00,5.00,201,NULL,212,'UNIVERSITÁRIO','TIJUCAS','SC',5083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030498,2.00,5.00,0.00,4.00,3.00,NULL,3.00,2.00,2.00,415,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5030510,0.00,4.00,0.00,1.00,2.00,NULL,2.00,1.00,0.00,601,NULL,207,'ROCIO PEQUENA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5030528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5030536,7.00,5.00,3.00,4.00,7.00,9.75,3.00,0.00,5.00,502,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',12294,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5030544,4.00,5.00,2.00,6.00,7.00,9.00,1.00,3.00,4.00,207,NULL,NULL,'VELHA','BLUMENAU','SC',12152,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5030552,7.00,6.00,4.00,7.00,6.00,11.63,4.00,2.00,4.00,453,NULL,NULL,'LIBERDADE','S PAULO','SP',4881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030560,6.00,5.00,1.00,2.00,5.00,6.75,2.00,4.00,3.00,103,NULL,NULL,'CARVOIRA','FLORIANÓPOLIS','SC',13041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030579,5.00,7.00,2.00,4.00,6.00,7.50,1.00,4.00,1.00,333,NULL,NULL,'SANTA TEREZINHA','TANGARÁ SERRA','MT',12421,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5030587,7.00,7.00,3.00,6.00,7.00,8.63,4.00,8.00,4.00,201,NULL,212,'SANTANA','RIO SUL','SC',4601,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5030595,9.00,6.00,5.00,6.00,8.00,9.00,2.00,5.00,6.00,103,NULL,NULL,'ZONA II','MARINGÁ','PR',3967,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5030617,9.00,7.00,1.00,6.00,8.00,8.25,3.00,3.00,4.00,340,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',6189,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5030625,4.00,4.00,1.00,6.00,5.00,7.13,1.00,4.00,3.00,205,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',15608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030633,8.00,5.00,0.00,5.00,5.00,10.13,2.00,4.00,4.00,340,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030641,7.00,7.00,3.00,6.00,10.00,10.13,4.00,2.00,6.00,9,NULL,NULL,'JARDIM DAS AMÉRICAS','CUIABÁ','MT',5212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030650,6.00,4.00,2.00,4.00,9.00,7.50,1.00,3.00,3.00,415,NULL,NULL,'CENTRO','CHAPECÓ','SC',14489,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5030668,7.00,8.00,3.00,7.00,8.00,8.63,5.00,6.00,5.00,233,NULL,215,'MONTE VERDE','FLORIANÓPOLIS','SC',3799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030676,7.00,4.00,1.00,7.00,8.00,9.75,1.00,2.00,4.00,453,NULL,NULL,'BARREIROS','S JOSÉ','SC',10513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030684,8.00,9.00,7.00,5.00,9.00,11.25,7.00,8.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',65,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5030714,5.00,5.00,3.00,3.00,6.00,7.50,2.00,3.00,4.00,215,NULL,NULL,'TARRAF','S JOSÉ R PRETO','SP',12056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030722,4.00,5.00,1.00,3.00,3.00,NULL,0.00,2.00,3.00,104,NULL,NULL,'CENTENÁRIO','MONTENEGRO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030749,3.00,4.00,1.00,4.00,4.00,8.25,3.00,1.00,6.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15949,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5030757,5.00,6.00,3.00,4.00,5.00,9.00,2.00,3.00,3.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030765,7.00,6.00,1.00,5.00,9.00,9.00,3.00,5.00,6.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8276,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5030773,6.00,7.00,2.00,6.00,5.00,7.50,3.00,3.00,4.00,415,NULL,NULL,'SANA TEREZA','BELO HORIZONTE','MG',10121,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5030781,8.00,7.00,2.00,7.00,8.00,7.13,3.00,7.00,6.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',4118,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5030790,7.00,7.00,5.00,7.00,5.00,8.25,3.00,2.00,6.00,103,NULL,NULL,'CABULA VI','SALVADOR','BA',5751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030803,7.00,6.00,2.00,5.00,7.00,6.75,2.00,5.00,6.00,103,NULL,NULL,'MARGEM ESQUERDA','GASPAR','SC',8068,2843,NULL,NULL,NULL,NULL,NULL,2,2),(20,5030811,6.00,6.00,1.00,7.00,8.00,9.00,2.00,4.00,5.00,207,NULL,201,'VILA BOSQUE','MARINGÁ','PR',6594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030820,9.00,8.00,3.00,7.00,8.00,12.00,5.00,6.00,6.00,303,NULL,NULL,'PARQUE EDU CHAVES','S PAULO','SP',1140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030838,6.00,8.00,3.00,6.00,9.00,9.38,2.00,3.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8174,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5030846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA VIOTTO','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5030854,8.00,7.00,2.00,5.00,9.00,10.50,3.00,5.00,7.00,102,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030862,7.00,6.00,2.00,6.00,8.00,6.75,4.00,7.00,5.00,103,NULL,NULL,'PARQUE CUIABÁ','CUIABÁ','MT',5273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030870,9.00,6.00,6.00,6.00,9.00,11.25,5.00,4.00,7.00,103,NULL,NULL,'AZENHA','PTO ALEGRE','RS',1460,828,NULL,NULL,NULL,NULL,NULL,2,15),(20,5030889,8.00,7.00,6.00,7.00,9.00,9.38,5.00,3.00,7.00,216,NULL,233,'PRESIDENTE VARGAS','CAXIAS SUL','RS',2860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030897,9.00,6.00,4.00,5.00,10.00,10.50,4.00,4.00,8.00,103,NULL,NULL,'ALTO BOQUEIRÃO','CURITIBA','PR',2367,1236,NULL,NULL,NULL,NULL,NULL,4,8),(20,5030900,0.00,4.00,1.00,3.00,4.00,NULL,0.00,2.00,4.00,340,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030927,7.00,6.00,5.00,7.00,8.00,6.75,6.00,4.00,8.00,214,NULL,216,'VILA MARIANA','S PAULO','SP',3290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030943,4.00,6.00,1.00,4.00,4.00,10.13,0.00,4.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030951,7.00,6.00,6.00,7.00,8.00,9.38,5.00,3.00,6.00,201,NULL,233,'ESPLANADA','CHAPECÓ','SC',5344,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5030978,8.00,5.00,1.00,7.00,8.00,8.63,2.00,2.00,4.00,208,NULL,238,'BOM ABRIGO','FLORIANÓPOLIS','SC',8072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5030994,3.00,5.00,0.00,3.00,3.00,NULL,2.00,2.00,3.00,9,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031001,8.00,6.00,3.00,7.00,10.00,11.25,5.00,3.00,6.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',3211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHAC STO ANTONIO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5031028,7.00,5.00,3.00,3.00,6.00,7.13,3.00,5.00,5.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',9979,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031036,5.00,7.00,4.00,4.00,6.00,7.88,2.00,3.00,5.00,333,NULL,NULL,'UVARANAS','PNT GROSSA','PR',11687,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5031044,5.00,2.00,4.00,4.00,4.00,4.88,1.00,2.00,3.00,102,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5031052,6.00,4.00,1.00,2.00,6.00,9.00,2.00,3.00,4.00,339,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031060,9.00,9.00,4.00,8.00,9.00,10.50,4.00,3.00,6.00,104,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',1765,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5031095,9.00,7.00,4.00,7.00,10.00,10.13,6.00,5.00,8.00,103,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',1397,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5031109,6.00,6.00,4.00,5.00,6.00,10.50,1.00,3.00,4.00,207,NULL,201,'NEVA','CASCAVEL','PR',9119,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5031117,8.00,7.00,2.00,6.00,8.00,9.38,2.00,2.00,4.00,108,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',7538,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031133,3.00,1.00,2.00,1.00,7.00,NULL,0.00,3.00,3.00,302,NULL,NULL,'JARDIM DAS PALMEIRAS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031141,5.00,6.00,5.00,7.00,7.00,6.38,3.00,2.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8532,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031168,1.00,6.00,2.00,1.00,3.00,NULL,1.00,1.00,3.00,653,NULL,652,'VILA SAO JOSE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5031176,3.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'ARIRIU DA FORMIGA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5031184,3.00,7.00,0.00,3.00,5.00,NULL,3.00,4.00,3.00,302,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031192,8.00,6.00,8.00,3.00,10.00,12.75,6.00,2.00,6.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',2320,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031206,6.00,4.00,2.00,2.00,8.00,9.75,1.00,3.00,3.00,601,NULL,207,'ACARAI','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5031214,6.00,5.00,5.00,7.00,4.00,9.38,6.00,3.00,5.00,103,NULL,NULL,'SANTO AMARO','S PAULO','SP',6546,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5031230,6.00,5.00,2.00,7.00,6.00,8.25,4.00,3.00,4.00,216,NULL,203,'CIDADE DE JARDIM','JACAREÍ','SP',8815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031249,0.00,2.00,1.00,3.00,4.00,NULL,0.00,3.00,2.00,316,NULL,NULL,'PRIMEIRO DE MAIO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5031257,0.00,2.00,1.00,2.00,1.00,NULL,3.00,3.00,3.00,308,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031265,4.00,7.00,1.00,6.00,7.00,8.25,2.00,4.00,3.00,103,NULL,NULL,'BELCHIOR ALTO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5031273,2.00,4.00,2.00,2.00,4.00,NULL,0.00,1.00,2.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031281,8.00,6.00,5.00,7.00,9.00,9.75,5.00,5.00,7.00,238,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',1994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031290,5.00,3.00,1.00,6.00,4.00,NULL,1.00,1.00,3.00,452,NULL,NULL,'JD BELA VISTA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031303,4.00,5.00,0.00,5.00,8.00,10.13,5.00,3.00,4.00,331,NULL,NULL,'CENTRO','BOM JESUS','SC',10517,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5031311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5031338,8.00,7.00,5.00,7.00,9.00,9.38,3.00,5.00,6.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',2681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031346,7.00,5.00,3.00,7.00,8.00,6.75,2.00,3.00,3.00,452,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',12816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031354,5.00,5.00,4.00,4.00,7.00,6.38,1.00,3.00,5.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031370,6.00,6.00,3.00,6.00,6.00,10.13,1.00,1.00,2.00,216,NULL,207,'TRÊS RIOS DO SUL','JARAGUÁ SUL','SC',12449,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5031389,7.00,7.00,5.00,2.00,8.00,11.63,2.00,6.00,3.00,207,NULL,212,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031397,7.00,6.00,2.00,6.00,8.00,9.38,4.00,4.00,6.00,316,NULL,NULL,'ROÇADO','S JOSÉ','SC',6964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031400,3.00,5.00,2.00,4.00,5.00,NULL,2.00,2.00,1.00,104,NULL,NULL,'GRUTA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5031419,5.00,5.00,3.00,7.00,8.00,8.25,2.00,3.00,7.00,302,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',6401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031435,7.00,7.00,3.00,7.00,7.00,8.63,4.00,6.00,7.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031451,8.00,7.00,8.00,6.00,11.00,9.00,5.00,2.00,8.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2267,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031460,7.00,4.00,4.00,5.00,7.00,11.25,1.00,2.00,6.00,415,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',11044,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031478,3.00,4.00,3.00,2.00,2.00,NULL,2.00,3.00,4.00,301,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5031486,6.00,6.00,5.00,5.00,3.00,NULL,3.00,3.00,6.00,203,NULL,214,'PALMITAL','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5031494,7.00,5.00,2.00,7.00,4.00,7.50,2.00,4.00,1.00,216,NULL,203,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031516,2.00,4.00,2.00,3.00,5.00,NULL,2.00,1.00,4.00,302,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031524,5.00,6.00,3.00,7.00,6.00,11.25,2.00,5.00,5.00,340,NULL,NULL,'FLORESTA','JOINVILLE','SC',6830,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5031532,8.00,6.00,3.00,5.00,8.00,8.63,3.00,4.00,7.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'NOVA JACAREZINHO','JACAREZINHO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5031559,1.00,6.00,0.00,4.00,2.00,NULL,1.00,2.00,4.00,301,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5031567,1.00,4.00,2.00,5.00,3.00,NULL,3.00,2.00,1.00,318,NULL,NULL,'PARQUE DAS AVENIDAS','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031575,7.00,4.00,5.00,6.00,7.00,9.00,3.00,5.00,6.00,103,NULL,NULL,'VILA PLANALTO','DOURADOS','MS',5524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031583,9.00,9.00,7.00,7.00,10.00,10.88,7.00,5.00,9.00,103,NULL,NULL,'V SAO FRANCISCO','S PAULO','SP',146,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5031591,5.00,6.00,0.00,4.00,3.00,NULL,2.00,5.00,4.00,202,NULL,220,'JARDIM PRIMAVERA','CAÇAPAVA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031605,7.00,5.00,4.00,6.00,7.00,7.13,4.00,2.00,6.00,216,NULL,235,'BIGORRILHO','CURITIBA','PR',7725,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5031613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VITOR DANTAS','CORNÉLIO PROCÓPIO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5031630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'VILA OPERARIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5031672,7.00,6.00,2.00,5.00,8.00,11.25,2.00,3.00,5.00,9,NULL,NULL,'CENTRO','CURITIBANOS','SC',6448,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5031680,2.00,8.00,0.00,6.00,5.00,7.13,1.00,1.00,5.00,102,NULL,NULL,'CENTRO','CORUPÁ','SC',15586,225,NULL,NULL,NULL,NULL,NULL,4,6),(20,5031699,5.00,6.00,1.00,5.00,6.00,6.38,1.00,2.00,2.00,102,NULL,NULL,'BIGORRILHO','CURITIBA','PR',13778,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5031702,7.00,8.00,4.00,7.00,7.00,9.75,7.00,5.00,6.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031710,9.00,4.00,1.00,7.00,7.00,8.63,3.00,3.00,6.00,103,NULL,NULL,'STO INACIO','CURITIBA','PR',6168,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5031729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5031737,6.00,0.00,0.00,5.00,9.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IAPI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(20,5031745,6.00,7.00,5.00,7.00,7.00,4.88,1.00,5.00,3.00,340,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5031761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA BÁRBARA D OESTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5031770,4.00,7.00,4.00,4.00,8.00,7.50,2.00,3.00,3.00,104,NULL,NULL,'JORDANOPOLIS','S PAULO','SP',12446,316,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031788,3.00,6.00,2.00,5.00,6.00,8.25,3.00,3.00,2.00,324,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15548,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031796,8.00,9.00,5.00,6.00,9.00,11.63,2.00,6.00,7.00,207,NULL,201,'AMÉRICA','JOINVILLE','SC',2439,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5031800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5031826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5031834,7.00,6.00,2.00,6.00,9.00,9.00,3.00,4.00,6.00,103,NULL,NULL,'TREMEMBÉ','S PAULO','SP',5436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031850,3.00,6.00,1.00,5.00,6.00,10.50,2.00,3.00,4.00,211,NULL,213,'CAPOEIRAS','FLORIANÓPOLIS','SC',12942,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031869,6.00,6.00,3.00,7.00,7.00,8.25,3.00,3.00,5.00,5,NULL,NULL,'ENCANTADA','GAROPABA','SC',7116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031877,4.00,6.00,3.00,5.00,8.00,9.38,3.00,4.00,3.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12262,498,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031885,5.00,5.00,1.00,7.00,8.00,7.50,2.00,3.00,5.00,214,NULL,601,'CAIXA POSTAL','FLORIANÓPOLIS','SC',11485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031893,9.00,4.00,5.00,7.00,6.00,8.25,3.00,3.00,7.00,201,NULL,216,'SANTA TEREZINHA','PATO BRANCO','PR',4294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031907,7.00,7.00,4.00,7.00,8.00,8.63,5.00,5.00,8.00,203,NULL,214,'REBOUÇAS','CURITIBA','PR',3163,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5031915,6.00,6.00,1.00,6.00,8.00,12.00,0.00,1.00,5.00,103,NULL,NULL,'VILA NOVA','PTO ALEGRE','RS',10682,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031923,3.00,6.00,1.00,2.00,3.00,NULL,3.00,1.00,2.00,318,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5031931,9.00,8.00,8.00,7.00,9.00,9.75,5.00,7.00,9.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031958,8.00,7.00,7.00,7.00,8.00,10.50,6.00,5.00,8.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031966,8.00,6.00,4.00,6.00,7.00,9.38,5.00,3.00,6.00,203,NULL,220,'COQUEIROS','FLORIANÓPOLIS','SC',6037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031974,9.00,6.00,3.00,7.00,8.00,11.25,4.00,5.00,8.00,103,NULL,NULL,'CIDADE JARDIM','BELO HORIZONTE','MG',1731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031982,8.00,6.00,2.00,6.00,8.00,7.50,3.00,2.00,5.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5031990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,238,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5032008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5032016,5.00,3.00,3.00,5.00,5.00,6.38,2.00,5.00,4.00,502,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',15278,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5032024,9.00,9.00,5.00,8.00,10.00,8.25,5.00,3.00,7.00,319,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',993,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032040,6.00,6.00,3.00,7.00,7.00,9.75,1.00,6.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032067,6.00,6.00,0.00,4.00,6.00,6.75,0.00,2.00,6.00,201,NULL,212,'CENTRO','CONCÓRDIA','SC',12959,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5032083,6.00,7.00,2.00,6.00,4.00,9.00,0.00,2.00,4.00,108,NULL,NULL,'CENTRO','PINHALZINHO','SC',13553,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5032091,0.00,4.00,0.00,0.00,0.00,NULL,2.00,0.00,4.00,203,NULL,202,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5032105,9.00,7.00,2.00,5.00,10.00,10.13,5.00,5.00,8.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5032113,5.00,7.00,4.00,5.00,7.00,8.63,2.00,2.00,3.00,101,NULL,NULL,'DOM FELICIANO','GRAVATAÍ','RS',12308,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5032121,7.00,6.00,4.00,7.00,7.00,9.00,2.00,3.00,5.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032130,2.00,5.00,2.00,5.00,5.00,7.88,1.00,3.00,3.00,340,NULL,NULL,'CENTRO','XANXERÊ','SC',14440,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5032148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'JARDIM OURO VERDE','OURINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5032156,9.00,8.00,5.00,7.00,8.00,9.00,6.00,7.00,6.00,340,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',1615,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5032164,4.00,5.00,1.00,2.00,8.00,NULL,0.00,5.00,5.00,234,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5032172,5.00,6.00,2.00,6.00,8.00,9.00,2.00,2.00,2.00,316,NULL,NULL,'BALNEARIO ESTREITO','FLORIANÓPOLIS','SC',11675,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5032199,0.00,3.00,0.00,4.00,5.00,NULL,3.00,1.00,2.00,653,NULL,652,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5032202,9.00,6.00,2.00,6.00,8.00,7.50,0.00,5.00,4.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8114,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5032210,7.00,7.00,2.00,6.00,6.00,7.88,5.00,4.00,6.00,103,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',6654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032229,7.00,7.00,5.00,6.00,9.00,9.38,4.00,5.00,7.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',3002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032237,7.00,6.00,4.00,7.00,5.00,9.00,2.00,5.00,4.00,201,NULL,212,'CENTRO','TOLEDO','PR',6950,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5032245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5032253,7.00,6.00,4.00,1.00,8.00,9.38,1.00,3.00,4.00,103,NULL,NULL,'JARDIM AMÉRICA','RIO CLARO','SP',9132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VILA BARTH','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5032270,4.00,6.00,0.00,2.00,4.00,NULL,0.00,2.00,3.00,104,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5032296,4.00,5.00,1.00,4.00,6.00,6.75,0.00,4.00,4.00,303,NULL,NULL,'FONTE GRANDE','CONTAGEM','MG',13187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032300,8.00,6.00,3.00,7.00,8.00,7.88,5.00,5.00,5.00,304,NULL,NULL,'VILA ADYANA','S JOSÉ CAMPOS','SP',3763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032318,8.00,6.00,4.00,6.00,7.00,9.00,6.00,4.00,4.00,202,NULL,213,'CENTRO','CASCAVEL','PR',5135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032326,8.00,9.00,5.00,6.00,11.00,11.25,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',1796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032334,9.00,7.00,8.00,7.00,9.00,10.13,5.00,4.00,7.00,103,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',1457,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5032342,5.00,4.00,7.00,6.00,6.00,9.00,3.00,1.00,5.00,316,NULL,NULL,'SANTA BÁRBARA','CRICIÚMA','SC',9291,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5032350,2.00,4.00,2.00,5.00,5.00,3.75,2.00,4.00,5.00,103,NULL,NULL,'DOIS','CIANORTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032369,7.00,4.00,1.00,4.00,7.00,9.00,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5589,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5032377,9.00,7.00,4.00,5.00,7.00,9.38,3.00,2.00,6.00,108,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',5777,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5032385,3.00,4.00,1.00,3.00,6.00,NULL,0.00,2.00,2.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5032393,7.00,8.00,3.00,7.00,8.00,9.38,2.00,1.00,5.00,201,NULL,653,'SÃO LUIS','BRUSQUE','SC',6930,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5032407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'NOVA AMERICA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5032415,8.00,8.00,4.00,7.00,8.00,10.13,1.00,5.00,6.00,415,NULL,NULL,'FIGUEIRA','GASPAR','SC',3994,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5032423,6.00,5.00,5.00,7.00,6.00,9.00,4.00,6.00,3.00,214,NULL,212,'CENTRO','RIBEIRÃO PRETO','SP',5445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032458,0.00,2.00,1.00,5.00,4.00,NULL,1.00,1.00,2.00,319,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,203,'HORIZONTE AZUL','ITUPEVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5032482,6.00,5.00,3.00,4.00,6.00,7.88,2.00,3.00,6.00,216,NULL,NULL,'JARDIM ANTÁRTICA','RIBEIRÃO PRETO','SP',10466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032490,7.00,5.00,1.00,7.00,10.00,11.63,3.00,3.00,6.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5993,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032504,9.00,8.00,5.00,7.00,10.00,9.38,6.00,5.00,7.00,103,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032512,8.00,6.00,4.00,7.00,7.00,8.63,5.00,4.00,6.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',4592,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5032520,7.00,6.00,2.00,7.00,7.00,10.50,2.00,3.00,4.00,310,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5032547,9.00,7.00,6.00,6.00,6.00,9.38,5.00,5.00,7.00,203,NULL,214,'CAMPO BELO','SUMARÉ','SP',2403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032571,8.00,6.00,5.00,7.00,6.00,8.63,3.00,3.00,8.00,103,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',4054,1862,NULL,NULL,NULL,NULL,NULL,4,4),(20,5032580,2.00,2.00,2.00,4.00,4.00,NULL,1.00,2.00,3.00,220,NULL,203,'MORRO DA BINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5032598,8.00,7.00,6.00,6.00,9.00,8.25,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','JACAREÍ','SP',2305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5032610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DOIS','CIANORTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5032636,7.00,0.00,2.00,3.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(20,5032652,8.00,9.00,2.00,6.00,9.00,7.50,1.00,4.00,6.00,215,NULL,216,'VILA NOVA','BLUMENAU','SC',5379,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5032679,6.00,4.00,5.00,3.00,7.00,8.63,4.00,3.00,4.00,211,NULL,601,'PANTANAL','FLORIANÓPOLIS','SC',9726,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5032687,8.00,8.00,7.00,5.00,7.00,12.00,6.00,7.00,6.00,208,NULL,238,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',983,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5032695,4.00,3.00,1.00,5.00,3.00,NULL,2.00,2.00,3.00,453,NULL,NULL,'JD HELENA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032709,5.00,3.00,4.00,4.00,6.00,8.63,4.00,4.00,4.00,104,NULL,NULL,'GARCIA','BLUMENAU','SC',11478,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5032725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ZONA I','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5032733,9.00,7.00,5.00,7.00,7.00,6.38,6.00,5.00,6.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',2124,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5032741,7.00,5.00,0.00,4.00,8.00,9.00,4.00,2.00,6.00,234,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10348,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5032750,8.00,7.00,4.00,6.00,8.00,7.88,5.00,5.00,5.00,103,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',4146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032768,9.00,8.00,0.00,7.00,7.00,8.63,5.00,5.00,7.00,216,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',3407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032784,8.00,7.00,3.00,7.00,9.00,7.88,5.00,4.00,6.00,303,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',5100,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5032792,5.00,7.00,5.00,7.00,6.00,10.50,6.00,3.00,4.00,201,NULL,212,'ITANHANGA PARK','CPO GRANDE','MS',6562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032806,6.00,4.00,3.00,3.00,6.00,7.88,1.00,2.00,4.00,103,NULL,NULL,'MATHIAS VELHO','CANOAS','RS',14095,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5032814,4.00,5.00,3.00,4.00,6.00,9.00,3.00,3.00,5.00,318,NULL,NULL,'VORSTADT','BLUMENAU','SC',11352,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5032822,7.00,5.00,3.00,5.00,7.00,6.75,3.00,5.00,4.00,104,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9837,223,NULL,NULL,NULL,NULL,NULL,2,1),(20,5032830,8.00,7.00,7.00,7.00,10.00,12.00,6.00,5.00,8.00,201,NULL,233,'CORREGO GRANDE','FLORIANÓPOLIS','SC',419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032865,8.00,8.00,3.00,6.00,8.00,9.00,2.00,4.00,7.00,108,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',4091,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5032873,4.00,5.00,1.00,7.00,8.00,8.25,0.00,5.00,7.00,211,NULL,215,'CAMPINAS','S JOSÉ','SC',10533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032881,6.00,7.00,7.00,6.00,9.00,9.38,7.00,3.00,7.00,202,NULL,238,'CARIANOS','FLORIANÓPOLIS','SC',2339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032890,9.00,9.00,8.00,7.00,10.00,10.50,9.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',42,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032911,5.00,7.00,5.00,8.00,8.00,9.75,6.00,5.00,7.00,103,NULL,NULL,'JARDIM FRANÇA','S PAULO','SP',3040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032920,5.00,6.00,1.00,3.00,7.00,8.25,1.00,0.00,4.00,203,NULL,214,'PACHECOS','PALHOÇA','SC',14980,934,NULL,363,NULL,NULL,NULL,4,1),(20,5032938,7.00,4.00,5.00,5.00,6.00,6.00,2.00,2.00,3.00,202,NULL,203,'PLANO DIRETOR SUL','PALMAS','TO',10569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5032962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM LANCASTER','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5032970,7.00,5.00,4.00,4.00,8.00,8.25,4.00,2.00,8.00,336,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',6911,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5032989,7.00,7.00,5.00,5.00,7.00,6.75,7.00,3.00,7.00,203,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',3494,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5032997,0.00,0.00,1.00,2.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5033004,3.00,5.00,3.00,3.00,5.00,NULL,0.00,2.00,1.00,201,NULL,233,'MINA DO MATO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5033012,4.00,4.00,4.00,4.00,5.00,8.63,2.00,3.00,4.00,207,NULL,201,'AMÉRICA','JOINVILLE','SC',13246,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5033020,7.00,6.00,3.00,7.00,7.00,8.25,2.00,3.00,4.00,333,NULL,NULL,'JARDIM ELDORADO','FOZ IGUAÇU','PR',7715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033047,5.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,203,NULL,653,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5033055,6.00,4.00,0.00,4.00,6.00,8.25,2.00,1.00,4.00,207,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',15599,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5033063,4.00,6.00,0.00,4.00,9.00,7.88,2.00,4.00,4.00,337,NULL,NULL,'CEDRO','CAMBORIÚ','SC',13825,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5033071,8.00,6.00,2.00,6.00,10.00,7.50,1.00,5.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033080,5.00,6.00,6.00,5.00,5.00,9.38,1.00,3.00,5.00,234,NULL,NULL,'CORAL','LAGES','SC',12095,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5033098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5033101,2.00,5.00,1.00,3.00,3.00,NULL,2.00,3.00,4.00,308,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5033110,5.00,5.00,0.00,6.00,9.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'PORTO DO RIBEIRA','IGUAPE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5033128,5.00,6.00,0.00,5.00,3.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5033136,4.00,6.00,7.00,6.00,6.00,7.88,1.00,1.00,7.00,340,NULL,NULL,'CENTRO','CURITIBANOS','SC',8437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033152,6.00,7.00,3.00,7.00,3.00,NULL,3.00,4.00,3.00,202,NULL,235,'SÃO JOÃO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5033160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5033179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5033187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5033195,5.00,5.00,1.00,7.00,5.00,10.13,2.00,1.00,3.00,104,NULL,NULL,'PINHEIRA','PALHOÇA','SC',13330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033209,4.00,3.00,1.00,6.00,6.00,6.38,2.00,1.00,5.00,328,NULL,NULL,'CENTRO','CHAPECÓ','SC',16226,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5033225,5.00,3.00,2.00,7.00,6.00,6.38,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',14043,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5033233,4.00,3.00,4.00,2.00,6.00,7.50,3.00,2.00,3.00,211,NULL,213,'TERRA NOVA SEGUNDO','S BERNARDO CAMPO','SP',14363,449,NULL,184,NULL,NULL,NULL,4,1),(20,5033241,5.00,6.00,2.00,4.00,5.00,9.38,3.00,4.00,4.00,450,NULL,NULL,'SÃO JOÃO','COCAL SUL','SC',15014,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5033268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'VILA ADYANA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5033284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'TURU','S LUÍS','MA',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5033292,7.00,8.00,0.00,6.00,8.00,9.75,4.00,5.00,6.00,103,NULL,NULL,'SÃO LUIZ','S MIGUEL OESTE','SC',5373,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5033314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PARQUE ORTOLÂNDIA','HORTOLÂNDIA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5033322,8.00,7.00,5.00,6.00,10.00,9.38,3.00,5.00,6.00,103,NULL,NULL,'BOSQUE DOS EUCALPITO','S JOSÉ CAMPOS','SP',2337,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5033330,2.00,7.00,0.00,2.00,4.00,6.75,4.00,2.00,5.00,5,NULL,NULL,'CANOAS','RIO SUL','SC',16137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033349,6.00,6.00,6.00,7.00,7.00,7.13,6.00,3.00,6.00,220,NULL,202,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',3523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033373,4.00,6.00,3.00,5.00,8.00,7.50,1.00,4.00,5.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5033381,6.00,6.00,5.00,6.00,8.00,9.75,3.00,4.00,6.00,453,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033390,4.00,4.00,2.00,1.00,6.00,6.00,3.00,3.00,5.00,203,NULL,208,'IPIRANGA','S JOSÉ','SC',15142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5033403,9.00,9.00,5.00,6.00,10.00,9.75,6.00,6.00,7.00,220,NULL,214,'CENTRO','VIDEIRA','SC',604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033411,8.00,8.00,4.00,5.00,8.00,9.38,7.00,7.00,7.00,653,NULL,203,'MORADA DO VALE','GOV VALADARES','MG',1367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5033420,9.00,8.00,6.00,6.00,11.00,9.75,5.00,6.00,7.00,216,NULL,201,'ATIRADORES','JOINVILLE','SC',936,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5033438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'JARDIM CLAÚDIA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5033446,7.00,7.00,4.00,5.00,8.00,7.50,4.00,4.00,6.00,211,NULL,215,'CENTRO','S JOSÉ','SC',5687,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5033454,7.00,7.00,7.00,8.00,9.00,8.63,6.00,6.00,7.00,220,NULL,203,'RECREIO','RIO JANEIRO','RJ',1334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033462,3.00,5.00,3.00,6.00,6.00,7.13,3.00,1.00,5.00,235,NULL,202,'GLÓRIA','JOINVILLE','SC',12288,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5033489,4.00,6.00,1.00,6.00,6.00,9.00,2.00,3.00,3.00,502,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13262,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5033497,6.00,7.00,4.00,2.00,4.00,10.13,3.00,2.00,5.00,319,NULL,NULL,'PORTO DAS BALSAS','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5033500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,220,'UNIVERSITÁRIO','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5033519,8.00,8.00,7.00,6.00,11.00,11.63,8.00,4.00,7.00,103,NULL,NULL,'CENTRO','TAQUARITUBA','SP',310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033527,9.00,7.00,5.00,7.00,8.00,10.88,5.00,5.00,7.00,103,NULL,NULL,'CIDADE VERA CRUZ','APARECIDA GOIÂNIA','GO',1541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033535,6.00,5.00,3.00,6.00,5.00,NULL,2.00,2.00,0.00,104,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5033543,5.00,5.00,4.00,6.00,7.00,7.88,3.00,1.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12120,160,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033551,7.00,4.00,5.00,6.00,8.00,8.25,2.00,2.00,8.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SANTA GENEBRA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5033578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CHIAPETTA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5033586,0.00,4.00,0.00,5.00,6.00,NULL,3.00,2.00,1.00,203,NULL,201,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5033594,5.00,5.00,3.00,6.00,8.00,12.38,3.00,2.00,4.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',8198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5033616,5.00,5.00,2.00,3.00,5.00,6.75,2.00,2.00,7.00,216,NULL,215,'PARANAGUAMIRIN','JOINVILLE','SC',12344,494,NULL,255,NULL,NULL,NULL,4,8),(20,5033624,4.00,5.00,2.00,4.00,5.00,NULL,0.00,0.00,3.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033640,3.00,6.00,3.00,3.00,6.00,8.63,3.00,3.00,3.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5033659,4.00,4.00,2.00,5.00,7.00,7.88,2.00,3.00,5.00,333,NULL,NULL,'SÃO MARTINHHO','TUBARÃO','SC',13699,128,NULL,NULL,NULL,NULL,NULL,4,10),(20,5033667,2.00,4.00,4.00,4.00,5.00,6.00,0.00,4.00,5.00,340,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',16092,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5033683,4.00,6.00,2.00,4.00,4.00,6.38,0.00,3.00,3.00,208,NULL,235,'CAMPECHE','FLORIANÓPOLIS','SC',14065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033691,4.00,3.00,1.00,1.00,4.00,NULL,1.00,0.00,2.00,444,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5033721,6.00,4.00,3.00,1.00,5.00,NULL,1.00,2.00,3.00,601,NULL,216,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5033730,2.00,4.00,1.00,3.00,0.00,NULL,3.00,2.00,2.00,303,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5033748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,423,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5033756,5.00,5.00,2.00,3.00,6.00,7.13,2.00,4.00,5.00,238,NULL,208,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5033764,6.00,6.00,3.00,5.00,8.00,9.38,3.00,1.00,5.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033780,5.00,6.00,2.00,3.00,5.00,6.00,4.00,2.00,4.00,201,NULL,203,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5033829,7.00,6.00,7.00,7.00,9.00,8.25,5.00,5.00,7.00,450,NULL,NULL,'CENTRO','CASCAVEL','PR',2296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033837,8.00,7.00,3.00,6.00,10.00,7.88,4.00,7.00,6.00,326,NULL,NULL,'COROA DO MEIO','ARACAJU','SE',4124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033845,7.00,8.00,2.00,4.00,7.00,7.13,3.00,4.00,6.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5033853,3.00,2.00,1.00,4.00,3.00,NULL,1.00,1.00,5.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5033870,1.00,3.00,1.00,3.00,3.00,NULL,2.00,1.00,3.00,339,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,423,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(20,5033896,6.00,5.00,2.00,5.00,5.00,7.50,5.00,3.00,4.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11619,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5033900,9.00,7.00,4.00,7.00,9.00,10.88,7.00,5.00,6.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',1281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033918,4.00,5.00,0.00,2.00,3.00,NULL,2.00,0.00,7.00,208,NULL,238,'JARDIM AMERICA','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5033926,9.00,9.00,7.00,8.00,9.00,12.00,8.00,6.00,8.00,103,NULL,NULL,'CENTRO','FRAIBURGO','SC',56,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5033934,4.00,7.00,2.00,3.00,2.00,NULL,3.00,3.00,4.00,207,NULL,201,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5033942,9.00,8.00,5.00,5.00,9.00,9.75,4.00,7.00,9.00,103,NULL,NULL,'ZONA TRÊS','MARINGÁ','PR',1088,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5033950,7.00,8.00,2.00,5.00,9.00,10.50,3.00,4.00,4.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',6710,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5033977,7.00,6.00,4.00,7.00,9.00,8.25,3.00,3.00,5.00,220,NULL,211,'CENTRO','TUBARÃO','SC',5853,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5033993,7.00,6.00,1.00,7.00,9.00,9.00,2.00,4.00,5.00,212,NULL,211,'ALTO DE PINHEIROS','S PAULO','SP',7098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5034019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'CENTRO','PASSOS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5034027,3.00,5.00,1.00,7.00,7.00,9.38,0.00,2.00,4.00,103,NULL,NULL,'SANTO ANTONIO','TUBARÃO','SC',14167,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5034035,4.00,6.00,4.00,6.00,8.00,9.75,2.00,1.00,4.00,5,NULL,NULL,'CIDADE JARDIM','RIO CLARO','SP',9475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5034043,1.00,5.00,0.00,7.00,6.00,NULL,0.00,3.00,3.00,316,NULL,NULL,'JARDIM AMERICA','VILHENA','RO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5034051,8.00,5.00,5.00,4.00,7.00,9.00,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',5682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5034078,8.00,7.00,4.00,5.00,9.00,10.50,5.00,6.00,8.00,303,NULL,NULL,'MICHEL','CRICIÚMA','SC',1840,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5034094,6.00,6.00,6.00,5.00,8.00,7.88,6.00,3.00,8.00,203,NULL,208,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',3813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5034116,6.00,7.00,5.00,1.00,4.00,6.75,1.00,2.00,5.00,203,NULL,653,'VILA SÃO JOSÉ','ARARANGUÁ','SC',12901,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5034132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA TRÊS','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5034140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','TERRA BOA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5034159,3.00,4.00,0.00,2.00,2.00,NULL,1.00,1.00,3.00,326,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5034167,4.00,6.00,2.00,5.00,6.00,9.38,1.00,4.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12417,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5034183,5.00,7.00,1.00,7.00,8.00,6.00,4.00,3.00,4.00,319,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',8610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5034191,9.00,7.00,6.00,7.00,10.00,10.13,7.00,5.00,9.00,233,NULL,601,'BARREIROS','S JOSÉ','SC',365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5034205,7.00,7.00,2.00,6.00,8.00,9.00,3.00,6.00,7.00,207,NULL,215,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',4556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5034213,7.00,7.00,3.00,5.00,6.00,7.88,1.00,3.00,4.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5034221,5.00,7.00,1.00,3.00,7.00,9.75,3.00,3.00,6.00,101,NULL,NULL,'FORTALEZA DA BARRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5034230,7.00,6.00,3.00,7.00,6.00,7.13,6.00,4.00,3.00,216,NULL,NULL,'JARDIM SIMUS','SOROCABA','SP',6364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5034256,8.00,7.00,7.00,7.00,8.00,8.63,5.00,4.00,5.00,214,NULL,212,'CENTRO','FOZ IGUAÇU','PR',2340,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5034264,5.00,5.00,4.00,4.00,7.00,7.13,2.00,5.00,2.00,316,NULL,NULL,'COSTA DE DENTRO','FLORIANÓPOLIS','SC',12065,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5034272,7.00,4.00,2.00,4.00,5.00,9.00,2.00,1.00,4.00,201,NULL,NULL,'JARDIM','CUNHA PORÃ','SC',14239,1013,NULL,NULL,NULL,NULL,NULL,4,4),(20,5034299,8.00,6.00,2.00,7.00,8.00,8.25,0.00,2.00,5.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',7228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5034302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SANTO ANTONIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5034310,4.00,5.00,2.00,1.00,4.00,NULL,3.00,1.00,2.00,207,NULL,201,'ITINGA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5034329,2.00,0.00,3.00,1.00,2.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'MOOCA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5034337,3.00,5.00,3.00,5.00,6.00,8.63,1.00,4.00,5.00,109,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12373,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5034353,8.00,9.00,9.00,6.00,9.00,10.13,9.00,6.00,8.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5034370,3.00,7.00,1.00,2.00,4.00,NULL,2.00,1.00,2.00,317,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5034396,4.00,8.00,0.00,7.00,9.00,NULL,2.00,5.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5034418,7.00,6.00,5.00,5.00,7.00,9.38,4.00,4.00,6.00,208,NULL,238,'GIRASSOL','GRAVATAÍ','RS',5955,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5034426,5.00,4.00,2.00,7.00,6.00,9.00,2.00,3.00,3.00,202,NULL,201,'CENTRO','MARINGÁ','PR',12081,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5034434,9.00,7.00,6.00,7.00,9.00,6.00,6.00,6.00,9.00,216,NULL,203,'VELHA','BLUMENAU','SC',1126,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5034442,7.00,7.00,6.00,5.00,8.00,8.63,7.00,7.00,6.00,103,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',1171,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5034469,3.00,6.00,2.00,1.00,4.00,NULL,2.00,2.00,3.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5034477,4.00,4.00,2.00,3.00,4.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'CIDADE NOVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5034493,5.00,5.00,2.00,6.00,8.00,7.88,2.00,2.00,4.00,103,NULL,NULL,'JARDIM MARIA LUIZA','CASCAVEL','PR',11730,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5034507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','STA RITA P QUATRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5034515,4.00,6.00,4.00,6.00,7.00,10.13,2.00,6.00,4.00,336,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9282,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5034523,3.00,7.00,1.00,6.00,7.00,7.50,3.00,5.00,4.00,202,NULL,213,'COMERCIARIO','CRICIÚMA','SC',11221,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5034531,3.00,3.00,0.00,2.00,4.00,NULL,0.00,3.00,2.00,653,NULL,652,'MORRO ESTEVÃO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5034540,4.00,5.00,6.00,7.00,5.00,8.63,0.00,1.00,4.00,304,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',11058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5034558,8.00,8.00,6.00,7.00,8.00,10.50,4.00,4.00,9.00,214,NULL,212,'SANTA FÉ','CPO GRANDE','MS',1199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5034566,5.00,5.00,2.00,3.00,8.00,7.88,4.00,3.00,2.00,5,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',12545,405,NULL,NULL,NULL,NULL,NULL,2,1),(20,5034574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5034582,4.00,3.00,0.00,4.00,7.00,NULL,2.00,4.00,3.00,5,NULL,NULL,'FIGUEIRA ALÉSSIO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5034590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM CANADÁ','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5034604,8.00,7.00,7.00,7.00,8.00,9.38,6.00,4.00,5.00,216,NULL,215,'ZONA SETE','MARINGÁ','PR',1853,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5034612,0.00,4.00,0.00,0.00,0.00,NULL,3.00,2.00,3.00,303,NULL,NULL,'CENTRO HISTÓRICO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5034620,4.00,0.00,2.00,3.00,7.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5034639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5034647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','S JOSÉ CERRITO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5034663,8.00,5.00,3.00,7.00,7.00,6.38,3.00,3.00,4.00,104,NULL,NULL,'JUVEVE','CURITIBA','PR',9278,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5034671,8.00,8.00,5.00,7.00,9.00,9.00,6.00,5.00,7.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',1277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5034680,7.00,6.00,2.00,6.00,4.00,8.25,1.00,4.00,7.00,303,NULL,NULL,'VILA PANTALEÃO','CAÇAPAVA','SP',7964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5034710,9.00,5.00,3.00,7.00,10.00,11.25,3.00,7.00,8.00,103,NULL,NULL,'JARDIM TANGARÁ','MARÍLIA','SP',2208,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5034728,4.00,4.00,0.00,5.00,7.00,8.25,1.00,4.00,3.00,103,NULL,NULL,'EFAPI','CHAPECÓ','SC',14678,3719,NULL,NULL,NULL,NULL,NULL,2,4),(20,5034736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CATANDUVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5034744,2.00,2.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5034752,3.00,3.00,3.00,5.00,3.00,NULL,1.00,0.00,2.00,104,NULL,NULL,'INTERIOR','S JOSÉ CERRITO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5034779,9.00,6.00,3.00,7.00,7.00,10.50,4.00,4.00,5.00,103,NULL,NULL,'MOSSUNGUÊ','CURITIBA','PR',3785,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5034795,7.00,7.00,5.00,6.00,8.00,9.00,5.00,6.00,8.00,207,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',3082,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5034809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO II','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5034817,5.00,7.00,1.00,5.00,6.00,9.00,0.00,2.00,5.00,103,NULL,NULL,'TRES PALMEIRAS','CEL FREITAS','SC',13175,3546,NULL,NULL,NULL,NULL,NULL,2,4),(20,5034825,3.00,5.00,0.00,4.00,3.00,NULL,0.00,1.00,2.00,101,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5034833,3.00,5.00,2.00,0.00,4.00,NULL,0.00,4.00,3.00,651,NULL,208,'VILA SÃO JOÃO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5034841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5034850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5034868,6.00,4.00,1.00,2.00,9.00,9.38,1.00,4.00,5.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13210,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5034884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'ESTRADINHA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5034906,4.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO CERRO II','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5034922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5034930,3.00,3.00,1.00,2.00,4.00,NULL,0.00,1.00,3.00,101,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5034957,6.00,6.00,2.00,4.00,7.00,6.75,1.00,3.00,5.00,103,NULL,NULL,'BATEL','CURITIBA','PR',10401,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5034965,1.00,5.00,1.00,3.00,7.00,NULL,2.00,3.00,2.00,453,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5034973,6.00,6.00,8.00,6.00,8.00,10.13,9.00,3.00,9.00,235,NULL,201,'JARDIM CRISTAL','APARECIDA GOIÂNIA','GO',1177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5034990,3.00,4.00,1.00,2.00,5.00,NULL,1.00,1.00,4.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035007,8.00,8.00,4.00,7.00,8.00,10.13,5.00,6.00,7.00,203,NULL,208,'CENTRO','LAURENTINO','SC',2117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035015,2.00,5.00,3.00,3.00,2.00,NULL,2.00,1.00,1.00,653,NULL,202,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5035031,2.00,5.00,2.00,2.00,5.00,NULL,1.00,0.00,0.00,415,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'UNIVERCITARIO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5035058,5.00,7.00,2.00,5.00,6.00,8.63,2.00,3.00,6.00,301,NULL,NULL,'BELA VISTA III','S JOSÉ','SC',10693,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5035066,7.00,5.00,4.00,7.00,6.00,9.00,4.00,2.00,8.00,208,NULL,238,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035090,6.00,3.00,0.00,3.00,5.00,NULL,2.00,3.00,2.00,211,NULL,601,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035120,8.00,4.00,4.00,6.00,7.00,10.88,4.00,2.00,4.00,212,NULL,601,'ATIRADORES','JOINVILLE','SC',5989,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5035139,8.00,6.00,2.00,7.00,10.00,7.50,4.00,4.00,8.00,103,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',3303,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5035147,5.00,6.00,2.00,4.00,5.00,6.38,3.00,2.00,3.00,653,NULL,652,'PARQUE DAS AVENIDAS','SOMBRIO','SC',15449,112,NULL,NULL,NULL,NULL,NULL,4,15),(20,5035155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,208,'CENTRO','AQUIDAUANA','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5035163,6.00,5.00,3.00,5.00,8.00,7.50,3.00,5.00,6.00,201,NULL,203,'VISTA ALEGRE','CONCÓRDIA','SC',7341,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5035171,5.00,5.00,3.00,2.00,5.00,8.25,3.00,1.00,2.00,319,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',16121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035180,5.00,3.00,2.00,6.00,4.00,6.00,4.00,2.00,2.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',16131,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5035198,2.00,6.00,2.00,1.00,8.00,NULL,1.00,3.00,2.00,303,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035201,7.00,5.00,1.00,6.00,7.00,0.00,2.00,3.00,2.00,108,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5035210,8.00,7.00,3.00,4.00,8.00,6.75,3.00,2.00,5.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7963,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5035228,7.00,8.00,3.00,5.00,7.00,7.13,2.00,2.00,5.00,452,NULL,NULL,'BARAO GERALDO','CAMPINAS','SP',8825,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5035236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5035244,2.00,5.00,4.00,3.00,5.00,NULL,1.00,2.00,2.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5035252,8.00,7.00,4.00,7.00,10.00,8.63,3.00,7.00,7.00,9,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',1979,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5035260,1.00,6.00,1.00,3.00,4.00,NULL,2.00,3.00,4.00,215,NULL,211,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5035279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM ZARA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5035287,7.00,7.00,5.00,4.00,6.00,9.38,0.00,3.00,5.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10788,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5035309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5035325,6.00,7.00,1.00,5.00,8.00,9.38,5.00,6.00,6.00,428,NULL,429,'CENTRO','FLORIANÓPOLIS','SC',4936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035333,8.00,6.00,0.00,7.00,6.00,9.38,0.00,5.00,7.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5035341,9.00,7.00,6.00,7.00,8.00,8.63,8.00,6.00,9.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5035384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'SOARES','CACHOEIRA SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5035392,3.00,3.00,0.00,1.00,4.00,NULL,1.00,2.00,2.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5035406,4.00,7.00,2.00,7.00,7.00,12.75,2.00,5.00,5.00,453,NULL,NULL,'BARRA','OURO PRETO','MG',6084,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5035414,8.00,7.00,2.00,6.00,8.00,10.13,4.00,2.00,6.00,333,NULL,NULL,'SÃO JOÃO BATISTA','S CARLOS','SP',5733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE DAS NAÇÕES','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5035449,3.00,6.00,1.00,3.00,4.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','MATOS COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5035457,6.00,6.00,4.00,4.00,6.00,8.63,5.00,3.00,7.00,211,NULL,213,'CAPOEIRAS','FLORIANÓPOLIS','SC',5763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5035465,3.00,4.00,2.00,3.00,6.00,NULL,0.00,2.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5035473,3.00,3.00,0.00,2.00,3.00,NULL,2.00,0.00,1.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5035481,8.00,6.00,2.00,3.00,5.00,6.38,2.00,1.00,5.00,103,NULL,NULL,'IPIRANGA','RIBEIRÃO PRETO','SP',11488,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5035490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5035503,6.00,6.00,4.00,7.00,4.00,7.88,4.00,4.00,6.00,208,NULL,213,'CENTRO','CURITIBA','PR',9429,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5035511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MACUCO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5035520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOOCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5035538,5.00,0.00,1.00,4.00,7.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'PARQ DAS LARANJEIRAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5035546,8.00,8.00,5.00,5.00,9.00,9.00,4.00,5.00,7.00,103,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',2585,1326,NULL,NULL,NULL,NULL,NULL,2,1),(20,5035570,4.00,7.00,2.00,2.00,3.00,NULL,3.00,1.00,1.00,302,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5035589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'VILA HENRIQUE','SALTO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5035597,4.00,6.00,1.00,7.00,4.00,8.63,5.00,4.00,0.00,340,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035600,8.00,7.00,4.00,6.00,10.00,9.38,2.00,4.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035627,1.00,5.00,0.00,2.00,5.00,NULL,1.00,2.00,1.00,208,NULL,238,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035643,2.00,3.00,0.00,4.00,3.00,NULL,2.00,2.00,1.00,202,NULL,207,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5035660,8.00,5.00,3.00,4.00,8.00,8.63,1.00,3.00,8.00,103,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',8956,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5035678,6.00,6.00,2.00,7.00,7.00,10.13,0.00,3.00,4.00,319,NULL,NULL,'CENTRO','ILHÉUS','BA',7815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035694,3.00,7.00,2.00,5.00,7.00,7.13,2.00,5.00,3.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',14443,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5035708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5035716,6.00,5.00,2.00,5.00,5.00,10.13,2.00,1.00,3.00,318,NULL,NULL,'BELA VISTA II','S JOSÉ','SC',14693,100,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035724,7.00,8.00,4.00,4.00,7.00,10.88,5.00,3.00,5.00,207,NULL,212,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',5799,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5035732,4.00,7.00,2.00,7.00,6.00,6.75,2.00,1.00,4.00,453,NULL,NULL,'VILA SUZANA','S PAULO','SP',13565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035740,6.00,7.00,1.00,3.00,8.00,7.50,3.00,2.00,5.00,303,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',13176,533,NULL,NULL,NULL,NULL,NULL,2,1),(20,5035759,2.00,4.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5035767,9.00,8.00,8.00,8.00,9.00,12.00,4.00,4.00,8.00,220,NULL,203,'JARDIM MANSUR','CPO GRANDE','MS',547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035775,1.00,2.00,1.00,3.00,5.00,NULL,1.00,3.00,2.00,303,NULL,NULL,'SAO CRISTOVAO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5035783,8.00,6.00,2.00,7.00,6.00,8.63,1.00,5.00,7.00,103,NULL,NULL,'TIROL','BELO HORIZONTE','MG',6914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035791,8.00,8.00,2.00,5.00,8.00,8.25,3.00,4.00,6.00,404,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035821,5.00,4.00,2.00,5.00,4.00,7.50,0.00,1.00,4.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16320,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5035830,7.00,5.00,2.00,7.00,8.00,7.50,2.00,3.00,3.00,340,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',10822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035856,2.00,6.00,3.00,5.00,6.00,6.75,1.00,4.00,3.00,427,NULL,423,'CARVOEIRA','FLORIANÓPOLIS','SC',15005,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5035864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5035872,4.00,6.00,0.00,6.00,8.00,8.25,2.00,4.00,3.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035880,6.00,7.00,1.00,7.00,6.00,11.25,2.00,4.00,3.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',8080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035899,3.00,5.00,3.00,5.00,6.00,NULL,0.00,2.00,3.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5035929,5.00,4.00,4.00,6.00,6.00,0.00,3.00,3.00,5.00,303,NULL,NULL,'CENTRO','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035953,3.00,4.00,3.00,6.00,3.00,NULL,5.00,3.00,3.00,234,NULL,NULL,'VIVENDAS DO BOSQUE','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035961,8.00,6.00,6.00,6.00,8.00,9.75,7.00,4.00,7.00,213,NULL,233,'BUSSOLO','ORLEANS','SC',2024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5035988,6.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GARUVA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(20,5035996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5036038,7.00,8.00,2.00,7.00,10.00,8.63,2.00,3.00,8.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',5612,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5036054,5.00,7.00,4.00,6.00,7.00,9.38,2.00,4.00,4.00,336,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036062,3.00,4.00,1.00,1.00,6.00,NULL,3.00,4.00,2.00,453,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5036097,8.00,7.00,6.00,7.00,6.00,9.38,5.00,3.00,7.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',2742,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5036100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5036127,3.00,5.00,6.00,2.00,7.00,6.00,2.00,3.00,4.00,208,NULL,203,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',14939,418,NULL,931,NULL,NULL,NULL,4,1),(20,5036135,3.00,4.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5036143,9.00,9.00,7.00,7.00,9.00,11.25,8.00,7.00,8.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',81,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036151,5.00,6.00,4.00,2.00,2.00,NULL,2.00,2.00,3.00,303,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5036160,7.00,5.00,4.00,7.00,8.00,7.88,2.00,3.00,5.00,103,NULL,NULL,'CENTRO','S BERNARDO CAMPO','SP',7285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036178,8.00,5.00,7.00,7.00,9.00,6.00,4.00,3.00,4.00,220,NULL,233,'CENTRO','CAPIVARI BAIXO','SC',4410,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5036186,8.00,8.00,6.00,7.00,10.00,9.75,3.00,5.00,7.00,203,NULL,220,'MARIA GORETTI','CHAPECÓ','SC',2603,NULL,NULL,NULL,NULL,NULL,NULL,5,4),(20,5036194,7.00,5.00,4.00,7.00,4.00,4.88,2.00,3.00,5.00,103,NULL,NULL,'SÃO CRISTÓÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5036208,3.00,5.00,4.00,5.00,6.00,8.63,5.00,2.00,6.00,201,NULL,212,'VORSTADT','BLUMENAU','SC',12161,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5036216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5036224,7.00,6.00,2.00,5.00,9.00,9.38,3.00,3.00,3.00,452,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',7260,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5036232,3.00,6.00,4.00,0.00,5.00,NULL,4.00,0.00,1.00,220,NULL,202,'MACHADOS','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5036240,5.00,6.00,4.00,3.00,6.00,6.00,1.00,4.00,6.00,202,NULL,213,'BARRA DO ARIRIÚ','PALHOÇA','SC',12453,424,NULL,146,NULL,NULL,NULL,2,1),(20,5036267,1.00,4.00,2.00,4.00,6.00,NULL,3.00,2.00,3.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5036283,7.00,7.00,0.00,5.00,8.00,6.00,2.00,2.00,3.00,104,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',11620,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5036291,6.00,5.00,1.00,4.00,5.00,7.50,2.00,2.00,4.00,201,NULL,207,'CENTRO','S VICENTE','SP',13745,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5036305,9.00,9.00,5.00,8.00,10.00,14.25,5.00,8.00,9.00,453,NULL,NULL,'CORAL','LAGES','SC',88,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5036313,6.00,5.00,3.00,5.00,8.00,8.25,3.00,6.00,4.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5036321,2.00,5.00,1.00,3.00,3.00,NULL,2.00,1.00,3.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5036348,1.00,3.00,3.00,3.00,4.00,NULL,2.00,1.00,4.00,104,NULL,NULL,'EFAPI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5036356,2.00,5.00,3.00,4.00,5.00,NULL,2.00,1.00,3.00,102,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5036364,9.00,8.00,5.00,6.00,7.00,6.38,5.00,6.00,9.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',1654,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5036372,1.00,4.00,2.00,3.00,6.00,NULL,0.00,1.00,2.00,102,NULL,NULL,'ALTO PEREQUE','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5036380,6.00,3.00,0.00,7.00,8.00,8.25,1.00,3.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5036402,3.00,4.00,0.00,3.00,6.00,NULL,0.00,2.00,3.00,5,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5036410,8.00,7.00,3.00,7.00,10.00,9.00,4.00,4.00,8.00,331,NULL,NULL,'FLORESTA','S JOSÉ','SC',4300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036429,9.00,7.00,6.00,8.00,11.00,9.00,6.00,4.00,8.00,211,NULL,203,'CENTRO','TUBARÃO','SC',913,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5036437,4.00,3.00,1.00,4.00,2.00,NULL,2.00,0.00,5.00,333,NULL,NULL,'RIO BRANCO','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTENARIO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5036470,6.00,6.00,1.00,3.00,9.00,9.00,2.00,4.00,5.00,202,NULL,203,'ZONA DOIS','MARINGÁ','PR',8646,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5036488,7.00,6.00,2.00,3.00,5.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5036500,3.00,6.00,1.00,3.00,7.00,8.25,3.00,4.00,4.00,5,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',13297,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5036518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'LAGOINHA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5036526,9.00,5.00,6.00,7.00,10.00,10.50,5.00,7.00,5.00,108,NULL,NULL,'DITZ','STO ÂNGELO','RS',1754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036534,3.00,7.00,1.00,5.00,8.00,9.38,2.00,6.00,3.00,211,NULL,NULL,'JARDIM AMÉLIA','SUMARÉ','SP',11262,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5036542,5.00,5.00,4.00,6.00,8.00,6.38,4.00,4.00,6.00,238,NULL,216,'CAPOEIRAS','FLORIANÓPOLIS','SC',9056,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5036550,3.00,3.00,2.00,2.00,3.00,NULL,0.00,3.00,0.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5036569,4.00,7.00,1.00,7.00,7.00,7.88,1.00,5.00,6.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',10171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036577,3.00,6.00,1.00,6.00,4.00,NULL,1.00,3.00,0.00,5,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036585,7.00,4.00,3.00,5.00,6.00,9.38,3.00,2.00,3.00,501,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',10276,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5036593,9.00,6.00,2.00,8.00,7.00,6.38,3.00,4.00,7.00,333,NULL,NULL,'RESID DONA GERCINA','RIO VERDE','GO',5550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036615,5.00,7.00,5.00,4.00,6.00,9.75,2.00,4.00,2.00,404,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11013,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5036623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARAGUA ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5036631,9.00,8.00,2.00,7.00,8.00,7.50,4.00,6.00,5.00,216,NULL,220,'LOURDES','CAXIAS SUL','RS',3553,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5036640,7.00,5.00,3.00,3.00,7.00,7.13,1.00,4.00,5.00,101,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',12276,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5036658,8.00,6.00,7.00,6.00,7.00,7.50,4.00,3.00,7.00,103,NULL,NULL,'JARDIM PETRÓPOLIS','BAURU','SP',4429,1976,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036666,9.00,7.00,3.00,5.00,9.00,6.75,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','CAÇADOR','SC',5388,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5036674,6.00,4.00,4.00,5.00,6.00,8.25,1.00,6.00,4.00,426,NULL,423,'JOÃO PAULO','FLORIANÓPOLIS','SC',12630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5036682,5.00,4.00,6.00,6.00,7.00,7.88,3.00,4.00,4.00,5,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',8128,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5036690,6.00,7.00,2.00,7.00,5.00,7.13,1.00,4.00,7.00,340,NULL,NULL,'PRIMEIRA LINHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5036704,9.00,5.00,3.00,8.00,7.00,9.00,3.00,4.00,8.00,103,NULL,NULL,'LAGO SUL','LG SUL','DF',3480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036739,9.00,7.00,6.00,7.00,9.00,8.25,5.00,4.00,8.00,203,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',2163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036747,7.00,5.00,5.00,7.00,8.00,9.75,3.00,6.00,6.00,415,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',4960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036755,3.00,4.00,0.00,4.00,6.00,NULL,1.00,2.00,1.00,310,NULL,NULL,'PEREQUE','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5036771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'VISTA VERDE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5036780,6.00,4.00,2.00,1.00,3.00,NULL,3.00,1.00,3.00,452,NULL,NULL,'JARDIN IGUAÇU','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5036801,8.00,4.00,0.00,6.00,6.00,NULL,3.00,2.00,4.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5036810,5.00,5.00,1.00,7.00,7.00,11.25,3.00,4.00,6.00,214,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',7144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036828,8.00,8.00,5.00,7.00,7.00,9.00,4.00,4.00,7.00,216,NULL,203,'JARDIM AMERICA','ASSIS CHATEAUBRIAND','PR',3189,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5036836,8.00,7.00,3.00,7.00,7.00,NULL,5.00,6.00,5.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5036844,7.00,4.00,1.00,5.00,5.00,9.00,1.00,2.00,3.00,216,NULL,208,'BARREIROS','S JOSÉ','SC',15070,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5036852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SÃO CRITOVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5036860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5036879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5036887,5.00,5.00,2.00,4.00,6.00,7.50,2.00,2.00,2.00,108,NULL,NULL,'CENTRO','OSÓRIO','RS',14958,284,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036909,4.00,5.00,4.00,2.00,4.00,NULL,0.00,3.00,3.00,317,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5036917,7.00,6.00,4.00,1.00,7.00,7.50,3.00,5.00,6.00,201,NULL,202,'JARDIM ELDORADO','PALHOÇA','SC',7846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036925,8.00,4.00,4.00,7.00,7.00,9.38,3.00,3.00,8.00,103,NULL,NULL,'SANTA QUITERIA','CURITIBA','PR',4922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036933,6.00,4.00,3.00,6.00,6.00,8.63,2.00,3.00,6.00,108,NULL,NULL,'NOVA PETRÓPOLIS','S BERNARDO CAMPO','SP',9615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036941,7.00,8.00,1.00,5.00,7.00,10.13,3.00,4.00,2.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',9020,3023,NULL,NULL,NULL,NULL,NULL,4,1),(20,5036950,5.00,6.00,2.00,3.00,5.00,NULL,0.00,2.00,5.00,601,NULL,NULL,'CENTRO','PIÊN','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5036976,4.00,4.00,2.00,6.00,6.00,NULL,0.00,3.00,3.00,427,NULL,428,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,10),(20,5037000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'FAZENDA DA ARMACAO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5037018,8.00,9.00,5.00,6.00,10.00,10.88,6.00,5.00,8.00,103,NULL,NULL,'HIGIENÓPOLIS','S PAULO','SP',529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037026,9.00,5.00,3.00,6.00,6.00,7.88,4.00,3.00,6.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',7366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037034,4.00,6.00,2.00,5.00,7.00,NULL,0.00,1.00,6.00,103,NULL,NULL,'CENTRO','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5037050,1.00,6.00,1.00,5.00,6.00,7.50,2.00,4.00,7.00,303,NULL,NULL,'VILA NOVA','IMBITUBA','SC',12452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5037069,6.00,6.00,7.00,4.00,5.00,7.88,4.00,4.00,5.00,601,NULL,201,'PIRABEIRABA','JOINVILLE','SC',7523,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5037077,7.00,6.00,2.00,5.00,8.00,8.63,1.00,5.00,6.00,207,NULL,211,'PRAIA COMPRIDA','S JOSÉ','SC',9712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037093,3.00,7.00,1.00,3.00,5.00,8.25,0.00,2.00,4.00,302,NULL,NULL,'SERRARIA','S JOSÉ','SC',14771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5037107,7.00,3.00,4.00,7.00,7.00,7.88,3.00,3.00,5.00,301,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',7358,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5037115,9.00,8.00,6.00,7.00,10.00,8.63,6.00,5.00,8.00,103,NULL,NULL,'JARDINS','ARACAJU','SE',711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5037123,6.00,5.00,4.00,6.00,9.00,9.00,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',6540,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5037131,8.00,6.00,6.00,7.00,9.00,9.75,7.00,5.00,8.00,220,NULL,235,'BUENO','GOIÂNIA','GO',916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037158,8.00,7.00,3.00,7.00,8.00,7.88,4.00,4.00,6.00,303,NULL,NULL,'JABAQUARA','S PAULO','SP',3962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037166,8.00,8.00,1.00,8.00,10.00,11.63,2.00,6.00,7.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037174,6.00,6.00,2.00,6.00,5.00,7.88,2.00,4.00,5.00,222,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',11855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037182,9.00,9.00,8.00,7.00,9.00,11.25,8.00,6.00,8.00,103,NULL,NULL,'CENTRO','APUCARANA','PR',54,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5037190,9.00,6.00,4.00,7.00,8.00,9.00,5.00,7.00,9.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',1430,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5037204,5.00,4.00,3.00,4.00,5.00,7.88,1.00,2.00,3.00,320,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5037212,6.00,7.00,1.00,6.00,5.00,9.38,3.00,4.00,6.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',8303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037220,7.00,5.00,6.00,5.00,6.00,10.50,4.00,4.00,7.00,207,NULL,212,'JARDIM ELIANE','APUCARANA','PR',4979,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5037255,3.00,6.00,4.00,4.00,5.00,5.25,1.00,1.00,3.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5037271,8.00,6.00,3.00,6.00,7.00,4.50,2.00,7.00,4.00,340,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5037280,3.00,2.00,2.00,5.00,7.00,NULL,1.00,2.00,3.00,319,NULL,NULL,'JARDIM PADROEIRA','GUARATINGUETÁ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5037298,6.00,7.00,2.00,5.00,9.00,7.88,2.00,4.00,5.00,501,NULL,NULL,'AREIAS BRANCAS','BAL ARROIO SILVA','SC',8438,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5037301,5.00,4.00,1.00,6.00,10.00,0.00,3.00,2.00,4.00,340,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5037310,0.00,3.00,2.00,2.00,3.00,NULL,1.00,0.00,2.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5037328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'BAIRRO RENASCENCA','S LUÍS','MA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5037344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOQUEIRÃO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5037352,8.00,8.00,6.00,7.00,10.00,8.25,7.00,4.00,7.00,220,NULL,208,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',1314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037379,8.00,6.00,8.00,7.00,7.00,9.00,4.00,6.00,8.00,450,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',1682,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5037387,7.00,6.00,0.00,7.00,8.00,0.00,2.00,4.00,5.00,320,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5037395,8.00,6.00,5.00,7.00,8.00,10.50,4.00,3.00,6.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',3352,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5037409,9.00,8.00,6.00,7.00,10.00,7.13,4.00,4.00,8.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037425,6.00,5.00,4.00,7.00,5.00,8.25,1.00,3.00,2.00,220,NULL,214,'SÃO FRANCISCO','S PAULO','SP',13651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037433,4.00,7.00,1.00,6.00,8.00,11.63,2.00,3.00,2.00,424,NULL,425,'CORDEIROS','ITAJAÍ','SC',12280,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5037441,5.00,4.00,1.00,6.00,7.00,10.88,1.00,6.00,3.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12598,177,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037450,5.00,4.00,3.00,2.00,5.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'JARDIM AMÉRICA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5037468,9.00,9.00,5.00,5.00,10.00,9.00,7.00,5.00,8.00,103,NULL,NULL,'JARIVATUBA','JOINVILLE','SC',623,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5037476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BUTANTÃ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5037484,4.00,5.00,6.00,7.00,8.00,7.50,3.00,4.00,6.00,214,NULL,203,'CIDADE ALTA','PTO SEGURO','BA',6779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JD DONA LEILA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5037514,4.00,7.00,0.00,5.00,5.00,9.00,3.00,2.00,4.00,444,NULL,NULL,'CENTRO','ESTEIO','RS',12470,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5037522,9.00,8.00,4.00,6.00,9.00,11.63,4.00,8.00,8.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',781,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5037530,3.00,6.00,0.00,5.00,8.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'VILA MARIZA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5037549,5.00,5.00,1.00,5.00,8.00,8.25,2.00,5.00,5.00,207,NULL,NULL,'VILA TONANI','DOURADOS','MS',11385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037557,5.00,6.00,4.00,6.00,8.00,7.88,2.00,3.00,4.00,207,NULL,212,'JARDIM PARANÁ','MANDAGUARI','PR',7738,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5037565,8.00,6.00,6.00,7.00,11.00,11.63,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',1357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037573,9.00,7.00,4.00,7.00,8.00,10.50,7.00,5.00,8.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',1616,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5037590,6.00,7.00,0.00,5.00,9.00,NULL,0.00,7.00,4.00,212,NULL,201,'CENTRO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5037620,7.00,6.00,4.00,3.00,9.00,9.00,3.00,1.00,5.00,207,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',8613,385,NULL,NULL,NULL,NULL,NULL,2,8),(20,5037638,6.00,5.00,4.00,7.00,7.00,9.75,4.00,3.00,8.00,340,NULL,NULL,'LIBERDADE','CONCÓRDIA','SC',4754,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5037654,5.00,6.00,2.00,7.00,6.00,NULL,0.00,4.00,4.00,340,NULL,NULL,'JARDIM TANGARÁ I','TANGARÁ SERRA','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5037662,2.00,6.00,2.00,5.00,6.00,6.75,2.00,3.00,2.00,453,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15733,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5037670,2.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5037689,9.00,7.00,4.00,7.00,11.00,12.00,5.00,6.00,8.00,303,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',257,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5037697,8.00,7.00,1.00,6.00,9.00,8.63,2.00,3.00,7.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',7530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037700,9.00,5.00,6.00,5.00,8.00,8.63,3.00,3.00,5.00,216,NULL,NULL,'CENTRO','ASTORGA','PR',5569,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5037727,5.00,4.00,1.00,2.00,6.00,8.63,2.00,4.00,3.00,309,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5037735,2.00,2.00,1.00,2.00,2.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','GEN CARNEIRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037751,5.00,3.00,3.00,5.00,5.00,8.25,1.00,3.00,3.00,103,NULL,NULL,'VILA GUILHERME','SOROCABA','SP',13988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037760,7.00,6.00,5.00,7.00,8.00,9.38,5.00,5.00,7.00,214,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',2629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037778,4.00,5.00,2.00,7.00,6.00,6.00,1.00,2.00,4.00,225,NULL,NULL,'CONJUNTO LIBRA','FOZ IGUAÇU','PR',13138,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5037786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','ARIRANHA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5037840,2.00,7.00,1.00,5.00,10.00,6.38,3.00,5.00,4.00,601,NULL,201,'ROÇA GRANDE','COLOMBO','PR',10534,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5037859,9.00,7.00,6.00,7.00,8.00,9.00,6.00,5.00,8.00,211,NULL,238,'AMERICA','JOINVILLE','SC',1806,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5037867,3.00,5.00,5.00,4.00,6.00,7.13,3.00,4.00,5.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12202,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5037891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'VILA SANTO ANTÔNIO','OURINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5037905,7.00,0.00,4.00,6.00,10.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,7),(20,5037913,4.00,2.00,2.00,4.00,3.00,NULL,0.00,0.00,2.00,404,NULL,NULL,'PARQUE DA MATRIZ','CACHOEIRINHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5037948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA MATHIAS','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5037956,1.00,3.00,0.00,5.00,6.00,NULL,1.00,2.00,3.00,501,NULL,NULL,'MARIA ISABEL','MARÍLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5037972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','ADAMANTINA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5037980,5.00,6.00,2.00,3.00,7.00,6.00,2.00,4.00,5.00,404,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5037999,8.00,5.00,4.00,7.00,7.00,9.00,5.00,5.00,5.00,201,NULL,207,'PINEVILLE','PINHAIS','PR',4248,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5038006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5038014,3.00,5.00,2.00,4.00,6.00,9.38,3.00,3.00,5.00,450,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5038030,3.00,6.00,2.00,7.00,7.00,8.25,4.00,2.00,5.00,332,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',10998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5038073,8.00,7.00,3.00,8.00,8.00,9.75,3.00,5.00,6.00,340,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',3650,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5038081,6.00,6.00,2.00,7.00,8.00,NULL,0.00,2.00,6.00,103,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5038103,7.00,8.00,3.00,5.00,7.00,7.50,5.00,7.00,7.00,203,NULL,233,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',3961,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5038111,5.00,5.00,3.00,5.00,7.00,7.50,1.00,4.00,3.00,331,NULL,NULL,'ROÇADO','S JOSÉ','SC',13361,35,NULL,NULL,NULL,NULL,NULL,4,1),(20,5038138,9.00,7.00,4.00,6.00,10.00,9.75,2.00,5.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5038146,6.00,5.00,3.00,7.00,7.00,0.00,0.00,5.00,5.00,340,NULL,NULL,'JOÃO COSTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5038154,2.00,4.00,0.00,3.00,4.00,NULL,1.00,1.00,3.00,9,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038162,9.00,7.00,3.00,7.00,8.00,10.50,4.00,7.00,7.00,220,NULL,214,'CENTRO','VALPARAÍSO','SP',1156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5038170,3.00,8.00,1.00,4.00,6.00,6.00,4.00,4.00,2.00,444,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',15789,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038197,7.00,7.00,4.00,4.00,6.00,9.75,1.00,1.00,5.00,303,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',10884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5038200,3.00,4.00,1.00,2.00,4.00,NULL,1.00,3.00,3.00,304,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5038243,9.00,8.00,3.00,7.00,9.00,9.75,4.00,6.00,6.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',2459,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038251,7.00,6.00,4.00,5.00,7.00,9.75,5.00,6.00,5.00,501,NULL,NULL,'CENTRO','CRICIÚMA','SC',4278,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5038260,7.00,5.00,1.00,7.00,4.00,9.38,2.00,1.00,4.00,211,NULL,215,'SAIC','CHAPECÓ','SC',11139,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5038286,6.00,6.00,5.00,7.00,6.00,6.75,3.00,5.00,6.00,216,NULL,203,'JUDITH','LONDRINA','PR',4846,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5038324,1.00,3.00,1.00,5.00,4.00,NULL,1.00,2.00,3.00,427,NULL,423,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'LAUZANE PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5038375,5.00,4.00,0.00,2.00,2.00,NULL,0.00,2.00,1.00,220,NULL,NULL,'SANTA TERESINHA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5038383,6.00,7.00,4.00,5.00,7.00,7.50,2.00,5.00,4.00,5,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',9931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038391,5.00,5.00,1.00,5.00,4.00,8.63,1.00,4.00,3.00,103,NULL,NULL,'EFACIP','PINHALZINHO','SC',14371,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5038405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'VILA DO POLONÊS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5038413,7.00,7.00,2.00,7.00,7.00,7.13,2.00,3.00,7.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',6693,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5038421,8.00,5.00,1.00,5.00,5.00,8.63,0.00,2.00,4.00,216,NULL,653,'CIDADE INDUSTRIAL','CURITIBA','PR',12518,503,NULL,NULL,NULL,NULL,NULL,2,8),(20,5038448,8.00,8.00,6.00,7.00,9.00,10.50,6.00,7.00,8.00,203,NULL,202,'IGUAÇU','IPATINGA','MG',400,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5038456,1.00,1.00,4.00,3.00,3.00,NULL,3.00,3.00,2.00,428,NULL,426,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038464,9.00,9.00,5.00,6.00,9.00,9.00,6.00,6.00,7.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',1072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038480,6.00,7.00,5.00,4.00,9.00,8.63,3.00,6.00,7.00,317,NULL,NULL,'NOSSA SRA DE LOURDES','CAMPOS NOVOS','SC',6016,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5038499,4.00,4.00,0.00,6.00,8.00,9.38,3.00,4.00,4.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',14298,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5038529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'COLINA VERDE','ITÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5038545,4.00,3.00,1.00,5.00,5.00,NULL,2.00,2.00,3.00,207,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5038553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5038561,5.00,6.00,0.00,3.00,8.00,NULL,3.00,4.00,4.00,420,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5038570,3.00,7.00,1.00,6.00,4.00,10.13,2.00,3.00,2.00,5,NULL,NULL,'SERTÃO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038596,6.00,8.00,1.00,7.00,7.00,6.00,3.00,4.00,4.00,425,NULL,426,'KOBRASOL','S JOSÉ','SC',9070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5038600,6.00,4.00,3.00,5.00,5.00,8.63,1.00,3.00,5.00,601,NULL,214,'BOM RETIRO','JOINVILLE','SC',13053,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5038618,6.00,6.00,2.00,5.00,8.00,10.88,0.00,6.00,4.00,336,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',10434,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ITAIM','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5038634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5038642,8.00,6.00,5.00,6.00,6.00,9.75,4.00,6.00,7.00,502,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',4808,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038650,5.00,5.00,3.00,6.00,4.00,8.25,5.00,2.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',14593,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5038669,5.00,5.00,1.00,3.00,4.00,NULL,1.00,2.00,4.00,329,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5038685,4.00,4.00,4.00,1.00,1.00,NULL,1.00,3.00,3.00,101,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038707,4.00,5.00,3.00,6.00,5.00,7.88,3.00,3.00,3.00,220,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5038715,2.00,5.00,1.00,2.00,4.00,NULL,1.00,0.00,2.00,429,NULL,425,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5038723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA RUBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5038731,8.00,6.00,3.00,6.00,7.00,8.63,2.00,4.00,2.00,201,NULL,212,'CENTRO','STO AMARO IMPERATRIZ','SC',9582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5038758,4.00,5.00,1.00,3.00,5.00,NULL,1.00,3.00,2.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5038766,3.00,3.00,0.00,3.00,4.00,10.50,3.00,3.00,5.00,429,NULL,428,'CANTO','FLORIANÓPOLIS','SC',15775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038774,8.00,5.00,5.00,5.00,8.00,9.38,5.00,7.00,4.00,207,NULL,201,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',3984,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038782,0.00,6.00,0.00,0.00,0.00,NULL,2.00,4.00,3.00,202,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(20,5038790,9.00,6.00,4.00,6.00,10.00,8.63,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','TUPARENDI','RS',2083,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5038804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR SUL','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5038812,7.00,7.00,3.00,5.00,10.00,9.00,3.00,4.00,5.00,453,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038820,3.00,3.00,4.00,6.00,6.00,7.88,4.00,4.00,5.00,220,NULL,201,'OTAVIO PECORA','CPO GRANDE','MS',9288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5038839,3.00,5.00,4.00,3.00,4.00,7.88,3.00,6.00,4.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',15621,244,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038863,3.00,4.00,1.00,7.00,4.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','S CARLOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5038871,8.00,8.00,4.00,7.00,10.00,12.00,6.00,5.00,8.00,103,NULL,NULL,'HIGIENÓPOLIS','LONDRINA','PR',699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5038880,7.00,7.00,5.00,3.00,10.00,8.25,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','SOMBRIO','SC',5390,2250,NULL,NULL,NULL,NULL,NULL,4,15),(20,5038910,5.00,5.00,0.00,4.00,4.00,9.00,2.00,1.00,3.00,601,NULL,202,'VERA CRUZ','PASSO FUNDO','RS',13963,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038944,5.00,5.00,5.00,5.00,8.00,8.25,1.00,2.00,6.00,201,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',7588,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038952,7.00,5.00,3.00,5.00,8.00,6.38,1.00,4.00,5.00,502,NULL,NULL,'VILA MARIA','S JOSÉ CAMPOS','SP',8069,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5038960,5.00,6.00,4.00,4.00,8.00,7.13,1.00,3.00,6.00,319,NULL,NULL,'VILA VOTURUA','S VICENTE','SP',10114,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038979,7.00,9.00,4.00,5.00,7.00,10.50,1.00,3.00,5.00,415,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',5856,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5038995,3.00,5.00,2.00,4.00,7.00,6.38,2.00,6.00,4.00,317,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',13043,70,NULL,NULL,NULL,NULL,NULL,2,1),(20,5039002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'VIEIRAS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5039053,8.00,6.00,5.00,7.00,7.00,8.63,4.00,2.00,7.00,216,NULL,203,'CENTRO','FRANCISCO BELTRÃO','PR',4024,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5039061,5.00,5.00,5.00,6.00,6.00,10.88,2.00,4.00,4.00,207,NULL,201,'CERÂMICA','S CAETANO SUL','SP',8642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039088,5.00,5.00,1.00,5.00,7.00,9.00,4.00,3.00,5.00,333,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11970,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5039096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,214,'JARDIM MARIA CÂNDIDA','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5039100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5039118,9.00,7.00,4.00,8.00,10.00,10.13,4.00,5.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039126,8.00,6.00,5.00,7.00,8.00,11.63,7.00,3.00,8.00,207,NULL,201,'ELDORADO','TREMEMBÉ','SP',1271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039134,2.00,8.00,0.00,4.00,8.00,7.88,2.00,4.00,3.00,333,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',15627,149,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039142,1.00,1.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,212,NULL,201,'CENTRO','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5039150,8.00,5.00,2.00,5.00,7.00,7.88,5.00,4.00,6.00,453,NULL,NULL,'JARDIM ALVORADA','S JOSÉ CAMPOS','SP',5905,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5039169,6.00,6.00,0.00,6.00,9.00,NULL,2.00,2.00,4.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039177,3.00,6.00,1.00,4.00,8.00,8.25,3.00,3.00,5.00,308,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',15465,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5039185,4.00,6.00,3.00,4.00,7.00,7.50,2.00,3.00,2.00,207,NULL,201,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',14217,679,NULL,1011,NULL,NULL,NULL,4,1),(20,5039193,8.00,9.00,4.00,6.00,5.00,8.63,3.00,3.00,5.00,304,NULL,NULL,'FAZENDA','ITAJAÍ','SC',7351,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5039207,5.00,5.00,1.00,1.00,8.00,NULL,1.00,2.00,4.00,601,NULL,NULL,'NOVA BRASÍLIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5039215,9.00,5.00,2.00,7.00,6.00,6.00,4.00,5.00,4.00,103,NULL,NULL,'COND MORRO VERMELHO','MOGI MIRIM','SP',6987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039223,5.00,3.00,0.00,5.00,3.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5039240,4.00,7.00,2.00,7.00,7.00,10.13,2.00,4.00,5.00,304,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',11303,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5039266,8.00,7.00,6.00,7.00,7.00,9.38,4.00,6.00,5.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039274,3.00,4.00,3.00,6.00,8.00,9.38,3.00,2.00,6.00,203,NULL,233,'TABOAO','BRAGANÇA PAULISTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039282,6.00,6.00,4.00,4.00,4.00,4.88,3.00,4.00,6.00,202,NULL,216,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5039290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5039304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA THIESEN','IMARUÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5039347,6.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5039363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5039371,8.00,8.00,5.00,8.00,9.00,8.63,4.00,5.00,4.00,318,NULL,NULL,'VILA NOVA','BLUMENAU','SC',3284,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5039380,4.00,7.00,2.00,7.00,5.00,NULL,2.00,0.00,3.00,326,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5039398,7.00,6.00,4.00,3.00,6.00,4.88,2.00,2.00,1.00,303,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039401,3.00,7.00,1.00,6.00,6.00,8.25,1.00,3.00,3.00,102,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',13924,199,NULL,NULL,NULL,NULL,NULL,4,4),(20,5039436,2.00,5.00,1.00,4.00,0.00,NULL,2.00,4.00,4.00,303,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039444,3.00,5.00,2.00,3.00,9.00,7.50,1.00,4.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',12704,3486,NULL,NULL,NULL,NULL,NULL,4,9),(20,5039452,6.00,6.00,4.00,6.00,5.00,8.63,4.00,4.00,5.00,340,NULL,NULL,'TERRAS DO BARÃO','CAMPINAS','SP',7474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'TERRAS DE STA ELISA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5039479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'JARDIM CHAPADAO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5039487,6.00,4.00,0.00,6.00,5.00,7.88,1.00,2.00,4.00,450,NULL,NULL,'CENTRO','JOAÇABA','SC',12638,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5039495,7.00,7.00,5.00,5.00,7.00,7.13,6.00,3.00,7.00,201,NULL,NULL,'CENTURY PARK','CIANORTE','PR',4963,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5039509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'OXFORD','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5039517,1.00,2.00,2.00,2.00,5.00,NULL,1.00,3.00,1.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039525,7.00,7.00,7.00,6.00,10.00,7.88,8.00,5.00,8.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039533,9.00,5.00,8.00,7.00,9.00,9.00,7.00,4.00,8.00,103,NULL,NULL,'JARDIM AMÉRICA','PNT GROSSA','PR',759,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5039541,6.00,8.00,2.00,4.00,6.00,7.13,3.00,2.00,3.00,211,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',12828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039550,5.00,3.00,3.00,4.00,5.00,9.00,1.00,1.00,4.00,207,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',15778,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5039568,8.00,8.00,8.00,6.00,8.00,9.00,6.00,6.00,7.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039576,3.00,3.00,1.00,3.00,2.00,NULL,0.00,2.00,1.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039584,5.00,3.00,1.00,6.00,6.00,8.25,0.00,1.00,6.00,103,NULL,NULL,'BOA VISTA','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5039614,6.00,6.00,5.00,4.00,7.00,8.63,4.00,2.00,7.00,103,NULL,NULL,'SANTA QUITERIA','CURITIBA','PR',7960,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5039622,6.00,8.00,3.00,4.00,7.00,7.13,3.00,5.00,3.00,201,NULL,211,'BARREIROS','S JOSÉ','SC',9240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039630,4.00,5.00,4.00,6.00,7.00,7.88,1.00,2.00,6.00,220,NULL,238,'KOBRASOL','S JOSÉ','SC',14193,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5039649,7.00,3.00,2.00,6.00,8.00,7.50,2.00,5.00,3.00,9,NULL,NULL,'AMÉRICA','JOINVILLE','SC',11608,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5039657,8.00,5.00,4.00,6.00,9.00,7.50,3.00,2.00,5.00,601,NULL,201,'CENTRO','CRICIÚMA','SC',7150,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5039665,4.00,4.00,0.00,3.00,6.00,NULL,2.00,2.00,5.00,302,NULL,NULL,'CENTRO','NOVA P IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5039673,7.00,8.00,2.00,6.00,9.00,10.50,2.00,4.00,5.00,340,NULL,NULL,'COHAPAR','GUARATUBA','PR',4383,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5039681,3.00,7.00,4.00,5.00,8.00,9.00,3.00,6.00,5.00,327,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',10363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5039720,9.00,6.00,4.00,6.00,9.00,9.00,2.00,4.00,8.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',2516,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5039738,8.00,7.00,3.00,4.00,9.00,8.25,4.00,6.00,8.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',3073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'BRACINHO','SCHROEDER','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5039762,9.00,8.00,8.00,8.00,10.00,12.00,9.00,7.00,9.00,103,NULL,NULL,'CENTRO','APUCARANA','PR',9,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5039770,9.00,9.00,6.00,7.00,10.00,10.50,8.00,6.00,8.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039789,4.00,4.00,3.00,6.00,4.00,11.25,2.00,2.00,3.00,310,NULL,NULL,'INTERLAGOS','S PAULO','SP',12742,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5039800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5039827,5.00,5.00,2.00,1.00,4.00,4.50,2.00,3.00,4.00,451,NULL,NULL,'JOSE BONEFACIO','FORTALEZA','CE',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039835,7.00,7.00,3.00,7.00,8.00,7.50,2.00,2.00,6.00,304,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',7884,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5039843,3.00,7.00,2.00,6.00,6.00,8.63,4.00,2.00,5.00,233,NULL,214,'BARRA DA TIJUCA','RIO JANEIRO','RJ',9067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5039860,7.00,6.00,2.00,3.00,7.00,8.63,2.00,4.00,6.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',9051,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5039878,5.00,7.00,3.00,6.00,6.00,8.63,1.00,2.00,5.00,103,NULL,NULL,'CENTRO','CPO ERÊ','SC',10587,3247,NULL,NULL,NULL,NULL,NULL,2,4),(20,5039894,9.00,7.00,4.00,7.00,5.00,10.13,0.00,3.00,3.00,201,NULL,601,'JARDIM ITÁLIA','CHAPECÓ','SC',6455,NULL,NULL,NULL,NULL,NULL,NULL,3,4),(20,5039908,4.00,7.00,2.00,3.00,5.00,9.75,1.00,5.00,1.00,318,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15795,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5039916,6.00,7.00,2.00,5.00,7.00,7.50,4.00,2.00,5.00,303,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',11886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5039924,4.00,3.00,3.00,3.00,7.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5039932,9.00,6.00,2.00,7.00,11.00,10.50,4.00,5.00,8.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039940,8.00,7.00,4.00,5.00,7.00,7.50,2.00,6.00,6.00,104,NULL,NULL,'VELHA','BLUMENAU','SC',5981,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5039959,8.00,8.00,4.00,7.00,10.00,10.88,3.00,8.00,5.00,103,NULL,NULL,'CAMPO DA AGUA VERDE','CANOINHAS','SC',1571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039967,7.00,6.00,4.00,5.00,8.00,9.38,2.00,4.00,6.00,309,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',5656,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5039975,6.00,6.00,0.00,4.00,5.00,8.25,4.00,2.00,2.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5039983,8.00,5.00,4.00,7.00,6.00,11.25,5.00,2.00,8.00,103,NULL,NULL,'JARDIM PARAISO','BOTUCATU','SP',3780,1777,NULL,NULL,NULL,NULL,NULL,4,1),(20,5039991,2.00,5.00,1.00,1.00,5.00,NULL,4.00,1.00,3.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5040000,4.00,4.00,2.00,3.00,4.00,NULL,0.00,3.00,3.00,102,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5040019,5.00,6.00,4.00,6.00,8.00,8.25,3.00,4.00,4.00,201,NULL,212,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',7271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5040027,7.00,7.00,6.00,7.00,9.00,7.88,5.00,6.00,6.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',1680,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5040035,1.00,6.00,2.00,3.00,4.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5040051,4.00,2.00,1.00,4.00,6.00,NULL,1.00,3.00,3.00,109,NULL,NULL,'ALTO DO PARQUE','STA ROSA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5040060,4.00,7.00,2.00,4.00,6.00,6.75,0.00,5.00,2.00,201,NULL,211,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5040078,6.00,4.00,1.00,4.00,5.00,6.75,2.00,5.00,5.00,333,NULL,NULL,'CENTRO','S BERNARDO CAMPO','SP',12246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040086,8.00,2.00,1.00,6.00,6.00,6.00,4.00,5.00,3.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',14714,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5040094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5040108,6.00,7.00,5.00,7.00,8.00,9.75,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040116,5.00,6.00,3.00,4.00,10.00,6.38,2.00,3.00,3.00,338,NULL,NULL,'JARDIM CARANDAI','BIGUAÇU','SC',10349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040132,3.00,4.00,1.00,2.00,6.00,NULL,2.00,5.00,3.00,326,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5040167,3.00,6.00,2.00,2.00,3.00,NULL,3.00,3.00,5.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','CORUPÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5040183,5.00,8.00,4.00,7.00,8.00,8.25,3.00,2.00,6.00,216,NULL,201,'SANTA FELICIDADE','CURITIBA','PR',5120,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5040191,8.00,5.00,3.00,6.00,7.00,9.00,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',6351,2490,NULL,NULL,NULL,NULL,NULL,2,1),(20,5040205,9.00,8.00,4.00,7.00,7.00,NULL,0.00,5.00,6.00,601,NULL,207,'RONDINHA','CPO LARGO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5040213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PALMAS','TO',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5040230,9.00,6.00,6.00,6.00,10.00,10.88,7.00,3.00,8.00,103,NULL,NULL,'CENTRO','AQUIDAUANA','MS',1720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RECANTO REAL','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5040256,3.00,5.00,1.00,2.00,7.00,NULL,3.00,3.00,2.00,327,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5040264,5.00,6.00,3.00,6.00,6.00,9.75,5.00,2.00,7.00,108,NULL,NULL,'LEODORO AZEVEDO','CANELA','RS',7580,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5040280,7.00,7.00,3.00,7.00,5.00,9.00,3.00,3.00,4.00,415,NULL,NULL,'MATRIZ','VIDEIRA','SC',7493,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5040302,7.00,7.00,5.00,5.00,6.00,11.25,4.00,3.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040310,4.00,7.00,1.00,0.00,2.00,NULL,1.00,3.00,4.00,103,NULL,NULL,'ALVORADA','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5040329,9.00,4.00,2.00,7.00,6.00,9.38,3.00,4.00,8.00,103,NULL,NULL,'BOM RETIRO','CURITIBA','PR',3541,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5040337,4.00,4.00,0.00,5.00,5.00,NULL,0.00,2.00,4.00,101,NULL,NULL,'SÃO FRANCISCO','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5040345,4.00,4.00,0.00,6.00,7.00,NULL,1.00,4.00,4.00,103,NULL,NULL,'ESTADOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5040353,3.00,8.00,2.00,5.00,7.00,7.13,3.00,3.00,6.00,5,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',8323,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5040361,8.00,6.00,6.00,7.00,7.00,9.38,5.00,5.00,8.00,203,NULL,211,'BOSQUE DA SAUDE','S PAULO','SP',2457,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5040396,7.00,5.00,2.00,5.00,6.00,9.00,3.00,2.00,5.00,103,NULL,NULL,'CENTRO','OURINHOS','SP',10986,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5040400,6.00,7.00,6.00,7.00,8.00,9.38,8.00,5.00,8.00,203,NULL,201,'CANDEAL','SALVADOR','BA',1230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040418,7.00,6.00,1.00,6.00,9.00,8.63,1.00,6.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',7106,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5040434,7.00,8.00,1.00,7.00,4.00,7.88,3.00,2.00,4.00,207,NULL,215,'MAR GROSSO','LAGUNA','SC',10118,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5040442,8.00,6.00,3.00,3.00,6.00,NULL,0.00,3.00,5.00,103,NULL,NULL,'CENTRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5040450,4.00,4.00,1.00,4.00,4.00,4.88,0.00,3.00,4.00,238,NULL,208,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040469,4.00,4.00,4.00,7.00,7.00,6.75,4.00,4.00,8.00,203,NULL,214,'FARROUPILHA','VIDEIRA','SC',7946,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5040485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MEDIANEIRA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5040493,5.00,5.00,1.00,5.00,4.00,6.38,1.00,4.00,5.00,207,NULL,211,'JARDIM DAS ACACIAS','S JOSÉ','SC',14249,681,NULL,442,NULL,NULL,NULL,2,1),(20,5040507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JARDIM TEXTIL','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5040515,7.00,5.00,2.00,5.00,5.00,7.88,0.00,6.00,3.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',10357,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5040523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA VILAS BOAS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5040531,9.00,8.00,3.00,7.00,11.00,11.63,3.00,6.00,4.00,5,NULL,NULL,'CENTRO','OURO','SC',2674,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5040558,7.00,6.00,2.00,7.00,9.00,9.00,2.00,5.00,7.00,104,NULL,NULL,'TRES VENDAS','ERECHIM','RS',5793,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5040566,4.00,6.00,5.00,4.00,5.00,8.63,5.00,5.00,5.00,201,NULL,202,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5040574,6.00,4.00,1.00,4.00,9.00,7.50,0.00,4.00,3.00,333,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13929,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5040582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5040604,6.00,7.00,4.00,7.00,6.00,9.38,3.00,2.00,6.00,103,NULL,NULL,'ALTO DA MOÓCA','S PAULO','SP',6567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040612,8.00,7.00,6.00,6.00,8.00,9.38,5.00,4.00,8.00,103,NULL,NULL,'VILA IZOLINA MAZZEI','S PAULO','SP',1576,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5040620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,NULL,'SÃO FRANCISCO','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5040639,8.00,8.00,5.00,6.00,3.00,NULL,8.00,2.00,8.00,220,NULL,235,'VILA NARCISO','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040647,3.00,2.00,0.00,4.00,7.00,NULL,3.00,3.00,4.00,319,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5040663,8.00,7.00,2.00,7.00,6.00,7.50,5.00,4.00,3.00,103,NULL,NULL,'SÃO PEDRO','GUABIRUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5040680,1.00,2.00,2.00,1.00,3.00,NULL,0.00,0.00,2.00,104,NULL,NULL,'ITAIPAVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5040698,9.00,8.00,9.00,7.00,10.00,11.63,8.00,6.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,235,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5040728,7.00,6.00,3.00,6.00,9.00,7.88,1.00,6.00,5.00,103,NULL,NULL,'BOM RETIRO','CURITIBA','PR',6969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040744,2.00,5.00,1.00,1.00,3.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040752,4.00,5.00,1.00,3.00,9.00,11.63,1.00,2.00,6.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040760,8.00,8.00,8.00,7.00,10.00,12.75,8.00,5.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040779,5.00,6.00,2.00,6.00,6.00,8.25,2.00,2.00,5.00,5,NULL,NULL,'HUMAITA','PTO ALEGRE','RS',11901,381,NULL,NULL,NULL,NULL,NULL,2,1),(20,5040787,7.00,7.00,0.00,6.00,8.00,7.88,2.00,4.00,4.00,340,NULL,NULL,'MONT SERRAT','PTO ALEGRE','RS',6913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040795,5.00,5.00,4.00,7.00,8.00,7.13,4.00,5.00,8.00,216,NULL,201,'VALE DAS ARAUCARIAS','LONDRINA','PR',3804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040809,7.00,5.00,2.00,7.00,8.00,10.50,5.00,4.00,6.00,303,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',4067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040817,2.00,4.00,2.00,3.00,6.00,NULL,1.00,3.00,3.00,9,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5040825,6.00,5.00,1.00,5.00,6.00,9.75,1.00,1.00,6.00,601,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',10472,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5040833,9.00,8.00,6.00,7.00,9.00,10.88,7.00,4.00,9.00,103,NULL,NULL,'LAGOINHA','RIBEIRÃO PRETO','SP',251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040850,5.00,5.00,1.00,4.00,3.00,NULL,2.00,3.00,4.00,203,NULL,NULL,'CENTRO SUL','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5040868,6.00,6.00,1.00,6.00,5.00,8.63,1.00,2.00,2.00,427,NULL,421,'ESTREITO','FLORIANÓPOLIS','SC',15199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040876,1.00,4.00,0.00,7.00,4.00,NULL,1.00,3.00,2.00,340,NULL,NULL,'JARDIM ESTORIL','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040884,7.00,7.00,1.00,6.00,8.00,7.88,2.00,4.00,6.00,420,NULL,NULL,'CASA VERDE','S PAULO','SP',6536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'CASA CAIADA','OLINDA','PE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5040906,2.00,6.00,2.00,3.00,3.00,NULL,0.00,2.00,1.00,9,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5040949,3.00,7.00,3.00,7.00,7.00,6.00,2.00,3.00,3.00,203,NULL,233,'CENTRO','CRUZ ALTA','RS',13080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040957,2.00,3.00,1.00,4.00,5.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'CENTRO','S CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5040965,9.00,5.00,1.00,7.00,7.00,7.50,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',6014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040973,3.00,3.00,4.00,3.00,4.00,NULL,1.00,3.00,4.00,451,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5040981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'VILA MARINA','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5040990,7.00,7.00,6.00,7.00,7.00,7.50,2.00,2.00,6.00,203,NULL,214,'BIGORRILHO','CURITIBA','PR',4673,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5041007,9.00,7.00,5.00,8.00,10.00,10.13,7.00,5.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',428,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5041015,3.00,3.00,1.00,4.00,6.00,NULL,0.00,2.00,2.00,453,NULL,NULL,'PRAIA DOS INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5041031,6.00,5.00,0.00,4.00,6.00,NULL,0.00,3.00,3.00,404,NULL,NULL,'SOUSAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041040,7.00,6.00,5.00,7.00,9.00,11.63,6.00,6.00,8.00,235,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041074,6.00,5.00,4.00,5.00,5.00,6.75,3.00,3.00,2.00,301,NULL,NULL,'CENTRO','S JOSÉ R PRETO','SP',11409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041090,9.00,7.00,3.00,7.00,10.00,7.50,5.00,2.00,7.00,202,NULL,208,'VARGINHA','STO AMARO IMPERATRIZ','SC',3435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041112,8.00,9.00,7.00,6.00,10.00,10.50,7.00,7.00,8.00,103,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',145,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5041139,4.00,6.00,1.00,6.00,6.00,10.13,0.00,4.00,3.00,424,NULL,429,'SANTINHO','FLORIANÓPOLIS','SC',12808,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5041147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ILHA DO GOVERNADOR','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5041155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5041171,3.00,2.00,0.00,2.00,4.00,NULL,1.00,2.00,1.00,319,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5041198,5.00,5.00,2.00,5.00,7.00,9.38,1.00,2.00,6.00,102,NULL,NULL,'VILA SANTANA','SOROCABA','SP',10112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041201,9.00,7.00,3.00,5.00,10.00,7.88,3.00,5.00,7.00,601,NULL,216,'VILA NOVA','JOINVILLE','SC',3363,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5041210,5.00,9.00,2.00,7.00,10.00,10.50,2.00,4.00,5.00,340,NULL,NULL,'BEATRIZ','LAGES','SC',5741,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5041228,5.00,5.00,2.00,7.00,6.00,4.88,4.00,2.00,3.00,203,NULL,214,'PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041236,7.00,7.00,1.00,6.00,8.00,9.38,3.00,2.00,7.00,103,NULL,NULL,'SÃO JOSÉ','S LEOPOLDO','RS',4477,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5041244,6.00,7.00,4.00,7.00,5.00,8.25,3.00,3.00,4.00,5,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',8263,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5041252,9.00,9.00,8.00,6.00,11.00,10.50,7.00,6.00,8.00,103,NULL,NULL,'SAMUEL SANDRINI','ORLEANS','SC',58,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5041260,4.00,6.00,1.00,3.00,5.00,NULL,0.00,2.00,5.00,333,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5041279,5.00,8.00,2.00,5.00,6.00,9.00,3.00,5.00,3.00,336,NULL,NULL,'CENTRO','IMBITUBA','SC',9622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5041287,9.00,8.00,3.00,7.00,10.00,9.38,4.00,3.00,5.00,108,NULL,NULL,'UBATUBA','S FRANCISCO SUL','SC',3064,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5041295,5.00,7.00,1.00,4.00,8.00,6.00,3.00,1.00,5.00,3,NULL,NULL,'EMBRATEL','PTO VELHO','RO',13702,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5041309,7.00,9.00,6.00,6.00,10.00,10.50,8.00,7.00,8.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041317,5.00,4.00,0.00,4.00,4.00,NULL,1.00,2.00,2.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5041333,2.00,6.00,0.00,7.00,7.00,8.25,4.00,5.00,4.00,207,NULL,NULL,'ITAIM BIBI','S PAULO','SP',9355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041341,5.00,7.00,1.00,4.00,6.00,6.75,2.00,0.00,3.00,207,NULL,211,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5041350,1.00,4.00,3.00,5.00,4.00,NULL,0.00,2.00,2.00,207,NULL,201,'HUMAITA DE CIMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5041376,6.00,6.00,3.00,4.00,8.00,7.88,3.00,6.00,5.00,453,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8412,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5041384,5.00,4.00,1.00,4.00,4.00,8.63,3.00,1.00,4.00,103,NULL,NULL,'TRIANON','GUARAPUAVA','PR',15369,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5041392,6.00,5.00,1.00,5.00,7.00,6.75,1.00,3.00,2.00,319,NULL,NULL,'CENTRO','MARINGÁ','PR',14560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041406,4.00,7.00,1.00,4.00,4.00,9.75,2.00,2.00,2.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5041414,2.00,5.00,1.00,6.00,5.00,9.38,1.00,1.00,3.00,233,NULL,213,'SÃO LUIZ','CRICIÚMA','SC',15125,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5041422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5041457,7.00,5.00,3.00,7.00,6.00,6.75,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',5481,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5041465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'VINTE CINCO DE JULHO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5041473,3.00,5.00,4.00,5.00,6.00,10.13,1.00,2.00,3.00,104,NULL,NULL,'BOA VISTA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5041490,8.00,7.00,4.00,7.00,10.00,10.50,5.00,6.00,7.00,207,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',1822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041511,7.00,7.00,4.00,3.00,5.00,8.63,2.00,5.00,4.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',8463,2917,NULL,NULL,NULL,NULL,NULL,4,8),(20,5041520,8.00,5.00,3.00,6.00,6.00,8.25,4.00,2.00,6.00,108,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',5966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5041538,4.00,3.00,0.00,5.00,3.00,NULL,1.00,0.00,4.00,452,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5041546,3.00,4.00,1.00,4.00,3.00,NULL,3.00,1.00,3.00,104,NULL,NULL,'CENTRO','TRAMANDAÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5041554,4.00,5.00,2.00,5.00,3.00,NULL,0.00,3.00,2.00,301,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5041562,5.00,5.00,3.00,6.00,9.00,9.00,2.00,3.00,5.00,207,NULL,201,'VILA ROMANA','S PAULO','SP',7370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5041589,7.00,4.00,7.00,7.00,10.00,9.75,5.00,6.00,6.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',2129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'LAGO SUL','LG SUL','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5041600,6.00,6.00,3.00,4.00,6.00,8.63,2.00,5.00,4.00,203,NULL,220,'RECIFE','TUBARÃO','SC',10038,722,NULL,285,NULL,NULL,NULL,2,10),(20,5041619,4.00,6.00,1.00,6.00,7.00,9.38,1.00,2.00,6.00,102,NULL,NULL,'CENTRO','VACARIA','RS',11625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041627,1.00,6.00,4.00,4.00,3.00,NULL,0.00,1.00,1.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041635,4.00,7.00,2.00,2.00,3.00,NULL,1.00,3.00,2.00,108,NULL,NULL,'JD LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5041643,5.00,3.00,3.00,3.00,7.00,10.50,2.00,3.00,5.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',13821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041651,4.00,6.00,4.00,5.00,7.00,9.75,3.00,3.00,4.00,429,NULL,424,'JARDIM ELDORADO','PALHOÇA','SC',10549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041660,4.00,5.00,1.00,3.00,4.00,NULL,1.00,2.00,3.00,9,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5041678,3.00,4.00,1.00,3.00,5.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'JARDIM ITALIA','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5041694,3.00,6.00,2.00,6.00,7.00,9.75,2.00,4.00,4.00,3,NULL,NULL,'TREMEMBÉ','S PAULO','SP',10166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041732,6.00,6.00,0.00,5.00,4.00,7.13,2.00,3.00,6.00,201,NULL,601,'CENTRO','BAL PIÇARRAS','SC',13496,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5041740,5.00,7.00,3.00,5.00,8.00,7.13,3.00,3.00,3.00,201,NULL,213,'ESTREITO','FLORIANÓPOLIS','SC',10781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041759,4.00,3.00,4.00,4.00,6.00,9.75,2.00,3.00,3.00,303,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',14481,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5041767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5041783,3.00,4.00,2.00,6.00,5.00,6.75,0.00,4.00,2.00,303,NULL,NULL,'VILA SÓFIA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041791,2.00,3.00,0.00,3.00,2.00,NULL,2.00,2.00,3.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5041805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PARQUE ACALANTO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5041830,2.00,5.00,3.00,3.00,5.00,11.25,2.00,3.00,4.00,302,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',15358,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5041848,8.00,7.00,3.00,4.00,9.00,9.75,2.00,3.00,5.00,303,NULL,NULL,'PLANALTO PAULISTA','S PAULO','SP',7702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5041856,4.00,2.00,1.00,3.00,5.00,NULL,1.00,2.00,2.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5041864,7.00,5.00,0.00,6.00,5.00,7.13,3.00,3.00,3.00,207,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',14681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,207,'SETOR PLANALTO','JATAÍ','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5041899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUANABARA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5041910,6.00,5.00,2.00,7.00,6.00,7.13,3.00,3.00,5.00,331,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',9315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041937,3.00,5.00,0.00,3.00,5.00,NULL,3.00,1.00,3.00,653,NULL,652,'PARQUE DAS AVENIDAS','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5041953,9.00,6.00,6.00,6.00,8.00,9.75,4.00,3.00,7.00,103,NULL,NULL,'ZONA OITO','MARINGÁ','PR',2686,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5041961,8.00,6.00,4.00,7.00,9.00,8.25,1.00,2.00,8.00,103,NULL,NULL,'PLANALTO PAULISTA','S PAULO','SP',5012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5041970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'GUAIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5041988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,202,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5041996,4.00,6.00,0.00,6.00,6.00,8.25,3.00,5.00,4.00,205,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042003,6.00,5.00,2.00,5.00,7.00,9.00,1.00,4.00,2.00,207,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',10855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5042020,7.00,6.00,2.00,6.00,5.00,9.75,1.00,3.00,4.00,502,NULL,NULL,'CENTRO','S JOSÉ','SC',12306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042038,4.00,4.00,0.00,3.00,3.00,NULL,2.00,1.00,3.00,201,NULL,211,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5042054,6.00,5.00,1.00,4.00,5.00,6.00,3.00,1.00,3.00,501,NULL,NULL,'CENTRO','XANXERÊ','SC',15786,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5042070,6.00,8.00,4.00,7.00,7.00,9.38,4.00,2.00,5.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',4659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042100,3.00,6.00,3.00,3.00,5.00,7.88,1.00,2.00,4.00,336,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',16206,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5042127,9.00,6.00,4.00,7.00,8.00,10.88,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','APUCARANA','PR',2165,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5042135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5042143,7.00,8.00,7.00,7.00,10.00,8.63,6.00,5.00,5.00,340,NULL,NULL,'S ANTONIO DE LISOA','FLORIANÓPOLIS','SC',1750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042178,7.00,6.00,5.00,7.00,9.00,9.75,4.00,3.00,5.00,601,NULL,216,'SAGUAÇU','JOINVILLE','SC',4433,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5042186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5042208,4.00,5.00,2.00,7.00,7.00,8.25,2.00,3.00,4.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',9981,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5042224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5042232,7.00,7.00,4.00,7.00,9.00,10.50,5.00,4.00,6.00,214,NULL,233,'CORREGO GRANDE','FLORIANÓPOLIS','SC',2091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042259,8.00,6.00,4.00,4.00,4.00,9.38,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','MAFRA','SC',6092,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5042267,4.00,5.00,3.00,4.00,8.00,9.00,2.00,3.00,4.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',13033,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5042275,7.00,8.00,2.00,4.00,7.00,10.13,3.00,6.00,3.00,320,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',6098,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5042283,7.00,7.00,5.00,7.00,7.00,10.50,4.00,4.00,6.00,211,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',4590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042291,4.00,3.00,3.00,5.00,4.00,4.50,1.00,3.00,5.00,108,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042305,8.00,9.00,4.00,6.00,9.00,9.75,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042313,3.00,3.00,2.00,6.00,6.00,NULL,3.00,1.00,3.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042321,4.00,4.00,0.00,6.00,4.00,NULL,3.00,4.00,1.00,5,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042330,5.00,6.00,4.00,6.00,4.00,7.13,1.00,5.00,4.00,225,NULL,NULL,'INTERIOR','MONDAÍ','SC',10987,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5042348,8.00,7.00,1.00,4.00,4.00,4.88,4.00,4.00,5.00,220,NULL,211,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,10),(20,5042364,6.00,6.00,4.00,5.00,8.00,10.88,1.00,4.00,7.00,317,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',4943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042372,5.00,6.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,207,NULL,201,'CIDADE JARDIM','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'GRANJA VIANA','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5042399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5042402,8.00,7.00,1.00,5.00,9.00,NULL,4.00,6.00,5.00,453,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5042429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'TRIANON','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5042445,2.00,6.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5042453,9.00,8.00,3.00,7.00,8.00,10.13,4.00,2.00,6.00,444,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',4246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042461,9.00,7.00,4.00,6.00,10.00,8.63,6.00,7.00,7.00,103,NULL,NULL,'PETRÓPOLIS','LONDRINA','PR',1548,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5042470,4.00,4.00,0.00,3.00,6.00,NULL,1.00,1.00,3.00,301,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5042488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','IA SOLTEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5042496,6.00,4.00,3.00,5.00,9.00,7.50,1.00,3.00,4.00,103,NULL,NULL,'IPIRANGA','S JOSÉ','SC',8809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042500,4.00,6.00,1.00,7.00,6.00,7.88,2.00,3.00,2.00,319,NULL,NULL,'CENTRO','LONDRINA','PR',12046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042518,6.00,7.00,3.00,6.00,4.00,6.75,3.00,2.00,5.00,324,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042534,6.00,4.00,3.00,3.00,6.00,9.38,1.00,1.00,6.00,103,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',14272,3664,NULL,NULL,NULL,NULL,NULL,4,8),(20,5042542,8.00,9.00,6.00,7.00,8.00,9.00,4.00,6.00,7.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',1729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042577,6.00,3.00,3.00,6.00,8.00,9.00,1.00,4.00,2.00,103,NULL,NULL,'BELA VISTA','CHAPECÓ','SC',11820,3397,NULL,NULL,NULL,NULL,NULL,4,4),(20,5042585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM AMÉRICA','PEDERNEIRAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5042593,6.00,6.00,2.00,6.00,6.00,7.88,3.00,5.00,4.00,201,NULL,207,'CENTRO','SAPIRANGA','RS',8214,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5042607,6.00,6.00,3.00,7.00,8.00,8.63,3.00,4.00,5.00,225,NULL,NULL,'CENTRO','NAVEGANTES','SC',7127,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5042615,1.00,4.00,0.00,1.00,2.00,NULL,2.00,1.00,1.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5042623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,233,'CENTRO','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5042631,6.00,7.00,7.00,7.00,8.00,8.63,2.00,4.00,6.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',4705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042640,5.00,6.00,3.00,7.00,7.00,9.00,2.00,4.00,6.00,420,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',9143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042682,2.00,4.00,0.00,6.00,3.00,NULL,4.00,2.00,2.00,319,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5042704,8.00,5.00,2.00,7.00,5.00,9.00,2.00,3.00,4.00,211,NULL,653,'PETROPOLIS','PTO ALEGRE','RS',8360,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5042712,3.00,6.00,3.00,4.00,6.00,8.25,2.00,4.00,3.00,103,NULL,NULL,'BELA VISTA','GASPAR','SC',13536,3576,NULL,NULL,NULL,NULL,NULL,2,2),(20,5042720,2.00,7.00,2.00,7.00,7.00,10.50,1.00,2.00,4.00,453,NULL,NULL,'NOSSA SRA DE FÁTIMA','BOTUCATU','SP',11297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,211,'LIBERDADE','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5042747,1.00,6.00,3.00,4.00,6.00,NULL,1.00,1.00,4.00,317,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5042755,5.00,6.00,1.00,5.00,7.00,0.00,3.00,1.00,7.00,301,NULL,NULL,'PARI','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'SÃO PAULO II','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5042771,3.00,5.00,2.00,3.00,4.00,NULL,2.00,1.00,2.00,502,NULL,NULL,'DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5042798,2.00,5.00,1.00,3.00,3.00,NULL,0.00,2.00,3.00,653,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5042801,7.00,8.00,5.00,7.00,6.00,7.88,2.00,2.00,7.00,214,NULL,201,'VILA MAZZARINO','ITAPETININGA','SP',6283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042828,3.00,4.00,3.00,3.00,7.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5042836,4.00,5.00,4.00,6.00,7.00,7.50,2.00,2.00,3.00,216,NULL,212,'BOA VISTA','PRES PRUDENTE','SP',9681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5042852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5042860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA DO ENCONTRO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5042879,7.00,6.00,0.00,5.00,7.00,4.13,4.00,1.00,6.00,103,NULL,NULL,'CENTRO','IRINEÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5042895,6.00,6.00,3.00,7.00,8.00,8.63,2.00,2.00,6.00,108,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5042909,6.00,7.00,3.00,4.00,6.00,8.25,2.00,5.00,6.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8979,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5042917,6.00,5.00,0.00,4.00,4.00,NULL,3.00,3.00,1.00,653,NULL,652,'BOCA DO PIQUE','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5042925,8.00,7.00,5.00,3.00,9.00,9.00,4.00,3.00,4.00,203,NULL,214,'VILA BOAVA','ITAPEVA','SP',5742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5042933,4.00,8.00,0.00,4.00,5.00,NULL,1.00,3.00,3.00,340,NULL,NULL,'JD BOTANICO','SINOP','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5042968,6.00,8.00,4.00,4.00,3.00,NULL,2.00,4.00,4.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5042984,5.00,5.00,3.00,4.00,4.00,7.50,2.00,2.00,4.00,5,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5042992,7.00,7.00,3.00,5.00,9.00,9.38,3.00,6.00,6.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',5139,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5043018,9.00,8.00,6.00,6.00,8.00,9.38,4.00,6.00,7.00,103,NULL,NULL,'SEMINARIO','CURITIBA','PR',1257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5043026,9.00,7.00,4.00,6.00,9.00,12.00,3.00,5.00,7.00,104,NULL,NULL,'CENTRO','TAIÓ','SC',1941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5043034,8.00,8.00,5.00,7.00,9.00,9.75,5.00,5.00,8.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043050,4.00,3.00,4.00,6.00,5.00,7.50,1.00,1.00,3.00,238,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',15473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043069,6.00,5.00,3.00,7.00,8.00,7.88,4.00,3.00,6.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043077,5.00,5.00,3.00,3.00,6.00,NULL,0.00,2.00,2.00,316,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043085,8.00,7.00,6.00,5.00,8.00,8.63,4.00,2.00,5.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',4691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043093,7.00,7.00,2.00,7.00,9.00,7.50,2.00,3.00,7.00,201,NULL,212,'PANTANO DO SUL','FLORIANÓPOLIS','SC',9074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043107,3.00,3.00,2.00,5.00,8.00,9.75,3.00,3.00,5.00,333,NULL,NULL,'CENTRO','PTO ALEGRE','RS',11707,99,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043115,8.00,8.00,5.00,7.00,8.00,10.13,4.00,4.00,5.00,301,NULL,NULL,'CENTRO','CRICIÚMA','SC',2837,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5043123,3.00,5.00,0.00,4.00,5.00,NULL,0.00,2.00,4.00,216,NULL,215,'SÃO SEBASTIÃO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5043131,3.00,4.00,0.00,6.00,4.00,NULL,2.00,1.00,3.00,208,NULL,NULL,'BREJATUBA','GUARATUBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5043140,4.00,6.00,0.00,4.00,7.00,NULL,0.00,1.00,4.00,207,NULL,211,'BOQUEIRÃO','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MANOEL RIBAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5043174,4.00,7.00,3.00,6.00,5.00,6.75,3.00,2.00,4.00,301,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5043182,4.00,4.00,3.00,5.00,6.00,8.25,2.00,4.00,4.00,420,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'BOQUEIRÃO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5043220,6.00,3.00,0.00,5.00,7.00,NULL,3.00,3.00,5.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5043247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'BONFIM','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5043255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5043271,7.00,4.00,4.00,7.00,8.00,6.75,2.00,4.00,4.00,214,NULL,212,'JARDIM AMÉRICA','GOIÂNIA','GO',8634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043280,5.00,6.00,2.00,4.00,7.00,8.25,2.00,2.00,3.00,302,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',12478,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5043298,5.00,5.00,2.00,6.00,9.00,9.38,1.00,2.00,3.00,103,NULL,NULL,'FÁTIMA','CAXIAS SUL','RS',10156,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5043301,7.00,5.00,3.00,6.00,8.00,8.63,4.00,3.00,7.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',4470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043310,4.00,6.00,4.00,6.00,7.00,7.50,0.00,1.00,2.00,425,NULL,424,'TRINDADE','FLORIANÓPOLIS','SC',15659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VALADA MOSQUITINHO','AGRONÔMICA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5043336,0.00,5.00,0.00,3.00,2.00,NULL,2.00,2.00,3.00,102,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043352,9.00,7.00,6.00,7.00,9.00,9.00,7.00,4.00,6.00,220,NULL,235,'PARQUE DOS CISNES','GOIÂNIA','GO',1169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043360,6.00,6.00,1.00,6.00,5.00,9.75,2.00,4.00,4.00,202,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5043379,2.00,3.00,0.00,2.00,1.00,NULL,1.00,0.00,0.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5043409,9.00,9.00,7.00,8.00,8.00,10.13,6.00,8.00,8.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',447,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5043417,6.00,6.00,4.00,4.00,8.00,8.63,2.00,3.00,5.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',10550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043425,7.00,7.00,6.00,7.00,7.00,11.25,4.00,5.00,6.00,304,NULL,NULL,'CENTRO','ITAPIRANGA','SC',3177,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5043433,3.00,5.00,2.00,7.00,5.00,8.25,5.00,3.00,4.00,203,NULL,233,'CENTRO','COCAL SUL','SC',8723,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5043441,5.00,4.00,1.00,4.00,4.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'JARDIM TRÊS MARIAS','GUARUJÁ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5043450,3.00,4.00,2.00,4.00,5.00,NULL,1.00,2.00,4.00,201,NULL,NULL,'INDUSTRIAL','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5043468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM DAS HORTENCIA','RIO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5043484,7.00,5.00,3.00,7.00,8.00,8.63,2.00,3.00,6.00,415,NULL,NULL,'BATEL','CURITIBA','PR',7661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043492,4.00,4.00,1.00,6.00,6.00,9.75,2.00,2.00,3.00,340,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',13205,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5043514,4.00,6.00,2.00,4.00,6.00,10.88,0.00,5.00,5.00,427,NULL,426,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',12990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5043522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'AQUARIO','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5043530,9.00,8.00,6.00,7.00,8.00,10.50,4.00,6.00,7.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',2106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043549,2.00,0.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5043557,4.00,4.00,0.00,3.00,5.00,NULL,3.00,3.00,3.00,333,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5043565,9.00,8.00,2.00,5.00,10.00,10.88,4.00,8.00,5.00,340,NULL,NULL,'MADUREIRA','CAXIAS SUL','RS',2738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043573,4.00,4.00,2.00,4.00,7.00,8.25,2.00,3.00,2.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5043581,8.00,5.00,1.00,7.00,9.00,8.25,2.00,5.00,3.00,340,NULL,NULL,'CENTRO','TOLEDO','PR',6095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043590,5.00,4.00,2.00,7.00,7.00,8.25,4.00,5.00,6.00,340,NULL,NULL,'TINGUI','CURITIBA','PR',7172,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5043603,7.00,5.00,2.00,7.00,4.00,9.75,3.00,2.00,1.00,333,NULL,NULL,'VILA CARRÃO','S PAULO','SP',11344,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5043611,9.00,4.00,7.00,6.00,9.00,6.38,6.00,6.00,9.00,103,NULL,NULL,'BATEL','CURITIBA','PR',1856,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5043620,3.00,4.00,0.00,4.00,5.00,NULL,0.00,4.00,3.00,340,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5043638,7.00,8.00,7.00,7.00,9.00,9.75,8.00,5.00,7.00,203,NULL,202,'MALUCHE','BRUSQUE','SC',536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043646,4.00,2.00,5.00,7.00,6.00,NULL,3.00,3.00,1.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5043654,3.00,7.00,2.00,4.00,4.00,6.75,2.00,3.00,3.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5043662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5043670,7.00,6.00,4.00,5.00,7.00,4.50,2.00,4.00,4.00,421,NULL,427,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043689,8.00,8.00,7.00,8.00,9.00,9.75,5.00,5.00,7.00,202,NULL,213,'CANTA GALO','RIO SUL','SC',979,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5043700,3.00,5.00,1.00,2.00,5.00,NULL,1.00,1.00,0.00,103,NULL,NULL,'PACAEMBU','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','JACAREZINHO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5043727,4.00,4.00,2.00,4.00,9.00,NULL,0.00,3.00,2.00,333,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043735,8.00,5.00,6.00,5.00,6.00,6.00,2.00,4.00,5.00,103,NULL,NULL,'SEMINARIO','CURITIBA','PR',5802,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5043743,7.00,3.00,2.00,4.00,8.00,8.63,1.00,4.00,4.00,452,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13334,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5043760,9.00,6.00,4.00,8.00,10.00,10.13,3.00,4.00,7.00,109,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',3326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043786,2.00,3.00,2.00,3.00,2.00,NULL,3.00,3.00,1.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5043794,9.00,7.00,5.00,7.00,5.00,11.63,4.00,6.00,6.00,5,NULL,NULL,'BAIRRO IPIRANGA','S JOSÉ','SC',3452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043808,4.00,7.00,4.00,3.00,9.00,8.63,2.00,5.00,3.00,451,NULL,NULL,'BOA PARADA','S PEDRO ALCÂNTARA','SC',10895,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5043824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,212,'VILA DEODORO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5043832,6.00,5.00,4.00,7.00,4.00,5.25,3.00,2.00,4.00,5,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5043840,7.00,8.00,7.00,7.00,8.00,9.75,6.00,3.00,7.00,220,NULL,216,'SÃO LUIZ','FARROUPILHA','RS',1982,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5043859,4.00,4.00,5.00,4.00,5.00,6.38,2.00,2.00,3.00,317,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',15788,128,NULL,NULL,NULL,NULL,NULL,2,1),(20,5043867,7.00,4.00,1.00,4.00,7.00,8.25,2.00,3.00,3.00,103,NULL,NULL,'ALEGRE','RIO NEGRINHO','SC',12195,3444,NULL,NULL,NULL,NULL,NULL,2,2),(20,5043875,3.00,3.00,2.00,4.00,4.00,NULL,0.00,0.00,2.00,319,NULL,NULL,'CENTRO','BARRACÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5043891,7.00,0.00,4.00,6.00,5.00,NULL,0.00,0.00,0.00,220,NULL,203,'VILA FLORA','SUMARÉ','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5043905,7.00,7.00,2.00,7.00,7.00,7.88,2.00,5.00,6.00,238,NULL,215,'CAMPINAS','S JOSÉ','SC',5705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043913,7.00,5.00,3.00,7.00,6.00,10.13,3.00,4.00,3.00,301,NULL,NULL,'AMÉRICA','JOINVILLE','SC',11375,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5043921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SANTA CRUZ','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5043948,7.00,6.00,1.00,2.00,7.00,13.50,3.00,2.00,5.00,102,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',9672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5043956,5.00,7.00,1.00,7.00,6.00,9.00,3.00,2.00,2.00,208,NULL,238,'GLÓRIA','JOINVILLE','SC',11848,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5043964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,425,'CENTRO','EREBANGO','RS',NULL,NULL,NULL,NULL,'S','S','S',5,1),(20,5043972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5043980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'LAGO SUL','LG SUL','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5043999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA BASTOS','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5044006,7.00,4.00,1.00,6.00,8.00,6.38,3.00,3.00,4.00,420,NULL,NULL,'CENTRO','S JOSÉ','SC',10847,71,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044014,5.00,4.00,0.00,6.00,6.00,11.63,1.00,2.00,5.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',13532,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044022,2.00,4.00,2.00,2.00,4.00,NULL,0.00,1.00,0.00,301,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5044057,3.00,2.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,202,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5044103,6.00,7.00,3.00,5.00,9.00,7.88,2.00,3.00,5.00,301,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',8060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5044111,7.00,6.00,2.00,7.00,8.00,8.63,2.00,2.00,6.00,201,NULL,203,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5044120,7.00,5.00,0.00,5.00,6.00,0.00,0.00,5.00,5.00,333,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044138,5.00,4.00,1.00,6.00,6.00,8.63,1.00,2.00,3.00,425,NULL,424,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILLAGGIO','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5044154,7.00,6.00,2.00,5.00,5.00,7.13,2.00,4.00,2.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044170,1.00,4.00,0.00,6.00,4.00,NULL,2.00,2.00,4.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5044189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RENASCENÇA','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5044200,5.00,5.00,0.00,3.00,4.00,NULL,2.00,1.00,3.00,207,NULL,201,'CENTRO','S JOÃO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5044219,7.00,5.00,2.00,5.00,8.00,9.00,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','CPO BOM','RS',12485,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5044235,5.00,6.00,1.00,4.00,8.00,9.38,2.00,5.00,5.00,211,NULL,233,'NOVA DESCOBERTA','TIJUCAS','SC',9217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5044243,8.00,6.00,1.00,7.00,7.00,9.75,2.00,3.00,6.00,303,NULL,NULL,'BRASÍLIA','PATO BRANCO','PR',6581,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5044260,8.00,6.00,5.00,4.00,9.00,12.00,3.00,5.00,7.00,103,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',2259,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5044278,4.00,7.00,2.00,5.00,6.00,8.25,3.00,3.00,5.00,308,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12087,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5044286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VISTA ALEGRE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5044294,4.00,7.00,1.00,4.00,6.00,6.00,3.00,5.00,4.00,329,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',13559,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5044308,8.00,5.00,7.00,7.00,8.00,9.00,9.00,6.00,9.00,220,NULL,NULL,'JARAGUÁ','UBERLÂNDIA','MG',1130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044316,10.00,7.00,5.00,8.00,9.00,9.00,4.00,5.00,7.00,103,NULL,NULL,'JARDIM UNIVERSITÁRIO','CASCAVEL','PR',1667,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5044324,6.00,8.00,5.00,7.00,9.00,8.25,4.00,6.00,5.00,207,NULL,212,'VILA LIVIEIRO','S PAULO','SP',3204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044340,9.00,8.00,3.00,4.00,9.00,9.75,1.00,5.00,6.00,103,NULL,NULL,'KOLLER','ERECHIM','RS',4665,2046,NULL,NULL,NULL,NULL,NULL,2,1),(20,5044359,6.00,7.00,5.00,7.00,7.00,8.25,2.00,2.00,6.00,425,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',6049,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5044367,9.00,6.00,7.00,7.00,8.00,9.75,6.00,4.00,9.00,103,NULL,NULL,'JD AQUARIUS','S JOSÉ CAMPOS','SP',937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044375,8.00,6.00,2.00,7.00,8.00,10.13,2.00,4.00,6.00,415,NULL,NULL,'PINHEIROS','OTACÍLIO COSTA','SC',5492,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5044383,8.00,8.00,8.00,7.00,10.00,9.75,5.00,7.00,6.00,201,NULL,212,'VILA NOVA','BLUMENAU','SC',541,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5044405,6.00,6.00,6.00,7.00,11.00,10.50,5.00,5.00,8.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044413,8.00,7.00,4.00,8.00,11.00,11.25,4.00,6.00,5.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',1439,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044421,5.00,7.00,3.00,6.00,7.00,10.50,1.00,3.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044456,3.00,7.00,1.00,2.00,6.00,7.88,2.00,2.00,5.00,502,NULL,NULL,'CENTRO','SOMBRIO','SC',14465,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5044464,5.00,7.00,0.00,7.00,7.00,9.75,0.00,3.00,3.00,503,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA IORQUE','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5044480,8.00,8.00,4.00,7.00,7.00,8.63,3.00,4.00,5.00,310,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044499,4.00,5.00,3.00,5.00,8.00,6.38,3.00,1.00,3.00,340,NULL,NULL,'CENTRO','BENEDITO NOVO','SC',12767,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5044502,4.00,4.00,2.00,7.00,4.00,8.63,2.00,3.00,5.00,333,NULL,NULL,'EUGENIO FERREIRA','CANELA','RS',14433,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5044529,8.00,5.00,5.00,7.00,6.00,9.38,5.00,3.00,7.00,103,NULL,NULL,'CONSOLAÇÃO','S PAULO','SP',3281,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5044537,2.00,4.00,1.00,6.00,3.00,NULL,1.00,2.00,2.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044545,6.00,5.00,2.00,3.00,6.00,9.38,2.00,2.00,3.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',14422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM JESUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5044561,7.00,6.00,4.00,6.00,3.00,NULL,3.00,4.00,7.00,203,NULL,214,'BARRA FUNDA','GUARUJÁ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5044570,4.00,7.00,4.00,4.00,8.00,8.25,3.00,2.00,4.00,103,NULL,NULL,'EXPOSIÇÃO','CAXIAS SUL','RS',11747,3387,NULL,NULL,NULL,NULL,NULL,2,9),(20,5044588,3.00,5.00,0.00,6.00,3.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'BOQUEIRÃO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5044596,7.00,6.00,3.00,6.00,5.00,8.25,2.00,3.00,7.00,220,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',8892,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5044600,4.00,5.00,1.00,6.00,5.00,9.38,1.00,2.00,4.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15016,3753,NULL,NULL,NULL,NULL,NULL,2,1),(20,5044618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,235,'VILA NOVA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5044634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5044642,7.00,8.00,5.00,8.00,10.00,10.50,5.00,5.00,4.00,340,NULL,NULL,'SÃO PELEGRINO','CAXIAS SUL','RS',2523,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(20,5044650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5044677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JARDIM CANADA','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5044685,5.00,5.00,1.00,6.00,5.00,8.63,4.00,3.00,5.00,238,NULL,208,'MONTE CRISTO','FLORIANÓPOLIS','SC',11711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044707,8.00,8.00,2.00,7.00,10.00,9.75,3.00,4.00,7.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',2745,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5044715,5.00,5.00,3.00,6.00,9.00,8.63,1.00,2.00,6.00,340,NULL,NULL,'CENTRO','NAVEGANTES','SC',9584,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5044723,9.00,9.00,7.00,8.00,10.00,10.13,7.00,5.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',45,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044731,5.00,8.00,4.00,6.00,6.00,11.25,1.00,5.00,5.00,301,NULL,NULL,'SALINAS','TORRES','RS',5915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044740,9.00,4.00,5.00,6.00,6.00,9.00,4.00,4.00,5.00,103,NULL,NULL,'JARDIM MORUMBI','S PAULO','SP',5168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044758,6.00,5.00,2.00,5.00,5.00,7.13,2.00,1.00,5.00,207,NULL,201,'SANTA CATARINA','JOINVILLE','SC',14812,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5044766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'ITAICI','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5044774,6.00,7.00,1.00,7.00,8.00,6.75,2.00,4.00,2.00,214,NULL,212,'CHACARA KLABIN','S PAULO','SP',11088,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5044782,8.00,7.00,7.00,3.00,7.00,8.63,4.00,4.00,7.00,207,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',5134,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5044790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'JARDIM ORIENTE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5044812,7.00,8.00,3.00,5.00,8.00,12.00,5.00,6.00,7.00,302,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',1887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044839,4.00,4.00,2.00,6.00,5.00,7.88,1.00,3.00,3.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',16174,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5044847,8.00,3.00,3.00,5.00,4.00,7.50,1.00,1.00,3.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',13581,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5044855,4.00,6.00,0.00,5.00,8.00,10.13,2.00,4.00,4.00,208,NULL,220,'SERRARIA','S JOSÉ','SC',13404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044863,3.00,4.00,2.00,3.00,8.00,7.88,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',13420,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5044871,6.00,6.00,1.00,6.00,9.00,7.50,2.00,2.00,4.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11626,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5044880,4.00,7.00,4.00,7.00,6.00,7.88,1.00,3.00,2.00,212,NULL,214,'JARDIM AMÉRICA','DOURADOS','MS',9860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'VILA RODRIGUES','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5044901,9.00,7.00,3.00,6.00,7.00,7.13,5.00,4.00,6.00,208,NULL,651,'COQUEIROS','FLORIANÓPOLIS','SC',6896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044910,9.00,5.00,0.00,7.00,7.00,NULL,5.00,4.00,8.00,203,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5044936,6.00,6.00,2.00,4.00,7.00,6.00,2.00,3.00,4.00,102,NULL,NULL,'CRUZEIRO','S BENTO SUL','SC',12517,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5044944,6.00,5.00,5.00,5.00,7.00,7.88,5.00,2.00,6.00,212,NULL,213,'BARREIROS','S JOSÉ','SC',6025,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5044979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'NOVA IORQUE','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5044987,9.00,7.00,7.00,6.00,11.00,12.00,6.00,5.00,9.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045010,8.00,8.00,6.00,7.00,7.00,7.88,5.00,3.00,6.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',3215,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5045037,6.00,7.00,2.00,2.00,3.00,NULL,2.00,2.00,3.00,203,NULL,653,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5045053,6.00,5.00,1.00,6.00,9.00,7.50,1.00,3.00,4.00,103,NULL,NULL,'BELA VISTA','CHAPECÓ','SC',11269,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5045061,5.00,4.00,1.00,2.00,6.00,NULL,2.00,1.00,3.00,101,NULL,NULL,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5045088,9.00,8.00,6.00,7.00,10.00,9.75,4.00,3.00,6.00,104,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045118,4.00,6.00,2.00,7.00,5.00,7.50,4.00,2.00,6.00,203,NULL,202,'TONIAL','XANXERÊ','SC',12932,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5045126,1.00,4.00,2.00,3.00,3.00,NULL,3.00,2.00,2.00,207,NULL,NULL,'SAGRADO CORAÇÃO J','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5045134,8.00,7.00,3.00,7.00,9.00,11.63,2.00,5.00,7.00,207,NULL,NULL,'PALMITAL','CHAPECÓ','SC',2770,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5045150,8.00,7.00,6.00,7.00,6.00,11.25,6.00,4.00,8.00,103,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',1341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045169,6.00,8.00,2.00,6.00,6.00,7.88,2.00,4.00,3.00,601,NULL,201,'VILA NOVA','BLUMENAU','SC',12084,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5045177,2.00,5.00,0.00,2.00,4.00,NULL,0.00,3.00,2.00,502,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045193,2.00,3.00,3.00,2.00,5.00,NULL,1.00,1.00,4.00,450,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045207,8.00,7.00,5.00,8.00,8.00,8.63,3.00,6.00,6.00,415,NULL,NULL,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',2488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045215,3.00,1.00,1.00,4.00,5.00,NULL,3.00,2.00,3.00,223,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5045223,3.00,6.00,1.00,3.00,7.00,9.38,3.00,4.00,3.00,5,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',12314,396,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5045258,5.00,5.00,1.00,5.00,7.00,6.00,2.00,3.00,5.00,453,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14913,106,NULL,NULL,NULL,NULL,NULL,2,1),(20,5045266,2.00,4.00,1.00,2.00,4.00,NULL,2.00,0.00,2.00,208,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045274,6.00,8.00,2.00,5.00,9.00,10.50,4.00,6.00,7.00,9,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',3255,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5045282,4.00,4.00,4.00,7.00,7.00,7.50,3.00,5.00,6.00,326,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',9607,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045290,9.00,9.00,6.00,6.00,9.00,9.38,7.00,6.00,8.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045304,8.00,6.00,4.00,5.00,7.00,8.63,1.00,4.00,1.00,415,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5045320,8.00,5.00,0.00,5.00,8.00,8.25,2.00,3.00,7.00,103,NULL,NULL,'SÃO MARCOS','JOINVILLE','SC',8266,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5045339,9.00,7.00,5.00,7.00,8.00,8.25,1.00,4.00,8.00,103,NULL,NULL,'VILA OPERÁRIA','MARINGÁ','PR',2240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045347,6.00,6.00,0.00,7.00,6.00,NULL,3.00,3.00,5.00,303,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5045355,8.00,7.00,3.00,7.00,8.00,9.75,3.00,3.00,5.00,103,NULL,NULL,'PINHEIRINHO','CURITIBA','PR',5016,2151,NULL,NULL,NULL,NULL,NULL,4,8),(20,5045363,6.00,6.00,3.00,5.00,6.00,7.50,5.00,2.00,3.00,211,NULL,201,'JARDIM ESTER','S PAULO','SP',9939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045371,2.00,2.00,2.00,2.00,4.00,NULL,0.00,1.00,1.00,207,NULL,201,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045380,7.00,7.00,3.00,5.00,4.00,7.50,3.00,2.00,6.00,208,NULL,238,'CENTRO','PALHOÇA','SC',12911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045398,9.00,6.00,0.00,7.00,6.00,10.50,3.00,3.00,4.00,103,NULL,NULL,'SANTO ANDRÉ','ANÁPOLIS','GO',7069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5045410,7.00,7.00,2.00,7.00,8.00,9.00,2.00,4.00,3.00,601,NULL,207,'GUANABARA','JOINVILLE','SC',7899,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5045428,5.00,6.00,1.00,7.00,7.00,7.88,3.00,4.00,4.00,333,NULL,NULL,'BOSQUE DA SAUDE','CUIABÁ','MT',9746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5045444,9.00,6.00,5.00,7.00,8.00,12.75,4.00,6.00,8.00,108,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',1181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045452,5.00,5.00,1.00,5.00,9.00,6.75,0.00,2.00,5.00,103,NULL,NULL,'CORAL','LAGES','SC',12994,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5045479,6.00,4.00,1.00,3.00,6.00,NULL,3.00,2.00,1.00,324,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5045487,7.00,7.00,3.00,7.00,10.00,7.88,2.00,5.00,6.00,216,NULL,203,'VILA PORTES','FOZ IGUAÇU','PR',5943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5045509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VILA CALIFORNIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5045517,5.00,4.00,1.00,5.00,6.00,7.88,2.00,2.00,4.00,450,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5045525,8.00,8.00,5.00,7.00,11.00,9.38,3.00,6.00,7.00,235,NULL,220,'CENTRO','MRO FUMAÇA','SC',2228,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5045533,7.00,7.00,7.00,4.00,8.00,9.00,3.00,4.00,4.00,201,NULL,212,'BOM RETIRO','CURITIBA','PR',4961,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5045541,3.00,5.00,2.00,5.00,7.00,NULL,0.00,1.00,3.00,207,NULL,201,'FÁTIMA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045550,2.00,5.00,1.00,7.00,5.00,6.75,1.00,3.00,3.00,238,NULL,208,'MINA UNIÃO','CRICIÚMA','SC',15740,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5045568,4.00,6.00,3.00,7.00,5.00,8.25,3.00,3.00,6.00,601,NULL,NULL,'CENTRO','JOINVILLE','SC',12004,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5045576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5045584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'VILA LOBOS','ARARAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5045614,8.00,6.00,7.00,6.00,10.00,9.75,5.00,6.00,8.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',1091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045622,8.00,8.00,5.00,7.00,9.00,9.00,3.00,7.00,5.00,202,NULL,235,'SÃO BRÁZ','CURITIBA','PR',1984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045630,9.00,7.00,5.00,5.00,9.00,9.00,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','PTO UNIÃO','SC',2477,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5045657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM CLAUDIA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5045673,4.00,4.00,3.00,2.00,6.00,8.25,4.00,1.00,5.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',15944,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5045690,8.00,7.00,5.00,5.00,6.00,10.50,4.00,3.00,7.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',4125,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5045703,7.00,7.00,4.00,7.00,7.00,11.63,7.00,6.00,8.00,213,NULL,214,'PARK WAY','NUC BANDEIRANTE','DF',1912,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5045711,4.00,7.00,0.00,6.00,6.00,10.50,3.00,3.00,3.00,320,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',13684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045738,5.00,5.00,1.00,7.00,5.00,8.63,3.00,1.00,2.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045746,3.00,7.00,0.00,5.00,6.00,9.75,3.00,3.00,2.00,501,NULL,NULL,'VILA ALEMANHA','LUZERNA','SC',13811,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5045754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILAREJO','CARAPICUÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5045789,8.00,7.00,5.00,3.00,7.00,9.38,4.00,4.00,5.00,220,NULL,601,'CARVOEIRA','FLORIANÓPOLIS','SC',4564,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5045797,2.00,5.00,1.00,3.00,4.00,NULL,2.00,3.00,4.00,303,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045819,9.00,7.00,9.00,7.00,10.00,12.00,7.00,8.00,9.00,103,NULL,NULL,'CENTRO','BOMBINHAS','SC',18,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045827,7.00,5.00,6.00,5.00,8.00,11.63,2.00,5.00,4.00,101,NULL,NULL,'AREIAS','S JOSÉ','SC',4699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045843,3.00,3.00,2.00,2.00,3.00,NULL,0.00,2.00,1.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5045851,7.00,7.00,5.00,7.00,8.00,10.13,1.00,6.00,4.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',5198,2202,NULL,NULL,NULL,NULL,NULL,4,4),(20,5045860,7.00,7.00,4.00,7.00,8.00,12.38,3.00,5.00,8.00,5,NULL,NULL,'CENTRO','PALHOÇA','SC',2211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045878,5.00,6.00,3.00,5.00,8.00,10.13,4.00,5.00,6.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5322,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5045886,3.00,4.00,1.00,4.00,4.00,NULL,1.00,3.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5045894,8.00,6.00,1.00,7.00,10.00,9.75,3.00,5.00,8.00,108,NULL,NULL,'CENTRO','ITAJAÍ','SC',3019,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5045908,7.00,8.00,7.00,7.00,8.00,8.63,6.00,5.00,8.00,203,NULL,202,'CENTRO','UMUARAMA','PR',1241,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5045916,5.00,7.00,2.00,2.00,8.00,7.88,3.00,4.00,5.00,207,NULL,211,'RIO TAVARES','FLORIANÓPOLIS','SC',10654,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5045924,3.00,5.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,225,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5045932,7.00,4.00,6.00,6.00,9.00,9.75,3.00,3.00,3.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5045940,8.00,8.00,4.00,7.00,8.00,6.75,6.00,7.00,8.00,303,NULL,NULL,'BOSQUE DAS MANSÕES','S JOSÉ','SC',1190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045959,3.00,5.00,4.00,5.00,7.00,7.13,2.00,3.00,4.00,301,NULL,NULL,'CENTRO','LAGES','SC',12984,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5045967,6.00,6.00,5.00,6.00,7.00,9.38,6.00,4.00,5.00,202,NULL,203,'URBANOVA','S JOSÉ CAMPOS','SP',2959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045975,4.00,4.00,1.00,7.00,4.00,7.88,1.00,2.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5045983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PAU PRETO','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5045991,4.00,4.00,2.00,4.00,5.00,7.50,2.00,3.00,3.00,201,NULL,203,'SAO CRISTOVÃO','PTO VELHO','RO',16052,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5046009,6.00,4.00,3.00,7.00,7.00,7.88,2.00,3.00,6.00,212,NULL,213,'COHAFABA II PLANO','DOURADOS','MS',8019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046017,7.00,6.00,7.00,6.00,7.00,10.13,2.00,4.00,7.00,103,NULL,NULL,'CENTRO','S MATEUS SUL','PR',3460,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5046025,7.00,8.00,6.00,7.00,9.00,12.00,3.00,4.00,8.00,450,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',1589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046033,1.00,6.00,3.00,3.00,5.00,NULL,3.00,1.00,3.00,202,NULL,220,'CENTRO','TANGARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5046041,7.00,8.00,3.00,7.00,6.00,6.00,2.00,3.00,6.00,201,NULL,207,'SALTO DO NORTE','BLUMENAU','SC',7037,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5046076,8.00,4.00,0.00,4.00,6.00,6.75,2.00,5.00,5.00,5,NULL,NULL,'BATEL','CURITIBA','PR',11768,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5046084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PARQUE TAQUARAL','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5046092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BURU','SALTO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5046106,5.00,8.00,3.00,6.00,8.00,9.38,2.00,4.00,5.00,303,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',8522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5046114,5.00,6.00,0.00,6.00,7.00,NULL,2.00,2.00,3.00,234,NULL,NULL,'ITAIPUAÇU','MARICÁ','RJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046157,3.00,3.00,0.00,2.00,3.00,NULL,2.00,1.00,5.00,203,NULL,208,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046173,5.00,3.00,2.00,3.00,4.00,7.50,1.00,4.00,2.00,238,NULL,208,'TAPERA','FLORIANÓPOLIS','SC',16178,438,NULL,487,NULL,NULL,NULL,2,1),(20,5046181,1.00,3.00,2.00,4.00,3.00,NULL,1.00,1.00,3.00,601,NULL,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5046190,9.00,7.00,4.00,7.00,7.00,10.50,3.00,7.00,8.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',1482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046203,6.00,8.00,2.00,7.00,9.00,10.13,5.00,5.00,6.00,318,NULL,NULL,'GARCIA','BLUMENAU','SC',3322,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5046211,4.00,4.00,3.00,4.00,6.00,NULL,1.00,1.00,2.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5046220,5.00,6.00,3.00,6.00,7.00,7.13,1.00,1.00,5.00,303,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',14180,572,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046238,8.00,7.00,3.00,7.00,7.00,9.00,4.00,3.00,7.00,212,NULL,215,'RIO PEQUENO','S PAULO','SP',3598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046246,6.00,6.00,3.00,7.00,10.00,9.00,4.00,3.00,6.00,303,NULL,NULL,'CENTRO','PALHOÇA','SC',4333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046254,3.00,3.00,1.00,5.00,6.00,NULL,2.00,1.00,3.00,453,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046289,4.00,5.00,4.00,2.00,3.00,NULL,2.00,3.00,3.00,214,NULL,220,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046297,9.00,8.00,7.00,8.00,10.00,6.75,9.00,6.00,8.00,203,NULL,220,'CENTRO','STA HELENA','PR',302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046300,7.00,6.00,4.00,7.00,5.00,7.13,3.00,4.00,5.00,303,NULL,NULL,'ALTO DA GLORIA','CURITIBA','PR',6606,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5046319,6.00,6.00,1.00,5.00,5.00,9.00,0.00,5.00,3.00,233,NULL,213,'UNIVERSITARIO','CAXIAS SUL','RS',14045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5046327,5.00,6.00,4.00,7.00,6.00,8.25,3.00,1.00,5.00,340,NULL,NULL,'AGUA VERDE','CURITIBA','PR',10016,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5046335,4.00,7.00,1.00,6.00,4.00,10.88,1.00,4.00,4.00,318,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',11261,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046343,7.00,5.00,4.00,5.00,4.00,8.25,4.00,2.00,6.00,212,NULL,207,'BARRA DO ARIRIU','PALHOÇA','SC',10076,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5046351,1.00,5.00,2.00,4.00,7.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5046360,9.00,9.00,9.00,7.00,8.00,9.38,6.00,7.00,9.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',142,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5046378,9.00,8.00,7.00,6.00,8.00,9.75,9.00,6.00,9.00,233,NULL,216,'BOTAFOGO','RIO JANEIRO','RJ',239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5046386,7.00,5.00,4.00,6.00,6.00,6.00,5.00,4.00,6.00,203,NULL,201,'JARDIM JAMAICA','STO ANDRÉ','SP',6144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046394,8.00,7.00,5.00,7.00,8.00,7.50,2.00,4.00,6.00,201,NULL,212,'SANTO ANTÃO','BENTO GONÇALVES','RS',3782,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5046408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'SANTA CRUZ','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5046416,2.00,5.00,2.00,5.00,5.00,9.75,2.00,4.00,5.00,5,NULL,NULL,'CENTRO','IÇARA','SC',14680,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5046440,2.00,7.00,2.00,3.00,4.00,NULL,0.00,1.00,1.00,501,NULL,NULL,'FLORESTA','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5046459,9.00,8.00,5.00,6.00,9.00,7.13,6.00,5.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',2784,1403,NULL,NULL,NULL,NULL,NULL,2,4),(20,5046475,1.00,4.00,1.00,3.00,3.00,NULL,0.00,1.00,2.00,233,NULL,213,'CRISTO REDENTOR','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5046483,4.00,7.00,6.00,6.00,7.00,7.88,4.00,4.00,6.00,5,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',5866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PRAIA DA COSTA','VL VELHA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5046505,6.00,5.00,3.00,7.00,9.00,7.88,5.00,6.00,6.00,235,NULL,202,'OFICINAS','TUBARÃO','SC',5028,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5046513,4.00,5.00,4.00,5.00,8.00,6.75,2.00,3.00,5.00,333,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',11842,100,NULL,NULL,NULL,NULL,NULL,2,1),(20,5046521,5.00,6.00,1.00,6.00,3.00,NULL,2.00,1.00,5.00,216,NULL,203,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5046548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(20,5046556,7.00,8.00,1.00,6.00,9.00,7.88,4.00,5.00,6.00,103,NULL,NULL,'JARDIM ALVORADA','OURINHOS','SP',6621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5046564,8.00,5.00,3.00,5.00,7.00,9.38,3.00,2.00,4.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',7881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5046572,2.00,7.00,1.00,4.00,7.00,6.38,0.00,5.00,3.00,208,NULL,238,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',15280,438,NULL,391,NULL,NULL,NULL,2,1),(20,5046610,8.00,8.00,2.00,7.00,7.00,10.13,5.00,6.00,6.00,415,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',3822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046637,7.00,5.00,3.00,6.00,9.00,10.50,1.00,4.00,3.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',8030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046645,3.00,5.00,1.00,2.00,5.00,NULL,1.00,1.00,4.00,103,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5046653,9.00,9.00,9.00,7.00,11.00,12.00,8.00,7.00,9.00,103,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',6,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046661,4.00,5.00,3.00,6.00,6.00,9.00,2.00,1.00,6.00,501,NULL,NULL,'CENTRO','STA MARIANA','PR',13362,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5046670,4.00,7.00,1.00,4.00,7.00,9.00,5.00,6.00,5.00,318,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',11025,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5046688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,220,'SÃO VICENTE','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5046700,3.00,5.00,1.00,2.00,5.00,NULL,0.00,3.00,4.00,101,NULL,NULL,'CAIEIRA BARRA D SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5046769,8.00,8.00,2.00,7.00,9.00,10.50,4.00,5.00,7.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',2017,1092,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046777,9.00,8.00,4.00,6.00,10.00,7.50,0.00,6.00,6.00,333,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4047,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5046785,6.00,4.00,2.00,4.00,4.00,10.13,3.00,2.00,5.00,238,NULL,208,'BOM ABRIGO','FLORIANÓPOLIS','SC',15146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046793,7.00,6.00,3.00,3.00,7.00,8.25,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','LAGES','SC',8112,NULL,NULL,NULL,NULL,NULL,NULL,5,9),(20,5046815,5.00,7.00,4.00,4.00,7.00,6.75,3.00,4.00,6.00,207,NULL,201,'SÃO FRANCISCO','LUZERNA','SC',9221,424,NULL,670,NULL,NULL,NULL,2,7),(20,5046840,4.00,7.00,3.00,4.00,7.00,7.50,0.00,4.00,6.00,108,NULL,NULL,'CENTRO','CAMBORIÚ','SC',12789,228,NULL,NULL,NULL,NULL,NULL,2,4),(20,5046858,0.00,4.00,0.00,0.00,0.00,NULL,1.00,1.00,4.00,308,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5046866,3.00,5.00,2.00,4.00,6.00,8.25,3.00,2.00,6.00,109,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5046874,8.00,5.00,4.00,5.00,9.00,6.00,4.00,7.00,6.00,103,NULL,NULL,'BELCHIOR BAIXO','GASPAR','SC',5175,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5046890,3.00,3.00,0.00,2.00,6.00,NULL,1.00,2.00,2.00,207,NULL,201,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5046904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,220,'TRÊS VENDAS','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5046939,7.00,7.00,4.00,5.00,8.00,11.25,3.00,3.00,6.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',5027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5046955,5.00,5.00,2.00,5.00,6.00,6.75,2.00,4.00,4.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5046963,7.00,8.00,8.00,6.00,10.00,7.88,5.00,5.00,8.00,203,NULL,601,'PROGRESSO','S BENTO SUL','SC',1264,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5046971,9.00,6.00,4.00,5.00,7.00,7.50,1.00,2.00,6.00,203,NULL,214,'COLÔNIA IGUAÇU','S MATEUS SUL','PR',6537,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5046980,8.00,7.00,3.00,7.00,10.00,9.38,5.00,5.00,6.00,103,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',2302,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5046998,4.00,3.00,2.00,7.00,6.00,7.13,2.00,2.00,3.00,450,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'POMERANOS','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5047013,8.00,7.00,1.00,6.00,7.00,10.13,3.00,3.00,4.00,340,NULL,NULL,'PALEMEIRAS IV','DRACENA','SP',5665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047030,9.00,8.00,2.00,7.00,8.00,9.38,3.00,4.00,7.00,103,NULL,NULL,'CRUZEIRO','PASSO FUNDO','RS',3016,1489,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5047056,3.00,3.00,1.00,3.00,5.00,NULL,3.00,3.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047064,9.00,7.00,2.00,8.00,10.00,9.75,1.00,5.00,7.00,319,NULL,NULL,'CENTRO','LIMEIRA','SP',2299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047072,3.00,6.00,1.00,4.00,5.00,8.25,2.00,4.00,3.00,225,NULL,NULL,'AREIAS','S JOSÉ','SC',15997,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5047099,5.00,4.00,4.00,7.00,6.00,10.50,6.00,3.00,6.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',5228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047110,1.00,4.00,1.00,2.00,3.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'SÃO MARTINHO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5047137,3.00,4.00,3.00,4.00,5.00,NULL,2.00,1.00,5.00,201,NULL,207,'JARDIM OURO BRANCO','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5047153,1.00,4.00,1.00,3.00,4.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'RIO MORTO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5047161,2.00,4.00,1.00,4.00,8.00,NULL,2.00,1.00,3.00,503,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5047188,5.00,3.00,1.00,1.00,6.00,NULL,2.00,3.00,1.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5047200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ASA SUL','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5047218,4.00,4.00,0.00,3.00,5.00,NULL,0.00,2.00,3.00,501,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5047234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MAIRIPORÃ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5047242,3.00,6.00,3.00,6.00,5.00,NULL,0.00,4.00,4.00,340,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047250,6.00,5.00,4.00,6.00,5.00,7.13,4.00,3.00,5.00,203,NULL,202,'SANTA CANDIDA','CURITIBA','PR',8859,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5047323,8.00,7.00,4.00,6.00,8.00,9.75,4.00,5.00,5.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',4001,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5047331,6.00,6.00,5.00,6.00,9.00,9.75,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','ESTRELA','RS',3877,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5047340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,214,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5047358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5047366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5047374,8.00,6.00,6.00,5.00,8.00,9.00,4.00,5.00,9.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',3021,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5047382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'SERTÃOZINHO','MATINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5047404,5.00,7.00,3.00,5.00,4.00,6.00,3.00,3.00,4.00,451,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047412,3.00,5.00,2.00,5.00,5.00,7.88,3.00,4.00,4.00,5,NULL,NULL,'FLORESTA','JOINVILLE','SC',15502,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5047439,6.00,6.00,5.00,8.00,8.00,9.38,1.00,4.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047455,3.00,5.00,1.00,2.00,0.00,NULL,2.00,2.00,2.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047480,3.00,7.00,3.00,4.00,4.00,9.38,3.00,5.00,5.00,301,NULL,NULL,'CENTRO','MARINGÁ','PR',12350,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5047498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5047501,3.00,6.00,3.00,4.00,5.00,7.50,1.00,3.00,2.00,304,NULL,NULL,'BARREIROS','S JOSÉ','SC',14932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047528,7.00,5.00,0.00,3.00,7.00,8.25,2.00,3.00,3.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15559,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5047536,3.00,6.00,2.00,3.00,5.00,6.75,2.00,0.00,5.00,303,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047552,6.00,5.00,4.00,6.00,3.00,NULL,3.00,2.00,6.00,233,NULL,202,'BOSQUE DA SAUDE','CUIABÁ','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047560,8.00,6.00,5.00,7.00,8.00,8.25,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3545,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5047579,3.00,3.00,0.00,2.00,4.00,NULL,0.00,1.00,1.00,426,NULL,428,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047587,9.00,7.00,7.00,7.00,10.00,11.63,5.00,5.00,7.00,214,NULL,212,'ITAPIRUBÁ','IMBITUBA','SC',355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047595,7.00,7.00,5.00,6.00,6.00,8.63,4.00,7.00,6.00,103,NULL,NULL,'NAÇÕES','INDAIAL','SC',6069,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5047617,6.00,6.00,2.00,5.00,6.00,7.13,3.00,3.00,4.00,415,NULL,NULL,'CENTRO','CURITIBA','PR',11213,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5047625,5.00,5.00,2.00,6.00,7.00,10.13,1.00,5.00,6.00,333,NULL,NULL,'MANDAQUI','S PAULO','SP',7108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047633,4.00,3.00,0.00,3.00,5.00,NULL,0.00,2.00,0.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5047641,7.00,8.00,4.00,6.00,6.00,8.25,6.00,5.00,7.00,201,NULL,211,'CARIANOS','FLORIANÓPOLIS','SC',4080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047650,8.00,6.00,2.00,7.00,6.00,8.25,6.00,3.00,5.00,214,NULL,213,'PQ ALTO DO TAQUARAL','CAMPINAS','SP',5935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047668,4.00,5.00,1.00,6.00,7.00,7.50,2.00,3.00,4.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',11976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','ÁGUAS FRIAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5047684,4.00,5.00,3.00,4.00,5.00,4.13,4.00,2.00,5.00,201,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5047706,6.00,8.00,1.00,3.00,6.00,7.88,1.00,1.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13140,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5047722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5047749,7.00,6.00,1.00,7.00,7.00,11.25,3.00,5.00,5.00,207,NULL,201,'COSTA E SILVA','JOINVILLE','SC',5179,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5047765,9.00,8.00,7.00,7.00,11.00,12.38,4.00,7.00,8.00,340,NULL,NULL,'PARQUE PRADO','CAMPINAS','SP',847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047773,5.00,4.00,2.00,4.00,4.00,8.63,3.00,3.00,2.00,103,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',13990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047790,8.00,6.00,3.00,6.00,6.00,7.50,3.00,3.00,3.00,110,NULL,NULL,'SANTO ANTONIO','PTO ALEGRE','RS',9174,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5047803,3.00,5.00,3.00,7.00,5.00,6.75,1.00,1.00,2.00,5,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',15881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047811,9.00,7.00,4.00,5.00,9.00,11.25,8.00,5.00,6.00,319,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2280,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5047820,8.00,6.00,0.00,4.00,9.00,NULL,3.00,6.00,6.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5047838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5047846,8.00,7.00,5.00,7.00,9.00,9.75,4.00,3.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047862,9.00,9.00,5.00,7.00,10.00,11.25,3.00,6.00,7.00,216,NULL,203,'ITINGA','LAURO FREITAS','BA',866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047870,6.00,5.00,4.00,6.00,9.00,11.25,1.00,4.00,4.00,652,NULL,651,'MICHEL','CRICIÚMA','SC',8587,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5047897,7.00,8.00,2.00,7.00,6.00,6.75,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',8101,2847,NULL,NULL,NULL,NULL,NULL,2,4),(20,5047900,7.00,6.00,2.00,4.00,6.00,6.00,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',13751,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5047927,7.00,5.00,3.00,5.00,6.00,8.25,2.00,3.00,4.00,104,NULL,NULL,'JARDIM CARLA','FOZ IGUAÇU','PR',10367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5047935,6.00,5.00,2.00,6.00,7.00,7.88,4.00,3.00,4.00,318,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047943,4.00,5.00,2.00,5.00,7.00,7.50,0.00,4.00,3.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',15531,321,NULL,NULL,NULL,NULL,NULL,2,1),(20,5047951,8.00,8.00,3.00,6.00,7.00,6.38,4.00,4.00,7.00,203,NULL,202,'BOSQUE DA SAUDE','CUIABÁ','MT',4905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5047960,7.00,4.00,2.00,7.00,10.00,8.63,2.00,6.00,4.00,108,NULL,NULL,'BRASILIA','PATO BRANCO','PR',7022,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5047986,1.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,2.00,208,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5047994,6.00,5.00,4.00,4.00,6.00,7.50,2.00,3.00,4.00,339,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',14891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SANTA ROSA','NITERÓI','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5048010,8.00,8.00,3.00,6.00,9.00,11.25,1.00,5.00,6.00,103,NULL,NULL,'CENTRO','CARAZINHO','RS',3336,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5048044,4.00,4.00,2.00,7.00,5.00,6.38,1.00,3.00,5.00,601,NULL,NULL,'CENTRO','S BENTO SUL','SC',13098,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5048052,9.00,8.00,1.00,3.00,8.00,9.38,2.00,6.00,6.00,9,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',5272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048060,2.00,4.00,1.00,1.00,6.00,NULL,2.00,2.00,2.00,415,NULL,NULL,'VILA SÃO JOÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048079,4.00,4.00,1.00,5.00,7.00,6.75,2.00,3.00,4.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',14607,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5048087,4.00,8.00,0.00,5.00,5.00,8.25,1.00,2.00,4.00,104,NULL,NULL,'SÃO LUIZ','SOMBRIO','SC',14074,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5048109,8.00,9.00,5.00,7.00,10.00,13.50,2.00,6.00,7.00,451,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',1596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048117,8.00,7.00,1.00,7.00,8.00,7.13,5.00,2.00,7.00,104,NULL,NULL,'SÃO SEBASTIÃO','S MIGUEL OESTE','SC',5845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5048125,8.00,7.00,5.00,7.00,6.00,7.50,3.00,5.00,6.00,207,NULL,201,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',5453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5048133,4.00,5.00,0.00,3.00,6.00,NULL,0.00,3.00,4.00,104,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048141,8.00,7.00,4.00,3.00,10.00,7.13,3.00,4.00,5.00,336,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',5730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048150,8.00,7.00,5.00,7.00,8.00,10.50,8.00,7.00,8.00,201,NULL,235,'SANTA MARIA','CHAPECÓ','SC',821,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5048176,4.00,6.00,2.00,4.00,6.00,9.38,3.00,3.00,2.00,207,NULL,NULL,'BUDAG','RIO SUL','SC',12999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048192,8.00,5.00,4.00,4.00,8.00,9.38,2.00,5.00,6.00,316,NULL,NULL,'CENTRO','NAVEGANTES','SC',6247,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5048206,6.00,4.00,0.00,5.00,7.00,7.50,3.00,3.00,5.00,108,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',12362,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5048214,3.00,5.00,1.00,3.00,5.00,8.63,3.00,3.00,3.00,201,NULL,202,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,424,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5048230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MORADA NOBRE','BARREIRAS','BA',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5048257,7.00,6.00,4.00,6.00,10.00,9.75,4.00,4.00,6.00,104,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',3208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5048273,1.00,2.00,0.00,2.00,4.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5048311,7.00,4.00,1.00,5.00,5.00,7.13,1.00,3.00,2.00,502,NULL,NULL,'CORAL','LAGES','SC',15209,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5048320,6.00,6.00,2.00,7.00,7.00,7.13,4.00,4.00,5.00,303,NULL,NULL,'AMÉRICA','JOINVILLE','SC',9500,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5048346,9.00,9.00,6.00,7.00,10.00,10.50,8.00,7.00,8.00,103,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',91,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5048354,8.00,7.00,0.00,7.00,9.00,9.38,1.00,7.00,5.00,331,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5372,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5048362,7.00,5.00,8.00,7.00,7.00,10.50,6.00,6.00,7.00,203,NULL,214,'CENTRO','CURITIBA','PR',1751,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5048370,5.00,3.00,4.00,4.00,8.00,9.00,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','CIANORTE','PR',9710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5048389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM JATAÍ','CAÇAPAVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5048400,8.00,6.00,1.00,3.00,8.00,7.88,2.00,1.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10732,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA AUGUSTA','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5048435,4.00,2.00,1.00,4.00,6.00,NULL,1.00,3.00,6.00,302,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048443,6.00,8.00,4.00,6.00,9.00,9.00,2.00,2.00,4.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',6313,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5048451,6.00,4.00,1.00,7.00,4.00,8.25,2.00,4.00,5.00,103,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',15346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5048460,8.00,8.00,2.00,7.00,7.00,7.50,4.00,6.00,8.00,233,NULL,203,'CENTRO','JOINVILLE','SC',3624,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5048478,6.00,7.00,5.00,7.00,8.00,9.75,5.00,5.00,5.00,501,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5048486,8.00,7.00,2.00,7.00,6.00,8.25,5.00,5.00,7.00,319,NULL,NULL,'FLORESTA','CONCÓRDIA','SC',4889,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5048508,4.00,4.00,1.00,2.00,7.00,9.38,2.00,3.00,3.00,601,NULL,203,'BOA VISTA','JOINVILLE','SC',15703,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5048524,3.00,4.00,3.00,8.00,7.00,7.13,2.00,2.00,4.00,450,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',11554,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5048532,6.00,7.00,2.00,7.00,8.00,7.88,1.00,4.00,3.00,429,NULL,425,'CAMPINAS','S JOSÉ','SC',12871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5048540,7.00,5.00,3.00,7.00,8.00,10.50,3.00,3.00,4.00,220,NULL,NULL,'CENTRO','XAXIM','SC',7459,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5048559,1.00,3.00,0.00,2.00,2.00,NULL,1.00,1.00,1.00,201,NULL,203,'J ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5048575,4.00,4.00,1.00,5.00,4.00,NULL,1.00,2.00,2.00,9,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048583,8.00,8.00,7.00,7.00,9.00,13.13,7.00,6.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5048591,2.00,4.00,2.00,5.00,5.00,NULL,1.00,0.00,4.00,109,NULL,NULL,'SANTO ANTONIO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5048613,2.00,5.00,2.00,4.00,5.00,6.75,2.00,1.00,4.00,336,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',15672,87,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048621,4.00,5.00,0.00,5.00,6.00,NULL,2.00,3.00,2.00,208,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048630,7.00,7.00,2.00,7.00,10.00,9.00,4.00,4.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4989,2141,NULL,NULL,NULL,NULL,NULL,4,1),(20,5048648,9.00,6.00,3.00,5.00,8.00,6.75,6.00,5.00,7.00,201,NULL,601,'CENTRO','BRUSQUE','SC',4087,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5048656,8.00,9.00,7.00,6.00,10.00,10.13,7.00,6.00,7.00,103,NULL,NULL,'JARDIM BOA VISTA','PINDAMONHANGABA','SP',542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5048664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5048672,6.00,5.00,1.00,6.00,7.00,8.25,3.00,3.00,5.00,238,NULL,652,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',10683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5048680,7.00,6.00,1.00,5.00,8.00,7.50,6.00,6.00,6.00,103,NULL,NULL,'MARIA HELENA','PEDERNEIRAS','SP',4650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5048702,3.00,2.00,1.00,2.00,4.00,NULL,2.00,1.00,3.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5048710,8.00,6.00,5.00,4.00,8.00,9.75,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','RIVERSUL','SP',4149,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5048729,3.00,5.00,1.00,6.00,5.00,NULL,1.00,2.00,0.00,233,NULL,211,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,5),(20,5048737,4.00,4.00,0.00,3.00,4.00,NULL,2.00,1.00,0.00,103,NULL,NULL,'PIONEIROS','ITÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5048753,2.00,4.00,0.00,3.00,5.00,NULL,1.00,4.00,3.00,429,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048761,6.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5048770,2.00,3.00,2.00,2.00,3.00,NULL,1.00,2.00,3.00,211,NULL,233,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048788,9.00,9.00,6.00,7.00,8.00,9.75,3.00,4.00,6.00,316,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',1825,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5048796,9.00,7.00,4.00,4.00,7.00,9.00,5.00,5.00,6.00,233,NULL,215,'SANTA BÁRBARA','CRICIÚMA','SC',4898,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5048800,9.00,9.00,6.00,6.00,9.00,8.63,7.00,7.00,7.00,203,NULL,214,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',378,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048826,0.00,3.00,0.00,1.00,2.00,NULL,2.00,0.00,1.00,234,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5048842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5048850,1.00,3.00,4.00,3.00,4.00,NULL,0.00,0.00,4.00,452,NULL,NULL,'JARDIM SOLEMAR','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5048877,2.00,6.00,5.00,6.00,10.00,9.75,4.00,4.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048885,7.00,7.00,5.00,5.00,7.00,6.38,4.00,3.00,5.00,404,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',8810,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048915,9.00,8.00,5.00,7.00,10.00,10.50,8.00,5.00,8.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5048923,8.00,7.00,6.00,7.00,8.00,9.75,3.00,5.00,6.00,103,NULL,NULL,'ALTO DA XV','GUARAPUAVA','PR',2385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5048931,5.00,6.00,3.00,5.00,6.00,8.25,1.00,2.00,4.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5048940,7.00,6.00,2.00,5.00,8.00,9.00,3.00,3.00,5.00,333,NULL,NULL,'FLORESTAL','LAJEADO','RS',6771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048958,6.00,5.00,4.00,6.00,10.00,10.13,3.00,4.00,4.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8560,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048966,3.00,3.00,0.00,5.00,4.00,NULL,0.00,1.00,3.00,501,NULL,NULL,'SANTA TEREZINHA','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5048974,3.00,5.00,0.00,2.00,5.00,NULL,2.00,3.00,3.00,339,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5048990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SANTA MARTA','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5049008,3.00,4.00,1.00,4.00,4.00,NULL,3.00,1.00,3.00,3,NULL,NULL,'COBRE','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5049016,5.00,5.00,2.00,7.00,8.00,9.38,1.00,2.00,3.00,201,NULL,601,'MEIA PRAIA','ITAPEMA','SC',13063,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5049024,5.00,6.00,2.00,7.00,8.00,8.63,1.00,2.00,2.00,201,NULL,203,'CENTRO','ITAJAÍ','SC',14146,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5049032,5.00,6.00,2.00,5.00,4.00,7.88,1.00,2.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049040,8.00,4.00,3.00,4.00,7.00,8.25,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049059,7.00,8.00,5.00,7.00,9.00,9.38,8.00,6.00,7.00,207,NULL,601,'BARREIROS','S JOSÉ','SC',870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049067,9.00,7.00,7.00,7.00,9.00,8.25,6.00,6.00,8.00,303,NULL,NULL,'CENTRO','JOINVILLE','SC',491,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5049075,4.00,7.00,3.00,3.00,2.00,NULL,3.00,3.00,5.00,201,NULL,214,'ITAIPAVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5049083,6.00,4.00,1.00,8.00,8.00,9.38,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7637,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5049091,8.00,8.00,5.00,6.00,8.00,10.88,3.00,5.00,6.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',2966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5049105,7.00,6.00,6.00,5.00,9.00,10.13,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','STA FÉ','PR',2741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049113,5.00,6.00,1.00,3.00,8.00,6.75,1.00,3.00,1.00,207,NULL,233,'SAMBAQUI','FLORIANÓPOLIS','SC',15645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049130,4.00,7.00,4.00,5.00,8.00,10.13,4.00,2.00,6.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7058,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5049156,8.00,8.00,5.00,7.00,7.00,9.75,6.00,4.00,8.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',1832,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5049164,2.00,4.00,1.00,4.00,6.00,NULL,1.00,3.00,1.00,317,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049172,4.00,6.00,0.00,3.00,8.00,NULL,1.00,3.00,5.00,308,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049180,8.00,8.00,3.00,7.00,10.00,9.00,7.00,7.00,8.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',1196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049199,7.00,6.00,0.00,6.00,5.00,9.38,2.00,5.00,3.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049202,4.00,6.00,3.00,6.00,7.00,7.88,3.00,2.00,2.00,207,NULL,NULL,'CENTRO','LGA VERMELHA','RS',13998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049210,4.00,5.00,0.00,1.00,2.00,NULL,1.00,1.00,4.00,317,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5049237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,235,'BELA VISTA','CAMPOS GERAIS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5049245,9.00,7.00,5.00,4.00,10.00,8.25,5.00,6.00,7.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',2066,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5049261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'BOM RETIRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5049270,3.00,5.00,1.00,2.00,3.00,NULL,1.00,2.00,1.00,551,NULL,NULL,'CENTRO','S CRISTÓVÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5049288,3.00,5.00,0.00,6.00,6.00,7.50,1.00,3.00,3.00,108,NULL,NULL,'JD SÃO NICOLAU','BIGUAÇU','SC',14943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049296,7.00,4.00,3.00,3.00,6.00,6.75,0.00,1.00,6.00,103,NULL,NULL,'BORTTOLUZI','NOVA VENEZA','SC',14321,3669,NULL,NULL,NULL,NULL,NULL,2,5),(20,5049300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5049326,6.00,6.00,0.00,7.00,8.00,10.13,3.00,2.00,2.00,103,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',10379,3213,NULL,NULL,NULL,NULL,NULL,4,4),(20,5049334,7.00,5.00,6.00,7.00,8.00,11.25,6.00,3.00,6.00,203,NULL,214,'SAGUACU','JOINVILLE','SC',2777,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5049342,2.00,6.00,2.00,3.00,4.00,NULL,4.00,0.00,3.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5049369,4.00,4.00,0.00,3.00,5.00,NULL,1.00,1.00,1.00,201,NULL,216,'SÃO LUIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5049377,4.00,3.00,0.00,3.00,6.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'IGARA','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5049393,6.00,6.00,4.00,3.00,7.00,8.63,4.00,2.00,6.00,5,NULL,NULL,'MORRETES','ITAPEMA','SC',10104,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5049407,9.00,8.00,4.00,5.00,7.00,6.75,6.00,5.00,7.00,501,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',4386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049415,5.00,3.00,4.00,3.00,2.00,NULL,1.00,0.00,0.00,5,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5049423,3.00,5.00,0.00,3.00,4.00,NULL,0.00,1.00,3.00,102,NULL,NULL,'ZONA RURAL','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5049431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5049440,8.00,5.00,3.00,5.00,8.00,7.13,4.00,5.00,5.00,103,NULL,NULL,'TINGUI','CURITIBA','PR',5189,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5049458,5.00,6.00,3.00,2.00,6.00,8.25,1.00,2.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',10800,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5049466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RONDON','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5049474,7.00,5.00,5.00,6.00,4.00,0.00,2.00,5.00,3.00,202,NULL,235,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5049482,9.00,9.00,5.00,6.00,11.00,10.88,2.00,5.00,7.00,303,NULL,NULL,'MAR GROSSO','LAGUNA','SC',1525,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5049490,6.00,6.00,4.00,6.00,7.00,9.75,0.00,1.00,2.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',11582,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5049504,7.00,6.00,3.00,8.00,8.00,10.50,3.00,6.00,7.00,203,NULL,207,'BRASÍLIA','S LOURENÇO OESTE','SC',3018,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5049512,6.00,6.00,3.00,6.00,7.00,7.13,1.00,3.00,4.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',12652,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5049547,5.00,5.00,2.00,5.00,6.00,8.25,2.00,5.00,5.00,211,NULL,NULL,'CENTRO','AMPÉRE','PR',10425,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5049555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,NULL,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5049563,8.00,7.00,5.00,5.00,8.00,8.63,7.00,5.00,7.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',2258,1195,NULL,NULL,NULL,NULL,NULL,2,1),(20,5049571,9.00,8.00,5.00,7.00,10.00,9.75,4.00,5.00,8.00,104,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',1239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049580,6.00,4.00,4.00,4.00,5.00,8.63,2.00,2.00,7.00,202,NULL,203,'MERCES','CURITIBA','PR',9858,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5049598,8.00,8.00,3.00,5.00,10.00,10.88,4.00,4.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3141,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5049601,6.00,5.00,3.00,6.00,7.00,11.63,1.00,3.00,5.00,453,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',11104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA BAHIA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5049628,2.00,5.00,0.00,4.00,4.00,NULL,1.00,2.00,3.00,501,NULL,NULL,'LOURO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5049636,5.00,5.00,1.00,6.00,8.00,9.75,0.00,3.00,1.00,212,NULL,233,'CENTRO','BIGUAÇU','SC',15079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049644,5.00,6.00,1.00,4.00,8.00,8.25,1.00,3.00,5.00,205,NULL,NULL,'CENTRO','TIJUCAS','SC',11771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049652,9.00,9.00,9.00,7.00,10.00,12.75,8.00,9.00,8.00,103,NULL,NULL,'CENTRO','IMBITUBA','SC',7,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049660,6.00,7.00,1.00,5.00,8.00,7.50,0.00,3.00,6.00,102,NULL,NULL,'CENTRO','CURITIBA','PR',9756,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5049679,1.00,4.00,1.00,1.00,5.00,NULL,4.00,2.00,3.00,328,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5049687,5.00,7.00,2.00,5.00,8.00,7.50,4.00,4.00,5.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',8684,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5049717,9.00,8.00,5.00,5.00,9.00,10.13,3.00,5.00,7.00,103,NULL,NULL,'NONOAI','PASSO FUNDO','RS',1972,1073,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049725,5.00,3.00,2.00,3.00,6.00,NULL,2.00,2.00,1.00,503,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049741,3.00,5.00,3.00,5.00,5.00,6.00,3.00,5.00,2.00,301,NULL,NULL,'VILA ANDRADE','S PAULO','SP',15911,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5049750,0.00,1.00,0.00,2.00,3.00,NULL,2.00,2.00,2.00,225,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5049768,3.00,5.00,2.00,4.00,8.00,7.88,3.00,4.00,4.00,101,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5049776,4.00,7.00,2.00,6.00,8.00,11.25,3.00,2.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9192,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5049784,3.00,3.00,1.00,5.00,6.00,NULL,1.00,3.00,4.00,207,NULL,201,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5049792,4.00,2.00,2.00,4.00,3.00,NULL,0.00,1.00,3.00,102,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5049806,5.00,4.00,0.00,2.00,10.00,NULL,0.00,4.00,3.00,207,NULL,601,'PETRÓPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5049814,3.00,6.00,1.00,6.00,5.00,8.63,2.00,2.00,3.00,201,NULL,215,'PINHEIRA PALHOÇA','PALHOÇA','SC',15653,1108,NULL,322,NULL,NULL,NULL,5,1),(20,5049822,7.00,7.00,4.00,5.00,8.00,6.38,4.00,3.00,8.00,202,NULL,601,'CAMPINAS','S JOSÉ','SC',4856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049830,9.00,6.00,7.00,7.00,8.00,8.25,4.00,4.00,8.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',1986,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5049849,6.00,7.00,4.00,5.00,8.00,9.75,5.00,4.00,6.00,216,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',4861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049857,9.00,6.00,7.00,6.00,10.00,8.25,8.00,4.00,7.00,203,NULL,220,'LIBERDADE','S PAULO','SP',996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049865,4.00,5.00,4.00,6.00,5.00,9.38,3.00,1.00,5.00,203,NULL,201,'CENTRO','VILHENA','RO',10626,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5049873,5.00,5.00,4.00,3.00,4.00,0.00,3.00,2.00,2.00,653,NULL,652,'SANDA DA TOCA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5049881,4.00,4.00,3.00,5.00,7.00,8.63,1.00,3.00,2.00,303,NULL,NULL,'CENTRO','XAXIM','SC',14128,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5049903,9.00,9.00,8.00,7.00,10.00,12.38,6.00,6.00,9.00,103,NULL,NULL,'SÃO GERALDO','PTO ALEGRE','RS',29,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5049920,5.00,8.00,2.00,7.00,6.00,0.00,3.00,1.00,5.00,203,NULL,201,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5049938,6.00,6.00,1.00,5.00,8.00,NULL,1.00,0.00,1.00,207,NULL,233,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5049946,7.00,7.00,6.00,8.00,9.00,7.88,7.00,4.00,8.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',1565,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5049954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5049962,5.00,7.00,4.00,8.00,7.00,8.25,1.00,6.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5049970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PLANO DIRETOR NORTE','PALMAS','TO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5049989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5049997,2.00,3.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'DAS NAÇÕES','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5050006,5.00,0.00,3.00,4.00,5.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5050049,7.00,6.00,2.00,5.00,8.00,9.75,2.00,5.00,6.00,104,NULL,NULL,'CENTRO','MARILUZ','PR',5758,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5050065,6.00,9.00,1.00,5.00,7.00,NULL,0.00,4.00,2.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5050081,8.00,7.00,5.00,4.00,7.00,9.75,4.00,4.00,5.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5050090,5.00,6.00,3.00,3.00,4.00,7.13,3.00,4.00,1.00,453,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15783,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5050103,6.00,6.00,5.00,6.00,8.00,6.00,4.00,7.00,7.00,103,NULL,NULL,'BELA VISTA','RIO NEGRINHO','SC',4438,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5050111,5.00,6.00,2.00,4.00,5.00,6.00,4.00,4.00,6.00,502,NULL,NULL,'BARREIROS','S JOSÉ','SC',12594,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5050120,3.00,4.00,5.00,0.00,4.00,NULL,1.00,0.00,3.00,208,NULL,238,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050138,9.00,7.00,5.00,8.00,9.00,7.13,4.00,8.00,9.00,103,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',1212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050154,8.00,8.00,2.00,4.00,7.00,7.88,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',9537,3101,NULL,NULL,NULL,NULL,NULL,2,1),(20,5050162,7.00,7.00,5.00,5.00,8.00,7.88,6.00,4.00,7.00,203,NULL,213,'PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP',3318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050170,7.00,6.00,4.00,7.00,7.00,9.75,4.00,3.00,7.00,201,NULL,233,'CENTRO','BENTO GONÇALVES','RS',3843,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5050189,6.00,8.00,3.00,6.00,5.00,10.13,2.00,3.00,5.00,415,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050200,5.00,7.00,2.00,5.00,10.00,11.63,2.00,4.00,7.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',4768,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5050219,7.00,4.00,1.00,3.00,8.00,6.75,2.00,4.00,5.00,216,NULL,215,'KOBRASOL','S JOSÉ','SC',10157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050227,5.00,7.00,4.00,6.00,6.00,9.00,3.00,4.00,5.00,304,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',9096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050235,7.00,5.00,2.00,7.00,7.00,9.75,3.00,3.00,4.00,202,NULL,215,'JARDIM ALIANÇA','CAMPINAS','SP',6706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050251,7.00,6.00,6.00,8.00,9.00,12.75,8.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050260,9.00,7.00,7.00,7.00,8.00,10.88,7.00,6.00,8.00,103,NULL,NULL,'SANTA TEREZA','BELO HORIZONTE','MG',252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050278,3.00,5.00,6.00,7.00,7.00,NULL,0.00,3.00,5.00,601,NULL,220,'SAO JOAQUIM','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5050308,8.00,6.00,2.00,7.00,8.00,9.38,2.00,5.00,4.00,207,NULL,201,'CENTRO','RIO NEGRO','PR',8016,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5050316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SILVEIRA','BARUERI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5050324,5.00,6.00,3.00,5.00,5.00,10.88,2.00,4.00,4.00,317,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',12853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050340,9.00,7.00,9.00,7.00,10.00,13.50,3.00,6.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050359,7.00,7.00,5.00,5.00,8.00,7.50,3.00,4.00,6.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',6609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5050367,8.00,7.00,8.00,7.00,9.00,8.25,7.00,4.00,9.00,203,NULL,202,'BIGORRILHO','CURITIBA','PR',681,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5050383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA GERMER','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5050391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5050405,7.00,4.00,4.00,6.00,6.00,7.88,2.00,5.00,5.00,211,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',7741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050413,3.00,8.00,3.00,7.00,8.00,6.00,4.00,3.00,5.00,203,NULL,202,'CENTRO','IPORÃ OESTE','SC',9725,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5050430,2.00,4.00,0.00,1.00,2.00,NULL,2.00,2.00,1.00,304,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5050448,9.00,7.00,5.00,7.00,10.00,11.25,4.00,4.00,8.00,104,NULL,NULL,'MARECHAL RONDON','CANOAS','RS',1228,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5050456,6.00,7.00,5.00,5.00,5.00,7.50,4.00,3.00,7.00,601,NULL,201,'VILA CLEMENTINA','MAFRA','SC',7011,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5050464,5.00,6.00,5.00,3.00,9.00,9.38,4.00,4.00,4.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6994,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5050480,8.00,7.00,3.00,7.00,8.00,7.88,3.00,3.00,5.00,415,NULL,NULL,'MORRO DO POSTO','LAGES','SC',7042,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5050510,7.00,8.00,3.00,3.00,6.00,7.50,2.00,3.00,5.00,110,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',12944,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5050529,8.00,6.00,5.00,6.00,9.00,9.00,3.00,6.00,7.00,103,NULL,NULL,'VILA MELO','S VICENTE','SP',2467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050570,8.00,8.00,3.00,5.00,9.00,10.13,8.00,5.00,8.00,103,NULL,NULL,'ALTO DA GLÓRIA','CURITIBA','PR',1360,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5050588,8.00,5.00,0.00,4.00,5.00,7.13,2.00,2.00,5.00,101,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',15032,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5050596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VILA LALAU','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5050600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5050618,7.00,6.00,1.00,5.00,7.00,NULL,0.00,3.00,7.00,207,NULL,215,'BELA VISTA','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5050626,4.00,6.00,3.00,5.00,3.00,NULL,3.00,3.00,3.00,201,NULL,212,'VILA PROGRESSO','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'CENTRO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5050642,6.00,6.00,3.00,5.00,8.00,7.50,2.00,3.00,4.00,104,NULL,NULL,'PIONEIROS','ITÁ','SC',10601,251,NULL,NULL,NULL,NULL,NULL,4,4),(20,5050650,1.00,0.00,0.00,0.00,1.00,NULL,1.00,1.00,2.00,653,NULL,651,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5050685,5.00,5.00,2.00,4.00,8.00,8.63,1.00,3.00,1.00,108,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',14850,280,NULL,NULL,NULL,NULL,NULL,4,8),(20,5050693,2.00,6.00,0.00,5.00,5.00,NULL,1.00,2.00,4.00,304,NULL,NULL,'PORTINHO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5050723,8.00,7.00,6.00,7.00,9.00,11.63,3.00,4.00,6.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050731,6.00,5.00,4.00,5.00,7.00,6.75,2.00,3.00,5.00,207,NULL,201,'ARIRIU DA FORMIGA','PALHOÇA','SC',10468,501,NULL,773,NULL,NULL,NULL,2,1),(20,5050740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5050758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'JARDIM FLORENÇA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5050766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5050774,2.00,4.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5050790,6.00,5.00,4.00,6.00,7.00,9.00,1.00,5.00,5.00,201,NULL,212,'PARQUE ALVORADA','DOURADOS','MS',8141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050804,2.00,5.00,2.00,4.00,4.00,7.13,4.00,2.00,2.00,450,NULL,NULL,'PIONEIRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5050812,5.00,5.00,6.00,7.00,6.00,9.00,3.00,4.00,6.00,319,NULL,NULL,'CENTRO','GAROPABA','SC',6927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050820,7.00,7.00,4.00,8.00,9.00,11.25,3.00,4.00,6.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',3328,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5050839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5050847,8.00,8.00,0.00,7.00,8.00,7.88,3.00,2.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050855,9.00,7.00,5.00,5.00,6.00,10.13,0.00,4.00,6.00,201,NULL,203,'BAIRRO BÁU','CUIABÁ','MT',4414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050880,5.00,6.00,4.00,5.00,3.00,NULL,2.00,2.00,3.00,213,NULL,202,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5050898,6.00,5.00,1.00,4.00,8.00,10.88,3.00,4.00,4.00,104,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',10868,262,NULL,NULL,NULL,NULL,NULL,2,1),(20,5050901,7.00,7.00,4.00,5.00,7.00,10.13,2.00,2.00,5.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',7056,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5050910,9.00,7.00,4.00,7.00,7.00,9.75,6.00,5.00,8.00,216,NULL,601,'TRINDADE','FLORIANÓPOLIS','SC',1963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050944,5.00,7.00,4.00,7.00,7.00,9.38,1.00,5.00,3.00,423,NULL,426,'BOM VIVER','BIGUAÇU','SC',12167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050960,8.00,7.00,6.00,7.00,7.00,8.25,4.00,4.00,8.00,103,NULL,NULL,'VILA ESTRELA','PNT GROSSA','PR',2368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050979,6.00,6.00,3.00,7.00,6.00,9.00,2.00,4.00,6.00,9,NULL,NULL,'PARQUE ARNOLD SHIMID','S CARLOS','SP',6770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5050987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'NITEROI','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5050995,6.00,6.00,3.00,5.00,8.00,7.13,3.00,4.00,6.00,203,NULL,NULL,'CAIU DO CÉU','OSÓRIO','RS',9875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051002,7.00,5.00,4.00,6.00,9.00,11.63,7.00,5.00,5.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',2551,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5051029,4.00,5.00,0.00,5.00,3.00,NULL,2.00,1.00,4.00,108,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5051045,6.00,4.00,2.00,5.00,7.00,8.63,1.00,2.00,6.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',14638,405,NULL,366,NULL,NULL,NULL,2,1),(20,5051061,5.00,4.00,1.00,5.00,8.00,9.75,2.00,1.00,3.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',13722,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5051096,7.00,7.00,2.00,0.00,9.00,7.50,3.00,4.00,6.00,103,NULL,NULL,'ZONA I','UMUARAMA','PR',8447,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5051100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',1,8),(20,5051118,3.00,3.00,1.00,3.00,5.00,NULL,0.00,2.00,1.00,205,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5051134,6.00,4.00,0.00,5.00,4.00,NULL,0.00,3.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051142,5.00,0.00,3.00,3.00,6.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(20,5051150,4.00,5.00,1.00,5.00,8.00,11.63,1.00,3.00,4.00,207,NULL,201,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',10630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5051169,4.00,4.00,1.00,2.00,5.00,NULL,1.00,2.00,2.00,302,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051177,4.00,7.00,1.00,4.00,5.00,8.63,2.00,2.00,3.00,327,NULL,NULL,'SANTO ANTONIO','CAMPOS NOVOS','SC',15877,51,NULL,NULL,NULL,NULL,NULL,2,7),(20,5051185,5.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,216,NULL,215,'WEISSOPOLIS','PINHAIS','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5051193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUABIRUBA SUL','GUABIRUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5051207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5051215,4.00,7.00,0.00,5.00,2.00,NULL,3.00,6.00,5.00,551,NULL,NULL,'SAO CRISTOVAO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5051223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PIO X','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5051258,8.00,6.00,0.00,6.00,8.00,NULL,3.00,6.00,5.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051266,4.00,4.00,1.00,5.00,6.00,7.88,2.00,4.00,5.00,5,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13318,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5051274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CENTRO','LUCAS R VERDE','MT',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5051282,6.00,7.00,2.00,6.00,8.00,9.00,2.00,4.00,3.00,203,NULL,202,'CENTRO','PASSO FUNDO','RS',7053,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5051304,0.00,2.00,0.00,0.00,0.00,NULL,0.00,4.00,2.00,234,NULL,NULL,'VILA A','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5051312,1.00,2.00,4.00,2.00,4.00,NULL,1.00,2.00,0.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051320,7.00,8.00,5.00,5.00,9.00,6.75,6.00,4.00,8.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',1981,1079,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5051347,7.00,7.00,1.00,7.00,8.00,9.75,2.00,5.00,4.00,104,NULL,NULL,'SÃO CRISTÓVÃO','PASSO FUNDO','RS',5023,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5051355,4.00,3.00,0.00,5.00,4.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5051363,3.00,6.00,3.00,6.00,7.00,9.75,3.00,1.00,4.00,308,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051371,2.00,4.00,0.00,6.00,2.00,NULL,1.00,1.00,2.00,301,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5051398,3.00,5.00,1.00,4.00,3.00,NULL,0.00,2.00,5.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5051410,6.00,7.00,4.00,5.00,8.00,10.13,0.00,5.00,4.00,103,NULL,NULL,'CENTRO','STO ÂNGELO','RS',8129,2853,NULL,NULL,NULL,NULL,NULL,4,6),(20,5051428,5.00,5.00,5.00,0.00,2.00,NULL,2.00,3.00,5.00,450,NULL,NULL,'PARQUE PRADO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051436,5.00,5.00,2.00,7.00,4.00,8.63,1.00,2.00,5.00,216,NULL,203,'CABRAL','CURITIBA','PR',11649,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5051444,8.00,6.00,8.00,4.00,8.00,9.38,5.00,6.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1204,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5051452,3.00,2.00,0.00,3.00,5.00,NULL,1.00,0.00,3.00,5,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5051460,8.00,7.00,3.00,7.00,7.00,9.75,4.00,6.00,6.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',3990,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5051479,5.00,0.00,3.00,3.00,6.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5051487,4.00,4.00,6.00,4.00,9.00,8.63,3.00,2.00,4.00,452,NULL,NULL,'CENTRO','CRICIÚMA','SC',11388,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5051495,3.00,4.00,0.00,0.00,6.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'MANSUR DAUD','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5051509,4.00,6.00,2.00,4.00,5.00,9.75,1.00,2.00,3.00,316,NULL,NULL,'CENTRO','CRICIÚMA','SC',14598,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5051517,7.00,8.00,2.00,7.00,6.00,11.25,3.00,2.00,7.00,202,NULL,235,'MATINHO','XANXERÊ','SC',4134,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5051525,8.00,7.00,7.00,6.00,10.00,7.88,7.00,4.00,7.00,220,NULL,214,'CAMPECHE','FLORIANÓPOLIS','SC',1272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051533,5.00,2.00,0.00,5.00,6.00,NULL,3.00,3.00,3.00,215,NULL,233,'FERRAZ','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5051550,5.00,5.00,2.00,4.00,7.00,7.50,1.00,2.00,4.00,451,NULL,NULL,'JARDIM SÃO PEDRO','APUCARANA','PR',13186,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5051568,5.00,7.00,5.00,7.00,8.00,7.50,1.00,3.00,5.00,216,NULL,211,'BONFIGLIOLI','S PAULO','SP',6423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5051606,5.00,7.00,3.00,7.00,8.00,10.88,2.00,4.00,3.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051614,1.00,3.00,0.00,2.00,2.00,NULL,2.00,3.00,2.00,426,NULL,428,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'INDUSTRIAL','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5051630,5.00,6.00,2.00,7.00,6.00,7.50,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','MAFRA','SC',9991,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5051649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'JARDIM MARILU','MIRASSOL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5051657,5.00,7.00,0.00,4.00,5.00,NULL,2.00,3.00,6.00,208,NULL,216,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051665,4.00,4.00,1.00,3.00,4.00,NULL,4.00,1.00,2.00,207,NULL,NULL,'IMIGRANTES','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(20,5051681,6.00,4.00,2.00,3.00,5.00,9.00,1.00,3.00,4.00,333,NULL,NULL,'CENTRO','S TIAGO','MG',13837,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5051690,8.00,8.00,2.00,6.00,9.00,7.50,4.00,4.00,8.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',3243,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5051703,6.00,5.00,4.00,7.00,10.00,10.50,3.00,3.00,6.00,109,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',4990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5051720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'VILA SOBRINHO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5051746,6.00,5.00,2.00,7.00,7.00,9.38,3.00,2.00,3.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051754,8.00,8.00,8.00,7.00,9.00,9.38,8.00,6.00,8.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',543,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5051762,5.00,5.00,2.00,3.00,3.00,NULL,0.00,4.00,2.00,103,NULL,NULL,'AGRONOMIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5051770,4.00,4.00,0.00,5.00,4.00,NULL,4.00,1.00,2.00,301,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5051789,2.00,3.00,3.00,2.00,3.00,NULL,2.00,3.00,3.00,207,NULL,201,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5051797,9.00,7.00,9.00,7.00,8.00,10.50,8.00,6.00,8.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051800,7.00,5.00,2.00,7.00,9.00,10.13,1.00,4.00,4.00,203,NULL,233,'KOBRASOL','S JOSÉ','SC',6329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051819,5.00,7.00,3.00,5.00,9.00,6.00,4.00,2.00,6.00,202,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',9422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051851,8.00,8.00,7.00,7.00,6.00,9.38,6.00,4.00,8.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',1676,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5051878,8.00,6.00,0.00,6.00,9.00,9.38,2.00,2.00,5.00,103,NULL,NULL,'MARILAND','CAXIAS SUL','RS',7559,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5051886,5.00,2.00,0.00,5.00,5.00,NULL,0.00,2.00,2.00,319,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5051894,6.00,6.00,7.00,5.00,6.00,9.75,2.00,4.00,6.00,214,NULL,212,'SANTA CECILIA','S PAULO','SP',4638,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5051908,2.00,5.00,0.00,2.00,2.00,NULL,3.00,1.00,4.00,223,NULL,NULL,'VILA NOVA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5051916,5.00,4.00,2.00,2.00,5.00,NULL,1.00,4.00,3.00,212,NULL,233,'JARDIM LEONOR','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051924,4.00,6.00,0.00,1.00,4.00,NULL,0.00,3.00,2.00,426,NULL,428,'VELHA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5051932,9.00,9.00,4.00,7.00,9.00,9.00,8.00,4.00,7.00,201,NULL,212,'TREZE DE JULHO','ARACAJU','SE',826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051959,7.00,5.00,0.00,5.00,8.00,10.13,0.00,5.00,6.00,303,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',10583,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5051967,6.00,4.00,3.00,3.00,2.00,NULL,1.00,3.00,2.00,309,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5051975,4.00,4.00,1.00,5.00,4.00,NULL,2.00,1.00,2.00,104,NULL,NULL,'DO SOL','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5051991,6.00,5.00,3.00,1.00,7.00,7.13,1.00,2.00,3.00,317,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',14280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052017,4.00,2.00,4.00,3.00,4.00,NULL,1.00,2.00,3.00,316,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5052025,3.00,6.00,3.00,1.00,4.00,7.13,3.00,3.00,3.00,601,NULL,220,'BAIRRO DOS ESTADOS','TIMBÓ','SC',14972,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5052033,4.00,5.00,1.00,4.00,5.00,NULL,2.00,2.00,3.00,301,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052041,8.00,7.00,4.00,5.00,5.00,7.13,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','RIO NEGRO','PR',6261,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5052050,7.00,8.00,5.00,5.00,10.00,8.63,3.00,5.00,4.00,234,NULL,NULL,'BARREIROS','S JOSÉ','SC',5236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5052068,5.00,2.00,0.00,4.00,5.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5052084,7.00,7.00,4.00,6.00,8.00,7.88,2.00,4.00,5.00,203,NULL,201,'CENTRO','ITUPORANGA','SC',5371,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5052092,6.00,7.00,2.00,7.00,4.00,6.75,1.00,4.00,4.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052106,7.00,7.00,3.00,6.00,8.00,7.13,1.00,4.00,8.00,103,NULL,NULL,'PARQUE ATENAS DO SUL','ITAPETININGA','SP',5699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052114,7.00,6.00,1.00,6.00,10.00,9.75,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',3571,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5052122,5.00,5.00,2.00,4.00,7.00,6.38,1.00,4.00,5.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',13734,3600,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NEVES PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5052157,5.00,7.00,4.00,4.00,7.00,6.38,1.00,2.00,6.00,104,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',10940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5052165,5.00,3.00,1.00,6.00,7.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'CENTRO','GARIBALDI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5052173,9.00,6.00,6.00,7.00,9.00,7.50,4.00,6.00,5.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',2460,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5052181,9.00,7.00,3.00,6.00,8.00,10.13,6.00,5.00,6.00,103,NULL,NULL,'CENTRO','AJURICABA','RS',2452,1270,NULL,NULL,NULL,NULL,NULL,2,1),(20,5052190,6.00,6.00,1.00,6.00,10.00,7.88,3.00,3.00,5.00,9,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8828,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5052203,4.00,3.00,4.00,3.00,5.00,NULL,0.00,2.00,3.00,415,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5052220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'VILA MATILDE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5052238,8.00,4.00,0.00,7.00,6.00,10.50,1.00,1.00,3.00,207,NULL,201,'SCHRAMM','S BENTO SUL','SC',10350,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5052246,6.00,5.00,4.00,5.00,8.00,6.38,1.00,0.00,3.00,201,NULL,216,'JARDIM DO SOL','CPO BOM','RS',11494,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5052254,5.00,6.00,1.00,6.00,8.00,9.00,3.00,1.00,5.00,216,NULL,211,'CENTRO','ESTEIO','RS',10335,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5052262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'GUANABARA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5052270,6.00,7.00,2.00,6.00,9.00,9.75,3.00,4.00,5.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5052297,7.00,5.00,3.00,5.00,4.00,9.75,3.00,2.00,3.00,336,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',11519,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5052300,7.00,5.00,1.00,7.00,6.00,7.88,0.00,0.00,4.00,103,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5052319,3.00,6.00,1.00,0.00,4.00,NULL,2.00,2.00,0.00,308,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052327,7.00,8.00,4.00,7.00,10.00,9.75,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',3424,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5052335,2.00,3.00,2.00,2.00,2.00,NULL,2.00,1.00,2.00,339,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052343,6.00,5.00,2.00,7.00,7.00,9.38,2.00,5.00,4.00,9,NULL,NULL,'ITAUM','JOINVILLE','SC',11118,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5052351,6.00,4.00,0.00,3.00,5.00,NULL,0.00,1.00,1.00,103,NULL,NULL,'POR DO SOL','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5052360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5052378,2.00,4.00,1.00,1.00,5.00,NULL,0.00,1.00,3.00,452,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052386,8.00,7.00,5.00,6.00,8.00,7.88,4.00,3.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6390,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5052394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5052408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM AMERICA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5052416,6.00,5.00,0.00,6.00,3.00,NULL,0.00,3.00,3.00,201,NULL,212,'ITACOROBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5052424,8.00,6.00,7.00,7.00,10.00,11.63,6.00,8.00,5.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052440,4.00,4.00,1.00,3.00,7.00,NULL,3.00,1.00,3.00,103,NULL,NULL,'TESTO REGA','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5052467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CRUZ','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5052475,8.00,7.00,5.00,6.00,9.00,7.88,3.00,5.00,6.00,102,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',5319,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5052483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'JARDIM IDEAL','GUARUJÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5052491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'JARDINS FLORENÇA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5052505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,653,'JARDIM IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5052513,6.00,5.00,4.00,7.00,7.00,6.38,2.00,3.00,7.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',7917,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5052521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5052530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JD CARVALHO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5052572,6.00,5.00,4.00,4.00,7.00,8.63,4.00,3.00,7.00,316,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',7047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052580,5.00,5.00,0.00,2.00,5.00,NULL,0.00,2.00,2.00,317,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5052599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5052602,6.00,7.00,2.00,6.00,5.00,9.00,1.00,3.00,3.00,203,NULL,201,'BOSQUE DA MANSÕES','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052610,4.00,6.00,0.00,4.00,7.00,NULL,0.00,1.00,3.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'NAZARÉ','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5052645,7.00,7.00,4.00,6.00,5.00,9.75,1.00,2.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052653,3.00,5.00,2.00,5.00,7.00,NULL,4.00,0.00,2.00,102,NULL,NULL,'FAXINAL','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5052661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5052696,4.00,7.00,4.00,5.00,7.00,9.00,3.00,3.00,4.00,203,NULL,220,'JARDIM UNIVERSITARIO','MARINGÁ','PR',8488,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5052700,8.00,7.00,5.00,4.00,8.00,8.63,5.00,4.00,6.00,103,NULL,NULL,'VILA ORTÊNCIA','SOROCABA','SP',2921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052718,5.00,8.00,3.00,4.00,6.00,10.50,3.00,3.00,6.00,201,NULL,212,'BERGER','CAÇADOR','SC',8034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052726,4.00,6.00,3.00,6.00,9.00,9.75,1.00,5.00,5.00,207,NULL,201,'CENTRO','UNIÃO VITÓRIA','PR',9586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052734,7.00,6.00,3.00,5.00,8.00,9.75,4.00,4.00,3.00,104,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',5420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052742,4.00,1.00,1.00,3.00,4.00,NULL,1.00,2.00,2.00,201,NULL,212,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052750,9.00,7.00,6.00,7.00,9.00,9.38,6.00,7.00,7.00,103,NULL,NULL,'MOOCA','S PAULO','SP',588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052769,3.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,1.00,220,NULL,213,'KM DOIS','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5052785,7.00,5.00,3.00,6.00,8.00,7.88,4.00,5.00,5.00,103,NULL,NULL,'AZENHA','PTO ALEGRE','RS',5489,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5052793,8.00,6.00,6.00,7.00,10.00,8.63,8.00,6.00,7.00,203,NULL,233,'ITACORUBI','FLORIANÓPOLIS','SC',1150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052807,1.00,3.00,0.00,1.00,2.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'VOLTA GRANDE','MIRIM DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5052815,6.00,6.00,5.00,6.00,8.00,8.25,1.00,3.00,5.00,208,NULL,202,'USINA','ANTÔNIO CARLOS','SC',5784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052831,5.00,3.00,1.00,7.00,4.00,7.13,2.00,4.00,4.00,238,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',15542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052840,7.00,5.00,6.00,7.00,9.00,7.50,6.00,3.00,7.00,202,NULL,211,'JARDIM IGUAÇU','MARINGÁ','PR',2472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052858,9.00,7.00,0.00,7.00,11.00,8.25,5.00,5.00,9.00,216,NULL,215,'MAR GROSSO','LAGUNA','SC',2266,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5052866,3.00,5.00,1.00,3.00,4.00,7.88,2.00,3.00,5.00,103,NULL,NULL,'AMERICANO','LAJEADO','RS',14268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052874,5.00,5.00,0.00,7.00,8.00,8.25,2.00,2.00,7.00,207,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',10896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052882,7.00,6.00,5.00,4.00,7.00,7.13,3.00,2.00,5.00,211,NULL,NULL,'CENTRO','TERRA BOA','PR',7757,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5052904,8.00,7.00,2.00,5.00,10.00,7.50,3.00,6.00,7.00,203,NULL,214,'ZONA UM','MARINGÁ','PR',3642,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5052912,8.00,5.00,5.00,6.00,8.00,10.50,5.00,4.00,5.00,450,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5052920,7.00,6.00,1.00,4.00,5.00,8.25,3.00,2.00,4.00,104,NULL,NULL,'BIGORRILHO','CURITIBA','PR',12516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5052939,9.00,5.00,6.00,6.00,10.00,8.63,2.00,6.00,6.00,450,NULL,NULL,'VILA ALPINA','STO ANDRÉ','SP',1868,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5052955,2.00,3.00,1.00,4.00,6.00,NULL,2.00,0.00,1.00,233,NULL,601,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052971,7.00,5.00,1.00,7.00,10.00,8.25,4.00,7.00,4.00,207,NULL,233,'JOAO PAULO','FLORIANÓPOLIS','SC',3757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5052980,7.00,6.00,1.00,6.00,8.00,6.00,2.00,3.00,4.00,319,NULL,NULL,'CENTRO','PALHOÇA','SC',11306,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5052998,5.00,4.00,1.00,2.00,5.00,NULL,0.00,2.00,3.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5053005,5.00,4.00,3.00,4.00,7.00,8.63,1.00,2.00,3.00,336,NULL,NULL,'TABULEIRO','BARRA VELHA','SC',15181,85,NULL,NULL,NULL,NULL,NULL,4,8),(20,5053021,4.00,6.00,0.00,6.00,6.00,7.50,3.00,3.00,3.00,207,NULL,208,'CARIANOS','FLORIANÓPOLIS','SC',14484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053030,8.00,9.00,3.00,7.00,11.00,11.25,2.00,5.00,7.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1630,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5053056,7.00,5.00,5.00,1.00,5.00,9.38,2.00,4.00,5.00,203,NULL,214,'CHAMPAGNAT','CURITIBA','PR',7535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053080,7.00,5.00,1.00,6.00,7.00,10.50,4.00,3.00,7.00,103,NULL,NULL,'MORROTES','TUBARÃO','SC',6576,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5053099,7.00,7.00,3.00,6.00,8.00,10.50,1.00,5.00,6.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',7631,2768,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053102,8.00,8.00,3.00,7.00,9.00,9.38,4.00,3.00,7.00,201,NULL,601,'JARDIM ITU SABARÁ','PTO ALEGRE','RS',4247,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5053110,6.00,6.00,7.00,5.00,7.00,6.75,2.00,2.00,4.00,216,NULL,601,'CENTRO','CLEVELÂNDIA','PR',9486,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5053129,3.00,2.00,1.00,2.00,4.00,NULL,2.00,0.00,0.00,202,NULL,208,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5053137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'VILA FORMOSA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5053145,3.00,4.00,2.00,4.00,8.00,8.63,0.00,4.00,4.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',13921,71,NULL,NULL,NULL,NULL,NULL,2,1),(20,5053153,8.00,9.00,3.00,7.00,9.00,10.50,6.00,6.00,8.00,216,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',1369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053161,0.00,5.00,0.00,0.00,0.00,NULL,3.00,2.00,5.00,103,NULL,NULL,'VILA FLAMBOYANT','APUCARANA','PR',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,3),(20,5053170,7.00,5.00,5.00,6.00,6.00,9.75,1.00,3.00,7.00,302,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',6790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053188,6.00,8.00,6.00,2.00,7.00,10.50,5.00,6.00,5.00,5,NULL,NULL,'ITAIM BIBI','S PAULO','SP',3122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5053200,6.00,7.00,2.00,6.00,10.00,10.50,0.00,3.00,3.00,213,NULL,212,'CAMPINAS','S JOSÉ','SC',7392,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5053218,2.00,5.00,2.00,2.00,2.00,NULL,2.00,3.00,5.00,501,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5053226,8.00,6.00,7.00,7.00,10.00,9.00,5.00,5.00,9.00,103,NULL,NULL,'CENTRO','NOVO HAMBURGO','RS',569,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5053234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5053242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SANTO ANTONIO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5053269,1.00,6.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,450,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHÁCARA AGÁRI','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5053285,8.00,7.00,3.00,7.00,7.00,7.50,4.00,6.00,5.00,5,NULL,NULL,'CHACARA PRIMAVERA','CAMPINAS','SP',4195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053293,4.00,7.00,1.00,3.00,7.00,6.75,1.00,5.00,5.00,102,NULL,NULL,'CENTRO','ARARANGUÁ','SC',11445,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5053307,9.00,7.00,5.00,6.00,10.00,7.13,5.00,4.00,6.00,103,NULL,NULL,'CENTRO','IJUÍ','RS',2312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053315,2.00,7.00,0.00,6.00,5.00,NULL,3.00,2.00,4.00,102,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5053323,7.00,6.00,8.00,7.00,8.00,8.63,5.00,3.00,6.00,203,NULL,235,'VILA PLANALTO','DOURADOS','MS',2647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053340,6.00,5.00,2.00,3.00,5.00,7.50,4.00,3.00,3.00,502,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',14423,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5053358,3.00,4.00,2.00,3.00,6.00,NULL,1.00,3.00,3.00,201,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5053374,8.00,7.00,3.00,4.00,7.00,3.75,4.00,7.00,5.00,224,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5053382,8.00,5.00,1.00,4.00,8.00,10.13,3.00,5.00,7.00,216,NULL,211,'BUTANTÃ JD ESTHER','S PAULO','SP',5045,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5053390,8.00,5.00,1.00,7.00,5.00,8.63,5.00,5.00,5.00,108,NULL,NULL,'ZONA RURAL','CIANORTE','PR',6990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053404,6.00,3.00,0.00,7.00,6.00,6.75,2.00,1.00,6.00,201,NULL,212,'AGUA VERDE','CURITIBA','PR',12395,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5053412,8.00,7.00,4.00,7.00,8.00,10.88,5.00,6.00,7.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053439,6.00,5.00,3.00,5.00,10.00,8.63,3.00,3.00,5.00,207,NULL,201,'OFICINAS','TUBARÃO','SC',7057,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5053447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5053455,6.00,2.00,5.00,5.00,7.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,10),(20,5053463,7.00,7.00,3.00,5.00,7.00,7.13,4.00,6.00,8.00,103,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',3631,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5053471,7.00,7.00,3.00,7.00,8.00,10.88,4.00,5.00,5.00,103,NULL,NULL,'JARDIM CENTRAL','DOURADOS','MS',3656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053480,3.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,17),(20,5053510,7.00,8.00,3.00,6.00,7.00,6.00,4.00,5.00,5.00,238,NULL,201,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',6655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053536,2.00,4.00,2.00,3.00,8.00,NULL,3.00,2.00,2.00,208,NULL,216,'CENTRO','CIRÍACO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5053544,5.00,6.00,3.00,4.00,5.00,8.63,1.00,2.00,2.00,103,NULL,NULL,'SÃO FRANCISCO','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5053552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM IRAJÁ','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5053560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'BROOKLIN PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5053579,8.00,7.00,5.00,7.00,8.00,9.38,7.00,3.00,7.00,103,NULL,NULL,'PASSAGEM','TUBARÃO','SC',2139,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5053587,5.00,7.00,1.00,4.00,8.00,6.75,2.00,4.00,6.00,452,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12200,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5053595,4.00,4.00,0.00,5.00,5.00,NULL,1.00,1.00,4.00,211,NULL,215,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5053617,7.00,7.00,1.00,6.00,8.00,10.13,0.00,5.00,5.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5053625,5.00,6.00,4.00,4.00,5.00,7.13,4.00,3.00,5.00,238,NULL,208,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',10142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5053633,3.00,4.00,1.00,5.00,8.00,NULL,0.00,2.00,2.00,101,NULL,NULL,'POUSO ALTO','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5053641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,214,'FATIMA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5053650,8.00,6.00,6.00,6.00,9.00,9.38,4.00,6.00,7.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053668,9.00,8.00,6.00,7.00,9.00,7.88,7.00,7.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053684,7.00,6.00,3.00,6.00,5.00,8.63,2.00,1.00,3.00,340,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053706,8.00,7.00,5.00,6.00,9.00,9.75,4.00,5.00,9.00,103,NULL,NULL,'PARQUE DOS VINHEDOS','CAXIAS SUL','RS',1372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053714,7.00,4.00,5.00,5.00,4.00,6.75,3.00,4.00,2.00,453,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053722,5.00,6.00,3.00,3.00,5.00,8.63,4.00,1.00,4.00,333,NULL,NULL,'FUNDOS','BIGUAÇU','SC',14018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053749,7.00,5.00,3.00,7.00,6.00,9.75,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',5661,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5053757,5.00,3.00,0.00,6.00,4.00,7.88,1.00,3.00,3.00,207,NULL,233,'JARDIM CENTENÁRIO','JAMBEIRO','SP',15211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5053773,4.00,4.00,1.00,4.00,5.00,7.50,1.00,4.00,4.00,216,NULL,601,'CAMPINAS','S JOSÉ','SC',16019,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5053781,7.00,7.00,5.00,6.00,7.00,6.75,6.00,6.00,7.00,104,NULL,NULL,'TABULEIRO','CAMBORIÚ','SC',3682,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5053803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5053811,5.00,8.00,2.00,3.00,6.00,7.13,4.00,2.00,3.00,415,NULL,NULL,'TERRA NOVA','PIRACICABA','SP',12547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053838,5.00,5.00,1.00,5.00,9.00,11.63,3.00,3.00,1.00,103,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',12408,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5053846,4.00,4.00,2.00,4.00,6.00,7.88,4.00,2.00,3.00,203,NULL,214,'MORRO ESTEVAO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5053870,7.00,6.00,3.00,6.00,8.00,9.75,5.00,5.00,6.00,212,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',3193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053889,9.00,8.00,5.00,6.00,8.00,9.00,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053897,4.00,3.00,3.00,3.00,5.00,NULL,3.00,1.00,2.00,601,NULL,203,'VILA FERROVIARIA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053900,8.00,7.00,1.00,7.00,8.00,10.13,2.00,5.00,4.00,333,NULL,NULL,'BOA VISTA','JOINVILLE','SC',7338,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5053919,9.00,7.00,2.00,6.00,7.00,9.75,4.00,5.00,5.00,453,NULL,NULL,'SANTA TEREZINHA','S BERNARDO CAMPO','SP',4758,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5053927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5053935,7.00,7.00,4.00,5.00,9.00,10.13,2.00,3.00,4.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',6662,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5053951,5.00,3.00,0.00,5.00,6.00,NULL,2.00,3.00,2.00,101,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5053960,4.00,6.00,1.00,1.00,6.00,NULL,1.00,2.00,2.00,201,NULL,NULL,'BELLO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5053978,6.00,6.00,7.00,7.00,10.00,10.50,7.00,3.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5053986,7.00,8.00,7.00,7.00,9.00,12.75,4.00,5.00,7.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',1033,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5053994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MONTEIRO','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5054001,8.00,6.00,0.00,6.00,6.00,NULL,1.00,2.00,3.00,303,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5054010,8.00,8.00,9.00,7.00,11.00,11.25,9.00,8.00,8.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054028,3.00,5.00,1.00,6.00,7.00,7.50,3.00,3.00,4.00,201,NULL,207,'PICADAS DO SUL','S JOSÉ','SC',14899,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5054036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5054044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5054052,2.00,4.00,4.00,4.00,5.00,NULL,0.00,1.00,3.00,109,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5054079,9.00,6.00,7.00,7.00,11.00,9.75,7.00,8.00,8.00,340,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054087,6.00,4.00,2.00,4.00,9.00,10.13,4.00,4.00,4.00,101,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',9004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5054095,5.00,7.00,5.00,4.00,5.00,6.38,1.00,2.00,3.00,201,NULL,202,'POÇO VERDE','MELEIRO','SC',12723,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5054109,4.00,6.00,1.00,5.00,7.00,6.38,4.00,2.00,7.00,211,NULL,207,'JARDIM DO MAR','S BERNARDO CAMPO','SP',9609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054117,9.00,6.00,5.00,6.00,10.00,9.75,8.00,5.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054125,7.00,7.00,4.00,7.00,9.00,10.88,6.00,5.00,5.00,212,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',2406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054133,8.00,7.00,6.00,5.00,9.00,8.63,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5860,2373,NULL,NULL,NULL,NULL,NULL,2,1),(20,5054150,4.00,7.00,3.00,5.00,8.00,8.25,3.00,3.00,6.00,216,NULL,NULL,'CENTRO','PALMITOS','SC',9046,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5054168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5054176,3.00,5.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,404,NULL,NULL,'BAIRRO IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054184,7.00,6.00,1.00,8.00,8.00,6.75,3.00,5.00,5.00,103,NULL,NULL,'JARDIM ESTHER','S PAULO','SP',5878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054230,3.00,6.00,1.00,2.00,3.00,NULL,1.00,3.00,4.00,102,NULL,NULL,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5054257,6.00,8.00,2.00,3.00,7.00,7.50,2.00,5.00,5.00,201,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',9987,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5054265,9.00,7.00,5.00,8.00,8.00,10.13,4.00,4.00,7.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',1977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054273,7.00,7.00,4.00,7.00,8.00,10.13,3.00,4.00,7.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',4296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054281,5.00,7.00,3.00,6.00,7.00,7.88,2.00,3.00,4.00,201,NULL,215,'ROÇADO SÃO JOSE','S JOSÉ','SC',9159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054290,8.00,6.00,5.00,6.00,8.00,8.25,4.00,3.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054303,7.00,7.00,4.00,3.00,8.00,13.50,3.00,4.00,5.00,9,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',5578,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5054311,5.00,5.00,4.00,7.00,5.00,9.75,2.00,2.00,5.00,340,NULL,NULL,'RIO BRANCO','NOVO HAMBURGO','RS',8624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054320,7.00,8.00,3.00,7.00,9.00,9.00,3.00,2.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054338,5.00,4.00,6.00,5.00,8.00,9.00,1.00,4.00,4.00,453,NULL,NULL,'VILA CONCEIÇÃO','S JOÃO SUL','SC',7529,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5054346,7.00,6.00,4.00,7.00,8.00,9.38,2.00,4.00,6.00,213,NULL,214,'JD SOCIAL','CURITIBA','PR',5169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054362,6.00,7.00,3.00,5.00,4.00,6.38,1.00,6.00,4.00,333,NULL,NULL,'JARDIM MERCURIO','MANDAGUAÇU','PR',11210,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5054370,9.00,5.00,8.00,6.00,8.00,9.00,7.00,4.00,9.00,203,NULL,201,'VILA SOFIA','S PAULO','SP',1077,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5054419,9.00,5.00,4.00,5.00,6.00,9.75,4.00,4.00,5.00,302,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',5348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054443,6.00,5.00,2.00,7.00,6.00,8.25,2.00,2.00,6.00,3,NULL,NULL,'VILA OLÍMPIA','S PAULO','SP',10090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054451,3.00,5.00,4.00,5.00,7.00,9.00,1.00,6.00,4.00,308,NULL,NULL,'ALTO DO RIBEIRÃO','FLORIANÓPOLIS','SC',11941,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5054460,6.00,8.00,5.00,3.00,6.00,7.50,4.00,3.00,5.00,104,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',8118,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5054486,3.00,6.00,1.00,7.00,7.00,6.75,2.00,3.00,2.00,425,NULL,429,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PARQUE DA FLORESTA','SUMARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5054508,9.00,8.00,8.00,6.00,10.00,7.13,6.00,6.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',548,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5054516,9.00,7.00,7.00,6.00,10.00,9.75,5.00,5.00,7.00,103,NULL,NULL,'VILA MARIA','PALMEIRA','PR',969,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5054524,4.00,3.00,3.00,2.00,4.00,NULL,0.00,1.00,4.00,303,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054540,4.00,3.00,1.00,5.00,4.00,NULL,0.00,4.00,2.00,5,NULL,NULL,'CANASVIERAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5054567,7.00,6.00,2.00,7.00,6.00,9.38,2.00,4.00,6.00,207,NULL,201,'SAGRADO COR DE JESUS','LAGES','SC',5980,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5054575,8.00,5.00,5.00,7.00,7.00,6.38,4.00,4.00,4.00,201,NULL,212,'SEMINÁRIO','CURITIBA','PR',5610,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5054583,3.00,3.00,0.00,1.00,6.00,NULL,2.00,1.00,5.00,222,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054591,9.00,8.00,6.00,7.00,7.00,10.13,5.00,5.00,8.00,103,NULL,NULL,'JUVEVE','CURITIBA','PR',1651,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5054605,9.00,7.00,7.00,7.00,8.00,9.75,3.00,5.00,7.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5054621,3.00,2.00,0.00,2.00,2.00,NULL,1.00,0.00,1.00,425,NULL,429,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054630,7.00,8.00,3.00,7.00,4.00,9.00,3.00,4.00,3.00,207,NULL,238,'COSTA E SILVA','JOINVILLE','SC',7065,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5054656,9.00,8.00,2.00,6.00,11.00,9.00,2.00,7.00,7.00,207,NULL,601,'ANITA GARIBALDI','JOINVILLE','SC',2505,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5054672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5054680,3.00,3.00,0.00,1.00,3.00,NULL,1.00,2.00,3.00,316,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054702,7.00,6.00,4.00,7.00,8.00,9.00,3.00,4.00,4.00,501,NULL,NULL,'TIMBÉ','TIJUCAS','SC',6475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054710,8.00,6.00,2.00,7.00,9.00,12.75,4.00,5.00,6.00,428,NULL,421,'SANTA MÔNICA','FLORIANÓPOLIS','SC',3368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054729,3.00,7.00,1.00,5.00,6.00,9.75,2.00,5.00,5.00,309,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5054737,1.00,3.00,2.00,3.00,7.00,NULL,2.00,4.00,3.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5054753,8.00,5.00,1.00,8.00,8.00,9.75,1.00,3.00,5.00,331,NULL,NULL,'CIDADE NOVA','RIO GRANDE','RS',8120,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5054761,8.00,7.00,2.00,6.00,8.00,9.38,4.00,5.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054788,7.00,8.00,5.00,4.00,9.00,7.50,5.00,3.00,7.00,104,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4734,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5054796,8.00,7.00,5.00,7.00,10.00,8.63,5.00,6.00,8.00,103,NULL,NULL,'BARRA','BAL CAMBORIÚ','SC',1180,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5054800,7.00,6.00,3.00,7.00,9.00,10.13,3.00,3.00,7.00,207,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054818,4.00,4.00,4.00,4.00,5.00,7.13,1.00,2.00,4.00,208,NULL,238,'CENTRO','S CARLOS','SC',13671,363,NULL,324,NULL,NULL,NULL,4,4),(20,5054826,8.00,5.00,5.00,7.00,9.00,10.13,5.00,4.00,7.00,216,NULL,207,'CENTRO','MARINGÁ','PR',2354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054834,6.00,4.00,4.00,7.00,6.00,6.75,3.00,3.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7461,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5054842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'URBANOVA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5054850,8.00,7.00,6.00,7.00,11.00,9.75,4.00,6.00,8.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054869,5.00,8.00,1.00,6.00,8.00,9.00,1.00,5.00,5.00,424,NULL,427,'TRINDADE','FLORIANÓPOLIS','SC',10394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054877,9.00,8.00,4.00,4.00,9.00,8.25,5.00,5.00,7.00,103,NULL,NULL,'NOVO CENTRO','MARINGÁ','PR',2411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054885,8.00,7.00,6.00,6.00,10.00,12.00,6.00,6.00,8.00,103,NULL,NULL,'CENTRO ADMINISTRATIV','OTACÍLIO COSTA','SC',374,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5054893,8.00,6.00,0.00,7.00,7.00,8.25,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',5809,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5054907,4.00,6.00,1.00,1.00,3.00,NULL,2.00,1.00,3.00,216,NULL,215,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054915,2.00,6.00,3.00,6.00,5.00,NULL,1.00,3.00,4.00,201,NULL,NULL,'POÇO VERDE','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,15),(20,5054923,5.00,6.00,2.00,4.00,5.00,8.63,1.00,3.00,3.00,551,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5054931,7.00,6.00,3.00,4.00,6.00,6.38,2.00,3.00,5.00,110,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',12006,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5054940,3.00,6.00,2.00,8.00,7.00,9.75,0.00,4.00,4.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054958,6.00,6.00,5.00,5.00,5.00,9.00,5.00,3.00,3.00,207,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054974,3.00,3.00,3.00,6.00,5.00,6.75,2.00,3.00,2.00,601,NULL,207,'IRIRIU','JOINVILLE','SC',14806,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5054982,3.00,4.00,4.00,6.00,4.00,6.75,4.00,3.00,4.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5054990,2.00,2.00,2.00,3.00,5.00,NULL,2.00,4.00,2.00,501,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5055008,9.00,7.00,1.00,5.00,6.00,7.88,2.00,2.00,6.00,207,NULL,215,'ARIRIBÁ','BAL CAMBORIÚ','SC',9835,458,NULL,190,NULL,NULL,NULL,4,3),(20,5055016,8.00,7.00,6.00,7.00,3.00,NULL,5.00,7.00,7.00,103,NULL,NULL,'VL MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055024,8.00,5.00,4.00,6.00,8.00,7.88,3.00,3.00,5.00,503,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5055032,5.00,7.00,2.00,5.00,9.00,11.25,4.00,3.00,5.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',5894,2382,NULL,NULL,NULL,NULL,NULL,4,16),(20,5055040,9.00,5.00,6.00,6.00,6.00,7.13,4.00,3.00,6.00,316,NULL,NULL,'MOOCA','S PAULO','SP',4826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055059,7.00,7.00,4.00,4.00,9.00,9.00,3.00,4.00,6.00,233,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',5790,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5055067,6.00,5.00,4.00,4.00,4.00,6.75,2.00,6.00,4.00,203,NULL,NULL,'CENTRO','CURITIBA','PR',9918,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5055075,9.00,7.00,7.00,6.00,9.00,7.13,6.00,5.00,9.00,203,NULL,220,'CENTRO','BAL CAMBORIÚ','SC',1317,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5055083,7.00,6.00,2.00,7.00,5.00,9.38,3.00,3.00,6.00,108,NULL,NULL,'PORTÃO','CURITIBA','PR',9670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055113,8.00,6.00,6.00,6.00,8.00,11.25,4.00,6.00,8.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',1375,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5055121,5.00,5.00,4.00,4.00,6.00,7.13,2.00,2.00,4.00,203,NULL,220,'CAMINHO NOVO','PALHOÇA','SC',14906,929,NULL,364,NULL,NULL,NULL,2,1),(20,5055130,3.00,4.00,1.00,4.00,4.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5055156,6.00,6.00,3.00,7.00,8.00,9.00,2.00,2.00,6.00,9,NULL,NULL,'SANTIAGO POMPEU','SANTIAGO','RS',6289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055164,6.00,6.00,0.00,7.00,7.00,6.75,3.00,4.00,4.00,235,NULL,214,'CENTRO','TELÊMACO BORBA','PR',10621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055172,5.00,6.00,2.00,7.00,9.00,10.13,4.00,3.00,4.00,225,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',9775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055180,3.00,7.00,2.00,4.00,8.00,9.00,3.00,3.00,3.00,201,NULL,203,'ESTREITO','FLORIANÓPOLIS','SC',12224,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5055199,6.00,6.00,1.00,7.00,9.00,9.00,1.00,5.00,4.00,303,NULL,NULL,'BIGORRILHO','CURITIBA','PR',7876,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5055202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'LAGO NORTE','LG NORTE','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5055210,8.00,8.00,5.00,7.00,9.00,10.13,4.00,7.00,9.00,103,NULL,NULL,'CONSOLAÇÃO','RIO CLARO','SP',876,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5055229,3.00,4.00,1.00,7.00,6.00,10.13,2.00,6.00,3.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10668,305,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5055245,6.00,6.00,2.00,3.00,4.00,7.50,2.00,2.00,5.00,429,NULL,427,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5055253,9.00,8.00,7.00,6.00,9.00,9.75,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','CARAZINHO','RS',1631,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5055288,7.00,7.00,3.00,5.00,8.00,13.13,4.00,2.00,8.00,201,NULL,202,'SANTANA','ERMO','SC',3282,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5055296,7.00,2.00,2.00,5.00,8.00,7.13,4.00,0.00,4.00,103,NULL,NULL,'JD MARIA DO CARMO','SOROCABA','SP',13891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5055300,8.00,7.00,2.00,7.00,9.00,9.38,3.00,5.00,5.00,103,NULL,NULL,'ALFÂNDEGA','GARIBALDI','RS',4506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5055326,6.00,7.00,4.00,4.00,8.00,7.50,2.00,2.00,5.00,203,NULL,233,'SANTA CATARINA','CAXIAS SUL','RS',8576,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5055334,7.00,7.00,4.00,6.00,10.00,10.50,3.00,6.00,5.00,326,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',2132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5055342,6.00,2.00,3.00,3.00,3.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'PARQUE RENATO MAIA','GUARULHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5055350,6.00,6.00,0.00,5.00,9.00,12.38,1.00,5.00,4.00,225,NULL,NULL,'CENTRO','IMBITUBA','SC',7687,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5055369,1.00,4.00,0.00,3.00,7.00,NULL,4.00,3.00,4.00,233,NULL,214,'SÃO CRISTÓVÃO','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5055377,5.00,4.00,1.00,4.00,7.00,6.00,1.00,4.00,4.00,303,NULL,NULL,'BNH SEGUNDO PLANO','DOURADOS','MS',14934,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5055385,4.00,6.00,0.00,7.00,6.00,10.88,4.00,5.00,3.00,303,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',11905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055393,4.00,7.00,2.00,3.00,8.00,9.00,2.00,2.00,5.00,238,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',9439,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5055407,6.00,4.00,0.00,4.00,6.00,NULL,0.00,2.00,3.00,104,NULL,NULL,'CENTRO','TAIÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5055423,5.00,6.00,3.00,6.00,8.00,9.75,3.00,2.00,6.00,201,NULL,212,'BOM RETIRO','JOINVILLE','SC',6933,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5055431,8.00,5.00,3.00,4.00,6.00,8.63,0.00,5.00,6.00,319,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',8571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JARDIM BARBOSA','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5055474,3.00,4.00,3.00,3.00,4.00,4.50,1.00,2.00,5.00,201,NULL,216,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5055482,8.00,9.00,3.00,7.00,10.00,8.25,3.00,4.00,5.00,429,NULL,425,'VILA PARAÍSO','CAÇADOR','SC',3534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055490,3.00,5.00,3.00,5.00,5.00,7.50,3.00,1.00,2.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5055504,9.00,7.00,2.00,7.00,7.00,10.50,6.00,4.00,8.00,103,NULL,NULL,'VARGAS','CARAZINHO','RS',2589,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5055512,3.00,7.00,3.00,6.00,7.00,9.38,3.00,2.00,5.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055520,6.00,7.00,6.00,4.00,8.00,9.00,3.00,4.00,4.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7251,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5055547,8.00,8.00,3.00,6.00,8.00,11.63,3.00,5.00,7.00,103,NULL,NULL,'PARQUE CELESTE','S JOSÉ R PRETO','SP',2054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055555,7.00,7.00,3.00,4.00,4.00,8.63,4.00,4.00,5.00,9,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',10047,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5055563,4.00,6.00,1.00,7.00,5.00,7.50,3.00,2.00,4.00,303,NULL,NULL,'CANOAS','RIO SUL','SC',15375,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5055571,3.00,7.00,0.00,4.00,6.00,6.38,3.00,4.00,4.00,203,NULL,201,'EXPOSIÇÃO','CAXIAS SUL','RS',13992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055580,3.00,5.00,0.00,1.00,3.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'TRINTA E UM DE MARÇO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055598,6.00,6.00,5.00,6.00,6.00,7.88,1.00,4.00,4.00,202,NULL,235,'COQUEIROS','FLORIANÓPOLIS','SC',10474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055601,2.00,3.00,0.00,2.00,2.00,NULL,2.00,2.00,2.00,213,NULL,214,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5055610,9.00,7.00,6.00,5.00,7.00,8.63,1.00,5.00,9.00,108,NULL,NULL,'BNH ALTA FLORESTA','TOLEDO','PR',2656,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5055628,7.00,6.00,2.00,5.00,9.00,7.13,2.00,2.00,4.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055636,8.00,6.00,2.00,5.00,10.00,10.13,2.00,3.00,6.00,308,NULL,NULL,'PROGRESSO','BLUMENAU','SC',6190,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5055644,8.00,4.00,8.00,7.00,9.00,7.50,7.00,4.00,9.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',1526,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5055652,7.00,7.00,1.00,7.00,8.00,9.00,3.00,5.00,5.00,103,NULL,NULL,'VILA ESTRELA','PNT GROSSA','PR',5931,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5055679,5.00,4.00,2.00,4.00,6.00,NULL,1.00,2.00,1.00,601,NULL,201,'CENTRO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5055695,5.00,7.00,1.00,6.00,7.00,7.50,0.00,2.00,2.00,319,NULL,NULL,'BELA VISTA','GASPAR','SC',13271,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5055709,6.00,6.00,4.00,6.00,6.00,6.00,3.00,4.00,5.00,201,NULL,211,'PICADAS DO SUL','FLORIANÓPOLIS','SC',9573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055717,6.00,7.00,1.00,6.00,10.00,10.50,3.00,4.00,6.00,207,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055725,7.00,5.00,1.00,5.00,6.00,8.63,4.00,5.00,4.00,203,NULL,202,'JD LOS ANGELES','NOVA ESPERANÇA','PR',9438,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5055733,5.00,7.00,2.00,4.00,9.00,9.00,3.00,2.00,5.00,203,NULL,202,'CENTRO','CRICIÚMA','SC',7941,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5055741,4.00,6.00,1.00,2.00,4.00,11.63,1.00,3.00,4.00,104,NULL,NULL,'REVOREDO','TUBARÃO','SC',15268,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5055750,4.00,6.00,3.00,3.00,4.00,9.00,0.00,2.00,4.00,318,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5055768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5055776,3.00,4.00,0.00,2.00,5.00,NULL,0.00,2.00,4.00,208,NULL,238,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055784,8.00,6.00,8.00,7.00,9.00,12.00,4.00,5.00,6.00,203,NULL,214,'COPOEIRAS','FLORIANÓPOLIS','SC',1340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5055806,4.00,5.00,4.00,3.00,6.00,6.00,2.00,3.00,6.00,102,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5055814,5.00,7.00,4.00,6.00,5.00,6.75,3.00,4.00,7.00,220,NULL,207,'TRINDADE','FLORIANÓPOLIS','SC',8664,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055822,4.00,5.00,4.00,3.00,4.00,NULL,0.00,1.00,3.00,215,NULL,233,'SAYONARA','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5055830,7.00,7.00,2.00,7.00,8.00,9.75,1.00,2.00,4.00,108,NULL,NULL,'CENTRO','JOINVILLE','SC',9306,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5055849,3.00,2.00,1.00,2.00,5.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'VERA CRUZ','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5055857,7.00,7.00,2.00,3.00,4.00,8.63,3.00,2.00,2.00,103,NULL,NULL,'OFICINAS','PNT GROSSA','PR',14677,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5055865,7.00,6.00,4.00,5.00,8.00,7.13,3.00,3.00,6.00,103,NULL,NULL,'APARECIDA','XANXERÊ','SC',6961,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5055873,7.00,6.00,3.00,6.00,10.00,8.25,3.00,3.00,6.00,108,NULL,NULL,'CENTRO','JOINVILLE','SC',5921,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5055890,2.00,5.00,3.00,5.00,2.00,NULL,2.00,2.00,2.00,208,NULL,238,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5055911,3.00,6.00,2.00,4.00,4.00,6.38,3.00,2.00,1.00,317,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',16180,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5055920,6.00,8.00,5.00,7.00,10.00,8.63,5.00,5.00,8.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055946,7.00,4.00,5.00,7.00,7.00,7.13,1.00,3.00,4.00,220,NULL,238,'PERDIZES','S PAULO','SP',9320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055954,3.00,7.00,1.00,0.00,5.00,NULL,2.00,1.00,5.00,238,NULL,208,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5055970,5.00,5.00,5.00,3.00,1.00,NULL,3.00,3.00,6.00,216,NULL,201,'CENTRO','ITAPORANGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5055989,6.00,4.00,4.00,7.00,8.00,7.13,2.00,4.00,3.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',8497,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5055997,3.00,4.00,2.00,7.00,2.00,NULL,0.00,3.00,4.00,601,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5056004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5056012,3.00,6.00,0.00,2.00,5.00,NULL,2.00,1.00,1.00,317,NULL,NULL,'HABITAÇÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5056020,8.00,8.00,7.00,7.00,9.00,10.88,7.00,5.00,7.00,5,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056039,8.00,7.00,5.00,6.00,9.00,6.38,1.00,4.00,9.00,103,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',2870,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5056047,7.00,5.00,1.00,5.00,6.00,6.38,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','GOIOERÊ','PR',10988,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5056055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'ATUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5056063,6.00,5.00,2.00,4.00,7.00,8.25,2.00,3.00,3.00,303,NULL,NULL,'MARAGATINHO','PALMEIRA MISSÕES','RS',12376,503,NULL,NULL,NULL,NULL,NULL,2,1),(20,5056071,7.00,6.00,4.00,4.00,7.00,7.13,3.00,4.00,5.00,501,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',9624,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5056080,8.00,7.00,6.00,7.00,7.00,10.50,6.00,6.00,6.00,214,NULL,213,'ZONA SUL','IA SOLTEIRA','SP',1393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056098,4.00,5.00,5.00,5.00,5.00,7.88,3.00,3.00,4.00,319,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',13928,275,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056101,4.00,5.00,2.00,6.00,6.00,9.00,3.00,2.00,4.00,420,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',13500,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5056110,7.00,7.00,3.00,5.00,7.00,9.00,5.00,3.00,5.00,444,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',6584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5056136,3.00,4.00,2.00,3.00,6.00,NULL,0.00,2.00,3.00,208,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056144,3.00,4.00,0.00,2.00,5.00,NULL,3.00,3.00,5.00,302,NULL,NULL,'ALTO RIO MAINA','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5056187,9.00,8.00,7.00,5.00,10.00,9.38,7.00,5.00,8.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5056195,4.00,6.00,5.00,3.00,7.00,9.00,2.00,5.00,3.00,5,NULL,NULL,'COLÉGIO AGRÍCOLA','ARAQUARI','SC',13290,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5056209,9.00,7.00,2.00,6.00,9.00,10.88,1.00,5.00,6.00,103,NULL,NULL,'CERÂMICA','ERECHIM','RS',4206,1906,NULL,NULL,NULL,NULL,NULL,2,5),(20,5056217,5.00,6.00,4.00,6.00,8.00,7.88,4.00,4.00,4.00,501,NULL,NULL,'CENTRO','TURVO','SC',8001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056233,8.00,6.00,6.00,5.00,7.00,11.25,5.00,4.00,7.00,201,NULL,601,'KOBRASOL','S JOSÉ','SC',2831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5056241,1.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5056250,8.00,8.00,4.00,6.00,8.00,9.38,3.00,5.00,6.00,303,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',3235,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5056276,2.00,5.00,1.00,4.00,5.00,9.75,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',14588,3704,NULL,NULL,NULL,NULL,NULL,2,3),(20,5056284,3.00,6.00,4.00,6.00,5.00,6.75,3.00,3.00,6.00,601,NULL,213,'SCHRAMM','S BENTO SUL','SC',12349,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5056292,6.00,5.00,4.00,7.00,6.00,9.00,3.00,4.00,4.00,5,NULL,NULL,'ABRANCHES','CURITIBA','PR',8669,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5056306,8.00,7.00,1.00,8.00,9.00,10.88,3.00,4.00,7.00,203,NULL,214,'CENTRO','DOURADOS','MS',3146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056314,0.00,5.00,0.00,0.00,0.00,NULL,1.00,3.00,0.00,101,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',2,1),(20,5056330,6.00,6.00,2.00,7.00,9.00,9.00,5.00,4.00,5.00,201,NULL,212,'BARREIRINHA','CURITIBA','PR',4882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056349,5.00,7.00,4.00,6.00,9.00,8.25,2.00,4.00,5.00,203,NULL,214,'BOA PARADA','S PEDRO ALCÂNTARA','SC',6812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056357,7.00,8.00,1.00,5.00,10.00,7.88,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',5564,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5056373,7.00,6.00,0.00,7.00,8.00,7.50,1.00,3.00,6.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056390,5.00,4.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056403,8.00,8.00,1.00,7.00,10.00,12.00,3.00,4.00,7.00,303,NULL,NULL,'BERGER','CAÇADOR','SC',2005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056411,8.00,9.00,5.00,7.00,9.00,9.38,0.00,5.00,6.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',2135,1136,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056420,7.00,6.00,3.00,7.00,10.00,4.50,2.00,3.00,7.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5056438,1.00,6.00,0.00,1.00,4.00,NULL,3.00,1.00,4.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5056446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5056454,2.00,5.00,0.00,5.00,7.00,NULL,2.00,3.00,3.00,208,NULL,238,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5056462,8.00,8.00,5.00,7.00,9.00,8.63,4.00,6.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056470,6.00,5.00,2.00,1.00,6.00,6.75,1.00,4.00,6.00,211,NULL,216,'VILA SÃO FRANCISCO','S PAULO','SP',11659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056489,7.00,8.00,7.00,7.00,8.00,11.25,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PLANALTO PARAÍSO','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5056519,5.00,5.00,5.00,7.00,6.00,7.50,1.00,4.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056527,7.00,6.00,5.00,5.00,5.00,8.63,2.00,6.00,5.00,203,NULL,202,'SEMINARIO','CURITIBA','PR',7541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056551,6.00,4.00,3.00,7.00,8.00,9.38,3.00,2.00,6.00,203,NULL,220,'MARIA GORETTI','CHAPECÓ','SC',8208,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5056594,1.00,5.00,2.00,4.00,5.00,NULL,1.00,3.00,2.00,420,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056608,4.00,3.00,2.00,5.00,3.00,NULL,1.00,0.00,1.00,340,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5056632,9.00,7.00,7.00,7.00,10.00,12.75,7.00,6.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',59,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5056640,8.00,4.00,3.00,6.00,6.00,9.38,2.00,3.00,5.00,420,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',7330,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5056659,6.00,8.00,6.00,7.00,9.00,7.88,6.00,4.00,6.00,203,NULL,214,'REAL PARQUE','S PAULO','SP',2297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056667,6.00,8.00,3.00,6.00,7.00,8.25,3.00,4.00,4.00,340,NULL,NULL,'CENTRO','PALHOÇA','SC',9612,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5056675,3.00,4.00,2.00,7.00,4.00,7.88,4.00,1.00,3.00,212,NULL,213,'ALPHAVILLE','SANTANA PARNAÍBA','SP',13567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056691,7.00,5.00,3.00,5.00,8.00,8.25,4.00,5.00,4.00,207,NULL,215,'CENTRO','IÇARA','SC',6507,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5056713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'JD IPIRANGA','ADAMANTINA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,17),(20,5056721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5056730,4.00,7.00,2.00,7.00,6.00,10.50,2.00,2.00,5.00,429,NULL,425,'COQUEIROS','FLORIANÓPOLIS','SC',12370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056748,8.00,7.00,4.00,5.00,9.00,8.63,5.00,5.00,8.00,201,NULL,601,'BARREIROS','S JOSÉ','SC',2639,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5056756,7.00,5.00,6.00,7.00,7.00,6.00,3.00,3.00,6.00,415,NULL,NULL,'ALTO BONITO','CAÇADOR','SC',6749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5056780,5.00,5.00,0.00,5.00,5.00,6.38,2.00,4.00,2.00,103,NULL,NULL,'POPULAR','LAGES','SC',15928,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5056802,2.00,5.00,1.00,5.00,5.00,NULL,1.00,2.00,2.00,108,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5056810,7.00,5.00,1.00,2.00,5.00,9.00,0.00,4.00,4.00,103,NULL,NULL,'ZONA RURAL','SANTIAGO SUL','SC',12964,3515,NULL,NULL,NULL,NULL,NULL,4,4),(20,5056829,3.00,6.00,0.00,4.00,8.00,9.00,3.00,3.00,3.00,207,NULL,211,'BOM ABRIGO','FLORIANÓPOLIS','SC',13578,643,NULL,421,NULL,NULL,NULL,2,1),(20,5056837,8.00,6.00,3.00,5.00,9.00,7.50,3.00,4.00,6.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056861,1.00,1.00,1.00,1.00,3.00,NULL,1.00,2.00,1.00,304,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056888,8.00,7.00,0.00,7.00,7.00,9.38,3.00,6.00,3.00,328,NULL,NULL,'VILA COSTA E SILVA','CAMPINAS','SP',7689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056896,5.00,6.00,2.00,6.00,4.00,9.38,3.00,3.00,4.00,340,NULL,NULL,'CENTRO','S JOAQUIM','SC',12475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056900,6.00,5.00,2.00,4.00,9.00,9.38,3.00,4.00,4.00,211,NULL,215,'JOAO PAULO','FLORIANÓPOLIS','SC',9263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056918,6.00,7.00,2.00,3.00,8.00,9.75,2.00,6.00,6.00,601,NULL,203,'CENTRO','BARRA VELHA','SC',6690,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5056926,6.00,6.00,5.00,5.00,7.00,8.25,3.00,2.00,4.00,233,NULL,216,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056934,2.00,4.00,2.00,4.00,3.00,NULL,1.00,1.00,3.00,9,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5056942,8.00,7.00,7.00,6.00,10.00,11.63,5.00,6.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',1219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5056969,9.00,6.00,2.00,6.00,10.00,8.25,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',5062,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5056977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,235,'JARDIM CASTRO ALVES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5056985,9.00,9.00,9.00,7.00,10.00,7.50,8.00,5.00,7.00,203,NULL,220,'MAGALHÃES','LAGUNA','SC',260,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5057000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'CENTRO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5057019,7.00,6.00,6.00,6.00,6.00,6.75,5.00,4.00,7.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',6716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057035,4.00,3.00,1.00,2.00,6.00,NULL,2.00,2.00,3.00,101,NULL,NULL,'KORASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057043,6.00,6.00,5.00,7.00,4.00,8.25,5.00,4.00,6.00,303,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',6819,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5057051,8.00,7.00,5.00,7.00,9.00,10.88,5.00,7.00,7.00,216,NULL,201,'IDEAL','NOVO HAMBURGO','RS',1166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057060,4.00,4.00,2.00,4.00,9.00,7.50,3.00,2.00,6.00,404,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',11813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5057078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CONCHAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5057086,4.00,6.00,3.00,3.00,5.00,10.13,3.00,4.00,5.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5057094,8.00,5.00,4.00,6.00,8.00,9.00,4.00,3.00,6.00,104,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',5556,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5057108,9.00,7.00,7.00,7.00,9.00,10.88,4.00,5.00,7.00,103,NULL,NULL,'LA SALLE','XANXERÊ','SC',1721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057116,5.00,7.00,3.00,7.00,5.00,9.75,1.00,4.00,3.00,415,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057124,7.00,7.00,3.00,5.00,6.00,8.63,2.00,4.00,4.00,104,NULL,NULL,'CENTRO','MARINGÁ','PR',9885,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5057132,2.00,5.00,2.00,1.00,4.00,NULL,2.00,3.00,3.00,202,NULL,213,'BELA VISTA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5057140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ARAPONGUINHAS','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5057159,5.00,4.00,3.00,5.00,9.00,11.63,2.00,5.00,4.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8657,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5057167,5.00,7.00,3.00,7.00,6.00,3.75,3.00,2.00,5.00,211,NULL,215,'PARAISO','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057175,5.00,6.00,3.00,4.00,6.00,7.50,0.00,2.00,3.00,201,NULL,207,'BNH III PLANO','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5057183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5057191,5.00,4.00,2.00,1.00,6.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057213,6.00,7.00,3.00,4.00,6.00,7.88,1.00,3.00,6.00,5,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',10992,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5057230,8.00,5.00,0.00,4.00,4.00,6.38,5.00,3.00,6.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',12387,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5057248,9.00,6.00,8.00,7.00,8.00,10.88,6.00,6.00,8.00,103,NULL,NULL,'CAMPOS ELÍSEOS','S PAULO','SP',398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057256,8.00,7.00,4.00,7.00,8.00,10.88,3.00,5.00,5.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057264,8.00,7.00,4.00,7.00,9.00,10.13,2.00,5.00,6.00,333,NULL,NULL,'CENTRO','NOVO HAMBURGO','RS',4335,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5057272,5.00,4.00,0.00,5.00,5.00,NULL,0.00,1.00,1.00,207,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5057280,8.00,9.00,6.00,7.00,9.00,9.00,3.00,6.00,7.00,303,NULL,NULL,'SÃO GERALDO','PTO ALEGRE','RS',1588,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5057302,3.00,4.00,2.00,4.00,5.00,9.38,3.00,3.00,3.00,207,NULL,215,'SÃO CRISTOVAO','LAGES','SC',13694,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5057310,7.00,6.00,1.00,8.00,8.00,13.50,6.00,4.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD UNIVERSITÁRIO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5057337,8.00,5.00,5.00,5.00,8.00,7.88,3.00,3.00,7.00,216,NULL,211,'JARDIM DAS AMÉRICAS','CURITIBA','PR',5761,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5057345,4.00,6.00,2.00,3.00,8.00,9.00,2.00,4.00,5.00,331,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11259,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5057353,1.00,6.00,1.00,5.00,4.00,NULL,1.00,1.00,2.00,233,NULL,213,'JARDIM PAULISTA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057370,4.00,4.00,0.00,3.00,4.00,NULL,2.00,2.00,0.00,104,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5057388,8.00,7.00,4.00,5.00,8.00,6.00,5.00,5.00,7.00,601,NULL,216,'FLORESTA','JOINVILLE','SC',4253,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5057396,2.00,7.00,1.00,2.00,5.00,7.50,2.00,5.00,2.00,420,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',15355,133,NULL,NULL,NULL,NULL,NULL,2,1),(20,5057400,9.00,5.00,6.00,8.00,7.00,8.63,4.00,3.00,8.00,235,NULL,202,'VILA REAL','DOURADOS','MS',2306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057418,8.00,8.00,7.00,7.00,9.00,9.38,3.00,6.00,6.00,333,NULL,NULL,'PARQUE ALTO TAQUARAL','CAMPINAS','SP',1380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057426,2.00,3.00,2.00,5.00,5.00,NULL,1.00,2.00,2.00,303,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5057434,6.00,3.00,3.00,4.00,8.00,9.00,1.00,3.00,4.00,108,NULL,NULL,'CASA BRANCA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5057442,9.00,7.00,5.00,5.00,7.00,9.38,4.00,4.00,6.00,103,NULL,NULL,'CENTRO','ITUPORANGA','SC',4141,1880,NULL,NULL,NULL,NULL,NULL,2,3),(20,5057450,6.00,5.00,1.00,7.00,6.00,0.00,0.00,1.00,6.00,211,NULL,233,'CENTRO','CORNÉLIO PROCÓPIO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5057477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'LAGOA NOVA','NATAL','RN',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5057485,5.00,3.00,4.00,5.00,7.00,11.25,5.00,5.00,6.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4997,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5057507,7.00,6.00,2.00,5.00,9.00,10.50,2.00,4.00,6.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057515,9.00,9.00,6.00,7.00,10.00,10.88,3.00,6.00,8.00,103,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057523,8.00,7.00,5.00,7.00,9.00,10.50,4.00,4.00,6.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057531,7.00,4.00,1.00,6.00,4.00,6.00,2.00,3.00,5.00,234,NULL,NULL,'PILARZINHO','CURITIBA','PR',11897,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5057540,5.00,6.00,4.00,2.00,6.00,8.25,0.00,2.00,3.00,5,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',15998,523,NULL,NULL,NULL,NULL,NULL,2,1),(20,5057558,3.00,5.00,1.00,3.00,6.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5057566,5.00,4.00,1.00,5.00,9.00,NULL,1.00,2.00,3.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5057574,8.00,4.00,2.00,7.00,9.00,7.88,6.00,4.00,6.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',5227,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5057582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5057590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'BARRO VERMELHO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5057604,5.00,3.00,1.00,6.00,9.00,10.13,1.00,3.00,5.00,303,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',11431,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5057620,4.00,6.00,4.00,7.00,5.00,7.13,3.00,2.00,6.00,336,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057639,4.00,4.00,4.00,4.00,7.00,NULL,2.00,2.00,1.00,309,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5057655,8.00,4.00,3.00,7.00,6.00,6.75,5.00,3.00,5.00,216,NULL,233,'CENTRO','CURITIBA','PR',5377,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5057671,5.00,5.00,0.00,4.00,6.00,7.50,3.00,3.00,6.00,303,NULL,NULL,'SERRARIA','S JOSÉ','SC',14792,598,NULL,NULL,NULL,NULL,NULL,2,1),(20,5057680,5.00,4.00,3.00,6.00,6.00,8.63,1.00,2.00,6.00,551,NULL,NULL,'INTERIOR','FR ROGÉRIO','SC',12482,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5057701,5.00,7.00,0.00,2.00,2.00,NULL,2.00,1.00,1.00,216,NULL,211,'ARMAÇÃOD PÂNTANODOSU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057710,8.00,9.00,5.00,6.00,9.00,8.63,6.00,5.00,8.00,202,NULL,211,'MAGALHAES','LAGUNA','SC',1579,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5057728,8.00,6.00,2.00,5.00,4.00,7.13,4.00,5.00,5.00,103,NULL,NULL,'NOVO HORIZONTE','MARINGÁ','PR',9374,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5057736,5.00,4.00,4.00,5.00,9.00,10.13,2.00,5.00,5.00,215,NULL,216,'VARGEM GRANDE','FLORIANÓPOLIS','SC',8121,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5057752,8.00,7.00,4.00,8.00,8.00,11.63,2.00,6.00,6.00,103,NULL,NULL,'BELA VISTA','PTO ALEGRE','RS',2430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057779,5.00,6.00,3.00,5.00,7.00,8.63,3.00,5.00,5.00,302,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10696,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5057795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','S JOSÉ R PARDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5057809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5057817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5057833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'SAO FRANCISCO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5057841,8.00,8.00,4.00,5.00,7.00,6.75,2.00,3.00,4.00,303,NULL,NULL,'JARDIM UNVERSITARO','MARINGÁ','PR',10585,439,NULL,NULL,NULL,NULL,NULL,2,1),(20,5057850,9.00,9.00,7.00,7.00,7.00,8.63,7.00,5.00,6.00,203,NULL,220,'CENTRO','BAL CAMBORIÚ','SC',1409,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5057876,4.00,6.00,1.00,0.00,5.00,NULL,0.00,2.00,4.00,238,NULL,208,'VILA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5057884,5.00,5.00,4.00,1.00,9.00,6.38,3.00,3.00,4.00,213,NULL,214,'MATO QUEIMADO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057892,5.00,6.00,5.00,4.00,5.00,7.50,1.00,4.00,6.00,319,NULL,NULL,'GRAVATÁ','NAVEGANTES','SC',8630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5057906,8.00,5.00,6.00,7.00,6.00,7.50,5.00,4.00,9.00,208,NULL,220,'CENTRO','CPO GRANDE','MS',2927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057914,5.00,6.00,3.00,7.00,8.00,10.88,3.00,7.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057922,5.00,6.00,3.00,5.00,4.00,7.88,4.00,1.00,4.00,207,NULL,NULL,'CENTRO','JAGUARUNA','SC',14819,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5057930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,208,'CENTRO','SALTO GRANDE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5057949,5.00,7.00,3.00,7.00,6.00,11.63,2.00,4.00,3.00,203,NULL,214,'AMERICA','JOINVILLE','SC',6558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057957,6.00,6.00,6.00,6.00,8.00,12.75,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','S MARCOS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5057981,0.00,4.00,3.00,2.00,3.00,NULL,1.00,1.00,3.00,304,NULL,NULL,'NOVA DESCOBERTA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5057990,6.00,5.00,3.00,2.00,7.00,8.25,0.00,5.00,5.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14667,83,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058007,4.00,7.00,0.00,4.00,5.00,NULL,1.00,1.00,3.00,202,NULL,213,'JARDIM AMÉRICA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058015,5.00,5.00,1.00,3.00,5.00,7.88,2.00,2.00,4.00,303,NULL,NULL,'CENTRO','ENTRE R SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5058023,5.00,7.00,4.00,3.00,10.00,7.50,3.00,3.00,5.00,3,NULL,NULL,'BOA PARADA','S PEDRO ALCÂNTARA','SC',9560,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058031,2.00,6.00,3.00,7.00,9.00,8.25,5.00,4.00,5.00,340,NULL,NULL,'ALTO DO PARQUE','LAJEADO','RS',8617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PORTO FLUVIAL','ITAPUÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5058058,7.00,4.00,4.00,6.00,8.00,9.00,3.00,6.00,6.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058066,4.00,6.00,3.00,6.00,5.00,7.88,1.00,4.00,6.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058074,7.00,8.00,3.00,7.00,5.00,10.88,4.00,5.00,5.00,103,NULL,NULL,'HIGIENÓPOLIS','S PAULO','SP',3475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058090,3.00,3.00,1.00,2.00,4.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','AGROLÂNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5058104,6.00,6.00,4.00,7.00,6.00,7.13,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058112,6.00,3.00,1.00,4.00,8.00,NULL,0.00,2.00,3.00,404,NULL,NULL,'JARDIM AMÉRICA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5058120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5058139,3.00,4.00,1.00,6.00,3.00,NULL,3.00,2.00,4.00,211,NULL,216,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5058171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALVORADA','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5058180,1.00,4.00,0.00,2.00,4.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'CENTRO','AGROLÂNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5058198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'CENTRO','DIAMANTE NORTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5058210,1.00,1.00,0.00,4.00,5.00,NULL,0.00,2.00,0.00,333,NULL,NULL,'PLANALTO','GRAMADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058228,5.00,5.00,6.00,5.00,7.00,9.75,1.00,2.00,5.00,211,NULL,207,'JARDIM SINUELO','ASTORGA','PR',7740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058236,5.00,5.00,1.00,5.00,8.00,9.00,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058244,5.00,6.00,5.00,6.00,4.00,6.75,2.00,3.00,3.00,452,NULL,NULL,'ALTO DA XV','CURITIBA','PR',10027,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5058252,3.00,2.00,0.00,4.00,4.00,NULL,3.00,2.00,3.00,303,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058260,3.00,4.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,317,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058279,5.00,6.00,1.00,5.00,6.00,9.00,3.00,3.00,2.00,420,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',13224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058287,4.00,8.00,3.00,7.00,9.00,8.25,4.00,5.00,7.00,203,NULL,235,'CENTRO','BAL CAMBORIÚ','SC',4287,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5058309,9.00,8.00,4.00,6.00,9.00,4.50,2.00,5.00,7.00,103,NULL,NULL,'JARDIM TAROBÁ','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5058317,2.00,5.00,1.00,2.00,3.00,NULL,1.00,0.00,2.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058325,9.00,6.00,3.00,5.00,7.00,8.25,6.00,4.00,7.00,103,NULL,NULL,'SERRARIA','S JOSÉ','SC',3889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058333,4.00,4.00,0.00,5.00,6.00,10.13,3.00,6.00,4.00,426,NULL,428,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058341,9.00,6.00,1.00,7.00,5.00,11.25,4.00,5.00,8.00,103,NULL,NULL,'ZONA','MARINGÁ','PR',3069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058350,4.00,5.00,1.00,5.00,9.00,9.75,2.00,6.00,6.00,207,NULL,201,'JARDIM CAIÇARA','S JOAQUIM','SC',8476,NULL,NULL,NULL,NULL,NULL,NULL,5,9),(20,5058376,4.00,5.00,3.00,7.00,4.00,9.00,4.00,4.00,7.00,201,NULL,233,'CENTRO HISTÓRICO','S JOSÉ','SC',9478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JD ATLANTICO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5058406,0.00,5.00,3.00,4.00,5.00,NULL,2.00,3.00,3.00,214,NULL,233,'SANTANA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058414,2.00,2.00,0.00,4.00,5.00,NULL,2.00,2.00,0.00,208,NULL,238,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058422,8.00,8.00,4.00,5.00,6.00,9.38,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',5693,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5058430,8.00,7.00,3.00,7.00,9.00,9.00,1.00,5.00,5.00,201,NULL,NULL,'ARDENGHI','PALMEIRA MISSÕES','RS',4624,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5058473,9.00,7.00,8.00,6.00,10.00,10.50,6.00,7.00,9.00,103,NULL,NULL,'HARMONIA','CANOAS','RS',271,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5058490,3.00,5.00,0.00,5.00,5.00,NULL,0.00,2.00,3.00,301,NULL,NULL,'ARMAÇAO DO P DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058503,6.00,6.00,3.00,6.00,4.00,8.25,2.00,5.00,6.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8394,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058511,6.00,6.00,1.00,5.00,7.00,8.25,2.00,4.00,3.00,201,NULL,601,'AGRONÔMICA','FLORIANÓPOLIS','SC',10190,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058520,4.00,8.00,2.00,7.00,7.00,8.63,1.00,4.00,4.00,201,NULL,211,'BARRA DO RIO MOLHA','JARAGUÁ SUL','SC',11511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058538,7.00,5.00,3.00,5.00,6.00,6.75,2.00,6.00,6.00,103,NULL,NULL,'SANTANA','GUARAPUAVA','PR',6890,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5058546,9.00,7.00,6.00,7.00,8.00,10.13,7.00,4.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1028,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5058554,9.00,7.00,5.00,7.00,10.00,10.13,5.00,8.00,7.00,103,NULL,NULL,'JARDIM NOVO HORIZONT','MARINGÁ','PR',653,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5058562,4.00,7.00,4.00,4.00,6.00,9.00,3.00,3.00,3.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12917,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(20,5058597,4.00,5.00,0.00,5.00,6.00,NULL,0.00,3.00,2.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CARANDÁ BOSQUE','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5058619,8.00,7.00,5.00,7.00,8.00,9.75,7.00,4.00,8.00,203,NULL,214,'CENTRO','PIRAPOZINHO','SP',2086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058635,4.00,6.00,2.00,2.00,5.00,NULL,1.00,3.00,1.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058651,6.00,8.00,1.00,3.00,9.00,9.38,4.00,2.00,6.00,203,NULL,220,'POMPÉIA','TAPERA','RS',6339,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5058686,6.00,5.00,0.00,5.00,5.00,9.75,3.00,2.00,6.00,303,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',11641,475,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058694,3.00,3.00,3.00,3.00,2.00,NULL,0.00,1.00,3.00,319,NULL,NULL,'BOQUEIRÃO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5058708,5.00,7.00,0.00,3.00,5.00,7.88,1.00,2.00,3.00,201,NULL,212,'COSTA DO MACACU','GAROPABA','SC',14429,1024,NULL,355,NULL,NULL,NULL,2,1),(20,5058716,2.00,3.00,1.00,3.00,3.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'BARRA DO RIO MOLHA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058724,7.00,6.00,2.00,6.00,8.00,9.00,0.00,5.00,4.00,102,NULL,NULL,'AGUA BRANCA','S FRANCISCO SUL','SC',8927,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5058732,6.00,7.00,0.00,3.00,7.00,6.75,4.00,5.00,5.00,317,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',10911,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5058740,0.00,3.00,1.00,4.00,3.00,NULL,2.00,1.00,2.00,404,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058759,2.00,6.00,4.00,5.00,7.00,9.38,2.00,3.00,5.00,308,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',11907,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058767,6.00,4.00,2.00,5.00,4.00,7.13,0.00,3.00,2.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,235,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5058783,7.00,7.00,3.00,4.00,8.00,12.00,2.00,2.00,5.00,104,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',8341,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058805,4.00,4.00,1.00,3.00,7.00,NULL,2.00,3.00,3.00,329,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058813,5.00,6.00,0.00,4.00,7.00,NULL,0.00,1.00,1.00,103,NULL,NULL,'PEREQUE','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5058821,8.00,6.00,6.00,6.00,5.00,9.00,5.00,2.00,6.00,201,NULL,212,'CAMPO COMPRIDO','CURITIBA','PR',5039,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5058830,5.00,5.00,6.00,3.00,8.00,6.75,4.00,4.00,8.00,203,NULL,NULL,'BOA VISTA','CANOINHAS','SC',8962,655,NULL,NULL,NULL,NULL,NULL,2,17),(20,5058848,0.00,5.00,0.00,0.00,0.00,NULL,6.00,4.00,4.00,203,NULL,216,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,8),(20,5058856,6.00,8.00,4.00,8.00,9.00,10.88,6.00,7.00,7.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',747,NULL,NULL,NULL,NULL,NULL,NULL,3,4),(20,5058872,5.00,7.00,2.00,1.00,7.00,9.38,3.00,3.00,5.00,426,NULL,428,'INGLESES','FLORIANÓPOLIS','SC',11111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058880,3.00,6.00,2.00,6.00,7.00,10.88,3.00,3.00,5.00,201,NULL,215,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',9398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058899,4.00,0.00,1.00,4.00,6.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5058902,7.00,5.00,4.00,4.00,6.00,7.50,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',10599,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058910,6.00,5.00,1.00,4.00,8.00,9.00,0.00,4.00,4.00,9,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',13274,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058929,4.00,4.00,2.00,5.00,7.00,6.75,0.00,3.00,4.00,303,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058945,6.00,8.00,5.00,6.00,8.00,9.75,1.00,2.00,4.00,215,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',8386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058953,4.00,2.00,1.00,4.00,5.00,NULL,0.00,1.00,4.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058961,4.00,4.00,1.00,5.00,7.00,7.50,3.00,4.00,1.00,331,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',14697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5058970,6.00,4.00,3.00,4.00,6.00,8.25,1.00,2.00,3.00,428,NULL,426,'GAMBOA','PAULO LOPES','SC',16156,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5058988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'GRAVATÁ','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5058996,1.00,1.00,0.00,2.00,5.00,NULL,1.00,3.00,2.00,551,NULL,NULL,'SAO JOSÉ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5059011,7.00,5.00,3.00,6.00,6.00,8.63,4.00,3.00,5.00,233,NULL,211,'IPIRANGA','LAGES','SC',8986,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5059038,3.00,7.00,4.00,4.00,4.00,6.00,1.00,4.00,2.00,213,NULL,220,'ABRAÃO','FLORIANÓPOLIS','SC',16049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5059046,4.00,5.00,2.00,3.00,7.00,7.88,0.00,5.00,3.00,9,NULL,NULL,'CENTRO','CELSO RAMOS','SC',14809,96,NULL,NULL,NULL,NULL,NULL,4,7),(20,5059054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'REBOUCAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5059062,8.00,7.00,6.00,7.00,7.00,7.50,5.00,3.00,7.00,201,NULL,202,'MOOCA','S PAULO','SP',2063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059070,3.00,6.00,1.00,2.00,2.00,NULL,0.00,2.00,3.00,444,NULL,NULL,'CAMPEHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059089,9.00,6.00,6.00,7.00,9.00,8.63,4.00,6.00,9.00,103,NULL,NULL,'CENTRO','PALMAS','PR',1500,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5059097,2.00,7.00,0.00,4.00,1.00,NULL,0.00,2.00,4.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5059100,6.00,4.00,2.00,5.00,7.00,8.63,2.00,1.00,6.00,102,NULL,NULL,'CENTRO','ERMO','SC',10155,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5059119,6.00,7.00,5.00,5.00,10.00,10.50,8.00,7.00,4.00,103,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',1267,737,NULL,NULL,NULL,NULL,NULL,2,1),(20,5059127,8.00,6.00,4.00,5.00,8.00,9.38,3.00,4.00,8.00,103,NULL,NULL,'JARDIM GUAPORÉ','MARINGÁ','PR',5278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059143,8.00,6.00,6.00,5.00,9.00,8.63,4.00,3.00,8.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',3602,NULL,NULL,NULL,NULL,NULL,NULL,2,1);
INSERT INTO boletim_desempenho VALUES (20,5059151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO CIVICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5059160,4.00,6.00,4.00,5.00,5.00,9.38,2.00,3.00,2.00,202,NULL,213,'PARQUE SÃO VICENTE','S VICENTE','SP',12148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'URBANOVA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5059208,9.00,7.00,7.00,7.00,8.00,10.13,3.00,4.00,7.00,103,NULL,NULL,'ROYAL PARK','CPO GRANDE','MS',1866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLAMBOYANT','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5059224,2.00,3.00,0.00,4.00,2.00,NULL,0.00,2.00,2.00,653,NULL,202,'LINHA CONTESSI','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5059240,9.00,6.00,2.00,5.00,7.00,9.00,2.00,3.00,8.00,216,NULL,203,'REBOUÇAS','CURITIBA','PR',5131,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5059259,7.00,4.00,1.00,6.00,5.00,8.25,1.00,4.00,2.00,202,NULL,220,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059267,5.00,3.00,2.00,2.00,7.00,NULL,1.00,2.00,3.00,9,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059275,5.00,5.00,3.00,5.00,6.00,9.75,3.00,2.00,4.00,316,NULL,NULL,'NASPOLINI','CRICIÚMA','SC',12558,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5059283,7.00,7.00,2.00,6.00,8.00,7.88,3.00,5.00,5.00,103,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',8982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'JARDIM MARABÁ','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5059313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5059321,7.00,6.00,4.00,4.00,9.00,9.75,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059356,4.00,3.00,0.00,3.00,6.00,NULL,0.00,3.00,4.00,207,NULL,238,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5059364,3.00,5.00,1.00,4.00,5.00,7.13,4.00,3.00,1.00,308,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',15428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5059372,2.00,4.00,2.00,2.00,4.00,NULL,1.00,2.00,3.00,208,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5059380,2.00,5.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,207,NULL,201,'BOM JESUS','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5059399,6.00,6.00,1.00,5.00,6.00,NULL,0.00,2.00,5.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5059410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'GLORIA','CATANDUVA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5059429,9.00,7.00,5.00,7.00,11.00,12.75,6.00,6.00,9.00,103,NULL,NULL,'PERDIZES','S PAULO','SP',187,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5059437,3.00,3.00,0.00,1.00,4.00,NULL,2.00,2.00,3.00,216,NULL,208,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059453,3.00,4.00,4.00,6.00,6.00,6.75,2.00,3.00,2.00,316,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',13537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059461,8.00,8.00,8.00,7.00,9.00,11.25,7.00,7.00,8.00,203,NULL,216,'COSTA E SILVA','JOINVILLE','SC',151,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5059470,8.00,6.00,1.00,7.00,10.00,8.63,3.00,5.00,6.00,103,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',5282,2224,NULL,NULL,NULL,NULL,NULL,2,4),(20,5059488,8.00,8.00,5.00,6.00,8.00,13.13,3.00,5.00,7.00,303,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',2471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5059496,8.00,7.00,0.00,6.00,7.00,9.00,1.00,5.00,2.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',9341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059500,9.00,8.00,6.00,7.00,9.00,11.25,5.00,5.00,9.00,233,NULL,601,'PASSO DOS FORTES','CHAPECÓ','SC',698,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5059518,1.00,4.00,1.00,5.00,7.00,6.38,2.00,4.00,4.00,308,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5059526,2.00,6.00,1.00,5.00,6.00,4.88,2.00,2.00,6.00,317,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5059534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5059550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JARDIM CASQUEIRO','CUBATÃO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5059569,7.00,5.00,5.00,3.00,4.00,7.88,2.00,4.00,3.00,108,NULL,NULL,'ITAGUACU','FLORIANÓPOLIS','SC',12305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059577,3.00,3.00,0.00,4.00,3.00,NULL,2.00,2.00,2.00,203,NULL,201,'UNIÃO','ETN VELHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5059585,3.00,4.00,2.00,5.00,4.00,NULL,2.00,1.00,3.00,238,NULL,203,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5059593,4.00,3.00,1.00,4.00,6.00,8.25,2.00,3.00,3.00,501,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',14627,97,NULL,NULL,NULL,NULL,NULL,2,3),(20,5059607,3.00,4.00,0.00,3.00,7.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','FAXINALZINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5059623,4.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,653,NULL,652,'JARDIM CIBELE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,15),(20,5059631,8.00,7.00,7.00,8.00,9.00,12.38,8.00,3.00,8.00,103,NULL,NULL,'JARDIM BRASIL','BOTUCATU','SP',553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059640,4.00,7.00,1.00,7.00,9.00,11.63,2.00,4.00,4.00,207,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',9029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059658,6.00,4.00,1.00,4.00,8.00,8.63,0.00,2.00,3.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',13676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059666,6.00,4.00,2.00,7.00,7.00,8.63,4.00,5.00,4.00,208,NULL,238,'CORREGO GRANDE','FLORIANÓPOLIS','SC',7908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,203,'SÃO PEDRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5059682,8.00,7.00,7.00,7.00,8.00,8.25,4.00,5.00,7.00,201,NULL,235,'CENTRO','MARUMBI','PR',2572,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5059690,8.00,7.00,2.00,7.00,4.00,8.63,3.00,3.00,7.00,103,NULL,NULL,'SAGUCU','JOINVILLE','SC',7470,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5059712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM ANA EMÍLIA','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5059720,7.00,6.00,3.00,5.00,10.00,8.25,2.00,5.00,5.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5059747,1.00,5.00,3.00,2.00,5.00,NULL,1.00,1.00,3.00,302,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059755,4.00,5.00,1.00,5.00,5.00,NULL,1.00,1.00,4.00,9,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5059763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ELITE','PIRASSUNUNGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5059771,8.00,7.00,2.00,5.00,8.00,10.50,2.00,5.00,5.00,201,NULL,212,'CENTRO','SARANDI','RS',5858,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5059780,3.00,6.00,2.00,3.00,3.00,NULL,2.00,0.00,2.00,601,NULL,NULL,'CENTRO','CPO ALEGRE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5059798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5059801,3.00,2.00,2.00,1.00,3.00,NULL,0.00,0.00,1.00,653,NULL,652,'JARDIM CIBELE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5059810,8.00,5.00,3.00,5.00,5.00,8.63,3.00,2.00,4.00,103,NULL,NULL,'VILA RICA','CPO GRANDE','MS',9649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5059836,9.00,8.00,6.00,4.00,10.00,10.13,4.00,6.00,4.00,108,NULL,NULL,'IPIRANGA','S JOSÉ','SC',2405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5059852,8.00,6.00,3.00,7.00,7.00,10.13,4.00,2.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059860,7.00,6.00,4.00,7.00,10.00,7.88,1.00,3.00,4.00,452,NULL,NULL,'AGRNÔMICA','FLORIANÓPOLIS','SC',6488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059879,2.00,1.00,0.00,3.00,2.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'PRESIDENTE MEDICI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5059887,8.00,7.00,8.00,7.00,8.00,9.38,8.00,5.00,9.00,216,NULL,203,'ITARARÉ','S VICENTE','SP',514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059895,8.00,7.00,4.00,7.00,9.00,11.63,2.00,6.00,5.00,303,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',3731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059909,3.00,4.00,1.00,3.00,5.00,7.50,2.00,2.00,5.00,9,NULL,NULL,'BOQUEIRAO','SANTOS','SP',15170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5059917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM ARACILIA','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5059976,4.00,5.00,2.00,3.00,6.00,7.13,2.00,2.00,3.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',14652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5059984,8.00,7.00,2.00,5.00,6.00,6.38,3.00,3.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10208,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5059992,9.00,7.00,3.00,5.00,9.00,9.00,4.00,5.00,6.00,103,NULL,NULL,'SAIC','CHAPECÓ','SC',3245,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5060001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA CLEMENTINO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5060010,9.00,9.00,8.00,8.00,11.00,8.63,8.00,6.00,7.00,103,NULL,NULL,'SANTANA','PTO ALEGRE','RS',136,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5060028,4.00,5.00,2.00,4.00,6.00,NULL,0.00,1.00,1.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060036,9.00,7.00,5.00,8.00,8.00,9.00,7.00,6.00,7.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',817,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5060044,6.00,7.00,4.00,3.00,4.00,6.00,4.00,4.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060052,7.00,8.00,5.00,7.00,9.00,7.50,2.00,4.00,5.00,304,NULL,NULL,'MORADA DO SOL','ERECHIM','RS',5220,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5060060,5.00,3.00,2.00,3.00,6.00,NULL,2.00,1.00,2.00,420,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060079,9.00,7.00,5.00,7.00,7.00,10.13,6.00,5.00,7.00,203,NULL,601,'AMÉRICA','JOINVILLE','SC',1453,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5060087,6.00,6.00,3.00,6.00,9.00,9.38,2.00,4.00,6.00,503,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5060095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5060117,6.00,3.00,4.00,6.00,6.00,12.38,3.00,4.00,5.00,207,NULL,211,'CENTRO','STO AMARO IMPERATRIZ','SC',7866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060125,8.00,7.00,5.00,6.00,7.00,9.75,4.00,5.00,7.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',3045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060141,4.00,5.00,2.00,5.00,7.00,7.88,1.00,4.00,3.00,503,NULL,NULL,'JARDIM CARANDAI','BIGUAÇU','SC',13010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060150,8.00,5.00,6.00,6.00,8.00,8.25,4.00,5.00,6.00,202,NULL,203,'CENTRO','CURITIBA','PR',3957,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5060176,9.00,8.00,5.00,6.00,8.00,8.63,7.00,5.00,6.00,220,NULL,208,'ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC',3130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060184,8.00,6.00,7.00,8.00,7.00,7.88,0.00,3.00,8.00,203,NULL,220,'ATIRADORES','JOINVILLE','SC',4238,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5060192,4.00,6.00,3.00,7.00,6.00,9.38,4.00,4.00,6.00,201,NULL,207,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060206,6.00,5.00,3.00,6.00,6.00,9.38,5.00,4.00,6.00,103,NULL,NULL,'ATUBA','PINHAIS','PR',5314,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5060214,8.00,5.00,2.00,7.00,8.00,6.75,3.00,4.00,3.00,233,NULL,220,'SANTINHO','FLORIANÓPOLIS','SC',10981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060222,8.00,4.00,2.00,6.00,9.00,7.88,3.00,5.00,6.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',6447,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5060230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,213,'SCHROEDE I','SCHROEDER','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5060257,3.00,7.00,3.00,2.00,2.00,NULL,0.00,1.00,2.00,216,NULL,NULL,'CAMPO DA AVIAÇÃO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060273,5.00,4.00,0.00,7.00,7.00,4.50,3.00,1.00,5.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM SANTO ANTONIO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5060320,6.00,5.00,1.00,4.00,6.00,NULL,0.00,1.00,3.00,420,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5060346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'GRUTA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5060354,6.00,6.00,2.00,7.00,7.00,10.88,2.00,1.00,6.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',7801,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5060362,7.00,9.00,6.00,5.00,7.00,7.13,3.00,6.00,8.00,202,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',3865,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5060370,6.00,6.00,0.00,2.00,7.00,NULL,2.00,1.00,2.00,302,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5060389,6.00,4.00,2.00,4.00,6.00,8.63,0.00,2.00,3.00,108,NULL,NULL,'CENTRO','GUARUJÁ','SP',15003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060400,5.00,4.00,0.00,4.00,6.00,11.25,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',15365,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5060419,7.00,6.00,5.00,7.00,8.00,7.88,3.00,5.00,8.00,201,NULL,203,'SÃO LUIZ','BRUSQUE','SC',3139,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5060435,7.00,6.00,7.00,6.00,7.00,11.25,4.00,4.00,7.00,207,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',3172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060443,0.00,5.00,3.00,2.00,5.00,7.50,4.00,2.00,4.00,201,NULL,212,'CENTRO','DIONÍSIO CERQUEIRA','SC',15634,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5060451,3.00,5.00,1.00,3.00,4.00,8.25,2.00,4.00,3.00,327,NULL,NULL,'PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5060478,8.00,8.00,6.00,6.00,9.00,7.88,4.00,5.00,8.00,103,NULL,NULL,'JARDIM MATILDE','OURINHOS','SP',2212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060486,2.00,6.00,3.00,5.00,5.00,NULL,0.00,2.00,0.00,5,NULL,NULL,'SANTA ROSA','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060494,8.00,7.00,3.00,7.00,7.00,7.50,3.00,2.00,7.00,216,NULL,235,'JARDIM ESPERANÇA','CANOINHAS','SC',5188,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5060508,4.00,6.00,2.00,2.00,2.00,NULL,1.00,2.00,3.00,207,NULL,212,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5060516,7.00,7.00,0.00,4.00,4.00,7.50,1.00,3.00,5.00,208,NULL,214,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',11636,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5060524,5.00,6.00,3.00,6.00,9.00,9.75,3.00,3.00,4.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060532,2.00,1.00,0.00,3.00,2.00,NULL,0.00,0.00,1.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060540,6.00,4.00,3.00,6.00,4.00,7.50,3.00,5.00,3.00,201,NULL,212,'CENTRO','CURITIBA','PR',11547,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5060567,4.00,6.00,1.00,6.00,5.00,9.38,3.00,2.00,5.00,207,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',10766,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5060575,9.00,6.00,6.00,6.00,9.00,10.50,7.00,4.00,8.00,103,NULL,NULL,'SERRADINHO','CPO GRANDE','MS',903,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060583,8.00,7.00,6.00,6.00,9.00,9.38,5.00,6.00,6.00,103,NULL,NULL,'COPACABANA','LAGES','SC',2036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5060605,3.00,3.00,0.00,5.00,6.00,NULL,2.00,1.00,3.00,208,NULL,220,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5060613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM PARAISO','LUÍS E MAGALHÃES','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5060621,3.00,4.00,1.00,6.00,4.00,7.13,2.00,4.00,4.00,104,NULL,NULL,'EFAPI','CHAPECÓ','SC',15446,419,NULL,NULL,NULL,NULL,NULL,4,4),(20,5060630,5.00,7.00,2.00,3.00,5.00,8.25,2.00,4.00,8.00,501,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12020,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5060648,1.00,4.00,1.00,4.00,6.00,NULL,0.00,2.00,5.00,103,NULL,NULL,'PAPAGAIOS','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5060664,8.00,9.00,5.00,8.00,10.00,11.25,5.00,6.00,7.00,220,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060672,9.00,7.00,2.00,5.00,11.00,8.25,7.00,6.00,6.00,103,NULL,NULL,'DAS NAÇÕES','FRAIBURGO','SC',1528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060699,7.00,5.00,6.00,7.00,8.00,10.88,3.00,5.00,7.00,103,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',2998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060702,8.00,9.00,3.00,5.00,8.00,7.13,5.00,3.00,7.00,203,NULL,214,'JDM PAULO AFONSO','PETROLINA','PE',3859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060710,5.00,5.00,0.00,4.00,6.00,NULL,1.00,1.00,4.00,103,NULL,NULL,'CENTRO','AMPÉRE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5060729,7.00,8.00,5.00,4.00,8.00,8.25,5.00,5.00,7.00,207,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',3612,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5060737,9.00,8.00,7.00,7.00,9.00,9.00,4.00,7.00,7.00,103,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060745,7.00,5.00,3.00,4.00,6.00,10.13,5.00,3.00,5.00,214,NULL,211,'SAMAMBAIA NORTE','SAMAMBAIA','DF',9109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060753,6.00,5.00,1.00,3.00,5.00,7.50,2.00,1.00,4.00,501,NULL,NULL,'CENTRO','CAMBORIÚ','SC',14997,101,NULL,NULL,NULL,NULL,NULL,2,3),(20,5060761,9.00,9.00,5.00,7.00,10.00,10.50,9.00,8.00,8.00,220,NULL,203,'CONSOLAÇÃO','S PAULO','SP',79,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060770,6.00,5.00,4.00,6.00,6.00,10.88,1.00,1.00,3.00,208,NULL,238,'CENTRO','GAROPABA','SC',11256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060788,6.00,5.00,4.00,3.00,8.00,8.25,3.00,2.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7958,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5060796,5.00,4.00,3.00,5.00,8.00,7.50,2.00,2.00,5.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',11115,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5060800,9.00,6.00,4.00,6.00,6.00,7.50,5.00,5.00,7.00,103,NULL,NULL,'PORTAL DOS PILARES','CERQUILHO','SP',3759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5060826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TATUAPÉ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5060842,2.00,3.00,0.00,3.00,5.00,NULL,3.00,3.00,1.00,503,NULL,NULL,'KENNEDY','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5060850,4.00,5.00,3.00,6.00,6.00,8.25,3.00,3.00,3.00,429,NULL,428,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060869,6.00,7.00,5.00,3.00,7.00,7.50,6.00,4.00,4.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',8367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5060893,3.00,4.00,1.00,6.00,8.00,7.88,2.00,3.00,2.00,415,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5060907,3.00,3.00,2.00,6.00,7.00,NULL,3.00,1.00,3.00,216,NULL,233,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(20,5060915,8.00,7.00,2.00,7.00,9.00,9.75,3.00,6.00,5.00,103,NULL,NULL,'ESPLANADA','CHAPECÓ','SC',3972,1837,NULL,NULL,NULL,NULL,NULL,4,4),(20,5060923,7.00,6.00,5.00,7.00,9.00,7.88,2.00,4.00,6.00,601,NULL,203,'CENTRO','JOINVILLE','SC',4888,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5060931,4.00,6.00,3.00,3.00,5.00,6.00,3.00,4.00,5.00,214,NULL,601,'MERCES','CURITIBA','PR',11797,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5060940,8.00,5.00,1.00,5.00,3.00,NULL,4.00,2.00,5.00,102,NULL,NULL,'UNIVERSITARIO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5060958,8.00,8.00,6.00,7.00,10.00,7.88,3.00,4.00,6.00,103,NULL,NULL,'VILA GUAÍRA','CURITIBA','PR',3217,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5060974,7.00,6.00,3.00,4.00,5.00,9.38,6.00,4.00,7.00,211,NULL,201,'CENTRO','CORUMBÁ','MS',5177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5060982,2.00,3.00,2.00,4.00,2.00,NULL,2.00,1.00,2.00,203,NULL,202,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5060990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO FIORITA','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,5),(20,5061008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CAMBUI','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5061016,7.00,5.00,3.00,4.00,8.00,8.25,3.00,2.00,5.00,207,NULL,201,'RIO BELO','ORLEANS','SC',8987,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5061032,5.00,5.00,3.00,3.00,9.00,8.25,2.00,5.00,5.00,327,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',11562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5061040,8.00,6.00,4.00,4.00,5.00,8.25,6.00,3.00,3.00,104,NULL,NULL,'VENEZA','XANXERÊ','SC',7723,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5061067,6.00,4.00,1.00,3.00,4.00,7.50,3.00,3.00,2.00,103,NULL,NULL,'CENTRO','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5061075,9.00,7.00,3.00,7.00,9.00,9.38,3.00,4.00,7.00,103,NULL,NULL,'PROGRESSO','S LOURENÇO OESTE','SC',2893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061083,7.00,5.00,4.00,7.00,8.00,10.50,3.00,2.00,6.00,333,NULL,NULL,'MADUREIRA','CAXIAS SUL','RS',5600,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5061091,5.00,5.00,2.00,4.00,7.00,6.38,2.00,2.00,6.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14035,67,NULL,NULL,NULL,NULL,NULL,2,1),(20,5061105,6.00,4.00,3.00,5.00,5.00,9.75,1.00,3.00,4.00,211,NULL,216,'VENEZA','XANXERÊ','SC',13268,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5061113,7.00,8.00,6.00,6.00,8.00,9.75,5.00,5.00,7.00,601,NULL,202,'BUCAREIN','JOINVILLE','SC',1777,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5061121,4.00,3.00,1.00,3.00,6.00,NULL,1.00,2.00,5.00,203,NULL,214,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5061130,5.00,8.00,0.00,1.00,8.00,7.50,1.00,2.00,4.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',14090,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5061148,6.00,6.00,2.00,6.00,8.00,10.50,1.00,4.00,6.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',6205,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5061156,9.00,5.00,5.00,6.00,8.00,7.50,6.00,4.00,7.00,201,NULL,220,'CENTRO','ABELARDO LUZ','SC',4136,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5061164,9.00,8.00,6.00,5.00,10.00,9.00,6.00,8.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',345,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5061172,5.00,6.00,2.00,7.00,7.00,9.75,2.00,3.00,5.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',8585,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5061180,7.00,7.00,5.00,7.00,8.00,7.50,4.00,4.00,5.00,202,NULL,213,'BIGORRILHO','CURITIBA','PR',3971,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5061199,7.00,7.00,6.00,7.00,7.00,9.00,3.00,3.00,3.00,415,NULL,NULL,'SÃO CRISTÓVÃO','PASSO FUNDO','RS',3901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061202,7.00,8.00,2.00,7.00,7.00,10.50,2.00,5.00,5.00,211,NULL,216,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',6695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SANTOS DUMONT','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5061229,8.00,7.00,7.00,7.00,10.00,9.38,9.00,3.00,8.00,103,NULL,NULL,'LAGOA BONITA','ENG COELHO','SP',718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061237,5.00,7.00,5.00,7.00,6.00,10.88,2.00,6.00,7.00,201,NULL,203,'COLATTO','XANXERÊ','SC',3537,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5061245,9.00,9.00,6.00,5.00,10.00,10.13,9.00,6.00,8.00,103,NULL,NULL,'JARDIM ANA MARIA','APUCARANA','PR',114,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5061253,8.00,7.00,8.00,7.00,9.00,10.50,8.00,6.00,8.00,103,NULL,NULL,'VILA INDEPENDENCIA','PIRACICABA','SP',304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5061270,5.00,6.00,1.00,4.00,7.00,6.75,3.00,2.00,3.00,320,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',15780,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5061288,5.00,3.00,1.00,5.00,4.00,8.63,3.00,3.00,6.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5061296,7.00,6.00,3.00,4.00,7.00,9.75,2.00,2.00,5.00,207,NULL,235,'BARREIROS','S JOSÉ','SC',7844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061300,7.00,7.00,3.00,7.00,8.00,8.25,6.00,4.00,6.00,420,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061318,1.00,5.00,1.00,2.00,2.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5061326,5.00,7.00,2.00,6.00,9.00,9.38,2.00,7.00,5.00,424,NULL,421,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',8602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061334,9.00,6.00,4.00,7.00,9.00,9.75,2.00,4.00,6.00,103,NULL,NULL,'VILLA IZABEL','CURITIBA','PR',3497,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5061342,9.00,6.00,2.00,4.00,9.00,8.63,5.00,3.00,6.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4523,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5061350,4.00,6.00,1.00,7.00,8.00,10.50,3.00,4.00,4.00,601,NULL,215,'PROGRESSO','S BENTO SUL','SC',7791,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5061369,8.00,8.00,6.00,8.00,9.00,11.25,8.00,7.00,5.00,214,NULL,220,'MARIA GORETE','CHAPECÓ','SC',517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061377,7.00,7.00,5.00,7.00,9.00,10.50,5.00,4.00,6.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',2881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061385,6.00,4.00,4.00,4.00,5.00,7.88,2.00,2.00,5.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',14492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ASA SUL','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5061407,6.00,5.00,2.00,1.00,5.00,7.50,2.00,2.00,6.00,103,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',14000,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5061415,8.00,7.00,6.00,7.00,9.00,7.88,4.00,4.00,7.00,207,NULL,201,'BRÍGIDA','VENÂNCIO AIRES','RS',2298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061423,8.00,6.00,5.00,7.00,8.00,10.88,6.00,2.00,6.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',3254,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5061431,8.00,7.00,2.00,7.00,7.00,8.63,5.00,4.00,4.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5061458,9.00,6.00,3.00,4.00,7.00,10.13,7.00,5.00,8.00,103,NULL,NULL,'RESIDENCIA AEROPORTO','MARINGÁ','PR',3315,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5061466,1.00,6.00,2.00,2.00,2.00,NULL,0.00,1.00,1.00,211,NULL,215,'EFAPI ALTA FLORESTA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5061474,5.00,6.00,1.00,6.00,6.00,9.75,3.00,4.00,4.00,453,NULL,NULL,'VILA SAO JOAO','PASSO FUNDO','RS',10567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061482,6.00,6.00,4.00,0.00,6.00,6.00,1.00,4.00,3.00,316,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',13620,201,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061490,3.00,6.00,2.00,3.00,5.00,3.38,3.00,2.00,3.00,336,NULL,NULL,'VILA ISABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5061504,4.00,6.00,1.00,6.00,4.00,8.25,3.00,4.00,5.00,108,NULL,NULL,'VILA DO PRINCIPE','LAPA','PR',10661,173,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061520,4.00,7.00,2.00,4.00,6.00,8.63,2.00,3.00,7.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',8541,2935,NULL,NULL,NULL,NULL,NULL,4,8),(20,5061539,8.00,6.00,4.00,7.00,6.00,6.38,4.00,6.00,8.00,103,NULL,NULL,'AHÚ','CURITIBA','PR',3568,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5061547,6.00,5.00,1.00,8.00,9.00,4.50,2.00,2.00,2.00,340,NULL,NULL,'VILA MORUMBI','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5061563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'SENAI','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5061571,2.00,5.00,2.00,6.00,6.00,NULL,0.00,0.00,4.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5061580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,203,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5061598,9.00,9.00,7.00,8.00,9.00,10.50,8.00,5.00,7.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5061610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5061628,5.00,3.00,0.00,7.00,6.00,NULL,0.00,3.00,3.00,211,NULL,202,'PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5061679,8.00,4.00,6.00,6.00,10.00,9.00,4.00,5.00,6.00,103,NULL,NULL,'AUXILIADORA','PTO ALEGRE','RS',3038,1500,NULL,NULL,NULL,NULL,NULL,2,4),(20,5061687,3.00,4.00,4.00,0.00,3.00,NULL,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','ITAPOÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5061695,5.00,5.00,2.00,4.00,5.00,6.75,3.00,2.00,5.00,653,NULL,NULL,'SANTO ANTÔNIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5061709,6.00,8.00,3.00,4.00,8.00,9.38,4.00,5.00,8.00,104,NULL,NULL,'CENTRO','NOVA TRENTO','SC',4030,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5061717,7.00,6.00,0.00,5.00,6.00,NULL,1.00,4.00,2.00,104,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5061733,5.00,7.00,4.00,7.00,8.00,7.50,3.00,3.00,7.00,108,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',4873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061741,4.00,4.00,0.00,5.00,3.00,NULL,0.00,1.00,2.00,551,NULL,NULL,'PROGRESSO','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5061750,7.00,7.00,2.00,6.00,6.00,6.38,4.00,4.00,8.00,103,NULL,NULL,'ALTO DA RUA XV','CURITIBA','PR',4674,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5061768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BELA VISTA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5061776,7.00,6.00,2.00,7.00,10.00,11.25,4.00,4.00,6.00,340,NULL,NULL,'MONTE CASTELO','TUBARÃO','SC',4696,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5061784,8.00,7.00,6.00,6.00,7.00,11.25,4.00,7.00,6.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',2289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061792,3.00,4.00,0.00,4.00,3.00,NULL,0.00,2.00,0.00,308,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5061806,4.00,6.00,2.00,5.00,4.00,8.25,1.00,5.00,2.00,303,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15106,612,NULL,NULL,NULL,NULL,NULL,2,1),(20,5061814,9.00,8.00,9.00,7.00,7.00,8.25,8.00,6.00,8.00,203,NULL,216,'BIGORRILHO','CURITIBA','PR',193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061822,8.00,8.00,3.00,1.00,5.00,8.63,5.00,5.00,7.00,203,NULL,202,'VILA MOEMA','TUBARÃO','SC',5442,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5061830,2.00,3.00,3.00,3.00,5.00,NULL,3.00,4.00,3.00,420,NULL,NULL,'TABULEIRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5061881,7.00,7.00,0.00,5.00,8.00,11.63,1.00,6.00,4.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',8699,2970,NULL,NULL,NULL,NULL,NULL,2,8),(20,5061890,4.00,7.00,4.00,6.00,9.00,7.50,3.00,2.00,3.00,310,NULL,NULL,'TRIDADE','FLORIANÓPOLIS','SC',12390,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5061903,5.00,6.00,2.00,5.00,8.00,7.88,3.00,2.00,3.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13257,188,NULL,NULL,NULL,NULL,NULL,2,1),(20,5061911,6.00,6.00,2.00,6.00,9.00,7.88,1.00,6.00,4.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',8245,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5061938,9.00,4.00,3.00,6.00,9.00,11.25,2.00,6.00,4.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',5103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5061962,6.00,6.00,4.00,4.00,5.00,7.50,3.00,5.00,4.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10937,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5061970,8.00,5.00,3.00,6.00,10.00,9.00,3.00,3.00,5.00,103,NULL,NULL,'ESTEITO','FLORIANÓPOLIS','SC',8268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5061989,4.00,4.00,3.00,5.00,7.00,NULL,0.00,4.00,5.00,102,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5062012,5.00,7.00,1.00,5.00,7.00,11.25,3.00,4.00,7.00,102,NULL,NULL,'GABIROBA','RIO OESTE','SC',7830,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5062020,4.00,7.00,4.00,5.00,5.00,10.50,4.00,4.00,6.00,203,NULL,214,'ITAGUAÇU','FLORIANÓPOLIS','SC',7104,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5062047,7.00,5.00,1.00,6.00,6.00,9.00,1.00,2.00,4.00,207,NULL,208,'CENTRO','BAL CAMBORIÚ','SC',12719,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5062071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'CENTRO','BARRACÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5062080,2.00,3.00,0.00,1.00,4.00,NULL,1.00,1.00,1.00,103,NULL,NULL,'CANASVIERAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5062098,5.00,4.00,3.00,5.00,4.00,8.63,5.00,5.00,5.00,201,NULL,601,'BAIRRO ALTO','CURITIBA','PR',9841,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5062101,4.00,5.00,3.00,5.00,6.00,6.38,1.00,3.00,2.00,404,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5062110,3.00,2.00,0.00,1.00,5.00,NULL,0.00,2.00,0.00,601,NULL,203,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5062128,7.00,9.00,1.00,6.00,5.00,6.75,2.00,4.00,5.00,324,NULL,NULL,'MINA BRASIL','CRICIÚMA','SC',9204,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5062136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5062152,4.00,5.00,3.00,5.00,7.00,6.75,1.00,0.00,6.00,104,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',14044,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5062160,4.00,7.00,1.00,5.00,5.00,10.88,1.00,6.00,3.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',13708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062179,6.00,6.00,2.00,6.00,8.00,7.50,3.00,4.00,3.00,203,NULL,214,'PARTENON','PTO ALEGRE','RS',7076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062187,0.00,3.00,1.00,4.00,2.00,NULL,0.00,1.00,3.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5062195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5062209,3.00,5.00,1.00,4.00,2.00,NULL,3.00,2.00,2.00,238,NULL,208,'ALTO DA TIJUCA','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5062217,4.00,4.00,0.00,3.00,3.00,NULL,1.00,1.00,5.00,203,NULL,214,'JARDIM ITÁLIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5062225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'ANA MARIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5062233,4.00,6.00,2.00,7.00,5.00,9.75,3.00,3.00,4.00,423,NULL,427,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5062250,5.00,8.00,3.00,6.00,5.00,10.88,2.00,4.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9168,301,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062276,4.00,5.00,0.00,5.00,6.00,6.00,3.00,4.00,5.00,220,NULL,203,'JD UNIVERSITARIO','MARINGÁ','PR',13401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5062284,8.00,8.00,1.00,7.00,7.00,9.75,3.00,6.00,7.00,207,NULL,211,'VISTA VERDE','S JOSÉ CAMPOS','SP',3308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062292,4.00,6.00,3.00,5.00,6.00,10.50,3.00,3.00,4.00,101,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5062306,6.00,6.00,2.00,5.00,9.00,10.50,1.00,4.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062322,9.00,9.00,6.00,7.00,9.00,9.75,9.00,6.00,8.00,103,NULL,NULL,'SETOR SUL','GOIÂNIA','GO',238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SETOR MARISTA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5062349,9.00,6.00,3.00,5.00,9.00,7.88,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','NOVA VENEZA','SC',5363,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5062357,9.00,7.00,4.00,6.00,8.00,10.50,3.00,5.00,8.00,103,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',2991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062365,3.00,4.00,3.00,4.00,4.00,NULL,0.00,3.00,2.00,420,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5062373,8.00,7.00,5.00,5.00,8.00,8.63,3.00,5.00,6.00,5,NULL,NULL,'BARRA DE LAGOA','FLORIANÓPOLIS','SC',3828,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5062390,9.00,6.00,6.00,6.00,10.00,10.13,6.00,5.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062403,9.00,5.00,7.00,6.00,11.00,8.63,6.00,5.00,8.00,103,NULL,NULL,'CENTRO','QUILOMBO','SC',1284,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5062411,4.00,5.00,3.00,6.00,4.00,8.25,2.00,4.00,4.00,207,NULL,211,'VARGEM BOM JESUS','FLORIANÓPOLIS','SC',12368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062420,6.00,7.00,4.00,5.00,7.00,7.88,1.00,3.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10666,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5062438,6.00,7.00,5.00,7.00,6.00,10.50,3.00,3.00,3.00,302,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',7978,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5062446,8.00,9.00,4.00,6.00,7.00,8.63,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','CORUPÁ','SC',4773,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5062454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5062470,3.00,5.00,6.00,5.00,4.00,9.38,5.00,1.00,3.00,302,NULL,NULL,'JARDIM CIDADE FLORIA','S JOSÉ','SC',14103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5062497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA CLEMENTINO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5062519,7.00,6.00,3.00,6.00,8.00,7.50,6.00,4.00,7.00,301,NULL,NULL,'SANTO AMARO','S PAULO','SP',5452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062527,3.00,6.00,0.00,5.00,8.00,NULL,0.00,3.00,4.00,102,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5062535,8.00,6.00,3.00,7.00,7.00,11.63,6.00,5.00,7.00,238,NULL,208,'CANASVIEIRAS','FLORIANÓPOLIS','SC',2102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PARAÍSO DO MORUMBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5062551,9.00,7.00,7.00,8.00,9.00,10.88,7.00,5.00,9.00,103,NULL,NULL,'SAO LOURENCO','CURITIBA','PR',381,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5062560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM LEONOR','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5062578,8.00,8.00,7.00,7.00,7.00,7.88,2.00,3.00,5.00,220,NULL,203,'BNH III PLANO','DOURADOS','MS',4093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TANABI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5062594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5062616,5.00,5.00,2.00,5.00,7.00,7.50,2.00,2.00,4.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',13276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062624,6.00,5.00,0.00,5.00,6.00,7.50,0.00,2.00,6.00,103,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',13970,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5062632,8.00,6.00,5.00,7.00,8.00,7.50,7.00,7.00,7.00,303,NULL,NULL,'INDEPENDÊNCIA','CASCAVEL','PR',1481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062640,7.00,4.00,3.00,4.00,7.00,7.50,1.00,5.00,5.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',11154,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5062675,9.00,8.00,6.00,7.00,10.00,9.75,6.00,5.00,9.00,233,NULL,215,'BOSQUE DAS MANSÕES','S JOSÉ','SC',267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062683,3.00,5.00,0.00,3.00,5.00,NULL,1.00,3.00,3.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5062691,5.00,5.00,0.00,4.00,8.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5062705,7.00,7.00,4.00,2.00,4.00,7.88,2.00,3.00,5.00,216,NULL,203,'FLORESTA','JOINVILLE','SC',9130,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5062713,4.00,3.00,2.00,6.00,5.00,8.25,1.00,3.00,3.00,220,NULL,216,'JARDIM BELA VISTA','ELDORADO','SP',14881,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5062721,6.00,7.00,3.00,4.00,5.00,7.50,1.00,5.00,4.00,238,NULL,NULL,'JARDIM SILVANA','IÇARA','SC',12278,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5062730,8.00,7.00,7.00,6.00,8.00,9.00,2.00,4.00,8.00,220,NULL,202,'JARDIM AVIAÇÃO','PRES PRUDENTE','SP',2094,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5062756,6.00,3.00,1.00,5.00,4.00,NULL,2.00,2.00,0.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5062764,6.00,5.00,6.00,6.00,8.00,6.75,6.00,4.00,5.00,203,NULL,202,'CENTRO','S JOSÉ CAMPOS','SP',4736,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5062772,9.00,8.00,3.00,7.00,9.00,9.75,7.00,8.00,6.00,103,NULL,NULL,'JARDIM MARIAS','S BENTO SUL','SC',878,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5062780,3.00,6.00,1.00,4.00,5.00,8.25,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','TORRES','RS',14704,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5062799,7.00,7.00,6.00,7.00,10.00,8.63,4.00,5.00,6.00,601,NULL,201,'PRESIDENTE MÉDICI','CHAPECÓ','SC',3119,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5062802,6.00,5.00,2.00,4.00,7.00,9.38,1.00,4.00,4.00,104,NULL,NULL,'ILHOTINHA','CAPIVARI BAIXO','SC',11617,296,NULL,NULL,NULL,NULL,NULL,2,10),(20,5062829,9.00,8.00,8.00,7.00,8.00,11.63,7.00,5.00,7.00,303,NULL,NULL,'AMÉRICA','JOINVILLE','SC',459,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5062837,7.00,3.00,2.00,4.00,7.00,NULL,2.00,2.00,1.00,9,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062845,4.00,4.00,5.00,4.00,6.00,7.13,3.00,3.00,4.00,450,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062861,3.00,5.00,1.00,6.00,5.00,9.75,2.00,2.00,5.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',13863,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5062870,7.00,6.00,2.00,6.00,8.00,9.00,0.00,1.00,3.00,415,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',10739,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5062888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'CODESPAULO','PIRAJU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5062896,4.00,6.00,1.00,3.00,5.00,NULL,0.00,0.00,4.00,201,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(20,5062934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VEREDAS DAS GERAES','NOVA LIMA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5062942,6.00,4.00,3.00,7.00,8.00,6.00,0.00,4.00,4.00,5,NULL,NULL,'JARDIM SATÉLITE','S JOSÉ CAMPOS','SP',10653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062969,5.00,8.00,2.00,4.00,4.00,9.38,4.00,5.00,3.00,316,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',10702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5062977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'PAQUETA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5062985,3.00,5.00,2.00,3.00,4.00,7.50,2.00,3.00,3.00,203,NULL,601,'BARREIROS','S JOSÉ','SC',16258,985,NULL,NULL,NULL,NULL,NULL,2,1),(20,5062993,7.00,7.00,1.00,4.00,3.00,NULL,1.00,4.00,2.00,203,NULL,220,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE SÃO PAULO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5063019,5.00,6.00,4.00,7.00,2.00,NULL,2.00,3.00,3.00,301,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5063027,6.00,6.00,5.00,7.00,8.00,9.00,5.00,5.00,7.00,201,NULL,238,'COQUEIROS','FLORIANÓPOLIS','SC',3089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063035,4.00,2.00,0.00,4.00,6.00,NULL,2.00,3.00,4.00,104,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5063043,7.00,5.00,0.00,7.00,6.00,8.25,2.00,3.00,5.00,5,NULL,NULL,'LIMÃO','S PAULO','SP',8970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063051,7.00,8.00,3.00,6.00,9.00,10.50,1.00,6.00,5.00,103,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',4797,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5063060,8.00,6.00,0.00,7.00,8.00,NULL,3.00,4.00,7.00,103,NULL,NULL,'CASA VERDE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VEREDAS DAS GERAES','NOVA LIMA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5063086,6.00,5.00,4.00,4.00,5.00,7.13,3.00,3.00,5.00,201,NULL,NULL,'SÃO SIMÃO','CRICIÚMA','SC',12324,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5063094,4.00,3.00,4.00,5.00,5.00,7.88,1.00,2.00,4.00,102,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',15108,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5063108,5.00,6.00,2.00,1.00,5.00,NULL,3.00,3.00,0.00,102,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5063116,9.00,8.00,8.00,8.00,10.00,7.88,7.00,5.00,9.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063124,4.00,5.00,5.00,5.00,6.00,6.00,0.00,3.00,5.00,317,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5063132,2.00,2.00,3.00,0.00,2.00,NULL,0.00,1.00,2.00,309,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5063140,7.00,5.00,1.00,4.00,7.00,10.50,4.00,4.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10592,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5063159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARAISO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5063167,7.00,8.00,4.00,7.00,6.00,8.63,2.00,3.00,5.00,601,NULL,233,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063175,8.00,6.00,7.00,6.00,10.00,9.00,3.00,5.00,7.00,103,NULL,NULL,'AREA UM','TELÊMACO BORBA','PR',1706,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5063183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'SANTA TEREZINHA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5063191,9.00,6.00,3.00,8.00,8.00,10.50,7.00,4.00,7.00,238,NULL,215,'CAMPECHE','FLORIANÓPOLIS','SC',2691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063213,7.00,7.00,2.00,7.00,8.00,9.38,4.00,6.00,5.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',4133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063221,2.00,4.00,3.00,5.00,8.00,7.50,3.00,1.00,2.00,234,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5063248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RESIDENCIAL ALFA','PINDAMONHANGABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5063256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5063264,3.00,3.00,0.00,5.00,6.00,NULL,2.00,5.00,2.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5063272,6.00,4.00,3.00,5.00,8.00,8.63,1.00,4.00,6.00,215,NULL,216,'URBANOVA','S JOSÉ CAMPOS','SP',8092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063280,5.00,5.00,4.00,7.00,6.00,8.25,7.00,3.00,5.00,235,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063299,6.00,5.00,2.00,6.00,6.00,8.63,2.00,5.00,4.00,220,NULL,214,'BOM RETIRO','JOINVILLE','SC',8148,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5063302,2.00,4.00,3.00,4.00,3.00,NULL,0.00,1.00,4.00,501,NULL,NULL,'CENTRO','PTE SERRADA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5063310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JD PIRATININGA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5063329,7.00,8.00,1.00,7.00,7.00,10.50,3.00,5.00,7.00,303,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',4016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063337,5.00,5.00,1.00,7.00,6.00,7.13,1.00,1.00,8.00,235,NULL,202,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',9503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063345,9.00,8.00,6.00,6.00,9.00,10.13,6.00,5.00,7.00,202,NULL,213,'CENTRO','NOVA TRENTO','SC',830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063353,7.00,6.00,3.00,7.00,4.00,8.25,3.00,4.00,3.00,304,NULL,NULL,'GOIABEIRAS','CUIABÁ','MT',9364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063400,8.00,9.00,5.00,7.00,9.00,10.88,4.00,6.00,7.00,340,NULL,NULL,'SANTA HELENA','LAGES','SC',809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063418,5.00,5.00,6.00,4.00,10.00,7.88,2.00,3.00,6.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',6577,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5063426,7.00,6.00,3.00,7.00,10.00,10.88,2.00,4.00,6.00,103,NULL,NULL,'BOM JESUS','PTO ALEGRE','RS',3458,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5063434,5.00,5.00,2.00,6.00,8.00,9.00,2.00,3.00,4.00,420,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063442,5.00,8.00,1.00,5.00,9.00,8.63,3.00,4.00,4.00,207,NULL,201,'FREI BRUNO','JOAÇABA','SC',9545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5063469,3.00,4.00,1.00,5.00,5.00,NULL,1.00,2.00,3.00,333,NULL,NULL,'CAMPININHA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5063485,8.00,6.00,2.00,2.00,5.00,7.50,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',12962,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5063493,5.00,7.00,5.00,5.00,6.00,7.50,3.00,3.00,6.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',8288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063507,8.00,5.00,1.00,2.00,7.00,7.50,4.00,1.00,5.00,108,NULL,NULL,'IPOMÉIA','IPOMÉIA','SC',13272,241,NULL,NULL,NULL,NULL,NULL,4,7),(20,5063515,7.00,7.00,6.00,7.00,7.00,9.00,6.00,3.00,5.00,201,NULL,207,'COQUEIROS','FLORIANÓPOLIS','SC',3851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5063540,4.00,4.00,3.00,4.00,4.00,6.38,3.00,2.00,4.00,201,NULL,212,'CENTRO','S JOSÉ PINHAIS','PR',15826,1113,NULL,385,NULL,NULL,NULL,4,1),(20,5063558,1.00,6.00,2.00,3.00,6.00,NULL,2.00,2.00,4.00,207,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5063574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5063590,4.00,8.00,3.00,4.00,4.00,7.88,2.00,3.00,4.00,214,NULL,233,'CENTRO','TAPERA','RS',15625,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5063604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAGO SUL','LG SUL','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5063612,8.00,6.00,2.00,6.00,5.00,8.63,2.00,4.00,5.00,211,NULL,215,'PANTANAL','FLORIANÓPOLIS','SC',9587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063639,7.00,5.00,7.00,3.00,8.00,9.75,5.00,5.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3923,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5063655,7.00,6.00,3.00,4.00,11.00,10.13,3.00,6.00,6.00,103,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',5127,2183,NULL,NULL,NULL,NULL,NULL,2,1),(20,5063663,6.00,6.00,2.00,5.00,8.00,10.13,1.00,3.00,6.00,303,NULL,NULL,'JARDIM ATRLÂNTICO','FLORIANÓPOLIS','SC',9802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063671,7.00,5.00,6.00,4.00,9.00,7.88,3.00,4.00,5.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063680,9.00,7.00,8.00,7.00,8.00,10.50,7.00,4.00,8.00,203,NULL,220,'JARDIM BRASÍLIA','JAÚ','SP',597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063698,6.00,6.00,5.00,7.00,10.00,12.75,3.00,5.00,6.00,215,NULL,211,'AREIAS','S JOSÉ','SC',2721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063701,8.00,6.00,3.00,6.00,7.00,11.63,2.00,4.00,7.00,216,NULL,NULL,'EMBARÉ','SANTOS','SP',3383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063728,8.00,8.00,5.00,7.00,7.00,9.38,6.00,3.00,9.00,103,NULL,NULL,'BATEL','CURITIBA','PR',1278,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5063736,7.00,8.00,4.00,6.00,8.00,9.00,2.00,2.00,3.00,216,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063744,7.00,6.00,6.00,8.00,10.00,9.75,7.00,7.00,6.00,203,NULL,214,'JOÃO PAULO','FLORIANÓPOLIS','SC',1121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063752,4.00,6.00,5.00,6.00,8.00,8.63,4.00,5.00,7.00,303,NULL,NULL,'CENTRO','CURITIBANOS','SC',4585,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5063760,7.00,7.00,2.00,5.00,6.00,9.75,0.00,5.00,4.00,452,NULL,NULL,'ANITA GARIBALD','JOINVILLE','SC',10525,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5063779,3.00,5.00,0.00,6.00,4.00,7.88,2.00,1.00,5.00,420,NULL,NULL,'ZONA DOIS','CIANORTE','PR',15126,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5063787,6.00,6.00,7.00,7.00,11.00,10.13,5.00,6.00,7.00,103,NULL,NULL,'JARDIM BOTÂNICO','CURITIBA','PR',1323,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5063809,4.00,5.00,3.00,3.00,8.00,10.50,3.00,2.00,2.00,303,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',11616,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5063817,7.00,6.00,2.00,2.00,7.00,7.50,0.00,5.00,5.00,110,NULL,NULL,'VILA NOVA','PTO BELO','SC',10671,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5063825,5.00,2.00,5.00,7.00,4.00,6.75,2.00,1.00,3.00,234,NULL,NULL,'SÃO LOURENÇO','CURITIBA','PR',14761,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5063833,7.00,4.00,3.00,7.00,4.00,10.88,4.00,3.00,6.00,103,NULL,NULL,'ACLIMACAO','S PAULO','SP',6079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063841,8.00,9.00,5.00,7.00,10.00,8.63,5.00,6.00,7.00,104,NULL,NULL,'FLORESTA','JOINVILLE','SC',1685,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5063868,1.00,2.00,1.00,6.00,7.00,NULL,2.00,2.00,3.00,319,NULL,NULL,'CENTRO','ELDORADO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5063884,1.00,3.00,0.00,5.00,6.00,NULL,0.00,2.00,3.00,216,NULL,220,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5063906,4.00,5.00,3.00,6.00,8.00,8.25,1.00,5.00,6.00,207,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',9971,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5063914,1.00,5.00,1.00,4.00,7.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'SANTA LUZIA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5063922,8.00,9.00,7.00,7.00,10.00,14.25,8.00,5.00,7.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',50,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5063949,3.00,4.00,2.00,2.00,3.00,NULL,2.00,1.00,3.00,331,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063957,8.00,6.00,4.00,7.00,5.00,7.13,3.00,4.00,7.00,203,NULL,214,'JARDIM ALVORADA','S PAULO','SP',5906,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5063965,6.00,6.00,5.00,4.00,6.00,7.88,3.00,3.00,4.00,303,NULL,NULL,'ÍNDIA','CANELINHA','SC',12510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5063973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5063981,4.00,6.00,5.00,2.00,6.00,9.38,3.00,3.00,6.00,301,NULL,NULL,'POÇO RICO','OTACÍLIO COSTA','SC',11144,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5063990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5064007,3.00,7.00,3.00,3.00,4.00,7.88,1.00,3.00,5.00,404,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15203,44,NULL,NULL,NULL,NULL,NULL,2,1),(20,5064015,7.00,4.00,4.00,7.00,6.00,6.38,5.00,4.00,8.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',4511,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5064023,7.00,5.00,6.00,6.00,5.00,7.88,7.00,5.00,5.00,214,NULL,213,'COQUEIROS','FLORIANÓPOLIS','SC',5024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5064058,8.00,7.00,7.00,7.00,9.00,8.25,5.00,6.00,6.00,216,NULL,201,'VELHA','BLUMENAU','SC',1331,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5064066,3.00,7.00,2.00,5.00,4.00,6.00,1.00,2.00,5.00,203,NULL,202,'BELA VISTA','S LUDGERO','SC',15706,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5064074,8.00,8.00,3.00,6.00,10.00,8.25,3.00,5.00,7.00,104,NULL,NULL,'DAS NAÇÕES','INDAIAL','SC',3641,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5064082,9.00,6.00,9.00,6.00,11.00,8.63,8.00,5.00,9.00,103,NULL,NULL,'BOM RETIRO','CURITIBA','PR',369,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5064090,8.00,7.00,5.00,7.00,8.00,10.13,6.00,5.00,7.00,340,NULL,NULL,'CENTRO','CHAPECÓ','SC',1793,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5064104,7.00,8.00,4.00,6.00,7.00,9.75,2.00,5.00,8.00,216,NULL,220,'CENTRO','BAL CAMBORIÚ','SC',4358,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5064112,4.00,3.00,2.00,6.00,3.00,NULL,3.00,0.00,3.00,208,NULL,238,'BAIRRO DER','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5064120,8.00,7.00,6.00,7.00,10.00,6.75,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',3091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064139,4.00,7.00,7.00,5.00,10.00,7.50,2.00,3.00,5.00,601,NULL,216,'ALEGRE','RIO NEGRINHO','SC',6988,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5064147,7.00,7.00,7.00,7.00,7.00,8.63,5.00,7.00,6.00,601,NULL,653,'JARDIM MOINHO','MAFRA','SC',3377,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5064171,9.00,6.00,2.00,7.00,6.00,9.00,2.00,3.00,7.00,5,NULL,NULL,'CECAP','MORUNGABA','SP',5525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064180,7.00,6.00,2.00,7.00,9.00,9.38,3.00,5.00,6.00,452,NULL,NULL,'FERRAZ','GAROPABA','SC',4288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064201,4.00,6.00,0.00,4.00,8.00,7.13,2.00,2.00,5.00,9,NULL,NULL,'CORAL','LAGES','SC',13356,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5064210,4.00,7.00,3.00,5.00,7.00,8.63,3.00,3.00,6.00,216,NULL,233,'BELA VISTA','CONCÓRDIA','SC',8701,364,NULL,NULL,NULL,NULL,NULL,2,7),(20,5064228,4.00,6.00,3.00,4.00,6.00,9.38,3.00,5.00,4.00,502,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5064236,8.00,6.00,7.00,6.00,7.00,7.50,4.00,7.00,7.00,214,NULL,212,'MARAMBAIA','VINHEDO','SP',2789,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5064244,8.00,8.00,3.00,6.00,10.00,10.88,4.00,8.00,7.00,203,NULL,233,'CENTRO','GR PARÁ','SC',1511,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5064252,6.00,4.00,1.00,7.00,7.00,10.88,2.00,2.00,6.00,211,NULL,207,'CENTRO','FLORES CUNHA','RS',7464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064260,4.00,6.00,5.00,6.00,6.00,7.50,3.00,3.00,5.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13070,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5064279,7.00,6.00,4.00,6.00,9.00,10.13,3.00,2.00,6.00,319,NULL,NULL,'ÁGUA VERDE','JARAGUÁ SUL','SC',4474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064309,8.00,5.00,4.00,2.00,8.00,9.00,4.00,3.00,7.00,103,NULL,NULL,'CENTRO','CIDADE GAÚCHA','PR',5768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064317,7.00,8.00,6.00,6.00,7.00,10.88,7.00,5.00,7.00,201,NULL,207,'SANTA BARBARA','CRICIÚMA','SC',1480,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5064325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'ARAÇATUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5064333,9.00,7.00,7.00,7.00,9.00,11.63,7.00,6.00,8.00,103,NULL,NULL,'ÁGUA VERDE','JARAGUÁ SUL','SC',312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064341,6.00,7.00,2.00,3.00,7.00,9.38,2.00,3.00,4.00,319,NULL,NULL,'UBERABA','CURITIBA','PR',10869,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5064368,4.00,4.00,2.00,5.00,4.00,5.25,3.00,2.00,5.00,233,NULL,601,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064376,2.00,7.00,3.00,5.00,7.00,7.88,1.00,5.00,4.00,104,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',11322,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5064384,3.00,4.00,2.00,3.00,8.00,NULL,0.00,2.00,4.00,651,NULL,653,'CENTRO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5064392,9.00,7.00,3.00,7.00,9.00,10.50,4.00,4.00,6.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',2170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064406,7.00,8.00,4.00,4.00,7.00,11.25,3.00,3.00,5.00,201,NULL,212,'ITAGUAÇU','FLORIANÓPOLIS','SC',6767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064414,5.00,6.00,2.00,7.00,7.00,8.63,0.00,2.00,4.00,208,NULL,238,'AMÉRICA','JOINVILLE','SC',13292,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5064422,5.00,0.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTOS DE SANTANA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(20,5064430,8.00,7.00,6.00,8.00,8.00,9.38,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1665,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5064449,5.00,5.00,3.00,6.00,5.00,6.00,0.00,2.00,4.00,201,NULL,216,'BOQUEIRÃO','SANTOS','SP',13679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064457,5.00,7.00,4.00,5.00,10.00,7.13,1.00,3.00,5.00,320,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9679,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5064465,8.00,6.00,3.00,7.00,11.00,8.25,3.00,4.00,6.00,5,NULL,NULL,'CENTRO','TUBARÃO','SC',4189,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5064481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AUGUSTO J VALENTE II','POSSE','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5064490,5.00,7.00,1.00,6.00,7.00,12.38,3.00,3.00,6.00,207,NULL,NULL,'CENTRO','TUBARÃO','SC',6778,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5064503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COLONIAL','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5064511,9.00,6.00,2.00,6.00,9.00,8.63,1.00,5.00,5.00,320,NULL,NULL,'VILA NOVA','JOINVILLE','SC',6325,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5064520,9.00,8.00,5.00,7.00,10.00,10.88,7.00,7.00,7.00,103,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064538,3.00,5.00,1.00,7.00,9.00,7.88,4.00,2.00,3.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064546,9.00,5.00,4.00,7.00,9.00,8.63,7.00,6.00,5.00,233,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',2400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064562,5.00,6.00,3.00,5.00,4.00,6.00,4.00,5.00,6.00,203,NULL,201,'CENTRO','JAGUARUNA','SC',10744,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5064570,7.00,5.00,4.00,7.00,9.00,9.00,4.00,4.00,5.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',4289,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5064589,5.00,7.00,1.00,6.00,8.00,9.00,2.00,7.00,7.00,103,NULL,NULL,'CENTRO','RIBEIRA','SP',4829,2098,NULL,NULL,NULL,NULL,NULL,2,8),(20,5064597,8.00,6.00,6.00,6.00,7.00,10.50,4.00,3.00,6.00,420,NULL,NULL,'BIGORRILHO','CURITIBA','PR',2774,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5064600,5.00,3.00,1.00,2.00,1.00,NULL,0.00,3.00,3.00,420,NULL,NULL,'NATUREZA','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5064627,8.00,8.00,6.00,7.00,9.00,10.88,3.00,4.00,8.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5064635,8.00,6.00,4.00,5.00,7.00,9.00,7.00,1.00,8.00,103,NULL,NULL,'VILA DO PRINCIPE','LAPA','PR',3559,1698,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064643,7.00,6.00,6.00,6.00,8.00,9.38,5.00,6.00,7.00,303,NULL,NULL,'VILA MADALENA','S PAULO','SP',2973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064651,6.00,6.00,4.00,7.00,8.00,9.00,3.00,3.00,3.00,301,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',7288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064660,8.00,8.00,6.00,6.00,8.00,11.25,5.00,6.00,8.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',784,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5064678,5.00,5.00,0.00,3.00,5.00,NULL,0.00,2.00,3.00,420,NULL,NULL,'FRAGOSOS','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5064686,4.00,7.00,0.00,1.00,5.00,NULL,2.00,2.00,3.00,201,NULL,203,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064694,7.00,4.00,1.00,7.00,7.00,9.00,1.00,4.00,5.00,428,NULL,426,'JOÃO PAULO','FLORIANÓPOLIS','SC',9424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064724,8.00,5.00,3.00,2.00,5.00,7.13,2.00,3.00,4.00,234,NULL,NULL,'MARTINS DOIS','MINEIROS','GO',12908,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5064740,9.00,7.00,6.00,7.00,8.00,8.63,5.00,3.00,8.00,103,NULL,NULL,'SÃO DIMAS','PIRACICABA','SP',1670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064759,8.00,6.00,4.00,6.00,8.00,12.38,0.00,4.00,7.00,103,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',4834,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5064767,7.00,2.00,2.00,6.00,6.00,9.75,2.00,2.00,5.00,103,NULL,NULL,'JARDIM ARISTOCRATA','S JOSÉ PINHAIS','PR',9183,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5064775,8.00,8.00,1.00,7.00,7.00,9.38,1.00,4.00,8.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4939,2127,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064783,8.00,7.00,7.00,8.00,7.00,9.00,5.00,4.00,8.00,103,NULL,NULL,'JARDIM DAS PALMEIRAS','BRAGANÇA PAULISTA','SP',1741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064805,6.00,5.00,4.00,7.00,5.00,7.50,1.00,1.00,4.00,103,NULL,NULL,'VILA AURORA','RONDONÓPOLIS','MT',11591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM PAULISTA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5064830,5.00,6.00,3.00,5.00,8.00,8.25,3.00,2.00,4.00,5,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',10381,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5064848,5.00,5.00,2.00,5.00,6.00,8.25,2.00,3.00,3.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5064856,6.00,6.00,3.00,4.00,8.00,6.75,3.00,2.00,6.00,215,NULL,233,'VILA SANTANA','SOROCABA','SP',10245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064864,2.00,4.00,1.00,4.00,4.00,NULL,1.00,3.00,3.00,102,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5064872,7.00,5.00,5.00,7.00,8.00,9.38,3.00,4.00,5.00,103,NULL,NULL,'JARDIM SANTANA','FRANCA','SP',4035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064899,4.00,8.00,6.00,8.00,5.00,10.13,5.00,2.00,6.00,201,NULL,233,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',5200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064902,8.00,5.00,1.00,3.00,8.00,7.50,3.00,2.00,4.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12274,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064929,4.00,5.00,0.00,7.00,7.00,7.50,3.00,3.00,4.00,214,NULL,212,'KOBRASOL','S JOSÉ','SC',11330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064937,5.00,5.00,2.00,7.00,6.00,9.00,5.00,4.00,3.00,203,NULL,220,'JARDIM DALLAS','PALOTINA','PR',8917,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5064945,7.00,5.00,3.00,4.00,5.00,7.13,3.00,3.00,3.00,450,NULL,NULL,'AEROPORTO','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5064953,8.00,4.00,2.00,6.00,9.00,7.50,3.00,5.00,7.00,214,NULL,216,'BOQUEIRÃO','SANTOS','SP',4518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064961,6.00,5.00,6.00,7.00,6.00,7.13,4.00,3.00,7.00,201,NULL,212,'ROÇADO','S JOSÉ','SC',6210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5064988,2.00,4.00,1.00,5.00,2.00,NULL,1.00,2.00,2.00,3,NULL,NULL,'JARDIM MATILDE','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5064996,5.00,6.00,6.00,4.00,8.00,8.25,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065011,9.00,8.00,7.00,7.00,10.00,9.38,7.00,5.00,7.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',328,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5065020,8.00,8.00,4.00,7.00,11.00,9.75,4.00,3.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065038,7.00,6.00,1.00,7.00,6.00,7.13,4.00,7.00,6.00,103,NULL,NULL,'CAJURU','CURITIBA','PR',5462,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5065046,8.00,3.00,4.00,5.00,8.00,8.25,3.00,3.00,5.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',5864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065054,9.00,7.00,3.00,6.00,8.00,8.25,3.00,5.00,7.00,415,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',5451,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5065062,3.00,6.00,0.00,3.00,2.00,NULL,4.00,3.00,5.00,308,NULL,NULL,'SOROCABA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5065070,8.00,6.00,5.00,6.00,6.00,9.75,7.00,3.00,4.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',3134,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5065089,7.00,7.00,5.00,7.00,7.00,10.13,5.00,6.00,5.00,303,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',2928,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5065097,2.00,4.00,0.00,4.00,5.00,NULL,2.00,1.00,1.00,336,NULL,NULL,'ÁGUAS BRANCAS','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5065100,6.00,7.00,1.00,5.00,8.00,11.63,1.00,3.00,5.00,303,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',7165,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5065127,9.00,8.00,7.00,5.00,9.00,8.63,8.00,7.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',560,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5065135,2.00,4.00,3.00,5.00,5.00,NULL,0.00,4.00,2.00,202,NULL,213,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065143,5.00,5.00,2.00,2.00,1.00,NULL,0.00,0.00,3.00,444,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5065151,9.00,9.00,7.00,6.00,10.00,10.13,7.00,7.00,8.00,207,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',198,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5065160,5.00,6.00,4.00,7.00,5.00,8.25,2.00,3.00,7.00,103,NULL,NULL,'SÃO PEDRO','PTO UNIÃO','SC',7305,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5065178,5.00,4.00,1.00,6.00,5.00,8.25,3.00,4.00,3.00,207,NULL,201,'CENTRO','ITAJAÍ','SC',11580,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5065186,8.00,7.00,6.00,6.00,7.00,9.75,3.00,5.00,9.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',2525,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5065208,6.00,5.00,4.00,6.00,7.00,9.38,4.00,4.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065216,3.00,5.00,3.00,7.00,7.00,6.75,0.00,4.00,2.00,5,NULL,NULL,'FREGUESIA DO Ó','S PAULO','SP',14831,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5065232,6.00,5.00,1.00,5.00,7.00,6.75,2.00,3.00,6.00,203,NULL,235,'PRAIA DE ARMAÇÃO','PENHA','SC',13866,889,NULL,183,NULL,NULL,NULL,4,3),(20,5065240,3.00,6.00,0.00,4.00,9.00,NULL,0.00,2.00,2.00,301,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5065267,6.00,7.00,6.00,7.00,6.00,11.63,0.00,2.00,6.00,304,NULL,NULL,'AEROPORTO','VIDEIRA','SC',7186,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5065275,9.00,7.00,6.00,6.00,10.00,11.25,8.00,5.00,9.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,202,'CASTELINHO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5065305,7.00,7.00,4.00,6.00,10.00,11.63,2.00,4.00,7.00,108,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',3892,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5065313,4.00,6.00,1.00,5.00,5.00,10.50,0.00,3.00,5.00,215,NULL,213,'CENTRO','ABELARDO LUZ','SC',13773,289,NULL,174,NULL,NULL,NULL,4,4),(20,5065321,2.00,7.00,1.00,6.00,7.00,10.50,3.00,6.00,3.00,420,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',9182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065330,8.00,5.00,4.00,8.00,6.00,8.25,5.00,2.00,8.00,216,NULL,201,'JARDIM SOCIAL','CURITIBA','PR',3876,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5065356,7.00,6.00,5.00,6.00,10.00,9.00,4.00,4.00,6.00,103,NULL,NULL,'CENTRO','IMBITUBA','SC',3020,1490,NULL,NULL,NULL,NULL,NULL,4,10),(20,5065364,7.00,8.00,5.00,7.00,10.00,12.00,3.00,5.00,6.00,319,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',1965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD DAS PALMEIRAS','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5065380,5.00,4.00,2.00,5.00,9.00,7.13,2.00,4.00,3.00,340,NULL,NULL,'JARDIM OLÍMPIA','S JOSÉ CAMPOS','SP',11572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065402,8.00,8.00,4.00,6.00,9.00,8.25,4.00,6.00,8.00,103,NULL,NULL,'RURAL','STA TEREZINHA','SC',1248,729,NULL,NULL,NULL,NULL,NULL,2,3),(20,5065410,5.00,5.00,4.00,7.00,7.00,7.50,1.00,2.00,2.00,104,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',14042,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5065429,4.00,7.00,0.00,1.00,3.00,NULL,2.00,2.00,2.00,453,NULL,NULL,'INTERIOR','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5065437,8.00,5.00,3.00,4.00,5.00,8.63,0.00,4.00,5.00,102,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',11277,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5065445,6.00,7.00,5.00,7.00,7.00,9.75,3.00,4.00,6.00,208,NULL,238,'CENTRO','STO AMARO IMPERATRIZ','SC',5614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065453,8.00,6.00,5.00,6.00,9.00,7.88,3.00,4.00,5.00,333,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',4431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065461,7.00,8.00,4.00,5.00,8.00,7.50,4.00,6.00,5.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5276,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5065470,9.00,7.00,4.00,6.00,10.00,11.25,4.00,5.00,8.00,203,NULL,220,'CENTRO','BARRACÃO','PR',1431,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5065488,2.00,5.00,3.00,3.00,4.00,NULL,1.00,0.00,1.00,301,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5065534,4.00,3.00,1.00,5.00,7.00,NULL,1.00,2.00,3.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5065550,7.00,4.00,5.00,7.00,6.00,6.75,1.00,3.00,7.00,103,NULL,NULL,'TRES PODERES','IMPERATRIZ','MA',9297,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5065569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5065577,3.00,4.00,3.00,5.00,3.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5065585,8.00,7.00,5.00,6.00,9.00,10.50,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',1547,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5065593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JD AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5065607,7.00,4.00,5.00,3.00,6.00,6.38,2.00,2.00,4.00,201,NULL,207,'GLORIA','JOINVILLE','SC',12497,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5065623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'CENTRO','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5065631,3.00,3.00,2.00,2.00,3.00,NULL,3.00,1.00,0.00,340,NULL,NULL,'INTERIOR','TRINDADE SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5065640,7.00,8.00,8.00,5.00,10.00,10.50,7.00,4.00,6.00,303,NULL,NULL,'SANTA BÁRBARA','CRICIÚMA','SC',1213,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5065666,3.00,4.00,2.00,5.00,4.00,7.13,1.00,2.00,4.00,211,NULL,216,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065674,5.00,5.00,5.00,6.00,8.00,9.38,3.00,3.00,6.00,203,NULL,220,'PERDIZES','S PAULO','SP',5737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065682,9.00,6.00,5.00,4.00,8.00,6.38,6.00,4.00,6.00,103,NULL,NULL,'BATEL','CURITIBA','PR',4368,1951,NULL,NULL,NULL,NULL,NULL,4,8),(20,5065690,7.00,9.00,3.00,5.00,9.00,8.25,4.00,5.00,6.00,103,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',5337,2237,NULL,NULL,NULL,NULL,NULL,2,1),(20,5065704,7.00,8.00,3.00,6.00,8.00,10.88,5.00,3.00,4.00,203,NULL,216,'NAÇÕES','CONCÓRDIA','SC',4991,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5065712,2.00,5.00,1.00,4.00,4.00,NULL,0.00,1.00,4.00,415,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065739,3.00,5.00,2.00,6.00,9.00,8.25,2.00,3.00,1.00,317,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',15223,113,NULL,NULL,NULL,NULL,NULL,2,8),(20,5065747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INDIANOPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5065755,5.00,5.00,3.00,6.00,7.00,8.25,3.00,5.00,6.00,450,NULL,NULL,'PERDIZES','S PAULO','SP',6661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065763,5.00,3.00,1.00,6.00,4.00,7.50,3.00,2.00,2.00,108,NULL,NULL,'LAPA','S PAULO','SP',15691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065771,6.00,4.00,3.00,1.00,5.00,NULL,1.00,2.00,4.00,205,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065798,7.00,6.00,6.00,6.00,10.00,9.75,5.00,4.00,4.00,340,NULL,NULL,'SÃO JOSÉ','CAXIAS SUL','RS',3511,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5065801,8.00,7.00,4.00,7.00,7.00,10.88,2.00,7.00,6.00,415,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',3157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065810,7.00,6.00,8.00,7.00,10.00,9.00,5.00,3.00,8.00,102,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1407,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5065828,5.00,6.00,4.00,6.00,10.00,9.75,3.00,3.00,5.00,303,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',6020,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5065836,6.00,4.00,1.00,4.00,5.00,7.50,2.00,0.00,3.00,501,NULL,NULL,'VILA NOVA','JOINVILLE','SC',15009,102,NULL,NULL,NULL,NULL,NULL,2,8),(20,5065844,5.00,5.00,3.00,6.00,6.00,8.63,2.00,1.00,5.00,304,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',10586,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5065860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,235,'ZONA SEIS','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5065879,1.00,5.00,1.00,5.00,4.00,NULL,2.00,1.00,2.00,104,NULL,NULL,'CENTRO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5065887,9.00,8.00,7.00,7.00,9.00,11.63,7.00,6.00,8.00,103,NULL,NULL,'CENTRO','GAROPABA','SC',92,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'BRACINHO','SCHROEDER','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5065917,9.00,8.00,3.00,7.00,10.00,8.25,4.00,5.00,6.00,203,NULL,601,'FLORESTA','JOINVILLE','SC',2677,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5065933,4.00,5.00,2.00,3.00,6.00,8.25,2.00,2.00,5.00,108,NULL,NULL,'SÃO BERNARDO','TUBARÃO','SC',14929,282,NULL,NULL,NULL,NULL,NULL,2,10),(20,5065941,3.00,2.00,0.00,2.00,5.00,NULL,1.00,2.00,3.00,425,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065950,5.00,5.00,3.00,6.00,7.00,10.88,2.00,5.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5065968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5065976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5065984,3.00,3.00,2.00,5.00,6.00,6.75,2.00,3.00,5.00,223,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',16084,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5065992,3.00,6.00,1.00,3.00,5.00,NULL,1.00,2.00,4.00,234,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5066000,4.00,5.00,1.00,4.00,4.00,NULL,1.00,1.00,4.00,207,NULL,201,'NOVA DESCOBERTA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5066026,5.00,7.00,5.00,5.00,9.00,6.75,2.00,4.00,5.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5066034,9.00,7.00,3.00,4.00,9.00,8.63,4.00,5.00,7.00,601,NULL,201,'GUANABARA','JOINVILLE','SC',3605,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5066042,3.00,4.00,1.00,7.00,7.00,9.75,0.00,5.00,1.00,5,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',13160,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5066050,9.00,7.00,4.00,7.00,9.00,8.25,2.00,5.00,7.00,103,NULL,NULL,'ALTO','CURITIBA','PR',3439,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5066069,6.00,5.00,2.00,5.00,8.00,7.13,2.00,3.00,4.00,103,NULL,NULL,'JARDIM JOSÉ RUPP','HERVAL D OESTE','SC',12979,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5066077,8.00,7.00,5.00,6.00,7.00,10.13,1.00,3.00,5.00,103,NULL,NULL,'CENTRO','GURUPI','TO',6521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066085,9.00,8.00,5.00,7.00,8.00,10.13,9.00,4.00,9.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',631,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5066093,8.00,7.00,5.00,6.00,7.00,7.13,4.00,7.00,8.00,201,NULL,207,'SUMARÉ','S PAULO','SP',3124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066107,3.00,4.00,1.00,3.00,8.00,NULL,3.00,2.00,2.00,216,NULL,208,'ZONA NOVA','CAPÃO CANOA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5066115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5066131,7.00,9.00,0.00,4.00,7.00,10.50,4.00,6.00,3.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',6667,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5066140,6.00,7.00,1.00,4.00,6.00,7.88,0.00,3.00,4.00,238,NULL,208,'KOBRASOL','S JOSÉ','SC',14060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5066158,6.00,7.00,3.00,6.00,7.00,9.75,3.00,4.00,6.00,220,NULL,203,'JARDIM DAS AMÉRICAS','CUIABÁ','MT',4507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'BUTANTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5066182,7.00,5.00,2.00,5.00,5.00,10.50,4.00,3.00,5.00,208,NULL,238,'JOÃO PAULO','FLORIANÓPOLIS','SC',8126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066190,4.00,5.00,0.00,4.00,7.00,7.13,2.00,1.00,7.00,104,NULL,NULL,'JARDIM RIO PRETO','TANGARÁ SERRA','MT',14116,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5066212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5066220,9.00,8.00,9.00,6.00,10.00,10.88,9.00,9.00,8.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',26,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5066239,8.00,7.00,7.00,5.00,9.00,7.88,4.00,4.00,7.00,216,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',2926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5066247,8.00,4.00,2.00,5.00,10.00,12.00,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','IVATÉ','PR',8166,2857,NULL,NULL,NULL,NULL,NULL,2,4),(20,5066255,7.00,7.00,5.00,6.00,2.00,NULL,3.00,5.00,4.00,304,NULL,NULL,'SANTA FÉ','VINHEDO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5066263,5.00,5.00,2.00,3.00,5.00,8.25,4.00,3.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'SUDOESTE','CRUZEIRO','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5066298,5.00,7.00,0.00,7.00,7.00,8.63,3.00,3.00,4.00,103,NULL,NULL,'DOS ESTADOS','INDAIAL','SC',10978,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5066310,6.00,5.00,1.00,2.00,6.00,NULL,2.00,0.00,3.00,201,NULL,212,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5066328,9.00,8.00,1.00,4.00,5.00,11.63,3.00,3.00,8.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',3952,1831,NULL,NULL,NULL,NULL,NULL,2,8),(20,5066336,8.00,8.00,7.00,6.00,9.00,9.00,5.00,6.00,8.00,103,NULL,NULL,'CENTRO','GUARAREMA','SP',901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','HOLAMBRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5066379,3.00,7.00,3.00,5.00,9.00,7.50,3.00,4.00,4.00,428,NULL,423,'CEDRO','CAMBORIÚ','SC',12035,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5066387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5066409,6.00,6.00,2.00,6.00,6.00,6.00,4.00,3.00,6.00,201,NULL,601,'CENTRO','LAGES','SC',10905,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5066417,8.00,6.00,4.00,4.00,6.00,10.88,4.00,2.00,6.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',8668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066425,7.00,4.00,3.00,6.00,6.00,9.00,3.00,4.00,5.00,207,NULL,233,'CAMPECHE','FLORIANÓPOLIS','SC',7810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066433,7.00,4.00,2.00,5.00,6.00,8.25,2.00,1.00,4.00,103,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',13589,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5066441,8.00,7.00,7.00,7.00,9.00,9.38,7.00,5.00,8.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066450,7.00,8.00,1.00,6.00,9.00,10.13,3.00,4.00,6.00,201,NULL,233,'COQUEIROS','FLORIANÓPOLIS','SC',5320,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5066468,8.00,7.00,7.00,5.00,10.00,9.38,6.00,3.00,8.00,3,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066476,4.00,5.00,3.00,5.00,5.00,9.00,4.00,5.00,4.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',12049,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5066484,6.00,5.00,3.00,7.00,5.00,6.38,2.00,4.00,5.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',12493,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5066492,5.00,7.00,2.00,5.00,7.00,7.50,2.00,2.00,5.00,420,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',11935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066506,7.00,7.00,4.00,6.00,6.00,10.88,2.00,4.00,4.00,340,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',7640,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5066514,6.00,7.00,9.00,7.00,9.00,7.50,7.00,6.00,8.00,216,NULL,211,'BAIRRO AHU','CURITIBA','PR',760,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5066522,3.00,6.00,2.00,6.00,7.00,6.00,2.00,3.00,5.00,207,NULL,653,'JARDIM ITÁLIA','MELEIRO','SC',13147,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5066530,3.00,3.00,5.00,4.00,4.00,9.00,1.00,3.00,3.00,202,NULL,235,'CENTRO','CHAPECÓ','SC',15990,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5066549,3.00,5.00,0.00,3.00,7.00,NULL,2.00,3.00,2.00,203,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066557,8.00,6.00,2.00,5.00,9.00,9.00,5.00,2.00,7.00,103,NULL,NULL,'PQ HIGIENOPOLIS','PRES PRUDENTE','SP',4738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066565,5.00,5.00,1.00,3.00,4.00,NULL,1.00,1.00,1.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066581,8.00,9.00,9.00,7.00,10.00,9.00,9.00,5.00,8.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',57,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066590,7.00,8.00,3.00,6.00,7.00,7.50,4.00,5.00,5.00,444,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066603,7.00,7.00,0.00,6.00,8.00,NULL,1.00,5.00,5.00,238,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA REDENTORA','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5066620,9.00,7.00,2.00,7.00,7.00,8.63,3.00,4.00,5.00,103,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',6511,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5066638,7.00,7.00,5.00,6.00,10.00,9.00,4.00,5.00,8.00,5,NULL,NULL,'CENTRO','TIJUCAS','SC',2767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066654,0.00,3.00,2.00,2.00,2.00,NULL,3.00,1.00,2.00,238,NULL,208,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5066689,5.00,3.00,2.00,2.00,6.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5066697,5.00,5.00,2.00,3.00,3.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5066700,9.00,8.00,7.00,5.00,7.00,9.00,6.00,6.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066719,4.00,6.00,3.00,5.00,9.00,9.00,1.00,3.00,4.00,201,NULL,202,'IPIRANGA','S JOSÉ','SC',10566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066727,7.00,5.00,1.00,7.00,6.00,9.38,4.00,3.00,5.00,328,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',10555,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5066735,4.00,4.00,1.00,1.00,4.00,NULL,1.00,3.00,3.00,336,NULL,NULL,'PORTAO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5066743,6.00,8.00,2.00,4.00,5.00,9.38,4.00,4.00,6.00,203,NULL,214,'IGREJINHA','APUCARANA','PR',6548,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5066751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5066760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'DOS ESTADOS','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5066778,4.00,6.00,2.00,1.00,6.00,6.00,2.00,2.00,3.00,238,NULL,208,'JARDIM ELDORADO','PALHOÇA','SC',16037,428,NULL,481,NULL,NULL,NULL,4,1),(20,5066786,1.00,5.00,0.00,0.00,3.00,NULL,0.00,1.00,2.00,317,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5066808,9.00,8.00,6.00,8.00,11.00,8.63,8.00,8.00,9.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',160,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5066824,8.00,8.00,6.00,7.00,8.00,8.25,4.00,7.00,7.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066832,7.00,8.00,4.00,6.00,9.00,9.38,4.00,5.00,6.00,216,NULL,215,'PIO CORREA','CRICIÚMA','SC',2659,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5066840,6.00,5.00,3.00,6.00,8.00,NULL,0.00,4.00,6.00,429,NULL,425,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5066859,8.00,7.00,5.00,4.00,9.00,11.25,6.00,6.00,7.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',1403,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5066875,7.00,5.00,2.00,5.00,9.00,8.25,1.00,3.00,4.00,104,NULL,NULL,'FLORESTA','S JOSÉ','SC',9124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066883,4.00,4.00,1.00,6.00,4.00,8.63,2.00,4.00,6.00,301,NULL,NULL,'JARDIM APOLO','S JOSÉ CAMPOS','SP',11964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066891,7.00,7.00,3.00,4.00,6.00,8.63,2.00,2.00,3.00,316,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',11847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5066905,7.00,7.00,5.00,4.00,8.00,8.63,4.00,5.00,5.00,216,NULL,201,'TRINTA RÉIS','NOVA TRENTO','SC',4128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5066913,5.00,8.00,5.00,4.00,7.00,6.75,2.00,2.00,3.00,211,NULL,212,'SÃO LUÍS','JARAGUÁ SUL','SC',9668,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5066921,2.00,5.00,1.00,1.00,4.00,NULL,1.00,1.00,0.00,502,NULL,NULL,'CRUZEIRO','RIO CAMPO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5066948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA PAULICEIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5066956,4.00,7.00,1.00,7.00,7.00,7.50,3.00,3.00,4.00,601,NULL,201,'PRAIA BRAVA','ITAJAÍ','SC',12168,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5066964,6.00,7.00,3.00,6.00,8.00,8.63,2.00,3.00,6.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066972,6.00,3.00,4.00,7.00,5.00,9.38,4.00,3.00,6.00,103,NULL,NULL,'JD COLOMBO','S PAULO','SP',6459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5066999,4.00,6.00,3.00,6.00,7.00,6.75,3.00,3.00,6.00,238,NULL,212,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',8521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067006,9.00,8.00,8.00,7.00,8.00,10.13,6.00,6.00,7.00,303,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',366,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5067014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'HUMAITÁ','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5067022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'COLINA DA LAGOA','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5067030,9.00,6.00,4.00,7.00,8.00,12.75,6.00,7.00,6.00,303,NULL,NULL,'VILA NOVA','JOINVILLE','SC',1537,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(20,5067049,9.00,7.00,7.00,6.00,9.00,8.25,8.00,7.00,8.00,103,NULL,NULL,'ALVORADA','FRANCISCO BELTRÃO','PR',353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RETIRO VALE DO SOL','EMBU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5067065,3.00,5.00,0.00,5.00,6.00,7.50,1.00,1.00,5.00,101,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',15736,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5067073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5067081,9.00,7.00,6.00,5.00,8.00,8.63,7.00,6.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1135,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5067090,4.00,6.00,2.00,7.00,9.00,10.50,1.00,3.00,3.00,340,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',10507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067103,4.00,2.00,0.00,4.00,5.00,NULL,0.00,3.00,3.00,308,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5067111,7.00,7.00,5.00,8.00,6.00,8.63,4.00,5.00,6.00,203,NULL,202,'ASA SUL','BRASÍLIA','DF',4192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067138,9.00,9.00,6.00,7.00,11.00,9.38,8.00,6.00,9.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067146,9.00,6.00,2.00,8.00,10.00,11.25,5.00,5.00,7.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',1475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM NOVE DE JULHO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5067189,6.00,7.00,4.00,7.00,9.00,9.75,2.00,6.00,4.00,319,NULL,NULL,'CENTRO','LONDRINA','PR',4742,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5067197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMBUI','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5067200,4.00,2.00,1.00,6.00,7.00,NULL,1.00,2.00,3.00,5,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5067219,8.00,7.00,3.00,5.00,6.00,10.13,4.00,3.00,7.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3662,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5067235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'CAMPO GRANDE','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5067243,8.00,6.00,6.00,6.00,7.00,10.13,4.00,5.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',1874,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5067251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5067278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BUTANTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5067294,1.00,3.00,1.00,2.00,1.00,NULL,0.00,0.00,3.00,5,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5067332,5.00,0.00,1.00,7.00,4.00,7.88,3.00,2.00,4.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',16132,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5067340,8.00,5.00,4.00,7.00,9.00,9.75,3.00,4.00,7.00,103,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',3448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067359,8.00,6.00,5.00,7.00,7.00,11.63,3.00,6.00,5.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',3259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'AGOSTINI','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5067375,0.00,5.00,1.00,1.00,2.00,NULL,2.00,1.00,0.00,317,NULL,NULL,'ARMAÇÃO DO PANT SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5067383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMÉRICA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5067391,6.00,6.00,2.00,4.00,5.00,8.25,2.00,6.00,5.00,3,NULL,NULL,'VILA GUAIRA','CURITIBA','PR',10321,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5067405,5.00,7.00,5.00,6.00,7.00,8.63,2.00,3.00,5.00,238,NULL,208,'KOBRASOL','S JOSÉ','SC',7249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067413,6.00,4.00,0.00,4.00,5.00,NULL,0.00,2.00,5.00,104,NULL,NULL,'SANTA CORONA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5067421,7.00,7.00,4.00,7.00,9.00,7.50,5.00,5.00,8.00,216,NULL,233,'COLINA VERDE','LONDRINA','PR',2883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067456,8.00,7.00,5.00,7.00,8.00,10.50,5.00,5.00,8.00,203,NULL,220,'TRINDADE','FLORIANÓPOLIS','SC',1466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067464,3.00,4.00,1.00,7.00,7.00,9.75,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067472,9.00,8.00,8.00,7.00,10.00,8.25,8.00,5.00,8.00,216,NULL,233,'ITACORUBI','FLORIANÓPOLIS','SC',155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067480,5.00,5.00,0.00,3.00,2.00,NULL,1.00,2.00,2.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5067499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5067502,3.00,5.00,4.00,2.00,6.00,7.88,3.00,2.00,5.00,415,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5067510,1.00,3.00,1.00,2.00,2.00,NULL,0.00,1.00,0.00,207,NULL,201,'BELLA VISTA','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5067529,9.00,6.00,4.00,7.00,8.00,10.13,4.00,3.00,8.00,103,NULL,NULL,'JUVEVÊ','CURITIBA','PR',3369,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5067537,8.00,6.00,5.00,5.00,10.00,9.75,5.00,6.00,8.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067553,7.00,6.00,3.00,7.00,7.00,7.50,4.00,5.00,7.00,202,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',4574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067561,3.00,4.00,2.00,3.00,6.00,NULL,1.00,2.00,2.00,451,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5067570,7.00,7.00,4.00,5.00,6.00,10.13,4.00,3.00,7.00,103,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',3752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067588,5.00,6.00,3.00,6.00,8.00,8.63,1.00,3.00,3.00,103,NULL,NULL,'PARTENON','PTO ALEGRE','RS',11121,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5067596,4.00,5.00,2.00,5.00,4.00,6.75,1.00,2.00,2.00,501,NULL,NULL,'JARDIM MARABÁ','ITAPETININGA','SP',16260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067600,4.00,6.00,1.00,5.00,7.00,9.75,2.00,2.00,4.00,444,NULL,NULL,'PINGUIRITO','GAROPABA','SC',12786,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5067618,6.00,6.00,2.00,7.00,8.00,7.13,1.00,2.00,4.00,453,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067626,7.00,5.00,3.00,7.00,6.00,7.13,1.00,4.00,6.00,201,NULL,212,'JARDIM APOLO','S JOSÉ CAMPOS','SP',8839,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5067634,5.00,5.00,1.00,4.00,5.00,6.00,3.00,3.00,5.00,203,NULL,233,'CENTRO','FRAIBURGO','SC',13371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067642,6.00,8.00,1.00,7.00,9.00,10.50,3.00,5.00,6.00,304,NULL,NULL,'PERDIZES','S PAULO','SP',3451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067650,5.00,5.00,1.00,6.00,4.00,7.50,3.00,1.00,4.00,220,NULL,203,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5067669,4.00,7.00,2.00,7.00,7.00,9.38,1.00,5.00,2.00,429,NULL,425,'CENTRO','STO CRISTO','RS',11192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067677,6.00,3.00,3.00,5.00,8.00,6.75,4.00,4.00,6.00,103,NULL,NULL,'BELA VISTA III','S JOSÉ','SC',7701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5067685,9.00,5.00,6.00,7.00,10.00,9.75,5.00,5.00,7.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',1426,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5067693,9.00,6.00,1.00,6.00,7.00,8.25,2.00,5.00,2.00,453,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067707,3.00,3.00,1.00,1.00,2.00,NULL,2.00,1.00,4.00,318,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067715,8.00,6.00,6.00,5.00,8.00,7.50,2.00,4.00,4.00,340,NULL,NULL,'VILA SAO JORGE','TAMBAÚ','SP',6980,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5067723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5067731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5067740,4.00,5.00,3.00,1.00,4.00,8.25,3.00,3.00,2.00,207,NULL,NULL,'IPIRANGA','LAGES','SC',15385,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5067758,9.00,8.00,7.00,8.00,9.00,7.88,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',775,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5067774,8.00,7.00,7.00,6.00,10.00,8.63,4.00,5.00,7.00,211,NULL,215,'CANASVIEIRAS','FLORIANÓPOLIS','SC',1339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5067782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5067790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5067804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5067812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CONJ RES INOCOP','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5067820,6.00,8.00,7.00,7.00,10.00,6.00,4.00,3.00,6.00,203,NULL,214,'SÃO BASÍLIO MAGNO','UNIÃO VITÓRIA','PR',3143,NULL,NULL,NULL,NULL,NULL,NULL,3,17),(20,5067839,3.00,6.00,2.00,4.00,9.00,NULL,0.00,2.00,2.00,501,NULL,NULL,'EVANGELISTA','CASCA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5067847,3.00,2.00,2.00,3.00,5.00,NULL,0.00,1.00,3.00,303,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5067855,7.00,6.00,2.00,5.00,9.00,8.25,4.00,3.00,7.00,2,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',5312,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5067871,8.00,7.00,4.00,6.00,7.00,6.00,4.00,4.00,8.00,303,NULL,NULL,'REBOUÇAS','CURITIBA','PR',4725,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5067880,7.00,5.00,3.00,6.00,6.00,9.38,4.00,2.00,5.00,336,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7067,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5067898,6.00,8.00,6.00,6.00,7.00,8.25,4.00,4.00,4.00,103,NULL,NULL,'IMIRIM','S PAULO','SP',5428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067901,2.00,2.00,1.00,2.00,3.00,NULL,1.00,0.00,2.00,101,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5067910,5.00,8.00,4.00,7.00,8.00,9.38,6.00,6.00,4.00,415,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067928,7.00,9.00,4.00,8.00,9.00,10.13,4.00,2.00,6.00,201,NULL,215,'VILA JACI','S JOSÉ CAMPOS','SP',3906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5067936,9.00,7.00,5.00,7.00,8.00,9.00,5.00,6.00,8.00,103,NULL,NULL,'TINGUI','CURITIBA','PR',1090,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5067944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'VILA LEOPOLDINA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5067952,8.00,6.00,4.00,5.00,8.00,6.00,2.00,6.00,4.00,207,NULL,233,'PARTENON','PTO ALEGRE','RS',7803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5067960,4.00,5.00,1.00,3.00,5.00,NULL,0.00,2.00,3.00,5,NULL,NULL,'BELA VISTA','CEL MARTINS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5067979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'PARQUE DA REPRESA','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5067987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'SANTA CECILIA','VIAMÃO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5067995,8.00,6.00,0.00,6.00,8.00,7.88,3.00,2.00,2.00,103,NULL,NULL,'SANTO ANTONIO','FRAIBURGO','SC',10182,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5068002,7.00,6.00,7.00,7.00,7.00,8.63,5.00,4.00,5.00,103,NULL,NULL,'CORAL','LAGES','SC',5365,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5068037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5068045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5068053,2.00,4.00,3.00,2.00,4.00,NULL,3.00,3.00,2.00,601,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5068061,8.00,5.00,1.00,7.00,8.00,8.25,3.00,5.00,6.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',5811,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5068070,6.00,7.00,3.00,6.00,6.00,7.50,2.00,4.00,4.00,303,NULL,NULL,'CENTRO','LUÍS E MAGALHÃES','BA',10120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5068088,9.00,9.00,5.00,4.00,7.00,7.50,4.00,4.00,7.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',3496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CHACARA BELENZINHO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5068100,9.00,7.00,2.00,5.00,6.00,8.25,5.00,3.00,8.00,103,NULL,NULL,'ROSARIO','STA MARIA','RS',4972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5068118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5068126,8.00,7.00,5.00,8.00,9.00,7.50,7.00,6.00,8.00,103,NULL,NULL,'CENTRO','GUARATUBA','PR',898,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5068142,6.00,5.00,5.00,8.00,9.00,7.50,3.00,5.00,5.00,302,NULL,NULL,'SANTANA','S PAULO','SP',4931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068150,8.00,8.00,5.00,7.00,9.00,9.75,6.00,6.00,9.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',601,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5068177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5068185,8.00,6.00,4.00,6.00,8.00,11.63,3.00,7.00,6.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,215,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5068207,9.00,6.00,1.00,6.00,9.00,7.88,7.00,4.00,6.00,103,NULL,NULL,'MOOCA','S PAULO','SP',3101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068215,7.00,8.00,5.00,6.00,8.00,7.13,3.00,5.00,3.00,304,NULL,NULL,'JARDIM LEOCÁDIA','SOROCABA','SP',4977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068223,7.00,5.00,1.00,5.00,4.00,11.25,2.00,4.00,7.00,103,NULL,NULL,'VILA ISABEL','CURITIBA','PR',7870,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5068231,7.00,7.00,4.00,7.00,8.00,8.25,3.00,2.00,7.00,601,NULL,203,'CANTA GALO','RIO SUL','SC',4868,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5068240,8.00,7.00,3.00,5.00,5.00,NULL,4.00,4.00,6.00,103,NULL,NULL,'JARDIM IMPERIAL','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(20,5068258,9.00,6.00,6.00,5.00,6.00,8.63,4.00,4.00,6.00,216,NULL,233,'CENTRO','S CARLOS','SP',3628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5068274,9.00,3.00,1.00,7.00,7.00,10.88,4.00,4.00,6.00,103,NULL,NULL,'SANTO INÁCIO','CURITIBA','PR',4862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068290,8.00,5.00,3.00,4.00,6.00,7.50,4.00,4.00,6.00,202,NULL,233,'JARDIM PAULICÉIA','CAMPINAS','SP',7776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068304,6.00,6.00,4.00,1.00,5.00,7.88,2.00,5.00,2.00,303,NULL,NULL,'JARDIM AQUÁIUS','S JOSÉ CAMPOS','SP',11531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5068320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PALMEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5068347,7.00,7.00,7.00,6.00,6.00,8.63,6.00,3.00,5.00,220,NULL,202,'CAMPECHE','FLORIANÓPOLIS','SC',3601,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5068355,2.00,3.00,2.00,3.00,4.00,NULL,0.00,3.00,3.00,201,NULL,208,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5068363,2.00,3.00,2.00,4.00,4.00,NULL,1.00,3.00,3.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5068371,7.00,5.00,4.00,5.00,4.00,8.63,3.00,2.00,3.00,420,NULL,NULL,'VILA HORIZONTE','MOGI CRUZES','SP',10941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068398,4.00,6.00,4.00,5.00,8.00,7.88,4.00,4.00,2.00,340,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5068401,8.00,8.00,3.00,7.00,10.00,10.50,4.00,8.00,6.00,303,NULL,NULL,'LURDES','CAXIAS SUL','RS',1011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068410,9.00,6.00,6.00,6.00,9.00,8.63,4.00,6.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068428,6.00,4.00,7.00,7.00,3.00,NULL,4.00,2.00,4.00,208,NULL,203,'BOSQUE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5068436,5.00,5.00,3.00,6.00,7.00,9.38,0.00,2.00,5.00,102,NULL,NULL,'CENTRO','CRICIÚMA','SC',14132,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5068444,3.00,6.00,3.00,3.00,4.00,NULL,0.00,1.00,2.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5068452,5.00,4.00,1.00,3.00,6.00,NULL,1.00,2.00,4.00,303,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068460,9.00,9.00,7.00,8.00,11.00,12.00,8.00,7.00,8.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',21,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068479,6.00,4.00,2.00,3.00,5.00,7.50,2.00,2.00,3.00,451,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068487,7.00,8.00,1.00,6.00,6.00,6.75,3.00,3.00,5.00,320,NULL,NULL,'CENTRO','URUSSANGA','SC',8286,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5068495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CENTRO','LEME','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5068509,9.00,7.00,8.00,7.00,9.00,13.50,8.00,5.00,9.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',39,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068517,9.00,9.00,7.00,7.00,9.00,11.25,6.00,8.00,8.00,103,NULL,NULL,'VILA BARTH','ITAPETININGA','SP',119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068525,3.00,6.00,0.00,4.00,4.00,NULL,1.00,3.00,1.00,303,NULL,NULL,'CANTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5068533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MORAES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5068541,4.00,4.00,1.00,6.00,4.00,8.25,0.00,3.00,5.00,216,NULL,233,'JARDIM VALPARAIBA','S JOSÉ CAMPOS','SP',14519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068550,6.00,7.00,6.00,5.00,5.00,6.00,3.00,3.00,6.00,202,NULL,213,'GUABIROTUBA','CURITIBA','PR',8385,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5068568,9.00,8.00,6.00,7.00,9.00,9.75,6.00,4.00,8.00,103,NULL,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068576,8.00,4.00,2.00,7.00,9.00,7.13,4.00,9.00,5.00,211,NULL,215,'GUABIROTUBA','CURITIBA','PR',5439,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5068584,4.00,6.00,4.00,6.00,3.00,NULL,0.00,6.00,3.00,333,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5068592,7.00,6.00,0.00,4.00,5.00,7.88,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',10678,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5068606,5.00,4.00,0.00,4.00,6.00,7.13,3.00,0.00,5.00,104,NULL,NULL,'ALVORADA','XAXIM','SC',13022,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5068614,7.00,8.00,3.00,7.00,8.00,9.00,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',2642,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5068622,4.00,6.00,4.00,4.00,7.00,8.25,2.00,4.00,5.00,201,NULL,216,'CAMPECHE','FLORIANÓPOLIS','SC',10319,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5068630,3.00,5.00,1.00,2.00,6.00,6.38,5.00,3.00,3.00,203,NULL,NULL,'UNIVERSITÁRIO','CHAPECÓ','SC',15193,941,NULL,NULL,NULL,NULL,NULL,2,4),(20,5068649,9.00,7.00,5.00,5.00,9.00,7.13,4.00,6.00,7.00,103,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',2464,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5068657,5.00,6.00,4.00,5.00,7.00,6.00,5.00,4.00,6.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5068665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5068673,9.00,8.00,8.00,7.00,9.00,8.25,8.00,6.00,6.00,203,NULL,201,'JOÃO PAULO','FLORIANÓPOLIS','SC',578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068681,4.00,6.00,0.00,4.00,6.00,6.00,3.00,3.00,3.00,103,NULL,NULL,'MENINO DEUS','PATO BRANCO','PR',12379,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5068690,8.00,7.00,0.00,7.00,10.00,10.13,2.00,6.00,5.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',4097,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5068703,9.00,8.00,1.00,7.00,9.00,8.63,6.00,5.00,8.00,103,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',1675,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5068720,3.00,5.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,207,NULL,233,'CENTRO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5068738,1.00,2.00,0.00,4.00,5.00,NULL,2.00,2.00,4.00,415,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5068746,5.00,5.00,3.00,3.00,5.00,8.25,2.00,1.00,3.00,501,NULL,NULL,'AGUA VERDE','CURITIBA','PR',12532,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5068754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5068762,8.00,8.00,5.00,7.00,10.00,10.88,6.00,7.00,8.00,103,NULL,NULL,'VILA A','FOZ IGUAÇU','PR',453,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5068770,4.00,4.00,3.00,1.00,5.00,NULL,1.00,0.00,2.00,233,NULL,601,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068789,2.00,5.00,3.00,4.00,5.00,NULL,1.00,1.00,3.00,326,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068797,9.00,9.00,7.00,7.00,9.00,9.75,8.00,6.00,8.00,203,NULL,202,'ITACORUBI','FLORIANÓPOLIS','SC',210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068800,3.00,4.00,4.00,4.00,4.00,7.13,0.00,4.00,4.00,216,NULL,220,'ZONA SETE','MARINGÁ','PR',13689,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5068827,6.00,5.00,4.00,3.00,4.00,9.38,2.00,2.00,3.00,207,NULL,202,'PASSO MAGNUS','S JOÃO SUL','SC',15533,762,NULL,507,NULL,NULL,NULL,4,15),(20,5068835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5068843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5068851,5.00,8.00,3.00,7.00,7.00,7.50,2.00,3.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068860,8.00,7.00,4.00,6.00,10.00,8.25,3.00,8.00,7.00,601,NULL,653,'ANITA GARIBALDI','JOINVILLE','SC',1801,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5068886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5068908,4.00,6.00,3.00,6.00,4.00,9.38,0.00,4.00,3.00,208,NULL,238,'CENTRO','LGA VERMELHA','RS',13418,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5068916,8.00,8.00,3.00,7.00,10.00,8.25,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3835,1801,NULL,NULL,NULL,NULL,NULL,4,3),(20,5068924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VILA SANTANA','SUMARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5068940,9.00,6.00,6.00,7.00,7.00,9.75,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2590,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5068959,5.00,6.00,1.00,3.00,9.00,6.00,2.00,4.00,5.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',11903,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5068967,8.00,5.00,3.00,4.00,6.00,6.75,2.00,3.00,5.00,502,NULL,NULL,'CENTRO','ALM TAMANDARÉ','PR',11057,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5068975,7.00,4.00,1.00,5.00,3.00,NULL,0.00,1.00,5.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5068983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5069017,1.00,1.00,2.00,2.00,4.00,NULL,3.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069025,5.00,7.00,4.00,5.00,7.00,9.00,4.00,4.00,5.00,3,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',8756,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069033,8.00,7.00,5.00,5.00,5.00,12.00,6.00,5.00,8.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',1971,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5069050,3.00,4.00,2.00,3.00,4.00,NULL,1.00,2.00,3.00,450,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5069068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BAIRRO AHÚ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5069076,4.00,7.00,3.00,2.00,3.00,NULL,1.00,2.00,4.00,5,NULL,NULL,'SÃO FRANCISCO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069084,8.00,9.00,8.00,8.00,10.00,10.50,8.00,7.00,9.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',19,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069092,4.00,5.00,3.00,5.00,7.00,10.88,0.00,2.00,2.00,103,NULL,NULL,'ÓRFÃS','PNT GROSSA','PR',12491,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5069106,9.00,6.00,3.00,6.00,7.00,9.38,5.00,4.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3520,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5069114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','PINHEIRO PRETO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5069122,5.00,2.00,1.00,5.00,4.00,NULL,3.00,2.00,0.00,108,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069130,6.00,4.00,4.00,6.00,11.00,11.25,2.00,3.00,5.00,110,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',8179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5069157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',3,8),(20,5069165,3.00,8.00,4.00,5.00,8.00,8.63,3.00,6.00,7.00,3,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',6843,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069173,6.00,6.00,1.00,6.00,9.00,6.75,2.00,6.00,3.00,326,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',10698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069181,6.00,5.00,5.00,6.00,6.00,8.25,3.00,3.00,8.00,216,NULL,203,'REBOUÇAS','CURITIBA','PR',6173,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5069190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5069211,4.00,7.00,3.00,7.00,7.00,7.13,2.00,3.00,2.00,2,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12563,34,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069220,3.00,5.00,2.00,5.00,5.00,NULL,0.00,3.00,3.00,203,NULL,235,'SARANDI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069238,7.00,7.00,5.00,7.00,9.00,7.50,3.00,6.00,6.00,415,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',2635,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069254,4.00,3.00,1.00,4.00,7.00,NULL,2.00,1.00,4.00,103,NULL,NULL,'CHACARA MACHADINHO I','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5069262,5.00,6.00,3.00,7.00,6.00,10.13,3.00,3.00,4.00,207,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069289,5.00,6.00,6.00,5.00,8.00,9.00,5.00,4.00,6.00,103,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',3924,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'CENTRO','MARCELINO RAMOS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5069300,6.00,6.00,1.00,3.00,8.00,9.00,0.00,2.00,6.00,201,NULL,212,'CENTRO','HERVAL D OESTE','SC',10028,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5069319,6.00,0.00,2.00,7.00,5.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JD DAS INDÚSTRIAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5069327,5.00,7.00,1.00,7.00,7.00,9.75,2.00,4.00,4.00,332,NULL,NULL,'SANTA TERESA','PTO ALEGRE','RS',9669,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5069343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'POPULAR','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5069351,8.00,7.00,7.00,6.00,9.00,9.00,6.00,4.00,7.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069360,3.00,4.00,0.00,2.00,4.00,NULL,0.00,2.00,5.00,103,NULL,NULL,'CENTRO','SALTO LONTRA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5069378,3.00,6.00,2.00,7.00,7.00,10.13,3.00,3.00,6.00,429,NULL,428,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7848,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5069386,3.00,5.00,1.00,4.00,6.00,NULL,2.00,2.00,3.00,211,NULL,215,'VILA SÃO PAULO','CPO LIMPO PAULISTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069394,6.00,6.00,4.00,4.00,6.00,10.50,2.00,3.00,4.00,317,NULL,NULL,'GARCIA','BLUMENAU','SC',10443,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5069408,4.00,7.00,0.00,6.00,8.00,10.13,5.00,4.00,5.00,103,NULL,NULL,'CHACARA PRIMAVERA','CAMPINAS','SP',4932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069416,5.00,5.00,0.00,7.00,8.00,11.63,3.00,3.00,6.00,303,NULL,NULL,'JARDIM SEMINÁRIO','FRANCISCO BELTRÃO','PR',7033,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5069424,7.00,6.00,4.00,6.00,7.00,10.50,4.00,4.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069432,5.00,6.00,3.00,4.00,6.00,6.38,3.00,4.00,3.00,212,NULL,601,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',13742,347,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069440,4.00,5.00,3.00,5.00,9.00,9.00,0.00,2.00,4.00,207,NULL,211,'BARRO VERMELHO','ORLEANS','SC',12713,600,NULL,397,NULL,NULL,NULL,2,10),(20,5069459,1.00,2.00,3.00,5.00,6.00,NULL,2.00,2.00,3.00,201,NULL,212,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069467,5.00,4.00,2.00,5.00,6.00,10.88,2.00,3.00,4.00,216,NULL,203,'COSTA E SILVA','JOINVILLE','SC',11745,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5069475,7.00,7.00,5.00,6.00,8.00,8.63,5.00,5.00,3.00,220,NULL,203,'PQ DAS UNIVERSIDADES','CAMPINAS','SP',4845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069483,7.00,5.00,3.00,7.00,7.00,9.75,3.00,4.00,6.00,103,NULL,NULL,'VILA A','FOZ IGUAÇU','PR',5671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069491,4.00,5.00,2.00,2.00,4.00,8.25,3.00,3.00,3.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',14805,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5069513,4.00,7.00,1.00,4.00,4.00,6.00,1.00,1.00,4.00,103,NULL,NULL,'CAMPO D UNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069521,7.00,4.00,5.00,7.00,5.00,7.88,1.00,4.00,6.00,216,NULL,NULL,'MARIA IZABEL','MARÍLIA','SP',6278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069530,4.00,5.00,2.00,6.00,7.00,10.50,3.00,4.00,4.00,415,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11206,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069548,7.00,7.00,1.00,5.00,7.00,6.38,3.00,4.00,4.00,420,NULL,NULL,'ROÇADO','S JOSÉ','SC',10554,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069556,4.00,5.00,4.00,7.00,6.00,2.25,3.00,2.00,3.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069564,4.00,6.00,5.00,5.00,8.00,11.25,1.00,3.00,5.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069572,3.00,7.00,0.00,4.00,4.00,7.88,2.00,1.00,4.00,429,NULL,425,'NOVO CENTRO','FRANCA','SP',15416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SÃO JUDAS','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5069599,3.00,7.00,3.00,5.00,4.00,9.38,0.00,0.00,4.00,421,NULL,425,'INTERIOR','ITAPIRANGA','SC',14905,NULL,NULL,NULL,NULL,NULL,NULL,1,4),(20,5069602,3.00,3.00,0.00,4.00,6.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069629,1.00,3.00,2.00,4.00,1.00,NULL,1.00,3.00,2.00,551,NULL,NULL,'NOSSA SRA APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5069645,9.00,7.00,7.00,7.00,10.00,11.25,5.00,6.00,5.00,340,NULL,NULL,'GLÓRIA','JOINVILLE','SC',678,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5069653,9.00,7.00,8.00,7.00,6.00,9.75,6.00,4.00,8.00,203,NULL,216,'PARQUE ALTO TAQUARAL','CAMPINAS','SP',970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069661,3.00,5.00,4.00,2.00,5.00,6.75,1.00,5.00,5.00,207,NULL,201,'RIO CAVEIRAS','BIGUAÇU','SC',15141,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069670,3.00,5.00,0.00,6.00,4.00,5.25,0.00,2.00,3.00,203,NULL,216,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069688,3.00,4.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,404,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069696,5.00,5.00,3.00,5.00,7.00,8.25,2.00,2.00,7.00,102,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',10265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069700,8.00,7.00,7.00,7.00,8.00,10.13,3.00,6.00,8.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','LORENA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5069726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'REBOUCAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5069734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5069750,7.00,6.00,1.00,5.00,7.00,7.88,2.00,4.00,7.00,319,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',7831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069769,8.00,4.00,4.00,5.00,7.00,7.13,2.00,4.00,6.00,101,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',9568,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069777,4.00,3.00,0.00,2.00,6.00,NULL,1.00,2.00,4.00,9,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069793,6.00,4.00,2.00,7.00,9.00,4.88,2.00,5.00,7.00,211,NULL,207,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069815,7.00,7.00,3.00,4.00,6.00,8.25,1.00,4.00,6.00,108,NULL,NULL,'SANTA EFIGÊNIA','BELO HORIZONTE','MG',10510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069831,5.00,2.00,4.00,2.00,5.00,6.00,4.00,3.00,2.00,338,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5069840,4.00,5.00,2.00,3.00,5.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5069866,5.00,5.00,2.00,3.00,6.00,7.13,2.00,4.00,3.00,653,NULL,203,'CENTRO','TRÊS MAIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069874,9.00,7.00,5.00,4.00,8.00,8.63,4.00,4.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4166,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5069882,7.00,7.00,2.00,7.00,10.00,12.00,1.00,4.00,6.00,415,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',3997,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5069890,4.00,5.00,0.00,3.00,6.00,NULL,0.00,2.00,3.00,320,NULL,NULL,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5069904,7.00,8.00,3.00,7.00,10.00,10.50,6.00,6.00,4.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',2584,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5069920,7.00,7.00,5.00,7.00,6.00,9.38,4.00,4.00,5.00,220,NULL,203,'VALE DO SOL','TREMEMBÉ','SP',5370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5069939,6.00,6.00,2.00,1.00,6.00,6.75,0.00,3.00,5.00,319,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',15844,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5069947,6.00,7.00,2.00,6.00,7.00,8.63,4.00,3.00,5.00,207,NULL,212,'CENTRO','CHAPECÓ','SC',8440,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5069955,7.00,5.00,1.00,5.00,5.00,8.25,2.00,3.00,4.00,404,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',14136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5069963,3.00,4.00,1.00,2.00,8.00,NULL,1.00,3.00,4.00,104,NULL,NULL,'FREI ROGÉRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5069971,7.00,6.00,7.00,7.00,10.00,10.13,7.00,4.00,8.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',1356,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5069980,4.00,4.00,2.00,6.00,6.00,9.75,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',9256,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5069998,4.00,4.00,3.00,6.00,7.00,11.63,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','CASTRO','PR',10600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070007,7.00,6.00,2.00,6.00,6.00,10.13,2.00,5.00,6.00,303,NULL,NULL,'QUIRIRIM','TAUBATÉ','SP',5513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070015,8.00,9.00,7.00,7.00,8.00,11.25,4.00,4.00,8.00,303,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',1359,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5070023,9.00,7.00,4.00,7.00,10.00,11.63,5.00,6.00,5.00,303,NULL,NULL,'LURDE','CAXIAS SUL','RS',988,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5070031,9.00,8.00,1.00,7.00,9.00,9.75,4.00,5.00,8.00,103,NULL,NULL,'CENTRO','JATAIZINHO','PR',2944,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5070040,5.00,6.00,2.00,3.00,6.00,8.63,1.00,2.00,4.00,207,NULL,233,'ABRAÃO','FLORIANÓPOLIS','SC',15762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070058,8.00,7.00,6.00,7.00,10.00,9.38,4.00,6.00,8.00,211,NULL,207,'JARDIM MACEDO','RIBEIRÃO PRETO','SP',1119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070066,6.00,6.00,5.00,7.00,7.00,10.13,3.00,2.00,6.00,108,NULL,NULL,'CENTRO','CUIABÁ','MT',7422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070074,6.00,6.00,0.00,6.00,9.00,9.00,1.00,6.00,7.00,332,NULL,NULL,'SERRARIA','S JOSÉ','SC',8954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070090,9.00,7.00,2.00,7.00,9.00,9.75,4.00,5.00,6.00,103,NULL,NULL,'JARDIM MARAJOARA','S PAULO','SP',2700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070104,1.00,3.00,3.00,3.00,4.00,NULL,0.00,1.00,3.00,340,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5070120,9.00,9.00,6.00,8.00,10.00,9.75,8.00,7.00,8.00,103,NULL,NULL,'CENTRO','POMERODE','SC',159,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5070139,7.00,8.00,4.00,4.00,9.00,9.75,3.00,4.00,7.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5070147,8.00,6.00,6.00,6.00,7.00,6.00,4.00,5.00,5.00,202,NULL,213,'PASSA VINTE','PALHOÇA','SC',5288,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5070163,7.00,7.00,7.00,5.00,7.00,11.25,3.00,6.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5070171,8.00,6.00,4.00,7.00,8.00,9.38,7.00,7.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1594,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5070180,2.00,3.00,1.00,2.00,5.00,NULL,1.00,3.00,2.00,108,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5070198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SÃO MARTINHO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5070201,3.00,6.00,2.00,4.00,3.00,NULL,1.00,2.00,3.00,303,NULL,NULL,'PASSAGEM','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5070210,7.00,7.00,1.00,5.00,7.00,10.13,2.00,6.00,6.00,327,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5070236,5.00,6.00,0.00,3.00,5.00,6.75,3.00,2.00,4.00,444,NULL,NULL,'SÃO PELEGRINO','CAXIAS SUL','RS',16254,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5070244,2.00,3.00,1.00,3.00,2.00,NULL,1.00,2.00,2.00,420,NULL,NULL,'MINA DO MATO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5070252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'SANTA FÉ','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5070260,7.00,7.00,1.00,4.00,6.00,8.25,1.00,3.00,3.00,103,NULL,NULL,'NOVA DIVINÉIA','PINHALZINHO','SC',11898,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5070279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,233,'JARDIM VAL PARAIBA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5070287,9.00,4.00,1.00,7.00,7.00,11.25,3.00,4.00,7.00,102,NULL,NULL,'CENTRO','RIO CLARO','SP',5070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070295,9.00,8.00,6.00,7.00,9.00,10.88,6.00,4.00,7.00,201,NULL,212,'CHÁCARA CACHOEIRA','CPO GRANDE','MS',708,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5070309,8.00,7.00,5.00,6.00,6.00,7.50,4.00,4.00,6.00,316,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',5284,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5070325,9.00,7.00,4.00,7.00,9.00,9.38,6.00,5.00,7.00,103,NULL,NULL,'PASSO DA AREIA','STA MARIA','RS',1698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070333,8.00,7.00,6.00,6.00,10.00,8.25,4.00,5.00,7.00,103,NULL,NULL,'TAVEIROPOLIS','CPO GRANDE','MS',2412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070341,8.00,9.00,6.00,7.00,9.00,9.38,7.00,4.00,7.00,103,NULL,NULL,'VIVENDA DO BOSQUE','CPO GRANDE','MS',871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'PRQ SABARÁ','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5070368,2.00,6.00,1.00,3.00,5.00,10.50,1.00,2.00,6.00,207,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',15185,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5070376,8.00,5.00,3.00,6.00,5.00,7.13,3.00,5.00,5.00,216,NULL,NULL,'CENTRO','MAJ VIEIRA','SC',7582,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5070384,5.00,3.00,1.00,4.00,3.00,NULL,1.00,3.00,3.00,501,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5070430,8.00,7.00,3.00,5.00,9.00,8.63,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6469,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5070449,3.00,6.00,2.00,6.00,5.00,6.38,0.00,1.00,3.00,215,NULL,203,'TRINDADE','FLORIANÓPOLIS','SC',16311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070457,6.00,5.00,0.00,3.00,6.00,8.63,0.00,2.00,3.00,101,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',15352,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5070465,6.00,4.00,2.00,4.00,8.00,7.13,2.00,3.00,4.00,303,NULL,NULL,'CENTRO','RIO NEGRO','PR',11272,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5070481,6.00,5.00,2.00,7.00,5.00,9.00,2.00,3.00,5.00,216,NULL,201,'CENTRO','PARANATINGA','MT',9064,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5070490,3.00,5.00,0.00,2.00,4.00,NULL,0.00,1.00,2.00,215,NULL,216,'FLOR DA SERRA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5070503,8.00,7.00,7.00,6.00,9.00,8.25,2.00,3.00,7.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',2599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5070538,6.00,7.00,4.00,7.00,6.00,6.00,3.00,3.00,4.00,201,NULL,216,'CENTRO','CANOINHAS','SC',10290,757,NULL,421,NULL,NULL,NULL,4,8),(20,5070546,7.00,6.00,7.00,7.00,5.00,9.38,3.00,4.00,4.00,212,NULL,201,'PRAIA DA COSTA','VL VELHA','ES',4919,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5070554,6.00,7.00,5.00,5.00,7.00,7.13,3.00,4.00,4.00,2,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5070562,4.00,4.00,3.00,4.00,4.00,6.00,2.00,1.00,2.00,103,NULL,NULL,'VILA BOSQUE','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5070570,4.00,6.00,4.00,7.00,7.00,8.63,2.00,3.00,4.00,429,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',11341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070589,2.00,3.00,1.00,5.00,6.00,NULL,1.00,3.00,4.00,450,NULL,NULL,'CERAMARTE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070597,3.00,4.00,0.00,4.00,5.00,NULL,2.00,1.00,1.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5070600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5070627,2.00,3.00,0.00,5.00,3.00,NULL,0.00,1.00,3.00,215,NULL,211,'AREAL','PELOTAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5070635,5.00,8.00,1.00,6.00,8.00,8.25,3.00,5.00,6.00,5,NULL,NULL,'SANTO ANT DE LISBOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5070651,7.00,6.00,5.00,4.00,7.00,8.63,4.00,2.00,6.00,103,NULL,NULL,'JARDIM ADÉLIA','JUNDIAÍ','SP',6451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070660,6.00,6.00,3.00,6.00,7.00,6.75,0.00,4.00,1.00,340,NULL,NULL,'ITAQUERA','S PAULO','SP',13006,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5070686,2.00,0.00,1.00,7.00,4.00,NULL,0.00,0.00,0.00,425,NULL,421,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5070694,7.00,7.00,2.00,7.00,9.00,10.13,2.00,3.00,6.00,320,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070708,4.00,4.00,1.00,6.00,5.00,0.75,1.00,2.00,4.00,208,NULL,235,'VILA SONIA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070716,5.00,5.00,0.00,1.00,5.00,NULL,0.00,4.00,4.00,450,NULL,NULL,'BAETA NEVES','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070724,7.00,6.00,3.00,7.00,7.00,9.75,2.00,4.00,6.00,201,NULL,207,'COLONINHA','ARARANGUÁ','SC',5663,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5070732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUAIUBA','GUARUJÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5070740,5.00,6.00,4.00,4.00,10.00,10.13,2.00,6.00,2.00,327,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5070759,5.00,7.00,4.00,3.00,5.00,8.63,2.00,4.00,4.00,601,NULL,211,'SANTO ANTONIO','JOINVILLE','SC',14034,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5070767,9.00,7.00,7.00,7.00,11.00,8.63,5.00,4.00,9.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070775,7.00,4.00,2.00,8.00,7.00,9.38,1.00,3.00,4.00,453,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',9528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070783,9.00,7.00,8.00,6.00,9.00,7.50,5.00,5.00,6.00,216,NULL,211,'VELHA','BLUMENAU','SC',2428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070805,6.00,4.00,4.00,5.00,8.00,8.63,2.00,6.00,5.00,404,NULL,NULL,'FIGUEIRA GRANDE','IMARUÍ','SC',9401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5070848,7.00,5.00,1.00,7.00,9.00,12.38,3.00,6.00,4.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',6251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070864,3.00,3.00,4.00,4.00,5.00,NULL,0.00,2.00,4.00,203,NULL,601,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5070872,3.00,5.00,2.00,7.00,4.00,7.13,3.00,2.00,2.00,333,NULL,NULL,'SANTA PAULA','S CAETANO SUL','SP',14566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070880,9.00,7.00,5.00,6.00,9.00,8.63,5.00,8.00,9.00,103,NULL,NULL,'CENTRO','REDENTORA','RS',1001,601,NULL,NULL,NULL,NULL,NULL,2,4),(20,5070899,8.00,7.00,4.00,7.00,8.00,10.50,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',2097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070902,5.00,7.00,3.00,5.00,5.00,8.25,2.00,3.00,2.00,203,NULL,235,'FUNDOS','BIGUAÇU','SC',13090,867,NULL,175,NULL,NULL,NULL,4,1),(20,5070910,8.00,5.00,3.00,7.00,8.00,12.38,4.00,5.00,8.00,103,NULL,NULL,'VILA TANCREDO NEVES','CAMPINAS','SP',2965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070929,7.00,4.00,6.00,5.00,6.00,7.13,4.00,2.00,5.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',8514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070937,4.00,4.00,2.00,5.00,4.00,7.88,1.00,3.00,3.00,234,NULL,NULL,'CENTRAL PARK','PRES PRUDENTE','SP',15897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070953,3.00,5.00,1.00,2.00,6.00,NULL,2.00,2.00,3.00,319,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5070961,5.00,6.00,4.00,4.00,7.00,NULL,1.00,3.00,2.00,426,NULL,429,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5070970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5070996,7.00,5.00,1.00,6.00,8.00,10.88,2.00,2.00,7.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',7135,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5071011,6.00,6.00,0.00,7.00,4.00,7.50,4.00,3.00,4.00,202,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',13178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071020,3.00,3.00,0.00,4.00,3.00,NULL,0.00,2.00,2.00,208,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071038,4.00,9.00,2.00,2.00,6.00,7.13,2.00,4.00,3.00,207,NULL,201,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5071046,1.00,5.00,2.00,4.00,5.00,7.88,0.00,3.00,5.00,444,NULL,NULL,'VILA IZABEL','CURITIBA','PR',15746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071054,9.00,7.00,5.00,6.00,10.00,9.75,3.00,6.00,8.00,301,NULL,NULL,'VILA BETHANIA','S JOSÉ CAMPOS','SP',1412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071062,6.00,5.00,3.00,7.00,7.00,7.88,5.00,2.00,3.00,340,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',10956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071070,3.00,3.00,3.00,3.00,5.00,NULL,3.00,1.00,3.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071097,5.00,4.00,4.00,5.00,4.00,11.25,2.00,4.00,7.00,502,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071100,5.00,5.00,1.00,7.00,5.00,9.75,0.00,3.00,2.00,328,NULL,NULL,'CENTRO','SANTANA LIVRAMENTO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5071135,1.00,4.00,8.00,4.00,6.00,7.88,5.00,1.00,6.00,202,NULL,213,'TUIUTI','PARANAGUÁ','PR',11429,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5071151,5.00,7.00,2.00,7.00,9.00,7.88,4.00,3.00,5.00,203,NULL,233,'PITANGUEIRA','AGROLÂNDIA','SC',6720,535,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071160,9.00,7.00,7.00,7.00,10.00,9.38,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071178,5.00,6.00,5.00,5.00,5.00,11.25,2.00,2.00,6.00,234,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10035,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071194,7.00,5.00,1.00,5.00,5.00,9.38,2.00,3.00,4.00,108,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',12388,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5071208,7.00,8.00,5.00,5.00,8.00,6.75,3.00,6.00,5.00,317,NULL,NULL,'CENTRO','PAULO LOPES','SC',4672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'FLORESTA','RIO CAMPO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5071232,5.00,6.00,4.00,3.00,8.00,9.75,0.00,2.00,5.00,5,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',10493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071240,3.00,6.00,2.00,5.00,7.00,7.88,2.00,5.00,2.00,339,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',14129,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071259,2.00,6.00,3.00,3.00,6.00,NULL,0.00,3.00,2.00,324,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071267,4.00,6.00,4.00,2.00,6.00,8.63,3.00,3.00,5.00,225,NULL,NULL,'CENTRO','MIRASSOL','SP',11801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071275,4.00,3.00,0.00,3.00,4.00,NULL,1.00,2.00,4.00,213,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5071283,7.00,8.00,4.00,4.00,8.00,9.38,4.00,4.00,7.00,216,NULL,212,'REBOUÇAS','CURITIBA','PR',4666,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5071291,3.00,6.00,1.00,3.00,4.00,NULL,1.00,4.00,0.00,103,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071305,6.00,7.00,2.00,6.00,7.00,6.38,4.00,4.00,8.00,103,NULL,NULL,'JARDIM DUARTE','FOZ IGUAÇU','PR',6376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071313,2.00,5.00,2.00,7.00,6.00,NULL,0.00,1.00,3.00,428,NULL,429,'VILA FORMOSA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5071330,9.00,7.00,1.00,6.00,9.00,9.75,5.00,3.00,5.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071348,8.00,5.00,6.00,7.00,8.00,6.00,4.00,6.00,7.00,340,NULL,NULL,'PARQUE IRACEMA','CATANDUVA','SP',2821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071356,4.00,7.00,2.00,3.00,4.00,NULL,1.00,3.00,1.00,201,NULL,207,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5071372,6.00,4.00,4.00,4.00,9.00,10.88,3.00,3.00,5.00,207,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',6898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071380,2.00,3.00,0.00,1.00,2.00,NULL,3.00,0.00,3.00,502,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071402,1.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,319,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071410,7.00,8.00,0.00,7.00,8.00,10.50,1.00,4.00,5.00,103,NULL,NULL,'AMAMBAI','CPO GRANDE','MS',6754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071429,4.00,6.00,3.00,6.00,8.00,9.75,2.00,3.00,5.00,420,NULL,NULL,'SANTO ANTÔNIO','PTO ALEGRE','RS',7785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071437,8.00,4.00,5.00,6.00,7.00,9.38,6.00,6.00,7.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',4422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071445,4.00,5.00,2.00,4.00,6.00,7.88,0.00,5.00,2.00,317,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',15455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071461,7.00,5.00,5.00,5.00,5.00,8.25,2.00,6.00,8.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',4469,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5071470,5.00,6.00,3.00,6.00,6.00,8.25,3.00,3.00,4.00,326,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071488,6.00,7.00,2.00,4.00,8.00,10.13,0.00,4.00,7.00,318,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071496,5.00,5.00,2.00,4.00,5.00,9.00,2.00,3.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5071518,6.00,6.00,1.00,4.00,2.00,NULL,2.00,1.00,4.00,108,NULL,NULL,'PARQUE DAS AVENIDAS','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5071526,7.00,5.00,6.00,7.00,8.00,7.88,3.00,4.00,5.00,212,NULL,201,'JABAQUARA','S PAULO','SP',4658,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071534,7.00,0.00,5.00,7.00,8.00,NULL,0.00,0.00,0.00,601,NULL,203,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5071542,5.00,6.00,2.00,6.00,8.00,9.75,2.00,4.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9933,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071550,7.00,7.00,4.00,6.00,8.00,9.38,2.00,3.00,4.00,103,NULL,NULL,'SAO JOAO','ITAJAÍ','SC',6464,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5071585,7.00,7.00,4.00,1.00,4.00,4.50,7.00,5.00,8.00,336,NULL,NULL,'VILA ESPERANÇA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5071593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'JARDIM SAMAMBAIA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5071615,3.00,4.00,4.00,5.00,4.00,NULL,2.00,1.00,1.00,202,NULL,235,'PARQUE PINHEIROS','BIRIGÜI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071640,4.00,4.00,1.00,5.00,8.00,NULL,0.00,2.00,3.00,429,NULL,427,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071658,7.00,6.00,5.00,5.00,6.00,7.88,4.00,5.00,5.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071674,5.00,5.00,1.00,3.00,3.00,NULL,1.00,4.00,2.00,238,NULL,208,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA PASSOS','S LUÍS','MA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5071712,7.00,6.00,3.00,5.00,8.00,9.38,1.00,1.00,5.00,501,NULL,NULL,'CENTRO','IBIRAMA','SC',9406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071739,5.00,6.00,1.00,6.00,7.00,8.25,2.00,5.00,3.00,450,NULL,NULL,'SANTO ANTONIO','RONDONÓPOLIS','MT',11597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071747,6.00,7.00,2.00,4.00,5.00,11.25,3.00,1.00,3.00,340,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12542,356,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071755,8.00,7.00,4.00,7.00,8.00,9.00,6.00,6.00,7.00,303,NULL,NULL,'JARDINS','ARACAJU','SE',2307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071763,6.00,6.00,1.00,3.00,7.00,8.25,1.00,3.00,2.00,202,NULL,213,'SAMBAQUI','FLORIANÓPOLIS','SC',13573,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5071798,3.00,6.00,1.00,7.00,6.00,7.13,2.00,2.00,4.00,203,NULL,202,'INGLESES','FLORIANÓPOLIS','SC',15018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071801,8.00,8.00,3.00,5.00,8.00,8.63,4.00,3.00,7.00,202,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',4461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071810,4.00,2.00,1.00,1.00,3.00,NULL,1.00,2.00,0.00,501,NULL,NULL,'PETROPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5071828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'SANTA GENOVEVA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5071836,7.00,7.00,1.00,7.00,8.00,9.00,0.00,3.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'CENTRO','OLÍMPIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5071860,4.00,5.00,2.00,3.00,4.00,6.00,4.00,2.00,5.00,216,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',15934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071879,8.00,9.00,4.00,6.00,9.00,6.75,6.00,5.00,8.00,214,NULL,220,'AGUA VERDE','CURITIBA','PR',2062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071887,9.00,7.00,5.00,7.00,10.00,9.00,7.00,8.00,7.00,103,NULL,NULL,'JARDIM B HORIZONTE','S JOSÉ R PRETO','SP',417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071895,3.00,5.00,3.00,4.00,6.00,7.13,3.00,2.00,7.00,428,NULL,423,'JARDIM BIGUAÇU','BIGUAÇU','SC',14112,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071909,6.00,8.00,3.00,6.00,8.00,10.50,3.00,4.00,5.00,425,NULL,424,'CENTRO DE SÃO JOSÉ','S JOSÉ','SC',5449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071925,6.00,6.00,5.00,4.00,8.00,9.38,3.00,5.00,4.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8175,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5071941,5.00,2.00,1.00,0.00,4.00,NULL,3.00,3.00,4.00,216,NULL,215,'VISTA ALEGRE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5071950,7.00,7.00,3.00,7.00,9.00,6.75,4.00,5.00,6.00,326,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5071976,1.00,3.00,2.00,3.00,5.00,NULL,1.00,1.00,2.00,207,NULL,201,'ATALAIA','ARACAJU','SE',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071984,5.00,7.00,1.00,4.00,6.00,9.00,2.00,4.00,4.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5071992,9.00,5.00,4.00,7.00,7.00,9.00,2.00,5.00,4.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',5114,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5072000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VILA MARIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5072034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5072042,4.00,2.00,1.00,2.00,6.00,9.75,4.00,3.00,7.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',14354,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5072050,6.00,6.00,1.00,3.00,5.00,9.38,4.00,4.00,6.00,207,NULL,201,'CENTRO','CURITIBA','PR',7415,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5072069,6.00,5.00,1.00,6.00,6.00,7.50,0.00,3.00,4.00,340,NULL,NULL,'VILA SANTOS','CAÇAPAVA','SP',13672,388,NULL,NULL,NULL,NULL,NULL,2,1),(20,5072085,7.00,3.00,0.00,4.00,6.00,6.00,1.00,3.00,6.00,215,NULL,211,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5072093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD DAS LARANJEIRAS','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5072107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5072123,4.00,6.00,4.00,5.00,8.00,6.75,2.00,3.00,6.00,208,NULL,238,'CID FLORIANÓPOLIS','S JOSÉ','SC',10424,220,NULL,198,NULL,NULL,NULL,4,1),(20,5072131,3.00,2.00,0.00,5.00,5.00,NULL,1.00,1.00,3.00,110,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5072158,4.00,5.00,2.00,5.00,9.00,9.75,3.00,4.00,6.00,326,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5072166,6.00,7.00,4.00,5.00,5.00,8.63,3.00,3.00,5.00,202,NULL,213,'FORQUILHINHAS','S JOSÉ','SC',9748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5072174,6.00,7.00,4.00,7.00,11.00,9.38,3.00,3.00,5.00,201,NULL,211,'BELA VISTA','S JOSÉ','SC',4323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5072182,2.00,2.00,0.00,4.00,3.00,NULL,2.00,2.00,2.00,444,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5072190,3.00,8.00,0.00,4.00,5.00,9.75,1.00,4.00,5.00,320,NULL,NULL,'CENTRO','CRICIÚMA','SC',13950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5072204,5.00,7.00,3.00,6.00,8.00,10.13,2.00,6.00,7.00,303,NULL,NULL,'ECOVILLE','CURITIBA','PR',4872,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5072220,8.00,7.00,4.00,4.00,9.00,9.75,4.00,4.00,8.00,103,NULL,NULL,'CENTRO','PARAÍSO NORTE','PR',2557,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5072239,4.00,5.00,3.00,6.00,6.00,10.88,3.00,4.00,3.00,103,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',12913,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5072247,3.00,6.00,4.00,4.00,3.00,NULL,0.00,2.00,4.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5072255,6.00,5.00,4.00,4.00,7.00,NULL,3.00,2.00,5.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5072263,9.00,6.00,4.00,6.00,8.00,9.00,6.00,5.00,7.00,303,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',2718,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5072280,6.00,8.00,1.00,7.00,7.00,8.25,4.00,6.00,6.00,340,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5072298,4.00,5.00,1.00,4.00,6.00,6.75,4.00,3.00,3.00,202,NULL,213,'JARDIM CLIPPER','S PAULO','SP',12706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5072310,6.00,7.00,6.00,7.00,8.00,10.13,2.00,5.00,6.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5072328,9.00,8.00,6.00,6.00,5.00,9.38,4.00,4.00,7.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',2723,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5072344,4.00,6.00,3.00,5.00,9.00,7.50,1.00,2.00,3.00,203,NULL,214,'CENTRO','PALMAS','TO',15286,946,NULL,365,NULL,NULL,NULL,4,1),(20,5072360,5.00,3.00,4.00,5.00,9.00,10.88,1.00,3.00,4.00,319,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',13342,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5072379,9.00,5.00,3.00,7.00,9.00,10.13,6.00,4.00,8.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',2565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5072387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5072409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'LOURDES','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5072417,6.00,3.00,1.00,0.00,1.00,NULL,4.00,1.00,3.00,103,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5072425,8.00,6.00,4.00,5.00,8.00,10.13,3.00,8.00,5.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',4262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5072433,6.00,6.00,0.00,4.00,7.00,10.88,0.00,6.00,5.00,207,NULL,208,'COSTA E SILVA','JOINVILLE','SC',10315,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5072450,6.00,6.00,2.00,5.00,7.00,7.13,2.00,2.00,4.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',14416,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5072476,5.00,7.00,4.00,4.00,9.00,8.63,1.00,2.00,5.00,101,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',9686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5072484,0.00,5.00,0.00,0.00,0.00,NULL,0.00,3.00,2.00,336,NULL,NULL,'BELA VISTA','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5072506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5072530,5.00,5.00,3.00,3.00,5.00,6.00,2.00,3.00,4.00,331,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5072549,3.00,2.00,2.00,3.00,4.00,NULL,0.00,3.00,1.00,309,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5072565,8.00,4.00,4.00,3.00,5.00,7.50,4.00,3.00,6.00,108,NULL,NULL,'CENTRO','CONCÓRDIA','SC',9188,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5072573,4.00,4.00,2.00,4.00,5.00,7.50,0.00,2.00,4.00,340,NULL,NULL,'CENTRO','ESTRELA','RS',15218,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5072581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5072590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'JD D ABRIL','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5072603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5072611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,NULL,'DESVIO RIZZO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5072646,3.00,6.00,3.00,4.00,10.00,7.50,2.00,4.00,3.00,302,NULL,NULL,'ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC',10596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5072654,8.00,6.00,1.00,3.00,8.00,8.63,3.00,4.00,6.00,415,NULL,NULL,'CENTRO','TUBARÃO','SC',8747,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5072662,3.00,4.00,0.00,5.00,5.00,NULL,3.00,2.00,3.00,452,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5072670,4.00,7.00,4.00,5.00,7.00,9.75,1.00,4.00,2.00,234,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',13195,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5072689,9.00,9.00,2.00,7.00,8.00,8.25,5.00,5.00,6.00,203,NULL,216,'PONTA AGUDA','BLUMENAU','SC',2245,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5072697,4.00,3.00,1.00,7.00,3.00,NULL,1.00,2.00,3.00,201,NULL,214,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5072700,6.00,4.00,3.00,7.00,8.00,8.25,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',9179,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5072727,1.00,5.00,1.00,2.00,4.00,NULL,0.00,2.00,1.00,404,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5072735,4.00,6.00,3.00,3.00,4.00,7.13,1.00,2.00,5.00,203,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',14900,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5072743,6.00,4.00,4.00,4.00,5.00,7.50,3.00,2.00,5.00,211,NULL,214,'JD EUROPA','BAURU','SP',11377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5072760,5.00,4.00,3.00,3.00,3.00,NULL,1.00,3.00,2.00,444,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5072786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD NOVO HORIZONTE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5072794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'BOTUJURU','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5072808,5.00,6.00,3.00,5.00,7.00,7.50,4.00,2.00,3.00,212,NULL,215,'CENTRO','CONCÓRDIA','SC',10334,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5072816,7.00,5.00,3.00,6.00,5.00,9.00,4.00,5.00,6.00,202,NULL,201,'JARDIM GUAPORÉ','MARINGÁ','PR',6774,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5072824,3.00,5.00,4.00,2.00,4.00,7.88,3.00,2.00,4.00,336,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5072832,3.00,6.00,2.00,3.00,3.00,NULL,4.00,4.00,4.00,420,NULL,NULL,'BELCHIOR ALTO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5072840,7.00,7.00,7.00,6.00,8.00,10.13,7.00,4.00,7.00,202,NULL,213,'BELCHIOR BAIXO','GASPAR','SC',1748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5072867,4.00,6.00,2.00,6.00,5.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'NAÇÕES','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5072883,9.00,5.00,7.00,8.00,8.00,10.13,5.00,5.00,4.00,214,NULL,235,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5072891,1.00,2.00,3.00,4.00,4.00,NULL,1.00,2.00,0.00,303,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5072905,8.00,7.00,7.00,7.00,8.00,6.38,6.00,7.00,7.00,108,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',2120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5072921,3.00,3.00,0.00,1.00,4.00,NULL,0.00,0.00,2.00,303,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5072930,6.00,6.00,2.00,3.00,5.00,6.38,1.00,4.00,2.00,308,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',16184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5072948,5.00,7.00,4.00,6.00,11.00,3.38,3.00,2.00,5.00,303,NULL,NULL,'CENTRO','CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5072956,5.00,5.00,3.00,2.00,5.00,6.38,3.00,4.00,1.00,108,NULL,NULL,'FAZENDA','ITAJAÍ','SC',16225,310,NULL,NULL,NULL,NULL,NULL,4,6),(20,5072964,2.00,7.00,2.00,4.00,3.00,NULL,3.00,3.00,5.00,238,NULL,208,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5072972,4.00,0.00,1.00,5.00,8.00,NULL,0.00,0.00,0.00,201,NULL,235,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5072980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JD NOVA BRAGANÇA','BRAGANÇA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5073014,6.00,7.00,2.00,6.00,10.00,7.50,0.00,4.00,3.00,304,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9807,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5073022,5.00,5.00,1.00,5.00,7.00,7.50,3.00,3.00,3.00,211,NULL,215,'CIDADE INDUSTRIAL','CURITIBA','PR',11424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5073030,8.00,9.00,7.00,7.00,10.00,12.38,7.00,5.00,9.00,103,NULL,NULL,'CENTRO','PALOTINA','PR',139,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5073049,8.00,4.00,3.00,4.00,6.00,8.63,2.00,3.00,3.00,319,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',12584,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5073057,6.00,4.00,2.00,7.00,6.00,8.25,3.00,2.00,4.00,102,NULL,NULL,'BEVERLY FALLS PARK','FOZ IGUAÇU','PR',14548,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5073065,1.00,4.00,0.00,4.00,8.00,NULL,2.00,3.00,1.00,451,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5073081,6.00,7.00,5.00,4.00,7.00,7.50,4.00,4.00,4.00,316,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',8861,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5073090,6.00,7.00,3.00,5.00,8.00,8.63,0.00,5.00,5.00,103,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',7374,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5073103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'JARDIM ARCO ÍRIS','ATIBAIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5073120,7.00,2.00,2.00,5.00,5.00,7.88,2.00,1.00,3.00,207,NULL,201,'CENTRO','TURVO','SC',15573,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5073138,7.00,6.00,0.00,4.00,7.00,6.38,3.00,3.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13934,276,NULL,NULL,NULL,NULL,NULL,2,1),(20,5073146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,233,'JARDIM EUROPA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5073154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARRA SUL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5073162,5.00,5.00,1.00,5.00,5.00,7.50,2.00,1.00,6.00,201,NULL,208,'PEDRA BRANCA','PALHOÇA','SC',13260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5073170,7.00,5.00,3.00,5.00,10.00,11.25,2.00,2.00,3.00,103,NULL,NULL,'MAE LUZIA','FORQUILHINHA','SC',7414,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5073189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,208,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5073197,8.00,7.00,7.00,7.00,9.00,7.88,6.00,3.00,7.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',1402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5073200,6.00,6.00,5.00,6.00,6.00,8.63,4.00,4.00,4.00,201,NULL,202,'JARDIM PARIS','MARINGÁ','PR',7646,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5073219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'FORTALEZA','RIO PARDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5073235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5073243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5073251,5.00,8.00,1.00,7.00,5.00,7.13,2.00,3.00,4.00,427,NULL,423,'PANTANAL','FLORIANÓPOLIS','SC',13252,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5073260,7.00,6.00,2.00,7.00,6.00,9.00,3.00,2.00,4.00,211,NULL,207,'PADRE MARTINHO STEIN','TIMBÓ','SC',7981,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5073278,8.00,8.00,3.00,6.00,6.00,8.25,4.00,5.00,7.00,103,NULL,NULL,'JOSÉ NITRO SERRARIA','S JOSÉ','SC',6039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5073286,7.00,6.00,2.00,5.00,9.00,9.00,2.00,5.00,4.00,415,NULL,NULL,'ARAPONGUINHAS','TIMBÓ','SC',7125,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(20,5073294,1.00,6.00,3.00,1.00,5.00,NULL,0.00,0.00,2.00,601,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5073308,8.00,6.00,2.00,4.00,8.00,8.25,3.00,5.00,5.00,415,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',7017,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5073324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5073332,6.00,5.00,3.00,6.00,6.00,7.50,7.00,4.00,6.00,203,NULL,202,'JD PAULISTA','S PAULO','SP',5974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5073340,8.00,7.00,6.00,3.00,10.00,8.63,3.00,4.00,7.00,103,NULL,NULL,'BATEL','CURITIBA','PR',3617,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5073359,8.00,7.00,5.00,7.00,10.00,10.88,4.00,6.00,7.00,216,NULL,215,'CENTRO','JARAGUÁ SUL','SC',1561,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5073375,4.00,6.00,2.00,7.00,5.00,6.75,4.00,3.00,4.00,201,NULL,203,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5073383,6.00,7.00,1.00,4.00,6.00,8.25,3.00,5.00,4.00,319,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',13223,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5073391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5073413,4.00,3.00,0.00,4.00,5.00,NULL,0.00,0.00,2.00,319,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5073421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'JUNÇÃO','RIO GRANDE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5073430,5.00,3.00,1.00,5.00,4.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','BOITUVA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5073464,7.00,7.00,5.00,4.00,6.00,9.00,5.00,5.00,4.00,216,NULL,233,'SAO JOÃO','ITAJAÍ','SC',7129,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5073480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TAIÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5073499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5073502,6.00,6.00,2.00,6.00,8.00,9.00,3.00,5.00,6.00,301,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',6623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5073529,6.00,4.00,1.00,7.00,5.00,7.13,1.00,3.00,6.00,319,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',12385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5073537,3.00,3.00,0.00,4.00,5.00,NULL,1.00,2.00,3.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5073545,9.00,8.00,7.00,5.00,9.00,9.38,7.00,5.00,4.00,201,NULL,203,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',1551,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5073553,4.00,3.00,0.00,1.00,8.00,9.38,4.00,5.00,5.00,318,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5073561,4.00,3.00,3.00,6.00,5.00,7.50,2.00,4.00,5.00,429,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5073570,6.00,7.00,0.00,4.00,8.00,7.13,1.00,2.00,6.00,109,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',11918,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5073588,8.00,5.00,3.00,6.00,7.00,8.25,3.00,2.00,5.00,203,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',7893,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5073596,6.00,5.00,3.00,7.00,6.00,7.50,4.00,3.00,6.00,201,NULL,212,'CENTRO','PATO BRANCO','PR',7945,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5073600,8.00,6.00,8.00,7.00,7.00,4.50,4.00,4.00,7.00,202,NULL,203,'VILA IZABELA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5073618,2.00,5.00,2.00,7.00,6.00,9.75,1.00,2.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5073626,7.00,5.00,1.00,5.00,6.00,8.25,1.00,0.00,4.00,303,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',14535,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5073634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'GUAIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5073642,7.00,8.00,4.00,7.00,9.00,8.63,4.00,4.00,7.00,415,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',3302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5073650,5.00,4.00,0.00,5.00,8.00,NULL,1.00,2.00,2.00,215,NULL,211,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5073669,6.00,6.00,4.00,4.00,7.00,8.25,3.00,3.00,4.00,203,NULL,235,'MIRIM','IMBITUBA','SC',10238,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5073685,3.00,5.00,1.00,3.00,4.00,NULL,0.00,4.00,3.00,220,NULL,235,'COHAB II','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5073693,3.00,5.00,2.00,5.00,3.00,NULL,1.00,3.00,3.00,424,NULL,427,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5073715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5073723,2.00,7.00,2.00,4.00,7.00,NULL,2.00,2.00,1.00,444,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5073731,7.00,7.00,9.00,7.00,10.00,9.38,8.00,8.00,7.00,426,NULL,421,'PANTANAL','FLORIANÓPOLIS','SC',120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5073740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5073758,7.00,5.00,5.00,6.00,8.00,7.50,2.00,5.00,5.00,601,NULL,208,'AMÉRICA','JOINVILLE','SC',6214,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5073766,4.00,7.00,2.00,5.00,9.00,8.63,3.00,2.00,5.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',9657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5073774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5073790,5.00,7.00,5.00,7.00,10.00,10.88,5.00,5.00,6.00,201,NULL,238,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5073804,8.00,6.00,5.00,6.00,9.00,10.88,3.00,3.00,5.00,103,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',4995,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5073820,2.00,5.00,0.00,5.00,4.00,NULL,0.00,0.00,3.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5073839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5073847,7.00,9.00,1.00,6.00,7.00,9.38,3.00,4.00,4.00,211,NULL,215,'SÃO LUIZ','S MIGUEL OESTE','SC',5421,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5073863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5073871,3.00,4.00,2.00,6.00,8.00,9.38,1.00,1.00,5.00,303,NULL,NULL,'BELA VISTA','CONCÓRDIA','SC',15139,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5073880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5073898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5073901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'CENTRO','NOVA ANDRADINA','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5073910,9.00,9.00,7.00,7.00,11.00,10.13,7.00,5.00,8.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5073928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'CENTRO','IBIRAMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5073936,4.00,7.00,1.00,6.00,6.00,4.13,1.00,2.00,1.00,340,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5073944,4.00,6.00,2.00,3.00,7.00,NULL,0.00,2.00,5.00,103,NULL,NULL,'SÃO PEDRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5073952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SÃO DIMAS','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5073960,1.00,0.00,1.00,1.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JOAO COSTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5073979,4.00,3.00,1.00,4.00,4.00,NULL,3.00,3.00,3.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5074002,6.00,7.00,1.00,6.00,5.00,9.75,2.00,4.00,4.00,103,NULL,NULL,'JARDIM APUCARANA','APUCARANA','PR',9186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074010,3.00,5.00,1.00,5.00,6.00,NULL,0.00,1.00,3.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5074029,1.00,2.00,1.00,1.00,1.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'VILA REZENDE','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074037,8.00,7.00,6.00,5.00,9.00,8.25,6.00,4.00,6.00,203,NULL,214,'VILA DINIZ','S JOSÉ R PRETO','SP',2408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074053,6.00,6.00,1.00,7.00,5.00,9.38,3.00,4.00,3.00,108,NULL,NULL,'CINQUENTENÁRIO','CONCÓRDIA','SC',11963,209,NULL,NULL,NULL,NULL,NULL,4,4),(20,5074088,6.00,7.00,3.00,3.00,6.00,8.25,2.00,1.00,4.00,601,NULL,211,'COSTA E SILVA','JOINVILLE','SC',13864,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5074100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'CENTRO','GUATAMBÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5074118,7.00,6.00,0.00,6.00,6.00,9.00,2.00,2.00,5.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',13030,3521,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074126,5.00,4.00,4.00,3.00,5.00,7.50,2.00,2.00,2.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,601,'NOVA BRASILIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5074142,4.00,4.00,0.00,2.00,7.00,NULL,1.00,1.00,1.00,201,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074169,8.00,8.00,5.00,8.00,6.00,8.63,7.00,6.00,8.00,234,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074177,6.00,6.00,1.00,4.00,5.00,7.88,3.00,3.00,5.00,303,NULL,NULL,'ZONA SETE','MARINGÁ','PR',14662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074185,3.00,4.00,1.00,3.00,5.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5074193,2.00,3.00,2.00,4.00,7.00,NULL,0.00,2.00,3.00,328,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5074207,7.00,7.00,2.00,7.00,8.00,9.00,1.00,5.00,6.00,201,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',4946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074223,4.00,6.00,2.00,2.00,6.00,7.88,1.00,3.00,5.00,234,NULL,NULL,'SANTA TEREZA','PTO ALEGRE','RS',14569,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5074240,7.00,6.00,1.00,6.00,7.00,6.00,3.00,3.00,5.00,304,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9900,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5074258,1.00,5.00,0.00,6.00,8.00,10.50,1.00,4.00,4.00,324,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',15096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074266,6.00,5.00,1.00,6.00,7.00,10.50,2.00,3.00,1.00,429,NULL,425,'CAMPECHE','FLORIANÓPOLIS','SC',12024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074274,5.00,3.00,1.00,3.00,3.00,NULL,0.00,2.00,3.00,203,NULL,214,'CENTRO','IBAITI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5074282,5.00,6.00,5.00,5.00,4.00,7.88,1.00,4.00,4.00,601,NULL,203,'JARDIM SOFIA','JOINVILLE','SC',13230,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5074290,6.00,7.00,7.00,6.00,9.00,9.00,5.00,3.00,8.00,333,NULL,NULL,'BARRO BRANCO','S PAULO','SP',2811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074304,2.00,3.00,2.00,4.00,4.00,NULL,1.00,2.00,2.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5074312,4.00,7.00,2.00,2.00,3.00,NULL,4.00,2.00,5.00,208,NULL,238,'SERRARIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5074339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SÃO LOURENÇO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5074347,2.00,1.00,0.00,1.00,4.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'CENTRO','FLORAÍ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074363,7.00,7.00,4.00,5.00,7.00,9.75,3.00,5.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6897,224,NULL,NULL,NULL,NULL,NULL,2,1),(20,5074371,4.00,6.00,4.00,7.00,6.00,9.75,2.00,2.00,1.00,208,NULL,215,'CARIANOS','FLORIANÓPOLIS','SC',9936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074380,9.00,9.00,5.00,5.00,9.00,8.25,3.00,2.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2375,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5074398,5.00,4.00,5.00,6.00,7.00,8.25,3.00,4.00,4.00,103,NULL,NULL,'VILA NAIR','S JOSÉ CAMPOS','SP',6870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074401,9.00,9.00,3.00,7.00,8.00,9.75,4.00,5.00,7.00,103,NULL,NULL,'UNIVERSITÁRIO II','MARINGÁ','PR',1762,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5074410,6.00,7.00,2.00,7.00,8.00,10.88,4.00,3.00,7.00,453,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',4860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074436,3.00,7.00,0.00,5.00,5.00,NULL,2.00,2.00,2.00,420,NULL,NULL,'PANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5074444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'RETIRO DA MANTIQUEIR','CRUZEIRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5074452,7.00,5.00,6.00,7.00,8.00,9.00,4.00,4.00,8.00,220,NULL,208,'FREGUESIA DO O','S PAULO','SP',3883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074479,5.00,3.00,2.00,2.00,6.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','PIRAQUARA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5074487,5.00,7.00,3.00,2.00,7.00,9.38,3.00,3.00,4.00,333,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074495,7.00,7.00,6.00,7.00,9.00,7.50,6.00,4.00,7.00,108,NULL,NULL,'SÃO LUIZ','SOMBRIO','SC',3095,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5074509,9.00,7.00,6.00,7.00,9.00,10.13,5.00,4.00,6.00,202,NULL,235,'SANTA MÔNICA','FLORIANÓPOLIS','SC',2196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074517,7.00,5.00,3.00,5.00,3.00,NULL,3.00,1.00,3.00,303,NULL,NULL,'LIMEIRA BAIXA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5074525,0.00,2.00,0.00,4.00,3.00,NULL,2.00,2.00,1.00,429,NULL,425,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'BAIRRO MARTINS','MINEIROS','GO',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5074541,3.00,4.00,0.00,0.00,7.00,NULL,1.00,3.00,2.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074550,7.00,6.00,5.00,6.00,8.00,7.88,4.00,5.00,7.00,207,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',4819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5074576,5.00,4.00,4.00,6.00,7.00,9.00,4.00,2.00,4.00,450,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074584,3.00,1.00,2.00,5.00,6.00,NULL,0.00,1.00,2.00,208,NULL,220,'CENTRO','SANTANA LIVRAMENTO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CAMOBI','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5074606,8.00,9.00,5.00,7.00,9.00,10.13,7.00,6.00,8.00,303,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074614,8.00,7.00,6.00,7.00,5.00,7.50,3.00,5.00,7.00,102,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',4342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074622,6.00,5.00,0.00,7.00,7.00,9.38,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074630,8.00,9.00,6.00,5.00,7.00,8.25,6.00,4.00,8.00,211,NULL,233,'CORREGO GRANDE','FLORIANÓPOLIS','SC',2328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074649,6.00,5.00,1.00,1.00,7.00,6.75,3.00,4.00,2.00,428,NULL,424,'VEDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5074657,4.00,4.00,0.00,5.00,4.00,NULL,4.00,1.00,4.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5074673,3.00,3.00,0.00,3.00,2.00,NULL,1.00,2.00,4.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5074681,5.00,5.00,1.00,3.00,6.00,7.50,1.00,3.00,3.00,207,NULL,211,'RIO DO MEIO','ITAJAÍ','SC',15260,746,NULL,481,NULL,NULL,NULL,2,6),(20,5074711,1.00,6.00,1.00,4.00,4.00,6.38,3.00,2.00,4.00,202,NULL,235,'JARDIM NOVA AMERICA','CAMPINAS','SP',16199,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5074720,3.00,5.00,0.00,2.00,5.00,NULL,1.00,0.00,3.00,207,NULL,215,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074738,8.00,8.00,4.00,7.00,8.00,9.00,3.00,5.00,5.00,207,NULL,233,'CAMPECHE','FLORIANÓPOLIS','SC',5054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074746,6.00,5.00,4.00,3.00,8.00,7.88,3.00,5.00,5.00,207,NULL,201,'FUNDO CANOAS','RIO SUL','SC',7784,330,NULL,540,NULL,NULL,NULL,4,9),(20,5074754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'AEROPORTO','JARAGUÁ','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5074762,4.00,4.00,2.00,4.00,6.00,4.50,2.00,2.00,5.00,211,NULL,215,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5074770,8.00,7.00,3.00,6.00,7.00,7.88,2.00,4.00,6.00,207,NULL,212,'SERRINHA','FLORIANÓPOLIS','SC',6428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5074797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SÃO CRISTOVÃO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5074800,8.00,6.00,1.00,7.00,6.00,7.13,1.00,3.00,0.00,420,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074827,7.00,5.00,3.00,5.00,9.00,6.00,3.00,1.00,5.00,101,NULL,NULL,'JOAÕ PAULO','FLORIANÓPOLIS','SC',10445,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5074835,8.00,4.00,5.00,7.00,6.00,8.63,3.00,4.00,7.00,104,NULL,NULL,'CENTRO','JOINVILLE','SC',4849,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5074843,7.00,7.00,4.00,6.00,7.00,9.00,3.00,3.00,7.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',5429,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5074851,1.00,5.00,1.00,1.00,4.00,NULL,2.00,1.00,0.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5074860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'JD AMERICA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5074878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5074886,4.00,6.00,1.00,4.00,2.00,NULL,3.00,2.00,4.00,319,NULL,NULL,'CENTRO','LINDÓIA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5074894,7.00,8.00,5.00,8.00,9.00,9.00,8.00,6.00,7.00,203,NULL,214,'ITACORUBI','FLORIANÓPOLIS','SC',939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'COMASA DO BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5074916,4.00,7.00,2.00,5.00,7.00,7.88,1.00,4.00,2.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14559,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5074924,8.00,7.00,7.00,4.00,9.00,10.88,5.00,6.00,4.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074932,6.00,7.00,6.00,7.00,7.00,9.38,2.00,2.00,6.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074940,9.00,6.00,4.00,6.00,6.00,9.75,3.00,4.00,6.00,203,NULL,216,'CENTRO','AGRONÔMICA','SC',4453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5074983,2.00,5.00,1.00,4.00,7.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'ACARAÍ','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5074991,7.00,5.00,5.00,7.00,8.00,9.00,1.00,3.00,6.00,208,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',6393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075009,7.00,7.00,1.00,5.00,4.00,9.38,0.00,4.00,5.00,103,NULL,NULL,'SÃO CRISTÓVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5075017,8.00,6.00,3.00,5.00,6.00,9.75,5.00,3.00,7.00,104,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',7356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075050,3.00,5.00,2.00,5.00,5.00,6.00,2.00,1.00,5.00,216,NULL,233,'CENTRO','UBIRAJARA','SP',14754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075068,1.00,4.00,3.00,2.00,4.00,NULL,1.00,1.00,3.00,404,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075076,8.00,9.00,5.00,7.00,8.00,8.25,5.00,6.00,7.00,216,NULL,601,'SANTO ANTÔNIO','JOINVILLE','SC',1320,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5075092,3.00,2.00,2.00,4.00,5.00,NULL,3.00,1.00,2.00,331,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'GRANJA VIANA','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5075114,6.00,5.00,6.00,6.00,9.00,8.25,4.00,3.00,7.00,203,NULL,220,'CIDADE NOVA','PTO UNIÃO','SC',4654,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5075122,7.00,6.00,2.00,3.00,7.00,10.50,0.00,4.00,6.00,110,NULL,NULL,'VÁRZEA','ITAPEMA','SC',11054,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5075149,5.00,7.00,2.00,4.00,8.00,7.88,5.00,3.00,4.00,601,NULL,201,'CENTRO','ARMAZÉM','SC',7142,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5075157,7.00,6.00,2.00,3.00,6.00,6.00,3.00,5.00,3.00,103,NULL,NULL,'INTERIOR','QUILOMBO','SC',12041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5075238,5.00,4.00,2.00,3.00,3.00,NULL,2.00,0.00,3.00,103,NULL,NULL,'FRAGATA','MARÍLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5075246,2.00,5.00,1.00,7.00,5.00,7.13,3.00,1.00,4.00,304,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',15980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075254,3.00,5.00,1.00,2.00,4.00,NULL,4.00,3.00,3.00,653,NULL,211,'GARUVA NOVA','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5075262,2.00,5.00,4.00,4.00,1.00,NULL,1.00,3.00,3.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075270,5.00,1.00,1.00,4.00,2.00,NULL,0.00,0.00,3.00,303,NULL,NULL,'CENTRO','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5075289,7.00,7.00,3.00,7.00,9.00,8.63,2.00,3.00,4.00,452,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075297,8.00,8.00,2.00,7.00,9.00,7.50,4.00,7.00,6.00,304,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',2561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5075319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ESTAÇÃO','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5075327,6.00,7.00,4.00,5.00,8.00,6.00,1.00,3.00,7.00,216,NULL,215,'KOBRASOL','S JOSÉ','SC',9502,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5075335,1.00,5.00,0.00,2.00,3.00,NULL,1.00,1.00,1.00,202,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5075343,5.00,6.00,0.00,2.00,4.00,NULL,0.00,4.00,3.00,5,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5075351,4.00,7.00,0.00,6.00,4.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075360,3.00,0.00,0.00,0.00,6.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,9),(20,5075378,3.00,5.00,2.00,7.00,9.00,7.50,1.00,2.00,2.00,304,NULL,NULL,'FLORESTA','S JOSÉ','SC',13828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075386,1.00,3.00,2.00,5.00,6.00,NULL,0.00,3.00,3.00,426,NULL,428,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5075394,8.00,7.00,6.00,6.00,6.00,7.13,5.00,3.00,7.00,103,NULL,NULL,'SUMARÉ','RIO SUL','SC',4006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075416,4.00,5.00,1.00,4.00,9.00,9.00,0.00,3.00,6.00,207,NULL,201,'AMIZADE','JARAGUÁ SUL','SC',11652,560,NULL,846,NULL,NULL,NULL,2,8),(20,5075424,4.00,5.00,2.00,3.00,3.00,NULL,0.00,2.00,2.00,428,NULL,426,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5075432,5.00,7.00,6.00,5.00,5.00,9.38,6.00,3.00,7.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',4423,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5075440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'VILA FORMOSA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5075459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5075467,8.00,5.00,5.00,6.00,11.00,9.75,3.00,4.00,7.00,104,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',2950,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5075475,6.00,5.00,0.00,4.00,6.00,NULL,0.00,3.00,2.00,420,NULL,NULL,'CEARÁ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5075483,6.00,4.00,3.00,5.00,7.00,8.25,3.00,3.00,4.00,327,NULL,NULL,'NÚCLEO TRITÍCOLA','FR ROGÉRIO','SC',12242,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5075491,8.00,7.00,4.00,7.00,7.00,10.13,3.00,4.00,8.00,216,NULL,238,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075505,8.00,5.00,4.00,6.00,8.00,7.50,3.00,5.00,6.00,211,NULL,215,'CZERNIERWCZ','JARAGUÁ SUL','SC',5674,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5075513,8.00,6.00,2.00,2.00,4.00,6.00,3.00,4.00,5.00,102,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10656,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5075521,6.00,6.00,3.00,3.00,9.00,7.88,4.00,4.00,3.00,415,NULL,NULL,'GLORIA','JOINVILLE','SC',10812,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5075530,5.00,4.00,4.00,4.00,7.00,6.00,4.00,3.00,5.00,202,NULL,220,'VILA FATY','S MATEUS SUL','PR',11308,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5075548,8.00,7.00,3.00,8.00,5.00,6.75,4.00,2.00,5.00,201,NULL,203,'JARDIM MARISTELA','ITAPEVI','SP',6596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075556,4.00,6.00,4.00,4.00,7.00,7.50,3.00,4.00,5.00,327,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',11712,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5075564,5.00,7.00,1.00,4.00,8.00,7.88,1.00,2.00,6.00,317,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',14335,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5075580,5.00,7.00,1.00,5.00,6.00,8.25,2.00,2.00,2.00,652,NULL,NULL,'ALTO FELIZ','ARARANGUÁ','SC',14135,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5075599,3.00,4.00,2.00,5.00,7.00,9.38,0.00,2.00,6.00,9,NULL,NULL,'CENTRO','IMBITUBA','SC',15501,106,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075602,5.00,7.00,2.00,4.00,9.00,6.38,0.00,3.00,3.00,303,NULL,NULL,'TIRADENTES','GRAVATAL','SC',12939,526,NULL,NULL,NULL,NULL,NULL,2,10),(20,5075610,4.00,3.00,0.00,5.00,7.00,NULL,0.00,1.00,3.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075629,9.00,7.00,3.00,6.00,9.00,8.63,2.00,4.00,5.00,331,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',7257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075637,5.00,5.00,1.00,5.00,7.00,9.38,2.00,2.00,5.00,207,NULL,NULL,'ENGENHEIRO GUTIERREZ','IRATI','PR',11196,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5075645,8.00,8.00,4.00,7.00,7.00,8.25,3.00,6.00,4.00,103,NULL,NULL,'MERCES','CURITIBA','PR',3609,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5075653,7.00,7.00,5.00,7.00,8.00,10.50,3.00,4.00,6.00,316,NULL,NULL,'AMÉRICA','JOINVILLE','SC',4100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075661,4.00,3.00,2.00,4.00,5.00,10.50,1.00,3.00,5.00,103,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',15920,3814,NULL,NULL,NULL,NULL,NULL,2,5),(20,5075670,5.00,7.00,3.00,7.00,7.00,7.50,1.00,2.00,3.00,207,NULL,212,'CENTRO','PENHA','SC',12365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075688,9.00,7.00,1.00,6.00,7.00,8.63,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','RIO NEGRO','PR',4375,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5075696,8.00,7.00,5.00,7.00,11.00,7.88,4.00,5.00,9.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',1512,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5075700,8.00,6.00,5.00,7.00,7.00,9.38,3.00,3.00,9.00,103,NULL,NULL,'MONTE CASTELO','S JOSÉ CAMPOS','SP',2911,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5075718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BELA VISTA II','CARAMBEÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5075726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5075734,3.00,5.00,1.00,3.00,5.00,NULL,4.00,2.00,3.00,101,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5075742,2.00,3.00,3.00,2.00,4.00,NULL,0.00,2.00,2.00,502,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5075750,8.00,7.00,3.00,5.00,6.00,10.13,3.00,5.00,7.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4930,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5075777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,214,'PQ GREVILLEAS III','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5075785,5.00,7.00,2.00,5.00,9.00,10.13,0.00,5.00,4.00,316,NULL,NULL,'JARDIM ROSINHA','S PAULO','SP',9744,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5075793,2.00,4.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,108,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5075823,6.00,5.00,3.00,4.00,9.00,6.75,4.00,3.00,4.00,216,NULL,215,'AMIZADE','JARAGUÁ SUL','SC',9517,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5075840,5.00,6.00,4.00,5.00,4.00,7.13,1.00,2.00,3.00,203,NULL,214,'CENTRO','ITAPIRANGA','SC',13562,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5075858,8.00,9.00,3.00,6.00,9.00,9.38,6.00,7.00,6.00,340,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',1914,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5075866,3.00,6.00,2.00,5.00,5.00,8.63,2.00,2.00,5.00,208,NULL,238,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',12701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075890,1.00,6.00,1.00,4.00,3.00,NULL,0.00,2.00,4.00,415,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075904,4.00,4.00,2.00,4.00,5.00,9.75,1.00,4.00,3.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5075912,6.00,4.00,3.00,3.00,7.00,9.00,2.00,3.00,5.00,102,NULL,NULL,'CENTRO','STA MARIA','RS',10141,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5075920,5.00,4.00,2.00,3.00,5.00,NULL,0.00,2.00,3.00,104,NULL,NULL,'VILA FRANCA','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5075939,7.00,7.00,4.00,4.00,5.00,8.63,2.00,1.00,7.00,216,NULL,202,'CENTRO','CPO MOURÃO','PR',8449,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5075947,2.00,4.00,1.00,2.00,3.00,NULL,1.00,1.00,3.00,203,NULL,207,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5075955,8.00,6.00,6.00,7.00,8.00,7.50,4.00,4.00,6.00,203,NULL,214,'PITUBA','SALVADOR','BA',3627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5075980,5.00,6.00,5.00,6.00,5.00,8.63,4.00,4.00,3.00,238,NULL,208,'CORREGO GRANDE','FLORIANÓPOLIS','SC',10241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076005,5.00,5.00,2.00,3.00,5.00,9.38,2.00,4.00,5.00,102,NULL,NULL,'DEHON','TUBARÃO','SC',12442,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5076021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTRELA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5076030,6.00,6.00,1.00,4.00,6.00,7.13,2.00,4.00,4.00,103,NULL,NULL,'SANTA RITA','S JOSÉ PINHAIS','PR',11724,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5076048,9.00,8.00,8.00,6.00,10.00,11.63,8.00,8.00,8.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',35,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5076056,5.00,7.00,1.00,3.00,6.00,6.38,3.00,3.00,2.00,108,NULL,NULL,'JD LA SALLE','TOLEDO','PR',13522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076072,5.00,4.00,0.00,3.00,3.00,NULL,1.00,4.00,2.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5076102,4.00,7.00,2.00,6.00,6.00,10.13,6.00,3.00,3.00,2,NULL,NULL,'COPACABANA','RIO JANEIRO','RJ',7975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076110,6.00,7.00,2.00,4.00,8.00,8.63,3.00,4.00,5.00,211,NULL,233,'ÚLTIMO RIO','JACINTO MACHADO','SC',10002,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5076129,3.00,4.00,0.00,2.00,5.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5076137,5.00,5.00,2.00,5.00,5.00,9.38,2.00,4.00,3.00,238,NULL,NULL,'NSA SRA DE LOURDES','CAMPOS NOVOS','SC',13827,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5076170,6.00,5.00,5.00,5.00,8.00,11.25,4.00,4.00,6.00,103,NULL,NULL,'CENTRO','BIGUAÇU','SC',4717,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5076196,3.00,7.00,3.00,4.00,7.00,8.25,4.00,4.00,4.00,453,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',11304,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5076200,6.00,5.00,0.00,2.00,8.00,6.38,0.00,3.00,5.00,303,NULL,NULL,'CENTRO','PALMITOS','SC',13984,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5076218,7.00,7.00,8.00,6.00,6.00,7.50,8.00,8.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1087,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5076226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5076242,2.00,3.00,2.00,2.00,4.00,NULL,1.00,1.00,3.00,104,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5076269,3.00,4.00,0.00,5.00,4.00,NULL,2.00,3.00,2.00,211,NULL,233,'OPERARIA NOVA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5076285,9.00,7.00,7.00,7.00,9.00,9.38,7.00,6.00,6.00,216,NULL,215,'CENTRO','XANXERÊ','SC',850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076293,4.00,4.00,0.00,5.00,6.00,8.25,2.00,4.00,3.00,220,NULL,203,'CENTRO','BOTUVERÁ','SC',15478,369,NULL,949,NULL,NULL,NULL,4,2),(20,5076307,5.00,5.00,4.00,6.00,8.00,9.38,3.00,4.00,5.00,316,NULL,NULL,'SILVA','SAPUCAIA SUL','RS',6850,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5076331,7.00,5.00,7.00,7.00,8.00,10.13,5.00,4.00,7.00,103,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',1907,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5076340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5076358,7.00,8.00,2.00,3.00,7.00,6.75,2.00,3.00,6.00,453,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',9226,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5076366,6.00,3.00,3.00,3.00,5.00,NULL,2.00,1.00,3.00,211,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5076382,9.00,9.00,9.00,7.00,10.00,9.38,7.00,6.00,8.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',51,41,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076390,2.00,4.00,1.00,2.00,4.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076404,5.00,5.00,2.00,3.00,7.00,9.38,3.00,4.00,4.00,302,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',11062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076412,6.00,6.00,4.00,5.00,6.00,9.38,4.00,1.00,6.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076420,9.00,8.00,4.00,6.00,8.00,6.75,3.00,6.00,7.00,103,NULL,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',3169,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(20,5076447,9.00,8.00,5.00,4.00,9.00,8.25,7.00,7.00,6.00,5,NULL,NULL,'VELHA','BLUMENAU','SC',1456,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5076455,7.00,8.00,3.00,6.00,8.00,7.13,4.00,4.00,5.00,203,NULL,212,'CENTRO','RIBEIRÃO PRETO','SP',5836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076463,7.00,5.00,2.00,7.00,8.00,6.75,4.00,4.00,3.00,203,NULL,216,'VILA DUBUS','PRES PRUDENTE','SP',8100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076471,6.00,5.00,3.00,5.00,6.00,9.38,0.00,3.00,2.00,319,NULL,NULL,'SÃO MIGUEL','BIGUAÇU','SC',15135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076480,6.00,5.00,1.00,7.00,9.00,9.75,2.00,4.00,8.00,316,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',6129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'VILA NOVA','AVARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5076501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,207,'SAIC','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5076510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5076528,5.00,4.00,3.00,7.00,6.00,8.63,0.00,3.00,4.00,238,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5076536,3.00,5.00,2.00,7.00,6.00,7.13,3.00,2.00,3.00,332,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15993,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076544,7.00,8.00,7.00,7.00,10.00,11.25,4.00,7.00,7.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076552,6.00,6.00,3.00,3.00,7.00,7.13,3.00,4.00,3.00,201,NULL,653,'MINA DO MATO','CRICIÚMA','SC',9912,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5076560,5.00,6.00,2.00,2.00,6.00,7.88,2.00,4.00,5.00,415,NULL,NULL,'AREIAS','S JOSÉ','SC',14050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076579,2.00,6.00,3.00,4.00,5.00,NULL,0.00,2.00,3.00,303,NULL,NULL,'SAO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5076609,8.00,8.00,5.00,4.00,6.00,7.50,6.00,4.00,8.00,333,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',3736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5076617,6.00,7.00,3.00,5.00,7.00,5.25,2.00,2.00,3.00,5,NULL,NULL,'CENTRO','VARGEÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5076625,8.00,7.00,4.00,7.00,8.00,11.25,2.00,7.00,8.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',2145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076633,6.00,6.00,2.00,6.00,4.00,6.75,5.00,3.00,2.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',14079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076641,4.00,4.00,1.00,4.00,6.00,NULL,1.00,0.00,3.00,103,NULL,NULL,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5076650,9.00,7.00,3.00,5.00,7.00,3.75,3.00,6.00,7.00,336,NULL,NULL,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5076668,7.00,6.00,5.00,4.00,6.00,NULL,5.00,4.00,5.00,108,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,6),(20,5076684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5076692,8.00,6.00,3.00,6.00,10.00,12.00,3.00,4.00,5.00,201,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',4260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076706,5.00,9.00,2.00,5.00,7.00,8.63,2.00,3.00,4.00,503,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',11482,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5076714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'JARDIM DO LAGO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5076722,6.00,6.00,5.00,6.00,7.00,9.75,6.00,1.00,6.00,203,NULL,235,'CENTRO','CRICIÚMA','SC',4279,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5076730,6.00,6.00,2.00,3.00,6.00,7.50,2.00,2.00,4.00,309,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',15015,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5076749,4.00,4.00,1.00,2.00,6.00,NULL,2.00,2.00,1.00,340,NULL,NULL,'VILA NARCISA','BARRA BONITA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076757,7.00,4.00,1.00,6.00,6.00,10.50,1.00,5.00,5.00,415,NULL,NULL,'BAIXADA AMARELA','STA HELENA','PR',11348,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5076765,5.00,6.00,3.00,6.00,7.00,8.63,3.00,3.00,5.00,202,NULL,213,'CENTRO','PITANGA','PR',7406,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5076773,5.00,6.00,3.00,6.00,5.00,9.38,3.00,6.00,5.00,5,NULL,NULL,'RECANTO TROPICAL','CASCAVEL','PR',9317,306,NULL,NULL,NULL,NULL,NULL,2,1),(20,5076781,4.00,8.00,3.00,5.00,4.00,8.25,3.00,1.00,6.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',9313,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5076790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5076803,8.00,7.00,2.00,5.00,5.00,6.75,3.00,3.00,5.00,501,NULL,NULL,'FAZENDA','ITAJAÍ','SC',12875,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5076820,8.00,8.00,5.00,7.00,9.00,8.25,4.00,3.00,7.00,333,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',2621,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5076838,7.00,5.00,4.00,6.00,6.00,8.25,2.00,2.00,3.00,329,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076846,4.00,5.00,1.00,4.00,3.00,NULL,1.00,2.00,4.00,238,NULL,652,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5076854,7.00,7.00,5.00,8.00,6.00,9.75,3.00,6.00,8.00,203,NULL,215,'VALE ITAMARACA','VALINHOS','SP',2134,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5076862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'MARECHAL RONDON','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5076870,3.00,5.00,2.00,2.00,2.00,NULL,1.00,1.00,3.00,331,NULL,NULL,'CENTRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5076897,7.00,8.00,4.00,7.00,8.00,9.38,4.00,4.00,8.00,333,NULL,NULL,'CENTRO','MASSARANDUBA','SC',3767,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5076900,6.00,8.00,5.00,7.00,9.00,9.75,1.00,6.00,6.00,340,NULL,NULL,'JARDIM SILVA MELLO','OLÍMPIA','SP',3258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076919,6.00,6.00,3.00,6.00,7.00,7.50,2.00,6.00,4.00,207,NULL,203,'CENTRO','CURITIBA','PR',6308,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5076927,8.00,6.00,4.00,6.00,6.00,6.00,1.00,2.00,5.00,203,NULL,208,'PONTA DO PAPAGAIO','PALHOÇA','SC',9497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5076935,5.00,4.00,2.00,6.00,4.00,7.88,1.00,4.00,3.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',15118,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5076943,6.00,6.00,2.00,6.00,6.00,8.25,1.00,3.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11741,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5076951,7.00,7.00,0.00,5.00,8.00,8.25,4.00,3.00,6.00,103,NULL,NULL,'DOM BOSCO','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5076960,9.00,7.00,8.00,7.00,8.00,10.50,4.00,5.00,5.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',1544,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5076978,5.00,4.00,1.00,4.00,5.00,NULL,2.00,2.00,1.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5076986,4.00,3.00,3.00,2.00,5.00,NULL,1.00,3.00,2.00,201,NULL,207,'HUMAITA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5077001,8.00,6.00,5.00,7.00,6.00,9.75,3.00,6.00,7.00,216,NULL,215,'CASA BRANCA','ITAPEMA','SC',3188,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5077010,8.00,5.00,2.00,5.00,8.00,8.25,3.00,3.00,6.00,104,NULL,NULL,'AGUA VERDE','CURITIBA','PR',8517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077028,5.00,4.00,3.00,4.00,6.00,7.50,2.00,1.00,2.00,102,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',16013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077036,8.00,4.00,0.00,5.00,8.00,NULL,0.00,3.00,5.00,103,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5077044,6.00,6.00,4.00,6.00,6.00,8.63,4.00,3.00,7.00,214,NULL,213,'AGRONOMICA','FLORIANÓPOLIS','SC',7086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'LOURDES','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5077060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,653,'CENTRO','COLOMBO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5077087,7.00,6.00,3.00,6.00,3.00,NULL,3.00,4.00,6.00,216,NULL,233,'JARDIM SÃO PAULO','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077095,9.00,9.00,5.00,7.00,10.00,7.13,4.00,5.00,7.00,220,NULL,235,'CAMPECHE','FLORIANÓPOLIS','SC',2315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077125,2.00,6.00,2.00,3.00,7.00,7.13,2.00,3.00,3.00,423,NULL,424,'CANASVIEIRAS','FLORIANÓPOLIS','SC',16059,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077133,6.00,5.00,1.00,6.00,7.00,9.38,1.00,4.00,5.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',10848,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5077141,6.00,5.00,1.00,4.00,5.00,9.75,2.00,4.00,1.00,336,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',14480,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5077150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5077168,6.00,5.00,2.00,4.00,5.00,6.75,4.00,3.00,5.00,444,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077176,2.00,4.00,1.00,4.00,6.00,NULL,1.00,2.00,3.00,404,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077184,5.00,6.00,0.00,4.00,7.00,8.63,1.00,1.00,3.00,9,NULL,NULL,'CENTRO','ARAQUARI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5077192,4.00,5.00,0.00,5.00,7.00,NULL,0.00,2.00,4.00,318,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077206,9.00,8.00,3.00,7.00,9.00,10.50,5.00,6.00,6.00,301,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',1595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'VINTE CINCO DE JULHO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5077222,5.00,5.00,1.00,3.00,6.00,NULL,0.00,3.00,4.00,203,NULL,214,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077249,4.00,5.00,0.00,5.00,4.00,NULL,3.00,2.00,2.00,238,NULL,NULL,'SÃO JOÃO MDIREITA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5077265,8.00,7.00,1.00,5.00,8.00,10.13,2.00,3.00,5.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',8297,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077273,6.00,6.00,3.00,7.00,7.00,9.00,1.00,1.00,3.00,319,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',10962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077281,9.00,6.00,4.00,3.00,8.00,6.00,5.00,3.00,3.00,601,NULL,214,'GUANABARA','JOINVILLE','SC',7442,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5077290,7.00,4.00,2.00,7.00,6.00,8.25,3.00,3.00,5.00,103,NULL,NULL,'SANTA QUITÉRIA','CURITIBA','PR',9866,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5077303,8.00,5.00,3.00,7.00,8.00,8.63,8.00,5.00,6.00,303,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',2383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5077320,6.00,5.00,1.00,6.00,5.00,10.50,3.00,3.00,2.00,420,NULL,NULL,'SERRARIA','S JOSÉ','SC',10849,72,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5077346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARISTELA','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5077354,6.00,7.00,1.00,5.00,4.00,6.75,1.00,3.00,3.00,502,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15527,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','PANAMBI','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5077370,2.00,5.00,0.00,3.00,4.00,NULL,1.00,2.00,3.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077389,3.00,8.00,2.00,5.00,8.00,6.00,1.00,2.00,4.00,3,NULL,NULL,'CABRAL','CURITIBA','PR',11622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077397,7.00,6.00,3.00,7.00,7.00,6.75,3.00,5.00,6.00,340,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',7746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077400,9.00,8.00,5.00,7.00,9.00,10.13,5.00,7.00,7.00,201,NULL,203,'LAGO SUL','LG SUL','DF',652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077419,4.00,4.00,2.00,5.00,5.00,7.88,1.00,3.00,5.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077427,4.00,6.00,4.00,4.00,4.00,8.25,4.00,1.00,4.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CAMPO GRANDE','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',5,3),(20,5077443,3.00,5.00,2.00,7.00,9.00,8.25,2.00,3.00,4.00,216,NULL,211,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5077451,2.00,6.00,3.00,5.00,3.00,NULL,3.00,1.00,2.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077460,6.00,5.00,4.00,6.00,6.00,8.63,3.00,2.00,4.00,318,NULL,NULL,'CACHOEIRA DO BOM JS','FLORIANÓPOLIS','SC',10001,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077486,8.00,7.00,4.00,7.00,10.00,10.13,4.00,6.00,7.00,211,NULL,NULL,'EXPOSIÇÃO','CAXIAS SUL','RS',1976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077494,6.00,4.00,2.00,2.00,5.00,6.75,1.00,4.00,3.00,452,NULL,NULL,'SÃO CRISTOVÃO','PASSO FUNDO','RS',15597,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5077516,5.00,7.00,3.00,0.00,4.00,6.38,3.00,4.00,5.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077532,9.00,8.00,6.00,6.00,8.00,8.63,5.00,5.00,7.00,103,NULL,NULL,'CENTRO','TUNAS','RS',1540,874,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077540,4.00,2.00,1.00,3.00,5.00,NULL,0.00,3.00,1.00,213,NULL,214,'JARDIM COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5077559,5.00,3.00,3.00,4.00,3.00,NULL,2.00,2.00,2.00,202,NULL,213,'SITIO CERCADO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5077575,6.00,7.00,4.00,6.00,8.00,7.13,6.00,5.00,6.00,207,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',5065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077583,8.00,7.00,5.00,6.00,9.00,9.00,5.00,8.00,8.00,103,NULL,NULL,'CENTRO','IRAÍ','RS',1554,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'CENTRO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5077605,9.00,7.00,6.00,6.00,10.00,10.13,5.00,5.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1076,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5077621,6.00,6.00,4.00,7.00,8.00,7.50,0.00,7.00,5.00,215,NULL,207,'TRINDADE','FLORIANÓPOLIS','SC',8096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077630,9.00,8.00,7.00,7.00,10.00,9.75,9.00,5.00,8.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077648,5.00,7.00,3.00,4.00,8.00,9.00,2.00,0.00,4.00,101,NULL,NULL,'CENTRO','GAROPABA','SC',13820,70,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'COHAPAR','GUARATUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5077664,9.00,9.00,8.00,7.00,10.00,12.00,7.00,6.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',33,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ATENAS DO SUL','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5077699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5077702,3.00,8.00,1.00,4.00,10.00,9.00,2.00,3.00,5.00,110,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',11379,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'STO ANTONIO DE PADUA','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5077729,0.00,4.00,4.00,0.00,6.00,NULL,6.00,5.00,9.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077737,7.00,3.00,3.00,5.00,5.00,7.50,3.00,2.00,5.00,453,NULL,NULL,'MINA DO MATO','CRICIÚMA','SC',11851,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5077753,7.00,5.00,4.00,7.00,8.00,11.63,4.00,6.00,6.00,316,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',3137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077761,3.00,4.00,1.00,4.00,3.00,NULL,2.00,3.00,2.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077788,5.00,3.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,101,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077796,9.00,6.00,5.00,7.00,8.00,8.25,3.00,6.00,8.00,103,NULL,NULL,'ALPHAVILLE','CAMPINAS','SP',2308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077800,8.00,7.00,7.00,7.00,7.00,10.88,4.00,5.00,5.00,207,NULL,238,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077818,8.00,5.00,3.00,4.00,7.00,6.75,4.00,4.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6360,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077826,6.00,5.00,1.00,3.00,5.00,11.25,2.00,4.00,2.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077842,7.00,6.00,0.00,5.00,8.00,NULL,4.00,2.00,5.00,5,NULL,NULL,'JD GUILHERMINA','PR GRANDE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BARRA DA TIJUCA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5077869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TUIUTI','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5077877,7.00,7.00,0.00,6.00,7.00,9.38,1.00,3.00,5.00,103,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5077885,5.00,5.00,4.00,3.00,5.00,6.75,1.00,0.00,4.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5077893,1.00,8.00,3.00,2.00,7.00,6.00,3.00,4.00,5.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',15025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077907,7.00,6.00,3.00,7.00,7.00,9.75,5.00,3.00,5.00,104,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',5311,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5077915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5077923,8.00,8.00,3.00,6.00,7.00,7.88,2.00,6.00,4.00,233,NULL,216,'JARDIM TANGARA','MARÍLIA','SP',4436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077931,9.00,6.00,3.00,7.00,7.00,7.88,4.00,5.00,8.00,103,NULL,NULL,'VILA ISABEL','CURITIBA','PR',2919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077940,7.00,7.00,4.00,5.00,8.00,7.50,4.00,4.00,6.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',5396,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077966,7.00,8.00,4.00,7.00,10.00,9.00,4.00,5.00,7.00,340,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',2519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5077974,4.00,7.00,1.00,3.00,3.00,NULL,4.00,2.00,3.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5077990,5.00,4.00,3.00,7.00,5.00,6.38,3.00,3.00,2.00,220,NULL,203,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078008,6.00,5.00,4.00,6.00,3.00,NULL,1.00,1.00,2.00,207,NULL,201,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VENEZA','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5078024,8.00,5.00,2.00,5.00,6.00,11.63,3.00,2.00,3.00,103,NULL,NULL,'CENTRO','S MARTINHO','RS',9757,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5078032,5.00,6.00,5.00,1.00,4.00,4.88,3.00,4.00,5.00,216,NULL,203,'BANDEIRANTE','CALDAS NOVAS','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARAGUÁ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5078075,6.00,6.00,4.00,7.00,10.00,9.00,3.00,4.00,6.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078083,5.00,8.00,4.00,4.00,8.00,NULL,0.00,1.00,4.00,102,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078091,7.00,7.00,4.00,6.00,7.00,8.63,5.00,5.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078105,3.00,3.00,2.00,3.00,7.00,NULL,2.00,4.00,1.00,601,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5078113,9.00,6.00,4.00,4.00,7.00,6.00,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',8850,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5078121,6.00,4.00,0.00,7.00,8.00,NULL,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5078148,4.00,5.00,4.00,5.00,4.00,9.38,2.00,3.00,2.00,332,NULL,NULL,'BARREIROS','S JOSÉ','SC',14524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5078156,6.00,8.00,3.00,5.00,7.00,7.13,7.00,3.00,8.00,203,NULL,201,'CERQUEIRA CESAR','S PAULO','SP',4217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078172,1.00,3.00,2.00,5.00,2.00,NULL,1.00,2.00,1.00,450,NULL,NULL,'CENTRAL PARK','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078199,8.00,7.00,1.00,5.00,8.00,10.50,2.00,4.00,7.00,103,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',4573,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5078202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM DA SAUDE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5078210,6.00,6.00,2.00,5.00,4.00,7.13,1.00,3.00,4.00,326,NULL,NULL,'CEL PEROBA','ITATIBA','SP',12181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078229,8.00,6.00,2.00,7.00,7.00,7.88,3.00,3.00,8.00,233,NULL,215,'MAR GROSSO','LAGUNA','SC',5749,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5078237,1.00,2.00,1.00,1.00,4.00,NULL,1.00,0.00,1.00,651,NULL,653,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,15),(20,5078245,3.00,4.00,0.00,5.00,6.00,7.50,3.00,3.00,3.00,332,NULL,NULL,'BARREIROS','S JOSÉ','SC',15892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','AVARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5078261,8.00,9.00,7.00,7.00,9.00,12.00,5.00,5.00,7.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078270,5.00,6.00,3.00,1.00,4.00,NULL,0.00,1.00,4.00,220,NULL,213,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5078300,4.00,4.00,2.00,6.00,4.00,9.00,3.00,1.00,6.00,452,NULL,NULL,'VILA SUÍÇA','GRAMADO','RS',12548,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5078318,4.00,6.00,4.00,6.00,5.00,8.63,1.00,3.00,7.00,216,NULL,202,'CENTRO','LOANDA','PR',8370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JD N S DE FÁTIMA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5078342,9.00,5.00,5.00,7.00,8.00,12.00,4.00,6.00,7.00,103,NULL,NULL,'VILA OPERARIA','MARINGÁ','PR',1471,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5078350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'URUSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5078369,3.00,3.00,1.00,2.00,2.00,NULL,2.00,1.00,3.00,238,NULL,208,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5078377,2.00,7.00,3.00,6.00,6.00,6.75,2.00,3.00,3.00,304,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5078385,5.00,5.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078393,7.00,4.00,4.00,6.00,8.00,7.13,4.00,6.00,4.00,9,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6727,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5078407,7.00,7.00,1.00,8.00,9.00,7.50,3.00,3.00,5.00,238,NULL,208,'CENTRO','BIGUAÇU','SC',6543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'BENTO FERREIRA','VITÓRIA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5078431,6.00,6.00,2.00,7.00,7.00,8.63,2.00,5.00,7.00,103,NULL,NULL,'LAGO AZUL','ARAÇOIABA SERRA','SP',5484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078440,9.00,8.00,8.00,7.00,9.00,9.75,6.00,8.00,7.00,103,NULL,NULL,'SANTANA','RIO SUL','SC',337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078458,3.00,3.00,2.00,6.00,6.00,NULL,0.00,3.00,3.00,104,NULL,NULL,'CENTRO','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5078466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'VILA EUTHALIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5078474,6.00,7.00,4.00,5.00,9.00,8.25,5.00,6.00,6.00,216,NULL,215,'ITACORUBI','FLORIANÓPOLIS','SC',4022,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5078482,4.00,5.00,4.00,5.00,5.00,9.75,5.00,4.00,5.00,238,NULL,213,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',8709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5078490,7.00,5.00,2.00,7.00,6.00,6.75,3.00,3.00,5.00,2,NULL,NULL,'CENTRO','BRUSQUE','SC',12216,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5078520,4.00,5.00,2.00,4.00,4.00,7.50,5.00,2.00,6.00,207,NULL,201,'NOVA HOLANDA','HOLAMBRA','SP',10375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078539,3.00,6.00,3.00,5.00,9.00,9.00,1.00,4.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078547,8.00,4.00,4.00,6.00,4.00,8.25,3.00,1.00,7.00,103,NULL,NULL,'VILA VICENTINA','GUARULHOS','SP',9479,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5078555,5.00,5.00,6.00,5.00,9.00,10.13,4.00,3.00,6.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078563,4.00,5.00,6.00,5.00,5.00,8.63,1.00,1.00,3.00,207,NULL,214,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',12915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5078580,3.00,6.00,1.00,3.00,4.00,NULL,3.00,2.00,2.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5078598,3.00,6.00,0.00,3.00,3.00,NULL,2.00,1.00,2.00,452,NULL,NULL,'PAULO DE FRONTIN','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5078601,3.00,7.00,2.00,2.00,3.00,NULL,2.00,1.00,4.00,302,NULL,NULL,'INTERIOR','VANINI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5078610,5.00,8.00,3.00,7.00,7.00,6.75,3.00,1.00,5.00,208,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',9013,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5078628,8.00,6.00,4.00,7.00,7.00,10.13,1.00,4.00,6.00,201,NULL,212,'ABRAÃO','FLORIANÓPOLIS','SC',5287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5078652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM DO ENGENHO','ITATIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5078660,2.00,4.00,2.00,4.00,6.00,NULL,1.00,2.00,3.00,502,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5078679,0.00,1.00,0.00,3.00,2.00,NULL,3.00,3.00,1.00,3,NULL,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5078687,2.00,7.00,2.00,2.00,4.00,7.50,1.00,5.00,2.00,420,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5078695,7.00,8.00,5.00,6.00,8.00,9.75,3.00,5.00,5.00,320,NULL,NULL,'VILA NOVA CONCEIÇÃO','S PAULO','SP',3325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078709,7.00,7.00,1.00,6.00,6.00,5.25,2.00,3.00,4.00,101,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5078717,6.00,7.00,2.00,7.00,8.00,12.00,3.00,4.00,4.00,5,NULL,NULL,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078725,5.00,5.00,4.00,4.00,7.00,8.25,3.00,2.00,2.00,211,NULL,202,'IPIRANGA','S JOSÉ','SC',13433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078733,2.00,5.00,0.00,1.00,7.00,NULL,0.00,3.00,3.00,601,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5078741,5.00,5.00,7.00,3.00,5.00,6.75,5.00,4.00,8.00,103,NULL,NULL,'SANTO INACIO','CURITIBA','PR',7302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5078750,3.00,5.00,1.00,3.00,3.00,NULL,1.00,3.00,2.00,104,NULL,NULL,'INTERIOR','VANINI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5078768,3.00,5.00,1.00,5.00,5.00,NULL,2.00,1.00,2.00,201,NULL,212,'VILA ORESTES','ASSIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5078776,8.00,7.00,3.00,6.00,7.00,8.63,4.00,3.00,7.00,103,NULL,NULL,'COLATTO','XANXERÊ','SC',4332,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5078784,3.00,5.00,1.00,6.00,4.00,7.88,1.00,1.00,3.00,452,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',16251,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5078806,0.00,5.00,2.00,3.00,3.00,NULL,3.00,0.00,2.00,319,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5078814,7.00,6.00,3.00,1.00,5.00,6.75,4.00,5.00,4.00,203,NULL,214,'CENTRO','TRÊS BARRAS','SC',12739,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5078830,4.00,4.00,1.00,4.00,6.00,NULL,0.00,2.00,2.00,9,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5078849,9.00,5.00,7.00,5.00,6.00,9.75,5.00,3.00,7.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',3549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078865,7.00,5.00,5.00,4.00,7.00,8.25,6.00,2.00,4.00,212,NULL,211,'CENTRO','PATO BRANCO','PR',6245,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5078873,9.00,7.00,5.00,7.00,9.00,8.63,7.00,4.00,7.00,104,NULL,NULL,'JARDIM IPIRANGA','PTO ALEGRE','RS',1217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5078881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5078903,7.00,6.00,2.00,6.00,4.00,8.63,2.00,1.00,4.00,103,NULL,NULL,'SÃO CRISTOVÃO','BAURU','SP',11394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078911,7.00,5.00,5.00,5.00,6.00,7.88,2.00,2.00,4.00,233,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',11266,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5078946,6.00,4.00,2.00,5.00,10.00,9.38,4.00,4.00,7.00,453,NULL,NULL,'LAGO NORTE','LG NORTE','DF',7495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5078954,4.00,5.00,4.00,7.00,5.00,6.38,1.00,3.00,6.00,301,NULL,NULL,'ATIRADORES','JOINVILLE','SC',13207,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5078962,2.00,3.00,3.00,7.00,6.00,NULL,2.00,1.00,2.00,340,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5078970,6.00,6.00,3.00,4.00,5.00,9.38,2.00,4.00,4.00,103,NULL,NULL,'VILA MARIANA','TAIÓ','SC',12429,3464,NULL,NULL,NULL,NULL,NULL,2,3),(20,5078989,2.00,4.00,2.00,5.00,4.00,NULL,2.00,4.00,2.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5078997,7.00,8.00,7.00,7.00,8.00,9.38,7.00,4.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079004,5.00,5.00,0.00,5.00,7.00,6.38,1.00,4.00,3.00,450,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',12675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079012,8.00,6.00,4.00,7.00,7.00,4.50,3.00,5.00,5.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079020,2.00,5.00,0.00,2.00,6.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'JUNDIÁ','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5079039,5.00,4.00,1.00,7.00,5.00,8.25,3.00,3.00,3.00,215,NULL,212,'JARDIM DAS AMERICAS','CUIABÁ','MT',13448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079047,4.00,5.00,1.00,4.00,5.00,7.13,2.00,4.00,4.00,329,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5079071,4.00,4.00,2.00,3.00,5.00,7.88,4.00,2.00,3.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079101,9.00,7.00,4.00,6.00,7.00,7.88,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3473,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5079110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ADYANA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5079128,2.00,6.00,4.00,3.00,4.00,6.38,1.00,3.00,4.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5079144,4.00,5.00,2.00,2.00,3.00,NULL,2.00,2.00,4.00,220,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079152,3.00,5.00,2.00,4.00,3.00,NULL,3.00,3.00,4.00,220,NULL,653,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5079160,5.00,6.00,3.00,7.00,8.00,10.13,3.00,4.00,7.00,103,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',6460,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5079179,3.00,6.00,4.00,3.00,5.00,5.25,1.00,3.00,3.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079209,7.00,6.00,4.00,7.00,8.00,8.25,2.00,4.00,5.00,216,NULL,203,'REBOUÇAS','CURITIBA','PR',4471,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5079217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5079225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5079233,5.00,6.00,1.00,5.00,8.00,8.63,1.00,4.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11300,3336,NULL,NULL,NULL,NULL,NULL,2,1),(20,5079241,6.00,5.00,8.00,6.00,8.00,7.13,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','GUARAPUAVA','PR',2696,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5079268,6.00,7.00,1.00,4.00,4.00,10.88,1.00,3.00,3.00,420,NULL,NULL,'CENTRO','IÇARA','SC',15227,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5079276,7.00,4.00,6.00,6.00,5.00,7.88,4.00,3.00,5.00,207,NULL,216,'ZONA SETE','MARINGÁ','PR',8078,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5079284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5079292,2.00,7.00,0.00,3.00,2.00,NULL,2.00,0.00,4.00,3,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5079306,8.00,7.00,4.00,5.00,9.00,10.13,3.00,5.00,5.00,303,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',3787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5079314,5.00,4.00,0.00,5.00,4.00,NULL,0.00,1.00,4.00,104,NULL,NULL,'SÃO LUIZ','FARROUPILHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5079322,2.00,5.00,3.00,3.00,2.00,NULL,3.00,0.00,4.00,3,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079330,8.00,8.00,6.00,8.00,8.00,8.25,6.00,5.00,5.00,202,NULL,213,'AGRONÔMICA','FLORIANÓPOLIS','SC',2103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'SÃO MARCOS','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',5,8),(20,5079357,5.00,5.00,2.00,7.00,5.00,6.38,2.00,1.00,3.00,203,NULL,201,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'CHACARAS SAO JOSE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5079373,7.00,5.00,3.00,6.00,7.00,8.63,4.00,2.00,3.00,601,NULL,216,'JARDIM EUROPA','MARÍLIA','SP',11782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079390,3.00,6.00,1.00,6.00,4.00,9.75,3.00,2.00,2.00,203,NULL,214,'PERDIZES','S PAULO','SP',14918,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5079411,2.00,4.00,0.00,3.00,4.00,NULL,3.00,1.00,6.00,104,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5079420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM AMÉRICA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5079438,6.00,5.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079446,3.00,7.00,0.00,4.00,5.00,NULL,0.00,4.00,5.00,216,NULL,211,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5079454,1.00,5.00,0.00,5.00,5.00,NULL,2.00,1.00,2.00,340,NULL,NULL,'LA SALLE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079470,8.00,7.00,4.00,7.00,4.00,7.13,3.00,3.00,6.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',7874,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5079489,7.00,5.00,4.00,3.00,8.00,11.25,3.00,5.00,5.00,207,NULL,238,'CENTRO','TIJUCAS','SC',6810,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5079497,6.00,8.00,2.00,6.00,5.00,9.75,2.00,4.00,6.00,211,NULL,NULL,'CENTRO','PTO UNIÃO','SC',6871,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5079500,9.00,9.00,9.00,7.00,10.00,10.50,7.00,8.00,9.00,203,NULL,202,'JARDIM BLUMENAU','BLUMENAU','SC',15,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5079519,6.00,7.00,2.00,7.00,9.00,7.50,0.00,1.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10890,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5079535,4.00,7.00,2.00,3.00,4.00,10.13,1.00,2.00,5.00,238,NULL,208,'ARMAÇÃO','FLORIANÓPOLIS','SC',15528,401,NULL,452,NULL,NULL,NULL,2,1),(20,5079543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'HIGIENOPOLIS','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5079551,6.00,7.00,3.00,7.00,7.00,8.63,4.00,3.00,5.00,104,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',6955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079560,5.00,6.00,2.00,5.00,7.00,7.13,5.00,6.00,6.00,340,NULL,NULL,'SÃO JOÃO','CURITIBA','PR',6815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5079578,6.00,5.00,0.00,5.00,7.00,9.00,3.00,4.00,4.00,453,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079608,6.00,7.00,4.00,5.00,6.00,10.13,2.00,5.00,4.00,303,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',6731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079624,2.00,4.00,0.00,4.00,4.00,NULL,1.00,2.00,1.00,238,NULL,213,'ALTO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5079640,9.00,6.00,6.00,7.00,10.00,9.00,7.00,7.00,8.00,216,NULL,212,'JARDIM INDUSTRIAS','S JOSÉ CAMPOS','SP',404,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5079659,9.00,8.00,8.00,7.00,9.00,9.38,7.00,6.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079667,8.00,6.00,5.00,6.00,6.00,7.50,3.00,1.00,5.00,203,NULL,220,'CENTRO','PALMITOS','SC',7690,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5079675,4.00,5.00,0.00,3.00,5.00,NULL,2.00,2.00,3.00,601,NULL,220,'JARDIM AMÉRICA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5079683,8.00,8.00,5.00,7.00,9.00,10.50,6.00,3.00,6.00,103,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',2072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079691,4.00,3.00,3.00,5.00,6.00,9.38,2.00,3.00,4.00,101,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',14531,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5079705,9.00,8.00,3.00,7.00,7.00,8.63,0.00,3.00,2.00,108,NULL,NULL,'PARQUE PREZOTTO','PIRACICABA','SP',7101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079713,9.00,7.00,7.00,7.00,6.00,8.25,4.00,4.00,6.00,203,NULL,201,'SÃO BRAZ','CURITIBA','PR',2707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079721,5.00,5.00,1.00,5.00,5.00,7.88,2.00,2.00,6.00,103,NULL,NULL,'CENTRO','IRATI','PR',14244,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5079730,6.00,4.00,0.00,3.00,7.00,NULL,3.00,2.00,0.00,444,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5079748,6.00,5.00,0.00,4.00,8.00,NULL,2.00,2.00,1.00,303,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5079756,6.00,8.00,5.00,6.00,9.00,9.00,6.00,7.00,7.00,207,NULL,212,'CENTRO','URUBICI','SC',1578,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5079764,8.00,7.00,4.00,7.00,7.00,12.38,5.00,5.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',1527,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5079799,5.00,5.00,3.00,6.00,4.00,7.88,1.00,2.00,2.00,208,NULL,NULL,'SÃO CRISTÓVÃO','CHAPECÓ','SC',13643,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5079802,7.00,6.00,5.00,5.00,9.00,8.63,4.00,3.00,4.00,207,NULL,201,'AGRONÔMICA','FLORIANÓPOLIS','SC',5863,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5079810,5.00,3.00,0.00,2.00,4.00,NULL,1.00,4.00,3.00,653,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5079829,6.00,5.00,2.00,7.00,4.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'CENTRO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079837,6.00,8.00,5.00,5.00,8.00,10.50,5.00,4.00,6.00,207,NULL,233,'AGRONÔMICA','FLORIANÓPOLIS','SC',3354,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5079845,4.00,5.00,3.00,4.00,5.00,6.00,1.00,3.00,4.00,108,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',15686,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5079853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'DAMHA III','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5079861,3.00,7.00,2.00,1.00,4.00,NULL,1.00,2.00,2.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079870,6.00,4.00,2.00,1.00,5.00,NULL,1.00,2.00,5.00,211,NULL,215,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5079888,7.00,3.00,2.00,4.00,6.00,8.25,3.00,3.00,3.00,201,NULL,214,'CAMBUCI','S PAULO','SP',11077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079896,9.00,6.00,3.00,5.00,3.00,NULL,4.00,5.00,9.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5079900,7.00,5.00,6.00,4.00,9.00,8.63,3.00,5.00,6.00,234,NULL,NULL,'CENTRO','ITAJAÍ','SC',4219,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5079926,4.00,5.00,4.00,6.00,6.00,9.00,3.00,2.00,4.00,213,NULL,201,'VILA JABUTICABEIRAS','TAUBATÉ','SP',11759,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5079934,4.00,5.00,2.00,3.00,7.00,NULL,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5079942,9.00,8.00,9.00,7.00,9.00,8.25,8.00,6.00,8.00,103,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5079969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5079985,7.00,8.00,5.00,5.00,10.00,10.13,4.00,3.00,7.00,5,NULL,NULL,'PICADAS DO NORTE','S JOSÉ','SC',2179,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5079993,6.00,7.00,0.00,6.00,9.00,9.00,3.00,3.00,5.00,340,NULL,NULL,'CENTRO','LACERDÓPOLIS','SC',8392,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5080002,4.00,7.00,4.00,5.00,6.00,4.88,2.00,4.00,4.00,201,NULL,212,'JARDIM SANTA EUGÊNIA','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5080010,9.00,5.00,9.00,7.00,9.00,10.13,8.00,7.00,9.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080029,5.00,4.00,0.00,7.00,9.00,8.63,3.00,4.00,2.00,208,NULL,203,'CENTRO','TIJUCAS','SC',11574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080037,3.00,5.00,1.00,1.00,4.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'VARGEN DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5080045,8.00,9.00,4.00,7.00,9.00,9.75,4.00,6.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',1081,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5080053,8.00,6.00,2.00,3.00,7.00,8.63,3.00,5.00,8.00,233,NULL,601,'ITACURUBI','FLORIANÓPOLIS','SC',5957,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5080061,8.00,5.00,0.00,5.00,6.00,8.25,3.00,3.00,4.00,103,NULL,NULL,'JD IPE','ITATIBA','SP',10097,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5080070,3.00,2.00,1.00,3.00,3.00,NULL,0.00,1.00,3.00,207,NULL,201,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080088,4.00,5.00,2.00,6.00,6.00,9.38,1.00,3.00,4.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080096,4.00,7.00,5.00,5.00,6.00,8.25,2.00,3.00,5.00,340,NULL,NULL,'JARDIM TERRA BRANCA','BAURU','SP',8570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080100,4.00,4.00,0.00,5.00,6.00,7.50,3.00,3.00,3.00,103,NULL,NULL,'SANTA MARIA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5080118,9.00,5.00,1.00,7.00,7.00,7.50,2.00,5.00,5.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',7124,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5080134,4.00,2.00,1.00,4.00,4.00,NULL,2.00,1.00,4.00,652,NULL,653,'VISTA ALEGRE','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5080142,5.00,5.00,1.00,6.00,7.00,7.88,3.00,2.00,5.00,211,NULL,233,'FORQUILHAS','S JOSÉ','SC',10939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080150,5.00,6.00,5.00,6.00,6.00,8.25,3.00,5.00,4.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080169,6.00,4.00,3.00,6.00,7.00,10.13,4.00,1.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080177,7.00,7.00,4.00,2.00,8.00,7.50,3.00,5.00,6.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7491,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5080185,3.00,6.00,1.00,5.00,6.00,7.88,2.00,2.00,4.00,3,NULL,NULL,'FORTALEZA','BLUMENAU','SC',14956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080193,3.00,4.00,1.00,5.00,5.00,6.75,2.00,3.00,3.00,450,NULL,NULL,'VILA NOVA','COCAL SUL','SC',16211,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5080207,5.00,7.00,3.00,4.00,8.00,6.75,4.00,4.00,6.00,304,NULL,NULL,'TRINTADE','FLORIANÓPOLIS','SC',7985,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5080215,4.00,4.00,4.00,4.00,3.00,NULL,2.00,2.00,1.00,5,NULL,NULL,'ARIRIU DA FORMIGA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5080223,6.00,6.00,5.00,7.00,9.00,6.75,2.00,5.00,6.00,319,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',6996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080240,6.00,6.00,6.00,6.00,7.00,7.13,6.00,3.00,8.00,214,NULL,212,'BAIRRO ALTO','CURITIBA','PR',3575,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5080258,8.00,7.00,6.00,5.00,8.00,7.13,4.00,3.00,9.00,203,NULL,211,'JARDIM AMÁLIA','CAÇAPAVA','SP',2726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080266,6.00,5.00,4.00,5.00,5.00,NULL,0.00,2.00,3.00,211,NULL,214,'CENTRO','LACERDÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5080274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5080282,7.00,6.00,4.00,5.00,6.00,7.50,2.00,6.00,4.00,601,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7679,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5080290,6.00,7.00,2.00,6.00,5.00,9.75,3.00,3.00,4.00,103,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',7569,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5080312,5.00,6.00,1.00,5.00,6.00,NULL,1.00,3.00,3.00,3,NULL,NULL,'SANTOS SARAIVA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5080320,8.00,6.00,4.00,6.00,5.00,9.75,3.00,3.00,4.00,214,NULL,213,'CENTRO','GUAXUPÉ','MG',6925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080347,8.00,8.00,4.00,7.00,9.00,11.25,4.00,5.00,7.00,303,NULL,NULL,'CHÁCARA CACHOEIRA','CPO GRANDE','MS',1836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080355,7.00,6.00,3.00,6.00,8.00,7.13,4.00,4.00,5.00,202,NULL,235,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',6100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080363,7.00,7.00,2.00,5.00,9.00,10.50,4.00,4.00,7.00,108,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',4281,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5080371,3.00,4.00,2.00,5.00,5.00,NULL,3.00,0.00,3.00,103,NULL,NULL,'BELA VISTA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080380,5.00,5.00,2.00,6.00,7.00,6.75,3.00,4.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12189,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5080410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080428,9.00,6.00,4.00,5.00,8.00,8.25,4.00,5.00,8.00,103,NULL,NULL,'TINGUI','CURITIBA','PR',2265,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5080436,7.00,5.00,4.00,5.00,5.00,8.63,5.00,3.00,6.00,103,NULL,NULL,'VILA TOLENTINO','CASCAVEL','PR',6574,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5080444,6.00,7.00,1.00,6.00,8.00,11.63,3.00,4.00,5.00,104,NULL,NULL,'TIARAJU','IJUÍ','RS',5352,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5080452,7.00,7.00,5.00,8.00,7.00,10.13,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080460,6.00,5.00,6.00,7.00,8.00,10.50,3.00,5.00,6.00,216,NULL,215,'ALPHAVILLE','CAMPINAS','SP',3933,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5080495,8.00,7.00,4.00,3.00,10.00,7.88,4.00,4.00,6.00,103,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',4454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080509,4.00,6.00,3.00,3.00,5.00,6.75,2.00,3.00,6.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14237,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5080517,7.00,6.00,5.00,4.00,6.00,6.75,3.00,2.00,4.00,601,NULL,203,'ARMAÇAO DO P DO SUL','FLORIANÓPOLIS','SC',12839,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5080533,4.00,4.00,3.00,4.00,3.00,NULL,1.00,1.00,3.00,653,NULL,NULL,'GARAPUVU','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5080541,7.00,6.00,2.00,6.00,7.00,8.25,4.00,3.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8215,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5080550,7.00,6.00,4.00,7.00,6.00,10.50,1.00,4.00,7.00,415,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',6229,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5080568,6.00,5.00,1.00,3.00,7.00,4.88,2.00,4.00,5.00,340,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080576,7.00,7.00,1.00,7.00,8.00,NULL,0.00,4.00,5.00,103,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5080584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GOES CALMON','ITABUNA','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5080592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'JARDIM MARINGÁ','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5080606,3.00,8.00,4.00,5.00,7.00,6.75,1.00,3.00,4.00,318,NULL,NULL,'CENTRO','BIGUAÇU','SC',13025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080614,8.00,6.00,4.00,3.00,6.00,4.50,1.00,3.00,4.00,212,NULL,213,'VILA PADOVAN','BOTUCATU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5080630,6.00,5.00,1.00,7.00,7.00,8.63,2.00,3.00,6.00,340,NULL,NULL,'PALUGANA','VERANÓPOLIS','RS',7513,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5080649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CAIÇARA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5080657,7.00,3.00,4.00,3.00,6.00,9.75,2.00,1.00,2.00,205,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5080673,5.00,8.00,3.00,7.00,8.00,8.63,1.00,2.00,5.00,207,NULL,201,'NAÇÕES','TIMBÓ','SC',6316,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5080681,6.00,6.00,4.00,7.00,8.00,9.00,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',5992,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5080690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'PARQUE IRACEMA','CATANDUVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5080703,6.00,7.00,2.00,6.00,6.00,8.25,3.00,4.00,7.00,103,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',5944,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5080711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,211,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5080720,8.00,7.00,0.00,5.00,9.00,10.50,3.00,1.00,3.00,201,NULL,212,'CENTRO','FLORES CUNHA','RS',8625,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5080738,8.00,7.00,3.00,5.00,7.00,8.63,3.00,4.00,6.00,103,NULL,NULL,'FAZENDINHA','CURITIBA','PR',5253,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5080746,6.00,5.00,3.00,5.00,6.00,10.50,3.00,3.00,6.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',6345,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5080762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,220,'JARDIN SAO PAULO DOI','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5080789,8.00,5.00,4.00,7.00,10.00,7.88,5.00,6.00,8.00,303,NULL,NULL,'CENTRO','VERANÓPOLIS','RS',2769,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5080797,8.00,6.00,3.00,4.00,9.00,8.25,4.00,3.00,6.00,103,NULL,NULL,'VILA ALEXANDRIA','S PAULO','SP',5946,2393,NULL,NULL,NULL,NULL,NULL,2,1),(20,5080800,4.00,5.00,1.00,3.00,5.00,7.88,0.00,3.00,4.00,302,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5080819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'BURGO PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5080827,6.00,8.00,4.00,7.00,8.00,9.00,5.00,3.00,4.00,301,NULL,NULL,'PARQUE TAQUARAL','CAMPINAS','SP',4701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080843,3.00,3.00,1.00,5.00,1.00,NULL,3.00,3.00,3.00,429,NULL,426,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5080851,9.00,6.00,8.00,6.00,9.00,9.00,3.00,4.00,8.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',1770,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5080860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5080878,7.00,7.00,4.00,6.00,9.00,6.00,5.00,4.00,7.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',5473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080886,5.00,6.00,3.00,6.00,6.00,8.25,4.00,6.00,5.00,452,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080894,7.00,6.00,3.00,7.00,8.00,6.00,6.00,6.00,8.00,103,NULL,NULL,'CENTRO','TORRES','RS',3214,1558,NULL,NULL,NULL,NULL,NULL,4,5),(20,5080908,4.00,4.00,0.00,4.00,5.00,NULL,1.00,5.00,2.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5080916,4.00,5.00,1.00,3.00,3.00,NULL,1.00,0.00,3.00,234,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5080932,6.00,5.00,2.00,5.00,5.00,6.75,3.00,1.00,5.00,202,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',14007,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5080940,7.00,7.00,3.00,2.00,5.00,11.63,0.00,5.00,3.00,220,NULL,202,'CORAL','LAGES','SC',11125,314,NULL,378,NULL,NULL,NULL,4,9),(20,5080959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5080967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CENTRO','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5080975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5080983,6.00,4.00,3.00,5.00,5.00,8.25,2.00,2.00,5.00,207,NULL,215,'JD FAZENDA RINCÃO','ARUJÁ','SP',11794,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5080991,7.00,8.00,2.00,5.00,6.00,7.88,4.00,3.00,4.00,102,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',9770,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5081009,6.00,8.00,5.00,4.00,8.00,8.63,2.00,2.00,3.00,415,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',10428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5081017,4.00,6.00,3.00,7.00,8.00,11.25,2.00,4.00,4.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',8609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5081041,9.00,9.00,4.00,7.00,6.00,8.25,6.00,4.00,6.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',2737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081050,7.00,8.00,5.00,6.00,9.00,10.50,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','CEL FREITAS','SC',2338,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5081076,8.00,5.00,6.00,6.00,7.00,8.63,0.00,4.00,8.00,453,NULL,NULL,'JARDIM BOTÂNICO','PTO ALEGRE','RS',5702,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5081092,4.00,5.00,3.00,5.00,6.00,9.75,3.00,3.00,2.00,453,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081114,5.00,7.00,1.00,6.00,8.00,8.63,3.00,4.00,3.00,103,NULL,NULL,'MALUCHE','BRUSQUE','SC',8651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081122,6.00,4.00,2.00,5.00,5.00,NULL,0.00,2.00,4.00,420,NULL,NULL,'CANTO DOS ARAÇÁS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5081130,3.00,4.00,0.00,5.00,5.00,NULL,2.00,1.00,2.00,415,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081149,8.00,8.00,5.00,7.00,8.00,11.25,6.00,4.00,8.00,203,NULL,214,'BARREIROS','S JOSÉ','SC',1074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081157,6.00,5.00,3.00,4.00,6.00,8.63,1.00,4.00,4.00,203,NULL,214,'PORTO','CUIABÁ','MT',10143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081165,3.00,5.00,3.00,4.00,4.00,NULL,1.00,0.00,3.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5081173,4.00,5.00,1.00,3.00,5.00,9.38,3.00,2.00,2.00,420,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',16244,140,NULL,NULL,NULL,NULL,NULL,2,1),(20,5081181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5081203,0.00,4.00,1.00,3.00,3.00,NULL,1.00,2.00,3.00,652,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5081220,7.00,5.00,6.00,5.00,8.00,6.00,4.00,1.00,7.00,104,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',6733,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5081238,7.00,8.00,2.00,7.00,11.00,8.63,3.00,5.00,6.00,302,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',4780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081254,8.00,9.00,1.00,7.00,9.00,8.63,8.00,5.00,8.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',1597,902,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081262,7.00,7.00,5.00,5.00,6.00,7.88,1.00,2.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5081270,9.00,7.00,4.00,5.00,9.00,12.00,2.00,7.00,5.00,326,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',3403,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5081289,4.00,5.00,1.00,4.00,6.00,NULL,1.00,1.00,1.00,415,NULL,NULL,'FÁTIMA','ANTÔNIO PRADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5081297,8.00,7.00,3.00,8.00,9.00,9.38,4.00,7.00,6.00,340,NULL,NULL,'CABEÇUDAS','ITAJAÍ','SC',3236,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5081319,8.00,5.00,4.00,7.00,10.00,7.88,0.00,4.00,6.00,340,NULL,NULL,'CENTRO','MARAU','RS',5779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081327,9.00,8.00,5.00,7.00,10.00,9.75,4.00,5.00,7.00,103,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',1115,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5081335,8.00,7.00,6.00,7.00,10.00,9.00,5.00,7.00,8.00,450,NULL,NULL,'GRANJA VIANA','CARAPICUÍBA','SP',1371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081351,5.00,7.00,1.00,5.00,8.00,6.75,4.00,3.00,5.00,207,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',9873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CRIMEIA OESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5081378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5081386,4.00,3.00,2.00,7.00,5.00,NULL,2.00,0.00,3.00,429,NULL,425,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPITAIS','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5081424,1.00,4.00,2.00,4.00,6.00,NULL,0.00,3.00,2.00,326,NULL,NULL,'GUADALUPE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5081440,7.00,6.00,7.00,5.00,7.00,7.50,5.00,5.00,5.00,235,NULL,202,'CAPOEIRAS','FLORIANÓPOLIS','SC',3943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081459,5.00,6.00,3.00,7.00,5.00,7.88,4.00,2.00,6.00,220,NULL,202,'JARDIM CANADA','RIBEIRÃO PRETO','SP',7209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081467,6.00,4.00,5.00,4.00,6.00,9.00,4.00,4.00,6.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7010,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5081475,4.00,7.00,4.00,6.00,9.00,9.75,6.00,4.00,8.00,201,NULL,207,'CENTRO','CATUÍPE','RS',3501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081483,6.00,6.00,3.00,6.00,6.00,6.00,2.00,5.00,5.00,420,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',11644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081491,9.00,7.00,5.00,5.00,6.00,8.63,3.00,3.00,5.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',5854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081505,8.00,8.00,8.00,7.00,10.00,9.38,6.00,4.00,9.00,5,NULL,NULL,'CENTRO','S JOSÉ','SC',344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081513,5.00,6.00,2.00,6.00,8.00,7.88,3.00,3.00,4.00,211,NULL,216,'JARDIM SATÉLITE','S JOSÉ CAMPOS','SP',8379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081521,3.00,3.00,3.00,5.00,4.00,7.13,2.00,4.00,3.00,451,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5081530,6.00,8.00,3.00,5.00,8.00,8.63,4.00,4.00,5.00,207,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5929,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5081548,4.00,4.00,0.00,3.00,4.00,NULL,1.00,1.00,2.00,309,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5081564,8.00,7.00,7.00,7.00,9.00,10.88,7.00,5.00,7.00,212,NULL,201,'CENTRO','JOINVILLE','SC',1306,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5081572,9.00,7.00,6.00,7.00,8.00,7.50,8.00,3.00,8.00,203,NULL,201,'CENTRO','CASCAVEL','PR',1107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081580,5.00,5.00,4.00,6.00,7.00,8.63,3.00,3.00,6.00,317,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5081629,3.00,4.00,3.00,2.00,2.00,NULL,2.00,0.00,2.00,201,NULL,212,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5081645,9.00,6.00,7.00,7.00,7.00,9.38,9.00,3.00,8.00,216,NULL,NULL,'SÃO JOÃO','CURITIBA','PR',883,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5081653,1.00,2.00,0.00,2.00,3.00,NULL,0.00,1.00,1.00,651,NULL,652,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5081661,1.00,5.00,1.00,7.00,3.00,NULL,0.00,0.00,4.00,207,NULL,201,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081670,5.00,4.00,2.00,6.00,6.00,10.13,4.00,3.00,5.00,203,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',9467,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5081696,3.00,3.00,1.00,7.00,4.00,9.75,3.00,3.00,3.00,328,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081700,7.00,4.00,3.00,3.00,9.00,4.13,1.00,3.00,1.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081718,8.00,8.00,6.00,7.00,9.00,9.00,8.00,4.00,8.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'VILA BUARQUE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5081734,7.00,7.00,5.00,6.00,9.00,7.13,5.00,4.00,8.00,103,NULL,NULL,'JARDIM SOCIAL','CPO LARGO','PR',2894,1442,NULL,NULL,NULL,NULL,NULL,4,8),(20,5081742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MORUMBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5081750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5081769,5.00,6.00,3.00,7.00,8.00,10.88,3.00,6.00,6.00,415,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',4713,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5081785,3.00,5.00,0.00,5.00,7.00,8.25,2.00,2.00,4.00,201,NULL,207,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081807,6.00,6.00,1.00,3.00,3.00,NULL,0.00,5.00,5.00,103,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5081815,6.00,6.00,4.00,6.00,8.00,9.75,1.00,2.00,5.00,203,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',7789,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5081831,6.00,3.00,1.00,6.00,7.00,7.50,2.00,3.00,3.00,303,NULL,NULL,'CENTRO','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5081840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5081858,8.00,6.00,3.00,6.00,9.00,11.25,2.00,5.00,4.00,104,NULL,NULL,'PALMITAL','CHAPECÓ','SC',5117,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5081874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'COIMBRA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5081882,2.00,3.00,1.00,1.00,2.00,NULL,3.00,1.00,2.00,101,NULL,NULL,'NOSSA SRA ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5081890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5081904,8.00,5.00,3.00,4.00,7.00,9.38,1.00,5.00,4.00,214,NULL,212,'BEIJA FLOR JAGUARUNA','JAGUARUNA','SC',9015,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5081920,8.00,5.00,7.00,6.00,8.00,8.63,5.00,3.00,8.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',2499,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5081939,6.00,6.00,0.00,5.00,7.00,9.38,2.00,5.00,4.00,429,NULL,428,'TERESÓPOLIS','PTO ALEGRE','RS',8399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081947,7.00,5.00,2.00,7.00,5.00,6.75,4.00,4.00,8.00,203,NULL,216,'SANTA CRUZ','RIBEIRÃO PRETO','SP',6114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5081963,7.00,8.00,4.00,5.00,9.00,10.88,5.00,3.00,7.00,220,NULL,238,'CENTRO','BRAÇO NORTE','SC',4122,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5081971,5.00,5.00,4.00,6.00,8.00,8.63,3.00,4.00,6.00,212,NULL,601,'JARDIM BLUMENAU','BLUMENAU','SC',6954,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5081998,9.00,7.00,7.00,6.00,7.00,10.13,7.00,5.00,7.00,220,NULL,202,'CENTRO','CRICIÚMA','SC',1247,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5082005,7.00,6.00,7.00,8.00,10.00,8.63,9.00,4.00,8.00,203,NULL,214,'CENTRO','CURITIBA','PR',819,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5082013,4.00,5.00,3.00,5.00,4.00,NULL,1.00,3.00,0.00,234,NULL,NULL,'SAO JOSE','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5082021,7.00,9.00,4.00,7.00,8.00,10.88,5.00,7.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082030,3.00,4.00,4.00,5.00,6.00,9.38,2.00,4.00,5.00,207,NULL,201,'CENTRO','CLEVELÂNDIA','PR',11451,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5082048,9.00,7.00,7.00,7.00,6.00,7.13,5.00,3.00,5.00,103,NULL,NULL,'JARDIM SAO LOURENÇO','CPO GRANDE','MS',3339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082056,9.00,7.00,5.00,7.00,8.00,9.00,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2437,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5082064,8.00,6.00,2.00,7.00,7.00,12.00,3.00,6.00,5.00,329,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082072,3.00,3.00,1.00,3.00,6.00,NULL,1.00,4.00,4.00,103,NULL,NULL,'NOVO CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5082080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5082099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5082102,9.00,8.00,8.00,8.00,10.00,11.63,7.00,6.00,9.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',67,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082110,7.00,6.00,3.00,7.00,8.00,8.63,3.00,2.00,2.00,234,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5082137,7.00,8.00,3.00,5.00,7.00,7.50,4.00,4.00,7.00,102,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6156,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5082145,8.00,6.00,1.00,7.00,8.00,4.13,3.00,3.00,5.00,238,NULL,208,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082153,6.00,6.00,7.00,6.00,8.00,7.50,4.00,3.00,3.00,450,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',6010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082161,9.00,8.00,6.00,6.00,8.00,7.13,5.00,3.00,8.00,203,NULL,214,'CORREGO GRANDE','FLORIANÓPOLIS','SC',3723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082170,7.00,6.00,2.00,7.00,7.00,9.00,3.00,3.00,4.00,340,NULL,NULL,'CENTRO','XANXERÊ','SC',8647,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5082188,5.00,7.00,4.00,3.00,7.00,7.50,3.00,3.00,3.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082200,4.00,3.00,3.00,1.00,5.00,NULL,0.00,0.00,2.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5082226,8.00,7.00,3.00,7.00,8.00,12.00,4.00,3.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082234,8.00,8.00,5.00,6.00,10.00,10.50,6.00,6.00,8.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082250,9.00,6.00,6.00,2.00,7.00,8.63,4.00,2.00,8.00,103,NULL,NULL,'AMAMBAÍ','CPO GRANDE','MS',5248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5082277,3.00,3.00,1.00,2.00,2.00,NULL,4.00,2.00,3.00,103,NULL,NULL,'BELA VISTA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5082285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'HUGO LANGE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5082293,3.00,5.00,4.00,2.00,4.00,6.75,3.00,1.00,5.00,202,NULL,235,'BORDA DO CAMPO','S JOSÉ PINHAIS','PR',14110,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5082307,3.00,6.00,1.00,7.00,9.00,9.75,1.00,3.00,4.00,202,NULL,601,'PRESIDENTE MEDICE','CHAPECÓ','SC',11207,385,NULL,NULL,NULL,NULL,NULL,4,4),(20,5082323,2.00,5.00,0.00,6.00,5.00,NULL,2.00,1.00,4.00,216,NULL,201,'CENTRO','BONITO','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5082331,8.00,6.00,3.00,6.00,10.00,6.38,2.00,3.00,4.00,108,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',7059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082340,3.00,5.00,1.00,4.00,6.00,7.13,1.00,3.00,4.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15380,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5082358,3.00,4.00,1.00,5.00,4.00,NULL,1.00,1.00,2.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5082366,8.00,7.00,5.00,7.00,8.00,8.63,4.00,3.00,6.00,201,NULL,202,'KOBRASOL','S JOSÉ','SC',3638,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082374,9.00,4.00,5.00,4.00,7.00,9.75,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',5280,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5082382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITANHANGÁ PARK','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5082390,7.00,4.00,4.00,5.00,8.00,9.75,2.00,5.00,5.00,319,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',6895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082404,4.00,5.00,0.00,3.00,6.00,9.75,3.00,2.00,6.00,201,NULL,212,'FLORESTA','PTO ALEGRE','RS',12607,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082412,6.00,7.00,4.00,4.00,6.00,6.75,3.00,4.00,4.00,234,NULL,NULL,'IRIRIU','JOINVILLE','SC',10207,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5082420,8.00,7.00,4.00,7.00,8.00,8.63,8.00,4.00,8.00,216,NULL,201,'VILA SCARPELLI','STO ANDRÉ','SP',1607,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5082439,6.00,4.00,4.00,7.00,7.00,9.00,3.00,3.00,7.00,220,NULL,203,'CENTRO','STA MARIA','RS',6254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082447,8.00,8.00,6.00,7.00,10.00,12.38,5.00,3.00,8.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082463,8.00,8.00,4.00,6.00,10.00,11.63,3.00,6.00,7.00,203,NULL,NULL,'AMÉRICA','JOINVILLE','SC',1861,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5082471,2.00,4.00,1.00,5.00,5.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'GRANJA VIANA','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5082501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA A','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5082510,6.00,7.00,4.00,7.00,9.00,11.25,3.00,6.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'KOBRASSOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5082552,8.00,5.00,1.00,6.00,9.00,6.75,3.00,4.00,6.00,452,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082560,4.00,4.00,6.00,7.00,6.00,8.63,2.00,2.00,2.00,211,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',12127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082579,8.00,7.00,3.00,6.00,5.00,8.25,3.00,3.00,5.00,333,NULL,NULL,'CENTRO','RIO GRANDE','RS',7419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082587,5.00,6.00,3.00,4.00,5.00,7.50,3.00,3.00,8.00,216,NULL,653,'CENTRO','ROLÂNDIA','PR',8137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082595,8.00,5.00,4.00,7.00,5.00,9.00,2.00,3.00,7.00,214,NULL,220,'MONTE BIANCO','ARAÇOIABA SERRA','SP',6236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082609,5.00,7.00,2.00,5.00,7.00,9.38,4.00,4.00,2.00,103,NULL,NULL,'CENTRO','ITUPORANGA','SC',9498,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5082617,5.00,7.00,3.00,7.00,8.00,7.13,1.00,2.00,6.00,201,NULL,212,'FLORESTA','PTO ALEGRE','RS',9111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082625,4.00,6.00,4.00,3.00,8.00,8.25,2.00,2.00,4.00,109,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12068,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5082633,2.00,4.00,2.00,4.00,2.00,NULL,1.00,2.00,2.00,501,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5082641,4.00,5.00,4.00,3.00,6.00,8.63,0.00,3.00,4.00,216,NULL,601,'CENTRO','CHAPECÓ','SC',14562,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5082650,5.00,7.00,1.00,6.00,2.00,NULL,4.00,2.00,2.00,333,NULL,NULL,'CENTRO','NOVA ODESSA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082668,6.00,7.00,0.00,7.00,7.00,7.50,3.00,2.00,4.00,326,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',11307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082676,4.00,6.00,2.00,5.00,3.00,NULL,1.00,1.00,2.00,207,NULL,211,'UNIVERSITÁRIO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5082684,8.00,5.00,1.00,7.00,7.00,10.50,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4460,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5082692,3.00,5.00,1.00,5.00,4.00,NULL,1.00,2.00,2.00,444,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5082706,4.00,5.00,1.00,6.00,5.00,6.75,1.00,2.00,5.00,211,NULL,216,'CAMPINAS','S JOSÉ','SC',15986,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5082714,3.00,3.00,5.00,4.00,6.00,7.88,3.00,2.00,4.00,108,NULL,NULL,'ALTO RIBEIRÃO','FLORIANÓPOLIS','SC',14726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5082730,8.00,9.00,5.00,7.00,9.00,10.50,6.00,7.00,9.00,207,NULL,212,'CENTRO','S JOSÉ','SC',262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082749,8.00,6.00,4.00,8.00,7.00,9.38,3.00,4.00,4.00,216,NULL,211,'MENINO DEUS','JOAÇABA','SC',4925,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5082790,6.00,6.00,0.00,5.00,5.00,8.63,1.00,2.00,3.00,303,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082803,6.00,6.00,5.00,3.00,7.00,8.25,3.00,5.00,5.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11063,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5082811,3.00,3.00,2.00,0.00,2.00,NULL,1.00,2.00,0.00,601,NULL,NULL,'JOÃO COSTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5082820,7.00,6.00,2.00,7.00,7.00,11.25,0.00,3.00,2.00,415,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',11412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082838,5.00,5.00,0.00,5.00,8.00,NULL,1.00,3.00,7.00,202,NULL,203,'BAIRRO JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5082846,9.00,8.00,5.00,6.00,9.00,10.50,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1151,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5082854,4.00,5.00,2.00,2.00,5.00,7.50,2.00,3.00,4.00,207,NULL,201,'SANTA CRUZ DA FIGUEI','ÁGUAS MORNAS','SC',15307,750,NULL,1081,NULL,NULL,NULL,2,1),(20,5082870,6.00,5.00,4.00,5.00,4.00,7.50,2.00,2.00,3.00,207,NULL,211,'VILA INDUSTRIAL','S JOSÉ CAMPOS','SP',13490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'CRUZEIRO','CRUZEIRO','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5082897,5.00,5.00,0.00,6.00,8.00,6.75,3.00,1.00,3.00,451,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',15326,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5082900,8.00,7.00,0.00,6.00,7.00,8.63,1.00,2.00,5.00,501,NULL,NULL,'CENTRO','TURVO','SC',11006,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5082919,7.00,6.00,7.00,0.00,7.00,9.75,6.00,4.00,8.00,203,NULL,216,'JDM EUROPA','ASSIS','SP',4728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082927,4.00,3.00,3.00,4.00,8.00,6.75,3.00,4.00,5.00,223,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',13584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5082935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5082943,6.00,8.00,2.00,4.00,6.00,9.38,2.00,2.00,4.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5082951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','AURORA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5082960,1.00,6.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,444,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5082994,6.00,5.00,7.00,7.00,8.00,8.25,7.00,5.00,6.00,201,NULL,214,'CENTRO','CPO GRANDE','MS',2507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083001,6.00,4.00,1.00,5.00,7.00,8.63,3.00,4.00,7.00,333,NULL,NULL,'CENTRO','CURITIBA','PR',10520,80,NULL,NULL,NULL,NULL,NULL,2,8),(20,5083036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'SANTA TEREZINHA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5083060,9.00,6.00,4.00,7.00,11.00,9.00,4.00,7.00,7.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',802,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5083087,7.00,6.00,1.00,7.00,6.00,8.25,0.00,6.00,4.00,103,NULL,NULL,'N SENHORA DAS DORES','STA MARIA','RS',8344,2895,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083109,5.00,4.00,2.00,2.00,4.00,NULL,1.00,3.00,1.00,450,NULL,NULL,'CENTRO','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083117,7.00,7.00,6.00,7.00,6.00,NULL,0.00,5.00,8.00,216,NULL,653,'CENTRO','GRAVATAÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083125,7.00,6.00,2.00,7.00,7.00,8.63,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',5238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083133,3.00,6.00,3.00,3.00,5.00,4.13,3.00,0.00,2.00,3,NULL,NULL,'CENTRO','MAMBORÊ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5083141,8.00,7.00,5.00,3.00,6.00,7.88,4.00,4.00,6.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5083176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5083192,4.00,4.00,0.00,4.00,5.00,NULL,1.00,1.00,3.00,203,NULL,201,'BOM JESUS','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5083214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,651,'DOM BOSCO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5083222,8.00,6.00,5.00,7.00,9.00,9.00,5.00,1.00,5.00,202,NULL,235,'CENTRO','CRICIÚMA','SC',5528,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5083230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'MORUMBI','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5083257,8.00,6.00,5.00,8.00,10.00,10.50,5.00,5.00,7.00,235,NULL,202,'CARVOEIRA','FLORIANÓPOLIS','SC',1734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083265,3.00,4.00,0.00,2.00,2.00,NULL,3.00,0.00,3.00,103,NULL,NULL,'CENTRO','IMARUÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5083273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5083320,1.00,5.00,0.00,3.00,4.00,NULL,1.00,1.00,0.00,202,NULL,213,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5083338,5.00,6.00,2.00,4.00,7.00,9.75,3.00,1.00,7.00,207,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',10304,487,NULL,NULL,NULL,NULL,NULL,2,1),(20,5083354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'PADRE MARTINHO STEIN','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5083362,8.00,7.00,5.00,5.00,10.00,9.38,5.00,5.00,9.00,103,NULL,NULL,'SAO GABRIEL','COLOMBO','PR',1354,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5083370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5083389,8.00,8.00,8.00,6.00,10.00,8.63,6.00,4.00,8.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083397,3.00,5.00,1.00,5.00,3.00,NULL,2.00,1.00,3.00,201,NULL,203,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083400,5.00,5.00,1.00,4.00,3.00,NULL,2.00,2.00,3.00,5,NULL,NULL,'JARDIM SÃO NICOLAU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5083419,6.00,7.00,4.00,3.00,5.00,8.63,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','CAÇADOR','SC',7581,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5083427,9.00,8.00,7.00,3.00,9.00,10.13,7.00,5.00,9.00,103,NULL,NULL,'JARDIM ALVORADA','MARINGÁ','PR',639,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5083435,6.00,8.00,3.00,4.00,8.00,6.75,2.00,5.00,8.00,103,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',8737,2978,NULL,NULL,NULL,NULL,NULL,2,1),(20,5083443,6.00,5.00,1.00,4.00,6.00,NULL,0.00,3.00,4.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5083478,6.00,6.00,4.00,5.00,8.00,8.63,1.00,4.00,6.00,340,NULL,NULL,'INTERIOR','SERRA ALTA','SC',9065,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5083486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SÃO CRISTÓVÃO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5083508,5.00,7.00,3.00,7.00,7.00,7.88,3.00,4.00,3.00,316,NULL,NULL,'CENTRO','S MANUEL','SP',8287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083516,3.00,6.00,2.00,6.00,4.00,NULL,0.00,3.00,1.00,453,NULL,NULL,'NOVA GARDENIA','ATIBAIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083524,2.00,5.00,1.00,5.00,7.00,8.25,2.00,3.00,5.00,303,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',14012,566,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083532,7.00,3.00,2.00,6.00,7.00,8.25,2.00,3.00,3.00,103,NULL,NULL,'INTERLAGOS','S PAULO','SP',11592,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5083540,8.00,6.00,3.00,6.00,7.00,7.50,4.00,3.00,8.00,103,NULL,NULL,'PARQUE IMPERADOR','CAMPINAS','SP',4827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083559,7.00,6.00,5.00,7.00,10.00,9.00,3.00,7.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'VILA GOMES CARDIM','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5083583,3.00,5.00,4.00,1.00,5.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'JARDIM SANTA MARINA','S JOSÉ R PARDO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083591,3.00,6.00,2.00,6.00,5.00,6.75,2.00,2.00,3.00,208,NULL,NULL,'SÃO PELEGRINO','CAXIAS SUL','RS',15816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BEIRA RIO','S JOSÉ R PARDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5083613,2.00,5.00,1.00,5.00,6.00,8.63,2.00,2.00,5.00,108,NULL,NULL,'VILA PATTI','NOVO HORIZONTE','SP',14927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083630,6.00,5.00,3.00,6.00,9.00,14.25,3.00,5.00,6.00,238,NULL,208,'AGRONÔMICA','FLORIANÓPOLIS','SC',3673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083648,3.00,4.00,0.00,6.00,6.00,6.75,3.00,3.00,2.00,103,NULL,NULL,'CENTRO','S JOSÉ R PARDO','SP',15963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083656,3.00,4.00,1.00,3.00,3.00,NULL,0.00,0.00,3.00,103,NULL,NULL,'VILA SÃO JORGE','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5083672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TAMBORÉ','SANTANA PARNAÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5083680,2.00,3.00,1.00,4.00,3.00,NULL,1.00,2.00,1.00,601,NULL,235,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5083699,8.00,8.00,2.00,6.00,9.00,9.38,1.00,4.00,5.00,201,NULL,212,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',7314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5083702,5.00,5.00,4.00,5.00,8.00,8.25,2.00,4.00,5.00,601,NULL,201,'FLORESTA','JOINVILLE','SC',11986,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5083710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5083729,7.00,9.00,2.00,5.00,10.00,8.63,2.00,7.00,6.00,103,NULL,NULL,'NOSSA SRA APARECIDA','STA CECÍLIA','SC',3321,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5083737,3.00,4.00,0.00,2.00,5.00,NULL,1.00,3.00,4.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5083753,8.00,6.00,8.00,7.00,7.00,6.75,5.00,3.00,7.00,216,NULL,202,'SÃO JUDAS TADEU','S JOSÉ CAMPOS','SP',2930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083761,8.00,7.00,6.00,7.00,8.00,10.50,6.00,6.00,6.00,207,NULL,211,'SAO FRANCISCO','CURITIBA','PR',841,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5083788,5.00,7.00,1.00,4.00,5.00,6.75,2.00,4.00,2.00,317,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15825,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5083796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','PEDRO LEOPOLDO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5083800,8.00,7.00,6.00,7.00,9.00,11.25,6.00,7.00,8.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','AURIFLAMA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5083826,3.00,4.00,1.00,5.00,6.00,6.38,1.00,4.00,3.00,308,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5083850,6.00,8.00,3.00,6.00,8.00,9.38,2.00,4.00,7.00,104,NULL,NULL,'CALEMBA','STO AMARO IMPERATRIZ','SC',5606,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5083869,8.00,8.00,3.00,5.00,8.00,8.63,1.00,4.00,6.00,233,NULL,207,'CONSOLATA','TRÊS MAIO','RS',5888,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5083877,9.00,6.00,5.00,6.00,8.00,8.63,4.00,6.00,7.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',2830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083885,6.00,8.00,4.00,7.00,7.00,9.00,2.00,5.00,5.00,303,NULL,NULL,'ALTO DA COLINA','LONDRINA','PR',5781,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5083893,9.00,8.00,2.00,5.00,10.00,10.13,6.00,6.00,9.00,220,NULL,213,'CORREGO GRANDE','FLORIANÓPOLIS','SC',1472,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5083907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',3,2),(20,5083915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'BOM JESUS','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5083923,9.00,5.00,4.00,6.00,8.00,10.50,6.00,4.00,7.00,203,NULL,214,'CENTRO','QUILOMBO','SC',4804,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5083931,5.00,5.00,1.00,2.00,1.00,NULL,1.00,3.00,3.00,203,NULL,202,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083958,4.00,5.00,0.00,0.00,5.00,NULL,1.00,3.00,0.00,225,NULL,NULL,'CAPISTRANO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083966,4.00,3.00,2.00,5.00,6.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'CENTRO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5083974,8.00,8.00,3.00,7.00,7.00,9.38,1.00,3.00,4.00,103,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',6244,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5083982,3.00,5.00,3.00,6.00,4.00,6.00,3.00,4.00,3.00,102,NULL,NULL,'BAIRRO ALTO','BOTUCATU','SP',14578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084008,5.00,6.00,2.00,4.00,6.00,10.13,3.00,5.00,1.00,207,NULL,201,'AGRONOMICA','FLORIANÓPOLIS','SC',11190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084016,2.00,4.00,3.00,3.00,6.00,NULL,2.00,2.00,2.00,302,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5084024,2.00,4.00,3.00,4.00,8.00,8.63,5.00,3.00,4.00,329,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',14828,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5084032,3.00,6.00,0.00,2.00,4.00,NULL,4.00,2.00,2.00,102,NULL,NULL,'CAETANO BRANCO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5084040,6.00,6.00,6.00,6.00,7.00,7.50,4.00,4.00,7.00,103,NULL,NULL,'TINGUI','CURITIBA','PR',4144,1882,NULL,NULL,NULL,NULL,NULL,2,8),(20,5084059,8.00,6.00,7.00,7.00,9.00,9.38,7.00,5.00,8.00,211,NULL,215,'SANTA MÔNICA','FLORIANÓPOLIS','SC',949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084075,6.00,5.00,0.00,7.00,3.00,NULL,2.00,3.00,7.00,216,NULL,233,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084091,7.00,7.00,6.00,5.00,8.00,9.00,5.00,5.00,6.00,103,NULL,NULL,'SANTA BÁRBARA','CRICIÚMA','SC',3522,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5084105,4.00,5.00,0.00,5.00,8.00,10.50,2.00,4.00,4.00,450,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',13085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084113,4.00,7.00,3.00,2.00,4.00,4.88,3.00,3.00,7.00,224,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'JARDIM SÃO LUIZ','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5084130,7.00,5.00,4.00,5.00,6.00,6.38,3.00,3.00,5.00,303,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',7816,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5084148,4.00,5.00,1.00,4.00,7.00,NULL,1.00,1.00,4.00,103,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5084164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,425,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5084180,3.00,4.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5084202,8.00,8.00,2.00,6.00,9.00,12.00,4.00,7.00,9.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',1164,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5084210,7.00,6.00,5.00,8.00,8.00,9.38,4.00,3.00,8.00,103,NULL,NULL,'SEMINÁRIO','CURITIBA','PR',2539,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5084229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5084237,6.00,5.00,3.00,6.00,8.00,9.75,4.00,4.00,4.00,103,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',8635,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5084253,5.00,4.00,1.00,7.00,7.00,9.00,1.00,3.00,3.00,207,NULL,233,'CENTRO','TORRES','RS',13184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5084296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO DIMAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5084318,9.00,7.00,5.00,7.00,10.00,11.63,5.00,4.00,8.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5084334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'PQ PINHEIROS','TABOÃO SERRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5084342,8.00,7.00,3.00,6.00,6.00,9.00,3.00,3.00,7.00,103,NULL,NULL,'BELA VISTA','GASPAR','SC',5425,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5084377,4.00,1.00,3.00,4.00,2.00,NULL,3.00,3.00,4.00,233,NULL,216,'JD SHANGRI LÁ','ATIBAIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5084393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'ESTRADINHA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5084415,7.00,7.00,7.00,7.00,8.00,8.25,4.00,2.00,7.00,201,NULL,211,'KOBRASOL','S JOSÉ','SC',3097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084423,7.00,6.00,1.00,4.00,8.00,8.63,3.00,4.00,4.00,5,NULL,NULL,'JARDIM PRESIDENTE','LONDRINA','PR',10039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5084440,8.00,7.00,5.00,7.00,7.00,7.13,6.00,6.00,8.00,220,NULL,203,'JARDIM FLORIDA','CPO MOURÃO','PR',1646,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5084458,4.00,7.00,1.00,6.00,6.00,11.25,0.00,2.00,2.00,318,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',13204,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5084490,6.00,5.00,1.00,7.00,8.00,10.13,0.00,3.00,5.00,320,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',11099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084504,8.00,7.00,8.00,6.00,6.00,8.63,5.00,3.00,8.00,201,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',2012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084512,7.00,6.00,3.00,6.00,10.00,10.50,3.00,5.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084520,8.00,6.00,5.00,7.00,9.00,7.88,7.00,4.00,7.00,201,NULL,207,'VICTOR KONDER','BLUMENAU','SC',2000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084547,5.00,4.00,1.00,4.00,5.00,8.25,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',13311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084555,6.00,4.00,0.00,1.00,4.00,NULL,2.00,3.00,1.00,333,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084571,4.00,4.00,1.00,3.00,7.00,NULL,1.00,5.00,3.00,304,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5084580,7.00,6.00,3.00,6.00,10.00,10.13,5.00,5.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4688,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5084598,8.00,9.00,1.00,7.00,10.00,8.63,1.00,7.00,8.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',2605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,202,'LAGUNA','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5084610,3.00,2.00,0.00,4.00,5.00,NULL,2.00,2.00,4.00,101,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5084628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5084652,5.00,6.00,5.00,5.00,6.00,8.63,2.00,4.00,4.00,501,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',9992,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5084695,2.00,6.00,2.00,2.00,4.00,6.75,2.00,3.00,4.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',15938,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5084709,5.00,5.00,5.00,6.00,7.00,11.63,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084725,2.00,5.00,0.00,2.00,5.00,NULL,0.00,3.00,2.00,415,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084733,8.00,9.00,4.00,7.00,8.00,10.50,4.00,3.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084741,9.00,6.00,4.00,6.00,6.00,8.25,6.00,2.00,9.00,103,NULL,NULL,'CENTRO','BARRACÃO','PR',4677,2048,NULL,NULL,NULL,NULL,NULL,2,4),(20,5084750,3.00,5.00,2.00,3.00,5.00,NULL,2.00,2.00,2.00,317,NULL,NULL,'ESTREITO BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5084768,5.00,2.00,2.00,7.00,7.00,7.88,3.00,3.00,2.00,340,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',14597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084776,3.00,5.00,2.00,4.00,8.00,NULL,1.00,1.00,2.00,102,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5084784,6.00,3.00,0.00,5.00,8.00,NULL,1.00,2.00,3.00,108,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5084792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5084806,3.00,8.00,0.00,4.00,5.00,NULL,1.00,2.00,2.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5084814,3.00,0.00,4.00,2.00,3.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'NOSSA SENHORA DA SAL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5084822,5.00,6.00,3.00,5.00,3.00,NULL,2.00,2.00,5.00,333,NULL,NULL,'VILA ROSA','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5084849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,216,'ATUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5084857,7.00,4.00,3.00,4.00,7.00,8.63,3.00,4.00,7.00,103,NULL,NULL,'PARQUE AMÉRICA','S PAULO','SP',8790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084873,6.00,4.00,3.00,6.00,8.00,9.38,1.00,3.00,3.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13105,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5084881,6.00,4.00,3.00,4.00,8.00,8.25,2.00,2.00,4.00,103,NULL,NULL,'TARUMÃ','CURITIBA','PR',9499,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5084890,4.00,7.00,2.00,5.00,9.00,7.13,4.00,1.00,5.00,203,NULL,220,'TRINDADE','FLORIANÓPOLIS','SC',12156,821,NULL,336,NULL,NULL,NULL,2,1),(20,5084920,7.00,7.00,3.00,3.00,6.00,9.75,3.00,2.00,6.00,103,NULL,NULL,'SÃO CRISTÓVÃO','CHAPECÓ','SC',7211,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5084938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ESCOLA AGRICOLA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5084954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5084962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5084970,3.00,4.00,1.00,6.00,5.00,7.13,1.00,2.00,5.00,216,NULL,211,'VITOR KONDER','BLUMENAU','SC',16195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5084989,6.00,7.00,2.00,5.00,6.00,6.38,2.00,5.00,5.00,304,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',12619,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5085004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SANTA MARTA','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5085012,3.00,5.00,2.00,7.00,5.00,6.38,1.00,1.00,4.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085020,7.00,8.00,1.00,6.00,7.00,9.38,2.00,2.00,8.00,108,NULL,NULL,'REBOUCAS','CURITIBA','PR',6127,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5085039,5.00,5.00,3.00,5.00,5.00,6.38,1.00,1.00,4.00,216,NULL,NULL,'COHAB','BOM JD SERRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5085047,4.00,4.00,0.00,1.00,5.00,NULL,2.00,0.00,2.00,301,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085055,9.00,8.00,6.00,4.00,7.00,8.25,4.00,6.00,8.00,103,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',2371,1239,NULL,NULL,NULL,NULL,NULL,2,15),(20,5085071,3.00,6.00,4.00,4.00,4.00,6.75,3.00,5.00,6.00,211,NULL,215,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5085080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5085101,9.00,8.00,3.00,7.00,10.00,10.13,8.00,5.00,8.00,207,NULL,238,'KOBRASOL','S JOSÉ','SC',654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085136,4.00,6.00,4.00,7.00,5.00,6.75,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',13550,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5085144,8.00,5.00,3.00,6.00,5.00,8.63,2.00,1.00,7.00,103,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',8542,2936,NULL,NULL,NULL,NULL,NULL,2,8),(20,5085152,7.00,7.00,6.00,6.00,7.00,9.00,4.00,3.00,4.00,318,NULL,NULL,'CENTRO','PARANAVAÍ','PR',5626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085160,5.00,5.00,1.00,5.00,6.00,6.75,2.00,1.00,5.00,234,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',15243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085179,2.00,2.00,1.00,2.00,3.00,NULL,2.00,2.00,3.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5085187,3.00,6.00,3.00,5.00,7.00,8.63,2.00,3.00,5.00,333,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085195,3.00,4.00,6.00,2.00,7.00,8.25,4.00,2.00,5.00,233,NULL,216,'VILA PINHEIRINHO','S MATEUS SUL','PR',10703,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5085217,2.00,5.00,2.00,1.00,5.00,NULL,2.00,0.00,4.00,316,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5085225,7.00,6.00,3.00,7.00,8.00,7.50,2.00,3.00,5.00,216,NULL,NULL,'SAO JOAQUIM','VINHEDO','SP',5540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085241,8.00,8.00,5.00,4.00,9.00,7.50,5.00,5.00,6.00,103,NULL,NULL,'SERRARIA','S JOSÉ','SC',4941,2128,NULL,NULL,NULL,NULL,NULL,2,1),(20,5085250,1.00,3.00,0.00,3.00,4.00,NULL,2.00,2.00,2.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085268,8.00,3.00,1.00,5.00,10.00,9.00,2.00,5.00,3.00,211,NULL,653,'AIRES RODRIGUES','ORLEANS','SC',10636,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5085276,4.00,5.00,1.00,4.00,4.00,NULL,0.00,1.00,4.00,103,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5085284,4.00,5.00,0.00,5.00,8.00,7.88,2.00,2.00,4.00,424,NULL,428,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',15798,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5085292,7.00,7.00,4.00,7.00,6.00,9.38,3.00,4.00,5.00,207,NULL,203,'BATEL','CURITIBA','PR',7236,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5085306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5085314,2.00,5.00,0.00,0.00,5.00,NULL,3.00,3.00,4.00,102,NULL,NULL,'INTERIOR','RIO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5085322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5085330,8.00,6.00,4.00,7.00,8.00,9.75,4.00,5.00,5.00,601,NULL,208,'GUANABARA','JOINVILLE','SC',4798,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5085349,5.00,5.00,3.00,2.00,4.00,6.75,3.00,2.00,5.00,308,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15614,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5085357,6.00,5.00,3.00,7.00,4.00,8.25,1.00,4.00,2.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085365,9.00,6.00,7.00,6.00,9.00,7.13,8.00,4.00,7.00,202,NULL,235,'PONTA DE BAIXO','S JOSÉ','SC',1967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085373,1.00,3.00,2.00,2.00,7.00,NULL,2.00,2.00,6.00,304,NULL,NULL,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085403,7.00,6.00,5.00,7.00,7.00,7.88,2.00,3.00,6.00,201,NULL,207,'CARVOEIRA','FLORIANÓPOLIS','SC',5526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085420,6.00,6.00,0.00,2.00,3.00,NULL,0.00,2.00,5.00,216,NULL,233,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5085438,0.00,4.00,0.00,2.00,0.00,NULL,0.00,1.00,3.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085446,7.00,9.00,7.00,6.00,10.00,11.25,4.00,4.00,4.00,207,NULL,201,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085454,7.00,6.00,7.00,3.00,8.00,9.00,6.00,4.00,7.00,415,NULL,NULL,'CENTRO','JOINVILLE','SC',3120,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5085470,5.00,4.00,0.00,7.00,4.00,NULL,1.00,3.00,1.00,104,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5085497,8.00,7.00,7.00,7.00,9.00,10.13,5.00,6.00,8.00,103,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085500,6.00,8.00,3.00,7.00,10.00,9.00,3.00,5.00,5.00,316,NULL,NULL,'JARDIM DO ALTO','IVOTI','RS',4464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5085527,6.00,5.00,3.00,5.00,4.00,7.13,0.00,5.00,4.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',13665,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5085543,7.00,6.00,6.00,2.00,5.00,8.25,1.00,4.00,5.00,201,NULL,601,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',9511,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5085551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VILA SÃO FRANCISCO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5085560,9.00,7.00,3.00,7.00,8.00,8.25,6.00,4.00,6.00,104,NULL,NULL,'SÃO LUIS','BRUSQUE','SC',2871,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5085578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'JD AERPORTO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5085594,3.00,4.00,1.00,6.00,8.00,8.25,3.00,2.00,5.00,426,NULL,428,'KOBRASOL','S JOSÉ','SC',14071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085608,5.00,6.00,2.00,4.00,7.00,6.00,2.00,6.00,5.00,216,NULL,203,'SAO SEBASTIAO','PALHOÇA','SC',12352,495,NULL,835,NULL,NULL,NULL,2,1),(20,5085616,7.00,7.00,3.00,7.00,8.00,6.00,2.00,3.00,6.00,216,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085624,5.00,5.00,0.00,5.00,7.00,6.38,4.00,4.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085632,6.00,6.00,3.00,7.00,6.00,7.13,4.00,3.00,7.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',7134,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5085640,5.00,6.00,2.00,5.00,5.00,8.63,3.00,4.00,3.00,329,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5085659,7.00,6.00,4.00,3.00,7.00,10.50,5.00,3.00,7.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6527,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5085667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTANA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5085675,7.00,6.00,1.00,5.00,6.00,10.13,1.00,4.00,5.00,452,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10215,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5085683,4.00,5.00,1.00,6.00,7.00,8.63,0.00,2.00,3.00,211,NULL,201,'PÔR DO SOL','CAPINZAL','SC',14275,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5085691,6.00,7.00,3.00,7.00,6.00,6.00,2.00,5.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085705,7.00,7.00,1.00,5.00,9.00,7.88,7.00,5.00,8.00,301,NULL,NULL,'CENTRO','PTO BELO','SC',3999,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5085713,9.00,8.00,8.00,7.00,9.00,9.00,7.00,6.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085721,8.00,7.00,5.00,3.00,6.00,9.00,7.00,4.00,6.00,235,NULL,208,'JOÃO PAULO','FLORIANÓPOLIS','SC',5081,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5085748,7.00,6.00,3.00,4.00,5.00,11.63,3.00,5.00,5.00,103,NULL,NULL,'JARDIM CRISTAL','CASCAVEL','PR',5493,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5085756,8.00,6.00,5.00,6.00,9.00,8.25,5.00,6.00,7.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',1870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'HIGIENÓPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5085772,6.00,5.00,4.00,5.00,6.00,7.88,5.00,3.00,6.00,319,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5085780,3.00,4.00,2.00,1.00,3.00,NULL,1.00,1.00,1.00,317,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085799,5.00,6.00,2.00,6.00,6.00,6.75,4.00,1.00,4.00,304,NULL,NULL,'CENTRO','SUMARÉ','SP',9492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085802,8.00,6.00,7.00,7.00,9.00,9.75,8.00,5.00,7.00,203,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085810,7.00,5.00,1.00,7.00,9.00,10.13,0.00,6.00,3.00,316,NULL,NULL,'VILA INDEPENDÊNCIA','BAURU','SP',6481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA QUITERIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5085845,4.00,5.00,2.00,6.00,6.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'NOSSA SRA ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5085853,8.00,6.00,4.00,5.00,8.00,8.63,4.00,4.00,6.00,203,NULL,216,'ALTO DA GLORIA','CURITIBA','PR',4249,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5085861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'BARRO VERMELHO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5085888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA MONTEIRO','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5085896,4.00,4.00,0.00,4.00,4.00,NULL,0.00,1.00,3.00,211,NULL,201,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5085900,4.00,5.00,1.00,5.00,6.00,9.38,3.00,2.00,5.00,104,NULL,NULL,'MONTE CATELO','TUBARÃO','SC',11942,305,NULL,NULL,NULL,NULL,NULL,2,10),(20,5085926,5.00,6.00,0.00,6.00,3.00,NULL,2.00,4.00,8.00,452,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5085934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SANTA CRUZ','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5085942,3.00,6.00,4.00,5.00,7.00,7.88,3.00,3.00,6.00,429,NULL,425,'BARREIROS','S JOSÉ','SC',10406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5085969,3.00,3.00,1.00,6.00,3.00,NULL,0.00,2.00,3.00,220,NULL,NULL,'VILA SÃO JOSÉ','STO ANTÔNIO PLATINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5085993,5.00,5.00,0.00,5.00,6.00,6.75,1.00,4.00,5.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15341,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086019,8.00,7.00,3.00,7.00,8.00,9.75,2.00,3.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5086027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5086051,8.00,6.00,5.00,6.00,7.00,10.88,6.00,6.00,8.00,203,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',1780,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086060,5.00,4.00,2.00,7.00,5.00,8.25,1.00,3.00,5.00,203,NULL,201,'JARDIM KARAIBA','UBERLÂNDIA','MG',11078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5086078,7.00,6.00,1.00,3.00,8.00,8.25,0.00,3.00,6.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5086116,3.00,4.00,5.00,2.00,4.00,7.13,2.00,2.00,6.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5086132,6.00,8.00,3.00,7.00,7.00,10.13,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','CAÇADOR','SC',3364,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5086140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5086159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5086183,4.00,6.00,4.00,7.00,7.00,9.38,6.00,4.00,6.00,214,NULL,203,'VILA DO POLONES','CPO GRANDE','MS',5446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5086191,5.00,4.00,4.00,5.00,9.00,8.63,2.00,2.00,4.00,319,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',12843,232,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086205,5.00,4.00,0.00,6.00,5.00,8.25,1.00,3.00,2.00,340,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',16091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5086213,5.00,5.00,5.00,4.00,7.00,8.63,7.00,2.00,7.00,201,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',5385,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086230,6.00,7.00,1.00,6.00,9.00,9.38,3.00,2.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5086248,5.00,6.00,3.00,2.00,9.00,9.00,3.00,3.00,3.00,103,NULL,NULL,'MEIA PRAIA','NAVEGANTES','SC',10753,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5086256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5086264,0.00,4.00,1.00,3.00,7.00,NULL,2.00,2.00,2.00,340,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086272,6.00,7.00,5.00,7.00,8.00,8.63,2.00,4.00,7.00,207,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5086280,4.00,6.00,3.00,3.00,6.00,8.63,2.00,2.00,6.00,207,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086299,6.00,6.00,2.00,7.00,8.00,7.88,5.00,5.00,4.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5086302,3.00,6.00,2.00,4.00,5.00,NULL,5.00,3.00,5.00,103,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5086310,2.00,3.00,1.00,4.00,7.00,NULL,1.00,4.00,2.00,216,NULL,NULL,'CENTRO','JARDINÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5086329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5086337,7.00,6.00,6.00,5.00,9.00,8.25,5.00,6.00,6.00,420,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',3198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5086345,4.00,4.00,1.00,7.00,8.00,9.00,3.00,3.00,4.00,340,NULL,NULL,'CENTRO','CASCAVEL','PR',11583,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5086353,8.00,8.00,6.00,7.00,10.00,11.63,8.00,8.00,9.00,203,NULL,201,'CENTRO','LAGES','SC',60,NULL,NULL,NULL,NULL,NULL,NULL,1,9),(20,5086361,9.00,5.00,3.00,7.00,6.00,6.00,3.00,3.00,5.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',8592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5086370,3.00,6.00,1.00,4.00,7.00,10.13,0.00,4.00,4.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13088,106,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086388,0.00,3.00,1.00,5.00,7.00,NULL,1.00,2.00,3.00,651,NULL,653,'ZONA NOVA SUL','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5086400,6.00,5.00,0.00,6.00,6.00,6.75,2.00,3.00,6.00,3,NULL,NULL,'JARDIM FERES','INDAIATUBA','SP',9068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5086418,4.00,7.00,1.00,5.00,6.00,9.75,2.00,2.00,5.00,424,NULL,428,'CENTRO','FLORIANÓPOLIS','SC',12848,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086426,7.00,6.00,2.00,5.00,7.00,8.25,2.00,7.00,6.00,327,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',8324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5086434,7.00,8.00,4.00,7.00,7.00,10.13,5.00,4.00,6.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',3764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5086450,6.00,5.00,2.00,3.00,8.00,7.50,3.00,2.00,4.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM MOSTEIRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5086477,3.00,4.00,2.00,2.00,3.00,NULL,4.00,3.00,4.00,601,NULL,203,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5086485,4.00,4.00,0.00,0.00,3.00,NULL,3.00,0.00,4.00,207,NULL,201,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5086493,3.00,7.00,2.00,5.00,2.00,NULL,2.00,2.00,1.00,326,NULL,NULL,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'NOVA RIBEIRÂNIA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5086523,4.00,4.00,0.00,4.00,6.00,NULL,0.00,2.00,3.00,444,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086531,7.00,8.00,4.00,3.00,8.00,10.13,5.00,4.00,6.00,203,NULL,213,'CENTRO','S JOÃO BATISTA','SC',3987,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5086540,2.00,4.00,0.00,3.00,2.00,NULL,3.00,1.00,2.00,601,NULL,214,'SAGUACU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5086558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BAIXADA','S JOAQUIM BARRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5086574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5086582,3.00,2.00,1.00,0.00,4.00,NULL,1.00,4.00,3.00,652,NULL,653,'PARQUE ALVORADA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5086590,3.00,6.00,0.00,5.00,6.00,8.25,1.00,4.00,2.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',15698,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086604,2.00,2.00,1.00,3.00,6.00,NULL,1.00,2.00,3.00,452,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086612,3.00,4.00,0.00,6.00,6.00,NULL,3.00,2.00,2.00,425,NULL,429,'COSTA DE CIMA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086620,5.00,5.00,3.00,6.00,5.00,7.88,4.00,5.00,3.00,207,NULL,201,'BOA VISTA','CURITIBA','PR',9861,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5086639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VALPARAÍSO','PETRÓPOLIS','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5086647,7.00,8.00,2.00,5.00,9.00,7.50,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',6802,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5086663,2.00,6.00,2.00,8.00,5.00,8.63,2.00,3.00,2.00,304,NULL,NULL,'JARDINS','S PAULO','SP',12198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5086680,5.00,6.00,4.00,6.00,3.00,NULL,2.00,2.00,4.00,429,NULL,425,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5086698,4.00,4.00,2.00,2.00,3.00,NULL,2.00,1.00,3.00,207,NULL,201,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086701,5.00,5.00,3.00,3.00,6.00,NULL,0.00,3.00,2.00,452,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086744,5.00,4.00,4.00,2.00,2.00,NULL,3.00,4.00,3.00,317,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086760,2.00,5.00,0.00,4.00,5.00,NULL,3.00,2.00,4.00,234,NULL,NULL,'SANTA TEREZA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086787,3.00,6.00,1.00,4.00,9.00,7.88,4.00,2.00,5.00,216,NULL,215,'RODRIGUES','LGA VERMELHA','RS',11087,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086795,9.00,9.00,4.00,7.00,10.00,11.25,4.00,6.00,6.00,207,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',1182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5086809,4.00,6.00,3.00,7.00,7.00,0.00,2.00,5.00,4.00,316,NULL,NULL,'JARDIN CITY','GUARULHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5086817,5.00,6.00,4.00,6.00,6.00,10.50,1.00,4.00,3.00,102,NULL,NULL,'NATUREZA','ITÁ','SC',11143,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5086825,8.00,4.00,2.00,5.00,5.00,7.88,3.00,3.00,3.00,201,NULL,212,'CIDADE BAIXA','PTO ALEGRE','RS',10791,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086850,2.00,4.00,1.00,7.00,3.00,NULL,0.00,2.00,3.00,102,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5086884,4.00,5.00,1.00,5.00,4.00,NULL,2.00,0.00,2.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','PAULO LOPES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5086906,3.00,6.00,0.00,4.00,5.00,NULL,2.00,1.00,5.00,213,NULL,202,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086922,9.00,7.00,9.00,7.00,9.00,8.25,8.00,4.00,7.00,203,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5086930,4.00,6.00,1.00,4.00,7.00,7.50,0.00,2.00,4.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086949,7.00,8.00,5.00,7.00,10.00,9.75,5.00,4.00,7.00,103,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',1534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5086965,3.00,7.00,0.00,3.00,4.00,NULL,0.00,1.00,2.00,319,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5086973,7.00,5.00,0.00,3.00,8.00,8.25,0.00,3.00,5.00,201,NULL,203,'BELA VISTA','S LUDGERO','SC',11731,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5087007,3.00,5.00,1.00,5.00,10.00,9.38,2.00,2.00,5.00,201,NULL,215,'SÃO FRANCISCO','LUZERNA','SC',10872,803,NULL,223,NULL,NULL,NULL,2,7),(20,5087015,1.00,3.00,0.00,6.00,4.00,NULL,1.00,3.00,1.00,316,NULL,NULL,'LULU ILGENFRITZ','IJUÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087023,6.00,7.00,3.00,7.00,7.00,9.00,2.00,3.00,7.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087031,5.00,6.00,4.00,4.00,5.00,7.88,3.00,2.00,2.00,201,NULL,NULL,'REBOUÇAS','CURITIBA','PR',13809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087040,6.00,6.00,5.00,7.00,3.00,NULL,3.00,4.00,3.00,222,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5087066,7.00,7.00,3.00,7.00,8.00,9.00,3.00,2.00,6.00,415,NULL,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',7786,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5087074,4.00,4.00,1.00,2.00,7.00,9.38,2.00,4.00,4.00,211,NULL,207,'TAPERA','FLORIANÓPOLIS','SC',12124,378,NULL,576,NULL,NULL,NULL,4,1),(20,5087082,2.00,6.00,1.00,1.00,3.00,NULL,1.00,2.00,0.00,201,NULL,211,'MORADA DO SOL','MONDAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,4),(20,5087090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5087104,6.00,6.00,2.00,7.00,9.00,6.00,4.00,5.00,6.00,233,NULL,216,'VISTA VERDE','S JOSÉ CAMPOS','SP',6365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087112,7.00,5.00,5.00,7.00,8.00,8.63,5.00,4.00,6.00,201,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',4069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087120,5.00,6.00,2.00,1.00,2.00,NULL,1.00,3.00,2.00,332,NULL,NULL,'CENTRO','GUABIRUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5087139,0.00,3.00,0.00,3.00,5.00,NULL,3.00,3.00,1.00,316,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5087155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'SANTANA','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5087163,8.00,6.00,2.00,6.00,8.00,7.50,5.00,3.00,6.00,333,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087171,8.00,6.00,2.00,8.00,8.00,11.63,6.00,4.00,6.00,234,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',2662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087180,2.00,3.00,2.00,2.00,5.00,NULL,2.00,3.00,1.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087198,7.00,4.00,3.00,4.00,7.00,9.38,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7833,2801,NULL,NULL,NULL,NULL,NULL,2,1),(20,5087201,4.00,4.00,2.00,1.00,3.00,NULL,0.00,4.00,3.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087210,5.00,7.00,4.00,4.00,7.00,7.13,6.00,2.00,4.00,202,NULL,213,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',11292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5087228,5.00,6.00,3.00,1.00,3.00,NULL,2.00,3.00,4.00,207,NULL,201,'ZANETTE','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5087236,9.00,7.00,3.00,6.00,10.00,7.13,6.00,4.00,7.00,103,NULL,NULL,'CENTRO','SIQUEIRA CAMPOS','PR',2884,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5087260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5087279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PIONEIRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5087287,8.00,6.00,5.00,7.00,9.00,10.50,6.00,5.00,7.00,304,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1783,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5087295,7.00,6.00,6.00,6.00,9.00,7.88,4.00,5.00,5.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087325,5.00,8.00,7.00,8.00,6.00,7.13,4.00,7.00,6.00,203,NULL,220,'JD ESTRELA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087341,5.00,5.00,3.00,4.00,6.00,6.75,4.00,5.00,4.00,238,NULL,208,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5087350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,220,'CENTRO','S LUIZ GONZAGA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5087376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5087384,3.00,5.00,1.00,6.00,6.00,NULL,1.00,1.00,2.00,316,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087406,3.00,4.00,2.00,3.00,8.00,NULL,0.00,4.00,2.00,103,NULL,NULL,'ZONA UM','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5087414,4.00,5.00,1.00,4.00,8.00,NULL,0.00,3.00,4.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5087430,6.00,8.00,6.00,4.00,7.00,6.38,4.00,4.00,6.00,238,NULL,208,'CENTRO','CASTRO','PR',5732,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5087457,4.00,6.00,4.00,3.00,4.00,10.50,3.00,4.00,3.00,5,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',13757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'BELLA VISTA III','COSMÓPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5087473,3.00,5.00,0.00,4.00,6.00,NULL,0.00,1.00,0.00,104,NULL,NULL,'PETRÓPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5087490,6.00,6.00,2.00,6.00,7.00,8.63,2.00,2.00,5.00,103,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',12117,3433,NULL,NULL,NULL,NULL,NULL,2,9),(20,5087503,3.00,6.00,1.00,4.00,7.00,9.75,1.00,3.00,6.00,102,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',11191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5087511,3.00,8.00,1.00,5.00,3.00,NULL,2.00,4.00,4.00,652,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5087538,4.00,5.00,4.00,4.00,4.00,7.13,5.00,4.00,6.00,404,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5087554,8.00,6.00,9.00,7.00,9.00,11.25,7.00,5.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',338,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5087562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SÃO CRISTOVÃO','PIRAQUARA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5087570,7.00,8.00,5.00,7.00,8.00,7.13,0.00,4.00,7.00,318,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',5350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5087600,3.00,4.00,2.00,2.00,3.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'ALTO DA BOA VISTA','VALINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5087619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'JARDIM MARGARIDA','GARUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5087627,6.00,6.00,0.00,3.00,7.00,6.00,3.00,4.00,5.00,452,NULL,NULL,'CENTRO','S JOSÉ','SC',13495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087635,6.00,6.00,0.00,3.00,8.00,6.75,3.00,5.00,4.00,201,NULL,212,'CORREGO GRANDE','FLORIANÓPOLIS','SC',8901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5087651,6.00,4.00,5.00,4.00,7.00,9.38,3.00,3.00,5.00,207,NULL,NULL,'SARANDI','PTO ALEGRE','RS',8013,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5087660,3.00,7.00,5.00,3.00,4.00,8.63,0.00,3.00,4.00,202,NULL,235,'PETROPLIS','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5087678,7.00,6.00,3.00,7.00,5.00,7.88,1.00,5.00,6.00,212,NULL,201,'FÁTIMA','S LUÍS','MA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087694,5.00,8.00,1.00,6.00,9.00,9.00,3.00,4.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087716,9.00,7.00,5.00,6.00,9.00,9.00,5.00,4.00,6.00,317,NULL,NULL,'VILA JOSE NAZARIO','ARMAZÉM','SC',2473,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5087724,3.00,2.00,1.00,3.00,1.00,NULL,1.00,2.00,1.00,317,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5087732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA RÚSSIA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5087767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'NOSSA SRA APARECIDA','MOGI MIRIM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5087783,3.00,4.00,0.00,7.00,7.00,NULL,3.00,2.00,2.00,234,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087791,8.00,6.00,6.00,5.00,8.00,9.00,1.00,1.00,6.00,201,NULL,203,'VILA VERGUEIRO','PASSO FUNDO','RS',6773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087805,3.00,5.00,0.00,5.00,4.00,8.25,2.00,3.00,4.00,207,NULL,201,'N S DE LOURDES','CAXIAS SUL','RS',15394,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5087813,5.00,5.00,1.00,7.00,5.00,6.75,1.00,4.00,1.00,420,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087830,5.00,5.00,1.00,5.00,3.00,NULL,2.00,1.00,5.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087848,4.00,6.00,0.00,4.00,4.00,NULL,1.00,5.00,3.00,502,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5087864,3.00,0.00,2.00,2.00,3.00,NULL,0.00,2.00,2.00,102,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5087872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5087880,7.00,6.00,6.00,5.00,9.00,9.38,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','POUSO REDONDO','SC',5716,2340,NULL,NULL,NULL,NULL,NULL,4,3),(20,5087899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'OLARIAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5087902,7.00,7.00,1.00,4.00,7.00,8.25,1.00,3.00,2.00,502,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5087910,8.00,6.00,1.00,7.00,7.00,7.13,4.00,3.00,3.00,235,NULL,202,'CENTRO','S BENTO SUL','SC',7750,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5087937,4.00,3.00,1.00,2.00,3.00,NULL,2.00,1.00,3.00,451,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5087945,9.00,9.00,6.00,7.00,9.00,8.63,8.00,8.00,8.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5087953,5.00,3.00,3.00,2.00,5.00,NULL,1.00,2.00,1.00,207,NULL,201,'FREGUESIA DO Ó','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5087961,6.00,7.00,3.00,6.00,8.00,9.38,2.00,5.00,4.00,331,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7778,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5087970,4.00,6.00,2.00,5.00,7.00,10.88,2.00,3.00,3.00,103,NULL,NULL,'DEHON','TUBARÃO','SC',13218,3549,NULL,NULL,NULL,NULL,NULL,2,10),(20,5088003,4.00,3.00,2.00,5.00,3.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'VILA CLEMENTINO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088011,7.00,3.00,3.00,7.00,10.00,9.00,4.00,5.00,7.00,9,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088020,5.00,6.00,0.00,4.00,4.00,10.13,0.00,4.00,3.00,333,NULL,NULL,'CENTRO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5088038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,601,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5088062,5.00,4.00,0.00,4.00,6.00,7.13,2.00,2.00,3.00,601,NULL,203,'COLINAS DA MANTIQUEI','BRAGANÇA PAULISTA','SP',15609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088070,4.00,6.00,1.00,5.00,7.00,NULL,0.00,0.00,2.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088089,7.00,7.00,2.00,4.00,7.00,8.63,2.00,5.00,6.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8143,2855,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088097,4.00,5.00,1.00,6.00,5.00,6.38,2.00,3.00,6.00,451,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088119,7.00,7.00,3.00,3.00,8.00,4.13,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088127,4.00,5.00,1.00,5.00,6.00,8.25,1.00,2.00,4.00,404,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',13653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088135,8.00,7.00,1.00,4.00,8.00,8.25,1.00,4.00,5.00,108,NULL,NULL,'JADIM ATLÂNTICO','FLORIANÓPOLIS','SC',11186,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088143,3.00,3.00,4.00,5.00,5.00,NULL,0.00,3.00,2.00,207,NULL,233,'SANTA FELICIA','S CARLOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5088160,4.00,3.00,0.00,4.00,2.00,NULL,1.00,2.00,0.00,319,NULL,NULL,'VILA OPERARIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5088178,2.00,6.00,4.00,4.00,3.00,NULL,0.00,1.00,3.00,238,NULL,208,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM MARISTELA','ATIBAIA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5088194,8.00,8.00,3.00,5.00,8.00,10.13,1.00,5.00,6.00,103,NULL,NULL,'CENTRO','IVATÉ','PR',5805,2360,NULL,NULL,NULL,NULL,NULL,4,4),(20,5088208,6.00,2.00,2.00,4.00,7.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JD EUROPA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5088224,2.00,4.00,0.00,3.00,6.00,NULL,0.00,2.00,2.00,303,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5088240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'PONTA DA PRAIA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5088259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'VERANOPOLIS','CACHOEIRINHA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5088267,7.00,7.00,0.00,7.00,7.00,9.75,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','QUILOMBO','SC',6388,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5088275,2.00,4.00,0.00,3.00,4.00,NULL,1.00,1.00,3.00,214,NULL,233,'PRIMEIRA LINHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5088283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,653,'PLANO DIRETOR SUL','PALMAS','TO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5088291,4.00,6.00,4.00,6.00,7.00,9.75,3.00,3.00,5.00,304,NULL,NULL,'PRAIA DO CANTO','VITÓRIA','ES',8641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088305,4.00,4.00,2.00,6.00,8.00,NULL,1.00,2.00,3.00,203,NULL,214,'NOVA OURINHOS','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088313,6.00,6.00,1.00,4.00,7.00,9.00,2.00,5.00,6.00,331,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',9968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088321,5.00,6.00,2.00,5.00,3.00,NULL,3.00,4.00,4.00,104,NULL,NULL,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5088330,6.00,7.00,2.00,7.00,8.00,8.25,3.00,2.00,5.00,340,NULL,NULL,'JARDIM COLISEU','LONDRINA','PR',7379,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5088348,7.00,8.00,3.00,8.00,9.00,10.13,2.00,4.00,7.00,233,NULL,216,'CENTRO','BAL CAMBORIÚ','SC',3858,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5088356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTO DOS PADRES','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5088364,2.00,6.00,2.00,6.00,6.00,10.13,2.00,3.00,4.00,215,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',14277,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088380,7.00,7.00,6.00,7.00,8.00,10.13,7.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088399,2.00,4.00,0.00,4.00,4.00,NULL,2.00,1.00,3.00,316,NULL,NULL,'BELA VISTA III','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088410,6.00,5.00,1.00,6.00,6.00,0.00,2.00,3.00,3.00,103,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5088429,9.00,8.00,5.00,7.00,8.00,9.75,6.00,7.00,7.00,103,NULL,NULL,'VILA ANDRADE','S PAULO','SP',737,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5088437,5.00,6.00,2.00,3.00,6.00,4.13,2.00,3.00,7.00,233,NULL,216,'VILA TESOURO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088445,6.00,5.00,2.00,5.00,5.00,8.63,0.00,3.00,4.00,301,NULL,NULL,'FERRAZ','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088453,8.00,6.00,4.00,7.00,10.00,11.25,3.00,5.00,6.00,103,NULL,NULL,'SAGRADA FAMILIA','BELO HORIZONTE','MG',2776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088461,6.00,8.00,4.00,7.00,9.00,10.13,3.00,6.00,7.00,211,NULL,213,'COROA DO MEIO','ARACAJU','SE',3356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088488,6.00,5.00,1.00,6.00,8.00,8.63,0.00,5.00,4.00,429,NULL,427,'BARRA DO TROMBUDO','RIO SUL','SC',12976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088496,4.00,4.00,3.00,3.00,4.00,NULL,1.00,2.00,3.00,208,NULL,238,'VARGINHA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088500,3.00,4.00,0.00,0.00,4.00,NULL,2.00,3.00,0.00,316,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088526,9.00,7.00,4.00,6.00,10.00,10.88,7.00,5.00,8.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',687,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'REUNIDAS','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5088569,5.00,5.00,0.00,7.00,9.00,8.63,4.00,2.00,4.00,101,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'CENTRO','ARARAQUARA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5088585,8.00,8.00,6.00,7.00,9.00,8.25,5.00,4.00,8.00,103,NULL,NULL,'ALPHAVILLE','CAMPINAS','SP',1523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088593,6.00,5.00,2.00,3.00,7.00,NULL,0.00,4.00,4.00,428,NULL,426,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088607,7.00,6.00,4.00,7.00,6.00,8.25,5.00,7.00,5.00,214,NULL,212,'PORTÃO','CURITIBA','PR',3694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088615,8.00,7.00,5.00,7.00,9.00,9.00,5.00,6.00,2.00,316,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',3539,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5088640,5.00,7.00,2.00,5.00,9.00,7.13,3.00,4.00,5.00,503,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10852,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5088704,8.00,9.00,3.00,7.00,9.00,11.25,5.00,4.00,7.00,211,NULL,201,'ANITA GARIBALDI','JOINVILLE','SC',1896,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5088712,9.00,8.00,1.00,7.00,10.00,7.88,3.00,6.00,5.00,103,NULL,NULL,'POPULAR','LAGES','SC',3613,1717,NULL,NULL,NULL,NULL,NULL,2,9),(20,5088720,6.00,9.00,5.00,6.00,7.00,8.63,3.00,4.00,8.00,216,NULL,220,'GONZAGA','SANTOS','SP',3450,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5088739,5.00,5.00,0.00,4.00,6.00,7.50,3.00,3.00,4.00,207,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',14616,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5088755,2.00,5.00,3.00,4.00,3.00,NULL,0.00,2.00,1.00,208,NULL,238,'CENTRO','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088763,9.00,6.00,5.00,8.00,10.00,8.25,4.00,6.00,6.00,203,NULL,214,'JARDIM SANTO ANTONIO','STA RITA SAPUCAÍ','MG',1701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088771,4.00,5.00,0.00,4.00,7.00,NULL,1.00,3.00,3.00,5,NULL,NULL,'BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088780,7.00,4.00,5.00,2.00,4.00,7.50,4.00,1.00,4.00,503,NULL,NULL,'SÃO FELIPE','TURVO','SC',14885,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5088798,7.00,7.00,5.00,7.00,9.00,8.63,5.00,4.00,4.00,301,NULL,NULL,'SANTA EFIGÊNIA','BELO HORIZONTE','MG',4494,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5088801,2.00,4.00,1.00,6.00,3.00,NULL,1.00,1.00,3.00,429,NULL,425,'VILA ASSIS','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088810,3.00,6.00,3.00,5.00,9.00,10.13,2.00,3.00,5.00,238,NULL,220,'BARREIROS','S JOSÉ','SC',8689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5088844,7.00,6.00,2.00,4.00,5.00,10.88,2.00,3.00,3.00,5,NULL,NULL,'CENTRO','RIQUEZA','SC',13697,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5088852,4.00,3.00,1.00,2.00,5.00,NULL,1.00,3.00,5.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088860,5.00,5.00,1.00,3.00,6.00,NULL,1.00,1.00,3.00,327,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088879,8.00,8.00,5.00,6.00,9.00,7.88,2.00,8.00,8.00,103,NULL,NULL,'CENTRO','BELA V PARAÍSO','PR',2026,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5088887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'BELA VISTA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5088895,7.00,7.00,6.00,5.00,10.00,7.88,3.00,6.00,8.00,216,NULL,220,'CENTRO','CURITIBA','PR',3024,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5088909,8.00,6.00,1.00,7.00,6.00,6.38,1.00,4.00,3.00,220,NULL,601,'SAGUAÇU','JOINVILLE','SC',9521,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5088925,7.00,5.00,1.00,5.00,7.00,7.50,2.00,4.00,5.00,319,NULL,NULL,'CENTRO','LONDRINA','PR',10224,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5088933,5.00,5.00,0.00,7.00,8.00,7.50,5.00,3.00,5.00,208,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',10230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088950,5.00,4.00,2.00,3.00,4.00,6.00,4.00,2.00,3.00,207,NULL,203,'ESTREITO','FLORIANÓPOLIS','SC',16269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088976,5.00,6.00,4.00,7.00,9.00,8.63,0.00,3.00,4.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',10021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5088992,4.00,4.00,2.00,6.00,4.00,6.75,1.00,2.00,4.00,326,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5089000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5089018,4.00,3.00,1.00,4.00,3.00,NULL,0.00,3.00,1.00,220,NULL,235,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089026,6.00,4.00,4.00,1.00,8.00,8.25,1.00,4.00,5.00,304,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',12281,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5089042,3.00,6.00,2.00,6.00,4.00,7.50,2.00,1.00,1.00,425,NULL,428,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089050,5.00,7.00,1.00,6.00,7.00,6.75,2.00,1.00,3.00,102,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',12655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5089069,7.00,7.00,4.00,5.00,6.00,7.88,4.00,6.00,4.00,404,NULL,NULL,'CENTRO','S JOSÉ','SC',5984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089077,6.00,4.00,4.00,0.00,6.00,7.13,1.00,2.00,4.00,216,NULL,201,'SAGRADO CORAÇÃO DE J','LAGES','SC',15423,579,NULL,NULL,NULL,NULL,NULL,4,9),(20,5089085,4.00,6.00,2.00,7.00,4.00,9.00,2.00,3.00,6.00,201,NULL,212,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089107,3.00,3.00,2.00,4.00,4.00,NULL,0.00,3.00,3.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5089115,4.00,6.00,3.00,6.00,7.00,7.88,5.00,1.00,8.00,102,NULL,NULL,'SÃO GERALDO','ARARAQUARA','SP',6910,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5089123,7.00,6.00,2.00,7.00,7.00,7.88,3.00,3.00,4.00,207,NULL,201,'CENTRO','CURITIBA','PR',6673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089166,3.00,7.00,1.00,7.00,6.00,9.38,0.00,2.00,2.00,320,NULL,NULL,'CENTRO','TANGARÁ','SC',12960,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5089190,9.00,9.00,7.00,7.00,9.00,8.25,4.00,6.00,7.00,340,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',1214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089204,5.00,4.00,2.00,2.00,7.00,NULL,0.00,1.00,4.00,216,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5089212,6.00,6.00,0.00,6.00,6.00,6.75,3.00,3.00,6.00,211,NULL,201,'SANTA ROSALIA','SOROCABA','SP',10407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089220,7.00,5.00,6.00,5.00,5.00,9.38,2.00,1.00,3.00,203,NULL,201,'PARQUE ORTOLANDIA','HORTOLÂNDIA','SP',8779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089239,7.00,6.00,0.00,7.00,7.00,10.88,1.00,2.00,3.00,103,NULL,NULL,'JARDIM POLONÊS','CPO GRANDE','MS',10932,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5089255,5.00,5.00,1.00,7.00,5.00,8.25,3.00,2.00,4.00,420,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089263,7.00,7.00,6.00,6.00,9.00,9.38,6.00,7.00,7.00,216,NULL,203,'ZONA DOIS','MARINGÁ','PR',1724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089271,5.00,5.00,0.00,5.00,6.00,NULL,0.00,2.00,4.00,5,NULL,NULL,'TERRAS DO PIRACICABA','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5089280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'CENTRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5089298,6.00,6.00,1.00,8.00,9.00,10.13,2.00,5.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089310,5.00,7.00,1.00,0.00,5.00,4.88,3.00,3.00,7.00,203,NULL,208,'ALTO DA GLORIA','MAMBORÊ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089328,6.00,5.00,2.00,6.00,5.00,10.50,0.00,3.00,5.00,301,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089344,8.00,6.00,2.00,5.00,6.00,9.38,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089360,6.00,7.00,2.00,4.00,4.00,6.00,3.00,3.00,4.00,211,NULL,233,'ITAGUAÇU','FLORIANÓPOLIS','SC',14782,465,NULL,391,NULL,NULL,NULL,4,1),(20,5089387,3.00,3.00,3.00,2.00,3.00,NULL,2.00,1.00,4.00,201,NULL,216,'COLINS DAS FLORES','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(20,5089409,8.00,5.00,1.00,6.00,9.00,8.63,4.00,3.00,5.00,9,NULL,NULL,'ESPINHEIROS','JOINVILLE','SC',8837,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5089425,3.00,6.00,2.00,6.00,5.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5089450,4.00,5.00,0.00,4.00,5.00,NULL,1.00,1.00,5.00,104,NULL,NULL,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5089468,5.00,4.00,2.00,5.00,6.00,9.00,0.00,2.00,2.00,110,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5089484,5.00,5.00,4.00,6.00,4.00,9.38,0.00,2.00,3.00,336,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089492,3.00,5.00,1.00,5.00,2.00,NULL,1.00,1.00,2.00,238,NULL,215,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5089506,1.00,2.00,1.00,5.00,5.00,NULL,3.00,1.00,4.00,316,NULL,NULL,'JD ROSA DE FRANCA','GUARULHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'POMERODE FUNDOS','POMERODE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5089522,9.00,4.00,5.00,5.00,8.00,8.63,4.00,2.00,9.00,216,NULL,NULL,'AMÉRICA','JOINVILLE','SC',4411,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5089530,6.00,6.00,4.00,7.00,5.00,7.50,2.00,2.00,7.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089549,6.00,5.00,5.00,7.00,7.00,6.75,2.00,7.00,7.00,208,NULL,203,'TRINDADE','FLORIANÓPOLIS','SC',5538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089557,5.00,2.00,2.00,3.00,4.00,NULL,1.00,0.00,4.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089565,8.00,6.00,3.00,7.00,7.00,9.00,3.00,4.00,7.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089573,8.00,7.00,2.00,7.00,6.00,8.63,5.00,5.00,7.00,103,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',4761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089590,4.00,5.00,1.00,0.00,7.00,NULL,0.00,2.00,4.00,501,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089620,4.00,5.00,2.00,2.00,5.00,NULL,0.00,2.00,3.00,652,NULL,653,'OPERÁRIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5089638,6.00,7.00,1.00,7.00,8.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5089654,5.00,5.00,2.00,3.00,4.00,7.88,3.00,2.00,7.00,203,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5089662,7.00,7.00,0.00,6.00,9.00,7.50,1.00,3.00,5.00,238,NULL,651,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',10980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089689,8.00,6.00,2.00,7.00,7.00,10.88,5.00,7.00,4.00,318,NULL,NULL,'ASTÚRIAS','GUARUJÁ','SP',3744,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5089700,6.00,6.00,5.00,5.00,4.00,7.13,4.00,2.00,6.00,601,NULL,203,'CAMPO DA LANÇA','MAFRA','SC',8597,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5089719,9.00,8.00,5.00,8.00,9.00,10.13,8.00,5.00,8.00,5,NULL,NULL,'VILA PROGREDIOR','S PAULO','SP',510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089727,4.00,6.00,1.00,6.00,5.00,9.38,2.00,2.00,1.00,9,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5089751,7.00,7.00,5.00,6.00,9.00,10.13,6.00,3.00,8.00,201,NULL,212,'CENTRO','JARAGUÁ SUL','SC',2493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089778,5.00,6.00,5.00,7.00,6.00,7.13,3.00,2.00,7.00,104,NULL,NULL,'CENTRO','PASSO FUNDO','RS',7023,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5089794,4.00,4.00,1.00,2.00,3.00,NULL,2.00,1.00,2.00,404,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089808,5.00,6.00,3.00,4.00,6.00,7.50,4.00,4.00,7.00,233,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',9057,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5089832,2.00,1.00,2.00,3.00,5.00,NULL,2.00,1.00,2.00,233,NULL,203,'JARDIM AMERICA','JAÚ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5089840,7.00,7.00,2.00,7.00,10.00,11.63,3.00,6.00,8.00,303,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5089867,8.00,8.00,0.00,6.00,7.00,NULL,2.00,6.00,5.00,304,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5089883,5.00,5.00,4.00,6.00,5.00,9.75,3.00,4.00,5.00,103,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5089891,3.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5089905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5089913,6.00,2.00,2.00,6.00,5.00,9.38,5.00,1.00,6.00,103,NULL,NULL,'VILA LARSEN','LONDRINA','PR',10412,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5089921,6.00,4.00,0.00,5.00,7.00,8.25,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','MAMBORÊ','PR',12660,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5089930,3.00,8.00,1.00,6.00,6.00,8.63,1.00,1.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5089948,4.00,5.00,1.00,4.00,4.00,6.38,1.00,3.00,2.00,501,NULL,NULL,'COLMÉIA','JAGUARIÚNA','SP',16150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089964,7.00,7.00,3.00,5.00,8.00,7.88,3.00,3.00,6.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',7586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089972,8.00,5.00,4.00,7.00,7.00,8.25,2.00,2.00,4.00,102,NULL,NULL,'VILA CLEMENTINA','MAFRA','SC',7748,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5089980,7.00,5.00,3.00,8.00,9.00,7.13,4.00,5.00,7.00,103,NULL,NULL,'AIMORES','BAURU','SP',4408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5089999,4.00,5.00,1.00,7.00,7.00,7.50,2.00,3.00,4.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090008,7.00,4.00,5.00,5.00,6.00,7.13,2.00,3.00,3.00,203,NULL,235,'JARDIM DAS ACÁCIAS','QUATRO BARRAS','PR',12752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090016,4.00,0.00,2.00,6.00,7.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(20,5090024,3.00,5.00,0.00,4.00,2.00,NULL,1.00,2.00,2.00,653,NULL,NULL,'SAO LUIZ','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5090032,6.00,7.00,2.00,5.00,6.00,9.00,4.00,1.00,4.00,103,NULL,NULL,'CENTRO','NOVA OLÍMPIA','PR',9638,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090040,7.00,7.00,7.00,6.00,6.00,9.38,5.00,5.00,5.00,216,NULL,213,'BATEL','CURITIBA','PR',2396,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5090059,5.00,6.00,2.00,4.00,7.00,7.50,2.00,0.00,5.00,336,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',14865,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5090067,7.00,5.00,5.00,7.00,8.00,6.38,4.00,5.00,7.00,201,NULL,220,'SANTA MONICA','FLORIANÓPOLIS','SC',5194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090075,8.00,7.00,3.00,7.00,8.00,10.88,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','TAPEJARA','PR',5138,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5090083,6.00,6.00,5.00,4.00,6.00,7.13,3.00,4.00,5.00,324,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',9310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5090091,4.00,4.00,2.00,4.00,4.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5090113,9.00,8.00,4.00,6.00,8.00,7.50,5.00,4.00,8.00,103,NULL,NULL,'JD DAS PAINEIRAS','BRAGANÇA PAULISTA','SP',2498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090121,3.00,6.00,1.00,5.00,6.00,9.75,0.00,2.00,4.00,101,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',14419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090156,9.00,6.00,5.00,7.00,8.00,10.13,4.00,4.00,8.00,103,NULL,NULL,'ANDORINHA','ITAPEMA','SC',2670,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5090164,2.00,3.00,1.00,6.00,5.00,NULL,0.00,4.00,2.00,429,NULL,425,'JARDIM LARANJEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090172,6.00,6.00,1.00,6.00,5.00,8.63,0.00,3.00,4.00,104,NULL,NULL,'SANTA BÁRBARA','CRICIÚMA','SC',14224,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5090180,9.00,6.00,7.00,7.00,8.00,9.75,6.00,6.00,8.00,103,NULL,NULL,'AQUILA','PINHAIS','PR',581,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5090199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5090202,7.00,7.00,0.00,6.00,6.00,NULL,0.00,2.00,5.00,103,NULL,NULL,'LIDER','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5090210,4.00,4.00,2.00,3.00,4.00,7.88,2.00,2.00,3.00,444,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5090229,5.00,6.00,3.00,7.00,6.00,9.00,2.00,2.00,4.00,238,NULL,208,'AGRONÔMICA','FLORIANÓPOLIS','SC',10891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090245,7.00,6.00,4.00,6.00,9.00,9.00,5.00,3.00,6.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',4349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090261,9.00,5.00,2.00,7.00,9.00,8.25,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','FLORES CUNHA','RS',5406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090270,6.00,4.00,1.00,5.00,7.00,NULL,0.00,4.00,3.00,216,NULL,215,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5090296,4.00,6.00,1.00,4.00,3.00,NULL,1.00,2.00,3.00,653,NULL,651,'JARDIM ULTRAMAR','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5090300,7.00,5.00,2.00,4.00,7.00,8.63,2.00,6.00,4.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090318,7.00,7.00,2.00,4.00,6.00,7.13,3.00,5.00,6.00,201,NULL,653,'ARIRIU','PALHOÇA','SC',9473,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5090326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,207,'JARDIM CHAPADÃO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5090334,6.00,6.00,0.00,5.00,5.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5090342,6.00,6.00,3.00,7.00,6.00,7.50,4.00,4.00,3.00,203,NULL,653,'CABRAL','CURITIBA','PR',8086,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5090350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,208,'SETOR DOS AFONSOS','APARECIDA GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5090369,6.00,5.00,1.00,4.00,5.00,9.75,2.00,2.00,4.00,103,NULL,NULL,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5090377,6.00,5.00,2.00,6.00,5.00,6.38,1.00,2.00,3.00,213,NULL,238,'HIGIENÓPOLIS','BAURU','SP',14576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090385,7.00,7.00,3.00,6.00,10.00,12.00,1.00,6.00,5.00,108,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',4209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090393,3.00,6.00,4.00,4.00,6.00,8.63,5.00,4.00,4.00,224,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',12857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5090415,3.00,7.00,4.00,7.00,8.00,9.75,2.00,2.00,5.00,304,NULL,NULL,'SÃO DIMAS','PIRACICABA','SP',6966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090423,4.00,6.00,1.00,5.00,6.00,10.88,0.00,2.00,4.00,207,NULL,216,'CENTRO NORTE','DOIS VIZINHOS','PR',14740,706,NULL,560,NULL,NULL,NULL,2,1),(20,5090431,0.00,0.00,1.00,4.00,2.00,NULL,0.00,0.00,0.00,652,NULL,653,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(20,5090440,3.00,4.00,2.00,5.00,2.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5090458,7.00,8.00,4.00,6.00,9.00,10.13,3.00,6.00,6.00,103,NULL,NULL,'UNIVERSITÁRIO','CRICIÚMA','SC',3457,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5090466,8.00,7.00,2.00,7.00,9.00,11.63,2.00,3.00,6.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090474,4.00,6.00,2.00,7.00,7.00,9.00,2.00,2.00,4.00,450,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',9809,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5090482,3.00,3.00,1.00,2.00,4.00,NULL,2.00,2.00,3.00,5,NULL,NULL,'PERPETUO SOCORRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5090490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5090504,3.00,3.00,1.00,3.00,3.00,NULL,2.00,2.00,1.00,201,NULL,212,'JARDIM IPANEMA','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5090520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,235,'CENTRO','UNAÍ','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5090539,5.00,5.00,2.00,7.00,8.00,8.25,1.00,2.00,2.00,429,NULL,425,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090547,9.00,7.00,2.00,7.00,11.00,9.75,5.00,5.00,9.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',1366,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5090555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','JACAREÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5090563,8.00,7.00,5.00,7.00,10.00,8.63,4.00,6.00,7.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',2222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090571,6.00,6.00,6.00,6.00,7.00,9.38,0.00,3.00,4.00,415,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',7967,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5090580,6.00,3.00,5.00,5.00,6.00,10.50,3.00,6.00,4.00,450,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090598,2.00,3.00,1.00,2.00,5.00,NULL,1.00,1.00,3.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090636,4.00,6.00,3.00,5.00,6.00,9.75,4.00,3.00,3.00,207,NULL,212,'AGUA VERDE','CURITIBA','PR',8949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090644,7.00,7.00,7.00,4.00,4.00,6.00,2.00,2.00,7.00,202,NULL,211,'CENTRO','IMBITUBA','SC',7895,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5090652,5.00,5.00,2.00,7.00,4.00,9.75,3.00,2.00,3.00,453,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',14261,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5090660,4.00,4.00,0.00,4.00,4.00,NULL,1.00,1.00,1.00,101,NULL,NULL,'JARDIM AMÉRICA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5090687,9.00,6.00,5.00,5.00,10.00,9.38,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2910,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5090717,6.00,5.00,7.00,7.00,6.00,8.63,4.00,4.00,7.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',5052,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5090733,8.00,6.00,6.00,7.00,7.00,7.50,6.00,4.00,7.00,104,NULL,NULL,'VELHA','BLUMENAU','SC',3370,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5090750,9.00,5.00,2.00,4.00,7.00,10.88,5.00,4.00,8.00,103,NULL,NULL,'CHACARA BELENZINHO','S PAULO','SP',3741,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5090776,8.00,7.00,1.00,7.00,9.00,8.63,4.00,4.00,3.00,453,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090792,4.00,6.00,0.00,4.00,4.00,NULL,3.00,3.00,4.00,501,NULL,NULL,'ENSEADA DO BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5090806,9.00,9.00,6.00,7.00,9.00,13.50,8.00,7.00,9.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',16,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090814,8.00,7.00,4.00,7.00,9.00,9.00,4.00,5.00,7.00,103,NULL,NULL,'MARIA LUIZA','CASCAVEL','PR',2650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090822,3.00,1.00,2.00,4.00,4.00,NULL,4.00,1.00,4.00,104,NULL,NULL,'CENTRO','S CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5090830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5090865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5090881,4.00,3.00,1.00,3.00,4.00,NULL,1.00,2.00,4.00,103,NULL,NULL,'JARDIM DAS HORTENCIA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5090890,8.00,8.00,8.00,8.00,9.00,10.13,9.00,7.00,8.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',52,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090903,1.00,5.00,2.00,5.00,5.00,NULL,0.00,2.00,2.00,238,NULL,208,'DOM JOAQUIM','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090911,8.00,6.00,5.00,6.00,5.00,12.75,2.00,5.00,5.00,420,NULL,NULL,'CENTRO','ERECHIM','RS',4608,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5090920,8.00,7.00,2.00,6.00,9.00,9.38,5.00,5.00,7.00,103,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',2690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090938,5.00,6.00,1.00,7.00,6.00,7.13,2.00,1.00,4.00,104,NULL,NULL,'CENTRO','XANXERÊ','SC',13762,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5090946,6.00,5.00,2.00,6.00,9.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'AEROPORTO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090954,8.00,8.00,6.00,5.00,9.00,6.75,7.00,6.00,7.00,103,NULL,NULL,'CENTRO','PALMEIRA','PR',1987,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5090962,8.00,7.00,6.00,7.00,8.00,10.50,4.00,3.00,5.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5090989,7.00,8.00,2.00,4.00,10.00,6.75,4.00,6.00,5.00,211,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',6217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091004,3.00,6.00,0.00,3.00,3.00,NULL,1.00,4.00,4.00,201,NULL,212,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091012,4.00,4.00,2.00,3.00,6.00,9.38,2.00,3.00,4.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',14394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091020,6.00,5.00,0.00,6.00,8.00,7.88,4.00,4.00,6.00,103,NULL,NULL,'SANTANA','S JOSÉ CAMPOS','SP',8186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091039,6.00,4.00,4.00,5.00,8.00,8.25,2.00,5.00,7.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',5395,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5091047,5.00,5.00,0.00,6.00,7.00,NULL,2.00,2.00,4.00,501,NULL,NULL,'JARDIM AMÉRICA','INDAIATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5091055,1.00,4.00,1.00,1.00,3.00,NULL,1.00,1.00,3.00,316,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091071,6.00,4.00,4.00,6.00,7.00,8.63,3.00,2.00,6.00,208,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',10786,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091080,8.00,6.00,4.00,4.00,7.00,7.88,3.00,5.00,7.00,501,NULL,NULL,'CENTRO','PIRACICABA','SP',6909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091098,3.00,7.00,2.00,7.00,5.00,7.13,4.00,1.00,2.00,501,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',15134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091101,8.00,8.00,2.00,4.00,7.00,9.00,2.00,3.00,6.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6962,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091110,6.00,6.00,2.00,4.00,9.00,9.38,2.00,2.00,4.00,601,NULL,201,'CAMPINAS','S JOSÉ','SC',11267,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091128,3.00,4.00,1.00,5.00,3.00,NULL,3.00,3.00,4.00,202,NULL,NULL,'ITAIBA','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5091136,5.00,5.00,1.00,4.00,5.00,8.63,2.00,3.00,5.00,215,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',15251,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091144,7.00,7.00,3.00,7.00,8.00,10.13,6.00,3.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091152,7.00,5.00,3.00,6.00,7.00,0.00,3.00,6.00,3.00,326,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091160,4.00,5.00,2.00,2.00,5.00,NULL,2.00,2.00,4.00,212,NULL,201,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091179,3.00,7.00,4.00,3.00,6.00,7.13,2.00,4.00,4.00,320,NULL,NULL,'VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC',14768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091187,6.00,7.00,1.00,6.00,8.00,11.63,2.00,4.00,5.00,420,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',5380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091195,3.00,6.00,3.00,6.00,7.00,10.13,0.00,2.00,5.00,108,NULL,NULL,'CENTRO','VANINI','RS',14140,261,NULL,NULL,NULL,NULL,NULL,2,4),(20,5091209,6.00,6.00,3.00,6.00,5.00,10.13,3.00,2.00,4.00,501,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13436,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091217,5.00,8.00,6.00,6.00,7.00,8.25,7.00,6.00,5.00,336,NULL,NULL,'REBOUÇAS','CURITIBA','PR',2331,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5091225,2.00,6.00,1.00,2.00,4.00,NULL,3.00,3.00,2.00,316,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091233,3.00,2.00,0.00,2.00,5.00,NULL,0.00,0.00,2.00,103,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CEL VIVIDA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5091250,6.00,7.00,3.00,3.00,5.00,9.00,2.00,3.00,4.00,215,NULL,216,'JARDIM FLÓRIDA','MOGI MIRIM','SP',10892,225,NULL,446,NULL,NULL,NULL,4,1),(20,5091284,7.00,6.00,1.00,5.00,5.00,7.50,1.00,4.00,3.00,108,NULL,NULL,'CIDADE ALTA','VIDEIRA','SC',13237,240,NULL,NULL,NULL,NULL,NULL,4,7),(20,5091292,9.00,7.00,1.00,5.00,8.00,10.88,5.00,2.00,7.00,103,NULL,NULL,'GUAIANUBA','GRAVATAÍ','RS',3552,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5091306,3.00,3.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,318,NULL,NULL,'BARÃO GERALDO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091314,7.00,6.00,8.00,7.00,8.00,8.63,5.00,5.00,5.00,220,NULL,202,'CAPOEIRAS','FLORIANÓPOLIS','SC',2073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5091330,6.00,6.00,3.00,6.00,6.00,9.38,1.00,5.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091349,9.00,8.00,5.00,7.00,10.00,11.63,5.00,7.00,7.00,5,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5091365,6.00,4.00,2.00,5.00,7.00,7.13,2.00,1.00,5.00,601,NULL,653,'SAGUAÇU','JOINVILLE','SC',11159,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5091373,1.00,3.00,3.00,5.00,8.00,NULL,1.00,2.00,2.00,415,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091381,9.00,7.00,6.00,7.00,9.00,8.63,5.00,6.00,8.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',1108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091390,7.00,7.00,1.00,7.00,8.00,7.50,5.00,3.00,7.00,233,NULL,202,'AGRONOMICA','FLORIANÓPOLIS','SC',5071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5091411,6.00,4.00,0.00,4.00,4.00,NULL,2.00,3.00,0.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091438,7.00,6.00,3.00,7.00,9.00,8.25,7.00,2.00,7.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',3837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM PANCERA','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5091454,4.00,3.00,0.00,2.00,4.00,NULL,0.00,2.00,3.00,5,NULL,NULL,'REAL PARK','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091470,8.00,8.00,7.00,7.00,9.00,11.25,6.00,6.00,9.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5091500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5091519,8.00,7.00,2.00,4.00,6.00,6.00,2.00,4.00,4.00,203,NULL,207,'SAO CRISTÓVÃO','LAGES','SC',10058,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5091535,4.00,5.00,2.00,3.00,5.00,NULL,0.00,2.00,3.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091543,8.00,6.00,4.00,7.00,8.00,8.63,6.00,5.00,7.00,220,NULL,208,'FAZENDA','ITAJAÍ','SC',2562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VIAL MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',3,10),(20,5091578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,203,'BELA VISTA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5091586,9.00,9.00,7.00,7.00,10.00,11.63,7.00,4.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091594,7.00,6.00,5.00,7.00,8.00,7.88,5.00,3.00,6.00,235,NULL,208,'SÃO MARCOS','JOINVILLE','SC',2885,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5091608,6.00,4.00,6.00,7.00,7.00,7.50,6.00,3.00,7.00,601,NULL,203,'CENTRO','PAIÇANDU','PR',7282,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5091616,5.00,4.00,1.00,5.00,6.00,9.00,1.00,3.00,4.00,104,NULL,NULL,'UNIVERSITÁRIO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5091624,7.00,5.00,1.00,6.00,9.00,9.00,4.00,4.00,5.00,103,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',9653,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5091632,9.00,8.00,5.00,7.00,8.00,11.25,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091659,4.00,5.00,1.00,4.00,6.00,NULL,0.00,2.00,2.00,3,NULL,NULL,'SANTO ANTÔNIO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091667,7.00,6.00,4.00,5.00,5.00,10.50,1.00,5.00,5.00,9,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',7395,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5091683,3.00,5.00,4.00,4.00,5.00,7.50,2.00,2.00,2.00,318,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',16191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091691,6.00,6.00,4.00,7.00,7.00,7.50,5.00,7.00,7.00,301,NULL,NULL,'VORSTADT','BLUMENAU','SC',4273,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5091705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5091713,5.00,7.00,1.00,4.00,5.00,6.75,2.00,2.00,3.00,327,NULL,NULL,'PLANALTO','PATO BRANCO','PR',15654,50,NULL,NULL,NULL,NULL,NULL,2,4),(20,5091721,9.00,8.00,8.00,5.00,11.00,12.00,7.00,5.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091730,8.00,7.00,5.00,5.00,8.00,14.25,8.00,6.00,9.00,103,NULL,NULL,'VILA NUNES','LORENA','SP',301,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5091748,6.00,8.00,3.00,7.00,9.00,8.25,4.00,5.00,3.00,320,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',6103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091756,5.00,7.00,6.00,5.00,6.00,7.50,4.00,5.00,5.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',7025,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091764,6.00,7.00,2.00,6.00,10.00,9.38,2.00,3.00,6.00,103,NULL,NULL,'PARTENON','PTO ALEGRE','RS',5659,2323,NULL,NULL,NULL,NULL,NULL,2,5),(20,5091772,7.00,6.00,7.00,7.00,7.00,8.63,5.00,5.00,6.00,333,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',2598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5091802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5091810,8.00,6.00,2.00,5.00,8.00,9.75,3.00,3.00,5.00,319,NULL,NULL,'CENTRO','SOMBRIO','SC',7585,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5091829,9.00,7.00,5.00,4.00,8.00,9.75,4.00,5.00,8.00,211,NULL,203,'JD APOLLO II','S JOSÉ CAMPOS','SP',2634,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091837,7.00,6.00,0.00,4.00,7.00,NULL,2.00,3.00,3.00,333,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091853,9.00,8.00,5.00,6.00,10.00,11.25,7.00,6.00,7.00,103,NULL,NULL,'PARQUE SÃO SEBASTIÃO','PTO ALEGRE','RS',412,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5091870,3.00,5.00,5.00,7.00,5.00,11.63,4.00,4.00,3.00,201,NULL,203,'AMERICANO','LAJEADO','RS',7214,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5091896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,601,'CAMPUS DO CTA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5091900,6.00,6.00,4.00,6.00,8.00,8.25,4.00,5.00,5.00,202,NULL,213,'ITAGUAÇU','FLORIANÓPOLIS','SC',5608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091918,5.00,6.00,3.00,5.00,8.00,9.75,4.00,2.00,3.00,103,NULL,NULL,'CANGO','FRANCISCO BELTRÃO','PR',7916,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5091926,4.00,4.00,1.00,4.00,5.00,6.38,3.00,3.00,4.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',15403,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091942,8.00,4.00,2.00,4.00,10.00,10.13,0.00,3.00,5.00,216,NULL,211,'RIO MAINA','CRICIÚMA','SC',8774,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5091950,8.00,6.00,4.00,5.00,9.00,8.63,3.00,7.00,4.00,203,NULL,202,'CENTRO','RIO GRANDE','RS',4496,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5091969,5.00,6.00,4.00,4.00,5.00,10.50,4.00,2.00,4.00,216,NULL,NULL,'PARQUE DE EXPOSIÇÕES','CONCÓRDIA','SC',12664,506,NULL,NULL,NULL,NULL,NULL,4,4),(20,5091977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5091985,8.00,4.00,3.00,7.00,8.00,10.50,2.00,2.00,4.00,103,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',7332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5091993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'BERLIM','JAGUARIÚNA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5092000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LAURENTINO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5092019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5092027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5092035,3.00,4.00,1.00,3.00,5.00,NULL,2.00,2.00,1.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5092051,7.00,8.00,4.00,7.00,11.00,12.00,3.00,8.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA NOVA','PTO BELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5092094,9.00,6.00,7.00,6.00,10.00,9.75,5.00,6.00,8.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',980,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5092108,8.00,6.00,5.00,8.00,9.00,8.63,5.00,5.00,6.00,103,NULL,NULL,'JARDIM AEROPORTO','S PAULO','SP',2182,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5092116,4.00,6.00,0.00,5.00,6.00,8.63,3.00,1.00,5.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13000,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5092124,8.00,6.00,4.00,6.00,8.00,13.50,2.00,5.00,6.00,201,NULL,212,'SANTA MÔNICA','FLORIANÓPOLIS','SC',2905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092167,4.00,3.00,1.00,1.00,3.00,NULL,0.00,2.00,4.00,201,NULL,207,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5092183,9.00,7.00,6.00,7.00,8.00,11.25,7.00,4.00,6.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',1518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092191,3.00,4.00,0.00,6.00,6.00,9.38,2.00,3.00,3.00,101,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5092205,4.00,5.00,0.00,3.00,1.00,NULL,3.00,2.00,2.00,319,NULL,NULL,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5092213,2.00,4.00,0.00,3.00,1.00,NULL,1.00,2.00,1.00,202,NULL,220,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5092221,7.00,7.00,4.00,7.00,9.00,10.13,3.00,2.00,5.00,303,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',4475,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5092230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,233,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5092248,5.00,5.00,0.00,6.00,4.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'CHÁCARA SALTINHO','S MANUEL','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092256,4.00,1.00,1.00,7.00,8.00,6.75,2.00,4.00,4.00,340,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',12462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092264,5.00,4.00,3.00,6.00,5.00,7.50,1.00,2.00,3.00,211,NULL,233,'AGRONÔMICA','FLORIANÓPOLIS','SC',14790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092302,5.00,5.00,2.00,7.00,5.00,9.38,3.00,2.00,5.00,216,NULL,201,'CENTRO','CIANORTE','PR',9671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092310,2.00,7.00,1.00,1.00,1.00,NULL,2.00,3.00,4.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092329,4.00,2.00,0.00,2.00,0.00,NULL,1.00,2.00,2.00,202,NULL,213,'CENTRO','MONTAURI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5092345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'CIDADE JARDIM','PATROCÍNIO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5092353,7.00,9.00,4.00,3.00,6.00,6.75,3.00,3.00,7.00,336,NULL,NULL,'CENTRO','TOLEDO','PR',8429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5092370,8.00,8.00,6.00,7.00,9.00,9.75,8.00,5.00,7.00,220,NULL,203,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092388,4.00,5.00,4.00,7.00,4.00,9.75,1.00,1.00,1.00,202,NULL,NULL,'VISTA ALEGRE','CURITIBA','PR',12974,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5092396,5.00,7.00,3.00,4.00,4.00,9.00,1.00,1.00,4.00,201,NULL,211,'MARIA GORETTI','CHAPECÓ','SC',13629,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5092400,1.00,0.00,2.00,4.00,3.00,NULL,0.00,3.00,2.00,303,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092418,8.00,6.00,7.00,7.00,7.00,11.25,7.00,7.00,6.00,220,NULL,202,'MEIRELES','FORTALEZA','CE',872,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5092426,5.00,2.00,0.00,0.00,2.00,NULL,2.00,1.00,1.00,103,NULL,NULL,'BARRO VERMELHO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5092434,8.00,8.00,2.00,4.00,8.00,8.63,2.00,5.00,4.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5092442,9.00,8.00,9.00,8.00,8.00,9.38,6.00,5.00,7.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092469,8.00,7.00,4.00,7.00,9.00,7.13,3.00,4.00,5.00,214,NULL,212,'PLANTA O RECANTO','PIRAQUARA','PR',4086,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5092477,6.00,6.00,4.00,4.00,6.00,9.38,2.00,3.00,4.00,108,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',11285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092485,6.00,7.00,1.00,5.00,9.00,10.50,3.00,3.00,8.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5092507,8.00,7.00,7.00,8.00,9.00,9.38,5.00,8.00,8.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092515,3.00,6.00,3.00,4.00,5.00,8.25,2.00,4.00,3.00,216,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5092523,6.00,4.00,4.00,4.00,5.00,8.25,3.00,4.00,6.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092531,7.00,7.00,5.00,5.00,8.00,7.50,5.00,3.00,6.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',6147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CENTRO','S BERNARDINO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5092558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDINS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5092566,2.00,5.00,2.00,2.00,2.00,NULL,2.00,3.00,1.00,318,NULL,NULL,'CENTRO','MARAU','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5092590,8.00,5.00,0.00,8.00,6.00,7.50,2.00,5.00,4.00,303,NULL,NULL,'ALTO DA RUA XV','CURITIBA','PR',8516,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5092604,8.00,9.00,5.00,7.00,7.00,7.50,5.00,3.00,7.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',1910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092612,9.00,7.00,5.00,6.00,6.00,7.13,5.00,4.00,8.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',3574,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5092620,1.00,5.00,0.00,3.00,4.00,NULL,3.00,2.00,2.00,653,NULL,NULL,'POLICIA RODOVIARIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5092639,4.00,7.00,2.00,4.00,4.00,6.75,1.00,0.00,4.00,327,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5092647,9.00,7.00,6.00,7.00,7.00,7.88,6.00,5.00,8.00,235,NULL,202,'XAXIM','CURITIBA','PR',1194,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5092655,3.00,5.00,1.00,7.00,7.00,9.75,3.00,4.00,6.00,501,NULL,NULL,'COSTA DE CIMA','FLORIANÓPOLIS','SC',11885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092663,7.00,7.00,2.00,5.00,6.00,7.88,6.00,3.00,3.00,601,NULL,212,'SAGUAÇU','JOINVILLE','SC',7648,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5092671,4.00,6.00,2.00,6.00,4.00,8.63,2.00,2.00,4.00,216,NULL,203,'CEARÁ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5092680,6.00,7.00,3.00,7.00,7.00,10.13,3.00,4.00,6.00,201,NULL,233,'BOM ABRIGO','FLORIANÓPOLIS','SC',5259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092698,6.00,7.00,6.00,6.00,6.00,8.25,4.00,3.00,5.00,601,NULL,202,'RIBEIRÃO FRESCO','BLUMENAU','SC',7337,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5092701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5092710,8.00,5.00,3.00,6.00,5.00,10.88,3.00,3.00,4.00,103,NULL,NULL,'GONZAGA','SANTOS','SP',8528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092744,2.00,4.00,0.00,4.00,6.00,NULL,2.00,3.00,3.00,319,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5092752,9.00,7.00,7.00,7.00,5.00,9.00,8.00,7.00,8.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',509,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5092760,7.00,8.00,2.00,7.00,8.00,7.50,2.00,3.00,7.00,103,NULL,NULL,'DE VILLA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5092779,2.00,6.00,5.00,3.00,5.00,4.13,2.00,2.00,3.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5092787,1.00,2.00,1.00,1.00,3.00,NULL,3.00,2.00,1.00,309,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5092795,4.00,4.00,2.00,5.00,5.00,9.38,2.00,3.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5092809,7.00,7.00,4.00,6.00,9.00,7.88,3.00,3.00,5.00,415,NULL,NULL,'VILA PEDRINE','JOAÇABA','SC',7094,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5092817,7.00,7.00,4.00,7.00,10.00,9.38,3.00,8.00,5.00,207,NULL,201,'BAIRRO DA BARRA','BAL CAMBORIÚ','SC',3148,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5092825,6.00,3.00,1.00,7.00,4.00,7.88,3.00,3.00,6.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',9728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092833,9.00,9.00,8.00,7.00,10.00,11.25,7.00,6.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092841,6.00,4.00,1.00,6.00,7.00,9.75,1.00,2.00,4.00,215,NULL,233,'SOMENZARI','MARÍLIA','SP',11502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092850,3.00,5.00,2.00,2.00,7.00,NULL,2.00,2.00,3.00,207,NULL,208,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092868,7.00,6.00,6.00,6.00,7.00,8.63,5.00,5.00,8.00,203,NULL,214,'ESPLANADA DO SOL','S JOSÉ CAMPOS','SP',2909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092884,4.00,3.00,3.00,3.00,5.00,NULL,0.00,3.00,1.00,444,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092892,6.00,5.00,6.00,6.00,9.00,8.25,4.00,6.00,6.00,207,NULL,215,'ESTREITO','FLORIANÓPOLIS','SC',4609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092906,8.00,7.00,8.00,8.00,9.00,11.25,7.00,5.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5092914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5092949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CASCAVEL VELHO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5092965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'V ALTO DE STO ANDRÉ','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5092973,5.00,5.00,2.00,4.00,6.00,6.00,4.00,3.00,5.00,201,NULL,212,'NOVO MUNDO','CURITIBA','PR',11873,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5092981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PORTO DAS DUNAS','AQUIRAZ','CE',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5092990,5.00,6.00,2.00,5.00,7.00,6.00,3.00,2.00,3.00,201,NULL,203,'CENTRO HISTÓRICO','S JOSÉ','SC',13902,995,NULL,893,NULL,NULL,NULL,2,1),(20,5093007,6.00,8.00,2.00,5.00,9.00,7.13,2.00,5.00,5.00,203,NULL,216,'DAS NAÇÕES','BAL CAMBORIÚ','SC',6221,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5093015,5.00,4.00,3.00,5.00,5.00,8.25,2.00,2.00,4.00,207,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',14994,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5093023,0.00,0.00,0.00,3.00,4.00,NULL,0.00,2.00,1.00,420,NULL,NULL,'ÁGUAS CLARAS','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5093031,4.00,4.00,0.00,7.00,8.00,NULL,0.00,4.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093040,0.00,3.00,0.00,1.00,2.00,NULL,0.00,0.00,3.00,404,NULL,NULL,'SOROCABA DE DENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5093058,6.00,7.00,3.00,6.00,5.00,8.25,3.00,3.00,2.00,203,NULL,601,'JARDIM ITÁLIA','CHAPECÓ','SC',10637,763,NULL,NULL,NULL,NULL,NULL,2,4),(20,5093066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5093074,6.00,6.00,2.00,7.00,8.00,7.88,2.00,3.00,7.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093082,3.00,3.00,0.00,7.00,6.00,NULL,4.00,0.00,3.00,340,NULL,NULL,'ZONA SUL','IA SOLTEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5093090,8.00,8.00,7.00,7.00,9.00,7.50,6.00,4.00,6.00,216,NULL,233,'GLÓRIA','JOINVILLE','SC',2093,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5093120,7.00,7.00,8.00,7.00,8.00,12.38,5.00,6.00,8.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093139,6.00,8.00,6.00,3.00,3.00,NULL,0.00,2.00,5.00,213,NULL,220,'GANCHOS DE FORA','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5093155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ANDRADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5093163,6.00,5.00,2.00,6.00,6.00,9.38,2.00,3.00,6.00,220,NULL,202,'CENTRO','S MIGUEL OESTE','SC',8847,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5093180,7.00,6.00,2.00,6.00,8.00,10.13,2.00,3.00,5.00,103,NULL,NULL,'CONSIL','CUIABÁ','MT',6197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5093210,4.00,6.00,4.00,6.00,5.00,9.00,2.00,3.00,5.00,326,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093228,9.00,8.00,5.00,7.00,8.00,7.13,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',2638,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5093236,6.00,4.00,2.00,6.00,7.00,7.50,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093244,8.00,3.00,1.00,6.00,6.00,10.13,2.00,4.00,4.00,404,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',12079,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5093252,5.00,6.00,5.00,2.00,6.00,9.75,2.00,2.00,5.00,238,NULL,208,'ITACORUBI','FLORIANÓPOLIS','SC',9935,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5093260,5.00,5.00,3.00,5.00,9.00,10.50,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','SUL BRASIL','SC',9230,3055,NULL,NULL,NULL,NULL,NULL,2,1),(20,5093279,2.00,5.00,1.00,6.00,6.00,NULL,1.00,1.00,3.00,452,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093287,4.00,6.00,0.00,3.00,5.00,10.13,2.00,4.00,4.00,5,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5093295,6.00,5.00,3.00,4.00,6.00,6.00,2.00,2.00,3.00,415,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5093309,4.00,3.00,2.00,4.00,6.00,NULL,0.00,3.00,2.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093317,5.00,4.00,2.00,6.00,6.00,7.88,0.00,2.00,3.00,333,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093325,8.00,7.00,4.00,7.00,11.00,9.75,6.00,5.00,8.00,103,NULL,NULL,'CHÁCARA GALEGA','PINDAMONHANGABA','SP',1042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093333,6.00,8.00,3.00,4.00,7.00,9.38,3.00,5.00,6.00,601,NULL,212,'CENTRO','BAL CAMBORIÚ','SC',8117,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5093341,6.00,7.00,4.00,7.00,8.00,7.50,1.00,7.00,6.00,214,NULL,220,'CENTRO','CURITIBA','PR',5879,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5093350,8.00,7.00,4.00,7.00,9.00,9.00,4.00,5.00,7.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',1878,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5093368,5.00,6.00,1.00,7.00,7.00,8.63,2.00,2.00,6.00,207,NULL,201,'JARDIM PAULISTANO','SOROCABA','SP',9737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093376,8.00,7.00,6.00,7.00,10.00,10.13,6.00,3.00,6.00,208,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',1531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093392,9.00,7.00,3.00,5.00,11.00,8.63,4.00,5.00,6.00,216,NULL,215,'ESTAÇÃO','URUSSANGA','SC',3562,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5093406,3.00,6.00,3.00,5.00,6.00,10.13,3.00,4.00,5.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10300,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5093422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5093430,8.00,7.00,6.00,6.00,8.00,9.38,8.00,5.00,8.00,201,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',1048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093449,6.00,5.00,4.00,7.00,6.00,9.75,3.00,4.00,6.00,215,NULL,216,'SILVEIRA DA MOTTA','S JOSÉ PINHAIS','PR',5403,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5093457,7.00,5.00,3.00,3.00,9.00,6.75,3.00,4.00,5.00,601,NULL,NULL,'AMÉRICA','JOINVILLE','SC',11489,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5093465,6.00,8.00,5.00,7.00,9.00,9.00,4.00,3.00,6.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',3620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CAPELA DE POMPÉIA','VISTA A PRATA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5093481,7.00,5.00,3.00,5.00,8.00,10.13,1.00,3.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093490,8.00,6.00,0.00,7.00,7.00,10.50,1.00,6.00,5.00,234,NULL,NULL,'PRAIA DE BAIXO','BIGUAÇU','SC',5924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'STIEP','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5093511,8.00,8.00,7.00,7.00,9.00,8.63,6.00,4.00,6.00,220,NULL,238,'JOÃO PAULO','FLORIANÓPOLIS','SC',2067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093520,8.00,6.00,1.00,3.00,4.00,NULL,0.00,2.00,0.00,103,NULL,NULL,'VILA NOVA','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5093538,8.00,8.00,5.00,7.00,6.00,6.75,1.00,8.00,5.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093546,6.00,5.00,3.00,6.00,5.00,9.75,1.00,4.00,4.00,203,NULL,216,'CENTRO CÍVICO','CURITIBA','PR',9857,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5093554,5.00,5.00,0.00,6.00,5.00,8.25,0.00,3.00,5.00,453,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',15437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM PAULISTA','COSMÓPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5093570,7.00,3.00,2.00,5.00,7.00,10.13,1.00,1.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',11629,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5093589,5.00,6.00,3.00,6.00,4.00,7.88,1.00,3.00,2.00,201,NULL,212,'CENTRO','ITAPETININGA','SP',11509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093597,4.00,5.00,4.00,7.00,8.00,9.38,1.00,4.00,3.00,303,NULL,NULL,'CENTRO','PASSO FUNDO','RS',8378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093600,5.00,3.00,3.00,5.00,6.00,8.25,2.00,1.00,3.00,601,NULL,214,'COMAZA','JOINVILLE','SC',14113,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5093627,6.00,6.00,0.00,7.00,2.00,NULL,4.00,2.00,3.00,340,NULL,NULL,'CZERNIEVICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093635,9.00,8.00,1.00,6.00,10.00,9.75,4.00,5.00,6.00,207,NULL,215,'CANTO','FLORIANÓPOLIS','SC',2900,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5093643,6.00,4.00,4.00,6.00,6.00,8.25,3.00,3.00,7.00,201,NULL,207,'SÃO GERALDO','PTO ALEGRE','RS',7826,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5093651,9.00,7.00,2.00,6.00,8.00,12.38,6.00,4.00,7.00,103,NULL,NULL,'SANTA CÂNDIDA','CURITIBA','PR',2309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093660,7.00,7.00,0.00,7.00,8.00,7.13,2.00,1.00,4.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM GOLLO','SOCORRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5093686,6.00,6.00,1.00,7.00,4.00,7.88,0.00,1.00,4.00,216,NULL,233,'CIDADE JARDIM','SOROCABA','SP',11653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093694,8.00,8.00,5.00,7.00,7.00,10.13,4.00,6.00,6.00,208,NULL,238,'COSTA E SILVA','JOINVILLE','SC',2008,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5093708,9.00,5.00,2.00,7.00,9.00,7.13,3.00,5.00,3.00,201,NULL,233,'MERCÊS','CURITIBA','PR',6104,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5093716,6.00,4.00,3.00,3.00,6.00,8.25,3.00,3.00,4.00,103,NULL,NULL,'UNIVERSITÁRIO','CHAPECÓ','SC',12668,3484,NULL,NULL,NULL,NULL,NULL,2,4),(20,5093724,5.00,4.00,1.00,2.00,4.00,6.00,1.00,5.00,3.00,444,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5093732,7.00,6.00,4.00,5.00,8.00,9.38,1.00,4.00,4.00,452,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5093740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA QUITÉRIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5093767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SANTO AMARO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5093775,5.00,7.00,0.00,6.00,9.00,10.50,2.00,4.00,5.00,103,NULL,NULL,'EUGENIO SCHNEIDER','RIO SUL','SC',7590,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5093783,8.00,5.00,4.00,7.00,8.00,9.38,4.00,5.00,5.00,203,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',5206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093791,6.00,4.00,3.00,7.00,7.00,8.63,3.00,5.00,2.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093805,9.00,4.00,3.00,7.00,9.00,13.13,1.00,5.00,6.00,102,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',3753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093813,6.00,3.00,1.00,4.00,5.00,10.50,1.00,4.00,4.00,415,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',14196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093821,7.00,6.00,4.00,7.00,5.00,7.88,5.00,3.00,6.00,238,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',8334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5093848,5.00,6.00,2.00,7.00,3.00,NULL,3.00,2.00,4.00,340,NULL,NULL,'INDUSTRIAL','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5093856,8.00,8.00,6.00,6.00,8.00,9.38,6.00,7.00,8.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',702,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5093864,4.00,7.00,4.00,5.00,6.00,11.25,4.00,5.00,6.00,208,NULL,238,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',7061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093872,5.00,4.00,1.00,5.00,7.00,6.00,2.00,4.00,2.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',15876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093880,9.00,6.00,7.00,6.00,8.00,7.13,6.00,4.00,9.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',1761,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5093902,3.00,7.00,1.00,4.00,4.00,7.13,2.00,2.00,3.00,101,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5093929,4.00,2.00,0.00,3.00,3.00,NULL,0.00,1.00,3.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5093945,8.00,8.00,3.00,7.00,7.00,8.25,3.00,2.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',5668,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5093953,7.00,4.00,3.00,6.00,10.00,10.50,6.00,1.00,4.00,202,NULL,235,'CENTRO','URUSSANGA','SC',6402,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5093961,4.00,2.00,0.00,1.00,2.00,NULL,1.00,2.00,3.00,653,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5093988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM IRAJÁ','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5094003,2.00,2.00,0.00,1.00,4.00,NULL,1.00,1.00,5.00,203,NULL,201,'POTOSI','BALSAS','MA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5094011,4.00,8.00,6.00,4.00,6.00,9.00,3.00,4.00,4.00,220,NULL,203,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',6273,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5094020,9.00,8.00,5.00,7.00,7.00,9.75,7.00,7.00,8.00,201,NULL,212,'FAZENDA','ITAJAÍ','SC',895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094038,4.00,3.00,4.00,3.00,5.00,8.25,3.00,3.00,4.00,653,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',15031,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5094046,4.00,6.00,1.00,2.00,4.00,8.25,1.00,4.00,4.00,301,NULL,NULL,'SANTA LUZIA','STO AMARO IMPERATRIZ','SC',15923,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5094089,1.00,7.00,1.00,3.00,5.00,NULL,3.00,2.00,2.00,318,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5094097,4.00,3.00,1.00,3.00,6.00,NULL,2.00,1.00,1.00,216,NULL,233,'MARAFON','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5094100,4.00,5.00,0.00,4.00,5.00,NULL,2.00,3.00,4.00,301,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094119,6.00,7.00,4.00,4.00,9.00,7.88,4.00,2.00,6.00,208,NULL,238,'CAMPECHE','FLORIANÓPOLIS','SC',7505,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5094127,2.00,4.00,0.00,1.00,4.00,NULL,3.00,1.00,0.00,415,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5094135,8.00,4.00,0.00,7.00,8.00,7.13,4.00,6.00,7.00,340,NULL,NULL,'SANTOS DUMONT','STA MARIA','DF',7188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094143,9.00,7.00,7.00,7.00,9.00,12.00,7.00,6.00,8.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'VILLAGE GARAVELO','APARECIDA GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5094186,8.00,5.00,5.00,7.00,6.00,6.75,5.00,5.00,7.00,203,NULL,216,'BOSQUE DA SAUDE','S PAULO','SP',4337,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5094194,5.00,6.00,6.00,7.00,6.00,8.25,6.00,4.00,8.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',4244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'SANTO ANTÔNIO DE PÁD','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5094216,8.00,6.00,5.00,7.00,8.00,9.00,4.00,4.00,9.00,103,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',2089,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5094224,7.00,8.00,8.00,7.00,9.00,8.63,6.00,6.00,7.00,415,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',1013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094232,5.00,7.00,1.00,7.00,9.00,9.38,2.00,5.00,5.00,415,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094240,4.00,5.00,1.00,6.00,6.00,9.75,0.00,3.00,2.00,207,NULL,203,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5094259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5094267,6.00,6.00,3.00,5.00,3.00,NULL,2.00,3.00,5.00,201,NULL,207,'PONTA FINA SUL','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5094275,7.00,5.00,4.00,6.00,8.00,9.00,4.00,3.00,4.00,452,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',8907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094283,8.00,6.00,4.00,5.00,10.00,9.75,2.00,4.00,4.00,303,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',6159,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5094291,4.00,8.00,3.00,5.00,8.00,8.25,3.00,3.00,6.00,207,NULL,201,'RIO TAVARES','FLORIANÓPOLIS','SC',9231,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5094305,4.00,5.00,6.00,7.00,8.00,9.75,3.00,3.00,4.00,302,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094321,7.00,5.00,3.00,7.00,7.00,7.88,1.00,1.00,1.00,233,NULL,202,'ALTANEIRA','MARÍLIA','SP',13464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094348,8.00,7.00,7.00,6.00,7.00,9.38,5.00,3.00,7.00,233,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',2756,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5094356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,201,'CENTRO','S MIGUEL ARCANJO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5094372,3.00,5.00,4.00,5.00,7.00,NULL,0.00,0.00,5.00,212,NULL,214,'CENTRO','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5094380,3.00,5.00,3.00,5.00,8.00,9.38,2.00,3.00,3.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094410,8.00,7.00,8.00,8.00,10.00,8.63,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',525,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5094429,4.00,3.00,2.00,5.00,6.00,NULL,0.00,1.00,0.00,653,NULL,651,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5094453,6.00,4.00,2.00,8.00,7.00,10.88,3.00,2.00,7.00,220,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',7184,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5094461,8.00,6.00,5.00,7.00,10.00,6.38,4.00,2.00,7.00,213,NULL,235,'JARDIM ESPLANADA','S JOSÉ CAMPOS','SP',3297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094470,7.00,9.00,8.00,7.00,9.00,11.25,7.00,5.00,8.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094496,8.00,7.00,5.00,8.00,10.00,10.50,2.00,5.00,6.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094500,8.00,6.00,5.00,7.00,8.00,9.38,4.00,5.00,8.00,216,NULL,233,'VILA ANDRADE','S PAULO','SP',2394,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5094518,7.00,7.00,2.00,6.00,9.00,6.75,4.00,6.00,7.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',4330,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5094526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5094534,7.00,7.00,5.00,2.00,6.00,10.50,4.00,5.00,6.00,601,NULL,203,'JARDIM ESTHER','S PAULO','SP',5164,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5094542,8.00,5.00,3.00,5.00,9.00,11.25,2.00,4.00,5.00,233,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',7200,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5094550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5094569,8.00,6.00,4.00,7.00,5.00,8.25,3.00,4.00,7.00,103,NULL,NULL,'MOEMA','S PAULO','SP',4351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5094607,3.00,2.00,0.00,2.00,3.00,NULL,0.00,4.00,2.00,424,NULL,428,'SERTÃOZINHO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5094615,6.00,5.00,2.00,6.00,3.00,NULL,3.00,4.00,3.00,304,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094623,1.00,5.00,2.00,3.00,2.00,NULL,0.00,3.00,3.00,551,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5094631,6.00,6.00,1.00,4.00,7.00,7.88,2.00,5.00,3.00,202,NULL,213,'CENTRO','GAROPABA','SC',8960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094640,8.00,6.00,3.00,7.00,6.00,9.00,1.00,5.00,4.00,212,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',8854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5094666,2.00,7.00,2.00,5.00,7.00,9.75,2.00,2.00,7.00,316,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',13965,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5094682,1.00,4.00,1.00,6.00,2.00,NULL,2.00,1.00,1.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5094712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,212,'AGENOR M CARVALHO','PTO VELHO','RO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5094720,7.00,6.00,4.00,5.00,7.00,9.38,4.00,4.00,4.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',6619,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5094739,6.00,6.00,3.00,8.00,8.00,10.88,1.00,4.00,5.00,5,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',6865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094755,3.00,3.00,0.00,5.00,3.00,NULL,4.00,2.00,4.00,326,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5094763,2.00,5.00,0.00,2.00,5.00,NULL,1.00,1.00,2.00,451,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5094771,1.00,6.00,0.00,3.00,6.00,NULL,1.00,2.00,3.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094780,5.00,6.00,5.00,5.00,7.00,8.63,4.00,2.00,5.00,452,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',9945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094798,7.00,7.00,4.00,3.00,7.00,9.00,4.00,3.00,6.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',4950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5094801,3.00,6.00,3.00,6.00,7.00,10.13,0.00,2.00,3.00,415,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5094836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5094844,3.00,3.00,0.00,5.00,5.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094852,6.00,6.00,3.00,4.00,9.00,11.25,2.00,3.00,2.00,415,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',10119,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5094879,5.00,7.00,1.00,0.00,6.00,7.13,1.00,4.00,5.00,327,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16010,53,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094887,8.00,6.00,2.00,6.00,9.00,12.38,4.00,5.00,8.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094895,8.00,6.00,6.00,7.00,7.00,9.38,5.00,4.00,7.00,220,NULL,211,'GARCIA','BLUMENAU','SC',2826,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5094909,4.00,6.00,3.00,2.00,9.00,7.13,3.00,4.00,8.00,103,NULL,NULL,'CORAL','LAGES','SC',9853,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5094917,4.00,4.00,0.00,3.00,5.00,NULL,0.00,4.00,3.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094933,8.00,6.00,5.00,6.00,9.00,9.75,5.00,6.00,7.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',1319,762,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094941,6.00,6.00,3.00,7.00,6.00,9.00,6.00,5.00,8.00,103,NULL,NULL,'JARDIM CENTRAL','DOURADOS','MS',3361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094950,7.00,6.00,3.00,5.00,7.00,7.13,1.00,4.00,5.00,327,NULL,NULL,'FIGUEIRA','URUSSANGA','SC',10056,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5094968,6.00,6.00,3.00,7.00,8.00,12.00,4.00,5.00,7.00,203,NULL,233,'BALNEÁRIO','FLORIANÓPOLIS','SC',3027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094976,8.00,9.00,5.00,7.00,9.00,9.38,3.00,6.00,6.00,340,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',1931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094984,7.00,4.00,4.00,7.00,8.00,7.88,3.00,3.00,5.00,318,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5094992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5095000,6.00,7.00,4.00,6.00,3.00,NULL,2.00,3.00,6.00,203,NULL,202,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5095026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'ALTO DO IPIRANGA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5095034,5.00,7.00,3.00,5.00,8.00,6.75,4.00,4.00,6.00,211,NULL,653,'CIDADE ALTA','ARARANGUÁ','SC',7447,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5095042,2.00,6.00,0.00,3.00,5.00,NULL,2.00,0.00,3.00,238,NULL,201,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095069,7.00,5.00,3.00,4.00,9.00,9.75,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','ARROIO TRINTA','SC',10064,3174,NULL,NULL,NULL,NULL,NULL,5,7),(20,5095077,2.00,6.00,3.00,3.00,7.00,6.75,3.00,2.00,3.00,327,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095085,8.00,9.00,7.00,7.00,9.00,9.75,6.00,6.00,8.00,203,NULL,220,'AZAMBUJA','BRUSQUE','SC',762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095093,6.00,7.00,3.00,5.00,9.00,8.25,1.00,3.00,3.00,108,NULL,NULL,'MEDIANIERA','PTO ALEGRE','RS',9395,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5095107,2.00,6.00,0.00,2.00,4.00,NULL,0.00,1.00,1.00,303,NULL,NULL,'CENTRO','PERITIBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5095115,8.00,8.00,3.00,7.00,10.00,10.50,5.00,4.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095131,3.00,4.00,2.00,5.00,6.00,NULL,0.00,1.00,4.00,103,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5095140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESPLANADA DO SOL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5095174,5.00,4.00,2.00,6.00,6.00,7.50,1.00,2.00,5.00,104,NULL,NULL,'CENTRO','SOMBRIO','SC',12413,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5095190,6.00,6.00,0.00,6.00,7.00,10.50,2.00,6.00,2.00,109,NULL,NULL,'CENTRO','SINOP','MT',8993,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5095204,5.00,3.00,2.00,5.00,7.00,9.38,4.00,3.00,5.00,103,NULL,NULL,'CONJHAB TERRA ROXA','DOURADOS','MS',10746,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5095212,5.00,0.00,1.00,6.00,9.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5095220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'MARGEM ESQUERDA','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5095239,6.00,6.00,7.00,7.00,5.00,10.88,5.00,4.00,7.00,202,NULL,235,'PLANO DIRETOR SUL','PALMAS','TO',3323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095247,6.00,5.00,1.00,5.00,6.00,8.63,2.00,3.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,202,'CENTRO','PIRAQUARA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5095271,4.00,4.00,1.00,4.00,3.00,NULL,3.00,3.00,3.00,208,NULL,235,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5095280,8.00,7.00,4.00,6.00,7.00,8.63,7.00,6.00,6.00,203,NULL,208,'CARIANOS','FLORIANÓPOLIS','SC',3197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095328,4.00,4.00,1.00,4.00,4.00,NULL,2.00,2.00,0.00,653,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5095344,9.00,8.00,5.00,8.00,9.00,8.25,4.00,5.00,7.00,103,NULL,NULL,'JARDIM PETROPOLIS','LONDRINA','PR',1488,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5095379,6.00,7.00,5.00,8.00,6.00,8.63,1.00,3.00,7.00,303,NULL,NULL,'VILLAS BOAS','CPO GRANDE','MS',6458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095387,4.00,4.00,1.00,3.00,6.00,NULL,2.00,1.00,2.00,309,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5095395,5.00,6.00,4.00,8.00,6.00,8.25,1.00,3.00,6.00,208,NULL,201,'JARDIM BELA VISTA','CPO GRANDE','MS',7275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5095425,4.00,6.00,4.00,4.00,7.00,8.63,6.00,1.00,6.00,220,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',8752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5095450,8.00,8.00,6.00,7.00,10.00,8.63,3.00,7.00,7.00,203,NULL,233,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095468,5.00,4.00,5.00,7.00,8.00,8.63,4.00,2.00,6.00,444,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',6841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095492,5.00,6.00,1.00,5.00,7.00,7.88,1.00,2.00,2.00,207,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',13498,637,NULL,340,NULL,NULL,NULL,2,1),(20,5095506,7.00,3.00,1.00,7.00,9.00,9.38,5.00,4.00,6.00,220,NULL,202,'JARDIM CANADA','RIBEIRÃO PRETO','SP',5577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095514,8.00,5.00,2.00,7.00,9.00,12.38,4.00,2.00,6.00,103,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',3607,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095530,2.00,5.00,2.00,3.00,5.00,NULL,2.00,3.00,2.00,202,NULL,213,'JANUÁRIA','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5095549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5095565,5.00,7.00,2.00,6.00,7.00,8.25,2.00,3.00,4.00,201,NULL,203,'BOM ABRIGO','FLORIANÓPOLIS','SC',10828,801,NULL,768,NULL,NULL,NULL,4,1),(20,5095573,6.00,5.00,1.00,7.00,6.00,12.38,2.00,5.00,6.00,207,NULL,201,'BOA VISTA','PNT GROSSA','PR',6671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','PALMA SOLA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5095611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5095620,4.00,4.00,4.00,3.00,5.00,9.00,1.00,5.00,6.00,216,NULL,202,'JARDIM CARVALHO','PNT GROSSA','PR',10824,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5095638,5.00,5.00,3.00,6.00,8.00,7.50,1.00,3.00,5.00,108,NULL,NULL,'CENTRO','TUBARÃO','SC',11624,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5095646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE DAS MANSOES','TANGARÁ SERRA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5095654,5.00,6.00,1.00,3.00,6.00,NULL,0.00,1.00,2.00,317,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5095662,1.00,4.00,4.00,5.00,2.00,NULL,2.00,2.00,4.00,208,NULL,238,'RUBEM BERTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5095670,4.00,7.00,4.00,7.00,6.00,7.50,0.00,4.00,5.00,316,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',12699,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5095689,5.00,5.00,0.00,5.00,7.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095697,8.00,8.00,6.00,7.00,10.00,7.88,9.00,7.00,7.00,220,NULL,202,'JARDIM MARISTELA','CRICIÚMA','SC',630,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5095700,8.00,7.00,2.00,5.00,8.00,9.75,1.00,2.00,5.00,318,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',7149,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5095719,9.00,7.00,7.00,7.00,6.00,9.00,8.00,7.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',647,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5095727,6.00,5.00,4.00,7.00,5.00,7.50,3.00,6.00,3.00,201,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',9019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095735,6.00,5.00,2.00,5.00,7.00,9.00,1.00,1.00,6.00,212,NULL,215,'PANTANAL','FLORIANÓPOLIS','SC',10936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095743,9.00,6.00,9.00,6.00,6.00,9.00,6.00,4.00,7.00,220,NULL,202,'JD BELA VISTA','GOIÂNIA','GO',1947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095751,3.00,6.00,1.00,7.00,7.00,9.38,0.00,2.00,3.00,207,NULL,233,'GUARANI','NOVO HAMBURGO','RS',13618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5095778,4.00,6.00,3.00,2.00,4.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5095786,5.00,7.00,5.00,7.00,8.00,6.38,5.00,2.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095794,4.00,7.00,2.00,4.00,7.00,NULL,0.00,2.00,3.00,207,NULL,NULL,'SANTA CATARINA','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095816,9.00,7.00,5.00,7.00,8.00,12.75,7.00,6.00,8.00,203,NULL,202,'ATALAIA','ARACAJU','SE',361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095832,7.00,6.00,4.00,6.00,8.00,8.63,4.00,6.00,6.00,104,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',4324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA SOLENE','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5095859,6.00,5.00,2.00,6.00,7.00,9.00,1.00,3.00,1.00,220,NULL,203,'JARDIM CENTENÁRIO','S CARLOS','SP',11155,315,NULL,780,NULL,NULL,NULL,4,8),(20,5095867,6.00,5.00,4.00,6.00,4.00,7.13,4.00,2.00,7.00,214,NULL,601,'JARDIM KENNDY','RIO CLARO','SP',7625,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5095875,3.00,4.00,6.00,7.00,6.00,11.25,3.00,3.00,5.00,340,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',9024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095883,4.00,5.00,0.00,3.00,7.00,NULL,1.00,1.00,4.00,103,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5095905,8.00,7.00,7.00,7.00,9.00,10.50,5.00,5.00,8.00,203,NULL,202,'JARDINS','ARACAJU','SE',1160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095913,6.00,5.00,2.00,3.00,9.00,10.13,5.00,5.00,4.00,109,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',7854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5095921,4.00,7.00,2.00,3.00,8.00,6.38,2.00,3.00,3.00,108,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',15828,305,NULL,NULL,NULL,NULL,NULL,2,1),(20,5095930,2.00,6.00,4.00,5.00,9.00,8.63,2.00,1.00,4.00,429,NULL,423,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',13622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095948,3.00,4.00,1.00,3.00,3.00,NULL,1.00,2.00,3.00,429,NULL,425,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095956,3.00,5.00,2.00,5.00,2.00,NULL,1.00,1.00,1.00,201,NULL,216,'LAUZANE PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5095964,4.00,5.00,0.00,3.00,3.00,NULL,1.00,1.00,3.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5095972,3.00,6.00,0.00,4.00,6.00,8.25,3.00,3.00,2.00,202,NULL,213,'OFICINAS','TUBARÃO','SC',15869,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5095999,6.00,6.00,4.00,5.00,8.00,9.00,4.00,6.00,7.00,220,NULL,202,'ITAGUA','UBATUBA','SP',4131,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096006,2.00,3.00,2.00,5.00,5.00,NULL,2.00,3.00,3.00,423,NULL,426,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096022,6.00,4.00,4.00,7.00,6.00,7.88,4.00,3.00,4.00,108,NULL,NULL,'JD UNIVERSITÁRIO','MARINGÁ','PR',11804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5096049,9.00,7.00,5.00,7.00,10.00,10.50,9.00,5.00,8.00,203,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5096065,6.00,3.00,2.00,4.00,6.00,6.00,0.00,3.00,4.00,234,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM LAMBRETA','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5096081,8.00,7.00,3.00,6.00,7.00,9.38,1.00,4.00,7.00,103,NULL,NULL,'COQUEIRAL','CASCAVEL','PR',6166,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5096090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'LAGO SUL','LG SUL','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5096111,9.00,5.00,2.00,6.00,5.00,9.00,5.00,0.00,6.00,501,NULL,NULL,'CENTRO','QUILOMBO','SC',8976,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5096138,3.00,5.00,3.00,7.00,4.00,9.00,1.00,3.00,5.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5096154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5096170,7.00,6.00,4.00,7.00,9.00,9.00,2.00,2.00,5.00,601,NULL,233,'CENTRO','MARAVILHA','SC',6663,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5096189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IMARUÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5096200,7.00,6.00,1.00,6.00,6.00,8.63,3.00,6.00,5.00,453,NULL,NULL,'CENTRO','STA MARIA','RS',8051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5096219,5.00,5.00,4.00,7.00,10.00,11.63,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5096235,7.00,7.00,3.00,7.00,8.00,7.88,3.00,2.00,3.00,303,NULL,NULL,'CENTRO','STA RITA SAPUCAÍ','MG',6737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5096243,3.00,5.00,4.00,7.00,7.00,8.63,1.00,4.00,3.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13541,184,NULL,NULL,NULL,NULL,NULL,5,1),(20,5096251,2.00,3.00,1.00,5.00,7.00,NULL,2.00,1.00,5.00,451,NULL,NULL,'CHACARA DAS PEDRAS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096278,8.00,8.00,3.00,6.00,7.00,9.00,2.00,4.00,7.00,102,NULL,NULL,'CRISTO REI','CURITIBA','PR',4357,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5096286,7.00,8.00,3.00,7.00,5.00,10.50,3.00,4.00,4.00,424,NULL,427,'CAMPINAS','S JOSÉ','SC',8408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5096316,8.00,8.00,4.00,7.00,11.00,8.63,2.00,6.00,6.00,303,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',2712,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096324,8.00,7.00,7.00,6.00,8.00,9.00,6.00,5.00,8.00,420,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1222,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096340,7.00,7.00,0.00,6.00,6.00,9.75,2.00,6.00,4.00,3,NULL,NULL,'LOURDES','CAXIAS SUL','RS',7223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5096359,6.00,7.00,4.00,6.00,7.00,11.63,2.00,5.00,5.00,238,NULL,208,'RATONES','FLORIANÓPOLIS','SC',6526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5096367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5096383,7.00,6.00,3.00,7.00,8.00,9.00,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',7234,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5096391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','BOM J OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5096405,4.00,7.00,1.00,4.00,4.00,7.88,2.00,3.00,6.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',13554,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096413,2.00,5.00,1.00,3.00,2.00,NULL,3.00,4.00,2.00,429,NULL,427,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096430,7.00,6.00,3.00,3.00,6.00,9.75,2.00,3.00,5.00,238,NULL,208,'FAZ SANTO ANTÔNIO','S JOSÉ','SC',10700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096472,9.00,8.00,7.00,4.00,10.00,9.00,7.00,5.00,9.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',686,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5096480,7.00,8.00,0.00,6.00,8.00,9.38,3.00,6.00,6.00,426,NULL,429,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',5182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096499,7.00,8.00,3.00,7.00,8.00,9.00,6.00,2.00,7.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',3060,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5096502,2.00,2.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096510,8.00,7.00,4.00,3.00,7.00,7.88,1.00,3.00,4.00,207,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',10218,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096529,6.00,6.00,4.00,3.00,6.00,3.75,0.00,2.00,7.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5096537,7.00,5.00,0.00,2.00,5.00,9.75,1.00,3.00,2.00,101,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',14625,85,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096545,9.00,7.00,8.00,8.00,7.00,8.63,6.00,5.00,8.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',750,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5096553,3.00,4.00,1.00,2.00,6.00,NULL,2.00,0.00,3.00,503,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5096570,6.00,7.00,4.00,5.00,7.00,10.50,4.00,5.00,4.00,452,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',6764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5096588,2.00,4.00,0.00,2.00,3.00,NULL,2.00,1.00,1.00,333,NULL,NULL,'INTERIOR','SERRA ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5096596,5.00,3.00,1.00,5.00,9.00,6.00,2.00,2.00,5.00,101,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',14139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5096618,6.00,6.00,1.00,4.00,5.00,7.13,1.00,4.00,4.00,108,NULL,NULL,'CENTRO','GAROPABA','SC',15469,300,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'JARDIM UNIVERSITÁRIO','PNT PORÃ','MS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5096634,7.00,7.00,7.00,6.00,8.00,8.25,6.00,7.00,8.00,203,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',1499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5096669,3.00,4.00,0.00,5.00,5.00,NULL,0.00,3.00,3.00,109,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5096685,5.00,7.00,3.00,4.00,8.00,6.00,1.00,1.00,4.00,420,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',12806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096715,8.00,6.00,1.00,7.00,5.00,6.75,2.00,5.00,6.00,301,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',10034,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5096723,5.00,7.00,4.00,6.00,6.00,9.00,2.00,4.00,6.00,426,NULL,428,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5096740,5.00,5.00,2.00,4.00,5.00,5.25,2.00,3.00,5.00,234,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5096758,7.00,6.00,3.00,5.00,9.00,9.00,2.00,3.00,6.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6462,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096766,1.00,3.00,1.00,3.00,1.00,NULL,2.00,2.00,5.00,404,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096774,6.00,5.00,2.00,5.00,7.00,6.75,0.00,3.00,2.00,318,NULL,NULL,'BOA VISTA','RIO SUL','SC',13764,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5096790,2.00,4.00,1.00,7.00,4.00,8.63,2.00,2.00,3.00,425,NULL,429,'RIO NEGRO','S BENTO SUL','SC',15565,50,NULL,44,NULL,NULL,NULL,4,17),(20,5096804,6.00,8.00,1.00,6.00,9.00,8.63,3.00,2.00,6.00,502,NULL,NULL,'INTERIOR','SUL BRASIL','SC',5988,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5096812,0.00,2.00,0.00,0.00,0.00,NULL,1.00,1.00,2.00,308,NULL,NULL,'JARDIM JANAÍNA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',2,1),(20,5096839,9.00,9.00,4.00,7.00,9.00,9.75,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',721,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5096847,4.00,6.00,4.00,5.00,6.00,9.75,2.00,4.00,4.00,208,NULL,238,'ÁGUA VERDE','CURITIBA','PR',8240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5096855,6.00,6.00,2.00,6.00,6.00,6.00,3.00,3.00,5.00,452,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5096863,8.00,4.00,0.00,4.00,4.00,6.00,2.00,1.00,0.00,317,NULL,NULL,'FLORESTA','S JOSÉ','SC',16327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096880,3.00,4.00,0.00,2.00,4.00,NULL,0.00,0.00,4.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096898,6.00,3.00,3.00,4.00,7.00,6.75,2.00,1.00,4.00,108,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',14825,279,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096901,9.00,6.00,1.00,6.00,9.00,10.13,3.00,4.00,6.00,103,NULL,NULL,'CENTENÁRIO','TORRES','RS',4175,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5096910,5.00,6.00,0.00,6.00,7.00,7.13,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5096936,3.00,2.00,1.00,2.00,2.00,NULL,0.00,2.00,0.00,103,NULL,NULL,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5096952,3.00,4.00,4.00,6.00,7.00,9.38,2.00,1.00,4.00,340,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',14709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5096960,5.00,5.00,2.00,7.00,10.00,7.13,2.00,3.00,6.00,319,NULL,NULL,'SAO MARCOS','JOINVILLE','SC',7799,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(20,5096979,4.00,5.00,3.00,4.00,6.00,7.88,0.00,2.00,4.00,201,NULL,213,'FLOR DE NAPOLIS','S JOSÉ','SC',14954,1063,NULL,192,NULL,NULL,NULL,2,1),(20,5096987,3.00,6.00,1.00,4.00,3.00,NULL,1.00,3.00,1.00,336,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5096995,3.00,6.00,2.00,1.00,3.00,NULL,3.00,3.00,5.00,424,NULL,426,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097002,6.00,5.00,2.00,4.00,7.00,6.38,2.00,2.00,3.00,203,NULL,214,'ABRAÃO','FLORIANÓPOLIS','SC',14319,908,NULL,350,NULL,NULL,NULL,2,1),(20,5097010,5.00,7.00,5.00,6.00,7.00,7.50,4.00,2.00,4.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',8623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5097045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5097053,5.00,6.00,1.00,4.00,7.00,6.75,3.00,3.00,6.00,336,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'SAGRADA FAMILHA','NOVA PRATA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5097070,9.00,8.00,6.00,5.00,9.00,8.25,8.00,5.00,8.00,216,NULL,203,'BOQUEIRÃO','PASSO FUNDO','RS',1287,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5097134,8.00,7.00,3.00,7.00,4.00,9.75,2.00,6.00,5.00,103,NULL,NULL,'ALTO TARUMA','PINHAIS','PR',5167,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5097142,4.00,5.00,2.00,1.00,8.00,6.75,2.00,6.00,4.00,220,NULL,208,'REGINA','CATANDUVAS','SC',15158,368,NULL,434,NULL,NULL,NULL,2,7),(20,5097150,5.00,7.00,3.00,6.00,6.00,8.63,2.00,6.00,2.00,327,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5097169,6.00,6.00,0.00,7.00,6.00,7.13,3.00,1.00,4.00,336,NULL,NULL,'VILA ÉDIO','ARAPONGAS','PR',13440,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5097177,4.00,6.00,3.00,5.00,7.00,7.13,1.00,3.00,5.00,225,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14223,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097185,4.00,6.00,2.00,5.00,5.00,10.13,3.00,3.00,4.00,208,NULL,NULL,'LENÇOL','S BENTO SUL','SC',11674,270,NULL,NULL,NULL,NULL,NULL,2,8),(20,5097193,6.00,7.00,1.00,2.00,6.00,6.75,2.00,5.00,3.00,233,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',13799,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097207,3.00,5.00,1.00,3.00,6.00,NULL,0.00,0.00,6.00,103,NULL,NULL,'NOVA BRASÍLIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5097215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5097223,7.00,7.00,7.00,6.00,7.00,9.00,6.00,4.00,5.00,104,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',3705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5097231,7.00,7.00,3.00,7.00,4.00,10.13,3.00,5.00,5.00,103,NULL,NULL,'LIBERDADE','NOVO HAMBURGO','RS',6344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5097240,6.00,3.00,0.00,4.00,8.00,10.50,0.00,3.00,6.00,303,NULL,NULL,'ESPLANDA','CHAPECÓ','SC',11927,491,NULL,NULL,NULL,NULL,NULL,4,4),(20,5097258,8.00,8.00,7.00,4.00,5.00,9.38,5.00,4.00,7.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',2773,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097266,5.00,4.00,3.00,4.00,5.00,9.00,0.00,2.00,5.00,452,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097274,7.00,8.00,1.00,6.00,8.00,6.00,4.00,4.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5201,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5097282,9.00,8.00,8.00,7.00,10.00,7.50,5.00,8.00,8.00,203,NULL,207,'CENTRO','CANOINHAS','SC',506,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5097290,5.00,2.00,6.00,5.00,6.00,7.50,3.00,0.00,3.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',14695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5097312,7.00,4.00,2.00,5.00,7.00,9.75,3.00,2.00,5.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5097320,4.00,0.00,1.00,4.00,3.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MORRINHOS','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5097339,2.00,3.00,1.00,2.00,3.00,NULL,2.00,0.00,4.00,101,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097355,5.00,4.00,1.00,6.00,5.00,4.50,2.00,4.00,4.00,503,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5097371,4.00,6.00,1.00,8.00,6.00,10.13,2.00,3.00,3.00,340,NULL,NULL,'CENTRO','CURITIBA','PR',10062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5097380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5097398,6.00,3.00,3.00,2.00,5.00,6.38,3.00,2.00,4.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',13690,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5097401,1.00,4.00,1.00,1.00,5.00,NULL,0.00,3.00,2.00,319,NULL,NULL,'ARMAÇÃO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5097410,6.00,4.00,1.00,5.00,7.00,8.63,1.00,6.00,3.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13639,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097428,7.00,6.00,3.00,7.00,8.00,10.13,3.00,4.00,5.00,303,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',4843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5097436,5.00,3.00,4.00,3.00,6.00,9.38,2.00,1.00,4.00,207,NULL,201,'SANTANA','RIO SUL','SC',15929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5097444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5097452,3.00,3.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,317,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097460,8.00,6.00,6.00,5.00,9.00,8.63,4.00,4.00,5.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',3104,1524,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097487,3.00,5.00,0.00,4.00,7.00,NULL,3.00,1.00,2.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097495,5.00,6.00,1.00,1.00,4.00,8.25,3.00,4.00,3.00,203,NULL,214,'ALTO ARIRIÚ','PALHOÇA','SC',15846,967,NULL,376,NULL,NULL,NULL,4,1),(20,5097509,3.00,7.00,1.00,2.00,7.00,NULL,1.00,4.00,2.00,234,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097517,8.00,5.00,3.00,4.00,6.00,9.00,3.00,5.00,4.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',9470,3093,NULL,NULL,NULL,NULL,NULL,2,8),(20,5097525,3.00,6.00,4.00,2.00,0.00,NULL,1.00,2.00,3.00,336,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PEDRO LUDOVICO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5097541,6.00,7.00,5.00,5.00,8.00,12.00,3.00,5.00,8.00,103,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',3400,1626,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5097568,4.00,4.00,2.00,3.00,6.00,8.63,2.00,3.00,4.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',15852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5097576,6.00,6.00,3.00,5.00,7.00,10.13,3.00,6.00,5.00,102,NULL,NULL,'XAXIM','CURITIBA','PR',7244,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5097584,8.00,7.00,1.00,4.00,6.00,9.00,4.00,6.00,6.00,103,NULL,NULL,'SITIO CERCADO','CURITIBA','PR',6582,2553,NULL,NULL,NULL,NULL,NULL,2,8),(20,5097606,6.00,5.00,2.00,3.00,4.00,8.25,2.00,2.00,5.00,108,NULL,NULL,'CRISTO REI','CURITIBA','PR',14169,263,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097614,2.00,6.00,0.00,6.00,6.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5097622,4.00,7.00,5.00,7.00,9.00,6.00,3.00,6.00,7.00,301,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',5804,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5097630,7.00,6.00,3.00,7.00,7.00,9.00,3.00,3.00,4.00,101,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',7782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5097649,9.00,5.00,5.00,6.00,10.00,8.63,2.00,5.00,7.00,203,NULL,235,'CENTRO','CURITIBA','PR',2665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE PATRIARCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5097665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'SAGRADO CORAÇÃO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5097690,7.00,8.00,4.00,7.00,11.00,12.00,3.00,4.00,4.00,103,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',3644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5097703,5.00,4.00,2.00,4.00,3.00,NULL,0.00,2.00,3.00,203,NULL,212,'PARQUE DA MATRIZ','CACHOEIRINHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097711,8.00,8.00,4.00,7.00,6.00,9.38,4.00,7.00,9.00,103,NULL,NULL,'CENTRO','LAGES','SC',1773,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5097720,5.00,7.00,1.00,2.00,7.00,6.00,2.00,5.00,2.00,317,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PAROLIN','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5097754,6.00,7.00,2.00,6.00,9.00,10.13,1.00,6.00,7.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',5497,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5097789,4.00,4.00,3.00,6.00,4.00,6.00,2.00,3.00,5.00,319,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',13244,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5097835,4.00,4.00,1.00,5.00,4.00,NULL,1.00,0.00,3.00,207,NULL,215,'CRUZEIRO DO SUL','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5097843,5.00,5.00,3.00,2.00,6.00,11.63,2.00,3.00,4.00,2,NULL,NULL,'PRESIDENTE ALTINO','OSASCO','SP',12270,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097851,7.00,5.00,1.00,3.00,7.00,7.88,3.00,4.00,4.00,340,NULL,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',10757,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5097878,3.00,5.00,4.00,2.00,5.00,7.50,3.00,3.00,3.00,104,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097886,8.00,7.00,7.00,4.00,9.00,9.00,8.00,8.00,9.00,220,NULL,214,'CAJURU','CURITIBA','PR',518,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5097908,4.00,4.00,4.00,3.00,6.00,8.25,2.00,5.00,6.00,103,NULL,NULL,'CENTENÁRIO','SAPIRANGA','RS',11108,3316,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097924,5.00,5.00,3.00,5.00,5.00,7.50,2.00,1.00,4.00,303,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',15225,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5097940,9.00,6.00,3.00,7.00,9.00,9.75,7.00,6.00,7.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',1396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5097959,6.00,5.00,0.00,4.00,4.00,9.00,3.00,2.00,3.00,201,NULL,203,'VILA ESTRELA','AMAMBAÍ','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5097967,1.00,2.00,1.00,1.00,4.00,NULL,1.00,2.00,1.00,316,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5097975,1.00,5.00,2.00,4.00,7.00,NULL,3.00,1.00,2.00,426,NULL,428,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5097983,3.00,5.00,1.00,3.00,3.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'ARMAÇÃO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5098009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5098017,2.00,5.00,1.00,6.00,4.00,8.25,1.00,2.00,4.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',15774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5098025,5.00,8.00,4.00,6.00,6.00,7.88,0.00,2.00,4.00,652,NULL,653,'CENTRO','ARARANGUÁ','SC',12856,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5098033,5.00,4.00,1.00,5.00,4.00,8.25,4.00,2.00,2.00,319,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',16232,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5098041,8.00,5.00,4.00,5.00,7.00,8.63,4.00,6.00,6.00,216,NULL,653,'VILA SÃO JOSÉ','ARARANGUÁ','SC',5037,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5098050,3.00,3.00,0.00,5.00,4.00,NULL,4.00,2.00,3.00,303,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5098076,9.00,6.00,3.00,6.00,10.00,7.13,5.00,3.00,7.00,102,NULL,NULL,'LIVRAMENTO','TURVO','SC',4472,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5098092,6.00,4.00,3.00,5.00,10.00,9.38,1.00,4.00,5.00,415,NULL,NULL,'ZONA TRES','CIANORTE','PR',6106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5098106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5098122,6.00,6.00,2.00,3.00,8.00,6.75,1.00,4.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11676,478,NULL,NULL,NULL,NULL,NULL,2,1),(20,5098130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','NONOAI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5098149,6.00,6.00,4.00,3.00,7.00,6.00,3.00,4.00,5.00,9,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',11281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5098157,9.00,9.00,6.00,7.00,11.00,10.50,6.00,5.00,9.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',186,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5098165,5.00,7.00,2.00,5.00,4.00,6.00,2.00,5.00,5.00,601,NULL,233,'JD BANDEIRANTES','TELÊMACO BORBA','PR',13726,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5098181,5.00,4.00,0.00,2.00,9.00,7.13,2.00,4.00,4.00,102,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12534,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5098190,7.00,6.00,5.00,6.00,6.00,7.50,0.00,2.00,7.00,304,NULL,NULL,'ATIRADORES','JOINVILLE','SC',9874,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5098203,2.00,4.00,0.00,2.00,3.00,NULL,1.00,3.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5098220,1.00,4.00,1.00,1.00,5.00,NULL,2.00,0.00,1.00,415,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5098238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5098246,7.00,8.00,2.00,5.00,9.00,10.88,4.00,5.00,6.00,103,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',4403,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5098254,7.00,3.00,4.00,5.00,6.00,7.50,3.00,3.00,5.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',10050,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5098297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5098300,6.00,8.00,2.00,6.00,10.00,7.13,4.00,4.00,5.00,102,NULL,NULL,'CENTRO','DOIS VIZINHOS','PR',5291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5098319,6.00,6.00,1.00,6.00,5.00,7.88,3.00,4.00,6.00,201,NULL,601,'CORREGO GRANDE','FLORIANÓPOLIS','SC',8615,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5098327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5098335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5098343,3.00,8.00,2.00,2.00,7.00,8.25,1.00,2.00,4.00,207,NULL,215,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15075,734,NULL,314,NULL,NULL,NULL,4,1),(20,5098351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5098378,4.00,7.00,1.00,5.00,4.00,8.63,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','POUSO REDONDO','SC',13678,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5098386,8.00,8.00,6.00,5.00,8.00,8.25,5.00,5.00,9.00,220,NULL,653,'CENTRO','BOM RER SUL','RS',2146,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5098394,2.00,3.00,4.00,7.00,4.00,6.00,5.00,3.00,4.00,203,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',15601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5098408,7.00,6.00,2.00,5.00,8.00,9.00,2.00,3.00,6.00,452,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',7326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5098432,6.00,5.00,2.00,6.00,6.00,7.13,1.00,2.00,3.00,340,NULL,NULL,'JARDIM MARIA AUGUSTA','TAUBATÉ','SP',14320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5098459,1.00,4.00,1.00,5.00,8.00,NULL,3.00,1.00,1.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5098467,1.00,4.00,0.00,2.00,2.00,NULL,0.00,3.00,4.00,333,NULL,NULL,'HAUER','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5098483,8.00,7.00,2.00,5.00,7.00,9.75,2.00,2.00,7.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',7034,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5098491,6.00,5.00,3.00,1.00,3.00,NULL,2.00,2.00,4.00,216,NULL,215,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5098521,7.00,6.00,6.00,4.00,8.00,11.63,0.00,4.00,7.00,207,NULL,212,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',6169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5098530,6.00,7.00,2.00,6.00,6.00,9.00,3.00,3.00,7.00,203,NULL,214,'JUVEVÊ','CURITIBA','PR',7594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5098556,4.00,5.00,1.00,5.00,6.00,8.25,3.00,2.00,3.00,501,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5098564,3.00,4.00,1.00,3.00,7.00,NULL,2.00,2.00,2.00,104,NULL,NULL,'CENTRO','PASSOS MAIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5098572,8.00,7.00,6.00,7.00,8.00,11.63,5.00,7.00,7.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5098580,3.00,6.00,2.00,1.00,4.00,NULL,1.00,2.00,0.00,203,NULL,207,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5098599,7.00,4.00,3.00,7.00,8.00,9.38,1.00,4.00,7.00,103,NULL,NULL,'CENTRO','IRATI','PR',5565,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5098602,8.00,6.00,3.00,8.00,9.00,9.38,4.00,5.00,6.00,207,NULL,201,'FAZENDA','ITAJAÍ','SC',5193,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5098610,4.00,6.00,1.00,3.00,3.00,NULL,0.00,3.00,2.00,651,NULL,653,'SÃO LUIZ','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5098629,4.00,4.00,4.00,5.00,8.00,NULL,0.00,1.00,3.00,216,NULL,202,'SOLAR DO AGRESTE B','RIO VERDE','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5098637,1.00,5.00,4.00,6.00,3.00,NULL,2.00,0.00,5.00,207,NULL,201,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5098645,7.00,7.00,4.00,6.00,7.00,7.50,3.00,5.00,6.00,601,NULL,213,'CENTRO','CRICIÚMA','SC',7099,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5098661,6.00,5.00,0.00,4.00,5.00,8.63,2.00,1.00,1.00,238,NULL,208,'CENTRO','STO AMARO IMPERATRIZ','SC',16262,439,NULL,490,NULL,NULL,NULL,4,1),(20,5098670,7.00,7.00,7.00,2.00,7.00,6.00,5.00,2.00,6.00,201,NULL,216,'CENTRO','PALHOÇA','SC',8683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5098696,6.00,7.00,1.00,3.00,6.00,9.38,2.00,3.00,4.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14397,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5098700,8.00,6.00,3.00,7.00,8.00,12.00,3.00,2.00,6.00,103,NULL,NULL,'RECANTO TROPICAL','CASCAVEL','PR',4102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5098726,7.00,6.00,4.00,6.00,6.00,6.75,3.00,5.00,4.00,453,NULL,NULL,'CENTRO','FRAIBURGO','SC',7886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5098734,6.00,6.00,2.00,5.00,7.00,8.63,3.00,5.00,4.00,203,NULL,207,'SERTÃO DO IMARUÍM','S JOSÉ','SC',10511,751,NULL,503,NULL,NULL,NULL,2,1),(20,5098750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM FAZENDARINCÃO','ARUJÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5098769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'PRAIA DE ITPARICA','VL VELHA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5098777,4.00,5.00,2.00,4.00,6.00,6.75,2.00,2.00,5.00,202,NULL,238,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5098785,2.00,3.00,2.00,7.00,4.00,NULL,1.00,2.00,2.00,216,NULL,215,'IDEAL','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5098793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'VILA MELO','S VICENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5098807,3.00,4.00,2.00,2.00,2.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5098815,10.00,8.00,5.00,6.00,9.00,10.13,7.00,5.00,9.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',482,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5098823,4.00,4.00,3.00,5.00,6.00,6.75,0.00,2.00,4.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',15747,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5098831,1.00,3.00,1.00,7.00,4.00,NULL,0.00,2.00,3.00,303,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5098858,4.00,7.00,4.00,2.00,8.00,8.63,2.00,5.00,5.00,320,NULL,NULL,'CALHEIROS','GOV CELSO RAMOS','SC',9608,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5098874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5098882,8.00,8.00,3.00,4.00,9.00,9.38,1.00,4.00,4.00,238,NULL,208,'RIO VERMELHO','FLORIANÓPOLIS','SC',7423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5098890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5098920,3.00,7.00,2.00,6.00,6.00,7.50,3.00,3.00,6.00,601,NULL,201,'MALUCHE','BRUSQUE','SC',10498,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5098947,9.00,9.00,7.00,7.00,10.00,11.25,6.00,6.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5098955,6.00,4.00,2.00,6.00,4.00,7.13,1.00,3.00,3.00,207,NULL,NULL,'AMERICA','JOINVILLE','SC',13710,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5098963,9.00,6.00,5.00,5.00,4.00,11.63,5.00,3.00,8.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',3507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5098998,8.00,6.00,4.00,5.00,10.00,9.75,2.00,5.00,6.00,203,NULL,202,'CENTRO','CRICIÚMA','SC',4117,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5099005,5.00,6.00,4.00,6.00,9.00,7.50,4.00,2.00,5.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8801,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5099030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,653,'SÃO FRANCISCO XAXIER','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5099048,5.00,7.00,4.00,3.00,3.00,NULL,1.00,3.00,5.00,214,NULL,203,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5099064,1.00,3.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,104,NULL,NULL,'CENTRO','TELÊMACO BORBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NUPORANGA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5099110,7.00,6.00,0.00,4.00,6.00,NULL,0.00,2.00,6.00,420,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099129,1.00,0.00,1.00,3.00,5.00,NULL,1.00,2.00,2.00,211,NULL,233,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099137,8.00,5.00,5.00,5.00,5.00,7.50,1.00,5.00,7.00,211,NULL,201,'CAMPINAS','S JOSÉ','SC',6877,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099145,6.00,7.00,6.00,7.00,9.00,10.88,6.00,6.00,6.00,318,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099153,2.00,4.00,3.00,4.00,7.00,NULL,2.00,4.00,3.00,104,NULL,NULL,'QUARTA LINHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5099161,5.00,7.00,3.00,4.00,7.00,10.13,2.00,3.00,4.00,316,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',11869,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099170,7.00,6.00,3.00,5.00,5.00,9.38,2.00,5.00,4.00,326,NULL,NULL,'CENTRO','ITAPIRANGA','SC',8686,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5099188,7.00,7.00,2.00,6.00,7.00,12.00,3.00,1.00,6.00,212,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',5130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099200,3.00,6.00,1.00,5.00,3.00,NULL,1.00,2.00,4.00,203,NULL,202,'MUNDINHO','MINEIROS','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5099218,7.00,7.00,4.00,5.00,6.00,8.63,3.00,4.00,5.00,303,NULL,NULL,'CENTRO','URUSSANGA','SC',8996,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5099226,8.00,5.00,3.00,7.00,9.00,9.75,3.00,4.00,6.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099242,6.00,8.00,1.00,6.00,8.00,6.00,2.00,6.00,6.00,103,NULL,NULL,'INTERIOR','HERVAL D OESTE','SC',6592,2556,NULL,NULL,NULL,NULL,NULL,2,7),(20,5099250,5.00,6.00,3.00,5.00,7.00,8.25,4.00,3.00,5.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',9678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099277,3.00,5.00,3.00,4.00,4.00,6.75,3.00,2.00,2.00,317,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',16128,135,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099285,4.00,3.00,0.00,3.00,8.00,10.88,3.00,2.00,6.00,211,NULL,215,'JARDIM ITÁLIA','CHAPECÓ','SC',12579,391,NULL,260,NULL,NULL,NULL,2,4),(20,5099293,9.00,6.00,3.00,7.00,7.00,11.63,3.00,5.00,8.00,453,NULL,NULL,'JARDIM DA PENHA','VITÓRIA','ES',2105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5099323,9.00,7.00,6.00,8.00,9.00,8.63,7.00,4.00,8.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099331,7.00,6.00,3.00,5.00,6.00,10.13,1.00,4.00,5.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9654,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099340,8.00,6.00,3.00,7.00,6.00,6.75,4.00,7.00,5.00,301,NULL,NULL,'CENTRO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5099358,5.00,5.00,4.00,0.00,5.00,8.63,1.00,1.00,5.00,203,NULL,207,'MAGALHÃES','LAGUNA','SC',15284,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5099366,7.00,7.00,4.00,6.00,7.00,9.00,5.00,3.00,8.00,103,NULL,NULL,'AHU','CURITIBA','PR',4514,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5099374,7.00,7.00,1.00,2.00,7.00,9.38,0.00,6.00,2.00,103,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',15022,3755,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099382,4.00,4.00,2.00,7.00,7.00,9.38,3.00,3.00,3.00,415,NULL,NULL,'GARCIA','BLUMENAU','SC',13507,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5099390,6.00,5.00,3.00,5.00,7.00,10.50,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','TIJUCAS','SC',9115,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099404,8.00,6.00,3.00,7.00,7.00,8.25,4.00,5.00,7.00,104,NULL,NULL,'CITY RIBEIRAO','RIBEIRÃO PRETO','SP',4107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099412,9.00,9.00,7.00,7.00,10.00,12.38,6.00,5.00,9.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099420,5.00,6.00,3.00,5.00,8.00,8.25,3.00,2.00,5.00,420,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',11113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5099447,9.00,5.00,2.00,6.00,7.00,12.75,2.00,4.00,5.00,222,NULL,NULL,'ALTO DA XV','CURITIBA','PR',5106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VISTA ALEGE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5099463,5.00,6.00,3.00,3.00,6.00,8.63,1.00,0.00,5.00,213,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13634,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5099498,8.00,6.00,1.00,5.00,6.00,9.00,3.00,2.00,5.00,319,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099501,6.00,6.00,2.00,7.00,8.00,7.50,2.00,7.00,5.00,303,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',7615,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5099510,7.00,8.00,6.00,7.00,8.00,8.25,3.00,6.00,5.00,103,NULL,NULL,'ROSARIO','STA MARIA','RS',3421,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5099528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JD CHAPADÃO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5099552,7.00,5.00,2.00,2.00,6.00,9.00,1.00,1.00,3.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13441,3570,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099560,7.00,6.00,6.00,6.00,5.00,6.75,3.00,5.00,7.00,202,NULL,220,'ALTO DAS PALMEIRAS','CANOINHAS','SC',6040,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5099579,4.00,6.00,2.00,3.00,6.00,6.38,3.00,3.00,3.00,333,NULL,NULL,'RIO TAVAREZ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NONOAI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5099617,6.00,5.00,5.00,4.00,3.00,NULL,4.00,2.00,5.00,207,NULL,201,'JARDIM PORTO ALEGRE','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5099625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5099633,5.00,4.00,3.00,4.00,5.00,9.38,2.00,3.00,3.00,320,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM EUROPA','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5099650,7.00,8.00,5.00,7.00,9.00,9.75,5.00,5.00,6.00,340,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',1802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099668,4.00,6.00,2.00,4.00,7.00,6.38,5.00,4.00,3.00,317,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',15101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099676,8.00,7.00,1.00,6.00,6.00,10.88,2.00,5.00,4.00,319,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',7527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099684,8.00,5.00,3.00,4.00,7.00,11.25,2.00,1.00,4.00,238,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',11294,230,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099692,5.00,6.00,2.00,6.00,8.00,10.13,1.00,3.00,5.00,319,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099706,5.00,6.00,1.00,4.00,5.00,10.13,2.00,4.00,4.00,211,NULL,207,'CENTRO','QUILOMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5099722,9.00,7.00,2.00,1.00,7.00,9.00,3.00,5.00,5.00,501,NULL,NULL,'CH RECREIO ALVORADA','HORTOLÂNDIA','SP',9005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,425,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5099757,9.00,5.00,8.00,4.00,9.00,10.50,7.00,6.00,8.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',857,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5099773,1.00,4.00,3.00,2.00,6.00,6.00,4.00,3.00,4.00,326,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099781,2.00,3.00,1.00,6.00,4.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5099803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5099820,8.00,7.00,6.00,8.00,7.00,9.38,6.00,7.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',926,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5099838,6.00,6.00,1.00,4.00,7.00,NULL,0.00,3.00,3.00,207,NULL,215,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,652,'MOSSUNGUÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5099854,5.00,6.00,5.00,3.00,3.00,NULL,2.00,4.00,3.00,316,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099862,9.00,8.00,3.00,5.00,8.00,7.13,2.00,4.00,9.00,233,NULL,215,'PRAIA COMPRIDA','S JOSÉ','SC',4864,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099870,6.00,6.00,5.00,4.00,8.00,10.13,3.00,5.00,6.00,327,NULL,NULL,'FAZENDA','ITAJAÍ','SC',7821,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5099889,6.00,8.00,4.00,6.00,8.00,11.25,4.00,5.00,4.00,201,NULL,207,'TAPERA','FLORIANÓPOLIS','SC',4110,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099897,4.00,6.00,2.00,4.00,4.00,6.75,0.00,4.00,5.00,208,NULL,NULL,'CENTRO','GAROPABA','SC',16141,483,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'VILA ESPERANÇA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5099919,4.00,3.00,2.00,1.00,6.00,NULL,1.00,3.00,3.00,211,NULL,215,'SAMUEL SANDRINI','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5099927,3.00,6.00,4.00,6.00,7.00,8.25,3.00,2.00,3.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',12399,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5099935,5.00,4.00,3.00,3.00,7.00,7.50,2.00,2.00,6.00,302,NULL,NULL,'AGAPEAMA','JUNDIAÍ','SP',13768,74,NULL,NULL,NULL,NULL,NULL,4,8),(20,5099943,2.00,6.00,0.00,5.00,4.00,NULL,0.00,4.00,3.00,303,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5099951,6.00,4.00,4.00,1.00,6.00,0.00,2.00,3.00,0.00,304,NULL,NULL,'CENTRO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5099960,6.00,5.00,0.00,7.00,8.00,NULL,3.00,4.00,5.00,340,NULL,NULL,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5099978,3.00,2.00,3.00,5.00,1.00,NULL,0.00,0.00,2.00,426,NULL,428,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099986,7.00,5.00,4.00,7.00,6.00,9.00,2.00,5.00,4.00,340,NULL,NULL,'PROTASIO ALVES','PTO ALEGRE','RS',8152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5099994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'PARQUE VERDE','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5100003,1.00,6.00,0.00,4.00,7.00,NULL,0.00,3.00,5.00,207,NULL,201,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TUNÁPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5100038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5100046,6.00,6.00,0.00,7.00,7.00,NULL,1.00,4.00,5.00,429,NULL,428,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100054,5.00,7.00,4.00,5.00,8.00,6.75,3.00,5.00,5.00,317,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100062,2.00,3.00,1.00,4.00,9.00,NULL,0.00,3.00,3.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100089,6.00,7.00,2.00,7.00,5.00,7.50,0.00,2.00,7.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100100,3.00,3.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,101,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100119,8.00,8.00,1.00,7.00,9.00,10.88,3.00,3.00,7.00,108,NULL,NULL,'JARDIM BOTÂNICO','CURITIBA','PR',3231,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5100127,3.00,5.00,1.00,3.00,5.00,NULL,1.00,3.00,2.00,101,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100135,2.00,3.00,0.00,1.00,4.00,NULL,1.00,0.00,1.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100151,3.00,0.00,1.00,6.00,6.00,NULL,0.00,0.00,0.00,208,NULL,235,'SANTA MARIA','MTE CASTELO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,17),(20,5100160,7.00,5.00,1.00,7.00,9.00,9.75,2.00,7.00,9.00,336,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',5882,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5100186,3.00,4.00,0.00,7.00,7.00,7.13,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',15357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100194,9.00,7.00,5.00,7.00,11.00,8.25,5.00,6.00,7.00,216,NULL,201,'CONDOMÍNIO B','FOZ IGUAÇU','PR',998,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5100208,3.00,5.00,1.00,1.00,2.00,NULL,1.00,2.00,3.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100224,5.00,4.00,1.00,4.00,8.00,7.13,4.00,2.00,5.00,317,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',15059,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100232,6.00,6.00,4.00,5.00,7.00,8.25,1.00,3.00,4.00,317,NULL,NULL,'CENTRO','PALHOÇA','SC',11153,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100240,4.00,7.00,3.00,7.00,5.00,6.00,5.00,2.00,3.00,208,NULL,238,'BELCHIOR','GASPAR','SC',9965,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(20,5100259,8.00,4.00,2.00,4.00,7.00,9.38,3.00,3.00,4.00,103,NULL,NULL,'CAMILÓPOLIS','STO ANDRÉ','SP',8731,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5100275,8.00,7.00,2.00,4.00,9.00,9.38,3.00,5.00,5.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',4973,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100283,9.00,5.00,5.00,6.00,10.00,7.50,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100291,5.00,6.00,0.00,3.00,4.00,6.75,3.00,4.00,5.00,316,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',13859,207,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAMBARÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5100313,2.00,3.00,1.00,3.00,8.00,NULL,3.00,1.00,2.00,104,NULL,NULL,'RIBEIRÃO FRESCO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5100348,2.00,5.00,1.00,6.00,6.00,7.13,0.00,4.00,3.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14038,569,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100356,3.00,4.00,3.00,2.00,3.00,NULL,3.00,2.00,3.00,211,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5100372,2.00,3.00,3.00,3.00,6.00,NULL,3.00,3.00,3.00,208,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'PARK WAY','NUC BANDEIRANTE','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5100402,5.00,5.00,2.00,4.00,4.00,7.50,1.00,2.00,4.00,104,NULL,NULL,'OURO PRETO','CARAZINHO','RS',16212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100410,8.00,7.00,5.00,6.00,8.00,10.13,4.00,4.00,7.00,216,NULL,215,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100429,4.00,5.00,2.00,2.00,5.00,NULL,3.00,1.00,2.00,317,NULL,NULL,'JARDIM PINHEIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100437,5.00,5.00,0.00,7.00,8.00,NULL,1.00,3.00,3.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100445,4.00,2.00,2.00,3.00,1.00,NULL,0.00,1.00,2.00,503,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100453,3.00,4.00,2.00,3.00,3.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'VILA SANTA CATARINA','S JOÃO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5100470,5.00,6.00,3.00,3.00,3.00,NULL,2.00,6.00,3.00,203,NULL,202,'RIO MARACUJÁ','PETROLÂNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100488,6.00,4.00,0.00,3.00,6.00,8.25,2.00,2.00,4.00,104,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',15050,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5100496,1.00,2.00,2.00,2.00,4.00,NULL,1.00,2.00,1.00,301,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100500,6.00,5.00,2.00,4.00,4.00,10.50,1.00,1.00,2.00,424,NULL,429,'MORADA DO SOL','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5100526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM PRESIDENTE','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5100534,4.00,6.00,0.00,3.00,5.00,NULL,1.00,1.00,2.00,502,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100542,3.00,5.00,0.00,7.00,5.00,NULL,1.00,2.00,2.00,316,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100550,5.00,5.00,4.00,5.00,6.00,11.25,3.00,1.00,5.00,203,NULL,201,'CENTRO','XAXIM','SC',9127,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5100569,3.00,4.00,4.00,3.00,6.00,4.50,2.00,2.00,4.00,444,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','PRIMAVERA LESTE','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5100585,4.00,1.00,0.00,4.00,4.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'CAMPESINA','OSASCO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100593,4.00,5.00,3.00,4.00,6.00,NULL,0.00,0.00,3.00,444,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100623,2.00,6.00,3.00,5.00,5.00,10.50,3.00,4.00,2.00,329,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5100631,7.00,5.00,3.00,6.00,10.00,9.38,3.00,4.00,5.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5100658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5100666,2.00,4.00,1.00,7.00,7.00,NULL,1.00,1.00,3.00,339,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100674,7.00,6.00,4.00,5.00,9.00,7.13,4.00,3.00,6.00,340,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',7688,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5100682,5.00,4.00,1.00,6.00,7.00,8.63,4.00,2.00,4.00,108,NULL,NULL,'JARDIM DO LAGO','LIMEIRA','SP',9491,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5100690,6.00,5.00,1.00,5.00,9.00,9.75,0.00,3.00,4.00,303,NULL,NULL,'RESSACADA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5100704,1.00,5.00,1.00,4.00,4.00,NULL,2.00,1.00,2.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100712,0.00,2.00,3.00,1.00,6.00,NULL,1.00,1.00,2.00,108,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100720,2.00,3.00,5.00,8.00,6.00,7.50,3.00,3.00,4.00,302,NULL,NULL,'CIDADE UNIVERSITARIA','CAMPINAS','SP',12674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'MONTE CARLO','GUAPIAÇU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5100747,5.00,8.00,4.00,2.00,4.00,6.75,3.00,3.00,5.00,444,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',14541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5100763,4.00,4.00,0.00,1.00,6.00,NULL,1.00,4.00,3.00,101,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100771,2.00,3.00,0.00,3.00,4.00,NULL,1.00,2.00,3.00,108,NULL,NULL,'CENTRO','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5100780,3.00,4.00,2.00,4.00,4.00,NULL,2.00,0.00,2.00,9,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100798,5.00,8.00,1.00,1.00,9.00,9.00,3.00,5.00,5.00,502,NULL,NULL,'SÃO JOSÉ','SOMBRIO','SC',11017,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5100810,6.00,7.00,1.00,6.00,7.00,9.38,3.00,5.00,6.00,453,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AVELINO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5100836,5.00,6.00,0.00,4.00,7.00,NULL,1.00,3.00,3.00,215,NULL,233,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100852,3.00,6.00,6.00,7.00,8.00,7.50,0.00,3.00,4.00,203,NULL,214,'SAO VICENTE','HERVAL D OESTE','SC',9147,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5100879,8.00,7.00,4.00,5.00,6.00,7.50,0.00,5.00,5.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100887,5.00,6.00,4.00,4.00,7.00,7.13,2.00,4.00,5.00,201,NULL,211,'BREJARU','PALHOÇA','SC',9007,645,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100895,5.00,4.00,1.00,5.00,5.00,NULL,0.00,1.00,5.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5100909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5100917,5.00,4.00,0.00,4.00,7.00,NULL,0.00,2.00,2.00,327,NULL,NULL,'SERRARIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'MICHEL','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5100950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5100976,2.00,6.00,2.00,5.00,7.00,7.50,2.00,2.00,3.00,224,NULL,NULL,'VILA ANTÔNIO DAVID','ANITÁPOLIS','SC',13101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5100984,2.00,3.00,0.00,4.00,5.00,NULL,3.00,0.00,3.00,9,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5100992,5.00,6.00,5.00,7.00,7.00,6.75,2.00,6.00,6.00,301,NULL,NULL,'BOA ESPERANÇA','CUIABÁ','MT',6879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM IRAJÁ','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5101018,5.00,7.00,3.00,2.00,6.00,7.88,1.00,5.00,3.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',13198,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5101034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5101042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5101077,7.00,5.00,3.00,8.00,10.00,11.25,3.00,6.00,7.00,316,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',2783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101085,3.00,5.00,1.00,5.00,3.00,NULL,4.00,3.00,2.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5101093,4.00,6.00,1.00,4.00,7.00,NULL,1.00,2.00,1.00,108,NULL,NULL,'ERECHIM','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5101115,9.00,6.00,4.00,5.00,6.00,9.00,4.00,2.00,8.00,103,NULL,NULL,'ALTO','CURITIBA','PR',4678,2049,NULL,NULL,NULL,NULL,NULL,4,8),(20,5101123,8.00,8.00,4.00,4.00,10.00,7.88,7.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5101140,6.00,6.00,2.00,5.00,9.00,9.00,3.00,3.00,5.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',8108,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5101158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA RUSSIA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5101174,8.00,8.00,7.00,6.00,10.00,7.50,5.00,5.00,8.00,103,NULL,NULL,'CORAL','LAGES','SC',977,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5101182,4.00,6.00,1.00,5.00,3.00,NULL,1.00,4.00,2.00,233,NULL,207,'DOS ESTADOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5101190,5.00,7.00,2.00,5.00,8.00,10.13,3.00,4.00,3.00,5,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',9886,327,NULL,NULL,NULL,NULL,NULL,2,1),(20,5101204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5101212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PALMARES','GUAÍRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5101220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PORTO ALEGRE','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5101247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5101255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5101263,7.00,8.00,5.00,7.00,9.00,11.63,6.00,4.00,7.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1532,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101271,8.00,6.00,4.00,7.00,10.00,8.63,5.00,4.00,6.00,202,NULL,233,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',2872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101298,7.00,5.00,2.00,5.00,5.00,7.50,2.00,6.00,2.00,303,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',11416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101301,7.00,8.00,5.00,5.00,6.00,9.00,5.00,4.00,4.00,340,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',6474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101310,2.00,5.00,0.00,2.00,4.00,NULL,3.00,1.00,2.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101328,5.00,5.00,1.00,5.00,8.00,NULL,0.00,3.00,3.00,207,NULL,201,'JARDIM AMÉRICA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101336,8.00,6.00,1.00,4.00,8.00,9.38,2.00,3.00,3.00,310,NULL,NULL,'JARDIM PRIMAVERA','PONTAL','SP',9870,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5101344,9.00,8.00,5.00,7.00,9.00,11.63,4.00,4.00,8.00,211,NULL,216,'SÃO JOÃO','ITAJAÍ','SC',1110,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5101352,3.00,6.00,1.00,2.00,5.00,NULL,2.00,1.00,5.00,238,NULL,208,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101360,6.00,5.00,2.00,7.00,5.00,6.38,0.00,4.00,4.00,211,NULL,213,'JARDIM COLINAS','S JOSÉ CAMPOS','SP',11614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101379,6.00,6.00,2.00,6.00,9.00,7.50,2.00,6.00,5.00,102,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',7674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5101387,5.00,5.00,0.00,6.00,4.00,NULL,2.00,1.00,3.00,319,NULL,NULL,'GONZAGA','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101409,5.00,7.00,6.00,5.00,4.00,8.25,3.00,3.00,3.00,318,NULL,NULL,'SANTA RITA','BRUSQUE','SC',10993,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5101417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BINGEN','PETRÓPOLIS','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5101433,4.00,5.00,2.00,2.00,7.00,10.13,2.00,3.00,3.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',13241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101476,9.00,8.00,6.00,8.00,11.00,11.25,7.00,6.00,9.00,103,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',74,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101484,7.00,6.00,4.00,3.00,9.00,8.63,2.00,4.00,5.00,601,NULL,NULL,'BOHEMERWALDT','JOINVILLE','SC',8968,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5101492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5101506,2.00,1.00,1.00,4.00,3.00,NULL,1.00,2.00,4.00,203,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5101514,8.00,8.00,6.00,7.00,9.00,12.75,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','MAMBORÊ','PR',594,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5101522,6.00,6.00,2.00,8.00,6.00,6.38,1.00,5.00,6.00,303,NULL,NULL,'ATIRADORES','JOINVILLE','SC',8749,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5101549,8.00,4.00,2.00,4.00,5.00,12.00,2.00,3.00,6.00,103,NULL,NULL,'JARDIM NOVA ALIANÇA','RIBEIRÃO PRETO','SP',7558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PIRABEIRABA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5101565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5101573,3.00,5.00,0.00,1.00,8.00,NULL,1.00,4.00,3.00,340,NULL,NULL,'LOTEAMENTO PARIZOTTO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5101581,3.00,6.00,2.00,5.00,7.00,7.88,0.00,2.00,4.00,303,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5101611,6.00,7.00,1.00,5.00,6.00,7.13,2.00,4.00,1.00,317,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',14054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101620,5.00,4.00,6.00,8.00,8.00,8.25,3.00,2.00,5.00,319,NULL,NULL,'SANTA MARTA','S CARLOS','SP',7500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101646,2.00,5.00,1.00,6.00,5.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5101654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA EMA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5101670,6.00,6.00,3.00,6.00,7.00,8.63,1.00,4.00,3.00,319,NULL,NULL,'CENTRO','S BENTO SUL','SC',9393,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5101689,8.00,7.00,7.00,6.00,10.00,9.75,4.00,5.00,8.00,203,NULL,202,'SANTO INÁCIO','CURITIBA','PR',1083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101697,5.00,6.00,5.00,6.00,3.00,NULL,2.00,1.00,4.00,203,NULL,201,'ALTO DA XV','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5101735,0.00,5.00,1.00,4.00,5.00,NULL,0.00,2.00,2.00,319,NULL,NULL,'BARRANCA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5101743,9.00,5.00,4.00,7.00,10.00,11.25,5.00,6.00,6.00,304,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',1709,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5101751,5.00,5.00,1.00,7.00,9.00,9.00,1.00,3.00,5.00,452,NULL,NULL,'BANDEIRANTES','SERTÃOZINHO','SP',7894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101794,7.00,6.00,6.00,6.00,7.00,9.38,3.00,4.00,7.00,213,NULL,212,'AGRONÔMICA','FLORIANÓPOLIS','SC',4790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101808,7.00,6.00,3.00,4.00,6.00,6.38,2.00,3.00,5.00,201,NULL,220,'SANTA BARBARA','CRICIÚMA','SC',11537,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5101816,9.00,7.00,9.00,6.00,8.00,11.25,7.00,7.00,9.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',69,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5101840,3.00,6.00,2.00,5.00,3.00,NULL,1.00,3.00,2.00,223,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5101859,1.00,3.00,2.00,5.00,3.00,NULL,0.00,2.00,2.00,104,NULL,NULL,'FLORESTA','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5101867,8.00,4.00,3.00,6.00,7.00,7.88,2.00,3.00,5.00,208,NULL,203,'FLOR DE NAPOLES','S JOSÉ','SC',8455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101875,5.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,5.00,233,NULL,212,'JARDIM CAMBURI','VITÓRIA','ES',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101883,3.00,5.00,1.00,4.00,3.00,NULL,0.00,3.00,4.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101891,6.00,6.00,2.00,7.00,9.00,7.88,2.00,3.00,7.00,103,NULL,NULL,'BARRA DO RIO','ITAJAÍ','SC',7409,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5101921,5.00,7.00,2.00,7.00,6.00,9.75,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',6118,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5101948,4.00,5.00,3.00,1.00,2.00,NULL,3.00,3.00,1.00,302,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101972,7.00,6.00,1.00,4.00,7.00,8.63,6.00,4.00,5.00,109,NULL,NULL,'PRESIDENTE VARGAS','IÇARA','SC',8728,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5101980,5.00,7.00,1.00,7.00,7.00,10.88,3.00,2.00,4.00,5,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',9798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5101999,2.00,5.00,2.00,5.00,8.00,9.00,2.00,3.00,6.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5102006,4.00,6.00,2.00,2.00,6.00,9.38,1.00,1.00,6.00,216,NULL,235,'MORRETES','ITAPEMA','SC',14366,549,NULL,192,NULL,NULL,NULL,4,3),(20,5102014,7.00,5.00,4.00,6.00,6.00,5.25,2.00,5.00,4.00,220,NULL,203,'CENTURY PARK','CIANORTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5102030,3.00,6.00,0.00,2.00,6.00,NULL,2.00,2.00,0.00,450,NULL,NULL,'TUPI','TUPI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5102049,7.00,7.00,5.00,6.00,8.00,10.88,5.00,3.00,7.00,415,NULL,NULL,'DAS NAÇÕES','BAL CAMBORIÚ','SC',3293,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5102057,8.00,7.00,8.00,7.00,8.00,8.63,7.00,4.00,8.00,208,NULL,203,'CENTRO','MAFRA','SC',886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102065,3.00,5.00,1.00,3.00,2.00,NULL,0.00,1.00,4.00,211,NULL,233,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5102073,6.00,5.00,3.00,6.00,9.00,9.00,2.00,4.00,4.00,452,NULL,NULL,'FLORESTA','JOINVILLE','SC',7758,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5102081,4.00,5.00,3.00,7.00,8.00,10.50,1.00,3.00,6.00,420,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102090,2.00,5.00,3.00,6.00,2.00,NULL,5.00,2.00,5.00,208,NULL,238,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102103,9.00,5.00,4.00,6.00,8.00,9.00,2.00,6.00,9.00,103,NULL,NULL,'SÃO LOURENÇO','CURITIBA','PR',3747,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(20,5102111,4.00,5.00,1.00,1.00,4.00,NULL,0.00,2.00,4.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102120,9.00,8.00,6.00,7.00,7.00,10.50,4.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102138,7.00,3.00,1.00,4.00,5.00,7.13,2.00,5.00,3.00,103,NULL,NULL,'ORFAS','PNT GROSSA','PR',12925,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5102146,5.00,6.00,2.00,5.00,7.00,NULL,0.00,2.00,4.00,207,NULL,211,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5102162,3.00,7.00,3.00,7.00,8.00,9.38,1.00,2.00,3.00,238,NULL,208,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102170,6.00,8.00,5.00,7.00,4.00,8.63,2.00,3.00,5.00,103,NULL,NULL,'VISTA ALEGRE','RIO NEGRINHO','SC',6953,2637,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102189,3.00,4.00,2.00,3.00,4.00,NULL,1.00,3.00,2.00,452,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102200,8.00,4.00,3.00,8.00,4.00,9.00,3.00,4.00,5.00,304,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102219,5.00,6.00,0.00,6.00,6.00,NULL,2.00,4.00,3.00,316,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102227,4.00,2.00,3.00,3.00,4.00,NULL,0.00,1.00,1.00,316,NULL,NULL,'SERRARIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5102235,9.00,7.00,4.00,7.00,8.00,10.88,4.00,3.00,5.00,208,NULL,238,'CENTRO','BAL CAMBORIÚ','SC',3478,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5102243,8.00,6.00,1.00,7.00,10.00,10.13,2.00,4.00,5.00,340,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',6212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102251,5.00,4.00,2.00,6.00,3.00,NULL,2.00,3.00,4.00,303,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5102278,5.00,7.00,6.00,7.00,4.00,9.00,2.00,4.00,5.00,201,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',8165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102286,6.00,6.00,6.00,7.00,7.00,10.50,2.00,7.00,5.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',4599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102294,2.00,2.00,1.00,4.00,3.00,NULL,1.00,2.00,3.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5102308,4.00,6.00,3.00,7.00,8.00,9.38,2.00,5.00,3.00,601,NULL,212,'ESPINHEIROS','JOINVILLE','SC',10167,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5102316,2.00,5.00,3.00,5.00,4.00,NULL,0.00,2.00,3.00,450,NULL,NULL,'PADRE ANTONIO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5102324,9.00,7.00,4.00,7.00,8.00,9.75,5.00,6.00,9.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',1292,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5102332,7.00,6.00,5.00,5.00,8.00,8.63,2.00,4.00,5.00,108,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',8692,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5102340,3.00,2.00,0.00,4.00,3.00,NULL,1.00,4.00,2.00,339,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102359,7.00,7.00,0.00,5.00,10.00,NULL,2.00,5.00,3.00,340,NULL,NULL,'JARDIM CARANDAI','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5102367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PRAIA DO CANTO','VITÓRIA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5102383,9.00,7.00,5.00,7.00,10.00,7.88,6.00,6.00,7.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',1294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102391,4.00,7.00,1.00,4.00,6.00,7.50,1.00,2.00,6.00,109,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13616,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5102413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5102448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5102464,3.00,4.00,3.00,3.00,6.00,NULL,2.00,1.00,3.00,336,NULL,NULL,'SÃO DANIEL','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5102472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',5,10),(20,5102480,6.00,6.00,0.00,6.00,5.00,9.00,3.00,3.00,7.00,102,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',10944,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5102499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA DAINESE','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5102510,1.00,2.00,2.00,5.00,2.00,NULL,2.00,2.00,0.00,317,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5102529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA AMALIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5102537,5.00,4.00,4.00,4.00,6.00,8.25,3.00,5.00,3.00,317,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5102545,5.00,4.00,1.00,3.00,5.00,6.75,5.00,4.00,3.00,453,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',16078,126,NULL,NULL,NULL,NULL,NULL,2,1),(20,5102553,4.00,5.00,2.00,7.00,5.00,6.75,3.00,4.00,4.00,205,NULL,NULL,'ESTAÇÃO COCAL','ETC COCAL','SC',13920,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5102561,7.00,7.00,3.00,7.00,5.00,10.50,3.00,4.00,4.00,108,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',6799,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5102588,5.00,0.00,0.00,4.00,4.00,NULL,0.00,3.00,4.00,415,NULL,NULL,'CENTRO','URUGUAIANA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5102596,7.00,8.00,2.00,7.00,10.00,6.38,2.00,5.00,6.00,208,NULL,238,'FÁTIMA','FREDERICO WESTPHALEN','RS',4544,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5102618,5.00,6.00,1.00,5.00,6.00,7.13,2.00,3.00,3.00,223,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',12461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5102626,7.00,8.00,2.00,7.00,5.00,7.88,2.00,3.00,6.00,207,NULL,211,'CENTRO','BAL CAMBORIÚ','SC',7938,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5102634,5.00,6.00,0.00,6.00,5.00,9.00,3.00,4.00,5.00,108,NULL,NULL,'JANDIM ITÁLIA','CHAPECÓ','SC',8223,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5102642,3.00,6.00,2.00,2.00,5.00,7.50,5.00,3.00,6.00,653,NULL,202,'GUARANI','XAXIM','SC',12909,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5102650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5102669,1.00,2.00,0.00,2.00,2.00,NULL,3.00,1.00,2.00,308,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5102685,9.00,6.00,4.00,7.00,5.00,9.00,1.00,4.00,5.00,333,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',6565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102693,9.00,8.00,6.00,7.00,9.00,8.25,6.00,5.00,8.00,319,NULL,NULL,'CENTRO','CHAPECÓ','SC',944,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5102707,5.00,4.00,3.00,4.00,3.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5102715,8.00,8.00,8.00,7.00,10.00,9.00,7.00,8.00,7.00,5,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',244,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5102723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5102731,3.00,5.00,2.00,7.00,2.00,NULL,1.00,3.00,3.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5102740,8.00,8.00,7.00,7.00,8.00,9.00,3.00,7.00,8.00,203,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',1054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5102766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PALMA SOLA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5102774,7.00,5.00,1.00,6.00,5.00,6.38,3.00,4.00,4.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102782,9.00,9.00,6.00,7.00,10.00,7.50,3.00,6.00,8.00,103,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',968,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5102790,8.00,7.00,2.00,7.00,9.00,12.75,2.00,0.00,7.00,207,NULL,201,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102812,4.00,6.00,4.00,7.00,2.00,NULL,4.00,2.00,3.00,203,NULL,220,'CENTRO','PARAGUAÇU PAULISTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102820,7.00,5.00,3.00,7.00,9.00,10.88,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102839,7.00,5.00,4.00,8.00,5.00,8.25,2.00,3.00,5.00,303,NULL,NULL,'CENTRO','BRUSQUE','SC',7650,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5102847,6.00,5.00,0.00,3.00,4.00,NULL,2.00,3.00,4.00,601,NULL,214,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5102871,7.00,7.00,4.00,8.00,10.00,10.50,5.00,3.00,3.00,303,NULL,NULL,'SANTA LUZIA','CRICIÚMA','SC',3249,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5102880,8.00,5.00,5.00,6.00,3.00,NULL,3.00,4.00,6.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102901,6.00,7.00,4.00,5.00,9.00,9.75,6.00,3.00,6.00,104,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',5516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5102910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5102936,3.00,4.00,2.00,6.00,4.00,4.50,0.00,1.00,6.00,103,NULL,NULL,'NOSSA SENHORA DE LOU','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5102944,7.00,7.00,2.00,2.00,9.00,9.38,4.00,5.00,6.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5102960,8.00,7.00,0.00,5.00,6.00,NULL,4.00,4.00,8.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5102979,5.00,4.00,4.00,6.00,7.00,8.25,2.00,3.00,4.00,211,NULL,215,'CENTRO','TURVO','SC',10095,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5102987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ASSUNÇÃO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5102995,7.00,6.00,1.00,5.00,9.00,9.00,3.00,4.00,5.00,103,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',8760,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5103002,6.00,7.00,3.00,6.00,7.00,10.13,2.00,2.00,4.00,108,NULL,NULL,'BELA VISTA','S JOSÉ','SC',8292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5103010,3.00,7.00,3.00,4.00,5.00,6.38,1.00,2.00,5.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',15072,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5103029,6.00,7.00,4.00,4.00,7.00,7.88,0.00,2.00,5.00,201,NULL,601,'VENDAVAL','S JOSÉ','SC',11075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103037,6.00,7.00,5.00,7.00,8.00,9.38,6.00,7.00,8.00,207,NULL,233,'AGRONÔMICA','FLORIANÓPOLIS','SC',1927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103045,7.00,5.00,2.00,7.00,6.00,6.00,0.00,2.00,3.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103053,6.00,6.00,0.00,6.00,4.00,NULL,1.00,2.00,4.00,108,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103061,9.00,7.00,4.00,7.00,8.00,10.13,2.00,4.00,8.00,103,NULL,NULL,'CAPAO RASO','CURITIBA','PR',2235,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5103096,6.00,8.00,3.00,6.00,5.00,8.63,2.00,3.00,5.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103100,5.00,5.00,3.00,5.00,6.00,6.75,2.00,5.00,4.00,420,NULL,NULL,'CENTRO','S JOSÉ','SC',11685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5103118,8.00,6.00,2.00,8.00,9.00,10.50,2.00,5.00,6.00,5,NULL,NULL,'CENTRO','LAGES','SC',3941,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5103126,8.00,7.00,3.00,7.00,9.00,11.25,4.00,2.00,7.00,420,NULL,NULL,'CENTRO','CHAPECÓ','SC',5017,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5103134,4.00,5.00,0.00,3.00,6.00,NULL,2.00,3.00,4.00,102,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5103142,7.00,6.00,4.00,5.00,5.00,9.75,3.00,4.00,5.00,203,NULL,214,'MAR GROSSO','LAGUNA','SC',7915,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5103193,5.00,4.00,0.00,7.00,8.00,9.75,1.00,4.00,3.00,453,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103207,9.00,9.00,6.00,7.00,10.00,11.63,9.00,8.00,9.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',24,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5103223,10.00,7.00,7.00,8.00,10.00,9.38,5.00,7.00,8.00,103,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',380,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5103231,7.00,7.00,5.00,6.00,8.00,9.00,3.00,5.00,8.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103240,6.00,6.00,1.00,7.00,9.00,11.25,5.00,6.00,6.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103258,9.00,9.00,8.00,7.00,9.00,10.88,6.00,7.00,7.00,201,NULL,212,'RIO TAVARES','FLORIANÓPOLIS','SC',183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103266,1.00,3.00,1.00,1.00,3.00,NULL,2.00,2.00,1.00,316,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103274,8.00,0.00,2.00,5.00,9.00,NULL,0.00,0.00,0.00,201,NULL,216,'CENTRO','RONDINHA','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(20,5103282,5.00,7.00,2.00,5.00,7.00,8.25,1.00,2.00,3.00,238,NULL,220,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',10726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'POÇO GRANDE','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5103320,6.00,5.00,1.00,3.00,5.00,4.88,1.00,3.00,6.00,102,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5103339,4.00,7.00,1.00,4.00,8.00,8.25,2.00,3.00,4.00,234,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103347,3.00,6.00,7.00,7.00,4.00,7.50,6.00,2.00,7.00,208,NULL,201,'PINHEIROS','S PAULO','SP',5889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103355,4.00,4.00,3.00,3.00,6.00,7.88,4.00,3.00,3.00,444,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5103363,6.00,5.00,3.00,7.00,5.00,8.63,4.00,1.00,5.00,235,NULL,208,'JARDIM SÃO DOMINGOS','MARÍLIA','SP',7421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103371,4.00,5.00,2.00,2.00,3.00,NULL,3.00,3.00,2.00,301,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5103398,5.00,6.00,5.00,4.00,8.00,9.00,2.00,2.00,4.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',10598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103401,6.00,6.00,3.00,7.00,8.00,11.63,4.00,1.00,6.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',4370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103410,6.00,7.00,6.00,6.00,10.00,9.75,4.00,4.00,8.00,103,NULL,NULL,'CIDADE ALTA','VENÂNCIO AIRES','RS',1795,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5103428,3.00,6.00,2.00,3.00,4.00,NULL,2.00,2.00,1.00,203,NULL,214,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103444,3.00,4.00,3.00,4.00,7.00,6.75,2.00,3.00,6.00,404,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',11860,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5103452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'BAIRRO TABOÃO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5103460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5103487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5103495,6.00,7.00,4.00,5.00,8.00,9.00,3.00,3.00,6.00,103,NULL,NULL,'JARDIM BOTANICO','PTO ALEGRE','RS',6408,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5103517,4.00,5.00,2.00,5.00,6.00,7.13,4.00,2.00,4.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103525,6.00,7.00,2.00,6.00,9.00,8.25,0.00,4.00,6.00,201,NULL,213,'JD JANAINA','BIGUAÇU','SC',6921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103533,5.00,6.00,3.00,7.00,8.00,7.88,1.00,3.00,7.00,233,NULL,211,'CARIANOS','FLORIANÓPOLIS','SC',8205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103550,9.00,7.00,2.00,8.00,7.00,7.13,3.00,4.00,6.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',4537,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5103568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'VILA ZIZINHA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5103576,4.00,6.00,0.00,4.00,3.00,NULL,0.00,2.00,4.00,501,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103584,5.00,3.00,2.00,5.00,9.00,6.38,2.00,2.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103592,9.00,7.00,5.00,4.00,9.00,9.00,4.00,4.00,7.00,9,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',4090,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5103614,7.00,6.00,4.00,6.00,6.00,6.75,2.00,3.00,0.00,216,NULL,211,'JARDIM ARISTOCRATA','S JOSÉ PINHAIS','PR',10632,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5103622,2.00,4.00,0.00,2.00,4.00,NULL,0.00,2.00,3.00,415,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5103630,5.00,6.00,2.00,6.00,8.00,9.38,1.00,3.00,6.00,415,NULL,NULL,'MICHEL','CRICIÚMA','SC',9552,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5103649,5.00,6.00,7.00,5.00,9.00,7.88,4.00,3.00,6.00,203,NULL,201,'BELA VISTA','ERECHIM','RS',4749,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5103665,6.00,6.00,3.00,7.00,9.00,9.00,2.00,3.00,6.00,319,NULL,NULL,'TERESOPOLIS','PTO ALEGRE','RS',7699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103681,3.00,7.00,2.00,6.00,5.00,7.88,1.00,4.00,2.00,201,NULL,214,'TREINDADE','FLORIANÓPOLIS','SC',14601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103703,8.00,6.00,1.00,8.00,5.00,7.13,1.00,5.00,6.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',7451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5103738,6.00,5.00,2.00,3.00,7.00,9.38,1.00,3.00,3.00,211,NULL,201,'FRAGOSOS','S BENTO SUL','SC',13906,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5103746,4.00,4.00,0.00,1.00,6.00,NULL,1.00,3.00,6.00,207,NULL,212,'CENTRO','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5103762,7.00,4.00,3.00,4.00,8.00,NULL,0.00,4.00,4.00,452,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5103770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,207,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5103789,7.00,8.00,1.00,5.00,9.00,9.75,2.00,5.00,4.00,336,NULL,NULL,'CENTRO','IÇARA','SC',8343,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5103819,2.00,4.00,1.00,2.00,6.00,NULL,2.00,3.00,3.00,303,NULL,NULL,'VILA NOVA','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5103827,4.00,2.00,1.00,2.00,6.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5103835,2.00,3.00,0.00,3.00,3.00,NULL,0.00,2.00,1.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5103843,5.00,5.00,3.00,5.00,5.00,8.63,0.00,2.00,2.00,444,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',14064,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5103851,6.00,8.00,2.00,7.00,6.00,7.13,3.00,3.00,5.00,208,NULL,NULL,'CENTRO','VIDEIRA','SC',8868,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5103860,8.00,8.00,7.00,5.00,9.00,9.38,7.00,6.00,8.00,103,NULL,NULL,'CENTRO','LARANJEIRAS SUL','PR',655,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5103878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5103894,6.00,6.00,1.00,4.00,7.00,8.25,2.00,3.00,6.00,103,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',10475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5103908,4.00,4.00,1.00,4.00,4.00,NULL,0.00,2.00,3.00,327,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5103924,8.00,8.00,2.00,5.00,9.00,11.25,3.00,3.00,5.00,340,NULL,NULL,'CENTRO','CASCAVEL','PR',5616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103932,5.00,6.00,1.00,5.00,6.00,8.25,1.00,3.00,2.00,601,NULL,NULL,'GLÓRIA','JOINVILLE','SC',15810,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5103940,8.00,8.00,3.00,7.00,9.00,8.25,6.00,4.00,6.00,211,NULL,215,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',2244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103959,5.00,5.00,1.00,3.00,5.00,8.63,3.00,2.00,4.00,331,NULL,NULL,'VILANOVA','REGISTRO','SP',15824,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5103967,3.00,4.00,0.00,1.00,3.00,NULL,3.00,0.00,2.00,415,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5103983,5.00,5.00,1.00,7.00,7.00,8.25,1.00,2.00,6.00,102,NULL,NULL,'CENTRO','JOAÇABA','SC',11453,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5104017,4.00,6.00,2.00,2.00,4.00,6.75,0.00,5.00,4.00,5,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104025,4.00,4.00,4.00,3.00,9.00,8.25,3.00,1.00,4.00,103,NULL,NULL,'CRUZEIRO','PASSO FUNDO','RS',12223,3447,NULL,NULL,NULL,NULL,NULL,2,3),(20,5104033,1.00,4.00,2.00,4.00,4.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'CENTRO','SERRA ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5104050,9.00,7.00,7.00,6.00,5.00,7.50,3.00,3.00,7.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',5043,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5104068,5.00,7.00,2.00,5.00,7.00,9.38,2.00,2.00,3.00,215,NULL,233,'BOTAFOGO','CAMPINAS','SP',9250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104084,8.00,8.00,7.00,7.00,10.00,10.50,8.00,8.00,8.00,203,NULL,202,'N SRA DO ROSÁRIO','S JOSÉ','SC',44,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104092,5.00,6.00,1.00,6.00,5.00,7.88,3.00,3.00,3.00,319,NULL,NULL,'BARREIROS AREIAS','S JOSÉ','SC',13113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104106,8.00,7.00,6.00,7.00,9.00,8.25,4.00,5.00,7.00,238,NULL,211,'BARREIROS','S JOSÉ','SC',1584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104122,2.00,5.00,2.00,7.00,4.00,NULL,2.00,1.00,0.00,317,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5104149,6.00,5.00,2.00,6.00,5.00,7.88,3.00,5.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM CLAUDINA','ITARARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5104181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'SANTO ANT DE LISBOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5104190,8.00,5.00,4.00,4.00,6.00,6.38,3.00,5.00,8.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',5582,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5104203,6.00,6.00,2.00,7.00,7.00,8.63,1.00,4.00,5.00,203,NULL,208,'PROENÇA','CAMPINAS','SP',9298,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5104211,6.00,5.00,4.00,6.00,7.00,7.50,2.00,4.00,5.00,203,NULL,220,'JARDIM REAL','MARINGÁ','PR',8748,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5104220,7.00,8.00,2.00,7.00,7.00,6.75,3.00,2.00,5.00,425,NULL,429,'BARREIROS','S JOSÉ','SC',8405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104238,4.00,6.00,2.00,5.00,5.00,10.88,1.00,3.00,3.00,211,NULL,201,'PONTA DE BAIXO','S JOSÉ','SC',11883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104246,7.00,7.00,2.00,7.00,7.00,7.13,4.00,3.00,6.00,208,NULL,220,'PIRABEIRABA','JOINVILLE','SC',6367,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5104254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5104262,5.00,7.00,3.00,6.00,4.00,7.88,3.00,3.00,7.00,201,NULL,220,'JD MARIA CANDIDA','CAÇAPAVA','SP',6874,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5104270,6.00,7.00,3.00,7.00,8.00,11.63,3.00,5.00,4.00,207,NULL,201,'CENTRO','CAPINZAL','SC',4657,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5104289,6.00,6.00,1.00,5.00,9.00,9.75,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10252,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5104297,4.00,5.00,4.00,4.00,5.00,9.00,3.00,5.00,4.00,329,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',12440,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5104300,6.00,7.00,3.00,4.00,6.00,7.50,0.00,4.00,4.00,102,NULL,NULL,'CALHEIROS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5104319,4.00,4.00,3.00,0.00,6.00,NULL,3.00,5.00,1.00,324,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5104327,3.00,5.00,0.00,2.00,6.00,NULL,3.00,1.00,1.00,104,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5104343,3.00,5.00,2.00,2.00,6.00,7.88,2.00,2.00,5.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',16160,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5104351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5104360,2.00,3.00,3.00,3.00,6.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104378,3.00,5.00,1.00,5.00,5.00,NULL,0.00,2.00,3.00,301,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5104416,1.00,5.00,0.00,4.00,5.00,NULL,0.00,2.00,2.00,203,NULL,216,'SANTO INÁCIO','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5104424,6.00,5.00,1.00,6.00,8.00,9.00,1.00,4.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104432,8.00,8.00,7.00,6.00,10.00,8.25,5.00,4.00,8.00,104,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',1258,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5104440,6.00,4.00,1.00,7.00,8.00,9.75,3.00,3.00,4.00,331,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104459,6.00,6.00,2.00,6.00,7.00,9.38,2.00,4.00,2.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104475,6.00,6.00,0.00,5.00,7.00,NULL,1.00,2.00,5.00,103,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5104505,9.00,5.00,3.00,5.00,5.00,8.25,1.00,3.00,6.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',8424,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5104513,9.00,8.00,8.00,7.00,8.00,7.88,8.00,7.00,7.00,103,NULL,NULL,'ZONA DOIS','CIANORTE','PR',694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104521,5.00,5.00,2.00,4.00,5.00,7.13,2.00,3.00,3.00,318,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',15377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104548,4.00,5.00,2.00,4.00,2.00,NULL,0.00,3.00,5.00,108,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5104564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BONANZA','TIETÊ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5104572,7.00,6.00,6.00,7.00,6.00,7.88,6.00,5.00,7.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',3486,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5104580,7.00,7.00,3.00,5.00,10.00,9.75,4.00,2.00,5.00,340,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',5713,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5104599,4.00,6.00,2.00,7.00,7.00,8.63,0.00,2.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104602,9.00,6.00,4.00,6.00,9.00,9.75,3.00,4.00,7.00,103,NULL,NULL,'RESIDÊNCIAL ALDEIA','GOIÂNIA','GO',3110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104610,5.00,6.00,2.00,5.00,8.00,6.75,5.00,0.00,6.00,501,NULL,NULL,'ZONA RURAL','CAIBI','SC',9489,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5104629,4.00,7.00,3.00,5.00,6.00,7.88,2.00,4.00,3.00,304,NULL,NULL,'SANTANA','RIO SUL','SC',11200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104637,7.00,5.00,5.00,6.00,9.00,9.75,3.00,5.00,6.00,304,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104645,5.00,3.00,4.00,5.00,9.00,7.50,2.00,3.00,6.00,207,NULL,215,'JOÃO PAULO','FLORIANÓPOLIS','SC',11568,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5104653,6.00,6.00,3.00,4.00,7.00,9.75,0.00,4.00,6.00,451,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5104661,6.00,3.00,3.00,6.00,7.00,6.00,3.00,3.00,5.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11779,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5104688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARAÍSO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5104696,7.00,7.00,6.00,6.00,6.00,10.88,3.00,6.00,4.00,201,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',5535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,216,'MUNDINHO','MINEIROS','GO',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5104718,8.00,8.00,7.00,8.00,10.00,10.13,5.00,7.00,8.00,303,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',329,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5104734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SEMINÁRIO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5104750,5.00,7.00,0.00,7.00,7.00,12.00,2.00,2.00,5.00,333,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',7542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104769,3.00,5.00,0.00,4.00,4.00,NULL,1.00,1.00,1.00,453,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5104777,7.00,8.00,2.00,7.00,10.00,11.25,1.00,5.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',3573,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5104785,5.00,7.00,7.00,7.00,6.00,9.38,3.00,4.00,7.00,201,NULL,212,'INDUSTRIAL','SEARA','SC',4955,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5104807,3.00,6.00,2.00,4.00,7.00,NULL,2.00,1.00,2.00,102,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5104815,3.00,6.00,2.00,5.00,6.00,8.63,1.00,4.00,4.00,601,NULL,203,'COSTA E SILVA','JOINVILLE','SC',14235,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5104823,8.00,7.00,4.00,7.00,8.00,8.25,4.00,4.00,7.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104831,9.00,9.00,5.00,7.00,10.00,9.38,3.00,6.00,8.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',1767,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5104840,3.00,7.00,4.00,5.00,6.00,7.50,3.00,3.00,6.00,5,NULL,NULL,'AGUA VERDE','CURITIBA','PR',9389,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5104858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5104882,4.00,5.00,1.00,2.00,7.00,NULL,0.00,0.00,2.00,501,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104890,6.00,5.00,1.00,7.00,9.00,8.25,1.00,3.00,4.00,207,NULL,NULL,'AMÉRICA','JOINVILLE','SC',10976,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5104904,5.00,5.00,3.00,2.00,5.00,4.50,2.00,3.00,5.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5104920,8.00,5.00,4.00,8.00,6.00,10.13,6.00,4.00,6.00,203,NULL,220,'CORAÇÃO EUCARÍSTICO','BELO HORIZONTE','MG',3176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104947,5.00,7.00,3.00,7.00,9.00,10.88,4.00,5.00,8.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4903,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104955,6.00,5.00,4.00,2.00,7.00,7.13,2.00,5.00,6.00,301,NULL,NULL,'AGUA VERDE','CURITIBA','PR',8104,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5104963,6.00,7.00,2.00,3.00,8.00,6.75,4.00,4.00,5.00,203,NULL,202,'CENTRO','QUEDAS IGUAÇU','PR',10616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5104971,4.00,6.00,3.00,6.00,5.00,9.00,4.00,4.00,4.00,327,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',12906,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5104998,9.00,6.00,5.00,5.00,7.00,7.88,3.00,7.00,7.00,216,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',3273,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5105013,3.00,5.00,1.00,7.00,7.00,11.63,2.00,3.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105021,4.00,5.00,3.00,5.00,4.00,6.00,3.00,3.00,3.00,203,NULL,214,'CABRAL','CURITIBA','PR',14817,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5105030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5105048,7.00,6.00,8.00,4.00,4.00,9.38,5.00,4.00,6.00,215,NULL,216,'VILA MARIA LUÍZA','JUNDIAÍ','SP',4174,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5105056,4.00,6.00,4.00,7.00,7.00,8.63,3.00,6.00,7.00,327,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',5782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105064,3.00,6.00,2.00,2.00,2.00,NULL,2.00,3.00,4.00,203,NULL,214,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5105072,8.00,9.00,8.00,8.00,10.00,9.00,8.00,5.00,10.00,103,NULL,NULL,'BOSQUE DAS MANSOES','S JOSÉ','SC',80,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105080,8.00,7.00,5.00,7.00,6.00,7.13,5.00,5.00,9.00,220,NULL,203,'BATEL','CURITIBA','PR',1958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105099,8.00,7.00,4.00,7.00,9.00,7.13,3.00,5.00,5.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',3808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105102,9.00,7.00,1.00,6.00,5.00,10.50,4.00,3.00,6.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5261,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105110,5.00,6.00,3.00,5.00,8.00,6.75,5.00,5.00,6.00,5,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',6018,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5105129,8.00,8.00,5.00,7.00,8.00,7.50,4.00,4.00,5.00,234,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',4929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105137,6.00,6.00,3.00,6.00,7.00,9.38,2.00,3.00,4.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',9097,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5105145,3.00,3.00,1.00,2.00,7.00,NULL,1.00,2.00,2.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105153,7.00,4.00,0.00,4.00,5.00,7.13,1.00,2.00,7.00,108,NULL,NULL,'LIBERDADE','S PAULO','SP',13282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105161,7.00,5.00,1.00,3.00,8.00,7.88,1.00,3.00,3.00,102,NULL,NULL,'TRÊS PALMEIRAS','CEL FREITAS','SC',14514,206,NULL,NULL,NULL,NULL,NULL,2,4),(20,5105170,6.00,7.00,1.00,7.00,8.00,9.38,2.00,4.00,5.00,340,NULL,NULL,'MARECHAL FLORIANO','CAXIAS SUL','RS',9333,252,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105188,0.00,5.00,5.00,3.00,3.00,NULL,2.00,2.00,3.00,215,NULL,235,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5105196,4.00,6.00,1.00,7.00,9.00,10.50,0.00,6.00,6.00,340,NULL,NULL,'JARDIM AURORA','LONDRINA','PR',7912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105200,8.00,7.00,8.00,7.00,8.00,9.75,8.00,6.00,7.00,208,NULL,202,'GRAVATÁ','NAVEGANTES','SC',1361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105218,8.00,7.00,1.00,5.00,9.00,9.00,3.00,6.00,6.00,340,NULL,NULL,'PASSO DA AREIA','PTO ALEGRE','RS',5698,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5105234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'JARDIM ASTRO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5105242,6.00,9.00,5.00,7.00,9.00,7.88,3.00,4.00,7.00,336,NULL,NULL,'BUTANTA','S PAULO','SP',3173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105269,5.00,7.00,5.00,6.00,6.00,6.75,5.00,3.00,4.00,304,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105285,6.00,5.00,1.00,2.00,4.00,9.00,2.00,2.00,3.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',16036,3823,NULL,NULL,NULL,NULL,NULL,2,1),(20,5105293,2.00,4.00,3.00,3.00,2.00,NULL,4.00,2.00,3.00,425,NULL,429,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105307,6.00,5.00,5.00,0.00,4.00,6.75,3.00,4.00,6.00,203,NULL,201,'POTOSI','BALSAS','MA',13414,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5105315,8.00,7.00,5.00,7.00,9.00,8.63,4.00,4.00,8.00,201,NULL,211,'COQUEIROS','FLORIANÓPOLIS','SC',2029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105323,8.00,8.00,4.00,8.00,9.00,7.50,4.00,2.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',3518,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5105331,7.00,4.00,2.00,4.00,7.00,7.50,5.00,4.00,7.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',7207,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5105340,7.00,5.00,6.00,7.00,6.00,7.50,4.00,4.00,4.00,103,NULL,NULL,'TAMBORÉ','SANTANA PARNAÍBA','SP',6291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105358,5.00,5.00,1.00,6.00,6.00,6.38,0.00,1.00,3.00,2,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',14365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105366,6.00,2.00,1.00,4.00,4.00,NULL,1.00,2.00,3.00,415,NULL,NULL,'CRUZEIRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105374,4.00,5.00,4.00,2.00,3.00,NULL,2.00,3.00,3.00,324,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105382,8.00,8.00,6.00,8.00,8.00,8.63,6.00,6.00,6.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',1365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105390,9.00,8.00,2.00,6.00,8.00,10.50,3.00,6.00,7.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',2502,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5105404,2.00,6.00,0.00,7.00,4.00,NULL,1.00,1.00,1.00,5,NULL,NULL,'LARANJAL','PELOTAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105412,6.00,3.00,2.00,7.00,6.00,7.88,3.00,3.00,3.00,304,NULL,NULL,'JUVEVÊ','CURITIBA','PR',10721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105420,4.00,3.00,1.00,7.00,7.00,9.38,1.00,3.00,1.00,425,NULL,429,'CAMPECHE','FLORIANÓPOLIS','SC',15942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105439,3.00,5.00,3.00,5.00,8.00,7.50,2.00,3.00,4.00,205,NULL,NULL,'VILA DOZE','ANTÔNIO CARLOS','SC',12887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5105447,7.00,6.00,6.00,6.00,8.00,10.88,3.00,3.00,5.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',5970,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5105455,7.00,6.00,2.00,4.00,7.00,10.13,0.00,4.00,5.00,501,NULL,NULL,'ACARAÍ','S FRANCISCO SUL','SC',8071,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5105463,3.00,5.00,0.00,2.00,4.00,7.88,3.00,5.00,3.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5105471,6.00,6.00,2.00,7.00,7.00,6.00,3.00,2.00,4.00,201,NULL,203,'JARDI RUBÍ','SANTANA PARNAÍBA','SP',8318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105480,6.00,2.00,0.00,3.00,7.00,NULL,1.00,2.00,3.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5105498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'JARDIM BONFIGLIOLI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5105510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,651,'JD SANTOS REIS','POTIRENDABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5105528,8.00,8.00,4.00,6.00,8.00,7.50,6.00,4.00,6.00,203,NULL,214,'BOM RETIRO','JOINVILLE','SC',2764,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5105536,9.00,7.00,6.00,6.00,9.00,7.13,4.00,6.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2188,1159,NULL,NULL,NULL,NULL,NULL,4,8),(20,5105544,5.00,4.00,1.00,3.00,5.00,NULL,2.00,2.00,4.00,308,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5105552,1.00,5.00,2.00,5.00,5.00,7.50,0.00,4.00,4.00,340,NULL,NULL,'SANTANA','S PAULO','SP',15027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105560,4.00,3.00,0.00,4.00,3.00,NULL,1.00,3.00,4.00,207,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5105579,4.00,3.00,1.00,0.00,2.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'ELDORADO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5105587,7.00,3.00,3.00,4.00,9.00,10.13,4.00,5.00,4.00,233,NULL,238,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8793,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5105595,2.00,5.00,1.00,4.00,5.00,9.75,2.00,4.00,4.00,336,NULL,NULL,'CAPOIERAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO AMARO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5105617,5.00,6.00,2.00,6.00,9.00,NULL,0.00,1.00,5.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5105625,4.00,4.00,0.00,3.00,4.00,NULL,3.00,2.00,3.00,104,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5105633,0.00,0.00,3.00,5.00,1.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5105641,7.00,7.00,5.00,6.00,9.00,8.63,4.00,3.00,8.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',3643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105650,7.00,6.00,4.00,4.00,6.00,7.13,4.00,5.00,5.00,303,NULL,NULL,'BOM RETIRO','CURITIBA','PR',8107,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5105668,3.00,7.00,1.00,3.00,6.00,NULL,1.00,1.00,3.00,326,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105676,6.00,7.00,4.00,7.00,5.00,9.75,1.00,2.00,4.00,201,NULL,207,'UNIVERSITÁRIO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5105684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'BUTÃNTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5105692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5105706,8.00,5.00,2.00,4.00,9.00,NULL,0.00,4.00,6.00,103,NULL,NULL,'ALTO BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5105714,4.00,7.00,3.00,3.00,5.00,9.00,0.00,2.00,1.00,3,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',15626,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5105722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5105730,3.00,5.00,0.00,6.00,9.00,NULL,1.00,6.00,4.00,303,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5105749,7.00,5.00,3.00,5.00,6.00,10.13,1.00,2.00,5.00,205,NULL,NULL,'JARDIM IRIRIÚ','JOINVILLE','SC',9942,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5105757,5.00,6.00,4.00,5.00,5.00,8.63,1.00,5.00,4.00,326,NULL,NULL,'PERDIZES','S PAULO','SP',10514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105765,9.00,6.00,7.00,7.00,10.00,9.00,7.00,4.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105781,6.00,7.00,6.00,4.00,9.00,9.38,6.00,6.00,7.00,207,NULL,233,'ARIRIÚ','PALHOÇA','SC',2238,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5105803,6.00,7.00,2.00,5.00,5.00,7.50,3.00,3.00,4.00,453,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',11010,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5105811,5.00,4.00,0.00,7.00,7.00,7.13,1.00,1.00,6.00,601,NULL,NULL,'PROGRESSO','S BENTO SUL','SC',14266,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5105820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5105846,3.00,4.00,1.00,6.00,4.00,NULL,0.00,1.00,1.00,340,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105854,5.00,4.00,5.00,7.00,4.00,7.88,1.00,3.00,4.00,208,NULL,220,'CONDOMINIO SP II','COTIA','SP',10871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105862,9.00,8.00,3.00,7.00,10.00,9.38,5.00,6.00,8.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',1818,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5105870,7.00,7.00,2.00,7.00,5.00,10.88,4.00,2.00,5.00,216,NULL,201,'BELA VISTA','ERECHIM','RS',8456,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5105889,8.00,6.00,6.00,7.00,10.00,9.38,6.00,4.00,5.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105897,5.00,5.00,3.00,4.00,8.00,9.00,3.00,4.00,5.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5105900,3.00,6.00,0.00,4.00,5.00,7.88,2.00,5.00,4.00,203,NULL,NULL,'CAPIVARI','ÁGUAS STA BÁRBARA','SP',13803,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5105935,3.00,3.00,0.00,4.00,2.00,NULL,1.00,1.00,1.00,207,NULL,211,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105943,7.00,7.00,3.00,6.00,5.00,6.38,3.00,2.00,7.00,203,NULL,214,'AEROPORTO','CRISTALINA','GO',10194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105978,7.00,8.00,2.00,7.00,5.00,7.13,2.00,2.00,6.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',9806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5105986,3.00,6.00,1.00,1.00,1.00,NULL,3.00,3.00,2.00,653,NULL,652,'FORQUILHA DO CEDRO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5105994,6.00,6.00,2.00,6.00,8.00,6.38,3.00,4.00,4.00,238,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',9619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106010,7.00,7.00,3.00,7.00,8.00,9.38,6.00,3.00,4.00,203,NULL,214,'AGRONÔMICA','FLORIANÓPOLIS','SC',4746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106028,5.00,6.00,2.00,6.00,7.00,8.25,3.00,2.00,5.00,316,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',10023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106036,8.00,5.00,8.00,5.00,9.00,8.25,7.00,6.00,6.00,5,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',2291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106044,5.00,5.00,2.00,7.00,5.00,9.00,2.00,3.00,6.00,333,NULL,NULL,'PERDIZES','S PAULO','SP',10068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106052,4.00,2.00,1.00,4.00,4.00,NULL,3.00,3.00,3.00,103,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5106087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'ALEGRE','HOLAMBRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5106117,6.00,5.00,2.00,3.00,7.00,7.13,1.00,2.00,5.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5106125,6.00,7.00,5.00,6.00,8.00,9.00,6.00,5.00,7.00,220,NULL,238,'SANTA MÔNICA','FLORIANÓPOLIS','SC',2980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5106141,5.00,5.00,2.00,4.00,9.00,6.38,2.00,5.00,6.00,303,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',10235,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5106150,7.00,5.00,0.00,3.00,5.00,9.75,3.00,5.00,4.00,201,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',12080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106168,6.00,4.00,4.00,6.00,7.00,9.00,3.00,2.00,4.00,216,NULL,235,'PORTÃO','CURITIBA','PR',6986,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5106176,7.00,7.00,2.00,7.00,9.00,7.50,2.00,4.00,3.00,303,NULL,NULL,'HIGIENÓPOLIS','RIBEIRÃO PRETO','SP',5313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106206,5.00,6.00,2.00,7.00,9.00,9.00,2.00,2.00,4.00,207,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',12265,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5106214,6.00,6.00,2.00,7.00,7.00,9.00,3.00,3.00,3.00,444,NULL,NULL,'CENTRO','CRICIÚMA','SC',8995,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5106230,5.00,3.00,2.00,5.00,7.00,12.00,3.00,3.00,5.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,214,'VILA IPOJUCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5106265,1.00,5.00,3.00,6.00,3.00,NULL,2.00,2.00,2.00,202,NULL,235,'BELA VISTA','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5106273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5106281,5.00,5.00,2.00,5.00,9.00,6.38,1.00,3.00,2.00,302,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',13752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106303,4.00,7.00,3.00,6.00,3.00,NULL,1.00,2.00,4.00,207,NULL,201,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5106311,8.00,7.00,4.00,7.00,8.00,9.00,2.00,4.00,5.00,103,NULL,NULL,'PQ SAO QUIRINO','CAMPINAS','SP',4577,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5106320,5.00,2.00,0.00,6.00,5.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'SÃO CRISTÓVÃO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(20,5106338,4.00,5.00,2.00,6.00,7.00,6.38,1.00,3.00,5.00,5,NULL,NULL,'TINGUI','CURITIBA','PR',12757,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5106346,4.00,4.00,1.00,3.00,5.00,NULL,2.00,1.00,4.00,317,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5106354,6.00,6.00,5.00,5.00,7.00,8.25,5.00,2.00,7.00,203,NULL,235,'ZONA DOIS','MARINGÁ','PR',4818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106362,5.00,3.00,2.00,5.00,5.00,7.50,2.00,3.00,2.00,319,NULL,NULL,'CENTRO','PALHOÇA','SC',15834,331,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106370,5.00,7.00,3.00,7.00,9.00,9.38,2.00,7.00,6.00,601,NULL,NULL,'CENTRO','CURITIBANOS','SC',4242,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5106389,5.00,6.00,1.00,5.00,6.00,7.50,1.00,3.00,4.00,203,NULL,208,'PEREQUÊ','PTO BELO','SC',12918,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5106397,5.00,4.00,5.00,7.00,6.00,7.88,3.00,1.00,3.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',9896,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5106400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5106419,0.00,4.00,0.00,0.00,0.00,NULL,1.00,3.00,5.00,601,NULL,201,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,8),(20,5106427,6.00,8.00,4.00,7.00,7.00,7.13,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6195,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5106443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA PETROPOLIS','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5106451,2.00,4.00,4.00,3.00,4.00,NULL,2.00,1.00,3.00,425,NULL,429,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106460,1.00,6.00,0.00,4.00,5.00,NULL,0.00,3.00,2.00,203,NULL,202,'RESTINGA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5106486,9.00,6.00,7.00,7.00,8.00,8.63,5.00,7.00,8.00,103,NULL,NULL,'ATUBA','CURITIBA','PR',921,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5106508,3.00,5.00,2.00,6.00,6.00,NULL,1.00,2.00,2.00,340,NULL,NULL,'BARRA FUNDA','GUARUJÁ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106524,2.00,5.00,1.00,4.00,4.00,6.75,3.00,2.00,5.00,201,NULL,203,'ITAPEMA DO NORTE','ITAPOÁ','SC',16116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106559,1.00,6.00,2.00,6.00,5.00,NULL,1.00,0.00,4.00,103,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106567,8.00,7.00,3.00,3.00,8.00,9.75,2.00,3.00,3.00,207,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',10624,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5106575,1.00,4.00,4.00,4.00,5.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'CENTRO','GARUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5106583,6.00,6.00,1.00,5.00,7.00,10.13,3.00,1.00,7.00,502,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106591,6.00,6.00,2.00,7.00,6.00,9.38,1.00,2.00,3.00,340,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106605,7.00,6.00,4.00,5.00,4.00,7.88,4.00,4.00,2.00,317,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',10354,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5106613,8.00,6.00,4.00,6.00,10.00,10.13,3.00,3.00,7.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',4048,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5106621,5.00,6.00,1.00,6.00,8.00,9.38,1.00,4.00,5.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106630,3.00,4.00,1.00,5.00,6.00,8.25,2.00,2.00,5.00,420,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',13995,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5106656,2.00,6.00,1.00,4.00,5.00,NULL,3.00,4.00,1.00,303,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106664,4.00,6.00,1.00,6.00,6.00,7.88,2.00,3.00,4.00,215,NULL,216,'BARREIROS','S JOSÉ','SC',11787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106672,7.00,7.00,3.00,6.00,3.00,NULL,1.00,3.00,1.00,211,NULL,216,'VILA OPERÁRIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5106680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5106699,2.00,5.00,2.00,4.00,4.00,NULL,2.00,1.00,4.00,420,NULL,NULL,'CENTRO COM PINHEIROS','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5106710,6.00,5.00,4.00,6.00,7.00,8.63,2.00,5.00,6.00,201,NULL,601,'CENTRO','MAFRA','SC',5256,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5106729,6.00,5.00,2.00,4.00,4.00,7.13,1.00,2.00,1.00,102,NULL,NULL,'PASSOS DOS FORTES','CHAPECÓ','SC',15623,227,NULL,NULL,NULL,NULL,NULL,4,4),(20,5106745,5.00,8.00,4.00,6.00,8.00,8.63,3.00,4.00,6.00,108,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5106753,5.00,4.00,0.00,6.00,5.00,9.00,3.00,1.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106761,6.00,5.00,2.00,6.00,8.00,7.88,5.00,3.00,4.00,103,NULL,NULL,'KAYSER','CAXIAS SUL','RS',8059,2841,NULL,NULL,NULL,NULL,NULL,2,1),(20,5106770,8.00,5.00,2.00,5.00,7.00,8.25,1.00,5.00,5.00,5,NULL,NULL,'VILA MARARI','S PAULO','SP',7890,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5106788,4.00,6.00,1.00,6.00,6.00,8.63,2.00,2.00,2.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106796,9.00,6.00,2.00,7.00,7.00,12.38,4.00,5.00,5.00,108,NULL,NULL,'AGUA VERDE','CURITIBA','PR',3219,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5106800,6.00,5.00,2.00,7.00,7.00,9.00,3.00,4.00,3.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106818,1.00,4.00,0.00,2.00,4.00,NULL,0.00,2.00,2.00,9,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5106834,8.00,5.00,5.00,5.00,9.00,7.50,4.00,5.00,7.00,207,NULL,215,'CENTRO','PETROLÂNDIA','SC',4640,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5106842,5.00,1.00,2.00,2.00,6.00,NULL,2.00,0.00,3.00,5,NULL,NULL,'ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5106877,8.00,8.00,5.00,7.00,8.00,11.63,6.00,7.00,8.00,303,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',665,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5106885,4.00,3.00,1.00,3.00,4.00,7.88,1.00,4.00,6.00,216,NULL,215,'JARDIM EUROPA','DOURADOS','MS',16122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5106907,7.00,8.00,8.00,6.00,6.00,9.38,5.00,7.00,7.00,201,NULL,601,'JARDIM DAS HORTENCIA','FRAIBURGO','SC',1625,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5106923,7.00,5.00,1.00,7.00,9.00,6.75,1.00,5.00,4.00,202,NULL,213,'SERRINHA','FLORIANÓPOLIS','SC',10547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106931,4.00,6.00,3.00,6.00,4.00,5.25,2.00,0.00,1.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106940,8.00,7.00,3.00,5.00,7.00,8.63,4.00,5.00,5.00,103,NULL,NULL,'JD CAPELINHA','S PAULO','SP',5750,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5106958,6.00,5.00,0.00,6.00,3.00,NULL,5.00,1.00,3.00,220,NULL,202,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5106974,5.00,7.00,0.00,7.00,8.00,7.13,0.00,4.00,6.00,319,NULL,NULL,'JARDIM ESPERANÇA','PILAR SUL','SP',7959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5106982,7.00,7.00,5.00,6.00,7.00,9.00,5.00,6.00,6.00,216,NULL,203,'VICTOR KONDER','BLUMENAU','SC',3283,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5106990,1.00,4.00,1.00,4.00,3.00,NULL,1.00,1.00,2.00,303,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5107024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5107032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SAPETINGA','ILHÉUS','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5107059,9.00,9.00,6.00,7.00,10.00,9.00,6.00,6.00,9.00,103,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107067,5.00,6.00,2.00,3.00,6.00,9.38,2.00,4.00,4.00,332,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107075,7.00,6.00,1.00,4.00,6.00,9.38,2.00,4.00,6.00,301,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',11910,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5107083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'CENTRO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5107113,5.00,0.00,1.00,4.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(20,5107121,6.00,5.00,1.00,4.00,6.00,NULL,0.00,2.00,4.00,653,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5107130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RESIDENCIAL','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5107148,8.00,5.00,4.00,5.00,8.00,6.38,2.00,5.00,6.00,103,NULL,NULL,'AFONSO PENA','S JOSÉ PINHAIS','PR',6400,NULL,NULL,NULL,NULL,NULL,NULL,5,6),(20,5107156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5107164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRUZEIRO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5107172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5107180,9.00,9.00,4.00,8.00,11.00,11.63,7.00,4.00,8.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5107202,3.00,7.00,4.00,5.00,6.00,7.13,3.00,1.00,4.00,201,NULL,207,'PICADAS DO SUL','S JOSÉ','SC',13735,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5107229,5.00,6.00,2.00,6.00,5.00,6.75,3.00,1.00,2.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',14840,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5107237,9.00,6.00,2.00,6.00,6.00,7.50,1.00,2.00,6.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',8156,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5107245,4.00,6.00,3.00,5.00,4.00,6.38,3.00,2.00,1.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5107253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5107261,8.00,7.00,2.00,7.00,8.00,8.63,4.00,3.00,5.00,501,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107270,3.00,6.00,3.00,3.00,5.00,8.63,2.00,2.00,4.00,9,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',15681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107300,5.00,4.00,0.00,4.00,6.00,8.63,1.00,2.00,5.00,319,NULL,NULL,'ROÇADO','S JOSÉ','SC',14107,281,NULL,NULL,NULL,NULL,NULL,2,1),(20,5107334,8.00,8.00,5.00,7.00,9.00,10.13,5.00,5.00,7.00,5,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',1673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107342,7.00,8.00,7.00,5.00,6.00,8.25,5.00,6.00,8.00,103,NULL,NULL,'VALE DO SOL','S JOSÉ R PRETO','SP',1833,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5107393,2.00,2.00,1.00,3.00,2.00,NULL,2.00,1.00,1.00,502,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5107415,6.00,5.00,2.00,7.00,8.00,9.38,2.00,2.00,5.00,102,NULL,NULL,'VILA ASSUNÇÃO','PTO ALEGRE','RS',8390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107423,1.00,5.00,0.00,5.00,7.00,NULL,2.00,1.00,5.00,5,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5107431,5.00,5.00,4.00,4.00,6.00,7.50,3.00,4.00,6.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5107466,7.00,7.00,2.00,5.00,7.00,7.13,2.00,6.00,7.00,103,NULL,NULL,'JD SÃO JORGE','MARINGÁ','PR',6003,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5107474,5.00,4.00,1.00,4.00,8.00,8.25,1.00,4.00,4.00,101,NULL,NULL,'FOQUILHINHAS','S JOSÉ','SC',13449,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5107482,4.00,6.00,2.00,4.00,1.00,NULL,2.00,1.00,3.00,220,NULL,202,'JARDIM MARINGA II','SINOP','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107490,6.00,5.00,4.00,6.00,8.00,6.75,3.00,4.00,6.00,202,NULL,213,'ESTEITO','FLORIANÓPOLIS','SC',6735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107520,1.00,3.00,0.00,1.00,3.00,NULL,0.00,2.00,2.00,207,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5107555,8.00,7.00,5.00,7.00,5.00,9.38,6.00,4.00,8.00,103,NULL,NULL,'NOVA HIGIENOPOLIS','JANDIRA','SP',2128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107563,5.00,3.00,0.00,4.00,4.00,6.38,3.00,3.00,3.00,208,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107571,2.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,238,NULL,652,'VILLAGE','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5107580,1.00,3.00,4.00,6.00,3.00,NULL,1.00,0.00,4.00,238,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(20,5107601,7.00,7.00,5.00,7.00,7.00,8.25,5.00,3.00,5.00,103,NULL,NULL,'CENTRO','UMUARAMA','PR',4085,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5107628,9.00,8.00,7.00,7.00,10.00,10.50,9.00,6.00,7.00,203,NULL,201,'CAMPINAS','S JOSÉ','SC',122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107636,8.00,7.00,4.00,5.00,6.00,9.00,6.00,4.00,9.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3931,1824,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107652,6.00,3.00,5.00,6.00,4.00,8.25,2.00,4.00,2.00,201,NULL,207,'CAMPINAS','S JOSÉ','SC',14137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107660,9.00,6.00,1.00,5.00,10.00,9.75,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4402,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5107679,8.00,7.00,4.00,7.00,9.00,9.75,3.00,5.00,8.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',2391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107695,2.00,5.00,3.00,3.00,6.00,NULL,2.00,3.00,2.00,207,NULL,202,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5107709,8.00,8.00,6.00,4.00,7.00,11.25,6.00,7.00,7.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1454,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5107717,5.00,5.00,5.00,5.00,8.00,8.25,2.00,4.00,5.00,304,NULL,NULL,'GOIABEIRAS','CUIABÁ','MT',8411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107725,2.00,2.00,1.00,2.00,5.00,NULL,2.00,3.00,4.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5107733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOSÉ','HORIZONTINA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5107741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5107750,10.00,7.00,6.00,8.00,10.00,9.38,2.00,6.00,9.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',975,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5107776,6.00,6.00,1.00,7.00,5.00,NULL,1.00,1.00,4.00,238,NULL,207,'JARDIM','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5107784,6.00,5.00,1.00,1.00,3.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5107792,1.00,4.00,0.00,3.00,3.00,NULL,4.00,2.00,1.00,207,NULL,211,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5107806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'SÃO LOURENÇO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5107814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVO PARANÁ','LUÍS E MAGALHÃES','BA',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5107822,7.00,4.00,2.00,5.00,8.00,9.38,2.00,4.00,2.00,503,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',11678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107830,6.00,5.00,2.00,4.00,6.00,9.38,2.00,5.00,3.00,103,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',11699,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5107865,3.00,5.00,2.00,4.00,6.00,6.00,2.00,4.00,1.00,211,NULL,207,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107873,3.00,5.00,4.00,7.00,6.00,6.38,0.00,2.00,5.00,208,NULL,235,'ATLÂNTICO','ERECHIM','RS',14149,384,NULL,189,NULL,NULL,NULL,4,1),(20,5107890,5.00,6.00,2.00,7.00,4.00,7.13,1.00,3.00,3.00,415,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',14117,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5107903,5.00,6.00,3.00,8.00,6.00,9.38,4.00,3.00,7.00,103,NULL,NULL,'PARAISO','S PAULO','SP',5892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107911,7.00,8.00,5.00,5.00,4.00,7.50,4.00,3.00,7.00,202,NULL,216,'CENTRO','BENTO GONÇALVES','RS',6201,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5107920,5.00,5.00,4.00,5.00,7.00,9.00,2.00,1.00,4.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13843,3613,NULL,NULL,NULL,NULL,NULL,4,1),(20,5107938,7.00,6.00,6.00,5.00,7.00,10.50,3.00,3.00,6.00,233,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',5069,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5107946,5.00,6.00,3.00,5.00,8.00,12.00,3.00,2.00,5.00,201,NULL,203,'PORTINHO','LAGUNA','SC',7450,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5107954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'JARDIM ESPLANADA II','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5107962,5.00,3.00,2.00,1.00,6.00,NULL,2.00,0.00,3.00,339,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5107970,7.00,4.00,7.00,7.00,9.00,7.50,4.00,5.00,5.00,103,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',2948,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5107989,2.00,5.00,2.00,3.00,5.00,NULL,2.00,0.00,3.00,102,NULL,NULL,'CENTRO','SANANDUVA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5108004,9.00,8.00,8.00,7.00,11.00,11.25,7.00,7.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',25,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5108012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5108020,3.00,4.00,2.00,3.00,7.00,10.50,3.00,3.00,3.00,450,NULL,NULL,'LIBERDADE','S PAULO','SP',15583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5108039,4.00,8.00,3.00,3.00,5.00,9.75,2.00,3.00,4.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108055,1.00,3.00,1.00,3.00,3.00,NULL,0.00,1.00,3.00,102,NULL,NULL,'JARDIM ITÁLIA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5108063,9.00,8.00,2.00,5.00,10.00,12.00,3.00,5.00,6.00,303,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',2779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5108080,3.00,4.00,1.00,4.00,6.00,NULL,3.00,1.00,3.00,429,NULL,424,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5108101,9.00,8.00,5.00,6.00,9.00,9.38,6.00,5.00,7.00,104,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5108144,6.00,4.00,1.00,4.00,4.00,NULL,0.00,4.00,3.00,201,NULL,213,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108160,4.00,3.00,0.00,2.00,6.00,NULL,0.00,3.00,3.00,304,NULL,NULL,'MORADA DO SOL','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5108179,7.00,7.00,3.00,5.00,7.00,7.13,4.00,4.00,3.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',7850,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5108209,7.00,7.00,5.00,5.00,8.00,8.63,6.00,7.00,5.00,326,NULL,NULL,'CENTRO','ESTEIO','RS',3076,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108217,9.00,7.00,2.00,7.00,9.00,7.50,2.00,4.00,6.00,103,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',6832,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5108233,4.00,5.00,0.00,2.00,7.00,NULL,2.00,4.00,4.00,201,NULL,235,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5108241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,238,'JARIVATUBA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5108268,7.00,7.00,3.00,5.00,4.00,7.50,1.00,1.00,5.00,317,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',13020,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108276,6.00,7.00,5.00,7.00,9.00,9.75,2.00,5.00,5.00,216,NULL,211,'CENTRO','ERECHIM','RS',3679,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5108284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,233,'ITINGA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5108306,3.00,4.00,0.00,5.00,3.00,NULL,1.00,2.00,1.00,201,NULL,207,'NOVA BRASILIA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5108349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM AMERICA','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5108357,5.00,4.00,1.00,2.00,2.00,NULL,2.00,1.00,1.00,316,NULL,NULL,'ITAIÓ SETÃO','STA TEREZINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5108381,5.00,5.00,4.00,4.00,8.00,8.25,2.00,3.00,4.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',8732,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108390,7.00,5.00,0.00,7.00,7.00,NULL,3.00,2.00,4.00,452,NULL,NULL,'CENTRO DE SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5108403,6.00,6.00,3.00,7.00,9.00,11.25,4.00,5.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',3414,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5108411,3.00,4.00,0.00,3.00,4.00,NULL,2.00,0.00,1.00,207,NULL,601,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5108420,7.00,8.00,1.00,7.00,6.00,8.63,4.00,6.00,5.00,103,NULL,NULL,'GIRASSOL','AMERICANA','SP',5233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5108438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'IATE CLUBE DE CAMPIN','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5108446,4.00,5.00,0.00,4.00,7.00,NULL,2.00,3.00,4.00,103,NULL,NULL,'VILA OPERARIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5108454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,653,'ERECHIN','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5108462,7.00,2.00,4.00,6.00,8.00,8.63,3.00,5.00,7.00,102,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',7477,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'BOEHMERWALD','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5108489,9.00,9.00,6.00,7.00,9.00,9.00,4.00,6.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5108497,6.00,6.00,2.00,5.00,7.00,6.75,2.00,3.00,4.00,211,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',12968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108500,4.00,4.00,2.00,3.00,7.00,NULL,0.00,1.00,2.00,501,NULL,NULL,'PARADO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5108527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,208,'AREIAS','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5108535,5.00,3.00,2.00,5.00,8.00,9.38,0.00,4.00,6.00,415,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',10537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5108543,4.00,2.00,2.00,3.00,5.00,NULL,0.00,4.00,2.00,211,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108551,3.00,6.00,2.00,3.00,6.00,NULL,1.00,3.00,4.00,316,NULL,NULL,'SAUDADE','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108560,4.00,7.00,0.00,4.00,8.00,6.38,2.00,2.00,4.00,415,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',13011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5108586,2.00,5.00,0.00,5.00,4.00,NULL,2.00,0.00,2.00,108,NULL,NULL,'CENTRO','QUILOMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5108594,5.00,6.00,4.00,4.00,8.00,9.75,4.00,3.00,4.00,317,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8409,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108608,9.00,8.00,2.00,4.00,8.00,9.00,3.00,4.00,6.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108616,8.00,7.00,2.00,5.00,6.00,6.75,3.00,4.00,6.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',6505,2534,NULL,NULL,NULL,NULL,NULL,2,17),(20,5108624,2.00,3.00,1.00,3.00,5.00,NULL,0.00,2.00,6.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108632,5.00,5.00,0.00,3.00,6.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108659,5.00,9.00,2.00,6.00,5.00,7.13,1.00,4.00,4.00,653,NULL,651,'URUSSANGUINHA','ARARANGUÁ','SC',13724,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5108675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5108683,6.00,7.00,4.00,5.00,9.00,8.25,1.00,8.00,5.00,327,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',5331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108691,3.00,6.00,0.00,3.00,3.00,NULL,2.00,2.00,2.00,104,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108705,6.00,3.00,3.00,4.00,5.00,7.50,2.00,1.00,5.00,207,NULL,211,'ARMAÇÃO','FLORIANÓPOLIS','SC',14307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108713,9.00,8.00,5.00,7.00,7.00,8.25,5.00,4.00,9.00,103,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',1959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5108721,3.00,3.00,1.00,2.00,6.00,NULL,1.00,2.00,2.00,415,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5108748,6.00,7.00,3.00,4.00,5.00,7.13,3.00,4.00,4.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10580,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108756,9.00,8.00,5.00,7.00,9.00,11.63,4.00,3.00,6.00,103,NULL,NULL,'PRAIA DE BELAS','PTO ALEGRE','RS',1582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5108772,4.00,6.00,3.00,5.00,7.00,10.88,1.00,2.00,3.00,333,NULL,NULL,'BELEM NOVO','PTO ALEGRE','RS',11549,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108780,2.00,3.00,3.00,2.00,3.00,NULL,1.00,2.00,2.00,317,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5108799,2.00,4.00,4.00,2.00,4.00,NULL,2.00,2.00,0.00,222,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108829,7.00,6.00,5.00,5.00,6.00,7.13,4.00,3.00,5.00,235,NULL,202,'AGUA VERDE','CURITIBA','PR',7386,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5108870,3.00,4.00,1.00,2.00,2.00,NULL,2.00,1.00,1.00,339,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA IVETE','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(20,5108896,6.00,7.00,3.00,5.00,8.00,7.88,1.00,5.00,3.00,319,NULL,NULL,'FLORESTA','JOINVILLE','SC',9137,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5108918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'VILA ITALIA','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5108926,5.00,5.00,3.00,7.00,4.00,9.38,1.00,2.00,2.00,420,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5108934,7.00,6.00,3.00,5.00,9.00,10.50,2.00,6.00,6.00,108,NULL,NULL,'PINGUIRITO','GAROPABA','SC',4893,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5108969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'JARDIM COLOMBO','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5109000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5109019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'PEDRINHAS','PTO VELHO','RO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5109027,3.00,5.00,1.00,4.00,4.00,8.63,2.00,4.00,3.00,103,NULL,NULL,'SENAI','MONTENEGRO','RS',16110,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109043,2.00,5.00,1.00,4.00,5.00,6.75,1.00,5.00,3.00,317,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',15673,124,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109094,4.00,5.00,5.00,6.00,8.00,9.00,3.00,4.00,2.00,203,NULL,NULL,'CENTRO','JACAREZINHO','PR',8721,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5109124,4.00,6.00,4.00,4.00,7.00,9.38,4.00,1.00,2.00,427,NULL,423,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109132,4.00,3.00,2.00,5.00,3.00,NULL,0.00,3.00,1.00,308,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109159,7.00,7.00,2.00,4.00,4.00,6.75,3.00,2.00,5.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',10995,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5109167,8.00,8.00,6.00,7.00,7.00,9.00,4.00,5.00,7.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',1983,1080,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109175,5.00,4.00,1.00,6.00,5.00,5.25,3.00,2.00,2.00,103,NULL,NULL,'CENTRO','RIBEIRÃO BRANCO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5109183,8.00,7.00,6.00,6.00,7.00,7.50,6.00,2.00,8.00,203,NULL,233,'CENTRO','SERTANÓPOLIS','PR',3057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109191,6.00,7.00,1.00,7.00,5.00,9.00,1.00,1.00,4.00,301,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',11876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109205,3.00,6.00,3.00,6.00,8.00,8.63,0.00,2.00,4.00,207,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DOS ESTADOS','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5109221,0.00,0.00,0.00,0.00,0.00,NULL,1.00,0.00,1.00,101,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5109230,5.00,5.00,4.00,3.00,8.00,8.63,4.00,2.00,4.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13348,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109256,2.00,3.00,1.00,3.00,3.00,NULL,0.00,2.00,1.00,203,NULL,201,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5109264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'JARDIM ITÁLIA','MELEIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5109272,3.00,5.00,0.00,2.00,2.00,NULL,3.00,2.00,2.00,444,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CON JD DO CEDRO','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5109302,2.00,2.00,0.00,3.00,4.00,NULL,2.00,1.00,0.00,301,NULL,NULL,'SANTOS SARAIVA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109310,8.00,6.00,2.00,7.00,9.00,8.25,1.00,4.00,5.00,319,NULL,NULL,'CEN TRO','FLORIANÓPOLIS','SC',6875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109329,6.00,7.00,2.00,8.00,10.00,8.63,5.00,5.00,5.00,207,NULL,211,'CAMPECHE','FLORIANÓPOLIS','SC',5157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109337,6.00,6.00,2.00,7.00,6.00,8.25,3.00,3.00,4.00,208,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',10159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109345,5.00,7.00,1.00,6.00,5.00,8.63,3.00,3.00,4.00,238,NULL,651,'TRINDADE','FLORIANÓPOLIS','SC',11803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109353,8.00,7.00,7.00,4.00,8.00,9.00,4.00,6.00,8.00,103,NULL,NULL,'NOSSA SRA APARECIDA','CPO NOVO PARECIS','MT',2321,1221,NULL,NULL,NULL,NULL,NULL,4,3),(20,5109388,8.00,5.00,4.00,5.00,7.00,6.38,4.00,6.00,5.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',6644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109396,5.00,6.00,2.00,5.00,5.00,10.88,0.00,5.00,5.00,304,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,601,'COSTEIRA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5109418,5.00,4.00,5.00,6.00,6.00,6.75,2.00,4.00,4.00,319,NULL,NULL,'PINHEIRINHO','S MATEUS SUL','PR',11498,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5109442,1.00,3.00,2.00,5.00,3.00,NULL,0.00,3.00,4.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109477,2.00,5.00,4.00,3.00,3.00,NULL,3.00,2.00,2.00,429,NULL,425,'PRAINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109485,4.00,6.00,1.00,6.00,7.00,10.50,0.00,2.00,5.00,332,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',9956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109493,4.00,5.00,2.00,5.00,6.00,7.13,3.00,6.00,4.00,216,NULL,207,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109523,6.00,7.00,6.00,7.00,8.00,9.75,7.00,5.00,5.00,203,NULL,202,'NOVO MUNDO','CURITIBA','PR',1575,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5109531,9.00,6.00,6.00,6.00,8.00,9.38,6.00,5.00,7.00,103,NULL,NULL,'ALTO DA BOA VISTA','S PAULO','SP',2007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109540,5.00,6.00,4.00,3.00,6.00,4.88,2.00,2.00,4.00,223,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109558,7.00,7.00,6.00,5.00,10.00,12.00,8.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',917,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109566,3.00,6.00,2.00,4.00,5.00,6.75,0.00,4.00,4.00,326,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',16198,65,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109574,4.00,7.00,3.00,6.00,6.00,11.25,2.00,3.00,7.00,423,NULL,425,'AMÉRICA','JOINVILLE','SC',8352,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5109582,1.00,3.00,1.00,1.00,4.00,NULL,1.00,2.00,3.00,501,NULL,NULL,'DALTRO FILHO','GUARACIABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109590,7.00,2.00,3.00,4.00,8.00,9.00,5.00,2.00,6.00,211,NULL,233,'PANTANAL','FLORIANÓPOLIS','SC',8620,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109604,7.00,4.00,4.00,6.00,8.00,9.38,2.00,3.00,5.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',7728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109612,5.00,2.00,6.00,6.00,6.00,8.25,2.00,3.00,6.00,202,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',10526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109620,7.00,7.00,7.00,7.00,5.00,8.63,3.00,5.00,7.00,203,NULL,214,'SANTA CRUZ','S JOSÉ R PRETO','SP',3474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109655,4.00,0.00,1.00,4.00,7.00,NULL,0.00,0.00,0.00,208,NULL,201,'INDEPEDENCIA','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5109663,6.00,7.00,3.00,5.00,7.00,10.50,3.00,2.00,3.00,103,NULL,NULL,'JARDIM AMÉRICA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5109680,2.00,5.00,3.00,4.00,5.00,7.50,1.00,2.00,4.00,424,NULL,425,'INGLESES','FLORIANÓPOLIS','SC',16189,34,NULL,56,NULL,NULL,NULL,2,1),(20,5109701,7.00,5.00,4.00,6.00,7.00,7.13,5.00,2.00,3.00,208,NULL,201,'ALTO BIGUAÇU','BIGUAÇU','SC',9045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109710,6.00,6.00,2.00,6.00,6.00,11.25,2.00,3.00,6.00,207,NULL,201,'VILA BRASIL','LONDRINA','PR',7342,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5109728,5.00,6.00,5.00,2.00,7.00,6.75,4.00,4.00,4.00,235,NULL,208,'CENTRO','IÇARA','SC',11830,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5109736,2.00,5.00,3.00,4.00,2.00,NULL,0.00,3.00,2.00,653,NULL,652,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5109744,5.00,7.00,0.00,4.00,5.00,7.50,0.00,2.00,4.00,317,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',15026,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109752,5.00,4.00,0.00,5.00,8.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'CASCATINHA','PTE SERRADA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109760,2.00,5.00,2.00,7.00,6.00,6.00,3.00,2.00,4.00,207,NULL,201,'ALTO DA GLORIA','CURITIBA','PR',12826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109795,2.00,4.00,0.00,4.00,4.00,NULL,0.00,0.00,2.00,309,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109809,4.00,6.00,2.00,2.00,5.00,NULL,1.00,3.00,0.00,220,NULL,235,'CENTRO','TACIBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109825,4.00,3.00,0.00,3.00,3.00,NULL,0.00,1.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109833,4.00,2.00,1.00,3.00,7.00,NULL,3.00,1.00,4.00,207,NULL,201,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5109841,5.00,3.00,0.00,4.00,5.00,NULL,0.00,3.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5109850,4.00,5.00,2.00,4.00,4.00,7.88,3.00,4.00,2.00,235,NULL,203,'ITAPEUNA','ITAPEUNA','SP',14240,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5109876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA XV','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5109892,6.00,6.00,5.00,7.00,9.00,8.63,2.00,5.00,5.00,216,NULL,235,'CENTRO','BRUSQUE','SC',6700,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5109914,8.00,7.00,1.00,7.00,6.00,11.25,3.00,3.00,3.00,453,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'ESPERANÇA','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5109930,6.00,4.00,3.00,5.00,7.00,9.38,0.00,2.00,4.00,420,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109965,5.00,4.00,0.00,2.00,4.00,NULL,2.00,1.00,3.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5109973,7.00,5.00,4.00,6.00,7.00,7.13,2.00,4.00,2.00,304,NULL,NULL,'CENTRO','BRUSQUE','SC',9793,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5109981,7.00,4.00,1.00,7.00,6.00,10.13,1.00,0.00,3.00,336,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',11875,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5110009,9.00,5.00,5.00,4.00,10.00,7.88,7.00,6.00,5.00,103,NULL,NULL,'SERTAO','STO AMARO IMPERATRIZ','SC',2963,1470,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,651,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5110025,8.00,6.00,4.00,7.00,8.00,9.38,2.00,3.00,3.00,9,NULL,NULL,'BELA VISTA','FRAIBURGO','SC',7032,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5110033,1.00,4.00,0.00,3.00,1.00,NULL,2.00,2.00,1.00,104,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110041,3.00,4.00,2.00,6.00,5.00,8.25,2.00,2.00,3.00,104,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110092,2.00,4.00,1.00,4.00,4.00,NULL,0.00,2.00,1.00,302,NULL,NULL,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5110106,6.00,6.00,2.00,2.00,5.00,6.75,3.00,2.00,1.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5110122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,214,'MARIA DE LOURDES','HORTOLÂNDIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5110130,5.00,6.00,1.00,3.00,5.00,8.25,4.00,5.00,3.00,333,NULL,NULL,'GLORIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5110149,7.00,7.00,4.00,5.00,8.00,7.50,6.00,4.00,6.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110173,5.00,6.00,1.00,3.00,6.00,7.88,2.00,1.00,4.00,104,NULL,NULL,'CENTRO','CURITIBANOS','SC',14824,394,NULL,NULL,NULL,NULL,NULL,4,16),(20,5110181,3.00,3.00,4.00,4.00,4.00,NULL,2.00,1.00,3.00,404,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110190,3.00,6.00,3.00,4.00,6.00,6.00,2.00,2.00,6.00,101,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',14506,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110203,5.00,5.00,2.00,3.00,4.00,6.75,1.00,4.00,4.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110211,9.00,6.00,6.00,3.00,8.00,8.25,6.00,3.00,8.00,601,NULL,203,'FÁTIMA','JOINVILLE','SC',3635,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5110220,3.00,7.00,1.00,2.00,2.00,NULL,0.00,3.00,2.00,3,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110246,6.00,6.00,1.00,4.00,8.00,7.88,2.00,4.00,5.00,5,NULL,NULL,'TRNDADE','FLORIANÓPOLIS','SC',14287,463,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110254,4.00,7.00,3.00,5.00,7.00,7.88,4.00,5.00,7.00,207,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',8652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110262,1.00,3.00,1.00,1.00,0.00,NULL,3.00,2.00,1.00,201,NULL,208,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110270,5.00,6.00,4.00,4.00,7.00,9.00,1.00,1.00,3.00,317,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',14599,101,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110289,1.00,3.00,0.00,3.00,4.00,NULL,1.00,1.00,3.00,104,NULL,NULL,'CENTRO','IOMERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110300,5.00,4.00,0.00,0.00,4.00,NULL,3.00,2.00,3.00,108,NULL,NULL,'AGRONÔMICA','AGRONÔMICA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110319,6.00,8.00,5.00,6.00,6.00,6.38,2.00,5.00,6.00,102,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',8501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110327,5.00,7.00,5.00,5.00,6.00,10.50,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','CNSO MAIRINCK','PR',5917,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110335,2.00,5.00,2.00,6.00,5.00,NULL,0.00,3.00,1.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110343,6.00,7.00,1.00,6.00,6.00,7.88,2.00,2.00,3.00,415,NULL,NULL,'UNIVERSITÁRIO','VIDEIRA','SC',13312,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5110386,9.00,7.00,7.00,7.00,9.00,7.88,4.00,6.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110394,5.00,4.00,1.00,6.00,4.00,11.63,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110408,4.00,4.00,0.00,4.00,2.00,NULL,0.00,4.00,0.00,333,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5110416,2.00,5.00,2.00,6.00,6.00,8.63,3.00,4.00,4.00,429,NULL,425,'CENTRO','BRAÇO TROMBUDO','SC',13781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110424,5.00,5.00,4.00,5.00,8.00,7.88,1.00,2.00,5.00,318,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13450,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110432,2.00,3.00,0.00,2.00,4.00,NULL,3.00,1.00,1.00,652,NULL,651,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5110440,4.00,7.00,5.00,7.00,7.00,8.25,2.00,4.00,5.00,318,NULL,NULL,'SENHOR BOM JESUS','CAMPOS NOVOS','SC',8849,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5110467,5.00,6.00,5.00,6.00,6.00,9.00,2.00,1.00,5.00,203,NULL,233,'CENTRO','PNT GROSSA','PR',7793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110475,8.00,8.00,6.00,7.00,9.00,10.13,8.00,6.00,9.00,5,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110483,7.00,5.00,1.00,6.00,8.00,6.75,1.00,5.00,4.00,336,NULL,NULL,'SANTA MARTA','UBERABA','MG',10745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110505,6.00,7.00,4.00,3.00,6.00,6.00,3.00,2.00,3.00,3,NULL,NULL,'CENTRO','STO ANTÔNIO POSSE','SP',12715,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5110521,8.00,7.00,4.00,4.00,5.00,8.63,3.00,5.00,6.00,203,NULL,201,'AMÉRICA','JOINVILLE','SC',8414,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5110530,4.00,4.00,0.00,3.00,7.00,NULL,2.00,3.00,2.00,444,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110548,8.00,7.00,4.00,8.00,10.00,6.00,7.00,6.00,8.00,103,NULL,NULL,'SAO BRAS','CURITIBA','PR',1661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'BARIA LUISA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5110572,6.00,6.00,2.00,4.00,9.00,6.38,3.00,2.00,5.00,211,NULL,201,'CENTRO','IMBITUBA','SC',10655,328,NULL,787,NULL,NULL,NULL,2,10),(20,5110599,7.00,4.00,4.00,7.00,8.00,9.75,2.00,3.00,4.00,420,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9077,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5110602,7.00,0.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,8),(20,5110610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5110645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SANTA CATARINA','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5110653,8.00,5.00,3.00,5.00,8.00,9.75,4.00,4.00,7.00,501,NULL,NULL,'CENTRO','PTO ALEGRE','RS',6111,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5110661,4.00,5.00,1.00,6.00,4.00,4.88,1.00,3.00,5.00,103,NULL,NULL,'CENTRO','FRUTAL','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110688,5.00,3.00,1.00,5.00,8.00,8.63,4.00,3.00,3.00,108,NULL,NULL,'JARDIM PATENTE NOVO','S PAULO','SP',12264,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,653,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5110718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5110726,7.00,6.00,7.00,7.00,9.00,9.00,4.00,5.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110734,4.00,6.00,1.00,4.00,8.00,8.63,2.00,2.00,3.00,452,NULL,NULL,'CENTRO','ESTEIO','RS',11841,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110750,8.00,9.00,0.00,6.00,8.00,NULL,7.00,6.00,9.00,5,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5110769,6.00,4.00,2.00,3.00,6.00,10.50,2.00,5.00,2.00,335,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',11932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110777,4.00,7.00,1.00,4.00,5.00,11.63,1.00,2.00,5.00,103,NULL,NULL,'SÃO JOÃO','PASSO FUNDO','RS',11725,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5110793,8.00,6.00,8.00,6.00,9.00,8.63,4.00,5.00,6.00,207,NULL,201,'CORREGO GRANDE','FLORIANÓPOLIS','SC',2652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110807,4.00,3.00,1.00,4.00,5.00,NULL,3.00,1.00,4.00,102,NULL,NULL,'PALMITAL','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110815,6.00,7.00,5.00,4.00,6.00,7.88,3.00,3.00,6.00,203,NULL,NULL,'CENTRO','UMUARAMA','PR',8430,621,NULL,NULL,NULL,NULL,NULL,2,8),(20,5110823,6.00,5.00,1.00,2.00,5.00,9.38,4.00,4.00,4.00,103,NULL,NULL,'NOVA DIVINÉIA','PINHALZINHO','SC',14380,3677,NULL,NULL,NULL,NULL,NULL,2,4),(20,5110831,8.00,6.00,3.00,5.00,7.00,10.50,3.00,4.00,4.00,220,NULL,212,'BARREIROS','S JOSÉ','SC',6798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110840,7.00,6.00,1.00,4.00,7.00,9.00,1.00,6.00,7.00,104,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110866,6.00,6.00,0.00,7.00,8.00,9.38,2.00,4.00,5.00,303,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',9237,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5110882,4.00,4.00,3.00,5.00,4.00,NULL,2.00,1.00,2.00,333,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110890,5.00,6.00,3.00,4.00,5.00,7.50,2.00,3.00,3.00,233,NULL,238,'JURERÊ','FLORIANÓPOLIS','SC',13148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5110904,7.00,7.00,1.00,7.00,9.00,9.38,4.00,6.00,6.00,207,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',3597,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5110912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,211,'JD DEL REY','POÇOS CALDAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5110920,5.00,7.00,3.00,3.00,6.00,6.00,4.00,4.00,6.00,208,NULL,235,'KOBRASOL','S JOSÉ','SC',11296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110939,2.00,3.00,0.00,1.00,5.00,NULL,1.00,1.00,1.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110947,4.00,5.00,0.00,4.00,6.00,NULL,1.00,2.00,3.00,340,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110963,8.00,7.00,1.00,7.00,7.00,8.63,4.00,3.00,5.00,501,NULL,NULL,'CENTRO','TAPERA','RS',7070,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5110971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'JARDIM PIRATININGA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5110980,4.00,6.00,4.00,7.00,10.00,7.88,3.00,4.00,5.00,425,NULL,429,'PASSA VINTE','PALHOÇA','SC',7153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5110998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BARREIROS','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5111005,4.00,2.00,0.00,7.00,5.00,NULL,2.00,1.00,2.00,207,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'JALISCO','TROMBUDO CENTRAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5111021,6.00,3.00,1.00,4.00,5.00,7.13,2.00,3.00,5.00,216,NULL,208,'CACHOEIRA DO B J','FLORIANÓPOLIS','SC',15690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111030,7.00,5.00,4.00,7.00,9.00,7.50,3.00,6.00,2.00,450,NULL,NULL,'PARAÍSO','S PAULO','SP',6861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111056,1.00,5.00,1.00,6.00,4.00,8.25,2.00,2.00,3.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111064,7.00,8.00,3.00,6.00,8.00,7.88,4.00,5.00,5.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',4693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111110,7.00,7.00,2.00,6.00,9.00,8.63,4.00,5.00,5.00,220,NULL,202,'BARRA GRANDE','FAXINAL GUEDES','SC',5527,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5111129,6.00,7.00,3.00,7.00,9.00,10.88,2.00,7.00,7.00,450,NULL,NULL,'AMÉRICA','JOINVILLE','SC',3529,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5111137,3.00,6.00,1.00,4.00,5.00,NULL,2.00,1.00,2.00,452,NULL,NULL,'JD COLINA','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5111145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PARQUE ESPACIAL','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5111153,5.00,4.00,1.00,6.00,5.00,9.75,3.00,5.00,5.00,211,NULL,207,'NOVA PETRÓPOLIS','S BERNARDO CAMPO','SP',9431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111170,7.00,7.00,2.00,7.00,9.00,7.13,4.00,4.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4993,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5111188,6.00,5.00,4.00,8.00,5.00,7.50,0.00,1.00,5.00,318,NULL,NULL,'ALPHAVILLE','CAMPINAS','SP',11317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111196,5.00,5.00,4.00,4.00,6.00,9.75,3.00,2.00,4.00,201,NULL,207,'BOA VISTA','CURITIBA','PR',9980,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5111200,5.00,6.00,2.00,4.00,5.00,7.13,4.00,4.00,4.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11248,458,NULL,NULL,NULL,NULL,NULL,2,1),(20,5111218,5.00,6.00,0.00,4.00,8.00,NULL,2.00,2.00,3.00,102,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5111234,4.00,6.00,4.00,4.00,8.00,9.00,3.00,1.00,3.00,108,NULL,NULL,'CENTRO','BIGUAÇU','SC',12550,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5111242,3.00,5.00,2.00,5.00,3.00,NULL,1.00,1.00,4.00,104,NULL,NULL,'NOVA DIVINÉIA','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5111250,2.00,5.00,0.00,3.00,3.00,NULL,2.00,1.00,3.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111269,8.00,6.00,1.00,7.00,10.00,9.38,3.00,6.00,6.00,340,NULL,NULL,'CENTRO','CRICIÚMA','SC',3621,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5111277,2.00,4.00,1.00,2.00,2.00,NULL,2.00,0.00,2.00,220,NULL,207,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5111285,9.00,7.00,8.00,4.00,11.00,10.50,3.00,6.00,8.00,103,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',1198,707,NULL,NULL,NULL,NULL,NULL,2,8),(20,5111293,3.00,5.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,339,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5111307,7.00,6.00,8.00,2.00,10.00,8.25,9.00,5.00,8.00,211,NULL,601,'CENTRO','PARANAVAÍ','PR',1694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111323,4.00,4.00,2.00,6.00,7.00,NULL,1.00,2.00,1.00,207,NULL,212,'JARDIM CAMPESTRE','ARARAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5111331,5.00,6.00,3.00,7.00,7.00,7.50,3.00,3.00,5.00,319,NULL,NULL,'SANTA CRUZ','RIBEIRÃO PRETO','SP',8999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111340,2.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,1.00,103,NULL,NULL,'RIO DAS ANTAS','MTE CASTELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5111358,3.00,5.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,202,NULL,220,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5111366,2.00,2.00,1.00,4.00,5.00,NULL,1.00,1.00,4.00,238,NULL,651,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5111374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,233,'CENTRO','CAMBÉ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5111390,8.00,8.00,2.00,7.00,9.00,11.63,6.00,4.00,5.00,415,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111404,7.00,6.00,5.00,7.00,9.00,10.88,6.00,4.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2474,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5111412,8.00,7.00,3.00,4.00,8.00,9.75,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4176,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5111439,4.00,5.00,2.00,5.00,5.00,8.63,2.00,2.00,4.00,103,NULL,NULL,'SÃO JORGE','S MIGUEL OESTE','SC',15229,3774,NULL,NULL,NULL,NULL,NULL,2,4),(20,5111455,3.00,4.00,2.00,5.00,6.00,10.13,3.00,3.00,4.00,415,NULL,NULL,'ATIRADORES','JOINVILLE','SC',11160,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5111463,4.00,5.00,3.00,4.00,6.00,7.13,2.00,3.00,5.00,101,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5111480,8.00,7.00,2.00,7.00,10.00,9.75,1.00,7.00,7.00,452,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',2687,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5111498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PETERLONGO','GARIBALDI','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5111501,8.00,8.00,5.00,2.00,5.00,7.13,5.00,3.00,7.00,103,NULL,NULL,'CENTRO','ASCURRA','SC',8606,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5111510,5.00,7.00,6.00,4.00,3.00,NULL,3.00,0.00,5.00,203,NULL,233,'URBANOVA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111528,8.00,7.00,4.00,7.00,10.00,11.25,4.00,5.00,8.00,103,NULL,NULL,'VILA SIMONE','JOAÇABA','SC',1786,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5111536,3.00,4.00,1.00,4.00,7.00,NULL,1.00,2.00,1.00,201,NULL,207,'CAPOEIRAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5111544,3.00,6.00,1.00,2.00,3.00,NULL,1.00,2.00,3.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111560,9.00,8.00,7.00,6.00,7.00,10.50,6.00,4.00,7.00,201,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',1495,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5111579,7.00,5.00,2.00,5.00,5.00,6.75,4.00,3.00,3.00,238,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5111609,4.00,3.00,3.00,3.00,4.00,NULL,0.00,2.00,2.00,415,NULL,NULL,'CENTRO','ÁUREA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5111617,7.00,8.00,2.00,4.00,3.00,NULL,2.00,2.00,5.00,211,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5111625,9.00,8.00,8.00,7.00,9.00,10.13,7.00,3.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JABAQUARA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5111641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5111668,7.00,5.00,3.00,3.00,7.00,10.88,3.00,4.00,6.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5111676,4.00,5.00,2.00,6.00,6.00,6.00,0.00,3.00,5.00,326,NULL,NULL,'MORADIAS VITÓRIA','UMUARAMA','PR',14453,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5111692,8.00,8.00,5.00,8.00,10.00,9.75,3.00,4.00,8.00,102,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',2427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111706,8.00,6.00,3.00,7.00,5.00,8.63,6.00,6.00,6.00,5,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',3151,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5111714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5111722,3.00,6.00,0.00,4.00,5.00,NULL,4.00,2.00,1.00,103,NULL,NULL,'IMPERATRIZ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5111730,4.00,6.00,2.00,5.00,9.00,NULL,0.00,4.00,4.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5111749,9.00,7.00,6.00,8.00,9.00,13.50,6.00,6.00,9.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',200,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5111765,3.00,4.00,1.00,6.00,3.00,NULL,3.00,0.00,4.00,203,NULL,220,'BOA VISTA','CARAZINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5111773,5.00,6.00,3.00,6.00,7.00,8.63,3.00,1.00,4.00,103,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',10565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111781,5.00,5.00,4.00,7.00,9.00,9.00,2.00,2.00,7.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111790,3.00,3.00,0.00,2.00,4.00,NULL,1.00,1.00,3.00,415,NULL,NULL,'NITERÓI','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5111811,3.00,4.00,1.00,5.00,4.00,9.38,1.00,4.00,5.00,238,NULL,208,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111820,6.00,6.00,2.00,6.00,6.00,10.50,3.00,3.00,5.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5111846,6.00,5.00,1.00,4.00,6.00,10.88,3.00,2.00,5.00,207,NULL,201,'CENTRO','STO AMARO IMPERATRIZ','SC',11765,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5111854,4.00,4.00,2.00,6.00,8.00,8.63,1.00,3.00,4.00,214,NULL,202,'IGARA','CANOAS','RS',11788,311,NULL,406,NULL,NULL,NULL,2,1),(20,5111862,9.00,6.00,7.00,8.00,9.00,8.25,6.00,6.00,8.00,203,NULL,214,'SANTA FELICIDADE','CURITIBA','PR',814,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5111870,7.00,5.00,4.00,7.00,4.00,6.75,5.00,1.00,6.00,220,NULL,235,'VICTOR KONDER','BLUMENAU','SC',10338,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5111889,0.00,5.00,2.00,4.00,5.00,NULL,2.00,1.00,2.00,319,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111897,5.00,3.00,0.00,4.00,4.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'CEARÁ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5111900,7.00,7.00,2.00,6.00,6.00,10.13,5.00,2.00,8.00,220,NULL,214,'PONTA DA PRAIA','SANTOS','SP',5599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111927,4.00,5.00,0.00,4.00,6.00,12.00,2.00,3.00,3.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13325,3558,NULL,NULL,NULL,NULL,NULL,2,1),(20,5111935,8.00,6.00,4.00,7.00,8.00,9.00,3.00,2.00,4.00,333,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',5384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111943,7.00,7.00,4.00,5.00,9.00,10.88,2.00,6.00,3.00,426,NULL,428,'CENTRO','FLORIANÓPOLIS','SC',5166,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5111960,5.00,6.00,3.00,7.00,8.00,10.50,4.00,3.00,3.00,303,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',7068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111978,9.00,7.00,5.00,6.00,9.00,8.25,5.00,6.00,7.00,211,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',2887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5111986,8.00,5.00,5.00,6.00,10.00,8.25,5.00,6.00,6.00,203,NULL,201,'FLORESTA','PTO ALEGRE','RS',2649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112001,5.00,6.00,1.00,6.00,5.00,9.00,1.00,4.00,2.00,328,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',15637,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5112010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5112028,3.00,5.00,3.00,3.00,5.00,9.00,2.00,4.00,3.00,101,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5112036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5112044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5112052,3.00,5.00,3.00,2.00,5.00,6.75,2.00,4.00,3.00,425,NULL,423,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112060,7.00,5.00,5.00,4.00,5.00,7.88,1.00,2.00,5.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',10346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112079,6.00,5.00,3.00,6.00,4.00,6.75,3.00,3.00,4.00,220,NULL,203,'JARDIM JEQUITIBA','MARÍLIA','SP',11693,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5112087,9.00,7.00,2.00,4.00,9.00,9.38,4.00,5.00,7.00,420,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5112095,4.00,7.00,5.00,6.00,4.00,9.00,3.00,3.00,4.00,234,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5112109,2.00,3.00,3.00,1.00,5.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'ALTOS DA GLÓRIA','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5112117,3.00,5.00,3.00,3.00,7.00,8.63,3.00,3.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5112125,4.00,5.00,2.00,6.00,6.00,7.50,2.00,3.00,5.00,203,NULL,601,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',14346,910,NULL,NULL,NULL,NULL,NULL,2,1),(20,5112133,9.00,8.00,4.00,6.00,9.00,10.50,2.00,4.00,7.00,333,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',2705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112141,6.00,0.00,6.00,1.00,2.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','GUARIBA','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5112150,8.00,5.00,2.00,7.00,9.00,12.00,1.00,1.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',7111,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5112176,4.00,7.00,1.00,7.00,4.00,8.63,2.00,3.00,7.00,211,NULL,201,'BROOKLIN','S PAULO','SP',10223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112184,0.00,7.00,0.00,6.00,5.00,NULL,1.00,1.00,4.00,103,NULL,NULL,'TOBIAS','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5112192,7.00,6.00,3.00,6.00,8.00,7.88,3.00,3.00,3.00,205,NULL,NULL,'PORTÃO','CURITIBA','PR',7572,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5112206,6.00,4.00,2.00,4.00,4.00,8.63,0.00,2.00,3.00,207,NULL,233,'CENTRO','CAPINZAL','SC',15792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'RAINHA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5112230,8.00,7.00,4.00,5.00,8.00,9.00,1.00,4.00,5.00,103,NULL,NULL,'INTERIOR','CAIBI','SC',4642,2037,NULL,NULL,NULL,NULL,NULL,2,4),(20,5112257,6.00,6.00,5.00,4.00,8.00,6.75,2.00,5.00,6.00,220,NULL,203,'JARDIM PARATI','MARÍLIA','SP',6051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112265,2.00,7.00,2.00,5.00,7.00,7.13,2.00,4.00,4.00,319,NULL,NULL,'AREIAS','PAULO LOPES','SC',14654,299,NULL,NULL,NULL,NULL,NULL,2,1),(20,5112273,6.00,6.00,0.00,4.00,8.00,NULL,2.00,1.00,4.00,420,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'NOVA SUIÇA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5112290,7.00,8.00,1.00,5.00,5.00,8.25,3.00,4.00,6.00,302,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',7166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112303,9.00,8.00,5.00,7.00,6.00,8.25,5.00,5.00,8.00,203,NULL,220,'CENTRO','DOURADOS','MS',1872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112320,2.00,6.00,1.00,4.00,6.00,NULL,0.00,2.00,4.00,5,NULL,NULL,'PORTO GRANDE','ARAQUARI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5112346,6.00,5.00,3.00,7.00,9.00,9.75,4.00,3.00,7.00,303,NULL,NULL,'CENTRO','PATO BRANCO','PR',5673,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5112354,5.00,5.00,4.00,5.00,8.00,7.88,2.00,4.00,3.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9474,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5112362,4.00,5.00,2.00,3.00,3.00,NULL,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','CPO ERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5112370,6.00,7.00,4.00,6.00,7.00,7.50,3.00,6.00,7.00,303,NULL,NULL,'DAS NAÇÕES','BAL CAMBORIÚ','SC',5641,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5112389,6.00,6.00,3.00,4.00,5.00,6.38,1.00,2.00,4.00,213,NULL,202,'AREIAS','S JOSÉ','SC',12777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112397,6.00,5.00,3.00,3.00,6.00,12.75,1.00,5.00,3.00,9,NULL,NULL,'AREIAS','S JOSÉ','SC',11161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112400,4.00,3.00,2.00,4.00,8.00,NULL,0.00,3.00,2.00,234,NULL,NULL,'CENTRO','JAÚ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5112419,7.00,6.00,3.00,8.00,8.00,7.88,1.00,6.00,5.00,215,NULL,211,'RIO VERMELHO','FLORIANÓPOLIS','SC',7147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112427,6.00,5.00,3.00,5.00,10.00,9.38,3.00,2.00,3.00,104,NULL,NULL,'CENTRO','TUBARÃO','SC',8079,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5112435,7.00,7.00,1.00,6.00,6.00,8.25,1.00,2.00,5.00,211,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5112443,3.00,3.00,1.00,6.00,6.00,NULL,4.00,1.00,1.00,203,NULL,235,'BOM RETIRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5112460,9.00,9.00,4.00,7.00,10.00,10.50,4.00,6.00,7.00,303,NULL,NULL,'ATIRADORES','JOINVILLE','SC',1037,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5112486,4.00,3.00,0.00,4.00,4.00,NULL,2.00,3.00,1.00,103,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5112494,5.00,4.00,3.00,6.00,4.00,7.13,3.00,2.00,4.00,333,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112508,6.00,0.00,3.00,6.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MONÇOES','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5112516,6.00,7.00,4.00,7.00,6.00,7.50,2.00,4.00,5.00,207,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',6835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112532,8.00,6.00,5.00,6.00,6.00,13.13,5.00,4.00,6.00,5,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',3087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM MORUMBY','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5112567,4.00,5.00,2.00,4.00,2.00,NULL,1.00,0.00,4.00,331,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112575,6.00,6.00,3.00,6.00,9.00,6.00,4.00,3.00,4.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8313,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5112583,9.00,8.00,8.00,7.00,7.00,10.88,7.00,5.00,9.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112591,8.00,5.00,2.00,7.00,7.00,7.50,4.00,4.00,7.00,425,NULL,428,'CENTRO','FLORIANÓPOLIS','SC',6692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112605,4.00,5.00,2.00,2.00,7.00,NULL,2.00,2.00,3.00,207,NULL,208,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112613,2.00,4.00,0.00,2.00,4.00,NULL,2.00,3.00,2.00,652,NULL,653,'PARQUE ALVORADA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5112621,4.00,4.00,1.00,4.00,3.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5112630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'LINHA EMPRESA VELHA','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5112648,5.00,7.00,1.00,2.00,9.00,11.25,3.00,3.00,8.00,215,NULL,216,'ABRAÃO','FLORIANÓPOLIS','SC',7516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5112664,3.00,8.00,6.00,6.00,8.00,10.50,2.00,5.00,5.00,5,NULL,NULL,'JARDIM','SAPUCAIA SUL','RS',5982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112672,5.00,6.00,3.00,5.00,5.00,7.88,0.00,2.00,5.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',14661,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5112680,5.00,3.00,0.00,4.00,9.00,NULL,0.00,2.00,4.00,5,NULL,NULL,'BARRA','TRAMANDAÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5112699,3.00,4.00,2.00,3.00,3.00,NULL,1.00,1.00,4.00,653,NULL,652,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5112702,5.00,5.00,2.00,6.00,7.00,8.25,3.00,5.00,4.00,201,NULL,211,'MICHEL','CRICIÚMA','SC',9334,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5112729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO ANTONIO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5112737,9.00,7.00,4.00,7.00,9.00,7.50,5.00,7.00,7.00,303,NULL,NULL,'GRANJA VIANA','CARAPICUÍBA','SP',1656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112745,2.00,3.00,1.00,6.00,5.00,NULL,0.00,1.00,3.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5112753,7.00,6.00,4.00,6.00,10.00,8.63,4.00,4.00,7.00,201,NULL,208,'CENTRO','TIJUCAS','SC',6689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112761,6.00,7.00,4.00,6.00,1.00,NULL,3.00,6.00,6.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5112770,9.00,8.00,4.00,7.00,10.00,10.50,3.00,6.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112788,3.00,4.00,0.00,4.00,9.00,NULL,0.00,2.00,5.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5112796,6.00,4.00,2.00,5.00,6.00,9.00,0.00,2.00,3.00,103,NULL,NULL,'GLORIA','RODEIO','SC',14291,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5112818,5.00,3.00,0.00,6.00,6.00,0.00,2.00,4.00,6.00,208,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112826,7.00,7.00,4.00,4.00,7.00,6.38,2.00,5.00,6.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9177,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5112834,4.00,0.00,2.00,6.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ROLÂNDIA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(20,5112842,4.00,6.00,3.00,1.00,5.00,6.00,2.00,1.00,5.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5112850,6.00,8.00,6.00,7.00,6.00,11.25,3.00,3.00,4.00,201,NULL,207,'AGUA VERDE','CURITIBA','PR',5518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112877,8.00,7.00,4.00,7.00,10.00,11.25,1.00,4.00,7.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',3285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112907,4.00,6.00,1.00,4.00,5.00,7.50,2.00,3.00,3.00,318,NULL,NULL,'CENTRO II','BRUSQUE','SC',15440,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5112915,6.00,7.00,1.00,2.00,5.00,7.50,1.00,4.00,6.00,444,NULL,NULL,'FURADINHO','PALHOÇA','SC',13102,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5112923,8.00,6.00,6.00,7.00,8.00,8.25,5.00,5.00,7.00,103,NULL,NULL,'CENTRO','ITAPORANGA','SP',1461,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5112931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5112940,8.00,6.00,5.00,5.00,9.00,9.75,4.00,4.00,7.00,102,NULL,NULL,'TRINTA RÉIS','NOVA TRENTO','SC',4505,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5112958,1.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,238,NULL,208,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5112966,6.00,6.00,5.00,7.00,8.00,7.50,2.00,4.00,6.00,203,NULL,202,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5112974,4.00,6.00,4.00,6.00,8.00,11.63,2.00,4.00,5.00,304,NULL,NULL,'REBOUÇAS','CURITIBA','PR',6605,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5112990,5.00,3.00,0.00,7.00,6.00,NULL,1.00,3.00,3.00,303,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5113016,3.00,3.00,2.00,4.00,4.00,NULL,2.00,1.00,3.00,303,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113024,7.00,7.00,6.00,3.00,9.00,8.25,6.00,5.00,6.00,202,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',3372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5113040,5.00,3.00,2.00,1.00,2.00,NULL,1.00,1.00,3.00,452,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113059,6.00,6.00,0.00,4.00,6.00,8.25,1.00,2.00,3.00,201,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5113067,2.00,2.00,1.00,3.00,3.00,NULL,1.00,2.00,2.00,102,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113083,4.00,5.00,5.00,4.00,7.00,6.00,5.00,4.00,5.00,201,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',11168,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113091,2.00,5.00,2.00,3.00,5.00,4.50,3.00,3.00,6.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113113,9.00,6.00,1.00,5.00,9.00,9.75,2.00,5.00,6.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',6518,2538,NULL,NULL,NULL,NULL,NULL,4,8),(20,5113121,4.00,4.00,0.00,2.00,5.00,NULL,0.00,2.00,2.00,327,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113130,8.00,5.00,3.00,7.00,7.00,10.50,7.00,6.00,6.00,103,NULL,NULL,'FRAGATA','MARÍLIA','SP',2496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5113172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','LINS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5113180,7.00,7.00,0.00,5.00,8.00,NULL,2.00,4.00,5.00,201,NULL,212,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113199,5.00,5.00,3.00,6.00,8.00,7.88,3.00,3.00,3.00,103,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',10771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113229,3.00,6.00,0.00,4.00,4.00,NULL,2.00,2.00,3.00,339,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113237,0.00,1.00,2.00,1.00,2.00,NULL,2.00,0.00,1.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113245,8.00,4.00,2.00,4.00,8.00,7.50,3.00,5.00,7.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',5987,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113253,6.00,8.00,3.00,7.00,7.00,9.38,5.00,3.00,7.00,233,NULL,NULL,'KOBRASOL','S JOSÉ','SC',3680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5113270,8.00,8.00,5.00,8.00,8.00,12.38,3.00,5.00,6.00,340,NULL,NULL,'CENTRO','ITAJAÍ','SC',2346,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5113288,7.00,6.00,3.00,5.00,8.00,7.50,3.00,3.00,5.00,215,NULL,601,'CENTRO','PALHOÇA','SC',7657,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113296,2.00,4.00,4.00,4.00,4.00,NULL,2.00,1.00,4.00,5,NULL,NULL,'CENTRO','MTE CASTELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5113300,5.00,4.00,0.00,3.00,4.00,NULL,1.00,1.00,3.00,308,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113318,2.00,2.00,1.00,4.00,5.00,NULL,1.00,0.00,2.00,207,NULL,201,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'NOVA BRASÍLIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5113334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5113342,0.00,2.00,3.00,4.00,3.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5113350,5.00,6.00,3.00,3.00,8.00,8.63,4.00,5.00,6.00,301,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',9648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113369,9.00,8.00,7.00,8.00,7.00,9.75,6.00,6.00,8.00,203,NULL,220,'JOÃO PAULO','FLORIANÓPOLIS','SC',810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5113377,7.00,7.00,6.00,5.00,9.00,6.75,2.00,4.00,6.00,108,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',5158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113385,6.00,7.00,3.00,5.00,8.00,9.00,1.00,6.00,7.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',5658,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5113423,2.00,7.00,0.00,6.00,5.00,NULL,2.00,2.00,1.00,601,NULL,214,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5113431,9.00,6.00,3.00,6.00,4.00,7.13,4.00,2.00,5.00,203,NULL,601,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5113440,4.00,7.00,1.00,5.00,8.00,9.75,3.00,2.00,5.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10124,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113458,4.00,6.00,4.00,4.00,7.00,9.00,0.00,4.00,2.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',11466,3357,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113466,1.00,2.00,0.00,2.00,3.00,NULL,2.00,2.00,2.00,207,NULL,201,'SANTA BARBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5113474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',5,1),(20,5113482,3.00,6.00,2.00,5.00,5.00,7.88,0.00,5.00,4.00,207,NULL,201,'POMTA DE BAIXO','S JOSÉ','SC',13743,655,NULL,982,NULL,NULL,NULL,4,1),(20,5113520,8.00,7.00,4.00,6.00,6.00,9.75,4.00,4.00,8.00,208,NULL,238,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',4228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5113539,8.00,9.00,5.00,7.00,10.00,7.50,6.00,7.00,8.00,203,NULL,202,'ARIRIÚ','PALHOÇA','SC',589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5113547,8.00,7.00,2.00,6.00,9.00,8.25,2.00,5.00,4.00,303,NULL,NULL,'PIRAPO','PIRAPÓ','PR',7229,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113555,6.00,6.00,4.00,4.00,6.00,7.50,3.00,3.00,4.00,503,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11483,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113563,5.00,0.00,3.00,5.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5113571,4.00,5.00,3.00,6.00,7.00,8.63,2.00,2.00,0.00,212,NULL,207,'BARREIROS','S JOSÉ','SC',14048,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113580,8.00,7.00,5.00,5.00,7.00,9.00,4.00,4.00,6.00,211,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',4835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5113598,2.00,4.00,1.00,3.00,3.00,NULL,1.00,1.00,1.00,108,NULL,NULL,'TATUAPE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113628,3.00,5.00,1.00,6.00,7.00,10.13,1.00,1.00,6.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',14442,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5113636,6.00,6.00,2.00,5.00,9.00,12.00,4.00,3.00,5.00,317,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',7095,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5113652,7.00,7.00,3.00,6.00,7.00,8.25,0.00,2.00,6.00,211,NULL,601,'ALTO ARIRIU','PALHOÇA','SC',8236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113660,7.00,4.00,0.00,1.00,6.00,NULL,0.00,2.00,2.00,215,NULL,216,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5113679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','DEZESSEIS NOVEMBRO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5113687,3.00,4.00,0.00,2.00,4.00,NULL,1.00,0.00,4.00,224,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5113709,4.00,9.00,6.00,5.00,6.00,10.13,2.00,4.00,6.00,238,NULL,208,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5605,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113717,5.00,5.00,5.00,7.00,7.00,8.63,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5113725,8.00,7.00,6.00,4.00,9.00,9.00,3.00,5.00,7.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',3184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113733,6.00,5.00,3.00,7.00,7.00,10.88,4.00,3.00,3.00,103,NULL,NULL,'SAÚDE','S PAULO','SP',6625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5113741,6.00,4.00,2.00,4.00,6.00,6.75,0.00,3.00,3.00,329,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113750,9.00,8.00,7.00,7.00,8.00,9.38,6.00,5.00,8.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',426,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5113768,5.00,3.00,1.00,5.00,1.00,NULL,3.00,3.00,5.00,202,NULL,203,'CENTRO','INDIANÓPOLIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5113776,6.00,5.00,4.00,7.00,6.00,6.00,2.00,2.00,4.00,340,NULL,NULL,'CENTRO','LONDRINA','PR',11904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5113784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5113806,2.00,3.00,2.00,1.00,3.00,NULL,2.00,1.00,2.00,308,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,216,'CH STO ANTONIO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5113822,8.00,7.00,5.00,8.00,10.00,11.25,4.00,5.00,6.00,327,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',1347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5113849,9.00,6.00,1.00,6.00,9.00,7.50,0.00,3.00,5.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5113857,4.00,5.00,2.00,5.00,4.00,8.25,0.00,3.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5113865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA LUZIA','BRAGANÇA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5113881,8.00,7.00,3.00,7.00,8.00,9.00,4.00,5.00,7.00,103,NULL,NULL,'IPIRANGA','S PAULO','SP',3100,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5113890,6.00,3.00,1.00,1.00,3.00,NULL,1.00,0.00,2.00,207,NULL,NULL,'FLORESTA','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5113903,5.00,4.00,1.00,6.00,3.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'RIO NEGRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5113911,3.00,7.00,2.00,6.00,6.00,9.38,3.00,2.00,4.00,302,NULL,NULL,'ROÇADO','S JOSÉ','SC',13444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5113920,4.00,4.00,2.00,6.00,6.00,7.13,2.00,1.00,5.00,601,NULL,203,'CENTRO','LAGES','SC',13804,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5113938,1.00,4.00,0.00,0.00,2.00,NULL,3.00,1.00,2.00,201,NULL,216,'SÃO JOSÉ','S DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5113954,5.00,6.00,0.00,1.00,4.00,NULL,4.00,3.00,5.00,201,NULL,207,'JARDIM ELIZABETE','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5113970,7.00,6.00,6.00,7.00,10.00,9.75,3.00,6.00,8.00,202,NULL,213,'ITACORUBI','FLORIANÓPOLIS','SC',1636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5113989,9.00,5.00,5.00,6.00,5.00,NULL,2.00,4.00,6.00,103,NULL,NULL,'LAMI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5113997,8.00,8.00,2.00,7.00,9.00,9.75,4.00,6.00,6.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114004,4.00,7.00,0.00,3.00,5.00,10.13,1.00,2.00,5.00,104,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5114020,3.00,3.00,0.00,4.00,7.00,NULL,1.00,0.00,2.00,415,NULL,NULL,'AREAIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114039,6.00,7.00,6.00,7.00,9.00,6.75,4.00,3.00,4.00,340,NULL,NULL,'SÃO SEBASTIÃO','PTO ALEGRE','RS',5609,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5114055,7.00,6.00,3.00,6.00,8.00,8.63,4.00,1.00,7.00,103,NULL,NULL,'NOVA RUSSIA','PNT GROSSA','PR',5088,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5114063,5.00,7.00,0.00,4.00,7.00,9.00,1.00,2.00,3.00,415,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114080,3.00,6.00,2.00,7.00,8.00,7.88,1.00,4.00,3.00,450,NULL,NULL,'FEREIRRA','S PAULO','SP',10320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114101,6.00,6.00,0.00,4.00,6.00,9.38,2.00,4.00,4.00,211,NULL,653,'FLORESTA','S JOSÉ','SC',11944,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5114110,3.00,5.00,3.00,4.00,10.00,7.88,0.00,2.00,3.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5114128,8.00,8.00,2.00,4.00,10.00,10.13,3.00,6.00,6.00,108,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',4105,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5114136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5114144,9.00,7.00,6.00,7.00,10.00,11.63,6.00,6.00,7.00,103,NULL,NULL,'ÁGUAS CLARAS','BRUSQUE','SC',363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114152,6.00,7.00,1.00,6.00,5.00,7.13,0.00,2.00,4.00,5,NULL,NULL,'CENTRO','CAÇADOR','SC',14077,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5114160,5.00,4.00,1.00,3.00,4.00,6.38,5.00,2.00,3.00,420,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',15890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5114179,3.00,6.00,2.00,2.00,4.00,NULL,0.00,3.00,2.00,444,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5114187,4.00,5.00,3.00,6.00,5.00,7.50,2.00,2.00,4.00,202,NULL,235,'FARROUPILHA','VIDEIRA','SC',15498,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5114195,5.00,7.00,4.00,4.00,4.00,7.50,1.00,6.00,3.00,318,NULL,NULL,'SÃO JOSÉ','FAXINAL GUEDES','SC',13016,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5114209,7.00,7.00,5.00,5.00,9.00,11.25,2.00,4.00,8.00,651,NULL,653,'COLONINHA','ARARANGUÁ','SC',2955,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5114217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UVARANAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5114225,6.00,5.00,3.00,7.00,8.00,7.50,2.00,5.00,5.00,211,NULL,653,'ACLIMACAO','S PAULO','SP',8314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114250,5.00,5.00,5.00,7.00,9.00,6.75,3.00,3.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114284,2.00,2.00,1.00,3.00,2.00,NULL,3.00,2.00,1.00,215,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5114314,3.00,3.00,2.00,0.00,4.00,NULL,0.00,2.00,2.00,651,NULL,653,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5114322,2.00,0.00,3.00,4.00,3.00,NULL,1.00,1.00,2.00,404,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5114349,4.00,7.00,1.00,6.00,7.00,9.00,1.00,2.00,3.00,202,NULL,211,'CENTRO','ITAJAÍ','SC',13238,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5114357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'STEFFEN','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5114365,5.00,2.00,3.00,6.00,5.00,NULL,0.00,0.00,2.00,415,NULL,NULL,'SULBRASILEIRO','OSÓRIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114373,3.00,5.00,2.00,2.00,5.00,NULL,3.00,2.00,1.00,303,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5114381,5.00,5.00,0.00,6.00,7.00,NULL,3.00,1.00,5.00,207,NULL,211,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114390,8.00,7.00,4.00,6.00,9.00,9.00,5.00,6.00,7.00,211,NULL,215,'VELHA','BLUMENAU','SC',2253,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5114403,6.00,7.00,2.00,6.00,8.00,8.25,2.00,4.00,6.00,425,NULL,429,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',8316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114420,1.00,5.00,3.00,3.00,6.00,NULL,3.00,0.00,5.00,319,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5114438,1.00,7.00,1.00,3.00,4.00,NULL,2.00,1.00,2.00,3,NULL,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5114446,5.00,7.00,3.00,6.00,10.00,8.25,2.00,4.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5114462,4.00,4.00,2.00,4.00,4.00,NULL,0.00,0.00,2.00,450,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5114470,7.00,6.00,2.00,4.00,6.00,9.38,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10017,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5114489,1.00,5.00,2.00,6.00,7.00,NULL,0.00,2.00,1.00,451,NULL,NULL,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5114497,4.00,5.00,4.00,4.00,5.00,4.88,1.00,3.00,1.00,415,NULL,NULL,'PALMITAL','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5114519,3.00,3.00,1.00,5.00,8.00,NULL,0.00,2.00,3.00,302,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5114527,3.00,4.00,3.00,0.00,9.00,NULL,1.00,2.00,3.00,207,NULL,201,'FAZENDINHA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5114535,5.00,7.00,5.00,4.00,7.00,9.75,3.00,5.00,5.00,103,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',6406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5114543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM DELFORNO','ITATIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5114551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5114560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5114578,3.00,4.00,0.00,5.00,5.00,NULL,1.00,1.00,3.00,428,NULL,426,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5114594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PEDRO LUDOVICO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5114624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA RUSSIA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5114632,5.00,5.00,0.00,2.00,4.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'CIRO NARDI','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5114640,3.00,4.00,2.00,5.00,2.00,NULL,3.00,3.00,4.00,303,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5114659,3.00,3.00,0.00,3.00,5.00,NULL,3.00,2.00,2.00,415,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5114675,6.00,6.00,2.00,8.00,11.00,8.63,3.00,5.00,5.00,208,NULL,220,'SENANDES','RIO GRANDE','RS',4220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114683,7.00,7.00,1.00,6.00,8.00,7.88,4.00,5.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,208,'SÃO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5114721,5.00,4.00,3.00,4.00,8.00,6.00,3.00,3.00,3.00,317,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11282,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5114730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PQ SÃO DOMINGOS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5114748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,235,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5114756,5.00,6.00,2.00,3.00,7.00,6.38,1.00,4.00,5.00,103,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',12374,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5114764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TV MORENA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5114780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO VERDE','COLOMBO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5114799,6.00,5.00,5.00,3.00,8.00,7.88,4.00,2.00,6.00,216,NULL,202,'ZONA DOIS','MARINGÁ','PR',8423,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5114802,8.00,7.00,4.00,6.00,8.00,9.75,4.00,3.00,7.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114810,6.00,6.00,5.00,5.00,6.00,6.00,6.00,4.00,4.00,420,NULL,NULL,'BARREIROS','S JOSÉ','SC',8356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5114829,3.00,3.00,0.00,2.00,3.00,NULL,0.00,3.00,2.00,415,NULL,NULL,'CENTRO','ARROIO TRINTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5114837,5.00,5.00,3.00,6.00,7.00,7.50,3.00,3.00,7.00,503,NULL,NULL,'CENTRO','LAGES','SC',10645,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5114845,6.00,7.00,5.00,7.00,8.00,6.00,6.00,5.00,7.00,214,NULL,212,'CENTRO','STO AMARO IMPERATRIZ','SC',3850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114853,6.00,8.00,4.00,7.00,9.00,10.13,4.00,4.00,6.00,601,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',4183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114861,9.00,5.00,4.00,6.00,7.00,10.13,0.00,3.00,7.00,103,NULL,NULL,'VILA NOVA CONCEIÇAO','S PAULO','SP',5511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114870,3.00,4.00,0.00,3.00,8.00,NULL,0.00,3.00,2.00,653,NULL,652,'SANTA CATARINA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5114900,9.00,6.00,2.00,6.00,7.00,7.13,4.00,3.00,5.00,503,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',7676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5114926,4.00,4.00,0.00,2.00,3.00,NULL,1.00,2.00,4.00,653,NULL,NULL,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5114934,5.00,8.00,2.00,5.00,3.00,NULL,2.00,5.00,5.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5114950,4.00,3.00,5.00,1.00,5.00,7.50,5.00,3.00,3.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',12389,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5114969,8.00,7.00,8.00,7.00,8.00,10.88,8.00,7.00,7.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM EULÁLIA','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5114985,2.00,6.00,2.00,7.00,7.00,7.88,3.00,0.00,6.00,235,NULL,202,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',11714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5114993,5.00,6.00,2.00,5.00,7.00,8.25,2.00,6.00,2.00,415,NULL,NULL,'S CORAÇÃO DE JESUS','LAGES','SC',10760,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5115019,3.00,4.00,0.00,2.00,4.00,NULL,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','CPO ERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5115035,7.00,3.00,1.00,4.00,5.00,7.50,2.00,4.00,4.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',14247,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5115043,7.00,7.00,2.00,6.00,10.00,7.88,5.00,4.00,6.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',3229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115078,3.00,2.00,3.00,2.00,5.00,NULL,2.00,0.00,4.00,207,NULL,211,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115086,4.00,8.00,3.00,4.00,5.00,6.38,5.00,3.00,5.00,5,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',13240,434,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115094,4.00,5.00,6.00,6.00,10.00,9.00,3.00,3.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5937,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115116,8.00,6.00,5.00,7.00,7.00,8.25,7.00,5.00,6.00,220,NULL,601,'VILA NOVA','FRANCISCO BELTRÃO','PR',2543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115124,1.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'MACIAMBÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5115132,7.00,6.00,5.00,3.00,7.00,7.88,5.00,4.00,8.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7462,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115140,3.00,6.00,1.00,2.00,5.00,NULL,1.00,4.00,2.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5115159,7.00,7.00,5.00,6.00,6.00,6.75,4.00,4.00,7.00,207,NULL,201,'VILA IZABEL','CURITIBA','PR',4005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115175,9.00,8.00,7.00,7.00,10.00,10.88,5.00,5.00,7.00,220,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',669,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5115205,7.00,7.00,6.00,6.00,8.00,8.63,4.00,5.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115221,3.00,4.00,1.00,1.00,3.00,NULL,1.00,1.00,5.00,208,NULL,203,'SANTA ANA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115230,6.00,6.00,5.00,5.00,3.00,NULL,5.00,3.00,4.00,211,NULL,208,'ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5115248,6.00,5.00,2.00,6.00,6.00,7.13,1.00,3.00,4.00,329,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115256,3.00,3.00,1.00,4.00,5.00,NULL,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5115264,9.00,9.00,7.00,6.00,8.00,10.88,7.00,5.00,9.00,103,NULL,NULL,'FUNCIONARIOS','BELO HORIZONTE','MG',205,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115280,6.00,6.00,1.00,5.00,5.00,10.13,2.00,2.00,5.00,103,NULL,NULL,'GLÓRIA','PTO ALEGRE','RS',10910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115299,3.00,5.00,0.00,4.00,3.00,NULL,2.00,2.00,2.00,222,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115302,5.00,5.00,1.00,4.00,5.00,8.63,3.00,1.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5115345,6.00,6.00,4.00,6.00,5.00,6.75,4.00,3.00,5.00,203,NULL,212,'VILA MILTON','GUARULHOS','SP',8285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115353,2.00,0.00,2.00,7.00,7.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,9),(20,5115361,7.00,7.00,5.00,7.00,10.00,10.88,7.00,4.00,9.00,203,NULL,214,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1390,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5115370,9.00,9.00,5.00,7.00,10.00,9.75,8.00,6.00,9.00,103,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',181,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5115388,2.00,5.00,2.00,2.00,2.00,NULL,3.00,1.00,5.00,220,NULL,203,'VILA RICA','CARAZINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5115396,4.00,6.00,0.00,4.00,5.00,7.88,3.00,2.00,6.00,501,NULL,NULL,'MARIA LUIZA IV','JAÚ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115400,6.00,5.00,2.00,6.00,6.00,9.75,3.00,3.00,5.00,104,NULL,NULL,'BOA VISTA','COCAL SUL','SC',11588,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5115418,6.00,5.00,2.00,7.00,9.00,10.13,2.00,3.00,6.00,301,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',6936,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5115426,3.00,4.00,1.00,4.00,5.00,NULL,1.00,0.00,3.00,301,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5115434,4.00,5.00,3.00,6.00,6.00,7.13,1.00,3.00,2.00,501,NULL,NULL,'CENTRO','RIO NEGRO','PR',13962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115442,2.00,3.00,1.00,2.00,4.00,NULL,2.00,1.00,0.00,303,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115450,4.00,6.00,0.00,3.00,3.00,NULL,2.00,3.00,4.00,201,NULL,212,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115469,5.00,6.00,5.00,5.00,9.00,9.38,4.00,3.00,6.00,103,NULL,NULL,'SÃO JOSÉ','SOMBRIO','SC',7130,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5115477,9.00,9.00,6.00,6.00,9.00,13.50,5.00,7.00,8.00,103,NULL,NULL,'AGOSTINI','S MIGUEL OESTE','SC',94,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115485,8.00,6.00,1.00,7.00,9.00,9.38,3.00,6.00,5.00,102,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5643,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115493,8.00,6.00,3.00,7.00,5.00,7.50,2.00,4.00,5.00,336,NULL,NULL,'CENTRO','CHAPECÓ','SC',9158,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5115515,4.00,3.00,2.00,2.00,5.00,NULL,2.00,2.00,3.00,5,NULL,NULL,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5115531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'LIDER','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5115540,4.00,4.00,1.00,3.00,5.00,NULL,2.00,1.00,1.00,3,NULL,NULL,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5115566,3.00,5.00,3.00,4.00,4.00,6.75,0.00,1.00,3.00,551,NULL,NULL,'SANTO ANTONIO','CAMPOS NOVOS','SC',15926,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5115582,8.00,6.00,4.00,5.00,8.00,10.13,3.00,3.00,3.00,103,NULL,NULL,'CENTRO','S JOSÉ','SC',8733,2976,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(20,5115604,5.00,7.00,2.00,5.00,4.00,7.50,3.00,3.00,6.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11096,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115612,4.00,5.00,1.00,3.00,4.00,7.50,3.00,3.00,5.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16098,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115620,3.00,6.00,2.00,5.00,4.00,9.00,2.00,1.00,3.00,336,NULL,NULL,'CENTRO','ANTÔNIO PRADO','RS',15504,86,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115647,6.00,3.00,3.00,6.00,8.00,7.50,1.00,2.00,4.00,108,NULL,NULL,'CENTRO','JOAÇABA','SC',14263,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5115663,8.00,6.00,3.00,5.00,7.00,10.13,4.00,3.00,5.00,303,NULL,NULL,'MICHEL','CRICIÚMA','SC',5806,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5115671,9.00,8.00,7.00,6.00,10.00,9.00,8.00,7.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115680,2.00,5.00,4.00,5.00,6.00,7.13,2.00,1.00,5.00,103,NULL,NULL,'VILA NOVA','LAGES','SC',15566,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5115698,8.00,6.00,6.00,5.00,9.00,10.13,0.00,3.00,6.00,201,NULL,233,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115701,9.00,6.00,5.00,7.00,9.00,9.75,6.00,5.00,8.00,103,NULL,NULL,'NOVA PETROPOLIS','S BERNARDO CAMPO','SP',1187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115710,1.00,4.00,3.00,7.00,5.00,8.25,3.00,2.00,2.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115736,9.00,6.00,5.00,5.00,5.00,8.63,6.00,4.00,8.00,103,NULL,NULL,'AGUAS CLARAS','TAGUATINGA','DF',3432,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115744,9.00,6.00,4.00,7.00,8.00,9.75,5.00,5.00,9.00,103,NULL,NULL,'HIGIENÓPOLIS','S PAULO','SP',1644,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5115752,8.00,6.00,3.00,6.00,7.00,9.75,3.00,5.00,4.00,340,NULL,NULL,'SANTA TERESA','PTO ALEGRE','RS',5199,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5115760,2.00,4.00,1.00,2.00,2.00,NULL,0.00,0.00,3.00,101,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115779,3.00,4.00,1.00,3.00,5.00,NULL,0.00,3.00,3.00,101,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5115817,8.00,8.00,6.00,6.00,10.00,12.00,6.00,5.00,5.00,203,NULL,214,'JD NOVO HORIZONTE','MARINGÁ','PR',1221,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5115825,7.00,6.00,2.00,7.00,7.00,10.88,1.00,5.00,4.00,108,NULL,NULL,'BACACHERI','CURITIBA','PR',6140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5115841,4.00,4.00,2.00,5.00,7.00,6.38,1.00,2.00,5.00,103,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',13747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5115868,8.00,8.00,9.00,6.00,8.00,9.75,6.00,4.00,7.00,103,NULL,NULL,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',1295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115876,8.00,8.00,7.00,6.00,10.00,8.25,8.00,7.00,8.00,203,NULL,214,'SANTA MONICA','FLORIANÓPOLIS','SC',632,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5115884,8.00,8.00,1.00,7.00,9.00,10.50,5.00,5.00,4.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',3678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'COPACABANA','UBERLÂNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5115906,8.00,7.00,6.00,5.00,6.00,10.50,1.00,5.00,6.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',4487,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115914,7.00,7.00,5.00,5.00,9.00,7.13,5.00,5.00,6.00,203,NULL,211,'RACHADEL','ANTÔNIO CARLOS','SC',4499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5115922,7.00,5.00,0.00,6.00,8.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115930,3.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOSSA SRA VITORIAS','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5115949,5.00,4.00,4.00,7.00,6.00,7.50,1.00,1.00,5.00,203,NULL,214,'MERCÊS','CURITIBA','PR',9888,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5115957,8.00,5.00,5.00,7.00,6.00,8.25,5.00,3.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115965,8.00,9.00,2.00,7.00,9.00,11.25,5.00,6.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5115981,2.00,4.00,3.00,2.00,2.00,NULL,2.00,3.00,1.00,103,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5116007,4.00,6.00,1.00,5.00,6.00,9.00,3.00,3.00,3.00,103,NULL,NULL,'MARECHAL RONDON','CANOAS','RS',11158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116023,6.00,7.00,3.00,5.00,2.00,NULL,1.00,2.00,3.00,212,NULL,220,'JARDIM ESTORIL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5116040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5116058,8.00,6.00,2.00,6.00,6.00,8.25,2.00,4.00,5.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',6374,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5116074,9.00,8.00,8.00,6.00,9.00,8.63,6.00,5.00,8.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',854,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5116082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AFONSO PENA','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5116090,5.00,5.00,2.00,5.00,4.00,6.00,3.00,4.00,6.00,208,NULL,238,'TAPERA','FLORIANÓPOLIS','SC',14086,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5116104,7.00,6.00,4.00,6.00,9.00,8.63,3.00,6.00,7.00,203,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',4567,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5116112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHACARA MONTE ALEGRE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5116120,9.00,8.00,6.00,7.00,9.00,9.00,5.00,4.00,9.00,103,NULL,NULL,'FREGUESIA DO Ó','S PAULO','SP',820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5116147,5.00,6.00,4.00,6.00,4.00,7.13,3.00,2.00,3.00,203,NULL,214,'CENTRO','TELÊMACO BORBA','PR',11882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116155,9.00,7.00,3.00,5.00,10.00,7.50,7.00,6.00,8.00,203,NULL,NULL,'PEDRO LUDOVICO','GOIÂNIA','GO',2190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116171,7.00,5.00,4.00,7.00,9.00,8.25,4.00,8.00,4.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116198,4.00,3.00,5.00,4.00,5.00,9.00,3.00,1.00,8.00,601,NULL,201,'CARVOEIRA','FLORIANÓPOLIS','SC',11552,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5116201,6.00,5.00,0.00,7.00,9.00,NULL,2.00,5.00,5.00,340,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116228,3.00,2.00,3.00,5.00,4.00,NULL,0.00,2.00,3.00,601,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5116236,4.00,5.00,5.00,6.00,6.00,9.75,3.00,2.00,5.00,201,NULL,212,'COMERCIÁRIO','CRICIÚMA','SC',11710,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5116244,7.00,0.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5116252,6.00,7.00,2.00,7.00,5.00,9.75,2.00,2.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116279,8.00,5.00,5.00,5.00,9.00,6.75,5.00,4.00,5.00,317,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',8663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5116287,6.00,5.00,3.00,6.00,6.00,7.88,1.00,4.00,4.00,333,NULL,NULL,'JARDIM EUROPA','ASSIS','SP',9967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'BARREIRINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5116317,4.00,3.00,0.00,3.00,5.00,NULL,0.00,2.00,1.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5116333,9.00,9.00,9.00,7.00,11.00,12.00,9.00,8.00,9.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',1,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116350,3.00,5.00,1.00,7.00,6.00,NULL,1.00,0.00,3.00,208,NULL,NULL,'PENHA','IJUÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116368,8.00,4.00,3.00,6.00,8.00,10.50,2.00,3.00,5.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116384,5.00,4.00,5.00,4.00,8.00,6.00,4.00,2.00,3.00,238,NULL,208,'CACUPÉ','FLORIANÓPOLIS','SC',12471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116392,6.00,7.00,5.00,5.00,6.00,7.88,2.00,4.00,6.00,318,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',6821,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5116406,9.00,8.00,7.00,7.00,10.00,10.88,4.00,4.00,7.00,207,NULL,211,'AGRONÔMICA','FLORIANÓPOLIS','SC',666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116414,8.00,5.00,4.00,5.00,8.00,10.88,5.00,2.00,3.00,327,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',7896,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5116422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SANTA CRUZ','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5116430,8.00,5.00,3.00,4.00,3.00,NULL,2.00,4.00,7.00,216,NULL,203,'GUABIROTUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5116449,4.00,6.00,3.00,5.00,8.00,8.25,3.00,3.00,4.00,420,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11781,84,NULL,NULL,NULL,NULL,NULL,2,1),(20,5116457,8.00,8.00,8.00,7.00,9.00,11.63,6.00,5.00,7.00,203,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',394,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5116465,4.00,7.00,4.00,4.00,6.00,9.38,1.00,2.00,3.00,423,NULL,426,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',13955,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5116481,5.00,6.00,1.00,2.00,3.00,NULL,2.00,3.00,2.00,404,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5116490,8.00,6.00,5.00,8.00,9.00,10.13,5.00,5.00,8.00,233,NULL,207,'CENTRO','CRICIÚMA','SC',2104,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5116511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5116520,2.00,5.00,3.00,4.00,4.00,NULL,2.00,1.00,2.00,333,NULL,NULL,'PROTASIO ALVES','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116554,8.00,8.00,4.00,6.00,9.00,9.38,6.00,2.00,5.00,216,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',3524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116562,5.00,6.00,3.00,3.00,5.00,7.88,0.00,2.00,4.00,103,NULL,NULL,'CENTRO','IRATI','PR',13886,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5116619,6.00,7.00,1.00,6.00,5.00,7.50,3.00,3.00,5.00,201,NULL,208,'JARDIM DAS PALMEIRAS','VALINHOS','SP',8243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116627,5.00,6.00,1.00,7.00,5.00,9.38,4.00,5.00,4.00,216,NULL,215,'NOVA BRASÍLIA','JARAGUÁ SUL','SC',7638,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5116635,6.00,5.00,2.00,6.00,8.00,7.50,1.00,3.00,5.00,303,NULL,NULL,'ALVORADA','FRANCISCO BELTRÃO','PR',9826,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5116643,2.00,5.00,3.00,3.00,3.00,NULL,1.00,2.00,1.00,309,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5116651,9.00,8.00,5.00,7.00,10.00,8.25,5.00,7.00,6.00,303,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116678,3.00,2.00,1.00,3.00,2.00,NULL,3.00,1.00,3.00,104,NULL,NULL,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5116686,7.00,6.00,5.00,7.00,8.00,9.75,4.00,4.00,4.00,104,NULL,NULL,'CENTRO','ITAPIRANGA','SC',4669,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5116694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5116708,3.00,5.00,0.00,4.00,8.00,NULL,0.00,2.00,1.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5116716,7.00,8.00,2.00,5.00,7.00,8.25,1.00,5.00,4.00,452,NULL,NULL,'BARREIROS','S JOSÉ','SC',9090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116724,8.00,8.00,1.00,4.00,9.00,9.00,4.00,4.00,6.00,104,NULL,NULL,'DOIS PINHEIROS','VIDEIRA','SC',5908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5116732,3.00,5.00,2.00,3.00,3.00,NULL,2.00,2.00,5.00,203,NULL,220,'BELA VISTA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5116740,0.00,2.00,0.00,3.00,4.00,NULL,1.00,0.00,2.00,103,NULL,NULL,'CANTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5116767,7.00,4.00,4.00,6.00,5.00,7.88,5.00,3.00,6.00,203,NULL,214,'BUTIATUVINHA','CURITIBA','PR',8233,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5116775,7.00,8.00,2.00,7.00,8.00,9.00,1.00,2.00,2.00,207,NULL,201,'HUMAITÁ DE CIMA','TUBARÃO','SC',7841,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5116783,6.00,6.00,3.00,7.00,7.00,7.50,2.00,5.00,4.00,238,NULL,208,'ITACORUBI','FLORIANÓPOLIS','SC',8105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116791,7.00,7.00,2.00,5.00,7.00,8.25,3.00,5.00,4.00,216,NULL,233,'CENTRO','URUBICI','SC',7671,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5116805,4.00,6.00,5.00,6.00,7.00,9.00,1.00,5.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116813,8.00,7.00,3.00,7.00,9.00,10.13,3.00,6.00,6.00,103,NULL,NULL,'BONSUCESSO','GUARAPUAVA','PR',2793,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5116821,1.00,5.00,1.00,5.00,4.00,NULL,1.00,0.00,4.00,207,NULL,201,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5116830,9.00,8.00,5.00,6.00,10.00,11.25,6.00,5.00,8.00,103,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',1116,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5116848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BANCO DE HABITAÇÃO','ARIQUEMES','RO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5116856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD BOA ESPERANÇA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5116872,5.00,7.00,0.00,6.00,5.00,7.13,0.00,2.00,5.00,238,NULL,208,'COQUEIROS','FLORIANÓPOLIS','SC',14174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116880,3.00,5.00,2.00,5.00,7.00,NULL,1.00,3.00,2.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5116899,4.00,5.00,1.00,4.00,7.00,6.75,1.00,1.00,5.00,108,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',15383,297,NULL,NULL,NULL,NULL,NULL,2,1),(20,5116902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5116910,6.00,6.00,1.00,5.00,7.00,8.63,2.00,3.00,5.00,102,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',8362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5116929,5.00,6.00,0.00,7.00,9.00,9.75,2.00,1.00,7.00,104,NULL,NULL,'CONTA DINHERIO','LAGES','SC',9181,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5116937,5.00,5.00,1.00,2.00,8.00,7.50,1.00,4.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5116945,4.00,6.00,4.00,2.00,3.00,NULL,2.00,4.00,3.00,336,NULL,NULL,'VILA VELHA','FARTURA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5116953,3.00,1.00,1.00,2.00,3.00,NULL,1.00,1.00,2.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5116961,3.00,3.00,1.00,5.00,5.00,NULL,2.00,4.00,2.00,207,NULL,215,'AEROPORTO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5116970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMOBI','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5116996,5.00,8.00,2.00,6.00,4.00,8.25,1.00,5.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'BUQUIRINHA II','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5117020,2.00,7.00,1.00,3.00,7.00,NULL,0.00,2.00,3.00,201,NULL,601,'SÃO MARTINHO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5117038,9.00,7.00,3.00,5.00,6.00,8.63,2.00,4.00,5.00,103,NULL,NULL,'JARDIM ITÁLIA','MELEIRO','SC',6981,2643,NULL,NULL,NULL,NULL,NULL,2,15),(20,5117046,1.00,0.00,1.00,4.00,6.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5117054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,202,'BURITIS','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5117070,1.00,4.00,2.00,5.00,5.00,7.13,4.00,4.00,3.00,5,NULL,NULL,'OPERARIA NOVA','CRICIÚMA','SC',16219,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5117089,9.00,9.00,1.00,7.00,9.00,11.25,3.00,6.00,7.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TARUMÃ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5117119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM DAS PALMEIRAS','UBERLÂNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5117127,6.00,6.00,4.00,6.00,10.00,8.25,3.00,5.00,7.00,104,NULL,NULL,'CENTRO','PATO BRANCO','PR',5342,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5117135,8.00,8.00,7.00,4.00,9.00,9.00,6.00,3.00,7.00,202,NULL,235,'THOMAZ COELHO','ARAUCÁRIA','PR',2801,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5117143,9.00,7.00,7.00,7.00,10.00,12.00,8.00,6.00,8.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117151,6.00,4.00,3.00,4.00,4.00,8.63,1.00,4.00,3.00,340,NULL,NULL,'BEIRA RIO','GUARATINGUETÁ','SP',14558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5117160,8.00,7.00,6.00,7.00,8.00,9.75,5.00,3.00,8.00,103,NULL,NULL,'QUEBEC','LONDRINA','PR',1683,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5117194,4.00,7.00,3.00,7.00,6.00,7.50,1.00,4.00,4.00,415,NULL,NULL,'CENTRO','TRÊS PASSOS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5117208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA BOA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5117216,8.00,3.00,5.00,6.00,7.00,6.75,4.00,5.00,5.00,216,NULL,203,'BUENO','GOIÂNIA','GO',6017,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5117232,5.00,7.00,2.00,3.00,6.00,7.50,1.00,3.00,6.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12222,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5117240,6.00,3.00,2.00,5.00,3.00,NULL,2.00,2.00,2.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5117259,5.00,7.00,3.00,6.00,9.00,10.13,2.00,5.00,5.00,201,NULL,212,'SANTA CATARINA','BIGUAÇU','SC',5686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117275,6.00,3.00,2.00,3.00,3.00,NULL,1.00,2.00,4.00,207,NULL,211,'CENTRO','CEL VIVIDA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5117283,6.00,7.00,3.00,5.00,8.00,8.63,2.00,4.00,6.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5117291,8.00,5.00,2.00,7.00,7.00,7.88,2.00,3.00,5.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',6878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117305,8.00,7.00,2.00,7.00,6.00,9.38,2.00,7.00,8.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',3366,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5117330,7.00,6.00,2.00,6.00,8.00,9.00,3.00,3.00,6.00,238,NULL,208,'CAMPINAS','S JOSÉ','SC',9961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117348,6.00,5.00,4.00,6.00,6.00,8.63,1.00,3.00,7.00,316,NULL,NULL,'FLAMBOYANT','CPO GRANDE','MS',6923,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5117356,8.00,6.00,2.00,5.00,9.00,9.38,5.00,7.00,8.00,103,NULL,NULL,'VILA BUARQUE','S PAULO','SP',2348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117364,7.00,7.00,1.00,6.00,7.00,7.88,2.00,3.00,4.00,303,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',9925,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5117380,8.00,6.00,3.00,5.00,6.00,7.88,6.00,2.00,8.00,103,NULL,NULL,'HAUER','CURITIBA','PR',4447,1981,NULL,NULL,NULL,NULL,NULL,4,8),(20,5117399,5.00,6.00,2.00,6.00,7.00,8.25,2.00,2.00,4.00,238,NULL,207,'CENTO','CRICIÚMA','SC',12400,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5117437,8.00,7.00,4.00,4.00,8.00,9.38,3.00,5.00,6.00,216,NULL,201,'CENTRO','ARAUCÁRIA','PR',4130,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5117445,7.00,7.00,2.00,6.00,4.00,7.13,3.00,5.00,4.00,303,NULL,NULL,'BATEL','CURITIBA','PR',9330,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5117453,5.00,4.00,3.00,3.00,7.00,7.50,2.00,3.00,5.00,104,NULL,NULL,'VELHA','BLUMENAU','SC',14282,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5117461,6.00,6.00,5.00,7.00,10.00,9.75,5.00,3.00,7.00,5,NULL,NULL,'ARIRIU','PALHOÇA','SC',3430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117470,7.00,6.00,3.00,7.00,9.00,7.50,7.00,5.00,4.00,220,NULL,233,'CENTRO','SOROCABA','SP',3781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','VENÂNCIO AIRES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5117500,3.00,5.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,203,NULL,601,'UNIVERSITÁRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5117518,2.00,1.00,1.00,0.00,0.00,NULL,1.00,1.00,1.00,108,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117526,0.00,7.00,1.00,4.00,4.00,7.50,0.00,3.00,5.00,201,NULL,212,'MEIA PRAIA','ITAPEMA','SC',16302,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5117534,6.00,5.00,2.00,7.00,5.00,6.38,4.00,4.00,4.00,238,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10738,211,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117569,6.00,5.00,5.00,7.00,8.00,7.88,2.00,3.00,4.00,453,NULL,NULL,'MILANESE','CRICIÚMA','SC',8928,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5117577,3.00,6.00,1.00,3.00,4.00,6.75,3.00,2.00,5.00,601,NULL,NULL,'JARDIM IRIRIÚ','JOINVILLE','SC',16290,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5117585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'NOSSA SRA DAS DORES','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5117607,6.00,6.00,0.00,7.00,8.00,7.13,2.00,2.00,4.00,420,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',11222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117615,8.00,5.00,2.00,7.00,9.00,9.38,0.00,3.00,5.00,220,NULL,214,'JARDIM','CUNHA PORÃ','SC',7680,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5117623,2.00,3.00,0.00,4.00,3.00,NULL,3.00,2.00,4.00,319,NULL,NULL,'MONTE CASTELO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5117631,3.00,5.00,2.00,5.00,7.00,9.75,1.00,3.00,4.00,207,NULL,201,'MIRIM','IMBITUBA','SC',13750,657,NULL,984,NULL,NULL,NULL,2,10),(20,5117640,5.00,5.00,2.00,4.00,8.00,9.00,2.00,3.00,3.00,203,NULL,238,'PASSA VINTE','PALHOÇA','SC',13367,871,NULL,310,NULL,NULL,NULL,4,1),(20,5117658,5.00,6.00,5.00,7.00,5.00,8.25,0.00,3.00,4.00,316,NULL,NULL,'SÃO SEBASTIÃO','PTO ALEGRE','RS',11695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117666,4.00,5.00,3.00,4.00,3.00,NULL,3.00,4.00,3.00,444,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5117674,7.00,6.00,3.00,6.00,9.00,11.63,4.00,6.00,6.00,103,NULL,NULL,'VILA OPERARIA','MARINGÁ','PR',2992,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5117682,4.00,6.00,0.00,7.00,6.00,NULL,2.00,1.00,2.00,5,NULL,NULL,'JABAQUARA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117690,8.00,7.00,5.00,6.00,10.00,10.88,2.00,6.00,6.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5117712,6.00,8.00,3.00,7.00,10.00,8.25,3.00,5.00,5.00,5,NULL,NULL,'ARIRIU','PALHOÇA','SC',7021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117720,4.00,5.00,1.00,4.00,6.00,NULL,0.00,3.00,2.00,102,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5117739,3.00,3.00,0.00,0.00,3.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117747,2.00,5.00,3.00,3.00,5.00,NULL,0.00,2.00,2.00,317,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5117755,3.00,7.00,1.00,4.00,4.00,7.13,2.00,2.00,4.00,202,NULL,235,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5117763,6.00,6.00,6.00,7.00,8.00,9.38,2.00,4.00,6.00,452,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',4417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117771,5.00,5.00,0.00,3.00,5.00,7.88,1.00,3.00,4.00,203,NULL,214,'CENTRO','ERVAL GRANDE','RS',15002,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5117780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5117844,3.00,6.00,1.00,5.00,6.00,NULL,2.00,1.00,3.00,420,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117852,7.00,8.00,4.00,7.00,9.00,8.63,3.00,5.00,7.00,103,NULL,NULL,'JARDIM PARAISO','BOTUCATU','SP',4092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117860,6.00,5.00,4.00,5.00,8.00,10.88,3.00,3.00,3.00,201,NULL,216,'GETHAL','LAGES','SC',6723,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5117887,3.00,6.00,1.00,5.00,8.00,9.00,2.00,5.00,6.00,333,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9091,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5117895,2.00,0.00,3.00,4.00,5.00,NULL,0.00,0.00,0.00,211,NULL,201,'JARIVATUBA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5117909,2.00,4.00,2.00,6.00,9.00,7.50,0.00,2.00,5.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117941,8.00,8.00,4.00,4.00,10.00,8.63,5.00,2.00,7.00,103,NULL,NULL,'FIGUEIRA','GASPAR','SC',2891,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5117950,4.00,4.00,1.00,4.00,2.00,NULL,0.00,1.00,2.00,238,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117968,2.00,4.00,0.00,5.00,7.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5117976,4.00,5.00,1.00,7.00,5.00,8.63,2.00,2.00,3.00,211,NULL,653,'HIDRAULICA','LAJEADO','RS',15102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5117984,6.00,3.00,2.00,3.00,9.00,NULL,0.00,2.00,3.00,333,NULL,NULL,'CENTENÁRIO','MONTENEGRO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5117992,8.00,8.00,4.00,7.00,7.00,8.63,6.00,4.00,7.00,208,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',3313,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5118000,2.00,4.00,1.00,3.00,4.00,NULL,0.00,0.00,2.00,319,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CASCATA','GARÇA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5118026,8.00,5.00,3.00,7.00,8.00,10.50,1.00,4.00,6.00,103,NULL,NULL,'MEDITERRÂNEO','LIMEIRA','SP',5563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5118034,7.00,5.00,3.00,5.00,6.00,6.75,1.00,4.00,7.00,303,NULL,NULL,'CENTRO','S JOSÉ','SC',9708,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118042,2.00,2.00,0.00,4.00,4.00,NULL,0.00,1.00,3.00,444,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118069,5.00,4.00,4.00,6.00,6.00,7.13,4.00,3.00,5.00,207,NULL,215,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',8806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118077,1.00,2.00,1.00,3.00,2.00,NULL,1.00,2.00,0.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118085,5.00,5.00,2.00,6.00,5.00,8.25,3.00,2.00,5.00,203,NULL,201,'GUANABARA','JOINVILLE','SC',10483,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5118093,8.00,7.00,1.00,7.00,8.00,10.50,2.00,3.00,5.00,108,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',5555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118107,2.00,6.00,2.00,4.00,5.00,7.50,3.00,4.00,4.00,451,NULL,NULL,'SERRARIA','S JOSÉ','SC',15585,29,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5118158,8.00,6.00,3.00,5.00,6.00,9.75,3.00,5.00,6.00,108,NULL,NULL,'KOBRASOL','S JOSÉ','SC',5880,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118166,2.00,4.00,1.00,6.00,6.00,8.63,3.00,2.00,4.00,326,NULL,NULL,'JURERÊ TRADICIONAL','FLORIANÓPOLIS','SC',14631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5118182,3.00,0.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'INTERIOR','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(20,5118190,5.00,7.00,2.00,5.00,6.00,7.88,2.00,4.00,3.00,224,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12647,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118212,6.00,6.00,2.00,4.00,7.00,7.13,2.00,2.00,5.00,101,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',13093,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118220,3.00,6.00,1.00,7.00,4.00,6.75,0.00,2.00,3.00,421,NULL,425,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5118239,2.00,3.00,1.00,1.00,4.00,NULL,1.00,1.00,4.00,303,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118247,6.00,4.00,3.00,6.00,8.00,8.63,1.00,2.00,4.00,501,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5118263,7.00,9.00,4.00,7.00,8.00,10.13,5.00,5.00,7.00,207,NULL,201,'ABRAAO','FLORIANÓPOLIS','SC',1787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5118271,4.00,4.00,2.00,2.00,3.00,NULL,4.00,1.00,4.00,208,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5118280,4.00,5.00,1.00,2.00,4.00,7.88,2.00,3.00,3.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',15226,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5118301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SANTA ALGUSTA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5118310,6.00,6.00,2.00,6.00,5.00,6.38,2.00,5.00,1.00,316,NULL,NULL,'JARDIM EL DORADO','PALHOÇA','SC',14674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118328,5.00,8.00,1.00,6.00,7.00,9.38,6.00,6.00,4.00,202,NULL,213,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',6110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5118336,6.00,6.00,1.00,5.00,9.00,4.13,2.00,4.00,2.00,320,NULL,NULL,'BUTIA DOS TABORDAS','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5118352,7.00,8.00,0.00,4.00,7.00,10.13,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','SANTOS','SP',7721,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118360,6.00,8.00,4.00,4.00,6.00,9.38,2.00,4.00,6.00,104,NULL,NULL,'CENTRO','PAULO LOPES','SC',5274,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118379,3.00,4.00,0.00,4.00,6.00,NULL,1.00,3.00,2.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5118409,6.00,4.00,5.00,2.00,5.00,7.88,2.00,4.00,4.00,203,NULL,201,'SÃO LUIZ','JABORÁ','SC',13889,891,NULL,993,NULL,NULL,NULL,2,7),(20,5118417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,214,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5118425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5118450,4.00,5.00,2.00,4.00,3.00,NULL,1.00,4.00,0.00,453,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5118468,8.00,8.00,5.00,7.00,9.00,9.75,5.00,8.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5118476,9.00,5.00,1.00,8.00,9.00,8.25,4.00,6.00,7.00,103,NULL,NULL,'BOM RETIRO','CURITIBA','PR',3674,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5118484,4.00,6.00,3.00,3.00,8.00,10.13,3.00,3.00,5.00,238,NULL,208,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',11387,234,NULL,259,NULL,NULL,NULL,4,1),(20,5118492,2.00,4.00,1.00,5.00,8.00,NULL,0.00,2.00,3.00,324,NULL,NULL,'CAEIRA SACO LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5118514,9.00,5.00,5.00,7.00,10.00,10.50,7.00,6.00,9.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',556,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5118522,6.00,7.00,3.00,4.00,7.00,7.13,3.00,7.00,5.00,428,NULL,424,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8643,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118530,3.00,5.00,2.00,4.00,5.00,NULL,2.00,3.00,2.00,211,NULL,216,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118549,6.00,6.00,1.00,5.00,7.00,7.13,2.00,6.00,6.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',8033,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5118557,9.00,7.00,3.00,7.00,9.00,9.00,4.00,6.00,7.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',1973,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5118565,6.00,3.00,4.00,3.00,7.00,7.13,2.00,5.00,4.00,223,NULL,NULL,'F SANTO ANTONIO','S JOSÉ','SC',11951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118573,6.00,5.00,5.00,6.00,5.00,8.63,1.00,1.00,5.00,340,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',13039,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5118581,6.00,3.00,2.00,3.00,5.00,9.75,1.00,4.00,5.00,103,NULL,NULL,'POCINHO','CAMPINA G SUL','PR',13114,3538,NULL,NULL,NULL,NULL,NULL,2,8),(20,5118590,5.00,5.00,1.00,4.00,6.00,NULL,0.00,4.00,3.00,108,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118603,5.00,7.00,1.00,3.00,7.00,6.75,3.00,1.00,4.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11666,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118611,3.00,6.00,2.00,4.00,5.00,8.63,3.00,5.00,5.00,318,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118646,8.00,7.00,4.00,6.00,8.00,11.25,4.00,5.00,8.00,5,NULL,NULL,'CURTUME','TORRES','RS',1771,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5118654,7.00,6.00,5.00,6.00,9.00,9.38,5.00,5.00,5.00,336,NULL,NULL,'PATAMARES','SALVADOR','BA',4251,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118662,6.00,4.00,1.00,4.00,3.00,NULL,3.00,3.00,4.00,233,NULL,653,'RIO BRENCO','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5118670,5.00,3.00,3.00,4.00,8.00,7.13,2.00,2.00,4.00,340,NULL,NULL,'PALMITAL','CHAPECÓ','SC',14209,398,NULL,NULL,NULL,NULL,NULL,4,4),(20,5118689,6.00,7.00,7.00,8.00,9.00,8.25,5.00,6.00,8.00,5,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',1447,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5118697,3.00,4.00,1.00,2.00,3.00,NULL,3.00,1.00,1.00,601,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5118700,3.00,5.00,1.00,3.00,8.00,NULL,0.00,2.00,2.00,404,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118719,3.00,4.00,4.00,4.00,7.00,6.75,3.00,4.00,6.00,303,NULL,NULL,'DIONISIO TORRES','FORTALEZA','CE',13203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5118727,7.00,7.00,4.00,6.00,8.00,10.88,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',4399,1964,NULL,NULL,NULL,NULL,NULL,4,1),(20,5118743,3.00,0.00,0.00,0.00,5.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5118751,5.00,5.00,4.00,4.00,8.00,8.63,1.00,4.00,7.00,213,NULL,214,'AGRONOMICA','FLORIANÓPOLIS','SC',8812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5118760,3.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,3.00,201,NULL,207,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5118778,6.00,7.00,2.00,3.00,6.00,8.25,2.00,2.00,5.00,336,NULL,NULL,'CENTRO','CURITIBA','PR',13932,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118786,8.00,8.00,3.00,6.00,11.00,11.25,4.00,5.00,6.00,103,NULL,NULL,'SÃO JOÃO','COCAL SUL','SC',1617,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5118794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5118808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,202,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5118816,2.00,4.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'JARIVATUBA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5118859,2.00,5.00,0.00,2.00,4.00,NULL,2.00,1.00,2.00,331,NULL,NULL,'INTERIOR','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5118875,5.00,4.00,4.00,5.00,6.00,7.50,3.00,3.00,3.00,340,NULL,NULL,'JARDIM DAS AMERICAS','PATO BRANCO','PR',13595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5118883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA SOARES','OURINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5118891,4.00,4.00,0.00,3.00,5.00,NULL,2.00,0.00,5.00,201,NULL,212,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PROGRESSO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5118913,2.00,3.00,1.00,4.00,4.00,NULL,1.00,1.00,2.00,444,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118930,4.00,6.00,3.00,3.00,7.00,9.38,2.00,3.00,6.00,211,NULL,207,'CENTRO','BAL CAMBORIÚ','SC',11651,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5118948,3.00,3.00,1.00,5.00,8.00,NULL,1.00,3.00,4.00,103,NULL,NULL,'MARTURANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5118956,4.00,3.00,0.00,1.00,3.00,NULL,3.00,1.00,0.00,415,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5118964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5118972,9.00,7.00,4.00,8.00,9.00,8.25,5.00,6.00,9.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',1208,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5118980,7.00,7.00,4.00,5.00,5.00,6.00,4.00,5.00,6.00,316,NULL,NULL,'ARMAÇAO DO PANTANO','FLORIANÓPOLIS','SC',9627,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5118999,5.00,8.00,3.00,7.00,10.00,8.63,0.00,5.00,6.00,303,NULL,NULL,'EUGÊNIO SCHINEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5119022,7.00,7.00,2.00,7.00,10.00,7.13,3.00,3.00,6.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',5249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119030,2.00,4.00,1.00,3.00,1.00,NULL,1.00,0.00,3.00,333,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5119049,3.00,7.00,1.00,4.00,6.00,6.00,1.00,4.00,2.00,415,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5119057,5.00,5.00,6.00,4.00,6.00,8.25,3.00,4.00,5.00,215,NULL,212,'ITAIGARA','SALVADOR','BA',7910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5119081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5119103,7.00,5.00,4.00,6.00,10.00,8.63,3.00,2.00,4.00,415,NULL,NULL,'JARDIM REDENTOR','S JOSÉ R PRETO','SP',5976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119120,6.00,7.00,6.00,3.00,9.00,7.50,5.00,3.00,6.00,201,NULL,212,'NAÇÕES','FRAIBURGO','SC',5307,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5119138,9.00,6.00,5.00,7.00,8.00,7.13,6.00,4.00,7.00,220,NULL,203,'VORSDADT','BLUMENAU','SC',4045,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5119146,6.00,5.00,3.00,3.00,6.00,7.88,2.00,5.00,3.00,332,NULL,NULL,'RIO CERRO DOIS','JARAGUÁ SUL','SC',13064,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5119154,5.00,4.00,2.00,5.00,8.00,9.38,3.00,4.00,4.00,9,NULL,NULL,'LOTEAMENTO CAROL','URUSSANGA','SC',11681,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5119162,9.00,7.00,9.00,6.00,8.00,11.25,7.00,2.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5119170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,211,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5119189,9.00,9.00,4.00,6.00,9.00,9.00,6.00,7.00,9.00,103,NULL,NULL,'CENTRO','BIGUAÇU','SC',1019,609,NULL,NULL,NULL,NULL,NULL,2,1),(20,5119197,7.00,6.00,2.00,6.00,9.00,11.25,3.00,5.00,5.00,303,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',5679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119200,5.00,6.00,4.00,6.00,5.00,8.63,2.00,4.00,4.00,340,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',11216,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5119219,5.00,5.00,5.00,7.00,9.00,NULL,4.00,4.00,8.00,208,NULL,238,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5119227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5119235,9.00,9.00,7.00,8.00,9.00,10.50,8.00,7.00,8.00,103,NULL,NULL,'CENTRO','IRATI','PR',62,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5119243,7.00,6.00,1.00,4.00,8.00,7.88,2.00,5.00,5.00,213,NULL,211,'FLORESTA','S JOSÉ','SC',12196,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5119251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'ASA SUL','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5119260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'RIO ENGANO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5119278,5.00,7.00,2.00,3.00,8.00,7.50,2.00,8.00,6.00,216,NULL,212,'CENTRO','ITAJAÍ','SC',7754,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5119308,3.00,2.00,1.00,2.00,3.00,NULL,2.00,0.00,1.00,215,NULL,211,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5119324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5119332,4.00,6.00,1.00,4.00,6.00,7.13,0.00,3.00,3.00,316,NULL,NULL,'PALHOÇA','PALHOÇA','SC',16238,261,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119340,9.00,7.00,4.00,8.00,10.00,10.88,5.00,7.00,8.00,103,NULL,NULL,'NOVA LONDRES','LONDRINA','PR',622,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5119359,4.00,6.00,1.00,6.00,3.00,NULL,2.00,4.00,5.00,5,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119367,5.00,3.00,3.00,6.00,9.00,7.88,1.00,3.00,4.00,3,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',11215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5119391,5.00,5.00,1.00,5.00,7.00,6.75,1.00,4.00,4.00,310,NULL,NULL,'ALTO SAO BENTO','ITAPEMA','SC',14642,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5119413,2.00,5.00,1.00,3.00,4.00,NULL,3.00,3.00,3.00,201,NULL,212,'PRAIA BRAVA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5119421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CIDADE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5119430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SAO JOSÉ','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5119448,4.00,4.00,1.00,3.00,7.00,NULL,1.00,3.00,3.00,211,NULL,207,'PONTA GROSSA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5119456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CAMPO DO GADO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5119464,6.00,5.00,2.00,6.00,8.00,9.75,1.00,3.00,2.00,452,NULL,NULL,'SERRARIA','S JOSÉ','SC',11123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5119480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5119499,9.00,7.00,7.00,7.00,10.00,10.88,6.00,7.00,9.00,103,NULL,NULL,'GRANJA JULIETA','S PAULO','SP',152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119502,7.00,2.00,0.00,5.00,9.00,NULL,2.00,4.00,3.00,501,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5119510,7.00,7.00,4.00,7.00,9.00,7.50,3.00,5.00,7.00,102,NULL,NULL,'ATIRADORES','JOINVILLE','SC',4103,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5119537,4.00,5.00,2.00,6.00,6.00,8.63,2.00,3.00,5.00,201,NULL,207,'CENTRO','PALHOÇA','SC',12427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TUCURUVI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5119561,4.00,5.00,2.00,7.00,5.00,10.88,1.00,1.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,212,'SONHO NOSSO II','BARRA BONITA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5119588,3.00,6.00,4.00,4.00,6.00,6.75,3.00,4.00,3.00,601,NULL,203,'JD PARANÁ','ASSIS CHATEAUBRIAND','PR',11407,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5119596,6.00,6.00,3.00,7.00,6.00,8.63,5.00,5.00,6.00,303,NULL,NULL,'SAO LUIS','JARAGUÁ SUL','SC',6517,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5119600,6.00,7.00,2.00,6.00,7.00,8.63,4.00,3.00,6.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119618,5.00,4.00,4.00,4.00,4.00,NULL,0.00,2.00,4.00,551,NULL,NULL,'SÃO SBASTIÃO','PTE ALTA NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5119626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,212,'CERRADO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5119634,0.00,4.00,0.00,0.00,0.00,NULL,2.00,0.00,0.00,207,NULL,201,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119642,6.00,7.00,0.00,6.00,7.00,9.75,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119650,9.00,8.00,3.00,7.00,10.00,12.38,3.00,6.00,5.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119669,7.00,5.00,7.00,7.00,6.00,10.50,2.00,0.00,4.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',6001,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5119685,3.00,4.00,2.00,5.00,6.00,9.38,2.00,3.00,4.00,303,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',14775,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5119693,5.00,7.00,3.00,6.00,7.00,10.88,6.00,4.00,4.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',6416,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5119707,4.00,4.00,2.00,5.00,5.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'DESVIO RIZZO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5119715,2.00,4.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,404,NULL,NULL,'SERTÃO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119723,4.00,7.00,4.00,2.00,8.00,9.38,3.00,2.00,4.00,222,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'JD CLAUDIA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5119740,6.00,5.00,1.00,7.00,6.00,6.38,3.00,5.00,6.00,208,NULL,220,'MONTE VERDE','FLORIANÓPOLIS','SC',10263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119758,5.00,7.00,2.00,4.00,6.00,7.88,2.00,4.00,6.00,444,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',10380,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5119766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'ESTRELA','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5119782,9.00,7.00,5.00,6.00,9.00,8.25,6.00,7.00,6.00,103,NULL,NULL,'CIDADE MONÇÕES','MARINGÁ','PR',1566,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5119790,5.00,5.00,2.00,6.00,6.00,7.50,6.00,4.00,3.00,214,NULL,203,'GONZAGA','SANTOS','SP',9122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119839,5.00,5.00,0.00,4.00,2.00,NULL,3.00,1.00,3.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5119847,3.00,4.00,3.00,7.00,7.00,6.38,3.00,5.00,4.00,340,NULL,NULL,'CENTRO','CURITIBA','PR',14666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119855,5.00,5.00,5.00,1.00,4.00,8.63,3.00,1.00,6.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119863,2.00,7.00,1.00,5.00,4.00,6.75,3.00,4.00,4.00,207,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',13380,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5119871,6.00,5.00,0.00,4.00,7.00,NULL,2.00,1.00,4.00,211,NULL,207,'INTERIOR','LACERDÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5119910,8.00,6.00,1.00,8.00,8.00,10.88,0.00,3.00,5.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119928,2.00,7.00,2.00,7.00,7.00,9.00,2.00,3.00,0.00,425,NULL,423,'COSTEIRA','FLORIANÓPOLIS','SC',15257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119936,4.00,5.00,4.00,7.00,5.00,8.25,1.00,3.00,3.00,108,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',14985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119944,4.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,3.00,207,NULL,201,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5119952,8.00,6.00,3.00,6.00,6.00,9.75,2.00,4.00,5.00,207,NULL,201,'VILA REAL','BAL CAMBORIÚ','SC',6270,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5119960,5.00,6.00,2.00,5.00,8.00,7.88,0.00,2.00,5.00,103,NULL,NULL,'DESVIO RIZZO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5119979,1.00,0.00,2.00,0.00,1.00,NULL,0.00,0.00,0.00,652,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(20,5119995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CERAMARTE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5120004,7.00,6.00,6.00,5.00,6.00,6.75,4.00,6.00,6.00,203,NULL,202,'TONIAL','XANXERÊ','SC',5086,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5120012,6.00,6.00,3.00,6.00,8.00,6.75,0.00,3.00,3.00,238,NULL,215,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',10084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120020,9.00,9.00,7.00,7.00,10.00,10.88,8.00,6.00,9.00,103,NULL,NULL,'PRESIDENTE','LONDRINA','PR',86,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120039,9.00,8.00,3.00,5.00,9.00,10.13,5.00,7.00,6.00,103,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',2373,1240,NULL,NULL,NULL,NULL,NULL,2,1),(20,5120047,6.00,5.00,2.00,6.00,4.00,8.63,1.00,2.00,4.00,501,NULL,NULL,'VILA ADILETA','ASSIS','SP',13623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120063,4.00,7.00,1.00,3.00,7.00,7.88,2.00,4.00,2.00,319,NULL,NULL,'SANTO ANTÔNIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5120080,6.00,4.00,2.00,4.00,7.00,9.00,1.00,2.00,3.00,415,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',13212,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5120098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','IBIRAMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5120101,4.00,4.00,2.00,3.00,5.00,NULL,3.00,3.00,1.00,103,NULL,NULL,'CENTRO','GALVÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5120110,5.00,3.00,3.00,4.00,6.00,6.75,3.00,2.00,4.00,103,NULL,NULL,'VILA ALEMANHA','LUZERNA','SC',12928,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5120136,6.00,8.00,0.00,6.00,8.00,NULL,2.00,3.00,5.00,3,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5120152,9.00,7.00,7.00,6.00,10.00,9.38,6.00,4.00,9.00,103,NULL,NULL,'VILA RIO BRANCO','CASTRO','PR',837,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5120160,7.00,6.00,7.00,7.00,9.00,10.88,3.00,4.00,6.00,333,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',2747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120179,4.00,6.00,1.00,1.00,4.00,NULL,3.00,2.00,2.00,301,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5120187,7.00,5.00,3.00,6.00,7.00,7.13,1.00,4.00,4.00,303,NULL,NULL,'BOM RETIRO','CURITIBA','PR',9630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120195,3.00,3.00,0.00,4.00,6.00,NULL,0.00,1.00,3.00,425,NULL,429,'PRAIA COMPRIGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120209,4.00,7.00,4.00,5.00,3.00,NULL,3.00,4.00,3.00,203,NULL,202,'JARDIM PAULISTA','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5120217,2.00,6.00,0.00,1.00,1.00,NULL,1.00,2.00,1.00,501,NULL,NULL,'INTERIOR','CPO ERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5120233,6.00,6.00,2.00,6.00,6.00,8.25,4.00,3.00,5.00,103,NULL,NULL,'JARDIM AMÉRICA','PNT GROSSA','PR',9236,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5120241,6.00,6.00,1.00,6.00,8.00,6.38,2.00,2.00,1.00,316,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',12209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5120276,3.00,5.00,0.00,4.00,8.00,6.75,4.00,4.00,2.00,425,NULL,421,'ITACORUBI','FLORIANÓPOLIS','SC',15556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120284,4.00,7.00,2.00,6.00,4.00,7.88,2.00,2.00,7.00,444,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',10658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CAMPINAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5120314,4.00,5.00,0.00,3.00,4.00,NULL,1.00,2.00,1.00,215,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5120322,4.00,3.00,2.00,6.00,7.00,7.50,3.00,3.00,4.00,301,NULL,NULL,'CENTRO','CURITIBANOS','SC',13067,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5120330,4.00,3.00,4.00,3.00,4.00,9.38,0.00,2.00,5.00,220,NULL,208,'CENTRO','BAL CAMBORIÚ','SC',15748,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5120349,5.00,4.00,3.00,6.00,7.00,9.00,1.00,4.00,3.00,2,NULL,NULL,'LOTEAMENTO BOLNADO','VIDEIRA','SC',12221,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5120357,4.00,1.00,1.00,3.00,4.00,NULL,1.00,2.00,2.00,316,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5120365,8.00,8.00,7.00,6.00,7.00,9.38,2.00,5.00,7.00,103,NULL,NULL,'AVAÍ','GUARAMIRIM','SC',2839,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5120381,0.00,8.00,0.00,5.00,3.00,NULL,1.00,1.00,3.00,110,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120390,1.00,5.00,0.00,6.00,5.00,NULL,1.00,2.00,4.00,319,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5120403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REVOREDO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5120411,8.00,5.00,3.00,6.00,7.00,7.88,3.00,2.00,7.00,216,NULL,233,'INGLESES','FLORIANÓPOLIS','SC',7217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120420,2.00,6.00,1.00,7.00,7.00,9.38,0.00,4.00,4.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120438,6.00,6.00,4.00,5.00,7.00,10.13,3.00,5.00,5.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5120446,9.00,7.00,6.00,6.00,8.00,10.88,6.00,6.00,7.00,103,NULL,NULL,'VILA APRAZIVEL','JACAREÍ','SP',691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'JD PORTO ALEGRE','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5120489,7.00,7.00,3.00,8.00,6.00,8.25,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6162,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5120497,8.00,7.00,4.00,7.00,7.00,10.50,3.00,7.00,7.00,318,NULL,NULL,'FAZENDA','ITAJAÍ','SC',2292,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5120500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5120519,9.00,8.00,7.00,2.00,5.00,11.25,8.00,5.00,8.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',2014,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5120527,2.00,4.00,1.00,3.00,5.00,NULL,1.00,3.00,5.00,444,NULL,NULL,'ALTO DA GLORIA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120535,4.00,4.00,1.00,2.00,5.00,NULL,1.00,3.00,2.00,201,NULL,207,'INTERIOR','ARVOREDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5120543,9.00,6.00,8.00,7.00,6.00,7.88,6.00,3.00,7.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',2225,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5120560,4.00,4.00,4.00,4.00,7.00,10.50,1.00,2.00,5.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VILA BOM JESUS','ITAPEVA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5120586,7.00,5.00,7.00,4.00,7.00,9.38,3.00,3.00,6.00,203,NULL,214,'PONTA VERDE','MACEIÓ','AL',7583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120608,8.00,6.00,7.00,6.00,8.00,9.00,6.00,4.00,7.00,202,NULL,215,'JARDIM SATÉLITE','S JOSÉ CAMPOS','SP',1847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120632,2.00,5.00,3.00,5.00,5.00,6.38,2.00,4.00,5.00,427,NULL,424,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,2),(20,5120659,2.00,5.00,1.00,1.00,5.00,NULL,2.00,2.00,1.00,238,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120667,8.00,5.00,4.00,6.00,9.00,7.88,3.00,4.00,5.00,9,NULL,NULL,'CENTRO','S JOSÉ','SC',5162,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5120713,3.00,4.00,2.00,4.00,5.00,NULL,1.00,2.00,2.00,452,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5120721,2.00,3.00,4.00,2.00,4.00,NULL,0.00,2.00,1.00,324,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5120730,6.00,7.00,3.00,5.00,9.00,11.63,2.00,4.00,5.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',4788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120748,0.00,3.00,0.00,3.00,5.00,NULL,2.00,3.00,3.00,109,NULL,NULL,'CENTRO','GALVÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5120756,7.00,5.00,1.00,7.00,7.00,6.75,1.00,5.00,5.00,340,NULL,NULL,'CANGO','FRANCISCO BELTRÃO','PR',9163,250,NULL,NULL,NULL,NULL,NULL,4,4),(20,5120764,3.00,6.00,3.00,6.00,6.00,8.63,1.00,4.00,4.00,103,NULL,NULL,'CENTRO','ARVOREDO','SC',11286,3335,NULL,NULL,NULL,NULL,NULL,4,4),(20,5120772,8.00,5.00,4.00,6.00,7.00,7.88,4.00,5.00,4.00,103,NULL,NULL,'QUARTA LINHA','CRICIÚMA','SC',6588,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5120780,4.00,6.00,4.00,4.00,6.00,7.88,3.00,4.00,6.00,318,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',13824,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5120799,8.00,7.00,8.00,8.00,9.00,9.75,5.00,5.00,7.00,216,NULL,215,'GRANJA VIANA','COTIA','SP',571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120802,2.00,6.00,2.00,6.00,5.00,9.75,2.00,2.00,3.00,327,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5120810,2.00,4.00,0.00,2.00,3.00,NULL,1.00,1.00,2.00,429,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5120829,7.00,8.00,5.00,8.00,9.00,9.75,3.00,4.00,7.00,104,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',2433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120861,6.00,7.00,2.00,5.00,5.00,5.25,2.00,3.00,4.00,427,NULL,426,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5120870,7.00,7.00,1.00,5.00,10.00,9.38,2.00,6.00,6.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5467,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5120896,9.00,7.00,8.00,7.00,9.00,9.38,7.00,5.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120900,4.00,6.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5120918,8.00,7.00,5.00,7.00,10.00,9.38,5.00,5.00,5.00,201,NULL,212,'CENTRO','JOINVILLE','SC',2304,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5120926,5.00,3.00,2.00,4.00,6.00,8.63,3.00,1.00,4.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',13603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120934,3.00,5.00,1.00,7.00,6.00,10.50,2.00,3.00,4.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5120942,3.00,6.00,2.00,2.00,4.00,NULL,2.00,2.00,3.00,336,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120977,9.00,8.00,9.00,7.00,10.00,9.00,7.00,8.00,9.00,103,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',31,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5120985,6.00,4.00,6.00,4.00,8.00,7.88,5.00,3.00,6.00,203,NULL,233,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5121019,6.00,6.00,1.00,7.00,7.00,7.88,2.00,4.00,8.00,103,NULL,NULL,'CENTRO','IBIÚNA','SP',6410,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5121027,6.00,4.00,2.00,6.00,7.00,10.50,0.00,4.00,4.00,104,NULL,NULL,'CENTRO','BIGUAÇU','SC',10540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121035,7.00,7.00,6.00,4.00,5.00,7.88,2.00,5.00,5.00,317,NULL,NULL,'BELA VISTA','S JOSÉ','SC',10247,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5121051,7.00,8.00,5.00,6.00,9.00,9.38,2.00,7.00,6.00,303,NULL,NULL,'GUIOMAR','ANTÔNIO CARLOS','SC',3263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121086,3.00,6.00,2.00,4.00,4.00,6.00,4.00,2.00,4.00,238,NULL,652,'CIDADE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5121094,6.00,6.00,3.00,5.00,6.00,NULL,2.00,5.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5121108,9.00,7.00,7.00,7.00,9.00,9.38,5.00,5.00,7.00,203,NULL,215,'SAO JOAO','BRUSQUE','SC',1250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121116,4.00,2.00,0.00,2.00,4.00,NULL,1.00,2.00,4.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5121132,3.00,7.00,1.00,1.00,3.00,NULL,0.00,1.00,2.00,208,NULL,NULL,'CENTOR','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5121140,6.00,5.00,4.00,5.00,8.00,8.25,1.00,2.00,4.00,319,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',10639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'IATE CLUBE DE AM','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5121167,9.00,3.00,1.00,5.00,6.00,10.50,2.00,4.00,7.00,201,NULL,207,'SANTA RITA','MACAPÁ','AP',7705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5121183,4.00,5.00,2.00,5.00,7.00,9.00,2.00,3.00,4.00,326,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM AMÉRICA','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',3,1),(20,5121205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5121213,6.00,3.00,1.00,5.00,7.00,7.88,1.00,5.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14902,483,NULL,NULL,NULL,NULL,NULL,2,1),(20,5121256,6.00,4.00,2.00,4.00,8.00,8.63,1.00,1.00,5.00,108,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',14118,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5121299,5.00,0.00,1.00,4.00,6.00,NULL,2.00,3.00,4.00,9,NULL,NULL,'LOURO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5121302,6.00,6.00,3.00,4.00,4.00,10.50,4.00,6.00,6.00,5,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',8417,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5121329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','BANDEIRANTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5121337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,211,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5121345,7.00,7.00,0.00,7.00,5.00,8.63,1.00,3.00,6.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121353,3.00,4.00,0.00,2.00,4.00,NULL,3.00,0.00,1.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121361,2.00,7.00,1.00,6.00,5.00,0.00,2.00,4.00,3.00,238,NULL,208,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5121370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA BRONZE','ESTRELA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5121388,0.00,4.00,1.00,2.00,2.00,NULL,1.00,0.00,2.00,208,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121418,6.00,5.00,2.00,5.00,5.00,7.13,0.00,2.00,3.00,220,NULL,202,'CENTRO','MAL CÂNDIDO RONDON','PR',16129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5121442,7.00,8.00,3.00,4.00,4.00,9.38,3.00,3.00,7.00,333,NULL,NULL,'JARDIM ITALIA','CUIABÁ','MT',8466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO CIVICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5121469,8.00,5.00,4.00,5.00,9.00,10.50,2.00,4.00,4.00,503,NULL,NULL,'BARREIROS','S JOSÉ','SC',5303,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5121477,7.00,8.00,5.00,7.00,7.00,6.75,0.00,3.00,4.00,208,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',8070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'VILA ANTONIETA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5121493,4.00,5.00,5.00,4.00,6.00,6.75,3.00,3.00,4.00,238,NULL,208,'CAMPINAS','S JOSÉ','SC',9959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121515,2.00,4.00,0.00,3.00,5.00,NULL,3.00,3.00,4.00,304,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5121523,4.00,3.00,3.00,4.00,6.00,NULL,2.00,1.00,2.00,220,NULL,203,'ITOUPAVAZINHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5121531,7.00,6.00,6.00,7.00,6.00,8.63,5.00,3.00,7.00,202,NULL,233,'JARDIM BRASIL','CAMPINAS','SP',3540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121540,5.00,3.00,0.00,3.00,4.00,NULL,2.00,2.00,3.00,316,NULL,NULL,'PORTAL','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5121558,3.00,2.00,0.00,3.00,1.00,NULL,1.00,1.00,0.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5121566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5121574,8.00,3.00,5.00,4.00,6.00,8.63,2.00,2.00,4.00,203,NULL,202,'CENTRO','MAL CÂNDIDO RONDON','PR',12275,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5121582,6.00,7.00,3.00,3.00,5.00,7.13,2.00,2.00,7.00,235,NULL,203,'AGRONÔMICA','FLORIANÓPOLIS','SC',10504,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5121590,9.00,7.00,5.00,7.00,7.00,10.50,4.00,3.00,6.00,452,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',3405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121604,8.00,7.00,6.00,7.00,10.00,10.50,8.00,5.00,8.00,201,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121612,8.00,6.00,3.00,6.00,5.00,7.88,4.00,7.00,6.00,202,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',5394,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5121620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5121639,4.00,7.00,0.00,4.00,5.00,NULL,1.00,2.00,5.00,201,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5121655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'CONTINENTE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5121663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','MODELO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5121680,3.00,6.00,4.00,6.00,4.00,6.38,2.00,3.00,2.00,425,NULL,429,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121698,7.00,5.00,6.00,7.00,7.00,10.88,4.00,5.00,5.00,216,NULL,203,'TV MORENA','CPO GRANDE','MS',3174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121710,5.00,6.00,2.00,1.00,2.00,NULL,1.00,4.00,5.00,317,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121736,6.00,6.00,1.00,3.00,6.00,7.50,1.00,1.00,4.00,104,NULL,NULL,'CENTRO','ERMO','SC',14510,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5121744,3.00,3.00,2.00,1.00,4.00,NULL,0.00,1.00,3.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5121787,7.00,7.00,1.00,4.00,9.00,10.50,2.00,5.00,4.00,215,NULL,233,'MAR GROSSO','LAGUNA','SC',8342,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5121795,7.00,6.00,1.00,7.00,8.00,8.63,6.00,6.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',3756,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5121809,6.00,7.00,3.00,5.00,9.00,9.75,0.00,4.00,4.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9277,381,NULL,NULL,NULL,NULL,NULL,2,1),(20,5121817,8.00,8.00,5.00,6.00,9.00,9.38,7.00,5.00,6.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121825,3.00,4.00,0.00,3.00,4.00,NULL,0.00,2.00,2.00,9,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5121833,2.00,5.00,2.00,5.00,7.00,7.50,2.00,3.00,1.00,201,NULL,212,'CAMPINAS','S JOSÉ','SC',15650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5121850,1.00,1.00,0.00,4.00,5.00,NULL,0.00,1.00,2.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5121876,7.00,6.00,5.00,7.00,8.00,7.50,4.00,6.00,6.00,202,NULL,203,'CENTRO','IMBITUVA','PR',3013,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5121884,4.00,6.00,3.00,3.00,8.00,8.25,3.00,6.00,5.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9350,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5121892,7.00,6.00,0.00,3.00,6.00,NULL,2.00,1.00,4.00,108,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5121906,8.00,7.00,4.00,7.00,10.00,8.63,3.00,6.00,8.00,203,NULL,214,'SANTA MARIA','CHAPECÓ','SC',2049,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5121922,4.00,6.00,6.00,3.00,5.00,9.00,3.00,4.00,6.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',9366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5121930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5121949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'PETRÓPOLIS','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5121957,4.00,2.00,0.00,3.00,2.00,NULL,0.00,2.00,3.00,425,NULL,429,'CRISTO REI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5121965,8.00,7.00,7.00,5.00,8.00,3.75,6.00,4.00,1.00,203,NULL,214,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5121973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,208,'VALINHOS','TATUÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5121981,5.00,6.00,3.00,7.00,10.00,10.13,3.00,4.00,5.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5121990,2.00,5.00,3.00,3.00,5.00,7.88,3.00,3.00,5.00,208,NULL,201,'FLORESTA','S JOSÉ','SC',15467,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5122007,3.00,5.00,4.00,4.00,5.00,6.00,2.00,1.00,3.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',16081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122015,6.00,5.00,4.00,5.00,5.00,10.50,4.00,6.00,5.00,423,NULL,424,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',7922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122023,6.00,4.00,4.00,2.00,8.00,7.50,2.00,3.00,2.00,235,NULL,201,'JOSÉ MENDES','FLORIANÓPOLIS','SC',13126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122031,6.00,6.00,1.00,5.00,4.00,6.75,2.00,3.00,3.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16071,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5122040,7.00,6.00,4.00,7.00,9.00,9.38,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','RONDON','PR',3771,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5122058,7.00,5.00,4.00,7.00,6.00,6.38,4.00,5.00,6.00,103,NULL,NULL,'LAGO PARQUE','LONDRINA','PR',6087,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5122074,6.00,6.00,4.00,4.00,9.00,12.38,1.00,5.00,6.00,309,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',5670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122104,4.00,3.00,2.00,3.00,6.00,NULL,1.00,3.00,1.00,309,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5122112,0.00,3.00,1.00,6.00,5.00,NULL,1.00,4.00,1.00,301,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122120,5.00,5.00,1.00,6.00,5.00,6.75,1.00,4.00,5.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',13402,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5122139,3.00,4.00,4.00,2.00,4.00,7.50,2.00,3.00,4.00,5,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,421,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5122171,4.00,5.00,4.00,6.00,5.00,7.88,3.00,3.00,3.00,238,NULL,208,'DOM JOAQUIM','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122180,6.00,4.00,5.00,7.00,8.00,9.38,4.00,6.00,5.00,108,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',6248,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5122198,6.00,5.00,1.00,5.00,6.00,8.63,0.00,1.00,3.00,222,NULL,NULL,'CENTRO','CONCÓRDIA','SC',15410,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5122244,6.00,5.00,1.00,7.00,8.00,8.63,0.00,2.00,3.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122252,7.00,7.00,4.00,4.00,4.00,8.63,4.00,3.00,4.00,207,NULL,201,'SEMINÁRIO','CURITIBA','PR',8841,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5122287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5122295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5122309,1.00,3.00,1.00,3.00,4.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122317,4.00,5.00,2.00,2.00,4.00,NULL,1.00,2.00,2.00,207,NULL,238,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5122333,3.00,6.00,2.00,5.00,4.00,9.75,2.00,3.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5122341,2.00,3.00,1.00,3.00,1.00,NULL,3.00,1.00,1.00,101,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122350,4.00,5.00,2.00,3.00,5.00,NULL,1.00,1.00,3.00,102,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5122376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ASA SUL','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5122392,5.00,5.00,3.00,6.00,7.00,9.38,0.00,3.00,4.00,5,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',10833,360,NULL,NULL,NULL,NULL,NULL,2,15),(20,5122406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHACARA INGLESA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5122414,6.00,4.00,1.00,5.00,5.00,6.38,3.00,3.00,3.00,453,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',15603,115,NULL,NULL,NULL,NULL,NULL,4,15),(20,5122430,7.00,7.00,2.00,7.00,5.00,6.38,3.00,4.00,7.00,220,NULL,235,'PORTÃO','CURITIBA','PR',6456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122465,8.00,5.00,6.00,6.00,7.00,8.25,5.00,5.00,9.00,203,NULL,214,'JARDIM PORTO ALEGRE','TOLEDO','PR',3051,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5122473,5.00,4.00,5.00,5.00,4.00,7.88,1.00,2.00,5.00,207,NULL,201,'RIO VERDE','PNT GROSSA','PR',14409,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5122481,6.00,6.00,5.00,5.00,9.00,8.25,3.00,6.00,5.00,502,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5383,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5122503,7.00,3.00,4.00,6.00,5.00,8.25,3.00,4.00,6.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',10339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122511,4.00,5.00,0.00,2.00,4.00,NULL,0.00,3.00,4.00,203,NULL,216,'ALEGRE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5122538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5122546,8.00,4.00,1.00,7.00,6.00,6.00,2.00,2.00,2.00,103,NULL,NULL,'VILA MARIANA','AMERICANA','SP',11743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122554,3.00,4.00,0.00,5.00,5.00,NULL,4.00,3.00,2.00,415,NULL,NULL,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5122562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CAMPO DO GADO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5122597,9.00,6.00,5.00,8.00,11.00,11.25,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5122627,4.00,5.00,3.00,5.00,3.00,NULL,0.00,1.00,2.00,326,NULL,NULL,'CAIEIRA DA B DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5122635,5.00,5.00,2.00,5.00,10.00,9.00,1.00,3.00,6.00,211,NULL,208,'CENTRO','NAVEGANTES','SC',9970,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5122643,5.00,5.00,1.00,6.00,3.00,NULL,1.00,4.00,5.00,104,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5122651,7.00,7.00,6.00,6.00,9.00,9.75,5.00,5.00,8.00,220,NULL,235,'BARREIROS','S JOSÉ','SC',1543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122660,5.00,5.00,3.00,5.00,8.00,10.50,1.00,1.00,5.00,340,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5122678,0.00,0.00,0.00,7.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'PRÓSPERA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(20,5122694,4.00,6.00,4.00,4.00,6.00,9.00,2.00,5.00,4.00,421,NULL,424,'JARDIM BRASILIA','TARABAI','SP',11692,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5122708,7.00,4.00,1.00,4.00,5.00,6.75,3.00,3.00,3.00,103,NULL,NULL,'NOSSA SRA DAS GRAÇAS','CANOAS','RS',13913,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5122716,3.00,4.00,1.00,3.00,5.00,NULL,4.00,1.00,4.00,207,NULL,238,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5122724,8.00,7.00,8.00,7.00,10.00,10.50,5.00,5.00,8.00,220,NULL,233,'CAMPINAS','S JOSÉ','SC',554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122732,1.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÁO RAFAEL','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5122740,3.00,6.00,2.00,5.00,4.00,7.13,3.00,2.00,4.00,404,NULL,NULL,'CENTROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5122759,7.00,4.00,0.00,5.00,2.00,NULL,0.00,3.00,4.00,207,NULL,208,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5122767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','STA BÁRBARA D OESTE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5122775,1.00,5.00,0.00,5.00,1.00,NULL,1.00,1.00,2.00,201,NULL,203,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5122783,4.00,6.00,1.00,5.00,4.00,7.50,1.00,4.00,4.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122813,6.00,7.00,6.00,4.00,9.00,7.50,5.00,6.00,5.00,214,NULL,203,'VILA BEATRIZ','MARACAJÁ','SC',3802,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5122848,3.00,4.00,0.00,7.00,7.00,NULL,0.00,4.00,3.00,429,NULL,425,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122856,6.00,6.00,3.00,7.00,8.00,6.38,4.00,1.00,5.00,216,NULL,233,'JARDIM SATÉLITE','S JOSÉ CAMPOS','SP',9011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122864,7.00,6.00,4.00,6.00,8.00,8.25,4.00,3.00,8.00,216,NULL,233,'BARREIROS','S JOSÉ','SC',4875,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5122872,6.00,5.00,4.00,6.00,7.00,8.63,0.00,4.00,6.00,103,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',10754,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5122880,4.00,6.00,5.00,7.00,5.00,9.38,3.00,2.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122899,3.00,6.00,1.00,6.00,7.00,9.75,3.00,6.00,6.00,213,NULL,208,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',9108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122902,4.00,4.00,2.00,4.00,7.00,NULL,0.00,3.00,3.00,420,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5122929,5.00,3.00,2.00,5.00,9.00,12.38,3.00,4.00,4.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',8627,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5122937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NOVA OLÍMPIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5122945,2.00,5.00,1.00,6.00,5.00,NULL,1.00,1.00,3.00,108,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5122953,2.00,5.00,1.00,5.00,6.00,NULL,1.00,1.00,0.00,404,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122961,3.00,4.00,1.00,4.00,4.00,10.13,2.00,3.00,4.00,339,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',14727,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5122988,8.00,7.00,1.00,7.00,9.00,10.88,4.00,6.00,8.00,208,NULL,201,'REAL PARQUE','S JOSÉ','SC',1710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5122996,5.00,8.00,6.00,7.00,6.00,9.00,2.00,5.00,5.00,207,NULL,201,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',8327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SALINAS','BAL BARRA SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5123020,1.00,2.00,1.00,0.00,3.00,NULL,3.00,0.00,1.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123038,8.00,5.00,7.00,7.00,9.00,9.75,4.00,4.00,8.00,238,NULL,208,'CENTRO','STO AMARO IMPERATRIZ','SC',2546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5123054,5.00,7.00,5.00,7.00,9.00,10.50,2.00,4.00,7.00,108,NULL,NULL,'CENTRO','CRICIÚMA','SC',4420,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5123062,1.00,4.00,1.00,6.00,10.00,10.50,3.00,3.00,4.00,101,NULL,NULL,'CENTRO','TUBARÃO','SC',12334,49,NULL,NULL,NULL,NULL,NULL,4,10),(20,5123070,6.00,4.00,4.00,4.00,9.00,6.00,1.00,3.00,3.00,216,NULL,207,'PALHOÇA','PALHOÇA','SC',13118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123089,8.00,5.00,3.00,5.00,8.00,6.38,1.00,3.00,6.00,9,NULL,NULL,'AMÉRICA','JOINVILLE','SC',9316,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5123119,6.00,6.00,2.00,5.00,8.00,8.63,2.00,2.00,4.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',10710,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123127,0.00,0.00,3.00,3.00,2.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CANASVIERAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5123135,3.00,4.00,1.00,5.00,5.00,NULL,0.00,1.00,1.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123143,8.00,9.00,7.00,6.00,10.00,10.13,8.00,7.00,7.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123151,3.00,3.00,1.00,3.00,4.00,NULL,2.00,2.00,3.00,551,NULL,NULL,'UNIVERSITARIO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5123160,2.00,5.00,1.00,2.00,4.00,NULL,3.00,2.00,3.00,303,NULL,NULL,'MIRANTE','ITÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5123178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'PORTÃO VELHO','PORTÃO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5123186,4.00,5.00,2.00,6.00,5.00,6.75,2.00,6.00,6.00,421,NULL,424,'ESTREITO','FLORIANÓPOLIS','SC',14084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123194,8.00,7.00,3.00,5.00,7.00,9.75,4.00,3.00,6.00,214,NULL,233,'AGRONOMICA','FLORIANÓPOLIS','SC',4140,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123208,4.00,6.00,1.00,6.00,4.00,NULL,1.00,1.00,5.00,215,NULL,201,'ESTREITO BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5123240,7.00,7.00,2.00,7.00,8.00,7.50,6.00,3.00,6.00,202,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',5252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123259,6.00,5.00,3.00,5.00,4.00,9.38,1.00,1.00,3.00,329,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15061,20,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123267,9.00,8.00,6.00,7.00,9.00,6.75,5.00,6.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1232,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5123291,3.00,6.00,3.00,4.00,2.00,NULL,1.00,4.00,0.00,329,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123305,8.00,7.00,4.00,7.00,9.00,9.38,4.00,6.00,6.00,103,NULL,NULL,'PORTAL DE DOURADOS','DOURADOS','MS',3023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123313,3.00,3.00,5.00,3.00,4.00,NULL,2.00,2.00,1.00,317,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123321,3.00,7.00,2.00,3.00,10.00,7.13,3.00,5.00,3.00,501,NULL,NULL,'APARECIDA','CURITIBANOS','SC',11982,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5123330,0.00,2.00,2.00,2.00,3.00,NULL,0.00,1.00,2.00,653,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5123348,5.00,6.00,4.00,4.00,3.00,NULL,0.00,3.00,3.00,319,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5123356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5123364,4.00,4.00,0.00,7.00,4.00,11.25,1.00,2.00,5.00,215,NULL,216,'VILA MARGARIDA','OURINHOS','SP',13539,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5123372,5.00,5.00,2.00,5.00,5.00,7.88,4.00,3.00,4.00,3,NULL,NULL,'PRAÇA','TIJUCAS','SC',13132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'APARECIDA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5123402,9.00,8.00,8.00,5.00,9.00,9.00,5.00,3.00,7.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1418,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123410,0.00,0.00,3.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5123437,6.00,5.00,3.00,4.00,7.00,6.00,2.00,3.00,5.00,203,NULL,220,'CORREGO GRANDE','FLORIANÓPOLIS','SC',12520,843,NULL,344,NULL,NULL,NULL,4,1),(20,5123461,8.00,7.00,4.00,6.00,7.00,10.13,4.00,7.00,8.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',4083,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5123470,4.00,5.00,0.00,6.00,5.00,NULL,2.00,3.00,4.00,320,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5123500,5.00,7.00,4.00,7.00,7.00,10.88,1.00,3.00,3.00,201,NULL,207,'VALPARAÍSO','BLUMENAU','SC',9342,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5123518,4.00,4.00,0.00,7.00,2.00,NULL,1.00,2.00,3.00,340,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5123526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5123534,7.00,6.00,5.00,7.00,7.00,11.25,1.00,3.00,7.00,103,NULL,NULL,'SANTANA','S PAULO','SP',4285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123542,2.00,2.00,3.00,3.00,1.00,NULL,2.00,1.00,0.00,207,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123550,9.00,8.00,5.00,7.00,10.00,8.63,7.00,5.00,7.00,103,NULL,NULL,'SAO LUIZ','BRUSQUE','SC',825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123569,8.00,7.00,5.00,4.00,8.00,7.50,2.00,2.00,5.00,103,NULL,NULL,'CENTRO','IPIRANGA','PR',6194,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123577,9.00,6.00,8.00,6.00,8.00,10.50,5.00,4.00,7.00,103,NULL,NULL,'VILA FLORESTA','CRICIÚMA','SC',1816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123585,4.00,5.00,1.00,3.00,4.00,7.88,3.00,2.00,4.00,653,NULL,214,'URUSSANGUINHA','ARARANGUÁ','SC',16048,119,NULL,379,NULL,NULL,NULL,4,15),(20,5123593,8.00,7.00,5.00,6.00,10.00,8.63,6.00,4.00,7.00,319,NULL,NULL,'JARDIM ANGÉLICA','CRICIÚMA','SC',1714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123607,6.00,7.00,1.00,7.00,8.00,9.00,1.00,2.00,7.00,215,NULL,216,'SAGRADO C DE JESUS','LAGES','SC',8401,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5123615,5.00,4.00,3.00,5.00,7.00,7.13,0.00,4.00,4.00,110,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123623,2.00,4.00,1.00,3.00,4.00,NULL,0.00,2.00,4.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123631,6.00,6.00,4.00,2.00,7.00,10.50,4.00,4.00,5.00,211,NULL,216,'CENTRO','CRICIÚMA','SC',9053,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5123640,8.00,6.00,2.00,7.00,10.00,10.13,3.00,4.00,6.00,238,NULL,208,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123658,5.00,6.00,5.00,6.00,6.00,9.00,2.00,3.00,3.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123666,8.00,7.00,1.00,6.00,9.00,7.50,2.00,6.00,6.00,103,NULL,NULL,'HUGO LANGE','CURITIBA','PR',5033,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5123674,5.00,9.00,5.00,7.00,9.00,9.00,5.00,7.00,4.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',2531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5123690,8.00,6.00,1.00,8.00,6.00,7.88,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4548,2012,NULL,NULL,NULL,NULL,NULL,4,6),(20,5123704,8.00,7.00,9.00,7.00,11.00,12.38,6.00,6.00,8.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',46,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123712,8.00,8.00,4.00,4.00,11.00,8.63,4.00,7.00,6.00,103,NULL,NULL,'MARTORANO','S JOAQUIM','SC',2065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123720,4.00,7.00,1.00,2.00,7.00,9.75,1.00,3.00,3.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',14122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123739,7.00,4.00,1.00,7.00,8.00,6.75,1.00,4.00,5.00,5,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',9957,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5123747,8.00,7.00,2.00,6.00,11.00,9.75,3.00,3.00,6.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',4004,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5123763,6.00,4.00,1.00,6.00,9.00,9.38,2.00,1.00,3.00,339,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123771,8.00,6.00,4.00,6.00,6.00,6.00,3.00,7.00,6.00,103,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',5553,2300,NULL,NULL,NULL,NULL,NULL,4,8),(20,5123780,9.00,7.00,4.00,5.00,8.00,7.50,4.00,3.00,7.00,216,NULL,233,'SANTA MONICA','FLORIANÓPOLIS','SC',3965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123798,5.00,5.00,4.00,7.00,8.00,10.13,3.00,4.00,6.00,211,NULL,216,'CENTRO','CURITIBA','PR',4156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123801,6.00,3.00,1.00,1.00,8.00,7.88,3.00,3.00,4.00,324,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14171,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123810,4.00,6.00,2.00,5.00,5.00,8.63,1.00,2.00,3.00,223,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123828,8.00,6.00,2.00,4.00,8.00,9.38,4.00,3.00,5.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123836,6.00,7.00,4.00,4.00,6.00,6.75,4.00,4.00,4.00,9,NULL,NULL,'FLORESTA','S JOSÉ','SC',11145,57,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123844,7.00,7.00,5.00,6.00,8.00,8.25,2.00,3.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6794,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123852,6.00,4.00,0.00,7.00,5.00,11.25,3.00,3.00,4.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5123860,8.00,7.00,7.00,5.00,9.00,8.63,3.00,5.00,8.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2536,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123887,4.00,4.00,1.00,0.00,3.00,NULL,3.00,2.00,2.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123895,2.00,2.00,0.00,2.00,1.00,NULL,1.00,0.00,0.00,319,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123909,7.00,5.00,3.00,5.00,7.00,12.38,4.00,4.00,5.00,207,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',5483,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123917,3.00,3.00,0.00,7.00,7.00,NULL,0.00,1.00,3.00,303,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5123933,4.00,6.00,1.00,3.00,7.00,7.50,2.00,4.00,3.00,333,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14037,137,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123941,8.00,5.00,6.00,6.00,6.00,10.13,6.00,2.00,5.00,211,NULL,201,'COMERCIÁRIO','CRICIÚMA','SC',4322,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5123950,6.00,6.00,3.00,3.00,7.00,6.00,2.00,3.00,3.00,319,NULL,NULL,'AREIAS','S JOSÉ','SC',14160,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5123968,6.00,8.00,4.00,6.00,9.00,4.50,2.00,4.00,6.00,202,NULL,235,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5123976,8.00,7.00,2.00,6.00,6.00,6.75,1.00,5.00,7.00,103,NULL,NULL,'VALE DO SOL','COLORADO','PR',7226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5123984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5123992,8.00,8.00,7.00,7.00,8.00,9.00,8.00,5.00,8.00,103,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124000,5.00,6.00,3.00,6.00,4.00,7.88,2.00,3.00,6.00,207,NULL,201,'PACAEMBU','CASCAVEL','PR',12654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124018,5.00,6.00,2.00,1.00,4.00,NULL,3.00,1.00,1.00,102,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5124026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FANNY','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5124034,2.00,6.00,1.00,2.00,4.00,NULL,2.00,3.00,2.00,653,NULL,NULL,'SÃO FRANCISCO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5124042,8.00,8.00,3.00,6.00,7.00,11.63,4.00,5.00,7.00,103,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',2178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5124069,6.00,6.00,1.00,7.00,7.00,9.38,2.00,5.00,2.00,207,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA QUINTINO','MOCOCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5124085,8.00,6.00,4.00,7.00,7.00,10.50,3.00,4.00,7.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',6184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124107,3.00,5.00,1.00,3.00,6.00,NULL,2.00,1.00,3.00,234,NULL,NULL,'FÁTIMA','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5124115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DE PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5124123,4.00,3.00,0.00,3.00,1.00,NULL,2.00,1.00,1.00,108,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5124131,4.00,7.00,2.00,6.00,4.00,7.50,3.00,3.00,3.00,425,NULL,427,'ANDRINO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5124140,1.00,4.00,1.00,0.00,2.00,NULL,0.00,4.00,0.00,207,NULL,201,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5124158,5.00,6.00,3.00,4.00,7.00,4.50,3.00,3.00,3.00,202,NULL,213,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5124166,6.00,4.00,3.00,7.00,5.00,10.13,3.00,2.00,5.00,203,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',8173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5124190,4.00,6.00,6.00,6.00,5.00,12.38,2.00,1.00,5.00,102,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',10888,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5124212,6.00,4.00,5.00,5.00,8.00,8.63,3.00,5.00,2.00,235,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124220,7.00,6.00,1.00,5.00,9.00,8.63,1.00,4.00,4.00,340,NULL,NULL,'ATIRADORES','JOINVILLE','SC',8746,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(20,5124239,7.00,8.00,1.00,5.00,8.00,8.63,4.00,5.00,4.00,201,NULL,601,'BOM RETIRO','JOINVILLE','SC',6486,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5124247,7.00,0.00,4.00,6.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5124263,6.00,7.00,8.00,6.00,6.00,8.25,6.00,2.00,5.00,201,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',4356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124271,5.00,8.00,2.00,3.00,7.00,9.00,2.00,3.00,3.00,336,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10494,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5124298,9.00,7.00,6.00,7.00,9.00,9.38,4.00,5.00,8.00,203,NULL,233,'CAMPECHE','FLORIANÓPOLIS','SC',1432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124301,7.00,6.00,2.00,5.00,10.00,7.88,2.00,5.00,8.00,303,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',6282,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5124310,5.00,5.00,3.00,5.00,6.00,7.50,4.00,2.00,3.00,207,NULL,201,'VILA NOVA','IMBITUBA','SC',13644,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5124328,8.00,5.00,4.00,4.00,7.00,8.25,2.00,2.00,7.00,207,NULL,212,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',7761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124336,4.00,5.00,3.00,4.00,6.00,8.63,2.00,1.00,4.00,333,NULL,NULL,'SANTA CATARINA','CRICIÚMA','SC',13516,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5124344,5.00,3.00,2.00,5.00,7.00,9.38,3.00,2.00,6.00,103,NULL,NULL,'RAICHASCKI','IÇARA','SC',11362,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5124352,6.00,8.00,3.00,7.00,8.00,9.00,2.00,6.00,7.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4634,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5124360,6.00,7.00,0.00,7.00,10.00,NULL,2.00,3.00,5.00,108,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124379,4.00,4.00,2.00,2.00,6.00,NULL,0.00,3.00,4.00,223,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5124387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,203,'JARDIM VISTA ALEGRE','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5124395,8.00,6.00,3.00,4.00,5.00,9.75,0.00,3.00,3.00,453,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',12494,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5124409,8.00,7.00,4.00,4.00,9.00,7.50,4.00,6.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6225,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5124417,4.00,6.00,3.00,2.00,2.00,NULL,2.00,1.00,1.00,208,NULL,238,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5124425,6.00,4.00,4.00,3.00,5.00,9.00,1.00,3.00,4.00,208,NULL,238,'BOA VISTA','JOINVILLE','SC',15553,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5124468,8.00,6.00,3.00,7.00,7.00,9.75,2.00,3.00,7.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',3536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124476,7.00,7.00,5.00,7.00,10.00,7.50,5.00,4.00,5.00,103,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',4787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124484,6.00,8.00,3.00,6.00,5.00,6.38,5.00,6.00,5.00,225,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',10590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124492,5.00,3.00,2.00,5.00,3.00,NULL,3.00,4.00,2.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124506,4.00,5.00,4.00,5.00,4.00,6.75,2.00,1.00,5.00,601,NULL,203,'INDUSTRIAL SUL','RIO NEGRINHO','SC',12551,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5124514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5124522,5.00,6.00,3.00,4.00,5.00,11.63,1.00,2.00,2.00,102,NULL,NULL,'IPIRANGA','S JOSÉ','SC',13942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'STA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5124557,5.00,4.00,2.00,4.00,5.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'COMUNIDADE','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5124565,4.00,4.00,0.00,3.00,4.00,NULL,0.00,2.00,1.00,653,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5124573,9.00,5.00,3.00,6.00,6.00,8.25,1.00,3.00,5.00,9,NULL,NULL,'VILA TUPI','REGISTRO','SP',10908,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5124581,7.00,6.00,1.00,7.00,9.00,6.75,4.00,5.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124590,7.00,7.00,6.00,7.00,9.00,11.25,6.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5124611,8.00,0.00,4.00,4.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,8),(20,5124620,8.00,5.00,4.00,6.00,8.00,7.13,4.00,5.00,7.00,103,NULL,NULL,'MERCES','CURITIBA','PR',5251,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5124638,2.00,5.00,2.00,1.00,5.00,NULL,2.00,2.00,3.00,208,NULL,235,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124654,7.00,8.00,4.00,7.00,9.00,9.38,3.00,5.00,6.00,5,NULL,NULL,'CENTRO','UMUARAMA','PR',2458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124662,9.00,7.00,3.00,7.00,7.00,9.38,3.00,7.00,8.00,103,NULL,NULL,'VILA AURORA','RONDONÓPOLIS','MT',2575,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5124697,3.00,7.00,1.00,5.00,6.00,9.75,2.00,2.00,3.00,551,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124700,8.00,8.00,5.00,7.00,8.00,8.25,4.00,5.00,6.00,316,NULL,NULL,'CENTRO','PALHOÇA','SC',2491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124719,9.00,7.00,4.00,6.00,9.00,11.25,3.00,3.00,6.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',3535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124727,4.00,4.00,0.00,7.00,5.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'ESCOLA AGRICOLA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5124735,5.00,5.00,1.00,6.00,8.00,9.00,2.00,3.00,4.00,103,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',9662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124743,4.00,6.00,2.00,6.00,7.00,9.00,2.00,2.00,3.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124751,8.00,7.00,8.00,5.00,8.00,9.75,5.00,7.00,7.00,233,NULL,202,'CENTRO','SOMBRIO','SC',1229,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5124760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5124778,4.00,4.00,1.00,3.00,6.00,10.88,4.00,3.00,4.00,9,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5124786,8.00,8.00,6.00,5.00,9.00,7.88,2.00,6.00,9.00,220,NULL,NULL,'JARDIM CATEDRAL','MARINGÁ','PR',2069,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5124794,9.00,8.00,5.00,6.00,7.00,7.50,6.00,6.00,9.00,203,NULL,214,'CENTRO','CAMBÉ','PR',1207,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5124808,7.00,5.00,2.00,6.00,8.00,6.75,0.00,4.00,5.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124816,9.00,8.00,6.00,4.00,8.00,10.50,7.00,7.00,7.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',900,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5124824,6.00,6.00,6.00,6.00,1.00,NULL,3.00,4.00,7.00,3,NULL,NULL,'JARDIM ITÚ SABARÁ','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5124832,7.00,7.00,2.00,3.00,9.00,9.75,5.00,2.00,6.00,201,NULL,202,'MARIA AP PEDROSSIAN','CPO GRANDE','MS',6317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124840,4.00,5.00,3.00,6.00,5.00,6.00,2.00,2.00,4.00,109,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',13366,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5124859,8.00,3.00,2.00,7.00,7.00,8.25,3.00,4.00,3.00,203,NULL,235,'AGUA VERDE','CURITIBA','PR',9286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124875,3.00,6.00,4.00,5.00,3.00,NULL,3.00,2.00,2.00,216,NULL,215,'CENTRO','SORRISO','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5124883,6.00,6.00,3.00,3.00,8.00,7.13,3.00,4.00,3.00,601,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',11660,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5124891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5124905,3.00,6.00,4.00,2.00,1.00,NULL,3.00,3.00,4.00,324,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124913,4.00,6.00,1.00,5.00,3.00,NULL,0.00,3.00,4.00,316,NULL,NULL,'VILA ESTRELA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5124921,7.00,5.00,2.00,7.00,6.00,6.75,3.00,3.00,5.00,301,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',12091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124930,7.00,6.00,4.00,7.00,7.00,10.50,2.00,5.00,7.00,333,NULL,NULL,'JARDIM GERMÂNIA','S PAULO','SP',4364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5124972,6.00,6.00,2.00,4.00,7.00,6.75,2.00,3.00,5.00,234,NULL,NULL,'AREIAS','S JOSÉ','SC',13954,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5124980,7.00,6.00,0.00,3.00,5.00,NULL,0.00,3.00,5.00,233,NULL,212,'CENTRO','PELOTAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5124999,6.00,7.00,2.00,4.00,5.00,6.00,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',8829,2992,NULL,NULL,NULL,NULL,NULL,2,4),(20,5125006,4.00,3.00,1.00,3.00,7.00,NULL,1.00,3.00,2.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5125014,4.00,5.00,4.00,4.00,5.00,7.50,4.00,5.00,2.00,220,NULL,214,'CAPOEIRAS','FLORIANÓPOLIS','SC',10622,302,NULL,288,NULL,NULL,NULL,2,1),(20,5125022,3.00,6.00,3.00,6.00,7.00,8.63,0.00,4.00,2.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125030,4.00,4.00,1.00,2.00,6.00,NULL,0.00,1.00,4.00,415,NULL,NULL,'UNIVERSITARIO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','SOLEDADE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5125057,2.00,7.00,2.00,5.00,5.00,7.13,2.00,3.00,4.00,336,NULL,NULL,'PARQUE JARDIN OURO','OURO','SC',12784,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5125073,4.00,0.00,2.00,4.00,7.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5125081,6.00,5.00,3.00,6.00,8.00,7.13,1.00,4.00,7.00,108,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',7141,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5125090,3.00,4.00,1.00,2.00,8.00,NULL,4.00,2.00,2.00,324,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5125103,8.00,6.00,5.00,5.00,6.00,11.25,3.00,3.00,6.00,103,NULL,NULL,'JD LUCIARA','GUARULHOS','SP',4588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125120,4.00,5.00,3.00,5.00,5.00,7.13,1.00,2.00,1.00,9,NULL,NULL,'CENTRO','ITAIÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5125138,3.00,4.00,2.00,4.00,5.00,7.88,4.00,3.00,4.00,503,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',15569,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5125154,2.00,3.00,2.00,2.00,4.00,NULL,1.00,1.00,3.00,551,NULL,NULL,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5125170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5125189,4.00,7.00,3.00,5.00,8.00,6.75,2.00,5.00,5.00,203,NULL,601,'COQUEIRAL','CASCAVEL','PR',9589,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5125197,3.00,3.00,3.00,3.00,3.00,NULL,2.00,1.00,4.00,211,NULL,208,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5125200,1.00,3.00,2.00,3.00,2.00,NULL,0.00,0.00,3.00,212,NULL,201,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5125219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,208,'CENTRO','BOM JD SERRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5125227,1.00,4.00,3.00,4.00,5.00,NULL,0.00,4.00,3.00,318,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5125235,4.00,4.00,1.00,7.00,7.00,9.75,2.00,2.00,6.00,207,NULL,NULL,'FAZENDA','ITAJAÍ','SC',12042,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5125243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5125260,8.00,8.00,5.00,7.00,9.00,10.50,4.00,7.00,6.00,103,NULL,NULL,'BOA ESPERANÇA','CUIABÁ','MT',835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125278,4.00,8.00,1.00,5.00,5.00,7.13,2.00,3.00,3.00,202,NULL,214,'IPIRANGA','S JOSÉ','SC',15554,508,NULL,369,NULL,NULL,NULL,2,1),(20,5125286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA VELHA','ROSEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5125294,4.00,6.00,4.00,5.00,7.00,7.88,4.00,3.00,3.00,201,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',10049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5125316,7.00,7.00,5.00,6.00,7.00,6.38,2.00,4.00,4.00,310,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125359,8.00,6.00,2.00,5.00,8.00,9.00,4.00,7.00,7.00,208,NULL,238,'USINA','ANTÔNIO CARLOS','SC',4398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5125367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5125375,7.00,4.00,2.00,5.00,7.00,9.00,4.00,5.00,6.00,103,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',7807,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5125405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5125413,3.00,7.00,1.00,2.00,5.00,NULL,1.00,0.00,2.00,303,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125421,7.00,5.00,3.00,5.00,9.00,7.88,3.00,4.00,6.00,103,NULL,NULL,'INTERIOR','S JOSÉ CEDRO','SC',6564,2547,NULL,NULL,NULL,NULL,NULL,4,4),(20,5125430,8.00,8.00,4.00,7.00,9.00,10.13,3.00,4.00,6.00,238,NULL,208,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',1990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125448,5.00,4.00,1.00,4.00,5.00,6.38,1.00,2.00,6.00,317,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',15996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5125456,6.00,3.00,4.00,7.00,7.00,8.25,2.00,2.00,5.00,201,NULL,NULL,'CENTRO','JOAÇABA','SC',12689,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5125464,7.00,5.00,1.00,5.00,8.00,7.50,1.00,6.00,5.00,108,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',9249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5125472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','S BERNARDINO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5125480,4.00,5.00,2.00,6.00,6.00,8.25,3.00,2.00,4.00,109,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125499,6.00,6.00,1.00,3.00,6.00,7.50,2.00,4.00,3.00,326,NULL,NULL,'CENTRO','EXTREMA','MG',12687,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5125502,6.00,5.00,1.00,7.00,7.00,8.63,3.00,3.00,3.00,429,NULL,425,'SAMBAQUI','FLORIANÓPOLIS','SC',11365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5125529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5125545,6.00,8.00,4.00,4.00,9.00,9.38,1.00,5.00,4.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6437,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5125553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,208,'VILA INDIANA','TABOÃO SERRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5125561,8.00,7.00,4.00,7.00,8.00,10.13,3.00,4.00,8.00,207,NULL,NULL,'BAIRRO AREIAS','S JOSÉ','SC',3257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125570,5.00,6.00,2.00,4.00,3.00,NULL,0.00,3.00,3.00,332,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5125588,3.00,4.00,0.00,7.00,6.00,NULL,0.00,2.00,4.00,233,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5125596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PIONEIROS','ITÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5125600,6.00,8.00,4.00,7.00,10.00,10.50,1.00,5.00,4.00,415,NULL,NULL,'QUINTINO','TIMBÓ','SC',6744,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5125618,3.00,4.00,1.00,3.00,2.00,NULL,1.00,3.00,1.00,238,NULL,208,'BELA VISTA II','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125626,4.00,6.00,0.00,6.00,6.00,8.63,0.00,4.00,2.00,303,NULL,NULL,'BAIXO SALTO','NOVA TRENTO','SC',14520,585,NULL,NULL,NULL,NULL,NULL,5,2),(20,5125634,6.00,8.00,5.00,7.00,8.00,10.50,2.00,4.00,6.00,201,NULL,207,'CENTRO','VIDEIRA','SC',4952,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5125669,5.00,6.00,1.00,4.00,4.00,NULL,2.00,1.00,2.00,235,NULL,202,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5125677,5.00,6.00,0.00,2.00,3.00,NULL,1.00,1.00,3.00,201,NULL,202,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125685,2.00,3.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,404,NULL,NULL,'N SR DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5125693,8.00,8.00,6.00,8.00,7.00,10.13,4.00,4.00,8.00,201,NULL,203,'CINQUENTENÁRIO','CAXIAS SUL','RS',1173,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5125707,2.00,4.00,0.00,0.00,3.00,NULL,2.00,2.00,3.00,238,NULL,208,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5125715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5125731,3.00,5.00,1.00,4.00,6.00,6.38,2.00,3.00,3.00,203,NULL,213,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5125740,5.00,5.00,3.00,4.00,4.00,8.63,4.00,4.00,3.00,420,NULL,NULL,'JD NOVO HORIZONTE','CARAMBEÍ','PR',14966,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5125758,6.00,7.00,0.00,7.00,8.00,7.13,3.00,4.00,5.00,304,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',7286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125766,6.00,7.00,3.00,6.00,7.00,7.50,5.00,2.00,6.00,2,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125774,4.00,5.00,2.00,3.00,4.00,NULL,0.00,0.00,4.00,202,NULL,203,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125782,2.00,5.00,1.00,5.00,5.00,5.25,2.00,3.00,4.00,203,NULL,201,'TRINTA RÉIS','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5125790,2.00,5.00,0.00,4.00,5.00,NULL,0.00,3.00,2.00,308,NULL,NULL,'JARDM EUROPA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5125820,6.00,8.00,2.00,6.00,9.00,6.00,6.00,3.00,5.00,216,NULL,NULL,'BACACHERI','CURITIBA','PR',6602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125839,9.00,7.00,9.00,7.00,11.00,10.13,8.00,8.00,7.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125847,4.00,6.00,3.00,6.00,6.00,7.88,2.00,3.00,6.00,452,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',10874,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5125855,5.00,5.00,0.00,1.00,3.00,NULL,1.00,2.00,5.00,211,NULL,203,'FORTALEZA DA BARRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125863,8.00,6.00,6.00,7.00,9.00,10.13,6.00,4.00,8.00,103,NULL,NULL,'CAPAO DA IMBUIA','CURITIBA','PR',1478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125880,3.00,6.00,1.00,6.00,7.00,8.63,2.00,4.00,5.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5125898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA ITAJUBA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5125901,4.00,5.00,2.00,5.00,3.00,NULL,3.00,2.00,5.00,211,NULL,215,'SETE DE SETEMBRO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5125910,6.00,7.00,4.00,6.00,8.00,9.38,2.00,4.00,4.00,5,NULL,NULL,'CENTRO','CURITIBA','PR',7354,NULL,NULL,NULL,NULL,NULL,NULL,3,3),(20,5125928,6.00,8.00,5.00,6.00,7.00,7.88,3.00,4.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5125936,2.00,3.00,0.00,3.00,7.00,NULL,2.00,4.00,2.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5125952,3.00,5.00,1.00,5.00,3.00,NULL,2.00,2.00,4.00,425,NULL,429,'BUTANTÃ','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5125987,5.00,6.00,3.00,5.00,6.00,8.63,2.00,2.00,4.00,108,NULL,NULL,'AMÉRICA','JOINVILLE','SC',15036,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5126002,9.00,6.00,7.00,8.00,8.00,10.13,8.00,6.00,7.00,203,NULL,208,'ITACORUBI','FLORIANÓPOLIS','SC',347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126010,7.00,6.00,5.00,4.00,5.00,10.50,4.00,5.00,9.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',3671,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5126037,7.00,5.00,2.00,7.00,8.00,9.38,4.00,2.00,4.00,301,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',7269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126053,4.00,7.00,5.00,7.00,9.00,9.00,3.00,5.00,6.00,415,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',4730,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5126061,8.00,7.00,4.00,7.00,8.00,8.63,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','BOM REPOUSO','MG',2594,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5126088,4.00,7.00,3.00,5.00,5.00,9.00,1.00,4.00,4.00,211,NULL,215,'SACO GRANDE','FLORIANÓPOLIS','SC',14292,445,NULL,297,NULL,NULL,NULL,2,1),(20,5126100,9.00,7.00,5.00,6.00,7.00,8.25,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','GLÓRIA DOURADOS','MS',3572,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5126126,5.00,7.00,5.00,7.00,8.00,12.00,3.00,3.00,6.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',7187,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5126134,6.00,5.00,4.00,5.00,4.00,7.88,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','IVAÍ','PR',13940,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5126142,1.00,4.00,2.00,3.00,5.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5126169,3.00,5.00,1.00,4.00,5.00,NULL,1.00,2.00,2.00,310,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5126193,5.00,7.00,3.00,6.00,4.00,8.63,2.00,2.00,3.00,601,NULL,212,'AVENTUREIRO','JOINVILLE','SC',14803,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5126215,8.00,7.00,2.00,6.00,11.00,9.75,2.00,3.00,3.00,207,NULL,211,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',6647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM ELVIRA ZANELA','PARIQUERA-AÇU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5126240,6.00,7.00,3.00,6.00,7.00,6.38,3.00,4.00,4.00,201,NULL,208,'JD IPANEMA','MARINGÁ','PR',10770,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5126258,8.00,6.00,3.00,4.00,4.00,9.38,3.00,2.00,5.00,203,NULL,214,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5126266,0.00,2.00,4.00,2.00,2.00,NULL,2.00,2.00,2.00,501,NULL,NULL,'JARDIM AMÉRICA','JAÚ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ENCRUZO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5126282,8.00,7.00,3.00,7.00,9.00,9.75,4.00,5.00,5.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126290,0.00,3.00,0.00,1.00,0.00,NULL,2.00,2.00,0.00,425,NULL,428,'APARECIDA','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5126304,9.00,7.00,2.00,7.00,10.00,10.50,1.00,3.00,6.00,340,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',3495,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5126312,8.00,5.00,5.00,5.00,8.00,7.88,5.00,4.00,5.00,303,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',3995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5126320,5.00,5.00,4.00,6.00,8.00,8.25,3.00,2.00,2.00,452,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5126347,6.00,7.00,2.00,7.00,6.00,10.50,1.00,3.00,7.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PIRATINI','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5126363,3.00,7.00,3.00,3.00,5.00,NULL,0.00,4.00,0.00,451,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126371,6.00,5.00,5.00,5.00,6.00,7.50,4.00,7.00,6.00,203,NULL,220,'CENTRO','ASSIS CHATEAUBRIAND','PR',5266,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5126380,9.00,7.00,5.00,7.00,10.00,9.00,7.00,5.00,6.00,452,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',1106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126398,4.00,3.00,0.00,4.00,8.00,NULL,1.00,1.00,4.00,215,NULL,233,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5126436,3.00,5.00,1.00,4.00,5.00,NULL,1.00,0.00,2.00,301,NULL,NULL,'AREIAS DE CIMA','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5126452,4.00,7.00,2.00,3.00,8.00,7.88,0.00,2.00,3.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',14515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5126460,2.00,3.00,3.00,7.00,5.00,NULL,0.00,1.00,5.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5126495,4.00,1.00,1.00,5.00,7.00,NULL,0.00,1.00,3.00,452,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5126509,4.00,4.00,2.00,4.00,5.00,7.88,4.00,3.00,2.00,211,NULL,601,'FAXINAL','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5126517,8.00,6.00,1.00,4.00,5.00,8.63,3.00,1.00,3.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',11481,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5126525,9.00,7.00,6.00,7.00,10.00,9.75,5.00,6.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126541,4.00,5.00,6.00,5.00,6.00,10.13,1.00,2.00,3.00,201,NULL,203,'COLINA SORRISO','CAXIAS SUL','RS',11780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126550,3.00,4.00,1.00,2.00,6.00,9.00,2.00,2.00,5.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126568,2.00,6.00,3.00,5.00,6.00,7.88,3.00,2.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',15442,3788,NULL,NULL,NULL,NULL,NULL,2,5),(20,5126576,4.00,4.00,2.00,2.00,6.00,NULL,0.00,3.00,4.00,211,NULL,215,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126584,2.00,3.00,1.00,5.00,7.00,NULL,1.00,1.00,3.00,207,NULL,201,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5126592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'CENTRO','STA TEREZINHA ITAIPU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5126614,8.00,6.00,1.00,6.00,11.00,10.88,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126622,3.00,3.00,2.00,5.00,5.00,9.75,2.00,2.00,4.00,301,NULL,NULL,'IPIRANGA','S JOSÉ','SC',15863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126630,3.00,3.00,1.00,3.00,4.00,NULL,3.00,1.00,4.00,2,NULL,NULL,'COOPAGRO','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5126649,5.00,3.00,2.00,4.00,8.00,7.50,2.00,4.00,4.00,104,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',14009,359,NULL,NULL,NULL,NULL,NULL,2,6),(20,5126657,5.00,5.00,2.00,3.00,5.00,8.25,4.00,2.00,5.00,238,NULL,208,'FAZENDA STO ANTONIO','S JOSÉ','SC',15665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126665,6.00,4.00,4.00,4.00,5.00,7.50,2.00,1.00,4.00,102,NULL,NULL,'CENTRO','ARMAZÉM','SC',15456,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5126673,7.00,8.00,3.00,6.00,11.00,7.13,2.00,4.00,5.00,319,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',6181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126681,6.00,5.00,3.00,3.00,7.00,8.63,0.00,4.00,3.00,333,NULL,NULL,'MADRE TEREZA','S LUDGERO','SC',13269,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5126690,6.00,6.00,1.00,7.00,7.00,7.50,2.00,5.00,3.00,103,NULL,NULL,'BARÃO GERALDO','CAMPINAS','SP',9738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126703,7.00,7.00,0.00,5.00,5.00,10.88,0.00,2.00,5.00,215,NULL,233,'SANTA AUGUSTA','BRAÇO NORTE','SC',9418,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5126711,7.00,6.00,3.00,5.00,8.00,12.75,5.00,2.00,5.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8116,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5126720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5126738,6.00,6.00,2.00,4.00,6.00,8.25,1.00,3.00,4.00,503,NULL,NULL,'CENTRO','TORRES','RS',12526,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5126746,8.00,9.00,6.00,5.00,8.00,9.75,6.00,4.00,7.00,340,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',2229,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5126762,4.00,6.00,4.00,3.00,8.00,7.88,5.00,3.00,5.00,238,NULL,202,'ENSEADA DO BRITO','PALHOÇA','SC',10836,216,NULL,370,NULL,NULL,NULL,4,1),(20,5126770,9.00,7.00,6.00,7.00,11.00,9.75,5.00,7.00,8.00,5,NULL,NULL,'JARDIM ALTO TARUMA','PINHAIS','PR',438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126789,2.00,4.00,0.00,4.00,7.00,NULL,0.00,1.00,2.00,301,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5126797,6.00,7.00,2.00,3.00,6.00,7.13,2.00,2.00,7.00,207,NULL,201,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5126800,7.00,8.00,2.00,5.00,9.00,12.00,4.00,6.00,5.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4032,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5126819,2.00,6.00,0.00,4.00,6.00,NULL,0.00,1.00,3.00,451,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5126827,6.00,8.00,5.00,7.00,8.00,8.25,4.00,7.00,6.00,304,NULL,NULL,'EUGÊNIO SCHNEIDER','RIO SUL','SC',2714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126843,4.00,4.00,2.00,5.00,3.00,NULL,2.00,3.00,0.00,425,NULL,427,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126860,3.00,6.00,1.00,5.00,4.00,7.50,1.00,4.00,4.00,201,NULL,651,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5126878,8.00,6.00,2.00,6.00,7.00,9.38,4.00,3.00,5.00,108,NULL,NULL,'BREMER','RIO SUL','SC',6494,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5126886,8.00,8.00,6.00,7.00,11.00,11.63,5.00,6.00,4.00,235,NULL,202,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126894,3.00,3.00,4.00,3.00,7.00,NULL,0.00,3.00,4.00,319,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5126908,4.00,7.00,3.00,3.00,9.00,6.75,2.00,3.00,5.00,317,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',12010,54,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5126932,5.00,7.00,2.00,6.00,4.00,10.50,1.00,2.00,6.00,216,NULL,215,'SÃO VICENTE','PATO BRANCO','PR',11059,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5126940,4.00,4.00,0.00,3.00,5.00,NULL,1.00,0.00,4.00,202,NULL,213,'CENTRO','ARROIO TRINTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5126959,4.00,5.00,1.00,4.00,6.00,8.63,4.00,0.00,3.00,317,NULL,NULL,'JARDIM EUCALÍPTUS','PALHOÇA','SC',16139,136,NULL,NULL,NULL,NULL,NULL,2,1),(20,5126975,6.00,7.00,4.00,7.00,8.00,6.75,4.00,6.00,2.00,214,NULL,213,'CENTRO','CAMPINAS','SP',6355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5126983,7.00,5.00,4.00,6.00,5.00,9.38,2.00,0.00,3.00,233,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',11920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127009,6.00,6.00,1.00,7.00,6.00,10.88,2.00,1.00,3.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127025,9.00,6.00,3.00,7.00,9.00,8.25,3.00,6.00,5.00,103,NULL,NULL,'JD PAULISTA','RIBEIRÃO PRETO','SP',3103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127041,7.00,3.00,0.00,4.00,9.00,NULL,4.00,4.00,2.00,103,NULL,NULL,'NOVO CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127050,3.00,5.00,2.00,6.00,3.00,NULL,0.00,3.00,3.00,601,NULL,220,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5127068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARREIRINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5127084,4.00,4.00,1.00,4.00,4.00,NULL,1.00,0.00,3.00,303,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5127092,5.00,5.00,0.00,1.00,7.00,NULL,0.00,1.00,4.00,415,NULL,NULL,'INTERIOR','ROMELÂNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5127106,9.00,7.00,5.00,7.00,10.00,9.38,5.00,3.00,8.00,207,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',1844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5127122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,425,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5127149,2.00,2.00,2.00,5.00,4.00,NULL,0.00,1.00,3.00,425,NULL,429,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'AGUÁ VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5127173,4.00,6.00,1.00,4.00,6.00,6.38,1.00,2.00,4.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',15797,328,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127181,8.00,6.00,4.00,7.00,6.00,7.88,3.00,4.00,6.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127190,5.00,3.00,1.00,3.00,3.00,NULL,4.00,2.00,4.00,444,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127203,8.00,7.00,6.00,8.00,10.00,12.00,5.00,5.00,5.00,203,NULL,214,'BOM ABRIGO','FLORIANÓPOLIS','SC',1344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127220,5.00,2.00,1.00,3.00,4.00,NULL,3.00,2.00,1.00,601,NULL,NULL,'ENSEADA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5127246,6.00,3.00,2.00,4.00,8.00,8.25,3.00,4.00,6.00,211,NULL,215,'CENTRO','ANTÔNIO CARLOS','SC',10205,305,NULL,206,NULL,NULL,NULL,4,1),(20,5127254,5.00,6.00,5.00,6.00,7.00,12.38,1.00,5.00,5.00,216,NULL,235,'CENTRO','IPORÃ','PR',4412,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5127262,3.00,5.00,0.00,5.00,5.00,7.50,2.00,2.00,3.00,5,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5127289,6.00,8.00,2.00,5.00,8.00,6.75,3.00,3.00,5.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127297,7.00,6.00,0.00,5.00,7.00,8.25,2.00,1.00,4.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127319,7.00,8.00,4.00,5.00,7.00,8.63,4.00,5.00,5.00,3,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',5534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127327,6.00,4.00,0.00,5.00,2.00,NULL,3.00,3.00,0.00,333,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5127335,8.00,5.00,3.00,7.00,9.00,7.88,2.00,6.00,4.00,201,NULL,653,'NATUREZA','ITÁ','SC',5034,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5127343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5127360,6.00,5.00,1.00,4.00,8.00,8.25,0.00,3.00,5.00,104,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',12772,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5127386,3.00,6.00,0.00,7.00,7.00,NULL,2.00,1.00,1.00,319,NULL,NULL,'PONTE DO IIMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','AURORA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5127408,5.00,6.00,6.00,5.00,3.00,NULL,3.00,3.00,3.00,238,NULL,213,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127416,4.00,4.00,0.00,3.00,4.00,NULL,4.00,1.00,4.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5127424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','SALTO LONTRA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5127440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ROSSI BORGI','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5127459,4.00,5.00,4.00,6.00,6.00,7.50,2.00,3.00,2.00,601,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',12731,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5127467,9.00,7.00,6.00,6.00,8.00,9.75,8.00,5.00,5.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',1405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'CRUZEIRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5127483,9.00,8.00,3.00,6.00,10.00,7.13,3.00,5.00,8.00,238,NULL,208,'FLORESTA','S JOSÉ','SC',3133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127491,2.00,5.00,2.00,6.00,4.00,7.88,3.00,2.00,3.00,207,NULL,201,'VILA MACHADO','JACAREÍ','SP',15610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127505,3.00,3.00,3.00,6.00,5.00,7.50,3.00,3.00,6.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127521,5.00,4.00,3.00,5.00,7.00,NULL,0.00,3.00,5.00,415,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5127530,8.00,8.00,5.00,2.00,8.00,7.88,2.00,5.00,5.00,601,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',6208,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5127556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA CAROL','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5127572,5.00,4.00,1.00,3.00,7.00,7.50,4.00,1.00,5.00,452,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15216,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127580,5.00,6.00,1.00,7.00,7.00,7.50,4.00,4.00,3.00,238,NULL,208,'BALNEÁRIO','FLORIANÓPOLIS','SC',12104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127599,2.00,5.00,2.00,4.00,2.00,NULL,0.00,4.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127602,3.00,4.00,0.00,5.00,3.00,NULL,0.00,4.00,4.00,303,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127610,8.00,6.00,4.00,3.00,7.00,9.00,3.00,5.00,6.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',6732,2588,NULL,NULL,NULL,NULL,NULL,2,8),(20,5127629,4.00,5.00,1.00,3.00,3.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5127637,4.00,5.00,1.00,3.00,6.00,NULL,0.00,0.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127645,8.00,9.00,5.00,7.00,11.00,10.50,9.00,8.00,9.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',102,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127696,3.00,5.00,2.00,5.00,4.00,9.38,1.00,3.00,3.00,207,NULL,211,'VILA PEDRINE','JOAÇABA','SC',15960,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5127718,7.00,2.00,0.00,5.00,5.00,9.38,1.00,1.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',13065,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127742,9.00,7.00,7.00,6.00,7.00,9.38,6.00,6.00,9.00,103,NULL,NULL,'VILA ESTRELA','PNT GROSSA','PR',1235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127750,3.00,5.00,1.00,7.00,5.00,9.00,1.00,2.00,3.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5127769,3.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5127777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,207,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5127785,8.00,6.00,1.00,4.00,8.00,10.50,2.00,4.00,7.00,108,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',6180,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5127793,2.00,3.00,1.00,0.00,4.00,NULL,1.00,1.00,1.00,319,NULL,NULL,'CONTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127807,3.00,6.00,1.00,5.00,7.00,8.25,1.00,4.00,4.00,207,NULL,212,'RIO VERMELHO','FLORIANÓPOLIS','SC',14299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,235,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5127823,5.00,5.00,1.00,5.00,10.00,7.13,3.00,3.00,3.00,102,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',12957,183,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127831,5.00,4.00,2.00,4.00,8.00,7.13,1.00,2.00,3.00,103,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',14989,3750,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127840,7.00,5.00,3.00,6.00,9.00,10.13,4.00,4.00,6.00,103,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',5226,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5127866,6.00,6.00,1.00,4.00,4.00,8.25,1.00,4.00,5.00,501,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',13524,78,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127890,7.00,8.00,4.00,6.00,9.00,7.88,2.00,6.00,5.00,340,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',3922,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5127904,5.00,5.00,2.00,6.00,9.00,7.88,3.00,3.00,2.00,415,NULL,NULL,'DEER','CAÇADOR','SC',10077,192,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127912,6.00,6.00,3.00,5.00,9.00,8.25,3.00,5.00,2.00,5,NULL,NULL,'VILA NOVA','BLUMENAU','SC',8919,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5127939,3.00,7.00,1.00,5.00,6.00,6.38,0.00,3.00,3.00,211,NULL,207,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5127947,8.00,8.00,4.00,7.00,9.00,10.50,4.00,4.00,7.00,103,NULL,NULL,'ABRAÃP','FLORIANÓPOLIS','SC',2778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPOS SANTO ANTONIO','ITU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5127963,8.00,8.00,1.00,6.00,9.00,9.00,1.00,6.00,8.00,203,NULL,201,'BARREIROS','S JOSÉ','SC',4055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127971,4.00,3.00,0.00,0.00,4.00,NULL,1.00,3.00,3.00,201,NULL,207,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5127980,4.00,6.00,3.00,1.00,3.00,NULL,3.00,3.00,5.00,203,NULL,233,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5127998,3.00,3.00,0.00,3.00,2.00,NULL,0.00,0.00,1.00,316,NULL,NULL,'ITAPEMA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5128005,8.00,8.00,8.00,6.00,7.00,9.00,8.00,7.00,6.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',515,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5128013,1.00,4.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','STO ANTÔNIO MISSÕES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5128048,9.00,7.00,3.00,5.00,8.00,9.00,7.00,5.00,8.00,103,NULL,NULL,'CENTRO','CLEVELÂNDIA','PR',2633,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5128056,4.00,7.00,3.00,5.00,8.00,9.38,1.00,5.00,5.00,319,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',10309,163,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128072,5.00,5.00,3.00,2.00,3.00,NULL,0.00,1.00,2.00,208,NULL,238,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128080,6.00,3.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,9,NULL,NULL,'BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128102,2.00,1.00,3.00,1.00,5.00,NULL,1.00,2.00,0.00,316,NULL,NULL,'SETOR OESTE','VL RICA','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128110,5.00,4.00,2.00,2.00,5.00,NULL,0.00,3.00,2.00,208,NULL,201,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128129,4.00,5.00,2.00,3.00,6.00,6.00,2.00,2.00,3.00,208,NULL,238,'BENEDITO','INDAIAL','SC',15868,476,NULL,421,NULL,NULL,NULL,2,2),(20,5128137,5.00,6.00,1.00,7.00,7.00,9.00,0.00,2.00,2.00,207,NULL,201,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5128145,5.00,3.00,1.00,4.00,6.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5128153,5.00,4.00,1.00,3.00,4.00,NULL,1.00,3.00,4.00,503,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128161,7.00,6.00,5.00,7.00,9.00,9.38,3.00,5.00,7.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',2730,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5128188,4.00,5.00,4.00,6.00,7.00,7.88,3.00,3.00,4.00,103,NULL,NULL,'ZONA UM A','UMUARAMA','PR',9706,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128196,3.00,6.00,5.00,7.00,4.00,6.75,3.00,0.00,4.00,201,NULL,207,'COQUEIROS','FLORIANÓPOLIS','SC',12025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128218,6.00,5.00,5.00,8.00,8.00,11.63,3.00,4.00,6.00,304,NULL,NULL,'VILA ARENS','JUNDIAÍ','SP',3591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128226,6.00,5.00,1.00,7.00,6.00,9.75,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128234,6.00,7.00,6.00,7.00,7.00,9.38,5.00,5.00,5.00,420,NULL,NULL,'JARDIM ZANELLATO','S JOSÉ','SC',3891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5128250,5.00,5.00,2.00,7.00,5.00,7.13,2.00,3.00,4.00,104,NULL,NULL,'SANTA QUITÉRIA','CURITIBA','PR',10452,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5128269,5.00,5.00,5.00,6.00,6.00,8.63,5.00,1.00,5.00,222,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128285,4.00,5.00,0.00,1.00,5.00,NULL,2.00,0.00,3.00,208,NULL,207,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128293,9.00,8.00,4.00,6.00,5.00,9.38,4.00,4.00,8.00,103,NULL,NULL,'UVARANAS','PNT GROSSA','PR',3489,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5128315,4.00,6.00,2.00,6.00,7.00,NULL,0.00,4.00,5.00,340,NULL,NULL,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5128323,8.00,7.00,3.00,7.00,7.00,10.88,5.00,5.00,7.00,316,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128331,3.00,3.00,1.00,3.00,5.00,NULL,3.00,1.00,2.00,319,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,201,'CENTRO','LUZERNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5128358,7.00,5.00,3.00,5.00,7.00,8.25,5.00,4.00,5.00,601,NULL,233,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',7041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128366,6.00,5.00,4.00,4.00,8.00,10.13,0.00,3.00,4.00,215,NULL,NULL,'UBATUBA','S FRANCISCO SUL','SC',11147,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5128382,7.00,4.00,2.00,2.00,5.00,8.25,4.00,2.00,3.00,108,NULL,NULL,'SITIO PAE CARA','GUARUJÁ','SP',13599,254,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'COOPHAVALLE','CAMAPUÃ','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5128404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5128412,7.00,5.00,1.00,6.00,8.00,10.50,2.00,2.00,3.00,601,NULL,213,'PETRÓPOLIS','JOINVILLE','SC',9430,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5128420,4.00,7.00,4.00,5.00,8.00,6.75,1.00,2.00,6.00,501,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',12232,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5128439,7.00,6.00,1.00,7.00,9.00,7.13,5.00,1.00,6.00,203,NULL,214,'BELA VISTA','S PAULO','SP',7536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'COLINA DA BOA VISTA','AVARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5128455,6.00,7.00,3.00,3.00,9.00,8.25,5.00,3.00,6.00,201,NULL,211,'JARDIM BELA VISTA','APARECIDA GOIÂNIA','GO',7270,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5128471,6.00,7.00,2.00,4.00,5.00,6.75,1.00,4.00,5.00,104,NULL,NULL,'CENTRO','PLANALTO ALEGRE','SC',14630,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5128480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM INDEPENDENCIA','S VICENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5128498,6.00,5.00,3.00,4.00,7.00,6.38,3.00,1.00,3.00,601,NULL,214,'ATIRADORES','JOINVILLE','SC',13129,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5128510,5.00,5.00,2.00,2.00,5.00,NULL,2.00,2.00,2.00,207,NULL,211,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5128528,8.00,7.00,8.00,7.00,10.00,10.50,6.00,4.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128536,7.00,5.00,1.00,7.00,5.00,8.63,2.00,2.00,3.00,9,NULL,NULL,'VORSTADT','BLUMENAU','SC',12219,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5128544,6.00,7.00,3.00,7.00,6.00,8.63,2.00,0.00,6.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128579,4.00,0.00,2.00,2.00,7.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5128587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHACARA DO OURO','MOGI GUAÇU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5128595,8.00,8.00,2.00,8.00,8.00,9.00,3.00,5.00,5.00,207,NULL,211,'CRISTO REI','CURITIBA','PR',4552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128609,2.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,211,NULL,201,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,7),(20,5128617,7.00,5.00,2.00,2.00,7.00,9.38,1.00,4.00,3.00,301,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',13206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128633,7.00,5.00,2.00,4.00,7.00,8.63,2.00,4.00,5.00,109,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',13221,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128641,3.00,5.00,2.00,4.00,3.00,NULL,2.00,2.00,1.00,207,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5128668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE TAQUARAL','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5128684,9.00,9.00,8.00,7.00,9.00,11.25,7.00,7.00,9.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',27,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128692,6.00,7.00,3.00,5.00,5.00,7.88,0.00,2.00,6.00,420,NULL,NULL,'BARREIROS','S JOSÉ','SC',12692,100,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128706,6.00,8.00,1.00,7.00,10.00,10.88,4.00,7.00,6.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128714,5.00,3.00,0.00,4.00,4.00,NULL,1.00,2.00,3.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128730,5.00,7.00,2.00,4.00,8.00,8.25,2.00,3.00,5.00,203,NULL,214,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12131,819,NULL,316,NULL,NULL,NULL,2,1),(20,5128757,7.00,6.00,2.00,5.00,8.00,11.25,3.00,6.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6977,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5128773,3.00,4.00,3.00,1.00,6.00,NULL,3.00,1.00,4.00,201,NULL,212,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128781,2.00,6.00,4.00,3.00,5.00,NULL,1.00,0.00,3.00,404,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128790,7.00,7.00,6.00,6.00,6.00,8.25,3.00,4.00,8.00,215,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',4584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128803,7.00,7.00,2.00,7.00,6.00,9.00,2.00,5.00,6.00,201,NULL,212,'MINA BRASIL','CRICIÚMA','SC',7256,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5128811,7.00,6.00,4.00,6.00,8.00,7.50,6.00,2.00,8.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',3829,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5128820,4.00,7.00,4.00,7.00,8.00,12.38,4.00,4.00,4.00,5,NULL,NULL,'LA SALLE','XANXERÊ','SC',5437,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5128838,2.00,7.00,3.00,2.00,5.00,NULL,1.00,1.00,1.00,502,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128846,6.00,7.00,0.00,5.00,5.00,7.13,2.00,3.00,3.00,203,NULL,202,'ITOUPAVAZINHA','BLUMENAU','SC',13442,877,NULL,450,NULL,NULL,NULL,4,2),(20,5128862,7.00,5.00,0.00,2.00,5.00,NULL,1.00,3.00,2.00,317,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5128889,3.00,4.00,0.00,0.00,3.00,NULL,1.00,3.00,2.00,5,NULL,NULL,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128897,8.00,8.00,8.00,7.00,8.00,9.38,6.00,7.00,8.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128900,7.00,8.00,3.00,1.00,5.00,8.25,1.00,2.00,7.00,301,NULL,NULL,'OLINDA','UBERABA','MG',9792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128919,8.00,8.00,4.00,5.00,8.00,9.00,4.00,4.00,6.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4616,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128927,4.00,6.00,2.00,4.00,8.00,7.50,2.00,3.00,5.00,324,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',14414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128943,9.00,6.00,6.00,6.00,9.00,7.88,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',2035,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5128960,5.00,6.00,4.00,7.00,4.00,8.63,1.00,2.00,4.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',10144,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5128978,5.00,7.00,6.00,6.00,9.00,8.63,5.00,4.00,5.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5128986,6.00,4.00,2.00,3.00,5.00,6.75,0.00,5.00,3.00,502,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5129001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'PONTE DE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5129010,7.00,8.00,6.00,7.00,9.00,9.38,6.00,4.00,6.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129028,7.00,9.00,2.00,7.00,8.00,9.75,3.00,2.00,7.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129044,9.00,7.00,2.00,8.00,10.00,10.50,3.00,5.00,8.00,340,NULL,NULL,'VILA FORMOSA','S PAULO','SP',1640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129052,8.00,6.00,3.00,7.00,7.00,9.00,4.00,4.00,5.00,203,NULL,233,'JD COLINAS','S JOSÉ CAMPOS','SP',5006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','BUTIÁ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5129079,9.00,6.00,6.00,3.00,4.00,7.13,2.00,2.00,5.00,203,NULL,202,'BIGORRILHO','CURITIBA','PR',8820,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5129087,7.00,6.00,6.00,7.00,9.00,9.38,4.00,3.00,5.00,104,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',3564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129095,8.00,6.00,1.00,4.00,10.00,11.25,4.00,4.00,7.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',4338,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5129109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5129117,8.00,8.00,2.00,6.00,8.00,9.00,1.00,5.00,7.00,103,NULL,NULL,'CENTRO','MTE CARLO','SC',3944,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5129125,4.00,5.00,2.00,6.00,6.00,7.50,4.00,2.00,3.00,104,NULL,NULL,'NOSSA SR DE LURDES','JOAÇABA','SC',14930,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5129133,6.00,7.00,4.00,5.00,8.00,9.00,0.00,4.00,5.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129141,7.00,7.00,2.00,7.00,9.00,11.25,3.00,4.00,6.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',4709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129168,3.00,4.00,1.00,4.00,6.00,NULL,0.00,4.00,4.00,207,NULL,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129176,4.00,4.00,5.00,7.00,7.00,7.50,3.00,1.00,3.00,201,NULL,203,'NONOAI','PTO ALEGRE','RS',8792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129184,7.00,7.00,6.00,7.00,9.00,9.75,5.00,5.00,6.00,202,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',2019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129192,2.00,7.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,601,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5129206,8.00,9.00,6.00,6.00,11.00,7.50,8.00,6.00,8.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',439,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129214,5.00,3.00,0.00,4.00,6.00,7.13,3.00,2.00,3.00,104,NULL,NULL,'JARDIM FORMOSO','CAPIVARI SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5129230,9.00,8.00,7.00,7.00,10.00,9.75,9.00,7.00,9.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',34,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129249,4.00,3.00,0.00,3.00,5.00,NULL,1.00,1.00,1.00,601,NULL,215,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5129265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5129273,6.00,6.00,6.00,7.00,9.00,7.50,3.00,5.00,6.00,216,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129281,8.00,8.00,5.00,6.00,9.00,11.63,4.00,5.00,7.00,233,NULL,215,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',1715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129290,5.00,5.00,1.00,3.00,7.00,NULL,3.00,0.00,2.00,339,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5129303,3.00,6.00,1.00,0.00,5.00,NULL,4.00,2.00,2.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129311,7.00,6.00,5.00,5.00,9.00,6.75,3.00,5.00,4.00,327,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',7407,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5129346,3.00,6.00,1.00,6.00,6.00,9.00,0.00,2.00,4.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',14955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129354,8.00,8.00,5.00,3.00,6.00,7.88,4.00,4.00,8.00,103,NULL,NULL,'ALTO BOQUEIRAO','CURITIBA','PR',3606,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5129362,9.00,7.00,7.00,7.00,9.00,12.38,3.00,6.00,7.00,203,NULL,214,'VILA MARIANA','S PAULO','SP',798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129397,8.00,5.00,6.00,7.00,9.00,9.00,2.00,5.00,5.00,340,NULL,NULL,'CENTRO','MARAU','RS',3693,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5129419,7.00,6.00,3.00,6.00,7.00,11.63,4.00,3.00,7.00,101,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',5059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129435,3.00,0.00,1.00,1.00,3.00,NULL,2.00,2.00,1.00,501,NULL,NULL,'CENTRO','GALVÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5129443,6.00,6.00,2.00,4.00,5.00,10.13,3.00,2.00,3.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',11242,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5129451,9.00,8.00,6.00,6.00,8.00,10.13,6.00,7.00,9.00,103,NULL,NULL,'CENTRO','PARANAVAÍ','PR',409,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5129460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO JOSE','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5129478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5129486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5129494,7.00,7.00,2.00,7.00,7.00,7.50,3.00,5.00,5.00,207,NULL,201,'SANTA BÁRBARA','CRICIÚMA','SC',6239,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5129508,5.00,6.00,0.00,5.00,5.00,10.88,1.00,1.00,4.00,220,NULL,235,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5129516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CINQUENTENARIO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5129524,3.00,5.00,1.00,5.00,5.00,8.63,2.00,2.00,3.00,201,NULL,212,'PACHECOS','PALHOÇA','SC',15636,1105,NULL,382,NULL,NULL,NULL,2,1),(20,5129559,7.00,4.00,4.00,4.00,4.00,6.75,1.00,2.00,4.00,303,NULL,NULL,'CRISTO REI','CURITIBA','PR',13174,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5129567,1.00,2.00,0.00,5.00,2.00,NULL,2.00,1.00,0.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5129575,3.00,6.00,1.00,3.00,4.00,NULL,1.00,3.00,6.00,423,NULL,429,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5129591,9.00,7.00,6.00,6.00,8.00,11.25,3.00,2.00,7.00,233,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',3191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5129613,4.00,4.00,3.00,4.00,5.00,6.00,3.00,1.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',14952,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5129621,0.00,0.00,1.00,4.00,0.00,NULL,3.00,1.00,0.00,451,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129648,0.00,2.00,1.00,0.00,2.00,NULL,0.00,1.00,1.00,316,NULL,NULL,'BARRA DE LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5129656,8.00,5.00,3.00,6.00,6.00,7.88,3.00,3.00,6.00,203,NULL,214,'JARDIM ALVORADA','PARANAVAÍ','PR',6002,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5129664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO PARANÁ','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5129680,8.00,5.00,6.00,6.00,5.00,11.25,1.00,4.00,6.00,103,NULL,NULL,'JARDIM CIDADE DE FPO','S JOSÉ','SC',4902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129702,4.00,2.00,5.00,4.00,6.00,7.50,1.00,5.00,6.00,103,NULL,NULL,'SANTANA','GUARAPUAVA','PR',14563,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5129710,9.00,6.00,6.00,7.00,8.00,7.50,7.00,6.00,9.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',1038,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5129729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5129737,8.00,6.00,2.00,7.00,6.00,10.13,5.00,3.00,7.00,201,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',4914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129745,4.00,4.00,3.00,5.00,4.00,4.88,1.00,3.00,2.00,208,NULL,238,'BELCHIOR','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5129761,5.00,5.00,0.00,6.00,8.00,7.88,1.00,6.00,4.00,501,NULL,NULL,'CENTRO','PALHOÇA','SC',11350,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5129770,6.00,6.00,4.00,6.00,9.00,9.75,1.00,4.00,6.00,502,NULL,NULL,'CENTRO','CANOAS','RS',5219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129788,2.00,6.00,1.00,2.00,5.00,NULL,2.00,2.00,1.00,102,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5129800,7.00,4.00,0.00,5.00,5.00,6.75,3.00,2.00,4.00,104,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5129818,7.00,6.00,4.00,3.00,3.00,NULL,4.00,3.00,5.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5129826,6.00,6.00,2.00,5.00,7.00,8.63,4.00,5.00,5.00,203,NULL,201,'CENTRO','STA MARIA','RS',6942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129834,6.00,6.00,5.00,8.00,9.00,9.38,0.00,2.00,5.00,453,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',6542,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5129842,4.00,4.00,1.00,4.00,6.00,NULL,0.00,3.00,2.00,340,NULL,NULL,'JARDIM SÃO FRANCISCO','JAÚ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129850,2.00,5.00,0.00,5.00,6.00,NULL,0.00,2.00,4.00,104,NULL,NULL,'CENTRO LESTE','SCHROEDER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5129869,7.00,8.00,1.00,5.00,4.00,7.50,1.00,1.00,5.00,211,NULL,235,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',12420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5129877,2.00,4.00,1.00,3.00,5.00,NULL,2.00,1.00,3.00,238,NULL,213,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5129885,3.00,5.00,1.00,3.00,4.00,NULL,0.00,2.00,4.00,9,NULL,NULL,'MORRO DA BINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5129893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5129907,8.00,4.00,1.00,7.00,8.00,8.25,2.00,2.00,4.00,415,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',9614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129915,4.00,5.00,1.00,3.00,5.00,NULL,0.00,1.00,3.00,319,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5129923,4.00,4.00,3.00,3.00,6.00,NULL,0.00,3.00,3.00,203,NULL,220,'JACARÉ','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5129940,5.00,7.00,3.00,5.00,6.00,7.13,3.00,1.00,6.00,303,NULL,NULL,'AGUA VERDE','CURITIBA','PR',10267,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5129958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,215,'ALTO DA XV','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5129974,9.00,6.00,5.00,6.00,8.00,12.75,5.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5129990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5130018,3.00,4.00,1.00,3.00,2.00,NULL,3.00,1.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5130026,9.00,8.00,6.00,8.00,11.00,10.50,7.00,7.00,7.00,103,NULL,NULL,'GLÓRIA','PTO ALEGRE','RS',297,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5130050,7.00,6.00,5.00,4.00,5.00,0.00,0.00,4.00,3.00,103,NULL,NULL,'SÃO JOÃO','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5130069,4.00,5.00,5.00,5.00,8.00,11.25,3.00,4.00,6.00,444,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130085,5.00,5.00,1.00,1.00,3.00,NULL,1.00,4.00,5.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130093,6.00,6.00,2.00,5.00,8.00,8.25,4.00,2.00,3.00,429,NULL,424,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5130115,8.00,5.00,6.00,7.00,9.00,8.63,5.00,6.00,8.00,207,NULL,208,'OESTE','GOIÂNIA','GO',1916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130123,4.00,6.00,4.00,5.00,7.00,7.50,4.00,3.00,5.00,104,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',9370,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5130131,4.00,6.00,4.00,5.00,5.00,9.00,2.00,4.00,3.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5130140,9.00,8.00,7.00,5.00,9.00,8.25,3.00,3.00,8.00,103,NULL,NULL,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',2255,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5130166,6.00,5.00,5.00,5.00,6.00,7.88,2.00,5.00,4.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130174,7.00,6.00,5.00,5.00,9.00,7.50,2.00,5.00,6.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',5885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDM COLOMBO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5130190,6.00,4.00,1.00,6.00,6.00,7.50,2.00,1.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130204,7.00,7.00,7.00,4.00,7.00,9.00,4.00,5.00,7.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3681,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5130220,6.00,7.00,5.00,6.00,9.00,10.13,2.00,5.00,5.00,216,NULL,207,'CARVOEIRA','FLORIANÓPOLIS','SC',4428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130255,5.00,3.00,1.00,3.00,5.00,NULL,1.00,2.00,1.00,102,NULL,NULL,'MINA DO MATO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5130263,4.00,3.00,4.00,3.00,4.00,NULL,1.00,1.00,5.00,601,NULL,238,'CENTRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5130271,8.00,7.00,7.00,7.00,6.00,6.75,5.00,5.00,6.00,203,NULL,235,'CENTRO','FRANCISCO BELTRÃO','PR',2804,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5130280,9.00,7.00,6.00,6.00,10.00,8.63,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3001,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5130301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'LAGEADO DOS VIEIRAS','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5130310,4.00,3.00,0.00,2.00,1.00,NULL,2.00,1.00,4.00,301,NULL,NULL,'ITAMARATI','JACAREÍ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'VILA FORMOSA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5130344,7.00,7.00,3.00,4.00,8.00,9.00,3.00,3.00,7.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130352,5.00,6.00,8.00,4.00,6.00,9.38,2.00,2.00,7.00,207,NULL,201,'SÃO FRANCISCO','BENTO GONÇALVES','RS',7029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5130360,7.00,9.00,3.00,6.00,5.00,6.75,3.00,5.00,7.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130379,6.00,3.00,0.00,4.00,5.00,NULL,0.00,2.00,3.00,109,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5130387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'HARMONIA','HARMONIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5130395,8.00,7.00,4.00,6.00,10.00,9.75,3.00,5.00,7.00,103,NULL,NULL,'ARAÉS','CUIABÁ','MT',2658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130409,9.00,7.00,5.00,7.00,10.00,11.63,5.00,7.00,7.00,103,NULL,NULL,'MORADA DA SERRA II','CUIABÁ','MT',641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130417,4.00,5.00,1.00,2.00,4.00,NULL,3.00,2.00,3.00,208,NULL,201,'CENTRO','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5130425,2.00,1.00,0.00,2.00,3.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5130433,9.00,8.00,4.00,7.00,9.00,9.75,6.00,6.00,7.00,340,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130468,6.00,4.00,4.00,5.00,4.00,10.88,2.00,4.00,5.00,317,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5130476,8.00,6.00,3.00,6.00,8.00,9.38,2.00,2.00,6.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',6301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130484,1.00,3.00,0.00,6.00,5.00,NULL,2.00,1.00,2.00,220,NULL,213,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130492,1.00,4.00,1.00,2.00,5.00,NULL,2.00,2.00,3.00,324,NULL,NULL,'INTERIOR','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5130506,7.00,6.00,4.00,7.00,9.00,12.00,1.00,3.00,5.00,103,NULL,NULL,'CENTRO','SOROCABA','SP',4495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130514,9.00,7.00,6.00,7.00,10.00,10.13,7.00,7.00,9.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',83,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5130530,6.00,7.00,2.00,6.00,8.00,NULL,0.00,3.00,5.00,102,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5130557,4.00,5.00,3.00,6.00,5.00,NULL,0.00,4.00,2.00,233,NULL,214,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130581,1.00,5.00,2.00,4.00,6.00,NULL,1.00,2.00,4.00,103,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5130603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5130611,8.00,7.00,3.00,5.00,7.00,8.63,5.00,4.00,5.00,108,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',6951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5130620,4.00,6.00,3.00,6.00,7.00,7.88,1.00,4.00,3.00,212,NULL,214,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NONOAI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5130646,8.00,5.00,5.00,6.00,8.00,10.88,3.00,4.00,8.00,216,NULL,215,'KOBRASOL','S JOSÉ','SC',3200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130662,8.00,9.00,5.00,7.00,11.00,13.50,9.00,6.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',76,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130670,4.00,2.00,0.00,3.00,5.00,NULL,1.00,1.00,0.00,319,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130697,5.00,7.00,1.00,2.00,7.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5130700,7.00,5.00,2.00,5.00,6.00,7.13,1.00,4.00,5.00,211,NULL,NULL,'CENTRO','STO ANTÔNIO PALMA','RS',9940,291,NULL,NULL,NULL,NULL,NULL,2,4),(20,5130727,4.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,6),(20,5130735,3.00,8.00,2.00,4.00,3.00,NULL,1.00,3.00,3.00,501,NULL,NULL,'ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130743,3.00,6.00,2.00,1.00,3.00,NULL,0.00,2.00,1.00,425,NULL,424,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130760,8.00,8.00,5.00,7.00,9.00,10.13,7.00,5.00,8.00,103,NULL,NULL,'HUMAITÁ','S VICENTE','SP',795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130778,7.00,7.00,5.00,6.00,7.00,9.00,7.00,3.00,6.00,202,NULL,213,'CENTRO','IMBITUBA','SC',2786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130794,5.00,5.00,1.00,5.00,6.00,6.00,3.00,4.00,4.00,203,NULL,NULL,'ZONA DOIS','CIANORTE','PR',14138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130824,9.00,5.00,3.00,8.00,7.00,10.50,4.00,4.00,4.00,103,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',3948,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5130832,3.00,4.00,1.00,3.00,4.00,NULL,2.00,3.00,2.00,415,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5130859,7.00,7.00,4.00,8.00,10.00,10.50,5.00,6.00,7.00,207,NULL,238,'SANTA MARIA','LAGES','SC',1193,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5130875,6.00,4.00,3.00,5.00,8.00,7.50,2.00,1.00,5.00,216,NULL,220,'SANTA CRUZ','S JOAQUIM','SC',12861,511,NULL,NULL,NULL,NULL,NULL,4,9),(20,5130883,7.00,5.00,4.00,5.00,8.00,10.88,2.00,5.00,7.00,320,NULL,NULL,'SÃO JUDAS','SALTO','SP',5753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130891,8.00,8.00,7.00,8.00,7.00,9.00,5.00,4.00,6.00,220,NULL,201,'CORREGO GRANDE','FLORIANÓPOLIS','SC',2445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130913,3.00,7.00,4.00,5.00,9.00,7.88,3.00,4.00,6.00,319,NULL,NULL,'AREIAS','S JOSÉ','SC',10148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5130921,9.00,8.00,7.00,7.00,7.00,10.88,6.00,3.00,6.00,203,NULL,220,'JARDIM IMPERIAL','MARINGÁ','PR',987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130930,9.00,8.00,8.00,5.00,10.00,12.00,8.00,6.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',195,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5130948,7.00,8.00,3.00,8.00,8.00,9.75,3.00,6.00,5.00,450,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',6743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130956,9.00,7.00,6.00,7.00,9.00,9.38,5.00,3.00,6.00,203,NULL,201,'AEROPORTO','VIDEIRA','SC',1753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130972,6.00,4.00,6.00,5.00,5.00,7.13,3.00,3.00,6.00,203,NULL,202,'CORREGO GRANDE','FLORIANÓPOLIS','SC',8771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5130980,8.00,6.00,6.00,7.00,7.00,7.50,5.00,3.00,7.00,103,NULL,NULL,'BUCAREIN','JOINVILLE','SC',4139,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5130999,1.00,4.00,3.00,3.00,3.00,NULL,1.00,1.00,2.00,316,NULL,NULL,'SANTO ANTÔNIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5131006,8.00,8.00,3.00,7.00,8.00,7.13,4.00,3.00,4.00,238,NULL,208,'BALNEARIO','FLORIANÓPOLIS','SC',8929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131014,6.00,6.00,4.00,6.00,7.00,9.00,2.00,3.00,3.00,503,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131030,9.00,6.00,7.00,5.00,10.00,7.50,3.00,2.00,8.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',3677,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5131049,4.00,4.00,3.00,2.00,5.00,0.00,4.00,3.00,5.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131073,5.00,7.00,4.00,4.00,6.00,8.25,4.00,3.00,5.00,103,NULL,NULL,'CENTRO','IPUMIRIM','SC',7592,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5131081,7.00,7.00,2.00,7.00,9.00,12.00,4.00,3.00,2.00,211,NULL,202,'VILA LANZI','JARAGUÁ SUL','SC',6026,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5131090,5.00,4.00,3.00,6.00,6.00,7.50,3.00,3.00,5.00,208,NULL,238,'CENTRO','CAMPINAS','SP',10260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131103,6.00,5.00,1.00,4.00,9.00,9.75,1.00,3.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10404,167,NULL,NULL,NULL,NULL,NULL,2,1),(20,5131111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CENTRO HISTORICO','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5131120,7.00,8.00,5.00,5.00,9.00,11.25,4.00,4.00,7.00,207,NULL,201,'ALVORADA','XAXIM','SC',3365,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5131138,1.00,5.00,1.00,2.00,4.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5131146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM JESUS','ITAIÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(20,5131154,6.00,3.00,2.00,5.00,3.00,NULL,1.00,3.00,5.00,207,NULL,201,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5131162,8.00,6.00,5.00,7.00,4.00,6.75,4.00,4.00,6.00,203,NULL,201,'BUTANTÃ','S PAULO','SP',5676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131170,3.00,6.00,2.00,4.00,5.00,7.88,2.00,3.00,5.00,238,NULL,208,'BELA VISTA','S JOSÉ','SC',14426,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5131189,4.00,4.00,1.00,1.00,4.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5131197,2.00,6.00,0.00,6.00,4.00,7.13,4.00,2.00,3.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5131200,7.00,6.00,5.00,6.00,3.00,NULL,4.00,6.00,4.00,220,NULL,653,'FLORESTA','LAJEADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5131219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5131227,5.00,5.00,1.00,3.00,5.00,7.13,3.00,3.00,4.00,415,NULL,NULL,'FREITAS','PAULO LOPES','SC',15471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5131235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM ELDORADO','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5131243,7.00,5.00,2.00,7.00,7.00,8.25,1.00,0.00,6.00,216,NULL,211,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',12359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131251,9.00,7.00,8.00,4.00,6.00,9.00,7.00,6.00,10.00,103,NULL,NULL,'CENTRO','CIANORTE','PR',1236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5131278,7.00,5.00,3.00,3.00,5.00,8.25,2.00,3.00,3.00,103,NULL,NULL,'JARDIM IPIRANGA','PTO ALEGRE','RS',13784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131286,8.00,7.00,6.00,7.00,11.00,10.88,2.00,5.00,7.00,208,NULL,216,'CAMPINAS','S JOSÉ','SC',823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131294,7.00,6.00,5.00,6.00,6.00,8.63,3.00,4.00,3.00,233,NULL,601,'PANTANAL','FLORIANÓPOLIS','SC',7387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131308,6.00,6.00,3.00,4.00,6.00,9.00,2.00,3.00,7.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',9720,701,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131316,8.00,5.00,6.00,7.00,7.00,7.13,7.00,5.00,9.00,216,NULL,202,'SAGUAÇU','JOINVILLE','SC',2563,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5131324,6.00,9.00,5.00,5.00,7.00,9.00,2.00,4.00,2.00,318,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',8317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131332,4.00,7.00,6.00,7.00,5.00,6.00,4.00,2.00,4.00,103,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',12386,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5131340,4.00,2.00,3.00,2.00,7.00,NULL,1.00,0.00,3.00,108,NULL,NULL,'CETRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5131359,6.00,0.00,7.00,6.00,9.00,9.00,1.00,5.00,4.00,450,NULL,NULL,'CENTRO','S JOSÉ','SC',6044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131375,9.00,7.00,5.00,7.00,7.00,9.38,5.00,3.00,8.00,103,NULL,NULL,'LAGO NORTE','LG NORTE','DF',2661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','PRES GETÚLIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5131391,9.00,6.00,5.00,7.00,8.00,10.50,5.00,4.00,6.00,103,NULL,NULL,'CAMPESTRE','STO ANDRÉ','SP',2111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131405,8.00,7.00,3.00,7.00,10.00,9.00,4.00,6.00,7.00,220,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',2612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131421,5.00,3.00,3.00,5.00,7.00,7.50,4.00,3.00,6.00,103,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5131430,8.00,6.00,4.00,8.00,9.00,8.63,4.00,6.00,7.00,340,NULL,NULL,'ATIRADORES','JOINVILLE','SC',2550,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5131448,8.00,8.00,6.00,8.00,6.00,8.63,4.00,5.00,8.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',1760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA TEREZA','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5131464,6.00,6.00,1.00,6.00,7.00,10.88,1.00,2.00,4.00,5,NULL,NULL,'CENTRO','GUARACIABA','SC',11183,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5131480,1.00,6.00,2.00,1.00,2.00,NULL,5.00,2.00,2.00,601,NULL,203,'NOVA BRASÍLIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5131499,9.00,7.00,7.00,6.00,10.00,9.75,7.00,6.00,6.00,103,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',863,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5131502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5131510,5.00,6.00,3.00,3.00,9.00,8.25,1.00,1.00,7.00,216,NULL,NULL,'FARROUPILHA','PTO ALEGRE','RS',11422,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5131529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA PARAGUAIA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5131545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5131553,9.00,7.00,5.00,7.00,10.00,8.63,4.00,5.00,6.00,103,NULL,NULL,'ITAUM','JOINVILLE','SC',2434,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5131561,6.00,5.00,1.00,5.00,5.00,8.25,1.00,2.00,5.00,420,NULL,NULL,'AMÉRICA','JOINVILLE','SC',15066,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5131570,9.00,8.00,3.00,6.00,8.00,7.50,4.00,5.00,6.00,103,NULL,NULL,'ITAJUBA','BARRA VELHA','SC',3823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131596,8.00,7.00,5.00,8.00,10.00,7.13,4.00,3.00,6.00,103,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',3423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CENTRO','PATO BRAGADO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5131618,5.00,8.00,6.00,7.00,8.00,8.25,6.00,3.00,7.00,203,NULL,215,'ITACORUBI','FLORIANÓPOLIS','SC',2250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131634,2.00,1.00,1.00,1.00,6.00,NULL,0.00,1.00,2.00,328,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131642,5.00,6.00,2.00,4.00,9.00,9.75,3.00,4.00,6.00,319,NULL,NULL,'COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC',7610,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5131650,6.00,6.00,1.00,5.00,7.00,7.50,3.00,4.00,5.00,319,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',8819,125,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,213,'PAIQUERÊ','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5131677,7.00,8.00,6.00,7.00,6.00,7.13,4.00,4.00,7.00,203,NULL,215,'JARDIM ESPLANADA','S JOSÉ CAMPOS','SP',3882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131685,8.00,5.00,1.00,4.00,7.00,10.88,5.00,5.00,6.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',6151,2445,NULL,NULL,NULL,NULL,NULL,2,1),(20,5131693,9.00,8.00,4.00,6.00,10.00,11.63,5.00,6.00,8.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',715,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5131723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5131731,5.00,6.00,3.00,6.00,6.00,9.75,2.00,4.00,4.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131758,5.00,3.00,1.00,6.00,7.00,7.88,2.00,4.00,2.00,104,NULL,NULL,'AMÉRICA','JOINVILLE','SC',14472,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5131766,5.00,7.00,2.00,7.00,3.00,NULL,4.00,5.00,6.00,303,NULL,NULL,'COUNTRY','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131774,7.00,6.00,4.00,6.00,7.00,8.25,2.00,5.00,6.00,201,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',7267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5131804,3.00,6.00,4.00,7.00,4.00,9.38,5.00,2.00,6.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',12431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131812,9.00,8.00,5.00,4.00,8.00,8.25,4.00,5.00,8.00,103,NULL,NULL,'CENTRO','MANDAGUARI','PR',2318,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5131820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'FATIMA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5131839,5.00,4.00,4.00,5.00,6.00,6.75,3.00,1.00,3.00,302,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',15523,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5131847,4.00,6.00,2.00,4.00,7.00,8.25,3.00,1.00,4.00,238,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',15195,389,NULL,NULL,NULL,NULL,NULL,2,1),(20,5131855,7.00,6.00,3.00,7.00,7.00,7.88,5.00,5.00,7.00,212,NULL,208,'AGRONÔMICA','FLORIANÓPOLIS','SC',5009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'SACO GRANDE II','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(20,5131871,3.00,2.00,0.00,3.00,3.00,NULL,1.00,2.00,1.00,207,NULL,212,'JARDIM JANAÍNA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5131880,4.00,6.00,1.00,3.00,4.00,NULL,1.00,1.00,2.00,303,NULL,NULL,'UNIÃO','ARATIBA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5131898,3.00,3.00,0.00,2.00,4.00,NULL,2.00,0.00,1.00,5,NULL,NULL,'SAO SEBASTIAO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5131901,6.00,5.00,3.00,5.00,6.00,8.25,4.00,2.00,2.00,333,NULL,NULL,'TREMEMBÉ','S PAULO','SP',11361,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5131910,7.00,4.00,5.00,6.00,10.00,10.50,3.00,4.00,7.00,211,NULL,215,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131936,5.00,7.00,4.00,5.00,7.00,8.63,4.00,4.00,7.00,444,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',8787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5131944,6.00,4.00,0.00,5.00,5.00,NULL,4.00,2.00,4.00,302,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131987,9.00,7.00,5.00,7.00,8.00,9.75,5.00,5.00,6.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5131995,8.00,5.00,2.00,6.00,8.00,6.38,4.00,3.00,6.00,203,NULL,213,'CENTRO','TAMBAÚ','SP',7334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132010,2.00,6.00,0.00,3.00,3.00,NULL,4.00,5.00,2.00,211,NULL,203,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5132029,1.00,4.00,1.00,3.00,5.00,NULL,0.00,3.00,2.00,309,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5132037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5132053,6.00,8.00,3.00,7.00,8.00,7.88,3.00,3.00,6.00,214,NULL,601,'JARDIM BLUMENAU','BLUMENAU','SC',5544,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5132061,4.00,5.00,2.00,7.00,7.00,7.13,3.00,2.00,4.00,336,NULL,NULL,'EMBARE','SANTOS','SP',11808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132088,6.00,6.00,3.00,6.00,8.00,9.75,2.00,2.00,5.00,103,NULL,NULL,'CENTRO','XAXIM','SC',7362,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5132096,9.00,7.00,4.00,7.00,10.00,10.88,5.00,4.00,7.00,103,NULL,NULL,'SANTO ANTONIO','S CAETANO SUL','SP',1240,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5132100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,653,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5132118,0.00,6.00,2.00,2.00,5.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5132126,5.00,5.00,2.00,7.00,9.00,9.00,3.00,5.00,4.00,213,NULL,235,'ITACORUBI','FLORIANÓPOLIS','SC',8207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132134,4.00,4.00,3.00,3.00,5.00,NULL,0.00,1.00,1.00,601,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5132142,4.00,5.00,2.00,6.00,5.00,7.50,1.00,2.00,3.00,201,NULL,NULL,'UNIVERSITARIO','TIJUCAS','SC',16213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132150,9.00,8.00,4.00,7.00,10.00,9.75,5.00,6.00,8.00,103,NULL,NULL,'JARDIM ROVERI','LONDRINA','PR',1065,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5132169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5132177,6.00,7.00,3.00,5.00,4.00,7.88,3.00,3.00,3.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10460,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5132185,8.00,8.00,6.00,8.00,10.00,9.38,6.00,6.00,8.00,415,NULL,NULL,'CENTRO','TIJUCAS','SC',501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132193,3.00,0.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,216,NULL,211,'SÃO CRISTÓVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(20,5132207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,233,'PARQUE RIZZO II','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5132215,9.00,9.00,5.00,7.00,9.00,11.63,7.00,6.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132223,6.00,6.00,2.00,5.00,7.00,8.63,3.00,3.00,7.00,415,NULL,NULL,'JARDIM PRIMAVERA','JACAREÍ','SP',8565,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5132231,6.00,4.00,0.00,6.00,9.00,7.88,1.00,4.00,3.00,301,NULL,NULL,'CENTRO','STA ROSA','RS',12114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132240,8.00,7.00,4.00,7.00,9.00,6.00,3.00,4.00,5.00,233,NULL,215,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132274,5.00,6.00,5.00,3.00,7.00,8.63,3.00,3.00,5.00,201,NULL,233,'REAL PARQUE','S JOSÉ','SC',9416,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5132282,8.00,7.00,1.00,5.00,7.00,8.25,3.00,2.00,5.00,211,NULL,653,'CENTRO','NOVO HAMBURGO','RS',8513,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5132290,3.00,7.00,4.00,6.00,6.00,7.50,1.00,3.00,5.00,303,NULL,NULL,'CENTRO','LAGES','SC',13641,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5132304,6.00,4.00,0.00,6.00,6.00,NULL,3.00,3.00,5.00,207,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132312,5.00,5.00,2.00,4.00,6.00,11.25,2.00,2.00,2.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',15561,279,NULL,NULL,NULL,NULL,NULL,2,1),(20,5132320,7.00,3.00,3.00,4.00,3.00,NULL,3.00,2.00,4.00,203,NULL,201,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132339,4.00,9.00,3.00,7.00,6.00,7.88,4.00,2.00,3.00,238,NULL,201,'COSTEIRA','FLORIANÓPOLIS','SC',10288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132347,8.00,6.00,5.00,4.00,9.00,7.88,3.00,5.00,4.00,5,NULL,NULL,'JARDIM PARANÁ','ASSIS CHATEAUBRIAND','PR',7138,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5132363,6.00,0.00,1.00,6.00,5.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','STA VITÓRIA','MG',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5132371,9.00,7.00,4.00,6.00,6.00,7.50,2.00,3.00,7.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5132401,4.00,6.00,3.00,3.00,6.00,9.75,1.00,4.00,4.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5132410,5.00,3.00,3.00,4.00,8.00,7.88,3.00,3.00,4.00,340,NULL,NULL,'VILA LAUCY','OSASCO','SP',10219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132436,4.00,6.00,3.00,5.00,4.00,7.88,0.00,4.00,4.00,203,NULL,202,'UNIVERSITÁRIO','TIJUCAS','SC',14610,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5132444,8.00,6.00,5.00,6.00,8.00,11.25,3.00,3.00,4.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',4387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'CENTRO','PRES GETÚLIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5132495,7.00,7.00,1.00,7.00,8.00,9.38,3.00,7.00,6.00,214,NULL,216,'CENTRO','S BENTO SUL','SC',3672,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5132509,1.00,4.00,2.00,5.00,5.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','SERRA ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5132517,6.00,7.00,4.00,3.00,9.00,6.00,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9450,3089,NULL,NULL,NULL,NULL,NULL,2,6),(20,5132525,1.00,0.00,4.00,3.00,3.00,NULL,0.00,0.00,0.00,201,NULL,212,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(20,5132533,6.00,5.00,0.00,5.00,5.00,9.00,1.00,3.00,5.00,503,NULL,NULL,'BARREIROS','S JOSÉ','SC',14004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5132541,3.00,5.00,2.00,7.00,7.00,9.38,3.00,3.00,0.00,104,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132550,8.00,6.00,5.00,4.00,6.00,8.25,6.00,6.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',3266,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5132568,8.00,6.00,7.00,7.00,9.00,9.00,5.00,6.00,6.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',2095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132576,2.00,1.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,444,NULL,NULL,'SAO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5132614,4.00,7.00,1.00,3.00,7.00,7.88,1.00,2.00,4.00,333,NULL,NULL,'CENTRO','LGA VERMELHA','RS',14181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132622,8.00,6.00,3.00,6.00,9.00,9.75,2.00,5.00,7.00,340,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',4017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132630,9.00,6.00,4.00,7.00,8.00,9.38,5.00,4.00,7.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',2431,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5132649,6.00,7.00,4.00,7.00,9.00,9.38,4.00,4.00,7.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',2620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132657,7.00,8.00,7.00,6.00,8.00,8.25,6.00,5.00,4.00,212,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',2435,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5132665,7.00,6.00,2.00,5.00,8.00,8.63,3.00,6.00,5.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132673,2.00,2.00,0.00,4.00,2.00,NULL,3.00,2.00,2.00,317,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5132681,3.00,4.00,0.00,3.00,4.00,NULL,2.00,1.00,3.00,335,NULL,NULL,'ALTO RIBEIRAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5132690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','IBIRAMA','SC',NULL,NULL,NULL,NULL,'S','S','S',1,2),(20,5132703,7.00,7.00,5.00,6.00,9.00,10.88,2.00,4.00,8.00,103,NULL,NULL,'EMBARÉ','SANTOS','SP',3242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132711,7.00,6.00,4.00,6.00,8.00,10.50,4.00,4.00,7.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',4934,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5132720,2.00,2.00,1.00,5.00,2.00,NULL,1.00,1.00,3.00,208,NULL,NULL,'BOA VISTA','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132746,9.00,5.00,2.00,6.00,8.00,11.63,2.00,7.00,8.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',3006,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5132754,6.00,5.00,2.00,4.00,8.00,9.75,3.00,4.00,5.00,103,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',8499,2925,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132762,5.00,5.00,4.00,7.00,3.00,NULL,2.00,2.00,4.00,601,NULL,203,'COLONIAL','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5132770,5.00,6.00,3.00,6.00,9.00,8.25,3.00,6.00,4.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132789,6.00,6.00,4.00,7.00,7.00,9.00,4.00,2.00,4.00,203,NULL,233,'BOM ABRIGO','FLORIANÓPOLIS','SC',7937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132797,6.00,5.00,4.00,6.00,7.00,9.38,2.00,3.00,7.00,202,NULL,203,'SANTA FELICIDADE','CURITIBA','PR',6206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','LAURENTINO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5132819,4.00,5.00,1.00,5.00,8.00,10.88,0.00,3.00,5.00,3,NULL,NULL,'TRAÇADO','URUBICI','SC',12234,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5132835,8.00,7.00,5.00,6.00,10.00,10.50,4.00,4.00,6.00,5,NULL,NULL,'ASILO','BLUMENAU','SC',2006,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5132843,2.00,6.00,2.00,4.00,3.00,NULL,2.00,2.00,5.00,415,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5132851,8.00,9.00,9.00,7.00,8.00,10.50,9.00,6.00,8.00,201,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132860,5.00,4.00,4.00,6.00,7.00,9.75,3.00,2.00,4.00,103,NULL,NULL,'NOVA BRASÍLIA','JARAGUÁ SUL','SC',8881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132886,6.00,6.00,2.00,4.00,8.00,7.88,2.00,4.00,4.00,303,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',9872,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5132916,8.00,5.00,4.00,7.00,7.00,9.00,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',4363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132924,8.00,6.00,1.00,3.00,6.00,8.25,3.00,0.00,5.00,108,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5132932,1.00,6.00,2.00,7.00,9.00,6.38,2.00,4.00,4.00,340,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132940,4.00,4.00,3.00,5.00,6.00,7.13,1.00,4.00,6.00,304,NULL,NULL,'CENTRO','ARARANGUÁ','SC',14589,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5132959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'UNIVERSITARIO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5132967,1.00,4.00,0.00,2.00,4.00,NULL,0.00,1.00,2.00,317,NULL,NULL,'BREJARU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5132975,4.00,5.00,2.00,3.00,3.00,NULL,1.00,1.00,1.00,319,NULL,NULL,'SERTÃO DO IMARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5132983,8.00,6.00,4.00,4.00,5.00,10.13,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7373,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5132991,3.00,2.00,2.00,1.00,6.00,NULL,0.00,1.00,2.00,319,NULL,NULL,'CENTRO','S MIGUEL B VISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5133009,6.00,8.00,3.00,6.00,8.00,8.63,3.00,2.00,4.00,202,NULL,213,'INGLESES','FLORIANÓPOLIS','SC',7190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133017,3.00,7.00,1.00,3.00,5.00,4.50,2.00,2.00,4.00,104,NULL,NULL,'VARGEM GRANDE','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5133025,6.00,6.00,3.00,8.00,6.00,9.38,1.00,6.00,6.00,327,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133033,1.00,4.00,1.00,0.00,6.00,NULL,4.00,4.00,4.00,216,NULL,203,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5133041,2.00,4.00,1.00,3.00,3.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5133050,3.00,5.00,3.00,2.00,6.00,NULL,2.00,2.00,2.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133068,2.00,6.00,0.00,3.00,6.00,NULL,1.00,1.00,3.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133076,5.00,8.00,4.00,7.00,10.00,9.38,4.00,3.00,4.00,104,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',4145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133084,7.00,8.00,4.00,7.00,9.00,12.75,5.00,4.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5133106,5.00,6.00,2.00,5.00,8.00,6.75,1.00,4.00,5.00,102,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',12467,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5133114,9.00,9.00,7.00,7.00,10.00,10.13,6.00,6.00,8.00,340,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133122,6.00,7.00,3.00,8.00,6.00,9.75,1.00,5.00,3.00,340,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',8581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133130,8.00,7.00,3.00,7.00,7.00,7.50,4.00,5.00,7.00,203,NULL,220,'OFICINAS','TUBARÃO','SC',4611,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5133149,5.00,6.00,5.00,2.00,5.00,9.38,3.00,2.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133157,6.00,5.00,1.00,7.00,8.00,NULL,0.00,4.00,4.00,310,NULL,NULL,'INTERIOR','QUILOMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5133165,5.00,5.00,2.00,7.00,8.00,8.25,2.00,2.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133173,3.00,5.00,1.00,5.00,4.00,6.38,3.00,5.00,3.00,202,NULL,208,'PRAIA DO SONHO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133181,6.00,3.00,0.00,3.00,7.00,9.75,1.00,2.00,4.00,103,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',13123,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5133203,2.00,5.00,1.00,6.00,3.00,NULL,2.00,1.00,2.00,201,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133211,7.00,8.00,3.00,7.00,6.00,9.00,2.00,2.00,6.00,450,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8626,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5133220,5.00,6.00,3.00,6.00,6.00,7.88,2.00,3.00,2.00,104,NULL,NULL,'BELA VISTA','S JOSÉ','SC',13196,332,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133238,8.00,5.00,8.00,6.00,8.00,9.75,6.00,4.00,7.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',1898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133246,8.00,8.00,8.00,7.00,8.00,6.00,4.00,7.00,6.00,203,NULL,214,'ESTREITO','FLORIANÓPOLIS','SC',2924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5133270,8.00,7.00,4.00,5.00,9.00,9.38,5.00,4.00,7.00,103,NULL,NULL,'JARDIM AMERICA','S JOSÉ CAMPOS','SP',2592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133289,5.00,7.00,4.00,6.00,8.00,8.63,3.00,3.00,4.00,317,NULL,NULL,'BELA VISTA','S JOSÉ','SC',9346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133300,8.00,6.00,1.00,2.00,5.00,9.75,3.00,2.00,5.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',12530,3471,NULL,NULL,NULL,NULL,NULL,4,4),(20,5133327,3.00,5.00,3.00,3.00,9.00,9.00,3.00,3.00,2.00,421,NULL,428,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5133335,4.00,4.00,2.00,5.00,6.00,8.25,3.00,1.00,4.00,303,NULL,NULL,'IPIRANGA','S JOSÉ','SC',13323,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5133343,2.00,4.00,1.00,1.00,3.00,NULL,3.00,1.00,4.00,601,NULL,220,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5133351,1.00,6.00,2.00,5.00,4.00,6.75,1.00,4.00,4.00,208,NULL,601,'JARDIM IRIRIU','JOINVILLE','SC',16216,488,NULL,NULL,NULL,NULL,NULL,4,8),(20,5133360,6.00,6.00,1.00,4.00,7.00,8.25,2.00,3.00,6.00,104,NULL,NULL,'ANTONIO BEZERRA','FORTALEZA','CE',12326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5133386,3.00,5.00,1.00,2.00,2.00,NULL,2.00,1.00,3.00,601,NULL,203,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5133394,7.00,6.00,5.00,8.00,10.00,9.38,5.00,6.00,8.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',1911,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5133408,4.00,6.00,4.00,5.00,7.00,3.75,2.00,3.00,4.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5133416,7.00,6.00,0.00,5.00,8.00,6.38,2.00,4.00,6.00,340,NULL,NULL,'JARDIM GUAPIRA','S PAULO','SP',9452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133432,2.00,2.00,0.00,0.00,5.00,NULL,2.00,2.00,1.00,333,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5133440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM IRAJÁ','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5133459,5.00,5.00,1.00,2.00,4.00,NULL,0.00,3.00,2.00,501,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5133467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','IGREJINHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5133475,4.00,6.00,3.00,5.00,4.00,7.88,0.00,2.00,2.00,203,NULL,214,'MEIA PRAIA','ITAPEMA','SC',15483,950,NULL,368,NULL,NULL,NULL,4,6),(20,5133483,9.00,6.00,8.00,7.00,8.00,9.38,7.00,4.00,7.00,201,NULL,212,'ASA NORTE','BRASÍLIA','DF',1638,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133505,8.00,6.00,2.00,4.00,5.00,7.50,3.00,5.00,7.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',7484,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5133513,2.00,3.00,1.00,3.00,4.00,NULL,0.00,3.00,4.00,104,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5133530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','HOLAMBRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5133564,4.00,5.00,1.00,4.00,4.00,7.50,3.00,3.00,3.00,336,NULL,NULL,'CENTRO','CRICIÚMA','SC',16126,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5133572,4.00,5.00,1.00,4.00,6.00,7.50,3.00,4.00,6.00,304,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',12486,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5133580,3.00,4.00,3.00,2.00,4.00,NULL,1.00,3.00,3.00,404,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133599,8.00,8.00,6.00,5.00,10.00,10.13,9.00,4.00,7.00,103,NULL,NULL,'CENTRO','IPUMIRIM','SC',791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133602,8.00,5.00,4.00,7.00,9.00,7.50,4.00,6.00,5.00,340,NULL,NULL,'IPIRANGA','CPO BOM','RS',4425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133610,6.00,7.00,2.00,6.00,9.00,9.38,2.00,2.00,5.00,5,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',8290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133629,3.00,4.00,0.00,6.00,3.00,NULL,1.00,3.00,4.00,207,NULL,201,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133637,7.00,8.00,2.00,4.00,7.00,9.00,0.00,5.00,3.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',10983,3299,NULL,NULL,NULL,NULL,NULL,2,10),(20,5133645,6.00,4.00,1.00,7.00,8.00,11.25,3.00,3.00,6.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,235,'VILA CINTRA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5133670,7.00,7.00,2.00,6.00,10.00,8.63,1.00,1.00,4.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133688,0.00,7.00,0.00,0.00,0.00,NULL,1.00,5.00,5.00,104,NULL,NULL,'TOBIAS','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(20,5133696,9.00,8.00,5.00,7.00,9.00,6.75,5.00,5.00,7.00,333,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',2108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133700,7.00,7.00,4.00,6.00,8.00,8.63,3.00,1.00,6.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',6063,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5133718,4.00,6.00,4.00,4.00,5.00,7.13,1.00,4.00,6.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12488,57,NULL,NULL,NULL,NULL,NULL,2,1),(20,5133726,4.00,5.00,0.00,5.00,6.00,0.00,3.00,1.00,5.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5133734,9.00,8.00,8.00,7.00,10.00,9.75,7.00,6.00,8.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5133769,9.00,9.00,7.00,7.00,9.00,9.75,5.00,6.00,8.00,5,NULL,NULL,'GUARANI','BRUSQUE','SC',749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133785,4.00,6.00,2.00,5.00,7.00,10.88,2.00,3.00,6.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133793,5.00,4.00,1.00,5.00,5.00,6.38,3.00,5.00,5.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133807,7.00,5.00,2.00,6.00,8.00,8.63,3.00,4.00,5.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10900,265,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133815,5.00,4.00,5.00,2.00,3.00,NULL,3.00,3.00,2.00,203,NULL,201,'CAMPESTRE','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133823,7.00,5.00,2.00,7.00,9.00,9.38,1.00,3.00,5.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133858,2.00,6.00,1.00,2.00,5.00,NULL,3.00,1.00,3.00,211,NULL,201,'VILA NOVA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133866,8.00,6.00,6.00,7.00,5.00,9.00,2.00,6.00,7.00,216,NULL,233,'CENTRO','S JOAQUIM BARRA','SP',3427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5133874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PQ DAS ARAUCARIAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5133882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,207,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5133904,5.00,6.00,4.00,6.00,9.00,6.75,5.00,4.00,4.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8769,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5133912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5133963,6.00,5.00,5.00,4.00,7.00,8.25,3.00,4.00,7.00,316,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7664,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5133971,4.00,6.00,3.00,7.00,7.00,10.88,2.00,6.00,3.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',7644,2771,NULL,NULL,NULL,NULL,NULL,4,8),(20,5133980,5.00,6.00,2.00,6.00,6.00,7.88,2.00,3.00,5.00,104,NULL,NULL,'CENTRO','SOROCABA','SP',10492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134005,8.00,8.00,3.00,6.00,9.00,9.00,6.00,5.00,7.00,102,NULL,NULL,'ITAJUBA','BARRA VELHA','SC',2970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134013,9.00,8.00,9.00,7.00,9.00,6.75,6.00,7.00,6.00,103,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5134021,5.00,7.00,5.00,7.00,10.00,7.13,4.00,4.00,6.00,220,NULL,203,'CENTRO','CURITIBANOS','SC',4786,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5134030,5.00,7.00,1.00,2.00,7.00,NULL,0.00,4.00,4.00,211,NULL,201,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5134048,9.00,9.00,4.00,8.00,10.00,10.50,4.00,6.00,8.00,103,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',683,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5134056,7.00,6.00,4.00,5.00,8.00,9.38,6.00,6.00,5.00,452,NULL,NULL,'CENTRO','PALHOÇA','SC',3301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134072,9.00,7.00,7.00,7.00,9.00,8.25,6.00,8.00,8.00,103,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',407,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5134080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5134099,9.00,8.00,6.00,5.00,9.00,7.88,3.00,4.00,5.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',3129,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5134102,8.00,7.00,2.00,5.00,9.00,8.63,4.00,5.00,5.00,340,NULL,NULL,'CENTRO','XANXERÊ','SC',5230,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5134110,3.00,5.00,4.00,7.00,3.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'DAS NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5134137,3.00,5.00,4.00,5.00,6.00,7.50,1.00,3.00,5.00,201,NULL,215,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CENTRO','IBIRAMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5134153,7.00,5.00,1.00,5.00,6.00,7.13,3.00,3.00,2.00,202,NULL,213,'PONTA AGUDA','BLUMENAU','SC',11418,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5134161,5.00,3.00,1.00,3.00,3.00,NULL,2.00,4.00,2.00,223,NULL,NULL,'BELA VISTA','IBIRAMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5134188,7.00,8.00,4.00,7.00,8.00,12.38,3.00,3.00,4.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134200,5.00,7.00,2.00,4.00,6.00,6.38,4.00,3.00,6.00,212,NULL,233,'CENTRO','BIGUAÇU','SC',11198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5134234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5134242,8.00,6.00,6.00,7.00,9.00,8.63,2.00,4.00,5.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',4706,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5134250,2.00,6.00,2.00,2.00,5.00,NULL,3.00,1.00,2.00,3,NULL,NULL,'ENGENHO VELHO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5134269,4.00,6.00,1.00,4.00,3.00,NULL,4.00,3.00,3.00,202,NULL,235,'FÁBIO SILVA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5134277,6.00,5.00,3.00,4.00,10.00,6.00,5.00,4.00,8.00,5,NULL,NULL,'CENTRO','URUSSANGA','SC',5725,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5134285,8.00,8.00,4.00,6.00,6.00,10.13,2.00,3.00,5.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',7732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134293,3.00,4.00,0.00,6.00,5.00,7.13,2.00,3.00,3.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',14810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134307,8.00,7.00,5.00,7.00,10.00,12.00,3.00,7.00,6.00,415,NULL,NULL,'PALMEIRAS','CAMPINAS','SP',1027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134315,3.00,5.00,3.00,7.00,5.00,6.75,3.00,3.00,0.00,220,NULL,NULL,'CENTRO','NÃO-ME-TOQUE','RS',15684,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5134323,0.00,4.00,4.00,2.00,3.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5134340,8.00,6.00,0.00,6.00,6.00,7.88,4.00,4.00,7.00,201,NULL,233,'ROÇADO','S JOSÉ','SC',6707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5134366,4.00,5.00,2.00,5.00,5.00,10.50,2.00,1.00,4.00,102,NULL,NULL,'JARDIM MINUANO','S JOAQUIM','SC',15254,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5134374,2.00,3.00,4.00,4.00,4.00,9.75,2.00,3.00,3.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5134382,4.00,2.00,3.00,0.00,5.00,NULL,2.00,0.00,1.00,201,NULL,202,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134390,0.00,4.00,4.00,4.00,4.00,NULL,1.00,1.00,6.00,104,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5134404,5.00,7.00,5.00,7.00,10.00,10.13,3.00,6.00,5.00,103,NULL,NULL,'BARRA DO RIO','ITAJAÍ','SC',3375,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5134412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'SÃO DIMAS','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5134420,5.00,6.00,1.00,7.00,7.00,11.25,3.00,6.00,7.00,216,NULL,215,'CENTRO','LAGES','SC',5619,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5134439,4.00,4.00,0.00,4.00,4.00,NULL,0.00,3.00,4.00,340,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5134447,9.00,8.00,8.00,7.00,10.00,9.38,9.00,7.00,9.00,103,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',37,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134455,3.00,3.00,1.00,4.00,3.00,NULL,0.00,2.00,1.00,104,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5134463,3.00,6.00,0.00,4.00,3.00,NULL,2.00,4.00,2.00,233,NULL,208,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5134471,2.00,4.00,0.00,2.00,5.00,NULL,3.00,2.00,2.00,415,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134480,5.00,7.00,3.00,7.00,7.00,9.00,3.00,3.00,7.00,103,NULL,NULL,'CENTRO','VACARIA','RS',5270,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5134498,5.00,4.00,1.00,5.00,6.00,7.50,1.00,3.00,2.00,207,NULL,201,'MEIA PRAIA','ITAPEMA','SC',15174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5134528,5.00,7.00,2.00,4.00,7.00,9.00,6.00,5.00,6.00,207,NULL,201,'VILA SCHIAVON','PEDERNEIRAS','SP',4615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134536,9.00,6.00,3.00,6.00,8.00,9.38,4.00,2.00,7.00,103,NULL,NULL,'SANTO ANTONIO','CRICIÚMA','SC',4559,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5134544,7.00,6.00,3.00,2.00,6.00,7.88,3.00,4.00,4.00,201,NULL,601,'PROGRESSO','S BENTO SUL','SC',10199,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5134552,5.00,3.00,0.00,4.00,5.00,NULL,2.00,0.00,3.00,9,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5134560,5.00,6.00,1.00,7.00,8.00,6.38,2.00,5.00,4.00,304,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',9131,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5134579,8.00,6.00,3.00,7.00,8.00,8.25,1.00,4.00,4.00,203,NULL,208,'COQUEIROS','FLORIANÓPOLIS','SC',6431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134587,7.00,4.00,4.00,7.00,9.00,8.63,3.00,4.00,7.00,503,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6963,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5134595,3.00,1.00,3.00,3.00,2.00,NULL,1.00,2.00,2.00,208,NULL,601,'INTERIOR','PALMITINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5134609,7.00,7.00,0.00,6.00,6.00,8.25,2.00,3.00,6.00,103,NULL,NULL,'PARQUE DAS FONTES','TREMEMBÉ','SP',8439,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134617,4.00,6.00,3.00,4.00,8.00,6.75,1.00,2.00,3.00,452,NULL,NULL,'NOSSA S DO ROSÁRIO','S JOSÉ','SC',13930,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5134625,6.00,5.00,4.00,6.00,7.00,7.50,3.00,4.00,4.00,234,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',11606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','PALMAS','TO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5134692,8.00,7.00,4.00,6.00,6.00,10.50,1.00,5.00,8.00,216,NULL,203,'VILA FELIZ','APUCARANA','PR',3222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'MARIA ISABEL','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5134749,6.00,7.00,4.00,4.00,5.00,6.00,3.00,4.00,5.00,601,NULL,238,'BAIRRO ALTO','CURITIBA','PR',10048,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5134757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5134765,6.00,8.00,4.00,6.00,7.00,7.50,2.00,2.00,8.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',7384,2721,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134773,6.00,8.00,5.00,6.00,9.00,8.63,3.00,1.00,8.00,202,NULL,213,'DOM JOAQUIM','BRUSQUE','SC',5013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134781,5.00,6.00,2.00,4.00,7.00,7.13,2.00,3.00,6.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134790,8.00,6.00,1.00,7.00,7.00,4.88,2.00,2.00,2.00,601,NULL,201,'JARDIM DAS AMÉRICAS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5134803,4.00,5.00,4.00,5.00,7.00,8.63,1.00,4.00,3.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13683,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5134811,7.00,7.00,2.00,7.00,8.00,9.75,1.00,4.00,3.00,304,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',7309,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5134820,5.00,5.00,2.00,4.00,9.00,6.75,1.00,4.00,5.00,213,NULL,238,'BARRA DO ARIRIÚ','PALHOÇA','SC',13103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5134838,5.00,5.00,1.00,3.00,3.00,NULL,2.00,2.00,3.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5134846,9.00,6.00,1.00,7.00,8.00,10.88,3.00,6.00,7.00,103,NULL,NULL,'JARDIM FLÓRIDA','JACAREÍ','SP',3587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134862,5.00,3.00,2.00,4.00,8.00,9.00,3.00,2.00,3.00,452,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',13845,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5134870,3.00,4.00,0.00,1.00,3.00,NULL,1.00,3.00,1.00,653,NULL,651,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5134889,9.00,9.00,5.00,7.00,9.00,9.38,7.00,5.00,8.00,340,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134897,3.00,3.00,0.00,2.00,5.00,NULL,3.00,3.00,5.00,601,NULL,NULL,'ANITA GARIBALDE','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5134900,4.00,6.00,1.00,7.00,10.00,8.25,3.00,3.00,6.00,501,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',7443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134919,5.00,4.00,1.00,4.00,8.00,8.63,4.00,4.00,4.00,501,NULL,NULL,'AREIAS','TIJUCAS','SC',13194,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5134927,7.00,7.00,1.00,5.00,7.00,9.00,2.00,2.00,6.00,201,NULL,216,'CENTRO','STO AMARO IMPERATRIZ','SC',6560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134935,9.00,8.00,3.00,6.00,9.00,11.25,3.00,4.00,7.00,103,NULL,NULL,'SANTA ROSA','PTO UNIÃO','SC',1756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134943,5.00,5.00,1.00,4.00,6.00,NULL,0.00,3.00,3.00,303,NULL,NULL,'MORRO CHATO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5134951,8.00,8.00,2.00,3.00,6.00,8.63,6.00,4.00,7.00,201,NULL,202,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',4636,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5134960,5.00,4.00,1.00,6.00,5.00,6.75,3.00,3.00,5.00,201,NULL,212,'SETOR BUENO','GOIÂNIA','GO',11066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134978,9.00,6.00,5.00,7.00,9.00,9.75,4.00,8.00,7.00,103,NULL,NULL,'RECANTO','VALINHOS','SP',1049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5134986,7.00,5.00,6.00,8.00,8.00,9.00,5.00,3.00,6.00,216,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',4390,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5134994,6.00,7.00,2.00,3.00,6.00,9.38,0.00,2.00,5.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',12077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5135010,7.00,7.00,2.00,7.00,9.00,9.38,4.00,4.00,6.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',3125,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5135028,5.00,6.00,3.00,1.00,3.00,NULL,4.00,3.00,5.00,302,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135036,7.00,3.00,4.00,5.00,5.00,7.13,4.00,5.00,5.00,103,NULL,NULL,'BAIRRO IPIRANGA','S JOSÉ','SC',11542,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5135044,8.00,6.00,5.00,6.00,4.00,7.13,5.00,3.00,6.00,211,NULL,203,'CENTRO','UNIÃO VITÓRIA','PR',5801,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5135052,4.00,5.00,4.00,4.00,4.00,10.50,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5135060,2.00,4.00,4.00,5.00,6.00,9.00,1.00,1.00,4.00,303,NULL,NULL,'VILLAGE','GAROPABA','SC',13846,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5135079,4.00,5.00,1.00,3.00,5.00,NULL,0.00,2.00,2.00,207,NULL,233,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135087,6.00,6.00,4.00,7.00,7.00,7.50,2.00,4.00,5.00,201,NULL,202,'ITOUPAVA NORTE','BLUMENAU','SC',8255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135095,5.00,2.00,1.00,4.00,5.00,NULL,0.00,1.00,4.00,103,NULL,NULL,'VILA FLÔR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5135117,2.00,0.00,4.00,2.00,2.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5135133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5135150,5.00,7.00,0.00,7.00,5.00,6.75,4.00,3.00,3.00,202,NULL,203,'PINDORAMA','IJUÍ','RS',11366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135176,7.00,6.00,4.00,7.00,9.00,9.75,3.00,4.00,6.00,304,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135184,6.00,7.00,6.00,4.00,8.00,8.25,2.00,5.00,4.00,207,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',7064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5135192,6.00,8.00,6.00,7.00,9.00,8.63,5.00,3.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135206,7.00,6.00,2.00,3.00,8.00,7.88,1.00,4.00,5.00,103,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',11403,3350,NULL,NULL,NULL,NULL,NULL,2,7),(20,5135214,4.00,5.00,4.00,4.00,3.00,NULL,0.00,2.00,7.00,9,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5135222,9.00,9.00,6.00,7.00,8.00,8.63,8.00,4.00,6.00,103,NULL,NULL,'SAGRADO','LAGES','SC',1788,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5135230,5.00,7.00,4.00,7.00,8.00,10.50,4.00,5.00,6.00,201,NULL,208,'FLOR DA SERRA','JOAÇABA','SC',5215,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5135265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM BONFIGLIOLI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5135273,4.00,4.00,3.00,7.00,6.00,7.13,3.00,2.00,2.00,216,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135281,3.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,4.00,339,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5135303,7.00,8.00,4.00,6.00,7.00,0.00,2.00,7.00,5.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5135311,3.00,5.00,1.00,3.00,5.00,NULL,1.00,2.00,3.00,501,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5135320,6.00,6.00,6.00,5.00,8.00,9.00,6.00,6.00,6.00,215,NULL,601,'CARVOEIRA','FLORIANÓPOLIS','SC',2725,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5135338,6.00,4.00,0.00,5.00,4.00,NULL,2.00,5.00,2.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5135362,8.00,7.00,3.00,7.00,9.00,7.13,4.00,4.00,6.00,103,NULL,NULL,'VILA PAVAN','AMERICANA','SP',4065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135389,9.00,8.00,3.00,7.00,8.00,7.13,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','PERITIBA','SC',3030,1495,NULL,NULL,NULL,NULL,NULL,4,7),(20,5135397,4.00,5.00,1.00,5.00,8.00,10.13,0.00,4.00,4.00,601,NULL,653,'CENTRO','CURITIBANOS','SC',11748,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5135400,6.00,8.00,4.00,7.00,8.00,6.00,2.00,3.00,3.00,216,NULL,203,'SÃO VICENTE','ITAJAÍ','SC',8061,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5135419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SERIMBURA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5135427,5.00,7.00,5.00,5.00,6.00,6.75,3.00,4.00,4.00,203,NULL,220,'CORREGO GRANDE','FLORIANÓPOLIS','SC',7749,589,NULL,NULL,NULL,NULL,NULL,2,1),(20,5135443,9.00,7.00,3.00,5.00,8.00,12.75,3.00,7.00,5.00,103,NULL,NULL,'PARQUE BRASÍLIA','CACHOEIRINHA','RS',2979,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5135451,6.00,6.00,0.00,6.00,9.00,NULL,2.00,3.00,6.00,415,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5135460,5.00,7.00,5.00,4.00,6.00,8.25,4.00,4.00,7.00,203,NULL,235,'CENTRO','STA MARIA','RS',7452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135478,9.00,7.00,6.00,8.00,9.00,13.50,6.00,6.00,8.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135486,2.00,3.00,0.00,3.00,4.00,NULL,2.00,2.00,4.00,216,NULL,203,'CENTRO','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5135494,5.00,6.00,2.00,4.00,5.00,6.00,2.00,2.00,7.00,201,NULL,214,'CENTRO','STO AMARO IMPERATRIZ','SC',13107,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5135508,7.00,6.00,3.00,3.00,9.00,9.38,3.00,3.00,6.00,308,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',7669,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5135524,5.00,6.00,4.00,3.00,5.00,8.25,4.00,4.00,1.00,453,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',14264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'RESIDENCIAL FLORENÇA','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5135540,8.00,4.00,6.00,7.00,6.00,9.75,5.00,5.00,6.00,207,NULL,201,'MOEMA','S PAULO','SP',4063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135567,7.00,5.00,1.00,4.00,6.00,7.88,2.00,3.00,3.00,428,NULL,NULL,'TERRA FRACA','PALHOÇA','SC',14922,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5135575,8.00,7.00,7.00,8.00,10.00,12.00,4.00,7.00,8.00,207,NULL,211,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',278,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5135583,7.00,6.00,5.00,6.00,7.00,6.38,5.00,3.00,7.00,202,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',5210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135591,9.00,7.00,2.00,8.00,10.00,9.00,5.00,4.00,7.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',1961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135605,3.00,6.00,4.00,2.00,8.00,7.88,1.00,4.00,2.00,429,NULL,426,'ITACORUBI','FLORIANÓPOLIS','SC',15506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135613,6.00,7.00,0.00,6.00,5.00,7.88,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',10328,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5135621,2.00,5.00,2.00,4.00,7.00,6.75,4.00,3.00,4.00,302,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',15048,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5135648,1.00,6.00,1.00,7.00,5.00,10.50,0.00,4.00,2.00,333,NULL,NULL,'FLORESTA','CONCÓRDIA','SC',14886,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5135656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VILA PARAÍSO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5135664,4.00,6.00,2.00,3.00,6.00,7.50,3.00,2.00,5.00,3,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',15263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5135672,8.00,7.00,4.00,8.00,7.00,8.25,2.00,5.00,7.00,450,NULL,NULL,'CAXINGUI','S PAULO','SP',3192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135699,3.00,8.00,2.00,8.00,7.00,8.25,2.00,3.00,4.00,303,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5135702,4.00,4.00,1.00,4.00,7.00,7.50,5.00,3.00,3.00,425,NULL,424,'ESTREITO','FLORIANÓPOLIS','SC',12378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135729,9.00,5.00,5.00,7.00,8.00,9.38,3.00,4.00,6.00,103,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',5073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO ANTONIO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5135745,8.00,5.00,2.00,6.00,4.00,7.88,7.00,4.00,7.00,203,NULL,214,'MERCES','CURITIBA','PR',4913,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5135753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,423,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5135761,5.00,5.00,0.00,6.00,4.00,6.00,3.00,3.00,4.00,316,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',15991,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5135788,3.00,4.00,2.00,6.00,3.00,NULL,2.00,1.00,2.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135796,9.00,6.00,7.00,6.00,9.00,10.13,4.00,4.00,9.00,103,NULL,NULL,'VANEZA','XANXERÊ','SC',1504,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5135800,3.00,5.00,2.00,7.00,9.00,8.63,3.00,2.00,6.00,103,NULL,NULL,'CENTRO','ASCURRA','SC',12303,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5135826,4.00,2.00,1.00,6.00,7.00,NULL,2.00,1.00,4.00,216,NULL,233,'BELA VISTA','CASCA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135834,3.00,6.00,1.00,0.00,3.00,NULL,2.00,2.00,0.00,302,NULL,NULL,'SÃO SEBASTIÃO','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135842,5.00,5.00,1.00,4.00,7.00,7.13,3.00,2.00,5.00,501,NULL,NULL,'CENTRO','IMBITUBA','SC',13193,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5135850,6.00,6.00,4.00,4.00,7.00,9.00,4.00,4.00,6.00,601,NULL,213,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',8130,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5135869,8.00,8.00,2.00,6.00,8.00,6.38,5.00,3.00,7.00,340,NULL,NULL,'LAGOA','FLORIANÓPOLIS','SC',5692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135877,6.00,6.00,6.00,4.00,8.00,10.88,3.00,4.00,4.00,223,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5959,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5135885,3.00,4.00,2.00,3.00,3.00,NULL,1.00,3.00,3.00,329,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135893,9.00,8.00,6.00,6.00,7.00,8.63,4.00,4.00,8.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',2207,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5135907,5.00,6.00,2.00,5.00,9.00,7.13,3.00,4.00,4.00,331,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',12260,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5135923,8.00,7.00,2.00,6.00,8.00,9.75,5.00,7.00,8.00,214,NULL,213,'CARVOEIRA','FLORIANÓPOLIS','SC',2180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135931,5.00,7.00,2.00,2.00,6.00,9.00,4.00,3.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12921,3506,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135940,4.00,6.00,1.00,4.00,5.00,7.50,0.00,3.00,4.00,309,NULL,NULL,'BUCAREIN','JOINVILLE','SC',15253,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5135958,6.00,4.00,3.00,5.00,6.00,8.25,4.00,2.00,5.00,103,NULL,NULL,'PORTAO','CURITIBA','PR',9234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5135966,8.00,5.00,5.00,3.00,7.00,7.88,3.00,3.00,4.00,108,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',7852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5135974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5135982,8.00,6.00,2.00,7.00,9.00,10.50,4.00,3.00,5.00,303,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',4921,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5135990,9.00,9.00,2.00,7.00,7.00,9.75,1.00,2.00,8.00,103,NULL,NULL,'JARDIM GUAPORÉ','MARINGÁ','PR',4334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136008,3.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5136016,6.00,5.00,3.00,5.00,7.00,10.50,3.00,6.00,5.00,317,NULL,NULL,'BELA VISTA','S JOSÉ','SC',7836,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5136024,5.00,5.00,4.00,7.00,8.00,9.38,4.00,3.00,3.00,103,NULL,NULL,'VILA ANDRADE','S PAULO','SP',10070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136032,7.00,6.00,3.00,4.00,6.00,8.25,3.00,5.00,9.00,205,NULL,NULL,'SÃO JOSÉ OPERÁRIO','RIO GRANDE','RS',6441,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5136040,7.00,7.00,4.00,7.00,8.00,9.00,3.00,5.00,5.00,202,NULL,201,'CENTRO','JARAGUÁ SUL','SC',3902,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5136059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5136067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(20,5136075,5.00,5.00,4.00,7.00,6.00,7.50,4.00,7.00,3.00,303,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5136083,4.00,4.00,2.00,7.00,5.00,7.50,0.00,3.00,3.00,201,NULL,212,'SANTA MONICA','FLORIANÓPOLIS','SC',16218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136091,6.00,3.00,1.00,3.00,7.00,9.00,3.00,2.00,3.00,444,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13895,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5136105,9.00,7.00,9.00,7.00,9.00,10.13,5.00,4.00,9.00,103,NULL,NULL,'ZONA DOIS','CIANORTE','PR',615,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5136113,9.00,8.00,2.00,6.00,10.00,10.50,3.00,6.00,9.00,103,NULL,NULL,'UMBARÁ','CURITIBA','PR',1288,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5136121,7.00,6.00,4.00,6.00,8.00,8.63,3.00,2.00,6.00,215,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',5424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136148,9.00,7.00,7.00,7.00,10.00,9.00,6.00,3.00,6.00,211,NULL,216,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',1226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136156,4.00,2.00,0.00,3.00,4.00,NULL,3.00,2.00,4.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5136164,4.00,4.00,0.00,2.00,6.00,NULL,3.00,2.00,5.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5136172,9.00,9.00,8.00,7.00,9.00,7.88,9.00,8.00,9.00,203,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',48,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136180,4.00,3.00,3.00,7.00,6.00,10.88,0.00,3.00,6.00,444,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'VILLAGE','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5136202,4.00,6.00,1.00,6.00,7.00,9.00,4.00,3.00,5.00,201,NULL,220,'JARDIM UNIVERSITÁRIO','MARINGÁ','PR',9209,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5136210,5.00,6.00,1.00,4.00,6.00,6.75,3.00,3.00,3.00,551,NULL,NULL,'ITAIBA','CONCÓRDIA','SC',14836,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5136229,7.00,6.00,4.00,7.00,10.00,9.75,4.00,6.00,5.00,303,NULL,NULL,'PARAÍSO','S PAULO','SP',2952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136237,2.00,4.00,1.00,2.00,2.00,NULL,1.00,3.00,3.00,502,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',5,6),(20,5136253,5.00,7.00,3.00,7.00,7.00,7.88,1.00,2.00,3.00,5,NULL,NULL,'JARDIM SOFIA','JOINVILLE','SC',11706,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5136261,5.00,3.00,3.00,5.00,6.00,6.00,2.00,4.00,2.00,333,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16028,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5136270,5.00,5.00,3.00,3.00,6.00,6.38,1.00,3.00,5.00,203,NULL,202,'ITAIM BIBI','S PAULO','SP',14245,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5136288,3.00,5.00,0.00,5.00,6.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'INTERIOR','ITÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5136296,4.00,5.00,0.00,4.00,7.00,NULL,1.00,2.00,4.00,601,NULL,211,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5136300,7.00,4.00,3.00,5.00,9.00,12.00,1.00,2.00,5.00,103,NULL,NULL,'MEDIANEIRA','PTO ALEGRE','RS',8363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5136326,3.00,4.00,3.00,3.00,4.00,NULL,0.00,2.00,4.00,331,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5136334,7.00,6.00,2.00,5.00,5.00,6.75,0.00,2.00,3.00,303,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136342,3.00,5.00,6.00,7.00,5.00,8.63,4.00,2.00,8.00,203,NULL,214,'CENTRO','CHAPECÓ','SC',8898,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5136350,5.00,8.00,2.00,5.00,7.00,6.00,1.00,2.00,5.00,207,NULL,201,'ROÇADO','S JOSÉ','SC',10528,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5136369,8.00,7.00,3.00,5.00,5.00,7.50,4.00,4.00,7.00,103,NULL,NULL,'JARDIM PETRÓPOLIS','FOZ IGUAÇU','PR',7635,2769,NULL,NULL,NULL,NULL,NULL,2,1),(20,5136377,4.00,5.00,4.00,5.00,9.00,9.00,2.00,3.00,7.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136385,2.00,4.00,0.00,2.00,4.00,NULL,1.00,0.00,0.00,9,NULL,NULL,'CERAMARTE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5136393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5136407,8.00,8.00,2.00,5.00,7.00,6.75,5.00,3.00,7.00,303,NULL,NULL,'CORAL','LAGES','SC',5855,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5136415,5.00,5.00,1.00,6.00,8.00,9.75,1.00,3.00,3.00,207,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5136423,3.00,7.00,3.00,1.00,2.00,NULL,3.00,3.00,5.00,225,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136431,7.00,7.00,2.00,7.00,8.00,11.25,3.00,5.00,7.00,319,NULL,NULL,'AMÉRICA','JOINVILLE','SC',3684,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5136440,7.00,5.00,5.00,7.00,8.00,9.00,4.00,6.00,8.00,201,NULL,235,'CENTRO','STA ROSA','RS',2785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136458,9.00,8.00,9.00,7.00,10.00,10.13,8.00,5.00,9.00,203,NULL,216,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',55,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136466,6.00,3.00,0.00,4.00,6.00,NULL,0.00,2.00,3.00,201,NULL,207,'VENEZA','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5136474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CIANORTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5136482,9.00,6.00,4.00,7.00,8.00,8.25,9.00,5.00,9.00,103,NULL,NULL,'OCTOGONAL','CRUZEIRO','DF',1216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136490,5.00,5.00,2.00,2.00,3.00,NULL,0.00,2.00,5.00,201,NULL,207,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5136504,9.00,6.00,5.00,7.00,8.00,11.63,5.00,5.00,4.00,103,NULL,NULL,'SANTA CANDIDA','CURITIBA','PR',2524,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5136547,7.00,5.00,2.00,7.00,7.00,9.00,4.00,1.00,5.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5136563,8.00,7.00,4.00,7.00,6.00,8.63,1.00,6.00,4.00,415,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7796,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5136571,2.00,4.00,1.00,2.00,5.00,NULL,0.00,2.00,4.00,238,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5136580,7.00,5.00,0.00,4.00,7.00,9.00,2.00,5.00,4.00,103,NULL,NULL,'PARQUE DAS PALMEIRAS','CHAPECÓ','SC',11055,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5136598,8.00,7.00,7.00,7.00,9.00,12.00,7.00,5.00,8.00,340,NULL,NULL,'TUCURUVI','S PAULO','SP',488,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5136601,5.00,6.00,3.00,5.00,6.00,9.00,1.00,4.00,4.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',12338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136610,8.00,8.00,4.00,6.00,9.00,9.75,4.00,4.00,7.00,212,NULL,238,'COQUEIROS','FLORIANÓPOLIS','SC',1871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136628,5.00,5.00,1.00,6.00,5.00,7.50,1.00,3.00,4.00,302,NULL,NULL,'GUIOMAR','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136636,9.00,6.00,3.00,8.00,6.00,10.88,4.00,5.00,4.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',5491,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5136644,3.00,6.00,3.00,5.00,8.00,7.50,2.00,0.00,3.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',14081,365,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136652,7.00,6.00,1.00,6.00,5.00,9.38,1.00,5.00,5.00,5,NULL,NULL,'FLORESTA','S JOSÉ','SC',10063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136660,5.00,6.00,3.00,4.00,4.00,8.63,1.00,3.00,2.00,331,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136687,9.00,8.00,4.00,6.00,10.00,9.38,8.00,7.00,8.00,103,NULL,NULL,'NONOAI','PTO ALEGRE','RS',577,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5136695,2.00,0.00,4.00,2.00,7.00,NULL,0.00,0.00,0.00,212,NULL,207,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(20,5136709,4.00,6.00,2.00,2.00,6.00,8.25,1.00,3.00,5.00,207,NULL,201,'NOSSA SRA DE FÁTIMA','CAXIAS SUL','RS',13753,658,NULL,985,NULL,NULL,NULL,4,1),(20,5136717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','HONÓRIO SERPA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5136725,8.00,9.00,6.00,7.00,10.00,7.88,6.00,4.00,8.00,203,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',1338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136733,6.00,5.00,4.00,5.00,9.00,9.38,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4517,2002,NULL,NULL,NULL,NULL,NULL,2,3),(20,5136741,7.00,0.00,5.00,7.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(20,5136750,8.00,9.00,1.00,6.00,10.00,7.88,5.00,6.00,7.00,216,NULL,214,'MONTE VERDE','FLORIANÓPOLIS','SC',2453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136768,9.00,7.00,5.00,7.00,7.00,7.13,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','MORRETES','PR',2595,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5136784,8.00,7.00,7.00,6.00,10.00,7.88,4.00,6.00,8.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136792,7.00,7.00,1.00,6.00,9.00,9.00,3.00,4.00,5.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',6984,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5136806,3.00,4.00,0.00,4.00,7.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','SANANDUVA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5136822,8.00,8.00,2.00,7.00,8.00,8.63,3.00,5.00,6.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',4108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CAMPO DO GADO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5136849,6.00,5.00,2.00,6.00,9.00,9.00,2.00,3.00,6.00,220,NULL,NULL,'CANOAS','RIO SUL','SC',7191,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5136857,6.00,6.00,4.00,4.00,2.00,NULL,4.00,5.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5136865,8.00,9.00,9.00,8.00,11.00,11.63,9.00,6.00,9.00,207,NULL,201,'CORREGO GRANDE','FLORIANÓPOLIS','SC',10,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136873,7.00,5.00,0.00,3.00,5.00,6.75,3.00,4.00,5.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',12741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136890,3.00,6.00,4.00,3.00,3.00,NULL,2.00,4.00,5.00,225,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5136903,8.00,6.00,5.00,7.00,10.00,7.88,4.00,3.00,6.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',3384,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5136911,8.00,7.00,6.00,7.00,9.00,12.00,4.00,6.00,8.00,103,NULL,NULL,'PARQUE ALVORADA','DOURADOS','MS',818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136920,8.00,9.00,6.00,7.00,10.00,10.13,6.00,7.00,7.00,5,NULL,NULL,'CENTRO','PALHOÇA','SC',255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136938,7.00,8.00,1.00,4.00,8.00,6.00,3.00,4.00,6.00,202,NULL,213,'ESTAÇÃO','ASCURRA','SC',7427,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5136946,2.00,2.00,0.00,3.00,3.00,NULL,3.00,0.00,1.00,104,NULL,NULL,'MORRO DA BINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5136954,9.00,8.00,8.00,8.00,8.00,11.63,7.00,5.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5136989,5.00,7.00,5.00,4.00,4.00,7.13,2.00,1.00,3.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5136997,7.00,5.00,5.00,6.00,7.00,7.88,6.00,6.00,5.00,318,NULL,NULL,'PQ VIA NORTE','CAMPINAS','SP',4427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137004,3.00,4.00,1.00,5.00,5.00,8.25,3.00,2.00,4.00,201,NULL,207,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5137012,1.00,4.00,0.00,6.00,5.00,NULL,0.00,2.00,3.00,425,NULL,429,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137020,9.00,9.00,8.00,6.00,8.00,9.38,8.00,7.00,8.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137039,2.00,2.00,3.00,3.00,7.00,NULL,0.00,1.00,3.00,316,NULL,NULL,'PONTA FINA SUL','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,2),(20,5137047,4.00,4.00,5.00,5.00,5.00,7.13,1.00,3.00,5.00,207,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',14742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137063,9.00,8.00,7.00,7.00,7.00,10.88,6.00,7.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',540,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5137071,7.00,7.00,4.00,7.00,8.00,8.63,4.00,3.00,8.00,212,NULL,233,'CENTRO','CRICIÚMA','SC',3939,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5137080,9.00,6.00,5.00,7.00,8.00,6.75,4.00,5.00,6.00,2,NULL,NULL,'JD AQUARIUS','S JOSÉ CAMPOS','SP',3636,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5137098,5.00,6.00,1.00,4.00,6.00,8.25,4.00,5.00,4.00,202,NULL,235,'SÃO FRANCISCO','CRICIÚMA','SC',10806,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5137101,2.00,3.00,0.00,2.00,3.00,NULL,0.00,1.00,1.00,415,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','S JOAQUIM BARRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5137128,7.00,8.00,4.00,7.00,7.00,7.88,3.00,5.00,6.00,201,NULL,212,'CARVOEIRA','FLORIANÓPOLIS','SC',4600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137136,9.00,7.00,7.00,6.00,8.00,8.25,6.00,4.00,8.00,211,NULL,216,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137152,6.00,6.00,3.00,6.00,8.00,9.00,1.00,5.00,7.00,103,NULL,NULL,'HUMAITA','TUBARÃO','SC',7078,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5137160,5.00,5.00,4.00,7.00,3.00,NULL,0.00,1.00,3.00,420,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137179,8.00,6.00,5.00,6.00,10.00,9.00,4.00,5.00,6.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',3357,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5137187,6.00,7.00,4.00,6.00,8.00,6.75,4.00,3.00,7.00,208,NULL,238,'PASSA VINTE','PALHOÇA','SC',7621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137195,5.00,6.00,4.00,7.00,7.00,9.38,3.00,1.00,5.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',9721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137217,5.00,4.00,1.00,6.00,7.00,6.75,4.00,3.00,4.00,450,NULL,NULL,'CENTRO','STO ÂNGELO','RS',13060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5137233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5137241,6.00,6.00,0.00,4.00,6.00,6.75,1.00,3.00,6.00,9,NULL,NULL,'N SENHORA DO ROSÁRIO','S JOSÉ','SC',13155,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5137250,8.00,8.00,5.00,8.00,8.00,11.25,5.00,3.00,6.00,303,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',2131,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5137268,9.00,7.00,8.00,7.00,10.00,7.88,7.00,3.00,9.00,203,NULL,214,'ALTO DAS OLIVEIRAS','TELÊMACO BORBA','PR',575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137276,6.00,7.00,3.00,5.00,7.00,7.88,3.00,4.00,3.00,503,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',11039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137284,5.00,4.00,4.00,4.00,5.00,8.25,2.00,2.00,4.00,601,NULL,211,'TESTO REGA','POMERODE','SC',14546,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5137306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'CENTRO','IRAPURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5137314,7.00,6.00,4.00,5.00,9.00,7.50,6.00,4.00,6.00,213,NULL,653,'JARDIM REGINA','RANCHARIA','SP',4697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137322,7.00,6.00,8.00,6.00,10.00,8.25,6.00,6.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1493,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5137330,3.00,3.00,0.00,4.00,4.00,NULL,2.00,2.00,0.00,211,NULL,208,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5137349,3.00,3.00,1.00,3.00,4.00,NULL,2.00,0.00,3.00,317,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5137357,4.00,3.00,0.00,4.00,4.00,NULL,1.00,1.00,0.00,9,NULL,NULL,'SANGA DA TOCA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5137365,9.00,6.00,4.00,7.00,9.00,NULL,6.00,6.00,7.00,103,NULL,NULL,'BOQUEIRAO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,6),(20,5137373,4.00,4.00,1.00,2.00,2.00,NULL,3.00,1.00,3.00,103,NULL,NULL,'ARISTOCRATA','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5137390,6.00,6.00,5.00,4.00,6.00,9.00,0.00,4.00,4.00,103,NULL,NULL,'SÃO CRISTOVÃO','UNIÃO VITÓRIA','PR',9536,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5137403,4.00,4.00,0.00,3.00,7.00,NULL,1.00,1.00,4.00,324,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5137411,4.00,6.00,1.00,3.00,6.00,9.75,3.00,4.00,7.00,102,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',12677,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5137420,7.00,7.00,5.00,6.00,7.00,8.63,3.00,5.00,4.00,453,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',6989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137438,9.00,8.00,4.00,8.00,7.00,8.63,4.00,5.00,9.00,303,NULL,NULL,'BUCAREIN','JOINVILLE','SC',1974,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5137446,6.00,5.00,3.00,4.00,4.00,7.88,2.00,5.00,4.00,309,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5137454,8.00,4.00,6.00,7.00,8.00,8.25,4.00,7.00,5.00,202,NULL,213,'CANTO','FLORIANÓPOLIS','SC',4775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137462,3.00,4.00,2.00,5.00,4.00,7.88,2.00,3.00,2.00,104,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',15546,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5137470,9.00,7.00,4.00,5.00,8.00,8.63,6.00,6.00,8.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',2201,1166,NULL,NULL,NULL,NULL,NULL,2,8),(20,5137489,8.00,8.00,8.00,7.00,9.00,7.88,4.00,3.00,7.00,203,NULL,220,'JARDIM SÃO CRISTÓVÃO','BRAGANÇA PAULISTA','SP',1923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137497,8.00,7.00,8.00,5.00,10.00,12.00,9.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',144,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5137500,5.00,6.00,1.00,6.00,6.00,7.50,3.00,3.00,3.00,201,NULL,212,'CENTRO','MARAVILHA','SC',11214,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5137527,8.00,5.00,1.00,3.00,4.00,8.25,0.00,2.00,4.00,104,NULL,NULL,'PANORAMICO','MARAVILHA','SC',14970,401,NULL,NULL,NULL,NULL,NULL,2,4),(20,5137535,6.00,3.00,1.00,0.00,6.00,NULL,1.00,2.00,2.00,301,NULL,NULL,'RIOTAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137543,2.00,3.00,4.00,7.00,5.00,7.13,4.00,1.00,7.00,220,NULL,208,'MIRANTE DA LAGOA','MACAÉ','RJ',12450,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5137551,7.00,7.00,5.00,7.00,9.00,12.75,5.00,4.00,9.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137578,8.00,5.00,0.00,5.00,7.00,9.38,4.00,3.00,5.00,207,NULL,201,'SANTA CATARINA','JOINVILLE','SC',8257,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5137586,9.00,9.00,6.00,7.00,10.00,11.25,3.00,8.00,7.00,2,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137594,5.00,4.00,2.00,5.00,8.00,8.25,3.00,6.00,2.00,216,NULL,NULL,'CENTRO','CRICIÚMA','SC',12315,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5137608,8.00,5.00,2.00,7.00,8.00,8.25,5.00,3.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137616,6.00,7.00,8.00,7.00,9.00,9.00,4.00,7.00,7.00,214,NULL,216,'GRANJA VIANA','COTIA','SP',1736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PARQUE DA FIGUEIRA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5137659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5137667,7.00,8.00,4.00,6.00,4.00,10.13,5.00,5.00,7.00,103,NULL,NULL,'PASSO DE AREIA','STA MARIA','RS',5165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5137675,6.00,7.00,1.00,3.00,3.00,NULL,1.00,2.00,4.00,235,NULL,208,'COLINAS DO ERMITAGE','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137683,5.00,7.00,4.00,4.00,6.00,NULL,0.00,3.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5137705,8.00,6.00,6.00,6.00,9.00,8.63,6.00,4.00,8.00,220,NULL,235,'CENTRO','MARINGÁ','PR',2314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137713,5.00,6.00,2.00,6.00,7.00,8.63,3.00,5.00,3.00,220,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',11442,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5137721,7.00,6.00,2.00,6.00,8.00,7.88,2.00,3.00,4.00,453,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137730,5.00,4.00,0.00,6.00,6.00,9.00,1.00,4.00,4.00,425,NULL,429,'CENTRO','BAL CAMBORIÚ','SC',14655,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5137748,5.00,2.00,1.00,3.00,4.00,NULL,1.00,2.00,5.00,9,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137756,9.00,7.00,5.00,7.00,7.00,8.63,5.00,5.00,7.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',1746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137764,9.00,8.00,7.00,7.00,9.00,10.88,6.00,4.00,8.00,103,NULL,NULL,'JOAO PAULO II','PRES PRUDENTE','SP',526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137772,7.00,6.00,5.00,7.00,9.00,9.00,4.00,6.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',2112,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5137799,4.00,6.00,0.00,3.00,1.00,NULL,1.00,3.00,4.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5137802,8.00,8.00,2.00,7.00,7.00,9.75,3.00,5.00,8.00,203,NULL,233,'BARREIROS','S JOSÉ','SC',4581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137810,7.00,7.00,4.00,6.00,8.00,8.63,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',3307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5137837,4.00,4.00,2.00,5.00,3.00,NULL,2.00,1.00,4.00,551,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5137845,5.00,6.00,2.00,7.00,4.00,8.25,2.00,3.00,4.00,238,NULL,208,'DEHON','TUBARÃO','SC',12571,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5137861,4.00,5.00,2.00,3.00,8.00,NULL,0.00,2.00,3.00,238,NULL,208,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137870,8.00,6.00,5.00,7.00,6.00,12.00,5.00,4.00,6.00,220,NULL,235,'MONTE CASTELO','CPO GRANDE','MS',2858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'CARIJÓS','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5137900,6.00,5.00,2.00,6.00,5.00,7.13,2.00,2.00,4.00,601,NULL,235,'JOAO PESSOA','JARAGUÁ SUL','SC',12034,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5137918,5.00,5.00,1.00,4.00,4.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5137926,4.00,7.00,3.00,7.00,6.00,6.75,1.00,3.00,5.00,601,NULL,NULL,'CENTRO CIVÍCO','CURITIBA','PR',9593,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5137934,9.00,8.00,7.00,8.00,8.00,9.00,6.00,4.00,8.00,220,NULL,203,'JD RES TIVOLI PARK','SOROCABA','SP',1045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137942,2.00,5.00,0.00,7.00,7.00,7.13,1.00,3.00,3.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',14736,3729,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137950,3.00,6.00,3.00,7.00,3.00,NULL,2.00,3.00,5.00,238,NULL,208,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5137969,6.00,3.00,3.00,4.00,7.00,11.25,3.00,4.00,4.00,202,NULL,213,'CENTRO','ANTÔNIO CARLOS','SC',8043,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5137977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'EXPOSIÇÃO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5137985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CAPAO DA IMBUIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5137993,5.00,5.00,2.00,3.00,7.00,9.75,2.00,4.00,6.00,103,NULL,NULL,'JARDIM BELVEDERE','ARARAS','SP',8115,2850,NULL,NULL,NULL,NULL,NULL,4,6),(20,5138000,7.00,8.00,4.00,5.00,8.00,8.63,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','ASSIS','SP',3152,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5138019,1.00,3.00,0.00,0.00,2.00,NULL,2.00,3.00,0.00,551,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5138027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','DIADEMA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5138035,2.00,5.00,1.00,4.00,6.00,NULL,0.00,2.00,2.00,9,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5138051,4.00,6.00,4.00,2.00,5.00,NULL,2.00,1.00,2.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138060,6.00,5.00,4.00,5.00,5.00,7.50,1.00,2.00,3.00,213,NULL,233,'CENTRO','CURITIBA','PR',14789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138078,5.00,4.00,0.00,6.00,5.00,8.25,0.00,6.00,2.00,333,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',15878,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5138086,4.00,6.00,2.00,5.00,4.00,6.00,3.00,4.00,4.00,420,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',13624,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5138094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5138108,6.00,5.00,4.00,7.00,6.00,7.50,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',6838,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5138116,3.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,2.00,201,NULL,213,'MORRINHOS II','GUARUJÁ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5138124,7.00,4.00,1.00,3.00,6.00,8.63,1.00,1.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15694,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5138132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'FORTALEZA DA BARRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5138140,9.00,5.00,7.00,7.00,9.00,10.50,6.00,4.00,6.00,207,NULL,NULL,'VILA MATILDE','S PAULO','SP',2490,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5138159,8.00,8.00,3.00,7.00,9.00,8.63,3.00,5.00,7.00,9,NULL,NULL,'CENTRO','TIJUCAS','SC',3795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138167,7.00,8.00,1.00,7.00,10.00,10.13,1.00,4.00,4.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138175,8.00,4.00,6.00,7.00,5.00,8.63,6.00,3.00,8.00,214,NULL,212,'JD VITORIA','GOIÂNIA','GO',3168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138183,5.00,6.00,4.00,7.00,7.00,8.25,3.00,2.00,3.00,202,NULL,NULL,'CENTRO','CURITIBA','PR',9514,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5138191,7.00,6.00,5.00,7.00,8.00,12.38,3.00,5.00,8.00,216,NULL,233,'BOA VISTA','JOINVILLE','SC',2082,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5138205,6.00,7.00,3.00,7.00,7.00,10.50,4.00,6.00,5.00,207,NULL,NULL,'CENTRO','BLUMENAU','SC',5488,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5138213,4.00,4.00,1.00,5.00,4.00,8.63,1.00,3.00,4.00,427,NULL,429,'CARIANOS','FLORIANÓPOLIS','SC',16255,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5138221,3.00,2.00,0.00,7.00,3.00,NULL,1.00,3.00,3.00,329,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5138230,9.00,8.00,6.00,6.00,9.00,6.38,7.00,6.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',675,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5138248,7.00,7.00,4.00,7.00,5.00,8.63,1.00,4.00,6.00,216,NULL,201,'CENTRO','LAGES','SC',5503,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5138272,6.00,8.00,3.00,5.00,9.00,8.63,1.00,6.00,4.00,201,NULL,212,'CRUZEIRO','S LOURENÇO OESTE','SC',6499,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5138280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5138299,6.00,7.00,6.00,3.00,4.00,8.25,3.00,3.00,3.00,404,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',13247,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5138302,3.00,5.00,1.00,6.00,7.00,10.50,2.00,1.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5138310,9.00,8.00,6.00,6.00,11.00,12.38,6.00,6.00,9.00,103,NULL,NULL,'CENTRO','BIGUAÇU','SC',97,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5138329,7.00,3.00,2.00,3.00,3.00,NULL,1.00,2.00,5.00,216,NULL,211,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5138345,10.00,7.00,5.00,6.00,8.00,9.75,2.00,5.00,6.00,103,NULL,NULL,'BAEPENDI','JARAGUÁ SUL','SC',2685,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5138361,7.00,7.00,0.00,6.00,10.00,NULL,4.00,5.00,5.00,9,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5138370,4.00,4.00,3.00,3.00,5.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5138388,2.00,4.00,1.00,3.00,5.00,NULL,0.00,2.00,3.00,653,NULL,202,'SANTA CATARINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5138396,3.00,5.00,0.00,5.00,5.00,NULL,3.00,1.00,3.00,238,NULL,233,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','MARIANO MORO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5138418,9.00,6.00,6.00,7.00,8.00,10.13,5.00,6.00,9.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',723,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5138434,4.00,5.00,3.00,4.00,4.00,7.88,2.00,3.00,3.00,215,NULL,233,'COMERCIARIO','CRICIÚMA','SC',15248,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5138442,8.00,7.00,4.00,4.00,9.00,8.63,1.00,8.00,7.00,103,NULL,NULL,'PIONEIRO','PINHALZINHO','SC',3721,1758,NULL,NULL,NULL,NULL,NULL,2,4),(20,5138450,4.00,5.00,3.00,7.00,4.00,7.13,1.00,5.00,4.00,203,NULL,201,'UNIVERSITÁRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5138477,7.00,7.00,7.00,7.00,10.00,8.63,6.00,4.00,6.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',1155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138485,2.00,5.00,1.00,5.00,4.00,NULL,0.00,3.00,1.00,215,NULL,653,'ZONA NOVA','CAPÃO CANOA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5138493,5.00,4.00,3.00,6.00,9.00,8.63,2.00,1.00,4.00,340,NULL,NULL,'CENTRO','CANARANA','MT',10604,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5138507,9.00,8.00,6.00,7.00,10.00,8.25,5.00,3.00,7.00,303,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',1742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138540,5.00,4.00,4.00,5.00,8.00,6.00,1.00,4.00,3.00,216,NULL,215,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5138558,5.00,4.00,2.00,3.00,4.00,NULL,1.00,1.00,3.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138566,4.00,6.00,2.00,5.00,5.00,7.50,3.00,3.00,2.00,340,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',15191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5138574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'VILA SANTA TERESA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5138582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'MARÍLIA','LGA PRATA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5138590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','SORRISO','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5138612,2.00,7.00,2.00,4.00,8.00,9.75,3.00,7.00,6.00,317,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',8745,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5138620,5.00,7.00,1.00,4.00,9.00,9.75,2.00,4.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10045,336,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138647,8.00,6.00,3.00,6.00,4.00,7.50,2.00,5.00,6.00,215,NULL,211,'CENTRO','MARIALVA','PR',7739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PACAEMBU','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5138663,8.00,5.00,4.00,6.00,8.00,11.63,4.00,6.00,8.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138671,6.00,8.00,4.00,4.00,5.00,8.25,2.00,3.00,3.00,203,NULL,601,'ALTO DE MAFRA','MAFRA','SC',10612,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5138701,2.00,4.00,1.00,3.00,7.00,NULL,3.00,5.00,2.00,451,NULL,NULL,'ZONA TRÊS','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5138710,4.00,4.00,2.00,4.00,5.00,NULL,1.00,2.00,3.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5138728,6.00,4.00,1.00,6.00,8.00,8.63,0.00,4.00,4.00,216,NULL,215,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5138736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM TAQUARAL','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5138744,4.00,1.00,1.00,2.00,4.00,NULL,4.00,0.00,2.00,104,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5138752,8.00,6.00,1.00,6.00,10.00,9.38,1.00,4.00,6.00,303,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',6687,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5138760,9.00,7.00,6.00,7.00,9.00,6.75,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',2758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138779,7.00,5.00,2.00,6.00,8.00,9.75,5.00,2.00,9.00,216,NULL,601,'CENTRO','LAGUNA','SC',5031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5138787,7.00,6.00,4.00,6.00,7.00,10.50,3.00,3.00,5.00,450,NULL,NULL,'BELA VISTA','BARRETOS','SP',5815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138795,3.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5138817,9.00,9.00,6.00,6.00,9.00,11.25,6.00,5.00,9.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138825,8.00,6.00,4.00,6.00,8.00,8.25,5.00,4.00,8.00,216,NULL,233,'CENTRO SÃO JOSÉ','S JOSÉ','SC',3358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138833,8.00,8.00,8.00,7.00,8.00,8.25,1.00,4.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138850,8.00,7.00,8.00,7.00,5.00,8.63,5.00,3.00,8.00,201,NULL,202,'CABRAL','CURITIBA','PR',2579,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5138868,9.00,8.00,4.00,5.00,7.00,8.25,3.00,7.00,6.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',3544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5138884,6.00,6.00,3.00,5.00,6.00,7.13,0.00,0.00,6.00,303,NULL,NULL,'VILA SUISSA','RIBEIRÃO PIRES','SP',10711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5138892,5.00,6.00,3.00,7.00,7.00,10.50,3.00,3.00,4.00,216,NULL,215,'ESTREITO','FLORIANÓPOLIS','SC',7825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138906,8.00,6.00,5.00,6.00,7.00,11.25,5.00,4.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',2290,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5138914,2.00,5.00,4.00,7.00,4.00,7.50,4.00,1.00,5.00,208,NULL,202,'VILA GRANADA','S PAULO','SP',12001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138922,6.00,6.00,3.00,8.00,9.00,7.13,2.00,5.00,6.00,420,NULL,NULL,'VILA A','FOZ IGUAÇU','PR',7390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138930,4.00,4.00,0.00,3.00,4.00,NULL,0.00,2.00,4.00,208,NULL,NULL,'SÃO SEBASTIÃO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5138949,7.00,6.00,5.00,5.00,9.00,8.25,4.00,3.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138957,9.00,9.00,4.00,7.00,8.00,11.63,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138965,5.00,7.00,2.00,6.00,6.00,7.50,4.00,4.00,6.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5138981,6.00,6.00,1.00,5.00,8.00,8.63,2.00,4.00,3.00,601,NULL,202,'FAZENDA','ITAJAÍ','SC',7617,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5138990,7.00,8.00,7.00,7.00,7.00,11.25,4.00,4.00,2.00,340,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',3745,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5139007,5.00,6.00,3.00,3.00,6.00,6.00,2.00,2.00,5.00,404,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',15388,48,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139015,4.00,5.00,1.00,7.00,4.00,0.00,2.00,2.00,3.00,215,NULL,201,'PORTAL DAS VIDEIRAS','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5139040,7.00,6.00,2.00,2.00,7.00,8.63,3.00,5.00,4.00,225,NULL,NULL,'BARREIROS','S JOSÉ','SC',10663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5139066,8.00,8.00,7.00,7.00,9.00,8.25,8.00,6.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',383,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5139074,4.00,5.00,2.00,3.00,3.00,NULL,3.00,4.00,5.00,404,NULL,NULL,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5139090,3.00,3.00,3.00,3.00,3.00,NULL,2.00,4.00,2.00,301,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5139104,5.00,6.00,3.00,3.00,4.00,9.38,5.00,2.00,3.00,301,NULL,NULL,'CENTRO','JAGUARUNA','SC',14168,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5139112,4.00,6.00,4.00,2.00,6.00,7.88,1.00,3.00,3.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5139139,2.00,4.00,1.00,3.00,4.00,NULL,2.00,0.00,3.00,201,NULL,203,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5139155,8.00,7.00,8.00,7.00,7.00,7.13,5.00,5.00,8.00,203,NULL,202,'CENTRO','S JOSÉ CAMPOS','SP',1517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139163,6.00,6.00,1.00,6.00,6.00,7.13,1.00,4.00,4.00,420,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139171,6.00,6.00,4.00,5.00,9.00,9.38,2.00,3.00,6.00,235,NULL,202,'SANTA TEREZA','VIDEIRA','SC',6265,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5139180,7.00,8.00,7.00,8.00,9.00,6.38,3.00,5.00,5.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139198,5.00,5.00,1.00,5.00,6.00,8.25,3.00,1.00,3.00,104,NULL,NULL,'ITAIBA','CONCÓRDIA','SC',14267,374,NULL,NULL,NULL,NULL,NULL,2,7),(20,5139201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,601,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5139210,6.00,4.00,4.00,7.00,7.00,8.63,3.00,5.00,6.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139228,3.00,4.00,3.00,3.00,4.00,NULL,1.00,2.00,3.00,104,NULL,NULL,'DAS NACOES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5139236,3.00,5.00,0.00,5.00,3.00,NULL,1.00,3.00,1.00,444,NULL,NULL,'ÁGUA VERDA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139244,7.00,8.00,0.00,7.00,8.00,8.63,4.00,5.00,5.00,214,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',5324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139252,2.00,4.00,2.00,3.00,5.00,NULL,0.00,3.00,3.00,301,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5139279,8.00,7.00,2.00,7.00,10.00,9.00,2.00,7.00,5.00,320,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',4680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139295,4.00,5.00,3.00,3.00,4.00,6.38,2.00,2.00,3.00,102,NULL,NULL,'EFAPI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5139317,5.00,6.00,3.00,3.00,8.00,7.88,3.00,5.00,4.00,304,NULL,NULL,'JARDIM RENE','S ROQUE','SP',8124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139325,5.00,6.00,1.00,6.00,7.00,9.75,3.00,3.00,2.00,211,NULL,207,'JARDIM EUROPA','ITAPEVA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139333,9.00,6.00,7.00,7.00,9.00,10.13,6.00,5.00,7.00,203,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',1381,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5139341,6.00,5.00,4.00,6.00,8.00,7.13,2.00,4.00,5.00,303,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',8896,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5139350,6.00,5.00,1.00,3.00,7.00,11.63,2.00,3.00,2.00,9,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139368,5.00,6.00,5.00,7.00,4.00,6.75,5.00,2.00,6.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',8594,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5139376,9.00,7.00,2.00,7.00,10.00,12.00,7.00,5.00,8.00,201,NULL,212,'RIO TAVARES','FLORIANÓPOLIS','SC',1131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139384,6.00,3.00,2.00,6.00,6.00,7.13,0.00,2.00,3.00,336,NULL,NULL,'SANTA CRUZ','GUARAPUAVA','PR',12141,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5139392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,601,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5139414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CIDADE JARDIM','JACAREÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5139422,8.00,6.00,3.00,5.00,6.00,9.38,4.00,2.00,4.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',8535,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5139430,5.00,6.00,2.00,5.00,4.00,6.75,2.00,5.00,2.00,427,NULL,425,'CACH DO BOM JESUS','FLORIANÓPOLIS','SC',15367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5139457,5.00,6.00,3.00,6.00,6.00,8.25,2.00,3.00,5.00,203,NULL,214,'CENTRO','JOAÇABA','SC',11239,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5139473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM PAULISTA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5139490,7.00,6.00,3.00,7.00,8.00,9.75,3.00,5.00,5.00,216,NULL,213,'DEHON','TUBARÃO','SC',6030,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5139503,6.00,7.00,3.00,4.00,7.00,8.25,1.00,4.00,6.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5139511,8.00,6.00,3.00,4.00,5.00,6.00,1.00,7.00,6.00,501,NULL,NULL,'BELA VISTA','IBAITI','PR',10688,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5139520,3.00,6.00,0.00,2.00,5.00,NULL,3.00,2.00,1.00,326,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5139538,5.00,3.00,3.00,5.00,4.00,6.75,3.00,3.00,2.00,404,NULL,NULL,'SERRARIA','S JOSÉ','SC',15190,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5139546,3.00,5.00,2.00,7.00,7.00,7.13,1.00,3.00,3.00,208,NULL,238,'PASSAGEM','TUBARÃO','SC',15939,479,NULL,424,NULL,NULL,NULL,4,10),(20,5139554,5.00,6.00,4.00,6.00,6.00,7.13,2.00,4.00,5.00,110,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5139562,5.00,5.00,2.00,2.00,4.00,NULL,1.00,0.00,2.00,104,NULL,NULL,'FAZENDINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5139570,9.00,8.00,7.00,7.00,10.00,7.13,8.00,4.00,9.00,103,NULL,NULL,'PORTAO','CURITIBA','PR',566,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5139589,9.00,7.00,3.00,8.00,10.00,11.63,2.00,5.00,5.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',2147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139597,0.00,0.00,0.00,0.00,5.00,NULL,0.00,0.00,0.00,211,NULL,216,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,9),(20,5139600,5.00,4.00,2.00,3.00,5.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'GUARUJÁ','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5139619,7.00,8.00,2.00,6.00,7.00,8.63,4.00,7.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139627,5.00,6.00,3.00,3.00,6.00,7.50,1.00,4.00,3.00,211,NULL,215,'SANTA MÔNICA','FLORIANÓPOLIS','SC',14921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5139643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALDEOTA','FORTALEZA','CE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5139651,5.00,4.00,5.00,7.00,6.00,9.00,1.00,3.00,4.00,303,NULL,NULL,'FLORESTA','JOINVILLE','SC',10427,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5139686,2.00,6.00,0.00,5.00,9.00,7.13,2.00,2.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5139694,6.00,5.00,1.00,6.00,7.00,9.38,3.00,3.00,4.00,233,NULL,216,'SANTANA','PTO ALEGRE','RS',9066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139708,4.00,7.00,4.00,7.00,6.00,8.63,3.00,1.00,5.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',11251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139716,1.00,5.00,2.00,2.00,3.00,NULL,0.00,2.00,3.00,108,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5139724,7.00,6.00,2.00,7.00,7.00,7.13,1.00,4.00,7.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8713,286,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA TARUMA','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5139740,7.00,7.00,1.00,8.00,7.00,10.50,3.00,5.00,6.00,212,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',4554,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5139767,9.00,6.00,7.00,7.00,10.00,8.63,4.00,2.00,7.00,103,NULL,NULL,'SÃO LOURENÇO','CURITIBA','PR',2013,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5139775,8.00,6.00,2.00,6.00,6.00,9.00,3.00,6.00,5.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139783,8.00,7.00,6.00,5.00,7.00,10.50,5.00,6.00,7.00,212,NULL,233,'CACUPÉ','FLORIANÓPOLIS','SC',2866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5139791,6.00,3.00,1.00,4.00,8.00,NULL,0.00,4.00,6.00,102,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5139805,4.00,4.00,3.00,3.00,5.00,8.63,1.00,4.00,7.00,201,NULL,601,'DONA WANDA','S JOSÉ','SC',13329,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5139813,4.00,2.00,2.00,5.00,4.00,NULL,3.00,0.00,1.00,301,NULL,NULL,'ATUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5139821,2.00,7.00,1.00,7.00,6.00,0.00,1.00,0.00,4.00,415,NULL,NULL,'CRISTO REI','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5139830,7.00,4.00,2.00,6.00,9.00,8.25,3.00,5.00,4.00,452,NULL,NULL,'CONDOMINEO SANTA FÉ','VINHEDO','SP',7521,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5139856,4.00,7.00,0.00,6.00,7.00,9.75,1.00,1.00,4.00,337,NULL,NULL,'PROGRESSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5139864,5.00,6.00,2.00,5.00,5.00,9.38,3.00,2.00,3.00,211,NULL,215,'POÇAO','CUIABÁ','MT',10403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'MOOCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5139899,5.00,7.00,3.00,4.00,8.00,9.75,6.00,5.00,6.00,202,NULL,213,'BALNEÁRIO','FLORIANÓPOLIS','SC',6666,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5139937,3.00,6.00,1.00,2.00,3.00,NULL,3.00,1.00,2.00,652,NULL,201,'PRESIDENTE VARGAS','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5139945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5139953,4.00,6.00,4.00,6.00,5.00,8.63,2.00,2.00,4.00,501,NULL,NULL,'SAO LUIS','CEL VIVIDA','PR',12149,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5139970,3.00,6.00,2.00,3.00,8.00,NULL,0.00,2.00,4.00,5,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5139988,9.00,5.00,1.00,7.00,9.00,12.75,4.00,5.00,5.00,103,NULL,NULL,'SETOR AEROPORTO','GOIÂNIA','GO',3250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5139996,1.00,6.00,1.00,6.00,3.00,NULL,2.00,2.00,3.00,5,NULL,NULL,'BAETA NEVES','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5140005,6.00,5.00,6.00,5.00,4.00,8.63,5.00,3.00,7.00,233,NULL,216,'PORTAL DE VERSALHES','LONDRINA','PR',8335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140013,8.00,6.00,3.00,7.00,9.00,9.75,2.00,5.00,5.00,203,NULL,220,'SETOR BUENO','GOIÂNIA','GO',3306,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5140021,6.00,7.00,5.00,5.00,8.00,8.25,4.00,6.00,5.00,326,NULL,NULL,'LAGO AZUL','ARAÇOIABA SERRA','SP',3896,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5140030,5.00,5.00,3.00,3.00,4.00,6.00,2.00,2.00,5.00,332,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5140048,6.00,3.00,2.00,6.00,5.00,8.63,1.00,4.00,6.00,103,NULL,NULL,'FREGUESIA DO O','S PAULO','SP',11329,3341,NULL,NULL,NULL,NULL,NULL,2,8),(20,5140056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'URBANOVA VI','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5140072,3.00,5.00,2.00,5.00,7.00,8.63,3.00,2.00,5.00,3,NULL,NULL,'CENTRO','MTE APRAZÍVEL','SP',9592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140080,5.00,7.00,2.00,4.00,6.00,6.75,5.00,2.00,6.00,203,NULL,NULL,'BATEL','CURITIBA','PR',10595,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5140099,6.00,6.00,2.00,6.00,8.00,9.38,5.00,4.00,5.00,303,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',7673,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5140102,4.00,5.00,3.00,2.00,6.00,6.38,1.00,2.00,4.00,235,NULL,202,'NAÇÕES','FRAIBURGO','SC',15680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140110,8.00,9.00,7.00,6.00,10.00,8.25,6.00,5.00,7.00,415,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140137,2.00,0.00,0.00,2.00,2.00,NULL,0.00,1.00,1.00,425,NULL,423,'VARGINHA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5140145,6.00,3.00,3.00,4.00,5.00,9.75,3.00,5.00,5.00,103,NULL,NULL,'SÍTIO CERCADO','CURITIBA','PR',10804,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5140161,8.00,6.00,3.00,7.00,7.00,6.75,1.00,2.00,5.00,203,NULL,220,'RES VALE DO ARVOREDO','LONDRINA','PR',9421,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5140170,3.00,5.00,3.00,2.00,5.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5140196,4.00,7.00,0.00,6.00,5.00,4.88,1.00,1.00,3.00,404,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5140200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'JARDIM ALVES CARNEIR','ARTUR NOGUEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5140226,3.00,6.00,1.00,2.00,6.00,3.75,2.00,4.00,4.00,319,NULL,NULL,'CAIERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140234,8.00,5.00,2.00,7.00,9.00,10.13,5.00,4.00,6.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',3434,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5140250,7.00,6.00,1.00,7.00,10.00,11.25,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','CAPINZAL','SC',5297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140269,2.00,4.00,0.00,2.00,5.00,NULL,3.00,5.00,3.00,601,NULL,203,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5140277,6.00,7.00,2.00,6.00,6.00,10.88,2.00,3.00,4.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140293,2.00,5.00,0.00,0.00,4.00,NULL,2.00,3.00,4.00,336,NULL,NULL,'SANTA CATARINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5140307,7.00,6.00,6.00,7.00,7.00,9.75,5.00,4.00,8.00,201,NULL,NULL,'OCTOGONAL','CRUZEIRO','DF',2192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140315,6.00,4.00,1.00,1.00,5.00,NULL,2.00,3.00,3.00,336,NULL,NULL,'RIO LAGEADO','CHAP LAGEADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5140323,3.00,5.00,2.00,4.00,3.00,NULL,0.00,2.00,3.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5140331,1.00,5.00,0.00,2.00,6.00,NULL,3.00,1.00,3.00,235,NULL,NULL,'PIO CORREIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5140340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5140358,8.00,6.00,4.00,7.00,8.00,11.63,3.00,5.00,7.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',2569,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5140366,4.00,6.00,2.00,6.00,4.00,6.00,3.00,3.00,6.00,316,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',15129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140374,3.00,5.00,3.00,3.00,5.00,NULL,1.00,1.00,2.00,101,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140390,6.00,6.00,3.00,5.00,7.00,9.00,3.00,3.00,5.00,104,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',9590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'UVARANAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5140420,0.00,3.00,2.00,4.00,3.00,NULL,1.00,1.00,1.00,303,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5140447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,601,'JD PANORAMA','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5140455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PARAGUAI','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5140463,4.00,8.00,5.00,5.00,5.00,8.63,1.00,4.00,6.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5140471,6.00,5.00,0.00,7.00,8.00,8.25,3.00,3.00,4.00,207,NULL,238,'COQUEIROS','FLORIANÓPOLIS','SC',10903,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140480,1.00,4.00,3.00,6.00,5.00,NULL,1.00,1.00,4.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5140501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5140528,4.00,5.00,0.00,6.00,5.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'LAGO NORTE','LG NORTE','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140544,3.00,3.00,2.00,5.00,7.00,NULL,0.00,1.00,4.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5140560,7.00,5.00,1.00,4.00,6.00,9.75,2.00,2.00,4.00,332,NULL,NULL,'BARREIROS','S JOSÉ','SC',15076,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5140595,3.00,6.00,4.00,3.00,3.00,NULL,0.00,2.00,4.00,102,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5140617,8.00,5.00,0.00,5.00,5.00,8.25,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',13489,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5140633,2.00,6.00,0.00,2.00,2.00,NULL,2.00,4.00,3.00,451,NULL,NULL,'TARUMA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5140641,9.00,8.00,2.00,7.00,10.00,9.75,3.00,3.00,6.00,103,NULL,NULL,'ATUBA','COLOMBO','PR',3337,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5140650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'VILA MADALENA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5140668,8.00,7.00,6.00,8.00,8.00,10.13,5.00,4.00,7.00,214,NULL,201,'CENTRO','RIBEIRÃO PRETO','SP',1712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140676,3.00,4.00,1.00,2.00,1.00,NULL,2.00,3.00,1.00,653,NULL,216,'IGRA NORTE','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5140706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5140714,5.00,5.00,0.00,1.00,4.00,NULL,1.00,1.00,2.00,303,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5140722,7.00,8.00,2.00,6.00,6.00,9.00,2.00,6.00,4.00,425,NULL,428,'ITACORUBI','FLORIANÓPOLIS','SC',9362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140730,7.00,5.00,5.00,6.00,6.00,6.38,6.00,4.00,5.00,201,NULL,235,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',6738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140757,7.00,6.00,4.00,5.00,7.00,10.13,1.00,3.00,4.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',7170,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5140773,5.00,5.00,8.00,7.00,8.00,9.00,4.00,1.00,6.00,203,NULL,220,'CENTRO','MARINGÁ','PR',4448,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5140781,6.00,6.00,5.00,7.00,7.00,6.38,6.00,3.00,5.00,201,NULL,212,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140803,6.00,7.00,3.00,4.00,3.00,NULL,1.00,2.00,2.00,452,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM PAULISTA','PITANGUEIRAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5140862,8.00,7.00,4.00,7.00,10.00,11.25,2.00,3.00,5.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',3142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140870,4.00,7.00,4.00,7.00,7.00,10.13,4.00,4.00,5.00,450,NULL,NULL,'JARDIM IRIRIÚ','JOINVILLE','SC',8058,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5140889,7.00,7.00,1.00,4.00,6.00,9.75,3.00,5.00,2.00,211,NULL,601,'AGRONOMICA','FLORIANÓPOLIS','SC',11589,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5140897,3.00,5.00,2.00,6.00,5.00,7.88,1.00,1.00,4.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140919,6.00,7.00,4.00,6.00,7.00,7.13,5.00,4.00,4.00,424,NULL,428,'ITACORUBI','FLORIANÓPOLIS','SC',10740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140927,6.00,4.00,2.00,1.00,4.00,NULL,2.00,2.00,3.00,404,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140935,4.00,2.00,1.00,5.00,4.00,9.75,3.00,4.00,3.00,320,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5140951,6.00,5.00,1.00,3.00,7.00,9.00,2.00,3.00,4.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5140978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SETOR MARISTA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5140986,8.00,6.00,1.00,8.00,5.00,7.50,6.00,4.00,4.00,103,NULL,NULL,'VIVENDAS','S JOSÉ R PRETO','SP',5546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141001,3.00,7.00,5.00,4.00,6.00,8.25,3.00,3.00,6.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11539,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5141010,6.00,6.00,1.00,7.00,9.00,8.63,2.00,5.00,6.00,340,NULL,NULL,'CENTRO','CEL FREITAS','SC',7472,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5141036,9.00,7.00,5.00,7.00,8.00,9.38,2.00,4.00,8.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141044,7.00,8.00,4.00,5.00,6.00,8.25,1.00,4.00,9.00,103,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',4978,2139,NULL,NULL,NULL,NULL,NULL,2,1),(20,5141052,6.00,6.00,0.00,4.00,6.00,9.38,3.00,6.00,4.00,340,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',9641,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5141060,3.00,6.00,2.00,5.00,5.00,NULL,0.00,3.00,2.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5141079,7.00,5.00,6.00,5.00,9.00,9.00,5.00,4.00,5.00,103,NULL,NULL,'PARK WAY','NUC BANDEIRANTE','DF',4515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5141095,6.00,7.00,2.00,5.00,7.00,8.25,4.00,4.00,4.00,452,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5141109,5.00,5.00,3.00,4.00,5.00,NULL,3.00,1.00,1.00,501,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141117,6.00,5.00,4.00,5.00,5.00,9.00,2.00,4.00,5.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',9783,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5141125,5.00,4.00,1.00,1.00,3.00,NULL,2.00,2.00,2.00,319,NULL,NULL,'JUVEVÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(20,5141141,5.00,7.00,2.00,7.00,8.00,9.38,0.00,6.00,4.00,304,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141176,3.00,7.00,5.00,6.00,8.00,7.13,3.00,2.00,5.00,103,NULL,NULL,'BATEL','CURITIBA','PR',9495,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5141192,6.00,5.00,3.00,4.00,8.00,7.88,2.00,2.00,4.00,201,NULL,202,'FORQUILHAS','S JOSÉ','SC',12297,877,NULL,422,NULL,NULL,NULL,2,1),(20,5141206,2.00,2.00,4.00,1.00,5.00,NULL,4.00,3.00,2.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141222,3.00,5.00,0.00,2.00,6.00,NULL,2.00,1.00,3.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5141230,6.00,5.00,2.00,4.00,5.00,8.25,1.00,5.00,6.00,214,NULL,212,'PARQUE DOS RESEDAS','CAMPINAS','SP',9048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5141281,5.00,8.00,7.00,7.00,7.00,11.25,5.00,3.00,7.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141303,1.00,4.00,1.00,0.00,3.00,NULL,0.00,2.00,1.00,5,NULL,NULL,'JARDIM SÃO LUIZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141311,6.00,6.00,2.00,7.00,9.00,10.13,4.00,3.00,3.00,316,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141320,7.00,6.00,5.00,5.00,4.00,4.50,2.00,1.00,6.00,214,NULL,213,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141346,0.00,5.00,0.00,0.00,0.00,NULL,2.00,3.00,4.00,451,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5141354,5.00,6.00,1.00,7.00,7.00,6.00,2.00,3.00,2.00,212,NULL,211,'CENTRO','CURITIBA','PR',12162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5141389,7.00,8.00,4.00,6.00,4.00,8.25,6.00,3.00,6.00,208,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',6476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141397,3.00,6.00,0.00,7.00,7.00,6.00,0.00,3.00,3.00,415,NULL,NULL,'CENTRO','CARAGUATATUBA','SP',16104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141419,8.00,8.00,4.00,6.00,10.00,8.63,6.00,5.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',2115,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5141427,7.00,6.00,4.00,4.00,6.00,7.50,4.00,5.00,8.00,102,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5141435,3.00,6.00,2.00,7.00,7.00,9.38,1.00,4.00,3.00,425,NULL,421,'ESTREITO','FLORIANÓPOLIS','SC',13718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141451,5.00,5.00,1.00,4.00,5.00,9.00,1.00,3.00,6.00,9,NULL,NULL,'SÃO FRANCISCO','CAMBORIÚ','SC',14707,95,NULL,NULL,NULL,NULL,NULL,2,3),(20,5141460,9.00,9.00,6.00,7.00,9.00,8.25,6.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141478,4.00,0.00,3.00,1.00,6.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM SÃO LUIZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5141486,4.00,7.00,1.00,5.00,7.00,6.75,1.00,5.00,4.00,327,NULL,NULL,'SERRARIA','S JOSÉ','SC',15309,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5141494,5.00,6.00,0.00,6.00,6.00,7.88,5.00,3.00,5.00,207,NULL,233,'SAMBAQUI','FLORIANÓPOLIS','SC',10390,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5141508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5141516,5.00,5.00,2.00,4.00,5.00,6.38,1.00,1.00,4.00,501,NULL,NULL,'CAMPO D AGUA VERDE','CANOINHAS','SC',16127,111,NULL,NULL,NULL,NULL,NULL,2,17),(20,5141524,6.00,7.00,3.00,5.00,9.00,8.63,4.00,5.00,5.00,318,NULL,NULL,'ARIRIU','PALHOÇA','SC',7827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141532,5.00,7.00,7.00,5.00,7.00,7.13,5.00,4.00,4.00,201,NULL,212,'JURERÊ','FLORIANÓPOLIS','SC',6375,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5141540,4.00,7.00,5.00,2.00,7.00,10.88,3.00,5.00,5.00,333,NULL,NULL,'JARDIM MONÇÕES','MARINGÁ','PR',8653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5141559,5.00,7.00,1.00,3.00,6.00,9.75,4.00,3.00,4.00,202,NULL,235,'SÃO JUDAS TADEU','S JOSÉ CAMPOS','SP',8766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141567,3.00,5.00,1.00,4.00,7.00,9.38,5.00,4.00,6.00,207,NULL,215,'VILA PARAÍSO','CAÇADOR','SC',9235,427,NULL,NULL,NULL,NULL,NULL,4,7),(20,5141605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PQ VERSAILLES','SUMARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5141613,2.00,4.00,2.00,3.00,3.00,NULL,5.00,2.00,3.00,319,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5141621,4.00,4.00,3.00,3.00,7.00,6.75,2.00,3.00,3.00,303,NULL,NULL,'AGUAS BRANCAS','URUBICI','SC',16123,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5141630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,208,'JK NOVA CAPITAL','ANÁPOLIS','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5141648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5141656,3.00,5.00,4.00,7.00,7.00,7.13,1.00,2.00,4.00,453,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13310,93,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141699,9.00,7.00,4.00,7.00,9.00,8.63,4.00,8.00,5.00,103,NULL,NULL,'CIDADE ALTA','MEDIANEIRA','PR',2276,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5141702,6.00,5.00,3.00,4.00,4.00,6.38,4.00,4.00,2.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13354,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5141729,8.00,8.00,5.00,7.00,8.00,8.25,5.00,5.00,6.00,303,NULL,NULL,'CENTRO','ITAPEMA','SC',3600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'INDEPENDENCIA','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5141745,6.00,4.00,2.00,4.00,8.00,9.00,4.00,6.00,3.00,103,NULL,NULL,'CAMPESTRE','VIDAL RAMOS','SC',11241,3331,NULL,NULL,NULL,NULL,NULL,2,9),(20,5141753,5.00,7.00,2.00,2.00,5.00,4.50,3.00,2.00,3.00,207,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141770,2.00,7.00,5.00,5.00,6.00,7.50,3.00,5.00,5.00,601,NULL,203,'CENTRO','ERECHIM','RS',8471,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5141788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'VISTA ALEGRE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5141800,8.00,6.00,4.00,6.00,7.00,9.75,1.00,2.00,6.00,420,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141826,3.00,5.00,2.00,4.00,3.00,NULL,1.00,2.00,6.00,309,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5141842,9.00,7.00,3.00,7.00,9.00,8.25,4.00,8.00,8.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5141869,5.00,5.00,2.00,5.00,4.00,8.25,2.00,2.00,4.00,5,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5141877,8.00,8.00,6.00,7.00,8.00,7.13,6.00,5.00,7.00,202,NULL,215,'ROÇADO','S JOSÉ','SC',2409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141885,5.00,4.00,4.00,5.00,5.00,7.88,1.00,2.00,4.00,224,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13409,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5141893,4.00,6.00,2.00,5.00,5.00,7.88,3.00,4.00,5.00,205,NULL,NULL,'XV DE NOVEMBRO','TIJUCAS','SC',13926,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5141915,2.00,5.00,1.00,2.00,6.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141931,9.00,7.00,6.00,6.00,9.00,9.38,6.00,6.00,8.00,5,NULL,NULL,'CENTRO','PALHOÇA','SC',789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5141940,0.00,5.00,0.00,5.00,6.00,NULL,3.00,2.00,1.00,101,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5141958,4.00,6.00,3.00,8.00,7.00,9.00,3.00,4.00,1.00,201,NULL,207,'VISTA ALEGRE','MAFRA','SC',10414,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5141982,5.00,2.00,1.00,4.00,3.00,NULL,0.00,5.00,2.00,108,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(20,5141990,6.00,7.00,4.00,4.00,7.00,6.75,2.00,4.00,3.00,444,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5142008,9.00,6.00,6.00,7.00,8.00,7.50,6.00,5.00,7.00,208,NULL,238,'CENTRO','TUBARÃO','SC',2429,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5142016,6.00,5.00,1.00,4.00,6.00,6.38,2.00,4.00,3.00,238,NULL,211,'BALNEARIO','FLORIANÓPOLIS','SC',12604,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5142024,5.00,7.00,2.00,6.00,5.00,7.88,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',10778,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5142032,5.00,4.00,1.00,5.00,5.00,8.25,4.00,4.00,2.00,501,NULL,NULL,'COPACABANA','LAGES','SC',12941,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5142040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CHACARA DOS PINHEIRO','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5142059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5142067,6.00,5.00,2.00,5.00,9.00,8.63,5.00,4.00,4.00,207,NULL,201,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',8225,366,NULL,578,NULL,NULL,NULL,2,1),(20,5142075,8.00,6.00,5.00,7.00,6.00,6.38,1.00,5.00,7.00,214,NULL,216,'CITY RIBEIRAO','RIBEIRÃO PRETO','SP',5618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5142083,2.00,3.00,2.00,2.00,2.00,NULL,1.00,2.00,2.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5142091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'SANTO ANTÃO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5142105,1.00,0.00,1.00,0.00,4.00,NULL,0.00,3.00,2.00,333,NULL,NULL,'PONTE GRANDE','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5142113,6.00,6.00,4.00,5.00,3.00,NULL,6.00,4.00,4.00,202,NULL,213,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5142121,8.00,4.00,5.00,7.00,8.00,7.13,4.00,6.00,7.00,103,NULL,NULL,'JUVEVÊ','CURITIBA','PR',3446,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5142130,8.00,7.00,4.00,7.00,7.00,6.75,5.00,4.00,7.00,216,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',4056,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5142148,7.00,7.00,3.00,8.00,6.00,8.63,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4854,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5142156,5.00,5.00,1.00,3.00,4.00,NULL,0.00,2.00,2.00,302,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5142180,5.00,6.00,3.00,2.00,5.00,4.50,2.00,3.00,5.00,235,NULL,203,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5142199,6.00,6.00,3.00,7.00,4.00,11.25,1.00,3.00,4.00,202,NULL,233,'COMERCIÁRIO','CRICIÚMA','SC',11162,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5142202,5.00,5.00,2.00,4.00,6.00,9.75,2.00,4.00,6.00,207,NULL,201,'EVOLUÇÃO','S LUDGERO','SC',11164,536,NULL,818,NULL,NULL,NULL,4,10),(20,5142210,4.00,4.00,2.00,8.00,8.00,9.38,2.00,2.00,6.00,110,NULL,NULL,'PIONEIROS','ITAJAÍ','SC',11441,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5142237,5.00,8.00,6.00,5.00,6.00,8.63,8.00,6.00,4.00,203,NULL,214,'SANTA MARIA','ANTÔNIO CARLOS','SC',3180,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5142245,5.00,5.00,1.00,4.00,7.00,6.38,2.00,6.00,3.00,302,NULL,NULL,'SANTA MARIA','ANTÔNIO CARLOS','SC',12512,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5142253,8.00,6.00,1.00,5.00,6.00,4.50,1.00,4.00,5.00,302,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5142270,6.00,6.00,1.00,7.00,8.00,6.75,6.00,2.00,3.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',8426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5142296,5.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(20,5142300,4.00,6.00,0.00,4.00,6.00,7.50,3.00,3.00,5.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',15335,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5142318,1.00,1.00,2.00,2.00,3.00,NULL,1.00,3.00,2.00,502,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5142326,0.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(20,5142334,3.00,6.00,5.00,6.00,5.00,7.13,4.00,3.00,6.00,301,NULL,NULL,'CENTRO','PALMEIRA MISSÕES','RS',9012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5142342,6.00,7.00,4.00,6.00,10.00,10.50,3.00,6.00,6.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',3288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5142369,5.00,6.00,0.00,7.00,6.00,7.13,2.00,3.00,2.00,108,NULL,NULL,'CENTRO','ERECHIM','RS',13341,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5142377,5.00,5.00,4.00,3.00,6.00,9.00,3.00,1.00,0.00,427,NULL,424,'VILA IRMA','FRANCO ROCHA','SP',15781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5142385,7.00,6.00,7.00,8.00,8.00,9.00,7.00,6.00,7.00,203,NULL,214,'CENTRO','ITAPEMA','SC',1002,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5142393,9.00,8.00,5.00,5.00,6.00,7.88,4.00,4.00,8.00,103,NULL,NULL,'KOBRASSOL','S JOSÉ','SC',3166,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5142407,8.00,8.00,6.00,6.00,8.00,7.13,6.00,5.00,8.00,103,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',2191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5142423,6.00,7.00,7.00,7.00,6.00,10.13,8.00,4.00,6.00,203,NULL,601,'AMÉRICA','JOINVILLE','SC',2096,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5142431,2.00,6.00,1.00,2.00,5.00,NULL,0.00,1.00,3.00,601,NULL,202,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5142440,7.00,4.00,3.00,6.00,6.00,8.25,3.00,2.00,5.00,202,NULL,216,'SANTO ANTÃO','BENTO GONÇALVES','RS',9148,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5142458,3.00,4.00,1.00,1.00,4.00,NULL,1.00,1.00,3.00,202,NULL,213,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5142474,4.00,6.00,1.00,6.00,7.00,7.88,2.00,3.00,6.00,203,NULL,214,'SERTÃO DO MARUIM','S JOSÉ','SC',13883,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5142482,5.00,5.00,0.00,3.00,5.00,NULL,0.00,0.00,4.00,653,NULL,652,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5142490,6.00,5.00,2.00,7.00,8.00,8.25,2.00,2.00,4.00,203,NULL,201,'VILA MARIA','LAGES','SC',8725,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5142504,4.00,4.00,3.00,2.00,4.00,NULL,1.00,2.00,4.00,5,NULL,NULL,'PETRÓPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5142512,6.00,6.00,5.00,3.00,7.00,8.63,2.00,4.00,6.00,103,NULL,NULL,'JD CHAPADÃO','CAMPINAS','SP',6758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5142539,4.00,5.00,4.00,6.00,6.00,8.25,2.00,3.00,5.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5142547,5.00,6.00,4.00,6.00,4.00,9.75,3.00,2.00,5.00,444,NULL,NULL,'BELA VISTA','S JOSÉ','SC',10963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5142563,6.00,7.00,4.00,6.00,6.00,7.13,6.00,5.00,6.00,203,NULL,214,'CENTRO','AMERICANA','SP',4451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5142571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA MARIA DELANI','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5142580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5142598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5142601,7.00,4.00,1.00,7.00,8.00,9.38,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',8622,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5142628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'SERRARIA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5142636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5142644,2.00,5.00,1.00,5.00,4.00,NULL,3.00,1.00,2.00,333,NULL,NULL,'PROGRESSO','MONTENEGRO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5142652,8.00,7.00,2.00,7.00,8.00,10.50,4.00,3.00,4.00,203,NULL,201,'CARVOEIRA','FLORIANÓPOLIS','SC',4689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5142660,4.00,6.00,2.00,4.00,6.00,9.38,3.00,5.00,2.00,316,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5142679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CENTRO','PEDRINHAS PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5142687,6.00,5.00,1.00,7.00,8.00,8.63,2.00,3.00,3.00,340,NULL,NULL,'CENTRO','MONTENEGRO','RS',9901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5142695,9.00,7.00,1.00,6.00,10.00,9.75,1.00,5.00,3.00,420,NULL,NULL,'ALTO DA GLÓRIA','CURITIBA','PR',4764,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5142709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'JARDIM RENATA','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5142717,4.00,3.00,0.00,2.00,6.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5142725,0.00,2.00,0.00,3.00,2.00,NULL,2.00,0.00,0.00,201,NULL,NULL,'JARDIM','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5142741,8.00,8.00,3.00,7.00,8.00,11.25,3.00,4.00,7.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5142750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'SAO LUIS','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5142768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'UNIVERSITARIO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5142784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'EXPOSIÇÃO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5142792,6.00,7.00,1.00,6.00,5.00,8.63,2.00,3.00,4.00,213,NULL,238,'CARIANOS','FLORIANÓPOLIS','SC',13774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5142814,8.00,5.00,7.00,6.00,8.00,8.25,5.00,4.00,9.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',2263,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5142830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'SEMINARIO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5142849,4.00,5.00,1.00,4.00,5.00,NULL,3.00,2.00,2.00,102,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5142865,4.00,3.00,1.00,5.00,4.00,NULL,2.00,2.00,2.00,316,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5142873,6.00,6.00,5.00,5.00,7.00,7.88,0.00,3.00,5.00,332,NULL,NULL,'BARREIROS','S JOSÉ','SC',9375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5142881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5142903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,235,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5142911,3.00,7.00,3.00,7.00,7.00,8.25,4.00,4.00,6.00,301,NULL,NULL,'ITACURUBI','FLORIANÓPOLIS','SC',6811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5142938,5.00,5.00,6.00,5.00,5.00,9.75,3.00,2.00,6.00,202,NULL,220,'ZONA SETE','MARINGÁ','PR',7751,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5142946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(20,5142954,4.00,5.00,1.00,4.00,6.00,9.00,3.00,3.00,3.00,208,NULL,207,'BELA VISTA I','S JOSÉ','SC',15080,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5142989,8.00,7.00,2.00,7.00,8.00,7.88,4.00,7.00,8.00,212,NULL,233,'PRAIA BRAVA','FLORIANÓPOLIS','SC',3616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5142997,9.00,4.00,1.00,5.00,8.00,7.50,3.00,5.00,7.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',6277,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5143004,3.00,7.00,1.00,7.00,6.00,7.50,2.00,3.00,2.00,201,NULL,NULL,'HAUER','CURITIBA','PR',13615,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5143012,4.00,1.00,1.00,4.00,6.00,NULL,1.00,1.00,1.00,303,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5143039,2.00,5.00,2.00,1.00,3.00,NULL,3.00,2.00,1.00,302,NULL,NULL,'CAREANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143055,9.00,7.00,6.00,6.00,11.00,8.63,7.00,6.00,8.00,103,NULL,NULL,'VILA NOVA','NOVO HAMBURGO','RS',377,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5143063,7.00,6.00,1.00,4.00,6.00,7.88,4.00,3.00,7.00,238,NULL,208,'KOBRASOL','S JOSÉ','SC',10792,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5143071,9.00,7.00,7.00,5.00,10.00,9.75,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','COLORADO','PR',362,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5143080,5.00,5.00,5.00,4.00,5.00,8.25,3.00,1.00,2.00,415,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143098,5.00,6.00,7.00,5.00,9.00,6.38,3.00,2.00,5.00,103,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',9014,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5143101,8.00,7.00,1.00,4.00,8.00,8.63,2.00,6.00,7.00,104,NULL,NULL,'ATUBA','CURITIBA','PR',5642,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5143110,8.00,8.00,7.00,5.00,7.00,7.13,7.00,5.00,6.00,203,NULL,202,'CENTRO','ANTÔNIO CARLOS','SC',2206,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5143128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(20,5143136,8.00,6.00,2.00,7.00,9.00,12.75,3.00,6.00,6.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2957,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5143144,4.00,2.00,2.00,1.00,5.00,NULL,2.00,2.00,4.00,2,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143152,8.00,3.00,3.00,4.00,7.00,9.38,2.00,2.00,5.00,207,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',9120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5143160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5143195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'OPERARIA NOVA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5143209,9.00,6.00,5.00,7.00,10.00,8.63,6.00,5.00,6.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143217,7.00,7.00,0.00,2.00,7.00,9.75,2.00,3.00,2.00,9,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',14474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143225,4.00,6.00,2.00,6.00,9.00,7.88,1.00,2.00,5.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143233,5.00,6.00,2.00,7.00,9.00,8.63,3.00,5.00,3.00,340,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143241,5.00,5.00,3.00,3.00,5.00,0.00,1.00,3.00,3.00,337,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5143250,5.00,5.00,0.00,3.00,7.00,6.00,2.00,6.00,7.00,336,NULL,NULL,'CENTRO','CHAPECÓ','SC',10413,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5143268,4.00,4.00,0.00,3.00,6.00,NULL,2.00,2.00,3.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5143284,4.00,6.00,4.00,6.00,8.00,9.00,1.00,6.00,5.00,340,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',9824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143292,6.00,6.00,2.00,2.00,8.00,9.00,2.00,4.00,6.00,316,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10399,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5143306,8.00,6.00,2.00,4.00,5.00,8.25,3.00,4.00,5.00,318,NULL,NULL,'CENTRO','URUSSANGA','SC',12039,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5143314,7.00,8.00,4.00,4.00,5.00,8.63,1.00,4.00,5.00,207,NULL,235,'ARMAÇÃO','PENHA','SC',10410,498,NULL,NULL,NULL,NULL,NULL,2,6),(20,5143322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'NOVA CAMPINAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5143330,7.00,5.00,1.00,4.00,3.00,NULL,0.00,3.00,3.00,216,NULL,653,'CENTRO','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(20,5143349,9.00,6.00,6.00,4.00,7.00,8.63,5.00,4.00,8.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143357,7.00,6.00,4.00,5.00,7.00,7.50,3.00,5.00,4.00,203,NULL,NULL,'CAÇADOR','CAPIVARI BAIXO','SC',7913,596,NULL,NULL,NULL,NULL,NULL,4,10),(20,5143365,3.00,5.00,3.00,6.00,7.00,6.00,2.00,2.00,4.00,201,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5143373,7.00,5.00,2.00,7.00,9.00,11.63,4.00,2.00,5.00,211,NULL,213,'CENTRO','XAXIM','SC',5794,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5143381,8.00,6.00,2.00,7.00,8.00,8.25,6.00,6.00,9.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',2654,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5143390,5.00,4.00,2.00,5.00,8.00,9.75,3.00,2.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'VILA PROGRESSO','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5143411,7.00,4.00,4.00,7.00,8.00,7.88,4.00,2.00,7.00,216,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',7044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143420,5.00,4.00,0.00,6.00,5.00,9.75,1.00,1.00,5.00,216,NULL,211,'VILA RODRIGUES','ASSIS','SP',15228,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5143438,5.00,6.00,3.00,4.00,6.00,7.50,2.00,2.00,3.00,309,NULL,NULL,'CABEÇUDAS','ITAJAÍ','SC',15382,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5143454,5.00,4.00,2.00,4.00,7.00,6.00,2.00,3.00,3.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14708,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5143470,1.00,5.00,0.00,7.00,5.00,12.00,4.00,3.00,5.00,327,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143497,4.00,3.00,1.00,4.00,4.00,6.75,2.00,2.00,4.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5143500,5.00,6.00,5.00,7.00,7.00,9.38,3.00,3.00,5.00,653,NULL,211,'CENTRO','CRICIÚMA','SC',7399,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5143519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(20,5143527,4.00,3.00,1.00,3.00,6.00,NULL,2.00,2.00,3.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5143535,9.00,7.00,7.00,1.00,5.00,7.88,5.00,4.00,7.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',3819,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5143543,3.00,4.00,3.00,3.00,4.00,NULL,2.00,1.00,3.00,503,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5143551,3.00,6.00,1.00,6.00,10.00,6.75,2.00,3.00,2.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',13966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5143560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,429,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5143578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'BOSQUE','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5143586,2.00,4.00,3.00,6.00,8.00,8.25,1.00,5.00,4.00,451,NULL,NULL,'SÃO LUÍS','SOMBRIO','SC',10863,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5143594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5143608,8.00,7.00,2.00,5.00,8.00,7.13,3.00,3.00,8.00,202,NULL,235,'CENTRO','BIGUAÇU','SC',5996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143616,3.00,8.00,2.00,7.00,7.00,11.63,2.00,5.00,4.00,318,NULL,NULL,'FLORESTA','S JOSÉ','SC',10250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143624,5.00,6.00,4.00,5.00,6.00,8.63,4.00,5.00,6.00,304,NULL,NULL,'IMIGRANTE','BOM RER SUL','RS',6328,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5143632,8.00,5.00,3.00,5.00,4.00,6.00,3.00,3.00,3.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',12298,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5143640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM FLÓRIDA','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5143659,7.00,3.00,3.00,4.00,6.00,7.13,2.00,1.00,7.00,601,NULL,238,'CARVOEIRA','FLORIANÓPOLIS','SC',11755,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5143667,6.00,3.00,3.00,6.00,6.00,9.00,3.00,2.00,3.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',12585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143683,6.00,5.00,1.00,5.00,6.00,6.75,2.00,4.00,4.00,9,NULL,NULL,'FLORIANOPOLIS','FLORIANÓPOLIS','SC',12139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143691,5.00,5.00,1.00,5.00,8.00,9.38,2.00,2.00,3.00,428,NULL,423,'FIGUEIRA','URUSSANGA','SC',11936,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5143713,8.00,6.00,3.00,6.00,9.00,9.75,5.00,5.00,6.00,415,NULL,NULL,'CENTRO','S JOSÉ','SC',3645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'BOM PASTOR','JZ FORA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5143730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'PORTAL DO SOL','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5143748,2.00,5.00,3.00,3.00,6.00,7.13,2.00,4.00,5.00,503,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5143756,7.00,6.00,6.00,7.00,5.00,9.00,4.00,3.00,4.00,203,NULL,601,'CENTRO','JOINVILLE','SC',7606,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5143764,8.00,7.00,3.00,7.00,8.00,9.00,4.00,4.00,6.00,103,NULL,NULL,'SÃO JOÃO','CURITIBA','PR',3515,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5143772,4.00,4.00,0.00,4.00,3.00,NULL,1.00,1.00,1.00,3,NULL,NULL,'ARMACAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5143780,6.00,6.00,5.00,7.00,6.00,10.88,3.00,4.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143799,4.00,6.00,2.00,6.00,9.00,7.88,4.00,5.00,3.00,201,NULL,203,'VILA REAL','BAL CAMBORIÚ','SC',10211,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5143802,3.00,6.00,3.00,6.00,5.00,8.63,1.00,3.00,6.00,205,NULL,NULL,'JARDIM PARAÍBA','APARECIDA','SP',11831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5143829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,212,'VILA OLIVEIRA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5143837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'ALTO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5143845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'LAGOINHA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5143853,2.00,3.00,1.00,3.00,4.00,NULL,0.00,1.00,2.00,318,NULL,NULL,'OPERÁRIA NOVA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(20,5143861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5143870,7.00,8.00,4.00,6.00,6.00,8.25,3.00,3.00,7.00,201,NULL,NULL,'CEDRO','CAMBORIÚ','SC',6062,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5143896,4.00,5.00,0.00,4.00,4.00,7.88,0.00,4.00,5.00,452,NULL,NULL,'IPIRANGA','S JOSÉ','SC',16016,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5143918,8.00,7.00,7.00,7.00,9.00,12.00,4.00,7.00,6.00,337,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',1863,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5143926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5143934,8.00,5.00,1.00,4.00,10.00,NULL,0.00,2.00,6.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143942,3.00,4.00,1.00,7.00,7.00,6.75,1.00,5.00,3.00,208,NULL,651,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143950,3.00,1.00,3.00,6.00,6.00,NULL,0.00,5.00,5.00,450,NULL,NULL,'JD GUANABARA','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5143977,4.00,5.00,2.00,3.00,3.00,NULL,1.00,1.00,4.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5143985,3.00,2.00,1.00,3.00,3.00,NULL,0.00,2.00,3.00,9,NULL,NULL,'INTERIOR','ARVOREDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5143993,7.00,6.00,6.00,7.00,8.00,9.00,2.00,2.00,7.00,103,NULL,NULL,'CHACARA DA BARRA','CAMPINAS','SP',3953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5144027,6.00,4.00,2.00,7.00,7.00,9.00,0.00,2.00,3.00,450,NULL,NULL,'NOVA CAMPINAS','CAMPINAS','SP',12346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144035,4.00,5.00,1.00,6.00,6.00,8.63,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5144051,1.00,3.00,0.00,3.00,6.00,NULL,2.00,1.00,2.00,102,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5144078,8.00,6.00,0.00,3.00,9.00,9.00,6.00,3.00,9.00,453,NULL,NULL,'CAMPINAS','S JOSÉ','SC',4770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144086,7.00,7.00,3.00,4.00,5.00,4.50,1.00,1.00,4.00,2,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5144094,3.00,4.00,1.00,4.00,5.00,9.00,0.00,4.00,5.00,653,NULL,652,'TIMBOPEBA','S JOÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5144116,9.00,7.00,4.00,7.00,9.00,7.88,4.00,3.00,6.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',5090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144124,8.00,7.00,5.00,7.00,9.00,11.25,3.00,5.00,9.00,103,NULL,NULL,'BUTANTÃ','S PAULO','SP',1276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144132,1.00,6.00,2.00,4.00,3.00,NULL,1.00,3.00,4.00,308,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5144159,4.00,3.00,0.00,4.00,2.00,NULL,0.00,0.00,1.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5144167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5144191,4.00,3.00,1.00,0.00,4.00,NULL,0.00,2.00,0.00,201,NULL,214,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5144213,5.00,3.00,3.00,5.00,2.00,NULL,1.00,3.00,5.00,5,NULL,NULL,'JD DAS OLIVEIRAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5144256,5.00,5.00,2.00,7.00,5.00,7.50,1.00,1.00,4.00,303,NULL,NULL,'VILA IZABEL','CURITIBA','PR',13744,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5144264,4.00,5.00,2.00,3.00,8.00,7.88,4.00,4.00,3.00,329,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5144272,9.00,7.00,5.00,0.00,7.00,12.00,3.00,1.00,7.00,103,NULL,NULL,'CONTINENTAL','MARÍLIA','SP',5376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144299,8.00,8.00,4.00,7.00,8.00,7.50,3.00,5.00,4.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144337,4.00,4.00,1.00,4.00,3.00,NULL,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5144345,6.00,7.00,1.00,7.00,9.00,12.75,3.00,5.00,5.00,450,NULL,NULL,'SANTO ANTÔNIO','LOUVEIRA','SP',4457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144353,6.00,5.00,1.00,5.00,8.00,7.88,0.00,2.00,3.00,303,NULL,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5144361,8.00,6.00,2.00,7.00,9.00,10.13,2.00,3.00,6.00,103,NULL,NULL,'JUNDIAI','ANÁPOLIS','GO',5796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144370,4.00,4.00,2.00,5.00,4.00,9.75,2.00,3.00,2.00,303,NULL,NULL,'PONTE GRANDE','GUARULHOS','SP',14441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5144396,2.00,7.00,1.00,5.00,5.00,NULL,0.00,3.00,2.00,320,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5144400,7.00,6.00,2.00,5.00,6.00,8.63,3.00,3.00,4.00,653,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',12295,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5144418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5144426,4.00,4.00,1.00,5.00,5.00,8.63,2.00,2.00,4.00,103,NULL,NULL,'INTERIOR','IBICARÉ','SC',14821,3735,NULL,NULL,NULL,NULL,NULL,4,7),(20,5144434,9.00,6.00,4.00,7.00,8.00,10.88,6.00,6.00,8.00,103,NULL,NULL,'CAMPO BELO','S PAULO','SP',956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144450,6.00,7.00,4.00,5.00,9.00,9.38,5.00,5.00,6.00,211,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',3887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5144469,9.00,8.00,2.00,7.00,10.00,9.00,5.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144477,6.00,8.00,4.00,4.00,7.00,6.75,5.00,5.00,4.00,208,NULL,651,'CENTRO','CHAPECÓ','SC',7611,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5144485,2.00,4.00,4.00,3.00,3.00,NULL,3.00,0.00,4.00,319,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144493,4.00,5.00,4.00,2.00,5.00,NULL,1.00,2.00,2.00,212,NULL,201,'JARDIM DAS AMERICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144523,4.00,6.00,4.00,3.00,4.00,6.75,3.00,2.00,3.00,404,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',16203,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5144531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM AMÉRICA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5144540,4.00,6.00,0.00,7.00,8.00,NULL,3.00,3.00,5.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144558,1.00,5.00,2.00,4.00,2.00,NULL,1.00,3.00,5.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5144574,4.00,4.00,1.00,4.00,6.00,7.50,2.00,3.00,4.00,5,NULL,NULL,'CENTRO','CAIBATÉ','RS',15034,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5144582,1.00,4.00,3.00,2.00,4.00,NULL,1.00,2.00,4.00,104,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5144590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5144612,4.00,5.00,2.00,4.00,6.00,8.63,2.00,1.00,5.00,333,NULL,NULL,'PLAN DO SOL','SUMARÉ','SP',10561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITALIA','AMPARO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5144639,9.00,5.00,4.00,7.00,10.00,9.00,3.00,5.00,9.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',2596,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5144647,5.00,7.00,1.00,6.00,9.00,8.25,0.00,2.00,3.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12729,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5144655,7.00,5.00,1.00,5.00,6.00,9.00,3.00,6.00,6.00,108,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',7988,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5144663,3.00,4.00,0.00,6.00,6.00,NULL,1.00,3.00,3.00,316,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5144671,2.00,6.00,2.00,1.00,7.00,NULL,0.00,2.00,3.00,501,NULL,NULL,'CENTRO','ARVOREDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5144680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,233,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5144701,7.00,6.00,3.00,6.00,7.00,7.50,4.00,4.00,6.00,3,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',8770,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5144736,6.00,6.00,2.00,6.00,4.00,8.63,1.00,4.00,4.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',12404,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5144744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,216,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5144752,9.00,6.00,4.00,7.00,7.00,10.88,6.00,6.00,5.00,214,NULL,213,'CARIANOS','FLORIANÓPOLIS','SC',3579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144787,6.00,7.00,6.00,7.00,7.00,9.38,4.00,3.00,4.00,103,NULL,NULL,'PQ FRANCESCHINI','SUMARÉ','SP',6047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144795,4.00,3.00,2.00,4.00,7.00,NULL,3.00,3.00,2.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5144817,5.00,5.00,3.00,1.00,4.00,8.25,2.00,3.00,4.00,201,NULL,207,'VILA MARIA','UBIRAJARA','SP',14766,1049,NULL,711,NULL,NULL,NULL,2,1),(20,5144841,8.00,6.00,6.00,4.00,6.00,7.50,3.00,4.00,3.00,319,NULL,NULL,'ROÇADO','S JOSÉ','SC',8599,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5144850,3.00,3.00,2.00,5.00,7.00,9.00,3.00,3.00,5.00,104,NULL,NULL,'SUMARÉ','RIO SUL','SC',14580,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5144868,6.00,6.00,5.00,4.00,5.00,6.38,3.00,2.00,3.00,203,NULL,NULL,'RECANTO DO SALTO','LONDRINA','PR',12069,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5144876,0.00,2.00,0.00,0.00,2.00,NULL,3.00,1.00,2.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5144892,7.00,5.00,1.00,5.00,3.00,NULL,3.00,3.00,5.00,202,NULL,235,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5144906,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AUXILIADORA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5144922,6.00,5.00,3.00,5.00,4.00,7.13,3.00,2.00,1.00,108,NULL,NULL,'JARDIM BOTANICO','SINOP','MT',14308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144930,6.00,9.00,4.00,7.00,9.00,12.00,3.00,4.00,5.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5144957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'ANA MARIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5144973,6.00,4.00,0.00,4.00,6.00,NULL,0.00,3.00,5.00,450,NULL,NULL,'TIJUCO DAS TELHAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5144981,2.00,5.00,1.00,0.00,5.00,NULL,2.00,2.00,3.00,9,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5144990,2.00,6.00,3.00,5.00,6.00,8.63,1.00,1.00,4.00,424,NULL,427,'JARDIM ELDORADO','PALHOÇA','SC',15943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5145007,4.00,2.00,2.00,3.00,5.00,NULL,3.00,1.00,4.00,207,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5145015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRUZEIRO DO SUL','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5145031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO ANTINHA','PETROLÂNDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5145058,3.00,4.00,1.00,5.00,6.00,NULL,1.00,3.00,2.00,415,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5145066,9.00,7.00,3.00,5.00,6.00,9.00,4.00,6.00,7.00,220,NULL,208,'COQUEIROS','FLORIANÓPOLIS','SC',3905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5145074,3.00,5.00,1.00,6.00,3.00,NULL,1.00,3.00,2.00,207,NULL,201,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5145090,8.00,6.00,7.00,7.00,9.00,8.25,7.00,4.00,7.00,103,NULL,NULL,'ORFÃS','PNT GROSSA','PR',1174,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5145104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MOSSUNGUÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5145112,8.00,8.00,6.00,5.00,9.00,9.00,2.00,6.00,7.00,216,NULL,233,'CENTRO','TANGARÁ','SC',2185,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5145120,6.00,7.00,5.00,4.00,6.00,10.13,4.00,2.00,5.00,601,NULL,NULL,'COMASA','JOINVILLE','SC',9304,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5145155,8.00,8.00,3.00,6.00,10.00,9.00,3.00,7.00,7.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5145163,8.00,6.00,5.00,7.00,9.00,9.00,2.00,3.00,6.00,450,NULL,NULL,'FAZENDA','ITAJAÍ','SC',6108,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5145171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JD MADALENA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5145180,3.00,4.00,2.00,4.00,3.00,NULL,0.00,0.00,3.00,309,NULL,NULL,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5145198,7.00,9.00,5.00,7.00,11.00,11.25,4.00,5.00,6.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5145210,4.00,5.00,2.00,5.00,7.00,6.75,2.00,2.00,3.00,220,NULL,216,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5145228,9.00,7.00,6.00,7.00,7.00,8.25,5.00,6.00,7.00,303,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',1828,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5145236,2.00,5.00,2.00,5.00,3.00,NULL,3.00,2.00,4.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5145244,7.00,7.00,2.00,6.00,8.00,9.00,2.00,1.00,4.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5145260,5.00,6.00,2.00,4.00,4.00,7.50,2.00,2.00,5.00,502,NULL,NULL,'ZONA RURAL','JABORÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5145287,5.00,5.00,3.00,7.00,6.00,9.38,2.00,3.00,3.00,319,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',12977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5145295,9.00,8.00,5.00,7.00,9.00,8.25,4.00,6.00,9.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',932,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5145309,4.00,5.00,5.00,5.00,6.00,8.63,3.00,4.00,1.00,201,NULL,203,'STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC',11548,841,NULL,796,NULL,NULL,NULL,2,1),(20,5145317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5145333,8.00,7.00,8.00,5.00,5.00,9.00,5.00,4.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2380,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5145341,3.00,6.00,4.00,4.00,5.00,7.88,3.00,3.00,6.00,203,NULL,211,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',11452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5145350,8.00,9.00,7.00,6.00,10.00,9.38,9.00,6.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5145376,1.00,7.00,2.00,2.00,4.00,7.88,2.00,3.00,5.00,203,NULL,208,'CAMPO DE FORA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5145384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5145406,5.00,6.00,2.00,2.00,5.00,11.25,1.00,1.00,4.00,207,NULL,NULL,'CIDADE JARDIM','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5145430,7.00,5.00,2.00,4.00,7.00,10.88,2.00,4.00,5.00,216,NULL,202,'CENTRO','FRANCISCO BELTRÃO','PR',9266,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5145449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5145457,8.00,7.00,6.00,7.00,8.00,10.13,5.00,6.00,9.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',1063,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5145465,9.00,9.00,6.00,7.00,11.00,12.00,6.00,5.00,7.00,103,NULL,NULL,'SÃO JOSÉ','PASSO FUNDO','RS',272,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5145473,3.00,5.00,2.00,6.00,4.00,7.50,2.00,3.00,6.00,601,NULL,215,'PETROPOLIS','JOINVILLE','SC',14318,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5145490,8.00,7.00,5.00,7.00,9.00,7.88,4.00,7.00,6.00,333,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5145503,4.00,5.00,2.00,5.00,6.00,8.25,1.00,2.00,4.00,415,NULL,NULL,'INDUSTRIAL','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5145511,7.00,6.00,3.00,7.00,9.00,10.50,4.00,3.00,6.00,340,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',4231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5145520,7.00,8.00,0.00,6.00,5.00,NULL,0.00,2.00,5.00,201,NULL,207,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5145538,2.00,5.00,1.00,3.00,3.00,NULL,2.00,1.00,3.00,303,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5145546,1.00,4.00,2.00,4.00,3.00,NULL,0.00,0.00,1.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5145554,2.00,4.00,1.00,2.00,2.00,NULL,2.00,1.00,1.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5145570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5145589,0.00,4.00,0.00,0.00,0.00,NULL,0.00,2.00,3.00,101,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5145597,6.00,5.00,2.00,5.00,4.00,6.75,2.00,4.00,4.00,318,NULL,NULL,'CHACARA DA BARRA','CAMPINAS','SP',11807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5145600,4.00,2.00,1.00,1.00,4.00,NULL,2.00,1.00,2.00,333,NULL,NULL,'PRAIA DA JOAQUINA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5145627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'JARDIM ALVORADA','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5145635,5.00,4.00,4.00,8.00,5.00,9.00,3.00,4.00,5.00,319,NULL,NULL,'CUMBICA','GUARULHOS','SP',9954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5145643,2.00,1.00,3.00,5.00,3.00,NULL,2.00,1.00,5.00,316,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5145660,3.00,5.00,3.00,4.00,5.00,9.75,0.00,4.00,6.00,101,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5145678,8.00,9.00,5.00,5.00,10.00,8.25,6.00,7.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1285,746,NULL,NULL,NULL,NULL,NULL,2,1),(20,5145686,6.00,7.00,3.00,6.00,4.00,10.13,2.00,3.00,5.00,103,NULL,NULL,'PARQUE DA FIGUEIRA','PAULÍNIA','SP',8836,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5145694,4.00,6.00,2.00,5.00,6.00,NULL,0.00,4.00,1.00,201,NULL,212,'SÃO VICENTE','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5145716,9.00,7.00,4.00,5.00,8.00,8.25,2.00,4.00,7.00,201,NULL,203,'CENTRO','SALTO LONTRA','PR',5190,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5145724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'VILA ALEMANHA','LUZERNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5145732,8.00,9.00,5.00,7.00,11.00,10.13,4.00,5.00,7.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5145740,2.00,5.00,4.00,5.00,7.00,7.50,2.00,3.00,4.00,201,NULL,NULL,'RIBEIRÃO TAQUARAS','IBIRAMA','SC',14309,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5145759,6.00,8.00,4.00,7.00,6.00,7.50,4.00,3.00,4.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',7504,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5145767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'WERNER PLAAS','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5145775,9.00,7.00,5.00,8.00,9.00,12.00,6.00,5.00,7.00,216,NULL,202,'ALTO DA BOA VISTA','SOROCABA','SP',771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5145783,7.00,6.00,4.00,3.00,6.00,7.88,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',13977,3631,NULL,NULL,NULL,NULL,NULL,2,16),(20,5145805,7.00,7.00,3.00,7.00,6.00,8.63,3.00,2.00,7.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5145813,3.00,8.00,0.00,3.00,3.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5145821,3.00,8.00,3.00,3.00,3.00,NULL,1.00,2.00,5.00,3,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5145830,6.00,6.00,6.00,7.00,6.00,7.88,4.00,5.00,6.00,601,NULL,NULL,'PONTA DAREIA','S LUÍS','MA',4360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5145848,5.00,3.00,1.00,4.00,7.00,NULL,2.00,1.00,1.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5145902,7.00,6.00,2.00,6.00,10.00,7.50,1.00,5.00,7.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8340,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5145910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5145945,5.00,5.00,5.00,3.00,7.00,7.88,1.00,1.00,4.00,104,NULL,NULL,'NSA SRA DE LOURDES','CAMPOS NOVOS','SC',13429,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5145953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PAROLIN','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5145961,7.00,5.00,0.00,3.00,6.00,6.75,3.00,3.00,6.00,208,NULL,235,'CORREGO GRANDE','FLORIANÓPOLIS','SC',12193,295,NULL,163,NULL,NULL,NULL,2,1),(20,5145970,3.00,4.00,2.00,4.00,7.00,NULL,0.00,1.00,2.00,424,NULL,427,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5145988,7.00,7.00,2.00,2.00,7.00,9.00,3.00,2.00,6.00,201,NULL,212,'COMASSA','JOINVILLE','SC',11351,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5146003,8.00,9.00,6.00,5.00,9.00,9.75,5.00,7.00,9.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5146020,6.00,6.00,2.00,4.00,5.00,6.75,2.00,6.00,5.00,601,NULL,201,'SUMARÉ','RIO SUL','SC',8457,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5146038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5146046,4.00,4.00,4.00,5.00,6.00,9.38,3.00,2.00,4.00,316,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146070,3.00,7.00,1.00,4.00,9.00,9.38,2.00,3.00,5.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12341,169,NULL,NULL,NULL,NULL,NULL,2,1),(20,5146089,2.00,4.00,1.00,2.00,4.00,NULL,0.00,4.00,2.00,340,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5146097,9.00,5.00,4.00,5.00,9.00,9.00,7.00,6.00,8.00,103,NULL,NULL,'CENTRO','LEOBERTO LEAL','SC',1509,857,NULL,NULL,NULL,NULL,NULL,2,1),(20,5146100,2.00,6.00,1.00,0.00,2.00,NULL,0.00,2.00,1.00,653,NULL,652,'PEROBA','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5146119,8.00,7.00,4.00,7.00,8.00,7.88,3.00,3.00,6.00,103,NULL,NULL,'VILA NOVA','LAGES','SC',4630,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5146135,6.00,6.00,3.00,3.00,4.00,4.88,3.00,3.00,3.00,201,NULL,212,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146143,4.00,4.00,0.00,5.00,5.00,NULL,3.00,4.00,4.00,211,NULL,601,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5146160,6.00,9.00,2.00,5.00,7.00,9.00,1.00,5.00,5.00,327,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',7633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5146178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,207,'VILA RICA','STO ANTÔNIO POSSE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5146186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5146194,1.00,5.00,0.00,1.00,4.00,NULL,3.00,1.00,1.00,653,NULL,207,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5146208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'BARREIRO','ARAÇOIABA SERRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5146216,7.00,0.00,4.00,3.00,5.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5146224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(20,5146232,6.00,6.00,0.00,2.00,5.00,6.38,1.00,3.00,5.00,551,NULL,NULL,'SAO JOSÉ','CURITIBANOS','SC',15702,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5146240,8.00,6.00,6.00,7.00,8.00,12.00,6.00,2.00,8.00,207,NULL,202,'ITACORUBI','FLORIANÓPOLIS','SC',1446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146259,2.00,3.00,0.00,2.00,3.00,NULL,0.00,2.00,4.00,104,NULL,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5146267,6.00,6.00,2.00,7.00,6.00,8.25,3.00,3.00,2.00,102,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5146275,3.00,3.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,201,NULL,207,'CENTRO','TAQUARUÇU SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5146291,5.00,4.00,2.00,6.00,6.00,7.50,0.00,3.00,2.00,301,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146305,7.00,9.00,0.00,4.00,9.00,10.13,3.00,4.00,5.00,333,NULL,NULL,'NOSSA SENH DA SALETE','CRICIÚMA','SC',9380,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5146313,6.00,6.00,0.00,4.00,6.00,6.38,2.00,5.00,3.00,316,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',13960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146330,3.00,4.00,2.00,5.00,4.00,7.50,2.00,3.00,4.00,415,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',15652,280,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5146356,7.00,5.00,4.00,7.00,10.00,8.63,2.00,7.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4098,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5146364,7.00,8.00,7.00,5.00,9.00,10.13,7.00,5.00,7.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',1311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5146380,6.00,6.00,1.00,5.00,5.00,9.75,3.00,3.00,3.00,415,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',11311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BAIRRO DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5146410,5.00,5.00,3.00,4.00,5.00,7.13,1.00,2.00,4.00,201,NULL,653,'TERESÓPOLIS','PTO ALEGRE','RS',13987,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5146429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'NOVA BRASÍLIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5146437,6.00,4.00,3.00,2.00,7.00,NULL,0.00,3.00,2.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5146453,4.00,4.00,1.00,7.00,5.00,4.50,3.00,4.00,5.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5146461,7.00,8.00,5.00,7.00,6.00,7.50,6.00,5.00,6.00,235,NULL,202,'BARREIROS','S JOSÉ','SC',5265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146470,9.00,7.00,7.00,8.00,8.00,9.00,7.00,5.00,8.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',557,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5146488,2.00,7.00,2.00,3.00,3.00,NULL,3.00,3.00,0.00,201,NULL,233,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5146500,3.00,6.00,3.00,3.00,5.00,4.50,1.00,2.00,3.00,336,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5146526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'ESTRELA','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5146550,4.00,5.00,7.00,8.00,9.00,7.50,5.00,5.00,6.00,201,NULL,207,'RIO BRANCO','S LEOPOLDO','RS',3532,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5146569,5.00,6.00,1.00,6.00,7.00,9.00,1.00,1.00,5.00,425,NULL,423,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5146577,5.00,7.00,3.00,6.00,9.00,9.00,5.00,5.00,7.00,233,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',4075,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5146585,4.00,4.00,1.00,4.00,4.00,NULL,2.00,1.00,2.00,653,NULL,652,'LARANJINHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5146593,8.00,7.00,6.00,7.00,8.00,13.50,6.00,7.00,6.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146607,5.00,5.00,3.00,3.00,3.00,NULL,2.00,3.00,6.00,103,NULL,NULL,'EXPOSIÇÃO','PASSOS','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5146623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TRIDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5146640,4.00,2.00,3.00,6.00,5.00,7.13,3.00,3.00,6.00,216,NULL,215,'ORLEANS','CURITIBA','PR',13352,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5146674,5.00,3.00,0.00,5.00,4.00,NULL,0.00,1.00,3.00,110,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146682,4.00,2.00,0.00,5.00,6.00,NULL,2.00,2.00,3.00,319,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5146690,7.00,7.00,4.00,8.00,7.00,7.13,3.00,4.00,6.00,316,NULL,NULL,'SAO BENEDITO','MORUNGABA','SP',5202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146704,8.00,7.00,4.00,7.00,10.00,7.50,3.00,5.00,6.00,103,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',4159,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5146712,4.00,6.00,3.00,7.00,7.00,6.38,3.00,3.00,4.00,333,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',13275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146720,0.00,6.00,0.00,3.00,7.00,NULL,1.00,0.00,3.00,450,NULL,NULL,'JARDIM VERDE VALE','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146739,3.00,3.00,0.00,4.00,6.00,NULL,1.00,0.00,3.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146747,6.00,5.00,2.00,1.00,7.00,8.63,2.00,1.00,5.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',12279,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5146755,5.00,5.00,3.00,4.00,5.00,6.75,5.00,3.00,3.00,216,NULL,233,'CONTA DINHEIRO','LAGES','SC',11857,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5146763,4.00,2.00,1.00,5.00,4.00,NULL,1.00,3.00,4.00,238,NULL,208,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5146780,7.00,4.00,3.00,7.00,10.00,9.38,1.00,1.00,4.00,319,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',9617,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5146798,4.00,2.00,2.00,3.00,6.00,NULL,2.00,1.00,2.00,319,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146801,3.00,3.00,4.00,4.00,5.00,NULL,2.00,1.00,3.00,233,NULL,207,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5146828,5.00,5.00,2.00,2.00,6.00,7.13,2.00,3.00,3.00,503,NULL,NULL,'BALNEARIO ESTREITO','FLORIANÓPOLIS','SC',15210,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5146836,1.00,4.00,1.00,6.00,5.00,7.88,3.00,3.00,3.00,319,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',13648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146844,6.00,5.00,1.00,3.00,5.00,9.00,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',12849,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5146860,5.00,5.00,2.00,5.00,5.00,8.25,3.00,3.00,1.00,5,NULL,NULL,'CENTRO','ARARANGUÁ','SC',14133,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5146879,4.00,5.00,2.00,7.00,6.00,9.00,2.00,3.00,6.00,222,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146895,3.00,3.00,0.00,4.00,2.00,NULL,4.00,2.00,2.00,5,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'INTERIOR','S BERNARDINO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5146925,5.00,7.00,2.00,5.00,7.00,7.50,2.00,4.00,6.00,453,NULL,NULL,'CENTRO','CURITIBANOS','SC',8279,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5146933,3.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5146941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5146968,6.00,8.00,5.00,3.00,5.00,6.38,3.00,4.00,5.00,233,NULL,238,'CENTRO','TUBARÃO','SC',9742,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5146976,9.00,6.00,6.00,7.00,9.00,7.88,5.00,3.00,8.00,203,NULL,202,'CENTRO','GUAÍRA','PR',2230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146984,8.00,9.00,5.00,8.00,7.00,9.38,8.00,6.00,7.00,208,NULL,653,'VILA OLIMPIA','S PAULO','SP',908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5146992,4.00,4.00,0.00,5.00,4.00,NULL,2.00,1.00,2.00,108,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147000,6.00,5.00,2.00,3.00,4.00,8.25,0.00,3.00,2.00,207,NULL,201,'CIDADE ALTA','ARARANGUÁ','SC',15432,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5147018,6.00,6.00,0.00,2.00,7.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147026,1.00,4.00,1.00,6.00,5.00,NULL,0.00,1.00,4.00,429,NULL,425,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5147042,5.00,3.00,0.00,2.00,4.00,NULL,2.00,0.00,2.00,203,NULL,601,'CENTRO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5147050,6.00,5.00,7.00,6.00,8.00,7.50,1.00,4.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5147069,5.00,6.00,1.00,5.00,7.00,6.38,0.00,1.00,4.00,303,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',14823,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5147085,6.00,4.00,0.00,4.00,3.00,NULL,2.00,3.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147093,5.00,5.00,0.00,3.00,6.00,NULL,3.00,0.00,3.00,601,NULL,203,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5147107,5.00,5.00,3.00,4.00,6.00,8.63,2.00,3.00,4.00,3,NULL,NULL,'GUANABARA','JOINVILLE','SC',13189,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5147115,8.00,4.00,0.00,7.00,9.00,7.50,3.00,2.00,6.00,215,NULL,216,'CENTRO','ORLEANS','SC',7245,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5147123,7.00,5.00,3.00,7.00,7.00,7.88,3.00,3.00,3.00,104,NULL,NULL,'MOINHOS','LAJEADO','RS',7678,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5147131,5.00,4.00,0.00,7.00,8.00,7.13,0.00,2.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETO BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5147158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'INTERLAGOS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5147166,4.00,4.00,1.00,5.00,6.00,6.75,1.00,4.00,3.00,653,NULL,652,'ZONA NOVA SUL','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5147174,4.00,5.00,2.00,5.00,7.00,4.88,3.00,3.00,4.00,211,NULL,215,'BOM RETIRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5147182,3.00,4.00,1.00,4.00,3.00,NULL,3.00,1.00,2.00,319,NULL,NULL,'CENTRO','S CARLOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147190,5.00,3.00,1.00,4.00,5.00,NULL,0.00,1.00,7.00,201,NULL,207,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5147204,5.00,6.00,2.00,3.00,6.00,6.75,2.00,3.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147212,5.00,7.00,5.00,7.00,8.00,7.50,4.00,5.00,6.00,216,NULL,233,'BALNEÁRIO','FLORIANÓPOLIS','SC',5722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147239,8.00,7.00,4.00,8.00,10.00,8.63,7.00,3.00,6.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',1944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147247,6.00,8.00,2.00,2.00,8.00,9.38,2.00,3.00,4.00,320,NULL,NULL,'PENHA','PAULO LOPES','SC',11835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147255,7.00,8.00,7.00,5.00,7.00,9.00,6.00,5.00,7.00,214,NULL,212,'MARISTA','GOIÂNIA','GO',2140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147263,4.00,6.00,4.00,7.00,7.00,8.63,2.00,2.00,3.00,326,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',12536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147271,8.00,6.00,6.00,8.00,7.00,9.75,5.00,4.00,7.00,216,NULL,233,'JD PREVIDENCIA','S PAULO','SP',2107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147298,4.00,6.00,4.00,6.00,9.00,8.63,3.00,4.00,4.00,208,NULL,238,'VILA SADIA','VÁRZEA GRANDE','MT',7591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ESPLANADA DO SOL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5147328,6.00,4.00,3.00,7.00,5.00,4.88,0.00,4.00,2.00,326,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147336,4.00,5.00,4.00,5.00,7.00,7.50,0.00,4.00,4.00,103,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',12785,3493,NULL,NULL,NULL,NULL,NULL,2,9),(20,5147344,4.00,6.00,3.00,7.00,5.00,8.63,3.00,1.00,4.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',11566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147360,2.00,5.00,1.00,4.00,7.00,6.38,3.00,3.00,3.00,318,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',15853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5147395,3.00,4.00,2.00,2.00,6.00,NULL,3.00,0.00,1.00,333,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5147417,9.00,5.00,1.00,7.00,6.00,9.75,3.00,4.00,5.00,103,NULL,NULL,'VILA CERQUEIRA','AMÉRICO BRASILIENSE','SP',4965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5147433,4.00,3.00,0.00,5.00,6.00,NULL,1.00,1.00,4.00,3,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147441,8.00,7.00,2.00,7.00,7.00,8.63,4.00,3.00,8.00,216,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',6675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5147476,8.00,5.00,5.00,5.00,7.00,8.63,3.00,5.00,7.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5232,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5147484,4.00,4.00,1.00,4.00,5.00,NULL,0.00,3.00,4.00,303,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5147492,5.00,5.00,1.00,6.00,5.00,7.88,0.00,1.00,4.00,333,NULL,NULL,'CAMPO BELO','FRANCA','SP',14186,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5147514,3.00,5.00,2.00,6.00,6.00,8.25,0.00,3.00,5.00,303,NULL,NULL,'CENTRO','S CARLOS','SP',14454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147530,9.00,6.00,9.00,7.00,8.00,11.63,6.00,6.00,6.00,103,NULL,NULL,'PARAISO','S PAULO','SP',481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147549,5.00,6.00,1.00,7.00,6.00,8.63,3.00,2.00,5.00,201,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',11098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147573,4.00,5.00,3.00,4.00,4.00,11.25,3.00,4.00,3.00,234,NULL,NULL,'PORTO CUBATÃO','CANANÉIA','SP',13666,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5147581,5.00,2.00,1.00,1.00,2.00,NULL,4.00,2.00,3.00,103,NULL,NULL,'EXPOSIÇÃO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5147590,7.00,8.00,3.00,5.00,9.00,7.13,3.00,5.00,8.00,102,NULL,NULL,'CENTRO','URUSSANGA','SC',4812,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5147603,4.00,5.00,1.00,4.00,4.00,7.50,4.00,3.00,4.00,207,NULL,201,'NOSSA SR DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5147620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TARUMÃ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5147638,3.00,5.00,6.00,7.00,7.00,8.63,2.00,3.00,1.00,216,NULL,215,'CRUZEIRO DO SUL','JOAÇABA','SC',12872,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5147646,4.00,5.00,0.00,6.00,8.00,NULL,0.00,3.00,2.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5147662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,207,'ITAJUBA','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5147689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5147697,5.00,3.00,3.00,3.00,6.00,7.88,3.00,1.00,5.00,3,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'PORTINHO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5147719,5.00,6.00,2.00,6.00,4.00,6.00,4.00,4.00,5.00,201,NULL,601,'VILA NOVA','BLUMENAU','SC',10660,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5147735,8.00,8.00,5.00,5.00,8.00,10.13,3.00,7.00,8.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',1740,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5147751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5147760,3.00,6.00,4.00,3.00,4.00,7.50,1.00,1.00,6.00,108,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',13396,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5147778,3.00,5.00,0.00,3.00,5.00,NULL,3.00,2.00,0.00,303,NULL,NULL,'PETRÓPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5147786,2.00,5.00,2.00,4.00,3.00,NULL,0.00,1.00,3.00,444,NULL,NULL,'FLOR DE NÁPOLES','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5147794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CIDADE ALTA','ITAQUI','RS',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5147808,6.00,3.00,3.00,6.00,7.00,7.50,2.00,1.00,4.00,233,NULL,238,'BALNEÁRIO','FLORIANÓPOLIS','SC',12459,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5147816,8.00,8.00,5.00,7.00,6.00,9.38,4.00,5.00,7.00,211,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',2506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147824,7.00,5.00,1.00,5.00,5.00,7.88,2.00,2.00,6.00,103,NULL,NULL,'MOEMA','S PAULO','SP',10842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147832,4.00,5.00,3.00,6.00,7.00,9.38,0.00,3.00,3.00,103,NULL,NULL,'TESTO REGA','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(20,5147875,8.00,7.00,8.00,7.00,7.00,12.00,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5147913,8.00,7.00,5.00,5.00,9.00,8.25,5.00,5.00,7.00,103,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',2248,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5147921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,601,'SAPETINGA','ILHÉUS','BA',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5147930,3.00,7.00,0.00,4.00,3.00,NULL,2.00,3.00,3.00,207,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5147948,9.00,7.00,6.00,8.00,9.00,11.25,6.00,2.00,8.00,415,NULL,NULL,'GARCIA','BLUMENAU','SC',1025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147980,6.00,4.00,2.00,4.00,6.00,8.63,2.00,4.00,3.00,428,NULL,425,'CAMPECHE','FLORIANÓPOLIS','SC',13169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5147999,6.00,7.00,2.00,8.00,7.00,9.00,3.00,4.00,5.00,304,NULL,NULL,'MICHEL','CRICIÚMA','SC',7551,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5148006,6.00,6.00,2.00,2.00,7.00,6.38,1.00,4.00,4.00,233,NULL,201,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',12123,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5148014,9.00,7.00,5.00,4.00,7.00,9.38,7.00,6.00,7.00,220,NULL,214,'COHAB NOVA','POCONÉ','MT',2386,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5148022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5148030,2.00,3.00,1.00,1.00,5.00,NULL,0.00,1.00,3.00,203,NULL,201,'CORVETA','ARAQUARI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5148057,5.00,6.00,4.00,5.00,10.00,10.50,2.00,2.00,4.00,207,NULL,215,'CARVOEIRA','FLORIANÓPOLIS','SC',8067,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5148065,7.00,7.00,3.00,3.00,6.00,7.88,2.00,2.00,5.00,339,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',12927,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5148073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5148081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5148103,6.00,4.00,3.00,7.00,9.00,12.38,2.00,4.00,5.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148120,5.00,6.00,0.00,5.00,9.00,7.50,2.00,4.00,6.00,304,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',9989,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5148138,6.00,5.00,4.00,7.00,6.00,12.00,3.00,4.00,7.00,207,NULL,201,'AMÉRICA','JOINVILLE','SC',4702,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5148146,3.00,3.00,1.00,2.00,6.00,NULL,2.00,3.00,2.00,336,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5148170,2.00,6.00,0.00,5.00,2.00,NULL,0.00,2.00,2.00,453,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148189,4.00,4.00,0.00,7.00,7.00,8.25,1.00,4.00,4.00,207,NULL,208,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148197,0.00,6.00,0.00,0.00,0.00,NULL,0.00,1.00,1.00,9,NULL,NULL,'PORTAL DOS NOBRES','AMERICANA','SP',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(20,5148219,9.00,6.00,7.00,6.00,7.00,9.75,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1188,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5148227,3.00,5.00,1.00,4.00,4.00,NULL,1.00,0.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148235,6.00,7.00,7.00,6.00,7.00,8.63,4.00,2.00,6.00,601,NULL,212,'CAMPINAS','S JOSÉ','SC',5727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148251,6.00,5.00,3.00,6.00,9.00,8.63,2.00,2.00,6.00,201,NULL,215,'BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC',7880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148260,4.00,6.00,2.00,6.00,9.00,8.63,3.00,3.00,5.00,202,NULL,213,'VELHA','BLUMENAU','SC',9677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148278,3.00,3.00,1.00,5.00,2.00,NULL,2.00,2.00,4.00,203,NULL,214,'CENTRO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5148286,2.00,4.00,0.00,2.00,5.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'DOS ESTADOS','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5148294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5148308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'PARQUE DAS AMÉRICAS','PTO ESPERIDIÃO','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5148316,5.00,6.00,1.00,6.00,4.00,6.75,2.00,3.00,3.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148332,4.00,3.00,0.00,4.00,2.00,NULL,2.00,2.00,2.00,104,NULL,NULL,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5148340,9.00,6.00,2.00,7.00,9.00,7.88,3.00,6.00,7.00,303,NULL,NULL,'GLÓRIA','CARAZINHO','RS',2746,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5148359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5148367,8.00,7.00,3.00,6.00,10.00,9.75,3.00,6.00,4.00,215,NULL,233,'FORTALEZA','BLUMENAU','SC',3947,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5148375,1.00,3.00,1.00,3.00,3.00,NULL,0.00,2.00,1.00,208,NULL,653,'DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5148383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,653,'ITAJUBÁ','DESCANSO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5148391,3.00,7.00,2.00,7.00,8.00,9.38,0.00,3.00,6.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',9697,158,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148405,3.00,3.00,0.00,3.00,3.00,NULL,1.00,1.00,5.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148413,5.00,5.00,2.00,7.00,4.00,8.63,3.00,4.00,4.00,336,NULL,NULL,'MARIA AMÉLIA','JACAREÍ','SP',10529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148421,7.00,6.00,3.00,7.00,3.00,NULL,0.00,3.00,2.00,404,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148448,5.00,5.00,3.00,4.00,6.00,7.13,2.00,1.00,4.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148464,8.00,7.00,4.00,6.00,6.00,11.25,3.00,6.00,6.00,103,NULL,NULL,'BATEL','CURITIBA','PR',3449,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5148499,9.00,6.00,7.00,7.00,8.00,11.63,8.00,4.00,8.00,103,NULL,NULL,'SUMARÉ','RIO SUL','SC',523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148502,7.00,6.00,3.00,5.00,8.00,8.25,4.00,6.00,4.00,216,NULL,233,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5683,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5148510,3.00,7.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,653,NULL,216,'OURO NEGRO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5148529,8.00,7.00,1.00,4.00,9.00,7.50,3.00,4.00,5.00,201,NULL,601,'CENTRO','S JOÃO BATISTA','SC',6975,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5148537,5.00,4.00,1.00,5.00,4.00,6.00,4.00,3.00,4.00,502,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',14878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5148545,8.00,7.00,2.00,7.00,9.00,11.25,3.00,1.00,8.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,215,'CENTRO','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5148561,8.00,7.00,2.00,5.00,9.00,7.13,4.00,3.00,6.00,201,NULL,211,'BARREIROS','S JOSÉ','SC',8416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5148588,9.00,7.00,4.00,7.00,10.00,NULL,1.00,6.00,5.00,102,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5148596,8.00,8.00,2.00,7.00,8.00,7.88,3.00,2.00,6.00,103,NULL,NULL,'MOINHOS','LAJEADO','RS',8339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148600,6.00,7.00,2.00,3.00,6.00,8.25,1.00,1.00,2.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15234,114,NULL,NULL,NULL,NULL,NULL,2,1),(20,5148618,3.00,4.00,1.00,3.00,2.00,NULL,1.00,2.00,2.00,208,NULL,203,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5148626,2.00,2.00,1.00,1.00,2.00,NULL,1.00,2.00,2.00,101,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5148634,4.00,6.00,3.00,7.00,9.00,7.88,4.00,3.00,5.00,108,NULL,NULL,'AREIAS','S JOSÉ','SC',7404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5148642,3.00,4.00,1.00,3.00,3.00,NULL,4.00,1.00,4.00,452,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148650,7.00,7.00,5.00,7.00,8.00,9.00,5.00,6.00,5.00,213,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',3838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148669,8.00,7.00,3.00,7.00,10.00,9.38,5.00,7.00,8.00,303,NULL,NULL,'IPIRANGA','S PAULO','SP',1026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148677,5.00,6.00,3.00,6.00,6.00,8.25,4.00,1.00,4.00,108,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',12094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5148707,5.00,5.00,2.00,6.00,9.00,10.50,2.00,1.00,7.00,301,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148715,4.00,5.00,0.00,1.00,4.00,NULL,1.00,1.00,0.00,601,NULL,211,'CENTRO','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5148723,4.00,8.00,6.00,7.00,6.00,7.88,4.00,5.00,3.00,452,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',7892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148731,2.00,7.00,0.00,5.00,6.00,NULL,0.00,3.00,3.00,5,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5148740,7.00,5.00,7.00,7.00,6.00,8.63,7.00,5.00,7.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',3032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148766,4.00,6.00,3.00,5.00,5.00,8.63,1.00,2.00,4.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',12859,233,NULL,NULL,NULL,NULL,NULL,2,1),(20,5148774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5148782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PONTE PRETA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5148790,7.00,6.00,4.00,6.00,8.00,8.63,3.00,4.00,5.00,420,NULL,NULL,'CENTRO DE FPOLIS','FLORIANÓPOLIS','SC',7996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5148804,8.00,4.00,7.00,7.00,7.00,6.00,3.00,6.00,5.00,453,NULL,NULL,'TRICOLIN','CANOINHAS','SC',5592,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5148812,7.00,6.00,5.00,7.00,9.00,9.00,1.00,4.00,6.00,216,NULL,201,'IPIRANGA','LAGES','SC',4877,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5148820,6.00,5.00,3.00,7.00,7.00,6.75,4.00,6.00,4.00,208,NULL,203,'CENTRO','CPO GRANDE','MS',10478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148839,5.00,5.00,1.00,4.00,8.00,9.00,2.00,2.00,2.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',15579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5148847,7.00,6.00,3.00,7.00,8.00,10.88,4.00,5.00,9.00,216,NULL,233,'BARRA FUNDA','S PAULO','SP',1901,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5148855,6.00,6.00,1.00,4.00,4.00,9.38,1.00,2.00,3.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5148871,8.00,8.00,6.00,7.00,8.00,11.25,7.00,4.00,6.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',1297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5148901,9.00,8.00,2.00,4.00,6.00,10.88,1.00,2.00,5.00,5,NULL,NULL,'CENTRO','TUBARÃO','SC',8963,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5148928,6.00,6.00,4.00,7.00,7.00,10.50,3.00,3.00,4.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',6979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148936,5.00,4.00,2.00,1.00,3.00,NULL,1.00,3.00,4.00,213,NULL,203,'SANTA CANDIDA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5148944,8.00,6.00,5.00,7.00,9.00,7.50,3.00,4.00,7.00,5,NULL,NULL,'CENTRO','BLUMENAU','SC',3244,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5148952,4.00,4.00,1.00,3.00,3.00,NULL,4.00,3.00,3.00,201,NULL,220,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5148960,8.00,6.00,1.00,7.00,7.00,7.88,4.00,4.00,7.00,103,NULL,NULL,'JARDIM BRASIL','MARINGÁ','PR',4968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148979,5.00,6.00,7.00,3.00,7.00,8.25,3.00,5.00,6.00,211,NULL,203,'RIO VERMELHO','FLORIANÓPOLIS','SC',6307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5148995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5149002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CALHEIROS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5149029,7.00,5.00,4.00,6.00,8.00,7.88,4.00,4.00,7.00,212,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',4400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5149045,4.00,4.00,0.00,5.00,5.00,NULL,0.00,2.00,1.00,404,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5149053,8.00,7.00,7.00,5.00,9.00,10.13,3.00,4.00,7.00,103,NULL,NULL,'LAGO NORTE','LG NORTE','DF',3722,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5149096,6.00,8.00,2.00,6.00,8.00,9.75,3.00,5.00,5.00,310,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5149100,7.00,5.00,1.00,6.00,5.00,9.75,2.00,4.00,4.00,303,NULL,NULL,'VILA RICA','CPO GRANDE','MS',12457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5149118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'V ARICANDUVA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5149126,7.00,5.00,2.00,5.00,6.00,6.75,2.00,2.00,3.00,103,NULL,NULL,'GASPAR MIRIM','GASPAR','SC',15443,3789,NULL,NULL,NULL,NULL,NULL,4,2),(20,5149134,3.00,4.00,2.00,2.00,4.00,NULL,1.00,2.00,2.00,415,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5149142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5149150,7.00,7.00,4.00,7.00,10.00,6.75,5.00,4.00,6.00,340,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',3894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5149177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAGO SUL','LG SUL','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5149185,5.00,7.00,2.00,5.00,6.00,6.00,1.00,2.00,4.00,224,NULL,NULL,'IPIRANGA','S JOSÉ','SC',15856,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5149215,7.00,7.00,4.00,5.00,8.00,10.50,3.00,4.00,3.00,427,NULL,424,'ITACORUBI','FLORIANÓPOLIS','SC',7779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5149223,3.00,5.00,2.00,4.00,10.00,9.00,3.00,4.00,5.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5149274,1.00,3.00,0.00,3.00,4.00,NULL,0.00,1.00,0.00,503,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5149282,6.00,5.00,0.00,7.00,9.00,10.50,1.00,2.00,3.00,425,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5149290,3.00,2.00,1.00,2.00,4.00,NULL,1.00,2.00,1.00,316,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5149304,6.00,6.00,0.00,3.00,4.00,7.88,3.00,5.00,4.00,331,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14781,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5149312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ÁGUAS CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5149320,8.00,9.00,4.00,5.00,9.00,11.25,6.00,7.00,8.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1309,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5149339,8.00,6.00,5.00,7.00,7.00,8.63,2.00,6.00,7.00,103,NULL,NULL,'JARDIM MACARENGO','S CARLOS','SP',2913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5149347,6.00,5.00,1.00,2.00,5.00,6.00,1.00,3.00,2.00,208,NULL,NULL,'SANTO ANTONIO','S BONIFÁCIO','SC',16282,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5149363,2.00,2.00,1.00,1.00,2.00,NULL,2.00,3.00,2.00,317,NULL,NULL,'SANTO ANTONIO','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5149371,3.00,6.00,2.00,4.00,8.00,6.38,2.00,3.00,4.00,202,NULL,213,'IPIRANGA','S JOSÉ','SC',15314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5149398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'AREA INDUSTRIAL','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5149410,2.00,5.00,2.00,2.00,6.00,NULL,4.00,2.00,3.00,652,NULL,653,'NOSSA SENHORA FATIMA','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,5),(20,5149428,3.00,3.00,3.00,7.00,4.00,8.25,0.00,2.00,3.00,238,NULL,208,'CORREGO GRANDE','FLORIANÓPOLIS','SC',16093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5149436,1.00,3.00,0.00,4.00,3.00,NULL,3.00,0.00,1.00,426,NULL,423,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5149444,7.00,5.00,5.00,6.00,8.00,NULL,0.00,3.00,6.00,101,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5149460,5.00,4.00,1.00,5.00,6.00,7.88,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','ERVAL GRANDE','RS',12768,3490,NULL,NULL,NULL,NULL,NULL,2,4),(20,5149479,6.00,8.00,1.00,7.00,8.00,6.00,2.00,4.00,1.00,318,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',12891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5149487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SANTA INES','FORMOSA SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5149517,3.00,0.00,2.00,3.00,7.00,NULL,0.00,0.00,0.00,652,NULL,651,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(20,5149525,7.00,7.00,4.00,4.00,7.00,6.75,6.00,4.00,8.00,203,NULL,211,'KOBRASOL','S JOSÉ','SC',6724,536,NULL,NULL,NULL,NULL,NULL,4,1),(20,5149550,9.00,6.00,6.00,6.00,8.00,7.13,4.00,6.00,8.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',1954,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5149568,2.00,5.00,1.00,2.00,2.00,NULL,1.00,3.00,2.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5149576,4.00,4.00,2.00,7.00,5.00,6.75,2.00,4.00,4.00,103,NULL,NULL,'GRANJA OLGA','SOROCABA','SP',13575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5149584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5149592,2.00,4.00,1.00,2.00,3.00,NULL,1.00,3.00,1.00,503,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5149606,3.00,5.00,0.00,1.00,3.00,NULL,1.00,2.00,5.00,551,NULL,NULL,'CENTRO','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5149622,9.00,7.00,7.00,4.00,8.00,11.25,6.00,5.00,8.00,203,NULL,214,'SANTA CRUZ','RIBEIRÃO PRETO','SP',1016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5149630,3.00,2.00,1.00,1.00,4.00,NULL,1.00,1.00,2.00,444,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5149649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'JARDIM RECREIO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5149673,6.00,7.00,0.00,5.00,8.00,7.88,2.00,4.00,2.00,336,NULL,NULL,'SAO LUIS','SOMBRIO','SC',12047,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5149681,7.00,5.00,9.00,3.00,8.00,10.50,5.00,3.00,7.00,103,NULL,NULL,'CANISIANAS','IRATI','PR',3207,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5149690,2.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5149703,4.00,4.00,1.00,1.00,3.00,NULL,1.00,2.00,2.00,336,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5149711,6.00,7.00,2.00,3.00,3.00,NULL,0.00,2.00,3.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5149720,1.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5149738,5.00,4.00,5.00,6.00,7.00,8.25,2.00,4.00,4.00,238,NULL,201,'JARDIM AMÉRICA','RIO SUL','SC',10161,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5149746,4.00,1.00,0.00,2.00,6.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'ALDEIA FIGUEIRA','JOSÉ BOITEUX','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5149754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5149762,2.00,3.00,2.00,2.00,3.00,NULL,1.00,1.00,1.00,453,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5149819,8.00,8.00,4.00,8.00,8.00,10.50,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',2916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5149827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'SANTO ANTONIO','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5149843,3.00,5.00,0.00,2.00,5.00,NULL,0.00,1.00,2.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5149851,9.00,6.00,4.00,7.00,9.00,10.88,2.00,6.00,5.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',2907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5149860,6.00,6.00,4.00,6.00,6.00,7.50,3.00,4.00,5.00,203,NULL,214,'CENTRO','PTE ALTA','SC',8676,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5149878,3.00,2.00,0.00,3.00,3.00,NULL,1.00,1.00,0.00,103,NULL,NULL,'JD IPE','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5149886,5.00,7.00,4.00,4.00,4.00,8.25,2.00,4.00,5.00,103,NULL,NULL,'UNIVERSITÁRIA','CPO GRANDE','MS',10213,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5149908,4.00,8.00,3.00,6.00,9.00,6.75,3.00,3.00,6.00,319,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',8191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5149924,1.00,5.00,1.00,4.00,4.00,NULL,3.00,1.00,2.00,339,NULL,NULL,'BELA VISTA IV','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5149932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','ILHÉUS','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5149959,4.00,0.00,0.00,6.00,2.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ANCHIETA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(20,5149975,3.00,6.00,3.00,3.00,5.00,NULL,1.00,1.00,2.00,340,NULL,NULL,'INTERIOR','VARGEÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5149991,2.00,3.00,2.00,5.00,5.00,NULL,1.00,2.00,0.00,102,NULL,NULL,'VISTA ALEGRE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5150000,9.00,9.00,1.00,8.00,8.00,11.25,4.00,4.00,4.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',3279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150019,8.00,6.00,4.00,6.00,7.00,8.63,5.00,6.00,9.00,103,NULL,NULL,'BATEL','CURITIBA','PR',2504,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5150027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM FLORENÇA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5150043,8.00,5.00,5.00,7.00,8.00,8.63,5.00,4.00,7.00,103,NULL,NULL,'JARDIM ITAIPÚ','DOURADOS','MS',3670,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5150051,6.00,5.00,3.00,5.00,8.00,7.50,1.00,3.00,5.00,211,NULL,601,'AMÉRICA','JOINVILLE','SC',10790,333,NULL,NULL,NULL,NULL,NULL,4,8),(20,5150060,8.00,8.00,2.00,5.00,7.00,8.63,2.00,7.00,5.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5150078,3.00,7.00,0.00,6.00,7.00,7.88,2.00,2.00,6.00,203,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150086,8.00,8.00,3.00,7.00,5.00,10.88,2.00,4.00,3.00,103,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',7483,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5150108,9.00,7.00,0.00,5.00,7.00,9.38,3.00,5.00,5.00,108,NULL,NULL,'CENTRO','LAGES','SC',7977,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5150124,2.00,5.00,2.00,5.00,6.00,6.38,3.00,3.00,4.00,207,NULL,211,'INGLESES','FLORIANÓPOLIS','SC',14953,723,NULL,471,NULL,NULL,NULL,4,1),(20,5150132,9.00,4.00,8.00,8.00,9.00,7.13,5.00,4.00,7.00,425,NULL,429,'SERRINHA','FLORIANÓPOLIS','SC',1805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150167,5.00,7.00,2.00,1.00,7.00,NULL,3.00,5.00,3.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5150175,4.00,3.00,2.00,3.00,6.00,9.00,4.00,4.00,3.00,336,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',15752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150183,6.00,7.00,0.00,5.00,6.00,7.50,0.00,2.00,3.00,101,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5150191,2.00,2.00,0.00,4.00,6.00,NULL,0.00,1.00,1.00,426,NULL,421,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150205,9.00,4.00,2.00,7.00,6.00,7.50,5.00,6.00,8.00,103,NULL,NULL,'SUMARÉ','PARANAVAÍ','PR',3380,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5150213,6.00,7.00,8.00,5.00,7.00,8.63,4.00,5.00,7.00,201,NULL,220,'CENTRO','NAVEGANTES','SC',3440,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5150221,8.00,8.00,6.00,6.00,7.00,10.50,6.00,3.00,7.00,233,NULL,215,'CENTRO','CURITIBA','PR',2671,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5150230,9.00,4.00,3.00,5.00,7.00,9.75,3.00,3.00,7.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',6757,2594,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150248,7.00,5.00,4.00,6.00,7.00,7.50,1.00,5.00,6.00,425,NULL,428,'CENTRO','FLORIANÓPOLIS','SC',11587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150256,5.00,5.00,1.00,4.00,3.00,NULL,3.00,3.00,3.00,104,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5150264,4.00,7.00,2.00,2.00,4.00,8.25,1.00,4.00,4.00,5,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',14981,487,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150272,7.00,5.00,2.00,6.00,7.00,9.75,0.00,3.00,5.00,220,NULL,203,'GRANJA VIAN','COTIA','SP',8936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150280,4.00,6.00,5.00,7.00,6.00,7.88,0.00,6.00,5.00,202,NULL,233,'SÃO DEFENDE','CRICIÚMA','SC',9847,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5150302,6.00,8.00,2.00,4.00,8.00,10.13,3.00,5.00,4.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10538,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5150310,5.00,6.00,3.00,7.00,6.00,12.38,2.00,5.00,3.00,453,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150337,1.00,5.00,2.00,3.00,0.00,NULL,2.00,1.00,1.00,220,NULL,233,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5150345,4.00,7.00,3.00,5.00,7.00,7.13,1.00,4.00,4.00,211,NULL,215,'PROGRESSO','LAGUNA','SC',11933,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5150370,3.00,5.00,0.00,3.00,2.00,NULL,2.00,2.00,5.00,501,NULL,NULL,'CENTRO','S DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5150388,4.00,3.00,1.00,4.00,5.00,NULL,2.00,4.00,2.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5150396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5150400,4.00,7.00,3.00,4.00,7.00,8.63,1.00,2.00,4.00,104,NULL,NULL,'CENTRO','CATANDUVAS','SC',13727,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5150418,6.00,5.00,4.00,5.00,4.00,6.00,1.00,2.00,3.00,501,NULL,NULL,'SUMARÉ','PARANAVAÍ','PR',12950,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5150426,8.00,8.00,2.00,6.00,9.00,7.50,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','LEOBERTO LEAL','SC',6620,2562,NULL,NULL,NULL,NULL,NULL,2,9),(20,5150434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SÃO BENTO','SIDROLÂNDIA','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5150442,7.00,8.00,6.00,6.00,7.00,8.25,4.00,5.00,7.00,220,NULL,201,'CIDADE ALTA','ARARANGUÁ','SC',3102,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5150450,8.00,8.00,5.00,7.00,9.00,11.25,5.00,8.00,6.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150477,4.00,4.00,0.00,4.00,5.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'CENTRO','MASSARANDUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5150485,1.00,3.00,1.00,3.00,7.00,NULL,0.00,2.00,4.00,425,NULL,429,'SÃO PEDRO M DO POSTO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,9),(20,5150493,5.00,5.00,0.00,4.00,4.00,NULL,1.00,3.00,6.00,326,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150507,5.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ANCHIETA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(20,5150531,6.00,4.00,4.00,7.00,4.00,9.75,0.00,3.00,3.00,101,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',12287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150540,5.00,5.00,1.00,3.00,6.00,7.88,3.00,2.00,6.00,317,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',13855,83,NULL,NULL,NULL,NULL,NULL,2,1),(20,5150566,8.00,6.00,4.00,7.00,7.00,10.13,2.00,4.00,4.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',7546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150574,3.00,3.00,1.00,3.00,2.00,NULL,1.00,2.00,1.00,340,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5150612,6.00,5.00,2.00,4.00,7.00,8.25,3.00,4.00,5.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',7005,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5150620,5.00,6.00,4.00,4.00,7.00,7.88,2.00,3.00,5.00,501,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',13564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5150647,5.00,7.00,4.00,3.00,8.00,8.25,4.00,4.00,5.00,207,NULL,216,'JARDIM AQUARIUS','PALHOÇA','SC',9199,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5150663,6.00,5.00,0.00,7.00,9.00,NULL,2.00,1.00,4.00,336,NULL,NULL,'CENTRO','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5150680,8.00,8.00,6.00,6.00,9.00,9.75,6.00,5.00,7.00,601,NULL,214,'ALTO DE PINHEIROS','S PAULO','SP',1400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150698,3.00,6.00,2.00,6.00,9.00,8.25,2.00,4.00,5.00,5,NULL,NULL,'CENTRO','IBOTIRAMA','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150701,6.00,7.00,5.00,5.00,8.00,10.13,0.00,5.00,5.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7994,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5150710,8.00,4.00,3.00,7.00,7.00,9.00,3.00,1.00,4.00,203,NULL,214,'COLONINHA','FLORIANÓPOLIS','SC',9270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150736,8.00,8.00,7.00,7.00,7.00,10.50,6.00,5.00,5.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',2033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150744,9.00,7.00,6.00,6.00,10.00,9.75,5.00,6.00,7.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',1600,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5150760,7.00,7.00,4.00,7.00,6.00,10.50,2.00,4.00,7.00,425,NULL,429,'ESTREITO','FLORIANÓPOLIS','SC',6580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150779,6.00,4.00,2.00,5.00,5.00,9.75,4.00,1.00,3.00,109,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',15305,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5150787,4.00,3.00,0.00,4.00,4.00,NULL,3.00,3.00,1.00,309,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5150795,8.00,4.00,3.00,6.00,6.00,9.00,2.00,3.00,3.00,103,NULL,NULL,'ACARAÍ','S FRANCISCO SUL','SC',10293,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5150809,5.00,5.00,3.00,4.00,7.00,6.75,0.00,0.00,2.00,424,NULL,423,'ESTRADA NOVA','JARAGUÁ SUL','SC',15269,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5150817,7.00,8.00,3.00,7.00,8.00,10.88,3.00,7.00,6.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150833,6.00,6.00,1.00,6.00,4.00,7.50,2.00,1.00,4.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150841,7.00,9.00,7.00,6.00,8.00,9.38,2.00,4.00,7.00,207,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',2932,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5150850,3.00,4.00,2.00,3.00,3.00,NULL,3.00,2.00,4.00,5,NULL,NULL,'FORQUILINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150868,6.00,7.00,6.00,7.00,9.00,9.00,4.00,2.00,7.00,216,NULL,220,'CENTRO','PTO ALEGRE','RS',3043,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5150876,6.00,5.00,3.00,2.00,5.00,9.38,1.00,6.00,3.00,238,NULL,208,'JURERE','FLORIANÓPOLIS','SC',12819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150884,9.00,6.00,5.00,7.00,8.00,11.63,7.00,6.00,9.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150906,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5150914,8.00,6.00,5.00,6.00,10.00,12.00,5.00,5.00,7.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',1846,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5150922,2.00,2.00,1.00,4.00,7.00,NULL,1.00,1.00,2.00,211,NULL,NULL,'VILA HORIZONTE','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5150930,2.00,5.00,1.00,4.00,5.00,NULL,1.00,3.00,3.00,444,NULL,NULL,'JARDIM ITAIPU','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150949,7.00,6.00,3.00,7.00,9.00,10.50,1.00,2.00,3.00,201,NULL,212,'CENTRO','S JOSÉ','SC',8700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5150990,7.00,6.00,5.00,7.00,10.00,9.38,0.00,2.00,6.00,340,NULL,NULL,'SÃO JOSÉ','CONCÓRDIA','SC',5765,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5151007,6.00,4.00,2.00,2.00,4.00,NULL,1.00,0.00,3.00,208,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151015,4.00,6.00,0.00,3.00,3.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'SERRA ALTA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5151023,3.00,4.00,3.00,3.00,4.00,NULL,0.00,2.00,1.00,201,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5151031,5.00,7.00,4.00,6.00,5.00,9.00,5.00,4.00,6.00,203,NULL,208,'ALTO ARIRIU','PALHOÇA','SC',7208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151040,3.00,1.00,0.00,1.00,2.00,NULL,4.00,0.00,3.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5151066,3.00,6.00,2.00,4.00,4.00,6.75,2.00,1.00,4.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16168,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5151074,3.00,6.00,5.00,4.00,6.00,6.00,1.00,3.00,5.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5151082,6.00,8.00,8.00,7.00,8.00,6.75,5.00,4.00,7.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',2701,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5151090,6.00,6.00,4.00,3.00,6.00,8.63,4.00,6.00,5.00,317,NULL,NULL,'DEHON','TUBARÃO','SC',8142,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5151104,4.00,5.00,1.00,0.00,3.00,NULL,1.00,1.00,0.00,444,NULL,NULL,'POÇO FUNDO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151112,9.00,8.00,4.00,5.00,8.00,7.50,4.00,5.00,7.00,103,NULL,NULL,'ALTO BOQUEIRÃO','CURITIBA','PR',3145,1539,NULL,NULL,NULL,NULL,NULL,4,3),(20,5151120,8.00,7.00,5.00,8.00,9.00,7.50,7.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151139,6.00,6.00,4.00,3.00,8.00,12.75,2.00,5.00,5.00,108,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ZONA UM','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5151163,2.00,1.00,1.00,3.00,4.00,NULL,1.00,1.00,2.00,201,NULL,203,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5151198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,601,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5151201,4.00,5.00,1.00,7.00,10.00,9.75,2.00,4.00,4.00,421,NULL,424,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151210,5.00,5.00,2.00,6.00,7.00,8.25,5.00,6.00,5.00,601,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',8580,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5151228,8.00,8.00,2.00,7.00,4.00,11.25,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151236,3.00,3.00,2.00,1.00,2.00,NULL,0.00,2.00,5.00,336,NULL,NULL,'CENTRO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,15),(20,5151244,5.00,4.00,4.00,5.00,7.00,7.50,2.00,3.00,6.00,601,NULL,201,'SAO RAIMUNDO','TUBARÃO','SC',10136,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5151252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'SANTANA','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5151260,6.00,7.00,0.00,4.00,5.00,9.00,3.00,3.00,3.00,444,NULL,NULL,'CENTRO','AGRONÔMICA','SC',14640,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5151279,9.00,8.00,4.00,8.00,10.00,9.75,4.00,3.00,6.00,207,NULL,201,'DEHON','TUBARÃO','SC',2651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151287,3.00,5.00,0.00,3.00,3.00,NULL,2.00,2.00,0.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5151295,6.00,5.00,3.00,4.00,5.00,7.13,4.00,3.00,5.00,316,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',13248,187,NULL,NULL,NULL,NULL,NULL,2,1),(20,5151309,4.00,6.00,3.00,5.00,9.00,9.00,2.00,4.00,3.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9550,261,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151317,5.00,4.00,4.00,5.00,8.00,7.88,1.00,2.00,5.00,310,NULL,NULL,'ROÇADO','S JOSÉ','SC',12443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5151333,8.00,4.00,4.00,5.00,6.00,11.63,1.00,5.00,5.00,320,NULL,NULL,'CENTRO','GUARAPUAVA','PR',7367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151368,5.00,4.00,1.00,3.00,7.00,NULL,2.00,1.00,3.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5151376,5.00,6.00,4.00,4.00,7.00,9.00,4.00,3.00,3.00,444,NULL,NULL,'COSTEIRA DO PIRAJUBÉ','FLORIANÓPOLIS','SC',11414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5151384,6.00,7.00,6.00,3.00,7.00,7.88,5.00,5.00,7.00,202,NULL,213,'PRESIDENTE VARGAS','IÇARA','SC',6231,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5151392,8.00,7.00,3.00,6.00,10.00,10.50,7.00,6.00,7.00,108,NULL,NULL,'KOBRASOL','S JOSÉ','SC',1348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151406,5.00,5.00,2.00,5.00,6.00,6.75,2.00,4.00,2.00,207,NULL,NULL,'EFAPI','CHAPECÓ','SC',13738,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5151422,3.00,4.00,0.00,4.00,4.00,NULL,1.00,2.00,3.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151430,4.00,5.00,0.00,3.00,3.00,NULL,1.00,2.00,3.00,404,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5151449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'KM TRINTA E SETE','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5151457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5151473,4.00,6.00,5.00,7.00,9.00,15.00,3.00,5.00,4.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',4681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151481,3.00,2.00,0.00,4.00,5.00,NULL,3.00,1.00,3.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5151503,6.00,2.00,2.00,0.00,2.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5151511,4.00,4.00,3.00,5.00,3.00,NULL,1.00,1.00,4.00,235,NULL,202,'JARDIM IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5151520,7.00,4.00,4.00,3.00,8.00,7.50,4.00,4.00,4.00,213,NULL,233,'JARDIM LANCASTER','FOZ IGUAÇU','PR',9207,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5151538,6.00,7.00,4.00,7.00,5.00,10.13,1.00,5.00,7.00,324,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5151562,1.00,6.00,5.00,6.00,3.00,NULL,3.00,3.00,5.00,450,NULL,NULL,'JOÃ PESSOA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5151570,6.00,7.00,1.00,4.00,5.00,10.13,1.00,4.00,4.00,317,NULL,NULL,'CENTRO','S JOSÉ','SC',11671,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5151589,5.00,5.00,5.00,7.00,7.00,10.50,2.00,4.00,6.00,203,NULL,235,'JARDIM SANTA MENA','GUARULHOS','SP',6483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151597,8.00,9.00,4.00,7.00,9.00,10.88,4.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151619,8.00,7.00,2.00,5.00,6.00,9.00,5.00,5.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5800,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5151627,3.00,4.00,0.00,4.00,2.00,NULL,2.00,0.00,2.00,302,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5151660,8.00,7.00,3.00,6.00,7.00,9.00,4.00,5.00,6.00,207,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151678,3.00,7.00,1.00,4.00,7.00,NULL,1.00,1.00,3.00,303,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5151686,1.00,4.00,0.00,5.00,4.00,NULL,1.00,0.00,3.00,415,NULL,NULL,'BALNEÁRIOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151694,6.00,5.00,1.00,7.00,8.00,8.25,1.00,2.00,3.00,202,NULL,203,'BARREIROS','S JOSÉ','SC',12502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5151716,4.00,4.00,4.00,4.00,5.00,8.25,1.00,2.00,3.00,335,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5151724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','CALIFÓRNIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5151732,9.00,9.00,7.00,7.00,8.00,12.00,7.00,6.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',224,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5151759,7.00,6.00,5.00,7.00,8.00,9.75,4.00,7.00,7.00,214,NULL,212,'CENTRO','STA CRUZ R PARDO','SP',2964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151775,3.00,6.00,0.00,4.00,4.00,NULL,2.00,2.00,2.00,453,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5151783,4.00,4.00,4.00,3.00,6.00,9.38,2.00,3.00,2.00,317,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151791,8.00,7.00,5.00,5.00,8.00,9.38,4.00,6.00,8.00,104,NULL,NULL,'BATEL','CURITIBA','PR',2999,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5151805,8.00,7.00,3.00,5.00,9.00,10.13,0.00,3.00,6.00,104,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',7463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151813,8.00,6.00,5.00,7.00,5.00,11.25,3.00,1.00,6.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',6397,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5151821,2.00,2.00,0.00,3.00,4.00,NULL,2.00,1.00,1.00,601,NULL,653,'DAS NAÇÕES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151830,8.00,5.00,0.00,5.00,9.00,9.38,4.00,2.00,4.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151856,9.00,7.00,4.00,7.00,10.00,8.63,4.00,3.00,6.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151864,5.00,8.00,3.00,6.00,10.00,9.38,5.00,4.00,6.00,102,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5192,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5151872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CONDOR','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5151880,6.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5151899,3.00,4.00,4.00,3.00,5.00,NULL,1.00,2.00,2.00,303,NULL,NULL,'CENTRO','BRAGANEY','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5151902,5.00,6.00,4.00,6.00,2.00,NULL,3.00,4.00,5.00,2,NULL,NULL,'SÃO JOSÉ','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5151910,3.00,2.00,0.00,4.00,10.00,NULL,1.00,0.00,3.00,103,NULL,NULL,'JARDIM BOTÂNICO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5151929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'VILA CARLI','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5151937,3.00,3.00,2.00,2.00,4.00,NULL,2.00,2.00,0.00,103,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5151953,3.00,7.00,0.00,3.00,3.00,NULL,2.00,1.00,3.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5151961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'JARDIM SÃO PAULO','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5151970,9.00,9.00,9.00,5.00,10.00,12.00,6.00,5.00,9.00,203,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5151996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'NOVA BRASÍLIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5152003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAGO NORTE','LG NORTE','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5152020,3.00,4.00,2.00,5.00,5.00,NULL,1.00,1.00,4.00,316,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5152038,0.00,5.00,0.00,4.00,4.00,NULL,1.00,1.00,2.00,310,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5152046,4.00,5.00,0.00,2.00,4.00,NULL,2.00,2.00,1.00,211,NULL,215,'JURERÊ ITERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152054,4.00,6.00,1.00,6.00,3.00,NULL,0.00,3.00,3.00,102,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5152070,3.00,6.00,0.00,2.00,3.00,NULL,3.00,3.00,3.00,444,NULL,NULL,'BARRO VERMELHO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5152089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','DESCANSO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5152127,7.00,7.00,2.00,7.00,8.00,10.13,3.00,5.00,5.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',4304,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5152135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'DAMHA I','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5152143,4.00,5.00,1.00,1.00,2.00,NULL,0.00,2.00,4.00,415,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5152151,2.00,3.00,1.00,1.00,3.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'ÁGUAS CLARAS','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5152186,4.00,3.00,1.00,5.00,7.00,7.50,0.00,4.00,4.00,415,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',14154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152194,5.00,6.00,1.00,5.00,8.00,8.25,4.00,3.00,7.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9388,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5152208,7.00,7.00,6.00,3.00,6.00,6.75,6.00,4.00,5.00,220,NULL,215,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',6082,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5152224,7.00,6.00,4.00,7.00,7.00,8.63,5.00,2.00,6.00,220,NULL,601,'EMBARÉ','SANTOS','SP',5795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152232,8.00,8.00,8.00,6.00,6.00,11.63,8.00,6.00,8.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',190,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5152240,2.00,5.00,2.00,4.00,5.00,8.25,3.00,2.00,4.00,203,NULL,202,'JARDIM BELA VISTA','ITAPIRANGA','SC',15457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152259,7.00,8.00,4.00,6.00,9.00,9.75,2.00,5.00,7.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152267,5.00,5.00,3.00,5.00,5.00,7.50,0.00,4.00,3.00,208,NULL,216,'CENTRO','CAMPOS NOVOS','SC',12899,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5152275,5.00,5.00,2.00,4.00,7.00,10.13,4.00,3.00,4.00,450,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',10880,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5152291,7.00,7.00,4.00,6.00,9.00,8.63,2.00,3.00,4.00,5,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',5595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152305,2.00,2.00,2.00,3.00,6.00,NULL,1.00,1.00,4.00,319,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5152330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'GLÉBAS CALIFÓRNIA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5152348,8.00,5.00,2.00,7.00,7.00,10.88,3.00,5.00,6.00,340,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',4179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152356,3.00,4.00,2.00,7.00,5.00,9.75,0.00,2.00,4.00,340,NULL,NULL,'CENTRO','TIMBÓ','SC',15708,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5152364,8.00,5.00,5.00,7.00,7.00,11.25,3.00,4.00,7.00,202,NULL,235,'SETOR INDUSTRIAL','VILHENA','RO',3769,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5152372,8.00,6.00,3.00,7.00,6.00,8.25,3.00,2.00,6.00,103,NULL,NULL,'ARAXA','LONDRINA','PR',6593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152399,7.00,6.00,4.00,5.00,7.00,9.38,5.00,3.00,6.00,202,NULL,235,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152402,4.00,4.00,2.00,2.00,4.00,NULL,0.00,3.00,3.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5152429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAPA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5152437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5152445,2.00,6.00,6.00,6.00,7.00,6.00,3.00,1.00,4.00,233,NULL,211,'JARDIM UNIVERSITÁRIO','MARÍLIA','SP',11524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152453,3.00,4.00,1.00,2.00,3.00,NULL,0.00,1.00,3.00,444,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5152461,8.00,8.00,7.00,7.00,7.00,7.13,9.00,7.00,7.00,103,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152470,8.00,7.00,5.00,7.00,6.00,8.63,4.00,4.00,6.00,212,NULL,220,'JARDIM MARUPIARA','PRES PRUDENTE','SP',4504,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5152488,5.00,6.00,4.00,2.00,4.00,6.38,0.00,3.00,4.00,207,NULL,201,'CHACARA PRIMAVERA','CAMPINAS','SP',14746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152496,5.00,4.00,4.00,6.00,6.00,8.25,3.00,1.00,7.00,103,NULL,NULL,'PQ RES CIDADE NOVA','MARINGÁ','PR',8515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152500,8.00,7.00,4.00,6.00,10.00,9.38,3.00,6.00,4.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',2975,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5152518,3.00,4.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,208,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152526,3.00,4.00,1.00,6.00,5.00,NULL,3.00,1.00,0.00,301,NULL,NULL,'CAQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'RUDGE RAMOS','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5152550,9.00,7.00,7.00,6.00,6.00,7.88,5.00,7.00,8.00,203,NULL,601,'CRISTO REI','FRANCISCO BELTRÃO','PR',1377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152569,9.00,7.00,2.00,7.00,10.00,7.88,5.00,3.00,5.00,303,NULL,NULL,'CENTRO','JOINVILLE','SC',3824,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5152577,5.00,6.00,1.00,4.00,5.00,7.88,1.00,2.00,5.00,303,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5152585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'PARQUE PENHA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5152607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5152623,8.00,5.00,0.00,6.00,7.00,9.38,1.00,3.00,5.00,104,NULL,NULL,'CENTRO','URUSSANGA','SC',8706,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5152631,5.00,5.00,2.00,6.00,7.00,6.75,2.00,3.00,4.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5152640,7.00,7.00,3.00,6.00,5.00,9.38,2.00,0.00,5.00,216,NULL,201,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',11670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152658,3.00,2.00,0.00,6.00,1.00,NULL,2.00,2.00,1.00,319,NULL,NULL,'CENTRO','CARAZINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5152666,9.00,6.00,4.00,7.00,9.00,11.25,4.00,6.00,8.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',1633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152674,5.00,6.00,2.00,7.00,8.00,8.25,1.00,3.00,2.00,601,NULL,201,'BOA VISTA','JOINVILLE','SC',11384,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5152712,6.00,5.00,1.00,4.00,3.00,NULL,1.00,4.00,5.00,202,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5152720,3.00,2.00,0.00,4.00,4.00,NULL,2.00,2.00,0.00,652,NULL,653,'CENTRO','S JOÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5152739,6.00,6.00,5.00,5.00,6.00,8.63,3.00,5.00,7.00,5,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',6303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152755,9.00,9.00,7.00,7.00,9.00,10.88,8.00,5.00,8.00,303,NULL,NULL,'LAGOA','FLORIANÓPOLIS','SC',121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152763,7.00,8.00,6.00,7.00,11.00,9.75,5.00,5.00,8.00,201,NULL,215,'PRÓSPERA','CRICIÚMA','SC',1303,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5152771,4.00,6.00,0.00,3.00,6.00,7.13,1.00,3.00,5.00,503,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15913,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5152798,9.00,9.00,5.00,7.00,10.00,10.13,5.00,6.00,6.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152801,3.00,4.00,1.00,4.00,6.00,9.75,3.00,3.00,5.00,309,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5152810,6.00,9.00,1.00,4.00,6.00,8.63,3.00,4.00,6.00,423,NULL,428,'PRAIA COMPRIDA','S JOSÉ','SC',9787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5152828,7.00,6.00,4.00,5.00,8.00,11.63,4.00,5.00,7.00,319,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3578,NULL,NULL,NULL,NULL,NULL,NULL,4,1);
INSERT INTO boletim_desempenho VALUES (20,5152836,3.00,6.00,2.00,3.00,7.00,7.50,1.00,3.00,3.00,303,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',14968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5152844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5152852,6.00,4.00,2.00,4.00,6.00,9.00,3.00,3.00,3.00,203,NULL,233,'LADO DA ÚNIÃO','BRAÇO NORTE','SC',12163,822,NULL,340,NULL,NULL,NULL,4,10),(20,5152879,6.00,9.00,9.00,7.00,7.00,10.88,6.00,2.00,6.00,211,NULL,216,'CENTRO','CURITIBA','PR',1932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5152887,6.00,4.00,1.00,5.00,4.00,8.25,3.00,4.00,5.00,318,NULL,NULL,'AMÉRICA','JOINVILLE','SC',10906,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5152895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PALMITAL','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5152933,3.00,3.00,3.00,5.00,5.00,6.38,1.00,5.00,2.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5152941,4.00,5.00,2.00,3.00,2.00,NULL,1.00,3.00,2.00,501,NULL,NULL,'TAQUARAÇUTUBA','IMARUÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5152950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5152968,5.00,6.00,3.00,6.00,4.00,4.88,2.00,3.00,3.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5152984,8.00,7.00,5.00,7.00,9.00,6.38,6.00,5.00,8.00,202,NULL,235,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153018,7.00,7.00,2.00,5.00,7.00,8.25,2.00,2.00,4.00,109,NULL,NULL,'CENTRO HISTÓRICO','S JOSÉ','SC',12330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153026,6.00,5.00,1.00,7.00,7.00,9.00,2.00,5.00,4.00,426,NULL,428,'MEIA PRAIA','ITAPEMA','SC',8887,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5153042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','CAARAPÓ','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5153050,7.00,5.00,5.00,7.00,11.00,7.88,6.00,4.00,4.00,103,NULL,NULL,'PERDIZES','S PAULO','SP',2749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153069,5.00,4.00,1.00,5.00,5.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'CENTRO','BARRACÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5153085,4.00,4.00,0.00,5.00,5.00,NULL,0.00,4.00,4.00,211,NULL,201,'PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5153115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE JARDIM','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5153131,3.00,6.00,4.00,6.00,7.00,11.25,2.00,4.00,3.00,304,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5153140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SANTO ANTONIO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5153158,8.00,7.00,4.00,7.00,6.00,7.50,1.00,5.00,8.00,103,NULL,NULL,'VILA GUARANI','S PAULO','SP',3978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153174,3.00,6.00,6.00,6.00,5.00,7.50,2.00,3.00,5.00,233,NULL,216,'JARDIM GONÇALVES','SOROCABA','SP',8768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153182,4.00,4.00,0.00,8.00,8.00,NULL,0.00,6.00,4.00,425,NULL,423,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5153247,4.00,4.00,1.00,3.00,5.00,NULL,1.00,2.00,2.00,5,NULL,NULL,'VILA SILVINHA','BOTUCATU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5153263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM BOTANICO','LG SUL','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5153271,5.00,6.00,2.00,5.00,7.00,10.50,2.00,3.00,3.00,102,NULL,NULL,'ESPORTES','XANXERÊ','SC',8425,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5153280,5.00,5.00,2.00,5.00,8.00,8.63,1.00,2.00,4.00,452,NULL,NULL,'VILLA FLORA','SUMARÉ','SP',12623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153298,6.00,4.00,3.00,6.00,6.00,10.50,1.00,5.00,0.00,211,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',14739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5153301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5153328,7.00,4.00,5.00,6.00,6.00,NULL,3.00,4.00,5.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5153344,8.00,7.00,3.00,4.00,4.00,7.50,2.00,4.00,4.00,331,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',11594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153352,9.00,8.00,5.00,5.00,11.00,9.00,6.00,8.00,6.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',662,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5153360,2.00,3.00,0.00,3.00,8.00,NULL,0.00,4.00,3.00,207,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153379,5.00,6.00,5.00,4.00,8.00,7.13,3.00,6.00,4.00,319,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',10971,185,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153395,5.00,5.00,1.00,3.00,2.00,NULL,1.00,0.00,1.00,103,NULL,NULL,'FLAVIO GARCIA','COXIM','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5153409,2.00,4.00,0.00,3.00,6.00,NULL,3.00,1.00,3.00,216,NULL,NULL,'IMIGRANTES','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5153417,8.00,4.00,4.00,7.00,5.00,6.38,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',6516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153425,3.00,5.00,2.00,6.00,7.00,7.88,0.00,2.00,3.00,320,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153433,9.00,9.00,8.00,7.00,10.00,10.13,7.00,6.00,8.00,216,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153441,3.00,2.00,2.00,1.00,4.00,NULL,1.00,1.00,3.00,9,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5153450,9.00,7.00,6.00,6.00,7.00,10.88,4.00,4.00,8.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',1639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153468,6.00,5.00,4.00,6.00,5.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'TAMANDUÁ','ASCURRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,2),(20,5153476,8.00,8.00,6.00,5.00,9.00,9.38,5.00,5.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2678,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5153484,6.00,5.00,2.00,7.00,7.00,10.13,0.00,3.00,3.00,451,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153506,8.00,6.00,3.00,7.00,9.00,6.75,2.00,3.00,5.00,108,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',5951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153522,6.00,5.00,2.00,2.00,7.00,9.75,3.00,1.00,4.00,9,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',13235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5153530,9.00,7.00,2.00,7.00,9.00,9.38,2.00,6.00,8.00,108,NULL,NULL,'CENTRO','S ROQUE','SP',2273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153549,3.00,4.00,0.00,4.00,3.00,NULL,2.00,1.00,2.00,102,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5153557,2.00,4.00,1.00,3.00,4.00,NULL,1.00,3.00,4.00,444,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5153565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM DAS AMERICAS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5153573,4.00,6.00,0.00,3.00,7.00,8.25,1.00,2.00,4.00,104,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',14915,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5153581,6.00,7.00,4.00,4.00,5.00,9.00,4.00,3.00,6.00,220,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5153638,4.00,4.00,2.00,6.00,5.00,9.75,4.00,3.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153646,2.00,1.00,0.00,4.00,2.00,NULL,5.00,0.00,3.00,103,NULL,NULL,'CENTRO','NONOAI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5153654,1.00,3.00,1.00,2.00,4.00,NULL,1.00,2.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153662,2.00,2.00,1.00,2.00,4.00,NULL,4.00,2.00,2.00,215,NULL,211,'RESTINGA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(20,5153670,5.00,3.00,4.00,7.00,8.00,7.50,1.00,2.00,2.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',13918,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5153697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5153727,9.00,7.00,7.00,8.00,7.00,8.25,8.00,6.00,9.00,203,NULL,235,'CENTRO','GOIÂNIA','GO',505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JARDIM AQUÁRIUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5153743,6.00,5.00,1.00,4.00,7.00,7.88,4.00,3.00,3.00,202,NULL,208,'BALNEARIO','FLORIANÓPOLIS','SC',13280,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5153751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'INTERLAGOS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5153760,9.00,7.00,4.00,7.00,10.00,8.63,7.00,6.00,8.00,103,NULL,NULL,'RECIFE','TUBARÃO','SC',1433,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5153778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'FAZENDINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5153786,3.00,6.00,1.00,6.00,6.00,9.00,2.00,1.00,2.00,211,NULL,215,'SANTANA','S PAULO','SP',14370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153808,8.00,8.00,4.00,7.00,8.00,9.00,3.00,5.00,6.00,201,NULL,238,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153816,7.00,4.00,2.00,6.00,5.00,8.63,3.00,2.00,5.00,103,NULL,NULL,'JARDIM POTIGUAR','PIRACICABA','SP',10197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153824,4.00,7.00,1.00,5.00,5.00,6.38,0.00,4.00,3.00,319,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',15376,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5153832,8.00,7.00,6.00,8.00,9.00,12.38,3.00,7.00,8.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5153867,8.00,6.00,5.00,7.00,10.00,9.00,3.00,5.00,7.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5153891,7.00,5.00,6.00,5.00,8.00,9.00,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9838,3147,NULL,NULL,NULL,NULL,NULL,2,3),(20,5153905,6.00,6.00,2.00,7.00,7.00,9.75,2.00,4.00,5.00,102,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',7641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153913,8.00,9.00,8.00,7.00,8.00,7.88,6.00,5.00,7.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153921,4.00,0.00,2.00,7.00,7.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5153930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MORROTES','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5153956,5.00,2.00,1.00,4.00,4.00,NULL,1.00,2.00,5.00,103,NULL,NULL,'MUNICÍPIOS','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5153964,3.00,6.00,4.00,3.00,7.00,6.38,2.00,4.00,4.00,201,NULL,212,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',11397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5153972,7.00,7.00,2.00,4.00,7.00,9.00,1.00,1.00,6.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',12285,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5153980,5.00,6.00,4.00,6.00,5.00,6.75,0.00,3.00,4.00,207,NULL,215,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5153999,8.00,6.00,6.00,4.00,8.00,11.25,3.00,3.00,4.00,302,NULL,NULL,'DEZ DE NOVEMBRO','FRAIBURGO','SC',5986,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5154006,8.00,7.00,3.00,6.00,10.00,9.00,4.00,3.00,6.00,103,NULL,NULL,'CENTRO','VIDEIRA','SC',4339,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5154030,6.00,6.00,2.00,6.00,4.00,9.00,6.00,7.00,5.00,336,NULL,NULL,'CENTRO','LAGES','SC',7323,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5154049,8.00,5.00,2.00,6.00,5.00,7.13,1.00,5.00,7.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',6796,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5154057,4.00,6.00,1.00,3.00,9.00,0.00,0.00,4.00,4.00,324,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154065,3.00,4.00,0.00,4.00,4.00,NULL,1.00,1.00,4.00,9,NULL,NULL,'ALTO RIBEIRÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154073,9.00,6.00,7.00,5.00,9.00,7.88,4.00,4.00,8.00,103,NULL,NULL,'CAIÇARAS','LONDRINA','PR',2133,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154081,3.00,5.00,0.00,3.00,7.00,NULL,2.00,0.00,5.00,211,NULL,653,'FLOR DE NÁPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5154103,4.00,7.00,4.00,4.00,7.00,7.88,2.00,5.00,6.00,318,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154111,1.00,4.00,0.00,2.00,3.00,NULL,1.00,1.00,5.00,304,NULL,NULL,'CENTRO','TAQUARUÇU SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5154120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5154138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,215,'ASSUNÇÃO','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5154154,8.00,7.00,8.00,7.00,9.00,7.13,4.00,6.00,8.00,103,NULL,NULL,'JARDIM DAS NAÇÕES','TAUBATÉ','SP',1443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154189,5.00,2.00,1.00,4.00,5.00,NULL,1.00,2.00,3.00,301,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154200,7.00,3.00,3.00,4.00,5.00,8.25,1.00,1.00,4.00,103,NULL,NULL,'CENTRO','STA CRUZ SUL','RS',14647,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5154219,3.00,3.00,2.00,3.00,4.00,NULL,2.00,0.00,1.00,309,NULL,NULL,'QUINTINO','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5154235,5.00,6.00,2.00,7.00,9.00,8.25,0.00,3.00,5.00,415,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5154260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,207,'SIEGEL','AGROLÂNDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5154278,8.00,7.00,4.00,7.00,6.00,7.88,6.00,3.00,5.00,203,NULL,220,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',3809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154286,4.00,4.00,0.00,2.00,7.00,NULL,2.00,0.00,2.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154294,6.00,5.00,2.00,6.00,6.00,10.13,1.00,3.00,7.00,5,NULL,NULL,'CENTRO','STA CLARA SUL','RS',9321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154308,7.00,7.00,5.00,7.00,6.00,10.88,3.00,6.00,8.00,103,NULL,NULL,'RESID ALDEIA DO VALE','GOIÂNIA','GO',2591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154316,9.00,8.00,4.00,7.00,10.00,10.50,4.00,6.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154324,5.00,8.00,3.00,0.00,2.00,NULL,4.00,4.00,1.00,201,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154359,5.00,2.00,1.00,6.00,5.00,7.50,3.00,5.00,3.00,327,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5154367,5.00,7.00,3.00,6.00,5.00,10.13,2.00,5.00,5.00,502,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',10455,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154375,5.00,5.00,1.00,4.00,3.00,NULL,3.00,3.00,2.00,238,NULL,207,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5154405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5154413,4.00,3.00,1.00,2.00,4.00,NULL,1.00,2.00,3.00,502,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154421,5.00,5.00,1.00,5.00,8.00,8.25,1.00,4.00,3.00,502,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',13874,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ASSUNÇÃO','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5154456,3.00,5.00,2.00,6.00,4.00,10.13,3.00,2.00,1.00,336,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154464,1.00,4.00,1.00,1.00,3.00,NULL,2.00,1.00,4.00,404,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154472,1.00,2.00,1.00,6.00,4.00,NULL,2.00,1.00,5.00,104,NULL,NULL,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5154480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'IPIRANGA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5154502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5154510,8.00,5.00,1.00,6.00,9.00,9.00,1.00,6.00,4.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154529,9.00,8.00,8.00,8.00,9.00,8.25,7.00,5.00,8.00,220,NULL,203,'ASILO','BLUMENAU','SC',618,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5154537,4.00,2.00,1.00,2.00,4.00,NULL,3.00,2.00,2.00,104,NULL,NULL,'RIBERÃO DA AREIA','PEDRAS GRANDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5154545,3.00,4.00,2.00,3.00,3.00,NULL,1.00,0.00,3.00,211,NULL,214,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154553,3.00,5.00,1.00,4.00,3.00,NULL,3.00,0.00,4.00,213,NULL,211,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154561,8.00,5.00,3.00,5.00,7.00,7.50,3.00,1.00,5.00,211,NULL,215,'BELA VISTA','CANOAS','RS',9529,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154588,6.00,8.00,1.00,7.00,9.00,9.38,2.00,5.00,3.00,208,NULL,NULL,'PRAIA MOLE','FLORIANÓPOLIS','SC',6471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154596,5.00,7.00,2.00,6.00,7.00,7.50,1.00,2.00,5.00,216,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',12218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154600,4.00,6.00,0.00,4.00,5.00,NULL,3.00,1.00,4.00,104,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154618,8.00,6.00,5.00,5.00,6.00,9.38,4.00,6.00,6.00,304,NULL,NULL,'BROOKLIN','S PAULO','SP',3639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5154650,8.00,6.00,1.00,6.00,7.00,10.50,3.00,4.00,4.00,103,NULL,NULL,'AEROPORTO','TUBARÃO','SC',6822,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5154669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'ALTO DA GLORIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5154677,6.00,4.00,1.00,3.00,6.00,NULL,2.00,1.00,3.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154685,4.00,4.00,4.00,5.00,7.00,7.50,0.00,1.00,4.00,303,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',14406,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5154693,7.00,7.00,3.00,6.00,7.00,6.75,2.00,5.00,6.00,103,NULL,NULL,'BARRO VERMELHO','ORLEANS','SC',6353,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5154707,4.00,7.00,4.00,7.00,7.00,8.25,1.00,2.00,4.00,601,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',9377,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5154715,8.00,8.00,2.00,7.00,8.00,7.88,2.00,2.00,4.00,303,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',9113,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5154723,4.00,6.00,0.00,6.00,4.00,8.63,0.00,3.00,4.00,501,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154731,3.00,5.00,1.00,5.00,6.00,6.00,3.00,2.00,6.00,326,NULL,NULL,'VILA ANDRADE','S PAULO','SP',14928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154740,1.00,4.00,0.00,4.00,4.00,NULL,2.00,3.00,3.00,203,NULL,201,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5154758,7.00,4.00,2.00,6.00,6.00,7.13,3.00,2.00,4.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154790,5.00,5.00,1.00,3.00,5.00,4.50,3.00,4.00,3.00,208,NULL,235,'FATIMA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154804,9.00,6.00,8.00,8.00,7.00,7.50,5.00,4.00,9.00,203,NULL,208,'BIGORRILHO','CURITIBA','PR',1811,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5154820,7.00,4.00,0.00,3.00,4.00,6.75,3.00,2.00,3.00,238,NULL,653,'JARDIM EUROPA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154839,3.00,5.00,1.00,7.00,5.00,8.63,3.00,4.00,5.00,213,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',13004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154847,9.00,5.00,3.00,6.00,9.00,8.63,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','FLORES CUNHA','RS',3349,1605,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154855,4.00,4.00,3.00,1.00,5.00,NULL,1.00,2.00,2.00,203,NULL,601,'RUBEM BERTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5154863,3.00,5.00,0.00,5.00,3.00,NULL,2.00,2.00,1.00,203,NULL,NULL,'PRESIDENTE MEDICE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5154871,2.00,6.00,1.00,6.00,6.00,6.38,3.00,3.00,2.00,5,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',14949,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154880,5.00,5.00,3.00,4.00,7.00,7.13,1.00,1.00,3.00,104,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',14254,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5154928,4.00,3.00,2.00,2.00,4.00,NULL,2.00,2.00,4.00,452,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154936,6.00,7.00,3.00,4.00,6.00,8.63,3.00,3.00,4.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11760,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154944,1.00,3.00,1.00,4.00,3.00,NULL,2.00,2.00,1.00,303,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154952,8.00,7.00,5.00,7.00,10.00,11.25,5.00,5.00,9.00,103,NULL,NULL,'ESPLANADA MENDES','S ROQUE','SP',508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5154960,3.00,6.00,2.00,4.00,5.00,9.75,2.00,3.00,3.00,319,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5154979,3.00,4.00,2.00,3.00,4.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'PIO CORREIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5154995,7.00,5.00,4.00,7.00,7.00,10.13,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',4885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155002,5.00,6.00,2.00,5.00,9.00,9.38,1.00,1.00,2.00,301,NULL,NULL,'CENTRO','TUBARÃO','SC',12972,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5155010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5155029,5.00,0.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5155037,6.00,6.00,3.00,7.00,7.00,8.63,2.00,1.00,4.00,331,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5155070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'PINDOTIBA','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5155088,7.00,6.00,2.00,5.00,9.00,10.13,3.00,3.00,8.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',5038,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5155096,4.00,6.00,2.00,5.00,6.00,7.50,2.00,2.00,4.00,207,NULL,212,'CENTRO','CRICIÚMA','SC',14549,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5155100,7.00,7.00,5.00,7.00,7.00,11.63,5.00,5.00,4.00,103,NULL,NULL,'SAO JOAO','MARÍLIA','SP',3401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155118,1.00,5.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5155126,8.00,5.00,5.00,7.00,7.00,10.13,5.00,3.00,8.00,103,NULL,NULL,'JARDIM FRANÇA','S PAULO','SP',2645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155134,8.00,7.00,2.00,6.00,7.00,9.38,2.00,4.00,5.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155142,7.00,5.00,2.00,7.00,9.00,8.63,2.00,5.00,3.00,340,NULL,NULL,'STA TEREZINHA','BAURU','SP',8757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LOS ANGELES','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5155169,8.00,7.00,8.00,7.00,10.00,10.50,5.00,7.00,7.00,308,NULL,NULL,'GLÓRIA','JOINVILLE','SC',323,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5155177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'ITAIM BIBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5155185,8.00,7.00,2.00,3.00,5.00,7.13,2.00,4.00,5.00,103,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',8845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5155193,7.00,6.00,7.00,7.00,8.00,10.13,5.00,6.00,8.00,103,NULL,NULL,'VILA LIBERDADE','S PAULO','SP',927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5155215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','ADAMANTINA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5155223,5.00,5.00,2.00,6.00,4.00,4.50,3.00,4.00,4.00,211,NULL,233,'AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155231,2.00,1.00,0.00,3.00,2.00,NULL,1.00,1.00,0.00,415,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5155240,7.00,7.00,5.00,4.00,9.00,10.88,4.00,3.00,5.00,216,NULL,203,'CENTRO','CAIBI','SC',4290,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5155258,8.00,7.00,8.00,6.00,8.00,7.88,5.00,4.00,8.00,201,NULL,207,'CENTRO','S JOSÉ','SC',1876,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5155266,5.00,7.00,0.00,5.00,9.00,7.88,3.00,3.00,3.00,304,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',9402,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5155274,7.00,7.00,4.00,6.00,5.00,7.88,4.00,4.00,4.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',5672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155290,4.00,6.00,1.00,6.00,3.00,NULL,2.00,2.00,3.00,333,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5155312,7.00,6.00,5.00,6.00,9.00,8.63,3.00,4.00,7.00,102,NULL,NULL,'GIOPPO','CAÇADOR','SC',4777,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5155339,6.00,5.00,3.00,4.00,1.00,NULL,3.00,1.00,7.00,3,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'POR DO SOL','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5155355,4.00,7.00,2.00,3.00,6.00,8.63,1.00,4.00,6.00,238,NULL,208,'CACUPÉ','FLORIANÓPOLIS','SC',12403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155363,7.00,7.00,7.00,4.00,5.00,6.75,2.00,5.00,6.00,238,NULL,215,'JARDIM EUROPA','BIGUAÇU','SC',6107,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5155380,6.00,7.00,4.00,6.00,5.00,12.00,3.00,4.00,7.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM AQUÁRIOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5155401,6.00,5.00,2.00,4.00,4.00,7.88,1.00,2.00,3.00,201,NULL,NULL,'VIGOLO','NOVA TRENTO','SC',15207,NULL,NULL,NULL,NULL,NULL,NULL,5,2),(20,5155428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MORUMBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5155444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5155452,5.00,5.00,0.00,3.00,7.00,8.25,3.00,3.00,4.00,104,NULL,NULL,'DEHON','TUBARÃO','SC',13119,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5155479,3.00,4.00,3.00,5.00,7.00,8.63,3.00,2.00,6.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5155509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5155517,5.00,5.00,3.00,6.00,4.00,8.25,1.00,6.00,2.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',13363,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5155525,4.00,7.00,1.00,6.00,5.00,9.38,2.00,2.00,3.00,102,NULL,NULL,'CENTRO','BOM JD SERRA','SC',13849,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5155541,3.00,4.00,4.00,4.00,3.00,NULL,2.00,2.00,4.00,652,NULL,653,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5155550,6.00,4.00,3.00,7.00,6.00,8.25,1.00,2.00,6.00,203,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',12601,845,NULL,314,NULL,NULL,NULL,4,1),(20,5155568,8.00,8.00,5.00,7.00,9.00,9.75,3.00,4.00,7.00,207,NULL,233,'CAMPINAS','S JOSÉ','SC',1827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155576,2.00,5.00,2.00,1.00,5.00,NULL,1.00,3.00,2.00,310,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5155592,7.00,6.00,7.00,7.00,8.00,9.75,6.00,4.00,4.00,203,NULL,202,'JARDIM MARISTELA','CRICIÚMA','SC',4355,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5155606,3.00,3.00,0.00,4.00,7.00,NULL,0.00,2.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5155614,9.00,7.00,7.00,6.00,10.00,6.38,8.00,7.00,8.00,203,NULL,201,'JARDIM AMÉRICA','MAFRA','SC',435,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5155622,7.00,6.00,2.00,6.00,5.00,7.50,3.00,2.00,6.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',8911,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5155630,5.00,5.00,3.00,4.00,6.00,6.75,2.00,3.00,4.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11858,204,NULL,NULL,NULL,NULL,NULL,2,1),(20,5155657,7.00,6.00,3.00,7.00,10.00,9.38,4.00,0.00,6.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155665,4.00,7.00,5.00,5.00,6.00,7.13,3.00,5.00,4.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155681,7.00,6.00,4.00,4.00,8.00,9.38,3.00,4.00,6.00,340,NULL,NULL,'ITAPUÃ','SALVADOR','BA',4957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155690,3.00,1.00,0.00,6.00,5.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155703,6.00,4.00,0.00,3.00,6.00,NULL,2.00,2.00,3.00,234,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5155711,6.00,3.00,5.00,1.00,2.00,NULL,3.00,1.00,5.00,108,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155720,6.00,7.00,5.00,6.00,8.00,12.00,2.00,6.00,5.00,104,NULL,NULL,'CENTRO','S JOSÉ','SC',4462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,424,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5155746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'TABULEIRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5155754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5155770,5.00,7.00,2.00,5.00,7.00,7.50,2.00,3.00,4.00,5,NULL,NULL,'CACH DO BOM JESUS','FLORIANÓPOLIS','SC',14811,481,NULL,NULL,NULL,NULL,NULL,2,1),(20,5155789,6.00,8.00,1.00,4.00,8.00,8.25,2.00,4.00,5.00,222,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155797,6.00,4.00,1.00,7.00,6.00,7.50,1.00,2.00,4.00,340,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',12472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155819,6.00,5.00,2.00,7.00,6.00,8.63,4.00,4.00,5.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5155827,7.00,6.00,4.00,8.00,8.00,12.00,3.00,7.00,7.00,326,NULL,NULL,'JARDIM VENEZA','S JOSÉ CAMPOS','SP',2518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155835,4.00,4.00,1.00,7.00,4.00,6.38,3.00,1.00,2.00,203,NULL,214,'CENTRO','PINHAIS','PR',15975,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5155851,3.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,6),(20,5155860,7.00,8.00,2.00,6.00,6.00,11.63,2.00,4.00,4.00,207,NULL,201,'ANITA GARIBALDI','JOINVILLE','SC',6888,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5155878,4.00,6.00,1.00,2.00,4.00,NULL,1.00,1.00,1.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155886,5.00,4.00,3.00,4.00,9.00,9.75,3.00,5.00,5.00,304,NULL,NULL,'CHACÁRA DO OURO','MOGI GUAÇU','SP',6805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155916,5.00,4.00,1.00,4.00,8.00,6.75,3.00,2.00,2.00,104,NULL,NULL,'VILA ADYANNA','S JOSÉ CAMPOS','SP',15000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5155940,8.00,8.00,8.00,7.00,7.00,11.25,6.00,5.00,6.00,203,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',1435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'JARDIM SÃO LUIS','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5155967,3.00,8.00,2.00,4.00,7.00,8.63,1.00,2.00,4.00,331,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5155975,5.00,6.00,2.00,5.00,5.00,8.25,1.00,1.00,3.00,316,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',14155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5155983,5.00,6.00,4.00,6.00,5.00,8.63,2.00,4.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7081,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5155991,6.00,7.00,1.00,7.00,10.00,8.63,3.00,4.00,5.00,5,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',7969,259,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156017,2.00,4.00,0.00,3.00,3.00,NULL,1.00,1.00,3.00,302,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5156033,7.00,7.00,0.00,4.00,4.00,8.63,2.00,2.00,3.00,201,NULL,207,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156041,1.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5156050,6.00,6.00,3.00,6.00,7.00,10.88,3.00,3.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156068,3.00,4.00,4.00,3.00,3.00,NULL,4.00,3.00,6.00,601,NULL,201,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5156076,6.00,5.00,0.00,6.00,5.00,8.25,3.00,4.00,2.00,452,NULL,NULL,'MATHIAS VELHO','CANOAS','RS',13978,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5156084,6.00,5.00,2.00,4.00,7.00,6.75,3.00,5.00,0.00,207,NULL,201,'MIRANDOPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156092,8.00,8.00,7.00,7.00,6.00,6.75,6.00,5.00,8.00,238,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',2285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156114,6.00,7.00,4.00,5.00,6.00,7.13,2.00,5.00,4.00,208,NULL,238,'CENTRO','NAVEGANTES','SC',11825,274,NULL,243,NULL,NULL,NULL,4,1),(20,5156122,9.00,7.00,6.00,7.00,11.00,11.63,8.00,4.00,7.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156130,7.00,7.00,4.00,7.00,7.00,10.13,7.00,6.00,7.00,212,NULL,201,'TRINDADADE','FLORIANÓPOLIS','SC',2655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156149,9.00,7.00,6.00,7.00,9.00,8.25,7.00,9.00,8.00,103,NULL,NULL,'CENTRO','ASSIS','SP',562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156157,6.00,8.00,1.00,6.00,9.00,6.38,4.00,4.00,3.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',9255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156165,8.00,6.00,5.00,4.00,5.00,6.00,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6357,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5156173,7.00,5.00,1.00,7.00,9.00,10.50,4.00,3.00,5.00,103,NULL,NULL,'FIGUEIRA','URUSSANGA','SC',5554,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(20,5156181,5.00,3.00,4.00,3.00,5.00,4.50,2.00,1.00,3.00,501,NULL,NULL,'JD FLORENÇA','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5156203,6.00,6.00,5.00,5.00,9.00,8.25,4.00,5.00,7.00,202,NULL,213,'SERRARIA','S JOSÉ','SC',4971,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5156211,2.00,2.00,1.00,5.00,6.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5156238,6.00,4.00,2.00,3.00,5.00,4.13,2.00,4.00,3.00,326,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5156246,7.00,5.00,2.00,5.00,9.00,9.75,1.00,2.00,4.00,104,NULL,NULL,'CENTRO','TAIÓ','SC',7074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156254,7.00,6.00,2.00,4.00,5.00,6.75,1.00,3.00,6.00,108,NULL,NULL,'CENTRO SAO JOSE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5156262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMAQUÃ','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5156270,7.00,6.00,5.00,8.00,8.00,9.38,6.00,5.00,6.00,214,NULL,213,'MARAMBAIA','VINHEDO','SP',1637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156289,1.00,6.00,3.00,1.00,3.00,NULL,2.00,2.00,1.00,214,NULL,601,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156297,8.00,9.00,4.00,7.00,5.00,8.63,5.00,4.00,6.00,415,NULL,NULL,'MICHEL','CRICIÚMA','SC',3867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156300,3.00,6.00,1.00,5.00,7.00,7.13,1.00,3.00,2.00,5,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',16097,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5156319,0.00,4.00,0.00,2.00,3.00,NULL,0.00,3.00,1.00,404,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5156327,6.00,8.00,3.00,6.00,10.00,10.13,2.00,5.00,3.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',6202,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5156335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PARQUE PRADO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5156343,4.00,3.00,3.00,5.00,7.00,NULL,0.00,2.00,2.00,102,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5156351,0.00,5.00,3.00,3.00,3.00,NULL,3.00,0.00,2.00,103,NULL,NULL,'LIBERDADE','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5156386,4.00,2.00,0.00,7.00,5.00,9.38,2.00,3.00,3.00,5,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',15642,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5156394,6.00,7.00,3.00,4.00,8.00,8.25,3.00,4.00,4.00,207,NULL,201,'CENTRO','S JOÃO BATISTA','SC',9644,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5156408,9.00,9.00,4.00,7.00,7.00,8.25,4.00,8.00,6.00,207,NULL,211,'CAMPINAS','S JOSÉ','SC',2342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156440,3.00,8.00,1.00,3.00,6.00,6.38,3.00,4.00,5.00,317,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',13617,78,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156459,2.00,3.00,1.00,4.00,5.00,9.75,2.00,4.00,5.00,329,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156467,7.00,6.00,1.00,7.00,6.00,8.25,2.00,2.00,6.00,103,NULL,NULL,'JOAQUIM C FERREIRA','CPO LARGO','PR',8677,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5156475,4.00,6.00,4.00,4.00,5.00,6.75,2.00,2.00,3.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15409,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5156491,6.00,5.00,1.00,4.00,4.00,7.13,3.00,3.00,2.00,303,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',16061,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5156505,6.00,6.00,5.00,4.00,7.00,9.75,2.00,3.00,4.00,216,NULL,215,'JARDIM ESTORIL','GUARATUBA','PR',8127,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5156513,2.00,3.00,0.00,6.00,6.00,NULL,1.00,2.00,3.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5156530,8.00,6.00,2.00,7.00,10.00,6.75,3.00,6.00,6.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',3918,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5156548,5.00,4.00,0.00,4.00,4.00,7.50,1.00,3.00,4.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156556,6.00,6.00,5.00,5.00,7.00,8.63,2.00,4.00,7.00,302,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',7411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5156572,6.00,8.00,4.00,6.00,8.00,8.63,2.00,5.00,6.00,415,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156580,7.00,7.00,4.00,7.00,6.00,10.13,2.00,7.00,7.00,211,NULL,215,'COQUEIROS','FLORIANÓPOLIS','SC',5748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5156602,6.00,7.00,1.00,4.00,5.00,7.50,4.00,7.00,4.00,329,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11923,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5156610,3.00,5.00,1.00,5.00,4.00,6.38,4.00,1.00,6.00,208,NULL,238,'ARMAÇÃO','FLORIANÓPOLIS','SC',15083,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5156629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CACUPE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5156637,5.00,4.00,3.00,5.00,5.00,7.88,3.00,3.00,1.00,103,NULL,NULL,'SANTO INÁCIO','CURITIBA','PR',14184,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5156645,7.00,8.00,7.00,4.00,9.00,12.38,7.00,5.00,7.00,203,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',828,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5156653,6.00,7.00,1.00,2.00,5.00,NULL,0.00,2.00,3.00,9,NULL,NULL,'CENTRO','TRÊS PALMEIRAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5156661,7.00,7.00,0.00,4.00,8.00,10.13,3.00,5.00,4.00,428,NULL,425,'PADRE EDUARDO','TAIÓ','SC',7567,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5156670,5.00,4.00,1.00,4.00,5.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156688,5.00,6.00,0.00,5.00,8.00,7.13,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','S VALENTIM','RS',10524,3237,NULL,NULL,NULL,NULL,NULL,4,4),(20,5156700,7.00,9.00,5.00,6.00,5.00,8.63,4.00,2.00,6.00,214,NULL,233,'JD AQUARIUS','S JOSÉ CAMPOS','SP',5078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'CENTRO','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5156726,2.00,3.00,0.00,4.00,6.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'GUARAITUBA','COLOMBO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5156734,8.00,7.00,4.00,7.00,8.00,10.50,5.00,3.00,6.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',3132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156742,4.00,6.00,3.00,1.00,5.00,4.88,3.00,3.00,5.00,203,NULL,233,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5156750,7.00,8.00,0.00,6.00,7.00,10.50,1.00,5.00,2.00,9,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9565,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5156769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','HOLAMBRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5156777,7.00,7.00,5.00,7.00,9.00,9.38,2.00,3.00,6.00,302,NULL,NULL,'GUIOMAR','ANTÔNIO CARLOS','SC',4525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156785,6.00,7.00,6.00,3.00,6.00,9.75,4.00,4.00,6.00,216,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',5434,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5156793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JD JAQUELINE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5156815,8.00,8.00,1.00,5.00,7.00,8.25,3.00,2.00,3.00,101,NULL,NULL,'CENTRO','PALHOÇA','SC',10405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5156823,4.00,4.00,2.00,4.00,3.00,NULL,0.00,1.00,4.00,601,NULL,201,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5156831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5156840,3.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,1.00,207,NULL,208,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5156858,9.00,7.00,7.00,6.00,8.00,9.38,7.00,4.00,9.00,103,NULL,NULL,'VILA CLEMENTINO','S PAULO','SP',756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156866,4.00,5.00,3.00,6.00,5.00,6.75,3.00,4.00,4.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12348,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5156874,4.00,6.00,5.00,7.00,4.00,8.63,1.00,0.00,3.00,208,NULL,235,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',13179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156890,5.00,5.00,0.00,7.00,6.00,9.38,0.00,3.00,0.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CENTRO','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5156912,1.00,3.00,2.00,1.00,2.00,NULL,1.00,1.00,3.00,653,NULL,652,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5156920,4.00,2.00,2.00,4.00,7.00,NULL,2.00,0.00,2.00,216,NULL,207,'MONTE CASTELO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5156939,8.00,8.00,8.00,7.00,10.00,9.00,7.00,6.00,8.00,303,NULL,NULL,'CENTRO','JOAÇABA','SC',259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5156955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'LAGOINHA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5156971,6.00,6.00,4.00,4.00,6.00,9.38,2.00,6.00,6.00,108,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9268,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5156998,6.00,4.00,3.00,6.00,6.00,6.38,4.00,1.00,8.00,203,NULL,220,'JARDIM ACAPULCO','LONDRINA','PR',8846,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5157005,4.00,6.00,3.00,4.00,5.00,9.00,0.00,2.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157013,7.00,8.00,4.00,7.00,9.00,10.50,6.00,4.00,7.00,332,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157021,7.00,8.00,7.00,7.00,10.00,9.00,6.00,5.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157064,9.00,9.00,4.00,6.00,8.00,6.75,3.00,8.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2469,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5157072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'ELIZA','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5157099,3.00,2.00,3.00,4.00,2.00,NULL,0.00,0.00,2.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5157102,3.00,4.00,1.00,2.00,3.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5157110,3.00,3.00,1.00,3.00,7.00,NULL,3.00,3.00,1.00,444,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5157129,6.00,5.00,1.00,6.00,7.00,9.38,3.00,4.00,4.00,211,NULL,215,'CORREGO GRANDE','FLORIANÓPOLIS','SC',10619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157137,6.00,7.00,3.00,7.00,9.00,8.63,3.00,3.00,6.00,103,NULL,NULL,'JARDIM VITÓRIA','MARÍLIA','SP',4692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157145,5.00,3.00,4.00,6.00,6.00,7.13,2.00,2.00,3.00,452,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',14413,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5157153,2.00,3.00,2.00,2.00,5.00,NULL,0.00,0.00,2.00,319,NULL,NULL,'JARDIM CIDADE FLORIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157161,8.00,7.00,7.00,7.00,10.00,10.88,5.00,5.00,7.00,203,NULL,201,'VILA IZABEL','CURITIBA','PR',726,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5157196,8.00,6.00,7.00,7.00,8.00,9.75,7.00,3.00,8.00,103,NULL,NULL,'IPIRANGA','S PAULO','SP',1463,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5157200,6.00,8.00,2.00,6.00,9.00,10.50,1.00,4.00,4.00,502,NULL,NULL,'AVENIDA CENTRAL','GRAMADO','RS',8490,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5157218,3.00,3.00,2.00,7.00,5.00,6.75,2.00,2.00,5.00,212,NULL,203,'CENTRO','CANOINHAS','SC',15231,373,NULL,942,NULL,NULL,NULL,4,17),(20,5157234,6.00,4.00,0.00,6.00,5.00,6.38,2.00,1.00,5.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',15169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157242,7.00,5.00,5.00,6.00,6.00,10.13,3.00,4.00,6.00,103,NULL,NULL,'BAIRRO AHÚ','CURITIBA','PR',4426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,'S','S','S',1,2),(20,5157277,3.00,2.00,1.00,5.00,8.00,NULL,1.00,4.00,2.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5157285,5.00,6.00,2.00,5.00,9.00,9.38,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',9572,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5157293,9.00,7.00,7.00,8.00,8.00,12.00,7.00,5.00,8.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',303,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5157307,5.00,4.00,1.00,7.00,6.00,7.50,1.00,2.00,3.00,415,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',15124,274,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157323,8.00,6.00,2.00,6.00,7.00,9.00,4.00,3.00,5.00,103,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',6908,2629,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157331,7.00,7.00,4.00,6.00,7.00,9.00,3.00,5.00,5.00,101,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',6326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157358,4.00,4.00,0.00,5.00,4.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5157366,8.00,7.00,9.00,7.00,10.00,8.63,8.00,7.00,9.00,103,NULL,NULL,'BARRO VERMELHO','ORLEANS','SC',36,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157382,3.00,2.00,2.00,5.00,1.00,NULL,0.00,3.00,3.00,426,NULL,429,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5157390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5157404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'SENHOR BOM JESUS','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5157412,5.00,5.00,4.00,3.00,4.00,6.75,3.00,3.00,3.00,203,NULL,214,'GARCIA','BLUMENAU','SC',14388,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5157420,4.00,6.00,4.00,7.00,7.00,11.25,1.00,4.00,1.00,303,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',8267,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5157439,3.00,4.00,0.00,5.00,4.00,NULL,3.00,1.00,2.00,103,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5157447,8.00,7.00,6.00,7.00,10.00,9.00,4.00,5.00,6.00,103,NULL,NULL,'JUVEVE','CURITIBA','PR',1498,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5157455,4.00,7.00,0.00,3.00,5.00,7.13,1.00,2.00,5.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157471,3.00,7.00,3.00,3.00,6.00,NULL,0.00,3.00,2.00,216,NULL,211,'BOA VISTA','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5157480,3.00,5.00,0.00,0.00,1.00,NULL,3.00,1.00,1.00,319,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157498,5.00,4.00,1.00,6.00,8.00,9.38,2.00,2.00,3.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',12128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157501,7.00,8.00,6.00,6.00,7.00,7.50,4.00,3.00,8.00,201,NULL,220,'RECANTO DO SALTO','LONDRINA','PR',3706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157510,2.00,6.00,0.00,3.00,5.00,NULL,3.00,2.00,2.00,211,NULL,653,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5157528,4.00,5.00,0.00,4.00,6.00,NULL,1.00,3.00,2.00,452,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5157536,4.00,7.00,4.00,7.00,5.00,6.75,4.00,2.00,3.00,3,NULL,NULL,'ROÇADO','S JOSÉ','SC',11346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157544,3.00,4.00,1.00,5.00,4.00,6.00,3.00,3.00,3.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CINQUENTENÁRIO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5157579,8.00,5.00,6.00,6.00,8.00,6.38,1.00,4.00,5.00,214,NULL,208,'PARQUE DAS AVENIDAS','SOMBRIO','SC',6243,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5157587,1.00,3.00,2.00,4.00,2.00,NULL,3.00,1.00,2.00,102,NULL,NULL,'SANTA CATARINA','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5157595,4.00,7.00,1.00,7.00,5.00,8.25,2.00,1.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157609,5.00,3.00,1.00,4.00,9.00,7.50,2.00,4.00,4.00,301,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',12307,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5157617,7.00,7.00,7.00,7.00,6.00,9.38,4.00,5.00,7.00,201,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',2827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157625,6.00,3.00,3.00,6.00,5.00,9.75,1.00,1.00,5.00,108,NULL,NULL,'MICHEL','CRICIÚMA','SC',14502,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5157641,4.00,6.00,1.00,3.00,4.00,7.88,1.00,2.00,3.00,502,NULL,NULL,'ZONA RURAL','PERITIBA','SC',15499,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5157668,8.00,7.00,4.00,7.00,9.00,12.00,5.00,5.00,7.00,201,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',1678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157684,1.00,2.00,0.00,4.00,3.00,NULL,2.00,3.00,3.00,444,NULL,NULL,'JARDIM DAS PALMEIRAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157706,5.00,4.00,3.00,5.00,6.00,7.13,5.00,4.00,3.00,220,NULL,601,'JARDIM ALVES','JACAREZINHO','PR',9290,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5157730,9.00,8.00,5.00,7.00,8.00,12.00,4.00,6.00,8.00,103,NULL,NULL,'VALE DO ALCANTARA','LONDRINA','PR',489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157757,5.00,5.00,7.00,6.00,7.00,8.25,1.00,3.00,6.00,453,NULL,NULL,'AREIAS','S JOSÉ','SC',8088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157773,7.00,8.00,6.00,7.00,6.00,9.00,5.00,2.00,8.00,103,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',3786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157781,7.00,8.00,2.00,7.00,9.00,9.00,4.00,5.00,7.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',3646,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5157811,4.00,6.00,1.00,4.00,5.00,10.13,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','CAXIAS SUL','RS',13983,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5157846,4.00,5.00,0.00,6.00,7.00,NULL,2.00,1.00,4.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157862,5.00,4.00,5.00,7.00,6.00,9.00,3.00,3.00,4.00,333,NULL,NULL,'GRAJAÚ','BELO HORIZONTE','MG',10765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157889,2.00,4.00,0.00,4.00,3.00,NULL,3.00,1.00,0.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5157897,3.00,3.00,4.00,5.00,6.00,6.75,3.00,3.00,3.00,202,NULL,235,'PROGRESSO','RIO SUL','SC',14982,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5157919,4.00,3.00,3.00,6.00,3.00,NULL,1.00,0.00,2.00,5,NULL,NULL,'VILA PARANA','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5157927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',1,8),(20,5157935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(20,5157943,4.00,4.00,2.00,4.00,4.00,NULL,1.00,1.00,2.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5157960,4.00,3.00,1.00,3.00,3.00,NULL,0.00,2.00,1.00,201,NULL,233,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5157978,2.00,2.00,1.00,1.00,4.00,NULL,0.00,3.00,2.00,303,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5157986,6.00,6.00,2.00,6.00,5.00,8.63,3.00,6.00,5.00,203,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5157994,9.00,6.00,6.00,7.00,9.00,10.88,6.00,7.00,8.00,103,NULL,NULL,'ZONA RURAL','ASSIS','SP',579,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5158010,8.00,9.00,6.00,7.00,10.00,9.38,7.00,5.00,9.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158028,6.00,5.00,3.00,6.00,2.00,NULL,0.00,2.00,3.00,235,NULL,213,'CH EMBU COLONIAL','EMBU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158044,3.00,5.00,3.00,5.00,4.00,7.50,0.00,2.00,3.00,104,NULL,NULL,'CENTRO','CHAPECÓ','SC',15793,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5158052,5.00,5.00,3.00,5.00,9.00,10.50,3.00,5.00,7.00,207,NULL,211,'RIO VERMELHO','FLORIANÓPOLIS','SC',6131,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5158060,6.00,6.00,3.00,7.00,7.00,7.88,0.00,1.00,3.00,103,NULL,NULL,'GRAMADO','CAMPINAS','SP',9716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158079,7.00,8.00,3.00,7.00,10.00,8.63,2.00,5.00,4.00,425,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',3934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158109,8.00,6.00,2.00,5.00,10.00,9.00,0.00,3.00,5.00,207,NULL,211,'ÁGUAS CLARAS','BRUSQUE','SC',8008,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5158117,7.00,8.00,4.00,2.00,8.00,8.25,2.00,5.00,5.00,653,NULL,601,'RAICHASKI','IÇARA','SC',7731,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5158125,4.00,4.00,2.00,7.00,7.00,7.13,1.00,1.00,3.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',13192,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5158133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'INTERIOR','MAREMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5158141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5158150,2.00,3.00,0.00,6.00,5.00,NULL,1.00,0.00,2.00,425,NULL,429,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158168,4.00,5.00,1.00,6.00,5.00,6.38,3.00,4.00,3.00,2,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158176,6.00,5.00,1.00,5.00,5.00,8.25,2.00,4.00,3.00,220,NULL,208,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5158192,3.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,212,NULL,201,'BOSQUE DAS MANSÕES','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(20,5158214,3.00,6.00,2.00,6.00,6.00,9.38,2.00,2.00,3.00,5,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',13159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158222,4.00,3.00,0.00,2.00,3.00,NULL,2.00,0.00,1.00,207,NULL,201,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5158249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5158265,2.00,7.00,4.00,3.00,7.00,9.38,2.00,4.00,4.00,9,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158273,7.00,7.00,2.00,6.00,8.00,8.25,3.00,4.00,6.00,203,NULL,211,'COMERCIÁRIO','CRICIÚMA','SC',5640,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5158281,6.00,6.00,1.00,6.00,6.00,9.75,2.00,4.00,5.00,207,NULL,211,'PARTENOM','PTO ALEGRE','RS',9920,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5158290,7.00,5.00,4.00,4.00,4.00,8.63,1.00,4.00,5.00,303,NULL,NULL,'CENTRO','CONCÓRDIA','SC',9865,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5158303,4.00,6.00,3.00,6.00,8.00,9.00,3.00,2.00,4.00,3,NULL,NULL,'CENTRO','LAGES','SC',11028,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5158311,6.00,5.00,1.00,3.00,4.00,8.25,2.00,4.00,5.00,420,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',13761,114,NULL,NULL,NULL,NULL,NULL,2,1),(20,5158320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALPHAVILLE','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5158346,3.00,7.00,1.00,6.00,6.00,7.50,4.00,3.00,3.00,2,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158354,4.00,3.00,4.00,6.00,7.00,7.50,1.00,4.00,1.00,5,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',15010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158362,5.00,6.00,4.00,5.00,6.00,NULL,3.00,4.00,5.00,215,NULL,216,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,16),(20,5158370,7.00,8.00,6.00,7.00,10.00,7.50,4.00,7.00,7.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',1568,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5158397,5.00,7.00,3.00,3.00,6.00,9.38,2.00,2.00,6.00,9,NULL,NULL,'SÃO CRISTOVÃO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5158419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM GUAIUBA','GUARUJÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5158427,7.00,6.00,5.00,6.00,8.00,9.75,5.00,5.00,8.00,211,NULL,215,'SANTA MÔNICA','FLORIANÓPOLIS','SC',3094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158435,2.00,7.00,0.00,5.00,8.00,NULL,1.00,3.00,2.00,212,NULL,202,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158443,8.00,5.00,7.00,4.00,10.00,9.75,3.00,2.00,7.00,103,NULL,NULL,'CENTRO','LGA VERMELHA','RS',3940,1826,NULL,NULL,NULL,NULL,NULL,2,1),(20,5158451,3.00,3.00,5.00,4.00,7.00,8.25,2.00,3.00,4.00,453,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5158460,5.00,6.00,2.00,3.00,3.00,NULL,1.00,1.00,5.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5158478,5.00,4.00,0.00,6.00,7.00,9.75,1.00,3.00,2.00,420,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',15132,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5158486,3.00,7.00,0.00,6.00,8.00,8.63,0.00,2.00,2.00,340,NULL,NULL,'ENCOSTA DO SOL','S LUDGERO','SC',14676,412,NULL,NULL,NULL,NULL,NULL,4,10),(20,5158494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'LA SALLE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5158508,5.00,7.00,0.00,7.00,8.00,6.75,4.00,4.00,5.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158516,5.00,4.00,0.00,5.00,4.00,6.75,3.00,3.00,4.00,207,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158524,4.00,6.00,1.00,7.00,5.00,8.63,1.00,5.00,6.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158540,9.00,8.00,5.00,7.00,9.00,9.75,4.00,7.00,6.00,203,NULL,202,'ITAGUAÇU','FLORIANÓPOLIS','SC',1255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158559,4.00,5.00,4.00,3.00,7.00,6.00,4.00,2.00,2.00,238,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5158567,8.00,9.00,7.00,7.00,10.00,10.88,8.00,8.00,9.00,203,NULL,235,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',40,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158583,5.00,6.00,4.00,7.00,7.00,7.50,5.00,2.00,4.00,201,NULL,NULL,'GUANABARA','JOINVILLE','SC',7940,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5158605,5.00,6.00,1.00,3.00,7.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'KMSESSENTA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5158613,1.00,4.00,1.00,6.00,5.00,NULL,2.00,1.00,2.00,101,NULL,NULL,'SAO JOSE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158621,7.00,3.00,2.00,7.00,9.00,7.13,1.00,5.00,3.00,303,NULL,NULL,'AMÉRICA','JOINVILLE','SC',12557,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5158630,7.00,6.00,3.00,7.00,8.00,8.25,1.00,6.00,7.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',5441,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5158648,5.00,5.00,2.00,5.00,8.00,8.25,2.00,4.00,5.00,103,NULL,NULL,'IMIGRANTES','CRICIÚMA','SC',7303,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5158656,7.00,8.00,2.00,5.00,8.00,8.25,2.00,5.00,2.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9905,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5158699,5.00,6.00,2.00,7.00,6.00,10.13,1.00,5.00,4.00,316,NULL,NULL,'SANTA AUGUSTA','CRICIÚMA','SC',9018,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5158702,5.00,6.00,6.00,7.00,7.00,6.75,2.00,5.00,4.00,208,NULL,NULL,'ÁGUA RASA','S PAULO','SP',6492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'PARQUE PRESIDENTE','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5158729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5158745,9.00,7.00,4.00,5.00,9.00,12.00,7.00,4.00,8.00,103,NULL,NULL,'CENTRO','MOGI GUAÇU','SP',945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158753,6.00,4.00,3.00,5.00,7.00,3.38,2.00,2.00,4.00,211,NULL,208,'PASSO DAREIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158761,5.00,5.00,3.00,2.00,6.00,10.13,3.00,0.00,5.00,502,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',13832,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5158770,7.00,5.00,5.00,3.00,6.00,6.00,2.00,3.00,4.00,203,NULL,202,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5158788,7.00,3.00,5.00,2.00,5.00,9.38,3.00,3.00,5.00,211,NULL,203,'BOM FIM','PTO ALEGRE','RS',10385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158796,3.00,5.00,0.00,2.00,3.00,NULL,1.00,2.00,3.00,317,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5158800,7.00,4.00,2.00,6.00,4.00,8.63,0.00,3.00,4.00,212,NULL,214,'BUTANTÃ','S PAULO','SP',11477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158818,7.00,5.00,4.00,7.00,6.00,7.88,4.00,5.00,7.00,103,NULL,NULL,'BATEL','CURITIBA','PR',4641,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5158826,8.00,4.00,5.00,6.00,7.00,NULL,3.00,2.00,6.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(20,5158834,6.00,6.00,3.00,4.00,5.00,7.13,2.00,3.00,3.00,201,NULL,212,'COMCOM','SOMBRIO','SC',12753,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5158842,6.00,4.00,4.00,6.00,5.00,10.50,2.00,3.00,4.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158850,7.00,7.00,5.00,7.00,6.00,8.25,5.00,4.00,5.00,238,NULL,208,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',5060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158877,3.00,6.00,0.00,5.00,3.00,NULL,3.00,2.00,3.00,340,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158885,3.00,4.00,0.00,5.00,4.00,NULL,1.00,2.00,2.00,404,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5158893,6.00,8.00,3.00,7.00,10.00,10.50,2.00,3.00,7.00,211,NULL,215,'DESVIO RIZZO','CAXIAS SUL','RS',4099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158907,9.00,5.00,4.00,7.00,9.00,10.50,2.00,2.00,7.00,216,NULL,233,'SÃO JUDAS','S PAULO','SP',3576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158915,3.00,5.00,2.00,3.00,3.00,NULL,0.00,4.00,4.00,320,NULL,NULL,'JURERE INTERNACIOLNA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5158923,3.00,4.00,1.00,4.00,4.00,NULL,3.00,3.00,2.00,331,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5158931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'PLANALTO PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5158940,5.00,2.00,1.00,6.00,4.00,NULL,2.00,0.00,0.00,444,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5158958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'JARDIM AMÉRICA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5158966,8.00,7.00,5.00,7.00,9.00,10.88,5.00,6.00,6.00,212,NULL,213,'CARVOEIRA','FLORIANÓPOLIS','SC',2282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5158990,5.00,5.00,3.00,6.00,7.00,7.50,3.00,3.00,4.00,203,NULL,201,'CENTRO','PRES GETÚLIO','SC',10560,753,NULL,781,NULL,NULL,NULL,4,2),(20,5159008,2.00,4.00,1.00,3.00,3.00,NULL,1.00,1.00,1.00,203,NULL,NULL,'DIVINÉIA','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5159016,6.00,5.00,2.00,3.00,3.00,NULL,3.00,2.00,1.00,444,NULL,NULL,'CALDAS','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5159024,2.00,1.00,2.00,3.00,4.00,NULL,1.00,3.00,3.00,220,NULL,235,'SANTA BARBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5159032,6.00,4.00,2.00,5.00,4.00,9.38,3.00,3.00,4.00,429,NULL,423,'CANASVIEIRA','FLORIANÓPOLIS','SC',14960,37,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159040,6.00,7.00,5.00,7.00,8.00,11.63,4.00,4.00,6.00,213,NULL,214,'VILA LEOPOLDINA','S PAULO','SP',2825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159059,7.00,8.00,0.00,7.00,7.00,9.38,4.00,5.00,7.00,108,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',6177,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5159067,6.00,6.00,0.00,4.00,6.00,NULL,3.00,0.00,4.00,104,NULL,NULL,'NOSSA SRA DE LURDES','PLANALTO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5159075,7.00,7.00,7.00,7.00,10.00,8.63,8.00,6.00,7.00,214,NULL,220,'SANTA TEREZINHA','BRUSQUE','SC',1227,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5159083,8.00,6.00,6.00,7.00,6.00,9.00,7.00,4.00,7.00,304,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159091,4.00,6.00,1.00,4.00,4.00,7.50,4.00,1.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159105,3.00,4.00,3.00,4.00,2.00,NULL,0.00,1.00,0.00,426,NULL,428,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5159113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA MUNIZ','VOTUPORANGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5159121,8.00,8.00,7.00,2.00,8.00,9.75,3.00,5.00,7.00,2,NULL,NULL,'EXPOSIÇÃO','CAXIAS SUL','RS',2878,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5159130,3.00,5.00,0.00,6.00,6.00,8.63,2.00,3.00,4.00,444,NULL,NULL,'FURADINHO','PALHOÇA','SC',14486,75,NULL,NULL,NULL,NULL,NULL,2,1),(20,5159148,3.00,1.00,0.00,0.00,3.00,NULL,0.00,2.00,3.00,651,NULL,653,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5159156,3.00,5.00,3.00,1.00,4.00,NULL,2.00,3.00,4.00,303,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159164,8.00,7.00,7.00,7.00,9.00,8.25,8.00,6.00,5.00,233,NULL,213,'CACUPÉ','FLORIANÓPOLIS','SC',1968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159172,4.00,5.00,1.00,5.00,7.00,7.88,2.00,2.00,5.00,207,NULL,201,'SÃO CRISTÓVÃO','CONCÓRDIA','SC',12958,618,NULL,929,NULL,NULL,NULL,2,7),(20,5159180,9.00,6.00,2.00,8.00,10.00,11.25,5.00,3.00,9.00,103,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',1738,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5159199,4.00,4.00,1.00,7.00,5.00,4.13,3.00,2.00,4.00,202,NULL,203,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5159202,4.00,5.00,1.00,4.00,8.00,8.63,2.00,3.00,4.00,108,NULL,NULL,'IPIRANGA','S JOSÉ','SC',14671,273,NULL,NULL,NULL,NULL,NULL,2,1),(20,5159237,3.00,6.00,3.00,3.00,5.00,7.13,1.00,4.00,3.00,502,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',16069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159245,9.00,8.00,5.00,6.00,8.00,6.00,6.00,6.00,6.00,103,NULL,NULL,'PROGRESSO','BLUMENAU','SC',2797,1407,NULL,NULL,NULL,NULL,NULL,2,2),(20,5159253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUTANTÃ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5159261,4.00,6.00,2.00,4.00,4.00,6.75,3.00,3.00,6.00,452,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14946,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5159288,9.00,8.00,3.00,7.00,9.00,10.13,5.00,5.00,6.00,238,NULL,211,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159300,9.00,8.00,7.00,7.00,10.00,8.25,9.00,6.00,8.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'MOINHO VELHO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5159326,7.00,8.00,4.00,5.00,9.00,9.38,4.00,2.00,5.00,238,NULL,235,'SACO GRANDE','FLORIANÓPOLIS','SC',5729,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5159342,5.00,5.00,2.00,7.00,9.00,9.75,3.00,2.00,5.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159350,4.00,8.00,7.00,4.00,7.00,6.75,1.00,5.00,5.00,5,NULL,NULL,'CENTRO','URUBICI','SC',8742,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5159369,6.00,7.00,2.00,4.00,8.00,8.25,3.00,5.00,6.00,207,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',7350,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5159377,4.00,6.00,1.00,4.00,6.00,7.50,1.00,1.00,4.00,444,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',15545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5159393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5159407,6.00,5.00,3.00,4.00,8.00,10.50,1.00,2.00,3.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159423,7.00,6.00,2.00,6.00,4.00,10.50,4.00,3.00,7.00,601,NULL,220,'ITOUPAVA NORTE','BLUMENAU','SC',7113,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5159431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'SANTA LUZIA','BRAGANÇA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5159440,4.00,6.00,1.00,6.00,4.00,7.13,2.00,1.00,2.00,450,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5159474,4.00,4.00,4.00,3.00,4.00,8.25,1.00,3.00,4.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5159482,3.00,4.00,1.00,4.00,5.00,NULL,3.00,1.00,4.00,104,NULL,NULL,'CENTRO','VL MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5159504,3.00,5.00,1.00,4.00,6.00,7.13,3.00,2.00,6.00,201,NULL,207,'PIQUE DO MEIO','MELEIRO','SC',12881,922,NULL,612,NULL,NULL,NULL,4,5),(20,5159520,7.00,7.00,5.00,7.00,7.00,9.00,4.00,3.00,4.00,202,NULL,220,'ELDORADO','TREMEMBÉ','SP',5580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5159563,6.00,7.00,4.00,5.00,7.00,NULL,0.00,3.00,6.00,502,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5159598,4.00,0.00,0.00,3.00,2.00,NULL,1.00,1.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5159601,6.00,5.00,3.00,3.00,4.00,7.13,2.00,3.00,2.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15396,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5159610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PQ VALENTINA MIRANDA','MACAÉ','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5159628,3.00,6.00,3.00,4.00,4.00,6.00,3.00,5.00,5.00,453,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159644,7.00,5.00,4.00,6.00,6.00,7.13,2.00,5.00,7.00,5,NULL,NULL,'SAINT ETIENNE','CAXIAS SUL','RS',5861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159652,7.00,5.00,2.00,6.00,6.00,12.38,4.00,3.00,5.00,103,NULL,NULL,'CAMBUI','CAMPINAS','SP',5046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159660,6.00,8.00,3.00,4.00,6.00,8.63,4.00,3.00,7.00,103,NULL,NULL,'CORAL','LAGES','SC',6845,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5159725,9.00,9.00,4.00,7.00,9.00,10.13,3.00,5.00,9.00,103,NULL,NULL,'JARDIM CLAUDIA','LONDRINA','PR',1392,794,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159750,6.00,7.00,4.00,6.00,7.00,7.13,3.00,5.00,5.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159768,6.00,7.00,4.00,7.00,7.00,8.25,6.00,3.00,5.00,301,NULL,NULL,'SANTANA','S PAULO','SP',4138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159776,2.00,4.00,0.00,3.00,7.00,NULL,0.00,3.00,3.00,201,NULL,212,'VALPARAÍSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,2),(20,5159784,3.00,2.00,1.00,2.00,4.00,NULL,1.00,2.00,1.00,203,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5159792,9.00,4.00,3.00,7.00,6.00,10.13,2.00,3.00,7.00,108,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5112,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5159806,4.00,4.00,1.00,4.00,3.00,NULL,1.00,2.00,1.00,203,NULL,NULL,'SAIC','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5159814,4.00,5.00,2.00,0.00,4.00,NULL,4.00,3.00,3.00,225,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5159830,4.00,4.00,2.00,7.00,9.00,9.75,4.00,5.00,5.00,103,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',5830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159881,4.00,4.00,2.00,5.00,4.00,7.50,1.00,2.00,3.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159920,7.00,3.00,0.00,6.00,4.00,7.88,3.00,6.00,1.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',13759,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5159946,3.00,3.00,0.00,2.00,3.00,NULL,1.00,0.00,2.00,301,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159954,3.00,3.00,0.00,4.00,7.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5159962,6.00,7.00,4.00,7.00,10.00,7.50,4.00,3.00,7.00,5,NULL,NULL,'IPIRANGA','S JOSÉ','SC',4732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159970,2.00,6.00,2.00,5.00,3.00,NULL,4.00,4.00,2.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159989,8.00,5.00,3.00,1.00,7.00,7.88,3.00,3.00,6.00,103,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',8822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5159997,6.00,6.00,3.00,2.00,4.00,7.50,2.00,4.00,3.00,302,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',13882,76,NULL,NULL,NULL,NULL,NULL,1,1),(20,5160022,6.00,8.00,1.00,5.00,7.00,9.75,3.00,5.00,4.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8469,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5160030,4.00,4.00,2.00,2.00,4.00,NULL,1.00,3.00,4.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5160049,6.00,7.00,3.00,7.00,9.00,9.00,5.00,4.00,6.00,207,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',3392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5160103,3.00,2.00,1.00,2.00,1.00,NULL,1.00,2.00,4.00,208,NULL,238,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5160111,7.00,5.00,4.00,6.00,7.00,9.00,2.00,4.00,5.00,420,NULL,NULL,'VILA BELMIRO','SANTOS','SP',5684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5160146,5.00,7.00,2.00,5.00,8.00,10.13,1.00,4.00,4.00,211,NULL,216,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5160154,6.00,5.00,1.00,6.00,7.00,8.63,3.00,2.00,5.00,207,NULL,201,'MONTE PASQUAL','FARROUPILHA','RS',10615,508,NULL,783,NULL,NULL,NULL,2,4),(20,5160162,5.00,5.00,1.00,4.00,9.00,8.63,4.00,2.00,4.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',11994,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5160170,3.00,4.00,2.00,4.00,3.00,NULL,2.00,2.00,2.00,501,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5160189,6.00,5.00,2.00,4.00,8.00,6.75,4.00,3.00,4.00,319,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',9667,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5160197,4.00,5.00,1.00,3.00,6.00,0.00,2.00,3.00,4.00,653,NULL,NULL,'SANGA DA TOCA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5160227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5160235,8.00,6.00,0.00,2.00,4.00,NULL,0.00,4.00,4.00,212,NULL,601,'SERAFIM','LUIZ ALVES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5160243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','VITORINO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5160260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,653,'SÃO LUIS','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5160286,7.00,9.00,4.00,7.00,5.00,8.25,6.00,3.00,5.00,203,NULL,214,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5160359,6.00,7.00,5.00,3.00,7.00,8.25,6.00,5.00,6.00,203,NULL,601,'CENTRO','PEDRAS GRANDES','SC',6342,512,NULL,NULL,NULL,NULL,NULL,2,10),(20,5160367,7.00,6.00,2.00,6.00,9.00,7.88,2.00,4.00,5.00,233,NULL,211,'ALPHAVILLE','CAMPINAS','SP',6149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5160383,5.00,6.00,0.00,5.00,5.00,9.75,3.00,3.00,7.00,215,NULL,211,'LOT MADRI','PALHOÇA','SC',11683,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5160391,5.00,4.00,1.00,2.00,5.00,8.25,6.00,3.00,3.00,601,NULL,213,'PARANAGUAMIRIM','JOINVILLE','SC',15395,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5160421,3.00,6.00,1.00,6.00,5.00,7.13,2.00,1.00,3.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',15655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5160480,6.00,6.00,2.00,6.00,9.00,9.38,1.00,6.00,3.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5160499,4.00,2.00,0.00,5.00,3.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5160502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'SANTA CRUZ','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5160510,8.00,8.00,4.00,7.00,7.00,10.13,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',2877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5160529,3.00,6.00,5.00,6.00,8.00,9.38,3.00,3.00,5.00,309,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5160537,2.00,5.00,1.00,5.00,6.00,8.25,2.00,4.00,4.00,235,NULL,220,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5160553,3.00,1.00,2.00,3.00,4.00,NULL,0.00,2.00,3.00,452,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5160561,3.00,6.00,6.00,6.00,6.00,7.50,3.00,3.00,4.00,202,NULL,216,'SANTA TEREZINHA','BRUSQUE','SC',9694,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5160570,9.00,8.00,4.00,6.00,8.00,10.13,3.00,3.00,8.00,203,NULL,201,'KOBRASOL','S JOSÉ','SC',3109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5160588,2.00,5.00,1.00,6.00,3.00,NULL,1.00,2.00,4.00,503,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5160596,4.00,3.00,2.00,5.00,6.00,NULL,0.00,4.00,3.00,328,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5160600,4.00,5.00,0.00,6.00,4.00,8.63,2.00,3.00,3.00,340,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',14010,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5160618,6.00,8.00,3.00,4.00,7.00,8.63,3.00,4.00,6.00,211,NULL,216,'VILA FLOR','CAPIVARI BAIXO','SC',9767,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5160634,5.00,3.00,5.00,7.00,8.00,7.88,3.00,4.00,4.00,326,NULL,NULL,'CENTRO','BLUMENAU','SC',8786,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5160642,3.00,6.00,2.00,3.00,7.00,7.50,1.00,3.00,3.00,303,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5160669,5.00,6.00,2.00,7.00,5.00,11.25,2.00,3.00,4.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',13071,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5160677,5.00,6.00,0.00,5.00,4.00,8.63,1.00,4.00,5.00,238,NULL,215,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',14047,337,NULL,292,NULL,NULL,NULL,4,1),(20,5160685,8.00,7.00,9.00,7.00,10.00,8.25,7.00,4.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5160693,5.00,5.00,0.00,1.00,2.00,NULL,1.00,3.00,4.00,318,NULL,NULL,'INTERIOR','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5160715,4.00,6.00,2.00,4.00,6.00,9.38,3.00,2.00,5.00,216,NULL,211,'BAIRRO ALTO','CURITIBA','PR',11726,471,NULL,368,NULL,NULL,NULL,4,1),(20,5160774,2.00,7.00,2.00,3.00,7.00,NULL,2.00,2.00,3.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5160782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5160790,4.00,4.00,0.00,1.00,5.00,NULL,2.00,1.00,2.00,316,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5160812,2.00,4.00,2.00,3.00,6.00,7.50,3.00,3.00,5.00,205,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16075,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5160820,2.00,7.00,1.00,2.00,6.00,NULL,0.00,2.00,4.00,319,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5160839,3.00,6.00,1.00,5.00,4.00,9.00,1.00,5.00,4.00,444,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',15311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5160863,3.00,4.00,2.00,2.00,4.00,NULL,1.00,0.00,1.00,424,NULL,425,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5160871,6.00,7.00,3.00,5.00,6.00,8.63,2.00,5.00,5.00,216,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',8891,372,NULL,NULL,NULL,NULL,NULL,4,1),(20,5160880,8.00,7.00,2.00,5.00,8.00,8.25,3.00,4.00,6.00,216,NULL,207,'DAS DAMAS','URUSSANGA','SC',6066,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5160898,5.00,7.00,4.00,7.00,7.00,7.50,5.00,3.00,5.00,5,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',6554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5160901,5.00,2.00,2.00,5.00,6.00,NULL,3.00,3.00,0.00,101,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5160910,1.00,7.00,2.00,4.00,4.00,6.00,1.00,3.00,4.00,203,NULL,235,'RURAL','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5160936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5160952,4.00,5.00,2.00,5.00,9.00,8.63,3.00,4.00,3.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5160979,4.00,3.00,2.00,4.00,6.00,NULL,0.00,1.00,3.00,651,NULL,652,'CENTRO','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5160987,6.00,7.00,1.00,4.00,6.00,6.75,2.00,3.00,5.00,333,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12059,105,NULL,NULL,NULL,NULL,NULL,2,1),(20,5160995,6.00,6.00,0.00,4.00,6.00,NULL,1.00,5.00,4.00,301,NULL,NULL,'SAUDADE','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5161002,4.00,4.00,3.00,3.00,6.00,7.88,2.00,3.00,3.00,207,NULL,212,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5161037,5.00,4.00,0.00,2.00,6.00,NULL,0.00,4.00,1.00,420,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5161045,4.00,4.00,0.00,3.00,5.00,NULL,1.00,2.00,3.00,102,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5161061,2.00,8.00,2.00,2.00,7.00,7.88,0.00,3.00,6.00,201,NULL,208,'RIO GRANDE','PALHOÇA','SC',13792,989,NULL,367,NULL,NULL,NULL,2,1),(20,5161070,5.00,0.00,1.00,1.00,2.00,NULL,0.00,0.00,0.00,233,NULL,214,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5161088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','IRANI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5161118,7.00,7.00,2.00,5.00,9.00,8.63,2.00,6.00,3.00,201,NULL,208,'POVOADO DEBONI','S VALENTIM','RS',8151,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5161134,4.00,5.00,0.00,3.00,4.00,NULL,0.00,3.00,2.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5161142,6.00,5.00,0.00,4.00,6.00,9.75,2.00,3.00,5.00,653,NULL,216,'MINA BRASIL','CRICIÚMA','SC',14336,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5161150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SUDOESTE','CRUZEIRO','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5161177,4.00,4.00,3.00,4.00,5.00,8.63,1.00,3.00,5.00,103,NULL,NULL,'FREI ROGÉRIO','LAGES','SC',14743,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5161185,9.00,8.00,4.00,5.00,8.00,8.25,3.00,7.00,5.00,303,NULL,NULL,'JARDIM ESPLANADA','S JOSÉ CAMPOS','SP',3081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5161207,5.00,6.00,2.00,4.00,6.00,8.63,2.00,1.00,5.00,551,NULL,NULL,'CENTRO','LAGES','SC',15062,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5161215,6.00,6.00,7.00,2.00,8.00,7.13,2.00,5.00,5.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7213,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5161231,5.00,8.00,5.00,6.00,8.00,8.63,2.00,5.00,6.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5161258,4.00,6.00,4.00,5.00,5.00,7.13,0.00,5.00,4.00,102,NULL,NULL,'MARIA GORETTI','BENTO GONÇALVES','RS',15145,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5161266,4.00,5.00,0.00,2.00,5.00,NULL,0.00,2.00,1.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5161274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'BOM RETIRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5161304,7.00,8.00,4.00,2.00,7.00,9.00,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8435,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5161312,6.00,4.00,2.00,7.00,7.00,9.75,3.00,4.00,5.00,303,NULL,NULL,'CENTRO','POMERODE','SC',9780,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5161320,8.00,7.00,3.00,7.00,10.00,9.75,3.00,5.00,7.00,216,NULL,233,'CENTRO','SOMBRIO','SC',2703,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5161339,9.00,8.00,2.00,4.00,8.00,10.13,5.00,3.00,7.00,108,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',5011,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5161355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA RESENDE','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5161363,7.00,6.00,4.00,4.00,6.00,0.00,2.00,4.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5161371,8.00,5.00,3.00,7.00,9.00,10.88,3.00,3.00,3.00,211,NULL,201,'CENTRO','TUBARÃO','SC',5842,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5161398,8.00,7.00,4.00,7.00,10.00,8.63,4.00,5.00,6.00,207,NULL,211,'SANTA MONICA','FLORIANÓPOLIS','SC',2754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5161401,6.00,4.00,0.00,1.00,6.00,NULL,2.00,3.00,3.00,207,NULL,201,'JARDIM MONTESANO','ITAPECERICA SERRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5161410,6.00,5.00,1.00,7.00,5.00,6.38,2.00,3.00,4.00,303,NULL,NULL,'CENTRO','TAIÓ','SC',13592,552,NULL,NULL,NULL,NULL,NULL,4,2),(20,5161444,8.00,5.00,5.00,5.00,8.00,7.13,3.00,4.00,6.00,201,NULL,208,'TABULEIRO','ITAPEMA','SC',6327,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5161452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5161487,3.00,0.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5161509,1.00,4.00,3.00,4.00,3.00,NULL,0.00,1.00,4.00,108,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5161525,2.00,6.00,0.00,2.00,7.00,NULL,0.00,1.00,3.00,9,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5161541,5.00,6.00,4.00,4.00,8.00,7.13,2.00,3.00,6.00,318,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5161576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BAIA ALTA','PTE SERRADA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5161584,6.00,6.00,5.00,7.00,8.00,10.88,5.00,5.00,7.00,301,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5161606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CHÁC DOS PINHEIROS','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',3,1),(20,5161614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5161657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,428,'CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5161665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5161673,5.00,4.00,2.00,5.00,5.00,6.75,2.00,3.00,3.00,451,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',16185,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5161681,8.00,7.00,7.00,3.00,9.00,10.13,7.00,5.00,8.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',1299,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5161690,2.00,3.00,1.00,3.00,4.00,NULL,0.00,4.00,1.00,502,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5161703,0.00,3.00,1.00,3.00,3.00,NULL,1.00,1.00,0.00,424,NULL,429,'FAZENDA S ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5161711,5.00,6.00,4.00,5.00,9.00,9.75,1.00,4.00,3.00,102,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',11400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5161720,7.00,7.00,1.00,7.00,9.00,8.63,1.00,2.00,5.00,216,NULL,207,'PRAIA COMPRIDA','S JOSÉ','SC',9351,391,NULL,432,NULL,NULL,NULL,4,1),(20,5161738,7.00,4.00,0.00,4.00,3.00,NULL,1.00,1.00,3.00,108,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5161746,4.00,6.00,2.00,6.00,6.00,8.25,2.00,2.00,5.00,103,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',14450,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5161754,8.00,4.00,6.00,6.00,6.00,6.38,2.00,2.00,5.00,202,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',8563,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5161762,5.00,9.00,2.00,5.00,4.00,8.63,3.00,3.00,1.00,5,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',15451,500,NULL,NULL,NULL,NULL,NULL,2,1),(20,5161789,8.00,9.00,5.00,4.00,10.00,9.00,4.00,6.00,6.00,503,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5161797,8.00,7.00,2.00,5.00,6.00,9.75,3.00,5.00,3.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',8454,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5161800,4.00,4.00,5.00,4.00,6.00,8.25,2.00,3.00,4.00,238,NULL,208,'COQUEIROS','FLORIANÓPOLIS','SC',15152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5161819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'CENTRO','PIRAJUÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5161835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORES','MANAUS','AM',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5161843,6.00,4.00,3.00,3.00,6.00,7.50,1.00,4.00,4.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13556,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5161851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE DOS PRINCIPES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5161860,6.00,7.00,3.00,2.00,6.00,6.38,1.00,1.00,3.00,211,NULL,216,'CENTRO','BRAÇO NORTE','SC',15850,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5161878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE JULIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5161894,8.00,7.00,1.00,5.00,7.00,8.25,4.00,6.00,4.00,212,NULL,207,'BRUSQUE','LAGES','SC',7780,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5161908,6.00,5.00,4.00,6.00,5.00,11.25,2.00,4.00,4.00,303,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',10409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5161916,6.00,6.00,2.00,2.00,6.00,6.38,3.00,4.00,4.00,103,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',14555,3698,NULL,NULL,NULL,NULL,NULL,2,1),(20,5161924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5161932,1.00,4.00,3.00,2.00,4.00,NULL,1.00,1.00,4.00,207,NULL,NULL,'FRÉI ROGÉRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5161940,6.00,4.00,0.00,7.00,7.00,9.75,0.00,1.00,2.00,415,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5161959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','CPO BOM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5161967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5161975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PINHAL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5161983,5.00,6.00,1.00,7.00,4.00,9.38,3.00,2.00,4.00,450,NULL,NULL,'ALVORADA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5161991,7.00,7.00,3.00,5.00,9.00,8.63,0.00,4.00,4.00,102,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',9059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162009,4.00,3.00,2.00,4.00,4.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5162017,6.00,5.00,4.00,5.00,7.00,6.75,3.00,3.00,6.00,220,NULL,202,'CENTRO','CRICIÚMA','SC',10623,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5162025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVO PARANÁ','LUÍS E MAGALHÃES','BA',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5162033,0.00,3.00,0.00,3.00,5.00,NULL,0.00,3.00,3.00,502,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5162041,7.00,7.00,5.00,6.00,9.00,8.25,4.00,3.00,8.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',3485,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5162050,8.00,6.00,4.00,6.00,9.00,9.38,4.00,3.00,4.00,601,NULL,201,'SANTA RITA','BRUSQUE','SC',4928,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5162068,2.00,3.00,2.00,3.00,5.00,NULL,2.00,2.00,3.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162076,0.00,3.00,0.00,1.00,2.00,NULL,2.00,1.00,3.00,653,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5162084,4.00,4.00,0.00,2.00,3.00,NULL,0.00,3.00,2.00,201,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5162092,7.00,8.00,2.00,7.00,8.00,7.88,3.00,4.00,5.00,340,NULL,NULL,'CENTRO','CRICIÚMA','SC',7030,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5162106,8.00,5.00,3.00,5.00,7.00,7.50,1.00,2.00,5.00,452,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',12953,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5162122,4.00,5.00,5.00,3.00,4.00,5.25,3.00,1.00,5.00,653,NULL,652,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5162130,8.00,7.00,6.00,3.00,7.00,9.00,3.00,4.00,6.00,317,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',4328,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5162149,8.00,5.00,6.00,6.00,6.00,7.88,1.00,1.00,6.00,215,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',9381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162157,9.00,7.00,1.00,6.00,5.00,7.13,1.00,3.00,5.00,104,NULL,NULL,'BOA VISTA','JOINVILLE','SC',13031,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5162165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'CENTRO','BANDEIRANTES','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5162173,8.00,6.00,6.00,6.00,6.00,7.50,2.00,4.00,7.00,214,NULL,233,'CORONEL ANTONINO','CPO GRANDE','MS',5824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162181,3.00,4.00,1.00,3.00,5.00,7.88,4.00,2.00,5.00,317,NULL,NULL,'GENTIL SANDIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5162190,2.00,4.00,2.00,3.00,6.00,NULL,0.00,0.00,1.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5162203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'APARECIDA','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5162211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5162238,3.00,3.00,0.00,5.00,5.00,NULL,0.00,2.00,3.00,201,NULL,207,'VILA FEPASA','APIAÍ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162246,8.00,7.00,3.00,7.00,9.00,9.38,3.00,3.00,6.00,103,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',4193,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5162254,7.00,6.00,2.00,4.00,5.00,9.75,3.00,5.00,2.00,203,NULL,201,'CENTRO','ANTÔNIO CARLOS','SC',9810,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5162262,7.00,6.00,4.00,7.00,6.00,9.00,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5536,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5162270,8.00,8.00,4.00,7.00,7.00,8.63,3.00,2.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162289,4.00,7.00,2.00,7.00,8.00,10.50,4.00,4.00,4.00,450,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162297,1.00,1.00,1.00,2.00,2.00,NULL,0.00,1.00,1.00,103,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5162300,2.00,6.00,3.00,5.00,4.00,4.88,2.00,5.00,4.00,340,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5162319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5162327,3.00,6.00,1.00,1.00,5.00,NULL,3.00,3.00,1.00,108,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5162335,2.00,2.00,1.00,5.00,6.00,NULL,3.00,2.00,4.00,108,NULL,NULL,'NOVA BRASÍLIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5162351,5.00,8.00,0.00,5.00,7.00,8.25,2.00,4.00,6.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162360,7.00,5.00,1.00,3.00,7.00,12.00,0.00,2.00,3.00,327,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',10916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5162378,3.00,2.00,2.00,3.00,4.00,NULL,2.00,2.00,4.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5162386,3.00,2.00,0.00,6.00,3.00,NULL,2.00,3.00,3.00,425,NULL,427,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162394,6.00,7.00,2.00,3.00,9.00,11.63,5.00,3.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6160,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5162408,1.00,7.00,1.00,0.00,0.00,NULL,2.00,3.00,5.00,215,NULL,216,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162416,8.00,5.00,4.00,7.00,9.00,9.00,4.00,4.00,6.00,310,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',4739,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5162424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5162432,0.00,4.00,2.00,3.00,4.00,NULL,2.00,1.00,4.00,101,NULL,NULL,'NOVA BELEM','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162459,9.00,8.00,4.00,7.00,7.00,9.00,3.00,6.00,6.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162467,3.00,6.00,2.00,4.00,8.00,7.13,1.00,5.00,4.00,319,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',13637,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5162483,7.00,6.00,2.00,6.00,6.00,7.88,2.00,5.00,6.00,340,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',6575,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5162491,7.00,6.00,2.00,3.00,7.00,9.75,3.00,5.00,7.00,211,NULL,207,'CENTRO','BRUSQUE','SC',6461,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5162513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM SÃO FRANCISCO','STA BÁRBARA D OESTE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5162521,4.00,5.00,1.00,2.00,3.00,NULL,2.00,2.00,3.00,601,NULL,653,'CENTRO','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5162530,9.00,5.00,2.00,7.00,10.00,7.88,5.00,6.00,8.00,103,NULL,NULL,'EXPOSIÇÃO','CAXIAS SUL','RS',1608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162548,5.00,3.00,3.00,6.00,5.00,10.13,1.00,2.00,4.00,215,NULL,216,'ÁGUA VERDE','CURITIBA','PR',12907,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5162572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5162599,6.00,7.00,2.00,5.00,6.00,7.13,2.00,4.00,4.00,211,NULL,216,'SUMARE','RIO SUL','SC',12003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5162610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5162629,6.00,4.00,1.00,8.00,8.00,9.00,3.00,2.00,6.00,415,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',11738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162637,5.00,4.00,1.00,5.00,5.00,7.50,1.00,3.00,2.00,429,NULL,421,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162645,5.00,5.00,0.00,6.00,7.00,8.25,1.00,2.00,4.00,5,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',14177,461,NULL,NULL,NULL,NULL,NULL,2,1),(20,5162653,1.00,4.00,1.00,3.00,4.00,NULL,0.00,4.00,1.00,201,NULL,203,'BEIRA RIO','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5162661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5162670,7.00,7.00,1.00,5.00,6.00,9.75,2.00,4.00,5.00,108,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',9854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5162696,7.00,6.00,1.00,7.00,8.00,9.00,3.00,6.00,7.00,108,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5162700,2.00,4.00,2.00,1.00,3.00,NULL,3.00,0.00,1.00,238,NULL,208,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162718,9.00,6.00,4.00,7.00,9.00,11.25,3.00,4.00,4.00,201,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',2535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162726,4.00,7.00,2.00,3.00,6.00,8.25,3.00,3.00,6.00,208,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',10968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162734,7.00,7.00,5.00,6.00,8.00,9.00,6.00,5.00,7.00,103,NULL,NULL,'BOQUEIRAO','CURITIBA','PR',2630,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5162742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5162769,8.00,8.00,4.00,5.00,7.00,9.75,2.00,4.00,6.00,103,NULL,NULL,'SHANGRILÁ A','LONDRINA','PR',5234,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5162777,4.00,6.00,2.00,7.00,5.00,7.88,4.00,4.00,2.00,450,NULL,NULL,'CONSOLAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162793,3.00,7.00,0.00,5.00,5.00,6.75,3.00,3.00,7.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',13746,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5162807,4.00,7.00,3.00,4.00,7.00,7.13,3.00,1.00,4.00,108,NULL,NULL,'JARDIM ITÚ SABARÁ','PTO ALEGRE','RS',11149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162815,4.00,6.00,2.00,7.00,6.00,10.50,3.00,4.00,4.00,238,NULL,653,'ABRAÃO','FLORIANÓPOLIS','SC',11853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162831,4.00,5.00,4.00,7.00,7.00,6.75,0.00,2.00,6.00,238,NULL,208,'SAO CRISTOVAO','CRICIÚMA','SC',13848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162840,4.00,5.00,0.00,2.00,2.00,NULL,3.00,2.00,3.00,336,NULL,NULL,'CENTRO','QUERÊNCIA NORTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5162866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPO DA LANÇA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(20,5162874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5162882,2.00,2.00,0.00,5.00,2.00,NULL,3.00,2.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'PARIZOTTO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5162904,5.00,6.00,2.00,5.00,3.00,NULL,1.00,1.00,4.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162912,4.00,3.00,0.00,5.00,3.00,NULL,1.00,1.00,3.00,324,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5162920,6.00,5.00,0.00,6.00,9.00,9.38,3.00,3.00,6.00,103,NULL,NULL,'JARDIM GIOCONDO ORSI','CPO GRANDE','MS',6780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5162939,1.00,7.00,5.00,0.00,5.00,NULL,1.00,2.00,2.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5162947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SÃO FRANCISCO','S SEBASTIÃO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5162955,3.00,5.00,0.00,2.00,3.00,NULL,0.00,2.00,4.00,304,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5162971,4.00,3.00,4.00,3.00,5.00,8.25,3.00,4.00,3.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5162980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MONTE LIBANO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5162998,2.00,3.00,0.00,2.00,4.00,NULL,2.00,3.00,4.00,301,NULL,NULL,'BALNEARIO ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5163005,1.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SANTA MOCICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5163013,5.00,6.00,1.00,2.00,5.00,9.38,4.00,2.00,5.00,320,NULL,NULL,'FIGUEIRA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5163021,9.00,7.00,6.00,6.00,7.00,9.38,7.00,5.00,8.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',1717,964,NULL,NULL,NULL,NULL,NULL,2,8),(20,5163030,5.00,7.00,0.00,4.00,6.00,7.88,2.00,2.00,4.00,415,NULL,NULL,'MONTE ALEGRE','CAMBORIÚ','SC',12796,244,NULL,NULL,NULL,NULL,NULL,2,3),(20,5163048,1.00,0.00,2.00,4.00,4.00,NULL,1.00,3.00,4.00,404,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5163056,4.00,6.00,3.00,5.00,5.00,8.63,2.00,2.00,4.00,203,NULL,601,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',13026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5163064,7.00,7.00,5.00,7.00,7.00,10.13,3.00,6.00,8.00,316,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',2393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5163072,0.00,6.00,0.00,3.00,5.00,NULL,0.00,0.00,3.00,429,NULL,426,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5163080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5163102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA FLOR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5163110,2.00,2.00,1.00,4.00,5.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'FUNDO CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5163129,5.00,6.00,2.00,2.00,6.00,8.63,1.00,3.00,2.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',16070,529,NULL,NULL,NULL,NULL,NULL,4,1),(20,5163137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5163145,3.00,1.00,1.00,3.00,2.00,NULL,1.00,0.00,3.00,327,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5163153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETE DE SETEMBRO','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5163161,4.00,5.00,0.00,4.00,3.00,NULL,3.00,0.00,2.00,104,NULL,NULL,'BOSQUE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5163170,7.00,4.00,4.00,3.00,7.00,6.00,3.00,1.00,2.00,223,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',13823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5163188,2.00,5.00,1.00,4.00,5.00,NULL,0.00,2.00,3.00,301,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5163200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5163218,4.00,6.00,3.00,3.00,7.00,8.25,3.00,2.00,1.00,207,NULL,201,'CENTRO','TIJUCAS','SC',14936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5163234,8.00,5.00,0.00,2.00,5.00,7.88,2.00,3.00,5.00,207,NULL,NULL,'ZONA SETE','MARINGÁ','PR',13695,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5163250,1.00,3.00,2.00,4.00,6.00,7.13,2.00,5.00,4.00,444,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5163269,6.00,4.00,0.00,4.00,6.00,NULL,4.00,3.00,5.00,207,NULL,201,'SANTA CECÍLIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5163277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5163285,4.00,7.00,2.00,7.00,3.00,NULL,3.00,1.00,3.00,601,NULL,214,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5163307,3.00,3.00,1.00,5.00,5.00,NULL,2.00,1.00,4.00,426,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5163315,7.00,8.00,1.00,7.00,4.00,7.50,2.00,4.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5163323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5163331,4.00,5.00,2.00,3.00,2.00,NULL,2.00,2.00,5.00,317,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5163340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VIERA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5163358,3.00,4.00,4.00,2.00,3.00,NULL,2.00,2.00,2.00,201,NULL,235,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5163366,6.00,7.00,3.00,3.00,6.00,9.00,3.00,4.00,6.00,302,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',9043,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5163382,4.00,7.00,2.00,7.00,8.00,12.00,3.00,3.00,6.00,324,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',6670,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5163404,4.00,4.00,0.00,2.00,6.00,NULL,1.00,1.00,4.00,201,NULL,207,'CENTRO','IPUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5163412,5.00,7.00,4.00,8.00,5.00,8.25,1.00,3.00,5.00,333,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5163439,8.00,7.00,7.00,5.00,6.00,7.13,8.00,4.00,5.00,203,NULL,220,'CENTRO','CIANORTE','PR',3271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5163455,4.00,5.00,1.00,2.00,2.00,NULL,1.00,3.00,3.00,220,NULL,203,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5163463,2.00,4.00,1.00,3.00,3.00,NULL,4.00,2.00,3.00,601,NULL,NULL,'DALBERGIA','DALBÉRGIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5163480,5.00,5.00,3.00,3.00,4.00,6.00,3.00,4.00,2.00,201,NULL,212,'DOM JOAQUIM','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5163498,2.00,6.00,4.00,3.00,7.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5163501,5.00,5.00,2.00,3.00,7.00,7.88,1.00,4.00,2.00,5,NULL,NULL,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5163528,3.00,4.00,0.00,2.00,5.00,NULL,0.00,1.00,3.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5163536,6.00,6.00,2.00,5.00,8.00,9.38,1.00,3.00,4.00,501,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',11899,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5163544,2.00,5.00,1.00,2.00,3.00,NULL,1.00,1.00,3.00,216,NULL,215,'CENTRO','S LUIZ GONZAGA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5163560,3.00,2.00,0.00,1.00,4.00,NULL,0.00,3.00,3.00,308,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5163587,7.00,7.00,1.00,7.00,10.00,9.38,2.00,4.00,5.00,340,NULL,NULL,'CENTRO','CRICIÚMA','SC',6128,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5163595,9.00,7.00,2.00,7.00,9.00,14.25,2.00,6.00,8.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',1465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5163609,7.00,7.00,4.00,7.00,8.00,8.63,7.00,4.00,6.00,203,NULL,214,'CENTRO','PTO ALEGRE','RS',3260,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5163617,4.00,4.00,2.00,4.00,4.00,NULL,0.00,3.00,5.00,318,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5163625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'JARDIM BOA VISTA','CAIEIRAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5163641,4.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,3.00,207,NULL,201,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5163650,5.00,6.00,2.00,6.00,3.00,NULL,2.00,2.00,1.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5163668,4.00,3.00,2.00,3.00,4.00,NULL,0.00,1.00,4.00,207,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5163692,5.00,7.00,5.00,6.00,5.00,9.38,3.00,4.00,5.00,601,NULL,653,'CENTRO','TROMBUDO CENTRAL','SC',8817,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5163714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'CENTRO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5163722,6.00,8.00,2.00,7.00,9.00,7.13,2.00,5.00,7.00,103,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5163730,4.00,3.00,1.00,2.00,4.00,NULL,2.00,3.00,3.00,316,NULL,NULL,'LAGOA DA CONÇEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5163749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD PLANALTO PARAÍSO','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5163757,2.00,5.00,1.00,2.00,3.00,NULL,1.00,2.00,1.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5163765,2.00,5.00,1.00,2.00,2.00,NULL,3.00,2.00,3.00,216,NULL,601,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5163781,2.00,4.00,2.00,6.00,4.00,NULL,2.00,1.00,1.00,304,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5163790,4.00,6.00,4.00,4.00,5.00,7.88,5.00,4.00,4.00,308,NULL,NULL,'SANTO ANT DE LISBOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5163811,2.00,6.00,2.00,4.00,2.00,NULL,3.00,1.00,4.00,444,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5163838,3.00,4.00,0.00,3.00,5.00,NULL,0.00,4.00,2.00,104,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5163846,4.00,3.00,3.00,5.00,5.00,10.88,2.00,3.00,2.00,324,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5163870,2.00,3.00,0.00,5.00,3.00,NULL,0.00,2.00,2.00,5,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5163897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'JARDIM CAIÇARA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5163900,5.00,5.00,2.00,0.00,5.00,NULL,1.00,0.00,2.00,404,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5163919,5.00,5.00,1.00,3.00,6.00,9.00,3.00,3.00,3.00,108,NULL,NULL,'SÃO MARTINHO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5163927,6.00,7.00,3.00,5.00,4.00,7.50,4.00,2.00,4.00,201,NULL,601,'CENTRO','NAVEGANTES','SC',9490,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5163951,9.00,6.00,2.00,5.00,9.00,9.75,2.00,1.00,4.00,333,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8895,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5163960,6.00,5.00,0.00,2.00,7.00,8.63,2.00,5.00,3.00,103,NULL,NULL,'INTERIOR','SANTIAGO SUL','SC',12419,3463,NULL,NULL,NULL,NULL,NULL,4,4),(20,5163978,2.00,6.00,2.00,3.00,8.00,NULL,2.00,2.00,3.00,503,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5163986,3.00,3.00,3.00,3.00,6.00,NULL,2.00,1.00,1.00,326,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5163994,2.00,5.00,0.00,2.00,2.00,NULL,2.00,2.00,1.00,104,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164001,2.00,3.00,2.00,5.00,4.00,NULL,0.00,2.00,5.00,319,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164028,7.00,5.00,5.00,7.00,6.00,9.38,4.00,3.00,8.00,103,NULL,NULL,'CENTRO HISTÓRICO','PARANAGUÁ','PR',3821,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5164036,9.00,4.00,6.00,5.00,9.00,9.38,8.00,3.00,8.00,333,NULL,NULL,'MAGALHÃES','LAGUNA','SC',2560,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5164044,2.00,3.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164060,8.00,7.00,5.00,5.00,8.00,7.50,4.00,3.00,5.00,216,NULL,203,'RIO VERMELHO','FLORIANÓPOLIS','SC',5783,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,208,'CENTRO','BOM JD SERRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5164087,5.00,5.00,1.00,4.00,7.00,NULL,1.00,1.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5164095,5.00,6.00,1.00,3.00,4.00,4.50,1.00,5.00,3.00,208,NULL,238,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164109,5.00,6.00,2.00,5.00,7.00,8.63,2.00,3.00,6.00,317,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',10558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164117,8.00,5.00,5.00,3.00,8.00,9.75,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',4519,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5164125,4.00,6.00,2.00,7.00,8.00,8.25,0.00,5.00,4.00,503,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',9781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164133,4.00,4.00,2.00,3.00,5.00,6.38,1.00,2.00,4.00,316,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164141,4.00,4.00,0.00,4.00,4.00,NULL,1.00,1.00,3.00,104,NULL,NULL,'CENTRO','IPUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5164150,8.00,6.00,0.00,7.00,8.00,9.38,1.00,4.00,4.00,5,NULL,NULL,'CENTRO','JOINVILLE','SC',9435,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5164168,1.00,3.00,0.00,2.00,3.00,NULL,0.00,0.00,1.00,208,NULL,214,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5164184,3.00,4.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,9,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164192,7.00,6.00,7.00,6.00,9.00,10.13,4.00,5.00,8.00,501,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',2113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164206,1.00,4.00,0.00,2.00,4.00,NULL,0.00,1.00,4.00,420,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164214,6.00,5.00,2.00,5.00,5.00,9.75,0.00,2.00,3.00,216,NULL,201,'LINHA BATISTA','CRICIÚMA','SC',14173,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5164249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5164257,2.00,5.00,2.00,2.00,3.00,NULL,3.00,3.00,3.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA PARQUE JABAQUAR','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5164273,8.00,6.00,5.00,7.00,5.00,7.13,4.00,1.00,6.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5759,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5164290,3.00,4.00,0.00,4.00,6.00,NULL,1.00,2.00,1.00,102,NULL,NULL,'PADRE EDUARDO','TAIÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5164303,1.00,6.00,1.00,1.00,3.00,NULL,3.00,1.00,3.00,102,NULL,NULL,'SÃO LUIZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5164311,4.00,6.00,1.00,3.00,4.00,9.00,2.00,3.00,4.00,202,NULL,235,'CENTRO','XANXERÊ','SC',13486,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5164320,4.00,3.00,3.00,3.00,3.00,NULL,1.00,2.00,1.00,203,NULL,202,'CENTRO','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164346,8.00,6.00,3.00,7.00,8.00,11.25,4.00,7.00,6.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164354,8.00,8.00,4.00,6.00,8.00,7.13,3.00,2.00,6.00,215,NULL,208,'AMÉRICA','JOINVILLE','SC',5568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164362,5.00,5.00,4.00,7.00,7.00,10.50,3.00,4.00,6.00,207,NULL,201,'CENTRO','TOLEDO','PR',7933,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5164370,6.00,8.00,2.00,4.00,6.00,9.00,2.00,1.00,4.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164389,5.00,7.00,4.00,7.00,7.00,9.00,3.00,3.00,4.00,452,NULL,NULL,'PASSAGEM','TUBARÃO','SC',11405,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5164397,4.00,5.00,3.00,8.00,8.00,10.50,3.00,2.00,6.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164400,7.00,7.00,3.00,5.00,7.00,6.75,4.00,3.00,8.00,203,NULL,208,'VILA SANTANA','STO AMARO IMPERATRIZ','SC',8355,616,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164443,5.00,6.00,2.00,7.00,4.00,7.13,1.00,4.00,2.00,301,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',13151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164451,7.00,6.00,3.00,4.00,9.00,7.88,6.00,6.00,6.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4541,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164460,2.00,3.00,3.00,4.00,4.00,9.38,3.00,3.00,4.00,207,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',14013,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164478,5.00,6.00,3.00,5.00,6.00,8.25,3.00,4.00,4.00,319,NULL,NULL,'JARDIM AQUÁRIUS','PALHOÇA','SC',10777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164494,6.00,3.00,3.00,7.00,8.00,10.13,3.00,2.00,5.00,415,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',7435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164508,3.00,5.00,0.00,3.00,3.00,NULL,0.00,0.00,2.00,5,NULL,NULL,'SANTO ANTONIO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5164516,6.00,4.00,1.00,5.00,9.00,8.63,0.00,3.00,2.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13167,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5164540,7.00,7.00,4.00,7.00,5.00,9.75,2.00,3.00,3.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',10362,3209,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164559,8.00,6.00,5.00,7.00,9.00,10.13,6.00,4.00,6.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164567,3.00,3.00,3.00,3.00,3.00,NULL,2.00,0.00,0.00,234,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164575,4.00,5.00,3.00,4.00,7.00,8.25,2.00,4.00,5.00,207,NULL,238,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',13485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,429,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5164591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'UNIVERSIDADE','MACAPÁ','AP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5164613,4.00,5.00,1.00,0.00,7.00,NULL,2.00,2.00,3.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5164621,5.00,6.00,1.00,6.00,7.00,9.38,2.00,2.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164630,4.00,5.00,0.00,3.00,4.00,NULL,0.00,3.00,3.00,301,NULL,NULL,'MAUA','S CAETANO SUL','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164648,1.00,4.00,4.00,5.00,4.00,NULL,2.00,1.00,3.00,453,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164656,7.00,6.00,1.00,5.00,5.00,10.88,3.00,5.00,2.00,238,NULL,208,'ATIRADORES','JOINVILLE','SC',10400,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5164672,6.00,6.00,3.00,6.00,7.00,8.25,3.00,3.00,4.00,103,NULL,NULL,'NAÇÕES','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5164702,3.00,6.00,5.00,5.00,8.00,6.38,3.00,3.00,5.00,202,NULL,216,'CENTRO','IPUMIRIM','SC',11610,401,NULL,465,NULL,NULL,NULL,4,1),(20,5164710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5164737,5.00,4.00,1.00,3.00,2.00,NULL,0.00,2.00,5.00,238,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164745,3.00,3.00,0.00,5.00,3.00,NULL,2.00,1.00,2.00,301,NULL,NULL,'NAÇOES','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164753,9.00,6.00,1.00,7.00,9.00,10.13,5.00,5.00,6.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',3691,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5164761,3.00,6.00,1.00,2.00,5.00,NULL,2.00,1.00,1.00,450,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164770,4.00,7.00,5.00,3.00,4.00,7.88,2.00,1.00,5.00,327,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164788,4.00,7.00,3.00,3.00,6.00,8.25,0.00,3.00,5.00,203,NULL,214,'FORQUILHINHAS','S JOSÉ','SC',14158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164796,4.00,2.00,1.00,2.00,2.00,NULL,0.00,1.00,1.00,318,NULL,NULL,'AURORA','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5164800,4.00,7.00,1.00,1.00,6.00,NULL,0.00,2.00,3.00,9,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164818,9.00,5.00,5.00,5.00,7.00,8.63,3.00,3.00,8.00,103,NULL,NULL,'CENTRO','IÇARA','SC',5498,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5164826,5.00,6.00,3.00,3.00,5.00,6.38,3.00,3.00,6.00,304,NULL,NULL,'HUMAITA','TUBARÃO','SC',13771,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5164834,9.00,7.00,3.00,7.00,8.00,9.00,7.00,6.00,7.00,103,NULL,NULL,'TATUAPE','S PAULO','SP',1349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164842,5.00,8.00,3.00,5.00,8.00,10.88,4.00,3.00,6.00,2,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',6274,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5164850,2.00,1.00,2.00,4.00,5.00,NULL,0.00,1.00,1.00,444,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164869,7.00,5.00,5.00,6.00,6.00,6.00,3.00,0.00,4.00,104,NULL,NULL,'NOVA VÁRZEA GRANDE','VÁRZEA GRANDE','MT',11474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164877,4.00,4.00,1.00,5.00,9.00,9.00,2.00,4.00,4.00,415,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5164885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',1,8),(20,5164915,4.00,4.00,2.00,6.00,6.00,6.00,1.00,3.00,4.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',16042,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5164923,4.00,4.00,2.00,3.00,3.00,NULL,0.00,2.00,1.00,601,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5164966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5164974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5164982,7.00,4.00,1.00,6.00,6.00,9.75,3.00,3.00,5.00,207,NULL,653,'CENTRO','PTO ALEGRE','RS',9308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5164990,8.00,9.00,4.00,7.00,8.00,10.50,5.00,6.00,8.00,303,NULL,NULL,'SOSSEGO','CANOINHAS','SC',1268,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5165016,2.00,5.00,4.00,3.00,3.00,NULL,2.00,1.00,4.00,5,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5165024,6.00,7.00,1.00,3.00,8.00,8.63,4.00,3.00,5.00,453,NULL,NULL,'PRÓSPERA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5165032,3.00,6.00,0.00,4.00,6.00,NULL,0.00,2.00,3.00,404,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5165059,1.00,2.00,4.00,2.00,5.00,NULL,2.00,3.00,1.00,653,NULL,NULL,'NOVA BRASILIA','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5165067,6.00,5.00,1.00,4.00,5.00,7.50,3.00,2.00,3.00,103,NULL,NULL,'SERRARIA','S JOSÉ','SC',12540,3473,NULL,NULL,NULL,NULL,NULL,2,1),(20,5165075,5.00,7.00,0.00,2.00,1.00,NULL,0.00,4.00,4.00,207,NULL,201,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5165083,6.00,5.00,1.00,5.00,8.00,10.13,3.00,5.00,7.00,415,NULL,NULL,'N SENHORA DO ROSÁRIO','S JOSÉ','SC',6352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5165091,6.00,7.00,3.00,4.00,6.00,NULL,3.00,4.00,3.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5165105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM DAS OLIVEIRAS','VILHENA','RO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5165121,0.00,3.00,0.00,0.00,4.00,NULL,1.00,2.00,0.00,319,NULL,NULL,'VILA FRÓES','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5165130,3.00,2.00,1.00,3.00,2.00,NULL,1.00,3.00,2.00,424,NULL,425,'JARDIM CARANDAI','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5165148,4.00,5.00,0.00,4.00,7.00,10.13,3.00,2.00,4.00,308,NULL,NULL,'AREIAS','S JOSÉ','SC',13504,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5165172,8.00,8.00,4.00,6.00,11.00,10.88,7.00,6.00,8.00,415,NULL,NULL,'ASSUNÇÃO','S BERNARDO CAMPO','SP',794,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5165180,3.00,4.00,4.00,2.00,5.00,0.00,2.00,3.00,4.00,208,NULL,238,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5165199,3.00,7.00,4.00,5.00,6.00,0.00,1.00,3.00,2.00,203,NULL,NULL,'CENTRO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5165202,2.00,5.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,501,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5165210,9.00,7.00,6.00,7.00,9.00,9.75,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5165237,5.00,5.00,4.00,4.00,6.00,9.75,3.00,2.00,5.00,216,NULL,653,'SANTINHO','FLORIANÓPOLIS','SC',10152,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5165245,5.00,2.00,0.00,6.00,6.00,NULL,3.00,3.00,2.00,203,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5165253,1.00,1.00,0.00,4.00,1.00,NULL,0.00,1.00,1.00,203,NULL,233,'CENTRO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5165270,5.00,5.00,2.00,4.00,8.00,8.25,1.00,2.00,4.00,216,NULL,215,'CENTRO','SIDERÓPOLIS','SC',12384,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5165288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5165296,2.00,6.00,2.00,1.00,4.00,NULL,2.00,0.00,1.00,5,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5165300,3.00,6.00,0.00,4.00,6.00,NULL,0.00,2.00,3.00,324,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5165318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MEDIANEIRA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5165326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'SAO FRANSISCO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5165334,2.00,2.00,2.00,3.00,4.00,NULL,2.00,2.00,3.00,453,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5165350,7.00,7.00,2.00,7.00,5.00,10.88,2.00,4.00,5.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7054,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5165369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5165377,6.00,7.00,7.00,5.00,9.00,7.88,5.00,3.00,8.00,336,NULL,NULL,'CRISTO REI','IÇARA','SC',3295,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5165385,4.00,4.00,0.00,4.00,4.00,NULL,2.00,0.00,3.00,424,NULL,427,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5165407,3.00,4.00,1.00,4.00,5.00,NULL,0.00,1.00,3.00,104,NULL,NULL,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5165423,1.00,5.00,1.00,4.00,3.00,NULL,3.00,1.00,5.00,303,NULL,NULL,'ITARARÉ','S VICENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5165431,4.00,7.00,3.00,6.00,5.00,10.50,1.00,4.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5165440,6.00,3.00,2.00,5.00,5.00,7.50,3.00,3.00,5.00,101,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',12667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5165466,5.00,5.00,0.00,4.00,7.00,NULL,0.00,2.00,5.00,303,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5165482,4.00,3.00,4.00,5.00,4.00,NULL,2.00,5.00,3.00,224,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5165490,4.00,6.00,0.00,6.00,7.00,7.88,1.00,4.00,5.00,337,NULL,NULL,'BOA VISTA JOINVILLE','JOINVILLE','SC',13972,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5165504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'LOTEAMENTO VERONA','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5165539,2.00,3.00,0.00,4.00,5.00,NULL,3.00,2.00,1.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5165547,7.00,7.00,2.00,5.00,8.00,7.88,1.00,6.00,5.00,326,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',7215,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5165555,5.00,5.00,4.00,6.00,4.00,12.00,1.00,1.00,6.00,103,NULL,NULL,'SETOR SUL','GOIÂNIA','GO',8958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5165563,2.00,5.00,3.00,5.00,4.00,NULL,0.00,2.00,3.00,104,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5165571,3.00,6.00,0.00,7.00,6.00,10.88,3.00,1.00,5.00,319,NULL,NULL,'CENTRO','CHAPECÓ','SC',13423,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5165580,7.00,5.00,6.00,4.00,7.00,9.00,6.00,4.00,7.00,215,NULL,238,'ITACORUBI','FLORIANÓPOLIS','SC',4670,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5165598,9.00,4.00,7.00,5.00,7.00,8.25,5.00,3.00,7.00,103,NULL,NULL,'SETOR BELA VISTA','GOIÂNIA','GO',4214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5165601,9.00,7.00,8.00,7.00,9.00,8.25,8.00,7.00,8.00,203,NULL,214,'MINA BRASIL','CRICIÚMA','SC',234,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5165610,9.00,8.00,7.00,8.00,6.00,10.50,4.00,6.00,7.00,301,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',1691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5165628,8.00,9.00,8.00,7.00,9.00,12.38,8.00,6.00,7.00,203,NULL,220,'CARVOEIRA','FLORIANÓPOLIS','SC',87,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5165636,6.00,6.00,3.00,6.00,5.00,6.75,1.00,1.00,3.00,425,NULL,423,'ESTREITO','FLORIANÓPOLIS','SC',15604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5165660,2.00,2.00,0.00,3.00,2.00,NULL,4.00,2.00,3.00,653,NULL,201,'CENTRO','PTE SERRADA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5165679,8.00,8.00,3.00,6.00,11.00,9.75,5.00,6.00,9.00,103,NULL,NULL,'IMIGRANTES','CONCÓRDIA','SC',1293,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5165687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FAZENDINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5165695,3.00,5.00,4.00,6.00,3.00,NULL,1.00,5.00,3.00,340,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5165709,4.00,5.00,0.00,5.00,6.00,6.38,0.00,3.00,4.00,503,NULL,NULL,'JARDIM IMPERADOR','ARARAQUARA','SP',15424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5165717,5.00,5.00,1.00,6.00,5.00,8.63,4.00,3.00,4.00,340,NULL,NULL,'SAGUACU','JOINVILLE','SC',14134,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5165725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5165733,3.00,5.00,1.00,3.00,7.00,6.75,2.00,3.00,4.00,238,NULL,208,'ARMAÇÃO','FLORIANÓPOLIS','SC',15832,420,NULL,475,NULL,NULL,NULL,4,1),(20,5165784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,214,'TERRANOVA','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5165792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VARZEA','PIRAJU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5165806,5.00,4.00,3.00,3.00,6.00,8.63,4.00,3.00,4.00,301,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',15322,216,NULL,NULL,NULL,NULL,NULL,2,1),(20,5165814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','IPUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5165830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'BOSQUE DO REPOUSO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5165849,4.00,4.00,1.00,4.00,5.00,NULL,1.00,0.00,1.00,327,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5165857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM NOVO MUNDO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5165873,2.00,0.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5165890,4.00,7.00,2.00,3.00,4.00,7.13,1.00,1.00,4.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5165911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5165962,7.00,5.00,0.00,6.00,5.00,4.50,1.00,4.00,5.00,601,NULL,201,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5165997,2.00,5.00,1.00,6.00,6.00,NULL,5.00,1.00,1.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5166004,8.00,7.00,1.00,5.00,7.00,6.75,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',8169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166020,4.00,7.00,5.00,7.00,7.00,7.50,1.00,3.00,4.00,5,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5166055,4.00,5.00,1.00,3.00,6.00,5.25,2.00,4.00,4.00,415,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166063,4.00,5.00,2.00,4.00,4.00,NULL,2.00,1.00,2.00,207,NULL,216,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5166098,5.00,3.00,0.00,6.00,4.00,7.50,1.00,3.00,3.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',16314,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5166101,6.00,5.00,2.00,7.00,8.00,9.38,0.00,2.00,4.00,319,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',12249,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5166110,7.00,4.00,1.00,6.00,6.00,9.00,4.00,2.00,5.00,103,NULL,NULL,'VILA BANDEIRANTES','CPO GRANDE','MS',9028,3024,NULL,NULL,NULL,NULL,NULL,2,1),(20,5166128,5.00,6.00,6.00,6.00,6.00,7.50,3.00,4.00,5.00,208,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',8272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166136,6.00,7.00,2.00,5.00,8.00,9.75,4.00,4.00,5.00,101,NULL,NULL,'SANTO ANTONIO','CHAPECÓ','SC',7595,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5166144,9.00,8.00,7.00,4.00,9.00,9.00,7.00,7.00,8.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166152,3.00,4.00,2.00,7.00,4.00,7.88,3.00,2.00,3.00,453,NULL,NULL,'SAGRADO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5166160,6.00,7.00,1.00,7.00,4.00,9.75,1.00,5.00,5.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166179,8.00,5.00,4.00,5.00,7.00,9.00,2.00,3.00,6.00,104,NULL,NULL,'DEER','CAÇADOR','SC',9621,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5166187,5.00,6.00,1.00,3.00,4.00,6.00,2.00,2.00,4.00,3,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16102,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5166209,7.00,6.00,4.00,8.00,8.00,9.75,6.00,4.00,5.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',3161,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5166217,5.00,7.00,3.00,6.00,9.00,9.00,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5166225,8.00,9.00,5.00,7.00,9.00,11.25,8.00,5.00,6.00,103,NULL,NULL,'JARDIM DO SALSO','PTO ALEGRE','RS',688,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5166241,4.00,5.00,0.00,7.00,7.00,NULL,0.00,2.00,3.00,208,NULL,652,'BOCA DO PIQUE','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5166250,8.00,7.00,3.00,7.00,10.00,10.13,1.00,6.00,5.00,303,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',2899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166268,3.00,4.00,1.00,3.00,4.00,NULL,1.00,0.00,1.00,332,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5166284,5.00,6.00,2.00,3.00,5.00,NULL,0.00,1.00,2.00,9,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5166292,4.00,4.00,1.00,5.00,4.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'INTERIOR','GRAMADO LOUREIROS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5166306,2.00,2.00,0.00,2.00,2.00,NULL,1.00,1.00,2.00,452,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5166314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5166330,2.00,4.00,5.00,5.00,8.00,6.00,1.00,5.00,3.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',12451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,207,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5166357,4.00,5.00,2.00,5.00,5.00,7.50,2.00,0.00,5.00,104,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',15435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5166373,7.00,4.00,1.00,4.00,7.00,7.50,0.00,2.00,2.00,308,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',16074,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5166381,3.00,6.00,4.00,2.00,5.00,9.38,0.00,1.00,6.00,202,NULL,201,'ARROIO MARIANO','S JOSÉ OURO','RS',14897,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5166390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'ITAPEMA DO NORTE','ITAPOÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5166403,4.00,4.00,2.00,4.00,3.00,NULL,1.00,1.00,6.00,201,NULL,207,'SAO JOSE','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5166420,6.00,6.00,2.00,5.00,8.00,8.25,1.00,3.00,2.00,208,NULL,238,'CAMPECHE','FLORIANÓPOLIS','SC',12868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166438,4.00,4.00,1.00,7.00,1.00,NULL,2.00,2.00,3.00,201,NULL,212,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5166454,3.00,4.00,4.00,2.00,6.00,NULL,2.00,2.00,2.00,102,NULL,NULL,'VILA NOVA','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5166462,8.00,8.00,3.00,7.00,10.00,7.50,1.00,4.00,4.00,415,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166470,9.00,8.00,5.00,6.00,9.00,10.13,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',1085,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5166489,7.00,6.00,4.00,4.00,8.00,7.50,2.00,4.00,3.00,207,NULL,233,'IMIGRANTES','CONCÓRDIA','SC',9790,455,NULL,NULL,NULL,NULL,NULL,2,1),(20,5166497,8.00,7.00,5.00,6.00,10.00,7.88,5.00,4.00,6.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',3106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ITAIM BIBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5166519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5166527,1.00,5.00,0.00,3.00,2.00,NULL,2.00,3.00,2.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5166535,5.00,8.00,4.00,7.00,8.00,6.75,4.00,4.00,6.00,203,NULL,202,'BARRA DO ARIRIÚ','PALHOÇA','SC',8459,623,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,208,'IPIRANGA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5166560,3.00,4.00,2.00,4.00,5.00,NULL,3.00,2.00,3.00,333,NULL,NULL,'CENTRO','ANTÔNIO PRADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5166578,1.00,3.00,1.00,4.00,4.00,NULL,1.00,2.00,3.00,318,NULL,NULL,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5166586,7.00,7.00,1.00,5.00,7.00,7.50,2.00,5.00,4.00,238,NULL,208,'BOM ABRIGO','FLORIANÓPOLIS','SC',9923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166608,4.00,4.00,1.00,6.00,7.00,NULL,0.00,3.00,2.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166616,4.00,8.00,0.00,3.00,2.00,NULL,2.00,3.00,3.00,424,NULL,425,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166624,1.00,5.00,0.00,2.00,4.00,NULL,3.00,1.00,1.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5166632,5.00,4.00,2.00,2.00,5.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'NOVA POMPEIA','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5166667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5166683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5166691,9.00,7.00,5.00,7.00,10.00,13.88,6.00,5.00,8.00,103,NULL,NULL,'JARDIM PETRÓPOLIS','PRES PRUDENTE','SP',295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166705,1.00,3.00,1.00,7.00,3.00,NULL,1.00,2.00,2.00,340,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166713,6.00,4.00,2.00,0.00,8.00,6.75,1.00,4.00,6.00,203,NULL,214,'CENTRO','CHAPECÓ','SC',12299,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5166730,7.00,7.00,1.00,6.00,7.00,10.13,2.00,4.00,3.00,415,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5166764,6.00,4.00,0.00,5.00,2.00,NULL,0.00,1.00,5.00,102,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5166772,3.00,6.00,4.00,4.00,3.00,NULL,3.00,4.00,4.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5166780,3.00,0.00,1.00,4.00,7.00,NULL,0.00,0.00,0.00,203,NULL,208,'NOVA BRASÍLIA','RODEIO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(20,5166799,4.00,5.00,3.00,3.00,6.00,6.38,1.00,5.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15801,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5166810,2.00,4.00,2.00,4.00,9.00,NULL,1.00,0.00,2.00,220,NULL,208,'COSTA DO CEU','MAQUINÉ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5166829,8.00,7.00,7.00,7.00,8.00,8.25,6.00,2.00,8.00,203,NULL,201,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',2353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166837,5.00,6.00,4.00,7.00,6.00,8.63,0.00,2.00,6.00,238,NULL,208,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',8250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166845,6.00,8.00,5.00,7.00,9.00,10.50,5.00,8.00,6.00,220,NULL,203,'RIO TAVARES','FLORIANÓPOLIS','SC',1858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166870,3.00,4.00,0.00,2.00,2.00,NULL,0.00,1.00,5.00,429,NULL,428,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5166888,1.00,5.00,0.00,2.00,2.00,NULL,2.00,3.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5166896,2.00,3.00,2.00,5.00,4.00,NULL,2.00,2.00,4.00,316,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5166900,7.00,7.00,2.00,7.00,9.00,11.25,4.00,6.00,8.00,309,NULL,NULL,'JARDIM IRIRIÚ','JOINVILLE','SC',2512,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5166918,6.00,5.00,3.00,7.00,8.00,9.00,4.00,4.00,5.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166934,3.00,5.00,4.00,7.00,4.00,8.25,3.00,0.00,6.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5166942,4.00,5.00,2.00,1.00,7.00,NULL,2.00,1.00,5.00,101,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5166950,8.00,7.00,5.00,7.00,8.00,7.50,3.00,5.00,5.00,211,NULL,216,'CENTRO','STO AMARO IMPERATRIZ','SC',6642,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5166985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5167000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'ESTIVA','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5167019,3.00,5.00,0.00,3.00,6.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'NOVA POMPEIA','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5167027,7.00,6.00,2.00,7.00,5.00,7.50,5.00,2.00,7.00,501,NULL,NULL,'JARDIM ESPLANADA II','S JOSÉ CAMPOS','SP',7060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167043,6.00,8.00,3.00,6.00,9.00,8.25,5.00,5.00,5.00,207,NULL,211,'CENTRO','LAGES','SC',4185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167051,7.00,5.00,2.00,5.00,10.00,7.88,3.00,4.00,5.00,103,NULL,NULL,'SANTA QUITÉRIA','CURITIBA','PR',6067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167060,6.00,6.00,3.00,3.00,8.00,7.88,5.00,2.00,6.00,203,NULL,233,'CENTRO','STA MARIA OESTE','PR',8428,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5167078,4.00,7.00,1.00,7.00,5.00,6.00,1.00,1.00,4.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',15551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167086,4.00,5.00,5.00,5.00,7.00,9.75,2.00,4.00,3.00,319,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',12624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167094,5.00,5.00,0.00,4.00,3.00,NULL,1.00,3.00,3.00,653,NULL,651,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5167108,3.00,6.00,2.00,3.00,6.00,11.25,3.00,3.00,5.00,207,NULL,201,'JURERÊ','FLORIANÓPOLIS','SC',11360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167116,5.00,3.00,0.00,1.00,4.00,NULL,2.00,2.00,2.00,104,NULL,NULL,'PRAIA ALEGRE','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5167124,7.00,7.00,3.00,5.00,7.00,10.13,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',6683,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5167132,7.00,7.00,2.00,4.00,5.00,6.00,2.00,4.00,4.00,302,NULL,NULL,'JARDIM EUCALIPTUS','PALHOÇA','SC',13719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'PRIMAVERA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5167175,4.00,6.00,4.00,5.00,6.00,7.50,1.00,3.00,7.00,102,NULL,NULL,'CENTRO','GAROPABA','SC',12673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5167183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5167191,5.00,6.00,5.00,6.00,6.00,10.88,4.00,3.00,5.00,225,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',6709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167205,5.00,5.00,2.00,3.00,5.00,6.75,2.00,2.00,4.00,318,NULL,NULL,'CENTRO','S DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5167213,3.00,5.00,2.00,3.00,7.00,NULL,0.00,1.00,3.00,203,NULL,201,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5167230,6.00,4.00,1.00,7.00,5.00,10.50,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167248,6.00,7.00,2.00,3.00,8.00,10.50,2.00,2.00,4.00,424,NULL,421,'CENTRO','LAGES','SC',9864,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5167264,6.00,8.00,4.00,5.00,9.00,10.88,6.00,5.00,7.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5167272,8.00,8.00,8.00,7.00,7.00,9.38,7.00,5.00,8.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',959,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5167299,7.00,4.00,1.00,7.00,7.00,9.00,2.00,5.00,7.00,216,NULL,215,'CENTRO','VIDEIRA','SC',7368,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5167302,3.00,6.00,3.00,4.00,4.00,6.00,3.00,3.00,3.00,317,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',15731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5167310,3.00,3.00,1.00,2.00,3.00,NULL,1.00,2.00,3.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5167329,6.00,5.00,4.00,3.00,4.00,7.13,4.00,5.00,5.00,653,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',12672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5167337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','IRACEMINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5167345,2.00,5.00,1.00,2.00,4.00,NULL,1.00,0.00,1.00,101,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5167353,7.00,6.00,2.00,6.00,6.00,7.88,5.00,5.00,7.00,104,NULL,NULL,'AGUA VERDE','CURITIBA','PR',5239,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5167361,4.00,5.00,1.00,1.00,6.00,NULL,2.00,1.00,2.00,201,NULL,207,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167370,6.00,6.00,2.00,6.00,7.00,7.13,2.00,4.00,5.00,102,NULL,NULL,'CENTRO','PAPANDUVA','SC',8202,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5167388,5.00,7.00,4.00,7.00,7.00,9.75,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167396,3.00,4.00,1.00,7.00,7.00,8.63,2.00,0.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5167434,8.00,6.00,1.00,7.00,9.00,8.63,0.00,3.00,6.00,326,NULL,NULL,'B DOS EUCALIPTOS','S JOSÉ CAMPOS','SP',7765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167442,3.00,3.00,0.00,4.00,4.00,NULL,0.00,3.00,1.00,101,NULL,NULL,'CRISTO REDENTOR','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5167450,3.00,7.00,4.00,7.00,9.00,10.13,3.00,3.00,4.00,302,NULL,NULL,'CENTRO','PALHOÇA','SC',6153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167469,8.00,6.00,5.00,5.00,9.00,10.50,6.00,5.00,6.00,214,NULL,233,'BORTOLATTO','MRO FUMAÇA','SC',2800,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5167477,3.00,7.00,5.00,5.00,4.00,7.50,5.00,3.00,4.00,202,NULL,235,'VICTOR CIVITA','TERRA BOA','PR',12726,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5167485,5.00,5.00,2.00,7.00,6.00,6.00,1.00,1.00,2.00,103,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',13953,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5167493,4.00,4.00,0.00,5.00,4.00,NULL,2.00,1.00,2.00,101,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5167507,5.00,3.00,5.00,4.00,5.00,6.75,3.00,3.00,5.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15574,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5167523,6.00,8.00,2.00,6.00,9.00,7.88,2.00,2.00,8.00,201,NULL,207,'CORREGO GRANDE','FLORIANÓPOLIS','SC',6825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167531,3.00,5.00,1.00,5.00,7.00,NULL,0.00,2.00,4.00,332,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5167540,5.00,4.00,2.00,6.00,7.00,8.25,2.00,4.00,7.00,451,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5167566,3.00,5.00,0.00,4.00,4.00,NULL,1.00,1.00,2.00,203,NULL,214,'CENTRO','AGROLÂNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5167574,7.00,5.00,1.00,3.00,5.00,7.13,2.00,3.00,5.00,404,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',12560,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5167582,4.00,6.00,3.00,7.00,9.00,9.00,1.00,2.00,5.00,5,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',10172,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5167590,6.00,4.00,1.00,6.00,6.00,7.88,1.00,4.00,4.00,302,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',12636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167604,5.00,7.00,1.00,4.00,3.00,NULL,2.00,3.00,5.00,215,NULL,202,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167612,7.00,7.00,3.00,7.00,8.00,9.00,2.00,2.00,5.00,301,NULL,NULL,'CENTRO','CRICIÚMA','SC',7090,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5167620,7.00,6.00,6.00,7.00,9.00,9.00,5.00,4.00,5.00,208,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',4512,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5167639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'VILA MANAUS','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5167647,5.00,6.00,2.00,6.00,7.00,8.25,1.00,4.00,5.00,340,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5167655,4.00,6.00,0.00,8.00,9.00,9.75,1.00,6.00,3.00,329,NULL,NULL,'BOTAFOGO','RIO JANEIRO','RJ',11176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167663,4.00,4.00,0.00,2.00,2.00,NULL,2.00,0.00,2.00,301,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5167671,4.00,6.00,0.00,6.00,6.00,7.50,4.00,2.00,1.00,211,NULL,208,'NITERÓI','SEARA','SC',15328,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5167680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5167698,4.00,5.00,2.00,7.00,7.00,9.38,4.00,2.00,6.00,214,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',11495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167710,5.00,2.00,2.00,2.00,9.00,NULL,0.00,3.00,2.00,452,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5167736,0.00,3.00,0.00,0.00,0.00,NULL,0.00,1.00,2.00,207,NULL,238,'SÃO JORGE','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5167744,7.00,8.00,0.00,5.00,8.00,10.13,5.00,6.00,7.00,3,NULL,NULL,'KOBRASOL','S JOSÉ','SC',3477,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5167752,6.00,5.00,0.00,3.00,3.00,NULL,0.00,2.00,3.00,301,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5167760,2.00,3.00,0.00,2.00,3.00,NULL,4.00,2.00,1.00,5,NULL,NULL,'PONTA DS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167787,7.00,8.00,5.00,7.00,10.00,9.75,4.00,7.00,7.00,5,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',1009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167795,3.00,5.00,2.00,4.00,3.00,NULL,2.00,2.00,4.00,203,NULL,233,'MARTELLI','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5167809,4.00,5.00,2.00,6.00,8.00,10.13,3.00,4.00,4.00,326,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11995,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5167817,6.00,8.00,4.00,5.00,8.00,6.75,2.00,2.00,6.00,103,NULL,NULL,'SANTA CLARA','ITAJAÍ','SC',7570,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5167825,3.00,4.00,1.00,6.00,6.00,6.75,2.00,2.00,4.00,5,NULL,NULL,'BUTIATUVINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5167833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SUDOESTE','CRUZEIRO','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5167850,6.00,6.00,3.00,4.00,6.00,7.13,1.00,3.00,5.00,203,NULL,216,'BOM JESUS','PTO ALEGRE','RS',10420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5167868,5.00,7.00,4.00,3.00,7.00,9.75,3.00,4.00,2.00,428,NULL,425,'ITACORUBI','FLORIANÓPOLIS','SC',13460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5167884,4.00,7.00,2.00,6.00,7.00,7.50,3.00,1.00,3.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167906,9.00,7.00,7.00,7.00,10.00,10.13,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',910,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5167914,7.00,8.00,4.00,7.00,10.00,8.25,3.00,7.00,6.00,425,NULL,428,'BARREIROS','S JOSÉ','SC',3005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167922,8.00,8.00,5.00,7.00,11.00,11.25,8.00,4.00,7.00,103,NULL,NULL,'JARDIM BRASIL','S PAULO','SP',602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167930,8.00,5.00,3.00,7.00,6.00,8.25,3.00,5.00,3.00,216,NULL,211,'TABULEIRO','ITAPEMA','SC',8547,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5167949,4.00,5.00,2.00,3.00,7.00,9.75,2.00,2.00,3.00,216,NULL,233,'CENTRO','DESCANSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5167965,3.00,3.00,2.00,2.00,0.00,NULL,2.00,2.00,0.00,207,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5167973,4.00,6.00,0.00,2.00,5.00,NULL,3.00,4.00,5.00,316,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5167990,0.00,4.00,2.00,3.00,4.00,NULL,3.00,2.00,3.00,502,NULL,NULL,'SANTO ANTONIO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5168007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SANTA RITA','JABOTICABA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5168015,4.00,5.00,1.00,4.00,5.00,NULL,2.00,0.00,2.00,501,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5168023,6.00,3.00,0.00,3.00,5.00,NULL,2.00,2.00,1.00,201,NULL,207,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5168040,8.00,8.00,4.00,5.00,8.00,7.88,3.00,2.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6589,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5168058,9.00,6.00,3.00,7.00,8.00,10.13,4.00,4.00,8.00,103,NULL,NULL,'CENTRO','ROLÂNDIA','PR',2836,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5168066,6.00,6.00,3.00,7.00,10.00,10.88,1.00,2.00,3.00,238,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',9022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168074,5.00,6.00,0.00,5.00,7.00,0.00,3.00,2.00,1.00,201,NULL,212,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5168112,7.00,8.00,6.00,6.00,9.00,8.25,6.00,4.00,6.00,208,NULL,238,'TINDADE','FLORIANÓPOLIS','SC',3399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168120,8.00,7.00,6.00,5.00,8.00,9.75,6.00,7.00,8.00,202,NULL,235,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',1434,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5168139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,207,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5168147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ARAÉS','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5168155,7.00,5.00,2.00,6.00,8.00,7.50,2.00,5.00,3.00,207,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',11845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168163,4.00,2.00,2.00,4.00,6.00,NULL,2.00,2.00,2.00,316,NULL,NULL,'SÃO PEREGRINO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5168171,5.00,5.00,0.00,5.00,4.00,8.63,0.00,4.00,4.00,426,NULL,428,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5168180,8.00,5.00,3.00,4.00,6.00,7.13,3.00,3.00,7.00,601,NULL,216,'ATIRADORES','JOINVILLE','SC',10053,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5168210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5168228,6.00,6.00,2.00,5.00,10.00,10.88,2.00,4.00,6.00,101,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6305,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5168236,1.00,1.00,2.00,3.00,2.00,NULL,0.00,3.00,4.00,502,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5168252,6.00,7.00,4.00,5.00,7.00,9.75,4.00,4.00,8.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168260,7.00,7.00,3.00,4.00,7.00,6.75,2.00,3.00,5.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9187,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5168279,3.00,6.00,1.00,1.00,6.00,NULL,1.00,2.00,3.00,415,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5168295,5.00,4.00,2.00,5.00,4.00,6.00,3.00,3.00,3.00,501,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',15742,109,NULL,NULL,NULL,NULL,NULL,2,1),(20,5168309,6.00,5.00,5.00,7.00,10.00,8.63,5.00,4.00,7.00,211,NULL,202,'CENTRO','TIJUCAS','SC',3970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168317,2.00,7.00,2.00,6.00,8.00,10.50,1.00,1.00,3.00,324,NULL,NULL,'ROÇADO','S JOSÉ','SC',13255,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5168333,4.00,6.00,3.00,4.00,4.00,6.75,2.00,3.00,3.00,303,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5168341,5.00,5.00,4.00,6.00,7.00,7.50,3.00,5.00,4.00,207,NULL,201,'JAÇANÃ','S PAULO','SP',7412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168350,7.00,7.00,2.00,5.00,5.00,9.75,2.00,1.00,3.00,503,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',12876,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5168368,2.00,4.00,2.00,4.00,6.00,NULL,2.00,4.00,1.00,207,NULL,215,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168376,7.00,8.00,8.00,7.00,9.00,10.13,9.00,4.00,8.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168384,1.00,5.00,1.00,4.00,6.00,NULL,1.00,3.00,3.00,207,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168392,6.00,6.00,1.00,6.00,5.00,11.25,2.00,4.00,2.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168406,3.00,3.00,1.00,4.00,5.00,NULL,5.00,0.00,2.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5168414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5168422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5168430,4.00,5.00,2.00,6.00,3.00,NULL,0.00,6.00,2.00,453,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168449,7.00,6.00,5.00,6.00,8.00,7.50,5.00,7.00,7.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',2908,1447,NULL,NULL,NULL,NULL,NULL,4,8),(20,5168457,7.00,7.00,4.00,0.00,5.00,8.25,3.00,5.00,6.00,220,NULL,203,'ZONA QUATRO','MARINGÁ','PR',8961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168473,6.00,5.00,1.00,5.00,6.00,8.63,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13817,NULL,NULL,NULL,NULL,NULL,NULL,3,5),(20,5168503,4.00,3.00,0.00,7.00,7.00,NULL,1.00,2.00,3.00,319,NULL,NULL,'KOBRASSOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168511,7.00,6.00,5.00,6.00,5.00,7.13,4.00,4.00,7.00,201,NULL,212,'SAGRADA FAMÍLIA','CAXIAS SUL','RS',5734,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5168520,2.00,6.00,2.00,3.00,5.00,9.00,3.00,2.00,5.00,215,NULL,211,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5168538,6.00,5.00,1.00,3.00,3.00,NULL,4.00,2.00,4.00,224,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5168546,7.00,7.00,1.00,5.00,7.00,6.00,1.00,1.00,3.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5168570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GETULIO VARGAS','STO AUGUSTO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5168589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5168619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TATUAPÉ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5168627,2.00,7.00,3.00,3.00,3.00,NULL,0.00,2.00,6.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168635,6.00,6.00,2.00,7.00,7.00,9.75,1.00,3.00,3.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5168643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'GARCIA','ANGELINA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5168660,7.00,6.00,4.00,6.00,8.00,9.38,3.00,3.00,4.00,336,NULL,NULL,'CENTRO','CRICIÚMA','SC',7957,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5168678,2.00,4.00,0.00,3.00,4.00,NULL,2.00,4.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168686,2.00,6.00,4.00,2.00,2.00,NULL,2.00,3.00,2.00,203,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5168694,4.00,5.00,3.00,8.00,9.00,9.00,3.00,3.00,4.00,216,NULL,203,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5168708,7.00,7.00,1.00,6.00,2.00,NULL,4.00,2.00,5.00,220,NULL,601,'AMAMBAI','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168716,9.00,7.00,5.00,7.00,9.00,10.13,5.00,6.00,8.00,220,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',1032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168724,8.00,7.00,5.00,6.00,7.00,7.13,3.00,5.00,7.00,108,NULL,NULL,'STA CRUZ DOS LAZAROS','JACAREÍ','SP',4116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168732,2.00,6.00,2.00,6.00,3.00,NULL,3.00,3.00,4.00,450,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168759,2.00,4.00,1.00,5.00,2.00,NULL,1.00,0.00,1.00,415,NULL,NULL,'SANTA HELENA','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5168767,1.00,5.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,303,NULL,NULL,'BELA VISTA','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168783,5.00,4.00,1.00,6.00,6.00,4.88,1.00,3.00,3.00,104,NULL,NULL,'BOA VISTA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5168791,2.00,5.00,5.00,3.00,6.00,9.75,3.00,2.00,5.00,501,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',14393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168805,3.00,5.00,2.00,3.00,6.00,NULL,1.00,1.00,3.00,225,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5168813,4.00,5.00,2.00,7.00,6.00,NULL,2.00,4.00,3.00,5,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5168821,4.00,6.00,1.00,5.00,8.00,7.88,1.00,2.00,5.00,109,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',12621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168856,5.00,5.00,2.00,7.00,8.00,7.50,3.00,3.00,4.00,214,NULL,213,'BOQUEIRÃO','SANTOS','SP',8971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168864,3.00,4.00,0.00,4.00,4.00,NULL,2.00,0.00,2.00,452,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5168872,4.00,4.00,1.00,5.00,3.00,NULL,1.00,2.00,0.00,203,NULL,202,'CENTRO','JABOTICABA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5168880,2.00,5.00,2.00,6.00,5.00,6.75,3.00,4.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168899,3.00,7.00,0.00,3.00,6.00,NULL,2.00,3.00,5.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168910,3.00,4.00,2.00,2.00,3.00,NULL,3.00,2.00,2.00,201,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5168937,5.00,6.00,3.00,5.00,5.00,NULL,0.00,3.00,3.00,501,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5168945,3.00,3.00,2.00,3.00,3.00,NULL,4.00,1.00,0.00,201,NULL,NULL,'CENTRO','VÍTOR MEIRELES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168953,7.00,6.00,3.00,7.00,6.00,9.00,4.00,3.00,6.00,214,NULL,212,'VILA MARIANA','S PAULO','SP',6396,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5168961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRIMEIA OESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5168970,6.00,6.00,2.00,6.00,8.00,9.00,3.00,3.00,4.00,319,NULL,NULL,'JARDIM SHANGAI','JUNDIAÍ','SP',7508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168988,5.00,7.00,1.00,6.00,7.00,7.88,3.00,2.00,3.00,208,NULL,235,'CENTRO','NOVA TRENTO','SC',10673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5168996,2.00,6.00,4.00,3.00,6.00,10.50,3.00,2.00,3.00,203,NULL,235,'ITOUPAVA CENTRAL','BLUMENAU','SC',13263,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5169003,4.00,2.00,0.00,3.00,6.00,NULL,0.00,3.00,2.00,316,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5169011,9.00,7.00,4.00,7.00,6.00,7.50,3.00,5.00,5.00,304,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',6094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169020,6.00,6.00,2.00,5.00,8.00,9.75,3.00,3.00,6.00,304,NULL,NULL,'VILA SANTA FRANCISCA','SOROCABA','SP',5896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169038,5.00,4.00,3.00,7.00,4.00,8.25,2.00,1.00,4.00,203,NULL,601,'CAICARA','BIRIGÜI','SP',14712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169046,9.00,6.00,3.00,7.00,7.00,7.50,2.00,4.00,4.00,208,NULL,203,'MEIA PRAIA','ITAPEMA','SC',9088,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5169054,5.00,5.00,1.00,2.00,6.00,NULL,1.00,2.00,1.00,203,NULL,238,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5169070,7.00,7.00,6.00,6.00,7.00,7.50,6.00,2.00,5.00,201,NULL,202,'COQUEIROS','FLORIANÓPOLIS','SC',5247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169089,2.00,4.00,0.00,5.00,6.00,NULL,1.00,3.00,4.00,201,NULL,212,'CENTRO','GR PARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5169097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,216,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5169100,6.00,6.00,4.00,7.00,7.00,8.25,4.00,7.00,7.00,216,NULL,211,'ASA NORTE','BRASÍLIA','DF',3699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169119,7.00,7.00,1.00,6.00,6.00,10.88,3.00,6.00,6.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',4500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169127,6.00,7.00,6.00,7.00,9.00,7.50,5.00,0.00,8.00,216,NULL,211,'ACLIMACAO','S PAULO','SP',4208,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5169135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5169143,9.00,8.00,6.00,7.00,8.00,8.63,7.00,7.00,9.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',406,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5169151,7.00,5.00,1.00,7.00,4.00,8.25,2.00,2.00,5.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',11819,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5169160,1.00,5.00,1.00,3.00,2.00,NULL,3.00,1.00,2.00,224,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5169178,4.00,4.00,0.00,5.00,7.00,NULL,2.00,3.00,2.00,444,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5169186,6.00,4.00,3.00,3.00,6.00,8.63,0.00,4.00,3.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5169194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ESTRADINHA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5169208,7.00,6.00,2.00,3.00,5.00,6.75,4.00,4.00,5.00,104,NULL,NULL,'CENTRO','CPO LARGO','PR',11194,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5169216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'JARDIM PAULISTANO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5169224,7.00,7.00,8.00,6.00,9.00,9.38,6.00,4.00,8.00,203,NULL,214,'AGRONÔMICA','FLORIANÓPOLIS','SC',1097,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5169240,9.00,7.00,4.00,6.00,10.00,9.38,3.00,3.00,8.00,108,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2533,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5169259,3.00,5.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,308,NULL,NULL,'KABRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5169291,8.00,7.00,2.00,7.00,9.00,10.13,3.00,3.00,7.00,102,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',5241,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5169305,0.00,5.00,0.00,5.00,5.00,NULL,2.00,3.00,2.00,212,NULL,220,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5169313,5.00,5.00,4.00,6.00,9.00,8.63,4.00,5.00,6.00,216,NULL,215,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',5229,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5169321,4.00,3.00,2.00,2.00,5.00,NULL,2.00,3.00,4.00,104,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5169330,7.00,7.00,5.00,7.00,9.00,6.00,2.00,3.00,5.00,453,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'CENTRO','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5169372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BROOKLIM','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5169380,1.00,5.00,0.00,2.00,5.00,NULL,1.00,3.00,0.00,216,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5169399,7.00,0.00,6.00,7.00,9.00,NULL,0.00,0.00,0.00,201,NULL,203,'BARRO VERMELHO','VITÓRIA','ES',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5169402,3.00,1.00,0.00,1.00,2.00,NULL,1.00,1.00,2.00,9,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169410,2.00,5.00,0.00,6.00,4.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REDENTRA','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5169437,5.00,4.00,1.00,4.00,7.00,7.13,3.00,3.00,3.00,224,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',14195,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5169453,6.00,5.00,5.00,5.00,9.00,8.25,2.00,4.00,5.00,326,NULL,NULL,'SERRARIA','S JOSÉ','SC',6803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5169461,5.00,5.00,4.00,7.00,6.00,9.75,2.00,3.00,3.00,319,NULL,NULL,'BUCAREIN','JOINVILLE','SC',10722,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5169470,2.00,3.00,1.00,2.00,5.00,NULL,3.00,3.00,2.00,233,NULL,220,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5169496,3.00,6.00,5.00,4.00,7.00,7.13,3.00,4.00,4.00,201,NULL,653,'CENTRO','ARARANGUÁ','SC',10341,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5169518,5.00,7.00,3.00,7.00,6.00,7.13,3.00,2.00,4.00,103,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5169526,7.00,5.00,4.00,7.00,8.00,8.25,4.00,4.00,5.00,103,NULL,NULL,'MICHEL','CRICIÚMA','SC',7087,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5169542,8.00,7.00,7.00,7.00,10.00,8.25,7.00,6.00,8.00,103,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169569,5.00,7.00,4.00,5.00,5.00,7.50,2.00,4.00,6.00,203,NULL,201,'CANTO','FLORIANÓPOLIS','SC',10312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169577,8.00,5.00,8.00,7.00,10.00,9.00,5.00,5.00,7.00,103,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',1125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169585,7.00,7.00,1.00,7.00,8.00,10.50,3.00,4.00,6.00,207,NULL,NULL,'CAMOBI','STA MARIA','RS',6746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169593,7.00,6.00,6.00,7.00,6.00,7.88,6.00,2.00,6.00,601,NULL,202,'COLONIAL','S BENTO SUL','SC',4255,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5169607,5.00,6.00,0.00,5.00,5.00,8.63,1.00,4.00,4.00,207,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169615,3.00,6.00,2.00,7.00,7.00,6.00,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5169623,1.00,3.00,2.00,1.00,3.00,NULL,0.00,1.00,2.00,501,NULL,NULL,'CENTRO','VARGEM BONITA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5169631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'YPE III','MOGI GUAÇU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5169640,3.00,7.00,5.00,7.00,8.00,10.13,2.00,3.00,5.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169658,8.00,7.00,3.00,7.00,10.00,11.25,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',2330,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5169666,5.00,4.00,3.00,2.00,7.00,8.63,2.00,3.00,6.00,502,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169674,6.00,7.00,4.00,2.00,5.00,10.50,3.00,3.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8228,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5169682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'ITINGA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5169690,3.00,0.00,3.00,2.00,4.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(20,5169704,4.00,4.00,0.00,5.00,7.00,NULL,0.00,2.00,1.00,324,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169720,3.00,4.00,1.00,7.00,7.00,7.13,2.00,2.00,4.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',14356,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5169739,6.00,4.00,2.00,5.00,6.00,9.38,2.00,3.00,5.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11395,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5169747,6.00,8.00,2.00,6.00,10.00,15.00,3.00,6.00,3.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5169763,2.00,0.00,0.00,7.00,7.00,NULL,0.00,0.00,0.00,427,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5169771,5.00,7.00,1.00,7.00,7.00,7.88,2.00,4.00,3.00,208,NULL,203,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169780,5.00,4.00,6.00,6.00,8.00,7.50,5.00,4.00,6.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',5707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169798,8.00,8.00,6.00,7.00,9.00,10.13,4.00,6.00,6.00,303,NULL,NULL,'VILA INDEPENDENCIA','PIRACICABA','SP',1799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169801,8.00,8.00,5.00,6.00,8.00,7.88,2.00,7.00,7.00,103,NULL,NULL,'OLIMPICO','S CAETANO SUL','SP',2856,1428,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169810,3.00,4.00,0.00,2.00,3.00,NULL,2.00,3.00,1.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5169836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'PEREQUE','PTO BELO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5169844,8.00,5.00,4.00,5.00,8.00,9.75,3.00,4.00,6.00,303,NULL,NULL,'RIO BONITO','BRAÇO NORTE','SC',6539,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5169852,7.00,3.00,3.00,7.00,7.00,11.25,2.00,4.00,5.00,426,NULL,425,'TRINDADE','FLORIANÓPOLIS','SC',10717,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5169860,0.00,6.00,0.00,1.00,0.00,NULL,2.00,1.00,5.00,101,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5169879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'COSTA NERY','MINEIROS','GO',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5169887,4.00,4.00,0.00,0.00,4.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5169895,2.00,5.00,4.00,7.00,3.00,NULL,3.00,2.00,3.00,340,NULL,NULL,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169909,3.00,2.00,0.00,2.00,4.00,NULL,2.00,2.00,2.00,415,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5169917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5169925,3.00,7.00,2.00,4.00,7.00,6.00,2.00,3.00,4.00,234,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5169968,4.00,8.00,0.00,5.00,7.00,11.25,2.00,2.00,5.00,415,NULL,NULL,'SALATE','CONCÓRDIA','SC',8942,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5169976,4.00,4.00,0.00,4.00,2.00,NULL,2.00,2.00,1.00,207,NULL,233,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5170001,4.00,6.00,3.00,4.00,5.00,7.50,2.00,3.00,4.00,102,NULL,NULL,'JARDIM ITÁLIA','CAXIAS SUL','RS',13614,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5170010,3.00,6.00,3.00,2.00,7.00,9.38,1.00,2.00,3.00,333,NULL,NULL,'CAPÃO','GAROPABA','SC',15766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5170044,4.00,6.00,1.00,3.00,6.00,10.50,3.00,3.00,4.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12662,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5170052,0.00,2.00,1.00,5.00,5.00,NULL,2.00,1.00,4.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5170060,6.00,3.00,0.00,5.00,4.00,10.50,2.00,5.00,5.00,317,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',14543,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5170109,6.00,5.00,4.00,2.00,4.00,3.75,2.00,3.00,3.00,502,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5170125,3.00,5.00,1.00,3.00,3.00,NULL,1.00,3.00,2.00,452,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5170133,5.00,5.00,1.00,7.00,6.00,5.25,2.00,2.00,3.00,207,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5170141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5170150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'GUARUJÁ','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5170168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5170176,5.00,4.00,1.00,1.00,4.00,NULL,1.00,2.00,2.00,303,NULL,NULL,'PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5170192,3.00,6.00,2.00,2.00,3.00,NULL,3.00,2.00,3.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5170206,3.00,5.00,1.00,4.00,6.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5170214,0.00,4.00,2.00,3.00,6.00,NULL,0.00,2.00,4.00,501,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5170230,5.00,6.00,4.00,2.00,5.00,7.50,3.00,3.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5170249,6.00,4.00,1.00,1.00,3.00,NULL,0.00,1.00,3.00,104,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5170257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5170265,4.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(20,5170290,2.00,3.00,0.00,2.00,4.00,NULL,0.00,3.00,3.00,101,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5170311,7.00,5.00,1.00,6.00,8.00,9.38,2.00,4.00,4.00,207,NULL,211,'CAETANO BRANCO','LUZERNA','SC',8650,389,NULL,NULL,NULL,NULL,NULL,5,7),(20,5170320,6.00,6.00,3.00,5.00,4.00,6.00,3.00,4.00,7.00,216,NULL,601,'CENTRO','BRUSQUE','SC',8994,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5170338,1.00,3.00,1.00,2.00,5.00,NULL,1.00,2.00,4.00,317,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5170346,9.00,7.00,7.00,7.00,10.00,9.75,7.00,6.00,6.00,103,NULL,NULL,'SANTA ROSA','PTO UNIÃO','SC',519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5170362,3.00,4.00,2.00,4.00,5.00,NULL,1.00,0.00,4.00,103,NULL,NULL,'MORRETES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5170370,4.00,3.00,1.00,2.00,4.00,NULL,0.00,1.00,4.00,451,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5170389,1.00,1.00,1.00,1.00,2.00,NULL,1.00,2.00,2.00,207,NULL,201,'CENTRO','RIO VERDE','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5170400,3.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5170419,5.00,5.00,2.00,7.00,7.00,8.63,3.00,5.00,1.00,340,NULL,NULL,'HARMONIA','CANOAS','RS',9332,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5170427,4.00,6.00,1.00,5.00,3.00,NULL,1.00,3.00,4.00,331,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5170435,4.00,6.00,5.00,3.00,5.00,9.00,2.00,2.00,2.00,316,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',15605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5170451,7.00,8.00,0.00,6.00,7.00,NULL,3.00,4.00,5.00,423,NULL,427,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5170460,3.00,5.00,0.00,6.00,5.00,6.38,1.00,3.00,5.00,450,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14495,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5170478,5.00,5.00,2.00,4.00,7.00,11.25,3.00,4.00,4.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5170486,9.00,7.00,2.00,7.00,9.00,9.00,3.00,5.00,6.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',4374,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5170494,6.00,9.00,1.00,5.00,7.00,6.75,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5170559,4.00,5.00,3.00,6.00,6.00,6.00,2.00,2.00,2.00,103,NULL,NULL,'JARDIM BOTANICO','CURITIBA','PR',16080,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5170575,3.00,4.00,0.00,4.00,3.00,NULL,0.00,0.00,3.00,316,NULL,NULL,'SÃO CRISTOVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5170583,3.00,5.00,4.00,2.00,5.00,7.88,2.00,3.00,6.00,202,NULL,216,'SAMBAQUI','FLORIANÓPOLIS','SC',14582,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5170630,5.00,3.00,0.00,2.00,3.00,NULL,3.00,1.00,4.00,453,NULL,NULL,'JD IPANEMA','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5170664,7.00,6.00,2.00,5.00,9.00,9.00,3.00,4.00,4.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5170702,9.00,7.00,5.00,5.00,9.00,9.00,5.00,6.00,9.00,103,NULL,NULL,'LAGOA BONITA','ENG COELHO','SP',1441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5170710,8.00,5.00,4.00,7.00,10.00,9.38,6.00,6.00,5.00,103,NULL,NULL,'CHACARRA CACHOEIRA','CPO GRANDE','MS',2644,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5170729,5.00,4.00,4.00,4.00,4.00,6.75,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',16243,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5170737,8.00,7.00,2.00,5.00,8.00,7.50,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8818,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5170745,4.00,6.00,6.00,4.00,4.00,7.50,3.00,1.00,1.00,201,NULL,212,'BALNEARIO','FLORIANÓPOLIS','SC',14870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5170761,2.00,5.00,0.00,5.00,4.00,8.63,4.00,3.00,4.00,318,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',16053,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5170770,4.00,6.00,4.00,5.00,5.00,8.25,1.00,4.00,2.00,303,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5170788,9.00,8.00,8.00,7.00,7.00,9.38,7.00,5.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5170800,4.00,6.00,5.00,4.00,6.00,7.50,1.00,1.00,5.00,215,NULL,233,'CENTRO','CRICIÚMA','SC',11715,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5170818,9.00,8.00,3.00,8.00,10.00,9.75,8.00,4.00,8.00,340,NULL,NULL,'GLÓRIA','JOINVILLE','SC',1057,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5170826,4.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(20,5170834,7.00,7.00,3.00,7.00,8.00,7.88,2.00,6.00,4.00,207,NULL,201,'COMERCIARIO','CRICIÚMA','SC',5181,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5170842,8.00,6.00,4.00,6.00,9.00,8.63,4.00,7.00,7.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',2231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5170850,6.00,5.00,4.00,8.00,9.00,9.38,4.00,3.00,7.00,211,NULL,233,'CENTRO','CRICIÚMA','SC',5551,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5170869,7.00,5.00,1.00,5.00,8.00,6.75,5.00,4.00,5.00,103,NULL,NULL,'BARRA DO SAI MIRIM','ITAPOÁ','SC',8468,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5170877,5.00,4.00,2.00,7.00,7.00,5.25,2.00,4.00,2.00,201,NULL,208,'PIO CORRÊA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5170885,7.00,7.00,4.00,6.00,7.00,8.25,0.00,1.00,5.00,301,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',8583,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5170907,9.00,7.00,7.00,7.00,8.00,7.88,7.00,5.00,8.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',995,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5170966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5170974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'JARDIM PORTUGAL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5170982,4.00,4.00,2.00,4.00,5.00,7.13,3.00,3.00,2.00,103,NULL,NULL,'SANTA ROSA','PTO UNIÃO','SC',16041,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5171008,5.00,6.00,4.00,4.00,8.00,7.88,3.00,4.00,4.00,428,NULL,426,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5171016,3.00,6.00,2.00,4.00,6.00,7.50,4.00,2.00,2.00,233,NULL,214,'SANTA TEREZA','MARÍLIA','SP',13439,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171024,4.00,3.00,2.00,5.00,3.00,NULL,2.00,2.00,1.00,101,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5171032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM AVIAÇÃO','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5171040,7.00,7.00,4.00,7.00,8.00,10.13,4.00,5.00,5.00,235,NULL,202,'LOTE SEIS','CRICIÚMA','SC',4478,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5171059,6.00,4.00,1.00,6.00,9.00,9.38,2.00,4.00,4.00,319,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10421,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5171067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'NOSSA S APARECIDA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5171075,9.00,7.00,9.00,6.00,10.00,12.00,7.00,5.00,8.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',326,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5171091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'SAO JOAO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5171121,8.00,8.00,5.00,6.00,9.00,10.13,5.00,7.00,6.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',1792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171130,8.00,6.00,2.00,4.00,4.00,8.25,2.00,4.00,6.00,207,NULL,201,'BETÂNIA','ANGELINA','SC',11048,529,NULL,810,NULL,NULL,NULL,2,1),(20,5171164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5171172,8.00,8.00,2.00,6.00,9.00,9.00,2.00,5.00,6.00,303,NULL,NULL,'CENTRO','TIJUCAS','SC',5329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171180,8.00,7.00,1.00,7.00,8.00,9.38,2.00,3.00,4.00,202,NULL,235,'CENTRO','BIGUAÇU','SC',6391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171199,6.00,5.00,3.00,3.00,7.00,9.00,3.00,4.00,6.00,103,NULL,NULL,'FUNDOS','BIGUAÇU','SC',9551,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5171202,5.00,4.00,0.00,3.00,4.00,NULL,3.00,1.00,3.00,429,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5171210,6.00,7.00,0.00,3.00,8.00,NULL,4.00,5.00,3.00,108,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5171229,5.00,5.00,1.00,2.00,7.00,NULL,0.00,1.00,4.00,429,NULL,423,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5171237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NOVO ITACOLOMI','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(20,5171245,4.00,4.00,3.00,3.00,5.00,7.13,3.00,3.00,4.00,216,NULL,NULL,'CENTRO','MAMBORÊ','PR',14721,558,NULL,NULL,NULL,NULL,NULL,2,3),(20,5171253,2.00,0.00,3.00,1.00,3.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(20,5171270,5.00,4.00,5.00,3.00,6.00,8.63,2.00,4.00,2.00,429,NULL,425,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5171288,3.00,3.00,1.00,7.00,4.00,7.50,2.00,3.00,4.00,225,NULL,NULL,'LA SALLE','PATO BRANCO','PR',15629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171296,5.00,4.00,1.00,5.00,5.00,8.63,2.00,3.00,4.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',13797,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5171300,7.00,7.00,3.00,6.00,8.00,6.00,3.00,4.00,6.00,207,NULL,212,'SACO GRANDE','FLORIANÓPOLIS','SC',7405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5171326,7.00,7.00,3.00,6.00,10.00,10.50,2.00,7.00,7.00,220,NULL,203,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',3348,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5171342,5.00,7.00,0.00,6.00,6.00,NULL,3.00,1.00,3.00,421,NULL,424,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171350,1.00,6.00,3.00,3.00,4.00,NULL,2.00,5.00,0.00,202,NULL,213,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5171369,3.00,5.00,0.00,5.00,2.00,NULL,1.00,2.00,3.00,444,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CIDADE NOVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5171407,3.00,5.00,3.00,2.00,4.00,NULL,0.00,1.00,5.00,444,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5171415,4.00,4.00,3.00,2.00,6.00,8.63,1.00,4.00,3.00,308,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',14334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171431,6.00,3.00,4.00,5.00,7.00,7.88,1.00,1.00,4.00,336,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',14355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171440,4.00,4.00,1.00,2.00,4.00,NULL,2.00,1.00,3.00,336,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171458,7.00,7.00,7.00,5.00,9.00,7.50,4.00,7.00,6.00,201,NULL,212,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3395,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5171482,2.00,2.00,0.00,4.00,3.00,NULL,0.00,0.00,2.00,104,NULL,NULL,'CENTRO','ÁGUAS CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5171490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5171504,4.00,6.00,3.00,2.00,8.00,8.25,1.00,2.00,5.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5171555,3.00,2.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,233,NULL,215,'FLORESTA','GRAMADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171580,4.00,5.00,1.00,4.00,6.00,NULL,0.00,3.00,3.00,303,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5171610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,235,'INTERIOR','RIO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5171628,7.00,7.00,1.00,5.00,7.00,6.00,3.00,4.00,6.00,326,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',12283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5171636,7.00,6.00,5.00,7.00,5.00,6.75,4.00,4.00,5.00,104,NULL,NULL,'CENTRO','RIO SUL','SC',6853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171644,8.00,5.00,2.00,6.00,7.00,8.25,2.00,3.00,5.00,103,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',10364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171652,6.00,8.00,2.00,6.00,7.00,7.50,3.00,6.00,5.00,340,NULL,NULL,'JARDIM ATLÂNTICO','CANOAS','RS',7449,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5171660,7.00,6.00,1.00,5.00,3.00,NULL,4.00,3.00,4.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171679,6.00,6.00,5.00,3.00,6.00,7.88,2.00,5.00,3.00,203,NULL,214,'CARIANOS','FLORIANÓPOLIS','SC',10305,737,NULL,281,NULL,NULL,NULL,2,1),(20,5171695,5.00,5.00,2.00,6.00,4.00,7.50,2.00,1.00,4.00,404,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',16100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171709,5.00,5.00,1.00,3.00,7.00,9.75,2.00,3.00,4.00,108,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',12610,226,NULL,NULL,NULL,NULL,NULL,2,1),(20,5171725,2.00,5.00,1.00,8.00,5.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171750,3.00,6.00,2.00,7.00,6.00,8.25,4.00,2.00,2.00,450,NULL,NULL,'CENTRO','PARANAVAÍ','PR',12787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171768,3.00,3.00,2.00,6.00,5.00,NULL,0.00,2.00,3.00,303,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171784,3.00,3.00,1.00,6.00,4.00,NULL,2.00,1.00,1.00,333,NULL,NULL,'JARDIM SÃO MARCOS','JABOTICABAL','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171792,0.00,5.00,1.00,7.00,6.00,9.75,4.00,4.00,5.00,216,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',13215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171806,3.00,6.00,5.00,7.00,5.00,8.63,5.00,3.00,5.00,453,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171822,7.00,7.00,0.00,6.00,7.00,6.38,2.00,3.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CIDADE JARDIM','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5171857,8.00,7.00,8.00,7.00,10.00,7.50,5.00,6.00,8.00,103,NULL,NULL,'ZONA UM','CIANORTE','PR',603,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5171865,6.00,7.00,0.00,5.00,8.00,8.25,2.00,4.00,1.00,234,NULL,NULL,'BARREIROS','S JOSÉ','SC',12641,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5171873,3.00,4.00,1.00,0.00,7.00,NULL,2.00,1.00,0.00,101,NULL,NULL,'SAIC','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5171881,5.00,5.00,1.00,4.00,7.00,10.50,2.00,3.00,4.00,333,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',12055,104,NULL,NULL,NULL,NULL,NULL,2,1),(20,5171938,8.00,8.00,1.00,7.00,9.00,10.13,3.00,4.00,7.00,310,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5171970,4.00,5.00,0.00,4.00,3.00,NULL,0.00,3.00,3.00,238,NULL,202,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5171997,3.00,7.00,2.00,6.00,7.00,6.00,1.00,1.00,4.00,201,NULL,211,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172004,3.00,5.00,1.00,4.00,7.00,10.50,3.00,3.00,5.00,104,NULL,NULL,'ITAPIRANGA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5172012,4.00,6.00,0.00,3.00,6.00,NULL,2.00,3.00,1.00,301,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5172020,8.00,7.00,0.00,2.00,3.00,NULL,3.00,4.00,3.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5172039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5172071,7.00,7.00,1.00,6.00,8.00,9.00,3.00,3.00,6.00,5,NULL,NULL,'MEDIANEIRA','VERANÓPOLIS','RS',5602,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5172080,2.00,2.00,2.00,5.00,4.00,NULL,1.00,3.00,3.00,212,NULL,651,'VOLTA REDONDA','TREVISO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5172101,9.00,8.00,2.00,6.00,9.00,10.50,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','PIRATUBA','SC',4802,2088,NULL,NULL,NULL,NULL,NULL,2,7),(20,5172110,4.00,4.00,1.00,4.00,7.00,NULL,1.00,3.00,2.00,340,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172128,4.00,6.00,2.00,5.00,5.00,8.25,5.00,3.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5172152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5172160,3.00,7.00,3.00,1.00,5.00,7.13,2.00,4.00,4.00,317,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',16124,134,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172179,2.00,3.00,3.00,6.00,6.00,NULL,2.00,2.00,0.00,425,NULL,429,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172187,7.00,6.00,0.00,7.00,6.00,7.50,1.00,4.00,4.00,333,NULL,NULL,'JUNQUEIRA','LINS','SP',13350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5172217,4.00,3.00,3.00,5.00,6.00,10.88,2.00,3.00,3.00,103,NULL,NULL,'HUMAITA DE CIMA','TUBARÃO','SC',14725,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5172225,6.00,6.00,3.00,7.00,9.00,8.25,3.00,6.00,4.00,415,NULL,NULL,'JARDIM CAMPOS ELISEO','CAMPINAS','SP',5140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','VARGEM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5172241,2.00,6.00,2.00,5.00,6.00,NULL,1.00,1.00,2.00,238,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5172250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA NOVA CONCEIÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5172268,7.00,6.00,4.00,6.00,8.00,10.13,6.00,7.00,7.00,103,NULL,NULL,'MORUMBI','UBERABA','MG',1624,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5172276,9.00,7.00,6.00,7.00,10.00,9.00,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','CAPINZAL','SC',1462,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5172306,8.00,5.00,2.00,4.00,6.00,7.13,5.00,3.00,5.00,233,NULL,215,'CARIANOS','FLORIANÓPOLIS','SC',9026,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5172314,7.00,5.00,0.00,5.00,5.00,8.25,1.00,4.00,7.00,220,NULL,208,'CENTRO','GASPAR','SC',12180,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5172322,5.00,4.00,1.00,6.00,5.00,7.13,1.00,3.00,4.00,450,NULL,NULL,'SANTOS DUMONT','PARANAVAÍ','PR',16101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5172349,5.00,6.00,0.00,7.00,5.00,NULL,3.00,3.00,2.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172365,7.00,6.00,6.00,8.00,7.00,6.00,6.00,5.00,7.00,238,NULL,208,'SAMBAQUI','FLORIANÓPOLIS','SC',3061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5172381,2.00,6.00,0.00,4.00,6.00,9.38,2.00,4.00,3.00,238,NULL,208,'FORQUILHINHAS','S JOSÉ','SC',15547,404,NULL,455,NULL,NULL,NULL,4,1),(20,5172403,7.00,6.00,3.00,7.00,8.00,11.25,4.00,5.00,5.00,201,NULL,207,'PANTANAL','FLORIANÓPOLIS','SC',3949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172411,7.00,8.00,6.00,7.00,8.00,11.25,7.00,4.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1663,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5172420,1.00,3.00,0.00,1.00,3.00,NULL,0.00,1.00,1.00,420,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5172462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'ZONA RURAL','SERINGUEIRAS','RO',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5172470,6.00,8.00,2.00,6.00,7.00,7.88,1.00,6.00,7.00,503,NULL,NULL,'TERMAS','GRAVATAL','SC',9897,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5172497,1.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,653,NULL,NULL,'SANGA DA AREIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(20,5172500,5.00,3.00,0.00,6.00,6.00,8.25,3.00,4.00,2.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',15517,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5172519,4.00,4.00,2.00,4.00,3.00,NULL,2.00,3.00,2.00,104,NULL,NULL,'SANTA BARBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5172527,2.00,3.00,1.00,3.00,3.00,NULL,0.00,2.00,3.00,404,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172551,3.00,4.00,1.00,1.00,2.00,NULL,3.00,0.00,2.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5172560,6.00,6.00,2.00,6.00,7.00,12.00,4.00,5.00,3.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',9243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172578,6.00,4.00,5.00,7.00,9.00,9.38,5.00,2.00,4.00,420,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172586,5.00,6.00,4.00,5.00,4.00,7.88,5.00,2.00,5.00,653,NULL,NULL,'SANTA ANA','FORQUILHINHA','SC',12725,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5172594,4.00,5.00,2.00,4.00,6.00,9.38,3.00,3.00,4.00,101,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',12938,60,NULL,NULL,NULL,NULL,NULL,2,1),(20,5172608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'LINHA VISTA ALEGRE','JABORÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5172624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CATANDUVAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5172632,3.00,3.00,1.00,3.00,7.00,NULL,0.00,2.00,3.00,319,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5172640,0.00,0.00,0.00,1.00,0.00,NULL,2.00,2.00,0.00,103,NULL,NULL,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5172659,5.00,4.00,2.00,7.00,3.00,NULL,0.00,4.00,4.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NHAPINDAZAL','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5172675,2.00,6.00,3.00,0.00,3.00,NULL,2.00,3.00,4.00,203,NULL,214,'NAZARÉ','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5172691,5.00,3.00,2.00,6.00,6.00,10.13,2.00,3.00,6.00,234,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172705,8.00,4.00,1.00,8.00,7.00,7.88,3.00,4.00,6.00,216,NULL,NULL,'BRUSQUE','LAGES','SC',5760,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5172721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5172730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'FÁTIMA','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5172748,1.00,5.00,2.00,7.00,4.00,9.00,2.00,3.00,3.00,203,NULL,220,'INTERLAGOS','PALOTINA','PR',14464,913,NULL,357,NULL,NULL,NULL,4,4),(20,5172756,3.00,3.00,0.00,2.00,5.00,NULL,1.00,1.00,3.00,9,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5172764,4.00,7.00,3.00,5.00,8.00,8.63,4.00,3.00,5.00,333,NULL,NULL,'CENTRO','CURITIBA','PR',6597,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5172780,5.00,4.00,0.00,3.00,1.00,NULL,1.00,3.00,1.00,327,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5172802,2.00,4.00,1.00,2.00,4.00,NULL,1.00,1.00,3.00,213,NULL,215,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172810,4.00,5.00,0.00,4.00,5.00,NULL,1.00,2.00,4.00,101,NULL,NULL,'SANTO ANTÔNIO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5172845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'IMIGRANTES','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5172861,5.00,5.00,2.00,5.00,9.00,8.25,2.00,4.00,3.00,501,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',10975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'MARGARIDA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5172896,3.00,5.00,2.00,5.00,6.00,12.75,3.00,1.00,5.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',12428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5172900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5172926,6.00,6.00,4.00,5.00,10.00,9.00,2.00,4.00,5.00,415,NULL,NULL,'CENTRO','PALHOÇA','SC',8244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172934,4.00,4.00,1.00,4.00,2.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5172950,2.00,5.00,0.00,5.00,3.00,NULL,2.00,2.00,4.00,220,NULL,235,'CHAMPAGNE','GARIBALDI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5172969,6.00,8.00,3.00,8.00,7.00,9.00,3.00,4.00,5.00,453,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',5911,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5172993,7.00,7.00,2.00,4.00,10.00,10.50,4.00,5.00,7.00,103,NULL,NULL,'UNIÃO','BRAÇO NORTE','SC',3289,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5173000,4.00,5.00,0.00,5.00,4.00,NULL,2.00,3.00,3.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5173019,8.00,3.00,4.00,7.00,7.00,7.13,3.00,4.00,6.00,202,NULL,235,'CENTRO','CONCÓRDIA','SC',9151,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5173027,3.00,2.00,3.00,6.00,6.00,NULL,3.00,2.00,1.00,207,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5173060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','CAPÃO CANOA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5173086,3.00,2.00,0.00,1.00,3.00,NULL,3.00,2.00,1.00,302,NULL,NULL,'AMBRÓSIO DE DENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5173094,5.00,3.00,2.00,5.00,4.00,NULL,2.00,1.00,2.00,425,NULL,424,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5173108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'PINHEIRINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5173116,1.00,2.00,0.00,2.00,2.00,NULL,0.00,2.00,2.00,303,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5173124,4.00,6.00,3.00,2.00,6.00,4.88,0.00,3.00,3.00,201,NULL,207,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5173132,6.00,6.00,4.00,3.00,9.00,10.13,3.00,6.00,6.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',4557,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5173140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'JARDIM DA FONTE','CACHOEIRA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5173167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','VARGEÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5173175,5.00,7.00,4.00,3.00,6.00,NULL,2.00,3.00,5.00,316,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5173183,7.00,7.00,1.00,5.00,7.00,7.50,5.00,4.00,5.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5173191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,428,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5173213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,214,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5173221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5173248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5173256,9.00,7.00,3.00,7.00,10.00,9.00,4.00,4.00,7.00,103,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',2478,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5173299,3.00,4.00,1.00,5.00,5.00,NULL,0.00,2.00,2.00,303,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5173310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5173337,8.00,7.00,7.00,7.00,9.00,10.88,8.00,6.00,8.00,103,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',189,136,NULL,NULL,NULL,NULL,NULL,4,1),(20,5173361,7.00,6.00,1.00,7.00,7.00,7.13,3.00,5.00,1.00,453,NULL,NULL,'SETOR JAO','GOIÂNIA','GO',9599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5173370,6.00,7.00,5.00,5.00,9.00,8.63,2.00,3.00,5.00,653,NULL,208,'PLANALTO','VACARIA','RS',6741,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5173400,6.00,4.00,1.00,7.00,6.00,7.50,3.00,2.00,7.00,216,NULL,212,'SANTA CRUZ','GUARAPUAVA','PR',11902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5173426,8.00,5.00,8.00,5.00,6.00,8.63,6.00,4.00,8.00,216,NULL,211,'JARDIM BOTANICO','CURITIBA','PR',2906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5173434,2.00,4.00,0.00,1.00,6.00,NULL,0.00,1.00,3.00,207,NULL,208,'CIDADE ALTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5173442,4.00,5.00,2.00,1.00,3.00,NULL,0.00,1.00,3.00,327,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5173469,9.00,7.00,6.00,7.00,9.00,8.63,2.00,5.00,7.00,103,NULL,NULL,'VILA CARMEN','PASSO FUNDO','RS',2247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5173485,7.00,8.00,3.00,8.00,6.00,7.50,3.00,3.00,4.00,108,NULL,NULL,'CENTRO','INDAIATUBA','SP',6356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5173515,3.00,5.00,0.00,3.00,5.00,NULL,3.00,2.00,3.00,415,NULL,NULL,'REGINA','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5173531,5.00,5.00,4.00,6.00,8.00,8.25,5.00,4.00,4.00,452,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',8823,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5173574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5173582,4.00,6.00,4.00,6.00,3.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5173620,4.00,5.00,4.00,6.00,4.00,6.00,3.00,2.00,1.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5173647,8.00,5.00,1.00,7.00,8.00,9.00,0.00,5.00,4.00,601,NULL,NULL,'CENTRO','BRUSQUE','SC',9205,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5173663,5.00,6.00,0.00,5.00,5.00,NULL,2.00,4.00,4.00,104,NULL,NULL,'LINDÓIA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5173671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5173680,5.00,5.00,1.00,4.00,5.00,NULL,1.00,1.00,0.00,207,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5173698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5173701,8.00,5.00,4.00,6.00,6.00,8.63,3.00,4.00,8.00,103,NULL,NULL,'SÃO MIGUEL','CONCÓRDIA','SC',6008,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5173710,2.00,4.00,2.00,2.00,8.00,NULL,2.00,1.00,2.00,309,NULL,NULL,'JARDIM ZANELLATO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5173728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5173736,7.00,3.00,3.00,5.00,5.00,9.38,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',10736,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5173744,6.00,7.00,4.00,1.00,7.00,7.13,7.00,4.00,7.00,103,NULL,NULL,'CENTRO','JARDINÓPOLIS','SC',6834,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5173752,3.00,5.00,2.00,5.00,6.00,6.75,0.00,3.00,3.00,3,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',15951,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5173760,9.00,7.00,5.00,7.00,9.00,11.25,7.00,6.00,8.00,201,NULL,211,'PARANAGUAMIRIM','JOINVILLE','SC',520,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5173787,7.00,7.00,2.00,5.00,7.00,8.25,2.00,5.00,5.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10342,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5173795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','MELEIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5173809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,211,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5173817,3.00,6.00,4.00,6.00,5.00,8.25,1.00,2.00,4.00,601,NULL,201,'SÃO CRISTOVÃO','FRANCISCO BELTRÃO','PR',11612,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5173833,3.00,0.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5173850,1.00,3.00,4.00,4.00,4.00,NULL,0.00,2.00,2.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5173892,3.00,4.00,1.00,4.00,4.00,NULL,3.00,1.00,2.00,9,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5173906,4.00,3.00,2.00,3.00,4.00,6.38,3.00,3.00,5.00,108,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5173949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5173957,3.00,7.00,3.00,7.00,7.00,NULL,0.00,1.00,2.00,208,NULL,238,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5173981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5173990,6.00,7.00,4.00,4.00,6.00,8.63,3.00,4.00,3.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',7982,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5174007,9.00,7.00,6.00,7.00,9.00,10.50,4.00,5.00,7.00,216,NULL,215,'KOBRASOL','S JOSÉ','SC',1165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5174023,6.00,3.00,4.00,3.00,5.00,7.88,1.00,0.00,5.00,103,NULL,NULL,'SÃO GABRIEL','CAP LEÔNIDAS MARQUES','PR',14876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5174031,7.00,6.00,2.00,6.00,9.00,8.25,3.00,5.00,2.00,319,NULL,NULL,'JARDIM BRASIL','GOIÂNIA','GO',6765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5174040,8.00,8.00,6.00,6.00,8.00,8.25,5.00,8.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1041,621,NULL,NULL,NULL,NULL,NULL,2,8),(20,5174058,3.00,4.00,2.00,5.00,7.00,NULL,1.00,1.00,3.00,201,NULL,207,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5174074,5.00,5.00,3.00,6.00,8.00,9.00,0.00,4.00,4.00,211,NULL,215,'CAPOEIRAS','FLORIANÓPOLIS','SC',10123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5174090,4.00,6.00,1.00,7.00,9.00,7.88,3.00,3.00,5.00,415,NULL,NULL,'VELHA','BLUMENAU','SC',8682,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5174112,6.00,6.00,1.00,6.00,6.00,7.50,2.00,2.00,4.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',12356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5174120,6.00,5.00,5.00,5.00,7.00,8.25,4.00,3.00,5.00,104,NULL,NULL,'CENTRO','BIGUAÇU','SC',6041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5174155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5174171,2.00,4.00,1.00,2.00,1.00,NULL,1.00,1.00,3.00,303,NULL,NULL,'DAS DAMAS','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5174198,1.00,6.00,1.00,2.00,3.00,NULL,0.00,1.00,2.00,5,NULL,NULL,'RIO AMERICA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5174210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5174228,3.00,6.00,0.00,5.00,7.00,NULL,2.00,2.00,3.00,502,NULL,NULL,'NOVA BRASÍLIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5174236,0.00,5.00,2.00,3.00,6.00,NULL,2.00,2.00,3.00,429,NULL,425,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5174244,2.00,7.00,5.00,2.00,5.00,7.13,2.00,3.00,3.00,317,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',14854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5174287,5.00,6.00,2.00,6.00,7.00,8.63,3.00,3.00,7.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',10476,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5174309,3.00,3.00,0.00,6.00,5.00,NULL,2.00,1.00,4.00,103,NULL,NULL,'PINHEIRINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5174317,8.00,6.00,5.00,7.00,10.00,7.13,5.00,4.00,8.00,203,NULL,601,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5174325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM NENA','SUZANO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5174333,7.00,7.00,4.00,5.00,7.00,9.00,6.00,7.00,6.00,103,NULL,NULL,'DESPRAIADO','S JOAQUIM','SC',3596,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5174341,3.00,6.00,0.00,4.00,3.00,NULL,4.00,6.00,5.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5174368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PARQUE SAO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5174384,1.00,3.00,0.00,5.00,4.00,NULL,2.00,1.00,4.00,108,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5174392,4.00,4.00,2.00,0.00,3.00,NULL,0.00,1.00,3.00,104,NULL,NULL,'ZANTÃO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5174414,5.00,3.00,4.00,3.00,7.00,8.63,2.00,5.00,3.00,327,NULL,NULL,'CANTA GALO','RIO SUL','SC',11753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5174422,4.00,5.00,4.00,3.00,3.00,NULL,4.00,3.00,5.00,319,NULL,NULL,'POÇO FUNDO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5174430,3.00,5.00,2.00,6.00,6.00,7.13,3.00,4.00,4.00,317,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5174457,4.00,3.00,3.00,3.00,3.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5174473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5174503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SANTA MARIA','UBERLÂNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5174520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','CAARAPÓ','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5174538,6.00,7.00,1.00,6.00,8.00,7.13,3.00,5.00,5.00,101,NULL,NULL,'JARDIM SÃO PAULO','FOZ IGUAÇU','PR',6315,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5174554,6.00,6.00,1.00,4.00,7.00,7.13,2.00,3.00,4.00,216,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',12991,518,NULL,NULL,NULL,NULL,NULL,2,1),(20,5174562,8.00,4.00,3.00,6.00,6.00,10.13,2.00,4.00,4.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5174589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'VILA APARECIDA','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5174597,7.00,5.00,2.00,8.00,7.00,9.38,1.00,2.00,6.00,103,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',9212,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5174600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE DAS AMÉRICAS','UBERABA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5174619,7.00,6.00,3.00,7.00,8.00,9.00,4.00,6.00,5.00,203,NULL,235,'JD DAS AMERICAS','CURITIBA','PR',3904,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5174635,6.00,3.00,1.00,3.00,7.00,NULL,1.00,2.00,2.00,316,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5174643,9.00,7.00,5.00,7.00,6.00,9.00,5.00,6.00,8.00,103,NULL,NULL,'MARACANA','UBERLÂNDIA','MG',1935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5174651,6.00,5.00,2.00,6.00,6.00,9.00,3.00,2.00,3.00,207,NULL,235,'PROGRESSO','RIO SUL','SC',13834,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5174660,1.00,3.00,1.00,6.00,5.00,NULL,2.00,1.00,3.00,601,NULL,214,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5174678,8.00,7.00,1.00,4.00,8.00,9.38,1.00,4.00,5.00,601,NULL,216,'ITAUM','JOINVILLE','SC',7667,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5174686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'CENTRO','IBIRAMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5174708,7.00,6.00,2.00,5.00,2.00,NULL,0.00,3.00,4.00,451,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5174716,9.00,7.00,5.00,7.00,10.00,10.88,7.00,7.00,8.00,103,NULL,NULL,'CASSINO','RIO GRANDE','RS',360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5174724,5.00,6.00,3.00,4.00,6.00,NULL,0.00,5.00,6.00,501,NULL,NULL,'SÃO FELIPE','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5174732,5.00,6.00,3.00,4.00,4.00,8.25,3.00,3.00,5.00,104,NULL,NULL,'CENTRO','CHAPECÓ','SC',12764,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5174740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO PEDRO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5174759,4.00,7.00,1.00,3.00,4.00,6.75,0.00,2.00,5.00,404,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',15836,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5174767,5.00,6.00,2.00,5.00,5.00,6.00,3.00,2.00,3.00,303,NULL,NULL,'JOAQUINA','FLORIANÓPOLIS','SC',15750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5174775,3.00,3.00,3.00,1.00,3.00,NULL,2.00,0.00,3.00,220,NULL,208,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5174805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5174813,3.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MORUMBI','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(20,5174821,6.00,5.00,1.00,6.00,6.00,4.50,1.00,4.00,3.00,452,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5174856,6.00,6.00,0.00,6.00,6.00,6.38,2.00,4.00,4.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5174864,6.00,7.00,3.00,7.00,8.00,9.00,1.00,6.00,6.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',7502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5174872,0.00,4.00,1.00,3.00,1.00,NULL,0.00,0.00,2.00,208,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5174899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTOR','VARGEÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5174902,3.00,5.00,2.00,2.00,4.00,NULL,3.00,2.00,2.00,234,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5174910,4.00,4.00,2.00,4.00,5.00,5.25,4.00,2.00,3.00,308,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5174945,5.00,6.00,1.00,7.00,9.00,9.38,5.00,1.00,4.00,415,NULL,NULL,'AMÉRICA','JOINVILLE','SC',7466,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5174953,6.00,5.00,2.00,4.00,5.00,9.38,2.00,3.00,5.00,103,NULL,NULL,'FAZENDINHA','CURITIBA','PR',11430,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5174961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5174970,1.00,0.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,6),(20,5174996,4.00,5.00,1.00,4.00,4.00,NULL,2.00,1.00,3.00,601,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5175003,2.00,8.00,1.00,6.00,7.00,4.50,2.00,4.00,4.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'JARDIM EUROPA','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5175020,1.00,3.00,0.00,2.00,4.00,NULL,2.00,1.00,1.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175038,7.00,5.00,1.00,5.00,6.00,9.00,1.00,3.00,2.00,301,NULL,NULL,'SERRARIA','S JOSÉ','SC',14947,210,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175046,5.00,6.00,3.00,8.00,9.00,9.00,5.00,5.00,6.00,238,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',6073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175062,5.00,6.00,0.00,4.00,6.00,NULL,0.00,2.00,6.00,103,NULL,NULL,'BOA VISTA','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5175070,6.00,5.00,2.00,4.00,7.00,12.00,3.00,5.00,3.00,201,NULL,207,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',10456,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'VILA BRASILINA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5175097,3.00,6.00,1.00,4.00,6.00,11.63,0.00,4.00,2.00,420,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175100,7.00,5.00,4.00,4.00,9.00,9.00,4.00,5.00,6.00,303,NULL,NULL,'SÃO PEDRO','BRUSQUE','SC',5172,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5175119,7.00,7.00,2.00,6.00,6.00,8.63,3.00,3.00,7.00,211,NULL,214,'ASA SUL','BRASÍLIA','DF',5918,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5175143,6.00,7.00,3.00,7.00,7.00,9.00,0.00,4.00,3.00,5,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',11480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175151,6.00,4.00,4.00,5.00,5.00,9.38,1.00,0.00,5.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',14619,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5175160,1.00,1.00,1.00,2.00,4.00,NULL,0.00,1.00,2.00,415,NULL,NULL,'NAÇOES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5175178,6.00,4.00,1.00,6.00,5.00,7.88,1.00,1.00,3.00,415,NULL,NULL,'CENTRO','CANOAS','RS',15529,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'GUAIANAZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5175194,8.00,3.00,4.00,7.00,7.00,6.00,2.00,3.00,6.00,104,NULL,NULL,'AGUA VERDE','CURITIBA','PR',9556,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5175208,3.00,2.00,1.00,3.00,4.00,NULL,1.00,1.00,2.00,5,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5175216,5.00,5.00,1.00,4.00,3.00,NULL,4.00,2.00,0.00,216,NULL,601,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5175240,9.00,6.00,6.00,7.00,8.00,10.50,8.00,7.00,9.00,103,NULL,NULL,'INDEPENDENCIA','CASCAVEL','PR',463,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5175259,2.00,8.00,3.00,6.00,7.00,9.38,3.00,8.00,5.00,208,NULL,238,'CAMPECHE','FLORIANÓPOLIS','SC',8534,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175283,7.00,7.00,3.00,7.00,10.00,10.88,3.00,4.00,8.00,110,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',3227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175291,5.00,5.00,7.00,7.00,8.00,7.88,3.00,5.00,5.00,220,NULL,202,'LA SALLE','TOLEDO','PR',5848,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5175305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PALMEIRAS','VARGEÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5175313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5175330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5175356,9.00,8.00,5.00,8.00,11.00,10.13,8.00,4.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175364,4.00,4.00,0.00,4.00,5.00,NULL,0.00,1.00,3.00,415,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175372,6.00,7.00,5.00,7.00,10.00,12.75,5.00,4.00,5.00,450,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',1921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175380,5.00,5.00,1.00,6.00,5.00,7.88,0.00,2.00,3.00,9,NULL,NULL,'CENTRO','S JOAQUIM','SC',16209,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175399,7.00,8.00,8.00,7.00,10.00,9.00,6.00,6.00,6.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175402,6.00,6.00,1.00,3.00,8.00,8.25,3.00,3.00,3.00,302,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',13981,78,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175410,8.00,7.00,6.00,7.00,10.00,9.75,5.00,6.00,8.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',727,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5175437,4.00,4.00,1.00,2.00,4.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'LINHA SANTO ANTONIO','VARGEÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5175445,6.00,4.00,5.00,6.00,7.00,6.38,2.00,2.00,5.00,109,NULL,NULL,'MADRI CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175470,3.00,5.00,2.00,0.00,5.00,NULL,4.00,1.00,5.00,652,NULL,653,'FIGUEIRA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5175488,3.00,3.00,0.00,4.00,4.00,NULL,2.00,2.00,1.00,428,NULL,423,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175496,8.00,6.00,1.00,6.00,7.00,7.88,2.00,4.00,6.00,420,NULL,NULL,'REBOUÇAS','CURITIBA','PR',7924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175500,5.00,6.00,1.00,7.00,7.00,6.75,3.00,0.00,3.00,301,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175526,5.00,8.00,1.00,7.00,5.00,8.63,2.00,6.00,5.00,427,NULL,425,'CAMPECHE','FLORIANÓPOLIS','SC',10794,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175534,5.00,6.00,1.00,1.00,6.00,NULL,0.00,3.00,3.00,317,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175542,3.00,2.00,0.00,3.00,1.00,NULL,2.00,1.00,2.00,201,NULL,212,'SÃO FRANCISCO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5175550,6.00,7.00,2.00,6.00,10.00,10.50,2.00,5.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6088,2432,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175569,8.00,7.00,2.00,6.00,8.00,8.25,2.00,3.00,3.00,316,NULL,NULL,'JD CARANDAÍ','BIGUAÇU','SC',11615,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5175585,8.00,5.00,2.00,3.00,8.00,9.75,2.00,3.00,6.00,103,NULL,NULL,'ANÁLIA FRANCO','S PAULO','SP',8322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','ITAPOÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5175607,6.00,4.00,1.00,6.00,8.00,9.00,0.00,4.00,6.00,452,NULL,NULL,'CENTRO','STO ÂNGELO','RS',11728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,427,'CENRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5175631,5.00,4.00,3.00,3.00,6.00,7.13,2.00,4.00,3.00,103,NULL,NULL,'OURO VERDE','FOZ IGUAÇU','PR',14473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175640,7.00,6.00,0.00,5.00,6.00,4.13,3.00,4.00,4.00,319,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175658,4.00,6.00,1.00,3.00,6.00,7.50,2.00,5.00,3.00,103,NULL,NULL,'VILA RAU','JARAGUÁ SUL','SC',13049,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5175666,2.00,3.00,0.00,3.00,5.00,NULL,0.00,0.00,1.00,238,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175682,2.00,6.00,4.00,4.00,2.00,NULL,6.00,3.00,3.00,601,NULL,214,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5175690,6.00,5.00,0.00,5.00,6.00,7.50,1.00,2.00,5.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175704,5.00,4.00,1.00,4.00,4.00,NULL,0.00,1.00,3.00,302,NULL,NULL,'MORRO DA GLÓRIA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,5),(20,5175739,3.00,4.00,4.00,1.00,4.00,NULL,1.00,0.00,1.00,316,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175747,3.00,3.00,0.00,4.00,4.00,NULL,2.00,2.00,2.00,429,NULL,426,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175763,5.00,7.00,1.00,4.00,4.00,9.38,3.00,2.00,4.00,203,NULL,201,'BOA VISTA','JOINVILLE','SC',15116,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5175771,4.00,5.00,2.00,2.00,7.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175801,3.00,3.00,0.00,4.00,2.00,NULL,2.00,1.00,2.00,653,NULL,652,'AREIAS CLARAS','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5175810,8.00,7.00,3.00,6.00,8.00,8.25,2.00,5.00,7.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',4162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175828,4.00,7.00,0.00,4.00,5.00,NULL,1.00,5.00,3.00,336,NULL,NULL,'FREGUESIA DO Ó','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175836,3.00,3.00,1.00,4.00,5.00,NULL,0.00,2.00,3.00,340,NULL,NULL,'AVAREI','JACAREÍ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5175844,2.00,3.00,3.00,3.00,5.00,NULL,2.00,2.00,4.00,216,NULL,211,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175852,3.00,5.00,2.00,5.00,7.00,8.63,2.00,4.00,4.00,404,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',14901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'RURAL','IPUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5175879,4.00,6.00,2.00,1.00,4.00,NULL,0.00,4.00,3.00,235,NULL,202,'JARDIM COPACABANA','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175887,4.00,6.00,1.00,6.00,6.00,7.88,1.00,2.00,5.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175895,4.00,1.00,1.00,3.00,6.00,NULL,0.00,0.00,1.00,319,NULL,NULL,'FLORADAS DE SÃO JOSÉ','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5175941,4.00,5.00,2.00,4.00,7.00,8.25,2.00,5.00,2.00,423,NULL,427,'CAMPINAS','S JOSÉ','SC',14692,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5175950,9.00,7.00,8.00,8.00,9.00,12.38,7.00,5.00,7.00,211,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175968,6.00,6.00,2.00,6.00,9.00,8.63,2.00,2.00,5.00,207,NULL,211,'CAMPINAS','S JOSÉ','SC',6681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5175984,5.00,5.00,2.00,7.00,6.00,6.00,2.00,3.00,5.00,319,NULL,NULL,'CENTRO','MARINGÁ','PR',10544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176000,7.00,5.00,1.00,4.00,8.00,9.75,3.00,5.00,6.00,5,NULL,NULL,'SÃO DOMINGOS','AMERICANA','SP',6571,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5176018,3.00,5.00,1.00,2.00,3.00,NULL,1.00,3.00,2.00,102,NULL,NULL,'ARNO SIEVERDT','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5176026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA TIBÉRIO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5176034,4.00,4.00,0.00,3.00,0.00,NULL,0.00,2.00,2.00,319,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176042,6.00,5.00,6.00,5.00,5.00,7.13,2.00,3.00,4.00,201,NULL,NULL,'VILA ROSA','CPO GRANDE','MS',10503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176077,3.00,5.00,2.00,7.00,4.00,9.38,3.00,3.00,3.00,452,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',14993,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176085,4.00,6.00,3.00,5.00,6.00,8.25,2.00,3.00,4.00,104,NULL,NULL,'INTERIOR','IOMERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5176107,4.00,8.00,2.00,5.00,7.00,9.38,3.00,1.00,2.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176115,8.00,7.00,2.00,5.00,8.00,6.75,2.00,4.00,5.00,336,NULL,NULL,'CENTRO','PNT GROSSA','PR',7499,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5176123,2.00,6.00,4.00,5.00,5.00,9.00,3.00,2.00,2.00,652,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5176131,0.00,2.00,1.00,4.00,3.00,NULL,0.00,1.00,0.00,319,NULL,NULL,'MORRO DA BINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5176140,7.00,7.00,4.00,5.00,7.00,9.00,3.00,2.00,8.00,201,NULL,601,'COQUEIROS','FLORIANÓPOLIS','SC',6473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176166,9.00,8.00,3.00,6.00,10.00,12.38,8.00,8.00,7.00,103,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176174,7.00,6.00,2.00,4.00,7.00,8.63,4.00,2.00,3.00,103,NULL,NULL,'AMIZADE','GUARAMIRIM','SC',10697,3259,NULL,NULL,NULL,NULL,NULL,4,8),(20,5176182,8.00,7.00,5.00,6.00,9.00,9.38,3.00,4.00,8.00,203,NULL,235,'ANDORINHA','ITAPEMA','SC',2954,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5176212,4.00,6.00,0.00,3.00,4.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176220,4.00,7.00,3.00,1.00,5.00,NULL,0.00,1.00,1.00,103,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CASCATA','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5176255,4.00,8.00,1.00,5.00,3.00,NULL,0.00,0.00,6.00,102,NULL,NULL,'PARQUE SAO LUIS','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5176263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5176271,4.00,5.00,2.00,3.00,6.00,10.50,1.00,2.00,5.00,415,NULL,NULL,'JARDIM CATANHEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5176298,1.00,2.00,1.00,2.00,4.00,NULL,0.00,0.00,4.00,302,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5176328,3.00,6.00,2.00,4.00,6.00,9.38,3.00,1.00,2.00,653,NULL,652,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5176336,5.00,5.00,3.00,6.00,4.00,8.25,4.00,2.00,5.00,203,NULL,213,'FORQUILHINHAS','S JOSÉ','SC',14603,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5176344,8.00,7.00,4.00,3.00,8.00,10.13,2.00,3.00,5.00,415,NULL,NULL,'MICHEL','CRICIÚMA','SC',7788,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5176360,1.00,6.00,0.00,2.00,3.00,NULL,1.00,2.00,2.00,318,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176379,5.00,5.00,1.00,7.00,8.00,11.25,2.00,4.00,3.00,451,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',11314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176387,8.00,4.00,0.00,7.00,7.00,7.13,2.00,2.00,5.00,203,NULL,214,'TENIS CLUBE','ASSIS','SP',10613,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5176395,5.00,5.00,0.00,3.00,4.00,NULL,4.00,3.00,4.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176409,5.00,6.00,8.00,7.00,6.00,9.38,5.00,4.00,7.00,203,NULL,214,'CANASVIEIRAS','FLORIANÓPOLIS','SC',4225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176417,4.00,4.00,4.00,4.00,5.00,6.00,2.00,3.00,6.00,551,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',15316,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5176425,3.00,7.00,4.00,5.00,3.00,NULL,2.00,3.00,3.00,452,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176450,5.00,4.00,2.00,5.00,5.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5176468,2.00,7.00,3.00,5.00,6.00,0.00,0.00,2.00,4.00,331,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5176476,8.00,6.00,4.00,7.00,10.00,7.88,3.00,2.00,5.00,316,NULL,NULL,'COLONINHA','GASPAR','SC',6320,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5176484,5.00,8.00,5.00,7.00,6.00,9.38,2.00,1.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176492,8.00,5.00,0.00,7.00,9.00,9.38,4.00,4.00,4.00,103,NULL,NULL,'MATINHO','XANXERÊ','SC',8639,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5176514,4.00,5.00,0.00,4.00,5.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'SANTA ROSA','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5176522,8.00,6.00,0.00,4.00,7.00,NULL,3.00,3.00,5.00,101,NULL,NULL,'CENTRO','GR PARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5176530,3.00,7.00,4.00,3.00,6.00,7.88,1.00,1.00,2.00,211,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176549,4.00,6.00,0.00,4.00,6.00,7.50,3.00,2.00,4.00,302,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',15417,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5176557,5.00,4.00,3.00,6.00,5.00,7.88,2.00,1.00,2.00,331,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5176565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','ITAPOÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5176573,4.00,5.00,0.00,4.00,3.00,NULL,3.00,2.00,1.00,207,NULL,NULL,'JARDIM IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5176581,5.00,5.00,0.00,7.00,8.00,6.75,1.00,2.00,3.00,340,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5176590,3.00,4.00,3.00,4.00,3.00,NULL,1.00,2.00,0.00,316,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5176603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5176611,1.00,3.00,2.00,2.00,4.00,NULL,2.00,4.00,2.00,202,NULL,653,'PASSO DO GADO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5176620,6.00,7.00,2.00,7.00,9.00,8.25,5.00,3.00,7.00,233,NULL,601,'AGRONÔMICA','FLORIANÓPOLIS','SC',4432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176638,4.00,5.00,1.00,5.00,3.00,NULL,0.00,1.00,5.00,211,NULL,NULL,'JARDIM DAS PAINEIRAS','JAÚ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5176646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5176654,9.00,6.00,7.00,7.00,9.00,9.38,7.00,3.00,5.00,216,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',1813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176662,8.00,6.00,1.00,7.00,10.00,10.13,2.00,4.00,5.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',6188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5176697,8.00,6.00,5.00,5.00,7.00,7.13,3.00,4.00,7.00,304,NULL,NULL,'SANTA CECILIA','PIRACICABA','SP',6059,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5176700,8.00,7.00,6.00,6.00,10.00,7.13,4.00,6.00,8.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',1772,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5176735,0.00,6.00,2.00,2.00,3.00,NULL,0.00,4.00,5.00,223,NULL,NULL,'TRES VENDAS','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5176751,3.00,6.00,1.00,5.00,6.00,7.88,4.00,3.00,3.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14752,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5176760,9.00,7.00,5.00,7.00,11.00,9.75,7.00,7.00,9.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5176786,2.00,7.00,3.00,3.00,10.00,6.75,1.00,1.00,5.00,216,NULL,203,'TRES VENDAS','ERECHIM','RS',14066,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5176794,3.00,3.00,0.00,2.00,2.00,NULL,2.00,3.00,3.00,653,NULL,652,'MINA DO MATO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5176808,2.00,3.00,2.00,4.00,9.00,NULL,1.00,3.00,4.00,207,NULL,212,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176824,4.00,7.00,1.00,6.00,8.00,8.25,3.00,4.00,4.00,102,NULL,NULL,'MACHADOS','NAVEGANTES','SC',11052,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5176832,5.00,5.00,2.00,4.00,5.00,8.63,2.00,4.00,0.00,201,NULL,233,'COQUEIROS','FLORIANÓPOLIS','SC',15725,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5176840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ALTO CAFEZAL','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5176859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'PARQUE DEZ DE NOVEMB','MANAUS','AM',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5176867,7.00,5.00,1.00,4.00,8.00,8.63,2.00,2.00,3.00,653,NULL,207,'REVOREDO','TUBARÃO','SC',12831,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5176875,4.00,7.00,0.00,3.00,4.00,NULL,1.00,3.00,2.00,318,NULL,NULL,'ALVORADA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5176883,3.00,6.00,1.00,5.00,7.00,6.00,2.00,4.00,4.00,215,NULL,211,'CENTRO','CURITIBA','PR',14377,301,NULL,451,NULL,NULL,NULL,2,2),(20,5176891,2.00,3.00,0.00,3.00,3.00,NULL,1.00,2.00,5.00,301,NULL,NULL,'FABRICIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176905,3.00,6.00,0.00,3.00,5.00,NULL,1.00,2.00,2.00,503,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5176921,8.00,7.00,5.00,7.00,9.00,11.63,5.00,7.00,7.00,211,NULL,233,'AGRONÔMICA','FLORIANÓPOLIS','SC',845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176930,3.00,7.00,1.00,5.00,6.00,9.00,2.00,5.00,3.00,444,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',12629,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5176956,8.00,5.00,4.00,6.00,6.00,8.25,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',6971,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5176972,6.00,7.00,0.00,6.00,4.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5176980,5.00,6.00,2.00,7.00,7.00,12.00,1.00,4.00,5.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',7666,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5176999,9.00,9.00,2.00,7.00,7.00,10.50,5.00,3.00,7.00,303,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',3196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177014,7.00,6.00,0.00,3.00,3.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177030,6.00,8.00,3.00,7.00,9.00,8.25,4.00,4.00,5.00,211,NULL,238,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',5746,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177049,3.00,3.00,2.00,6.00,3.00,NULL,0.00,2.00,3.00,423,NULL,425,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177057,4.00,3.00,3.00,4.00,5.00,7.88,2.00,2.00,6.00,501,NULL,NULL,'CHÁCARA DAS ROSAS','JACUPIRANGA','SP',13482,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5177065,4.00,3.00,1.00,3.00,3.00,NULL,1.00,4.00,2.00,102,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177073,4.00,3.00,4.00,5.00,4.00,8.25,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',15206,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5177081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5177103,2.00,7.00,3.00,6.00,4.00,6.38,2.00,2.00,5.00,335,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177111,8.00,6.00,6.00,7.00,6.00,8.25,5.00,5.00,9.00,203,NULL,214,'URBANOVA','S JOSÉ CAMPOS','SP',1800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177120,0.00,5.00,0.00,7.00,5.00,NULL,3.00,3.00,2.00,216,NULL,215,'ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177138,7.00,4.00,2.00,6.00,5.00,6.75,4.00,5.00,3.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',12570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177146,3.00,5.00,2.00,6.00,2.00,NULL,2.00,1.00,4.00,224,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177154,8.00,8.00,4.00,7.00,10.00,10.88,5.00,3.00,5.00,214,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',3550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JD DABRIL','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5177170,6.00,8.00,6.00,4.00,9.00,7.88,4.00,5.00,7.00,212,NULL,215,'VILA MADALENA','S PAULO','SP',2917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177189,5.00,5.00,1.00,7.00,3.00,NULL,1.00,4.00,3.00,2,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177197,4.00,6.00,2.00,3.00,7.00,7.13,1.00,3.00,4.00,331,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',15822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177200,2.00,3.00,1.00,3.00,4.00,NULL,0.00,0.00,3.00,428,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177219,6.00,6.00,4.00,5.00,8.00,9.75,1.00,4.00,5.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177227,9.00,6.00,5.00,6.00,7.00,10.50,3.00,5.00,6.00,108,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',3397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177243,5.00,5.00,4.00,6.00,7.00,6.75,3.00,3.00,3.00,340,NULL,NULL,'ICARAÍ','NITERÓI','RJ',11024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177251,4.00,4.00,2.00,6.00,8.00,9.38,1.00,3.00,4.00,340,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',11778,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5177260,8.00,6.00,3.00,7.00,9.00,10.50,3.00,5.00,5.00,233,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177278,7.00,6.00,0.00,6.00,4.00,NULL,3.00,2.00,2.00,327,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177286,5.00,7.00,2.00,5.00,8.00,10.13,3.00,3.00,4.00,333,NULL,NULL,'MINEIRA NOVA','CRICIÚMA','SC',12044,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5177308,4.00,5.00,0.00,1.00,4.00,NULL,1.00,2.00,3.00,336,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177316,5.00,5.00,2.00,4.00,5.00,NULL,0.00,1.00,3.00,452,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177324,4.00,2.00,1.00,3.00,2.00,NULL,0.00,3.00,2.00,109,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LESTE UNIVERSITÁRIO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5177340,2.00,6.00,3.00,8.00,9.00,8.25,2.00,3.00,5.00,207,NULL,215,'ITACORUBI','FLORIANÓPOLIS','SC',11287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177359,3.00,7.00,2.00,5.00,7.00,8.25,2.00,2.00,3.00,302,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12145,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177367,3.00,6.00,2.00,4.00,8.00,8.63,3.00,5.00,7.00,205,NULL,NULL,'PRAÇA','TIJUCAS','SC',10657,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177375,4.00,6.00,2.00,5.00,4.00,8.63,2.00,1.00,2.00,502,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177383,8.00,7.00,4.00,5.00,8.00,10.13,4.00,6.00,7.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',2154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177391,6.00,6.00,2.00,6.00,9.00,8.63,3.00,3.00,5.00,207,NULL,201,'CENTRO','CANOAS','RS',7458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,428,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(20,5177421,3.00,0.00,2.00,1.00,4.00,NULL,1.00,2.00,1.00,234,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177430,6.00,6.00,1.00,7.00,9.00,8.63,1.00,3.00,3.00,215,NULL,233,'CENTRO','CRICIÚMA','SC',12380,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5177472,2.00,4.00,1.00,5.00,4.00,8.25,3.00,2.00,3.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',15589,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177480,3.00,6.00,3.00,6.00,6.00,7.13,4.00,4.00,6.00,216,NULL,201,'LIBERDADE','S PAULO','SP',9085,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177499,3.00,5.00,0.00,5.00,6.00,7.88,6.00,3.00,2.00,404,NULL,NULL,'CENTRO','BENEDITO NOVO','SC',12650,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5177510,9.00,5.00,1.00,7.00,9.00,10.88,3.00,6.00,5.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',4571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177537,5.00,7.00,2.00,7.00,5.00,10.88,4.00,1.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177545,6.00,3.00,3.00,4.00,2.00,NULL,3.00,3.00,3.00,336,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177553,3.00,4.00,3.00,5.00,6.00,NULL,0.00,3.00,2.00,216,NULL,601,'ARMAÇÃO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177570,6.00,4.00,3.00,5.00,5.00,7.88,0.00,3.00,6.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',13434,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5177588,0.00,5.00,0.00,4.00,6.00,NULL,1.00,2.00,2.00,203,NULL,211,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'JARDIM ACAPULCO','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5177600,9.00,7.00,2.00,6.00,9.00,10.13,4.00,3.00,8.00,103,NULL,NULL,'PANAZZOLO','CAXIAS SUL','RS',3029,1494,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177626,4.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,203,NULL,235,'SAO FRANCISCO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(20,5177634,6.00,8.00,1.00,6.00,6.00,8.25,2.00,4.00,6.00,203,NULL,214,'BARREIROS','S JOSÉ','SC',8348,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177642,8.00,7.00,7.00,5.00,9.00,9.75,7.00,8.00,8.00,216,NULL,215,'SANTA RITA','BRUSQUE','SC',441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177650,6.00,6.00,0.00,7.00,7.00,NULL,4.00,3.00,5.00,452,NULL,NULL,'MARECHAL RONDON','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177669,9.00,6.00,1.00,6.00,7.00,8.25,2.00,4.00,8.00,108,NULL,NULL,'JARDIM DAS INDÚSTRIA','S JOSÉ CAMPOS','SP',5107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177677,8.00,6.00,2.00,6.00,5.00,8.63,0.00,3.00,5.00,203,NULL,208,'VILA AUGUSTO','MAUÁ','SP',12029,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5177685,5.00,7.00,1.00,5.00,3.00,NULL,2.00,4.00,5.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177693,2.00,4.00,2.00,5.00,6.00,10.13,2.00,3.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177715,2.00,5.00,4.00,3.00,6.00,NULL,1.00,3.00,2.00,212,NULL,601,'PALMITAL','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5177723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5177731,8.00,5.00,7.00,7.00,8.00,9.38,5.00,4.00,6.00,220,NULL,202,'VELHA','BLUMENAU','SC',2556,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5177740,4.00,4.00,2.00,4.00,6.00,8.25,0.00,2.00,4.00,238,NULL,208,'ROÇADO','S JOSÉ','SC',14777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177758,3.00,4.00,2.00,5.00,2.00,NULL,1.00,3.00,2.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5177774,7.00,6.00,1.00,7.00,8.00,6.75,3.00,2.00,4.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177790,4.00,6.00,2.00,5.00,7.00,7.50,0.00,5.00,4.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177804,6.00,6.00,1.00,3.00,8.00,8.63,0.00,3.00,5.00,653,NULL,652,'VILA FLORESTA','MARACAJÁ','SC',10311,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5177812,6.00,6.00,3.00,7.00,6.00,9.38,2.00,3.00,4.00,331,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',8157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177820,6.00,6.00,0.00,7.00,5.00,10.50,2.00,3.00,6.00,318,NULL,NULL,'MALUCHE','BRUSQUE','SC',11094,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5177839,3.00,3.00,0.00,1.00,4.00,NULL,2.00,0.00,1.00,301,NULL,NULL,'FAZENDA DO RIO TAVAR','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177847,3.00,4.00,2.00,5.00,5.00,7.13,3.00,0.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177855,4.00,5.00,0.00,5.00,3.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','XAVANTINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5177871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5177880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5177898,4.00,7.00,6.00,7.00,6.00,7.50,4.00,3.00,4.00,208,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177910,8.00,7.00,5.00,7.00,9.00,7.13,6.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177928,7.00,5.00,3.00,6.00,5.00,4.50,4.00,2.00,4.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177936,6.00,5.00,1.00,5.00,7.00,10.13,2.00,2.00,5.00,238,NULL,208,'RATONES','FLORIANÓPOLIS','SC',12238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177944,4.00,5.00,1.00,6.00,5.00,8.25,0.00,1.00,3.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',16172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177952,6.00,4.00,2.00,4.00,5.00,9.75,1.00,3.00,2.00,420,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',15310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5177960,9.00,6.00,2.00,7.00,9.00,9.00,1.00,4.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5697,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5177987,5.00,4.00,4.00,8.00,9.00,9.38,1.00,2.00,6.00,9,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',8015,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5178002,8.00,7.00,4.00,7.00,8.00,9.38,3.00,6.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178010,8.00,6.00,5.00,8.00,6.00,8.63,4.00,5.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2901,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5178029,3.00,6.00,0.00,6.00,4.00,NULL,3.00,1.00,2.00,303,NULL,NULL,'VILA RAU','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5178037,5.00,6.00,0.00,5.00,7.00,NULL,1.00,4.00,1.00,318,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5178045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD INF D HENRIQUE','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5178061,4.00,7.00,5.00,4.00,3.00,NULL,2.00,3.00,5.00,201,NULL,203,'SANTO ANTONIO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5178070,5.00,7.00,3.00,6.00,9.00,6.75,1.00,3.00,4.00,238,NULL,208,'CENTRO','TUBARÃO','SC',10545,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5178088,7.00,7.00,5.00,7.00,10.00,8.63,2.00,5.00,4.00,103,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',4721,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5178096,2.00,5.00,2.00,2.00,0.00,NULL,1.00,3.00,3.00,551,NULL,NULL,'INTERIOR','LAJEADO GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,4),(20,5178100,2.00,3.00,4.00,2.00,4.00,NULL,1.00,2.00,2.00,316,NULL,NULL,'SAO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5178118,3.00,0.00,1.00,6.00,7.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5178142,3.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SANTA TEREZINHA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(20,5178150,4.00,4.00,4.00,6.00,5.00,6.75,1.00,1.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178169,3.00,5.00,1.00,1.00,6.00,NULL,1.00,2.00,5.00,104,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5178185,7.00,7.00,4.00,5.00,6.00,9.75,2.00,0.00,4.00,452,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178193,5.00,7.00,5.00,7.00,8.00,7.13,4.00,2.00,5.00,212,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',8210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5178223,1.00,5.00,2.00,2.00,4.00,NULL,0.00,2.00,0.00,104,NULL,NULL,'BOA VISTA','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5178240,7.00,6.00,6.00,7.00,6.00,9.38,3.00,6.00,6.00,103,NULL,NULL,'GLÓRIA','CARAZINHO','RS',3346,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5178258,4.00,3.00,2.00,6.00,6.00,8.25,1.00,3.00,2.00,301,NULL,NULL,'GOIABEIRAS','CUIABÁ','MT',14556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'BRASIL','ITU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5178282,6.00,4.00,1.00,5.00,5.00,8.63,2.00,3.00,2.00,425,NULL,428,'BELA VISTA I','S JOSÉ','SC',13935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178304,2.00,3.00,1.00,0.00,1.00,NULL,1.00,2.00,1.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5178312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5178339,6.00,6.00,2.00,5.00,10.00,6.38,1.00,5.00,6.00,102,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11411,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5178347,6.00,5.00,2.00,7.00,7.00,9.00,3.00,4.00,5.00,108,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',10435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','AURORA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5178363,5.00,8.00,2.00,3.00,7.00,9.38,0.00,4.00,3.00,453,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5178371,7.00,5.00,3.00,8.00,9.00,9.00,4.00,3.00,7.00,450,NULL,NULL,'CENTRO','PTO ALEGRE','RS',4535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178398,4.00,5.00,1.00,6.00,6.00,7.88,2.00,3.00,2.00,317,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',13938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178401,7.00,7.00,6.00,7.00,9.00,12.38,6.00,4.00,7.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178410,6.00,5.00,4.00,7.00,7.00,7.13,4.00,3.00,5.00,450,NULL,NULL,'CENTRO','NOVA TRENTO','SC',8421,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(20,5178436,5.00,6.00,1.00,6.00,9.00,9.00,0.00,3.00,6.00,425,NULL,429,'ITAGUAÇU','FLORIANÓPOLIS','SC',12931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178444,6.00,6.00,2.00,4.00,6.00,NULL,2.00,1.00,3.00,108,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,6),(20,5178452,2.00,5.00,3.00,5.00,5.00,10.50,0.00,3.00,4.00,103,NULL,NULL,'CHACARA DAS PEDRAS','PTO ALEGRE','RS',14703,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5178460,8.00,8.00,6.00,7.00,10.00,7.13,8.00,7.00,8.00,103,NULL,NULL,'PARADA INGLESA','S PAULO','SP',490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178479,7.00,7.00,4.00,4.00,6.00,7.50,2.00,2.00,6.00,336,NULL,NULL,'LAGOINHA','MAIRINQUE','SP',8185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5178495,3.00,5.00,1.00,6.00,5.00,9.00,0.00,3.00,3.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',14448,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5178509,4.00,6.00,1.00,6.00,5.00,7.50,3.00,3.00,4.00,444,NULL,NULL,'CENTRO','MARAVILHA','SC',14391,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5178517,3.00,1.00,1.00,3.00,4.00,NULL,1.00,1.00,4.00,308,NULL,NULL,'SANTA CRUZ','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5178525,9.00,7.00,5.00,7.00,7.00,6.38,3.00,5.00,6.00,214,NULL,201,'VILA AIROSA','OSASCO','SP',3881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178533,1.00,6.00,0.00,3.00,3.00,NULL,2.00,0.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178568,8.00,7.00,5.00,7.00,9.00,9.00,5.00,4.00,7.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',1969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178576,7.00,7.00,4.00,5.00,6.00,9.00,2.00,4.00,4.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5178584,3.00,3.00,2.00,3.00,3.00,NULL,4.00,2.00,3.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5178592,2.00,5.00,3.00,4.00,6.00,NULL,0.00,1.00,3.00,104,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5178606,4.00,4.00,4.00,5.00,7.00,7.88,3.00,2.00,6.00,303,NULL,NULL,'SANTO ANTÔNIO','TUBARÃO','SC',12552,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5178614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5178622,5.00,5.00,2.00,4.00,4.00,NULL,1.00,2.00,1.00,208,NULL,NULL,'NOSSA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5178630,2.00,4.00,0.00,3.00,1.00,NULL,0.00,1.00,1.00,303,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5178649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ARAÇATUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5178657,6.00,6.00,7.00,6.00,6.00,8.25,2.00,4.00,7.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178681,5.00,6.00,0.00,6.00,4.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178690,8.00,6.00,3.00,4.00,6.00,9.38,0.00,2.00,6.00,333,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',9496,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5178703,4.00,2.00,1.00,2.00,7.00,NULL,2.00,4.00,4.00,501,NULL,NULL,'CENTRO','BURITAMA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5178711,5.00,8.00,2.00,7.00,5.00,7.88,4.00,3.00,5.00,340,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178720,3.00,7.00,4.00,3.00,5.00,4.50,2.00,3.00,4.00,108,NULL,NULL,'BOSQUER DOS EUCALIPT','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178746,3.00,0.00,4.00,5.00,7.00,NULL,0.00,0.00,0.00,201,NULL,238,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(20,5178754,4.00,3.00,2.00,3.00,4.00,NULL,2.00,2.00,4.00,316,NULL,NULL,'JARDIM SÃO NICOLAU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5178762,4.00,2.00,0.00,4.00,6.00,NULL,0.00,4.00,0.00,340,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5178789,6.00,4.00,2.00,7.00,8.00,9.75,1.00,2.00,3.00,207,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5178797,4.00,4.00,1.00,5.00,6.00,NULL,1.00,2.00,3.00,333,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5178800,7.00,6.00,4.00,5.00,9.00,11.25,5.00,5.00,3.00,453,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5171,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5178827,7.00,8.00,6.00,8.00,9.00,7.13,2.00,5.00,7.00,301,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',3986,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5178835,6.00,8.00,4.00,5.00,8.00,9.00,4.00,4.00,4.00,452,NULL,NULL,'CENTRO','TUBARÃO','SC',5008,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5178843,5.00,8.00,1.00,5.00,8.00,10.13,2.00,3.00,4.00,213,NULL,208,'CENTRO','CRICIÚMA','SC',9314,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5178851,7.00,5.00,3.00,2.00,7.00,7.88,1.00,3.00,4.00,108,NULL,NULL,'IMIGRANTES','GUARAMIRIM','SC',10593,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5178860,2.00,3.00,3.00,6.00,7.00,7.13,0.00,3.00,3.00,302,NULL,NULL,'SANTA TERESINHA','STO ANDRÉ','SP',14794,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178878,7.00,6.00,6.00,7.00,10.00,11.25,5.00,6.00,7.00,201,NULL,208,'KOBRASOL','S JOSÉ','SC',897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178886,4.00,6.00,2.00,3.00,6.00,NULL,0.00,4.00,0.00,5,NULL,NULL,'JOSÉ BONIFÁCIO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5178916,3.00,6.00,9.00,7.00,8.00,10.13,8.00,6.00,7.00,220,NULL,208,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',1067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178924,4.00,3.00,3.00,5.00,3.00,NULL,3.00,4.00,3.00,601,NULL,216,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5178932,9.00,8.00,4.00,7.00,9.00,14.25,6.00,4.00,8.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178967,6.00,5.00,0.00,7.00,9.00,8.25,1.00,2.00,3.00,303,NULL,NULL,'CAMOBI','STA MARIA','RS',10091,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5178975,8.00,7.00,4.00,7.00,8.00,11.63,5.00,3.00,7.00,420,NULL,NULL,'JAGUARIBE','OSASCO','SP',3131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5178983,3.00,7.00,4.00,5.00,8.00,8.25,3.00,3.00,6.00,205,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5178991,3.00,3.00,1.00,4.00,5.00,NULL,5.00,3.00,1.00,301,NULL,NULL,'SANTA FÉ','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179009,4.00,7.00,3.00,6.00,4.00,7.13,2.00,2.00,1.00,103,NULL,NULL,'ALTO CAFEZAL','MARÍLIA','SP',15470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179017,4.00,6.00,3.00,6.00,6.00,7.50,1.00,3.00,4.00,104,NULL,NULL,'JARDIM ITÁLIA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5179050,3.00,3.00,1.00,2.00,5.00,NULL,0.00,1.00,1.00,3,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179068,8.00,7.00,5.00,5.00,6.00,7.50,4.00,5.00,8.00,201,NULL,212,'CRISTO REI','FRANCISCO BELTRÃO','PR',4767,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5179084,7.00,6.00,3.00,7.00,8.00,NULL,0.00,5.00,4.00,326,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179092,5.00,5.00,1.00,3.00,5.00,NULL,1.00,3.00,3.00,501,NULL,NULL,'CENTRO','CPO ERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5179106,5.00,5.00,1.00,4.00,3.00,NULL,3.00,2.00,0.00,444,NULL,NULL,'SANTA CRUZ','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5179114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5179122,3.00,8.00,2.00,4.00,4.00,6.38,2.00,1.00,3.00,238,NULL,208,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',15464,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5179130,1.00,4.00,2.00,1.00,6.00,NULL,1.00,1.00,4.00,5,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179149,1.00,6.00,3.00,4.00,5.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179157,4.00,6.00,0.00,6.00,5.00,NULL,2.00,2.00,2.00,211,NULL,NULL,'BARUERI','BARUERI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179165,6.00,5.00,5.00,7.00,7.00,11.25,3.00,2.00,5.00,201,NULL,207,'CENTRO','NOVA PALMA','RS',6617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179173,6.00,8.00,1.00,5.00,5.00,9.00,3.00,3.00,4.00,223,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',9518,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5179203,6.00,6.00,2.00,7.00,8.00,6.75,1.00,3.00,7.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',7878,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5179211,4.00,5.00,1.00,7.00,4.00,7.50,1.00,1.00,2.00,103,NULL,NULL,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5179220,4.00,5.00,3.00,5.00,8.00,10.50,3.00,2.00,4.00,102,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',12759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5179238,2.00,5.00,0.00,5.00,2.00,NULL,1.00,2.00,3.00,104,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5179246,6.00,5.00,3.00,5.00,4.00,8.25,1.00,4.00,4.00,234,NULL,NULL,'CIDADE PATRIARCA','S PAULO','SP',12311,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5179254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'NAÇÕES','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5179262,2.00,4.00,1.00,4.00,3.00,NULL,1.00,2.00,2.00,5,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5179270,4.00,5.00,0.00,4.00,5.00,NULL,2.00,2.00,2.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5179297,6.00,4.00,4.00,5.00,7.00,9.75,2.00,4.00,3.00,428,NULL,423,'SANTANA','RIO SUL','SC',10458,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5179300,5.00,5.00,4.00,7.00,5.00,7.88,1.00,2.00,5.00,108,NULL,NULL,'JARDIM MARAJOARA','S PAULO','SP',12060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179319,7.00,7.00,3.00,7.00,10.00,9.75,3.00,4.00,6.00,104,NULL,NULL,'CENTRO','TUBARÃO','SC',4340,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5179327,5.00,6.00,0.00,5.00,5.00,8.25,1.00,5.00,3.00,101,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12710,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5179335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5179351,7.00,7.00,3.00,6.00,8.00,6.38,2.00,4.00,4.00,238,NULL,208,'COQUEIROS','FLORIANÓPOLIS','SC',9140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5179378,5.00,6.00,0.00,4.00,5.00,NULL,3.00,2.00,2.00,340,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5179386,5.00,5.00,5.00,2.00,6.00,6.38,3.00,2.00,2.00,203,NULL,238,'CENTRO','BURITAMA','SP',14723,921,NULL,370,NULL,NULL,NULL,2,1),(20,5179394,8.00,6.00,5.00,7.00,11.00,10.13,6.00,4.00,7.00,103,NULL,NULL,'ALTOS DO ESPLANADA','S JOSÉ CAMPOS','SP',1373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179408,4.00,3.00,4.00,4.00,5.00,8.25,1.00,4.00,3.00,333,NULL,NULL,'NOIVA DA COLINA','PIRACICABA','SP',14909,145,NULL,NULL,NULL,NULL,NULL,4,6),(20,5179416,5.00,7.00,3.00,5.00,9.00,9.75,1.00,3.00,4.00,452,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',9248,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5179424,6.00,6.00,1.00,5.00,6.00,8.63,3.00,2.00,5.00,333,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5179432,6.00,7.00,5.00,7.00,9.00,8.63,4.00,5.00,6.00,203,NULL,233,'MOINHOS DE VENTO','PTO ALEGRE','RS',2819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179440,7.00,7.00,6.00,7.00,8.00,9.38,7.00,4.00,9.00,103,NULL,NULL,'JARDIM PARAISO','BOTUCATU','SP',1242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179459,6.00,6.00,3.00,8.00,8.00,7.13,3.00,6.00,6.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179475,3.00,3.00,2.00,2.00,5.00,NULL,0.00,4.00,3.00,653,NULL,652,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5179491,3.00,7.00,1.00,5.00,4.00,8.25,2.00,5.00,5.00,444,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',13122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179505,4.00,7.00,3.00,7.00,4.00,9.00,2.00,7.00,6.00,329,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',9501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179513,5.00,8.00,2.00,5.00,8.00,10.50,7.00,3.00,3.00,235,NULL,202,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',7311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5179530,6.00,5.00,1.00,7.00,8.00,9.38,2.00,2.00,5.00,216,NULL,207,'SETOR PEDRO LUDOVIDO','GOIÂNIA','GO',7465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179548,1.00,3.00,1.00,3.00,5.00,NULL,2.00,3.00,2.00,104,NULL,NULL,'MUNICIPIOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5179556,5.00,3.00,3.00,5.00,6.00,6.75,0.00,5.00,5.00,235,NULL,220,'CENTRO','MANDAGUAÇU','PR',14312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179564,5.00,5.00,1.00,5.00,6.00,7.13,2.00,2.00,5.00,238,NULL,208,'REUNIDAS','CAÇADOR','SC',12310,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5179572,1.00,4.00,0.00,4.00,6.00,NULL,1.00,3.00,0.00,9,NULL,NULL,'PROFIPO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5179599,6.00,6.00,2.00,6.00,7.00,9.38,0.00,3.00,4.00,450,NULL,NULL,'CENTRO','ITAJAÍ','SC',8805,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5179602,5.00,7.00,2.00,5.00,8.00,11.63,2.00,2.00,5.00,451,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5179610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'GLÓRIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5179629,9.00,7.00,5.00,7.00,9.00,7.88,4.00,4.00,7.00,103,NULL,NULL,'CHÁCARA CACHOEIRA','CPO GRANDE','MS',2278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM DAS NAÇÕES','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5179653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AUXILIADORA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5179670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMBUCI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5179688,5.00,4.00,4.00,4.00,1.00,NULL,4.00,4.00,5.00,303,NULL,NULL,'PRESIDENTE MEDICI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5179700,8.00,6.00,2.00,6.00,8.00,7.88,4.00,4.00,5.00,302,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',7431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179718,5.00,6.00,2.00,7.00,5.00,9.75,0.00,1.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179726,2.00,2.00,0.00,4.00,2.00,NULL,0.00,1.00,1.00,208,NULL,235,'GANCHOS DE FORA','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5179750,5.00,5.00,0.00,5.00,3.00,NULL,1.00,2.00,5.00,108,NULL,NULL,'PASSO DAREIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5179785,1.00,4.00,0.00,3.00,6.00,NULL,2.00,0.00,5.00,429,NULL,425,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179793,5.00,7.00,4.00,6.00,7.00,8.25,0.00,3.00,4.00,104,NULL,NULL,'CARANDÁ BOSQUE','CPO GRANDE','MS',9372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179807,5.00,3.00,2.00,5.00,8.00,8.63,3.00,2.00,7.00,104,NULL,NULL,'SANTA TEREZA','S LEOPOLDO','RS',11100,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5179815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOÃO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5179823,1.00,4.00,5.00,5.00,8.00,12.00,1.00,7.00,4.00,425,NULL,429,'SERRARIAS','S JOSÉ','SC',9505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179831,4.00,3.00,1.00,6.00,5.00,NULL,1.00,1.00,4.00,427,NULL,428,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5179840,7.00,7.00,2.00,7.00,7.00,10.88,2.00,5.00,6.00,310,NULL,NULL,'VILA SUZANA','S PAULO','SP',4980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179866,0.00,3.00,2.00,4.00,4.00,NULL,0.00,1.00,1.00,9,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5179882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'PRIMEIRO DE MAIO','DIONÍSIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5179890,5.00,8.00,5.00,4.00,4.00,7.88,3.00,2.00,2.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14893,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5179904,3.00,5.00,0.00,5.00,4.00,NULL,0.00,1.00,1.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5179912,6.00,7.00,2.00,2.00,5.00,7.50,0.00,2.00,3.00,326,NULL,NULL,'SANTO ANTONIO','FRAIBURGO','SC',14259,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5179920,7.00,7.00,0.00,6.00,6.00,9.38,3.00,3.00,4.00,104,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',8084,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5179939,5.00,4.00,1.00,4.00,8.00,7.50,3.00,4.00,5.00,108,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',11654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179947,4.00,5.00,1.00,2.00,1.00,NULL,2.00,2.00,5.00,302,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179955,3.00,6.00,3.00,2.00,6.00,NULL,0.00,1.00,4.00,444,NULL,NULL,'JARDIM DAS PALMEIRAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179963,5.00,5.00,3.00,7.00,8.00,9.00,2.00,3.00,5.00,5,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',9327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5179971,6.00,5.00,1.00,7.00,6.00,10.13,2.00,3.00,5.00,207,NULL,201,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5179980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5180007,5.00,4.00,2.00,5.00,4.00,8.25,3.00,3.00,3.00,108,NULL,NULL,'PIONEIRO','PINHALZINHO','SC',14144,262,NULL,NULL,NULL,NULL,NULL,2,4),(20,5180015,3.00,4.00,2.00,5.00,5.00,NULL,4.00,1.00,0.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5180023,6.00,7.00,2.00,6.00,6.00,9.00,3.00,4.00,4.00,238,NULL,208,'COMERCIÁRIO','CRICIÚMA','SC',7662,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5180031,7.00,7.00,5.00,5.00,6.00,7.13,1.00,4.00,7.00,238,NULL,208,'JOÃO PAULO','FLORIANÓPOLIS','SC',7763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5180040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5180066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'COLONIAL','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5180082,6.00,6.00,4.00,5.00,7.00,7.13,3.00,6.00,5.00,208,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',7942,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5180090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5180104,9.00,6.00,0.00,6.00,9.00,9.75,1.00,2.00,7.00,108,NULL,NULL,'CENTRO','CAXIAS SUL','RS',6290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5180112,3.00,5.00,1.00,2.00,2.00,NULL,1.00,3.00,3.00,201,NULL,207,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5180120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5180155,5.00,7.00,2.00,5.00,10.00,8.25,2.00,5.00,1.00,301,NULL,NULL,'VILA INDUSTRIAL','ALUMÍNIO','SP',11166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5180163,2.00,1.00,0.00,4.00,1.00,NULL,1.00,2.00,2.00,326,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5180171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5180180,6.00,4.00,1.00,4.00,5.00,6.00,1.00,3.00,3.00,327,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5180201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOSSA S DAS GRAÇAS','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5180228,9.00,6.00,4.00,6.00,9.00,10.13,6.00,6.00,7.00,103,NULL,NULL,'TV MORENA','CPO GRANDE','MS',1332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5180260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'EMBOGUAÇU','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5180287,3.00,7.00,4.00,4.00,6.00,6.38,2.00,3.00,3.00,235,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',15038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5180295,6.00,7.00,1.00,7.00,10.00,12.00,2.00,5.00,4.00,5,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',3622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5180309,2.00,5.00,0.00,4.00,5.00,NULL,0.00,2.00,3.00,101,NULL,NULL,'MORRO DA BINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5180317,4.00,4.00,2.00,3.00,3.00,NULL,1.00,2.00,2.00,212,NULL,216,'SERRIL','BRAÇO TROMBUDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5180325,7.00,8.00,3.00,7.00,6.00,7.50,5.00,6.00,8.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',2660,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5180333,2.00,6.00,0.00,5.00,4.00,NULL,3.00,2.00,2.00,339,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5180341,3.00,7.00,4.00,4.00,4.00,NULL,0.00,0.00,2.00,501,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5180376,2.00,4.00,1.00,3.00,5.00,NULL,2.00,1.00,1.00,339,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5180384,7.00,7.00,2.00,6.00,8.00,8.25,1.00,3.00,3.00,503,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5180392,4.00,7.00,4.00,4.00,5.00,8.25,3.00,2.00,2.00,238,NULL,208,'ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC',13545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5180414,8.00,7.00,6.00,3.00,7.00,9.38,4.00,5.00,6.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4196,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5180422,1.00,5.00,2.00,4.00,6.00,NULL,1.00,2.00,3.00,104,NULL,NULL,'BORGES DE MEDEIROS','MARAU','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5180465,6.00,6.00,4.00,5.00,6.00,9.38,6.00,4.00,6.00,220,NULL,202,'CENTRO','S JOSÉ','SC',7049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5180481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5180503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5180538,6.00,6.00,2.00,4.00,6.00,8.25,3.00,0.00,4.00,444,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',14500,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5180554,7.00,5.00,3.00,5.00,8.00,6.75,1.00,3.00,6.00,3,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10145,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5180562,4.00,6.00,0.00,4.00,4.00,NULL,1.00,3.00,3.00,5,NULL,NULL,'SANTA TERESA','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5180597,5.00,7.00,4.00,2.00,5.00,9.38,1.00,1.00,6.00,326,NULL,NULL,'JARDIM SILVINA','S BERNARDO CAMPO','SP',14668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5180619,2.00,5.00,0.00,3.00,5.00,NULL,1.00,2.00,4.00,301,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5180627,6.00,7.00,1.00,4.00,3.00,NULL,3.00,4.00,5.00,324,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5180635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SUZANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5180643,1.00,3.00,5.00,0.00,2.00,NULL,3.00,1.00,2.00,238,NULL,208,'AREIAS','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5180651,3.00,5.00,2.00,7.00,8.00,7.50,2.00,1.00,2.00,233,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',15340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5180660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5180678,5.00,5.00,1.00,4.00,3.00,NULL,2.00,2.00,4.00,238,NULL,208,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5180686,2.00,4.00,0.00,6.00,5.00,NULL,0.00,1.00,3.00,102,NULL,NULL,'CENTRO','BAL BARRA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5180694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5180708,2.00,4.00,3.00,3.00,7.00,NULL,3.00,3.00,0.00,316,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5180716,3.00,5.00,2.00,6.00,3.00,NULL,1.00,2.00,1.00,213,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5180724,6.00,6.00,1.00,6.00,7.00,9.00,2.00,3.00,6.00,203,NULL,202,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(20,5180759,7.00,6.00,1.00,6.00,9.00,9.75,4.00,4.00,5.00,5,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',9219,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5180767,2.00,5.00,0.00,3.00,5.00,NULL,2.00,2.00,2.00,653,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5180783,7.00,8.00,3.00,7.00,8.00,7.88,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',3503,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5180813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','IPORÃ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5180821,7.00,5.00,2.00,6.00,10.00,7.88,3.00,6.00,4.00,420,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',7280,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5180830,8.00,5.00,5.00,5.00,7.00,6.38,5.00,6.00,5.00,502,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',6561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5180899,9.00,7.00,4.00,7.00,6.00,9.75,1.00,5.00,8.00,301,NULL,NULL,'ATIRADORES','JOINVILLE','SC',5552,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5180902,6.00,4.00,3.00,5.00,6.00,6.00,2.00,4.00,2.00,211,NULL,235,'SÃO BRAZ','CURITIBA','PR',14669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5180929,5.00,0.00,3.00,6.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'EXPOSIÇÃO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5180937,3.00,4.00,0.00,5.00,7.00,9.00,1.00,2.00,6.00,203,NULL,220,'CENTRO','CAMPOS NOVOS','SC',14622,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5180961,8.00,6.00,1.00,4.00,9.00,10.50,5.00,4.00,7.00,103,NULL,NULL,'PARQUE JOINVILLE','JOINVILLE','SC',4579,2021,NULL,NULL,NULL,NULL,NULL,2,8),(20,5180970,6.00,6.00,4.00,6.00,5.00,10.13,5.00,4.00,4.00,208,NULL,NULL,'BARREIROS','S JOSÉ','SC',7204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5180996,5.00,8.00,2.00,7.00,6.00,7.88,4.00,2.00,6.00,5,NULL,NULL,'CAMOBI','STA MARIA','RS',6906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181003,3.00,0.00,2.00,5.00,6.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(20,5181020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TERRA RICA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5181046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'TABOÃO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5181062,9.00,6.00,7.00,6.00,11.00,8.25,6.00,5.00,8.00,103,NULL,NULL,'NOVA RUSSIA','PNT GROSSA','PR',1117,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5181070,5.00,5.00,2.00,5.00,5.00,7.50,3.00,4.00,2.00,450,NULL,NULL,'SAO FRANCISCO','S LOURENÇO OESTE','SC',15857,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5181089,8.00,8.00,1.00,5.00,7.00,8.25,1.00,4.00,2.00,5,NULL,NULL,'JARDIM GUARAPUAVA','FOZ IGUAÇU','PR',10054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181100,5.00,6.00,2.00,4.00,5.00,8.25,2.00,2.00,6.00,326,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14317,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181119,3.00,5.00,0.00,5.00,3.00,NULL,4.00,0.00,2.00,203,NULL,NULL,'CENTRO','ENCANTADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181127,8.00,6.00,2.00,6.00,8.00,10.13,4.00,4.00,8.00,202,NULL,233,'MEIA PRAIA','ITAPEMA','SC',5960,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5181135,5.00,4.00,0.00,4.00,5.00,NULL,2.00,3.00,4.00,339,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181143,8.00,6.00,5.00,8.00,8.00,7.13,4.00,3.00,8.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',3275,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5181160,5.00,4.00,3.00,7.00,4.00,9.75,2.00,3.00,8.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',10810,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5181186,9.00,7.00,7.00,6.00,10.00,10.50,7.00,5.00,8.00,103,NULL,NULL,'RIO DO PEIXE','LUIZ ALVES','SC',454,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5181194,4.00,5.00,0.00,2.00,3.00,NULL,3.00,4.00,2.00,316,NULL,NULL,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,216,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5181216,6.00,8.00,7.00,7.00,9.00,12.38,3.00,4.00,7.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',2663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181224,1.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5181232,3.00,6.00,0.00,5.00,3.00,NULL,0.00,2.00,3.00,404,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181240,5.00,4.00,3.00,2.00,6.00,7.13,1.00,5.00,4.00,201,NULL,211,'INDEPENDECIA','CASCAVEL','PR',13717,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5181267,5.00,7.00,5.00,7.00,7.00,9.00,2.00,4.00,5.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',8325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181275,1.00,4.00,0.00,3.00,5.00,NULL,2.00,0.00,6.00,308,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181283,3.00,3.00,0.00,4.00,5.00,NULL,1.00,2.00,1.00,308,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5181305,5.00,4.00,1.00,5.00,6.00,9.00,3.00,2.00,3.00,324,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181313,5.00,6.00,7.00,6.00,7.00,6.38,8.00,3.00,6.00,203,NULL,202,'AGUA VERDE','CURITIBA','PR',4042,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5181330,4.00,6.00,4.00,0.00,3.00,NULL,2.00,1.00,3.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181348,8.00,7.00,5.00,6.00,10.00,11.63,6.00,5.00,7.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181356,5.00,6.00,2.00,6.00,7.00,8.25,1.00,2.00,5.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',11967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181364,5.00,8.00,2.00,7.00,8.00,10.13,3.00,4.00,4.00,451,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',8990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5181380,8.00,8.00,7.00,7.00,9.00,11.63,7.00,8.00,6.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',357,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5181399,4.00,7.00,3.00,5.00,6.00,7.13,2.00,2.00,3.00,212,NULL,211,'SANTINHO','FLORIANÓPOLIS','SC',15833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181402,9.00,7.00,3.00,8.00,7.00,9.75,4.00,5.00,8.00,108,NULL,NULL,'VILA IPOJUCA','S PAULO','SP',2081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181429,1.00,4.00,1.00,1.00,3.00,NULL,4.00,2.00,3.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181437,1.00,6.00,1.00,3.00,3.00,NULL,1.00,2.00,1.00,319,NULL,NULL,'CENTRO','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181445,5.00,5.00,3.00,7.00,2.00,NULL,2.00,3.00,4.00,316,NULL,NULL,'SACO GRANDE II','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181453,5.00,5.00,2.00,3.00,1.00,NULL,0.00,4.00,3.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5181488,9.00,6.00,3.00,6.00,8.00,7.88,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',4197,1902,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181496,4.00,4.00,3.00,4.00,4.00,6.00,3.00,2.00,5.00,653,NULL,652,'CAVERAZINHO','ARARANGUÁ','SC',16117,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5181500,3.00,7.00,1.00,5.00,7.00,11.25,2.00,1.00,4.00,421,NULL,424,'TRINDADE','FLORIANÓPOLIS','SC',14717,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181518,2.00,6.00,0.00,3.00,4.00,NULL,2.00,1.00,2.00,202,NULL,213,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181526,3.00,5.00,0.00,3.00,5.00,NULL,0.00,1.00,1.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5181534,6.00,8.00,2.00,3.00,5.00,9.75,0.00,4.00,3.00,302,NULL,NULL,'AREIAS','S JOSÉ','SC',13782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181542,6.00,5.00,1.00,5.00,6.00,6.75,2.00,4.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181550,7.00,6.00,5.00,7.00,7.00,8.63,5.00,2.00,6.00,220,NULL,235,'TAQUARAL','CAMPINAS','SP',4612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181569,8.00,7.00,1.00,5.00,9.00,8.63,1.00,6.00,8.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',3921,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,238,'NOVO CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5181607,2.00,3.00,1.00,5.00,4.00,8.25,2.00,5.00,2.00,502,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181615,3.00,7.00,1.00,7.00,7.00,NULL,0.00,3.00,5.00,426,NULL,425,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181623,8.00,3.00,1.00,2.00,4.00,NULL,0.00,1.00,3.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5181640,5.00,5.00,2.00,4.00,4.00,8.25,2.00,4.00,3.00,317,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14624,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181658,2.00,3.00,0.00,1.00,3.00,NULL,2.00,3.00,3.00,653,NULL,652,'ERECHIM','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5181674,4.00,7.00,3.00,6.00,7.00,8.25,3.00,4.00,6.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181682,7.00,5.00,3.00,7.00,8.00,10.88,4.00,2.00,7.00,103,NULL,NULL,'JD EUROPA','SOROCABA','SP',3847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181690,4.00,3.00,1.00,0.00,3.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5181704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CAÇADOR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5181712,4.00,6.00,0.00,1.00,5.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181739,9.00,8.00,3.00,5.00,11.00,10.50,6.00,7.00,6.00,108,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',1017,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181747,8.00,6.00,3.00,4.00,8.00,11.63,3.00,3.00,3.00,303,NULL,NULL,'CENTRO','CPO GRANDE','MS',5962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181755,6.00,5.00,4.00,4.00,8.00,8.25,5.00,3.00,5.00,103,NULL,NULL,'CENTRO','ITAIÓPOLIS','SC',6800,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5181771,7.00,5.00,2.00,5.00,10.00,8.25,2.00,5.00,4.00,207,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',8377,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,423,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5181801,7.00,4.00,3.00,5.00,4.00,7.88,3.00,2.00,4.00,104,NULL,NULL,'BOQUEIRAO','CURITIBA','PR',12393,313,NULL,NULL,NULL,NULL,NULL,4,2),(20,5181810,4.00,5.00,3.00,7.00,7.00,8.63,3.00,3.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ADIB MOUSSA','STA ROSA VITERBO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5181836,8.00,7.00,4.00,7.00,10.00,8.63,5.00,5.00,7.00,103,NULL,NULL,'BARREIRINHA','CURITIBA','PR',1421,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5181844,5.00,5.00,3.00,6.00,8.00,9.00,2.00,4.00,5.00,238,NULL,NULL,'VILA MARIA','CAMPINAS','SP',7315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181852,4.00,6.00,1.00,5.00,5.00,7.88,2.00,4.00,5.00,102,NULL,NULL,'BELA VISTA','COCAL SUL','SC',13704,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5181860,4.00,7.00,4.00,0.00,1.00,NULL,3.00,2.00,3.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5181879,4.00,6.00,4.00,1.00,5.00,6.38,2.00,3.00,4.00,207,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181887,7.00,7.00,2.00,4.00,6.00,7.50,6.00,4.00,5.00,103,NULL,NULL,'CIDADE MINERA VELHA','CRICIÚMA','SC',8098,2845,NULL,NULL,NULL,NULL,NULL,2,5),(20,5181895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','HUMAITÁ','AM',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5181909,5.00,5.00,5.00,6.00,7.00,7.88,0.00,2.00,7.00,103,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',9995,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5181917,7.00,6.00,5.00,6.00,8.00,8.63,5.00,3.00,5.00,444,NULL,NULL,'PADRE MARTINHO STEIN','TIMBÓ','SC',5417,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5181925,8.00,6.00,5.00,5.00,7.00,7.88,3.00,5.00,4.00,5,NULL,NULL,'JARDIM FLAMBOYANT','PALHOÇA','SC',7051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181933,3.00,4.00,1.00,2.00,2.00,NULL,3.00,2.00,0.00,317,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181941,6.00,5.00,5.00,7.00,10.00,8.25,3.00,4.00,5.00,5,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',5317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181950,2.00,4.00,3.00,4.00,5.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5181968,2.00,3.00,0.00,4.00,2.00,NULL,3.00,3.00,4.00,551,NULL,NULL,'SÃO FRANCISCO','S JOSÉ OURO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5181992,8.00,6.00,5.00,6.00,6.00,6.75,1.00,3.00,4.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',7794,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5182018,8.00,8.00,5.00,2.00,6.00,10.13,4.00,6.00,6.00,216,NULL,NULL,'PLANTA ARAÇATUBA','PIRAQUARA','PR',2969,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5182026,4.00,5.00,3.00,5.00,6.00,6.75,3.00,3.00,5.00,319,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',13861,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5182042,6.00,5.00,0.00,5.00,6.00,9.38,0.00,3.00,4.00,103,NULL,NULL,'NAÇÕES','FRAIBURGO','SC',14950,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5182050,7.00,7.00,3.00,4.00,9.00,7.88,3.00,6.00,5.00,5,NULL,NULL,'CENTRO','ITUPORANGA','SC',4850,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5182069,7.00,6.00,0.00,5.00,7.00,10.50,2.00,0.00,5.00,108,NULL,NULL,'IPIRANGA','S JOSÉ','SC',11553,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5182077,1.00,6.00,1.00,2.00,2.00,NULL,1.00,2.00,0.00,208,NULL,201,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5182085,3.00,4.00,2.00,2.00,4.00,NULL,2.00,2.00,2.00,420,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5182093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5182115,7.00,5.00,1.00,5.00,6.00,9.38,2.00,5.00,5.00,5,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',10901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5182123,2.00,3.00,0.00,2.00,4.00,NULL,2.00,3.00,3.00,308,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5182140,3.00,6.00,4.00,5.00,3.00,NULL,2.00,1.00,2.00,601,NULL,202,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5182166,4.00,5.00,2.00,1.00,3.00,NULL,2.00,2.00,1.00,9,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5182174,2.00,4.00,0.00,2.00,3.00,NULL,2.00,3.00,3.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5182182,4.00,5.00,2.00,4.00,2.00,NULL,2.00,1.00,3.00,308,NULL,NULL,'FÁTIMA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5182190,3.00,4.00,2.00,4.00,3.00,NULL,2.00,1.00,1.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5182212,7.00,8.00,5.00,7.00,7.00,7.50,6.00,7.00,6.00,235,NULL,202,'ITACORUBI','FLORIANÓPOLIS','SC',3067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5182220,8.00,8.00,4.00,7.00,11.00,8.63,4.00,5.00,8.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5182263,5.00,5.00,1.00,5.00,6.00,7.13,3.00,3.00,3.00,203,NULL,211,'SERRARIA','S JOSÉ','SC',15899,968,NULL,493,NULL,NULL,NULL,2,1),(20,5182271,8.00,7.00,2.00,5.00,9.00,8.25,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',7114,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5182280,8.00,6.00,3.00,7.00,10.00,8.25,3.00,4.00,5.00,319,NULL,NULL,'JARDIM ATLÂNTICO','S JOSÉ','SC',4942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5182310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5182336,2.00,3.00,4.00,3.00,1.00,NULL,0.00,3.00,4.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5182344,6.00,8.00,1.00,7.00,10.00,8.25,1.00,5.00,5.00,336,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',7246,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5182352,7.00,6.00,4.00,4.00,7.00,8.63,4.00,2.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7900,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5182387,3.00,3.00,2.00,5.00,3.00,NULL,0.00,2.00,4.00,104,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5182395,0.00,4.00,0.00,4.00,3.00,NULL,2.00,0.00,1.00,102,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5182409,7.00,7.00,5.00,7.00,7.00,8.25,4.00,3.00,6.00,216,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',4540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5182417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE DA FAZENDA','ITATIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5182425,7.00,5.00,4.00,6.00,6.00,8.25,5.00,2.00,5.00,104,NULL,NULL,'CENTRO','TUBARÃO','SC',9733,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5182433,7.00,6.00,0.00,7.00,6.00,NULL,1.00,5.00,4.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5182441,3.00,6.00,1.00,4.00,5.00,NULL,1.00,3.00,4.00,104,NULL,NULL,'FÁTIMA','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,9),(20,5182468,5.00,7.00,4.00,7.00,6.00,6.75,2.00,3.00,3.00,103,NULL,NULL,'POPULAR','LAGES','SC',13003,3519,NULL,NULL,NULL,NULL,NULL,4,9),(20,5182476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHACÁRA BOA VISTA','APARECIDA TABOADO','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5182484,8.00,6.00,2.00,5.00,7.00,8.63,5.00,5.00,5.00,216,NULL,653,'AGUA VERDE','CURITIBA','PR',4628,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5182492,3.00,4.00,3.00,5.00,7.00,NULL,0.00,3.00,5.00,233,NULL,213,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5182514,2.00,5.00,2.00,3.00,1.00,NULL,2.00,2.00,2.00,501,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5182522,4.00,5.00,2.00,1.00,3.00,NULL,0.00,2.00,1.00,110,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5182530,9.00,7.00,3.00,6.00,8.00,9.38,2.00,5.00,8.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',3388,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5182557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,233,'SANTA PAULA','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5182565,3.00,4.00,0.00,2.00,4.00,NULL,0.00,1.00,4.00,426,NULL,428,'RIBEIRAODAILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5182573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5182581,9.00,6.00,9.00,7.00,10.00,10.13,8.00,6.00,6.00,203,NULL,220,'ZONA SETE','MARINGÁ','PR',203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5182590,4.00,4.00,3.00,5.00,5.00,7.88,2.00,2.00,5.00,501,NULL,NULL,'CENTRO','TANGARÁ SERRA','MT',14609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5182603,5.00,6.00,4.00,6.00,8.00,10.13,3.00,3.00,4.00,238,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',6928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5182611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5182620,2.00,4.00,1.00,4.00,4.00,NULL,2.00,2.00,2.00,208,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5182646,4.00,6.00,1.00,5.00,7.00,9.00,3.00,3.00,6.00,201,NULL,233,'CENTRO','PIRATUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5182662,6.00,6.00,3.00,7.00,7.00,7.88,4.00,5.00,6.00,333,NULL,NULL,'VILA CRUZEIRO','PASSO FUNDO','RS',7675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5182670,4.00,3.00,0.00,2.00,2.00,NULL,2.00,1.00,2.00,303,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5182689,7.00,6.00,4.00,7.00,7.00,7.50,2.00,4.00,5.00,103,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',5973,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5182697,3.00,7.00,1.00,3.00,5.00,7.13,0.00,2.00,4.00,316,NULL,NULL,'JARDIM SÃO MIGUEL','BIGUAÇU','SC',16073,257,NULL,NULL,NULL,NULL,NULL,2,1),(20,5182719,4.00,4.00,2.00,3.00,5.00,6.38,2.00,3.00,6.00,211,NULL,215,'CARVOEIRA','FLORIANÓPOLIS','SC',15095,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5182727,3.00,5.00,1.00,6.00,10.00,11.25,2.00,3.00,3.00,426,NULL,428,'CENTRO','CORUPÁ','SC',12103,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5182735,3.00,5.00,4.00,2.00,3.00,NULL,1.00,3.00,2.00,238,NULL,208,'PALHOÇA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5182751,6.00,6.00,2.00,6.00,7.00,9.00,3.00,2.00,6.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',7383,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5182760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5182786,2.00,3.00,3.00,4.00,5.00,NULL,2.00,1.00,2.00,319,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5182794,7.00,6.00,1.00,7.00,4.00,6.00,1.00,2.00,4.00,201,NULL,207,'MUNICÍPIOS','CAÇADOR','SC',13688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5182808,5.00,5.00,2.00,5.00,7.00,8.25,5.00,3.00,5.00,202,NULL,235,'SÃO PELEGRINO','CAXIAS SUL','RS',8012,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5182816,7.00,5.00,1.00,4.00,9.00,9.38,0.00,1.00,5.00,103,NULL,NULL,'CENTRO','VENÂNCIO AIRES','RS',10125,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5182824,1.00,4.00,3.00,5.00,2.00,NULL,0.00,2.00,2.00,201,NULL,212,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5182832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'PRESIDENTE ALTINO','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5182840,7.00,6.00,4.00,2.00,8.00,10.13,5.00,3.00,4.00,201,NULL,203,'CARMEM','PASSO FUNDO','RS',7377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5182859,8.00,8.00,4.00,6.00,7.00,9.75,4.00,4.00,7.00,303,NULL,NULL,'CENTRO','LAURO MÜLLER','SC',4419,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5182867,5.00,5.00,1.00,5.00,7.00,7.13,3.00,3.00,4.00,220,NULL,208,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',11673,330,NULL,269,NULL,NULL,NULL,4,1),(20,5182891,4.00,5.00,3.00,3.00,3.00,NULL,3.00,3.00,4.00,215,NULL,211,'CENTRO','MRO GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5182905,8.00,8.00,5.00,7.00,9.00,9.75,5.00,8.00,7.00,303,NULL,NULL,'MEDIANEIRA','PANAMBI','RS',677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5182921,5.00,3.00,3.00,4.00,3.00,NULL,3.00,2.00,3.00,501,NULL,NULL,'ALEGRE','HOLAMBRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5182948,3.00,4.00,1.00,3.00,4.00,NULL,1.00,3.00,1.00,653,NULL,652,'DIVINEIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5182964,3.00,4.00,2.00,3.00,4.00,NULL,1.00,1.00,2.00,652,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5182972,8.00,6.00,7.00,7.00,10.00,9.00,6.00,7.00,9.00,103,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',466,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5182980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5183006,8.00,8.00,6.00,7.00,8.00,10.50,3.00,3.00,6.00,203,NULL,202,'PILARZINHO','CURITIBA','PR',2627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5183014,7.00,6.00,1.00,3.00,7.00,9.00,1.00,4.00,4.00,103,NULL,NULL,'CONDE D EU','ORLEANS','SC',10261,3197,NULL,NULL,NULL,NULL,NULL,4,10),(20,5183022,3.00,4.00,1.00,7.00,6.00,6.75,2.00,1.00,6.00,207,NULL,201,'FÁTIMA','ERECHIM','RS',12930,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5183030,4.00,4.00,2.00,5.00,7.00,NULL,0.00,1.00,3.00,331,NULL,NULL,'SACO DOS LIMOÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5183049,4.00,6.00,0.00,4.00,5.00,NULL,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','IJUÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5183057,3.00,6.00,3.00,2.00,6.00,7.50,2.00,3.00,4.00,502,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',15995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5183073,8.00,7.00,1.00,6.00,8.00,9.75,2.00,4.00,6.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',6361,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5183081,8.00,5.00,4.00,5.00,7.00,6.75,3.00,4.00,5.00,202,NULL,220,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',10257,353,NULL,294,NULL,NULL,NULL,4,1),(20,5183090,7.00,8.00,6.00,7.00,9.00,8.63,4.00,4.00,5.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',3565,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5183111,5.00,7.00,0.00,3.00,6.00,10.50,1.00,3.00,6.00,303,NULL,NULL,'CENTRO','STA MARIA','RS',12357,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5183120,6.00,4.00,3.00,6.00,5.00,8.63,1.00,1.00,7.00,202,NULL,208,'BARREIROS','S JOSÉ','SC',12582,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5183138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGROMOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5183154,2.00,3.00,2.00,1.00,2.00,NULL,3.00,1.00,3.00,9,NULL,NULL,'FREI ROGERIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5183170,8.00,9.00,5.00,7.00,9.00,10.13,3.00,5.00,6.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',2084,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5183189,3.00,3.00,0.00,5.00,4.00,NULL,2.00,1.00,1.00,329,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5183197,5.00,6.00,3.00,4.00,4.00,9.00,1.00,2.00,3.00,420,NULL,NULL,'VILLAGE','GAROPABA','SC',12639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5183200,7.00,4.00,4.00,7.00,7.00,11.25,1.00,4.00,3.00,333,NULL,NULL,'ANTARES','LONDRINA','PR',6050,NULL,NULL,NULL,NULL,NULL,NULL,3,8),(20,5183219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5183227,3.00,6.00,1.00,7.00,8.00,7.88,3.00,3.00,4.00,103,NULL,NULL,'UVARANAS','PNT GROSSA','PR',12468,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5183243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'CENTRO','PARAÍSO TOCANTINS','TO',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5183251,4.00,4.00,2.00,3.00,5.00,NULL,3.00,2.00,2.00,216,NULL,220,'CENTRO','AGRONÔMICA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5183260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,423,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5183278,8.00,7.00,4.00,7.00,10.00,9.38,5.00,4.00,5.00,212,NULL,201,'CENTRO','JOINVILLE','SC',2613,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5183286,4.00,3.00,1.00,1.00,2.00,NULL,2.00,2.00,1.00,601,NULL,233,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5183294,8.00,4.00,2.00,5.00,6.00,9.38,3.00,1.00,4.00,340,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',11490,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5183308,4.00,4.00,4.00,6.00,5.00,6.38,2.00,1.00,5.00,304,NULL,NULL,'JARDIM YPÊ','ITATIBA','SP',13647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5183332,7.00,6.00,6.00,7.00,9.00,9.38,6.00,6.00,9.00,203,NULL,201,'SÃO JUDAS TADEU','S JOSÉ CAMPOS','SP',1069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5183340,3.00,4.00,4.00,5.00,6.00,9.38,1.00,2.00,4.00,429,NULL,424,'PANTANAL','FLORIANÓPOLIS','SC',14793,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5183367,5.00,6.00,3.00,5.00,8.00,8.63,3.00,4.00,5.00,333,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',11018,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5183375,5.00,6.00,0.00,6.00,7.00,NULL,5.00,3.00,3.00,211,NULL,202,'CENTRO','CORBÉLIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5183391,9.00,7.00,8.00,7.00,9.00,7.50,9.00,6.00,8.00,203,NULL,NULL,'AMÉRICA','JOINVILLE','SC',610,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5183413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,213,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5183421,5.00,6.00,5.00,3.00,5.00,10.13,2.00,3.00,3.00,201,NULL,212,'IMIGRANTES','CONCÓRDIA','SC',10325,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5183430,2.00,4.00,1.00,2.00,3.00,NULL,1.00,2.00,1.00,444,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5183448,7.00,5.00,4.00,6.00,7.00,7.13,1.00,4.00,4.00,104,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',9425,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5183456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'NOSSA S DE LOURDES','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5183464,7.00,6.00,5.00,7.00,7.00,7.88,3.00,3.00,4.00,216,NULL,215,'ESTREITO','FLORIANÓPOLIS','SC',5268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5183480,4.00,6.00,4.00,7.00,8.00,7.13,0.00,2.00,3.00,235,NULL,202,'GLÓRIA','JOINVILLE','SC',14213,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5183529,8.00,6.00,0.00,4.00,9.00,11.25,1.00,4.00,7.00,216,NULL,233,'INTERIOR','IOMERÊ','SC',7772,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5183553,7.00,6.00,1.00,4.00,7.00,9.75,1.00,4.00,4.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10734,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5183570,4.00,3.00,0.00,4.00,5.00,NULL,2.00,1.00,3.00,450,NULL,NULL,'RIO TIGRE','BENEDITO NOVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5183588,5.00,1.00,0.00,5.00,6.00,NULL,0.00,3.00,3.00,104,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5183596,7.00,6.00,3.00,6.00,8.00,6.00,4.00,4.00,5.00,203,NULL,202,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5183600,1.00,6.00,2.00,5.00,4.00,9.00,1.00,2.00,6.00,201,NULL,212,'TIJUQUINHAS','BIGUAÇU','SC',15988,1120,NULL,389,NULL,NULL,NULL,2,1),(20,5183618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5183626,4.00,6.00,3.00,4.00,4.00,6.38,1.00,3.00,1.00,211,NULL,238,'JORDÃO','GOV CELSO RAMOS','SC',16094,503,NULL,433,NULL,NULL,NULL,2,1),(20,5183634,3.00,3.00,2.00,3.00,2.00,NULL,0.00,1.00,2.00,101,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5183669,3.00,4.00,2.00,3.00,5.00,NULL,2.00,2.00,3.00,212,NULL,233,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5183677,9.00,7.00,5.00,7.00,7.00,7.88,6.00,5.00,7.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',1623,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5183685,8.00,6.00,6.00,6.00,10.00,8.63,7.00,6.00,7.00,207,NULL,201,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5183693,4.00,6.00,3.00,3.00,5.00,6.00,2.00,1.00,5.00,202,NULL,203,'JARDIM LINDOIA','PTO ALEGRE','RS',15596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5183723,8.00,4.00,3.00,7.00,8.00,7.13,3.00,2.00,5.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',10324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5183740,6.00,6.00,2.00,3.00,3.00,NULL,0.00,2.00,6.00,601,NULL,233,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5183758,7.00,7.00,6.00,4.00,8.00,9.00,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',2597,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5183766,4.00,8.00,1.00,4.00,6.00,8.25,4.00,3.00,3.00,2,NULL,NULL,'VILA MARIANA','TAIÓ','SC',14015,40,NULL,NULL,NULL,NULL,NULL,4,1),(20,5183774,8.00,5.00,4.00,4.00,7.00,7.13,3.00,2.00,4.00,601,NULL,213,'CASCATA','NOVA TRENTO','SC',11016,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5183790,2.00,6.00,3.00,7.00,7.00,8.25,3.00,2.00,3.00,214,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',10919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5183804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'SANTA CRUZ','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5183839,1.00,5.00,2.00,5.00,5.00,8.63,1.00,3.00,4.00,317,NULL,NULL,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',16179,138,NULL,NULL,NULL,NULL,NULL,4,1),(20,5183847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MODELO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5183855,5.00,2.00,0.00,5.00,4.00,NULL,1.00,3.00,2.00,320,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5183863,6.00,6.00,2.00,6.00,7.00,7.88,1.00,5.00,4.00,303,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',10523,435,NULL,NULL,NULL,NULL,NULL,4,1),(20,5183871,9.00,5.00,5.00,4.00,9.00,9.38,2.00,5.00,7.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',4180,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5183880,4.00,5.00,2.00,6.00,6.00,7.13,3.00,3.00,7.00,103,NULL,NULL,'ALTO DA GLÓRIA','CURITIBA','PR',11260,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5183901,9.00,7.00,5.00,5.00,8.00,9.00,3.00,5.00,8.00,340,NULL,NULL,'CAMOBI','STA MARIA','RS',3758,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5183910,6.00,4.00,3.00,6.00,7.00,11.25,1.00,4.00,3.00,207,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',9128,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5183928,4.00,6.00,2.00,6.00,8.00,12.75,2.00,5.00,4.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5183936,4.00,5.00,5.00,6.00,3.00,NULL,4.00,3.00,6.00,108,NULL,NULL,'CENTRO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5183944,7.00,7.00,3.00,7.00,7.00,7.88,2.00,4.00,5.00,103,NULL,NULL,'SANTA MARIA','S CAETANO SUL','SP',6463,2524,NULL,NULL,NULL,NULL,NULL,3,1),(20,5183952,7.00,6.00,3.00,8.00,6.00,7.13,3.00,4.00,5.00,202,NULL,235,'SETE DE SETEMBRO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5183960,6.00,7.00,5.00,7.00,7.00,6.38,4.00,3.00,7.00,108,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',5932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5183979,3.00,7.00,4.00,5.00,7.00,9.75,2.00,1.00,4.00,502,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',9851,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5183987,7.00,5.00,2.00,5.00,7.00,10.50,4.00,1.00,5.00,104,NULL,NULL,'SUMARÉ','RIO SUL','SC',10289,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184002,2.00,4.00,2.00,3.00,4.00,NULL,1.00,2.00,4.00,103,NULL,NULL,'ITACOROBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184010,7.00,5.00,2.00,6.00,9.00,9.75,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',9050,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5184029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO JOSE','JOSÉ BONIFÁCIO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5184045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'DISTRITO DE ITAJUBÁ','DESCANSO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5184061,8.00,7.00,7.00,7.00,9.00,11.63,8.00,6.00,9.00,212,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5184070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JUNDIAPEBA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5184088,7.00,7.00,6.00,7.00,7.00,7.50,4.00,5.00,9.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',2316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5184096,8.00,6.00,6.00,4.00,8.00,9.00,5.00,3.00,8.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',3698,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184100,2.00,5.00,1.00,3.00,4.00,NULL,1.00,1.00,2.00,211,NULL,215,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MORUMBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5184126,3.00,3.00,1.00,2.00,2.00,NULL,0.00,0.00,3.00,444,NULL,NULL,'PASSO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5184177,6.00,5.00,2.00,5.00,6.00,9.00,2.00,4.00,6.00,103,NULL,NULL,'VILA OPERÁRIA','CPO LARGO','PR',7659,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5184185,3.00,4.00,4.00,3.00,4.00,NULL,0.00,4.00,2.00,207,NULL,215,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5184193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5184215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'ESPIRÍTO SANTO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5184223,4.00,3.00,2.00,4.00,6.00,NULL,1.00,2.00,3.00,333,NULL,NULL,'SANTA CECILIA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5184258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM ITAIPU','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5184274,7.00,7.00,2.00,7.00,8.00,10.50,2.00,4.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5184290,2.00,6.00,1.00,5.00,5.00,NULL,0.00,3.00,3.00,2,NULL,NULL,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184304,8.00,8.00,7.00,8.00,8.00,10.50,2.00,5.00,7.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5184312,6.00,8.00,2.00,6.00,9.00,9.75,1.00,4.00,6.00,108,NULL,NULL,'PRAIA DO SANTINHO','FLORIANÓPOLIS','SC',7073,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184320,1.00,6.00,4.00,1.00,8.00,8.25,2.00,5.00,6.00,601,NULL,220,'MINUANO','S JOAQUIM','SC',10237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184339,5.00,6.00,3.00,4.00,7.00,8.63,4.00,4.00,7.00,216,NULL,653,'PAULISTA','PARANAVAÍ','PR',7444,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5184355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'PETRÓPOLIS','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5184363,6.00,6.00,4.00,5.00,7.00,9.00,4.00,6.00,6.00,212,NULL,203,'ESTRADA NOVA','JARAGUÁ SUL','SC',6844,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5184371,4.00,5.00,5.00,5.00,5.00,8.63,2.00,3.00,5.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14208,370,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184380,3.00,4.00,1.00,4.00,4.00,NULL,0.00,1.00,3.00,238,NULL,208,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184398,2.00,4.00,1.00,1.00,6.00,NULL,3.00,2.00,4.00,444,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184401,3.00,4.00,5.00,3.00,6.00,8.25,1.00,3.00,4.00,104,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184410,3.00,5.00,3.00,4.00,7.00,7.13,1.00,4.00,5.00,601,NULL,211,'CENTRO','LAGES','SC',14852,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5184428,6.00,4.00,4.00,7.00,5.00,10.50,6.00,2.00,7.00,333,NULL,NULL,'PRAIA DO FLAMENGO','SALVADOR','BA',5745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5184460,9.00,3.00,7.00,7.00,8.00,7.88,6.00,4.00,8.00,203,NULL,202,'GLORIA','JOINVILLE','SC',2038,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5184479,7.00,7.00,5.00,7.00,8.00,11.25,6.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5184487,2.00,3.00,0.00,4.00,4.00,NULL,1.00,3.00,2.00,215,NULL,238,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5184509,5.00,4.00,3.00,4.00,3.00,NULL,1.00,1.00,4.00,331,NULL,NULL,'CENTRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184525,5.00,3.00,0.00,1.00,6.00,NULL,0.00,3.00,2.00,415,NULL,NULL,'NÚCLEO BANDEIRANTE','NUC BANDEIRANTE','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'QUATRO IRMÃOS','PTE SERRADA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5184568,5.00,3.00,0.00,3.00,3.00,NULL,0.00,2.00,3.00,601,NULL,220,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5184584,3.00,6.00,0.00,1.00,3.00,NULL,2.00,1.00,2.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA JABOTICABAL','JABOTICABAL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5184630,2.00,5.00,5.00,6.00,5.00,9.75,2.00,2.00,5.00,303,NULL,NULL,'AMERICANO','LAJEADO','RS',10929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5184649,6.00,5.00,2.00,7.00,6.00,7.88,3.00,2.00,2.00,452,NULL,NULL,'CENTRO','PANAMBI','RS',12505,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5184665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,212,'NAZARÉ','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5184690,1.00,2.00,2.00,2.00,1.00,NULL,3.00,4.00,1.00,339,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184711,9.00,8.00,5.00,5.00,10.00,9.75,5.00,5.00,6.00,415,NULL,NULL,'ORATÓRIO','ORLEANS','SC',1797,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5184738,3.00,7.00,1.00,3.00,1.00,NULL,2.00,3.00,3.00,317,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5184746,9.00,6.00,2.00,6.00,7.00,8.63,5.00,2.00,5.00,103,NULL,NULL,'VILA ESTANISLAU','CAMPINAS','SP',5755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5184754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5184762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM GUARUJA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5184770,3.00,3.00,3.00,2.00,3.00,NULL,0.00,1.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184789,6.00,5.00,3.00,6.00,7.00,9.00,3.00,3.00,6.00,101,NULL,NULL,'CENTRO','S JOAQUIM','SC',9437,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184797,6.00,5.00,0.00,6.00,6.00,NULL,3.00,4.00,6.00,203,NULL,214,'CENTRO','D ELISEU','PA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5184819,8.00,6.00,7.00,5.00,8.00,10.13,7.00,6.00,8.00,103,NULL,NULL,'SÃO RAFAEL','RIO NEGRINHO','SC',1096,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5184827,4.00,6.00,1.00,7.00,9.00,7.88,3.00,2.00,3.00,319,NULL,NULL,'VÁRZEA','ITAPEMA','SC',13526,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5184843,2.00,5.00,1.00,4.00,1.00,NULL,2.00,3.00,4.00,211,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184851,6.00,3.00,0.00,2.00,5.00,NULL,0.00,3.00,2.00,332,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184860,7.00,6.00,2.00,6.00,8.00,9.38,2.00,4.00,4.00,318,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',7534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5184878,4.00,2.00,2.00,4.00,6.00,6.00,4.00,2.00,6.00,103,NULL,NULL,'PRIMEIRA LINHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5184894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'MARECHAL RONDON','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5184908,8.00,7.00,3.00,7.00,8.00,13.50,6.00,6.00,6.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5184916,4.00,6.00,2.00,5.00,6.00,7.88,0.00,4.00,5.00,201,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',13437,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5184924,5.00,5.00,5.00,6.00,3.00,NULL,6.00,4.00,3.00,211,NULL,202,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5184932,1.00,2.00,0.00,3.00,3.00,NULL,2.00,0.00,0.00,208,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184940,3.00,6.00,1.00,3.00,2.00,NULL,4.00,2.00,3.00,551,NULL,NULL,'CENTRO','MAREMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5184959,2.00,4.00,1.00,4.00,8.00,6.38,1.00,4.00,6.00,109,NULL,NULL,'MICHEL','CRICIÚMA','SC',15831,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5184967,7.00,3.00,2.00,3.00,5.00,NULL,0.00,4.00,5.00,211,NULL,216,'TRINTA E UM DE MARÇO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5184975,8.00,8.00,1.00,7.00,7.00,12.00,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5184983,7.00,6.00,5.00,5.00,9.00,9.00,6.00,3.00,5.00,220,NULL,202,'AEROPORTO','ARACAJU','SE',5254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5184991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM INDEPENDÊNCIA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5185009,4.00,5.00,2.00,6.00,4.00,6.00,3.00,3.00,5.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5185017,5.00,5.00,5.00,4.00,9.00,9.75,2.00,3.00,4.00,319,NULL,NULL,'ELDORADO','PALHOÇA','SC',9813,148,NULL,NULL,NULL,NULL,NULL,2,1),(20,5185025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ANICUNS','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5185041,6.00,4.00,3.00,5.00,8.00,10.50,1.00,4.00,5.00,108,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5185050,5.00,7.00,1.00,3.00,9.00,9.00,1.00,3.00,3.00,328,NULL,NULL,'JARDIM AMÉRICA','PNT GROSSA','PR',14910,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5185068,9.00,9.00,6.00,7.00,6.00,9.38,3.00,5.00,6.00,202,NULL,220,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5185076,6.00,6.00,2.00,7.00,10.00,8.63,4.00,5.00,5.00,303,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',5310,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5185092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'CENTRO','FLORES CUNHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5185106,5.00,4.00,1.00,2.00,8.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5185114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PARQUE CUIABÁ','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5185122,8.00,6.00,4.00,8.00,9.00,9.75,2.00,6.00,7.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',2254,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5185130,5.00,6.00,1.00,1.00,6.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5185149,5.00,6.00,2.00,6.00,5.00,9.00,3.00,2.00,4.00,238,NULL,208,'AREIAS','S JOSÉ','SC',14243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5185165,3.00,4.00,0.00,4.00,4.00,NULL,1.00,3.00,1.00,9,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5185173,4.00,6.00,1.00,7.00,7.00,6.38,4.00,1.00,6.00,103,NULL,NULL,'GLÓRIA','RODEIO','SC',11949,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5185181,4.00,7.00,4.00,4.00,4.00,9.38,1.00,5.00,3.00,653,NULL,202,'PRESIDENTE VARGAS','IÇARA','SC',13775,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5185190,3.00,5.00,0.00,5.00,5.00,NULL,0.00,4.00,3.00,207,NULL,203,'CANTO DA LSGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5185203,8.00,9.00,4.00,7.00,10.00,11.63,3.00,5.00,7.00,108,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',1687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5185211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JORGE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5185220,3.00,2.00,1.00,3.00,4.00,NULL,1.00,0.00,1.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5185246,6.00,7.00,2.00,3.00,4.00,7.13,2.00,4.00,3.00,104,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',15105,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5185254,5.00,4.00,5.00,4.00,7.00,7.13,3.00,4.00,3.00,502,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',12670,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5185270,4.00,3.00,3.00,2.00,4.00,NULL,1.00,2.00,0.00,319,NULL,NULL,'MUNICIPIOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5185289,8.00,7.00,8.00,7.00,9.00,11.63,8.00,6.00,8.00,103,NULL,NULL,'PARQUE CEDRAL','PRES PRUDENTE','SP',154,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5185297,6.00,5.00,5.00,8.00,4.00,6.75,1.00,3.00,3.00,203,NULL,220,'CENTRO','CORDEIRÓPOLIS','SP',10109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5185319,7.00,6.00,5.00,6.00,7.00,10.13,4.00,4.00,6.00,216,NULL,215,'VILA PRUDENTE','S PAULO','SP',3514,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5185327,4.00,4.00,2.00,0.00,4.00,NULL,3.00,1.00,2.00,601,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5185335,3.00,8.00,1.00,2.00,8.00,8.63,1.00,1.00,4.00,601,NULL,201,'FLORESTA','JOINVILLE','SC',15441,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5185343,9.00,6.00,6.00,5.00,10.00,9.00,7.00,4.00,8.00,203,NULL,233,'CANASVIEIRAS','FLORIANÓPOLIS','SC',1774,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5185351,2.00,6.00,3.00,4.00,2.00,NULL,2.00,4.00,5.00,424,NULL,427,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5185360,4.00,5.00,1.00,4.00,5.00,NULL,1.00,1.00,2.00,207,NULL,208,'MADRI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5185378,3.00,5.00,0.00,5.00,4.00,8.25,3.00,2.00,3.00,320,NULL,NULL,'AREIAS','S JOSÉ','SC',16064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5185386,6.00,6.00,7.00,7.00,9.00,12.00,6.00,7.00,7.00,425,NULL,424,'TRINDADE','FLORIANÓPOLIS','SC',766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5185394,2.00,8.00,1.00,3.00,6.00,8.63,0.00,3.00,5.00,203,NULL,202,'CRISTO REI','CANOINHAS','SC',14505,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5185408,3.00,3.00,1.00,1.00,0.00,NULL,1.00,1.00,5.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5185424,8.00,6.00,6.00,4.00,8.00,9.00,8.00,8.00,6.00,220,NULL,235,'CENTRO','CRICIÚMA','SC',1620,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5185440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'ALTO SÃO BENTO','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5185467,1.00,5.00,4.00,7.00,7.00,10.50,3.00,2.00,4.00,425,NULL,427,'JOÃO PAULO','FLORIANÓPOLIS','SC',13349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5185483,7.00,6.00,8.00,7.00,8.00,11.63,6.00,4.00,6.00,103,NULL,NULL,'CENTRO','STA BÁRBARA D OESTE','SP',801,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5185491,2.00,5.00,0.00,5.00,7.00,NULL,2.00,1.00,2.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5185513,8.00,8.00,7.00,6.00,9.00,9.00,5.00,5.00,8.00,220,NULL,208,'CENTRO','CRICIÚMA','SC',1084,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5185521,4.00,7.00,0.00,5.00,6.00,10.88,2.00,4.00,3.00,503,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12211,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5185548,3.00,4.00,2.00,2.00,6.00,NULL,2.00,3.00,5.00,653,NULL,216,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5185556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'PIONEIRO','ITÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5185572,8.00,7.00,4.00,5.00,9.00,8.25,3.00,6.00,5.00,104,NULL,NULL,'BOA VISTA','JOINVILLE','SC',6054,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5185580,8.00,6.00,0.00,6.00,7.00,6.00,1.00,6.00,6.00,103,NULL,NULL,'SANTANA','S PAULO','SP',8470,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5185602,3.00,5.00,0.00,2.00,4.00,NULL,2.00,2.00,4.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5185610,4.00,4.00,0.00,4.00,6.00,NULL,2.00,2.00,3.00,332,NULL,NULL,'FORQUILINHA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5185629,4.00,4.00,0.00,3.00,3.00,NULL,1.00,1.00,3.00,108,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5185645,2.00,3.00,1.00,3.00,6.00,NULL,0.00,1.00,4.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5185661,5.00,7.00,4.00,1.00,6.00,NULL,3.00,3.00,3.00,203,NULL,NULL,'AZENHA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5185670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5185688,7.00,5.00,3.00,5.00,6.00,10.50,4.00,2.00,7.00,203,NULL,220,'OSVALDO CRUZ','PALOTINA','PR',6409,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5185696,3.00,5.00,0.00,3.00,4.00,NULL,1.00,3.00,3.00,101,NULL,NULL,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5185700,8.00,8.00,4.00,7.00,9.00,9.75,7.00,6.00,6.00,415,NULL,NULL,'JARDIM DAS AMÉRICAS','PATO BRANCO','PR',1000,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5185718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5185726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ARIQUEMES','RO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5185742,3.00,3.00,1.00,3.00,5.00,NULL,1.00,0.00,1.00,317,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5185750,2.00,4.00,1.00,6.00,3.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5185769,6.00,3.00,4.00,6.00,8.00,8.63,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',11922,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5185777,8.00,8.00,2.00,7.00,8.00,9.00,1.00,2.00,8.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',5818,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5185785,4.00,3.00,1.00,1.00,6.00,NULL,1.00,4.00,5.00,319,NULL,NULL,'JARDIM PANORAMA','MTE MOR','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5185793,5.00,5.00,2.00,6.00,3.00,NULL,5.00,3.00,4.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5185823,6.00,6.00,1.00,6.00,6.00,6.75,2.00,4.00,2.00,340,NULL,NULL,'MONTE ALEGRE','TRÊS CORAÇÕES','MG',11772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5185840,4.00,4.00,0.00,2.00,4.00,9.38,3.00,5.00,6.00,339,NULL,NULL,'BELA VISTA','PALHOÇA','SC',15685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5185858,9.00,8.00,7.00,6.00,9.00,7.88,8.00,5.00,9.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5185874,8.00,6.00,0.00,6.00,9.00,NULL,0.00,5.00,6.00,304,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5185890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'PEDRINHAS','PTO VELHO','RO',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5185904,6.00,5.00,4.00,7.00,9.00,11.25,3.00,4.00,7.00,201,NULL,202,'CENTRO','IPIRA','SC',4545,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5185912,8.00,7.00,7.00,6.00,7.00,10.88,2.00,5.00,7.00,420,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2632,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5185920,8.00,7.00,6.00,6.00,7.00,10.13,8.00,4.00,7.00,103,NULL,NULL,'ZONA DOIS','CIANORTE','PR',1408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5185939,5.00,6.00,4.00,6.00,5.00,6.38,3.00,2.00,2.00,5,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',15462,501,NULL,NULL,NULL,NULL,NULL,2,1),(20,5185947,2.00,6.00,1.00,5.00,4.00,6.38,3.00,0.00,3.00,220,NULL,203,'SÃO CRISTÓVÃO','LAGES','SC',16043,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5185955,2.00,4.00,0.00,4.00,3.00,NULL,1.00,2.00,3.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5185963,7.00,7.00,2.00,7.00,7.00,10.13,5.00,3.00,5.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',4310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5185998,2.00,4.00,2.00,3.00,5.00,NULL,0.00,2.00,1.00,109,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(20,5186005,6.00,7.00,2.00,2.00,7.00,7.13,3.00,4.00,4.00,551,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',9717,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5186013,8.00,5.00,3.00,7.00,8.00,9.75,3.00,4.00,6.00,108,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',4967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5186030,4.00,5.00,1.00,3.00,4.00,NULL,2.00,4.00,1.00,207,NULL,201,'PEREQUÊ','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5186048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5186056,7.00,7.00,5.00,7.00,8.00,9.75,3.00,4.00,7.00,202,NULL,216,'BOM FIM','PTO ALEGRE','RS',3025,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5186080,7.00,7.00,5.00,7.00,9.00,9.00,2.00,4.00,7.00,415,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',2841,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5186102,4.00,6.00,4.00,3.00,5.00,7.88,1.00,5.00,4.00,318,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',14986,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5186110,9.00,8.00,8.00,7.00,8.00,11.63,9.00,8.00,8.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',72,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5186129,4.00,5.00,3.00,4.00,4.00,4.88,2.00,3.00,2.00,233,NULL,201,'KOBRASSOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5186137,6.00,6.00,5.00,7.00,8.00,6.75,2.00,2.00,3.00,201,NULL,202,'PONTA AGUDA','BLUMENAU','SC',9522,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5186145,2.00,6.00,0.00,6.00,5.00,NULL,0.00,2.00,1.00,333,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5186153,9.00,7.00,6.00,5.00,9.00,10.13,4.00,5.00,9.00,103,NULL,NULL,'PIRITUBA','S PAULO','SP',1030,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5186161,6.00,0.00,2.00,3.00,8.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',1,2),(20,5186170,4.00,6.00,3.00,6.00,7.00,10.13,4.00,5.00,2.00,216,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',8740,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5186196,1.00,2.00,0.00,1.00,1.00,NULL,2.00,2.00,0.00,428,NULL,423,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5186218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'MOSSUNGUÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5186234,4.00,6.00,0.00,5.00,5.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(20,5186242,3.00,5.00,1.00,3.00,5.00,NULL,2.00,3.00,1.00,303,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5186250,1.00,5.00,2.00,1.00,4.00,NULL,1.00,1.00,1.00,104,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5186269,2.00,5.00,3.00,5.00,5.00,NULL,0.00,2.00,5.00,415,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5186277,8.00,8.00,1.00,7.00,8.00,11.25,2.00,5.00,6.00,203,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',5147,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5186285,5.00,8.00,2.00,6.00,4.00,10.13,4.00,2.00,4.00,203,NULL,601,'ATIRADORES','JOINVILLE','SC',11739,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5186293,3.00,4.00,2.00,1.00,1.00,NULL,1.00,2.00,2.00,108,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5186307,6.00,6.00,1.00,5.00,6.00,7.88,2.00,3.00,4.00,202,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',11729,403,NULL,369,NULL,NULL,NULL,2,1),(20,5186315,8.00,7.00,4.00,7.00,10.00,9.38,4.00,3.00,8.00,303,NULL,NULL,'AEROPORTO','TUBARÃO','SC',2610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5186331,6.00,5.00,3.00,6.00,5.00,6.75,2.00,2.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',13986,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5186340,6.00,5.00,6.00,4.00,7.00,9.00,6.00,5.00,6.00,201,NULL,202,'CABREUVA','CPO GRANDE','MS',4385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5186358,2.00,5.00,1.00,3.00,4.00,NULL,1.00,3.00,0.00,202,NULL,235,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5186374,3.00,7.00,1.00,5.00,5.00,NULL,2.00,2.00,2.00,319,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5186382,5.00,5.00,3.00,5.00,5.00,9.00,2.00,5.00,4.00,216,NULL,212,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',13692,537,NULL,345,NULL,NULL,NULL,4,1),(20,5186390,4.00,5.00,1.00,5.00,6.00,6.00,1.00,3.00,6.00,326,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',16236,66,NULL,NULL,NULL,NULL,NULL,2,1),(20,5186404,5.00,6.00,4.00,5.00,4.00,6.38,1.00,3.00,4.00,215,NULL,216,'SETE DE SETEMBRO','GASPAR','SC',12173,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5186412,9.00,8.00,4.00,6.00,8.00,12.38,5.00,6.00,8.00,103,NULL,NULL,'SANTA TEREZA','VIDEIRA','SC',1086,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5186420,1.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5186447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5186455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5186463,3.00,6.00,1.00,4.00,4.00,NULL,1.00,1.00,1.00,202,NULL,601,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5186480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'JARDIM SATÉLITE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5186498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'SANTO ANTONIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5186501,3.00,3.00,5.00,3.00,5.00,NULL,0.00,3.00,5.00,404,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5186510,8.00,6.00,2.00,6.00,7.00,7.13,2.00,4.00,2.00,328,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',10764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5186528,3.00,5.00,2.00,3.00,5.00,3.75,2.00,4.00,6.00,103,NULL,NULL,'JARDIM MONÇÕES','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5186536,3.00,2.00,1.00,4.00,3.00,NULL,0.00,2.00,5.00,429,NULL,425,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5186544,4.00,7.00,3.00,4.00,8.00,9.38,4.00,3.00,5.00,216,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',8085,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5186552,5.00,5.00,2.00,7.00,6.00,8.63,3.00,3.00,3.00,2,NULL,NULL,'GLÓRIA','JOINVILLE','SC',11342,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5186560,2.00,4.00,1.00,1.00,3.00,NULL,1.00,2.00,2.00,415,NULL,NULL,'SAG CORAÇÃO DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5186579,7.00,7.00,1.00,6.00,9.00,0.00,2.00,3.00,5.00,103,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5186587,3.00,4.00,1.00,1.00,3.00,NULL,1.00,4.00,2.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5186609,4.00,8.00,2.00,6.00,3.00,NULL,2.00,2.00,3.00,601,NULL,214,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5186617,8.00,5.00,5.00,7.00,5.00,10.88,4.00,2.00,4.00,3,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5186633,5.00,6.00,2.00,3.00,8.00,6.75,2.00,4.00,4.00,208,NULL,238,'SACO GRANDE','FLORIANÓPOLIS','SC',12810,319,NULL,288,NULL,NULL,NULL,2,1),(20,5186641,4.00,6.00,2.00,2.00,5.00,8.25,2.00,2.00,6.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',13922,3623,NULL,NULL,NULL,NULL,NULL,4,1),(20,5186650,9.00,9.00,5.00,7.00,10.00,11.25,8.00,5.00,8.00,103,NULL,NULL,'CENTRO','MAFRA','SC',162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5186668,8.00,8.00,5.00,7.00,7.00,9.75,4.00,6.00,8.00,340,NULL,NULL,'BOM PASTOR','IGREJINHA','RS',2448,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5186684,2.00,4.00,4.00,4.00,1.00,NULL,3.00,2.00,2.00,444,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5186692,3.00,5.00,2.00,3.00,6.00,9.00,3.00,4.00,4.00,551,NULL,NULL,'BOSQUE','CURITIBANOS','SC',15271,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5186706,2.00,7.00,3.00,7.00,8.00,9.00,3.00,5.00,5.00,429,NULL,426,'JARDIM CIDADE','S JOSÉ','SC',10127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5186722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5186749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','DIVINÓPOLIS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5186757,2.00,3.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,429,NULL,427,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5186765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5186781,3.00,2.00,3.00,3.00,4.00,NULL,2.00,2.00,4.00,652,NULL,653,'SAO PEREGRINO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5186811,3.00,4.00,0.00,4.00,5.00,NULL,2.00,3.00,2.00,318,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5186820,2.00,6.00,1.00,4.00,3.00,NULL,2.00,0.00,3.00,331,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5186838,6.00,4.00,3.00,7.00,5.00,7.88,2.00,3.00,3.00,427,NULL,424,'MORRO DA CRUZ','FLORIANÓPOLIS','SC',14797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5186846,7.00,8.00,6.00,6.00,6.00,7.50,0.00,3.00,5.00,103,NULL,NULL,'SANTA TERESA','PTO ALEGRE','RS',6817,2610,NULL,NULL,NULL,NULL,NULL,2,1),(20,5186862,5.00,3.00,4.00,5.00,7.00,9.75,3.00,3.00,2.00,5,NULL,NULL,'PARQUE DAS ACÁCIAS','S LUDGERO','SC',12889,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5186870,5.00,8.00,4.00,5.00,9.00,10.88,3.00,3.00,7.00,216,NULL,233,'RIO MAINA','CRICIÚMA','SC',4151,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5186889,9.00,6.00,5.00,4.00,8.00,9.75,6.00,5.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2794,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5186897,7.00,6.00,1.00,5.00,9.00,9.38,4.00,1.00,7.00,340,NULL,NULL,'RIO BRANCO','CANOAS','RS',5386,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5186919,8.00,7.00,5.00,8.00,10.00,10.13,7.00,7.00,7.00,340,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5186935,5.00,5.00,1.00,6.00,9.00,10.50,3.00,4.00,5.00,2,NULL,NULL,'ESQUINA','URUBICI','SC',8981,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5186951,8.00,7.00,7.00,7.00,9.00,9.38,7.00,6.00,9.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5186960,7.00,7.00,7.00,5.00,8.00,8.25,1.00,4.00,7.00,103,NULL,NULL,'NOVO CENTRO','MARINGÁ','PR',4252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5186978,6.00,7.00,4.00,6.00,7.00,7.50,2.00,5.00,5.00,104,NULL,NULL,'GARCIA','BLUMENAU','SC',7096,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5186986,8.00,8.00,5.00,5.00,8.00,8.63,4.00,7.00,7.00,216,NULL,211,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',3314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5186994,6.00,8.00,4.00,5.00,8.00,10.50,1.00,3.00,4.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',6097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187001,6.00,4.00,1.00,5.00,6.00,9.75,2.00,3.00,5.00,340,NULL,NULL,'PROGRESSO','BENTO GONÇALVES','RS',10607,303,NULL,NULL,NULL,NULL,NULL,4,9),(20,5187010,7.00,7.00,0.00,8.00,9.00,9.75,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','NAVEGANTES','SC',3709,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5187028,3.00,4.00,2.00,3.00,2.00,NULL,1.00,2.00,3.00,201,NULL,212,'PAQUETA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5187052,5.00,5.00,2.00,7.00,5.00,7.13,2.00,5.00,4.00,301,NULL,NULL,'ALTO DA BOA VISTA','SOROCABA','SP',8441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187079,6.00,6.00,2.00,6.00,6.00,7.88,2.00,3.00,4.00,104,NULL,NULL,'GARCIA','BLUMENAU','SC',10246,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5187109,7.00,6.00,3.00,7.00,8.00,7.50,4.00,2.00,4.00,202,NULL,201,'N S APARECIDA','CURITIBANOS','SC',7822,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5187117,3.00,4.00,2.00,4.00,4.00,NULL,1.00,1.00,0.00,318,NULL,NULL,'INDUSTRIAL','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5187125,6.00,5.00,2.00,2.00,4.00,9.00,2.00,2.00,3.00,207,NULL,215,'VILA NOVA ALVORADA','IMBITUBA','SC',15057,731,NULL,313,NULL,NULL,NULL,2,1),(20,5187133,7.00,9.00,3.00,4.00,6.00,6.38,6.00,3.00,6.00,220,NULL,202,'COQUEIROS','FLORIANÓPOLIS','SC',4455,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5187141,1.00,5.00,2.00,5.00,5.00,NULL,1.00,0.00,3.00,201,NULL,208,'NOSSA SENHORA DO R','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5187150,4.00,6.00,3.00,2.00,5.00,9.00,2.00,3.00,2.00,327,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187176,5.00,5.00,3.00,4.00,8.00,6.75,4.00,5.00,5.00,420,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9610,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5187184,6.00,4.00,2.00,1.00,6.00,6.75,2.00,1.00,6.00,216,NULL,214,'CENTRO','PASSO FUNDO','RS',16153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187192,8.00,7.00,3.00,7.00,8.00,8.63,2.00,3.00,6.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',4407,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5187206,7.00,7.00,7.00,4.00,7.00,10.88,4.00,7.00,5.00,203,NULL,601,'CANASVIEIRAS','FLORIANÓPOLIS','SC',2775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5187214,6.00,6.00,3.00,3.00,7.00,7.50,2.00,6.00,1.00,303,NULL,NULL,'PRAIA DO SONHO','ENS BRITO','SC',14679,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5187230,6.00,7.00,1.00,5.00,6.00,9.75,3.00,2.00,4.00,501,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10418,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5187249,8.00,8.00,6.00,5.00,8.00,10.13,5.00,4.00,9.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',1909,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5187257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5187273,6.00,5.00,0.00,5.00,5.00,9.75,3.00,5.00,5.00,238,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',12022,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5187281,4.00,4.00,3.00,5.00,7.00,10.13,3.00,3.00,3.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13273,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5187290,4.00,5.00,1.00,5.00,3.00,NULL,2.00,3.00,4.00,203,NULL,NULL,'CERAMARTE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5187303,6.00,7.00,5.00,7.00,8.00,11.63,2.00,3.00,2.00,213,NULL,211,'CENTRO','CRUZEIRO','SP',7983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187311,5.00,6.00,2.00,5.00,6.00,9.38,0.00,1.00,3.00,415,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187320,6.00,4.00,0.00,7.00,8.00,NULL,0.00,4.00,3.00,303,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5187338,6.00,7.00,4.00,5.00,7.00,9.38,1.00,5.00,4.00,102,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',10299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187346,5.00,5.00,2.00,4.00,7.00,8.25,1.00,2.00,4.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14813,85,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187362,6.00,7.00,8.00,8.00,9.00,8.25,4.00,5.00,6.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',2511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187370,7.00,6.00,3.00,5.00,9.00,10.50,3.00,5.00,6.00,653,NULL,216,'CENTRO','ENGENHO VELHO','RS',5839,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5187389,2.00,6.00,0.00,3.00,4.00,NULL,3.00,2.00,3.00,310,NULL,NULL,'VILLAGE','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5187397,9.00,6.00,5.00,7.00,9.00,7.88,4.00,5.00,8.00,103,NULL,NULL,'N S LOURDES','CAMPOS NOVOS','SC',1831,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187400,7.00,6.00,3.00,8.00,4.00,6.75,1.00,4.00,4.00,216,NULL,215,'SAGRADO C DE JESUS','LAGES','SC',9087,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5187419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,424,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5187427,9.00,7.00,8.00,8.00,9.00,10.50,6.00,5.00,8.00,103,NULL,NULL,'VERONA','PNT GROSSA','PR',437,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5187435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5187451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'VALPARAISO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5187460,6.00,6.00,8.00,6.00,5.00,9.38,4.00,4.00,7.00,203,NULL,214,'CENTRO','SOMBRIO','SC',4938,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5187478,7.00,5.00,4.00,6.00,7.00,9.00,1.00,3.00,7.00,415,NULL,NULL,'CENTRO','FLORES CUNHA','RS',6598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187486,7.00,7.00,1.00,5.00,4.00,6.75,0.00,4.00,3.00,216,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187508,1.00,2.00,0.00,0.00,4.00,NULL,1.00,1.00,0.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187524,6.00,4.00,1.00,2.00,5.00,NULL,0.00,0.00,4.00,303,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187532,2.00,6.00,1.00,3.00,2.00,NULL,0.00,2.00,1.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5187540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIO CEDROS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5187559,0.00,1.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5187575,5.00,4.00,0.00,3.00,3.00,NULL,0.00,4.00,3.00,201,NULL,211,'CENTRO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5187583,5.00,4.00,0.00,6.00,5.00,7.13,1.00,4.00,4.00,234,NULL,NULL,'VICENTINA','S LEOPOLDO','RS',15667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187591,6.00,7.00,3.00,5.00,6.00,10.50,3.00,3.00,6.00,202,NULL,211,'BARREIROS','S JOSÉ','SC',7292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5187613,3.00,2.00,0.00,3.00,3.00,NULL,1.00,0.00,2.00,415,NULL,NULL,'JARDIM ELDORADO III','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5187621,7.00,9.00,5.00,4.00,8.00,8.25,5.00,5.00,7.00,203,NULL,233,'CAMPINAS','S JOSÉ','SC',3420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5187630,3.00,5.00,1.00,6.00,5.00,8.25,2.00,1.00,3.00,453,NULL,NULL,'PORTINHO','LAGUNA','SC',15901,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5187648,7.00,8.00,7.00,5.00,9.00,9.75,6.00,5.00,8.00,201,NULL,216,'SÃO BENTO','BENTO GONÇALVES','RS',1429,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5187656,8.00,7.00,7.00,7.00,4.00,8.63,6.00,3.00,8.00,203,NULL,216,'CENTRO','CANOINHAS','SC',2798,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5187664,4.00,5.00,6.00,7.00,6.00,7.50,3.00,3.00,3.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187702,5.00,9.00,1.00,7.00,9.00,12.00,4.00,6.00,7.00,340,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',3570,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5187710,6.00,8.00,4.00,7.00,7.00,10.88,0.00,2.00,8.00,202,NULL,213,'IMIGRANTES','CONCÓRDIA','SC',5330,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5187729,7.00,5.00,3.00,5.00,7.00,8.63,3.00,4.00,7.00,110,NULL,NULL,'VILA NOVA','IMBITUBA','SC',6579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5187737,8.00,8.00,8.00,5.00,7.00,11.63,7.00,6.00,6.00,220,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',778,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5187745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5187753,8.00,7.00,5.00,7.00,5.00,9.00,3.00,4.00,6.00,201,NULL,212,'PARQUE FABER','S CARLOS','SP',4376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187761,3.00,4.00,2.00,3.00,8.00,NULL,0.00,1.00,4.00,207,NULL,212,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5187770,3.00,6.00,3.00,3.00,3.00,NULL,2.00,3.00,4.00,216,NULL,202,'SANTO ANTONIO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5187788,8.00,7.00,3.00,6.00,9.00,7.88,3.00,5.00,4.00,452,NULL,NULL,'VICENTINA','S LEOPOLDO','RS',4169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5187800,6.00,7.00,3.00,7.00,7.00,10.50,2.00,5.00,6.00,451,NULL,NULL,'IGUAÇU','IPATINGA','MG',6993,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187818,6.00,7.00,1.00,4.00,7.00,7.50,2.00,2.00,4.00,501,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',10505,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5187826,3.00,5.00,4.00,7.00,9.00,9.75,4.00,3.00,6.00,340,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',7266,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5187842,7.00,4.00,2.00,7.00,9.00,10.13,3.00,7.00,7.00,303,NULL,NULL,'TRICOLIN','CANOINHAS','SC',3278,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5187850,8.00,8.00,4.00,7.00,10.00,8.25,3.00,5.00,7.00,326,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',3465,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5187869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BELA VISTA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5187877,2.00,5.00,3.00,3.00,5.00,NULL,2.00,2.00,5.00,309,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187893,4.00,1.00,1.00,0.00,4.00,NULL,0.00,4.00,4.00,110,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5187907,3.00,6.00,0.00,5.00,5.00,6.38,3.00,2.00,2.00,203,NULL,208,'PRAIA COMPRIDA','S JOSÉ','SC',16280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187915,5.00,5.00,1.00,5.00,4.00,NULL,0.00,3.00,5.00,333,NULL,NULL,'CENTRO','CAMPINAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5187923,2.00,3.00,2.00,3.00,5.00,NULL,4.00,2.00,1.00,208,NULL,238,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5187931,2.00,6.00,3.00,6.00,6.00,8.25,1.00,2.00,5.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',15348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5187940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5187958,5.00,5.00,1.00,4.00,4.00,8.25,3.00,1.00,3.00,652,NULL,207,'LAGOAO','ARARANGUÁ','SC',15682,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5187966,6.00,6.00,1.00,3.00,6.00,6.00,2.00,1.00,2.00,5,NULL,NULL,'JD CIDADE FLORIANOPO','S JOSÉ','SC',16270,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5187974,8.00,3.00,3.00,7.00,7.00,8.25,4.00,3.00,7.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',5629,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5187982,3.00,4.00,0.00,5.00,7.00,NULL,0.00,1.00,0.00,102,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5187990,5.00,5.00,4.00,4.00,7.00,9.75,3.00,4.00,4.00,203,NULL,233,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5188008,5.00,7.00,1.00,7.00,8.00,9.75,2.00,2.00,5.00,216,NULL,215,'ITOUPAVA SECA','BLUMENAU','SC',9661,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5188016,2.00,3.00,1.00,2.00,3.00,NULL,0.00,4.00,1.00,203,NULL,235,'CENTRO','MARCELÂNDIA','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ANDRADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5188040,6.00,7.00,3.00,4.00,8.00,9.00,2.00,3.00,3.00,301,NULL,NULL,'ROÇADO','S JOSÉ','SC',10720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188059,4.00,6.00,5.00,3.00,4.00,7.88,3.00,3.00,4.00,601,NULL,201,'SALETE','CONCÓRDIA','SC',13890,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5188067,5.00,3.00,3.00,3.00,5.00,9.75,2.00,1.00,4.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',14583,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5188075,3.00,4.00,2.00,4.00,4.00,NULL,1.00,0.00,2.00,404,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5188083,5.00,4.00,0.00,6.00,2.00,NULL,0.00,2.00,4.00,211,NULL,215,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5188091,4.00,4.00,1.00,7.00,8.00,3.75,3.00,6.00,4.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5188113,4.00,6.00,1.00,1.00,3.00,NULL,0.00,3.00,3.00,202,NULL,238,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5188121,6.00,5.00,2.00,5.00,9.00,9.75,3.00,5.00,5.00,333,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','PTE SERRADA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5188156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5188164,4.00,7.00,3.00,5.00,5.00,7.50,3.00,4.00,4.00,327,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',11476,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5188172,7.00,7.00,2.00,7.00,7.00,8.63,4.00,4.00,7.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',3710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188199,7.00,6.00,2.00,6.00,6.00,9.00,3.00,2.00,6.00,216,NULL,601,'ATIRADORES','JOINVILLE','SC',8229,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5188210,6.00,4.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,444,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5188229,3.00,5.00,1.00,4.00,4.00,NULL,2.00,0.00,4.00,103,NULL,NULL,'CANUDOS','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5188237,5.00,6.00,4.00,1.00,7.00,9.00,2.00,2.00,5.00,415,NULL,NULL,'MURTA','ITAJAÍ','SC',13044,250,NULL,NULL,NULL,NULL,NULL,2,6),(20,5188245,7.00,7.00,1.00,5.00,8.00,8.25,4.00,4.00,7.00,103,NULL,NULL,'PINHEIRA','PALHOÇA','SC',7936,2821,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188253,3.00,3.00,0.00,3.00,5.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5188261,1.00,5.00,1.00,4.00,7.00,NULL,1.00,3.00,2.00,225,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188270,7.00,5.00,1.00,7.00,5.00,8.25,2.00,2.00,3.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MONTE DAS OLIVEIRAS','GUARÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5188296,2.00,1.00,0.00,3.00,0.00,NULL,1.00,2.00,3.00,318,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5188300,4.00,6.00,3.00,7.00,7.00,11.25,0.00,5.00,5.00,415,NULL,NULL,'UMBARÁ','CURITIBA','PR',7903,149,NULL,NULL,NULL,NULL,NULL,4,8),(20,5188318,7.00,6.00,5.00,7.00,8.00,11.25,4.00,2.00,3.00,304,NULL,NULL,'PARQUE ONGARO','SUMARÉ','SP',3611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188342,4.00,8.00,5.00,6.00,7.00,8.25,0.00,3.00,5.00,104,NULL,NULL,'CENTRO','CANOINHAS','SC',11150,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5188350,8.00,6.00,5.00,5.00,9.00,12.38,4.00,3.00,5.00,340,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',3727,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5188369,5.00,5.00,2.00,7.00,8.00,10.88,1.00,2.00,3.00,303,NULL,NULL,'EMBARÉ','SANTOS','SP',11122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5188385,9.00,8.00,6.00,7.00,7.00,7.50,5.00,1.00,6.00,203,NULL,214,'CENTRO','PTO ALEGRE','RS',4121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188407,4.00,3.00,2.00,3.00,6.00,NULL,0.00,3.00,5.00,302,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5188415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'EMBARÉ','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5188423,5.00,7.00,1.00,5.00,5.00,9.00,2.00,1.00,4.00,303,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',15201,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5188431,3.00,5.00,1.00,3.00,4.00,10.13,2.00,3.00,5.00,428,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188458,4.00,7.00,1.00,5.00,7.00,8.25,1.00,6.00,3.00,216,NULL,601,'CENTRONORTE','BAL PIÇARRAS','SC',10690,437,NULL,NULL,NULL,NULL,NULL,4,6),(20,5188466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOÃO B VISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5188474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5188482,4.00,4.00,2.00,7.00,5.00,6.75,3.00,1.00,4.00,238,NULL,211,'ARMAÇAO PANTANO SUL','FLORIANÓPOLIS','SC',14248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188490,9.00,6.00,1.00,7.00,6.00,10.50,1.00,3.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188504,3.00,5.00,1.00,3.00,3.00,NULL,2.00,0.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5188512,8.00,3.00,2.00,2.00,4.00,8.25,2.00,1.00,4.00,316,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',15967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188520,1.00,4.00,2.00,1.00,3.00,NULL,1.00,0.00,2.00,103,NULL,NULL,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5188539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'VILAS DO ATLANICO','LAURO FREITAS','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5188547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'CIDADE JARDIM','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5188555,8.00,6.00,3.00,4.00,6.00,6.75,3.00,2.00,5.00,103,NULL,NULL,'BELA VISTA','S JOSÉ','SC',10463,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5188563,1.00,3.00,1.00,5.00,5.00,NULL,2.00,3.00,2.00,207,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5188571,8.00,6.00,3.00,4.00,9.00,7.50,4.00,5.00,4.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',7171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188580,3.00,6.00,1.00,6.00,9.00,7.13,1.00,4.00,5.00,207,NULL,212,'CENTRO','RONDINHA','RS',11326,541,NULL,287,NULL,NULL,NULL,4,4),(20,5188598,8.00,5.00,2.00,4.00,7.00,10.88,3.00,3.00,6.00,103,NULL,NULL,'SETOR SUL','VL RICA','MT',7325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5188601,3.00,3.00,0.00,2.00,3.00,NULL,2.00,0.00,3.00,202,NULL,208,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5188610,3.00,5.00,2.00,4.00,3.00,NULL,0.00,2.00,4.00,340,NULL,NULL,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5188628,4.00,5.00,0.00,3.00,6.00,6.75,4.00,5.00,2.00,451,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5188636,5.00,6.00,1.00,5.00,8.00,9.00,5.00,3.00,6.00,104,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',8154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5188644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ALGODOAL','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5188652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5188660,7.00,6.00,2.00,7.00,10.00,12.00,1.00,5.00,6.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5188679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5188687,1.00,4.00,2.00,4.00,6.00,NULL,3.00,1.00,3.00,601,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5188695,5.00,6.00,5.00,7.00,8.00,7.50,5.00,4.00,7.00,420,NULL,NULL,'CERRITO','STA MARIA','RS',5041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SÃO FRANCISCO','GARIBALDI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5188717,2.00,5.00,0.00,4.00,7.00,NULL,1.00,3.00,4.00,316,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5188725,0.00,2.00,0.00,5.00,4.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188733,2.00,3.00,0.00,3.00,7.00,NULL,2.00,3.00,2.00,207,NULL,201,'JARDIM BRASILÂNDIA','FRANCA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188750,5.00,4.00,0.00,4.00,7.00,9.00,1.00,6.00,3.00,319,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5188768,7.00,8.00,7.00,7.00,9.00,7.50,3.00,5.00,7.00,340,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',2807,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5188776,10.00,8.00,5.00,7.00,11.00,12.75,8.00,5.00,8.00,207,NULL,211,'CENTRO','LAGUNA','SC',70,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5188784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SANTANA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5188792,9.00,8.00,8.00,7.00,10.00,10.88,7.00,6.00,8.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',477,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5188806,7.00,8.00,6.00,7.00,9.00,7.13,5.00,4.00,6.00,207,NULL,201,'SÃO LUIZ','BRUSQUE','SC',2720,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5188814,9.00,9.00,5.00,7.00,8.00,10.13,6.00,6.00,8.00,104,NULL,NULL,'CENTRO','RIO PARDO','RS',868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188822,6.00,4.00,2.00,6.00,6.00,6.75,2.00,2.00,2.00,103,NULL,NULL,'BOM RETIRO','CURITIBA','PR',13642,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5188830,3.00,3.00,2.00,2.00,3.00,NULL,0.00,2.00,0.00,303,NULL,NULL,'CINQUENTENARIO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5188849,4.00,5.00,2.00,4.00,4.00,7.13,1.00,1.00,3.00,216,NULL,238,'FLORESTA','CONCÓRDIA','SC',15576,580,NULL,407,NULL,NULL,NULL,4,7),(20,5188857,2.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,1.00,103,NULL,NULL,'GLORIA','RODEIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5188873,4.00,0.00,1.00,7.00,6.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5188881,5.00,6.00,4.00,5.00,7.00,7.50,2.00,4.00,6.00,502,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',11356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5188890,4.00,4.00,3.00,4.00,6.00,7.50,0.00,4.00,3.00,331,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5188903,9.00,8.00,2.00,7.00,7.00,7.13,2.00,7.00,6.00,303,NULL,NULL,'JARDIM IMPERIAL','MARINGÁ','PR',3504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188911,7.00,8.00,2.00,2.00,8.00,9.00,3.00,3.00,5.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',8943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188920,3.00,3.00,1.00,3.00,7.00,NULL,2.00,2.00,5.00,3,NULL,NULL,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5188938,7.00,5.00,7.00,2.00,6.00,6.00,6.00,1.00,4.00,220,NULL,235,'ASA SUL','BRASÍLIA','DF',9318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188946,5.00,6.00,2.00,7.00,6.00,7.88,3.00,2.00,3.00,213,NULL,233,'CAPOEIRAS','FLORIANÓPOLIS','SC',13326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5188954,7.00,8.00,3.00,7.00,9.00,9.00,4.00,6.00,8.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',2322,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5188970,6.00,7.00,0.00,5.00,5.00,9.38,2.00,4.00,4.00,203,NULL,220,'CENTRO','CURITIBANOS','SC',9844,710,NULL,279,NULL,NULL,NULL,4,16),(20,5188997,3.00,3.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,308,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5189004,5.00,5.00,1.00,2.00,4.00,6.75,1.00,4.00,3.00,333,NULL,NULL,'VILA NOVA','IMBITUBA','SC',16284,155,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189012,6.00,5.00,5.00,6.00,6.00,10.50,3.00,3.00,6.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',6484,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5189039,9.00,6.00,3.00,6.00,6.00,8.25,2.00,6.00,3.00,340,NULL,NULL,'VILA FORMOSA','S PAULO','SP',6827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'INTERIOR','MARAU','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5189071,0.00,6.00,5.00,4.00,6.00,NULL,0.00,1.00,2.00,651,NULL,652,'ARGENTINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5189080,7.00,6.00,2.00,5.00,9.00,7.13,1.00,3.00,3.00,104,NULL,NULL,'INTERIOR','MULITERNO','RS',10446,244,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189098,6.00,5.00,0.00,6.00,5.00,7.88,4.00,4.00,2.00,233,NULL,212,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189101,3.00,4.00,1.00,3.00,5.00,NULL,1.00,3.00,4.00,503,NULL,NULL,'BALNEARIO ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5189128,2.00,3.00,1.00,3.00,3.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'CENTRO','SALETE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5189136,6.00,5.00,1.00,8.00,8.00,9.75,1.00,3.00,3.00,225,NULL,NULL,'NOVA SUIÇA','BELO HORIZONTE','MG',10780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189144,1.00,1.00,1.00,0.00,1.00,NULL,1.00,1.00,2.00,202,NULL,207,'SÃO TOMAS','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189152,3.00,3.00,0.00,4.00,4.00,NULL,2.00,0.00,4.00,102,NULL,NULL,'CENTRO','S JOÃO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5189179,8.00,6.00,3.00,2.00,7.00,6.38,3.00,3.00,4.00,103,NULL,NULL,'FABIO SILVA','TUBARÃO','SC',9773,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5189187,8.00,5.00,5.00,6.00,6.00,7.50,4.00,3.00,7.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',4513,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5189195,6.00,5.00,2.00,5.00,8.00,8.63,2.00,2.00,3.00,9,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189209,9.00,7.00,6.00,7.00,9.00,10.13,9.00,3.00,7.00,203,NULL,214,'GLÓRIA','JOINVILLE','SC',1071,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5189217,6.00,6.00,1.00,6.00,5.00,8.25,1.00,4.00,7.00,201,NULL,207,'ITAGUAÇU','FLORIANÓPOLIS','SC',13386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189225,4.00,5.00,1.00,7.00,8.00,NULL,0.00,0.00,2.00,103,NULL,NULL,'CENTRO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5189233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CATARINA','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5189241,3.00,5.00,2.00,4.00,9.00,7.88,3.00,5.00,6.00,207,NULL,201,'RATONES','FLORIANÓPOLIS','SC',9394,435,NULL,680,NULL,NULL,NULL,2,1),(20,5189250,8.00,6.00,4.00,5.00,7.00,8.25,2.00,5.00,6.00,103,NULL,NULL,'LUCAS ARAÚJO','PASSO FUNDO','RS',6669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189268,7.00,4.00,2.00,5.00,5.00,7.13,0.00,0.00,6.00,104,NULL,NULL,'FAZENDINHA','CURITIBA','PR',14333,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5189284,1.00,4.00,1.00,6.00,4.00,NULL,4.00,1.00,3.00,319,NULL,NULL,'SANTANA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189292,4.00,7.00,1.00,8.00,7.00,NULL,0.00,4.00,5.00,5,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5189306,3.00,6.00,4.00,6.00,8.00,9.00,3.00,1.00,2.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5189322,5.00,6.00,4.00,7.00,8.00,3.75,3.00,4.00,3.00,423,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5189330,4.00,5.00,2.00,4.00,4.00,NULL,0.00,0.00,5.00,316,NULL,NULL,'CENTRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189357,6.00,3.00,3.00,4.00,5.00,7.50,1.00,1.00,5.00,340,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',14786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189365,6.00,6.00,0.00,5.00,7.00,NULL,4.00,5.00,6.00,102,NULL,NULL,'CENTRO','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5189373,4.00,5.00,0.00,5.00,6.00,7.13,2.00,3.00,4.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5189381,5.00,6.00,1.00,5.00,6.00,7.88,5.00,1.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',12133,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5189390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PRÓSPERA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5189403,7.00,4.00,5.00,5.00,8.00,9.75,3.00,4.00,7.00,104,NULL,NULL,'COPACABANA','LAGES','SC',6422,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5189420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SAO CRISTOVAO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5189446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5189454,3.00,6.00,0.00,1.00,3.00,NULL,2.00,2.00,3.00,203,NULL,214,'JARAGUA ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(20,5189462,9.00,6.00,6.00,7.00,7.00,7.13,7.00,7.00,8.00,216,NULL,211,'CENTRO','MARINGÁ','PR',1269,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5189470,9.00,7.00,5.00,8.00,10.00,10.50,7.00,5.00,8.00,103,NULL,NULL,'VORSTADT','BLUMENAU','SC',379,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5189489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'PARQUE AMAZONIA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5189497,9.00,7.00,3.00,7.00,8.00,11.63,1.00,5.00,7.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',3487,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5189519,5.00,6.00,2.00,3.00,5.00,9.75,3.00,4.00,2.00,9,NULL,NULL,'SÃO GABRIEL','COLOMBO','PR',12732,75,NULL,NULL,NULL,NULL,NULL,4,8),(20,5189535,2.00,6.00,1.00,1.00,4.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5189551,6.00,5.00,2.00,6.00,7.00,11.63,2.00,4.00,4.00,104,NULL,NULL,'VILA SANTA CATARINA','OTACÍLIO COSTA','SC',10164,234,NULL,NULL,NULL,NULL,NULL,2,9),(20,5189578,5.00,5.00,0.00,2.00,4.00,NULL,2.00,1.00,3.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189594,7.00,7.00,4.00,4.00,8.00,7.88,4.00,5.00,7.00,202,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',6415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189608,8.00,7.00,5.00,7.00,9.00,9.00,5.00,5.00,5.00,222,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189616,1.00,1.00,0.00,1.00,4.00,NULL,1.00,3.00,1.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5189624,8.00,7.00,6.00,7.00,7.00,7.88,4.00,7.00,7.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',2358,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5189640,6.00,5.00,3.00,6.00,7.00,6.38,2.00,4.00,8.00,103,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',7361,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5189667,1.00,6.00,1.00,3.00,6.00,NULL,0.00,2.00,1.00,202,NULL,213,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189675,9.00,9.00,7.00,7.00,9.00,9.00,9.00,5.00,8.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5189691,8.00,5.00,6.00,7.00,8.00,7.88,8.00,5.00,5.00,203,NULL,201,'PAROLIN','CURITIBA','PR',1855,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5189705,3.00,4.00,2.00,3.00,5.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'TRINTA REIS','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,2),(20,5189713,7.00,5.00,3.00,5.00,7.00,9.75,4.00,6.00,5.00,201,NULL,211,'CENTRO','GR PARÁ','SC',4807,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5189721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5189730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'GÁVEA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5189748,3.00,3.00,1.00,5.00,4.00,NULL,3.00,2.00,2.00,451,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189756,6.00,5.00,3.00,6.00,5.00,7.50,4.00,3.00,5.00,336,NULL,NULL,'CENTRO','CPO GRANDE','MS',7930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189764,8.00,6.00,1.00,2.00,7.00,7.88,4.00,4.00,7.00,331,NULL,NULL,'LAGOINHA','RIBEIRÃO PRETO','SP',6726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5189772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'COND VILLA ROMANA','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5189799,8.00,8.00,1.00,5.00,8.00,10.88,2.00,4.00,5.00,211,NULL,215,'COQUEIROS','FLORIANÓPOLIS','SC',5607,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189802,2.00,4.00,1.00,4.00,7.00,NULL,2.00,0.00,2.00,238,NULL,208,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5189810,4.00,3.00,0.00,7.00,4.00,NULL,0.00,2.00,0.00,103,NULL,NULL,'JARDIM AMERICA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5189837,6.00,7.00,0.00,2.00,4.00,8.63,3.00,2.00,3.00,304,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',14764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189845,3.00,6.00,0.00,5.00,8.00,NULL,0.00,5.00,1.00,108,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189853,3.00,4.00,2.00,4.00,4.00,7.88,3.00,4.00,3.00,340,NULL,NULL,'CENTRO','NONOAI','RS',15361,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5189870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MURTA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5189888,2.00,4.00,1.00,4.00,4.00,NULL,2.00,3.00,4.00,302,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5189900,6.00,4.00,5.00,5.00,7.00,8.63,2.00,4.00,4.00,308,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',10899,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5189918,7.00,4.00,4.00,7.00,8.00,7.88,5.00,5.00,8.00,104,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',4020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189926,8.00,8.00,6.00,6.00,10.00,8.25,6.00,3.00,8.00,501,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',1681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5189934,7.00,7.00,0.00,6.00,5.00,9.38,2.00,4.00,3.00,202,NULL,203,'ELIZABETH','IJUÍ','RS',10572,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5189942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5189969,6.00,6.00,2.00,6.00,9.00,11.25,1.00,4.00,5.00,420,NULL,NULL,'CENTRO','MTE CARLO','SC',6657,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5189977,3.00,4.00,3.00,4.00,6.00,NULL,0.00,3.00,6.00,208,NULL,235,'N SENHORA ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5189993,5.00,5.00,0.00,4.00,6.00,7.50,3.00,4.00,4.00,203,NULL,201,'RUDGE RAMOS','S BERNARDO CAMPO','SP',14455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190002,5.00,6.00,0.00,5.00,7.00,9.75,1.00,2.00,4.00,320,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',13952,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5190010,4.00,7.00,0.00,6.00,6.00,10.13,1.00,2.00,2.00,651,NULL,652,'JARDIM ITU SABARA','PTO ALEGRE','RS',15460,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5190037,6.00,6.00,5.00,6.00,6.00,10.13,4.00,3.00,5.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',6901,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5190045,8.00,7.00,7.00,7.00,8.00,7.88,5.00,2.00,7.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',2164,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5190053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,NULL,'SALTO WEISSBACH','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5190061,3.00,4.00,2.00,4.00,5.00,9.75,3.00,3.00,3.00,104,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,202,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5190088,2.00,5.00,0.00,1.00,2.00,NULL,1.00,2.00,4.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190100,7.00,8.00,3.00,8.00,10.00,6.75,3.00,4.00,6.00,304,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',4079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190118,4.00,4.00,4.00,1.00,4.00,NULL,1.00,1.00,3.00,207,NULL,201,'CENTRO','ANCHIETA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5190126,7.00,5.00,1.00,3.00,3.00,NULL,3.00,4.00,3.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5190134,6.00,6.00,0.00,4.00,6.00,NULL,2.00,4.00,4.00,108,NULL,NULL,'CENTRO','S DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5190142,8.00,7.00,5.00,5.00,9.00,10.13,6.00,3.00,6.00,233,NULL,201,'BALNEÁRIO','FLORIANÓPOLIS','SC',3311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190150,9.00,5.00,5.00,7.00,10.00,10.88,3.00,4.00,6.00,103,NULL,NULL,'NICOLAU VERGUEIRO','PASSO FUNDO','RS',3519,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5190169,2.00,5.00,3.00,3.00,6.00,7.88,2.00,5.00,2.00,503,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5190177,3.00,2.00,3.00,3.00,2.00,NULL,1.00,0.00,3.00,104,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5190185,3.00,5.00,0.00,3.00,1.00,NULL,1.00,2.00,3.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5190193,7.00,7.00,6.00,7.00,9.00,10.13,6.00,6.00,8.00,653,NULL,214,'CENTRO','ESTRELA','RS',1043,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5190207,6.00,6.00,1.00,5.00,5.00,8.25,3.00,6.00,7.00,103,NULL,NULL,'REBOUCAS','CURITIBA','PR',6734,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5190215,7.00,6.00,7.00,4.00,9.00,12.00,8.00,6.00,5.00,225,NULL,NULL,'SERRARIA','S JOSÉ','SC',1310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5190223,8.00,7.00,0.00,7.00,7.00,8.63,4.00,3.00,7.00,211,NULL,215,'TRINTA RÉIS','NOVA TRENTO','SC',5570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190231,7.00,8.00,4.00,5.00,8.00,9.38,7.00,5.00,7.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',3071,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5190240,5.00,6.00,4.00,4.00,9.00,9.38,2.00,1.00,3.00,110,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',13050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190258,8.00,7.00,2.00,6.00,8.00,8.63,3.00,3.00,4.00,9,NULL,NULL,'CENTRO','IMBITUBA','SC',9367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5190266,8.00,6.00,0.00,7.00,10.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'JARDIM SANTA CRUZ','MOGI MIRIM','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190274,9.00,8.00,2.00,6.00,10.00,10.88,5.00,7.00,9.00,103,NULL,NULL,'PIRITUBA','S PAULO','SP',909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190282,5.00,8.00,2.00,5.00,6.00,6.00,3.00,4.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5190312,4.00,3.00,1.00,1.00,4.00,NULL,1.00,1.00,2.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5190320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(20,5190339,4.00,5.00,2.00,3.00,3.00,NULL,1.00,1.00,2.00,551,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5190347,8.00,7.00,3.00,8.00,8.00,9.00,4.00,4.00,6.00,318,NULL,NULL,'JARDIM INDEPENDÊNCIA','CAMPINAS','SP',2814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190355,5.00,5.00,0.00,3.00,7.00,NULL,0.00,2.00,5.00,303,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190371,5.00,6.00,2.00,3.00,8.00,6.38,3.00,0.00,6.00,207,NULL,233,'ATIRADORES','JOINVILLE','SC',13509,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5190380,5.00,4.00,2.00,2.00,5.00,NULL,3.00,2.00,2.00,5,NULL,NULL,'JARDIM BRASILIA','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5190398,4.00,6.00,1.00,5.00,3.00,NULL,0.00,3.00,2.00,404,NULL,NULL,'VILA CUBATÃO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5190401,7.00,6.00,7.00,3.00,8.00,8.25,6.00,3.00,9.00,201,NULL,601,'CENTRO','S VICENTE','SP',3506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190428,4.00,4.00,0.00,3.00,4.00,NULL,2.00,0.00,3.00,103,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5190436,8.00,9.00,4.00,6.00,8.00,11.25,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','TURVO','SC',2865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190452,6.00,7.00,4.00,6.00,9.00,7.50,4.00,5.00,6.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190460,4.00,5.00,0.00,4.00,7.00,8.25,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','TURVO','SC',14271,3663,NULL,NULL,NULL,NULL,NULL,4,5),(20,5190479,1.00,5.00,2.00,1.00,1.00,NULL,3.00,2.00,3.00,220,NULL,202,'VILA BANDEIRANTES','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5190487,4.00,3.00,2.00,5.00,5.00,6.38,2.00,3.00,3.00,423,NULL,428,'CAPOEIRAS','FLORIANÓPOLIS','SC',16143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5190495,9.00,6.00,4.00,7.00,9.00,8.25,3.00,3.00,7.00,208,NULL,238,'CENTRO','PAULO LOPES','SC',3330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190509,8.00,7.00,5.00,6.00,7.00,7.88,4.00,5.00,6.00,207,NULL,201,'SERRINHA','FLORIANÓPOLIS','SC',4073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190517,7.00,7.00,2.00,3.00,8.00,8.25,2.00,3.00,5.00,304,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',9763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5190525,6.00,3.00,1.00,1.00,6.00,NULL,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','NOVA PRATA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190533,9.00,7.00,6.00,6.00,9.00,6.38,6.00,6.00,8.00,213,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',1592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190541,7.00,8.00,1.00,6.00,9.00,8.25,1.00,4.00,5.00,340,NULL,NULL,'NSA SRA APARECIDA','FRANCISCO BELTRÃO','PR',6514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190550,3.00,2.00,0.00,3.00,5.00,NULL,0.00,1.00,3.00,201,NULL,653,'SANTA LÚCIA','MARAU','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5190568,3.00,5.00,0.00,6.00,2.00,NULL,2.00,2.00,0.00,415,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5190576,9.00,6.00,4.00,5.00,8.00,8.63,4.00,7.00,5.00,207,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',4521,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5190584,7.00,6.00,5.00,6.00,9.00,9.38,5.00,4.00,6.00,201,NULL,212,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',3956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190592,6.00,0.00,2.00,7.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5190606,0.00,4.00,0.00,4.00,5.00,NULL,0.00,1.00,3.00,2,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5190614,9.00,5.00,6.00,6.00,9.00,7.50,5.00,4.00,4.00,340,NULL,NULL,'CENTRO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5190622,6.00,5.00,1.00,6.00,5.00,8.25,1.00,3.00,2.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA UM','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5190649,2.00,4.00,0.00,6.00,4.00,NULL,1.00,1.00,2.00,420,NULL,NULL,'IMPERIAL','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190657,2.00,4.00,1.00,4.00,6.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190665,4.00,4.00,2.00,7.00,7.00,8.63,2.00,2.00,5.00,452,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5190673,7.00,5.00,2.00,6.00,3.00,NULL,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5190681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5190690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'VILA BUTANTÃ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5190703,3.00,2.00,1.00,5.00,4.00,NULL,0.00,0.00,4.00,301,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5190711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5190738,5.00,5.00,3.00,3.00,5.00,11.63,2.00,2.00,4.00,415,NULL,NULL,'TESTO CENTRAL ALTO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5190746,8.00,7.00,5.00,7.00,5.00,10.88,0.00,2.00,8.00,601,NULL,216,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',6806,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5190754,9.00,7.00,3.00,7.00,7.00,11.63,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',2239,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5190762,3.00,2.00,1.00,3.00,4.00,NULL,4.00,2.00,2.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5190800,8.00,6.00,6.00,5.00,8.00,8.25,4.00,3.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4343,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5190819,9.00,6.00,5.00,7.00,7.00,10.13,4.00,5.00,6.00,201,NULL,207,'NOVA BRASILIA','JOINVILLE','SC',3216,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5190827,4.00,4.00,2.00,4.00,7.00,NULL,1.00,2.00,3.00,207,NULL,201,'SÃO LUIS','SAPIRANGA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5190835,7.00,6.00,4.00,7.00,7.00,7.13,5.00,4.00,4.00,202,NULL,203,'BATEL','CURITIBA','PR',4837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190851,5.00,8.00,1.00,7.00,7.00,10.88,3.00,4.00,5.00,207,NULL,201,'AMÉRICA','JOINVILLE','SC',6824,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5190878,9.00,9.00,8.00,7.00,8.00,9.38,7.00,3.00,6.00,214,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',1036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190894,3.00,4.00,0.00,1.00,4.00,NULL,2.00,1.00,1.00,415,NULL,NULL,'JARDIM ESPERANÇA','REGISTRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190916,3.00,6.00,0.00,5.00,6.00,10.13,4.00,4.00,2.00,5,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',14225,462,NULL,NULL,NULL,NULL,NULL,4,1),(20,5190932,8.00,5.00,2.00,7.00,8.00,9.75,5.00,3.00,8.00,103,NULL,NULL,'CENTRO','IJUÍ','RS',3789,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5190940,3.00,3.00,2.00,1.00,6.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5190959,8.00,8.00,8.00,7.00,10.00,9.00,9.00,6.00,9.00,103,NULL,NULL,'MARECHAL FLORIANO','CAXIAS SUL','RS',169,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5190967,3.00,6.00,3.00,3.00,5.00,7.88,0.00,3.00,5.00,336,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',15952,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5190975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,235,'SÃO CRISTÓVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5190983,6.00,6.00,1.00,6.00,9.00,9.00,1.00,1.00,3.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12583,242,NULL,NULL,NULL,NULL,NULL,2,1),(20,5190991,5.00,3.00,0.00,4.00,6.00,NULL,1.00,2.00,4.00,104,NULL,NULL,'ZONA SETE','CIANORTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5191009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5191025,7.00,4.00,6.00,5.00,6.00,9.00,2.00,5.00,4.00,216,NULL,211,'VILA NOVA','LAGES','SC',7085,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5191033,7.00,7.00,2.00,5.00,6.00,7.50,0.00,2.00,5.00,501,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191041,5.00,5.00,1.00,6.00,7.00,9.38,3.00,4.00,3.00,104,NULL,NULL,'UNIÃO','COCAL SUL','SC',9727,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5191076,3.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(20,5191084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5191092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'VILA NOVA','PEREIRA BARRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5191106,3.00,4.00,5.00,5.00,7.00,7.50,2.00,3.00,2.00,452,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15481,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5191114,7.00,8.00,6.00,6.00,10.00,9.75,5.00,4.00,6.00,213,NULL,214,'CENTRO','S JOSÉ','SC',1716,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5191149,7.00,5.00,5.00,5.00,8.00,7.88,3.00,5.00,7.00,215,NULL,211,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191157,8.00,7.00,5.00,5.00,8.00,9.75,8.00,6.00,8.00,103,NULL,NULL,'VILA TARUMÃ','PINHAIS','PR',635,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5191165,9.00,8.00,8.00,7.00,7.00,9.75,5.00,5.00,7.00,103,NULL,NULL,'SANTA CATARINA','AMERICANA','SP',1111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191173,7.00,3.00,2.00,6.00,9.00,8.25,2.00,4.00,6.00,420,NULL,NULL,'ESTREIO','FLORIANÓPOLIS','SC',10802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191181,1.00,6.00,4.00,1.00,4.00,NULL,3.00,2.00,2.00,207,NULL,216,'SAO RAFAEL','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5191190,5.00,7.00,1.00,7.00,9.00,9.38,2.00,5.00,5.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191203,5.00,6.00,2.00,7.00,7.00,9.00,2.00,1.00,5.00,203,NULL,202,'MARIA GORETTI','CHAPECÓ','SC',8238,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5191211,2.00,4.00,2.00,3.00,6.00,NULL,3.00,1.00,5.00,308,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5191220,9.00,7.00,5.00,8.00,8.00,8.25,4.00,4.00,7.00,103,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',2416,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5191238,5.00,6.00,4.00,7.00,7.00,10.88,2.00,3.00,5.00,220,NULL,203,'CENTRO','CHAPECÓ','SC',6626,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5191246,5.00,6.00,4.00,6.00,3.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191254,5.00,6.00,2.00,5.00,6.00,7.13,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',14417,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5191262,7.00,7.00,4.00,5.00,6.00,7.88,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','ASSIS CHATEAUBRIAND','PR',5886,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5191270,4.00,7.00,1.00,3.00,3.00,NULL,1.00,5.00,4.00,102,NULL,NULL,'CENTRO','LEOBERTO LEAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191297,3.00,4.00,0.00,3.00,5.00,NULL,2.00,3.00,2.00,425,NULL,424,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5191319,0.00,4.00,0.00,3.00,3.00,NULL,1.00,1.00,2.00,202,NULL,235,'ARROIO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5191327,8.00,7.00,6.00,7.00,11.00,12.38,4.00,5.00,8.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191335,5.00,6.00,2.00,5.00,5.00,7.50,0.00,6.00,2.00,319,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',15426,317,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5191360,7.00,6.00,8.00,6.00,6.00,8.25,6.00,5.00,8.00,201,NULL,216,'MIRANDÓPOLIS','S PAULO','SP',1810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191378,8.00,4.00,0.00,4.00,7.00,8.63,4.00,3.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11734,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5191386,3.00,7.00,1.00,5.00,3.00,NULL,0.00,2.00,5.00,103,NULL,NULL,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5191394,3.00,4.00,1.00,2.00,4.00,NULL,2.00,2.00,0.00,9,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5191408,3.00,4.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,5,NULL,NULL,'CENTRO','ARROIO TRINTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(20,5191416,7.00,7.00,5.00,8.00,5.00,9.38,4.00,5.00,6.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191432,4.00,2.00,2.00,7.00,8.00,9.00,1.00,2.00,5.00,502,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',13219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5191459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ASA SUL','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5191467,7.00,6.00,3.00,5.00,8.00,9.00,3.00,3.00,7.00,201,NULL,207,'DOM BOSCO','ITAJAÍ','SC',7974,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5191475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5191483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5191491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5191505,8.00,8.00,7.00,7.00,9.00,11.63,7.00,6.00,8.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191513,7.00,5.00,2.00,7.00,5.00,9.38,4.00,4.00,4.00,211,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',9328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,233,'TAQUARAL','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5191530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5191556,6.00,5.00,0.00,3.00,5.00,8.63,2.00,3.00,3.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',14215,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5191564,9.00,7.00,5.00,7.00,9.00,13.13,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191580,9.00,7.00,4.00,6.00,9.00,10.50,5.00,5.00,9.00,103,NULL,NULL,'BATEL','CURITIBA','PR',1467,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5191602,5.00,7.00,1.00,5.00,6.00,8.25,2.00,3.00,3.00,215,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',13588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191610,5.00,2.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,201,NULL,212,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5191645,3.00,3.00,1.00,6.00,5.00,7.88,4.00,3.00,3.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191653,5.00,4.00,1.00,7.00,8.00,7.88,0.00,5.00,3.00,450,NULL,NULL,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',10389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191661,6.00,6.00,4.00,7.00,9.00,11.25,1.00,6.00,7.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',3811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191688,7.00,6.00,4.00,7.00,7.00,9.75,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',7743,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5191696,6.00,6.00,2.00,4.00,9.00,8.25,1.00,4.00,4.00,208,NULL,235,'VILA MAZZEI','S PAULO','SP',10280,217,NULL,NULL,NULL,NULL,NULL,2,1),(20,5191700,2.00,3.00,0.00,2.00,5.00,NULL,1.00,1.00,2.00,223,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191726,8.00,5.00,4.00,6.00,8.00,9.00,3.00,2.00,7.00,5,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',5633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191742,7.00,7.00,2.00,5.00,8.00,9.75,1.00,4.00,3.00,103,NULL,NULL,'VILA MARIA','BOTUCATU','SP',6432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191750,6.00,6.00,6.00,7.00,9.00,7.50,3.00,5.00,4.00,319,NULL,NULL,'CENTRO','STA MARIA','RS',5025,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5191769,8.00,5.00,3.00,6.00,9.00,7.50,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','ARAPONGAS','PR',4791,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5191777,3.00,2.00,2.00,3.00,2.00,NULL,1.00,1.00,2.00,308,NULL,NULL,'CACH DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5191793,6.00,5.00,5.00,5.00,6.00,6.75,2.00,2.00,6.00,103,NULL,NULL,'ZONA UM','MARINGÁ','PR',10226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'ARBORETO JEQUITIBÁS','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5191831,5.00,4.00,3.00,6.00,7.00,7.50,3.00,4.00,6.00,444,NULL,NULL,'JARDIM ANA EMILIA','TAUBATÉ','SP',8380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA PARIS','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',3,1),(20,5191858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'INTERLAGOS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5191866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CACH BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5191874,6.00,6.00,4.00,4.00,9.00,8.63,1.00,6.00,7.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5710,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5191882,4.00,4.00,3.00,5.00,8.00,6.38,5.00,2.00,5.00,317,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',13816,82,NULL,NULL,NULL,NULL,NULL,2,1),(20,5191890,8.00,7.00,4.00,7.00,7.00,8.63,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3410,1631,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191904,8.00,8.00,3.00,2.00,7.00,9.75,3.00,4.00,5.00,201,NULL,203,'LINHA GELAIN','IOMERÊ','SC',7239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5191912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,426,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5191920,9.00,9.00,6.00,8.00,10.00,8.63,7.00,5.00,8.00,207,NULL,203,'SANTA MONICA','FLORIANÓPOLIS','SC',485,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5191939,7.00,3.00,0.00,3.00,4.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'CENTRO','ERVAL GRANDE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5191947,9.00,8.00,7.00,5.00,8.00,9.38,7.00,6.00,8.00,103,NULL,NULL,'VALIM DE MELLO','UBERABA','MG',741,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5191955,6.00,7.00,2.00,3.00,7.00,8.25,3.00,2.00,5.00,225,NULL,NULL,'MUNICIPIOS','BAL CAMBORIÚ','SC',12153,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5191971,8.00,7.00,1.00,5.00,9.00,9.00,3.00,7.00,7.00,340,NULL,NULL,'ESTADOS','TIMBÓ','SC',3914,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5191980,4.00,6.00,1.00,4.00,6.00,8.63,0.00,2.00,6.00,104,NULL,NULL,'CONGONHAS','TUBARÃO','SC',12017,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5192005,3.00,5.00,3.00,6.00,6.00,9.00,3.00,2.00,4.00,340,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',14061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'RECANTO REGINA','BARRA BONITA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5192021,7.00,7.00,3.00,7.00,8.00,12.38,3.00,5.00,5.00,301,NULL,NULL,'PIRATINI','SAPUCAIA SUL','RS',3599,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5192030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5192048,3.00,4.00,1.00,3.00,5.00,NULL,0.00,2.00,4.00,108,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192056,9.00,8.00,7.00,6.00,9.00,9.00,8.00,6.00,8.00,201,NULL,212,'ITOUPAVA NORTE','BLUMENAU','SC',576,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5192064,6.00,7.00,5.00,3.00,6.00,8.25,0.00,6.00,2.00,326,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',10323,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192072,6.00,5.00,0.00,6.00,7.00,9.00,2.00,1.00,2.00,104,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192080,8.00,7.00,5.00,4.00,7.00,7.13,6.00,5.00,6.00,201,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',4593,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192099,4.00,5.00,2.00,7.00,8.00,7.50,2.00,4.00,3.00,340,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192110,9.00,9.00,6.00,7.00,9.00,10.88,4.00,5.00,9.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',649,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5192129,8.00,7.00,2.00,4.00,7.00,8.25,0.00,5.00,6.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',7364,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192137,7.00,6.00,4.00,4.00,6.00,4.88,2.00,1.00,5.00,104,NULL,NULL,'BARRA DO SAI','ITAPOÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5192145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA GOMES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5192153,5.00,7.00,7.00,5.00,9.00,10.13,3.00,6.00,8.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3505,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192161,7.00,6.00,3.00,6.00,4.00,10.13,2.00,2.00,6.00,202,NULL,653,'ASSUNÇÃO','S BERNARDO CAMPO','SP',8432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192170,8.00,8.00,4.00,7.00,9.00,9.38,4.00,3.00,6.00,308,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',3897,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5192188,7.00,7.00,5.00,6.00,7.00,7.13,0.00,4.00,6.00,208,NULL,238,'CENTRO','STA MARIA','RS',7720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192196,3.00,2.00,1.00,7.00,8.00,9.75,3.00,4.00,5.00,108,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192200,4.00,7.00,0.00,4.00,3.00,NULL,3.00,4.00,2.00,201,NULL,220,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192218,9.00,6.00,5.00,7.00,9.00,7.50,5.00,3.00,7.00,103,NULL,NULL,'JARDIM CAIÇARA','S JOAQUIM','SC',2840,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5192226,6.00,7.00,4.00,7.00,8.00,9.75,5.00,6.00,4.00,208,NULL,215,'SANTO ANTÔNIO','FLORIANÓPOLIS','SC',5067,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5192242,4.00,5.00,2.00,3.00,7.00,NULL,1.00,2.00,3.00,216,NULL,215,'SÃO CRISTOVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5192250,7.00,8.00,6.00,7.00,6.00,9.38,5.00,5.00,8.00,203,NULL,601,'CANTO','FLORIANÓPOLIS','SC',2554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192269,6.00,8.00,3.00,4.00,7.00,8.63,6.00,6.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5338,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192285,1.00,4.00,2.00,3.00,2.00,NULL,3.00,3.00,2.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192293,5.00,6.00,0.00,5.00,6.00,NULL,2.00,3.00,3.00,213,NULL,235,'SERTÃO DA ESTIVA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5192315,4.00,7.00,4.00,6.00,7.00,8.25,3.00,2.00,4.00,207,NULL,201,'ESTREITO','ALFREDO WAGNER','SC',10073,474,NULL,739,NULL,NULL,NULL,4,1),(20,5192323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'VILA PROGRESSO','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5192331,3.00,3.00,1.00,4.00,4.00,NULL,0.00,2.00,3.00,308,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192340,8.00,6.00,1.00,2.00,8.00,NULL,0.00,4.00,4.00,3,NULL,NULL,'PRESIDENTE MEDICI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5192358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5192366,7.00,5.00,6.00,6.00,6.00,10.13,5.00,4.00,6.00,303,NULL,NULL,'JARDIM FORTALEZA','VARGEM G SUL','SP',3209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192374,6.00,6.00,2.00,5.00,5.00,10.50,3.00,3.00,4.00,2,NULL,NULL,'NOVA PETROPOLIS','S BERNARDO CAMPO','SP',9836,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5192404,5.00,5.00,4.00,6.00,9.00,9.00,2.00,3.00,4.00,328,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192412,6.00,8.00,1.00,6.00,8.00,7.50,1.00,4.00,4.00,303,NULL,NULL,'LOT SÃO MIGUEL','BIGUAÇU','SC',11323,463,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5192439,7.00,7.00,4.00,6.00,5.00,10.13,3.00,4.00,5.00,601,NULL,653,'COSTA E SILVA','JOINVILLE','SC',6604,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5192447,6.00,5.00,0.00,3.00,6.00,6.00,3.00,1.00,3.00,102,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',16301,235,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192455,8.00,7.00,4.00,7.00,8.00,8.63,5.00,4.00,7.00,601,NULL,203,'IPIRANGA','S PAULO','SP',3287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192471,8.00,4.00,4.00,3.00,4.00,7.50,2.00,1.00,4.00,103,NULL,NULL,'CENTRO','ALBERTINA','MG',13245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192480,5.00,7.00,5.00,6.00,7.00,9.00,4.00,6.00,6.00,425,NULL,427,'PANTANAL','FLORIANÓPOLIS','SC',4988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192501,8.00,8.00,8.00,7.00,10.00,8.25,8.00,5.00,8.00,103,NULL,NULL,'CENTRO','STA HELENA','PR',274,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192528,3.00,3.00,1.00,3.00,5.00,NULL,0.00,3.00,1.00,5,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5192536,0.00,2.00,0.00,0.00,1.00,NULL,1.00,0.00,3.00,215,NULL,216,'VILA CARAÍBA','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5192544,6.00,8.00,2.00,5.00,8.00,9.75,2.00,6.00,5.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',6653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192552,2.00,0.00,2.00,6.00,1.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5192579,7.00,6.00,3.00,3.00,8.00,8.63,3.00,3.00,5.00,2,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192595,2.00,5.00,2.00,2.00,6.00,NULL,0.00,0.00,4.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192609,2.00,1.00,0.00,4.00,3.00,NULL,0.00,2.00,2.00,207,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192617,6.00,6.00,2.00,7.00,9.00,8.25,3.00,5.00,6.00,103,NULL,NULL,'SETE DE SETEMBRO','GASPAR','SC',6449,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5192625,0.00,3.00,0.00,3.00,1.00,NULL,2.00,2.00,4.00,429,NULL,425,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192633,9.00,6.00,4.00,7.00,4.00,7.13,7.00,2.00,6.00,203,NULL,214,'CAPOEIRAS','FLORIANÓPOLIS','SC',5205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192641,5.00,6.00,2.00,4.00,5.00,6.38,3.00,1.00,2.00,104,NULL,NULL,'CENTRO','IMBITUBA','SC',15628,422,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192668,4.00,4.00,1.00,3.00,6.00,8.25,1.00,4.00,7.00,201,NULL,202,'COLONIA SANTANA','S JOSÉ','SC',12066,865,NULL,412,NULL,NULL,NULL,4,1),(20,5192676,4.00,5.00,3.00,5.00,5.00,6.00,1.00,3.00,3.00,333,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5192684,6.00,7.00,2.00,6.00,8.00,10.13,4.00,4.00,5.00,5,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',7300,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SANTO ANTÔNIO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5192714,4.00,5.00,0.00,4.00,6.00,NULL,0.00,3.00,1.00,201,NULL,211,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ANDRADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5192730,8.00,6.00,2.00,7.00,7.00,6.75,3.00,4.00,5.00,329,NULL,NULL,'BARREIROS','S JOSÉ','SC',9121,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5192749,8.00,7.00,3.00,7.00,8.00,9.38,5.00,6.00,6.00,202,NULL,235,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192781,3.00,6.00,4.00,3.00,4.00,9.00,5.00,2.00,5.00,501,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192790,5.00,4.00,2.00,3.00,2.00,NULL,0.00,3.00,3.00,208,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192803,7.00,6.00,3.00,5.00,7.00,10.13,2.00,4.00,5.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192811,3.00,4.00,1.00,5.00,4.00,NULL,2.00,2.00,3.00,340,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192820,7.00,6.00,2.00,4.00,8.00,8.63,4.00,2.00,6.00,207,NULL,212,'KOBRASOL','S JOSÉ','SC',8212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192838,2.00,1.00,0.00,4.00,4.00,NULL,2.00,3.00,0.00,316,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192846,8.00,6.00,3.00,3.00,6.00,7.50,3.00,4.00,5.00,303,NULL,NULL,'CENTRO','LIMEIRA','SP',10011,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5192854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM DA SAÚDE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5192862,5.00,5.00,1.00,4.00,3.00,NULL,2.00,1.00,4.00,5,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192870,6.00,8.00,2.00,7.00,9.00,6.75,0.00,3.00,4.00,318,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',10877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192897,8.00,6.00,4.00,6.00,9.00,11.25,2.00,4.00,6.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',2943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192900,1.00,5.00,0.00,4.00,5.00,NULL,0.00,2.00,1.00,304,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192919,4.00,5.00,0.00,4.00,4.00,11.25,3.00,2.00,6.00,103,NULL,NULL,'TECNORTE','ARAGUAÍNA','TO',11408,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5192927,4.00,6.00,2.00,3.00,3.00,NULL,0.00,5.00,2.00,224,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192943,4.00,5.00,2.00,3.00,5.00,NULL,0.00,3.00,3.00,216,NULL,203,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5192951,3.00,5.00,0.00,3.00,5.00,NULL,3.00,3.00,2.00,104,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5192978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'JARDIM ACAPULCO','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5192986,6.00,6.00,3.00,5.00,10.00,9.38,3.00,3.00,5.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',6943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5193052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5193060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5193079,9.00,9.00,8.00,7.00,10.00,9.75,6.00,5.00,9.00,303,NULL,NULL,'FLORESTA','JOINVILLE','SC',266,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5193087,8.00,6.00,3.00,7.00,10.00,11.25,6.00,4.00,8.00,103,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',1059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5193095,5.00,6.00,1.00,2.00,2.00,NULL,2.00,3.00,3.00,319,NULL,NULL,'ARMAÇÃO PÂNTANO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5193109,5.00,5.00,2.00,1.00,4.00,NULL,0.00,4.00,3.00,317,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5193125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ANO BOM','CORUPÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5193133,6.00,8.00,5.00,6.00,8.00,9.00,4.00,5.00,6.00,207,NULL,201,'ARARIPE','PARANAVAÍ','PR',3884,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5193141,4.00,4.00,2.00,5.00,6.00,7.13,3.00,3.00,5.00,303,NULL,NULL,'DAS CAPITAIS','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5193150,4.00,8.00,7.00,5.00,8.00,8.25,3.00,4.00,4.00,333,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6509,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5193168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO FRANCISCO','STO AUGUSTO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5193176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DIONISIO TORRES','FORTALEZA','CE',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5193184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'VILA ALEMANHA','LUZERNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5193192,8.00,4.00,4.00,5.00,6.00,10.13,2.00,5.00,4.00,108,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',8407,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5193206,9.00,8.00,8.00,7.00,9.00,10.50,8.00,5.00,8.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',192,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5193214,6.00,4.00,4.00,4.00,4.00,6.75,2.00,2.00,3.00,202,NULL,233,'CIDADE MINEIRA NOVA','CRICIÚMA','SC',14778,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5193222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5193230,5.00,3.00,2.00,4.00,6.00,6.75,3.00,3.00,4.00,203,NULL,214,'PONTE DO IMARUIM','PALHOÇA','SC',14776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5193249,7.00,5.00,1.00,5.00,8.00,6.00,3.00,4.00,8.00,103,NULL,NULL,'CENTRO','MAMBORÊ','PR',7575,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5193265,3.00,5.00,3.00,5.00,4.00,NULL,2.00,1.00,2.00,215,NULL,216,'SANTA RITA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5193281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,207,'TRISTEZA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5193290,9.00,6.00,7.00,7.00,9.00,10.13,8.00,8.00,9.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5193303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5193311,3.00,4.00,0.00,3.00,4.00,NULL,1.00,1.00,1.00,340,NULL,NULL,'BANDEIRANTES','LUCAS R VERDE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5193320,9.00,6.00,3.00,6.00,9.00,9.00,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',2847,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5193338,6.00,7.00,3.00,7.00,6.00,6.00,2.00,3.00,7.00,301,NULL,NULL,'RECREIO DAS ACÁCIAS','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5193354,4.00,5.00,1.00,3.00,5.00,9.00,2.00,3.00,4.00,317,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5193362,9.00,5.00,5.00,7.00,8.00,8.63,6.00,4.00,8.00,102,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',2432,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5193370,6.00,6.00,2.00,6.00,8.00,9.38,2.00,3.00,4.00,207,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5193389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,215,'BARRA CLARA','ANGELINA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5193397,3.00,4.00,3.00,1.00,5.00,NULL,1.00,1.00,4.00,415,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5193400,6.00,7.00,1.00,5.00,7.00,8.25,2.00,3.00,4.00,331,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5193427,1.00,5.00,2.00,2.00,3.00,NULL,2.00,1.00,5.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5193435,9.00,8.00,2.00,7.00,9.00,10.50,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','LAGES','SC',2279,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5193443,6.00,5.00,2.00,5.00,8.00,9.75,2.00,0.00,3.00,601,NULL,211,'PETRÓPOLIS','JOINVILLE','SC',11544,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5193451,0.00,2.00,0.00,3.00,2.00,NULL,3.00,1.00,0.00,211,NULL,201,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5193460,3.00,3.00,0.00,0.00,3.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5193478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5193486,4.00,6.00,4.00,6.00,9.00,9.75,3.00,4.00,5.00,103,NULL,NULL,'SANTO ANTÔNIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5193494,6.00,3.00,0.00,3.00,2.00,NULL,1.00,2.00,3.00,333,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5193508,7.00,7.00,5.00,6.00,8.00,7.50,5.00,5.00,7.00,340,NULL,NULL,'JARDÍM ATLÂNTICO','FLORIANÓPOLIS','SC',4000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5193516,5.00,7.00,3.00,7.00,5.00,9.00,3.00,4.00,2.00,201,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5193524,6.00,6.00,3.00,5.00,5.00,9.38,2.00,4.00,5.00,201,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',9863,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5193532,5.00,6.00,5.00,7.00,5.00,7.88,3.00,6.00,4.00,304,NULL,NULL,'JARDIM EMÍLIA','SOROCABA','SP',6331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5193540,6.00,5.00,2.00,3.00,7.00,7.50,3.00,3.00,5.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5193559,5.00,4.00,1.00,4.00,8.00,6.75,1.00,4.00,2.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5193567,2.00,4.00,1.00,4.00,2.00,NULL,0.00,3.00,3.00,420,NULL,NULL,'SESRRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5193575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'CENTRO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5193583,4.00,4.00,3.00,3.00,7.00,NULL,1.00,5.00,2.00,333,NULL,NULL,'CALHEIROS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5193605,8.00,7.00,2.00,5.00,10.00,7.50,4.00,3.00,6.00,303,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',4833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5193613,5.00,8.00,4.00,5.00,4.00,6.38,3.00,3.00,5.00,238,NULL,208,'AGRONÔMICA','FLORIANÓPOLIS','SC',12244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5193621,5.00,8.00,4.00,6.00,8.00,8.25,5.00,3.00,6.00,201,NULL,233,'ABRAÃO','FLORIANÓPOLIS','SC',5541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5193630,7.00,5.00,2.00,5.00,8.00,8.63,1.00,1.00,4.00,5,NULL,NULL,'VILA NOVA','JOINVILLE','SC',11254,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5193648,7.00,6.00,6.00,6.00,10.00,9.75,6.00,3.00,5.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5193664,6.00,7.00,3.00,5.00,10.00,10.13,2.00,5.00,7.00,420,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5193672,1.00,3.00,1.00,2.00,4.00,NULL,1.00,2.00,4.00,102,NULL,NULL,'PRAIA DE LESTE','PONTAL PARANÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5193699,9.00,8.00,6.00,7.00,10.00,9.38,7.00,5.00,9.00,201,NULL,212,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5193729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ATUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5193737,3.00,6.00,1.00,6.00,9.00,10.50,2.00,3.00,1.00,103,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',13959,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5193745,6.00,5.00,2.00,5.00,10.00,6.75,2.00,4.00,5.00,309,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',7681,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5193753,1.00,3.00,1.00,2.00,3.00,NULL,0.00,3.00,3.00,9,NULL,NULL,'PIONEIROS','ITÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5193761,9.00,6.00,5.00,6.00,7.00,6.75,3.00,4.00,4.00,9,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',6869,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5193770,9.00,6.00,6.00,7.00,8.00,10.13,6.00,6.00,9.00,103,NULL,NULL,'VILA ROSA','ITAPETININGA','SP',764,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5193788,9.00,8.00,4.00,5.00,10.00,8.25,4.00,8.00,6.00,216,NULL,233,'ITOUPAVA CENTRAL','BLUMENAU','SC',1688,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5193796,1.00,4.00,0.00,0.00,5.00,NULL,0.00,3.00,0.00,103,NULL,NULL,'CAÇA E TIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5193800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5193826,8.00,8.00,3.00,5.00,10.00,11.63,3.00,5.00,6.00,5,NULL,NULL,'PRAIA BRAVA','FLORIANÓPOLIS','SC',5116,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5193834,5.00,5.00,1.00,3.00,4.00,NULL,0.00,3.00,1.00,502,NULL,NULL,'DISTRITO DE ATERRADO','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5193842,3.00,5.00,2.00,3.00,6.00,NULL,2.00,3.00,2.00,207,NULL,201,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5193850,3.00,7.00,3.00,2.00,5.00,NULL,1.00,2.00,2.00,329,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5193877,5.00,4.00,3.00,5.00,8.00,9.75,2.00,4.00,6.00,201,NULL,212,'CENTRO','CHAPECÓ','SC',7279,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5193885,6.00,6.00,2.00,5.00,7.00,8.25,2.00,4.00,6.00,103,NULL,NULL,'MOEMA','ITAIÓPOLIS','SC',9966,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5193893,8.00,5.00,3.00,7.00,5.00,7.13,2.00,3.00,4.00,216,NULL,215,'CENTRO','RIO ANTAS','SC',10648,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5193907,5.00,6.00,2.00,7.00,7.00,7.88,4.00,5.00,6.00,203,NULL,601,'VELHA','BLUMENAU','SC',5364,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5193915,4.00,5.00,1.00,2.00,7.00,NULL,0.00,5.00,3.00,327,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5193931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CINQUETENARIO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5193940,6.00,5.00,1.00,4.00,5.00,6.00,2.00,3.00,3.00,421,NULL,424,'VERA CRUZ','CRICIÚMA','SC',15898,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5193966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5193982,3.00,6.00,0.00,4.00,3.00,NULL,3.00,3.00,1.00,9,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5194024,8.00,7.00,6.00,7.00,9.00,8.63,5.00,4.00,6.00,238,NULL,208,'ITAGUAÇU','FLORIANÓPOLIS','SC',2988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194032,3.00,2.00,1.00,1.00,1.00,NULL,0.00,2.00,2.00,102,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5194040,5.00,6.00,3.00,4.00,7.00,9.00,2.00,3.00,5.00,109,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12666,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5194059,3.00,6.00,0.00,6.00,4.00,8.25,3.00,1.00,4.00,653,NULL,651,'MINA UNIAO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5194075,7.00,7.00,4.00,5.00,6.00,9.00,2.00,6.00,7.00,208,NULL,238,'SERRARIA','S JOSÉ','SC',7873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5194083,4.00,6.00,2.00,6.00,9.00,9.38,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','S DOMINGOS','SC',12014,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5194091,5.00,6.00,6.00,7.00,5.00,8.63,5.00,1.00,4.00,203,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',9410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM ESPLANADA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5194113,6.00,6.00,1.00,6.00,9.00,7.50,1.00,2.00,3.00,2,NULL,NULL,'VERA CRUZ','CRICIÚMA','SC',10954,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5194121,5.00,3.00,0.00,7.00,9.00,9.38,5.00,2.00,6.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194130,6.00,5.00,5.00,7.00,6.00,9.75,4.00,3.00,5.00,207,NULL,201,'SAN CONRADO','CAMPINAS','SP',7770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5194156,4.00,3.00,5.00,2.00,4.00,NULL,2.00,2.00,1.00,201,NULL,212,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5194180,7.00,7.00,4.00,7.00,7.00,11.25,1.00,3.00,6.00,216,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',5510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194199,10.00,8.00,8.00,6.00,9.00,11.63,7.00,6.00,9.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',117,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5194202,5.00,5.00,5.00,3.00,7.00,8.25,1.00,2.00,7.00,103,NULL,NULL,'SAO FRANCISCO','CURITIBA','PR',8404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5194210,7.00,6.00,6.00,5.00,8.00,7.88,8.00,3.00,5.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',4221,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5194237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BAIRRO FELIZ','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5194253,3.00,5.00,1.00,4.00,3.00,NULL,1.00,3.00,4.00,208,NULL,238,'CENTRO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194261,2.00,6.00,2.00,6.00,7.00,NULL,1.00,1.00,3.00,108,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194270,8.00,5.00,1.00,6.00,7.00,7.88,2.00,4.00,4.00,9,NULL,NULL,'CENTRO','NOVA TRENTO','SC',8784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194288,8.00,7.00,4.00,6.00,10.00,10.50,5.00,6.00,6.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194300,3.00,5.00,2.00,3.00,4.00,6.38,3.00,3.00,3.00,304,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',16253,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5194318,6.00,4.00,5.00,5.00,4.00,6.75,2.00,2.00,4.00,238,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',13234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5194326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5194334,2.00,5.00,2.00,4.00,6.00,NULL,2.00,2.00,2.00,9,NULL,NULL,'NAVEGANTES','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5194342,8.00,8.00,5.00,6.00,10.00,8.63,2.00,5.00,5.00,340,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',2834,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(20,5194350,5.00,7.00,4.00,6.00,7.00,10.13,3.00,3.00,3.00,103,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',7195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194369,1.00,4.00,2.00,1.00,3.00,NULL,1.00,1.00,4.00,308,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5194385,5.00,6.00,0.00,4.00,7.00,NULL,0.00,1.00,1.00,211,NULL,215,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5194393,2.00,3.00,2.00,3.00,1.00,NULL,1.00,1.00,2.00,201,NULL,207,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5194415,3.00,3.00,1.00,3.00,2.00,NULL,3.00,2.00,3.00,203,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5194423,4.00,5.00,1.00,3.00,5.00,NULL,2.00,2.00,2.00,415,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5194431,6.00,7.00,2.00,7.00,8.00,11.63,2.00,5.00,5.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194440,1.00,3.00,1.00,3.00,2.00,NULL,1.00,2.00,0.00,308,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5194458,2.00,3.00,0.00,4.00,3.00,NULL,0.00,0.00,4.00,102,NULL,NULL,'CENTRO','ROCA SALES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5194466,8.00,7.00,5.00,7.00,9.00,7.50,5.00,5.00,6.00,216,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',3072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194474,6.00,5.00,4.00,5.00,6.00,7.50,5.00,5.00,4.00,216,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5194482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'PRAIA DA DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5194490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5194504,4.00,2.00,4.00,3.00,3.00,NULL,3.00,3.00,1.00,318,NULL,NULL,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5194512,7.00,8.00,3.00,5.00,6.00,7.88,3.00,4.00,5.00,234,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',10089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5194520,9.00,6.00,4.00,6.00,9.00,9.38,5.00,4.00,6.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',2748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194547,6.00,6.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,213,NULL,220,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5194555,4.00,7.00,4.00,3.00,4.00,9.75,3.00,5.00,4.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',12266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194571,6.00,4.00,1.00,7.00,6.00,8.63,2.00,1.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5194580,7.00,6.00,2.00,7.00,6.00,10.13,4.00,3.00,4.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194598,4.00,6.00,0.00,1.00,6.00,8.25,4.00,4.00,4.00,203,NULL,202,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194601,4.00,7.00,3.00,7.00,8.00,9.00,0.00,3.00,3.00,425,NULL,429,'RIO CAVEIRAS','BIGUAÇU','SC',12513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194628,4.00,7.00,0.00,4.00,7.00,8.63,2.00,3.00,7.00,238,NULL,208,'PACHECOS','PALHOÇA','SC',11846,244,NULL,276,NULL,NULL,NULL,2,1),(20,5194644,4.00,6.00,1.00,6.00,6.00,7.88,0.00,3.00,3.00,308,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15976,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5194652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM MONZA','COLOMBO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5194660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5194679,5.00,6.00,1.00,6.00,5.00,8.25,2.00,2.00,2.00,201,NULL,207,'SÃO SEBASTIÃO','CAMPOS NOVOS','SC',15289,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5194687,7.00,5.00,1.00,6.00,9.00,8.25,2.00,5.00,5.00,201,NULL,207,'CENTRO','TRÊS PASSOS','RS',8093,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5194695,6.00,6.00,4.00,5.00,4.00,5.25,3.00,3.00,5.00,220,NULL,202,'CENTRO','CASTRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5194741,6.00,8.00,3.00,5.00,10.00,7.88,1.00,3.00,5.00,201,NULL,212,'SÃO JOÃO','ITAJAÍ','SC',8312,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5194750,2.00,4.00,2.00,2.00,5.00,NULL,0.00,2.00,1.00,216,NULL,215,'NOVA BRASÍLIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5194768,2.00,4.00,0.00,4.00,2.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'BATEIAS','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5194776,3.00,2.00,0.00,5.00,4.00,NULL,1.00,0.00,4.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5194784,7.00,5.00,4.00,7.00,8.00,10.13,3.00,5.00,7.00,216,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',5005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194792,4.00,2.00,0.00,3.00,5.00,NULL,3.00,1.00,1.00,220,NULL,203,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5194806,3.00,0.00,5.00,2.00,2.00,NULL,0.00,0.00,0.00,202,NULL,601,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(20,5194814,4.00,5.00,3.00,6.00,6.00,7.50,1.00,2.00,4.00,103,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',13839,3612,NULL,NULL,NULL,NULL,NULL,4,6),(20,5194822,9.00,6.00,5.00,7.00,10.00,10.50,7.00,6.00,8.00,103,NULL,NULL,'VILA NOVA JAGUARA','S PAULO','SP',585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194830,8.00,4.00,3.00,7.00,8.00,10.13,2.00,3.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PEDRO LUDOVICO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5194857,8.00,7.00,5.00,5.00,10.00,10.50,3.00,3.00,7.00,103,NULL,NULL,'CENTRO','APUCARANA','PR',3034,1497,NULL,NULL,NULL,NULL,NULL,2,8),(20,5194865,3.00,4.00,3.00,7.00,9.00,7.13,5.00,3.00,2.00,319,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',9937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194873,4.00,5.00,1.00,1.00,3.00,NULL,3.00,2.00,3.00,104,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5194881,5.00,5.00,0.00,4.00,7.00,NULL,1.00,4.00,6.00,104,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5194890,3.00,4.00,2.00,4.00,3.00,NULL,1.00,1.00,2.00,303,NULL,NULL,'RIO BRANCO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5194911,8.00,8.00,5.00,7.00,10.00,7.88,4.00,5.00,7.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194920,3.00,6.00,2.00,5.00,5.00,7.50,3.00,3.00,2.00,9,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',15819,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5194946,8.00,8.00,8.00,7.00,9.00,10.88,6.00,7.00,8.00,203,NULL,233,'SANTA TEREZINHA','GASPAR','SC',284,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5194954,8.00,7.00,6.00,6.00,7.00,8.25,2.00,3.00,8.00,301,NULL,NULL,'CENTRO','CANOINHAS','SC',3932,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5194962,5.00,7.00,3.00,7.00,6.00,7.50,4.00,6.00,3.00,601,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',7340,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5194970,3.00,5.00,3.00,2.00,4.00,7.88,1.00,2.00,4.00,202,NULL,213,'BARREIROS','S JOSÉ','SC',15208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5194989,8.00,7.00,3.00,6.00,9.00,9.38,2.00,4.00,5.00,327,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',7932,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5194997,6.00,6.00,3.00,7.00,7.00,10.88,3.00,3.00,7.00,415,NULL,NULL,'CENTRO','TRÊS PASSOS','RS',5574,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5195004,4.00,4.00,2.00,3.00,9.00,NULL,1.00,2.00,3.00,308,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195012,8.00,7.00,6.00,7.00,9.00,7.88,6.00,6.00,9.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',1024,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5195020,6.00,5.00,4.00,3.00,7.00,9.38,3.00,2.00,4.00,319,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',10768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195039,6.00,6.00,4.00,4.00,7.00,7.50,3.00,4.00,4.00,502,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',11184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195047,9.00,8.00,3.00,8.00,8.00,13.13,4.00,6.00,9.00,103,NULL,NULL,'CENTRO','PTO UNIÃO','SC',431,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5195055,6.00,6.00,4.00,7.00,7.00,7.13,2.00,4.00,5.00,216,NULL,NULL,'HUMAITA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5195063,3.00,8.00,4.00,6.00,8.00,0.00,1.00,3.00,4.00,301,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195071,5.00,7.00,4.00,3.00,4.00,7.50,0.00,4.00,1.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15247,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195098,2.00,0.00,3.00,1.00,3.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5195101,4.00,3.00,0.00,4.00,4.00,NULL,1.00,2.00,3.00,339,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5195110,9.00,9.00,8.00,7.00,10.00,9.00,8.00,6.00,9.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195128,9.00,8.00,8.00,8.00,11.00,13.50,7.00,7.00,9.00,103,NULL,NULL,'PRESIDENTE MÉDICE','CHAPECÓ','SC',2,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195136,4.00,5.00,4.00,7.00,9.00,9.75,2.00,2.00,4.00,340,NULL,NULL,'CENTRO','RIO SUL','SC',9027,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5195144,6.00,6.00,3.00,6.00,5.00,9.00,1.00,3.00,5.00,203,NULL,235,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195160,8.00,8.00,4.00,7.00,10.00,9.75,6.00,5.00,8.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',1046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195179,7.00,7.00,5.00,7.00,8.00,8.25,5.00,5.00,5.00,201,NULL,208,'ITAGUAÇU','FLORIANÓPOLIS','SC',5567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195187,4.00,4.00,1.00,7.00,4.00,NULL,0.00,2.00,3.00,203,NULL,201,'VILA OPERÁRIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5195195,9.00,7.00,3.00,5.00,5.00,9.00,0.00,2.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',8393,2901,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195209,2.00,3.00,3.00,4.00,7.00,NULL,1.00,4.00,3.00,316,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5195217,5.00,7.00,2.00,4.00,8.00,8.25,5.00,3.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195225,6.00,0.00,2.00,4.00,8.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'GASPAR GRANDE','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(20,5195250,6.00,3.00,2.00,4.00,6.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195268,8.00,7.00,1.00,5.00,9.00,10.50,2.00,4.00,5.00,333,NULL,NULL,'JARDIM ATLÂTICO','GOIÂNIA','GO',5767,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5195276,4.00,6.00,1.00,3.00,7.00,8.25,2.00,4.00,3.00,216,NULL,215,'SAO VICENTE','ITAJAÍ','SC',11839,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5195284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5195292,2.00,4.00,1.00,3.00,2.00,NULL,3.00,1.00,0.00,103,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5195306,4.00,6.00,0.00,5.00,6.00,NULL,2.00,2.00,2.00,102,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5195314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5195330,3.00,2.00,1.00,2.00,6.00,NULL,2.00,2.00,3.00,328,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195349,5.00,3.00,0.00,3.00,4.00,NULL,3.00,3.00,2.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'MINA DO TOCO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5195381,9.00,7.00,8.00,7.00,10.00,9.38,7.00,7.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195390,8.00,7.00,3.00,6.00,9.00,6.75,4.00,4.00,5.00,5,NULL,NULL,'IPIRANGA','S JOSÉ','SC',4653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195411,3.00,3.00,4.00,4.00,5.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5195438,7.00,6.00,3.00,4.00,6.00,7.88,1.00,5.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10188,3188,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195454,1.00,4.00,2.00,6.00,5.00,NULL,1.00,2.00,3.00,238,NULL,220,'BELA VISTA II','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195462,4.00,5.00,0.00,6.00,6.00,NULL,2.00,2.00,5.00,216,NULL,233,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,5),(20,5195470,9.00,7.00,7.00,7.00,9.00,12.75,6.00,7.00,7.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',89,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195489,7.00,6.00,7.00,7.00,7.00,8.63,6.00,3.00,5.00,201,NULL,215,'JARDIM BELA VISTA','AMERICANA','SP',4331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195497,3.00,3.00,1.00,2.00,4.00,NULL,1.00,4.00,2.00,104,NULL,NULL,'LINHA GLÓRIA DO MEIO','CUNHA PORÃ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5195500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5195527,7.00,7.00,7.00,6.00,8.00,8.25,4.00,6.00,7.00,103,NULL,NULL,'CAPISTRANO','BOM RETIRO','SC',2455,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5195535,3.00,7.00,2.00,5.00,9.00,11.25,2.00,4.00,5.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9061,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195543,5.00,5.00,2.00,3.00,4.00,7.13,1.00,3.00,4.00,317,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',15306,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195551,5.00,5.00,3.00,2.00,2.00,NULL,1.00,3.00,4.00,207,NULL,NULL,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5195560,7.00,2.00,0.00,3.00,6.00,NULL,0.00,2.00,4.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195578,7.00,7.00,3.00,4.00,5.00,8.25,1.00,3.00,4.00,444,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',11253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JUVEVÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5195594,2.00,3.00,2.00,2.00,4.00,NULL,1.00,2.00,1.00,653,NULL,211,'ZONA NOVA SUL','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5195608,7.00,8.00,2.00,6.00,7.00,9.75,2.00,3.00,7.00,233,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',5977,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5195616,2.00,5.00,1.00,2.00,6.00,NULL,3.00,3.00,3.00,317,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'VILA ALEMANHA','LUZERNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5195632,4.00,5.00,4.00,7.00,7.00,8.63,3.00,3.00,4.00,108,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',11064,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5195640,6.00,7.00,2.00,7.00,5.00,8.63,4.00,3.00,4.00,211,NULL,216,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195659,9.00,6.00,1.00,5.00,10.00,10.13,4.00,5.00,7.00,103,NULL,NULL,'ESTAÇÃO LUZERNA','HERVAL D OESTE','SC',4143,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5195667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESPIRITO SANTO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5195675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CLUBE DOS QUINHENTOS','GUARATINGUETÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5195683,6.00,5.00,0.00,5.00,7.00,8.25,1.00,3.00,4.00,303,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',13438,547,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195691,9.00,9.00,9.00,7.00,10.00,10.13,8.00,6.00,10.00,103,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',14,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5195705,3.00,5.00,1.00,4.00,6.00,9.75,2.00,4.00,2.00,316,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',14083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195721,1.00,4.00,1.00,5.00,4.00,NULL,1.00,2.00,5.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195730,2.00,4.00,0.00,1.00,4.00,NULL,0.00,2.00,3.00,340,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195764,5.00,7.00,3.00,7.00,7.00,9.75,4.00,5.00,2.00,318,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195772,5.00,5.00,2.00,4.00,3.00,NULL,3.00,3.00,4.00,211,NULL,233,'NOVA BRASILIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195780,8.00,6.00,2.00,5.00,9.00,12.00,4.00,3.00,7.00,451,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',3871,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5195799,8.00,5.00,0.00,4.00,9.00,NULL,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5195802,7.00,8.00,7.00,2.00,8.00,8.63,6.00,6.00,6.00,303,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',3464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195810,6.00,6.00,5.00,7.00,6.00,10.88,4.00,6.00,8.00,316,NULL,NULL,'CENTRO','RIO SUL','SC',3976,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5195829,5.00,4.00,4.00,3.00,7.00,8.25,5.00,2.00,3.00,214,NULL,213,'ACLIMAÇÃO','S PAULO','SP',9302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195837,5.00,5.00,0.00,5.00,7.00,7.13,3.00,2.00,4.00,301,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',13028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195845,5.00,6.00,1.00,4.00,7.00,6.00,2.00,3.00,3.00,201,NULL,212,'MONTANHA','LAJEADO','RS',11948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195853,4.00,5.00,3.00,4.00,4.00,NULL,1.00,2.00,4.00,201,NULL,202,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5195861,1.00,4.00,1.00,3.00,4.00,NULL,0.00,3.00,3.00,9,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195870,5.00,0.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5195888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'TIROL','NATAL','RN',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5195896,4.00,7.00,2.00,4.00,6.00,7.50,5.00,3.00,6.00,415,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',10272,197,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195918,3.00,5.00,0.00,1.00,5.00,7.88,3.00,4.00,4.00,201,NULL,207,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5195926,7.00,6.00,5.00,3.00,7.00,9.00,3.00,3.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6816,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5195942,7.00,6.00,5.00,6.00,8.00,8.25,5.00,3.00,8.00,201,NULL,207,'PASSO MANSO','BLUMENAU','SC',4229,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5195950,4.00,7.00,1.00,2.00,9.00,9.75,3.00,5.00,6.00,426,NULL,425,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',9955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5195969,5.00,5.00,1.00,5.00,7.00,9.00,2.00,1.00,3.00,9,NULL,NULL,'COLONIAL','S BENTO SUL','SC',15712,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5196000,7.00,4.00,2.00,4.00,4.00,10.88,2.00,2.00,1.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5196019,9.00,8.00,8.00,7.00,10.00,9.38,7.00,6.00,9.00,203,NULL,214,'CARVOEIRA','FLORIANÓPOLIS','SC',343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196035,2.00,5.00,0.00,6.00,9.00,7.50,3.00,3.00,4.00,103,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5196043,5.00,4.00,1.00,7.00,7.00,6.75,2.00,2.00,2.00,103,NULL,NULL,'BARRA FUNDA','GUARUJÁ','SP',14570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','LUIZIÂNIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5196078,5.00,5.00,2.00,5.00,6.00,6.75,2.00,1.00,2.00,202,NULL,653,'ALTO FELIZ','ARARANGUÁ','SC',15319,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5196086,6.00,6.00,3.00,5.00,8.00,8.63,1.00,2.00,4.00,103,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',9876,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5196094,7.00,7.00,5.00,5.00,7.00,7.13,6.00,6.00,7.00,220,NULL,NULL,'GLORIA','JOINVILLE','SC',3117,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5196108,9.00,6.00,8.00,6.00,8.00,7.88,5.00,4.00,7.00,103,NULL,NULL,'AÇOS FINOS PIRATINI','CHARQUEADAS','RS',2382,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5196124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5196132,5.00,4.00,0.00,3.00,5.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5196140,7.00,8.00,3.00,5.00,7.00,10.13,4.00,4.00,6.00,203,NULL,207,'SANTA CATARINA','S LOURENÇO OESTE','SC',4058,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5196159,7.00,6.00,6.00,7.00,9.00,15.00,4.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196167,5.00,4.00,2.00,5.00,5.00,7.50,3.00,2.00,2.00,211,NULL,201,'CENTRO','ARMAZÉM','SC',16140,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5196175,3.00,3.00,0.00,2.00,4.00,NULL,2.00,3.00,2.00,319,NULL,NULL,'CENTRO','ROCA SALES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5196191,5.00,5.00,2.00,6.00,4.00,9.75,2.00,2.00,2.00,319,NULL,NULL,'FLORESTA','S JOSÉ','SC',15867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196205,3.00,7.00,3.00,4.00,3.00,NULL,3.00,4.00,5.00,303,NULL,NULL,'CENTRO CIVICO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5196213,5.00,6.00,1.00,6.00,9.00,8.63,2.00,0.00,5.00,207,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',10140,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5196221,4.00,7.00,4.00,5.00,4.00,10.13,1.00,5.00,4.00,428,NULL,424,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5196230,5.00,8.00,3.00,5.00,8.00,6.38,2.00,3.00,7.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7198,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5196248,5.00,4.00,0.00,3.00,3.00,NULL,3.00,2.00,2.00,303,NULL,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5196256,6.00,8.00,3.00,6.00,9.00,9.75,2.00,2.00,5.00,103,NULL,NULL,'SANTA RITA','BRUSQUE','SC',7710,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5196264,2.00,5.00,1.00,5.00,6.00,NULL,1.00,0.00,6.00,238,NULL,208,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5196272,7.00,5.00,2.00,7.00,8.00,7.88,0.00,6.00,4.00,201,NULL,212,'EMBARÉ','SANTOS','SP',8791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196280,9.00,8.00,5.00,7.00,10.00,9.00,7.00,7.00,9.00,103,NULL,NULL,'CENTRO','TOLEDO','PR',308,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5196299,8.00,8.00,7.00,7.00,9.00,9.38,6.00,5.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196302,4.00,4.00,5.00,3.00,5.00,7.50,2.00,2.00,2.00,223,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LOT PORTAL DO SOL','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5196329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5196337,8.00,7.00,3.00,7.00,6.00,6.75,5.00,4.00,7.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',3878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196345,7.00,6.00,2.00,6.00,9.00,8.63,2.00,3.00,7.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',5965,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5196353,4.00,6.00,4.00,6.00,8.00,10.13,3.00,3.00,4.00,340,NULL,NULL,'ALÍPIO DE MELO','BELO HORIZONTE','MG',7123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196361,1.00,3.00,1.00,2.00,5.00,NULL,0.00,1.00,3.00,207,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196370,1.00,6.00,1.00,3.00,4.00,NULL,1.00,2.00,3.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5196388,5.00,7.00,4.00,3.00,7.00,8.63,3.00,3.00,6.00,102,NULL,NULL,'VILA ITOUPAVA','BLUMENAU','SC',7417,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5196396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM IPACARAI','APARECIDA TABOADO','MS',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5196400,4.00,4.00,0.00,0.00,4.00,NULL,2.00,1.00,2.00,5,NULL,NULL,'SÃO CRISTOVÃO','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5196418,9.00,7.00,5.00,8.00,9.00,11.25,2.00,5.00,9.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',1185,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5196426,8.00,7.00,5.00,6.00,8.00,9.38,2.00,4.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2716,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5196434,5.00,8.00,2.00,7.00,5.00,10.88,2.00,1.00,5.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196442,9.00,9.00,3.00,7.00,7.00,6.75,3.00,4.00,7.00,220,NULL,233,'CENTRO','BRUSQUE','SC',4683,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5196469,8.00,6.00,3.00,7.00,9.00,11.25,6.00,3.00,3.00,104,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196477,4.00,3.00,2.00,3.00,4.00,NULL,2.00,2.00,2.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196485,2.00,3.00,1.00,3.00,3.00,NULL,2.00,1.00,0.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5196493,4.00,4.00,0.00,4.00,6.00,NULL,2.00,1.00,3.00,327,NULL,NULL,'SÃO JOSÉ','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5196507,6.00,3.00,2.00,3.00,3.00,NULL,2.00,4.00,3.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5196515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA PRADO','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5196531,9.00,8.00,4.00,7.00,7.00,9.38,7.00,4.00,8.00,103,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',1591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196566,9.00,8.00,3.00,6.00,7.00,11.25,5.00,2.00,8.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'SÃO JOSÉ','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5196582,9.00,6.00,4.00,5.00,9.00,8.63,5.00,6.00,5.00,103,NULL,NULL,'ANDREATTA','S MIGUEL OESTE','SC',3729,1761,NULL,NULL,NULL,NULL,NULL,2,4),(20,5196590,4.00,2.00,1.00,4.00,2.00,NULL,2.00,2.00,1.00,336,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5196604,9.00,8.00,6.00,7.00,9.00,11.63,7.00,3.00,7.00,303,NULL,NULL,'JARDIM SATÉLITE','S JOSÉ CAMPOS','SP',624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196612,5.00,6.00,3.00,7.00,6.00,8.63,1.00,4.00,4.00,203,NULL,220,'CAMPECHE','FLORIANÓPOLIS','SC',11032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196639,5.00,6.00,6.00,4.00,3.00,NULL,3.00,7.00,7.00,201,NULL,208,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5196647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'PEROBA','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5196663,2.00,0.00,0.00,3.00,4.00,NULL,0.00,1.00,1.00,103,NULL,NULL,'ROCIO PEQUENO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5196671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM ELISA I','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5196680,6.00,7.00,3.00,7.00,7.00,9.00,2.00,3.00,7.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5196698,7.00,5.00,2.00,6.00,7.00,6.75,2.00,2.00,5.00,104,NULL,NULL,'CENTRO','CANOAS','RS',9261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5196701,6.00,5.00,5.00,7.00,8.00,6.00,4.00,6.00,7.00,203,NULL,202,'GLORIA','BLUMENAU','SC',5187,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5196710,4.00,4.00,3.00,5.00,4.00,7.88,1.00,4.00,6.00,214,NULL,213,'CARVOEIRA','FLORIANÓPOLIS','SC',13887,348,NULL,177,NULL,NULL,NULL,4,1),(20,5196728,7.00,8.00,4.00,6.00,7.00,10.88,2.00,5.00,5.00,601,NULL,214,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5196744,7.00,6.00,5.00,8.00,5.00,9.75,6.00,3.00,6.00,203,NULL,220,'JARDIM GUAPORÉ','MARINGÁ','PR',4115,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5196752,7.00,5.00,3.00,5.00,5.00,7.50,4.00,3.00,3.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11517,3363,NULL,NULL,NULL,NULL,NULL,2,1),(20,5196760,6.00,5.00,3.00,4.00,7.00,10.13,2.00,1.00,4.00,336,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',13646,74,NULL,NULL,NULL,NULL,NULL,2,4),(20,5196779,9.00,6.00,5.00,7.00,9.00,8.63,1.00,4.00,5.00,103,NULL,NULL,'OURO PRETO','CARAZINHO','RS',5099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196795,7.00,7.00,2.00,4.00,6.00,9.00,2.00,1.00,6.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',8965,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5196817,4.00,4.00,2.00,6.00,7.00,6.75,2.00,1.00,3.00,104,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',15693,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5196825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5196833,8.00,7.00,5.00,7.00,10.00,8.63,5.00,5.00,8.00,201,NULL,601,'MEIA PRAIA','ITAPEMA','SC',1105,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5196841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM GUANABARA','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5196868,9.00,8.00,9.00,7.00,10.00,10.88,7.00,8.00,9.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196876,6.00,7.00,0.00,7.00,7.00,8.25,1.00,6.00,4.00,335,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196884,6.00,5.00,4.00,7.00,3.00,NULL,1.00,2.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196892,8.00,7.00,7.00,7.00,11.00,9.75,5.00,6.00,6.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196906,6.00,7.00,2.00,7.00,7.00,8.63,3.00,6.00,5.00,331,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196914,9.00,6.00,7.00,7.00,10.00,8.63,8.00,6.00,8.00,103,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196922,3.00,4.00,1.00,6.00,4.00,12.75,3.00,1.00,4.00,420,NULL,NULL,'JARDIM BELA VISTA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5196930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RODOVIARIA','S BORJA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5196957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5196965,9.00,6.00,6.00,4.00,10.00,9.75,3.00,7.00,9.00,207,NULL,201,'ESCOLA AGRÍCOLA','BLUMENAU','SC',1497,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5196973,8.00,6.00,3.00,3.00,6.00,NULL,1.00,5.00,2.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(20,5196981,4.00,7.00,5.00,6.00,8.00,7.88,2.00,3.00,5.00,415,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',8074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5196990,2.00,5.00,1.00,4.00,5.00,NULL,3.00,1.00,3.00,104,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5197007,7.00,7.00,1.00,4.00,9.00,11.25,2.00,4.00,7.00,103,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',4880,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5197015,6.00,6.00,1.00,6.00,7.00,8.63,4.00,4.00,3.00,328,NULL,NULL,'VINTE CINCO DE JULHO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5197023,5.00,6.00,6.00,4.00,8.00,4.88,4.00,2.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5197066,2.00,5.00,0.00,3.00,5.00,NULL,2.00,2.00,5.00,102,NULL,NULL,'ANDREATTA','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5197082,8.00,9.00,3.00,7.00,11.00,9.00,0.00,5.00,8.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',2815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197090,8.00,7.00,1.00,7.00,9.00,7.13,1.00,5.00,5.00,207,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197104,4.00,7.00,4.00,4.00,3.00,NULL,3.00,3.00,5.00,224,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5197112,7.00,5.00,4.00,7.00,8.00,10.88,1.00,3.00,5.00,340,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',6497,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5197120,8.00,6.00,4.00,6.00,8.00,10.13,4.00,4.00,6.00,452,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',4456,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5197147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,213,'CAMPO DA ÁGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(20,5197163,9.00,5.00,3.00,7.00,7.00,9.00,3.00,3.00,7.00,233,NULL,203,'CENTRO','S CARLOS','SP',5152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO NORTE','STO ÂNGELO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5197180,6.00,5.00,4.00,7.00,2.00,NULL,2.00,3.00,3.00,601,NULL,220,'ALTO SÃO BENTO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5197198,5.00,4.00,4.00,6.00,6.00,10.13,4.00,4.00,4.00,335,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11564,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5197210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5197228,4.00,3.00,1.00,5.00,7.00,NULL,1.00,2.00,4.00,331,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5197236,5.00,6.00,1.00,5.00,6.00,NULL,2.00,0.00,5.00,211,NULL,233,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197244,6.00,6.00,2.00,7.00,8.00,8.25,2.00,5.00,5.00,201,NULL,212,'SANTA TEREZA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5197252,6.00,7.00,4.00,3.00,7.00,7.13,5.00,2.00,4.00,304,NULL,NULL,'SAO BENEDITO','GUARATINGUETÁ','SP',12254,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5197260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD NOVO HORIZONTE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5197279,8.00,7.00,5.00,6.00,7.00,11.25,4.00,4.00,6.00,201,NULL,216,'CENTRO','DIONÍSIO CERQUEIRA','SC',3150,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5197287,7.00,7.00,4.00,6.00,7.00,7.50,5.00,6.00,7.00,233,NULL,208,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197295,4.00,3.00,1.00,6.00,6.00,6.75,2.00,5.00,3.00,102,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',15689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197309,8.00,6.00,5.00,5.00,10.00,9.75,4.00,6.00,6.00,103,NULL,NULL,'VITÓRIA RÉGIA','CORNÉLIO PROCÓPIO','PR',1845,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5197317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VILA INDUSTRIAL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5197325,3.00,7.00,3.00,5.00,7.00,7.88,1.00,4.00,4.00,340,NULL,NULL,'CENTRO','PALHOÇA','SC',13191,371,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197333,3.00,7.00,6.00,7.00,4.00,13.13,1.00,5.00,4.00,224,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197341,1.00,6.00,2.00,7.00,6.00,8.25,2.00,1.00,5.00,203,NULL,214,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5197350,8.00,6.00,3.00,7.00,7.00,8.25,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',6029,2414,NULL,NULL,NULL,NULL,NULL,4,10),(20,5197376,0.00,3.00,1.00,4.00,2.00,NULL,1.00,0.00,3.00,201,NULL,207,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5197392,9.00,8.00,4.00,7.00,10.00,9.38,6.00,6.00,9.00,203,NULL,201,'VILA TOLENTINO','CASCAVEL','PR',964,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5197406,6.00,8.00,4.00,6.00,10.00,9.75,1.00,3.00,6.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',4377,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5197414,4.00,4.00,2.00,6.00,4.00,6.38,2.00,3.00,4.00,211,NULL,216,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197422,8.00,6.00,0.00,7.00,8.00,9.38,3.00,3.00,6.00,207,NULL,233,'VILA NOVA','JARAGUÁ SUL','SC',8420,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5197430,6.00,7.00,6.00,7.00,7.00,10.13,2.00,5.00,5.00,203,NULL,201,'SETOR OESTE','GOIÂNIA','GO',3058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197449,5.00,5.00,4.00,6.00,6.00,9.75,2.00,5.00,5.00,202,NULL,220,'PRESIDENTE MEDICI','CHAPECÓ','SC',10132,346,NULL,288,NULL,NULL,NULL,2,4),(20,5197457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5197465,6.00,8.00,2.00,7.00,6.00,10.50,2.00,5.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197481,6.00,7.00,3.00,5.00,5.00,7.88,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','VÁRZEA GRANDE','MT',12136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197490,4.00,8.00,2.00,5.00,4.00,9.75,2.00,2.00,3.00,108,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',13502,251,NULL,NULL,NULL,NULL,NULL,2,1),(20,5197503,3.00,6.00,0.00,5.00,5.00,8.63,2.00,4.00,2.00,340,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5197511,6.00,5.00,4.00,6.00,6.00,10.13,0.00,4.00,3.00,333,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',12804,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5197520,3.00,6.00,2.00,4.00,5.00,9.75,2.00,4.00,4.00,320,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',13885,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5197538,6.00,8.00,4.00,5.00,6.00,11.63,5.00,4.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7255,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5197546,5.00,7.00,5.00,7.00,8.00,9.38,3.00,3.00,6.00,453,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',4892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197554,6.00,6.00,3.00,5.00,5.00,7.88,3.00,2.00,1.00,104,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',14189,369,NULL,NULL,NULL,NULL,NULL,2,1),(20,5197570,3.00,4.00,1.00,1.00,2.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5197597,9.00,9.00,3.00,7.00,8.00,7.13,6.00,5.00,7.00,220,NULL,NULL,'ATIRADORES','JOINVILLE','SC',2243,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5197600,3.00,3.00,3.00,4.00,4.00,NULL,0.00,0.00,3.00,103,NULL,NULL,'LA SALLE','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197619,8.00,7.00,4.00,4.00,9.00,9.75,2.00,5.00,7.00,238,NULL,208,'AGRONÔMICA','FLORIANÓPOLIS','SC',4372,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5197635,5.00,7.00,2.00,6.00,8.00,10.13,3.00,5.00,6.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6480,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5197643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5197651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM AMÉRICA','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5197660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CAMPO LIMPO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5197678,2.00,3.00,0.00,2.00,3.00,NULL,0.00,1.00,3.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5197686,7.00,7.00,3.00,3.00,5.00,7.50,3.00,1.00,5.00,103,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',12023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197694,8.00,6.00,6.00,6.00,9.00,9.38,7.00,6.00,8.00,207,NULL,201,'TUCURUVI','S PAULO','SP',972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197716,9.00,7.00,7.00,7.00,10.00,9.00,4.00,5.00,9.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197724,6.00,7.00,3.00,8.00,7.00,12.75,3.00,5.00,5.00,453,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197732,7.00,6.00,4.00,5.00,8.00,7.50,2.00,5.00,6.00,207,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',5919,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5197740,8.00,8.00,3.00,7.00,9.00,10.50,6.00,1.00,8.00,201,NULL,202,'TRINDANDE','FLORIANÓPOLIS','SC',2166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197759,9.00,9.00,6.00,7.00,10.00,9.75,8.00,7.00,9.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',73,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5197767,7.00,8.00,6.00,7.00,9.00,8.63,5.00,4.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',2939,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5197775,8.00,5.00,1.00,5.00,4.00,9.38,3.00,4.00,7.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',9075,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5197791,6.00,7.00,3.00,6.00,7.00,9.38,1.00,4.00,5.00,212,NULL,201,'CENTRO','CURITIBA','PR',6226,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5197805,6.00,6.00,4.00,5.00,5.00,8.63,0.00,2.00,4.00,201,NULL,207,'BARRA DE IBIRAQUERA','FLORIANÓPOLIS','SC',12782,915,NULL,605,NULL,NULL,NULL,2,1),(20,5197813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5197821,5.00,6.00,4.00,7.00,8.00,9.38,5.00,3.00,6.00,203,NULL,233,'KOBRASOL','S JOSÉ','SC',5050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197864,0.00,5.00,0.00,0.00,0.00,NULL,4.00,4.00,5.00,220,NULL,202,'JD NOVO HORIZONTE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S',NULL,'S',4,1),(20,5197872,4.00,6.00,4.00,4.00,3.00,NULL,2.00,2.00,4.00,203,NULL,201,'PACHECO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5197880,7.00,6.00,0.00,7.00,10.00,9.75,2.00,4.00,7.00,207,NULL,201,'SANTA RITA','LAGES','SC',6369,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5197899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,208,'BAIRRO ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5197902,5.00,8.00,4.00,5.00,6.00,6.00,4.00,1.00,2.00,235,NULL,202,'JOAO PAULO','FLORIANÓPOLIS','SC',12612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197910,5.00,6.00,0.00,3.00,7.00,NULL,0.00,4.00,4.00,324,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5197937,5.00,5.00,0.00,3.00,8.00,8.63,2.00,4.00,4.00,319,NULL,NULL,'GONZAGA','SANTOS','SP',13295,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5197945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,213,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5197953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,202,'JARDIM DAS BANDEIRAS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5197961,7.00,4.00,5.00,6.00,5.00,10.50,5.00,2.00,6.00,202,NULL,213,'BIGORRILHO','CURITIBA','PR',5851,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5197970,3.00,3.00,1.00,4.00,7.00,NULL,2.00,1.00,3.00,415,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5197988,6.00,5.00,4.00,5.00,5.00,6.38,5.00,4.00,5.00,103,NULL,NULL,'JARDIM ARATIMBO','UMUARAMA','PR',9842,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5197996,3.00,7.00,3.00,3.00,5.00,7.88,2.00,3.00,3.00,653,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',14753,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5198003,3.00,2.00,2.00,7.00,4.00,NULL,3.00,3.00,1.00,327,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198046,4.00,4.00,0.00,4.00,5.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'SANTO ANTÔNIO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198054,8.00,4.00,2.00,5.00,10.00,9.38,4.00,4.00,6.00,102,NULL,NULL,'CENTRO','S JOSÉ','SC',5353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198089,4.00,5.00,0.00,1.00,1.00,NULL,3.00,2.00,4.00,501,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5198097,7.00,5.00,3.00,7.00,5.00,8.25,4.00,1.00,4.00,601,NULL,653,'CENTRO','FLORIANÓPOLIS','SC',11556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198100,2.00,4.00,0.00,4.00,5.00,NULL,0.00,0.00,3.00,208,NULL,238,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5198127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHAMPAGNAT','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5198143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FUNCIONARIOS','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5198151,6.00,4.00,3.00,7.00,7.00,7.13,4.00,4.00,7.00,103,NULL,NULL,'CAÇADOR','CAPIVARI BAIXO','SC',8590,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5198194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5198208,7.00,6.00,5.00,8.00,5.00,10.50,3.00,3.00,5.00,220,NULL,NULL,'CACUPE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198216,4.00,4.00,3.00,5.00,6.00,6.38,1.00,4.00,1.00,208,NULL,238,'JOÃO PAULO','FLORIANÓPOLIS','SC',14528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198224,5.00,4.00,0.00,6.00,4.00,9.75,2.00,1.00,6.00,9,NULL,NULL,'CENTRO','BURITIS','MG',14172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5198232,3.00,3.00,1.00,4.00,4.00,NULL,1.00,1.00,3.00,104,NULL,NULL,'LARANJINHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5198240,2.00,5.00,0.00,4.00,6.00,NULL,2.00,1.00,1.00,238,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5198259,8.00,7.00,8.00,7.00,9.00,10.88,6.00,6.00,9.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5198275,6.00,4.00,5.00,4.00,6.00,7.88,0.00,6.00,4.00,203,NULL,201,'JARDIM SAO DIMAS','S JOSÉ CAMPOS','SP',9001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5198305,9.00,8.00,6.00,5.00,6.00,7.88,6.00,6.00,8.00,203,NULL,214,'ITACORUBI','FLORIANÓPOLIS','SC',1516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198313,8.00,7.00,1.00,6.00,9.00,9.75,3.00,5.00,7.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5884,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5198330,7.00,6.00,4.00,0.00,5.00,11.25,5.00,6.00,5.00,5,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',6752,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5198348,8.00,6.00,1.00,6.00,9.00,8.63,5.00,3.00,7.00,103,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',4301,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5198356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'CENTRO','COCAL SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5198364,7.00,6.00,4.00,3.00,8.00,9.75,1.00,4.00,5.00,238,NULL,601,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9840,172,NULL,NULL,NULL,NULL,NULL,2,1),(20,5198372,9.00,8.00,4.00,7.00,10.00,12.75,7.00,5.00,8.00,103,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',586,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5198380,9.00,5.00,1.00,6.00,8.00,11.25,3.00,3.00,8.00,103,NULL,NULL,'VILA CARVALHO','CPO GRANDE','MS',4409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198399,2.00,3.00,1.00,5.00,7.00,NULL,2.00,0.00,2.00,601,NULL,203,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5198410,7.00,6.00,1.00,4.00,8.00,7.88,0.00,5.00,4.00,203,NULL,214,'CENTRO','NAVEGANTES','SC',9629,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5198429,3.00,6.00,2.00,3.00,3.00,NULL,3.00,2.00,1.00,238,NULL,208,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198437,4.00,1.00,0.00,2.00,3.00,NULL,2.00,1.00,3.00,502,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5198445,4.00,5.00,2.00,5.00,5.00,6.75,0.00,2.00,3.00,203,NULL,220,'BOA VISTA','CURITIBA','PR',15765,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5198453,8.00,5.00,3.00,5.00,6.00,8.63,2.00,4.00,5.00,109,NULL,NULL,'SERRARIA','S JOSÉ','SC',10308,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5198461,1.00,5.00,2.00,3.00,5.00,NULL,2.00,2.00,2.00,108,NULL,NULL,'STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5198470,4.00,4.00,1.00,5.00,4.00,NULL,2.00,3.00,1.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198488,8.00,6.00,5.00,5.00,8.00,7.50,5.00,6.00,7.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',3160,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5198500,3.00,4.00,1.00,6.00,3.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','TRÊS LAGOAS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198526,9.00,7.00,5.00,3.00,8.00,7.88,3.00,2.00,8.00,103,NULL,NULL,'INTERIOR','VITORINO','PR',4724,2064,NULL,NULL,NULL,NULL,NULL,2,4),(20,5198534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,NULL,'SANTA AUGUSTA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5198577,4.00,4.00,3.00,7.00,4.00,10.50,3.00,0.00,6.00,450,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198585,5.00,8.00,4.00,7.00,7.00,8.63,4.00,4.00,6.00,238,NULL,202,'SACO GRANDE','FLORIANÓPOLIS','SC',6420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198593,4.00,5.00,0.00,3.00,6.00,NULL,2.00,2.00,2.00,205,NULL,NULL,'BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5198631,7.00,8.00,2.00,7.00,9.00,8.63,2.00,7.00,6.00,207,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',3443,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5198658,3.00,7.00,3.00,6.00,9.00,8.63,3.00,2.00,7.00,216,NULL,215,'VILA VERDE','S PAULO','SP',8656,361,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198666,4.00,5.00,2.00,4.00,7.00,9.00,4.00,4.00,4.00,303,NULL,NULL,'LOURDES','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198674,2.00,4.00,0.00,3.00,4.00,NULL,4.00,0.00,2.00,308,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5198682,3.00,4.00,5.00,7.00,7.00,8.63,8.00,2.00,4.00,203,NULL,601,'TRINDADE','FLORIANÓPOLIS','SC',7698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198739,8.00,7.00,2.00,4.00,8.00,10.13,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5486,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5198747,6.00,4.00,2.00,3.00,5.00,7.50,2.00,2.00,4.00,202,NULL,220,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5198755,9.00,6.00,6.00,6.00,9.00,7.50,7.00,4.00,8.00,103,NULL,NULL,'SÃO FRANCISCO','AMPÉRE','PR',1448,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5198763,2.00,3.00,4.00,2.00,3.00,NULL,1.00,1.00,2.00,653,NULL,202,'COLININHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5198771,7.00,8.00,2.00,6.00,6.00,7.88,2.00,4.00,5.00,208,NULL,238,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',9397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'MORADA DO SOL','SAUDADES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5198801,4.00,3.00,1.00,2.00,5.00,NULL,0.00,3.00,4.00,203,NULL,233,'VILA SANTA CATARINA','S JOÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5198810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TACCA','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5198828,8.00,6.00,1.00,5.00,10.00,9.38,4.00,5.00,5.00,5,NULL,NULL,'SÃO CRISTÓVÃO','TURVO','SC',5678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5198836,5.00,4.00,3.00,4.00,4.00,9.00,3.00,1.00,6.00,302,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',14509,84,NULL,NULL,NULL,NULL,NULL,2,1),(20,5198844,7.00,7.00,6.00,7.00,9.00,8.25,6.00,4.00,9.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',1485,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5198852,9.00,4.00,3.00,7.00,9.00,10.13,4.00,3.00,7.00,203,NULL,NULL,'OFICINAS','TUBARÃO','SC',5064,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5198879,4.00,6.00,1.00,3.00,6.00,8.25,1.00,3.00,4.00,503,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',15841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198887,0.00,2.00,2.00,3.00,4.00,NULL,2.00,3.00,2.00,201,NULL,207,'CRISTAL','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5198895,4.00,6.00,3.00,3.00,7.00,6.00,2.00,2.00,4.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',15751,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5198917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5198933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5198976,3.00,4.00,4.00,5.00,6.00,6.00,2.00,2.00,4.00,203,NULL,233,'SANTA LUZIA','CRICIÚMA','SC',16076,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5198992,6.00,4.00,1.00,5.00,9.00,7.88,1.00,4.00,4.00,424,NULL,NULL,'BREHMER','RIO SUL','SC',14747,NULL,NULL,NULL,NULL,NULL,NULL,3,2),(20,5199000,6.00,7.00,1.00,6.00,6.00,9.00,2.00,1.00,5.00,5,NULL,NULL,'NOSSA SRA DE LOUDES','JOAÇABA','SC',10631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5199034,5.00,7.00,2.00,5.00,9.00,8.25,2.00,4.00,2.00,415,NULL,NULL,'CENTRO','GUARANIAÇU','PR',13023,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5199042,2.00,5.00,2.00,1.00,3.00,NULL,1.00,4.00,3.00,423,NULL,427,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5199050,5.00,7.00,2.00,6.00,5.00,8.63,4.00,4.00,4.00,222,NULL,NULL,'JARDIM SANTA RITA','INDAIATUBA','SP',9239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5199069,9.00,8.00,9.00,5.00,8.00,9.00,7.00,5.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',456,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5199077,4.00,3.00,2.00,2.00,2.00,NULL,4.00,2.00,3.00,404,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5199085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5199093,5.00,6.00,2.00,7.00,9.00,9.75,1.00,5.00,6.00,238,NULL,201,'ROÇADO','S JOSÉ','SC',6939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5199107,7.00,7.00,6.00,3.00,8.00,7.88,4.00,7.00,6.00,102,NULL,NULL,'CAMPINAS','S JOSÉ','SC',4667,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5199115,4.00,7.00,2.00,5.00,8.00,7.88,2.00,3.00,2.00,551,NULL,NULL,'BOA VISTA','RIO SUL','SC',14360,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5199123,3.00,3.00,2.00,4.00,5.00,NULL,1.00,1.00,3.00,425,NULL,429,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5199131,6.00,5.00,3.00,4.00,8.00,11.63,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',6259,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5199140,5.00,7.00,1.00,4.00,4.00,NULL,1.00,1.00,1.00,9,NULL,NULL,'ESPIGÃO DO BUGRE','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5199174,4.00,7.00,7.00,5.00,3.00,NULL,3.00,3.00,6.00,215,NULL,211,'DAS NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5199182,9.00,8.00,4.00,7.00,10.00,9.38,5.00,4.00,7.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5199190,6.00,4.00,1.00,5.00,6.00,NULL,0.00,2.00,4.00,318,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5199204,7.00,8.00,5.00,6.00,9.00,12.00,3.00,6.00,6.00,319,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5199263,3.00,4.00,0.00,2.00,2.00,NULL,2.00,2.00,3.00,238,NULL,235,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5199271,8.00,6.00,6.00,4.00,7.00,8.63,4.00,3.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4239,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5199298,7.00,5.00,0.00,6.00,6.00,NULL,2.00,4.00,6.00,103,NULL,NULL,'REBOUÇOS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5199301,8.00,6.00,7.00,6.00,9.00,10.13,5.00,5.00,8.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',1483,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5199328,6.00,4.00,0.00,5.00,9.00,NULL,4.00,4.00,6.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5199336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5199344,7.00,6.00,2.00,4.00,4.00,7.50,3.00,3.00,3.00,318,NULL,NULL,'CENTRO','S JOAQUIM','SC',14017,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5199360,4.00,5.00,0.00,6.00,6.00,NULL,0.00,4.00,3.00,427,NULL,425,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5199387,6.00,5.00,2.00,7.00,7.00,8.63,0.00,2.00,8.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',9112,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5199395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA ROCHA','RIO VERDE','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5199409,5.00,5.00,0.00,5.00,5.00,8.25,2.00,6.00,3.00,332,NULL,NULL,'AREIAS','TIJUCAS','SC',15168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5199425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5199433,5.00,4.00,1.00,3.00,5.00,NULL,1.00,2.00,4.00,102,NULL,NULL,'SANTA LUZIA','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5199441,7.00,7.00,3.00,5.00,7.00,9.75,3.00,3.00,7.00,319,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',7962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5199476,8.00,8.00,7.00,7.00,8.00,10.13,7.00,3.00,8.00,214,NULL,212,'PARQUE SAO JORGE','FLORIANÓPOLIS','SC',1609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5199484,4.00,6.00,0.00,2.00,6.00,NULL,2.00,3.00,1.00,502,NULL,NULL,'VILA ANDRADE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5199492,8.00,6.00,7.00,7.00,8.00,9.38,6.00,5.00,7.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',1505,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5199506,8.00,8.00,4.00,7.00,10.00,8.25,3.00,6.00,6.00,316,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',3084,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5199514,3.00,3.00,0.00,4.00,3.00,NULL,1.00,3.00,0.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5199522,7.00,7.00,0.00,6.00,3.00,NULL,0.00,5.00,3.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5199530,2.00,6.00,3.00,4.00,7.00,7.50,0.00,4.00,5.00,333,NULL,NULL,'CENTRO','IRAPURU','SP',13785,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5199549,3.00,4.00,1.00,6.00,7.00,10.13,2.00,2.00,4.00,423,NULL,424,'FLORESTA','S JOSÉ','SC',14857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5199557,7.00,7.00,4.00,5.00,8.00,10.50,5.00,6.00,5.00,207,NULL,201,'AMÉRICA','JOINVILLE','SC',4164,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5199565,5.00,5.00,4.00,4.00,5.00,12.75,1.00,3.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13076,240,NULL,NULL,NULL,NULL,NULL,4,1),(20,5199581,8.00,8.00,6.00,7.00,9.00,11.25,8.00,5.00,8.00,202,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',591,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5199590,6.00,5.00,1.00,3.00,5.00,7.13,1.00,3.00,3.00,9,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5199603,5.00,8.00,3.00,5.00,7.00,8.63,3.00,4.00,3.00,102,NULL,NULL,'JARDIM SÃO MIGUEL','BIGUAÇU','SC',10210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5199611,5.00,7.00,1.00,4.00,9.00,10.13,3.00,4.00,5.00,415,NULL,NULL,'JOANA DARC','VITÓRIA','ES',8546,164,NULL,NULL,NULL,NULL,NULL,4,1),(20,5199620,5.00,6.00,4.00,3.00,5.00,9.75,3.00,4.00,3.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5199654,5.00,5.00,2.00,4.00,4.00,NULL,1.00,1.00,3.00,207,NULL,201,'JARDIM DAS MACAUBAS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5199689,5.00,6.00,3.00,5.00,6.00,7.88,3.00,2.00,4.00,201,NULL,NULL,'FARROUPILHA','IVOTI','RS',10043,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5199697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5199735,4.00,2.00,4.00,5.00,6.00,NULL,1.00,1.00,1.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5199751,3.00,8.00,0.00,1.00,4.00,NULL,0.00,2.00,3.00,319,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5199760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5199778,3.00,5.00,3.00,4.00,4.00,NULL,2.00,0.00,2.00,101,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5199786,6.00,7.00,6.00,5.00,3.00,NULL,6.00,3.00,6.00,202,NULL,235,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5199808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'ALTO SÃO FRANCISCO','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5199824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(20,5199840,5.00,6.00,4.00,5.00,6.00,9.75,1.00,5.00,5.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5199859,7.00,5.00,4.00,5.00,7.00,8.25,1.00,5.00,6.00,415,NULL,NULL,'CENTRO','OURO','SC',6958,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5199867,5.00,4.00,2.00,3.00,7.00,8.63,0.00,2.00,4.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14542,295,NULL,NULL,NULL,NULL,NULL,2,1),(20,5199875,4.00,4.00,4.00,5.00,7.00,9.38,2.00,3.00,3.00,415,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',12743,243,NULL,NULL,NULL,NULL,NULL,2,1),(20,5199883,8.00,7.00,4.00,7.00,6.00,8.25,2.00,5.00,5.00,208,NULL,238,'RIO VERMELHO','FLORIANÓPOLIS','SC',7343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5199891,2.00,6.00,1.00,5.00,8.00,7.13,1.00,3.00,4.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5199905,3.00,7.00,0.00,4.00,6.00,NULL,0.00,3.00,4.00,208,NULL,216,'TABOLEIRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5199913,6.00,6.00,0.00,5.00,5.00,NULL,2.00,3.00,4.00,102,NULL,NULL,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5199921,5.00,5.00,4.00,6.00,4.00,6.00,3.00,4.00,4.00,653,NULL,651,'VILA SAO JOSE','ARARANGUÁ','SC',13533,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5199930,5.00,4.00,2.00,3.00,7.00,NULL,2.00,4.00,2.00,308,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5199948,8.00,9.00,8.00,7.00,11.00,13.13,3.00,6.00,6.00,5,NULL,NULL,'CENTRO','PALHOÇA','SC',815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5199964,7.00,5.00,6.00,5.00,7.00,10.13,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','RESERVA','PR',4132,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5199972,8.00,6.00,3.00,6.00,8.00,6.75,2.00,6.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',5299,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5199980,7.00,5.00,2.00,5.00,9.00,6.00,2.00,3.00,5.00,415,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',11223,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5199999,4.00,3.00,2.00,4.00,6.00,NULL,3.00,0.00,2.00,201,NULL,233,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5200024,6.00,7.00,0.00,6.00,3.00,NULL,2.00,3.00,3.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5200059,6.00,6.00,3.00,7.00,9.00,8.63,3.00,7.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',3508,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5200067,5.00,5.00,1.00,7.00,8.00,6.75,3.00,5.00,4.00,238,NULL,208,'JD ELDORADO','PALHOÇA','SC',12130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200075,8.00,7.00,4.00,5.00,9.00,9.38,3.00,3.00,8.00,103,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',3666,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5200083,5.00,5.00,3.00,2.00,6.00,6.75,0.00,3.00,4.00,233,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',16149,422,NULL,381,NULL,NULL,NULL,2,1),(20,5200091,6.00,8.00,8.00,4.00,7.00,8.25,6.00,4.00,7.00,216,NULL,201,'SANTA TEREZINHA','PATO BRANCO','PR',3498,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5200130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5200148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5200156,9.00,7.00,7.00,5.00,10.00,9.75,8.00,5.00,8.00,103,NULL,NULL,'SAN REMO','LONDRINA','PR',672,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5200172,6.00,6.00,3.00,3.00,5.00,3.75,3.00,4.00,4.00,332,NULL,NULL,'JÓAIA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5200180,8.00,6.00,1.00,3.00,7.00,6.75,1.00,3.00,7.00,216,NULL,215,'CAETANO BRANCO','LUZERNA','SC',9745,412,NULL,NULL,NULL,NULL,NULL,2,7),(20,5200199,9.00,6.00,5.00,6.00,10.00,9.00,3.00,4.00,7.00,340,NULL,NULL,'CENTRO','BRASÓPOLIS','MG',2366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200202,9.00,9.00,7.00,7.00,11.00,10.50,8.00,7.00,9.00,103,NULL,NULL,'JD NOVO HORIZONTE','MARINGÁ','PR',22,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200210,5.00,4.00,0.00,4.00,3.00,NULL,2.00,1.00,2.00,316,NULL,NULL,'SERTÃO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5200229,3.00,4.00,1.00,2.00,1.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200237,5.00,7.00,4.00,6.00,3.00,NULL,2.00,2.00,2.00,320,NULL,NULL,'GRANJA VIANA','CARAPICUÍBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','TRÊS B PARANÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5200253,7.00,6.00,2.00,6.00,8.00,6.38,4.00,4.00,7.00,601,NULL,203,'JARDIM COLIBRI','EMBU','SP',6839,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5200261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CANTA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5200270,7.00,6.00,5.00,7.00,8.00,7.13,4.00,3.00,7.00,202,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',4733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(20,5200296,6.00,7.00,1.00,7.00,5.00,9.75,1.00,3.00,6.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200300,5.00,8.00,2.00,5.00,6.00,10.13,2.00,4.00,5.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11656,199,NULL,NULL,NULL,NULL,NULL,2,1),(20,5200326,5.00,5.00,3.00,6.00,7.00,9.75,1.00,1.00,3.00,425,NULL,428,'COSTA E SILVA','JOINVILLE','SC',14255,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5200334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5200342,5.00,5.00,1.00,4.00,7.00,7.88,3.00,1.00,2.00,452,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15717,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5200369,7.00,6.00,3.00,5.00,7.00,7.13,3.00,3.00,5.00,104,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',10079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200377,7.00,7.00,3.00,5.00,6.00,7.50,4.00,4.00,6.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',6115,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5200385,9.00,7.00,6.00,7.00,8.00,10.88,4.00,6.00,9.00,103,NULL,NULL,'COLINA VERDE','VIDEIRA','SC',885,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5200393,5.00,4.00,3.00,4.00,6.00,6.00,2.00,2.00,3.00,201,NULL,NULL,'CINQUENTENARIO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5200407,7.00,5.00,4.00,2.00,5.00,9.00,1.00,3.00,5.00,104,NULL,NULL,'PRÓSPERA','CRICIÚMA','SC',14590,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5200415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SAIC','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5200423,6.00,7.00,3.00,6.00,6.00,10.88,2.00,4.00,4.00,220,NULL,653,'INTERIOR','CENTENÁRIO','RS',6172,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5200431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5200440,6.00,6.00,0.00,5.00,4.00,7.13,2.00,3.00,4.00,110,NULL,NULL,'ESPORTES','XANXERÊ','SC',14130,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5200458,4.00,6.00,2.00,8.00,9.00,9.00,3.00,5.00,6.00,415,NULL,NULL,'ASILO','BLUMENAU','SC',8714,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5200466,9.00,6.00,4.00,6.00,8.00,8.63,2.00,3.00,5.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',6742,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5200474,8.00,8.00,1.00,7.00,7.00,7.50,4.00,4.00,8.00,303,NULL,NULL,'COLONIAL','S BENTO SUL','SC',3589,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5200482,7.00,5.00,2.00,4.00,7.00,10.50,4.00,3.00,6.00,201,NULL,NULL,'CENTRO','ERECHIM','RS',7980,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5200490,6.00,5.00,4.00,6.00,4.00,9.38,4.00,5.00,4.00,233,NULL,220,'JARDIM AVELINO','S PAULO','SP',9543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200504,2.00,4.00,0.00,1.00,5.00,NULL,1.00,1.00,3.00,502,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5200520,2.00,5.00,3.00,1.00,3.00,NULL,2.00,4.00,1.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5200539,9.00,7.00,5.00,7.00,4.00,9.00,3.00,7.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3912,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5200547,2.00,3.00,1.00,2.00,1.00,NULL,0.00,3.00,2.00,452,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5200555,5.00,3.00,1.00,0.00,6.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'INTERIOR','LAJEADO GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5200563,7.00,6.00,0.00,6.00,8.00,7.50,3.00,6.00,6.00,332,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',9730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200580,2.00,4.00,0.00,4.00,4.00,NULL,0.00,3.00,2.00,340,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5200598,3.00,6.00,2.00,6.00,7.00,10.13,1.00,5.00,5.00,317,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',10059,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5200601,3.00,6.00,5.00,6.00,7.00,8.25,0.00,5.00,6.00,303,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',8813,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5200610,4.00,3.00,0.00,6.00,5.00,NULL,3.00,3.00,3.00,102,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5200636,9.00,9.00,6.00,5.00,11.00,10.88,4.00,6.00,9.00,103,NULL,NULL,'CENTRO','LAGES','SC',1061,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5200644,3.00,5.00,1.00,5.00,5.00,8.25,3.00,3.00,5.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5200652,6.00,6.00,7.00,5.00,7.00,8.25,2.00,3.00,6.00,103,NULL,NULL,'MATINHO','XANXERÊ','SC',6763,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5200660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'PANTANO DO UL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5200679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ESTRELA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5200687,9.00,7.00,4.00,7.00,10.00,8.63,6.00,6.00,6.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200695,8.00,9.00,2.00,7.00,9.00,9.38,2.00,4.00,6.00,238,NULL,652,'AREIAS','S JOSÉ','SC',3634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200709,6.00,7.00,4.00,6.00,7.00,6.75,2.00,5.00,3.00,225,NULL,NULL,'CENTRO','CRICIÚMA','SC',9532,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5200717,5.00,0.00,3.00,6.00,3.00,NULL,0.00,0.00,0.00,207,NULL,208,'JARDIM GRUTNER','MARIALVA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5200733,3.00,6.00,1.00,2.00,3.00,NULL,2.00,1.00,3.00,208,NULL,238,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5200741,7.00,4.00,2.00,6.00,10.00,8.25,3.00,1.00,3.00,444,NULL,NULL,'RIO PINHEIROS','S LUDGERO','SC',9200,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5200750,2.00,3.00,3.00,3.00,4.00,NULL,1.00,2.00,2.00,9,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5200768,9.00,5.00,5.00,4.00,5.00,9.38,3.00,5.00,9.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',3265,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5200776,8.00,3.00,3.00,3.00,6.00,6.75,3.00,2.00,4.00,104,NULL,NULL,'CENTRO','VERÊ','PR',13520,345,NULL,NULL,NULL,NULL,NULL,4,4),(20,5200784,7.00,6.00,4.00,8.00,9.00,10.88,2.00,1.00,4.00,2,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',5798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO BRANCO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5200806,7.00,6.00,5.00,7.00,8.00,8.25,5.00,4.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200822,6.00,5.00,0.00,2.00,6.00,NULL,2.00,2.00,2.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5200830,9.00,6.00,4.00,7.00,10.00,8.63,7.00,4.00,8.00,103,NULL,NULL,'N S DE LOURDES','STA MARIA','RS',1051,627,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200849,2.00,5.00,0.00,4.00,6.00,NULL,2.00,3.00,5.00,302,NULL,NULL,'JARDIM SAVEIRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5200857,7.00,7.00,4.00,5.00,8.00,10.13,3.00,5.00,4.00,336,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5819,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5200865,5.00,6.00,3.00,2.00,5.00,8.25,1.00,2.00,3.00,207,NULL,201,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5200873,4.00,6.00,0.00,5.00,5.00,7.13,2.00,1.00,5.00,319,NULL,NULL,'PRESIDENTE MEDICE','CHAPECÓ','SC',15662,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5200881,5.00,6.00,4.00,7.00,6.00,7.88,5.00,3.00,4.00,340,NULL,NULL,'ATIRADORES','JOINVILLE','SC',11072,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5200890,7.00,8.00,4.00,4.00,9.00,8.63,4.00,5.00,7.00,103,NULL,NULL,'ATERRADO','POUSO REDONDO','SC',2657,1355,NULL,NULL,NULL,NULL,NULL,2,9),(20,5200911,4.00,5.00,4.00,3.00,7.00,12.00,2.00,1.00,5.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',12363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200920,3.00,6.00,0.00,2.00,8.00,NULL,1.00,2.00,2.00,404,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5200938,7.00,6.00,1.00,7.00,7.00,7.13,2.00,3.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7842,254,NULL,NULL,NULL,NULL,NULL,4,1),(20,5200946,9.00,7.00,4.00,7.00,7.00,6.00,6.00,4.00,8.00,601,NULL,201,'AMÉRICA','JOINVILLE','SC',3353,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5200962,4.00,4.00,1.00,5.00,2.00,NULL,1.00,0.00,3.00,208,NULL,238,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5200970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5200989,5.00,5.00,0.00,5.00,8.00,NULL,0.00,6.00,4.00,415,NULL,NULL,'CENTRO','MTE CARLO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5201004,6.00,8.00,3.00,2.00,8.00,7.50,4.00,7.00,3.00,601,NULL,201,'CENTRO','S BENTO SUL','SC',6324,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5201012,7.00,6.00,4.00,5.00,6.00,6.00,6.00,6.00,7.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',5119,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5201020,9.00,6.00,2.00,6.00,8.00,5.25,5.00,4.00,7.00,5,NULL,NULL,'VILA NOVA MAZZEI','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5201039,3.00,4.00,2.00,5.00,5.00,NULL,1.00,3.00,3.00,420,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5201047,6.00,6.00,3.00,4.00,3.00,NULL,2.00,1.00,1.00,201,NULL,212,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5201071,3.00,4.00,3.00,4.00,3.00,NULL,2.00,2.00,2.00,110,NULL,NULL,'INTERIOR','ANCHIETA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5201080,3.00,8.00,4.00,7.00,8.00,8.63,5.00,3.00,7.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5201098,6.00,6.00,4.00,5.00,8.00,10.88,2.00,2.00,7.00,425,NULL,423,'CENTRO','VITORINO','PR',5482,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5201101,5.00,7.00,2.00,5.00,5.00,9.75,0.00,1.00,3.00,337,NULL,NULL,'ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC',15518,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5201110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SAUDADE','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5201128,1.00,2.00,1.00,2.00,6.00,NULL,2.00,3.00,4.00,208,NULL,235,'CENTRO','TERRA AREIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5201136,7.00,6.00,1.00,4.00,2.00,NULL,0.00,2.00,4.00,336,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5201144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5201160,8.00,8.00,9.00,7.00,10.00,10.88,8.00,6.00,9.00,303,NULL,NULL,'ALEGRE','RIO NEGRINHO','SC',90,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5201179,5.00,4.00,4.00,7.00,4.00,9.00,2.00,3.00,4.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5201187,3.00,1.00,0.00,5.00,4.00,NULL,2.00,2.00,3.00,428,NULL,426,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5201195,4.00,3.00,1.00,2.00,6.00,NULL,0.00,2.00,2.00,319,NULL,NULL,'ROCIO PEQUENO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5201209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5201217,8.00,7.00,7.00,6.00,9.00,10.50,6.00,4.00,6.00,238,NULL,235,'COQUEIROS','FLORIANÓPOLIS','SC',1298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5201233,8.00,8.00,3.00,4.00,7.00,9.75,3.00,3.00,6.00,103,NULL,NULL,'ROÇADO','S JOSÉ','SC',6200,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5201241,8.00,6.00,2.00,3.00,8.00,0.00,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5201250,5.00,7.00,3.00,3.00,3.00,NULL,3.00,2.00,4.00,225,NULL,NULL,'INTERIOR','ANCHIETA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5201268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'JARAGUA ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5201276,6.00,4.00,2.00,5.00,6.00,8.25,1.00,5.00,3.00,103,NULL,NULL,'MARTORANO','S JOAQUIM','SC',13294,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5201292,6.00,5.00,3.00,6.00,6.00,10.50,1.00,2.00,5.00,303,NULL,NULL,'VILA PINHEIRINHO','S MATEUS SUL','PR',10278,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5201306,2.00,3.00,1.00,4.00,6.00,NULL,0.00,2.00,3.00,5,NULL,NULL,'SANTO ANDRÉ','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5201314,5.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARIALVA','PR',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(20,5201322,5.00,4.00,1.00,2.00,4.00,NULL,3.00,1.00,2.00,203,NULL,208,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5201349,4.00,6.00,2.00,4.00,6.00,10.50,2.00,4.00,4.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5201365,1.00,4.00,0.00,3.00,3.00,NULL,1.00,3.00,2.00,424,NULL,428,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5201381,4.00,3.00,2.00,5.00,4.00,10.50,1.00,3.00,3.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',15782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5201390,6.00,7.00,6.00,6.00,6.00,8.63,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',8306,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5201403,4.00,3.00,1.00,6.00,8.00,7.88,3.00,2.00,6.00,319,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',12575,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5201411,4.00,4.00,0.00,3.00,5.00,NULL,2.00,1.00,6.00,103,NULL,NULL,'CENTRO','PALMAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5201420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5201446,6.00,5.00,2.00,5.00,5.00,8.25,2.00,6.00,5.00,339,NULL,NULL,'CENTRO','CASCAVEL','PR',10344,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5201454,3.00,6.00,1.00,2.00,4.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'CRUZEIRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5201462,6.00,5.00,4.00,5.00,8.00,10.50,2.00,3.00,4.00,102,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5201489,5.00,4.00,1.00,6.00,6.00,6.75,2.00,2.00,5.00,502,NULL,NULL,'BARREIROS','S JOSÉ','SC',12455,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5201500,6.00,5.00,1.00,3.00,3.00,NULL,4.00,4.00,4.00,202,NULL,235,'BELA VISTA','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5201527,3.00,5.00,5.00,3.00,5.00,10.13,4.00,2.00,5.00,103,NULL,NULL,'CENTRO','IRATI','PR',10019,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5201535,3.00,5.00,1.00,2.00,1.00,NULL,1.00,1.00,4.00,238,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5201551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'APARECIDA','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5201560,5.00,7.00,4.00,4.00,8.00,7.50,1.00,3.00,4.00,452,NULL,NULL,'CENTRO','TURVO','SC',11596,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5201578,6.00,5.00,2.00,6.00,3.00,NULL,2.00,4.00,6.00,203,NULL,235,'JARDIM ATÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5201586,6.00,7.00,7.00,6.00,10.00,9.75,6.00,6.00,7.00,216,NULL,NULL,'CENTRO','BRUSQUE','SC',999,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5201608,1.00,5.00,4.00,7.00,7.00,7.13,1.00,2.00,3.00,224,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',15705,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5201616,6.00,5.00,1.00,7.00,7.00,9.00,1.00,5.00,4.00,5,NULL,NULL,'JARDIM MORUMBI','S JOSÉ CAMPOS','SP',7604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5201624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE TAQUARAL','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5201632,5.00,7.00,3.00,2.00,5.00,4.88,0.00,3.00,4.00,328,NULL,NULL,'ESPLANADA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5201640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5201659,5.00,6.00,0.00,4.00,7.00,8.25,2.00,3.00,5.00,203,NULL,214,'JARDIM ALBINO BIACHI','APUCARANA','PR',10359,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5201667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5201675,8.00,7.00,5.00,6.00,7.00,9.38,5.00,5.00,7.00,420,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2664,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5201683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'HIGIENÓPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5201691,3.00,4.00,1.00,4.00,5.00,NULL,0.00,2.00,3.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5201705,8.00,7.00,4.00,7.00,7.00,9.38,3.00,5.00,6.00,302,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5201713,2.00,2.00,1.00,2.00,4.00,NULL,1.00,2.00,2.00,444,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5201721,5.00,7.00,2.00,7.00,9.00,9.38,2.00,3.00,4.00,216,NULL,215,'SANTA TEREZA','JOAÇABA','SC',6354,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5201730,6.00,3.00,2.00,4.00,7.00,NULL,0.00,1.00,4.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5201748,4.00,5.00,4.00,7.00,4.00,8.63,2.00,2.00,5.00,340,NULL,NULL,'CENTRO','CONCÓRDIA','SC',12708,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5201756,4.00,6.00,2.00,7.00,7.00,10.50,1.00,1.00,1.00,450,NULL,NULL,'NOVA PETROPOLIS','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5201764,5.00,3.00,2.00,4.00,6.00,7.50,2.00,2.00,4.00,103,NULL,NULL,'SÃO SIMÃO','CRICIÚMA','SC',14948,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5201772,8.00,6.00,1.00,6.00,8.00,8.63,3.00,5.00,6.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',5991,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5201780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5201802,3.00,7.00,4.00,1.00,3.00,NULL,1.00,3.00,3.00,201,NULL,207,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5201829,8.00,8.00,5.00,6.00,10.00,9.38,6.00,5.00,7.00,103,NULL,NULL,'MERCES','CURITIBA','PR',1629,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5201837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE TAQUARAL','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5201845,8.00,8.00,4.00,5.00,9.00,8.25,6.00,6.00,7.00,103,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',1501,852,NULL,NULL,NULL,NULL,NULL,2,8),(20,5201861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5201870,9.00,7.00,5.00,7.00,8.00,10.13,5.00,3.00,4.00,211,NULL,NULL,'TERESÓPOLIS','PTO ALEGRE','RS',4516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5201888,2.00,3.00,1.00,3.00,1.00,NULL,0.00,2.00,2.00,104,NULL,NULL,'UNIVERSITARIO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5201918,2.00,6.00,1.00,5.00,8.00,6.75,1.00,4.00,4.00,601,NULL,203,'CENTRO','MARAVILHA','SC',12680,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5201942,8.00,5.00,3.00,6.00,9.00,9.00,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',8211,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5201950,0.00,5.00,0.00,2.00,5.00,NULL,1.00,3.00,1.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5201969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,207,'MOOCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5201977,2.00,3.00,3.00,2.00,3.00,NULL,0.00,1.00,1.00,208,NULL,203,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5201985,5.00,5.00,0.00,3.00,3.00,NULL,4.00,1.00,4.00,332,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5201993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5202000,4.00,1.00,1.00,5.00,6.00,NULL,0.00,1.00,3.00,309,NULL,NULL,'LIMEIRA BAIXA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5202035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5202043,6.00,6.00,3.00,6.00,9.00,9.75,6.00,6.00,5.00,202,NULL,213,'SÃO MARTINHO','TUBARÃO','SC',4629,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5202051,8.00,8.00,4.00,7.00,8.00,10.13,5.00,4.00,7.00,208,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',2197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202060,7.00,8.00,8.00,6.00,8.00,10.88,3.00,2.00,7.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202078,8.00,7.00,2.00,6.00,10.00,9.00,4.00,6.00,6.00,340,NULL,NULL,'VILA NOVA','JOINVILLE','SC',4082,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5202086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MANAUS','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',5,5),(20,5202094,7.00,4.00,2.00,4.00,6.00,9.38,0.00,2.00,5.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',12115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202116,7.00,5.00,2.00,6.00,7.00,8.25,4.00,4.00,4.00,103,NULL,NULL,'CENTRO','IGUATU','PR',8230,2875,NULL,NULL,NULL,NULL,NULL,4,3),(20,5202124,6.00,7.00,5.00,7.00,7.00,10.50,3.00,1.00,6.00,201,NULL,207,'CENTRO','PALOTINA','PR',5058,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5202159,9.00,8.00,6.00,7.00,9.00,11.63,6.00,7.00,7.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202175,7.00,7.00,6.00,5.00,9.00,9.75,5.00,5.00,7.00,103,NULL,NULL,'LINHA PEROBAL','S JORGE D OESTE','PR',1335,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5202183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','IJUÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5202191,5.00,3.00,2.00,4.00,5.00,7.13,4.00,2.00,3.00,215,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',15607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5202205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CERAMICA','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5202213,7.00,6.00,4.00,7.00,10.00,7.88,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',7629,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5202230,6.00,4.00,0.00,4.00,5.00,7.50,0.00,2.00,5.00,333,NULL,NULL,'VILA OPERÁRIO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5202248,6.00,4.00,1.00,8.00,8.00,10.88,4.00,5.00,5.00,207,NULL,201,'AMÉRICA','JOINVILLE','SC',6755,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5202256,5.00,4.00,5.00,2.00,5.00,6.75,1.00,4.00,5.00,208,NULL,211,'CENTRO','CPO GRANDE','MS',14683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'ESTIVA','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5202272,8.00,6.00,5.00,7.00,8.00,11.25,7.00,7.00,5.00,420,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1650,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5202280,5.00,4.00,4.00,6.00,7.00,6.75,1.00,4.00,4.00,451,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',13143,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5202299,1.00,3.00,1.00,6.00,3.00,NULL,1.00,3.00,1.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202302,2.00,3.00,2.00,4.00,4.00,NULL,1.00,2.00,1.00,317,NULL,NULL,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5202310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'JARDIM TRUSSARDI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5202329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','BRAÇO TROMBUDO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5202337,4.00,4.00,0.00,4.00,6.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'FORQUILINHANS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5202345,6.00,4.00,1.00,5.00,8.00,8.25,3.00,4.00,2.00,101,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',12821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202353,9.00,6.00,8.00,6.00,6.00,8.25,7.00,4.00,7.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',2622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202361,8.00,5.00,2.00,6.00,8.00,4.50,3.00,3.00,4.00,340,NULL,NULL,'CRUZEIRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5202370,7.00,8.00,4.00,6.00,7.00,10.88,3.00,6.00,7.00,211,NULL,653,'SANTA AUGUSTA','CRICIÚMA','SC',3775,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5202388,5.00,8.00,4.00,6.00,9.00,6.38,3.00,2.00,7.00,501,NULL,NULL,'CENTRO','S JOÃO SUL','SC',9156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202396,6.00,6.00,4.00,7.00,5.00,9.00,4.00,7.00,5.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5202400,2.00,2.00,2.00,5.00,5.00,NULL,0.00,2.00,3.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA CRUZEIRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5202434,4.00,6.00,1.00,2.00,6.00,NULL,1.00,4.00,2.00,207,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202442,5.00,5.00,4.00,4.00,3.00,NULL,2.00,3.00,6.00,203,NULL,235,'SÃO JOSÉ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5202450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JACAREZINHO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5202477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5202485,3.00,6.00,4.00,7.00,7.00,9.38,2.00,3.00,5.00,324,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',12037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202493,7.00,6.00,4.00,8.00,10.00,8.25,3.00,3.00,8.00,5,NULL,NULL,'LAMI','PTO ALEGRE','RS',3086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202507,3.00,1.00,0.00,3.00,4.00,NULL,0.00,2.00,0.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5202515,8.00,5.00,2.00,0.00,7.00,9.75,0.00,3.00,4.00,302,NULL,NULL,'CENTRO','NOVA ERECHIM','SC',10762,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5202523,2.00,2.00,0.00,5.00,2.00,NULL,0.00,1.00,2.00,5,NULL,NULL,'ARROIO FUNDO','BELA V TOLDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5202531,9.00,7.00,3.00,7.00,10.00,8.25,4.00,5.00,5.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',3026,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5202558,9.00,8.00,8.00,6.00,9.00,9.38,7.00,8.00,9.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',124,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5202566,6.00,3.00,1.00,4.00,6.00,8.63,3.00,5.00,7.00,211,NULL,201,'NOVA PETRÓPOLIS','S BERNARDO CAMPO','SP',9803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202582,5.00,3.00,2.00,3.00,6.00,6.38,0.00,3.00,3.00,326,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5202604,4.00,8.00,2.00,6.00,7.00,9.00,4.00,2.00,6.00,208,NULL,220,'CENTRO','BAL CAMBORIÚ','SC',7593,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5202639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5202647,9.00,8.00,3.00,8.00,9.00,9.00,2.00,3.00,5.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',4341,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5202655,7.00,7.00,2.00,4.00,5.00,7.88,2.00,6.00,6.00,207,NULL,201,'PAQUETÁ','BRUSQUE','SC',8921,399,NULL,640,NULL,NULL,NULL,2,2),(20,5202663,7.00,6.00,2.00,7.00,7.00,7.50,3.00,2.00,3.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',7992,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5202671,8.00,3.00,3.00,6.00,4.00,6.75,2.00,6.00,5.00,340,NULL,NULL,'CENTRO','PNT GROSSA','PR',11646,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5202680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5202698,6.00,8.00,3.00,6.00,10.00,7.88,4.00,5.00,5.00,303,NULL,NULL,'CENTRO','LEOBERTO LEAL','SC',4729,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5202710,7.00,9.00,1.00,7.00,9.00,10.50,3.00,3.00,5.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',5087,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5202728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5202744,7.00,6.00,3.00,7.00,8.00,7.13,4.00,5.00,5.00,108,NULL,NULL,'VILA MARTHA','BAURU','SP',7331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202752,4.00,6.00,1.00,3.00,4.00,9.38,0.00,4.00,5.00,601,NULL,207,'COMASA','JOINVILLE','SC',14804,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5202760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','IMBUIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5202779,4.00,3.00,3.00,5.00,6.00,5.25,3.00,1.00,3.00,101,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5202787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5202795,5.00,7.00,3.00,3.00,6.00,8.25,2.00,2.00,5.00,426,NULL,421,'JARDIM VERA CRUZ','SOROCABA','SP',13181,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5202809,5.00,7.00,1.00,7.00,7.00,11.25,3.00,2.00,3.00,211,NULL,214,'ESTREITO','FLORIANÓPOLIS','SC',7628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202817,4.00,4.00,2.00,4.00,5.00,NULL,1.00,2.00,2.00,333,NULL,NULL,'NOVA VENEZA','SUMARÉ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202825,6.00,6.00,2.00,7.00,7.00,8.63,2.00,5.00,6.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',6918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202833,5.00,6.00,4.00,7.00,7.00,8.25,0.00,1.00,3.00,215,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',12755,267,NULL,171,NULL,NULL,NULL,4,1),(20,5202841,6.00,7.00,4.00,5.00,8.00,9.75,3.00,4.00,5.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7984,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5202868,6.00,6.00,4.00,6.00,9.00,8.63,4.00,2.00,4.00,424,NULL,423,'AMÉRICA','JOINVILLE','SC',6276,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5202892,9.00,7.00,4.00,6.00,9.00,11.25,6.00,6.00,8.00,103,NULL,NULL,'JUVEVE','CURITIBA','PR',906,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5202906,4.00,7.00,2.00,7.00,5.00,7.50,3.00,2.00,2.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202922,3.00,5.00,1.00,3.00,2.00,NULL,4.00,2.00,3.00,103,NULL,NULL,'JARDIM ESPERANÇA','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5202930,9.00,8.00,4.00,6.00,9.00,12.00,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',1414,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5202957,6.00,4.00,0.00,5.00,9.00,NULL,0.00,4.00,4.00,103,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5202965,4.00,6.00,2.00,8.00,6.00,8.25,2.00,5.00,5.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202973,7.00,6.00,6.00,7.00,9.00,11.25,7.00,4.00,6.00,103,NULL,NULL,'CAMBUI','CAMPINAS','SP',1003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5202981,4.00,3.00,2.00,7.00,6.00,9.00,1.00,2.00,3.00,450,NULL,NULL,'PONTA COMPRIDA','GUARAMIRIM','SC',14452,104,NULL,NULL,NULL,NULL,NULL,4,8),(20,5202990,6.00,6.00,3.00,5.00,6.00,8.63,4.00,3.00,3.00,452,NULL,NULL,'MAGALHÃES','LAGUNA','SC',8900,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5203007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IMIGRANTES','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5203031,3.00,4.00,0.00,2.00,5.00,NULL,1.00,5.00,2.00,203,NULL,202,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5203040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'VISTA ALEGRE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5203066,6.00,3.00,1.00,4.00,5.00,7.13,1.00,4.00,5.00,333,NULL,NULL,'MORUMBI','S PAULO','SP',15932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203074,2.00,2.00,2.00,4.00,4.00,NULL,2.00,1.00,5.00,101,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5203090,6.00,7.00,0.00,7.00,7.00,10.88,3.00,5.00,5.00,425,NULL,424,'PANTANAL','FLORIANÓPOLIS','SC',8103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203112,7.00,8.00,4.00,5.00,9.00,10.13,3.00,2.00,5.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',4809,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5203120,7.00,5.00,1.00,6.00,7.00,9.00,1.00,1.00,2.00,308,NULL,NULL,'FAZENDA RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203139,2.00,4.00,0.00,3.00,5.00,NULL,0.00,1.00,2.00,333,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5203163,6.00,6.00,2.00,4.00,4.00,10.13,1.00,3.00,3.00,103,NULL,NULL,'LOURDES','CAXIAS SUL','RS',12541,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5203171,9.00,7.00,6.00,7.00,9.00,8.63,8.00,6.00,8.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5203198,2.00,6.00,0.00,4.00,2.00,NULL,2.00,1.00,4.00,429,NULL,428,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203201,4.00,4.00,4.00,6.00,7.00,7.13,3.00,5.00,3.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12284,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5203244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CENTRO','TANGARÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5203252,8.00,7.00,2.00,7.00,8.00,8.63,5.00,4.00,8.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',3712,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5203260,8.00,8.00,4.00,6.00,8.00,6.38,3.00,6.00,4.00,201,NULL,212,'CENTRO','NAVEGANTES','SC',6081,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5203287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM BETHANIA','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5203309,7.00,7.00,2.00,5.00,9.00,8.63,1.00,5.00,5.00,450,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5865,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5203317,5.00,4.00,1.00,5.00,4.00,9.75,4.00,3.00,3.00,207,NULL,211,'PICADAS DO SUL','S JOSÉ','SC',13994,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5203325,2.00,7.00,1.00,4.00,3.00,NULL,0.00,2.00,4.00,308,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5203341,3.00,5.00,2.00,4.00,1.00,NULL,3.00,1.00,4.00,214,NULL,213,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203350,4.00,4.00,3.00,4.00,5.00,NULL,2.00,2.00,2.00,451,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203368,7.00,7.00,4.00,7.00,6.00,9.75,2.00,3.00,5.00,333,NULL,NULL,'VILA INDUSTRIAL','TOLEDO','PR',7773,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5203376,3.00,5.00,2.00,6.00,6.00,8.25,1.00,2.00,4.00,324,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203384,2.00,3.00,1.00,2.00,4.00,NULL,0.00,1.00,3.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203392,3.00,6.00,2.00,5.00,5.00,10.50,1.00,2.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5203422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMERICA','POUSO ALEGRE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5203430,2.00,3.00,3.00,0.00,1.00,NULL,3.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5203449,2.00,5.00,3.00,5.00,2.00,NULL,4.00,2.00,1.00,103,NULL,NULL,'JARDIM COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5203457,6.00,6.00,4.00,5.00,9.00,9.00,1.00,6.00,6.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5587,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5203465,3.00,7.00,4.00,4.00,6.00,8.25,4.00,3.00,7.00,233,NULL,208,'NOVA YORK','CASCAVEL','PR',10209,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5203473,5.00,5.00,3.00,6.00,7.00,7.88,3.00,0.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',9324,3074,NULL,NULL,NULL,NULL,NULL,2,8),(20,5203481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5203503,8.00,8.00,1.00,8.00,9.00,12.00,1.00,7.00,5.00,332,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',4769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203520,6.00,7.00,3.00,2.00,6.00,10.88,5.00,4.00,5.00,223,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203538,9.00,6.00,1.00,3.00,6.00,7.88,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','ITARARÉ','SP',6336,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5203546,3.00,5.00,3.00,2.00,6.00,4.50,2.00,4.00,5.00,327,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203554,2.00,5.00,0.00,5.00,6.00,NULL,3.00,3.00,2.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5203562,3.00,2.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,9,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203570,6.00,4.00,3.00,7.00,9.00,7.88,4.00,2.00,5.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203589,4.00,8.00,2.00,3.00,4.00,NULL,0.00,3.00,4.00,203,NULL,202,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203597,5.00,4.00,2.00,2.00,5.00,6.75,2.00,3.00,3.00,301,NULL,NULL,'CENTRO','CURITIBA','PR',15085,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5203600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5203619,4.00,5.00,0.00,4.00,9.00,7.50,2.00,2.00,3.00,216,NULL,215,'SANTO ANTÔNIO','S LUDGERO','SC',14728,559,NULL,306,NULL,NULL,NULL,4,10),(20,5203627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5203635,4.00,5.00,0.00,4.00,6.00,7.13,2.00,3.00,5.00,318,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5203643,3.00,6.00,1.00,4.00,4.00,8.63,2.00,3.00,3.00,101,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5203651,2.00,4.00,2.00,1.00,1.00,NULL,2.00,3.00,3.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5203678,6.00,7.00,1.00,7.00,5.00,6.75,2.00,3.00,3.00,304,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',12792,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5203686,5.00,7.00,4.00,6.00,9.00,8.25,6.00,4.00,5.00,202,NULL,235,'ÁGUA VERDE','CURITIBA','PR',4563,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5203694,8.00,8.00,7.00,6.00,9.00,10.50,7.00,6.00,8.00,103,NULL,NULL,'ESPLANADA','CHAPECÓ','SC',371,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5203708,2.00,3.00,2.00,5.00,5.00,NULL,0.00,2.00,3.00,319,NULL,NULL,'CENTRO','MAXIMILIANO ALMEIDA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5203716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM PAULISTANO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5203724,3.00,3.00,0.00,7.00,6.00,NULL,1.00,4.00,1.00,328,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203732,6.00,5.00,5.00,7.00,7.00,8.63,3.00,4.00,4.00,103,NULL,NULL,'CASTELO BRANCO','CAMPINAS','SP',5611,2311,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203759,7.00,5.00,2.00,6.00,6.00,6.75,2.00,4.00,5.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',14372,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5203767,9.00,5.00,3.00,7.00,8.00,7.88,2.00,5.00,6.00,103,NULL,NULL,'BORTOT','PATO BRANCO','PR',5470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5203791,6.00,5.00,1.00,4.00,8.00,8.25,2.00,2.00,4.00,216,NULL,211,'AMÉRICA','JOINVILLE','SC',13443,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5203805,0.00,2.00,1.00,2.00,4.00,NULL,2.00,1.00,1.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5203813,6.00,7.00,3.00,7.00,10.00,11.63,3.00,4.00,4.00,5,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5203830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5203848,7.00,8.00,1.00,7.00,6.00,9.75,1.00,7.00,5.00,340,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',8145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5203864,8.00,7.00,5.00,5.00,6.00,6.38,4.00,4.00,5.00,213,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',8467,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5203872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5203899,4.00,4.00,0.00,4.00,7.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5203929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5203937,5.00,3.00,3.00,6.00,6.00,7.13,3.00,4.00,6.00,319,NULL,NULL,'CENTRO','CHAPECÓ','SC',10543,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5203945,2.00,3.00,2.00,2.00,3.00,NULL,2.00,3.00,4.00,302,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5203953,1.00,5.00,0.00,6.00,4.00,NULL,1.00,1.00,3.00,319,NULL,NULL,'NAÇOES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5203961,9.00,8.00,4.00,7.00,5.00,9.75,5.00,5.00,8.00,103,NULL,NULL,'ALVORADA','FRANCISCO BELTRÃO','PR',1934,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5203970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5203988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PORTAL DA FOZ','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5203996,3.00,4.00,5.00,5.00,4.00,9.75,2.00,3.00,3.00,234,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',15575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204003,4.00,2.00,1.00,2.00,0.00,NULL,1.00,3.00,1.00,324,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204011,4.00,7.00,0.00,7.00,3.00,NULL,3.00,3.00,2.00,201,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5204020,1.00,5.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,9,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204038,7.00,9.00,3.00,6.00,8.00,7.50,2.00,2.00,5.00,212,NULL,233,'FORQUILHINHAS','S JOSÉ','SC',6640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5204046,7.00,7.00,4.00,6.00,3.00,NULL,4.00,2.00,6.00,103,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5204054,3.00,5.00,0.00,5.00,7.00,7.13,1.00,4.00,3.00,320,NULL,NULL,'JARDIM JANAÍNA','BIGUAÇU','SC',16066,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204062,5.00,1.00,2.00,3.00,3.00,NULL,3.00,3.00,3.00,9,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5204070,3.00,4.00,4.00,3.00,7.00,8.63,3.00,3.00,3.00,333,NULL,NULL,'FREZARIN','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5204089,6.00,7.00,2.00,7.00,6.00,10.88,2.00,2.00,5.00,103,NULL,NULL,'CENTRO','PORTÃO','RS',8816,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204100,8.00,7.00,6.00,6.00,9.00,9.38,3.00,5.00,8.00,103,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',2141,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5204119,4.00,5.00,1.00,2.00,4.00,6.75,2.00,3.00,4.00,601,NULL,233,'SAMBAQUI','FLORIANÓPOLIS','SC',15411,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204127,3.00,3.00,0.00,4.00,1.00,NULL,2.00,2.00,2.00,208,NULL,NULL,'CANTA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204135,8.00,5.00,6.00,7.00,7.00,9.38,4.00,4.00,6.00,233,NULL,216,'LA SALLE','TOLEDO','PR',3033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5204143,2.00,6.00,1.00,2.00,5.00,NULL,1.00,3.00,2.00,216,NULL,653,'JUSSARA','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204151,7.00,4.00,0.00,2.00,6.00,NULL,0.00,2.00,4.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5204160,8.00,6.00,2.00,5.00,6.00,8.25,3.00,4.00,4.00,207,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9606,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204178,3.00,5.00,2.00,3.00,4.00,NULL,1.00,1.00,2.00,5,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204186,5.00,7.00,5.00,4.00,7.00,10.13,3.00,3.00,5.00,207,NULL,233,'KOBRASOL','S JOSÉ','SC',8177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5204194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5204208,3.00,5.00,1.00,4.00,5.00,NULL,0.00,2.00,2.00,108,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204216,3.00,6.00,4.00,4.00,3.00,NULL,1.00,3.00,4.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204224,2.00,4.00,1.00,5.00,3.00,NULL,0.00,0.00,2.00,202,NULL,203,'BELA VISTA UM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204232,6.00,6.00,1.00,5.00,4.00,9.75,1.00,4.00,2.00,201,NULL,207,'INTERIOR','S JOÃO OESTE','SC',14564,1032,NULL,700,NULL,NULL,NULL,4,4),(20,5204240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MATIAS','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5204259,1.00,5.00,4.00,3.00,4.00,9.75,2.00,3.00,3.00,426,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',16224,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5204267,1.00,1.00,0.00,1.00,4.00,NULL,1.00,0.00,2.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'ZONA RURAL','INDIANÓPOLIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5204283,0.00,4.00,1.00,4.00,2.00,NULL,1.00,1.00,2.00,201,NULL,212,'CENTRO','CPO ERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5204291,5.00,7.00,2.00,4.00,5.00,8.63,3.00,5.00,4.00,207,NULL,201,'SULBRASILEIRO','OSÓRIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5204305,3.00,6.00,0.00,3.00,3.00,NULL,1.00,2.00,5.00,316,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204330,1.00,4.00,0.00,3.00,2.00,NULL,2.00,0.00,2.00,103,NULL,NULL,'SANTA RITA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5204348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARRA VELHA','ILHABELA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5204364,5.00,3.00,1.00,1.00,4.00,NULL,0.00,2.00,4.00,302,NULL,NULL,'GUIOMAR','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204372,4.00,3.00,3.00,7.00,5.00,10.50,1.00,2.00,3.00,319,NULL,NULL,'AGUA VERDE','CURITIBA','PR',13406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5204402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'RIO BRANCO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5204437,2.00,4.00,1.00,1.00,6.00,NULL,1.00,2.00,2.00,207,NULL,212,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204445,1.00,3.00,1.00,3.00,6.00,NULL,2.00,3.00,0.00,451,NULL,NULL,'SAO SEBASTIAO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204453,8.00,6.00,3.00,4.00,7.00,8.25,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',6708,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5204461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5204470,2.00,7.00,2.00,5.00,4.00,7.13,2.00,2.00,3.00,444,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',15515,93,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204488,6.00,6.00,6.00,7.00,7.00,7.50,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',7918,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5204496,6.00,8.00,4.00,7.00,6.00,9.00,4.00,4.00,8.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5204500,3.00,5.00,1.00,0.00,6.00,NULL,2.00,2.00,5.00,103,NULL,NULL,'CENTRO','ITAPETININGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5204518,5.00,5.00,2.00,4.00,8.00,7.13,3.00,3.00,2.00,651,NULL,238,'CENTRO','CRICIÚMA','SC',15648,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5204526,6.00,6.00,2.00,6.00,8.00,6.75,1.00,2.00,4.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',12138,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5204534,4.00,6.00,3.00,3.00,5.00,6.75,2.00,5.00,2.00,316,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',15979,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204542,2.00,6.00,0.00,2.00,5.00,NULL,2.00,1.00,1.00,207,NULL,220,'SÃO CRISTOVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5204550,5.00,6.00,1.00,4.00,6.00,NULL,0.00,2.00,3.00,9,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5204569,4.00,3.00,0.00,4.00,4.00,NULL,2.00,3.00,3.00,319,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARRA DA TIJUCA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5204593,3.00,5.00,1.00,5.00,8.00,NULL,0.00,2.00,1.00,9,NULL,NULL,'SANTA MARIA','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5204607,7.00,8.00,5.00,7.00,8.00,9.38,4.00,6.00,7.00,303,NULL,NULL,'OESTE','GOIÂNIA','GO',1778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5204615,5.00,7.00,3.00,5.00,5.00,10.13,2.00,4.00,6.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',9596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204623,9.00,8.00,2.00,7.00,7.00,10.50,1.00,4.00,4.00,103,NULL,NULL,'SÃO PELEGRINO','CAXIAS SUL','RS',5664,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204631,4.00,5.00,1.00,3.00,5.00,NULL,0.00,3.00,1.00,101,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204640,8.00,6.00,2.00,7.00,8.00,6.00,1.00,4.00,4.00,212,NULL,207,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10232,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204690,3.00,4.00,1.00,4.00,5.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5204704,8.00,4.00,5.00,5.00,6.00,7.88,3.00,4.00,7.00,104,NULL,NULL,'CENTRO','PNT GROSSA','PR',6242,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5204739,8.00,7.00,5.00,7.00,10.00,10.50,6.00,4.00,8.00,2,NULL,NULL,'CENTRO','CASCAVEL','PR',948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5204755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,233,'CENTRO','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5204763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,424,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(20,5204780,9.00,7.00,5.00,7.00,6.00,8.63,4.00,4.00,6.00,220,NULL,202,'BROTAS','SALVADOR','BA',2608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5204801,8.00,7.00,4.00,6.00,10.00,8.25,1.00,5.00,8.00,103,NULL,NULL,'CENTRO','CPO ERÊ','SC',3557,1697,NULL,NULL,NULL,NULL,NULL,2,8),(20,5204810,8.00,5.00,5.00,5.00,10.00,9.00,6.00,5.00,5.00,317,NULL,NULL,'EVOLUÇÃO','S LUDGERO','SC',3554,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5204828,4.00,7.00,1.00,3.00,8.00,NULL,0.00,1.00,2.00,303,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5204836,2.00,7.00,3.00,2.00,8.00,8.25,2.00,3.00,4.00,9,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',15701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204844,7.00,7.00,4.00,4.00,9.00,9.00,5.00,6.00,4.00,103,NULL,NULL,'AGRONÔNICA','FLORIANÓPOLIS','SC',3820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5204852,0.00,6.00,0.00,3.00,4.00,NULL,2.00,0.00,2.00,238,NULL,208,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5204860,9.00,4.00,0.00,6.00,6.00,6.38,5.00,5.00,4.00,103,NULL,NULL,'PINHEIRINHO','CURITIBA','PR',8487,2922,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204887,6.00,6.00,1.00,5.00,6.00,7.13,2.00,3.00,5.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',13457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5204895,5.00,7.00,0.00,4.00,9.00,10.13,2.00,5.00,4.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',9752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5204909,6.00,5.00,2.00,6.00,9.00,10.88,3.00,5.00,4.00,320,NULL,NULL,'JARDIM PIRATININGA','LIMEIRA','SP',6466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5204933,9.00,7.00,2.00,4.00,5.00,6.75,2.00,7.00,8.00,5,NULL,NULL,'JARDIM BELA VISTA','PIRAQUARA','PR',5137,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5204941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5204950,5.00,4.00,4.00,7.00,4.00,7.88,3.00,2.00,4.00,103,NULL,NULL,'SANTA CRUZ','CARAMBEÍ','PR',12203,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5204968,8.00,5.00,5.00,7.00,7.00,10.13,4.00,2.00,7.00,103,NULL,NULL,'OCEANIA','PARANAGUÁ','PR',3814,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5204976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVO MINAS GERAIS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5204984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5204992,1.00,5.00,1.00,5.00,8.00,NULL,1.00,2.00,2.00,108,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205000,4.00,5.00,5.00,5.00,5.00,7.88,4.00,4.00,4.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',11980,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5205018,0.00,1.00,0.00,5.00,5.00,NULL,2.00,0.00,4.00,216,NULL,NULL,'JARDIM SÃO MIGUEL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205026,6.00,6.00,3.00,4.00,8.00,10.88,3.00,3.00,5.00,207,NULL,201,'REAL PARQUE','S JOSÉ','SC',8644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205034,3.00,2.00,2.00,3.00,2.00,NULL,0.00,2.00,3.00,214,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5205042,4.00,3.00,5.00,4.00,7.00,8.63,2.00,2.00,5.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14098,90,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205050,5.00,6.00,3.00,4.00,6.00,6.75,2.00,1.00,5.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',14685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205069,6.00,7.00,0.00,3.00,5.00,7.13,1.00,2.00,7.00,234,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',13337,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205077,5.00,7.00,2.00,4.00,5.00,7.13,4.00,3.00,3.00,317,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',14188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205085,3.00,5.00,0.00,3.00,7.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'BOM JESUS','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5205093,9.00,8.00,4.00,7.00,9.00,10.13,4.00,5.00,9.00,103,NULL,NULL,'CENTRO','PAPANDUVA','SC',807,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5205140,7.00,7.00,3.00,5.00,9.00,6.38,2.00,4.00,7.00,303,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',8902,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5205166,2.00,6.00,4.00,5.00,3.00,NULL,2.00,4.00,5.00,201,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5205182,1.00,2.00,0.00,2.00,3.00,NULL,2.00,1.00,4.00,317,NULL,NULL,'BREJARÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205204,0.00,5.00,2.00,1.00,2.00,NULL,3.00,3.00,3.00,104,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5205212,2.00,4.00,1.00,3.00,3.00,NULL,4.00,1.00,1.00,427,NULL,426,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205220,6.00,5.00,3.00,6.00,7.00,7.50,5.00,4.00,8.00,102,NULL,NULL,'CENTRO','GAROPABA','SC',5650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205247,2.00,6.00,3.00,4.00,3.00,NULL,2.00,2.00,4.00,303,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205255,4.00,6.00,0.00,6.00,4.00,8.25,0.00,3.00,5.00,220,NULL,203,'VILA NOVA','BLUMENAU','SC',15666,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5205263,7.00,7.00,2.00,5.00,7.00,8.63,4.00,3.00,1.00,653,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5205271,3.00,4.00,1.00,4.00,5.00,NULL,1.00,3.00,0.00,425,NULL,428,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5205298,6.00,8.00,2.00,7.00,6.00,10.13,1.00,3.00,4.00,340,NULL,NULL,'SUMAREZINHO','S PAULO','SP',7248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205301,6.00,6.00,0.00,6.00,7.00,NULL,3.00,2.00,5.00,203,NULL,220,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5205328,5.00,7.00,2.00,5.00,10.00,9.38,3.00,2.00,4.00,303,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',7284,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5205336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5205344,1.00,4.00,0.00,4.00,4.00,NULL,1.00,0.00,4.00,303,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5205360,6.00,6.00,2.00,5.00,8.00,10.50,1.00,2.00,3.00,450,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',13494,98,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205379,3.00,3.00,1.00,5.00,7.00,NULL,0.00,3.00,2.00,326,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5205395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5205409,4.00,3.00,4.00,4.00,5.00,6.00,2.00,2.00,4.00,233,NULL,214,'SANTO ANTONIO','ASSIS','SP',15398,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5205417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5205425,8.00,7.00,5.00,7.00,8.00,9.00,8.00,6.00,6.00,220,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',1940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205441,2.00,3.00,1.00,3.00,3.00,NULL,0.00,1.00,2.00,450,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205450,2.00,3.00,0.00,5.00,2.00,NULL,1.00,1.00,2.00,238,NULL,208,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5205484,6.00,6.00,4.00,4.00,8.00,10.50,5.00,7.00,6.00,102,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',3977,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5205506,6.00,7.00,2.00,4.00,5.00,8.25,2.00,3.00,4.00,207,NULL,202,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',11598,555,NULL,400,NULL,NULL,NULL,2,1),(20,5205514,8.00,6.00,5.00,4.00,9.00,9.00,3.00,6.00,4.00,207,NULL,211,'CENTRO','STA ZÉLIA','PR',5477,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5205522,8.00,8.00,5.00,7.00,8.00,8.63,5.00,4.00,8.00,202,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',2046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205557,3.00,4.00,0.00,3.00,4.00,NULL,0.00,1.00,3.00,444,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205565,5.00,4.00,1.00,7.00,4.00,7.88,1.00,1.00,3.00,103,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',15669,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5205573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DE JULHO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5205581,9.00,8.00,6.00,7.00,10.00,11.25,6.00,6.00,8.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',324,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5205590,5.00,7.00,1.00,4.00,2.00,NULL,2.00,2.00,4.00,601,NULL,651,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205611,2.00,1.00,0.00,4.00,3.00,NULL,1.00,3.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205620,3.00,7.00,2.00,4.00,4.00,NULL,0.00,2.00,4.00,420,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205638,3.00,5.00,1.00,6.00,6.00,9.00,2.00,2.00,5.00,9,NULL,NULL,'LINHA SEMINÁRIO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5205654,3.00,3.00,0.00,4.00,6.00,NULL,0.00,1.00,3.00,303,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205662,5.00,4.00,0.00,4.00,8.00,NULL,1.00,0.00,2.00,415,NULL,NULL,'JARDIM TROPICAL','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205670,7.00,6.00,6.00,5.00,2.00,NULL,2.00,2.00,6.00,220,NULL,203,'CENTRO','PINDAMONHANGABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205689,6.00,5.00,3.00,7.00,6.00,7.88,2.00,1.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',9636,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5205697,4.00,7.00,2.00,5.00,3.00,NULL,3.00,3.00,5.00,203,NULL,202,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205700,5.00,7.00,3.00,5.00,8.00,10.13,3.00,4.00,5.00,338,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205719,7.00,5.00,2.00,7.00,10.00,7.88,2.00,3.00,4.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205727,7.00,6.00,0.00,4.00,8.00,NULL,1.00,2.00,3.00,205,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205743,5.00,6.00,1.00,3.00,5.00,7.13,3.00,2.00,3.00,203,NULL,220,'JARDIM MALUCHE','BRUSQUE','SC',14941,932,NULL,365,NULL,NULL,NULL,2,6),(20,5205751,9.00,8.00,3.00,7.00,5.00,10.13,6.00,6.00,8.00,208,NULL,238,'PANTANAL','FLORIANÓPOLIS','SC',1920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205760,5.00,6.00,8.00,5.00,4.00,9.38,1.00,2.00,4.00,5,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',9049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205786,8.00,8.00,6.00,6.00,8.00,10.50,7.00,4.00,7.00,103,NULL,NULL,'CENTRO','CANOAS','RS',834,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5205794,8.00,6.00,5.00,7.00,7.00,8.25,3.00,4.00,6.00,102,NULL,NULL,'VILA INDUSTRIAL','TOLEDO','PR',4901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205808,3.00,8.00,2.00,5.00,4.00,9.00,0.00,3.00,4.00,102,NULL,NULL,'CANOAS','RIO SUL','SC',14504,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5205816,4.00,6.00,2.00,4.00,7.00,NULL,2.00,1.00,1.00,208,NULL,NULL,'JARDIM BELA VISTA','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5205832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5205840,4.00,3.00,1.00,1.00,4.00,NULL,0.00,1.00,3.00,316,NULL,NULL,'SNATA MARIA','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CIDADE NOVA','RIO GRANDE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5205867,3.00,6.00,3.00,7.00,5.00,10.13,1.00,1.00,3.00,2,NULL,NULL,'DOS ESTADOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5205875,5.00,6.00,3.00,6.00,4.00,7.13,0.00,2.00,4.00,238,NULL,208,'PRAIA COMPRIDA','S JOSÉ','SC',13124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'VILA CANAÃ','ITATINGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5205891,5.00,7.00,3.00,5.00,8.00,10.50,1.00,4.00,3.00,318,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10597,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5205905,5.00,4.00,2.00,2.00,3.00,NULL,1.00,1.00,4.00,415,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205913,8.00,5.00,4.00,5.00,10.00,9.75,6.00,3.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',3779,1776,NULL,NULL,NULL,NULL,NULL,2,6),(20,5205921,2.00,4.00,0.00,5.00,5.00,6.38,4.00,3.00,3.00,453,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',15724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5205956,7.00,5.00,0.00,7.00,7.00,8.25,3.00,1.00,7.00,202,NULL,601,'SAGUAÇU','JOINVILLE','SC',9527,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5205964,7.00,5.00,4.00,5.00,8.00,9.75,5.00,5.00,6.00,213,NULL,202,'COMERCIÁRIO','CRICIÚMA','SC',4037,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5205972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5205980,7.00,5.00,0.00,4.00,5.00,7.88,1.00,1.00,6.00,5,NULL,NULL,'FAZENDA','ITAJAÍ','SC',15239,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5206006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SANTA CRUZ','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5206014,2.00,6.00,1.00,6.00,7.00,NULL,1.00,3.00,2.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206022,5.00,5.00,3.00,6.00,6.00,7.88,2.00,3.00,4.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',13081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206030,5.00,5.00,1.00,6.00,7.00,6.00,2.00,1.00,3.00,340,NULL,NULL,'AMÉRICA','JOINVILLE','SC',12973,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5206049,7.00,6.00,3.00,6.00,9.00,10.50,5.00,5.00,5.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',4308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206057,6.00,5.00,5.00,7.00,6.00,9.38,4.00,1.00,2.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206065,2.00,3.00,0.00,2.00,4.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'MONTE VERDE','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5206081,3.00,5.00,3.00,3.00,5.00,NULL,2.00,1.00,2.00,108,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5206090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5206103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5206111,3.00,5.00,1.00,5.00,4.00,NULL,2.00,2.00,0.00,423,NULL,425,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5206120,7.00,5.00,7.00,6.00,9.00,8.25,3.00,3.00,6.00,201,NULL,211,'IMBIRAPUERA','MRO FUMAÇA','SC',4604,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5206138,6.00,4.00,2.00,7.00,6.00,7.50,2.00,1.00,7.00,216,NULL,215,'ASA NORTE','BRASÍLIA','DF',10826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206154,3.00,4.00,0.00,3.00,3.00,NULL,2.00,1.00,2.00,9,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5206189,5.00,6.00,2.00,5.00,9.00,9.00,2.00,3.00,2.00,415,NULL,NULL,'CENTRO','CAÇADOR','SC',10724,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5206197,3.00,0.00,1.00,3.00,4.00,NULL,1.00,2.00,4.00,207,NULL,201,'JARDIM AMÉRICA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5206200,6.00,6.00,1.00,7.00,7.00,9.38,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','VIDEIRA','SC',11109,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5206219,6.00,7.00,1.00,4.00,6.00,9.00,0.00,2.00,5.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206235,4.00,2.00,1.00,5.00,3.00,NULL,2.00,3.00,0.00,317,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5206243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'MARIA IZABEL','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5206260,7.00,3.00,0.00,6.00,7.00,8.63,2.00,2.00,6.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206278,8.00,6.00,6.00,7.00,7.00,7.50,5.00,7.00,8.00,103,NULL,NULL,'VILA SAO PEDRO','PIRAÍ SUL','PR',2324,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5206286,1.00,4.00,0.00,2.00,3.00,NULL,2.00,2.00,4.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5206294,1.00,5.00,0.00,5.00,3.00,NULL,2.00,3.00,3.00,301,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GRANVILLE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5206324,2.00,2.00,3.00,2.00,6.00,NULL,2.00,4.00,2.00,308,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5206359,7.00,6.00,3.00,3.00,5.00,7.13,3.00,5.00,5.00,216,NULL,214,'CAMPO BELO','S PAULO','SP',7931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206367,5.00,7.00,4.00,7.00,7.00,8.25,4.00,3.00,6.00,214,NULL,216,'COMAERCTA','S JOSÉ CAMPOS','SP',4772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206375,9.00,9.00,8.00,8.00,8.00,11.25,7.00,6.00,8.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206405,2.00,5.00,0.00,6.00,5.00,NULL,0.00,4.00,1.00,425,NULL,424,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206421,2.00,3.00,0.00,7.00,5.00,NULL,1.00,0.00,2.00,234,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'JD ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5206456,6.00,6.00,1.00,7.00,4.00,7.50,0.00,4.00,2.00,333,NULL,NULL,'MANSUR DAUD','S JOSÉ R PRETO','SP',11844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206464,6.00,5.00,1.00,7.00,7.00,9.75,2.00,4.00,4.00,452,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',11021,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5206472,2.00,5.00,0.00,3.00,5.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'MARTELLI','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5206480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5206499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5206502,6.00,3.00,3.00,5.00,6.00,6.75,2.00,1.00,4.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',15872,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5206529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5206537,6.00,3.00,4.00,4.00,6.00,7.88,2.00,1.00,2.00,238,NULL,213,'FORQUILHINHAS','S JOSÉ','SC',15646,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5206545,5.00,6.00,2.00,7.00,5.00,13.50,3.00,5.00,3.00,404,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206553,5.00,7.00,5.00,5.00,9.00,12.00,0.00,3.00,6.00,207,NULL,233,'CARIANOS','FLORIANÓPOLIS','SC',5010,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5206561,8.00,9.00,4.00,5.00,7.00,8.25,2.00,8.00,6.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206570,8.00,7.00,7.00,7.00,6.00,6.00,2.00,4.00,9.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',3417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206588,8.00,7.00,4.00,7.00,8.00,9.00,3.00,3.00,8.00,601,NULL,202,'GLÓRIA','JOINVILLE','SC',4822,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5206596,3.00,4.00,1.00,4.00,6.00,NULL,0.00,4.00,1.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5206600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'VILA CELINA','ESPÍRITO STO PINHAL','SP',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5206618,4.00,4.00,1.00,8.00,7.00,7.88,2.00,2.00,3.00,203,NULL,216,'VILA MOEMA','TUBARÃO','SC',15242,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5206626,4.00,3.00,2.00,4.00,4.00,NULL,1.00,1.00,2.00,320,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5206650,3.00,3.00,2.00,1.00,5.00,NULL,3.00,1.00,4.00,338,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5206685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5206707,7.00,7.00,3.00,7.00,9.00,11.25,4.00,4.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4076,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5206731,8.00,6.00,6.00,6.00,8.00,9.00,5.00,5.00,7.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',3556,1696,NULL,NULL,NULL,NULL,NULL,2,4),(20,5206758,5.00,5.00,2.00,4.00,5.00,6.75,0.00,4.00,4.00,203,NULL,NULL,'ALVORADA','XAXIM','SC',15602,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5206766,6.00,4.00,3.00,5.00,5.00,NULL,0.00,1.00,5.00,452,NULL,NULL,'JD STA JÚLIA','AMPARO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206774,4.00,7.00,4.00,6.00,7.00,8.25,4.00,1.00,2.00,5,NULL,NULL,'SANTA BÁRBARA','CRICIÚMA','SC',12657,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5206782,9.00,6.00,4.00,8.00,9.00,10.88,8.00,5.00,6.00,103,NULL,NULL,'GUAÍRA','CURITIBA','PR',1153,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5206790,7.00,7.00,4.00,6.00,8.00,6.75,4.00,4.00,8.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',4201,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5206812,9.00,8.00,7.00,7.00,10.00,11.25,4.00,7.00,8.00,201,NULL,207,'VELHA','BLUMENAU','SC',196,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5206839,3.00,5.00,0.00,4.00,5.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'CENTRO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5206847,8.00,8.00,6.00,7.00,9.00,9.38,7.00,5.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206855,5.00,7.00,1.00,5.00,9.00,7.88,1.00,4.00,2.00,104,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',9960,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5206863,5.00,7.00,4.00,6.00,8.00,9.00,4.00,1.00,4.00,214,NULL,233,'SÃO DIMAS','S JOSÉ CAMPOS','SP',7159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206871,3.00,4.00,0.00,4.00,5.00,NULL,1.00,1.00,3.00,224,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5206880,4.00,6.00,5.00,6.00,7.00,6.75,2.00,2.00,4.00,317,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',12869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206898,5.00,4.00,3.00,5.00,8.00,8.63,1.00,1.00,4.00,108,NULL,NULL,'TESTO SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5206901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'SANTA RITA','TRÊS LAGOAS','MS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5206910,7.00,6.00,3.00,6.00,9.00,9.75,4.00,3.00,4.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',5531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206928,9.00,7.00,2.00,6.00,8.00,9.00,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206936,2.00,3.00,7.00,7.00,2.00,NULL,4.00,1.00,4.00,208,NULL,203,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206952,5.00,5.00,2.00,7.00,5.00,7.13,4.00,5.00,5.00,103,NULL,NULL,'BATEL','CURITIBA','PR',7587,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5206960,5.00,5.00,1.00,7.00,7.00,8.63,3.00,2.00,3.00,103,NULL,NULL,'PARALELA','SALVADOR','BA',11056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5206987,4.00,1.00,3.00,4.00,2.00,NULL,2.00,0.00,0.00,452,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5207002,7.00,6.00,6.00,5.00,8.00,9.00,5.00,5.00,6.00,102,NULL,NULL,'CENTRO','GUABIRUBA','SC',3689,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(20,5207010,8.00,6.00,7.00,4.00,7.00,6.00,4.00,2.00,6.00,220,NULL,202,'ITACORUBI','FLORIANÓPOLIS','SC',5444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5207029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'APARECIDA','UBERLÂNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5207045,2.00,3.00,4.00,5.00,2.00,NULL,1.00,2.00,3.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5207053,7.00,7.00,1.00,5.00,6.00,9.75,3.00,5.00,5.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',7093,2661,NULL,NULL,NULL,NULL,NULL,2,1),(20,5207061,4.00,5.00,4.00,7.00,5.00,6.75,3.00,3.00,5.00,202,NULL,203,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5207070,2.00,5.00,1.00,4.00,3.00,NULL,2.00,1.00,4.00,303,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5207088,5.00,8.00,0.00,5.00,8.00,8.25,3.00,2.00,3.00,102,NULL,NULL,'NAÇOES','BAL CAMBORIÚ','SC',14407,204,NULL,NULL,NULL,NULL,NULL,4,6),(20,5207096,4.00,7.00,4.00,7.00,5.00,6.75,4.00,2.00,6.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',8095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207100,3.00,4.00,0.00,7.00,4.00,NULL,0.00,2.00,2.00,324,NULL,NULL,'DE FÁTIMA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207118,1.00,5.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,201,NULL,207,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5207126,8.00,8.00,9.00,6.00,9.00,13.50,8.00,5.00,8.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',194,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5207134,8.00,5.00,4.00,6.00,7.00,7.88,3.00,4.00,6.00,103,NULL,NULL,'LINDOIA','CURITIBA','PR',5002,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5207150,3.00,3.00,1.00,4.00,7.00,NULL,2.00,1.00,4.00,201,NULL,207,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5207177,5.00,6.00,0.00,5.00,9.00,9.75,3.00,4.00,3.00,9,NULL,NULL,'ARIRIÚ DA FORMIGA','PALHOÇA','SC',9544,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5207193,4.00,4.00,1.00,2.00,3.00,NULL,3.00,0.00,0.00,220,NULL,203,'ALTO BONITO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207207,7.00,6.00,3.00,3.00,4.00,9.75,2.00,4.00,3.00,317,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',12988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207215,8.00,8.00,3.00,3.00,7.00,10.50,3.00,6.00,6.00,102,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',5704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207223,7.00,8.00,2.00,6.00,5.00,10.50,2.00,4.00,5.00,201,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207231,7.00,6.00,4.00,5.00,10.00,10.13,1.00,4.00,5.00,340,NULL,NULL,'TABOLEIRO','ITAPEMA','SC',7494,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5207258,7.00,8.00,6.00,6.00,9.00,8.25,5.00,5.00,5.00,201,NULL,207,'CENTRO','LAGES','SC',2640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207266,8.00,6.00,4.00,7.00,8.00,8.25,5.00,3.00,5.00,201,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',5108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207274,6.00,3.00,5.00,5.00,9.00,10.13,2.00,5.00,6.00,102,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207282,4.00,5.00,0.00,1.00,4.00,NULL,0.00,4.00,4.00,301,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5207290,3.00,6.00,3.00,3.00,5.00,8.25,4.00,2.00,3.00,207,NULL,212,'SÃO CRISTOVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5207304,8.00,8.00,5.00,7.00,10.00,8.63,4.00,3.00,8.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',2482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207312,7.00,4.00,3.00,3.00,9.00,7.88,4.00,3.00,5.00,211,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',10271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207320,2.00,6.00,2.00,0.00,5.00,NULL,1.00,4.00,4.00,653,NULL,201,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5207363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,238,'JARDIM AVIACAO','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5207371,4.00,5.00,3.00,4.00,4.00,9.00,3.00,1.00,4.00,340,NULL,NULL,'ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC',13492,384,NULL,NULL,NULL,NULL,NULL,2,1),(20,5207380,9.00,7.00,3.00,7.00,8.00,7.13,6.00,6.00,7.00,220,NULL,214,'APONIA','PTO VELHO','RO',2450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207398,4.00,5.00,1.00,4.00,5.00,NULL,1.00,2.00,1.00,503,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5207401,4.00,5.00,2.00,5.00,4.00,10.50,1.00,3.00,3.00,103,NULL,NULL,'CIDADE MINEIRA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5207410,1.00,5.00,2.00,1.00,4.00,NULL,1.00,2.00,4.00,103,NULL,NULL,'TABULEIRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5207436,4.00,5.00,1.00,2.00,4.00,NULL,0.00,0.00,5.00,233,NULL,211,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5207444,6.00,7.00,4.00,7.00,9.00,9.38,4.00,7.00,7.00,319,NULL,NULL,'STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC',2169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207460,5.00,5.00,4.00,5.00,5.00,6.00,2.00,2.00,5.00,301,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',15039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5207487,2.00,6.00,3.00,3.00,7.00,NULL,2.00,2.00,3.00,601,NULL,203,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5207509,8.00,7.00,8.00,7.00,8.00,8.63,7.00,5.00,7.00,5,NULL,NULL,'CENTRO','S JOSÉ','SC',614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207525,4.00,3.00,1.00,3.00,2.00,NULL,1.00,2.00,2.00,426,NULL,423,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5207533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5207541,2.00,5.00,2.00,6.00,7.00,10.50,3.00,4.00,4.00,415,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',12019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207550,5.00,0.00,5.00,7.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,6),(20,5207568,3.00,5.00,0.00,3.00,2.00,NULL,1.00,4.00,5.00,207,NULL,651,'SÃO PEDRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5207576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'CAMPO BELO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5207606,5.00,7.00,2.00,2.00,6.00,6.00,3.00,7.00,4.00,222,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',11955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207614,8.00,9.00,3.00,7.00,9.00,11.25,3.00,2.00,6.00,103,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',3618,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5207622,6.00,7.00,2.00,6.00,8.00,9.00,3.00,3.00,4.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207657,5.00,5.00,3.00,5.00,7.00,11.25,2.00,4.00,6.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',7183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207673,0.00,4.00,1.00,5.00,0.00,NULL,0.00,0.00,2.00,444,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207681,9.00,7.00,3.00,7.00,7.00,9.75,3.00,5.00,6.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',4028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARIA LUIZA','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5207703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'VIVENDAS ARVOREDO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5207711,7.00,6.00,3.00,1.00,4.00,6.75,3.00,5.00,5.00,104,NULL,NULL,'CENTRO','S BONIFÁCIO','SC',11642,299,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207720,4.00,5.00,1.00,5.00,4.00,9.38,3.00,3.00,4.00,104,NULL,NULL,'CENTRO','GUARAPUAVA','PR',14847,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5207738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5207746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5207762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5207770,5.00,5.00,2.00,3.00,5.00,6.00,3.00,5.00,4.00,501,NULL,NULL,'CENTRO','POUSO REDONDO','SC',14108,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5207789,6.00,6.00,4.00,7.00,8.00,10.13,3.00,4.00,5.00,207,NULL,601,'FAZENDINHA','CARAPICUÍBA','SP',4917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207797,8.00,7.00,4.00,6.00,8.00,7.13,4.00,4.00,5.00,207,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',6557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207800,8.00,7.00,5.00,7.00,9.00,8.25,3.00,7.00,8.00,103,NULL,NULL,'SÃO BRÁZ','CURITIBA','PR',1865,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5207819,4.00,4.00,3.00,4.00,6.00,NULL,0.00,2.00,2.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'TAQUARAL','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5207835,2.00,4.00,2.00,4.00,4.00,NULL,1.00,1.00,2.00,233,NULL,216,'SANTO ANTONIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5207843,5.00,8.00,4.00,3.00,3.00,NULL,2.00,1.00,4.00,103,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5207851,8.00,7.00,6.00,7.00,8.00,8.63,5.00,3.00,4.00,233,NULL,235,'BARREIROS','S JOSÉ','SC',2812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207860,7.00,8.00,2.00,5.00,8.00,8.25,5.00,4.00,3.00,2,NULL,NULL,'BARREIROS','S JOSÉ','SC',8281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207878,1.00,5.00,2.00,6.00,6.00,6.75,2.00,4.00,2.00,207,NULL,201,'RIO DA LUZ','JARAGUÁ SUL','SC',15391,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5207908,4.00,6.00,3.00,5.00,6.00,7.50,3.00,4.00,5.00,208,NULL,207,'CAPOEIRAS','S JOSÉ','SC',11415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5207924,5.00,6.00,1.00,6.00,7.00,11.25,1.00,4.00,3.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207932,9.00,7.00,5.00,6.00,7.00,11.25,6.00,5.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207959,2.00,8.00,3.00,5.00,4.00,6.38,1.00,3.00,3.00,653,NULL,652,'MATO ALTO','ARARANGUÁ','SC',15668,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5207967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5207975,4.00,5.00,3.00,4.00,5.00,6.75,3.00,2.00,4.00,316,NULL,NULL,'ARMAÇÃO DO PÂNTANO D','FLORIANÓPOLIS','SC',15549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5207983,5.00,7.00,2.00,3.00,7.00,6.75,2.00,6.00,7.00,202,NULL,235,'SANTA TERESA','S PEDRO ALCÂNTARA','SC',8296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208009,5.00,5.00,1.00,4.00,6.00,7.13,1.00,4.00,4.00,319,NULL,NULL,'UNIVERSITÁRIO','LAJEADO','RS',15577,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5208025,8.00,7.00,8.00,6.00,9.00,10.50,4.00,6.00,6.00,216,NULL,233,'SANTA MONICA','FLORIANÓPOLIS','SC',1755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208050,4.00,5.00,2.00,5.00,5.00,6.75,0.00,3.00,3.00,110,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,208,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5208084,1.00,3.00,2.00,5.00,3.00,NULL,1.00,1.00,3.00,201,NULL,212,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5208092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JD NSA SRA DE FÁTIMA','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5208106,7.00,6.00,2.00,6.00,8.00,7.88,4.00,5.00,7.00,211,NULL,216,'VILA IZABEL','CURITIBA','PR',3796,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5208130,4.00,6.00,4.00,7.00,5.00,7.50,3.00,3.00,5.00,216,NULL,NULL,'ROCIO GRANDE','S FRANCISCO SUL','SC',12289,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5208149,9.00,8.00,2.00,6.00,9.00,9.38,2.00,3.00,8.00,103,NULL,NULL,'JARDIM CANADÁ','MARINGÁ','PR',3885,1811,NULL,NULL,NULL,NULL,NULL,4,8),(20,5208157,7.00,9.00,2.00,7.00,8.00,8.63,4.00,4.00,2.00,303,NULL,NULL,'CENTRO','LAGES','SC',7083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208165,6.00,6.00,2.00,7.00,6.00,9.00,1.00,5.00,5.00,340,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',10437,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5208173,8.00,7.00,2.00,8.00,6.00,10.13,3.00,6.00,7.00,303,NULL,NULL,'CENTRO','GAROPABA','SC',4064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208190,4.00,8.00,3.00,4.00,9.00,9.38,3.00,3.00,3.00,316,NULL,NULL,'CENTRO','PALHOÇA','SC',11538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208203,6.00,5.00,0.00,2.00,4.00,NULL,2.00,2.00,3.00,211,NULL,601,'JARDIM SOFIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5208220,8.00,6.00,7.00,7.00,9.00,8.25,6.00,3.00,6.00,203,NULL,216,'ASA SUL','BRASÍLIA','DF',2497,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5208238,5.00,7.00,2.00,6.00,8.00,11.25,5.00,4.00,6.00,216,NULL,211,'INTERIOR','VIDEIRA','SC',3826,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5208246,7.00,6.00,2.00,5.00,4.00,7.13,3.00,4.00,3.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208254,4.00,6.00,2.00,5.00,6.00,6.00,1.00,3.00,3.00,415,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208262,6.00,5.00,2.00,3.00,5.00,7.50,4.00,2.00,2.00,103,NULL,NULL,'JARDIM FERRARI','ITAPEVA','SP',14713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AEROPORTO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5208289,5.00,3.00,1.00,3.00,6.00,NULL,3.00,2.00,2.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5208297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PLANALTO PARAÍSO','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5208300,4.00,7.00,4.00,5.00,7.00,7.88,3.00,2.00,7.00,452,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5208327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5208343,6.00,4.00,3.00,4.00,9.00,9.75,3.00,5.00,5.00,102,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',9674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5208360,5.00,6.00,3.00,7.00,4.00,9.38,3.00,5.00,6.00,340,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',7861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208378,4.00,5.00,1.00,5.00,6.00,8.25,0.00,3.00,4.00,207,NULL,201,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5208386,5.00,6.00,5.00,7.00,8.00,8.25,6.00,6.00,6.00,301,NULL,NULL,'CENTRO','FRANCA','SP',3768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208394,6.00,8.00,3.00,4.00,9.00,8.25,3.00,5.00,3.00,502,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8246,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5208416,5.00,7.00,0.00,4.00,4.00,8.25,3.00,4.00,3.00,320,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5208424,7.00,4.00,3.00,5.00,6.00,6.75,2.00,3.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12514,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5208432,3.00,4.00,1.00,5.00,5.00,NULL,1.00,1.00,6.00,502,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5208459,3.00,5.00,2.00,4.00,7.00,7.88,3.00,3.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208483,8.00,5.00,5.00,5.00,6.00,8.25,4.00,5.00,6.00,103,NULL,NULL,'MADUREIRA','CAXIAS SUL','RS',4538,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5208505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5208513,4.00,5.00,2.00,4.00,9.00,6.38,4.00,3.00,6.00,336,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',10562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5208521,6.00,4.00,2.00,2.00,4.00,NULL,2.00,1.00,3.00,202,NULL,203,'NOSSA SRA DE LOURDES','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208530,7.00,5.00,4.00,6.00,5.00,9.38,1.00,4.00,2.00,340,NULL,NULL,'CABRAL','CURITIBA','PR',13164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5208556,5.00,7.00,1.00,4.00,7.00,9.38,1.00,3.00,4.00,333,NULL,NULL,'VILA SANTO ANTÔNIO','IMBITUBA','SC',12291,107,NULL,NULL,NULL,NULL,NULL,2,1),(20,5208564,6.00,8.00,2.00,7.00,6.00,11.25,4.00,4.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6143,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5208572,7.00,4.00,5.00,5.00,7.00,8.25,1.00,4.00,4.00,501,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',9882,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5208580,4.00,4.00,1.00,1.00,4.00,NULL,2.00,2.00,0.00,205,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5208599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,201,'CENTRO','IBIRAIARAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5208602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5208610,2.00,5.00,1.00,3.00,3.00,NULL,2.00,1.00,0.00,207,NULL,201,'CENTRO','LARANJEIRAS SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5208629,4.00,6.00,4.00,6.00,7.00,9.38,2.00,3.00,6.00,201,NULL,211,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',8500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5208645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5208653,7.00,5.00,2.00,4.00,5.00,6.75,1.00,2.00,4.00,220,NULL,208,'CENTRO','RONDON','PR',11421,323,NULL,263,NULL,NULL,NULL,2,8),(20,5208670,5.00,6.00,3.00,5.00,5.00,6.75,1.00,5.00,2.00,234,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208688,8.00,5.00,6.00,7.00,8.00,7.13,3.00,3.00,8.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',3373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208696,8.00,8.00,8.00,6.00,8.00,11.63,7.00,6.00,8.00,5,NULL,NULL,'GLORIA','JOINVILLE','SC',241,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5208700,4.00,5.00,3.00,1.00,6.00,8.63,3.00,4.00,1.00,304,NULL,NULL,'JARDIM SÃO PAULO','S JOÃO BATISTA','SC',13936,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5208718,4.00,5.00,1.00,6.00,5.00,NULL,2.00,2.00,4.00,220,NULL,601,'ESCOLINHA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(20,5208726,4.00,4.00,0.00,2.00,6.00,NULL,1.00,2.00,2.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208734,3.00,5.00,3.00,6.00,5.00,7.88,4.00,1.00,3.00,318,NULL,NULL,'ATIRADORES','JOINVILLE','SC',15564,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5208742,4.00,5.00,3.00,3.00,5.00,NULL,0.00,2.00,2.00,336,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208750,5.00,3.00,3.00,3.00,6.00,9.00,3.00,3.00,4.00,103,NULL,NULL,'JARDIM CLARET','RIO CLARO','SP',13467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5208785,8.00,6.00,7.00,6.00,10.00,10.50,6.00,5.00,8.00,103,NULL,NULL,'ITAUM','JOINVILLE','SC',1515,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5208815,6.00,4.00,1.00,7.00,4.00,6.38,3.00,3.00,4.00,207,NULL,211,'SANTA FELICIDADE','CURITIBA','PR',14963,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5208823,3.00,4.00,0.00,4.00,4.00,NULL,2.00,0.00,1.00,333,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5208831,9.00,7.00,0.00,7.00,9.00,8.25,4.00,4.00,7.00,103,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',3791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208840,7.00,7.00,4.00,5.00,8.00,7.88,4.00,3.00,6.00,103,NULL,NULL,'CENTRO','IRATI','PR',6627,2566,NULL,NULL,NULL,NULL,NULL,2,8),(20,5208858,6.00,7.00,2.00,5.00,8.00,7.50,2.00,2.00,5.00,103,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',9785,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5208874,1.00,3.00,1.00,4.00,5.00,NULL,1.00,1.00,4.00,308,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5208882,6.00,4.00,1.00,5.00,8.00,6.75,0.00,1.00,6.00,319,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',11806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208890,8.00,5.00,8.00,8.00,7.00,9.00,7.00,4.00,6.00,214,NULL,212,'GONZAGA','SANTOS','SP',1718,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5208904,6.00,4.00,4.00,6.00,9.00,7.13,3.00,3.00,5.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208920,4.00,0.00,1.00,4.00,7.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SOUSAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5208939,5.00,6.00,2.00,4.00,4.00,6.38,1.00,5.00,5.00,336,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',15160,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5208947,6.00,6.00,2.00,5.00,5.00,9.00,2.00,2.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5208971,5.00,3.00,2.00,6.00,6.00,7.50,2.00,3.00,2.00,108,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',14021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209013,5.00,5.00,3.00,3.00,9.00,9.38,3.00,2.00,7.00,103,NULL,NULL,'CENTRO','IRATI','PR',8631,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5209021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5209030,7.00,8.00,0.00,5.00,6.00,NULL,3.00,5.00,5.00,317,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5209056,3.00,4.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,303,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209064,7.00,5.00,1.00,4.00,7.00,7.50,0.00,4.00,5.00,101,NULL,NULL,'CIDADE NOVA','MARINGÁ','PR',12503,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5209080,8.00,7.00,3.00,7.00,9.00,8.25,4.00,5.00,6.00,211,NULL,215,'ITAUM','JOINVILLE','SC',3517,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5209099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,216,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5209102,3.00,4.00,0.00,3.00,5.00,NULL,1.00,3.00,5.00,444,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5209110,5.00,6.00,3.00,5.00,6.00,8.63,1.00,3.00,4.00,201,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',12524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209129,4.00,4.00,2.00,4.00,9.00,10.13,1.00,1.00,5.00,201,NULL,653,'CENTRO','ARARANGUÁ','SC',12751,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5209145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5209153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'QUINTA DA ALVORADA','BONFIM PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5209161,7.00,7.00,2.00,5.00,9.00,10.13,2.00,4.00,3.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',8047,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5209170,6.00,5.00,4.00,5.00,7.00,8.25,0.00,4.00,5.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11004,3304,NULL,NULL,NULL,NULL,NULL,2,1),(20,5209188,3.00,4.00,0.00,2.00,1.00,NULL,2.00,3.00,2.00,652,NULL,NULL,'PARAGUAI','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5209196,5.00,6.00,0.00,7.00,8.00,NULL,4.00,1.00,5.00,425,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209200,9.00,8.00,3.00,7.00,10.00,10.88,7.00,5.00,8.00,216,NULL,211,'AMÉRICA','JOINVILLE','SC',919,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5209226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5209234,6.00,7.00,3.00,5.00,8.00,9.75,5.00,2.00,6.00,108,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',7353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209242,4.00,5.00,1.00,1.00,2.00,NULL,1.00,1.00,5.00,233,NULL,216,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5209250,7.00,6.00,3.00,6.00,8.00,9.38,3.00,3.00,5.00,340,NULL,NULL,'VILA ELIZABETH','S CARLOS','SP',7434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5209331,6.00,5.00,4.00,4.00,10.00,11.63,4.00,3.00,6.00,215,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',5494,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5209340,8.00,6.00,3.00,5.00,8.00,7.88,5.00,7.00,6.00,303,NULL,NULL,'ITACURUBI','FLORIANÓPOLIS','SC',4190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209358,6.00,5.00,1.00,6.00,6.00,7.50,1.00,4.00,4.00,233,NULL,212,'COROA DO MEIO','ARACAJU','SE',10382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209374,3.00,5.00,4.00,6.00,4.00,9.00,1.00,2.00,5.00,329,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5209404,6.00,5.00,3.00,3.00,7.00,7.50,3.00,0.00,3.00,103,NULL,NULL,'HUMAITA','TUBARÃO','SC',12947,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5209412,5.00,5.00,3.00,5.00,7.00,10.13,3.00,3.00,4.00,301,NULL,NULL,'AREIAS','S JOSÉ','SC',12656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209420,3.00,6.00,1.00,4.00,3.00,NULL,1.00,2.00,3.00,101,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5209439,5.00,6.00,3.00,6.00,9.00,7.88,1.00,1.00,2.00,444,NULL,NULL,'CRISTO REI','CURITIBA','PR',12481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209447,4.00,4.00,1.00,4.00,4.00,NULL,1.00,1.00,2.00,5,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5209455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'JARDIM BOTÂNICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5209471,6.00,4.00,5.00,3.00,7.00,8.25,0.00,2.00,4.00,103,NULL,NULL,'AZENHA','PTO ALEGRE','RS',10680,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5209480,7.00,6.00,6.00,2.00,5.00,6.75,3.00,2.00,5.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5209501,6.00,4.00,2.00,4.00,8.00,9.38,1.00,1.00,6.00,103,NULL,NULL,'VILA GLÓRIA','CPO GRANDE','MS',10938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209510,5.00,6.00,1.00,6.00,6.00,8.63,0.00,4.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5209536,6.00,6.00,2.00,6.00,5.00,NULL,0.00,5.00,5.00,453,NULL,NULL,'SANTA MONICA','FRA SANTANA','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209552,4.00,5.00,0.00,3.00,3.00,NULL,1.00,4.00,1.00,502,NULL,NULL,'UNIVERSITARIO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5209579,4.00,5.00,3.00,6.00,8.00,7.50,2.00,5.00,7.00,303,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',9829,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5209587,9.00,8.00,6.00,7.00,11.00,10.88,7.00,7.00,9.00,103,NULL,NULL,'PADRE MARTINHO STEIN','TIMBÓ','SC',61,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209595,3.00,7.00,2.00,6.00,10.00,9.38,3.00,2.00,4.00,450,NULL,NULL,'PRAINHA CENTRO','FLORIANÓPOLIS','SC',8217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209617,9.00,8.00,5.00,8.00,10.00,8.25,4.00,6.00,7.00,415,NULL,NULL,'PRAIA DAS PALMEIRAS','CARAGUATATUBA','SP',1218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209625,9.00,8.00,9.00,7.00,11.00,9.38,5.00,9.00,8.00,203,NULL,201,'CENTRO','CRICIÚMA','SC',105,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5209641,7.00,6.00,4.00,5.00,7.00,7.88,5.00,6.00,4.00,103,NULL,NULL,'BOM JESUS','RIO NEGRO','PR',8511,2928,NULL,NULL,NULL,NULL,NULL,2,17),(20,5209650,8.00,7.00,0.00,3.00,8.00,7.88,3.00,1.00,5.00,9,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',9274,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5209668,4.00,4.00,2.00,5.00,3.00,NULL,0.00,1.00,4.00,214,NULL,NULL,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5209684,1.00,4.00,0.00,4.00,4.00,NULL,2.00,1.00,2.00,502,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5209692,3.00,1.00,1.00,3.00,3.00,NULL,0.00,2.00,1.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209706,6.00,6.00,2.00,6.00,4.00,6.75,2.00,3.00,3.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209722,4.00,4.00,2.00,5.00,9.00,7.13,1.00,3.00,4.00,303,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',13161,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5209730,7.00,8.00,6.00,6.00,9.00,9.75,5.00,7.00,5.00,340,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',1881,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5209749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM GUAPIRA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5209757,5.00,7.00,1.00,6.00,7.00,8.25,1.00,2.00,5.00,340,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',13542,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5209765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,238,'ABRAAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5209773,4.00,6.00,4.00,4.00,2.00,NULL,0.00,2.00,4.00,324,NULL,NULL,'ALVORADA','BARRACÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5209790,1.00,3.00,1.00,4.00,6.00,NULL,2.00,1.00,3.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5209803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CIDADE LIDER','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5209811,7.00,6.00,3.00,7.00,7.00,6.38,2.00,5.00,4.00,415,NULL,NULL,'JARDIM TOPÁZIO','S JOSÉ CAMPOS','SP',8054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209820,6.00,6.00,4.00,1.00,8.00,4.88,1.00,3.00,3.00,551,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5209838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5209846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5209862,9.00,7.00,2.00,6.00,9.00,12.00,3.00,7.00,6.00,207,NULL,215,'CENTRO','ITAPEMA','SC',2407,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5209870,6.00,6.00,2.00,6.00,8.00,9.00,2.00,5.00,2.00,302,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',9145,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5209889,4.00,8.00,5.00,5.00,6.00,11.25,2.00,2.00,6.00,653,NULL,652,'PRIMEIRO DE MAIO','IÇARA','SC',10557,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5209897,4.00,4.00,2.00,5.00,5.00,NULL,0.00,1.00,2.00,201,NULL,207,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA A','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5209927,3.00,5.00,1.00,5.00,7.00,NULL,0.00,3.00,2.00,333,NULL,NULL,'ADRIANÓPOLIS','MANAUS','AM',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5209935,5.00,4.00,0.00,5.00,4.00,6.00,1.00,3.00,4.00,238,NULL,208,'SANTO ANTÔNIO','PINHALZINHO','SC',15663,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5209943,6.00,7.00,2.00,3.00,7.00,10.50,1.00,5.00,5.00,207,NULL,202,'ARIRIÚ','PALHOÇA','SC',8102,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5209951,9.00,8.00,4.00,7.00,9.00,8.63,4.00,5.00,7.00,103,NULL,NULL,'FAZENDA SANTO ANTÔNI','S JOSÉ','SC',2233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5209960,3.00,2.00,1.00,4.00,3.00,NULL,2.00,1.00,3.00,444,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5209978,3.00,3.00,2.00,7.00,5.00,7.88,3.00,2.00,3.00,208,NULL,238,'CENTRO','PTO UNIÃO','SC',13079,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5209994,6.00,7.00,2.00,7.00,6.00,10.13,3.00,3.00,5.00,211,NULL,653,'CENTRO','ITAJAÍ','SC',10522,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5210003,4.00,6.00,1.00,7.00,3.00,NULL,4.00,1.00,5.00,207,NULL,201,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5210020,3.00,5.00,1.00,4.00,4.00,NULL,1.00,3.00,2.00,5,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5210038,5.00,6.00,1.00,5.00,9.00,10.50,2.00,5.00,3.00,319,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',10961,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5210046,1.00,3.00,1.00,4.00,3.00,NULL,2.00,1.00,2.00,211,NULL,215,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5210054,8.00,6.00,5.00,5.00,5.00,9.38,3.00,3.00,5.00,103,NULL,NULL,'LA SALLE','PATO BRANCO','PR',5654,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5210062,8.00,5.00,3.00,6.00,5.00,10.88,3.00,3.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5476,NULL,NULL,NULL,NULL,NULL,NULL,5,6),(20,5210070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CAMPINAS','BARRA GARÇAS','MT',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5210089,6.00,7.00,0.00,5.00,8.00,9.00,2.00,5.00,3.00,5,NULL,NULL,'OLTRAMARI','PTE SERRADA','SC',9682,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5210097,8.00,7.00,4.00,7.00,5.00,8.25,2.00,1.00,6.00,212,NULL,214,'JARDIM PAULISTA','VINHEDO','SP',6985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210100,4.00,7.00,2.00,5.00,4.00,7.50,3.00,3.00,5.00,201,NULL,216,'POTECAS','S JOSÉ','SC',13306,945,NULL,523,NULL,NULL,NULL,2,1),(20,5210119,6.00,4.00,4.00,4.00,1.00,NULL,2.00,2.00,3.00,101,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5210127,3.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5210135,2.00,6.00,3.00,7.00,7.00,10.13,1.00,3.00,4.00,421,NULL,425,'CENTRO','STA CRUZ SUL','RS',10355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210143,8.00,7.00,5.00,7.00,9.00,10.13,6.00,3.00,8.00,103,NULL,NULL,'CENTRO','CRUZ ALTA','RS',1862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210151,8.00,9.00,7.00,7.00,9.00,9.75,7.00,6.00,8.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210160,4.00,3.00,1.00,0.00,5.00,NULL,2.00,2.00,3.00,318,NULL,NULL,'JARDIM SÃO JOSÉ','MTE APRAZÍVEL','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210178,2.00,6.00,3.00,3.00,4.00,NULL,1.00,2.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5210186,5.00,6.00,1.00,5.00,4.00,8.25,2.00,3.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210194,2.00,2.00,0.00,0.00,0.00,NULL,1.00,2.00,3.00,208,NULL,233,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210208,8.00,5.00,1.00,4.00,5.00,8.63,2.00,4.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12391,3460,NULL,NULL,NULL,NULL,NULL,2,1),(20,5210216,7.00,7.00,4.00,6.00,7.00,9.75,5.00,4.00,7.00,211,NULL,233,'ABRAÃO','FLORIANÓPOLIS','SC',3490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210232,3.00,2.00,1.00,2.00,7.00,NULL,2.00,2.00,3.00,101,NULL,NULL,'SÃO JOSÉ','CRUZ MACHADO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210240,4.00,6.00,4.00,5.00,9.00,9.75,2.00,6.00,5.00,428,NULL,426,'PONTA DE BAIXO','S JOSÉ','SC',8616,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5210259,5.00,4.00,1.00,4.00,6.00,7.50,1.00,3.00,2.00,319,NULL,NULL,'CENTRO','VÁRZEA GRANDE','MT',15182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210275,4.00,4.00,3.00,4.00,4.00,NULL,1.00,2.00,1.00,329,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5210283,6.00,7.00,4.00,5.00,8.00,8.63,4.00,5.00,5.00,103,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',6637,2567,NULL,NULL,NULL,NULL,NULL,2,5),(20,5210291,3.00,6.00,1.00,6.00,6.00,9.00,1.00,4.00,1.00,216,NULL,NULL,'PETRÓPOLIS','JOINVILLE','SC',14387,550,NULL,NULL,NULL,NULL,NULL,4,8),(20,5210305,7.00,7.00,1.00,7.00,6.00,9.00,5.00,4.00,5.00,212,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',7858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210313,1.00,4.00,1.00,0.00,3.00,NULL,0.00,0.00,2.00,103,NULL,NULL,'SÃO CRISTÓVÃO','LAJEADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5210321,5.00,5.00,0.00,4.00,5.00,NULL,2.00,1.00,3.00,601,NULL,653,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5210348,8.00,8.00,5.00,5.00,8.00,9.75,4.00,5.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210364,2.00,5.00,2.00,5.00,3.00,NULL,3.00,2.00,3.00,318,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210372,5.00,8.00,3.00,6.00,8.00,4.88,4.00,5.00,5.00,220,NULL,233,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5210380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5210399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5210402,5.00,7.00,1.00,6.00,8.00,8.63,4.00,3.00,5.00,203,NULL,220,'OFICINAS','TUBARÃO','SC',7018,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5210429,8.00,7.00,4.00,2.00,5.00,10.50,1.00,2.00,8.00,103,NULL,NULL,'BAIXADA','PATO BRANCO','PR',6298,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5210445,9.00,7.00,8.00,8.00,10.00,9.38,7.00,7.00,8.00,103,NULL,NULL,'PINHEIRINHO','CURITIBA','PR',101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210453,2.00,4.00,3.00,3.00,6.00,NULL,0.00,3.00,3.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5210470,4.00,4.00,1.00,5.00,4.00,7.13,2.00,2.00,3.00,203,NULL,220,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210496,5.00,4.00,4.00,5.00,7.00,6.75,3.00,2.00,6.00,2,NULL,NULL,'JARDIM COLIBRI','CPO GRANDE','MS',10876,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5210500,3.00,2.00,1.00,4.00,6.00,NULL,2.00,0.00,0.00,428,NULL,426,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5210526,5.00,6.00,2.00,3.00,3.00,NULL,2.00,4.00,4.00,222,NULL,NULL,'LA SALLE','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210534,7.00,6.00,4.00,8.00,8.00,9.00,4.00,5.00,5.00,203,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210542,9.00,8.00,6.00,5.00,9.00,9.00,7.00,7.00,8.00,103,NULL,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',422,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5210550,3.00,5.00,3.00,2.00,6.00,6.00,3.00,0.00,5.00,653,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5210577,5.00,5.00,4.00,6.00,6.00,6.00,3.00,3.00,4.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210585,3.00,7.00,2.00,5.00,6.00,4.50,3.00,2.00,6.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210593,8.00,6.00,3.00,7.00,7.00,10.50,7.00,7.00,8.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',1316,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5210623,4.00,6.00,4.00,4.00,7.00,5.25,3.00,2.00,4.00,208,NULL,203,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5210631,9.00,8.00,5.00,6.00,6.00,8.25,2.00,5.00,4.00,103,NULL,NULL,'BENEDITO','INDAIAL','SC',5279,2222,NULL,NULL,NULL,NULL,NULL,4,2),(20,5210640,4.00,7.00,4.00,6.00,6.00,8.25,4.00,3.00,3.00,653,NULL,601,'REVOREDO','TUBARÃO','SC',8638,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5210658,5.00,7.00,5.00,8.00,4.00,10.50,3.00,5.00,5.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',6384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210674,4.00,5.00,0.00,4.00,9.00,9.38,1.00,4.00,3.00,316,NULL,NULL,'JARDIM IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5210682,2.00,7.00,4.00,7.00,4.00,11.25,3.00,4.00,5.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',6705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210704,3.00,4.00,1.00,5.00,4.00,NULL,0.00,1.00,2.00,501,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5210720,4.00,5.00,3.00,4.00,7.00,6.75,1.00,4.00,3.00,108,NULL,NULL,'PARQUE DA TORRE','PIEDADE','SP',13368,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5210755,4.00,0.00,2.00,1.00,6.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'JARDIM MARISTELA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(20,5210763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5210771,6.00,6.00,5.00,7.00,6.00,9.00,4.00,5.00,8.00,208,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',4741,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5210798,4.00,6.00,0.00,6.00,8.00,9.38,2.00,5.00,4.00,215,NULL,233,'INGLESES','FLORIANÓPOLIS','SC',11884,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5210810,4.00,5.00,2.00,1.00,5.00,NULL,0.00,3.00,3.00,308,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210828,7.00,7.00,5.00,5.00,7.00,9.38,3.00,6.00,6.00,211,NULL,215,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210836,3.00,4.00,4.00,3.00,5.00,7.13,3.00,1.00,3.00,225,NULL,NULL,'ALTO DO RIBEIRAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5210844,5.00,6.00,0.00,5.00,6.00,NULL,1.00,4.00,0.00,327,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5210852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5210887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5210895,5.00,6.00,4.00,6.00,6.00,8.63,4.00,4.00,3.00,238,NULL,207,'RIO TAVARES','FLORIANÓPOLIS','SC',9953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5210917,3.00,7.00,1.00,7.00,6.00,9.38,1.00,4.00,3.00,207,NULL,208,'COMERCIÁRIO','CRICIÚMA','SC',14802,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5210925,9.00,5.00,6.00,4.00,7.00,7.50,3.00,4.00,5.00,103,NULL,NULL,'SANTANA','PTO ALEGRE','RS',5841,2371,NULL,NULL,NULL,NULL,NULL,2,15),(20,5210941,3.00,7.00,0.00,6.00,6.00,4.88,2.00,2.00,4.00,222,NULL,NULL,'MINA BRASIL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5210950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,423,'SERTÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5210968,2.00,4.00,1.00,3.00,3.00,NULL,3.00,1.00,2.00,207,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5210976,6.00,6.00,2.00,5.00,10.00,8.25,2.00,5.00,6.00,203,NULL,216,'CENTRO','CORBÉLIA','PR',6674,532,NULL,NULL,NULL,NULL,NULL,4,17),(20,5210984,3.00,5.00,1.00,3.00,4.00,NULL,2.00,2.00,3.00,211,NULL,203,'CENTRO','TAPEJARA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5210992,5.00,6.00,3.00,4.00,2.00,NULL,1.00,2.00,2.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5211018,5.00,7.00,4.00,3.00,5.00,10.50,4.00,6.00,6.00,452,NULL,NULL,'ARIRIU','PALHOÇA','SC',6629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5211069,3.00,6.00,2.00,6.00,1.00,NULL,2.00,3.00,3.00,340,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5211077,3.00,5.00,1.00,2.00,2.00,NULL,1.00,0.00,2.00,444,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5211085,7.00,7.00,6.00,7.00,8.00,10.50,4.00,7.00,7.00,103,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',989,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5211123,2.00,5.00,5.00,2.00,4.00,NULL,0.00,4.00,2.00,319,NULL,NULL,'IGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211140,3.00,4.00,0.00,3.00,3.00,NULL,3.00,2.00,5.00,319,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5211166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5211174,1.00,0.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5211204,3.00,2.00,1.00,5.00,6.00,NULL,2.00,0.00,2.00,5,NULL,NULL,'PETROPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5211212,9.00,8.00,7.00,6.00,9.00,9.00,6.00,5.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',616,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5211220,6.00,3.00,0.00,6.00,5.00,NULL,0.00,5.00,3.00,404,NULL,NULL,'CACHOEIRA DOBOMJESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211239,8.00,6.00,3.00,4.00,8.00,7.88,4.00,6.00,7.00,104,NULL,NULL,'CENTRO','MAFRA','SC',4984,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5211247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5211255,5.00,5.00,3.00,7.00,6.00,10.13,2.00,4.00,5.00,601,NULL,220,'SANTA CATARINA','JOINVILLE','SC',10733,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5211271,9.00,8.00,7.00,7.00,10.00,9.00,6.00,4.00,8.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211280,2.00,1.00,0.00,2.00,0.00,NULL,1.00,2.00,1.00,501,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5211301,1.00,5.00,3.00,3.00,5.00,6.38,4.00,2.00,4.00,327,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5211328,6.00,5.00,0.00,5.00,6.00,NULL,0.00,5.00,4.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211336,6.00,6.00,0.00,3.00,4.00,NULL,1.00,1.00,3.00,551,NULL,NULL,'CENTRO','S CRISTÓVÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5211352,7.00,5.00,5.00,7.00,7.00,7.13,4.00,4.00,7.00,238,NULL,208,'FORQUILHINHAS','S JOSÉ','SC',5035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211360,4.00,7.00,0.00,3.00,5.00,NULL,0.00,1.00,1.00,318,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211379,3.00,5.00,1.00,6.00,5.00,7.50,2.00,1.00,3.00,238,NULL,208,'VICTOR KONDER','BLUMENAU','SC',15351,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5211387,6.00,4.00,5.00,4.00,10.00,9.00,2.00,4.00,6.00,201,NULL,207,'IPIRANGA','S JOSÉ','SC',5566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211417,8.00,8.00,5.00,7.00,8.00,12.75,5.00,6.00,6.00,103,NULL,NULL,'VILA SÃO JOÃO','ARAPONGAS','PR',1445,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5211441,2.00,3.00,0.00,2.00,4.00,NULL,3.00,3.00,4.00,303,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5211492,7.00,8.00,5.00,6.00,7.00,7.50,5.00,5.00,8.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',3840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211514,4.00,4.00,3.00,6.00,7.00,12.38,1.00,2.00,6.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12255,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5211522,5.00,6.00,4.00,7.00,6.00,9.75,4.00,2.00,5.00,208,NULL,651,'CENTRO','FLORIANÓPOLIS','SC',10952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211530,6.00,6.00,3.00,7.00,7.00,8.63,0.00,3.00,3.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211557,6.00,5.00,1.00,6.00,5.00,6.75,3.00,1.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5211565,4.00,7.00,3.00,4.00,9.00,9.38,2.00,5.00,3.00,224,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10851,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5211573,3.00,4.00,1.00,4.00,3.00,NULL,1.00,0.00,1.00,104,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5211581,9.00,4.00,3.00,7.00,9.00,9.00,2.00,4.00,5.00,340,NULL,NULL,'CENTRO','PTO ALEGRE','RS',5496,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5211590,8.00,7.00,0.00,7.00,6.00,9.00,2.00,3.00,6.00,103,NULL,NULL,'NAÇÕES','TIMBÓ','SC',7999,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5211603,5.00,5.00,3.00,6.00,6.00,6.75,3.00,3.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5211646,4.00,6.00,2.00,4.00,9.00,9.38,3.00,3.00,4.00,103,NULL,NULL,'VILA MARIANA','TAIÓ','SC',11867,3402,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CERQUEIRA CEZAR','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5211670,5.00,6.00,3.00,1.00,5.00,NULL,4.00,0.00,2.00,318,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211689,6.00,7.00,1.00,6.00,9.00,10.88,5.00,4.00,7.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211700,4.00,5.00,4.00,2.00,8.00,8.63,4.00,4.00,6.00,102,NULL,NULL,'JD MORADA DO SOL','INDAIATUBA','SP',8607,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5211735,3.00,6.00,2.00,6.00,6.00,7.88,1.00,4.00,3.00,444,NULL,NULL,'CENTRO','ANITÁPOLIS','SC',15393,91,NULL,NULL,NULL,NULL,NULL,2,1),(20,5211743,6.00,4.00,2.00,6.00,3.00,NULL,3.00,2.00,4.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5211751,4.00,1.00,1.00,3.00,4.00,NULL,0.00,1.00,2.00,303,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5211786,4.00,5.00,2.00,2.00,4.00,6.75,2.00,6.00,3.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211808,5.00,5.00,4.00,4.00,5.00,7.13,1.00,3.00,5.00,303,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',14436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211824,3.00,6.00,3.00,6.00,8.00,9.38,2.00,4.00,5.00,426,NULL,425,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211832,5.00,4.00,0.00,4.00,7.00,NULL,1.00,1.00,1.00,428,NULL,426,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5211840,4.00,6.00,3.00,4.00,5.00,6.00,1.00,5.00,4.00,103,NULL,NULL,'FUNDOS','BIGUAÇU','SC',15679,3801,NULL,NULL,NULL,NULL,NULL,2,1),(20,5211867,8.00,7.00,6.00,8.00,7.00,11.63,7.00,7.00,9.00,103,NULL,NULL,'MERCES','CURITIBA','PR',219,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5211875,8.00,7.00,6.00,7.00,7.00,7.50,8.00,7.00,7.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',1321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211883,1.00,4.00,2.00,3.00,4.00,NULL,1.00,3.00,3.00,337,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5211891,4.00,6.00,1.00,4.00,6.00,10.13,1.00,2.00,5.00,303,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5211913,4.00,2.00,0.00,4.00,6.00,NULL,0.00,3.00,2.00,319,NULL,NULL,'NOVA DIVINÉIA','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5211921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','STA FÉ SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5211930,6.00,8.00,5.00,5.00,7.00,8.63,5.00,4.00,5.00,5,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',8741,288,NULL,NULL,NULL,NULL,NULL,2,1),(20,5211948,4.00,4.00,0.00,2.00,6.00,NULL,0.00,3.00,3.00,201,NULL,207,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5211956,4.00,7.00,0.00,4.00,7.00,NULL,2.00,3.00,2.00,327,NULL,NULL,'FIGUEIRA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5211964,7.00,8.00,7.00,5.00,8.00,7.88,4.00,6.00,9.00,103,NULL,NULL,'CENTRO','S MIGUEL IGUAÇU','PR',1945,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5211972,7.00,7.00,5.00,6.00,6.00,10.13,4.00,6.00,6.00,220,NULL,203,'IPIRANGA','LAGES','SC',4177,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5212006,6.00,5.00,4.00,6.00,5.00,7.50,1.00,1.00,3.00,303,NULL,NULL,'VILA RAU','JARAGUÁ SUL','SC',12900,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212022,5.00,3.00,2.00,7.00,5.00,6.75,4.00,3.00,5.00,103,NULL,NULL,'BATEL','CURITIBA','PR',13511,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5212065,3.00,2.00,4.00,3.00,6.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'ADOLFO C DA SILVA','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5212073,7.00,7.00,2.00,7.00,8.00,8.63,3.00,5.00,5.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',8537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212103,7.00,8.00,4.00,7.00,8.00,8.63,4.00,6.00,8.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212111,8.00,7.00,4.00,7.00,7.00,9.38,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','CAXAMBU SUL','SC',2958,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5212138,6.00,7.00,1.00,4.00,6.00,7.13,3.00,3.00,3.00,451,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',11128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5212146,3.00,5.00,0.00,2.00,2.00,NULL,1.00,3.00,2.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212154,2.00,4.00,2.00,2.00,5.00,NULL,1.00,2.00,2.00,208,NULL,238,'JUNDIA','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5212162,4.00,5.00,2.00,3.00,6.00,6.75,2.00,2.00,4.00,304,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',15445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,233,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5212189,3.00,6.00,3.00,7.00,6.00,7.13,0.00,3.00,3.00,426,NULL,429,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212200,7.00,7.00,5.00,6.00,6.00,8.25,4.00,5.00,5.00,103,NULL,NULL,'OFICINAS','PNT GROSSA','PR',4530,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5212219,1.00,8.00,1.00,3.00,7.00,6.00,3.00,3.00,3.00,317,NULL,NULL,'BELA VISTA','IBIRAMA','SC',15785,127,NULL,NULL,NULL,NULL,NULL,2,1),(20,5212235,3.00,3.00,0.00,3.00,2.00,NULL,0.00,1.00,0.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5212243,1.00,3.00,1.00,6.00,8.00,NULL,0.00,1.00,5.00,108,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212260,7.00,4.00,5.00,3.00,8.00,6.38,2.00,2.00,1.00,2,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',12496,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5212278,7.00,7.00,7.00,6.00,9.00,9.38,8.00,4.00,7.00,203,NULL,211,'CARVOEIRA','FLORIANÓPOLIS','SC',1109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212286,9.00,5.00,0.00,7.00,8.00,12.75,3.00,5.00,4.00,103,NULL,NULL,'JARDIM DA PENHA','VITÓRIA','ES',4748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212294,2.00,5.00,0.00,2.00,4.00,NULL,0.00,2.00,2.00,201,NULL,207,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5212308,2.00,1.00,1.00,4.00,0.00,NULL,1.00,2.00,1.00,340,NULL,NULL,'PINHEIRAL','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5212316,2.00,5.00,2.00,3.00,3.00,NULL,1.00,0.00,4.00,318,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5212324,2.00,5.00,3.00,5.00,4.00,NULL,2.00,2.00,2.00,207,NULL,201,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5212332,8.00,7.00,5.00,7.00,7.00,6.38,2.00,6.00,6.00,304,NULL,NULL,'JARDIM RIVA','PRIMAVERA LESTE','MT',4795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212359,2.00,4.00,2.00,7.00,6.00,7.13,1.00,3.00,2.00,201,NULL,208,'CENTRO','GAROPABA','SC',15119,1072,NULL,429,NULL,NULL,NULL,4,1),(20,5212367,6.00,5.00,4.00,6.00,7.00,9.75,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',5123,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5212375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,424,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5212383,4.00,7.00,2.00,4.00,7.00,7.50,3.00,4.00,5.00,423,NULL,428,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5212391,8.00,6.00,5.00,7.00,7.00,10.50,1.00,4.00,4.00,340,NULL,NULL,'AFONSO PENA','S JOSÉ PINHAIS','PR',4620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212405,9.00,7.00,6.00,8.00,10.00,10.88,4.00,3.00,8.00,233,NULL,216,'VELHA','BLUMENAU','SC',1391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212421,3.00,7.00,4.00,2.00,2.00,NULL,2.00,1.00,3.00,2,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5212430,5.00,4.00,2.00,3.00,6.00,7.88,3.00,3.00,4.00,233,NULL,601,'CAMPINAS','S JOSÉ','SC',15166,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5212448,8.00,9.00,1.00,6.00,10.00,8.63,1.00,5.00,6.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',4661,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5212456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO SEBASTIAO','PIRES RIO','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5212464,6.00,5.00,1.00,5.00,5.00,7.13,0.00,3.00,3.00,331,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',15539,46,NULL,NULL,NULL,NULL,NULL,2,1),(20,5212472,3.00,8.00,1.00,4.00,5.00,6.38,0.00,5.00,4.00,310,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5212480,3.00,5.00,0.00,3.00,5.00,NULL,3.00,2.00,2.00,9,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5212499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5212502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5212510,4.00,5.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'VENDINHA','TRIUNFO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5212529,5.00,7.00,2.00,6.00,5.00,8.25,3.00,4.00,6.00,332,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',8945,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5212553,6.00,6.00,3.00,5.00,4.00,6.75,3.00,2.00,2.00,303,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',15055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'SUMAREZINHO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5212570,5.00,6.00,2.00,5.00,5.00,6.75,3.00,2.00,4.00,208,NULL,NULL,'SANTOS DUMMONT','S JOSÉ','SC',14889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212588,5.00,3.00,0.00,5.00,6.00,NULL,2.00,4.00,6.00,318,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5212596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5212600,3.00,1.00,1.00,2.00,5.00,NULL,2.00,1.00,3.00,9,NULL,NULL,'PETROPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212618,3.00,0.00,1.00,4.00,3.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5212626,8.00,6.00,6.00,7.00,10.00,9.75,5.00,6.00,8.00,103,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212634,7.00,6.00,1.00,4.00,4.00,6.75,2.00,2.00,3.00,109,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',15764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212642,4.00,6.00,3.00,7.00,8.00,8.63,2.00,3.00,1.00,310,NULL,NULL,'PERDIZES','S PAULO','SP',13673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212650,3.00,5.00,2.00,2.00,5.00,NULL,2.00,4.00,2.00,222,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5212669,9.00,9.00,4.00,7.00,10.00,12.00,2.00,6.00,6.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212677,3.00,3.00,0.00,5.00,2.00,NULL,0.00,1.00,3.00,308,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5212693,1.00,3.00,0.00,3.00,5.00,NULL,1.00,1.00,2.00,203,NULL,201,'CENTRO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5212707,6.00,5.00,2.00,5.00,7.00,7.88,0.00,1.00,3.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212715,6.00,5.00,3.00,1.00,5.00,6.00,0.00,4.00,3.00,404,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5212731,6.00,5.00,2.00,7.00,8.00,9.00,3.00,4.00,2.00,316,NULL,NULL,'FORTALEZA','BLUMENAU','SC',10573,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5212740,1.00,2.00,2.00,3.00,1.00,NULL,1.00,2.00,2.00,301,NULL,NULL,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5212758,7.00,6.00,5.00,7.00,9.00,9.00,1.00,2.00,7.00,337,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212766,7.00,3.00,2.00,0.00,5.00,NULL,2.00,1.00,0.00,326,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5212782,4.00,6.00,4.00,7.00,6.00,8.25,5.00,2.00,4.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212790,7.00,8.00,1.00,5.00,8.00,9.75,4.00,3.00,4.00,415,NULL,NULL,'PULADOR','MAJ VIEIRA','SC',5632,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5212804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5212812,7.00,5.00,4.00,6.00,7.00,7.88,3.00,3.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212820,7.00,4.00,7.00,5.00,6.00,8.25,0.00,5.00,5.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',8932,3007,NULL,NULL,NULL,NULL,NULL,2,8),(20,5212839,5.00,6.00,3.00,3.00,7.00,8.63,3.00,5.00,5.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',10183,190,NULL,208,NULL,NULL,NULL,2,1),(20,5212847,6.00,8.00,1.00,5.00,6.00,7.50,3.00,4.00,6.00,452,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',11386,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5212855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5212863,8.00,6.00,4.00,7.00,8.00,8.25,3.00,4.00,5.00,216,NULL,215,'BELA VISTA','ERECHIM','RS',6333,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5212871,3.00,5.00,0.00,3.00,3.00,NULL,2.00,0.00,1.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5212880,3.00,5.00,3.00,3.00,7.00,10.13,2.00,2.00,4.00,404,NULL,NULL,'BARREIROS','S JOSÉ','SC',14516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5212898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA ROCHA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5212901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'MADUREIRA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5212910,4.00,6.00,3.00,3.00,5.00,4.88,2.00,4.00,4.00,316,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5212936,8.00,8.00,4.00,5.00,6.00,7.88,4.00,6.00,8.00,103,NULL,NULL,'CENTRO','IRATI','PR',2604,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5212944,4.00,3.00,1.00,2.00,3.00,NULL,2.00,3.00,1.00,316,NULL,NULL,'ARMAÇÃO DO P SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5212960,6.00,6.00,1.00,6.00,9.00,9.38,4.00,3.00,6.00,108,NULL,NULL,'RIBEIRÃO DAS PEDRAS','INDAIAL','SC',6132,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5212979,5.00,3.00,2.00,3.00,4.00,NULL,0.00,2.00,4.00,211,NULL,601,'SANTA TEREZA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5212987,5.00,6.00,3.00,7.00,4.00,8.25,3.00,4.00,6.00,102,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',8649,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5212995,4.00,6.00,0.00,5.00,8.00,10.13,0.00,3.00,4.00,428,NULL,423,'SACO GRANDE','FLORIANÓPOLIS','SC',15045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213002,2.00,7.00,2.00,4.00,5.00,8.25,3.00,2.00,5.00,102,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213010,5.00,6.00,1.00,3.00,7.00,9.75,0.00,3.00,4.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',13454,192,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213029,5.00,5.00,4.00,4.00,7.00,10.13,1.00,3.00,3.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12997,3518,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213037,6.00,6.00,1.00,6.00,8.00,7.50,3.00,2.00,5.00,424,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',13604,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5213045,2.00,5.00,2.00,4.00,6.00,4.50,3.00,5.00,4.00,336,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213053,3.00,5.00,1.00,4.00,3.00,NULL,3.00,2.00,2.00,222,NULL,NULL,'RIO MOLHA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213061,4.00,4.00,0.00,0.00,8.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'VILA INDEPENDÊNCIA','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213070,6.00,7.00,3.00,4.00,9.00,9.00,4.00,7.00,4.00,201,NULL,207,'RIO VERMELHO','FLORIANÓPOLIS','SC',4662,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5213100,8.00,5.00,3.00,5.00,9.00,9.38,1.00,3.00,4.00,339,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',8035,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'STIEP','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5213126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5213134,1.00,5.00,1.00,5.00,4.00,NULL,0.00,1.00,6.00,301,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213142,4.00,3.00,0.00,2.00,3.00,NULL,0.00,1.00,2.00,301,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213150,7.00,6.00,4.00,7.00,9.00,6.75,4.00,2.00,6.00,103,NULL,NULL,'RESIDENCIAL IMPACEL','ARAPOTI','PR',5327,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5213169,5.00,7.00,5.00,4.00,8.00,10.50,4.00,2.00,4.00,213,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',9412,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213185,8.00,7.00,6.00,6.00,7.00,8.63,2.00,5.00,6.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',5466,2275,NULL,NULL,NULL,NULL,NULL,4,6),(20,5213193,3.00,7.00,0.00,4.00,9.00,9.38,2.00,3.00,4.00,420,NULL,NULL,'VALPARAISO','BLUMENAU','SC',11438,79,NULL,NULL,NULL,NULL,NULL,2,2),(20,5213207,6.00,6.00,3.00,6.00,9.00,7.13,1.00,4.00,5.00,319,NULL,NULL,'FARROUPILHA','PTO ALEGRE','RS',10322,165,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213215,6.00,4.00,3.00,6.00,8.00,8.63,3.00,3.00,2.00,303,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',10536,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'SITIO CERCADO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5213231,7.00,7.00,1.00,3.00,4.00,7.50,1.00,4.00,4.00,103,NULL,NULL,'ALTO BOQUEIRÃO','CURITIBA','PR',15100,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5213240,8.00,8.00,5.00,5.00,8.00,12.00,6.00,5.00,8.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',1289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,429,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5213266,3.00,6.00,2.00,4.00,7.00,6.75,4.00,4.00,4.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',13055,296,NULL,329,NULL,NULL,NULL,2,1),(20,5213274,4.00,4.00,1.00,3.00,5.00,NULL,0.00,2.00,0.00,551,NULL,NULL,'ÁGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5213282,6.00,4.00,6.00,4.00,9.00,8.63,2.00,5.00,5.00,234,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213290,0.00,5.00,2.00,5.00,4.00,NULL,0.00,2.00,3.00,102,NULL,NULL,'VENEZA','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5213304,4.00,6.00,2.00,5.00,8.00,7.50,1.00,4.00,3.00,451,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',12642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213312,1.00,6.00,0.00,2.00,3.00,NULL,3.00,1.00,6.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213320,6.00,7.00,3.00,3.00,8.00,10.50,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','IVATÉ','PR',8234,2876,NULL,NULL,NULL,NULL,NULL,2,4),(20,5213339,9.00,7.00,8.00,6.00,9.00,11.63,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',612,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213347,4.00,4.00,0.00,4.00,8.00,NULL,1.00,2.00,3.00,102,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5213355,5.00,7.00,2.00,1.00,6.00,9.38,1.00,4.00,5.00,203,NULL,201,'VILA FRANCESA','CRICIÚMA','SC',14059,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5213363,1.00,6.00,2.00,4.00,4.00,NULL,0.00,2.00,1.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213371,6.00,6.00,2.00,5.00,7.00,10.13,3.00,3.00,5.00,102,NULL,NULL,'CANTA GALO','RIO SUL','SC',9776,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5213380,3.00,3.00,0.00,2.00,5.00,NULL,1.00,1.00,3.00,324,NULL,NULL,'GUARUJÁ','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5213398,6.00,6.00,5.00,3.00,7.00,7.13,1.00,2.00,3.00,309,NULL,NULL,'ERMELINO MATARAZZO','S PAULO','SP',13557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213401,4.00,4.00,1.00,5.00,7.00,10.13,4.00,1.00,5.00,203,NULL,214,'SÃO CRISTÓVÃO','CHAPECÓ','SC',10864,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5213410,2.00,5.00,0.00,4.00,7.00,11.25,4.00,3.00,5.00,324,NULL,NULL,'JARIVATUBA','JOINVILLE','SC',14014,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5213428,2.00,6.00,3.00,4.00,6.00,6.00,2.00,1.00,3.00,203,NULL,214,'CENTRO','VACARIA','RS',15925,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5213436,5.00,5.00,3.00,4.00,8.00,8.63,2.00,5.00,5.00,101,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',10009,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'RIO SANTO ANTONIO','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5213460,4.00,4.00,1.00,3.00,6.00,NULL,2.00,1.00,2.00,653,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5213479,5.00,8.00,0.00,5.00,7.00,11.25,1.00,2.00,3.00,415,NULL,NULL,'SÃO MARTINHO','TUBARÃO','SC',11535,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5213487,4.00,5.00,1.00,6.00,10.00,9.75,2.00,3.00,5.00,102,NULL,NULL,'GUARANI','BRUSQUE','SC',8743,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5213495,6.00,6.00,1.00,6.00,7.00,8.63,0.00,3.00,6.00,104,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',10735,259,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5213517,2.00,2.00,3.00,1.00,0.00,NULL,0.00,3.00,2.00,404,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213525,6.00,5.00,4.00,3.00,5.00,7.50,2.00,2.00,3.00,201,NULL,233,'BARREIROS','S JOSÉ','SC',13693,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213533,5.00,8.00,2.00,3.00,8.00,9.75,2.00,3.00,4.00,339,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213541,4.00,4.00,1.00,1.00,4.00,NULL,2.00,1.00,3.00,222,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213576,3.00,4.00,0.00,4.00,5.00,NULL,3.00,2.00,4.00,308,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213584,4.00,7.00,2.00,4.00,7.00,9.75,4.00,4.00,4.00,202,NULL,601,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',9084,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213606,7.00,6.00,2.00,7.00,8.00,9.00,3.00,4.00,3.00,303,NULL,NULL,'CENTRO','PALHOÇA','SC',6836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'INTERIOR','CHIAPETTA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5213622,3.00,4.00,0.00,7.00,5.00,NULL,0.00,1.00,1.00,601,NULL,207,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5213630,9.00,7.00,5.00,7.00,8.00,7.50,3.00,3.00,7.00,104,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',4199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213649,4.00,5.00,2.00,7.00,7.00,12.00,3.00,5.00,2.00,425,NULL,429,'CORREGO GRANDE','FLORIANÓPOLIS','SC',10551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213657,3.00,4.00,4.00,7.00,6.00,10.13,3.00,1.00,3.00,5,NULL,NULL,'CENTRO','ERECHIM','RS',12371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213665,3.00,2.00,2.00,5.00,6.00,NULL,0.00,2.00,3.00,5,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213673,2.00,5.00,0.00,5.00,2.00,NULL,2.00,2.00,3.00,332,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5213681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(20,5213690,5.00,6.00,1.00,4.00,5.00,7.50,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',14111,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5213703,4.00,6.00,4.00,3.00,5.00,7.13,4.00,1.00,5.00,601,NULL,211,'CENTRO','MATINHOS','PR',13997,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5213711,0.00,4.00,2.00,4.00,6.00,NULL,1.00,2.00,2.00,207,NULL,208,'CENTRO','STA ROSA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5213720,4.00,5.00,0.00,3.00,4.00,NULL,1.00,1.00,3.00,336,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213738,5.00,5.00,1.00,3.00,7.00,7.13,2.00,4.00,3.00,303,NULL,NULL,'VILA TONANI','DOURADOS','MS',11861,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5213746,2.00,5.00,2.00,3.00,4.00,NULL,3.00,3.00,2.00,216,NULL,NULL,'UNIVERCITARIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5213754,9.00,8.00,8.00,7.00,6.00,9.75,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','IRATI','PR',1113,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5213762,4.00,8.00,1.00,1.00,1.00,NULL,1.00,2.00,4.00,235,NULL,201,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5213770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5213789,5.00,4.00,3.00,6.00,7.00,7.13,3.00,4.00,5.00,238,NULL,208,'TAPERA','FLORIANÓPOLIS','SC',13585,320,NULL,356,NULL,NULL,NULL,4,1),(20,5213797,8.00,8.00,3.00,6.00,9.00,9.00,4.00,7.00,5.00,450,NULL,NULL,'CENTRO','LAGES','SC',3453,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5213800,4.00,4.00,0.00,5.00,5.00,NULL,1.00,3.00,2.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213835,5.00,3.00,5.00,6.00,7.00,10.13,2.00,5.00,4.00,501,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',10196,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5213843,4.00,7.00,4.00,4.00,7.00,9.00,2.00,2.00,4.00,212,NULL,238,'CENTRO','PALHOÇA','SC',12432,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213851,7.00,7.00,3.00,3.00,8.00,8.25,4.00,6.00,7.00,103,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',5718,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5213860,6.00,4.00,2.00,3.00,6.00,6.75,2.00,4.00,6.00,501,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',14672,98,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213878,4.00,4.00,3.00,3.00,6.00,8.63,5.00,4.00,5.00,429,NULL,425,'ESTREITO','FLORIANÓPOLIS','SC',11435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213886,5.00,6.00,3.00,4.00,6.00,9.38,0.00,3.00,1.00,238,NULL,208,'AREIAS','S JOSÉ','SC',15763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213894,4.00,6.00,4.00,5.00,7.00,8.63,3.00,3.00,5.00,238,NULL,201,'COLONINHA','FLORIANÓPOLIS','SC',11250,227,NULL,823,NULL,NULL,NULL,2,1),(20,5213908,3.00,5.00,1.00,6.00,7.00,8.63,2.00,1.00,4.00,503,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213916,4.00,5.00,2.00,4.00,6.00,7.50,1.00,5.00,3.00,332,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213924,0.00,2.00,0.00,2.00,3.00,NULL,1.00,3.00,2.00,201,NULL,212,'SANTO ANTONIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213932,8.00,8.00,5.00,7.00,9.00,9.38,3.00,7.00,7.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',1814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5213940,4.00,8.00,4.00,7.00,8.00,10.50,2.00,1.00,3.00,104,NULL,NULL,'CENTRO','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5213959,8.00,6.00,4.00,3.00,9.00,6.38,3.00,3.00,5.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11526,193,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213967,7.00,6.00,2.00,4.00,6.00,9.00,2.00,2.00,7.00,103,NULL,NULL,'BRUSQUE','LAGES','SC',7847,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5213975,4.00,5.00,1.00,3.00,4.00,8.63,1.00,3.00,5.00,9,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5213991,4.00,7.00,3.00,8.00,6.00,9.00,2.00,1.00,3.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12439,402,NULL,NULL,NULL,NULL,NULL,4,1),(20,5214009,5.00,6.00,2.00,5.00,8.00,6.75,1.00,3.00,4.00,216,NULL,207,'JARDIM ELDORADO','PALHOÇA','SC',13607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214017,6.00,7.00,3.00,2.00,6.00,6.75,3.00,1.00,4.00,317,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',13497,75,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5214033,8.00,7.00,4.00,5.00,10.00,10.13,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1723,969,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214041,9.00,7.00,4.00,4.00,3.00,NULL,3.00,1.00,5.00,104,NULL,NULL,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5214068,5.00,5.00,2.00,7.00,6.00,7.13,0.00,3.00,4.00,302,NULL,NULL,'ARIRIU','PALHOÇA','SC',13740,72,NULL,NULL,NULL,NULL,NULL,4,1),(20,5214084,3.00,5.00,1.00,4.00,4.00,NULL,1.00,1.00,4.00,501,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214092,2.00,5.00,4.00,2.00,3.00,NULL,2.00,2.00,6.00,318,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5214106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA INDUSTRIAL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5214114,0.00,2.00,0.00,2.00,3.00,NULL,0.00,2.00,1.00,404,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214122,3.00,5.00,1.00,4.00,6.00,NULL,1.00,3.00,2.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214130,1.00,3.00,4.00,5.00,5.00,NULL,0.00,3.00,2.00,425,NULL,428,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5214149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5214157,6.00,7.00,2.00,6.00,7.00,6.00,2.00,2.00,3.00,601,NULL,NULL,'CENTRO','JOAÇABA','SC',12824,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5214165,4.00,6.00,2.00,4.00,9.00,9.38,3.00,3.00,6.00,302,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',8273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5214173,4.00,4.00,5.00,4.00,4.00,6.00,0.00,2.00,4.00,324,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214181,2.00,5.00,3.00,3.00,2.00,NULL,0.00,2.00,1.00,317,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214190,3.00,1.00,1.00,7.00,5.00,NULL,2.00,1.00,1.00,207,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5214203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5214211,9.00,7.00,7.00,6.00,7.00,10.88,7.00,3.00,8.00,203,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',1883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5214220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5214238,6.00,5.00,2.00,3.00,7.00,7.13,0.00,4.00,3.00,501,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',15412,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214246,8.00,4.00,2.00,5.00,7.00,10.13,2.00,5.00,6.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',6498,2532,NULL,NULL,NULL,NULL,NULL,2,8),(20,5214254,3.00,7.00,1.00,3.00,3.00,NULL,2.00,2.00,4.00,234,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214262,2.00,5.00,1.00,4.00,5.00,NULL,1.00,5.00,2.00,319,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214270,5.00,5.00,1.00,4.00,6.00,NULL,0.00,1.00,1.00,203,NULL,214,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5214300,3.00,4.00,1.00,3.00,5.00,NULL,2.00,1.00,3.00,208,NULL,238,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214319,8.00,8.00,6.00,6.00,10.00,10.50,5.00,7.00,8.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5214327,7.00,5.00,2.00,3.00,6.00,9.38,3.00,3.00,5.00,5,NULL,NULL,'SÃO JOÃO','PIEDADE','SP',8075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5214335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(20,5214343,2.00,3.00,2.00,4.00,1.00,NULL,2.00,1.00,3.00,452,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214351,5.00,4.00,1.00,3.00,6.00,NULL,1.00,2.00,4.00,202,NULL,208,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5214378,5.00,6.00,1.00,6.00,9.00,9.38,2.00,1.00,3.00,207,NULL,211,'MICHEL','CRICIÚMA','SC',11754,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5214386,1.00,3.00,2.00,4.00,2.00,NULL,5.00,3.00,2.00,212,NULL,201,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5214394,7.00,7.00,2.00,3.00,6.00,6.00,3.00,5.00,4.00,601,NULL,220,'VILA NOVA','LAGES','SC',11889,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5214408,4.00,6.00,3.00,4.00,6.00,6.75,1.00,2.00,6.00,216,NULL,233,'SANTA GEMA','VIDEIRA','SC',12895,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5214416,3.00,5.00,1.00,4.00,5.00,NULL,1.00,2.00,1.00,426,NULL,429,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214424,2.00,4.00,1.00,3.00,4.00,NULL,0.00,1.00,4.00,316,NULL,NULL,'SERTAO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5214440,9.00,8.00,7.00,7.00,8.00,9.00,4.00,8.00,8.00,103,NULL,NULL,'ÓRFÃS','PNT GROSSA','PR',856,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5214467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'BARRA DA IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5214475,3.00,5.00,2.00,3.00,5.00,7.88,3.00,3.00,3.00,203,NULL,216,'CENTRO','GUARAPUAVA','PR',15267,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214483,4.00,7.00,4.00,4.00,7.00,9.38,0.00,5.00,4.00,501,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,429,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(20,5214505,3.00,3.00,1.00,3.00,8.00,NULL,2.00,2.00,3.00,601,NULL,NULL,'ESPINHEIROS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(20,5214513,3.00,5.00,2.00,6.00,6.00,7.88,2.00,2.00,4.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214521,4.00,4.00,1.00,5.00,7.00,7.50,4.00,1.00,4.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15697,510,NULL,NULL,NULL,NULL,NULL,4,1),(20,5214530,3.00,5.00,5.00,5.00,9.00,9.75,1.00,4.00,3.00,207,NULL,208,'PASSO MANSO','BLUMENAU','SC',10692,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5214548,8.00,5.00,0.00,6.00,7.00,6.00,2.00,2.00,5.00,333,NULL,NULL,'TIETE','DIVINÓPOLIS','MG',11571,96,NULL,NULL,NULL,NULL,NULL,4,1),(20,5214556,5.00,7.00,0.00,3.00,6.00,7.13,0.00,4.00,4.00,415,NULL,NULL,'JARDIM SANTIAGO','S JOSÉ','SC',14716,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214564,6.00,6.00,2.00,3.00,8.00,8.63,2.00,4.00,5.00,108,NULL,NULL,'JR RAPOSO TAVARES','S PAULO','SP',12259,216,NULL,NULL,NULL,NULL,NULL,4,1),(20,5214572,7.00,6.00,1.00,5.00,7.00,8.25,0.00,4.00,6.00,102,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',10541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5214580,7.00,6.00,2.00,6.00,5.00,9.00,2.00,3.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5214599,4.00,3.00,1.00,3.00,4.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5214602,8.00,8.00,5.00,7.00,9.00,9.00,1.00,3.00,7.00,103,NULL,NULL,'SANTA BARBARA','CRICIÚMA','SC',3807,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5214610,8.00,7.00,5.00,4.00,7.00,8.63,3.00,5.00,7.00,452,NULL,NULL,'ARIRIU FORMIGA','PALHOÇA','SC',3310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5214637,5.00,2.00,1.00,5.00,4.00,NULL,2.00,4.00,2.00,303,NULL,NULL,'CENTRO','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5214645,5.00,7.00,3.00,5.00,6.00,8.25,2.00,4.00,7.00,102,NULL,NULL,'INTERIOR','GUARACIABA','SC',10821,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214653,6.00,6.00,2.00,5.00,6.00,7.13,3.00,4.00,5.00,5,NULL,NULL,'ARMAÇÃO DO PANTANO S','FLORIANÓPOLIS','SC',11226,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214661,4.00,4.00,2.00,4.00,7.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','S JOSÉ CERRITO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5214670,3.00,5.00,1.00,2.00,3.00,NULL,2.00,1.00,3.00,319,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5214696,2.00,3.00,4.00,3.00,3.00,NULL,5.00,0.00,3.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214700,5.00,4.00,2.00,3.00,8.00,7.13,4.00,2.00,3.00,444,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214718,6.00,5.00,3.00,5.00,10.00,9.00,1.00,3.00,3.00,211,NULL,653,'MARIA GORETTI','CHAPECÓ','SC',12965,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5214726,4.00,6.00,4.00,6.00,7.00,6.75,3.00,2.00,6.00,203,NULL,601,'CRUZEIRO DO SUL','JOAÇABA','SC',9139,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5214750,4.00,3.00,4.00,2.00,5.00,NULL,2.00,2.00,1.00,318,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214769,6.00,5.00,5.00,3.00,8.00,NULL,3.00,2.00,5.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5214777,5.00,5.00,3.00,7.00,10.00,9.75,1.00,3.00,6.00,601,NULL,211,'FLORESTA','S JOSÉ','SC',7774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5214785,2.00,6.00,1.00,5.00,3.00,NULL,0.00,1.00,2.00,316,NULL,NULL,'PACHECOS DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214793,5.00,5.00,0.00,7.00,8.00,10.13,3.00,3.00,4.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',11208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5214807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5214815,6.00,5.00,0.00,4.00,6.00,7.13,3.00,3.00,4.00,201,NULL,203,'CENTRO','ILHOTA','SC',12354,880,NULL,836,NULL,NULL,NULL,2,2),(20,5214831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5214840,8.00,7.00,2.00,6.00,9.00,10.13,3.00,3.00,3.00,333,NULL,NULL,'STO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC',7063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5214866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'GOIABEIRAS','VITÓRIA','ES',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5214874,4.00,5.00,0.00,6.00,8.00,8.63,2.00,4.00,6.00,216,NULL,233,'BARROCA','BELO HORIZONTE','MG',9811,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214890,4.00,6.00,1.00,4.00,7.00,9.38,4.00,3.00,7.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11953,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214904,5.00,6.00,3.00,3.00,5.00,7.88,2.00,4.00,4.00,340,NULL,NULL,'AUXILIADORA','PTO ALEGRE','RS',13652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214912,2.00,3.00,3.00,3.00,4.00,NULL,0.00,2.00,1.00,301,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214920,7.00,7.00,3.00,4.00,9.00,9.00,3.00,5.00,5.00,103,NULL,NULL,'MONTE CARLO','S JOAQUIM','SC',4510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'CENTRO','ANCHIETA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5214947,3.00,5.00,2.00,3.00,3.00,NULL,1.00,0.00,1.00,326,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214955,2.00,7.00,1.00,3.00,2.00,NULL,0.00,1.00,3.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214963,7.00,6.00,3.00,4.00,8.00,9.75,6.00,5.00,8.00,202,NULL,213,'CORAL','LAGES','SC',4371,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5214971,2.00,1.00,0.00,4.00,4.00,NULL,1.00,1.00,3.00,324,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5214980,4.00,6.00,2.00,3.00,8.00,11.25,3.00,4.00,6.00,102,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',9195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5215005,3.00,5.00,4.00,3.00,7.00,9.38,1.00,3.00,5.00,429,NULL,423,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215013,2.00,5.00,0.00,3.00,4.00,NULL,2.00,1.00,4.00,203,NULL,NULL,'CENTRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215030,7.00,7.00,6.00,7.00,11.00,11.63,4.00,8.00,8.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5215056,6.00,5.00,2.00,5.00,9.00,8.25,2.00,4.00,5.00,302,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',8824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5215064,5.00,5.00,4.00,3.00,5.00,6.38,1.00,2.00,3.00,428,NULL,426,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5215080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'SANTA HELENA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5215099,3.00,3.00,1.00,3.00,2.00,NULL,2.00,2.00,3.00,238,NULL,216,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5215110,5.00,6.00,3.00,5.00,5.00,10.13,4.00,4.00,6.00,103,NULL,NULL,'VILA BANDEIRANTES','CPO GRANDE','MS',9446,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5215129,6.00,7.00,6.00,4.00,5.00,8.63,4.00,5.00,4.00,333,NULL,NULL,'JD CRUZEIRO DO SUL','S CARLOS','SP',5904,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5215145,3.00,7.00,4.00,5.00,7.00,7.50,2.00,4.00,4.00,318,NULL,NULL,'BARREIROS','S JOSÉ','SC',10999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215153,3.00,3.00,4.00,0.00,5.00,NULL,2.00,2.00,2.00,234,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5215161,8.00,6.00,6.00,5.00,7.00,7.50,8.00,5.00,8.00,103,NULL,NULL,'CENTRO','PALMEIRA','PR',1728,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5215200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5215218,2.00,5.00,0.00,2.00,5.00,NULL,0.00,0.00,3.00,302,NULL,NULL,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5215226,5.00,7.00,2.00,3.00,7.00,6.75,2.00,4.00,4.00,225,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5215242,9.00,8.00,8.00,7.00,8.00,9.75,8.00,6.00,8.00,201,NULL,212,'SÃO LUIZ','BRUSQUE','SC',487,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5215250,7.00,7.00,6.00,5.00,7.00,9.38,4.00,2.00,7.00,220,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',5843,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215269,6.00,7.00,4.00,6.00,8.00,9.38,1.00,4.00,7.00,101,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',7301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5215277,4.00,7.00,2.00,5.00,7.00,9.38,4.00,4.00,6.00,103,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',7653,2772,NULL,NULL,NULL,NULL,NULL,4,9),(20,5215285,6.00,4.00,2.00,3.00,6.00,6.00,2.00,2.00,5.00,104,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',16114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5215293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'PABLO POLÔNIO','STA MARIANA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5215315,9.00,8.00,1.00,7.00,10.00,7.50,1.00,6.00,5.00,9,NULL,NULL,'BOA VISTA','JOINVILLE','SC',5369,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5215323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'N SENHORA DE LURDES','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5215331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FIGUEIRA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5215340,4.00,5.00,6.00,3.00,2.00,NULL,2.00,1.00,2.00,102,NULL,NULL,'JARDIM CARANDAI','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215358,8.00,7.00,5.00,7.00,8.00,9.00,3.00,7.00,9.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1759,984,NULL,NULL,NULL,NULL,NULL,4,1),(20,5215366,5.00,5.00,1.00,2.00,4.00,NULL,2.00,1.00,3.00,203,NULL,202,'JARDIM SÃO MIGUEL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215374,7.00,6.00,6.00,6.00,7.00,6.38,2.00,4.00,8.00,216,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',6006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5215382,4.00,6.00,1.00,3.00,5.00,7.13,1.00,3.00,6.00,2,NULL,NULL,'FIGUEIRA','GASPAR','SC',15885,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5215404,3.00,4.00,4.00,3.00,3.00,NULL,2.00,0.00,5.00,324,NULL,NULL,'CAEIRASACODOSLIMOÃE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215412,6.00,4.00,2.00,7.00,6.00,10.13,3.00,5.00,3.00,425,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5215420,4.00,3.00,1.00,3.00,6.00,NULL,0.00,1.00,2.00,303,NULL,NULL,'ITAQUERA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5215447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5215455,7.00,6.00,3.00,5.00,8.00,9.38,5.00,6.00,6.00,103,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',4874,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5215463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SALETE','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5215471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5215480,3.00,8.00,1.00,5.00,6.00,8.25,3.00,3.00,4.00,110,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215498,6.00,8.00,2.00,5.00,6.00,9.38,4.00,3.00,7.00,5,NULL,NULL,'TONIAL','XANXERÊ','SC',5923,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5215501,5.00,6.00,1.00,5.00,5.00,10.13,2.00,2.00,2.00,5,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',14687,478,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'AÉROPORTO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5215528,3.00,5.00,1.00,2.00,1.00,NULL,3.00,1.00,2.00,451,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ALVORADA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5215544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,601,'RAINHA','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5215552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PIONEIROS','PAIÇANDU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5215560,6.00,4.00,1.00,3.00,6.00,9.75,2.00,4.00,6.00,216,NULL,238,'BARREIROS','S JOSÉ','SC',12171,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215579,9.00,7.00,8.00,7.00,8.00,8.63,8.00,6.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5215595,3.00,6.00,2.00,5.00,6.00,6.75,3.00,2.00,2.00,303,NULL,NULL,'CENTRO','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5215609,6.00,6.00,2.00,4.00,6.00,9.75,4.00,2.00,5.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',10729,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215617,3.00,1.00,2.00,3.00,1.00,NULL,1.00,0.00,0.00,208,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215625,1.00,4.00,0.00,3.00,2.00,NULL,2.00,1.00,0.00,214,NULL,220,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215633,3.00,5.00,3.00,4.00,5.00,8.25,3.00,3.00,5.00,211,NULL,212,'CORREGO GRANDE','FLORIANÓPOLIS','SC',13613,424,NULL,343,NULL,NULL,NULL,2,1),(20,5215650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,651,'CENTRO','PASSO TORRES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5215668,3.00,4.00,2.00,4.00,2.00,NULL,1.00,0.00,2.00,207,NULL,201,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5215676,3.00,3.00,3.00,4.00,3.00,NULL,1.00,2.00,1.00,333,NULL,NULL,'ANDORINHA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5215684,1.00,5.00,3.00,4.00,6.00,7.50,4.00,3.00,6.00,444,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',13596,62,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215692,6.00,5.00,0.00,4.00,4.00,7.13,3.00,2.00,4.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',15472,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215706,5.00,5.00,4.00,5.00,7.00,8.25,1.00,4.00,5.00,201,NULL,212,'PONTA DE BAIXO','S JOSÉ','SC',12050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5215714,3.00,1.00,1.00,2.00,7.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215722,4.00,7.00,2.00,4.00,6.00,8.63,2.00,4.00,4.00,109,NULL,NULL,'PACHECOS','PALHOÇA','SC',12075,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5215749,4.00,5.00,0.00,5.00,8.00,NULL,1.00,1.00,2.00,211,NULL,215,'CENTRO','ANITÁPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215757,4.00,5.00,2.00,6.00,7.00,9.38,0.00,3.00,5.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5215765,3.00,6.00,4.00,5.00,8.00,8.63,1.00,3.00,6.00,208,NULL,238,'SÂO JUDAS','ITAJAÍ','SC',10646,226,NULL,203,NULL,NULL,NULL,4,6),(20,5215773,3.00,4.00,2.00,1.00,4.00,NULL,2.00,2.00,5.00,429,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215790,9.00,8.00,4.00,5.00,9.00,10.50,5.00,6.00,9.00,103,NULL,NULL,'CANGO','FRANCISCO BELTRÃO','PR',877,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5215803,9.00,8.00,5.00,4.00,9.00,8.25,5.00,7.00,9.00,303,NULL,NULL,'PARQUE SAO PAULO','CASCAVEL','PR',1900,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5215820,5.00,5.00,1.00,4.00,4.00,8.25,3.00,4.00,4.00,317,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',15408,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215838,5.00,3.00,1.00,2.00,3.00,NULL,0.00,1.00,2.00,404,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215846,3.00,4.00,2.00,4.00,6.00,NULL,0.00,3.00,2.00,201,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215862,4.00,6.00,1.00,6.00,6.00,7.88,1.00,5.00,4.00,327,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5215870,3.00,4.00,0.00,2.00,2.00,NULL,0.00,1.00,3.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215889,9.00,6.00,3.00,7.00,7.00,9.00,4.00,6.00,7.00,5,NULL,NULL,'NOSSA SRA DE LOURDES','STA MARIA','RS',3003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215897,5.00,8.00,1.00,3.00,6.00,8.63,1.00,2.00,5.00,452,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',12126,88,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215919,3.00,3.00,2.00,3.00,3.00,NULL,0.00,2.00,4.00,335,NULL,NULL,'LAGOA CONCEICAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215927,1.00,5.00,0.00,2.00,2.00,NULL,0.00,1.00,1.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215935,6.00,5.00,2.00,5.00,5.00,6.38,1.00,3.00,2.00,339,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',15476,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5215951,4.00,7.00,5.00,4.00,7.00,7.13,1.00,5.00,1.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',14737,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215960,3.00,5.00,0.00,4.00,7.00,NULL,2.00,2.00,3.00,201,NULL,601,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'SÃO MIGUEL','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5215986,4.00,5.00,4.00,4.00,8.00,6.00,0.00,1.00,5.00,234,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5215994,5.00,5.00,1.00,2.00,3.00,NULL,3.00,2.00,0.00,211,NULL,NULL,'TRÊS RIACHOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216001,2.00,3.00,1.00,5.00,7.00,NULL,1.00,1.00,3.00,108,NULL,NULL,'MURTA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5216010,8.00,8.00,7.00,7.00,8.00,6.00,7.00,5.00,7.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216028,7.00,8.00,1.00,4.00,8.00,6.75,2.00,3.00,6.00,404,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',11506,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216052,3.00,5.00,0.00,7.00,7.00,NULL,1.00,3.00,1.00,340,NULL,NULL,'ATALAIA','ARACAJU','SE',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216060,3.00,3.00,1.00,3.00,7.00,NULL,0.00,2.00,2.00,104,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216079,6.00,7.00,3.00,5.00,7.00,9.00,3.00,5.00,5.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216087,6.00,6.00,4.00,5.00,3.00,NULL,3.00,4.00,4.00,214,NULL,212,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216095,7.00,6.00,1.00,5.00,8.00,11.25,2.00,4.00,4.00,601,NULL,212,'ADHEMAR GARCIA','JOINVILLE','SC',7555,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5216109,7.00,8.00,5.00,7.00,9.00,8.63,3.00,4.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216117,1.00,2.00,2.00,3.00,3.00,NULL,0.00,0.00,2.00,303,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(20,5216125,4.00,7.00,4.00,5.00,10.00,9.00,2.00,4.00,6.00,203,NULL,214,'AGRONÔMICA','FLORIANÓPOLIS','SC',6920,547,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216133,3.00,4.00,2.00,2.00,5.00,NULL,1.00,3.00,4.00,5,NULL,NULL,'ARIRIÚ DA FORMIGA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216141,7.00,7.00,3.00,3.00,7.00,10.50,2.00,4.00,5.00,337,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',9448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216150,5.00,7.00,6.00,7.00,6.00,8.25,6.00,5.00,6.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',3530,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5216168,7.00,8.00,5.00,4.00,6.00,7.50,4.00,3.00,4.00,203,NULL,220,'REBOUÇAS','CURITIBA','PR',7097,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5216176,3.00,4.00,0.00,5.00,6.00,8.25,0.00,4.00,5.00,108,NULL,NULL,'CENTRO','BRUSQUE','SC',15204,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5216184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'SÃO JOSÉ','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5216192,4.00,5.00,4.00,5.00,7.00,6.75,2.00,1.00,3.00,109,NULL,NULL,'DE FÁTIMA','FLORIANÓPOLIS','SC',15799,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216206,8.00,6.00,4.00,3.00,10.00,6.75,3.00,4.00,6.00,103,NULL,NULL,'CORAL','LAGES','SC',6439,2518,NULL,NULL,NULL,NULL,NULL,2,9),(20,5216214,4.00,8.00,6.00,4.00,9.00,7.50,4.00,3.00,6.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',6233,267,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216222,5.00,7.00,4.00,3.00,6.00,11.25,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','SERTÃO','RS',6788,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5216230,3.00,3.00,1.00,4.00,1.00,NULL,1.00,2.00,2.00,308,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ITAIM BIBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5216257,6.00,9.00,4.00,6.00,10.00,12.75,2.00,3.00,3.00,601,NULL,215,'IRIRIÚ','JOINVILLE','SC',5260,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5216265,3.00,6.00,1.00,6.00,4.00,8.25,3.00,2.00,3.00,501,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216273,5.00,6.00,5.00,7.00,8.00,9.38,2.00,2.00,6.00,415,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',6568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216281,5.00,3.00,1.00,4.00,6.00,NULL,0.00,1.00,3.00,423,NULL,421,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216290,4.00,6.00,0.00,7.00,7.00,NULL,2.00,3.00,4.00,5,NULL,NULL,'VL NOVA DAS BELEZAS','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216303,9.00,9.00,4.00,6.00,9.00,10.88,0.00,8.00,7.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',2174,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216311,6.00,7.00,2.00,4.00,8.00,8.25,2.00,4.00,8.00,214,NULL,212,'ALTO DA LAPA','S PAULO','SP',6000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216320,5.00,4.00,3.00,3.00,5.00,6.75,2.00,0.00,4.00,108,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',16293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216338,6.00,5.00,0.00,3.00,6.00,NULL,3.00,4.00,5.00,420,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216354,4.00,3.00,4.00,4.00,4.00,6.75,3.00,6.00,4.00,202,NULL,235,'CENTRO','NOVA MTE VERDE','MT',12142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216362,4.00,5.00,4.00,1.00,9.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5216389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,426,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5216397,5.00,6.00,1.00,6.00,6.00,NULL,3.00,5.00,5.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(20,5216400,9.00,7.00,6.00,5.00,9.00,10.13,8.00,8.00,8.00,103,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',286,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216427,4.00,4.00,2.00,7.00,4.00,9.00,0.00,2.00,4.00,340,NULL,NULL,'JARDIM DAS PALMEIRAS','CAMPINAS','SP',13300,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5216435,4.00,6.00,3.00,3.00,5.00,NULL,1.00,1.00,2.00,9,NULL,NULL,'NOVA BRASILIA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5216443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5216451,4.00,5.00,0.00,5.00,8.00,6.38,1.00,1.00,4.00,102,NULL,NULL,'SANTA ROSA','PTO UNIÃO','SC',14613,212,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216460,4.00,5.00,1.00,5.00,8.00,7.88,1.00,2.00,4.00,450,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216478,7.00,7.00,4.00,4.00,6.00,8.63,4.00,5.00,4.00,503,NULL,NULL,'POTECAS','S JOSÉ','SC',7511,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216486,6.00,7.00,4.00,6.00,8.00,9.00,3.00,4.00,5.00,207,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',7573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216494,3.00,3.00,5.00,0.00,6.00,NULL,2.00,3.00,4.00,404,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RESSACADA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5216516,7.00,6.00,5.00,7.00,8.00,9.75,5.00,4.00,7.00,415,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',3533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216524,6.00,7.00,3.00,5.00,6.00,9.00,2.00,3.00,6.00,103,NULL,NULL,'INTERIOR','JARDINÓPOLIS','SC',11436,3354,NULL,NULL,NULL,NULL,NULL,4,4),(20,5216532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5216540,0.00,3.00,0.00,2.00,1.00,NULL,1.00,1.00,2.00,340,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216567,9.00,8.00,4.00,7.00,7.00,8.63,2.00,4.00,8.00,103,NULL,NULL,'CENTRO','IJUÍ','RS',3626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5216583,4.00,3.00,0.00,2.00,4.00,NULL,3.00,3.00,1.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,238,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5216605,6.00,7.00,6.00,4.00,7.00,10.13,4.00,4.00,6.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',4344,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216613,5.00,3.00,1.00,4.00,7.00,8.25,1.00,2.00,7.00,340,NULL,NULL,'PRESIDENTE MÉDICE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5216621,4.00,6.00,2.00,5.00,1.00,NULL,1.00,1.00,3.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216630,4.00,4.00,1.00,4.00,6.00,6.38,2.00,2.00,3.00,324,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5216648,3.00,2.00,1.00,3.00,4.00,NULL,1.00,3.00,1.00,444,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216656,4.00,4.00,3.00,2.00,8.00,8.25,4.00,3.00,2.00,308,NULL,NULL,'FLORESTA','JOINVILLE','SC',14313,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5216664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,421,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(20,5216672,5.00,6.00,0.00,5.00,6.00,9.00,0.00,3.00,2.00,103,NULL,NULL,'CRUZEIRO DO SUL','JOAÇABA','SC',15487,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5216680,7.00,7.00,3.00,6.00,6.00,10.50,2.00,5.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216699,4.00,4.00,2.00,4.00,7.00,7.50,1.00,4.00,4.00,424,NULL,426,'SAGUAÇU','JOINVILLE','SC',15078,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5216702,3.00,3.00,1.00,3.00,6.00,NULL,1.00,2.00,3.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216729,3.00,1.00,0.00,3.00,2.00,NULL,2.00,1.00,2.00,317,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216745,6.00,4.00,0.00,6.00,5.00,9.00,1.00,3.00,3.00,453,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',14971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5216761,7.00,4.00,1.00,4.00,4.00,9.00,2.00,3.00,4.00,103,NULL,NULL,'JARDIM BOTÂNICO','CURITIBA','PR',11773,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216770,8.00,7.00,6.00,7.00,9.00,7.50,6.00,7.00,7.00,220,NULL,201,'CENTRO','FRANCISCO BELTRÃO','PR',1066,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5216788,7.00,4.00,3.00,2.00,4.00,6.75,0.00,2.00,4.00,453,NULL,NULL,'DIVINEIA','ARARANGUÁ','SC',16015,123,NULL,NULL,NULL,NULL,NULL,2,15),(20,5216796,5.00,5.00,4.00,6.00,4.00,7.50,0.00,2.00,0.00,203,NULL,213,'CRISTO REI','CURITIBA','PR',14849,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5216800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5216818,9.00,7.00,5.00,8.00,9.00,7.88,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','ARAUCÁRIA','PR',2424,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5216826,3.00,5.00,0.00,3.00,5.00,NULL,1.00,3.00,3.00,207,NULL,201,'SANTANA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216834,6.00,7.00,1.00,4.00,8.00,10.13,3.00,3.00,4.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',11829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216842,5.00,7.00,0.00,3.00,4.00,7.13,1.00,4.00,5.00,453,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',16034,125,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216869,4.00,5.00,1.00,5.00,7.00,12.00,1.00,5.00,4.00,327,NULL,NULL,'FLORESTA','JOINVILLE','SC',13007,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5216877,9.00,7.00,6.00,6.00,9.00,10.50,4.00,4.00,8.00,103,NULL,NULL,'MORADA DA COLINA','PASSO FUNDO','RS',1491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216885,2.00,6.00,0.00,3.00,5.00,NULL,1.00,4.00,3.00,426,NULL,428,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'GRAGERU','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5216907,0.00,5.00,2.00,4.00,7.00,NULL,3.00,3.00,3.00,308,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216915,4.00,7.00,4.00,2.00,5.00,6.38,1.00,2.00,3.00,335,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216923,6.00,5.00,4.00,4.00,8.00,7.88,1.00,4.00,5.00,425,NULL,423,'ALTO SÃO BENTO','ITAPEMA','SC',11238,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5216931,3.00,5.00,4.00,0.00,4.00,NULL,0.00,2.00,3.00,427,NULL,424,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5216940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5216958,7.00,6.00,4.00,6.00,7.00,10.88,1.00,3.00,6.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8220,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216966,4.00,4.00,1.00,2.00,4.00,7.50,2.00,3.00,4.00,207,NULL,202,'BELA VISTA','PALHOÇA','SC',15817,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5216974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5216982,3.00,6.00,1.00,7.00,7.00,9.00,1.00,1.00,5.00,316,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',13822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217008,6.00,4.00,5.00,2.00,7.00,7.88,5.00,3.00,5.00,103,NULL,NULL,'HUAMAITA','TUBARÃO','SC',10173,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5217016,4.00,5.00,1.00,2.00,1.00,NULL,2.00,2.00,3.00,339,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217024,3.00,4.00,3.00,1.00,4.00,NULL,2.00,1.00,1.00,208,NULL,201,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217032,7.00,7.00,1.00,4.00,6.00,9.38,3.00,4.00,5.00,302,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',9578,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217040,6.00,5.00,1.00,5.00,6.00,9.75,2.00,5.00,6.00,301,NULL,NULL,'INTERIOR','ITAPIRANGA','SC',8495,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5217059,5.00,4.00,1.00,4.00,5.00,NULL,0.00,0.00,5.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217067,8.00,6.00,1.00,6.00,6.00,10.50,2.00,2.00,6.00,108,NULL,NULL,'SAGUACU','JOINVILLE','SC',10332,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5217083,6.00,7.00,1.00,6.00,7.00,10.50,2.00,6.00,5.00,450,NULL,NULL,'CENTRO','STA MARIA','RS',9227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5217105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5217113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5217121,3.00,4.00,1.00,4.00,4.00,NULL,3.00,0.00,4.00,104,NULL,NULL,'COROADO LL','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217130,7.00,5.00,3.00,6.00,8.00,8.63,3.00,5.00,5.00,103,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',7400,2722,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217148,4.00,7.00,2.00,3.00,7.00,7.88,1.00,1.00,5.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',14478,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5217156,2.00,6.00,0.00,3.00,3.00,NULL,2.00,1.00,3.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217172,4.00,5.00,1.00,4.00,5.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'ISOL','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5217180,4.00,3.00,0.00,4.00,7.00,NULL,2.00,2.00,1.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217199,9.00,7.00,0.00,7.00,8.00,NULL,1.00,6.00,7.00,110,NULL,NULL,'CENTRO','GUARÁ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217202,3.00,3.00,1.00,2.00,6.00,NULL,0.00,2.00,1.00,102,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217210,7.00,5.00,2.00,5.00,5.00,7.13,3.00,3.00,5.00,103,NULL,NULL,'PORTAO','CURITIBA','PR',10201,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217229,4.00,5.00,4.00,4.00,5.00,7.50,0.00,1.00,3.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217245,5.00,5.00,1.00,4.00,5.00,6.00,3.00,1.00,5.00,302,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',15571,103,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217253,4.00,6.00,5.00,4.00,9.00,7.50,2.00,4.00,5.00,103,NULL,NULL,'APARECIDA','CURITIBANOS','SC',10133,3180,NULL,NULL,NULL,NULL,NULL,2,16),(20,5217261,5.00,8.00,1.00,6.00,7.00,7.13,1.00,1.00,4.00,207,NULL,215,'KRECHER','S JOÃO BATISTA','SC',14998,728,NULL,311,NULL,NULL,NULL,2,1),(20,5217270,4.00,7.00,3.00,7.00,9.00,10.13,3.00,4.00,3.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',9705,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5217288,5.00,5.00,1.00,6.00,4.00,8.25,1.00,4.00,3.00,332,NULL,NULL,'XAXIM','CURITIBA','PR',14022,21,NULL,NULL,NULL,NULL,NULL,2,8),(20,5217296,5.00,5.00,3.00,6.00,9.00,7.50,0.00,3.00,3.00,316,NULL,NULL,'CENTRO','CURITIBANOS','SC',11815,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5217300,2.00,4.00,1.00,2.00,4.00,NULL,0.00,2.00,4.00,339,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217318,2.00,3.00,1.00,2.00,6.00,NULL,3.00,2.00,0.00,5,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,421,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5217342,4.00,4.00,2.00,3.00,5.00,NULL,0.00,2.00,4.00,5,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217369,3.00,6.00,1.00,4.00,3.00,NULL,2.00,2.00,4.00,336,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217377,5.00,6.00,5.00,4.00,6.00,6.75,5.00,2.00,5.00,203,NULL,214,'BOA VISTA','ARAÇATUBA','SP',9557,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5217385,9.00,5.00,4.00,7.00,7.00,7.88,2.00,2.00,5.00,653,NULL,601,'SAO JOAO','PTO ALEGRE','RS',8188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217407,8.00,6.00,5.00,7.00,8.00,9.75,2.00,5.00,6.00,340,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',3683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'PASSO MANSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5217431,8.00,8.00,4.00,5.00,10.00,9.00,2.00,7.00,5.00,9,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',3471,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5217440,6.00,5.00,2.00,5.00,7.00,9.75,2.00,1.00,3.00,102,NULL,NULL,'BOA VISTA','CAMPOS NOVOS','SC',11041,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5217458,6.00,4.00,4.00,2.00,3.00,NULL,1.00,4.00,6.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5217482,3.00,5.00,0.00,3.00,5.00,NULL,2.00,1.00,3.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217490,7.00,6.00,0.00,7.00,8.00,8.25,2.00,6.00,3.00,326,NULL,NULL,'EMBARÉ','SANTOS','SP',7161,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5217504,5.00,6.00,3.00,4.00,9.00,10.50,3.00,2.00,3.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',11420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217512,3.00,4.00,0.00,1.00,3.00,NULL,1.00,2.00,0.00,303,NULL,NULL,'REVOREDO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5217520,6.00,7.00,3.00,4.00,6.00,7.50,2.00,6.00,5.00,110,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217539,5.00,6.00,4.00,5.00,8.00,7.88,1.00,6.00,5.00,103,NULL,NULL,'CENTRO','NHANDEARA','SP',9723,3129,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA NICÁCIO','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5217555,3.00,8.00,1.00,4.00,5.00,7.50,0.00,4.00,3.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',16027,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217563,3.00,0.00,0.00,2.00,2.00,NULL,0.00,1.00,2.00,109,NULL,NULL,'TRES COQUEIROS','S JOÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5217571,8.00,6.00,4.00,6.00,6.00,8.63,5.00,5.00,7.00,203,NULL,214,'JARDIM AMÉRICA','GOIÂNIA','GO',3869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217598,8.00,6.00,4.00,6.00,7.00,8.25,4.00,4.00,7.00,103,NULL,NULL,'OFICINAS','PNT GROSSA','PR',5093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217601,3.00,4.00,1.00,4.00,4.00,NULL,1.00,2.00,3.00,238,NULL,208,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217610,2.00,5.00,3.00,4.00,5.00,7.50,3.00,3.00,5.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217628,5.00,6.00,2.00,7.00,10.00,10.50,5.00,4.00,4.00,428,NULL,426,'INGLESES','FLORIANÓPOLIS','SC',7119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'JD SÃO NICOLAU','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5217644,4.00,5.00,0.00,4.00,7.00,NULL,1.00,1.00,4.00,108,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217679,3.00,4.00,1.00,5.00,8.00,NULL,0.00,3.00,3.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217687,4.00,6.00,4.00,5.00,5.00,9.38,1.00,2.00,4.00,501,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',14142,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5217695,8.00,5.00,5.00,3.00,8.00,11.63,3.00,6.00,5.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217709,7.00,7.00,4.00,7.00,8.00,10.13,0.00,4.00,5.00,301,NULL,NULL,'PARQUE DAS FLORES','ASSIS','SP',6849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217717,6.00,6.00,1.00,6.00,6.00,9.75,1.00,3.00,4.00,3,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',12827,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5217741,5.00,6.00,1.00,4.00,6.00,7.88,1.00,3.00,2.00,452,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',15130,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5217750,9.00,9.00,9.00,7.00,11.00,12.38,7.00,5.00,9.00,103,NULL,NULL,'STO ANTÔNIO DE PÁDUA','TUBARÃO','SC',17,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5217768,5.00,5.00,2.00,3.00,8.00,9.75,1.00,3.00,5.00,102,NULL,NULL,'VARGEM GRANDE','ÁGUAS MORNAS','SC',12813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217776,4.00,4.00,2.00,2.00,4.00,NULL,0.00,3.00,1.00,326,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217784,3.00,4.00,1.00,2.00,3.00,NULL,2.00,2.00,2.00,316,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217792,7.00,9.00,4.00,3.00,8.00,8.63,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','BIGUAÇU','SC',7024,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5217806,2.00,3.00,1.00,3.00,8.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'RIO BONITO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217814,6.00,2.00,0.00,1.00,2.00,NULL,1.00,0.00,4.00,103,NULL,NULL,'CENTRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217830,7.00,6.00,2.00,4.00,6.00,7.13,3.00,2.00,3.00,340,NULL,NULL,'VILA NOVA','BLUMENAU','SC',15283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217849,3.00,5.00,4.00,2.00,5.00,9.38,1.00,3.00,3.00,424,NULL,425,'RIO VERMELHO','FLORIANÓPOLIS','SC',15709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,233,'CENTRO','RUBINÉIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5217881,3.00,6.00,5.00,1.00,4.00,9.00,2.00,4.00,5.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217890,4.00,7.00,3.00,4.00,7.00,10.13,1.00,6.00,3.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11868,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217903,9.00,9.00,3.00,5.00,10.00,9.00,4.00,7.00,6.00,103,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',1880,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217911,4.00,5.00,1.00,3.00,3.00,NULL,1.00,2.00,1.00,308,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217920,2.00,3.00,2.00,2.00,2.00,NULL,1.00,3.00,2.00,308,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217946,3.00,6.00,1.00,2.00,3.00,NULL,2.00,2.00,2.00,324,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217954,5.00,4.00,2.00,3.00,4.00,7.13,4.00,0.00,3.00,238,NULL,208,'VILA NOVA','TROMBUDO CENTRAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5217962,4.00,6.00,1.00,5.00,8.00,8.63,2.00,4.00,5.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11050,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217970,8.00,6.00,3.00,6.00,7.00,6.75,3.00,3.00,4.00,104,NULL,NULL,'CENTRO','CPO GRANDE','MS',9542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5217989,5.00,6.00,2.00,4.00,7.00,10.13,0.00,1.00,5.00,317,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',11796,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5217997,5.00,6.00,3.00,6.00,4.00,8.25,4.00,2.00,3.00,220,NULL,208,'CENTRO','STA MARIA','RS',9684,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5218004,7.00,8.00,1.00,6.00,9.00,10.13,1.00,7.00,6.00,336,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7092,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218012,6.00,5.00,2.00,6.00,5.00,8.25,1.00,2.00,3.00,103,NULL,NULL,'SÃO JOSÉ OPERÁRIO','MARAU','RS',14276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5218020,5.00,6.00,3.00,3.00,3.00,NULL,4.00,6.00,6.00,233,NULL,601,'RIO CHAPÉU','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218047,6.00,5.00,2.00,2.00,3.00,NULL,3.00,3.00,6.00,203,NULL,214,'VILA EUROPA','RESERVA IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218055,3.00,5.00,2.00,3.00,5.00,NULL,2.00,2.00,2.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218063,3.00,4.00,2.00,0.00,1.00,NULL,3.00,2.00,3.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5218071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5218080,2.00,7.00,2.00,5.00,4.00,8.25,2.00,3.00,4.00,340,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15961,433,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218098,3.00,8.00,0.00,5.00,7.00,9.00,1.00,5.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13560,266,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CHARQUEADAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5218110,6.00,5.00,4.00,6.00,9.00,10.50,2.00,4.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218136,7.00,0.00,1.00,5.00,8.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5218152,4.00,6.00,4.00,6.00,5.00,10.50,1.00,5.00,3.00,110,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','ABDON BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5218179,2.00,5.00,1.00,6.00,4.00,9.75,0.00,4.00,3.00,211,NULL,207,'PANTANAL','FLORIANÓPOLIS','SC',14722,460,NULL,705,NULL,NULL,NULL,2,1),(20,5218187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5218209,9.00,8.00,8.00,7.00,7.00,7.13,7.00,5.00,9.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',626,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5218217,5.00,3.00,1.00,3.00,4.00,NULL,2.00,3.00,2.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218225,2.00,2.00,1.00,1.00,6.00,NULL,3.00,2.00,0.00,238,NULL,208,'NAZARÉ','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5218250,8.00,7.00,5.00,6.00,9.00,9.75,2.00,4.00,6.00,103,NULL,NULL,'SEGUNDO DISTRITO','TRIUNFO','RS',2889,1439,NULL,NULL,NULL,NULL,NULL,2,5),(20,5218268,0.00,4.00,1.00,3.00,4.00,NULL,2.00,1.00,4.00,238,NULL,NULL,'ANA MARIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(20,5218276,5.00,8.00,1.00,4.00,8.00,11.25,4.00,5.00,2.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218292,6.00,4.00,0.00,6.00,8.00,NULL,0.00,2.00,6.00,9,NULL,NULL,'CENTRO','SELBACH','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218306,3.00,4.00,0.00,3.00,4.00,NULL,3.00,4.00,1.00,424,NULL,427,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'JARDIM CARANDAI','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5218322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5218330,6.00,6.00,2.00,4.00,7.00,7.50,4.00,4.00,4.00,207,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',11146,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218349,6.00,5.00,1.00,6.00,7.00,11.63,2.00,1.00,5.00,316,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',12567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5218357,5.00,5.00,3.00,3.00,4.00,4.88,1.00,3.00,4.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218365,6.00,5.00,1.00,6.00,6.00,9.38,2.00,2.00,1.00,340,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5218373,2.00,4.00,2.00,1.00,4.00,NULL,2.00,2.00,2.00,207,NULL,NULL,'TOBIAS','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,7),(20,5218381,4.00,6.00,2.00,4.00,7.00,9.38,3.00,3.00,5.00,601,NULL,212,'SAGUAÇU','JOINVILLE','SC',11727,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5218390,7.00,8.00,6.00,5.00,6.00,6.00,4.00,7.00,5.00,104,NULL,NULL,'ANITA GARIBELDI','JOINVILLE','SC',5092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5218403,6.00,7.00,1.00,5.00,7.00,7.88,1.00,2.00,5.00,211,NULL,233,'CIDADE ALTA','ARARANGUÁ','SC',12282,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5218411,6.00,5.00,4.00,5.00,8.00,6.75,2.00,3.00,4.00,301,NULL,NULL,'FLORESTA','S JOSÉ','SC',10689,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218420,6.00,6.00,1.00,3.00,4.00,7.88,1.00,2.00,3.00,3,NULL,NULL,'CENTRO','PALHOÇA','SC',15285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5218438,6.00,5.00,3.00,6.00,5.00,9.38,4.00,3.00,5.00,201,NULL,211,'INGLESES','FLORIANÓPOLIS','SC',9161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5218446,4.00,6.00,0.00,4.00,5.00,7.50,5.00,2.00,3.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5218462,4.00,8.00,1.00,4.00,5.00,6.00,0.00,5.00,4.00,201,NULL,220,'VILA BELA','GOIÂNIA','GO',13873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218489,0.00,2.00,1.00,2.00,1.00,NULL,1.00,2.00,3.00,444,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218497,5.00,7.00,2.00,7.00,10.00,12.00,2.00,5.00,4.00,3,NULL,NULL,'GARIBALDI','JARAGUÁ SUL','SC',5740,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5218500,4.00,5.00,3.00,3.00,5.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218519,3.00,5.00,1.00,2.00,3.00,NULL,1.00,2.00,3.00,201,NULL,601,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5218527,3.00,6.00,2.00,5.00,5.00,7.50,2.00,2.00,4.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',15060,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5218535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5218560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5218594,9.00,3.00,3.00,7.00,7.00,7.88,4.00,4.00,7.00,103,NULL,NULL,'JARDIM NOVA BRASILIA','S ROQUE','SP',6123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5218608,1.00,3.00,0.00,1.00,5.00,NULL,1.00,1.00,4.00,303,NULL,NULL,'REVOREDO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5218616,5.00,7.00,5.00,6.00,7.00,7.50,5.00,5.00,5.00,601,NULL,203,'CENTRO','LAGES','SC',4985,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5218632,6.00,5.00,4.00,7.00,6.00,7.50,3.00,4.00,7.00,238,NULL,208,'ALTO ARIRIÚ','PALHOÇA','SC',7072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5218640,5.00,7.00,3.00,7.00,8.00,10.88,5.00,5.00,6.00,207,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',3195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5218659,6.00,6.00,2.00,7.00,4.00,7.13,1.00,4.00,3.00,207,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5218667,4.00,8.00,1.00,4.00,6.00,7.88,1.00,6.00,5.00,208,NULL,238,'PONTE DO IMARUIM','PALHOÇA','SC',10945,244,NULL,221,NULL,NULL,NULL,2,1),(20,5218675,3.00,5.00,2.00,2.00,5.00,8.63,3.00,2.00,3.00,324,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218683,4.00,1.00,0.00,3.00,3.00,NULL,2.00,2.00,1.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218691,1.00,4.00,0.00,3.00,6.00,NULL,2.00,2.00,3.00,444,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218705,2.00,3.00,4.00,3.00,2.00,NULL,0.00,3.00,4.00,301,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218713,5.00,6.00,3.00,3.00,3.00,NULL,0.00,1.00,4.00,316,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218730,6.00,6.00,2.00,5.00,9.00,8.25,1.00,3.00,7.00,108,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',8977,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218748,7.00,6.00,5.00,7.00,10.00,8.25,6.00,5.00,8.00,303,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',2558,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5218756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5218764,5.00,6.00,4.00,4.00,6.00,8.63,1.00,5.00,6.00,317,NULL,NULL,'SANTO ANTONIO','CHAPECÓ','SC',10731,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5218772,3.00,7.00,0.00,5.00,6.00,8.25,3.00,1.00,4.00,319,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',14374,290,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218780,4.00,7.00,3.00,6.00,3.00,NULL,2.00,0.00,2.00,303,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5218802,2.00,6.00,2.00,4.00,6.00,NULL,1.00,1.00,3.00,220,NULL,203,'JOÃO BATISTA TONIAL','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5218810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JD UNIVERSITARIO','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5218829,7.00,5.00,3.00,3.00,5.00,9.38,3.00,2.00,7.00,102,NULL,NULL,'VARZEA','ITAPEMA','SC',11034,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5218837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','RIO GRANDE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5218845,7.00,5.00,5.00,7.00,6.00,9.75,3.00,5.00,8.00,303,NULL,NULL,'JARDIM BARÁ','DOURADOS','MS',4735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5218853,4.00,4.00,1.00,4.00,6.00,NULL,0.00,2.00,4.00,452,NULL,NULL,'SANTA FELICIDADE','TEIXEIRÓPOLIS','RO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ROCIO II','PALMEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5218870,2.00,0.00,4.00,4.00,1.00,NULL,0.00,0.00,0.00,425,NULL,428,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5218888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5218896,4.00,8.00,3.00,6.00,8.00,8.25,2.00,2.00,6.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',8729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5218900,3.00,6.00,1.00,3.00,3.00,NULL,2.00,3.00,5.00,317,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218918,2.00,2.00,0.00,1.00,2.00,NULL,3.00,2.00,3.00,415,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5218926,8.00,5.00,3.00,6.00,6.00,5.25,5.00,1.00,5.00,220,NULL,208,'ASSUNÇÃO','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5218934,5.00,2.00,3.00,3.00,4.00,NULL,1.00,1.00,2.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218942,8.00,6.00,1.00,2.00,8.00,9.75,2.00,2.00,4.00,108,NULL,NULL,'CENTRO','BIGUAÇU','SC',13398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5218950,7.00,7.00,3.00,3.00,5.00,7.88,2.00,3.00,5.00,444,NULL,NULL,'CENTRO','PETROLÂNDIA','SC',11756,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5218977,4.00,5.00,1.00,4.00,6.00,NULL,0.00,2.00,2.00,207,NULL,201,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5218985,2.00,4.00,1.00,2.00,5.00,NULL,1.00,3.00,0.00,101,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5218993,3.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'MORRO GRANDE','SANGÃO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(20,5219000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'SANTA TEREZINHA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5219019,3.00,5.00,4.00,4.00,3.00,NULL,0.00,2.00,1.00,101,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219027,6.00,5.00,0.00,4.00,5.00,6.75,3.00,2.00,3.00,428,NULL,426,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','MELEIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5219043,0.00,2.00,1.00,2.00,4.00,NULL,3.00,2.00,1.00,225,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219051,3.00,5.00,0.00,3.00,3.00,NULL,1.00,2.00,4.00,316,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5219078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5219086,5.00,7.00,1.00,7.00,7.00,9.00,3.00,5.00,3.00,201,NULL,653,'SANTA RITA','BRUSQUE','SC',9110,659,NULL,NULL,NULL,NULL,NULL,4,6),(20,5219094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'HELIANÓPOLIS','ITABORAÍ','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5219116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'VILA MUNICIPAL','PEREIRA BARRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5219124,6.00,6.00,2.00,6.00,9.00,7.88,2.00,5.00,6.00,415,NULL,NULL,'CENTRO','ITUPORANGA','SC',7747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219132,8.00,6.00,7.00,6.00,8.00,10.13,5.00,2.00,7.00,207,NULL,216,'ITAPEMA DO NORTE','ITAPOÁ','SC',2942,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5219140,7.00,6.00,6.00,7.00,11.00,10.50,6.00,5.00,7.00,103,NULL,NULL,'SANTO INÁCIO','STA CRUZ SUL','RS',1243,727,NULL,NULL,NULL,NULL,NULL,4,10),(20,5219159,7.00,8.00,5.00,7.00,10.00,11.25,4.00,3.00,5.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',3469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219167,4.00,0.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5219175,2.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5219183,8.00,6.00,5.00,8.00,9.00,9.38,4.00,5.00,8.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',1664,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5219191,6.00,5.00,1.00,6.00,7.00,9.38,1.00,5.00,7.00,103,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',11002,3303,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219205,7.00,8.00,1.00,8.00,9.00,11.63,2.00,6.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219213,2.00,5.00,2.00,1.00,4.00,NULL,3.00,1.00,1.00,3,NULL,NULL,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5219221,4.00,5.00,2.00,5.00,5.00,7.50,2.00,3.00,3.00,203,NULL,220,'CAMPINAS','S JOSÉ','SC',16039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219230,5.00,4.00,0.00,3.00,5.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'TV MORENA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219248,4.00,3.00,1.00,1.00,4.00,NULL,1.00,2.00,2.00,339,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219264,5.00,7.00,3.00,7.00,6.00,8.63,4.00,4.00,7.00,420,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',6959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219272,4.00,7.00,3.00,5.00,6.00,7.50,3.00,3.00,5.00,444,NULL,NULL,'CAMPO DE FORA','LAGUNA','SC',12323,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5219280,5.00,6.00,2.00,4.00,3.00,NULL,2.00,2.00,4.00,238,NULL,235,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219299,5.00,4.00,1.00,2.00,6.00,NULL,0.00,2.00,4.00,5,NULL,NULL,'JARDIM BARONESA','TAUBATÉ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219302,6.00,8.00,3.00,6.00,10.00,12.75,3.00,3.00,6.00,215,NULL,233,'BAIRRO IPIRANGA','S JOSÉ','SC',3241,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219310,7.00,7.00,2.00,6.00,9.00,8.63,1.00,6.00,5.00,415,NULL,NULL,'ITACOLOMY','MOGI GUAÇU','SP',5501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219329,6.00,7.00,5.00,3.00,8.00,8.63,5.00,4.00,4.00,208,NULL,235,'ARIRIU DA FORMIGA','PALHOÇA','SC',7189,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219345,6.00,5.00,4.00,5.00,8.00,6.38,3.00,5.00,4.00,601,NULL,202,'LA SALLE','XANXERÊ','SC',8415,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5219361,4.00,6.00,1.00,3.00,5.00,NULL,2.00,1.00,2.00,238,NULL,235,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219370,6.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5219388,4.00,5.00,0.00,2.00,3.00,NULL,2.00,3.00,2.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AREIAS','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5219400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'METZLER','CPO BOM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5219418,7.00,7.00,5.00,8.00,8.00,9.75,2.00,4.00,5.00,415,NULL,NULL,'BOQUEIRÃO','SANTOS','SP',4213,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5219426,3.00,5.00,2.00,4.00,7.00,9.38,3.00,4.00,4.00,103,NULL,NULL,'REVOREDO','TUBARÃO','SC',12924,3507,NULL,NULL,NULL,NULL,NULL,2,10),(20,5219442,6.00,6.00,1.00,7.00,5.00,10.88,2.00,3.00,7.00,203,NULL,214,'PRIMEIRA LINHA','CRICIÚMA','SC',10376,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5219450,3.00,3.00,1.00,5.00,3.00,NULL,2.00,1.00,2.00,235,NULL,203,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219469,4.00,5.00,1.00,4.00,3.00,NULL,2.00,1.00,3.00,319,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219477,0.00,5.00,1.00,2.00,5.00,NULL,0.00,0.00,4.00,3,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5219493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SANTO ANTÔNIO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5219507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'SAO GERALDO','SETE LAGOAS','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5219515,9.00,6.00,6.00,5.00,10.00,9.00,6.00,4.00,6.00,103,NULL,NULL,'JARDIM SIMUS','SOROCABA','SP',2161,1148,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219523,6.00,5.00,0.00,5.00,8.00,8.25,2.00,3.00,7.00,452,NULL,NULL,'CENTRO','JOINVILLE','SC',10450,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5219531,7.00,7.00,3.00,6.00,8.00,10.88,3.00,3.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',4954,2132,NULL,NULL,NULL,NULL,NULL,2,5),(20,5219540,7.00,5.00,4.00,6.00,8.00,8.63,2.00,1.00,4.00,211,NULL,212,'PASSAGEM','TUBARÃO','SC',7744,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5219558,5.00,4.00,1.00,6.00,8.00,9.00,0.00,2.00,6.00,104,NULL,NULL,'CENTRO','JOAÇABA','SC',11090,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5219566,7.00,6.00,0.00,4.00,9.00,8.25,1.00,5.00,5.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219574,3.00,5.00,4.00,6.00,7.00,6.00,1.00,2.00,2.00,201,NULL,203,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219582,3.00,6.00,0.00,2.00,2.00,NULL,2.00,1.00,3.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5219604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'CHOAB','OURINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5219612,5.00,4.00,1.00,4.00,1.00,NULL,1.00,3.00,1.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219639,8.00,8.00,5.00,6.00,9.00,11.63,4.00,5.00,8.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',1819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219647,1.00,3.00,1.00,2.00,3.00,NULL,1.00,1.00,3.00,5,NULL,NULL,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5219655,3.00,4.00,1.00,1.00,1.00,NULL,0.00,4.00,2.00,212,NULL,201,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219663,8.00,8.00,6.00,7.00,9.00,10.50,6.00,5.00,7.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',1080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219671,3.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,429,NULL,421,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5219680,9.00,7.00,3.00,5.00,6.00,8.63,2.00,5.00,8.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',5197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219698,8.00,7.00,4.00,5.00,9.00,10.88,2.00,4.00,6.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',4803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219701,8.00,4.00,2.00,6.00,9.00,9.00,2.00,3.00,4.00,104,NULL,NULL,'SANTA LUZIA','JARAGUÁ SUL','SC',9055,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5219710,5.00,4.00,1.00,5.00,3.00,NULL,1.00,1.00,5.00,203,NULL,238,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219728,5.00,6.00,6.00,7.00,6.00,9.00,2.00,5.00,6.00,202,NULL,233,'SANTA MÔNICA','FLORIANÓPOLIS','SC',5173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219736,3.00,4.00,1.00,2.00,6.00,NULL,5.00,2.00,4.00,327,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219744,4.00,5.00,0.00,5.00,6.00,0.00,4.00,2.00,1.00,109,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219752,4.00,5.00,3.00,4.00,7.00,9.75,3.00,3.00,7.00,202,NULL,233,'CENTRO','JALES','SP',9504,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219760,4.00,0.00,1.00,3.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'WALDEMAR RAU','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5219779,4.00,5.00,2.00,7.00,8.00,11.25,1.00,6.00,3.00,415,NULL,NULL,'BELA VISTA','GASPAR','SC',9079,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5219787,4.00,6.00,4.00,5.00,7.00,7.88,4.00,2.00,3.00,420,NULL,NULL,'RIO BRANCO','CAXIAS SUL','RS',12405,95,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','HORIZONTINA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5219809,4.00,0.00,3.00,3.00,3.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'CENTRO','MARIALVA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5219817,1.00,5.00,4.00,6.00,6.00,8.63,0.00,3.00,5.00,233,NULL,213,'CENTRO','JUNQUEIRÓPOLIS','SP',13035,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5219825,3.00,3.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,5,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'TATUAPÉ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5219841,4.00,3.00,1.00,4.00,6.00,NULL,1.00,1.00,3.00,208,NULL,238,'AGRÔNOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219850,2.00,3.00,2.00,3.00,8.00,NULL,2.00,1.00,2.00,102,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219868,9.00,9.00,8.00,8.00,9.00,9.38,7.00,8.00,7.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',177,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5219876,8.00,6.00,7.00,7.00,7.00,6.00,4.00,4.00,8.00,202,NULL,235,'CAPITAIS','TIMBÓ','SC',2960,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5219884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5219892,8.00,8.00,3.00,3.00,4.00,7.88,6.00,4.00,7.00,203,NULL,NULL,'AYMORÉ','GUABIRUBA','SC',7496,575,NULL,NULL,NULL,NULL,NULL,2,8),(20,5219914,5.00,4.00,2.00,5.00,2.00,NULL,2.00,2.00,1.00,653,NULL,652,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5219930,4.00,3.00,0.00,3.00,6.00,NULL,0.00,2.00,2.00,102,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219957,3.00,4.00,4.00,4.00,3.00,NULL,4.00,2.00,2.00,404,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5219965,5.00,3.00,1.00,6.00,4.00,5.25,2.00,4.00,1.00,415,NULL,NULL,'VILA NOVA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5219981,6.00,5.00,3.00,7.00,7.00,8.25,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5219990,6.00,4.00,0.00,3.00,6.00,NULL,0.00,4.00,4.00,103,NULL,NULL,'MARTINHO PRADO JR','MARTINHO P JÚNIOR','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220009,2.00,7.00,1.00,4.00,9.00,6.38,2.00,4.00,5.00,333,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',13379,123,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5220025,5.00,5.00,1.00,3.00,6.00,6.75,0.00,4.00,4.00,428,NULL,426,'JARDIM CARANDAÍ','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220033,3.00,7.00,1.00,6.00,7.00,4.50,1.00,4.00,4.00,2,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5220050,4.00,7.00,0.00,6.00,7.00,6.75,2.00,1.00,4.00,333,NULL,NULL,'AREIAS','S JOSÉ','SC',13732,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220068,7.00,6.00,0.00,8.00,8.00,9.38,1.00,6.00,6.00,215,NULL,NULL,'CENTRO','PENHA','SC',7928,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5220084,6.00,6.00,2.00,6.00,6.00,NULL,3.00,6.00,3.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5220092,6.00,4.00,0.00,5.00,6.00,NULL,1.00,2.00,7.00,102,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220106,3.00,6.00,1.00,0.00,5.00,NULL,2.00,3.00,4.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5220114,4.00,7.00,1.00,5.00,5.00,7.50,2.00,3.00,3.00,327,NULL,NULL,'FUNDOS','BIGUAÇU','SC',16035,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5220149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5220157,6.00,6.00,2.00,6.00,6.00,6.00,0.00,3.00,3.00,220,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',14561,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5220165,2.00,4.00,3.00,3.00,5.00,NULL,0.00,0.00,4.00,213,NULL,601,'CRUZEIRO DO SUL','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5220173,7.00,6.00,2.00,3.00,9.00,7.50,3.00,3.00,3.00,319,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',11603,201,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220181,4.00,6.00,3.00,2.00,7.00,7.13,3.00,1.00,4.00,211,NULL,216,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5220190,2.00,6.00,1.00,4.00,4.00,NULL,2.00,2.00,3.00,316,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220203,2.00,3.00,3.00,4.00,6.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','MONTAURI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5220211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220220,4.00,4.00,2.00,4.00,9.00,6.00,3.00,2.00,2.00,319,NULL,NULL,'SANTO ANTONIO','S MATEUS SUL','PR',14490,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5220254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5220262,4.00,4.00,0.00,5.00,5.00,NULL,3.00,1.00,2.00,234,NULL,NULL,'SANTO ANDRÉ','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5220270,2.00,4.00,4.00,5.00,3.00,NULL,3.00,1.00,4.00,238,NULL,208,'CENTRO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5220289,8.00,6.00,3.00,4.00,9.00,8.25,4.00,2.00,2.00,5,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',9417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5220297,7.00,9.00,3.00,5.00,5.00,6.00,2.00,2.00,7.00,238,NULL,235,'CAMPECHE','FLORIANÓPOLIS','SC',9428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'NOSSA SENHORA APAREC','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5220319,3.00,2.00,2.00,2.00,5.00,NULL,0.00,2.00,3.00,102,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220327,4.00,6.00,2.00,4.00,6.00,6.75,3.00,3.00,3.00,223,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',15436,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'POÇAO','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5220343,6.00,4.00,4.00,4.00,5.00,9.38,3.00,0.00,2.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',15261,3776,NULL,NULL,NULL,NULL,NULL,2,10),(20,5220351,2.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5220360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'BARRA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5220378,2.00,2.00,0.00,3.00,5.00,NULL,1.00,1.00,1.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220386,4.00,4.00,2.00,4.00,7.00,NULL,0.00,1.00,0.00,601,NULL,208,'VILA ARGENTINA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5220408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM PAULISTANO','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5220416,4.00,3.00,1.00,5.00,8.00,NULL,0.00,5.00,2.00,205,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5220424,6.00,6.00,2.00,6.00,8.00,6.75,2.00,5.00,5.00,208,NULL,238,'FORQUILHAS','S JOSÉ','SC',10249,214,NULL,193,NULL,NULL,NULL,4,1),(20,5220432,5.00,7.00,4.00,7.00,8.00,7.13,2.00,6.00,6.00,202,NULL,653,'CENTRO','CHAPECÓ','SC',7428,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5220440,2.00,5.00,0.00,2.00,5.00,NULL,0.00,0.00,1.00,502,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5220459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5220467,7.00,7.00,7.00,7.00,6.00,6.75,2.00,3.00,8.00,653,NULL,651,'VILA MOEMA','TUBARÃO','SC',5295,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5220475,7.00,5.00,0.00,3.00,7.00,NULL,1.00,3.00,5.00,652,NULL,653,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5220483,4.00,6.00,1.00,4.00,3.00,NULL,0.00,0.00,2.00,103,NULL,NULL,'ARAÇATUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5220491,9.00,7.00,7.00,6.00,8.00,9.00,5.00,5.00,9.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',1438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5220505,2.00,2.00,5.00,2.00,8.00,NULL,3.00,2.00,1.00,324,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220513,2.00,4.00,2.00,0.00,6.00,NULL,1.00,3.00,4.00,101,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5220521,5.00,3.00,1.00,4.00,5.00,NULL,1.00,0.00,3.00,207,NULL,215,'CENTRO','PALMAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5220530,4.00,3.00,3.00,4.00,5.00,6.75,2.00,4.00,3.00,317,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',16187,139,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220548,3.00,4.00,3.00,2.00,3.00,NULL,1.00,5.00,3.00,333,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5220556,3.00,5.00,4.00,7.00,4.00,6.00,4.00,2.00,7.00,208,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5220564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,212,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5220572,9.00,8.00,6.00,7.00,8.00,10.13,6.00,4.00,7.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',1290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5220580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MADUREIRA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5220610,4.00,3.00,0.00,4.00,7.00,NULL,2.00,2.00,1.00,207,NULL,201,'ANDORINHA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5220629,6.00,7.00,3.00,5.00,4.00,10.13,2.00,4.00,4.00,301,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',10795,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220645,2.00,3.00,1.00,2.00,3.00,NULL,0.00,1.00,3.00,502,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5220653,7.00,7.00,6.00,4.00,8.00,9.75,7.00,3.00,6.00,220,NULL,203,'SÃO CRISTÓVÃO','LAGES','SC',3431,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5220661,2.00,3.00,3.00,6.00,10.00,12.00,2.00,3.00,5.00,326,NULL,NULL,'CRISTO REDENTOR','CAXIAS SUL','RS',9194,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5220670,5.00,5.00,2.00,4.00,6.00,7.50,2.00,3.00,4.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',13072,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5220688,5.00,5.00,0.00,0.00,7.00,NULL,1.00,4.00,4.00,308,NULL,NULL,'AREIAS','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5220696,6.00,6.00,4.00,3.00,6.00,9.00,3.00,4.00,4.00,404,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',10797,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220718,7.00,5.00,1.00,7.00,7.00,10.50,3.00,1.00,3.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5220726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO BENEDITO','GUARATINGUETÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5220734,7.00,8.00,3.00,7.00,7.00,10.13,4.00,6.00,5.00,102,NULL,NULL,'BOSQUE DAS MANSÕES','S JOSÉ','SC',3810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5220742,9.00,5.00,4.00,7.00,10.00,10.13,3.00,6.00,8.00,103,NULL,NULL,'FREI VITO','CHOPINZINHO','PR',2195,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5220750,2.00,3.00,1.00,3.00,5.00,NULL,4.00,2.00,4.00,304,NULL,NULL,'RIBEIRÃO DAS ANTAS','BENEDITO NOVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5220769,3.00,3.00,0.00,2.00,2.00,NULL,1.00,2.00,4.00,452,NULL,NULL,'CAÇADOR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5220777,3.00,1.00,2.00,5.00,4.00,NULL,1.00,2.00,4.00,420,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220785,8.00,6.00,2.00,7.00,7.00,11.25,2.00,4.00,3.00,318,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',9017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5220793,8.00,5.00,4.00,7.00,8.00,10.13,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2993,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5220807,5.00,6.00,4.00,6.00,8.00,9.75,1.00,5.00,6.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',6795,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5220815,7.00,7.00,2.00,3.00,7.00,8.25,2.00,3.00,6.00,333,NULL,NULL,'ARAÇATUBA','IMBITUBA','SC',9849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5220823,2.00,4.00,1.00,4.00,6.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'ARMAÇÃO PÂNTANO DO S','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220831,2.00,6.00,2.00,4.00,4.00,6.75,2.00,1.00,5.00,601,NULL,212,'COMASA','JOINVILLE','SC',16279,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5220840,6.00,7.00,2.00,6.00,8.00,9.75,3.00,4.00,4.00,103,NULL,NULL,'CRISTO REI','S CARLOS','SC',6922,2633,NULL,NULL,NULL,NULL,NULL,2,4),(20,5220858,8.00,8.00,4.00,8.00,7.00,7.88,5.00,5.00,7.00,216,NULL,202,'SAGRADO C DE JESUS','LAGES','SC',2548,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5220866,5.00,6.00,4.00,3.00,9.00,10.13,2.00,2.00,4.00,5,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',11590,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5220874,5.00,6.00,3.00,3.00,5.00,5.25,2.00,4.00,4.00,224,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220882,2.00,2.00,0.00,0.00,2.00,NULL,2.00,0.00,2.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5220890,1.00,6.00,2.00,2.00,6.00,NULL,3.00,3.00,2.00,203,NULL,201,'ANA CRISTINA','JALES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220904,3.00,3.00,3.00,5.00,6.00,7.13,2.00,2.00,4.00,9,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5220912,5.00,6.00,1.00,4.00,2.00,NULL,1.00,2.00,3.00,207,NULL,238,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5220920,1.00,1.00,2.00,3.00,3.00,NULL,0.00,1.00,2.00,238,NULL,208,'COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5220939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'AVIAÇÃO','PR GRANDE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5220955,2.00,6.00,4.00,3.00,5.00,7.13,1.00,4.00,4.00,220,NULL,233,'SANTANA','RIO SUL','SC',13835,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5220963,2.00,5.00,0.00,5.00,5.00,NULL,1.00,2.00,2.00,207,NULL,NULL,'VILA RAU','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5220971,5.00,5.00,2.00,3.00,7.00,7.13,4.00,2.00,3.00,301,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',13862,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5220980,3.00,5.00,4.00,4.00,6.00,7.50,2.00,1.00,4.00,203,NULL,233,'FAZENDA','ITAJAÍ','SC',13574,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5220998,5.00,6.00,2.00,2.00,4.00,6.00,3.00,3.00,4.00,337,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221005,4.00,6.00,2.00,4.00,5.00,6.75,2.00,2.00,3.00,319,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221013,4.00,7.00,3.00,6.00,5.00,6.75,3.00,4.00,5.00,213,NULL,202,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221021,6.00,8.00,0.00,5.00,7.00,NULL,0.00,2.00,4.00,415,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5221030,4.00,5.00,2.00,2.00,7.00,6.75,2.00,3.00,4.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221048,2.00,5.00,3.00,3.00,6.00,NULL,1.00,3.00,2.00,316,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221056,1.00,4.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,309,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221064,2.00,2.00,0.00,2.00,4.00,NULL,0.00,0.00,3.00,108,NULL,NULL,'RIO BONITO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5221072,4.00,6.00,2.00,3.00,6.00,9.75,1.00,3.00,3.00,316,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',15407,241,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221080,4.00,7.00,0.00,4.00,3.00,NULL,1.00,4.00,6.00,211,NULL,208,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5221102,4.00,5.00,2.00,7.00,8.00,9.75,0.00,3.00,3.00,425,NULL,423,'JARDIM AMERICA','RIO SUL','SC',11926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221110,3.00,4.00,0.00,2.00,7.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'INTERIOR','ENTRE RIOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5221129,1.00,4.00,3.00,2.00,3.00,NULL,2.00,2.00,2.00,207,NULL,201,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221137,6.00,5.00,3.00,7.00,7.00,7.13,2.00,2.00,6.00,215,NULL,233,'PADRE MARTINHO STEIN','TIMBÓ','SC',8293,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5221145,3.00,4.00,1.00,4.00,7.00,NULL,0.00,3.00,3.00,201,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5221153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5221161,5.00,4.00,2.00,6.00,6.00,5.25,1.00,3.00,6.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221170,3.00,5.00,3.00,3.00,7.00,8.25,1.00,4.00,7.00,215,NULL,653,'CENTRO','SOMBRIO','SC',10856,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221188,2.00,4.00,1.00,3.00,5.00,NULL,0.00,2.00,3.00,503,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221196,8.00,7.00,2.00,5.00,7.00,8.63,3.00,6.00,7.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',5573,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5221200,4.00,4.00,5.00,4.00,5.00,6.00,2.00,4.00,5.00,317,NULL,NULL,'COSTA DE DENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221218,9.00,8.00,6.00,6.00,8.00,8.25,6.00,3.00,7.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',1424,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5221226,4.00,7.00,0.00,8.00,7.00,9.00,2.00,4.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221234,7.00,7.00,4.00,6.00,9.00,7.88,5.00,4.00,5.00,203,NULL,220,'CENTRO','CAÇADOR','SC',3667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221242,4.00,4.00,3.00,5.00,5.00,6.00,1.00,3.00,3.00,5,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',15647,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221250,6.00,5.00,2.00,4.00,6.00,8.63,4.00,5.00,5.00,317,NULL,NULL,'AREIAS','S JOSÉ','SC',11103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221269,5.00,5.00,5.00,4.00,7.00,10.50,4.00,5.00,7.00,216,NULL,215,'CENTRO','CRICIÚMA','SC',6334,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5221277,8.00,6.00,3.00,7.00,5.00,7.88,2.00,3.00,4.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221285,8.00,7.00,7.00,8.00,8.00,9.38,8.00,4.00,8.00,203,NULL,214,'ITACORUBI','FLORIANÓPOLIS','SC',1079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221293,6.00,6.00,4.00,5.00,8.00,6.75,4.00,1.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7520,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5221307,4.00,6.00,0.00,3.00,5.00,8.63,2.00,4.00,2.00,238,NULL,208,'SANTA REGINA III','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5221315,5.00,7.00,5.00,6.00,6.00,9.75,5.00,3.00,5.00,601,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',7446,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5221323,4.00,4.00,1.00,2.00,3.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'CIDADE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5221331,4.00,6.00,3.00,5.00,8.00,8.63,1.00,3.00,8.00,103,NULL,NULL,'CENTRO','MODELO','SC',8504,2926,NULL,NULL,NULL,NULL,NULL,2,4),(20,5221340,1.00,7.00,2.00,7.00,4.00,6.00,2.00,2.00,4.00,452,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',15984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221358,8.00,6.00,4.00,5.00,8.00,7.50,2.00,4.00,4.00,220,NULL,202,'JD PAULO VI','JALES','SP',6630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','IBITINGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5221374,4.00,2.00,3.00,4.00,7.00,7.13,3.00,3.00,6.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221382,3.00,5.00,2.00,5.00,8.00,9.75,1.00,4.00,5.00,203,NULL,202,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',11915,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221404,3.00,3.00,1.00,3.00,6.00,NULL,1.00,1.00,6.00,303,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221439,6.00,6.00,1.00,7.00,4.00,6.75,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,10),(20,5221447,6.00,7.00,4.00,7.00,6.00,9.00,2.00,2.00,6.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',7566,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5221455,6.00,5.00,0.00,3.00,8.00,10.50,1.00,3.00,3.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13856,90,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221463,8.00,0.00,3.00,5.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(20,5221471,2.00,3.00,0.00,2.00,4.00,NULL,3.00,1.00,2.00,326,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221480,4.00,5.00,2.00,2.00,3.00,NULL,4.00,2.00,5.00,203,NULL,220,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221498,8.00,6.00,6.00,8.00,10.00,9.75,4.00,3.00,7.00,220,NULL,211,'LUCAS ARAÚJO','PASSO FUNDO','RS',2325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5221510,2.00,2.00,0.00,2.00,4.00,NULL,2.00,1.00,2.00,319,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221528,1.00,3.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,211,NULL,215,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO DOMINGOS','SUMARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5221552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,427,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5221560,3.00,3.00,2.00,3.00,7.00,NULL,0.00,2.00,2.00,102,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5221579,5.00,6.00,0.00,6.00,6.00,8.25,1.00,5.00,3.00,316,NULL,NULL,'ROÇADO','S JOSÉ','SC',11940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221587,5.00,6.00,2.00,6.00,6.00,9.00,4.00,5.00,6.00,327,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10069,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221595,5.00,5.00,1.00,2.00,6.00,6.00,3.00,3.00,7.00,310,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221609,7.00,7.00,3.00,6.00,9.00,8.63,0.00,3.00,5.00,601,NULL,214,'COSTA E SILVA','JOINVILLE','SC',8134,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5221617,4.00,4.00,0.00,4.00,6.00,NULL,0.00,4.00,3.00,103,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221625,5.00,7.00,1.00,6.00,8.00,8.25,1.00,3.00,4.00,103,NULL,NULL,'ESTADOS','BAL CAMBORIÚ','SC',11593,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5221641,3.00,4.00,0.00,1.00,4.00,NULL,3.00,3.00,2.00,109,NULL,NULL,'BARREIROS SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221650,3.00,3.00,1.00,5.00,7.00,NULL,0.00,2.00,1.00,215,NULL,216,'BARRA SUL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5221668,1.00,2.00,3.00,3.00,4.00,NULL,1.00,2.00,1.00,320,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221676,5.00,6.00,2.00,5.00,7.00,9.00,4.00,3.00,4.00,444,NULL,NULL,'MADUREIRA','CAXIAS SUL','RS',10909,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5221684,4.00,5.00,0.00,5.00,6.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5221692,8.00,7.00,1.00,3.00,6.00,9.75,1.00,3.00,5.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10625,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221706,0.00,6.00,1.00,5.00,5.00,NULL,0.00,2.00,3.00,224,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221722,4.00,5.00,3.00,7.00,6.00,6.38,4.00,1.00,4.00,238,NULL,208,'PRESIDENTE MÉDICE','CHAPECÓ','SC',10707,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5221730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5221749,9.00,5.00,2.00,5.00,10.00,9.00,4.00,2.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5820,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5221757,2.00,3.00,0.00,3.00,4.00,NULL,0.00,4.00,1.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221765,5.00,8.00,3.00,2.00,6.00,NULL,0.00,3.00,5.00,304,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221773,4.00,6.00,3.00,3.00,6.00,10.13,2.00,3.00,3.00,9,NULL,NULL,'SERRARIA','S JOSÉ','SC',12940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221781,3.00,5.00,5.00,4.00,4.00,9.38,3.00,3.00,5.00,601,NULL,233,'CENTRO','FAXINAL GUEDES','SC',11475,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5221790,5.00,5.00,1.00,3.00,4.00,NULL,0.00,2.00,3.00,601,NULL,203,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5221803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,427,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5221811,3.00,7.00,2.00,7.00,5.00,9.00,1.00,3.00,5.00,211,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',12620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221820,1.00,4.00,1.00,2.00,4.00,NULL,2.00,2.00,2.00,404,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221838,3.00,4.00,5.00,5.00,5.00,7.50,2.00,1.00,3.00,453,NULL,NULL,'SERRARIA','S JOSÉ','SC',15429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221846,6.00,8.00,4.00,4.00,7.00,7.13,3.00,4.00,3.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',9337,136,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5221862,3.00,5.00,0.00,2.00,5.00,NULL,2.00,2.00,5.00,651,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5221870,3.00,6.00,2.00,2.00,6.00,7.88,4.00,3.00,2.00,318,NULL,NULL,'SUMARÉ','RIO SUL','SC',15374,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5221889,9.00,7.00,5.00,5.00,8.00,11.63,4.00,4.00,6.00,317,NULL,NULL,'JARDIM DAS ACACIAS','S JOSÉ','SC',3239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5221919,5.00,6.00,0.00,3.00,6.00,NULL,4.00,1.00,4.00,203,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5221927,4.00,5.00,1.00,5.00,4.00,9.38,1.00,3.00,2.00,502,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221935,3.00,4.00,4.00,5.00,5.00,NULL,0.00,2.00,2.00,225,NULL,NULL,'DE CARLI','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5221986,8.00,7.00,3.00,7.00,8.00,14.63,6.00,6.00,6.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5221994,5.00,7.00,1.00,6.00,8.00,7.50,1.00,4.00,4.00,503,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',11950,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5222010,4.00,4.00,3.00,4.00,5.00,NULL,0.00,0.00,2.00,319,NULL,NULL,'VILA AMORIM','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222028,1.00,3.00,0.00,4.00,4.00,NULL,1.00,1.00,4.00,3,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222036,3.00,6.00,4.00,4.00,6.00,6.75,1.00,1.00,3.00,653,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5222044,6.00,6.00,1.00,5.00,6.00,8.25,2.00,3.00,2.00,207,NULL,233,'FAZENDA SANTO ANTÔNI','S JOSÉ','SC',11383,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222052,3.00,4.00,1.00,2.00,4.00,NULL,2.00,1.00,2.00,207,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222087,4.00,6.00,6.00,5.00,5.00,8.25,5.00,4.00,6.00,103,NULL,NULL,'CENTRO','DIONÍSIO CERQUEIRA','SC',8444,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5222095,6.00,6.00,6.00,6.00,5.00,7.88,4.00,3.00,6.00,103,NULL,NULL,'HAUER','CURITIBA','PR',6057,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5222109,3.00,1.00,0.00,3.00,3.00,NULL,0.00,0.00,1.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222117,6.00,3.00,0.00,6.00,4.00,6.75,1.00,2.00,3.00,104,NULL,NULL,'CENTRO','SALETE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222125,4.00,4.00,2.00,4.00,6.00,6.75,2.00,2.00,3.00,207,NULL,NULL,'PORTAO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5222141,6.00,6.00,0.00,4.00,3.00,NULL,3.00,4.00,3.00,337,NULL,NULL,'FÁTIMA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222150,9.00,7.00,7.00,8.00,10.00,11.63,7.00,7.00,9.00,103,NULL,NULL,'CENTRO','ITAPEJARA D OESTE','PR',184,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5222168,3.00,6.00,2.00,2.00,5.00,7.13,1.00,3.00,4.00,214,NULL,207,'INGLESES','FLORIANÓPOLIS','SC',16051,380,NULL,783,NULL,NULL,NULL,4,1),(20,5222176,9.00,7.00,6.00,7.00,9.00,11.63,8.00,4.00,9.00,103,NULL,NULL,'SANTO ANTÔNIO','PTO ALEGRE','RS',432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222192,3.00,5.00,1.00,3.00,5.00,NULL,2.00,4.00,2.00,324,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222206,3.00,4.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,415,NULL,NULL,'CENTRO','PTE SERRADA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5222222,4.00,4.00,1.00,4.00,4.00,NULL,1.00,2.00,3.00,207,NULL,211,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222230,8.00,6.00,2.00,6.00,7.00,7.13,4.00,3.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7039,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5222249,4.00,6.00,4.00,7.00,8.00,9.00,4.00,3.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222257,3.00,6.00,2.00,5.00,3.00,NULL,2.00,2.00,3.00,201,NULL,NULL,'KOBRASSOL II','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222265,3.00,5.00,4.00,1.00,2.00,NULL,3.00,4.00,4.00,202,NULL,213,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5222273,4.00,5.00,2.00,6.00,5.00,6.75,1.00,2.00,1.00,404,NULL,NULL,'ARMAÇÃO DO P SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5222290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5222303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5222320,7.00,6.00,2.00,4.00,4.00,9.75,3.00,3.00,5.00,317,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222338,4.00,4.00,4.00,4.00,5.00,9.38,2.00,3.00,4.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222354,7.00,7.00,3.00,6.00,8.00,7.13,2.00,4.00,4.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5222370,6.00,5.00,0.00,5.00,5.00,NULL,1.00,5.00,6.00,103,NULL,NULL,'ATLÂNTICO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5222389,5.00,6.00,4.00,5.00,6.00,10.13,1.00,3.00,3.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',11669,477,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222397,4.00,5.00,3.00,5.00,7.00,6.75,1.00,5.00,4.00,316,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',11278,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222400,2.00,2.00,0.00,2.00,3.00,NULL,1.00,2.00,2.00,451,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222419,9.00,7.00,3.00,7.00,7.00,9.00,6.00,3.00,8.00,103,NULL,NULL,'JARDIM MONTE CARLO','ANDIRÁ','PR',2257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222427,4.00,6.00,1.00,7.00,6.00,7.88,2.00,3.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222435,5.00,6.00,2.00,3.00,8.00,6.00,3.00,3.00,3.00,216,NULL,201,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222443,6.00,6.00,3.00,7.00,6.00,8.25,3.00,2.00,6.00,103,NULL,NULL,'VILA MORSE','S PAULO','SP',6198,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5222460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ERMELINO MATARAZZO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5222486,2.00,4.00,1.00,2.00,4.00,NULL,3.00,1.00,2.00,108,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222494,3.00,5.00,0.00,6.00,6.00,6.38,1.00,2.00,4.00,203,NULL,202,'MARIA SILVEIRA','JALES','SP',14297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222508,6.00,6.00,0.00,5.00,8.00,6.75,2.00,6.00,3.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12892,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222516,1.00,5.00,1.00,3.00,4.00,NULL,0.00,1.00,1.00,303,NULL,NULL,'BOCKMANN','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5222524,3.00,4.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222532,7.00,5.00,4.00,7.00,6.00,9.38,2.00,2.00,2.00,211,NULL,233,'BRUSQUE','LAGES','SC',10577,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5222540,2.00,5.00,0.00,3.00,3.00,NULL,2.00,2.00,0.00,327,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222575,2.00,5.00,3.00,5.00,2.00,NULL,0.00,2.00,2.00,303,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222591,3.00,6.00,0.00,2.00,2.00,NULL,0.00,1.00,2.00,202,NULL,213,'RIO DO POUSO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5222605,4.00,6.00,3.00,4.00,8.00,6.75,2.00,6.00,4.00,336,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',12179,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222613,4.00,4.00,0.00,5.00,7.00,8.63,2.00,5.00,3.00,102,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222621,6.00,4.00,4.00,7.00,5.00,9.00,3.00,4.00,4.00,340,NULL,NULL,'JARDIM NOVA YORQUE','ARAÇATUBA','SP',8053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222630,4.00,6.00,2.00,3.00,4.00,7.88,1.00,2.00,3.00,318,NULL,NULL,'LAGE DE PEDRA','SAUDADES','SC',15726,114,NULL,NULL,NULL,NULL,NULL,4,4),(20,5222648,5.00,4.00,2.00,3.00,7.00,7.13,2.00,4.00,5.00,101,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',14341,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222656,5.00,4.00,2.00,4.00,5.00,9.00,2.00,1.00,4.00,103,NULL,NULL,'FUNDO CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5222664,2.00,5.00,4.00,3.00,6.00,4.88,1.00,3.00,4.00,102,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222672,1.00,5.00,1.00,4.00,7.00,NULL,1.00,3.00,3.00,320,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222680,5.00,4.00,3.00,3.00,5.00,7.50,1.00,2.00,5.00,316,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5222699,7.00,5.00,2.00,7.00,6.00,7.88,2.00,3.00,4.00,211,NULL,233,'CENTRO','CRAVINHOS','SP',9076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222702,9.00,9.00,6.00,7.00,10.00,11.25,7.00,5.00,8.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',171,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5222710,3.00,3.00,0.00,4.00,2.00,NULL,1.00,1.00,1.00,222,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222729,5.00,7.00,1.00,7.00,6.00,10.13,5.00,4.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222737,6.00,7.00,2.00,8.00,8.00,9.38,1.00,3.00,4.00,452,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',8533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222745,4.00,5.00,5.00,5.00,8.00,NULL,0.00,4.00,3.00,324,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5222761,5.00,4.00,1.00,2.00,6.00,NULL,1.00,2.00,3.00,208,NULL,238,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','ARABUTÃ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5222788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CHACARA SILVANIA','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5222796,9.00,7.00,6.00,6.00,8.00,7.50,3.00,8.00,6.00,207,NULL,201,'CENTRO','JARAGUÁ SUL','SC',2724,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222800,2.00,5.00,1.00,3.00,4.00,NULL,0.00,1.00,3.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222818,8.00,7.00,7.00,5.00,8.00,10.88,8.00,6.00,8.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222826,5.00,6.00,1.00,2.00,7.00,7.88,3.00,4.00,4.00,551,NULL,NULL,'CENTRO','PTE ALTA NORTE','SC',13844,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5222834,1.00,6.00,2.00,4.00,4.00,7.88,1.00,3.00,3.00,425,NULL,423,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222842,4.00,5.00,4.00,5.00,8.00,6.75,3.00,3.00,6.00,336,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9354,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222869,4.00,4.00,4.00,5.00,6.00,7.13,1.00,2.00,1.00,303,NULL,NULL,'GUADALUPE','LAGES','SC',16008,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5222877,8.00,6.00,5.00,7.00,10.00,12.00,8.00,6.00,8.00,203,NULL,235,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222885,3.00,4.00,2.00,5.00,5.00,NULL,2.00,2.00,0.00,320,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222893,6.00,7.00,4.00,6.00,6.00,9.38,8.00,5.00,7.00,214,NULL,601,'SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC',3379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5222923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CENTRO','ALM TAMANDARÉ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5222931,8.00,6.00,2.00,7.00,6.00,6.00,4.00,4.00,4.00,601,NULL,233,'NOVO HORIZONTE','MARÍLIA','SP',6538,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5222940,7.00,7.00,2.00,7.00,8.00,8.25,0.00,3.00,5.00,303,NULL,NULL,'JARDIM EUROPA','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5222974,6.00,6.00,1.00,2.00,5.00,9.38,2.00,3.00,5.00,203,NULL,202,'JD NOVA VIDA','JALES','SP',12182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222982,3.00,5.00,1.00,5.00,4.00,7.13,2.00,2.00,5.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16246,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5222990,6.00,5.00,1.00,6.00,4.00,8.63,0.00,3.00,3.00,9,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',15962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223016,5.00,6.00,3.00,5.00,5.00,7.88,0.00,1.00,2.00,303,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',15276,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5223024,2.00,5.00,3.00,2.00,6.00,NULL,0.00,3.00,1.00,502,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5223032,8.00,9.00,3.00,6.00,6.00,9.00,1.00,3.00,3.00,207,NULL,201,'ALEIXO','MANAUS','AM',8478,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5223040,2.00,4.00,2.00,7.00,7.00,8.63,0.00,1.00,4.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223059,4.00,2.00,0.00,0.00,2.00,NULL,1.00,1.00,2.00,9,NULL,NULL,'SERRARIA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5223067,2.00,1.00,1.00,1.00,1.00,NULL,1.00,1.00,1.00,502,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'MORUMBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5223083,5.00,5.00,1.00,6.00,5.00,9.00,1.00,2.00,5.00,211,NULL,201,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223091,0.00,2.00,2.00,3.00,5.00,NULL,1.00,3.00,3.00,319,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223113,5.00,5.00,1.00,3.00,5.00,NULL,0.00,2.00,3.00,108,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5223121,7.00,8.00,4.00,6.00,8.00,11.63,3.00,5.00,5.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223130,3.00,6.00,3.00,3.00,0.00,NULL,2.00,1.00,1.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223148,3.00,6.00,1.00,4.00,4.00,NULL,2.00,2.00,0.00,103,NULL,NULL,'CENTRO','PRUDENTÓPOLIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5223156,7.00,5.00,1.00,4.00,6.00,6.75,3.00,2.00,2.00,317,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',15364,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5223164,3.00,6.00,2.00,6.00,5.00,NULL,0.00,2.00,3.00,203,NULL,202,'CENTRO','GASTÃO VIDIGAL','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223172,5.00,5.00,2.00,5.00,3.00,NULL,1.00,1.00,3.00,102,NULL,NULL,'EUGÊNIO SCHNEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223180,4.00,4.00,3.00,2.00,4.00,NULL,1.00,3.00,2.00,203,NULL,214,'SANTOS DUMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5223199,4.00,5.00,2.00,6.00,5.00,6.75,2.00,3.00,3.00,101,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',14833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5223202,0.00,6.00,3.00,7.00,3.00,NULL,1.00,2.00,4.00,316,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5223210,4.00,3.00,2.00,4.00,6.00,6.75,3.00,3.00,3.00,420,NULL,NULL,'IPIRANGA','S JOSÉ','SC',15138,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5223237,1.00,5.00,0.00,2.00,6.00,NULL,2.00,3.00,1.00,222,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223253,2.00,3.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,453,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5223261,3.00,5.00,2.00,5.00,7.00,10.88,3.00,4.00,2.00,319,NULL,NULL,'CANTA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5223270,6.00,6.00,2.00,4.00,5.00,7.88,4.00,2.00,5.00,101,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',12169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5223288,7.00,7.00,3.00,7.00,10.00,7.88,2.00,6.00,7.00,108,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',4367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223296,2.00,4.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,303,NULL,NULL,'RIO HERN','SCHROEDER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5223300,9.00,8.00,6.00,7.00,10.00,10.13,9.00,5.00,8.00,103,NULL,NULL,'ABADIA','UBERABA','MG',235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5223318,6.00,8.00,5.00,6.00,6.00,10.50,3.00,3.00,3.00,601,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',8475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5223326,5.00,5.00,1.00,4.00,7.00,NULL,0.00,2.00,3.00,451,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223334,7.00,8.00,4.00,7.00,7.00,10.88,3.00,4.00,4.00,303,NULL,NULL,'BACACHERI','CURITIBA','PR',4912,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5223342,5.00,6.00,3.00,4.00,7.00,8.25,4.00,3.00,6.00,102,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223350,6.00,7.00,3.00,5.00,6.00,9.00,2.00,4.00,5.00,238,NULL,201,'CENTRO','CURITIBA','PR',6121,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5223377,7.00,7.00,4.00,4.00,8.00,8.25,2.00,3.00,7.00,216,NULL,211,'INGLESES','FLORIANÓPOLIS','SC',8308,346,NULL,NULL,NULL,NULL,NULL,2,1),(20,5223393,5.00,7.00,4.00,7.00,7.00,9.38,5.00,3.00,5.00,214,NULL,203,'CENTRO','GASTÃO VIDIGAL','SP',5368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5223415,8.00,6.00,2.00,7.00,6.00,7.88,4.00,4.00,5.00,103,NULL,NULL,'LAGO NORTE','LG NORTE','DF',8781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223431,4.00,4.00,0.00,4.00,4.00,7.88,2.00,2.00,6.00,2,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223440,5.00,6.00,3.00,5.00,5.00,9.75,2.00,4.00,6.00,303,NULL,NULL,'GALHETA','LAGUNA','SC',9441,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5223458,3.00,5.00,2.00,4.00,4.00,NULL,0.00,2.00,3.00,653,NULL,215,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5223466,7.00,6.00,4.00,6.00,7.00,7.50,3.00,3.00,6.00,207,NULL,233,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',6311,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5223490,3.00,3.00,1.00,4.00,4.00,NULL,3.00,0.00,3.00,9,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5223504,4.00,7.00,0.00,3.00,7.00,7.88,2.00,4.00,4.00,503,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',12191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223520,3.00,6.00,0.00,2.00,4.00,NULL,3.00,3.00,3.00,225,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223539,7.00,6.00,5.00,7.00,4.00,7.88,5.00,3.00,4.00,601,NULL,212,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',7995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223547,7.00,7.00,4.00,7.00,7.00,8.25,1.00,5.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',3895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223555,5.00,5.00,0.00,3.00,5.00,NULL,1.00,2.00,2.00,302,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223563,2.00,4.00,0.00,2.00,5.00,NULL,0.00,3.00,3.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223601,6.00,4.00,1.00,7.00,7.00,8.63,0.00,4.00,6.00,103,NULL,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',9512,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5223610,9.00,7.00,5.00,7.00,8.00,10.13,5.00,3.00,4.00,233,NULL,601,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',4362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5223636,1.00,6.00,1.00,3.00,4.00,NULL,1.00,2.00,3.00,652,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5223644,5.00,7.00,6.00,7.00,7.00,10.50,3.00,3.00,5.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5264,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5223652,6.00,5.00,0.00,6.00,6.00,8.63,1.00,5.00,5.00,201,NULL,212,'CENTRO','POMERODE','SC',10723,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5223660,3.00,7.00,1.00,7.00,6.00,9.75,4.00,4.00,5.00,415,NULL,NULL,'SANTA TEREZA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5223679,7.00,6.00,0.00,7.00,4.00,9.38,3.00,3.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223687,0.00,3.00,0.00,0.00,1.00,NULL,0.00,2.00,0.00,302,NULL,NULL,'CANAS VIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223695,8.00,5.00,3.00,8.00,8.00,10.50,3.00,5.00,3.00,415,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',4378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223709,4.00,6.00,6.00,4.00,4.00,8.25,3.00,3.00,6.00,222,NULL,NULL,'SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC',11718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223717,6.00,5.00,4.00,4.00,7.00,8.25,2.00,4.00,7.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5223725,5.00,6.00,0.00,4.00,4.00,4.50,2.00,3.00,2.00,652,NULL,201,'JARDIM BELA VISTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5223733,8.00,8.00,1.00,6.00,7.00,10.13,3.00,3.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8046,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5223741,1.00,5.00,1.00,2.00,8.00,NULL,1.00,3.00,1.00,207,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223784,3.00,6.00,4.00,7.00,6.00,7.88,2.00,4.00,5.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',11328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223792,4.00,6.00,2.00,7.00,7.00,7.88,4.00,5.00,6.00,201,NULL,202,'HUMAITÁ','PTO ALEGRE','RS',6999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223814,3.00,2.00,3.00,3.00,3.00,NULL,0.00,4.00,3.00,233,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5223822,5.00,7.00,1.00,5.00,6.00,6.75,4.00,2.00,5.00,216,NULL,233,'PRAIA COMPRIDA','S JOSÉ','SC',13470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223830,6.00,5.00,0.00,6.00,4.00,NULL,4.00,1.00,3.00,653,NULL,202,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5223849,8.00,6.00,7.00,6.00,7.00,8.63,5.00,4.00,7.00,212,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',2912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223857,4.00,5.00,1.00,3.00,5.00,NULL,0.00,2.00,3.00,201,NULL,207,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223865,5.00,3.00,5.00,7.00,5.00,8.25,3.00,3.00,5.00,216,NULL,215,'GUAÍRA','CURITIBA','PR',9620,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5223873,7.00,6.00,5.00,4.00,8.00,10.13,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223881,7.00,5.00,3.00,7.00,5.00,7.13,2.00,3.00,7.00,103,NULL,NULL,'BATEL','CURITIBA','PR',9267,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5223890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,651,'GUARITA','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5223903,6.00,7.00,4.00,2.00,3.00,NULL,0.00,2.00,2.00,5,NULL,NULL,'CENTRO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5223920,2.00,5.00,2.00,4.00,5.00,6.00,2.00,3.00,3.00,324,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5223938,8.00,6.00,4.00,7.00,10.00,9.00,2.00,5.00,6.00,103,NULL,NULL,'SAGUACU','JOINVILLE','SC',3385,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5223946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5223954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'UNIVERSITARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5223962,7.00,6.00,4.00,7.00,9.00,10.88,2.00,7.00,5.00,340,NULL,NULL,'PASSO','MAFRA','SC',4033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223970,5.00,5.00,0.00,4.00,6.00,7.50,3.00,3.00,3.00,444,NULL,NULL,'SAO FRANCISCO','STO AMARO IMPERATRIZ','SC',15046,87,NULL,NULL,NULL,NULL,NULL,4,1),(20,5223989,2.00,5.00,2.00,0.00,3.00,NULL,2.00,1.00,2.00,444,NULL,NULL,'SANTA LUZIA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(20,5223997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5224004,6.00,5.00,1.00,1.00,4.00,NULL,2.00,1.00,4.00,203,NULL,235,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224012,7.00,6.00,2.00,7.00,9.00,9.38,3.00,6.00,5.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224020,4.00,6.00,1.00,1.00,5.00,NULL,1.00,2.00,3.00,207,NULL,201,'PROGRESSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5224047,6.00,5.00,3.00,4.00,4.00,7.13,0.00,2.00,3.00,103,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',15922,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5224055,5.00,4.00,2.00,3.00,5.00,NULL,2.00,2.00,2.00,415,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224071,3.00,6.00,1.00,4.00,8.00,7.13,4.00,2.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224080,6.00,6.00,4.00,4.00,9.00,6.38,3.00,4.00,4.00,202,NULL,653,'CONJUNTO ITATIAIA','MARINGÁ','PR',9549,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5224098,4.00,5.00,3.00,3.00,6.00,6.00,2.00,2.00,4.00,303,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224101,3.00,6.00,1.00,2.00,5.00,NULL,3.00,2.00,3.00,303,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224110,9.00,5.00,2.00,7.00,9.00,9.00,5.00,4.00,5.00,103,NULL,NULL,'SÃO JOÃO','PTO ALEGRE','RS',3531,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5224136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,214,'TRAÇADO','URUBICI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5224144,7.00,6.00,4.00,7.00,9.00,8.25,4.00,4.00,6.00,301,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',5144,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5224152,7.00,8.00,7.00,4.00,6.00,9.75,4.00,3.00,7.00,201,NULL,211,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224160,3.00,7.00,2.00,3.00,3.00,NULL,1.00,1.00,3.00,207,NULL,213,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224179,9.00,9.00,7.00,7.00,9.00,9.75,7.00,7.00,9.00,103,NULL,NULL,'BOM RETIRO','CURITIBA','PR',147,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5224187,2.00,4.00,4.00,3.00,4.00,NULL,1.00,2.00,4.00,420,NULL,NULL,'ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'EUGENIO SCHNEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5224217,4.00,5.00,4.00,4.00,7.00,9.38,4.00,2.00,4.00,415,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',13154,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5224225,4.00,6.00,0.00,6.00,5.00,6.75,2.00,3.00,4.00,453,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',14880,105,NULL,NULL,NULL,NULL,NULL,2,2),(20,5224233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'JARDIM EMILIA','EMBU-GUAÇU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5224241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5224250,6.00,8.00,4.00,6.00,5.00,7.50,3.00,6.00,3.00,303,NULL,NULL,'CENTRO','CHAPECÓ','SC',7564,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5224276,9.00,8.00,3.00,6.00,10.00,9.38,5.00,7.00,7.00,103,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',1764,987,NULL,NULL,NULL,NULL,NULL,2,2),(20,5224292,1.00,3.00,0.00,0.00,1.00,NULL,0.00,0.00,2.00,9,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5224314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5224322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAÇADOR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5224330,3.00,5.00,2.00,5.00,7.00,NULL,1.00,2.00,2.00,211,NULL,233,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NITERÓI','SEARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5224365,7.00,6.00,0.00,5.00,6.00,6.75,1.00,0.00,3.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224373,3.00,7.00,3.00,7.00,8.00,10.50,2.00,3.00,4.00,326,NULL,NULL,'CENTRO','BRUSQUE','SC',11688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'TRAÇADO','URUBICI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5224390,4.00,2.00,0.00,6.00,7.00,NULL,0.00,2.00,4.00,453,NULL,NULL,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5224403,4.00,7.00,2.00,3.00,6.00,6.00,3.00,2.00,4.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16007,108,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5224420,6.00,6.00,2.00,6.00,8.00,11.25,6.00,0.00,5.00,103,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',6907,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5224438,4.00,5.00,2.00,4.00,6.00,10.13,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11167,3323,NULL,NULL,NULL,NULL,NULL,5,6),(20,5224446,3.00,4.00,2.00,3.00,4.00,NULL,0.00,4.00,3.00,415,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224454,5.00,5.00,2.00,6.00,5.00,8.63,3.00,2.00,4.00,333,NULL,NULL,'SUMARE','S PAULO','SP',11117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224462,3.00,4.00,2.00,7.00,5.00,9.00,1.00,3.00,2.00,5,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',13095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224489,5.00,7.00,4.00,5.00,8.00,9.38,1.00,5.00,8.00,103,NULL,NULL,'PROGRESSO','BLUMENAU','SC',5422,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5224497,9.00,7.00,4.00,5.00,10.00,9.00,7.00,4.00,8.00,103,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',2203,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224500,2.00,2.00,1.00,2.00,4.00,NULL,4.00,2.00,2.00,420,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5224519,1.00,3.00,3.00,3.00,5.00,NULL,2.00,3.00,3.00,201,NULL,211,'STELLA MARIS','SALVADOR','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5224543,9.00,6.00,7.00,6.00,9.00,10.50,6.00,5.00,7.00,201,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',1092,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224551,5.00,5.00,0.00,5.00,6.00,8.63,0.00,2.00,4.00,428,NULL,423,'CENTRO','TUBARÃO','SC',15909,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5224560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BELA VISTA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5224578,8.00,7.00,7.00,5.00,9.00,12.75,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224586,5.00,5.00,3.00,7.00,6.00,7.50,2.00,1.00,3.00,207,NULL,211,'VILA ANDRADE','S PAULO','SP',12697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224594,5.00,5.00,0.00,5.00,5.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5224608,0.00,7.00,0.00,0.00,0.00,NULL,1.00,1.00,3.00,220,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(20,5224616,1.00,4.00,0.00,1.00,4.00,NULL,1.00,1.00,5.00,2,NULL,NULL,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224624,6.00,6.00,2.00,6.00,6.00,NULL,0.00,1.00,4.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5224640,6.00,7.00,2.00,4.00,5.00,6.00,4.00,5.00,6.00,214,NULL,203,'TRINDADE','FLORIANÓPOLIS','SC',9632,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224659,3.00,3.00,1.00,0.00,0.00,NULL,0.00,3.00,2.00,9,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224667,6.00,5.00,3.00,4.00,8.00,9.38,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',6398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224675,5.00,7.00,3.00,4.00,7.00,6.75,4.00,3.00,6.00,238,NULL,208,'CAMPINAS','S JOSÉ','SC',10943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224683,1.00,2.00,2.00,3.00,2.00,NULL,1.00,2.00,2.00,653,NULL,652,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5224691,5.00,7.00,3.00,4.00,5.00,8.25,3.00,2.00,6.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12781,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224705,2.00,3.00,2.00,5.00,6.00,NULL,2.00,1.00,2.00,216,NULL,211,'SANTO ANTONIO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'SULCAP','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5224721,9.00,8.00,5.00,8.00,7.00,9.75,5.00,6.00,7.00,203,NULL,201,'JD LA SALLE','TOLEDO','PR',1200,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5224730,6.00,5.00,2.00,2.00,5.00,7.88,3.00,3.00,5.00,444,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',13403,59,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224748,7.00,5.00,4.00,7.00,6.00,10.50,3.00,3.00,3.00,428,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',9358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5224772,6.00,7.00,2.00,6.00,8.00,6.00,4.00,4.00,3.00,340,NULL,NULL,'SACO DO LIMÕES','FLORIANÓPOLIS','SC',10234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224780,7.00,6.00,2.00,5.00,6.00,8.25,3.00,2.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10397,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224802,3.00,0.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ALTO DA TIJUCA','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,17),(20,5224829,3.00,3.00,0.00,4.00,7.00,NULL,2.00,4.00,4.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224837,8.00,6.00,6.00,6.00,5.00,11.25,9.00,2.00,8.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',2059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224845,4.00,6.00,0.00,7.00,8.00,NULL,4.00,3.00,3.00,340,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5224853,3.00,7.00,4.00,3.00,5.00,10.13,4.00,4.00,3.00,329,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224861,6.00,5.00,3.00,4.00,3.00,NULL,0.00,4.00,5.00,316,NULL,NULL,'PALHOÇA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224870,7.00,4.00,7.00,7.00,7.00,7.88,5.00,5.00,7.00,214,NULL,203,'MOSSUNGUE','CURITIBA','PR',2762,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5224888,2.00,5.00,1.00,1.00,3.00,NULL,0.00,0.00,2.00,201,NULL,212,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224896,5.00,7.00,4.00,2.00,3.00,NULL,1.00,2.00,4.00,415,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224900,2.00,2.00,0.00,2.00,2.00,NULL,2.00,3.00,2.00,339,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224918,5.00,5.00,4.00,7.00,7.00,9.38,3.00,5.00,5.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224926,1.00,3.00,5.00,3.00,2.00,NULL,0.00,1.00,0.00,208,NULL,201,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5224942,7.00,6.00,2.00,7.00,5.00,7.13,2.00,2.00,5.00,203,NULL,601,'COMASA','JOINVILLE','SC',10356,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5224950,7.00,8.00,5.00,7.00,6.00,7.50,5.00,2.00,5.00,203,NULL,214,'PARQUE CIDADE NOVA','MARINGÁ','PR',6119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5224977,5.00,5.00,1.00,5.00,7.00,6.75,3.00,5.00,3.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',11378,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5224985,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225000,0.00,5.00,1.00,4.00,5.00,NULL,2.00,1.00,3.00,333,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5225019,5.00,9.00,3.00,3.00,8.00,8.63,5.00,4.00,6.00,203,NULL,214,'MORRO DA BINA','BIGUAÇU','SC',6873,546,NULL,NULL,NULL,NULL,NULL,4,1),(20,5225027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5225035,3.00,6.00,2.00,4.00,4.00,8.25,4.00,1.00,4.00,235,NULL,202,'BORTOLUZZI','NOVA VENEZA','SC',14073,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5225043,5.00,5.00,0.00,5.00,5.00,NULL,0.00,3.00,3.00,317,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5225051,5.00,5.00,4.00,5.00,4.00,6.38,1.00,1.00,4.00,207,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225086,3.00,7.00,3.00,4.00,3.00,NULL,2.00,1.00,2.00,303,NULL,NULL,'INTERIOR','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5225094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'HUMAITÁ','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5225116,3.00,6.00,4.00,3.00,6.00,7.88,2.00,4.00,3.00,9,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',15258,101,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225124,2.00,6.00,1.00,3.00,5.00,NULL,3.00,3.00,1.00,428,NULL,425,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5225132,4.00,5.00,1.00,3.00,5.00,9.00,3.00,3.00,4.00,308,NULL,NULL,'SERRARIA','S JOSÉ','SC',16144,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225140,2.00,5.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,652,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5225159,2.00,7.00,0.00,6.00,7.00,9.00,3.00,4.00,6.00,326,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',12884,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225183,4.00,5.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'CHACARA','ITAQUI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225191,5.00,4.00,1.00,7.00,6.00,12.00,2.00,2.00,5.00,453,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5225221,4.00,2.00,0.00,2.00,3.00,NULL,0.00,4.00,3.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225248,6.00,7.00,2.00,4.00,7.00,9.00,1.00,7.00,3.00,317,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',10181,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225256,8.00,9.00,7.00,8.00,10.00,9.00,7.00,7.00,8.00,201,NULL,203,'RIO TAVARES','FLORIANÓPOLIS','SC',111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5225264,8.00,5.00,5.00,6.00,10.00,9.00,5.00,4.00,4.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5225280,4.00,6.00,0.00,3.00,6.00,8.25,3.00,5.00,4.00,319,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',10775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5225299,1.00,5.00,1.00,1.00,4.00,NULL,0.00,1.00,2.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225302,5.00,3.00,2.00,5.00,6.00,NULL,0.00,3.00,3.00,453,NULL,NULL,'FORTALEZA DA BARRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5225310,2.00,5.00,3.00,2.00,2.00,NULL,3.00,1.00,2.00,102,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5225337,5.00,5.00,0.00,3.00,3.00,NULL,4.00,2.00,4.00,110,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225345,4.00,7.00,1.00,4.00,5.00,8.63,2.00,3.00,5.00,201,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',14159,1007,NULL,347,NULL,NULL,NULL,4,1),(20,5225353,3.00,5.00,0.00,6.00,4.00,NULL,0.00,4.00,2.00,211,NULL,NULL,'BRASILIA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5225361,3.00,3.00,1.00,1.00,3.00,NULL,0.00,1.00,1.00,316,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5225370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5225388,1.00,3.00,0.00,4.00,4.00,NULL,1.00,2.00,2.00,203,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5225396,1.00,4.00,2.00,3.00,1.00,NULL,2.00,3.00,4.00,201,NULL,212,'VARGEM DO BRAÇO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225400,4.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,216,NULL,233,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(20,5225418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM OKINAWA','PAULÍNIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5225426,8.00,5.00,2.00,6.00,6.00,11.25,2.00,5.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5225434,3.00,6.00,1.00,2.00,7.00,NULL,0.00,4.00,3.00,5,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5225442,1.00,6.00,0.00,3.00,4.00,NULL,2.00,3.00,2.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5225450,7.00,7.00,1.00,7.00,11.00,8.25,4.00,4.00,6.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5225485,7.00,6.00,2.00,4.00,6.00,10.88,1.00,4.00,2.00,201,NULL,211,'RIO BRANCO','PTO ALEGRE','RS',11520,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225493,3.00,1.00,1.00,4.00,4.00,NULL,0.00,0.00,4.00,108,NULL,NULL,'SÃO LUÍS','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5225507,5.00,4.00,1.00,7.00,6.00,7.88,6.00,5.00,6.00,214,NULL,203,'SANTA QUITÉRIA','CURITIBA','PR',6753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5225523,3.00,3.00,1.00,2.00,7.00,NULL,2.00,0.00,2.00,103,NULL,NULL,'JARDIM BOTÂNICO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5225531,4.00,5.00,2.00,3.00,8.00,9.00,2.00,3.00,3.00,103,NULL,NULL,'NAÇOES','BAL CAMBORIÚ','SC',15177,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5225540,2.00,6.00,0.00,3.00,4.00,NULL,1.00,3.00,3.00,303,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225558,7.00,7.00,2.00,3.00,10.00,10.50,2.00,2.00,4.00,336,NULL,NULL,'CENTRO','ERVAL VELHO','SC',9832,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5225566,5.00,4.00,0.00,4.00,5.00,10.13,0.00,4.00,5.00,324,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225574,4.00,7.00,0.00,5.00,7.00,7.88,2.00,4.00,4.00,202,NULL,235,'ÁGUA VERDE','JARAGUÁ SUL','SC',11331,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5225582,4.00,6.00,5.00,3.00,5.00,9.00,1.00,4.00,6.00,101,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',12559,54,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225590,4.00,5.00,0.00,3.00,4.00,NULL,1.00,3.00,3.00,201,NULL,212,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225612,0.00,4.00,1.00,4.00,4.00,NULL,0.00,3.00,6.00,425,NULL,426,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5225620,5.00,7.00,4.00,5.00,7.00,9.75,1.00,4.00,5.00,420,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',8187,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225639,4.00,5.00,0.00,0.00,3.00,NULL,2.00,3.00,2.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5225647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ANGELINA','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5225663,5.00,7.00,0.00,4.00,4.00,NULL,1.00,0.00,4.00,207,NULL,238,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225671,5.00,5.00,1.00,3.00,8.00,9.75,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','CAMBORIÚ','SC',12603,3479,NULL,NULL,NULL,NULL,NULL,4,3),(20,5225698,3.00,3.00,2.00,4.00,4.00,NULL,0.00,2.00,3.00,102,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'POLÍCIA RODOVIÁRIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5225728,4.00,2.00,0.00,2.00,4.00,NULL,0.00,4.00,2.00,103,NULL,NULL,'RIO NEGRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5225736,1.00,6.00,1.00,2.00,4.00,NULL,2.00,2.00,4.00,319,NULL,NULL,'INTERIOR','PAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5225744,3.00,5.00,0.00,4.00,3.00,NULL,2.00,2.00,4.00,102,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225752,7.00,4.00,2.00,5.00,6.00,10.13,2.00,1.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12948,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225760,5.00,6.00,4.00,3.00,7.00,6.00,3.00,3.00,5.00,327,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',12538,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225779,5.00,5.00,3.00,4.00,8.00,4.13,3.00,2.00,4.00,203,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5225787,5.00,5.00,0.00,5.00,5.00,7.13,1.00,2.00,3.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15779,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225795,2.00,5.00,1.00,4.00,4.00,NULL,2.00,1.00,3.00,653,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5225809,3.00,4.00,3.00,2.00,2.00,NULL,3.00,1.00,2.00,404,NULL,NULL,'VILA NOVA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225817,4.00,6.00,3.00,4.00,1.00,NULL,1.00,1.00,2.00,415,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5225825,3.00,2.00,4.00,2.00,5.00,NULL,0.00,2.00,3.00,319,NULL,NULL,'SERRARIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5225841,2.00,6.00,1.00,5.00,5.00,NULL,0.00,1.00,4.00,110,NULL,NULL,'MADRI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225850,6.00,6.00,1.00,4.00,8.00,NULL,0.00,2.00,2.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5225868,7.00,8.00,4.00,5.00,9.00,11.25,2.00,3.00,5.00,201,NULL,207,'SÃO ROQUE','GRAVATAL','SC',4631,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5225876,3.00,4.00,0.00,6.00,5.00,NULL,0.00,2.00,3.00,318,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225884,7.00,7.00,3.00,7.00,9.00,7.88,2.00,4.00,7.00,238,NULL,208,'CENTRO','CURITIBANOS','SC',4603,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5225906,7.00,8.00,3.00,7.00,9.00,9.75,2.00,3.00,7.00,211,NULL,215,'SANTA TEREZINHA','BRUSQUE','SC',5213,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5225914,6.00,7.00,2.00,7.00,7.00,8.25,5.00,5.00,3.00,339,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',7089,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5225922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5225930,5.00,6.00,2.00,6.00,5.00,7.88,0.00,2.00,1.00,103,NULL,NULL,'CENTRO','CAXIAS SUL','RS',16234,3836,NULL,NULL,NULL,NULL,NULL,4,1),(20,5225957,9.00,9.00,6.00,7.00,8.00,9.00,6.00,7.00,7.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5225981,3.00,3.00,0.00,4.00,5.00,NULL,4.00,1.00,4.00,319,NULL,NULL,'JARDIM EUCALIPTOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5225990,4.00,3.00,0.00,2.00,6.00,NULL,1.00,1.00,3.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226007,6.00,7.00,3.00,7.00,4.00,8.25,3.00,3.00,6.00,601,NULL,216,'SANTA CATARINA','JOINVILLE','SC',8821,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5226015,9.00,5.00,7.00,5.00,9.00,6.00,5.00,5.00,3.00,220,NULL,203,'PARQUE SANTANA','MOGI CRUZES','SP',4057,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5226023,5.00,7.00,2.00,7.00,8.00,9.75,4.00,3.00,7.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6090,2433,NULL,NULL,NULL,NULL,NULL,4,1),(20,5226031,2.00,6.00,1.00,5.00,7.00,NULL,0.00,1.00,1.00,308,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226040,9.00,7.00,6.00,6.00,7.00,12.00,5.00,6.00,8.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5226058,3.00,3.00,2.00,0.00,3.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5226066,2.00,5.00,3.00,1.00,4.00,6.75,3.00,2.00,4.00,212,NULL,214,'JARDIM DAS PALMEIRAS','PALHOÇA','SC',16323,398,NULL,384,NULL,NULL,NULL,1,1),(20,5226074,3.00,7.00,4.00,4.00,7.00,7.88,1.00,3.00,5.00,420,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',13051,105,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226082,2.00,3.00,0.00,5.00,5.00,NULL,1.00,0.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226090,3.00,4.00,2.00,4.00,5.00,NULL,1.00,3.00,0.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5226104,4.00,4.00,2.00,7.00,7.00,11.63,2.00,4.00,6.00,5,NULL,NULL,'CAMPO BELO','S PAULO','SP',9405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5226112,7.00,7.00,3.00,4.00,7.00,7.88,3.00,3.00,2.00,103,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',12595,3478,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226120,9.00,8.00,6.00,5.00,11.00,7.13,6.00,8.00,8.00,216,NULL,235,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',424,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226139,3.00,4.00,3.00,2.00,5.00,NULL,1.00,2.00,1.00,216,NULL,NULL,'MORRO DOS CONVENTOS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5226147,3.00,6.00,1.00,4.00,5.00,8.25,2.00,2.00,2.00,215,NULL,201,'CENTRO','XANXERÊ','SC',16182,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5226155,0.00,4.00,0.00,4.00,6.00,NULL,1.00,2.00,6.00,207,NULL,212,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CAMPOS ELISEOS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5226171,2.00,5.00,0.00,3.00,3.00,NULL,2.00,2.00,4.00,5,NULL,NULL,'JARDIM IATE CLUBE','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5226180,3.00,7.00,2.00,3.00,3.00,NULL,1.00,3.00,1.00,208,NULL,238,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5226201,5.00,3.00,2.00,4.00,6.00,9.75,3.00,3.00,2.00,108,NULL,NULL,'MONTE ALEGRE','CAMBORIÚ','SC',13015,234,NULL,NULL,NULL,NULL,NULL,2,3),(20,5226210,4.00,5.00,1.00,3.00,4.00,NULL,0.00,2.00,3.00,308,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5226228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'GUARUJÁ','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5226236,6.00,6.00,1.00,4.00,7.00,6.00,3.00,2.00,4.00,104,NULL,NULL,'BIGUAÇU','BIGUAÇU','SC',13769,353,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226244,5.00,1.00,5.00,3.00,4.00,NULL,0.00,2.00,2.00,208,NULL,NULL,'SANTO ANTONIO','MTE CARLO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5226252,4.00,4.00,2.00,4.00,5.00,7.50,4.00,3.00,3.00,340,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5226260,3.00,6.00,4.00,4.00,6.00,8.25,2.00,2.00,3.00,339,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226279,6.00,7.00,4.00,3.00,7.00,9.00,3.00,3.00,4.00,317,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',9482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5226287,0.00,3.00,0.00,5.00,3.00,NULL,1.00,2.00,3.00,404,NULL,NULL,'CENTRO','ERVAL SECO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226309,9.00,6.00,7.00,8.00,10.00,8.25,7.00,5.00,8.00,233,NULL,215,'ITACORUBI','FLORIANÓPOLIS','SC',640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5226325,4.00,5.00,2.00,4.00,6.00,5.25,1.00,4.00,3.00,316,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5226333,5.00,6.00,3.00,5.00,6.00,6.75,3.00,4.00,6.00,108,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',10815,178,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226341,4.00,7.00,4.00,5.00,4.00,8.25,2.00,2.00,6.00,214,NULL,201,'ELDORADO III','CHAPECÓ','SC',12546,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5226350,8.00,7.00,0.00,5.00,8.00,7.88,6.00,6.00,7.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4686,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226368,3.00,5.00,2.00,1.00,5.00,NULL,2.00,0.00,3.00,224,NULL,NULL,'VILA JOSÉ NAZÁRIO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5226376,7.00,7.00,2.00,3.00,7.00,6.75,3.00,4.00,4.00,551,NULL,NULL,'INTERIOR','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5226384,4.00,6.00,1.00,5.00,5.00,7.13,3.00,2.00,3.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14765,390,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226392,1.00,3.00,0.00,3.00,2.00,NULL,0.00,1.00,4.00,2,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5226406,5.00,6.00,3.00,6.00,7.00,7.88,3.00,3.00,4.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',11417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5226430,6.00,4.00,3.00,6.00,7.00,8.63,3.00,4.00,4.00,208,NULL,238,'BRASILIA','CRICIÚMA','SC',9538,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5226449,4.00,4.00,4.00,5.00,6.00,7.88,2.00,1.00,5.00,5,NULL,NULL,'ARMACAO DO PANTANO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226457,7.00,7.00,1.00,5.00,4.00,8.63,2.00,2.00,4.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',12040,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'CENTRO','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5226473,5.00,8.00,2.00,6.00,7.00,10.13,1.00,3.00,5.00,332,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5226481,8.00,6.00,3.00,7.00,6.00,8.25,2.00,3.00,6.00,208,NULL,235,'VILA SÃO JOSÉ','ARARANGUÁ','SC',8710,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5226490,3.00,5.00,0.00,6.00,5.00,10.50,2.00,2.00,3.00,415,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',15721,281,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'SÃO JOSÉ','S SEBASTIÃO','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5226511,7.00,8.00,5.00,6.00,9.00,7.88,5.00,5.00,6.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',3754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5226520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,216,'SAO SEBASTIAO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5226554,3.00,2.00,2.00,3.00,5.00,NULL,2.00,1.00,3.00,337,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226589,5.00,6.00,1.00,4.00,4.00,NULL,1.00,1.00,3.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5226600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SÃO DIMAS','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5226619,3.00,7.00,3.00,4.00,6.00,9.75,1.00,5.00,4.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13077,3533,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226651,4.00,5.00,0.00,4.00,4.00,NULL,2.00,1.00,2.00,205,NULL,NULL,'ESPLANADA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5226678,5.00,4.00,0.00,4.00,6.00,6.75,0.00,4.00,5.00,303,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',15590,632,NULL,NULL,NULL,NULL,NULL,2,10),(20,5226686,5.00,5.00,2.00,2.00,3.00,NULL,0.00,2.00,3.00,9,NULL,NULL,'CAPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226694,4.00,6.00,2.00,2.00,7.00,9.75,3.00,4.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5226708,6.00,8.00,4.00,5.00,5.00,6.75,3.00,2.00,5.00,601,NULL,NULL,'AMÉRICA','JOINVILLE','SC',7968,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5226716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5226732,3.00,3.00,3.00,4.00,5.00,NULL,2.00,1.00,5.00,303,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226740,8.00,5.00,0.00,6.00,8.00,8.25,2.00,5.00,4.00,420,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5226759,3.00,7.00,2.00,7.00,4.00,6.00,3.00,2.00,4.00,207,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',15097,736,NULL,938,NULL,NULL,NULL,2,1),(20,5226767,3.00,2.00,0.00,2.00,4.00,NULL,3.00,3.00,2.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226775,5.00,6.00,2.00,5.00,6.00,10.13,0.00,2.00,3.00,5,NULL,NULL,'FÁBIO SILVA','TUBARÃO','SC',11913,382,NULL,NULL,NULL,NULL,NULL,2,10),(20,5226783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'INTERIOR','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5226791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5226805,2.00,4.00,0.00,5.00,2.00,NULL,2.00,1.00,2.00,215,NULL,213,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5226813,8.00,7.00,6.00,7.00,9.00,11.63,6.00,7.00,6.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5226821,5.00,6.00,0.00,4.00,6.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'JARDIM ANGELICA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5226830,3.00,5.00,3.00,5.00,7.00,7.13,2.00,1.00,3.00,324,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',15092,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226848,5.00,7.00,4.00,3.00,6.00,6.75,4.00,4.00,4.00,420,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',12422,96,NULL,NULL,NULL,NULL,NULL,4,1),(20,5226856,2.00,3.00,1.00,5.00,7.00,NULL,2.00,2.00,2.00,309,NULL,NULL,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226864,6.00,5.00,1.00,1.00,6.00,NULL,1.00,2.00,3.00,319,NULL,NULL,'FREI ROGERIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5226872,2.00,5.00,2.00,2.00,3.00,NULL,0.00,2.00,3.00,201,NULL,207,'INTERIOR','JARDINÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5226880,7.00,7.00,1.00,7.00,9.00,6.00,2.00,4.00,4.00,103,NULL,NULL,'SANTA TERESA','JOAÇABA','SC',8950,3012,NULL,NULL,NULL,NULL,NULL,4,7),(20,5226899,2.00,2.00,1.00,2.00,4.00,NULL,0.00,1.00,1.00,101,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226902,6.00,6.00,5.00,5.00,7.00,9.00,1.00,2.00,5.00,104,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',9916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226910,2.00,2.00,2.00,1.00,6.00,NULL,2.00,0.00,1.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5226937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ARIZONA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5226945,4.00,7.00,0.00,5.00,7.00,12.00,1.00,4.00,4.00,316,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',11270,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226953,2.00,3.00,0.00,4.00,3.00,NULL,2.00,1.00,2.00,104,NULL,NULL,'LAGOA DA CONCEIÇAÕ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,423,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5226970,2.00,5.00,2.00,2.00,7.00,NULL,2.00,4.00,1.00,317,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226988,7.00,7.00,2.00,5.00,8.00,6.38,3.00,4.00,5.00,213,NULL,202,'N S DO ROSÁRIO','S JOSÉ','SC',10920,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5226996,4.00,3.00,4.00,3.00,6.00,8.63,2.00,2.00,4.00,317,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227003,9.00,6.00,6.00,4.00,10.00,10.13,6.00,4.00,7.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',1962,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227011,5.00,5.00,2.00,5.00,9.00,9.38,1.00,1.00,5.00,207,NULL,212,'MORRO DOS VENTURAS','STO AMARO IMPERATRIZ','SC',11373,545,NULL,290,NULL,NULL,NULL,2,1),(20,5227020,3.00,2.00,3.00,3.00,5.00,NULL,2.00,2.00,3.00,303,NULL,NULL,'ENCRUZILHADA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5227062,2.00,3.00,1.00,4.00,2.00,NULL,0.00,1.00,1.00,309,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227070,5.00,6.00,2.00,7.00,4.00,10.50,3.00,4.00,6.00,203,NULL,NULL,'GLORIA','JOINVILLE','SC',10628,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5227089,5.00,0.00,2.00,0.00,7.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5227100,3.00,5.00,0.00,4.00,7.00,NULL,1.00,2.00,1.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227119,0.00,2.00,4.00,3.00,5.00,NULL,0.00,1.00,2.00,214,NULL,203,'N S DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227127,4.00,6.00,2.00,4.00,5.00,7.13,4.00,2.00,6.00,317,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5227151,4.00,5.00,0.00,4.00,5.00,6.38,4.00,3.00,3.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16278,239,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227160,4.00,3.00,2.00,3.00,7.00,NULL,0.00,2.00,4.00,424,NULL,423,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5227186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5227194,7.00,4.00,2.00,3.00,3.00,NULL,2.00,3.00,3.00,452,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227208,5.00,6.00,0.00,6.00,5.00,10.88,2.00,3.00,2.00,428,NULL,425,'RIO TAVARES','FLORIANÓPOLIS','SC',12923,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,426,'JARDIM CARANDAI','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5227224,3.00,6.00,2.00,5.00,7.00,7.13,5.00,3.00,5.00,103,NULL,NULL,'ARREIAS','S JOSÉ','SC',13032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227232,5.00,6.00,2.00,5.00,6.00,9.75,2.00,3.00,4.00,103,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',12544,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227240,3.00,2.00,1.00,0.00,2.00,NULL,1.00,1.00,2.00,234,NULL,NULL,'SÃO JOÃO','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5227259,7.00,8.00,4.00,5.00,9.00,8.25,3.00,7.00,6.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227267,6.00,6.00,4.00,6.00,3.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227275,3.00,2.00,1.00,1.00,3.00,NULL,1.00,0.00,2.00,324,NULL,NULL,'RIO VACARIANO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227283,4.00,5.00,2.00,2.00,5.00,0.00,1.00,5.00,4.00,104,NULL,NULL,'SAO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5227291,3.00,5.00,2.00,5.00,3.00,NULL,2.00,1.00,1.00,324,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5227313,4.00,2.00,2.00,2.00,4.00,NULL,1.00,2.00,4.00,303,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227321,7.00,6.00,2.00,4.00,8.00,8.63,2.00,3.00,4.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',10007,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227330,6.00,6.00,4.00,6.00,6.00,6.75,2.00,4.00,4.00,501,NULL,NULL,'CIDADE ALTA','BENTO GONÇALVES','RS',11298,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5227348,5.00,7.00,3.00,4.00,9.00,10.13,2.00,2.00,3.00,205,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',11630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227356,3.00,4.00,4.00,3.00,4.00,NULL,1.00,1.00,3.00,317,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227364,1.00,5.00,1.00,1.00,4.00,NULL,0.00,3.00,2.00,428,NULL,423,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227372,4.00,5.00,0.00,2.00,5.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227380,4.00,4.00,1.00,5.00,7.00,8.25,3.00,3.00,4.00,207,NULL,215,'COQUEIROS','FLORIANÓPOLIS','SC',12717,601,NULL,265,NULL,NULL,NULL,2,1),(20,5227399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,651,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5227402,3.00,4.00,1.00,0.00,5.00,NULL,3.00,3.00,3.00,316,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227410,6.00,4.00,0.00,5.00,5.00,8.25,2.00,4.00,5.00,103,NULL,NULL,'CANTA GALO','RIO SUL','SC',14702,3721,NULL,NULL,NULL,NULL,NULL,2,2),(20,5227429,8.00,7.00,2.00,7.00,8.00,11.25,1.00,5.00,4.00,316,NULL,NULL,'FLORESTA','S JOSÉ','SC',6457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227445,3.00,6.00,0.00,3.00,6.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227453,7.00,6.00,2.00,5.00,6.00,8.25,3.00,4.00,4.00,404,NULL,NULL,'USINA','ANTÔNIO CARLOS','SC',8730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227461,3.00,6.00,3.00,4.00,5.00,3.75,1.00,3.00,4.00,327,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227470,6.00,6.00,1.00,5.00,7.00,6.75,4.00,4.00,4.00,503,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',13789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5227500,9.00,6.00,3.00,0.00,6.00,NULL,3.00,4.00,7.00,103,NULL,NULL,'ALVORADA','MARMELEIRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5227518,6.00,6.00,0.00,4.00,8.00,8.63,0.00,4.00,2.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13610,200,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227534,6.00,5.00,1.00,6.00,5.00,6.75,2.00,3.00,5.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5227542,5.00,6.00,2.00,5.00,4.00,4.88,3.00,3.00,4.00,310,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5227569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5227577,6.00,5.00,0.00,5.00,8.00,10.88,0.00,4.00,5.00,211,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10958,339,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227593,4.00,4.00,2.00,4.00,3.00,NULL,0.00,2.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227607,4.00,7.00,1.00,4.00,5.00,NULL,0.00,3.00,3.00,427,NULL,421,'CERQUEIRA CESAR','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5227615,6.00,5.00,3.00,4.00,8.00,11.63,2.00,5.00,5.00,101,NULL,NULL,'AREIAS','S JOSÉ','SC',9922,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227623,3.00,4.00,2.00,3.00,3.00,NULL,1.00,1.00,2.00,316,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','IMARUÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5227640,5.00,6.00,4.00,6.00,5.00,7.13,7.00,4.00,4.00,212,NULL,653,'CENTRO','PTO ALEGRE','RS',7035,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5227658,4.00,4.00,1.00,3.00,4.00,6.75,2.00,2.00,5.00,101,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',16065,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5227674,2.00,3.00,3.00,5.00,3.00,NULL,1.00,4.00,4.00,9,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227682,9.00,8.00,6.00,8.00,11.00,8.63,5.00,8.00,8.00,103,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',199,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(20,5227690,7.00,5.00,0.00,5.00,7.00,NULL,4.00,2.00,6.00,103,NULL,NULL,'CENTRO','LINDÓIA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5227704,2.00,4.00,1.00,5.00,7.00,NULL,3.00,2.00,1.00,428,NULL,426,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227712,3.00,4.00,2.00,3.00,4.00,NULL,0.00,2.00,4.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227720,6.00,8.00,7.00,7.00,10.00,8.63,6.00,6.00,7.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227739,9.00,8.00,5.00,8.00,11.00,11.63,7.00,6.00,6.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227747,6.00,6.00,4.00,6.00,6.00,7.50,1.00,6.00,4.00,238,NULL,215,'PASSA VINTE','PALHOÇA','SC',10139,185,NULL,202,NULL,NULL,NULL,2,1),(20,5227755,1.00,7.00,1.00,3.00,2.00,NULL,1.00,0.00,3.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5227763,7.00,5.00,5.00,5.00,10.00,9.00,6.00,5.00,5.00,233,NULL,216,'BRUSQUE','LAGES','SC',4755,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5227771,7.00,4.00,4.00,5.00,6.00,9.00,3.00,4.00,4.00,420,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',11691,83,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227780,5.00,6.00,4.00,6.00,6.00,10.88,3.00,5.00,4.00,208,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227798,6.00,7.00,1.00,6.00,7.00,7.88,3.00,4.00,5.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',11232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5227810,5.00,4.00,1.00,4.00,8.00,9.00,4.00,3.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10858,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227828,3.00,0.00,4.00,2.00,7.00,NULL,0.00,0.00,0.00,201,NULL,207,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5227836,8.00,6.00,6.00,6.00,7.00,10.88,3.00,4.00,5.00,108,NULL,NULL,'TRIANON','GUARAPUAVA','PR',4821,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5227844,7.00,6.00,4.00,7.00,8.00,12.00,3.00,6.00,6.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227860,6.00,5.00,2.00,5.00,6.00,7.88,3.00,2.00,5.00,316,NULL,NULL,'SERTÃO DO IMARUI','S JOSÉ','SC',11218,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227879,5.00,4.00,2.00,4.00,8.00,NULL,0.00,3.00,2.00,425,NULL,429,'CENTRO','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227887,6.00,6.00,5.00,5.00,8.00,6.38,4.00,3.00,5.00,318,NULL,NULL,'PARQUE JAMBEIRO','CAMPINAS','SP',6924,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5227895,7.00,5.00,2.00,6.00,7.00,10.13,2.00,2.00,4.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227909,4.00,5.00,3.00,6.00,10.00,8.63,4.00,1.00,2.00,5,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',13037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227917,3.00,6.00,1.00,7.00,7.00,9.38,1.00,3.00,5.00,425,NULL,429,'CORREGO GRANDE','FLORIANÓPOLIS','SC',13594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227925,6.00,4.00,4.00,6.00,6.00,8.25,2.00,1.00,5.00,3,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13052,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227933,4.00,4.00,1.00,6.00,8.00,10.88,0.00,3.00,7.00,211,NULL,212,'FAZENDA STO ANTONIO','S JOSÉ','SC',12850,402,NULL,326,NULL,NULL,NULL,4,1),(20,5227941,5.00,6.00,3.00,5.00,7.00,7.13,2.00,4.00,5.00,102,NULL,NULL,'JARDIM ITÚ SABARÁ','PTO ALEGRE','RS',12106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5227950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,653,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5227968,6.00,7.00,0.00,6.00,9.00,NULL,3.00,5.00,4.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227976,1.00,2.00,3.00,1.00,4.00,NULL,0.00,2.00,0.00,208,NULL,238,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5227984,4.00,7.00,2.00,5.00,7.00,11.63,3.00,4.00,5.00,104,NULL,NULL,'BALNEARIO ESTREITO','FLORIANÓPOLIS','SC',11093,276,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'AREIAS','PAULO LOPES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5228018,5.00,5.00,3.00,4.00,5.00,9.00,1.00,3.00,7.00,428,NULL,426,'BARREIROS','S JOSÉ','SC',13894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228026,3.00,5.00,3.00,7.00,5.00,8.63,1.00,1.00,4.00,451,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5228034,8.00,7.00,3.00,5.00,7.00,7.50,2.00,5.00,6.00,207,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',5111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228050,2.00,5.00,3.00,4.00,7.00,6.38,1.00,3.00,5.00,101,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228077,7.00,8.00,3.00,5.00,6.00,9.00,3.00,3.00,5.00,101,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',9526,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5228093,8.00,6.00,3.00,5.00,10.00,9.75,3.00,4.00,6.00,103,NULL,NULL,'MORADA DO OURO','CUIABÁ','MT',4625,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228107,4.00,4.00,1.00,5.00,8.00,10.88,2.00,3.00,3.00,319,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228115,3.00,1.00,4.00,5.00,2.00,NULL,0.00,2.00,0.00,224,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5228123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5228131,3.00,2.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,428,NULL,426,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228140,4.00,6.00,4.00,5.00,6.00,6.38,3.00,2.00,4.00,453,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',13756,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228158,4.00,4.00,2.00,4.00,8.00,7.50,1.00,3.00,3.00,319,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',16056,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228166,4.00,5.00,0.00,3.00,5.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'LINHA LAMBARI','IRACEMINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5228174,5.00,9.00,5.00,4.00,8.00,8.63,5.00,3.00,7.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7645,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228182,6.00,5.00,4.00,5.00,9.00,8.63,2.00,5.00,5.00,9,NULL,NULL,'CENTRO','SALETE','SC',8794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5228212,2.00,7.00,1.00,2.00,4.00,NULL,1.00,1.00,2.00,339,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5228220,7.00,6.00,4.00,4.00,5.00,6.75,7.00,6.00,6.00,202,NULL,213,'SERTÃO DO MARUIM','S JOSÉ','SC',7524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228239,6.00,7.00,3.00,7.00,6.00,7.88,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',10490,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5228247,5.00,6.00,3.00,1.00,4.00,4.88,4.00,3.00,5.00,203,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228255,4.00,5.00,1.00,1.00,8.00,NULL,2.00,2.00,3.00,317,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228263,4.00,5.00,1.00,6.00,7.00,10.13,4.00,3.00,3.00,211,NULL,653,'PASSO DA AREIA','PTO ALEGRE','RS',10951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228271,2.00,5.00,0.00,4.00,5.00,NULL,2.00,2.00,4.00,201,NULL,207,'CENTRO','JABORÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5228280,5.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'HAUER','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5228298,4.00,3.00,0.00,5.00,7.00,NULL,1.00,1.00,2.00,9,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228310,2.00,3.00,2.00,1.00,4.00,NULL,1.00,0.00,2.00,302,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228328,3.00,2.00,1.00,2.00,5.00,NULL,2.00,2.00,3.00,225,NULL,NULL,'AREIAS','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5228336,2.00,4.00,2.00,4.00,5.00,NULL,0.00,2.00,3.00,339,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228352,8.00,5.00,7.00,7.00,8.00,11.63,6.00,5.00,8.00,103,NULL,NULL,'SAGRADA FAMÍLIA','BELO HORIZONTE','MG',942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5228360,4.00,1.00,0.00,5.00,5.00,NULL,1.00,2.00,0.00,316,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228379,5.00,6.00,2.00,3.00,7.00,8.63,3.00,3.00,2.00,428,NULL,426,'PONTE DO IMARUIM','PALHOÇA','SC',13411,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228387,6.00,8.00,4.00,3.00,6.00,8.25,3.00,4.00,6.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',9169,3044,NULL,NULL,NULL,NULL,NULL,4,2),(20,5228395,3.00,5.00,1.00,4.00,4.00,NULL,2.00,2.00,3.00,101,NULL,NULL,'PIQUE DO MEIO','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5228409,6.00,5.00,4.00,4.00,7.00,9.00,3.00,7.00,7.00,501,NULL,NULL,'MANOEL FRANCISCO','LIMEIRA','SP',6862,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228417,4.00,3.00,3.00,4.00,5.00,NULL,2.00,1.00,2.00,216,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228425,5.00,3.00,3.00,4.00,4.00,NULL,1.00,0.00,4.00,502,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228433,5.00,6.00,4.00,4.00,9.00,8.63,5.00,4.00,6.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228441,5.00,5.00,4.00,6.00,9.00,9.38,2.00,2.00,5.00,208,NULL,202,'INGLESES','FLORIANÓPOLIS','SC',10727,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228450,5.00,8.00,5.00,4.00,8.00,7.13,2.00,5.00,7.00,303,NULL,NULL,'SAGRADO CORAÇÃO DE J','LAGES','SC',4974,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5228468,3.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,3.00,238,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228492,8.00,5.00,1.00,8.00,10.00,10.88,0.00,4.00,6.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5228506,1.00,6.00,3.00,4.00,8.00,8.63,3.00,4.00,2.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228514,7.00,6.00,3.00,6.00,7.00,9.38,1.00,3.00,4.00,201,NULL,216,'CENTRO','CONCÓRDIA','SC',9524,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5228522,4.00,5.00,2.00,3.00,7.00,10.13,3.00,3.00,4.00,101,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228530,6.00,5.00,0.00,4.00,9.00,7.88,2.00,4.00,6.00,101,NULL,NULL,'PENHA','PAULO LOPES','SC',12396,51,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228549,2.00,3.00,1.00,3.00,4.00,NULL,1.00,1.00,2.00,207,NULL,201,'SANTO ANTONIO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5228557,5.00,5.00,2.00,5.00,4.00,7.88,5.00,2.00,4.00,319,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5228565,6.00,6.00,5.00,7.00,7.00,9.38,3.00,6.00,6.00,207,NULL,201,'GABIROBA','RIO OESTE','SC',4534,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5228590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5228603,3.00,2.00,1.00,2.00,3.00,NULL,0.00,0.00,3.00,211,NULL,215,'ENSEADA DE BRITO','ENS BRITO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228611,2.00,5.00,1.00,2.00,4.00,NULL,3.00,1.00,2.00,303,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228620,4.00,4.00,1.00,3.00,4.00,NULL,2.00,1.00,3.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228638,3.00,6.00,1.00,5.00,8.00,9.00,2.00,4.00,4.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12236,214,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228646,6.00,4.00,2.00,6.00,5.00,8.25,3.00,3.00,5.00,220,NULL,233,'JARDIM BOTANICO','RIBEIRÃO PRETO','SP',9993,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5228654,5.00,4.00,2.00,4.00,5.00,7.88,4.00,1.00,3.00,224,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5228662,7.00,4.00,2.00,4.00,7.00,7.50,4.00,2.00,4.00,327,NULL,NULL,'BARREIROS','S JOSÉ','SC',14415,44,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228670,5.00,7.00,4.00,5.00,6.00,7.50,3.00,3.00,6.00,235,NULL,238,'COQUEIROS','FLORIANÓPOLIS','SC',10057,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,207,'INTERIOR','JABORÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5228697,5.00,5.00,3.00,5.00,6.00,9.75,4.00,4.00,6.00,103,NULL,NULL,'LARANJEIRAS','MARINGÁ','PR',7717,2783,NULL,NULL,NULL,NULL,NULL,2,3),(20,5228700,5.00,7.00,3.00,5.00,4.00,10.13,2.00,3.00,5.00,238,NULL,208,'SÃO SEBASTIÃO','PALHOÇA','SC',12721,286,NULL,318,NULL,NULL,NULL,2,1),(20,5228719,7.00,6.00,4.00,3.00,7.00,7.13,4.00,6.00,6.00,211,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',7834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228735,1.00,6.00,0.00,3.00,4.00,NULL,4.00,1.00,4.00,601,NULL,202,'CAMPO DO GADO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5228743,7.00,5.00,4.00,5.00,8.00,7.13,5.00,2.00,4.00,601,NULL,203,'NOVA BRASÍLIA','JOINVILLE','SC',9413,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5228751,5.00,4.00,1.00,5.00,5.00,NULL,2.00,0.00,3.00,238,NULL,208,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'JARDIM SELMA','MOGI GUAÇU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5228778,5.00,5.00,2.00,2.00,7.00,7.13,1.00,4.00,5.00,205,NULL,NULL,'MONTE ALEGRE','S CRISTÓVÃO SUL','SC',13281,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5228786,2.00,3.00,2.00,2.00,4.00,NULL,3.00,2.00,3.00,429,NULL,428,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5228794,7.00,5.00,4.00,7.00,4.00,7.88,3.00,3.00,6.00,601,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',10192,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5228808,6.00,6.00,1.00,3.00,9.00,9.38,4.00,7.00,7.00,332,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228824,4.00,3.00,1.00,4.00,8.00,9.38,0.00,6.00,3.00,309,NULL,NULL,'SANTA ANA','STO AMARO IMPERATRIZ','SC',14779,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5228867,2.00,6.00,3.00,4.00,4.00,10.50,2.00,4.00,4.00,208,NULL,203,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',13723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5228875,5.00,5.00,3.00,4.00,6.00,7.88,3.00,4.00,4.00,101,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',13384,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228883,7.00,6.00,2.00,0.00,7.00,NULL,1.00,2.00,7.00,110,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5228891,7.00,5.00,2.00,4.00,8.00,9.38,3.00,5.00,4.00,415,NULL,NULL,'SAGRADO CORAÇÃO DE J','LAGES','SC',9037,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5228913,8.00,4.00,3.00,5.00,6.00,0.00,4.00,2.00,4.00,5,NULL,NULL,'PINHEIRA','ENS BRITO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228921,6.00,8.00,2.00,5.00,9.00,9.75,2.00,5.00,5.00,304,NULL,NULL,'MORRINHOS UM','GUARUJÁ','SP',7482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228930,4.00,5.00,1.00,7.00,6.00,7.88,2.00,3.00,1.00,428,NULL,427,'STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5228948,3.00,4.00,3.00,7.00,6.00,9.38,1.00,5.00,1.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14250,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5228956,3.00,3.00,1.00,2.00,5.00,NULL,1.00,1.00,1.00,104,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5228964,4.00,6.00,1.00,5.00,8.00,3.75,2.00,6.00,5.00,327,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228972,5.00,2.00,1.00,4.00,7.00,8.25,3.00,5.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13040,3523,NULL,NULL,NULL,NULL,NULL,2,1),(20,5228980,8.00,8.00,4.00,5.00,4.00,13.88,0.00,5.00,6.00,102,NULL,NULL,'VILA MARIANA','S PAULO','SP',5576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5228999,5.00,8.00,4.00,3.00,8.00,8.63,2.00,3.00,4.00,202,NULL,220,'TAPERA','FLORIANÓPOLIS','SC',8512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229006,4.00,6.00,1.00,8.00,5.00,11.25,3.00,5.00,3.00,453,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',10370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229014,4.00,6.00,4.00,3.00,9.00,7.50,2.00,5.00,3.00,332,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11559,15,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5229057,5.00,7.00,2.00,5.00,6.00,6.75,3.00,3.00,4.00,331,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',14342,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229073,6.00,8.00,1.00,5.00,5.00,10.50,1.00,4.00,5.00,429,NULL,424,'RIO TAVARES','FLORIANÓPOLIS','SC',11458,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229081,3.00,3.00,3.00,3.00,3.00,NULL,1.00,2.00,2.00,207,NULL,208,'FÁTIMA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229090,4.00,0.00,2.00,6.00,2.00,NULL,0.00,0.00,0.00,207,NULL,211,'SANTA GEMA','S DOMINGOS SUL','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5229111,6.00,7.00,4.00,5.00,8.00,7.88,3.00,4.00,6.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',6446,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229138,9.00,8.00,8.00,7.00,9.00,9.75,8.00,6.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',53,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5229146,4.00,3.00,3.00,3.00,4.00,6.38,3.00,2.00,3.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229154,4.00,7.00,2.00,6.00,6.00,7.88,2.00,1.00,6.00,238,NULL,208,'MONTE VERDE','FLORIANÓPOLIS','SC',14068,340,NULL,380,NULL,NULL,NULL,4,1),(20,5229170,2.00,4.00,0.00,2.00,6.00,NULL,5.00,1.00,1.00,429,NULL,426,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'VILA RICA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5229197,5.00,4.00,1.00,5.00,8.00,6.75,3.00,3.00,2.00,103,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5229200,5.00,2.00,0.00,2.00,6.00,NULL,0.00,1.00,3.00,108,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5229227,5.00,7.00,2.00,6.00,6.00,6.75,2.00,3.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5229235,3.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,215,NULL,211,'DONA WANDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5229251,6.00,7.00,3.00,6.00,8.00,12.75,2.00,5.00,5.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',4847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'TERESÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5229278,5.00,7.00,1.00,5.00,4.00,8.63,2.00,2.00,3.00,502,NULL,NULL,'SERRARIA','S JOSÉ','SC',15179,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229286,2.00,4.00,2.00,2.00,5.00,NULL,0.00,5.00,5.00,302,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229294,7.00,8.00,5.00,3.00,6.00,7.13,3.00,6.00,6.00,220,NULL,233,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7620,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229316,3.00,6.00,1.00,3.00,5.00,7.13,1.00,3.00,4.00,234,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GUARANIAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5229332,4.00,6.00,1.00,6.00,9.00,8.25,3.00,7.00,3.00,310,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',9892,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229340,6.00,8.00,0.00,5.00,7.00,9.38,3.00,3.00,6.00,104,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',9273,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5229359,9.00,5.00,3.00,6.00,9.00,8.25,3.00,5.00,5.00,103,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',5082,2170,NULL,NULL,NULL,NULL,NULL,4,2),(20,5229367,6.00,5.00,1.00,7.00,6.00,7.88,2.00,2.00,4.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',9583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229375,3.00,8.00,2.00,6.00,7.00,9.75,2.00,3.00,4.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11698,16,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229383,3.00,4.00,0.00,4.00,5.00,NULL,2.00,3.00,4.00,317,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229391,1.00,4.00,0.00,2.00,3.00,NULL,0.00,2.00,3.00,324,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','BARRACÃO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5229421,8.00,8.00,4.00,6.00,8.00,7.13,0.00,3.00,7.00,214,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',4815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229430,3.00,5.00,1.00,3.00,2.00,NULL,0.00,3.00,3.00,651,NULL,653,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5229448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5229456,4.00,6.00,0.00,3.00,4.00,NULL,0.00,1.00,3.00,340,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229464,2.00,5.00,2.00,2.00,4.00,8.25,2.00,5.00,4.00,324,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAVALHADA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5229480,1.00,5.00,3.00,4.00,1.00,NULL,1.00,2.00,3.00,425,NULL,427,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229499,6.00,5.00,3.00,4.00,5.00,7.88,3.00,6.00,2.00,503,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13927,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229502,1.00,6.00,0.00,2.00,4.00,NULL,2.00,2.00,4.00,203,NULL,214,'SANTA BARBARA','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229510,5.00,3.00,0.00,2.00,3.00,NULL,1.00,2.00,4.00,317,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229529,9.00,8.00,2.00,6.00,9.00,12.00,4.00,6.00,8.00,103,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',1903,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5229537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'GUIOMAR DE FORA','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5229553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','ABDON BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5229561,4.00,3.00,1.00,3.00,2.00,NULL,4.00,2.00,2.00,211,NULL,233,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229570,4.00,6.00,2.00,2.00,6.00,8.25,2.00,2.00,3.00,336,NULL,NULL,'STA HELENA II','BENTO GONÇALVES','RS',15675,88,NULL,NULL,NULL,NULL,NULL,2,4),(20,5229588,1.00,2.00,2.00,3.00,2.00,NULL,0.00,2.00,2.00,102,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5229596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5229600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5229618,9.00,6.00,7.00,7.00,8.00,10.50,5.00,3.00,9.00,103,NULL,NULL,'CRISTO REDENTOR','PTO ALEGRE','RS',1346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5229634,4.00,4.00,1.00,5.00,8.00,9.38,2.00,2.00,4.00,420,NULL,NULL,'CENTRO','BAL BARRA SUL','SC',14067,119,NULL,NULL,NULL,NULL,NULL,4,8),(20,5229642,5.00,6.00,0.00,1.00,8.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA GUARANI','CAMBÉ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5229669,1.00,2.00,0.00,4.00,5.00,NULL,3.00,2.00,1.00,308,NULL,NULL,'BAIRO PASSO DAREIA','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,4),(20,5229677,4.00,6.00,4.00,5.00,5.00,7.88,2.00,3.00,5.00,2,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229685,4.00,6.00,1.00,5.00,8.00,NULL,0.00,5.00,3.00,108,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229693,0.00,4.00,0.00,0.00,0.00,NULL,2.00,3.00,3.00,208,NULL,238,'ARAÇATUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(20,5229707,5.00,6.00,0.00,3.00,6.00,NULL,1.00,1.00,3.00,5,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229723,7.00,6.00,3.00,7.00,6.00,7.13,2.00,3.00,5.00,601,NULL,653,'SAMBAQUI','FLORIANÓPOLIS','SC',10240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229740,2.00,5.00,0.00,5.00,4.00,NULL,2.00,1.00,3.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229766,3.00,7.00,0.00,5.00,8.00,7.88,1.00,3.00,2.00,303,NULL,NULL,'CONSOLAÇÃO','CAXIAS SUL','RS',14434,578,NULL,NULL,NULL,NULL,NULL,2,2),(20,5229774,4.00,6.00,2.00,6.00,7.00,7.50,4.00,3.00,7.00,420,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',11393,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229782,4.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,653,NULL,652,'LAGOAO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(20,5229790,7.00,7.00,3.00,3.00,9.00,9.00,5.00,4.00,7.00,109,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229812,2.00,4.00,2.00,1.00,3.00,NULL,0.00,2.00,2.00,216,NULL,215,'CENTRO','PERITIBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5229820,6.00,6.00,1.00,4.00,9.00,7.88,2.00,2.00,3.00,5,NULL,NULL,'ARROIO','IMBITUBA','SC',12360,398,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229839,3.00,6.00,2.00,3.00,4.00,8.25,3.00,2.00,3.00,451,NULL,NULL,'BARRANCA','ARARANGUÁ','SC',15064,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5229855,5.00,7.00,0.00,3.00,3.00,NULL,2.00,1.00,3.00,337,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229863,5.00,6.00,1.00,3.00,4.00,NULL,0.00,1.00,2.00,225,NULL,NULL,'TRIBDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ITALIA','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5229880,5.00,7.00,1.00,6.00,5.00,6.75,3.00,4.00,3.00,304,NULL,NULL,'BARREIRS','S JOSÉ','SC',11106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5229901,6.00,6.00,4.00,5.00,6.00,8.25,1.00,2.00,3.00,316,NULL,NULL,'GLÓRIA','JOINVILLE','SC',11532,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5229910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5229928,7.00,5.00,0.00,5.00,7.00,7.50,3.00,3.00,6.00,317,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229936,2.00,5.00,2.00,2.00,5.00,NULL,0.00,2.00,2.00,201,NULL,207,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229944,2.00,4.00,1.00,2.00,4.00,NULL,1.00,3.00,1.00,301,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5229960,0.00,0.00,1.00,4.00,6.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5229979,5.00,6.00,3.00,6.00,8.00,8.63,3.00,4.00,7.00,303,NULL,NULL,'PICDAS SUL','S JOSÉ','SC',5250,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5229987,4.00,7.00,3.00,4.00,6.00,7.88,3.00,5.00,4.00,339,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5229995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5230004,4.00,7.00,5.00,5.00,6.00,8.63,3.00,3.00,5.00,601,NULL,233,'CABEÇUDAS','ITAJAÍ','SC',10643,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5230012,4.00,6.00,0.00,6.00,6.00,NULL,0.00,2.00,4.00,332,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230039,6.00,5.00,2.00,4.00,4.00,7.13,1.00,5.00,3.00,207,NULL,201,'JURERÊ','FLORIANÓPOLIS','SC',15582,765,NULL,1101,NULL,NULL,NULL,2,1),(20,5230047,4.00,4.00,1.00,6.00,7.00,8.25,3.00,4.00,5.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230055,3.00,6.00,5.00,6.00,5.00,9.75,3.00,4.00,7.00,415,NULL,NULL,'BELA VISTA','PALHOÇA','SC',7552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JD AMARALINA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5230071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM ESPERANÇA','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,17),(20,5230101,4.00,6.00,0.00,3.00,0.00,NULL,1.00,1.00,4.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230110,8.00,6.00,5.00,6.00,8.00,8.25,6.00,5.00,7.00,211,NULL,207,'COSTA E SILVA','JOINVILLE','SC',2414,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5230128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5230144,5.00,5.00,0.00,7.00,6.00,NULL,0.00,3.00,3.00,5,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5230152,6.00,5.00,2.00,4.00,7.00,9.38,0.00,3.00,4.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230179,3.00,3.00,1.00,2.00,6.00,NULL,0.00,3.00,4.00,320,NULL,NULL,'JARDIM MOMENTEL','ITATIBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230187,5.00,4.00,2.00,3.00,3.00,NULL,2.00,3.00,5.00,104,NULL,NULL,'SANTO ANTÔNIO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5230195,4.00,4.00,1.00,4.00,7.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'SÃO BASILIO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5230209,4.00,4.00,5.00,6.00,4.00,9.38,4.00,7.00,6.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230217,3.00,3.00,1.00,5.00,8.00,NULL,2.00,1.00,1.00,216,NULL,215,'DE VILLA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5230225,4.00,5.00,1.00,5.00,5.00,NULL,2.00,2.00,2.00,201,NULL,212,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230233,6.00,6.00,3.00,6.00,7.00,7.88,3.00,3.00,3.00,317,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230241,8.00,5.00,2.00,5.00,7.00,11.63,4.00,5.00,5.00,303,NULL,NULL,'SANTO ANTÔNIO','PTO ALEGRE','RS',5450,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230250,4.00,7.00,2.00,7.00,7.00,9.38,0.00,3.00,4.00,238,NULL,652,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230268,0.00,6.00,1.00,3.00,4.00,NULL,2.00,1.00,2.00,302,NULL,NULL,'STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230276,3.00,4.00,3.00,4.00,3.00,NULL,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5230284,6.00,4.00,3.00,6.00,6.00,10.13,1.00,1.00,4.00,103,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',13137,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5230292,4.00,6.00,3.00,3.00,7.00,9.00,2.00,3.00,5.00,211,NULL,201,'CAPISTRANO','BOM RETIRO','SC',12880,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5230306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5230314,3.00,5.00,4.00,7.00,8.00,9.00,1.00,2.00,4.00,213,NULL,215,'CRUZEIRO DO SUL','CRICIÚMA','SC',13527,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5230322,4.00,5.00,0.00,4.00,5.00,7.13,1.00,3.00,4.00,104,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',16222,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230330,5.00,7.00,0.00,6.00,8.00,11.25,1.00,4.00,5.00,233,NULL,207,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10130,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5230349,5.00,7.00,3.00,7.00,4.00,10.88,3.00,3.00,4.00,601,NULL,233,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5230357,4.00,4.00,1.00,2.00,4.00,NULL,3.00,1.00,2.00,103,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5230365,4.00,2.00,0.00,1.00,5.00,NULL,1.00,3.00,2.00,109,NULL,NULL,'ENGENHO VELHO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230381,3.00,5.00,3.00,4.00,6.00,8.25,4.00,2.00,4.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',14385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230390,3.00,5.00,2.00,5.00,4.00,7.13,2.00,4.00,2.00,5,NULL,NULL,'CENTRO','BENTO GONÇALVES','RS',14571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230403,3.00,2.00,1.00,4.00,4.00,4.50,2.00,5.00,4.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230411,2.00,5.00,0.00,3.00,4.00,NULL,0.00,1.00,3.00,101,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230420,6.00,7.00,1.00,3.00,6.00,7.13,3.00,2.00,1.00,327,NULL,NULL,'CENTRO','S JOSÉ','SC',15918,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230438,6.00,7.00,4.00,6.00,8.00,8.25,3.00,7.00,8.00,104,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230446,3.00,3.00,2.00,5.00,5.00,NULL,2.00,2.00,4.00,212,NULL,201,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230454,9.00,7.00,4.00,6.00,10.00,8.63,1.00,3.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230462,3.00,6.00,2.00,3.00,8.00,NULL,0.00,0.00,5.00,429,NULL,425,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5230470,6.00,5.00,0.00,6.00,9.00,12.00,3.00,5.00,3.00,450,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',8972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230489,2.00,6.00,2.00,4.00,5.00,8.25,3.00,3.00,3.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230500,4.00,4.00,3.00,4.00,2.00,NULL,1.00,1.00,5.00,425,NULL,429,'VILA FLOR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5230535,8.00,7.00,1.00,6.00,7.00,7.13,4.00,4.00,3.00,207,NULL,201,'CONJUNTO LIBRA III','FOZ IGUAÇU','PR',8636,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5230543,1.00,1.00,1.00,0.00,0.00,NULL,2.00,2.00,2.00,109,NULL,NULL,'CACHOEIRA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230560,2.00,4.00,3.00,2.00,4.00,NULL,0.00,4.00,2.00,423,NULL,424,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230578,7.00,8.00,5.00,5.00,7.00,7.50,4.00,2.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6435,2516,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230586,5.00,6.00,2.00,7.00,7.00,8.25,4.00,5.00,4.00,340,NULL,NULL,'CENTRO','CHAPECÓ','SC',9623,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5230594,7.00,6.00,1.00,7.00,3.00,NULL,2.00,2.00,3.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230608,6.00,5.00,1.00,5.00,6.00,9.75,2.00,3.00,4.00,235,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230616,9.00,6.00,8.00,8.00,9.00,10.88,3.00,6.00,7.00,220,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA BELA','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5230632,3.00,5.00,0.00,3.00,6.00,9.75,2.00,4.00,6.00,340,NULL,NULL,'BARRANCEIRA','LAGUNA','SC',13810,390,NULL,NULL,NULL,NULL,NULL,2,10),(20,5230640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5230659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5230683,6.00,7.00,4.00,5.00,9.00,7.50,1.00,6.00,7.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',6787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230691,8.00,7.00,6.00,7.00,8.00,9.75,4.00,6.00,6.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',1809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230705,3.00,6.00,0.00,3.00,5.00,NULL,2.00,2.00,3.00,317,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230713,7.00,6.00,2.00,5.00,8.00,7.50,1.00,4.00,6.00,207,NULL,212,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',9229,425,NULL,240,NULL,NULL,NULL,2,1),(20,5230721,5.00,4.00,0.00,2.00,3.00,NULL,2.00,2.00,2.00,309,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230730,4.00,7.00,2.00,2.00,4.00,7.13,5.00,3.00,3.00,103,NULL,NULL,'UNIVERSITARIO','LAGES','SC',14080,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5230748,3.00,4.00,3.00,3.00,4.00,NULL,2.00,3.00,3.00,201,NULL,203,'DOM BOSCO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5230756,8.00,5.00,3.00,7.00,9.00,7.13,4.00,6.00,7.00,103,NULL,NULL,'EMBARÉ','SANTOS','SP',3996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230764,8.00,7.00,6.00,7.00,10.00,9.75,4.00,8.00,7.00,201,NULL,220,'SETE DE SETEMBRO','GASPAR','SC',769,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5230772,5.00,4.00,0.00,4.00,5.00,NULL,2.00,0.00,3.00,203,NULL,NULL,'JARDIM DOS PAMPAS','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5230780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5230799,2.00,4.00,3.00,4.00,2.00,NULL,1.00,1.00,1.00,304,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230802,6.00,7.00,0.00,4.00,6.00,6.75,2.00,4.00,4.00,220,NULL,202,'NAÇOES','BAL CAMBORIÚ','SC',11219,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5230810,3.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'INTERIOR','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(20,5230829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD SAO PAULO','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5230837,2.00,6.00,1.00,1.00,4.00,NULL,0.00,2.00,2.00,225,NULL,NULL,'INTERIOR','JARDINÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5230845,8.00,7.00,5.00,7.00,9.00,7.50,8.00,6.00,6.00,203,NULL,214,'AMÉRICA','JOINVILLE','SC',2016,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5230853,6.00,5.00,0.00,2.00,7.00,8.25,2.00,4.00,6.00,316,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',15232,238,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CARANDAÍ','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5230870,2.00,3.00,3.00,4.00,5.00,8.25,3.00,3.00,4.00,104,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',14820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230888,4.00,6.00,1.00,7.00,5.00,7.50,3.00,1.00,2.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5230896,6.00,5.00,1.00,3.00,2.00,NULL,1.00,3.00,2.00,333,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230900,2.00,3.00,3.00,3.00,5.00,NULL,2.00,1.00,2.00,653,NULL,NULL,'FUNDO GRANDE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5230926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SALGADO FILHO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5230934,2.00,3.00,2.00,1.00,4.00,NULL,1.00,2.00,1.00,324,NULL,NULL,'JARDIM JANAÍNA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230942,4.00,4.00,2.00,2.00,6.00,NULL,0.00,0.00,4.00,340,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230969,4.00,6.00,4.00,7.00,8.00,9.38,4.00,2.00,5.00,326,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5230977,1.00,3.00,0.00,3.00,2.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5230985,3.00,2.00,0.00,2.00,6.00,NULL,1.00,3.00,4.00,104,NULL,NULL,'MAIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5230993,3.00,7.00,1.00,7.00,6.00,10.50,2.00,4.00,4.00,316,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',13083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5231019,3.00,5.00,1.00,3.00,2.00,NULL,0.00,1.00,2.00,220,NULL,235,'PIO X','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231027,2.00,2.00,1.00,3.00,3.00,NULL,4.00,0.00,2.00,211,NULL,214,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231035,3.00,7.00,0.00,4.00,6.00,9.00,2.00,4.00,7.00,207,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231043,3.00,2.00,1.00,7.00,6.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5231051,7.00,7.00,4.00,6.00,7.00,11.25,3.00,6.00,5.00,201,NULL,601,'MEIA PRAIA','ITAPEMA','SC',3788,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5231060,4.00,3.00,3.00,4.00,5.00,9.00,5.00,3.00,5.00,421,NULL,429,'TRINDADE','FLORIANÓPOLIS','SC',14686,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231094,7.00,7.00,4.00,3.00,8.00,8.25,3.00,6.00,7.00,302,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',5833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARAGUÁ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5231116,7.00,6.00,4.00,6.00,8.00,8.25,3.00,3.00,7.00,653,NULL,652,'CENTRO','ARARANGUÁ','SC',6322,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5231124,9.00,6.00,7.00,5.00,8.00,7.13,6.00,4.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',1632,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5231132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5231140,8.00,6.00,2.00,4.00,5.00,7.13,2.00,4.00,5.00,332,NULL,NULL,'MALUCHE','BRUSQUE','SC',10432,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5231159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5231167,4.00,6.00,0.00,4.00,5.00,9.38,2.00,2.00,7.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',13475,262,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5231183,8.00,7.00,6.00,2.00,8.00,9.38,3.00,4.00,6.00,103,NULL,NULL,'VILA MARIA','BOTUCATU','SP',4969,2137,NULL,NULL,NULL,NULL,NULL,4,6),(20,5231191,6.00,6.00,2.00,7.00,6.00,8.25,1.00,5.00,3.00,208,NULL,238,'ITACORUBI','FLORIANÓPOLIS','SC',11454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231205,9.00,6.00,5.00,7.00,9.00,7.88,5.00,3.00,5.00,203,NULL,233,'TRISTEZA','PTO ALEGRE','RS',3937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231213,3.00,4.00,1.00,2.00,5.00,NULL,2.00,1.00,4.00,501,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5231230,2.00,3.00,2.00,3.00,5.00,NULL,1.00,1.00,1.00,104,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5231248,10.00,8.00,4.00,6.00,8.00,9.38,2.00,7.00,8.00,103,NULL,NULL,'CENTRO','RONDON','PR',2454,1271,NULL,NULL,NULL,NULL,NULL,2,8),(20,5231256,6.00,5.00,2.00,3.00,8.00,9.00,2.00,4.00,5.00,205,NULL,NULL,'PAPAGAIOS','CANELINHA','SC',9796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231264,6.00,4.00,2.00,6.00,9.00,9.38,2.00,4.00,4.00,301,NULL,NULL,'MORROTES','TUBARÃO','SC',9635,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5231272,8.00,6.00,7.00,5.00,8.00,8.25,5.00,4.00,8.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',2151,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5231280,3.00,4.00,1.00,3.00,4.00,NULL,1.00,1.00,3.00,303,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231299,4.00,6.00,2.00,2.00,1.00,NULL,3.00,1.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231302,7.00,8.00,0.00,4.00,6.00,7.50,2.00,4.00,3.00,103,NULL,NULL,'IPIRANGA','S JOSÉ','SC',14345,3671,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231310,5.00,6.00,4.00,4.00,8.00,8.25,3.00,4.00,6.00,220,NULL,202,'CENTRO','RIO SUL','SC',9855,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5231337,4.00,5.00,2.00,2.00,5.00,NULL,2.00,2.00,3.00,2,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5231345,0.00,4.00,1.00,4.00,5.00,NULL,2.00,2.00,4.00,319,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231353,9.00,7.00,5.00,6.00,6.00,9.38,3.00,2.00,6.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',4711,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5231361,3.00,3.00,0.00,4.00,5.00,NULL,0.00,2.00,2.00,101,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5231388,6.00,5.00,2.00,4.00,7.00,8.63,2.00,2.00,2.00,5,NULL,NULL,'IPIRANGA','S JOSÉ','SC',14684,477,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231396,2.00,6.00,3.00,1.00,6.00,NULL,2.00,0.00,2.00,207,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231400,6.00,7.00,1.00,4.00,6.00,8.25,1.00,3.00,3.00,103,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',13061,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231418,6.00,5.00,2.00,7.00,9.00,9.75,1.00,4.00,3.00,102,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',8940,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5231426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5231434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5231442,6.00,6.00,4.00,5.00,8.00,6.00,1.00,2.00,6.00,202,NULL,213,'IPIRANGA','S JOSÉ','SC',11189,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231450,4.00,6.00,0.00,4.00,3.00,NULL,4.00,2.00,4.00,337,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231477,9.00,8.00,9.00,7.00,7.00,6.00,5.00,6.00,7.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',1859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231485,2.00,4.00,1.00,5.00,3.00,NULL,1.00,1.00,3.00,501,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231493,3.00,6.00,3.00,2.00,7.00,8.25,3.00,3.00,5.00,429,NULL,425,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231507,3.00,8.00,1.00,7.00,5.00,6.75,5.00,2.00,5.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14446,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5231515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5231523,4.00,4.00,0.00,2.00,5.00,NULL,1.00,2.00,4.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5231531,7.00,6.00,3.00,4.00,7.00,NULL,2.00,5.00,1.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(20,5231540,8.00,7.00,4.00,7.00,9.00,9.00,5.00,2.00,5.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4987,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231558,3.00,5.00,1.00,3.00,2.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'SÃO JOÃO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5231566,4.00,4.00,1.00,4.00,3.00,NULL,3.00,3.00,5.00,5,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5231574,9.00,4.00,1.00,4.00,6.00,7.50,2.00,2.00,4.00,328,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',14315,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231582,6.00,6.00,0.00,5.00,8.00,6.00,1.00,6.00,5.00,339,NULL,NULL,'ARMAÇÃO D PÂNT D SUL','FLORIANÓPOLIS','SC',13106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231590,4.00,7.00,4.00,5.00,8.00,9.38,1.00,4.00,5.00,452,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10147,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231604,8.00,5.00,6.00,7.00,8.00,6.75,5.00,3.00,8.00,203,NULL,214,'CENTRO','CASCAVEL','PR',4126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5231620,7.00,7.00,4.00,6.00,10.00,11.25,4.00,5.00,7.00,203,NULL,201,'CENTRO','RIBEIRÃO PRETO','SP',1794,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,653,'CENTRO','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5231655,2.00,2.00,3.00,4.00,2.00,NULL,4.00,2.00,2.00,317,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231663,7.00,7.00,3.00,5.00,8.00,8.63,1.00,5.00,7.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',5775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231671,2.00,6.00,0.00,3.00,4.00,9.00,3.00,3.00,3.00,424,NULL,427,'CARIANOS','FLORIANÓPOLIS','SC',16272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231680,5.00,6.00,2.00,4.00,9.00,9.75,2.00,1.00,5.00,319,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',13355,258,NULL,NULL,NULL,NULL,NULL,4,6),(20,5231698,5.00,5.00,3.00,7.00,8.00,9.00,1.00,3.00,4.00,452,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',12456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5231710,4.00,5.00,3.00,6.00,6.00,8.25,3.00,4.00,2.00,104,NULL,NULL,'PORTÃO','CURITIBA','PR',12345,312,NULL,NULL,NULL,NULL,NULL,2,8),(20,5231728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'MOEMA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5231736,5.00,7.00,3.00,3.00,5.00,6.75,4.00,6.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12328,167,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231744,6.00,5.00,2.00,2.00,8.00,NULL,1.00,1.00,3.00,201,NULL,207,'N SR NAVEGANTES','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5231752,6.00,5.00,1.00,6.00,4.00,6.75,2.00,3.00,5.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231760,7.00,7.00,5.00,3.00,5.00,8.63,2.00,1.00,7.00,103,NULL,NULL,'CENTRO','CUNHA PORÃ','SC',7954,2822,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231779,2.00,1.00,1.00,2.00,4.00,NULL,3.00,3.00,0.00,203,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231787,3.00,5.00,3.00,7.00,4.00,9.00,1.00,4.00,2.00,5,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5231809,3.00,4.00,0.00,3.00,3.00,NULL,0.00,1.00,2.00,444,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231817,2.00,4.00,0.00,1.00,4.00,NULL,2.00,0.00,3.00,333,NULL,NULL,'JARDIM MONTE ALEGRE','TABOÃO SERRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231825,4.00,6.00,0.00,6.00,5.00,9.00,3.00,2.00,4.00,319,NULL,NULL,'CENTRO','AMPÉRE','PR',14350,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5231833,4.00,7.00,0.00,7.00,8.00,9.38,1.00,3.00,5.00,201,NULL,212,'CENTRO','S JOSÉ','SC',9850,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5231841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'FRAGATA','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5231850,5.00,4.00,2.00,5.00,6.00,8.63,0.00,4.00,3.00,202,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',14586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231868,6.00,6.00,2.00,6.00,9.00,9.38,4.00,2.00,6.00,420,NULL,NULL,'SAO JUDAS','DIVINÓPOLIS','MG',6340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231876,4.00,3.00,1.00,2.00,3.00,NULL,1.00,0.00,2.00,208,NULL,214,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231884,2.00,3.00,2.00,5.00,9.00,NULL,2.00,1.00,2.00,316,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231892,4.00,7.00,1.00,4.00,3.00,NULL,2.00,1.00,1.00,238,NULL,208,'JARDIM AQUARIOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231914,8.00,4.00,2.00,4.00,7.00,9.38,1.00,2.00,6.00,303,NULL,NULL,'ALTO','AQUIDAUANA','MS',8523,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5231922,2.00,4.00,0.00,1.00,4.00,NULL,3.00,2.00,3.00,201,NULL,238,'NOVA BRASÍLIA','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5231930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'ARAÇATUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5231949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5231957,9.00,7.00,5.00,6.00,7.00,7.50,7.00,6.00,6.00,202,NULL,212,'SANTA MONICA','FLORIANÓPOLIS','SC',2528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5231973,4.00,6.00,3.00,7.00,4.00,7.50,2.00,2.00,3.00,233,NULL,201,'ESPLANADA DO SOL','S JOSÉ CAMPOS','SP',12188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5231981,5.00,6.00,3.00,3.00,8.00,6.75,2.00,5.00,5.00,601,NULL,214,'COMASA','JOINVILLE','SC',13563,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5231990,2.00,5.00,1.00,5.00,9.00,NULL,1.00,3.00,3.00,318,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232007,2.00,4.00,1.00,3.00,5.00,NULL,1.00,3.00,1.00,651,NULL,653,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5232015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,601,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5232023,4.00,3.00,1.00,3.00,7.00,NULL,0.00,1.00,2.00,201,NULL,207,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5232031,1.00,1.00,0.00,2.00,2.00,NULL,0.00,3.00,1.00,207,NULL,201,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5232040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5232058,2.00,4.00,1.00,4.00,7.00,NULL,1.00,1.00,3.00,108,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5232066,3.00,4.00,0.00,3.00,4.00,NULL,2.00,2.00,1.00,324,NULL,NULL,'SAO JOAORIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5232082,5.00,6.00,3.00,3.00,5.00,6.75,2.00,2.00,4.00,444,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',15161,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232090,7.00,6.00,5.00,5.00,9.00,9.00,3.00,4.00,5.00,653,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',5402,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5232104,9.00,8.00,7.00,6.00,9.00,12.00,5.00,5.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',1206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5232120,8.00,6.00,4.00,5.00,8.00,7.13,5.00,4.00,8.00,103,NULL,NULL,'VILA CLEOPATRA','MARINGÁ','PR',3466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232139,4.00,5.00,1.00,1.00,4.00,NULL,2.00,3.00,2.00,309,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232147,7.00,5.00,2.00,6.00,8.00,10.88,2.00,3.00,7.00,9,NULL,NULL,'FLORESTA','S JOSÉ','SC',7241,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232155,4.00,4.00,3.00,4.00,5.00,8.25,1.00,4.00,3.00,303,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',15567,631,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232163,3.00,2.00,2.00,3.00,6.00,NULL,0.00,2.00,4.00,3,NULL,NULL,'N SENHORA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232171,2.00,6.00,1.00,2.00,4.00,NULL,0.00,3.00,3.00,212,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5232180,1.00,6.00,2.00,4.00,5.00,8.25,2.00,2.00,6.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15870,33,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232198,3.00,3.00,1.00,2.00,6.00,NULL,1.00,1.00,3.00,316,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5232210,7.00,8.00,4.00,6.00,9.00,9.75,4.00,6.00,5.00,340,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',3728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5232228,2.00,7.00,3.00,3.00,5.00,7.50,3.00,2.00,3.00,601,NULL,233,'BOM RETIRO','JOINVILLE','SC',15448,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5232236,5.00,5.00,7.00,4.00,5.00,7.13,6.00,5.00,7.00,220,NULL,203,'CENTRO','ITAPEVA','SP',6086,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5232244,6.00,7.00,3.00,4.00,4.00,8.63,2.00,3.00,4.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232252,1.00,4.00,1.00,2.00,3.00,NULL,2.00,1.00,3.00,211,NULL,NULL,'INTERIOR','ARVOREDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5232260,5.00,3.00,2.00,1.00,2.00,NULL,2.00,5.00,3.00,501,NULL,NULL,'BARÃO GERALDO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5232279,2.00,4.00,2.00,6.00,4.00,9.75,2.00,2.00,3.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5232287,3.00,6.00,6.00,6.00,7.00,9.38,2.00,2.00,3.00,224,NULL,NULL,'JARDIM SÃO NICOLAU','BIGUAÇU','SC',9891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232295,9.00,9.00,8.00,6.00,8.00,8.63,8.00,9.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',107,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232309,4.00,4.00,0.00,5.00,7.00,8.63,3.00,3.00,5.00,207,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',14537,695,NULL,1030,NULL,NULL,NULL,2,1),(20,5232317,7.00,7.00,3.00,6.00,8.00,8.25,6.00,6.00,6.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',3046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5232325,8.00,6.00,1.00,6.00,6.00,10.50,4.00,2.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5232333,6.00,7.00,2.00,2.00,7.00,0.00,2.00,2.00,4.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232341,3.00,5.00,2.00,4.00,4.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'SANTA TEREZINHA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5232350,7.00,7.00,4.00,5.00,6.00,8.63,3.00,7.00,6.00,319,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',6533,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232368,6.00,7.00,1.00,5.00,9.00,8.63,1.00,4.00,5.00,309,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',9444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232376,5.00,5.00,0.00,4.00,5.00,NULL,0.00,2.00,4.00,205,NULL,NULL,'INDUSTRIAL','MONDAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5232392,5.00,8.00,1.00,7.00,5.00,12.00,1.00,5.00,4.00,304,NULL,NULL,'BRÁS','S PAULO','SP',6826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5232414,1.00,4.00,0.00,5.00,4.00,NULL,3.00,3.00,2.00,310,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232422,4.00,5.00,1.00,3.00,6.00,NULL,2.00,1.00,2.00,652,NULL,653,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5232430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CANTA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5232449,3.00,3.00,0.00,5.00,7.00,NULL,0.00,2.00,2.00,207,NULL,201,'CENTRO','CUNHA PORÃ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5232465,2.00,3.00,0.00,1.00,1.00,NULL,0.00,2.00,1.00,207,NULL,201,'SÃO DEFENDE','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5232481,3.00,3.00,3.00,3.00,4.00,6.75,4.00,2.00,3.00,101,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232490,7.00,5.00,4.00,6.00,7.00,11.25,1.00,5.00,4.00,108,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',8183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232503,5.00,5.00,4.00,5.00,8.00,9.75,4.00,3.00,5.00,304,NULL,NULL,'INTERIOR','IPORÃ OESTE','SC',7299,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5232511,3.00,4.00,2.00,2.00,5.00,NULL,0.00,3.00,3.00,339,NULL,NULL,'SERTÃO DO IMARUI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5232520,6.00,4.00,0.00,4.00,6.00,NULL,0.00,1.00,1.00,224,NULL,NULL,'NOVA BELEM','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5232538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'VILA SÃO JOÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5232546,6.00,6.00,0.00,3.00,7.00,NULL,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','PROGRESSO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232554,7.00,5.00,0.00,6.00,10.00,7.50,0.00,3.00,4.00,303,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',9747,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5232570,4.00,5.00,3.00,6.00,6.00,7.88,2.00,4.00,3.00,316,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',14384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5232589,2.00,5.00,1.00,2.00,5.00,NULL,2.00,1.00,3.00,652,NULL,653,'MORRO DOS CONVENTOS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5232597,8.00,7.00,6.00,7.00,7.00,7.50,3.00,5.00,9.00,450,NULL,NULL,'VILA DOM PEDRO I','S PAULO','SP',2186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5232600,5.00,6.00,1.00,5.00,6.00,7.88,4.00,5.00,4.00,336,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',11177,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232619,8.00,6.00,2.00,6.00,10.00,9.75,4.00,2.00,6.00,108,NULL,NULL,'ITAUM','JOINVILLE','SC',4613,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5232627,6.00,6.00,1.00,7.00,8.00,8.63,2.00,2.00,4.00,201,NULL,NULL,'CENTRO','TORRES','RS',12051,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5232635,5.00,6.00,1.00,5.00,5.00,8.25,2.00,3.00,2.00,318,NULL,NULL,'TRIBESS','BLUMENAU','SC',13141,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5232643,6.00,4.00,2.00,6.00,8.00,6.38,1.00,3.00,5.00,331,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',12335,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5232651,3.00,5.00,0.00,6.00,7.00,8.25,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','SERRA ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5232660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'SAO LUIZ','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5232678,8.00,6.00,4.00,5.00,8.00,7.88,2.00,5.00,6.00,102,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',6820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232686,4.00,4.00,0.00,2.00,5.00,NULL,2.00,3.00,3.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'ROSA LINDA','CORDILHEIRA ALTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5232708,5.00,6.00,1.00,7.00,6.00,9.00,4.00,3.00,2.00,340,NULL,NULL,'CENTRO','SERTÃOZINHO','SP',12483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5232716,7.00,8.00,1.00,7.00,7.00,10.50,3.00,3.00,4.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',5840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232724,6.00,7.00,1.00,5.00,7.00,8.25,3.00,4.00,2.00,238,NULL,203,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5232740,4.00,4.00,5.00,3.00,3.00,NULL,2.00,2.00,4.00,233,NULL,215,'BOM JESUS','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5232759,4.00,5.00,1.00,2.00,5.00,NULL,1.00,1.00,4.00,103,NULL,NULL,'BORBA GATO','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,214,'ITAGUAÇU','APARECIDA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5232783,4.00,4.00,3.00,5.00,6.00,7.88,1.00,1.00,6.00,201,NULL,207,'ESPIRITO SANTO','ERECHIM','RS',14745,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5232791,5.00,6.00,1.00,7.00,5.00,9.38,2.00,3.00,3.00,238,NULL,208,'CARIANOS','FLORIANÓPOLIS','SC',14992,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232813,5.00,7.00,2.00,6.00,6.00,9.38,0.00,4.00,4.00,5,NULL,NULL,'CENTRO','CONCÓRDIA','SC',10029,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5232830,7.00,6.00,4.00,7.00,7.00,10.50,4.00,4.00,6.00,2,NULL,NULL,'ALTO DA RUA XV','CURITIBA','PR',5474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5232848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,423,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(20,5232856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CONJUNTO VERONA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5232864,3.00,5.00,5.00,4.00,5.00,8.25,4.00,3.00,3.00,238,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',13901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232872,4.00,3.00,3.00,1.00,4.00,NULL,2.00,1.00,1.00,302,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232880,5.00,7.00,1.00,4.00,9.00,10.13,2.00,4.00,5.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11744,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232899,3.00,6.00,4.00,2.00,5.00,11.63,2.00,5.00,0.00,5,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',14675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5232902,7.00,6.00,1.00,5.00,4.00,7.50,3.00,3.00,3.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13989,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5232910,2.00,5.00,1.00,3.00,4.00,NULL,3.00,4.00,1.00,336,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5232937,6.00,4.00,2.00,5.00,7.00,11.25,2.00,3.00,4.00,208,NULL,238,'PRAIA DOS INGLESES','FLORIANÓPOLIS','SC',12093,288,NULL,257,NULL,NULL,NULL,4,1),(20,5232945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5232953,4.00,7.00,2.00,7.00,10.00,7.50,2.00,4.00,4.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',8980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5232961,6.00,7.00,3.00,6.00,4.00,8.63,1.00,2.00,4.00,104,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5232970,6.00,5.00,3.00,7.00,7.00,9.38,6.00,3.00,2.00,103,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',9457,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5232988,6.00,3.00,1.00,2.00,4.00,NULL,0.00,1.00,2.00,551,NULL,NULL,'ARCOILIS','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5232996,2.00,6.00,5.00,5.00,4.00,7.50,0.00,3.00,4.00,308,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',16136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5233011,3.00,4.00,1.00,6.00,6.00,NULL,2.00,2.00,3.00,202,NULL,235,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233020,8.00,7.00,4.00,3.00,6.00,10.13,1.00,4.00,6.00,104,NULL,NULL,'STO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC',7250,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233046,4.00,6.00,4.00,7.00,5.00,6.75,4.00,6.00,4.00,450,NULL,NULL,'VILA OLÍMPIA','S PAULO','SP',7310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233054,4.00,6.00,1.00,7.00,5.00,9.38,2.00,3.00,6.00,340,NULL,NULL,'SÃO MIGUEL','URUGUAIANA','RS',12214,345,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233062,4.00,7.00,4.00,4.00,7.00,8.63,4.00,4.00,6.00,420,NULL,NULL,'SUMARÉ','RIO SUL','SC',7872,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233070,6.00,8.00,5.00,6.00,6.00,9.38,2.00,3.00,6.00,336,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5233100,8.00,7.00,7.00,7.00,10.00,8.25,4.00,3.00,8.00,216,NULL,235,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',1732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233119,8.00,6.00,1.00,4.00,6.00,10.13,3.00,5.00,6.00,103,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',7997,2828,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233127,4.00,5.00,0.00,5.00,4.00,6.75,2.00,2.00,3.00,203,NULL,214,'PORTÃO','CURITIBA','PR',15956,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233135,7.00,5.00,0.00,5.00,6.00,NULL,4.00,2.00,6.00,601,NULL,215,'RECIFE','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5233143,6.00,7.00,4.00,7.00,8.00,10.13,3.00,6.00,7.00,103,NULL,NULL,'VILANOVA','FRANCISCO BELTRÃO','PR',3128,1533,NULL,NULL,NULL,NULL,NULL,4,4),(20,5233151,4.00,4.00,3.00,6.00,6.00,8.25,2.00,2.00,1.00,415,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',14715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233160,1.00,1.00,1.00,3.00,1.00,NULL,0.00,1.00,1.00,453,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5233186,0.00,3.00,0.00,3.00,3.00,NULL,1.00,2.00,2.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233194,0.00,3.00,1.00,2.00,5.00,NULL,0.00,1.00,2.00,207,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5233208,4.00,5.00,0.00,4.00,7.00,NULL,0.00,2.00,5.00,420,NULL,NULL,'PEREQUÊ','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5233216,4.00,4.00,2.00,6.00,5.00,8.63,0.00,2.00,5.00,601,NULL,216,'JARIVATUBA','JOINVILLE','SC',15924,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5233224,1.00,4.00,0.00,4.00,5.00,NULL,2.00,2.00,2.00,317,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233232,6.00,3.00,2.00,6.00,6.00,8.25,1.00,2.00,4.00,208,NULL,203,'SANTOS DUMONT','S JOSÉ','SC',14969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233240,8.00,9.00,4.00,7.00,9.00,8.25,5.00,3.00,9.00,203,NULL,214,'BATEL','CURITIBA','PR',2100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233259,5.00,7.00,2.00,6.00,9.00,8.25,2.00,3.00,4.00,415,NULL,NULL,'INTERIOR','S MIGUEL OESTE','SC',9640,184,NULL,NULL,NULL,NULL,NULL,4,4),(20,5233267,3.00,5.00,0.00,1.00,1.00,NULL,2.00,2.00,1.00,101,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233275,5.00,6.00,0.00,5.00,9.00,12.00,2.00,4.00,6.00,427,NULL,423,'AGRONOMICA','FLORIANÓPOLIS','SC',10925,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5233291,3.00,5.00,3.00,3.00,3.00,NULL,1.00,3.00,5.00,444,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233305,3.00,5.00,0.00,3.00,4.00,NULL,2.00,3.00,2.00,319,NULL,NULL,'CENTRO','TUNÁPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5233313,3.00,3.00,2.00,4.00,2.00,NULL,0.00,1.00,2.00,223,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233348,9.00,6.00,4.00,7.00,9.00,9.75,4.00,5.00,8.00,103,NULL,NULL,'CENTRO','CRUZ ALTA','RS',1722,968,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233364,1.00,3.00,0.00,2.00,5.00,NULL,1.00,3.00,2.00,329,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233372,4.00,4.00,2.00,0.00,2.00,NULL,0.00,4.00,1.00,339,NULL,NULL,'CARRIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233402,5.00,7.00,2.00,6.00,7.00,10.13,2.00,4.00,6.00,501,NULL,NULL,'CENTRO','TIJUCAS','SC',8600,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5233410,4.00,6.00,3.00,3.00,7.00,9.38,2.00,3.00,2.00,108,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',14369,268,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233429,8.00,8.00,5.00,6.00,9.00,9.38,3.00,5.00,7.00,319,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',3286,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5233437,4.00,5.00,1.00,7.00,6.00,6.75,3.00,3.00,4.00,201,NULL,NULL,'VILLAGE FLAMBOYANT','CUIABÁ','MT',11369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233445,4.00,5.00,2.00,5.00,5.00,6.75,3.00,2.00,4.00,451,NULL,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233453,2.00,3.00,2.00,3.00,3.00,NULL,1.00,2.00,2.00,202,NULL,213,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233461,5.00,7.00,0.00,7.00,9.00,6.75,4.00,4.00,3.00,102,NULL,NULL,'CENTRO','S JOAQUIM','SC',8231,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5233470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO LUIS','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5233488,6.00,8.00,5.00,7.00,8.00,9.75,5.00,5.00,6.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',3015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233496,8.00,6.00,1.00,7.00,6.00,9.38,3.00,2.00,4.00,450,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',8562,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5233518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'SANTO ANTÔNIO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5233526,5.00,6.00,2.00,3.00,4.00,9.38,1.00,3.00,4.00,201,NULL,212,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5233542,4.00,5.00,5.00,5.00,6.00,7.88,3.00,2.00,4.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233550,1.00,1.00,1.00,2.00,1.00,NULL,0.00,1.00,2.00,203,NULL,235,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233577,8.00,8.00,4.00,6.00,10.00,10.88,5.00,7.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',892,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5233585,3.00,5.00,2.00,6.00,3.00,NULL,1.00,2.00,4.00,202,NULL,208,'PIONEIRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5233607,3.00,5.00,0.00,4.00,7.00,10.50,3.00,4.00,6.00,207,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',12904,613,NULL,923,NULL,NULL,NULL,2,1),(20,5233615,0.00,3.00,0.00,0.00,0.00,NULL,1.00,1.00,2.00,309,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233623,3.00,4.00,1.00,6.00,6.00,7.13,3.00,3.00,3.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',15813,105,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,235,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5233640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JD CRUZEIRO DOS UL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5233666,4.00,2.00,1.00,6.00,3.00,NULL,3.00,2.00,2.00,320,NULL,NULL,'MONTE CARLO','CACHOEIRINHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233674,7.00,8.00,1.00,6.00,8.00,11.63,3.00,6.00,5.00,329,NULL,NULL,'VILA NOVA HOLANDA','CARAMBEÍ','PR',5416,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5233682,5.00,6.00,1.00,7.00,6.00,8.25,1.00,3.00,4.00,302,NULL,NULL,'RIO PEQUENO','GR PARÁ','SC',11045,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5233690,4.00,7.00,4.00,7.00,7.00,10.13,2.00,5.00,4.00,301,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8168,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5233704,8.00,6.00,6.00,7.00,10.00,8.63,5.00,8.00,7.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233712,4.00,5.00,0.00,4.00,3.00,NULL,1.00,2.00,2.00,420,NULL,NULL,'ENSEADA DE BRITO','ENS BRITO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','LINDÓIA SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5233739,5.00,8.00,2.00,4.00,6.00,6.75,1.00,5.00,4.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12596,176,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233747,9.00,8.00,8.00,8.00,8.00,9.00,8.00,4.00,9.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233755,5.00,6.00,0.00,4.00,4.00,9.75,2.00,2.00,6.00,420,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',12261,92,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233763,4.00,5.00,3.00,4.00,7.00,11.63,1.00,3.00,2.00,328,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233771,1.00,4.00,0.00,3.00,4.00,NULL,3.00,1.00,3.00,319,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5233798,3.00,7.00,3.00,3.00,6.00,7.88,1.00,3.00,2.00,202,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',16240,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5233810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR SUL','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5233836,4.00,7.00,1.00,5.00,3.00,NULL,2.00,2.00,3.00,310,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233852,9.00,7.00,4.00,7.00,9.00,10.88,3.00,4.00,6.00,319,NULL,NULL,'CURIÓ UTINGA','BELÉM','PA',3042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233879,7.00,8.00,4.00,7.00,7.00,12.00,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','URUGUAIANA','RS',2053,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233895,4.00,6.00,1.00,6.00,5.00,6.00,1.00,3.00,2.00,216,NULL,203,'SCHRAMM','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5233909,2.00,5.00,1.00,4.00,6.00,NULL,0.00,0.00,4.00,103,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233917,6.00,6.00,1.00,2.00,3.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233941,6.00,9.00,5.00,6.00,10.00,9.75,3.00,6.00,7.00,5,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',2015,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233950,3.00,5.00,0.00,4.00,3.00,NULL,1.00,2.00,3.00,320,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233968,4.00,5.00,5.00,4.00,6.00,6.38,2.00,4.00,6.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233976,3.00,3.00,2.00,0.00,4.00,NULL,0.00,2.00,3.00,316,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5233984,6.00,5.00,3.00,5.00,10.00,7.50,3.00,4.00,5.00,238,NULL,202,'PICADAS DO SUL','S JOSÉ','SC',9909,174,NULL,NULL,NULL,NULL,NULL,4,1),(20,5233992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,211,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5234018,8.00,6.00,6.00,7.00,8.00,7.88,5.00,4.00,8.00,103,NULL,NULL,'FLAMBOYANT','CAMPINAS','SP',2996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5234026,3.00,3.00,0.00,3.00,1.00,NULL,4.00,4.00,3.00,9,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5234034,6.00,8.00,5.00,7.00,8.00,9.75,5.00,3.00,5.00,103,NULL,NULL,'CENTRO','S JOSÉ','SC',3593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5234042,3.00,1.00,2.00,2.00,3.00,NULL,0.00,2.00,2.00,9,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5234069,3.00,7.00,0.00,4.00,6.00,NULL,0.00,0.00,3.00,309,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234077,5.00,7.00,4.00,3.00,4.00,8.63,1.00,3.00,5.00,303,NULL,NULL,'CENTRO','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5234093,7.00,7.00,1.00,3.00,6.00,NULL,0.00,3.00,5.00,420,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5234107,2.00,0.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,201,NULL,220,'NOSSA SENHORA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234115,5.00,3.00,2.00,4.00,4.00,8.25,3.00,1.00,3.00,451,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234123,3.00,1.00,3.00,3.00,5.00,NULL,1.00,3.00,4.00,207,NULL,NULL,'PINHEIROS','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5234131,5.00,6.00,3.00,6.00,5.00,7.13,2.00,1.00,4.00,208,NULL,238,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5234140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5234158,5.00,6.00,3.00,5.00,6.00,8.63,1.00,3.00,6.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234166,3.00,6.00,1.00,3.00,4.00,NULL,0.00,3.00,3.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234174,8.00,7.00,1.00,7.00,5.00,7.13,3.00,5.00,4.00,223,NULL,NULL,'AREIAS','S JOSÉ','SC',9461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5234182,6.00,6.00,3.00,1.00,6.00,9.00,2.00,2.00,3.00,215,NULL,207,'CENTRO','CPO BELO SUL','SC',13547,283,NULL,641,NULL,NULL,NULL,4,9),(20,5234190,2.00,4.00,0.00,2.00,1.00,NULL,2.00,0.00,2.00,302,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5234204,4.00,6.00,1.00,5.00,6.00,NULL,0.00,3.00,2.00,102,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234212,6.00,6.00,2.00,4.00,3.00,NULL,3.00,1.00,2.00,2,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5234220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5234239,5.00,5.00,1.00,4.00,7.00,6.75,0.00,3.00,3.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15390,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234247,3.00,4.00,0.00,3.00,4.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234263,5.00,4.00,3.00,6.00,8.00,9.00,3.00,2.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5234271,2.00,4.00,0.00,2.00,2.00,NULL,0.00,0.00,4.00,302,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234280,8.00,8.00,6.00,7.00,6.00,11.25,4.00,3.00,5.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',3068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5234298,3.00,6.00,1.00,4.00,5.00,7.13,2.00,3.00,3.00,303,NULL,NULL,'CENTRO','LAGES','SC',15113,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5234301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5234310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5234328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'SANTO ANTONIO','URUBICI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5234336,0.00,1.00,2.00,2.00,1.00,NULL,1.00,2.00,1.00,340,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234344,8.00,6.00,4.00,7.00,7.00,6.38,6.00,3.00,6.00,203,NULL,214,'SAGUAÇÚ','JOINVILLE','SC',5465,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5234352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5234360,2.00,3.00,4.00,3.00,3.00,NULL,2.00,4.00,4.00,3,NULL,NULL,'ESTADOS UNIDOS','UBERABA','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5234387,1.00,7.00,0.00,5.00,6.00,NULL,1.00,3.00,4.00,201,NULL,207,'CINQUENTENARIO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5234395,8.00,8.00,9.00,7.00,10.00,10.50,8.00,5.00,8.00,203,NULL,214,'COQUEIROS','FLORIANÓPOLIS','SC',185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5234409,9.00,8.00,8.00,7.00,10.00,9.38,6.00,5.00,9.00,103,NULL,NULL,'JARDIM GISELA','TOLEDO','PR',311,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5234417,9.00,6.00,3.00,7.00,9.00,10.50,6.00,3.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5234433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5234441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5234450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5234468,1.00,4.00,0.00,3.00,2.00,NULL,0.00,3.00,0.00,652,NULL,NULL,'VILA SÃO JOSE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5234476,5.00,5.00,0.00,6.00,10.00,9.00,0.00,4.00,5.00,450,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',9408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5234484,8.00,7.00,4.00,8.00,10.00,8.25,6.00,4.00,8.00,316,NULL,NULL,'MATRIZ','VIDEIRA','SC',1782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5234492,4.00,5.00,2.00,6.00,8.00,9.00,3.00,4.00,7.00,224,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',7158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234506,3.00,5.00,1.00,5.00,8.00,10.13,0.00,4.00,4.00,340,NULL,NULL,'VILA NOVA','JOINVILLE','SC',13853,391,NULL,NULL,NULL,NULL,NULL,4,8),(20,5234514,5.00,7.00,3.00,5.00,8.00,9.38,2.00,4.00,5.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',10256,343,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234522,9.00,3.00,3.00,5.00,6.00,7.88,3.00,5.00,8.00,103,NULL,NULL,'VILA LARSEN','LONDRINA','PR',6417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5234530,8.00,8.00,7.00,6.00,7.00,9.00,5.00,5.00,9.00,103,NULL,NULL,'SANTA CRUZ','S JOSÉ R PRETO','SP',934,570,NULL,NULL,NULL,NULL,NULL,4,1),(20,5234549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5234557,1.00,6.00,1.00,6.00,8.00,NULL,1.00,2.00,2.00,601,NULL,202,'VISTA ALEGRE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5234565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5234581,4.00,2.00,3.00,0.00,4.00,NULL,0.00,1.00,3.00,101,NULL,NULL,'BATES','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5234590,0.00,4.00,0.00,0.00,0.00,NULL,1.00,2.00,2.00,102,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5234611,8.00,5.00,4.00,7.00,7.00,8.25,1.00,4.00,6.00,214,NULL,NULL,'PENHA','S PAULO','SP',5708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5234620,3.00,6.00,1.00,4.00,3.00,NULL,3.00,4.00,1.00,340,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA FÁTIMA','PENÁPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5234646,6.00,5.00,3.00,4.00,7.00,6.75,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',12775,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5234654,2.00,4.00,1.00,2.00,5.00,NULL,5.00,3.00,4.00,203,NULL,601,'CENTRO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5234662,5.00,4.00,2.00,3.00,4.00,6.38,2.00,2.00,5.00,102,NULL,NULL,'JD NACIONAL','FOZ IGUAÇU','PR',16310,236,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234689,4.00,4.00,1.00,6.00,4.00,7.88,1.00,2.00,5.00,103,NULL,NULL,'CENTRO','LAPA','PR',15912,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5234697,4.00,5.00,3.00,4.00,6.00,6.00,1.00,5.00,4.00,109,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',14568,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5234700,2.00,2.00,1.00,2.00,3.00,NULL,2.00,2.00,3.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5234719,7.00,7.00,2.00,5.00,8.00,9.75,4.00,4.00,8.00,103,NULL,NULL,'CENTRO','S JOSÉ CEDRO','SC',4167,1892,NULL,NULL,NULL,NULL,NULL,2,4),(20,5234727,3.00,6.00,0.00,4.00,7.00,NULL,2.00,1.00,3.00,216,NULL,NULL,'FATIMA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5234735,4.00,4.00,4.00,3.00,8.00,6.00,2.00,4.00,5.00,326,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14826,59,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234743,2.00,5.00,3.00,3.00,5.00,11.25,4.00,2.00,4.00,501,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234751,4.00,1.00,5.00,7.00,6.00,7.13,4.00,2.00,4.00,201,NULL,203,'MONTE CRISTO','FLORIANÓPOLIS','SC',12235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5234760,5.00,6.00,1.00,5.00,7.00,8.63,2.00,2.00,5.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',11701,561,NULL,848,NULL,NULL,NULL,2,1),(20,5234778,4.00,4.00,2.00,5.00,5.00,7.88,1.00,4.00,3.00,233,NULL,216,'TRINDADE','FLORIANÓPOLIS','SC',15413,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234786,9.00,4.00,4.00,5.00,9.00,9.00,5.00,1.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SÃO JUDAS TADEU','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5234816,9.00,9.00,6.00,5.00,10.00,10.50,3.00,8.00,8.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1138,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234832,3.00,6.00,0.00,4.00,2.00,NULL,3.00,2.00,4.00,207,NULL,201,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5234840,5.00,2.00,2.00,3.00,6.00,NULL,2.00,3.00,2.00,201,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5234859,8.00,7.00,6.00,8.00,9.00,9.38,6.00,4.00,7.00,103,NULL,NULL,'NUCLEO BANDEIRANTE','NUC BANDEIRANTE','DF',1602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5234867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5234883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,233,'SIRIU','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5234905,5.00,3.00,0.00,2.00,4.00,NULL,0.00,4.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5234921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5234930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'MONTE BELO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5234948,7.00,7.00,2.00,7.00,8.00,10.88,3.00,6.00,7.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5234956,5.00,7.00,3.00,3.00,6.00,8.63,4.00,3.00,2.00,102,NULL,NULL,'QUEDAS DO PALMITAL','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5234964,6.00,7.00,4.00,5.00,10.00,10.50,6.00,3.00,5.00,211,NULL,233,'AMÉRICA','JOINVILLE','SC',3651,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5234972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5234980,5.00,7.00,3.00,3.00,7.00,9.00,2.00,4.00,5.00,102,NULL,NULL,'AMÉRICA','JOINVILLE','SC',10459,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5234999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'VILA BEATRIZ','MARACAJÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5235006,2.00,2.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,601,NULL,NULL,'SÃO MARCOS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5235014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VILA ALEMÃ','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5235030,4.00,6.00,1.00,2.00,7.00,NULL,2.00,2.00,3.00,208,NULL,238,'PRAINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235049,5.00,6.00,2.00,7.00,5.00,9.38,3.00,3.00,4.00,214,NULL,233,'MONTE BELO','JOAÇABA','SC',11188,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5235057,4.00,4.00,4.00,2.00,2.00,NULL,3.00,3.00,2.00,316,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235065,6.00,6.00,1.00,2.00,8.00,7.13,2.00,2.00,8.00,3,NULL,NULL,'TESTO REGA','POMERODE','SC',11131,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5235073,8.00,6.00,0.00,4.00,9.00,NULL,3.00,3.00,5.00,108,NULL,NULL,'JARDIM ALEXANDRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5235081,3.00,5.00,1.00,2.00,5.00,NULL,3.00,0.00,4.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235090,4.00,4.00,2.00,2.00,3.00,NULL,2.00,1.00,4.00,308,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235103,5.00,4.00,3.00,5.00,6.00,7.88,2.00,4.00,3.00,502,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',13036,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5235111,5.00,5.00,1.00,4.00,9.00,8.63,3.00,2.00,6.00,201,NULL,202,'PRINCIPAL','IPIRA','SC',9190,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5235120,2.00,2.00,1.00,4.00,5.00,NULL,3.00,0.00,1.00,503,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5235138,5.00,4.00,0.00,0.00,5.00,NULL,0.00,0.00,4.00,104,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5235146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5235154,7.00,5.00,2.00,6.00,9.00,7.13,3.00,3.00,2.00,317,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',10184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5235170,2.00,5.00,2.00,3.00,4.00,NULL,0.00,2.00,3.00,309,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235189,4.00,5.00,3.00,3.00,7.00,6.75,0.00,5.00,3.00,501,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15329,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235197,5.00,6.00,2.00,6.00,6.00,7.88,1.00,4.00,4.00,207,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5235200,2.00,3.00,1.00,3.00,3.00,NULL,2.00,3.00,4.00,316,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235219,3.00,5.00,1.00,2.00,2.00,NULL,2.00,1.00,4.00,207,NULL,201,'CAMPO DA ÁGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5235227,1.00,5.00,1.00,1.00,4.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5235235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5235243,4.00,5.00,0.00,3.00,3.00,NULL,4.00,1.00,3.00,653,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5235251,7.00,6.00,0.00,6.00,4.00,6.75,1.00,3.00,1.00,452,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',16047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5235260,5.00,5.00,0.00,6.00,6.00,7.88,3.00,2.00,5.00,103,NULL,NULL,'CENTRO','SAUDADES','SC',12251,3449,NULL,NULL,NULL,NULL,NULL,2,4),(20,5235278,4.00,5.00,1.00,5.00,5.00,7.50,2.00,2.00,4.00,429,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',15099,39,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235286,2.00,3.00,2.00,5.00,6.00,NULL,1.00,2.00,4.00,109,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5235294,0.00,7.00,1.00,2.00,4.00,NULL,0.00,2.00,5.00,211,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5235308,3.00,5.00,0.00,4.00,6.00,NULL,2.00,0.00,3.00,5,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5235316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5235324,3.00,4.00,2.00,4.00,5.00,NULL,0.00,5.00,4.00,3,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5235332,7.00,5.00,3.00,5.00,5.00,6.38,5.00,3.00,4.00,203,NULL,214,'LA SALLE','TOLEDO','PR',10151,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5235340,5.00,2.00,1.00,3.00,3.00,NULL,1.00,2.00,4.00,319,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5235359,1.00,4.00,1.00,3.00,6.00,NULL,3.00,5.00,3.00,319,NULL,NULL,'VILA ESTADIO','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5235367,9.00,6.00,1.00,7.00,5.00,10.50,4.00,6.00,5.00,203,NULL,201,'GLÓRIA','JOINVILLE','SC',6091,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5235375,7.00,5.00,3.00,4.00,8.00,7.50,3.00,6.00,5.00,103,NULL,NULL,'IPIRANGA','S JOSÉ','SC',9006,3021,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,207,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5235391,6.00,5.00,4.00,6.00,8.00,9.00,2.00,3.00,5.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',6004,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5235413,2.00,6.00,0.00,4.00,2.00,NULL,0.00,1.00,1.00,5,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5235421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5235430,5.00,3.00,2.00,2.00,4.00,NULL,0.00,2.00,4.00,303,NULL,NULL,'SÃO SEBASTIÃO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5235456,4.00,4.00,5.00,4.00,5.00,NULL,0.00,1.00,1.00,212,NULL,235,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235464,9.00,7.00,7.00,7.00,9.00,8.25,8.00,6.00,7.00,203,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5235472,1.00,5.00,2.00,4.00,5.00,NULL,3.00,3.00,2.00,331,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5235480,6.00,7.00,3.00,5.00,6.00,9.75,5.00,3.00,6.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',6946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5235529,2.00,4.00,0.00,5.00,7.00,NULL,2.00,2.00,4.00,601,NULL,201,'ESPRAIADO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5235537,3.00,5.00,1.00,7.00,5.00,9.75,1.00,2.00,4.00,452,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5235545,5.00,7.00,3.00,7.00,3.00,NULL,0.00,4.00,4.00,203,NULL,202,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5235553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'POMERODE FUNDOS','POMERODE','SC',NULL,NULL,NULL,NULL,'S','S','S',1,2),(20,5235561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5235570,7.00,6.00,4.00,7.00,9.00,9.38,3.00,4.00,7.00,233,NULL,212,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4439,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5235588,6.00,6.00,3.00,5.00,4.00,6.00,1.00,3.00,2.00,404,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',14579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235596,2.00,2.00,1.00,3.00,5.00,NULL,2.00,2.00,2.00,3,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235600,5.00,5.00,2.00,2.00,6.00,7.13,2.00,3.00,4.00,201,NULL,211,'VILA NOVA','BLUMENAU','SC',13284,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5235618,2.00,7.00,2.00,3.00,2.00,NULL,1.00,0.00,4.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5235626,5.00,8.00,5.00,6.00,7.00,7.88,3.00,3.00,5.00,220,NULL,235,'SETOR SUDOESTE','GOIÂNIA','GO',5846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5235634,9.00,7.00,2.00,6.00,8.00,7.50,1.00,5.00,5.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',5835,2369,NULL,NULL,NULL,NULL,NULL,2,8),(20,5235642,1.00,3.00,1.00,1.00,4.00,NULL,2.00,1.00,4.00,9,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5235650,2.00,2.00,0.00,4.00,5.00,NULL,4.00,1.00,2.00,301,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235669,8.00,7.00,1.00,4.00,7.00,7.50,1.00,4.00,4.00,101,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',12801,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5235677,5.00,7.00,1.00,5.00,7.00,9.75,3.00,4.00,3.00,101,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',11742,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235707,4.00,3.00,0.00,4.00,3.00,NULL,3.00,1.00,3.00,103,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5235715,5.00,5.00,1.00,6.00,8.00,9.38,2.00,4.00,3.00,220,NULL,235,'ÁGUA VERDE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5235723,8.00,6.00,5.00,5.00,9.00,9.38,1.00,5.00,8.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',3459,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5235731,4.00,4.00,1.00,3.00,3.00,NULL,0.00,0.00,1.00,201,NULL,212,'REAL PARK','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235740,3.00,5.00,2.00,3.00,5.00,4.13,2.00,4.00,2.00,203,NULL,201,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5235758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5235766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5235782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5235790,8.00,6.00,1.00,4.00,7.00,7.13,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',10756,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5235804,9.00,6.00,5.00,5.00,9.00,8.25,3.00,4.00,8.00,216,NULL,215,'ATIRADORES','JOINVILLE','SC',3833,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5235812,6.00,7.00,4.00,5.00,4.00,7.88,2.00,1.00,4.00,103,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',13099,3535,NULL,NULL,NULL,NULL,NULL,2,8),(20,5235820,3.00,3.00,1.00,1.00,6.00,NULL,0.00,3.00,1.00,104,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235839,8.00,6.00,4.00,7.00,8.00,9.75,4.00,5.00,5.00,303,NULL,NULL,'LIMOEIRO','BRUSQUE','SC',3175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5235871,2.00,6.00,3.00,3.00,2.00,NULL,0.00,2.00,2.00,208,NULL,235,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235880,4.00,7.00,3.00,2.00,6.00,7.13,4.00,4.00,4.00,207,NULL,201,'MONTE VERDE','FLORIANÓPOLIS','SC',12762,604,NULL,913,NULL,NULL,NULL,2,1),(20,5235928,7.00,8.00,4.00,6.00,9.00,12.00,5.00,5.00,8.00,203,NULL,202,'CARIANOS','FLORIANÓPOLIS','SC',1938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5235936,1.00,4.00,1.00,6.00,5.00,NULL,1.00,1.00,4.00,104,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5235952,6.00,5.00,3.00,6.00,8.00,11.25,3.00,4.00,7.00,5,NULL,NULL,'SÃO JOSÉ','ESTEIO','RS',4895,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TIFA MARTINS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5235987,6.00,5.00,1.00,4.00,8.00,7.88,3.00,5.00,6.00,501,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',11073,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5235995,2.00,3.00,2.00,4.00,3.00,NULL,0.00,2.00,2.00,450,NULL,NULL,'ESTREITOCOLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236002,5.00,6.00,0.00,6.00,5.00,7.50,2.00,3.00,4.00,213,NULL,238,'FAZENDA STO ANTONIO','S JOSÉ','SC',14690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236010,5.00,7.00,5.00,8.00,8.00,12.00,3.00,4.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236029,4.00,6.00,1.00,6.00,6.00,11.25,1.00,1.00,4.00,207,NULL,216,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236037,3.00,3.00,2.00,3.00,7.00,NULL,1.00,2.00,3.00,329,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236053,8.00,9.00,8.00,6.00,9.00,8.25,5.00,4.00,8.00,203,NULL,201,'CENTRO','TAPEJARA','RS',1158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236061,8.00,4.00,1.00,5.00,6.00,NULL,0.00,1.00,2.00,303,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5236070,8.00,3.00,6.00,5.00,8.00,10.13,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','FORQUILHINHA','SC',4365,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5236088,6.00,5.00,5.00,3.00,5.00,9.00,3.00,3.00,4.00,214,NULL,203,'CENTRO','BRAÇO NORTE','SC',12615,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5236096,6.00,6.00,0.00,7.00,3.00,NULL,2.00,3.00,3.00,207,NULL,201,'PIO CORREA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5236118,9.00,6.00,5.00,7.00,9.00,7.13,5.00,6.00,7.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236126,3.00,4.00,1.00,3.00,6.00,6.38,3.00,4.00,3.00,211,NULL,215,'PETRÓPOLIS','LAGES','SC',15738,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5236134,3.00,6.00,4.00,2.00,4.00,7.13,2.00,2.00,4.00,651,NULL,NULL,'ITOUPAVA II','TURVO','SC',16220,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5236142,9.00,7.00,2.00,4.00,7.00,8.63,2.00,5.00,7.00,102,NULL,NULL,'VILA NOVA','BLUMENAU','SC',4752,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5236150,5.00,5.00,4.00,5.00,6.00,10.88,4.00,2.00,4.00,316,NULL,NULL,'OFICINAS','TUBARÃO','SC',12555,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5236169,7.00,6.00,2.00,5.00,7.00,9.75,3.00,3.00,6.00,303,NULL,NULL,'IMIGRANTES','CONCÓRDIA','SC',8830,360,NULL,NULL,NULL,NULL,NULL,2,7),(20,5236177,9.00,8.00,6.00,4.00,9.00,10.50,5.00,6.00,9.00,103,NULL,NULL,'CENTRO','PALOTINA','PR',774,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5236185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'MARAMBAIA','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5236207,5.00,7.00,5.00,6.00,7.00,8.63,3.00,2.00,6.00,303,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5236215,9.00,6.00,1.00,4.00,7.00,9.38,5.00,6.00,7.00,103,NULL,NULL,'PERPETUO SOCORRO','STA MARIA','RS',4520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236223,3.00,6.00,1.00,3.00,6.00,8.63,2.00,6.00,6.00,415,NULL,NULL,'VILA NOVA','IMBITUBA','SC',14194,263,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236231,3.00,2.00,2.00,7.00,5.00,6.00,4.00,3.00,2.00,201,NULL,220,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236240,8.00,5.00,3.00,5.00,6.00,8.25,3.00,3.00,4.00,336,NULL,NULL,'MORRO DA CRUZ','FLORIANÓPOLIS','SC',12648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236258,6.00,5.00,4.00,6.00,8.00,8.63,3.00,2.00,7.00,216,NULL,NULL,'BOQUEIRAO','SANTOS','SP',4836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236266,8.00,8.00,2.00,8.00,9.00,12.75,4.00,5.00,5.00,5,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',2362,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5236290,7.00,7.00,4.00,5.00,8.00,8.63,4.00,5.00,6.00,233,NULL,211,'CENTRO','PRES GETÚLIO','SC',4886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236312,3.00,6.00,3.00,0.00,7.00,7.13,3.00,3.00,5.00,208,NULL,238,'COSTEIARA PIRAJUBAÉ','FLORIANÓPOLIS','SC',13711,365,NULL,325,NULL,NULL,NULL,4,1),(20,5236320,6.00,7.00,1.00,5.00,5.00,10.13,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236339,4.00,5.00,0.00,4.00,5.00,NULL,3.00,3.00,5.00,104,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236347,4.00,4.00,0.00,5.00,6.00,NULL,1.00,4.00,4.00,303,NULL,NULL,'VILA ESTRELA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236355,8.00,7.00,5.00,7.00,9.00,11.25,8.00,2.00,8.00,220,NULL,238,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',1404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236363,1.00,3.00,1.00,4.00,3.00,NULL,0.00,1.00,2.00,444,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,203,'ESQUINA GAUCHA','PÉROLA D OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5236380,4.00,6.00,3.00,5.00,3.00,NULL,4.00,5.00,5.00,601,NULL,201,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236398,8.00,6.00,1.00,6.00,5.00,10.50,0.00,5.00,8.00,103,NULL,NULL,'SANTA CATARINA','CAXIAS SUL','RS',5822,2367,NULL,NULL,NULL,NULL,NULL,4,15),(20,5236401,6.00,6.00,3.00,3.00,6.00,9.38,4.00,4.00,8.00,5,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',7517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236410,4.00,7.00,1.00,4.00,4.00,6.75,2.00,3.00,2.00,326,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CATANDUVAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5236444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5236452,3.00,3.00,4.00,2.00,3.00,NULL,1.00,3.00,1.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236460,4.00,6.00,5.00,4.00,5.00,4.88,4.00,2.00,5.00,235,NULL,653,'VILA ISABEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5236479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,653,'GETULIO VARGAS','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5236487,8.00,8.00,3.00,7.00,9.00,7.88,4.00,5.00,6.00,216,NULL,202,'MORRO DO POSTO','LAGES','SC',2953,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5236495,4.00,5.00,5.00,6.00,8.00,6.75,3.00,2.00,3.00,336,NULL,NULL,'CENTRO','CURITIBA','PR',12992,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5236509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5236517,3.00,4.00,0.00,5.00,8.00,NULL,0.00,2.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236533,3.00,7.00,2.00,4.00,7.00,9.75,3.00,5.00,6.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236541,9.00,7.00,3.00,7.00,11.00,10.88,4.00,5.00,9.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',1102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236550,9.00,9.00,8.00,7.00,10.00,10.13,4.00,6.00,9.00,207,NULL,201,'CENTRO','S MARTINHO','SC',263,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5236568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5236576,2.00,3.00,0.00,2.00,6.00,NULL,0.00,4.00,1.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM SANTA ROSA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5236606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5236614,7.00,5.00,3.00,5.00,4.00,9.00,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236630,5.00,5.00,0.00,4.00,7.00,NULL,0.00,3.00,3.00,404,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236649,9.00,6.00,3.00,6.00,7.00,7.50,3.00,6.00,6.00,103,NULL,NULL,'LEBLON','PARANAGUÁ','PR',4021,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5236657,5.00,5.00,4.00,5.00,6.00,8.25,1.00,1.00,5.00,303,NULL,NULL,'CENTRO','S LUDGERO','SC',11761,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5236665,7.00,5.00,2.00,7.00,5.00,7.13,3.00,4.00,5.00,503,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',11645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236673,5.00,6.00,2.00,7.00,3.00,NULL,0.00,2.00,4.00,207,NULL,201,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5236681,4.00,6.00,3.00,3.00,6.00,6.38,1.00,3.00,3.00,551,NULL,NULL,'CENTRO','BRUNÓPOLIS','SC',14449,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5236690,7.00,6.00,4.00,7.00,8.00,7.13,3.00,4.00,7.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236703,3.00,1.00,0.00,3.00,2.00,NULL,1.00,1.00,3.00,404,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236711,5.00,5.00,3.00,2.00,5.00,6.00,3.00,3.00,5.00,235,NULL,202,'MONTE SERRAT','FLORIANÓPOLIS','SC',15835,204,NULL,514,NULL,NULL,NULL,2,1),(20,5236720,4.00,5.00,0.00,5.00,4.00,NULL,4.00,1.00,1.00,601,NULL,203,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5236738,3.00,3.00,0.00,4.00,1.00,NULL,1.00,0.00,6.00,220,NULL,203,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236746,4.00,2.00,4.00,5.00,9.00,9.75,0.00,2.00,4.00,211,NULL,207,'ITAGUAÇU','FLORIANÓPOLIS','SC',14212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5236762,9.00,6.00,0.00,4.00,8.00,NULL,2.00,7.00,5.00,103,NULL,NULL,'JARDIM SIMARA','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5236770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5236789,4.00,3.00,2.00,0.00,2.00,NULL,2.00,3.00,3.00,318,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5236800,7.00,6.00,1.00,3.00,4.00,8.63,1.00,3.00,4.00,9,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236819,6.00,7.00,3.00,3.00,9.00,9.00,1.00,3.00,5.00,303,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',9134,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5236827,5.00,4.00,1.00,5.00,5.00,6.38,2.00,2.00,2.00,109,NULL,NULL,'SAGRADA FAMILIA','NOVA PRATA','RS',16031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236835,3.00,4.00,4.00,6.00,6.00,8.63,1.00,1.00,4.00,101,NULL,NULL,'CALEMBA','STO AMARO IMPERATRIZ','SC',15809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236851,5.00,5.00,0.00,5.00,5.00,10.13,2.00,1.00,3.00,420,NULL,NULL,'ESPINHEIROS','JOINVILLE','SC',15811,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5236860,7.00,7.00,4.00,4.00,8.00,6.75,5.00,7.00,7.00,216,NULL,202,'ITACORUBI','FLORIANÓPOLIS','SC',4852,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236878,6.00,6.00,0.00,4.00,7.00,6.75,1.00,1.00,6.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',11046,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236886,2.00,0.00,0.00,2.00,2.00,NULL,2.00,2.00,2.00,404,NULL,NULL,'RIO TAVRES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236894,4.00,4.00,1.00,7.00,4.00,9.75,1.00,2.00,2.00,340,NULL,NULL,'AREIAS','S JOSÉ','SC',16273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236916,4.00,5.00,0.00,6.00,4.00,NULL,0.00,1.00,2.00,450,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5236924,7.00,6.00,4.00,7.00,8.00,9.38,2.00,4.00,4.00,452,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',6658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5236932,5.00,5.00,1.00,3.00,7.00,6.00,3.00,2.00,4.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236959,3.00,5.00,1.00,5.00,8.00,7.13,4.00,2.00,5.00,339,NULL,NULL,'SERRARIA','S JOSÉ','SC',15052,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5236967,3.00,6.00,5.00,1.00,7.00,6.00,1.00,1.00,3.00,201,NULL,211,'CENTRO','PR GRANDE','SC',15400,1090,NULL,484,NULL,NULL,NULL,4,15),(20,5236975,0.00,6.00,0.00,0.00,0.00,NULL,2.00,4.00,4.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(20,5236983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5236991,7.00,7.00,2.00,4.00,7.00,9.75,2.00,4.00,4.00,420,NULL,NULL,'CENTRO','TIJUCAS','SC',9508,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237009,2.00,3.00,3.00,1.00,2.00,NULL,3.00,1.00,2.00,404,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237025,6.00,6.00,2.00,5.00,7.00,7.50,2.00,4.00,6.00,304,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',12048,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5237041,3.00,6.00,3.00,7.00,8.00,9.75,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',9252,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5237050,2.00,5.00,2.00,3.00,3.00,NULL,1.00,0.00,4.00,103,NULL,NULL,'CENTRO','GALVÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5237068,1.00,5.00,4.00,7.00,5.00,6.00,0.00,3.00,3.00,201,NULL,207,'CZERNIEWICZ','JARAGUÁ SUL','SC',15370,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5237076,5.00,3.00,3.00,5.00,7.00,9.00,1.00,3.00,4.00,203,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237084,8.00,3.00,6.00,5.00,10.00,7.13,4.00,6.00,6.00,201,NULL,207,'ATIRADORES','JOINVILLE','SC',3334,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5237092,6.00,7.00,4.00,7.00,10.00,11.25,4.00,4.00,6.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',4203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237106,6.00,4.00,0.00,5.00,5.00,NULL,2.00,2.00,2.00,104,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237122,6.00,4.00,4.00,6.00,3.00,NULL,3.00,3.00,5.00,104,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237130,6.00,3.00,2.00,5.00,6.00,7.88,2.00,3.00,3.00,208,NULL,238,'CAMPINAS','S JOSÉ','SC',13089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237149,5.00,5.00,2.00,3.00,4.00,11.63,2.00,4.00,3.00,453,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',14682,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237157,8.00,5.00,5.00,5.00,5.00,9.38,3.00,3.00,8.00,103,NULL,NULL,'VILA JACON','LIMEIRA','SP',4352,1948,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237165,4.00,6.00,2.00,3.00,6.00,7.88,0.00,1.00,5.00,429,NULL,426,'PASSA VINTE','PALHOÇA','SC',14990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5237181,2.00,5.00,2.00,2.00,6.00,NULL,2.00,2.00,3.00,238,NULL,201,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237190,6.00,6.00,1.00,7.00,10.00,8.25,4.00,3.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',5916,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5237203,1.00,6.00,3.00,5.00,2.00,NULL,1.00,1.00,2.00,201,NULL,207,'RECIFE','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5237211,5.00,8.00,4.00,4.00,5.00,9.00,1.00,4.00,4.00,451,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237220,5.00,6.00,2.00,3.00,6.00,7.13,3.00,3.00,4.00,101,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',15094,92,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237238,9.00,8.00,7.00,6.00,8.00,10.50,7.00,5.00,8.00,103,NULL,NULL,'CAMBUÍ','MOGI GUAÇU','SP',516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237246,7.00,7.00,3.00,6.00,7.00,9.38,6.00,4.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3911,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5237254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,202,'SANTA MONICA','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5237262,5.00,6.00,1.00,5.00,4.00,NULL,0.00,2.00,2.00,309,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5237270,2.00,1.00,1.00,4.00,3.00,NULL,2.00,3.00,2.00,652,NULL,653,'JARDIM CIBELE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,15),(20,5237289,7.00,7.00,3.00,7.00,9.00,9.38,4.00,5.00,5.00,415,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',4863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237297,6.00,6.00,3.00,4.00,8.00,9.00,1.00,3.00,4.00,309,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237300,7.00,5.00,3.00,7.00,7.00,10.88,6.00,3.00,5.00,103,NULL,NULL,'DEHON','TUBARÃO','SC',4539,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5237319,4.00,4.00,2.00,7.00,7.00,10.88,0.00,2.00,5.00,102,NULL,NULL,'NOSSA SRA DE FATIMA','BRAÇO NORTE','SC',12690,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5237335,5.00,6.00,2.00,6.00,8.00,7.88,2.00,4.00,4.00,211,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',9673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237343,6.00,6.00,1.00,7.00,7.00,8.63,3.00,3.00,4.00,424,NULL,421,'JARDIM ELDORADO','PALHOÇA','SC',10839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237351,4.00,2.00,0.00,6.00,4.00,NULL,2.00,2.00,1.00,208,NULL,220,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5237378,3.00,3.00,1.00,2.00,4.00,NULL,0.00,2.00,2.00,318,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237386,8.00,4.00,0.00,4.00,7.00,NULL,2.00,2.00,2.00,452,NULL,NULL,'STO ANTÔNIO DE PÁDUA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5237394,4.00,3.00,1.00,3.00,6.00,NULL,1.00,1.00,4.00,103,NULL,NULL,'GABIROBA','RIO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5237408,3.00,8.00,0.00,3.00,7.00,NULL,2.00,2.00,2.00,201,NULL,653,'RAICHASKI','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5237416,8.00,6.00,3.00,6.00,9.00,9.38,3.00,2.00,8.00,211,NULL,233,'FIGUEIRA','URUSSANGA','SC',4937,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5237424,5.00,7.00,1.00,4.00,6.00,7.88,0.00,3.00,4.00,216,NULL,215,'CENTRO','CRICIÚMA','SC',12714,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5237432,7.00,5.00,0.00,5.00,4.00,7.88,2.00,3.00,5.00,103,NULL,NULL,'PIRAGO','URUSSANGA','SC',10530,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5237440,6.00,6.00,2.00,3.00,6.00,10.88,4.00,3.00,4.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11721,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237459,2.00,4.00,1.00,2.00,3.00,NULL,0.00,4.00,3.00,316,NULL,NULL,'BELA VISTA III','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237467,8.00,7.00,4.00,5.00,6.00,7.88,5.00,6.00,5.00,420,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',5601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5237483,4.00,5.00,0.00,3.00,4.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237491,3.00,3.00,2.00,2.00,3.00,NULL,2.00,0.00,1.00,316,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237505,2.00,3.00,0.00,4.00,3.00,NULL,1.00,1.00,2.00,428,NULL,427,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237513,9.00,5.00,3.00,6.00,10.00,10.13,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',4617,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237521,5.00,5.00,3.00,4.00,8.00,9.00,1.00,5.00,3.00,202,NULL,220,'PRESIDENTE VARGAS','IÇARA','SC',13291,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5237530,0.00,4.00,2.00,1.00,5.00,NULL,0.00,1.00,3.00,216,NULL,207,'JARDIN CIDADE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237548,4.00,5.00,2.00,2.00,3.00,NULL,0.00,1.00,3.00,302,NULL,NULL,'CRAVEIRO','STA TEREZINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5237564,3.00,5.00,1.00,5.00,5.00,7.50,1.00,4.00,3.00,303,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5237572,3.00,6.00,2.00,3.00,6.00,7.50,1.00,2.00,3.00,601,NULL,212,'SANTA CATARINA','JOINVILLE','SC',15516,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5237580,4.00,4.00,2.00,4.00,3.00,NULL,2.00,2.00,1.00,450,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237599,3.00,6.00,1.00,3.00,4.00,NULL,0.00,2.00,4.00,601,NULL,220,'PETRÓPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5237602,7.00,7.00,1.00,6.00,10.00,10.50,7.00,5.00,7.00,203,NULL,235,'VARGEM GRANDE','FLORIANÓPOLIS','SC',2372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237610,5.00,7.00,1.00,5.00,6.00,6.00,0.00,3.00,5.00,453,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',12626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237629,4.00,4.00,1.00,4.00,7.00,7.88,4.00,3.00,3.00,453,NULL,NULL,'NOVA DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5237637,6.00,5.00,3.00,6.00,7.00,9.38,3.00,1.00,2.00,425,NULL,426,'CAMINHO NOVO','PALHOÇA','SC',10918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237645,3.00,3.00,2.00,4.00,5.00,NULL,3.00,3.00,2.00,101,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,214,'COHAPAR','GUARATUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5237670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5237688,7.00,6.00,2.00,6.00,10.00,9.00,2.00,3.00,5.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',6814,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5237696,0.00,2.00,0.00,2.00,4.00,NULL,0.00,0.00,3.00,316,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'CENTRO','LAURO MÜLLER','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5237726,2.00,5.00,3.00,4.00,5.00,NULL,3.00,1.00,2.00,215,NULL,201,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237734,4.00,6.00,1.00,5.00,7.00,10.13,2.00,0.00,5.00,653,NULL,201,'JARDIM LONDRILAR','LONDRINA','PR',11257,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5237742,7.00,6.00,7.00,5.00,8.00,11.63,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','MARIÓPOLIS','PR',2606,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5237750,5.00,3.00,2.00,4.00,6.00,7.88,2.00,0.00,4.00,207,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',14860,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237769,3.00,4.00,1.00,2.00,4.00,NULL,0.00,0.00,2.00,501,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5237785,5.00,8.00,4.00,6.00,5.00,9.75,3.00,6.00,5.00,220,NULL,203,'REGIAO DO LAGO','CASCAVEL','PR',6022,NULL,NULL,NULL,NULL,NULL,NULL,5,4),(20,5237807,5.00,4.00,1.00,5.00,6.00,9.00,4.00,3.00,4.00,420,NULL,NULL,'BARREIROS','S JOSÉ','SC',12477,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237815,4.00,6.00,0.00,6.00,7.00,NULL,3.00,2.00,3.00,303,NULL,NULL,'NOVA DIVINEIA','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5237823,7.00,8.00,3.00,7.00,6.00,9.75,4.00,6.00,6.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',5240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'MORRO AZUL','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5237840,2.00,4.00,1.00,1.00,1.00,NULL,0.00,2.00,2.00,653,NULL,208,'SANTA BÁRBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5237858,5.00,4.00,4.00,3.00,3.00,NULL,2.00,3.00,2.00,101,NULL,NULL,'CAIEIRA BARRA SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237866,5.00,7.00,1.00,4.00,8.00,7.13,3.00,3.00,4.00,103,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',9643,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237874,4.00,3.00,0.00,4.00,3.00,NULL,0.00,3.00,1.00,104,NULL,NULL,'MAIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5237882,1.00,2.00,2.00,0.00,2.00,NULL,1.00,1.00,2.00,308,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'SANTA TEREZA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5237912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5237920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5237939,5.00,6.00,1.00,5.00,7.00,7.50,3.00,3.00,3.00,104,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',12565,320,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237947,7.00,4.00,6.00,7.00,6.00,9.00,4.00,4.00,4.00,208,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',5723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5237963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5237971,4.00,6.00,1.00,4.00,4.00,NULL,0.00,1.00,3.00,207,NULL,201,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5237998,9.00,6.00,3.00,5.00,9.00,9.75,1.00,3.00,3.00,103,NULL,NULL,'FAXINAL','STA CRUZ SUL','RS',5675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5238005,3.00,4.00,3.00,5.00,8.00,7.88,2.00,3.00,5.00,108,NULL,NULL,'STO ANTONIO DELISBOA','FLORIANÓPOLIS','SC',13635,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,NULL,'BRASILIA','COCAL SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5238021,2.00,5.00,2.00,2.00,3.00,NULL,2.00,0.00,4.00,444,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238030,7.00,8.00,0.00,4.00,9.00,NULL,3.00,2.00,6.00,102,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5238048,5.00,1.00,4.00,4.00,7.00,6.75,2.00,3.00,4.00,207,NULL,215,'CAPOEIRAS','FLORIANÓPOLIS','SC',13737,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,233,'CENTRO','MATELÂNDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5238064,2.00,5.00,3.00,4.00,5.00,10.13,4.00,3.00,2.00,211,NULL,207,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5238080,6.00,5.00,4.00,2.00,6.00,7.88,3.00,4.00,5.00,208,NULL,238,'SERTÃO DO MARUIM','S JOSÉ','SC',11107,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238102,2.00,4.00,2.00,0.00,0.00,NULL,2.00,1.00,2.00,451,NULL,NULL,'ARGENTINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5238110,4.00,6.00,1.00,5.00,6.00,6.00,1.00,3.00,4.00,301,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',15927,234,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238129,4.00,5.00,3.00,5.00,3.00,NULL,3.00,3.00,5.00,551,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5238137,7.00,3.00,1.00,6.00,7.00,11.25,6.00,5.00,3.00,420,NULL,NULL,'CAMBUI','CAMPINAS','SP',7294,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5238145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5238161,3.00,2.00,0.00,3.00,4.00,NULL,0.00,0.00,1.00,101,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238170,6.00,7.00,2.00,5.00,9.00,7.50,3.00,4.00,5.00,201,NULL,601,'ESTREITO','FLORIANÓPOLIS','SC',7771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238188,8.00,4.00,7.00,7.00,7.00,9.38,3.00,6.00,7.00,203,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',2667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5238196,2.00,4.00,2.00,2.00,3.00,NULL,4.00,1.00,3.00,502,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238218,3.00,4.00,2.00,2.00,3.00,NULL,1.00,2.00,2.00,339,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238226,3.00,4.00,2.00,3.00,3.00,NULL,1.00,1.00,2.00,327,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238242,7.00,4.00,2.00,4.00,8.00,7.13,3.00,2.00,1.00,2,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',12734,35,NULL,NULL,NULL,NULL,NULL,2,15),(20,5238250,8.00,7.00,3.00,7.00,8.00,10.88,4.00,4.00,4.00,301,NULL,NULL,'CENTRO','TUBARÃO','SC',4430,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5238269,3.00,3.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,653,NULL,NULL,'CAMPINHO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5238277,7.00,7.00,1.00,5.00,7.00,10.13,3.00,6.00,7.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',4586,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238285,7.00,6.00,0.00,4.00,6.00,6.38,4.00,5.00,3.00,316,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',10074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5238307,4.00,6.00,0.00,4.00,5.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5238315,1.00,0.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(20,5238323,4.00,6.00,0.00,4.00,2.00,NULL,1.00,2.00,4.00,102,NULL,NULL,'SANTA TERESINHA','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5238331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5238340,1.00,3.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,319,NULL,NULL,'MATO QUEIMADO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5238358,2.00,5.00,1.00,2.00,4.00,NULL,2.00,2.00,3.00,5,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238366,3.00,5.00,3.00,7.00,5.00,9.00,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','TORRES','RS',11795,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5238374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'DO SOL','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5238382,5.00,4.00,2.00,2.00,5.00,6.38,3.00,3.00,3.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238390,10.00,6.00,8.00,8.00,10.00,6.75,7.00,5.00,9.00,103,NULL,NULL,'MUCHILA I','FRA SANTANA','BA',559,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5238404,4.00,5.00,1.00,6.00,6.00,12.75,2.00,4.00,6.00,211,NULL,207,'TIARAJU','IJUÍ','RS',9175,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5238412,5.00,5.00,5.00,5.00,7.00,6.38,2.00,6.00,5.00,327,NULL,NULL,'VILA PLANALTO','CPO GRANDE','MS',9272,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5238420,7.00,4.00,6.00,4.00,5.00,7.50,4.00,4.00,6.00,207,NULL,601,'ATIRADORES','JOINVILLE','SC',9215,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5238439,6.00,5.00,6.00,5.00,7.00,9.38,3.00,2.00,6.00,103,NULL,NULL,'CENTRO','GUAÍBA','RS',5435,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5238447,6.00,3.00,2.00,6.00,3.00,NULL,0.00,5.00,4.00,110,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238455,8.00,8.00,4.00,6.00,9.00,8.25,3.00,4.00,7.00,102,NULL,NULL,'VELHA','NOVA TRENTO','SC',3483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5238463,6.00,5.00,3.00,7.00,7.00,7.50,1.00,2.00,4.00,233,NULL,208,'JARDIM ELDORADO','PALHOÇA','SC',11225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5238480,7.00,7.00,2.00,7.00,6.00,9.00,1.00,6.00,8.00,215,NULL,216,'ANDORINHAS','ITAPEMA','SC',4543,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5238498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5238501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VILA ROSA','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5238510,6.00,6.00,4.00,6.00,5.00,7.50,2.00,2.00,3.00,303,NULL,NULL,'JARDIM LONDRILAR','LONDRINA','PR',12867,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5238528,3.00,6.00,3.00,6.00,5.00,7.13,2.00,2.00,4.00,318,NULL,NULL,'CAMBUI','CAMPINAS','SP',13728,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5238536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,233,'CAPAO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5238544,6.00,5.00,5.00,7.00,7.00,10.13,3.00,2.00,4.00,201,NULL,233,'BARREIROS','S JOSÉ','SC',7704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5238552,4.00,6.00,2.00,3.00,5.00,7.50,2.00,3.00,4.00,339,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238560,5.00,4.00,2.00,4.00,6.00,7.13,3.00,3.00,5.00,303,NULL,NULL,'SANTA RITA','LAGES','SC',12791,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5238579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SARANDI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5238587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5238595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,220,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5238609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','TAQUARITUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5238617,5.00,6.00,1.00,4.00,8.00,NULL,1.00,1.00,1.00,451,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238625,3.00,3.00,1.00,4.00,5.00,NULL,2.00,3.00,0.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238633,9.00,7.00,4.00,3.00,7.00,9.00,4.00,5.00,8.00,103,NULL,NULL,'JARDIM CONCEIÇÃO','PNT GROSSA','PR',3832,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5238641,6.00,3.00,2.00,2.00,3.00,NULL,1.00,2.00,6.00,101,NULL,NULL,'SANTA MARIA','MAL CÂNDIDO RONDON','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5238650,2.00,2.00,3.00,3.00,3.00,NULL,2.00,0.00,1.00,652,NULL,653,'LOTEAMENTO PAIQUERE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5238668,1.00,2.00,0.00,3.00,2.00,NULL,2.00,2.00,1.00,428,NULL,426,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238676,6.00,6.00,2.00,2.00,5.00,6.75,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5238684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'SANTA LUSIA','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5238692,1.00,5.00,0.00,3.00,3.00,NULL,0.00,1.00,1.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238706,4.00,7.00,3.00,1.00,8.00,4.50,2.00,2.00,5.00,203,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5238714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VILA SÃO PEDRO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5238722,4.00,6.00,5.00,7.00,8.00,7.13,3.00,4.00,5.00,201,NULL,208,'ZONA SETE','MARINGÁ','PR',7619,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5238730,7.00,3.00,3.00,6.00,6.00,9.75,2.00,2.00,2.00,301,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',13939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5238757,6.00,5.00,4.00,4.00,3.00,NULL,1.00,1.00,2.00,108,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5238765,3.00,4.00,2.00,5.00,3.00,NULL,1.00,0.00,3.00,203,NULL,208,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238773,3.00,1.00,2.00,4.00,5.00,NULL,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','GUATAMBÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5238781,2.00,2.00,2.00,6.00,4.00,NULL,2.00,1.00,3.00,216,NULL,214,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5238790,1.00,5.00,0.00,3.00,5.00,NULL,1.00,3.00,3.00,415,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238803,3.00,5.00,2.00,5.00,5.00,9.75,2.00,2.00,3.00,309,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',15660,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238811,5.00,7.00,2.00,4.00,5.00,10.88,2.00,1.00,3.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',13133,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5238820,3.00,4.00,0.00,4.00,6.00,NULL,2.00,2.00,3.00,451,NULL,NULL,'CENTRO','TERRA AREIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5238838,2.00,6.00,2.00,6.00,6.00,8.25,2.00,2.00,3.00,335,NULL,NULL,'CENTRO','IÇARA','SC',15671,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5238854,5.00,3.00,1.00,1.00,2.00,NULL,0.00,0.00,1.00,429,NULL,425,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238862,4.00,7.00,2.00,5.00,5.00,9.38,1.00,1.00,2.00,211,NULL,201,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5238889,6.00,0.00,2.00,6.00,6.00,NULL,0.00,0.00,0.00,201,NULL,213,'PRAIA DA CAL','TORRES','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(20,5238897,4.00,7.00,1.00,5.00,10.00,9.75,3.00,4.00,4.00,207,NULL,201,'COLINA SORRISO','CAXIAS SUL','RS',9575,443,NULL,696,NULL,NULL,NULL,2,1),(20,5238900,5.00,8.00,0.00,7.00,9.00,9.75,5.00,6.00,5.00,427,NULL,424,'CAMPECHE','FLORIANÓPOLIS','SC',6664,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CAMPO LINDO','SEROPÉDICA','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5238927,3.00,2.00,3.00,5.00,4.00,NULL,1.00,1.00,5.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5238943,2.00,6.00,2.00,2.00,7.00,7.88,1.00,4.00,6.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',15560,223,NULL,NULL,NULL,NULL,NULL,4,1),(20,5238951,3.00,6.00,2.00,5.00,2.00,NULL,2.00,1.00,4.00,316,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5238960,3.00,5.00,3.00,6.00,6.00,NULL,0.00,1.00,5.00,452,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5238978,5.00,6.00,3.00,4.00,7.00,NULL,0.00,4.00,3.00,429,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5238986,6.00,8.00,3.00,6.00,10.00,7.50,2.00,4.00,6.00,207,NULL,651,'CARVOEIRA','FLORIANÓPOLIS','SC',4241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239001,5.00,5.00,0.00,5.00,3.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239010,6.00,7.00,3.00,6.00,5.00,6.75,2.00,3.00,6.00,501,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5239028,6.00,7.00,3.00,4.00,6.00,5.25,1.00,4.00,5.00,208,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239036,7.00,6.00,4.00,4.00,6.00,8.63,3.00,4.00,7.00,201,NULL,212,'CENTRO','CASCAVEL','PR',7210,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5239044,6.00,3.00,3.00,7.00,6.00,9.00,1.00,2.00,4.00,103,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',9420,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5239052,6.00,5.00,3.00,3.00,5.00,5.25,1.00,1.00,4.00,220,NULL,203,'SUMARÉ','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5239060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5239079,5.00,4.00,1.00,5.00,6.00,7.88,2.00,4.00,4.00,215,NULL,211,'CENTRO','XANXERÊ','SC',12790,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5239125,3.00,5.00,3.00,2.00,3.00,NULL,0.00,2.00,2.00,5,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239141,4.00,3.00,0.00,3.00,2.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'FAZ SANTO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5239168,6.00,6.00,5.00,3.00,8.00,6.00,0.00,2.00,3.00,302,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',14340,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5239176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5239184,3.00,3.00,0.00,3.00,4.00,NULL,1.00,2.00,3.00,9,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5239192,4.00,5.00,3.00,4.00,7.00,9.38,4.00,2.00,4.00,208,NULL,238,'CAMPINAS','S JOSÉ','SC',13609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5239206,4.00,4.00,4.00,2.00,8.00,9.00,1.00,4.00,5.00,301,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5239214,6.00,4.00,0.00,2.00,2.00,NULL,1.00,4.00,2.00,653,NULL,652,'JD CIBÉLE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5239222,6.00,8.00,2.00,6.00,9.00,9.75,4.00,5.00,5.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239249,7.00,7.00,4.00,6.00,9.00,8.63,3.00,6.00,8.00,214,NULL,233,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239265,5.00,6.00,0.00,4.00,7.00,NULL,2.00,3.00,3.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'DIVINÉIA','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5239281,8.00,4.00,2.00,6.00,9.00,8.63,3.00,5.00,7.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6892,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5239290,8.00,6.00,4.00,7.00,8.00,6.75,3.00,5.00,5.00,103,NULL,NULL,'JARDIM ITAMBE','COLOMBO','PR',3800,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5239303,6.00,3.00,0.00,4.00,5.00,NULL,1.00,3.00,1.00,207,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239311,5.00,6.00,3.00,5.00,7.00,9.38,0.00,3.00,3.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14977,606,NULL,NULL,NULL,NULL,NULL,2,1),(20,5239320,3.00,3.00,3.00,6.00,6.00,4.50,2.00,1.00,6.00,340,NULL,NULL,'FORQUILHINHA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5239338,6.00,5.00,4.00,3.00,5.00,6.38,4.00,3.00,5.00,332,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5239362,4.00,4.00,1.00,5.00,3.00,NULL,3.00,2.00,2.00,101,NULL,NULL,'CENTRO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5239370,4.00,3.00,1.00,3.00,4.00,NULL,3.00,2.00,1.00,452,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5239389,3.00,5.00,3.00,5.00,5.00,6.00,3.00,3.00,2.00,208,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',15729,468,NULL,414,NULL,NULL,NULL,4,1),(20,5239397,1.00,3.00,2.00,2.00,4.00,NULL,2.00,3.00,0.00,223,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239400,4.00,4.00,1.00,7.00,6.00,NULL,0.00,2.00,2.00,415,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5239419,3.00,3.00,1.00,7.00,6.00,NULL,3.00,2.00,2.00,450,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239427,5.00,2.00,2.00,3.00,2.00,NULL,1.00,2.00,1.00,301,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5239443,2.00,5.00,1.00,2.00,3.00,NULL,0.00,4.00,6.00,452,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5239451,9.00,5.00,1.00,7.00,7.00,9.75,3.00,7.00,6.00,103,NULL,NULL,'APARECIDA','SANTOS','SP',4948,2129,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5239478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'FÁTIMA','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5239486,6.00,7.00,4.00,5.00,6.00,7.13,2.00,4.00,3.00,328,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',11497,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5239494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5239524,5.00,6.00,0.00,7.00,5.00,7.88,3.00,2.00,4.00,453,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239540,5.00,6.00,0.00,2.00,3.00,NULL,1.00,3.00,4.00,5,NULL,NULL,'SANTA MARIA','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5239567,3.00,4.00,1.00,2.00,4.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'SAO ROQUE','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5239575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','LACERDÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5239583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5239591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5239605,2.00,5.00,3.00,5.00,8.00,7.50,1.00,4.00,4.00,202,NULL,220,'FLOR DA SERRA','JOAÇABA','SC',11423,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5239613,6.00,6.00,4.00,2.00,6.00,9.00,3.00,2.00,4.00,202,NULL,201,'REVOREDO','TUBARÃO','SC',12700,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5239621,7.00,7.00,4.00,7.00,9.00,9.75,4.00,5.00,7.00,202,NULL,213,'MEIA PRAIA','ITAPEMA','SC',2637,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5239630,1.00,4.00,0.00,1.00,4.00,NULL,0.00,3.00,1.00,327,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239648,9.00,5.00,1.00,3.00,9.00,10.50,0.00,2.00,5.00,304,NULL,NULL,'AREIAS','S JOSÉ','SC',8762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5239656,8.00,7.00,5.00,7.00,7.00,9.75,3.00,5.00,7.00,201,NULL,211,'CARVOEIRA','FLORIANÓPOLIS','SC',3742,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5239664,6.00,6.00,1.00,5.00,8.00,10.13,2.00,5.00,5.00,301,NULL,NULL,'CENTRO','TURVO','SC',9176,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5239672,6.00,4.00,2.00,6.00,8.00,8.25,4.00,3.00,4.00,303,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',7787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239680,5.00,4.00,1.00,3.00,7.00,NULL,0.00,1.00,2.00,108,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239699,4.00,7.00,4.00,4.00,5.00,6.75,3.00,3.00,5.00,324,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5239702,5.00,6.00,0.00,7.00,2.00,NULL,2.00,3.00,5.00,103,NULL,NULL,'CENTRO','RIO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5239710,7.00,6.00,7.00,6.00,8.00,9.38,4.00,4.00,6.00,220,NULL,208,'COMERCIÁRIO','CRICIÚMA','SC',3502,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5239729,3.00,4.00,0.00,2.00,2.00,NULL,3.00,2.00,2.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239737,3.00,6.00,0.00,6.00,7.00,NULL,0.00,6.00,2.00,340,NULL,NULL,'CENTRO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5239745,2.00,7.00,2.00,5.00,4.00,NULL,1.00,2.00,1.00,301,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5239753,4.00,6.00,5.00,4.00,6.00,9.38,4.00,4.00,6.00,652,NULL,653,'BAIRRO OPERÁRIA','ARARANGUÁ','SC',9631,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5239761,2.00,2.00,1.00,4.00,8.00,NULL,3.00,1.00,3.00,316,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5239770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MAUÁ','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5239788,7.00,8.00,1.00,5.00,10.00,9.75,4.00,4.00,5.00,207,NULL,233,'FORQUILHINHAS','S JOSÉ','SC',4908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5239818,0.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'HORTENCIA','STO ÂNGELO','RS',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(20,5239826,5.00,7.00,3.00,5.00,4.00,9.75,2.00,1.00,5.00,238,NULL,208,'PANAZZOLO','VIDEIRA','SC',10857,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5239850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5239869,9.00,6.00,1.00,7.00,7.00,8.63,5.00,5.00,7.00,103,NULL,NULL,'VILA BARROS','DOURADOS','MS',4731,2065,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239893,4.00,5.00,2.00,2.00,3.00,NULL,2.00,2.00,2.00,317,NULL,NULL,'SAO SEBASTIAO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239915,3.00,4.00,5.00,6.00,9.00,9.00,3.00,1.00,6.00,109,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',9117,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5239923,6.00,7.00,4.00,7.00,9.00,10.50,5.00,4.00,7.00,214,NULL,220,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',2989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239931,3.00,6.00,0.00,2.00,3.00,NULL,3.00,3.00,5.00,319,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5239940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RECREIO DOS CAFEZAIS','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5239958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'MATO PRETO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5239974,3.00,4.00,3.00,6.00,3.00,NULL,3.00,1.00,1.00,234,NULL,NULL,'VILA MACARINI','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5239990,3.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5240000,4.00,2.00,1.00,5.00,3.00,NULL,2.00,2.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240018,4.00,5.00,3.00,1.00,2.00,NULL,2.00,1.00,3.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5240026,9.00,7.00,8.00,7.00,8.00,8.63,3.00,5.00,8.00,103,NULL,NULL,'PINEVILLE','PINHAIS','PR',1273,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5240034,0.00,3.00,0.00,2.00,2.00,NULL,3.00,3.00,4.00,428,NULL,426,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5240042,1.00,1.00,4.00,1.00,4.00,NULL,0.00,0.00,3.00,340,NULL,NULL,'FORQUILHINHA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240085,8.00,7.00,2.00,5.00,7.00,8.63,1.00,4.00,4.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240093,6.00,6.00,5.00,5.00,4.00,8.63,1.00,3.00,3.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5240107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5240115,7.00,9.00,2.00,7.00,8.00,11.63,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','BENTO GONÇALVES','RS',2224,1178,NULL,NULL,NULL,NULL,NULL,4,9),(20,5240123,2.00,6.00,2.00,5.00,5.00,6.38,2.00,1.00,4.00,652,NULL,653,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5240131,7.00,7.00,3.00,6.00,9.00,7.88,4.00,6.00,4.00,5,NULL,NULL,'CENTRO','PTO BELO','SC',6855,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5240158,2.00,3.00,2.00,2.00,5.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5240174,4.00,5.00,2.00,4.00,8.00,9.38,3.00,3.00,1.00,337,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',15249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240182,4.00,6.00,2.00,5.00,6.00,NULL,0.00,1.00,2.00,9,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5240190,7.00,6.00,2.00,7.00,7.00,8.63,1.00,1.00,7.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5240212,7.00,5.00,2.00,7.00,9.00,7.88,1.00,4.00,3.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240239,4.00,5.00,1.00,2.00,4.00,NULL,0.00,1.00,2.00,302,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240255,5.00,5.00,4.00,6.00,6.00,8.25,3.00,6.00,4.00,201,NULL,202,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5240263,5.00,7.00,2.00,6.00,4.00,7.50,2.00,4.00,3.00,316,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',13519,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5240271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5240280,3.00,3.00,0.00,4.00,4.00,NULL,1.00,4.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,601,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5240310,0.00,5.00,2.00,5.00,8.00,NULL,3.00,3.00,5.00,415,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'REBELO','GARÇA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5240344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5240379,3.00,3.00,0.00,3.00,6.00,NULL,1.00,2.00,1.00,653,NULL,651,'POÇO DA LONTRA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5240387,7.00,6.00,3.00,6.00,5.00,6.38,4.00,4.00,3.00,216,NULL,238,'CENTRO','LAGES','SC',8222,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5240395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,216,'CAMPOLIN','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5240409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BANDEIRANTE','CALDAS NOVAS','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5240417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,235,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5240425,5.00,7.00,5.00,5.00,9.00,10.50,7.00,0.00,6.00,201,NULL,212,'CARVOEIRA','FLORIANÓPOLIS','SC',4171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240433,1.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,2.00,101,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5240441,3.00,4.00,4.00,3.00,3.00,NULL,1.00,1.00,3.00,207,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240450,2.00,4.00,1.00,2.00,4.00,NULL,0.00,1.00,2.00,444,NULL,NULL,'SANTO ANTONIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5240468,3.00,3.00,1.00,4.00,4.00,NULL,2.00,2.00,0.00,207,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5240476,8.00,6.00,1.00,6.00,7.00,7.50,0.00,4.00,2.00,103,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',12882,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5240484,2.00,1.00,1.00,3.00,4.00,NULL,2.00,1.00,6.00,103,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5240506,7.00,7.00,2.00,6.00,6.00,8.25,3.00,2.00,2.00,318,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',11708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240522,5.00,2.00,0.00,5.00,8.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','CPO NOVO PARECIS','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5240549,8.00,7.00,5.00,7.00,9.00,9.38,6.00,7.00,8.00,203,NULL,202,'CAPOEIRAS','FLORIANÓPOLIS','SC',1058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240565,8.00,7.00,0.00,6.00,10.00,NULL,2.00,4.00,6.00,208,NULL,238,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5240573,5.00,6.00,3.00,7.00,5.00,9.38,3.00,2.00,3.00,203,NULL,202,'ABRAAO','FLORIANÓPOLIS','SC',11769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240581,4.00,4.00,0.00,0.00,3.00,NULL,0.00,2.00,2.00,9,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240590,6.00,6.00,4.00,6.00,5.00,7.50,3.00,3.00,5.00,303,NULL,NULL,'RECIFE','TUBARÃO','SC',11717,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5240611,8.00,6.00,5.00,5.00,8.00,9.38,2.00,6.00,7.00,103,NULL,NULL,'JARDIM DAS NAÇOES','TAUBATÉ','SP',3170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240620,4.00,6.00,2.00,6.00,6.00,9.38,1.00,4.00,2.00,336,NULL,NULL,'FLORESTA','BRAÇO NORTE','SC',13389,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5240662,5.00,5.00,0.00,6.00,3.00,NULL,0.00,3.00,2.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5240670,5.00,6.00,1.00,7.00,7.00,6.75,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5240689,4.00,6.00,2.00,3.00,7.00,9.75,3.00,3.00,5.00,211,NULL,653,'COLONINHA','ARARANGUÁ','SC',12864,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5240697,5.00,6.00,4.00,7.00,8.00,11.25,1.00,3.00,3.00,340,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5240727,6.00,9.00,2.00,6.00,9.00,9.75,5.00,3.00,4.00,108,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',4947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240735,6.00,6.00,2.00,2.00,1.00,NULL,2.00,3.00,3.00,653,NULL,202,'LIVRAMENTO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5240743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','PANAMBI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5240751,5.00,5.00,4.00,4.00,4.00,8.63,2.00,2.00,4.00,220,NULL,NULL,'CENTRO','CRICIÚMA','SC',13628,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5240760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5240786,2.00,3.00,2.00,3.00,6.00,NULL,0.00,3.00,2.00,601,NULL,202,'MORRO DO MEIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5240794,2.00,4.00,2.00,4.00,2.00,NULL,3.00,3.00,3.00,316,NULL,NULL,'FAZENDA DA AMARÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5240808,7.00,8.00,1.00,7.00,4.00,7.13,2.00,3.00,7.00,208,NULL,220,'JD AQUARIUS','S JOSÉ CAMPOS','SP',7649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240816,3.00,3.00,2.00,6.00,5.00,8.25,1.00,4.00,3.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240824,6.00,5.00,3.00,2.00,8.00,8.63,2.00,5.00,7.00,103,NULL,NULL,'SAO SIMAO','CRICIÚMA','SC',7737,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5240832,1.00,3.00,3.00,1.00,3.00,NULL,3.00,0.00,3.00,104,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5240859,7.00,6.00,3.00,6.00,8.00,9.00,3.00,5.00,6.00,201,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',8346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240867,7.00,2.00,4.00,7.00,6.00,6.75,3.00,3.00,6.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240875,5.00,5.00,3.00,7.00,6.00,7.50,2.00,1.00,5.00,103,NULL,NULL,'JARDIM ANGÉLICA','CRICIÚMA','SC',13405,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5240883,5.00,6.00,1.00,6.00,5.00,8.63,3.00,5.00,3.00,203,NULL,220,'ITACORUBI','FLORIANÓPOLIS','SC',12489,840,NULL,342,NULL,NULL,NULL,4,1),(20,5240891,4.00,6.00,4.00,5.00,7.00,9.38,2.00,3.00,3.00,211,NULL,215,'CENTRO','IPORÃ OESTE','SC',11521,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5240905,3.00,7.00,3.00,6.00,6.00,7.88,1.00,5.00,6.00,220,NULL,213,'CARIANOS','FLORIANÓPOLIS','SC',12955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240913,3.00,5.00,2.00,4.00,6.00,NULL,3.00,1.00,2.00,201,NULL,216,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5240921,8.00,6.00,5.00,6.00,5.00,7.50,0.00,3.00,5.00,216,NULL,235,'BIGORRILHO','CURITIBA','PR',11236,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5240948,6.00,7.00,5.00,5.00,6.00,6.00,2.00,5.00,7.00,201,NULL,202,'PICADAS DO SUL','S JOSÉ','SC',7105,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5240956,8.00,5.00,3.00,7.00,9.00,9.38,4.00,7.00,6.00,214,NULL,212,'INTERLAGOS','S PAULO','SP',3355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5240964,2.00,2.00,1.00,2.00,3.00,NULL,1.00,2.00,1.00,211,NULL,207,'REDIN','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5240972,9.00,7.00,4.00,7.00,7.00,6.75,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',5945,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5240980,6.00,7.00,4.00,5.00,6.00,8.25,2.00,3.00,6.00,336,NULL,NULL,'SÃO PELEGRINO','CAXIAS SUL','RS',8577,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5240999,5.00,5.00,1.00,3.00,3.00,NULL,5.00,2.00,3.00,301,NULL,NULL,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5241030,6.00,7.00,4.00,5.00,5.00,6.75,2.00,7.00,4.00,214,NULL,216,'BOM RETIRO','JOINVILLE','SC',7398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5241049,6.00,5.00,2.00,4.00,8.00,9.38,3.00,2.00,6.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',9300,3071,NULL,NULL,NULL,NULL,NULL,2,1),(20,5241057,2.00,4.00,1.00,2.00,2.00,NULL,1.00,5.00,4.00,203,NULL,214,'VILA GUAIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5241065,9.00,8.00,5.00,6.00,9.00,12.75,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241073,2.00,5.00,3.00,2.00,5.00,NULL,2.00,3.00,3.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5241081,8.00,5.00,5.00,7.00,5.00,9.00,3.00,1.00,8.00,103,NULL,NULL,'SANTANA','PTO ALEGRE','RS',6688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241090,8.00,5.00,6.00,7.00,7.00,10.50,4.00,3.00,7.00,203,NULL,212,'CENTRO','BAL CAMBORIÚ','SC',3276,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5241103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,207,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5241111,6.00,8.00,3.00,6.00,7.00,7.50,3.00,4.00,6.00,2,NULL,NULL,'VELHA','BLUMENAU','SC',6430,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5241120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AREA INDUSTRIAL','STA TEREZINHA ITAIPU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5241138,0.00,4.00,0.00,3.00,2.00,NULL,1.00,3.00,1.00,652,NULL,208,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,15),(20,5241146,4.00,3.00,6.00,6.00,7.00,7.13,0.00,4.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',13899,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5241154,7.00,6.00,2.00,5.00,9.00,10.50,2.00,4.00,5.00,103,NULL,NULL,'RUY COELHO GONÇALVES','GUAÍBA','RS',7998,2829,NULL,NULL,NULL,NULL,NULL,2,15),(20,5241170,3.00,2.00,0.00,3.00,6.00,NULL,3.00,4.00,6.00,302,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5241227,6.00,5.00,2.00,7.00,7.00,9.00,2.00,3.00,4.00,316,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',8637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241235,5.00,4.00,2.00,2.00,5.00,NULL,0.00,1.00,6.00,103,NULL,NULL,'CENTRO','BOM JD SERRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5241260,1.00,3.00,0.00,3.00,3.00,NULL,1.00,0.00,2.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5241278,5.00,8.00,4.00,7.00,9.00,7.13,3.00,5.00,5.00,207,NULL,NULL,'CENTRO','TRINDADE SUL','RS',5572,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5241294,4.00,6.00,0.00,4.00,5.00,NULL,2.00,3.00,2.00,104,NULL,NULL,'INDUSTRIAL','QUERÊNCIA','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5241308,6.00,5.00,8.00,5.00,7.00,9.75,3.00,5.00,7.00,207,NULL,201,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241316,3.00,6.00,2.00,7.00,5.00,11.25,1.00,1.00,3.00,415,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5241324,4.00,6.00,0.00,4.00,6.00,NULL,2.00,4.00,3.00,444,NULL,NULL,'BRASILIA','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,10),(20,5241332,7.00,7.00,2.00,6.00,5.00,9.38,1.00,4.00,6.00,424,NULL,427,'PEREQUE','PTO BELO','SC',10067,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5241340,8.00,6.00,6.00,7.00,8.00,9.75,6.00,6.00,7.00,201,NULL,207,'SAGUAÇU','JOINVILLE','SC',1220,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5241359,7.00,6.00,3.00,7.00,9.00,NULL,0.00,4.00,7.00,104,NULL,NULL,'PRESIDENTE MÉDICE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5241375,6.00,5.00,1.00,7.00,6.00,7.50,2.00,1.00,2.00,201,NULL,212,'HIGIENÓPOLIS','MAL CÂNDIDO RONDON','PR',12971,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5241383,8.00,7.00,4.00,5.00,7.00,7.88,6.00,7.00,8.00,207,NULL,201,'CARIANOS','FLORIANÓPOLIS','SC',3063,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5241391,7.00,6.00,2.00,7.00,4.00,10.50,4.00,2.00,7.00,103,NULL,NULL,'JARDIM ANALIA FRANCO','S PAULO','SP',5089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241405,6.00,6.00,4.00,4.00,5.00,6.75,1.00,4.00,4.00,207,NULL,213,'LTM AVELINO MULLER','BIGUAÇU','SC',13177,626,NULL,162,NULL,NULL,NULL,2,1),(20,5241413,8.00,7.00,5.00,7.00,6.00,6.75,4.00,4.00,5.00,104,NULL,NULL,'CENTRO','CASCAVEL','PR',5235,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5241421,8.00,9.00,6.00,7.00,9.00,9.75,4.00,7.00,6.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241448,8.00,5.00,3.00,6.00,7.00,9.38,2.00,4.00,6.00,601,NULL,220,'CENTRO','BLUMENAU','SC',8138,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5241456,3.00,4.00,0.00,1.00,2.00,NULL,2.00,1.00,2.00,404,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5241464,7.00,7.00,4.00,7.00,2.00,NULL,4.00,3.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241472,3.00,5.00,1.00,2.00,4.00,NULL,0.00,2.00,3.00,316,NULL,NULL,'RAICHASKI','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241480,9.00,5.00,6.00,6.00,8.00,7.13,4.00,5.00,8.00,220,NULL,202,'MATO QUEIMADO','NOVA TRENTO','SC',4104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241502,0.00,0.00,1.00,7.00,4.00,NULL,0.00,0.00,0.00,424,NULL,421,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5241510,8.00,7.00,4.00,6.00,9.00,9.00,4.00,5.00,7.00,103,NULL,NULL,'SANTO ANTONIO','CURITIBANOS','SC',3010,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5241529,4.00,5.00,1.00,3.00,2.00,NULL,2.00,0.00,2.00,101,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5241537,5.00,5.00,4.00,7.00,7.00,11.25,2.00,2.00,5.00,207,NULL,220,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',9816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241545,8.00,7.00,2.00,7.00,7.00,7.50,3.00,3.00,6.00,104,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',7045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241553,7.00,7.00,5.00,6.00,11.00,9.38,6.00,6.00,7.00,211,NULL,207,'VILA DAS BELEZAS','S PAULO','SP',1444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241561,3.00,3.00,1.00,2.00,2.00,NULL,1.00,1.00,3.00,324,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5241570,7.00,4.00,6.00,7.00,9.00,8.63,5.00,4.00,7.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',3959,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5241588,2.00,3.00,0.00,1.00,3.00,NULL,0.00,1.00,0.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5241596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5241600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5241618,7.00,6.00,5.00,5.00,8.00,9.75,5.00,2.00,7.00,202,NULL,213,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',4026,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5241626,7.00,7.00,1.00,7.00,10.00,12.38,5.00,3.00,3.00,331,NULL,NULL,'CENTRO','TUBARÃO','SC',5293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241634,4.00,3.00,2.00,6.00,2.00,NULL,2.00,0.00,3.00,601,NULL,235,'MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5241650,3.00,5.00,2.00,4.00,5.00,7.88,4.00,3.00,4.00,317,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',15073,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5241669,0.00,3.00,2.00,3.00,2.00,NULL,1.00,0.00,1.00,9,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5241693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5241707,8.00,7.00,5.00,7.00,7.00,9.00,2.00,3.00,7.00,201,NULL,233,'CENTRO','S JOSÉ','SC',5876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241731,9.00,5.00,2.00,7.00,8.00,7.88,2.00,4.00,6.00,103,NULL,NULL,'SETOR BELA VISTA','GOIÂNIA','GO',4744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'BARRA FUNDA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5241758,1.00,2.00,1.00,1.00,2.00,NULL,3.00,3.00,3.00,452,NULL,NULL,'CORRÉGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5241774,5.00,4.00,3.00,7.00,8.00,8.63,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',8629,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5241782,3.00,3.00,2.00,5.00,2.00,NULL,0.00,2.00,3.00,551,NULL,NULL,'INTERIOR','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5241790,4.00,4.00,3.00,3.00,5.00,6.38,2.00,3.00,3.00,205,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5241804,5.00,7.00,3.00,5.00,7.00,8.25,0.00,4.00,5.00,339,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',12926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241812,3.00,2.00,0.00,3.00,3.00,NULL,1.00,1.00,2.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5241820,4.00,4.00,1.00,5.00,3.00,NULL,0.00,2.00,5.00,103,NULL,NULL,'AUGUSTO JOSE VALENTE','POSSE','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5241839,3.00,4.00,2.00,3.00,6.00,NULL,0.00,3.00,3.00,102,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5241847,3.00,3.00,1.00,4.00,5.00,NULL,0.00,1.00,4.00,653,NULL,207,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5241855,2.00,5.00,2.00,3.00,5.00,NULL,0.00,1.00,4.00,104,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241863,4.00,4.00,0.00,5.00,7.00,6.75,2.00,4.00,4.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5241871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5241880,0.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'MARIA CÉU','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5241901,3.00,3.00,1.00,1.00,4.00,NULL,0.00,4.00,3.00,207,NULL,208,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241910,6.00,4.00,3.00,4.00,8.00,6.75,4.00,1.00,4.00,203,NULL,220,'PICO DO AMOR','CUIABÁ','MT',10807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'JARDINS','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5241936,6.00,8.00,5.00,3.00,6.00,7.88,2.00,5.00,7.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5241944,9.00,7.00,4.00,6.00,8.00,11.25,4.00,4.00,8.00,201,NULL,202,'CORDEIROS','ITAJAÍ','SC',2462,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5241952,6.00,7.00,1.00,5.00,6.00,9.75,2.00,3.00,6.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241960,5.00,7.00,5.00,7.00,8.00,7.50,3.00,1.00,3.00,201,NULL,211,'COQUEIROS','FLORIANÓPOLIS','SC',9548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5241979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5241995,5.00,5.00,4.00,6.00,3.00,NULL,1.00,3.00,5.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5242002,1.00,5.00,1.00,4.00,5.00,NULL,0.00,3.00,4.00,208,NULL,651,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5242010,7.00,8.00,5.00,6.00,6.00,7.13,5.00,4.00,6.00,203,NULL,214,'PARQUE EMBU','COLOMBO','PR',3687,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5242037,3.00,5.00,3.00,5.00,6.00,7.88,1.00,3.00,4.00,420,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5242045,8.00,7.00,6.00,6.00,7.00,7.50,4.00,4.00,6.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',4529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5242053,7.00,6.00,2.00,4.00,4.00,7.13,4.00,2.00,6.00,203,NULL,202,'URUSSANGUINHA','ARARANGUÁ','SC',9633,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5242061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'MEDIANEIRA','PANAMBI','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5242070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'PLANALTO','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5242088,9.00,8.00,8.00,7.00,6.00,11.25,8.00,6.00,9.00,103,NULL,NULL,'CJ VITORIA REGIA','LONDRINA','PR',246,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5242100,6.00,3.00,1.00,4.00,3.00,NULL,2.00,3.00,3.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5242118,4.00,6.00,2.00,5.00,3.00,NULL,2.00,1.00,5.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5242134,5.00,6.00,2.00,7.00,10.00,7.50,3.00,5.00,6.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',5925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5242142,7.00,5.00,1.00,4.00,7.00,8.25,0.00,3.00,3.00,207,NULL,201,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',15275,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5242150,2.00,5.00,4.00,3.00,5.00,8.25,2.00,3.00,4.00,303,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',15957,645,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242169,4.00,5.00,2.00,3.00,6.00,7.88,3.00,2.00,2.00,238,NULL,220,'CENTRO','RIO FORTUNA','SC',15730,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5242177,1.00,3.00,3.00,1.00,3.00,NULL,1.00,1.00,2.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5242185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,238,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5242193,2.00,4.00,2.00,2.00,4.00,9.00,3.00,3.00,5.00,308,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242215,2.00,2.00,1.00,1.00,4.00,NULL,1.00,3.00,2.00,235,NULL,202,'SÃO LUIZ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5242223,1.00,4.00,0.00,3.00,3.00,NULL,1.00,2.00,2.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5242231,6.00,5.00,3.00,7.00,8.00,9.00,2.00,3.00,5.00,420,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5242240,4.00,3.00,3.00,2.00,3.00,NULL,0.00,2.00,2.00,207,NULL,211,'CENTRO','NOVA ERECHIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5242258,7.00,5.00,4.00,5.00,7.00,8.25,2.00,4.00,5.00,201,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',8568,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242266,8.00,7.00,6.00,7.00,10.00,10.88,3.00,5.00,7.00,333,NULL,NULL,'ESTRIETO','FLORIANÓPOLIS','SC',1556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5242274,8.00,5.00,1.00,7.00,10.00,8.63,3.00,4.00,7.00,212,NULL,213,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4198,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5242282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'ALDEOTA','FORTALEZA','CE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5242304,3.00,3.00,0.00,3.00,3.00,NULL,3.00,3.00,1.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242312,7.00,6.00,6.00,6.00,8.00,7.88,6.00,4.00,5.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',4168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5242320,6.00,7.00,2.00,6.00,8.00,10.88,3.00,4.00,4.00,331,NULL,NULL,'GLÓRIA','JOINVILLE','SC',7883,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5242339,5.00,0.00,3.00,4.00,8.00,NULL,0.00,3.00,5.00,103,NULL,NULL,'JARDIM CONCEIÇÃO','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5242347,2.00,4.00,2.00,2.00,4.00,NULL,1.00,1.00,3.00,224,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5242355,4.00,4.00,1.00,3.00,2.00,NULL,3.00,2.00,4.00,318,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5242371,8.00,7.00,7.00,6.00,8.00,10.50,5.00,6.00,7.00,103,NULL,NULL,'SANTO ANTONIO','CURITIBANOS','SC',1613,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5242380,6.00,4.00,2.00,5.00,8.00,6.00,1.00,3.00,3.00,103,NULL,NULL,'JARDIN ITALIA','CHAPECÓ','SC',13372,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5242398,6.00,6.00,2.00,6.00,9.00,12.00,3.00,3.00,5.00,310,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5242401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'STO ANTONIO DE PÁDU','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5242410,4.00,2.00,2.00,5.00,5.00,NULL,2.00,2.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242428,6.00,6.00,4.00,4.00,6.00,7.13,5.00,7.00,5.00,5,NULL,NULL,'CENTRO','ITAQUIRAÍ','MS',8582,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242436,6.00,7.00,4.00,6.00,7.00,9.75,4.00,4.00,7.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4626,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242460,1.00,5.00,0.00,7.00,4.00,NULL,2.00,2.00,2.00,425,NULL,429,'BRASILIA','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5242479,7.00,9.00,3.00,5.00,7.00,9.00,2.00,5.00,3.00,5,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',8065,264,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242487,3.00,7.00,1.00,2.00,3.00,NULL,1.00,3.00,3.00,208,NULL,201,'SANTA TERESA','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5242509,5.00,6.00,2.00,5.00,7.00,6.38,2.00,4.00,4.00,108,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',12643,227,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242525,8.00,5.00,2.00,7.00,5.00,7.88,2.00,5.00,5.00,5,NULL,NULL,'RODOVIARIA PARK','CUIABÁ','MT',9225,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5242533,8.00,8.00,8.00,7.00,10.00,10.88,8.00,6.00,6.00,203,NULL,233,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5242541,6.00,6.00,3.00,7.00,10.00,9.75,5.00,4.00,6.00,3,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',4153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5242550,7.00,8.00,6.00,5.00,9.00,8.63,4.00,5.00,7.00,102,NULL,NULL,'PROGRESSO','RIO SUL','SC',2271,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5242568,3.00,4.00,1.00,1.00,5.00,NULL,1.00,2.00,1.00,451,NULL,NULL,'RENASCER','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5242576,6.00,7.00,5.00,6.00,9.00,9.75,4.00,7.00,6.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',2281,1204,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242584,9.00,7.00,4.00,6.00,9.00,6.38,3.00,4.00,8.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4013,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242592,3.00,2.00,1.00,3.00,8.00,NULL,0.00,2.00,4.00,207,NULL,215,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242606,4.00,4.00,2.00,3.00,6.00,8.25,1.00,3.00,4.00,202,NULL,213,'COSTEIRA','FLORIANÓPOLIS','SC',15992,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242614,6.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,5.00,220,NULL,203,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242622,3.00,7.00,5.00,7.00,7.00,6.75,1.00,4.00,2.00,201,NULL,235,'SÃO FRANCISCO','VIDEIRA','SC',13343,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5242630,7.00,8.00,0.00,6.00,8.00,NULL,4.00,5.00,3.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5242649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'MARTINS','UBERLÂNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5242657,3.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,426,NULL,429,'KOBRASSOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5242665,5.00,7.00,1.00,6.00,6.00,8.25,4.00,4.00,6.00,301,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',8783,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IPUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5242681,6.00,7.00,2.00,6.00,6.00,8.25,4.00,2.00,4.00,211,NULL,201,'AGRONOMICA','FLORIANÓPOLIS','SC',9625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5242690,4.00,7.00,3.00,5.00,8.00,10.88,4.00,6.00,6.00,501,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',6631,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5242711,7.00,5.00,2.00,4.00,7.00,9.00,1.00,6.00,6.00,211,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',9950,294,NULL,254,NULL,NULL,NULL,2,1),(20,5242720,1.00,3.00,0.00,3.00,5.00,NULL,0.00,3.00,1.00,319,NULL,NULL,'SÃO JOÃO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5242738,6.00,6.00,3.00,4.00,6.00,8.63,2.00,3.00,3.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','PATO BRANCO','PR',9280,3065,NULL,NULL,NULL,NULL,NULL,4,4),(20,5242746,3.00,6.00,2.00,6.00,4.00,7.50,2.00,2.00,3.00,203,NULL,202,'SABKA','MAL CÂNDIDO RONDON','PR',16082,977,NULL,521,NULL,NULL,NULL,2,3),(20,5242754,3.00,6.00,1.00,4.00,6.00,6.75,1.00,3.00,3.00,444,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',15875,98,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242762,0.00,5.00,2.00,3.00,2.00,NULL,2.00,2.00,4.00,316,NULL,NULL,'NOVA BRASILIA','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5242770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NILOCAU VERGUEIRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5242789,2.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'NAÇÕES','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5242797,3.00,5.00,2.00,3.00,4.00,6.00,5.00,2.00,1.00,203,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',16322,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242800,6.00,3.00,1.00,6.00,4.00,8.25,1.00,1.00,5.00,340,NULL,NULL,'CENTRO','LARANJEIRAS SUL','PR',15595,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5242819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'COMÉRCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5242827,1.00,6.00,0.00,2.00,4.00,NULL,3.00,1.00,2.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5242835,9.00,7.00,6.00,7.00,11.00,12.00,4.00,5.00,7.00,103,NULL,NULL,'CENTRE','STA MARIA','RS',1184,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5242843,5.00,7.00,1.00,5.00,8.00,NULL,0.00,3.00,2.00,420,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242851,3.00,5.00,1.00,2.00,3.00,NULL,2.00,1.00,0.00,423,NULL,421,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','LAJEADO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5242878,7.00,7.00,4.00,6.00,6.00,9.38,2.00,4.00,6.00,9,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',5639,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242886,4.00,6.00,4.00,5.00,8.00,7.88,4.00,6.00,6.00,216,NULL,211,'MARISCAL','BOMBINHAS','SC',9655,404,NULL,278,NULL,NULL,NULL,2,3),(20,5242908,3.00,2.00,1.00,3.00,1.00,NULL,1.00,1.00,3.00,9,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'JARDIM IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5242924,8.00,6.00,6.00,7.00,10.00,9.75,3.00,7.00,7.00,211,NULL,215,'SAGUAÇU','JOINVILLE','SC',2018,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5242932,5.00,6.00,2.00,3.00,5.00,6.75,1.00,4.00,4.00,214,NULL,213,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',13322,334,NULL,163,NULL,NULL,NULL,2,1),(20,5242940,4.00,7.00,1.00,6.00,6.00,11.25,2.00,3.00,4.00,103,NULL,NULL,'SAIC','CHAPECÓ','SC',11370,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5242959,3.00,4.00,2.00,7.00,4.00,7.13,2.00,0.00,3.00,208,NULL,235,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',16321,493,NULL,208,NULL,NULL,NULL,4,1),(20,5242967,7.00,7.00,4.00,6.00,7.00,10.88,3.00,4.00,5.00,318,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5242975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JARDIM PAULISTANO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5242983,5.00,5.00,1.00,4.00,6.00,7.50,3.00,3.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5242991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SANTA RITA DE CÁSSIA','STA BÁRBARA D OESTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5243009,6.00,5.00,0.00,5.00,5.00,7.13,2.00,0.00,6.00,225,NULL,NULL,'LOTEAMENTO BEL MAR','PALHOÇA','SC',14290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243017,3.00,6.00,2.00,6.00,5.00,10.13,1.00,3.00,1.00,452,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',15753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243025,7.00,5.00,4.00,6.00,7.00,8.63,3.00,3.00,6.00,104,NULL,NULL,'FLORESTA','S JOSÉ','SC',7378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243041,5.00,7.00,6.00,6.00,9.00,7.88,3.00,4.00,4.00,501,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',5948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243050,2.00,5.00,4.00,5.00,7.00,10.88,0.00,2.00,3.00,207,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',12319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243068,6.00,7.00,2.00,6.00,6.00,0.00,4.00,4.00,4.00,601,NULL,653,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243076,3.00,5.00,1.00,4.00,9.00,9.00,2.00,4.00,4.00,208,NULL,238,'IPIRANGA','S JOSÉ','SC',12589,313,NULL,281,NULL,NULL,NULL,4,1),(20,5243106,4.00,3.00,4.00,7.00,4.00,6.38,1.00,0.00,5.00,303,NULL,NULL,'MORANGUEIRA','MARINGÁ','PR',15337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243114,4.00,4.00,0.00,2.00,5.00,NULL,1.00,4.00,5.00,336,NULL,NULL,'POPULAR','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5243122,5.00,3.00,2.00,3.00,3.00,NULL,3.00,2.00,5.00,212,NULL,NULL,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5243130,4.00,2.00,2.00,6.00,4.00,NULL,0.00,3.00,1.00,444,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243157,4.00,7.00,2.00,5.00,8.00,7.13,3.00,2.00,6.00,331,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',12207,31,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'MONTE ALEGRE','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5243173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5243181,7.00,4.00,5.00,0.00,5.00,NULL,3.00,2.00,3.00,203,NULL,213,'JARDIM CASTANHEIRAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243190,7.00,6.00,0.00,7.00,7.00,9.38,1.00,0.00,5.00,203,NULL,214,'STELLA MARIS','SALVADOR','BA',10251,734,NULL,279,NULL,NULL,NULL,4,1),(20,5243203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FANNY','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5243211,3.00,6.00,0.00,3.00,6.00,NULL,2.00,3.00,5.00,404,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243220,3.00,4.00,1.00,4.00,3.00,NULL,0.00,1.00,4.00,104,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5243238,4.00,5.00,0.00,7.00,8.00,NULL,1.00,6.00,3.00,326,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243246,7.00,5.00,2.00,5.00,7.00,7.13,1.00,3.00,5.00,303,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',9856,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5243254,4.00,5.00,1.00,5.00,2.00,NULL,2.00,3.00,3.00,601,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5243262,8.00,7.00,4.00,7.00,9.00,7.88,3.00,4.00,5.00,235,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',4933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243270,3.00,6.00,0.00,3.00,6.00,NULL,2.00,2.00,3.00,316,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CHACARA STO ANTONIO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5243335,6.00,6.00,3.00,4.00,6.00,7.50,3.00,4.00,2.00,340,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243343,1.00,4.00,0.00,5.00,5.00,NULL,0.00,3.00,3.00,332,NULL,NULL,'PRO MORAR','VIAMÃO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243351,0.00,4.00,0.00,0.00,0.00,NULL,1.00,1.00,3.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243360,5.00,5.00,0.00,5.00,4.00,10.50,2.00,2.00,4.00,319,NULL,NULL,'PEDRO COSTA','ITATIBA','SP',13287,253,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243378,3.00,4.00,1.00,4.00,6.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'BANDEIRANTES','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5243394,6.00,5.00,3.00,3.00,9.00,8.25,4.00,4.00,6.00,110,NULL,NULL,'MORRETES','ITAPEMA','SC',10531,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5243416,8.00,8.00,2.00,7.00,9.00,9.38,4.00,5.00,5.00,201,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',4533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243432,3.00,2.00,2.00,4.00,4.00,NULL,0.00,2.00,3.00,339,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5243440,4.00,4.00,2.00,5.00,2.00,NULL,2.00,3.00,1.00,429,NULL,425,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243459,5.00,2.00,3.00,4.00,8.00,7.88,2.00,2.00,5.00,601,NULL,214,'SANTO ANTÔNIO','JOINVILLE','SC',12795,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5243467,4.00,5.00,4.00,4.00,8.00,7.50,3.00,2.00,4.00,234,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14040,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5243475,2.00,5.00,2.00,2.00,1.00,NULL,0.00,2.00,5.00,340,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5243483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CRISTO REI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5243491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'CENTRO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5243505,7.00,6.00,3.00,5.00,6.00,9.75,2.00,3.00,6.00,333,NULL,NULL,'CENTRO','VERÊ','PR',7695,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5243513,8.00,3.00,0.00,3.00,4.00,NULL,0.00,1.00,2.00,110,NULL,NULL,'CENTRO','S JOÃO URTIGA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'SANTA ROSA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5243556,3.00,4.00,3.00,2.00,6.00,NULL,0.00,2.00,5.00,308,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243564,4.00,4.00,0.00,5.00,5.00,7.50,5.00,3.00,4.00,327,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',13521,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243572,5.00,5.00,1.00,4.00,5.00,NULL,0.00,2.00,4.00,201,NULL,601,'PROGRESSO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5243599,4.00,6.00,1.00,4.00,6.00,7.88,1.00,4.00,3.00,651,NULL,238,'RIO MAINA','CRICIÚMA','SC',15497,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5243602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'JANUARIA','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5243629,8.00,7.00,2.00,5.00,7.00,8.63,6.00,5.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243645,5.00,6.00,2.00,5.00,6.00,8.63,1.00,3.00,5.00,216,NULL,233,'JARDIM ELDORADO','PALHOÇA','SC',11536,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243653,4.00,6.00,1.00,6.00,7.00,9.38,2.00,3.00,1.00,601,NULL,NULL,'PARQUE DEZ','MANAUS','AM',14396,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5243670,3.00,2.00,2.00,4.00,3.00,NULL,2.00,1.00,2.00,453,NULL,NULL,'CENTRO','MANDAGUARI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5243696,6.00,7.00,4.00,5.00,5.00,8.63,4.00,4.00,3.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',11996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243700,5.00,4.00,2.00,6.00,4.00,8.63,3.00,2.00,5.00,427,NULL,423,'JD EULINA','CAMPINAS','SP',13145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243718,4.00,3.00,1.00,2.00,5.00,7.88,4.00,4.00,3.00,5,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243726,6.00,7.00,0.00,7.00,10.00,8.63,5.00,3.00,5.00,9,NULL,NULL,'PIO X','CAXIAS SUL','RS',6297,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243734,8.00,7.00,3.00,7.00,9.00,7.13,4.00,3.00,2.00,201,NULL,208,'GALÓPOLIS','CAXIAS SUL','RS',7230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243742,3.00,5.00,0.00,1.00,4.00,NULL,0.00,3.00,1.00,317,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243750,4.00,4.00,3.00,4.00,5.00,6.38,4.00,2.00,2.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243777,4.00,4.00,3.00,5.00,7.00,7.50,3.00,4.00,2.00,320,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243785,5.00,5.00,0.00,3.00,4.00,NULL,1.00,2.00,0.00,339,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243793,5.00,8.00,3.00,7.00,7.00,8.63,4.00,5.00,7.00,319,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',6701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243807,5.00,8.00,4.00,3.00,5.00,9.00,2.00,3.00,4.00,238,NULL,207,'FERRAZ','GAROPABA','SC',12028,255,NULL,574,NULL,NULL,NULL,2,1),(20,5243823,4.00,6.00,1.00,5.00,9.00,8.25,3.00,3.00,4.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11462,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243831,4.00,3.00,1.00,5.00,4.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'VOLTA GRANDE','MIRIM DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5243840,7.00,6.00,2.00,6.00,7.00,8.63,1.00,4.00,3.00,415,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',11425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5243866,5.00,6.00,2.00,7.00,7.00,9.00,2.00,4.00,3.00,225,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',12802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5243890,6.00,7.00,4.00,5.00,8.00,8.25,2.00,5.00,5.00,303,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',8584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243904,3.00,7.00,1.00,3.00,2.00,NULL,0.00,1.00,3.00,308,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243920,5.00,4.00,0.00,3.00,7.00,NULL,0.00,1.00,3.00,340,NULL,NULL,'SANTA IZABEL','IBICARÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5243939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5243947,6.00,5.00,5.00,7.00,8.00,9.38,3.00,2.00,5.00,238,NULL,208,'PRADO','BIGUAÇU','SC',5695,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243955,1.00,6.00,0.00,6.00,6.00,NULL,3.00,4.00,4.00,337,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243963,9.00,8.00,4.00,6.00,10.00,9.00,6.00,4.00,6.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',2463,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5243971,4.00,6.00,4.00,6.00,6.00,7.13,3.00,3.00,7.00,238,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10749,212,NULL,NULL,NULL,NULL,NULL,4,1),(20,5243980,6.00,5.00,0.00,5.00,7.00,7.50,3.00,2.00,4.00,327,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',14381,43,NULL,NULL,NULL,NULL,NULL,2,1),(20,5243998,5.00,5.00,2.00,3.00,4.00,NULL,0.00,3.00,1.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244005,6.00,7.00,3.00,6.00,8.00,8.25,4.00,4.00,6.00,9,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',7685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244013,5.00,2.00,1.00,2.00,3.00,NULL,3.00,2.00,2.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244021,7.00,6.00,4.00,7.00,6.00,10.50,4.00,6.00,4.00,320,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5244030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOSSA SENHORA DA PAZ','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5244048,5.00,2.00,1.00,4.00,5.00,6.00,4.00,3.00,3.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244056,1.00,1.00,4.00,2.00,3.00,NULL,0.00,1.00,0.00,501,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244064,5.00,5.00,1.00,6.00,10.00,6.75,3.00,3.00,3.00,109,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244072,8.00,5.00,2.00,7.00,4.00,7.88,5.00,3.00,7.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',6482,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5244080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5244099,7.00,5.00,8.00,5.00,5.00,6.75,5.00,4.00,7.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6279,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244102,4.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,653,NULL,652,'SANTA LUZIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(20,5244110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5244129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM CALIFORNIA','BRAGANÇA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5244170,5.00,5.00,2.00,5.00,3.00,NULL,2.00,3.00,5.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5244188,5.00,8.00,4.00,7.00,8.00,8.25,4.00,8.00,6.00,327,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5244218,7.00,4.00,3.00,5.00,8.00,6.38,4.00,5.00,5.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8472,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244242,5.00,7.00,0.00,3.00,7.00,7.13,1.00,4.00,3.00,502,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5244269,4.00,5.00,1.00,4.00,4.00,NULL,0.00,1.00,2.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5244277,7.00,8.00,2.00,4.00,6.00,8.25,4.00,3.00,3.00,103,NULL,NULL,'VILA BEATRIZ','MARACAJÁ','SC',9353,3078,NULL,NULL,NULL,NULL,NULL,4,2),(20,5244285,4.00,3.00,2.00,2.00,5.00,NULL,3.00,2.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244293,7.00,7.00,1.00,7.00,10.00,14.25,3.00,5.00,5.00,415,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',2360,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5244307,1.00,4.00,3.00,4.00,5.00,NULL,1.00,2.00,2.00,339,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244315,4.00,4.00,1.00,5.00,8.00,8.25,2.00,2.00,3.00,201,NULL,207,'NAÇÕES','CONCÓRDIA','SC',13561,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5244323,2.00,6.00,2.00,4.00,5.00,6.75,3.00,4.00,5.00,213,NULL,202,'SERRARIA','S JOSÉ','SC',13681,173,NULL,460,NULL,NULL,NULL,4,1),(20,5244331,6.00,5.00,2.00,3.00,3.00,NULL,2.00,3.00,1.00,201,NULL,207,'INTERIOR','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5244340,5.00,5.00,3.00,3.00,7.00,8.25,4.00,3.00,6.00,317,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12322,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244358,3.00,1.00,1.00,2.00,4.00,NULL,2.00,2.00,3.00,320,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244366,2.00,6.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,429,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244374,5.00,7.00,4.00,6.00,7.00,6.75,3.00,6.00,4.00,429,NULL,424,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',10675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5244382,5.00,4.00,1.00,1.00,4.00,NULL,1.00,1.00,2.00,211,NULL,233,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5244404,8.00,8.00,4.00,6.00,9.00,10.13,5.00,5.00,9.00,103,NULL,NULL,'CENTRO','ENCANTADO','RS',1142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5244412,5.00,5.00,1.00,5.00,5.00,7.13,3.00,2.00,5.00,225,NULL,NULL,'ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC',15592,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244420,7.00,7.00,4.00,7.00,10.00,10.88,1.00,3.00,6.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',3733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5244447,5.00,5.00,2.00,4.00,8.00,8.25,2.00,5.00,6.00,216,NULL,235,'IRIRIÚ','JOINVILLE','SC',9224,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5244455,2.00,8.00,3.00,7.00,7.00,11.63,2.00,2.00,5.00,425,NULL,429,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5244463,7.00,7.00,0.00,7.00,8.00,NULL,4.00,5.00,3.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5244471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5244480,5.00,6.00,3.00,7.00,7.00,9.38,3.00,2.00,2.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5244498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5244510,5.00,0.00,4.00,7.00,5.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5244528,4.00,4.00,2.00,3.00,6.00,7.50,5.00,2.00,1.00,104,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244536,3.00,4.00,1.00,5.00,8.00,7.50,2.00,3.00,3.00,101,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',15114,93,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244544,9.00,9.00,6.00,6.00,9.00,8.25,6.00,8.00,7.00,211,NULL,212,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5244552,5.00,6.00,1.00,3.00,5.00,7.13,3.00,4.00,4.00,317,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,653,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5244579,5.00,7.00,1.00,3.00,5.00,10.13,3.00,2.00,4.00,404,NULL,NULL,'LAGOA DO PERI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244595,7.00,7.00,4.00,6.00,9.00,10.13,6.00,3.00,7.00,103,NULL,NULL,'GERTRUDES','VACARIA','RS',3516,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5244609,2.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5244625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5244633,4.00,3.00,1.00,7.00,7.00,NULL,2.00,3.00,1.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5244641,6.00,5.00,3.00,7.00,5.00,11.63,2.00,1.00,7.00,340,NULL,NULL,'AREIAS','S JOSÉ','SC',10860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5244668,8.00,7.00,7.00,6.00,9.00,9.75,2.00,5.00,8.00,103,NULL,NULL,'BUCAREIN','JOINVILLE','SC',2138,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5244676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5244684,4.00,6.00,2.00,5.00,4.00,7.88,1.00,2.00,3.00,502,NULL,NULL,'CENTRO','ITAJAÍ','SC',16171,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5244692,3.00,7.00,0.00,4.00,3.00,NULL,2.00,3.00,5.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5244706,7.00,6.00,2.00,6.00,8.00,11.25,4.00,3.00,4.00,103,NULL,NULL,'CENTRO','AGROLÂNDIA','SC',5646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5244714,8.00,8.00,4.00,8.00,9.00,10.88,2.00,7.00,7.00,318,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',2313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5244722,1.00,6.00,0.00,3.00,3.00,NULL,1.00,1.00,2.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5244749,2.00,5.00,0.00,1.00,3.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244757,6.00,6.00,4.00,3.00,8.00,6.75,2.00,2.00,5.00,202,NULL,216,'VILA NOVA','IMBITUBA','SC',14126,472,NULL,543,NULL,NULL,NULL,2,1),(20,5244765,5.00,5.00,0.00,6.00,7.00,11.63,3.00,3.00,5.00,310,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5244773,8.00,7.00,4.00,5.00,6.00,7.13,5.00,4.00,6.00,601,NULL,201,'GLÓRIA','JOINVILLE','SC',7002,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5244781,9.00,7.00,4.00,4.00,8.00,12.00,0.00,6.00,7.00,103,NULL,NULL,'IMIGRANTE','CPO BOM','RS',3185,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244790,8.00,8.00,4.00,7.00,9.00,8.25,3.00,4.00,7.00,102,NULL,NULL,'CENTRO','LAGES','SC',3390,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5244803,2.00,2.00,0.00,2.00,4.00,NULL,2.00,1.00,3.00,207,NULL,201,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5244820,4.00,7.00,1.00,7.00,3.00,NULL,2.00,2.00,4.00,208,NULL,220,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5244838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5244854,7.00,3.00,3.00,4.00,7.00,6.75,3.00,5.00,5.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5244862,5.00,5.00,1.00,2.00,8.00,7.50,4.00,4.00,3.00,426,NULL,429,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5244897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'LOTEAMENTO FLAMENGO','MAL CÂNDIDO RONDON','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5244919,9.00,7.00,5.00,6.00,8.00,11.63,7.00,5.00,8.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',767,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244927,4.00,4.00,2.00,2.00,4.00,NULL,3.00,2.00,3.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244935,2.00,5.00,0.00,2.00,5.00,NULL,1.00,1.00,4.00,9,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244943,4.00,5.00,0.00,1.00,8.00,NULL,2.00,4.00,3.00,415,NULL,NULL,'CIDADE ALTA','ALEGRETE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5244951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5244960,3.00,7.00,1.00,5.00,6.00,6.75,3.00,2.00,5.00,3,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15459,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5244978,2.00,2.00,1.00,1.00,2.00,NULL,1.00,2.00,0.00,652,NULL,NULL,'MAMONAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5244986,9.00,8.00,2.00,6.00,10.00,10.13,3.00,4.00,8.00,103,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',2060,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5244994,3.00,5.00,2.00,1.00,2.00,NULL,0.00,1.00,2.00,421,NULL,428,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5245001,8.00,7.00,4.00,6.00,8.00,10.50,4.00,4.00,7.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3604,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245010,5.00,8.00,3.00,6.00,8.00,8.63,5.00,5.00,7.00,108,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5245028,6.00,5.00,2.00,6.00,6.00,12.00,3.00,3.00,2.00,415,NULL,NULL,'CENTRO','INDIANA','SP',9911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5245044,3.00,4.00,0.00,4.00,3.00,NULL,1.00,1.00,2.00,5,NULL,NULL,'CIDADE NOVA','RIO GRANDE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245052,1.00,6.00,0.00,1.00,1.00,NULL,1.00,3.00,3.00,303,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5245079,4.00,5.00,4.00,5.00,5.00,7.50,0.00,2.00,5.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245087,2.00,3.00,0.00,1.00,2.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'PROGRESSO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5245095,4.00,1.00,0.00,2.00,4.00,NULL,1.00,2.00,2.00,421,NULL,425,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5245109,5.00,5.00,2.00,3.00,6.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245117,4.00,5.00,2.00,6.00,8.00,11.25,3.00,3.00,5.00,453,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5245125,1.00,2.00,1.00,1.00,3.00,NULL,0.00,1.00,5.00,452,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245133,2.00,6.00,0.00,4.00,6.00,7.88,3.00,4.00,5.00,233,NULL,202,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245141,2.00,5.00,2.00,4.00,1.00,NULL,2.00,1.00,2.00,317,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245168,4.00,5.00,1.00,4.00,3.00,NULL,2.00,5.00,4.00,339,NULL,NULL,'MONTE SERRAT','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,203,'SERRA ALTA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5245184,3.00,0.00,0.00,5.00,2.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5245192,5.00,6.00,3.00,4.00,8.00,7.50,3.00,3.00,4.00,201,NULL,233,'CARVOEIRA','FLORIANÓPOLIS','SC',12846,920,NULL,354,NULL,NULL,NULL,2,1),(20,5245206,5.00,4.00,1.00,3.00,7.00,7.13,0.00,3.00,6.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',16090,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5245214,4.00,5.00,2.00,2.00,4.00,9.00,2.00,3.00,3.00,316,NULL,NULL,'PROFILURB','URUGUAIANA','RS',14914,231,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245222,6.00,7.00,1.00,5.00,9.00,8.25,2.00,5.00,5.00,317,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',8751,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245230,3.00,4.00,2.00,1.00,3.00,NULL,1.00,2.00,4.00,213,NULL,202,'ARAÇATUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245257,9.00,6.00,7.00,5.00,10.00,9.00,3.00,7.00,8.00,103,NULL,NULL,'N SRA DAS GRAÇAS','CANOAS','RS',1585,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5245265,1.00,6.00,0.00,5.00,5.00,9.00,3.00,2.00,3.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',16201,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD SÃO FRANSISCO','STO ANTÔNIO PLATINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5245290,6.00,8.00,2.00,5.00,9.00,8.25,1.00,5.00,5.00,102,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',8603,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245303,6.00,6.00,2.00,6.00,6.00,8.63,2.00,3.00,4.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5245311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5245320,5.00,5.00,2.00,5.00,8.00,6.75,1.00,2.00,3.00,452,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13319,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245338,7.00,4.00,2.00,3.00,6.00,8.25,1.00,3.00,2.00,108,NULL,NULL,'VILA NOVA','IMBITUBA','SC',13289,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5245346,5.00,7.00,2.00,4.00,8.00,6.38,2.00,3.00,3.00,337,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'PRÓ FLOR','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5245362,2.00,1.00,2.00,2.00,4.00,NULL,0.00,0.00,2.00,502,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'VILA NOVA','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5245389,5.00,7.00,4.00,1.00,9.00,7.13,0.00,3.00,4.00,238,NULL,208,'PASSA VINTE','PALHOÇA','SC',14431,361,NULL,396,NULL,NULL,NULL,4,1),(20,5245397,7.00,7.00,5.00,8.00,8.00,10.88,5.00,5.00,6.00,202,NULL,235,'SANTA MÔNICA','FLORIANÓPOLIS','SC',2357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5245400,8.00,6.00,2.00,5.00,6.00,9.75,5.00,4.00,5.00,103,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',6185,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5245419,4.00,5.00,2.00,5.00,6.00,7.13,0.00,3.00,4.00,208,NULL,238,'AREIAS DE MACACU','GAROPABA','SC',14131,383,NULL,345,NULL,NULL,NULL,4,1),(20,5245427,9.00,7.00,5.00,4.00,5.00,6.75,6.00,4.00,8.00,203,NULL,601,'CENTRO','IMBITUVA','PR',3324,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5245443,7.00,4.00,4.00,4.00,7.00,8.25,5.00,3.00,5.00,216,NULL,214,'CIDADE JARDIM','RIO CLARO','SP',7919,NULL,NULL,NULL,NULL,NULL,NULL,4,1);
INSERT INTO boletim_desempenho VALUES (20,5245451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'CENTRO','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5245478,5.00,5.00,4.00,5.00,8.00,8.63,3.00,5.00,4.00,319,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',10158,160,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245486,7.00,7.00,4.00,2.00,2.00,NULL,4.00,2.00,5.00,109,NULL,NULL,'BREJARU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245494,2.00,3.00,1.00,4.00,4.00,NULL,0.00,0.00,3.00,207,NULL,NULL,'TRÊS VENDAS','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5245508,5.00,7.00,6.00,6.00,8.00,9.75,3.00,5.00,5.00,201,NULL,212,'CENTRO','CASCAVEL','PR',4316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5245516,3.00,6.00,1.00,2.00,4.00,7.50,2.00,2.00,5.00,238,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5245524,3.00,4.00,1.00,4.00,3.00,NULL,0.00,2.00,4.00,404,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245532,4.00,5.00,2.00,4.00,8.00,7.88,3.00,5.00,5.00,302,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',9969,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245540,5.00,6.00,2.00,6.00,4.00,8.25,1.00,3.00,3.00,316,NULL,NULL,'MORRO DA CRUZ','FLORIANÓPOLIS','SC',13725,203,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245559,2.00,6.00,0.00,0.00,5.00,NULL,1.00,3.00,4.00,201,NULL,207,'SAO SEBASTIAO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5245567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5245575,1.00,1.00,1.00,3.00,4.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'CENTRO','ANTÔNIO OLINTO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5245591,6.00,6.00,3.00,7.00,7.00,7.88,3.00,4.00,6.00,238,NULL,235,'AGRONÔMICA','FLORIANÓPOLIS','SC',7080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5245605,6.00,6.00,1.00,7.00,10.00,10.88,3.00,3.00,5.00,208,NULL,235,'KOBRASOL','S JOSÉ','SC',8252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5245621,3.00,2.00,2.00,2.00,4.00,NULL,1.00,2.00,4.00,5,NULL,NULL,'CENTRO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5245630,6.00,8.00,3.00,7.00,7.00,10.50,3.00,5.00,5.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5245648,3.00,5.00,0.00,3.00,5.00,NULL,2.00,3.00,3.00,9,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5245672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,216,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5245699,7.00,9.00,0.00,7.00,8.00,NULL,5.00,4.00,1.00,238,NULL,208,'CENTRO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5245710,9.00,0.00,5.00,7.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(20,5245737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,208,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5245745,2.00,4.00,1.00,3.00,5.00,NULL,1.00,2.00,3.00,339,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245753,4.00,6.00,1.00,4.00,6.00,NULL,0.00,4.00,4.00,331,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5245770,8.00,6.00,5.00,8.00,9.00,9.75,5.00,3.00,9.00,103,NULL,NULL,'BRASIL','UBERLÂNDIA','MG',1508,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5245788,8.00,5.00,4.00,5.00,8.00,8.63,5.00,3.00,6.00,103,NULL,NULL,'CENTRO','MELEIRO','SC',5374,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5245796,6.00,6.00,4.00,4.00,6.00,9.38,2.00,4.00,3.00,317,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',10499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245800,7.00,6.00,5.00,5.00,5.00,9.75,3.00,3.00,3.00,216,NULL,233,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',7869,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245818,3.00,4.00,1.00,5.00,5.00,NULL,1.00,1.00,2.00,308,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245826,4.00,3.00,3.00,1.00,4.00,NULL,0.00,0.00,4.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5245834,2.00,5.00,1.00,2.00,3.00,NULL,3.00,2.00,3.00,110,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245842,4.00,5.00,4.00,3.00,2.00,NULL,4.00,3.00,3.00,429,NULL,424,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245869,7.00,7.00,1.00,7.00,9.00,11.25,2.00,4.00,5.00,5,NULL,NULL,'BALNEARIO ESTREITO','FLORIANÓPOLIS','SC',6616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5245885,3.00,6.00,0.00,7.00,6.00,6.00,2.00,5.00,3.00,339,NULL,NULL,'SERRARIA','S JOSÉ','SC',12993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245893,8.00,7.00,5.00,6.00,8.00,8.63,5.00,6.00,8.00,201,NULL,212,'ÁGUA VERDE','CURITIBA','PR',1988,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5245907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,213,'VILA MIRIM','PR GRANDE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5245915,6.00,6.00,2.00,6.00,7.00,6.00,3.00,3.00,6.00,211,NULL,233,'ARMAÇÃO PANT DO SUL','FLORIANÓPOLIS','SC',9040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5245923,2.00,1.00,1.00,5.00,4.00,NULL,3.00,1.00,3.00,103,NULL,NULL,'JARDIM SANTA MARIA','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5245931,8.00,7.00,6.00,5.00,9.00,7.50,3.00,5.00,8.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',3218,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5245940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTÂNCIA VELHA','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5245982,1.00,5.00,0.00,3.00,2.00,NULL,1.00,2.00,3.00,104,NULL,NULL,'JARDIM AMÉRICA','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5245990,4.00,6.00,4.00,8.00,8.00,10.50,3.00,5.00,7.00,320,NULL,NULL,'BONFIM','PTO ALEGRE','RS',4354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA SANTA LUZIA','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5246016,4.00,5.00,5.00,6.00,8.00,9.00,2.00,3.00,4.00,201,NULL,212,'BARRA DO LAJU','MONDAÍ','SC',13484,959,NULL,339,NULL,NULL,NULL,4,4),(20,5246024,3.00,5.00,4.00,5.00,5.00,8.25,2.00,4.00,3.00,316,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246032,4.00,2.00,0.00,2.00,4.00,NULL,1.00,2.00,2.00,208,NULL,215,'CAMBUCICA','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5246040,2.00,6.00,1.00,4.00,2.00,NULL,2.00,2.00,1.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246059,3.00,5.00,1.00,3.00,4.00,NULL,3.00,3.00,1.00,317,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246067,8.00,4.00,3.00,4.00,6.00,NULL,0.00,4.00,7.00,104,NULL,NULL,'INTERIOR','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5246075,2.00,1.00,3.00,2.00,4.00,NULL,2.00,1.00,1.00,101,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246083,5.00,6.00,2.00,7.00,10.00,9.75,1.00,3.00,5.00,207,NULL,201,'LÍDER','CHAPECÓ','SC',7755,326,NULL,537,NULL,NULL,NULL,4,4),(20,5246091,3.00,4.00,2.00,2.00,4.00,NULL,0.00,2.00,1.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246105,4.00,5.00,0.00,6.00,8.00,8.25,2.00,3.00,6.00,3,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',12045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246113,4.00,9.00,3.00,3.00,8.00,8.25,1.00,1.00,5.00,108,NULL,NULL,'BREJARU','PALHOÇA','SC',12245,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246121,4.00,4.00,1.00,5.00,6.00,NULL,0.00,1.00,3.00,340,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246130,2.00,4.00,3.00,2.00,4.00,NULL,1.00,3.00,2.00,327,NULL,NULL,'CENTRO','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5246148,5.00,8.00,1.00,6.00,7.00,10.13,3.00,5.00,4.00,415,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',8890,171,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246156,7.00,7.00,4.00,6.00,7.00,8.63,3.00,3.00,4.00,207,NULL,201,'CENTRO','CURITIBANOS','SC',7133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246164,3.00,6.00,4.00,3.00,7.00,6.00,1.00,3.00,2.00,109,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'APOIO RODOVIARIO','ARIQUEMES','RO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5246180,5.00,7.00,7.00,3.00,8.00,6.38,5.00,5.00,6.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6347,274,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246199,2.00,7.00,2.00,5.00,3.00,NULL,2.00,2.00,3.00,238,NULL,235,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5246210,3.00,5.00,3.00,1.00,8.00,NULL,2.00,2.00,2.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246229,6.00,5.00,5.00,6.00,9.00,9.00,5.00,5.00,8.00,333,NULL,NULL,'SANTA BARBARA','CRICIÚMA','SC',5004,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5246245,9.00,7.00,6.00,6.00,10.00,9.75,6.00,4.00,7.00,103,NULL,NULL,'DESVIO RIZZO','CAXIAS SUL','RS',950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5246261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'BELA VISTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5246270,3.00,3.00,0.00,3.00,4.00,NULL,3.00,3.00,4.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246296,8.00,5.00,4.00,6.00,7.00,6.00,3.00,3.00,6.00,203,NULL,202,'CENTRO','S BENTO SUL','SC',6638,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5246300,7.00,5.00,3.00,5.00,8.00,9.38,1.00,5.00,7.00,103,NULL,NULL,'PATAMARES','SALVADOR','BA',7565,2751,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246318,5.00,7.00,3.00,6.00,6.00,7.13,2.00,2.00,4.00,238,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',12527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246334,5.00,6.00,3.00,6.00,8.00,11.25,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','LEBON RÉGIS','SC',5999,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5246342,5.00,6.00,2.00,7.00,9.00,9.75,3.00,3.00,6.00,2,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7052,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5246350,5.00,5.00,1.00,3.00,8.00,NULL,1.00,1.00,2.00,302,NULL,NULL,'BELA VISTA','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5246369,2.00,4.00,0.00,3.00,5.00,NULL,1.00,3.00,3.00,238,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246377,6.00,7.00,3.00,4.00,10.00,9.75,2.00,5.00,6.00,104,NULL,NULL,'CENTRO','ERECHIM','RS',6120,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5246385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,211,'CENTRO','MATINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5246393,4.00,5.00,3.00,3.00,5.00,6.00,3.00,4.00,2.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246415,5.00,7.00,2.00,6.00,9.00,10.50,1.00,4.00,7.00,331,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',9774,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246423,1.00,3.00,2.00,1.00,4.00,NULL,2.00,3.00,2.00,453,NULL,NULL,'CENTRO','NOVA ERECHIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5246431,9.00,5.00,8.00,7.00,7.00,7.50,6.00,5.00,6.00,203,NULL,216,'CENTRO','DOURADOS','MS',3004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246440,4.00,5.00,2.00,5.00,6.00,6.00,3.00,3.00,4.00,2,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',15580,44,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246466,4.00,3.00,0.00,4.00,6.00,NULL,1.00,1.00,4.00,201,NULL,207,'INTERIOR','S CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5246474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5246482,2.00,5.00,0.00,4.00,5.00,NULL,4.00,1.00,3.00,208,NULL,NULL,'INDUSTRIARIOS','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5246490,2.00,3.00,1.00,3.00,6.00,NULL,0.00,3.00,3.00,404,NULL,NULL,'JARDIM VITÓRIA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246504,4.00,3.00,2.00,3.00,1.00,NULL,1.00,1.00,3.00,324,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246520,1.00,1.00,2.00,2.00,2.00,NULL,2.00,3.00,1.00,3,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246539,3.00,3.00,1.00,3.00,5.00,NULL,1.00,2.00,4.00,207,NULL,201,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246547,3.00,4.00,0.00,5.00,7.00,NULL,2.00,1.00,1.00,425,NULL,426,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246555,4.00,6.00,3.00,2.00,2.00,NULL,2.00,3.00,4.00,238,NULL,208,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'STEFFEN','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5246571,4.00,5.00,4.00,7.00,7.00,10.13,1.00,2.00,4.00,216,NULL,203,'SANTA ISABEL','PNT PORÃ','MS',9735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246598,5.00,4.00,4.00,7.00,6.00,8.25,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',8464,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5246601,3.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,421,NULL,424,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5246636,5.00,6.00,2.00,4.00,5.00,4.88,2.00,3.00,5.00,103,NULL,NULL,'VILA FLOR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5246644,3.00,3.00,1.00,6.00,5.00,6.75,2.00,1.00,5.00,203,NULL,216,'CENTRO','CURITIBA','PR',16266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246652,3.00,6.00,3.00,3.00,6.00,7.50,3.00,1.00,3.00,326,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5246679,4.00,4.00,1.00,4.00,3.00,NULL,2.00,2.00,3.00,5,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246687,3.00,3.00,0.00,4.00,4.00,NULL,3.00,1.00,3.00,5,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5246695,5.00,6.00,3.00,2.00,3.00,NULL,1.00,4.00,6.00,103,NULL,NULL,'SAGRADO C JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5246709,2.00,3.00,0.00,2.00,2.00,NULL,3.00,2.00,3.00,203,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246717,8.00,7.00,0.00,4.00,7.00,NULL,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5246725,3.00,2.00,3.00,2.00,3.00,NULL,1.00,2.00,2.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246733,7.00,7.00,0.00,6.00,6.00,8.63,3.00,2.00,7.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',8858,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5246741,8.00,7.00,7.00,6.00,8.00,9.00,4.00,6.00,7.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',2227,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5246750,4.00,5.00,2.00,3.00,6.00,9.75,0.00,3.00,6.00,3,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',14063,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5246768,4.00,4.00,0.00,5.00,6.00,NULL,1.00,3.00,3.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246776,3.00,5.00,1.00,6.00,6.00,7.50,2.00,1.00,3.00,104,NULL,NULL,'VILA NOVA','LAGES','SC',15710,425,NULL,NULL,NULL,NULL,NULL,4,9),(20,5246784,3.00,6.00,2.00,5.00,7.00,9.75,3.00,3.00,4.00,425,NULL,424,'ITACORUBI','FLORIANÓPOLIS','SC',12433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246792,1.00,4.00,1.00,3.00,2.00,NULL,2.00,2.00,2.00,317,NULL,NULL,'SOROCABA','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246806,2.00,5.00,3.00,4.00,5.00,7.13,1.00,5.00,4.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246822,4.00,5.00,0.00,3.00,4.00,NULL,2.00,2.00,1.00,501,NULL,NULL,'JARDIM EUROPA','MARÍLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246830,2.00,1.00,4.00,2.00,6.00,NULL,2.00,2.00,2.00,444,NULL,NULL,'JARDIM AMÉRICA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5246857,1.00,3.00,1.00,1.00,2.00,NULL,2.00,2.00,3.00,9,NULL,NULL,'INTERIOR','NOVA ERECHIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5246865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,203,'BARRA SUL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5246873,9.00,5.00,4.00,7.00,7.00,8.63,7.00,6.00,7.00,415,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',2264,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5246881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5246890,6.00,3.00,2.00,6.00,6.00,7.88,1.00,2.00,5.00,303,NULL,NULL,'CANUDO','ORLEANS','SC',13729,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5246903,7.00,5.00,3.00,1.00,5.00,9.00,3.00,4.00,6.00,601,NULL,220,'PONTA COMPRIDA','GUARAMIRIM','SC',8925,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5246911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5246920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'VILA ANGELICA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5246938,3.00,4.00,0.00,1.00,5.00,NULL,1.00,3.00,2.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246946,6.00,6.00,5.00,5.00,7.00,9.38,3.00,5.00,7.00,453,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',6882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5246954,3.00,4.00,1.00,4.00,3.00,NULL,1.00,3.00,3.00,429,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246962,4.00,5.00,2.00,4.00,6.00,7.13,2.00,3.00,1.00,444,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5246970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5246997,9.00,5.00,4.00,7.00,7.00,9.38,3.00,4.00,6.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5247004,8.00,6.00,4.00,7.00,8.00,7.50,4.00,7.00,4.00,102,NULL,NULL,'GUANABARA','JOINVILLE','SC',4051,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5247012,8.00,5.00,5.00,6.00,7.00,9.00,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','CARAZINHO','RS',5397,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5247020,2.00,5.00,1.00,4.00,3.00,NULL,0.00,1.00,3.00,308,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'VILA SANTANA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5247063,4.00,5.00,2.00,4.00,4.00,8.63,1.00,1.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5247071,8.00,8.00,1.00,4.00,8.00,NULL,0.00,6.00,4.00,215,NULL,NULL,'LINHA CASTELHANO','JABORÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5247080,2.00,6.00,0.00,6.00,6.00,10.50,3.00,2.00,4.00,207,NULL,201,'CRUZEIRO','RIO NEGRINHO','SC',13884,666,NULL,992,NULL,NULL,NULL,2,8),(20,5247098,4.00,6.00,3.00,2.00,7.00,6.75,3.00,2.00,2.00,101,NULL,NULL,'CENTRO','PALHOÇA','SC',15973,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247110,3.00,7.00,4.00,4.00,4.00,6.75,2.00,4.00,3.00,202,NULL,212,'SAMBAQUI','FLORIANÓPOLIS','SC',16014,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247128,9.00,9.00,4.00,6.00,9.00,9.38,6.00,8.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',600,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5247144,6.00,7.00,6.00,7.00,8.00,8.25,5.00,5.00,8.00,303,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',2202,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5247152,6.00,6.00,1.00,7.00,7.00,10.88,2.00,3.00,4.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5247160,3.00,5.00,0.00,3.00,1.00,NULL,0.00,4.00,3.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5247179,1.00,5.00,1.00,4.00,5.00,NULL,0.00,2.00,4.00,317,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247195,2.00,5.00,1.00,5.00,5.00,NULL,2.00,1.00,2.00,109,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247209,6.00,6.00,3.00,3.00,5.00,10.13,3.00,4.00,6.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11353,369,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247217,4.00,3.00,5.00,5.00,5.00,10.13,3.00,2.00,2.00,101,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247225,4.00,5.00,0.00,6.00,4.00,NULL,0.00,2.00,4.00,104,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5247233,5.00,5.00,0.00,7.00,5.00,8.63,1.00,2.00,5.00,103,NULL,NULL,'CENTRO','RODEIO','SC',14121,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5247241,3.00,4.00,1.00,3.00,3.00,NULL,3.00,1.00,1.00,238,NULL,208,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5247250,6.00,6.00,3.00,3.00,5.00,7.50,3.00,5.00,3.00,316,NULL,NULL,'KOBRASSOL','S JOSÉ','SC',11952,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247268,9.00,6.00,8.00,7.00,11.00,8.63,5.00,3.00,7.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',1469,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5247276,6.00,6.00,5.00,5.00,8.00,8.63,2.00,6.00,6.00,319,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247292,5.00,7.00,1.00,4.00,5.00,6.75,0.00,2.00,3.00,428,NULL,426,'SERRINHA','FLORIANÓPOLIS','SC',16303,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247306,2.00,3.00,0.00,5.00,3.00,NULL,2.00,2.00,1.00,5,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247314,5.00,6.00,1.00,3.00,7.00,10.50,2.00,1.00,3.00,5,NULL,NULL,'INTERIOR','OURO','SC',12649,410,NULL,NULL,NULL,NULL,NULL,2,7),(20,5247322,4.00,5.00,1.00,5.00,5.00,9.38,2.00,4.00,2.00,5,NULL,NULL,'IPIRANGA','S JOSÉ','SC',15519,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247330,6.00,7.00,2.00,6.00,8.00,7.13,3.00,5.00,5.00,301,NULL,NULL,'BREJARU','PALHOÇA','SC',7798,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247349,9.00,7.00,2.00,7.00,7.00,10.88,3.00,4.00,6.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5247357,5.00,5.00,3.00,3.00,3.00,NULL,1.00,2.00,0.00,103,NULL,NULL,'VILA OPRERÁRIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5247365,0.00,5.00,4.00,1.00,0.00,NULL,1.00,1.00,3.00,453,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5247373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5247381,4.00,6.00,0.00,7.00,6.00,10.13,1.00,3.00,3.00,2,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5247390,8.00,6.00,4.00,7.00,10.00,9.00,4.00,6.00,6.00,103,NULL,NULL,'NOVA HIGIENOPOLIS','JANDIRA','SP',1867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5247403,7.00,7.00,3.00,5.00,9.00,10.13,3.00,4.00,7.00,201,NULL,601,'CENTRO','JAGUARUNA','SC',3563,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5247411,5.00,5.00,2.00,6.00,5.00,11.63,1.00,4.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5247420,5.00,7.00,2.00,6.00,6.00,10.88,4.00,1.00,5.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',9566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5247438,8.00,7.00,7.00,6.00,8.00,6.38,7.00,6.00,8.00,212,NULL,215,'UNIVERSITÁRIO','LAGES','SC',1886,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5247446,5.00,5.00,3.00,1.00,6.00,NULL,0.00,3.00,3.00,420,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5247462,8.00,8.00,5.00,7.00,7.00,9.38,4.00,6.00,7.00,201,NULL,212,'INFANTE DOM HENRIQUE','BAURU','SP',2438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5247470,3.00,6.00,0.00,6.00,6.00,NULL,3.00,2.00,3.00,316,NULL,NULL,'VILA NOVA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5247489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','ARROIO MEIO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5247497,9.00,7.00,3.00,7.00,9.00,9.38,3.00,6.00,7.00,103,NULL,NULL,'ALTO DA BOA VISTA','ROLÂNDIA','PR',2159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5247500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5247519,1.00,4.00,1.00,5.00,4.00,NULL,0.00,1.00,3.00,208,NULL,238,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5247527,7.00,4.00,1.00,2.00,5.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'BELA SUIÇA','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247535,8.00,4.00,3.00,7.00,8.00,NULL,2.00,4.00,8.00,216,NULL,215,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,7),(20,5247551,4.00,4.00,4.00,3.00,2.00,NULL,2.00,2.00,3.00,302,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247560,3.00,4.00,2.00,4.00,6.00,7.50,3.00,2.00,5.00,108,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',15904,308,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247578,5.00,6.00,2.00,7.00,9.00,NULL,0.00,4.00,4.00,319,NULL,NULL,'CAPITAIS','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5247594,4.00,4.00,2.00,4.00,3.00,NULL,1.00,2.00,3.00,220,NULL,214,'CENTRO','LARANJEIRAS SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5247608,0.00,4.00,0.00,0.00,0.00,NULL,0.00,3.00,2.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5247616,8.00,7.00,5.00,7.00,7.00,9.38,4.00,3.00,7.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',2946,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5247624,5.00,2.00,0.00,3.00,2.00,NULL,0.00,0.00,1.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5247632,3.00,7.00,2.00,4.00,4.00,NULL,0.00,3.00,3.00,336,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5247640,3.00,6.00,2.00,5.00,5.00,8.25,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','S MARCOS','RS',15439,3787,NULL,NULL,NULL,NULL,NULL,4,9),(20,5247659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5247667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,653,'URUSSAGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5247675,7.00,8.00,4.00,6.00,7.00,10.50,2.00,4.00,4.00,110,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247691,4.00,8.00,1.00,6.00,5.00,7.88,0.00,4.00,4.00,308,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',13188,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247713,7.00,8.00,5.00,5.00,9.00,9.38,7.00,4.00,6.00,201,NULL,215,'KOBRASOL','S JOSÉ','SC',2443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247721,1.00,4.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,102,NULL,NULL,'PENHA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5247730,3.00,5.00,4.00,6.00,7.00,9.38,2.00,5.00,5.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',11244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247748,3.00,5.00,1.00,6.00,7.00,8.25,2.00,3.00,3.00,202,NULL,213,'JARDIM AMÉRICA','ASSIS CHATEAUBRIAND','PR',12473,425,NULL,147,NULL,NULL,NULL,4,7),(20,5247756,4.00,6.00,1.00,5.00,3.00,NULL,2.00,3.00,2.00,201,NULL,212,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247764,9.00,8.00,8.00,7.00,10.00,9.75,5.00,7.00,9.00,601,NULL,201,'GLÓRIA','JOINVILLE','SC',282,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5247772,8.00,5.00,2.00,5.00,8.00,12.00,5.00,2.00,7.00,103,NULL,NULL,'CENTRO','DIONÍSIO CERQUEIRA','SC',5163,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5247780,3.00,4.00,1.00,4.00,7.00,NULL,0.00,4.00,2.00,202,NULL,203,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5247799,2.00,7.00,1.00,5.00,5.00,6.00,2.00,4.00,4.00,331,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15776,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,216,'BALNEÁRIO RINCÃO','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5247829,5.00,5.00,1.00,4.00,3.00,NULL,1.00,4.00,2.00,331,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247845,0.00,5.00,0.00,3.00,4.00,NULL,1.00,1.00,1.00,336,NULL,NULL,'SANTA LUZIA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5247853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'SERRA ALTA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5247861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5247870,5.00,6.00,1.00,3.00,3.00,NULL,3.00,3.00,6.00,208,NULL,238,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5247888,5.00,6.00,5.00,4.00,7.00,9.00,1.00,0.00,4.00,5,NULL,NULL,'JD ROLLO','ARARAS','SP',13907,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5247896,6.00,6.00,2.00,6.00,8.00,10.88,2.00,4.00,2.00,309,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',11934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247900,6.00,5.00,2.00,2.00,3.00,NULL,3.00,3.00,2.00,234,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5247918,7.00,6.00,1.00,4.00,7.00,8.63,6.00,5.00,5.00,110,NULL,NULL,'KOBRASOL','S JOSÉ','SC',7001,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247934,3.00,4.00,0.00,0.00,4.00,NULL,3.00,2.00,1.00,653,NULL,652,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5247942,5.00,5.00,0.00,3.00,4.00,4.88,2.00,3.00,5.00,208,NULL,601,'CENTRO','VITORINO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5247950,6.00,9.00,2.00,5.00,7.00,9.00,1.00,5.00,5.00,103,NULL,NULL,'MORRETES','ITAPEMA','SC',7237,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5247969,4.00,4.00,2.00,5.00,3.00,NULL,3.00,1.00,2.00,104,NULL,NULL,'CENTRO','VL MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5247977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'INTERIOR','LUZERNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5247985,7.00,6.00,2.00,5.00,5.00,10.13,5.00,4.00,5.00,238,NULL,208,'CORREGO GRANDE','FLORIANÓPOLIS','SC',8543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5247993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,208,'INTERIOR','LACERDÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5248000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5248019,6.00,6.00,2.00,6.00,5.00,8.25,0.00,1.00,3.00,103,NULL,NULL,'VILA LALAU','JARAGUÁ SUL','SC',15777,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5248027,5.00,8.00,1.00,4.00,7.00,7.88,2.00,3.00,5.00,103,NULL,NULL,'AREIAS','CAMBORIÚ','SC',11456,3356,NULL,NULL,NULL,NULL,NULL,2,3),(20,5248035,8.00,6.00,3.00,5.00,7.00,8.25,5.00,4.00,5.00,203,NULL,208,'JARDIM ELDORADO','PALHOÇA','SC',7306,565,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248051,2.00,5.00,2.00,2.00,6.00,NULL,0.00,2.00,2.00,2,NULL,NULL,'SÃO CRISTÓVÃO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5248060,7.00,6.00,5.00,7.00,9.00,9.00,6.00,4.00,7.00,216,NULL,NULL,'UVARANAS','PNT GROSSA','PR',1889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5248078,2.00,8.00,1.00,0.00,3.00,NULL,2.00,3.00,3.00,316,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5248086,5.00,5.00,4.00,4.00,7.00,10.50,4.00,4.00,4.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8883,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248094,2.00,6.00,1.00,4.00,7.00,7.50,2.00,5.00,5.00,104,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',13468,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248108,7.00,7.00,6.00,5.00,8.00,8.25,5.00,4.00,6.00,201,NULL,212,'PANTANO DO SUL','FLORIANÓPOLIS','SC',3794,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5248116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5248124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'SÃO CRISTÓVÃO','GRACIOSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5248132,6.00,6.00,2.00,6.00,5.00,9.00,3.00,2.00,6.00,102,NULL,NULL,'CENTRO','CASCAVEL','PR',10889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5248159,0.00,5.00,0.00,0.00,1.00,NULL,1.00,2.00,3.00,451,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248167,4.00,7.00,3.00,4.00,6.00,7.88,2.00,3.00,5.00,238,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',12304,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248175,5.00,6.00,4.00,8.00,9.00,9.38,2.00,4.00,5.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5248183,7.00,7.00,5.00,7.00,6.00,10.50,1.00,3.00,3.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',7864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5248191,6.00,5.00,4.00,2.00,3.00,NULL,4.00,5.00,4.00,601,NULL,653,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5248205,7.00,6.00,3.00,5.00,6.00,7.88,3.00,2.00,5.00,212,NULL,214,'LEBLON','RIO JANEIRO','RJ',8498,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248213,6.00,5.00,3.00,4.00,3.00,NULL,1.00,1.00,5.00,501,NULL,NULL,'INTERIOR','PAIM FILHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5248221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'AGRONIMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5248230,4.00,5.00,2.00,5.00,6.00,NULL,0.00,1.00,1.00,327,NULL,NULL,'CENTRO','BOTUVERÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5248248,6.00,4.00,0.00,7.00,9.00,9.00,2.00,3.00,6.00,103,NULL,NULL,'CORAL','LAGES','SC',9257,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5248256,8.00,4.00,3.00,3.00,3.00,NULL,1.00,4.00,4.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5248264,1.00,3.00,1.00,2.00,2.00,NULL,4.00,3.00,3.00,103,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5248272,2.00,5.00,1.00,5.00,5.00,NULL,1.00,1.00,3.00,9,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248299,1.00,4.00,3.00,1.00,3.00,NULL,3.00,4.00,1.00,103,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5248329,4.00,4.00,1.00,4.00,2.00,NULL,2.00,2.00,4.00,551,NULL,NULL,'INTERIOR','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5248353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CINQUENTENARIO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5248361,6.00,3.00,3.00,4.00,8.00,8.25,5.00,3.00,5.00,103,NULL,NULL,'SÃO JOÃO','STA MARIA','RS',11987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5248388,3.00,4.00,1.00,4.00,4.00,NULL,1.00,1.00,4.00,316,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,653,'IGRA NORTE','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5248418,3.00,6.00,0.00,3.00,4.00,NULL,2.00,0.00,2.00,103,NULL,NULL,'PROGRESSO','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5248426,1.00,3.00,1.00,2.00,1.00,NULL,0.00,0.00,2.00,327,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248434,3.00,7.00,3.00,6.00,8.00,9.00,1.00,3.00,3.00,415,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',10774,210,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248442,3.00,5.00,3.00,3.00,2.00,NULL,3.00,4.00,1.00,451,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5248469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5248485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(20,5248493,4.00,6.00,2.00,1.00,1.00,NULL,1.00,1.00,3.00,551,NULL,NULL,'SANTA RITA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5248507,2.00,5.00,1.00,4.00,5.00,NULL,1.00,3.00,2.00,216,NULL,653,'SÃO CRISTÓVÃO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5248523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5248540,5.00,5.00,0.00,2.00,7.00,4.50,3.00,4.00,6.00,103,NULL,NULL,'JARDIN ALEXANDRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5248558,4.00,7.00,2.00,7.00,8.00,7.50,1.00,2.00,4.00,211,NULL,215,'PANTANO DO SUL','FLORIANÓPOLIS','SC',12738,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248566,3.00,8.00,2.00,6.00,7.00,6.75,3.00,4.00,4.00,5,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5248582,1.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,220,NULL,208,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5248590,6.00,7.00,1.00,3.00,7.00,8.63,3.00,4.00,5.00,108,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',10713,174,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248604,7.00,6.00,3.00,6.00,8.00,8.25,2.00,5.00,4.00,108,NULL,NULL,'IPIRANGA','S JOSÉ','SC',7143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5248612,1.00,4.00,0.00,0.00,1.00,NULL,1.00,3.00,0.00,5,NULL,NULL,'LINHA RUI BARBOSA','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5248620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5248639,9.00,6.00,5.00,7.00,9.00,10.50,5.00,6.00,9.00,216,NULL,601,'ANITA GARIBALDI','JOINVILLE','SC',1044,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5248647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5248655,3.00,3.00,0.00,5.00,4.00,NULL,1.00,1.00,2.00,444,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248663,6.00,4.00,1.00,5.00,5.00,6.00,2.00,3.00,3.00,327,NULL,NULL,'RESTINGA','MAFRA','SC',16023,54,NULL,NULL,NULL,NULL,NULL,2,17),(20,5248698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,651,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5248701,2.00,3.00,2.00,5.00,4.00,NULL,2.00,3.00,4.00,319,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248710,5.00,7.00,3.00,5.00,6.00,7.50,2.00,2.00,4.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',13357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5248728,4.00,3.00,0.00,3.00,7.00,NULL,0.00,4.00,3.00,320,NULL,NULL,'ATUBA','PINHAIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5248736,9.00,9.00,7.00,7.00,11.00,9.38,6.00,6.00,8.00,103,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',247,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248744,7.00,6.00,1.00,4.00,10.00,8.25,2.00,4.00,4.00,224,NULL,NULL,'CENTRO','CAMBORIÚ','SC',10931,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5248752,1.00,1.00,0.00,2.00,2.00,NULL,0.00,0.00,1.00,404,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5248760,9.00,8.00,5.00,7.00,10.00,10.13,7.00,6.00,9.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5248779,3.00,5.00,1.00,3.00,7.00,7.50,3.00,3.00,6.00,427,NULL,423,'CENTRO','PALHOÇA','SC',13748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248787,8.00,5.00,3.00,6.00,9.00,7.50,5.00,5.00,8.00,102,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',4610,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TIJUCAS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5248809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5248817,3.00,4.00,0.00,3.00,5.00,NULL,3.00,2.00,2.00,104,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5248825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5248833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5248841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5248850,6.00,7.00,2.00,3.00,4.00,9.00,2.00,4.00,5.00,108,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',12474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5248868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5248876,3.00,7.00,5.00,6.00,7.00,9.38,3.00,5.00,4.00,601,NULL,216,'BARREIROS','S JOSÉ','SC',9167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5248884,6.00,6.00,5.00,5.00,7.00,8.25,3.00,2.00,3.00,452,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248892,7.00,7.00,3.00,7.00,7.00,6.75,1.00,6.00,4.00,238,NULL,208,'CARIANOS','FLORIANÓPOLIS','SC',10169,189,NULL,207,NULL,NULL,NULL,4,1),(20,5248906,6.00,5.00,6.00,7.00,5.00,8.63,3.00,3.00,3.00,222,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',8885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5248914,2.00,3.00,0.00,1.00,3.00,NULL,1.00,3.00,3.00,404,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5248930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'SANTANA','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5248949,3.00,6.00,1.00,3.00,6.00,NULL,1.00,4.00,2.00,453,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5248965,8.00,8.00,2.00,7.00,4.00,7.13,4.00,3.00,7.00,301,NULL,NULL,'SCHRAMM','S BENTO SUL','SC',7724,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5248973,2.00,5.00,1.00,3.00,4.00,NULL,0.00,0.00,1.00,426,NULL,428,'NOSSA SENHORA DO ROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5248981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA REDENTORA','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5248990,4.00,2.00,2.00,3.00,3.00,NULL,2.00,3.00,2.00,238,NULL,211,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249007,6.00,5.00,3.00,5.00,4.00,7.13,2.00,2.00,5.00,203,NULL,214,'RONDA','PNT GROSSA','PR',13736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249015,3.00,4.00,3.00,1.00,2.00,NULL,2.00,4.00,3.00,444,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5249031,3.00,4.00,0.00,6.00,4.00,NULL,2.00,4.00,4.00,201,NULL,207,'CENTRO','PANAMBI','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5249058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5249066,3.00,4.00,0.00,5.00,4.00,NULL,1.00,2.00,4.00,302,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249074,6.00,6.00,7.00,7.00,6.00,9.75,3.00,4.00,5.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249082,8.00,8.00,3.00,8.00,10.00,10.50,6.00,6.00,7.00,203,NULL,214,'CENTRO','TUBARÃO','SC',911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249090,7.00,8.00,2.00,6.00,9.00,8.63,4.00,4.00,8.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5249112,7.00,8.00,3.00,6.00,9.00,13.13,5.00,6.00,7.00,104,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5249139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5249147,8.00,7.00,3.00,7.00,7.00,7.50,3.00,4.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249155,5.00,3.00,0.00,2.00,4.00,NULL,1.00,3.00,3.00,303,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5249163,3.00,5.00,1.00,4.00,7.00,NULL,1.00,1.00,2.00,211,NULL,216,'EVOLUÇÃO','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,10),(20,5249171,3.00,4.00,2.00,4.00,5.00,NULL,1.00,1.00,2.00,301,NULL,NULL,'ESTREITO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5249180,8.00,7.00,5.00,8.00,10.00,9.75,5.00,5.00,6.00,303,NULL,NULL,'RIO BRANCO','CAXIAS SUL','RS',1502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5249201,1.00,3.00,1.00,3.00,4.00,NULL,2.00,2.00,4.00,205,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5249210,4.00,6.00,4.00,7.00,7.00,9.75,4.00,2.00,5.00,301,NULL,NULL,'ALTOS DA CIDADE','BAURU','SP',9739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249228,4.00,3.00,1.00,2.00,2.00,NULL,2.00,1.00,1.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5249236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'ZONA RURAL','RIO BRILHANTE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5249244,8.00,6.00,2.00,6.00,8.00,10.50,0.00,5.00,3.00,104,NULL,NULL,'TRÊS LAGOAS','GARIBALDI','RS',7533,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5249252,0.00,4.00,0.00,0.00,0.00,NULL,0.00,1.00,4.00,103,NULL,NULL,'CENTRO','IPUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(20,5249260,8.00,6.00,3.00,7.00,7.00,10.13,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','S LUIZ GONZAGA','RS',4163,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5249279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5249287,9.00,8.00,8.00,8.00,8.00,10.50,7.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5249317,8.00,9.00,5.00,7.00,10.00,9.75,4.00,7.00,6.00,5,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',1474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249325,9.00,7.00,5.00,7.00,8.00,9.75,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','MAMBORÊ','PR',1560,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5249333,5.00,6.00,2.00,3.00,8.00,9.00,1.00,3.00,3.00,205,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',14846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249341,7.00,8.00,7.00,7.00,8.00,9.38,7.00,4.00,8.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',617,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5249376,6.00,8.00,5.00,6.00,9.00,8.25,4.00,6.00,6.00,319,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',4266,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5249384,5.00,6.00,6.00,6.00,6.00,10.88,2.00,5.00,6.00,201,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',7232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'BNH','JAÚ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5249406,4.00,3.00,1.00,3.00,2.00,NULL,3.00,1.00,3.00,101,NULL,NULL,'BOM JESUS','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5249414,4.00,6.00,3.00,6.00,8.00,NULL,1.00,2.00,5.00,301,NULL,NULL,'MEDIANEIRA','PANAMBI','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5249422,5.00,5.00,4.00,4.00,3.00,NULL,1.00,3.00,5.00,339,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5249449,6.00,5.00,0.00,6.00,6.00,NULL,1.00,5.00,6.00,201,NULL,212,'SÃO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249457,3.00,4.00,0.00,2.00,7.00,NULL,1.00,1.00,2.00,225,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249465,7.00,6.00,3.00,3.00,7.00,6.00,3.00,2.00,4.00,327,NULL,NULL,'ALTO FELIZ','ARARANGUÁ','SC',13636,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5249473,9.00,7.00,8.00,7.00,7.00,10.13,7.00,6.00,8.00,103,NULL,NULL,'JD NOVO HORIZONTE','MARINGÁ','PR',340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249481,6.00,8.00,2.00,7.00,6.00,11.63,3.00,5.00,5.00,316,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',6976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249490,4.00,6.00,3.00,5.00,5.00,7.88,1.00,5.00,4.00,327,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13807,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5249503,4.00,5.00,2.00,6.00,5.00,NULL,1.00,1.00,1.00,104,NULL,NULL,'CENTRO','RIO CEDROS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5249538,3.00,6.00,1.00,2.00,4.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5249546,8.00,6.00,1.00,7.00,10.00,11.25,1.00,3.00,4.00,450,NULL,NULL,'DIAMANTINO','CAXIAS SUL','RS',8057,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5249562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5249570,4.00,6.00,1.00,2.00,5.00,NULL,0.00,3.00,4.00,238,NULL,208,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249589,2.00,5.00,1.00,4.00,5.00,NULL,3.00,2.00,2.00,3,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5249619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','PRUDENTÓPOLIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(20,5249627,6.00,7.00,3.00,5.00,6.00,10.88,3.00,3.00,8.00,103,NULL,NULL,'GLÓRIA','CARAZINHO','RS',5286,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5249635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5249643,7.00,7.00,1.00,7.00,8.00,12.75,2.00,4.00,6.00,326,NULL,NULL,'VELHA','BLUMENAU','SC',7000,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5249651,3.00,5.00,2.00,6.00,4.00,NULL,0.00,2.00,2.00,238,NULL,235,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249660,4.00,5.00,1.00,5.00,6.00,7.88,2.00,2.00,4.00,301,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',15163,214,NULL,NULL,NULL,NULL,NULL,2,1),(20,5249678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5249686,7.00,5.00,3.00,4.00,7.00,9.00,3.00,3.00,4.00,104,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',12682,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5249694,8.00,8.00,3.00,7.00,7.00,9.38,5.00,3.00,3.00,337,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249708,1.00,7.00,2.00,4.00,5.00,9.00,5.00,4.00,5.00,333,NULL,NULL,'VILA A','FOZ IGUAÇU','PR',14644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5249716,8.00,6.00,7.00,8.00,10.00,9.38,6.00,3.00,6.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249724,8.00,6.00,3.00,6.00,5.00,7.50,5.00,3.00,5.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',8672,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5249732,1.00,5.00,0.00,5.00,5.00,NULL,1.00,1.00,2.00,453,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5249740,3.00,2.00,1.00,5.00,3.00,NULL,3.00,1.00,3.00,303,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5249759,2.00,7.00,0.00,4.00,4.00,NULL,1.00,3.00,2.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5249767,2.00,1.00,0.00,2.00,2.00,NULL,1.00,0.00,0.00,308,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5249775,3.00,5.00,2.00,6.00,8.00,6.38,1.00,4.00,4.00,340,NULL,NULL,'GRANJA VIANA','CARAPICUÍBA','SP',11680,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5249791,1.00,3.00,1.00,6.00,2.00,NULL,1.00,1.00,3.00,303,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5249830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,220,'CIDADE NOBRE','IPATINGA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5249848,4.00,4.00,2.00,3.00,5.00,9.00,4.00,4.00,4.00,309,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',14361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5249864,6.00,5.00,3.00,7.00,6.00,6.00,2.00,1.00,6.00,203,NULL,601,'TRIBESS','BLUMENAU','SC',9639,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5249872,4.00,5.00,1.00,3.00,5.00,NULL,3.00,1.00,2.00,421,NULL,424,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5249880,7.00,7.00,3.00,7.00,10.00,9.00,3.00,6.00,7.00,214,NULL,203,'TRINDADE','FLORIANÓPOLIS','SC',4473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249902,7.00,5.00,2.00,6.00,5.00,7.88,3.00,2.00,3.00,2,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',13217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249910,4.00,7.00,1.00,5.00,6.00,7.88,3.00,3.00,5.00,324,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5249929,5.00,7.00,3.00,3.00,8.00,7.13,3.00,5.00,7.00,201,NULL,212,'VENDAVAL','BIGUAÇU','SC',8777,621,NULL,NULL,NULL,NULL,NULL,2,1),(20,5249937,3.00,5.00,1.00,6.00,5.00,NULL,2.00,1.00,3.00,424,NULL,427,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5249945,8.00,6.00,2.00,5.00,5.00,8.63,3.00,3.00,8.00,108,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',6555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5249953,1.00,4.00,1.00,4.00,6.00,NULL,1.00,5.00,3.00,202,NULL,214,'SANTA TEREZINHA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5249961,7.00,6.00,5.00,8.00,8.00,10.50,7.00,6.00,8.00,103,NULL,NULL,'CENTRO','GUARAPUAVA','PR',1769,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5249988,6.00,5.00,2.00,6.00,9.00,8.63,0.00,4.00,3.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5249996,5.00,5.00,1.00,4.00,6.00,9.75,2.00,1.00,3.00,428,NULL,424,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15940,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5250005,4.00,5.00,1.00,4.00,1.00,NULL,1.00,2.00,1.00,208,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250013,8.00,7.00,6.00,5.00,10.00,11.25,7.00,4.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',620,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250021,6.00,7.00,5.00,5.00,5.00,9.00,2.00,2.00,4.00,336,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250030,6.00,6.00,3.00,7.00,9.00,8.63,2.00,4.00,5.00,336,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9092,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5250048,4.00,4.00,1.00,4.00,2.00,NULL,4.00,3.00,3.00,316,NULL,NULL,'JARDIM DAS PERDIZES','COLOMBO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5250056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'BUDAG','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5250064,3.00,2.00,0.00,3.00,5.00,NULL,3.00,2.00,4.00,319,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5250072,1.00,4.00,1.00,4.00,2.00,NULL,2.00,3.00,3.00,208,NULL,235,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5250099,6.00,5.00,1.00,7.00,5.00,8.63,3.00,4.00,4.00,333,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',9339,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5250110,6.00,7.00,5.00,8.00,9.00,9.38,4.00,5.00,6.00,415,NULL,NULL,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',2449,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5250129,3.00,6.00,2.00,2.00,4.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5250137,3.00,5.00,1.00,5.00,4.00,6.38,2.00,3.00,1.00,301,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',16326,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250153,3.00,3.00,1.00,2.00,3.00,NULL,2.00,3.00,2.00,104,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5250161,9.00,6.00,6.00,3.00,10.00,10.13,5.00,4.00,8.00,103,NULL,NULL,'JARDIM PORTO ALEGRE','TOLEDO','PR',2275,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5250170,2.00,4.00,2.00,2.00,5.00,NULL,0.00,2.00,2.00,502,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5250196,9.00,7.00,6.00,6.00,10.00,12.00,7.00,6.00,7.00,103,NULL,NULL,'CINCO COLÔNIAS','CANOAS','RS',309,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5250200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5250218,3.00,5.00,2.00,4.00,7.00,NULL,0.00,0.00,4.00,309,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250226,6.00,6.00,1.00,6.00,9.00,11.25,1.00,2.00,2.00,101,NULL,NULL,'SÃO JOÃO ME','TUBARÃO','SC',10755,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5250234,4.00,3.00,3.00,2.00,5.00,NULL,1.00,1.00,5.00,103,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250242,5.00,2.00,1.00,6.00,7.00,NULL,2.00,2.00,2.00,108,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5250250,8.00,8.00,4.00,7.00,7.00,7.88,7.00,2.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2918,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5250277,5.00,5.00,2.00,0.00,4.00,NULL,1.00,0.00,2.00,102,NULL,NULL,'ALEGRE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5250285,8.00,7.00,3.00,6.00,7.00,7.13,6.00,4.00,5.00,318,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5250293,6.00,7.00,4.00,3.00,6.00,9.00,3.00,4.00,4.00,319,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',8904,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250307,5.00,5.00,1.00,6.00,3.00,NULL,0.00,2.00,1.00,5,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5250315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5250323,4.00,7.00,1.00,5.00,4.00,7.88,2.00,3.00,5.00,238,NULL,208,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15187,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SAO SEBASTIAO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5250340,4.00,3.00,2.00,5.00,7.00,NULL,0.00,2.00,3.00,201,NULL,207,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250366,2.00,3.00,3.00,5.00,4.00,NULL,0.00,1.00,2.00,222,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5250374,1.00,4.00,2.00,3.00,4.00,NULL,1.00,1.00,0.00,9,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250390,5.00,7.00,3.00,8.00,5.00,7.88,4.00,6.00,5.00,340,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',6207,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5250404,5.00,6.00,4.00,7.00,8.00,9.38,0.00,4.00,2.00,303,NULL,NULL,'CENTRO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5250412,5.00,3.00,0.00,7.00,2.00,NULL,0.00,2.00,3.00,201,NULL,233,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5250420,3.00,7.00,1.00,4.00,3.00,NULL,0.00,0.00,2.00,102,NULL,NULL,'INDUSTRIAL','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5250439,5.00,6.00,3.00,7.00,7.00,8.25,2.00,4.00,6.00,108,NULL,NULL,'ASILO','BLUMENAU','SC',6559,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5250447,3.00,5.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,9,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250455,6.00,6.00,4.00,4.00,7.00,6.38,2.00,5.00,4.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10610,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250463,3.00,3.00,0.00,4.00,6.00,NULL,3.00,1.00,4.00,225,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250471,6.00,5.00,5.00,4.00,5.00,9.00,4.00,4.00,5.00,201,NULL,207,'DOS MUNICIPIOS','BAL CAMBORIÚ','SC',7991,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5250480,4.00,5.00,1.00,5.00,4.00,6.00,3.00,1.00,2.00,212,NULL,653,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',16274,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5250498,3.00,3.00,3.00,3.00,6.00,NULL,1.00,2.00,3.00,303,NULL,NULL,'FAZENDA DO MAC','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'JARDIM MARINGÁ','SINOP','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5250536,1.00,6.00,4.00,3.00,1.00,NULL,7.00,2.00,3.00,202,NULL,213,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250552,3.00,2.00,1.00,2.00,3.00,NULL,0.00,1.00,2.00,551,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5250560,7.00,8.00,4.00,5.00,10.00,7.88,5.00,5.00,6.00,453,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',4583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5250579,4.00,7.00,1.00,5.00,7.00,7.13,1.00,4.00,0.00,427,NULL,423,'CAMPINAS','S JOSÉ','SC',15947,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250595,2.00,5.00,3.00,3.00,2.00,NULL,1.00,1.00,3.00,653,NULL,NULL,'SÃO CRISTOVÃO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5250609,9.00,8.00,7.00,7.00,9.00,9.38,6.00,6.00,7.00,233,NULL,235,'CENTRO','S JOSÉ','SC',664,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5250617,2.00,5.00,1.00,6.00,4.00,8.63,5.00,4.00,6.00,340,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',13108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5250625,3.00,4.00,2.00,3.00,2.00,NULL,1.00,2.00,3.00,326,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250633,5.00,7.00,2.00,5.00,7.00,6.00,5.00,3.00,4.00,201,NULL,653,'LOMBA','ORLEANS','SC',10297,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5250650,7.00,6.00,1.00,7.00,7.00,11.63,2.00,3.00,5.00,340,NULL,NULL,'CENTRO','ORLEANS','SC',6268,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5250668,4.00,3.00,2.00,4.00,4.00,NULL,0.00,3.00,4.00,501,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250676,8.00,6.00,4.00,6.00,4.00,8.63,4.00,3.00,8.00,216,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',5808,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250684,2.00,5.00,1.00,5.00,2.00,NULL,3.00,1.00,0.00,317,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250692,5.00,2.00,0.00,1.00,3.00,NULL,1.00,1.00,2.00,216,NULL,215,'RIO PEQUENO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5250706,8.00,8.00,5.00,5.00,8.00,8.25,5.00,4.00,6.00,211,NULL,212,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',3853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250714,4.00,7.00,2.00,4.00,7.00,8.25,1.00,2.00,2.00,215,NULL,653,'CRISTAL','VACARIA','RS',14696,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5250722,2.00,3.00,0.00,0.00,6.00,NULL,2.00,1.00,2.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5250730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5250749,0.00,3.00,0.00,4.00,5.00,NULL,1.00,1.00,1.00,319,NULL,NULL,'JARDIM BRILHANTE','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250757,3.00,4.00,0.00,4.00,7.00,NULL,1.00,3.00,5.00,327,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250765,8.00,8.00,6.00,7.00,8.00,6.00,7.00,2.00,7.00,453,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',2977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5250773,3.00,4.00,0.00,3.00,4.00,NULL,1.00,3.00,1.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5250838,7.00,6.00,3.00,5.00,4.00,6.00,3.00,3.00,4.00,211,NULL,233,'FERNANDES','S JOÃO BATISTA','SC',13351,415,NULL,362,NULL,NULL,NULL,2,1),(20,5250846,3.00,4.00,2.00,4.00,4.00,NULL,0.00,4.00,4.00,551,NULL,NULL,'GETULIO VARGAS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5250854,5.00,6.00,2.00,6.00,8.00,6.75,2.00,4.00,3.00,319,NULL,NULL,'CENTRO','PALHOÇA','SC',11689,202,NULL,NULL,NULL,NULL,NULL,4,1),(20,5250870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5250897,2.00,7.00,1.00,5.00,7.00,9.38,2.00,4.00,3.00,224,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',12252,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250900,3.00,4.00,0.00,2.00,3.00,NULL,3.00,3.00,1.00,302,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250919,6.00,7.00,2.00,4.00,9.00,7.50,4.00,5.00,7.00,340,NULL,NULL,'AGUAS CLARAS','BRUSQUE','SC',5561,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5250927,8.00,8.00,5.00,7.00,7.00,7.50,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',3766,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5250935,7.00,7.00,3.00,6.00,7.00,7.50,4.00,4.00,6.00,216,NULL,202,'CENTRO','CURITIBA','PR',5029,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5250943,5.00,7.00,2.00,3.00,8.00,7.88,1.00,3.00,5.00,319,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',13473,261,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250951,7.00,5.00,3.00,5.00,6.00,9.75,1.00,3.00,5.00,102,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10750,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250960,8.00,6.00,7.00,7.00,7.00,10.50,6.00,3.00,7.00,220,NULL,216,'ABRAÃO','FLORIANÓPOLIS','SC',2615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5250978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CIDADE ARACY II','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5250986,6.00,8.00,4.00,4.00,8.00,6.75,2.00,8.00,3.00,336,NULL,NULL,'IPIRANGA','S JOSÉ','SC',8588,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5250994,3.00,1.00,1.00,2.00,3.00,NULL,0.00,2.00,4.00,452,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JD IGUAÇU','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5251010,4.00,5.00,4.00,6.00,2.00,NULL,2.00,3.00,5.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,220,'PRAIA DO CANTO','VITÓRIA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5251044,3.00,3.00,1.00,2.00,5.00,NULL,0.00,1.00,5.00,551,NULL,NULL,'INTERIOR','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5251052,4.00,4.00,0.00,4.00,8.00,NULL,2.00,1.00,5.00,316,NULL,NULL,'SERTÃO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251060,5.00,8.00,6.00,5.00,3.00,NULL,1.00,2.00,3.00,502,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251079,8.00,8.00,4.00,5.00,6.00,8.25,2.00,4.00,5.00,220,NULL,203,'CORDEIROS','ITAJAÍ','SC',9296,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5251087,3.00,5.00,2.00,4.00,6.00,12.00,3.00,2.00,4.00,601,NULL,235,'CENTRO','JOINVILLE','SC',11271,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5251095,3.00,4.00,1.00,2.00,3.00,NULL,0.00,2.00,3.00,207,NULL,201,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5251109,2.00,7.00,0.00,2.00,6.00,NULL,3.00,0.00,2.00,102,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5251117,8.00,6.00,6.00,7.00,7.00,10.13,4.00,6.00,8.00,220,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',2126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251125,1.00,4.00,0.00,3.00,3.00,NULL,0.00,2.00,2.00,5,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5251141,4.00,8.00,0.00,6.00,5.00,8.63,1.00,3.00,3.00,207,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251150,6.00,7.00,0.00,4.00,7.00,7.88,0.00,4.00,6.00,503,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251168,1.00,2.00,0.00,0.00,1.00,NULL,0.00,0.00,3.00,339,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251184,9.00,6.00,0.00,3.00,7.00,NULL,2.00,8.00,6.00,103,NULL,NULL,'ESPINHEIROS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5251192,6.00,7.00,2.00,2.00,5.00,6.75,3.00,3.00,5.00,302,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251206,4.00,5.00,0.00,6.00,7.00,7.13,1.00,1.00,5.00,404,NULL,NULL,'ROÇADO','S JOSÉ','SC',14567,38,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251214,3.00,4.00,3.00,6.00,5.00,9.00,1.00,4.00,3.00,329,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251222,3.00,6.00,4.00,7.00,7.00,6.00,3.00,4.00,4.00,303,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5251230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5251249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,427,'JD SAMAMBAIA','BARRA BONITA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5251265,5.00,3.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,214,NULL,203,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5251273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,425,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5251290,4.00,6.00,2.00,6.00,9.00,6.00,2.00,1.00,3.00,444,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251303,3.00,5.00,5.00,1.00,4.00,NULL,0.00,2.00,3.00,426,NULL,429,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251311,6.00,4.00,0.00,5.00,5.00,6.75,3.00,4.00,4.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',15535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251320,5.00,1.00,2.00,4.00,5.00,NULL,0.00,0.00,2.00,601,NULL,233,'NOVA BRASÍLIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5251338,2.00,3.00,1.00,4.00,3.00,NULL,3.00,3.00,2.00,316,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251346,5.00,7.00,4.00,7.00,10.00,8.25,2.00,2.00,4.00,201,NULL,601,'CENTRO','URUSSANGA','SC',7492,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5251354,3.00,3.00,0.00,5.00,6.00,NULL,1.00,3.00,3.00,216,NULL,215,'SÃO CRISTOVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5251362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251370,5.00,4.00,1.00,4.00,8.00,10.88,4.00,1.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',13104,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5251400,8.00,7.00,3.00,5.00,9.00,7.50,4.00,4.00,7.00,103,NULL,NULL,'INTERIOR','BOM J OESTE','SC',4307,1933,NULL,NULL,NULL,NULL,NULL,2,4),(20,5251419,3.00,5.00,3.00,7.00,4.00,NULL,1.00,1.00,4.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5251427,2.00,1.00,0.00,2.00,3.00,NULL,0.00,3.00,2.00,444,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251435,0.00,6.00,0.00,1.00,5.00,NULL,0.00,1.00,1.00,207,NULL,211,'INGLESSES DO RIO VER','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5251443,7.00,7.00,3.00,5.00,7.00,9.00,1.00,4.00,7.00,303,NULL,NULL,'NOSSA SENH ROSÁRIO','S JOSÉ','SC',5994,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251451,7.00,6.00,3.00,4.00,8.00,11.63,2.00,6.00,8.00,104,NULL,NULL,'COUNTRY','CASCAVEL','PR',5548,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251460,4.00,2.00,0.00,4.00,4.00,NULL,0.00,0.00,1.00,238,NULL,208,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251478,3.00,5.00,3.00,3.00,3.00,NULL,0.00,3.00,3.00,333,NULL,NULL,'CENTRO','PARAGUAÇU PAULISTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5251486,7.00,5.00,3.00,6.00,9.00,9.00,2.00,3.00,6.00,207,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',7862,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251508,4.00,3.00,1.00,3.00,4.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5251516,7.00,5.00,2.00,7.00,7.00,9.38,2.00,5.00,7.00,207,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',6399,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5251524,7.00,7.00,6.00,7.00,6.00,6.75,3.00,8.00,5.00,327,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',4884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251532,7.00,8.00,7.00,7.00,8.00,10.50,5.00,7.00,9.00,103,NULL,NULL,'TATUAPÉ','S PAULO','SP',770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251540,5.00,6.00,5.00,5.00,5.00,8.25,3.00,4.00,5.00,220,NULL,203,'RIO CUBATÃO','ÁGUAS MORNAS','SC',10191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251559,1.00,1.00,0.00,1.00,2.00,NULL,1.00,2.00,1.00,324,NULL,NULL,'FREITAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251567,4.00,5.00,3.00,4.00,6.00,NULL,0.00,1.00,3.00,302,NULL,NULL,'BALNEARIO ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251575,1.00,3.00,0.00,5.00,4.00,NULL,1.00,1.00,4.00,428,NULL,426,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251583,0.00,3.00,3.00,5.00,0.00,NULL,2.00,2.00,2.00,303,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251591,5.00,6.00,2.00,3.00,5.00,6.00,1.00,3.00,4.00,201,NULL,213,'CAMPECHE','FLORIANÓPOLIS','SC',16157,1128,NULL,206,NULL,NULL,NULL,4,1),(20,5251605,5.00,5.00,0.00,4.00,7.00,NULL,0.00,3.00,2.00,319,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251630,4.00,5.00,2.00,5.00,6.00,6.75,2.00,1.00,3.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251648,5.00,5.00,1.00,4.00,3.00,NULL,4.00,2.00,6.00,201,NULL,601,'NOVA ESPERANÇA','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5251656,2.00,2.00,1.00,1.00,2.00,NULL,1.00,1.00,3.00,101,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251664,6.00,6.00,4.00,7.00,6.00,10.50,3.00,3.00,4.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',6857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251672,6.00,5.00,2.00,4.00,5.00,7.88,3.00,1.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13903,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251680,7.00,9.00,0.00,7.00,5.00,10.13,1.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251702,2.00,6.00,0.00,4.00,2.00,NULL,0.00,0.00,1.00,308,NULL,NULL,'JARDIM EUROPA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251710,3.00,6.00,2.00,2.00,6.00,NULL,3.00,2.00,2.00,202,NULL,235,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251729,4.00,5.00,1.00,5.00,6.00,6.38,1.00,2.00,3.00,653,NULL,211,'SERTÃO DOS CORREIAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5251737,2.00,7.00,2.00,6.00,4.00,NULL,0.00,1.00,3.00,423,NULL,429,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5251753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,213,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5251761,3.00,4.00,0.00,2.00,7.00,7.50,3.00,4.00,5.00,5,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',15362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251770,5.00,6.00,5.00,7.00,8.00,9.38,1.00,2.00,5.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',8491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251788,7.00,6.00,4.00,4.00,9.00,9.75,2.00,4.00,4.00,453,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',7547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251796,3.00,3.00,2.00,2.00,1.00,NULL,3.00,1.00,0.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251800,2.00,5.00,1.00,4.00,6.00,NULL,0.00,3.00,3.00,453,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251818,6.00,6.00,1.00,6.00,7.00,9.38,2.00,2.00,2.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',10638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251826,6.00,6.00,0.00,5.00,6.00,NULL,3.00,6.00,4.00,327,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251834,5.00,7.00,3.00,4.00,8.00,9.00,3.00,5.00,7.00,309,NULL,NULL,'AREIAS','S JOSÉ','SC',9238,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251842,7.00,4.00,4.00,7.00,7.00,9.38,3.00,3.00,7.00,5,NULL,NULL,'CENTRO','ITÁ','SC',4907,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5251850,8.00,8.00,8.00,6.00,9.00,9.75,7.00,5.00,8.00,103,NULL,NULL,'LINHA SÃO PEDRO','CHAPECÓ','SC',512,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5251869,4.00,6.00,1.00,2.00,4.00,6.75,4.00,2.00,5.00,331,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5251885,2.00,5.00,2.00,1.00,3.00,NULL,1.00,1.00,0.00,201,NULL,207,'DOS ESPORTES','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5251893,5.00,0.00,4.00,5.00,7.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5251907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5251923,3.00,7.00,3.00,2.00,7.00,NULL,0.00,3.00,4.00,207,NULL,601,'SANTANA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5251931,2.00,3.00,2.00,4.00,4.00,NULL,0.00,3.00,3.00,421,NULL,423,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251940,0.00,6.00,0.00,0.00,0.00,NULL,3.00,1.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,9),(20,5251958,2.00,3.00,2.00,4.00,3.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251966,7.00,5.00,4.00,7.00,9.00,8.63,1.00,3.00,5.00,326,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9033,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251974,7.00,8.00,0.00,3.00,5.00,9.38,3.00,4.00,5.00,108,NULL,NULL,'ARMACAO DO P DO SUL','FLORIANÓPOLIS','SC',11575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5251982,4.00,5.00,3.00,6.00,6.00,6.38,2.00,5.00,5.00,201,NULL,202,'CENTRO','LONDRINA','PR',12492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5251990,8.00,5.00,2.00,7.00,5.00,NULL,1.00,5.00,3.00,453,NULL,NULL,'ARMACAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5252008,5.00,7.00,3.00,6.00,10.00,8.25,1.00,3.00,6.00,415,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',8422,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252016,8.00,6.00,2.00,7.00,8.00,9.38,2.00,3.00,5.00,333,NULL,NULL,'CENTRO','CASCAVEL','PR',7430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5252040,9.00,9.00,7.00,7.00,10.00,10.13,4.00,6.00,7.00,233,NULL,216,'COSTEIRA','FLORIANÓPOLIS','SC',696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252059,9.00,7.00,3.00,7.00,6.00,7.50,4.00,4.00,5.00,301,NULL,NULL,'JARDIM ITALIA','ITAPETININGA','SP',4720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5252075,5.00,4.00,2.00,2.00,3.00,NULL,3.00,2.00,4.00,444,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252091,3.00,7.00,2.00,4.00,5.00,9.00,3.00,4.00,6.00,225,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252105,7.00,6.00,3.00,6.00,6.00,9.38,4.00,2.00,3.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252113,7.00,5.00,2.00,2.00,7.00,4.13,3.00,3.00,1.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252121,5.00,6.00,1.00,5.00,6.00,6.75,2.00,2.00,7.00,102,NULL,NULL,'ZONA SETE','MARINGÁ','PR',11009,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5252130,5.00,4.00,2.00,6.00,6.00,9.00,3.00,3.00,5.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252148,4.00,6.00,0.00,4.00,4.00,NULL,2.00,2.00,2.00,340,NULL,NULL,'HAUER','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252156,9.00,7.00,5.00,5.00,8.00,9.00,3.00,6.00,8.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',3108,1527,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252172,2.00,7.00,1.00,4.00,4.00,6.00,0.00,4.00,4.00,202,NULL,201,'FLOR DE NAPOLIS','S JOSÉ','SC',16318,528,NULL,1137,NULL,NULL,NULL,4,1),(20,5252180,4.00,4.00,3.00,2.00,3.00,NULL,0.00,4.00,1.00,551,NULL,NULL,'SÃO JOÃO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5252199,5.00,5.00,0.00,2.00,3.00,NULL,2.00,3.00,3.00,9,NULL,NULL,'RIBEIRÃO KINDEL','BRAÇO TROMBUDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5252210,7.00,7.00,5.00,4.00,7.00,10.50,3.00,3.00,4.00,452,NULL,NULL,'PROFIPO','JOINVILLE','SC',5823,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5252229,5.00,4.00,4.00,5.00,7.00,9.00,2.00,4.00,2.00,326,NULL,NULL,'ITINGA','JOINVILLE','SC',10883,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5252245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5252253,5.00,5.00,2.00,3.00,7.00,9.00,0.00,5.00,4.00,224,NULL,NULL,'TRIBUTO','LAGES','SC',13226,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5252261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5252270,6.00,6.00,1.00,3.00,8.00,10.13,2.00,3.00,4.00,415,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',12476,239,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252288,5.00,6.00,2.00,7.00,8.00,7.50,3.00,0.00,3.00,340,NULL,NULL,'CENTRO','OLÍMPIA','SP',13302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252296,8.00,6.00,2.00,4.00,6.00,6.38,3.00,3.00,3.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10870,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252300,8.00,7.00,3.00,7.00,10.00,9.00,4.00,4.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PRAIA COMPRIFA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5252326,1.00,2.00,0.00,2.00,3.00,NULL,2.00,0.00,3.00,104,NULL,NULL,'ANDORINHA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,6),(20,5252342,7.00,6.00,4.00,4.00,8.00,9.38,3.00,4.00,7.00,207,NULL,201,'JARDIM SHANGRILÁ','CUIABÁ','MT',6085,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5252350,2.00,5.00,2.00,2.00,6.00,NULL,2.00,1.00,4.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252369,2.00,5.00,1.00,5.00,6.00,NULL,3.00,1.00,3.00,201,NULL,238,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252377,8.00,7.00,6.00,7.00,7.00,7.13,7.00,5.00,6.00,214,NULL,211,'CENTRO','CRICIÚMA','SC',2184,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5252385,7.00,4.00,3.00,7.00,10.00,10.13,2.00,4.00,3.00,310,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',7706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252393,4.00,4.00,0.00,6.00,8.00,NULL,0.00,3.00,2.00,303,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252407,9.00,8.00,2.00,6.00,8.00,10.88,4.00,4.00,7.00,108,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',3203,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5252423,6.00,5.00,1.00,5.00,7.00,6.75,2.00,3.00,4.00,235,NULL,208,'CACUPE','FLORIANÓPOLIS','SC',14049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252431,6.00,5.00,2.00,7.00,6.00,9.75,0.00,1.00,5.00,304,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INTERIOR','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5252458,8.00,9.00,8.00,7.00,8.00,9.38,8.00,4.00,5.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252466,6.00,6.00,3.00,5.00,7.00,9.00,4.00,3.00,6.00,211,NULL,212,'MEIA PRAIA','ITAPEMA','SC',10782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252474,6.00,5.00,3.00,6.00,6.00,9.00,3.00,0.00,1.00,420,NULL,NULL,'CENTRO','ARARAS','SP',12829,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5252482,10.00,8.00,5.00,5.00,8.00,12.00,5.00,6.00,9.00,103,NULL,NULL,'BELA VISTA','PTO ALEGRE','RS',692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252490,2.00,7.00,1.00,3.00,5.00,NULL,1.00,2.00,1.00,444,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM DAS INDUSTRIA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5252512,4.00,6.00,3.00,6.00,6.00,6.38,2.00,3.00,4.00,208,NULL,238,'COQUEIROS','FLORIANÓPOLIS','SC',15342,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252520,6.00,5.00,2.00,6.00,5.00,9.38,1.00,2.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',13772,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5252547,5.00,3.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,201,NULL,212,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5252555,1.00,2.00,2.00,5.00,4.00,NULL,1.00,1.00,2.00,303,NULL,NULL,'DAS DAMAS','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5252571,4.00,7.00,3.00,3.00,7.00,9.00,3.00,1.00,4.00,238,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252580,7.00,7.00,4.00,4.00,9.00,7.88,5.00,7.00,6.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',4256,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252598,4.00,4.00,3.00,7.00,6.00,10.13,0.00,2.00,2.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5252601,6.00,7.00,2.00,4.00,6.00,9.00,4.00,4.00,4.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12175,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252610,7.00,7.00,6.00,4.00,9.00,9.00,5.00,5.00,6.00,104,NULL,NULL,'FATIMA','ERECHIM','RS',4044,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5252628,6.00,7.00,3.00,4.00,7.00,8.25,4.00,4.00,5.00,5,NULL,NULL,'FORQUIHAS','S JOSÉ','SC',10718,357,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252636,4.00,6.00,1.00,3.00,5.00,7.88,1.00,3.00,3.00,203,NULL,220,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5252644,4.00,6.00,5.00,4.00,5.00,6.38,1.00,5.00,5.00,404,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',12402,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252652,5.00,6.00,3.00,5.00,6.00,7.13,2.00,4.00,5.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252660,8.00,7.00,7.00,7.00,9.00,10.13,8.00,5.00,7.00,203,NULL,214,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252679,6.00,7.00,4.00,6.00,7.00,9.38,1.00,1.00,5.00,208,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',7736,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5252687,0.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5252695,8.00,6.00,4.00,5.00,8.00,6.75,4.00,3.00,4.00,324,NULL,NULL,'CENTRO','PTO UNIÃO','SC',9647,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252709,3.00,2.00,4.00,1.00,4.00,NULL,3.00,1.00,5.00,404,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252717,4.00,4.00,2.00,3.00,4.00,7.88,3.00,3.00,3.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252725,7.00,5.00,3.00,2.00,7.00,9.00,2.00,4.00,5.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252733,5.00,7.00,4.00,6.00,8.00,9.00,3.00,4.00,5.00,340,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252750,6.00,6.00,1.00,6.00,9.00,9.38,2.00,2.00,4.00,302,NULL,NULL,'SÃO CRISTÓVÃO','CRICIÚMA','SC',9852,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5252768,2.00,5.00,1.00,4.00,2.00,NULL,3.00,2.00,3.00,404,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252776,7.00,6.00,2.00,5.00,8.00,8.25,1.00,1.00,1.00,420,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252784,9.00,9.00,8.00,5.00,10.00,9.75,9.00,7.00,9.00,103,NULL,NULL,'JARDIM ACLIMAÇÃO','APUCARANA','PR',98,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5252792,9.00,8.00,5.00,6.00,10.00,10.13,6.00,6.00,8.00,103,NULL,NULL,'OFICINAS','PNT GROSSA','PR',555,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5252806,0.00,5.00,0.00,2.00,6.00,NULL,4.00,2.00,4.00,340,NULL,NULL,'KOBRASOL II','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252814,8.00,5.00,7.00,2.00,6.00,10.13,3.00,5.00,7.00,207,NULL,201,'BELA VISTA','BAURU','SP',4450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5252822,3.00,4.00,2.00,4.00,5.00,NULL,1.00,1.00,3.00,328,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252830,1.00,4.00,1.00,4.00,3.00,NULL,0.00,1.00,2.00,423,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5252865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,NULL,'SAO JOSE','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5252873,4.00,4.00,4.00,3.00,6.00,9.00,1.00,3.00,3.00,601,NULL,203,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5252890,3.00,3.00,2.00,5.00,5.00,NULL,1.00,1.00,2.00,429,NULL,427,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5252903,6.00,4.00,2.00,2.00,3.00,NULL,2.00,1.00,1.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5252920,8.00,8.00,7.00,5.00,9.00,7.13,7.00,4.00,8.00,203,NULL,220,'ZONA SETE','MARINGÁ','PR',1562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5252954,5.00,3.00,4.00,6.00,3.00,NULL,0.00,2.00,3.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5252962,7.00,7.00,7.00,6.00,8.00,9.00,3.00,5.00,8.00,415,NULL,NULL,'CENTRO','CRICIÚMA','SC',2513,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5252970,6.00,3.00,1.00,3.00,5.00,6.75,1.00,4.00,4.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',13875,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5252997,7.00,5.00,1.00,6.00,6.00,9.75,3.00,5.00,6.00,103,NULL,NULL,'JD ITAPEVA','S PAULO','SP',8452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253004,6.00,3.00,0.00,5.00,7.00,NULL,0.00,4.00,5.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253020,3.00,5.00,2.00,5.00,6.00,NULL,1.00,1.00,3.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253039,4.00,7.00,1.00,3.00,6.00,11.25,5.00,4.00,7.00,103,NULL,NULL,'JEREISSATI','MARACANAÚ','CE',10060,3173,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253047,3.00,7.00,1.00,4.00,2.00,NULL,1.00,3.00,2.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253055,3.00,4.00,1.00,1.00,3.00,NULL,2.00,2.00,2.00,205,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'SAPIRANGA','MELEIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',5,15),(20,5253071,3.00,4.00,1.00,2.00,4.00,NULL,2.00,3.00,3.00,415,NULL,NULL,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253080,2.00,5.00,2.00,3.00,8.00,NULL,2.00,1.00,1.00,216,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5253098,9.00,5.00,6.00,6.00,10.00,7.88,6.00,4.00,5.00,208,NULL,220,'TRINDADE','FLORIANÓPOLIS','SC',2755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253101,3.00,7.00,2.00,3.00,3.00,NULL,2.00,4.00,2.00,653,NULL,233,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5253110,5.00,4.00,0.00,5.00,6.00,9.75,2.00,3.00,2.00,208,NULL,216,'JARDIM ELDORADO','PALHOÇA','SC',14201,387,NULL,545,NULL,NULL,NULL,4,1),(20,5253128,2.00,4.00,2.00,5.00,3.00,NULL,4.00,3.00,5.00,208,NULL,238,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253136,4.00,6.00,3.00,6.00,8.00,10.13,2.00,2.00,6.00,201,NULL,207,'PANAZZOLO','CAXIAS SUL','RS',8696,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5253144,5.00,6.00,2.00,3.00,7.00,9.75,1.00,4.00,6.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',10386,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253152,6.00,8.00,4.00,6.00,9.00,8.25,3.00,4.00,6.00,207,NULL,211,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',6179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253160,3.00,7.00,4.00,2.00,4.00,9.38,3.00,5.00,3.00,207,NULL,601,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5253179,1.00,1.00,0.00,3.00,4.00,NULL,2.00,1.00,2.00,404,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253187,7.00,6.00,4.00,7.00,8.00,6.75,3.00,5.00,5.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',6682,2575,NULL,NULL,NULL,NULL,NULL,4,10),(20,5253195,7.00,5.00,3.00,5.00,7.00,7.50,4.00,2.00,3.00,104,NULL,NULL,'SUMARÉ','RIO SUL','SC',11631,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5253217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5253225,4.00,2.00,1.00,2.00,3.00,NULL,1.00,1.00,3.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253233,2.00,4.00,0.00,1.00,4.00,NULL,1.00,2.00,3.00,109,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5253241,2.00,7.00,4.00,7.00,7.00,9.38,6.00,5.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253250,9.00,6.00,6.00,8.00,7.00,9.75,4.00,5.00,8.00,214,NULL,238,'CAMPINAS','S JOSÉ','SC',1530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253284,5.00,5.00,4.00,7.00,7.00,8.25,2.00,3.00,4.00,214,NULL,216,'MALOTA','JUNDIAÍ','SP',8149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253292,7.00,7.00,7.00,6.00,7.00,7.88,5.00,6.00,8.00,203,NULL,233,'SANTA MÔNICA','FLORIANÓPOLIS','SC',2441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253306,7.00,7.00,4.00,6.00,7.00,9.00,1.00,4.00,7.00,452,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253314,6.00,6.00,3.00,3.00,6.00,7.50,4.00,2.00,6.00,103,NULL,NULL,'ANES','PASSO FUNDO','RS',11832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'IGRA NORTE','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5253330,1.00,5.00,2.00,4.00,5.00,NULL,1.00,1.00,3.00,319,NULL,NULL,'SÃO CRISTÓRVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253349,8.00,8.00,6.00,6.00,9.00,12.00,2.00,5.00,6.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',2262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253365,6.00,6.00,2.00,4.00,8.00,7.50,3.00,3.00,2.00,212,NULL,211,'BARREIROS','S JOSÉ','SC',12434,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA QUITÉRIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5253381,5.00,5.00,1.00,2.00,4.00,NULL,2.00,2.00,2.00,415,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5253390,9.00,8.00,5.00,6.00,8.00,7.88,3.00,4.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253403,6.00,7.00,2.00,6.00,3.00,NULL,3.00,2.00,8.00,201,NULL,207,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5253411,6.00,7.00,2.00,7.00,7.00,11.25,3.00,4.00,3.00,108,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253420,7.00,8.00,7.00,7.00,7.00,10.13,5.00,5.00,5.00,220,NULL,203,'BELA VISTA','CPO GRANDE','MS',2025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253438,7.00,6.00,5.00,3.00,8.00,8.25,5.00,4.00,4.00,501,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',7909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253446,5.00,4.00,4.00,2.00,6.00,NULL,2.00,2.00,2.00,303,NULL,NULL,'CENTRO','FARROUPILHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5253454,4.00,5.00,0.00,5.00,7.00,8.25,3.00,2.00,4.00,102,NULL,NULL,'CENTRO','CURITIBA','PR',11557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253462,7.00,4.00,0.00,3.00,6.00,NULL,2.00,3.00,4.00,304,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5253489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'SANTA CECÍLIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5253497,2.00,6.00,1.00,5.00,5.00,9.38,2.00,2.00,5.00,451,NULL,NULL,'FUNDOS','BIGUAÇU','SC',16032,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253519,5.00,4.00,0.00,7.00,7.00,9.75,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5253527,3.00,6.00,7.00,7.00,9.00,7.13,5.00,4.00,5.00,201,NULL,203,'VILA NOVA','JOINVILLE','SC',5457,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5253535,4.00,5.00,1.00,4.00,5.00,NULL,0.00,4.00,3.00,216,NULL,NULL,'JARDIM OLIMPICO','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253543,4.00,5.00,3.00,4.00,6.00,7.88,4.00,4.00,4.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253551,7.00,7.00,4.00,4.00,8.00,9.00,3.00,4.00,5.00,108,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',6386,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253578,7.00,6.00,4.00,5.00,7.00,6.38,4.00,2.00,7.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',7979,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253586,5.00,8.00,3.00,4.00,7.00,8.63,2.00,4.00,4.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11293,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253608,1.00,5.00,3.00,4.00,5.00,7.50,3.00,2.00,5.00,338,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253616,3.00,6.00,2.00,3.00,2.00,NULL,3.00,4.00,4.00,651,NULL,653,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5253624,9.00,8.00,7.00,7.00,7.00,12.00,5.00,4.00,8.00,203,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253632,6.00,6.00,7.00,7.00,5.00,8.25,5.00,3.00,5.00,201,NULL,216,'ESCOLA AGRÍCOLA','BLUMENAU','SC',4719,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5253640,8.00,5.00,6.00,5.00,6.00,7.50,4.00,4.00,6.00,2,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',5335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253659,2.00,4.00,0.00,0.00,0.00,NULL,3.00,2.00,3.00,331,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253667,8.00,8.00,7.00,8.00,10.00,10.88,5.00,6.00,7.00,203,NULL,214,'PANTANAL','FLORIANÓPOLIS','SC',693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253675,7.00,8.00,3.00,3.00,6.00,7.50,2.00,4.00,4.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253683,8.00,7.00,4.00,7.00,6.00,8.25,4.00,7.00,6.00,203,NULL,214,'BARREIROS','S JOSÉ','SC',4652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253691,5.00,3.00,0.00,3.00,4.00,NULL,3.00,1.00,2.00,452,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5253705,4.00,3.00,3.00,2.00,1.00,NULL,2.00,3.00,3.00,428,NULL,426,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253713,6.00,7.00,2.00,4.00,6.00,8.25,1.00,2.00,4.00,216,NULL,208,'EMBARE','SANTOS','SP',12140,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253721,7.00,8.00,4.00,6.00,9.00,9.38,4.00,3.00,7.00,207,NULL,238,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',3954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'CENTRO','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5253748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA SEIS','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5253756,6.00,7.00,5.00,7.00,9.00,6.38,4.00,5.00,6.00,319,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',3652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253764,5.00,1.00,3.00,4.00,7.00,4.13,4.00,4.00,3.00,652,NULL,653,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5253772,5.00,7.00,0.00,6.00,8.00,9.00,2.00,4.00,2.00,324,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',13815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5253780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5253802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'HIGIENOPOLIS','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5253829,8.00,9.00,8.00,7.00,9.00,10.50,6.00,5.00,8.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253837,7.00,5.00,2.00,4.00,6.00,7.13,2.00,1.00,4.00,601,NULL,213,'SANTA CATARINA','JOINVILLE','SC',14517,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5253845,5.00,2.00,3.00,4.00,4.00,NULL,0.00,0.00,2.00,224,NULL,NULL,'JARDIM','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5253853,7.00,7.00,3.00,6.00,10.00,7.88,3.00,2.00,7.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',5216,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5253870,6.00,6.00,3.00,4.00,6.00,8.25,4.00,4.00,7.00,318,NULL,NULL,'MORUMBI','S PAULO','SP',8011,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5253888,5.00,6.00,2.00,5.00,7.00,9.38,2.00,2.00,2.00,101,NULL,NULL,'CENTRO','BENEDITO NOVO','SC',11440,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5253896,7.00,6.00,1.00,7.00,7.00,7.13,2.00,2.00,5.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253900,2.00,4.00,3.00,5.00,7.00,NULL,2.00,3.00,3.00,203,NULL,214,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5253918,5.00,5.00,2.00,7.00,6.00,6.75,1.00,2.00,7.00,103,NULL,NULL,'JARDIM LUSITANIA','S PAULO','SP',10451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5253934,5.00,4.00,1.00,3.00,5.00,7.50,2.00,4.00,2.00,103,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5253942,7.00,7.00,3.00,7.00,7.00,8.25,3.00,2.00,5.00,108,NULL,NULL,'CENTRO','POMERODE','SC',6739,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5253950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'BOQUEIRAO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5253969,6.00,4.00,0.00,1.00,7.00,NULL,1.00,4.00,3.00,319,NULL,NULL,'TOMAS COELHO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5253977,3.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,601,NULL,208,'BANANAL','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5253985,5.00,6.00,2.00,2.00,7.00,7.13,2.00,3.00,3.00,103,NULL,NULL,'ESPINHEIROS','JOINVILLE','SC',15110,3764,NULL,NULL,NULL,NULL,NULL,4,8),(20,5253993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,428,'JARDIM AMPLIAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5254000,5.00,7.00,4.00,6.00,10.00,13.13,1.00,3.00,5.00,238,NULL,208,'BELA VISTA','S JOSÉ','SC',5091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254019,7.00,7.00,3.00,7.00,7.00,9.75,3.00,4.00,5.00,340,NULL,NULL,'CENTRO','ESTAÇÃO','RS',4851,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5254027,8.00,3.00,1.00,4.00,5.00,9.00,1.00,3.00,3.00,103,NULL,NULL,'FÁTIMA','PTO ALEGRE','RS',13755,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5254035,6.00,7.00,0.00,2.00,3.00,NULL,1.00,2.00,5.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5254043,5.00,6.00,3.00,5.00,5.00,7.13,3.00,3.00,4.00,101,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5254060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,215,'MARAFON','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5254078,7.00,7.00,1.00,4.00,10.00,9.75,1.00,4.00,4.00,415,NULL,NULL,'CENTRO','IMBÉ','RS',9749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254086,5.00,6.00,3.00,6.00,7.00,NULL,0.00,3.00,4.00,601,NULL,653,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5254116,5.00,5.00,1.00,5.00,8.00,9.75,2.00,4.00,4.00,216,NULL,601,'FLORESTA','JOINVILLE','SC',9276,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5254132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5254140,4.00,4.00,3.00,4.00,1.00,NULL,1.00,1.00,4.00,201,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254159,3.00,4.00,2.00,7.00,5.00,8.25,3.00,4.00,4.00,238,NULL,208,'CARIANOS','FLORIANÓPOLIS','SC',11309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254175,7.00,7.00,5.00,7.00,9.00,9.38,2.00,3.00,5.00,207,NULL,211,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',4668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254191,3.00,4.00,1.00,5.00,4.00,NULL,1.00,1.00,3.00,2,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254221,3.00,4.00,1.00,3.00,3.00,NULL,0.00,2.00,6.00,304,NULL,NULL,'SANTA TERESA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5254230,4.00,5.00,1.00,5.00,5.00,NULL,1.00,0.00,1.00,202,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5254248,4.00,3.00,4.00,3.00,6.00,6.38,3.00,3.00,2.00,303,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',15884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254256,4.00,3.00,0.00,2.00,3.00,NULL,0.00,2.00,3.00,104,NULL,NULL,'TAQUARAS','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5254272,4.00,5.00,0.00,3.00,8.00,8.25,2.00,5.00,3.00,9,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',15664,108,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254280,5.00,6.00,4.00,4.00,8.00,8.25,3.00,4.00,4.00,303,NULL,NULL,'CASA BRANCA','ITAPEMA','SC',7901,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5254299,7.00,7.00,5.00,7.00,6.00,12.00,5.00,5.00,7.00,202,NULL,220,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254329,6.00,6.00,1.00,7.00,9.00,9.00,1.00,3.00,5.00,207,NULL,215,'UVARANAS','PNT GROSSA','PR',10997,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5254337,4.00,5.00,0.00,6.00,4.00,7.50,3.00,0.00,6.00,233,NULL,216,'MORUMBI','S PAULO','SP',14439,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254345,4.00,4.00,0.00,1.00,4.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'BACACHARI','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5254353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'SANTA INES','FORMOSA SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5254361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'SETE DE SETEMBRO','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5254370,3.00,5.00,2.00,6.00,4.00,10.13,3.00,1.00,5.00,2,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254388,8.00,6.00,2.00,8.00,9.00,4.50,6.00,4.00,6.00,220,NULL,233,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5254396,8.00,3.00,0.00,5.00,9.00,9.38,1.00,4.00,7.00,102,NULL,NULL,'ZONA SETE','MARINGÁ','PR',7853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5254400,3.00,5.00,1.00,2.00,3.00,NULL,4.00,3.00,4.00,501,NULL,NULL,'INLGESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5254418,8.00,8.00,2.00,5.00,7.00,8.25,5.00,3.00,8.00,103,NULL,NULL,'COQUEIRAL','CASCAVEL','PR',4695,2056,NULL,NULL,NULL,NULL,NULL,2,4),(20,5254426,9.00,9.00,6.00,7.00,10.00,13.50,6.00,7.00,6.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254434,2.00,8.00,1.00,0.00,2.00,NULL,1.00,1.00,4.00,9,NULL,NULL,'VILA BEATRIZ','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5254442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5254450,5.00,7.00,1.00,4.00,7.00,7.13,3.00,3.00,6.00,207,NULL,201,'JARDIM TIJUCO','GUARULHOS','SP',10866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254469,3.00,7.00,4.00,5.00,4.00,8.25,3.00,0.00,5.00,601,NULL,202,'GUANABARA','JOINVILLE','SC',14976,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5254477,4.00,6.00,5.00,6.00,7.00,9.75,5.00,4.00,6.00,303,NULL,NULL,'CENTRO','LONDRINA','PR',5153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUAIANAZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5254493,1.00,4.00,1.00,3.00,5.00,NULL,0.00,1.00,2.00,9,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5254507,5.00,4.00,0.00,6.00,6.00,NULL,3.00,5.00,3.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5254515,8.00,9.00,1.00,6.00,8.00,9.75,3.00,5.00,5.00,216,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',3476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254523,9.00,5.00,3.00,7.00,8.00,8.63,4.00,4.00,3.00,103,NULL,NULL,'CENTRO','REALEZA','PR',5354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254531,8.00,6.00,5.00,7.00,8.00,11.25,5.00,2.00,7.00,415,NULL,NULL,'NOSSA SRA ROSÁRIO','S JOSÉ','SC',2573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254558,8.00,5.00,4.00,8.00,8.00,9.38,2.00,5.00,5.00,103,NULL,NULL,'BROOKLIN','S PAULO','SP',3749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254566,6.00,6.00,2.00,5.00,7.00,10.13,3.00,4.00,6.00,102,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',7944,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5254574,6.00,3.00,4.00,6.00,7.00,8.25,2.00,3.00,5.00,503,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',9414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5254582,5.00,6.00,1.00,4.00,3.00,NULL,1.00,4.00,4.00,5,NULL,NULL,'CACHOEIRA B JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5254590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JUNDIÁ','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5254604,3.00,6.00,5.00,4.00,4.00,7.50,1.00,2.00,3.00,201,NULL,207,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5254612,7.00,7.00,2.00,7.00,7.00,8.63,3.00,4.00,7.00,303,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',6323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254620,4.00,5.00,0.00,7.00,5.00,7.50,3.00,0.00,2.00,202,NULL,213,'PIO X','CAXIAS SUL','RS',16306,527,NULL,208,NULL,NULL,NULL,4,3),(20,5254639,3.00,7.00,1.00,4.00,4.00,NULL,0.00,2.00,1.00,317,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254647,6.00,5.00,2.00,6.00,8.00,10.50,3.00,5.00,4.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',6792,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5254655,4.00,5.00,4.00,7.00,2.00,NULL,0.00,3.00,2.00,203,NULL,233,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254663,2.00,5.00,2.00,5.00,3.00,NULL,2.00,2.00,3.00,216,NULL,213,'SÃO JOSÉ','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5254680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,216,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5254701,8.00,7.00,3.00,6.00,10.00,10.50,4.00,5.00,7.00,202,NULL,213,'CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC',2092,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5254710,4.00,6.00,3.00,4.00,7.00,6.38,3.00,1.00,5.00,203,NULL,233,'KOBRASOL','S JOSÉ','SC',12406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,208,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5254744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'INTERIOR','JABORÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5254752,4.00,4.00,0.00,3.00,2.00,NULL,0.00,2.00,0.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5254760,5.00,6.00,2.00,3.00,4.00,6.75,0.00,2.00,5.00,211,NULL,207,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254779,8.00,6.00,6.00,6.00,6.00,9.00,4.00,4.00,7.00,103,NULL,NULL,'CRISTO REDENTOR','CAXIAS SUL','RS',3436,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5254787,3.00,5.00,2.00,6.00,6.00,10.13,1.00,2.00,5.00,2,NULL,NULL,'CENTRO','ERECHIM','RS',12445,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5254795,2.00,0.00,1.00,4.00,7.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA MORSE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5254809,6.00,6.00,0.00,4.00,7.00,6.38,4.00,3.00,5.00,216,NULL,202,'CENTRO','INDEPENDÊNCIA','RS',11148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5254825,3.00,7.00,1.00,4.00,5.00,6.75,2.00,2.00,3.00,202,NULL,235,'FATIMA','ERECHIM','RS',15127,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5254833,6.00,5.00,2.00,1.00,5.00,6.00,5.00,2.00,3.00,220,NULL,202,'VELHA','BLUMENAU','SC',14202,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5254841,8.00,6.00,3.00,4.00,8.00,8.63,4.00,3.00,7.00,104,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',6065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254868,2.00,3.00,1.00,2.00,4.00,NULL,2.00,3.00,5.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5254876,8.00,6.00,4.00,7.00,9.00,7.50,2.00,5.00,5.00,202,NULL,203,'PARQUE SÃP JORGE','FLORIANÓPOLIS','SC',5074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254884,3.00,7.00,2.00,6.00,4.00,7.50,0.00,2.00,4.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5254892,5.00,7.00,2.00,5.00,6.00,NULL,2.00,5.00,5.00,103,NULL,NULL,'BARRO VERMELHO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(20,5254906,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5254914,3.00,6.00,1.00,4.00,4.00,8.25,2.00,4.00,4.00,208,NULL,NULL,'CAMPO DA AGUA VERDE','CANOINHAS','SC',13630,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5254922,7.00,7.00,1.00,7.00,9.00,11.25,4.00,5.00,7.00,103,NULL,NULL,'PIONEIRO','CAXIAS SUL','RS',2761,1396,NULL,NULL,NULL,NULL,NULL,2,15),(20,5254930,3.00,4.00,4.00,4.00,6.00,8.25,1.00,3.00,3.00,339,NULL,NULL,'ARMAÇÃO DO PÂNTANO D','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5254957,4.00,6.00,5.00,5.00,6.00,8.25,2.00,1.00,4.00,215,NULL,216,'VILA EMA','S JOSÉ CAMPOS','SP',10402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254965,2.00,6.00,2.00,5.00,5.00,10.50,2.00,3.00,4.00,309,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5254973,3.00,5.00,2.00,4.00,7.00,NULL,0.00,1.00,4.00,317,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5254981,1.00,6.00,0.00,4.00,7.00,NULL,3.00,2.00,3.00,216,NULL,211,'AREIAS','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5254990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5255007,3.00,5.00,0.00,5.00,4.00,NULL,3.00,3.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5255023,4.00,6.00,2.00,6.00,8.00,7.50,3.00,5.00,6.00,326,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8315,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5255031,5.00,7.00,1.00,3.00,7.00,8.25,1.00,0.00,4.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',14664,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5255040,0.00,3.00,0.00,0.00,1.00,NULL,2.00,2.00,3.00,110,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255058,6.00,7.00,2.00,6.00,4.00,8.63,2.00,1.00,4.00,104,NULL,NULL,'AMÉRICA','JOINVILLE','SC',13478,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5255074,7.00,7.00,1.00,6.00,8.00,9.75,6.00,6.00,8.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',3470,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5255082,3.00,4.00,2.00,4.00,4.00,NULL,3.00,1.00,3.00,104,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5255090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5255104,0.00,2.00,0.00,0.00,0.00,NULL,2.00,0.00,4.00,415,NULL,NULL,'SAPIRANGA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5255139,3.00,5.00,3.00,5.00,4.00,10.50,2.00,2.00,2.00,301,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5255147,3.00,4.00,1.00,1.00,1.00,NULL,0.00,2.00,4.00,301,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5255155,8.00,9.00,9.00,8.00,9.00,13.50,8.00,3.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255163,9.00,7.00,1.00,6.00,4.00,10.50,2.00,4.00,6.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255171,5.00,3.00,2.00,4.00,4.00,8.25,3.00,2.00,2.00,201,NULL,216,'CENTRO','ERECHIM','RS',15399,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5255180,6.00,8.00,5.00,6.00,8.00,10.50,0.00,3.00,5.00,503,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'MINA UNIÃO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5255201,8.00,6.00,1.00,6.00,6.00,8.63,1.00,5.00,8.00,238,NULL,208,'ACLIMAÇÃO','S PAULO','SP',5231,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5255210,8.00,4.00,3.00,7.00,7.00,10.13,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6412,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5255228,4.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,3.00,207,NULL,201,'FRINAPE','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5255252,7.00,8.00,4.00,7.00,5.00,7.50,4.00,3.00,4.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',7478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255260,7.00,6.00,3.00,7.00,7.00,8.25,4.00,5.00,3.00,201,NULL,212,'CENTRO','CASCAVEL','PR',7389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255279,8.00,5.00,0.00,3.00,7.00,NULL,3.00,3.00,5.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5255287,6.00,6.00,1.00,6.00,9.00,9.38,3.00,4.00,5.00,208,NULL,652,'CENTRO','TERRA AREIA','RS',8967,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5255295,4.00,5.00,0.00,5.00,7.00,9.00,3.00,4.00,4.00,451,NULL,NULL,'GLÓRIA','JOINVILLE','SC',10277,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5255309,3.00,6.00,0.00,3.00,4.00,NULL,0.00,2.00,2.00,233,NULL,215,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5255317,7.00,4.00,1.00,5.00,7.00,10.13,1.00,2.00,2.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',14760,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5255325,8.00,6.00,1.00,6.00,8.00,5.25,3.00,5.00,5.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255341,9.00,5.00,2.00,7.00,7.00,6.75,7.00,3.00,7.00,103,NULL,NULL,'WERNER PLAAS','AMERICANA','SP',3935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255350,5.00,6.00,4.00,7.00,7.00,7.50,5.00,2.00,4.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5255376,3.00,7.00,1.00,4.00,6.00,9.75,3.00,3.00,5.00,234,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5255384,5.00,8.00,0.00,4.00,5.00,NULL,1.00,3.00,5.00,215,NULL,216,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5255392,3.00,5.00,0.00,5.00,5.00,NULL,0.00,2.00,3.00,208,NULL,220,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255406,3.00,3.00,1.00,2.00,5.00,NULL,0.00,4.00,1.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5255414,4.00,4.00,1.00,3.00,7.00,NULL,0.00,1.00,2.00,428,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255422,8.00,8.00,4.00,6.00,11.00,9.38,4.00,6.00,6.00,101,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',1539,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5255430,8.00,5.00,2.00,7.00,8.00,7.50,3.00,4.00,4.00,108,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255449,8.00,6.00,2.00,6.00,8.00,9.38,7.00,4.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255457,6.00,6.00,2.00,5.00,7.00,4.13,3.00,1.00,3.00,238,NULL,208,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5255465,3.00,4.00,1.00,4.00,5.00,NULL,1.00,0.00,1.00,110,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5255473,4.00,6.00,2.00,5.00,7.00,7.88,1.00,3.00,4.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',11774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255481,4.00,6.00,2.00,3.00,1.00,NULL,0.00,2.00,2.00,336,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5255490,5.00,4.00,1.00,6.00,7.00,6.75,3.00,4.00,3.00,103,NULL,NULL,'JUVEVE','CURITIBA','PR',12830,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5255503,3.00,4.00,2.00,5.00,6.00,9.00,2.00,2.00,3.00,319,NULL,NULL,'CAEIRA SACO LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255511,9.00,6.00,8.00,6.00,8.00,10.88,4.00,2.00,8.00,103,NULL,NULL,'LOURDES','CAXIAS SUL','RS',2626,1342,NULL,NULL,NULL,NULL,NULL,2,15),(20,5255520,8.00,7.00,6.00,7.00,7.00,11.25,6.00,6.00,6.00,203,NULL,201,'BALNEÁRIO','FLORIANÓPOLIS','SC',1626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255538,6.00,6.00,4.00,4.00,5.00,4.13,1.00,4.00,2.00,103,NULL,NULL,'IMIGRANTES','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5255546,6.00,5.00,2.00,7.00,9.00,6.75,1.00,3.00,5.00,415,NULL,NULL,'LAPA','S PAULO','SP',9658,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5255554,7.00,7.00,3.00,4.00,7.00,7.13,3.00,2.00,4.00,233,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',10258,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5255562,4.00,4.00,2.00,5.00,2.00,NULL,1.00,0.00,3.00,303,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255570,9.00,6.00,5.00,7.00,9.00,9.75,8.00,4.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5255597,2.00,6.00,6.00,7.00,5.00,6.00,4.00,3.00,3.00,207,NULL,238,'CAMPECHE','FLORIANÓPOLIS','SC',14070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255600,6.00,5.00,6.00,6.00,7.00,8.63,2.00,3.00,5.00,340,NULL,NULL,'PORTÃO','CURITIBA','PR',6161,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5255627,2.00,2.00,1.00,5.00,3.00,NULL,2.00,0.00,2.00,207,NULL,201,'CENTRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5255643,8.00,4.00,5.00,7.00,7.00,10.50,6.00,4.00,6.00,103,NULL,NULL,'DAS ROSAS','ETN VELHA','RS',2780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255651,9.00,7.00,6.00,6.00,8.00,10.50,7.00,4.00,7.00,103,NULL,NULL,'TIRADENTES','CPO GRANDE','MS',1593,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5255660,3.00,6.00,1.00,3.00,4.00,NULL,3.00,2.00,2.00,203,NULL,601,'PORTAL','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5255678,8.00,7.00,5.00,7.00,9.00,10.88,2.00,4.00,8.00,103,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',2544,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5255694,5.00,6.00,2.00,5.00,8.00,6.38,1.00,1.00,4.00,316,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',13320,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5255716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE SÃO SEBASTIÃO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5255724,9.00,9.00,6.00,3.00,8.00,9.38,7.00,4.00,9.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',1705,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5255759,1.00,5.00,1.00,5.00,3.00,NULL,1.00,2.00,3.00,201,NULL,214,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5255767,8.00,8.00,5.00,6.00,8.00,7.88,8.00,5.00,7.00,220,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',1939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255783,4.00,4.00,3.00,7.00,6.00,8.63,1.00,3.00,4.00,203,NULL,207,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5255791,5.00,6.00,3.00,7.00,10.00,12.00,3.00,4.00,7.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',4623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255813,3.00,5.00,1.00,5.00,5.00,10.50,3.00,2.00,3.00,207,NULL,211,'OFICINAS','TUBARÃO','SC',14503,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5255821,5.00,0.00,2.00,4.00,7.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5255830,5.00,5.00,2.00,5.00,6.00,7.13,3.00,2.00,5.00,103,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',12177,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5255848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5255856,6.00,3.00,1.00,5.00,6.00,9.00,4.00,4.00,4.00,423,NULL,429,'CORREGO GRANDE','FLORIANÓPOLIS','SC',14832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5255872,9.00,8.00,4.00,5.00,7.00,11.25,4.00,3.00,8.00,103,NULL,NULL,'TROPICAL','CASCAVEL','PR',2936,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5255880,6.00,7.00,2.00,7.00,8.00,8.63,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',5995,2404,NULL,NULL,NULL,NULL,NULL,4,7),(20,5255899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,235,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5255902,5.00,4.00,0.00,4.00,6.00,NULL,3.00,2.00,2.00,601,NULL,211,'URUBUQUARA','GARUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5255910,5.00,5.00,1.00,4.00,5.00,8.25,2.00,1.00,4.00,216,NULL,215,'JARDIM DRACENA','S PAULO','SP',13739,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5255945,3.00,3.00,1.00,4.00,6.00,NULL,1.00,2.00,4.00,104,NULL,NULL,'BOQUEIRÃO','PR GRANDE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5255953,4.00,4.00,1.00,5.00,6.00,7.13,3.00,2.00,4.00,108,NULL,NULL,'SANTA RITA','LAGES','SC',14774,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5255961,4.00,4.00,1.00,7.00,3.00,NULL,0.00,4.00,0.00,108,NULL,NULL,'TIJUCA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5255988,8.00,8.00,5.00,5.00,8.00,7.13,4.00,8.00,8.00,201,NULL,212,'GUIOMAR','ANTÔNIO CARLOS','SC',2421,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256003,4.00,4.00,1.00,5.00,7.00,NULL,1.00,1.00,3.00,301,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256011,3.00,3.00,1.00,4.00,2.00,NULL,2.00,1.00,3.00,420,NULL,NULL,'CENTRO','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5256020,1.00,3.00,1.00,1.00,3.00,NULL,3.00,0.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5256046,3.00,4.00,1.00,3.00,7.00,NULL,1.00,3.00,3.00,303,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256054,4.00,6.00,4.00,5.00,6.00,6.75,2.00,0.00,1.00,201,NULL,207,'SANTA TERESA','PTO ALEGRE','RS',15230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256070,3.00,6.00,2.00,2.00,5.00,NULL,1.00,2.00,3.00,208,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256089,4.00,6.00,0.00,5.00,3.00,NULL,0.00,1.00,4.00,324,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256100,5.00,6.00,2.00,7.00,5.00,7.13,1.00,3.00,7.00,103,NULL,NULL,'CORAL','LAGES','SC',11746,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5256119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'INTERIOR','RIO ANTAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5256127,9.00,7.00,8.00,7.00,8.00,9.00,6.00,1.00,7.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',1829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256135,1.00,0.00,2.00,1.00,3.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5256143,4.00,5.00,1.00,5.00,6.00,6.00,6.00,6.00,1.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256151,8.00,9.00,2.00,7.00,9.00,9.75,4.00,2.00,5.00,215,NULL,233,'BARREIROS','S JOSÉ','SC',3648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256160,9.00,7.00,6.00,7.00,11.00,12.38,6.00,7.00,7.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256178,5.00,7.00,2.00,6.00,8.00,9.38,5.00,4.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256186,5.00,6.00,3.00,6.00,7.00,9.75,1.00,2.00,3.00,103,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',12008,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5256216,3.00,3.00,1.00,2.00,6.00,NULL,2.00,3.00,2.00,652,NULL,653,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5256232,8.00,7.00,5.00,7.00,9.00,8.63,4.00,3.00,4.00,303,NULL,NULL,'PRÓSPERA','CRICIÚMA','SC',3719,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5256240,9.00,6.00,4.00,7.00,8.00,12.38,7.00,6.00,6.00,201,NULL,212,'JARDIM MENEGAZZO','APUCARANA','PR',994,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5256259,6.00,8.00,3.00,4.00,5.00,5.25,1.00,2.00,4.00,653,NULL,652,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5256267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5256283,4.00,6.00,3.00,3.00,3.00,NULL,4.00,3.00,3.00,208,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5256305,5.00,7.00,5.00,6.00,6.00,6.00,3.00,4.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7164,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5256313,3.00,4.00,1.00,2.00,3.00,NULL,3.00,1.00,1.00,202,NULL,203,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5256321,4.00,4.00,1.00,3.00,6.00,NULL,1.00,1.00,3.00,309,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256330,8.00,7.00,6.00,7.00,9.00,10.13,8.00,6.00,7.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256348,8.00,9.00,6.00,4.00,10.00,9.00,7.00,4.00,8.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',1427,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256356,7.00,4.00,1.00,4.00,6.00,9.38,4.00,4.00,4.00,501,NULL,NULL,'PIONEIRO','CAXIAS SUL','RS',12102,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5256364,0.00,3.00,0.00,1.00,0.00,NULL,2.00,1.00,4.00,324,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256372,6.00,6.00,1.00,7.00,4.00,7.50,3.00,2.00,3.00,340,NULL,NULL,'TINGUI','CURITIBA','PR',12562,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5256380,6.00,6.00,1.00,6.00,7.00,6.75,3.00,3.00,1.00,5,NULL,NULL,'CENTRO','ARARANGUÁ','SC',12912,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5256399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5256402,8.00,8.00,4.00,5.00,7.00,10.13,3.00,4.00,3.00,451,NULL,NULL,'IPIRANGA','S JOSÉ','SC',6300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256410,2.00,3.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256429,2.00,4.00,1.00,5.00,6.00,NULL,1.00,2.00,4.00,420,NULL,NULL,'FORQUILHA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256437,1.00,7.00,1.00,4.00,4.00,8.63,3.00,3.00,6.00,653,NULL,652,'TRES DE MAIO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5256445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5256461,7.00,6.00,1.00,6.00,9.00,7.88,3.00,3.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256470,9.00,7.00,4.00,6.00,7.00,10.88,6.00,5.00,9.00,103,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',1520,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5256488,3.00,3.00,1.00,6.00,4.00,NULL,2.00,1.00,3.00,340,NULL,NULL,'CENTRO','BENEDITO NOVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5256496,5.00,5.00,0.00,7.00,9.00,7.50,2.00,4.00,5.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256518,2.00,5.00,3.00,5.00,4.00,NULL,0.00,0.00,3.00,103,NULL,NULL,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256526,6.00,7.00,6.00,6.00,7.00,8.63,3.00,7.00,5.00,222,NULL,NULL,'SERRARIA','S JOSÉ','SC',6053,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5256550,6.00,5.00,2.00,6.00,7.00,3.75,1.00,2.00,5.00,444,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5256585,9.00,7.00,6.00,8.00,11.00,12.75,4.00,5.00,9.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256593,4.00,4.00,0.00,3.00,7.00,NULL,0.00,3.00,3.00,5,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256615,5.00,6.00,4.00,6.00,7.00,6.75,3.00,3.00,3.00,601,NULL,213,'DOM BOSCO','ITAJAÍ','SC',10024,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5256623,5.00,5.00,1.00,7.00,5.00,8.25,2.00,3.00,4.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256640,6.00,7.00,1.00,7.00,9.00,9.00,3.00,3.00,5.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256658,3.00,7.00,4.00,7.00,10.00,9.75,3.00,4.00,6.00,444,NULL,NULL,'SANTANA','RIO SUL','SC',6380,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5256666,5.00,5.00,2.00,3.00,8.00,7.13,1.00,2.00,5.00,101,NULL,NULL,'LIMEIRA','BIGUAÇU','SC',15641,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256682,9.00,8.00,8.00,8.00,9.00,10.13,7.00,5.00,7.00,216,NULL,201,'CIDADE JARDIM','S CARLOS','SP',258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256690,2.00,5.00,2.00,3.00,4.00,NULL,0.00,0.00,3.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256704,5.00,7.00,4.00,5.00,7.00,8.63,3.00,2.00,4.00,301,NULL,NULL,'PARAÍSO','CAÇADOR','SC',8659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256712,8.00,6.00,2.00,6.00,4.00,7.13,3.00,2.00,4.00,216,NULL,212,'CENTRO','PALOTINA','PR',8361,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5256720,2.00,5.00,1.00,2.00,4.00,NULL,2.00,4.00,3.00,233,NULL,216,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5256739,4.00,6.00,2.00,4.00,7.00,8.25,3.00,1.00,4.00,452,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',15088,129,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256747,5.00,8.00,3.00,3.00,9.00,7.50,2.00,3.00,4.00,215,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',10532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256763,3.00,4.00,1.00,6.00,4.00,NULL,0.00,1.00,4.00,216,NULL,238,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'OURO FINO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5256801,2.00,6.00,0.00,2.00,3.00,NULL,1.00,1.00,2.00,444,NULL,NULL,'PONTE DO IMARUIN','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256810,8.00,8.00,6.00,7.00,9.00,9.75,4.00,6.00,7.00,201,NULL,214,'CENTRO','TROMBUDO CENTRAL','SC',1490,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5256828,9.00,7.00,8.00,7.00,9.00,10.88,7.00,4.00,8.00,103,NULL,NULL,'VILA GOMES','CPO GRANDE','MS',513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256836,6.00,6.00,3.00,6.00,8.00,7.88,4.00,4.00,1.00,316,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',9301,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5256844,5.00,6.00,2.00,7.00,6.00,10.13,2.00,4.00,5.00,208,NULL,207,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256852,8.00,6.00,6.00,6.00,8.00,9.00,5.00,6.00,8.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',2158,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5256860,8.00,8.00,2.00,7.00,10.00,9.75,4.00,4.00,6.00,103,NULL,NULL,'MEDIANEIRA','STA MARIA','RS',3205,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5256887,4.00,5.00,2.00,6.00,6.00,7.88,2.00,3.00,3.00,203,NULL,201,'PINHEIRINHO','CRICIÚMA','SC',15756,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5256909,4.00,6.00,2.00,6.00,4.00,6.38,1.00,2.00,3.00,336,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256917,5.00,3.00,0.00,1.00,5.00,NULL,0.00,3.00,1.00,102,NULL,NULL,'VARGEM BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5256933,2.00,3.00,1.00,1.00,2.00,NULL,1.00,1.00,1.00,207,NULL,203,'CAPOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256968,6.00,5.00,5.00,5.00,6.00,9.00,3.00,3.00,2.00,202,NULL,235,'ALTO BOQUEIRÃO','CURITIBA','PR',10174,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5256976,7.00,5.00,2.00,7.00,4.00,NULL,2.00,3.00,3.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5256984,7.00,7.00,6.00,5.00,6.00,8.25,2.00,4.00,5.00,201,NULL,211,'COQUEIROS','FLORIANÓPOLIS','SC',6232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5256992,5.00,4.00,3.00,2.00,3.00,NULL,2.00,3.00,4.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257000,5.00,5.00,0.00,6.00,5.00,9.00,3.00,1.00,5.00,104,NULL,NULL,'CHACARA DAS PEDRAS','PTO ALEGRE','RS',11972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257018,5.00,3.00,2.00,1.00,4.00,NULL,1.00,2.00,2.00,551,NULL,NULL,'INTERIOR','VARGEM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5257034,4.00,6.00,1.00,4.00,5.00,7.13,2.00,1.00,4.00,238,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257042,4.00,4.00,1.00,4.00,7.00,NULL,1.00,3.00,2.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257069,7.00,6.00,5.00,7.00,9.00,11.25,5.00,7.00,6.00,103,NULL,NULL,'SAGUACU','JOINVILLE','SC',1450,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5257077,5.00,6.00,2.00,4.00,6.00,7.50,4.00,1.00,3.00,339,NULL,NULL,'ARMAÇAO PANT SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257085,2.00,5.00,2.00,3.00,2.00,NULL,0.00,1.00,2.00,208,NULL,238,'CENTRO','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5257093,3.00,3.00,0.00,5.00,5.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'ARIRIBA','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5257107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,601,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5257131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CRUZ','CASTRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5257140,9.00,7.00,1.00,7.00,7.00,10.50,4.00,4.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257158,4.00,6.00,3.00,6.00,5.00,7.88,1.00,2.00,6.00,213,NULL,238,'REÇADO','S JOSÉ','SC',14706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257166,3.00,6.00,0.00,4.00,5.00,NULL,3.00,4.00,0.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257174,4.00,3.00,3.00,6.00,5.00,6.75,3.00,2.00,4.00,601,NULL,214,'AMIZADE','JARAGUÁ SUL','SC',14938,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5257182,6.00,5.00,3.00,3.00,9.00,6.38,4.00,2.00,2.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257190,3.00,7.00,6.00,7.00,5.00,9.75,4.00,2.00,4.00,203,NULL,201,'MATINHO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5257204,5.00,5.00,1.00,5.00,3.00,NULL,1.00,2.00,6.00,203,NULL,214,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5257212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'PIRATININGA','NITERÓI','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5257220,6.00,5.00,2.00,3.00,6.00,7.88,0.00,0.00,4.00,9,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',15401,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5257239,5.00,7.00,5.00,3.00,5.00,4.13,5.00,2.00,2.00,340,NULL,NULL,'BUENOS AIRES','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5257247,3.00,2.00,0.00,3.00,1.00,NULL,0.00,1.00,1.00,339,NULL,NULL,'ARMAÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257255,4.00,7.00,0.00,5.00,7.00,4.88,2.00,4.00,4.00,333,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257263,6.00,5.00,4.00,5.00,8.00,8.63,1.00,5.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257271,4.00,7.00,1.00,5.00,5.00,NULL,0.00,1.00,2.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257298,9.00,9.00,4.00,6.00,9.00,8.25,4.00,6.00,8.00,103,NULL,NULL,'SANTA MARIA','UBERLÂNDIA','MG',1364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257301,5.00,7.00,3.00,7.00,6.00,7.50,4.00,4.00,4.00,421,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',10773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257310,5.00,4.00,3.00,5.00,5.00,7.13,3.00,3.00,4.00,404,NULL,NULL,'CENTRO','PALHOÇA','SC',15255,45,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257328,5.00,4.00,0.00,0.00,8.00,NULL,2.00,1.00,6.00,216,NULL,208,'SANTO ANDRE','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CAPAO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5257344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'RONDINHA','PTE ALTA NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5257360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'FAZENDA RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257379,0.00,2.00,0.00,2.00,0.00,NULL,2.00,0.00,0.00,339,NULL,NULL,'JARDIM JANAÍNA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD PAULISTANO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5257395,6.00,5.00,5.00,4.00,8.00,9.00,2.00,5.00,5.00,238,NULL,651,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',8146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257409,1.00,3.00,1.00,1.00,3.00,NULL,1.00,2.00,1.00,444,NULL,NULL,'SERTAO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257417,4.00,6.00,2.00,2.00,5.00,9.38,2.00,2.00,3.00,101,NULL,NULL,'SÃO MIGUEL','BIGUAÇU','SC',15520,101,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257433,5.00,4.00,0.00,4.00,4.00,NULL,3.00,2.00,1.00,215,NULL,216,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'NOVA VILA','PIRES RIO','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5257450,8.00,6.00,2.00,7.00,7.00,8.63,2.00,3.00,3.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257468,4.00,3.00,3.00,4.00,7.00,8.63,2.00,4.00,2.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257476,2.00,5.00,3.00,1.00,4.00,NULL,2.00,3.00,3.00,302,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257484,7.00,8.00,5.00,3.00,4.00,7.88,3.00,3.00,3.00,201,NULL,601,'FREI VITO','CHOPINZINHO','PR',9692,708,NULL,NULL,NULL,NULL,NULL,2,4),(20,5257492,3.00,5.00,1.00,4.00,4.00,NULL,0.00,2.00,4.00,327,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257506,4.00,5.00,4.00,6.00,5.00,8.25,4.00,4.00,2.00,317,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',12663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257514,3.00,5.00,1.00,3.00,5.00,NULL,1.00,2.00,1.00,301,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IPIRANGA','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5257549,2.00,6.00,4.00,1.00,7.00,9.75,3.00,1.00,3.00,319,NULL,NULL,'JARDIM AMÉRICA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5257557,4.00,4.00,3.00,6.00,4.00,7.50,3.00,3.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257565,4.00,6.00,0.00,7.00,8.00,7.13,5.00,4.00,5.00,103,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5257573,6.00,6.00,4.00,5.00,7.00,9.38,3.00,5.00,5.00,415,NULL,NULL,'XAXIM','CURITIBA','PR',6213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257581,3.00,7.00,2.00,3.00,2.00,NULL,3.00,4.00,2.00,503,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'SUDOESTE','CRUZEIRO','DF',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5257603,7.00,7.00,4.00,7.00,7.00,10.50,3.00,5.00,5.00,203,NULL,202,'CAMPINAS','S JOSÉ','SC',4966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257620,4.00,4.00,4.00,4.00,4.00,6.00,2.00,2.00,3.00,308,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257638,1.00,5.00,2.00,2.00,5.00,NULL,0.00,3.00,4.00,333,NULL,NULL,'ARMAÇÃO DO PANT SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257646,6.00,4.00,3.00,4.00,6.00,9.38,2.00,3.00,4.00,301,NULL,NULL,'HIGIENÓPOLIS','S PAULO','SP',12800,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257654,5.00,8.00,1.00,7.00,7.00,7.50,3.00,3.00,3.00,301,NULL,NULL,'JARDIM DAS AMÉRICAS','PATO BRANCO','PR',9988,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5257662,6.00,6.00,0.00,7.00,8.00,9.75,5.00,3.00,6.00,452,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257670,7.00,8.00,1.00,5.00,8.00,7.50,2.00,2.00,3.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257689,7.00,7.00,4.00,7.00,6.00,10.88,4.00,3.00,6.00,2,NULL,NULL,'BOQUEIRÃO','SANTOS','SP',4465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257697,9.00,8.00,7.00,7.00,9.00,10.50,8.00,6.00,7.00,203,NULL,220,'PITUBA','SALVADOR','BA',182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257700,4.00,5.00,0.00,5.00,5.00,NULL,1.00,0.00,1.00,211,NULL,235,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257719,7.00,8.00,2.00,5.00,5.00,7.50,1.00,5.00,3.00,336,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11486,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5257735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'PARQUE NOVO MUNDO','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5257751,6.00,4.00,3.00,2.00,9.00,7.50,2.00,5.00,4.00,211,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5257760,2.00,4.00,2.00,1.00,2.00,NULL,0.00,1.00,4.00,5,NULL,NULL,'VILA PEDRINI','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5257778,6.00,3.00,2.00,2.00,6.00,6.75,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5257786,3.00,6.00,1.00,4.00,8.00,7.88,3.00,2.00,3.00,451,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15295,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'CENTRO','ARAQUARI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5257808,4.00,7.00,0.00,5.00,5.00,NULL,0.00,1.00,3.00,2,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5257816,2.00,4.00,0.00,2.00,3.00,NULL,2.00,2.00,1.00,429,NULL,425,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5257832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'GUARITA','NOVA GUARITA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5257840,5.00,5.00,3.00,6.00,6.00,10.13,4.00,3.00,3.00,301,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5257859,4.00,6.00,2.00,5.00,7.00,7.50,0.00,4.00,2.00,301,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257867,6.00,7.00,5.00,5.00,8.00,9.00,3.00,5.00,5.00,104,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',5122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'SANTA BARBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5257883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'NUCLEO CELSO RAMOS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5257891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'QUARTA LINHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5257905,4.00,3.00,4.00,4.00,4.00,6.38,2.00,3.00,4.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257913,4.00,4.00,1.00,4.00,7.00,NULL,3.00,4.00,1.00,327,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257921,2.00,4.00,2.00,0.00,2.00,NULL,0.00,1.00,3.00,223,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257930,4.00,7.00,0.00,2.00,4.00,9.75,1.00,2.00,5.00,211,NULL,601,'VILA REZENDE','PIRACICABA','SP',15176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5257948,5.00,7.00,2.00,5.00,8.00,7.50,1.00,5.00,5.00,238,NULL,233,'ITACORUBI','FLORIANÓPOLIS','SC',11607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257956,4.00,4.00,0.00,2.00,2.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257964,7.00,6.00,5.00,3.00,7.00,8.25,4.00,4.00,5.00,102,NULL,NULL,'CENTRO','VERA C OESTE','PR',6747,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5257980,2.00,5.00,1.00,3.00,3.00,NULL,2.00,2.00,3.00,215,NULL,211,'LAGOA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5257999,5.00,7.00,0.00,5.00,10.00,11.63,5.00,4.00,7.00,320,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',7544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5258006,7.00,7.00,7.00,7.00,8.00,9.00,8.00,6.00,7.00,216,NULL,233,'SANTA HELENA','LAGES','SC',1202,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5258014,0.00,4.00,0.00,0.00,0.00,NULL,1.00,2.00,3.00,211,NULL,233,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(20,5258030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,NULL,'JARDIM NOVA YORQUE','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5258057,3.00,0.00,4.00,3.00,5.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5258065,6.00,7.00,5.00,8.00,7.00,11.25,7.00,5.00,7.00,211,NULL,215,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',1386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5258073,5.00,5.00,1.00,3.00,1.00,NULL,1.00,1.00,2.00,211,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5258090,8.00,5.00,4.00,5.00,7.00,9.75,3.00,5.00,7.00,601,NULL,214,'BUCAREIN','JOINVILLE','SC',7263,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5258111,2.00,4.00,1.00,7.00,6.00,9.75,3.00,3.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5258120,6.00,4.00,4.00,4.00,8.00,7.13,3.00,4.00,5.00,220,NULL,208,'VERA CRUZ','CRICIÚMA','SC',9906,282,NULL,NULL,NULL,NULL,NULL,4,5),(20,5258154,6.00,6.00,2.00,6.00,7.00,8.63,1.00,2.00,4.00,501,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',13008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5258197,1.00,3.00,3.00,2.00,5.00,NULL,1.00,2.00,4.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5258219,2.00,5.00,4.00,3.00,6.00,8.25,0.00,2.00,5.00,216,NULL,NULL,'PROGRESSO','PASSO TORRES','SC',15651,581,NULL,NULL,NULL,NULL,NULL,2,15),(20,5258243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5258251,3.00,5.00,3.00,2.00,4.00,4.50,2.00,2.00,4.00,101,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258294,4.00,5.00,2.00,4.00,4.00,NULL,2.00,1.00,4.00,101,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258316,8.00,6.00,7.00,7.00,9.00,7.50,5.00,7.00,8.00,208,NULL,238,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',1336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5258324,4.00,5.00,2.00,4.00,6.00,9.00,5.00,3.00,1.00,201,NULL,211,'MATRIZ','VIDEIRA','SC',15461,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5258332,6.00,6.00,1.00,1.00,6.00,8.63,2.00,4.00,5.00,216,NULL,207,'CENTRO','CHAPECÓ','SC',14284,547,NULL,684,NULL,NULL,NULL,4,4),(20,5258340,8.00,7.00,0.00,7.00,5.00,11.25,1.00,4.00,4.00,220,NULL,208,'SÃO JOÃO','ITAJAÍ','SC',9157,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5258367,4.00,8.00,1.00,7.00,9.00,9.00,3.00,5.00,5.00,108,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',7197,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5258375,6.00,4.00,3.00,6.00,6.00,9.75,1.00,2.00,2.00,104,NULL,NULL,'PROTÁSIO ALVES','PTO ALEGRE','RS',11939,304,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258383,4.00,3.00,0.00,1.00,4.00,NULL,1.00,2.00,1.00,339,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258391,5.00,6.00,1.00,6.00,6.00,7.13,2.00,3.00,3.00,203,NULL,211,'SANTANA','PTO ALEGRE','RS',14757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5258405,4.00,3.00,1.00,3.00,5.00,NULL,2.00,2.00,3.00,551,NULL,NULL,'INTERIOR','IPIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5258413,8.00,7.00,5.00,8.00,10.00,9.75,4.00,5.00,7.00,415,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',1577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5258421,3.00,6.00,2.00,3.00,3.00,NULL,3.00,4.00,4.00,332,NULL,NULL,'NOSSA SENHORA DO ROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258448,4.00,4.00,0.00,5.00,4.00,NULL,0.00,2.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5258472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5258480,2.00,3.00,0.00,2.00,3.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'CENTRO','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258499,4.00,4.00,3.00,6.00,5.00,7.50,2.00,2.00,6.00,501,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258502,3.00,2.00,1.00,1.00,0.00,NULL,2.00,0.00,0.00,501,NULL,NULL,'CENTRO','MASSARANDUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5258510,5.00,6.00,2.00,1.00,4.00,NULL,1.00,1.00,4.00,653,NULL,651,'SANTA BARBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5258529,4.00,6.00,3.00,3.00,7.00,7.50,0.00,0.00,6.00,404,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',15968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258537,4.00,5.00,1.00,4.00,6.00,7.50,2.00,2.00,5.00,453,NULL,NULL,'JD SANTA ROSA II','S JOSÉ R PRETO','SP',14755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5258545,5.00,7.00,2.00,8.00,6.00,8.63,4.00,4.00,5.00,201,NULL,207,'PETROPOLIS','NOVO HAMBURGO','RS',5472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5258570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'PARQUE MARIANE','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5258588,1.00,5.00,0.00,3.00,3.00,NULL,2.00,0.00,3.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5258596,3.00,2.00,1.00,2.00,0.00,NULL,2.00,1.00,1.00,2,NULL,NULL,'CENTRO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5258600,6.00,6.00,3.00,2.00,5.00,10.13,1.00,6.00,4.00,2,NULL,NULL,'RIO LADEIA','ANITÁPOLIS','SC',9651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5258618,3.00,5.00,2.00,3.00,2.00,NULL,1.00,3.00,4.00,2,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258626,2.00,7.00,2.00,7.00,7.00,8.25,2.00,5.00,6.00,428,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5258642,4.00,3.00,2.00,7.00,5.00,NULL,2.00,0.00,2.00,103,NULL,NULL,'JD VIVENDAS','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5258669,7.00,7.00,7.00,7.00,9.00,8.63,3.00,4.00,5.00,220,NULL,216,'JD SANTA RITA','FERNANDÓPOLIS','SP',2862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5258677,2.00,4.00,0.00,3.00,2.00,NULL,1.00,1.00,2.00,224,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258693,4.00,6.00,2.00,6.00,4.00,7.13,1.00,3.00,2.00,336,NULL,NULL,'DAMHA II','S JOSÉ R PRETO','SP',16079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5258715,7.00,7.00,2.00,6.00,9.00,7.88,0.00,4.00,5.00,201,NULL,601,'GUIOMAR','ANTÔNIO CARLOS','SC',7929,551,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258723,3.00,3.00,2.00,4.00,3.00,NULL,1.00,2.00,5.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5258731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JD ACLIMACAO','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5258758,1.00,4.00,0.00,2.00,3.00,NULL,0.00,2.00,0.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258766,4.00,5.00,3.00,3.00,7.00,7.88,3.00,3.00,3.00,103,NULL,NULL,'SÃO CRITÓVÃO','CHAPECÓ','SC',13933,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5258774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5258782,7.00,8.00,4.00,5.00,7.00,7.50,2.00,7.00,5.00,331,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7503,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5258804,5.00,3.00,1.00,6.00,5.00,NULL,0.00,0.00,2.00,109,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258820,5.00,7.00,4.00,6.00,7.00,10.13,3.00,5.00,5.00,201,NULL,601,'VÁRZEA','LAGES','SC',6178,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5258839,2.00,5.00,1.00,1.00,5.00,NULL,1.00,1.00,5.00,102,NULL,NULL,'SAG CORAÇÃO DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5258847,4.00,3.00,0.00,1.00,7.00,NULL,0.00,1.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258855,5.00,6.00,3.00,5.00,5.00,11.25,1.00,3.00,5.00,601,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',12581,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5258863,7.00,8.00,3.00,4.00,8.00,8.63,4.00,4.00,6.00,207,NULL,201,'KOBRASOL','S JOSÉ','SC',4157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258871,5.00,4.00,3.00,1.00,5.00,NULL,2.00,2.00,3.00,340,NULL,NULL,'CENTRO','VARGEÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5258880,3.00,3.00,2.00,2.00,3.00,NULL,1.00,2.00,4.00,324,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5258898,6.00,6.00,1.00,3.00,8.00,10.13,4.00,6.00,4.00,5,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',8509,276,NULL,NULL,NULL,NULL,NULL,4,1),(20,5258901,6.00,6.00,2.00,6.00,8.00,7.88,2.00,3.00,6.00,415,NULL,NULL,'RECANTO REAL','S JOSÉ R PRETO','SP',8009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5258910,3.00,3.00,0.00,2.00,5.00,NULL,0.00,1.00,1.00,303,NULL,NULL,'LAGUNA MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5258928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5258936,5.00,3.00,2.00,3.00,9.00,NULL,2.00,0.00,3.00,316,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258944,7.00,8.00,1.00,5.00,7.00,7.88,1.00,4.00,5.00,220,NULL,601,'CENTRO','MANGUEIRINHA','PR',9603,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5258952,5.00,6.00,5.00,5.00,4.00,6.75,4.00,3.00,6.00,601,NULL,202,'FORQUILHINHA','S JOSÉ','SC',9338,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5258960,6.00,7.00,6.00,6.00,9.00,10.88,6.00,7.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5258979,2.00,4.00,3.00,6.00,3.00,NULL,2.00,1.00,4.00,425,NULL,423,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5258987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PALMITINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5258995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IGREJINHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5259002,4.00,6.00,1.00,5.00,3.00,NULL,2.00,1.00,5.00,317,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259029,4.00,5.00,3.00,3.00,5.00,6.75,2.00,2.00,5.00,102,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',15477,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259053,3.00,4.00,2.00,5.00,4.00,NULL,0.00,2.00,0.00,327,NULL,NULL,'JD CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259061,7.00,6.00,6.00,7.00,9.00,9.75,5.00,5.00,6.00,207,NULL,201,'INTERIOR','CERRO LARGO','RS',3717,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5259070,3.00,4.00,0.00,6.00,4.00,9.75,3.00,3.00,3.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259088,2.00,3.00,2.00,2.00,4.00,NULL,0.00,0.00,3.00,453,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259100,7.00,6.00,2.00,3.00,8.00,3.75,3.00,5.00,4.00,3,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259118,4.00,3.00,2.00,5.00,2.00,NULL,0.00,3.00,2.00,339,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259134,4.00,4.00,2.00,1.00,3.00,NULL,0.00,1.00,0.00,317,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259142,6.00,7.00,2.00,7.00,7.00,10.13,4.00,7.00,5.00,318,NULL,NULL,'JARDIM MIRANDA','CAMPINAS','SP',4018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259150,5.00,6.00,2.00,6.00,5.00,7.88,4.00,1.00,2.00,216,NULL,202,'PENHA','LAGES','SC',13721,538,NULL,461,NULL,NULL,NULL,4,9),(20,5259177,2.00,6.00,3.00,6.00,7.00,7.50,2.00,0.00,2.00,444,NULL,NULL,'JARDIM ITAGUAÇU','FLORIANÓPOLIS','SC',14606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259185,4.00,4.00,0.00,3.00,5.00,NULL,1.00,3.00,3.00,202,NULL,213,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5259193,6.00,4.00,1.00,6.00,7.00,7.50,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','CONSTANTINA','RS',13675,3592,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259207,2.00,5.00,2.00,4.00,3.00,NULL,1.00,2.00,2.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259215,6.00,6.00,2.00,8.00,8.00,11.25,2.00,5.00,5.00,429,NULL,428,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',8270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259223,6.00,7.00,1.00,7.00,9.00,9.75,3.00,6.00,5.00,102,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',6904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259231,9.00,8.00,2.00,7.00,10.00,10.13,2.00,6.00,7.00,202,NULL,601,'COSTA E SILVA','JOINVILLE','SC',2609,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5259258,8.00,8.00,4.00,4.00,7.00,9.00,6.00,6.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2370,1238,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259274,8.00,5.00,3.00,4.00,7.00,9.75,3.00,2.00,7.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',8388,2900,NULL,NULL,NULL,NULL,NULL,2,4),(20,5259282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5259290,5.00,4.00,3.00,3.00,5.00,8.25,4.00,4.00,3.00,233,NULL,653,'GUILHERME RAUEN','STA CECÍLIA','SC',13763,374,NULL,NULL,NULL,NULL,NULL,2,9),(20,5259304,5.00,3.00,0.00,4.00,6.00,6.00,1.00,5.00,4.00,5,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',16215,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5259320,8.00,6.00,1.00,4.00,9.00,8.63,1.00,5.00,6.00,101,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',8935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259339,6.00,3.00,2.00,6.00,6.00,7.50,3.00,2.00,4.00,203,NULL,601,'FORTALEZA','BLUMENAU','SC',14784,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5259347,4.00,7.00,3.00,2.00,3.00,NULL,2.00,2.00,6.00,208,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5259355,4.00,3.00,0.00,5.00,6.00,NULL,3.00,1.00,2.00,104,NULL,NULL,'SCHREIBER','SALETE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO FRANCISCO','STO ANTÔNIO PLATINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5259371,2.00,6.00,2.00,4.00,3.00,NULL,1.00,1.00,2.00,220,NULL,208,'SAO LUIZ','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5259380,6.00,4.00,2.00,4.00,7.00,8.63,2.00,2.00,4.00,103,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',10020,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5259398,6.00,6.00,0.00,3.00,6.00,NULL,2.00,1.00,3.00,317,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259401,3.00,5.00,0.00,4.00,5.00,NULL,0.00,2.00,3.00,652,NULL,651,'SÃO SEBASTIÃO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5259410,8.00,7.00,1.00,3.00,6.00,6.75,5.00,3.00,7.00,332,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',8328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259428,3.00,4.00,2.00,3.00,3.00,NULL,2.00,3.00,3.00,551,NULL,NULL,'NOSSA SR DE LOURDES','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5259436,8.00,6.00,6.00,6.00,8.00,9.75,3.00,4.00,5.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3107,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259444,4.00,4.00,0.00,4.00,3.00,NULL,0.00,2.00,3.00,308,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259452,4.00,5.00,1.00,5.00,8.00,4.50,3.00,2.00,4.00,108,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PIO X','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5259479,7.00,5.00,3.00,2.00,5.00,6.75,2.00,4.00,5.00,238,NULL,208,'SACO GRANDE','FLORIANÓPOLIS','SC',13590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5259495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM LONDRILAR','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5259509,4.00,5.00,0.00,2.00,1.00,NULL,2.00,2.00,1.00,316,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259517,6.00,4.00,2.00,4.00,2.00,NULL,4.00,4.00,3.00,652,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5259533,5.00,6.00,1.00,4.00,7.00,6.38,3.00,3.00,3.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5259541,5.00,7.00,2.00,7.00,5.00,8.63,1.00,3.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259550,5.00,7.00,2.00,7.00,6.00,8.63,4.00,5.00,5.00,429,NULL,426,'ITACORUBI','FLORIANÓPOLIS','SC',8182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5259576,5.00,5.00,4.00,3.00,5.00,NULL,0.00,1.00,2.00,5,NULL,NULL,'JARDIM SÃO JORGE','JALES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259584,6.00,6.00,6.00,4.00,6.00,6.00,3.00,5.00,3.00,202,NULL,235,'BELA VISTA I','S JOSÉ','SC',11381,394,NULL,152,NULL,NULL,NULL,4,1),(20,5259592,2.00,6.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,316,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259606,3.00,7.00,5.00,7.00,6.00,9.38,4.00,6.00,5.00,453,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259614,2.00,4.00,3.00,6.00,5.00,6.38,3.00,3.00,6.00,216,NULL,215,'JARDIM DOS JURITIS','RIBEIRÃO PRETO','SP',11879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259622,1.00,4.00,1.00,3.00,3.00,NULL,1.00,1.00,3.00,203,NULL,214,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5259649,2.00,4.00,1.00,2.00,5.00,NULL,2.00,2.00,2.00,225,NULL,NULL,'ZONA RURAL','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5259657,8.00,5.00,5.00,4.00,5.00,8.25,3.00,2.00,6.00,503,NULL,NULL,'IPIRANGA','S JOSÉ','SC',8869,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259673,7.00,5.00,1.00,6.00,7.00,10.88,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','SOMBRIO','SC',6287,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5259681,6.00,6.00,2.00,8.00,6.00,7.50,4.00,7.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5259703,6.00,7.00,4.00,5.00,7.00,9.75,5.00,3.00,4.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',8726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259720,2.00,1.00,0.00,3.00,3.00,NULL,1.00,2.00,2.00,211,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259738,4.00,4.00,3.00,4.00,6.00,6.00,2.00,3.00,5.00,207,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259746,5.00,5.00,4.00,5.00,6.00,8.25,1.00,4.00,3.00,302,NULL,NULL,'SERTÃO','STO AMARO IMPERATRIZ','SC',13166,67,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5259762,5.00,7.00,2.00,7.00,7.00,12.00,4.00,7.00,3.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',8419,112,NULL,NULL,NULL,NULL,NULL,5,1),(20,5259770,1.00,3.00,0.00,1.00,3.00,NULL,3.00,2.00,3.00,238,NULL,208,'CENTRO','S CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5259789,6.00,6.00,1.00,7.00,6.00,8.25,2.00,2.00,4.00,453,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',12799,89,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259797,6.00,7.00,5.00,4.00,8.00,7.88,0.00,3.00,6.00,5,NULL,NULL,'CENTRO','GAROPABA','SC',8489,275,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259800,5.00,4.00,0.00,4.00,6.00,10.88,0.00,4.00,3.00,5,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',14957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259819,8.00,7.00,7.00,7.00,8.00,9.00,3.00,4.00,8.00,216,NULL,215,'CARVOEIRA','FLORIANÓPOLIS','SC',1943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259835,4.00,4.00,0.00,4.00,3.00,NULL,1.00,2.00,4.00,108,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259843,7.00,6.00,1.00,4.00,7.00,8.25,2.00,2.00,5.00,238,NULL,652,'COQUEIROS','FLORIANÓPOLIS','SC',12888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259851,7.00,7.00,4.00,4.00,8.00,8.25,3.00,4.00,6.00,238,NULL,208,'AGRONOMICA','FLORIANÓPOLIS','SC',5847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259878,4.00,7.00,1.00,3.00,2.00,NULL,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PASSO D AREIA','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5259894,4.00,6.00,2.00,6.00,5.00,7.88,1.00,3.00,7.00,108,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',13373,246,NULL,NULL,NULL,NULL,NULL,4,16),(20,5259908,9.00,6.00,3.00,7.00,10.00,9.00,3.00,4.00,8.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',3041,1502,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259916,8.00,8.00,4.00,5.00,8.00,9.00,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4687,2050,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'JARDIM IRAJÁ','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5259932,8.00,8.00,5.00,7.00,10.00,10.13,4.00,6.00,7.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',1152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259940,7.00,6.00,5.00,5.00,7.00,10.88,4.00,3.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259967,7.00,6.00,2.00,6.00,9.00,13.13,2.00,5.00,6.00,9,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',4152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5259975,4.00,7.00,3.00,5.00,7.00,9.00,4.00,3.00,5.00,211,NULL,233,'SANTO ANTONIO','CELSO RAMOS','SC',10306,310,NULL,NULL,NULL,NULL,NULL,2,7),(20,5259983,6.00,7.00,6.00,6.00,8.00,7.88,4.00,7.00,5.00,104,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',3857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5259991,7.00,9.00,5.00,5.00,7.00,11.25,4.00,5.00,7.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',4202,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260000,5.00,6.00,3.00,3.00,4.00,6.38,2.00,2.00,3.00,301,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260019,2.00,5.00,1.00,4.00,4.00,NULL,1.00,1.00,4.00,404,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260035,1.00,6.00,5.00,3.00,2.00,NULL,2.00,3.00,4.00,333,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CARAZINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5260051,5.00,6.00,3.00,4.00,6.00,6.38,1.00,4.00,5.00,104,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',10212,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260060,4.00,6.00,0.00,4.00,5.00,NULL,0.00,1.00,4.00,415,NULL,NULL,'BREJARU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,651,NULL,653,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,'S','S','S',5,15),(20,5260094,8.00,7.00,3.00,7.00,10.00,8.63,5.00,5.00,5.00,453,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',4041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5260108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CALIFÓRNIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5260116,2.00,6.00,2.00,2.00,8.00,NULL,2.00,3.00,3.00,502,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260132,5.00,6.00,5.00,4.00,9.00,11.25,7.00,5.00,6.00,318,NULL,NULL,'TABULEIRO','ITAPEMA','SC',4704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260159,3.00,4.00,1.00,3.00,4.00,NULL,4.00,2.00,3.00,331,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260167,6.00,6.00,3.00,6.00,9.00,9.38,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',11049,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5260175,6.00,6.00,1.00,4.00,8.00,9.00,1.00,3.00,7.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',10568,3242,NULL,NULL,NULL,NULL,NULL,4,8),(20,5260183,8.00,6.00,4.00,4.00,5.00,6.00,4.00,4.00,3.00,203,NULL,202,'HAUER','CURITIBA','PR',8063,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5260191,9.00,8.00,7.00,8.00,10.00,10.50,5.00,6.00,8.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',368,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5260213,5.00,7.00,1.00,7.00,5.00,12.00,1.00,4.00,2.00,211,NULL,233,'UNIVERSITÁRIO','CRICIÚMA','SC',10307,311,NULL,NULL,NULL,NULL,NULL,4,5),(20,5260221,0.00,4.00,1.00,3.00,4.00,NULL,3.00,1.00,2.00,423,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260248,5.00,4.00,2.00,6.00,7.00,9.00,2.00,5.00,5.00,201,NULL,211,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5260256,7.00,7.00,3.00,6.00,9.00,7.88,2.00,3.00,7.00,104,NULL,NULL,'CENTRO','ANITÁPOLIS','SC',6021,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,423,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5260299,7.00,6.00,3.00,5.00,6.00,8.25,2.00,3.00,7.00,336,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5260302,3.00,7.00,4.00,7.00,7.00,NULL,0.00,3.00,5.00,425,NULL,423,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5260310,6.00,5.00,1.00,5.00,2.00,NULL,4.00,2.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5260329,3.00,5.00,2.00,3.00,3.00,NULL,2.00,2.00,3.00,308,NULL,NULL,'KOBRASOL DOIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5260337,3.00,3.00,0.00,6.00,2.00,NULL,0.00,2.00,2.00,404,NULL,NULL,'P IMBUHY','CACHOEIRINHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260345,3.00,6.00,4.00,5.00,4.00,7.13,2.00,2.00,4.00,332,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260353,9.00,7.00,1.00,8.00,11.00,7.88,5.00,3.00,8.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',3367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5260361,4.00,8.00,5.00,5.00,7.00,7.50,3.00,3.00,6.00,317,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',7812,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260370,5.00,6.00,1.00,5.00,5.00,7.50,3.00,4.00,5.00,203,NULL,202,'CAMPECHE','FLORIANÓPOLIS','SC',13640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5260388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA LALAU','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5260396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5260400,4.00,6.00,1.00,4.00,6.00,9.00,2.00,3.00,4.00,301,NULL,NULL,'SANTA MARIA','BENEDITO NOVO','SC',14191,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5260418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5260434,5.00,2.00,0.00,5.00,5.00,NULL,4.00,1.00,5.00,201,NULL,233,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5260442,7.00,6.00,3.00,7.00,10.00,9.38,3.00,7.00,4.00,415,NULL,NULL,'VIGILATO PEREIRA','UBERLÂNDIA','MG',4232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5260450,6.00,4.00,1.00,7.00,7.00,7.88,3.00,4.00,3.00,238,NULL,208,'TERMAS','GRAVATAL','SC',13831,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5260469,4.00,4.00,3.00,3.00,3.00,NULL,3.00,1.00,3.00,453,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260477,5.00,4.00,3.00,4.00,3.00,NULL,3.00,2.00,6.00,103,NULL,NULL,'CENTRO','BOA VISTA','RR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'IDEAL','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5260493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE SÃO DOMINGOS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5260507,4.00,3.00,2.00,6.00,4.00,NULL,0.00,2.00,4.00,216,NULL,214,'DOM BOSCO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5260515,7.00,4.00,2.00,5.00,5.00,7.50,2.00,4.00,5.00,601,NULL,216,'BOM RETIRO','JOINVILLE','SC',12205,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5260523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5260531,3.00,3.00,2.00,3.00,4.00,NULL,1.00,3.00,2.00,301,NULL,NULL,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260540,9.00,8.00,2.00,7.00,11.00,8.63,3.00,5.00,6.00,415,NULL,NULL,'ANITA GARIBALDI','ERECHIM','RS',2099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5260558,7.00,4.00,1.00,1.00,6.00,5.25,1.00,3.00,3.00,551,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5260574,0.00,0.00,4.00,3.00,3.00,NULL,2.00,1.00,1.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260582,5.00,3.00,2.00,5.00,6.00,6.75,3.00,4.00,4.00,201,NULL,233,'MACUCO','S JOÃO OESTE','SC',14525,1029,NULL,387,NULL,NULL,NULL,4,4),(20,5260590,5.00,3.00,1.00,5.00,5.00,NULL,1.00,1.00,1.00,203,NULL,202,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5260604,4.00,6.00,2.00,1.00,3.00,NULL,2.00,3.00,4.00,551,NULL,NULL,'INTERIOR','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5260612,3.00,4.00,0.00,2.00,6.00,NULL,4.00,2.00,3.00,336,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260620,6.00,6.00,2.00,7.00,8.00,9.00,2.00,4.00,7.00,103,NULL,NULL,'SÃO PEDRO','APIÚNA','SC',5655,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5260639,3.00,5.00,2.00,6.00,7.00,10.13,3.00,1.00,5.00,110,NULL,NULL,'AREIAS','S JOSÉ','SC',13915,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5260655,5.00,6.00,3.00,5.00,10.00,9.75,1.00,3.00,2.00,316,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',11268,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260663,5.00,8.00,1.00,2.00,7.00,8.63,3.00,1.00,4.00,501,NULL,NULL,'BARREIROS','S JOSÉ','SC',13580,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260671,2.00,7.00,2.00,4.00,7.00,9.38,0.00,1.00,5.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',14494,294,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260680,5.00,7.00,4.00,3.00,4.00,9.38,2.00,4.00,4.00,224,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12506,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'BUTIATUVINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5260701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'CENTRO','GUABIRUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5260710,2.00,3.00,1.00,3.00,5.00,NULL,2.00,2.00,2.00,318,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260728,3.00,7.00,3.00,5.00,3.00,NULL,3.00,4.00,2.00,222,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5260736,3.00,6.00,3.00,4.00,6.00,8.25,0.00,3.00,5.00,653,NULL,601,'CARVOEIRA','FLORIANÓPOLIS','SC',11565,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260744,3.00,4.00,1.00,3.00,4.00,NULL,0.00,2.00,4.00,404,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5260760,8.00,7.00,7.00,7.00,7.00,7.88,3.00,4.00,7.00,103,NULL,NULL,'SANTA CLARA','QUATRO PONTES','PR',2734,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260779,4.00,6.00,1.00,4.00,6.00,6.00,2.00,3.00,3.00,5,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260787,3.00,4.00,4.00,6.00,5.00,7.50,2.00,3.00,3.00,421,NULL,425,'BALNEÁRIO','FLORIANÓPOLIS','SC',15807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5260795,2.00,5.00,1.00,2.00,5.00,NULL,2.00,0.00,3.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260809,9.00,7.00,5.00,7.00,8.00,9.38,5.00,7.00,9.00,103,NULL,NULL,'JARDIM STATUS','PARANAVAÍ','PR',1031,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5260817,4.00,5.00,2.00,7.00,3.00,NULL,4.00,2.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5260825,8.00,6.00,3.00,7.00,8.00,8.25,3.00,8.00,7.00,201,NULL,208,'JOÃO PAULO','FLORIANÓPOLIS','SC',3888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5260833,4.00,5.00,4.00,7.00,9.00,6.38,0.00,0.00,3.00,203,NULL,214,'CENTRO','LARANJEIRAS SUL','PR',13627,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5260841,3.00,3.00,1.00,0.00,5.00,NULL,2.00,2.00,2.00,317,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5260850,2.00,3.00,1.00,6.00,9.00,NULL,0.00,1.00,3.00,653,NULL,652,'GOLFINHOS','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5260876,4.00,7.00,3.00,5.00,7.00,7.50,1.00,2.00,3.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13264,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,208,'SESC SUZANO','SUZANO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5260892,5.00,2.00,2.00,3.00,8.00,8.63,2.00,1.00,5.00,503,NULL,NULL,'BARREIROS','S JOSÉ','SC',14281,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260906,4.00,6.00,5.00,7.00,6.00,8.25,1.00,2.00,2.00,318,NULL,NULL,'BELA VISTA','S JOSÉ','SC',14917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5260922,6.00,6.00,5.00,3.00,8.00,6.75,4.00,2.00,5.00,108,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',11079,185,NULL,NULL,NULL,NULL,NULL,4,1),(20,5260930,4.00,6.00,3.00,4.00,3.00,NULL,0.00,2.00,4.00,211,NULL,216,'VILA NOVA','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5260949,4.00,3.00,1.00,3.00,4.00,NULL,3.00,0.00,2.00,102,NULL,NULL,'CENTRO','AMPÉRE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5260957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,207,'VILA MARIANA','GOV VALADARES','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5260965,0.00,3.00,1.00,0.00,0.00,NULL,1.00,2.00,3.00,333,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5260973,4.00,6.00,2.00,6.00,4.00,9.00,0.00,3.00,1.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15839,306,NULL,NULL,NULL,NULL,NULL,2,1),(20,5260981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA DAS FLORES','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5260990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'JD PAU PRETO','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5261007,2.00,8.00,2.00,4.00,4.00,8.25,2.00,2.00,5.00,320,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261015,5.00,4.00,1.00,2.00,3.00,NULL,1.00,3.00,5.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261023,4.00,7.00,4.00,5.00,7.00,7.88,5.00,5.00,5.00,238,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',8178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261031,3.00,0.00,0.00,1.00,2.00,NULL,1.00,3.00,2.00,426,NULL,428,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261040,6.00,6.00,1.00,5.00,7.00,NULL,0.00,2.00,1.00,327,NULL,NULL,'DERR','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5261058,5.00,6.00,5.00,4.00,4.00,6.38,3.00,4.00,5.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261066,5.00,5.00,2.00,5.00,7.00,7.88,1.00,2.00,3.00,452,NULL,NULL,'AGUA FRIA','S PAULO','SP',13754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,651,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5261090,4.00,4.00,1.00,4.00,7.00,8.63,2.00,1.00,4.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',16077,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5261104,5.00,5.00,2.00,5.00,8.00,7.13,0.00,4.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14432,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261112,1.00,1.00,1.00,2.00,2.00,NULL,0.00,0.00,1.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261120,8.00,8.00,3.00,3.00,8.00,8.63,4.00,6.00,6.00,220,NULL,235,'CON CON','SOMBRIO','SC',4547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261139,3.00,5.00,1.00,3.00,6.00,NULL,1.00,1.00,2.00,5,NULL,NULL,'JARDIM CIDADE DE F','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261147,4.00,4.00,1.00,7.00,6.00,7.13,3.00,2.00,4.00,214,NULL,213,'JARDIM PAULISTA','OURINHOS','SP',12239,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5261155,5.00,7.00,6.00,7.00,6.00,7.50,4.00,5.00,7.00,203,NULL,214,'SANTO ANTÔNIO','JOINVILLE','SC',6164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261163,4.00,3.00,1.00,3.00,7.00,NULL,1.00,3.00,4.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261171,5.00,4.00,1.00,6.00,8.00,6.75,2.00,3.00,1.00,222,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',15371,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261198,1.00,6.00,2.00,3.00,2.00,NULL,2.00,2.00,3.00,238,NULL,220,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'AGENOR DE CAMPOS','MONGAGUÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5261210,6.00,5.00,2.00,6.00,6.00,7.88,4.00,2.00,5.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261228,9.00,7.00,7.00,5.00,8.00,8.63,7.00,6.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1133,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5261236,7.00,8.00,5.00,3.00,8.00,9.38,3.00,5.00,5.00,3,NULL,NULL,'PRAIA MOLE','FLORIANÓPOLIS','SC',5133,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261244,3.00,4.00,3.00,4.00,5.00,NULL,2.00,3.00,1.00,104,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5261260,3.00,4.00,1.00,6.00,1.00,NULL,0.00,2.00,2.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261279,0.00,3.00,0.00,6.00,5.00,NULL,0.00,1.00,1.00,238,NULL,201,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5261287,6.00,8.00,1.00,3.00,8.00,10.13,6.00,5.00,4.00,444,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',6636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261295,8.00,5.00,0.00,7.00,6.00,8.63,2.00,2.00,5.00,333,NULL,NULL,'CENTRO','PRES PRUDENTE','SP',10487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261325,2.00,4.00,1.00,3.00,3.00,NULL,1.00,1.00,1.00,5,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261333,9.00,8.00,5.00,6.00,9.00,10.50,7.00,3.00,6.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',1937,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5261341,2.00,5.00,1.00,5.00,7.00,8.25,2.00,3.00,4.00,109,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261350,5.00,6.00,0.00,7.00,6.00,10.88,3.00,2.00,4.00,103,NULL,NULL,'STO ANTONIO DE PÁDUA','TUBARÃO','SC',11135,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5261368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'VILA CLEMENTINO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5261376,7.00,6.00,5.00,7.00,7.00,7.88,2.00,3.00,4.00,202,NULL,213,'JARDIM CARVALHO','PNT GROSSA','PR',8295,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5261384,9.00,6.00,8.00,7.00,10.00,9.00,8.00,5.00,7.00,203,NULL,235,'KOBRASOL','S JOSÉ','SC',570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261414,3.00,3.00,0.00,5.00,3.00,NULL,0.00,3.00,2.00,404,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261422,3.00,2.00,1.00,4.00,4.00,NULL,0.00,1.00,2.00,5,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261430,4.00,1.00,0.00,1.00,4.00,NULL,0.00,1.00,2.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261449,8.00,7.00,1.00,7.00,4.00,9.00,5.00,3.00,5.00,303,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',9322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261457,4.00,6.00,2.00,4.00,6.00,8.63,3.00,6.00,2.00,316,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',14260,215,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5261473,3.00,3.00,1.00,1.00,3.00,NULL,1.00,2.00,3.00,501,NULL,NULL,'GENERAL CADORNA','NOVA ALVORADA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261481,8.00,6.00,5.00,7.00,9.00,11.25,3.00,3.00,6.00,103,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',2810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261490,1.00,5.00,2.00,7.00,4.00,NULL,1.00,2.00,1.00,320,NULL,NULL,'VILA VITORIA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261503,4.00,6.00,4.00,2.00,5.00,9.00,2.00,2.00,5.00,317,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',14031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261511,5.00,6.00,1.00,7.00,5.00,9.00,1.00,3.00,4.00,452,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261520,2.00,5.00,2.00,2.00,5.00,NULL,0.00,2.00,3.00,324,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261538,3.00,4.00,1.00,4.00,6.00,NULL,2.00,1.00,4.00,211,NULL,652,'CAÇADOR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5261546,7.00,7.00,8.00,7.00,9.00,10.13,7.00,7.00,7.00,235,NULL,203,'CENTRO','LAGES','SC',584,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5261562,7.00,7.00,2.00,6.00,8.00,7.88,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6175,2451,NULL,NULL,NULL,NULL,NULL,4,3),(20,5261570,7.00,7.00,2.00,7.00,7.00,7.88,3.00,4.00,8.00,207,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',6163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261589,7.00,5.00,1.00,6.00,5.00,7.88,0.00,3.00,5.00,238,NULL,208,'KOBRASOL','S JOSÉ','SC',13009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261597,7.00,9.00,5.00,6.00,8.00,9.00,2.00,3.00,8.00,103,NULL,NULL,'CENTRO','PAPANDUVA','SC',3144,1538,NULL,NULL,NULL,NULL,NULL,4,17),(20,5261600,4.00,5.00,1.00,0.00,3.00,NULL,0.00,1.00,1.00,652,NULL,653,'ARIZONA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5261619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5261627,4.00,3.00,0.00,3.00,2.00,NULL,1.00,0.00,3.00,651,NULL,NULL,'CENTRO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5261635,4.00,6.00,2.00,4.00,5.00,7.13,2.00,5.00,4.00,404,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15074,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261643,9.00,8.00,6.00,7.00,9.00,8.63,6.00,5.00,8.00,203,NULL,201,'JARDIM UNIVERSITÁRIO','MARINGÁ','PR',1123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261651,2.00,4.00,0.00,4.00,5.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261660,8.00,5.00,5.00,5.00,6.00,9.00,0.00,2.00,5.00,340,NULL,NULL,'JARDIM AMÉRICA','RIBEIRÃO PRETO','SP',9520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261678,9.00,6.00,6.00,8.00,8.00,11.25,4.00,8.00,6.00,216,NULL,203,'IRIRIÚ','JOINVILLE','SC',1136,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5261686,2.00,2.00,1.00,4.00,4.00,NULL,2.00,2.00,2.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261694,1.00,1.00,4.00,3.00,6.00,NULL,2.00,1.00,3.00,215,NULL,211,'JARDIM CIDADE ALTA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5261716,3.00,3.00,0.00,5.00,4.00,NULL,1.00,2.00,1.00,201,NULL,NULL,'SAO FRANCISCO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5261724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5261732,4.00,5.00,1.00,4.00,4.00,4.88,3.00,5.00,2.00,326,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261740,5.00,6.00,0.00,4.00,3.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'JARDIM AMÉRICA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5261759,7.00,6.00,3.00,7.00,8.00,8.25,4.00,5.00,5.00,203,NULL,202,'CAPOEIRAS','FLORIANÓPOLIS','SC',4597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5261775,7.00,7.00,2.00,4.00,6.00,8.63,3.00,5.00,6.00,303,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',8305,NULL,NULL,NULL,NULL,NULL,NULL,1,4),(20,5261783,6.00,4.00,0.00,3.00,6.00,NULL,1.00,1.00,3.00,104,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261791,1.00,7.00,3.00,2.00,4.00,6.00,2.00,3.00,4.00,104,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5261805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5261813,4.00,6.00,2.00,4.00,6.00,7.88,4.00,2.00,3.00,324,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14526,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261821,7.00,5.00,4.00,4.00,5.00,7.13,3.00,3.00,3.00,404,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',13872,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261830,8.00,4.00,0.00,4.00,6.00,9.75,3.00,3.00,4.00,103,NULL,NULL,'AHÚ','CURITIBA','PR',12088,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5261848,8.00,7.00,4.00,3.00,7.00,9.75,3.00,4.00,4.00,333,NULL,NULL,'JARDIM PORTO ALEGRE','TOLEDO','PR',8005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261856,7.00,6.00,2.00,7.00,8.00,12.38,4.00,2.00,8.00,207,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',4737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261864,4.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(20,5261872,7.00,6.00,6.00,6.00,8.00,9.38,4.00,4.00,8.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',3300,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5261880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5261902,2.00,5.00,4.00,1.00,2.00,NULL,1.00,4.00,4.00,235,NULL,203,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261910,9.00,8.00,6.00,6.00,8.00,9.38,7.00,7.00,8.00,103,NULL,NULL,'CENTRO','IVAIPORÃ','PR',793,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5261929,6.00,6.00,2.00,5.00,4.00,7.88,3.00,3.00,6.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12369,501,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261937,5.00,4.00,4.00,1.00,4.00,6.38,3.00,3.00,3.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5261953,8.00,8.00,3.00,5.00,7.00,9.00,1.00,3.00,5.00,5,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',6887,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5261961,6.00,5.00,0.00,7.00,5.00,8.63,3.00,2.00,7.00,208,NULL,203,'COLÔNIA JORDÃOZINHO','JORDÃOZINHO','PR',9571,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5261970,4.00,5.00,1.00,3.00,4.00,NULL,0.00,1.00,3.00,310,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5261988,3.00,3.00,0.00,0.00,2.00,NULL,0.00,2.00,2.00,501,NULL,NULL,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5261996,7.00,7.00,4.00,4.00,9.00,6.75,3.00,3.00,6.00,201,NULL,220,'GUIOMAR DE FORA','ANTÔNIO CARLOS','SC',6768,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5262003,4.00,6.00,3.00,2.00,7.00,9.00,2.00,3.00,5.00,302,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',10767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'BOM JESUS','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5262020,6.00,9.00,5.00,5.00,8.00,9.75,0.00,3.00,4.00,216,NULL,207,'CENTRO','TURVO','SC',6155,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5262038,0.00,2.00,2.00,3.00,4.00,NULL,0.00,1.00,2.00,207,NULL,NULL,'SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5262046,1.00,5.00,2.00,4.00,3.00,NULL,2.00,2.00,3.00,450,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5262054,5.00,5.00,0.00,1.00,7.00,NULL,2.00,1.00,4.00,216,NULL,NULL,'PETROPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5262062,9.00,9.00,3.00,7.00,8.00,9.00,7.00,6.00,5.00,103,NULL,NULL,'PARQUE XANGRILA','CACHOEIRA SUL','RS',2867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262070,8.00,5.00,5.00,5.00,8.00,9.38,3.00,3.00,8.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',6249,2468,NULL,NULL,NULL,NULL,NULL,2,1),(20,5262089,5.00,6.00,2.00,7.00,5.00,6.00,2.00,3.00,3.00,420,NULL,NULL,'ESPIRITO SANTO','PTO ALEGRE','RS',12606,98,NULL,NULL,NULL,NULL,NULL,4,15),(20,5262097,3.00,3.00,0.00,3.00,5.00,NULL,0.00,3.00,3.00,303,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5262100,4.00,3.00,2.00,4.00,3.00,NULL,0.00,2.00,2.00,653,NULL,202,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5262119,8.00,6.00,5.00,6.00,7.00,8.25,4.00,4.00,6.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',5990,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5262127,8.00,6.00,4.00,7.00,7.00,9.75,4.00,6.00,7.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',3842,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5262135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,235,'CENTRO','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5262143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,653,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5262151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5262160,4.00,6.00,2.00,7.00,5.00,10.13,1.00,2.00,4.00,601,NULL,213,'BELA VISTA','RIO NEGRINHO','SC',14182,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5262178,3.00,4.00,1.00,6.00,6.00,8.25,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','CIANORTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262194,6.00,6.00,6.00,7.00,5.00,7.88,3.00,3.00,5.00,336,NULL,NULL,'CENTRO','PTO ALEGRE','RS',9383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262208,5.00,6.00,2.00,4.00,3.00,NULL,0.00,4.00,2.00,104,NULL,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5262216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5262224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5262232,7.00,8.00,4.00,7.00,8.00,6.75,4.00,5.00,5.00,340,NULL,NULL,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',4855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262240,3.00,5.00,0.00,3.00,6.00,NULL,3.00,3.00,2.00,102,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5262259,3.00,4.00,0.00,5.00,6.00,NULL,1.00,2.00,6.00,101,NULL,NULL,'JARDIM EUROPA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5262275,8.00,7.00,3.00,8.00,10.00,10.13,3.00,6.00,7.00,220,NULL,202,'BURTET','IJUÍ','RS',1948,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5262283,6.00,6.00,6.00,5.00,9.00,9.38,4.00,6.00,5.00,203,NULL,601,'CAPOEIRAS','FLORIANÓPOLIS','SC',4522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262305,5.00,8.00,5.00,7.00,7.00,7.13,2.00,3.00,7.00,203,NULL,202,'CENTRO','CPO MOURÃO','PR',5521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262313,4.00,7.00,3.00,4.00,8.00,6.38,3.00,4.00,6.00,302,NULL,NULL,'PENHA','PAULO LOPES','SC',11020,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5262321,3.00,4.00,0.00,1.00,6.00,NULL,2.00,1.00,1.00,653,NULL,652,'SANTO ANTONIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5262330,5.00,4.00,4.00,6.00,5.00,7.88,0.00,2.00,3.00,5,NULL,NULL,'JARDIM PANORÂMICO','LAGES','SC',13200,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5262348,5.00,4.00,2.00,3.00,3.00,NULL,0.00,3.00,3.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5262356,4.00,5.00,3.00,4.00,6.00,NULL,0.00,1.00,2.00,317,NULL,NULL,'SANTA BÁRBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5262364,6.00,5.00,6.00,2.00,7.00,7.88,2.00,1.00,3.00,108,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',14962,285,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262372,4.00,5.00,4.00,7.00,9.00,9.38,6.00,5.00,6.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',5415,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5262399,3.00,5.00,1.00,2.00,4.00,NULL,2.00,1.00,2.00,9,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5262402,7.00,5.00,1.00,6.00,7.00,10.50,2.00,4.00,3.00,211,NULL,207,'CENTRO','PLANALTO ALEGRE','SC',8561,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5262410,2.00,5.00,1.00,4.00,5.00,11.25,2.00,2.00,5.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5262429,4.00,3.00,3.00,4.00,2.00,NULL,0.00,5.00,3.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5262453,5.00,5.00,1.00,3.00,8.00,NULL,1.00,3.00,1.00,302,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262461,6.00,6.00,5.00,4.00,6.00,9.75,2.00,2.00,4.00,103,NULL,NULL,'COPOEIRAS','FLORIANÓPOLIS','SC',9914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5262470,7.00,8.00,4.00,7.00,9.00,9.75,3.00,6.00,7.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262488,8.00,7.00,7.00,7.00,7.00,8.63,7.00,5.00,9.00,103,NULL,NULL,'PADRE RÉUS','S JOSÉ CEDRO','SC',1329,768,NULL,NULL,NULL,NULL,NULL,4,4),(20,5262496,6.00,8.00,3.00,7.00,10.00,10.50,2.00,6.00,3.00,428,NULL,424,'RIO VERMELHO','FLORIANÓPOLIS','SC',7167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5262518,6.00,3.00,2.00,4.00,6.00,8.25,3.00,3.00,6.00,214,NULL,211,'NOVA ESPERANÇA','BAL CAMBORIÚ','SC',10248,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5262526,8.00,7.00,3.00,7.00,9.00,10.13,3.00,6.00,7.00,316,NULL,NULL,'BOA VISTA','JOINVILLE','SC',3447,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5262534,5.00,6.00,3.00,7.00,8.00,8.63,1.00,3.00,3.00,103,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',10574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262542,3.00,3.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262550,6.00,6.00,3.00,6.00,5.00,7.13,2.00,3.00,2.00,104,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5262569,0.00,3.00,1.00,5.00,2.00,NULL,0.00,1.00,2.00,225,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5262577,3.00,6.00,3.00,4.00,6.00,8.25,2.00,2.00,5.00,203,NULL,208,'CAPUTERA','LAGUNA','SC',10078,725,NULL,NULL,NULL,NULL,NULL,4,10),(20,5262585,4.00,5.00,1.00,6.00,6.00,7.88,2.00,3.00,4.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',12098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262593,7.00,5.00,4.00,7.00,9.00,9.38,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','JALES','SP',5764,2351,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5262623,7.00,5.00,1.00,0.00,7.00,6.75,3.00,5.00,5.00,208,NULL,202,'BARRA ARIRIU','PALHOÇA','SC',12812,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5262640,5.00,8.00,1.00,4.00,8.00,7.13,2.00,4.00,5.00,5,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',12215,392,NULL,NULL,NULL,NULL,NULL,2,1),(20,5262658,4.00,5.00,3.00,1.00,3.00,NULL,2.00,3.00,3.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5262666,4.00,3.00,3.00,2.00,7.00,NULL,3.00,0.00,3.00,103,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5262674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(20,5262682,4.00,6.00,0.00,3.00,4.00,8.63,1.00,2.00,4.00,216,NULL,201,'PASSAGEM','TUBARÃO','SC',15324,575,NULL,1082,NULL,NULL,NULL,2,10),(20,5262690,3.00,5.00,0.00,5.00,5.00,7.88,2.00,4.00,3.00,303,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5262704,6.00,4.00,5.00,6.00,6.00,9.75,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5040,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5262712,8.00,7.00,7.00,8.00,9.00,10.50,2.00,4.00,8.00,207,NULL,233,'MARGEM ESQUERDA','GASPAR','SC',1745,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5262720,7.00,8.00,4.00,7.00,10.00,8.63,3.00,6.00,5.00,320,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',4565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262739,5.00,6.00,5.00,7.00,6.00,7.88,2.00,4.00,5.00,420,NULL,NULL,'GARCIA','BLUMENAU','SC',9719,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5262747,3.00,3.00,3.00,3.00,2.00,NULL,3.00,1.00,2.00,501,NULL,NULL,'FAZ STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5262755,3.00,6.00,3.00,3.00,3.00,NULL,2.00,2.00,5.00,332,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5262763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,211,'CENTRO','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5262780,2.00,3.00,2.00,4.00,3.00,NULL,2.00,1.00,5.00,9,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5262798,5.00,6.00,3.00,6.00,6.00,8.25,3.00,1.00,6.00,216,NULL,201,'JOSÉ BONIFÁCIO','ERECHIM','RS',9778,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5262801,5.00,6.00,2.00,6.00,4.00,7.88,3.00,2.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262810,3.00,8.00,1.00,4.00,5.00,7.13,0.00,0.00,4.00,233,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',16045,419,NULL,429,NULL,NULL,NULL,2,1),(20,5262836,9.00,7.00,0.00,5.00,5.00,6.38,3.00,1.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',8275,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5262844,7.00,7.00,3.00,5.00,2.00,NULL,6.00,2.00,5.00,216,NULL,201,'MARIA LUIZA','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262852,6.00,7.00,4.00,7.00,9.00,8.25,3.00,7.00,5.00,303,NULL,NULL,'GARCIA','BLUMENAU','SC',5635,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5262860,4.00,6.00,4.00,7.00,4.00,8.63,1.00,3.00,5.00,208,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262879,3.00,7.00,0.00,6.00,5.00,9.00,2.00,2.00,4.00,340,NULL,NULL,'SERRANO','CAXIAS SUL','RS',13254,376,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262887,8.00,8.00,4.00,8.00,11.00,9.75,4.00,3.00,8.00,103,NULL,NULL,'SEMINÁRIO','CURITIBA','PR',1231,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5262895,7.00,6.00,0.00,5.00,5.00,12.00,1.00,3.00,4.00,303,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',9880,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5262909,4.00,6.00,1.00,2.00,3.00,NULL,3.00,3.00,2.00,319,NULL,NULL,'PONTE DE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5262917,6.00,7.00,1.00,5.00,9.00,8.63,0.00,3.00,3.00,303,NULL,NULL,'CENTRO','BRUSQUE','SC',11279,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5262925,8.00,6.00,6.00,5.00,10.00,9.00,6.00,6.00,7.00,103,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',2023,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5262933,5.00,5.00,2.00,1.00,7.00,7.50,1.00,4.00,5.00,216,NULL,213,'CENTRO','BOM RETIRO','SC',12707,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5262941,8.00,7.00,8.00,7.00,10.00,7.88,5.00,5.00,8.00,201,NULL,238,'PINHEIROS','S PAULO','SP',592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5262950,7.00,6.00,4.00,5.00,8.00,8.63,1.00,2.00,5.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10640,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5262968,4.00,4.00,5.00,7.00,6.00,8.25,2.00,5.00,4.00,5,NULL,NULL,'LIBERDADE','S PAULO','SP',9867,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5262984,5.00,6.00,4.00,6.00,6.00,6.38,0.00,3.00,3.00,302,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5262992,8.00,6.00,6.00,7.00,8.00,11.25,5.00,3.00,8.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',2045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263000,8.00,8.00,4.00,7.00,9.00,11.63,5.00,3.00,5.00,503,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',3226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5263026,3.00,3.00,1.00,4.00,2.00,NULL,0.00,4.00,3.00,207,NULL,233,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PERUS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5263069,7.00,7.00,2.00,7.00,6.00,9.75,5.00,4.00,6.00,340,NULL,NULL,'UNIVERSITÁRIO','CHAPECÓ','SC',7046,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5263077,4.00,4.00,2.00,5.00,5.00,NULL,1.00,1.00,3.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263085,3.00,4.00,0.00,3.00,5.00,NULL,1.00,3.00,3.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263093,5.00,8.00,2.00,7.00,5.00,8.63,4.00,1.00,5.00,108,NULL,NULL,'SANTA TERESINHA','IMBÉ','RS',9601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263107,8.00,6.00,2.00,7.00,6.00,8.25,6.00,5.00,7.00,102,NULL,NULL,'ST ÂNTONIO DE LISBOA','FLORIANÓPOLIS','SC',6421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263115,1.00,2.00,2.00,2.00,3.00,NULL,3.00,2.00,1.00,551,NULL,NULL,'INTERIOR','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5263123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5263158,5.00,6.00,4.00,5.00,5.00,8.25,3.00,5.00,5.00,102,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10564,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263166,7.00,6.00,7.00,7.00,8.00,9.38,5.00,5.00,6.00,301,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263174,4.00,6.00,1.00,4.00,6.00,10.50,3.00,2.00,2.00,338,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',15425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263182,2.00,4.00,3.00,4.00,7.00,NULL,0.00,1.00,3.00,302,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5263190,8.00,7.00,5.00,7.00,10.00,8.25,6.00,8.00,9.00,333,NULL,NULL,'VILA NOVA','LAGES','SC',532,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5263204,4.00,6.00,0.00,5.00,6.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263212,4.00,5.00,0.00,2.00,6.00,NULL,1.00,2.00,3.00,316,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263239,5.00,7.00,5.00,3.00,7.00,6.75,4.00,3.00,3.00,201,NULL,203,'CANTA GALO','RIO SUL','SC',10018,734,NULL,721,NULL,NULL,NULL,4,1),(20,5263247,2.00,7.00,1.00,4.00,8.00,9.75,1.00,5.00,2.00,415,NULL,NULL,'FREITAS','PAULO LOPES','SC',13814,259,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263263,5.00,7.00,0.00,4.00,4.00,10.13,0.00,1.00,5.00,101,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263271,4.00,7.00,6.00,4.00,5.00,6.75,3.00,2.00,7.00,216,NULL,233,'CARIANOS','FLORIANÓPOLIS','SC',9373,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263280,5.00,7.00,2.00,5.00,8.00,7.50,2.00,2.00,5.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12874,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263298,8.00,6.00,5.00,7.00,6.00,8.63,5.00,5.00,7.00,103,NULL,NULL,'SANTA FÉ','CPO GRANDE','MS',3818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263301,5.00,5.00,4.00,5.00,8.00,6.00,3.00,1.00,3.00,103,NULL,NULL,'SAGRADO CORAÇÃO DE J','LAGES','SC',13749,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5263310,3.00,5.00,0.00,3.00,3.00,NULL,2.00,1.00,3.00,551,NULL,NULL,'INTERIOR','PTE ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5263328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,423,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5263336,5.00,6.00,5.00,4.00,4.00,8.25,4.00,4.00,5.00,653,NULL,652,'CENTRO','CRICIÚMA','SC',11321,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5263344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'ESTRADA GERAL','MIRIM DOCE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5263352,3.00,4.00,4.00,5.00,5.00,8.25,1.00,1.00,6.00,220,NULL,208,'SÃO LUIZ','CRICIÚMA','SC',14892,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5263360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,213,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5263387,7.00,6.00,2.00,7.00,6.00,8.25,1.00,5.00,5.00,101,NULL,NULL,'JARDIM IPANEMA','MARINGÁ','PR',9585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PERIOLLO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5263425,8.00,6.00,5.00,1.00,8.00,11.25,3.00,4.00,7.00,103,NULL,NULL,'LESTE VILA NOVA','GOIÂNIA','GO',4824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263441,5.00,4.00,0.00,7.00,6.00,7.13,4.00,2.00,5.00,340,NULL,NULL,'JARDIM GIRASSOL','DOURADOS','MS',13231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263450,6.00,3.00,1.00,5.00,6.00,8.63,0.00,3.00,3.00,551,NULL,NULL,'INTERIOR','IBICARÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5263468,7.00,7.00,1.00,7.00,5.00,10.50,2.00,2.00,5.00,201,NULL,233,'COSTEIRA DOPIRAJUBAÉ','FLORIANÓPOLIS','SC',10694,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5263476,1.00,4.00,0.00,3.00,6.00,NULL,0.00,2.00,3.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263484,9.00,7.00,5.00,5.00,9.00,9.38,6.00,5.00,8.00,203,NULL,202,'RACHADEL','ANTÔNIO CARLOS','SC',1843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5263514,3.00,4.00,2.00,2.00,3.00,NULL,1.00,2.00,3.00,404,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263522,4.00,6.00,0.00,8.00,9.00,NULL,1.00,3.00,5.00,452,NULL,NULL,'FERRAZ','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263530,4.00,5.00,4.00,5.00,6.00,8.25,2.00,3.00,2.00,415,NULL,NULL,'CENTRO','URUGUAIANA','RS',15532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263557,8.00,7.00,4.00,6.00,8.00,10.13,2.00,3.00,4.00,202,NULL,203,'NOVA IORQUE','CASCAVEL','PR',7952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5263581,1.00,4.00,0.00,3.00,6.00,NULL,3.00,3.00,4.00,308,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263590,8.00,7.00,2.00,7.00,8.00,9.00,3.00,4.00,7.00,211,NULL,216,'KOBRASOL','S JOSÉ','SC',5149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263603,2.00,2.00,0.00,3.00,4.00,NULL,1.00,0.00,3.00,501,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5263611,2.00,6.00,0.00,6.00,5.00,8.63,3.00,2.00,3.00,208,NULL,238,'TAPERA','FLORIANÓPOLIS','SC',14056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263620,6.00,6.00,2.00,3.00,8.00,8.25,1.00,3.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5263646,5.00,7.00,0.00,5.00,6.00,NULL,3.00,5.00,5.00,331,NULL,NULL,'SERRARIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263654,2.00,5.00,0.00,1.00,7.00,NULL,0.00,5.00,4.00,502,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263662,2.00,5.00,2.00,6.00,6.00,8.63,2.00,4.00,3.00,309,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',15194,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263670,9.00,7.00,3.00,5.00,9.00,9.00,3.00,4.00,7.00,201,NULL,233,'GLÓRIA','JOINVILLE','SC',4369,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5263689,3.00,5.00,0.00,0.00,3.00,NULL,3.00,2.00,2.00,601,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5263697,4.00,6.00,0.00,3.00,4.00,8.25,2.00,4.00,3.00,216,NULL,215,'CAMPECHE','FLORIANÓPOLIS','SC',16145,591,NULL,328,NULL,NULL,NULL,2,1),(20,5263700,3.00,3.00,2.00,1.00,3.00,NULL,2.00,1.00,2.00,551,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5263719,8.00,7.00,0.00,1.00,4.00,6.00,4.00,5.00,4.00,5,NULL,NULL,'VISTA ALEGRE','CURITIBA','PR',12720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JD ALVORADA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5263735,7.00,7.00,2.00,3.00,5.00,NULL,0.00,3.00,2.00,216,NULL,214,'CENTRO','IMARUÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263743,5.00,6.00,2.00,6.00,5.00,10.50,2.00,4.00,4.00,202,NULL,235,'SANTA MARIA GORETTI','PTO ALEGRE','RS',10546,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5263751,7.00,6.00,1.00,5.00,8.00,9.38,2.00,4.00,7.00,103,NULL,NULL,'VILA RICA','CARAZINHO','RS',7233,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5263760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5263778,8.00,8.00,4.00,7.00,7.00,12.38,4.00,5.00,6.00,104,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',2676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263808,8.00,5.00,3.00,6.00,5.00,10.13,1.00,4.00,5.00,316,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',10180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263816,6.00,8.00,1.00,7.00,7.00,10.13,4.00,3.00,4.00,203,NULL,202,'PIONEIRO','PINHALZINHO','SC',6218,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5263824,1.00,4.00,0.00,1.00,6.00,NULL,2.00,0.00,4.00,652,NULL,653,'CENTRO','S JOÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5263832,6.00,6.00,0.00,3.00,4.00,NULL,2.00,4.00,6.00,601,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5263840,3.00,2.00,1.00,3.00,2.00,NULL,0.00,1.00,2.00,301,NULL,NULL,'MONTANHÃO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5263859,3.00,2.00,2.00,1.00,4.00,NULL,0.00,2.00,1.00,308,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263875,5.00,7.00,4.00,7.00,10.00,9.38,0.00,5.00,8.00,420,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',6563,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5263883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5263905,2.00,6.00,1.00,7.00,5.00,7.13,1.00,2.00,4.00,201,NULL,207,'JD IDEAL','LONDRINA','PR',15378,1085,NULL,753,NULL,NULL,NULL,5,3),(20,5263921,6.00,7.00,0.00,3.00,4.00,5.25,3.00,6.00,4.00,332,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263930,4.00,5.00,0.00,4.00,4.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'CENTRO','STO AUGUSTO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263948,7.00,4.00,1.00,4.00,7.00,4.13,4.00,6.00,5.00,404,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5263956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,202,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5263964,3.00,6.00,0.00,6.00,8.00,9.75,2.00,3.00,2.00,319,NULL,NULL,'BELA VISTA III','S JOSÉ','SC',15086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263972,6.00,3.00,0.00,4.00,5.00,NULL,1.00,3.00,3.00,207,NULL,215,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5263980,7.00,7.00,3.00,3.00,5.00,7.50,3.00,1.00,2.00,601,NULL,653,'CANOAS','LUIZ ALVES','SC',11767,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5263999,3.00,6.00,4.00,3.00,6.00,8.63,2.00,4.00,3.00,340,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',15308,426,NULL,NULL,NULL,NULL,NULL,2,1),(20,5264006,5.00,5.00,5.00,4.00,6.00,7.88,4.00,1.00,5.00,339,NULL,NULL,'JARDIM DAS HORTENCIA','FRAIBURGO','SC',13658,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5264022,5.00,5.00,2.00,3.00,5.00,5.25,2.00,2.00,5.00,203,NULL,202,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5264049,5.00,8.00,2.00,4.00,4.00,8.25,4.00,5.00,3.00,420,NULL,NULL,'FORQUILINHAS','S JOSÉ','SC',11998,89,NULL,NULL,NULL,NULL,NULL,3,4),(20,5264057,7.00,7.00,3.00,8.00,6.00,9.38,5.00,2.00,6.00,201,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5264065,5.00,3.00,2.00,4.00,3.00,NULL,2.00,3.00,1.00,601,NULL,203,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5264073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIN UNIVERSITARIO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5264081,4.00,4.00,2.00,1.00,4.00,NULL,1.00,2.00,2.00,551,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5264090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5264103,4.00,3.00,1.00,3.00,2.00,NULL,4.00,0.00,3.00,308,NULL,NULL,'JOSÉ MEMDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5264111,2.00,3.00,2.00,3.00,0.00,NULL,2.00,2.00,3.00,501,NULL,NULL,'VILA ESPERANÇA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5264120,4.00,5.00,2.00,3.00,5.00,8.25,1.00,3.00,5.00,104,NULL,NULL,'LINHA AGUAS BELAS','JABORÁ','SC',15422,417,NULL,NULL,NULL,NULL,NULL,2,7),(20,5264146,1.00,4.00,1.00,2.00,4.00,NULL,2.00,3.00,3.00,332,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5264154,6.00,4.00,3.00,4.00,7.00,9.00,4.00,6.00,5.00,103,NULL,NULL,'TESTO CENTRAL','POMERODE','SC',8720,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5264162,4.00,7.00,4.00,5.00,8.00,6.38,3.00,3.00,5.00,340,NULL,NULL,'CENTRO','STA ROSA','RS',9691,268,NULL,NULL,NULL,NULL,NULL,4,1),(20,5264170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,238,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5264189,4.00,8.00,0.00,6.00,2.00,NULL,3.00,4.00,5.00,9,NULL,NULL,'ALVORADA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5264197,8.00,8.00,4.00,7.00,9.00,9.38,5.00,5.00,6.00,207,NULL,216,'CENTRO','PALHOÇA','SC',3136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5264200,2.00,6.00,2.00,6.00,7.00,7.50,2.00,3.00,6.00,336,NULL,NULL,'TRIANON','GUARAPUAVA','PR',13706,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5264227,7.00,4.00,3.00,7.00,10.00,6.75,3.00,6.00,5.00,421,NULL,428,'PETRÓPOLIS','PTO ALEGRE','RS',6299,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5264243,8.00,7.00,4.00,7.00,9.00,9.00,4.00,5.00,7.00,214,NULL,238,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',2978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5264251,5.00,6.00,2.00,7.00,4.00,7.88,1.00,0.00,3.00,318,NULL,NULL,'ASILO','BLUMENAU','SC',16020,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5264260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LUCAS ARAÚJO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5264278,4.00,5.00,0.00,3.00,5.00,NULL,0.00,3.00,2.00,102,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5264286,9.00,8.00,5.00,5.00,11.00,10.50,8.00,4.00,7.00,103,NULL,NULL,'UNIAO','PALOTINA','PR',607,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5264308,3.00,4.00,2.00,7.00,6.00,8.63,1.00,4.00,3.00,207,NULL,201,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5264316,4.00,4.00,1.00,2.00,6.00,NULL,3.00,1.00,3.00,319,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5264324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,213,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5264332,1.00,2.00,1.00,1.00,4.00,NULL,4.00,0.00,0.00,404,NULL,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5264340,4.00,5.00,5.00,5.00,6.00,6.75,3.00,4.00,4.00,104,NULL,NULL,'JARDIM MARISTELA','CRICIÚMA','SC',11479,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5264367,3.00,6.00,2.00,3.00,6.00,6.75,2.00,3.00,3.00,320,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',16205,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5264375,1.00,3.00,1.00,3.00,4.00,NULL,2.00,1.00,1.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5264383,6.00,6.00,3.00,6.00,8.00,8.25,3.00,4.00,5.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5264391,6.00,7.00,4.00,6.00,9.00,7.50,5.00,5.00,8.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',3183,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5264405,8.00,6.00,3.00,5.00,7.00,9.75,3.00,4.00,7.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',3649,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5264413,2.00,3.00,2.00,5.00,3.00,NULL,2.00,0.00,2.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5264421,4.00,4.00,0.00,2.00,5.00,NULL,2.00,1.00,3.00,101,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5264448,2.00,5.00,0.00,3.00,4.00,NULL,2.00,1.00,5.00,308,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5264456,4.00,8.00,1.00,5.00,8.00,11.25,2.00,7.00,6.00,207,NULL,201,'AGRONÔMICA','FLORIANÓPOLIS','SC',6266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5264464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'ENCRUZO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5264472,4.00,7.00,1.00,3.00,4.00,8.63,2.00,1.00,5.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',15971,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5264480,4.00,5.00,2.00,4.00,7.00,NULL,0.00,1.00,3.00,304,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5264499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO BERNARDO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5264502,3.00,5.00,4.00,3.00,3.00,NULL,1.00,3.00,2.00,238,NULL,202,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5264510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'LINHA RIO MAIOR','URUSSANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5264529,7.00,5.00,2.00,5.00,5.00,7.50,1.00,5.00,1.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12703,517,NULL,NULL,NULL,NULL,NULL,2,1),(20,5264537,6.00,5.00,4.00,7.00,3.00,NULL,1.00,4.00,3.00,336,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5264545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FREI ROGÉRIO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5264553,1.00,2.00,1.00,1.00,2.00,NULL,3.00,0.00,2.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5264561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'VILA PASTI','LOUVEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5264588,5.00,4.00,1.00,4.00,6.00,7.88,1.00,1.00,5.00,102,NULL,NULL,'SEMINÁRIO','TAIÓ','SC',15598,226,NULL,NULL,NULL,NULL,NULL,2,9),(20,5264596,6.00,6.00,3.00,6.00,7.00,7.13,4.00,6.00,6.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5264600,3.00,4.00,1.00,3.00,2.00,NULL,3.00,1.00,1.00,104,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5264618,2.00,5.00,5.00,2.00,4.00,NULL,1.00,2.00,1.00,309,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5264626,3.00,3.00,2.00,5.00,4.00,NULL,3.00,2.00,2.00,102,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5264634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'PORTO GRANDE','ARAQUARI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5264642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA CASCAIS','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5264650,4.00,5.00,0.00,4.00,5.00,NULL,0.00,2.00,2.00,453,NULL,NULL,'CENTRO','ARROIO SAL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5264669,4.00,5.00,1.00,7.00,4.00,11.63,1.00,1.00,7.00,233,NULL,220,'ACLIMAÇÃO','S PAULO','SP',11276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5264677,5.00,7.00,1.00,4.00,8.00,8.25,3.00,3.00,4.00,601,NULL,NULL,'AMÉRICA','JOINVILLE','SC',11469,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5264685,7.00,8.00,6.00,6.00,10.00,13.50,6.00,5.00,7.00,203,NULL,220,'VILA MOEMA','TUBARÃO','SC',763,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5264693,4.00,6.00,1.00,0.00,6.00,NULL,2.00,1.00,3.00,3,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5264715,3.00,6.00,1.00,5.00,6.00,NULL,1.00,0.00,4.00,102,NULL,NULL,'MINA DO MATO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5264723,9.00,7.00,8.00,7.00,8.00,13.88,7.00,6.00,6.00,103,NULL,NULL,'JUVEVÊ','CURITIBA','PR',268,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5264740,8.00,6.00,0.00,3.00,4.00,6.38,4.00,3.00,5.00,102,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13552,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5264758,5.00,4.00,1.00,6.00,5.00,6.00,1.00,3.00,4.00,103,NULL,NULL,'DOS ESTADOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5264766,5.00,3.00,1.00,6.00,7.00,9.00,2.00,3.00,4.00,450,NULL,NULL,'CHÁCARA PRIMAVERA','CAMPINAS','SP',10055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5264774,4.00,3.00,3.00,3.00,8.00,10.13,1.00,3.00,4.00,201,NULL,215,'CENTRO','LUZERNA','SC',12644,897,NULL,261,NULL,NULL,NULL,4,7),(20,5264782,0.00,6.00,1.00,1.00,3.00,NULL,1.00,1.00,2.00,415,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5264804,7.00,5.00,3.00,4.00,5.00,7.50,1.00,3.00,4.00,214,NULL,233,'CENTRO','PINHEIRO PRETO','SC',14645,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5264812,3.00,4.00,4.00,4.00,5.00,NULL,1.00,1.00,2.00,5,NULL,NULL,'SAGRADO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5264820,7.00,8.00,4.00,7.00,10.00,10.13,3.00,5.00,7.00,102,NULL,NULL,'PRESIDENTE MÉDICE','CHAPECÓ','SC',1970,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5264839,3.00,5.00,3.00,4.00,5.00,12.75,1.00,2.00,4.00,339,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5264847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5264863,6.00,7.00,5.00,5.00,9.00,9.00,4.00,3.00,8.00,653,NULL,202,'SANTA BÁRBARA','CRICIÚMA','SC',4660,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5264871,2.00,4.00,0.00,4.00,5.00,NULL,2.00,3.00,4.00,109,NULL,NULL,'JOAQUINA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5264880,8.00,5.00,4.00,7.00,5.00,9.38,3.00,4.00,6.00,103,NULL,NULL,'DONA JOAQUINA','PINHAIS','PR',4805,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5264898,3.00,5.00,4.00,5.00,4.00,8.25,2.00,3.00,4.00,503,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5264910,2.00,7.00,1.00,4.00,3.00,NULL,0.00,2.00,3.00,652,NULL,651,'FIGUEIRA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5264936,7.00,8.00,1.00,5.00,7.00,9.38,1.00,2.00,3.00,104,NULL,NULL,'CENTRO','PALMITOS','SC',10912,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5264944,5.00,4.00,5.00,7.00,9.00,7.88,2.00,2.00,4.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',8905,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5264952,7.00,8.00,4.00,6.00,8.00,10.13,5.00,7.00,6.00,201,NULL,212,'PONTA DE BAIXO','S JOSÉ','SC',2567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5264960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETROPOLIS','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5264979,5.00,5.00,0.00,6.00,7.00,8.25,0.00,1.00,3.00,319,NULL,NULL,'FAX DOS DOMINGUES','FRAIBURGO','SC',14637,297,NULL,NULL,NULL,NULL,NULL,4,1),(20,5264987,3.00,6.00,1.00,0.00,6.00,NULL,1.00,3.00,1.00,331,NULL,NULL,'JARDIM ÂNGELA MARIA','CARAPICUÍBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5264995,6.00,6.00,1.00,3.00,7.00,12.00,1.00,3.00,5.00,502,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5265002,7.00,6.00,5.00,7.00,6.00,8.25,3.00,2.00,4.00,235,NULL,202,'SAGUAÇÚ','JOINVILLE','SC',7718,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5265010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JARDIM PRIMAVERA','PIRAQUARA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5265037,3.00,4.00,0.00,2.00,4.00,NULL,0.00,1.00,4.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5265053,4.00,5.00,0.00,3.00,5.00,0.00,2.00,3.00,4.00,444,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5265061,3.00,4.00,2.00,7.00,3.00,NULL,3.00,2.00,2.00,212,NULL,213,'SANTO INÁCIO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5265070,2.00,6.00,0.00,5.00,5.00,NULL,1.00,1.00,2.00,333,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5265088,6.00,7.00,4.00,3.00,5.00,6.38,2.00,3.00,6.00,326,NULL,NULL,'BARREIROS','S JOSÉ','SC',13278,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5265096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'OFICINAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5265100,3.00,5.00,4.00,3.00,5.00,NULL,1.00,0.00,4.00,201,NULL,212,'VISTA ALEGRE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5265126,7.00,6.00,4.00,6.00,9.00,9.75,1.00,7.00,4.00,304,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',5223,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5265134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5265142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5265150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5265169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FIGUEIRA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5265177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'JARDIM DEL REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5265185,3.00,3.00,4.00,5.00,6.00,8.63,2.00,2.00,4.00,216,NULL,215,'COPACABANA','LAGES','SC',14830,564,NULL,308,NULL,NULL,NULL,2,9),(20,5265193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5265215,7.00,6.00,3.00,5.00,7.00,9.38,1.00,5.00,5.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5265223,5.00,6.00,4.00,3.00,6.00,8.63,2.00,3.00,4.00,207,NULL,233,'CENTRO','LAGES','SC',11371,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5265231,4.00,7.00,1.00,3.00,8.00,9.75,1.00,6.00,3.00,103,NULL,NULL,'CENTRO','JAGUARUNA','SC',10805,3278,NULL,NULL,NULL,NULL,NULL,2,10),(20,5265258,6.00,5.00,0.00,3.00,6.00,6.00,1.00,3.00,3.00,207,NULL,653,'CENTRO','ARARANGUÁ','SC',16228,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5265266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5265274,2.00,4.00,3.00,6.00,2.00,NULL,0.00,2.00,3.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5265282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5265304,2.00,4.00,1.00,6.00,7.00,8.25,2.00,2.00,6.00,319,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5265320,8.00,7.00,3.00,6.00,6.00,6.38,5.00,2.00,6.00,103,NULL,NULL,'SÃO CRISTOVÃO','LAGES','SC',7202,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5265339,1.00,4.00,1.00,6.00,5.00,0.00,4.00,2.00,4.00,425,NULL,429,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5265347,3.00,1.00,1.00,0.00,2.00,NULL,0.00,2.00,5.00,336,NULL,NULL,'PEREQUÊ','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5265363,7.00,7.00,1.00,5.00,9.00,9.00,2.00,2.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',7660,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5265371,4.00,7.00,2.00,4.00,8.00,10.50,4.00,3.00,5.00,404,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',10206,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5265380,5.00,7.00,2.00,3.00,5.00,6.38,1.00,2.00,5.00,302,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5265398,3.00,7.00,1.00,5.00,6.00,6.00,3.00,3.00,5.00,208,NULL,202,'SÃO LUIZ','S JOSÉ','SC',13530,351,NULL,457,NULL,NULL,NULL,4,1),(20,5265401,6.00,5.00,1.00,7.00,7.00,8.63,0.00,3.00,5.00,103,NULL,NULL,'QUINTINO','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5265410,5.00,6.00,3.00,4.00,7.00,8.63,3.00,4.00,5.00,303,NULL,NULL,'CENTRO','IJUÍ','RS',11080,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5265428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5265436,4.00,4.00,1.00,4.00,8.00,7.88,3.00,1.00,4.00,429,NULL,425,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5265444,4.00,4.00,2.00,4.00,2.00,NULL,1.00,2.00,2.00,303,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5265452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'SHIMABOKURO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5265460,5.00,6.00,2.00,3.00,5.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5265479,8.00,6.00,4.00,1.00,3.00,NULL,3.00,2.00,6.00,103,NULL,NULL,'RIVIERA','MATINHOS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5265495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'SCHROEDER I','SCHROEDER','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5265509,4.00,7.00,0.00,4.00,7.00,8.63,0.00,3.00,6.00,103,NULL,NULL,'FORTALEZA','BLUMENAU','SC',12108,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5265517,5.00,6.00,1.00,4.00,5.00,NULL,0.00,3.00,3.00,9,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5265525,8.00,8.00,2.00,7.00,4.00,7.50,4.00,1.00,3.00,212,NULL,211,'BOTAFOGO','RIO JANEIRO','RJ',9949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5265533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5265541,4.00,4.00,0.00,3.00,2.00,NULL,0.00,3.00,2.00,333,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5265550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,207,'GERTRUDES','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5265568,8.00,4.00,4.00,6.00,5.00,8.63,2.00,2.00,3.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',10761,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5265584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5265592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'VENDINHA','MONTENEGRO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5265606,4.00,8.00,2.00,4.00,3.00,NULL,3.00,3.00,4.00,216,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5265614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,215,'BUCAREIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5265622,5.00,5.00,0.00,4.00,5.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5265630,2.00,2.00,0.00,4.00,4.00,NULL,3.00,3.00,4.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5265649,4.00,6.00,2.00,4.00,6.00,11.25,3.00,4.00,4.00,326,NULL,NULL,'CENTRO','LAGES','SC',9878,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5265657,9.00,9.00,6.00,7.00,9.00,9.38,6.00,4.00,7.00,203,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5265665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5265673,6.00,5.00,2.00,5.00,4.00,7.13,1.00,2.00,5.00,211,NULL,215,'VILA NOVA','IMBITUBA','SC',13916,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5265681,2.00,3.00,2.00,4.00,4.00,NULL,0.00,0.00,2.00,415,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5265703,4.00,7.00,0.00,3.00,4.00,NULL,0.00,3.00,3.00,319,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5265711,6.00,4.00,2.00,5.00,5.00,7.50,2.00,5.00,5.00,220,NULL,215,'CORAL','LAGES','SC',11463,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5265720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'VILA ROBERTO','BIRIGÜI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5265738,6.00,7.00,4.00,5.00,6.00,8.63,2.00,6.00,4.00,201,NULL,214,'CAETANO BRANCO','JOAÇABA','SC',6932,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5265746,3.00,6.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,201,NULL,212,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5265754,7.00,6.00,3.00,7.00,8.00,10.50,1.00,3.00,6.00,238,NULL,220,'ARIRIÚ','PALHOÇA','SC',9206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5265762,4.00,5.00,2.00,5.00,8.00,7.50,2.00,0.00,3.00,420,NULL,NULL,'SERTÃO DO IMARUIM','S JOSÉ','SC',14863,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5265770,3.00,4.00,1.00,4.00,6.00,NULL,0.00,2.00,1.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5265789,8.00,8.00,4.00,7.00,9.00,11.63,2.00,5.00,8.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',1325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5265800,7.00,5.00,3.00,5.00,9.00,9.00,2.00,2.00,3.00,103,NULL,NULL,'HARMONIA','CANOAS','RS',11623,3373,NULL,NULL,NULL,NULL,NULL,2,1),(20,5265827,5.00,8.00,3.00,4.00,8.00,6.38,4.00,3.00,4.00,208,NULL,652,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',9871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5265835,2.00,4.00,0.00,0.00,2.00,NULL,1.00,3.00,1.00,339,NULL,NULL,'SAO JOSE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5265843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5265851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INDEPENDENCIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5265860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SÃO MARTINHO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5265878,6.00,2.00,2.00,5.00,6.00,8.63,0.00,1.00,5.00,211,NULL,216,'COLONINHA','ARARANGUÁ','SC',14411,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5265886,6.00,6.00,6.00,4.00,7.00,7.50,5.00,6.00,6.00,233,NULL,211,'PIONEIROS','BAL CAMBORIÚ','SC',5557,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5265916,7.00,5.00,2.00,7.00,5.00,7.50,2.00,3.00,4.00,238,NULL,208,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5265932,5.00,5.00,2.00,5.00,5.00,10.13,3.00,4.00,5.00,208,NULL,201,'BELA VISTA','PTE SERRADA','SC',8785,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5265940,7.00,6.00,4.00,5.00,6.00,6.38,2.00,3.00,8.00,301,NULL,NULL,'CENTRO','ITAPEMA','SC',8601,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5265959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SANTA HELENA','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5265967,9.00,7.00,3.00,6.00,7.00,7.88,6.00,5.00,8.00,103,NULL,NULL,'CENTRO','AMPÉRE','PR',2706,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5265975,4.00,7.00,2.00,4.00,5.00,9.75,1.00,2.00,3.00,303,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5265983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5265991,7.00,7.00,1.00,6.00,8.00,8.25,3.00,5.00,7.00,340,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',8209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266009,6.00,7.00,4.00,6.00,9.00,8.63,4.00,4.00,7.00,207,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',5537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5266017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','ARACRUZ','ES',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5266025,6.00,7.00,2.00,7.00,7.00,9.38,2.00,4.00,5.00,201,NULL,207,'CENTRO','CHAPECÓ','SC',6425,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5266033,7.00,7.00,3.00,7.00,8.00,10.13,4.00,2.00,6.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',5246,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5266041,1.00,0.00,3.00,2.00,7.00,NULL,0.00,0.00,0.00,653,NULL,651,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(20,5266050,6.00,8.00,2.00,7.00,8.00,10.50,2.00,2.00,5.00,5,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',6237,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5266068,7.00,6.00,5.00,7.00,7.00,8.63,3.00,4.00,4.00,211,NULL,216,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266076,1.00,6.00,4.00,5.00,4.00,7.88,2.00,3.00,4.00,201,NULL,211,'FLORESTA','S JOSÉ','SC',13767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266084,7.00,7.00,1.00,4.00,7.00,7.88,3.00,5.00,7.00,103,NULL,NULL,'PARQUE E JARDIM OURO','OURO','SC',8032,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5266092,7.00,4.00,5.00,4.00,7.00,3.75,2.00,3.00,5.00,201,NULL,207,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5266106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5266114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5266122,7.00,7.00,5.00,4.00,6.00,9.00,3.00,3.00,4.00,233,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',8909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5266130,8.00,7.00,3.00,6.00,9.00,8.63,3.00,5.00,7.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',4215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266149,3.00,5.00,3.00,5.00,5.00,9.00,2.00,3.00,4.00,108,NULL,NULL,'JD PAULISTA','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5266157,8.00,6.00,3.00,5.00,7.00,9.00,1.00,4.00,4.00,326,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',8704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266165,3.00,4.00,1.00,2.00,3.00,NULL,3.00,3.00,2.00,201,NULL,212,'NAÇOES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5266173,5.00,8.00,4.00,4.00,9.00,7.50,3.00,5.00,7.00,202,NULL,211,'ITACORUBI','FLORIANÓPOLIS','SC',6294,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5266181,8.00,5.00,2.00,6.00,7.00,NULL,2.00,5.00,5.00,601,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(20,5266190,3.00,5.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5266203,4.00,6.00,4.00,7.00,6.00,3.75,1.00,2.00,2.00,103,NULL,NULL,'LOTE SEIS','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5266211,9.00,8.00,4.00,6.00,9.00,10.88,6.00,4.00,7.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2219,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5266220,3.00,4.00,4.00,3.00,5.00,9.00,1.00,4.00,6.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5266246,4.00,4.00,1.00,5.00,8.00,9.75,2.00,2.00,6.00,309,NULL,NULL,'SANTA CATARINA','CRICIÚMA','SC',12833,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(20,5266254,7.00,7.00,5.00,6.00,7.00,9.38,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5266262,3.00,3.00,1.00,1.00,4.00,NULL,3.00,2.00,4.00,103,NULL,NULL,'SOSSEGO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5266270,2.00,4.00,1.00,2.00,6.00,NULL,2.00,3.00,2.00,317,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266289,8.00,7.00,4.00,4.00,9.00,7.50,7.00,6.00,7.00,207,NULL,212,'SÃO BRAZ','CURITIBA','PR',2846,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5266297,7.00,5.00,3.00,0.00,6.00,6.75,0.00,4.00,3.00,201,NULL,214,'INTERIOR','LACERDÓPOLIS','SC',14378,1020,NULL,351,NULL,NULL,NULL,4,7),(20,5266300,3.00,6.00,0.00,3.00,3.00,NULL,2.00,1.00,3.00,207,NULL,201,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5266319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,651,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5266327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'BROOKLIN','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5266335,7.00,5.00,5.00,7.00,9.00,9.00,4.00,4.00,6.00,207,NULL,201,'VILA ESPERANÇA','MARINGÁ','PR',4211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266343,7.00,7.00,1.00,6.00,9.00,10.88,1.00,4.00,5.00,207,NULL,233,'CENTRO','TOLEDO','PR',6547,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5266351,7.00,6.00,1.00,7.00,8.00,6.75,4.00,1.00,5.00,110,NULL,NULL,'PROGRESSO','BLUMENAU','SC',8502,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5266360,4.00,6.00,1.00,4.00,3.00,NULL,2.00,2.00,4.00,207,NULL,NULL,'TOBIAS','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5266386,2.00,5.00,0.00,4.00,5.00,NULL,1.00,4.00,3.00,303,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5266394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SANTA LUZIA','APARECIDA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5266408,7.00,8.00,5.00,6.00,10.00,11.63,5.00,3.00,8.00,216,NULL,203,'CENTRO','IPORÃ OESTE','SC',1605,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5266424,6.00,6.00,6.00,5.00,7.00,7.50,3.00,2.00,2.00,103,NULL,NULL,'IPIRANGA','S JOSÉ','SC',9704,3124,NULL,NULL,NULL,NULL,NULL,2,1),(20,5266432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5266440,1.00,3.00,0.00,2.00,6.00,NULL,0.00,2.00,3.00,310,NULL,NULL,'CENTRO','QUILOMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5266459,3.00,3.00,0.00,4.00,4.00,NULL,0.00,3.00,2.00,203,NULL,202,'VARZEA DO RANCHINHO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5266467,3.00,4.00,3.00,3.00,3.00,NULL,1.00,1.00,0.00,551,NULL,NULL,'INTERIOR','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5266475,4.00,3.00,1.00,4.00,5.00,NULL,2.00,0.00,1.00,104,NULL,NULL,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5266483,4.00,7.00,4.00,4.00,6.00,9.00,3.00,6.00,4.00,340,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266491,4.00,3.00,0.00,3.00,4.00,NULL,1.00,3.00,3.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266505,2.00,3.00,0.00,3.00,2.00,NULL,0.00,1.00,1.00,652,NULL,NULL,'MORRO DOS CONVENTOS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5266513,7.00,3.00,2.00,7.00,5.00,9.38,3.00,3.00,5.00,340,NULL,NULL,'THOMÉ DE SOUZA','IJUÍ','RS',10296,292,NULL,NULL,NULL,NULL,NULL,4,2),(20,5266521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CRUZEIRO DO SUL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5266530,4.00,7.00,3.00,6.00,3.00,NULL,3.00,3.00,3.00,203,NULL,212,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266548,8.00,7.00,8.00,7.00,8.00,8.63,6.00,5.00,8.00,103,NULL,NULL,'OURO BRANCO','PARANAVAÍ','PR',1095,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5266556,1.00,7.00,1.00,5.00,6.00,9.38,1.00,3.00,3.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5266599,5.00,5.00,3.00,1.00,5.00,NULL,2.00,4.00,1.00,208,NULL,238,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5266602,9.00,7.00,7.00,8.00,8.00,9.38,7.00,5.00,8.00,103,NULL,NULL,'ALTO DA GLÓRIA','CURITIBA','PR',787,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5266610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA CARVELO','TRINDADE','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5266629,2.00,3.00,0.00,3.00,4.00,NULL,0.00,1.00,1.00,108,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5266653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5266661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SANTA TEREZA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5266670,4.00,7.00,0.00,3.00,4.00,NULL,2.00,2.00,4.00,428,NULL,426,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5266688,7.00,7.00,8.00,5.00,8.00,11.25,5.00,5.00,6.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',1905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266726,9.00,7.00,8.00,7.00,9.00,10.88,7.00,4.00,8.00,103,NULL,NULL,'JARDIM PRIMAVERA','S PAULO','SP',277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266734,2.00,6.00,0.00,3.00,6.00,NULL,3.00,3.00,2.00,202,NULL,213,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5266742,6.00,6.00,2.00,4.00,6.00,9.00,3.00,1.00,4.00,203,NULL,NULL,'CANTA GALO','RIO SUL','SC',13760,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5266769,2.00,5.00,1.00,2.00,4.00,NULL,0.00,1.00,1.00,444,NULL,NULL,'PROGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266777,4.00,6.00,1.00,4.00,4.00,11.25,0.00,1.00,5.00,415,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',16119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266793,7.00,3.00,1.00,4.00,4.00,8.63,2.00,4.00,6.00,309,NULL,NULL,'ARIRIU','PALHOÇA','SC',15237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5266807,3.00,5.00,2.00,3.00,5.00,NULL,1.00,1.00,4.00,215,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266815,4.00,5.00,1.00,6.00,6.00,6.38,1.00,4.00,2.00,427,NULL,425,'CARVOEIRA','FLORIANÓPOLIS','SC',15838,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5266823,4.00,6.00,3.00,3.00,3.00,NULL,3.00,2.00,6.00,320,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5266831,5.00,5.00,1.00,7.00,6.00,8.25,3.00,3.00,6.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5266840,2.00,3.00,3.00,3.00,5.00,NULL,1.00,1.00,1.00,104,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5266858,7.00,6.00,1.00,4.00,4.00,7.50,2.00,4.00,4.00,103,NULL,NULL,'ANDORINHA','ITAPEMA','SC',13720,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5266866,2.00,2.00,1.00,4.00,3.00,NULL,3.00,1.00,2.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266874,6.00,6.00,3.00,7.00,9.00,7.88,4.00,3.00,7.00,203,NULL,201,'CENTRO','LOANDA','PR',4710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266882,4.00,5.00,1.00,5.00,7.00,10.13,1.00,4.00,4.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',11508,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5266890,9.00,8.00,6.00,7.00,10.00,9.75,7.00,8.00,9.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',237,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5266904,7.00,8.00,3.00,7.00,8.00,9.75,6.00,4.00,6.00,303,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5266920,6.00,6.00,0.00,7.00,8.00,9.38,2.00,2.00,7.00,103,NULL,NULL,'CENTRO','GARIBALDI','RS',8448,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5266939,4.00,3.00,2.00,4.00,3.00,NULL,2.00,3.00,4.00,104,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5266947,5.00,6.00,1.00,3.00,2.00,NULL,4.00,1.00,4.00,340,NULL,NULL,'CENTRO','PINHEIRO PRETO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5266955,2.00,5.00,2.00,4.00,3.00,NULL,2.00,1.00,2.00,238,NULL,208,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5266971,8.00,7.00,5.00,6.00,9.00,8.63,4.00,3.00,8.00,207,NULL,215,'SACO GRANDE','FLORIANÓPOLIS','SC',2541,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5266980,5.00,1.00,2.00,2.00,5.00,NULL,1.00,2.00,4.00,303,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5266998,5.00,5.00,2.00,6.00,9.00,7.88,5.00,4.00,6.00,233,NULL,202,'COQUEIROS','FLORIANÓPOLIS','SC',5104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5267005,8.00,7.00,4.00,7.00,8.00,8.25,8.00,4.00,8.00,211,NULL,214,'SANTA CECILIA','S PAULO','SP',1919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5267013,8.00,7.00,4.00,7.00,8.00,10.50,4.00,4.00,6.00,415,NULL,NULL,'ATAFONA','LONTRAS','SC',4186,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5267021,2.00,3.00,0.00,4.00,4.00,NULL,1.00,0.00,1.00,319,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5267048,2.00,6.00,3.00,3.00,7.00,9.00,3.00,1.00,5.00,104,NULL,NULL,'CENTRO','JAURU','MT',13347,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5267056,3.00,5.00,2.00,3.00,3.00,NULL,3.00,3.00,5.00,201,NULL,213,'PLANALTO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5267064,9.00,8.00,9.00,5.00,11.00,10.13,6.00,5.00,7.00,201,NULL,211,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',645,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5267080,8.00,8.00,0.00,4.00,6.00,NULL,3.00,3.00,5.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5267099,6.00,5.00,4.00,6.00,4.00,7.13,6.00,3.00,3.00,203,NULL,214,'VILA NOVA','LAGES','SC',9325,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5267102,7.00,5.00,4.00,7.00,7.00,8.63,1.00,3.00,4.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',8505,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5267129,8.00,6.00,5.00,4.00,10.00,8.25,4.00,6.00,7.00,203,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',3619,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5267137,5.00,3.00,1.00,6.00,4.00,8.25,3.00,2.00,4.00,104,NULL,NULL,'CENTRO','TAIÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5267145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5267153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO BRANCO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5267161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JADIM VILLAGE','LENÇÓIS PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5267170,3.00,4.00,1.00,4.00,5.00,NULL,2.00,1.00,2.00,318,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5267188,9.00,8.00,4.00,6.00,9.00,12.00,4.00,5.00,8.00,103,NULL,NULL,'ZONA NORTE','PANAMBI','RS',1622,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5267196,5.00,8.00,4.00,5.00,6.00,8.63,3.00,5.00,6.00,202,NULL,235,'VILA BRUNA','APUCARANA','PR',6257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5267218,9.00,4.00,4.00,7.00,8.00,13.13,3.00,4.00,6.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',3441,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5267226,0.00,4.00,1.00,7.00,4.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'SANTA BÁRBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5267234,4.00,4.00,1.00,6.00,7.00,7.50,0.00,3.00,3.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5267242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOSÉ','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5267250,5.00,7.00,3.00,5.00,7.00,7.88,3.00,4.00,6.00,653,NULL,203,'CENTRO','BAL ARROIO SILVA','SC',10508,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5267269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SANTA CECILIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5267277,5.00,7.00,2.00,4.00,9.00,9.00,3.00,4.00,5.00,201,NULL,653,'TAQUARI','CPO GRANDE','MS',8510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5267285,6.00,6.00,4.00,5.00,8.00,9.38,3.00,3.00,4.00,201,NULL,202,'PONTE DO IMARUIM','PALHOÇA','SC',11802,855,NULL,407,NULL,NULL,NULL,2,1),(20,5267293,2.00,3.00,2.00,5.00,5.00,NULL,0.00,3.00,3.00,303,NULL,NULL,'CENTRO','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5267323,0.00,4.00,0.00,1.00,3.00,NULL,3.00,1.00,3.00,317,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5267331,1.00,3.00,3.00,3.00,2.00,NULL,1.00,3.00,2.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5267340,2.00,1.00,2.00,3.00,2.00,NULL,2.00,1.00,1.00,103,NULL,NULL,'CENTRO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5267358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'CENTRO','ARROIO TRINTA','SC',NULL,NULL,NULL,NULL,'S','S','S',5,7),(20,5267366,7.00,6.00,2.00,7.00,5.00,7.88,3.00,4.00,7.00,233,NULL,208,'SANTO ANTONIO','FLORIANÓPOLIS','SC',8734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5267382,8.00,6.00,8.00,7.00,8.00,9.00,4.00,4.00,6.00,103,NULL,NULL,'TINGUI','CURITIBA','PR',2032,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5267390,6.00,7.00,6.00,2.00,9.00,8.63,3.00,3.00,6.00,102,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5267404,8.00,5.00,4.00,4.00,7.00,11.25,2.00,5.00,5.00,102,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',7258,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5267412,6.00,5.00,7.00,7.00,9.00,8.63,4.00,4.00,7.00,102,NULL,NULL,'CENTRO','LAGES','SC',3755,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5267439,8.00,8.00,4.00,7.00,9.00,11.63,5.00,6.00,8.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',455,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5267455,2.00,2.00,1.00,5.00,5.00,NULL,0.00,1.00,2.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5267463,8.00,4.00,5.00,6.00,6.00,9.38,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5267471,8.00,8.00,3.00,7.00,10.00,12.38,6.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1101,654,NULL,NULL,NULL,NULL,NULL,4,1),(20,5267498,2.00,4.00,0.00,6.00,4.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5267501,4.00,5.00,1.00,7.00,7.00,8.63,3.00,4.00,4.00,319,NULL,NULL,'JUVEVÊ','CURITIBA','PR',10014,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5267528,2.00,1.00,1.00,0.00,3.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'SANGA GRANDE','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5267536,2.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'RAICHASKI','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',5,5),(20,5267560,2.00,4.00,2.00,0.00,3.00,NULL,0.00,1.00,2.00,415,NULL,NULL,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5267579,6.00,5.00,6.00,5.00,6.00,7.50,2.00,4.00,4.00,211,NULL,233,'MAR GROSSO','LAGUNA','SC',12125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5267595,8.00,8.00,6.00,4.00,9.00,8.63,5.00,5.00,8.00,202,NULL,653,'PARQUE DAS AVENIDAS','SOMBRIO','SC',2077,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5267609,7.00,6.00,0.00,7.00,7.00,9.38,5.00,5.00,6.00,5,NULL,NULL,'CENTRO','LACERDÓPOLIS','SC',6350,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5267617,2.00,5.00,0.00,2.00,2.00,NULL,1.00,1.00,5.00,216,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5267625,5.00,5.00,2.00,4.00,5.00,6.75,0.00,1.00,4.00,601,NULL,NULL,'CENTRO','ARAQUARI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5267633,1.00,6.00,0.00,1.00,4.00,NULL,1.00,4.00,4.00,234,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5267641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5267650,6.00,6.00,1.00,4.00,6.00,7.88,2.00,1.00,4.00,211,NULL,233,'JD SAO DIMAS','S JOSÉ CAMPOS','SP',12293,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5267668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'PARQUE PERUCHE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5267676,6.00,6.00,0.00,7.00,9.00,12.75,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','MEDIANEIRA','PR',3360,1610,NULL,NULL,NULL,NULL,NULL,4,4),(20,5267684,6.00,7.00,4.00,7.00,9.00,7.50,0.00,3.00,4.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5267692,8.00,4.00,2.00,5.00,5.00,6.75,5.00,4.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7805,2798,NULL,NULL,NULL,NULL,NULL,2,8),(20,5267730,4.00,5.00,3.00,3.00,6.00,7.50,4.00,2.00,3.00,207,NULL,211,'N S DE FATIMA','BRAÇO NORTE','SC',14988,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5267749,9.00,7.00,6.00,7.00,7.00,12.00,1.00,6.00,6.00,102,NULL,NULL,'CIDADE ALTA','JAGUARIAÍVA','PR',2123,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5267757,5.00,5.00,2.00,6.00,4.00,6.00,3.00,1.00,1.00,502,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',15862,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5267765,4.00,6.00,2.00,3.00,5.00,7.50,1.00,3.00,4.00,3,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5267790,8.00,7.00,7.00,7.00,6.00,6.75,6.00,4.00,8.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',2751,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5267803,7.00,6.00,2.00,6.00,7.00,8.63,3.00,3.00,5.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',7781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5267820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,216,'CENTRO','IVAIPORÃ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5267838,7.00,6.00,0.00,4.00,7.00,7.88,2.00,4.00,6.00,203,NULL,214,'JARDIM LA SALLE','TOLEDO','PR',8923,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5267846,5.00,6.00,4.00,5.00,6.00,7.50,4.00,4.00,4.00,444,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',9579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5267854,2.00,6.00,1.00,5.00,8.00,10.13,1.00,3.00,6.00,319,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',12213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5267862,4.00,7.00,1.00,4.00,6.00,7.50,3.00,3.00,7.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',13399,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5267870,4.00,5.00,1.00,6.00,4.00,8.63,4.00,1.00,4.00,207,NULL,201,'PONTE DO IMARUIN','PALHOÇA','SC',14925,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5267889,8.00,7.00,6.00,7.00,9.00,0.00,2.00,4.00,7.00,103,NULL,NULL,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5267897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CENTRO','S MIGUEL IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5267927,7.00,6.00,1.00,6.00,9.00,12.00,1.00,2.00,5.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',8413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5267935,8.00,5.00,5.00,5.00,7.00,10.88,2.00,4.00,5.00,233,NULL,601,'ATIRADORES','JOINVILLE','SC',6552,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5267943,5.00,5.00,1.00,5.00,5.00,9.38,1.00,4.00,4.00,337,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',15513,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5267951,2.00,5.00,2.00,2.00,6.00,NULL,2.00,2.00,2.00,203,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5267960,7.00,5.00,3.00,6.00,5.00,9.38,2.00,1.00,4.00,215,NULL,208,'MAR GROSSO','LAGUNA','SC',11740,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5267978,7.00,5.00,3.00,4.00,7.00,8.63,4.00,4.00,5.00,104,NULL,NULL,'CENTRO','COCAL SUL','SC',8984,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5267986,4.00,3.00,1.00,4.00,6.00,NULL,3.00,0.00,3.00,104,NULL,NULL,'CENTRO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5267994,6.00,5.00,3.00,5.00,4.00,8.25,5.00,3.00,3.00,301,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',12916,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5268001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5268028,1.00,0.00,0.00,0.00,0.00,NULL,0.00,1.00,0.00,551,NULL,NULL,'ESTRADA GERAL','PTE ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5268036,8.00,9.00,3.00,5.00,9.00,9.38,5.00,6.00,8.00,103,NULL,NULL,'SÃO VICENTE','JOAÇABA','SC',2582,1324,NULL,NULL,NULL,NULL,NULL,4,7),(20,5268044,5.00,4.00,1.00,3.00,6.00,NULL,1.00,3.00,3.00,303,NULL,NULL,'PETRÓPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5268052,9.00,9.00,2.00,7.00,10.00,11.25,3.00,7.00,6.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',1395,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5268087,7.00,6.00,3.00,6.00,5.00,7.88,2.00,2.00,4.00,207,NULL,211,'PONTE GRANDE','MOGI CRUZES','SP',9910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5268095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5268109,7.00,7.00,7.00,6.00,9.00,7.50,7.00,3.00,8.00,103,NULL,NULL,'TERESOPOLIS','PTO ALEGRE','RS',2709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5268117,7.00,7.00,4.00,7.00,7.00,10.50,4.00,3.00,5.00,103,NULL,NULL,'HIGIENOPOLIS','PTO ALEGRE','RS',4382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5268125,5.00,9.00,2.00,7.00,7.00,9.00,3.00,1.00,1.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5268133,5.00,7.00,1.00,6.00,6.00,10.50,3.00,2.00,2.00,303,NULL,NULL,'PRIMAVERA','CONCÓRDIA','SC',11174,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5268150,7.00,5.00,3.00,6.00,3.00,NULL,5.00,2.00,7.00,104,NULL,NULL,'PROGRESSO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5268168,8.00,7.00,4.00,7.00,10.00,12.38,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','GETÚLIO VARGAS','RS',2861,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5268176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'JARDIM SATÉLITE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5268192,6.00,6.00,3.00,5.00,7.00,10.50,4.00,3.00,2.00,336,NULL,NULL,'CENTRO','COCAL SUL','SC',10415,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5268206,0.00,6.00,2.00,5.00,3.00,NULL,3.00,2.00,2.00,202,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5268214,8.00,6.00,4.00,6.00,8.00,8.63,4.00,2.00,6.00,102,NULL,NULL,'CENTRO','BRUSQUE','SC',5333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5268222,3.00,6.00,1.00,2.00,4.00,NULL,2.00,3.00,3.00,316,NULL,NULL,'BELA VISTA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5268249,2.00,3.00,4.00,5.00,2.00,NULL,1.00,3.00,3.00,653,NULL,652,'JARDIM CIBELE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5268265,7.00,6.00,2.00,7.00,6.00,9.00,3.00,4.00,7.00,103,NULL,NULL,'JARDIM AMERICA','CAXIAS SUL','RS',6293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5268273,6.00,6.00,4.00,4.00,8.00,11.63,3.00,4.00,7.00,303,NULL,NULL,'CAPOERIAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5268281,5.00,6.00,2.00,5.00,4.00,8.25,1.00,3.00,5.00,452,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',14302,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5268290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5268303,3.00,3.00,2.00,5.00,7.00,6.75,1.00,2.00,4.00,415,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5268311,4.00,4.00,1.00,7.00,7.00,10.13,1.00,0.00,3.00,103,NULL,NULL,'GUARANI','NOVO HAMBURGO','RS',13645,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5268320,3.00,5.00,2.00,2.00,2.00,NULL,0.00,4.00,4.00,301,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5268338,2.00,6.00,2.00,2.00,6.00,NULL,0.00,2.00,4.00,301,NULL,NULL,'SAO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5268346,3.00,7.00,2.00,1.00,2.00,NULL,3.00,1.00,4.00,201,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5268354,5.00,3.00,1.00,5.00,5.00,6.00,1.00,3.00,4.00,303,NULL,NULL,'TRES MARIAS','S JOSÉ PINHAIS','PR',15148,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5268362,2.00,3.00,0.00,2.00,5.00,NULL,2.00,2.00,2.00,308,NULL,NULL,'FAZENDA SANTO ANTÔNI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5268370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'CENTRO','STO ANTÔNIO PLATINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5268389,9.00,5.00,4.00,3.00,6.00,6.00,2.00,3.00,4.00,216,NULL,653,'ANA RITA','PNT GROSSA','PR',10743,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5268397,4.00,6.00,4.00,4.00,6.00,11.25,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','IBOTIRAMA','BA',10902,3288,NULL,NULL,NULL,NULL,NULL,2,1),(20,5268400,7.00,5.00,1.00,4.00,5.00,8.63,3.00,3.00,3.00,207,NULL,201,'ALTO BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5268419,8.00,5.00,4.00,7.00,8.00,10.50,3.00,3.00,7.00,103,NULL,NULL,'VILA INDUSTRIAL','TOLEDO','PR',4270,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5268427,5.00,7.00,3.00,6.00,7.00,9.00,1.00,2.00,2.00,501,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5268435,1.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'INTERIOR','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,16),(20,5268443,6.00,4.00,0.00,4.00,3.00,NULL,1.00,1.00,4.00,333,NULL,NULL,'GUATÁ','LAURO MÜLLER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5268460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','BOITUVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5268478,7.00,8.00,7.00,7.00,9.00,10.13,5.00,4.00,6.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5268486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM ESRELA','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5268508,4.00,6.00,1.00,3.00,10.00,7.13,1.00,3.00,4.00,303,NULL,NULL,'CENTRO','GR PARÁ','SC',13408,544,NULL,NULL,NULL,NULL,NULL,4,10),(20,5268516,5.00,5.00,0.00,3.00,3.00,NULL,1.00,1.00,5.00,333,NULL,NULL,'PETRÓPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5268524,2.00,5.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,301,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5268532,6.00,3.00,1.00,3.00,4.00,NULL,3.00,1.00,1.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5268540,8.00,8.00,8.00,7.00,7.00,8.63,4.00,5.00,8.00,201,NULL,212,'SANTA HELENA','LAGES','SC',1098,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5268559,7.00,6.00,2.00,5.00,8.00,9.00,3.00,3.00,5.00,426,NULL,425,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10037,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5268575,4.00,4.00,2.00,4.00,6.00,7.50,3.00,3.00,4.00,451,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5268583,5.00,6.00,2.00,3.00,5.00,NULL,2.00,0.00,3.00,316,NULL,NULL,'SANTA ROSA','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5268591,3.00,5.00,1.00,4.00,5.00,NULL,2.00,1.00,1.00,104,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5268605,3.00,4.00,2.00,5.00,5.00,7.88,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','LAURO MÜLLER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5268613,4.00,7.00,4.00,5.00,5.00,NULL,0.00,3.00,3.00,332,NULL,NULL,'UNIVERSITÁIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5268621,8.00,5.00,5.00,6.00,9.00,8.63,4.00,4.00,6.00,215,NULL,216,'CENTRO','VACARIA','RS',3979,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5268630,9.00,5.00,1.00,7.00,6.00,11.25,5.00,6.00,8.00,103,NULL,NULL,'TARUMA','CURITIBA','PR',2390,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5268648,4.00,5.00,1.00,5.00,6.00,NULL,0.00,1.00,3.00,207,NULL,NULL,'ARIRIÚ DA FORMIGA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5268656,1.00,5.00,1.00,3.00,5.00,NULL,2.00,2.00,5.00,318,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5268672,3.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,651,NULL,652,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(20,5268680,6.00,5.00,2.00,4.00,6.00,NULL,0.00,3.00,4.00,208,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5268702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5268710,7.00,7.00,5.00,7.00,7.00,9.00,3.00,4.00,6.00,452,NULL,NULL,'CENTRO','GUARAPUAVA','PR',7808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5268729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTANA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5268737,4.00,3.00,2.00,3.00,5.00,8.25,4.00,3.00,4.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5268745,2.00,4.00,3.00,2.00,3.00,NULL,4.00,1.00,2.00,327,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5268753,6.00,7.00,2.00,4.00,5.00,8.25,2.00,3.00,3.00,333,NULL,NULL,'CENTRO','IPATINGA','MG',13066,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5268761,7.00,6.00,5.00,5.00,8.00,9.75,3.00,4.00,7.00,601,NULL,214,'ANITA GARIBALDI','JOINVILLE','SC',4184,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5268770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5268788,8.00,6.00,6.00,2.00,6.00,7.88,4.00,3.00,6.00,233,NULL,220,'VIVENDAS','GUAÍRA','SP',7110,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5268796,3.00,2.00,4.00,4.00,2.00,NULL,3.00,2.00,4.00,653,NULL,652,'GARAPUVU','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5268800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'RIO VERDE','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5268818,3.00,8.00,2.00,4.00,8.00,6.00,2.00,2.00,3.00,207,NULL,215,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',14545,697,NULL,303,NULL,NULL,NULL,2,1),(20,5268826,7.00,8.00,6.00,7.00,8.00,9.00,5.00,4.00,4.00,201,NULL,203,'CANCELLI','CASCAVEL','PR',3569,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5268834,4.00,6.00,2.00,6.00,9.00,9.75,2.00,2.00,6.00,415,NULL,NULL,'RIO BRANCO','CAXIAS SUL','RS',10286,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5268850,2.00,4.00,2.00,4.00,4.00,NULL,0.00,3.00,4.00,317,NULL,NULL,'DIVINEIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5268869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'JARDIM PARAISO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5268877,7.00,0.00,3.00,7.00,7.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5268885,9.00,7.00,4.00,7.00,7.00,9.00,5.00,6.00,9.00,103,NULL,NULL,'JD STA GENEBRA','CAMPINAS','SP',1553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5268893,6.00,4.00,4.00,4.00,6.00,10.13,4.00,3.00,7.00,303,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5268915,5.00,7.00,6.00,6.00,5.00,8.25,5.00,3.00,8.00,203,NULL,202,'BATEL','GUARAPUAVA','PR',4743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5268923,1.00,3.00,2.00,4.00,5.00,NULL,1.00,0.00,3.00,451,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5268931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'JARDIM ROYAL GOLF','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5268940,1.00,5.00,2.00,4.00,8.00,NULL,1.00,0.00,4.00,425,NULL,428,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5268958,9.00,7.00,7.00,7.00,10.00,9.38,7.00,5.00,9.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5268974,6.00,5.00,4.00,7.00,7.00,10.88,3.00,2.00,5.00,211,NULL,238,'CARIANOS','FLORIANÓPOLIS','SC',9336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5268982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(20,5268990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5269008,3.00,4.00,1.00,2.00,5.00,NULL,1.00,2.00,2.00,211,NULL,215,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269016,3.00,2.00,2.00,4.00,5.00,NULL,2.00,2.00,3.00,207,NULL,203,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5269024,5.00,2.00,2.00,1.00,4.00,NULL,2.00,3.00,2.00,102,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269032,8.00,6.00,7.00,7.00,7.00,7.13,7.00,3.00,7.00,214,NULL,213,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269040,2.00,5.00,2.00,2.00,4.00,NULL,2.00,2.00,4.00,551,NULL,NULL,'ZONA RURAL','CPO BELO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5269059,5.00,7.00,1.00,6.00,9.00,9.00,2.00,3.00,3.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',10085,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5269067,6.00,6.00,2.00,6.00,7.00,8.25,2.00,3.00,5.00,103,NULL,NULL,'CENTRO','IMBITUBA','SC',8789,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269083,7.00,7.00,2.00,6.00,10.00,11.63,3.00,5.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269091,8.00,6.00,6.00,7.00,10.00,8.63,6.00,5.00,5.00,220,NULL,201,'CARANDÁ BOSQUE','CPO GRANDE','MS',2085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269105,5.00,6.00,2.00,5.00,4.00,7.88,2.00,3.00,4.00,202,NULL,220,'INGLESES','FLORIANÓPOLIS','SC',14499,482,NULL,358,NULL,NULL,NULL,2,1),(20,5269113,2.00,3.00,2.00,2.00,4.00,NULL,2.00,4.00,3.00,653,NULL,NULL,'VILA SAO JOSE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5269130,2.00,2.00,2.00,2.00,2.00,NULL,2.00,1.00,2.00,203,NULL,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5269148,9.00,7.00,3.00,6.00,9.00,7.50,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AE CARVALHO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5269164,2.00,5.00,2.00,4.00,6.00,9.38,3.00,3.00,3.00,451,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269172,5.00,5.00,1.00,4.00,7.00,NULL,0.00,3.00,2.00,551,NULL,NULL,'CIDADE JARDIM','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5269180,2.00,6.00,0.00,6.00,5.00,NULL,0.00,1.00,4.00,502,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269199,2.00,5.00,2.00,1.00,3.00,NULL,4.00,2.00,3.00,104,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269202,4.00,3.00,1.00,5.00,4.00,NULL,0.00,1.00,3.00,301,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269210,2.00,4.00,0.00,2.00,5.00,NULL,0.00,2.00,4.00,302,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269229,8.00,7.00,4.00,6.00,8.00,6.75,3.00,5.00,7.00,103,NULL,NULL,'PORTO SEGURO','LONDRINA','PR',5411,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5269237,6.00,4.00,3.00,7.00,6.00,9.75,0.00,2.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269245,4.00,2.00,2.00,4.00,6.00,NULL,1.00,2.00,5.00,320,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5269253,5.00,8.00,2.00,6.00,7.00,8.25,2.00,3.00,4.00,319,NULL,NULL,'TESTO REGA','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5269261,7.00,5.00,2.00,4.00,9.00,7.50,2.00,0.00,6.00,301,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',13068,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5269288,5.00,7.00,4.00,5.00,6.00,7.88,3.00,2.00,3.00,203,NULL,214,'CENTRO','LONDRINA','PR',12613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269296,4.00,5.00,1.00,4.00,4.00,NULL,0.00,1.00,3.00,333,NULL,NULL,'CENTRO','GUARATUBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5269300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,207,'INTERIOR','QUILOMBO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5269326,9.00,9.00,7.00,6.00,10.00,10.50,3.00,5.00,8.00,415,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',869,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5269334,0.00,5.00,3.00,3.00,3.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269342,4.00,5.00,0.00,2.00,2.00,NULL,3.00,2.00,3.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269350,6.00,7.00,1.00,7.00,7.00,7.13,2.00,5.00,3.00,9,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',9335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269369,6.00,4.00,0.00,7.00,6.00,6.38,4.00,2.00,4.00,208,NULL,NULL,'MORUMBI','S PAULO','SP',14521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269393,3.00,5.00,1.00,2.00,4.00,NULL,3.00,2.00,2.00,340,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269407,6.00,7.00,3.00,6.00,6.00,10.13,2.00,5.00,6.00,202,NULL,601,'JOÃO PAULO','FLORIANÓPOLIS','SC',6405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CERQUEIRA CÉSAR','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5269423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5269431,7.00,7.00,6.00,5.00,10.00,8.63,8.00,4.00,8.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',1930,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269458,9.00,8.00,8.00,3.00,9.00,7.88,4.00,5.00,4.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',3159,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269466,8.00,7.00,6.00,7.00,8.00,7.13,6.00,4.00,8.00,103,NULL,NULL,'COQUEIRAL','CASCAVEL','PR',1815,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5269490,3.00,5.00,1.00,6.00,4.00,NULL,1.00,2.00,3.00,216,NULL,211,'VILA NOVA','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5269512,3.00,4.00,0.00,7.00,5.00,7.88,2.00,3.00,4.00,103,NULL,NULL,'SÃO MIGUEL','CRUZ ALTA','RS',15896,3811,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269520,9.00,5.00,4.00,5.00,8.00,8.25,3.00,4.00,6.00,238,NULL,208,'FORQUILHINHAS','S JOSÉ','SC',6012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269539,6.00,5.00,2.00,5.00,7.00,7.88,4.00,3.00,4.00,201,NULL,212,'SÃO FRANCISCO','CURITIBANOS','SC',11432,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5269555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5269563,5.00,6.00,1.00,4.00,4.00,7.13,2.00,4.00,3.00,220,NULL,203,'ZONA DOIS','CIANORTE','PR',15555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269571,3.00,5.00,0.00,5.00,3.00,NULL,0.00,3.00,2.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5269598,7.00,6.00,4.00,4.00,7.00,8.63,4.00,5.00,4.00,329,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269601,3.00,4.00,0.00,3.00,4.00,NULL,0.00,0.00,1.00,102,NULL,NULL,'GETULIO VARGAS','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5269610,4.00,4.00,3.00,5.00,4.00,8.25,1.00,3.00,4.00,102,NULL,NULL,'PRAIA DA CAL','TORRES','RS',15049,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5269628,4.00,5.00,2.00,4.00,7.00,8.63,1.00,2.00,5.00,110,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',15373,20,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269636,6.00,3.00,0.00,7.00,7.00,NULL,3.00,3.00,2.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269652,4.00,4.00,4.00,5.00,4.00,9.38,5.00,2.00,6.00,207,NULL,601,'CENTRO','TRÊS MAIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5269687,3.00,4.00,2.00,5.00,3.00,NULL,1.00,2.00,0.00,423,NULL,428,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269695,7.00,4.00,3.00,4.00,7.00,10.50,2.00,5.00,6.00,317,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',10844,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269709,4.00,6.00,1.00,5.00,8.00,10.50,3.00,2.00,2.00,318,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',13568,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269717,1.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CAMACHO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(20,5269725,5.00,6.00,1.00,6.00,6.00,9.00,3.00,3.00,3.00,453,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',12070,82,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269733,3.00,7.00,2.00,4.00,6.00,8.25,2.00,3.00,6.00,420,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13173,107,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269741,7.00,5.00,4.00,7.00,9.00,7.50,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6167,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5269768,4.00,5.00,1.00,0.00,3.00,NULL,2.00,2.00,2.00,207,NULL,203,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,208,'BELA VISTA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5269784,6.00,0.00,2.00,3.00,4.00,NULL,0.00,1.00,1.00,308,NULL,NULL,'JARDM FLORIANOPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5269806,5.00,6.00,3.00,7.00,7.00,6.75,3.00,1.00,3.00,235,NULL,220,'BELA VISTA','FRAIBURGO','SC',12146,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5269814,7.00,5.00,8.00,5.00,8.00,9.00,3.00,3.00,7.00,103,NULL,NULL,'CENTRO','CIANORTE','PR',3261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269849,2.00,5.00,0.00,2.00,4.00,NULL,1.00,1.00,2.00,308,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269857,5.00,5.00,4.00,2.00,9.00,12.00,1.00,3.00,3.00,102,NULL,NULL,'CENTRO','TUBARÃO','SC',12718,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5269865,4.00,7.00,0.00,2.00,5.00,NULL,1.00,4.00,3.00,238,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269873,6.00,3.00,3.00,6.00,7.00,7.50,3.00,5.00,4.00,103,NULL,NULL,'IPIRANGA','MARMELEIRO','PR',9825,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5269881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CAPITAIS','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5269903,2.00,5.00,0.00,5.00,4.00,NULL,0.00,1.00,2.00,211,NULL,216,'CENTRO','BOA V BURICÁ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5269911,7.00,5.00,4.00,4.00,6.00,8.25,1.00,2.00,4.00,220,NULL,201,'CENTRO','STA MARIA','RS',10793,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5269938,4.00,5.00,2.00,4.00,5.00,NULL,0.00,3.00,2.00,601,NULL,NULL,'JARDIM SOPHIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5269954,5.00,7.00,2.00,7.00,8.00,7.88,3.00,3.00,5.00,601,NULL,203,'NOVA OURINHOS','OURINHOS','SP',10886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5269970,7.00,7.00,2.00,3.00,8.00,6.75,4.00,6.00,4.00,234,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270014,8.00,5.00,3.00,5.00,7.00,8.25,2.00,0.00,5.00,319,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',11137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5270022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','PTE SERRADA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5270030,8.00,6.00,3.00,6.00,6.00,8.63,6.00,4.00,8.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',3637,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5270049,5.00,4.00,2.00,4.00,4.00,7.88,1.00,3.00,4.00,103,NULL,NULL,'SANTA CRUZ','TREZE MAIO','SC',15622,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5270057,7.00,6.00,5.00,5.00,7.00,7.88,4.00,2.00,7.00,201,NULL,203,'NOSSA SR APARECIDA','DOIS VIZINHOS','PR',5677,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5270065,4.00,5.00,2.00,6.00,9.00,6.38,1.00,2.00,5.00,207,NULL,211,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',14306,686,NULL,446,NULL,NULL,NULL,2,1),(20,5270073,2.00,4.00,2.00,5.00,4.00,NULL,3.00,0.00,2.00,415,NULL,NULL,'OPERARIA NOVA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5270081,3.00,3.00,1.00,1.00,2.00,NULL,1.00,1.00,5.00,5,NULL,NULL,'VARGEM DO CEDRO','S MARTINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5270090,2.00,1.00,0.00,4.00,3.00,NULL,0.00,2.00,2.00,324,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270103,8.00,8.00,3.00,7.00,9.00,9.75,5.00,6.00,6.00,201,NULL,207,'PICANÇO','GUARULHOS','SP',1713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5270120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'MEDIANEIRA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5270138,9.00,7.00,5.00,7.00,9.00,10.13,6.00,3.00,9.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',1192,704,NULL,NULL,NULL,NULL,NULL,4,8),(20,5270146,2.00,0.00,1.00,2.00,3.00,NULL,4.00,0.00,0.00,203,NULL,214,'MORADA DO SOL','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5270162,4.00,4.00,0.00,3.00,3.00,NULL,0.00,2.00,3.00,651,NULL,652,'LAGOAO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5270170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'PRESIDENTE MÉDICI','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5270189,8.00,5.00,5.00,6.00,7.00,9.00,1.00,4.00,8.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',5575,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5270200,5.00,7.00,4.00,4.00,6.00,9.00,2.00,6.00,5.00,203,NULL,233,'FORQUILHINHAS','S JOSÉ','SC',8702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270219,9.00,8.00,8.00,6.00,10.00,10.50,6.00,5.00,7.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',843,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270227,4.00,5.00,1.00,5.00,4.00,NULL,1.00,2.00,2.00,336,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270235,1.00,2.00,3.00,6.00,3.00,NULL,1.00,0.00,2.00,108,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5270243,4.00,5.00,0.00,2.00,6.00,NULL,0.00,4.00,4.00,316,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5270260,8.00,9.00,6.00,6.00,6.00,10.88,8.00,4.00,8.00,203,NULL,601,'BARRA DO RIO','ITAJAÍ','SC',772,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5270286,5.00,4.00,0.00,1.00,6.00,NULL,1.00,0.00,3.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5270294,4.00,4.00,2.00,4.00,7.00,NULL,1.00,1.00,3.00,5,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270308,8.00,8.00,4.00,6.00,5.00,8.63,5.00,2.00,6.00,201,NULL,212,'FAZENDA SANTO ANTONI','S JOSÉ','SC',5289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5270316,8.00,6.00,8.00,7.00,8.00,9.75,8.00,6.00,8.00,103,NULL,NULL,'SOARES','CACHOEIRA SUL','RS',534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5270332,3.00,6.00,2.00,4.00,5.00,6.75,1.00,2.00,4.00,501,NULL,NULL,'BOSQUE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5270359,5.00,6.00,2.00,4.00,9.00,8.63,1.00,4.00,7.00,211,NULL,653,'CENTRO','S JOÃO BATISTA','SC',9371,267,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270367,0.00,5.00,2.00,7.00,4.00,NULL,2.00,1.00,2.00,324,NULL,NULL,'APARECIDA','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5270383,6.00,6.00,3.00,4.00,7.00,9.38,3.00,4.00,5.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11264,191,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270391,7.00,8.00,5.00,4.00,5.00,9.00,1.00,5.00,5.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',7120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270405,4.00,6.00,2.00,6.00,7.00,7.50,3.00,3.00,3.00,216,NULL,233,'CENTRO','BENEDITO NOVO','SC',10358,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5270413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD DAS AMERICAS','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5270421,1.00,0.00,0.00,1.00,1.00,NULL,0.00,0.00,0.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(20,5270448,8.00,6.00,1.00,6.00,8.00,10.88,2.00,4.00,5.00,108,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',7970,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5270456,5.00,6.00,1.00,6.00,8.00,8.63,3.00,4.00,3.00,3,NULL,NULL,'CENTRO','ITAJAÍ','SC',10521,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5270464,4.00,5.00,2.00,6.00,3.00,NULL,3.00,1.00,3.00,453,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5270472,3.00,7.00,4.00,7.00,6.00,7.50,1.00,4.00,4.00,202,NULL,235,'ANTAS','MONDAÍ','SC',11467,398,NULL,155,NULL,NULL,NULL,4,4),(20,5270480,3.00,5.00,2.00,2.00,4.00,NULL,1.00,4.00,3.00,202,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5270499,7.00,6.00,4.00,4.00,5.00,6.38,2.00,5.00,5.00,104,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',11786,301,NULL,NULL,NULL,NULL,NULL,4,1),(20,5270502,4.00,6.00,3.00,2.00,7.00,10.13,1.00,2.00,4.00,103,NULL,NULL,'PINHEIRINHO DO MEIO','JACINTO MACHADO','SC',12411,3462,NULL,NULL,NULL,NULL,NULL,4,15),(20,5270510,9.00,6.00,4.00,7.00,9.00,8.63,5.00,3.00,7.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',4078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5270529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','JZ FORA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5270545,6.00,6.00,3.00,4.00,6.00,10.50,1.00,2.00,5.00,224,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',14162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5270553,7.00,6.00,2.00,4.00,7.00,8.63,0.00,2.00,4.00,501,NULL,NULL,'SAO VICENTE','HERVAL D OESTE','SC',12435,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5270570,2.00,5.00,2.00,4.00,2.00,NULL,2.00,1.00,3.00,101,NULL,NULL,'SANTA ISABEL','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5270588,4.00,3.00,5.00,3.00,6.00,7.50,2.00,2.00,3.00,205,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',16181,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270596,6.00,7.00,2.00,3.00,6.00,6.38,3.00,4.00,4.00,201,NULL,215,'ITAIPAVA','ITAJAÍ','SC',12956,928,NULL,271,NULL,NULL,NULL,2,6),(20,5270600,7.00,7.00,3.00,6.00,8.00,4.13,2.00,3.00,7.00,103,NULL,NULL,'CENTRO','CERRO G SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5270618,3.00,3.00,2.00,4.00,4.00,NULL,0.00,3.00,4.00,5,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5270626,6.00,1.00,0.00,1.00,2.00,NULL,1.00,0.00,0.00,444,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5270634,3.00,6.00,2.00,1.00,5.00,NULL,1.00,3.00,1.00,652,NULL,653,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5270650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,214,'MACIERA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5270669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5270677,3.00,4.00,2.00,2.00,5.00,NULL,2.00,4.00,3.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270693,9.00,9.00,7.00,7.00,9.00,10.13,6.00,4.00,8.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5270707,6.00,8.00,3.00,7.00,4.00,9.75,4.00,3.00,4.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',8021,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270715,3.00,4.00,1.00,4.00,5.00,NULL,1.00,0.00,3.00,652,NULL,NULL,'PARQUE DAS AVENIDAS','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5270723,1.00,5.00,3.00,2.00,3.00,NULL,2.00,1.00,2.00,214,NULL,211,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270740,4.00,2.00,0.00,3.00,8.00,NULL,1.00,1.00,4.00,316,NULL,NULL,'SANTA ISABEL','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270774,7.00,8.00,1.00,7.00,7.00,7.88,8.00,4.00,5.00,103,NULL,NULL,'VILA SUZANA','CANELA','RS',3974,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5270782,1.00,2.00,1.00,1.00,2.00,NULL,2.00,2.00,1.00,317,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270790,5.00,7.00,0.00,5.00,7.00,6.75,2.00,6.00,6.00,339,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',11657,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'TATUAPE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5270812,5.00,6.00,3.00,5.00,9.00,8.63,3.00,3.00,4.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270820,3.00,5.00,1.00,3.00,3.00,NULL,3.00,1.00,0.00,316,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270839,6.00,6.00,4.00,6.00,6.00,8.63,4.00,2.00,5.00,340,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',10365,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5270847,4.00,3.00,3.00,3.00,5.00,6.75,2.00,2.00,6.00,238,NULL,208,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',15384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5270871,2.00,4.00,4.00,3.00,4.00,NULL,0.00,2.00,3.00,201,NULL,653,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5270880,4.00,4.00,0.00,3.00,5.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'CAMPOLIM','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5270898,5.00,5.00,2.00,4.00,5.00,8.25,1.00,3.00,6.00,601,NULL,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',15562,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5270901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','S MARTINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5270910,6.00,5.00,2.00,5.00,7.00,8.63,1.00,4.00,4.00,207,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',13027,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270928,7.00,8.00,2.00,4.00,8.00,7.50,3.00,4.00,4.00,102,NULL,NULL,'CENTRO','NOVA VENEZA','SC',7497,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5270936,5.00,4.00,1.00,4.00,3.00,NULL,2.00,1.00,2.00,653,NULL,NULL,'OURO NEGRO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5270944,4.00,4.00,4.00,4.00,4.00,9.38,4.00,2.00,6.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',12970,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5270960,6.00,6.00,5.00,7.00,9.00,10.50,4.00,6.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5270979,2.00,5.00,1.00,2.00,1.00,NULL,1.00,1.00,3.00,653,NULL,652,'PRAIA DA CAL','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5270987,5.00,7.00,0.00,5.00,8.00,NULL,2.00,5.00,5.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5271002,2.00,5.00,1.00,2.00,3.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5271029,2.00,2.00,5.00,5.00,3.00,NULL,2.00,1.00,3.00,238,NULL,NULL,'SANTA ISABEL','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5271037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'CAMPO BELO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5271053,2.00,2.00,0.00,3.00,2.00,NULL,0.00,4.00,2.00,108,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5271061,3.00,2.00,1.00,4.00,4.00,NULL,3.00,2.00,2.00,551,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5271070,1.00,4.00,0.00,0.00,0.00,NULL,2.00,2.00,3.00,101,NULL,NULL,'PACHECO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5271088,8.00,6.00,4.00,3.00,7.00,8.63,5.00,4.00,7.00,319,NULL,NULL,'CENTRO','VERANÓPOLIS','RS',5438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5271096,6.00,7.00,3.00,5.00,5.00,6.75,0.00,1.00,4.00,238,NULL,208,'STO ANTONIO DE PADUA','TUBARÃO','SC',15323,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5271100,2.00,6.00,1.00,4.00,5.00,NULL,1.00,2.00,2.00,207,NULL,201,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5271118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM ANGÉLICA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5271126,4.00,1.00,3.00,2.00,4.00,NULL,3.00,1.00,0.00,201,NULL,207,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5271134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'JARDIM ITALIA','MELEIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5271150,6.00,6.00,3.00,7.00,7.00,10.50,1.00,2.00,3.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5271169,8.00,6.00,3.00,6.00,10.00,10.50,3.00,4.00,6.00,5,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',5381,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5271185,3.00,5.00,3.00,3.00,4.00,6.75,1.00,3.00,4.00,234,NULL,NULL,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5271193,9.00,9.00,3.00,7.00,9.00,10.50,6.00,5.00,7.00,108,NULL,NULL,'GASPAR MIRIM','GASPAR','SC',954,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5271207,3.00,3.00,0.00,4.00,6.00,NULL,2.00,1.00,1.00,215,NULL,233,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5271215,7.00,6.00,4.00,5.00,8.00,8.63,3.00,1.00,7.00,103,NULL,NULL,'MORADA DO SOL','VIDEIRA','SC',7885,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5271223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5271231,8.00,7.00,9.00,5.00,6.00,10.88,7.00,5.00,9.00,5,NULL,NULL,'BOM RETIRO','CURITIBA','PR',967,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5271240,5.00,2.00,3.00,3.00,3.00,NULL,0.00,2.00,3.00,203,NULL,201,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5271258,5.00,6.00,5.00,3.00,5.00,7.50,3.00,3.00,4.00,213,NULL,653,'CABEÇUDA','LAGUNA','SC',13340,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5271266,9.00,8.00,5.00,8.00,10.00,10.50,5.00,4.00,9.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',470,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5271274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JOSÉ DRESSENO','ITAIÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(20,5271282,3.00,3.00,0.00,4.00,2.00,NULL,3.00,3.00,2.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5271290,5.00,6.00,1.00,7.00,10.00,8.25,1.00,4.00,4.00,216,NULL,NULL,'RIO SALTO','URUSSANGA','SC',10465,430,NULL,NULL,NULL,NULL,NULL,4,5),(20,5271304,3.00,5.00,1.00,5.00,5.00,7.50,2.00,3.00,3.00,444,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',15941,100,NULL,NULL,NULL,NULL,NULL,4,1),(20,5271320,3.00,6.00,2.00,6.00,6.00,9.75,1.00,2.00,8.00,327,NULL,NULL,'CENTRO','BAL BARRA SUL','SC',13308,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5271347,3.00,6.00,1.00,2.00,3.00,NULL,3.00,1.00,2.00,203,NULL,220,'ENSEADA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5271355,2.00,5.00,1.00,5.00,5.00,NULL,1.00,2.00,4.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5271363,6.00,5.00,0.00,1.00,4.00,7.50,4.00,2.00,3.00,601,NULL,653,'BOM RETIRO','JOINVILLE','SC',16264,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5271371,7.00,7.00,5.00,7.00,8.00,6.75,6.00,6.00,5.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5271398,8.00,6.00,7.00,4.00,7.00,8.25,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','JARDINÓPOLIS','SC',4502,1995,NULL,NULL,NULL,NULL,NULL,4,4),(20,5271401,5.00,6.00,3.00,5.00,7.00,NULL,3.00,4.00,5.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5271410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'AZALÉIA','PINHÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5271428,3.00,6.00,1.00,5.00,7.00,7.88,1.00,2.00,7.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5271436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'TRINTA RÉIS','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5271444,4.00,6.00,2.00,3.00,5.00,6.75,1.00,4.00,5.00,201,NULL,212,'PACHECOS','PALHOÇA','SC',14663,1040,NULL,361,NULL,NULL,NULL,2,1),(20,5271452,8.00,6.00,5.00,7.00,8.00,8.63,3.00,2.00,7.00,103,NULL,NULL,'CENTRO','NOVA A COLINA','PR',4663,2045,NULL,NULL,NULL,NULL,NULL,4,8),(20,5271460,4.00,3.00,0.00,2.00,4.00,NULL,0.00,2.00,1.00,108,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5271479,6.00,6.00,0.00,5.00,6.00,NULL,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5271487,8.00,4.00,2.00,4.00,8.00,8.63,1.00,3.00,6.00,301,NULL,NULL,'JARDIM DAS INDUSTRIA','S JOSÉ CAMPOS','SP',9515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5271509,3.00,6.00,2.00,5.00,7.00,8.25,0.00,1.00,5.00,303,NULL,NULL,'RONDINHA','PTE ALTA NORTE','SC',13897,562,NULL,NULL,NULL,NULL,NULL,2,16),(20,5271517,5.00,5.00,3.00,4.00,7.00,8.25,2.00,4.00,3.00,333,NULL,NULL,'SÃO MATEUS','JZ FORA','MG',12978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5271533,5.00,6.00,0.00,2.00,4.00,6.00,2.00,1.00,4.00,415,NULL,NULL,'JARDIN ITALIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5271550,3.00,0.00,2.00,7.00,4.00,NULL,0.00,0.00,0.00,213,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5271568,5.00,3.00,2.00,5.00,6.00,8.63,2.00,2.00,2.00,429,NULL,427,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5271576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUAJUVIRA DE BAIXO','GUAJUVIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5271584,3.00,3.00,2.00,5.00,6.00,NULL,0.00,1.00,3.00,329,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5271592,4.00,6.00,0.00,4.00,5.00,NULL,2.00,2.00,1.00,428,NULL,426,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5271606,4.00,5.00,0.00,7.00,7.00,10.50,0.00,4.00,2.00,103,NULL,NULL,'PRAIA BRAVA','ITAJAÍ','SC',13242,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5271614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ALVORADA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5271622,6.00,5.00,0.00,3.00,5.00,NULL,2.00,2.00,4.00,108,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5271630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'MORUMBI','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5271649,5.00,6.00,2.00,2.00,5.00,7.13,2.00,4.00,6.00,324,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5271665,4.00,3.00,2.00,3.00,3.00,NULL,0.00,0.00,3.00,319,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5271673,1.00,2.00,0.00,3.00,4.00,NULL,0.00,1.00,1.00,207,NULL,208,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5271681,9.00,9.00,7.00,6.00,9.00,11.25,8.00,6.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5271690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5271703,3.00,4.00,3.00,4.00,2.00,NULL,0.00,0.00,2.00,234,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5271711,2.00,3.00,1.00,4.00,6.00,NULL,3.00,0.00,3.00,303,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5271738,4.00,5.00,0.00,1.00,4.00,NULL,3.00,2.00,2.00,339,NULL,NULL,'JARDIN AQUARIUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5271746,4.00,6.00,3.00,5.00,9.00,7.88,3.00,4.00,4.00,238,NULL,202,'RATONES','FLORIANÓPOLIS','SC',9762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5271754,6.00,1.00,0.00,1.00,5.00,NULL,0.00,1.00,0.00,103,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5271762,5.00,7.00,4.00,5.00,7.00,7.50,3.00,3.00,5.00,329,NULL,NULL,'LOT MONTE CASTELO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5271770,5.00,6.00,4.00,4.00,8.00,9.75,3.00,6.00,6.00,211,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',6833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5271789,5.00,6.00,0.00,2.00,3.00,NULL,1.00,1.00,3.00,653,NULL,NULL,'VILA NOVA','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5271797,4.00,4.00,2.00,5.00,9.00,8.63,3.00,3.00,2.00,319,NULL,NULL,'BANDEIRANTES','BELO HORIZONTE','MG',12454,220,NULL,NULL,NULL,NULL,NULL,2,1),(20,5271800,5.00,6.00,0.00,5.00,8.00,7.88,3.00,3.00,5.00,203,NULL,601,'FLORESTA','S JOSÉ','SC',14151,900,NULL,NULL,NULL,NULL,NULL,2,1),(20,5271819,9.00,7.00,5.00,7.00,9.00,11.63,4.00,6.00,8.00,103,NULL,NULL,'SÃO JOÃO','ARAPONGAS','PR',1004,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5271827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5271835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'CENTRO','S VICENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5271851,6.00,6.00,2.00,7.00,6.00,9.00,4.00,3.00,4.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',8062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5271860,6.00,6.00,2.00,6.00,7.00,8.63,2.00,5.00,5.00,453,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',8903,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5271878,9.00,9.00,4.00,6.00,10.00,9.75,5.00,5.00,8.00,104,NULL,NULL,'VILLAGE','IMBITUBA','SC',1179,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5271886,4.00,5.00,4.00,5.00,6.00,7.13,2.00,3.00,5.00,214,NULL,212,'MONTE CRISTO','FLORIANÓPOLIS','SC',14534,354,NULL,357,NULL,NULL,NULL,2,1),(20,5271894,8.00,6.00,3.00,7.00,8.00,8.25,6.00,5.00,5.00,331,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5271916,6.00,6.00,4.00,5.00,7.00,11.25,4.00,4.00,6.00,102,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',5055,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5271924,3.00,3.00,3.00,7.00,4.00,NULL,2.00,2.00,1.00,207,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,9),(20,5271932,5.00,3.00,3.00,5.00,7.00,8.63,2.00,4.00,5.00,201,NULL,207,'CENTRO','PALHOÇA','SC',9884,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5271940,3.00,5.00,2.00,3.00,6.00,NULL,1.00,2.00,3.00,415,NULL,NULL,'CENTRO','CORUPÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5271959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5271967,6.00,6.00,5.00,5.00,9.00,9.75,1.00,5.00,6.00,415,NULL,NULL,'AMÉRICA','JOINVILLE','SC',4920,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5271983,4.00,6.00,0.00,6.00,5.00,7.50,1.00,3.00,5.00,207,NULL,208,'BELA VISTA','PALHOÇA','SC',13868,665,NULL,370,NULL,NULL,NULL,2,1),(20,5271991,3.00,5.00,2.00,3.00,2.00,NULL,3.00,2.00,2.00,551,NULL,NULL,'SAO JOAO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5272009,7.00,7.00,2.00,2.00,9.00,7.88,4.00,6.00,6.00,201,NULL,207,'CENTRO','VERÊ','PR',5807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VERGUEIRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5272025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5272033,6.00,8.00,4.00,6.00,5.00,12.00,4.00,4.00,5.00,308,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272041,7.00,5.00,4.00,6.00,8.00,7.88,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','ASSAÍ','PR',6983,2644,NULL,NULL,NULL,NULL,NULL,4,8),(20,5272050,3.00,6.00,4.00,5.00,8.00,9.38,4.00,4.00,4.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272076,3.00,8.00,1.00,7.00,7.00,9.38,2.00,3.00,4.00,303,NULL,NULL,'CENTRO','CURITIBANOS','SC',10259,423,NULL,NULL,NULL,NULL,NULL,4,16),(20,5272084,3.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,216,NULL,208,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(20,5272092,3.00,5.00,2.00,2.00,5.00,NULL,1.00,3.00,3.00,302,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'NAÇOES','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5272114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SÃO FELIPE','AVARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5272122,4.00,6.00,1.00,4.00,8.00,7.13,2.00,1.00,3.00,424,NULL,429,'ESTREITO','FLORIANÓPOLIS','SC',15594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272130,4.00,4.00,0.00,0.00,4.00,NULL,1.00,0.00,4.00,333,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272157,4.00,7.00,3.00,5.00,5.00,7.50,3.00,3.00,5.00,238,NULL,208,'CACHOEIRA','FLORIANÓPOLIS','SC',13304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272165,9.00,6.00,7.00,3.00,10.00,11.25,5.00,4.00,7.00,450,NULL,NULL,'PQ INTERLAGOS','S JOSÉ CAMPOS','SP',1891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'MARGEM ESQUERDA','TAIÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5272181,2.00,4.00,2.00,2.00,3.00,NULL,1.00,1.00,4.00,404,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5272190,5.00,6.00,2.00,4.00,6.00,6.00,1.00,3.00,5.00,303,NULL,NULL,'PARQUE JARDIM OURO','OURO','SC',11573,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5272211,2.00,4.00,1.00,5.00,5.00,8.25,3.00,1.00,5.00,444,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',15900,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272220,9.00,9.00,3.00,5.00,9.00,9.00,6.00,3.00,7.00,103,NULL,NULL,'CENTRO','CAXIAS SUL','RS',2392,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5272238,5.00,6.00,2.00,4.00,6.00,9.00,0.00,1.00,3.00,444,NULL,NULL,'VILA GERMER','TIMBÓ','SC',13854,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5272246,5.00,7.00,4.00,6.00,6.00,7.50,2.00,2.00,2.00,235,NULL,202,'VILA ALTO DE SANTO A','STO ANDRÉ','SP',13980,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5272262,4.00,7.00,2.00,6.00,9.00,11.25,1.00,2.00,4.00,415,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',10013,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5272270,6.00,6.00,3.00,7.00,9.00,9.00,2.00,4.00,3.00,427,NULL,424,'CENTRO','BRUSQUE','SC',9101,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5272289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SANTA CRUZ','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5272327,9.00,7.00,5.00,6.00,6.00,10.50,7.00,6.00,6.00,103,NULL,NULL,'VILA SAO JOSE','APUCARANA','PR',1436,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5272335,2.00,5.00,2.00,1.00,4.00,NULL,1.00,3.00,4.00,202,NULL,213,'PINHEIRA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272343,3.00,6.00,0.00,4.00,4.00,NULL,2.00,2.00,4.00,319,NULL,NULL,'BRUNÓPOLIS','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5272351,7.00,7.00,4.00,7.00,7.00,9.00,1.00,2.00,5.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',6234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272360,6.00,7.00,2.00,6.00,6.00,13.13,2.00,4.00,7.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',7891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5272394,4.00,7.00,2.00,4.00,5.00,6.75,1.00,3.00,3.00,332,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15156,29,NULL,NULL,NULL,NULL,NULL,2,1),(20,5272408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PINHÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5272416,6.00,5.00,1.00,4.00,8.00,8.25,3.00,4.00,6.00,318,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5272424,3.00,5.00,1.00,5.00,7.00,7.50,0.00,3.00,3.00,202,NULL,201,'BOEHMERWALD','S BENTO SUL','SC',16083,522,NULL,1124,NULL,NULL,NULL,2,8),(20,5272432,5.00,6.00,5.00,4.00,7.00,9.38,4.00,3.00,3.00,213,NULL,215,'ESTREITO','FLORIANÓPOLIS','SC',10198,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5272440,1.00,5.00,2.00,7.00,9.00,9.38,3.00,3.00,5.00,104,NULL,NULL,'CORAL','LAGES','SC',10922,267,NULL,NULL,NULL,NULL,NULL,4,9),(20,5272459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5272467,6.00,7.00,2.00,6.00,8.00,8.25,5.00,4.00,6.00,415,NULL,NULL,'VORSTADT','BLUMENAU','SC',5829,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5272475,8.00,8.00,6.00,7.00,8.00,9.00,4.00,3.00,5.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',3527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272483,1.00,3.00,0.00,1.00,4.00,NULL,1.00,2.00,3.00,5,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272505,4.00,6.00,2.00,5.00,4.00,8.25,2.00,1.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272513,4.00,5.00,4.00,4.00,5.00,7.50,5.00,1.00,4.00,302,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',14362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272521,6.00,5.00,2.00,4.00,7.00,8.25,3.00,3.00,4.00,451,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',13638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5272530,4.00,6.00,1.00,5.00,6.00,6.38,1.00,2.00,4.00,424,NULL,425,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',15985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272556,8.00,7.00,7.00,7.00,7.00,9.00,5.00,6.00,7.00,214,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',1928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOSÉ','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5272572,1.00,3.00,0.00,3.00,4.00,NULL,0.00,0.00,1.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5272580,9.00,7.00,3.00,8.00,9.00,8.25,7.00,7.00,7.00,220,NULL,202,'JARDIM CAMBURI','VITÓRIA','ES',1265,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5272599,7.00,6.00,1.00,6.00,6.00,10.13,4.00,3.00,5.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7719,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5272602,4.00,6.00,4.00,5.00,7.00,7.13,3.00,2.00,6.00,102,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13456,191,NULL,NULL,NULL,NULL,NULL,2,1),(20,5272610,7.00,8.00,4.00,7.00,5.00,6.75,5.00,6.00,6.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',5487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272629,3.00,5.00,0.00,2.00,3.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272637,1.00,2.00,0.00,4.00,3.00,NULL,2.00,3.00,3.00,425,NULL,423,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272645,6.00,6.00,4.00,5.00,6.00,9.00,5.00,5.00,4.00,340,NULL,NULL,'CENTRO','GAROPABA','SC',8520,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5272653,7.00,5.00,2.00,6.00,7.00,7.50,3.00,3.00,2.00,333,NULL,NULL,'CENTRO','LONDRINA','PR',13328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272661,6.00,6.00,4.00,5.00,5.00,7.50,3.00,3.00,5.00,220,NULL,202,'FORTALEZA','BLUMENAU','SC',10178,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5272670,4.00,4.00,2.00,2.00,3.00,NULL,2.00,4.00,3.00,238,NULL,651,'JARDIM PAULISTA','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5272688,6.00,8.00,4.00,7.00,9.00,10.50,3.00,2.00,5.00,420,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',4271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272696,10.00,9.00,6.00,8.00,10.00,11.25,7.00,6.00,9.00,103,NULL,NULL,'PLANALTO','BENTO GONÇALVES','RS',115,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5272700,9.00,7.00,5.00,7.00,9.00,11.63,6.00,5.00,7.00,103,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',973,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5272718,5.00,5.00,0.00,3.00,6.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272726,4.00,4.00,1.00,4.00,6.00,NULL,2.00,1.00,4.00,5,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5272734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5272742,6.00,5.00,4.00,5.00,9.00,10.50,1.00,3.00,4.00,201,NULL,215,'ESTREITO','FLORIANÓPOLIS','SC',7352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5272750,6.00,6.00,1.00,5.00,9.00,7.50,2.00,3.00,6.00,108,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',10491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5272769,5.00,4.00,3.00,6.00,6.00,7.88,1.00,3.00,5.00,201,NULL,202,'CENTRO','ITAJAÍ','SC',13261,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5272777,9.00,5.00,3.00,6.00,8.00,9.38,2.00,4.00,6.00,103,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',5968,2396,NULL,NULL,NULL,NULL,NULL,2,5),(20,5272785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5272793,6.00,6.00,1.00,3.00,5.00,7.50,2.00,2.00,4.00,9,NULL,NULL,'SANTA HELENA','LAGES','SC',13712,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5272807,9.00,6.00,6.00,6.00,8.00,6.75,7.00,5.00,8.00,103,NULL,NULL,'BROOKLIN PAULISTA','S PAULO','SP',1477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272815,4.00,5.00,0.00,4.00,3.00,NULL,0.00,1.00,2.00,327,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5272823,3.00,8.00,5.00,5.00,10.00,12.75,1.00,5.00,3.00,9,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',5533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272831,7.00,6.00,1.00,3.00,5.00,7.50,2.00,5.00,5.00,423,NULL,424,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5272840,1.00,2.00,0.00,2.00,2.00,NULL,2.00,2.00,2.00,652,NULL,238,'JARDIM CIBELE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5272858,4.00,5.00,1.00,1.00,6.00,NULL,0.00,2.00,2.00,205,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272866,5.00,0.00,1.00,6.00,5.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5272874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,651,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5272890,4.00,6.00,3.00,5.00,7.00,9.00,3.00,3.00,5.00,333,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',8873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5272904,8.00,8.00,5.00,7.00,10.00,9.38,8.00,4.00,9.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5272912,0.00,5.00,1.00,4.00,4.00,NULL,1.00,1.00,1.00,202,NULL,201,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5272920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5272939,7.00,7.00,4.00,4.00,6.00,6.38,2.00,6.00,7.00,303,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',6337,273,NULL,NULL,NULL,NULL,NULL,2,1),(20,5272947,0.00,6.00,1.00,5.00,4.00,NULL,1.00,2.00,2.00,5,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5272955,9.00,7.00,6.00,7.00,9.00,10.13,6.00,3.00,8.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',744,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5272963,7.00,8.00,2.00,7.00,9.00,11.25,5.00,5.00,5.00,104,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',2888,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5272971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5272980,3.00,5.00,1.00,3.00,3.00,NULL,3.00,2.00,4.00,208,NULL,238,'CACHOEIRA B JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5272998,8.00,9.00,6.00,7.00,8.00,8.63,8.00,6.00,8.00,303,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273005,7.00,8.00,5.00,6.00,8.00,7.88,5.00,5.00,8.00,203,NULL,202,'CENTRO','CURITIBA','PR',2483,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5273013,3.00,3.00,0.00,1.00,4.00,NULL,1.00,2.00,1.00,101,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5273021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE NAUTICA','S VICENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5273030,9.00,8.00,5.00,7.00,9.00,11.63,3.00,2.00,7.00,207,NULL,201,'ORFAS','PNT GROSSA','PR',1995,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5273048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ITÁLIA','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5273056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,220,'RIO FEIO','STA MARIA OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5273064,4.00,4.00,1.00,3.00,3.00,NULL,0.00,0.00,2.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273080,7.00,6.00,3.00,6.00,7.00,7.50,2.00,3.00,7.00,203,NULL,220,'CENTRO','LAGES','SC',7556,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5273099,1.00,5.00,0.00,1.00,4.00,NULL,0.00,0.00,4.00,451,NULL,NULL,'JARDIM ATLÂNCICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273102,0.00,3.00,3.00,3.00,4.00,NULL,0.00,1.00,4.00,104,NULL,NULL,'RIO MORTO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5273129,6.00,6.00,4.00,5.00,10.00,9.38,2.00,4.00,6.00,103,NULL,NULL,'MEDIANEIRA','PTO ALEGRE','RS',5813,2363,NULL,NULL,NULL,NULL,NULL,2,1),(20,5273137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5273153,2.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CARAVAGGIO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(20,5273161,6.00,7.00,0.00,0.00,5.00,NULL,0.00,3.00,3.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5273188,9.00,8.00,5.00,5.00,7.00,10.13,4.00,5.00,9.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',3156,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5273196,5.00,7.00,5.00,2.00,3.00,NULL,2.00,2.00,6.00,201,NULL,215,'CENTRO','PETROLÂNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5273200,6.00,6.00,1.00,7.00,5.00,9.38,2.00,2.00,6.00,340,NULL,NULL,'PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP',10411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273218,8.00,6.00,6.00,7.00,10.00,7.88,8.00,7.00,8.00,203,NULL,213,'VARGEM GRANDE','FLORIANÓPOLIS','SC',680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273226,8.00,6.00,2.00,6.00,8.00,NULL,2.00,3.00,4.00,207,NULL,NULL,'CENTRO','SANTIAGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,3),(20,5273234,4.00,4.00,1.00,4.00,3.00,NULL,1.00,3.00,6.00,302,NULL,NULL,'MADRI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5273242,4.00,4.00,1.00,6.00,4.00,9.38,1.00,0.00,4.00,415,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',16001,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5273269,5.00,5.00,1.00,7.00,7.00,10.50,1.00,6.00,5.00,212,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',8184,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5273277,1.00,5.00,0.00,1.00,4.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5273285,3.00,3.00,3.00,3.00,3.00,NULL,1.00,2.00,3.00,102,NULL,NULL,'ZÉ LULU','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5273293,7.00,8.00,7.00,8.00,9.00,11.63,5.00,5.00,7.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',1073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273307,4.00,4.00,5.00,7.00,9.00,10.13,3.00,2.00,5.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6761,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5273331,9.00,5.00,5.00,7.00,9.00,9.75,3.00,5.00,6.00,601,NULL,220,'GLÓRIA','JOINVILLE','SC',4346,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5273340,8.00,6.00,2.00,5.00,8.00,9.75,2.00,4.00,4.00,102,NULL,NULL,'POÇO FUNDO','STO AMARO IMPERATRIZ','SC',8284,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5273358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5273366,1.00,6.00,1.00,3.00,8.00,NULL,3.00,4.00,3.00,404,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273374,9.00,7.00,0.00,5.00,7.00,8.63,1.00,6.00,5.00,428,NULL,421,'CANAVIEIRAS','FLORIANÓPOLIS','SC',9754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273382,3.00,4.00,2.00,5.00,5.00,NULL,1.00,2.00,3.00,207,NULL,238,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5273390,4.00,4.00,3.00,5.00,5.00,8.25,1.00,1.00,4.00,103,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5273404,3.00,6.00,0.00,7.00,4.00,NULL,4.00,3.00,4.00,302,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5273412,6.00,7.00,3.00,7.00,8.00,10.50,3.00,5.00,4.00,215,NULL,211,'GLORIA','JOINVILLE','SC',5094,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5273420,7.00,6.00,4.00,8.00,8.00,10.50,2.00,6.00,7.00,415,NULL,NULL,'AVAÍ','GUARAMIRIM','SC',2890,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5273439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5273447,4.00,5.00,4.00,6.00,4.00,6.75,5.00,6.00,5.00,202,NULL,235,'JARDIM HANTSCHEL','RIO NEGRINHO','SC',11316,390,NULL,NULL,NULL,NULL,NULL,2,8),(20,5273455,6.00,6.00,4.00,6.00,9.00,8.25,3.00,3.00,7.00,207,NULL,201,'PANTANL','FLORIANÓPOLIS','SC',6253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273471,3.00,2.00,3.00,5.00,7.00,6.00,1.00,3.00,5.00,318,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',15600,113,NULL,NULL,NULL,NULL,NULL,2,1),(20,5273498,3.00,5.00,1.00,7.00,6.00,7.88,2.00,2.00,3.00,2,NULL,NULL,'NAÇÕES','INDAIAL','SC',14987,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5273501,4.00,7.00,3.00,4.00,5.00,8.25,1.00,2.00,4.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',12936,3511,NULL,NULL,NULL,NULL,NULL,2,10),(20,5273510,9.00,8.00,9.00,7.00,10.00,10.88,8.00,7.00,8.00,103,NULL,NULL,'ROCIO GRANDE','S FRANCISCO SUL','SC',32,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5273528,5.00,7.00,4.00,6.00,7.00,7.13,2.00,4.00,6.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',9039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273536,7.00,6.00,3.00,5.00,9.00,9.38,2.00,3.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273544,5.00,7.00,1.00,6.00,8.00,8.25,4.00,2.00,3.00,216,NULL,653,'CARAVAGGIO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5273552,3.00,3.00,0.00,2.00,4.00,NULL,2.00,2.00,5.00,653,NULL,NULL,'CENTRO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5273560,2.00,7.00,2.00,3.00,4.00,7.88,2.00,2.00,4.00,225,NULL,NULL,'SERRARIAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5273579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PRAIA DE ARMAÇÃO','PENHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5273587,3.00,4.00,1.00,5.00,4.00,6.38,4.00,4.00,3.00,208,NULL,NULL,'VILA NOVA','PTO ALEGRE','RS',14338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273595,6.00,6.00,1.00,5.00,5.00,10.13,2.00,3.00,2.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',14912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273609,5.00,5.00,5.00,7.00,5.00,8.25,1.00,2.00,5.00,203,NULL,207,'MAR GROSSO','LAGUNA','SC',9660,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5273625,5.00,6.00,2.00,3.00,8.00,9.38,4.00,3.00,4.00,203,NULL,212,'CEARÁ','CRICIÚMA','SC',12495,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5273641,3.00,6.00,3.00,5.00,6.00,8.25,4.00,3.00,7.00,216,NULL,201,'GUANABARA','JOINVILLE','SC',9449,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5273668,4.00,7.00,4.00,2.00,5.00,8.63,5.00,2.00,3.00,220,NULL,653,'BARAO GERALDO','CAMPINAS','SP',12099,334,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273676,3.00,4.00,2.00,2.00,6.00,NULL,3.00,0.00,3.00,103,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5273684,7.00,8.00,3.00,5.00,8.00,9.75,3.00,7.00,7.00,238,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',4828,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5273692,6.00,6.00,4.00,5.00,5.00,7.50,3.00,5.00,6.00,103,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',8055,2840,NULL,NULL,NULL,NULL,NULL,2,16),(20,5273706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5273714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'RESSACADA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5273722,9.00,8.00,5.00,7.00,8.00,9.38,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','MARUMBI','PR',2350,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5273730,4.00,6.00,1.00,4.00,3.00,NULL,2.00,5.00,2.00,5,NULL,NULL,'LOMBA DO PINHEIRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5273749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD PAINEIRAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5273765,3.00,5.00,1.00,4.00,7.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,421,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5273790,6.00,4.00,2.00,1.00,5.00,6.38,3.00,3.00,3.00,327,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',16319,57,NULL,NULL,NULL,NULL,NULL,2,1),(20,5273803,5.00,7.00,1.00,4.00,6.00,9.00,3.00,3.00,3.00,238,NULL,202,'ARIRIU','PALHOÇA','SC',13462,315,NULL,454,NULL,NULL,NULL,2,1),(20,5273811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'GUAIANASES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5273838,9.00,7.00,6.00,8.00,9.00,10.50,4.00,7.00,8.00,103,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273846,5.00,4.00,4.00,3.00,8.00,8.63,3.00,4.00,6.00,302,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8997,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5273854,2.00,3.00,0.00,1.00,5.00,NULL,0.00,5.00,1.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5273862,5.00,6.00,2.00,6.00,7.00,7.13,2.00,3.00,2.00,201,NULL,208,'BOM JESUS','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5273870,5.00,5.00,4.00,5.00,7.00,7.13,4.00,6.00,6.00,212,NULL,201,'ARAÇATUBA','IMBITUBA','SC',6453,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5273889,1.00,2.00,1.00,1.00,4.00,NULL,1.00,1.00,2.00,404,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5273897,5.00,5.00,0.00,5.00,6.00,10.13,3.00,3.00,4.00,423,NULL,424,'AGRONOMICA','FLORIANÓPOLIS','SC',13974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273900,3.00,2.00,1.00,4.00,3.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','CPO ERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5273919,2.00,4.00,2.00,4.00,7.00,NULL,0.00,2.00,2.00,451,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5273927,2.00,4.00,2.00,6.00,3.00,NULL,3.00,2.00,2.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273935,2.00,5.00,3.00,3.00,5.00,9.75,4.00,2.00,4.00,103,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',15288,3778,NULL,NULL,NULL,NULL,NULL,2,6),(20,5273951,3.00,4.00,0.00,3.00,5.00,NULL,2.00,2.00,2.00,451,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5273960,3.00,6.00,4.00,3.00,2.00,NULL,0.00,3.00,4.00,203,NULL,201,'CAMPESTRE','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5273986,9.00,8.00,6.00,6.00,10.00,9.00,6.00,5.00,8.00,203,NULL,214,'CENTRO','BRUSQUE','SC',1020,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5273994,3.00,7.00,1.00,4.00,6.00,10.50,1.00,4.00,2.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15030,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274001,3.00,3.00,2.00,4.00,4.00,NULL,2.00,1.00,4.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5274028,8.00,7.00,4.00,4.00,9.00,10.88,3.00,4.00,3.00,201,NULL,212,'PACHECOS','PALHOÇA','SC',5825,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274044,7.00,5.00,2.00,5.00,5.00,9.75,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','MOGI CRUZES','SP',8200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5274060,8.00,7.00,5.00,7.00,9.00,9.38,8.00,4.00,8.00,216,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',1007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274087,8.00,6.00,5.00,7.00,9.00,6.00,5.00,3.00,8.00,103,NULL,NULL,'CJ SOL NASCENTE','ASSAÍ','PR',3054,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5274095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'AGOSTINI','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5274109,4.00,4.00,1.00,2.00,5.00,NULL,5.00,1.00,2.00,101,NULL,NULL,'IMIGRANTES','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5274117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5274125,4.00,7.00,0.00,5.00,5.00,7.13,0.00,3.00,4.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13709,272,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274133,4.00,4.00,2.00,2.00,5.00,NULL,2.00,2.00,2.00,301,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274141,2.00,7.00,1.00,0.00,4.00,9.75,1.00,5.00,5.00,310,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',14145,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5274150,5.00,7.00,4.00,7.00,8.00,6.75,3.00,5.00,6.00,326,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',6712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274168,4.00,4.00,4.00,4.00,6.00,8.63,2.00,2.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274176,7.00,5.00,0.00,4.00,7.00,NULL,3.00,4.00,3.00,104,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274184,8.00,6.00,5.00,7.00,10.00,12.75,3.00,3.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274192,1.00,1.00,1.00,1.00,4.00,NULL,1.00,2.00,3.00,331,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5274206,3.00,4.00,3.00,3.00,4.00,NULL,3.00,1.00,1.00,309,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274214,3.00,6.00,1.00,4.00,6.00,10.50,2.00,4.00,1.00,301,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5274222,8.00,6.00,2.00,2.00,7.00,9.38,4.00,2.00,6.00,103,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',7887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274249,4.00,7.00,4.00,4.00,5.00,6.75,1.00,3.00,3.00,5,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274257,7.00,4.00,2.00,7.00,7.00,8.25,5.00,3.00,6.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',5958,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5274265,3.00,4.00,0.00,1.00,3.00,NULL,2.00,3.00,5.00,502,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5274273,2.00,4.00,1.00,4.00,3.00,NULL,4.00,2.00,3.00,202,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5274290,5.00,6.00,2.00,5.00,7.00,8.25,2.00,5.00,6.00,340,NULL,NULL,'JARDIM PANORÂMICO','LAGES','SC',9978,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5274311,3.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5274338,4.00,4.00,1.00,5.00,6.00,6.75,2.00,2.00,3.00,220,NULL,203,'JD SAO SILVESTRE','MARINGÁ','PR',15001,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5274346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5274354,5.00,6.00,0.00,7.00,4.00,7.50,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274362,4.00,4.00,0.00,3.00,6.00,NULL,1.00,3.00,3.00,208,NULL,238,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274370,2.00,4.00,1.00,3.00,2.00,NULL,3.00,2.00,4.00,102,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274389,8.00,8.00,8.00,7.00,8.00,8.63,8.00,4.00,9.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',402,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5274397,4.00,7.00,4.00,5.00,9.00,10.13,1.00,4.00,4.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10313,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274400,4.00,6.00,3.00,7.00,6.00,9.38,2.00,4.00,0.00,104,NULL,NULL,'OPERÁRIA NOVA','CRICIÚMA','SC',14643,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5274419,9.00,7.00,4.00,6.00,8.00,11.63,4.00,4.00,7.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',1913,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CIDADE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5274435,0.00,1.00,0.00,0.00,0.00,NULL,0.00,1.00,3.00,339,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274460,3.00,4.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,324,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274478,8.00,7.00,5.00,1.00,3.00,NULL,4.00,1.00,6.00,220,NULL,202,'MATA DA PRAIA','VITÓRIA','ES',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274486,6.00,4.00,2.00,4.00,9.00,NULL,1.00,0.00,4.00,110,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274494,8.00,7.00,4.00,5.00,8.00,10.50,6.00,7.00,7.00,103,NULL,NULL,'JARDIM PAULISTA','PRES PRUDENTE','SP',1821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274508,3.00,3.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,9,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5274516,6.00,5.00,2.00,4.00,7.00,7.50,0.00,1.00,5.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14231,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274524,3.00,3.00,1.00,4.00,3.00,NULL,0.00,3.00,4.00,102,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274532,8.00,8.00,1.00,7.00,8.00,9.00,4.00,7.00,6.00,201,NULL,601,'COQUEIROS','FLORIANÓPOLIS','SC',2914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274559,4.00,3.00,2.00,5.00,5.00,6.38,2.00,4.00,3.00,653,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',16183,121,NULL,NULL,NULL,NULL,NULL,2,15),(20,5274567,7.00,8.00,3.00,7.00,7.00,7.13,2.00,5.00,4.00,303,NULL,NULL,'VELHA','BLUMENAU','SC',7775,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5274575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5274583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5274613,8.00,7.00,0.00,5.00,7.00,NULL,3.00,3.00,6.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274621,8.00,7.00,5.00,6.00,10.00,8.25,3.00,6.00,4.00,216,NULL,215,'VILA SÃO JOÃO','IRATI','PR',4799,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5274630,7.00,8.00,7.00,7.00,11.00,10.50,7.00,5.00,7.00,103,NULL,NULL,'NOVA PETROPOLIS','LAGES','SC',475,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5274648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5274656,4.00,7.00,5.00,5.00,7.00,7.13,4.00,1.00,5.00,201,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',10620,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274664,3.00,4.00,0.00,3.00,4.00,NULL,2.00,5.00,2.00,202,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274672,9.00,8.00,7.00,6.00,9.00,9.75,5.00,5.00,7.00,103,NULL,NULL,'CENTRO','STO CRISTO','RS',867,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274680,7.00,7.00,4.00,8.00,10.00,12.75,5.00,3.00,7.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',1804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274699,4.00,6.00,0.00,2.00,3.00,NULL,2.00,2.00,3.00,235,NULL,203,'PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274710,5.00,6.00,5.00,3.00,9.00,10.13,4.00,4.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7396,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274729,7.00,7.00,3.00,5.00,7.00,6.75,5.00,5.00,1.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',6068,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5274737,9.00,9.00,6.00,8.00,8.00,10.13,7.00,6.00,7.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274745,6.00,7.00,5.00,2.00,6.00,9.00,4.00,7.00,5.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',7355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274753,7.00,6.00,6.00,7.00,6.00,9.75,4.00,6.00,8.00,216,NULL,212,'BIGORRILHO','CURITIBA','PR',2986,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5274761,2.00,3.00,1.00,0.00,3.00,NULL,2.00,1.00,3.00,551,NULL,NULL,'HABITAÇÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5274770,1.00,4.00,1.00,1.00,2.00,NULL,1.00,0.00,4.00,551,NULL,NULL,'SÃO LUÍS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5274788,6.00,6.00,4.00,6.00,9.00,10.50,1.00,5.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8192,2862,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274796,9.00,9.00,6.00,7.00,10.00,9.38,7.00,5.00,9.00,103,NULL,NULL,'MERCES','CURITIBA','PR',270,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5274800,0.00,6.00,2.00,4.00,4.00,0.00,4.00,1.00,3.00,201,NULL,212,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274818,7.00,6.00,4.00,7.00,9.00,8.63,4.00,4.00,8.00,216,NULL,215,'LUXEMBURGO','BELO HORIZONTE','MG',2935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274834,7.00,5.00,3.00,7.00,6.00,9.38,6.00,5.00,7.00,103,NULL,NULL,'BATEL','CURITIBA','PR',3945,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5274842,3.00,3.00,0.00,2.00,2.00,NULL,3.00,2.00,1.00,324,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'MOINHOS DE VENTOS','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5274869,9.00,8.00,9.00,7.00,9.00,9.00,7.00,7.00,9.00,220,NULL,203,'CENTRO','IRATI','PR',82,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5274877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CABEÇUDA','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5274885,3.00,5.00,1.00,6.00,7.00,10.88,2.00,1.00,5.00,208,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',14383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274893,7.00,5.00,1.00,5.00,7.00,10.50,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',6618,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5274907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5274915,2.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5274923,2.00,5.00,2.00,5.00,5.00,8.63,3.00,1.00,3.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274931,9.00,8.00,6.00,7.00,8.00,10.50,6.00,7.00,9.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5274940,8.00,0.00,5.00,1.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'OLIVEIRA','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5274958,7.00,8.00,1.00,5.00,9.00,10.50,3.00,5.00,7.00,103,NULL,NULL,'SÃO PAULO','LAGES','SC',4779,2080,NULL,NULL,NULL,NULL,NULL,2,9),(20,5274974,7.00,7.00,4.00,7.00,7.00,11.63,4.00,4.00,7.00,220,NULL,203,'ZONA SETE','MARINGÁ','PR',3900,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5274982,4.00,7.00,3.00,5.00,6.00,7.13,3.00,6.00,7.00,202,NULL,208,'BARREIROS','S JOSÉ','SC',7726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5274990,0.00,7.00,0.00,0.00,0.00,NULL,1.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(20,5275008,5.00,6.00,2.00,4.00,5.00,NULL,0.00,2.00,4.00,651,NULL,652,'DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5275016,5.00,6.00,1.00,6.00,7.00,9.75,1.00,2.00,6.00,208,NULL,238,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',10228,211,NULL,191,NULL,NULL,NULL,4,1),(20,5275024,8.00,6.00,7.00,6.00,8.00,7.13,7.00,5.00,7.00,201,NULL,216,'TRINDADE','FLORIANÓPOLIS','SC',1635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275032,7.00,6.00,4.00,6.00,6.00,9.00,4.00,3.00,3.00,211,NULL,201,'CENTRO','CRICIÚMA','SC',8880,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5275040,7.00,5.00,3.00,7.00,7.00,7.88,4.00,3.00,5.00,220,NULL,208,'PONTA AGUDA','BLUMENAU','SC',8719,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5275059,4.00,7.00,4.00,4.00,9.00,7.50,2.00,4.00,4.00,503,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275075,5.00,4.00,0.00,2.00,6.00,NULL,2.00,3.00,3.00,319,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5275083,8.00,8.00,5.00,7.00,5.00,9.38,6.00,5.00,7.00,201,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',2736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'MORUMBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5275105,3.00,4.00,1.00,2.00,3.00,NULL,4.00,2.00,3.00,208,NULL,238,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'RIO BRANCO','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5275121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'JARDIM GUADALUPE','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5275130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA SÃO JOSÉ','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5275148,4.00,4.00,4.00,5.00,7.00,6.75,1.00,3.00,5.00,238,NULL,208,'CORREGO GRANDE','FLORIANÓPOLIS','SC',14097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275164,9.00,6.00,5.00,6.00,6.00,10.88,5.00,6.00,8.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',2277,1201,NULL,NULL,NULL,NULL,NULL,2,8),(20,5275172,3.00,2.00,1.00,3.00,3.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275180,4.00,7.00,3.00,3.00,4.00,4.88,2.00,3.00,3.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275199,3.00,5.00,3.00,7.00,6.00,8.63,2.00,3.00,7.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5275202,8.00,6.00,4.00,6.00,7.00,7.88,3.00,5.00,7.00,333,NULL,NULL,'BARREIROS','S JOSÉ','SC',6292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275210,3.00,6.00,3.00,3.00,5.00,8.63,3.00,5.00,3.00,404,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5275229,6.00,5.00,3.00,5.00,7.00,7.88,2.00,2.00,4.00,202,NULL,212,'ST ÂNTONIO DE LISBOA','FLORIANÓPOLIS','SC',14178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,235,'MACACU','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5275253,9.00,8.00,6.00,7.00,10.00,12.00,6.00,6.00,8.00,203,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275270,9.00,5.00,7.00,7.00,9.00,9.00,7.00,7.00,8.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275288,4.00,3.00,1.00,3.00,8.00,NULL,1.00,2.00,3.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275296,9.00,6.00,4.00,6.00,7.00,9.38,5.00,3.00,8.00,3,NULL,NULL,'CAMPINAS','S JOSÉ','SC',2940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM ESPLANADA','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5275318,5.00,7.00,4.00,5.00,10.00,8.63,2.00,3.00,7.00,211,NULL,201,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',5769,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275334,5.00,6.00,0.00,5.00,8.00,10.50,1.00,3.00,4.00,302,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',12071,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275342,3.00,4.00,1.00,2.00,7.00,NULL,0.00,3.00,3.00,104,NULL,NULL,'SAO MIGUEL','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5275350,9.00,7.00,4.00,5.00,8.00,7.88,5.00,2.00,8.00,333,NULL,NULL,'CENTRO','JACAREZINHO','PR',4315,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5275369,6.00,5.00,8.00,6.00,6.00,6.38,5.00,5.00,5.00,203,NULL,235,'ITACORUBI','FLORIANÓPOLIS','SC',4867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275377,7.00,7.00,3.00,6.00,7.00,7.13,5.00,5.00,7.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',5048,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5275385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'SITIO CERCADO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5275393,5.00,4.00,0.00,3.00,4.00,NULL,3.00,4.00,2.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275407,8.00,8.00,1.00,7.00,8.00,9.38,2.00,6.00,7.00,303,NULL,NULL,'PILARZINHO','CURITIBA','PR',2984,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5275415,6.00,6.00,4.00,6.00,8.00,8.25,2.00,3.00,5.00,319,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',8598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275423,5.00,6.00,2.00,5.00,3.00,NULL,2.00,2.00,3.00,233,NULL,NULL,'CENTRO','XAVANTINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5275431,8.00,5.00,4.00,7.00,10.00,10.13,5.00,2.00,6.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',3462,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275440,2.00,4.00,3.00,5.00,5.00,10.13,2.00,2.00,4.00,233,NULL,213,'MONTE VERDE','FLORIANÓPOLIS','SC',15433,408,NULL,200,NULL,NULL,NULL,4,1),(20,5275458,5.00,5.00,5.00,3.00,6.00,6.75,2.00,3.00,4.00,444,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',14660,82,NULL,NULL,NULL,NULL,NULL,4,8),(20,5275466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5275474,5.00,4.00,1.00,5.00,5.00,6.75,3.00,3.00,3.00,317,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275482,3.00,5.00,1.00,1.00,2.00,NULL,3.00,2.00,4.00,339,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UVARANAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5275512,5.00,3.00,4.00,2.00,3.00,NULL,2.00,2.00,3.00,203,NULL,220,'TRINTA REIS','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5275520,1.00,3.00,1.00,4.00,4.00,NULL,0.00,2.00,0.00,224,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275539,8.00,8.00,5.00,7.00,9.00,12.38,6.00,4.00,6.00,203,NULL,601,'SANTA MÔNICA','FLORIANÓPOLIS','SC',1014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275547,3.00,7.00,2.00,4.00,5.00,7.13,2.00,1.00,3.00,324,NULL,NULL,'CACHOEIRA DO BJ','FLORIANÓPOLIS','SC',15955,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275555,6.00,5.00,1.00,6.00,5.00,7.88,1.00,5.00,5.00,203,NULL,201,'CENTRO','QUEDAS IGUAÇU','PR',11243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275563,1.00,6.00,2.00,5.00,5.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5275571,3.00,4.00,1.00,2.00,4.00,NULL,0.00,1.00,3.00,216,NULL,211,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275580,7.00,5.00,4.00,7.00,5.00,10.50,4.00,2.00,7.00,207,NULL,201,'JOSÉ MENDES','FLORIANÓPOLIS','SC',7436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275598,4.00,7.00,4.00,6.00,6.00,8.25,3.00,2.00,3.00,501,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12658,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275610,7.00,5.00,5.00,7.00,8.00,7.88,3.00,5.00,7.00,2,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',5927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275628,4.00,6.00,2.00,6.00,8.00,10.88,1.00,3.00,3.00,108,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275636,6.00,8.00,8.00,7.00,8.00,7.50,6.00,4.00,7.00,201,NULL,238,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',1389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275644,4.00,5.00,3.00,3.00,5.00,NULL,0.00,3.00,2.00,102,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275660,2.00,6.00,0.00,5.00,7.00,NULL,0.00,2.00,2.00,336,NULL,NULL,'CENTRO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5275687,4.00,6.00,4.00,2.00,4.00,8.63,2.00,1.00,4.00,318,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',16148,125,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275695,7.00,8.00,3.00,5.00,8.00,8.63,2.00,3.00,4.00,318,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275709,3.00,2.00,0.00,5.00,3.00,NULL,2.00,3.00,1.00,308,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275725,4.00,6.00,0.00,6.00,3.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'SANTA CLARA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5275733,7.00,6.00,4.00,7.00,7.00,8.25,4.00,5.00,5.00,223,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275741,5.00,4.00,2.00,1.00,7.00,7.88,4.00,4.00,3.00,201,NULL,207,'MONTE CRISTO','FLORIANÓPOLIS','SC',13941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275750,3.00,6.00,1.00,6.00,6.00,NULL,1.00,2.00,1.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275776,7.00,8.00,8.00,5.00,8.00,9.38,8.00,5.00,8.00,202,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',889,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'PONTA DA PRAIA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5275792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SACOMÃ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5275806,9.00,8.00,4.00,6.00,6.00,7.88,5.00,5.00,6.00,103,NULL,NULL,'CENTRO','VERA C OESTE','PR',3547,1693,NULL,NULL,NULL,NULL,NULL,4,8),(20,5275814,4.00,6.00,0.00,4.00,6.00,8.63,2.00,3.00,3.00,317,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',16038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275822,7.00,7.00,3.00,4.00,8.00,6.75,6.00,4.00,6.00,203,NULL,216,'TRINDADE','FLORIANÓPOLIS','SC',6372,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275830,2.00,4.00,1.00,2.00,5.00,NULL,2.00,1.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275849,0.00,4.00,1.00,6.00,8.00,NULL,0.00,1.00,3.00,303,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5275857,5.00,3.00,1.00,1.00,5.00,NULL,1.00,0.00,3.00,501,NULL,NULL,'RESTINGA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5275873,6.00,7.00,4.00,7.00,6.00,9.00,6.00,3.00,6.00,212,NULL,202,'FANNY','CURITIBA','PR',5647,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5275881,1.00,5.00,3.00,2.00,3.00,NULL,2.00,3.00,2.00,404,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275911,5.00,4.00,2.00,4.00,6.00,7.88,3.00,4.00,2.00,303,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',15107,613,NULL,NULL,NULL,NULL,NULL,2,15),(20,5275920,8.00,6.00,1.00,6.00,9.00,8.25,4.00,1.00,4.00,208,NULL,238,'KOBRASOL','S JOSÉ','SC',9223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275938,3.00,4.00,2.00,4.00,6.00,6.75,5.00,3.00,4.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14769,304,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275946,5.00,5.00,2.00,4.00,7.00,9.38,1.00,5.00,4.00,336,NULL,NULL,'MICHEL','CRICIÚMA','SC',11703,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5275954,4.00,3.00,0.00,1.00,5.00,NULL,3.00,2.00,5.00,429,NULL,423,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275962,6.00,6.00,2.00,6.00,8.00,9.38,1.00,2.00,4.00,420,NULL,NULL,'CENTRO','RIO FORTUNA','SC',10853,73,NULL,NULL,NULL,NULL,NULL,4,10),(20,5275970,5.00,5.00,1.00,5.00,6.00,6.75,2.00,5.00,3.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12383,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5275989,3.00,7.00,4.00,6.00,4.00,6.75,0.00,1.00,4.00,104,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',15350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5275997,7.00,7.00,2.00,6.00,7.00,11.25,2.00,4.00,3.00,452,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5276004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'POLÍCIA RODOVIÁRIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5276012,4.00,4.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,104,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5276020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5276039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5276047,4.00,6.00,2.00,2.00,6.00,9.75,4.00,2.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5276063,2.00,5.00,0.00,3.00,2.00,NULL,0.00,3.00,2.00,319,NULL,NULL,'IGRA','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5276071,6.00,7.00,3.00,2.00,5.00,6.00,4.00,3.00,3.00,332,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13800,20,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5276101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5276110,4.00,7.00,1.00,5.00,5.00,7.88,0.00,1.00,4.00,108,NULL,NULL,'DEMBOSKI','CRICIÚMA','SC',15452,299,NULL,NULL,NULL,NULL,NULL,2,5),(20,5276128,6.00,3.00,1.00,7.00,9.00,10.13,1.00,2.00,5.00,211,NULL,216,'CENTRO','RIO SUL','SC',9701,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5276136,3.00,3.00,2.00,0.00,4.00,NULL,1.00,2.00,5.00,103,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5276144,10.00,7.00,7.00,7.00,8.00,8.25,5.00,6.00,5.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',1401,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5276160,3.00,7.00,1.00,3.00,6.00,8.63,3.00,3.00,3.00,420,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276179,4.00,7.00,1.00,4.00,5.00,10.88,1.00,1.00,3.00,102,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5276187,5.00,7.00,3.00,4.00,5.00,6.00,4.00,3.00,3.00,213,NULL,202,'ATIRADORES','JOINVILLE','SC',13852,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5276195,8.00,7.00,5.00,7.00,9.00,9.38,7.00,6.00,8.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5276209,4.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5276225,3.00,8.00,2.00,4.00,9.00,9.38,3.00,7.00,6.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',7800,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276233,6.00,6.00,1.00,4.00,4.00,9.75,0.00,3.00,3.00,336,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',14770,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5276250,3.00,4.00,1.00,0.00,10.00,NULL,1.00,4.00,5.00,415,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5276268,2.00,2.00,2.00,3.00,4.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5276276,4.00,3.00,0.00,2.00,2.00,NULL,3.00,3.00,4.00,223,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5276292,4.00,5.00,1.00,3.00,4.00,4.88,0.00,2.00,5.00,503,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276306,5.00,6.00,3.00,7.00,7.00,7.50,3.00,3.00,6.00,235,NULL,238,'CINQUENTENÁRIO','CONCÓRDIA','SC',10150,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5276314,8.00,5.00,6.00,6.00,11.00,9.75,3.00,4.00,8.00,420,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',3138,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276322,8.00,7.00,6.00,7.00,9.00,7.88,3.00,4.00,6.00,103,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',3048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5276330,6.00,7.00,0.00,4.00,7.00,7.50,6.00,4.00,6.00,9,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',10486,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5276365,6.00,4.00,4.00,2.00,4.00,4.13,3.00,1.00,5.00,211,NULL,203,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276373,5.00,5.00,3.00,3.00,6.00,6.75,5.00,5.00,5.00,211,NULL,238,'TERRA FRACA','PALHOÇA','SC',14127,436,NULL,344,NULL,NULL,NULL,4,1),(20,5276381,0.00,4.00,0.00,4.00,4.00,NULL,1.00,2.00,1.00,329,NULL,NULL,'TESTO CENTRAL ALTO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5276390,7.00,8.00,4.00,7.00,9.00,12.38,2.00,4.00,8.00,216,NULL,215,'CENTRO','CHAPECÓ','SC',3623,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5276403,8.00,9.00,4.00,7.00,10.00,9.00,3.00,6.00,5.00,336,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',2732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5276411,6.00,5.00,1.00,2.00,7.00,7.13,2.00,2.00,6.00,302,NULL,NULL,'CENTRO','PALHOÇA','SC',15071,93,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276420,8.00,8.00,5.00,5.00,7.00,9.00,5.00,6.00,5.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',3739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276438,5.00,6.00,1.00,7.00,6.00,10.88,1.00,2.00,6.00,429,NULL,427,'CAMPECHE','FLORIANÓPOLIS','SC',10704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5276446,5.00,7.00,4.00,5.00,6.00,7.13,2.00,4.00,5.00,211,NULL,213,'ITACORUBI','FLORIANÓPOLIS','SC',8662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5276454,4.00,6.00,1.00,2.00,7.00,NULL,0.00,2.00,3.00,201,NULL,653,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5276462,9.00,7.00,5.00,6.00,8.00,10.13,8.00,5.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',1134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5276470,7.00,8.00,4.00,6.00,8.00,6.00,1.00,6.00,6.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',7429,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5276489,4.00,2.00,0.00,3.00,2.00,NULL,3.00,1.00,2.00,9,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276497,5.00,5.00,5.00,5.00,6.00,6.75,1.00,3.00,5.00,503,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',14444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276519,6.00,6.00,1.00,5.00,7.00,11.25,3.00,3.00,4.00,316,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',11051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276527,3.00,6.00,5.00,6.00,4.00,7.50,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',13479,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5276543,3.00,6.00,0.00,3.00,6.00,NULL,1.00,3.00,3.00,324,NULL,NULL,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5276560,3.00,3.00,0.00,5.00,2.00,NULL,3.00,1.00,4.00,653,NULL,NULL,'MINA DO MATO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5276586,2.00,3.00,1.00,1.00,4.00,NULL,3.00,2.00,2.00,104,NULL,NULL,'CAMPO DÁGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5276594,0.00,5.00,1.00,0.00,0.00,NULL,4.00,2.00,2.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276608,4.00,5.00,1.00,3.00,3.00,NULL,1.00,2.00,2.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5276616,6.00,7.00,4.00,6.00,8.00,9.38,2.00,7.00,5.00,202,NULL,213,'FARROUPILHA','VIDEIRA','SC',4981,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5276624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA OLINDA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5276632,8.00,7.00,5.00,5.00,9.00,9.75,2.00,5.00,4.00,211,NULL,652,'VILA FRANCA','FORQUILHINHA','SC',4890,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5276640,9.00,9.00,7.00,7.00,9.00,8.25,8.00,6.00,9.00,103,NULL,NULL,'CENTRO','LAGES','SC',223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5276659,4.00,7.00,3.00,5.00,7.00,7.13,3.00,3.00,5.00,333,NULL,NULL,'JARDIM DAS ACÁCIAS','S JOSÉ','SC',14001,134,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276667,5.00,6.00,0.00,3.00,3.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'VILA IPIRANGA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276683,4.00,6.00,3.00,6.00,6.00,11.25,1.00,4.00,2.00,327,NULL,NULL,'CENTRO','LAGES','SC',14046,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5276691,8.00,9.00,6.00,7.00,9.00,8.63,4.00,3.00,6.00,215,NULL,216,'ABRAÃO','FLORIANÓPOLIS','SC',2377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5276705,3.00,0.00,1.00,6.00,5.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5276713,2.00,3.00,2.00,2.00,5.00,NULL,3.00,2.00,2.00,329,NULL,NULL,'MUNICIPIOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5276730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5276748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM HEDY','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5276756,5.00,5.00,2.00,7.00,9.00,10.50,3.00,5.00,3.00,333,NULL,NULL,'BARREIROS','S JOSÉ','SC',9994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5276764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5276772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5276780,6.00,7.00,6.00,6.00,5.00,6.00,3.00,4.00,3.00,220,NULL,213,'FORQUILHINHAS','S JOSÉ','SC',9245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5276799,5.00,5.00,5.00,2.00,3.00,NULL,3.00,2.00,2.00,235,NULL,215,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD VALE ARAUCÁRIAS','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5276810,4.00,5.00,0.00,6.00,6.00,7.13,0.00,3.00,2.00,317,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276829,8.00,7.00,6.00,7.00,7.00,7.50,5.00,3.00,4.00,201,NULL,207,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5276837,9.00,7.00,5.00,6.00,8.00,10.88,6.00,7.00,7.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',1146,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5276845,8.00,7.00,0.00,5.00,8.00,9.75,4.00,5.00,5.00,339,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',7766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5276861,7.00,4.00,3.00,7.00,5.00,8.63,5.00,3.00,3.00,216,NULL,203,'BOA VISTA','S JOSÉ R PRETO','SP',7865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5276888,2.00,7.00,1.00,2.00,3.00,NULL,2.00,3.00,3.00,601,NULL,NULL,'JARIVATUBA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5276896,4.00,3.00,1.00,2.00,2.00,NULL,0.00,1.00,2.00,652,NULL,651,'SANTANA','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5276900,8.00,7.00,4.00,6.00,8.00,10.88,7.00,4.00,8.00,201,NULL,203,'AGUA VERDE','CURITIBA','PR',2256,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276926,5.00,7.00,4.00,8.00,7.00,10.50,4.00,3.00,7.00,216,NULL,233,'VILA NALY','CAÇAPAVA','SP',4305,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5276934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IGARA','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5276942,3.00,4.00,4.00,3.00,7.00,10.50,4.00,3.00,3.00,452,NULL,NULL,'CALHEIROS','GOV CELSO RAMOS','SC',14082,117,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276950,3.00,4.00,1.00,2.00,5.00,NULL,2.00,3.00,3.00,5,NULL,NULL,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276969,5.00,5.00,0.00,6.00,8.00,9.00,2.00,2.00,3.00,207,NULL,215,'UNIVERSITÁRIO','TIJUCAS','SC',13791,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5276977,7.00,6.00,4.00,3.00,5.00,8.25,5.00,4.00,6.00,103,NULL,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',6656,2571,NULL,NULL,NULL,NULL,NULL,2,8),(20,5276985,4.00,7.00,2.00,5.00,10.00,10.13,3.00,4.00,6.00,238,NULL,208,'RAICHASKI','IÇARA','SC',6881,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5276993,9.00,5.00,6.00,7.00,9.00,6.38,6.00,5.00,8.00,103,NULL,NULL,'VILA PARIS','BELO HORIZONTE','MG',2284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277000,8.00,6.00,7.00,4.00,9.00,10.50,5.00,3.00,7.00,103,NULL,NULL,'CAMPO DA ÁGUA VERDE','CANOINHAS','SC',1942,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5277019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5277027,5.00,5.00,1.00,5.00,3.00,NULL,1.00,2.00,5.00,104,NULL,NULL,'PADRE REUS','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5277035,9.00,7.00,2.00,7.00,6.00,12.00,2.00,4.00,7.00,103,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',3492,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5277043,6.00,6.00,4.00,3.00,6.00,9.38,2.00,3.00,5.00,220,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',11419,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277051,6.00,7.00,2.00,5.00,6.00,7.88,1.00,3.00,4.00,104,NULL,NULL,'ZONA RURAL','PINHALZINHO','SC',11585,293,NULL,NULL,NULL,NULL,NULL,4,4),(20,5277060,9.00,6.00,7.00,4.00,9.00,9.75,8.00,6.00,8.00,103,NULL,NULL,'JARDIM MENINO DEUS','CATANDUVAS','PR',957,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5277078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ANDORINHA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5277086,2.00,5.00,0.00,5.00,3.00,NULL,1.00,4.00,1.00,104,NULL,NULL,'CENTRO','NOVA ERECHIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5277094,9.00,4.00,2.00,7.00,8.00,8.63,1.00,3.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',8433,2908,NULL,NULL,NULL,NULL,NULL,4,4),(20,5277108,5.00,6.00,3.00,4.00,6.00,8.63,2.00,6.00,5.00,211,NULL,213,'ARIRIU FORMIGA','PALHOÇA','SC',10584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277116,5.00,4.00,2.00,2.00,5.00,NULL,0.00,0.00,2.00,9,NULL,NULL,'ESTAÇÃO NOVA','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277124,8.00,6.00,5.00,5.00,8.00,8.25,2.00,4.00,7.00,207,NULL,201,'CANASVIEIRAS','FLORIANÓPOLIS','SC',3903,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277159,2.00,5.00,0.00,3.00,4.00,NULL,0.00,4.00,2.00,309,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277167,8.00,6.00,1.00,4.00,9.00,8.63,2.00,5.00,5.00,103,NULL,NULL,'CAMOBI','STA MARIA','RS',10031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277175,2.00,3.00,0.00,1.00,1.00,NULL,2.00,2.00,2.00,653,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5277183,6.00,7.00,2.00,8.00,5.00,6.75,5.00,3.00,6.00,301,NULL,NULL,'VILLAGE FLAMBOYANT','CUIABÁ','MT',8553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277191,4.00,6.00,0.00,3.00,4.00,7.13,2.00,4.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16297,3839,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277221,5.00,7.00,4.00,5.00,6.00,9.00,2.00,2.00,3.00,429,NULL,426,'FORQUILHAS','S JOSÉ','SC',12074,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277230,6.00,6.00,1.00,7.00,5.00,6.38,4.00,5.00,4.00,303,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277248,7.00,6.00,2.00,4.00,8.00,12.00,1.00,4.00,4.00,216,NULL,215,'SANTA TEREZINHA','PALMITINHO','RS',9509,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5277256,3.00,5.00,1.00,5.00,5.00,NULL,2.00,2.00,1.00,201,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277264,3.00,4.00,1.00,2.00,4.00,NULL,2.00,1.00,4.00,340,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277272,2.00,6.00,2.00,3.00,3.00,NULL,1.00,2.00,2.00,652,NULL,653,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5277280,8.00,7.00,2.00,7.00,6.00,6.38,3.00,2.00,6.00,203,NULL,601,'NAÇÕES','BAL CAMBORIÚ','SC',8591,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5277302,3.00,3.00,0.00,0.00,6.00,NULL,0.00,3.00,2.00,316,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277310,5.00,4.00,0.00,4.00,4.00,11.25,3.00,4.00,2.00,423,NULL,425,'MONTE CRISTO','FLORIANÓPOLIS','SC',16060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277337,2.00,5.00,0.00,2.00,3.00,NULL,2.00,1.00,3.00,404,NULL,NULL,'ITINGA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5277345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5277353,6.00,2.00,3.00,5.00,4.00,9.00,3.00,4.00,5.00,103,NULL,NULL,'BOM RETIRO','CURITIBA','PR',11315,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5277361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5277370,8.00,8.00,7.00,7.00,9.00,10.88,7.00,6.00,9.00,103,NULL,NULL,'HIGIENÓPOLIS','PTO ALEGRE','RS',214,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5277388,6.00,7.00,4.00,3.00,6.00,7.50,4.00,3.00,3.00,235,NULL,203,'CENTRO','JOSÉ BOITEUX','SC',9003,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5277396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5277400,4.00,6.00,3.00,4.00,3.00,NULL,3.00,3.00,5.00,108,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5277426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','REALEZA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5277442,8.00,8.00,4.00,7.00,8.00,7.88,3.00,4.00,6.00,202,NULL,235,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277450,9.00,8.00,9.00,6.00,8.00,9.75,7.00,3.00,7.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277469,4.00,4.00,2.00,3.00,4.00,NULL,1.00,2.00,2.00,336,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277477,6.00,7.00,2.00,5.00,8.00,6.00,2.00,4.00,7.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277485,9.00,6.00,3.00,6.00,9.00,12.38,5.00,4.00,8.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',1486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277493,7.00,7.00,5.00,7.00,7.00,7.88,5.00,6.00,7.00,203,NULL,202,'VILA NOVA','BLUMENAU','SC',2788,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5277507,4.00,4.00,0.00,3.00,3.00,NULL,3.00,1.00,2.00,415,NULL,NULL,'TRÊS RIACHOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277515,6.00,4.00,3.00,2.00,6.00,6.00,3.00,0.00,3.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5277523,7.00,5.00,3.00,4.00,9.00,9.00,1.00,3.00,3.00,212,NULL,215,'CAMPINAS','S JOSÉ','SC',12199,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277540,4.00,4.00,2.00,3.00,5.00,NULL,1.00,2.00,5.00,201,NULL,207,'JARDIM BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277558,3.00,4.00,0.00,3.00,8.00,NULL,1.00,2.00,4.00,208,NULL,235,'VARGEM DO BRAÇO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277566,8.00,7.00,5.00,7.00,7.00,7.13,5.00,4.00,5.00,202,NULL,213,'CANTO GRANDE','BOMBINHAS','SC',5583,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5277574,4.00,3.00,5.00,5.00,3.00,NULL,3.00,0.00,4.00,303,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277582,9.00,7.00,7.00,7.00,8.00,10.13,7.00,5.00,8.00,103,NULL,NULL,'CAMPESTRE','STO ANDRÉ','SP',483,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5277590,5.00,5.00,0.00,4.00,4.00,6.75,3.00,1.00,3.00,9,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277604,8.00,7.00,7.00,6.00,10.00,9.75,4.00,6.00,8.00,216,NULL,214,'CENTRO','JARAGUÁ SUL','SC',1143,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5277620,6.00,4.00,4.00,6.00,9.00,10.88,4.00,6.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277639,5.00,5.00,0.00,5.00,4.00,NULL,1.00,1.00,2.00,220,NULL,203,'ERMELINO MATARAZO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277647,4.00,5.00,2.00,2.00,5.00,NULL,0.00,2.00,2.00,317,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277655,5.00,7.00,5.00,7.00,9.00,8.63,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6639,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5277663,4.00,5.00,2.00,5.00,5.00,7.88,3.00,1.00,3.00,318,NULL,NULL,'JARDIM CARANDAI','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277671,4.00,7.00,3.00,6.00,7.00,8.63,4.00,3.00,5.00,319,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',6998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277698,6.00,4.00,3.00,4.00,4.00,6.38,2.00,3.00,3.00,303,NULL,NULL,'GARAPUVU','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5277710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'VILA MEDON','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5277744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5277752,4.00,7.00,0.00,2.00,5.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5277760,4.00,6.00,1.00,7.00,4.00,5.25,1.00,1.00,2.00,340,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5277779,9.00,3.00,2.00,7.00,10.00,9.75,2.00,4.00,4.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',6142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277787,4.00,6.00,2.00,7.00,8.00,10.50,2.00,4.00,5.00,428,NULL,425,'RIO VERMELHO','FLORIANÓPOLIS','SC',9889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277795,7.00,5.00,0.00,7.00,7.00,NULL,2.00,2.00,7.00,108,NULL,NULL,'SEMINÁRIO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5277809,7.00,6.00,1.00,7.00,8.00,4.50,2.00,5.00,6.00,203,NULL,202,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277817,5.00,5.00,2.00,2.00,3.00,NULL,2.00,5.00,4.00,451,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277825,9.00,7.00,7.00,7.00,8.00,10.13,8.00,5.00,8.00,203,NULL,220,'JOÃO PAULO','FLORIANÓPOLIS','SC',551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,207,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5277850,5.00,5.00,0.00,5.00,5.00,9.00,1.00,4.00,4.00,201,NULL,202,'ITACORUBI','FLORIANÓPOLIS','SC',13453,957,NULL,452,NULL,NULL,NULL,2,1),(20,5277868,6.00,5.00,4.00,5.00,6.00,9.00,2.00,2.00,7.00,207,NULL,201,'CENTRO','APUCARANA','PR',8484,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5277876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'PETROPOLIS','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5277884,5.00,5.00,0.00,3.00,5.00,NULL,0.00,3.00,3.00,310,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277892,2.00,5.00,0.00,1.00,4.00,NULL,2.00,1.00,3.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277906,2.00,6.00,1.00,4.00,6.00,6.00,3.00,5.00,4.00,331,NULL,NULL,'BARREIROS','S JOSÉ','SC',13847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PQ DA FIGUEIRA','PAULÍNIA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5277922,8.00,8.00,6.00,7.00,9.00,6.75,6.00,5.00,8.00,203,NULL,233,'JD MARINGA','S JOSÉ CAMPOS','SP',1606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277930,7.00,6.00,1.00,4.00,4.00,9.00,0.00,2.00,5.00,103,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',10747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5277949,1.00,4.00,1.00,4.00,6.00,NULL,1.00,1.00,0.00,308,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277957,6.00,4.00,5.00,7.00,6.00,7.88,1.00,3.00,4.00,601,NULL,215,'COSTA E SILVA','JOINVILLE','SC',11015,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5277965,5.00,6.00,3.00,1.00,9.00,7.50,2.00,5.00,6.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',11086,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277973,8.00,8.00,5.00,6.00,9.00,12.38,6.00,5.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',812,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5277981,3.00,5.00,2.00,3.00,3.00,NULL,0.00,2.00,2.00,102,NULL,NULL,'BATES','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5277990,6.00,4.00,0.00,3.00,4.00,NULL,0.00,3.00,1.00,202,NULL,201,'CENTRO','LAURO MÜLLER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5278007,9.00,7.00,4.00,7.00,10.00,7.88,6.00,5.00,9.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DO PARQUE','LAJEADO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5278031,5.00,6.00,2.00,5.00,8.00,9.00,1.00,3.00,6.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12519,223,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278058,6.00,6.00,4.00,8.00,8.00,9.00,2.00,5.00,7.00,450,NULL,NULL,'CITY AMERICA','S PAULO','SP',4703,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5278066,5.00,6.00,0.00,6.00,6.00,8.25,3.00,1.00,0.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',15494,318,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278074,7.00,6.00,5.00,6.00,7.00,7.88,5.00,5.00,6.00,214,NULL,212,'JARDIM LUTEFALLA','S CARLOS','SP',3437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278082,3.00,4.00,1.00,3.00,3.00,NULL,2.00,3.00,5.00,103,NULL,NULL,'SAO LUIS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5278090,2.00,6.00,1.00,3.00,7.00,7.13,3.00,2.00,4.00,5,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278104,7.00,8.00,8.00,6.00,9.00,7.50,6.00,7.00,6.00,212,NULL,214,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',1060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278112,2.00,6.00,0.00,2.00,5.00,NULL,1.00,4.00,4.00,452,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278120,5.00,5.00,1.00,6.00,9.00,9.00,3.00,4.00,2.00,428,NULL,426,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278139,9.00,8.00,8.00,7.00,10.00,12.38,6.00,3.00,8.00,203,NULL,202,'VILA ESPERANÇA','TUBARÃO','SC',222,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5278147,7.00,5.00,1.00,7.00,8.00,9.00,3.00,3.00,5.00,320,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278155,8.00,7.00,5.00,7.00,8.00,10.50,4.00,5.00,6.00,303,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',1955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278163,6.00,6.00,2.00,7.00,7.00,7.13,2.00,2.00,3.00,601,NULL,238,'ENSEADA DE BRITO','PALHOÇA','SC',12564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PIQUERI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5278180,1.00,3.00,1.00,2.00,2.00,NULL,2.00,1.00,3.00,404,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278201,4.00,4.00,3.00,6.00,6.00,7.50,2.00,4.00,3.00,103,NULL,NULL,'ALVORADA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5278210,9.00,9.00,5.00,7.00,10.00,10.13,8.00,6.00,7.00,214,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278228,6.00,7.00,4.00,4.00,6.00,8.25,3.00,2.00,6.00,202,NULL,235,'RECIFE','TUBARÃO','SC',9262,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5278236,5.00,6.00,1.00,3.00,5.00,3.75,2.00,2.00,3.00,202,NULL,213,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278244,9.00,6.00,8.00,7.00,10.00,9.38,7.00,6.00,8.00,103,NULL,NULL,'CENTRO','VITORINO','PR',450,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5278252,5.00,5.00,2.00,6.00,6.00,9.75,0.00,6.00,2.00,453,NULL,NULL,'CONCEIÇÃO LEITE','FRANCA','SP',10923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278260,6.00,7.00,2.00,5.00,11.00,9.75,0.00,6.00,6.00,302,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',6187,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278279,2.00,6.00,1.00,4.00,7.00,NULL,0.00,3.00,4.00,108,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278287,5.00,5.00,1.00,2.00,4.00,6.00,1.00,3.00,3.00,651,NULL,653,'VERA CRUZ','CRICIÚMA','SC',16328,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5278295,5.00,4.00,1.00,2.00,6.00,NULL,1.00,4.00,1.00,238,NULL,202,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278309,5.00,4.00,2.00,3.00,6.00,NULL,1.00,0.00,2.00,104,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5278317,5.00,5.00,2.00,4.00,3.00,NULL,0.00,2.00,0.00,653,NULL,211,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5278333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,220,'UNIÃO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5278341,5.00,4.00,0.00,5.00,6.00,NULL,3.00,3.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5278368,3.00,6.00,1.00,2.00,7.00,NULL,0.00,1.00,4.00,316,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278376,4.00,7.00,1.00,4.00,4.00,8.25,5.00,4.00,4.00,332,NULL,NULL,'CENTRO','S JOSÉ','SC',14228,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278384,4.00,4.00,4.00,5.00,6.00,6.75,1.00,3.00,3.00,208,NULL,238,'PRAIA COMPRIDA','S JOSÉ','SC',15084,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5278414,3.00,3.00,2.00,1.00,3.00,NULL,3.00,0.00,3.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'VILA MARGARIDA','OURINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5278449,6.00,6.00,6.00,6.00,5.00,9.38,1.00,5.00,8.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',5154,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5278465,7.00,4.00,5.00,7.00,7.00,9.38,1.00,4.00,6.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278481,9.00,7.00,8.00,7.00,11.00,10.88,8.00,5.00,9.00,103,NULL,NULL,'CENTRO','SELBACH','RS',95,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278511,9.00,5.00,4.00,6.00,9.00,9.38,5.00,5.00,6.00,216,NULL,215,'GLÓRIA','JOINVILLE','SC',2489,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5278520,6.00,6.00,3.00,7.00,6.00,10.13,3.00,5.00,4.00,203,NULL,233,'CORREGO GRANDE','FLORIANÓPOLIS','SC',8619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278538,1.00,4.00,3.00,3.00,5.00,NULL,2.00,3.00,3.00,203,NULL,653,'DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5278546,5.00,5.00,1.00,7.00,7.00,10.50,1.00,4.00,7.00,340,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',9801,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5278554,7.00,6.00,5.00,5.00,9.00,7.88,4.00,5.00,7.00,103,NULL,NULL,'COMASA','JOINVILLE','SC',4302,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5278562,5.00,3.00,3.00,6.00,5.00,8.63,4.00,2.00,6.00,216,NULL,211,'VITÓRIA RÉGIA','CORNÉLIO PROCÓPIO','PR',9921,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5278597,3.00,2.00,0.00,5.00,2.00,NULL,1.00,0.00,2.00,110,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278619,7.00,3.00,5.00,3.00,6.00,7.50,5.00,4.00,2.00,201,NULL,212,'CIDADE ALTA','JAGUARIAÍVA','PR',11027,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5278627,7.00,7.00,1.00,3.00,6.00,9.00,4.00,1.00,3.00,202,NULL,653,'SANTA TEREZINHA','LONDRINA','PR',14858,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5278635,3.00,3.00,1.00,3.00,5.00,NULL,2.00,1.00,2.00,318,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278643,8.00,6.00,4.00,5.00,8.00,8.25,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278651,6.00,4.00,2.00,6.00,7.00,7.50,1.00,4.00,2.00,340,NULL,NULL,'JARDIM SANTA CLARA','S JOÃO B VISTA','SP',12358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278660,6.00,7.00,3.00,7.00,6.00,6.75,4.00,5.00,7.00,203,NULL,601,'ABRAAO','FLORIANÓPOLIS','SC',7424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278678,3.00,4.00,0.00,3.00,4.00,NULL,0.00,1.00,4.00,103,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278686,2.00,4.00,4.00,5.00,4.00,4.50,3.00,2.00,5.00,601,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5278694,8.00,7.00,0.00,5.00,9.00,6.00,1.00,3.00,5.00,108,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',9879,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5278708,8.00,8.00,6.00,5.00,7.00,10.50,5.00,6.00,8.00,203,NULL,216,'ANITA GARIBALDI','JOINVILLE','SC',1700,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5278716,6.00,5.00,3.00,2.00,7.00,6.00,3.00,2.00,3.00,108,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278732,6.00,5.00,2.00,6.00,10.00,11.25,3.00,4.00,4.00,208,NULL,238,'CENTRO','CHAPECÓ','SC',8090,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5278740,7.00,7.00,1.00,5.00,8.00,8.25,1.00,4.00,4.00,104,NULL,NULL,'VILA PEDRINI','JOAÇABA','SC',8691,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5278767,5.00,4.00,1.00,3.00,5.00,NULL,3.00,0.00,4.00,319,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SNATA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5278805,4.00,4.00,0.00,3.00,5.00,NULL,1.00,3.00,3.00,423,NULL,428,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278813,7.00,5.00,4.00,6.00,6.00,8.63,3.00,3.00,6.00,220,NULL,216,'SÃO LUIZ','CRICIÚMA','SC',8531,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5278821,4.00,4.00,1.00,6.00,8.00,7.88,4.00,3.00,5.00,201,NULL,207,'BARREIROS','S JOSÉ','SC',12640,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278848,3.00,4.00,4.00,2.00,3.00,NULL,2.00,3.00,3.00,501,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278856,6.00,5.00,2.00,6.00,7.00,9.00,3.00,6.00,3.00,426,NULL,429,'JOSÉ MENDES','FLORIANÓPOLIS','SC',12618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278864,4.00,5.00,1.00,5.00,8.00,7.50,3.00,2.00,4.00,201,NULL,212,'CAMPINAS','S JOSÉ','SC',13733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278872,6.00,7.00,3.00,5.00,8.00,8.63,4.00,5.00,7.00,104,NULL,NULL,'EUGÊNIO SCHNEIDER','RIO SUL','SC',5217,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5278880,5.00,6.00,2.00,2.00,3.00,NULL,1.00,5.00,2.00,318,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278902,4.00,6.00,1.00,5.00,5.00,7.50,3.00,3.00,4.00,211,NULL,201,'PRAIA COMPRIDA','S JOSÉ','SC',15279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278910,6.00,6.00,4.00,5.00,7.00,11.25,3.00,4.00,7.00,424,NULL,423,'CAMPECHE','FLORIANÓPOLIS','SC',9023,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5278929,7.00,4.00,0.00,4.00,5.00,NULL,1.00,2.00,2.00,109,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278937,4.00,4.00,1.00,4.00,4.00,NULL,1.00,2.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278945,6.00,4.00,0.00,4.00,5.00,NULL,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5278953,6.00,6.00,4.00,6.00,7.00,7.88,0.00,4.00,6.00,201,NULL,NULL,'FAZENDA','ITAJAÍ','SC',9103,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5278961,4.00,4.00,0.00,7.00,8.00,12.00,2.00,2.00,5.00,303,NULL,NULL,'VILA JONES','AMERICANA','SP',7949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278970,9.00,7.00,8.00,6.00,8.00,9.00,5.00,4.00,8.00,103,NULL,NULL,'CENTRO','CORUMBÁ','MS',1353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5278988,4.00,4.00,1.00,4.00,6.00,NULL,3.00,0.00,2.00,302,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5278996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA INDUSTRIAL','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5279011,6.00,3.00,1.00,3.00,7.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'CENTRO','DIAMANTE D OESTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5279020,6.00,7.00,3.00,7.00,8.00,10.50,2.00,2.00,4.00,415,NULL,NULL,'VILA NOVA','BLUMENAU','SC',6318,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5279038,4.00,6.00,1.00,0.00,6.00,NULL,1.00,0.00,4.00,202,NULL,652,'CENTRO','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5279046,2.00,3.00,2.00,2.00,5.00,NULL,0.00,3.00,1.00,340,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279054,3.00,6.00,2.00,5.00,9.00,8.25,3.00,4.00,5.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',11911,207,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279062,9.00,7.00,4.00,7.00,9.00,8.63,4.00,6.00,8.00,103,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',1610,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5279070,3.00,6.00,1.00,6.00,3.00,NULL,3.00,3.00,3.00,425,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279089,7.00,8.00,5.00,8.00,10.00,9.00,3.00,4.00,7.00,450,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',2356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279100,0.00,4.00,0.00,0.00,0.00,NULL,2.00,1.00,2.00,203,NULL,214,'ITOPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5279127,5.00,6.00,1.00,5.00,4.00,7.13,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','VACARIA','RS',14352,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5279135,9.00,6.00,4.00,8.00,11.00,11.25,5.00,6.00,6.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279143,4.00,5.00,2.00,1.00,3.00,NULL,1.00,3.00,3.00,238,NULL,653,'NOVA DIVINEIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5279151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'BREMER','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5279160,1.00,2.00,2.00,3.00,6.00,NULL,2.00,2.00,0.00,551,NULL,NULL,'POUSO DA CAIXA','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5279186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5279194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5279216,6.00,7.00,0.00,4.00,7.00,9.00,1.00,4.00,6.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11862,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5279224,6.00,3.00,0.00,5.00,7.00,8.25,2.00,3.00,3.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',15906,3812,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279232,0.00,5.00,0.00,0.00,3.00,NULL,1.00,3.00,2.00,9,NULL,NULL,'FERRAZ','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279240,1.00,0.00,1.00,0.00,3.00,NULL,0.00,2.00,1.00,339,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279259,7.00,7.00,5.00,7.00,9.00,9.75,5.00,6.00,4.00,304,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',3009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279267,7.00,7.00,4.00,6.00,8.00,7.88,0.00,3.00,4.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',9597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279275,6.00,7.00,4.00,6.00,8.00,8.63,4.00,5.00,7.00,238,NULL,208,'CARIANOS','FLORIANÓPOLIS','SC',4751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279283,3.00,4.00,2.00,4.00,2.00,NULL,1.00,0.00,2.00,5,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279291,8.00,4.00,5.00,6.00,7.00,9.00,1.00,3.00,6.00,103,NULL,NULL,'INDUSTRIAL','S MARCOS','RS',5933,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279305,3.00,6.00,3.00,4.00,7.00,10.88,2.00,2.00,2.00,302,NULL,NULL,'IPIRANGA','S JOSÉ','SC',13014,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279313,5.00,6.00,3.00,5.00,6.00,8.63,2.00,4.00,5.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'SÍTIO DE DENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5279348,3.00,1.00,1.00,4.00,5.00,NULL,1.00,0.00,3.00,201,NULL,207,'AGRONOMCA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279356,5.00,6.00,1.00,5.00,7.00,8.63,3.00,2.00,3.00,301,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',11805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279364,3.00,5.00,2.00,5.00,7.00,9.38,0.00,3.00,4.00,5,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279372,9.00,9.00,2.00,5.00,10.00,11.63,2.00,4.00,6.00,104,NULL,NULL,'CENTRO','TIMBÓ','SC',3989,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5279380,2.00,2.00,1.00,1.00,2.00,NULL,2.00,0.00,3.00,333,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279399,6.00,7.00,7.00,7.00,10.00,9.38,3.00,6.00,6.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279402,5.00,3.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,333,NULL,NULL,'GÁVEA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5279429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5279437,9.00,4.00,3.00,4.00,9.00,9.38,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5222,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279445,2.00,5.00,3.00,3.00,4.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'PROGRESSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5279453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5279461,3.00,4.00,2.00,2.00,6.00,NULL,2.00,1.00,1.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279470,6.00,6.00,2.00,4.00,7.00,12.00,3.00,4.00,4.00,211,NULL,215,'COQUEIROS','FLORIANÓPOLIS','SC',9883,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279496,4.00,7.00,1.00,5.00,5.00,9.75,0.00,2.00,3.00,103,NULL,NULL,'VILA TESOURO','S JOSÉ CAMPOS','SP',13829,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5279500,8.00,7.00,3.00,7.00,8.00,10.13,3.00,5.00,7.00,303,NULL,NULL,'JD DOS PRINCIPES','UMUARAMA','PR',3797,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5279518,7.00,8.00,6.00,7.00,9.00,9.75,7.00,3.00,5.00,203,NULL,215,'SÃO CRISTÓVÃO','LAGES','SC',1655,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5279526,8.00,7.00,6.00,7.00,7.00,7.13,8.00,5.00,8.00,319,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',1727,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5279534,7.00,7.00,2.00,7.00,6.00,11.63,2.00,4.00,5.00,310,NULL,NULL,'ALTO DE PINHEIROS','S PAULO','SP',6413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279550,6.00,8.00,8.00,7.00,8.00,10.88,7.00,6.00,5.00,203,NULL,601,'BOA VISTA','PTO ALEGRE','RS',1245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279577,2.00,7.00,2.00,3.00,4.00,6.00,5.00,2.00,2.00,301,NULL,NULL,'VILA DOZE','ANTÔNIO CARLOS','SC',16176,236,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279585,8.00,6.00,6.00,6.00,9.00,9.38,6.00,3.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2150,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5279593,9.00,7.00,7.00,6.00,7.00,9.75,5.00,6.00,8.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',1758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279607,5.00,6.00,1.00,3.00,4.00,7.88,0.00,2.00,3.00,110,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',16305,23,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5279623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5279631,8.00,5.00,4.00,6.00,6.00,8.63,3.00,3.00,7.00,103,NULL,NULL,'JARDIM COPACABANA','CPO MOURÃO','PR',5972,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5279640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARAMBAIA','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5279658,8.00,7.00,4.00,7.00,9.00,11.25,6.00,5.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279666,1.00,2.00,0.00,4.00,5.00,NULL,2.00,4.00,2.00,308,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279674,8.00,7.00,3.00,7.00,5.00,8.25,5.00,4.00,6.00,108,NULL,NULL,'DEHON','TUBARÃO','SC',6468,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5279682,0.00,5.00,1.00,3.00,3.00,NULL,2.00,2.00,1.00,319,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279690,5.00,7.00,3.00,7.00,10.00,6.75,2.00,5.00,6.00,453,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',6891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279704,8.00,7.00,5.00,6.00,8.00,9.38,4.00,4.00,5.00,201,NULL,207,'CENTRO','CORBÉLIA','PR',5304,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5279712,4.00,7.00,4.00,7.00,5.00,7.88,0.00,4.00,6.00,216,NULL,653,'CENTRO','IVAIPORÃ','PR',7911,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5279720,3.00,6.00,1.00,2.00,6.00,NULL,3.00,2.00,2.00,339,NULL,NULL,'MADRI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'JARDIM MARCHESI','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5279747,8.00,6.00,1.00,4.00,7.00,9.38,3.00,4.00,5.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',8780,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279755,7.00,6.00,4.00,7.00,6.00,10.13,3.00,3.00,5.00,201,NULL,214,'JARDIM IRAJÁ','RIBEIRÃO PRETO','SP',5786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279763,7.00,8.00,2.00,5.00,8.00,8.25,3.00,7.00,6.00,303,NULL,NULL,'VELHA','BLUMENAU','SC',5343,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5279771,8.00,4.00,3.00,7.00,8.00,10.50,3.00,4.00,7.00,5,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',4392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279780,8.00,6.00,6.00,7.00,10.00,8.63,6.00,2.00,6.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',2480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279798,5.00,6.00,1.00,5.00,6.00,9.38,0.00,3.00,2.00,104,NULL,NULL,'ESQUINA','URUBICI','SC',12465,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5279810,5.00,4.00,5.00,5.00,6.00,7.88,4.00,5.00,4.00,201,NULL,207,'CENTRO','NOVA ESPERANÇA','PR',9471,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5279828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5279836,4.00,4.00,0.00,5.00,10.00,NULL,1.00,3.00,3.00,301,NULL,NULL,'PRAIA DE FORA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5279852,5.00,8.00,6.00,7.00,9.00,7.13,4.00,3.00,5.00,238,NULL,213,'CENTRO','S JOSÉ','SC',5423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279860,3.00,5.00,4.00,3.00,3.00,NULL,3.00,2.00,4.00,303,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5279879,4.00,6.00,1.00,7.00,7.00,6.38,2.00,4.00,5.00,201,NULL,207,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5279895,9.00,7.00,7.00,7.00,8.00,8.63,4.00,4.00,9.00,103,NULL,NULL,'CENTRO','UMUARAMA','PR',1425,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5279909,5.00,4.00,0.00,5.00,4.00,10.13,3.00,1.00,4.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',15888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279917,5.00,5.00,2.00,4.00,5.00,7.88,2.00,3.00,4.00,238,NULL,233,'CENTRO','BRUSQUE','SC',14367,360,NULL,383,NULL,NULL,NULL,2,2),(20,5279925,3.00,5.00,0.00,4.00,3.00,NULL,3.00,2.00,3.00,450,NULL,NULL,'ANA MARIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5279933,6.00,7.00,1.00,7.00,8.00,9.75,2.00,4.00,3.00,203,NULL,201,'CENTRO','ITAJAÍ','SC',8364,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5279941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUELLER','STO ÂNGELO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5279950,8.00,8.00,5.00,7.00,8.00,9.00,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','STA ROSA','RS',2444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279968,4.00,4.00,2.00,6.00,4.00,8.63,2.00,3.00,2.00,102,NULL,NULL,'PROGRESSO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5279976,4.00,5.00,2.00,1.00,3.00,NULL,2.00,3.00,2.00,444,NULL,NULL,'PACHEOCS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5279992,3.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5280001,6.00,5.00,5.00,3.00,8.00,9.75,2.00,4.00,6.00,201,NULL,212,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',6610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5280028,8.00,8.00,4.00,6.00,5.00,10.88,4.00,6.00,6.00,214,NULL,213,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',3050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5280036,8.00,5.00,2.00,7.00,7.00,8.25,6.00,4.00,6.00,333,NULL,NULL,'LIBERDADE','CONCÓRDIA','SC',5178,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5280044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5280052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'CENTRO','NOVA ESPERANÇA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5280060,6.00,7.00,1.00,3.00,6.00,6.75,4.00,4.00,6.00,211,NULL,213,'COSTEIRA DO RIBEIRÃO','FLORIANÓPOLIS','SC',11785,371,NULL,137,NULL,NULL,NULL,2,1),(20,5280079,3.00,4.00,1.00,2.00,2.00,NULL,1.00,0.00,2.00,108,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280095,4.00,4.00,2.00,2.00,6.00,8.25,2.00,3.00,4.00,601,NULL,NULL,'BRASILIA','PATO BRANCO','PR',15157,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5280109,3.00,7.00,0.00,3.00,5.00,NULL,2.00,2.00,3.00,207,NULL,NULL,'ORIENTAL','TRÊS MAIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280117,5.00,6.00,4.00,7.00,7.00,10.88,1.00,5.00,4.00,429,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',9458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5280125,5.00,5.00,2.00,4.00,6.00,7.13,4.00,2.00,6.00,317,NULL,NULL,'IPIRANGA','S JOSÉ','SC',13871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280133,5.00,4.00,1.00,7.00,6.00,7.88,3.00,3.00,3.00,208,NULL,238,'MONTE BELO','JOAÇABA','SC',13982,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5280141,8.00,8.00,8.00,6.00,10.00,12.00,7.00,6.00,8.00,103,NULL,NULL,'VILA CONTANÇA','S PAULO','SP',85,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5280150,5.00,4.00,2.00,7.00,7.00,9.00,2.00,2.00,4.00,303,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5280168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ANA','OSVALDO CRUZ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5280176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INDEPEDENCIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5280184,9.00,8.00,4.00,7.00,9.00,10.50,5.00,7.00,8.00,103,NULL,NULL,'MERCES','CURITIBA','PR',746,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5280206,1.00,2.00,1.00,2.00,4.00,NULL,1.00,2.00,2.00,211,NULL,216,'FAXINAL VILA NOVA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5280214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5280222,4.00,3.00,2.00,3.00,3.00,NULL,2.00,4.00,5.00,208,NULL,238,'BAIRO BELA VISTA','MERCEDES','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5280230,9.00,5.00,5.00,5.00,9.00,9.75,8.00,4.00,9.00,103,NULL,NULL,'JARDIM LOS ANGELES','MARINGÁ','PR',1603,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5280249,3.00,5.00,0.00,5.00,4.00,NULL,0.00,4.00,2.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'SANTA CRUZ','NOVA PRATA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5280273,7.00,5.00,0.00,5.00,7.00,8.25,2.00,2.00,6.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',14222,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5280281,8.00,8.00,1.00,6.00,7.00,10.13,4.00,2.00,6.00,202,NULL,233,'CENTRO','JOINVILLE','SC',5185,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5280290,6.00,6.00,1.00,3.00,3.00,NULL,3.00,3.00,7.00,601,NULL,220,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5280303,6.00,7.00,5.00,7.00,9.00,10.13,1.00,4.00,3.00,103,NULL,NULL,'ROÇADO','S JOSÉ','SC',6013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5280311,5.00,6.00,4.00,5.00,7.00,7.50,0.00,3.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14851,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280320,3.00,4.00,2.00,4.00,6.00,NULL,1.00,1.00,4.00,308,NULL,NULL,'JARDIM PRAIA MAR','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5280338,5.00,5.00,5.00,7.00,5.00,7.88,3.00,5.00,5.00,303,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5280346,6.00,3.00,0.00,3.00,3.00,NULL,1.00,2.00,3.00,203,NULL,201,'LIDER','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5280354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5280362,3.00,6.00,1.00,2.00,6.00,NULL,2.00,3.00,4.00,101,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280370,4.00,4.00,1.00,5.00,5.00,NULL,0.00,2.00,5.00,319,NULL,NULL,'AEMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280389,8.00,8.00,3.00,6.00,8.00,10.88,2.00,3.00,5.00,333,NULL,NULL,'QUINTINO','TIMBÓ','SC',4481,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5280397,3.00,7.00,0.00,3.00,5.00,9.00,3.00,3.00,4.00,5,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5280400,8.00,6.00,4.00,5.00,8.00,11.63,3.00,3.00,6.00,103,NULL,NULL,'CENTRO','JUNDIAÍ SUL','PR',4040,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5280419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,601,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',1,8),(20,5280427,4.00,4.00,1.00,2.00,2.00,NULL,0.00,1.00,2.00,503,NULL,NULL,'SÃO MIGUEL','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5280435,5.00,6.00,1.00,6.00,4.00,4.50,1.00,3.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5280443,9.00,7.00,7.00,4.00,8.00,7.88,8.00,6.00,8.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',642,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280451,3.00,7.00,0.00,2.00,4.00,NULL,2.00,1.00,1.00,108,NULL,NULL,'TRINTA REIS','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5280478,4.00,4.00,3.00,7.00,5.00,10.50,3.00,4.00,4.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',13059,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280486,5.00,6.00,4.00,4.00,6.00,7.50,4.00,4.00,4.00,202,NULL,213,'FORQUILHINHAS','S JOSÉ','SC',11029,376,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280494,6.00,7.00,4.00,4.00,7.00,9.38,2.00,3.00,3.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',12250,55,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280516,0.00,3.00,0.00,4.00,3.00,NULL,0.00,1.00,1.00,109,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5280524,9.00,8.00,4.00,7.00,8.00,7.50,4.00,3.00,6.00,201,NULL,215,'CAPOEIRAS','FLORIANÓPOLIS','SC',3841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5280532,2.00,2.00,1.00,3.00,4.00,NULL,3.00,2.00,2.00,9,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280540,3.00,8.00,3.00,5.00,5.00,7.50,2.00,3.00,3.00,224,NULL,NULL,'CENTRO','PALHOÇA','SC',13045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280559,3.00,4.00,1.00,4.00,4.00,NULL,1.00,2.00,2.00,207,NULL,211,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280583,2.00,4.00,1.00,6.00,8.00,6.38,1.00,4.00,4.00,3,NULL,NULL,'VELHA','BLUMENAU','SC',14585,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5280591,6.00,7.00,0.00,3.00,5.00,NULL,0.00,3.00,4.00,203,NULL,214,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280605,5.00,5.00,1.00,4.00,4.00,10.88,2.00,4.00,3.00,109,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5280613,2.00,6.00,4.00,8.00,5.00,10.50,2.00,2.00,2.00,337,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5280621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA CARRÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5280630,4.00,2.00,1.00,5.00,6.00,8.63,5.00,3.00,1.00,201,NULL,207,'COLINA DE FLORES','FLORES CUNHA','RS',15526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5280656,7.00,7.00,1.00,3.00,6.00,10.13,3.00,3.00,5.00,429,NULL,425,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',11165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5280664,8.00,8.00,7.00,7.00,10.00,10.50,8.00,6.00,8.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',228,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5280672,7.00,5.00,0.00,5.00,9.00,7.88,4.00,5.00,7.00,102,NULL,NULL,'CENTRO','PTE SERRADA','SC',7622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280680,8.00,7.00,5.00,4.00,8.00,9.38,4.00,4.00,8.00,201,NULL,203,'CENTRO','GRANDES RIOS','PR',3725,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280699,3.00,6.00,0.00,5.00,6.00,7.50,2.00,2.00,4.00,234,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280702,3.00,4.00,0.00,4.00,4.00,NULL,0.00,3.00,1.00,319,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280710,2.00,5.00,1.00,3.00,3.00,NULL,2.00,3.00,4.00,444,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280729,4.00,4.00,1.00,5.00,7.00,NULL,2.00,3.00,2.00,208,NULL,238,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280737,6.00,8.00,3.00,3.00,7.00,8.63,3.00,3.00,3.00,5,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',9570,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5280745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5280753,4.00,7.00,5.00,2.00,7.00,9.00,3.00,4.00,4.00,220,NULL,202,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',9098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5280770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CANASVIIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5280788,5.00,5.00,0.00,5.00,7.00,10.50,2.00,3.00,2.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280796,4.00,7.00,2.00,7.00,8.00,9.00,3.00,3.00,4.00,453,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',9443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5280800,4.00,2.00,1.00,3.00,5.00,NULL,2.00,2.00,2.00,5,NULL,NULL,'SANTA TEREZA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5280818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,653,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5280826,6.00,4.00,3.00,6.00,5.00,7.13,2.00,2.00,4.00,104,NULL,NULL,'CENTRO','STO ÂNGELO','RS',11613,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280834,7.00,7.00,3.00,6.00,8.00,9.00,3.00,5.00,5.00,211,NULL,216,'CABEÇUDAS','ITAJAÍ','SC',5509,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5280842,3.00,7.00,2.00,2.00,4.00,7.13,4.00,2.00,3.00,5,NULL,NULL,'VILA NOVA','LAGES','SC',15505,504,NULL,NULL,NULL,NULL,NULL,4,9),(20,5280850,5.00,3.00,0.00,5.00,2.00,NULL,1.00,3.00,3.00,451,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5280869,6.00,6.00,3.00,5.00,6.00,6.00,0.00,3.00,5.00,208,NULL,238,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5280877,5.00,6.00,1.00,6.00,8.00,10.88,0.00,5.00,5.00,653,NULL,211,'CENTRO','TORRES','RS',9171,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5280885,3.00,3.00,0.00,4.00,5.00,NULL,1.00,0.00,4.00,233,NULL,215,'SÃO FRANCISCO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5280893,4.00,5.00,3.00,6.00,9.00,7.13,2.00,5.00,3.00,308,NULL,NULL,'IPIRANGA','S JOSÉ','SC',11092,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280907,3.00,6.00,2.00,6.00,7.00,7.88,0.00,3.00,4.00,234,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',15159,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280915,7.00,5.00,0.00,8.00,9.00,9.75,2.00,5.00,5.00,452,NULL,NULL,'MONT SERRAT','PTO ALEGRE','RS',8366,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5280923,1.00,1.00,1.00,3.00,5.00,NULL,1.00,1.00,2.00,9,NULL,NULL,'GUAÍRA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5280931,8.00,7.00,4.00,7.00,8.00,9.38,5.00,5.00,5.00,103,NULL,NULL,'BARRA DO RIO CERRO I','JARAGUÁ SUL','SC',3526,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5280940,2.00,0.00,4.00,2.00,1.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(20,5280958,2.00,5.00,0.00,2.00,3.00,NULL,1.00,2.00,3.00,201,NULL,212,'SANTA TEREZA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5280966,7.00,5.00,1.00,1.00,7.00,9.75,3.00,3.00,5.00,103,NULL,NULL,'JARDIM DO LAGO','CAMBÉ','PR',13087,3534,NULL,NULL,NULL,NULL,NULL,4,6),(20,5280974,8.00,6.00,1.00,6.00,7.00,8.63,4.00,6.00,5.00,104,NULL,NULL,'SÃO CRISTÓVÃO','CAXIAS SUL','RS',5405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5280990,5.00,5.00,1.00,2.00,5.00,8.25,2.00,4.00,2.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',13232,3550,NULL,NULL,NULL,NULL,NULL,2,8),(20,5281008,5.00,7.00,0.00,4.00,7.00,NULL,3.00,6.00,3.00,415,NULL,NULL,'MONTE ALEGRE','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5281016,4.00,6.00,1.00,6.00,4.00,7.13,1.00,3.00,3.00,201,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',14877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281024,9.00,6.00,6.00,5.00,6.00,9.75,4.00,5.00,7.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',3428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281032,6.00,8.00,6.00,6.00,6.00,8.25,4.00,7.00,7.00,301,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',3726,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5281040,9.00,7.00,5.00,6.00,9.00,10.13,4.00,3.00,8.00,103,NULL,NULL,'RIO BRANCO','NOVO HAMBURGO','RS',1522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281059,8.00,9.00,3.00,8.00,9.00,10.50,5.00,6.00,6.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',1652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281067,5.00,5.00,2.00,5.00,7.00,9.00,2.00,3.00,3.00,110,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',12302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281075,9.00,7.00,3.00,5.00,8.00,8.63,3.00,4.00,6.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281083,5.00,6.00,0.00,2.00,4.00,NULL,1.00,2.00,5.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281091,5.00,5.00,4.00,7.00,7.00,7.13,1.00,3.00,5.00,207,NULL,201,'ROÇADO','S JOSÉ','SC',9472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281105,1.00,4.00,2.00,4.00,5.00,NULL,2.00,1.00,3.00,339,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281121,4.00,3.00,2.00,1.00,5.00,NULL,2.00,3.00,3.00,331,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281130,7.00,6.00,2.00,6.00,8.00,9.38,3.00,3.00,6.00,303,NULL,NULL,'PERDIZES','S PAULO','SP',7196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281148,4.00,4.00,2.00,7.00,6.00,7.50,1.00,3.00,3.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281156,4.00,2.00,0.00,5.00,3.00,NULL,1.00,2.00,3.00,303,NULL,NULL,'ZONA NOVA SUL','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5281164,4.00,5.00,4.00,4.00,4.00,7.50,1.00,3.00,5.00,220,NULL,203,'UNIVERSITÁRIO','VIDEIRA','SC',12361,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5281172,4.00,7.00,2.00,7.00,4.00,7.88,4.00,5.00,4.00,223,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281180,8.00,6.00,4.00,5.00,9.00,10.88,3.00,4.00,8.00,216,NULL,NULL,'RECREIO DAS ACÁCIAS','RIBEIRÃO PRETO','SP',2418,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281202,8.00,7.00,1.00,4.00,7.00,9.75,3.00,7.00,6.00,235,NULL,238,'ATIRADORES','JOINVILLE','SC',7316,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5281210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'JURERÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5281229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PASSA D AREIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5281237,3.00,4.00,0.00,5.00,3.00,NULL,3.00,4.00,3.00,234,NULL,NULL,'JARDIN TV','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5281245,4.00,3.00,1.00,6.00,3.00,NULL,1.00,4.00,2.00,207,NULL,201,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5281253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5281261,4.00,4.00,4.00,7.00,7.00,8.63,2.00,1.00,6.00,3,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281270,3.00,4.00,0.00,4.00,3.00,NULL,3.00,3.00,3.00,202,NULL,NULL,'SÃO CRISTÓVÃO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281288,4.00,4.00,1.00,2.00,5.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5281296,7.00,4.00,5.00,5.00,8.00,6.75,1.00,2.00,5.00,201,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',11750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281300,5.00,5.00,2.00,4.00,6.00,7.88,0.00,3.00,5.00,336,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281318,8.00,6.00,3.00,5.00,7.00,8.63,4.00,2.00,4.00,103,NULL,NULL,'ZONA RURAL','PALOTINA','PR',6938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281326,8.00,5.00,3.00,7.00,7.00,9.00,2.00,4.00,1.00,104,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',8135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281334,3.00,8.00,4.00,4.00,9.00,9.00,3.00,3.00,5.00,318,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281342,4.00,5.00,3.00,3.00,3.00,NULL,1.00,4.00,4.00,201,NULL,233,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281350,3.00,7.00,2.00,6.00,6.00,7.50,1.00,1.00,0.00,212,NULL,207,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281377,8.00,7.00,2.00,3.00,10.00,12.00,0.00,5.00,4.00,103,NULL,NULL,'LAODICEIA','MARINGÁ','PR',6622,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5281385,1.00,3.00,1.00,2.00,9.00,NULL,1.00,1.00,3.00,201,NULL,212,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281393,3.00,7.00,3.00,6.00,8.00,13.50,1.00,9.00,5.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281407,6.00,6.00,2.00,5.00,5.00,9.75,2.00,3.00,4.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11047,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281415,4.00,6.00,4.00,7.00,7.00,10.13,1.00,3.00,4.00,453,NULL,NULL,'AREIAS','S JOSÉ','SC',8242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281431,8.00,7.00,4.00,6.00,7.00,7.88,7.00,5.00,5.00,329,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4926,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5281440,3.00,3.00,0.00,2.00,0.00,NULL,0.00,3.00,1.00,451,NULL,NULL,'CENTRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5281458,7.00,5.00,3.00,6.00,11.00,8.25,3.00,3.00,4.00,452,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',7875,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5281466,1.00,4.00,1.00,2.00,5.00,NULL,1.00,4.00,6.00,308,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5281474,5.00,4.00,2.00,1.00,3.00,NULL,0.00,1.00,4.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5281482,6.00,7.00,0.00,4.00,8.00,7.50,3.00,4.00,7.00,452,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',11234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281490,1.00,2.00,2.00,0.00,4.00,NULL,0.00,2.00,2.00,324,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281504,4.00,4.00,1.00,4.00,7.00,NULL,3.00,2.00,3.00,103,NULL,NULL,'ARIRIÚ DA FORMIGA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5281520,4.00,6.00,3.00,7.00,6.00,8.25,4.00,5.00,3.00,303,NULL,NULL,'DEHON','TUBARÃO','SC',8918,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5281539,4.00,5.00,1.00,5.00,6.00,NULL,1.00,2.00,1.00,425,NULL,429,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281547,8.00,6.00,3.00,5.00,4.00,9.00,6.00,5.00,7.00,201,NULL,202,'CENTRO','S MIGUEL OESTE','SC',6238,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5281555,7.00,7.00,2.00,2.00,6.00,4.88,2.00,4.00,5.00,501,NULL,NULL,'CENTRO','VERÊ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5281563,9.00,7.00,6.00,7.00,10.00,9.75,6.00,5.00,7.00,103,NULL,NULL,'BAIRRO AHU','CURITIBA','PR',742,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5281571,2.00,6.00,3.00,4.00,7.00,8.63,2.00,5.00,4.00,233,NULL,214,'CAMPECHE','FLORIANÓPOLIS','SC',11881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281580,7.00,6.00,0.00,7.00,7.00,NULL,3.00,3.00,5.00,103,NULL,NULL,'JARDIM DABRIL','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'HIGIENOPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5281601,8.00,8.00,2.00,5.00,8.00,10.50,6.00,5.00,9.00,103,NULL,NULL,'SÍTIO CERCADO','CURITIBA','PR',1725,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5281610,3.00,5.00,1.00,5.00,6.00,9.75,2.00,2.00,4.00,427,NULL,424,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281628,7.00,6.00,2.00,7.00,6.00,8.25,4.00,5.00,4.00,216,NULL,233,'BOQUEIRÃO','CURITIBA','PR',6487,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5281636,2.00,5.00,1.00,2.00,5.00,NULL,2.00,2.00,2.00,233,NULL,211,'JARDIM PRIMAVERA','LONTRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5281644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NEVA','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5281652,8.00,8.00,4.00,6.00,8.00,10.13,3.00,6.00,7.00,103,NULL,NULL,'VILA ITOUPAVA','BLUMENAU','SC',2363,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5281660,3.00,4.00,4.00,2.00,6.00,NULL,0.00,4.00,1.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'BADENFURT','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5281687,9.00,5.00,2.00,6.00,10.00,11.63,6.00,4.00,7.00,202,NULL,235,'TRÊS RIOS DO SUL','JARAGUÁ SUL','SC',2688,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5281709,5.00,5.00,2.00,5.00,7.00,6.75,3.00,5.00,3.00,415,NULL,NULL,'FUNDOS','BIGUAÇU','SC',12225,233,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHACARA AREAL','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5281725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5281733,4.00,4.00,3.00,6.00,5.00,3.75,5.00,4.00,5.00,427,NULL,424,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281750,4.00,8.00,3.00,7.00,6.00,10.50,1.00,6.00,2.00,2,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',8219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5281784,4.00,5.00,3.00,4.00,6.00,6.75,2.00,5.00,5.00,234,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281792,5.00,5.00,2.00,4.00,7.00,9.75,1.00,5.00,7.00,301,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',10811,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281806,4.00,0.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PETROPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,9),(20,5281814,7.00,3.00,4.00,7.00,8.00,10.50,3.00,5.00,5.00,303,NULL,NULL,'VILA A','FOZ IGUAÇU','PR',5969,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5281822,3.00,2.00,1.00,1.00,4.00,NULL,1.00,3.00,2.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281830,4.00,4.00,0.00,2.00,7.00,NULL,2.00,4.00,1.00,332,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281849,4.00,5.00,2.00,5.00,7.00,7.88,3.00,1.00,4.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',14156,3650,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281857,5.00,6.00,2.00,1.00,4.00,6.75,2.00,2.00,6.00,201,NULL,212,'VOSTARDT','BLUMENAU','SC',14623,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5281873,6.00,6.00,1.00,7.00,8.00,9.75,1.00,3.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281881,3.00,4.00,2.00,5.00,7.00,NULL,0.00,2.00,3.00,303,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5281890,4.00,3.00,0.00,5.00,5.00,NULL,2.00,2.00,3.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281903,5.00,5.00,8.00,7.00,6.00,10.88,1.00,5.00,7.00,216,NULL,201,'ALTO DA LAPA','S PAULO','SP',3988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOMFIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5281920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IJUÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5281938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5281946,2.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,3.00,425,NULL,429,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281954,5.00,6.00,3.00,6.00,7.00,10.88,3.00,3.00,6.00,316,NULL,NULL,'CENTRO','S JOSÉ','SC',11012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5281962,9.00,8.00,5.00,6.00,7.00,10.50,6.00,5.00,9.00,103,NULL,NULL,'INTERIOR','PINHEIRO PRETO','SC',873,532,NULL,NULL,NULL,NULL,NULL,4,7),(20,5281989,2.00,6.00,1.00,2.00,4.00,7.88,1.00,4.00,4.00,427,NULL,424,'INGLESES','FLORIANÓPOLIS','SC',16296,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5281997,6.00,3.00,0.00,4.00,3.00,NULL,0.00,3.00,2.00,207,NULL,208,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282004,8.00,8.00,7.00,7.00,8.00,9.75,4.00,5.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REI','ESTRELA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5282020,7.00,7.00,5.00,7.00,10.00,10.50,7.00,6.00,7.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282039,8.00,3.00,1.00,7.00,9.00,7.13,3.00,2.00,4.00,103,NULL,NULL,'POPULAR','LAGES','SC',10295,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5282047,6.00,5.00,4.00,8.00,7.00,8.63,4.00,3.00,6.00,238,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282055,7.00,4.00,3.00,7.00,7.00,9.00,0.00,4.00,5.00,601,NULL,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',8937,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5282063,3.00,6.00,3.00,4.00,4.00,6.00,3.00,1.00,5.00,208,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',15246,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282071,7.00,6.00,1.00,6.00,8.00,8.63,3.00,5.00,6.00,103,NULL,NULL,'VILA IPIRANGA','LONDRINA','PR',7115,2665,NULL,NULL,NULL,NULL,NULL,4,6),(20,5282098,5.00,6.00,0.00,8.00,9.00,NULL,2.00,4.00,2.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282101,3.00,5.00,4.00,5.00,5.00,9.75,0.00,2.00,4.00,502,NULL,NULL,'BARREIROS','S JOSÉ','SC',14834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282128,3.00,4.00,2.00,5.00,5.00,7.13,3.00,3.00,4.00,216,NULL,208,'CENTRO','PALOTINA','PR',13869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282136,6.00,8.00,2.00,8.00,8.00,12.75,7.00,2.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282144,7.00,7.00,3.00,6.00,6.00,9.38,1.00,3.00,5.00,333,NULL,NULL,'CENTRO','TAPEJARA','RS',9523,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'SETE DE SETEMBRO','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5282160,5.00,6.00,4.00,6.00,8.00,9.75,3.00,3.00,6.00,301,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',7475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'CENTRO','CARAMBEÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5282187,3.00,4.00,0.00,3.00,2.00,NULL,1.00,0.00,4.00,339,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282195,3.00,7.00,1.00,4.00,6.00,7.50,2.00,3.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15829,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282209,7.00,7.00,6.00,7.00,7.00,9.75,3.00,4.00,9.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',2547,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5282217,8.00,8.00,6.00,5.00,9.00,9.75,5.00,2.00,5.00,104,NULL,NULL,'CENTRO','GR PARÁ','SC',3917,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5282225,3.00,8.00,4.00,3.00,6.00,8.25,3.00,2.00,1.00,202,NULL,201,'KOBRASOL','S JOSÉ','SC',15093,498,NULL,1069,NULL,NULL,NULL,2,1),(20,5282233,5.00,6.00,4.00,3.00,8.00,8.25,2.00,3.00,5.00,501,NULL,NULL,'CENTRO','BR COTEGIPE','RS',12425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282241,5.00,7.00,1.00,5.00,8.00,7.88,4.00,3.00,3.00,2,NULL,NULL,'SANTA TEREZA','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'ICARAÍ','NITERÓI','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5282268,3.00,6.00,4.00,3.00,5.00,7.88,1.00,3.00,2.00,336,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',16118,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5282276,5.00,5.00,1.00,4.00,7.00,6.00,3.00,1.00,4.00,316,NULL,NULL,'STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC',16192,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282284,4.00,4.00,1.00,6.00,4.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5282292,6.00,5.00,1.00,1.00,2.00,NULL,2.00,3.00,1.00,5,NULL,NULL,'SAO SEBASTIAO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282306,6.00,4.00,2.00,7.00,6.00,8.25,1.00,3.00,3.00,301,NULL,NULL,'CENTRO','LACERDÓPOLIS','SC',14552,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5282314,5.00,4.00,1.00,6.00,10.00,6.38,2.00,4.00,2.00,404,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282322,3.00,5.00,4.00,4.00,3.00,NULL,2.00,3.00,4.00,201,NULL,207,'VARGEM DO CEDRO','S MARTINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5282330,5.00,6.00,1.00,4.00,5.00,8.25,0.00,3.00,5.00,208,NULL,235,'SANTINHO','FLORIANÓPOLIS','SC',15165,435,NULL,200,NULL,NULL,NULL,4,1),(20,5282357,5.00,5.00,0.00,6.00,5.00,NULL,0.00,1.00,3.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282365,6.00,8.00,3.00,6.00,5.00,8.25,0.00,2.00,6.00,102,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',8767,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5282373,7.00,6.00,4.00,3.00,9.00,9.38,6.00,3.00,7.00,653,NULL,601,'ESPERANÇA','ERECHIM','RS',4959,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5282381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA CUBAS','TIJUCAS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5282390,5.00,6.00,4.00,4.00,8.00,9.00,4.00,4.00,6.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',8835,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282403,4.00,4.00,2.00,3.00,4.00,9.75,3.00,3.00,4.00,303,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5282411,4.00,3.00,2.00,1.00,2.00,NULL,3.00,1.00,1.00,339,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282420,2.00,5.00,1.00,4.00,3.00,NULL,0.00,2.00,1.00,201,NULL,238,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282438,4.00,5.00,4.00,5.00,6.00,6.00,0.00,3.00,4.00,601,NULL,215,'VILA NOVA','MAFRA','SC',14951,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5282446,6.00,6.00,5.00,7.00,9.00,7.50,2.00,7.00,7.00,102,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',2813,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5282462,5.00,7.00,1.00,4.00,8.00,11.63,2.00,3.00,8.00,415,NULL,NULL,'VORSTADT','BLUMENAU','SC',8739,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5282470,3.00,6.00,2.00,2.00,3.00,NULL,2.00,2.00,3.00,201,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,233,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5282497,3.00,6.00,4.00,6.00,8.00,9.38,6.00,5.00,6.00,104,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',8538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282500,7.00,4.00,3.00,5.00,9.00,9.00,4.00,3.00,8.00,103,NULL,NULL,'ORLEANS','CURITIBA','PR',4858,2107,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5282527,3.00,2.00,1.00,5.00,5.00,NULL,2.00,2.00,2.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282535,7.00,5.00,4.00,7.00,8.00,9.38,3.00,6.00,4.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',2933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282543,2.00,5.00,0.00,5.00,6.00,11.25,2.00,2.00,4.00,225,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282551,6.00,5.00,4.00,5.00,6.00,9.38,3.00,1.00,6.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9463,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282560,5.00,5.00,0.00,7.00,7.00,6.75,2.00,2.00,5.00,340,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',13258,377,NULL,NULL,NULL,NULL,NULL,4,8),(20,5282578,6.00,5.00,2.00,4.00,7.00,NULL,0.00,4.00,4.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5282608,7.00,6.00,4.00,6.00,8.00,8.63,1.00,4.00,7.00,203,NULL,214,'BARREIROS','S JOSÉ','SC',5867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282616,4.00,5.00,5.00,4.00,3.00,NULL,1.00,1.00,2.00,208,NULL,201,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282624,7.00,7.00,5.00,6.00,7.00,8.25,5.00,6.00,6.00,444,NULL,NULL,'SANTA MÔNICA','OSVALDO CRUZ','SP',2600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282632,7.00,7.00,2.00,7.00,9.00,9.75,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282640,2.00,3.00,0.00,4.00,3.00,NULL,0.00,4.00,1.00,309,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282659,5.00,8.00,3.00,5.00,7.00,8.25,4.00,4.00,5.00,415,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',7199,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5282667,5.00,5.00,2.00,5.00,7.00,9.38,2.00,4.00,6.00,235,NULL,213,'TRIANON','GUARAPUAVA','PR',7792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282675,9.00,8.00,9.00,7.00,9.00,9.00,9.00,7.00,8.00,203,NULL,214,'VILA ADYANA','S JOSÉ CAMPOS','SP',112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282683,7.00,8.00,6.00,7.00,7.00,7.50,6.00,5.00,6.00,103,NULL,NULL,'JUSSARA','INHUMAS','GO',1933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282691,7.00,5.00,4.00,0.00,6.00,7.13,1.00,2.00,3.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',14701,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5282705,3.00,3.00,0.00,2.00,3.00,NULL,2.00,2.00,3.00,309,NULL,NULL,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282713,2.00,1.00,2.00,3.00,2.00,NULL,2.00,0.00,2.00,5,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282721,8.00,5.00,2.00,4.00,9.00,6.38,3.00,6.00,8.00,103,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',4844,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5282730,5.00,7.00,4.00,2.00,7.00,6.75,3.00,3.00,6.00,208,NULL,238,'SAO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282748,6.00,4.00,3.00,5.00,6.00,9.00,4.00,3.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',5430,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5282756,9.00,7.00,4.00,6.00,8.00,8.63,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',3640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282764,2.00,5.00,4.00,3.00,4.00,NULL,1.00,2.00,3.00,9,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282772,5.00,6.00,0.00,1.00,4.00,NULL,2.00,0.00,0.00,652,NULL,651,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5282780,5.00,5.00,2.00,4.00,5.00,8.25,3.00,2.00,7.00,103,NULL,NULL,'CENTRO','STA HELENA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282802,8.00,5.00,3.00,6.00,8.00,8.25,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',5318,NULL,NULL,NULL,NULL,NULL,NULL,1,9),(20,5282810,8.00,5.00,1.00,3.00,4.00,9.38,4.00,5.00,4.00,104,NULL,NULL,'BARREIRINHA','CURITIBA','PR',9973,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5282829,8.00,8.00,5.00,7.00,10.00,9.00,6.00,3.00,8.00,303,NULL,NULL,'APONIA','PTO VELHO','RO',922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282837,7.00,7.00,3.00,6.00,9.00,6.38,5.00,5.00,6.00,208,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',4811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282845,4.00,6.00,1.00,4.00,4.00,NULL,2.00,1.00,3.00,9,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282853,3.00,3.00,1.00,6.00,6.00,NULL,0.00,2.00,3.00,5,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5282870,7.00,6.00,2.00,7.00,5.00,9.38,5.00,3.00,6.00,316,NULL,NULL,'FLORESTAL','LAJEADO','RS',8332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282888,7.00,6.00,2.00,6.00,7.00,10.13,2.00,3.00,4.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',8083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282896,5.00,5.00,0.00,2.00,3.00,NULL,1.00,3.00,4.00,211,NULL,216,'INTERIOR','RIO ANTAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5282900,5.00,6.00,4.00,4.00,7.00,7.88,3.00,2.00,7.00,103,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',11169,3324,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282918,7.00,7.00,2.00,7.00,7.00,7.50,3.00,2.00,6.00,201,NULL,235,'VILA REAL','BAL CAMBORIÚ','SC',7939,554,NULL,NULL,NULL,NULL,NULL,4,3),(20,5282926,8.00,7.00,3.00,6.00,9.00,14.25,3.00,4.00,5.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',2809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282934,7.00,9.00,4.00,6.00,6.00,10.13,6.00,3.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2334,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5282942,2.00,4.00,0.00,0.00,3.00,NULL,0.00,3.00,3.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5282950,6.00,7.00,4.00,4.00,7.00,8.63,3.00,6.00,5.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7328,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5282969,5.00,5.00,1.00,5.00,7.00,12.00,0.00,3.00,2.00,103,NULL,NULL,'FRANCISCO DONCATTO','S MARCOS','RS',11799,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5282977,2.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5282985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DAS NAÇÕES','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5283000,6.00,6.00,7.00,7.00,7.00,9.00,3.00,4.00,3.00,238,NULL,216,'CENTRO','GOIÂNIA','GO',5407,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5283019,6.00,9.00,1.00,4.00,5.00,7.13,4.00,3.00,5.00,301,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',11682,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283035,9.00,7.00,6.00,5.00,10.00,10.50,8.00,6.00,7.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',709,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5283060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5283086,5.00,6.00,3.00,7.00,8.00,8.63,6.00,5.00,7.00,238,NULL,NULL,'CENTRO','URUSSANGA','SC',5508,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5283094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5283108,9.00,6.00,8.00,6.00,8.00,10.50,7.00,5.00,9.00,103,NULL,NULL,'CENTRO','ITAPEJARA D OESTE','PR',504,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5283116,2.00,5.00,3.00,2.00,7.00,NULL,1.00,3.00,3.00,319,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5283124,4.00,6.00,4.00,6.00,7.00,7.13,2.00,4.00,4.00,304,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',11473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5283132,8.00,8.00,4.00,7.00,7.00,7.50,8.00,5.00,8.00,601,NULL,203,'RONDINHA','CPO LARGO','PR',1993,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5283140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AUXILIADORA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5283159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5283167,0.00,0.00,0.00,0.00,0.00,NULL,2.00,0.00,0.00,316,NULL,NULL,'CENTRO','GARUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5283175,9.00,9.00,5.00,2.00,6.00,7.50,5.00,4.00,6.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',5615,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283191,0.00,6.00,0.00,3.00,5.00,NULL,1.00,2.00,2.00,651,NULL,652,'OPERARIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5283205,5.00,6.00,2.00,5.00,7.00,7.13,5.00,2.00,4.00,427,NULL,423,'CENTRO','FLORIANÓPOLIS','SC',13481,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283221,5.00,6.00,2.00,5.00,8.00,9.00,1.00,5.00,6.00,324,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12185,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283230,7.00,4.00,0.00,5.00,7.00,8.25,4.00,5.00,5.00,202,NULL,235,'BIGORRILHO','CURITIBA','PR',8778,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5283248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5283256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5283264,6.00,6.00,0.00,4.00,4.00,8.25,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','PTE SERRADA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5283272,9.00,8.00,4.00,5.00,9.00,7.88,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2071,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5283280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,233,'ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5283299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5283302,3.00,6.00,0.00,3.00,3.00,NULL,1.00,2.00,5.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283310,2.00,5.00,2.00,4.00,5.00,6.00,3.00,2.00,4.00,316,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',16291,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283329,3.00,4.00,2.00,6.00,6.00,NULL,0.00,3.00,4.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283337,6.00,6.00,5.00,4.00,7.00,6.75,4.00,4.00,7.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',5978,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5283345,8.00,8.00,2.00,7.00,9.00,8.63,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5500,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5283353,5.00,3.00,0.00,3.00,5.00,NULL,2.00,1.00,5.00,103,NULL,NULL,'IMPERIAL','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5283361,5.00,6.00,5.00,7.00,10.00,9.00,1.00,4.00,5.00,216,NULL,211,'UNIVERSITÁRIO','VIDEIRA','SC',6978,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5283370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'CAPRICÓRNIO','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5283388,8.00,5.00,1.00,7.00,8.00,10.13,4.00,4.00,4.00,9,NULL,NULL,'AMÉRICA','JOINVILLE','SC',7216,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5283400,4.00,5.00,1.00,5.00,5.00,NULL,0.00,1.00,1.00,326,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283418,2.00,2.00,3.00,3.00,2.00,NULL,0.00,2.00,4.00,208,NULL,NULL,'SAÕ JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283426,7.00,7.00,1.00,5.00,4.00,10.50,3.00,4.00,4.00,601,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',10509,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5283434,8.00,7.00,4.00,5.00,10.00,10.50,3.00,7.00,6.00,101,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',2031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283450,1.00,5.00,0.00,1.00,3.00,NULL,3.00,3.00,3.00,207,NULL,201,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283469,5.00,7.00,4.00,6.00,6.00,10.13,2.00,4.00,5.00,326,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',10977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5283507,6.00,6.00,2.00,7.00,7.00,11.25,3.00,4.00,4.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5283515,9.00,8.00,4.00,4.00,10.00,9.75,4.00,5.00,8.00,207,NULL,212,'VILA INDUSTRIAL','TOLEDO','PR',2288,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283523,5.00,5.00,2.00,6.00,5.00,10.50,1.00,1.00,3.00,319,NULL,NULL,'ARCO IRIS','ATIBAIA','SP',14329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5283531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5283540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM AQUARIOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5283558,4.00,3.00,2.00,5.00,5.00,8.63,2.00,2.00,3.00,208,NULL,238,'SÃO CRISTÓVÃO','LAGES','SC',15905,478,NULL,423,NULL,NULL,NULL,4,9),(20,5283566,7.00,8.00,4.00,7.00,8.00,10.50,3.00,3.00,5.00,2,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',5263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283574,5.00,5.00,4.00,5.00,5.00,8.25,3.00,4.00,7.00,336,NULL,NULL,'SALGADO FILHO','GRAVATAÍ','RS',8357,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5283582,5.00,5.00,3.00,6.00,6.00,9.38,2.00,3.00,3.00,316,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',10818,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,207,'VILA LOURDES','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5283604,9.00,6.00,5.00,6.00,9.00,11.25,6.00,4.00,8.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',1252,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283612,6.00,5.00,1.00,3.00,3.00,NULL,2.00,4.00,3.00,211,NULL,213,'SÃO BASILIO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283620,4.00,6.00,2.00,6.00,7.00,7.88,1.00,3.00,3.00,303,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5283639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5283647,4.00,6.00,2.00,6.00,5.00,7.13,1.00,2.00,4.00,601,NULL,653,'STELLA MARIS','PERUÍBE','SP',13548,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5283655,1.00,5.00,2.00,4.00,3.00,NULL,1.00,2.00,2.00,308,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283663,3.00,5.00,0.00,4.00,3.00,NULL,1.00,1.00,2.00,109,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283671,2.00,4.00,2.00,5.00,4.00,NULL,1.00,0.00,4.00,207,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5283680,3.00,4.00,1.00,3.00,5.00,NULL,1.00,2.00,3.00,451,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283698,9.00,7.00,8.00,7.00,8.00,8.63,5.00,4.00,8.00,103,NULL,NULL,'CENTRO','ALTAMIRA PARANÁ','PR',1050,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5283701,9.00,7.00,3.00,7.00,9.00,11.63,5.00,4.00,6.00,301,NULL,NULL,'CAMPESTRE','IMBITUBA','SC',2442,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5283710,1.00,4.00,0.00,1.00,5.00,NULL,0.00,2.00,1.00,102,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5283728,0.00,3.00,0.00,0.00,0.00,NULL,3.00,2.00,3.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283736,2.00,2.00,3.00,2.00,1.00,NULL,1.00,2.00,1.00,335,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5283760,7.00,6.00,5.00,6.00,4.00,0.00,2.00,6.00,6.00,203,NULL,216,'CENTRO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5283779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5283787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,207,'NASPOLINI','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5283795,7.00,7.00,7.00,7.00,9.00,11.25,7.00,3.00,6.00,304,NULL,NULL,'VILA IZABEL','CURITIBA','PR',842,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5283809,3.00,5.00,3.00,3.00,5.00,7.50,1.00,3.00,5.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283817,3.00,4.00,1.00,6.00,5.00,NULL,2.00,1.00,2.00,208,NULL,651,'IPIRANGA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5283825,5.00,5.00,1.00,5.00,4.00,NULL,1.00,1.00,4.00,103,NULL,NULL,'EUGENIO SCHNEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5283841,7.00,5.00,2.00,6.00,10.00,9.00,5.00,6.00,5.00,103,NULL,NULL,'PROGRESSO','BLUMENAU','SC',3316,1590,NULL,NULL,NULL,NULL,NULL,4,2),(20,5283850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RODEIO BONITO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5283868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5283884,3.00,6.00,2.00,3.00,5.00,NULL,0.00,2.00,3.00,444,NULL,NULL,'COSTA DE CIMA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5283914,6.00,7.00,5.00,4.00,8.00,7.13,3.00,6.00,7.00,319,NULL,NULL,'PLANALTO PARAISO','S CARLOS','SP',5036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5283922,3.00,7.00,2.00,5.00,7.00,10.50,2.00,3.00,2.00,340,NULL,NULL,'DEHON','TUBARÃO','SC',13149,369,NULL,NULL,NULL,NULL,NULL,2,10),(20,5283930,3.00,6.00,2.00,7.00,8.00,10.13,5.00,2.00,4.00,453,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',9185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5283949,3.00,2.00,1.00,2.00,2.00,NULL,1.00,0.00,3.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5283957,8.00,7.00,4.00,8.00,3.00,NULL,3.00,3.00,7.00,103,NULL,NULL,'CAMINHO DAS ÁRVORES','SALVADOR','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5283965,0.00,3.00,0.00,0.00,2.00,NULL,2.00,0.00,1.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA INDUSTRIAL','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5283981,2.00,3.00,2.00,6.00,5.00,6.75,4.00,3.00,5.00,450,NULL,NULL,'ÁRTEMIS','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5283990,7.00,7.00,2.00,6.00,8.00,11.63,5.00,4.00,7.00,601,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',4258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284007,0.00,6.00,2.00,1.00,5.00,NULL,2.00,4.00,1.00,653,NULL,652,'PINTADA','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5284015,5.00,6.00,4.00,6.00,6.00,8.25,1.00,4.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6407,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5284023,8.00,7.00,5.00,7.00,8.00,11.25,7.00,4.00,7.00,203,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',2549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284031,3.00,5.00,2.00,3.00,3.00,NULL,1.00,4.00,4.00,9,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5284040,3.00,3.00,1.00,4.00,1.00,NULL,0.00,3.00,6.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5284058,6.00,5.00,3.00,7.00,8.00,12.75,3.00,3.00,4.00,211,NULL,216,'CENTRO','PATO BRANCO','PR',6490,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5284066,7.00,7.00,6.00,7.00,9.00,10.13,5.00,4.00,7.00,203,NULL,202,'FORQUILHINHAS','S JOSÉ','SC',1763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284074,6.00,4.00,1.00,4.00,3.00,NULL,1.00,3.00,3.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284082,8.00,6.00,2.00,5.00,8.00,8.25,3.00,5.00,7.00,103,NULL,NULL,'PARIGOT DE SOUZA','CPO MOURÃO','PR',4205,1905,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284090,6.00,6.00,4.00,4.00,8.00,9.00,2.00,4.00,6.00,425,NULL,429,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284112,5.00,7.00,3.00,5.00,3.00,NULL,1.00,3.00,5.00,104,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284139,1.00,5.00,1.00,5.00,6.00,NULL,2.00,0.00,1.00,303,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284147,1.00,3.00,0.00,3.00,4.00,NULL,0.00,1.00,1.00,3,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5284155,7.00,5.00,6.00,7.00,7.00,5.25,1.00,1.00,3.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5284171,2.00,5.00,3.00,4.00,7.00,NULL,0.00,4.00,2.00,339,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284180,8.00,8.00,4.00,6.00,8.00,8.63,1.00,4.00,6.00,211,NULL,233,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',6314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284198,0.00,6.00,1.00,2.00,3.00,NULL,1.00,3.00,2.00,213,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284201,9.00,9.00,4.00,7.00,11.00,12.75,5.00,5.00,8.00,103,NULL,NULL,'SANTANA','PTO ALEGRE','RS',498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284210,8.00,5.00,0.00,6.00,6.00,NULL,1.00,3.00,5.00,220,NULL,203,'JARDIM PRESIDENTE','RIO VERDE','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5284228,9.00,8.00,6.00,7.00,8.00,12.38,7.00,4.00,9.00,103,NULL,NULL,'CENTRO','TELÊMACO BORBA','PR',440,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5284236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,213,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5284252,9.00,7.00,6.00,6.00,8.00,10.50,6.00,5.00,8.00,103,NULL,NULL,'MARECHAL RONDOM','CANOAS','RS',966,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5284260,8.00,7.00,3.00,4.00,10.00,10.13,2.00,4.00,8.00,238,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284279,5.00,4.00,1.00,4.00,4.00,7.88,3.00,2.00,3.00,320,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284287,6.00,6.00,1.00,4.00,5.00,6.75,2.00,4.00,3.00,502,NULL,NULL,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5284295,5.00,7.00,4.00,3.00,5.00,10.13,4.00,3.00,2.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284317,6.00,7.00,4.00,5.00,6.00,9.75,4.00,5.00,4.00,319,NULL,NULL,'SOCOPAS','BAL ARROIO SILVA','SC',7764,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5284325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5284333,9.00,7.00,2.00,7.00,9.00,6.75,4.00,3.00,6.00,5,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',4480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5284376,3.00,5.00,3.00,5.00,3.00,NULL,2.00,1.00,3.00,339,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284384,6.00,6.00,2.00,3.00,3.00,NULL,0.00,1.00,4.00,339,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5284406,6.00,6.00,2.00,5.00,7.00,6.75,3.00,5.00,4.00,202,NULL,201,'CENTRO','CRICIÚMA','SC',8953,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5284414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5284422,7.00,4.00,0.00,7.00,6.00,10.50,2.00,2.00,2.00,501,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284430,4.00,3.00,2.00,5.00,10.00,NULL,0.00,2.00,3.00,207,NULL,201,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284449,3.00,5.00,1.00,6.00,2.00,NULL,3.00,2.00,2.00,316,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284465,1.00,3.00,0.00,4.00,3.00,NULL,2.00,2.00,0.00,212,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284473,5.00,5.00,0.00,4.00,5.00,6.00,2.00,3.00,4.00,450,NULL,NULL,'DIC II','CAMPINAS','SP',15858,114,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284481,3.00,6.00,2.00,3.00,2.00,NULL,4.00,2.00,4.00,324,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284490,4.00,7.00,2.00,6.00,6.00,9.00,2.00,1.00,5.00,234,NULL,NULL,'IPIRANGA','S JOSÉ','SC',14011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284503,5.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5284511,5.00,7.00,4.00,3.00,6.00,6.75,4.00,2.00,2.00,233,NULL,220,'SANTO ANTÔNIO DE P','TUBARÃO','SC',13422,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5284520,4.00,3.00,0.00,2.00,4.00,NULL,0.00,2.00,3.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284562,3.00,4.00,1.00,7.00,8.00,7.13,3.00,2.00,3.00,316,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',12436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284570,2.00,3.00,2.00,1.00,6.00,NULL,1.00,4.00,4.00,420,NULL,NULL,'UNIVERSITÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5284597,8.00,5.00,0.00,6.00,8.00,9.75,1.00,4.00,4.00,103,NULL,NULL,'BARRA DO RIO','ITAJAÍ','SC',8359,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5284600,9.00,7.00,7.00,5.00,9.00,13.50,7.00,6.00,8.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284619,7.00,6.00,1.00,5.00,5.00,8.63,3.00,5.00,7.00,309,NULL,NULL,'PARQUE DOM PEDRO II','CAMPINAS','SP',8474,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284627,8.00,8.00,2.00,7.00,8.00,6.38,2.00,5.00,6.00,103,NULL,NULL,'BARRA DO RIO','ITAJAÍ','SC',4536,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5284635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'GALO DE OURO','CERQUILHO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5284643,5.00,7.00,3.00,5.00,7.00,7.88,3.00,3.00,6.00,404,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',8123,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'LINHA CANHADA FUNDA','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5284660,6.00,6.00,4.00,4.00,8.00,8.25,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','IMBUIA','SC',8119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284678,5.00,5.00,0.00,3.00,7.00,6.38,2.00,3.00,3.00,302,NULL,NULL,'GUIOMAR','ANTÔNIO CARLOS','SC',15893,107,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','LINDÓIA SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5284694,6.00,7.00,3.00,5.00,9.00,8.63,2.00,5.00,6.00,340,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',6628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284708,4.00,3.00,3.00,4.00,4.00,6.75,2.00,5.00,5.00,225,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',15936,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284724,4.00,5.00,1.00,3.00,5.00,NULL,2.00,2.00,2.00,316,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284732,3.00,3.00,0.00,1.00,3.00,NULL,1.00,0.00,2.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5284740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'NOVA VIÇENSA','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5284759,7.00,7.00,5.00,6.00,7.00,8.63,4.00,6.00,8.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',3329,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284767,6.00,8.00,3.00,6.00,9.00,8.63,2.00,3.00,7.00,216,NULL,214,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284775,2.00,6.00,0.00,2.00,4.00,NULL,2.00,3.00,3.00,333,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284783,3.00,6.00,1.00,3.00,4.00,NULL,1.00,1.00,3.00,502,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5284791,8.00,4.00,3.00,7.00,6.00,7.88,1.00,3.00,4.00,340,NULL,NULL,'PERDIZES','S PAULO','SP',10737,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5284805,5.00,3.00,0.00,5.00,7.00,NULL,2.00,3.00,1.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284813,9.00,8.00,3.00,5.00,7.00,7.50,1.00,6.00,7.00,214,NULL,213,'JARDIM BLUMENAU','BLUMENAU','SC',5547,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5284821,1.00,4.00,0.00,3.00,5.00,NULL,0.00,2.00,0.00,308,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284830,4.00,5.00,0.00,3.00,4.00,NULL,0.00,2.00,4.00,3,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284848,3.00,2.00,3.00,2.00,3.00,NULL,1.00,3.00,3.00,102,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284856,9.00,5.00,4.00,5.00,10.00,9.38,5.00,6.00,7.00,103,NULL,NULL,'DO COLEGIO','APUCARANA','PR',2287,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5284864,2.00,4.00,2.00,3.00,6.00,NULL,3.00,2.00,5.00,444,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284872,5.00,3.00,1.00,2.00,4.00,NULL,3.00,3.00,3.00,104,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284880,5.00,5.00,3.00,7.00,6.00,7.88,3.00,2.00,3.00,203,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',12286,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5284899,5.00,6.00,2.00,3.00,6.00,8.63,1.00,5.00,5.00,202,NULL,213,'PERPETUO SOCORRO','S LOURENÇO OESTE','SC',10691,364,NULL,NULL,NULL,NULL,NULL,4,4),(20,5284902,3.00,3.00,1.00,4.00,3.00,NULL,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5284910,7.00,8.00,2.00,5.00,9.00,6.00,5.00,5.00,5.00,201,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',5579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284937,6.00,2.00,0.00,6.00,6.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5284945,8.00,7.00,5.00,3.00,9.00,9.00,6.00,4.00,5.00,203,NULL,220,'SANTA MARIA','LAGES','SC',4250,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5284953,5.00,7.00,2.00,5.00,7.00,7.88,0.00,2.00,2.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5284961,2.00,2.00,2.00,3.00,3.00,NULL,2.00,1.00,1.00,308,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5284988,5.00,7.00,3.00,6.00,7.00,9.75,4.00,2.00,3.00,215,NULL,201,'JARDIM RIO VERDE','TRÊS CORAÇÕES','MG',8604,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5284996,7.00,6.00,0.00,4.00,6.00,NULL,2.00,5.00,8.00,104,NULL,NULL,'OURO VERDE','STA ROSA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285011,9.00,8.00,3.00,6.00,9.00,8.63,1.00,6.00,5.00,103,NULL,NULL,'CENTRO','XAXIM','SC',4178,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5285020,3.00,4.00,1.00,2.00,3.00,NULL,2.00,4.00,4.00,310,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285054,7.00,7.00,4.00,4.00,8.00,8.25,4.00,3.00,5.00,319,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',6228,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285062,5.00,6.00,3.00,3.00,5.00,6.75,3.00,3.00,4.00,316,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285089,6.00,4.00,5.00,2.00,5.00,4.13,1.00,2.00,5.00,317,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285097,9.00,8.00,9.00,7.00,10.00,7.13,8.00,7.00,9.00,103,NULL,NULL,'CAMPO AGUA VERDE','CANOINHAS','SC',84,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285100,3.00,4.00,3.00,2.00,6.00,NULL,0.00,4.00,1.00,317,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285119,3.00,5.00,1.00,6.00,6.00,NULL,2.00,3.00,0.00,109,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285127,5.00,5.00,0.00,5.00,4.00,8.63,1.00,3.00,2.00,101,NULL,NULL,'CAÇADOR','CAPIVARI BAIXO','SC',15827,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5285135,6.00,7.00,2.00,4.00,7.00,NULL,0.00,2.00,4.00,3,NULL,NULL,'IMIGRANTES','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5285143,2.00,6.00,0.00,1.00,3.00,NULL,0.00,1.00,2.00,316,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285151,6.00,7.00,3.00,5.00,9.00,12.00,2.00,5.00,5.00,331,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',7639,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285160,5.00,3.00,2.00,4.00,7.00,NULL,0.00,1.00,5.00,211,NULL,215,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5285178,8.00,6.00,2.00,6.00,7.00,NULL,0.00,4.00,6.00,340,NULL,NULL,'TUPINAMBÁ','CACHOEIRA SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5285186,5.00,6.00,1.00,4.00,4.00,8.25,2.00,2.00,5.00,103,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5285194,4.00,6.00,3.00,4.00,10.00,7.50,2.00,2.00,5.00,201,NULL,220,'SANTA MARIA','CHAPECÓ','SC',10012,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5285208,7.00,7.00,2.00,4.00,6.00,8.63,1.00,3.00,4.00,110,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285224,9.00,6.00,5.00,5.00,8.00,10.50,4.00,3.00,7.00,212,NULL,213,'MORRO DA GLÓRIA','URUSSANGA','SC',3655,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5285232,7.00,5.00,4.00,5.00,7.00,7.88,3.00,2.00,5.00,453,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',10318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285240,8.00,7.00,4.00,5.00,8.00,9.00,5.00,4.00,5.00,207,NULL,201,'SAO LUIZ','BRUSQUE','SC',5030,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5285259,9.00,8.00,5.00,5.00,6.00,9.38,3.00,4.00,9.00,208,NULL,601,'SANTA MÔNICA','FRA SANTANA','BA',3319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','SALTO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5285275,3.00,4.00,1.00,4.00,5.00,NULL,3.00,1.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285283,3.00,7.00,2.00,6.00,7.00,10.50,3.00,2.00,5.00,304,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',12528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285291,4.00,6.00,2.00,2.00,8.00,8.25,0.00,4.00,5.00,201,NULL,207,'CENTRO','TIJUCAS','SC',12669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285305,4.00,5.00,2.00,5.00,6.00,6.00,4.00,3.00,6.00,319,NULL,NULL,'BIGUAÇU','BIGUAÇU','SC',13136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285321,6.00,6.00,1.00,6.00,7.00,9.38,1.00,5.00,5.00,103,NULL,NULL,'AREIAS DE CIMA','BIGUAÇU','SC',8922,3004,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285330,6.00,6.00,2.00,5.00,6.00,9.00,1.00,2.00,4.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285348,4.00,6.00,2.00,4.00,9.00,8.25,2.00,4.00,3.00,327,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',14344,42,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285356,6.00,8.00,1.00,7.00,10.00,9.00,4.00,7.00,8.00,336,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',3411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285364,6.00,5.00,4.00,7.00,0.00,NULL,3.00,6.00,5.00,203,NULL,233,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285372,2.00,5.00,1.00,4.00,6.00,NULL,2.00,2.00,2.00,309,NULL,NULL,'PRAIA DA PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285380,6.00,6.00,0.00,5.00,6.00,0.00,3.00,4.00,6.00,234,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285399,4.00,4.00,1.00,5.00,4.00,6.00,1.00,3.00,4.00,501,NULL,NULL,'CENTRO','STA ROSA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285410,3.00,7.00,2.00,5.00,5.00,8.25,1.00,3.00,4.00,301,NULL,NULL,'ARIRIU','PALHOÇA','SC',15508,222,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285429,8.00,6.00,2.00,5.00,5.00,9.00,5.00,4.00,5.00,104,NULL,NULL,'CENTRO','SOMBRIO','SC',10576,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5285437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5285445,6.00,7.00,5.00,7.00,8.00,8.25,5.00,4.00,7.00,216,NULL,215,'PRIMEIRO DE MAIO','BRUSQUE','SC',3603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285453,8.00,6.00,4.00,7.00,5.00,8.63,3.00,4.00,7.00,220,NULL,216,'VELHA','BLUMENAU','SC',6074,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5285461,2.00,2.00,0.00,3.00,6.00,NULL,1.00,0.00,2.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285488,6.00,7.00,3.00,5.00,6.00,8.63,3.00,5.00,6.00,203,NULL,213,'CENTRO','JAGUAPITÃ','PR',6387,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5285500,7.00,7.00,1.00,7.00,8.00,12.00,3.00,4.00,4.00,301,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',5907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285518,1.00,2.00,0.00,3.00,6.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'CIDADE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5285550,4.00,7.00,4.00,7.00,8.00,10.88,1.00,3.00,6.00,328,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',8660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5285585,8.00,7.00,5.00,7.00,9.00,6.75,6.00,5.00,7.00,203,NULL,601,'SAGUAÇÚ','JOINVILLE','SC',2446,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5285593,4.00,6.00,3.00,6.00,7.00,6.75,5.00,2.00,7.00,203,NULL,201,'VILA NOVA','JARAGUÁ SUL','SC',8826,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5285607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,201,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5285615,9.00,6.00,4.00,7.00,9.00,8.63,6.00,7.00,7.00,213,NULL,202,'BALNEÁRIO','FLORIANÓPOLIS','SC',2075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285623,1.00,3.00,3.00,3.00,2.00,NULL,3.00,1.00,1.00,316,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285631,8.00,7.00,6.00,7.00,9.00,10.50,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','PÉROLA','PR',941,574,NULL,NULL,NULL,NULL,NULL,4,4),(20,5285640,4.00,8.00,5.00,5.00,5.00,9.00,3.00,3.00,7.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7408,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285666,5.00,7.00,1.00,4.00,6.00,8.25,1.00,3.00,3.00,211,NULL,238,'PONTE DO IMARUIM','PALHOÇA','SC',14163,437,NULL,348,NULL,NULL,NULL,2,1),(20,5285674,3.00,3.00,1.00,3.00,4.00,NULL,3.00,1.00,1.00,404,NULL,NULL,'BARRA DE IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285690,7.00,8.00,4.00,5.00,7.00,9.00,3.00,4.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6385,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'VILA VALPARAISO','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5285712,5.00,7.00,2.00,5.00,8.00,9.38,1.00,6.00,5.00,452,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',10032,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285720,7.00,8.00,2.00,5.00,7.00,8.63,1.00,4.00,6.00,104,NULL,NULL,'IPIRANGA','FREDERICO WESTPHALEN','RS',9016,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5285739,6.00,6.00,6.00,7.00,9.00,7.88,2.00,3.00,7.00,220,NULL,203,'CENTRO','QUEDAS IGUAÇU','PR',5728,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5285747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'VILA FORMOSA','S JOSÉ R PARDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5285755,6.00,4.00,1.00,7.00,9.00,7.50,3.00,4.00,6.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285763,4.00,5.00,0.00,5.00,4.00,6.00,4.00,1.00,2.00,302,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285771,7.00,6.00,2.00,4.00,9.00,0.00,3.00,2.00,6.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285780,1.00,6.00,0.00,4.00,7.00,NULL,1.00,2.00,3.00,319,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285798,6.00,7.00,1.00,6.00,8.00,7.50,3.00,4.00,7.00,601,NULL,202,'DONA FRANCISCA','S BENTO SUL','SC',6515,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5285810,5.00,3.00,0.00,3.00,7.00,NULL,1.00,4.00,3.00,5,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285828,6.00,4.00,1.00,2.00,6.00,NULL,3.00,1.00,2.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5285836,3.00,3.00,1.00,5.00,6.00,NULL,2.00,2.00,3.00,309,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285844,5.00,6.00,3.00,5.00,9.00,10.50,2.00,3.00,5.00,601,NULL,NULL,'JARDIM PARAÍSO','JOINVILLE','SC',7790,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5285852,8.00,7.00,4.00,1.00,3.00,NULL,0.00,3.00,6.00,216,NULL,211,'JARDIM BOTANICO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5285860,7.00,5.00,3.00,6.00,10.00,7.13,2.00,5.00,5.00,207,NULL,208,'PASSA VINTE','PALHOÇA','SC',6703,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285879,4.00,6.00,2.00,6.00,9.00,8.25,0.00,4.00,3.00,216,NULL,215,'FREI BRUNO','JOAÇABA','SC',12982,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5285895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5285909,6.00,5.00,4.00,7.00,5.00,8.25,3.00,1.00,5.00,601,NULL,214,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',11083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5285925,8.00,6.00,3.00,7.00,9.00,7.13,4.00,6.00,7.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',2552,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5285941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5285950,5.00,7.00,3.00,6.00,5.00,7.88,3.00,4.00,5.00,207,NULL,212,'CACUPE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285968,2.00,4.00,1.00,5.00,3.00,NULL,2.00,1.00,3.00,404,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5285976,7.00,6.00,2.00,7.00,9.00,7.88,0.00,5.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5475,2278,NULL,NULL,NULL,NULL,NULL,4,1),(20,5285984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5286000,7.00,3.00,0.00,7.00,8.00,NULL,1.00,3.00,4.00,211,NULL,601,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5286018,3.00,5.00,0.00,4.00,8.00,NULL,2.00,4.00,3.00,202,NULL,201,'CENTRO','LAURO MÜLLER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5286026,8.00,8.00,3.00,7.00,10.00,8.63,4.00,5.00,5.00,301,NULL,NULL,'VELHA','BLUMENAU','SC',2574,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5286034,2.00,5.00,1.00,5.00,5.00,NULL,1.00,2.00,4.00,339,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286042,7.00,7.00,4.00,6.00,5.00,7.88,4.00,6.00,5.00,303,NULL,NULL,'JD ANDRADE','LONDRINA','PR',5203,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5286050,4.00,3.00,7.00,7.00,5.00,4.50,1.00,2.00,3.00,203,NULL,214,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5286069,0.00,4.00,3.00,5.00,7.00,NULL,2.00,2.00,2.00,238,NULL,208,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5286085,6.00,5.00,2.00,7.00,9.00,9.38,4.00,4.00,4.00,202,NULL,203,'ZONA II','UMUARAMA','PR',7004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5286093,7.00,8.00,3.00,7.00,8.00,8.25,1.00,4.00,5.00,238,NULL,208,'FERRAZ','GAROPABA','SC',7955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5286107,2.00,4.00,0.00,6.00,5.00,NULL,1.00,2.00,0.00,320,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5286115,4.00,8.00,7.00,7.00,6.00,7.88,3.00,5.00,7.00,601,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',3910,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5286123,4.00,6.00,1.00,2.00,2.00,NULL,0.00,1.00,3.00,444,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286131,4.00,1.00,1.00,0.00,1.00,NULL,1.00,2.00,0.00,5,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(20,5286140,5.00,5.00,1.00,5.00,7.00,7.88,3.00,5.00,4.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12822,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286158,7.00,5.00,2.00,5.00,10.00,9.00,2.00,3.00,5.00,339,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',8376,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286166,7.00,8.00,2.00,7.00,9.00,9.75,3.00,4.00,5.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',4778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5286174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIACHO FUNDO UM','RIACHO FUNDO','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5286182,8.00,7.00,2.00,4.00,9.00,9.00,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','GOIOERÊ','PR',3730,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5286190,5.00,6.00,2.00,2.00,6.00,8.25,3.00,3.00,2.00,551,NULL,NULL,'INTERIOR','PTE ALTA NORTE','SC',15910,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5286204,1.00,4.00,1.00,4.00,7.00,NULL,0.00,4.00,4.00,308,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,NULL,'PINHEIRO','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',1,1),(20,5286220,4.00,2.00,1.00,5.00,5.00,9.75,5.00,2.00,4.00,303,NULL,NULL,'JUNDIÁ','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5286239,5.00,7.00,2.00,6.00,6.00,9.00,0.00,2.00,3.00,211,NULL,212,'CAPISTRANO','BOM RETIRO','SC',14750,462,NULL,363,NULL,NULL,NULL,2,9),(20,5286247,4.00,3.00,2.00,4.00,4.00,NULL,2.00,0.00,4.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286263,2.00,5.00,2.00,3.00,4.00,8.25,2.00,4.00,4.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286271,9.00,7.00,8.00,6.00,8.00,9.00,3.00,4.00,8.00,201,NULL,212,'CENTRO CÍVICO','CURITIBA','PR',1587,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5286298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5286301,6.00,8.00,7.00,6.00,8.00,9.75,6.00,4.00,4.00,220,NULL,203,'COQUEIROS','FLORIANÓPOLIS','SC',3056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5286310,5.00,9.00,4.00,1.00,4.00,10.88,5.00,4.00,7.00,103,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',8029,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5286328,7.00,7.00,1.00,5.00,8.00,10.13,3.00,6.00,4.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9294,3069,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286336,9.00,9.00,8.00,6.00,11.00,10.50,9.00,6.00,8.00,103,NULL,NULL,'SEMINÁRIO','TAIÓ','SC',20,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286344,6.00,6.00,2.00,7.00,6.00,9.75,5.00,2.00,5.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',5942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5286352,4.00,7.00,3.00,3.00,6.00,8.63,3.00,3.00,5.00,104,NULL,NULL,'INTERIOR','CRUZEIRO SUL','RS',9125,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5286360,2.00,6.00,1.00,5.00,2.00,NULL,1.00,1.00,2.00,235,NULL,202,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5286379,5.00,8.00,1.00,4.00,6.00,7.13,3.00,1.00,4.00,101,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',14219,75,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286387,9.00,8.00,8.00,7.00,9.00,9.00,9.00,5.00,8.00,203,NULL,220,'ZONA SETE','MARINGÁ','PR',216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5286395,5.00,6.00,3.00,4.00,6.00,6.75,3.00,4.00,3.00,211,NULL,207,'CENTRO','TUBARÃO','SC',11638,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5286409,5.00,4.00,1.00,1.00,3.00,NULL,2.00,1.00,1.00,332,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286417,8.00,8.00,2.00,1.00,8.00,11.63,2.00,1.00,8.00,103,NULL,NULL,'IPIRANGA','SOLEDADE','RS',6048,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5286425,5.00,6.00,2.00,5.00,4.00,7.13,4.00,2.00,3.00,201,NULL,215,'CENTRO','VIDEIRA','SC',13499,964,NULL,280,NULL,NULL,NULL,4,7),(20,5286433,7.00,7.00,3.00,7.00,9.00,7.50,2.00,3.00,6.00,415,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',5717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5286441,9.00,8.00,6.00,7.00,10.00,9.38,6.00,3.00,6.00,303,NULL,NULL,'ASILO','BLUMENAU','SC',1055,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5286468,4.00,4.00,2.00,3.00,5.00,NULL,2.00,3.00,1.00,319,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286484,1.00,2.00,1.00,2.00,4.00,NULL,2.00,2.00,1.00,5,NULL,NULL,'NSA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5286506,2.00,5.00,2.00,3.00,4.00,NULL,2.00,2.00,2.00,653,NULL,203,'SANTANA','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5286514,4.00,7.00,2.00,4.00,5.00,5.25,2.00,2.00,6.00,336,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286522,6.00,6.00,2.00,7.00,8.00,10.88,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5286530,3.00,4.00,4.00,5.00,4.00,6.00,2.00,1.00,2.00,212,NULL,214,'VILA CENTRAL','CRUZ ALTA','RS',15453,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5286549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'CAMBUÍ','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5286557,6.00,7.00,2.00,5.00,9.00,11.25,0.00,4.00,5.00,452,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',7802,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286565,6.00,7.00,3.00,4.00,5.00,9.00,2.00,3.00,5.00,423,NULL,425,'TRINDADE','FLORIANÓPOLIS','SC',13277,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5286581,0.00,3.00,3.00,3.00,7.00,NULL,1.00,3.00,2.00,207,NULL,211,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5286603,4.00,5.00,3.00,4.00,5.00,6.75,1.00,2.00,5.00,303,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',14749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5286611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'SANTOS DUMOND','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5286620,5.00,6.00,3.00,5.00,8.00,7.13,0.00,4.00,5.00,301,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',11367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5286638,3.00,5.00,3.00,3.00,2.00,NULL,0.00,3.00,4.00,452,NULL,NULL,'INDUSTRIÁRIOS','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5286646,2.00,3.00,1.00,4.00,2.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5286654,4.00,6.00,3.00,6.00,7.00,8.63,4.00,2.00,5.00,601,NULL,203,'CAMPINAS','S JOSÉ','SC',10967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5286662,8.00,7.00,2.00,4.00,9.00,6.00,3.00,6.00,4.00,108,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',6183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286689,7.00,7.00,1.00,7.00,8.00,8.25,1.00,5.00,2.00,415,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5286697,5.00,4.00,0.00,3.00,6.00,NULL,1.00,2.00,6.00,332,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286700,6.00,7.00,3.00,6.00,7.00,9.00,3.00,3.00,4.00,214,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',7420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5286719,8.00,8.00,2.00,6.00,10.00,9.38,2.00,5.00,7.00,215,NULL,235,'CENTRO','NOVA TRENTO','SC',3660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5286727,9.00,8.00,6.00,6.00,7.00,7.50,4.00,4.00,6.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',3312,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5286743,3.00,7.00,1.00,3.00,5.00,9.00,2.00,1.00,4.00,211,NULL,203,'TRINDADE','FLORIANÓPOLIS','SC',16046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5286751,3.00,5.00,3.00,6.00,7.00,6.75,4.00,4.00,2.00,208,NULL,203,'SANTA MARIA','LAGES','SC',13086,331,NULL,866,NULL,NULL,NULL,4,9),(20,5286760,0.00,4.00,2.00,4.00,4.00,NULL,3.00,3.00,2.00,652,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5286778,7.00,6.00,4.00,7.00,7.00,9.00,3.00,4.00,3.00,212,NULL,201,'PRESIDENTE MÉDICI','CHAPECÓ','SC',5275,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5286786,4.00,5.00,2.00,5.00,3.00,NULL,2.00,2.00,3.00,404,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO BRANCO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5286808,5.00,5.00,1.00,5.00,6.00,7.13,1.00,1.00,3.00,420,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286816,5.00,6.00,2.00,5.00,3.00,NULL,2.00,3.00,6.00,108,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286824,6.00,3.00,0.00,3.00,4.00,NULL,2.00,1.00,4.00,215,NULL,652,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286832,5.00,2.00,2.00,3.00,3.00,NULL,0.00,2.00,1.00,319,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286840,6.00,7.00,2.00,2.00,5.00,9.75,1.00,3.00,3.00,207,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',13515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286859,6.00,7.00,1.00,3.00,3.00,NULL,2.00,4.00,6.00,452,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286867,5.00,5.00,1.00,6.00,4.00,NULL,0.00,2.00,3.00,452,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5286875,5.00,4.00,5.00,5.00,4.00,6.00,6.00,5.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286883,6.00,4.00,3.00,6.00,6.00,8.25,2.00,1.00,3.00,207,NULL,201,'COLONINHA','FLORIANÓPOLIS','SC',13369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286891,8.00,8.00,6.00,7.00,7.00,7.88,4.00,1.00,8.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5286905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,208,'PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5286913,6.00,6.00,2.00,5.00,6.00,7.13,0.00,2.00,2.00,101,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',15137,94,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286921,6.00,8.00,3.00,7.00,7.00,9.38,2.00,4.00,4.00,211,NULL,215,'TOBIAS','JOAÇABA','SC',7437,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5286930,2.00,3.00,2.00,3.00,5.00,NULL,2.00,0.00,3.00,652,NULL,651,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5286948,5.00,6.00,1.00,5.00,9.00,12.00,3.00,3.00,6.00,316,NULL,NULL,'SERRINHA TRINDADE','FLORIANÓPOLIS','SC',5502,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,216,'MORUMBI SUL','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5286964,6.00,4.00,1.00,6.00,10.00,10.50,3.00,4.00,6.00,214,NULL,212,'SANTA TEREZA','VIDEIRA','SC',6766,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5286972,5.00,2.00,2.00,4.00,4.00,7.88,1.00,3.00,5.00,319,NULL,NULL,'A F PIRATINI','CHARQUEADAS','RS',16286,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5286980,9.00,9.00,5.00,6.00,10.00,11.63,6.00,8.00,7.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',220,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5286999,5.00,5.00,3.00,7.00,9.00,8.63,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',7185,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5287006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5287022,6.00,7.00,3.00,6.00,8.00,7.88,3.00,3.00,4.00,233,NULL,235,'AREIAS','S JOSÉ','SC',9387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287030,9.00,7.00,3.00,6.00,9.00,7.88,4.00,4.00,7.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287049,3.00,5.00,2.00,3.00,4.00,NULL,0.00,1.00,3.00,502,NULL,NULL,'STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287057,5.00,7.00,0.00,2.00,2.00,NULL,1.00,1.00,2.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287065,4.00,6.00,2.00,2.00,3.00,NULL,0.00,1.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'BOM PASTOR','PLANALTO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5287111,7.00,5.00,4.00,4.00,6.00,9.00,2.00,5.00,4.00,301,NULL,NULL,'GRAMA','GAROPABA','SC',10928,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'ITOUPAVAZINHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5287138,1.00,3.00,0.00,4.00,3.00,NULL,1.00,2.00,1.00,337,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5287146,4.00,5.00,2.00,5.00,6.00,9.38,1.00,2.00,3.00,319,NULL,NULL,'CENTRO','S JOAQUIM','SC',13321,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5287154,6.00,6.00,1.00,4.00,5.00,6.00,1.00,2.00,5.00,301,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287162,2.00,6.00,0.00,2.00,4.00,NULL,4.00,1.00,3.00,333,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5287170,4.00,3.00,2.00,3.00,6.00,6.00,4.00,2.00,4.00,502,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287189,4.00,4.00,2.00,6.00,3.00,NULL,0.00,2.00,1.00,220,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287197,4.00,2.00,4.00,4.00,7.00,NULL,1.00,2.00,0.00,238,NULL,208,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287200,7.00,7.00,4.00,5.00,9.00,9.00,3.00,6.00,6.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287219,8.00,7.00,3.00,7.00,9.00,9.00,1.00,6.00,6.00,214,NULL,233,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5287243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,601,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5287251,4.00,7.00,2.00,6.00,8.00,6.75,2.00,3.00,6.00,319,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',9299,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5287260,2.00,4.00,1.00,4.00,4.00,NULL,3.00,2.00,1.00,319,NULL,NULL,'ITAIM BIBI','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5287278,4.00,4.00,2.00,8.00,4.00,10.13,0.00,3.00,2.00,103,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',14211,3656,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287286,5.00,7.00,0.00,6.00,4.00,10.13,3.00,4.00,4.00,301,NULL,NULL,'CENTRO','CRICIÚMA','SC',11989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287294,9.00,5.00,3.00,6.00,10.00,NULL,0.00,5.00,6.00,103,NULL,NULL,'CENTRO','GUARATINGUETÁ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287308,3.00,6.00,2.00,3.00,7.00,7.88,5.00,3.00,3.00,317,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',13094,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287316,3.00,6.00,2.00,3.00,5.00,6.75,3.00,2.00,4.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5287332,3.00,4.00,2.00,4.00,2.00,NULL,0.00,2.00,3.00,339,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287340,6.00,6.00,6.00,3.00,6.00,9.38,2.00,2.00,6.00,211,NULL,215,'BELA VISTA I','S JOSÉ','SC',8278,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287359,5.00,4.00,0.00,2.00,6.00,NULL,0.00,1.00,3.00,301,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287367,7.00,5.00,1.00,2.00,6.00,10.50,3.00,2.00,7.00,5,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',9574,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SÃO CRISTOVÃO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5287383,7.00,8.00,3.00,5.00,9.00,11.25,4.00,6.00,6.00,104,NULL,NULL,'CENTRO','NOVA TRENTO','SC',3077,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287391,4.00,6.00,0.00,7.00,5.00,6.75,3.00,2.00,5.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287405,7.00,8.00,1.00,5.00,6.00,9.00,2.00,2.00,3.00,104,NULL,NULL,'FIAO','S LEOPOLDO','RS',10222,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287421,3.00,3.00,0.00,2.00,4.00,NULL,2.00,1.00,4.00,302,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5287430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'BOEHMERWALDT','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5287448,4.00,5.00,1.00,0.00,6.00,NULL,2.00,3.00,1.00,339,NULL,NULL,'SAO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'LOTEAMENTO BOURBON','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5287472,7.00,7.00,5.00,4.00,6.00,9.38,1.00,5.00,5.00,211,NULL,201,'CENTRO','LAURENTINO','SC',6338,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5287480,4.00,7.00,3.00,4.00,6.00,5.25,2.00,3.00,2.00,238,NULL,652,'CACHOEIRA DO B J','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287499,7.00,7.00,8.00,6.00,9.00,12.38,5.00,5.00,8.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287502,7.00,5.00,0.00,8.00,4.00,6.75,4.00,4.00,4.00,203,NULL,220,'COQUEIROS','FLORIANÓPOLIS','SC',11938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287510,5.00,6.00,3.00,4.00,6.00,9.00,0.00,1.00,4.00,302,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',15617,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287537,9.00,4.00,7.00,5.00,10.00,11.63,6.00,4.00,9.00,103,NULL,NULL,'MARISTA','GOIÂNIA','GO',904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'VILA APPIA ANTICA','CARAPICUÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5287553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TROPICAL','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',5,4),(20,5287561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM LANCASTER','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5287570,4.00,1.00,1.00,3.00,3.00,NULL,1.00,0.00,4.00,201,NULL,211,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5287588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','LAJEADO GRANDE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5287596,4.00,3.00,1.00,3.00,3.00,NULL,1.00,2.00,5.00,502,NULL,NULL,'CENTRO','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5287600,7.00,7.00,4.00,7.00,4.00,9.38,1.00,4.00,4.00,207,NULL,211,'VILA EMA','S JOSÉ CAMPOS','SP',7656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287618,8.00,8.00,5.00,7.00,7.00,9.00,3.00,4.00,6.00,212,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',3740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287626,4.00,6.00,1.00,4.00,6.00,7.13,1.00,2.00,3.00,212,NULL,208,'N SR DO ROSÁRIO','S JOSÉ','SC',13682,344,NULL,364,NULL,NULL,NULL,2,1),(20,5287634,6.00,5.00,1.00,4.00,6.00,6.75,2.00,5.00,4.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287642,3.00,3.00,1.00,5.00,5.00,NULL,0.00,2.00,1.00,9,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5287650,2.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ALEGRE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5287669,5.00,5.00,3.00,5.00,8.00,8.25,2.00,0.00,6.00,103,NULL,NULL,'BATEL','CURITIBA','PR',10649,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5287685,5.00,3.00,4.00,4.00,2.00,NULL,2.00,3.00,4.00,238,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287693,3.00,6.00,3.00,3.00,4.00,7.88,4.00,2.00,4.00,429,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',15657,45,NULL,53,NULL,NULL,NULL,2,1),(20,5287707,6.00,6.00,5.00,6.00,7.00,7.50,3.00,5.00,5.00,220,NULL,203,'ZONA SETE','MARINGÁ','PR',6306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287715,5.00,8.00,4.00,3.00,9.00,10.13,1.00,3.00,5.00,426,NULL,423,'SERRARIA','S JOSÉ','SC',9741,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287723,5.00,5.00,1.00,3.00,5.00,6.75,2.00,3.00,5.00,203,NULL,601,'TRINDADE','FLORIANÓPOLIS','SC',12336,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287731,7.00,6.00,2.00,6.00,6.00,NULL,0.00,3.00,6.00,102,NULL,NULL,'INTERIOR','GUARACIABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5287740,9.00,8.00,5.00,5.00,10.00,9.00,2.00,9.00,7.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',1960,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5287758,8.00,9.00,4.00,7.00,10.00,9.38,7.00,6.00,5.00,452,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',1039,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5287766,5.00,4.00,5.00,5.00,6.00,9.38,3.00,2.00,5.00,202,NULL,601,'MENINO DEUS','JOAÇABA','SC',11136,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5287774,7.00,6.00,5.00,7.00,9.00,7.50,4.00,7.00,6.00,233,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',2961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287782,7.00,9.00,2.00,8.00,7.00,11.63,4.00,2.00,8.00,103,NULL,NULL,'SANTANA','RIO SUL','SC',2607,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5287804,2.00,3.00,1.00,3.00,7.00,NULL,0.00,1.00,3.00,302,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287820,6.00,5.00,3.00,4.00,7.00,7.13,3.00,2.00,6.00,213,NULL,211,'COM COM','SOMBRIO','SC',10614,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5287839,5.00,7.00,4.00,6.00,4.00,8.63,2.00,2.00,2.00,102,NULL,NULL,'BARREUROS','S JOSÉ','SC',12556,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287847,8.00,8.00,2.00,7.00,9.00,8.25,5.00,5.00,7.00,103,NULL,NULL,'CENTRO','SOBRADINHO','RS',2673,1361,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287855,6.00,8.00,1.00,7.00,9.00,8.63,4.00,4.00,7.00,103,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',5505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287863,4.00,6.00,4.00,5.00,7.00,7.13,4.00,3.00,6.00,208,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',10102,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287871,5.00,5.00,5.00,7.00,5.00,8.25,3.00,4.00,3.00,213,NULL,214,'SANTA BÁRBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5287898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5287910,8.00,6.00,3.00,6.00,10.00,7.13,6.00,6.00,6.00,319,NULL,NULL,'CENTRO','TIJUCAS','SC',2874,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5287928,4.00,6.00,1.00,2.00,7.00,NULL,0.00,1.00,3.00,340,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5287936,7.00,3.00,4.00,4.00,5.00,9.00,5.00,4.00,6.00,216,NULL,215,'CENTRO','ARARANGUÁ','SC',9483,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5287944,9.00,7.00,6.00,7.00,8.00,8.63,6.00,6.00,7.00,103,NULL,NULL,'CENTRO','BR COTEGIPE','RS',1315,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5287952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PASSO D AREIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5287960,8.00,7.00,2.00,7.00,9.00,9.00,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',3381,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5287979,5.00,4.00,3.00,7.00,5.00,7.88,2.00,2.00,3.00,238,NULL,208,'FLORESTA','S JOSÉ','SC',15727,413,NULL,467,NULL,NULL,NULL,4,1),(20,5287987,5.00,6.00,5.00,4.00,3.00,NULL,3.00,2.00,4.00,501,NULL,NULL,'FLORESTA','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5287995,4.00,7.00,3.00,5.00,7.00,10.13,2.00,2.00,3.00,238,NULL,208,'TAPERA','FLORIANÓPOLIS','SC',11992,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288002,4.00,6.00,1.00,6.00,6.00,6.75,3.00,1.00,3.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288010,8.00,6.00,4.00,6.00,8.00,9.38,4.00,0.00,5.00,333,NULL,NULL,'ANITA GARIBAILDI','JOINVILLE','SC',7157,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5288029,4.00,5.00,4.00,5.00,8.00,9.00,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','JABORÁ','SC',11609,3372,NULL,NULL,NULL,NULL,NULL,4,7),(20,5288037,7.00,8.00,5.00,7.00,9.00,8.63,6.00,8.00,7.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1877,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5288045,6.00,6.00,4.00,7.00,9.00,8.63,2.00,3.00,4.00,5,NULL,NULL,'VILA NOVA','BLUMENAU','SC',7274,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5288053,9.00,7.00,5.00,7.00,8.00,8.63,5.00,4.00,7.00,5,NULL,NULL,'BUCAREIN','JOINVILLE','SC',2401,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5288070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5288088,4.00,7.00,4.00,7.00,3.00,NULL,4.00,3.00,4.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5288096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5288100,7.00,6.00,5.00,7.00,9.00,7.50,6.00,4.00,6.00,214,NULL,601,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288118,3.00,7.00,3.00,5.00,7.00,7.88,2.00,4.00,5.00,238,NULL,208,'CAEIRA SACO LIMÕES','FLORIANÓPOLIS','SC',12351,268,NULL,300,NULL,NULL,NULL,2,1),(20,5288126,2.00,3.00,2.00,4.00,2.00,NULL,0.00,2.00,4.00,601,NULL,208,'CENTRO','OSASCO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5288134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5288142,9.00,7.00,8.00,8.00,10.00,12.38,7.00,8.00,7.00,202,NULL,213,'COQUEIROS','FLORIANÓPOLIS','SC',43,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288150,6.00,4.00,1.00,4.00,6.00,8.63,4.00,2.00,5.00,653,NULL,652,'ARROIO DO SILVA','BAL ARROIO SILVA','SC',13314,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5288169,4.00,4.00,1.00,4.00,8.00,NULL,0.00,3.00,5.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5288177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TRAMANDAÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5288185,4.00,6.00,7.00,7.00,5.00,8.63,4.00,3.00,2.00,203,NULL,220,'ESTREITO','FLORIANÓPOLIS','SC',9558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288193,6.00,6.00,1.00,3.00,6.00,10.50,1.00,6.00,5.00,104,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',11008,270,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288207,7.00,6.00,1.00,5.00,9.00,7.88,2.00,2.00,5.00,452,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',9506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5288258,9.00,6.00,4.00,6.00,8.00,12.00,5.00,5.00,5.00,103,NULL,NULL,'PITUBA','SALVADOR','BA',2327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288266,8.00,5.00,3.00,6.00,9.00,8.63,2.00,4.00,4.00,203,NULL,211,'CENTRO','TUBARÃO','SC',5826,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5288282,6.00,7.00,4.00,3.00,7.00,7.13,5.00,4.00,6.00,316,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',6646,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288304,8.00,7.00,0.00,5.00,5.00,9.75,4.00,4.00,6.00,103,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',7222,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5288312,8.00,7.00,6.00,5.00,9.00,6.75,8.00,4.00,7.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',1737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288320,2.00,4.00,4.00,5.00,4.00,8.25,0.00,2.00,4.00,214,NULL,203,'CENTRO','CAMPOS NOVOS','SC',16248,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5288339,2.00,4.00,1.00,3.00,5.00,NULL,0.00,0.00,6.00,302,NULL,NULL,'CALHEIROS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288347,4.00,3.00,0.00,5.00,5.00,NULL,1.00,3.00,5.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288355,9.00,8.00,4.00,7.00,8.00,7.88,2.00,7.00,6.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288363,6.00,7.00,3.00,7.00,5.00,9.75,1.00,2.00,4.00,201,NULL,203,'CORDEIROS','ITAJAÍ','SC',12783,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5288371,5.00,4.00,3.00,5.00,5.00,10.50,1.00,2.00,2.00,340,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',15354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288380,7.00,8.00,4.00,6.00,3.00,NULL,5.00,8.00,5.00,203,NULL,213,'LAGO SUL','LG SUL','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288398,1.00,7.00,0.00,7.00,7.00,NULL,1.00,4.00,4.00,428,NULL,426,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288401,6.00,7.00,6.00,8.00,7.00,8.25,5.00,4.00,7.00,501,NULL,NULL,'PARIS XVI','FLORIANÓPOLIS','SC',3246,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5288410,2.00,5.00,0.00,4.00,3.00,NULL,3.00,3.00,5.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5288428,6.00,5.00,1.00,6.00,5.00,7.50,1.00,1.00,4.00,333,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',14030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288436,5.00,5.00,5.00,5.00,6.00,9.75,1.00,5.00,4.00,5,NULL,NULL,'BELA VISTA','S JOSÉ','SC',11838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288444,2.00,5.00,2.00,3.00,4.00,6.75,1.00,4.00,4.00,502,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5288452,5.00,3.00,5.00,3.00,4.00,6.75,1.00,2.00,5.00,601,NULL,202,'UBATUBA','S FRANCISCO SUL','SC',15509,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5288460,4.00,4.00,1.00,5.00,7.00,8.25,2.00,2.00,4.00,103,NULL,NULL,'GUARUJÁ','PTO ALEGRE','RS',14497,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5288479,3.00,3.00,0.00,4.00,1.00,NULL,0.00,2.00,3.00,3,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(20,5288495,8.00,8.00,1.00,5.00,3.00,NULL,3.00,4.00,7.00,207,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5288509,4.00,5.00,4.00,5.00,5.00,7.50,3.00,3.00,2.00,309,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288517,6.00,8.00,4.00,7.00,4.00,NULL,4.00,4.00,5.00,333,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5288525,3.00,3.00,0.00,3.00,4.00,NULL,0.00,1.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288533,3.00,5.00,3.00,3.00,8.00,NULL,0.00,1.00,4.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288541,3.00,7.00,3.00,4.00,3.00,NULL,2.00,1.00,4.00,304,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288550,5.00,6.00,3.00,4.00,6.00,8.63,4.00,3.00,5.00,216,NULL,215,'ILHAS','ARARANGUÁ','SC',10378,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5288568,5.00,4.00,0.00,4.00,5.00,NULL,4.00,2.00,2.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'MONTE CASTELO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5288584,6.00,7.00,5.00,6.00,9.00,10.50,6.00,2.00,5.00,216,NULL,201,'CENTRO','STA CECÍLIA','SC',2949,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5288592,7.00,5.00,2.00,5.00,7.00,9.38,3.00,4.00,3.00,211,NULL,215,'CAMPO DUNA','GAROPABA','SC',8445,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5288614,5.00,6.00,1.00,7.00,10.00,10.13,3.00,4.00,3.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288622,9.00,7.00,9.00,6.00,9.00,13.13,7.00,6.00,7.00,203,NULL,216,'CENTRO','CONCÓRDIA','SC',134,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5288630,4.00,7.00,5.00,4.00,6.00,7.88,6.00,3.00,6.00,426,NULL,423,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288649,3.00,6.00,1.00,1.00,3.00,NULL,2.00,2.00,3.00,208,NULL,238,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288665,2.00,7.00,2.00,4.00,5.00,6.38,1.00,2.00,4.00,9,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5288673,3.00,6.00,3.00,4.00,4.00,8.63,2.00,2.00,3.00,222,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288681,1.00,5.00,0.00,4.00,4.00,NULL,1.00,2.00,3.00,9,NULL,NULL,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5288690,0.00,6.00,0.00,2.00,3.00,NULL,1.00,3.00,0.00,333,NULL,NULL,'JOÃO GOULART','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288703,2.00,3.00,0.00,1.00,2.00,NULL,0.00,3.00,3.00,551,NULL,NULL,'CENTRO','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5288711,3.00,6.00,1.00,3.00,7.00,9.75,2.00,2.00,6.00,501,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',14096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288720,6.00,6.00,5.00,5.00,9.00,11.63,3.00,5.00,7.00,110,NULL,NULL,'SERRARIA','S JOSÉ','SC',5051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288738,6.00,8.00,0.00,4.00,3.00,NULL,1.00,4.00,4.00,452,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288746,5.00,5.00,1.00,5.00,4.00,7.13,2.00,5.00,3.00,320,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288762,6.00,5.00,6.00,7.00,5.00,11.25,3.00,3.00,7.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',5956,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5288770,3.00,4.00,4.00,3.00,3.00,NULL,2.00,1.00,2.00,101,NULL,NULL,'NOSSA SRA APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5288789,5.00,6.00,4.00,6.00,7.00,8.25,4.00,3.00,7.00,452,NULL,NULL,'JARDIM OSWALDO CRUZ','S JOSÉ CAMPOS','SP',8736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288797,1.00,7.00,2.00,4.00,4.00,6.38,2.00,3.00,4.00,201,NULL,215,'PALMAS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288835,3.00,4.00,4.00,4.00,5.00,6.00,2.00,3.00,4.00,211,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',16135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288843,5.00,6.00,4.00,7.00,7.00,8.25,4.00,5.00,5.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',8253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288860,7.00,7.00,4.00,7.00,9.00,7.13,5.00,4.00,5.00,215,NULL,207,'ESTREITO','FLORIANÓPOLIS','SC',4263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5288886,5.00,5.00,3.00,5.00,6.00,8.63,0.00,2.00,4.00,303,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',12814,519,NULL,NULL,NULL,NULL,NULL,2,8),(20,5288894,3.00,3.00,1.00,3.00,4.00,NULL,1.00,3.00,3.00,429,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288908,5.00,7.00,6.00,5.00,7.00,9.38,3.00,2.00,6.00,211,NULL,215,'BALNEÁRIO','FLORIANÓPOLIS','SC',7696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288916,5.00,6.00,0.00,1.00,5.00,NULL,1.00,2.00,3.00,501,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288924,5.00,2.00,2.00,5.00,5.00,NULL,2.00,2.00,1.00,104,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5288932,9.00,7.00,6.00,7.00,8.00,10.50,5.00,2.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1538,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5288967,3.00,1.00,0.00,1.00,4.00,NULL,0.00,2.00,1.00,303,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5288975,1.00,3.00,0.00,2.00,6.00,NULL,0.00,3.00,2.00,303,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288983,7.00,4.00,1.00,4.00,6.00,7.13,0.00,4.00,3.00,452,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5288991,5.00,7.00,2.00,3.00,7.00,7.50,2.00,4.00,4.00,318,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',13973,94,NULL,NULL,NULL,NULL,NULL,2,1),(20,5289009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'PRESIDENTE MÉDICE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5289017,7.00,7.00,4.00,6.00,8.00,7.88,4.00,5.00,7.00,103,NULL,NULL,'BELA VISTA','S JOSÉ','SC',4553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289025,8.00,7.00,8.00,6.00,8.00,9.75,8.00,7.00,7.00,212,NULL,213,'JARDIM AUTONOMISTA','CPO GRANDE','MS',738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289041,4.00,4.00,2.00,1.00,7.00,NULL,0.00,3.00,5.00,212,NULL,201,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5289050,8.00,7.00,4.00,6.00,8.00,9.75,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',4635,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5289068,9.00,6.00,3.00,7.00,9.00,12.75,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',2759,1395,NULL,NULL,NULL,NULL,NULL,4,4),(20,5289084,6.00,4.00,2.00,5.00,7.00,9.00,2.00,4.00,4.00,214,NULL,601,'BELA VISTA','CHAPECÓ','SC',11199,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5289092,8.00,8.00,5.00,6.00,7.00,12.00,6.00,7.00,7.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',982,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5289106,6.00,5.00,2.00,7.00,4.00,7.13,2.00,3.00,3.00,301,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',14218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','STO CRISTO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5289122,6.00,7.00,3.00,7.00,7.00,9.75,3.00,6.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289130,5.00,4.00,0.00,2.00,6.00,NULL,2.00,2.00,4.00,216,NULL,215,'PASSO FUNDO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5289149,5.00,7.00,0.00,3.00,3.00,NULL,2.00,2.00,5.00,101,NULL,NULL,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5289157,5.00,6.00,4.00,7.00,8.00,11.25,5.00,3.00,4.00,9,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',7579,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5289165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARRO VERMELHO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5289173,1.00,3.00,0.00,3.00,4.00,NULL,0.00,3.00,4.00,404,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'JARDIM FARINA','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5289203,5.00,3.00,1.00,2.00,3.00,NULL,0.00,3.00,4.00,309,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5289211,1.00,4.00,0.00,6.00,5.00,NULL,1.00,0.00,2.00,238,NULL,235,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289220,4.00,5.00,0.00,1.00,3.00,NULL,0.00,1.00,3.00,205,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5289238,8.00,8.00,2.00,7.00,7.00,6.38,3.00,5.00,7.00,601,NULL,211,'GLÓRIA','JOINVILLE','SC',5914,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5289246,4.00,5.00,3.00,5.00,6.00,10.13,2.00,3.00,2.00,3,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',14456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289254,4.00,6.00,4.00,4.00,7.00,10.13,1.00,2.00,4.00,452,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',11070,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5289262,5.00,6.00,2.00,5.00,3.00,NULL,1.00,4.00,0.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5289270,9.00,8.00,8.00,8.00,7.00,6.38,6.00,3.00,7.00,103,NULL,NULL,'VILA OLIVIA','ASTORGA','PR',2538,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5289297,6.00,8.00,3.00,7.00,10.00,7.88,4.00,5.00,6.00,208,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',3461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289300,4.00,5.00,2.00,2.00,4.00,6.00,3.00,3.00,4.00,208,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',15812,473,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5289327,7.00,7.00,5.00,7.00,10.00,9.75,4.00,6.00,7.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5289343,6.00,8.00,2.00,8.00,9.00,9.00,4.00,3.00,4.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289351,5.00,6.00,0.00,6.00,6.00,NULL,1.00,3.00,0.00,238,NULL,208,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289360,4.00,8.00,4.00,2.00,7.00,7.13,5.00,3.00,4.00,103,NULL,NULL,'SANTA HELENA','LAGES','SC',12902,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5289378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PÁTRIA NOVA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5289386,2.00,3.00,1.00,2.00,4.00,NULL,2.00,1.00,2.00,452,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5289394,4.00,5.00,1.00,5.00,7.00,7.50,3.00,2.00,4.00,304,NULL,NULL,'CENTRO','CRICIÚMA','SC',13937,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5289408,6.00,6.00,2.00,7.00,10.00,11.25,3.00,4.00,5.00,104,NULL,NULL,'TIMBAUVA','MONTENEGRO','RS',4841,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5289416,5.00,6.00,4.00,4.00,4.00,7.50,1.00,1.00,3.00,103,NULL,NULL,'SÃO FRANCISCO','ASCURRA','SC',16072,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5289424,6.00,4.00,1.00,4.00,5.00,7.88,2.00,3.00,2.00,104,NULL,NULL,'PORTÃO','SALTO JACUÍ','RS',14867,396,NULL,NULL,NULL,NULL,NULL,2,1),(20,5289432,2.00,5.00,1.00,2.00,5.00,NULL,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5289440,7.00,6.00,3.00,4.00,8.00,6.00,5.00,6.00,7.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289459,7.00,5.00,2.00,2.00,5.00,6.75,4.00,3.00,4.00,203,NULL,214,'JOÃO PAULO','FLORIANÓPOLIS','SC',12206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289475,6.00,6.00,6.00,4.00,6.00,4.88,1.00,2.00,4.00,601,NULL,233,'VILA NOVA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5289483,8.00,6.00,2.00,7.00,7.00,10.13,0.00,2.00,3.00,340,NULL,NULL,'TEIXEIRA','GAROPABA','SC',9152,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5289491,6.00,7.00,1.00,6.00,9.00,9.38,1.00,3.00,5.00,103,NULL,NULL,'CENTRO','POMERODE','SC',8003,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(20,5289505,0.00,3.00,0.00,0.00,3.00,NULL,2.00,2.00,3.00,444,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289513,6.00,5.00,1.00,5.00,5.00,7.88,5.00,3.00,2.00,211,NULL,233,'CENTRO','URUSSANGA','SC',13125,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5289521,3.00,5.00,3.00,2.00,6.00,NULL,1.00,4.00,0.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5289548,5.00,6.00,0.00,5.00,6.00,8.25,2.00,0.00,4.00,9,NULL,NULL,'VILA RAU','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5289556,5.00,5.00,0.00,7.00,9.00,10.13,1.00,6.00,3.00,340,NULL,NULL,'MEDIANEIRA','PANAMBI','RS',8761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289564,4.00,6.00,4.00,3.00,4.00,8.25,2.00,5.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289580,9.00,6.00,3.00,4.00,8.00,7.13,3.00,4.00,5.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9390,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5289599,2.00,4.00,2.00,6.00,3.00,NULL,2.00,0.00,3.00,452,NULL,NULL,'MILANEZE','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5289602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5289610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5289629,3.00,5.00,1.00,2.00,4.00,NULL,0.00,2.00,3.00,340,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289637,5.00,4.00,0.00,3.00,3.00,NULL,2.00,3.00,4.00,207,NULL,211,'PRESIDENTE VARGAS','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5289645,4.00,7.00,1.00,4.00,6.00,4.50,4.00,3.00,4.00,326,NULL,NULL,'NASCENTE DO PEPERI','DIONÍSIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5289653,4.00,2.00,0.00,0.00,2.00,NULL,0.00,1.00,1.00,653,NULL,651,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5289661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,423,'N SRA DE LOURDES','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5289670,3.00,6.00,2.00,5.00,7.00,6.38,2.00,1.00,4.00,333,NULL,NULL,'ARIRIU','PALHOÇA','SC',16155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289688,7.00,7.00,0.00,6.00,8.00,9.38,2.00,3.00,4.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5289696,6.00,5.00,1.00,3.00,3.00,NULL,0.00,2.00,2.00,551,NULL,NULL,'ESTRADA GERAL','STA TEREZINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5289700,2.00,2.00,1.00,1.00,3.00,NULL,0.00,1.00,0.00,203,NULL,202,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289718,3.00,5.00,4.00,5.00,5.00,10.50,3.00,2.00,5.00,207,NULL,NULL,'TERMAS','GRAVATAL','SC',15068,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5289726,3.00,5.00,1.00,0.00,3.00,NULL,3.00,1.00,4.00,103,NULL,NULL,'QUILÔMETRO UM','LAURO MÜLLER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5289734,7.00,8.00,3.00,7.00,11.00,11.63,3.00,7.00,7.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5289750,3.00,5.00,3.00,2.00,5.00,NULL,2.00,1.00,3.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5289769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5289777,6.00,7.00,4.00,3.00,8.00,6.00,5.00,4.00,7.00,103,NULL,NULL,'HUMAITA','TUBARÃO','SC',7481,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5289785,7.00,7.00,3.00,7.00,10.00,9.00,7.00,5.00,6.00,220,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',2183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DO PARQUE','LAJEADO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5289807,3.00,4.00,3.00,4.00,7.00,6.00,2.00,1.00,2.00,103,NULL,NULL,'PRIMEIRO DE MAIO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5289815,1.00,5.00,0.00,5.00,5.00,NULL,0.00,1.00,4.00,235,NULL,238,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5289823,4.00,5.00,0.00,3.00,7.00,NULL,1.00,1.00,4.00,213,NULL,208,'ESTRADA NOVA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289858,3.00,5.00,4.00,3.00,7.00,8.25,1.00,4.00,2.00,452,NULL,NULL,'BARREIROS','S JOSÉ','SC',13621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5289866,7.00,6.00,3.00,4.00,4.00,11.63,3.00,2.00,9.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',5332,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5289882,4.00,5.00,4.00,3.00,6.00,6.75,2.00,3.00,7.00,215,NULL,212,'SARANDI','PTO ALEGRE','RS',11665,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5289890,3.00,5.00,2.00,1.00,2.00,NULL,3.00,3.00,1.00,318,NULL,NULL,'JARDIM ELITE','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289904,3.00,6.00,2.00,3.00,5.00,7.13,4.00,2.00,5.00,108,NULL,NULL,'JARDIM MARIA EUGÊNIA','CAMPINAS','SP',13731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289912,6.00,5.00,3.00,5.00,7.00,7.50,2.00,4.00,6.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10447,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5289920,7.00,7.00,2.00,3.00,10.00,9.75,1.00,5.00,7.00,303,NULL,NULL,'JD AQUARIOS','S JOSÉ CAMPOS','SP',5571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289939,4.00,5.00,4.00,3.00,5.00,8.63,1.00,3.00,3.00,3,NULL,NULL,'ESPIGÃO DA PEDRA','ARARANGUÁ','SC',14762,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5289947,6.00,6.00,4.00,7.00,2.00,NULL,3.00,2.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5289971,4.00,6.00,1.00,2.00,5.00,NULL,1.00,1.00,3.00,238,NULL,208,'FIGUEIRA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(20,5289980,3.00,7.00,3.00,4.00,7.00,7.50,2.00,2.00,5.00,415,NULL,NULL,'IPIRANGA','S JOSÉ','SC',13388,256,NULL,NULL,NULL,NULL,NULL,2,1),(20,5289998,5.00,4.00,0.00,7.00,6.00,11.25,2.00,4.00,5.00,340,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290007,4.00,5.00,3.00,4.00,6.00,7.50,0.00,3.00,4.00,319,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',15503,319,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290015,4.00,3.00,0.00,5.00,4.00,NULL,2.00,2.00,2.00,238,NULL,208,'JD SÃO MIGUEL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5290031,5.00,5.00,1.00,5.00,5.00,7.88,1.00,2.00,3.00,319,NULL,NULL,'CENTRO','TURVO','SC',14974,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5290040,0.00,4.00,2.00,1.00,5.00,NULL,2.00,2.00,3.00,9,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290058,5.00,5.00,4.00,3.00,6.00,6.38,2.00,2.00,6.00,109,NULL,NULL,'AREIAS','S JOSÉ','SC',13687,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5290066,3.00,4.00,1.00,6.00,5.00,NULL,1.00,3.00,2.00,202,NULL,208,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5290074,4.00,4.00,4.00,0.00,4.00,NULL,1.00,3.00,3.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290090,1.00,6.00,2.00,7.00,9.00,7.88,1.00,4.00,3.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290104,3.00,3.00,0.00,2.00,2.00,NULL,0.00,2.00,4.00,453,NULL,NULL,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5290112,4.00,6.00,1.00,3.00,5.00,8.25,2.00,4.00,3.00,3,NULL,NULL,'ESPIGÃO DA PEDRA','ARARANGUÁ','SC',15558,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5290120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','TAQUARITUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5290155,3.00,7.00,2.00,2.00,3.00,NULL,2.00,2.00,1.00,452,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290163,5.00,3.00,4.00,4.00,4.00,8.25,2.00,1.00,4.00,207,NULL,235,'SANTA FELICIDADE','CURITIBA','PR',12860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'SÃO CRISTOVÃO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5290180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM IDEAL','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5290198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'LINHA FRAGNANI','TREZE MAIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5290201,8.00,8.00,5.00,6.00,9.00,9.00,7.00,4.00,5.00,303,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',2542,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5290210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5290228,1.00,3.00,0.00,2.00,3.00,NULL,4.00,1.00,1.00,208,NULL,NULL,'VILA NOVA','TRÊS LAGOAS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5290236,7.00,8.00,8.00,7.00,8.00,8.63,8.00,5.00,7.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',754,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5290244,2.00,0.00,4.00,7.00,6.00,NULL,0.00,0.00,0.00,203,NULL,214,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5290252,7.00,7.00,6.00,6.00,9.00,10.13,5.00,4.00,7.00,103,NULL,NULL,'MOINHOS','LAJEADO','RS',1875,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5290260,1.00,4.00,3.00,3.00,1.00,NULL,0.00,1.00,2.00,404,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5290279,4.00,5.00,3.00,7.00,7.00,7.13,3.00,2.00,5.00,444,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',12086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290287,7.00,7.00,4.00,5.00,7.00,7.88,4.00,6.00,4.00,103,NULL,NULL,'ARMAÇAO','PENHA','SC',7976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290295,5.00,5.00,3.00,6.00,8.00,7.88,3.00,4.00,5.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',9345,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5290317,9.00,6.00,2.00,4.00,6.00,9.00,2.00,2.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290325,3.00,4.00,4.00,5.00,3.00,NULL,1.00,1.00,2.00,652,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5290333,6.00,6.00,2.00,7.00,7.00,7.50,3.00,4.00,4.00,340,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',8251,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5290341,0.00,3.00,2.00,4.00,7.00,NULL,3.00,0.00,2.00,104,NULL,NULL,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5290350,8.00,5.00,4.00,7.00,7.00,9.75,3.00,4.00,5.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',4794,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5290368,2.00,5.00,2.00,4.00,5.00,8.25,3.00,2.00,2.00,316,NULL,NULL,'BALNEÁRIO MAR CASADO','GUARUJÁ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5290376,3.00,4.00,3.00,4.00,4.00,NULL,0.00,5.00,2.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5290384,7.00,7.00,7.00,7.00,9.00,9.75,6.00,7.00,6.00,216,NULL,220,'CENTRO','LAGES','SC',974,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5290392,6.00,4.00,3.00,6.00,6.00,6.75,2.00,2.00,4.00,333,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',11202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290406,5.00,7.00,0.00,2.00,4.00,NULL,0.00,4.00,2.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290414,8.00,7.00,3.00,8.00,10.00,10.50,0.00,4.00,5.00,453,NULL,NULL,'CENTRO','S JOAQUIM','SC',6501,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5290422,5.00,5.00,4.00,5.00,3.00,NULL,2.00,2.00,2.00,318,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5290430,9.00,7.00,5.00,7.00,7.00,7.50,7.00,6.00,9.00,103,NULL,NULL,'CENTRO','ESTEIO','RS',1674,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5290457,6.00,5.00,2.00,6.00,6.00,7.88,2.00,4.00,5.00,103,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',9736,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5290465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5290473,5.00,5.00,1.00,2.00,7.00,9.75,5.00,3.00,4.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290481,6.00,5.00,3.00,3.00,6.00,9.75,2.00,4.00,6.00,238,NULL,208,'VARGEM GRANDE','FLORIANÓPOLIS','SC',13216,303,NULL,336,NULL,NULL,NULL,2,1),(20,5290490,5.00,5.00,1.00,5.00,6.00,9.75,3.00,2.00,2.00,201,NULL,207,'CENTRO','S LOURENÇO OESTE','SC',13299,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5290503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO MIGUEL PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5290511,4.00,6.00,6.00,4.00,4.00,6.00,2.00,3.00,2.00,404,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',15536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290520,7.00,6.00,7.00,4.00,6.00,9.00,7.00,6.00,9.00,216,NULL,202,'JARDIM LINDOIA','GOIOERÊ','PR',2715,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5290538,6.00,7.00,3.00,4.00,5.00,8.25,2.00,1.00,6.00,238,NULL,208,'CENTRO','STA CECÍLIA','SC',11406,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5290546,7.00,4.00,3.00,7.00,9.00,11.63,3.00,5.00,6.00,333,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',4029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290554,4.00,1.00,2.00,3.00,1.00,NULL,4.00,1.00,4.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5290562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'STO ANTONIO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5290570,6.00,5.00,0.00,5.00,7.00,7.13,2.00,6.00,5.00,316,NULL,NULL,'VILA TARUMÃ','PINHAIS','PR',10388,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5290589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5290597,1.00,6.00,3.00,5.00,2.00,NULL,3.00,3.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5290600,6.00,5.00,1.00,6.00,10.00,9.00,5.00,4.00,6.00,208,NULL,238,'CENTRO','ORLEANS','SC',6756,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5290619,6.00,5.00,3.00,4.00,7.00,10.13,2.00,5.00,6.00,302,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',8800,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5290627,3.00,5.00,2.00,5.00,7.00,NULL,0.00,2.00,3.00,501,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5290635,9.00,6.00,7.00,7.00,6.00,8.25,7.00,7.00,7.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',1237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290643,4.00,4.00,0.00,4.00,6.00,NULL,0.00,1.00,4.00,207,NULL,211,'JARDIM AMÉRICA','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5290651,5.00,4.00,2.00,3.00,5.00,6.75,3.00,4.00,4.00,110,NULL,NULL,'NOVA SUIÇA','LIMEIRA','SP',15162,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5290660,6.00,6.00,2.00,6.00,8.00,8.25,3.00,3.00,4.00,450,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',9392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290678,5.00,7.00,1.00,5.00,7.00,7.88,1.00,2.00,4.00,303,NULL,NULL,'PRIMEIRO DE MAIO','IÇARA','SC',14651,589,NULL,NULL,NULL,NULL,NULL,2,5),(20,5290686,5.00,6.00,2.00,3.00,8.00,7.88,3.00,3.00,5.00,238,NULL,202,'JARDIM ELDORADO','PALHOÇA','SC',13120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5290694,6.00,6.00,3.00,7.00,6.00,6.00,4.00,4.00,5.00,203,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',9996,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5290708,8.00,7.00,6.00,6.00,8.00,12.00,5.00,5.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290716,2.00,3.00,3.00,3.00,4.00,NULL,2.00,2.00,3.00,238,NULL,208,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5290724,7.00,6.00,4.00,6.00,6.00,10.13,4.00,2.00,4.00,109,NULL,NULL,'SANTO ANTONIO','CHAPECÓ','SC',8403,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5290732,5.00,8.00,2.00,7.00,10.00,9.00,4.00,6.00,4.00,5,NULL,NULL,'VELHA','BLUMENAU','SC',5328,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5290740,5.00,4.00,2.00,7.00,4.00,6.75,1.00,2.00,3.00,333,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5290759,9.00,8.00,4.00,5.00,9.00,8.63,4.00,6.00,6.00,215,NULL,208,'CENTRO','STO AMARO IMPERATRIZ','SC',3419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290767,8.00,9.00,3.00,7.00,9.00,11.25,4.00,6.00,5.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',3179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290775,4.00,4.00,1.00,3.00,1.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5290783,4.00,3.00,0.00,4.00,4.00,NULL,1.00,1.00,5.00,301,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5290821,8.00,8.00,7.00,7.00,9.00,9.38,8.00,6.00,6.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290830,5.00,3.00,1.00,5.00,7.00,9.38,1.00,3.00,4.00,211,NULL,653,'JARDIM AMÉRICA','CAXIAS SUL','RS',12879,405,NULL,NULL,NULL,NULL,NULL,4,9),(20,5290848,4.00,5.00,1.00,6.00,8.00,8.63,1.00,2.00,4.00,339,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5290864,9.00,9.00,1.00,5.00,9.00,12.38,4.00,3.00,7.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',2829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290872,6.00,7.00,1.00,2.00,8.00,11.63,2.00,3.00,5.00,327,NULL,NULL,'PAULO COELHO MACHADO','CPO GRANDE','MS',10094,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5290899,1.00,6.00,1.00,6.00,4.00,NULL,2.00,2.00,2.00,5,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290902,8.00,7.00,5.00,7.00,5.00,10.88,3.00,3.00,6.00,214,NULL,NULL,'VILA INAH','S PAULO','SP',4111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290910,2.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(20,5290945,3.00,6.00,2.00,7.00,6.00,9.38,1.00,6.00,3.00,415,NULL,NULL,'INDAIÁ','CARAGUATATUBA','SP',12111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290953,7.00,6.00,2.00,5.00,9.00,9.00,4.00,3.00,5.00,319,NULL,NULL,'ABRÃAO','FLORIANÓPOLIS','SC',8027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5290961,2.00,4.00,3.00,5.00,6.00,NULL,1.00,0.00,3.00,101,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5290970,8.00,4.00,2.00,3.00,7.00,9.38,2.00,5.00,4.00,108,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',10275,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5290988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5290996,4.00,5.00,0.00,4.00,2.00,NULL,3.00,1.00,1.00,214,NULL,NULL,'CENTRO','IRANI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5291003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JD VISTA ALEGRE','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5291020,3.00,3.00,1.00,4.00,3.00,NULL,0.00,4.00,4.00,202,NULL,201,'BELLO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5291038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ALTINOPOLIS','GOV VALADARES','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5291046,4.00,5.00,2.00,3.00,6.00,9.38,1.00,1.00,4.00,101,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,202,'ESTRELA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5291062,1.00,5.00,3.00,7.00,3.00,NULL,3.00,2.00,5.00,208,NULL,238,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291089,8.00,6.00,5.00,5.00,9.00,10.50,3.00,2.00,4.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',6335,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291097,2.00,0.00,1.00,7.00,4.00,NULL,0.00,0.00,0.00,238,NULL,233,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,5,1),(20,5291100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MEDITERRÂNEO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5291119,7.00,6.00,5.00,6.00,8.00,9.75,2.00,2.00,6.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',7121,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5291127,4.00,7.00,0.00,4.00,4.00,NULL,1.00,2.00,5.00,225,NULL,NULL,'SÃO JOÃO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5291135,6.00,7.00,2.00,5.00,9.00,7.13,3.00,5.00,4.00,108,NULL,NULL,'ROÇADO','S JOSÉ','SC',10831,179,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291143,5.00,6.00,1.00,3.00,6.00,7.13,3.00,5.00,3.00,303,NULL,NULL,'AV PRIMEIRO DE MAIO','BRUSQUE','SC',14322,575,NULL,NULL,NULL,NULL,NULL,2,2),(20,5291151,4.00,5.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,452,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291160,4.00,7.00,4.00,2.00,6.00,10.50,4.00,2.00,4.00,318,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291178,7.00,6.00,2.00,5.00,10.00,8.63,2.00,4.00,6.00,415,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',6362,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291186,3.00,4.00,0.00,2.00,4.00,4.13,6.00,3.00,3.00,501,NULL,NULL,'MADRI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291194,4.00,3.00,2.00,7.00,3.00,NULL,2.00,1.00,5.00,203,NULL,214,'CENTRO','LEBON RÉGIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291208,4.00,6.00,0.00,1.00,2.00,NULL,1.00,2.00,3.00,102,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291216,8.00,4.00,2.00,6.00,8.00,9.75,4.00,5.00,7.00,103,NULL,NULL,'VILA OPERÁRIA','MARINGÁ','PR',5085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291232,5.00,6.00,2.00,3.00,10.00,7.88,2.00,2.00,2.00,238,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',14033,336,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291240,9.00,7.00,3.00,5.00,8.00,10.13,4.00,5.00,9.00,108,NULL,NULL,'CENTRO','TUBARÃO','SC',2369,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5291259,3.00,6.00,0.00,4.00,8.00,6.00,3.00,4.00,5.00,104,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13802,356,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291267,4.00,5.00,0.00,6.00,6.00,7.88,3.00,4.00,3.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',12061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291275,2.00,5.00,4.00,4.00,8.00,8.25,2.00,3.00,2.00,451,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',14577,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5291291,9.00,7.00,1.00,7.00,8.00,9.38,2.00,6.00,5.00,203,NULL,214,'CENTRO','CAPIVARI BAIXO','SC',4127,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5291305,3.00,5.00,3.00,4.00,5.00,4.13,0.00,2.00,3.00,444,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291313,5.00,7.00,1.00,4.00,7.00,9.75,1.00,2.00,4.00,207,NULL,215,'CAPOEIRAS','FLORIANÓPOLIS','SC',13135,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291321,3.00,2.00,2.00,2.00,5.00,NULL,1.00,1.00,2.00,235,NULL,203,'CENTRO','TRINDADE','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291330,6.00,5.00,4.00,4.00,5.00,7.88,2.00,1.00,4.00,103,NULL,NULL,'ITAPAGE','FREDERICO WESTPHALEN','RS',14573,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5291348,0.00,7.00,2.00,3.00,3.00,NULL,1.00,3.00,4.00,216,NULL,208,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5291364,7.00,8.00,4.00,4.00,8.00,5.25,2.00,2.00,5.00,104,NULL,NULL,'JARDIM SOCIAL','ALTÔNIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5291372,6.00,5.00,2.00,4.00,4.00,6.38,1.00,3.00,2.00,601,NULL,211,'CENTRO','BAL CAMBORIÚ','SC',15953,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5291380,5.00,4.00,3.00,6.00,6.00,9.00,3.00,3.00,6.00,303,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',10556,437,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291402,9.00,8.00,7.00,7.00,10.00,8.63,7.00,5.00,9.00,103,NULL,NULL,'COUNTRY','CASCAVEL','PR',331,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5291437,7.00,8.00,8.00,7.00,5.00,10.88,7.00,4.00,7.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',1452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291445,1.00,4.00,0.00,1.00,4.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'PEREQUÊ','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291453,9.00,5.00,8.00,8.00,7.00,10.50,7.00,4.00,8.00,103,NULL,NULL,'CAMBUCI','S PAULO','SP',627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291461,2.00,6.00,1.00,3.00,5.00,5.25,3.00,3.00,5.00,317,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291470,3.00,6.00,1.00,3.00,6.00,11.63,0.00,3.00,4.00,420,NULL,NULL,'OPERÁRIA NOVA','CRICIÚMA','SC',12353,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5291488,6.00,7.00,4.00,7.00,9.00,9.00,5.00,5.00,6.00,233,NULL,235,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',5953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291500,3.00,2.00,1.00,3.00,4.00,NULL,3.00,2.00,2.00,9,NULL,NULL,'ITINGA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291518,7.00,6.00,4.00,4.00,8.00,9.75,6.00,6.00,6.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291526,4.00,8.00,0.00,4.00,6.00,NULL,1.00,4.00,5.00,319,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291534,5.00,6.00,1.00,3.00,3.00,NULL,2.00,2.00,4.00,207,NULL,201,'BOA VISTA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5291542,6.00,7.00,5.00,6.00,9.00,8.63,2.00,3.00,4.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',7856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291550,1.00,5.00,2.00,4.00,5.00,NULL,1.00,2.00,3.00,201,NULL,207,'VILA LIANE','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291569,8.00,6.00,4.00,7.00,7.00,10.88,3.00,3.00,5.00,238,NULL,213,'CORREGO GRANDE','FLORIANÓPOLIS','SC',6286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291577,8.00,6.00,3.00,7.00,6.00,6.75,3.00,3.00,4.00,207,NULL,201,'GLÓRIA','JOINVILLE','SC',9893,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5291585,4.00,4.00,3.00,4.00,5.00,6.75,1.00,3.00,4.00,110,NULL,NULL,'RIO NOVO','ÁGUAS MORNAS','SC',16299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291615,6.00,5.00,0.00,6.00,8.00,8.25,2.00,1.00,4.00,319,NULL,NULL,'JARDIM AMÉRICA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5291623,6.00,1.00,2.00,0.00,1.00,NULL,3.00,1.00,2.00,215,NULL,238,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5291631,0.00,6.00,1.00,0.00,2.00,NULL,2.00,4.00,3.00,653,NULL,NULL,'ESTREITO','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5291640,4.00,5.00,2.00,7.00,8.00,4.88,3.00,4.00,6.00,208,NULL,213,'EUGÊNIO SCHNEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291666,2.00,6.00,1.00,0.00,3.00,NULL,3.00,2.00,2.00,208,NULL,238,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291674,5.00,4.00,1.00,7.00,6.00,7.13,0.00,2.00,3.00,233,NULL,238,'CENTRO','TUBARÃO','SC',14996,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5291682,4.00,4.00,2.00,4.00,5.00,7.50,2.00,1.00,5.00,207,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',16207,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5291704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'LAGEADO BAIXO','GUABIRUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5291712,7.00,6.00,4.00,7.00,8.00,11.25,2.00,4.00,7.00,211,NULL,215,'SÃO VICENTE','ITAJAÍ','SC',3893,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5291720,6.00,7.00,0.00,7.00,5.00,9.38,2.00,3.00,2.00,224,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291739,4.00,6.00,0.00,2.00,5.00,7.88,1.00,4.00,4.00,102,NULL,NULL,'CENTRO','S BENTO SUL','SC',14565,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5291747,9.00,7.00,6.00,7.00,9.00,8.63,6.00,6.00,8.00,103,NULL,NULL,'CENTRO','POMERODE','SC',1040,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5291755,2.00,4.00,0.00,5.00,8.00,NULL,1.00,2.00,2.00,207,NULL,235,'SANTA CATARINA','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5291763,5.00,3.00,2.00,1.00,4.00,NULL,1.00,0.00,2.00,404,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291771,2.00,2.00,0.00,1.00,5.00,NULL,0.00,2.00,0.00,238,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291780,7.00,5.00,2.00,5.00,6.00,9.75,3.00,2.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',8886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291798,4.00,4.00,1.00,5.00,4.00,NULL,1.00,1.00,3.00,303,NULL,NULL,'ARAPONGAS','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5291801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'GUABIRUBA SUL','GUABIRUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5291810,6.00,5.00,2.00,4.00,6.00,7.50,2.00,2.00,2.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',14896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291828,8.00,7.00,7.00,6.00,8.00,8.63,4.00,2.00,6.00,203,NULL,202,'BALNEARIO','FLORIANÓPOLIS','SC',4314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291836,6.00,5.00,5.00,7.00,5.00,8.63,4.00,5.00,5.00,203,NULL,214,'CACUPÉ','FLORIANÓPOLIS','SC',6632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291844,9.00,8.00,3.00,7.00,6.00,7.50,2.00,3.00,6.00,108,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',7760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291852,3.00,3.00,0.00,3.00,3.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291860,6.00,6.00,5.00,6.00,8.00,8.63,4.00,4.00,5.00,208,NULL,238,'SACO GRANDE','FLORIANÓPOLIS','SC',6134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291879,6.00,6.00,4.00,4.00,6.00,8.63,2.00,4.00,4.00,104,NULL,NULL,'ZONA SETE','UMUARAMA','PR',8605,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5291887,6.00,4.00,5.00,7.00,7.00,8.63,3.00,4.00,6.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',5360,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5291895,5.00,3.00,1.00,4.00,8.00,8.25,1.00,2.00,4.00,101,NULL,NULL,'IMARUÍ','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5291917,7.00,8.00,7.00,6.00,7.00,9.38,6.00,5.00,7.00,207,NULL,601,'GLÓRIA','JOINVILLE','SC',1601,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5291925,3.00,5.00,4.00,5.00,5.00,8.25,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','PEROBAL','PR',10813,3280,NULL,NULL,NULL,NULL,NULL,4,3),(20,5291933,4.00,4.00,0.00,2.00,3.00,NULL,3.00,1.00,3.00,319,NULL,NULL,'PROSPERA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5291941,9.00,5.00,0.00,7.00,5.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291950,1.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5291968,3.00,7.00,2.00,7.00,5.00,6.75,2.00,6.00,3.00,202,NULL,238,'AREIAS','S JOSÉ','SC',9779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5291976,3.00,4.00,0.00,3.00,4.00,NULL,2.00,3.00,3.00,9,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291984,7.00,7.00,4.00,3.00,7.00,9.75,2.00,5.00,6.00,238,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',8038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5291992,4.00,6.00,2.00,3.00,5.00,7.88,2.00,4.00,2.00,404,NULL,NULL,'NOSSA SEN DO ROSÁRIO','S JOSÉ','SC',15303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292018,3.00,4.00,1.00,4.00,2.00,NULL,1.00,3.00,1.00,5,NULL,NULL,'BOA VISTA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5292026,4.00,5.00,1.00,4.00,1.00,NULL,0.00,1.00,2.00,238,NULL,208,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5292034,4.00,5.00,1.00,2.00,5.00,7.50,4.00,2.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292042,4.00,6.00,3.00,5.00,4.00,4.50,2.00,2.00,3.00,423,NULL,NULL,'GUAIUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5292050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5292077,9.00,6.00,2.00,6.00,6.00,8.63,2.00,7.00,8.00,103,NULL,NULL,'CENTRO','NOVA ESPERANÇA','PR',3886,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5292085,6.00,5.00,2.00,7.00,8.00,9.00,1.00,3.00,5.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',9264,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5292107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FÁTIMA I','POUSO ALEGRE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5292115,7.00,4.00,5.00,6.00,6.00,8.25,4.00,4.00,4.00,220,NULL,202,'MICHEL','CRICIÚMA','SC',7532,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5292131,7.00,7.00,3.00,6.00,6.00,10.50,5.00,5.00,7.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',4309,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5292158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5292174,7.00,7.00,2.00,7.00,6.00,8.63,2.00,4.00,6.00,202,NULL,213,'CENTRO','BAL CAMBORIÚ','SC',8259,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5292182,5.00,7.00,1.00,3.00,3.00,NULL,0.00,2.00,1.00,415,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292190,8.00,8.00,4.00,7.00,10.00,9.75,4.00,3.00,6.00,104,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',2272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292204,5.00,5.00,3.00,7.00,6.00,10.88,3.00,8.00,6.00,415,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',6772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292220,5.00,7.00,4.00,5.00,8.00,8.25,4.00,6.00,5.00,326,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',8718,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292239,3.00,6.00,2.00,5.00,4.00,NULL,3.00,1.00,1.00,5,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292247,6.00,6.00,4.00,7.00,7.00,7.50,3.00,4.00,5.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292255,9.00,7.00,4.00,7.00,10.00,8.25,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','LAGES','SC',1985,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5292263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CRUZ','TREZE MAIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5292271,5.00,4.00,1.00,6.00,4.00,9.00,1.00,1.00,4.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15661,509,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292280,3.00,5.00,2.00,4.00,5.00,6.00,1.00,1.00,6.00,9,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292298,8.00,9.00,7.00,6.00,7.00,9.00,5.00,3.00,5.00,303,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',2708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292301,6.00,6.00,3.00,6.00,9.00,9.75,2.00,5.00,3.00,303,NULL,NULL,'IPIRANGA','S JOSÉ','SC',8926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292310,2.00,6.00,1.00,4.00,5.00,7.13,4.00,4.00,3.00,318,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15865,119,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'INTERIOR','VARGEÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5292336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,207,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5292344,3.00,2.00,0.00,5.00,4.00,NULL,1.00,2.00,3.00,207,NULL,235,'SANTA CATARINA','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5292360,1.00,4.00,1.00,5.00,5.00,NULL,1.00,2.00,4.00,444,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'LINHA BATISTA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5292395,3.00,7.00,1.00,7.00,3.00,NULL,1.00,4.00,5.00,238,NULL,651,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5292417,8.00,8.00,6.00,5.00,8.00,7.50,7.00,5.00,7.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',2530,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5292441,8.00,4.00,6.00,7.00,8.00,7.88,5.00,5.00,4.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292450,8.00,9.00,5.00,7.00,10.00,10.50,6.00,6.00,7.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5292476,6.00,4.00,4.00,7.00,9.00,11.25,3.00,4.00,6.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA DOIS','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5292492,4.00,5.00,3.00,5.00,4.00,4.13,2.00,3.00,4.00,104,NULL,NULL,'RONDINHA','PTE ALTA NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5292506,1.00,5.00,5.00,4.00,7.00,7.50,1.00,4.00,4.00,222,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',13381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292514,3.00,4.00,4.00,7.00,5.00,6.75,1.00,3.00,2.00,304,NULL,NULL,'BARREIROS','S JOSÉ','SC',16227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292522,9.00,5.00,5.00,7.00,9.00,7.88,5.00,4.00,6.00,103,NULL,NULL,'JARDIM BOTANICO','PTO ALEGRE','RS',3085,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5292530,1.00,6.00,0.00,3.00,8.00,NULL,1.00,2.00,3.00,309,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292549,3.00,5.00,1.00,5.00,7.00,6.00,1.00,5.00,5.00,429,NULL,427,'RIO VERMELHO','FLORIANÓPOLIS','SC',15117,40,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,207,'CIDADE NOVA V','MANAUS','AM',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5292565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5292573,4.00,4.00,2.00,3.00,4.00,NULL,0.00,4.00,2.00,301,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5292590,2.00,6.00,1.00,2.00,6.00,NULL,1.00,1.00,3.00,201,NULL,NULL,'MAROMBAS','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5292603,6.00,3.00,0.00,5.00,4.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'CAMPINA BELA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5292611,1.00,4.00,1.00,2.00,2.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'SANTO ANTÔNIO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5292620,9.00,8.00,6.00,7.00,9.00,10.13,6.00,4.00,9.00,103,NULL,NULL,'JD HIGIENÓPOLIS','LONDRINA','PR',502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MAUÁ','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5292646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'PADRE EDUARDO','TAIÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5292662,3.00,5.00,1.00,7.00,5.00,9.00,0.00,4.00,2.00,423,NULL,428,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292670,4.00,8.00,3.00,7.00,7.00,8.25,4.00,4.00,2.00,220,NULL,213,'CENTRO','URUSSANGA','SC',10642,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5292689,2.00,3.00,1.00,4.00,2.00,NULL,3.00,1.00,2.00,333,NULL,NULL,'PAMPLONA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292697,2.00,5.00,0.00,3.00,6.00,NULL,2.00,0.00,3.00,216,NULL,215,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5292700,4.00,4.00,2.00,2.00,5.00,NULL,1.00,2.00,3.00,302,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5292719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CIDADE MONÇÕES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5292735,2.00,6.00,2.00,3.00,6.00,NULL,0.00,1.00,3.00,9,NULL,NULL,'FLOR DE NAPOLES','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292743,4.00,6.00,4.00,2.00,4.00,10.13,1.00,4.00,4.00,303,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',14773,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292751,8.00,8.00,4.00,6.00,9.00,9.00,4.00,4.00,5.00,216,NULL,215,'INGLESES','FLORIANÓPOLIS','SC',4286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5292778,7.00,5.00,2.00,7.00,7.00,7.88,0.00,4.00,5.00,108,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',8525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292786,4.00,6.00,0.00,3.00,5.00,NULL,1.00,3.00,1.00,203,NULL,235,'INTERIOR','S JOÃO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5292794,4.00,8.00,0.00,6.00,6.00,NULL,0.00,4.00,5.00,326,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5292808,3.00,3.00,4.00,7.00,6.00,7.88,0.00,2.00,3.00,301,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5292816,9.00,8.00,7.00,7.00,10.00,10.88,4.00,5.00,8.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292832,6.00,6.00,4.00,5.00,7.00,7.13,4.00,2.00,6.00,326,NULL,NULL,'BELA VISTA','PALHOÇA','SC',8300,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292840,3.00,4.00,1.00,3.00,3.00,NULL,3.00,0.00,1.00,404,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292859,9.00,7.00,4.00,7.00,10.00,9.00,1.00,5.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',3615,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5292867,3.00,4.00,0.00,3.00,6.00,NULL,1.00,3.00,1.00,333,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5292875,1.00,5.00,0.00,4.00,4.00,NULL,1.00,1.00,2.00,336,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5292891,3.00,4.00,3.00,4.00,5.00,8.63,1.00,3.00,3.00,423,NULL,428,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292905,2.00,6.00,2.00,7.00,6.00,4.88,2.00,3.00,6.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292913,7.00,5.00,3.00,3.00,10.00,9.38,3.00,2.00,4.00,212,NULL,207,'COSTEIRA','FLORIANÓPOLIS','SC',9178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292921,8.00,8.00,6.00,4.00,8.00,11.63,3.00,3.00,7.00,103,NULL,NULL,'PONTE DE IMARUIM','PALHOÇA','SC',3793,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292930,9.00,4.00,5.00,8.00,8.00,10.50,3.00,4.00,4.00,303,NULL,NULL,'APARECIDA','SANTOS','SP',3663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292948,5.00,3.00,4.00,0.00,7.00,8.63,3.00,2.00,5.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',14020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292956,7.00,6.00,2.00,7.00,9.00,7.13,4.00,2.00,5.00,316,NULL,NULL,'RECREIO DAS ACACIAS','RIBEIRÃO PRETO','SP',6900,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5292964,3.00,6.00,4.00,4.00,5.00,9.38,2.00,2.00,4.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5292980,5.00,6.00,5.00,4.00,5.00,10.88,7.00,4.00,5.00,303,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5292999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASTRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5293014,7.00,7.00,3.00,7.00,8.00,12.00,2.00,4.00,5.00,104,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',5648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293030,8.00,8.00,6.00,7.00,10.00,10.50,7.00,6.00,6.00,103,NULL,NULL,'SANTA TERESA','S LEOPOLDO','RS',511,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5293049,4.00,5.00,0.00,5.00,3.00,NULL,2.00,2.00,3.00,451,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5293057,5.00,5.00,2.00,5.00,6.00,7.50,0.00,3.00,3.00,103,NULL,NULL,'JARDIM DO MOINHO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5293065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5293073,3.00,6.00,2.00,4.00,2.00,NULL,3.00,4.00,4.00,222,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5293081,5.00,4.00,2.00,2.00,8.00,9.00,3.00,3.00,3.00,201,NULL,203,'POTECAS','S JOSÉ','SC',14170,1008,NULL,902,NULL,NULL,NULL,5,1),(20,5293090,9.00,6.00,4.00,7.00,7.00,7.88,2.00,6.00,6.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5293120,4.00,7.00,4.00,6.00,9.00,7.13,3.00,3.00,7.00,235,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',7178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293138,3.00,5.00,0.00,2.00,6.00,NULL,2.00,1.00,1.00,104,NULL,NULL,'JANUARIA','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5293146,3.00,3.00,0.00,3.00,3.00,NULL,2.00,2.00,0.00,211,NULL,216,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5293162,4.00,7.00,3.00,2.00,4.00,8.63,2.00,1.00,4.00,5,NULL,NULL,'ROÇA GRANDE','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5293170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,208,'CENTRO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5293189,3.00,4.00,4.00,2.00,6.00,6.38,2.00,3.00,5.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16017,3822,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293197,3.00,3.00,1.00,7.00,7.00,6.75,4.00,3.00,2.00,501,NULL,NULL,'SÃO LOURENÇO','CURITIBA','PR',15486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293200,9.00,6.00,2.00,3.00,6.00,8.63,2.00,3.00,7.00,207,NULL,NULL,'CENTRO','CAÇADOR','SC',6867,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5293219,3.00,3.00,1.00,4.00,7.00,8.25,2.00,4.00,5.00,426,NULL,429,'IPIRANGA','S JOSÉ','SC',14190,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5293235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,235,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5293243,3.00,6.00,1.00,3.00,6.00,NULL,0.00,2.00,1.00,308,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5293251,4.00,5.00,2.00,7.00,7.00,9.75,1.00,4.00,3.00,316,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',12164,162,NULL,NULL,NULL,NULL,NULL,2,1),(20,5293278,4.00,4.00,1.00,5.00,7.00,NULL,0.00,2.00,3.00,207,NULL,238,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293286,7.00,7.00,5.00,6.00,7.00,8.25,8.00,5.00,7.00,216,NULL,NULL,'PACAEMBU','CASCAVEL','PR',2345,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5293308,4.00,4.00,0.00,4.00,4.00,NULL,3.00,1.00,1.00,208,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5293316,8.00,8.00,3.00,7.00,8.00,8.63,2.00,3.00,4.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6009,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5293324,8.00,7.00,3.00,7.00,9.00,12.00,6.00,2.00,5.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',3512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293340,6.00,7.00,2.00,7.00,3.00,NULL,3.00,3.00,2.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293359,3.00,7.00,1.00,4.00,4.00,8.25,3.00,3.00,4.00,652,NULL,651,'RAICHASKI','IÇARA','SC',15933,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5293367,1.00,3.00,0.00,3.00,3.00,NULL,2.00,2.00,3.00,318,NULL,NULL,'CIBRAZEM','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5293375,6.00,6.00,4.00,6.00,9.00,8.25,4.00,3.00,3.00,103,NULL,NULL,'BOM JESUS','RIO NEGRO','PR',8291,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5293383,4.00,5.00,2.00,1.00,4.00,6.75,1.00,5.00,2.00,102,NULL,NULL,'JARDIM SÃO CARLOS','S PAULO','SP',16229,234,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293391,3.00,4.00,0.00,1.00,5.00,NULL,1.00,2.00,3.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5293405,5.00,7.00,3.00,5.00,4.00,8.25,0.00,3.00,5.00,203,NULL,601,'CENTRO','IPORÃ OESTE','SC',11716,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5293413,5.00,7.00,2.00,5.00,7.00,9.38,0.00,2.00,6.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12170,389,NULL,NULL,NULL,NULL,NULL,2,1),(20,5293421,6.00,5.00,5.00,6.00,7.00,9.00,4.00,3.00,6.00,216,NULL,233,'VILA MILITAR','RIO NEGRO','PR',6550,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5293430,4.00,8.00,3.00,7.00,8.00,10.50,1.00,5.00,4.00,102,NULL,NULL,'CENTRO','S JOSÉ','SC',7818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293448,3.00,7.00,1.00,3.00,5.00,NULL,2.00,1.00,2.00,304,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5293456,5.00,6.00,0.00,6.00,4.00,6.00,4.00,1.00,5.00,203,NULL,238,'BAIRRO DAS NACOES','BAL CAMBORIÚ','SC',12807,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5293464,5.00,6.00,3.00,7.00,7.00,10.50,2.00,5.00,4.00,201,NULL,207,'PONTA DE BAIXO','S JOSÉ','SC',8194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293472,4.00,7.00,6.00,8.00,7.00,9.75,3.00,3.00,6.00,238,NULL,235,'CENTRO','ERECHIM','RS',5581,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5293480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5293499,4.00,5.00,4.00,7.00,8.00,7.88,3.00,4.00,5.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',7297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293502,1.00,3.00,0.00,6.00,4.00,NULL,1.00,2.00,4.00,301,NULL,NULL,'BOEHMERWALD','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5293510,9.00,7.00,4.00,6.00,8.00,8.25,6.00,5.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1978,1077,NULL,NULL,NULL,NULL,NULL,2,8),(20,5293537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CARANDÁ BOSQUE II','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5293545,2.00,8.00,1.00,5.00,4.00,7.50,4.00,1.00,7.00,238,NULL,213,'FORQUILHINHAS','S JOSÉ','SC',15189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293553,6.00,7.00,1.00,6.00,7.00,6.75,2.00,2.00,4.00,207,NULL,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5293561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,203,'CIDADE JARDIM','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5293570,4.00,5.00,4.00,4.00,5.00,7.88,3.00,1.00,4.00,202,NULL,213,'CENTRO','ARROIO TRINTA','SC',14003,466,NULL,178,NULL,NULL,NULL,2,7),(20,5293588,6.00,4.00,1.00,4.00,7.00,6.00,2.00,3.00,3.00,303,NULL,NULL,'PARQUE VERDE','CASCAVEL','PR',14479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5293596,6.00,7.00,5.00,7.00,7.00,11.25,2.00,5.00,5.00,222,NULL,NULL,'JARDIM ALVORADA','JOAÇABA','SC',5080,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5293600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'INTERIOR','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5293618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5293626,6.00,7.00,1.00,6.00,7.00,8.63,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5293634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,421,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5293642,5.00,7.00,2.00,5.00,7.00,7.50,4.00,3.00,5.00,501,NULL,NULL,'INTERIOR','QUILOMBO','SC',9594,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5293650,2.00,2.00,1.00,4.00,3.00,NULL,1.00,3.00,1.00,303,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5293677,0.00,3.00,1.00,4.00,7.00,NULL,1.00,3.00,2.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5293685,1.00,4.00,2.00,3.00,3.00,NULL,1.00,4.00,1.00,213,NULL,233,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293693,6.00,6.00,4.00,6.00,7.00,9.38,3.00,2.00,7.00,317,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',6553,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5293707,1.00,0.00,0.00,2.00,2.00,NULL,2.00,2.00,3.00,216,NULL,215,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5293715,2.00,4.00,3.00,4.00,5.00,4.88,1.00,1.00,6.00,202,NULL,213,'COSTA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5293723,6.00,6.00,4.00,5.00,7.00,7.50,3.00,2.00,8.00,452,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',6880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293731,5.00,5.00,5.00,4.00,6.00,NULL,3.00,3.00,4.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5293740,6.00,5.00,4.00,6.00,6.00,11.63,2.00,4.00,5.00,415,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',7259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293758,5.00,5.00,3.00,7.00,6.00,8.63,2.00,3.00,4.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5293766,3.00,4.00,0.00,4.00,3.00,NULL,1.00,1.00,3.00,9,NULL,NULL,'FLORIANOPOLIS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293774,3.00,4.00,1.00,3.00,4.00,NULL,1.00,4.00,2.00,317,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5293782,3.00,7.00,1.00,4.00,5.00,6.75,0.00,1.00,6.00,317,NULL,NULL,'SERTÃO DO IMARUIM','S JOSÉ','SC',15570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5293790,6.00,7.00,6.00,6.00,8.00,7.13,4.00,4.00,6.00,211,NULL,216,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',6310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293804,7.00,6.00,2.00,6.00,9.00,8.63,4.00,5.00,4.00,5,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',6728,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5293812,2.00,4.00,2.00,4.00,6.00,NULL,0.00,2.00,3.00,5,NULL,NULL,'SAIC','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293820,8.00,6.00,1.00,5.00,10.00,7.88,2.00,3.00,5.00,103,NULL,NULL,'OURO VERDE','CEL FREITAS','SC',8176,2860,NULL,NULL,NULL,NULL,NULL,2,4),(20,5293839,3.00,5.00,4.00,4.00,4.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5293847,7.00,6.00,2.00,4.00,6.00,8.25,3.00,6.00,6.00,201,NULL,202,'CENTRO','MAFRA','SC',8486,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5293855,5.00,7.00,1.00,5.00,7.00,10.50,1.00,4.00,5.00,339,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11917,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5293880,8.00,8.00,1.00,5.00,7.00,9.38,7.00,4.00,7.00,203,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',4671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293898,2.00,6.00,1.00,2.00,2.00,NULL,2.00,3.00,5.00,310,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5293901,7.00,6.00,3.00,1.00,9.00,8.25,4.00,5.00,7.00,207,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',6528,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5293910,7.00,4.00,2.00,6.00,7.00,7.50,2.00,4.00,3.00,601,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',10677,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5293928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'BELA VISTA','CPO BOM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5293936,4.00,4.00,1.00,6.00,7.00,NULL,0.00,1.00,1.00,501,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293944,4.00,7.00,0.00,5.00,6.00,7.50,0.00,3.00,2.00,653,NULL,211,'URUSSANGUINHA','ARARANGUÁ','SC',14920,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5293952,4.00,2.00,1.00,5.00,2.00,NULL,1.00,1.00,1.00,501,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293960,3.00,4.00,5.00,3.00,3.00,NULL,4.00,3.00,4.00,301,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5293979,5.00,8.00,1.00,6.00,4.00,8.63,3.00,3.00,4.00,201,NULL,207,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',12805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5293995,5.00,4.00,2.00,2.00,3.00,NULL,1.00,2.00,0.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'NOSSA SENHORA DA PAZ','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5294010,8.00,8.00,5.00,5.00,9.00,10.88,7.00,7.00,8.00,203,NULL,213,'ESTREITO','FLORIANÓPOLIS','SC',811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294029,5.00,5.00,0.00,5.00,6.00,8.25,0.00,1.00,5.00,3,NULL,NULL,'LOMBA','ORLEANS','SC',15800,61,NULL,NULL,NULL,NULL,NULL,2,5),(20,5294037,9.00,6.00,4.00,5.00,9.00,10.50,1.00,5.00,6.00,103,NULL,NULL,'LAGOINHA','MANDIRITUBA','PR',4170,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5294053,8.00,5.00,4.00,5.00,7.00,8.25,3.00,5.00,8.00,104,NULL,NULL,'JARDIM BOTÂNICO','CURITIBA','PR',4188,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5294061,4.00,4.00,3.00,4.00,3.00,NULL,2.00,3.00,5.00,201,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294088,4.00,5.00,3.00,8.00,7.00,8.25,5.00,5.00,7.00,233,NULL,214,'OFICINAS','PNT GROSSA','PR',6196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294096,1.00,6.00,4.00,4.00,3.00,NULL,2.00,3.00,3.00,303,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'PQ DAS LARANJEIRAS','CAJOBI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5294118,9.00,6.00,9.00,7.00,9.00,8.63,8.00,6.00,7.00,103,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294126,3.00,4.00,0.00,5.00,6.00,NULL,2.00,2.00,3.00,203,NULL,233,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294142,7.00,5.00,4.00,5.00,8.00,8.63,0.00,3.00,3.00,207,NULL,238,'CHACARA FABIANA','BIGUAÇU','SC',11908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5294177,4.00,6.00,1.00,3.00,4.00,6.00,2.00,2.00,3.00,102,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294193,4.00,4.00,2.00,5.00,5.00,NULL,0.00,3.00,6.00,316,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294207,5.00,5.00,2.00,7.00,8.00,6.75,2.00,2.00,5.00,201,NULL,207,'BARRA DO RIO MOLHA','JARAGUÁ SUL','SC',9107,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5294215,3.00,4.00,3.00,6.00,6.00,7.88,2.00,6.00,4.00,108,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',14328,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5294223,4.00,6.00,2.00,2.00,6.00,6.75,1.00,4.00,5.00,303,NULL,NULL,'FLORESTA','JOINVILLE','SC',14741,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5294231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,214,'VILA SANTANA','ITAPEVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5294240,4.00,6.00,3.00,4.00,7.00,6.75,0.00,1.00,3.00,452,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',14270,119,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294258,1.00,2.00,3.00,2.00,3.00,NULL,3.00,2.00,1.00,208,NULL,202,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294266,5.00,6.00,2.00,5.00,5.00,11.25,3.00,5.00,3.00,207,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',10361,494,NULL,767,NULL,NULL,NULL,5,1),(20,5294274,7.00,6.00,5.00,5.00,9.00,7.13,6.00,5.00,6.00,216,NULL,201,'ZONA CINCO','MARINGÁ','PR',4347,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5294282,8.00,6.00,1.00,6.00,8.00,11.25,5.00,4.00,7.00,216,NULL,201,'ANITA GARIBALDI','JOINVILLE','SC',4404,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5294290,5.00,3.00,2.00,4.00,3.00,NULL,0.00,2.00,2.00,104,NULL,NULL,'PAGARÁ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294304,5.00,7.00,3.00,6.00,5.00,8.63,3.00,3.00,5.00,502,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294312,4.00,6.00,3.00,6.00,7.00,7.88,3.00,4.00,2.00,415,NULL,NULL,'JARDIM BOTÂNICO','PTO ALEGRE','RS',13075,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5294320,2.00,2.00,1.00,2.00,2.00,NULL,1.00,0.00,1.00,102,NULL,NULL,'LEÃO','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5294347,8.00,7.00,4.00,5.00,7.00,8.25,1.00,3.00,7.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',7006,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5294363,0.00,2.00,0.00,0.00,3.00,NULL,0.00,1.00,3.00,201,NULL,207,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5294371,4.00,4.00,1.00,4.00,4.00,7.13,3.00,4.00,4.00,333,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',15544,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294380,9.00,9.00,7.00,7.00,10.00,10.88,7.00,6.00,8.00,103,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',49,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294401,3.00,2.00,1.00,4.00,6.00,NULL,2.00,3.00,1.00,338,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294410,4.00,6.00,2.00,3.00,5.00,6.00,1.00,2.00,4.00,502,NULL,NULL,'SANTA LUZIA','CAPÃO CANOA','RS',15313,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5294428,4.00,3.00,3.00,4.00,3.00,NULL,0.00,1.00,4.00,103,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294436,5.00,7.00,2.00,7.00,5.00,9.75,4.00,5.00,5.00,303,NULL,NULL,'CENTRO','BIGUAÇU','SC',9347,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,653,'JARDIM MARAJOARA','PILAR SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5294452,5.00,5.00,2.00,2.00,6.00,6.75,4.00,4.00,5.00,225,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14959,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294460,3.00,3.00,1.00,3.00,5.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'OURO VERDE','CPO LARGO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5294479,4.00,5.00,4.00,2.00,4.00,4.50,3.00,2.00,5.00,316,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294487,6.00,5.00,2.00,5.00,7.00,8.25,1.00,5.00,6.00,338,NULL,NULL,'SERTÃO','STO AMARO IMPERATRIZ','SC',10873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294495,4.00,6.00,2.00,3.00,5.00,9.00,3.00,4.00,6.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',14179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294509,5.00,5.00,2.00,3.00,1.00,NULL,0.00,2.00,5.00,202,NULL,203,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294517,8.00,7.00,7.00,6.00,8.00,9.00,5.00,3.00,7.00,103,NULL,NULL,'TIRADENTES','CPO GRANDE','MS',1733,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5294525,0.00,0.00,0.00,1.00,0.00,NULL,1.00,0.00,2.00,502,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294533,7.00,4.00,3.00,8.00,5.00,9.75,3.00,3.00,4.00,601,NULL,208,'FLORESTA','JOINVILLE','SC',10758,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5294541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5294568,4.00,4.00,2.00,4.00,9.00,10.50,2.00,3.00,3.00,104,NULL,NULL,'BELA VISTA','GASPAR','SC',11888,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5294592,3.00,5.00,0.00,4.00,4.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'INDUSTRIAL NORTE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5294606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5294614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5294630,3.00,3.00,1.00,4.00,6.00,8.25,5.00,2.00,5.00,211,NULL,653,'STO ANTONIO DE PÁDUA','TUBARÃO','SC',15511,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5294649,7.00,6.00,5.00,6.00,10.00,11.25,1.00,4.00,5.00,201,NULL,216,'CENTRO','S MIGUEL OESTE','SC',3862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294665,2.00,7.00,5.00,3.00,5.00,10.13,2.00,2.00,4.00,317,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',12696,60,NULL,NULL,NULL,NULL,NULL,4,6),(20,5294673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'PRIMO TACCA','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5294681,8.00,5.00,5.00,5.00,7.00,6.75,4.00,1.00,5.00,214,NULL,215,'ESTADIO','RIO CLARO','SP',7252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294690,6.00,3.00,0.00,6.00,6.00,6.00,3.00,2.00,3.00,3,NULL,NULL,'MULDE','TIMBÓ','SC',13419,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5294703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'SÃO JOÃO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5294720,5.00,8.00,2.00,2.00,2.00,NULL,3.00,1.00,2.00,101,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294738,8.00,7.00,3.00,7.00,8.00,11.25,3.00,5.00,5.00,303,NULL,NULL,'JARDIM ELITE','MOGI MIRIM','SP',3127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294746,9.00,6.00,7.00,8.00,9.00,11.25,5.00,4.00,7.00,214,NULL,212,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',1233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294770,1.00,4.00,2.00,4.00,3.00,NULL,2.00,2.00,3.00,317,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294789,9.00,7.00,3.00,6.00,10.00,9.75,6.00,7.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1172,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5294797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA HELENA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5294800,3.00,5.00,4.00,4.00,6.00,8.25,4.00,2.00,3.00,301,NULL,NULL,'CENTRO','FLORES CUNHA','RS',13100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294819,5.00,4.00,4.00,3.00,8.00,7.88,3.00,6.00,6.00,427,NULL,424,'RIO VERMELHO','FLORIANÓPOLIS','SC',12110,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294827,6.00,5.00,2.00,5.00,7.00,6.00,2.00,4.00,4.00,453,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',12410,85,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294835,3.00,6.00,3.00,3.00,4.00,6.75,2.00,4.00,2.00,202,NULL,235,'ENTRE RIOS','CACHOEIRINHA','PR',14612,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5294843,3.00,3.00,0.00,2.00,4.00,NULL,1.00,3.00,5.00,302,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294851,9.00,4.00,0.00,6.00,5.00,8.25,2.00,3.00,5.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11493,467,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA MATTEO BEI','S VICENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5294878,3.00,7.00,2.00,2.00,7.00,9.00,5.00,3.00,4.00,302,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294886,3.00,5.00,0.00,4.00,5.00,NULL,1.00,2.00,5.00,302,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294894,9.00,6.00,4.00,7.00,8.00,9.75,6.00,5.00,6.00,220,NULL,214,'CENTRO','CÁCERES','MT',2214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294932,3.00,5.00,4.00,7.00,8.00,7.50,2.00,4.00,3.00,201,NULL,207,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',12951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294940,5.00,4.00,1.00,7.00,6.00,9.75,2.00,3.00,6.00,333,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',10481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5294959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5294967,4.00,5.00,1.00,3.00,8.00,NULL,2.00,3.00,2.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294983,6.00,6.00,2.00,3.00,8.00,10.50,2.00,5.00,3.00,317,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',10457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5294991,8.00,7.00,2.00,6.00,7.00,10.50,4.00,4.00,5.00,303,NULL,NULL,'CENTRO','STA MARIA','RS',5375,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VERGUEIRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5295017,9.00,8.00,5.00,7.00,9.00,9.75,7.00,6.00,8.00,103,NULL,NULL,'BOMFIM','PTO ALEGRE','RS',928,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5295025,5.00,5.00,3.00,4.00,5.00,6.75,1.00,3.00,5.00,317,NULL,NULL,'JAQUEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295033,4.00,4.00,1.00,5.00,3.00,NULL,0.00,2.00,4.00,203,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295041,5.00,5.00,4.00,2.00,5.00,6.75,3.00,3.00,4.00,234,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',14967,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295050,9.00,6.00,5.00,7.00,9.00,8.63,7.00,4.00,6.00,202,NULL,220,'VILA LEOPOLDINA','S PAULO','SP',2001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295068,3.00,4.00,2.00,5.00,4.00,NULL,0.00,2.00,2.00,309,NULL,NULL,'CENTRO','ITAIÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295084,5.00,5.00,0.00,4.00,7.00,NULL,3.00,2.00,4.00,108,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295092,4.00,8.00,2.00,7.00,9.00,7.13,2.00,3.00,2.00,207,NULL,211,'COQUEIROS','FLORIANÓPOLIS','SC',11124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295106,6.00,6.00,1.00,7.00,9.00,8.63,3.00,4.00,5.00,450,NULL,NULL,'CENTRO','CARLOS BARBOSA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5295114,6.00,5.00,1.00,1.00,3.00,NULL,0.00,3.00,5.00,303,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295122,9.00,4.00,3.00,7.00,6.00,11.63,3.00,5.00,4.00,103,NULL,NULL,'CAMPOS ELISEOS','S PAULO','SP',6260,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5295130,3.00,5.00,1.00,4.00,4.00,NULL,0.00,3.00,1.00,453,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295149,1.00,3.00,0.00,4.00,3.00,NULL,2.00,0.00,2.00,201,NULL,207,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5295173,4.00,5.00,1.00,3.00,6.00,NULL,3.00,1.00,2.00,103,NULL,NULL,'TRES PALMEIRAS','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5295181,8.00,7.00,5.00,4.00,9.00,6.38,4.00,6.00,5.00,203,NULL,214,'TAPAJÓS','INDAIAL','SC',5105,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5295190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VILA BRANDINA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5295203,4.00,6.00,3.00,4.00,8.00,8.63,2.00,3.00,5.00,103,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',10501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295211,8.00,7.00,3.00,7.00,10.00,9.75,1.00,5.00,4.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',4401,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5295220,6.00,5.00,2.00,7.00,5.00,8.63,1.00,4.00,3.00,444,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',10960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295238,8.00,7.00,3.00,4.00,8.00,11.63,3.00,6.00,6.00,201,NULL,207,'PANTANAL','FLORIANÓPOLIS','SC',3116,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295246,3.00,3.00,4.00,1.00,3.00,NULL,3.00,0.00,1.00,316,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295254,6.00,3.00,1.00,7.00,8.00,7.88,2.00,4.00,4.00,103,NULL,NULL,'JARDIM PINHAIS','PINHAIS','PR',10950,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5295262,3.00,1.00,3.00,4.00,3.00,NULL,4.00,2.00,1.00,310,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295270,2.00,5.00,4.00,4.00,5.00,7.88,1.00,2.00,4.00,207,NULL,233,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295289,4.00,6.00,3.00,5.00,7.00,10.13,1.00,5.00,6.00,201,NULL,207,'CENTRO','CAIBI','SC',7509,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5295297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5295300,6.00,7.00,4.00,4.00,5.00,6.00,4.00,5.00,4.00,103,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',11969,3412,NULL,NULL,NULL,NULL,NULL,2,3),(20,5295319,4.00,2.00,1.00,1.00,5.00,NULL,2.00,1.00,4.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295327,4.00,5.00,1.00,6.00,6.00,7.50,2.00,3.00,4.00,303,NULL,NULL,'TERESÓPOLIS','PTO ALEGRE','RS',12627,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5295335,3.00,4.00,0.00,3.00,2.00,NULL,1.00,1.00,3.00,404,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295343,8.00,8.00,3.00,5.00,6.00,7.50,7.00,5.00,5.00,103,NULL,NULL,'BATEL','CURITIBA','PR',3251,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5295351,5.00,4.00,2.00,6.00,3.00,NULL,2.00,0.00,5.00,211,NULL,215,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5295360,6.00,5.00,2.00,7.00,10.00,10.50,3.00,4.00,4.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295378,8.00,6.00,8.00,6.00,8.00,9.75,7.00,7.00,7.00,103,NULL,NULL,'OPERARIA','MARINGÁ','PR',1122,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5295386,9.00,8.00,3.00,8.00,8.00,9.75,2.00,3.00,7.00,103,NULL,NULL,'RUI BARBOSA','MONTENEGRO','RS',3412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295394,6.00,6.00,4.00,6.00,9.00,9.00,3.00,1.00,5.00,103,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',8544,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5295408,6.00,7.00,4.00,7.00,7.00,7.13,4.00,5.00,5.00,203,NULL,601,'CENTRO','CHAPECÓ','SC',4570,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5295416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5295424,7.00,6.00,5.00,6.00,8.00,8.63,6.00,6.00,7.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',2260,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295432,3.00,5.00,1.00,3.00,5.00,NULL,1.00,2.00,2.00,208,NULL,235,'REAL PARK','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5295440,5.00,5.00,0.00,6.00,5.00,8.63,1.00,2.00,3.00,208,NULL,NULL,'PEREQUE','PTO BELO','SC',16162,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5295459,6.00,7.00,2.00,6.00,6.00,8.25,4.00,1.00,6.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295467,3.00,4.00,3.00,4.00,5.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5295475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM ADALGISA','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5295483,7.00,6.00,3.00,4.00,4.00,8.63,4.00,2.00,5.00,319,NULL,NULL,'CENTRO','TAQUARI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295491,8.00,6.00,5.00,5.00,9.00,9.00,6.00,3.00,7.00,201,NULL,207,'SÃO SEBASTIÃO','PALHOÇA','SC',2771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5295513,7.00,8.00,4.00,5.00,8.00,10.50,4.00,5.00,5.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',5305,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5295521,6.00,5.00,0.00,6.00,7.00,9.75,1.00,2.00,5.00,309,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295530,6.00,5.00,1.00,3.00,5.00,7.88,2.00,2.00,3.00,201,NULL,216,'SUMARÉ','RIO SUL','SC',15299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295548,4.00,7.00,2.00,2.00,6.00,4.88,2.00,2.00,4.00,203,NULL,220,'BARRO BRANCO','MORRETES','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5295556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,233,'SALTO','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,'S','S','S',5,7),(20,5295564,5.00,8.00,6.00,4.00,7.00,7.88,3.00,2.00,7.00,216,NULL,220,'ALTO DA BOA VISTA','S PAULO','SP',5971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295572,7.00,5.00,1.00,4.00,4.00,10.88,0.00,2.00,3.00,103,NULL,NULL,'BOQUEIRAO','PASSO FUNDO','RS',14274,3665,NULL,NULL,NULL,NULL,NULL,2,4),(20,5295580,0.00,1.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5295599,4.00,6.00,0.00,6.00,6.00,9.00,0.00,5.00,7.00,5,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',12631,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5295602,8.00,7.00,5.00,7.00,9.00,6.75,3.00,6.00,5.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295610,8.00,6.00,2.00,8.00,11.00,7.50,5.00,8.00,6.00,601,NULL,235,'ITAUM','JOINVILLE','SC',2361,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5295637,9.00,6.00,5.00,7.00,8.00,8.63,7.00,5.00,8.00,103,NULL,NULL,'VILA RIBEIRO','ASSIS','SP',1775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295645,7.00,7.00,2.00,7.00,9.00,9.00,3.00,6.00,6.00,316,NULL,NULL,'ASILO','BLUMENAU','SC',4359,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5295653,3.00,7.00,1.00,6.00,8.00,7.50,1.00,3.00,6.00,103,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',11792,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5295661,6.00,4.00,3.00,4.00,7.00,9.00,4.00,5.00,6.00,102,NULL,NULL,'PORTÃO','CURITIBA','PR',7584,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5295670,4.00,6.00,2.00,5.00,4.00,9.00,1.00,3.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14720,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5295696,4.00,5.00,2.00,6.00,4.00,7.50,0.00,2.00,2.00,420,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15397,135,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295718,5.00,7.00,4.00,2.00,4.00,6.75,2.00,5.00,5.00,404,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',11586,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MORRETINHO','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5295734,5.00,7.00,4.00,4.00,5.00,6.00,0.00,2.00,2.00,208,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',16200,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295742,5.00,6.00,1.00,7.00,8.00,9.00,2.00,3.00,4.00,340,NULL,NULL,'CENTRO','STO ANTÔNIO PLATINA','PR',11357,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5295750,3.00,4.00,0.00,4.00,1.00,NULL,1.00,3.00,2.00,109,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295769,6.00,6.00,2.00,4.00,5.00,7.50,3.00,5.00,0.00,340,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295777,6.00,7.00,4.00,7.00,6.00,9.00,4.00,3.00,3.00,203,NULL,214,'CAPOEIRAS','FLORIANÓPOLIS','SC',9254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295785,3.00,4.00,2.00,7.00,7.00,8.25,2.00,4.00,1.00,424,NULL,427,'RIBEIRÃO FRESCO','BLUMENAU','SC',15338,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5295793,0.00,3.00,1.00,3.00,5.00,NULL,2.00,1.00,1.00,337,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295807,3.00,6.00,4.00,2.00,5.00,NULL,1.00,1.00,2.00,302,NULL,NULL,'POÇO FUNDO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295815,4.00,5.00,2.00,4.00,4.00,NULL,2.00,1.00,1.00,5,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5295823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','IVAIPORÃ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5295831,2.00,2.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,444,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295858,9.00,4.00,4.00,2.00,9.00,10.13,5.00,4.00,7.00,103,NULL,NULL,'JARDIM VERGUEIRO','SOROCABA','SP',5545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295866,6.00,6.00,0.00,2.00,4.00,NULL,2.00,1.00,1.00,333,NULL,NULL,'PRAIA DAS PALMEIRAS','CARAGUATATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295874,4.00,4.00,3.00,4.00,7.00,11.63,2.00,4.00,4.00,208,NULL,238,'SERRARIA','S JOSÉ','SC',11450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295882,3.00,4.00,0.00,2.00,5.00,NULL,1.00,3.00,4.00,424,NULL,NULL,'CENTRO DE PALHOÇA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5295890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5295912,7.00,7.00,6.00,7.00,8.00,6.00,6.00,4.00,5.00,235,NULL,201,'ITOUPAVA NORTE','BLUMENAU','SC',3647,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5295920,5.00,6.00,1.00,7.00,9.00,11.25,0.00,4.00,6.00,328,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PLANALTO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5295947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','QUEDAS IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5295955,3.00,4.00,1.00,4.00,4.00,NULL,0.00,1.00,2.00,9,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5295963,6.00,9.00,3.00,8.00,8.00,9.38,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',4700,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5295971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'INTERIOR','PALMITOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5295980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5295998,6.00,7.00,7.00,7.00,7.00,9.00,5.00,5.00,7.00,103,NULL,NULL,'BATEL','CURITIBA','PR',2149,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5296005,6.00,5.00,0.00,4.00,9.00,9.75,3.00,6.00,4.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',9099,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5296013,3.00,3.00,2.00,2.00,5.00,NULL,4.00,2.00,0.00,103,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5296021,4.00,1.00,0.00,1.00,5.00,NULL,1.00,3.00,1.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5296030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5296048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'ALTO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5296056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5296064,6.00,6.00,3.00,5.00,8.00,8.63,3.00,4.00,5.00,215,NULL,207,'CENTRO','S JOSÉ','SC',6872,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5296072,5.00,7.00,2.00,6.00,5.00,7.13,1.00,3.00,5.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296080,1.00,7.00,3.00,6.00,7.00,7.13,3.00,1.00,4.00,201,NULL,207,'CEARÁ','CRICIÚMA','SC',15490,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5296099,4.00,5.00,1.00,3.00,5.00,6.00,1.00,3.00,3.00,601,NULL,NULL,'AMÉRICA','JOINVILLE','SC',16214,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5296102,7.00,8.00,6.00,5.00,8.00,9.00,7.00,5.00,6.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',1997,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5296110,3.00,6.00,1.00,5.00,5.00,7.88,4.00,1.00,4.00,301,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',14348,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5296129,8.00,7.00,4.00,7.00,10.00,12.00,2.00,3.00,6.00,203,NULL,207,'VILA MOEMA','TUBARÃO','SC',2982,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5296137,6.00,6.00,2.00,5.00,6.00,8.25,0.00,5.00,4.00,5,NULL,NULL,'CENTRO','IMBITUBA','SC',10659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5296145,7.00,7.00,4.00,6.00,8.00,8.63,5.00,4.00,6.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5296161,1.00,6.00,2.00,2.00,3.00,NULL,1.00,1.00,3.00,203,NULL,220,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5296188,5.00,5.00,4.00,4.00,5.00,6.00,1.00,4.00,2.00,652,NULL,653,'SANTA TEREZA','S PEDRO ALCÂNTARA','SC',16109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5296196,5.00,6.00,7.00,7.00,7.00,9.75,3.00,5.00,5.00,213,NULL,201,'MATO DENTRO','ATIBAIA','SP',4508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5296218,3.00,6.00,1.00,3.00,2.00,NULL,4.00,3.00,1.00,404,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5296226,8.00,8.00,8.00,5.00,10.00,9.75,8.00,7.00,7.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5296234,4.00,5.00,0.00,6.00,7.00,7.50,1.00,2.00,4.00,302,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',14109,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5296242,3.00,4.00,2.00,5.00,6.00,7.50,1.00,3.00,4.00,501,NULL,NULL,'CENTRO','BELA V PARAÍSO','PR',15687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296250,8.00,7.00,3.00,7.00,7.00,8.25,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','TIMBÓ','SC',8579,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5296277,2.00,0.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,16),(20,5296285,4.00,7.00,0.00,7.00,5.00,7.50,3.00,1.00,3.00,235,NULL,653,'PINHEIRINHO','CRICIÚMA','SC',15081,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5296293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'GETHAL','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5296307,4.00,5.00,2.00,2.00,3.00,NULL,1.00,1.00,2.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5296315,3.00,5.00,3.00,4.00,4.00,7.50,1.00,3.00,2.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',15613,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5296323,8.00,6.00,4.00,7.00,10.00,8.63,5.00,4.00,6.00,202,NULL,201,'VILA MOEMA','TUBARÃO','SC',3834,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5296331,6.00,8.00,4.00,5.00,6.00,10.88,1.00,3.00,4.00,203,NULL,238,'REAL PARQUE','S JOSÉ','SC',9160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296358,7.00,4.00,5.00,4.00,3.00,NULL,4.00,2.00,3.00,203,NULL,220,'ZONA RURAL','TUNÁPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5296366,2.00,5.00,2.00,2.00,4.00,NULL,0.00,2.00,4.00,302,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296374,6.00,6.00,2.00,6.00,5.00,9.75,3.00,6.00,6.00,3,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',6769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296382,7.00,8.00,4.00,4.00,4.00,6.75,4.00,4.00,5.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5296390,5.00,8.00,3.00,6.00,6.00,7.50,1.00,2.00,6.00,318,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',11084,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5296404,4.00,8.00,2.00,2.00,5.00,6.75,3.00,6.00,6.00,319,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',11962,208,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296412,8.00,7.00,2.00,6.00,7.00,9.00,1.00,4.00,3.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',6403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296420,5.00,8.00,6.00,6.00,7.00,7.88,1.00,4.00,6.00,201,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',7877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'SANTO ANTONIO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5296455,6.00,4.00,2.00,5.00,4.00,6.75,1.00,3.00,2.00,302,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296463,4.00,6.00,2.00,6.00,4.00,6.75,1.00,4.00,2.00,203,NULL,NULL,'PRAIA GRANDE','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5296471,5.00,6.00,1.00,2.00,2.00,NULL,0.00,2.00,3.00,331,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296480,8.00,9.00,4.00,7.00,9.00,9.00,4.00,5.00,7.00,301,NULL,NULL,'VILA ALEXANDRIA','S PAULO','SP',2156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296498,10.00,8.00,5.00,6.00,6.00,6.75,3.00,7.00,7.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',3513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296501,1.00,5.00,1.00,3.00,7.00,NULL,2.00,2.00,3.00,207,NULL,201,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5296536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,213,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5296544,6.00,3.00,2.00,2.00,5.00,NULL,1.00,3.00,1.00,5,NULL,NULL,'SAO JOSE','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5296552,1.00,2.00,2.00,2.00,4.00,NULL,0.00,0.00,3.00,326,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296560,6.00,5.00,6.00,7.00,5.00,NULL,0.00,4.00,8.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5296579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5296587,3.00,4.00,4.00,3.00,7.00,9.00,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','STA HELENA','PR',14904,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5296595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PIRATININGA','NITERÓI','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5296609,5.00,6.00,2.00,7.00,7.00,7.13,4.00,3.00,4.00,203,NULL,601,'CRUZEIRO DO SUL','JOAÇABA','SC',9760,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5296617,2.00,4.00,0.00,4.00,6.00,NULL,1.00,2.00,2.00,207,NULL,215,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296625,6.00,4.00,0.00,5.00,3.00,NULL,2.00,0.00,2.00,201,NULL,202,'CAMBUI','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296633,9.00,4.00,3.00,7.00,5.00,10.13,0.00,4.00,6.00,216,NULL,203,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296641,4.00,3.00,2.00,6.00,5.00,10.13,1.00,2.00,4.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296650,4.00,4.00,0.00,5.00,5.00,7.50,1.00,3.00,4.00,9,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5296668,6.00,8.00,5.00,7.00,9.00,9.00,4.00,4.00,7.00,303,NULL,NULL,'CENTRO','TIJUCAS','SC',2951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296676,5.00,5.00,5.00,4.00,9.00,9.75,3.00,4.00,7.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6740,2591,NULL,NULL,NULL,NULL,NULL,2,1),(20,5296684,4.00,6.00,5.00,7.00,6.00,9.75,2.00,3.00,3.00,420,NULL,NULL,'CENTRO','LIMEIRA','SP',10835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296692,6.00,6.00,1.00,6.00,7.00,9.75,3.00,1.00,4.00,108,NULL,NULL,'TARUMÃ','CURITIBA','PR',8480,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5296706,5.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,4.00,104,NULL,NULL,'GRUTA','S LUIZ GONZAGA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296714,3.00,5.00,1.00,2.00,4.00,NULL,1.00,3.00,2.00,203,NULL,208,'CENTRO','MARACAJU','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5296722,5.00,4.00,6.00,3.00,5.00,9.75,4.00,2.00,2.00,203,NULL,653,'PINHEIRINHO DO MEIO','JACINTO MACHADO','SC',11492,794,NULL,NULL,NULL,NULL,NULL,4,15),(20,5296730,2.00,6.00,0.00,6.00,8.00,NULL,1.00,3.00,2.00,320,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5296749,7.00,6.00,5.00,4.00,6.00,9.00,2.00,1.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5296757,4.00,5.00,0.00,4.00,7.00,NULL,3.00,1.00,1.00,201,NULL,212,'VILA PRUDENTE','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','SANANDUVA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5296781,3.00,3.00,0.00,2.00,2.00,NULL,1.00,2.00,3.00,502,NULL,NULL,'TENENTE','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5296790,3.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,3.00,317,NULL,NULL,'SAO FRANCISCO DE ASS','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5296803,8.00,6.00,5.00,7.00,5.00,7.13,3.00,7.00,3.00,208,NULL,235,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',7935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296811,6.00,5.00,1.00,1.00,2.00,NULL,1.00,3.00,3.00,238,NULL,208,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5296820,9.00,5.00,0.00,7.00,8.00,10.13,4.00,5.00,7.00,103,NULL,NULL,'RIO BRANCO','CAXIAS SUL','RS',4482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296838,3.00,5.00,0.00,2.00,2.00,NULL,2.00,1.00,1.00,652,NULL,653,'SAO JOSE','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5296854,5.00,7.00,3.00,7.00,7.00,7.88,3.00,4.00,4.00,301,NULL,NULL,'MICHEL','CRICIÚMA','SC',8855,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5296862,3.00,3.00,2.00,6.00,6.00,7.50,4.00,2.00,4.00,452,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',14808,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5296870,6.00,5.00,2.00,5.00,7.00,6.75,2.00,5.00,5.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5296889,6.00,6.00,2.00,5.00,6.00,10.88,0.00,3.00,2.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5296897,9.00,8.00,6.00,7.00,9.00,10.13,4.00,7.00,6.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','CORBÉLIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5296919,5.00,7.00,3.00,5.00,8.00,9.38,1.00,2.00,3.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11720,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5296927,0.00,3.00,1.00,4.00,4.00,NULL,0.00,1.00,2.00,201,NULL,601,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5296935,2.00,3.00,0.00,1.00,3.00,NULL,0.00,2.00,2.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5296943,6.00,6.00,1.00,5.00,8.00,9.38,3.00,5.00,2.00,102,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',10617,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5296951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(20,5296978,4.00,5.00,3.00,4.00,7.00,8.25,3.00,4.00,5.00,444,NULL,NULL,'SERRARIA','S JOSÉ','SC',14075,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5296986,8.00,7.00,3.00,7.00,9.00,8.25,3.00,3.00,5.00,208,NULL,238,'PROGRESSO','LAGUNA','SC',6191,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5296994,4.00,6.00,0.00,5.00,6.00,7.50,1.00,5.00,5.00,102,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14744,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297001,7.00,7.00,4.00,7.00,7.00,8.63,7.00,4.00,6.00,3,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',4527,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5297010,4.00,6.00,2.00,4.00,4.00,8.63,2.00,2.00,4.00,208,NULL,238,'BELA VISTA','PALHOÇA','SC',15277,437,NULL,390,NULL,NULL,NULL,2,1),(20,5297028,6.00,3.00,0.00,6.00,10.00,NULL,2.00,5.00,5.00,301,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5297036,5.00,4.00,1.00,4.00,2.00,NULL,3.00,1.00,1.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297044,1.00,2.00,1.00,3.00,4.00,NULL,0.00,1.00,3.00,420,NULL,NULL,'BREJARÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297052,7.00,5.00,2.00,7.00,6.00,10.13,1.00,5.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5297079,6.00,4.00,0.00,2.00,4.00,NULL,2.00,3.00,1.00,238,NULL,235,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297095,2.00,5.00,1.00,4.00,4.00,NULL,2.00,2.00,1.00,238,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297109,3.00,8.00,2.00,5.00,8.00,9.38,3.00,3.00,6.00,302,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',8569,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297117,7.00,5.00,4.00,7.00,7.00,12.00,4.00,3.00,5.00,203,NULL,201,'JARDIM SOCIAL','PALOTINA','PR',3629,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5297125,6.00,3.00,2.00,4.00,6.00,6.38,3.00,2.00,3.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15389,99,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297133,7.00,5.00,5.00,7.00,3.00,NULL,1.00,1.00,1.00,202,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5297141,8.00,7.00,3.00,6.00,6.00,8.25,2.00,5.00,5.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',8020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5297150,3.00,5.00,4.00,5.00,5.00,8.63,3.00,3.00,3.00,201,NULL,212,'JARDIM PAULISTA','CAMPINA G SUL','PR',13057,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5297168,9.00,6.00,1.00,8.00,10.00,8.63,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',3864,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5297176,4.00,5.00,2.00,3.00,3.00,NULL,2.00,3.00,4.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5297184,2.00,3.00,0.00,3.00,4.00,NULL,0.00,1.00,4.00,333,NULL,NULL,'CENTRO','PALMAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5297192,4.00,2.00,1.00,3.00,3.00,NULL,4.00,3.00,2.00,203,NULL,220,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297206,8.00,7.00,7.00,6.00,7.00,7.88,7.00,3.00,6.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',3581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5297214,5.00,4.00,2.00,4.00,5.00,9.38,1.00,4.00,2.00,452,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297222,2.00,4.00,1.00,1.00,3.00,NULL,2.00,1.00,3.00,208,NULL,211,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297230,5.00,4.00,0.00,4.00,5.00,6.00,3.00,3.00,5.00,5,NULL,NULL,'PORTÃO','CURITIBA','PR',16050,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5297257,8.00,8.00,2.00,7.00,8.00,12.00,2.00,6.00,5.00,450,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6224,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297265,1.00,9.00,1.00,4.00,8.00,8.25,1.00,2.00,4.00,303,NULL,NULL,'GIOPPO','CAÇADOR','SC',12437,504,NULL,NULL,NULL,NULL,NULL,4,1),(20,5297273,1.00,5.00,0.00,5.00,6.00,NULL,0.00,2.00,4.00,5,NULL,NULL,'LUTZ','PALMEIRA MISSÕES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5297281,1.00,4.00,0.00,3.00,7.00,NULL,1.00,2.00,2.00,303,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297290,6.00,3.00,1.00,2.00,6.00,NULL,1.00,3.00,2.00,450,NULL,NULL,'ESTAÇÃO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5297303,4.00,5.00,1.00,4.00,4.00,NULL,1.00,3.00,3.00,424,NULL,427,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297311,7.00,7.00,6.00,7.00,9.00,9.00,4.00,6.00,4.00,2,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5297320,3.00,4.00,1.00,4.00,5.00,NULL,0.00,4.00,4.00,101,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297338,7.00,7.00,7.00,5.00,9.00,9.00,6.00,6.00,7.00,103,NULL,NULL,'NONOAI','PTO ALEGRE','RS',1817,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5297346,8.00,7.00,3.00,5.00,8.00,10.88,1.00,4.00,6.00,420,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6096,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5297354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5297362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5297370,6.00,5.00,1.00,4.00,4.00,8.63,1.00,2.00,3.00,9,NULL,NULL,'ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC',15903,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297389,7.00,8.00,5.00,5.00,6.00,7.88,5.00,5.00,6.00,104,NULL,NULL,'CENTRO','CHOPINZINHO','PR',4953,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5297400,4.00,3.00,0.00,3.00,6.00,NULL,1.00,1.00,6.00,404,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297419,7.00,8.00,0.00,5.00,6.00,7.13,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5903,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5297427,6.00,5.00,1.00,3.00,9.00,6.75,3.00,2.00,5.00,103,NULL,NULL,'INTERIOR','BARRA R AZUL','RS',11399,3349,NULL,NULL,NULL,NULL,NULL,2,4),(20,5297435,9.00,6.00,3.00,7.00,10.00,9.00,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2945,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5297443,2.00,4.00,2.00,3.00,0.00,NULL,0.00,4.00,0.00,316,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5297451,5.00,3.00,3.00,7.00,4.00,7.50,2.00,2.00,4.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5297478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5297486,4.00,6.00,5.00,4.00,8.00,9.38,2.00,4.00,3.00,336,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',9469,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5297494,8.00,8.00,6.00,5.00,7.00,8.25,6.00,4.00,7.00,203,NULL,214,'BOA PARADA','S PEDRO ALCÂNTARA','SC',2517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5297508,0.00,5.00,0.00,0.00,0.00,NULL,2.00,2.00,0.00,104,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(20,5297516,6.00,7.00,0.00,5.00,7.00,6.38,1.00,5.00,4.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',13476,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297524,4.00,4.00,1.00,5.00,5.00,6.75,2.00,3.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5297532,8.00,7.00,3.00,7.00,7.00,8.63,4.00,4.00,5.00,103,NULL,NULL,'SAGRADO CORAÇÃO','LAGES','SC',3770,NULL,NULL,NULL,NULL,NULL,NULL,5,9),(20,5297540,6.00,6.00,1.00,2.00,7.00,NULL,0.00,3.00,4.00,207,NULL,211,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297559,3.00,4.00,1.00,2.00,5.00,NULL,1.00,2.00,3.00,207,NULL,208,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5297567,8.00,7.00,2.00,5.00,6.00,9.38,0.00,4.00,4.00,207,NULL,238,'FLOR DE NÁPOLIS','S JOSÉ','SC',8991,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297575,5.00,0.00,1.00,7.00,8.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5297591,7.00,5.00,4.00,6.00,4.00,9.75,1.00,2.00,6.00,203,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5297605,4.00,6.00,5.00,4.00,5.00,7.88,3.00,4.00,4.00,207,NULL,201,'FUNDO CANOAS','RIO SUL','SC',11722,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5297613,8.00,8.00,5.00,5.00,10.00,8.25,8.00,6.00,9.00,104,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297621,7.00,8.00,5.00,7.00,9.00,8.63,2.00,4.00,6.00,303,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',5427,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5297630,6.00,7.00,4.00,6.00,5.00,10.13,3.00,4.00,8.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297648,6.00,5.00,1.00,4.00,6.00,9.38,2.00,2.00,4.00,5,NULL,NULL,'CENTRO','CANELINHA','SC',12778,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297656,8.00,7.00,6.00,7.00,9.00,7.50,5.00,5.00,7.00,203,NULL,208,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',1830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5297664,1.00,3.00,1.00,2.00,6.00,NULL,1.00,0.00,3.00,238,NULL,208,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5297672,9.00,7.00,7.00,7.00,9.00,10.50,7.00,7.00,7.00,103,NULL,NULL,'JARDIM SINHA','ITARARÉ','SP',339,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5297680,5.00,6.00,0.00,5.00,8.00,7.88,2.00,2.00,6.00,102,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5297699,9.00,7.00,7.00,7.00,9.00,9.38,5.00,5.00,8.00,103,NULL,NULL,'SANTO ANTONIO','LONDRINA','PR',1283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5297702,8.00,9.00,5.00,5.00,7.00,10.13,6.00,6.00,7.00,103,NULL,NULL,'CAMOBI','STA MARIA','RS',1451,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297710,8.00,8.00,4.00,7.00,8.00,10.13,2.00,4.00,6.00,103,NULL,NULL,'FLORES','STA ROSA','RS',3331,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5297729,2.00,2.00,5.00,5.00,3.00,NULL,0.00,1.00,2.00,5,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297737,8.00,7.00,3.00,7.00,9.00,8.63,5.00,5.00,7.00,103,NULL,NULL,'N SRA DAS GRAÇAS','CANOAS','RS',2586,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297745,8.00,7.00,3.00,7.00,6.00,7.13,5.00,4.00,4.00,238,NULL,208,'PRAIA COMPRIDA','S JOSÉ','SC',5979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5297753,5.00,6.00,3.00,4.00,3.00,NULL,5.00,3.00,3.00,653,NULL,214,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5297770,7.00,5.00,1.00,4.00,7.00,8.63,3.00,4.00,6.00,333,NULL,NULL,'SANTA MONICA','ROLÂNDIA','PR',8852,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5297788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5297796,3.00,6.00,0.00,0.00,2.00,NULL,1.00,2.00,2.00,101,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5297818,3.00,7.00,1.00,5.00,4.00,4.13,2.00,2.00,4.00,233,NULL,207,'CENTRO','INÁCIO MARTINS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5297826,6.00,7.00,5.00,5.00,5.00,9.00,2.00,2.00,4.00,324,NULL,NULL,'CENTRO','S JOSÉ','SC',12423,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297834,8.00,7.00,3.00,6.00,5.00,7.50,5.00,4.00,7.00,104,NULL,NULL,'AGRO CAFEEIRA','MATELÂNDIA','PR',5007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5297842,8.00,5.00,4.00,6.00,7.00,8.25,4.00,5.00,7.00,103,NULL,NULL,'LA SALLE','PATO BRANCO','PR',4240,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5297869,6.00,4.00,2.00,6.00,6.00,8.63,0.00,4.00,6.00,103,NULL,NULL,'CENTRO','STA BÁRBARA SUL','RS',9650,3116,NULL,NULL,NULL,NULL,NULL,4,9),(20,5297877,5.00,6.00,2.00,7.00,7.00,7.50,2.00,4.00,3.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5297893,6.00,6.00,0.00,6.00,6.00,7.13,3.00,5.00,2.00,104,NULL,NULL,'CENTRO','CAIBI','SC',13078,329,NULL,NULL,NULL,NULL,NULL,2,4),(20,5297907,7.00,8.00,4.00,4.00,8.00,8.63,6.00,7.00,4.00,201,NULL,213,'CAMPECHE','FLORIANÓPOLIS','SC',3500,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297923,3.00,4.00,2.00,2.00,5.00,8.25,3.00,2.00,5.00,316,NULL,NULL,'SERRARIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297931,9.00,6.00,5.00,4.00,7.00,9.00,5.00,6.00,3.00,326,NULL,NULL,'MAR GROSSO','LAGUNA','SC',6997,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5297940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5297958,9.00,3.00,2.00,7.00,7.00,10.13,0.00,3.00,7.00,104,NULL,NULL,'SANTA CATARINA','CAXIAS SUL','RS',7531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5297966,8.00,9.00,6.00,7.00,10.00,10.13,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','CORBÉLIA','PR',855,522,NULL,NULL,NULL,NULL,NULL,4,1),(20,5297974,6.00,7.00,3.00,4.00,6.00,7.13,2.00,4.00,3.00,317,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',13908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297982,4.00,3.00,3.00,2.00,6.00,NULL,2.00,1.00,4.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5297990,7.00,6.00,3.00,5.00,8.00,10.13,1.00,5.00,7.00,103,NULL,NULL,'SÃO CRISTÓVÃO','PASSO FUNDO','RS',5720,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5298008,4.00,7.00,2.00,5.00,6.00,10.13,2.00,4.00,6.00,207,NULL,201,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',10134,479,NULL,745,NULL,NULL,NULL,4,1),(20,5298016,6.00,5.00,3.00,7.00,7.00,8.63,5.00,2.00,6.00,220,NULL,208,'SANTA BÁRBARA','CRICIÚMA','SC',6935,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5298024,4.00,3.00,1.00,6.00,6.00,NULL,1.00,1.00,2.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298032,8.00,7.00,3.00,4.00,10.00,9.38,3.00,2.00,6.00,211,NULL,207,'CENTRO','TUBARÃO','SC',6445,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5298040,8.00,8.00,5.00,6.00,9.00,10.50,4.00,3.00,6.00,450,NULL,NULL,'PRAIA BRAVA','FLORIANÓPOLIS','SC',2903,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5298059,8.00,7.00,5.00,7.00,10.00,11.25,5.00,6.00,6.00,304,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',2148,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5298067,8.00,8.00,4.00,5.00,9.00,8.25,5.00,2.00,6.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',3291,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5298075,7.00,6.00,4.00,7.00,6.00,6.38,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',9404,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5298083,9.00,8.00,6.00,7.00,8.00,9.38,7.00,6.00,9.00,104,NULL,NULL,'BARRA DO RIO MOLHA','JARAGUÁ SUL','SC',838,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5298091,6.00,5.00,3.00,6.00,6.00,8.63,5.00,2.00,4.00,103,NULL,NULL,'CANTA GALO','RIO SUL','SC',10859,3284,NULL,NULL,NULL,NULL,NULL,2,16),(20,5298105,4.00,5.00,0.00,4.00,6.00,NULL,2.00,2.00,4.00,211,NULL,215,'VARGEM GRANDE','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298113,6.00,4.00,0.00,6.00,7.00,NULL,0.00,3.00,1.00,340,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5298130,7.00,8.00,3.00,8.00,6.00,9.75,5.00,7.00,6.00,5,NULL,NULL,'INDEPENDENCIA','CASCAVEL','PR',3083,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5298148,6.00,5.00,6.00,7.00,5.00,8.25,3.00,5.00,6.00,207,NULL,NULL,'CENRRO','LARANJEIRAS SUL','PR',6204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5298156,2.00,6.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,339,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298164,4.00,7.00,2.00,6.00,3.00,NULL,1.00,1.00,4.00,336,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5298172,5.00,3.00,2.00,0.00,6.00,NULL,1.00,2.00,3.00,453,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5298180,4.00,6.00,2.00,2.00,5.00,7.50,1.00,4.00,2.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298199,5.00,3.00,3.00,1.00,6.00,NULL,1.00,3.00,4.00,319,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5298202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,216,'VILA NOVA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5298210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5298229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BAIRRO COLINA','TUNÁPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5298237,6.00,5.00,4.00,4.00,6.00,7.13,4.00,3.00,5.00,203,NULL,220,'JARDIM GISELA','TOLEDO','PR',10294,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5298245,7.00,5.00,2.00,7.00,5.00,9.38,3.00,6.00,4.00,208,NULL,203,'FAZENDA','ITAJAÍ','SC',9908,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5298253,6.00,7.00,1.00,4.00,8.00,7.13,2.00,3.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13503,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298261,7.00,5.00,5.00,5.00,7.00,7.88,3.00,2.00,7.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',6222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5298270,8.00,7.00,3.00,6.00,5.00,8.63,6.00,5.00,6.00,201,NULL,212,'VELHA','BLUMENAU','SC',4389,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5298288,5.00,5.00,1.00,7.00,5.00,10.13,2.00,2.00,2.00,201,NULL,207,'COQUEIROS','FLORIANÓPOLIS','SC',14148,1005,NULL,675,NULL,NULL,NULL,4,1),(20,5298300,2.00,6.00,3.00,4.00,6.00,6.00,2.00,5.00,3.00,207,NULL,212,'PRAIA COMPRIDA','S JOSÉ','SC',15122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298318,3.00,5.00,5.00,6.00,4.00,6.00,2.00,1.00,2.00,404,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',14487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5298326,7.00,8.00,3.00,4.00,9.00,9.38,3.00,4.00,7.00,5,NULL,NULL,'JARDIM ELIZABETE','IÇARA','SC',6072,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5298334,9.00,5.00,3.00,4.00,6.00,7.88,2.00,5.00,5.00,216,NULL,201,'CABRAL','CURITIBA','PR',6613,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5298342,4.00,8.00,2.00,6.00,7.00,7.88,4.00,5.00,6.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5298350,2.00,5.00,2.00,4.00,4.00,4.88,3.00,3.00,4.00,501,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5298385,4.00,7.00,1.00,2.00,5.00,NULL,1.00,2.00,3.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298393,8.00,9.00,7.00,7.00,9.00,6.75,8.00,6.00,8.00,203,NULL,202,'CENTRO','ITAPEMA','SC',429,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5298407,3.00,4.00,2.00,2.00,7.00,9.75,2.00,3.00,6.00,3,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',14650,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298415,2.00,1.00,0.00,0.00,2.00,NULL,1.00,0.00,2.00,340,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5298423,5.00,6.00,1.00,6.00,7.00,11.25,2.00,6.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10146,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298431,9.00,7.00,5.00,6.00,9.00,10.50,2.00,3.00,8.00,103,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',2879,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5298440,5.00,5.00,1.00,4.00,5.00,8.25,2.00,2.00,2.00,203,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',16265,986,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298458,8.00,5.00,0.00,7.00,7.00,7.88,2.00,3.00,6.00,103,NULL,NULL,'GLÓRIA','STA ROSA','RS',8694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5298466,4.00,8.00,5.00,2.00,7.00,9.38,1.00,6.00,3.00,601,NULL,653,'ESTREITO','FLORIANÓPOLIS','SC',11662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5298474,9.00,7.00,5.00,7.00,11.00,10.13,8.00,7.00,7.00,207,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5298482,9.00,7.00,6.00,7.00,8.00,7.50,7.00,6.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',783,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5298490,5.00,6.00,2.00,4.00,9.00,7.50,3.00,4.00,5.00,319,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',11299,192,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298504,4.00,4.00,1.00,7.00,5.00,6.75,2.00,3.00,3.00,208,NULL,238,'CENTRO','CORUPÁ','SC',15415,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5298520,4.00,5.00,1.00,2.00,3.00,NULL,3.00,2.00,4.00,202,NULL,653,'SANGA DA AREIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5298539,5.00,4.00,1.00,3.00,7.00,10.13,1.00,5.00,3.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',14724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5298547,7.00,5.00,5.00,4.00,8.00,7.88,1.00,3.00,8.00,444,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',7418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298555,7.00,6.00,2.00,7.00,8.00,9.00,2.00,3.00,7.00,103,NULL,NULL,'NOSSA SENHORA APAREC','DOIS VIZINHOS','PR',6686,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5298563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SÃO CAETANO','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5298571,6.00,6.00,4.00,6.00,7.00,6.00,5.00,5.00,5.00,213,NULL,235,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298580,8.00,6.00,4.00,7.00,9.00,7.50,4.00,7.00,4.00,450,NULL,NULL,'CENTRO','GALVÃO','SC',4380,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5298598,6.00,7.00,3.00,6.00,5.00,7.50,3.00,6.00,7.00,601,NULL,NULL,'GLÓRIA','JOINVILLE','SC',8196,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5298601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5298610,4.00,6.00,1.00,5.00,7.00,9.75,2.00,3.00,4.00,339,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298628,4.00,7.00,4.00,5.00,6.00,8.25,2.00,2.00,6.00,601,NULL,212,'CENTRO','PATO BRANCO','PR',9930,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5298636,3.00,4.00,3.00,3.00,4.00,10.13,2.00,3.00,6.00,316,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BREJARU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5298652,5.00,1.00,0.00,3.00,3.00,NULL,1.00,2.00,1.00,215,NULL,NULL,'UNIVERSITÁRIO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298660,1.00,6.00,2.00,2.00,3.00,NULL,4.00,2.00,4.00,213,NULL,202,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298687,2.00,5.00,3.00,6.00,5.00,8.25,0.00,1.00,4.00,207,NULL,208,'ITOUPAVA CENTRAL','BLUMENAU','SC',15678,770,NULL,465,NULL,NULL,NULL,4,2),(20,5298695,4.00,6.00,3.00,3.00,6.00,9.38,2.00,4.00,2.00,326,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15090,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298709,0.00,3.00,2.00,1.00,3.00,NULL,1.00,4.00,4.00,234,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298717,5.00,7.00,4.00,3.00,1.00,NULL,5.00,4.00,6.00,316,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298725,9.00,8.00,7.00,7.00,7.00,9.75,6.00,4.00,9.00,103,NULL,NULL,'CENTRO','CARAZINHO','RS',875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5298733,8.00,8.00,3.00,7.00,10.00,12.00,6.00,6.00,7.00,303,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',1124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5298741,9.00,7.00,4.00,8.00,9.00,9.75,7.00,4.00,8.00,103,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',1328,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5298750,4.00,6.00,1.00,6.00,8.00,8.25,2.00,5.00,3.00,336,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',11758,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298768,2.00,6.00,1.00,5.00,4.00,NULL,0.00,0.00,2.00,318,NULL,NULL,'BREJARU II','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5298784,7.00,5.00,2.00,5.00,6.00,12.00,0.00,5.00,5.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',7602,2764,NULL,NULL,NULL,NULL,NULL,4,1),(20,5298792,1.00,2.00,0.00,3.00,1.00,NULL,3.00,3.00,0.00,101,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298806,6.00,4.00,0.00,5.00,6.00,8.25,1.00,3.00,5.00,104,NULL,NULL,'ALTO BOQUEIRÃO','CURITIBA','PR',13730,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5298814,7.00,7.00,2.00,7.00,7.00,6.75,1.00,3.00,5.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',8508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5298822,2.00,3.00,2.00,1.00,5.00,NULL,3.00,1.00,1.00,653,NULL,NULL,'NOVA BRASILIA','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5298830,2.00,5.00,0.00,1.00,6.00,NULL,3.00,3.00,0.00,451,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298849,5.00,6.00,4.00,6.00,8.00,6.00,3.00,6.00,5.00,220,NULL,202,'SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC',8574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5298857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CIDADE JARDIM','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5298865,2.00,4.00,1.00,6.00,5.00,NULL,2.00,2.00,1.00,303,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298873,5.00,6.00,1.00,5.00,7.00,10.13,3.00,4.00,3.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10419,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298881,3.00,5.00,0.00,2.00,3.00,NULL,0.00,3.00,2.00,301,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298890,2.00,4.00,0.00,6.00,6.00,NULL,0.00,0.00,3.00,420,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298903,6.00,6.00,1.00,4.00,4.00,6.75,2.00,3.00,2.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5298911,5.00,5.00,1.00,6.00,7.00,7.88,4.00,5.00,4.00,337,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10582,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298920,1.00,5.00,0.00,6.00,2.00,NULL,3.00,1.00,3.00,103,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5298938,9.00,9.00,6.00,8.00,10.00,10.88,6.00,5.00,7.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',333,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5298954,3.00,2.00,0.00,2.00,4.00,NULL,1.00,1.00,2.00,503,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5298962,4.00,4.00,3.00,3.00,6.00,NULL,1.00,2.00,2.00,415,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5298970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GUAÍRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5298989,3.00,5.00,0.00,4.00,4.00,6.00,4.00,3.00,3.00,102,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5298997,4.00,5.00,2.00,3.00,5.00,6.75,4.00,3.00,3.00,338,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5299012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,601,'CIDADE JARDIM','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5299039,4.00,7.00,3.00,5.00,8.00,10.13,4.00,4.00,5.00,450,NULL,NULL,'CENTRO','CHAPECÓ','SC',5627,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5299047,4.00,4.00,0.00,7.00,4.00,9.38,1.00,2.00,4.00,238,NULL,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5299055,8.00,7.00,4.00,6.00,8.00,9.75,0.00,3.00,6.00,103,NULL,NULL,'CENTRO','TIJUCAS','SC',7117,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5299063,6.00,8.00,6.00,7.00,8.00,8.63,3.00,6.00,6.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',3386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'TROPICAL','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5299080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5299098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5299101,3.00,7.00,5.00,4.00,8.00,9.75,2.00,4.00,5.00,302,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',8711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,1.00,1.00,415,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PARAÍSO','MTE ALTO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5299136,7.00,6.00,0.00,4.00,6.00,9.00,2.00,2.00,6.00,331,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',12272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299144,5.00,6.00,5.00,4.00,6.00,7.50,1.00,3.00,8.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',8485,NULL,NULL,NULL,NULL,NULL,NULL,3,8),(20,5299152,6.00,7.00,5.00,5.00,8.00,11.63,6.00,4.00,4.00,225,NULL,NULL,'HIGIENÓPOLIS','CATANDUVA','SP',3472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5299179,5.00,2.00,2.00,3.00,4.00,4.50,2.00,3.00,5.00,108,NULL,NULL,'CENTRO','IMARUÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5299195,8.00,7.00,4.00,7.00,10.00,10.13,4.00,6.00,7.00,450,NULL,NULL,'VILA MARIA','ASSIS','SP',1394,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5299209,4.00,7.00,1.00,1.00,3.00,NULL,1.00,3.00,3.00,203,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5299217,3.00,5.00,2.00,7.00,7.00,7.50,2.00,2.00,4.00,203,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',15454,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5299225,0.00,1.00,1.00,5.00,2.00,NULL,0.00,1.00,3.00,9,NULL,NULL,'VELHA PEQUENA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5299233,2.00,4.00,1.00,5.00,4.00,NULL,1.00,1.00,2.00,421,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5299241,5.00,5.00,2.00,3.00,7.00,10.88,2.00,1.00,3.00,319,NULL,NULL,'CIDADE NOVA','ITAJAÍ','SC',12646,228,NULL,NULL,NULL,NULL,NULL,2,6),(20,5299250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5299268,7.00,5.00,0.00,7.00,5.00,9.75,2.00,3.00,3.00,317,NULL,NULL,'IPIRANGA','S JOSÉ','SC',13153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299284,4.00,7.00,3.00,6.00,3.00,NULL,1.00,4.00,3.00,238,NULL,208,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299292,5.00,6.00,1.00,6.00,5.00,8.63,3.00,3.00,6.00,216,NULL,215,'JARDIM MALUCHE','BRUSQUE','SC',12392,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5299306,7.00,7.00,4.00,4.00,7.00,8.25,2.00,7.00,7.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6186,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5299314,2.00,5.00,1.00,3.00,6.00,NULL,2.00,0.00,3.00,302,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299322,2.00,4.00,1.00,5.00,3.00,NULL,0.00,2.00,1.00,104,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299330,3.00,5.00,0.00,4.00,7.00,8.63,3.00,2.00,4.00,316,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299349,2.00,3.00,0.00,3.00,0.00,NULL,4.00,2.00,1.00,203,NULL,NULL,'JARDIM HORIZONTE','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299357,2.00,5.00,3.00,4.00,4.00,8.25,3.00,0.00,4.00,108,NULL,NULL,'CENTRO','CPO ERÊ','SC',15796,304,NULL,NULL,NULL,NULL,NULL,4,4),(20,5299373,6.00,7.00,1.00,4.00,6.00,6.38,3.00,1.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',12609,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5299381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'VILA NOVA','PTO BELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5299390,7.00,6.00,4.00,4.00,8.00,6.00,1.00,5.00,6.00,201,NULL,202,'CENTRO','CAÇADOR','SC',7206,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5299403,8.00,8.00,5.00,5.00,7.00,9.38,6.00,5.00,6.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299411,8.00,6.00,0.00,6.00,8.00,10.88,4.00,5.00,6.00,103,NULL,NULL,'UVARANAS','PNT GROSSA','PR',3946,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5299420,6.00,5.00,3.00,3.00,6.00,9.00,4.00,2.00,6.00,201,NULL,203,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5299438,3.00,5.00,0.00,3.00,6.00,NULL,0.00,1.00,1.00,104,NULL,NULL,'CENTRO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5299454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5299470,8.00,7.00,4.00,5.00,9.00,8.25,5.00,3.00,7.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',3801,1786,NULL,NULL,NULL,NULL,NULL,2,4),(20,5299500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','BARRACÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5299519,3.00,4.00,0.00,5.00,3.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'BELA VISTA','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5299527,6.00,3.00,3.00,5.00,2.00,NULL,2.00,3.00,3.00,203,NULL,202,'MORRO DO FABRICIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299535,4.00,5.00,3.00,4.00,4.00,7.88,0.00,4.00,2.00,216,NULL,203,'SANTA TEREZINHA','PIRACICABA','SP',15954,586,NULL,970,NULL,NULL,NULL,4,1),(20,5299543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5299551,5.00,6.00,3.00,2.00,8.00,6.75,4.00,3.00,2.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14518,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299578,5.00,5.00,1.00,5.00,8.00,NULL,0.00,3.00,0.00,309,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299586,3.00,3.00,0.00,1.00,3.00,NULL,5.00,2.00,4.00,421,NULL,429,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299594,8.00,7.00,3.00,7.00,9.00,12.00,6.00,3.00,5.00,203,NULL,233,'CAPOEIRAS','FLORIANÓPOLIS','SC',2835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299608,5.00,5.00,2.00,6.00,7.00,9.38,0.00,3.00,2.00,317,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299616,3.00,4.00,0.00,5.00,5.00,NULL,0.00,0.00,3.00,104,NULL,NULL,'JARDIM CIDADE FLORIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299624,6.00,7.00,3.00,6.00,9.00,9.00,1.00,5.00,5.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',5585,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5299659,3.00,4.00,0.00,2.00,5.00,NULL,3.00,4.00,3.00,453,NULL,NULL,'CENTRO','ILHOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5299667,3.00,6.00,1.00,3.00,8.00,NULL,1.00,2.00,2.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299675,8.00,6.00,1.00,6.00,6.00,9.00,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','PINHAIS','PR',8951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299683,3.00,6.00,4.00,4.00,3.00,NULL,2.00,4.00,4.00,220,NULL,203,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299691,4.00,5.00,0.00,6.00,7.00,NULL,1.00,1.00,2.00,453,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299705,9.00,9.00,5.00,7.00,9.00,8.63,6.00,5.00,6.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',1089,647,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299713,3.00,5.00,3.00,5.00,3.00,NULL,2.00,2.00,4.00,340,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299721,1.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5299730,2.00,4.00,2.00,2.00,4.00,NULL,1.00,0.00,3.00,426,NULL,429,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299748,3.00,4.00,3.00,3.00,5.00,NULL,2.00,2.00,2.00,501,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5299756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5299764,5.00,7.00,1.00,4.00,4.00,9.00,2.00,4.00,2.00,653,NULL,652,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5299772,8.00,8.00,7.00,8.00,8.00,8.63,7.00,6.00,7.00,203,NULL,212,'RIO TAVARES','FLORIANÓPOLIS','SC',476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299799,4.00,5.00,5.00,4.00,5.00,7.13,2.00,1.00,3.00,339,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299802,8.00,8.00,8.00,3.00,9.00,9.00,6.00,6.00,8.00,103,NULL,NULL,'CENTRO','BARRA VELHA','SC',1022,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5299810,7.00,8.00,8.00,6.00,10.00,6.75,6.00,4.00,7.00,203,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',2344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299829,2.00,4.00,2.00,3.00,4.00,NULL,0.00,3.00,1.00,316,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299837,8.00,6.00,3.00,4.00,9.00,9.75,4.00,6.00,7.00,104,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299845,3.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299853,9.00,9.00,4.00,6.00,9.00,10.13,3.00,5.00,7.00,203,NULL,202,'AGRONÔMICA','FLORIANÓPOLIS','SC',2187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299870,2.00,2.00,2.00,4.00,3.00,NULL,0.00,3.00,3.00,211,NULL,207,'FRAGOSOS','CPO ALEGRE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5299888,8.00,9.00,7.00,6.00,8.00,9.38,9.00,6.00,7.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',418,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5299896,0.00,5.00,0.00,0.00,0.00,NULL,2.00,1.00,4.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299900,8.00,5.00,3.00,5.00,4.00,8.25,1.00,4.00,2.00,501,NULL,NULL,'CENTRO','STO ÂNGELO','RS',11461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299918,6.00,7.00,6.00,7.00,10.00,12.00,7.00,4.00,5.00,103,NULL,NULL,'CENTRO','TAQUARA','RS',1643,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5299926,3.00,4.00,2.00,2.00,4.00,NULL,1.00,2.00,5.00,203,NULL,NULL,'SERTAO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299934,7.00,6.00,5.00,7.00,5.00,9.38,5.00,6.00,6.00,501,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5299950,5.00,6.00,1.00,5.00,7.00,9.00,1.00,2.00,6.00,310,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299969,9.00,4.00,5.00,7.00,6.00,10.88,1.00,2.00,6.00,3,NULL,NULL,'MARIA GORETTI','BENTO GONÇALVES','RS',5883,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5299977,7.00,7.00,0.00,6.00,7.00,8.63,2.00,3.00,7.00,452,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',8197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5299985,7.00,6.00,0.00,7.00,8.00,10.88,2.00,5.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4181,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5299993,3.00,0.00,2.00,2.00,1.00,NULL,0.00,0.00,0.00,201,NULL,233,'INTERIOR','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(20,5300002,2.00,6.00,5.00,7.00,4.00,7.13,1.00,2.00,5.00,225,NULL,NULL,'SERRARIA','S JOSÉ','SC',14508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5300029,7.00,8.00,4.00,5.00,6.00,9.38,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6252,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300045,6.00,5.00,2.00,7.00,7.00,9.38,1.00,4.00,2.00,303,NULL,NULL,'POPULAR','CUIABÁ','MT',8687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300061,3.00,4.00,0.00,2.00,5.00,NULL,2.00,2.00,4.00,339,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300070,4.00,3.00,0.00,2.00,2.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'FENSTERSEIFER','PANAMBI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300088,4.00,4.00,1.00,1.00,4.00,NULL,1.00,0.00,5.00,104,NULL,NULL,'NOVA DIVINEIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5300100,6.00,6.00,5.00,7.00,6.00,7.50,2.00,2.00,5.00,203,NULL,202,'CANTO','FLORIANÓPOLIS','SC',8688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300118,3.00,4.00,2.00,1.00,5.00,NULL,4.00,2.00,4.00,104,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300126,3.00,5.00,4.00,4.00,4.00,NULL,0.00,3.00,1.00,214,NULL,601,'BAEPENDI','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5300134,3.00,6.00,1.00,3.00,3.00,NULL,3.00,1.00,3.00,444,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300142,5.00,6.00,2.00,5.00,8.00,9.75,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',10500,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5300150,9.00,6.00,8.00,6.00,6.00,10.88,6.00,4.00,8.00,103,NULL,NULL,'PERDIZES','S PAULO','SP',1238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300169,4.00,7.00,4.00,5.00,4.00,6.75,3.00,1.00,2.00,302,NULL,NULL,'BRAÇO SÃO JOÃO','STO AMARO IMPERATRIZ','SC',15873,106,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300177,5.00,4.00,2.00,6.00,5.00,7.88,5.00,1.00,4.00,453,NULL,NULL,'SERRARIA','S JOSÉ','SC',14376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300193,4.00,7.00,3.00,7.00,6.00,10.88,1.00,3.00,5.00,337,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5300207,1.00,3.00,1.00,2.00,2.00,NULL,1.00,4.00,3.00,208,NULL,201,'BELA VISTA','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5300215,8.00,7.00,3.00,4.00,6.00,6.00,3.00,4.00,8.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300223,3.00,5.00,2.00,4.00,8.00,NULL,1.00,1.00,2.00,302,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5300231,8.00,8.00,3.00,7.00,10.00,10.13,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','CARAZINHO','RS',2495,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5300240,0.00,2.00,1.00,2.00,3.00,NULL,1.00,2.00,4.00,502,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300258,8.00,6.00,5.00,6.00,8.00,11.63,5.00,4.00,7.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',2175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300266,5.00,5.00,1.00,3.00,4.00,8.25,2.00,2.00,4.00,551,NULL,NULL,'INTERIOR','CURITIBANOS','SC',15743,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5300274,6.00,7.00,5.00,5.00,9.00,8.63,2.00,3.00,4.00,501,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6032,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300282,4.00,7.00,5.00,3.00,6.00,8.63,2.00,4.00,3.00,501,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',12773,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5300290,7.00,6.00,3.00,4.00,8.00,7.50,4.00,2.00,4.00,3,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',11891,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5300304,8.00,4.00,2.00,7.00,8.00,11.25,3.00,6.00,8.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',2643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300312,6.00,6.00,2.00,4.00,7.00,6.38,1.00,3.00,5.00,235,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',11854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300320,4.00,4.00,3.00,3.00,4.00,7.50,1.00,4.00,4.00,201,NULL,207,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300339,7.00,7.00,5.00,7.00,7.00,9.38,2.00,5.00,6.00,201,NULL,212,'CRISTO REI','CURITIBA','PR',3264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5300355,5.00,6.00,4.00,4.00,3.00,NULL,3.00,2.00,5.00,501,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300363,4.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,429,NULL,425,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5300371,8.00,6.00,0.00,7.00,8.00,NULL,3.00,3.00,5.00,601,NULL,203,'SETE DE SETEMBRO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5300380,4.00,5.00,2.00,1.00,3.00,NULL,2.00,2.00,4.00,304,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300398,8.00,3.00,2.00,5.00,8.00,8.25,3.00,3.00,6.00,301,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',9637,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5300410,7.00,2.00,1.00,7.00,4.00,6.75,0.00,3.00,4.00,205,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',15128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300428,5.00,6.00,1.00,6.00,6.00,7.88,1.00,4.00,4.00,601,NULL,213,'CRUZEIRO','RIO NEGRINHO','SC',10915,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5300436,6.00,2.00,4.00,5.00,6.00,8.25,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','LONTRAS','SC',11468,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5300444,9.00,8.00,3.00,8.00,10.00,10.50,6.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300460,8.00,5.00,2.00,5.00,8.00,8.25,3.00,5.00,6.00,103,NULL,NULL,'BATEL','CURITIBA','PR',6713,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5300479,2.00,5.00,2.00,3.00,6.00,6.00,3.00,3.00,4.00,429,NULL,425,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300487,6.00,5.00,3.00,4.00,8.00,11.25,4.00,5.00,7.00,216,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',3960,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300495,4.00,6.00,2.00,7.00,8.00,10.50,3.00,4.00,5.00,327,NULL,NULL,'VILA MARIANA','S PAULO','SP',9078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300509,3.00,4.00,1.00,5.00,3.00,NULL,1.00,3.00,2.00,333,NULL,NULL,'VILA SÃO GABRIEL','COLOMBO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PIONEIRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5300525,4.00,6.00,2.00,4.00,5.00,NULL,2.00,2.00,3.00,303,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(20,5300533,6.00,7.00,0.00,4.00,8.00,NULL,1.00,4.00,5.00,501,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5300541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5300568,6.00,8.00,1.00,5.00,8.00,9.00,2.00,4.00,3.00,415,NULL,NULL,'SAN FERNANDO','LONDRINA','PR',10082,NULL,NULL,NULL,NULL,NULL,NULL,3,9),(20,5300576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,207,'BELA VISTA','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5300584,5.00,3.00,1.00,7.00,7.00,7.88,1.00,4.00,3.00,5,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',14618,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5300592,1.00,5.00,1.00,2.00,5.00,NULL,2.00,4.00,2.00,453,NULL,NULL,'TRINTA RÉIS','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300606,0.00,3.00,1.00,2.00,4.00,NULL,0.00,3.00,2.00,104,NULL,NULL,'SÃO LUIZ','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5300614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5300622,6.00,5.00,4.00,4.00,7.00,9.38,5.00,4.00,5.00,102,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',7712,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300630,5.00,6.00,2.00,4.00,7.00,8.63,1.00,0.00,3.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14581,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300657,1.00,0.00,4.00,3.00,3.00,NULL,2.00,2.00,4.00,302,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300665,7.00,8.00,5.00,6.00,9.00,8.63,1.00,6.00,5.00,303,NULL,NULL,'JARDIM AUTONOMISTA','CPO GRANDE','MS',5326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5300681,4.00,6.00,3.00,0.00,1.00,NULL,4.00,3.00,5.00,103,NULL,NULL,'SAIC','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5300690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5300703,9.00,7.00,5.00,7.00,8.00,7.50,3.00,3.00,5.00,103,NULL,NULL,'VILA SERVENTINA','OSASCO','SP',2895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300711,5.00,6.00,0.00,8.00,8.00,7.88,3.00,4.00,3.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5300738,9.00,7.00,3.00,7.00,8.00,9.75,6.00,5.00,8.00,303,NULL,NULL,'BARÃO DO CAFÉ','CAMPINAS','SP',1496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5300754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'SANTA CÂNDIDA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5300762,9.00,6.00,4.00,7.00,7.00,11.63,5.00,7.00,6.00,233,NULL,208,'CENTENÁRIO','JARAGUÁ SUL','SC',1879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300770,2.00,5.00,2.00,4.00,5.00,NULL,2.00,2.00,4.00,108,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300789,8.00,6.00,6.00,7.00,10.00,12.75,7.00,5.00,9.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','TUNÁPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5300800,4.00,8.00,3.00,5.00,6.00,7.50,5.00,4.00,7.00,220,NULL,201,'CENTRO','CAMBUÍ','MG',5315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300819,5.00,3.00,1.00,3.00,7.00,NULL,1.00,3.00,3.00,310,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300827,6.00,7.00,5.00,3.00,7.00,8.63,1.00,5.00,5.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',9519,317,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300835,8.00,8.00,5.00,6.00,10.00,9.38,4.00,3.00,7.00,201,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',2923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300843,9.00,5.00,7.00,6.00,8.00,8.63,6.00,7.00,8.00,103,NULL,NULL,'NONOAI','PTO ALEGRE','RS',1148,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5300851,1.00,4.00,0.00,0.00,5.00,NULL,3.00,5.00,1.00,331,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300860,5.00,4.00,0.00,2.00,7.00,NULL,0.00,2.00,3.00,102,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300878,7.00,7.00,4.00,5.00,7.00,7.88,2.00,3.00,7.00,233,NULL,216,'ITACORUBI','FLORIANÓPOLIS','SC',6368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300886,2.00,2.00,1.00,2.00,2.00,NULL,1.00,1.00,1.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300894,0.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5300908,1.00,5.00,3.00,3.00,4.00,NULL,3.00,3.00,0.00,212,NULL,233,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300916,4.00,5.00,3.00,3.00,7.00,8.25,0.00,4.00,5.00,207,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300932,5.00,4.00,2.00,5.00,6.00,7.50,0.00,4.00,5.00,207,NULL,211,'HOLAMBRA II','HOLAMBRA II','SP',12855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300940,5.00,7.00,2.00,7.00,7.00,7.88,3.00,2.00,7.00,201,NULL,203,'VENDAVAL','BIGUAÇU','SC',6699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300959,7.00,7.00,4.00,7.00,10.00,8.25,3.00,3.00,7.00,203,NULL,233,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',3567,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5300975,6.00,6.00,0.00,5.00,9.00,11.63,2.00,6.00,2.00,202,NULL,238,'IPIRANGA','S JOSÉ','SC',8269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5300983,4.00,5.00,0.00,2.00,3.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'JOSÉ BONIFÁCIO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5300991,6.00,5.00,1.00,7.00,10.00,8.25,0.00,4.00,6.00,103,NULL,NULL,'MARGEM ESQUERDA','GASPAR','SC',9360,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5301009,7.00,7.00,8.00,6.00,10.00,9.00,5.00,7.00,5.00,420,NULL,NULL,'CORRÉGO GRANDE','FLORIANÓPOLIS','SC',1915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301017,4.00,7.00,0.00,5.00,7.00,7.88,0.00,2.00,3.00,340,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',14203,397,NULL,NULL,NULL,NULL,NULL,4,8),(20,5301025,5.00,7.00,3.00,8.00,8.00,7.50,4.00,2.00,5.00,208,NULL,238,'ASILO','BLUMENAU','SC',7371,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5301033,4.00,3.00,2.00,3.00,4.00,NULL,0.00,4.00,4.00,213,NULL,212,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5301041,4.00,3.00,0.00,3.00,3.00,NULL,1.00,1.00,4.00,215,NULL,216,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5301050,6.00,5.00,3.00,3.00,7.00,7.50,2.00,5.00,5.00,109,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',12316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301068,3.00,6.00,0.00,1.00,4.00,NULL,0.00,3.00,2.00,503,NULL,NULL,'MIRIM','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5301076,4.00,5.00,1.00,5.00,7.00,10.50,4.00,3.00,4.00,333,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',12709,112,NULL,NULL,NULL,NULL,NULL,2,8),(20,5301084,5.00,7.00,1.00,5.00,8.00,9.38,3.00,2.00,5.00,211,NULL,216,'PINHEIRINHO DO MEIO','JACINTO MACHADO','SC',9951,295,NULL,418,NULL,NULL,NULL,4,15),(20,5301092,4.00,6.00,1.00,6.00,5.00,9.00,2.00,3.00,5.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',12935,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301106,2.00,5.00,3.00,3.00,8.00,9.75,2.00,5.00,4.00,208,NULL,202,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301114,8.00,7.00,4.00,6.00,10.00,13.50,1.00,5.00,5.00,319,NULL,NULL,'CENTRO','LAGUNA','SC',3854,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5301122,9.00,6.00,6.00,4.00,7.00,10.88,6.00,3.00,8.00,103,NULL,NULL,'CAJURU','CURITIBA','PR',2098,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5301130,4.00,7.00,3.00,6.00,4.00,12.00,2.00,3.00,4.00,429,NULL,423,'VILA NOVA','LAGES','SC',12681,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5301149,4.00,6.00,2.00,6.00,7.00,7.88,2.00,4.00,5.00,203,NULL,601,'CENTRO','TIMBÓ','SC',11001,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5301157,5.00,6.00,0.00,5.00,5.00,NULL,0.00,2.00,3.00,319,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301165,5.00,3.00,0.00,6.00,10.00,NULL,3.00,4.00,5.00,331,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301173,4.00,7.00,0.00,5.00,8.00,6.75,5.00,2.00,5.00,336,NULL,NULL,'CENTRO','CANOINHAS','SC',12490,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5301181,8.00,7.00,5.00,7.00,7.00,9.38,6.00,6.00,5.00,201,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',4463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301190,3.00,6.00,2.00,5.00,4.00,6.38,3.00,2.00,1.00,318,NULL,NULL,'SCHRAMM','S BENTO SUL','SC',15392,108,NULL,NULL,NULL,NULL,NULL,2,8),(20,5301203,9.00,7.00,7.00,7.00,7.00,9.75,5.00,4.00,8.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',1246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301220,6.00,3.00,2.00,1.00,2.00,NULL,2.00,2.00,4.00,653,NULL,652,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5301238,5.00,5.00,3.00,4.00,5.00,8.63,3.00,3.00,5.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13555,551,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301246,6.00,6.00,3.00,4.00,10.00,8.25,1.00,3.00,6.00,103,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301254,8.00,8.00,4.00,7.00,7.00,8.25,6.00,4.00,7.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',2680,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5301262,9.00,7.00,2.00,7.00,7.00,11.63,7.00,4.00,6.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',2397,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5301270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,201,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5301289,7.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5301297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'LOTE SEIS','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5301300,3.00,6.00,4.00,6.00,7.00,7.13,2.00,2.00,4.00,238,NULL,208,'CAMPINAS','S JOSÉ','SC',14756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301319,7.00,7.00,5.00,7.00,7.00,11.25,5.00,7.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301327,1.00,2.00,0.00,2.00,4.00,NULL,0.00,2.00,2.00,415,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301335,4.00,6.00,3.00,4.00,8.00,8.25,1.00,4.00,4.00,5,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',12873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301343,5.00,6.00,4.00,3.00,5.00,7.50,1.00,4.00,6.00,303,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5301351,7.00,7.00,5.00,4.00,9.00,12.38,5.00,5.00,6.00,415,NULL,NULL,'CENTRO','CHAPECÓ','SC',3296,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5301360,8.00,0.00,5.00,7.00,8.00,NULL,0.00,0.00,0.00,203,NULL,235,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5301378,7.00,4.00,3.00,4.00,8.00,8.25,1.00,4.00,2.00,223,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',14628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301386,5.00,4.00,5.00,6.00,6.00,8.25,2.00,3.00,3.00,108,NULL,NULL,'CENTRO','CHAPECÓ','SC',13833,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5301394,7.00,7.00,1.00,5.00,8.00,6.00,4.00,3.00,7.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301416,4.00,5.00,3.00,5.00,4.00,9.75,0.00,3.00,3.00,319,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',14751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JD ESTORIL','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5301432,8.00,6.00,3.00,6.00,10.00,8.25,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',4226,1913,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301440,6.00,5.00,4.00,7.00,8.00,8.25,1.00,5.00,5.00,450,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',8477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301459,2.00,5.00,0.00,2.00,2.00,NULL,4.00,4.00,2.00,339,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301467,6.00,5.00,1.00,7.00,6.00,7.88,0.00,3.00,6.00,5,NULL,NULL,'JARDIM AMERICA','BAURU','SP',11255,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5301475,3.00,6.00,1.00,4.00,5.00,9.00,3.00,2.00,3.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301483,7.00,6.00,3.00,7.00,9.00,11.63,4.00,6.00,4.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',2937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301491,9.00,9.00,5.00,8.00,9.00,9.38,5.00,7.00,9.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301513,7.00,9.00,6.00,8.00,11.00,10.13,6.00,6.00,7.00,202,NULL,235,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301521,7.00,6.00,0.00,7.00,10.00,9.00,1.00,3.00,3.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',10769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301530,2.00,7.00,1.00,3.00,6.00,NULL,2.00,2.00,3.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301548,9.00,8.00,9.00,7.00,10.00,12.75,9.00,5.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',23,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301556,8.00,6.00,4.00,5.00,8.00,8.63,4.00,2.00,6.00,103,NULL,NULL,'CENTRO','CHAPADA','RS',5207,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5301564,1.00,3.00,0.00,7.00,5.00,NULL,2.00,2.00,0.00,327,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5301572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CENTRO','STO ÂNGELO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5301580,5.00,4.00,1.00,6.00,4.00,9.00,2.00,2.00,2.00,103,NULL,NULL,'SANTA CECÍLIA','PTO ALEGRE','RS',13677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301599,2.00,5.00,3.00,6.00,2.00,NULL,2.00,1.00,2.00,208,NULL,238,'VILA CARVALHO','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301602,4.00,5.00,0.00,5.00,7.00,NULL,0.00,1.00,4.00,101,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301610,2.00,3.00,2.00,2.00,4.00,NULL,1.00,0.00,3.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'MOSSUNGUÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5301637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5301645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5301661,2.00,0.00,3.00,0.00,4.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PROGRESSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(20,5301670,2.00,5.00,1.00,3.00,3.00,NULL,0.00,2.00,4.00,339,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301688,5.00,5.00,4.00,2.00,6.00,6.75,1.00,4.00,4.00,208,NULL,238,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',13288,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301696,7.00,6.00,1.00,7.00,6.00,9.38,2.00,2.00,6.00,207,NULL,201,'PIONEIROS','BAL CAMBORIÚ','SC',8724,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5301700,4.00,5.00,3.00,7.00,10.00,9.00,2.00,2.00,3.00,103,NULL,NULL,'CANTA GALO','RIO SUL','SC',8555,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5301718,2.00,4.00,2.00,6.00,4.00,6.38,1.00,2.00,4.00,302,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',15238,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301726,6.00,3.00,1.00,4.00,4.00,6.00,3.00,5.00,4.00,104,NULL,NULL,'INTERIOR','MAXIMILIANO ALMEIDA','RS',15474,420,NULL,NULL,NULL,NULL,NULL,2,7),(20,5301734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'VISTA ALEGRE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5301742,8.00,7.00,4.00,2.00,8.00,7.13,7.00,5.00,7.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3688,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301750,8.00,9.00,6.00,7.00,9.00,10.88,4.00,3.00,6.00,340,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',2030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301769,6.00,6.00,4.00,5.00,7.00,8.63,3.00,5.00,5.00,601,NULL,201,'BOA VISTA','JOINVILLE','SC',10395,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5301777,5.00,6.00,0.00,3.00,7.00,NULL,3.00,2.00,2.00,452,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301785,7.00,7.00,2.00,5.00,6.00,10.88,0.00,3.00,7.00,207,NULL,208,'INTERIOR','MAXIMILIANO ALMEIDA','RS',9080,411,NULL,NULL,NULL,NULL,NULL,2,7),(20,5301793,7.00,8.00,5.00,7.00,10.00,9.00,4.00,5.00,6.00,203,NULL,208,'BARREIROS','S JOSÉ','SC',2213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301807,2.00,4.00,0.00,3.00,3.00,NULL,1.00,3.00,1.00,316,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301815,6.00,6.00,5.00,6.00,9.00,11.63,3.00,4.00,4.00,502,NULL,NULL,'BARREIROS','S JOSÉ','SC',4277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301823,1.00,6.00,1.00,4.00,6.00,7.50,3.00,3.00,6.00,202,NULL,213,'SÃO MIGUEL','MARÍLIA','SP',12072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301831,7.00,7.00,1.00,4.00,9.00,10.88,5.00,3.00,3.00,215,NULL,211,'REAL PARQUE','S JOSÉ','SC',9946,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301840,8.00,8.00,3.00,7.00,8.00,12.38,6.00,6.00,7.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301866,3.00,3.00,0.00,2.00,3.00,NULL,1.00,2.00,1.00,652,NULL,651,'POLICIA RODOVIÁRIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5301874,0.00,6.00,1.00,5.00,5.00,NULL,0.00,1.00,2.00,201,NULL,207,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301882,8.00,6.00,0.00,6.00,8.00,7.88,2.00,5.00,5.00,316,NULL,NULL,'IPIRANGA','S JOSÉ','SC',8712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301890,7.00,7.00,3.00,7.00,8.00,7.13,3.00,3.00,6.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301904,9.00,7.00,6.00,7.00,8.00,7.88,2.00,5.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2252,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5301912,5.00,7.00,4.00,4.00,5.00,7.50,2.00,3.00,3.00,332,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13619,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5301920,4.00,6.00,3.00,6.00,6.00,8.25,4.00,4.00,5.00,319,NULL,NULL,'CENTRO','LAGES','SC',9146,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5301939,2.00,4.00,3.00,5.00,4.00,NULL,2.00,3.00,1.00,220,NULL,203,'VILA AURORA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301963,4.00,6.00,4.00,4.00,6.00,6.38,4.00,4.00,4.00,234,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',13458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301971,6.00,6.00,5.00,6.00,8.00,6.38,2.00,3.00,5.00,201,NULL,211,'CRUZEIRO DO SUL','CRICIÚMA','SC',10149,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5301980,2.00,4.00,0.00,7.00,3.00,NULL,1.00,2.00,2.00,340,NULL,NULL,'BATISTA CAMPOS','BELÉM','PA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5301998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,220,'ADHEMAR GARCIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5302005,5.00,7.00,2.00,5.00,5.00,6.75,3.00,4.00,5.00,238,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',14246,355,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302013,0.00,2.00,4.00,2.00,1.00,NULL,1.00,2.00,1.00,415,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302021,6.00,5.00,2.00,5.00,7.00,9.75,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','S SEBASTIÃO CAÍ','RS',9703,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5302030,4.00,6.00,2.00,7.00,7.00,4.13,2.00,2.00,3.00,238,NULL,208,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302048,9.00,7.00,4.00,7.00,8.00,11.25,5.00,5.00,6.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',2003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302064,6.00,5.00,0.00,4.00,1.00,NULL,4.00,5.00,5.00,205,NULL,NULL,'VISTA ALEGRE','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5302072,4.00,5.00,0.00,2.00,5.00,NULL,1.00,1.00,1.00,103,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5302080,1.00,5.00,1.00,3.00,8.00,NULL,2.00,2.00,3.00,451,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302099,3.00,4.00,1.00,1.00,4.00,NULL,2.00,3.00,4.00,426,NULL,429,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302102,8.00,6.00,1.00,8.00,10.00,9.75,3.00,3.00,5.00,303,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',5816,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5302110,5.00,6.00,3.00,5.00,6.00,6.75,3.00,3.00,5.00,212,NULL,233,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',12602,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302137,8.00,7.00,0.00,4.00,7.00,NULL,3.00,3.00,5.00,211,NULL,215,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5302153,5.00,9.00,5.00,7.00,5.00,9.75,1.00,4.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302161,5.00,7.00,7.00,3.00,6.00,7.13,5.00,5.00,6.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',5408,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5302188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,NULL,'CENTRO','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5302196,2.00,7.00,4.00,6.00,7.00,9.75,0.00,4.00,3.00,304,NULL,NULL,'CENTRO','ROMELÂNDIA','SC',12825,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5302200,7.00,7.00,2.00,5.00,5.00,11.25,3.00,4.00,5.00,104,NULL,NULL,'VILA MARIA ANTONIETA','PINHAIS','PR',5812,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302218,6.00,3.00,0.00,3.00,7.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302226,1.00,4.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,104,NULL,NULL,'FUNDO CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5302234,5.00,7.00,7.00,7.00,8.00,11.25,5.00,3.00,7.00,340,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302242,1.00,2.00,0.00,2.00,3.00,NULL,2.00,1.00,2.00,104,NULL,NULL,'MORRO DO FABRÍCIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302250,4.00,3.00,0.00,4.00,5.00,NULL,0.00,0.00,3.00,5,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302269,7.00,6.00,3.00,6.00,6.00,9.38,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6256,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5302277,2.00,6.00,2.00,3.00,9.00,NULL,1.00,3.00,3.00,309,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5302293,5.00,7.00,1.00,3.00,4.00,7.13,2.00,2.00,3.00,318,NULL,NULL,'TAMBAÚ','MAIOBA','MA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302307,3.00,5.00,1.00,2.00,5.00,NULL,3.00,2.00,3.00,303,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302315,6.00,7.00,3.00,5.00,8.00,6.00,2.00,4.00,4.00,202,NULL,211,'RIO VERMELHO','FLORIANÓPOLIS','SC',9164,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302323,3.00,4.00,4.00,6.00,5.00,10.13,2.00,3.00,3.00,5,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',14530,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5302358,7.00,4.00,2.00,5.00,4.00,4.50,4.00,4.00,4.00,201,NULL,207,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5302366,8.00,8.00,5.00,7.00,9.00,11.25,6.00,5.00,8.00,415,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',700,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5302374,5.00,6.00,0.00,4.00,6.00,NULL,4.00,3.00,5.00,319,NULL,NULL,'JD PAULO VI','JALES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302382,3.00,7.00,2.00,5.00,5.00,9.75,0.00,2.00,6.00,220,NULL,212,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5302404,6.00,7.00,0.00,6.00,9.00,7.50,2.00,4.00,3.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5302420,7.00,7.00,6.00,5.00,8.00,9.38,7.00,2.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2971,1471,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302439,6.00,4.00,1.00,3.00,1.00,NULL,2.00,5.00,4.00,101,NULL,NULL,'ST ÂNTONIO DE LISBOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302447,8.00,7.00,4.00,2.00,9.00,9.38,3.00,6.00,8.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',3098,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5302455,6.00,7.00,0.00,5.00,10.00,9.75,1.00,4.00,5.00,207,NULL,215,'MINA DO MATO','CRICIÚMA','SC',9898,464,NULL,192,NULL,NULL,NULL,2,5),(20,5302463,5.00,1.00,0.00,5.00,2.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302471,5.00,7.00,2.00,6.00,7.00,7.50,3.00,2.00,5.00,203,NULL,235,'MONTE CARLO','LONDRINA','PR',11061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302480,3.00,4.00,1.00,4.00,6.00,NULL,1.00,2.00,3.00,234,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5302501,3.00,6.00,2.00,4.00,4.00,4.50,2.00,2.00,2.00,404,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'SANTOS DUMONT','TRÊS LAGOAS','MS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5302528,2.00,5.00,1.00,5.00,3.00,NULL,2.00,3.00,4.00,444,NULL,NULL,'JARDIM INGÁ','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302536,2.00,5.00,0.00,3.00,3.00,NULL,0.00,1.00,3.00,102,NULL,NULL,'CENTRO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5302544,3.00,5.00,0.00,2.00,3.00,NULL,1.00,2.00,1.00,653,NULL,652,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5302552,3.00,5.00,2.00,4.00,7.00,11.25,2.00,3.00,4.00,234,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302560,5.00,7.00,4.00,6.00,9.00,10.13,2.00,3.00,5.00,207,NULL,202,'CENTRO','BIGUAÇU','SC',7177,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302579,3.00,3.00,2.00,0.00,2.00,NULL,3.00,1.00,3.00,653,NULL,NULL,'DIVINEIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5302587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'MADALENA','ITURAMA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5302595,3.00,3.00,3.00,4.00,3.00,NULL,3.00,4.00,4.00,324,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302609,2.00,5.00,0.00,3.00,3.00,NULL,3.00,2.00,3.00,601,NULL,202,'BELA VISTA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5302617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5302625,6.00,4.00,3.00,3.00,3.00,NULL,0.00,1.00,4.00,203,NULL,208,'RIO DO CEDRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302633,2.00,4.00,2.00,1.00,4.00,NULL,2.00,3.00,3.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5302641,3.00,6.00,0.00,4.00,7.00,7.88,4.00,4.00,6.00,309,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',10969,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302650,5.00,0.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5302676,7.00,4.00,4.00,8.00,9.00,10.13,3.00,6.00,6.00,319,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',5426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302684,3.00,2.00,0.00,1.00,5.00,NULL,4.00,3.00,4.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302692,8.00,7.00,0.00,7.00,8.00,NULL,2.00,4.00,4.00,207,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302706,4.00,5.00,2.00,1.00,2.00,NULL,0.00,3.00,2.00,332,NULL,NULL,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302722,3.00,4.00,2.00,4.00,3.00,NULL,4.00,1.00,4.00,5,NULL,NULL,'IATE CLUBE','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5302730,2.00,4.00,2.00,4.00,2.00,NULL,1.00,1.00,4.00,211,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302749,5.00,7.00,1.00,7.00,8.00,9.38,3.00,6.00,5.00,301,NULL,NULL,'CENTRO','GAROPABA','SC',9440,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,651,NULL,653,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5302765,5.00,5.00,1.00,6.00,6.00,7.88,2.00,2.00,5.00,234,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',15447,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302773,6.00,8.00,0.00,4.00,7.00,6.75,1.00,5.00,3.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12952,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302781,3.00,1.00,3.00,2.00,3.00,NULL,2.00,1.00,0.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5302790,5.00,6.00,0.00,5.00,6.00,6.00,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',13315,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5302803,8.00,6.00,1.00,5.00,5.00,9.38,3.00,3.00,3.00,103,NULL,NULL,'PERPÉTUO SOCORRO','S LOURENÇO OESTE','SC',10957,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5302811,2.00,2.00,1.00,5.00,5.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'SAGRADO CORAÇÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5302820,7.00,4.00,0.00,5.00,7.00,7.50,1.00,5.00,4.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13948,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302838,5.00,6.00,1.00,3.00,5.00,6.75,3.00,3.00,3.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15919,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302846,4.00,6.00,1.00,4.00,6.00,8.63,2.00,4.00,3.00,331,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',14874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'TRIBESS','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5302862,4.00,5.00,3.00,3.00,5.00,9.38,3.00,2.00,4.00,216,NULL,208,'JOAO PAULO','FLORIANÓPOLIS','SC',15304,574,NULL,439,NULL,NULL,NULL,1,1),(20,5302870,8.00,7.00,1.00,7.00,10.00,8.25,7.00,4.00,6.00,103,NULL,NULL,'CENTRO','VACARIA','RS',4416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302889,6.00,6.00,4.00,4.00,6.00,9.00,1.00,2.00,4.00,207,NULL,212,'AMÉRICA','JOINVILLE','SC',12271,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5302900,8.00,6.00,1.00,5.00,6.00,7.13,5.00,4.00,5.00,205,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5302919,8.00,7.00,5.00,8.00,10.00,9.38,2.00,3.00,6.00,203,NULL,202,'PICADAS DO SUL','S JOSÉ','SC',3011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302927,5.00,5.00,0.00,3.00,3.00,NULL,2.00,4.00,5.00,101,NULL,NULL,'AGUA VERDE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5302935,8.00,7.00,5.00,4.00,6.00,7.88,6.00,4.00,8.00,103,NULL,NULL,'SITIO CERCADO','CURITIBA','PR',3588,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5302943,5.00,6.00,2.00,6.00,10.00,7.88,4.00,7.00,4.00,319,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',8280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302960,3.00,5.00,2.00,2.00,5.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302978,9.00,8.00,6.00,7.00,8.00,10.50,5.00,7.00,9.00,103,NULL,NULL,'PARQUE DOS PRINCIPES','OSASCO','SP',643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302986,3.00,3.00,2.00,3.00,4.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5302994,4.00,5.00,1.00,4.00,5.00,6.38,1.00,5.00,2.00,320,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',16298,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5303001,3.00,3.00,1.00,4.00,5.00,NULL,1.00,0.00,3.00,202,NULL,213,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303036,4.00,5.00,1.00,5.00,5.00,11.25,2.00,3.00,3.00,303,NULL,NULL,'BALNEARIO ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303052,8.00,6.00,5.00,5.00,7.00,9.38,2.00,4.00,5.00,207,NULL,216,'LUTHERKING','FRANCISCO BELTRÃO','PR',4582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303060,5.00,4.00,0.00,5.00,9.00,12.00,2.00,3.00,5.00,326,NULL,NULL,'BARREIROS','S JOSÉ','SC',11541,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5303079,4.00,5.00,0.00,3.00,3.00,NULL,1.00,0.00,6.00,316,NULL,NULL,'JARDIM AURÉLIA','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303087,6.00,5.00,4.00,7.00,6.00,6.38,1.00,1.00,2.00,201,NULL,203,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303095,5.00,5.00,2.00,7.00,4.00,10.88,3.00,4.00,4.00,326,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',10650,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5303109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5303117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5303133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5303141,7.00,7.00,2.00,6.00,9.00,7.50,5.00,4.00,7.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',5183,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5303150,4.00,7.00,4.00,5.00,8.00,6.00,2.00,5.00,6.00,216,NULL,203,'SOUZA CRUZ','BRUSQUE','SC',9093,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5303168,6.00,4.00,1.00,3.00,3.00,NULL,4.00,3.00,3.00,317,NULL,NULL,'AGRONÔNOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5303176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ASSUNÇÃO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5303184,9.00,8.00,6.00,7.00,8.00,9.38,5.00,5.00,8.00,103,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',1893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303206,9.00,9.00,7.00,7.00,10.00,10.50,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','DA EMMA','SC',113,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5303214,3.00,8.00,2.00,4.00,7.00,NULL,0.00,2.00,2.00,336,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5303222,5.00,5.00,2.00,1.00,5.00,6.38,3.00,3.00,6.00,216,NULL,NULL,'COSTEIRA','ARAUCÁRIA','PR',13410,527,NULL,NULL,NULL,NULL,NULL,1,5),(20,5303230,3.00,5.00,1.00,2.00,7.00,NULL,1.00,1.00,3.00,317,NULL,NULL,'INTERIOR','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5303257,6.00,6.00,3.00,4.00,3.00,NULL,1.00,2.00,3.00,316,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5303265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'CENTRO','BARRETOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5303273,1.00,1.00,0.00,2.00,3.00,NULL,2.00,0.00,2.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5303303,5.00,6.00,0.00,5.00,7.00,10.88,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5303311,2.00,4.00,2.00,4.00,6.00,NULL,1.00,1.00,3.00,653,NULL,651,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5303320,0.00,2.00,1.00,3.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5303338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5303346,0.00,6.00,0.00,0.00,0.00,NULL,2.00,3.00,4.00,329,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',2,1),(20,5303354,3.00,4.00,1.00,4.00,3.00,NULL,3.00,1.00,3.00,652,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5303362,6.00,4.00,4.00,5.00,5.00,7.13,1.00,0.00,5.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303370,4.00,4.00,0.00,5.00,9.00,NULL,2.00,0.00,4.00,415,NULL,NULL,'BREMER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5303389,3.00,7.00,0.00,6.00,5.00,NULL,1.00,2.00,2.00,102,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5303400,9.00,8.00,9.00,7.00,10.00,10.88,8.00,8.00,8.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',30,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303419,3.00,5.00,1.00,5.00,5.00,7.50,4.00,3.00,4.00,652,NULL,651,'VILA SÃO JOSE','ARARANGUÁ','SC',15767,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5303427,4.00,7.00,0.00,2.00,8.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5303435,7.00,8.00,4.00,4.00,7.00,8.63,2.00,5.00,7.00,220,NULL,238,'CENTRO','CANELINHA','SC',5754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303443,5.00,7.00,5.00,4.00,4.00,6.00,3.00,3.00,3.00,301,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',13909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5303451,8.00,8.00,5.00,6.00,8.00,10.13,4.00,5.00,6.00,503,NULL,NULL,'CENTRO','LAGES','SC',2897,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5303460,3.00,6.00,3.00,4.00,3.00,NULL,3.00,3.00,2.00,429,NULL,427,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5303478,8.00,8.00,7.00,6.00,8.00,10.50,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303486,3.00,5.00,2.00,7.00,7.00,10.50,0.00,3.00,3.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303494,4.00,6.00,2.00,4.00,3.00,NULL,2.00,0.00,3.00,3,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303508,8.00,7.00,4.00,7.00,8.00,10.13,4.00,6.00,6.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303516,6.00,7.00,4.00,2.00,6.00,9.75,3.00,3.00,2.00,104,NULL,NULL,'CENTRO','AURORA','SC',11275,283,NULL,NULL,NULL,NULL,NULL,4,9),(20,5303524,0.00,4.00,0.00,0.00,6.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5303532,2.00,4.00,2.00,6.00,5.00,NULL,1.00,4.00,2.00,201,NULL,202,'SANTO ANTÔNIO','CRUZ ALTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303540,7.00,6.00,1.00,6.00,5.00,9.00,4.00,6.00,5.00,5,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',7347,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5303567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PETRÓPOLIS','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5303583,8.00,8.00,4.00,6.00,8.00,9.00,4.00,4.00,7.00,215,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',4479,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5303591,2.00,3.00,2.00,1.00,2.00,NULL,2.00,2.00,1.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5303605,6.00,7.00,3.00,2.00,5.00,9.38,1.00,5.00,5.00,212,NULL,201,'ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC',12770,325,NULL,914,NULL,NULL,NULL,2,1),(20,5303613,7.00,6.00,0.00,4.00,6.00,NULL,0.00,4.00,5.00,340,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5303621,0.00,3.00,1.00,3.00,3.00,NULL,0.00,1.00,0.00,551,NULL,NULL,'BUTIAZINHO','MTE CARLO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5303630,1.00,3.00,2.00,2.00,3.00,NULL,3.00,1.00,2.00,101,NULL,NULL,'FORQUILINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5303648,3.00,5.00,2.00,6.00,9.00,7.88,4.00,4.00,3.00,415,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303656,4.00,5.00,1.00,4.00,7.00,NULL,2.00,3.00,2.00,316,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5303664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5303672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5303680,7.00,8.00,1.00,3.00,6.00,10.50,2.00,4.00,6.00,103,NULL,NULL,'MARAFON','VIDEIRA','SC',11632,3375,NULL,NULL,NULL,NULL,NULL,2,7),(20,5303699,4.00,3.00,2.00,3.00,1.00,NULL,0.00,1.00,2.00,212,NULL,201,'CENTRO','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5303710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5303729,8.00,7.00,5.00,4.00,8.00,8.63,3.00,3.00,7.00,103,NULL,NULL,'CENTRO','CPO BELO SUL','SC',4551,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5303737,3.00,5.00,1.00,0.00,4.00,NULL,1.00,0.00,3.00,203,NULL,214,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5303753,5.00,4.00,1.00,7.00,4.00,9.00,1.00,3.00,5.00,214,NULL,211,'JD SANTOS DUMMONT','PARANAVAÍ','PR',12426,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5303770,9.00,7.00,4.00,7.00,10.00,13.88,5.00,4.00,9.00,103,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',464,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5303796,3.00,6.00,0.00,3.00,3.00,NULL,2.00,2.00,2.00,318,NULL,NULL,'VILA GERMER','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5303800,9.00,8.00,5.00,8.00,10.00,8.25,6.00,7.00,7.00,201,NULL,233,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303818,7.00,5.00,1.00,4.00,7.00,7.88,1.00,4.00,4.00,103,NULL,NULL,'INTERIOR','SUL BRASIL','SC',14390,3678,NULL,NULL,NULL,NULL,NULL,2,4),(20,5303826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5303834,3.00,5.00,2.00,3.00,7.00,7.13,3.00,4.00,3.00,340,NULL,NULL,'STO ANT LISBOA','FLORIANÓPOLIS','SC',15591,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5303842,5.00,5.00,2.00,7.00,7.00,8.63,4.00,5.00,3.00,238,NULL,208,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303869,1.00,4.00,2.00,5.00,2.00,NULL,0.00,3.00,3.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5303877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5303885,4.00,2.00,3.00,1.00,3.00,NULL,2.00,3.00,1.00,201,NULL,212,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ESTREITO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5303907,3.00,5.00,5.00,6.00,5.00,12.00,1.00,3.00,1.00,302,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',14554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303915,5.00,7.00,1.00,4.00,7.00,9.38,3.00,2.00,6.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9938,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5303923,4.00,5.00,1.00,7.00,5.00,7.88,2.00,1.00,2.00,453,NULL,NULL,'BARREIROS','S JOSÉ','SC',15970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5303931,3.00,4.00,1.00,5.00,4.00,8.63,4.00,2.00,5.00,201,NULL,212,'CENTRO','PALMITOS','SC',15915,1117,NULL,387,NULL,NULL,NULL,2,4),(20,5303958,1.00,5.00,1.00,2.00,4.00,NULL,2.00,0.00,3.00,502,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5303966,4.00,5.00,2.00,5.00,5.00,8.25,1.00,4.00,2.00,104,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',15317,413,NULL,NULL,NULL,NULL,NULL,2,1),(20,5303974,8.00,6.00,4.00,6.00,9.00,7.50,4.00,3.00,6.00,201,NULL,233,'SANTA ISABEL','FORQUILHINHA','SC',4982,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5303982,4.00,6.00,2.00,5.00,4.00,11.63,5.00,4.00,4.00,318,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5303990,2.00,3.00,1.00,5.00,6.00,NULL,0.00,3.00,2.00,216,NULL,203,'BREJARÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304008,0.00,5.00,2.00,3.00,5.00,NULL,2.00,1.00,2.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304016,5.00,3.00,1.00,3.00,8.00,NULL,3.00,2.00,3.00,215,NULL,211,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304032,3.00,5.00,1.00,2.00,6.00,NULL,1.00,3.00,5.00,207,NULL,208,'VILA NOVA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304040,5.00,7.00,2.00,4.00,3.00,NULL,2.00,5.00,3.00,208,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'VILA ROSA','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5304067,4.00,4.00,3.00,6.00,8.00,6.00,3.00,3.00,2.00,235,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',12292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304075,2.00,2.00,1.00,3.00,4.00,NULL,0.00,0.00,3.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304083,3.00,5.00,1.00,7.00,2.00,NULL,3.00,0.00,4.00,415,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5304091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5304105,4.00,6.00,3.00,4.00,5.00,6.75,2.00,2.00,4.00,208,NULL,NULL,'CENTRO','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5304113,5.00,6.00,0.00,5.00,5.00,7.50,0.00,3.00,4.00,319,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5304121,7.00,2.00,6.00,6.00,5.00,8.63,3.00,5.00,5.00,214,NULL,212,'STO ANTONIO LISBOA','FLORIANÓPOLIS','SC',7838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304130,7.00,8.00,5.00,4.00,7.00,8.63,2.00,2.00,4.00,102,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',8797,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5304148,5.00,5.00,0.00,7.00,4.00,8.25,3.00,3.00,4.00,303,NULL,NULL,'NITERÓI','SEARA','SC',13766,560,NULL,NULL,NULL,NULL,NULL,4,4),(20,5304156,8.00,7.00,5.00,8.00,9.00,8.63,6.00,5.00,6.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',1647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5304180,5.00,7.00,2.00,6.00,7.00,11.63,2.00,4.00,5.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7218,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304199,2.00,3.00,0.00,2.00,4.00,NULL,0.00,3.00,0.00,308,NULL,NULL,'ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM MARINGÁ','SINOP','MT',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5304210,1.00,3.00,0.00,2.00,3.00,NULL,0.00,1.00,3.00,207,NULL,208,'PAGARA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304229,5.00,6.00,2.00,2.00,4.00,6.38,3.00,4.00,3.00,501,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',16247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304237,8.00,7.00,0.00,6.00,7.00,9.75,3.00,5.00,5.00,103,NULL,NULL,'TACCA','XANXERÊ','SC',6532,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5304245,3.00,3.00,0.00,3.00,2.00,NULL,0.00,1.00,0.00,339,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304253,4.00,4.00,0.00,4.00,4.00,NULL,1.00,3.00,3.00,324,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304261,4.00,7.00,1.00,4.00,3.00,NULL,1.00,3.00,4.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5304288,4.00,6.00,2.00,3.00,1.00,NULL,0.00,1.00,3.00,238,NULL,208,'REAL PARK','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304296,4.00,6.00,2.00,6.00,5.00,6.75,2.00,2.00,2.00,234,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',15735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304300,2.00,4.00,4.00,2.00,5.00,NULL,1.00,3.00,2.00,201,NULL,207,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304318,5.00,7.00,4.00,3.00,4.00,7.88,3.00,3.00,5.00,302,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',12684,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304334,3.00,5.00,1.00,3.00,4.00,NULL,1.00,2.00,3.00,424,NULL,423,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304342,8.00,6.00,1.00,2.00,5.00,8.25,2.00,2.00,5.00,333,NULL,NULL,'CENTRO','VIÇOSA','MG',13307,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5304350,4.00,6.00,5.00,5.00,8.00,8.63,3.00,3.00,4.00,201,NULL,212,'VARGEM DO BRAÇO','STO AMARO IMPERATRIZ','SC',8871,635,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304369,9.00,8.00,8.00,6.00,7.00,8.63,8.00,5.00,8.00,103,NULL,NULL,'BELA VISTA','ERECHIM','RS',1175,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304377,4.00,5.00,2.00,6.00,7.00,7.88,3.00,2.00,5.00,101,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13250,65,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304385,7.00,9.00,1.00,6.00,7.00,9.38,4.00,5.00,7.00,207,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',4071,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304393,5.00,7.00,4.00,5.00,3.00,NULL,4.00,4.00,1.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304407,2.00,3.00,4.00,4.00,6.00,NULL,2.00,2.00,3.00,319,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5304440,2.00,6.00,1.00,3.00,2.00,NULL,3.00,3.00,1.00,202,NULL,213,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304458,8.00,8.00,4.00,6.00,9.00,8.63,7.00,4.00,8.00,424,NULL,429,'CENTRO','FLORIANÓPOLIS','SC',2389,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5304466,6.00,8.00,2.00,6.00,8.00,10.50,2.00,8.00,4.00,108,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',6917,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'HIGIENÓPOLIS','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5304482,5.00,4.00,2.00,6.00,5.00,NULL,4.00,3.00,4.00,303,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5304490,7.00,6.00,4.00,7.00,7.00,4.88,4.00,4.00,6.00,301,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5304504,4.00,4.00,1.00,5.00,5.00,6.00,1.00,3.00,4.00,451,NULL,NULL,'COSTERIA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304512,9.00,8.00,5.00,4.00,7.00,10.50,6.00,3.00,8.00,103,NULL,NULL,'BNH SEGUNDO PLANO','DOURADOS','MS',1890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304520,7.00,7.00,2.00,6.00,6.00,8.25,3.00,5.00,4.00,201,NULL,212,'IMPERIAL','S JOSÉ R PRETO','SP',5895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304547,6.00,7.00,3.00,1.00,5.00,6.75,2.00,4.00,5.00,238,NULL,208,'CENTRO','BRAÇO NORTE','SC',13005,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5304555,9.00,7.00,0.00,6.00,8.00,10.50,3.00,3.00,4.00,103,NULL,NULL,'JARDIM AMÉRICA','ANÁPOLIS','GO',5724,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304563,2.00,8.00,1.00,7.00,8.00,8.25,2.00,2.00,5.00,303,NULL,NULL,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5304571,7.00,8.00,2.00,7.00,7.00,7.13,4.00,4.00,4.00,208,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',6991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304580,3.00,3.00,2.00,3.00,3.00,NULL,1.00,3.00,2.00,213,NULL,201,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304598,4.00,7.00,2.00,7.00,7.00,8.63,1.00,3.00,2.00,450,NULL,NULL,'TOBIAS','JOAÇABA','SC',11491,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5304601,8.00,6.00,3.00,7.00,7.00,9.00,5.00,3.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4282,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5304610,6.00,7.00,3.00,5.00,8.00,9.38,2.00,3.00,5.00,503,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',8460,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304628,7.00,6.00,3.00,6.00,9.00,8.63,3.00,4.00,5.00,207,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',6600,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5304636,5.00,6.00,3.00,4.00,7.00,8.25,2.00,2.00,4.00,452,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',12327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304652,6.00,6.00,7.00,7.00,7.00,6.75,5.00,4.00,6.00,220,NULL,203,'CRISTO REI','CURITIBA','PR',4531,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5304679,5.00,7.00,1.00,7.00,5.00,8.25,3.00,4.00,5.00,429,NULL,425,'ITACORUBI','FLORIANÓPOLIS','SC',9845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304687,7.00,5.00,2.00,6.00,8.00,9.38,2.00,5.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9699,3122,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304695,4.00,6.00,1.00,4.00,4.00,9.38,3.00,2.00,3.00,318,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304717,3.00,6.00,3.00,5.00,6.00,10.13,2.00,5.00,4.00,601,NULL,208,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304725,1.00,4.00,1.00,2.00,3.00,NULL,3.00,2.00,2.00,502,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5304733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5304741,6.00,6.00,5.00,4.00,2.00,NULL,2.00,3.00,5.00,224,NULL,NULL,'SALETE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5304750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5304768,4.00,5.00,1.00,3.00,7.00,NULL,0.00,2.00,4.00,415,NULL,NULL,'CATUIRA','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304776,7.00,6.00,6.00,8.00,10.00,11.25,2.00,4.00,6.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304784,5.00,7.00,1.00,7.00,9.00,10.13,2.00,4.00,6.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',7762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5304806,7.00,6.00,2.00,4.00,8.00,9.00,3.00,5.00,4.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7013,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,427,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(20,5304822,3.00,5.00,2.00,1.00,6.00,NULL,3.00,3.00,3.00,238,NULL,208,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304830,6.00,6.00,0.00,6.00,5.00,9.75,3.00,3.00,3.00,201,NULL,203,'CARIANOS','FLORIANÓPOLIS','SC',12683,903,NULL,852,NULL,NULL,NULL,4,1),(20,5304849,4.00,6.00,0.00,3.00,5.00,NULL,0.00,2.00,3.00,5,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,201,'CIDADE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5304865,6.00,5.00,4.00,6.00,7.00,7.13,2.00,4.00,6.00,303,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',9071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304873,5.00,5.00,0.00,4.00,5.00,NULL,2.00,3.00,3.00,316,NULL,NULL,'JARDIM GALETO','ITATIBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5304890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5304903,3.00,5.00,1.00,4.00,8.00,NULL,1.00,3.00,2.00,9,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5304920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VILA NOVA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5304938,2.00,5.00,3.00,4.00,3.00,NULL,3.00,2.00,3.00,425,NULL,421,'ANTONIO PAGLIA','PTE SERRADA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5304946,5.00,6.00,1.00,5.00,4.00,7.88,3.00,1.00,3.00,303,NULL,NULL,'TINGUI','CURITIBA','PR',15808,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5304954,2.00,6.00,4.00,5.00,3.00,NULL,1.00,2.00,3.00,301,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5304962,7.00,6.00,4.00,0.00,6.00,8.25,5.00,5.00,5.00,2,NULL,NULL,'VÁRZEA','LAGES','SC',9133,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5304970,6.00,8.00,2.00,5.00,4.00,9.38,4.00,4.00,5.00,5,NULL,NULL,'EFAPI','CHAPECÓ','SC',9021,296,NULL,NULL,NULL,NULL,NULL,2,4),(20,5304989,3.00,5.00,1.00,6.00,5.00,7.88,1.00,4.00,4.00,104,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',13525,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5304997,4.00,5.00,4.00,3.00,7.00,8.63,0.00,2.00,4.00,212,NULL,216,'COSTEIRA','FLORIANÓPOLIS','SC',12945,329,NULL,516,NULL,NULL,NULL,2,1),(20,5305004,4.00,6.00,2.00,4.00,6.00,10.50,1.00,2.00,4.00,104,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305012,3.00,6.00,1.00,5.00,8.00,7.50,2.00,3.00,4.00,601,NULL,203,'COSTA E SILVA','JOINVILLE','SC',15692,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5305020,2.00,4.00,2.00,6.00,5.00,NULL,2.00,1.00,3.00,424,NULL,423,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305039,7.00,7.00,6.00,6.00,8.00,9.75,3.00,6.00,4.00,207,NULL,215,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',4268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305047,8.00,7.00,2.00,6.00,9.00,10.88,2.00,4.00,7.00,104,NULL,NULL,'CENTRO','VACARIA','RS',3783,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5305055,4.00,7.00,2.00,5.00,6.00,9.38,2.00,4.00,5.00,450,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305063,2.00,4.00,2.00,2.00,4.00,NULL,0.00,2.00,4.00,424,NULL,427,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305071,7.00,6.00,5.00,6.00,6.00,7.50,2.00,2.00,6.00,453,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11514,76,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305080,4.00,3.00,4.00,3.00,6.00,6.75,1.00,3.00,3.00,451,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',15864,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305098,7.00,6.00,4.00,7.00,7.00,8.25,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',7727,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5305101,5.00,4.00,4.00,1.00,6.00,8.63,4.00,4.00,5.00,102,NULL,NULL,'CENTRO','LAGES','SC',11546,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5305110,4.00,5.00,1.00,3.00,3.00,NULL,3.00,3.00,3.00,104,NULL,NULL,'SAO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5305136,1.00,6.00,0.00,4.00,3.00,NULL,1.00,0.00,2.00,653,NULL,203,'CIDADE MINEIRA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5305179,3.00,1.00,4.00,1.00,5.00,NULL,0.00,2.00,2.00,653,NULL,NULL,'CIDADE MINEIRA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5305187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'JARDIM CAÇAPAVA','CAÇAPAVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5305209,6.00,7.00,5.00,6.00,8.00,8.63,4.00,4.00,7.00,214,NULL,211,'CAMPECHE','FLORIANÓPOLIS','SC',4904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305217,5.00,6.00,3.00,3.00,6.00,9.00,2.00,4.00,6.00,203,NULL,202,'ABRAÃO','FLORIANÓPOLIS','SC',10042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305225,3.00,3.00,0.00,2.00,2.00,NULL,2.00,1.00,0.00,205,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305233,2.00,4.00,0.00,7.00,7.00,NULL,2.00,2.00,3.00,339,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305241,8.00,6.00,1.00,3.00,8.00,7.88,3.00,3.00,4.00,9,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',9804,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305250,5.00,5.00,4.00,3.00,4.00,8.25,2.00,2.00,6.00,502,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',14477,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'PARQUE SABARÁ','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5305276,7.00,6.00,5.00,4.00,8.00,3.75,5.00,7.00,7.00,211,NULL,214,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305284,8.00,8.00,6.00,4.00,4.00,12.75,5.00,5.00,6.00,203,NULL,202,'CARIANOS','FLORIANÓPOLIS','SC',2576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305292,7.00,6.00,2.00,5.00,7.00,10.50,2.00,2.00,6.00,103,NULL,NULL,'SANTO AMARO','CPO GRANDE','MS',9135,3039,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305306,9.00,8.00,7.00,6.00,10.00,10.50,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305314,8.00,6.00,2.00,7.00,9.00,8.25,1.00,3.00,6.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',6801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305322,4.00,6.00,0.00,3.00,4.00,NULL,1.00,2.00,1.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305330,5.00,5.00,4.00,5.00,9.00,6.00,1.00,4.00,5.00,301,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',9913,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305349,4.00,5.00,1.00,1.00,5.00,NULL,2.00,2.00,5.00,208,NULL,235,'CASCATA','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5305357,7.00,7.00,2.00,5.00,8.00,9.00,2.00,5.00,5.00,340,NULL,NULL,'ROSENTAL','STO ÂNGELO','RS',7038,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5305365,9.00,7.00,3.00,6.00,8.00,10.13,5.00,5.00,7.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',2050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305373,2.00,1.00,0.00,2.00,2.00,NULL,0.00,1.00,0.00,423,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305381,7.00,6.00,4.00,6.00,5.00,7.88,2.00,3.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9042,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305390,8.00,7.00,7.00,4.00,9.00,10.88,4.00,5.00,7.00,3,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',2040,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5305403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GONZAGA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5305411,6.00,6.00,4.00,4.00,7.00,8.25,2.00,0.00,7.00,103,NULL,NULL,'BATEL','CURITIBA','PR',10220,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5305420,8.00,7.00,2.00,7.00,9.00,10.88,3.00,4.00,4.00,415,NULL,NULL,'CENTRO','TUBARÃO','SC',4945,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5305438,7.00,6.00,3.00,6.00,6.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'CENTRO','FARROUPILHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5305446,2.00,3.00,0.00,2.00,3.00,NULL,3.00,1.00,2.00,201,NULL,202,'DISTRITO DE GRAPIA','PARAÍSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5305454,3.00,3.00,2.00,6.00,4.00,NULL,1.00,1.00,3.00,425,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305462,6.00,6.00,2.00,4.00,7.00,9.75,2.00,5.00,8.00,3,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',7857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305470,7.00,8.00,6.00,7.00,9.00,8.63,8.00,5.00,7.00,340,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',1302,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5305489,3.00,6.00,2.00,3.00,6.00,7.50,4.00,3.00,5.00,426,NULL,428,'CENTRO','PALHOÇA','SC',14476,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305497,9.00,7.00,6.00,4.00,10.00,10.13,4.00,5.00,9.00,103,NULL,NULL,'BELA VISTA','FRAIBURGO','SC',1012,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5305519,4.00,6.00,2.00,4.00,9.00,8.25,2.00,3.00,6.00,203,NULL,601,'PICADAS DO SUL','S JOSÉ','SC',8952,653,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305535,6.00,2.00,0.00,3.00,7.00,7.50,3.00,5.00,3.00,302,NULL,NULL,'IPIRANGA','S JOSÉ','SC',15538,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305543,5.00,5.00,2.00,4.00,5.00,9.38,3.00,1.00,5.00,109,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',11005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305551,8.00,6.00,5.00,7.00,9.00,10.13,5.00,4.00,4.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',3299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5305578,2.00,6.00,2.00,5.00,6.00,7.13,3.00,5.00,7.00,303,NULL,NULL,'PACHECOS','PALHOÇA','SC',9616,396,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5305594,0.00,6.00,0.00,2.00,3.00,NULL,3.00,1.00,1.00,501,NULL,NULL,'SÃO MIGUEL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'MONTE CARLO','TELÊMACO BORBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5305624,3.00,6.00,3.00,6.00,6.00,8.25,0.00,3.00,3.00,340,NULL,NULL,'CENTRO','XAXIM','SC',14343,402,NULL,NULL,NULL,NULL,NULL,4,4),(20,5305632,4.00,3.00,0.00,0.00,3.00,NULL,2.00,0.00,3.00,108,NULL,NULL,'LUCAS ARAUJO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305640,3.00,5.00,4.00,3.00,8.00,6.75,1.00,2.00,4.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305659,4.00,7.00,4.00,5.00,5.00,6.00,2.00,1.00,4.00,501,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',14404,94,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LEA LEAL','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5305675,7.00,4.00,2.00,3.00,6.00,12.00,3.00,1.00,5.00,319,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',12300,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5305683,2.00,5.00,0.00,5.00,6.00,NULL,3.00,0.00,4.00,303,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5305691,7.00,7.00,3.00,7.00,8.00,10.13,2.00,2.00,7.00,501,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',5001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305705,2.00,4.00,0.00,3.00,3.00,NULL,2.00,1.00,2.00,5,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5305713,7.00,7.00,2.00,7.00,9.00,9.38,3.00,6.00,6.00,101,NULL,NULL,'QUINTINO','TIMBÓ','SC',4865,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5305721,2.00,5.00,2.00,1.00,5.00,NULL,1.00,1.00,2.00,215,NULL,216,'NOSSA SRA APARECIDA','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5305730,3.00,6.00,1.00,4.00,6.00,6.75,2.00,3.00,3.00,301,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',15908,231,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305748,4.00,5.00,4.00,7.00,7.00,10.50,3.00,3.00,3.00,238,NULL,215,'PONTE DO IMARUIM','PALHOÇA','SC',10676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305756,7.00,8.00,5.00,8.00,9.00,10.50,5.00,4.00,6.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','LEBON RÉGIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5305772,4.00,3.00,2.00,5.00,4.00,NULL,3.00,2.00,2.00,420,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305780,1.00,0.00,1.00,3.00,5.00,NULL,0.00,3.00,1.00,109,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5305799,9.00,7.00,8.00,7.00,9.00,10.50,7.00,5.00,9.00,103,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305802,2.00,7.00,4.00,5.00,2.00,NULL,2.00,5.00,0.00,450,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5305829,3.00,4.00,1.00,3.00,4.00,NULL,0.00,1.00,5.00,103,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5305837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','PNT PORÃ','MS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5305845,6.00,5.00,0.00,6.00,8.00,9.38,3.00,3.00,4.00,340,NULL,NULL,'COLONIAL','S BENTO SUL','SC',10667,304,NULL,NULL,NULL,NULL,NULL,4,8),(20,5305861,5.00,7.00,3.00,4.00,7.00,10.50,2.00,4.00,5.00,9,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',9722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305870,4.00,4.00,1.00,2.00,3.00,NULL,2.00,3.00,4.00,601,NULL,211,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5305888,8.00,5.00,2.00,6.00,7.00,8.63,3.00,3.00,6.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',8307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305896,5.00,6.00,2.00,4.00,5.00,6.75,1.00,1.00,4.00,319,NULL,NULL,'LA SALLE','PATO BRANCO','PR',15805,329,NULL,NULL,NULL,NULL,NULL,2,4),(20,5305900,3.00,4.00,1.00,2.00,5.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5305926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5305934,8.00,9.00,1.00,6.00,2.00,NULL,3.00,2.00,6.00,5,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5305942,7.00,7.00,3.00,4.00,4.00,6.38,3.00,4.00,7.00,104,NULL,NULL,'CENTRO','NOVA OLÍMPIA','PR',10040,228,NULL,NULL,NULL,NULL,NULL,2,8),(20,5305950,4.00,5.00,2.00,3.00,5.00,7.13,3.00,1.00,3.00,303,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',15737,637,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305969,5.00,7.00,3.00,5.00,7.00,10.13,2.00,3.00,6.00,211,NULL,212,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',8586,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305977,6.00,7.00,2.00,5.00,6.00,9.38,3.00,5.00,8.00,503,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5586,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5305985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,215,'RIO BONITO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5305993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,208,'LINHA TRINTA E DOIS','ARROIO MEIO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5306000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,235,'CENTRO','SORRISO','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5306019,8.00,8.00,3.00,7.00,11.00,10.50,4.00,6.00,8.00,2,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BELA VISTA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5306035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALSACIA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5306043,6.00,4.00,2.00,4.00,4.00,10.13,3.00,2.00,5.00,207,NULL,211,'BELA VISTA','FRAIBURGO','SC',12332,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5306051,9.00,8.00,2.00,6.00,9.00,9.75,3.00,4.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306060,9.00,8.00,8.00,5.00,10.00,9.00,5.00,6.00,9.00,103,NULL,NULL,'CATARATAS','CASCAVEL','PR',824,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5306078,3.00,7.00,0.00,5.00,6.00,NULL,0.00,3.00,1.00,340,NULL,NULL,'BRACATINGA','TROMBUDO CENTRAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5306108,5.00,6.00,2.00,5.00,9.00,11.25,1.00,4.00,4.00,429,NULL,428,'CAPOEIRAS','FLORIANÓPOLIS','SC',8998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5306116,4.00,5.00,0.00,2.00,4.00,NULL,1.00,3.00,5.00,205,NULL,NULL,'JD DAS AMERICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5306124,8.00,8.00,4.00,8.00,10.00,9.75,5.00,4.00,6.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3327,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5306132,8.00,8.00,5.00,4.00,7.00,9.75,4.00,4.00,9.00,103,NULL,NULL,'IGUATEMI','RIBEIRÃO PRETO','SP',1950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5306140,3.00,5.00,0.00,5.00,3.00,NULL,3.00,2.00,2.00,208,NULL,238,'ZIMBROS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5306159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,9),(20,5306167,6.00,5.00,0.00,5.00,8.00,7.50,3.00,4.00,6.00,308,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5306175,3.00,5.00,2.00,3.00,5.00,6.75,2.00,4.00,6.00,103,NULL,NULL,'SÃO JOÃO','BRUSQUE','SC',15874,3809,NULL,NULL,NULL,NULL,NULL,4,6),(20,5306183,2.00,3.00,0.00,3.00,2.00,NULL,2.00,2.00,2.00,109,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5306191,5.00,8.00,2.00,7.00,5.00,7.50,3.00,4.00,5.00,501,NULL,NULL,'INDUSTRIAL','XAXIM','SC',12231,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5306205,5.00,5.00,4.00,7.00,5.00,NULL,0.00,2.00,2.00,326,NULL,NULL,'TRUJILLO','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'BAIRRO DE FÁTIMA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5306221,7.00,7.00,6.00,6.00,8.00,8.63,5.00,5.00,8.00,212,NULL,233,'VÁRZEA','LAGES','SC',4112,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5306230,7.00,6.00,8.00,7.00,9.00,7.50,5.00,3.00,7.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',2074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306248,6.00,3.00,0.00,2.00,4.00,9.75,3.00,4.00,4.00,503,NULL,NULL,'VILA BIANCHI','MOGI MIRIM','SP',14099,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5306256,8.00,8.00,5.00,7.00,7.00,8.63,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',3153,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5306272,5.00,7.00,3.00,6.00,7.00,10.13,2.00,4.00,3.00,653,NULL,651,'SANTANA','PTO ALEGRE','RS',7709,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5306299,8.00,6.00,5.00,7.00,8.00,9.75,4.00,6.00,7.00,316,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',2577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306302,3.00,3.00,1.00,3.00,4.00,NULL,0.00,2.00,0.00,301,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306329,3.00,2.00,1.00,1.00,5.00,NULL,3.00,4.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5306337,5.00,2.00,1.00,6.00,9.00,8.63,2.00,3.00,5.00,444,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',13680,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5306361,4.00,4.00,5.00,4.00,5.00,7.88,1.00,2.00,3.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306370,7.00,5.00,6.00,5.00,7.00,8.63,5.00,2.00,3.00,203,NULL,216,'CRISTO REI','CURITIBA','PR',5225,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5306388,5.00,3.00,1.00,3.00,6.00,NULL,2.00,1.00,3.00,333,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306396,6.00,5.00,4.00,7.00,5.00,6.75,1.00,3.00,1.00,201,NULL,202,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306418,5.00,6.00,1.00,3.00,5.00,7.13,2.00,2.00,5.00,201,NULL,601,'JARDIM CAIÇARA','S JOAQUIM','SC',13661,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5306426,8.00,7.00,8.00,7.00,9.00,11.25,4.00,8.00,7.00,415,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306434,7.00,5.00,2.00,3.00,1.00,NULL,0.00,3.00,2.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5306442,7.00,7.00,4.00,7.00,7.00,8.25,2.00,5.00,3.00,340,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',7027,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5306450,4.00,4.00,1.00,6.00,6.00,8.63,0.00,4.00,3.00,452,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',14386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306469,4.00,5.00,3.00,3.00,5.00,6.75,4.00,4.00,4.00,302,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',14058,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5306477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ALEMANHA','LUZERNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5306493,9.00,7.00,3.00,6.00,9.00,12.00,7.00,4.00,9.00,316,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',1178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306507,9.00,6.00,5.00,6.00,7.00,8.25,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',7084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5306523,7.00,6.00,2.00,6.00,7.00,9.00,1.00,3.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306531,8.00,8.00,4.00,6.00,8.00,10.13,4.00,5.00,4.00,208,NULL,238,'BARREIROS','S JOSÉ','SC',4101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306540,3.00,4.00,4.00,4.00,2.00,NULL,1.00,2.00,3.00,318,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5306558,6.00,7.00,5.00,4.00,6.00,8.25,5.00,4.00,3.00,302,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PERÓBA','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5306574,6.00,7.00,2.00,8.00,9.00,9.75,2.00,4.00,8.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306590,5.00,3.00,1.00,5.00,5.00,NULL,1.00,0.00,1.00,104,NULL,NULL,'CENTRO','CAIBI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5306604,2.00,3.00,1.00,5.00,4.00,NULL,0.00,1.00,4.00,303,NULL,NULL,'VILA MASCOTE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306612,8.00,7.00,4.00,8.00,8.00,8.63,7.00,6.00,6.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',1564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306620,3.00,6.00,0.00,2.00,4.00,NULL,4.00,3.00,3.00,101,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5306639,3.00,4.00,0.00,1.00,4.00,NULL,0.00,0.00,1.00,101,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306647,2.00,0.00,0.00,3.00,2.00,NULL,0.00,1.00,0.00,308,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5306663,6.00,8.00,7.00,4.00,6.00,9.75,4.00,5.00,6.00,427,NULL,421,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5306680,3.00,0.00,3.00,2.00,3.00,NULL,0.00,0.00,0.00,216,NULL,215,'NOSSA SRA APARECIDA','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(20,5306698,7.00,7.00,0.00,8.00,7.00,7.50,4.00,6.00,3.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',8044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306701,7.00,6.00,2.00,5.00,7.00,7.50,2.00,4.00,7.00,103,NULL,NULL,'PRESIDENTE VARGAS','IÇARA','SC',7278,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5306710,4.00,6.00,1.00,4.00,7.00,7.88,1.00,3.00,5.00,302,NULL,NULL,'CENTRO','BIGUAÇU','SC',12347,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5306736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SANTA CRUZ','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5306744,4.00,4.00,1.00,5.00,7.00,12.38,1.00,4.00,5.00,303,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',9279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306752,5.00,4.00,0.00,3.00,4.00,NULL,1.00,4.00,2.00,318,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306760,9.00,8.00,5.00,4.00,8.00,8.63,6.00,5.00,8.00,103,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',1641,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5306779,5.00,4.00,2.00,3.00,6.00,NULL,1.00,2.00,3.00,202,NULL,233,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5306787,8.00,7.00,4.00,7.00,7.00,9.38,6.00,7.00,6.00,103,NULL,NULL,'TRIANON','GUARAPUAVA','PR',2564,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5306809,7.00,7.00,3.00,6.00,8.00,8.25,1.00,5.00,6.00,215,NULL,211,'PICADAS DO SUL','S JOSÉ','SC',7961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306817,5.00,5.00,4.00,7.00,5.00,8.25,2.00,3.00,3.00,104,NULL,NULL,'AGUA VERDE','CURITIBA','PR',11179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306833,5.00,7.00,2.00,4.00,5.00,7.13,0.00,3.00,3.00,203,NULL,202,'SANTA TEREZINHA','BRUSQUE','SC',14232,903,NULL,477,NULL,NULL,NULL,4,2),(20,5306850,1.00,8.00,1.00,4.00,5.00,NULL,2.00,2.00,3.00,238,NULL,208,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TEUTÔNIA','TEUTÔNIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5306876,4.00,5.00,0.00,3.00,5.00,NULL,3.00,2.00,3.00,308,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306884,4.00,4.00,3.00,2.00,3.00,NULL,2.00,2.00,2.00,205,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306892,8.00,6.00,4.00,6.00,6.00,9.75,1.00,1.00,6.00,103,NULL,NULL,'CENTRO','FLORES CUNHA','RS',8614,2949,NULL,NULL,NULL,NULL,NULL,4,1),(20,5306906,6.00,7.00,1.00,4.00,3.00,NULL,0.00,1.00,4.00,423,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5306914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5306922,8.00,6.00,4.00,7.00,5.00,10.88,5.00,3.00,5.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',5881,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5306930,5.00,5.00,2.00,3.00,5.00,6.75,3.00,1.00,5.00,316,NULL,NULL,'TABULEIRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5306949,3.00,3.00,2.00,4.00,3.00,NULL,3.00,3.00,2.00,319,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5306957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE MONJOLO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5306965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA TONANI','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5306973,2.00,4.00,2.00,4.00,5.00,10.13,1.00,4.00,4.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',15040,3758,NULL,NULL,NULL,NULL,NULL,2,8),(20,5306981,7.00,4.00,3.00,6.00,7.00,7.13,5.00,4.00,5.00,5,NULL,NULL,'CENTRO','BIGUAÇU','SC',7550,248,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307007,3.00,6.00,0.00,3.00,6.00,NULL,0.00,3.00,3.00,5,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307015,6.00,6.00,2.00,5.00,6.00,7.13,3.00,3.00,4.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10684,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307023,6.00,6.00,1.00,5.00,7.00,9.75,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','URUBICI','SC',10431,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5307031,6.00,6.00,5.00,4.00,8.00,9.38,1.00,5.00,6.00,215,NULL,211,'BOM JESUS','PTO ALEGRE','RS',8481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307040,5.00,7.00,5.00,7.00,10.00,8.63,2.00,4.00,6.00,238,NULL,208,'FAZENDA STO ANTONIO','S JOSÉ','SC',6440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307058,3.00,5.00,2.00,7.00,7.00,7.88,2.00,2.00,7.00,332,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307066,3.00,4.00,2.00,5.00,7.00,NULL,2.00,1.00,2.00,420,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307074,6.00,4.00,3.00,7.00,9.00,9.75,0.00,2.00,5.00,205,NULL,NULL,'CENTRO','BRUSQUE','SC',7871,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5307090,8.00,7.00,1.00,5.00,6.00,7.88,1.00,1.00,4.00,103,NULL,NULL,'VILA ESPERANÇA','IMBITUBA','SC',9211,3052,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307104,7.00,5.00,1.00,6.00,9.00,7.88,3.00,4.00,3.00,5,NULL,NULL,'LIBERDADE','S PAULO','SP',9000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'N SRA DAS GRAÇAS','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5307155,2.00,5.00,1.00,0.00,5.00,NULL,0.00,2.00,3.00,319,NULL,NULL,'S JOÃO RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307163,6.00,7.00,4.00,4.00,6.00,9.75,2.00,6.00,3.00,5,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',10187,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5307171,7.00,7.00,2.00,6.00,8.00,NULL,5.00,7.00,5.00,319,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5307180,9.00,7.00,5.00,7.00,7.00,6.75,6.00,4.00,7.00,203,NULL,220,'CAMPECHE','FLORIANÓPOLIS','SC',2332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307198,7.00,7.00,1.00,7.00,5.00,8.63,5.00,3.00,7.00,207,NULL,233,'CORREGO GRANDE','FLORIANÓPOLIS','SC',7563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,212,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5307210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(20,5307228,4.00,6.00,2.00,6.00,7.00,9.00,1.00,5.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307236,8.00,8.00,5.00,7.00,11.00,8.25,2.00,4.00,6.00,201,NULL,212,'KOBRASOL','S JOSÉ','SC',2623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307244,0.00,3.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,224,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307252,6.00,7.00,4.00,2.00,6.00,8.25,3.00,2.00,6.00,203,NULL,214,'POTECAS','S JOSÉ','SC',11347,786,NULL,303,NULL,NULL,NULL,4,1),(20,5307260,8.00,7.00,6.00,7.00,10.00,9.38,3.00,3.00,6.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307279,7.00,7.00,6.00,7.00,10.00,10.50,5.00,3.00,7.00,211,NULL,601,'AGRONÔMICA','FLORIANÓPOLIS','SC',2735,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5307287,1.00,4.00,2.00,4.00,5.00,NULL,2.00,1.00,3.00,222,NULL,NULL,'VILA BIANCHI','MOGI MIRIM','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307295,8.00,7.00,2.00,5.00,9.00,9.00,4.00,4.00,4.00,202,NULL,213,'BUDAG','RIO SUL','SC',6267,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5307309,4.00,6.00,1.00,6.00,6.00,8.63,2.00,3.00,2.00,453,NULL,NULL,'MATRIZ','VIDEIRA','SC',14961,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5307317,6.00,5.00,5.00,8.00,9.00,9.00,5.00,4.00,6.00,203,NULL,220,'PANTANAL','FLORIANÓPOLIS','SC',3560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307325,4.00,3.00,0.00,1.00,4.00,NULL,4.00,0.00,4.00,303,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5307333,3.00,4.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,452,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307350,6.00,8.00,3.00,7.00,7.00,7.50,3.00,6.00,6.00,318,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',8161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','MIRACATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5307376,5.00,6.00,4.00,3.00,6.00,8.25,5.00,4.00,7.00,208,NULL,238,'SERRARIAS','S JOSÉ','SC',8076,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307384,7.00,7.00,4.00,6.00,7.00,6.75,3.00,4.00,4.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',9034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307422,2.00,3.00,0.00,3.00,2.00,NULL,1.00,2.00,2.00,208,NULL,238,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307430,3.00,4.00,1.00,0.00,2.00,NULL,3.00,1.00,2.00,223,NULL,NULL,'REAL PARQUE AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307457,3.00,3.00,1.00,5.00,4.00,6.75,3.00,2.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307465,5.00,6.00,2.00,3.00,5.00,10.13,3.00,1.00,2.00,207,NULL,203,'CENTRO','IMBITUBA','SC',12183,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5307473,2.00,3.00,3.00,0.00,4.00,NULL,1.00,2.00,0.00,208,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307481,3.00,5.00,4.00,5.00,5.00,7.88,1.00,3.00,5.00,102,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307490,5.00,0.00,1.00,5.00,2.00,NULL,0.00,0.00,0.00,202,NULL,651,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5307503,3.00,7.00,4.00,7.00,6.00,6.00,2.00,2.00,6.00,453,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307511,6.00,7.00,6.00,6.00,8.00,9.38,4.00,1.00,8.00,103,NULL,NULL,'SANTA CECÍLIA','PTO ALEGRE','RS',4207,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5307520,7.00,6.00,2.00,8.00,9.00,8.63,3.00,5.00,6.00,103,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',4569,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5307538,3.00,5.00,2.00,4.00,3.00,NULL,2.00,2.00,3.00,340,NULL,NULL,'PALMAS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307546,5.00,8.00,3.00,5.00,8.00,9.38,3.00,3.00,5.00,202,NULL,213,'PRAIA COMPRIDA','S JOSÉ','SC',7145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307554,1.00,4.00,1.00,3.00,2.00,NULL,0.00,1.00,3.00,5,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307562,6.00,7.00,4.00,7.00,9.00,11.63,2.00,2.00,6.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307570,5.00,6.00,2.00,3.00,7.00,9.38,2.00,3.00,3.00,212,NULL,214,'BELA VISTA','CHAPECÓ','SC',14399,353,NULL,353,NULL,NULL,NULL,2,4),(20,5307589,9.00,6.00,7.00,6.00,9.00,9.75,7.00,6.00,7.00,233,NULL,213,'BARREIROS','S JOSÉ','SC',976,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307597,6.00,6.00,2.00,7.00,7.00,11.25,1.00,4.00,9.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',5174,2197,NULL,NULL,NULL,NULL,NULL,4,3),(20,5307600,6.00,6.00,5.00,7.00,6.00,7.13,4.00,1.00,7.00,203,NULL,201,'NAÇÕES','BAL CAMBORIÚ','SC',6714,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5307619,4.00,6.00,3.00,6.00,8.00,8.25,3.00,5.00,3.00,201,NULL,207,'CENTRO','PTO ALEGRE','RS',8946,641,NULL,400,NULL,NULL,NULL,2,1),(20,5307627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5307635,7.00,3.00,2.00,6.00,7.00,10.13,1.00,3.00,3.00,233,NULL,211,'CAMPINAS','S JOSÉ','SC',11338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307643,3.00,4.00,2.00,5.00,5.00,7.88,2.00,1.00,4.00,104,NULL,NULL,'MUNICÍPIOS','CAÇADOR','SC',15219,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5307651,5.00,7.00,4.00,4.00,7.00,10.13,3.00,2.00,3.00,404,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9924,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307660,4.00,3.00,3.00,1.00,4.00,NULL,2.00,1.00,5.00,3,NULL,NULL,'PROGRESSO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5307678,9.00,6.00,2.00,6.00,8.00,9.00,4.00,4.00,8.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',4830,2099,NULL,NULL,NULL,NULL,NULL,2,8),(20,5307686,5.00,3.00,1.00,1.00,4.00,NULL,0.00,2.00,3.00,104,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5307694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'MATA VERDE','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5307708,5.00,6.00,3.00,5.00,6.00,7.88,5.00,4.00,5.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10242,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307716,9.00,7.00,6.00,5.00,8.00,12.00,3.00,5.00,6.00,103,NULL,NULL,'PASSO DA AREIA','PTO ALEGRE','RS',1468,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307724,0.00,5.00,3.00,5.00,3.00,NULL,0.00,3.00,1.00,308,NULL,NULL,'VILA NOVA','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,601,'IRIRÍU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5307767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5307775,3.00,7.00,0.00,5.00,6.00,4.50,2.00,2.00,3.00,429,NULL,425,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307805,2.00,4.00,3.00,1.00,2.00,NULL,3.00,2.00,2.00,308,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307813,4.00,6.00,3.00,3.00,2.00,NULL,1.00,4.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307821,4.00,3.00,1.00,4.00,4.00,NULL,1.00,1.00,3.00,207,NULL,211,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5307848,4.00,4.00,3.00,2.00,6.00,NULL,0.00,3.00,3.00,339,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307856,2.00,5.00,1.00,4.00,4.00,8.63,2.00,4.00,4.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5307864,3.00,3.00,1.00,5.00,9.00,NULL,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5307872,4.00,5.00,3.00,1.00,4.00,NULL,0.00,1.00,3.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307880,6.00,6.00,4.00,6.00,6.00,7.50,1.00,2.00,4.00,303,NULL,NULL,'PONTE PRETA','CAMPINAS','SP',11515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307902,4.00,5.00,0.00,5.00,4.00,NULL,1.00,3.00,4.00,108,NULL,NULL,'JOAQUINA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5307910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,207,'VILA CARLOTA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5307929,4.00,5.00,0.00,5.00,7.00,6.00,1.00,1.00,6.00,207,NULL,215,'CENTRO','CHAPECÓ','SC',13770,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5307937,5.00,6.00,0.00,3.00,6.00,9.75,3.00,3.00,7.00,103,NULL,NULL,'FERROVIARIO','MONTENEGRO','RS',9539,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5307953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5307961,4.00,5.00,2.00,4.00,8.00,6.00,4.00,4.00,5.00,444,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',10099,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5307970,4.00,6.00,4.00,5.00,4.00,9.38,3.00,1.00,4.00,208,NULL,235,'UNIVERSITARIO','CHAPECÓ','SC',12989,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5307988,7.00,6.00,2.00,7.00,8.00,7.88,3.00,1.00,6.00,103,NULL,NULL,'SÃO CIRO II','CAXIAS SUL','RS',6465,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5307996,7.00,7.00,2.00,7.00,8.00,7.13,2.00,4.00,3.00,104,NULL,NULL,'PLANO DIRETOR SUL','PALMAS','TO',8875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5308011,8.00,8.00,3.00,8.00,8.00,8.25,5.00,5.00,6.00,333,NULL,NULL,'CIDADE NOVA','PTO UNIÃO','SC',2666,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5308020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5308046,6.00,6.00,1.00,5.00,5.00,9.00,4.00,3.00,2.00,211,NULL,215,'ROÇADO','S JOSÉ','SC',14265,443,NULL,295,NULL,NULL,NULL,2,1),(20,5308054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5308062,6.00,7.00,6.00,7.00,6.00,7.88,0.00,3.00,5.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',8654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5308070,3.00,6.00,4.00,4.00,7.00,9.38,1.00,3.00,0.00,329,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5308097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5308100,8.00,8.00,3.00,3.00,9.00,8.63,3.00,6.00,8.00,415,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',3096,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'COLONINHA','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5308127,3.00,6.00,3.00,3.00,6.00,7.13,3.00,4.00,2.00,404,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308135,8.00,7.00,1.00,7.00,10.00,10.50,6.00,6.00,6.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',2631,1344,NULL,NULL,NULL,NULL,NULL,2,15),(20,5308143,6.00,6.00,0.00,3.00,6.00,NULL,0.00,1.00,3.00,5,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5308151,9.00,7.00,7.00,6.00,10.00,9.00,5.00,5.00,6.00,103,NULL,NULL,'CENTRO','GUAÍBA','RS',1127,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5308160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','SARANDI','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5308178,2.00,4.00,1.00,4.00,4.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'MONTE ALEGRE','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5308186,6.00,5.00,2.00,7.00,10.00,9.75,4.00,3.00,6.00,2,NULL,NULL,'SÃO JOSÉ','CAXIAS SUL','RS',5517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5308194,8.00,7.00,1.00,5.00,5.00,6.75,0.00,2.00,5.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11874,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308208,3.00,5.00,2.00,6.00,5.00,9.00,2.00,1.00,4.00,3,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',15154,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5308224,4.00,4.00,0.00,4.00,4.00,NULL,4.00,2.00,4.00,213,NULL,202,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308240,7.00,8.00,4.00,5.00,7.00,7.13,3.00,5.00,7.00,340,NULL,NULL,'CENTRO','S JOSÉ CEDRO','SC',6392,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5308259,4.00,5.00,2.00,3.00,4.00,7.50,1.00,2.00,3.00,318,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',15860,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5308275,4.00,5.00,1.00,5.00,4.00,NULL,2.00,0.00,1.00,309,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5308283,3.00,0.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,653,NULL,202,'PASSAGEM','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(20,5308291,6.00,7.00,3.00,4.00,9.00,8.63,3.00,4.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5308305,4.00,7.00,0.00,3.00,6.00,NULL,3.00,2.00,4.00,201,NULL,212,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308313,0.00,4.00,1.00,4.00,2.00,NULL,1.00,3.00,3.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308321,4.00,6.00,1.00,4.00,4.00,7.13,0.00,2.00,5.00,201,NULL,208,'PINHEIRA','PALHOÇA','SC',14635,1039,NULL,404,NULL,NULL,NULL,2,1),(20,5308330,3.00,2.00,0.00,3.00,4.00,NULL,1.00,2.00,3.00,551,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5308348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','ENTRE R SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5308356,2.00,1.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,404,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308364,4.00,3.00,2.00,2.00,4.00,NULL,2.00,2.00,3.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308399,3.00,2.00,1.00,2.00,6.00,NULL,1.00,3.00,3.00,601,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5308402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5308410,2.00,4.00,2.00,3.00,3.00,NULL,3.00,2.00,4.00,224,NULL,NULL,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308429,4.00,6.00,1.00,3.00,3.00,NULL,4.00,2.00,3.00,238,NULL,208,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308437,5.00,5.00,0.00,3.00,2.00,NULL,4.00,4.00,2.00,332,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5308453,1.00,4.00,0.00,4.00,5.00,NULL,1.00,2.00,3.00,303,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5308461,5.00,5.00,1.00,5.00,6.00,10.88,0.00,3.00,6.00,211,NULL,233,'BARREIROS','S JOSÉ','SC',11230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308470,4.00,5.00,2.00,3.00,3.00,NULL,0.00,3.00,4.00,653,NULL,652,'CENTRO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5308488,4.00,7.00,0.00,5.00,4.00,NULL,0.00,4.00,5.00,302,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5308500,3.00,0.00,3.00,2.00,6.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5308518,2.00,2.00,2.00,2.00,6.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5308526,1.00,3.00,1.00,3.00,3.00,NULL,1.00,3.00,3.00,5,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308534,9.00,8.00,6.00,5.00,11.00,10.88,2.00,7.00,8.00,103,NULL,NULL,'PARQUE CIDADE JARDIM','UMUARAMA','PR',1052,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5308542,2.00,8.00,2.00,2.00,5.00,7.13,2.00,2.00,5.00,651,NULL,653,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5308569,4.00,3.00,0.00,2.00,4.00,NULL,0.00,1.00,3.00,339,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308577,3.00,4.00,2.00,2.00,4.00,4.13,5.00,2.00,5.00,653,NULL,652,'VILA BEATRIZ','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5308585,4.00,4.00,2.00,7.00,8.00,9.00,1.00,3.00,5.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',11114,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5308607,2.00,5.00,3.00,3.00,3.00,NULL,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5308615,2.00,5.00,4.00,0.00,6.00,NULL,3.00,2.00,6.00,453,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5308623,5.00,7.00,8.00,7.00,9.00,10.13,3.00,4.00,5.00,211,NULL,201,'AMERICANO','LAJEADO','RS',2398,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5308631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5308658,2.00,4.00,4.00,0.00,5.00,NULL,0.00,3.00,4.00,333,NULL,NULL,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5308682,3.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5308690,2.00,6.00,1.00,5.00,9.00,6.38,0.00,4.00,5.00,238,NULL,208,'JARDIM TAROBA','FOZ IGUAÇU','PR',11863,247,NULL,278,NULL,NULL,NULL,4,1),(20,5308712,3.00,4.00,1.00,3.00,6.00,NULL,2.00,1.00,3.00,211,NULL,207,'CENTRO','S LUIZ GONZAGA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5308739,4.00,4.00,1.00,4.00,6.00,NULL,0.00,2.00,0.00,9,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308747,6.00,7.00,4.00,6.00,4.00,7.50,3.00,2.00,2.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',11319,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5308755,9.00,6.00,4.00,7.00,8.00,12.00,4.00,6.00,7.00,103,NULL,NULL,'PASCOTINI','STO ÂNGELO','RS',1533,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5308771,8.00,8.00,5.00,7.00,10.00,10.13,4.00,6.00,7.00,415,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',1304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5308780,6.00,5.00,2.00,4.00,6.00,7.13,3.00,3.00,5.00,203,NULL,235,'CENTRO','CHAPECÓ','SC',10473,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5308798,3.00,5.00,0.00,2.00,4.00,NULL,1.00,3.00,2.00,309,NULL,NULL,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308801,8.00,7.00,5.00,7.00,8.00,7.50,4.00,3.00,5.00,303,NULL,NULL,'CENTRO','JOSÉ BOITEUX','SC',4187,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5308828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PIO X','FARROUPILHA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5308836,2.00,2.00,0.00,3.00,3.00,NULL,0.00,1.00,3.00,203,NULL,601,'SÃO FRANCISCO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5308844,7.00,6.00,4.00,3.00,8.00,7.88,3.00,4.00,4.00,340,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9977,277,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308852,9.00,7.00,2.00,7.00,9.00,10.13,4.00,3.00,7.00,103,NULL,NULL,'SÃO JOSÉ','S LEOPOLDO','RS',3238,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308860,0.00,4.00,2.00,1.00,3.00,NULL,1.00,3.00,3.00,302,NULL,NULL,'GUAIUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5308879,7.00,8.00,2.00,7.00,9.00,10.13,5.00,5.00,4.00,207,NULL,201,'CENTRO','FAXINAL GUEDES','SC',4488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5308895,4.00,6.00,2.00,4.00,8.00,8.63,3.00,4.00,2.00,501,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',12312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5308917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'JARDIM BIRIGUI','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5308925,5.00,4.00,1.00,5.00,6.00,8.63,1.00,3.00,6.00,2,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',14216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5308933,2.00,5.00,2.00,2.00,5.00,6.00,2.00,4.00,3.00,201,NULL,207,'INGLESES','FLORIANÓPOLIS','SC',16324,1138,NULL,797,NULL,NULL,NULL,2,1),(20,5308941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'ARIRIBÁ','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5308950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5308968,4.00,4.00,1.00,1.00,3.00,NULL,1.00,1.00,4.00,104,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5308976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5308984,2.00,4.00,1.00,3.00,2.00,NULL,2.00,1.00,2.00,201,NULL,207,'CENTRO','S LUIZ GONZAGA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5308992,4.00,5.00,2.00,4.00,4.00,8.63,2.00,1.00,2.00,301,NULL,NULL,'CASCATINHA','CURITIBA','PR',14869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309000,5.00,5.00,3.00,4.00,5.00,7.50,0.00,3.00,5.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5309018,4.00,5.00,2.00,6.00,4.00,9.75,4.00,3.00,5.00,216,NULL,233,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309026,8.00,5.00,3.00,4.00,5.00,7.88,3.00,3.00,8.00,233,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',7823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309042,4.00,4.00,2.00,5.00,6.00,9.00,3.00,4.00,5.00,333,NULL,NULL,'REAL PARQUE','CAMPINAS','SP',9830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309050,6.00,4.00,1.00,5.00,3.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5309077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'BOSQUE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5309085,5.00,6.00,1.00,5.00,5.00,7.13,1.00,4.00,2.00,5,NULL,NULL,'CENTRO','PAULO LOPES','SC',15715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309093,7.00,7.00,2.00,3.00,3.00,NULL,3.00,3.00,5.00,318,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309107,5.00,5.00,3.00,7.00,2.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5309115,3.00,3.00,2.00,1.00,2.00,NULL,1.00,3.00,0.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309123,3.00,6.00,0.00,4.00,6.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'VILA NOVA','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5309131,2.00,5.00,0.00,5.00,8.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5309140,6.00,6.00,5.00,5.00,8.00,7.50,5.00,6.00,8.00,104,NULL,NULL,'NOSSA SENHORA APAREC','FRANCISCO BELTRÃO','PR',2838,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5309158,3.00,2.00,2.00,5.00,2.00,NULL,1.00,0.00,2.00,101,NULL,NULL,'ROCADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5309166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'DISTRITO SÃO ROQUE','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5309174,8.00,8.00,3.00,6.00,10.00,10.50,4.00,3.00,7.00,103,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',2995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309182,2.00,7.00,0.00,3.00,6.00,6.00,2.00,2.00,5.00,601,NULL,203,'CANGAIBA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5309190,7.00,6.00,0.00,6.00,6.00,NULL,6.00,3.00,3.00,2,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,2),(20,5309204,5.00,6.00,3.00,4.00,9.00,8.63,1.00,2.00,6.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11713,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5309212,4.00,3.00,1.00,3.00,4.00,NULL,2.00,1.00,3.00,319,NULL,NULL,'CENTRO','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5309220,6.00,5.00,2.00,4.00,8.00,10.50,4.00,3.00,6.00,102,NULL,NULL,'CENTRO','CAÇADOR','SC',7507,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5309239,3.00,4.00,2.00,0.00,3.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5309247,1.00,4.00,0.00,3.00,4.00,NULL,0.00,2.00,3.00,201,NULL,212,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5309255,6.00,5.00,3.00,5.00,6.00,8.25,4.00,1.00,5.00,104,NULL,NULL,'PAULAS','S FRANCISCO SUL','SC',11019,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5309271,3.00,3.00,3.00,5.00,6.00,NULL,3.00,1.00,2.00,415,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5309280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5309301,3.00,2.00,2.00,0.00,1.00,NULL,0.00,1.00,3.00,551,NULL,NULL,'CENTRO','CAC DOBLE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5309310,8.00,4.00,2.00,2.00,6.00,9.38,1.00,5.00,2.00,303,NULL,NULL,'ZONA SETE','MARINGÁ','PR',12101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5309328,8.00,8.00,2.00,6.00,9.00,9.75,3.00,5.00,7.00,216,NULL,203,'CENTRO','ENTRE R SUL','RS',3280,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5309344,3.00,6.00,2.00,4.00,4.00,NULL,1.00,3.00,2.00,333,NULL,NULL,'AURRORA','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5309352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'ESTADOS','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5309360,2.00,2.00,1.00,3.00,6.00,NULL,1.00,2.00,0.00,601,NULL,201,'CENTRO','AGRONÔMICA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,9),(20,5309379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5309387,6.00,9.00,5.00,6.00,9.00,8.25,1.00,3.00,5.00,303,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',4466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309395,8.00,8.00,4.00,6.00,10.00,10.13,3.00,7.00,8.00,103,NULL,NULL,'CENTRO','PR GRANDE','SC',2034,1096,NULL,NULL,NULL,NULL,NULL,2,5),(20,5309409,7.00,4.00,3.00,6.00,9.00,8.63,2.00,5.00,5.00,428,NULL,424,'CAPOEIRAS','FLORIANÓPOLIS','SC',8181,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5309417,4.00,6.00,1.00,5.00,7.00,9.00,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','ERVAL VELHO','SC',14533,3697,NULL,NULL,NULL,NULL,NULL,2,7),(20,5309425,8.00,7.00,4.00,6.00,6.00,9.00,4.00,4.00,7.00,216,NULL,NULL,'CENTRO','TOLEDO','PR',4891,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5309433,4.00,3.00,2.00,5.00,6.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'CENTRO','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5309441,6.00,5.00,2.00,3.00,5.00,10.88,2.00,2.00,5.00,211,NULL,201,'CENTRO','NOVA PRATA','RS',11487,354,NULL,834,NULL,NULL,NULL,2,9),(20,5309450,4.00,5.00,5.00,5.00,4.00,7.50,2.00,2.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5309476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5309484,6.00,5.00,2.00,2.00,5.00,8.25,2.00,2.00,2.00,208,NULL,238,'CENTRO','CANOINHAS','SC',14349,393,NULL,358,NULL,NULL,NULL,4,17),(20,5309492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SÃO JOÃO','TAQUARI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5309514,2.00,5.00,2.00,4.00,4.00,NULL,1.00,2.00,3.00,208,NULL,238,'BELA VISTA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5309522,1.00,3.00,1.00,2.00,2.00,NULL,1.00,3.00,2.00,453,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309530,1.00,0.00,0.00,2.00,2.00,NULL,1.00,1.00,2.00,551,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5309557,7.00,6.00,3.00,4.00,3.00,NULL,4.00,2.00,5.00,103,NULL,NULL,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5309565,7.00,7.00,5.00,7.00,7.00,9.38,6.00,2.00,5.00,304,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',2848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309573,6.00,5.00,1.00,5.00,6.00,7.88,1.00,2.00,5.00,319,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',14940,306,NULL,NULL,NULL,NULL,NULL,2,1),(20,5309581,8.00,5.00,3.00,6.00,9.00,12.38,3.00,4.00,4.00,310,NULL,NULL,'CENTRO','ERECHIM','RS',5022,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5309590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','TRÊS B PARANÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5309603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'VILA A','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5309611,7.00,5.00,3.00,4.00,5.00,8.25,4.00,3.00,4.00,203,NULL,202,'WEISSOPOLIS','PINHAIS','PR',10716,764,NULL,365,NULL,NULL,NULL,4,6),(20,5309620,8.00,6.00,5.00,7.00,10.00,9.00,8.00,5.00,8.00,213,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',1251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309638,8.00,8.00,7.00,5.00,9.00,11.25,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',722,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5309646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SANTA FELÍCIA','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5309654,2.00,5.00,3.00,5.00,3.00,NULL,2.00,2.00,1.00,201,NULL,203,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5309670,6.00,5.00,2.00,6.00,6.00,6.75,3.00,2.00,6.00,317,NULL,NULL,'BOM CLIMA','GUARULHOS','SP',12747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5309697,3.00,4.00,4.00,2.00,6.00,NULL,1.00,3.00,3.00,208,NULL,235,'TERMAS DO GRAVATAL','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5309700,3.00,3.00,0.00,2.00,4.00,NULL,3.00,4.00,2.00,207,NULL,201,'MORRO DAS TRÊS VOLTA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','SCHROEDER','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5309735,6.00,4.00,1.00,7.00,7.00,10.13,3.00,2.00,3.00,238,NULL,652,'SANTO ANTONIO DE PAD','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5309743,6.00,6.00,4.00,7.00,8.00,7.13,2.00,5.00,7.00,104,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',6715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309760,3.00,6.00,2.00,6.00,8.00,7.88,2.00,3.00,5.00,215,NULL,233,'SANTA MONICA','FLORIANÓPOLIS','SC',8978,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5309778,4.00,3.00,1.00,3.00,4.00,NULL,0.00,4.00,2.00,453,NULL,NULL,'FLORIANÓPOLIS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5309786,1.00,5.00,0.00,1.00,3.00,NULL,4.00,1.00,3.00,201,NULL,207,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5309808,3.00,5.00,0.00,6.00,6.00,NULL,2.00,1.00,2.00,340,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309816,4.00,5.00,1.00,5.00,5.00,9.38,3.00,2.00,3.00,201,NULL,211,'CENTRO','RIO SUL','SC',14887,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5309824,5.00,3.00,1.00,5.00,6.00,7.13,3.00,6.00,5.00,404,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309832,1.00,4.00,4.00,3.00,5.00,NULL,0.00,1.00,3.00,104,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5309840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5309867,5.00,4.00,2.00,5.00,4.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5309875,2.00,4.00,0.00,3.00,4.00,NULL,2.00,1.00,2.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5309905,5.00,3.00,3.00,6.00,4.00,8.63,4.00,2.00,2.00,203,NULL,208,'JD CLAUDIA','LONDRINA','PR',11374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5309930,8.00,8.00,1.00,4.00,8.00,6.00,2.00,5.00,4.00,651,NULL,652,'PANTANAL','FLORIANÓPOLIS','SC',12184,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5309948,3.00,2.00,2.00,6.00,3.00,NULL,4.00,4.00,2.00,208,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309956,2.00,5.00,0.00,7.00,5.00,NULL,0.00,1.00,1.00,109,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309964,3.00,5.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5309972,4.00,4.00,4.00,6.00,8.00,7.88,3.00,4.00,5.00,340,NULL,NULL,'CENTRO','CURITIBA','PR',10268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5309980,3.00,4.00,1.00,2.00,7.00,NULL,2.00,2.00,5.00,201,NULL,203,'SÃO CRISTOVÃO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5309999,3.00,4.00,0.00,5.00,8.00,9.38,0.00,4.00,5.00,317,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',14251,93,NULL,NULL,NULL,NULL,NULL,2,1),(20,5310008,4.00,7.00,4.00,7.00,8.00,6.00,4.00,3.00,6.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',9241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5310032,4.00,3.00,0.00,2.00,4.00,NULL,2.00,1.00,3.00,501,NULL,NULL,'SEDE CHARUTO','S BERNARDINO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310040,5.00,7.00,4.00,6.00,9.00,10.13,4.00,6.00,3.00,104,NULL,NULL,'VILA NOVA','BLUMENAU','SC',3925,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5310059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5310075,4.00,2.00,1.00,5.00,5.00,NULL,3.00,2.00,4.00,303,NULL,NULL,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5310083,3.00,6.00,0.00,0.00,5.00,NULL,1.00,3.00,3.00,451,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5310091,4.00,7.00,1.00,5.00,5.00,6.75,1.00,3.00,4.00,316,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',14257,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5310105,4.00,6.00,3.00,6.00,8.00,9.00,1.00,5.00,6.00,425,NULL,421,'KOBRASOL','S JOSÉ','SC',10107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310121,2.00,5.00,2.00,5.00,6.00,7.13,2.00,3.00,4.00,339,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',15806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5310156,9.00,7.00,5.00,7.00,7.00,9.75,4.00,4.00,8.00,103,NULL,NULL,'CENTRO','AMPÉRE','PR',2379,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5310164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SANTA CALRA','S JOÃO B VISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5310172,3.00,2.00,2.00,3.00,3.00,NULL,1.00,4.00,4.00,223,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5310180,4.00,7.00,1.00,7.00,4.00,6.75,1.00,2.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TROPICAL','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5310202,3.00,5.00,0.00,4.00,3.00,NULL,2.00,1.00,5.00,309,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5310210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5310229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5310237,2.00,0.00,0.00,4.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5310245,9.00,6.00,6.00,3.00,8.00,9.38,4.00,4.00,3.00,104,NULL,NULL,'PAULAS','S FRANCISCO SUL','SC',6285,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5310253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5310261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'HUMAITÁ','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5310270,5.00,5.00,5.00,6.00,4.00,6.75,1.00,1.00,2.00,3,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310288,6.00,5.00,1.00,5.00,4.00,8.63,2.00,1.00,4.00,238,NULL,208,'NASPOLINI','CRICIÚMA','SC',14975,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5310300,4.00,4.00,2.00,5.00,4.00,NULL,0.00,3.00,2.00,327,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310318,1.00,4.00,4.00,4.00,6.00,NULL,1.00,2.00,1.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VILA BRESSANI','PAULÍNIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5310334,5.00,6.00,2.00,5.00,9.00,7.88,1.00,2.00,4.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',15065,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5310342,3.00,4.00,1.00,4.00,4.00,NULL,1.00,2.00,2.00,601,NULL,203,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5310350,2.00,3.00,2.00,2.00,3.00,NULL,2.00,3.00,1.00,205,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5310369,3.00,3.00,3.00,6.00,5.00,NULL,0.00,3.00,2.00,444,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310377,4.00,5.00,2.00,6.00,5.00,7.50,1.00,4.00,6.00,450,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',13425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5310385,8.00,7.00,5.00,5.00,6.00,12.00,5.00,3.00,5.00,207,NULL,201,'FORQUETA','CAXIAS SUL','RS',4274,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5310393,5.00,4.00,1.00,4.00,3.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5310415,7.00,6.00,2.00,6.00,7.00,7.50,0.00,3.00,3.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5310440,3.00,4.00,3.00,1.00,1.00,NULL,1.00,1.00,2.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5310458,6.00,8.00,5.00,5.00,5.00,10.50,3.00,4.00,6.00,319,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310466,7.00,6.00,4.00,6.00,7.00,10.50,3.00,3.00,2.00,103,NULL,NULL,'CENTRO','NAVEGANTES','SC',8618,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5310474,8.00,7.00,5.00,7.00,7.00,9.00,5.00,2.00,7.00,203,NULL,220,'CENTRO','DOIS VIZINHOS','PR',3212,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5310482,9.00,8.00,6.00,7.00,9.00,10.13,4.00,4.00,7.00,103,NULL,NULL,'MEDIANEIRA','STA MARIA','RS',1005,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5310490,6.00,6.00,2.00,5.00,5.00,7.13,4.00,2.00,4.00,103,NULL,NULL,'INTERIOR','NOVA ERECHIM','SC',11182,3325,NULL,NULL,NULL,NULL,NULL,4,4),(20,5310504,7.00,5.00,4.00,6.00,8.00,10.50,2.00,4.00,7.00,301,NULL,NULL,'CENTRO','ITAJAÍ','SC',5542,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5310512,6.00,6.00,4.00,4.00,9.00,9.75,4.00,2.00,6.00,601,NULL,213,'BOM RETIRO','JOINVILLE','SC',5873,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5310520,3.00,5.00,3.00,7.00,6.00,7.88,5.00,3.00,6.00,102,NULL,NULL,'CENTRO DE PALHOÇA','PALHOÇA','SC',11120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310539,3.00,5.00,0.00,1.00,4.00,NULL,1.00,0.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310547,7.00,3.00,2.00,4.00,9.00,7.50,3.00,5.00,4.00,104,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',9598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5310555,6.00,8.00,7.00,7.00,8.00,6.75,3.00,3.00,5.00,208,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310563,3.00,4.00,2.00,4.00,6.00,8.63,2.00,3.00,3.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5310580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,201,'SENHOR BOM JESUS','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5310598,8.00,7.00,4.00,7.00,10.00,8.25,3.00,2.00,6.00,220,NULL,208,'CENTRO','TOLEDO','PR',6192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310601,3.00,3.00,0.00,3.00,3.00,NULL,1.00,3.00,1.00,453,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5310610,6.00,6.00,4.00,5.00,6.00,10.50,4.00,4.00,5.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',6776,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5310628,5.00,6.00,3.00,7.00,5.00,9.00,4.00,4.00,3.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11245,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5310644,8.00,6.00,2.00,7.00,6.00,7.50,4.00,2.00,4.00,203,NULL,201,'CENTRO','MAFRA','SC',9634,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5310652,7.00,7.00,7.00,6.00,8.00,11.25,6.00,5.00,4.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',2719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310660,4.00,3.00,1.00,2.00,3.00,NULL,1.00,3.00,3.00,216,NULL,207,'JARDIM PAULISTA','PARAGUAÇU PAULISTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5310679,6.00,8.00,4.00,6.00,4.00,7.13,4.00,4.00,6.00,202,NULL,208,'GARCIA','BLUMENAU','SC',6611,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5310687,5.00,6.00,1.00,6.00,3.00,NULL,1.00,1.00,4.00,303,NULL,NULL,'CAPOERIAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310695,9.00,6.00,8.00,6.00,9.00,9.00,9.00,6.00,9.00,212,NULL,213,'PARQUE RONDON','LENÇÓIS PAULISTA','SP',546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310709,7.00,4.00,2.00,8.00,8.00,8.25,0.00,4.00,4.00,103,NULL,NULL,'FORTALEZA','RIO PARDO','RS',8860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310717,6.00,7.00,5.00,7.00,6.00,6.00,2.00,5.00,4.00,203,NULL,201,'CENTRO','ITAPEMA','SC',8621,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5310725,5.00,5.00,3.00,2.00,7.00,8.25,3.00,3.00,3.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14649,226,NULL,NULL,NULL,NULL,NULL,2,1),(20,5310733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5310741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5310750,4.00,4.00,1.00,2.00,3.00,NULL,3.00,4.00,4.00,201,NULL,216,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5310776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5310784,4.00,5.00,2.00,4.00,5.00,7.13,1.00,2.00,4.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16283,537,NULL,NULL,NULL,NULL,NULL,2,1),(20,5310792,3.00,2.00,0.00,4.00,3.00,NULL,1.00,3.00,1.00,309,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5310806,6.00,5.00,1.00,3.00,7.00,9.00,0.00,3.00,2.00,404,NULL,NULL,'ROÇADO','S JOSÉ','SC',13968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5310822,7.00,6.00,2.00,4.00,5.00,7.13,3.00,3.00,7.00,102,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',9031,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5310830,3.00,7.00,0.00,3.00,2.00,NULL,1.00,2.00,3.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310849,7.00,5.00,2.00,7.00,10.00,7.13,3.00,6.00,5.00,310,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',7376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,653,'PARAGUAI','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5310865,8.00,6.00,6.00,6.00,8.00,8.63,4.00,4.00,6.00,220,NULL,208,'PETROPOLIS','LONDRINA','PR',3467,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5310873,4.00,6.00,1.00,7.00,4.00,NULL,2.00,3.00,2.00,203,NULL,652,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5310881,3.00,5.00,1.00,5.00,1.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5310890,4.00,4.00,1.00,4.00,4.00,8.25,4.00,1.00,3.00,103,NULL,NULL,'BOA VISTA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5310903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'SANTO ANTÔNIO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5310911,8.00,7.00,3.00,6.00,9.00,10.50,5.00,6.00,7.00,108,NULL,NULL,'CENTRO','CAMBORIÚ','SC',3052,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5310920,6.00,7.00,1.00,5.00,7.00,9.38,1.00,6.00,3.00,336,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',11929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310938,8.00,6.00,3.00,6.00,6.00,6.38,2.00,5.00,5.00,103,NULL,NULL,'PASSAGEM','TUBARÃO','SC',6974,2642,NULL,NULL,NULL,NULL,NULL,4,10),(20,5310946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5310954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CARANDÁ BOSQUE','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5310962,8.00,9.00,2.00,7.00,7.00,10.88,3.00,4.00,6.00,207,NULL,238,'PANTANAL','FLORIANÓPOLIS','SC',4524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5310989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MIRANDÓPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5311004,9.00,6.00,8.00,8.00,8.00,12.38,4.00,4.00,8.00,103,NULL,NULL,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5311012,8.00,8.00,6.00,5.00,5.00,9.00,6.00,6.00,9.00,104,NULL,NULL,'SANTA CANDIDA','CURITIBA','PR',1744,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5311047,5.00,6.00,2.00,4.00,6.00,NULL,1.00,4.00,4.00,309,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5311055,5.00,2.00,2.00,4.00,5.00,8.25,2.00,3.00,4.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311063,4.00,5.00,5.00,5.00,7.00,9.75,1.00,5.00,5.00,317,NULL,NULL,'FLORESTA','S JOSÉ','SC',8906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311071,3.00,6.00,5.00,4.00,8.00,11.25,2.00,3.00,4.00,329,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',11579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311080,6.00,5.00,2.00,7.00,6.00,7.50,2.00,4.00,4.00,103,NULL,NULL,'ESPLANADA','STA ROSA','RS',10440,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5311098,3.00,4.00,2.00,2.00,5.00,NULL,0.00,2.00,1.00,202,NULL,203,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311101,3.00,5.00,3.00,5.00,5.00,6.38,1.00,4.00,4.00,214,NULL,203,'BOSQUE DO EUCALIPTOS','S JOSÉ CAMPOS','SP',15656,374,NULL,959,NULL,NULL,NULL,4,1),(20,5311110,4.00,5.00,3.00,4.00,3.00,NULL,3.00,2.00,3.00,235,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5311128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INDUSTRIAL','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5311136,3.00,4.00,1.00,5.00,5.00,NULL,0.00,2.00,1.00,404,NULL,NULL,'CAMPO DE FORA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5311144,4.00,6.00,2.00,7.00,3.00,NULL,5.00,0.00,5.00,235,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5311152,3.00,3.00,1.00,4.00,4.00,NULL,0.00,1.00,1.00,303,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5311160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5311179,9.00,8.00,4.00,7.00,9.00,11.63,5.00,8.00,8.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5311187,4.00,6.00,4.00,3.00,7.00,9.75,1.00,5.00,5.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',9833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311195,3.00,3.00,0.00,2.00,5.00,NULL,2.00,2.00,1.00,444,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5311209,6.00,6.00,2.00,5.00,9.00,7.88,2.00,4.00,5.00,216,NULL,215,'BARRANCEIRA','LAGUNA','SC',7837,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5311217,4.00,3.00,2.00,6.00,4.00,NULL,0.00,1.00,4.00,450,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5311225,5.00,3.00,3.00,5.00,5.00,8.25,2.00,2.00,3.00,317,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',14262,94,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311233,8.00,7.00,5.00,7.00,8.00,9.75,4.00,4.00,7.00,103,NULL,NULL,'TIROLEZA','TRAMANDAÍ','RS',3036,1498,NULL,NULL,NULL,NULL,NULL,2,15),(20,5311241,5.00,5.00,2.00,4.00,5.00,6.75,1.00,2.00,4.00,201,NULL,233,'CENTRO','ALFREDO WAGNER','SC',16002,1121,NULL,417,NULL,NULL,NULL,4,1),(20,5311250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5311268,7.00,8.00,4.00,6.00,8.00,9.00,1.00,2.00,7.00,211,NULL,216,'PANTANAL','FLORIANÓPOLIS','SC',7683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5311276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5311284,3.00,5.00,1.00,1.00,4.00,NULL,3.00,2.00,3.00,301,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5311292,9.00,8.00,3.00,8.00,6.00,7.50,7.00,2.00,7.00,214,NULL,213,'CENTRO','ASCURRA','SC',4002,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5311306,5.00,8.00,0.00,2.00,1.00,NULL,2.00,4.00,2.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311314,8.00,7.00,1.00,4.00,9.00,10.50,5.00,6.00,6.00,207,NULL,201,'MICHEL','CRICIÚMA','SC',3582,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5311322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CONCEIÇÃO','BARRACÃO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5311330,4.00,4.00,2.00,4.00,6.00,8.25,2.00,4.00,3.00,5,NULL,NULL,'CENTRO','MARACAJÁ','SC',14656,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5311349,6.00,6.00,1.00,8.00,9.00,10.13,2.00,6.00,7.00,203,NULL,238,'KOBRASOL','S JOSÉ','SC',4708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5311357,3.00,6.00,0.00,5.00,4.00,NULL,3.00,0.00,1.00,233,NULL,213,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311365,6.00,7.00,2.00,7.00,7.00,9.75,0.00,4.00,2.00,303,NULL,NULL,'ITAUM','JOINVILLE','SC',11988,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5311373,7.00,7.00,2.00,7.00,4.00,6.38,4.00,5.00,6.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',8879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5311381,6.00,8.00,3.00,6.00,8.00,6.75,2.00,5.00,5.00,601,NULL,202,'LÍDER','CHAPECÓ','SC',8025,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5311390,4.00,5.00,5.00,6.00,9.00,9.38,4.00,5.00,6.00,215,NULL,216,'ABRAÃO','FLORIANÓPOLIS','SC',4707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5311420,7.00,7.00,3.00,6.00,10.00,10.88,6.00,6.00,8.00,301,NULL,NULL,'CARAVAGGIO','NOVA VENEZA','SC',1270,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5311438,8.00,6.00,4.00,7.00,7.00,9.38,4.00,3.00,7.00,103,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',3488,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5311446,5.00,5.00,4.00,5.00,4.00,7.13,3.00,2.00,3.00,215,NULL,233,'CAMPINAS','S JOSÉ','SC',14114,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311454,5.00,7.00,2.00,4.00,3.00,NULL,3.00,5.00,3.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311462,5.00,6.00,4.00,2.00,5.00,NULL,1.00,2.00,5.00,208,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5311470,2.00,3.00,0.00,3.00,5.00,NULL,0.00,0.00,1.00,5,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311489,5.00,2.00,0.00,3.00,3.00,NULL,3.00,0.00,2.00,103,NULL,NULL,'ALBERTINA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5311497,3.00,5.00,4.00,5.00,7.00,10.50,2.00,3.00,5.00,420,NULL,NULL,'MICHEL','CRICIÚMA','SC',11500,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5311500,3.00,4.00,0.00,6.00,6.00,8.25,2.00,2.00,4.00,201,NULL,207,'MEIA PRAIA','ITAPEMA','SC',13487,960,NULL,635,NULL,NULL,NULL,2,3),(20,5311519,2.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MAIA PRAIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(20,5311527,5.00,5.00,0.00,6.00,6.00,NULL,2.00,2.00,5.00,340,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5311535,3.00,4.00,2.00,3.00,3.00,NULL,1.00,3.00,4.00,238,NULL,233,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311543,2.00,2.00,0.00,3.00,0.00,NULL,1.00,2.00,0.00,425,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5311551,3.00,6.00,0.00,3.00,5.00,6.00,3.00,3.00,3.00,101,NULL,NULL,'PRAIA DO FORTE','FLORIANÓPOLIS','SC',16263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311560,6.00,3.00,1.00,6.00,6.00,7.88,2.00,3.00,5.00,212,NULL,601,'CENTRO','JOINVILLE','SC',13510,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5311578,7.00,3.00,1.00,6.00,8.00,7.88,2.00,4.00,3.00,420,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5311586,3.00,4.00,1.00,3.00,3.00,NULL,0.00,1.00,2.00,308,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311594,7.00,7.00,0.00,6.00,4.00,NULL,2.00,2.00,4.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5311616,8.00,7.00,5.00,5.00,9.00,9.00,3.00,4.00,7.00,216,NULL,201,'CENTRO','STA MARIA','RS',4068,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5311624,4.00,4.00,5.00,3.00,6.00,6.00,2.00,2.00,2.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311632,2.00,6.00,1.00,3.00,6.00,NULL,2.00,3.00,1.00,404,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311640,5.00,6.00,4.00,4.00,9.00,7.50,4.00,2.00,4.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',9563,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5311659,7.00,6.00,2.00,5.00,6.00,7.88,4.00,5.00,4.00,5,NULL,NULL,'BATES','LAGES','SC',8337,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5311667,2.00,3.00,3.00,6.00,4.00,NULL,0.00,2.00,2.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5311683,3.00,6.00,0.00,4.00,2.00,NULL,1.00,5.00,3.00,211,NULL,NULL,'EFACIP','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5311705,3.00,6.00,2.00,4.00,7.00,NULL,0.00,2.00,2.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311713,3.00,4.00,3.00,3.00,8.00,NULL,0.00,3.00,3.00,339,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311721,3.00,6.00,1.00,3.00,4.00,NULL,3.00,2.00,3.00,331,NULL,NULL,'AEROPORTO','CORUMBÁ','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5311730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5311748,3.00,2.00,1.00,2.00,4.00,NULL,1.00,2.00,2.00,9,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311772,5.00,5.00,1.00,3.00,1.00,NULL,3.00,1.00,5.00,601,NULL,216,'ANITA GARIBALDE','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5311799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5311802,1.00,4.00,0.00,0.00,0.00,NULL,0.00,3.00,1.00,601,NULL,201,'VILA DA GLORIA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5311810,5.00,3.00,0.00,5.00,5.00,NULL,2.00,0.00,2.00,301,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5311829,7.00,5.00,5.00,7.00,8.00,7.50,7.00,4.00,8.00,220,NULL,601,'TIRADENTES','CPO GRANDE','MS',3274,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5311845,8.00,6.00,2.00,4.00,8.00,7.88,4.00,4.00,7.00,211,NULL,215,'CARVOEIRA','FLORIANÓPOLIS','SC',6523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5311853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5311861,3.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,3.00,327,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5311888,7.00,5.00,2.00,5.00,5.00,8.25,0.00,6.00,5.00,303,NULL,NULL,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',13463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5311900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MAUÁ','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5311918,4.00,3.00,0.00,5.00,5.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5311934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5311942,6.00,7.00,3.00,6.00,7.00,6.38,2.00,4.00,5.00,203,NULL,202,'VIADUTO','IGREJINHA','RS',10964,771,NULL,374,NULL,NULL,NULL,2,1),(20,5311969,2.00,4.00,1.00,3.00,5.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5311977,5.00,5.00,3.00,5.00,9.00,8.63,4.00,5.00,6.00,108,NULL,NULL,'SÃO CRISTOVÃO','LAGES','SC',7363,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5311985,2.00,1.00,0.00,2.00,3.00,NULL,1.00,0.00,2.00,214,NULL,NULL,'IPANEMA','MONDAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5311993,0.00,6.00,3.00,5.00,6.00,NULL,2.00,3.00,1.00,3,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5312000,6.00,5.00,3.00,6.00,8.00,9.38,3.00,6.00,5.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8358,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5312019,9.00,7.00,5.00,7.00,10.00,10.50,4.00,8.00,9.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',397,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5312027,3.00,5.00,2.00,4.00,7.00,NULL,0.00,2.00,3.00,104,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5312035,8.00,8.00,1.00,7.00,9.00,9.38,2.00,5.00,6.00,319,NULL,NULL,'CENTRO','PALHOÇA','SC',4442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5312051,8.00,5.00,2.00,4.00,4.00,6.38,2.00,4.00,6.00,104,NULL,NULL,'NOSSA SRA APDA','FRANCISCO BELTRÃO','PR',11071,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5312060,8.00,8.00,2.00,5.00,8.00,11.25,4.00,6.00,6.00,233,NULL,201,'MICHEL','CRICIÚMA','SC',3774,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5312078,4.00,6.00,2.00,6.00,6.00,9.75,2.00,3.00,6.00,201,NULL,212,'CENTRO','ÁGUA DOCE','SC',12415,883,NULL,315,NULL,NULL,NULL,2,7),(20,5312086,7.00,9.00,1.00,6.00,8.00,9.38,2.00,3.00,5.00,203,NULL,214,'SÃO JOSÉ','ÁGUA DOCE','SC',7380,571,NULL,NULL,NULL,NULL,NULL,2,7),(20,5312094,5.00,5.00,1.00,4.00,6.00,NULL,0.00,2.00,3.00,324,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5312108,0.00,6.00,0.00,2.00,5.00,NULL,0.00,2.00,3.00,208,NULL,238,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5312124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,213,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5312132,4.00,7.00,2.00,2.00,8.00,4.88,1.00,3.00,4.00,102,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5312140,6.00,7.00,4.00,4.00,6.00,11.25,2.00,3.00,3.00,301,NULL,NULL,'LUZIA','ARACAJU','SE',9114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5312159,6.00,7.00,4.00,6.00,8.00,8.63,1.00,3.00,5.00,103,NULL,NULL,'CENTRO','TANGARÁ','SC',7576,2757,NULL,NULL,NULL,NULL,NULL,2,7),(20,5312167,6.00,6.00,3.00,6.00,6.00,6.75,2.00,6.00,6.00,103,NULL,NULL,'FERROVIA','LAGES','SC',10787,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5312175,7.00,6.00,5.00,5.00,8.00,9.75,2.00,3.00,3.00,428,NULL,426,'TRINDADE','FLORIANÓPOLIS','SC',9323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5312183,7.00,7.00,3.00,7.00,9.00,8.63,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','POMERODE','SC',5209,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5312205,2.00,4.00,1.00,3.00,6.00,NULL,0.00,3.00,4.00,319,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5312213,7.00,5.00,3.00,7.00,5.00,6.75,6.00,2.00,6.00,202,NULL,235,'PONTA AGUDA','BLUMENAU','SC',8144,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5312221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5312230,4.00,4.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,303,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5312248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','MARAU','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5312256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5312264,7.00,6.00,2.00,6.00,8.00,8.25,8.00,1.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',5150,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5312272,7.00,7.00,6.00,6.00,10.00,10.13,5.00,4.00,6.00,212,NULL,601,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5312280,8.00,7.00,3.00,6.00,5.00,9.38,3.00,5.00,8.00,103,NULL,NULL,'CLÁUDIA','LONDRINA','PR',5418,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5312299,1.00,4.00,0.00,2.00,1.00,NULL,3.00,3.00,3.00,317,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5312310,3.00,4.00,1.00,6.00,6.00,NULL,1.00,2.00,3.00,428,NULL,425,'SAO JOSE','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5312329,8.00,6.00,5.00,7.00,9.00,9.00,2.00,4.00,5.00,333,NULL,NULL,'FORTALEZA','RIO PARDO','RS',4155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5312337,5.00,5.00,2.00,3.00,8.00,8.25,1.00,2.00,5.00,104,NULL,NULL,'ÁREA INDUSTRIAL III','CORREIA PINTO','SC',11737,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5312345,6.00,6.00,2.00,3.00,8.00,9.75,1.00,4.00,6.00,203,NULL,201,'UNIVERSITARIO','LAGES','SC',9646,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5312353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,213,'NAÇÕES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5312361,7.00,8.00,6.00,7.00,8.00,9.75,3.00,5.00,7.00,5,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',2218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5312370,5.00,4.00,5.00,7.00,8.00,9.75,1.00,3.00,5.00,104,NULL,NULL,'PICADAS DO NORTE','S JOSÉ','SC',8914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5312388,7.00,5.00,3.00,5.00,9.00,9.75,4.00,3.00,6.00,427,NULL,424,'LAGEADO BAIXO','GUABIRUBA','SC',6829,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5312396,7.00,6.00,5.00,6.00,9.00,9.75,3.00,3.00,8.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',2694,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5312400,6.00,6.00,1.00,4.00,6.00,9.00,1.00,2.00,6.00,103,NULL,NULL,'SARANDI','PTO ALEGRE','RS',9759,3137,NULL,NULL,NULL,NULL,NULL,2,15),(20,5312434,2.00,3.00,2.00,2.00,2.00,NULL,1.00,1.00,3.00,203,NULL,214,'CENTRO','S CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5312442,5.00,7.00,4.00,4.00,8.00,9.38,7.00,6.00,7.00,202,NULL,235,'NSA SRA DO ROSÁRIO','S JOSÉ','SC',4814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5312469,7.00,8.00,0.00,4.00,6.00,NULL,0.00,5.00,7.00,205,NULL,NULL,'FIGUEIRA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5312477,3.00,8.00,2.00,5.00,4.00,NULL,0.00,2.00,4.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5312493,5.00,6.00,4.00,5.00,9.00,7.50,2.00,3.00,2.00,201,NULL,214,'OFICINAS','TUBARÃO','SC',12227,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5312507,8.00,7.00,4.00,7.00,8.00,9.00,2.00,3.00,6.00,340,NULL,NULL,'LÍDER','CHAPECÓ','SC',5262,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5312523,2.00,4.00,1.00,0.00,5.00,NULL,2.00,2.00,0.00,102,NULL,NULL,'TUCURUVI','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5312531,3.00,5.00,1.00,2.00,5.00,NULL,3.00,3.00,3.00,102,NULL,NULL,'RURAL','CAIBI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5312540,8.00,8.00,4.00,7.00,8.00,8.25,3.00,5.00,7.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4900,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5312558,1.00,5.00,3.00,7.00,6.00,9.75,0.00,3.00,2.00,104,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5312574,2.00,6.00,2.00,5.00,4.00,6.75,3.00,3.00,4.00,201,NULL,NULL,'CENTRO','GAURAMA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5312582,3.00,6.00,1.00,1.00,3.00,NULL,1.00,1.00,3.00,104,NULL,NULL,'INTERIOR','PAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5312590,7.00,6.00,2.00,5.00,7.00,8.63,5.00,4.00,6.00,201,NULL,216,'NOSSA SRA APDA','FRANCISCO BELTRÃO','PR',6007,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5312620,2.00,4.00,1.00,3.00,3.00,NULL,0.00,2.00,2.00,9,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5312639,8.00,4.00,6.00,5.00,9.00,NULL,0.00,5.00,6.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5312647,5.00,4.00,4.00,5.00,7.00,8.25,2.00,6.00,5.00,214,NULL,213,'PARQUE DAS PALMEIRAS','CHAPECÓ','SC',9480,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5312655,1.00,5.00,2.00,6.00,4.00,8.25,2.00,1.00,5.00,201,NULL,233,'CENTRO','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5312663,3.00,3.00,4.00,5.00,1.00,NULL,2.00,1.00,0.00,404,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5312671,3.00,6.00,2.00,6.00,7.00,6.38,0.00,3.00,2.00,102,NULL,NULL,'BELA VISTA','S JOSÉ','SC',14536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5312680,5.00,7.00,1.00,7.00,7.00,9.75,2.00,6.00,4.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5312698,6.00,7.00,1.00,6.00,4.00,6.00,1.00,4.00,5.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5312701,5.00,6.00,2.00,5.00,5.00,7.88,2.00,2.00,5.00,233,NULL,201,'VILA MOEMA','TUBARÃO','SC',12574,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5312710,3.00,5.00,2.00,3.00,0.00,NULL,1.00,1.00,3.00,336,NULL,NULL,'CAMPO AGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5312728,7.00,8.00,5.00,8.00,9.00,12.00,6.00,7.00,6.00,5,NULL,NULL,'EMBARE','SANTOS','SP',1368,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5312736,8.00,6.00,7.00,6.00,9.00,9.00,3.00,4.00,5.00,103,NULL,NULL,'VILA PROGRESSO','DOURADOS','MS',3121,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5312744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'TAQUARAL','MTE CASTELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(20,5312752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA TERESINHA','GARIBALDI','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5312760,4.00,5.00,1.00,6.00,10.00,9.75,1.00,5.00,6.00,332,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',11345,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5312779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'TABOLEIRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5312787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SANTA MARIA','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5312795,4.00,4.00,2.00,5.00,5.00,9.00,2.00,1.00,4.00,453,NULL,NULL,'SANTA RITA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5312809,8.00,7.00,2.00,5.00,7.00,7.50,4.00,2.00,7.00,103,NULL,NULL,'CENTRO','BARRACÃO','PR',8431,2907,NULL,NULL,NULL,NULL,NULL,4,4),(20,5312817,4.00,3.00,1.00,3.00,6.00,NULL,3.00,1.00,2.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5312825,5.00,5.00,0.00,3.00,7.00,8.63,2.00,4.00,5.00,203,NULL,202,'PRESIDENTE MÉDICE','CHAPECÓ','SC',11893,812,NULL,409,NULL,NULL,NULL,2,4),(20,5312833,2.00,5.00,0.00,3.00,6.00,NULL,2.00,3.00,2.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5312841,6.00,6.00,3.00,6.00,6.00,8.25,2.00,4.00,4.00,601,NULL,233,'AMÉRICA','JOINVILLE','SC',12073,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5312850,9.00,7.00,3.00,7.00,7.00,6.38,3.00,4.00,4.00,238,NULL,208,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',7182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5312868,2.00,4.00,0.00,2.00,4.00,NULL,3.00,0.00,1.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5312876,7.00,7.00,3.00,4.00,8.00,9.38,4.00,4.00,6.00,317,NULL,NULL,'SÃO JOÃO','TUBARÃO','SC',7490,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5312884,4.00,7.00,4.00,4.00,7.00,7.13,5.00,2.00,4.00,303,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',11283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5312892,5.00,4.00,0.00,5.00,7.00,NULL,2.00,4.00,2.00,304,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5312906,4.00,3.00,1.00,4.00,0.00,NULL,0.00,2.00,4.00,453,NULL,NULL,'SAVEIRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5312922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5312930,5.00,7.00,1.00,5.00,10.00,9.00,4.00,4.00,6.00,202,NULL,213,'CENTRO','S JOAQUIM','SC',7140,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5312957,4.00,7.00,6.00,6.00,6.00,9.00,2.00,4.00,7.00,103,NULL,NULL,'BATEL','CURITIBA','PR',6478,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5312973,0.00,1.00,2.00,1.00,0.00,NULL,2.00,1.00,1.00,601,NULL,203,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5312981,3.00,5.00,1.00,3.00,4.00,NULL,1.00,2.00,3.00,329,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5312990,5.00,4.00,1.00,3.00,4.00,NULL,2.00,2.00,3.00,212,NULL,201,'SILVA JARDIM','SILVA JARDIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313007,3.00,6.00,3.00,2.00,3.00,NULL,2.00,1.00,3.00,653,NULL,652,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5313015,8.00,8.00,3.00,6.00,8.00,7.50,2.00,8.00,5.00,329,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313023,8.00,6.00,3.00,7.00,11.00,9.00,1.00,5.00,5.00,103,NULL,NULL,'LOMBA','ORLEANS','SC',4647,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5313040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'VILA PRADO','PINDAMONHANGABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5313058,2.00,3.00,0.00,2.00,3.00,NULL,2.00,0.00,2.00,205,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313074,9.00,6.00,5.00,7.00,9.00,10.13,4.00,6.00,8.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313082,4.00,7.00,1.00,5.00,9.00,10.13,0.00,4.00,3.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',9784,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5313090,3.00,7.00,1.00,5.00,6.00,10.13,3.00,5.00,3.00,415,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313104,4.00,6.00,1.00,5.00,6.00,8.63,1.00,4.00,4.00,423,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5313112,4.00,6.00,4.00,3.00,7.00,10.50,3.00,5.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313120,4.00,6.00,4.00,7.00,6.00,9.38,3.00,1.00,6.00,103,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',8540,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5313139,4.00,4.00,0.00,6.00,6.00,NULL,1.00,1.00,2.00,415,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5313147,5.00,4.00,3.00,3.00,4.00,6.75,1.00,4.00,2.00,653,NULL,207,'CENTRO','JACINTO MACHADO','SC',15495,113,NULL,760,NULL,NULL,NULL,4,15),(20,5313155,2.00,3.00,0.00,2.00,1.00,NULL,2.00,1.00,2.00,551,NULL,NULL,'CENTRO','PTE ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5313163,7.00,4.00,0.00,7.00,6.00,NULL,2.00,2.00,0.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313171,9.00,5.00,1.00,3.00,11.00,8.63,4.00,6.00,7.00,103,NULL,NULL,'BAIRRO DA LUZ','DOIS VIZINHOS','PR',4643,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5313180,8.00,7.00,4.00,5.00,7.00,8.25,5.00,4.00,8.00,103,NULL,NULL,'MINA DO MATO','CRICIÚMA','SC',5719,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5313198,4.00,7.00,1.00,1.00,8.00,NULL,0.00,2.00,4.00,303,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313201,8.00,8.00,1.00,7.00,8.00,12.00,3.00,3.00,8.00,420,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',3585,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5313210,4.00,7.00,2.00,5.00,6.00,6.75,3.00,6.00,5.00,318,NULL,NULL,'CENTRO','ITAJAÍ','SC',9086,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5313228,4.00,4.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,444,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5313244,4.00,6.00,0.00,5.00,3.00,NULL,3.00,3.00,4.00,320,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5313252,6.00,7.00,3.00,2.00,4.00,8.25,1.00,2.00,3.00,5,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',14157,460,NULL,NULL,NULL,NULL,NULL,4,7),(20,5313260,7.00,6.00,5.00,7.00,7.00,10.13,5.00,4.00,4.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',5490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313279,4.00,5.00,2.00,3.00,4.00,4.88,3.00,1.00,4.00,207,NULL,201,'JARDIM FLORESTA','PLANALTO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5313287,6.00,5.00,2.00,2.00,5.00,10.13,3.00,4.00,6.00,108,NULL,NULL,'CARMEM','PASSO FUNDO','RS',12543,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5313295,8.00,7.00,8.00,7.00,7.00,9.38,3.00,3.00,5.00,214,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',5382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313309,3.00,4.00,0.00,4.00,5.00,NULL,1.00,1.00,3.00,5,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5313317,8.00,6.00,2.00,7.00,8.00,9.00,5.00,1.00,6.00,203,NULL,202,'JD TRÊS MARIAS','PARANAVAÍ','PR',6775,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5313325,2.00,4.00,0.00,1.00,2.00,NULL,1.00,0.00,0.00,316,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5313368,4.00,8.00,0.00,3.00,5.00,NULL,0.00,2.00,1.00,444,NULL,NULL,'SANTA TEREZINHA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5313376,8.00,6.00,3.00,7.00,8.00,12.00,3.00,7.00,6.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313384,3.00,3.00,0.00,4.00,3.00,NULL,1.00,2.00,3.00,238,NULL,208,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5313392,3.00,5.00,3.00,3.00,5.00,6.00,3.00,3.00,3.00,216,NULL,212,'RIO TAVARES','FLORIANÓPOLIS','SC',15958,587,NULL,388,NULL,NULL,NULL,4,1),(20,5313406,4.00,6.00,1.00,4.00,9.00,7.88,1.00,2.00,4.00,108,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',13109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5313422,7.00,6.00,4.00,8.00,7.00,10.88,5.00,4.00,5.00,211,NULL,NULL,'CENTRO','S JOSÉ PINHAIS','PR',3863,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5313449,3.00,2.00,2.00,2.00,2.00,NULL,0.00,2.00,2.00,201,NULL,202,'BARREIROS SAO JOSE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5313457,2.00,4.00,2.00,2.00,5.00,NULL,1.00,3.00,1.00,415,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313465,2.00,5.00,2.00,3.00,6.00,NULL,1.00,2.00,2.00,201,NULL,213,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5313473,4.00,6.00,2.00,6.00,8.00,6.00,2.00,1.00,1.00,316,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',15173,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5313481,3.00,5.00,0.00,3.00,5.00,NULL,2.00,1.00,4.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5313490,3.00,5.00,3.00,5.00,3.00,NULL,0.00,2.00,2.00,5,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(20,5313503,5.00,5.00,0.00,5.00,4.00,NULL,3.00,2.00,2.00,109,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'MORRINHOS','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5313538,7.00,7.00,7.00,7.00,9.00,7.13,4.00,5.00,6.00,303,NULL,NULL,'TABOÃO','RIO SUL','SC',2578,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5313546,2.00,0.00,1.00,4.00,1.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SAVEIRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5313554,2.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,424,NULL,429,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5313562,6.00,7.00,5.00,5.00,6.00,8.63,4.00,5.00,7.00,318,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',5244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5313570,9.00,8.00,4.00,7.00,10.00,11.25,5.00,6.00,7.00,216,NULL,233,'FORQUILHAS','S JOSÉ','SC',797,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5313589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MARECHAL RONDON','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5313600,5.00,6.00,2.00,6.00,8.00,10.13,4.00,2.00,6.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313619,9.00,6.00,4.00,5.00,7.00,11.63,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','TERRA BOA','PR',2114,1129,NULL,NULL,NULL,NULL,NULL,2,4),(20,5313627,2.00,6.00,1.00,5.00,6.00,NULL,1.00,3.00,3.00,207,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5313643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,653,'CENTRO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5313651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5313660,4.00,6.00,4.00,7.00,8.00,7.50,3.00,1.00,5.00,203,NULL,220,'INTERIOR','PALMITINHO','RS',9123,661,NULL,NULL,NULL,NULL,NULL,2,4),(20,5313678,3.00,3.00,2.00,6.00,6.00,NULL,0.00,5.00,1.00,201,NULL,203,'CENTRO','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5313686,5.00,5.00,1.00,7.00,5.00,7.13,3.00,3.00,4.00,208,NULL,NULL,'MONTE CASTELO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5313694,8.00,5.00,3.00,7.00,9.00,9.00,2.00,3.00,4.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',6309,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5313708,5.00,7.00,1.00,7.00,5.00,7.50,4.00,3.00,6.00,601,NULL,212,'ANITA GARIBALDI','JOINVILLE','SC',11434,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5313716,2.00,2.00,1.00,2.00,2.00,NULL,2.00,0.00,0.00,415,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313724,5.00,4.00,3.00,7.00,7.00,10.13,0.00,1.00,4.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5313732,5.00,8.00,5.00,6.00,5.00,7.13,3.00,3.00,7.00,316,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',6678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5313740,3.00,6.00,0.00,4.00,8.00,NULL,0.00,3.00,4.00,102,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5313759,5.00,5.00,3.00,6.00,6.00,7.13,3.00,2.00,3.00,203,NULL,214,'CENTRO','RIO SUL','SC',13097,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5313767,5.00,8.00,4.00,7.00,9.00,10.13,2.00,4.00,7.00,103,NULL,NULL,'NOSSA SRA APARECIDA','FRANCISCO BELTRÃO','PR',2869,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5313783,2.00,4.00,2.00,1.00,4.00,NULL,2.00,1.00,2.00,601,NULL,203,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5313791,8.00,7.00,5.00,6.00,7.00,7.50,4.00,5.00,7.00,101,NULL,NULL,'SERTÃO DO IMARUÍM','S JOSÉ','SC',4549,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5313813,8.00,6.00,3.00,4.00,6.00,6.38,4.00,3.00,8.00,103,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',6691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313821,3.00,5.00,3.00,6.00,5.00,7.13,1.00,2.00,6.00,302,NULL,NULL,'BAIRRO BARREIROS','S JOSÉ','SC',13631,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5313830,6.00,6.00,6.00,6.00,4.00,6.00,4.00,5.00,6.00,103,NULL,NULL,'PANAMBI','STA BÁRBARA D OESTE','SP',6496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313856,5.00,7.00,2.00,6.00,8.00,8.63,1.00,6.00,3.00,340,NULL,NULL,'JD CIPAVA','OSASCO','SP',10110,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5313864,5.00,6.00,1.00,6.00,6.00,9.00,1.00,5.00,4.00,331,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',10879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313872,6.00,5.00,4.00,5.00,6.00,8.25,2.00,3.00,4.00,303,NULL,NULL,'CENTRO','JOSÉ BOITEUX','SC',12372,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5313880,4.00,7.00,0.00,4.00,6.00,7.50,2.00,3.00,5.00,9,NULL,NULL,'BUDAG','RIO SUL','SC',15332,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5313899,1.00,5.00,0.00,3.00,7.00,NULL,2.00,2.00,4.00,5,NULL,NULL,'SANTA CATARINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5313902,3.00,1.00,0.00,3.00,4.00,NULL,0.00,3.00,2.00,444,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313910,0.00,0.00,1.00,2.00,4.00,NULL,1.00,2.00,1.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5313937,6.00,5.00,2.00,6.00,7.00,9.38,5.00,4.00,5.00,211,NULL,216,'CABRAL','CURITIBA','PR',7313,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5313953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'CARANDA BOSQUE','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5313961,5.00,6.00,3.00,5.00,4.00,8.25,1.00,2.00,4.00,203,NULL,201,'JARDIM LA SALLE','TOLEDO','PR',12447,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5313988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'SÃO FRANCISCO','CATANDUVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5313996,3.00,0.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MORRO DO POSTO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,9),(20,5314003,7.00,5.00,2.00,4.00,8.00,7.13,2.00,5.00,6.00,340,NULL,NULL,'CENTRO','PALOTINA','PR',9423,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314011,5.00,6.00,1.00,5.00,7.00,8.25,2.00,3.00,4.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5314020,4.00,6.00,1.00,3.00,4.00,NULL,0.00,2.00,3.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314038,8.00,6.00,5.00,7.00,6.00,9.00,6.00,5.00,9.00,203,NULL,214,'GRANJA VIANA','COTIA','SP',1791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5314046,8.00,7.00,1.00,5.00,6.00,7.88,2.00,2.00,5.00,216,NULL,212,'CAMPO COMPRIDO','CURITIBA','PR',7948,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5314054,5.00,7.00,2.00,4.00,8.00,9.38,3.00,2.00,3.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314062,4.00,2.00,3.00,6.00,5.00,NULL,0.00,1.00,3.00,208,NULL,203,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314070,9.00,7.00,8.00,8.00,9.00,12.75,7.00,7.00,7.00,5,NULL,NULL,'PINHEIROS','S PAULO','SP',118,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5314097,6.00,5.00,5.00,3.00,1.00,NULL,2.00,1.00,2.00,316,NULL,NULL,'NOVA BRASILIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5314135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5314143,6.00,2.00,0.00,2.00,7.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'AVAREÍ','JACAREÍ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5314151,2.00,6.00,4.00,6.00,8.00,6.75,4.00,3.00,4.00,238,NULL,208,'CENTRO','BAL CAMBORIÚ','SC',11291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5314160,9.00,7.00,8.00,8.00,10.00,10.50,8.00,4.00,9.00,103,NULL,NULL,'CONJUNTO UNIAO','CPO GRANDE','MS',281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5314178,2.00,4.00,1.00,5.00,7.00,NULL,0.00,1.00,1.00,103,NULL,NULL,'SAO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5314186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5314194,8.00,7.00,7.00,7.00,8.00,8.63,4.00,6.00,6.00,203,NULL,202,'CARIANOS','FLORIANÓPOLIS','SC',2021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5314208,7.00,6.00,5.00,4.00,5.00,9.00,3.00,6.00,5.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',6109,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5314216,3.00,0.00,3.00,2.00,2.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'INTERIOR','PAIAL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(20,5314224,3.00,2.00,2.00,2.00,4.00,NULL,0.00,2.00,1.00,309,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314232,5.00,7.00,4.00,5.00,9.00,6.00,4.00,4.00,3.00,211,NULL,213,'CENTRO','PALHOÇA','SC',8153,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314240,7.00,6.00,3.00,7.00,8.00,11.63,4.00,3.00,6.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5314259,5.00,6.00,1.00,3.00,5.00,6.38,2.00,4.00,4.00,215,NULL,211,'RIO FARIAS','ANTÔNIO CARLOS','SC',15262,318,NULL,482,NULL,NULL,NULL,2,1),(20,5314267,5.00,7.00,1.00,2.00,9.00,8.63,0.00,4.00,3.00,340,NULL,NULL,'PLANALTO DO SOL','STA BÁRBARA D OESTE','SP',11977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5314275,5.00,4.00,2.00,4.00,7.00,8.25,3.00,3.00,5.00,108,NULL,NULL,'CENTRO','ITU','SP',8948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5314283,0.00,4.00,0.00,0.00,0.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,3),(20,5314291,2.00,2.00,0.00,4.00,2.00,NULL,0.00,2.00,1.00,101,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314305,3.00,5.00,3.00,5.00,6.00,7.13,2.00,0.00,4.00,201,NULL,207,'JARDIM MALUCHE','BRUSQUE','SC',16208,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5314313,4.00,3.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,2,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5314321,7.00,6.00,2.00,6.00,6.00,7.88,3.00,4.00,5.00,303,NULL,NULL,'CAMPO DE FORA','LAGUNA','SC',11134,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5314330,3.00,3.00,2.00,5.00,2.00,NULL,1.00,0.00,3.00,340,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5314348,0.00,5.00,0.00,2.00,5.00,NULL,2.00,3.00,4.00,652,NULL,653,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5314356,1.00,3.00,2.00,4.00,4.00,NULL,2.00,5.00,1.00,238,NULL,208,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314364,8.00,9.00,3.00,6.00,9.00,8.25,4.00,5.00,6.00,103,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',3374,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314372,4.00,7.00,3.00,6.00,6.00,8.25,1.00,2.00,3.00,103,NULL,NULL,'LOTEAMENTO DONA ALDA','CAPINZAL','SC',14395,3680,NULL,NULL,NULL,NULL,NULL,4,7),(20,5314380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ARI LUNARDI','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5314399,6.00,5.00,0.00,7.00,5.00,9.00,2.00,4.00,3.00,420,NULL,NULL,'BACACHERI','CURITIBA','PR',12043,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5314402,7.00,7.00,3.00,4.00,4.00,7.50,1.00,4.00,2.00,104,NULL,NULL,'AREIAS','S JOSÉ','SC',14923,399,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314410,3.00,5.00,3.00,4.00,5.00,7.88,4.00,3.00,2.00,653,NULL,652,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5314429,6.00,6.00,3.00,4.00,7.00,10.13,3.00,6.00,7.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7062,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314445,7.00,7.00,2.00,4.00,7.00,6.75,2.00,4.00,5.00,207,NULL,238,'CACH DO BOM JESUS','FLORIANÓPOLIS','SC',11240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5314453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,425,'VALVERDE','VERANÓPOLIS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5314461,5.00,5.00,1.00,1.00,5.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'VALPARAISO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5314470,8.00,8.00,4.00,6.00,8.00,8.25,1.00,4.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7601,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314488,3.00,3.00,1.00,5.00,6.00,9.38,2.00,4.00,3.00,318,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',14964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314496,3.00,5.00,3.00,7.00,4.00,9.00,2.00,3.00,2.00,317,NULL,NULL,'ROÇADO','S JOSÉ','SC',15612,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5314500,6.00,5.00,6.00,4.00,4.00,10.50,4.00,6.00,6.00,103,NULL,NULL,'ITACURUBI','FLORIANÓPOLIS','SC',7840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314518,6.00,5.00,2.00,7.00,7.00,7.50,4.00,4.00,2.00,327,NULL,NULL,'VILA LEOPOLDINA','S PAULO','SP',12166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5314526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PARIZOTTO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5314542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,653,'PARQUE MADERIL','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5314550,4.00,5.00,4.00,5.00,7.00,6.75,0.00,5.00,5.00,428,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314569,3.00,5.00,0.00,2.00,4.00,NULL,2.00,2.00,4.00,203,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5314577,5.00,4.00,2.00,0.00,4.00,NULL,1.00,2.00,1.00,316,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5314585,4.00,5.00,1.00,3.00,2.00,NULL,2.00,4.00,4.00,203,NULL,214,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5314593,5.00,6.00,2.00,3.00,9.00,9.75,4.00,3.00,3.00,5,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',9990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314607,3.00,4.00,1.00,5.00,6.00,8.63,0.00,3.00,4.00,301,NULL,NULL,'CENTRO','TUPARENDI','RS',15588,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314615,9.00,6.00,5.00,7.00,9.00,11.25,3.00,6.00,7.00,103,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',1790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5314631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5314640,3.00,3.00,0.00,2.00,1.00,NULL,1.00,1.00,1.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5314658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5314666,3.00,4.00,1.00,2.00,3.00,NULL,2.00,1.00,2.00,5,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5314704,7.00,7.00,4.00,6.00,8.00,6.75,4.00,5.00,6.00,202,NULL,213,'FURADINHO','PALHOÇA','SC',5211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5314712,0.00,3.00,4.00,2.00,4.00,NULL,1.00,0.00,1.00,208,NULL,235,'INGLESE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314720,4.00,4.00,1.00,2.00,3.00,NULL,2.00,1.00,3.00,309,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314739,3.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,2.00,214,NULL,203,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5314747,4.00,4.00,2.00,3.00,3.00,NULL,1.00,1.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314755,8.00,7.00,4.00,7.00,8.00,9.00,1.00,4.00,6.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',4832,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5314763,2.00,4.00,2.00,2.00,5.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314771,2.00,5.00,1.00,4.00,5.00,NULL,3.00,1.00,1.00,238,NULL,208,'JOÃO COSTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5314780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5314798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5314810,5.00,7.00,4.00,3.00,7.00,7.13,3.00,3.00,5.00,207,NULL,201,'SERTÃO DO MARUIM','S JOSÉ','SC',12986,620,NULL,932,NULL,NULL,NULL,4,1),(20,5314828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'TRNDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5314844,4.00,6.00,3.00,3.00,7.00,8.25,3.00,3.00,4.00,238,NULL,208,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5314860,4.00,4.00,4.00,1.00,5.00,7.50,2.00,3.00,6.00,102,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',15468,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314879,4.00,4.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,316,NULL,NULL,'BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314887,8.00,7.00,3.00,5.00,9.00,7.50,4.00,6.00,8.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',2064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314895,7.00,8.00,6.00,8.00,9.00,9.00,6.00,3.00,9.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',1476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5314909,6.00,6.00,1.00,6.00,8.00,7.88,3.00,1.00,4.00,109,NULL,NULL,'CENTRO','PATO BRANCO','PR',11865,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5314917,3.00,5.00,4.00,4.00,4.00,9.38,2.00,2.00,5.00,212,NULL,601,'COMERCIÁRIO','CRICIÚMA','SC',14636,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5314925,6.00,6.00,0.00,5.00,5.00,4.88,4.00,4.00,7.00,104,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5314933,4.00,7.00,2.00,7.00,7.00,7.88,1.00,3.00,4.00,429,NULL,426,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5314941,4.00,4.00,1.00,3.00,7.00,9.00,1.00,2.00,6.00,601,NULL,213,'PEREIRA ALVES','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5314950,4.00,7.00,4.00,5.00,4.00,4.13,2.00,4.00,3.00,5,NULL,NULL,'VILA VITORIA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5314968,4.00,5.00,1.00,4.00,2.00,NULL,1.00,2.00,3.00,333,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5314976,5.00,5.00,0.00,6.00,3.00,NULL,2.00,4.00,1.00,201,NULL,212,'MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5314984,4.00,5.00,2.00,5.00,4.00,7.88,1.00,1.00,2.00,233,NULL,601,'CENTRO','CAPIVARI BAIXO','SC',15188,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5314992,3.00,4.00,4.00,4.00,3.00,NULL,2.00,2.00,2.00,201,NULL,235,'SAO PELEGRINO','GETÚLIO VARGAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5315000,6.00,7.00,5.00,7.00,6.00,7.50,2.00,3.00,7.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',6304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5315018,2.00,4.00,0.00,0.00,3.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'INTERIOR','LINDÓIA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5315026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5315034,2.00,0.00,0.00,2.00,0.00,NULL,1.00,4.00,1.00,551,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5315042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'JARDIM DOM HENRIQUE','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5315050,3.00,4.00,0.00,2.00,6.00,NULL,0.00,2.00,2.00,420,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5315069,4.00,4.00,0.00,3.00,4.00,7.13,3.00,3.00,6.00,207,NULL,201,'RIO FARIAS','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5315077,1.00,5.00,0.00,4.00,4.00,NULL,2.00,2.00,2.00,309,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5315085,5.00,6.00,4.00,5.00,7.00,9.75,3.00,3.00,5.00,201,NULL,207,'ESTRADA DE FÁTIMA','ANTÔNIO CARLOS','SC',9032,648,NULL,407,NULL,NULL,NULL,4,1),(20,5315107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5315115,1.00,2.00,0.00,1.00,2.00,NULL,2.00,2.00,3.00,503,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5315123,3.00,7.00,4.00,5.00,7.00,10.88,3.00,3.00,6.00,301,NULL,NULL,'MICHEL','CRICIÚMA','SC',9233,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5315131,8.00,6.00,5.00,6.00,9.00,9.75,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','VERÊ','PR',2181,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5315140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5315158,4.00,3.00,4.00,0.00,6.00,6.38,3.00,3.00,7.00,201,NULL,207,'CENTRO','ANTÔNIO CARLOS','SC',14544,1031,NULL,696,NULL,NULL,NULL,4,1),(20,5315174,3.00,8.00,4.00,5.00,5.00,6.38,2.00,4.00,4.00,333,NULL,NULL,'CENTRO','PALHOÇA','SC',9907,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5315182,7.00,7.00,4.00,5.00,7.00,9.00,3.00,3.00,7.00,301,NULL,NULL,'JARDIM SÃO MIGUEL','BIGUAÇU','SC',6659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5315190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5315204,5.00,7.00,1.00,6.00,6.00,8.63,3.00,4.00,4.00,216,NULL,201,'CENTRO','RIO SUL','SC',11447,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5315212,9.00,5.00,5.00,6.00,7.00,9.38,3.00,4.00,7.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',3692,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5315220,7.00,3.00,0.00,5.00,5.00,9.00,2.00,3.00,7.00,103,NULL,NULL,'LOURDES','CAXIAS SUL','RS',11327,3340,NULL,NULL,NULL,NULL,NULL,4,15),(20,5315239,3.00,4.00,1.00,4.00,4.00,NULL,0.00,3.00,3.00,339,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5315255,3.00,3.00,2.00,6.00,4.00,NULL,1.00,1.00,1.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5315263,5.00,7.00,2.00,7.00,4.00,8.63,1.00,1.00,3.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5315271,3.00,3.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,9,NULL,NULL,'CENTRO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5315336,3.00,7.00,3.00,5.00,8.00,10.13,3.00,4.00,3.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',9819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5315352,4.00,5.00,2.00,7.00,6.00,8.63,3.00,2.00,1.00,420,NULL,NULL,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5315360,5.00,7.00,3.00,4.00,5.00,7.88,2.00,4.00,4.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14460,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5315379,3.00,3.00,1.00,3.00,5.00,NULL,0.00,1.00,5.00,207,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5315387,6.00,7.00,4.00,7.00,7.00,8.25,3.00,4.00,6.00,304,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',5771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5315395,3.00,4.00,2.00,3.00,3.00,NULL,1.00,1.00,4.00,108,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5315409,6.00,5.00,0.00,4.00,6.00,9.38,5.00,4.00,5.00,501,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',13029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5315417,4.00,6.00,3.00,5.00,6.00,8.63,1.00,4.00,4.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',11840,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5315425,4.00,6.00,0.00,0.00,5.00,NULL,2.00,3.00,1.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5315433,5.00,5.00,3.00,7.00,7.00,7.88,4.00,3.00,4.00,301,NULL,NULL,'BOQUEIRÃO','SANTOS','SP',6866,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5315441,5.00,5.00,1.00,3.00,3.00,NULL,2.00,2.00,3.00,201,NULL,207,'INGLESESS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5315450,2.00,4.00,0.00,7.00,8.00,NULL,1.00,2.00,1.00,423,NULL,428,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5315468,4.00,6.00,2.00,6.00,4.00,7.13,2.00,2.00,3.00,324,NULL,NULL,'BOA VISTA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5315476,5.00,5.00,3.00,2.00,8.00,8.25,3.00,4.00,6.00,420,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',10635,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5315484,2.00,7.00,1.00,6.00,7.00,6.75,2.00,3.00,5.00,444,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',15013,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5315492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5315506,6.00,6.00,4.00,6.00,7.00,6.38,3.00,2.00,4.00,203,NULL,201,'SR BOM JESUS','CAMPOS NOVOS','SC',9715,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5315514,2.00,6.00,1.00,4.00,8.00,NULL,1.00,1.00,3.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5315530,2.00,4.00,2.00,4.00,4.00,NULL,0.00,1.00,1.00,223,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5315549,7.00,5.00,2.00,7.00,9.00,7.88,3.00,3.00,4.00,201,NULL,202,'STO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC',7813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5315557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NOVA A SUL','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5315565,4.00,6.00,1.00,3.00,5.00,8.25,3.00,3.00,4.00,9,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5315573,6.00,5.00,4.00,7.00,11.00,11.25,2.00,5.00,6.00,340,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',3223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5315590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'AGOSTINI','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5315603,8.00,7.00,3.00,4.00,8.00,NULL,0.00,7.00,3.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5315611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5315620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BOA VISTA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5315638,8.00,8.00,3.00,7.00,10.00,9.75,4.00,5.00,8.00,103,NULL,NULL,'HIGIENÓPOLIS','STA CRUZ SUL','RS',1399,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5315646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,220,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5315662,7.00,8.00,1.00,7.00,8.00,7.50,3.00,7.00,5.00,5,NULL,NULL,'CENTRO','CURITIBANOS','SC',7175,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5315689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5315719,6.00,5.00,0.00,3.00,6.00,12.38,3.00,4.00,5.00,211,NULL,652,'SANTA BÁRBARA','CRICIÚMA','SC',11640,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5315727,8.00,8.00,3.00,6.00,10.00,10.50,4.00,6.00,6.00,103,NULL,NULL,'PARQUE DO SOL','STA MARIA','RS',2043,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5315735,4.00,6.00,0.00,5.00,4.00,9.75,2.00,2.00,5.00,104,NULL,NULL,'CENTRO','PELOTAS','RS',13430,341,NULL,NULL,NULL,NULL,NULL,4,4),(20,5315743,3.00,5.00,1.00,3.00,4.00,NULL,2.00,2.00,3.00,601,NULL,203,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5315751,5.00,8.00,1.00,4.00,6.00,8.63,3.00,4.00,5.00,320,NULL,NULL,'COPACABANA','LAGES','SC',12078,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5315760,8.00,9.00,8.00,6.00,9.00,9.75,5.00,4.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',804,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5315778,4.00,7.00,3.00,7.00,7.00,NULL,0.00,2.00,4.00,319,NULL,NULL,'CENTRO','PARAÍSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5315794,3.00,2.00,0.00,1.00,1.00,NULL,3.00,0.00,1.00,102,NULL,NULL,'CENTRO','GALVÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5315808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,202,'SETOR JAO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5315824,9.00,6.00,3.00,7.00,10.00,9.00,2.00,4.00,5.00,207,NULL,201,'LA SALLE','TOLEDO','PR',3658,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5315832,5.00,7.00,1.00,6.00,6.00,8.25,3.00,3.00,5.00,212,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',9009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5315859,1.00,5.00,1.00,4.00,3.00,NULL,1.00,2.00,4.00,309,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5315875,6.00,6.00,4.00,7.00,8.00,9.00,4.00,6.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5315883,3.00,6.00,2.00,4.00,6.00,NULL,0.00,2.00,2.00,9,NULL,NULL,'INTERIOR','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5315891,3.00,3.00,1.00,3.00,4.00,NULL,2.00,1.00,6.00,216,NULL,215,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5315905,3.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,201,NULL,203,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,9),(20,5315913,6.00,6.00,2.00,5.00,6.00,8.25,2.00,0.00,4.00,303,NULL,NULL,'AMÉRICA','JOINVILLE','SC',11823,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5315921,4.00,6.00,2.00,4.00,5.00,11.63,2.00,4.00,5.00,320,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',12367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5315930,3.00,4.00,0.00,4.00,5.00,NULL,1.00,2.00,3.00,222,NULL,NULL,'SANTA TEREZINHA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5315948,4.00,3.00,3.00,4.00,4.00,7.13,2.00,3.00,3.00,216,NULL,215,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5315956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JARDIM ESPERANÇA','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5315964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PÁTRIA NOVA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5315972,3.00,3.00,1.00,1.00,3.00,NULL,1.00,2.00,0.00,102,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5315980,2.00,0.00,1.00,1.00,2.00,NULL,1.00,1.00,1.00,308,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316014,8.00,7.00,2.00,4.00,7.00,7.13,0.00,2.00,7.00,102,NULL,NULL,'CENTRO','LEBON RÉGIS','SC',10966,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5316022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5316030,5.00,0.00,0.00,5.00,7.00,NULL,0.00,0.00,0.00,211,NULL,215,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5316049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5316057,4.00,4.00,1.00,2.00,7.00,NULL,2.00,5.00,3.00,216,NULL,208,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5316065,6.00,7.00,2.00,4.00,8.00,8.63,2.00,3.00,5.00,238,NULL,651,'BELA VISTA','S JOSÉ','SC',9772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316073,4.00,5.00,2.00,5.00,5.00,4.50,0.00,3.00,3.00,319,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316081,6.00,6.00,2.00,3.00,5.00,NULL,0.00,3.00,3.00,303,NULL,NULL,'CENTRO','IVATÉ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5316090,4.00,6.00,3.00,2.00,2.00,NULL,0.00,1.00,3.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5316103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,216,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5316111,2.00,4.00,0.00,5.00,3.00,NULL,2.00,3.00,1.00,339,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316120,3.00,4.00,1.00,3.00,6.00,NULL,2.00,2.00,4.00,339,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316138,8.00,6.00,5.00,7.00,4.00,8.63,3.00,5.00,8.00,103,NULL,NULL,'JD NOVO HORIZONTE','MARINGÁ','PR',3856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316154,3.00,2.00,2.00,3.00,4.00,NULL,2.00,1.00,3.00,652,NULL,651,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5316162,3.00,5.00,3.00,3.00,6.00,NULL,1.00,1.00,3.00,215,NULL,233,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316170,9.00,8.00,3.00,4.00,8.00,11.63,4.00,6.00,6.00,103,NULL,NULL,'VILA NOVA','GOIÂNIA','GO',2653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316189,4.00,5.00,3.00,5.00,6.00,9.38,3.00,3.00,6.00,329,NULL,NULL,'CENTRO','BENTO GONÇALVES','RS',13332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316197,6.00,4.00,2.00,2.00,6.00,7.88,4.00,4.00,6.00,203,NULL,202,'CENTRO','LARANJEIRAS SUL','PR',9985,719,NULL,NULL,NULL,NULL,NULL,2,2),(20,5316200,6.00,7.00,2.00,5.00,4.00,8.25,2.00,3.00,3.00,109,NULL,NULL,'CENTRO','IMBITUBA','SC',14078,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5316219,2.00,6.00,1.00,3.00,7.00,9.38,0.00,4.00,4.00,201,NULL,211,'MAXIMILIANO TOALDO','CAPINZAL','SC',14382,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5316227,5.00,5.00,1.00,7.00,8.00,8.25,1.00,1.00,2.00,423,NULL,429,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316243,6.00,6.00,2.00,7.00,6.00,8.25,2.00,4.00,1.00,319,NULL,NULL,'CENTRO','PTO ALEGRE','RS',13266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SANTA LUZIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5316278,3.00,3.00,0.00,4.00,6.00,NULL,2.00,3.00,2.00,429,NULL,NULL,'ENCRUZO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5316294,6.00,5.00,1.00,5.00,8.00,9.00,2.00,3.00,3.00,340,NULL,NULL,'JOSÉ MENDES CENTRO','FLORIANÓPOLIS','SC',13432,383,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316316,5.00,4.00,2.00,6.00,7.00,9.38,1.00,3.00,5.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316324,3.00,2.00,1.00,4.00,5.00,NULL,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5316332,7.00,8.00,3.00,7.00,10.00,7.50,6.00,3.00,6.00,425,NULL,424,'SERRINHA','FLORIANÓPOLIS','SC',4490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316340,3.00,6.00,2.00,3.00,5.00,6.75,2.00,2.00,4.00,203,NULL,NULL,'VELHA','BLUMENAU','SC',14052,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5316359,9.00,6.00,5.00,4.00,8.00,9.38,2.00,3.00,6.00,501,NULL,NULL,'CENTRO','CRICIÚMA','SC',7194,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5316367,4.00,4.00,0.00,5.00,4.00,NULL,1.00,2.00,2.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316375,0.00,3.00,3.00,0.00,2.00,NULL,0.00,1.00,2.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5316391,8.00,5.00,5.00,6.00,6.00,9.00,4.00,3.00,6.00,333,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',6648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316405,8.00,7.00,1.00,6.00,8.00,9.00,1.00,4.00,7.00,103,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',6434,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5316413,5.00,6.00,1.00,4.00,7.00,10.50,2.00,3.00,1.00,5,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',15133,491,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316421,8.00,7.00,5.00,6.00,9.00,9.75,3.00,7.00,6.00,207,NULL,601,'MEIA PRAIA','ITAPEMA','SC',2413,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5316430,7.00,9.00,1.00,6.00,4.00,7.13,2.00,5.00,4.00,319,NULL,NULL,'CENTRO','PALHOÇA','SC',10316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316448,4.00,6.00,1.00,2.00,1.00,NULL,0.00,4.00,3.00,5,NULL,NULL,'BAIRRO BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316456,3.00,6.00,1.00,1.00,0.00,NULL,3.00,0.00,2.00,220,NULL,235,'COLATTO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5316472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'GONZAGA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',5,8),(20,5316480,4.00,4.00,0.00,2.00,2.00,NULL,1.00,1.00,2.00,101,NULL,NULL,'CIGANA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316499,8.00,7.00,5.00,7.00,9.00,10.88,5.00,6.00,6.00,103,NULL,NULL,'PAES LEME','IMBITUBA','SC',1671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAIBI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5316510,7.00,5.00,5.00,7.00,8.00,10.13,3.00,3.00,7.00,103,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',4956,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5316529,4.00,3.00,4.00,4.00,6.00,10.88,1.00,3.00,4.00,415,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316537,8.00,6.00,5.00,7.00,9.00,9.75,6.00,4.00,6.00,103,NULL,NULL,'CENTRO','GOIÂNIA','GO',1398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316545,4.00,3.00,1.00,5.00,8.00,NULL,1.00,0.00,4.00,333,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5316553,5.00,7.00,2.00,3.00,5.00,7.50,1.00,4.00,3.00,502,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14710,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316561,3.00,1.00,0.00,3.00,4.00,NULL,0.00,2.00,2.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5316596,1.00,0.00,2.00,1.00,4.00,NULL,3.00,3.00,2.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316600,2.00,4.00,3.00,4.00,5.00,NULL,1.00,3.00,3.00,317,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316618,7.00,5.00,2.00,7.00,10.00,10.88,4.00,3.00,5.00,450,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316626,4.00,4.00,3.00,3.00,4.00,8.63,3.00,4.00,3.00,453,NULL,NULL,'SAO JOAO ME','TUBARÃO','SC',15147,111,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316634,3.00,5.00,3.00,3.00,5.00,9.00,1.00,1.00,5.00,207,NULL,215,'PICADAS DO SUL','S JOSÉ','SC',14791,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316642,5.00,7.00,3.00,3.00,6.00,7.50,4.00,4.00,5.00,201,NULL,212,'MADALOZZO','CEL VIVIDA','PR',10340,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5316650,3.00,7.00,1.00,1.00,4.00,NULL,1.00,3.00,2.00,215,NULL,213,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316669,5.00,6.00,1.00,1.00,4.00,NULL,1.00,3.00,3.00,502,NULL,NULL,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5316677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5316685,6.00,6.00,4.00,6.00,5.00,7.88,3.00,4.00,1.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316693,4.00,6.00,0.00,7.00,6.00,NULL,0.00,3.00,4.00,104,NULL,NULL,'CENTRO','CÂNDIDO GODÓI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','QUILOMBO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5316723,7.00,6.00,4.00,6.00,6.00,9.75,3.00,1.00,6.00,207,NULL,201,'BARRA SUL','BAL CAMBORIÚ','SC',9665,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5316731,6.00,4.00,3.00,6.00,8.00,6.75,0.00,2.00,5.00,104,NULL,NULL,'TATUAPÉ','S PAULO','SP',13417,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5316740,7.00,7.00,4.00,5.00,4.00,8.63,5.00,5.00,7.00,103,NULL,NULL,'CENTRO','COLOMBO','PR',4598,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5316758,7.00,5.00,5.00,5.00,5.00,7.50,4.00,6.00,8.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',4949,2130,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316766,2.00,1.00,1.00,3.00,4.00,NULL,0.00,1.00,2.00,108,NULL,NULL,'SANTA CRUZ','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5316774,2.00,4.00,1.00,7.00,4.00,8.25,1.00,4.00,3.00,207,NULL,203,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',16177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316804,2.00,4.00,0.00,4.00,3.00,NULL,1.00,2.00,1.00,203,NULL,214,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316812,6.00,5.00,2.00,3.00,8.00,6.00,3.00,3.00,3.00,101,NULL,NULL,'FURADINHO','PALHOÇA','SC',13660,69,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316820,3.00,5.00,1.00,1.00,2.00,NULL,2.00,3.00,0.00,415,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316839,5.00,2.00,1.00,2.00,4.00,NULL,0.00,0.00,3.00,303,NULL,NULL,'PRÓSPERA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5316847,6.00,6.00,4.00,7.00,5.00,8.63,0.00,2.00,7.00,452,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316855,6.00,4.00,1.00,5.00,10.00,11.25,1.00,3.00,3.00,415,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',12890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316863,2.00,2.00,0.00,2.00,5.00,NULL,0.00,1.00,1.00,109,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316871,3.00,5.00,2.00,4.00,7.00,8.63,2.00,3.00,4.00,101,NULL,NULL,'CENTRO','ESTEIO','RS',13514,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316880,3.00,5.00,0.00,2.00,3.00,NULL,3.00,2.00,3.00,103,NULL,NULL,'ROCADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316898,7.00,5.00,4.00,7.00,5.00,7.50,2.00,6.00,6.00,333,NULL,NULL,'VILA ROMANA','S PAULO','SP',5941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316901,4.00,6.00,4.00,7.00,9.00,9.38,5.00,3.00,6.00,201,NULL,208,'COQUEIROS','FLORIANÓPOLIS','SC',6358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316910,5.00,3.00,3.00,4.00,4.00,NULL,3.00,1.00,1.00,103,NULL,NULL,'PROGRESSO','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316928,6.00,7.00,6.00,6.00,7.00,10.13,3.00,4.00,6.00,216,NULL,215,'CARVOEIRA','FLORIANÓPOLIS','SC',4011,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316936,2.00,4.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,428,NULL,426,'SÃO MIGUEL','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5316944,5.00,7.00,2.00,3.00,6.00,3.75,2.00,6.00,4.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5316960,4.00,7.00,2.00,5.00,9.00,10.50,1.00,3.00,4.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10317,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5316987,7.00,5.00,2.00,2.00,8.00,9.75,4.00,4.00,7.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5316995,5.00,7.00,2.00,6.00,8.00,9.38,2.00,3.00,6.00,319,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',7654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5317010,2.00,0.00,2.00,2.00,1.00,NULL,0.00,0.00,0.00,601,NULL,208,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(20,5317037,6.00,6.00,2.00,7.00,5.00,8.25,2.00,4.00,5.00,301,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',11171,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5317045,5.00,3.00,3.00,7.00,7.00,7.50,5.00,3.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',7700,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5317053,9.00,8.00,6.00,5.00,10.00,9.75,4.00,6.00,8.00,103,NULL,NULL,'VILA IPIRANGA','PTO ALEGRE','RS',1161,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5317070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,215,'INTERIOR','PRINCESA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5317088,3.00,4.00,0.00,1.00,1.00,NULL,2.00,2.00,2.00,9,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5317096,1.00,2.00,1.00,0.00,4.00,NULL,3.00,1.00,4.00,329,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5317100,6.00,8.00,0.00,6.00,10.00,10.50,3.00,5.00,7.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',5309,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317118,1.00,3.00,1.00,2.00,5.00,NULL,0.00,3.00,5.00,404,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317126,2.00,3.00,2.00,4.00,6.00,NULL,2.00,1.00,3.00,104,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5317134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5317142,8.00,8.00,4.00,7.00,8.00,8.63,5.00,6.00,7.00,202,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',1784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5317150,2.00,2.00,0.00,1.00,3.00,NULL,2.00,0.00,3.00,303,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5317177,5.00,6.00,0.00,6.00,6.00,12.00,1.00,5.00,2.00,336,NULL,NULL,'CENTRO','CRICIÚMA','SC',12187,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5317185,5.00,5.00,2.00,6.00,7.00,8.25,2.00,3.00,3.00,420,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',11800,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5317193,7.00,6.00,2.00,7.00,8.00,6.38,4.00,4.00,5.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',6312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5317207,3.00,2.00,1.00,3.00,0.00,NULL,0.00,2.00,2.00,108,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5317215,1.00,3.00,0.00,2.00,3.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','PARAÍSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5317223,3.00,6.00,1.00,6.00,8.00,7.50,0.00,4.00,2.00,425,NULL,428,'BELA VISTA','S JOSÉ','SC',15630,52,NULL,NULL,NULL,NULL,NULL,4,1),(20,5317231,7.00,7.00,1.00,4.00,8.00,8.63,1.00,2.00,4.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9899,151,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317240,7.00,5.00,2.00,6.00,8.00,9.00,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',7526,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5317258,6.00,5.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,324,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5317266,9.00,9.00,4.00,7.00,11.00,9.38,5.00,6.00,9.00,103,NULL,NULL,'SANTO ANTÔNIO','PTO ALEGRE','RS',467,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5317274,2.00,4.00,2.00,4.00,3.00,NULL,1.00,1.00,4.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317282,6.00,5.00,1.00,4.00,7.00,8.63,2.00,5.00,5.00,333,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11694,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'LINHA SÃO VALENTIM','DESCANSO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5317304,6.00,7.00,3.00,8.00,6.00,9.75,2.00,2.00,4.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',11551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5317312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','STO ANTÔNIO MISSÕES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5317320,7.00,4.00,4.00,6.00,5.00,9.38,4.00,1.00,4.00,338,NULL,NULL,'FAZENDA RIO TAVARES','FLORIANÓPOLIS','SC',9561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5317339,6.00,5.00,3.00,7.00,8.00,9.75,1.00,2.00,5.00,9,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',10591,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5317347,3.00,4.00,0.00,2.00,4.00,NULL,1.00,3.00,1.00,404,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317355,4.00,5.00,1.00,2.00,6.00,NULL,1.00,1.00,3.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317363,2.00,2.00,2.00,3.00,1.00,NULL,1.00,0.00,0.00,451,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317371,1.00,6.00,0.00,1.00,3.00,NULL,0.00,2.00,2.00,211,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5317380,9.00,6.00,6.00,7.00,8.00,12.38,4.00,5.00,8.00,103,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',1147,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5317398,3.00,2.00,2.00,5.00,5.00,NULL,3.00,2.00,3.00,452,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317401,7.00,7.00,1.00,2.00,3.00,NULL,1.00,3.00,1.00,211,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317410,3.00,5.00,1.00,4.00,4.00,6.75,1.00,2.00,4.00,203,NULL,220,'SAGRADO CORAÇÃO','LAGES','SC',15633,957,NULL,371,NULL,NULL,NULL,4,9),(20,5317428,4.00,5.00,5.00,6.00,6.00,6.38,3.00,3.00,2.00,207,NULL,201,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5317436,2.00,4.00,2.00,3.00,3.00,NULL,1.00,1.00,0.00,651,NULL,652,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5317444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5317452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PEDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5317460,8.00,8.00,3.00,6.00,8.00,8.63,3.00,6.00,6.00,103,NULL,NULL,'N S DAS DORES','STA MARIA','RS',3685,1741,NULL,NULL,NULL,NULL,NULL,2,4),(20,5317479,2.00,4.00,1.00,1.00,6.00,NULL,0.00,2.00,3.00,9,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317495,6.00,6.00,6.00,7.00,10.00,7.13,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',3664,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5317509,3.00,4.00,5.00,3.00,4.00,3.75,4.00,3.00,5.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5317517,2.00,6.00,1.00,6.00,7.00,11.63,3.00,5.00,5.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10827,446,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317550,3.00,4.00,2.00,4.00,8.00,NULL,0.00,2.00,1.00,207,NULL,216,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5317568,7.00,5.00,4.00,7.00,8.00,11.63,2.00,2.00,5.00,102,NULL,NULL,'BARRA SUL','BAL CAMBORIÚ','SC',7132,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5317576,1.00,4.00,0.00,0.00,1.00,NULL,1.00,0.00,0.00,601,NULL,207,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5317584,7.00,7.00,3.00,7.00,9.00,10.88,3.00,6.00,6.00,450,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5317592,2.00,6.00,1.00,3.00,7.00,NULL,2.00,3.00,1.00,301,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5317606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'BOM JESUS','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5317614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5317630,2.00,3.00,2.00,3.00,5.00,NULL,1.00,1.00,1.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5317649,2.00,6.00,1.00,2.00,5.00,NULL,1.00,2.00,2.00,9,NULL,NULL,'DIVISA','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5317665,0.00,4.00,2.00,4.00,6.00,NULL,1.00,2.00,5.00,336,NULL,NULL,'CENTRO','QUILOMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5317690,8.00,8.00,3.00,6.00,7.00,10.88,4.00,3.00,7.00,5,NULL,NULL,'IPIRANGA','S JOSÉ','SC',3653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5317703,5.00,5.00,1.00,3.00,3.00,NULL,2.00,2.00,5.00,213,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5317720,7.00,6.00,5.00,7.00,6.00,6.75,7.00,6.00,6.00,235,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',3991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5317746,3.00,3.00,2.00,5.00,5.00,NULL,0.00,1.00,4.00,303,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317754,4.00,4.00,0.00,0.00,4.00,NULL,2.00,4.00,1.00,318,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317762,3.00,4.00,0.00,4.00,5.00,NULL,0.00,0.00,2.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317789,3.00,5.00,2.00,7.00,7.00,6.75,1.00,2.00,2.00,201,NULL,601,'CENTRO','CRICIÚMA','SC',15674,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5317800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'BELA VISTA','FARROUPILHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5317827,7.00,6.00,0.00,4.00,8.00,9.75,2.00,2.00,6.00,103,NULL,NULL,'NOVA BANDEIRANTES','CPO GRANDE','MS',10464,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317835,4.00,3.00,1.00,4.00,3.00,NULL,3.00,2.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317843,6.00,6.00,5.00,3.00,7.00,10.13,0.00,5.00,5.00,211,NULL,216,'ITACORUBI','FLORIANÓPOLIS','SC',10887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317851,4.00,4.00,1.00,4.00,4.00,3.75,4.00,2.00,3.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TABOÃO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5317878,3.00,3.00,2.00,6.00,4.00,NULL,0.00,0.00,2.00,207,NULL,212,'CENTRO','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5317886,5.00,5.00,2.00,3.00,2.00,NULL,3.00,2.00,5.00,103,NULL,NULL,'JARDIN CELINA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5317894,4.00,5.00,2.00,5.00,7.00,NULL,0.00,2.00,1.00,420,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317908,4.00,5.00,1.00,3.00,7.00,NULL,0.00,2.00,3.00,207,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317916,3.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5317924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5317932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5317940,2.00,5.00,2.00,3.00,5.00,NULL,2.00,0.00,4.00,301,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317959,3.00,3.00,2.00,2.00,3.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'SANTA CRUZ','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5317967,1.00,1.00,0.00,1.00,1.00,NULL,1.00,0.00,1.00,404,NULL,NULL,'BOSQ DOS EUCALIPTOS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317983,4.00,4.00,2.00,6.00,6.00,7.88,5.00,1.00,4.00,308,NULL,NULL,'MONTA CRISTO','FLORIANÓPOLIS','SC',14942,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5317991,8.00,7.00,2.00,7.00,9.00,9.75,3.00,3.00,5.00,103,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',5838,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5318009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'JUVEVÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5318017,2.00,4.00,2.00,6.00,6.00,NULL,1.00,2.00,2.00,453,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318025,3.00,4.00,1.00,2.00,5.00,NULL,3.00,2.00,3.00,319,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5318033,3.00,5.00,3.00,3.00,2.00,NULL,3.00,2.00,3.00,308,NULL,NULL,'ARIRIU DA FORMIGA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318050,3.00,4.00,1.00,5.00,4.00,NULL,1.00,3.00,1.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5318068,7.00,6.00,2.00,6.00,6.00,9.75,4.00,3.00,4.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',6919,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5318076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ATUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5318084,4.00,5.00,1.00,7.00,4.00,10.13,0.00,3.00,3.00,5,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5318106,5.00,7.00,0.00,6.00,4.00,7.13,3.00,1.00,3.00,201,NULL,207,'SÃO LUIZ','SOMBRIO','SC',14375,1019,NULL,689,NULL,NULL,NULL,2,3),(20,5318122,2.00,5.00,1.00,4.00,4.00,NULL,0.00,1.00,4.00,453,NULL,NULL,'PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5318130,8.00,7.00,2.00,5.00,6.00,4.13,2.00,4.00,4.00,104,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5318149,3.00,3.00,0.00,2.00,2.00,NULL,3.00,2.00,3.00,101,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318157,9.00,7.00,1.00,7.00,10.00,10.50,3.00,7.00,4.00,319,NULL,NULL,'CENTRO','STA MARIA','RS',3761,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318165,3.00,3.00,1.00,3.00,3.00,NULL,1.00,0.00,5.00,108,NULL,NULL,'MORRO DA BINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5318181,3.00,2.00,1.00,1.00,4.00,NULL,4.00,1.00,1.00,208,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5318203,3.00,5.00,1.00,0.00,4.00,NULL,1.00,1.00,3.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,235,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5318220,3.00,3.00,1.00,4.00,4.00,NULL,3.00,1.00,4.00,104,NULL,NULL,'N SRA DE FÁTIMA','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5318238,9.00,6.00,3.00,7.00,8.00,8.63,5.00,4.00,6.00,103,NULL,NULL,'BOQUEIRAO','PASSO FUNDO','RS',3707,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5318246,4.00,7.00,1.00,5.00,4.00,8.63,2.00,2.00,3.00,207,NULL,238,'CENTRO','TUBARÃO','SC',14197,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5318254,7.00,6.00,3.00,7.00,9.00,8.25,5.00,4.00,4.00,420,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',4295,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5318262,3.00,5.00,0.00,0.00,5.00,NULL,1.00,1.00,5.00,339,NULL,NULL,'PARQUE AEROPORTO','TAUBATÉ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5318270,5.00,7.00,4.00,4.00,8.00,9.38,3.00,3.00,6.00,207,NULL,208,'CANTO DA AMIZADE','STO AMARO IMPERATRIZ','SC',7711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318289,2.00,5.00,2.00,4.00,5.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'COLONIA IGUAÇU','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5318297,2.00,3.00,1.00,2.00,4.00,NULL,0.00,1.00,4.00,103,NULL,NULL,'NSAPARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5318300,6.00,9.00,5.00,7.00,10.00,7.13,6.00,6.00,7.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',1574,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5318319,5.00,7.00,2.00,5.00,9.00,6.75,1.00,4.00,4.00,309,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',10742,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318327,6.00,7.00,0.00,5.00,6.00,10.50,0.00,2.00,5.00,327,NULL,NULL,'BARREIROS','S JOSÉ','SC',12898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318335,7.00,6.00,5.00,7.00,8.00,9.75,6.00,6.00,6.00,201,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',2492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5318343,8.00,9.00,3.00,8.00,10.00,9.75,5.00,5.00,7.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5318351,6.00,7.00,0.00,4.00,9.00,7.88,1.00,2.00,5.00,652,NULL,653,'FORQUILHA GRANDE','ARARANGUÁ','SC',11894,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5318360,4.00,3.00,2.00,3.00,4.00,NULL,2.00,1.00,2.00,215,NULL,216,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5318394,7.00,5.00,2.00,4.00,5.00,7.13,4.00,5.00,6.00,425,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',11305,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5318432,5.00,7.00,1.00,4.00,6.00,7.50,2.00,2.00,4.00,452,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318440,7.00,6.00,5.00,4.00,7.00,7.50,2.00,4.00,2.00,5,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',12107,387,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318475,3.00,5.00,3.00,2.00,3.00,NULL,2.00,3.00,0.00,501,NULL,NULL,'CENTRO','PITANGA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5318491,2.00,4.00,3.00,6.00,4.00,6.00,2.00,4.00,3.00,207,NULL,651,'NOBREGA','LONDRINA','PR',16167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5318505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5318513,3.00,6.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318521,1.00,7.00,3.00,3.00,2.00,NULL,3.00,5.00,2.00,501,NULL,NULL,'JARDIM FLORESTA','PLANALTO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5318530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'INGLESES SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5318548,6.00,6.00,4.00,5.00,6.00,9.00,1.00,3.00,3.00,336,NULL,NULL,'MICHEL','CRICIÚMA','SC',13931,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5318564,1.00,5.00,1.00,2.00,4.00,NULL,2.00,0.00,4.00,9,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318572,7.00,9.00,1.00,5.00,10.00,8.25,2.00,4.00,5.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',7460,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5318580,6.00,6.00,3.00,5.00,8.00,6.38,4.00,3.00,5.00,318,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',11928,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MATINHO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5318602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5318629,1.00,3.00,0.00,4.00,4.00,NULL,2.00,1.00,3.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PQ DAS FLORES','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5318645,2.00,7.00,0.00,4.00,6.00,NULL,3.00,2.00,5.00,318,NULL,NULL,'NOVA BELÉM','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5318653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PAQUETÁ','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5318661,3.00,3.00,0.00,3.00,4.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5318670,3.00,5.00,0.00,2.00,4.00,NULL,0.00,2.00,2.00,329,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5318688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5318696,7.00,6.00,3.00,6.00,7.00,9.00,3.00,3.00,5.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',7357,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5318700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA CIDADE JARDIM','AVARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5318734,6.00,8.00,5.00,7.00,7.00,12.38,6.00,4.00,3.00,212,NULL,213,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5318742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5318750,5.00,7.00,2.00,5.00,10.00,7.13,4.00,5.00,7.00,104,NULL,NULL,'PRESIDENTE MÉDICE','CHAPECÓ','SC',5872,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5318769,9.00,8.00,2.00,7.00,7.00,9.38,3.00,4.00,9.00,103,NULL,NULL,'GUTIERREZ','BELO HORIZONTE','MG',3187,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5318777,9.00,7.00,4.00,3.00,6.00,10.88,2.00,2.00,6.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',5290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5318785,5.00,5.00,1.00,2.00,4.00,7.88,2.00,3.00,4.00,203,NULL,201,'CENTRO','S JOAQUIM','SC',14795,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5318793,4.00,6.00,0.00,8.00,9.00,NULL,1.00,4.00,1.00,429,NULL,NULL,'CANTO DOS ARAÇAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5318807,2.00,4.00,0.00,3.00,0.00,NULL,2.00,1.00,0.00,601,NULL,201,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5318815,6.00,7.00,3.00,5.00,7.00,8.25,2.00,4.00,4.00,318,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318823,4.00,1.00,4.00,4.00,5.00,NULL,3.00,0.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5318831,5.00,2.00,1.00,1.00,1.00,NULL,3.00,3.00,3.00,103,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5318840,2.00,0.00,1.00,3.00,2.00,NULL,1.00,0.00,2.00,109,NULL,NULL,'INDIA','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318858,6.00,8.00,3.00,7.00,9.00,7.50,3.00,3.00,6.00,103,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',6271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5318866,8.00,6.00,1.00,6.00,7.00,7.50,3.00,5.00,8.00,238,NULL,211,'ITACORUBI','FLORIANÓPOLIS','SC',7522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5318874,4.00,4.00,1.00,3.00,4.00,NULL,0.00,2.00,2.00,110,NULL,NULL,'ANTONIOLLI','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5318882,5.00,6.00,3.00,5.00,6.00,11.25,3.00,5.00,3.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5318904,3.00,7.00,3.00,7.00,6.00,7.50,3.00,3.00,5.00,235,NULL,220,'CENTRO','FRAIBURGO','SC',9626,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5318912,5.00,6.00,4.00,5.00,8.00,11.25,2.00,2.00,5.00,208,NULL,238,'BREJARU','PALHOÇA','SC',8310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318920,7.00,5.00,1.00,6.00,9.00,10.50,3.00,5.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5318939,4.00,7.00,1.00,5.00,6.00,7.13,0.00,4.00,3.00,338,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15849,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318947,7.00,7.00,3.00,5.00,7.00,6.38,1.00,7.00,5.00,318,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5318955,3.00,6.00,4.00,4.00,6.00,7.13,3.00,2.00,5.00,220,NULL,202,'BARRA DO ARIRIÚ','PALHOÇA','SC',11834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5318980,3.00,6.00,1.00,3.00,4.00,NULL,1.00,1.00,3.00,102,NULL,NULL,'CENTRO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5318998,7.00,4.00,3.00,7.00,8.00,6.75,1.00,4.00,4.00,601,NULL,203,'ATIRADORES','JOINVILLE','SC',7863,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5319005,7.00,5.00,2.00,7.00,9.00,8.63,1.00,3.00,3.00,211,NULL,207,'DEHON','TUBARÃO','SC',10337,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5319013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,214,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5319021,3.00,6.00,1.00,3.00,4.00,9.75,3.00,3.00,2.00,238,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',16120,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5319048,3.00,4.00,0.00,3.00,4.00,NULL,2.00,2.00,2.00,208,NULL,215,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319064,8.00,7.00,4.00,3.00,7.00,8.25,3.00,4.00,7.00,103,NULL,NULL,'VILA OPERARIA','ITAJAÍ','SC',6429,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5319072,0.00,2.00,1.00,3.00,3.00,NULL,1.00,2.00,3.00,235,NULL,201,'ITACURUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319099,5.00,3.00,4.00,2.00,4.00,6.38,1.00,3.00,5.00,501,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',16275,116,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319102,3.00,6.00,1.00,6.00,6.00,7.50,3.00,4.00,5.00,601,NULL,653,'COMERCIARIO','CRICIÚMA','SC',13209,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5319110,8.00,7.00,5.00,6.00,9.00,6.75,1.00,5.00,6.00,220,NULL,238,'PASSA VINTE','PALHOÇA','SC',5739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319129,3.00,5.00,1.00,4.00,6.00,NULL,0.00,2.00,4.00,216,NULL,215,'SÃO MATEUS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319137,4.00,6.00,1.00,6.00,5.00,10.13,0.00,2.00,2.00,324,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'ROCIO GRANDE','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5319153,6.00,8.00,1.00,7.00,9.00,10.13,2.00,5.00,5.00,340,NULL,NULL,'MATRIZ','VIDEIRA','SC',7242,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5319161,3.00,4.00,2.00,2.00,4.00,NULL,3.00,2.00,3.00,316,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319170,5.00,6.00,2.00,5.00,7.00,8.25,3.00,3.00,6.00,207,NULL,203,'CORREGO GRANDE','FLORIANÓPOLIS','SC',11043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319200,9.00,5.00,5.00,5.00,9.00,10.88,3.00,5.00,8.00,103,NULL,NULL,'UVARANAS','PNT GROSSA','PR',1966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5319226,4.00,3.00,2.00,7.00,5.00,6.75,4.00,4.00,5.00,320,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319234,3.00,4.00,2.00,2.00,6.00,NULL,1.00,0.00,2.00,5,NULL,NULL,'LIMOEIRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5319242,4.00,6.00,1.00,3.00,6.00,8.25,3.00,3.00,3.00,450,NULL,NULL,'CONSOLAÇÃO','S PAULO','SP',14838,107,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319250,6.00,6.00,5.00,7.00,8.00,9.00,4.00,5.00,7.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319269,4.00,5.00,4.00,3.00,4.00,6.00,1.00,3.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319277,5.00,6.00,2.00,6.00,7.00,7.50,2.00,3.00,6.00,444,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',11410,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319293,1.00,5.00,0.00,2.00,5.00,NULL,3.00,1.00,2.00,109,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319307,4.00,6.00,4.00,4.00,4.00,7.13,0.00,3.00,3.00,453,NULL,NULL,'OFICINAS','TUBARÃO','SC',15974,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5319315,2.00,5.00,3.00,5.00,9.00,NULL,2.00,4.00,4.00,101,NULL,NULL,'FORQUILINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5319323,7.00,8.00,4.00,7.00,8.00,10.50,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5613,2312,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319331,0.00,2.00,3.00,0.00,2.00,NULL,1.00,3.00,1.00,303,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5319358,6.00,7.00,5.00,6.00,7.00,8.63,2.00,3.00,5.00,103,NULL,NULL,'PARAGUAI','JACINTO MACHADO','SC',8462,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5319366,4.00,4.00,0.00,4.00,4.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'PRIMAVERA','CASTRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5319374,4.00,6.00,3.00,4.00,6.00,6.75,2.00,3.00,3.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15217,215,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319382,4.00,6.00,3.00,7.00,7.00,9.00,2.00,3.00,2.00,652,NULL,653,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',12031,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5319390,5.00,5.00,2.00,4.00,5.00,9.75,4.00,4.00,6.00,108,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319404,3.00,6.00,3.00,4.00,6.00,7.13,3.00,1.00,4.00,317,NULL,NULL,'ESPINHEIROS','JOINVILLE','SC',16085,133,NULL,NULL,NULL,NULL,NULL,2,8),(20,5319412,6.00,6.00,1.00,4.00,7.00,10.50,1.00,3.00,6.00,207,NULL,233,'CENTRO','ESTRELA','RS',11132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319420,7.00,6.00,3.00,5.00,7.00,9.00,6.00,5.00,3.00,103,NULL,NULL,'HIPICA','PTO ALEGRE','RS',5938,2388,NULL,NULL,NULL,NULL,NULL,2,15),(20,5319439,7.00,4.00,0.00,3.00,10.00,11.25,2.00,4.00,5.00,207,NULL,201,'GUANABARA','JOINVILLE','SC',10115,476,NULL,743,NULL,NULL,NULL,4,8),(20,5319447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5319455,5.00,6.00,1.00,7.00,7.00,9.38,1.00,1.00,4.00,207,NULL,233,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319463,3.00,4.00,2.00,6.00,3.00,NULL,2.00,1.00,2.00,216,NULL,201,'NAZARÉ','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(20,5319471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5319480,7.00,5.00,0.00,3.00,8.00,NULL,4.00,1.00,6.00,415,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319498,6.00,5.00,5.00,7.00,9.00,7.88,2.00,4.00,6.00,5,NULL,NULL,'PRQ RES AQUARIUS','S JOSÉ CAMPOS','SP',5208,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5319501,4.00,7.00,1.00,7.00,7.00,9.75,3.00,6.00,4.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',8232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5319536,8.00,8.00,4.00,6.00,10.00,11.25,2.00,3.00,4.00,103,NULL,NULL,'SANTA HELENA','LAGES','SC',5431,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5319544,2.00,4.00,0.00,0.00,2.00,NULL,2.00,4.00,0.00,452,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319579,5.00,7.00,7.00,4.00,10.00,9.75,4.00,2.00,6.00,201,NULL,601,'ROÇADO','S JOSÉ','SC',4491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5319595,3.00,5.00,1.00,4.00,4.00,NULL,0.00,3.00,4.00,429,NULL,427,'CAPOERIAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319609,4.00,4.00,2.00,2.00,7.00,6.75,3.00,4.00,2.00,101,NULL,NULL,'SÃO SEBASTIÃO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5319625,3.00,0.00,3.00,4.00,4.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5319633,7.00,6.00,3.00,4.00,8.00,10.50,4.00,5.00,5.00,450,NULL,NULL,'PARUQE PRADO','CAMPINAS','SP',5308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319641,2.00,3.00,0.00,5.00,4.00,NULL,0.00,0.00,2.00,601,NULL,216,'SAGUÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5319650,4.00,5.00,1.00,5.00,3.00,NULL,0.00,2.00,2.00,9,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319668,6.00,7.00,4.00,5.00,6.00,0.00,2.00,2.00,3.00,601,NULL,653,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5319676,4.00,5.00,2.00,3.00,4.00,7.50,2.00,5.00,4.00,212,NULL,214,'STELLA MARIS','SALVADOR','BA',15638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319684,8.00,4.00,2.00,7.00,6.00,11.25,5.00,3.00,6.00,103,NULL,NULL,'CABREÚVA','CPO GRANDE','MS',5652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319692,7.00,6.00,4.00,7.00,5.00,8.63,4.00,2.00,5.00,327,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5319706,7.00,7.00,4.00,6.00,7.00,9.38,3.00,6.00,6.00,5,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',4486,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319714,3.00,4.00,0.00,3.00,2.00,NULL,1.00,2.00,1.00,208,NULL,238,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319722,1.00,4.00,2.00,3.00,2.00,NULL,1.00,1.00,4.00,212,NULL,208,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5319730,3.00,4.00,0.00,1.00,5.00,NULL,2.00,2.00,4.00,333,NULL,NULL,'VILA OLIVEIRA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319749,6.00,4.00,6.00,7.00,7.00,9.38,0.00,3.00,4.00,304,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319757,4.00,5.00,4.00,4.00,4.00,7.13,3.00,3.00,6.00,302,NULL,NULL,'CENTRO','JOINVILLE','SC',12033,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5319765,4.00,4.00,2.00,4.00,7.00,8.63,2.00,3.00,3.00,319,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',14894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319773,5.00,5.00,4.00,5.00,8.00,7.88,3.00,5.00,4.00,301,NULL,NULL,'ALTO','PIRACICABA','SP',7906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319781,5.00,7.00,1.00,2.00,3.00,NULL,2.00,3.00,5.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319790,4.00,1.00,0.00,4.00,6.00,NULL,3.00,3.00,2.00,3,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319803,8.00,4.00,1.00,7.00,6.00,7.13,3.00,3.00,5.00,212,NULL,233,'BATEL','CURITIBA','PR',9104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319811,2.00,4.00,1.00,1.00,2.00,NULL,0.00,1.00,1.00,333,NULL,NULL,'PAGARA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319820,7.00,7.00,3.00,7.00,10.00,10.50,4.00,6.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5319854,8.00,6.00,2.00,8.00,7.00,9.00,2.00,4.00,5.00,303,NULL,NULL,'BOQUEIRAO','SANTOS','SP',6031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319862,2.00,5.00,1.00,5.00,3.00,NULL,0.00,1.00,3.00,653,NULL,652,'SÃO CRISTÓVÃO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5319897,8.00,5.00,6.00,5.00,4.00,9.00,4.00,3.00,3.00,203,NULL,214,'SEDE ALVORARDA','SEDE ALVORADA','PR',7247,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5319900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5319919,3.00,6.00,2.00,2.00,5.00,NULL,1.00,2.00,3.00,5,NULL,NULL,'ROCIO GRANDE','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5319935,0.00,4.00,1.00,1.00,2.00,NULL,3.00,3.00,2.00,601,NULL,203,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5319951,4.00,6.00,2.00,4.00,9.00,7.13,3.00,4.00,2.00,208,NULL,238,'JARDIM LONDRES','CAMPINAS','SP',13431,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319960,3.00,4.00,2.00,3.00,5.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319978,2.00,8.00,2.00,7.00,6.00,11.25,5.00,3.00,3.00,202,NULL,235,'ITACORUBI','FLORIANÓPOLIS','SC',7589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5319986,4.00,5.00,0.00,2.00,3.00,NULL,3.00,3.00,5.00,101,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5319994,5.00,5.00,4.00,5.00,3.00,NULL,2.00,1.00,4.00,216,NULL,202,'SANTOS DUMONT','TRÊS LAGOAS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5320003,1.00,6.00,2.00,2.00,3.00,NULL,0.00,2.00,1.00,5,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320020,3.00,4.00,0.00,4.00,2.00,NULL,2.00,1.00,1.00,208,NULL,238,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320038,8.00,6.00,5.00,8.00,7.00,9.75,5.00,3.00,7.00,319,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',3696,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5320046,7.00,6.00,3.00,4.00,5.00,9.00,3.00,4.00,7.00,211,NULL,207,'CENTRO','BAL ARROIO SILVA','SC',7393,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5320054,5.00,5.00,3.00,4.00,4.00,7.88,2.00,2.00,1.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16292,538,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320062,0.00,7.00,2.00,4.00,3.00,NULL,1.00,2.00,3.00,211,NULL,203,'CENTRO','PAIM FILHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320070,2.00,3.00,1.00,4.00,5.00,NULL,1.00,1.00,1.00,317,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5320119,9.00,5.00,6.00,6.00,8.00,10.13,8.00,6.00,4.00,212,NULL,201,'STO ANTÔNIO D LISBOA','FLORIANÓPOLIS','SC',1604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5320135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA BARBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5320160,1.00,5.00,3.00,5.00,6.00,7.13,2.00,2.00,5.00,333,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',13582,126,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320178,5.00,5.00,2.00,6.00,7.00,6.75,1.00,1.00,3.00,207,NULL,212,'CENTRO','TURVO','SC',16009,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5320186,5.00,7.00,2.00,6.00,8.00,7.88,2.00,6.00,3.00,425,NULL,426,'CAMPECHE','FLORIANÓPOLIS','SC',10384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5320194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5320208,0.00,6.00,0.00,0.00,0.00,NULL,2.00,4.00,4.00,331,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(20,5320216,7.00,5.00,1.00,4.00,6.00,8.63,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',13344,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5320224,6.00,6.00,6.00,3.00,7.00,4.50,4.00,4.00,7.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320232,6.00,5.00,0.00,7.00,7.00,10.13,0.00,5.00,4.00,103,NULL,NULL,'JARDIM KARAÍBA','UBERLÂNDIA','MG',10003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5320259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5320267,6.00,8.00,1.00,7.00,4.00,8.25,1.00,3.00,4.00,316,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',13374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5320275,4.00,6.00,2.00,4.00,6.00,7.13,3.00,3.00,3.00,216,NULL,653,'SANTA BARBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5320283,4.00,5.00,1.00,5.00,7.00,8.63,3.00,4.00,5.00,103,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5320291,0.00,4.00,0.00,0.00,0.00,NULL,0.00,4.00,1.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(20,5320313,1.00,6.00,0.00,4.00,5.00,NULL,0.00,3.00,5.00,220,NULL,203,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5320321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA LAPA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5320330,3.00,4.00,3.00,5.00,4.00,NULL,1.00,1.00,2.00,425,NULL,428,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5320356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,208,'STO ANTONIO DE PADUA','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5320364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PINHAL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5320372,7.00,3.00,4.00,5.00,6.00,9.75,1.00,5.00,4.00,216,NULL,202,'SAGRADO','LAGES','SC',9044,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5320380,7.00,4.00,4.00,7.00,6.00,11.63,4.00,4.00,4.00,319,NULL,NULL,'VILA ESTRELA','PNT GROSSA','PR',6112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5320399,8.00,5.00,4.00,7.00,7.00,10.13,3.00,5.00,7.00,103,NULL,NULL,'CANUDO','ORLEANS','SC',4607,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5320402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5320410,3.00,6.00,1.00,4.00,2.00,NULL,1.00,3.00,4.00,211,NULL,238,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5320429,8.00,6.00,7.00,6.00,8.00,12.00,7.00,7.00,7.00,103,NULL,NULL,'BAIRRO DA LUZ','DOIS VIZINHOS','PR',565,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5320445,4.00,8.00,4.00,7.00,7.00,8.25,5.00,7.00,6.00,233,NULL,202,'TRIANON','GUARAPUAVA','PR',7169,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5320453,3.00,4.00,2.00,2.00,4.00,NULL,0.00,2.00,3.00,420,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320461,1.00,4.00,3.00,3.00,4.00,NULL,3.00,3.00,2.00,653,NULL,213,'CENTRO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5320470,7.00,6.00,3.00,6.00,8.00,0.00,3.00,4.00,6.00,332,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5320488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','CPO BOM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5320496,7.00,7.00,4.00,6.00,9.00,12.00,2.00,2.00,3.00,5,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',6591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5320500,2.00,4.00,1.00,5.00,3.00,NULL,1.00,2.00,2.00,202,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5320518,8.00,7.00,3.00,4.00,8.00,7.88,3.00,4.00,6.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320526,2.00,4.00,2.00,6.00,5.00,8.63,2.00,3.00,3.00,601,NULL,NULL,'BUCAREIN','JOINVILLE','SC',15153,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5320534,3.00,5.00,1.00,2.00,4.00,NULL,0.00,1.00,1.00,303,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5320542,3.00,7.00,0.00,3.00,6.00,9.75,2.00,7.00,1.00,301,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',13819,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320550,4.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,201,NULL,238,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5320569,6.00,5.00,3.00,4.00,2.00,NULL,2.00,2.00,3.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320577,1.00,4.00,1.00,3.00,6.00,NULL,1.00,1.00,3.00,317,NULL,NULL,'ZONA RURAL','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5320585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'SEMINÁRIO','CORUPÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5320593,2.00,4.00,4.00,3.00,4.00,NULL,0.00,3.00,1.00,452,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5320607,6.00,6.00,4.00,4.00,8.00,8.25,4.00,4.00,5.00,110,NULL,NULL,'FLORESTA','S JOSÉ','SC',9285,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320615,3.00,6.00,1.00,7.00,6.00,6.38,3.00,5.00,5.00,102,NULL,NULL,'COHAB II','S JOAQUIM','SC',13358,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5320623,6.00,6.00,1.00,4.00,5.00,6.00,3.00,1.00,5.00,329,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',13701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320631,3.00,5.00,3.00,4.00,7.00,9.38,2.00,3.00,3.00,451,NULL,NULL,'CENTRO','S JOAQUIM','SC',13967,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5320640,6.00,6.00,2.00,3.00,3.00,NULL,1.00,3.00,4.00,101,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5320658,9.00,7.00,8.00,7.00,9.00,9.00,6.00,6.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5320666,7.00,6.00,2.00,3.00,6.00,6.75,3.00,2.00,5.00,212,NULL,203,'KOBRASOL','S JOSÉ','SC',12736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5320704,6.00,6.00,2.00,7.00,8.00,6.00,3.00,3.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5320712,6.00,6.00,1.00,5.00,5.00,7.88,0.00,1.00,3.00,103,NULL,NULL,'MORADA DO SOL','MARAVILHA','SC',15091,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5320720,4.00,3.00,2.00,5.00,3.00,NULL,2.00,2.00,4.00,324,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320739,7.00,6.00,2.00,7.00,6.00,9.75,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',6782,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5320747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SUMAREZINHO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',1,1),(20,5320763,8.00,7.00,5.00,3.00,6.00,7.50,5.00,5.00,5.00,316,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',8045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320780,9.00,9.00,5.00,4.00,10.00,11.63,3.00,4.00,8.00,103,NULL,NULL,'VILA MÍRIAN','GUARULHOS','SP',951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320798,9.00,6.00,5.00,6.00,10.00,10.88,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',2234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5320801,7.00,6.00,5.00,6.00,6.00,7.88,7.00,2.00,5.00,203,NULL,202,'CENTRO','CASCAVEL','PR',5469,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5320810,1.00,2.00,1.00,1.00,2.00,NULL,0.00,0.00,1.00,301,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320828,3.00,4.00,0.00,4.00,5.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5320836,3.00,4.00,1.00,1.00,3.00,NULL,1.00,2.00,4.00,653,NULL,652,'MORRO DO MEIO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5320844,4.00,3.00,1.00,4.00,5.00,NULL,1.00,2.00,0.00,501,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5320852,3.00,4.00,1.00,7.00,8.00,9.38,2.00,1.00,3.00,444,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5320860,5.00,6.00,1.00,4.00,4.00,NULL,1.00,3.00,3.00,420,NULL,NULL,'VILA TUPI','PR GRANDE','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(20,5320879,0.00,1.00,0.00,0.00,0.00,NULL,1.00,2.00,0.00,309,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320887,7.00,8.00,5.00,7.00,11.00,10.50,2.00,4.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2300,1211,NULL,NULL,NULL,NULL,NULL,4,1),(20,5320895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,235,'JARDIM NOVA IPANEMA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5320909,3.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'LOTEAMENTO IPIRANGA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5320917,6.00,7.00,3.00,7.00,7.00,8.25,2.00,7.00,5.00,220,NULL,235,'ZONA DOIS','CIANORTE','PR',5447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5320925,5.00,7.00,3.00,7.00,4.00,NULL,0.00,2.00,6.00,216,NULL,214,'CENTRO','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5320933,3.00,8.00,1.00,5.00,9.00,7.88,1.00,3.00,3.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13796,452,NULL,NULL,NULL,NULL,NULL,2,1),(20,5320941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','ARARAQUARA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5320950,7.00,5.00,3.00,5.00,6.00,9.00,2.00,3.00,3.00,104,NULL,NULL,'SANTO ANTÃO','BENTO GONÇALVES','RS',12147,310,NULL,NULL,NULL,NULL,NULL,4,9),(20,5320968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5320984,4.00,6.00,2.00,4.00,6.00,6.75,2.00,3.00,4.00,5,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',15197,492,NULL,NULL,NULL,NULL,NULL,4,1),(20,5320992,3.00,4.00,1.00,4.00,2.00,NULL,0.00,4.00,3.00,201,NULL,212,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5321000,8.00,6.00,4.00,7.00,10.00,10.13,6.00,5.00,6.00,203,NULL,214,'CENTRO','CRICIÚMA','SC',2269,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5321018,2.00,5.00,5.00,3.00,6.00,6.75,3.00,1.00,6.00,203,NULL,653,'CIDADE ALTA','ARARANGUÁ','SC',14325,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5321026,5.00,8.00,3.00,4.00,6.00,7.50,4.00,5.00,6.00,452,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',11968,86,NULL,NULL,NULL,NULL,NULL,2,1),(20,5321034,4.00,3.00,2.00,3.00,3.00,NULL,3.00,2.00,5.00,101,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321042,5.00,7.00,3.00,6.00,7.00,7.88,5.00,4.00,6.00,316,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321050,5.00,4.00,2.00,1.00,6.00,NULL,1.00,4.00,2.00,104,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5321069,1.00,5.00,1.00,1.00,3.00,NULL,0.00,2.00,2.00,652,NULL,653,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5321085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5321093,3.00,6.00,5.00,7.00,4.00,8.25,0.00,1.00,2.00,201,NULL,214,'ABRAÃO','FLORIANÓPOLIS','SC',14845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321115,7.00,5.00,6.00,6.00,7.00,6.00,0.00,4.00,2.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',9714,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5321123,8.00,9.00,1.00,5.00,8.00,8.63,6.00,8.00,8.00,216,NULL,215,'CENTRO','MAXIMILIANO ALMEIDA','RS',1820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321131,7.00,5.00,0.00,6.00,5.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321140,8.00,8.00,4.00,6.00,8.00,8.63,1.00,6.00,6.00,110,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321158,5.00,6.00,1.00,4.00,7.00,9.38,2.00,4.00,4.00,336,NULL,NULL,'CENTRO','CRICIÚMA','SC',14057,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(20,5321166,3.00,5.00,0.00,3.00,3.00,NULL,3.00,2.00,1.00,652,NULL,651,'MINA UNIÃO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5321174,6.00,4.00,2.00,4.00,6.00,NULL,3.00,4.00,4.00,303,NULL,NULL,'CENTRO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5321182,6.00,7.00,4.00,5.00,8.00,10.50,2.00,3.00,3.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8354,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5321190,4.00,3.00,2.00,3.00,6.00,NULL,1.00,1.00,5.00,201,NULL,203,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321204,7.00,8.00,5.00,6.00,9.00,8.25,3.00,6.00,5.00,201,NULL,233,'CARVOEIRA','FLORIANÓPOLIS','SC',3633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5321239,7.00,6.00,3.00,6.00,9.00,8.63,2.00,5.00,2.00,452,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',7162,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5321247,6.00,5.00,3.00,6.00,6.00,9.75,2.00,1.00,7.00,201,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',9083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321255,8.00,5.00,4.00,7.00,6.00,7.88,0.00,4.00,3.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5321263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5321271,8.00,0.00,4.00,7.00,9.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CINQUENTENÁRIO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5321280,4.00,6.00,1.00,4.00,5.00,10.50,0.00,4.00,7.00,5,NULL,NULL,'JARDIM PRIMAVERA','ITABUNA','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5321298,5.00,7.00,3.00,3.00,6.00,7.88,1.00,2.00,3.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',15405,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5321301,5.00,5.00,3.00,6.00,9.00,7.13,1.00,3.00,4.00,233,NULL,601,'BALNEARIO','FLORIANÓPOLIS','SC',13301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321336,1.00,0.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,201,NULL,202,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5321344,7.00,6.00,3.00,7.00,4.00,7.50,3.00,3.00,3.00,340,NULL,NULL,'SÃO VICENTE','ARAÇATUBA','SP',10026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321352,4.00,3.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,653,NULL,NULL,'JARDIM MARISTELA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5321360,5.00,4.00,3.00,4.00,5.00,NULL,0.00,1.00,3.00,238,NULL,203,'CENTRO','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5321387,9.00,5.00,6.00,7.00,10.00,8.25,8.00,4.00,7.00,203,NULL,208,'JD CENTENARIO','JAMBEIRO','SP',1282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321409,2.00,6.00,0.00,3.00,2.00,NULL,0.00,2.00,2.00,317,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321417,2.00,5.00,0.00,0.00,3.00,NULL,2.00,3.00,1.00,103,NULL,NULL,'CENTRO','LEBON RÉGIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5321425,7.00,6.00,2.00,6.00,6.00,7.50,2.00,0.00,2.00,216,NULL,215,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5321433,2.00,3.00,0.00,4.00,4.00,NULL,1.00,1.00,3.00,216,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321441,3.00,5.00,3.00,4.00,3.00,NULL,2.00,2.00,3.00,235,NULL,212,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5321450,5.00,8.00,0.00,6.00,4.00,7.88,2.00,4.00,3.00,104,NULL,NULL,'SAGRADO','LAGES','SC',14807,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5321468,7.00,6.00,5.00,6.00,9.00,7.88,4.00,3.00,6.00,108,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',6967,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5321476,6.00,6.00,3.00,3.00,5.00,7.88,3.00,3.00,1.00,220,NULL,601,'CENTRO','CHAPECÓ','SC',15794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5321484,3.00,4.00,0.00,3.00,4.00,NULL,0.00,2.00,3.00,326,NULL,NULL,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5321492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5321506,7.00,6.00,5.00,7.00,8.00,10.50,4.00,3.00,6.00,103,NULL,NULL,'NOVA BRASILIA','JOINVILLE','SC',5255,2216,NULL,NULL,NULL,NULL,NULL,4,8),(20,5321514,2.00,4.00,1.00,6.00,6.00,NULL,0.00,2.00,3.00,238,NULL,207,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321530,4.00,5.00,0.00,5.00,7.00,NULL,0.00,1.00,2.00,303,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5321549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5321557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'LABRUNETTI','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5321565,5.00,7.00,2.00,6.00,5.00,7.13,2.00,3.00,4.00,110,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',14498,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5321573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'JARDIM NOVA SAO JOAO','S JOÃO B VISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5321581,3.00,5.00,4.00,4.00,5.00,6.00,2.00,3.00,4.00,601,NULL,201,'SERTAO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5321590,8.00,7.00,5.00,8.00,9.00,11.25,5.00,4.00,6.00,103,NULL,NULL,'BELA SUÍÇA','LONDRINA','PR',2057,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5321603,9.00,6.00,6.00,8.00,9.00,10.50,7.00,7.00,8.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',442,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5321620,9.00,7.00,9.00,7.00,8.00,8.63,8.00,7.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',172,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5321638,5.00,7.00,5.00,6.00,7.00,10.13,3.00,4.00,5.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',7445,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5321646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5321654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5321662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM LINDÓIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5321697,4.00,6.00,3.00,7.00,4.00,7.13,3.00,0.00,3.00,208,NULL,202,'CAMPINAS','S JOSÉ','SC',14332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA VELHA','PALMEIRA MISSÕES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5321719,4.00,4.00,2.00,3.00,8.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5321743,3.00,6.00,3.00,4.00,4.00,NULL,2.00,1.00,1.00,303,NULL,NULL,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5321751,3.00,2.00,4.00,1.00,5.00,NULL,1.00,3.00,2.00,223,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5321760,4.00,4.00,3.00,7.00,7.00,10.88,4.00,3.00,3.00,415,NULL,NULL,'CENTRO','CORUPÁ','SC',11930,228,NULL,NULL,NULL,NULL,NULL,4,8),(20,5321778,3.00,5.00,2.00,3.00,5.00,9.00,4.00,2.00,5.00,324,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14657,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5321786,5.00,3.00,2.00,4.00,3.00,NULL,1.00,1.00,2.00,220,NULL,211,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321794,5.00,7.00,2.00,4.00,6.00,8.25,2.00,1.00,4.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',13985,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5321808,3.00,6.00,4.00,2.00,5.00,6.75,2.00,2.00,4.00,208,NULL,202,'RIO TAVARES','FLORIANÓPOLIS','SC',16164,486,NULL,525,NULL,NULL,NULL,4,1),(20,5321816,3.00,6.00,4.00,5.00,8.00,7.13,1.00,2.00,5.00,103,NULL,NULL,'SÃO FELIPE','TURVO','SC',10570,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5321840,6.00,5.00,2.00,4.00,5.00,7.88,0.00,3.00,4.00,103,NULL,NULL,'BATISTA CAMPOS','BELÉM','PA',12929,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5321859,7.00,5.00,0.00,3.00,4.00,7.88,2.00,3.00,2.00,104,NULL,NULL,'CENTRO','S MARCOS','RS',15840,NULL,NULL,NULL,NULL,NULL,NULL,5,9),(20,5321867,9.00,7.00,4.00,8.00,11.00,9.38,7.00,7.00,8.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321875,4.00,6.00,5.00,5.00,7.00,9.00,2.00,3.00,3.00,104,NULL,NULL,'VILA NOVA','NOVO HAMBURGO','RS',12746,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5321883,3.00,3.00,1.00,1.00,3.00,NULL,3.00,2.00,2.00,316,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5321891,5.00,5.00,4.00,3.00,5.00,7.88,4.00,4.00,4.00,108,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',13445,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5321905,5.00,7.00,2.00,4.00,6.00,8.25,1.00,2.00,4.00,201,NULL,207,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5321921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5321930,0.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5321948,7.00,7.00,5.00,7.00,9.00,8.25,4.00,4.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321956,3.00,3.00,0.00,3.00,4.00,NULL,0.00,2.00,4.00,316,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5321972,4.00,6.00,3.00,7.00,7.00,8.63,1.00,3.00,7.00,327,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',11752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321980,7.00,8.00,5.00,7.00,6.00,10.13,6.00,6.00,6.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5321999,3.00,7.00,0.00,4.00,5.00,7.88,5.00,2.00,4.00,207,NULL,201,'REAL PARQUE','S JOSÉ','SC',15044,730,NULL,1067,NULL,NULL,NULL,4,1),(20,5322006,3.00,3.00,0.00,1.00,2.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5322014,3.00,2.00,1.00,2.00,6.00,NULL,1.00,1.00,3.00,9,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5322022,7.00,7.00,4.00,7.00,9.00,9.75,1.00,4.00,5.00,234,NULL,NULL,'XV DE NOVEMBRO','TIJUCAS','SC',5902,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5322030,9.00,6.00,1.00,6.00,9.00,13.13,5.00,4.00,6.00,103,NULL,NULL,'GUILHERMINA','PR GRANDE','SP',2355,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322065,2.00,3.00,1.00,1.00,2.00,NULL,1.00,2.00,4.00,3,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5322073,2.00,3.00,4.00,4.00,4.00,NULL,1.00,2.00,3.00,316,NULL,NULL,'SÃO CRISTOVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5322081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5322090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'SANTO ANDRÉ','S JOÃO B VISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5322103,6.00,5.00,1.00,4.00,5.00,7.13,0.00,3.00,6.00,103,NULL,NULL,'CENTRO','IBAITI','PR',12339,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5322111,5.00,8.00,5.00,5.00,7.00,8.63,3.00,4.00,3.00,404,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',6529,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322120,2.00,4.00,0.00,4.00,2.00,NULL,3.00,1.00,2.00,444,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,653,'SÃO BASÍLIO MAGNO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5322146,4.00,5.00,3.00,1.00,6.00,8.25,2.00,3.00,6.00,317,NULL,NULL,'SANTA RITA','PAULO LOPES','SC',14780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5322154,7.00,5.00,4.00,7.00,8.00,11.63,3.00,4.00,5.00,201,NULL,212,'BOM RETIRO','JOINVILLE','SC',5347,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5322170,3.00,2.00,2.00,3.00,5.00,NULL,3.00,3.00,3.00,339,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,215,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5322197,5.00,6.00,0.00,3.00,4.00,6.75,2.00,1.00,3.00,102,NULL,NULL,'ESTREITO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5322200,5.00,5.00,0.00,0.00,3.00,NULL,1.00,3.00,0.00,502,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5322219,4.00,5.00,2.00,7.00,3.00,NULL,0.00,3.00,3.00,101,NULL,NULL,'MADRI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5322227,5.00,5.00,1.00,5.00,8.00,11.25,1.00,3.00,5.00,220,NULL,203,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5322243,4.00,5.00,1.00,0.00,6.00,NULL,1.00,3.00,4.00,201,NULL,653,'CENTRO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5322260,3.00,6.00,1.00,4.00,5.00,6.75,4.00,2.00,2.00,103,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',16288,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5322294,4.00,5.00,2.00,6.00,4.00,7.88,1.00,2.00,6.00,651,NULL,653,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5322308,6.00,6.00,0.00,5.00,6.00,NULL,0.00,3.00,2.00,320,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322316,3.00,2.00,0.00,1.00,0.00,NULL,1.00,1.00,1.00,318,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5322324,5.00,4.00,6.00,6.00,7.00,8.63,4.00,3.00,5.00,502,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9732,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322332,4.00,6.00,2.00,2.00,5.00,NULL,1.00,2.00,3.00,652,NULL,653,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5322340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'RIO BRANCO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5322359,6.00,8.00,3.00,7.00,6.00,8.25,3.00,5.00,3.00,340,NULL,NULL,'PRESIDENTE MÉDICE','CHAPECÓ','SC',8274,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5322367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5322383,8.00,6.00,5.00,5.00,6.00,7.50,5.00,3.00,6.00,9,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',7684,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5322405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,208,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5322413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BAIXADA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5322448,4.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(20,5322456,5.00,5.00,6.00,3.00,7.00,9.75,3.00,2.00,4.00,301,NULL,NULL,'CENTRO','PALHOÇA','SC',11464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5322472,8.00,6.00,2.00,7.00,9.00,10.50,4.00,6.00,7.00,303,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',3798,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5322480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5322499,3.00,4.00,0.00,2.00,5.00,NULL,0.00,2.00,3.00,502,NULL,NULL,'CENTRO','S JOÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5322502,1.00,4.00,1.00,0.00,2.00,NULL,3.00,2.00,3.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5322510,1.00,6.00,0.00,5.00,6.00,NULL,1.00,2.00,6.00,101,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322529,8.00,9.00,4.00,7.00,8.00,10.50,3.00,4.00,5.00,340,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',3093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5322537,3.00,3.00,0.00,4.00,4.00,NULL,1.00,2.00,3.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322553,3.00,4.00,2.00,4.00,4.00,NULL,3.00,2.00,3.00,319,NULL,NULL,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5322561,4.00,4.00,3.00,3.00,3.00,NULL,3.00,0.00,3.00,551,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5322570,9.00,7.00,4.00,5.00,9.00,6.75,2.00,5.00,9.00,9,NULL,NULL,'FLORESTA','JOINVILLE','SC',3880,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5322588,6.00,5.00,3.00,7.00,4.00,6.75,1.00,5.00,3.00,301,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',11076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5322618,4.00,4.00,3.00,4.00,5.00,8.63,2.00,4.00,5.00,302,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',13227,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322626,6.00,8.00,5.00,3.00,7.00,9.00,5.00,6.00,4.00,202,NULL,215,'SAGRADA FAMILIA','DOIS VIZINHOS','PR',7339,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5322634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5322642,3.00,4.00,0.00,3.00,3.00,NULL,2.00,3.00,2.00,104,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM PIRATININGA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5322677,2.00,5.00,0.00,6.00,5.00,NULL,2.00,1.00,2.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5322685,2.00,4.00,1.00,4.00,2.00,NULL,3.00,2.00,3.00,212,NULL,235,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322693,8.00,6.00,3.00,7.00,6.00,6.75,4.00,4.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5322715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BOTÂNICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5322723,3.00,6.00,0.00,5.00,6.00,7.50,3.00,2.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5322758,3.00,5.00,3.00,3.00,6.00,10.50,3.00,3.00,4.00,216,NULL,202,'CENTRO','LONDRINA','PR',10882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5322766,5.00,5.00,2.00,5.00,7.00,8.25,2.00,1.00,4.00,211,NULL,212,'BARREIROS','S JOSÉ','SC',12208,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'VISTA ALEGRE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5322782,5.00,5.00,0.00,2.00,2.00,NULL,2.00,2.00,4.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322790,3.00,2.00,0.00,2.00,2.00,NULL,2.00,1.00,0.00,5,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322804,5.00,3.00,4.00,5.00,4.00,9.00,0.00,2.00,3.00,104,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',16169,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5322812,3.00,6.00,2.00,5.00,8.00,7.13,0.00,2.00,5.00,103,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',13605,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5322820,5.00,8.00,2.00,8.00,8.00,9.75,6.00,3.00,6.00,303,NULL,NULL,'MONT SERRAT','PTO ALEGRE','RS',3772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5322839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTAL DAS PEDRAS','CAMBUÍ','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5322847,7.00,7.00,4.00,8.00,10.00,10.88,4.00,7.00,5.00,211,NULL,NULL,'CENTRO','PELOTAS','RS',3398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5322855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','SORRISO','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5322863,5.00,7.00,2.00,4.00,5.00,8.63,3.00,6.00,5.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8608,281,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5322880,3.00,3.00,0.00,4.00,3.00,NULL,1.00,2.00,0.00,104,NULL,NULL,'SANTA HELENA','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5322898,5.00,7.00,2.00,5.00,4.00,6.00,1.00,3.00,2.00,211,NULL,233,'CENTRO','IMBITUBA','SC',15716,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322901,7.00,7.00,5.00,7.00,7.00,8.63,2.00,1.00,4.00,103,NULL,NULL,'CENTRO','MARCELINO RAMOS','RS',8866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5322928,5.00,7.00,2.00,4.00,4.00,6.75,2.00,3.00,3.00,318,NULL,NULL,'CACHOEIRA B JESUS','FLORIANÓPOLIS','SC',15879,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO CRISTOVÃO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5322944,7.00,7.00,7.00,6.00,10.00,10.88,3.00,2.00,8.00,103,NULL,NULL,'CENTRO','BR COTEGIPE','RS',1854,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5322952,0.00,4.00,1.00,2.00,4.00,NULL,2.00,3.00,3.00,319,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322960,5.00,0.00,3.00,7.00,6.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CASA BRANCA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(20,5322979,2.00,2.00,0.00,1.00,2.00,NULL,0.00,3.00,1.00,501,NULL,NULL,'CENTRO','JACUTINGA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322987,5.00,6.00,3.00,6.00,4.00,10.88,3.00,2.00,3.00,404,NULL,NULL,'BARREIROS','S JOSÉ','SC',11340,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5322995,3.00,1.00,0.00,3.00,2.00,NULL,2.00,0.00,2.00,201,NULL,601,'SÃO JOÃO','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5323002,3.00,4.00,5.00,6.00,4.00,0.00,1.00,2.00,4.00,235,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323010,2.00,4.00,2.00,5.00,8.00,7.88,3.00,3.00,3.00,423,NULL,428,'CAMPINAS','S JOSÉ','SC',13185,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323029,4.00,4.00,3.00,2.00,2.00,NULL,1.00,2.00,1.00,3,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323037,8.00,7.00,8.00,4.00,9.00,9.38,6.00,4.00,7.00,103,NULL,NULL,'PORTAO','CURITIBA','PR',1455,824,NULL,NULL,NULL,NULL,NULL,2,8),(20,5323045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5323053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5323061,5.00,5.00,2.00,4.00,5.00,6.75,3.00,3.00,2.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15615,123,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323070,2.00,5.00,3.00,3.00,4.00,NULL,1.00,1.00,3.00,339,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'VILA INDUSTRIAL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5323100,5.00,7.00,3.00,7.00,7.00,12.75,1.00,3.00,4.00,428,NULL,426,'REAL PARQUE','S JOSÉ','SC',8518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323118,7.00,4.00,2.00,3.00,8.00,12.00,0.00,2.00,5.00,103,NULL,NULL,'CENTRO','ROLANTE','RS',9628,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5323134,3.00,6.00,2.00,1.00,2.00,NULL,2.00,2.00,3.00,316,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323142,4.00,4.00,2.00,4.00,6.00,8.63,2.00,4.00,2.00,420,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15948,138,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,601,'GIORGIA PAULA','GARUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5323169,5.00,3.00,1.00,8.00,7.00,11.63,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','NAVEGANTES','SC',10004,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5323177,8.00,4.00,2.00,4.00,3.00,NULL,2.00,4.00,2.00,201,NULL,220,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323193,3.00,4.00,1.00,5.00,2.00,NULL,0.00,1.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323207,7.00,7.00,3.00,6.00,8.00,9.38,3.00,4.00,6.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323215,9.00,6.00,4.00,7.00,10.00,9.38,4.00,4.00,5.00,420,NULL,NULL,'MINA BRASIL','CRICIÚMA','SC',3224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323231,4.00,6.00,3.00,7.00,5.00,7.13,3.00,4.00,6.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',8693,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5323240,5.00,6.00,1.00,6.00,5.00,9.00,0.00,4.00,1.00,426,NULL,428,'COQUEIROS','FLORIANÓPOLIS','SC',15718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323258,5.00,4.00,0.00,5.00,6.00,9.38,2.00,4.00,3.00,324,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323266,4.00,4.00,2.00,6.00,6.00,NULL,2.00,4.00,2.00,208,NULL,238,'SÃO CRISTÓVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,9),(20,5323274,5.00,2.00,1.00,3.00,1.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'JDIM CIDADE DE FPOLI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323282,6.00,6.00,2.00,5.00,8.00,8.25,1.00,2.00,5.00,207,NULL,NULL,'CENTRO','JOINVILLE','SC',11959,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5323304,6.00,5.00,5.00,2.00,5.00,8.63,1.00,6.00,2.00,304,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',14289,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323312,3.00,3.00,3.00,1.00,4.00,NULL,0.00,2.00,1.00,333,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323320,2.00,4.00,1.00,3.00,6.00,NULL,0.00,3.00,3.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323339,5.00,6.00,1.00,1.00,5.00,6.00,2.00,5.00,5.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',10965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323355,8.00,5.00,4.00,3.00,5.00,8.63,3.00,1.00,2.00,216,NULL,215,'CENTRO CÍVICO','CURITIBA','PR',11273,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5323363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5323371,2.00,6.00,4.00,5.00,8.00,10.50,4.00,2.00,5.00,453,NULL,NULL,'BARREIROS','S JOSÉ','SC',8707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323380,6.00,6.00,3.00,4.00,4.00,7.88,1.00,3.00,3.00,201,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',14608,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5323398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM ITALIA','MELEIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5323401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'JARDIM PAULISTANO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5323428,1.00,5.00,1.00,2.00,4.00,NULL,0.00,2.00,2.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323436,9.00,6.00,5.00,7.00,6.00,11.25,5.00,3.00,6.00,203,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',3985,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5323452,3.00,7.00,1.00,4.00,6.00,10.50,1.00,2.00,4.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323479,7.00,5.00,3.00,5.00,9.00,10.88,1.00,3.00,7.00,103,NULL,NULL,'CENTRO','ROLANTE','RS',5821,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5323487,2.00,2.00,0.00,4.00,6.00,NULL,2.00,2.00,3.00,215,NULL,216,'CENTRO','MARCELINO RAMOS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323495,2.00,5.00,0.00,3.00,4.00,NULL,2.00,1.00,2.00,329,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323509,4.00,6.00,3.00,4.00,4.00,7.88,4.00,2.00,2.00,109,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323517,1.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,211,NULL,238,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(20,5323533,9.00,9.00,6.00,7.00,9.00,13.50,8.00,8.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',125,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5323541,6.00,4.00,1.00,6.00,6.00,10.13,1.00,3.00,6.00,216,NULL,211,'ATIRADORES','JOINVILLE','SC',12063,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5323550,7.00,8.00,4.00,5.00,7.00,9.00,3.00,5.00,8.00,301,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',4528,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5323576,6.00,4.00,5.00,4.00,5.00,8.25,3.00,2.00,6.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',11871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323584,5.00,8.00,5.00,7.00,6.00,7.50,3.00,6.00,6.00,333,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',5409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323592,8.00,3.00,2.00,5.00,8.00,7.88,2.00,4.00,5.00,103,NULL,NULL,'PINHEIRINHO','CURITIBA','PR',7966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323606,2.00,3.00,2.00,2.00,2.00,NULL,1.00,2.00,1.00,224,NULL,NULL,'MORRO DO FABRICIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323614,7.00,3.00,4.00,4.00,5.00,7.13,5.00,3.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',10449,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5323622,7.00,7.00,3.00,7.00,4.00,9.75,3.00,6.00,3.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323630,5.00,4.00,4.00,7.00,4.00,9.38,5.00,2.00,2.00,108,NULL,NULL,'AGUA VERDE','CURITIBA','PR',11187,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5323649,3.00,6.00,0.00,5.00,5.00,NULL,0.00,2.00,4.00,104,NULL,NULL,'DOS ESTADOS','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5323657,3.00,5.00,0.00,5.00,7.00,7.13,3.00,3.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323665,4.00,6.00,1.00,4.00,5.00,8.25,1.00,2.00,3.00,208,NULL,201,'SANTO ANTONIO','ABDON BATISTA','SC',15640,460,NULL,1106,NULL,NULL,NULL,4,9),(20,5323673,4.00,4.00,3.00,4.00,6.00,7.88,1.00,2.00,5.00,326,NULL,NULL,'JARDIM AMÉRICA','CHAPECÓ','SC',13700,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5323681,5.00,4.00,3.00,5.00,8.00,9.00,3.00,1.00,6.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323690,9.00,5.00,3.00,7.00,9.00,9.38,1.00,5.00,5.00,320,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',5644,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5323711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5323720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOSÉ CERRITO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5323746,3.00,3.00,0.00,1.00,6.00,NULL,0.00,2.00,3.00,501,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5323770,2.00,5.00,0.00,3.00,5.00,NULL,2.00,3.00,4.00,104,NULL,NULL,'CENTROSUL','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323789,6.00,6.00,2.00,5.00,10.00,7.50,1.00,4.00,4.00,211,NULL,215,'CENTRO','JACINTO MACHADO','SC',10681,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5323797,4.00,4.00,4.00,2.00,6.00,8.63,3.00,4.00,3.00,317,NULL,NULL,'SOROCABA','PAULO LOPES','SC',13656,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323800,3.00,5.00,4.00,3.00,4.00,NULL,0.00,2.00,5.00,327,NULL,NULL,'VILA IPIRANGA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323819,2.00,5.00,2.00,1.00,4.00,NULL,1.00,2.00,4.00,421,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5323827,5.00,4.00,1.00,3.00,4.00,NULL,1.00,1.00,4.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5323843,5.00,4.00,4.00,4.00,5.00,7.13,1.00,1.00,5.00,318,NULL,NULL,'EMBU GUAÇU','EMBU-GUAÇU','SP',15198,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5323851,6.00,5.00,6.00,6.00,8.00,7.13,7.00,6.00,5.00,203,NULL,201,'JARDIM SANTA MARIA','TOLEDO','PR',3079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323860,2.00,2.00,0.00,1.00,5.00,NULL,0.00,1.00,3.00,502,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323878,7.00,8.00,4.00,7.00,6.00,7.50,3.00,5.00,4.00,223,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323886,5.00,6.00,3.00,5.00,5.00,8.25,3.00,5.00,2.00,214,NULL,216,'NOVA ESPERANÇA','BLUMENAU','SC',13412,337,NULL,528,NULL,NULL,NULL,2,1),(20,5323894,3.00,3.00,1.00,3.00,5.00,NULL,1.00,2.00,3.00,451,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5323916,4.00,6.00,1.00,5.00,6.00,7.50,2.00,2.00,4.00,303,NULL,NULL,'CENTRO','AGROLÂNDIA','SC',11957,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323924,5.00,8.00,2.00,3.00,8.00,6.75,3.00,3.00,3.00,420,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',12838,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM PAGANI','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5323959,4.00,7.00,5.00,6.00,5.00,9.75,2.00,3.00,4.00,317,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323967,5.00,4.00,2.00,7.00,4.00,9.00,4.00,1.00,6.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323975,3.00,3.00,2.00,3.00,4.00,NULL,2.00,1.00,2.00,308,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5323983,6.00,7.00,5.00,6.00,7.00,10.13,5.00,6.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5323991,1.00,6.00,3.00,2.00,6.00,6.75,1.00,4.00,4.00,317,NULL,NULL,'JARDIM CARANDAI','BIGUAÇU','SC',13531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5324025,6.00,6.00,3.00,7.00,4.00,9.75,3.00,5.00,5.00,318,NULL,NULL,'SERRARIA','S JOSÉ','SC',11274,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',5,8),(20,5324041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,211,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5324050,2.00,4.00,0.00,5.00,6.00,NULL,1.00,1.00,2.00,601,NULL,653,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5324068,4.00,5.00,3.00,3.00,3.00,NULL,0.00,3.00,3.00,233,NULL,202,'CENTRO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5324076,3.00,5.00,0.00,5.00,2.00,NULL,2.00,3.00,4.00,5,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5324084,6.00,5.00,7.00,3.00,10.00,9.38,3.00,3.00,5.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',5044,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5324092,7.00,7.00,6.00,6.00,6.00,8.63,5.00,5.00,8.00,203,NULL,233,'SANTA CLARA','ORLEANS','SC',3053,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5324106,3.00,3.00,2.00,4.00,7.00,NULL,0.00,3.00,1.00,339,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5324114,2.00,5.00,2.00,5.00,6.00,6.75,4.00,2.00,3.00,201,NULL,235,'CANASVIEIRAS','FLORIANÓPOLIS','SC',15855,1115,NULL,205,NULL,NULL,NULL,2,1),(20,5324122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PTO BELO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5324130,9.00,6.00,4.00,7.00,8.00,9.38,8.00,6.00,9.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',829,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5324149,6.00,7.00,3.00,8.00,10.00,10.13,3.00,3.00,6.00,450,NULL,NULL,'VILA GUMERCINDO','S PAULO','SP',5899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324157,6.00,7.00,3.00,5.00,6.00,7.13,1.00,4.00,6.00,326,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324165,8.00,8.00,7.00,6.00,10.00,10.13,6.00,2.00,7.00,203,NULL,220,'CENTRO','MARMELEIRO','PR',1552,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5324181,2.00,5.00,0.00,1.00,2.00,NULL,0.00,2.00,2.00,5,NULL,NULL,'JARDIM AMERICA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5324190,8.00,6.00,2.00,4.00,7.00,7.50,1.00,5.00,5.00,207,NULL,233,'CAMPINAS','S JOSÉ','SC',10279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324203,2.00,2.00,2.00,2.00,2.00,NULL,2.00,1.00,2.00,336,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5324220,8.00,8.00,5.00,7.00,7.00,10.88,2.00,4.00,6.00,340,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324238,5.00,6.00,2.00,4.00,6.00,NULL,1.00,1.00,2.00,102,NULL,NULL,'SÃO FRANCISCO','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5324246,8.00,7.00,6.00,5.00,8.00,10.50,4.00,4.00,6.00,103,NULL,NULL,'PACAEMBU','CASCAVEL','PR',2193,1162,NULL,NULL,NULL,NULL,NULL,2,4),(20,5324254,0.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,2.00,102,NULL,NULL,'CENTRO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5324262,5.00,7.00,3.00,7.00,6.00,6.38,1.00,3.00,3.00,453,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324270,8.00,4.00,4.00,4.00,6.00,7.50,4.00,2.00,5.00,103,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',8924,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5324289,4.00,5.00,1.00,4.00,6.00,7.88,4.00,2.00,5.00,102,NULL,NULL,'CENTRO','CURITIBA','PR',11664,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5324297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'CENTRO','CAPIVARI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5324300,1.00,4.00,1.00,5.00,3.00,NULL,1.00,1.00,1.00,429,NULL,423,'SERTAO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5324319,5.00,5.00,1.00,2.00,5.00,NULL,2.00,2.00,2.00,201,NULL,208,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5324327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5324343,6.00,5.00,0.00,7.00,5.00,NULL,2.00,2.00,4.00,104,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324351,6.00,7.00,7.00,7.00,7.00,11.25,6.00,6.00,7.00,201,NULL,601,'TRINDADE','FLORIANÓPOLIS','SC',1627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324360,5.00,6.00,3.00,5.00,6.00,9.75,2.00,3.00,2.00,201,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',11569,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5324378,4.00,3.00,1.00,6.00,6.00,6.38,4.00,2.00,5.00,101,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324386,1.00,6.00,0.00,1.00,4.00,NULL,2.00,4.00,1.00,203,NULL,220,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5324394,6.00,3.00,4.00,5.00,4.00,8.25,2.00,1.00,2.00,318,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',16152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324408,4.00,5.00,1.00,2.00,8.00,NULL,0.00,2.00,4.00,101,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5324416,5.00,5.00,2.00,2.00,3.00,NULL,0.00,3.00,3.00,501,NULL,NULL,'JOÃO COSTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5324424,3.00,5.00,0.00,0.00,2.00,NULL,0.00,0.00,2.00,601,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5324440,6.00,6.00,3.00,6.00,9.00,9.00,2.00,0.00,7.00,102,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',6645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324467,6.00,7.00,5.00,5.00,7.00,9.75,3.00,4.00,4.00,319,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',8443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5324475,3.00,7.00,1.00,4.00,5.00,9.38,1.00,1.00,5.00,327,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',15419,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5324491,1.00,4.00,3.00,1.00,5.00,NULL,0.00,2.00,4.00,104,NULL,NULL,'CENTRO','SAUDADES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5324505,5.00,4.00,1.00,8.00,2.00,NULL,1.00,2.00,2.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324513,2.00,5.00,2.00,5.00,5.00,NULL,0.00,2.00,1.00,207,NULL,235,'SERTAO DOS CORREAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5324530,4.00,4.00,0.00,3.00,4.00,NULL,2.00,2.00,3.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5324548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CANASVIERAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5324556,3.00,4.00,2.00,1.00,4.00,NULL,1.00,0.00,5.00,317,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324564,9.00,5.00,7.00,7.00,8.00,10.88,6.00,4.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5324572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,208,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5324580,5.00,6.00,3.00,5.00,6.00,6.75,1.00,2.00,5.00,211,NULL,216,'CENTRO','SIDERÓPOLIS','SC',13586,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5324599,8.00,7.00,0.00,2.00,4.00,6.75,4.00,3.00,3.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',15180,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5324602,3.00,4.00,2.00,0.00,5.00,NULL,1.00,4.00,4.00,601,NULL,233,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5324610,7.00,7.00,4.00,5.00,7.00,9.38,2.00,3.00,5.00,304,NULL,NULL,'BELA VISTA','IBIRAMA','SC',8022,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5324629,8.00,6.00,5.00,6.00,9.00,9.38,5.00,6.00,7.00,103,NULL,NULL,'JARDIM LEBLON','CPO GRANDE','MS',1563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324637,4.00,5.00,1.00,4.00,4.00,NULL,0.00,2.00,2.00,451,NULL,NULL,'SÃO FRANCISCO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5324645,4.00,5.00,3.00,6.00,5.00,9.38,4.00,3.00,3.00,202,NULL,208,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5324653,3.00,6.00,1.00,1.00,3.00,NULL,2.00,1.00,4.00,327,NULL,NULL,'GUIMAR','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5324670,4.00,6.00,1.00,6.00,6.00,7.88,3.00,0.00,3.00,303,NULL,NULL,'CENTRO','ITAPEMA','SC',14019,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5324688,3.00,3.00,1.00,4.00,3.00,NULL,0.00,3.00,1.00,452,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324696,8.00,8.00,1.00,5.00,9.00,8.25,3.00,4.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8087,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5324700,6.00,5.00,3.00,4.00,6.00,9.75,1.00,0.00,3.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5324718,3.00,7.00,1.00,6.00,7.00,9.38,1.00,2.00,4.00,5,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',15029,489,NULL,NULL,NULL,NULL,NULL,2,1),(20,5324726,5.00,6.00,3.00,5.00,5.00,9.00,3.00,2.00,4.00,501,NULL,NULL,'LINHA SOLEDADE','ITAPIRANGA','SC',11359,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5324734,5.00,4.00,3.00,3.00,7.00,NULL,1.00,2.00,2.00,207,NULL,201,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5324742,9.00,7.00,1.00,7.00,9.00,9.38,4.00,3.00,7.00,103,NULL,NULL,'JARDIM ANA ELIZA III','CAMBÉ','PR',3510,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5324750,2.00,4.00,0.00,3.00,4.00,NULL,2.00,1.00,4.00,501,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324769,7.00,8.00,3.00,5.00,6.00,7.88,1.00,4.00,5.00,653,NULL,233,'CENTRO','TUBARÃO','SC',10644,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5324777,6.00,7.00,1.00,4.00,5.00,7.50,1.00,3.00,5.00,202,NULL,235,'CENTRO','S JOÃO BATISTA','SC',11757,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5324785,4.00,4.00,1.00,5.00,6.00,7.13,1.00,3.00,5.00,653,NULL,201,'HUMAITÁ','TUBARÃO','SC',13991,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5324793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SAN CONRADO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5324807,6.00,6.00,2.00,6.00,6.00,9.00,3.00,4.00,2.00,103,NULL,NULL,'CENTRO','TORRES','RS',13019,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5324815,2.00,6.00,1.00,3.00,5.00,NULL,2.00,1.00,4.00,108,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5324823,5.00,7.00,4.00,7.00,8.00,9.00,1.00,4.00,6.00,203,NULL,220,'MATRIZ','VIDEIRA','SC',6227,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5324831,6.00,7.00,4.00,5.00,6.00,7.88,3.00,3.00,5.00,3,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',10814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324840,6.00,7.00,6.00,4.00,7.00,8.63,5.00,4.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5334,2236,NULL,NULL,NULL,NULL,NULL,2,1),(20,5324858,8.00,8.00,4.00,7.00,9.00,11.25,2.00,5.00,8.00,207,NULL,211,'GLÓRIA','JOINVILLE','SC',2311,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5324866,8.00,6.00,5.00,7.00,6.00,7.88,3.00,3.00,6.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324874,4.00,7.00,1.00,5.00,6.00,9.38,1.00,4.00,6.00,452,NULL,NULL,'CENTRO','BRUSQUE','SC',11658,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5324882,5.00,6.00,1.00,4.00,5.00,9.00,3.00,1.00,5.00,103,NULL,NULL,'JD NOVO HORIZONTE','MARINGÁ','PR',13056,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5324890,5.00,6.00,4.00,2.00,5.00,6.38,2.00,4.00,5.00,332,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5324904,1.00,3.00,1.00,7.00,5.00,NULL,1.00,3.00,3.00,450,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324912,5.00,7.00,3.00,7.00,8.00,7.50,2.00,3.00,5.00,211,NULL,208,'PINHEIRA','ENS BRITO','SC',8410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324920,4.00,6.00,0.00,4.00,6.00,NULL,2.00,3.00,3.00,340,NULL,NULL,'SAUDADE','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5324939,6.00,5.00,4.00,7.00,9.00,9.38,1.00,6.00,6.00,415,NULL,NULL,'BOSQUE DA SAÚDE','S PAULO','SP',4715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5324955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'JD CIDADE DE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5324963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5324971,6.00,6.00,4.00,5.00,8.00,8.63,3.00,4.00,6.00,601,NULL,203,'CENTRO','STO AMARO IMPERATRIZ','SC',5947,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5324980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'INDUSTRIÁRIOS','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5324998,8.00,6.00,0.00,7.00,8.00,NULL,0.00,7.00,1.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5325005,8.00,9.00,3.00,7.00,6.00,8.63,3.00,6.00,8.00,303,NULL,NULL,'TRICOLIN','CANOINHAS','SC',2583,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5325013,7.00,5.00,2.00,5.00,6.00,10.13,1.00,3.00,4.00,103,NULL,NULL,'DOS ESTUDANTES','IPIRA','SC',11101,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5325021,3.00,3.00,0.00,2.00,2.00,NULL,3.00,3.00,2.00,339,NULL,NULL,'JURERÊ TRADICIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325030,3.00,4.00,0.00,5.00,3.00,NULL,2.00,3.00,1.00,551,NULL,NULL,'ANTA GORDA','RIO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5325048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'NOVA LONDRES','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5325056,8.00,7.00,3.00,6.00,11.00,11.25,5.00,7.00,7.00,203,NULL,233,'CENTRO','BRAÇO NORTE','SC',689,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5325064,7.00,8.00,8.00,6.00,8.00,10.50,4.00,4.00,5.00,233,NULL,215,'BARREIROS','S JOSÉ','SC',2744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5325072,9.00,7.00,4.00,5.00,8.00,9.00,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','STA TEREZINHA ITAIPU','PR',3980,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5325080,8.00,7.00,7.00,6.00,7.00,10.13,3.00,3.00,7.00,103,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',2415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5325099,3.00,4.00,2.00,3.00,4.00,NULL,2.00,0.00,2.00,415,NULL,NULL,'CENTRO','STA ROSA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325102,4.00,5.00,1.00,3.00,4.00,NULL,0.00,2.00,0.00,104,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5325110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'NOVA BRASÍLIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5325129,3.00,6.00,0.00,0.00,4.00,NULL,0.00,1.00,0.00,108,NULL,NULL,'AUTO BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5325137,3.00,4.00,0.00,3.00,5.00,NULL,1.00,3.00,5.00,102,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5325153,5.00,8.00,2.00,7.00,5.00,8.25,2.00,0.00,3.00,415,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5325161,2.00,4.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,202,NULL,203,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5325170,4.00,5.00,2.00,6.00,7.00,6.38,0.00,2.00,4.00,303,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5325188,6.00,0.00,4.00,4.00,1.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(20,5325196,5.00,3.00,0.00,6.00,4.00,8.25,1.00,3.00,4.00,303,NULL,NULL,'CENTRO','CHAPECÓ','SC',16250,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5325200,4.00,2.00,2.00,4.00,4.00,7.50,2.00,3.00,5.00,104,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',15696,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325218,9.00,6.00,3.00,4.00,7.00,10.88,6.00,6.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2540,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325226,5.00,7.00,3.00,3.00,5.00,7.13,4.00,3.00,5.00,324,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5325242,1.00,6.00,0.00,6.00,5.00,NULL,0.00,2.00,2.00,207,NULL,211,'STO ANT DE LISBOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5325250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PASSO DA AREIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5325269,1.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,1.00,303,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325277,6.00,8.00,2.00,6.00,8.00,7.88,1.00,1.00,6.00,104,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',12793,326,NULL,NULL,NULL,NULL,NULL,1,2),(20,5325285,6.00,6.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,316,NULL,NULL,'FORQUILINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325293,8.00,7.00,3.00,7.00,8.00,11.25,3.00,5.00,4.00,211,NULL,653,'CENTRO','S LUDGERO','SC',3165,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5325307,6.00,5.00,2.00,6.00,9.00,8.25,0.00,3.00,4.00,104,NULL,NULL,'MICHEL','CRICIÚMA','SC',13338,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5325315,9.00,7.00,3.00,6.00,9.00,6.75,3.00,5.00,6.00,201,NULL,212,'CENTRO','JARAGUÁ SUL','SC',4421,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5325323,4.00,4.00,1.00,2.00,4.00,NULL,2.00,2.00,1.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'INTERIOR','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5325340,9.00,7.00,7.00,3.00,9.00,9.00,5.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2216,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325358,5.00,5.00,4.00,6.00,9.00,9.38,4.00,4.00,4.00,215,NULL,233,'CENTRO','CAÇADOR','SC',5810,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5325374,5.00,5.00,0.00,1.00,3.00,NULL,1.00,2.00,2.00,205,NULL,NULL,'ÚLTIMO RIO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5325382,6.00,7.00,0.00,5.00,5.00,6.75,1.00,5.00,6.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5325390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PARAÍSO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5325404,4.00,4.00,1.00,6.00,6.00,NULL,2.00,0.00,2.00,5,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5325412,8.00,6.00,5.00,7.00,6.00,9.00,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6789,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5325439,5.00,8.00,2.00,5.00,4.00,8.25,3.00,2.00,5.00,501,NULL,NULL,'CANELA','JOINVILLE','SC',14062,86,NULL,NULL,NULL,NULL,NULL,1,8),(20,5325447,4.00,4.00,3.00,3.00,5.00,NULL,3.00,1.00,3.00,303,NULL,NULL,'JARDIM SÃO NICOLAU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325455,2.00,4.00,0.00,1.00,2.00,NULL,1.00,2.00,1.00,653,NULL,652,'CENTRO','MRO GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5325463,0.00,4.00,3.00,3.00,3.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'INTERIOR','IPUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5325471,5.00,4.00,2.00,5.00,5.00,8.63,1.00,3.00,5.00,103,NULL,NULL,'CENTRO','NOVO HAMBURGO','RS',11209,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325501,5.00,7.00,4.00,5.00,8.00,9.75,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',5785,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5325510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5325528,1.00,5.00,1.00,4.00,2.00,NULL,0.00,2.00,3.00,208,NULL,238,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325536,2.00,5.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,324,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5325544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5325552,5.00,4.00,2.00,6.00,2.00,NULL,1.00,1.00,5.00,201,NULL,653,'CENTRO','STA ROSA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5325560,4.00,5.00,0.00,6.00,7.00,NULL,0.00,2.00,5.00,104,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5325587,8.00,7.00,2.00,3.00,9.00,10.50,1.00,5.00,4.00,104,NULL,NULL,'CENTRO','FREDERICO WESTPHALEN','RS',7433,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5325609,7.00,5.00,4.00,7.00,8.00,9.00,4.00,2.00,6.00,103,NULL,NULL,'CENTRO','S JOSÉ R PRETO','SP',4796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5325617,6.00,8.00,3.00,7.00,8.00,9.00,3.00,3.00,6.00,333,NULL,NULL,'JARDIM OGUIDO','LONDRINA','PR',6791,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5325633,7.00,7.00,1.00,6.00,7.00,9.75,1.00,3.00,0.00,103,NULL,NULL,'CENTRO','PALMITINHO','RS',11850,3400,NULL,NULL,NULL,NULL,NULL,2,4),(20,5325641,6.00,5.00,3.00,4.00,3.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5325650,1.00,4.00,0.00,4.00,8.00,10.13,3.00,2.00,6.00,303,NULL,NULL,'TERESÓPOLIS','ÁGUAS MORNAS','SC',13670,556,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325668,1.00,0.00,0.00,1.00,5.00,NULL,2.00,3.00,4.00,302,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5325676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTANA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5325684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMÉRICA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5325692,5.00,5.00,2.00,5.00,4.00,9.38,0.00,3.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325706,5.00,5.00,2.00,3.00,6.00,8.63,0.00,5.00,3.00,104,NULL,NULL,'VILAGE','IMBITUBA','SC',14092,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5325714,2.00,6.00,2.00,2.00,1.00,NULL,1.00,2.00,2.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5325722,1.00,6.00,1.00,3.00,2.00,NULL,0.00,2.00,3.00,502,NULL,NULL,'PONTE DOS BUSS','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5325730,1.00,5.00,1.00,2.00,5.00,NULL,2.00,0.00,3.00,203,NULL,214,'MININO DEUS','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5325749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'BRASILIA','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5325757,9.00,9.00,4.00,6.00,10.00,12.75,4.00,6.00,9.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',703,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5325765,4.00,7.00,3.00,4.00,5.00,NULL,0.00,4.00,6.00,316,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325773,6.00,5.00,3.00,6.00,7.00,9.75,3.00,4.00,7.00,103,NULL,NULL,'BATEL','CURITIBA','PR',5504,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5325781,5.00,8.00,2.00,3.00,6.00,6.75,3.00,7.00,6.00,207,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',11909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5325790,5.00,6.00,3.00,7.00,7.00,9.00,1.00,3.00,5.00,340,NULL,NULL,'CENTRO','S JOAQUIM','SC',11783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5325803,5.00,5.00,0.00,5.00,5.00,6.75,3.00,2.00,3.00,103,NULL,NULL,'CENTRO','STA ROSA','RS',15006,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325811,2.00,4.00,1.00,2.00,4.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325820,5.00,6.00,3.00,4.00,7.00,8.25,3.00,3.00,5.00,318,NULL,NULL,'CIDADE JARDIM','PENÁPOLIS','SP',12159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5325838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','PALMEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5325854,3.00,7.00,1.00,5.00,6.00,7.50,3.00,3.00,7.00,336,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',12763,67,NULL,NULL,NULL,NULL,NULL,2,2),(20,5325862,3.00,4.00,0.00,0.00,1.00,NULL,0.00,1.00,0.00,211,NULL,207,'VILA MANENTI','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5325870,6.00,4.00,2.00,4.00,7.00,6.38,1.00,3.00,3.00,301,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325889,2.00,3.00,0.00,1.00,3.00,NULL,2.00,1.00,1.00,415,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325897,6.00,4.00,0.00,3.00,4.00,NULL,2.00,3.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325900,3.00,5.00,3.00,5.00,7.00,7.13,2.00,1.00,2.00,203,NULL,214,'CENTRO','BRAÇO TROMBUDO','SC',15728,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5325919,4.00,6.00,5.00,0.00,7.00,8.63,3.00,4.00,5.00,220,NULL,214,'CENTRO','GOV JORGE TEIXEIRA','RO',11091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5325927,4.00,5.00,0.00,3.00,4.00,9.38,2.00,1.00,5.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325935,2.00,5.00,2.00,5.00,4.00,8.25,0.00,1.00,6.00,404,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5325943,5.00,6.00,2.00,5.00,6.00,7.13,2.00,3.00,6.00,336,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5325951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5325960,5.00,8.00,0.00,7.00,6.00,7.13,2.00,6.00,3.00,238,NULL,208,'SANTA MONICA','FLORIANÓPOLIS','SC',12509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5325978,2.00,4.00,0.00,3.00,3.00,NULL,0.00,2.00,4.00,324,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5325994,6.00,5.00,4.00,6.00,8.00,8.63,0.00,3.00,5.00,303,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',8899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326001,7.00,7.00,5.00,8.00,7.00,11.25,6.00,4.00,7.00,214,NULL,220,'JARDIM MARIANA','STA BÁRBARA D OESTE','SP',1668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'SANTA MARIA','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5326028,4.00,4.00,2.00,3.00,7.00,9.00,3.00,2.00,4.00,9,NULL,NULL,'FREITAS','PAULO LOPES','SC',13017,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5326036,6.00,6.00,4.00,6.00,6.00,7.50,2.00,3.00,6.00,104,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',10627,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5326044,4.00,4.00,0.00,3.00,4.00,NULL,2.00,2.00,3.00,207,NULL,201,'ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5326052,4.00,5.00,1.00,6.00,7.00,8.63,4.00,3.00,6.00,316,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',11627,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5326060,4.00,6.00,0.00,6.00,6.00,NULL,0.00,2.00,5.00,212,NULL,201,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5326079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5326087,2.00,3.00,1.00,4.00,7.00,NULL,0.00,3.00,3.00,207,NULL,201,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5326095,8.00,7.00,4.00,7.00,10.00,8.25,4.00,5.00,7.00,103,NULL,NULL,'ÁGUA FRIA','TOMAZINA','PR',2241,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5326117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'JARDIM DA SAÚDE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5326125,4.00,5.00,4.00,2.00,5.00,6.75,3.00,3.00,1.00,502,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',16003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5326133,9.00,5.00,2.00,7.00,5.00,10.50,3.00,3.00,7.00,103,NULL,NULL,'BOM RETIRO','CURITIBA','PR',5145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326150,7.00,7.00,2.00,5.00,7.00,9.00,2.00,2.00,3.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326168,1.00,1.00,4.00,4.00,3.00,NULL,0.00,2.00,4.00,301,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5326176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5326184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'TERRAS DE PIRACICABA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5326192,6.00,8.00,5.00,7.00,6.00,10.13,3.00,2.00,3.00,318,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',8170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326206,6.00,9.00,3.00,7.00,7.00,12.38,2.00,5.00,6.00,208,NULL,238,'PANTANAL','FLORIANÓPOLIS','SC',4566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326214,3.00,0.00,1.00,7.00,5.00,NULL,0.00,0.00,0.00,238,NULL,213,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(20,5326222,1.00,5.00,3.00,6.00,5.00,NULL,3.00,1.00,1.00,327,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326230,4.00,5.00,2.00,1.00,6.00,4.50,4.00,3.00,3.00,502,NULL,NULL,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5326257,5.00,5.00,3.00,7.00,6.00,7.88,4.00,3.00,2.00,207,NULL,208,'PICO DO AMOR','CUIABÁ','MT',10706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326265,7.00,8.00,3.00,8.00,7.00,7.50,1.00,6.00,7.00,211,NULL,202,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',6545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326273,6.00,6.00,3.00,6.00,6.00,7.88,5.00,4.00,6.00,203,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326281,4.00,6.00,0.00,2.00,5.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326290,3.00,3.00,3.00,7.00,6.00,7.50,3.00,1.00,1.00,653,NULL,235,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5326303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5326311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5326338,3.00,2.00,1.00,4.00,4.00,NULL,5.00,1.00,1.00,224,NULL,NULL,'SÃO SIMÃO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5326346,6.00,3.00,2.00,2.00,1.00,NULL,0.00,3.00,3.00,404,NULL,NULL,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5326354,6.00,6.00,3.00,3.00,7.00,4.88,1.00,5.00,5.00,203,NULL,653,'CENTRO','MORRINHOS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5326362,4.00,5.00,1.00,5.00,5.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5326389,2.00,5.00,0.00,4.00,4.00,NULL,1.00,2.00,2.00,235,NULL,208,'PETROPOLIS','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5326397,4.00,3.00,2.00,4.00,3.00,NULL,3.00,3.00,3.00,319,NULL,NULL,'PALMAS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326400,6.00,8.00,6.00,6.00,9.00,9.38,7.00,3.00,6.00,201,NULL,653,'CENTRO','TUBARÃO','SC',2760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326419,5.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PRAIA DE IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5326427,7.00,8.00,4.00,7.00,5.00,11.63,5.00,4.00,6.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326435,4.00,7.00,2.00,5.00,7.00,7.13,1.00,2.00,6.00,201,NULL,207,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326443,7.00,7.00,6.00,7.00,9.00,8.63,6.00,4.00,6.00,216,NULL,203,'CENTRO','LONDRINA','PR',2286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326451,7.00,5.00,5.00,6.00,6.00,8.25,4.00,4.00,5.00,103,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',6083,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5326478,7.00,8.00,3.00,7.00,8.00,9.00,7.00,4.00,3.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326494,6.00,8.00,1.00,4.00,7.00,10.88,3.00,4.00,7.00,215,NULL,208,'FARROUPILHA','VIDEIRA','SC',7528,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5326508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA CHRISTINA','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5326516,9.00,7.00,8.00,4.00,6.00,7.13,5.00,6.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',2087,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5326524,8.00,0.00,2.00,5.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMÉRICA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5326559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CIDADE UNIVERSITARIA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5326575,1.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5326583,6.00,6.00,2.00,4.00,5.00,7.50,2.00,4.00,5.00,208,NULL,215,'VILA NOVA MANCHESTER','S PAULO','SP',10875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326605,3.00,5.00,3.00,6.00,7.00,9.00,2.00,4.00,5.00,207,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',10343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326613,6.00,5.00,5.00,6.00,6.00,8.25,3.00,2.00,7.00,324,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326621,5.00,6.00,2.00,3.00,7.00,7.50,1.00,3.00,4.00,207,NULL,601,'CENTRO','BIGUAÇU','SC',14547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326630,8.00,8.00,2.00,5.00,9.00,9.00,2.00,3.00,5.00,103,NULL,NULL,'PITUBA','SALVADOR','BA',6863,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5326648,4.00,7.00,4.00,7.00,8.00,10.13,2.00,7.00,6.00,340,NULL,NULL,'CENTRO','PTO ALEGRE','RS',3836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326656,8.00,8.00,1.00,6.00,8.00,9.38,2.00,4.00,5.00,207,NULL,201,'CENTRO','IJUÍ','RS',5696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326664,6.00,5.00,2.00,6.00,3.00,NULL,0.00,5.00,2.00,3,NULL,NULL,'ESTAÇÃO NOVA','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5326672,6.00,5.00,3.00,6.00,4.00,10.88,5.00,2.00,7.00,213,NULL,238,'USINA','ATIBAIA','SP',8705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326680,7.00,5.00,3.00,2.00,5.00,12.00,3.00,3.00,6.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',8109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326699,9.00,8.00,4.00,6.00,10.00,10.88,6.00,5.00,7.00,103,NULL,NULL,'IDEAL','NOVO HAMBURGO','RS',1010,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5326702,4.00,6.00,3.00,2.00,6.00,8.63,1.00,1.00,4.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5326710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5326729,5.00,5.00,1.00,4.00,4.00,6.75,1.00,2.00,5.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5326737,4.00,3.00,5.00,3.00,3.00,NULL,3.00,3.00,2.00,324,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326745,8.00,8.00,7.00,7.00,10.00,8.63,6.00,7.00,9.00,103,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',561,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5326753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM RETIRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5326761,5.00,5.00,0.00,4.00,8.00,7.13,1.00,4.00,3.00,653,NULL,216,'RUBEM BERTA','PTO ALEGRE','RS',12480,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5326770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5326788,4.00,8.00,2.00,5.00,5.00,8.63,1.00,6.00,5.00,303,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326796,6.00,6.00,1.00,6.00,5.00,6.00,0.00,2.00,3.00,216,NULL,203,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5326818,4.00,4.00,3.00,5.00,4.00,6.00,1.00,4.00,5.00,215,NULL,212,'CENTRO','LAGES','SC',15312,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5326826,1.00,4.00,2.00,2.00,4.00,NULL,2.00,4.00,0.00,501,NULL,NULL,'CENTRO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5326834,4.00,5.00,0.00,5.00,5.00,9.75,3.00,4.00,4.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',15067,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5326850,5.00,7.00,4.00,6.00,7.00,9.75,4.00,3.00,5.00,453,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',8374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326869,9.00,7.00,2.00,7.00,8.00,12.38,4.00,4.00,7.00,216,NULL,233,'GUAÍRA','CURITIBA','PR',1917,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5326877,3.00,5.00,0.00,3.00,4.00,NULL,0.00,4.00,3.00,319,NULL,NULL,'FORQUILHAS SAO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5326893,7.00,7.00,6.00,6.00,7.00,7.13,6.00,2.00,6.00,220,NULL,202,'CENTRO','STA MARIA','RS',6378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5326907,4.00,6.00,1.00,5.00,4.00,NULL,2.00,2.00,2.00,423,NULL,424,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5326915,2.00,0.00,2.00,3.00,1.00,NULL,0.00,0.00,0.00,203,NULL,214,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5326923,4.00,6.00,2.00,5.00,6.00,9.00,1.00,3.00,5.00,215,NULL,216,'CENTRO','HERVAL D OESTE','SC',11550,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5326931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5326940,8.00,6.00,5.00,6.00,4.00,6.75,5.00,4.00,6.00,103,NULL,NULL,'SANTA MARIA','S JOSÉ','SC',6046,2417,NULL,NULL,NULL,NULL,NULL,2,1),(20,5326958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'INDUSTRIAL','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5326966,4.00,5.00,5.00,6.00,5.00,6.75,2.00,4.00,4.00,203,NULL,235,'VILA SAO JOAO','ARAPONGAS','PR',10947,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5326974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIN UNIVERSITÁRIO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5326982,1.00,5.00,2.00,4.00,3.00,NULL,1.00,2.00,3.00,319,NULL,NULL,'INDUSTRIÁRIOS','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5326990,5.00,3.00,1.00,6.00,4.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5327008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,208,'JARDIM BARTIRA','TUPI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5327016,5.00,4.00,3.00,6.00,5.00,7.88,2.00,2.00,5.00,326,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327024,3.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5327040,6.00,6.00,2.00,5.00,9.00,8.63,1.00,2.00,3.00,201,NULL,207,'ILHOTA','ITAPEMA','SC',10974,807,NULL,525,NULL,NULL,NULL,2,3),(20,5327059,5.00,6.00,4.00,1.00,5.00,6.00,1.00,4.00,3.00,301,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327067,1.00,4.00,2.00,3.00,4.00,NULL,1.00,3.00,3.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327075,6.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,3.00,502,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5327083,4.00,5.00,3.00,7.00,7.00,9.75,4.00,3.00,4.00,340,NULL,NULL,'RIO TVARES','FLORIANÓPOLIS','SC',8221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327091,4.00,8.00,2.00,6.00,7.00,9.00,2.00,3.00,5.00,211,NULL,207,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',9675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327105,8.00,6.00,1.00,5.00,10.00,10.13,5.00,3.00,6.00,415,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5110,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5327113,4.00,5.00,0.00,4.00,6.00,NULL,4.00,3.00,5.00,233,NULL,235,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5327121,4.00,5.00,2.00,3.00,3.00,NULL,1.00,0.00,4.00,201,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5327130,6.00,6.00,3.00,7.00,6.00,10.50,3.00,5.00,5.00,216,NULL,201,'CENTRO','CASCAVEL','PR',6506,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5327148,6.00,5.00,2.00,6.00,9.00,9.00,4.00,3.00,3.00,5,NULL,NULL,'CENTRO','ARARANGUÁ','SC',7756,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5327156,3.00,4.00,2.00,7.00,6.00,9.38,1.00,2.00,4.00,340,NULL,NULL,'CENTRO','CRICIÚMA','SC',14796,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5327164,8.00,6.00,5.00,7.00,9.00,7.13,3.00,2.00,5.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5327172,8.00,7.00,5.00,7.00,7.00,8.25,4.00,3.00,4.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',5141,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5327180,8.00,9.00,7.00,7.00,9.00,8.25,5.00,6.00,5.00,5,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',1703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INTERIOR','MODELO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5327202,8.00,5.00,5.00,7.00,10.00,7.88,6.00,4.00,6.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',2617,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5327210,6.00,8.00,3.00,6.00,7.00,9.00,4.00,4.00,6.00,233,NULL,601,'NAÇÕES','BAL CAMBORIÚ','SC',5797,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5327229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO ANTONIO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5327237,4.00,3.00,3.00,7.00,5.00,8.25,1.00,2.00,6.00,216,NULL,233,'PONTA DA PRAIA','SANTOS','SP',12727,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5327245,6.00,6.00,3.00,7.00,9.00,12.00,4.00,4.00,5.00,108,NULL,NULL,'AREIAS','S JOSÉ','SC',4150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327261,4.00,7.00,0.00,7.00,8.00,9.75,1.00,3.00,5.00,216,NULL,215,'SÃO CRISTÓVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5327270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5327288,3.00,3.00,0.00,3.00,6.00,NULL,2.00,1.00,2.00,202,NULL,235,'JARDIM CARANDAI','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5327296,4.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5327300,6.00,5.00,0.00,6.00,6.00,NULL,0.00,3.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5327318,8.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO ANTÔNIO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(20,5327326,2.00,5.00,1.00,7.00,6.00,NULL,1.00,2.00,1.00,302,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327334,7.00,4.00,2.00,3.00,6.00,6.00,2.00,3.00,3.00,3,NULL,NULL,'PINHEIRA','PALHOÇA','SC',15791,60,NULL,NULL,NULL,NULL,NULL,2,1),(20,5327342,4.00,4.00,2.00,5.00,7.00,6.38,3.00,2.00,3.00,102,NULL,NULL,'CENTRO','COCAL SUL','SC',14286,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5327350,5.00,6.00,5.00,3.00,4.00,7.13,0.00,2.00,3.00,103,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',13957,3627,NULL,NULL,NULL,NULL,NULL,2,9),(20,5327369,8.00,6.00,2.00,6.00,9.00,7.50,0.00,1.00,6.00,340,NULL,NULL,'MORRO DA GLORIA','URUSSANGA','SC',9569,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5327377,3.00,7.00,4.00,3.00,5.00,6.75,3.00,3.00,3.00,212,NULL,207,'PONTE DO IMARUIM','PALHOÇA','SC',14278,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5327385,2.00,6.00,4.00,5.00,6.00,7.50,5.00,3.00,6.00,203,NULL,202,'JARDIM LUCIANÓPOLIS','MARINGÁ','PR',11180,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5327393,5.00,6.00,2.00,5.00,2.00,NULL,1.00,3.00,5.00,202,NULL,601,'PROGRESSO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5327407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5327415,7.00,6.00,2.00,6.00,8.00,NULL,1.00,4.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,6),(20,5327423,6.00,7.00,3.00,7.00,5.00,8.63,2.00,3.00,2.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327431,3.00,5.00,2.00,2.00,3.00,NULL,2.00,2.00,2.00,651,NULL,208,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5327440,3.00,4.00,2.00,4.00,6.00,7.13,1.00,4.00,4.00,316,NULL,NULL,'CENTRO','TUBARÃO','SC',14539,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5327458,9.00,7.00,2.00,8.00,10.00,11.63,6.00,5.00,8.00,103,NULL,NULL,'SÃO JOSÉ','S LEOPOLDO','RS',1197,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5327466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5327482,3.00,4.00,0.00,5.00,2.00,NULL,1.00,1.00,3.00,324,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5327490,3.00,6.00,0.00,4.00,7.00,NULL,0.00,2.00,3.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327504,7.00,5.00,1.00,7.00,7.00,8.25,2.00,3.00,4.00,207,NULL,201,'CENTRO','GUARATINGUETÁ','SP',9081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327512,5.00,6.00,0.00,7.00,6.00,NULL,1.00,2.00,5.00,108,NULL,NULL,'ALTO DA COLINA','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327520,5.00,5.00,1.00,5.00,8.00,8.63,3.00,3.00,4.00,340,NULL,NULL,'AGUA VERDE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5327539,4.00,7.00,2.00,6.00,6.00,6.75,2.00,1.00,3.00,220,NULL,211,'CENTRO','SAUDADES','SC',14718,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5327547,4.00,5.00,3.00,4.00,5.00,7.50,1.00,2.00,5.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327555,4.00,8.00,4.00,4.00,5.00,NULL,0.00,3.00,5.00,302,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5327571,4.00,3.00,2.00,4.00,4.00,NULL,0.00,4.00,3.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5327580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5327598,4.00,7.00,1.00,4.00,6.00,6.00,2.00,3.00,6.00,213,NULL,238,'BARREIROS','S JOSÉ','SC',14234,183,NULL,353,NULL,NULL,NULL,2,1),(20,5327601,3.00,2.00,1.00,1.00,5.00,NULL,0.00,2.00,1.00,104,NULL,NULL,'CENTRO','NONOAI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5327610,8.00,7.00,3.00,5.00,5.00,7.13,3.00,3.00,5.00,201,NULL,211,'UNIVERSITÁRIO','LAGES','SC',11471,833,NULL,353,NULL,NULL,NULL,4,9),(20,5327628,9.00,8.00,9.00,7.00,9.00,8.63,6.00,6.00,6.00,201,NULL,NULL,'CENTRO','ITAJAÍ','SC',1015,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5327636,8.00,7.00,7.00,7.00,8.00,6.75,7.00,3.00,8.00,220,NULL,216,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',2317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327644,2.00,4.00,2.00,3.00,3.00,NULL,0.00,2.00,3.00,208,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327652,5.00,4.00,1.00,6.00,9.00,7.50,1.00,2.00,4.00,340,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',11878,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5327660,7.00,6.00,1.00,7.00,7.00,8.25,2.00,4.00,4.00,103,NULL,NULL,'JARDIM PARANÁ','TOLEDO','PR',8874,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5327679,3.00,5.00,1.00,6.00,5.00,7.88,2.00,1.00,3.00,207,NULL,233,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327687,4.00,5.00,0.00,3.00,3.00,NULL,0.00,1.00,4.00,208,NULL,215,'SORGATTO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5327695,3.00,4.00,1.00,3.00,2.00,NULL,1.00,3.00,2.00,207,NULL,235,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5327709,7.00,0.00,2.00,8.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ARNALDO BUZATO','ROLÂNDIA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(20,5327717,5.00,5.00,3.00,5.00,7.00,6.38,1.00,5.00,5.00,214,NULL,213,'AEROPORTO','TUBARÃO','SC',12586,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5327725,8.00,5.00,1.00,5.00,8.00,9.38,3.00,3.00,3.00,102,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',9063,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5327733,3.00,6.00,3.00,3.00,4.00,NULL,1.00,2.00,2.00,301,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5327741,8.00,8.00,4.00,7.00,6.00,8.63,3.00,6.00,4.00,207,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',5934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327750,5.00,5.00,3.00,3.00,4.00,NULL,0.00,2.00,3.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5327768,6.00,6.00,3.00,7.00,7.00,8.25,3.00,3.00,4.00,302,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327776,3.00,6.00,3.00,6.00,8.00,11.25,1.00,5.00,4.00,208,NULL,238,'AREIAS','S JOSÉ','SC',10955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327784,5.00,3.00,1.00,5.00,4.00,10.50,3.00,0.00,6.00,103,NULL,NULL,'CENTRO','LUZERNA','SC',13529,3575,NULL,NULL,NULL,NULL,NULL,2,1),(20,5327806,3.00,4.00,2.00,3.00,7.00,7.50,2.00,5.00,3.00,208,NULL,238,'AMIZADE','JARAGUÁ SUL','SC',14866,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5327822,2.00,6.00,2.00,5.00,5.00,NULL,1.00,2.00,1.00,207,NULL,215,'CENTRO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5327830,6.00,6.00,3.00,2.00,5.00,4.13,1.00,4.00,4.00,304,NULL,NULL,'PONTA DA CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5327849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'ORATÓRIO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5327857,5.00,7.00,2.00,5.00,6.00,8.25,1.00,4.00,5.00,208,NULL,238,'ALTO BOQUEIRÃO','CURITIBA','PR',10030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5327881,2.00,4.00,1.00,1.00,4.00,NULL,1.00,0.00,2.00,214,NULL,203,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5327890,4.00,5.00,2.00,7.00,2.00,NULL,0.00,1.00,2.00,215,NULL,216,'CENTRO','PRIMAVERA LESTE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,3),(20,5327903,7.00,7.00,3.00,6.00,6.00,NULL,3.00,5.00,3.00,5,NULL,NULL,'REVOREDO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,10),(20,5327911,8.00,8.00,5.00,6.00,9.00,10.88,6.00,7.00,6.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',859,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5327938,5.00,5.00,0.00,6.00,5.00,NULL,0.00,5.00,4.00,108,NULL,NULL,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5327946,1.00,4.00,0.00,2.00,2.00,NULL,1.00,1.00,5.00,201,NULL,203,'PRIMAVERA','PLANALTO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5327954,3.00,6.00,3.00,3.00,6.00,7.13,3.00,2.00,4.00,9,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5327962,4.00,5.00,4.00,3.00,4.00,7.13,4.00,4.00,4.00,216,NULL,220,'BOA VISTA','CURITIBA','PR',12501,502,NULL,343,NULL,NULL,NULL,4,1),(20,5327989,6.00,5.00,2.00,5.00,7.00,11.25,1.00,4.00,5.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',8099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5327997,4.00,5.00,1.00,5.00,6.00,NULL,1.00,0.00,3.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328004,4.00,6.00,1.00,5.00,8.00,8.63,2.00,4.00,1.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328012,7.00,6.00,2.00,3.00,7.00,6.00,2.00,3.00,5.00,201,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5328020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5328055,4.00,4.00,0.00,4.00,5.00,NULL,0.00,1.00,3.00,201,NULL,211,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5328063,7.00,6.00,3.00,7.00,8.00,7.13,3.00,5.00,6.00,103,NULL,NULL,'JARDIM ELIANE','APUCARANA','PR',4763,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5328071,4.00,4.00,4.00,2.00,5.00,4.50,2.00,2.00,4.00,203,NULL,220,'JD PORTAL DO LAGO','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5328080,8.00,7.00,1.00,6.00,9.00,12.00,4.00,5.00,4.00,201,NULL,207,'LOTE SEIS','CRICIÚMA','SC',4348,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5328098,9.00,7.00,8.00,5.00,11.00,9.00,8.00,8.00,8.00,103,NULL,NULL,'AUXILIADORA','PTO ALEGRE','RS',206,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5328101,3.00,5.00,1.00,1.00,4.00,NULL,3.00,1.00,1.00,652,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5328110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5328128,2.00,1.00,1.00,0.00,4.00,NULL,0.00,1.00,2.00,104,NULL,NULL,'RUI BARBOSA','MONTENEGRO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5328136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,202,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5328144,8.00,7.00,4.00,4.00,5.00,8.25,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','ITAPEMA','SC',5688,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5328152,8.00,7.00,3.00,5.00,8.00,10.50,5.00,3.00,6.00,103,NULL,NULL,'CENTRO','IJUÍ','RS',3105,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5328160,2.00,3.00,2.00,1.00,3.00,NULL,3.00,3.00,4.00,653,NULL,NULL,'VILA BEATRIZ','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5328179,5.00,6.00,4.00,7.00,7.00,9.38,2.00,2.00,5.00,452,NULL,NULL,'SOL NASCENTE','TAPEJARA','RS',10972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'INDUSTRIAL NORTE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5328209,1.00,2.00,3.00,2.00,5.00,NULL,2.00,2.00,1.00,404,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5328217,6.00,6.00,4.00,4.00,7.00,9.38,2.00,4.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6902,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5328225,7.00,6.00,1.00,6.00,8.00,10.13,2.00,6.00,3.00,340,NULL,NULL,'NONOAI','PTO ALEGRE','RS',6438,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5328233,8.00,8.00,6.00,6.00,8.00,9.38,6.00,8.00,7.00,201,NULL,212,'CENTRO','LAGES','SC',893,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5328241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM DO LAGO','ATIBAIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5328268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',3,1),(20,5328276,7.00,5.00,3.00,3.00,3.00,NULL,4.00,4.00,2.00,501,NULL,NULL,'APARECIDA','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328306,5.00,6.00,3.00,5.00,8.00,7.50,3.00,1.00,6.00,5,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',10269,344,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328314,6.00,4.00,2.00,4.00,6.00,6.38,1.00,2.00,2.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328322,6.00,6.00,2.00,0.00,7.00,7.88,2.00,3.00,3.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328330,8.00,5.00,1.00,6.00,7.00,9.75,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',8131,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5328349,5.00,4.00,0.00,5.00,4.00,NULL,3.00,2.00,1.00,336,NULL,NULL,'GRANJA VIANA','COTIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328357,5.00,3.00,0.00,3.00,5.00,NULL,1.00,2.00,2.00,415,NULL,NULL,'MEIO RURAL','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5328365,4.00,3.00,1.00,3.00,4.00,6.00,2.00,3.00,4.00,452,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5328373,4.00,5.00,2.00,5.00,5.00,8.25,3.00,0.00,4.00,202,NULL,652,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',15587,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5328381,3.00,6.00,0.00,2.00,2.00,NULL,0.00,2.00,3.00,415,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328390,7.00,8.00,7.00,4.00,4.00,7.50,6.00,5.00,6.00,203,NULL,214,'JD DOS PRINCIPES','UMUARAMA','PR',4718,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5328411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5328420,2.00,6.00,1.00,6.00,9.00,9.00,2.00,2.00,5.00,317,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',13480,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5328462,3.00,7.00,2.00,5.00,5.00,8.25,3.00,1.00,3.00,653,NULL,215,'POÇO DA LONTRA','TURVO','SC',14305,97,NULL,298,NULL,NULL,NULL,2,15),(20,5328470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',5,8),(20,5328489,8.00,5.00,0.00,7.00,6.00,6.75,3.00,6.00,6.00,104,NULL,NULL,'JD NOVO HORIZONTE','MARINGÁ','PR',6745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328497,2.00,3.00,1.00,2.00,1.00,NULL,2.00,1.00,0.00,427,NULL,421,'ITACURUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5328500,7.00,5.00,2.00,2.00,6.00,6.00,4.00,2.00,7.00,601,NULL,202,'CENTRO','S FRANCISCO SUL','SC',12815,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5328519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,651,'RIBEIRÃO FRESCO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5328527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5328535,4.00,5.00,0.00,3.00,4.00,NULL,0.00,1.00,3.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5328543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD CARVALHO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5328560,3.00,4.00,0.00,5.00,5.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5328578,3.00,3.00,0.00,7.00,7.00,NULL,1.00,1.00,2.00,225,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5328594,7.00,4.00,2.00,5.00,3.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5328608,4.00,7.00,2.00,4.00,8.00,9.38,2.00,4.00,3.00,3,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5328616,4.00,6.00,4.00,3.00,5.00,8.63,3.00,1.00,3.00,109,NULL,NULL,'CENTRO','TIJUCAS','SC',13082,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5328624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BELA VISTA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5328632,7.00,6.00,2.00,6.00,4.00,11.25,1.00,2.00,4.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11505,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5328640,7.00,6.00,2.00,4.00,8.00,6.38,3.00,4.00,6.00,425,NULL,423,'CARVOEIRA','FLORIANÓPOLIS','SC',9365,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5328659,7.00,6.00,4.00,5.00,8.00,9.00,4.00,6.00,8.00,203,NULL,601,'AVIAÇÃO','PR GRANDE','SP',3898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328667,3.00,4.00,1.00,1.00,6.00,NULL,0.00,0.00,3.00,207,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5328675,5.00,4.00,2.00,3.00,3.00,NULL,3.00,3.00,3.00,652,NULL,653,'CANUDOS','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5328691,1.00,5.00,2.00,5.00,6.00,NULL,1.00,1.00,3.00,452,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5328705,2.00,3.00,1.00,6.00,6.00,NULL,0.00,3.00,5.00,332,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328713,3.00,7.00,0.00,4.00,5.00,7.88,2.00,5.00,3.00,303,NULL,NULL,'CENTRO','NOVA VENEZA','SC',15054,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5328721,7.00,6.00,4.00,6.00,7.00,8.25,4.00,5.00,5.00,301,NULL,NULL,'BACACHERI','CURITIBA','PR',6296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328730,3.00,3.00,0.00,3.00,6.00,NULL,1.00,3.00,2.00,309,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328748,6.00,6.00,3.00,3.00,8.00,9.75,4.00,5.00,5.00,319,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',7009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328756,6.00,5.00,3.00,5.00,5.00,6.75,4.00,5.00,5.00,501,NULL,NULL,'CENTRO','VARGEM G SUL','SP',9943,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5328764,4.00,7.00,3.00,5.00,5.00,5.25,4.00,4.00,2.00,208,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ALVORADA','LUCAS R VERDE','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5328799,3.00,4.00,2.00,3.00,6.00,NULL,1.00,2.00,3.00,319,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328810,2.00,3.00,0.00,4.00,1.00,NULL,1.00,1.00,1.00,404,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5328837,2.00,4.00,1.00,4.00,4.00,NULL,1.00,2.00,4.00,453,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5328861,0.00,2.00,1.00,6.00,2.00,NULL,2.00,1.00,2.00,316,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5328896,6.00,6.00,1.00,5.00,6.00,8.25,1.00,2.00,2.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',12975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328900,6.00,5.00,2.00,7.00,5.00,6.75,1.00,3.00,2.00,336,NULL,NULL,'PINHEIRINHO','ITAJUBÁ','MG',11973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328918,9.00,5.00,5.00,7.00,7.00,7.50,6.00,6.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1583,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5328934,6.00,8.00,2.00,6.00,6.00,9.38,0.00,1.00,3.00,303,NULL,NULL,'BAIRRO DOS ESTADOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5328942,2.00,5.00,0.00,1.00,3.00,NULL,3.00,3.00,1.00,331,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328977,7.00,7.00,5.00,1.00,8.00,8.25,3.00,2.00,8.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5328985,4.00,5.00,1.00,6.00,5.00,8.25,4.00,1.00,3.00,309,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5328993,3.00,6.00,2.00,2.00,5.00,9.75,2.00,1.00,4.00,653,NULL,211,'COMERCIÁRIO','CRICIÚMA','SC',15902,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5329000,6.00,4.00,0.00,3.00,6.00,NULL,0.00,3.00,4.00,429,NULL,425,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329019,4.00,3.00,2.00,3.00,6.00,NULL,2.00,1.00,2.00,451,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329027,6.00,6.00,3.00,5.00,9.00,7.88,2.00,4.00,7.00,501,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',6404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329035,4.00,8.00,2.00,6.00,6.00,7.50,1.00,1.00,5.00,213,NULL,235,'BALNEÁRIO','FLORIANÓPOLIS','SC',12569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329043,4.00,6.00,3.00,5.00,6.00,8.63,2.00,4.00,4.00,201,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329051,0.00,4.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,652,NULL,201,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5329060,3.00,5.00,0.00,3.00,5.00,8.25,3.00,3.00,5.00,320,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329078,4.00,3.00,1.00,5.00,6.00,NULL,1.00,2.00,3.00,238,NULL,202,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329086,4.00,6.00,3.00,3.00,4.00,10.88,3.00,2.00,4.00,309,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329094,4.00,7.00,0.00,2.00,6.00,4.50,1.00,4.00,3.00,208,NULL,NULL,'SANTA ROSA','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5329108,2.00,4.00,2.00,4.00,6.00,NULL,3.00,1.00,3.00,317,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329116,8.00,4.00,4.00,6.00,8.00,10.88,2.00,3.00,8.00,104,NULL,NULL,'CENTRO','NOVA BASSANO','RS',5102,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5329132,4.00,7.00,2.00,8.00,8.00,6.75,3.00,3.00,5.00,340,NULL,NULL,'CENTRO','XANXERÊ','SC',8716,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5329140,2.00,3.00,1.00,4.00,1.00,NULL,2.00,0.00,0.00,201,NULL,208,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5329159,6.00,6.00,1.00,6.00,9.00,11.63,3.00,4.00,6.00,205,NULL,NULL,'SÃO BENTO','BENTO GONÇALVES','RS',5623,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5329167,3.00,2.00,2.00,3.00,5.00,NULL,1.00,2.00,3.00,235,NULL,208,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329175,3.00,5.00,4.00,4.00,5.00,NULL,0.00,2.00,2.00,211,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329183,2.00,3.00,1.00,3.00,0.00,NULL,1.00,2.00,1.00,319,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5329205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ALVORADA','LUCAS R VERDE','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5329221,3.00,4.00,0.00,2.00,4.00,NULL,0.00,2.00,1.00,451,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329230,3.00,6.00,4.00,2.00,5.00,NULL,0.00,2.00,3.00,502,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329248,3.00,2.00,1.00,5.00,5.00,NULL,2.00,3.00,2.00,653,NULL,652,'SANTO ANTÔNIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5329256,3.00,1.00,0.00,3.00,4.00,NULL,3.00,4.00,1.00,235,NULL,208,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329264,4.00,4.00,2.00,2.00,6.00,NULL,3.00,2.00,3.00,203,NULL,202,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5329272,2.00,4.00,2.00,1.00,5.00,NULL,3.00,3.00,2.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329280,6.00,6.00,3.00,4.00,8.00,6.38,5.00,3.00,5.00,216,NULL,207,'CAMINHO NOVO','PALHOÇA','SC',9877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329302,4.00,4.00,4.00,4.00,6.00,8.63,3.00,3.00,3.00,3,NULL,NULL,'CENTRO','MAMBORÊ','PR',14294,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5329310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JD DAS HORTENCIAS','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5329329,6.00,6.00,4.00,6.00,8.00,6.38,2.00,4.00,4.00,201,NULL,203,'RESIDENCIAL CAZARIN','APUCARANA','PR',7369,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5329337,1.00,0.00,3.00,2.00,4.00,NULL,0.00,1.00,1.00,102,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5329353,5.00,4.00,1.00,7.00,9.00,7.50,1.00,4.00,4.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5329388,1.00,3.00,0.00,5.00,7.00,NULL,1.00,2.00,0.00,653,NULL,NULL,'ANA MARIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5329396,4.00,4.00,4.00,5.00,6.00,7.50,1.00,1.00,5.00,336,NULL,NULL,'SANTA LUZIA','ABELARDO LUZ','SC',12744,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5329400,5.00,5.00,3.00,6.00,5.00,10.50,2.00,3.00,3.00,238,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',13841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329418,7.00,6.00,3.00,4.00,9.00,9.75,4.00,4.00,6.00,5,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',6230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'DIVINÉIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5329442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,238,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5329450,3.00,5.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,207,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329477,6.00,7.00,3.00,7.00,4.00,10.88,2.00,3.00,6.00,415,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329485,3.00,3.00,3.00,4.00,5.00,NULL,0.00,2.00,2.00,502,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5329493,7.00,8.00,1.00,4.00,6.00,8.63,1.00,4.00,5.00,301,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',10438,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329507,6.00,5.00,2.00,4.00,4.00,6.75,2.00,4.00,4.00,452,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329515,7.00,7.00,8.00,7.00,7.00,6.38,8.00,5.00,7.00,203,NULL,601,'VILA MARIANA','S PAULO','SP',1572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329523,4.00,5.00,0.00,3.00,5.00,NULL,0.00,1.00,0.00,104,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5329531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5329540,5.00,6.00,2.00,4.00,6.00,7.50,3.00,3.00,6.00,415,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329558,3.00,6.00,4.00,3.00,6.00,6.38,2.00,3.00,5.00,308,NULL,NULL,'BELA VISTA III','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329566,8.00,8.00,6.00,7.00,9.00,8.25,3.00,7.00,8.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',1743,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5329582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO ANTONIO','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5329590,9.00,6.00,3.00,7.00,4.00,10.13,2.00,2.00,6.00,103,NULL,NULL,'JARDIM MURILO','MOGI GUAÇU','SP',8612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329604,2.00,6.00,3.00,3.00,4.00,NULL,3.00,1.00,2.00,302,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329612,7.00,4.00,4.00,7.00,7.00,8.25,4.00,3.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329620,4.00,5.00,0.00,5.00,5.00,NULL,0.00,3.00,3.00,104,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5329639,6.00,6.00,0.00,5.00,8.00,10.50,4.00,5.00,6.00,207,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',8049,351,NULL,565,NULL,NULL,NULL,2,1),(20,5329663,5.00,3.00,2.00,5.00,6.00,NULL,1.00,1.00,3.00,104,NULL,NULL,'CENTRO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5329671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,214,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5329698,0.00,5.00,3.00,0.00,2.00,NULL,1.00,0.00,2.00,651,NULL,652,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5329701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOÃO URTIGA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5329710,4.00,8.00,2.00,7.00,5.00,11.25,1.00,2.00,2.00,415,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',12894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329728,2.00,6.00,1.00,5.00,5.00,NULL,2.00,0.00,2.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329736,4.00,6.00,2.00,5.00,4.00,NULL,0.00,2.00,4.00,303,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329744,5.00,5.00,1.00,7.00,4.00,7.88,1.00,2.00,1.00,201,NULL,203,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5329760,3.00,6.00,2.00,7.00,7.00,9.75,2.00,3.00,5.00,5,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',8530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329779,9.00,8.00,3.00,6.00,7.00,7.88,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',3028,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5329795,5.00,7.00,3.00,3.00,6.00,12.00,4.00,4.00,5.00,318,NULL,NULL,'BERGER','CAÇADOR','SC',7438,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5329809,4.00,5.00,0.00,6.00,5.00,NULL,0.00,3.00,4.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329817,7.00,8.00,9.00,8.00,9.00,8.25,7.00,4.00,8.00,203,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329825,7.00,5.00,3.00,4.00,9.00,7.13,2.00,4.00,4.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11937,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329833,6.00,6.00,2.00,6.00,5.00,11.63,4.00,5.00,6.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329841,7.00,4.00,3.00,1.00,5.00,6.38,1.00,4.00,3.00,304,NULL,NULL,'JARDIM LISBOA','RIBEIRÃO PIRES','SP',11978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329850,4.00,5.00,2.00,5.00,6.00,7.50,3.00,3.00,5.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329876,5.00,7.00,2.00,2.00,3.00,NULL,2.00,3.00,2.00,201,NULL,213,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329892,3.00,4.00,3.00,5.00,3.00,NULL,4.00,3.00,3.00,207,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329906,4.00,2.00,4.00,6.00,2.00,NULL,2.00,1.00,2.00,415,NULL,NULL,'JARDIM BELA VISTA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329922,4.00,7.00,2.00,6.00,7.00,6.75,2.00,5.00,4.00,203,NULL,NULL,'VILA PROGRESSO','MARINGÁ','PR',9433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329930,3.00,5.00,1.00,6.00,7.00,9.75,2.00,4.00,6.00,304,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',11931,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5329949,6.00,7.00,1.00,5.00,9.00,7.13,2.00,3.00,6.00,235,NULL,213,'ROÇADO','S JOSÉ','SC',10898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5329957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5329965,4.00,5.00,2.00,4.00,5.00,6.38,2.00,4.00,3.00,309,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329973,3.00,5.00,1.00,1.00,2.00,NULL,0.00,4.00,4.00,302,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5329981,2.00,5.00,1.00,5.00,7.00,NULL,1.00,1.00,3.00,340,NULL,NULL,'BELA VISTA','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330009,8.00,6.00,3.00,5.00,9.00,10.13,2.00,3.00,5.00,214,NULL,203,'CENTRO','IÇARA','SC',7040,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5330017,4.00,6.00,1.00,7.00,7.00,8.25,4.00,5.00,4.00,337,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330033,2.00,5.00,2.00,1.00,5.00,NULL,1.00,2.00,3.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330041,5.00,5.00,0.00,5.00,7.00,8.25,2.00,2.00,3.00,452,NULL,NULL,'JARDIM ALPES','LONDRINA','PR',14861,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5330050,3.00,3.00,1.00,6.00,6.00,8.63,4.00,2.00,5.00,451,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330068,8.00,6.00,6.00,6.00,7.00,10.50,5.00,3.00,8.00,103,NULL,NULL,'JD IMPERIAL','MARINGÁ','PR',2009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'FACULDADE','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5330106,3.00,2.00,2.00,2.00,4.00,NULL,2.00,0.00,2.00,5,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5330114,2.00,5.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,301,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330122,6.00,4.00,5.00,2.00,4.00,NULL,0.00,5.00,5.00,201,NULL,212,'JARDIM CIDADE DE FLO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,201,'CAEIRA SACO DOS LIMO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5330157,6.00,7.00,2.00,7.00,7.00,8.63,2.00,4.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330165,2.00,4.00,3.00,6.00,4.00,9.38,1.00,2.00,4.00,234,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5330181,5.00,8.00,1.00,6.00,4.00,7.50,2.00,3.00,5.00,420,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14748,123,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330203,8.00,7.00,4.00,6.00,8.00,9.00,7.00,4.00,8.00,203,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',2249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330211,7.00,6.00,4.00,5.00,3.00,NULL,2.00,3.00,5.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5330220,5.00,6.00,1.00,4.00,9.00,8.25,2.00,5.00,2.00,207,NULL,211,'GLÓRIA','JOINVILLE','SC',10819,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5330238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5330246,5.00,6.00,4.00,5.00,7.00,9.00,2.00,1.00,5.00,5,NULL,NULL,'CENTRO','SERTÃO','RS',10994,363,NULL,NULL,NULL,NULL,NULL,2,1),(20,5330254,6.00,5.00,0.00,5.00,6.00,NULL,0.00,1.00,4.00,103,NULL,NULL,'CENTRO','NILÓPOLIS','RJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330262,4.00,3.00,1.00,5.00,6.00,NULL,1.00,3.00,3.00,207,NULL,652,'SANTA CATARINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5330270,4.00,6.00,2.00,4.00,7.00,10.50,5.00,0.00,3.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',11053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330289,6.00,4.00,0.00,5.00,8.00,8.25,3.00,3.00,7.00,103,NULL,NULL,'TRES LAGOAS','FOZ IGUAÇU','PR',9791,3142,NULL,NULL,NULL,NULL,NULL,2,8),(20,5330297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','RIO CEDROS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5330300,4.00,7.00,2.00,4.00,8.00,8.25,2.00,3.00,3.00,220,NULL,203,'SÃO JOÃO','ITAJAÍ','SC',11201,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5330319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DA SAÚDE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5330327,6.00,7.00,3.00,5.00,8.00,8.63,3.00,4.00,6.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5330335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5330343,8.00,7.00,6.00,7.00,10.00,7.88,8.00,6.00,7.00,214,NULL,201,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',1423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330351,4.00,4.00,0.00,4.00,6.00,4.88,3.00,3.00,3.00,207,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5330360,8.00,7.00,1.00,8.00,9.00,7.50,4.00,3.00,4.00,202,NULL,235,'ANITA GARIBALDI','JOINVILLE','SC',7304,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5330378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'FORTALEZA DA BARRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5330386,3.00,3.00,0.00,3.00,3.00,NULL,0.00,2.00,0.00,653,NULL,NULL,'FIGUEIRA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5330394,3.00,6.00,5.00,6.00,8.00,7.88,3.00,5.00,6.00,203,NULL,601,'CAMPINAS','S JOSÉ','SC',6281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330408,7.00,7.00,4.00,6.00,4.00,10.88,3.00,4.00,4.00,207,NULL,653,'TRINDADE','FLORIANÓPOLIS','SC',9089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330432,6.00,8.00,3.00,8.00,8.00,9.00,1.00,4.00,4.00,238,NULL,208,'BELA VISTA','COCAL SUL','SC',7828,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5330440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5330467,4.00,5.00,2.00,5.00,8.00,10.13,3.00,3.00,6.00,340,NULL,NULL,'VELHA','BLUMENAU','SC',9445,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5330475,6.00,6.00,2.00,6.00,4.00,9.38,2.00,1.00,6.00,453,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11872,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5330483,7.00,7.00,3.00,7.00,9.00,9.38,3.00,4.00,8.00,340,NULL,NULL,'AMÉRICA','JOINVILLE','SC',4216,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5330491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'SÃO JOSÉ CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5330505,5.00,5.00,2.00,6.00,6.00,10.88,0.00,2.00,5.00,102,NULL,NULL,'CENTRO','BIGUAÇU','SC',11558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5330513,3.00,2.00,3.00,1.00,4.00,NULL,1.00,0.00,3.00,9,NULL,NULL,'VILA ALEMANHA','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5330521,5.00,5.00,1.00,3.00,6.00,8.63,3.00,3.00,4.00,425,NULL,426,'ESTREITO','FLORIANÓPOLIS','SC',14999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330530,8.00,5.00,2.00,8.00,7.00,7.88,3.00,4.00,6.00,103,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',6436,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5330548,6.00,8.00,5.00,4.00,9.00,8.25,2.00,2.00,5.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6269,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5330556,4.00,7.00,3.00,5.00,7.00,7.50,3.00,2.00,3.00,301,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',10942,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5330564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,238,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5330572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5330580,7.00,4.00,5.00,7.00,5.00,8.25,4.00,4.00,7.00,233,NULL,201,'VILA IRACEMA','S JOSÉ CAMPOS','SP',5419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330599,5.00,6.00,0.00,1.00,5.00,NULL,3.00,0.00,4.00,208,NULL,203,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5330610,7.00,7.00,5.00,7.00,8.00,9.38,3.00,5.00,5.00,5,NULL,NULL,'ANITA GARIBALDE','JOINVILLE','SC',4418,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5330629,4.00,2.00,1.00,1.00,3.00,NULL,0.00,2.00,5.00,453,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330637,3.00,6.00,2.00,4.00,5.00,8.63,2.00,2.00,4.00,104,NULL,NULL,'CENTRO','CANOINHAS','SC',15315,412,NULL,NULL,NULL,NULL,NULL,4,17),(20,5330645,2.00,5.00,3.00,1.00,2.00,NULL,4.00,4.00,3.00,333,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5330653,2.00,3.00,3.00,2.00,3.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5330661,4.00,4.00,3.00,6.00,4.00,8.25,3.00,2.00,4.00,425,NULL,426,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',13034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330670,6.00,6.00,3.00,7.00,7.00,10.88,3.00,3.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330688,4.00,4.00,2.00,1.00,8.00,NULL,2.00,2.00,1.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330696,6.00,7.00,2.00,5.00,9.00,10.13,3.00,4.00,4.00,404,NULL,NULL,'JARDIM ZANELATTO','S JOSÉ','SC',6973,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5330700,5.00,6.00,2.00,7.00,7.00,10.13,2.00,3.00,5.00,103,NULL,NULL,'SAIC','CHAPECÓ','SC',9415,3085,NULL,NULL,NULL,NULL,NULL,4,4),(20,5330718,4.00,4.00,1.00,6.00,8.00,9.75,1.00,3.00,5.00,317,NULL,NULL,'ROÇADO','S JOSÉ','SC',11038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5330726,5.00,6.00,2.00,7.00,4.00,8.63,2.00,6.00,6.00,5,NULL,NULL,'SAO LOURENCO','CURITIBA','PR',6992,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5330734,4.00,5.00,0.00,3.00,4.00,NULL,1.00,1.00,5.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5330742,2.00,7.00,3.00,4.00,7.00,7.50,2.00,4.00,3.00,109,NULL,NULL,'AGUA VERDE','CANOINHAS','SC',15143,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5330750,7.00,6.00,2.00,4.00,6.00,7.88,4.00,3.00,7.00,238,NULL,208,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330769,1.00,3.00,3.00,3.00,5.00,NULL,1.00,1.00,4.00,404,NULL,NULL,'FURADINHO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5330777,5.00,5.00,3.00,5.00,7.00,9.38,3.00,3.00,3.00,320,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5330793,4.00,5.00,1.00,5.00,2.00,NULL,0.00,2.00,3.00,211,NULL,201,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5330815,6.00,5.00,0.00,7.00,8.00,6.75,3.00,6.00,3.00,327,NULL,NULL,'RIBEIRÃO FRESCO','BLUMENAU','SC',13172,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5330823,5.00,5.00,4.00,7.00,4.00,6.75,3.00,5.00,4.00,207,NULL,201,'DANIELA','FLORIANÓPOLIS','SC',11648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330831,1.00,2.00,2.00,3.00,4.00,NULL,0.00,1.00,3.00,109,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5330840,5.00,3.00,2.00,7.00,3.00,NULL,0.00,2.00,4.00,202,NULL,235,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330858,3.00,4.00,3.00,6.00,6.00,8.63,1.00,3.00,2.00,203,NULL,214,'CENTRO','SANTANA LIVRAMENTO','RS',14698,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5330866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE NAÚTICA','S VICENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1);
INSERT INTO boletim_desempenho VALUES (20,5330874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5330882,2.00,4.00,1.00,3.00,3.00,NULL,3.00,0.00,2.00,208,NULL,NULL,'JARDIM ATLÂTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330890,4.00,5.00,3.00,4.00,6.00,7.13,0.00,2.00,3.00,223,NULL,NULL,'J CID FLORIANÓPOLIS','S JOSÉ','SC',14898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5330904,2.00,5.00,0.00,2.00,4.00,NULL,2.00,2.00,2.00,208,NULL,235,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5330912,2.00,0.00,3.00,3.00,3.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'DONA WANDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5330920,7.00,7.00,1.00,7.00,4.00,6.75,3.00,4.00,3.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5330955,3.00,1.00,1.00,3.00,2.00,NULL,0.00,2.00,4.00,238,NULL,215,'NATUREZA','ITÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5330963,9.00,7.00,4.00,7.00,9.00,8.25,6.00,4.00,8.00,103,NULL,NULL,'CENTRO','DOIS VIZINHOS','PR',2172,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5330971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PAROLIN','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5330980,5.00,5.00,1.00,3.00,6.00,7.50,3.00,3.00,5.00,453,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',15534,114,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331005,0.00,4.00,1.00,6.00,4.00,NULL,3.00,1.00,3.00,203,NULL,208,'JARDIM SAVEIRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331013,8.00,6.00,2.00,5.00,8.00,9.38,0.00,3.00,3.00,601,NULL,207,'CIDADE ALTA','ALEGRETE','RS',11686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331021,3.00,7.00,2.00,3.00,6.00,8.63,3.00,3.00,3.00,5,NULL,NULL,'CENTRO','IÇARA','SC',14094,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5331030,5.00,7.00,1.00,7.00,6.00,9.38,3.00,3.00,6.00,223,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331048,7.00,6.00,1.00,8.00,6.00,7.50,0.00,3.00,3.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331056,7.00,6.00,3.00,5.00,6.00,10.50,3.00,3.00,7.00,103,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',9228,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331064,9.00,8.00,8.00,7.00,9.00,8.63,8.00,6.00,6.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331072,6.00,6.00,2.00,5.00,7.00,8.63,3.00,2.00,3.00,9,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11812,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5331129,2.00,6.00,1.00,5.00,6.00,NULL,1.00,3.00,2.00,450,NULL,NULL,'PARAÍSO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331137,6.00,6.00,0.00,3.00,6.00,NULL,1.00,2.00,5.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5331153,8.00,7.00,3.00,5.00,9.00,10.88,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',3675,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5331161,6.00,5.00,1.00,2.00,10.00,9.38,3.00,4.00,4.00,429,NULL,426,'COSTEIRA','FLORIANÓPOLIS','SC',11074,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5331188,7.00,6.00,2.00,7.00,5.00,7.88,2.00,2.00,4.00,104,NULL,NULL,'ÁGUA VERDA','JARAGUÁ SUL','SC',11372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331196,4.00,3.00,2.00,1.00,4.00,NULL,1.00,2.00,2.00,202,NULL,NULL,'BARRA','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5331200,4.00,6.00,4.00,5.00,5.00,4.88,1.00,2.00,1.00,203,NULL,214,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331226,5.00,7.00,2.00,5.00,9.00,9.75,1.00,2.00,2.00,317,NULL,NULL,'CENTRO','PALHOÇA','SC',11824,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331242,4.00,6.00,2.00,7.00,6.00,10.88,4.00,3.00,4.00,238,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',10470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331250,3.00,7.00,4.00,4.00,6.00,8.25,1.00,4.00,2.00,501,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331269,8.00,6.00,5.00,4.00,9.00,11.63,6.00,4.00,6.00,201,NULL,203,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331277,8.00,8.00,8.00,7.00,10.00,10.13,9.00,6.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',63,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331285,7.00,8.00,6.00,4.00,9.00,6.75,4.00,6.00,8.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',2898,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5331293,4.00,6.00,4.00,4.00,5.00,6.38,4.00,4.00,6.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',12113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331307,0.00,5.00,3.00,3.00,3.00,NULL,3.00,2.00,1.00,316,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331323,2.00,7.00,2.00,6.00,5.00,9.00,1.00,1.00,3.00,234,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331331,3.00,5.00,4.00,7.00,7.00,9.75,2.00,3.00,4.00,340,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331358,3.00,6.00,0.00,2.00,5.00,NULL,0.00,3.00,2.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331366,2.00,4.00,3.00,3.00,2.00,NULL,3.00,2.00,1.00,234,NULL,NULL,'POÇO FUNDO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331374,2.00,3.00,0.00,3.00,6.00,NULL,1.00,1.00,3.00,102,NULL,NULL,'NOSSA SR DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331382,3.00,5.00,2.00,0.00,3.00,NULL,1.00,3.00,4.00,653,NULL,NULL,'PRIMEIRO DE MAIO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5331390,4.00,3.00,0.00,4.00,4.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331404,3.00,5.00,1.00,5.00,4.00,NULL,0.00,2.00,2.00,551,NULL,NULL,'CENTRO','GUARUJÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5331412,5.00,7.00,2.00,4.00,7.00,7.88,1.00,3.00,3.00,404,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',12998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331420,2.00,1.00,0.00,2.00,3.00,NULL,4.00,0.00,0.00,444,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331439,2.00,5.00,3.00,5.00,5.00,NULL,0.00,1.00,2.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5331455,1.00,3.00,2.00,5.00,5.00,NULL,1.00,1.00,2.00,238,NULL,208,'IBIRQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331463,7.00,8.00,4.00,7.00,7.00,9.75,5.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331471,3.00,3.00,2.00,4.00,4.00,NULL,2.00,4.00,2.00,317,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331480,6.00,6.00,6.00,6.00,7.00,6.75,5.00,2.00,6.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',5495,2286,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331498,9.00,6.00,3.00,7.00,8.00,11.25,3.00,4.00,6.00,207,NULL,NULL,'JD BIRIGUI','UMUARAMA','PR',3938,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5331501,8.00,8.00,5.00,5.00,7.00,9.00,3.00,4.00,4.00,211,NULL,238,'BOM ABRIGO','FLORIANÓPOLIS','SC',5778,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331510,5.00,6.00,1.00,4.00,5.00,6.00,2.00,3.00,5.00,452,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',15205,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331528,6.00,9.00,3.00,8.00,9.00,9.00,3.00,3.00,6.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331536,4.00,4.00,1.00,3.00,5.00,NULL,1.00,1.00,1.00,9,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331544,2.00,4.00,1.00,4.00,5.00,NULL,2.00,1.00,2.00,452,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331579,6.00,6.00,5.00,3.00,8.00,6.75,3.00,3.00,7.00,317,NULL,NULL,'CENTRO','BIGUAÇU','SC',8000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331595,7.00,7.00,1.00,7.00,8.00,9.00,1.00,2.00,5.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331609,5.00,4.00,2.00,4.00,4.00,NULL,1.00,1.00,3.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331625,8.00,7.00,4.00,5.00,8.00,12.00,5.00,6.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1614,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5331633,3.00,6.00,1.00,5.00,4.00,7.50,3.00,2.00,3.00,453,NULL,NULL,'JARDIM NOVA REPÚBLIC','PIRACICABA','SP',16030,124,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331641,2.00,3.00,2.00,6.00,3.00,NULL,1.00,2.00,1.00,601,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5331650,2.00,3.00,2.00,5.00,2.00,NULL,2.00,2.00,4.00,316,NULL,NULL,'RIO NEGRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5331668,4.00,3.00,4.00,4.00,4.00,0.00,4.00,3.00,1.00,303,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331676,4.00,3.00,2.00,3.00,7.00,NULL,2.00,2.00,3.00,415,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331692,3.00,5.00,1.00,2.00,2.00,NULL,2.00,3.00,4.00,3,NULL,NULL,'TAPAJOS','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5331706,5.00,6.00,3.00,4.00,6.00,4.50,4.00,3.00,6.00,234,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331714,6.00,7.00,2.00,3.00,3.00,NULL,1.00,4.00,2.00,224,NULL,NULL,'GLÓRIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5331722,6.00,4.00,3.00,5.00,6.00,9.00,2.00,3.00,5.00,404,NULL,NULL,'SANTA ROSA','PTO UNIÃO','SC',9155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331730,3.00,7.00,1.00,2.00,2.00,NULL,3.00,4.00,1.00,318,NULL,NULL,'BOTAFOGO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331749,5.00,6.00,4.00,5.00,8.00,8.25,3.00,3.00,8.00,319,NULL,NULL,'ARISTOCRATA','S JOSÉ PINHAIS','PR',5998,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5331765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,203,'JD ÂNGELA ROSA','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5331773,9.00,8.00,4.00,4.00,8.00,8.63,8.00,7.00,9.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',960,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331790,0.00,4.00,4.00,6.00,4.00,7.50,3.00,2.00,4.00,335,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',16277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331803,3.00,2.00,1.00,5.00,5.00,NULL,2.00,2.00,2.00,303,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331811,4.00,7.00,0.00,3.00,4.00,NULL,1.00,1.00,4.00,235,NULL,202,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331820,6.00,5.00,1.00,4.00,6.00,6.38,2.00,2.00,4.00,327,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5331862,4.00,2.00,3.00,2.00,4.00,NULL,2.00,2.00,2.00,309,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331870,5.00,7.00,2.00,5.00,6.00,6.75,3.00,4.00,5.00,601,NULL,213,'MONTE VERDE','FLORIANÓPOLIS','SC',14055,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5331889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,215,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5331897,4.00,4.00,2.00,4.00,6.00,6.38,4.00,3.00,1.00,108,NULL,NULL,'CANTA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5331935,7.00,7.00,2.00,6.00,8.00,9.00,0.00,6.00,5.00,340,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',8755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331943,6.00,8.00,5.00,5.00,7.00,8.25,3.00,3.00,6.00,201,NULL,207,'TRINDADE','FLORIANÓPOLIS','SC',6541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331978,3.00,0.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CONJ SAO JOSE TRES','RONDONÓPOLIS','MT',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5331986,7.00,7.00,0.00,7.00,6.00,10.88,3.00,4.00,5.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5331994,4.00,4.00,3.00,7.00,6.00,6.38,2.00,3.00,4.00,319,NULL,NULL,'AGUA VERDE','CURITIBA','PR',10927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5332001,4.00,7.00,5.00,6.00,8.00,NULL,0.00,5.00,4.00,5,NULL,NULL,'MACHADOS','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5332010,4.00,3.00,1.00,3.00,5.00,NULL,2.00,1.00,2.00,319,NULL,NULL,'AREIAS DO MEIO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5332028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BARRA DA TIJUCA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5332036,6.00,6.00,2.00,4.00,5.00,8.63,3.00,3.00,5.00,319,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',12233,214,NULL,NULL,NULL,NULL,NULL,4,16),(20,5332044,2.00,4.00,0.00,2.00,4.00,NULL,0.00,1.00,4.00,233,NULL,215,'SAGRADO CORAÇAO DE J','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5332052,7.00,7.00,3.00,7.00,7.00,8.63,2.00,4.00,3.00,450,NULL,NULL,'CACHOEIRA','S PAULO','SP',10352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5332060,4.00,3.00,2.00,3.00,8.00,8.63,3.00,2.00,3.00,208,NULL,202,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',14205,388,NULL,475,NULL,NULL,NULL,2,1),(20,5332079,6.00,4.00,3.00,5.00,5.00,8.63,1.00,2.00,1.00,103,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',15298,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5332087,2.00,5.00,5.00,2.00,4.00,NULL,1.00,1.00,4.00,421,NULL,425,'FAZ SANTO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5332095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'PARQUE ALVORADA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5332109,7.00,7.00,4.00,6.00,6.00,11.63,4.00,3.00,5.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',7441,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5332117,6.00,4.00,1.00,3.00,5.00,6.38,2.00,5.00,2.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15917,17,NULL,NULL,NULL,NULL,NULL,2,1),(20,5332125,8.00,4.00,1.00,5.00,5.00,8.63,2.00,5.00,5.00,340,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',12893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5332133,7.00,5.00,0.00,5.00,6.00,7.50,3.00,5.00,3.00,103,NULL,NULL,'VILA MARGARIDA','CPO GRANDE','MS',10776,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5332150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5332168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CINQUENTENARIO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5332192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'BOQUEIRÃO','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5332214,8.00,6.00,7.00,6.00,7.00,9.00,3.00,5.00,6.00,103,NULL,NULL,'JD ARPOADOR','S PAULO','SP',3701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5332249,6.00,6.00,1.00,2.00,5.00,6.75,2.00,4.00,2.00,213,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',16231,207,NULL,526,NULL,NULL,NULL,2,1),(20,5332257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5332265,9.00,6.00,9.00,6.00,9.00,10.88,4.00,6.00,7.00,103,NULL,NULL,'MATINHO','XANXERÊ','SC',958,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5332273,7.00,6.00,2.00,5.00,7.00,7.50,3.00,3.00,5.00,3,NULL,NULL,'VILA NOVA','BLUMENAU','SC',7973,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5332290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5332303,7.00,4.00,1.00,6.00,6.00,NULL,0.00,2.00,2.00,326,NULL,NULL,'CENTRO','ARARAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5332311,7.00,7.00,4.00,7.00,6.00,9.75,2.00,4.00,4.00,304,NULL,NULL,'CENTRO','AMPARO','SP',7432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5332320,3.00,4.00,2.00,6.00,5.00,7.13,0.00,3.00,4.00,501,NULL,NULL,'ÁGUAS BRANCAS','URUBICI','SC',16217,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5332338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'INTERIOR','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5332354,7.00,7.00,1.00,7.00,9.00,11.63,3.00,6.00,3.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5332362,5.00,6.00,2.00,7.00,7.00,8.63,3.00,4.00,3.00,207,NULL,238,'CORREGO GRANDE','FLORIANÓPOLIS','SC',12599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5332370,9.00,9.00,2.00,7.00,8.00,12.00,5.00,6.00,8.00,103,NULL,NULL,'UNIVERSITÁRIO','CORUMBÁ','MS',1308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5332389,8.00,6.00,5.00,5.00,8.00,9.75,4.00,4.00,6.00,207,NULL,216,'NOVO MUNDO','CURITIBA','PR',4119,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5332397,5.00,5.00,0.00,5.00,5.00,0.00,0.00,3.00,3.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5332400,4.00,6.00,1.00,3.00,6.00,7.50,3.00,4.00,4.00,503,NULL,NULL,'BAIRRO DE FATIMA','FLORIANÓPOLIS','SC',13798,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5332427,7.00,8.00,7.00,8.00,8.00,11.63,7.00,4.00,7.00,5,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',1957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5332443,7.00,7.00,2.00,5.00,7.00,8.63,1.00,2.00,5.00,207,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',10203,483,NULL,750,NULL,NULL,NULL,2,1),(20,5332451,6.00,8.00,2.00,7.00,4.00,7.88,2.00,2.00,5.00,104,NULL,NULL,'SÃO SEBASTIÃO','S MIGUEL OESTE','SC',10287,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5332460,4.00,4.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,452,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5332478,7.00,5.00,0.00,6.00,9.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5332508,4.00,6.00,1.00,5.00,7.00,9.38,1.00,3.00,2.00,317,NULL,NULL,'VILA ADYANA','S JOSÉ CAMPOS','SP',14767,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5332516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5332524,6.00,0.00,1.00,2.00,1.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SAÚDE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5332532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5332540,7.00,5.00,3.00,5.00,4.00,9.38,1.00,0.00,4.00,9,NULL,NULL,'BOA PARADA','S PEDRO ALCÂNTARA','SC',14924,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5332567,2.00,7.00,6.00,6.00,6.00,8.25,5.00,5.00,5.00,211,NULL,215,'RIO TAVARES','FLORIANÓPOLIS','SC',7291,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5332575,6.00,6.00,4.00,7.00,8.00,9.00,2.00,2.00,6.00,304,NULL,NULL,'LAGOA DA CONCEÇÃO','FLORIANÓPOLIS','SC',6503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5332583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,653,'CENTRO','S CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5332591,5.00,7.00,1.00,4.00,4.00,7.13,1.00,6.00,5.00,3,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5332621,4.00,3.00,4.00,2.00,3.00,NULL,2.00,2.00,4.00,211,NULL,653,'ARI LUNARDI','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5332630,3.00,4.00,2.00,4.00,4.00,NULL,1.00,4.00,2.00,238,NULL,NULL,'FAZEND SANTO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5332648,3.00,4.00,2.00,6.00,5.00,6.00,3.00,2.00,2.00,425,NULL,429,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5332656,4.00,7.00,2.00,6.00,6.00,11.63,2.00,2.00,4.00,108,NULL,NULL,'RIO NEGRO','S BENTO SUL','SC',10061,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5332664,3.00,2.00,0.00,4.00,4.00,NULL,1.00,2.00,0.00,103,NULL,NULL,'PETRÓPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5332672,4.00,6.00,1.00,3.00,8.00,8.63,2.00,2.00,4.00,207,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',15386,755,NULL,NULL,NULL,NULL,NULL,2,3),(20,5332680,3.00,7.00,3.00,7.00,3.00,NULL,1.00,4.00,5.00,203,NULL,202,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5332699,4.00,5.00,2.00,3.00,7.00,7.50,3.00,3.00,5.00,328,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5332702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5332710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'SERTAO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5332729,3.00,3.00,4.00,2.00,3.00,NULL,1.00,3.00,2.00,501,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5332745,5.00,4.00,2.00,0.00,3.00,NULL,2.00,3.00,5.00,551,NULL,NULL,'APARECIDA','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5332753,3.00,5.00,2.00,4.00,5.00,7.88,3.00,3.00,3.00,404,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',15292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5332761,1.00,2.00,0.00,2.00,3.00,NULL,1.00,1.00,3.00,5,NULL,NULL,'SÃO CRISTOVÃO','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5332770,1.00,2.00,1.00,3.00,2.00,NULL,1.00,1.00,2.00,444,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5332788,1.00,4.00,4.00,2.00,5.00,NULL,1.00,4.00,2.00,328,NULL,NULL,'ENSEADA DE BRITO','ENS BRITO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5332796,2.00,5.00,3.00,3.00,6.00,NULL,1.00,3.00,3.00,317,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5332800,3.00,4.00,1.00,2.00,3.00,NULL,1.00,4.00,2.00,551,NULL,NULL,'INTERIOR','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5332818,2.00,4.00,1.00,6.00,4.00,NULL,1.00,1.00,2.00,339,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5332826,2.00,3.00,0.00,4.00,3.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'SO CRISTOVAO','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5332834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'POÇO FUNDO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5332842,5.00,6.00,4.00,4.00,4.00,6.75,3.00,2.00,4.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5332877,4.00,4.00,3.00,3.00,6.00,NULL,3.00,2.00,1.00,425,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5332885,2.00,5.00,3.00,4.00,5.00,9.38,0.00,3.00,4.00,103,NULL,NULL,'CENTRO','ITAPEMA','SC',14733,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5332893,7.00,7.00,3.00,4.00,6.00,7.13,1.00,3.00,4.00,101,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',12226,45,NULL,NULL,NULL,NULL,NULL,2,1),(20,5332915,4.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,201,NULL,212,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5332923,4.00,5.00,1.00,1.00,4.00,NULL,3.00,3.00,2.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5332931,6.00,4.00,0.00,5.00,5.00,NULL,3.00,3.00,3.00,108,NULL,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5332940,5.00,7.00,6.00,5.00,6.00,9.75,2.00,2.00,7.00,212,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',6585,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5332958,3.00,3.00,2.00,0.00,1.00,NULL,2.00,2.00,0.00,551,NULL,NULL,'INTERIOR','LINDÓIA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(20,5332974,5.00,0.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5332990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5333008,1.00,4.00,3.00,3.00,4.00,NULL,1.00,2.00,3.00,201,NULL,202,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333016,2.00,2.00,0.00,3.00,5.00,NULL,1.00,2.00,3.00,207,NULL,211,'BOA VISTA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5333024,0.00,3.00,0.00,0.00,0.00,NULL,3.00,2.00,2.00,102,NULL,NULL,'LUCAS ARAUJO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333032,8.00,5.00,1.00,7.00,7.00,8.25,4.00,2.00,5.00,501,NULL,NULL,'SÃO BASÍLIO MAGNO','UNIÃO VITÓRIA','PR',8494,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5333040,9.00,8.00,5.00,7.00,10.00,9.38,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','CPO MOURÃO','PR',935,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5333059,7.00,5.00,5.00,4.00,5.00,7.50,2.00,2.00,5.00,653,NULL,652,'OURO NEGRO','FORQUILHINHA','SC',12835,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5333067,3.00,7.00,2.00,1.00,4.00,7.13,0.00,4.00,5.00,201,NULL,208,'CENTRO','GAROPABA','SC',16223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5333083,5.00,5.00,3.00,5.00,8.00,7.13,2.00,3.00,5.00,452,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',12748,98,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333091,2.00,3.00,0.00,2.00,1.00,NULL,2.00,0.00,5.00,551,NULL,NULL,'INTERIOR','PERITIBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,7),(20,5333105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,235,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5333113,3.00,3.00,0.00,5.00,2.00,NULL,3.00,2.00,0.00,318,NULL,NULL,'SETOR BOA VISTA','MINEIROS','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5333121,1.00,4.00,0.00,5.00,5.00,NULL,0.00,0.00,3.00,450,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5333130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5333148,6.00,4.00,5.00,2.00,5.00,7.88,3.00,2.00,2.00,320,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',15749,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333156,2.00,3.00,0.00,2.00,3.00,NULL,2.00,1.00,2.00,102,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333172,3.00,6.00,1.00,2.00,6.00,NULL,2.00,1.00,3.00,304,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5333180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,NULL,'CEDRO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5333199,5.00,8.00,2.00,7.00,7.00,9.75,5.00,6.00,5.00,452,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',5499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5333202,1.00,4.00,0.00,1.00,6.00,NULL,1.00,2.00,2.00,202,NULL,215,'SANTA TEREZINHA','MANHUAÇU','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5333210,6.00,0.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(20,5333229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CIDADE CLARET','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5333237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'VISTA ALEGRE','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5333245,3.00,5.00,1.00,4.00,6.00,7.13,2.00,3.00,5.00,103,NULL,NULL,'SANTOS DUMONT','S JOSÉ R PRETO','SP',12321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333253,6.00,7.00,0.00,6.00,5.00,NULL,1.00,3.00,3.00,450,NULL,NULL,'PIO X','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333270,5.00,3.00,0.00,5.00,8.00,7.13,3.00,1.00,5.00,9,NULL,NULL,'GUIOMAR','ANTÔNIO CARLOS','SC',13842,89,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333296,4.00,2.00,1.00,1.00,5.00,NULL,2.00,1.00,2.00,104,NULL,NULL,'CAMPO DA AGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5333300,2.00,5.00,0.00,2.00,2.00,NULL,1.00,1.00,3.00,429,NULL,426,'GUARDA DO CUBATAO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5333326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5333334,4.00,5.00,4.00,2.00,1.00,NULL,3.00,2.00,2.00,220,NULL,233,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333342,3.00,6.00,1.00,3.00,5.00,NULL,0.00,2.00,7.00,653,NULL,216,'BRASILIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,5),(20,5333350,7.00,5.00,6.00,4.00,7.00,11.25,5.00,3.00,8.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',5362,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333369,9.00,7.00,7.00,8.00,8.00,9.00,4.00,4.00,5.00,103,NULL,NULL,'LOT FERNANDA','CAPINZAL','SC',3206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5333377,7.00,6.00,3.00,5.00,7.00,9.38,4.00,5.00,2.00,329,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5333385,6.00,7.00,2.00,5.00,7.00,7.50,2.00,2.00,3.00,207,NULL,201,'CENTRO','PALMITINHO','RS',10759,514,NULL,793,NULL,NULL,NULL,4,4),(20,5333393,5.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,238,NULL,235,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(20,5333407,1.00,5.00,0.00,3.00,4.00,NULL,3.00,2.00,1.00,444,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5333415,2.00,1.00,1.00,2.00,4.00,NULL,0.00,3.00,2.00,316,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5333423,7.00,6.00,2.00,6.00,8.00,10.50,2.00,3.00,5.00,103,NULL,NULL,'ÁGUAS BELAS','S JOSÉ PINHAIS','PR',8298,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5333431,5.00,4.00,2.00,4.00,7.00,9.00,1.00,4.00,3.00,201,NULL,203,'ALTO ARIRIU','PALHOÇA','SC',13435,955,NULL,876,NULL,NULL,NULL,2,1),(20,5333440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'JD SÃO MIGUEL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5333466,5.00,2.00,0.00,4.00,7.00,6.00,1.00,3.00,5.00,5,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333490,3.00,4.00,2.00,3.00,3.00,NULL,1.00,1.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333520,4.00,6.00,0.00,6.00,5.00,NULL,0.00,2.00,3.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5333539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(20,5333547,3.00,5.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,420,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5333555,3.00,3.00,2.00,4.00,0.00,NULL,2.00,3.00,1.00,5,NULL,NULL,'FATIMA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5333571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5333580,6.00,6.00,4.00,4.00,8.00,7.88,1.00,2.00,3.00,233,NULL,213,'PRAIA COMPRIDA','S JOSÉ','SC',12269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333598,5.00,6.00,6.00,6.00,7.00,11.25,3.00,4.00,8.00,3,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5333628,1.00,3.00,2.00,5.00,2.00,NULL,2.00,1.00,2.00,301,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5333636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5333644,0.00,5.00,4.00,5.00,2.00,NULL,4.00,1.00,2.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333652,4.00,5.00,0.00,4.00,5.00,6.38,2.00,5.00,4.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15649,245,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333660,7.00,7.00,4.00,7.00,9.00,10.13,4.00,4.00,3.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5333687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'RURAL','CAIBI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5333717,6.00,7.00,1.00,5.00,8.00,9.00,4.00,4.00,4.00,211,NULL,207,'N SENHORA DO ROSARI','S JOSÉ','SC',7227,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333725,8.00,6.00,5.00,6.00,9.00,7.13,2.00,4.00,6.00,332,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',8434,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5333733,5.00,3.00,2.00,3.00,4.00,NULL,2.00,0.00,0.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5333750,5.00,2.00,1.00,3.00,3.00,NULL,0.00,1.00,3.00,9,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5333768,4.00,6.00,4.00,5.00,7.00,10.50,2.00,4.00,5.00,452,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5333776,8.00,5.00,5.00,8.00,10.00,12.00,4.00,5.00,7.00,103,NULL,NULL,'PRESIDENTE KENNEDY','FRANCISCO BELTRÃO','PR',1545,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5333784,8.00,6.00,2.00,3.00,7.00,9.38,3.00,3.00,4.00,211,NULL,216,'PARTENON','PTO ALEGRE','RS',8864,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333792,2.00,3.00,2.00,1.00,0.00,NULL,2.00,1.00,4.00,653,NULL,NULL,'JARDIN DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5333806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PRAIA DO CANTO','VITÓRIA','ES',NULL,NULL,NULL,NULL,'S','S','S',3,1),(20,5333814,7.00,4.00,2.00,5.00,8.00,8.63,5.00,5.00,2.00,101,NULL,NULL,'VILLAGE','IMBITUBA','SC',8446,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333822,6.00,7.00,3.00,7.00,7.00,6.00,3.00,3.00,6.00,2,NULL,NULL,'CENTRO','CHAPECÓ','SC',8838,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5333830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5333849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'ANDORINHA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5333865,7.00,7.00,2.00,8.00,8.00,7.88,2.00,3.00,4.00,202,NULL,653,'MORRO DO ESPELHO','S LEOPOLDO','RS',9815,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5333873,4.00,9.00,3.00,8.00,10.00,9.38,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','GETÚLIO VARGAS','RS',6319,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5333881,3.00,6.00,0.00,3.00,6.00,NULL,4.00,1.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333890,8.00,8.00,2.00,6.00,2.00,NULL,3.00,5.00,9.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5333903,1.00,5.00,1.00,4.00,5.00,NULL,3.00,3.00,3.00,101,NULL,NULL,'MORRO DA BINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333920,6.00,4.00,1.00,6.00,6.00,11.25,0.00,4.00,4.00,5,NULL,NULL,'GRANJA ESPERANCA','CACHOEIRINHA','RS',13598,443,NULL,NULL,NULL,NULL,NULL,2,10),(20,5333938,4.00,2.00,0.00,1.00,4.00,NULL,0.00,2.00,4.00,5,NULL,NULL,'PARQUE INDUSTRIAL','MTE CARLO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5333946,6.00,0.00,0.00,6.00,6.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(20,5333954,4.00,8.00,0.00,4.00,8.00,NULL,4.00,5.00,6.00,234,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5333962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5333970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5333989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5333997,4.00,5.00,3.00,4.00,6.00,6.75,0.00,4.00,3.00,103,NULL,NULL,'JARDIM ELDORADO','PARANAGUÁ','PR',16006,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5334004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5334012,5.00,8.00,3.00,2.00,5.00,8.25,3.00,2.00,5.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',11368,788,NULL,304,NULL,NULL,NULL,2,1),(20,5334039,4.00,5.00,2.00,5.00,6.00,9.75,1.00,4.00,4.00,601,NULL,207,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5334047,4.00,7.00,1.00,1.00,7.00,NULL,2.00,2.00,2.00,501,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5334055,4.00,6.00,0.00,2.00,5.00,7.88,2.00,4.00,4.00,103,NULL,NULL,'BARRREIROS','S JOSÉ','SC',15123,3766,NULL,NULL,NULL,NULL,NULL,4,1),(20,5334071,1.00,3.00,2.00,2.00,3.00,NULL,2.00,3.00,0.00,317,NULL,NULL,'JARDIM ALEXANDRE','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,233,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5334098,8.00,5.00,5.00,6.00,5.00,6.75,4.00,4.00,8.00,203,NULL,201,'CARVOEIRA','FLORIANÓPOLIS','SC',5277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5334101,4.00,3.00,0.00,3.00,2.00,NULL,2.00,3.00,2.00,415,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5334110,6.00,6.00,2.00,4.00,8.00,7.88,0.00,5.00,4.00,320,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',13663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334136,4.00,3.00,5.00,2.00,5.00,NULL,2.00,3.00,3.00,201,NULL,212,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5334144,3.00,5.00,4.00,4.00,1.00,NULL,2.00,5.00,3.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334152,6.00,6.00,2.00,4.00,6.00,6.75,2.00,2.00,6.00,101,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5334179,5.00,6.00,0.00,4.00,8.00,8.25,2.00,3.00,4.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12533,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5334195,8.00,7.00,1.00,5.00,6.00,9.38,2.00,3.00,5.00,103,NULL,NULL,'INDEPENDENCIA','PTO ALEGRE','RS',8575,2941,NULL,NULL,NULL,NULL,NULL,2,15),(20,5334217,4.00,5.00,1.00,7.00,3.00,NULL,1.00,2.00,3.00,104,NULL,NULL,'CENTRO','CPO ERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5334225,5.00,6.00,4.00,3.00,9.00,7.50,3.00,5.00,4.00,101,NULL,NULL,'SAO JOSE','CURITIBANOS','SC',8910,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5334233,4.00,6.00,4.00,5.00,5.00,7.50,1.00,4.00,3.00,301,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IJUÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5334250,3.00,6.00,1.00,6.00,6.00,8.25,0.00,3.00,3.00,302,NULL,NULL,'JARDIM ITAMBÉ','COLOMBO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5334268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RECIFE','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5334276,7.00,6.00,0.00,6.00,8.00,10.13,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6220,2463,NULL,NULL,NULL,NULL,NULL,2,8),(20,5334284,4.00,6.00,1.00,3.00,6.00,6.75,0.00,2.00,4.00,309,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',16295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5334306,4.00,2.00,1.00,2.00,3.00,NULL,1.00,0.00,1.00,339,NULL,NULL,'BUDAG','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334314,4.00,5.00,0.00,4.00,1.00,NULL,0.00,2.00,2.00,108,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334322,3.00,4.00,2.00,4.00,5.00,NULL,0.00,1.00,1.00,203,NULL,212,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5334349,7.00,7.00,6.00,5.00,5.00,10.88,3.00,2.00,6.00,205,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',6785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5334357,6.00,7.00,2.00,5.00,8.00,12.00,4.00,6.00,5.00,424,NULL,423,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',7015,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334365,3.00,2.00,0.00,1.00,6.00,NULL,2.00,1.00,4.00,9,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5334373,4.00,2.00,1.00,0.00,3.00,NULL,2.00,2.00,3.00,224,NULL,NULL,'CENTRO','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5334381,4.00,2.00,0.00,3.00,5.00,NULL,0.00,1.00,6.00,333,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5334390,6.00,8.00,3.00,8.00,9.00,10.88,3.00,6.00,6.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',3194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5334403,7.00,7.00,2.00,6.00,7.00,7.50,3.00,2.00,2.00,216,NULL,211,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',11702,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5334411,4.00,4.00,0.00,6.00,4.00,NULL,3.00,2.00,1.00,216,NULL,215,'JARDIM CAIÇARA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5334438,6.00,7.00,4.00,4.00,4.00,8.25,4.00,6.00,4.00,108,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',9688,157,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334446,8.00,5.00,3.00,5.00,8.00,9.38,2.00,4.00,6.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5334489,7.00,8.00,7.00,7.00,5.00,12.38,4.00,4.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5334497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5334500,6.00,7.00,2.00,6.00,5.00,4.50,1.00,5.00,6.00,335,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334519,6.00,6.00,2.00,3.00,4.00,7.50,0.00,3.00,4.00,238,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',15290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334527,4.00,5.00,1.00,2.00,4.00,7.50,2.00,2.00,5.00,653,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5334543,5.00,3.00,3.00,4.00,4.00,NULL,2.00,1.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5334551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5334560,4.00,7.00,3.00,6.00,6.00,7.13,1.00,2.00,5.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5334578,4.00,3.00,1.00,3.00,4.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5334586,2.00,4.00,1.00,3.00,6.00,NULL,2.00,2.00,2.00,104,NULL,NULL,'CENTRO','CPO BELO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5334594,3.00,4.00,5.00,6.00,5.00,10.50,1.00,3.00,3.00,225,NULL,NULL,'JARDIM VILA FRANCA','PIRAQUARA','PR',14592,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5334608,7.00,7.00,6.00,6.00,11.00,9.00,4.00,5.00,5.00,211,NULL,207,'TRINDADE','FLORIANÓPOLIS','SC',2968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5334624,3.00,4.00,0.00,4.00,5.00,NULL,1.00,5.00,4.00,303,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334632,2.00,5.00,1.00,3.00,1.00,NULL,0.00,3.00,4.00,324,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334640,2.00,4.00,1.00,5.00,5.00,8.25,3.00,2.00,3.00,340,NULL,NULL,'CENTRO','SEN LA ROQUE','MA',16252,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5334667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5334683,8.00,7.00,5.00,6.00,9.00,12.75,3.00,5.00,6.00,551,NULL,NULL,'ÁGUA SANTA','CURITIBANOS','SC',1952,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5334691,4.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,7),(20,5334705,1.00,5.00,4.00,6.00,5.00,NULL,1.00,2.00,1.00,202,NULL,207,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5334713,4.00,4.00,0.00,4.00,2.00,NULL,1.00,2.00,2.00,102,NULL,NULL,'PALMAS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334721,5.00,5.00,4.00,6.00,7.00,10.13,0.00,3.00,4.00,335,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334730,9.00,5.00,4.00,6.00,8.00,8.25,1.00,5.00,4.00,207,NULL,211,'CENTRO','S JOAQUIM','SC',6343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5334748,4.00,3.00,1.00,4.00,1.00,NULL,2.00,0.00,0.00,316,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334772,4.00,4.00,1.00,4.00,6.00,NULL,1.00,2.00,3.00,216,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5334780,3.00,5.00,4.00,3.00,5.00,NULL,0.00,1.00,4.00,601,NULL,203,'MORRO DO MEIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5334799,3.00,4.00,2.00,4.00,3.00,NULL,1.00,2.00,0.00,420,NULL,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5334802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5334810,4.00,3.00,0.00,6.00,7.00,NULL,1.00,0.00,4.00,3,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5334829,3.00,5.00,3.00,1.00,3.00,NULL,1.00,3.00,2.00,653,NULL,NULL,'LIMEIRA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5334837,4.00,7.00,4.00,7.00,9.00,9.75,2.00,4.00,5.00,452,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',7525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5334845,2.00,5.00,0.00,6.00,5.00,9.00,2.00,2.00,4.00,103,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',15192,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5334861,2.00,6.00,4.00,5.00,4.00,7.13,2.00,2.00,4.00,108,NULL,NULL,'FABRICIO','STO AMARO IMPERATRIZ','SC',13466,250,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5334888,6.00,7.00,5.00,5.00,6.00,8.63,2.00,5.00,7.00,302,NULL,NULL,'CENTRO FLORIANÓPOLIS','FLORIANÓPOLIS','SC',7243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5334918,9.00,8.00,5.00,7.00,9.00,9.00,4.00,3.00,7.00,103,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',1838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5334934,3.00,6.00,1.00,2.00,3.00,NULL,2.00,2.00,5.00,104,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5334942,4.00,4.00,2.00,5.00,6.00,NULL,1.00,0.00,4.00,108,NULL,NULL,'CENTRO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5334950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5334969,1.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,208,NULL,202,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5334977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5334985,1.00,6.00,2.00,6.00,4.00,6.75,1.00,3.00,3.00,238,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',16312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335000,3.00,4.00,2.00,2.00,2.00,NULL,3.00,2.00,5.00,652,NULL,653,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5335019,2.00,6.00,3.00,0.00,0.00,NULL,3.00,2.00,2.00,653,NULL,652,'SANTA FÉ','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5335035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PRAÇA STOLTENBERG','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5335060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5335078,3.00,5.00,4.00,3.00,5.00,4.13,3.00,3.00,4.00,317,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5335094,0.00,2.00,2.00,4.00,2.00,NULL,2.00,0.00,0.00,301,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5335124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INDEPENDENCIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5335132,6.00,5.00,3.00,6.00,6.00,6.75,3.00,3.00,6.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM ICARAÍ','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5335159,6.00,3.00,2.00,5.00,5.00,9.38,1.00,4.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15714,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5335183,5.00,7.00,1.00,6.00,4.00,0.00,3.00,3.00,2.00,233,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5335213,3.00,5.00,2.00,2.00,4.00,NULL,2.00,1.00,1.00,426,NULL,428,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5335221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PALMAS','TO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5335230,7.00,6.00,2.00,7.00,4.00,8.63,2.00,4.00,3.00,340,NULL,NULL,'CENTRO','SARANDI','RS',10605,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5335248,7.00,6.00,3.00,4.00,8.00,7.13,4.00,4.00,4.00,319,NULL,NULL,'CENTRO','LIMEIRA','SP',8106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5335256,9.00,7.00,5.00,5.00,7.00,9.00,4.00,4.00,7.00,103,NULL,NULL,'RESIDENCIAL AQUARIUS','S JOSÉ CAMPOS','SP',3338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335280,3.00,5.00,0.00,4.00,7.00,NULL,0.00,2.00,3.00,420,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5335299,5.00,7.00,4.00,7.00,6.00,8.63,4.00,3.00,3.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,653,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5335310,3.00,3.00,1.00,2.00,5.00,NULL,3.00,1.00,4.00,336,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335329,4.00,5.00,0.00,3.00,2.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'CENTRO','CPO BELO','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5335337,5.00,4.00,0.00,5.00,6.00,NULL,1.00,2.00,3.00,333,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335345,6.00,4.00,5.00,4.00,7.00,7.50,2.00,4.00,3.00,216,NULL,201,'CENTRO','MAFRA','SC',11895,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5335353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5335361,9.00,7.00,1.00,6.00,9.00,11.25,3.00,7.00,5.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335370,9.00,5.00,0.00,4.00,8.00,9.00,3.00,4.00,7.00,103,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',8036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335388,5.00,5.00,4.00,5.00,8.00,10.50,1.00,4.00,2.00,453,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CHOPINZINHO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5335400,6.00,0.00,1.00,3.00,7.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5335418,5.00,5.00,3.00,3.00,4.00,NULL,3.00,2.00,0.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5335426,4.00,4.00,2.00,4.00,4.00,NULL,0.00,2.00,2.00,304,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5335442,2.00,3.00,0.00,4.00,6.00,NULL,1.00,1.00,4.00,340,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5335469,1.00,2.00,0.00,2.00,2.00,NULL,0.00,0.00,2.00,201,NULL,203,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5335477,6.00,8.00,4.00,6.00,4.00,9.00,2.00,2.00,5.00,216,NULL,208,'PANTANAL','FLORIANÓPOLIS','SC',9795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335493,6.00,7.00,4.00,2.00,4.00,10.88,5.00,3.00,3.00,5,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335507,3.00,3.00,2.00,3.00,2.00,NULL,3.00,3.00,2.00,319,NULL,NULL,'PALMITAL','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5335515,7.00,8.00,3.00,6.00,7.00,9.00,5.00,4.00,5.00,331,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',7128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5335523,6.00,7.00,0.00,4.00,5.00,8.63,3.00,3.00,6.00,332,NULL,NULL,'MARAJOARA','STO ANDRÉ','SP',11126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335531,3.00,4.00,1.00,3.00,8.00,NULL,0.00,3.00,3.00,309,NULL,NULL,'JARDIM ATLANTICO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5335540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'JARDIM','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5335574,4.00,4.00,1.00,4.00,5.00,8.63,3.00,3.00,2.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',14979,3749,NULL,NULL,NULL,NULL,NULL,2,15),(20,5335582,5.00,5.00,4.00,7.00,4.00,6.00,3.00,5.00,4.00,3,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',13993,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5335590,4.00,6.00,3.00,6.00,4.00,8.25,4.00,2.00,5.00,238,NULL,208,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',11700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'PETRÓPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5335612,5.00,6.00,3.00,6.00,6.00,8.25,3.00,4.00,6.00,601,NULL,213,'COSTA E SILVA','JOINVILLE','SC',10033,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5335620,4.00,6.00,1.00,3.00,5.00,7.50,3.00,1.00,5.00,208,NULL,235,'USINA','ANTÔNIO CARLOS','SC',14729,407,NULL,195,NULL,NULL,NULL,4,1),(20,5335639,3.00,4.00,2.00,2.00,5.00,NULL,2.00,2.00,2.00,208,NULL,201,'RIBANCEIRA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335647,8.00,7.00,3.00,6.00,6.00,11.25,2.00,6.00,5.00,103,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',6702,2584,NULL,NULL,NULL,NULL,NULL,2,1),(20,5335655,8.00,7.00,5.00,7.00,6.00,8.63,3.00,3.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335663,3.00,5.00,0.00,4.00,5.00,NULL,0.00,3.00,3.00,653,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5335671,1.00,2.00,0.00,0.00,2.00,NULL,3.00,1.00,3.00,652,NULL,NULL,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5335680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BRASÍLIA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5335698,7.00,7.00,4.00,4.00,6.00,10.50,4.00,4.00,3.00,415,NULL,NULL,'CENTRO','SAUDADES','SC',8264,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5335701,9.00,6.00,7.00,7.00,6.00,7.50,5.00,4.00,6.00,303,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',4595,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5335710,1.00,3.00,0.00,5.00,4.00,NULL,1.00,2.00,1.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335728,4.00,3.00,3.00,4.00,5.00,6.75,2.00,2.00,3.00,426,NULL,429,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335736,4.00,6.00,2.00,5.00,6.00,8.25,1.00,2.00,4.00,103,NULL,NULL,'ESPLANADA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5335752,6.00,6.00,3.00,7.00,8.00,9.38,2.00,3.00,7.00,303,NULL,NULL,'CENTRO','ITAJAÍ','SC',6124,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5335760,6.00,5.00,5.00,1.00,6.00,4.88,4.00,1.00,3.00,108,NULL,NULL,'JD MARIA EUGENIA','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335795,5.00,7.00,4.00,4.00,7.00,6.38,6.00,3.00,5.00,203,NULL,202,'VERA CRUZ','PASSO FUNDO','RS',7677,586,NULL,NULL,NULL,NULL,NULL,2,4),(20,5335809,3.00,3.00,3.00,6.00,3.00,NULL,3.00,2.00,1.00,425,NULL,428,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335817,2.00,4.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5335825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'SANTA TEREZA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5335841,2.00,6.00,2.00,7.00,5.00,7.50,1.00,2.00,5.00,425,NULL,429,'OFICINAS','PNT GROSSA','PR',15155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5335868,3.00,7.00,4.00,3.00,6.00,7.13,3.00,2.00,2.00,202,NULL,216,'CANASVIEIRAS','FLORIANÓPOLIS','SC',15848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5335884,7.00,5.00,4.00,2.00,6.00,8.25,3.00,2.00,7.00,653,NULL,201,'CENTRO','TURVO','SC',8803,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5335892,4.00,6.00,2.00,4.00,7.00,9.00,3.00,4.00,5.00,404,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',12760,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5335906,5.00,4.00,2.00,3.00,5.00,NULL,2.00,1.00,3.00,104,NULL,NULL,'SANTA TEREZA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5335914,4.00,6.00,2.00,3.00,4.00,8.25,2.00,4.00,4.00,302,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',15524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5335922,3.00,4.00,2.00,5.00,5.00,NULL,1.00,3.00,3.00,5,NULL,NULL,'PONTA GROSSA','MARICÁ','RJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5335930,8.00,7.00,5.00,7.00,8.00,9.00,1.00,4.00,4.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4753,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5335949,4.00,5.00,2.00,4.00,5.00,NULL,2.00,1.00,2.00,309,NULL,NULL,'BAIRRO AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5335957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA XAVIER','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5335965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'VILA MENDES','TAQUARITUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',5,1),(20,5335973,4.00,5.00,3.00,6.00,8.00,8.25,2.00,1.00,3.00,415,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',12504,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5335981,8.00,6.00,6.00,7.00,7.00,9.75,6.00,5.00,8.00,103,NULL,NULL,'CENTRO','JACAREZINHO','PR',1704,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5335990,4.00,5.00,1.00,1.00,4.00,NULL,0.00,3.00,2.00,211,NULL,207,'SANGA DA RIPA','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5336007,6.00,5.00,2.00,7.00,7.00,7.13,2.00,3.00,7.00,104,NULL,NULL,'CENTRO','URUSSANGA','SC',9554,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5336015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5336031,3.00,5.00,2.00,5.00,6.00,7.88,2.00,3.00,4.00,415,NULL,NULL,'TRÊS VENDAS','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336040,7.00,6.00,3.00,5.00,6.00,9.38,1.00,3.00,5.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',9369,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5336058,8.00,0.00,5.00,3.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(20,5336066,2.00,4.00,2.00,3.00,2.00,NULL,0.00,3.00,3.00,301,NULL,NULL,'PERPETUO SOCORRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336074,8.00,7.00,3.00,6.00,8.00,9.38,3.00,2.00,5.00,103,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',5026,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5336090,6.00,3.00,4.00,4.00,8.00,7.88,2.00,3.00,3.00,320,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',14483,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,213,'CENTRO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5336112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,653,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5336120,4.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5336139,7.00,6.00,4.00,8.00,7.00,10.88,3.00,4.00,9.00,103,NULL,NULL,'VILA BUARQUE','S PAULO','SP',3342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5336147,3.00,2.00,1.00,3.00,5.00,NULL,0.00,3.00,3.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5336155,0.00,3.00,0.00,0.00,2.00,NULL,0.00,1.00,3.00,653,NULL,NULL,'PIRAGO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5336163,2.00,5.00,2.00,2.00,5.00,NULL,1.00,2.00,3.00,337,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5336171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5336180,5.00,6.00,0.00,1.00,4.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5336198,3.00,6.00,2.00,6.00,4.00,9.00,3.00,3.00,3.00,502,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5336201,8.00,5.00,3.00,3.00,6.00,6.38,3.00,5.00,6.00,103,NULL,NULL,'JARDIM BOTANICO','CURITIBA','PR',10175,3185,NULL,NULL,NULL,NULL,NULL,2,8),(20,5336210,7.00,6.00,5.00,7.00,9.00,10.88,3.00,4.00,4.00,303,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',5530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5336228,8.00,7.00,0.00,5.00,6.00,8.63,1.00,5.00,5.00,211,NULL,653,'CENTRO','MARACAJÁ','SC',8329,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5336236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','GUARATUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5336244,3.00,7.00,4.00,5.00,6.00,7.50,2.00,2.00,4.00,104,NULL,NULL,'JARDIM SOFIA','JOINVILLE','SC',11156,279,NULL,NULL,NULL,NULL,NULL,2,16),(20,5336252,2.00,3.00,0.00,4.00,2.00,NULL,2.00,0.00,0.00,318,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5336260,5.00,7.00,5.00,4.00,5.00,6.00,1.00,0.00,7.00,208,NULL,220,'CENTRO','CORREIA PINTO','SC',12296,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5336279,3.00,8.00,3.00,6.00,5.00,8.63,3.00,4.00,1.00,337,NULL,NULL,'LAGOA DE FORA','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5336287,4.00,6.00,1.00,6.00,6.00,9.75,2.00,3.00,1.00,340,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5336317,6.00,6.00,0.00,5.00,5.00,9.00,1.00,4.00,2.00,225,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336325,4.00,4.00,0.00,5.00,6.00,9.00,2.00,2.00,5.00,324,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5336333,3.00,3.00,1.00,3.00,4.00,NULL,3.00,1.00,3.00,5,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336341,6.00,5.00,1.00,2.00,3.00,NULL,0.00,3.00,2.00,207,NULL,201,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336350,1.00,5.00,0.00,7.00,5.00,NULL,0.00,1.00,2.00,211,NULL,207,'BELA ALIANÇA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5336368,3.00,0.00,1.00,4.00,2.00,NULL,3.00,2.00,1.00,202,NULL,214,'CENTRO','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5336376,4.00,6.00,2.00,6.00,2.00,NULL,0.00,1.00,4.00,220,NULL,NULL,'CEARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5336392,6.00,8.00,4.00,7.00,7.00,7.50,3.00,4.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5336406,5.00,4.00,3.00,7.00,8.00,7.13,3.00,2.00,4.00,340,NULL,NULL,'VILA JARDIM','PTO ALEGRE','RS',9769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5336414,5.00,5.00,1.00,5.00,2.00,NULL,0.00,2.00,3.00,304,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336422,5.00,4.00,1.00,2.00,4.00,NULL,3.00,1.00,3.00,203,NULL,202,'CENTRO','NOVA LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336430,4.00,1.00,0.00,5.00,8.00,NULL,2.00,1.00,2.00,104,NULL,NULL,'MARIA DO CARMO','S BORJA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336449,2.00,5.00,0.00,5.00,5.00,6.00,1.00,2.00,6.00,201,NULL,212,'LIVRAMENTO','TURVO','SC',15112,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5336457,8.00,7.00,2.00,7.00,8.00,9.00,3.00,4.00,8.00,103,NULL,NULL,'CIDADE NOVA','MARINGÁ','PR',4161,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5336465,4.00,3.00,0.00,4.00,5.00,NULL,1.00,1.00,4.00,103,NULL,NULL,'SÃO LUIS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5336473,9.00,9.00,5.00,7.00,10.00,9.75,8.00,5.00,7.00,203,NULL,601,'CENTRO','PLANALTO ALEGRE','SC',568,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5336481,3.00,5.00,1.00,4.00,7.00,NULL,3.00,2.00,2.00,303,NULL,NULL,'CENTRO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5336503,7.00,7.00,3.00,8.00,8.00,10.50,4.00,5.00,6.00,340,NULL,NULL,'GRANJA JULIETA','S PAULO','SP',3292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5336511,5.00,3.00,1.00,5.00,5.00,7.88,3.00,2.00,5.00,429,NULL,425,'CENTRO','LAURENTINO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5336520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,233,'CENTRO','REALEZA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5336538,3.00,4.00,1.00,3.00,5.00,NULL,2.00,2.00,1.00,653,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5336562,4.00,5.00,4.00,3.00,3.00,NULL,3.00,2.00,5.00,501,NULL,NULL,'ZONA RURAL','IRATI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5336570,5.00,6.00,2.00,6.00,8.00,12.75,1.00,3.00,2.00,318,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',11000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5336589,2.00,3.00,2.00,1.00,3.00,NULL,3.00,5.00,3.00,444,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336597,2.00,4.00,4.00,3.00,4.00,6.75,2.00,5.00,4.00,327,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',16089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336600,5.00,4.00,2.00,3.00,4.00,8.25,2.00,4.00,4.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',15019,233,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336627,7.00,5.00,1.00,4.00,4.00,6.75,2.00,4.00,4.00,216,NULL,601,'JARDIM PRIMAVERA','ITABUNA','BA',15043,566,NULL,NULL,NULL,NULL,NULL,2,8),(20,5336643,4.00,6.00,1.00,4.00,5.00,NULL,1.00,2.00,2.00,214,NULL,203,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336651,5.00,6.00,1.00,4.00,6.00,7.50,2.00,4.00,1.00,201,NULL,212,'CENTRO','BAL CAMBORIÚ','SC',14152,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5336660,2.00,4.00,0.00,0.00,4.00,NULL,1.00,2.00,2.00,651,NULL,653,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5336678,1.00,5.00,0.00,2.00,4.00,NULL,2.00,1.00,2.00,104,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5336686,4.00,4.00,0.00,5.00,3.00,NULL,0.00,2.00,3.00,207,NULL,201,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336694,6.00,6.00,5.00,3.00,8.00,10.13,4.00,3.00,5.00,310,NULL,NULL,'PACHECO','PALHOÇA','SC',6730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5336716,4.00,6.00,3.00,7.00,5.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,2),(20,5336724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'FOSFORO','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5336732,6.00,5.00,3.00,4.00,4.00,7.88,3.00,3.00,4.00,104,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336740,7.00,5.00,5.00,3.00,5.00,10.50,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','TUNÁPOLIS','SC',9984,3162,NULL,NULL,NULL,NULL,NULL,4,4),(20,5336759,6.00,5.00,1.00,5.00,5.00,11.25,1.00,2.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5336767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5336775,2.00,2.00,1.00,2.00,2.00,NULL,1.00,1.00,1.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5336783,6.00,6.00,2.00,7.00,6.00,8.63,0.00,2.00,3.00,108,NULL,NULL,'SANTANA','RIO SUL','SC',11827,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5336791,7.00,7.00,2.00,4.00,6.00,9.00,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11446,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5336805,3.00,5.00,2.00,4.00,6.00,6.00,3.00,4.00,3.00,203,NULL,208,'CALHEIROS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336813,3.00,5.00,5.00,3.00,3.00,NULL,1.00,3.00,3.00,309,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336821,5.00,6.00,1.00,2.00,4.00,8.63,2.00,2.00,3.00,102,NULL,NULL,'CENTRO','ITUPORANGA','SC',16173,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5336830,2.00,6.00,2.00,2.00,4.00,NULL,2.00,3.00,2.00,601,NULL,NULL,'BOEHMERWALD','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5336848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','IJUÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5336856,5.00,5.00,2.00,1.00,5.00,4.50,1.00,4.00,4.00,2,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(20,5336864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,421,'SANTA LUIZA','NOVA ODESSA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5336880,4.00,6.00,0.00,4.00,4.00,NULL,0.00,1.00,2.00,5,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5336899,6.00,8.00,4.00,6.00,10.00,8.63,3.00,7.00,4.00,415,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',4046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5336910,6.00,7.00,3.00,7.00,7.00,8.63,3.00,6.00,6.00,318,NULL,NULL,'SANTA TEREZINHA','BRUSQUE','SC',5662,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5336929,4.00,4.00,2.00,2.00,6.00,NULL,1.00,1.00,5.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336937,6.00,4.00,1.00,7.00,5.00,8.25,3.00,2.00,5.00,103,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5336945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5336953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5336961,5.00,8.00,4.00,3.00,8.00,7.13,4.00,3.00,5.00,214,NULL,213,'ESTRADA DAS AREIAS','INDAIAL','SC',9180,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5336970,4.00,2.00,1.00,6.00,6.00,8.63,2.00,3.00,4.00,420,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5336988,3.00,5.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,328,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5336996,7.00,7.00,2.00,7.00,8.00,11.63,5.00,4.00,4.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',3936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337011,6.00,6.00,1.00,6.00,8.00,9.75,2.00,1.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',13046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337020,9.00,9.00,5.00,7.00,8.00,9.38,3.00,6.00,7.00,103,NULL,NULL,'RIO FARIAS','ANTÔNIO CARLOS','SC',1697,957,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337046,4.00,7.00,0.00,2.00,5.00,NULL,0.00,2.00,2.00,308,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337054,6.00,7.00,0.00,7.00,6.00,11.25,2.00,3.00,4.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5337062,2.00,5.00,1.00,4.00,1.00,NULL,1.00,2.00,5.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337089,8.00,7.00,4.00,3.00,7.00,9.00,4.00,3.00,6.00,103,NULL,NULL,'BATEL','CURITIBA','PR',6414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5337097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,421,'SANTA LUIZA','NOVA ODESSA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5337100,7.00,6.00,7.00,5.00,10.00,8.63,6.00,5.00,7.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',2526,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5337119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,202,'EXPOSIÇÃO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5337127,5.00,5.00,4.00,7.00,7.00,7.88,1.00,3.00,3.00,213,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',9246,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5337135,2.00,6.00,0.00,5.00,5.00,NULL,1.00,2.00,4.00,208,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5337143,2.00,5.00,0.00,3.00,5.00,NULL,2.00,3.00,1.00,415,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5337151,7.00,8.00,6.00,7.00,9.00,7.88,4.00,6.00,7.00,303,NULL,NULL,'PARQUE CIDADE JARDIM','UMUARAMA','PR',1473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337160,4.00,0.00,2.00,6.00,6.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,10),(20,5337178,4.00,5.00,2.00,7.00,7.00,4.88,2.00,3.00,6.00,103,NULL,NULL,'JARDIM BLUEMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5337186,5.00,8.00,2.00,6.00,4.00,7.13,1.00,2.00,5.00,318,NULL,NULL,'SAO CRISTOVAO','LAGES','SC',9895,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5337194,8.00,5.00,6.00,6.00,6.00,7.88,1.00,4.00,5.00,103,NULL,NULL,'SAN FERNANDO','LONDRINA','PR',7485,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5337208,3.00,3.00,2.00,6.00,4.00,6.75,4.00,2.00,2.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5337216,0.00,0.00,3.00,8.00,8.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(20,5337224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'BELA ALIANÇA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5337240,4.00,5.00,1.00,6.00,6.00,8.25,4.00,0.00,4.00,601,NULL,203,'ESTREITO','FLORIANÓPOLIS','SC',14072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337259,5.00,4.00,3.00,3.00,8.00,8.63,2.00,1.00,3.00,103,NULL,NULL,'CENTRO','TIO HUGO','RS',14816,3734,NULL,NULL,NULL,NULL,NULL,2,4),(20,5337267,1.00,1.00,0.00,0.00,1.00,NULL,1.00,0.00,0.00,551,NULL,NULL,'FAZENDA NOVA','S JOSÉ CERRITO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5337283,6.00,6.00,2.00,5.00,4.00,10.50,2.00,4.00,6.00,429,NULL,425,'CENTRO','ANTÔNIO CARLOS','SC',10830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'VILA A','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5337305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5337321,8.00,7.00,4.00,5.00,8.00,10.50,2.00,6.00,6.00,207,NULL,201,'CENTRO','BR COTEGIPE','RS',3958,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5337330,3.00,7.00,1.00,3.00,4.00,8.25,2.00,3.00,2.00,309,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',16012,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5337348,3.00,5.00,0.00,4.00,6.00,NULL,2.00,1.00,3.00,208,NULL,220,'PALMAS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5337356,3.00,4.00,2.00,4.00,7.00,8.63,2.00,2.00,4.00,101,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5337372,4.00,0.00,3.00,3.00,3.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(20,5337380,5.00,6.00,1.00,2.00,8.00,6.75,2.00,1.00,6.00,551,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',12905,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5337402,7.00,6.00,1.00,4.00,8.00,7.13,0.00,2.00,3.00,238,NULL,208,'AREIAS','S JOSÉ','SC',11816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337410,4.00,6.00,1.00,1.00,4.00,NULL,1.00,1.00,3.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337429,1.00,6.00,2.00,5.00,4.00,NULL,1.00,2.00,3.00,452,NULL,NULL,'CACUPE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5337445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VILA ADYANNA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5337453,7.00,7.00,2.00,5.00,8.00,11.25,2.00,3.00,4.00,319,NULL,NULL,'CENTRO','PLANALTO','RS',9170,133,NULL,NULL,NULL,NULL,NULL,2,4),(20,5337461,5.00,7.00,0.00,5.00,7.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'JARDIM PARAÍSO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5337470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'HIGIENÓPOLIS','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5337488,2.00,4.00,1.00,0.00,2.00,NULL,1.00,0.00,4.00,211,NULL,202,'ZONA RURAL','GALVÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5337496,3.00,4.00,3.00,1.00,2.00,NULL,0.00,1.00,4.00,216,NULL,214,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337500,5.00,8.00,3.00,7.00,7.00,9.00,1.00,3.00,4.00,326,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5337518,9.00,8.00,5.00,6.00,10.00,12.75,8.00,3.00,8.00,103,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',416,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5337526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'FARROUPILHA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5337534,5.00,2.00,0.00,6.00,4.00,NULL,2.00,3.00,2.00,425,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337550,4.00,6.00,2.00,5.00,8.00,6.38,5.00,5.00,7.00,201,NULL,212,'VENDAVAL','BIGUAÇU','SC',7658,532,NULL,NULL,NULL,NULL,NULL,2,1),(20,5337569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'DE CARLI','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5337577,1.00,6.00,1.00,4.00,5.00,NULL,2.00,1.00,4.00,208,NULL,238,'PACHECO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337585,4.00,3.00,2.00,3.00,3.00,NULL,0.00,2.00,3.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5337623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,212,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5337631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5337640,5.00,5.00,3.00,8.00,5.00,6.38,1.00,3.00,5.00,233,NULL,215,'BARREIROS','S JOSÉ','SC',14451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337658,3.00,3.00,2.00,2.00,6.00,NULL,2.00,2.00,1.00,102,NULL,NULL,'RIO MORTO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5337666,7.00,7.00,1.00,4.00,7.00,6.75,1.00,3.00,5.00,211,NULL,201,'PARQUE DO CARMO','S PAULO','SP',10255,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5337674,3.00,3.00,1.00,3.00,5.00,NULL,2.00,2.00,6.00,203,NULL,216,'SANTO ANTONIO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5337682,2.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5337690,4.00,6.00,5.00,5.00,6.00,10.88,3.00,4.00,5.00,339,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',8788,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5337704,2.00,5.00,2.00,6.00,6.00,5.25,2.00,1.00,4.00,202,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(20,5337712,1.00,5.00,2.00,3.00,5.00,NULL,1.00,1.00,5.00,203,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5337720,8.00,6.00,7.00,5.00,7.00,9.75,6.00,5.00,6.00,103,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',2571,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5337739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5337747,2.00,4.00,1.00,4.00,4.00,NULL,1.00,3.00,3.00,333,NULL,NULL,'CENTRO','TAPEJARA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337755,2.00,4.00,2.00,1.00,5.00,NULL,3.00,1.00,4.00,319,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337763,1.00,2.00,1.00,3.00,3.00,NULL,3.00,2.00,2.00,211,NULL,203,'ZONA RURAL','CAIBI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5337771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5337780,6.00,7.00,3.00,6.00,7.00,9.38,0.00,4.00,6.00,303,NULL,NULL,'JARDIM SANTA MARIA','S PAULO','SP',5448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337798,4.00,7.00,2.00,7.00,5.00,7.50,1.00,2.00,3.00,103,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337810,6.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5337828,3.00,6.00,4.00,4.00,7.00,12.00,4.00,3.00,4.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',10303,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5337836,6.00,4.00,3.00,8.00,6.00,9.38,5.00,5.00,5.00,453,NULL,NULL,'SANTA CECILIA','PTO ALEGRE','RS',6454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337852,3.00,4.00,2.00,0.00,2.00,NULL,1.00,0.00,3.00,309,NULL,NULL,'CENTRO','BOM JD SERRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5337860,4.00,6.00,3.00,2.00,5.00,9.38,2.00,4.00,2.00,316,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',15866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337879,5.00,5.00,2.00,4.00,6.00,6.75,4.00,4.00,7.00,207,NULL,201,'CENTRO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5337887,0.00,2.00,2.00,3.00,4.00,NULL,0.00,1.00,4.00,208,NULL,NULL,'RAICHASKI','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5337909,3.00,5.00,4.00,6.00,6.00,8.63,1.00,2.00,1.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337917,7.00,5.00,1.00,6.00,8.00,7.50,2.00,2.00,4.00,303,NULL,NULL,'UBERABA','CURITIBA','PR',11082,453,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337925,6.00,7.00,1.00,5.00,5.00,6.75,4.00,1.00,7.00,101,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',11560,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5337933,6.00,6.00,3.00,6.00,6.00,8.25,3.00,5.00,4.00,319,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5337941,4.00,3.00,2.00,1.00,3.00,NULL,2.00,3.00,1.00,309,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5337950,4.00,4.00,1.00,1.00,2.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'SÃO FRANCISCO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5337968,4.00,1.00,0.00,6.00,3.00,NULL,0.00,2.00,3.00,423,NULL,425,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5337976,7.00,6.00,5.00,7.00,8.00,10.50,6.00,4.00,3.00,444,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',3387,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5337984,8.00,7.00,4.00,4.00,6.00,9.38,3.00,2.00,5.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',6944,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5337992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOSE','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5338000,7.00,7.00,6.00,5.00,8.00,9.75,5.00,4.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338018,7.00,6.00,1.00,2.00,5.00,9.00,1.00,3.00,2.00,317,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',15183,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5338026,3.00,4.00,3.00,3.00,5.00,7.88,2.00,3.00,3.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338034,5.00,6.00,4.00,4.00,5.00,7.88,3.00,2.00,4.00,502,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14620,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338042,8.00,4.00,3.00,4.00,8.00,10.50,2.00,5.00,6.00,102,NULL,NULL,'CENTRO','GR PARÁ','SC',7512,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338050,5.00,3.00,0.00,6.00,4.00,NULL,1.00,1.00,2.00,302,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5338077,6.00,5.00,0.00,5.00,4.00,8.25,3.00,3.00,4.00,653,NULL,216,'QUARTA LINHA','CRICIÚMA','SC',15287,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5338085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,424,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5338093,4.00,4.00,1.00,3.00,1.00,NULL,0.00,1.00,2.00,201,NULL,212,'RIO BRANCO','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338107,3.00,6.00,3.00,8.00,5.00,7.50,2.00,3.00,5.00,425,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338115,4.00,7.00,2.00,6.00,6.00,9.75,3.00,4.00,2.00,207,NULL,201,'PACHECOS','PALHOÇA','SC',9210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338131,2.00,6.00,3.00,3.00,3.00,NULL,1.00,2.00,3.00,420,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338140,3.00,4.00,0.00,3.00,3.00,NULL,1.00,2.00,1.00,104,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5338158,7.00,8.00,0.00,4.00,5.00,7.50,3.00,5.00,5.00,601,NULL,213,'RIO CAVEIRAS','BIGUAÇU','SC',11735,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338166,0.00,4.00,0.00,2.00,5.00,NULL,3.00,1.00,5.00,102,NULL,NULL,'CENTRO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5338174,7.00,8.00,2.00,7.00,9.00,8.25,1.00,5.00,5.00,103,NULL,NULL,'CENTRO','VACARIA','RS',6019,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5338182,8.00,7.00,4.00,6.00,10.00,10.88,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','GRAMADO','RS',3171,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5338190,9.00,8.00,6.00,8.00,9.00,10.13,7.00,7.00,8.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338204,5.00,5.00,3.00,7.00,10.00,8.63,3.00,3.00,4.00,316,NULL,NULL,'PONTA PORÃ','CACHOEIRINHA','RS',7730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,203,'CENTRO','MONDAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5338220,7.00,7.00,5.00,4.00,5.00,8.63,1.00,3.00,4.00,9,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',9363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338239,6.00,4.00,0.00,7.00,6.00,9.75,2.00,3.00,2.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',13714,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5338247,7.00,7.00,2.00,6.00,7.00,9.38,1.00,6.00,5.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',8037,2839,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338255,6.00,6.00,2.00,3.00,4.00,6.38,1.00,4.00,4.00,551,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',15624,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5338263,2.00,5.00,1.00,3.00,3.00,NULL,0.00,3.00,2.00,9,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338271,1.00,3.00,2.00,5.00,3.00,NULL,2.00,2.00,2.00,208,NULL,238,'PAGANI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338298,2.00,1.00,1.00,3.00,3.00,NULL,2.00,1.00,3.00,101,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5338310,6.00,5.00,4.00,2.00,6.00,9.38,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','IRETAMA','PR',9676,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5338328,4.00,6.00,0.00,3.00,3.00,NULL,4.00,6.00,4.00,310,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338344,7.00,4.00,1.00,4.00,5.00,7.88,1.00,6.00,3.00,211,NULL,601,'SÃO JOSÉ','S JOSÉ','SC',15184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338352,7.00,6.00,5.00,6.00,6.00,7.50,3.00,4.00,8.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',6076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338360,4.00,6.00,1.00,7.00,4.00,6.00,3.00,3.00,4.00,201,NULL,203,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5338379,3.00,5.00,4.00,5.00,4.00,9.00,4.00,3.00,5.00,319,NULL,NULL,'JARDIM ADORADO','CAXIAS SUL','RS',11364,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5338395,3.00,5.00,2.00,2.00,4.00,NULL,2.00,3.00,0.00,317,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338409,2.00,7.00,1.00,3.00,5.00,NULL,0.00,2.00,3.00,9,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338425,5.00,2.00,0.00,4.00,4.00,NULL,2.00,1.00,4.00,104,NULL,NULL,'CENTRO','JÓIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5338433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5338450,5.00,5.00,2.00,6.00,5.00,10.88,1.00,5.00,2.00,301,NULL,NULL,'VILA NOVA SOCORRO','MOGI CRUZES','SP',10594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338476,2.00,4.00,3.00,3.00,6.00,NULL,1.00,1.00,6.00,202,NULL,238,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5338484,3.00,3.00,1.00,3.00,3.00,NULL,2.00,2.00,3.00,201,NULL,NULL,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5338492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,207,'CENTRO','MONTES CLAROS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5338506,2.00,4.00,1.00,3.00,5.00,NULL,3.00,1.00,3.00,316,NULL,NULL,'JARDIM SILVANA','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5338514,0.00,5.00,2.00,1.00,6.00,NULL,2.00,5.00,1.00,108,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338522,1.00,3.00,1.00,4.00,5.00,NULL,1.00,2.00,4.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338530,5.00,4.00,2.00,1.00,2.00,NULL,3.00,3.00,2.00,501,NULL,NULL,'CENTRO','COLOMBO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338549,7.00,6.00,5.00,6.00,8.00,7.50,4.00,5.00,8.00,450,NULL,NULL,'CENTRO','FRUTAL','MG',3625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338557,4.00,1.00,2.00,3.00,4.00,NULL,0.00,2.00,4.00,328,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338573,4.00,5.00,1.00,2.00,4.00,NULL,1.00,0.00,2.00,317,NULL,NULL,'RIO DOS PINHEIROS','ANITÁPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5338581,3.00,3.00,1.00,1.00,4.00,NULL,2.00,3.00,2.00,601,NULL,203,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5338590,7.00,6.00,4.00,7.00,7.00,9.00,2.00,4.00,3.00,201,NULL,207,'CABEÇUDAS','ITAJAÍ','SC',9030,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5338611,8.00,7.00,3.00,5.00,9.00,10.13,5.00,7.00,8.00,103,NULL,NULL,'PROGRESSO','RIO SUL','SC',1851,1023,NULL,NULL,NULL,NULL,NULL,2,9),(20,5338620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ESTRADINHA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5338638,1.00,6.00,4.00,6.00,4.00,NULL,2.00,1.00,1.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5338646,4.00,4.00,1.00,4.00,6.00,7.13,2.00,3.00,4.00,502,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338654,3.00,6.00,1.00,3.00,4.00,NULL,0.00,5.00,2.00,327,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338670,4.00,0.00,2.00,2.00,5.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5338689,2.00,7.00,3.00,3.00,8.00,7.50,2.00,6.00,4.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',11501,3361,NULL,NULL,NULL,NULL,NULL,2,8),(20,5338697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'SAO FRANSCISCO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5338700,4.00,8.00,1.00,4.00,5.00,7.13,1.00,3.00,2.00,302,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16196,110,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338719,6.00,6.00,1.00,4.00,3.00,NULL,1.00,2.00,2.00,201,NULL,203,'FREI BRUNO','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5338727,8.00,4.00,2.00,3.00,4.00,6.38,0.00,3.00,3.00,104,NULL,NULL,'CENTRO','S CARLOS','SC',15368,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5338735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5338743,7.00,4.00,3.00,4.00,4.00,6.00,4.00,3.00,3.00,108,NULL,NULL,'MAGALHAES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338751,9.00,7.00,5.00,3.00,9.00,10.50,4.00,9.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',1513,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5338760,7.00,5.00,2.00,6.00,6.00,7.13,3.00,3.00,1.00,201,NULL,216,'CENTRO','XANXERÊ','SC',12129,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5338778,6.00,6.00,3.00,3.00,5.00,8.63,0.00,4.00,2.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14326,72,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338794,5.00,6.00,0.00,5.00,5.00,7.50,4.00,3.00,4.00,319,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',13501,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5338808,5.00,6.00,2.00,5.00,9.00,6.75,3.00,2.00,3.00,102,NULL,NULL,'MARTORANO','S JOAQUIM','SC',11601,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5338816,4.00,5.00,4.00,3.00,4.00,6.00,3.00,3.00,3.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5338832,5.00,4.00,2.00,6.00,7.00,8.25,3.00,3.00,5.00,201,NULL,212,'CENTRO','S JOSÉ','SC',10083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,233,'JURERÊ TRADICIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5338867,1.00,2.00,3.00,5.00,5.00,NULL,3.00,2.00,2.00,216,NULL,211,'CENTRO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5338875,4.00,4.00,1.00,4.00,7.00,9.38,5.00,2.00,7.00,317,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12788,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'SANTA TEREZA','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5338891,4.00,5.00,2.00,4.00,3.00,NULL,1.00,1.00,2.00,653,NULL,652,'JARDIM ANGÉLICA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5338905,3.00,6.00,0.00,0.00,3.00,NULL,2.00,1.00,4.00,203,NULL,235,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CANOAS','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5338921,5.00,2.00,3.00,3.00,4.00,6.00,3.00,3.00,5.00,203,NULL,220,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338930,4.00,7.00,0.00,5.00,6.00,12.00,4.00,3.00,3.00,317,NULL,NULL,'IPIRANGA','S JOSÉ','SC',11650,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338948,6.00,5.00,2.00,4.00,5.00,9.00,1.00,3.00,4.00,333,NULL,NULL,'COLONIA','JUNDIAÍ','SP',12645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338956,6.00,7.00,4.00,6.00,7.00,8.63,3.00,4.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5338964,3.00,3.00,1.00,3.00,5.00,NULL,1.00,2.00,5.00,213,NULL,202,'CENTRO','MTE CASTELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5338972,3.00,6.00,1.00,4.00,6.00,9.00,2.00,4.00,4.00,332,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',15321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338980,2.00,3.00,0.00,4.00,4.00,NULL,1.00,0.00,2.00,309,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5338999,8.00,5.00,2.00,6.00,6.00,9.00,3.00,5.00,4.00,303,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',10921,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5339014,3.00,6.00,2.00,3.00,7.00,7.13,4.00,4.00,3.00,318,NULL,NULL,'JARDIM BANDEIRANTES','GUARUJÁ','SP',13905,93,NULL,NULL,NULL,NULL,NULL,4,1),(20,5339022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5339030,8.00,6.00,6.00,7.00,6.00,10.50,5.00,7.00,8.00,103,NULL,NULL,'JARDIM TV MORENA','CPO GRANDE','MS',1157,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5339057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5339065,4.00,8.00,0.00,4.00,5.00,NULL,0.00,4.00,2.00,310,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5339073,6.00,4.00,4.00,4.00,4.00,8.25,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5339090,4.00,4.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5339103,1.00,5.00,0.00,2.00,0.00,NULL,2.00,1.00,3.00,109,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5339111,3.00,5.00,1.00,4.00,4.00,9.38,1.00,2.00,6.00,601,NULL,NULL,'CENTRO','CASCAVEL','PR',15175,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5339120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'IGARA','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5339138,4.00,7.00,3.00,5.00,7.00,7.88,2.00,2.00,5.00,103,NULL,NULL,'JARDIM SILVANA','IÇARA','SC',13650,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5339146,8.00,6.00,3.00,7.00,9.00,12.00,6.00,5.00,9.00,103,NULL,NULL,'ALTO DA GLÓRIA','CURITIBA','PR',1191,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5339154,3.00,4.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,207,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5339162,5.00,4.00,1.00,4.00,3.00,NULL,2.00,1.00,2.00,110,NULL,NULL,'CAMPOS DO IGUÇU','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5339170,4.00,5.00,1.00,3.00,6.00,NULL,0.00,1.00,4.00,103,NULL,NULL,'BRASILIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5339189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TESTO CENTRAL','POMERODE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5339197,8.00,6.00,5.00,4.00,7.00,8.25,3.00,2.00,6.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5597,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5339200,9.00,7.00,4.00,7.00,9.00,8.25,3.00,4.00,8.00,103,NULL,NULL,'ASSUNÇÃO','S BERNARDO CAMPO','SP',2251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5339219,5.00,6.00,1.00,5.00,4.00,7.13,3.00,3.00,4.00,201,NULL,NULL,'OURO VELHO','NOVA LIMA','MG',15550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5339243,3.00,5.00,4.00,6.00,6.00,7.88,2.00,4.00,5.00,304,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13201,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5339251,7.00,5.00,2.00,5.00,9.00,9.00,0.00,2.00,5.00,452,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',9799,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5339260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5339286,5.00,5.00,0.00,3.00,5.00,NULL,0.00,4.00,1.00,319,NULL,NULL,'CENTRO','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5339316,2.00,4.00,0.00,4.00,6.00,NULL,3.00,3.00,1.00,450,NULL,NULL,'JARDIM IDEAL','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5339332,5.00,6.00,1.00,6.00,8.00,0.00,2.00,4.00,5.00,108,NULL,NULL,'CACATU','ANTONINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5339340,4.00,6.00,1.00,7.00,7.00,9.75,1.00,4.00,7.00,424,NULL,425,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5339359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5339367,3.00,5.00,0.00,2.00,4.00,NULL,3.00,0.00,0.00,551,NULL,NULL,'RANCHO FUNDO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5339375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5339383,5.00,0.00,1.00,1.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,16),(20,5339391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5339413,3.00,4.00,3.00,2.00,4.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'NITERÓI','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5339421,4.00,5.00,1.00,4.00,4.00,NULL,0.00,1.00,5.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5339448,4.00,7.00,2.00,1.00,5.00,6.75,3.00,3.00,4.00,211,NULL,215,'XAXIM','CURITIBA','PR',13416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5339456,3.00,2.00,2.00,3.00,4.00,NULL,2.00,1.00,0.00,103,NULL,NULL,'NOSSA SRA APARECIDA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5339464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5339472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5339480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VILA IPOJUCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5339499,4.00,4.00,3.00,3.00,3.00,NULL,2.00,0.00,1.00,203,NULL,208,'FIGUEIRA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5339502,4.00,4.00,1.00,5.00,6.00,6.00,2.00,3.00,3.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',16188,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5339510,3.00,0.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5339529,2.00,5.00,1.00,7.00,5.00,9.38,1.00,2.00,3.00,415,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5339545,2.00,3.00,1.00,5.00,5.00,NULL,0.00,4.00,3.00,9,NULL,NULL,'CENTRO','MARCELINO RAMOS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5339553,5.00,3.00,2.00,4.00,7.00,10.88,2.00,3.00,2.00,420,NULL,NULL,'CENTRO','TRÊS BARRAS','SC',13474,111,NULL,NULL,NULL,NULL,NULL,4,17),(20,5339561,6.00,7.00,3.00,7.00,7.00,10.50,3.00,6.00,7.00,318,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',6122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5339570,3.00,6.00,3.00,2.00,5.00,7.50,1.00,4.00,5.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5339596,5.00,4.00,1.00,5.00,4.00,7.13,2.00,3.00,2.00,451,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',16316,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5339600,5.00,7.00,1.00,2.00,5.00,9.38,1.00,2.00,3.00,316,NULL,NULL,'TERMAS','GRAVATAL','SC',15273,240,NULL,NULL,NULL,NULL,NULL,4,10),(20,5339618,5.00,5.00,1.00,4.00,4.00,9.00,3.00,3.00,5.00,309,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5339626,4.00,4.00,1.00,6.00,3.00,NULL,2.00,2.00,4.00,425,NULL,424,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5339642,5.00,7.00,3.00,5.00,7.00,8.25,2.00,5.00,6.00,316,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5339650,4.00,6.00,1.00,3.00,5.00,NULL,2.00,3.00,1.00,201,NULL,212,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5339677,4.00,4.00,0.00,6.00,6.00,NULL,0.00,2.00,3.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5339693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',1,1),(20,5339707,7.00,9.00,5.00,7.00,10.00,8.63,3.00,6.00,8.00,201,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',2079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5339715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5339723,3.00,2.00,1.00,4.00,5.00,NULL,0.00,1.00,3.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5339731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PORTAL DOS NOBRES','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5339740,4.00,1.00,0.00,3.00,2.00,NULL,1.00,3.00,3.00,110,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5339758,4.00,7.00,2.00,4.00,8.00,10.50,1.00,3.00,1.00,316,NULL,NULL,'BALNEARIO ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5339766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5339782,6.00,7.00,3.00,4.00,2.00,NULL,1.00,4.00,2.00,333,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5339790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'SAGRADA FAMÍLIA','TAQUARA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5339812,6.00,0.00,3.00,6.00,8.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5339820,4.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5339839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'CENTRO','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5339847,4.00,4.00,1.00,2.00,6.00,NULL,0.00,1.00,3.00,214,NULL,238,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5339855,2.00,4.00,2.00,1.00,4.00,NULL,3.00,3.00,4.00,301,NULL,NULL,'FIGUEIRA GRANDE','IMARUÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5339863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5339898,4.00,5.00,1.00,5.00,3.00,NULL,0.00,2.00,6.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5339910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,212,'VILA BUARQUE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5339928,6.00,5.00,0.00,6.00,6.00,4.50,2.00,0.00,3.00,234,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5339936,8.00,5.00,3.00,6.00,8.00,10.50,4.00,5.00,6.00,453,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',5721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5339944,6.00,2.00,0.00,4.00,8.00,NULL,1.00,3.00,3.00,404,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5339952,2.00,6.00,2.00,4.00,8.00,NULL,2.00,0.00,2.00,404,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5339995,8.00,6.00,2.00,5.00,5.00,7.88,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',7902,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5340004,7.00,8.00,2.00,7.00,9.00,10.50,4.00,6.00,4.00,329,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',4038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340012,5.00,6.00,3.00,6.00,8.00,9.38,3.00,4.00,3.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10216,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5340020,1.00,4.00,0.00,5.00,7.00,NULL,1.00,3.00,4.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5340039,6.00,5.00,3.00,7.00,7.00,8.63,1.00,3.00,4.00,303,NULL,NULL,'SANTA MARIA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5340047,6.00,7.00,4.00,4.00,7.00,6.38,3.00,6.00,5.00,336,NULL,NULL,'IPIRANGA','S JOSÉ','SC',8091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340055,5.00,5.00,1.00,3.00,8.00,8.25,2.00,1.00,5.00,203,NULL,201,'RIO VERMELHO','FLORIANÓPOLIS','SC',14614,917,NULL,1035,NULL,NULL,NULL,2,1),(20,5340063,5.00,7.00,1.00,2.00,6.00,9.38,1.00,4.00,3.00,3,NULL,NULL,'CENTRO','ITAJAÍ','SC',13512,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5340071,2.00,7.00,3.00,2.00,4.00,6.38,2.00,5.00,4.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340098,5.00,5.00,3.00,4.00,4.00,8.25,2.00,3.00,5.00,201,NULL,216,'CENTRO','ELIAS FAUSTO','SP',12678,902,NULL,507,NULL,NULL,NULL,2,1),(20,5340101,2.00,4.00,1.00,7.00,6.00,8.25,2.00,2.00,4.00,238,NULL,207,'BOM RETIRO','JOINVILLE','SC',14691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340110,4.00,6.00,1.00,5.00,4.00,8.25,2.00,1.00,5.00,215,NULL,211,'COLINA DA LAGOA','LGA VERMELHA','RS',14358,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5340128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5340136,0.00,1.00,1.00,0.00,2.00,NULL,0.00,0.00,1.00,652,NULL,NULL,'AREIAS BRANCAS','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5340144,7.00,7.00,4.00,5.00,8.00,9.75,2.00,6.00,4.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6024,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5340152,0.00,3.00,1.00,2.00,3.00,NULL,1.00,2.00,3.00,201,NULL,212,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5340160,5.00,6.00,3.00,4.00,7.00,7.88,2.00,3.00,4.00,303,NULL,NULL,'JARDIM CIDADE DE FLO','S JOSÉ','SC',13446,548,NULL,NULL,NULL,NULL,NULL,2,1),(20,5340179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5340195,2.00,5.00,1.00,3.00,4.00,NULL,3.00,2.00,3.00,653,NULL,651,'BALNEÁRIO RINCÃO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5340217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ARMAÇÃO','PENHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5340225,3.00,5.00,1.00,5.00,5.00,9.75,3.00,3.00,4.00,319,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',14694,301,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340241,2.00,7.00,1.00,0.00,4.00,NULL,3.00,2.00,3.00,208,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340250,8.00,7.00,2.00,6.00,10.00,9.00,4.00,4.00,5.00,103,NULL,NULL,'DISTRITO INDUSTRIAL','RIO BRANCO','AC',3202,1553,NULL,NULL,NULL,NULL,NULL,2,1),(20,5340276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5340292,6.00,7.00,4.00,3.00,2.00,NULL,1.00,3.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5340306,6.00,6.00,1.00,5.00,5.00,7.50,1.00,3.00,2.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5340314,6.00,4.00,3.00,0.00,4.00,8.25,4.00,4.00,4.00,216,NULL,220,'JARDIM DOS CAMARGOS','BARUERI','SP',12394,500,NULL,340,NULL,NULL,NULL,4,8),(20,5340322,3.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PINHAIS','PINHAIS','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5340330,5.00,7.00,1.00,4.00,5.00,8.25,3.00,3.00,3.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',13335,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5340349,1.00,5.00,1.00,5.00,3.00,NULL,3.00,2.00,4.00,501,NULL,NULL,'PARQUE ALVORADA','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5340357,3.00,5.00,3.00,3.00,6.00,NULL,2.00,3.00,2.00,425,NULL,429,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340365,2.00,6.00,2.00,6.00,5.00,7.50,3.00,3.00,3.00,103,NULL,NULL,'JARDIM ANGELICA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5340373,5.00,3.00,3.00,3.00,2.00,NULL,5.00,3.00,1.00,317,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5340390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5340403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','PTE SERRADA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5340438,4.00,5.00,3.00,3.00,2.00,NULL,3.00,1.00,1.00,104,NULL,NULL,'BOA VISTA','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5340454,5.00,5.00,4.00,5.00,8.00,8.25,2.00,2.00,4.00,5,NULL,NULL,'IPIRANGA','S JOSÉ','SC',12267,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5340462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'PORTO GRANDE','ARAQUARI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5340470,8.00,3.00,1.00,5.00,4.00,NULL,0.00,2.00,3.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5340489,3.00,5.00,4.00,7.00,6.00,9.38,2.00,1.00,3.00,215,NULL,NULL,'PQ VERSAILES','SUMARÉ','SP',12529,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5340497,8.00,6.00,0.00,6.00,6.00,NULL,2.00,1.00,6.00,301,NULL,NULL,'LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340500,3.00,6.00,1.00,1.00,4.00,NULL,1.00,2.00,2.00,551,NULL,NULL,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5340527,4.00,7.00,2.00,6.00,7.00,8.63,3.00,2.00,3.00,108,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',13214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340543,4.00,5.00,0.00,3.00,5.00,NULL,1.00,2.00,2.00,653,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5340551,3.00,4.00,1.00,4.00,5.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340560,6.00,5.00,0.00,2.00,8.00,6.75,2.00,4.00,3.00,9,NULL,NULL,'CENTRO','S JOSÉ','SC',15854,116,NULL,NULL,NULL,NULL,NULL,2,1),(20,5340578,3.00,5.00,1.00,4.00,3.00,NULL,2.00,2.00,3.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5340586,9.00,7.00,4.00,7.00,6.00,9.38,3.00,4.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',3298,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5340594,3.00,4.00,3.00,5.00,8.00,9.38,2.00,1.00,5.00,104,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340608,2.00,4.00,2.00,7.00,9.00,10.50,1.00,4.00,4.00,423,NULL,424,'PANTANO DO SUL','FLORIANÓPOLIS','SC',13270,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5340616,6.00,7.00,3.00,7.00,6.00,8.63,3.00,3.00,6.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340624,8.00,7.00,3.00,8.00,8.00,10.13,2.00,7.00,4.00,452,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',5433,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5340632,6.00,5.00,3.00,7.00,8.00,6.75,1.00,5.00,6.00,103,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',8765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5340659,4.00,7.00,1.00,4.00,5.00,6.00,4.00,3.00,5.00,329,NULL,NULL,'NOVA ESTÂNCIA','ETN VELHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5340667,8.00,7.00,3.00,5.00,8.00,10.50,3.00,2.00,4.00,108,NULL,NULL,'SERRARIA','S JOSÉ','SC',6171,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5340675,7.00,6.00,0.00,3.00,5.00,10.50,1.00,5.00,5.00,102,NULL,NULL,'CENTRO','PALHOÇA','SC',13870,198,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340683,6.00,8.00,5.00,7.00,7.00,8.63,2.00,1.00,3.00,317,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',11555,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5340691,7.00,6.00,3.00,4.00,6.00,6.75,2.00,4.00,4.00,316,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',13002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,424,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(20,5340721,4.00,4.00,2.00,0.00,6.00,NULL,0.00,2.00,2.00,9,NULL,NULL,'CENTRO','CANDELÁRIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5340748,7.00,5.00,8.00,6.00,7.00,11.63,6.00,5.00,7.00,207,NULL,215,'PANTANAL','FLORIANÓPOLIS','SC',1599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340756,8.00,6.00,5.00,7.00,8.00,8.25,3.00,3.00,6.00,103,NULL,NULL,'SANTO ANTÔNIO','CPO GRANDE','MS',4413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340764,3.00,5.00,1.00,7.00,6.00,7.50,3.00,3.00,2.00,427,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340780,5.00,5.00,2.00,2.00,7.00,9.75,1.00,2.00,4.00,103,NULL,NULL,'PRAIA DE ITAPIRUBA','IMBITUBA','SC',13364,3564,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORES CUNHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5340810,4.00,3.00,2.00,3.00,3.00,NULL,2.00,3.00,3.00,551,NULL,NULL,'CENTRO','PTE SERRADA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5340829,8.00,7.00,4.00,6.00,8.00,8.63,3.00,6.00,3.00,303,NULL,NULL,'CENTRO','LAGES','SC',6854,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5340837,6.00,6.00,2.00,4.00,4.00,6.75,2.00,2.00,1.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16204,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5340845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA RITA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5340853,8.00,5.00,2.00,2.00,4.00,6.75,3.00,1.00,5.00,208,NULL,203,'JD DOS PINHEIROS','S PAULO','SP',13892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM SÃO PAULO','UBIRATÃ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5340870,7.00,7.00,6.00,6.00,7.00,13.50,3.00,6.00,6.00,308,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',2319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340896,1.00,2.00,1.00,3.00,4.00,NULL,3.00,1.00,0.00,651,NULL,653,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5340900,7.00,7.00,2.00,3.00,8.00,7.50,5.00,4.00,6.00,203,NULL,214,'SERRINHA','FLORIANÓPOLIS','SC',6842,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5340918,9.00,5.00,4.00,7.00,5.00,6.38,6.00,4.00,9.00,103,NULL,NULL,'CENTRO','GOIOERÊ','PR',4284,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5340926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,235,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5340934,4.00,5.00,1.00,1.00,3.00,NULL,0.00,2.00,3.00,308,NULL,NULL,'SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340942,3.00,4.00,0.00,4.00,1.00,NULL,3.00,1.00,6.00,103,NULL,NULL,'CENTRO','ORLÂNDIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5340969,3.00,5.00,3.00,4.00,5.00,8.25,2.00,3.00,4.00,212,NULL,601,'CENTRO','IMBITUBA','SC',14935,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5340977,5.00,5.00,0.00,4.00,4.00,NULL,0.00,2.00,1.00,101,NULL,NULL,'CENTRO','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5340985,0.00,3.00,0.00,0.00,0.00,NULL,2.00,3.00,2.00,652,NULL,653,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5340993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5341000,3.00,5.00,0.00,3.00,4.00,NULL,1.00,2.00,4.00,201,NULL,212,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5341019,7.00,8.00,0.00,6.00,4.00,NULL,3.00,3.00,4.00,225,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5341035,2.00,5.00,0.00,3.00,5.00,NULL,2.00,2.00,2.00,427,NULL,424,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5341043,6.00,7.00,4.00,5.00,7.00,6.00,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',9786,3141,NULL,NULL,NULL,NULL,NULL,4,8),(20,5341051,7.00,7.00,4.00,6.00,9.00,10.13,4.00,5.00,8.00,238,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',3852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5341060,4.00,6.00,1.00,4.00,7.00,9.00,1.00,3.00,5.00,319,NULL,NULL,'PETRÓPOLIS','VACARIA','RS',14324,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5341078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','QUILOMBO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5341108,0.00,3.00,2.00,4.00,1.00,NULL,3.00,1.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5341116,7.00,6.00,1.00,4.00,8.00,10.50,1.00,5.00,4.00,429,NULL,426,'SANTO ANTONIO','FLORIANÓPOLIS','SC',12268,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5341124,5.00,5.00,1.00,4.00,8.00,6.75,0.00,3.00,6.00,9,NULL,NULL,'FUNDOS','BIGUAÇU','SC',13625,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5341132,6.00,4.00,3.00,3.00,4.00,6.00,2.00,2.00,2.00,203,NULL,214,'ROÇADO','S JOSÉ','SC',15572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5341140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'PONTO CHIC','IBIRAMA','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(20,5341159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'BRASIL','UBERLÂNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5341167,6.00,4.00,3.00,5.00,7.00,6.75,4.00,3.00,4.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5341175,3.00,3.00,1.00,3.00,6.00,NULL,1.00,1.00,4.00,109,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5341183,4.00,5.00,2.00,2.00,1.00,NULL,1.00,1.00,1.00,501,NULL,NULL,'CENTRO','TRÊS PALMEIRAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5341191,4.00,3.00,2.00,0.00,4.00,NULL,1.00,1.00,5.00,501,NULL,NULL,'PARQUE SÃO JORGE','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5341205,5.00,4.00,1.00,6.00,6.00,9.00,1.00,2.00,6.00,104,NULL,NULL,'INTERIOR','SANANDUVA','RS',11211,282,NULL,NULL,NULL,NULL,NULL,2,1),(20,5341213,3.00,5.00,0.00,1.00,4.00,NULL,0.00,2.00,2.00,339,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5341221,3.00,3.00,2.00,5.00,4.00,NULL,0.00,1.00,4.00,415,NULL,NULL,'RECANTOS','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5341248,3.00,5.00,1.00,5.00,6.00,NULL,0.00,1.00,4.00,303,NULL,NULL,'NITERÓI','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5341256,1.00,4.00,0.00,2.00,5.00,NULL,1.00,3.00,4.00,301,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5341264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'PRAIA DO ERVINO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5341272,5.00,0.00,4.00,4.00,6.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5341299,0.00,2.00,1.00,4.00,2.00,NULL,3.00,2.00,3.00,452,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5341302,2.00,3.00,0.00,3.00,3.00,NULL,1.00,1.00,1.00,404,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5341310,6.00,5.00,3.00,6.00,6.00,6.38,5.00,4.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5341337,5.00,7.00,5.00,7.00,7.00,10.13,1.00,3.00,3.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',10867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5341345,4.00,5.00,1.00,3.00,4.00,NULL,1.00,3.00,4.00,208,NULL,214,'ESTREITO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5341361,8.00,8.00,5.00,7.00,9.00,12.75,5.00,5.00,9.00,103,NULL,NULL,'JARDIM ITU SABARÁ','PTO ALEGRE','RS',558,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5341370,7.00,5.00,7.00,6.00,6.00,7.88,2.00,3.00,6.00,103,NULL,NULL,'NOSSA SENHORA APAREC','FRANCISCO BELTRÃO','PR',6373,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5341388,5.00,4.00,2.00,6.00,6.00,NULL,0.00,3.00,4.00,601,NULL,207,'CENTRO','ITAPOÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5341396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'PENHA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5341400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'FIGUEIRA','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5341418,5.00,6.00,3.00,6.00,8.00,6.75,2.00,2.00,6.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5341426,7.00,7.00,5.00,6.00,7.00,6.00,3.00,5.00,6.00,215,NULL,208,'CORREGO GRANDE','FLORIANÓPOLIS','SC',8552,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5341434,4.00,5.00,2.00,3.00,6.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'JARDIM ESPLANADA','MANDAGUARI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5341442,5.00,5.00,3.00,6.00,6.00,10.13,2.00,3.00,4.00,653,NULL,212,'NASPOLINI','CRICIÚMA','SC',12537,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5341450,0.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,1.00,302,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5341469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JD SÃO LUIS','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5341477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,653,'BELA VISTA','COCAL SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5341493,7.00,7.00,4.00,4.00,8.00,9.38,3.00,3.00,5.00,102,NULL,NULL,'CENTRO','PINHALZINHO','SC',8843,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5341515,5.00,9.00,3.00,6.00,7.00,12.00,4.00,4.00,6.00,203,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5341523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'VILA OLIVEIRA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5341531,4.00,5.00,3.00,7.00,6.00,6.75,0.00,2.00,3.00,601,NULL,213,'BOA VISTA','JOINVILLE','SC',13813,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5341558,8.00,7.00,3.00,7.00,9.00,10.88,3.00,6.00,4.00,415,NULL,NULL,'MELLER SUL','STO ÂNGELO','RS',4280,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5341566,1.00,6.00,2.00,4.00,3.00,NULL,4.00,4.00,3.00,320,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5341574,3.00,4.00,1.00,3.00,5.00,6.00,4.00,5.00,2.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5341590,3.00,4.00,2.00,4.00,1.00,NULL,1.00,3.00,3.00,444,NULL,NULL,'VILLAGE','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5341604,7.00,4.00,2.00,5.00,9.00,8.63,2.00,2.00,5.00,103,NULL,NULL,'JARDIM TURMALINAS','STA BÁRBARA D OESTE','SP',9468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5341612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,NULL,'SAÕ JOSE','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5341647,3.00,6.00,1.00,3.00,8.00,6.75,3.00,5.00,4.00,339,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',13919,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5341655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5341663,4.00,3.00,2.00,3.00,5.00,NULL,1.00,1.00,0.00,301,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5341698,5.00,7.00,0.00,4.00,6.00,7.13,0.00,1.00,4.00,332,NULL,NULL,'GRAVATAL','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5341701,1.00,3.00,1.00,1.00,3.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5341710,4.00,5.00,1.00,1.00,2.00,NULL,3.00,2.00,2.00,303,NULL,NULL,'BOM RETIRO','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5341728,6.00,6.00,0.00,5.00,6.00,0.00,3.00,2.00,4.00,329,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5341736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,653,'DUQUE DE CAXIAS','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5341744,2.00,6.00,2.00,2.00,2.00,NULL,4.00,2.00,5.00,103,NULL,NULL,'CENTENARIO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5341760,3.00,7.00,3.00,5.00,4.00,NULL,0.00,2.00,1.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5341795,3.00,4.00,1.00,2.00,6.00,NULL,1.00,0.00,4.00,211,NULL,653,'CENTRO','TRAMANDAÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5341868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'JARDIM BELA VISTA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5341884,8.00,8.00,5.00,5.00,8.00,9.75,6.00,6.00,6.00,207,NULL,NULL,'FLORESTA','S JOSÉ','SC',2101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5341892,1.00,3.00,3.00,3.00,5.00,NULL,1.00,1.00,0.00,429,NULL,428,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5341906,5.00,6.00,1.00,4.00,8.00,NULL,0.00,4.00,5.00,425,NULL,421,'CENTRO','TANGARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5341914,4.00,6.00,3.00,6.00,9.00,9.00,4.00,3.00,4.00,317,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5341922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5341930,5.00,5.00,1.00,3.00,8.00,NULL,0.00,5.00,3.00,502,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5341949,5.00,7.00,2.00,5.00,8.00,8.63,3.00,5.00,5.00,238,NULL,211,'BARREIROS','S JOSÉ','SC',9707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5341957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5341965,8.00,7.00,3.00,5.00,6.00,9.00,1.00,4.00,5.00,103,NULL,NULL,'SANTO ANTONIO','PINHALZINHO','SC',7867,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5341981,8.00,8.00,2.00,6.00,8.00,11.25,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','ROCA SALES','RS',2423,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5341990,3.00,3.00,0.00,2.00,1.00,NULL,3.00,2.00,4.00,202,NULL,235,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5342007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5342015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO PEDRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5342023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NAVIRAÍ','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5342040,6.00,4.00,2.00,6.00,5.00,9.38,3.00,7.00,2.00,108,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5342066,5.00,5.00,2.00,5.00,5.00,9.00,0.00,2.00,4.00,207,NULL,201,'MOINHOS','LAJEADO','RS',15041,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5342082,4.00,8.00,2.00,5.00,9.00,6.00,0.00,5.00,4.00,340,NULL,NULL,'JARDIM SÃO PAULO','S PAULO','SP',10843,311,NULL,NULL,NULL,NULL,NULL,4,1),(20,5342112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'VL LIMEIRÂNEA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5342120,2.00,4.00,0.00,6.00,0.00,NULL,0.00,3.00,3.00,420,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5342147,3.00,3.00,1.00,2.00,5.00,NULL,0.00,1.00,1.00,426,NULL,423,'JARDIM TRIUNFO','PEDREIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5342163,7.00,5.00,0.00,6.00,10.00,10.13,2.00,4.00,5.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5342180,6.00,5.00,1.00,8.00,9.00,10.13,4.00,5.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5342198,9.00,8.00,5.00,7.00,7.00,8.25,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',2941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5342201,8.00,6.00,2.00,5.00,9.00,7.13,2.00,3.00,5.00,233,NULL,NULL,'FLORESTA','S JOSÉ','SC',9165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5342228,5.00,6.00,0.00,3.00,3.00,NULL,2.00,4.00,3.00,9,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5342236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'BESSA','JOÃO PESSOA','PB',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5342252,6.00,8.00,6.00,7.00,7.00,7.88,4.00,4.00,7.00,201,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',3975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5342260,7.00,6.00,3.00,6.00,6.00,7.88,0.00,3.00,3.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5342287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JARDIM ACAPULCO','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5342295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5342309,4.00,2.00,1.00,3.00,2.00,NULL,0.00,1.00,2.00,404,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5342317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'ASSIS BRASIL','IJUÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5342325,4.00,7.00,1.00,2.00,4.00,9.75,0.00,4.00,3.00,234,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',15891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5342333,1.00,4.00,1.00,6.00,5.00,NULL,1.00,1.00,1.00,425,NULL,424,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5342350,3.00,3.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,551,NULL,NULL,'BEIRA SOL','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5342368,5.00,5.00,1.00,5.00,6.00,7.88,2.00,2.00,5.00,319,NULL,NULL,'CENTRO','ENCANTADO','RS',12820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5342376,5.00,7.00,3.00,6.00,5.00,7.50,3.00,4.00,5.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',10327,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5342384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INDEPENDENCIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5342392,4.00,6.00,1.00,5.00,3.00,NULL,3.00,2.00,4.00,332,NULL,NULL,'BARRA','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5342414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'PRESIDENTE VARGAS','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5342422,2.00,3.00,0.00,5.00,2.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5342430,4.00,5.00,5.00,3.00,3.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5342449,4.00,6.00,3.00,3.00,4.00,NULL,2.00,1.00,1.00,415,NULL,NULL,'TAQUARAÇU','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5342457,4.00,6.00,1.00,6.00,5.00,NULL,0.00,2.00,3.00,9,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5342473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILLAGE VALE VERDE','IBITINGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5342481,5.00,7.00,6.00,6.00,3.00,NULL,3.00,5.00,4.00,201,NULL,212,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5342503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5342511,4.00,4.00,1.00,5.00,3.00,NULL,1.00,1.00,1.00,109,NULL,NULL,'CARAVAGGIO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5342520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MONTE CARLO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5342554,8.00,6.00,2.00,7.00,9.00,9.38,4.00,7.00,8.00,103,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',2976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5342562,1.00,1.00,1.00,3.00,4.00,NULL,1.00,1.00,4.00,501,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5342570,3.00,3.00,1.00,5.00,7.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'CIDADE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5342597,5.00,7.00,6.00,7.00,6.00,7.50,2.00,4.00,5.00,303,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',8529,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5342600,5.00,4.00,1.00,3.00,6.00,6.75,2.00,2.00,3.00,551,NULL,NULL,'INTERIOR','FAXINAL GUEDES','SC',15347,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5342619,3.00,4.00,2.00,2.00,3.00,NULL,0.00,2.00,2.00,319,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5342627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5342635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5342660,4.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5342678,7.00,7.00,5.00,5.00,5.00,8.25,3.00,4.00,3.00,201,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',8164,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5342686,1.00,4.00,2.00,5.00,1.00,NULL,3.00,1.00,3.00,324,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5342694,7.00,6.00,2.00,5.00,7.00,8.63,3.00,4.00,6.00,203,NULL,233,'KOBRASOL','S JOSÉ','SC',8915,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5342708,4.00,4.00,0.00,2.00,5.00,NULL,0.00,3.00,2.00,452,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5342724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'JARDIM DAS HORTÊNSIA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5342732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5342740,8.00,6.00,3.00,6.00,8.00,12.00,4.00,5.00,3.00,423,NULL,424,'VARGEM GRANDE','FLORIANÓPOLIS','SC',6852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5342759,4.00,5.00,3.00,4.00,5.00,4.50,0.00,4.00,2.00,653,NULL,202,'SÃO MARTINHO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5342767,4.00,5.00,1.00,7.00,8.00,7.88,1.00,3.00,3.00,301,NULL,NULL,'CORAL','LAGES','SC',14595,206,NULL,NULL,NULL,NULL,NULL,2,9),(20,5342775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5342783,4.00,4.00,1.00,1.00,2.00,NULL,2.00,2.00,3.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5342813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ÁGUA CLARA','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5342821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVO SARANDI','NOVO SARANDI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5342830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5342848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5342872,0.00,5.00,0.00,1.00,5.00,NULL,2.00,2.00,0.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5342880,6.00,7.00,5.00,7.00,7.00,7.50,2.00,3.00,4.00,203,NULL,601,'ALVORADA','FRANCISCO BELTRÃO','PR',6578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5342899,6.00,7.00,4.00,5.00,8.00,8.63,4.00,5.00,2.00,213,NULL,212,'JARDIM EUROPA','BAURU','SP',5389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5342902,5.00,2.00,0.00,4.00,4.00,NULL,2.00,1.00,5.00,211,NULL,201,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5342929,4.00,3.00,0.00,2.00,2.00,NULL,3.00,0.00,4.00,203,NULL,211,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5342945,2.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5342953,6.00,0.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(20,5342961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5342970,5.00,7.00,3.00,5.00,5.00,7.88,2.00,1.00,4.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',13303,189,NULL,NULL,NULL,NULL,NULL,2,1),(20,5342988,4.00,6.00,2.00,7.00,7.00,9.38,2.00,3.00,3.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12337,93,NULL,NULL,NULL,NULL,NULL,2,1),(20,5342996,4.00,4.00,1.00,4.00,6.00,7.50,0.00,3.00,4.00,108,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',15632,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5343003,6.00,4.00,2.00,5.00,8.00,9.75,2.00,2.00,3.00,424,NULL,428,'LALOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13220,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5343011,6.00,5.00,3.00,2.00,5.00,7.13,1.00,2.00,3.00,101,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5343020,5.00,7.00,6.00,6.00,7.00,7.13,4.00,4.00,5.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',6886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5343046,2.00,6.00,1.00,3.00,6.00,NULL,3.00,4.00,4.00,207,NULL,201,'CENTRO','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(20,5343054,4.00,6.00,2.00,1.00,5.00,8.63,1.00,5.00,4.00,601,NULL,202,'BUCAREIN','JOINVILLE','SC',15450,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5343062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5343070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LUCÉLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5343089,2.00,4.00,2.00,7.00,7.00,7.13,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5343097,3.00,3.00,0.00,7.00,4.00,NULL,1.00,1.00,3.00,207,NULL,NULL,'SÃO CRISTÓVÃO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5343119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5343127,1.00,5.00,1.00,4.00,6.00,NULL,0.00,3.00,1.00,415,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5343135,3.00,4.00,1.00,5.00,4.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5343143,1.00,4.00,0.00,2.00,2.00,NULL,0.00,2.00,2.00,9,NULL,NULL,'SAO CRISTOVAO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5343151,6.00,6.00,1.00,3.00,5.00,7.50,1.00,4.00,2.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5343160,5.00,5.00,1.00,5.00,8.00,NULL,0.00,1.00,4.00,207,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5343178,4.00,1.00,0.00,1.00,4.00,NULL,2.00,0.00,2.00,101,NULL,NULL,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5343186,8.00,6.00,4.00,6.00,9.00,10.88,3.00,6.00,7.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',2514,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5343194,5.00,6.00,0.00,5.00,8.00,7.13,2.00,3.00,3.00,238,NULL,208,'BARRA DO ARIRIU','PALHOÇA','SC',14353,359,NULL,394,NULL,NULL,NULL,2,1),(20,5343208,1.00,4.00,0.00,3.00,3.00,NULL,1.00,1.00,2.00,207,NULL,215,'SANTO ANTONIO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5343216,5.00,5.00,0.00,0.00,4.00,NULL,2.00,3.00,4.00,104,NULL,NULL,'SANTA TEREZINHA','PALMITINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5343224,4.00,6.00,1.00,3.00,1.00,NULL,2.00,3.00,5.00,211,NULL,201,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5343232,3.00,2.00,0.00,1.00,2.00,NULL,2.00,0.00,3.00,303,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5343240,3.00,4.00,3.00,4.00,4.00,NULL,2.00,1.00,2.00,339,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5343259,4.00,4.00,2.00,2.00,5.00,NULL,2.00,2.00,2.00,319,NULL,NULL,'JARDIM AMERICA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5343267,3.00,4.00,0.00,1.00,3.00,NULL,1.00,2.00,2.00,208,NULL,207,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5343291,7.00,7.00,2.00,4.00,6.00,6.75,3.00,1.00,5.00,203,NULL,202,'BARREIRINHA','CURITIBA','PR',10725,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5343305,7.00,7.00,4.00,7.00,7.00,8.25,3.00,6.00,4.00,203,NULL,201,'CENTRO','TOLEDO','PR',3669,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5343313,2.00,3.00,1.00,2.00,5.00,NULL,2.00,1.00,1.00,303,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5343321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'ATLÂNTIDA','XANGRI-LÁ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5343348,3.00,7.00,3.00,7.00,6.00,7.50,2.00,3.00,5.00,302,NULL,NULL,'FLORESTA','JOINVILLE','SC',8678,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5343356,2.00,4.00,2.00,3.00,2.00,NULL,0.00,0.00,1.00,420,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5343364,4.00,2.00,2.00,5.00,6.00,9.00,3.00,3.00,4.00,319,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',15683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5343380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'GUARITA','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5343410,6.00,6.00,1.00,7.00,6.00,7.88,3.00,2.00,5.00,103,NULL,NULL,'FARROUPILHA','PTO ALEGRE','RS',9600,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5343429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CENTRO II','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5343437,2.00,3.00,0.00,0.00,1.00,NULL,4.00,3.00,3.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5343445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'JARDIM BOA VISTA','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5343453,2.00,6.00,1.00,6.00,6.00,9.00,0.00,3.00,3.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5343470,4.00,4.00,4.00,6.00,7.00,7.50,1.00,2.00,3.00,202,NULL,203,'CENTRO','STO ANTÔNIO MISSÕES','RS',13377,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5343488,4.00,5.00,2.00,4.00,7.00,10.13,4.00,2.00,3.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5343496,5.00,5.00,0.00,5.00,6.00,NULL,2.00,4.00,3.00,450,NULL,NULL,'AGRONÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5343500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5343518,6.00,6.00,4.00,7.00,8.00,9.75,2.00,1.00,5.00,104,NULL,NULL,'CENTRO','PATO BRANCO','PR',9008,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5343534,9.00,5.00,3.00,5.00,4.00,7.13,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',8160,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5343542,3.00,3.00,2.00,4.00,4.00,NULL,2.00,1.00,3.00,501,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5343569,2.00,6.00,2.00,5.00,4.00,6.00,2.00,2.00,3.00,317,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5343577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5343593,8.00,6.00,4.00,6.00,6.00,6.00,2.00,4.00,5.00,108,NULL,NULL,'MORRO DO CRISTO','UNIÃO VITÓRIA','PR',8503,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5343615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5343623,6.00,6.00,4.00,4.00,8.00,8.25,1.00,2.00,5.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8758,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5343631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5343640,3.00,7.00,2.00,3.00,2.00,NULL,0.00,3.00,3.00,201,NULL,211,'SÃO MIGUEL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5343658,5.00,3.00,2.00,5.00,7.00,8.63,1.00,2.00,3.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',16105,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5343666,5.00,5.00,0.00,2.00,6.00,7.13,1.00,4.00,4.00,331,NULL,NULL,'MENINO DEUS','PATO BRANCO','PR',14621,39,NULL,NULL,NULL,NULL,NULL,2,1),(20,5343674,7.00,5.00,2.00,4.00,5.00,8.25,1.00,3.00,4.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12749,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5343682,3.00,5.00,1.00,5.00,3.00,NULL,2.00,3.00,4.00,421,NULL,427,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5343690,2.00,5.00,2.00,3.00,7.00,7.13,2.00,4.00,5.00,426,NULL,427,'PANTANAL','FLORIANÓPOLIS','SC',15930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5343704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SÃO SEBASTIÃO','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5343712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5343720,4.00,6.00,2.00,4.00,7.00,8.63,1.00,5.00,2.00,110,NULL,NULL,'CAEIRA SACO LIMOES','FLORIANÓPOLIS','SC',15233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5343739,7.00,6.00,0.00,7.00,8.00,8.25,3.00,2.00,5.00,202,NULL,203,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5343747,2.00,2.00,0.00,3.00,6.00,NULL,1.00,2.00,1.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5343755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5343771,7.00,5.00,2.00,6.00,7.00,7.50,1.00,4.00,4.00,103,NULL,NULL,'HUMAITÁ','PTO ALEGRE','RS',10351,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5343780,2.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5343798,7.00,8.00,1.00,7.00,10.00,11.25,1.00,4.00,5.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',5285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5343828,7.00,4.00,4.00,7.00,6.00,9.75,4.00,5.00,5.00,203,NULL,208,'PETRÓPOLIS','PTO ALEGRE','RS',4817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5343836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5343852,3.00,5.00,2.00,5.00,4.00,6.75,2.00,3.00,2.00,201,NULL,601,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5343879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,208,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5343887,4.00,6.00,1.00,7.00,4.00,9.75,4.00,3.00,4.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5343895,2.00,2.00,1.00,2.00,3.00,NULL,3.00,2.00,1.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5343909,5.00,5.00,0.00,6.00,3.00,NULL,3.00,4.00,1.00,336,NULL,NULL,'PEREQUE','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5343917,4.00,5.00,5.00,7.00,4.00,9.00,6.00,3.00,5.00,601,NULL,233,'CENTRO','LAGES','SC',8140,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5343925,9.00,9.00,4.00,7.00,9.00,10.88,2.00,5.00,8.00,103,NULL,NULL,'PARTENON','PTO ALEGRE','RS',1186,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5343933,9.00,8.00,5.00,7.00,8.00,12.75,6.00,5.00,8.00,103,NULL,NULL,'SEM BAIRRO','PALOTINA','PR',695,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5343941,6.00,7.00,7.00,7.00,7.00,8.63,4.00,4.00,7.00,203,NULL,202,'LARSEN','LONDRINA','PR',2601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5343968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,421,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5343976,3.00,5.00,2.00,6.00,7.00,6.00,2.00,0.00,3.00,415,NULL,NULL,'SANTA BARBARA','CRICIÚMA','SC',16221,287,NULL,NULL,NULL,NULL,NULL,2,5),(20,5343992,5.00,5.00,2.00,5.00,3.00,NULL,4.00,4.00,6.00,216,NULL,215,'CENTRO','BORRAZÓPOLIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5344000,2.00,7.00,4.00,3.00,5.00,7.13,3.00,2.00,3.00,653,NULL,652,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5344018,1.00,5.00,0.00,3.00,6.00,NULL,2.00,2.00,2.00,653,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5344026,2.00,0.00,4.00,4.00,6.00,NULL,1.00,1.00,1.00,415,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5344034,4.00,3.00,2.00,4.00,4.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5344042,8.00,4.00,1.00,7.00,6.00,7.50,3.00,3.00,5.00,420,NULL,NULL,'SANTANA','S JOSÉ CAMPOS','SP',9382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344069,2.00,4.00,2.00,5.00,5.00,7.50,2.00,1.00,5.00,103,NULL,NULL,'SÃO MIGUEL','CRUZ ALTA','RS',15463,3790,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344077,4.00,4.00,1.00,4.00,1.00,NULL,1.00,2.00,4.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5344107,6.00,5.00,3.00,7.00,9.00,7.88,2.00,5.00,3.00,316,NULL,NULL,'SANTO ANTÔNIO','FLORIANÓPOLIS','SC',8556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344115,7.00,5.00,3.00,5.00,7.00,11.25,2.00,4.00,8.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',7273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344123,5.00,3.00,0.00,7.00,5.00,7.13,0.00,2.00,5.00,103,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',14115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344131,3.00,3.00,3.00,2.00,3.00,NULL,3.00,3.00,3.00,601,NULL,NULL,'ÁGUA BRANCA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5344140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'SÃO JOÃO RIO VERMELH','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5344158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5344166,5.00,5.00,3.00,6.00,6.00,9.38,2.00,3.00,4.00,601,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5344174,9.00,7.00,4.00,5.00,8.00,6.75,4.00,4.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4052,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5344182,2.00,4.00,2.00,4.00,7.00,6.38,2.00,2.00,4.00,453,NULL,NULL,'PACHECOS','PALHOÇA','SC',15744,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5344190,3.00,4.00,0.00,2.00,5.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'UBATUBA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5344204,2.00,6.00,2.00,5.00,6.00,8.25,1.00,4.00,5.00,303,NULL,NULL,'CENTRO','ERECHIM','RS',11667,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5344212,8.00,7.00,6.00,7.00,8.00,9.38,7.00,6.00,8.00,103,NULL,NULL,'CHÁCARA INGLESA','S PAULO','SP',674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344220,5.00,5.00,3.00,7.00,7.00,8.63,2.00,4.00,2.00,319,NULL,NULL,'VILA FATY','S MATEUS SUL','PR',9881,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5344239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5344247,6.00,6.00,2.00,7.00,4.00,10.13,1.00,4.00,4.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',11067,3312,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344255,2.00,5.00,2.00,2.00,4.00,NULL,2.00,4.00,2.00,110,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344263,5.00,4.00,3.00,3.00,9.00,10.13,1.00,1.00,4.00,451,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344271,3.00,4.00,1.00,4.00,1.00,NULL,1.00,4.00,2.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344298,3.00,6.00,0.00,3.00,4.00,NULL,2.00,6.00,4.00,320,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5344301,6.00,6.00,5.00,7.00,8.00,9.00,2.00,4.00,4.00,103,NULL,NULL,'SANTA CÂNDIDA','CURITIBA','PR',5443,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5344310,3.00,4.00,2.00,6.00,3.00,NULL,2.00,2.00,4.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344328,4.00,5.00,0.00,4.00,5.00,7.13,1.00,3.00,4.00,601,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5344336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5344344,5.00,5.00,0.00,3.00,5.00,NULL,4.00,4.00,4.00,5,NULL,NULL,'PILARZINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5344352,4.00,7.00,1.00,7.00,7.00,10.88,1.00,5.00,4.00,319,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',12090,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5344360,6.00,6.00,1.00,6.00,8.00,7.13,1.00,3.00,3.00,211,NULL,201,'INTERIOR','S JOSÉ CEDRO','SC',12694,395,NULL,905,NULL,NULL,NULL,2,4),(20,5344387,2.00,4.00,0.00,2.00,3.00,NULL,0.00,1.00,4.00,207,NULL,235,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5344409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5344417,6.00,6.00,1.00,7.00,5.00,9.38,1.00,3.00,6.00,207,NULL,NULL,'VILA RICA','ATIBAIA','SP',8458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5344441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5344476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LUCAS ARAUJO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5344484,6.00,5.00,5.00,2.00,3.00,NULL,3.00,3.00,5.00,653,NULL,652,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5344492,2.00,2.00,1.00,2.00,4.00,NULL,1.00,2.00,1.00,104,NULL,NULL,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5344506,2.00,6.00,1.00,5.00,6.00,NULL,2.00,1.00,1.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5344514,8.00,6.00,0.00,6.00,6.00,NULL,3.00,4.00,1.00,207,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5344549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'PONTE DO IMARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5344557,1.00,2.00,0.00,3.00,4.00,NULL,0.00,0.00,3.00,103,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5344565,3.00,1.00,0.00,0.00,4.00,NULL,1.00,0.00,3.00,320,NULL,NULL,'JOÃO JOSÉ GHELEN','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5344573,8.00,6.00,3.00,4.00,10.00,8.63,5.00,3.00,7.00,104,NULL,NULL,'SUMARÉ','RIO SUL','SC',5124,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5344581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5344603,5.00,7.00,2.00,6.00,7.00,10.88,2.00,3.00,4.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',8024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344611,2.00,4.00,0.00,4.00,5.00,NULL,1.00,2.00,5.00,203,NULL,202,'MONTE ALEGRE','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5344620,6.00,7.00,6.00,6.00,9.00,8.63,3.00,2.00,7.00,103,NULL,NULL,'ALTO DA XV','GUARAPUAVA','PR',5126,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5344638,9.00,7.00,5.00,7.00,9.00,9.38,5.00,6.00,9.00,103,NULL,NULL,'CHÁCARA INGLESA','S PAULO','SP',933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344646,2.00,4.00,1.00,6.00,5.00,7.50,2.00,4.00,3.00,103,NULL,NULL,'JARDIM IATE CLUBE','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5344654,4.00,3.00,1.00,3.00,5.00,NULL,3.00,3.00,1.00,338,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'CENTRO','SORRISO','MT',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5344670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5344689,5.00,7.00,0.00,5.00,6.00,NULL,3.00,3.00,2.00,324,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5344697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5344743,5.00,6.00,1.00,4.00,2.00,NULL,4.00,3.00,5.00,601,NULL,211,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5344751,0.00,2.00,1.00,2.00,3.00,NULL,2.00,0.00,2.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5344760,6.00,7.00,2.00,7.00,4.00,10.13,4.00,4.00,3.00,452,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',11217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344778,3.00,3.00,3.00,2.00,6.00,NULL,2.00,3.00,3.00,101,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5344786,8.00,5.00,1.00,4.00,6.00,9.00,3.00,7.00,4.00,103,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',7670,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5344794,9.00,9.00,6.00,7.00,8.00,8.25,7.00,6.00,6.00,103,NULL,NULL,'CENTRO','NOVA PETRÓPOLIS','RS',1139,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5344808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5344816,3.00,3.00,3.00,3.00,5.00,NULL,3.00,1.00,3.00,404,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5344824,5.00,7.00,2.00,6.00,8.00,8.25,3.00,5.00,7.00,103,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',5180,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5344832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,233,'JARDIM PANORAMA','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5344840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REDENTOR','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5344867,3.00,5.00,0.00,3.00,6.00,NULL,3.00,5.00,2.00,103,NULL,NULL,'VILA NOVA','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5344883,4.00,6.00,1.00,4.00,6.00,8.63,0.00,5.00,3.00,324,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',14855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5344891,1.00,6.00,1.00,6.00,5.00,NULL,0.00,2.00,4.00,108,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5344905,2.00,4.00,0.00,2.00,4.00,NULL,0.00,3.00,1.00,303,NULL,NULL,'JARIVATUBA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5344913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5344930,7.00,9.00,4.00,6.00,7.00,9.38,5.00,3.00,5.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344948,7.00,5.00,1.00,6.00,7.00,NULL,0.00,4.00,5.00,211,NULL,216,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344956,7.00,5.00,1.00,7.00,6.00,10.13,1.00,4.00,7.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',8667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'JARDIM REGINA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5344972,4.00,6.00,0.00,4.00,4.00,NULL,3.00,0.00,3.00,201,NULL,207,'BELA ALIANÇA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5344980,1.00,4.00,1.00,4.00,3.00,NULL,2.00,2.00,5.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5344999,7.00,5.00,1.00,5.00,5.00,7.13,2.00,4.00,5.00,5,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',13783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5345006,6.00,7.00,4.00,7.00,9.00,9.38,1.00,4.00,5.00,340,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5345014,8.00,6.00,0.00,6.00,6.00,9.75,3.00,4.00,6.00,103,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',7180,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5345022,6.00,5.00,3.00,4.00,5.00,NULL,0.00,0.00,3.00,103,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5345081,4.00,5.00,0.00,4.00,6.00,NULL,2.00,1.00,2.00,104,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5345090,3.00,5.00,2.00,3.00,5.00,8.25,2.00,2.00,4.00,302,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5345120,9.00,8.00,6.00,6.00,9.00,8.63,4.00,7.00,8.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',1018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5345146,4.00,1.00,2.00,3.00,4.00,NULL,1.00,2.00,3.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5345154,8.00,8.00,6.00,6.00,7.00,9.75,7.00,5.00,9.00,103,NULL,NULL,'SANTA QUITÉRIA','CURITIBA','PR',1374,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5345162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'MOINHOS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5345170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA INDUSTRIAL','S MANUEL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5345189,5.00,5.00,2.00,7.00,5.00,7.13,1.00,5.00,2.00,238,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',14273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5345197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5345219,6.00,7.00,5.00,5.00,8.00,10.13,4.00,5.00,4.00,103,NULL,NULL,'MACACU','GAROPABA','SC',5712,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5345243,2.00,2.00,0.00,3.00,4.00,NULL,1.00,4.00,1.00,201,NULL,207,'BELA ALIANÇA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5345251,4.00,5.00,1.00,4.00,7.00,8.63,2.00,2.00,5.00,301,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5345286,5.00,4.00,3.00,2.00,4.00,7.13,0.00,4.00,4.00,340,NULL,NULL,'MONTE VERDE','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5345294,5.00,7.00,2.00,4.00,3.00,NULL,0.00,3.00,3.00,652,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5345308,9.00,7.00,4.00,5.00,10.00,10.13,7.00,2.00,9.00,211,NULL,207,'SARANDI','PTO ALEGRE','RS',2242,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5345332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'RIO LARANJEIRAS','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,10),(20,5345367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(20,5345375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5345391,6.00,8.00,3.00,7.00,10.00,7.88,1.00,5.00,5.00,452,NULL,NULL,'SALGADINHO','BATEIAS','PR',4437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5345413,3.00,7.00,0.00,2.00,5.00,NULL,0.00,2.00,2.00,301,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5345421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5345430,2.00,5.00,2.00,5.00,1.00,NULL,1.00,2.00,1.00,452,NULL,NULL,'BALNEARIO DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5345448,7.00,8.00,8.00,7.00,8.00,11.63,7.00,5.00,6.00,319,NULL,NULL,'ATIRADORES','JOINVILLE','SC',633,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5345456,2.00,2.00,2.00,2.00,5.00,NULL,0.00,0.00,2.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5345464,3.00,4.00,1.00,5.00,4.00,NULL,2.00,2.00,3.00,5,NULL,NULL,'BELCHIOR','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5345480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CEARÁ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5345499,8.00,8.00,6.00,3.00,5.00,9.00,3.00,5.00,7.00,103,NULL,NULL,'PORTAO','CURITIBA','PR',5101,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5345502,7.00,3.00,0.00,4.00,4.00,NULL,0.00,1.00,2.00,453,NULL,NULL,'SÃO CRISTOVÃO','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5345510,3.00,0.00,1.00,1.00,3.00,NULL,2.00,3.00,2.00,208,NULL,651,'BROOKLIN','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5345529,8.00,6.00,4.00,5.00,8.00,9.38,5.00,3.00,4.00,601,NULL,211,'GLÓRIA','JOINVILLE','SC',4927,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5345537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'TREZE DE JULHO','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5345553,3.00,6.00,2.00,6.00,6.00,NULL,0.00,1.00,1.00,308,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5345570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'TRINTA E UM DE MARÇO','CUBATÃO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5345596,9.00,8.00,4.00,7.00,8.00,6.38,2.00,5.00,7.00,103,NULL,NULL,'SANTA QUITÉRIA','CURITIBA','PR',3790,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5345600,6.00,6.00,3.00,4.00,2.00,NULL,3.00,2.00,5.00,404,NULL,NULL,'BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5345618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GARIBALDI','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5345626,1.00,2.00,0.00,1.00,2.00,NULL,1.00,0.00,2.00,651,NULL,653,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5345634,3.00,6.00,0.00,4.00,3.00,NULL,1.00,2.00,4.00,309,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5345650,4.00,5.00,3.00,7.00,7.00,8.63,2.00,2.00,6.00,223,NULL,NULL,'SÃO LEOLPOLDO','CAXIAS SUL','RS',8596,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5345677,4.00,7.00,0.00,6.00,4.00,NULL,0.00,2.00,3.00,423,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5345685,3.00,2.00,0.00,2.00,3.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5345693,7.00,4.00,4.00,0.00,3.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5345715,3.00,4.00,0.00,3.00,4.00,NULL,4.00,3.00,2.00,301,NULL,NULL,'AEROPORTO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5345723,2.00,5.00,2.00,3.00,4.00,7.50,4.00,1.00,5.00,653,NULL,651,'CENTRO','CRICIÚMA','SC',16235,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5345731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5345740,3.00,4.00,4.00,6.00,5.00,9.38,2.00,3.00,3.00,338,NULL,NULL,'SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC',13062,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5345766,2.00,4.00,1.00,6.00,5.00,NULL,0.00,4.00,0.00,302,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5345774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5345782,6.00,4.00,0.00,4.00,2.00,NULL,2.00,3.00,0.00,9,NULL,NULL,'GUARDA MARGEM ESQUER','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5345790,4.00,6.00,1.00,3.00,3.00,NULL,3.00,1.00,2.00,339,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5345804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5345847,3.00,5.00,1.00,2.00,6.00,NULL,3.00,2.00,2.00,303,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5345855,3.00,6.00,2.00,7.00,5.00,9.75,1.00,4.00,4.00,304,NULL,NULL,'CENTRO','JOAÇABA','SC',13602,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5345863,4.00,4.00,1.00,4.00,8.00,NULL,1.00,3.00,2.00,426,NULL,428,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5345871,3.00,5.00,2.00,5.00,1.00,NULL,1.00,1.00,2.00,208,NULL,220,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5345880,5.00,5.00,0.00,4.00,7.00,NULL,3.00,3.00,3.00,216,NULL,215,'CAMPO D UNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5345898,2.00,3.00,0.00,5.00,6.00,NULL,0.00,2.00,2.00,110,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5345928,2.00,5.00,1.00,2.00,0.00,NULL,1.00,1.00,2.00,208,NULL,238,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5345936,4.00,6.00,3.00,6.00,7.00,9.00,3.00,5.00,3.00,337,NULL,NULL,'CENTRO','CRICIÚMA','SC',12132,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5345944,4.00,4.00,0.00,4.00,6.00,NULL,2.00,3.00,3.00,101,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5345952,5.00,4.00,6.00,3.00,5.00,8.25,3.00,3.00,5.00,201,NULL,235,'BOA VISTA','VIDAL RAMOS','SC',11398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5345979,7.00,6.00,2.00,6.00,5.00,7.50,4.00,5.00,5.00,5,NULL,NULL,'VILA AGGEO','JACAREZINHO','PR',10618,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5345987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASTRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5345995,7.00,6.00,2.00,4.00,8.00,9.00,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8680,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5346002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'SÃO MARCOS','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5346037,2.00,5.00,1.00,5.00,5.00,6.75,2.00,1.00,6.00,652,NULL,651,'ALTO FELIZ','ARARANGUÁ','SC',16313,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5346045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5346053,4.00,8.00,4.00,4.00,6.00,9.00,2.00,6.00,4.00,211,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',10088,299,NULL,NULL,NULL,NULL,NULL,2,1),(20,5346061,0.00,4.00,2.00,2.00,2.00,NULL,3.00,0.00,4.00,102,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346070,2.00,2.00,1.00,0.00,3.00,NULL,0.00,1.00,2.00,208,NULL,238,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5346096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5346100,5.00,4.00,2.00,7.00,9.00,9.38,1.00,4.00,4.00,220,NULL,235,'DOM BOSCO','ITAJAÍ','SC',10488,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5346126,3.00,2.00,3.00,5.00,2.00,NULL,0.00,2.00,1.00,453,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346134,3.00,4.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,203,NULL,212,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5346169,5.00,6.00,4.00,2.00,6.00,6.75,2.00,3.00,7.00,238,NULL,215,'ABRAÃO','FLORIANÓPOLIS','SC',14553,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5346177,5.00,5.00,2.00,2.00,4.00,NULL,0.00,2.00,4.00,3,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346185,4.00,3.00,3.00,4.00,3.00,NULL,1.00,2.00,2.00,502,NULL,NULL,'PAULO DE FRONTIN','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5346193,7.00,6.00,1.00,7.00,5.00,8.63,3.00,4.00,3.00,318,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',13360,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5346207,7.00,4.00,1.00,5.00,5.00,7.88,2.00,3.00,3.00,207,NULL,201,'JARDIM ELIZABETH','IÇARA','SC',14758,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5346215,3.00,5.00,1.00,2.00,4.00,NULL,1.00,2.00,3.00,316,NULL,NULL,'CIPRIANO ALVES','S JOÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5346223,2.00,4.00,2.00,1.00,3.00,NULL,0.00,1.00,3.00,220,NULL,214,'JARDIM AMÁLIA','LEME','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346240,5.00,5.00,2.00,2.00,6.00,NULL,1.00,1.00,3.00,428,NULL,424,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5346258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'JD BONSUCESSO','SERTÃOZINHO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5346266,7.00,5.00,0.00,5.00,9.00,NULL,2.00,3.00,4.00,450,NULL,NULL,'JARDIM NOVA EUROPA','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346274,6.00,7.00,0.00,6.00,5.00,6.75,2.00,4.00,3.00,340,NULL,NULL,'CENTRO','CRICIÚMA','SC',15167,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5346290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA ROSA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5346304,2.00,5.00,3.00,3.00,4.00,6.00,3.00,2.00,4.00,317,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',16317,141,NULL,NULL,NULL,NULL,NULL,2,1),(20,5346320,2.00,6.00,2.00,5.00,6.00,7.88,1.00,2.00,3.00,208,NULL,238,'APARECIDA','BOA VISTA','RR',15880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346339,4.00,5.00,1.00,3.00,5.00,NULL,1.00,1.00,2.00,428,NULL,426,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5346363,4.00,6.00,2.00,1.00,4.00,NULL,0.00,3.00,1.00,332,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346371,3.00,7.00,2.00,5.00,6.00,9.75,1.00,3.00,6.00,319,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5346380,1.00,3.00,0.00,3.00,3.00,NULL,1.00,2.00,0.00,207,NULL,201,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5346398,6.00,7.00,4.00,6.00,8.00,9.00,5.00,4.00,7.00,317,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',4444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5346401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA LAPA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5346428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5346436,7.00,6.00,3.00,6.00,6.00,9.38,3.00,2.00,6.00,301,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5346444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5346452,4.00,5.00,3.00,4.00,7.00,6.38,2.00,2.00,3.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',14596,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5346460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'VILA NOVA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5346487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5346495,5.00,4.00,2.00,1.00,6.00,NULL,1.00,2.00,3.00,211,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5346509,5.00,4.00,0.00,7.00,7.00,8.25,1.00,4.00,2.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',13659,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5346517,2.00,3.00,2.00,2.00,4.00,NULL,2.00,2.00,3.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5346525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5346533,7.00,8.00,5.00,7.00,9.00,11.25,3.00,4.00,5.00,207,NULL,212,'ABRAÃO','FLORIANÓPOLIS','SC',3499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346541,3.00,4.00,2.00,5.00,6.00,9.38,3.00,3.00,1.00,208,NULL,238,'SACO GRANDE','FLORIANÓPOLIS','SC',15631,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5346550,2.00,5.00,0.00,2.00,4.00,NULL,2.00,3.00,6.00,320,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346568,4.00,6.00,1.00,6.00,6.00,NULL,0.00,2.00,2.00,404,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5346576,4.00,5.00,3.00,5.00,6.00,11.25,2.00,2.00,3.00,653,NULL,202,'UNIVERSITÁRIO','CRICIÚMA','SC',12438,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5346584,7.00,5.00,2.00,7.00,4.00,7.88,5.00,1.00,3.00,203,NULL,202,'CRISTO REI','CURITIBA','PR',9454,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5346592,3.00,6.00,2.00,6.00,3.00,NULL,1.00,3.00,3.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5346614,4.00,5.00,4.00,3.00,4.00,NULL,0.00,1.00,2.00,238,NULL,208,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5346630,3.00,2.00,2.00,3.00,5.00,NULL,1.00,3.00,3.00,201,NULL,212,'VILA NOVA','ASTORGA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5346649,2.00,3.00,3.00,5.00,5.00,8.63,1.00,2.00,4.00,340,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',16086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346673,9.00,7.00,7.00,7.00,9.00,11.25,4.00,6.00,8.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',451,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5346681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5346690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO ROQUE','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(20,5346703,6.00,8.00,3.00,7.00,7.00,8.63,4.00,5.00,7.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346711,6.00,5.00,0.00,0.00,3.00,NULL,0.00,2.00,3.00,319,NULL,NULL,'CENTRO','PALMITINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5346720,4.00,3.00,7.00,4.00,5.00,7.50,4.00,5.00,6.00,238,NULL,208,'BELA VISTA I','S JOSÉ','SC',10664,204,NULL,227,NULL,NULL,NULL,4,1),(20,5346738,2.00,5.00,4.00,3.00,5.00,NULL,1.00,1.00,2.00,208,NULL,238,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETRÓPOLIS','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5346770,4.00,6.00,1.00,3.00,6.00,7.88,2.00,4.00,3.00,203,NULL,233,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346789,4.00,5.00,0.00,1.00,3.00,NULL,2.00,1.00,2.00,203,NULL,202,'SANTA MARTA','RONDONÓPOLIS','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5346800,3.00,5.00,4.00,4.00,6.00,8.25,0.00,3.00,3.00,450,NULL,NULL,'CIDADE NOVA','S JOSÉ R PRETO','SP',14459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346819,5.00,2.00,4.00,5.00,5.00,7.50,2.00,3.00,6.00,103,NULL,NULL,'VIVENDAS DO BOSQUE','CPO GRANDE','MS',14488,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5346827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ACLIMACAO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5346835,3.00,5.00,3.00,0.00,6.00,NULL,2.00,3.00,2.00,324,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5346851,3.00,4.00,2.00,5.00,6.00,NULL,0.00,3.00,0.00,428,NULL,426,'JARDIM TUPANCI','BARUERI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346860,4.00,6.00,0.00,6.00,7.00,NULL,0.00,4.00,1.00,102,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5346878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PARQUE DOS RODEIOS','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5346886,3.00,6.00,3.00,4.00,5.00,6.00,1.00,3.00,3.00,653,NULL,652,'PARQUE DAS AVENIDAS','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5346894,2.00,4.00,1.00,6.00,5.00,NULL,0.00,4.00,2.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,425,'PONTAL DA CRUZ','S SEBASTIÃO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5346916,6.00,4.00,3.00,6.00,7.00,9.00,1.00,3.00,6.00,203,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5346932,7.00,8.00,4.00,5.00,9.00,11.63,4.00,5.00,6.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',2440,1267,NULL,NULL,NULL,NULL,NULL,2,15),(20,5346940,6.00,3.00,2.00,7.00,6.00,10.13,3.00,3.00,3.00,208,NULL,238,'AREIAS','S JOSÉ','SC',11947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346959,4.00,3.00,2.00,3.00,6.00,NULL,3.00,0.00,4.00,653,NULL,202,'UNIVERSITÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5346967,3.00,3.00,0.00,2.00,0.00,NULL,3.00,3.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5346975,6.00,7.00,1.00,6.00,3.00,NULL,1.00,2.00,1.00,233,NULL,216,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5347009,7.00,6.00,2.00,3.00,6.00,6.38,2.00,5.00,6.00,5,NULL,NULL,'COSTEIR DO PIRAJUBAÉ','FLORIANÓPOLIS','SC',12591,408,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347017,8.00,8.00,0.00,7.00,7.00,11.25,1.00,4.00,3.00,340,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5347025,5.00,4.00,0.00,2.00,4.00,8.25,0.00,4.00,6.00,301,NULL,NULL,'SANTA CRUZ','VIDAL RAMOS','SC',15325,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5347033,3.00,6.00,3.00,4.00,3.00,NULL,1.00,3.00,4.00,214,NULL,220,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347041,9.00,7.00,8.00,7.00,9.00,8.25,7.00,4.00,7.00,103,NULL,NULL,'BOQUEIRÃO','PASSO FUNDO','RS',1094,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5347050,9.00,9.00,5.00,8.00,10.00,9.38,5.00,6.00,6.00,108,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5347068,2.00,1.00,0.00,6.00,5.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5347076,5.00,6.00,4.00,4.00,5.00,6.75,2.00,2.00,4.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5347084,7.00,7.00,4.00,7.00,9.00,12.38,3.00,5.00,6.00,303,NULL,NULL,'CENTRO','STA MARIA','RS',2581,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5347106,3.00,0.00,3.00,4.00,6.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5347114,5.00,5.00,1.00,4.00,3.00,NULL,3.00,3.00,2.00,303,NULL,NULL,'SANTA TEREZINHA','S LOURENÇO','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5347122,6.00,7.00,3.00,7.00,8.00,8.25,4.00,7.00,6.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5347130,7.00,5.00,8.00,8.00,8.00,9.75,5.00,3.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1925,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5347149,5.00,7.00,3.00,3.00,6.00,6.75,3.00,3.00,3.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',13570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5347165,0.00,2.00,0.00,6.00,2.00,NULL,0.00,1.00,3.00,211,NULL,215,'LINHA BATISTA','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5347173,1.00,4.00,2.00,3.00,2.00,NULL,2.00,1.00,0.00,201,NULL,212,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347181,4.00,3.00,2.00,3.00,4.00,NULL,0.00,1.00,5.00,404,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5347190,8.00,8.00,5.00,5.00,9.00,12.00,5.00,4.00,5.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',3066,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5347211,2.00,4.00,1.00,3.00,6.00,NULL,2.00,3.00,2.00,318,NULL,NULL,'CIDADE BIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5347238,4.00,5.00,1.00,3.00,7.00,NULL,0.00,4.00,1.00,202,NULL,201,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5347246,3.00,3.00,0.00,3.00,5.00,NULL,1.00,3.00,2.00,501,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5347262,8.00,6.00,3.00,6.00,8.00,9.00,2.00,4.00,6.00,103,NULL,NULL,'PETRÓPOLIS','CAXIAS SUL','RS',6099,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5347270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JD CID DE FLORIANOPO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5347300,6.00,5.00,4.00,6.00,7.00,9.00,3.00,3.00,4.00,238,NULL,202,'CENTRO','GUAÍBA','RS',7118,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5347327,5.00,3.00,2.00,1.00,3.00,NULL,2.00,1.00,3.00,415,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5347335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'SANTA TEREZINHA','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5347343,3.00,5.00,3.00,2.00,4.00,NULL,0.00,0.00,3.00,208,NULL,238,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347351,0.00,0.00,1.00,8.00,7.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5347378,4.00,5.00,1.00,4.00,3.00,NULL,0.00,2.00,0.00,451,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347394,5.00,7.00,2.00,3.00,5.00,10.13,4.00,3.00,3.00,203,NULL,207,'TABULEIRO','CAMBORIÚ','SC',11736,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5347416,3.00,4.00,2.00,1.00,3.00,NULL,2.00,2.00,2.00,303,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,2),(20,5347424,4.00,5.00,4.00,2.00,3.00,NULL,3.00,1.00,3.00,202,NULL,235,'JARDIM ANGELICA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5347432,2.00,2.00,2.00,3.00,4.00,NULL,0.00,1.00,3.00,420,NULL,NULL,'JOAO PAULO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5347459,8.00,6.00,3.00,5.00,6.00,9.00,2.00,4.00,3.00,211,NULL,601,'TRINDADE','FLORIANÓPOLIS','SC',11068,341,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347467,5.00,3.00,0.00,4.00,5.00,NULL,2.00,2.00,3.00,303,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5347491,1.00,3.00,1.00,1.00,2.00,NULL,0.00,0.00,0.00,201,NULL,203,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5347513,4.00,6.00,2.00,7.00,6.00,9.00,2.00,3.00,5.00,444,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',12401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347521,6.00,2.00,0.00,4.00,5.00,NULL,2.00,1.00,4.00,5,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'JARDIM ARRUDA','COLOMBO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5347548,4.00,5.00,4.00,5.00,3.00,NULL,3.00,3.00,3.00,208,NULL,238,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5347564,8.00,6.00,0.00,6.00,7.00,9.00,3.00,3.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5347580,2.00,3.00,1.00,4.00,3.00,NULL,4.00,1.00,1.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347602,3.00,5.00,3.00,4.00,4.00,7.50,0.00,2.00,3.00,653,NULL,652,'ALTO FELIZ','ARARANGUÁ','SC',16315,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5347610,2.00,5.00,1.00,5.00,5.00,9.38,1.00,3.00,4.00,501,NULL,NULL,'VILA NOVA','IMBITUBA','SC',14165,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5347629,5.00,8.00,4.00,5.00,7.00,9.38,6.00,6.00,5.00,318,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',5401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347637,8.00,5.00,2.00,7.00,10.00,6.75,3.00,4.00,7.00,103,NULL,NULL,'VILA DA RIOCELL','GUAÍBA','RS',5267,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5347645,7.00,4.00,4.00,6.00,8.00,6.38,3.00,5.00,7.00,5,NULL,NULL,'CECAP','PIEDADE','SP',5963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5347653,2.00,1.00,0.00,1.00,3.00,NULL,1.00,1.00,2.00,653,NULL,652,'JARDIN CIBELE VISTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5347661,1.00,2.00,2.00,3.00,2.00,NULL,3.00,1.00,4.00,339,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347670,4.00,4.00,2.00,1.00,4.00,5.25,2.00,3.00,5.00,103,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5347696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,423,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5347700,6.00,6.00,4.00,4.00,6.00,6.38,4.00,4.00,3.00,201,NULL,207,'PONTE DO IMARUIM','PALHOÇA','SC',9312,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5347734,3.00,1.00,0.00,4.00,4.00,NULL,0.00,3.00,3.00,5,NULL,NULL,'ENSEDA DO BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347742,3.00,4.00,3.00,2.00,3.00,NULL,1.00,3.00,1.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347750,1.00,4.00,0.00,3.00,7.00,NULL,0.00,3.00,2.00,336,NULL,NULL,'CRISTO REDENTOR','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5347769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','S JOÃO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5347785,2.00,5.00,2.00,7.00,5.00,6.75,2.00,3.00,5.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5347793,2.00,5.00,3.00,2.00,5.00,7.13,4.00,4.00,4.00,238,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',15754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5347807,5.00,7.00,1.00,4.00,4.00,8.25,2.00,6.00,5.00,337,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',14229,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347815,5.00,4.00,4.00,4.00,7.00,10.50,5.00,1.00,5.00,3,NULL,NULL,'SEMINARIO','TAIÓ','SC',9823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347823,6.00,6.00,0.00,4.00,6.00,7.50,0.00,2.00,4.00,316,NULL,NULL,'RIO PEQUENO','RANCHO QUEIMADO','SC',14192,213,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SEMINÁRIO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5347840,5.00,7.00,1.00,5.00,5.00,7.13,1.00,2.00,4.00,102,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5347874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'NSA SRA DE LOURDES','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5347890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5347920,3.00,4.00,1.00,3.00,7.00,NULL,1.00,5.00,3.00,425,NULL,429,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5347939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5347947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'BAETA NEVES','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5347963,6.00,4.00,1.00,7.00,9.00,9.00,1.00,4.00,5.00,103,NULL,NULL,'INTERCAP','PTO ALEGRE','RS',9035,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5347971,4.00,5.00,0.00,5.00,3.00,NULL,1.00,2.00,4.00,404,NULL,NULL,'SANTA FÉ','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5347980,4.00,4.00,1.00,4.00,9.00,NULL,3.00,2.00,3.00,308,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5348021,3.00,4.00,0.00,2.00,4.00,NULL,1.00,0.00,1.00,201,NULL,653,'N SENHORA DA SALETE','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5348030,6.00,7.00,2.00,7.00,5.00,6.75,3.00,6.00,5.00,233,NULL,202,'CENTRO','ITAJUBÁ','MG',7514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5348048,3.00,4.00,4.00,4.00,5.00,NULL,0.00,1.00,3.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5348056,6.00,3.00,2.00,5.00,7.00,7.50,3.00,3.00,5.00,103,NULL,NULL,'JD ESPLANADA II','S JOSÉ CAMPOS','SP',11647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5348072,8.00,3.00,5.00,7.00,9.00,8.63,4.00,1.00,5.00,203,NULL,NULL,'SANTA CATARINA','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5348080,7.00,7.00,3.00,7.00,7.00,7.50,1.00,4.00,3.00,202,NULL,233,'AGRÔNOMICA','FLORIANÓPOLIS','SC',8964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5348099,7.00,7.00,3.00,7.00,4.00,6.38,2.00,4.00,6.00,110,NULL,NULL,'CENTRO','PALMAS','PR',9562,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5348102,9.00,9.00,3.00,7.00,9.00,9.38,6.00,5.00,7.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',1337,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5348110,8.00,8.00,2.00,5.00,6.00,9.00,3.00,6.00,6.00,104,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',3993,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5348129,3.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DAS NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(20,5348137,4.00,6.00,0.00,6.00,6.00,8.63,2.00,2.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5348161,3.00,4.00,0.00,2.00,3.00,NULL,4.00,1.00,2.00,501,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5348196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5348200,5.00,7.00,1.00,7.00,8.00,8.25,2.00,5.00,5.00,5,NULL,NULL,'FAZENDA','ITAJAÍ','SC',8796,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5348218,8.00,9.00,4.00,7.00,6.00,8.25,4.00,6.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5348226,6.00,5.00,3.00,1.00,5.00,6.75,2.00,2.00,4.00,601,NULL,207,'JARIVATUBA','JOINVILLE','SC',15240,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5348234,0.00,4.00,0.00,3.00,6.00,NULL,2.00,1.00,3.00,340,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5348242,2.00,5.00,0.00,2.00,2.00,NULL,3.00,2.00,4.00,404,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5348269,3.00,1.00,0.00,3.00,2.00,NULL,2.00,1.00,3.00,653,NULL,NULL,'LAGOAO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5348285,2.00,4.00,2.00,2.00,3.00,NULL,0.00,1.00,2.00,203,NULL,208,'JARDIM DOS PLATANOS','S MARCOS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5348293,7.00,7.00,1.00,5.00,8.00,9.75,1.00,3.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9391,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5348307,6.00,6.00,2.00,7.00,7.00,8.63,3.00,3.00,5.00,212,NULL,213,'MOCOQUINHA','S SEBASTIÃO PARAÍSO','MG',7425,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5348315,5.00,5.00,3.00,1.00,4.00,8.25,2.00,2.00,5.00,208,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',15489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5348323,4.00,4.00,2.00,3.00,4.00,8.25,1.00,3.00,3.00,320,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',16133,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5348331,9.00,8.00,4.00,7.00,10.00,10.13,5.00,5.00,7.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',1253,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5348358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'NOVA BRASÍLIA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5348366,7.00,7.00,1.00,3.00,8.00,8.25,1.00,6.00,3.00,103,NULL,NULL,'CENTRO','SOLEDADE','RS',11105,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5348374,6.00,2.00,2.00,4.00,3.00,NULL,1.00,0.00,3.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5348382,5.00,7.00,4.00,3.00,2.00,NULL,1.00,2.00,3.00,453,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5348390,7.00,8.00,8.00,7.00,9.00,8.63,8.00,7.00,8.00,203,NULL,202,'CENTRO','ARARANGUÁ','SC',478,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5348412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5348439,7.00,7.00,1.00,6.00,6.00,6.75,3.00,3.00,3.00,233,NULL,211,'JARDIM CAVALIERI','MARÍLIA','SP',9576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5348447,7.00,4.00,2.00,7.00,8.00,8.25,2.00,4.00,4.00,201,NULL,207,'CENTRO','FLORES CUNHA','RS',7804,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5348463,2.00,6.00,1.00,4.00,4.00,NULL,2.00,0.00,2.00,104,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5348471,4.00,4.00,2.00,5.00,1.00,NULL,3.00,2.00,5.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5348480,5.00,7.00,0.00,5.00,7.00,9.38,2.00,4.00,4.00,317,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',12561,58,NULL,NULL,NULL,NULL,NULL,2,1),(20,5348498,3.00,5.00,2.00,5.00,4.00,0.00,0.00,2.00,4.00,502,NULL,NULL,'SÃO LUIZ','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5348501,5.00,3.00,4.00,3.00,4.00,NULL,1.00,0.00,3.00,104,NULL,NULL,'PRAIA DO FORTE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5348510,8.00,4.00,4.00,7.00,6.00,7.50,2.00,5.00,4.00,207,NULL,201,'JARDIM DAS AMÉRICAS','CURITIBA','PR',8916,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5348528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'AIRES RODRIGUES','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,5),(20,5348536,5.00,6.00,0.00,6.00,5.00,7.13,2.00,2.00,5.00,201,NULL,216,'JARDIM PLANLTO','NOVO PROGRESSO','PA',14458,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5348544,3.00,5.00,0.00,4.00,2.00,NULL,3.00,3.00,2.00,316,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5348560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,651,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5348579,3.00,3.00,3.00,2.00,4.00,NULL,2.00,2.00,5.00,238,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5348609,3.00,5.00,1.00,3.00,5.00,NULL,1.00,3.00,2.00,309,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5348617,3.00,4.00,0.00,6.00,5.00,8.63,2.00,4.00,3.00,104,NULL,NULL,'PETRÓPOLIS','CONCÓRDIA','SC',13777,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5348633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'AUXILIADORA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5348641,4.00,3.00,0.00,4.00,8.00,6.00,3.00,2.00,5.00,404,NULL,NULL,'CENTRO','PALHOÇA','SC',16159,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5348650,7.00,5.00,8.00,7.00,4.00,10.13,2.00,4.00,8.00,203,NULL,202,'VILA IRACEMA','S JOSÉ CAMPOS','SP',4043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5348684,1.00,6.00,2.00,3.00,3.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','AT BELA VISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5348692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5348722,9.00,8.00,4.00,6.00,9.00,10.88,6.00,5.00,9.00,103,NULL,NULL,'JD VILA GALVÃO','GUARULHOS','SP',796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5348730,7.00,5.00,3.00,7.00,5.00,9.00,0.00,2.00,2.00,103,NULL,NULL,'CIDADE NOVA','RIO GRANDE','RS',14310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5348757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5348765,7.00,5.00,2.00,6.00,9.00,10.50,2.00,4.00,6.00,103,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',5562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5348803,6.00,5.00,1.00,7.00,7.00,12.00,1.00,4.00,5.00,337,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5348811,3.00,7.00,1.00,6.00,7.00,9.00,3.00,2.00,6.00,102,NULL,NULL,'BOA VISTA','CURITIBA','PR',12002,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5348820,8.00,6.00,3.00,7.00,9.00,6.38,2.00,3.00,4.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5348838,3.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,4.00,207,NULL,211,'PRAIA DO SONHO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5348846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TAPEJARA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5348854,6.00,4.00,2.00,2.00,5.00,8.63,5.00,1.00,3.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5348862,6.00,4.00,1.00,4.00,3.00,NULL,1.00,1.00,2.00,452,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5348870,6.00,3.00,5.00,5.00,6.00,7.88,2.00,2.00,7.00,216,NULL,202,'BOA VISTA','CURITIBA','PR',7413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5348889,2.00,4.00,1.00,1.00,3.00,NULL,2.00,0.00,2.00,103,NULL,NULL,'SALINAS','BAL BARRA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5348900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5348927,5.00,3.00,0.00,3.00,4.00,NULL,0.00,0.00,1.00,207,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5348960,3.00,2.00,0.00,1.00,2.00,NULL,1.00,2.00,2.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5348978,5.00,7.00,3.00,5.00,4.00,10.50,3.00,4.00,5.00,338,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10480,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5348986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA RURAL','MANFRINÓPOLIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5348994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5349001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5349010,4.00,6.00,2.00,7.00,4.00,9.00,1.00,3.00,4.00,317,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',15033,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5349044,3.00,3.00,2.00,2.00,4.00,NULL,1.00,0.00,3.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5349060,2.00,6.00,4.00,4.00,5.00,6.38,1.00,2.00,3.00,339,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5349079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TOBIAS','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5349087,5.00,5.00,1.00,6.00,6.00,8.25,2.00,5.00,4.00,339,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5349109,4.00,5.00,1.00,4.00,5.00,NULL,0.00,3.00,3.00,423,NULL,426,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5349117,8.00,6.00,3.00,7.00,8.00,9.00,5.00,4.00,6.00,103,NULL,NULL,'VILA ROSÁLIA','GUARULHOS','SP',2803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5349125,6.00,8.00,1.00,7.00,9.00,7.88,4.00,6.00,4.00,303,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',6038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5349141,5.00,7.00,6.00,5.00,5.00,6.75,2.00,2.00,6.00,103,NULL,NULL,'CENTRO','S MIGUEL IGUAÇU','PR',9118,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5349176,2.00,5.00,1.00,3.00,4.00,NULL,1.00,0.00,2.00,303,NULL,NULL,'KM CENTO E SETE','LAURO MÜLLER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5349184,3.00,4.00,3.00,6.00,6.00,9.38,5.00,5.00,6.00,212,NULL,214,'SANTANA','S PAULO','SP',6846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5349192,3.00,4.00,0.00,3.00,4.00,NULL,0.00,2.00,2.00,104,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5349214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5349230,2.00,5.00,3.00,3.00,4.00,NULL,4.00,1.00,2.00,233,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5349249,3.00,4.00,4.00,2.00,6.00,NULL,1.00,2.00,2.00,201,NULL,203,'NAO TEM BAIRRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5349257,3.00,4.00,1.00,3.00,4.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'RONDINHA','PTE ALTA NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5349273,3.00,3.00,3.00,2.00,4.00,NULL,1.00,2.00,2.00,335,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5349281,5.00,6.00,3.00,4.00,4.00,7.13,1.00,3.00,4.00,207,NULL,208,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5349290,8.00,6.00,6.00,6.00,8.00,10.50,5.00,6.00,9.00,103,NULL,NULL,'MONTE CASTELO','TUBARÃO','SC',1619,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5349303,0.00,5.00,2.00,3.00,2.00,NULL,2.00,1.00,2.00,332,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5349338,7.00,5.00,3.00,6.00,5.00,11.25,4.00,3.00,4.00,501,NULL,NULL,'BARREIROS','S JOSÉ','SC',9460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5349346,5.00,7.00,2.00,6.00,8.00,6.75,2.00,2.00,2.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',14006,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5349354,3.00,4.00,3.00,0.00,6.00,NULL,4.00,1.00,3.00,201,NULL,207,'CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5349370,2.00,3.00,0.00,2.00,3.00,NULL,1.00,1.00,1.00,316,NULL,NULL,'SANTA ISABEL','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5349400,6.00,6.00,3.00,6.00,7.00,8.25,4.00,4.00,6.00,233,NULL,202,'BOM JESUS','CAÇADOR','SC',7112,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5349435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'REPÚBLICA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5349443,2.00,3.00,0.00,3.00,2.00,NULL,1.00,2.00,4.00,211,NULL,NULL,'CENTRO','MTE CARLO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5349478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTENÁRIO','LAJEADO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5349524,6.00,9.00,1.00,7.00,9.00,11.63,3.00,7.00,6.00,215,NULL,216,'NAÇÕES','BAL CAMBORIÚ','SC',3776,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5349559,7.00,6.00,3.00,4.00,6.00,8.63,3.00,2.00,9.00,103,NULL,NULL,'JARDIM GRAMADO','CASCAVEL','PR',7261,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5349567,8.00,6.00,4.00,6.00,10.00,6.00,2.00,5.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',4916,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5349583,7.00,7.00,4.00,5.00,7.00,11.25,4.00,2.00,4.00,211,NULL,233,'BOM RETIRO','JOINVILLE','SC',5964,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5349591,7.00,7.00,4.00,6.00,9.00,9.00,3.00,5.00,4.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',5703,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5349621,6.00,5.00,1.00,3.00,5.00,6.00,2.00,2.00,3.00,337,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5349630,4.00,5.00,2.00,2.00,3.00,NULL,0.00,4.00,5.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5349656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VISTA ALEGRE','BIRIGÜI','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5349664,5.00,3.00,3.00,7.00,5.00,10.13,3.00,3.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5349672,4.00,4.00,1.00,4.00,5.00,NULL,3.00,3.00,2.00,309,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5349680,3.00,5.00,1.00,2.00,5.00,NULL,1.00,1.00,2.00,651,NULL,652,'VILA BEATRIZ','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5349699,8.00,8.00,3.00,7.00,7.00,9.75,3.00,4.00,7.00,316,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',4113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5349702,9.00,7.00,6.00,6.00,9.00,10.50,8.00,7.00,8.00,103,NULL,NULL,'JARDIM EUROPA','ASSIS','SP',335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5349729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'ITAGUACU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5349737,4.00,6.00,0.00,6.00,5.00,7.13,1.00,3.00,2.00,551,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',15741,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5349753,2.00,0.00,1.00,6.00,2.00,NULL,0.00,0.00,0.00,214,NULL,203,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5349770,0.00,1.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5349800,9.00,8.00,6.00,7.00,7.00,8.63,5.00,4.00,8.00,103,NULL,NULL,'JOQUEI CLUBE','CPO GRANDE','MS',1225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5349818,7.00,8.00,4.00,4.00,7.00,8.25,6.00,5.00,8.00,103,NULL,NULL,'FIGUEIRA','URUSSANGA','SC',3213,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5349826,4.00,5.00,2.00,3.00,5.00,6.00,3.00,1.00,4.00,502,NULL,NULL,'SÃO JOSÉ','SOMBRIO','SC',15769,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5349834,4.00,8.00,2.00,5.00,2.00,NULL,1.00,2.00,3.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5349869,1.00,4.00,0.00,3.00,5.00,NULL,0.00,2.00,3.00,551,NULL,NULL,'CENTRO','ABDON BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5349877,3.00,0.00,3.00,4.00,3.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5349893,8.00,6.00,4.00,7.00,8.00,9.38,5.00,4.00,7.00,220,NULL,NULL,'PARAÍSO','SAPUCAIA SUL','RS',2329,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5349907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5349915,9.00,6.00,4.00,7.00,8.00,12.00,6.00,5.00,9.00,103,NULL,NULL,'VILA SANTA TEREZA','BAURU','SP',637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5349931,4.00,6.00,0.00,4.00,3.00,NULL,1.00,4.00,1.00,450,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5349940,3.00,2.00,1.00,1.00,2.00,NULL,1.00,0.00,3.00,340,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5349966,9.00,5.00,7.00,5.00,7.00,9.00,6.00,5.00,8.00,201,NULL,202,'JARDIM ELDORADO','CAMBÉ','PR',2221,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5349982,3.00,5.00,2.00,2.00,2.00,NULL,0.00,2.00,3.00,651,NULL,652,'MANOEL ALVES','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5349990,5.00,5.00,5.00,6.00,7.00,7.50,3.00,4.00,6.00,220,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',8681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5350000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'VILA ANDRADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5350026,3.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5350042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5350069,3.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,1.00,653,NULL,NULL,'OPERARIA NOVA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5350093,5.00,5.00,2.00,5.00,5.00,6.00,1.00,2.00,5.00,327,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5350107,2.00,4.00,2.00,4.00,4.00,NULL,1.00,2.00,3.00,201,NULL,233,'STO ANTONIO DE PADUA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5350123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SATELITE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5350131,9.00,8.00,3.00,7.00,10.00,10.13,4.00,4.00,9.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',914,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5350140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA BOLIS','PALMEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5350158,7.00,7.00,5.00,6.00,8.00,8.25,2.00,4.00,7.00,103,NULL,NULL,'CENTRO','IBIPORÃ','PR',5019,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5350166,3.00,2.00,2.00,4.00,6.00,NULL,1.00,1.00,1.00,319,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5350174,2.00,5.00,1.00,6.00,6.00,9.38,1.00,3.00,4.00,426,NULL,428,'CENTRO','FLORIANÓPOLIS','SC',15224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5350212,4.00,6.00,1.00,4.00,5.00,9.00,3.00,3.00,3.00,328,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5350220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'CENTRO','DESCANSO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5350239,4.00,4.00,1.00,5.00,5.00,NULL,1.00,2.00,1.00,308,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5350271,4.00,5.00,1.00,4.00,0.00,NULL,1.00,1.00,1.00,223,NULL,NULL,'JD CID FLORIANOPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5350310,6.00,9.00,1.00,3.00,8.00,9.00,1.00,4.00,4.00,331,NULL,NULL,'SANTA CATARINA','CAXIAS SUL','RS',9743,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5350328,5.00,6.00,3.00,6.00,6.00,6.00,1.00,5.00,4.00,208,NULL,NULL,'VILA DO RCG','BRASÍLIA','DF',13518,350,NULL,NULL,NULL,NULL,NULL,5,1),(20,5350336,2.00,6.00,0.00,6.00,6.00,7.88,4.00,0.00,2.00,201,NULL,212,'BARREIRINHO','SARANDI','RS',15578,1100,NULL,380,NULL,NULL,NULL,4,4),(20,5350344,7.00,5.00,1.00,6.00,7.00,7.50,3.00,6.00,5.00,316,NULL,NULL,'TARUMÃ','CURITIBA','PR',7783,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5350352,4.00,6.00,0.00,5.00,8.00,9.00,1.00,1.00,4.00,415,NULL,NULL,'SESI','VIDEIRA','SC',12116,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5350360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'LIMOEIRO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5350387,4.00,6.00,3.00,3.00,8.00,NULL,0.00,3.00,6.00,339,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5350409,3.00,4.00,1.00,3.00,1.00,NULL,1.00,0.00,4.00,331,NULL,NULL,'CENTRO','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5350417,7.00,6.00,3.00,7.00,8.00,9.00,4.00,4.00,4.00,216,NULL,NULL,'CENTRO','PANAMBI','RS',6424,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5350425,3.00,4.00,3.00,2.00,2.00,NULL,4.00,2.00,3.00,110,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5350441,5.00,4.00,3.00,2.00,6.00,NULL,3.00,0.00,2.00,207,NULL,201,'ESPINHEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,6),(20,5350450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTAÇÃO PORTÃO','PORTÃO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5350468,3.00,4.00,1.00,2.00,5.00,NULL,0.00,2.00,1.00,404,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5350492,3.00,7.00,2.00,2.00,5.00,9.75,1.00,4.00,4.00,101,NULL,NULL,'COMASA','JOINVILLE','SC',15983,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5350506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'SÃO CRISTOVÃO','NOVA PRATA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5350514,3.00,4.00,0.00,0.00,3.00,NULL,0.00,2.00,3.00,208,NULL,652,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5350549,6.00,8.00,3.00,7.00,8.00,9.38,3.00,2.00,6.00,211,NULL,201,'PIO X','CAXIAS SUL','RS',6433,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5350557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5350573,5.00,4.00,3.00,8.00,9.00,10.13,3.00,3.00,3.00,415,NULL,NULL,'CENTRO','SARANDI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5350581,5.00,6.00,2.00,6.00,8.00,NULL,0.00,3.00,4.00,5,NULL,NULL,'JD CIDADE DE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5350590,7.00,5.00,0.00,7.00,9.00,8.63,1.00,4.00,2.00,213,NULL,214,'CENTRO','CHAPECÓ','SC',12577,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5350603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5350611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5350620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ERECHIM','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5350638,3.00,5.00,2.00,5.00,2.00,NULL,0.00,3.00,3.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5350646,2.00,1.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5350654,4.00,4.00,4.00,4.00,4.00,8.63,3.00,3.00,3.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',13346,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5350662,5.00,2.00,1.00,2.00,3.00,NULL,1.00,1.00,3.00,109,NULL,NULL,'TAQUARA JACAREPAGUÁ','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5350670,5.00,4.00,1.00,4.00,4.00,NULL,1.00,2.00,1.00,208,NULL,235,'RIO MIGUEL','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5350689,4.00,0.00,4.00,6.00,7.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5350697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5350700,6.00,8.00,5.00,7.00,8.00,9.38,3.00,4.00,6.00,215,NULL,216,'PLANALTO','VACARIA','RS',3418,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5350719,3.00,3.00,1.00,5.00,6.00,NULL,1.00,1.00,3.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5350727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5350735,5.00,2.00,3.00,5.00,3.00,NULL,0.00,2.00,2.00,428,NULL,423,'SCHRAMM','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5350743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUANABARÁ','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5350760,7.00,8.00,7.00,7.00,9.00,12.75,6.00,5.00,7.00,238,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',663,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5350778,3.00,5.00,1.00,4.00,2.00,NULL,0.00,0.00,2.00,652,NULL,NULL,'LAGOA DA SERRA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5350786,0.00,2.00,1.00,0.00,4.00,NULL,0.00,1.00,3.00,201,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5350794,4.00,4.00,0.00,3.00,7.00,NULL,0.00,1.00,1.00,207,NULL,201,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5350808,4.00,4.00,4.00,4.00,6.00,6.75,4.00,3.00,5.00,215,NULL,233,'CIDADE JARDIM','CATANDUVAS','SC',11529,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5350816,4.00,3.00,1.00,4.00,4.00,NULL,1.00,0.00,1.00,207,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5350824,3.00,3.00,1.00,3.00,5.00,NULL,1.00,2.00,4.00,301,NULL,NULL,'RIO PEQUENO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5350832,3.00,5.00,2.00,3.00,6.00,7.88,2.00,4.00,3.00,652,NULL,601,'CENTRO','ARARANGUÁ','SC',15336,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5350840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,652,'FORQUILINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5350859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM NOVA EUROPA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5350883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'PINHEIRINHO DO MEIO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5350905,8.00,5.00,1.00,6.00,8.00,10.50,2.00,2.00,6.00,207,NULL,201,'N SENHORA DO ROSARIO','STA MARIA','RS',9848,459,NULL,719,NULL,NULL,NULL,2,4),(20,5350921,6.00,8.00,3.00,5.00,9.00,12.75,4.00,6.00,6.00,503,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5463,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5350930,3.00,3.00,1.00,0.00,6.00,NULL,2.00,2.00,3.00,3,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5350948,5.00,6.00,4.00,2.00,8.00,6.75,2.00,3.00,4.00,301,NULL,NULL,'PORTÃO','CURITIBA','PR',13558,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5350956,2.00,4.00,1.00,4.00,2.00,NULL,1.00,2.00,2.00,102,NULL,NULL,'GUAMIRANGA','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5350964,3.00,6.00,1.00,5.00,3.00,NULL,2.00,4.00,3.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5350972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,220,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5350980,2.00,4.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,101,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5351022,2.00,3.00,1.00,4.00,3.00,NULL,0.00,0.00,3.00,423,NULL,427,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5351030,6.00,4.00,2.00,6.00,4.00,6.38,2.00,1.00,4.00,201,NULL,203,'JARDIM SANTA CLARA','LONDRINA','PR',12651,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5351049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5351057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5351073,7.00,7.00,6.00,4.00,8.00,9.00,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',5875,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5351090,3.00,6.00,0.00,7.00,5.00,NULL,2.00,2.00,2.00,104,NULL,NULL,'CENTRO','CAMPINAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5351103,2.00,4.00,1.00,3.00,3.00,NULL,2.00,1.00,3.00,319,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5351111,3.00,5.00,3.00,3.00,6.00,7.88,3.00,2.00,3.00,208,NULL,202,'SANTO MARCOM','IRANI','SC',13459,348,NULL,453,NULL,NULL,NULL,4,7),(20,5351120,5.00,5.00,1.00,4.00,4.00,6.75,1.00,3.00,3.00,238,NULL,235,'ITACORUBI','FLORIANÓPOLIS','SC',15978,425,NULL,206,NULL,NULL,NULL,2,1),(20,5351138,5.00,0.00,1.00,6.00,6.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5351146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5351154,2.00,4.00,0.00,5.00,6.00,NULL,2.00,1.00,3.00,501,NULL,NULL,'S C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5351162,5.00,6.00,5.00,1.00,5.00,7.88,3.00,2.00,4.00,653,NULL,202,'BOM JESUS','STA CRUZ SUL','RS',12566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5351170,3.00,3.00,0.00,3.00,5.00,NULL,3.00,2.00,1.00,309,NULL,NULL,'CENTRO','CRISSIUMAL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5351189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'DAMHA I','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5351200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5351227,5.00,5.00,2.00,6.00,6.00,8.63,4.00,3.00,4.00,235,NULL,202,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5351235,1.00,4.00,1.00,4.00,6.00,NULL,1.00,1.00,3.00,208,NULL,NULL,'PALHOÇA CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5351243,3.00,3.00,1.00,4.00,4.00,NULL,2.00,1.00,3.00,208,NULL,235,'FAZ SANTO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5351260,2.00,4.00,3.00,4.00,6.00,NULL,1.00,2.00,4.00,501,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5351278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5351286,3.00,7.00,0.00,3.00,3.00,NULL,0.00,3.00,2.00,301,NULL,NULL,'INTERIOR','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5351316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5351324,4.00,0.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,653,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(20,5351332,6.00,4.00,2.00,4.00,7.00,6.75,2.00,3.00,6.00,103,NULL,NULL,'UMBARÁ','CURITIBA','PR',9934,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5351340,1.00,6.00,0.00,5.00,6.00,NULL,1.00,1.00,2.00,319,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5351359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','COTIPORÃ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5351367,3.00,4.00,1.00,3.00,3.00,NULL,0.00,4.00,3.00,102,NULL,NULL,'TRÊS RIACHOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5351383,1.00,3.00,0.00,3.00,5.00,NULL,2.00,2.00,3.00,207,NULL,201,'CENTRO','CAIÇARA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5351391,6.00,7.00,3.00,5.00,6.00,9.38,3.00,1.00,7.00,303,NULL,NULL,'CENTRO','PTO UNIÃO','SC',9533,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5351413,4.00,7.00,1.00,3.00,1.00,NULL,1.00,1.00,4.00,5,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5351421,9.00,6.00,3.00,6.00,7.00,7.50,3.00,3.00,5.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',8097,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5351430,3.00,5.00,1.00,4.00,5.00,7.88,2.00,5.00,1.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15757,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5351472,8.00,9.00,4.00,5.00,9.00,9.38,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','STA ROSA','RS',3237,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5351480,6.00,5.00,6.00,6.00,7.00,9.75,7.00,5.00,9.00,216,NULL,211,'BARRA FUNDA','GUARUJÁ','SP',1992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5351499,9.00,8.00,6.00,4.00,8.00,10.50,7.00,5.00,8.00,103,NULL,NULL,'CENTRO','PARANACITY','PR',1056,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5351502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5351529,7.00,6.00,4.00,5.00,8.00,10.50,2.00,5.00,5.00,337,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',7682,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5351537,4.00,5.00,3.00,4.00,6.00,6.38,0.00,2.00,3.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15989,309,NULL,NULL,NULL,NULL,NULL,2,1),(20,5351561,0.00,6.00,0.00,0.00,2.00,NULL,1.00,2.00,2.00,223,NULL,NULL,'LARANJEIRAS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5351570,4.00,5.00,2.00,7.00,6.00,8.25,2.00,2.00,2.00,337,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5351588,7.00,4.00,3.00,6.00,9.00,10.13,3.00,3.00,6.00,104,NULL,NULL,'MONT SERRAT','PTO ALEGRE','RS',6371,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5351600,7.00,8.00,4.00,6.00,8.00,9.75,3.00,5.00,7.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',4053,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5351618,9.00,6.00,5.00,6.00,6.00,10.88,5.00,3.00,7.00,103,NULL,NULL,'ALPHAVILE FLAMBOYANT','GOIÂNIA','GO',3113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5351634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,207,'SUMARÉ','LAURO MÜLLER','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5351685,4.00,0.00,1.00,1.00,2.00,NULL,1.00,1.00,3.00,319,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5351693,6.00,5.00,2.00,7.00,9.00,8.63,1.00,4.00,4.00,303,NULL,NULL,'STO ANDRÉ DOIS','SOROCABA','SP',8042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5351707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','BOTUVERÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5351715,4.00,3.00,0.00,1.00,3.00,NULL,1.00,1.00,3.00,201,NULL,211,'CENTRO','BOTUVERÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,6),(20,5351740,7.00,6.00,3.00,4.00,5.00,7.50,4.00,3.00,6.00,103,NULL,NULL,'CENTRO','GIRUÁ','RS',10512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5351766,6.00,5.00,2.00,5.00,8.00,8.63,2.00,5.00,3.00,451,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5351774,6.00,3.00,0.00,4.00,7.00,10.13,0.00,2.00,4.00,103,NULL,NULL,'PRAIA','ITABIRA','MG',15500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5351782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5351790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM JESUS','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5351812,2.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5351820,3.00,5.00,0.00,2.00,5.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,6),(20,5351839,4.00,4.00,0.00,2.00,5.00,NULL,2.00,3.00,4.00,423,NULL,427,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5351847,5.00,6.00,4.00,5.00,7.00,8.63,2.00,4.00,4.00,104,NULL,NULL,'CENTRO','MAXIMILIANO ALMEIDA','RS',8722,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5351855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO BENTO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5351863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5351898,6.00,6.00,1.00,5.00,6.00,8.25,2.00,3.00,2.00,207,NULL,651,'AGOSTINI','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5351901,6.00,8.00,2.00,6.00,4.00,7.88,3.00,5.00,7.00,216,NULL,215,'CENTRO','QUERÊNCIA NORTE','PR',8506,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5351928,3.00,4.00,1.00,2.00,5.00,NULL,1.00,3.00,3.00,340,NULL,NULL,'JARDIM RENOVAÇÃO','GUARANÉSIA','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5351936,1.00,5.00,0.00,0.00,1.00,NULL,0.00,1.00,3.00,425,NULL,429,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5351944,7.00,7.00,5.00,7.00,8.00,10.50,4.00,5.00,7.00,451,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5351952,2.00,4.00,1.00,5.00,4.00,NULL,1.00,1.00,4.00,202,NULL,203,'CENTRO','IJUÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5351987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'IPE AMARELO','FRUTAL','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5351995,7.00,7.00,4.00,7.00,8.00,9.75,5.00,5.00,5.00,318,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',3583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5352002,5.00,7.00,4.00,4.00,4.00,9.38,2.00,2.00,3.00,653,NULL,208,'CENTRO','ARARANGUÁ','SC',14632,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5352010,5.00,7.00,1.00,7.00,6.00,10.50,3.00,2.00,1.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5352029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5352037,8.00,6.00,2.00,7.00,8.00,9.38,2.00,2.00,5.00,212,NULL,220,'PONTA DE BAIXO','S JOSÉ','SC',10087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5352053,6.00,7.00,4.00,5.00,6.00,6.38,3.00,2.00,3.00,651,NULL,NULL,'CENTRO','ARARANGUÁ','SC',12903,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5352061,8.00,6.00,2.00,6.00,6.00,9.00,4.00,5.00,5.00,104,NULL,NULL,'CENTRO','MAXIMILIANO ALMEIDA','RS',7160,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5352070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5352088,5.00,6.00,1.00,4.00,6.00,8.63,1.00,3.00,3.00,326,NULL,NULL,'FAZ SANTO ANTONIO','S JOSÉ','SC',14945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5352096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5352100,6.00,7.00,2.00,6.00,7.00,11.25,2.00,5.00,3.00,501,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5352118,6.00,4.00,0.00,4.00,8.00,NULL,0.00,1.00,2.00,220,NULL,203,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5352126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'JD PACAEMBU','ATIBAIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5352134,3.00,5.00,0.00,2.00,3.00,NULL,3.00,1.00,1.00,601,NULL,211,'CENTRO','ITAPOÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5352142,3.00,3.00,2.00,3.00,4.00,NULL,2.00,2.00,2.00,452,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,6),(20,5352150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5352169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5352177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5352185,7.00,5.00,1.00,4.00,7.00,10.50,1.00,3.00,7.00,103,NULL,NULL,'JARDIM BELOHORIZONTE','APARECIDA GOIÂNIA','GO',7543,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5352193,5.00,7.00,2.00,7.00,5.00,9.38,3.00,2.00,2.00,404,NULL,NULL,'BOSQUE','CURITIBANOS','SC',12922,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5352207,2.00,6.00,0.00,5.00,2.00,NULL,2.00,1.00,3.00,9,NULL,NULL,'PRAIA DO PINHO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5352223,6.00,8.00,4.00,7.00,9.00,8.63,5.00,6.00,7.00,318,NULL,NULL,'JARDIM DA GLÓRIA','S PAULO','SP',3248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5352231,3.00,4.00,0.00,6.00,3.00,NULL,1.00,1.00,3.00,316,NULL,NULL,'CENTRO','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5352240,1.00,5.00,0.00,3.00,4.00,NULL,2.00,3.00,6.00,215,NULL,208,'ESTREITO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5352258,4.00,4.00,2.00,3.00,6.00,7.88,2.00,3.00,4.00,601,NULL,211,'GLORIA','JOINVILLE','SC',15937,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5352274,3.00,6.00,2.00,3.00,6.00,NULL,0.00,1.00,3.00,501,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5352304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5352347,2.00,6.00,2.00,4.00,2.00,NULL,1.00,1.00,3.00,318,NULL,NULL,'RIO MORTO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5352355,2.00,5.00,2.00,3.00,5.00,4.50,4.00,2.00,4.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5352371,3.00,6.00,0.00,2.00,4.00,NULL,2.00,1.00,2.00,202,NULL,213,'CENTRO','HUMAITÁ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5352380,4.00,6.00,5.00,8.00,8.00,10.13,4.00,3.00,6.00,424,NULL,427,'VARGEM DOS PINHAIS','STO AMARO IMPERATRIZ','SC',8754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5352398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPESTRE ORFEU','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5352401,4.00,5.00,1.00,3.00,5.00,NULL,3.00,1.00,2.00,601,NULL,201,'PERPETUO SOCORRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5352410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FÁTIMA','COLOMBO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5352428,8.00,8.00,5.00,7.00,6.00,8.25,4.00,4.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5352436,5.00,5.00,0.00,4.00,7.00,7.88,1.00,4.00,2.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5352444,9.00,8.00,6.00,6.00,8.00,9.00,6.00,4.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',2470,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5352452,1.00,2.00,1.00,1.00,6.00,NULL,1.00,1.00,2.00,424,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5352460,7.00,7.00,6.00,4.00,4.00,10.50,3.00,4.00,5.00,326,NULL,NULL,'BARREIROS','S JOSÉ','SC',7453,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5352487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5352495,6.00,6.00,6.00,6.00,6.00,7.50,6.00,4.00,8.00,216,NULL,238,'MONTE CASTELO','CPO GRANDE','MS',2832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5352509,5.00,6.00,3.00,5.00,5.00,8.63,1.00,1.00,3.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5352517,5.00,0.00,3.00,3.00,1.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5352525,2.00,3.00,1.00,5.00,5.00,NULL,2.00,0.00,4.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5352541,3.00,3.00,1.00,3.00,4.00,NULL,3.00,3.00,3.00,601,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5352568,4.00,5.00,0.00,3.00,1.00,NULL,0.00,2.00,3.00,316,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5352576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5352649,7.00,8.00,6.00,7.00,8.00,9.00,5.00,6.00,7.00,201,NULL,202,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',1779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5352657,5.00,7.00,1.00,8.00,7.00,11.63,2.00,3.00,6.00,425,NULL,429,'TRINDADE','FLORIANÓPOLIS','SC',9700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5352665,1.00,4.00,2.00,3.00,3.00,NULL,3.00,2.00,4.00,5,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5352673,8.00,8.00,2.00,6.00,8.00,10.13,2.00,3.00,8.00,212,NULL,213,'FAROLÂNDIA','ARACAJU','SE',4306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5352681,2.00,4.00,1.00,5.00,5.00,8.63,3.00,5.00,4.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5352711,5.00,6.00,4.00,2.00,5.00,NULL,0.00,3.00,2.00,652,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5352720,3.00,6.00,2.00,4.00,6.00,8.63,2.00,2.00,1.00,652,NULL,NULL,'PARQUE ALVORADA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5352770,6.00,6.00,4.00,7.00,7.00,7.13,2.00,6.00,5.00,316,NULL,NULL,'CENTRO','CPO GRANDE','MS',7703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5352789,7.00,6.00,4.00,4.00,4.00,6.75,5.00,5.00,3.00,450,NULL,NULL,'BARREIROS','S JOSÉ','SC',11175,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5352800,5.00,9.00,2.00,5.00,6.00,6.38,0.00,4.00,3.00,601,NULL,NULL,'CENTRO','JOINVILLE','SC',12981,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5352843,8.00,6.00,4.00,6.00,7.00,7.88,4.00,2.00,7.00,601,NULL,220,'CENTRO','RIBEIRÃO PRETO','SP',6348,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5352886,8.00,9.00,2.00,7.00,9.00,10.13,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',1305,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5352894,9.00,3.00,3.00,7.00,9.00,9.75,3.00,5.00,5.00,103,NULL,NULL,'GONZAGA','SANTOS','SP',4345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5352916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'VILA PIEDADE','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',3,8),(20,5352924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5352932,5.00,6.00,0.00,4.00,8.00,7.50,2.00,2.00,3.00,207,NULL,201,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5352940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'INDEPENDENCIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5352975,3.00,4.00,1.00,4.00,4.00,NULL,1.00,2.00,0.00,651,NULL,653,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5352983,2.00,5.00,2.00,3.00,4.00,7.50,3.00,4.00,4.00,551,NULL,NULL,'SAO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5352991,6.00,7.00,6.00,4.00,9.00,7.13,3.00,5.00,8.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',4806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5353025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5353033,2.00,5.00,0.00,4.00,2.00,NULL,2.00,5.00,1.00,336,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5353076,2.00,3.00,1.00,3.00,7.00,NULL,2.00,4.00,2.00,101,NULL,NULL,'BELA VISTA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5353092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5353114,4.00,6.00,1.00,6.00,7.00,9.00,5.00,3.00,5.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',9149,3041,NULL,NULL,NULL,NULL,NULL,4,6),(20,5353122,4.00,4.00,1.00,0.00,4.00,NULL,2.00,3.00,3.00,653,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5353130,7.00,6.00,1.00,4.00,4.00,8.63,3.00,3.00,4.00,501,NULL,NULL,'CENTRO','VACARIA','RS',14143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5353149,7.00,7.00,5.00,6.00,6.00,6.38,2.00,3.00,4.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5353157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5353165,5.00,6.00,1.00,6.00,7.00,8.25,3.00,3.00,3.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5353173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5353181,6.00,7.00,1.00,6.00,5.00,8.63,3.00,5.00,3.00,340,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',9758,270,NULL,NULL,NULL,NULL,NULL,2,1),(20,5353190,1.00,6.00,1.00,3.00,7.00,NULL,1.00,3.00,2.00,316,NULL,NULL,'JARDIM MORADA','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5353211,3.00,6.00,1.00,3.00,4.00,NULL,2.00,2.00,3.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5353238,4.00,4.00,1.00,2.00,2.00,NULL,0.00,2.00,2.00,404,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5353246,5.00,4.00,2.00,6.00,7.00,9.38,2.00,2.00,4.00,109,NULL,NULL,'CENTRO','STA MARIA','RS',11880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5353254,4.00,3.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,223,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5353270,4.00,6.00,3.00,6.00,9.00,8.63,3.00,4.00,6.00,320,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',8645,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5353289,9.00,8.00,7.00,6.00,10.00,10.88,8.00,5.00,9.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',213,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5353297,4.00,6.00,3.00,5.00,5.00,10.88,3.00,4.00,5.00,333,NULL,NULL,'SANTOS DUMONT II','TRÊS LAGOAS','MS',10730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5353319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5353335,4.00,5.00,0.00,4.00,7.00,9.00,0.00,6.00,4.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',13048,3526,NULL,NULL,NULL,NULL,NULL,2,1),(20,5353343,6.00,5.00,4.00,3.00,5.00,7.13,3.00,3.00,4.00,316,NULL,NULL,'CENTRO','CASCAVEL','PR',13703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5353351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5353360,6.00,4.00,1.00,5.00,5.00,7.88,3.00,3.00,3.00,103,NULL,NULL,'INDEPENDENCIA','SARANDI','PR',13544,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5353378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARCÍLIO DIAS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5353386,2.00,3.00,3.00,3.00,3.00,NULL,0.00,1.00,2.00,238,NULL,208,'CENTRO','PINHEIRO PRETO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5353394,3.00,6.00,3.00,3.00,4.00,6.38,2.00,1.00,5.00,201,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5353416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5353424,8.00,9.00,1.00,8.00,9.00,8.63,2.00,5.00,6.00,340,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',3831,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5353432,9.00,8.00,6.00,6.00,9.00,9.00,4.00,5.00,7.00,216,NULL,202,'CENTRO','FOZ IGUAÇU','PR',1649,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5353440,1.00,3.00,0.00,1.00,1.00,NULL,0.00,1.00,2.00,451,NULL,NULL,'SANTA LUZIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(20,5353467,4.00,7.00,0.00,7.00,9.00,8.25,3.00,4.00,5.00,216,NULL,215,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5353475,6.00,5.00,4.00,7.00,8.00,8.25,2.00,2.00,4.00,208,NULL,238,'CARIANOS','FLORIANÓPOLIS','SC',9580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5353483,5.00,6.00,3.00,4.00,5.00,6.75,1.00,4.00,3.00,652,NULL,653,'VILA SÃO JOSÉ','ARARANGUÁ','SC',15761,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5353491,7.00,4.00,1.00,6.00,5.00,7.88,0.00,4.00,3.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5353505,3.00,4.00,1.00,3.00,5.00,NULL,2.00,1.00,3.00,304,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5353513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5353521,4.00,7.00,5.00,3.00,7.00,7.88,2.00,2.00,2.00,653,NULL,652,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5353530,2.00,6.00,0.00,3.00,6.00,NULL,3.00,2.00,2.00,208,NULL,203,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5353548,8.00,6.00,4.00,6.00,7.00,8.25,4.00,6.00,7.00,303,NULL,NULL,'CENTRO','PARANAVAÍ','PR',3608,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5353556,7.00,7.00,4.00,3.00,8.00,9.00,3.00,4.00,6.00,101,NULL,NULL,'JARDIM PARAÍSO','S JOSÉ CAMPOS','SP',7360,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5353580,3.00,3.00,0.00,1.00,4.00,NULL,1.00,2.00,5.00,3,NULL,NULL,'SERTÃO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5353599,6.00,8.00,4.00,7.00,9.00,9.75,4.00,4.00,6.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5353602,7.00,7.00,1.00,5.00,7.00,8.25,0.00,0.00,5.00,103,NULL,NULL,'JARDIM SÃO JOSÉ','CAMBÉ','PR',11900,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5353610,2.00,4.00,0.00,4.00,4.00,NULL,0.00,1.00,0.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5353629,7.00,7.00,2.00,5.00,6.00,7.13,2.00,6.00,2.00,326,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',10926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5353661,2.00,5.00,0.00,2.00,3.00,NULL,0.00,1.00,5.00,426,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5353688,9.00,5.00,6.00,7.00,8.00,12.00,8.00,7.00,8.00,103,NULL,NULL,'AUXILIADORA','PTO ALEGRE','RS',269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5353696,3.00,6.00,0.00,3.00,5.00,6.38,0.00,3.00,5.00,104,NULL,NULL,'SANTO ANTÔNIO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5353700,2.00,5.00,1.00,3.00,3.00,NULL,2.00,1.00,4.00,652,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5353718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INTERIOR','CEL MARTINS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5353726,3.00,3.00,2.00,2.00,4.00,NULL,2.00,2.00,3.00,651,NULL,652,'SAO LUIZ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5353742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ENGORDADOURO','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5353769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,NULL,'BELA VISTA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5353785,6.00,5.00,3.00,7.00,7.00,7.50,3.00,3.00,3.00,5,NULL,NULL,'SAO JUDAS','AVARÉ','SP',9105,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5353793,3.00,0.00,4.00,4.00,6.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5353815,2.00,1.00,2.00,3.00,4.00,NULL,0.00,0.00,1.00,653,NULL,652,'PROGRESSO','PASSO TORRES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5353823,9.00,7.00,4.00,7.00,9.00,8.63,5.00,5.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',997,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5353831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5353840,5.00,5.00,2.00,6.00,5.00,8.25,3.00,3.00,5.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5353866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5353874,1.00,6.00,3.00,5.00,7.00,8.63,1.00,2.00,3.00,653,NULL,652,'CENTRO','TORRES','RS',15430,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5353882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5353904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5353912,4.00,5.00,5.00,7.00,7.00,10.88,3.00,1.00,4.00,208,NULL,216,'DILETA','CARAZINHO','RS',9376,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5353920,4.00,7.00,2.00,7.00,9.00,6.38,3.00,2.00,6.00,340,NULL,NULL,'CRUZEIRO','STA ROSA','RS',7616,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5353939,2.00,6.00,1.00,4.00,4.00,NULL,1.00,1.00,4.00,601,NULL,207,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5353955,0.00,2.00,0.00,4.00,4.00,NULL,1.00,0.00,2.00,211,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5353963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'ENGORDADOURO','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5353971,7.00,5.00,2.00,1.00,5.00,6.75,2.00,2.00,5.00,103,NULL,NULL,'JD MONT SERRAT','APARECIDA GOIÂNIA','GO',13969,3629,NULL,NULL,NULL,NULL,NULL,2,1),(20,5353998,0.00,2.00,1.00,1.00,1.00,NULL,2.00,2.00,0.00,327,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5354005,4.00,6.00,2.00,2.00,5.00,8.63,4.00,3.00,3.00,238,NULL,208,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354013,4.00,6.00,2.00,3.00,5.00,8.25,3.00,3.00,4.00,601,NULL,201,'MEIA PRAIA','ITAPEMA','SC',14634,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5354030,4.00,5.00,2.00,1.00,4.00,NULL,2.00,2.00,2.00,415,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354048,3.00,4.00,1.00,2.00,3.00,NULL,2.00,2.00,4.00,301,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354072,4.00,3.00,2.00,3.00,3.00,NULL,3.00,4.00,3.00,318,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354080,2.00,7.00,2.00,5.00,4.00,6.38,0.00,3.00,5.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14862,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5354099,4.00,5.00,3.00,1.00,5.00,7.88,2.00,2.00,3.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5354110,3.00,6.00,2.00,6.00,3.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354129,5.00,3.00,3.00,5.00,3.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354137,7.00,5.00,2.00,5.00,5.00,NULL,3.00,3.00,8.00,103,NULL,NULL,'KAYSER','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5354145,5.00,5.00,2.00,4.00,5.00,9.38,3.00,3.00,4.00,202,NULL,207,'CANTO','FLORIANÓPOLIS','SC',12412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354153,6.00,5.00,1.00,7.00,10.00,9.38,1.00,4.00,5.00,103,NULL,NULL,'UNIVERSITÁRIO','STA CRUZ SUL','RS',7346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5354170,8.00,3.00,3.00,6.00,6.00,10.13,2.00,3.00,4.00,211,NULL,216,'CRISTO REI','ASSIS CHATEAUBRIAND','PR',10846,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5354188,1.00,3.00,0.00,2.00,2.00,NULL,2.00,3.00,1.00,453,NULL,NULL,'BAEPENDI','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5354196,6.00,6.00,3.00,7.00,5.00,8.25,4.00,3.00,5.00,203,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354218,3.00,3.00,2.00,7.00,5.00,6.38,2.00,4.00,3.00,319,NULL,NULL,'CENTRO','NAVEGANTES','SC',15606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354226,3.00,5.00,0.00,5.00,5.00,6.00,2.00,3.00,2.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5354234,7.00,5.00,3.00,7.00,7.00,9.38,2.00,4.00,4.00,301,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',7281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PLANALTO','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5354250,6.00,6.00,2.00,6.00,7.00,9.75,3.00,1.00,5.00,301,NULL,NULL,'FERRAZ','VERA CRUZ','RS',9680,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5354269,3.00,5.00,0.00,3.00,7.00,NULL,1.00,2.00,1.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354277,3.00,4.00,0.00,3.00,6.00,NULL,3.00,2.00,6.00,223,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5354315,4.00,6.00,0.00,3.00,3.00,NULL,2.00,3.00,1.00,501,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5354323,1.00,3.00,0.00,3.00,3.00,NULL,2.00,4.00,1.00,208,NULL,NULL,'N SENHORA DA SALETE','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5354331,4.00,2.00,1.00,5.00,4.00,NULL,2.00,1.00,3.00,207,NULL,201,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354358,3.00,7.00,4.00,5.00,6.00,7.13,2.00,5.00,6.00,201,NULL,202,'CENTRO','JD ALEGRE','PR',10984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354366,5.00,8.00,2.00,5.00,8.00,9.38,1.00,3.00,4.00,216,NULL,601,'CENTRO','BRUSQUE','SC',10589,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5354374,5.00,5.00,1.00,4.00,8.00,9.00,2.00,3.00,3.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',15051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5354390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5354404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'GRANJA JULIETA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5354412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','SANANDUVA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5354439,6.00,4.00,0.00,6.00,5.00,NULL,2.00,3.00,5.00,303,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5354447,4.00,4.00,1.00,2.00,5.00,NULL,1.00,3.00,3.00,301,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5354463,6.00,5.00,1.00,6.00,6.00,8.63,2.00,3.00,3.00,103,NULL,NULL,'INDEPENDENCIA','PTO ALEGRE','RS',13074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354480,7.00,5.00,5.00,5.00,6.00,9.38,3.00,3.00,6.00,103,NULL,NULL,'VILA TOLENTINO','CASCAVEL','PR',5890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354498,3.00,6.00,5.00,4.00,6.00,7.50,2.00,2.00,4.00,308,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',14482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5354501,8.00,9.00,8.00,6.00,8.00,7.88,7.00,7.00,9.00,103,NULL,NULL,'SANTA ROSA','PTO UNIÃO','SC',367,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5354510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BOTÂNICO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5354528,1.00,3.00,3.00,3.00,4.00,NULL,0.00,3.00,5.00,310,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5354536,4.00,6.00,2.00,2.00,4.00,6.38,0.00,5.00,5.00,308,NULL,NULL,'MORRO DA BINA','BIGUAÇU','SC',15294,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5354544,4.00,3.00,2.00,4.00,2.00,NULL,1.00,0.00,4.00,238,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'RIO BRANCO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5354560,0.00,4.00,0.00,1.00,1.00,NULL,0.00,1.00,2.00,653,NULL,652,'CENTRO','PASSO TORRES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5354579,3.00,6.00,1.00,0.00,3.00,NULL,2.00,3.00,4.00,216,NULL,235,'SEMINÁRIO','TAIÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5354587,5.00,6.00,0.00,5.00,4.00,7.88,3.00,4.00,3.00,551,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',14731,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5354595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5354609,3.00,4.00,0.00,2.00,0.00,NULL,3.00,4.00,1.00,203,NULL,202,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5354617,8.00,7.00,4.00,7.00,8.00,7.50,5.00,6.00,9.00,103,NULL,NULL,'SÃO CRISTÓVÃO','CASCAVEL','PR',1785,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5354625,7.00,3.00,3.00,5.00,7.00,8.63,4.00,3.00,5.00,201,NULL,203,'CENTRO','XAXIM','SC',8398,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5354633,8.00,5.00,4.00,8.00,4.00,8.25,1.00,4.00,7.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',8203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354650,5.00,6.00,4.00,5.00,6.00,7.50,3.00,4.00,3.00,444,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',12498,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5354668,8.00,6.00,4.00,4.00,7.00,6.75,6.00,3.00,7.00,304,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',6696,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5354684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5354692,9.00,3.00,3.00,7.00,8.00,10.50,2.00,5.00,7.00,108,NULL,NULL,'CIDADE JARDIM','S JOSÉ PINHAIS','PR',4869,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5354706,1.00,5.00,1.00,3.00,4.00,NULL,1.00,3.00,3.00,453,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5354714,6.00,3.00,0.00,4.00,7.00,9.75,2.00,2.00,4.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5354722,5.00,5.00,3.00,7.00,5.00,6.75,5.00,5.00,5.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11577,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5354730,9.00,8.00,6.00,8.00,9.00,7.50,5.00,6.00,8.00,103,NULL,NULL,'CIDADE MONÇÕES','S PAULO','SP',1159,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5354749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5354757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DA PENHA','VITÓRIA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5354765,3.00,5.00,0.00,3.00,2.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'MORRO DO ESPELHO','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354781,3.00,3.00,0.00,5.00,8.00,NULL,3.00,0.00,5.00,104,NULL,NULL,'CENTRO','CAIÇARA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5354790,7.00,6.00,1.00,6.00,4.00,8.63,2.00,5.00,3.00,444,NULL,NULL,'VILA AFP','CHARQUEADAS','RS',13249,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5354803,8.00,4.00,3.00,4.00,9.00,7.50,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7296,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5354838,6.00,6.00,2.00,6.00,8.00,7.88,3.00,2.00,6.00,333,NULL,NULL,'VILA GUARANI','S PAULO','SP',9116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354846,3.00,4.00,5.00,4.00,2.00,NULL,2.00,1.00,2.00,653,NULL,203,'LIVRAMENTO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5354854,7.00,6.00,3.00,7.00,7.00,9.75,3.00,2.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5354870,2.00,2.00,0.00,1.00,1.00,NULL,2.00,2.00,4.00,318,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,213,'JARDIM CIBELE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5354897,3.00,7.00,3.00,4.00,3.00,NULL,2.00,0.00,6.00,203,NULL,201,'BERGER','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5354900,3.00,2.00,0.00,4.00,1.00,NULL,1.00,1.00,2.00,301,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5354919,3.00,7.00,0.00,7.00,7.00,8.25,2.00,3.00,4.00,424,NULL,427,'CAMPESTRE','TUBARÃO','SC',13857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354927,4.00,6.00,0.00,5.00,5.00,6.38,3.00,2.00,1.00,5,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354935,4.00,5.00,4.00,6.00,8.00,9.38,1.00,1.00,2.00,452,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',13305,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5354943,3.00,3.00,2.00,5.00,3.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'BARRA SUL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5354951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5354960,3.00,4.00,1.00,5.00,5.00,NULL,0.00,2.00,2.00,235,NULL,NULL,'VIAMÓPOLIS','VIAMÃO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5354978,9.00,6.00,5.00,7.00,9.00,10.50,6.00,7.00,6.00,103,NULL,NULL,'ITANHANGÁ PARK','CPO GRANDE','MS',728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5354986,4.00,7.00,3.00,3.00,2.00,NULL,2.00,0.00,2.00,452,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5354994,9.00,7.00,6.00,6.00,7.00,9.00,4.00,5.00,6.00,103,NULL,NULL,'HIGIENÓPOLIS','S PAULO','SP',2509,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5355028,3.00,7.00,3.00,2.00,3.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5355044,7.00,6.00,2.00,6.00,7.00,7.50,2.00,4.00,3.00,103,NULL,NULL,'PARQUE VERDE','CASCAVEL','PR',8934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5355052,5.00,5.00,3.00,6.00,6.00,7.50,2.00,4.00,4.00,213,NULL,601,'CHAMPAGNA','CURITIBA','PR',10606,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5355079,2.00,5.00,2.00,4.00,4.00,NULL,1.00,2.00,1.00,651,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5355087,5.00,5.00,3.00,7.00,0.00,NULL,5.00,1.00,2.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5355095,2.00,5.00,1.00,4.00,6.00,NULL,2.00,3.00,4.00,428,NULL,423,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5355109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'VILA NOPVA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5355117,5.00,6.00,1.00,3.00,7.00,10.88,2.00,2.00,5.00,103,NULL,NULL,'TIRADENTES','CPO GRANDE','MS',12197,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5355125,9.00,8.00,5.00,7.00,9.00,8.63,7.00,4.00,6.00,203,NULL,601,'CENTRO','CURITIBA','PR',1144,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5355133,8.00,6.00,1.00,4.00,6.00,8.25,3.00,3.00,7.00,103,NULL,NULL,'CENTRO','BENTO GONÇALVES','RS',8985,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5355168,6.00,6.00,5.00,6.00,7.00,8.63,4.00,5.00,5.00,103,NULL,NULL,'CENTRO CIVICO','CURITIBA','PR',5000,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5355176,8.00,1.00,5.00,6.00,8.00,12.38,2.00,0.00,2.00,103,NULL,NULL,'VILA IPIRANGA','CPO GRANDE','MS',7476,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5355184,5.00,5.00,3.00,6.00,8.00,10.13,2.00,3.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7597,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5355192,5.00,5.00,2.00,4.00,5.00,9.75,3.00,1.00,5.00,450,NULL,NULL,'VALPARAIBA','S JOSÉ CAMPOS','SP',13713,99,NULL,NULL,NULL,NULL,NULL,4,1),(20,5355214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5355222,6.00,8.00,1.00,5.00,8.00,11.25,2.00,2.00,6.00,103,NULL,NULL,'CHAMPAGNE','GARIBALDI','RS',6491,2530,NULL,NULL,NULL,NULL,NULL,2,1),(20,5355257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5355265,3.00,7.00,3.00,3.00,4.00,9.75,2.00,4.00,3.00,653,NULL,214,'WOSOCRIS','CRICIÚMA','SC',15479,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5355273,5.00,6.00,1.00,0.00,4.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5355281,7.00,6.00,1.00,6.00,9.00,9.00,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',10163,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5355290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'TINGUI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5355303,4.00,3.00,3.00,5.00,4.00,8.63,2.00,0.00,4.00,212,NULL,215,'PROGRESSO','POUSO REDONDO','SC',16190,393,NULL,330,NULL,NULL,NULL,2,9),(20,5355311,4.00,4.00,4.00,2.00,2.00,NULL,3.00,2.00,3.00,203,NULL,NULL,'CABEÇUDAS','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5355346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5355354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5355362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CERQUEIRA CEZAR','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5355370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5355389,6.00,7.00,5.00,6.00,8.00,9.00,4.00,4.00,6.00,207,NULL,211,'SANTA MONICA','FLORIANÓPOLIS','SC',4944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5355397,2.00,5.00,0.00,1.00,6.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5355400,9.00,9.00,3.00,6.00,10.00,7.50,7.00,7.00,7.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',1168,690,NULL,NULL,NULL,NULL,NULL,4,1),(20,5355419,2.00,6.00,4.00,7.00,7.00,9.00,0.00,4.00,2.00,428,NULL,424,'CANASVIEIRAS','FLORIANÓPOLIS','SC',12852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5355451,5.00,6.00,5.00,3.00,5.00,4.88,2.00,3.00,5.00,211,NULL,202,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5355460,9.00,6.00,5.00,8.00,8.00,6.75,6.00,5.00,6.00,202,NULL,220,'ITATIAIA','LONDRINA','PR',3221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5355478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5355494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5355508,5.00,5.00,4.00,6.00,4.00,9.75,1.00,0.00,4.00,453,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',14087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5355516,6.00,7.00,3.00,6.00,7.00,10.50,4.00,4.00,5.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',5715,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5355540,2.00,5.00,3.00,1.00,3.00,NULL,4.00,3.00,2.00,327,NULL,NULL,'MORRO DO CÉU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5355567,0.00,4.00,0.00,0.00,0.00,NULL,0.00,2.00,3.00,207,NULL,201,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,7),(20,5355575,7.00,6.00,3.00,6.00,9.00,7.50,5.00,5.00,5.00,415,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',6786,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5355583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ISABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5355591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,211,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5355605,9.00,8.00,6.00,7.00,9.00,9.00,3.00,5.00,7.00,103,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',1789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5355613,9.00,7.00,6.00,6.00,7.00,9.75,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5393,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5355621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,653,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5355630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5355648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,202,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5355664,0.00,2.00,0.00,1.00,5.00,NULL,1.00,3.00,2.00,404,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5355672,5.00,6.00,2.00,6.00,6.00,5.25,3.00,1.00,3.00,108,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5355680,2.00,5.00,0.00,3.00,4.00,NULL,1.00,3.00,1.00,103,NULL,NULL,'UNIVERSITARIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5355699,8.00,8.00,1.00,8.00,9.00,9.75,3.00,2.00,4.00,103,NULL,NULL,'LA SALLE','PATO BRANCO','PR',5506,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5355710,3.00,3.00,0.00,4.00,4.00,NULL,2.00,1.00,0.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5355729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PASSO DAREIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5355737,2.00,4.00,2.00,2.00,4.00,NULL,4.00,2.00,3.00,319,NULL,NULL,'POMERANOS','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5355745,7.00,7.00,7.00,6.00,8.00,10.13,9.00,4.00,4.00,220,NULL,203,'RECANTO TROPICAL','CASCAVEL','PR',2121,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5355753,8.00,5.00,5.00,6.00,8.00,10.88,7.00,3.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',3463,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5355761,0.00,7.00,2.00,2.00,1.00,NULL,6.00,2.00,3.00,9,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5355770,3.00,7.00,3.00,5.00,6.00,9.75,4.00,5.00,4.00,223,NULL,NULL,'MAGALHAES','LAGUNA','SC',11668,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5355800,7.00,4.00,2.00,7.00,8.00,8.63,4.00,3.00,6.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5355818,4.00,6.00,1.00,4.00,3.00,NULL,0.00,2.00,2.00,208,NULL,238,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5355826,5.00,6.00,1.00,3.00,5.00,7.13,0.00,3.00,4.00,211,NULL,212,'KOBRASOL','S JOSÉ','SC',15438,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5355850,2.00,7.00,3.00,5.00,5.00,10.50,3.00,5.00,3.00,238,NULL,208,'KOBRASOL','S JOSÉ','SC',13391,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5355877,4.00,7.00,4.00,5.00,8.00,8.63,3.00,5.00,6.00,201,NULL,212,'SERRARIA','S JOSÉ','SC',6479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5355885,4.00,4.00,0.00,4.00,4.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5355893,9.00,8.00,6.00,6.00,7.00,11.25,7.00,6.00,9.00,103,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',474,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5355907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'JARDIM PEDREIRA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5355915,3.00,5.00,1.00,2.00,4.00,NULL,1.00,2.00,2.00,653,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5355923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5355974,8.00,8.00,1.00,7.00,9.00,7.50,5.00,6.00,6.00,207,NULL,201,'LOANDA','ATIBAIA','SP',3190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5355990,3.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,2.00,339,NULL,NULL,'LISBOA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5356008,4.00,4.00,2.00,5.00,3.00,NULL,0.00,1.00,2.00,601,NULL,220,'CENTRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5356016,6.00,5.00,1.00,5.00,6.00,9.75,2.00,4.00,5.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',11349,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5356040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5356075,5.00,7.00,2.00,4.00,7.00,7.50,2.00,3.00,4.00,201,NULL,212,'INTERIOR','VISTA A PRATA','RS',11392,827,NULL,291,NULL,NULL,NULL,2,1),(20,5356083,6.00,7.00,4.00,6.00,8.00,7.50,5.00,4.00,7.00,501,NULL,NULL,'CENTRO','PTO ALEGRE','RS',4976,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5356091,5.00,5.00,2.00,1.00,8.00,NULL,0.00,2.00,3.00,207,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5356105,6.00,5.00,2.00,5.00,5.00,7.13,2.00,3.00,3.00,101,NULL,NULL,'CENTRO','STA ROSA','RS',15212,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5356113,0.00,5.00,0.00,6.00,4.00,NULL,0.00,1.00,3.00,425,NULL,423,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5356121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5356130,4.00,4.00,0.00,1.00,3.00,NULL,1.00,4.00,3.00,102,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5356148,4.00,4.00,4.00,5.00,6.00,6.00,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5356156,4.00,2.00,1.00,4.00,7.00,NULL,4.00,2.00,3.00,339,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5356172,4.00,4.00,1.00,6.00,6.00,8.63,2.00,1.00,3.00,340,NULL,NULL,'VILA RICA','CRUZEIRO','SP',14574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5356199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5356202,5.00,6.00,3.00,3.00,8.00,7.88,2.00,1.00,4.00,324,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',13877,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5356229,5.00,8.00,0.00,4.00,5.00,6.00,0.00,3.00,3.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5356237,3.00,6.00,4.00,6.00,5.00,8.25,1.00,3.00,6.00,110,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',14337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5356261,7.00,5.00,2.00,7.00,8.00,9.00,3.00,5.00,7.00,103,NULL,NULL,'VILA SÃO JOSÉ','S JOSÉ R PRETO','SP',4887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5356270,3.00,3.00,2.00,4.00,2.00,NULL,0.00,2.00,0.00,225,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5356288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PONTA FINA NORTE','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5356296,4.00,7.00,3.00,3.00,8.00,7.50,3.00,5.00,3.00,9,NULL,NULL,'CENTRO','POMERODE','SC',10946,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5356300,8.00,7.00,4.00,5.00,9.00,7.50,4.00,4.00,5.00,103,NULL,NULL,'JARDIM DA GLÓRIA','S PAULO','SP',4561,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5356318,7.00,8.00,2.00,7.00,10.00,11.25,2.00,4.00,5.00,303,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',4756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5356326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,203,'JARDIM PETRÓPOLIS','CRUZ ALTA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5356342,6.00,2.00,3.00,4.00,7.00,10.50,1.00,4.00,4.00,319,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',13112,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5356350,6.00,5.00,3.00,7.00,4.00,7.88,0.00,4.00,2.00,103,NULL,NULL,'CENTRO','MARCELINO RAMOS','RS',13171,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5356377,6.00,6.00,3.00,5.00,5.00,8.63,2.00,3.00,3.00,103,NULL,NULL,'VILA SANTA CATARINA','DOURADOS','MS',12865,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5356385,6.00,7.00,1.00,4.00,8.00,9.75,3.00,5.00,8.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5356393,5.00,7.00,4.00,5.00,8.00,9.00,4.00,4.00,4.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',8006,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5356407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'SAO FRANCISCO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5356431,6.00,4.00,5.00,4.00,7.00,6.38,2.00,3.00,5.00,207,NULL,208,'COQUEIROS','FLORIANÓPOLIS','SC',11130,532,NULL,248,NULL,NULL,NULL,2,1),(20,5356440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5356458,8.00,7.00,6.00,2.00,8.00,9.00,5.00,5.00,7.00,103,NULL,NULL,'VILA PALMIRA','CPO GRANDE','MS',3065,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5356466,6.00,7.00,5.00,7.00,7.00,9.00,3.00,4.00,5.00,329,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',6952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5356482,4.00,4.00,4.00,5.00,6.00,7.50,0.00,3.00,3.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',14119,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5356504,6.00,7.00,2.00,5.00,11.00,6.75,2.00,5.00,4.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',9357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5356520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO ANTÔNIO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5356539,5.00,5.00,1.00,5.00,6.00,7.88,4.00,3.00,4.00,303,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',12954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5356555,5.00,4.00,1.00,4.00,4.00,7.88,0.00,4.00,4.00,104,NULL,NULL,'FATIMA','ERECHIM','RS',16285,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5356563,4.00,5.00,1.00,6.00,3.00,NULL,2.00,2.00,5.00,653,NULL,235,'CENTRO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5356571,6.00,6.00,0.00,2.00,5.00,6.75,2.00,3.00,5.00,238,NULL,211,'PETRÓPOLIS','LAGES','SC',15982,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5356580,6.00,6.00,1.00,5.00,5.00,6.00,3.00,4.00,4.00,211,NULL,201,'CENTRO','ITAIÓPOLIS','SC',13904,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5356598,2.00,0.00,1.00,3.00,5.00,NULL,1.00,0.00,2.00,224,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5356601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CEL VIVIDA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5356610,4.00,5.00,4.00,7.00,9.00,7.50,1.00,2.00,6.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5356628,7.00,8.00,3.00,5.00,10.00,7.88,1.00,5.00,3.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',9218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5356644,2.00,3.00,6.00,2.00,5.00,NULL,0.00,3.00,2.00,102,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5356652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5356660,2.00,6.00,1.00,3.00,5.00,NULL,3.00,2.00,3.00,319,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5356679,2.00,3.00,1.00,2.00,1.00,NULL,1.00,2.00,2.00,214,NULL,213,'BELA VISTA','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5356687,2.00,3.00,2.00,5.00,2.00,NULL,2.00,2.00,2.00,652,NULL,653,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5356695,4.00,5.00,1.00,5.00,5.00,7.88,1.00,3.00,2.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5356741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAGÉ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5356768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR JAÓ','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5356776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAG CORAÇÃO DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5356784,6.00,4.00,0.00,7.00,8.00,NULL,0.00,2.00,3.00,453,NULL,NULL,'CASACATA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5356792,5.00,0.00,0.00,6.00,1.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5356806,6.00,5.00,4.00,6.00,7.00,10.50,1.00,4.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5356830,8.00,6.00,2.00,6.00,10.00,8.25,4.00,4.00,6.00,319,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',7091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5356865,6.00,8.00,2.00,5.00,8.00,9.75,4.00,3.00,7.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',6071,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5356873,4.00,3.00,2.00,2.00,6.00,NULL,2.00,1.00,1.00,415,NULL,NULL,'RIO DO OURO','CARAGUATATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5356881,4.00,6.00,0.00,3.00,7.00,6.38,3.00,4.00,3.00,316,NULL,NULL,'CENTRO','PALHOÇA','SC',15804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5356890,4.00,6.00,0.00,4.00,6.00,NULL,1.00,1.00,2.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5356903,2.00,1.00,1.00,2.00,2.00,NULL,1.00,3.00,1.00,420,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5356911,2.00,6.00,2.00,6.00,4.00,NULL,1.00,1.00,2.00,201,NULL,202,'SÃO JUDAS','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5356920,5.00,6.00,5.00,6.00,6.00,8.63,3.00,3.00,5.00,203,NULL,214,'BARREIROS','S JOSÉ','SC',10471,745,NULL,284,NULL,NULL,NULL,2,1),(20,5356938,7.00,4.00,7.00,2.00,1.00,NULL,1.00,4.00,4.00,103,NULL,NULL,'UNIVERSITÁRIO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5356946,4.00,4.00,6.00,5.00,4.00,9.75,3.00,2.00,4.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',14699,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5356954,8.00,6.00,7.00,7.00,7.00,9.38,4.00,5.00,7.00,203,NULL,201,'JARDIM LA SALLE','TOLEDO','PR',2679,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5356962,3.00,5.00,2.00,3.00,3.00,NULL,1.00,0.00,2.00,224,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5356970,3.00,3.00,1.00,0.00,5.00,NULL,2.00,2.00,4.00,316,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5356989,2.00,4.00,2.00,2.00,4.00,NULL,0.00,3.00,1.00,208,NULL,238,'BAIRRO IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5357004,1.00,4.00,1.00,3.00,3.00,NULL,3.00,2.00,1.00,415,NULL,NULL,'LIBERDADE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5357012,5.00,3.00,4.00,3.00,8.00,6.38,5.00,3.00,4.00,336,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5357020,3.00,3.00,1.00,2.00,2.00,NULL,2.00,1.00,2.00,652,NULL,653,'SÃO CRISTOVAM','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5357039,5.00,7.00,1.00,7.00,3.00,NULL,1.00,3.00,3.00,444,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5357047,3.00,4.00,1.00,6.00,4.00,NULL,1.00,2.00,2.00,420,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5357063,7.00,6.00,5.00,5.00,8.00,9.38,3.00,3.00,3.00,551,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',9868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5357071,1.00,3.00,0.00,2.00,4.00,NULL,1.00,1.00,1.00,108,NULL,NULL,'RIBANCEIRA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5357080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,NULL,'SANTA CRUZ','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',5,5),(20,5357098,4.00,6.00,3.00,6.00,8.00,10.50,1.00,4.00,2.00,303,NULL,NULL,'JOSÉ BONIFÁCIO','ERECHIM','RS',10705,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5357110,4.00,5.00,1.00,4.00,5.00,6.00,3.00,2.00,4.00,238,NULL,208,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5357128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5357136,4.00,7.00,4.00,4.00,7.00,7.50,1.00,4.00,3.00,234,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',14053,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5357144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','ALEGRIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5357179,5.00,7.00,4.00,7.00,9.00,7.88,3.00,2.00,4.00,415,NULL,NULL,'ROÇADO','S JOSÉ','SC',7139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5357187,3.00,5.00,2.00,5.00,4.00,8.63,2.00,2.00,5.00,203,NULL,212,'VILA ÁUREA','POÁ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5357209,2.00,4.00,1.00,4.00,4.00,NULL,0.00,2.00,1.00,316,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5357217,8.00,7.00,4.00,8.00,10.00,9.38,3.00,4.00,7.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',3049,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5357225,8.00,6.00,3.00,7.00,8.00,9.00,1.00,4.00,3.00,652,NULL,651,'CASA NOVA','ARAÇATUBA','SP',7265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5357233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PASSO MANSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5357241,1.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,551,NULL,NULL,'ESQUINA GERTZ','SEN SALGADO FILHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5357276,1.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,205,NULL,NULL,'SAO FRANCISCO','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5357284,7.00,6.00,2.00,7.00,8.00,13.13,3.00,7.00,3.00,303,NULL,NULL,'JARDIM DAS AMÉRICAS','PATO BRANCO','PR',4637,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5357292,2.00,5.00,0.00,4.00,3.00,NULL,2.00,4.00,4.00,103,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5357306,5.00,4.00,2.00,6.00,3.00,NULL,2.00,2.00,5.00,453,NULL,NULL,'UVARANAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5357314,7.00,6.00,4.00,5.00,9.00,6.38,2.00,2.00,3.00,216,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5357322,1.00,0.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5357330,4.00,2.00,0.00,4.00,5.00,NULL,2.00,1.00,3.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5357357,3.00,4.00,0.00,3.00,3.00,NULL,2.00,1.00,2.00,453,NULL,NULL,'ALTO RIBEIRÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5357365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5357381,8.00,4.00,6.00,5.00,3.00,NULL,6.00,5.00,3.00,235,NULL,202,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5357390,3.00,6.00,3.00,5.00,8.00,10.13,3.00,5.00,6.00,201,NULL,212,'JARDIM AMÉRICA','CAXIAS SUL','RS',7795,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5357411,4.00,4.00,1.00,3.00,2.00,NULL,3.00,3.00,2.00,426,NULL,429,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5357438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,212,'CENTRO','BOM JD SERRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5357454,3.00,5.00,2.00,4.00,6.00,NULL,2.00,2.00,2.00,501,NULL,NULL,'VILA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5357462,8.00,6.00,2.00,4.00,6.00,9.38,4.00,4.00,4.00,108,NULL,NULL,'FLORESTA','JOINVILLE','SC',8136,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5357470,9.00,9.00,5.00,8.00,10.00,11.63,6.00,6.00,8.00,103,NULL,NULL,'CENTRO','FARROUPILHA','RS',336,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5357500,7.00,5.00,2.00,4.00,3.00,NULL,0.00,1.00,5.00,304,NULL,NULL,'CENTRO','MORRINHOS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5357519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5357527,5.00,4.00,0.00,4.00,6.00,7.50,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','RIO CLARO','SP',14658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5357586,1.00,2.00,0.00,0.00,3.00,NULL,3.00,2.00,0.00,653,NULL,652,'CENTRO','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5357594,4.00,4.00,1.00,5.00,4.00,NULL,0.00,2.00,1.00,203,NULL,208,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5357608,2.00,4.00,0.00,3.00,5.00,NULL,3.00,1.00,1.00,103,NULL,NULL,'FRAGATA','PELOTAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5357616,3.00,5.00,4.00,6.00,6.00,7.50,3.00,2.00,5.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',13393,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5357624,2.00,3.00,1.00,2.00,0.00,NULL,0.00,1.00,3.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5357640,5.00,4.00,1.00,4.00,4.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'SÃO SEBASTIÃO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5357659,7.00,7.00,4.00,7.00,7.00,13.50,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5594,2310,NULL,NULL,NULL,NULL,NULL,4,1),(20,5357667,7.00,5.00,5.00,7.00,7.00,6.38,4.00,2.00,3.00,303,NULL,NULL,'ZONA SETE','MARINGÁ','PR',7950,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5357675,4.00,6.00,4.00,3.00,9.00,10.13,2.00,2.00,5.00,5,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',9834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5357683,4.00,4.00,2.00,4.00,7.00,7.50,0.00,4.00,5.00,303,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5357691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'RIO FARIAS','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5357705,8.00,5.00,3.00,7.00,9.00,7.88,3.00,2.00,8.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',4605,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5357713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5357721,3.00,5.00,2.00,6.00,6.00,8.25,1.00,1.00,5.00,415,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5357748,2.00,6.00,2.00,5.00,4.00,7.50,1.00,5.00,3.00,301,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',15739,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5357756,3.00,7.00,0.00,1.00,6.00,NULL,1.00,3.00,2.00,201,NULL,238,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5357764,2.00,2.00,2.00,3.00,3.00,NULL,2.00,1.00,2.00,652,NULL,653,'DIVINEIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5357772,4.00,5.00,3.00,6.00,6.00,8.63,0.00,3.00,3.00,333,NULL,NULL,'CENTRO','PANAMBI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5357799,7.00,6.00,5.00,7.00,9.00,8.25,5.00,3.00,6.00,303,NULL,NULL,'NOVA SUIÇA','GOIÂNIA','GO',4077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5357802,5.00,7.00,2.00,4.00,6.00,9.38,1.00,2.00,3.00,211,NULL,208,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5357845,8.00,7.00,5.00,2.00,7.00,7.13,1.00,3.00,5.00,213,NULL,653,'CAMPECHE','FLORIANÓPOLIS','SC',8842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5357853,9.00,8.00,4.00,4.00,7.00,10.88,3.00,8.00,7.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',3070,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5357861,0.00,3.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,652,NULL,238,'IGRA NORTE','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5357870,7.00,4.00,1.00,4.00,5.00,9.00,3.00,4.00,6.00,319,NULL,NULL,'MORRO DO MEIO','JOINVILLE','SC',11439,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5357888,5.00,6.00,3.00,5.00,8.00,9.75,2.00,3.00,5.00,303,NULL,NULL,'ERICA','PANAMBI','RS',12036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5357896,3.00,5.00,1.00,6.00,7.00,NULL,1.00,2.00,2.00,316,NULL,NULL,'BRAÇO ESQUERDO','GR PARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5357900,7.00,6.00,5.00,2.00,7.00,11.25,5.00,3.00,7.00,205,NULL,NULL,'PETRÓPOLIS','JOINVILLE','SC',4049,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5357926,9.00,8.00,6.00,7.00,9.00,7.13,5.00,6.00,7.00,214,NULL,201,'CENTRO','PALHOÇA','SC',1112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5357934,6.00,7.00,5.00,7.00,9.00,10.88,1.00,5.00,6.00,103,NULL,NULL,'ALTO DE PINHEIROS','S PAULO','SP',3362,1612,NULL,NULL,NULL,NULL,NULL,4,1),(20,5357942,4.00,5.00,3.00,6.00,4.00,6.75,1.00,3.00,3.00,329,NULL,NULL,'ARRAIAL DA AJUDA','PTO SEGURO','BA',16057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5357950,3.00,4.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5357969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,211,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5357977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5357993,1.00,3.00,1.00,3.00,5.00,NULL,3.00,2.00,3.00,108,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5358000,9.00,7.00,5.00,6.00,7.00,8.25,4.00,5.00,8.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',2580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358019,6.00,6.00,3.00,7.00,8.00,9.00,1.00,1.00,5.00,501,NULL,NULL,'CENTRO','CARAZINHO','RS',9396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358035,8.00,8.00,6.00,5.00,8.00,7.50,6.00,5.00,7.00,203,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',2485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358043,2.00,6.00,3.00,5.00,7.00,NULL,2.00,1.00,2.00,201,NULL,207,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5358051,5.00,6.00,1.00,6.00,6.00,9.38,0.00,1.00,3.00,415,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358060,0.00,4.00,0.00,3.00,1.00,NULL,1.00,0.00,2.00,211,NULL,233,'CAMPO BELO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5358086,3.00,7.00,1.00,6.00,4.00,7.13,1.00,2.00,3.00,211,NULL,233,'AGRONÔMICA','FLORIANÓPOLIS','SC',15402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358116,5.00,6.00,3.00,6.00,6.00,9.38,2.00,3.00,5.00,238,NULL,203,'TRINTA RÉIS','NOVA TRENTO','SC',9379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5358140,4.00,1.00,1.00,3.00,4.00,NULL,2.00,1.00,1.00,104,NULL,NULL,'CENTRO','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5358159,7.00,6.00,3.00,5.00,7.00,10.50,3.00,3.00,7.00,108,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8573,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5358167,2.00,4.00,2.00,3.00,4.00,NULL,0.00,3.00,3.00,201,NULL,203,'CENTRO','HUMAITÁ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5358175,3.00,1.00,0.00,1.00,3.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'L V NOVA COM UNIVERS','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5358213,5.00,5.00,0.00,5.00,6.00,NULL,0.00,3.00,1.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5358221,3.00,2.00,0.00,2.00,6.00,NULL,2.00,1.00,1.00,201,NULL,211,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5358230,5.00,2.00,2.00,7.00,9.00,6.38,2.00,2.00,0.00,5,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',15972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358248,8.00,5.00,3.00,8.00,7.00,6.38,2.00,4.00,4.00,453,NULL,NULL,'CORRÉGO GRANDE','FLORIANÓPOLIS','SC',7549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358264,5.00,5.00,2.00,1.00,4.00,NULL,1.00,1.00,2.00,212,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5358280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA CARVALHO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5358310,0.00,3.00,0.00,4.00,2.00,NULL,1.00,2.00,0.00,319,NULL,NULL,'NOSSA SENHORA PAZ','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5358329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5358337,4.00,3.00,2.00,4.00,6.00,NULL,1.00,1.00,4.00,101,NULL,NULL,'BOTAFOGO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5358353,6.00,7.00,2.00,5.00,3.00,NULL,0.00,2.00,2.00,302,NULL,NULL,'BARRO VERMELHO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5358361,2.00,3.00,0.00,3.00,6.00,NULL,1.00,0.00,3.00,652,NULL,651,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5358370,2.00,4.00,1.00,5.00,4.00,NULL,1.00,3.00,2.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5358388,2.00,3.00,4.00,4.00,4.00,8.63,1.00,3.00,5.00,203,NULL,202,'TAPERA','FLORIANÓPOLIS','SC',16138,980,NULL,524,NULL,NULL,NULL,2,1),(20,5358396,1.00,3.00,1.00,0.00,2.00,NULL,1.00,1.00,2.00,308,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5358418,6.00,5.00,3.00,7.00,8.00,10.13,3.00,2.00,5.00,104,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',10448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5358434,6.00,4.00,5.00,6.00,7.00,7.13,1.00,4.00,3.00,220,NULL,233,'CENTRO','CPO GRANDE','MS',10200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358442,1.00,2.00,1.00,6.00,5.00,NULL,3.00,1.00,1.00,203,NULL,213,'JARDIM PRAIAMAR','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5358450,4.00,8.00,0.00,7.00,7.00,7.88,1.00,3.00,4.00,453,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',12097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD PRESIDENTE KENNED','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5358477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5358485,4.00,4.00,0.00,6.00,7.00,NULL,1.00,3.00,4.00,329,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5358507,2.00,5.00,3.00,7.00,8.00,9.38,0.00,4.00,4.00,652,NULL,651,'CENTRO','BAL ARROIO SILVA','SC',13382,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5358515,7.00,4.00,1.00,5.00,8.00,9.00,5.00,6.00,5.00,103,NULL,NULL,'VILA FLORESTA I','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5358523,3.00,4.00,0.00,4.00,4.00,NULL,3.00,2.00,4.00,450,NULL,NULL,'MILANESE','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5358531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,426,'SAPOPEMBA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5358540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PARANATINGA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5358558,4.00,2.00,3.00,1.00,3.00,NULL,1.00,2.00,0.00,308,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358566,7.00,5.00,2.00,5.00,7.00,7.13,2.00,3.00,2.00,103,NULL,NULL,'SOLLAGE','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'ARIRIÚ DA FORMIGA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5358590,7.00,5.00,3.00,7.00,7.00,7.88,3.00,2.00,5.00,304,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',8465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358604,7.00,8.00,4.00,6.00,8.00,6.38,7.00,5.00,7.00,103,NULL,NULL,'LAR PARANÁ','CPO MOURÃO','PR',2929,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5358612,5.00,6.00,1.00,3.00,4.00,NULL,2.00,4.00,0.00,333,NULL,NULL,'PRESIDENTE KENNEDY','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5358620,6.00,6.00,4.00,6.00,4.00,9.00,1.00,3.00,5.00,103,NULL,NULL,'SANTO ANDRÉ','S LEOPOLDO','RS',8199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358639,2.00,2.00,2.00,3.00,5.00,NULL,3.00,1.00,3.00,303,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5358647,4.00,4.00,2.00,7.00,7.00,7.88,1.00,2.00,1.00,103,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',14785,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5358655,3.00,4.00,2.00,3.00,4.00,NULL,0.00,1.00,3.00,320,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5358663,1.00,6.00,1.00,4.00,6.00,NULL,0.00,3.00,3.00,309,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358680,6.00,7.00,2.00,6.00,6.00,9.00,2.00,4.00,6.00,316,NULL,NULL,'FAZENDA','ITAJAÍ','SC',9976,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5358698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5358710,4.00,4.00,3.00,5.00,6.00,9.00,5.00,4.00,6.00,108,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',12005,210,NULL,NULL,NULL,NULL,NULL,2,1),(20,5358736,7.00,6.00,4.00,7.00,9.00,12.00,3.00,2.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PEREQUÊ','PTO BELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5358752,6.00,6.00,5.00,2.00,9.00,7.88,5.00,5.00,7.00,202,NULL,213,'VILA MONTEIRO','FRANCA','SP',6493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5358779,4.00,5.00,1.00,4.00,4.00,10.50,1.00,4.00,2.00,9,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',15847,115,NULL,NULL,NULL,NULL,NULL,2,1),(20,5358787,4.00,4.00,3.00,5.00,4.00,NULL,0.00,4.00,2.00,304,NULL,NULL,'COSTEIRA DO PIRAJUAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5358795,1.00,4.00,0.00,2.00,2.00,NULL,1.00,1.00,3.00,653,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5358809,5.00,6.00,0.00,5.00,4.00,7.13,2.00,3.00,1.00,317,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5358817,2.00,4.00,2.00,4.00,5.00,NULL,1.00,1.00,2.00,502,NULL,NULL,'CENTRO','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5358825,3.00,4.00,2.00,4.00,4.00,NULL,1.00,0.00,2.00,101,NULL,NULL,'SÃO PEDRO','GUABIRUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5358833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5358841,2.00,2.00,1.00,1.00,3.00,NULL,1.00,2.00,3.00,653,NULL,203,'BEATRIZ','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5358850,3.00,8.00,4.00,5.00,4.00,9.00,1.00,3.00,2.00,201,NULL,212,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5358868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','S LUIZ GONZAGA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5358876,7.00,7.00,4.00,4.00,6.00,6.75,5.00,6.00,6.00,201,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',6060,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5358884,1.00,5.00,1.00,6.00,7.00,10.50,3.00,2.00,3.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15688,125,NULL,NULL,NULL,NULL,NULL,2,1),(20,5358906,3.00,5.00,0.00,2.00,3.00,NULL,0.00,1.00,4.00,502,NULL,NULL,'TRAVESSÃO','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5358930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5358957,9.00,8.00,5.00,7.00,9.00,8.25,5.00,5.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1634,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5358965,6.00,6.00,0.00,4.00,8.00,NULL,3.00,3.00,7.00,215,NULL,233,'GLÓRIA','IJUÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5358973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM ACLIMAÇÃO','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5358981,2.00,2.00,1.00,2.00,2.00,NULL,3.00,1.00,2.00,551,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5358990,5.00,0.00,1.00,5.00,5.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','SARANDI','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5359007,7.00,6.00,5.00,6.00,8.00,6.75,4.00,4.00,3.00,203,NULL,601,'INGLESES','FLORIANÓPOLIS','SC',7131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5359023,6.00,6.00,5.00,7.00,9.00,8.25,3.00,5.00,5.00,103,NULL,NULL,'ZONA I','UMUARAMA','PR',4489,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5359031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'FIGUEIRA','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5359058,1.00,4.00,0.00,1.00,4.00,NULL,1.00,1.00,2.00,302,NULL,NULL,'CENTRO','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5359066,2.00,7.00,0.00,4.00,5.00,NULL,1.00,0.00,5.00,5,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5359074,5.00,6.00,1.00,6.00,7.00,9.38,2.00,2.00,5.00,207,NULL,NULL,'CENTRO','LAGES','SC',9535,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5359082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5359090,7.00,7.00,3.00,3.00,10.00,7.88,5.00,3.00,5.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',5340,2239,NULL,NULL,NULL,NULL,NULL,2,5),(20,5359104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JARDIM PAULISTA','MOGI MIRIM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5359112,9.00,8.00,7.00,7.00,9.00,9.00,4.00,6.00,7.00,340,NULL,NULL,'VILA MARIANA','S PAULO','SP',1442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5359120,3.00,5.00,3.00,2.00,4.00,NULL,3.00,2.00,2.00,551,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5359139,7.00,6.00,0.00,7.00,7.00,6.75,1.00,4.00,3.00,316,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',12212,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5359147,4.00,6.00,1.00,7.00,5.00,7.88,3.00,2.00,2.00,214,NULL,203,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5359155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'VILA NOVA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5359163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'BREJARU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5359171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5359198,5.00,6.00,1.00,3.00,5.00,7.50,3.00,2.00,5.00,503,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5359201,7.00,5.00,2.00,6.00,5.00,6.75,3.00,3.00,5.00,303,NULL,NULL,'PANORAMA','FOZ IGUAÇU','PR',12000,494,NULL,NULL,NULL,NULL,NULL,4,6),(20,5359210,7.00,8.00,5.00,6.00,8.00,8.25,3.00,5.00,7.00,201,NULL,212,'JORDÃO','GOV CELSO RAMOS','SC',4468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5359228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5359252,5.00,2.00,0.00,2.00,7.00,NULL,0.00,0.00,1.00,207,NULL,208,'SERTÃO DO IMARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5359260,2.00,5.00,2.00,3.00,2.00,NULL,1.00,1.00,2.00,238,NULL,208,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5359279,8.00,8.00,4.00,7.00,5.00,6.00,2.00,4.00,5.00,331,NULL,NULL,'ALTO DO TAQUARAL','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5359295,7.00,6.00,2.00,4.00,6.00,10.13,3.00,2.00,3.00,103,NULL,NULL,'CENTRO','GR PARÁ','SC',12320,3454,NULL,NULL,NULL,NULL,NULL,2,10),(20,5359309,7.00,7.00,3.00,6.00,6.00,9.38,3.00,7.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5359317,7.00,7.00,3.00,6.00,5.00,10.50,3.00,3.00,5.00,316,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',8799,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5359325,4.00,4.00,0.00,1.00,3.00,NULL,2.00,1.00,0.00,104,NULL,NULL,'INTERIOR','QUILOMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5359333,8.00,8.00,5.00,7.00,5.00,8.25,5.00,5.00,6.00,201,NULL,212,'SANTA MONICA','FLORIANÓPOLIS','SC',3509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5359341,5.00,5.00,1.00,4.00,5.00,6.75,1.00,3.00,4.00,424,NULL,427,'CENTRO','ARIRANHA','SP',14665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5359350,4.00,5.00,2.00,6.00,6.00,9.38,5.00,3.00,3.00,420,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5359376,2.00,4.00,3.00,3.00,2.00,NULL,0.00,2.00,2.00,420,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5359384,2.00,2.00,0.00,4.00,4.00,NULL,2.00,1.00,2.00,108,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5359392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ÁUREA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5359422,3.00,3.00,1.00,3.00,5.00,NULL,4.00,2.00,3.00,203,NULL,NULL,'COHAB','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5359430,5.00,7.00,3.00,5.00,9.00,7.88,3.00,2.00,6.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5359449,4.00,5.00,2.00,4.00,3.00,NULL,2.00,0.00,2.00,324,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5359465,5.00,4.00,1.00,5.00,6.00,6.00,0.00,3.00,3.00,238,NULL,208,'ITACORUBI','FLORIANÓPOLIS','SC',13540,318,NULL,352,NULL,NULL,NULL,4,1),(20,5359473,7.00,7.00,0.00,4.00,4.00,5.25,3.00,2.00,4.00,327,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5359490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5359503,5.00,6.00,3.00,4.00,4.00,6.00,2.00,2.00,4.00,308,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5359511,4.00,8.00,2.00,6.00,5.00,6.38,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',15037,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5359520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5359554,7.00,3.00,1.00,6.00,6.00,9.38,3.00,3.00,5.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',9859,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5359562,4.00,5.00,0.00,6.00,6.00,8.25,2.00,2.00,3.00,108,NULL,NULL,'NAÇÕES','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5359570,6.00,5.00,4.00,7.00,3.00,NULL,3.00,3.00,5.00,103,NULL,NULL,'JARDIM TRANQUILIDADE','GUARULHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5359589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CESP','FERNANDÓPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5359597,7.00,7.00,4.00,7.00,9.00,7.50,3.00,4.00,5.00,203,NULL,208,'PRAIA COMPRIDA','S JOSÉ','SC',5512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5359600,4.00,3.00,0.00,5.00,6.00,NULL,1.00,2.00,4.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5359635,4.00,5.00,2.00,3.00,6.00,9.38,3.00,2.00,3.00,653,NULL,652,'MORRO ESTEVÃO','CRICIÚMA','SC',15496,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5359643,5.00,7.00,3.00,6.00,9.00,7.88,3.00,5.00,5.00,108,NULL,NULL,'VILA AYMORÉ','ARAPONGAS','PR',6530,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5359651,1.00,4.00,1.00,2.00,3.00,NULL,0.00,2.00,1.00,302,NULL,NULL,'LAGEADO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5359660,3.00,3.00,2.00,1.00,2.00,NULL,0.00,0.00,1.00,102,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5359686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5359694,3.00,6.00,2.00,7.00,3.00,NULL,1.00,3.00,3.00,318,NULL,NULL,'VILA BELA','MORRINHOS','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5359708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5359716,4.00,6.00,1.00,3.00,5.00,NULL,1.00,3.00,1.00,104,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5359732,4.00,4.00,1.00,4.00,3.00,NULL,0.00,1.00,3.00,326,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5359740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REAL PARQUE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5359775,6.00,5.00,4.00,3.00,4.00,8.63,4.00,5.00,8.00,214,NULL,213,'CENTRO','CURITIBA','PR',6105,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5359783,7.00,6.00,4.00,5.00,6.00,7.50,2.00,3.00,4.00,108,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',11892,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5359791,4.00,4.00,2.00,7.00,4.00,6.75,4.00,2.00,4.00,104,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5359805,4.00,2.00,2.00,3.00,4.00,NULL,1.00,2.00,3.00,202,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5359821,1.00,3.00,2.00,3.00,2.00,NULL,0.00,3.00,2.00,9,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5359830,2.00,3.00,2.00,4.00,5.00,NULL,1.00,0.00,3.00,404,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5359848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'VILA PREL','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5359856,0.00,3.00,3.00,2.00,2.00,NULL,1.00,3.00,4.00,429,NULL,423,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5359872,6.00,6.00,3.00,8.00,9.00,8.25,2.00,5.00,5.00,207,NULL,NULL,'CABRAL','CURITIBA','PR',6556,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5359899,3.00,4.00,3.00,0.00,5.00,NULL,3.00,2.00,3.00,601,NULL,203,'SETE DE SETEMBRO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5359902,4.00,6.00,1.00,5.00,6.00,8.25,2.00,3.00,3.00,301,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',13513,183,NULL,NULL,NULL,NULL,NULL,2,1),(20,5359937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5359945,9.00,5.00,3.00,6.00,8.00,10.50,6.00,3.00,7.00,103,NULL,NULL,'CHÁCARA DAS PEDRAS','PTO ALEGRE','RS',2743,1387,NULL,NULL,NULL,NULL,NULL,2,1),(20,5359953,4.00,7.00,3.00,6.00,7.00,9.75,3.00,4.00,5.00,201,NULL,212,'ARIRIU DA FORMIGA','PALHOÇA','SC',7665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5359961,2.00,1.00,0.00,2.00,3.00,NULL,0.00,1.00,3.00,308,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5359970,3.00,5.00,0.00,2.00,4.00,NULL,0.00,4.00,2.00,207,NULL,201,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5359988,2.00,3.00,0.00,3.00,2.00,NULL,0.00,1.00,1.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5360005,8.00,6.00,3.00,5.00,9.00,8.25,3.00,2.00,4.00,9,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10989,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5360013,4.00,5.00,1.00,1.00,5.00,7.88,4.00,3.00,3.00,653,NULL,201,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5360021,2.00,3.00,1.00,2.00,3.00,NULL,2.00,2.00,2.00,104,NULL,NULL,'BOA VISTA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5360048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'INTERIOR','S PAULO MISSÕES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5360064,3.00,3.00,1.00,3.00,3.00,NULL,2.00,2.00,5.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5360072,4.00,8.00,2.00,4.00,5.00,11.25,1.00,4.00,5.00,214,NULL,601,'SANTA CATARINA','JOINVILLE','SC',12832,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5360080,1.00,3.00,3.00,3.00,5.00,NULL,0.00,3.00,1.00,303,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360102,6.00,5.00,2.00,5.00,6.00,7.50,3.00,1.00,5.00,652,NULL,653,'CENTRO','CRICIÚMA','SC',15069,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5360110,7.00,7.00,4.00,4.00,9.00,9.00,4.00,4.00,7.00,104,NULL,NULL,'JARDIN DAS AVENIDAS','ARARANGUÁ','SC',4782,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5360129,5.00,4.00,3.00,4.00,5.00,7.88,3.00,2.00,3.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14347,97,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360137,4.00,6.00,3.00,6.00,6.00,9.75,3.00,2.00,3.00,201,NULL,202,'CENTRO','ENTRE RIOS','SC',10227,753,NULL,351,NULL,NULL,NULL,2,4),(20,5360153,1.00,5.00,2.00,2.00,3.00,NULL,1.00,1.00,2.00,652,NULL,653,'JAGUARARI','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5360196,7.00,7.00,6.00,6.00,7.00,11.63,3.00,3.00,4.00,238,NULL,208,'SERRARIA','S JOSÉ','SC',4394,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5360200,2.00,4.00,3.00,4.00,5.00,NULL,1.00,3.00,2.00,238,NULL,208,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5360218,7.00,8.00,4.00,6.00,9.00,8.25,5.00,4.00,7.00,103,NULL,NULL,'TARUMÃ','CURITIBA','PR',2781,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5360226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARISTA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5360242,4.00,5.00,1.00,5.00,7.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5360250,3.00,6.00,0.00,6.00,5.00,9.00,5.00,7.00,4.00,304,NULL,NULL,'PATRONATO','STA MARIA','RS',10634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360269,7.00,6.00,2.00,5.00,8.00,7.88,2.00,2.00,3.00,207,NULL,201,'CENTRO','STA MARIA','RS',11129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360277,4.00,3.00,1.00,3.00,4.00,NULL,1.00,0.00,2.00,428,NULL,426,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5360285,4.00,5.00,1.00,3.00,4.00,NULL,1.00,2.00,2.00,420,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5360307,8.00,7.00,4.00,7.00,6.00,9.75,3.00,7.00,8.00,103,NULL,NULL,'JARDIM ELIANE','APUCARANA','PR',2802,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5360315,0.00,3.00,1.00,3.00,5.00,NULL,1.00,2.00,4.00,451,NULL,NULL,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360331,4.00,7.00,1.00,7.00,6.00,10.88,1.00,3.00,4.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',13632,646,NULL,973,NULL,NULL,NULL,4,1),(20,5360340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ESTADOS','ESTRELA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5360366,7.00,6.00,3.00,7.00,8.00,6.75,3.00,3.00,5.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM VERANEIO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5360382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,203,'MINEIRA VELHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5360390,8.00,7.00,6.00,7.00,7.00,9.38,3.00,3.00,4.00,202,NULL,220,'BOM JESUS','CAÇADOR','SC',4783,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5360404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA NASSER','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5360412,2.00,3.00,0.00,3.00,0.00,NULL,3.00,3.00,3.00,653,NULL,NULL,'RIO AMERICA BAIXO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5360420,6.00,6.00,1.00,4.00,7.00,10.50,2.00,4.00,4.00,333,NULL,NULL,'JARDIM GUANABARA','RONDONÓPOLIS','MT',13058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360439,3.00,6.00,2.00,6.00,5.00,8.25,2.00,3.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5360463,9.00,7.00,3.00,6.00,8.00,8.63,6.00,7.00,8.00,103,NULL,NULL,'JARDIM UNIVERSITÁRIO','MARINGÁ','PR',1692,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5360471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,203,'MINEIRA VELHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5360498,5.00,7.00,1.00,3.00,7.00,7.88,3.00,2.00,4.00,109,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',14420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5360528,4.00,4.00,4.00,7.00,5.00,7.88,3.00,3.00,6.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',9271,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5360536,4.00,6.00,5.00,6.00,6.00,6.00,1.00,4.00,4.00,103,NULL,NULL,'JARDIM UNIVERSITARIO','MARINGÁ','PR',13256,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5360544,5.00,4.00,3.00,6.00,4.00,6.75,3.00,3.00,5.00,202,NULL,220,'VILA NOVA','FRANCISCO BELTRÃO','PR',11320,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5360560,8.00,4.00,4.00,7.00,9.00,9.75,4.00,6.00,6.00,303,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',3062,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5360579,3.00,3.00,0.00,6.00,3.00,NULL,1.00,2.00,2.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5360587,8.00,7.00,8.00,7.00,11.00,11.25,7.00,6.00,9.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',64,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360595,8.00,7.00,4.00,7.00,8.00,10.88,5.00,5.00,9.00,103,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',1415,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5360609,6.00,7.00,3.00,7.00,9.00,7.88,3.00,4.00,4.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360617,0.00,4.00,2.00,3.00,7.00,NULL,3.00,0.00,4.00,304,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5360625,6.00,8.00,3.00,4.00,5.00,9.00,2.00,3.00,7.00,102,NULL,NULL,'SÃO CRISTOVÃO','FRANCISCO BELTRÃO','PR',8014,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5360641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CIDADE ALTA','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5360650,8.00,6.00,2.00,6.00,6.00,NULL,0.00,6.00,7.00,103,NULL,NULL,'RESIDENCIAL FURLAN','STA BÁRBARA D OESTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360668,4.00,3.00,2.00,6.00,7.00,8.25,2.00,3.00,4.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',14400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM DAS PALMEIRAS','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5360706,9.00,7.00,5.00,7.00,7.00,8.63,6.00,3.00,7.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',2772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360714,4.00,5.00,1.00,4.00,6.00,9.75,4.00,2.00,4.00,331,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',13806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5360722,6.00,7.00,1.00,7.00,7.00,9.00,3.00,2.00,5.00,201,NULL,212,'CENTRO','FOZ IGUAÇU','PR',6837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360749,5.00,5.00,2.00,5.00,7.00,7.13,1.00,2.00,3.00,415,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',15907,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5360757,4.00,7.00,4.00,4.00,4.00,7.50,3.00,2.00,6.00,201,NULL,216,'CENTRO','CASCAVEL','PR',12653,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5360765,6.00,7.00,4.00,7.00,5.00,11.63,5.00,4.00,5.00,415,NULL,NULL,'JARDIM ALVOIRADA','MARINGÁ','PR',4781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360773,2.00,2.00,0.00,1.00,4.00,NULL,0.00,2.00,2.00,651,NULL,652,'JARDIM ULTRAMAR','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5360790,6.00,7.00,6.00,5.00,6.00,9.75,5.00,6.00,5.00,203,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',5620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360811,4.00,6.00,3.00,3.00,3.00,NULL,1.00,3.00,4.00,208,NULL,238,'MINEIRA NOVA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5360820,4.00,4.00,1.00,6.00,7.00,12.38,0.00,4.00,2.00,5,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',13286,435,NULL,NULL,NULL,NULL,NULL,4,3),(20,5360838,8.00,6.00,6.00,6.00,5.00,7.50,5.00,3.00,8.00,103,NULL,NULL,'FLAMBOYANT','APUCARANA','PR',4876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MONTE CARLO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5360854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'NOSSA SENHORA FATIMA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5360862,3.00,3.00,1.00,5.00,4.00,NULL,1.00,1.00,2.00,102,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5360870,7.00,6.00,1.00,5.00,6.00,10.13,1.00,4.00,5.00,201,NULL,NULL,'TV MORENA','CPO GRANDE','MS',8804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360900,4.00,3.00,1.00,3.00,3.00,NULL,0.00,3.00,2.00,551,NULL,NULL,'CENTRO','GUARUJÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5360927,5.00,3.00,2.00,5.00,4.00,7.50,1.00,4.00,6.00,103,NULL,NULL,'GIOCONDO ORSI','CPO GRANDE','MS',14331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5360935,8.00,9.00,7.00,6.00,9.00,9.75,6.00,5.00,8.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360943,9.00,6.00,3.00,7.00,7.00,10.50,4.00,3.00,8.00,103,NULL,NULL,'VILA CELIA','CPO GRANDE','MS',3661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360951,8.00,5.00,5.00,8.00,6.00,8.25,5.00,2.00,5.00,207,NULL,201,'CENTRO','CURITIBA','PR',4675,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5360978,8.00,6.00,4.00,7.00,7.00,7.13,3.00,2.00,4.00,201,NULL,212,'EUNICE','CACHOEIRINHA','RS',5874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5360994,4.00,5.00,4.00,7.00,7.00,8.25,3.00,2.00,5.00,207,NULL,211,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361001,9.00,7.00,7.00,5.00,7.00,10.88,6.00,6.00,8.00,103,NULL,NULL,'PIRATININGA','CPO GRANDE','MS',792,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5361010,6.00,5.00,2.00,6.00,7.00,9.75,2.00,5.00,3.00,5,NULL,NULL,'FORTALEZA','BLUMENAU','SC',12201,391,NULL,NULL,NULL,NULL,NULL,4,2),(20,5361036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5361044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARIA IZABEL','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5361079,3.00,7.00,0.00,4.00,8.00,NULL,1.00,1.00,3.00,452,NULL,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5361087,5.00,7.00,4.00,6.00,7.00,10.50,4.00,3.00,4.00,201,NULL,NULL,'ROYAL PARK','CPO GRANDE','MS',8040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361095,7.00,2.00,5.00,2.00,6.00,6.38,2.00,3.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',12176,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5361117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5361125,7.00,6.00,4.00,5.00,4.00,4.50,1.00,4.00,4.00,220,NULL,203,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5361133,8.00,6.00,3.00,7.00,6.00,0.00,2.00,4.00,6.00,103,NULL,NULL,'CARANDA BOSQUE I','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361150,4.00,7.00,5.00,5.00,5.00,8.63,2.00,5.00,7.00,216,NULL,215,'VILA NOVA ALVORADA','IMBITUBA','SC',8311,347,NULL,NULL,NULL,NULL,NULL,2,10),(20,5361168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA MARABÁ','MARABÁ','PA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5361176,2.00,4.00,4.00,1.00,3.00,NULL,0.00,3.00,2.00,3,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361184,9.00,5.00,8.00,7.00,9.00,11.25,5.00,5.00,8.00,103,NULL,NULL,'VILA NEUSA','PIRAPOZINHO','SP',285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361206,5.00,6.00,2.00,2.00,6.00,7.13,3.00,4.00,4.00,104,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',14101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5361222,3.00,8.00,4.00,6.00,7.00,6.75,1.00,1.00,2.00,501,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',13925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361249,8.00,7.00,5.00,7.00,6.00,10.88,2.00,6.00,8.00,336,NULL,NULL,'CENTRO','STA CRUZ SUL','RS',2027,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5361257,7.00,6.00,7.00,7.00,9.00,9.75,2.00,5.00,7.00,103,NULL,NULL,'DOIS CORREGOS','VALINHOS','SP',4010,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5361265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','GUARATUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5361273,4.00,5.00,0.00,2.00,6.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361281,7.00,4.00,4.00,7.00,9.00,8.63,4.00,5.00,5.00,103,NULL,NULL,'VILA RAU','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5361290,7.00,5.00,3.00,7.00,3.00,NULL,1.00,4.00,2.00,340,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361303,7.00,6.00,2.00,5.00,4.00,6.38,1.00,4.00,3.00,303,NULL,NULL,'CENTRO','MAFRA','SC',13626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361320,2.00,3.00,2.00,2.00,1.00,NULL,0.00,0.00,2.00,9,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5361338,8.00,0.00,1.00,6.00,9.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5361346,6.00,4.00,3.00,7.00,6.00,8.25,3.00,3.00,4.00,220,NULL,208,'COQUEIROS','FLORIANÓPOLIS','SC',9138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361354,3.00,6.00,2.00,6.00,2.00,NULL,3.00,2.00,2.00,318,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361362,5.00,2.00,4.00,6.00,6.00,9.00,1.00,3.00,5.00,238,NULL,NULL,'ROSÁRIO','STA MARIA','RS',13491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5361370,5.00,6.00,0.00,3.00,6.00,7.13,1.00,1.00,4.00,404,NULL,NULL,'SÃO CRISTÓVÃO','NOVA PRATA','RS',16107,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5361389,3.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,3.00,301,NULL,NULL,'BELA VISTA III','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5361419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5361427,2.00,5.00,1.00,4.00,0.00,NULL,1.00,1.00,3.00,415,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5361435,4.00,7.00,5.00,7.00,7.00,8.63,3.00,3.00,6.00,201,NULL,212,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',8526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM BONGIOVANI','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5361451,3.00,8.00,3.00,2.00,3.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'SANTA AUGUSTA','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5361460,7.00,8.00,4.00,6.00,7.00,10.50,4.00,1.00,6.00,425,NULL,426,'INGLESES','FLORIANÓPOLIS','SC',4883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BRASILIA','MOGI MIRIM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5361494,8.00,7.00,6.00,7.00,7.00,11.25,6.00,6.00,8.00,220,NULL,214,'JARDIM SHANGRILA','BAURU','SP',1099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361516,9.00,7.00,7.00,7.00,8.00,8.25,6.00,6.00,9.00,103,NULL,NULL,'CENTRO','CAP LEÔNIDAS MARQUES','PR',884,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5361532,3.00,6.00,2.00,2.00,5.00,NULL,0.00,2.00,5.00,101,NULL,NULL,'CENTRO','TRÊS CACHOEIRAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5361540,5.00,5.00,3.00,2.00,3.00,NULL,2.00,5.00,3.00,425,NULL,429,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5361559,4.00,3.00,5.00,5.00,8.00,6.38,3.00,2.00,3.00,451,NULL,NULL,'CENTRO','CRICIÚMA','SC',15256,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5361567,9.00,6.00,4.00,7.00,10.00,8.63,4.00,3.00,4.00,207,NULL,201,'RIO BRANCO','PTO ALEGRE','RS',5061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361575,4.00,4.00,3.00,2.00,3.00,NULL,4.00,4.00,2.00,653,NULL,NULL,'VILA BEATRIZ','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5361591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUARUJÁ','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5361605,5.00,5.00,0.00,5.00,7.00,NULL,0.00,2.00,4.00,104,NULL,NULL,'CENTRO','CAIBI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5361613,4.00,4.00,0.00,2.00,2.00,NULL,2.00,4.00,3.00,444,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5361621,5.00,3.00,4.00,7.00,4.00,8.25,4.00,4.00,4.00,208,NULL,203,'ALTO DAS PALMEIRAS','CANOINHAS','SC',10515,223,NULL,752,NULL,NULL,NULL,4,17),(20,5361630,4.00,4.00,3.00,6.00,5.00,9.38,2.00,3.00,5.00,451,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5361648,3.00,3.00,1.00,6.00,6.00,NULL,1.00,2.00,3.00,420,NULL,NULL,'PORTAL','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5361680,5.00,6.00,1.00,3.00,8.00,8.25,2.00,4.00,4.00,101,NULL,NULL,'JARDIM MORADO DO SOL','HERVAL D OESTE','SC',12634,56,NULL,NULL,NULL,NULL,NULL,2,7),(20,5361699,9.00,8.00,9.00,7.00,11.00,12.00,9.00,6.00,9.00,220,NULL,238,'SANTA MÔNICA','FLORIANÓPOLIS','SC',12,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361702,6.00,6.00,4.00,6.00,7.00,7.13,2.00,1.00,5.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361710,3.00,6.00,1.00,3.00,8.00,NULL,2.00,2.00,3.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5361729,4.00,4.00,1.00,7.00,4.00,7.13,0.00,2.00,4.00,301,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15431,221,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361737,3.00,7.00,3.00,4.00,6.00,7.88,1.00,1.00,5.00,320,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5361753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5361761,6.00,6.00,2.00,7.00,8.00,11.25,1.00,2.00,4.00,103,NULL,NULL,'KOLLER','ERECHIM','RS',9540,3103,NULL,NULL,NULL,NULL,NULL,2,4),(20,5361770,3.00,6.00,2.00,3.00,5.00,7.88,3.00,5.00,5.00,429,NULL,421,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361788,3.00,5.00,2.00,1.00,3.00,NULL,0.00,4.00,4.00,452,NULL,NULL,'GRAMA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5361796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'TRIANON','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5361818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO PELEGRINO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5361826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5361834,9.00,7.00,1.00,6.00,7.00,9.38,4.00,3.00,5.00,203,NULL,201,'VILA EMA','S JOSÉ CAMPOS','SP',4910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5361842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'INTERIOR','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5361850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VIADUTO','IGREJINHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5361869,1.00,4.00,0.00,2.00,3.00,NULL,2.00,1.00,2.00,110,NULL,NULL,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5361877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','COLÍDER','MT',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5361885,4.00,7.00,2.00,6.00,9.00,8.63,1.00,3.00,5.00,103,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5361893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO ANTÃO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5361907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BOTANICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5361915,3.00,4.00,4.00,4.00,4.00,4.13,3.00,2.00,3.00,201,NULL,203,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5361931,3.00,3.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'RESTINGA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5361966,3.00,2.00,1.00,3.00,1.00,NULL,0.00,4.00,2.00,102,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5361974,3.00,0.00,4.00,3.00,4.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','S LUIZ GONZAGA','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,2),(20,5362016,3.00,4.00,1.00,3.00,5.00,NULL,1.00,1.00,0.00,303,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362024,4.00,5.00,2.00,6.00,2.00,NULL,1.00,2.00,3.00,340,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5362040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COROA DO MEIO','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5362067,8.00,9.00,5.00,5.00,5.00,8.25,6.00,4.00,7.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',3092,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5362075,8.00,6.00,7.00,7.00,10.00,8.63,8.00,4.00,8.00,103,NULL,NULL,'CENTRO','TAPEJARA','PR',646,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5362083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'SETE DE SETEMBRO','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5362091,4.00,5.00,1.00,5.00,3.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'MARIFLOR INTERIOR','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5362121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRAL PARK RESIDEN','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5362148,4.00,5.00,1.00,3.00,3.00,NULL,2.00,4.00,4.00,2,NULL,NULL,'RIBEIRÃO','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362156,2.00,1.00,6.00,1.00,3.00,NULL,1.00,2.00,2.00,310,NULL,NULL,'ANDREATTA','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5362180,3.00,6.00,2.00,2.00,4.00,NULL,0.00,2.00,2.00,101,NULL,NULL,'SANTA CATARINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5362199,2.00,7.00,3.00,4.00,4.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'BELA VISTA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5362229,2.00,1.00,1.00,4.00,3.00,NULL,1.00,0.00,2.00,201,NULL,212,'JARDIM SÃO NICOLAU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5362245,8.00,8.00,4.00,6.00,9.00,6.75,2.00,4.00,6.00,104,NULL,NULL,'JARDIM CANADÁ','CPO GRANDE','MS',6321,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5362261,4.00,6.00,3.00,3.00,5.00,6.00,4.00,3.00,3.00,215,NULL,233,'VILA MORANGUEIRA','MARINGÁ','PR',15004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362270,8.00,6.00,5.00,7.00,9.00,10.13,4.00,6.00,6.00,216,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',1689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5362288,1.00,3.00,1.00,4.00,5.00,NULL,2.00,1.00,3.00,308,NULL,NULL,'AREIAS','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5362300,6.00,7.00,5.00,5.00,5.00,6.75,1.00,7.00,5.00,450,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',9162,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362318,4.00,6.00,0.00,5.00,5.00,9.00,3.00,3.00,4.00,207,NULL,208,'CAMPO DA ÁGUA VERDE','CANOINHAS','SC',13546,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5362326,5.00,5.00,1.00,5.00,7.00,7.13,3.00,2.00,3.00,9,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362334,6.00,6.00,1.00,2.00,3.00,NULL,3.00,2.00,7.00,103,NULL,NULL,'CENTRO','TRINDADE SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5362350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,423,'JARDIM ADÉLIA','AMPARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5362369,2.00,3.00,3.00,3.00,3.00,NULL,2.00,2.00,4.00,9,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362377,7.00,7.00,3.00,5.00,6.00,9.38,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','TRINDADE SUL','RS',6679,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5362385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5362393,1.00,3.00,1.00,3.00,3.00,NULL,3.00,2.00,5.00,103,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5362407,4.00,5.00,4.00,4.00,5.00,NULL,0.00,3.00,0.00,102,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5362431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,202,'SANTA LUZIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5362440,0.00,3.00,2.00,4.00,6.00,NULL,1.00,2.00,0.00,423,NULL,424,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5362458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,421,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5362466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VARJOTA','FORTALEZA','CE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5362474,2.00,2.00,1.00,4.00,1.00,NULL,1.00,1.00,2.00,9,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5362504,5.00,5.00,3.00,6.00,4.00,7.88,2.00,4.00,3.00,203,NULL,201,'ITAPARICA','VL VELHA','ES',10495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5362539,0.00,4.00,0.00,0.00,3.00,NULL,1.00,3.00,2.00,444,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5362555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5362571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5362580,5.00,3.00,4.00,5.00,4.00,7.13,4.00,0.00,3.00,444,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5362598,2.00,4.00,1.00,2.00,3.00,NULL,1.00,3.00,2.00,201,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362601,3.00,4.00,1.00,2.00,3.00,NULL,2.00,2.00,3.00,425,NULL,429,'CENTRO','IMBUIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5362610,0.00,5.00,0.00,0.00,0.00,NULL,1.00,3.00,3.00,336,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5362628,3.00,6.00,1.00,5.00,3.00,NULL,1.00,0.00,2.00,444,NULL,NULL,'CERÂMICA','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','REGISTRO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5362652,2.00,7.00,3.00,7.00,4.00,8.25,3.00,1.00,6.00,212,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',12858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5362660,1.00,5.00,4.00,3.00,8.00,8.63,1.00,2.00,4.00,207,NULL,201,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5362679,3.00,4.00,1.00,6.00,3.00,NULL,3.00,2.00,3.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5362695,3.00,4.00,2.00,2.00,3.00,NULL,2.00,3.00,6.00,337,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362709,4.00,5.00,3.00,3.00,6.00,4.13,2.00,3.00,3.00,317,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362717,6.00,7.00,5.00,6.00,7.00,8.63,3.00,5.00,6.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',5196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5362725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5362733,4.00,6.00,2.00,2.00,6.00,8.25,1.00,6.00,3.00,224,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362750,5.00,6.00,1.00,7.00,6.00,6.75,0.00,3.00,4.00,102,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5362776,5.00,7.00,4.00,5.00,7.00,6.75,3.00,3.00,7.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5362784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5362792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5362814,4.00,5.00,1.00,4.00,6.00,8.25,0.00,3.00,4.00,316,NULL,NULL,'NATIVIDADE','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362822,9.00,8.00,4.00,5.00,9.00,10.88,7.00,5.00,6.00,103,NULL,NULL,'FLAMBOYANT','CPO GRANDE','MS',1223,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5362830,4.00,6.00,5.00,5.00,4.00,8.25,3.00,3.00,5.00,238,NULL,208,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',13283,306,NULL,340,NULL,NULL,NULL,2,1),(20,5362857,5.00,3.00,3.00,7.00,6.00,7.50,2.00,3.00,6.00,203,NULL,220,'CASSINO','RIO GRANDE','RS',9530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5362865,5.00,6.00,1.00,8.00,4.00,8.63,3.00,4.00,3.00,340,NULL,NULL,'GALÓPOLIS','CAXIAS SUL','RS',10799,NULL,NULL,NULL,NULL,NULL,NULL,5,9),(20,5362873,4.00,4.00,0.00,4.00,4.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5362890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',3,3),(20,5362903,3.00,3.00,2.00,3.00,4.00,NULL,3.00,1.00,3.00,503,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362911,9.00,8.00,7.00,6.00,8.00,6.75,3.00,3.00,6.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5362920,6.00,7.00,4.00,4.00,5.00,6.75,3.00,4.00,5.00,316,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',11007,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362946,7.00,6.00,7.00,6.00,5.00,8.63,6.00,2.00,6.00,233,NULL,NULL,'CENTRO','GUABIRUBA','SC',4897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5362954,6.00,8.00,4.00,7.00,10.00,9.38,5.00,8.00,5.00,207,NULL,NULL,'TARUMA','CURITIBA','PR',1388,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5362970,9.00,9.00,8.00,6.00,8.00,10.13,6.00,2.00,8.00,103,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',1244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362989,3.00,5.00,3.00,1.00,4.00,NULL,0.00,2.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5362997,7.00,7.00,1.00,6.00,6.00,8.25,2.00,5.00,3.00,319,NULL,NULL,'CENTRO','XAXIM','SC',10366,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5363012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'SÃO LUIZ','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5363020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR SUL','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5363039,3.00,3.00,1.00,3.00,4.00,NULL,3.00,2.00,3.00,203,NULL,220,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5363055,3.00,5.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,201,NULL,216,'ILHOTINHA','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5363071,3.00,5.00,2.00,3.00,3.00,NULL,4.00,3.00,4.00,203,NULL,202,'ARMACAO DO PANTANO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5363080,4.00,5.00,1.00,5.00,6.00,7.50,2.00,1.00,5.00,333,NULL,NULL,'BELA VISTA','PTO ALEGRE','RS',13880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363098,4.00,6.00,1.00,2.00,1.00,NULL,0.00,2.00,3.00,201,NULL,207,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363101,5.00,8.00,5.00,3.00,6.00,9.75,4.00,4.00,5.00,601,NULL,NULL,'COMASA','JOINVILLE','SC',8132,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5363110,8.00,5.00,4.00,8.00,8.00,8.63,3.00,5.00,8.00,104,NULL,NULL,'BOA VISTA','CURITIBA','PR',2851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363128,3.00,5.00,5.00,4.00,7.00,12.00,2.00,3.00,3.00,238,NULL,235,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5363136,8.00,8.00,4.00,7.00,9.00,8.63,3.00,8.00,2.00,450,NULL,NULL,'BONFIM','PIRENÓPOLIS','GO',3340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363144,6.00,6.00,6.00,6.00,8.00,8.63,3.00,4.00,8.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3590,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5363187,6.00,8.00,1.00,7.00,9.00,7.88,3.00,3.00,5.00,103,NULL,NULL,'JARDIM ISMÊNIA','S JOSÉ CAMPOS','SP',8418,2905,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363195,3.00,4.00,1.00,3.00,5.00,NULL,0.00,3.00,4.00,203,NULL,207,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363209,5.00,5.00,1.00,5.00,5.00,6.38,0.00,2.00,5.00,428,NULL,426,'ITACORUBI','FLORIANÓPOLIS','SC',15959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363217,2.00,0.00,2.00,6.00,4.00,NULL,0.00,0.00,0.00,203,NULL,653,'JARDIM ANGELICA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',5,5),(20,5363225,6.00,5.00,3.00,5.00,7.00,8.63,2.00,4.00,3.00,652,NULL,651,'FLORESTA','PTO ALEGRE','RS',9564,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5363250,7.00,7.00,4.00,7.00,8.00,7.88,4.00,4.00,9.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',3479,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5363268,4.00,4.00,2.00,5.00,5.00,8.63,1.00,2.00,4.00,233,NULL,213,'CENTRO','CAPIVARI','SP',14123,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5363276,5.00,6.00,1.00,4.00,8.00,6.75,2.00,2.00,5.00,317,NULL,NULL,'CENTRO','TIJUCAS','SC',13667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA ANDIRÁ','ANDIRÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5363292,3.00,5.00,2.00,3.00,5.00,NULL,4.00,1.00,2.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5363306,4.00,5.00,5.00,6.00,5.00,6.75,5.00,4.00,5.00,202,NULL,213,'CARVOEIRA','FLORIANÓPOLIS','SC',8833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363314,4.00,4.00,1.00,4.00,4.00,NULL,0.00,1.00,3.00,423,NULL,426,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5363322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'TATUAPÉ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5363349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM DAS FLORES','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5363357,3.00,2.00,1.00,4.00,3.00,NULL,2.00,2.00,3.00,425,NULL,NULL,'SOMBRIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363365,5.00,4.00,0.00,5.00,1.00,NULL,1.00,4.00,2.00,203,NULL,NULL,'CENTRO','ITAPETININGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363373,6.00,4.00,4.00,6.00,5.00,8.63,3.00,3.00,3.00,238,NULL,208,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363381,7.00,6.00,2.00,1.00,5.00,6.75,2.00,5.00,3.00,203,NULL,201,'LINHA MONTE ALEGRE','ERVAL VELHO','SC',12842,859,NULL,919,NULL,NULL,NULL,4,7),(20,5363390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5363403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BARIRI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5363411,5.00,6.00,3.00,2.00,2.00,NULL,0.00,2.00,2.00,336,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5363420,4.00,4.00,1.00,4.00,4.00,9.75,3.00,3.00,4.00,335,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5363438,1.00,6.00,0.00,3.00,4.00,NULL,2.00,1.00,3.00,203,NULL,216,'CENTRO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5363446,7.00,4.00,2.00,6.00,9.00,10.50,1.00,3.00,5.00,429,NULL,425,'SAMBAQUI','FLORIANÓPOLIS','SC',10262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363462,2.00,3.00,2.00,3.00,0.00,NULL,3.00,2.00,0.00,216,NULL,233,'CENTRO','ITAIÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5363470,7.00,3.00,3.00,7.00,5.00,11.25,1.00,4.00,5.00,208,NULL,207,'FLORESTA','JOINVILLE','SC',9359,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5363489,4.00,5.00,2.00,5.00,4.00,8.25,2.00,2.00,4.00,108,NULL,NULL,'FLORESTA','CAXIAS SUL','RS',15274,295,NULL,NULL,NULL,NULL,NULL,2,1),(20,5363497,4.00,2.00,1.00,2.00,4.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'INTRIOR','PLANALTO ALEGRE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5363500,4.00,3.00,1.00,4.00,4.00,NULL,1.00,2.00,3.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5363519,0.00,4.00,2.00,5.00,4.00,NULL,0.00,3.00,3.00,326,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5363527,3.00,5.00,3.00,5.00,6.00,NULL,1.00,1.00,2.00,404,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5363543,9.00,7.00,6.00,7.00,5.00,12.38,7.00,5.00,8.00,103,NULL,NULL,'CENTRO','EUNÁPOLIS','BA',544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363551,1.00,5.00,0.00,4.00,5.00,NULL,1.00,2.00,4.00,208,NULL,NULL,'JARDIM DAS ACACIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5363560,8.00,8.00,6.00,8.00,10.00,8.25,6.00,7.00,4.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',1342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363586,9.00,7.00,8.00,8.00,11.00,9.00,8.00,5.00,8.00,103,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363608,5.00,4.00,3.00,6.00,9.00,10.13,1.00,3.00,4.00,103,NULL,NULL,'CRISTO REI','ESTRELA','RS',8697,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5363616,6.00,7.00,4.00,2.00,9.00,6.75,4.00,3.00,5.00,201,NULL,207,'AGRONÔMICA','FLORIANÓPOLIS','SC',9058,651,NULL,410,NULL,NULL,NULL,2,1),(20,5363624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM RIO VERDE','COLOMBO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5363632,7.00,6.00,3.00,6.00,9.00,9.75,3.00,8.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2522,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5363640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CENTRO','CNSO LAFAIETE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5363659,4.00,4.00,1.00,5.00,4.00,7.13,3.00,3.00,4.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363667,5.00,7.00,2.00,8.00,6.00,9.00,5.00,3.00,4.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',9919,175,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363675,4.00,4.00,0.00,0.00,3.00,NULL,2.00,2.00,5.00,104,NULL,NULL,'TIRADENTES','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5363683,7.00,7.00,4.00,3.00,6.00,4.50,3.00,3.00,7.00,203,NULL,601,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5363705,8.00,9.00,6.00,7.00,8.00,7.50,4.00,6.00,6.00,214,NULL,213,'CENTRO','TERRA ROXA','SP',2624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5363721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5363756,7.00,7.00,3.00,7.00,7.00,9.38,2.00,4.00,6.00,103,NULL,NULL,'MOINHOS','LAJEADO','RS',4750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363780,1.00,5.00,1.00,6.00,8.00,7.88,2.00,3.00,3.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363799,8.00,6.00,7.00,8.00,9.00,9.38,7.00,6.00,8.00,103,NULL,NULL,'VILA GOMES','S PAULO','SP',943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5363802,4.00,4.00,1.00,4.00,4.00,NULL,0.00,2.00,3.00,318,NULL,NULL,'PIO CORREIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5363810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CAMPO BELO','PINDAMONHANGABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5363829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5363837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'COLONIAL','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5363861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'POÇO DA LONTRA','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5363870,9.00,8.00,5.00,3.00,7.00,7.13,5.00,4.00,7.00,103,NULL,NULL,'VILA SAO JOAO','IRATI','PR',4154,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5363888,2.00,4.00,1.00,4.00,4.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5363896,5.00,7.00,2.00,4.00,5.00,8.25,3.00,2.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13084,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5363918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'SANTA ROSA','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5363926,4.00,5.00,4.00,3.00,7.00,9.75,4.00,3.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12735,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5363934,4.00,5.00,4.00,5.00,6.00,7.13,1.00,3.00,3.00,303,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5363942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'REGIÃO DO LAGO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5363950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5363969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MONTE VERDE','CÁCERES','MT',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5363977,4.00,4.00,2.00,6.00,3.00,NULL,3.00,2.00,3.00,652,NULL,NULL,'SANTO ANTONIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5363985,7.00,6.00,5.00,2.00,4.00,6.75,3.00,2.00,4.00,302,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',14842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'VILA OPERÁRIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5364043,2.00,2.00,0.00,2.00,3.00,NULL,1.00,4.00,2.00,238,NULL,216,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364051,2.00,3.00,3.00,2.00,7.00,6.75,3.00,3.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364060,6.00,5.00,2.00,7.00,5.00,6.38,2.00,3.00,6.00,208,NULL,238,'COPACABANA','UBERLÂNDIA','MG',10461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364078,3.00,6.00,2.00,6.00,5.00,8.63,1.00,4.00,5.00,653,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',13900,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5364094,5.00,5.00,0.00,7.00,7.00,NULL,2.00,1.00,4.00,427,NULL,429,'CENTRO II','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5364108,6.00,7.00,3.00,4.00,4.00,7.13,3.00,5.00,5.00,225,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',11528,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5364124,3.00,4.00,0.00,4.00,3.00,NULL,0.00,1.00,2.00,102,NULL,NULL,'CENTRO','GETÚLIO VARGAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364132,8.00,6.00,4.00,7.00,8.00,8.63,3.00,3.00,6.00,220,NULL,203,'JARDIM KENNEDY','CUIABÁ','MT',4765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364140,8.00,6.00,2.00,4.00,8.00,9.00,4.00,6.00,5.00,201,NULL,207,'IPIRANGA','S JOSÉ','SC',7600,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5364159,3.00,6.00,2.00,3.00,5.00,6.00,2.00,2.00,5.00,404,NULL,NULL,'FAZENDA VELHA','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5364167,7.00,7.00,4.00,6.00,11.00,10.13,5.00,2.00,6.00,103,NULL,NULL,'JARDIM SÃO LUIZ','RIBEIRÃO PRETO','SP',3099,1520,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364175,1.00,2.00,3.00,0.00,1.00,NULL,2.00,2.00,0.00,425,NULL,428,'PASSO MANSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5364183,9.00,8.00,5.00,5.00,7.00,8.25,5.00,5.00,7.00,103,NULL,NULL,'ZONA I','UMUARAMA','PR',2404,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5364191,8.00,7.00,4.00,7.00,9.00,10.50,2.00,4.00,4.00,104,NULL,NULL,'VILA PINTO','PALMEIRA MISSÕES','RS',4682,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5364205,6.00,4.00,4.00,3.00,8.00,6.00,4.00,3.00,7.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364213,2.00,4.00,3.00,5.00,0.00,NULL,1.00,1.00,3.00,214,NULL,212,'ATERRADO ALTO','MTE CASTELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5364221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'NOGUEIRA','GUARAREMA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5364230,9.00,6.00,5.00,6.00,6.00,8.25,6.00,4.00,6.00,203,NULL,214,'CENTRO','LONDRINA','PR',3008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5364256,6.00,6.00,5.00,6.00,8.00,9.75,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','S BORJA','RS',6929,2635,NULL,NULL,NULL,NULL,NULL,2,4),(20,5364272,6.00,5.00,4.00,7.00,7.00,8.25,2.00,3.00,3.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364280,2.00,5.00,1.00,3.00,2.00,NULL,2.00,3.00,3.00,301,NULL,NULL,'CENTRO','STO ANTÔNIO SUDOESTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5364302,3.00,5.00,2.00,7.00,8.00,10.50,1.00,4.00,6.00,207,NULL,201,'FLORESTA','JOINVILLE','SC',9764,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5364310,5.00,4.00,4.00,4.00,6.00,6.75,3.00,2.00,5.00,108,NULL,NULL,'CENTRO','MEDIANEIRA','PR',13127,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5364329,5.00,5.00,3.00,6.00,4.00,11.63,1.00,4.00,6.00,303,NULL,NULL,'BELA VISTA','GOIÂNIA','GO',9932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364337,3.00,3.00,1.00,4.00,2.00,NULL,3.00,2.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5364345,4.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,9),(20,5364353,7.00,5.00,4.00,5.00,9.00,9.38,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','JANDAIA SUL','PR',4813,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5364361,6.00,6.00,3.00,6.00,8.00,9.00,1.00,5.00,2.00,318,NULL,NULL,'DEHON','TUBARÃO','SC',10066,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5364370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'SALTO','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5364388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5364396,6.00,4.00,4.00,5.00,4.00,6.00,0.00,2.00,3.00,333,NULL,NULL,'TESTO SALTO','BLUMENAU','SC',15222,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5364418,5.00,8.00,3.00,5.00,7.00,4.50,3.00,6.00,7.00,212,NULL,213,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5364442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5364469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5364477,9.00,6.00,6.00,6.00,9.00,7.88,3.00,6.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3140,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5364485,7.00,7.00,1.00,6.00,10.00,9.00,5.00,3.00,3.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364493,1.00,5.00,1.00,4.00,4.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5364507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5364515,6.00,5.00,3.00,7.00,6.00,10.50,2.00,2.00,3.00,303,NULL,NULL,'ASA SUL','BRASÍLIA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364523,6.00,5.00,4.00,2.00,3.00,NULL,1.00,1.00,3.00,501,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5364531,8.00,9.00,6.00,5.00,5.00,9.00,5.00,6.00,9.00,211,NULL,233,'CENTRO','TIMBÓ','SC',2364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364540,4.00,5.00,1.00,6.00,9.00,9.00,2.00,2.00,3.00,452,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',13336,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5364558,3.00,2.00,2.00,6.00,6.00,NULL,0.00,3.00,3.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364574,7.00,8.00,3.00,6.00,4.00,7.88,3.00,4.00,6.00,103,NULL,NULL,'MONT SERRAT','PTO ALEGRE','RS',7904,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5364582,7.00,0.00,1.00,5.00,5.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SÃO BRÁS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(20,5364590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA FÉ','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5364604,8.00,8.00,5.00,7.00,6.00,9.38,4.00,4.00,9.00,103,NULL,NULL,'UNIVERSITARIO','MARINGÁ','PR',1730,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5364612,9.00,9.00,5.00,6.00,7.00,12.38,6.00,7.00,7.00,103,NULL,NULL,'SANTA AUGUSTA','CRICIÚMA','SC',427,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5364620,3.00,6.00,1.00,4.00,3.00,NULL,1.00,2.00,4.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5364639,5.00,4.00,0.00,5.00,5.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5364647,7.00,3.00,2.00,6.00,5.00,7.13,1.00,4.00,5.00,319,NULL,NULL,'CENTRO','STA MARIA','RS',11310,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5364671,5.00,4.00,4.00,5.00,8.00,10.13,3.00,2.00,4.00,201,NULL,216,'NAÇÕES','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5364680,3.00,4.00,0.00,6.00,6.00,NULL,2.00,2.00,3.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5364710,7.00,6.00,5.00,6.00,8.00,11.63,2.00,5.00,5.00,303,NULL,NULL,'JARDIM SÃO PAULO','S PAULO','SP',3442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'MORUMBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5364744,4.00,3.00,0.00,5.00,5.00,NULL,3.00,2.00,2.00,450,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364752,4.00,4.00,0.00,4.00,4.00,NULL,3.00,1.00,4.00,103,NULL,NULL,'SANTA CANDIDA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5364760,3.00,3.00,3.00,5.00,7.00,7.88,2.00,1.00,4.00,319,NULL,NULL,'MARIA LUIZA','LAGES','SC',14688,300,NULL,NULL,NULL,NULL,NULL,4,9),(20,5364779,8.00,5.00,3.00,5.00,9.00,7.88,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',6531,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5364795,2.00,1.00,2.00,1.00,4.00,NULL,3.00,1.00,1.00,420,NULL,NULL,'JARDIM AMÉRICA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5364809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5364817,7.00,8.00,5.00,7.00,8.00,7.88,6.00,3.00,6.00,216,NULL,NULL,'JARDIM TAROBÁ','FOZ IGUAÇU','PR',2990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364825,8.00,5.00,3.00,7.00,4.00,6.00,4.00,3.00,6.00,222,NULL,NULL,'SOSSEGO','CANOINHAS','SC',8493,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5364841,4.00,5.00,1.00,4.00,6.00,NULL,1.00,1.00,2.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364850,3.00,5.00,1.00,7.00,6.00,4.88,3.00,2.00,4.00,420,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5364868,8.00,8.00,5.00,5.00,9.00,8.63,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2210,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5364876,7.00,8.00,4.00,4.00,5.00,8.25,3.00,4.00,8.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',6784,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5364892,5.00,5.00,2.00,6.00,7.00,9.38,2.00,3.00,1.00,453,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',12985,90,NULL,NULL,NULL,NULL,NULL,4,2),(20,5364906,3.00,2.00,0.00,3.00,5.00,NULL,1.00,1.00,4.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5364914,3.00,4.00,3.00,2.00,5.00,NULL,1.00,2.00,4.00,225,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5364922,3.00,8.00,3.00,5.00,5.00,7.13,2.00,3.00,3.00,444,NULL,NULL,'CENTRO','CRUZ ALTA','RS',14200,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5364930,7.00,7.00,7.00,6.00,8.00,9.75,5.00,5.00,6.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',1980,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5364949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5364957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'PENHA','PAULO LOPES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5364981,8.00,8.00,3.00,6.00,7.00,9.38,2.00,4.00,4.00,103,NULL,NULL,'JARDIM SANTA MARIA','TOLEDO','PR',6504,2533,NULL,NULL,NULL,NULL,NULL,4,16),(20,5364990,8.00,7.00,5.00,4.00,7.00,9.38,4.00,4.00,6.00,103,NULL,NULL,'BRAGA','S JOSÉ PINHAIS','PR',4137,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5365007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM GUANABARA','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5365015,4.00,7.00,2.00,7.00,5.00,8.25,2.00,3.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365023,5.00,3.00,2.00,4.00,5.00,NULL,0.00,1.00,2.00,451,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365031,3.00,4.00,1.00,3.00,3.00,NULL,3.00,1.00,2.00,207,NULL,201,'NOVA BRASILIA','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5365040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5365066,7.00,4.00,0.00,6.00,5.00,9.38,2.00,1.00,3.00,108,NULL,NULL,'UNIVERSITÁRIO','CASCAVEL','PR',14815,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5365074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,215,'SÃO VALENTIM','DESCANSO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5365082,6.00,3.00,1.00,4.00,6.00,11.25,1.00,2.00,4.00,102,NULL,NULL,'OFICINAS','TUBARÃO','SC',13021,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5365104,3.00,6.00,1.00,4.00,8.00,10.13,1.00,2.00,6.00,453,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365120,4.00,1.00,2.00,3.00,4.00,NULL,0.00,3.00,5.00,213,NULL,214,'VARGINHA','ITAJUBÁ','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'RIO VERMELHO','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5365147,6.00,6.00,3.00,6.00,7.00,7.13,3.00,3.00,5.00,9,NULL,NULL,'CENTRO','IPUMIRIM','SC',11227,60,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365155,2.00,2.00,0.00,2.00,3.00,NULL,1.00,2.00,3.00,102,NULL,NULL,'PROGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5365171,6.00,6.00,1.00,4.00,5.00,5.25,2.00,2.00,5.00,202,NULL,235,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5365180,5.00,6.00,2.00,5.00,6.00,6.75,4.00,2.00,5.00,214,NULL,203,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5365198,1.00,4.00,1.00,4.00,4.00,NULL,0.00,2.00,3.00,420,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5365201,3.00,4.00,2.00,5.00,5.00,7.50,2.00,3.00,3.00,404,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16115,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5365210,9.00,6.00,3.00,6.00,9.00,9.75,5.00,7.00,8.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',2144,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5365228,4.00,3.00,3.00,1.00,3.00,NULL,1.00,3.00,1.00,215,NULL,233,'MARCILIO DIAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5365236,2.00,3.00,2.00,3.00,3.00,NULL,1.00,1.00,2.00,102,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5365260,8.00,7.00,4.00,6.00,7.00,7.50,5.00,6.00,5.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',5400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','COLORADO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5365309,2.00,7.00,3.00,5.00,4.00,9.75,3.00,2.00,5.00,426,NULL,428,'TRINDADE','FLORIANÓPOLIS','SC',13836,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5365317,3.00,2.00,3.00,3.00,2.00,NULL,1.00,1.00,1.00,653,NULL,651,'ULTIMO RIO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5365325,5.00,5.00,2.00,7.00,4.00,6.75,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',15537,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5365341,3.00,4.00,2.00,2.00,5.00,NULL,1.00,3.00,2.00,101,NULL,NULL,'PROGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5365350,5.00,5.00,0.00,6.00,5.00,NULL,3.00,4.00,5.00,234,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365368,2.00,6.00,1.00,4.00,9.00,9.38,4.00,4.00,2.00,326,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13447,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5365376,6.00,4.00,1.00,7.00,7.00,NULL,2.00,5.00,3.00,212,NULL,213,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',5,1),(20,5365384,6.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,216,NULL,215,'VILA MIRANDA','SUMARÉ','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5365392,0.00,4.00,1.00,4.00,3.00,NULL,0.00,0.00,2.00,415,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5365406,5.00,6.00,2.00,7.00,7.00,7.88,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',11433,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5365422,5.00,6.00,1.00,5.00,6.00,7.50,3.00,2.00,6.00,308,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5365430,7.00,6.00,3.00,8.00,8.00,9.00,4.00,2.00,5.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5365481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'COLISEU','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5365490,6.00,6.00,2.00,4.00,4.00,7.88,3.00,2.00,5.00,207,NULL,201,'JD HIGIANOPOLIS','APUCARANA','PR',10126,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5365503,8.00,6.00,2.00,4.00,8.00,9.38,4.00,4.00,5.00,103,NULL,NULL,'IGUATEMI','IGUATEMI','PR',7467,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5365511,8.00,7.00,1.00,7.00,10.00,9.00,2.00,4.00,5.00,207,NULL,220,'HUMAITÁ','TUBARÃO','SC',6828,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5365520,4.00,6.00,0.00,4.00,5.00,NULL,1.00,1.00,0.00,108,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365538,1.00,5.00,1.00,2.00,3.00,NULL,3.00,1.00,2.00,203,NULL,202,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5365546,3.00,4.00,3.00,3.00,3.00,NULL,2.00,3.00,3.00,653,NULL,214,'UNIVERSITÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5365554,4.00,2.00,2.00,4.00,6.00,10.13,3.00,1.00,5.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365562,7.00,6.00,2.00,4.00,8.00,6.00,2.00,1.00,1.00,303,NULL,NULL,'FLÔR DE NÁPOLES','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365570,1.00,4.00,1.00,3.00,4.00,NULL,3.00,1.00,5.00,421,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5365589,5.00,4.00,3.00,7.00,6.00,NULL,0.00,3.00,4.00,5,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365597,6.00,4.00,2.00,4.00,5.00,7.88,3.00,3.00,7.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12204,90,NULL,NULL,NULL,NULL,NULL,2,1),(20,5365600,5.00,6.00,1.00,4.00,3.00,NULL,0.00,2.00,5.00,102,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5365619,9.00,8.00,5.00,8.00,8.00,10.50,7.00,6.00,8.00,103,NULL,NULL,'SANTA CRUZ','RIBEIRÃO PRETO','SP',619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365635,4.00,7.00,2.00,5.00,7.00,9.38,4.00,3.00,5.00,235,NULL,202,'SÃO JÕAO','COCAL SUL','SC',9220,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5365643,1.00,3.00,0.00,5.00,3.00,NULL,0.00,1.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365651,8.00,8.00,7.00,7.00,10.00,10.88,8.00,6.00,8.00,203,NULL,216,'SANTA MÔNICA','FLORIANÓPOLIS','SC',248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365660,2.00,4.00,0.00,2.00,5.00,NULL,2.00,2.00,2.00,104,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5365678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'VILA ROMANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5365686,6.00,4.00,3.00,6.00,8.00,10.50,3.00,4.00,5.00,415,NULL,NULL,'CENTRO','APUCARANA','PR',7561,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5365694,1.00,4.00,2.00,6.00,7.00,7.50,1.00,3.00,6.00,450,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365708,1.00,6.00,1.00,6.00,3.00,NULL,2.00,2.00,3.00,202,NULL,201,'ÁGUA VERDE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5365724,1.00,3.00,1.00,2.00,3.00,NULL,0.00,1.00,1.00,102,NULL,NULL,'SERTÃO MARUI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5365732,4.00,4.00,2.00,5.00,6.00,7.13,3.00,4.00,5.00,201,NULL,212,'PIONEIRA','TOLEDO','PR',12165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5365740,6.00,7.00,5.00,6.00,7.00,9.00,2.00,4.00,5.00,302,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',6034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365759,9.00,8.00,5.00,8.00,9.00,11.63,6.00,5.00,6.00,304,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',971,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5365767,2.00,4.00,0.00,3.00,7.00,NULL,4.00,2.00,3.00,653,NULL,NULL,'MINA DO MATO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5365775,9.00,7.00,3.00,6.00,9.00,8.25,3.00,3.00,9.00,103,NULL,NULL,'SOARES','CACHOEIRA SUL','RS',2981,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5365783,4.00,5.00,3.00,7.00,7.00,7.50,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5365791,0.00,4.00,0.00,2.00,4.00,NULL,2.00,1.00,2.00,319,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5365813,5.00,7.00,5.00,4.00,7.00,7.88,3.00,4.00,5.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',8862,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5365821,9.00,5.00,5.00,5.00,10.00,10.13,2.00,5.00,8.00,103,NULL,NULL,'ORLEANS','CURITIBA','PR',2215,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5365848,7.00,8.00,0.00,7.00,5.00,9.38,2.00,3.00,3.00,320,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',11540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365856,5.00,8.00,5.00,5.00,7.00,9.00,3.00,3.00,5.00,426,NULL,429,'CARIANOS','FLORIANÓPOLIS','SC',9789,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5365864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM TABOÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5365880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5365899,4.00,5.00,0.00,3.00,6.00,NULL,0.00,3.00,3.00,205,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5365902,2.00,5.00,0.00,5.00,5.00,NULL,2.00,3.00,2.00,653,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,15),(20,5365910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5365929,1.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'CAMPO DE FORA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5365937,4.00,5.00,1.00,7.00,5.00,10.50,3.00,3.00,3.00,103,NULL,NULL,'SÃO FRANCISCO','GARIBALDI','RS',12722,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5365945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA GLÓRIA','LOANDA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5365953,5.00,6.00,2.00,8.00,10.00,8.63,3.00,3.00,3.00,202,NULL,213,'CENTRO','RIO SUL','SC',8442,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5365961,7.00,5.00,1.00,6.00,8.00,8.25,0.00,2.00,1.00,601,NULL,208,'CORREGO GRANDE','FLORIANÓPOLIS','SC',14105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5365970,5.00,7.00,3.00,6.00,7.00,8.63,3.00,4.00,4.00,327,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',11522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5365988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5365996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5366003,7.00,5.00,3.00,6.00,7.00,6.75,1.00,3.00,3.00,103,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',12779,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5366011,7.00,7.00,4.00,5.00,7.00,6.75,5.00,4.00,4.00,336,NULL,NULL,'CAMPESTRE','LAJEADO','RS',6470,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5366020,4.00,6.00,0.00,6.00,4.00,8.25,1.00,2.00,2.00,214,NULL,233,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366038,6.00,7.00,2.00,7.00,5.00,7.50,3.00,4.00,6.00,340,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366046,3.00,4.00,2.00,3.00,4.00,NULL,0.00,2.00,4.00,108,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5366054,3.00,4.00,3.00,4.00,2.00,NULL,1.00,3.00,2.00,5,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5366062,6.00,6.00,4.00,4.00,4.00,4.50,2.00,4.00,6.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5366089,5.00,5.00,2.00,4.00,5.00,7.50,4.00,2.00,4.00,103,NULL,NULL,'NAZARÉ','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5366097,7.00,6.00,4.00,7.00,7.00,10.13,1.00,2.00,5.00,211,NULL,212,'CONTA DINHEIRO','LAGES','SC',7050,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5366100,9.00,7.00,3.00,7.00,6.00,9.00,5.00,5.00,8.00,103,NULL,NULL,'PLANALTO PAULISTA','S PAULO','SP',2545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366127,5.00,6.00,2.00,5.00,5.00,6.75,1.00,3.00,3.00,238,NULL,208,'BOQUEIRÃO','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366135,3.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,653,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(20,5366160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA TENIS CLUBE','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5366178,4.00,4.00,2.00,4.00,4.00,NULL,0.00,1.00,4.00,216,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5366186,7.00,7.00,8.00,7.00,6.00,12.00,6.00,6.00,8.00,220,NULL,233,'AGRONÔMICA','FLORIANÓPOLIS','SC',1343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366194,5.00,7.00,1.00,7.00,6.00,6.38,3.00,2.00,4.00,502,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',12192,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5366208,9.00,6.00,7.00,7.00,7.00,9.75,6.00,4.00,9.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',1558,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5366216,8.00,4.00,4.00,0.00,5.00,3.75,4.00,3.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366224,6.00,6.00,4.00,8.00,7.00,9.75,2.00,4.00,6.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',5186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CANASVIERAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5366259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'JARDIM VERTONI','CATANDUVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5366267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5366275,8.00,8.00,6.00,4.00,8.00,6.00,3.00,4.00,8.00,102,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',4485,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5366291,5.00,8.00,4.00,6.00,7.00,10.13,1.00,6.00,5.00,426,NULL,428,'CANASVIEIRAS','FLORIANÓPOLIS','SC',8966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366305,2.00,3.00,1.00,0.00,3.00,NULL,3.00,1.00,3.00,103,NULL,NULL,'SANTA ROSA','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366313,4.00,5.00,1.00,5.00,5.00,8.63,1.00,3.00,4.00,340,NULL,NULL,'HAMBURGO VELHO','NOVO HAMBURGO','RS',14221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366321,3.00,3.00,1.00,5.00,6.00,NULL,0.00,2.00,5.00,316,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5366330,7.00,6.00,4.00,7.00,7.00,8.63,3.00,4.00,8.00,211,NULL,207,'PARQUE DAS NAÇÕES','STO ANDRÉ','SP',3704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366348,3.00,7.00,0.00,5.00,7.00,8.25,2.00,2.00,3.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',15994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JARDIM MONUMENTO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5366364,9.00,8.00,2.00,5.00,6.00,7.88,1.00,4.00,6.00,103,NULL,NULL,'CAMPO NOVO','PTO ALEGRE','RS',7079,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5366372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PARQUE BANDEIRANTES','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5366380,3.00,3.00,0.00,3.00,2.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5366399,7.00,8.00,4.00,4.00,6.00,9.00,2.00,2.00,5.00,211,NULL,202,'CENTRO','ALPESTRE','RS',8381,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5366402,4.00,3.00,2.00,6.00,7.00,7.50,3.00,2.00,5.00,203,NULL,201,'JD GUADALUPE','OSASCO','SP',11618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366429,4.00,6.00,4.00,2.00,6.00,8.25,3.00,6.00,4.00,9,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366437,8.00,8.00,3.00,7.00,7.00,9.00,3.00,5.00,8.00,103,NULL,NULL,'ALPHAVILLE GRACIOSA','PINHAIS','PR',2118,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5366445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5366453,3.00,5.00,4.00,1.00,5.00,NULL,2.00,2.00,3.00,220,NULL,202,'SANTO ANTONIO DE PAD','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5366461,3.00,5.00,1.00,0.00,5.00,NULL,1.00,1.00,2.00,319,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5366488,3.00,5.00,0.00,4.00,3.00,NULL,3.00,3.00,3.00,652,NULL,NULL,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,15),(20,5366496,0.00,4.00,0.00,3.00,5.00,NULL,1.00,2.00,4.00,453,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JD N SRA DO CARMO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5366518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5366534,7.00,5.00,5.00,7.00,7.00,8.63,1.00,5.00,4.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366550,5.00,6.00,1.00,6.00,7.00,9.38,0.00,5.00,6.00,102,NULL,NULL,'ITÚ SABARÁ','PTO ALEGRE','RS',11142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5366569,1.00,4.00,1.00,5.00,4.00,NULL,1.00,1.00,2.00,420,NULL,NULL,'ENGORDADOURO','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366577,2.00,5.00,1.00,3.00,0.00,NULL,0.00,1.00,1.00,318,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5366585,2.00,4.00,2.00,4.00,4.00,NULL,3.00,1.00,3.00,429,NULL,425,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366593,2.00,5.00,1.00,0.00,3.00,NULL,0.00,3.00,3.00,208,NULL,235,'SANTA ISABEL','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366615,8.00,6.00,5.00,7.00,9.00,8.63,6.00,4.00,9.00,103,NULL,NULL,'WERNER PLAAS','AMERICANA','SP',1653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366623,8.00,7.00,2.00,5.00,8.00,9.00,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',2301,1212,NULL,NULL,NULL,NULL,NULL,2,8),(20,5366640,3.00,5.00,0.00,6.00,5.00,7.88,2.00,2.00,5.00,301,NULL,NULL,'AMÉRICA','JOINVILLE','SC',15635,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5366658,5.00,5.00,3.00,4.00,3.00,NULL,0.00,4.00,3.00,211,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5366666,8.00,5.00,3.00,7.00,7.00,11.25,4.00,4.00,8.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',2494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366682,3.00,5.00,1.00,4.00,3.00,NULL,3.00,1.00,2.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5366690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AREIA','ROLANTE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5366704,3.00,7.00,2.00,5.00,6.00,7.50,0.00,3.00,3.00,444,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5366712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5366720,1.00,3.00,2.00,2.00,5.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'AIMORÉ','GUABIRUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5366747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5366763,3.00,3.00,0.00,2.00,2.00,NULL,1.00,2.00,1.00,303,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5366771,4.00,3.00,2.00,2.00,6.00,NULL,0.00,3.00,3.00,102,NULL,NULL,'CENTRO','PINHAIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5366780,5.00,6.00,2.00,5.00,7.00,11.25,3.00,2.00,5.00,207,NULL,216,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5366798,9.00,9.00,8.00,7.00,7.00,9.75,7.00,5.00,9.00,103,NULL,NULL,'CENTRO','UMUARAMA','PR',443,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5366801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA AMENDOLA','CATANDUVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5366810,8.00,5.00,2.00,6.00,7.00,6.00,2.00,2.00,7.00,109,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',9202,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5366828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5366852,7.00,6.00,2.00,6.00,8.00,8.63,2.00,6.00,6.00,104,NULL,NULL,'JARDIM SANTA ROSA','PARANAGUÁ','PR',7614,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5366879,4.00,3.00,2.00,4.00,5.00,6.38,2.00,3.00,4.00,551,NULL,NULL,'COPACABANA','LAGES','SC',15931,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5366895,3.00,6.00,5.00,3.00,4.00,NULL,1.00,4.00,5.00,220,NULL,233,'SANTA BARBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,5),(20,5366933,3.00,4.00,4.00,1.00,6.00,7.50,4.00,3.00,6.00,211,NULL,201,'JOSE BONIFACIO','ERECHIM','RS',13591,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5366941,9.00,9.00,6.00,7.00,9.00,9.75,7.00,7.00,8.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5366950,4.00,3.00,1.00,3.00,7.00,NULL,2.00,2.00,2.00,207,NULL,211,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5366968,8.00,6.00,0.00,4.00,6.00,NULL,2.00,2.00,4.00,104,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5366976,8.00,8.00,2.00,7.00,8.00,9.00,1.00,4.00,5.00,450,NULL,NULL,'INTERLAGOS','S PAULO','SP',6599,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5366984,3.00,6.00,1.00,2.00,7.00,NULL,1.00,2.00,3.00,653,NULL,652,'SANTO ANTONIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5366992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5367000,8.00,8.00,8.00,5.00,9.00,8.25,7.00,3.00,7.00,103,NULL,NULL,'CENTRO','ALTÔNIA','PR',1699,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5367018,9.00,9.00,3.00,3.00,8.00,9.75,4.00,5.00,7.00,103,NULL,NULL,'SANTANA','PTO ALEGRE','RS',3713,1754,NULL,NULL,NULL,NULL,NULL,2,10),(20,5367026,8.00,7.00,3.00,5.00,8.00,9.38,5.00,5.00,6.00,103,NULL,NULL,'CENTRO','ARAUCÁRIA','PR',3111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5367034,7.00,8.00,4.00,6.00,8.00,8.63,4.00,8.00,5.00,203,NULL,233,'BOM VIVER','BIGUAÇU','SC',3873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5367042,9.00,7.00,6.00,6.00,8.00,9.00,7.00,4.00,9.00,103,NULL,NULL,'FANNY','CURITIBA','PR',1163,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5367069,9.00,8.00,7.00,7.00,9.00,7.13,6.00,6.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',918,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5367085,6.00,5.00,4.00,4.00,6.00,9.38,2.00,3.00,3.00,203,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',11011,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5367093,2.00,7.00,3.00,5.00,7.00,8.25,2.00,2.00,5.00,301,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',13911,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5367107,8.00,6.00,5.00,7.00,9.00,11.25,6.00,8.00,9.00,103,NULL,NULL,'PARQUE DO BURITIS II','RIO VERDE','GO',720,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5367115,2.00,3.00,2.00,1.00,2.00,NULL,0.00,1.00,1.00,444,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5367140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VL ROMANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5367166,7.00,7.00,1.00,7.00,9.00,9.75,3.00,5.00,5.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5367182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5367190,6.00,6.00,1.00,4.00,5.00,8.63,1.00,3.00,3.00,216,NULL,214,'PINHEIRINHO','CURITIBA','PR',13395,526,NULL,335,NULL,NULL,NULL,2,3),(20,5367204,9.00,8.00,4.00,4.00,8.00,8.25,4.00,5.00,6.00,104,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',3252,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5367220,6.00,6.00,5.00,5.00,5.00,9.75,3.00,5.00,2.00,103,NULL,NULL,'CRISTO REDENTOR','PTO ALEGRE','RS',8321,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5367239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,653,'VILA PANTALEÃO','CAÇAPAVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5367247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'LIMOEIRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5367255,4.00,6.00,3.00,3.00,9.00,9.38,2.00,2.00,3.00,316,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',12525,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5367263,4.00,0.00,3.00,4.00,6.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ECOVILLE','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(20,5367271,5.00,4.00,2.00,4.00,6.00,6.38,2.00,3.00,4.00,216,NULL,201,'CENTRO','S MATEUS SUL','PR',13378,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5367280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'BELA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5367298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5367301,4.00,6.00,1.00,3.00,4.00,NULL,1.00,0.00,4.00,220,NULL,NULL,'SANTA RITA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5367310,5.00,5.00,1.00,2.00,2.00,NULL,2.00,1.00,2.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5367328,3.00,4.00,2.00,3.00,6.00,6.00,2.00,2.00,4.00,601,NULL,NULL,'BARRA DO RIO MOLHA','JARAGUÁ SUL','SC',16062,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5367336,5.00,5.00,4.00,6.00,6.00,7.50,2.00,4.00,3.00,450,NULL,NULL,'CENTRO','MARÍLIA','SP',10117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5367344,9.00,5.00,7.00,7.00,10.00,11.25,6.00,6.00,8.00,103,NULL,NULL,'SUDOESTE','CRUZEIRO','DF',740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5367352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5367360,9.00,6.00,5.00,6.00,8.00,9.00,4.00,5.00,7.00,103,NULL,NULL,'SANTA CANDIDA','CURITIBA','PR',2378,1242,NULL,NULL,NULL,NULL,NULL,4,8),(20,5367379,8.00,6.00,5.00,7.00,8.00,9.00,2.00,4.00,5.00,303,NULL,NULL,'SÃO FRANCISCO','CPO GRANDE','MS',3973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5367387,7.00,6.00,3.00,5.00,7.00,9.00,3.00,2.00,6.00,211,NULL,216,'BOTAFOGO','BENTO GONÇALVES','RS',8897,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5367395,2.00,3.00,0.00,3.00,2.00,NULL,0.00,2.00,2.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5367409,3.00,4.00,3.00,3.00,4.00,NULL,2.00,3.00,1.00,317,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5367417,3.00,5.00,0.00,2.00,7.00,NULL,2.00,2.00,3.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5367425,3.00,0.00,0.00,0.00,0.00,NULL,0.00,1.00,1.00,101,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5367441,3.00,5.00,1.00,7.00,8.00,8.63,2.00,5.00,2.00,207,NULL,201,'CENTRO','LAURENTINO','SC',12705,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5367484,2.00,2.00,3.00,4.00,4.00,NULL,3.00,1.00,3.00,303,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5367506,6.00,7.00,4.00,5.00,8.00,8.25,4.00,4.00,7.00,332,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',5862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5367514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','MARUMBI','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(20,5367522,9.00,6.00,3.00,7.00,8.00,13.13,5.00,7.00,9.00,103,NULL,NULL,'CENTRO','QTA SOL','PR',1064,633,NULL,NULL,NULL,NULL,NULL,4,1),(20,5367530,0.00,5.00,2.00,1.00,3.00,NULL,1.00,2.00,5.00,220,NULL,238,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5367549,3.00,6.00,5.00,7.00,7.00,10.13,1.00,3.00,1.00,220,NULL,235,'CINQUENTENÁRIO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5367565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5367573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5367581,3.00,6.00,2.00,7.00,6.00,7.88,2.00,4.00,3.00,102,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5367590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5367603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ANA RECH','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5367611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ARIRU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5367620,8.00,6.00,3.00,6.00,7.00,8.25,3.00,4.00,7.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',5651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5367638,5.00,3.00,1.00,1.00,3.00,NULL,0.00,3.00,5.00,108,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5367646,3.00,3.00,1.00,4.00,6.00,NULL,2.00,2.00,4.00,207,NULL,NULL,'STO ANT DE LISBOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5367654,5.00,6.00,0.00,4.00,5.00,8.25,1.00,4.00,4.00,501,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',15259,105,NULL,NULL,NULL,NULL,NULL,4,17),(20,5367662,8.00,5.00,5.00,7.00,7.00,9.00,1.00,5.00,5.00,319,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',6330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5367670,7.00,6.00,1.00,4.00,5.00,10.13,3.00,3.00,5.00,103,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',7927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5367689,2.00,2.00,0.00,2.00,4.00,NULL,1.00,2.00,3.00,201,NULL,207,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5367697,8.00,6.00,5.00,5.00,4.00,9.00,0.00,4.00,4.00,103,NULL,NULL,'SHANGRI LÁ B','LONDRINA','PR',9069,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5367700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PERIMBÓ','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5367719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5367727,6.00,7.00,4.00,6.00,7.00,8.25,3.00,2.00,5.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10708,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5367743,5.00,7.00,3.00,7.00,4.00,10.88,3.00,4.00,5.00,340,NULL,NULL,'PROGRESSO','BENTO GONÇALVES','RS',7767,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5367751,3.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,17),(20,5367760,7.00,6.00,1.00,5.00,6.00,7.88,4.00,5.00,5.00,233,NULL,235,'CENTRO','STA MARIA','RS',8975,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5367778,7.00,7.00,0.00,3.00,5.00,NULL,1.00,4.00,4.00,304,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,3),(20,5367786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5367794,6.00,6.00,3.00,5.00,6.00,8.63,2.00,3.00,7.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5367808,6.00,5.00,1.00,7.00,6.00,9.38,4.00,2.00,4.00,652,NULL,653,'CENTRO','ARARANGUÁ','SC',10008,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5367816,9.00,6.00,5.00,6.00,7.00,8.25,4.00,6.00,7.00,104,NULL,NULL,'MERCES','CURITIBA','PR',2796,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5367824,0.00,4.00,2.00,2.00,3.00,NULL,2.00,1.00,3.00,215,NULL,233,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5367859,8.00,6.00,4.00,6.00,8.00,12.00,3.00,6.00,7.00,415,NULL,NULL,'PORTÃO','CURITIBA','PR',2534,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5367867,1.00,3.00,1.00,1.00,7.00,NULL,0.00,2.00,0.00,453,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5367883,5.00,5.00,4.00,0.00,5.00,NULL,2.00,4.00,6.00,318,NULL,NULL,'ROCHDALE','OSASCO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5367891,2.00,4.00,1.00,4.00,2.00,NULL,2.00,4.00,2.00,109,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5367905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INTERIOR','NOVA PÁDUA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5367913,7.00,7.00,1.00,8.00,5.00,12.00,1.00,6.00,2.00,340,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',7163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5367921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'SORGATTO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5367930,6.00,7.00,2.00,3.00,9.00,9.00,3.00,5.00,3.00,102,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8113,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5367948,4.00,6.00,4.00,6.00,7.00,7.13,3.00,1.00,5.00,301,NULL,NULL,'CAPITAIS','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5367956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5367972,9.00,6.00,3.00,7.00,7.00,12.00,2.00,4.00,7.00,103,NULL,NULL,'ALTO DE PINHEIROS','S PAULO','SP',3724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5367999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5368006,3.00,5.00,4.00,1.00,4.00,NULL,2.00,3.00,1.00,652,NULL,651,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5368014,5.00,7.00,0.00,2.00,5.00,9.75,1.00,2.00,4.00,5,NULL,NULL,'CENTRO','PR GRANDE','SC',14513,468,NULL,NULL,NULL,NULL,NULL,4,15),(20,5368022,4.00,3.00,1.00,6.00,8.00,4.50,3.00,2.00,3.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368030,8.00,7.00,4.00,7.00,7.00,9.00,7.00,7.00,9.00,207,NULL,215,'BARRA DO RIO','ITAJAÍ','SC',1570,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5368057,2.00,5.00,0.00,4.00,5.00,9.00,2.00,3.00,5.00,208,NULL,235,'MORRO DA BINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368073,7.00,4.00,4.00,4.00,7.00,6.00,4.00,5.00,6.00,103,NULL,NULL,'GUAIRA','CURITIBA','PR',6813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5368081,5.00,5.00,1.00,8.00,6.00,8.25,1.00,3.00,4.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',13183,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5368090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,212,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5368103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','LARANJEIRAS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5368111,3.00,3.00,2.00,2.00,3.00,NULL,2.00,0.00,3.00,201,NULL,207,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5368120,6.00,6.00,0.00,3.00,7.00,9.38,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','MARAU','RS',9821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368138,6.00,7.00,3.00,8.00,10.00,11.25,3.00,4.00,6.00,5,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368154,2.00,3.00,0.00,5.00,3.00,NULL,1.00,2.00,4.00,451,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368162,6.00,6.00,1.00,7.00,8.00,10.88,0.00,3.00,6.00,207,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',10608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368170,3.00,4.00,2.00,2.00,4.00,NULL,2.00,2.00,2.00,207,NULL,201,'PONTA GROSSA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368200,1.00,7.00,1.00,4.00,5.00,NULL,1.00,1.00,0.00,318,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5368219,5.00,6.00,0.00,6.00,5.00,6.00,1.00,2.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14984,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5368227,6.00,5.00,2.00,6.00,8.00,10.50,3.00,3.00,4.00,9,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368235,6.00,4.00,1.00,7.00,5.00,6.75,0.00,2.00,3.00,104,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368243,3.00,4.00,3.00,0.00,4.00,NULL,1.00,2.00,2.00,207,NULL,211,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368251,3.00,4.00,1.00,5.00,4.00,NULL,0.00,1.00,1.00,208,NULL,238,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5368260,4.00,6.00,3.00,6.00,6.00,6.38,3.00,3.00,3.00,423,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',13528,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5368278,2.00,4.00,0.00,2.00,2.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5368286,3.00,5.00,0.00,2.00,5.00,NULL,1.00,2.00,4.00,301,NULL,NULL,'SANTO ANTÔNIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5368294,6.00,4.00,3.00,7.00,6.00,7.88,2.00,1.00,4.00,426,NULL,428,'TRINDADE','FLORIANÓPOLIS','SC',12863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368308,9.00,7.00,6.00,7.00,9.00,6.38,5.00,5.00,9.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',1307,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5368316,2.00,7.00,1.00,5.00,5.00,NULL,1.00,1.00,4.00,215,NULL,207,'CENTRO','BENEDITO NOVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5368324,4.00,7.00,0.00,6.00,5.00,7.50,1.00,4.00,4.00,421,NULL,425,'CAMPECHE','FLORIANÓPOLIS','SC',14911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368332,2.00,0.00,3.00,4.00,4.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(20,5368340,5.00,4.00,0.00,7.00,6.00,NULL,1.00,3.00,2.00,336,NULL,NULL,'MORROTES','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5368359,5.00,5.00,4.00,6.00,8.00,10.50,2.00,3.00,2.00,415,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12463,238,NULL,NULL,NULL,NULL,NULL,2,1),(20,5368367,7.00,6.00,2.00,4.00,6.00,6.00,2.00,2.00,4.00,101,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14300,77,NULL,NULL,NULL,NULL,NULL,2,1),(20,5368375,4.00,4.00,0.00,7.00,6.00,NULL,3.00,1.00,2.00,211,NULL,201,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368391,7.00,5.00,2.00,7.00,9.00,7.50,5.00,5.00,3.00,207,NULL,201,'CENTRO','PASSO FUNDO','RS',6203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368405,5.00,4.00,0.00,4.00,4.00,NULL,1.00,3.00,3.00,207,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5368413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5368421,5.00,7.00,4.00,7.00,6.00,10.13,3.00,5.00,6.00,201,NULL,207,'CENTRO','ARAPONGAS','PR',4109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368448,1.00,3.00,1.00,3.00,7.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5368456,0.00,2.00,0.00,5.00,7.00,NULL,2.00,3.00,3.00,340,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5368464,8.00,5.00,3.00,7.00,7.00,9.00,2.00,3.00,3.00,420,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',7426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368472,2.00,2.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,203,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5368499,1.00,0.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CAPITAIS','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,2),(20,5368510,5.00,8.00,3.00,4.00,5.00,6.38,1.00,3.00,1.00,208,NULL,207,'ARMAÇÃO PÂNTANO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5368529,2.00,7.00,2.00,3.00,2.00,NULL,2.00,2.00,5.00,317,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5368537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5368545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'NOVA CAIEIRAS','CAIEIRAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5368553,8.00,1.00,1.00,2.00,5.00,6.00,4.00,3.00,6.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15771,426,NULL,NULL,NULL,NULL,NULL,2,1),(20,5368570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOINHOS','LAJEADO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5368588,4.00,4.00,0.00,4.00,5.00,7.13,2.00,3.00,3.00,453,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO GENARO','CRUZ ALTA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5368618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAÇA E PESCA','GRAVATAÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5368642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'PLANALTO VERDE','MOGI GUAÇU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5368650,3.00,5.00,2.00,2.00,3.00,NULL,4.00,0.00,2.00,103,NULL,NULL,'IMIGRANTES','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5368669,8.00,6.00,1.00,7.00,8.00,10.13,2.00,2.00,6.00,216,NULL,201,'BELA VISTA','S JOSÉ','SC',7008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368677,8.00,7.00,8.00,8.00,6.00,8.25,5.00,4.00,8.00,103,NULL,NULL,'VILA GUAIRA','CURITIBA','PR',1580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368685,5.00,4.00,2.00,7.00,7.00,11.25,4.00,4.00,5.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',7539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368693,7.00,8.00,5.00,5.00,8.00,8.63,6.00,2.00,7.00,103,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',4088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'MATO PRETO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5368715,3.00,5.00,2.00,6.00,3.00,NULL,3.00,2.00,4.00,308,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368731,6.00,7.00,3.00,4.00,6.00,6.00,2.00,2.00,2.00,304,NULL,NULL,'ARIRIU','PALHOÇA','SC',13566,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5368758,2.00,4.00,1.00,2.00,3.00,NULL,4.00,2.00,4.00,215,NULL,211,'SÃO LUÍZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5368766,4.00,5.00,0.00,6.00,5.00,7.88,2.00,2.00,1.00,420,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368774,3.00,7.00,1.00,4.00,9.00,7.13,2.00,3.00,6.00,207,NULL,216,'CENTRO','VITORINO','PR',11448,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5368782,6.00,2.00,3.00,5.00,5.00,8.63,0.00,3.00,4.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',12580,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5368790,7.00,6.00,2.00,3.00,7.00,9.75,4.00,4.00,4.00,103,NULL,NULL,'JARDIM TV MORENA','CPO GRANDE','MS',7439,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5368804,6.00,8.00,3.00,7.00,8.00,9.00,4.00,5.00,7.00,207,NULL,201,'UNIVERSITÁRIO','MARINGÁ','PR',4292,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5368812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARRA DA TIJUCA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5368839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,208,'NOVA BRASILIA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5368847,6.00,7.00,2.00,3.00,5.00,8.25,1.00,1.00,1.00,340,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368855,9.00,8.00,9.00,6.00,6.00,10.50,8.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5368863,2.00,0.00,0.00,1.00,6.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'SÃO CRISTÓVÃO','NOVA PRATA','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5368871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5368880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5368898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5368901,5.00,5.00,1.00,3.00,8.00,10.13,3.00,6.00,5.00,202,NULL,207,'CAMPECHE','FLORIANÓPOLIS','SC',11484,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5368928,4.00,6.00,3.00,7.00,6.00,7.88,2.00,5.00,5.00,308,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',12135,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5368936,7.00,6.00,4.00,7.00,7.00,7.13,4.00,4.00,5.00,601,NULL,NULL,'GLÓRIA','JOINVILLE','SC',6477,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5368960,7.00,7.00,1.00,4.00,5.00,8.63,1.00,4.00,3.00,203,NULL,220,'SERTÃO DO MARUIM','S JOSÉ','SC',10221,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5368979,8.00,7.00,5.00,7.00,7.00,8.25,5.00,8.00,5.00,102,NULL,NULL,'CENTRO','S JOSÉ PINHAIS','PR',2365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369002,6.00,3.00,1.00,4.00,5.00,9.00,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14888,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5369010,5.00,5.00,2.00,6.00,7.00,10.50,2.00,3.00,4.00,319,NULL,NULL,'PACHECOS','PALHOÇA','SC',12157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5369029,2.00,3.00,0.00,4.00,2.00,NULL,0.00,0.00,3.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5369037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5369045,7.00,5.00,1.00,6.00,1.00,NULL,3.00,5.00,4.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5369053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5369061,2.00,6.00,1.00,2.00,1.00,NULL,2.00,3.00,2.00,601,NULL,211,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5369070,7.00,7.00,5.00,7.00,7.00,8.63,7.00,3.00,5.00,203,NULL,214,'VILA OLIMPIA','S PAULO','SP',3039,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5369088,1.00,5.00,3.00,4.00,7.00,8.63,3.00,3.00,3.00,329,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5369096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'DIVINO','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5369100,5.00,3.00,0.00,3.00,7.00,7.13,3.00,3.00,4.00,426,NULL,428,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369118,2.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5369126,8.00,6.00,4.00,7.00,8.00,7.88,2.00,4.00,4.00,108,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',5047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369134,9.00,8.00,6.00,7.00,8.00,9.75,8.00,6.00,9.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',375,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5369169,2.00,3.00,0.00,4.00,3.00,NULL,1.00,0.00,2.00,444,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369177,3.00,6.00,1.00,1.00,8.00,8.63,0.00,5.00,4.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369185,7.00,8.00,4.00,7.00,8.00,9.75,3.00,5.00,5.00,5,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',4723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369193,3.00,4.00,4.00,6.00,4.00,11.25,1.00,2.00,2.00,9,NULL,NULL,'FLORESTA','JOINVILLE','SC',15966,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5369207,8.00,6.00,6.00,7.00,8.00,8.25,6.00,5.00,6.00,103,NULL,NULL,'IMIRIM','S PAULO','SP',1975,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5369223,9.00,7.00,1.00,4.00,6.00,9.00,3.00,5.00,6.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',6510,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5369231,7.00,7.00,2.00,3.00,5.00,9.38,3.00,4.00,4.00,501,NULL,NULL,'CENTRO','CAPINZAL','SC',12092,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5369240,4.00,5.00,3.00,2.00,3.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5369258,5.00,8.00,2.00,6.00,5.00,NULL,0.00,1.00,2.00,415,NULL,NULL,'CENTRO','RIO CEDROS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5369266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','JÓIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5369274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TERRA ROXA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5369282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'JAGUARE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5369290,8.00,6.00,5.00,5.00,7.00,7.88,0.00,2.00,7.00,201,NULL,NULL,'MORRETES','ITAPEMA','SC',7814,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5369304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'COLINA SORRISO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5369312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','BOM JD SERRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5369320,3.00,7.00,1.00,2.00,7.00,NULL,3.00,2.00,1.00,503,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5369339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'REVOREDO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5369347,5.00,8.00,4.00,1.00,5.00,10.13,2.00,4.00,3.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369371,7.00,7.00,0.00,7.00,9.00,11.25,1.00,7.00,6.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5369398,3.00,5.00,4.00,4.00,4.00,NULL,1.00,2.00,2.00,317,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5369401,5.00,6.00,1.00,6.00,4.00,6.00,1.00,2.00,4.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369428,3.00,3.00,2.00,3.00,3.00,NULL,1.00,3.00,4.00,233,NULL,238,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5369436,7.00,6.00,3.00,7.00,6.00,7.88,4.00,3.00,4.00,2,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',9948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369444,7.00,7.00,5.00,6.00,8.00,9.75,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',3542,1691,NULL,NULL,NULL,NULL,NULL,2,4),(20,5369452,5.00,5.00,1.00,5.00,3.00,NULL,0.00,1.00,2.00,652,NULL,651,'CENTRO','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5369460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,429,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5369479,6.00,5.00,1.00,7.00,10.00,7.50,2.00,6.00,4.00,216,NULL,208,'ESTADOS','TIMBÓ','SC',7879,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5369487,3.00,2.00,4.00,0.00,4.00,NULL,2.00,0.00,1.00,316,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369495,7.00,6.00,3.00,5.00,5.00,9.75,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','S SEBASTIÃO CAÍ','RS',7016,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5369517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5369525,3.00,0.00,3.00,3.00,7.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','IBIRAMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(20,5369533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,427,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5369541,7.00,8.00,7.00,7.00,9.00,8.25,4.00,4.00,7.00,207,NULL,201,'JURERE','FLORIANÓPOLIS','SC',2293,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5369550,4.00,6.00,1.00,2.00,7.00,6.75,3.00,2.00,3.00,324,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5369568,9.00,5.00,6.00,7.00,9.00,9.00,3.00,7.00,7.00,211,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369576,9.00,7.00,7.00,6.00,9.00,10.13,6.00,3.00,8.00,103,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',1618,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5369584,3.00,3.00,1.00,3.00,5.00,NULL,2.00,2.00,2.00,452,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5369614,4.00,8.00,0.00,0.00,4.00,NULL,1.00,3.00,3.00,203,NULL,207,'CENTRO','PALMITINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5369622,2.00,5.00,3.00,3.00,6.00,NULL,1.00,4.00,2.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369630,3.00,3.00,2.00,2.00,6.00,NULL,2.00,2.00,2.00,207,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5369657,2.00,4.00,0.00,1.00,6.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','S MIGUEL B VISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5369673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5369681,9.00,7.00,4.00,7.00,10.00,12.38,7.00,5.00,8.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369690,0.00,6.00,3.00,3.00,4.00,NULL,1.00,0.00,2.00,316,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5369703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5369711,4.00,5.00,0.00,6.00,5.00,NULL,0.00,2.00,3.00,110,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5369738,4.00,4.00,0.00,6.00,6.00,9.00,3.00,2.00,2.00,208,NULL,238,'SALGADO FILHO','CAXIAS SUL','RS',16024,480,NULL,427,NULL,NULL,NULL,4,1),(20,5369746,7.00,7.00,3.00,7.00,10.00,11.63,7.00,7.00,6.00,202,NULL,601,'VILA ALBA','DOURADOS','MS',2136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369754,8.00,7.00,7.00,7.00,9.00,10.88,7.00,6.00,9.00,5,NULL,NULL,'CANOAS','RIO SUL','SC',327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369770,5.00,6.00,0.00,5.00,4.00,10.50,3.00,3.00,4.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13316,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5369789,9.00,7.00,2.00,8.00,8.00,9.00,8.00,6.00,9.00,103,NULL,NULL,'CHACARA DAS PEDRAS','PTO ALEGRE','RS',1322,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5369797,4.00,5.00,0.00,4.00,4.00,NULL,1.00,2.00,3.00,451,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5369800,2.00,4.00,2.00,6.00,7.00,NULL,1.00,1.00,4.00,5,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5369827,1.00,3.00,0.00,6.00,4.00,NULL,0.00,2.00,3.00,104,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5369843,4.00,6.00,4.00,5.00,5.00,9.75,2.00,2.00,3.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369860,3.00,6.00,1.00,2.00,3.00,NULL,2.00,4.00,3.00,324,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369886,6.00,7.00,3.00,7.00,9.00,9.38,3.00,6.00,6.00,424,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',6411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369894,4.00,6.00,1.00,5.00,7.00,8.25,1.00,3.00,4.00,303,NULL,NULL,'INDUSTRIAL','SEARA','SC',13353,542,NULL,NULL,NULL,NULL,NULL,4,4),(20,5369908,6.00,5.00,3.00,6.00,10.00,10.50,4.00,5.00,3.00,450,NULL,NULL,'VELHA','BLUMENAU','SC',5952,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5369924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'INGLRSES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5369932,4.00,2.00,0.00,2.00,3.00,NULL,2.00,2.00,1.00,404,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5369940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TRÊS FRONTEIRAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5369959,7.00,6.00,2.00,2.00,5.00,10.50,1.00,4.00,6.00,103,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',7860,2805,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369967,4.00,4.00,3.00,6.00,4.00,7.13,0.00,4.00,5.00,3,NULL,NULL,'CENTRO','GILBUÉS','PI',14511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369975,5.00,4.00,1.00,2.00,4.00,NULL,0.00,2.00,5.00,303,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5369991,6.00,5.00,1.00,2.00,8.00,8.63,2.00,2.00,2.00,340,NULL,NULL,'BAIRRO DO BAU','CUIABÁ','MT',13428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5370000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5370027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMOBI','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5370035,8.00,7.00,5.00,7.00,9.00,10.50,4.00,5.00,5.00,653,NULL,NULL,'DEHON','TUBARÃO','SC',3347,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5370043,1.00,5.00,1.00,5.00,7.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'CENTRO','CHAP LAGEADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5370051,4.00,4.00,2.00,5.00,6.00,8.25,2.00,4.00,4.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14604,3708,NULL,NULL,NULL,NULL,NULL,2,1),(20,5370060,8.00,7.00,0.00,8.00,6.00,NULL,4.00,4.00,3.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5370078,8.00,8.00,3.00,6.00,7.00,9.00,4.00,2.00,6.00,340,NULL,NULL,'PARQUE BRASIL','JACAREÍ','SP',4649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5370086,4.00,4.00,0.00,4.00,7.00,NULL,2.00,5.00,2.00,429,NULL,426,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5370094,3.00,4.00,2.00,4.00,7.00,NULL,0.00,1.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5370116,4.00,7.00,0.00,3.00,2.00,NULL,3.00,2.00,4.00,216,NULL,201,'SAPIRANGA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5370124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,NULL,'VILA RIBEIRÓPOLIS','REGISTRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5370132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PQ IN DUSTRIAL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5370140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FAZENDINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5370159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','TUPÃ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5370167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5370175,2.00,7.00,1.00,4.00,6.00,NULL,1.00,3.00,0.00,208,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5370183,1.00,5.00,0.00,4.00,4.00,NULL,0.00,1.00,3.00,301,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5370191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PRAIA DA COSTA','VL VELHA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5370213,2.00,4.00,2.00,2.00,4.00,NULL,0.00,2.00,2.00,319,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5370221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','QUEDAS IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5370230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,233,'JR DR PINHEIRO','ITAPEVA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5370248,2.00,4.00,0.00,1.00,3.00,NULL,1.00,1.00,5.00,103,NULL,NULL,'CENTRO','PIRENÓPOLIS','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5370256,5.00,6.00,0.00,5.00,5.00,8.25,2.00,3.00,2.00,102,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',15818,229,NULL,NULL,NULL,NULL,NULL,2,1),(20,5370264,5.00,6.00,1.00,6.00,5.00,8.25,3.00,7.00,6.00,5,NULL,NULL,'CENTRO','CURITIBA','PR',11233,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5370272,2.00,4.00,0.00,2.00,4.00,NULL,3.00,2.00,2.00,653,NULL,NULL,'ZANETTE','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5370280,4.00,4.00,1.00,4.00,3.00,NULL,2.00,1.00,2.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5370302,8.00,7.00,4.00,6.00,8.00,7.13,5.00,6.00,5.00,108,NULL,NULL,'CENTRO','CANOINHAS','SC',4716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5370310,5.00,5.00,2.00,4.00,4.00,4.50,3.00,5.00,3.00,318,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5370329,8.00,5.00,4.00,6.00,5.00,6.00,4.00,3.00,5.00,103,NULL,NULL,'MOOCA','S PAULO','SP',8206,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5370337,8.00,6.00,3.00,5.00,5.00,6.75,2.00,5.00,3.00,104,NULL,NULL,'CENTRO','STA TEREZA','RS',10651,256,NULL,NULL,NULL,NULL,NULL,2,9),(20,5370345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5370361,1.00,0.00,2.00,4.00,1.00,NULL,3.00,2.00,0.00,308,NULL,NULL,'PANORAMA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5370370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ASSIS BRASIL','IJUÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5370388,4.00,7.00,3.00,7.00,8.00,10.13,1.00,3.00,3.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5370396,4.00,4.00,0.00,3.00,7.00,NULL,1.00,0.00,3.00,103,NULL,NULL,'GUABIRUBA SUL','GUABIRUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5370418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA INÊS','ALEGRETE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5370426,2.00,4.00,0.00,2.00,4.00,NULL,3.00,1.00,2.00,102,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5370442,4.00,8.00,0.00,6.00,0.00,NULL,0.00,3.00,4.00,316,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5370469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JD SANTO ANDRÉ','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5370477,4.00,5.00,1.00,3.00,7.00,7.13,2.00,3.00,3.00,319,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5370485,3.00,4.00,0.00,2.00,3.00,NULL,3.00,1.00,0.00,102,NULL,NULL,'BRASILIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5370493,9.00,7.00,6.00,4.00,7.00,7.88,4.00,4.00,6.00,102,NULL,NULL,'QUITAÚNA','OSASCO','SP',4095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5370507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOSÉ','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5370515,8.00,6.00,6.00,7.00,6.00,8.25,5.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5370523,3.00,0.00,2.00,6.00,3.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5370531,3.00,5.00,5.00,6.00,5.00,9.38,2.00,4.00,2.00,9,NULL,NULL,'RENASCENÇA II','S LUÍS','MA',11231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5370540,2.00,2.00,0.00,2.00,3.00,NULL,0.00,1.00,4.00,208,NULL,238,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5370558,5.00,7.00,1.00,6.00,7.00,5.25,0.00,2.00,3.00,316,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5370574,4.00,5.00,0.00,5.00,6.00,6.38,0.00,2.00,4.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',15291,424,NULL,NULL,NULL,NULL,NULL,4,1),(20,5370582,5.00,3.00,2.00,5.00,4.00,9.38,3.00,3.00,2.00,336,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5370590,5.00,6.00,0.00,5.00,4.00,8.25,2.00,4.00,3.00,103,NULL,NULL,'JARDIM PLANALTO','S SEBASTIÃO PARAÍSO','MG',13898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5370604,4.00,4.00,2.00,2.00,7.00,NULL,1.00,2.00,1.00,426,NULL,427,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5370612,2.00,2.00,1.00,3.00,4.00,NULL,4.00,0.00,2.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5370620,5.00,7.00,1.00,7.00,3.00,NULL,2.00,2.00,6.00,238,NULL,207,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5370647,4.00,3.00,1.00,3.00,4.00,NULL,2.00,2.00,3.00,551,NULL,NULL,'MAROMBAS BRUNÓPOLIS','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5370655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','PINHAL S BENTO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5370663,8.00,8.00,7.00,6.00,8.00,10.13,2.00,3.00,7.00,340,NULL,NULL,'NÚCLEO ENGORDADOR','S PAULO','SP',3409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5370671,2.00,4.00,3.00,3.00,3.00,NULL,1.00,3.00,3.00,653,NULL,652,'SANTO ANTONIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5370680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5370698,8.00,4.00,2.00,7.00,6.00,10.13,6.00,0.00,5.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',6956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5370701,7.00,6.00,4.00,5.00,8.00,9.38,2.00,2.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',8261,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5370710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5370728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','LOANDA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5370736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD ATUBA II','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5370744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5370752,9.00,6.00,5.00,5.00,7.00,8.25,7.00,5.00,8.00,216,NULL,215,'CIDADE INDUSTRIAL','CURITIBA','PR',1873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5370760,3.00,5.00,4.00,4.00,5.00,6.38,1.00,5.00,4.00,208,NULL,238,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',14856,412,NULL,374,NULL,NULL,NULL,2,1),(20,5370779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JURANDA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5370795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CENTRO','RESTINGA SECA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5370809,6.00,6.00,2.00,4.00,4.00,7.13,1.00,2.00,5.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',15758,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5370825,6.00,5.00,2.00,5.00,8.00,9.75,3.00,4.00,7.00,103,NULL,NULL,'BOQUEIRAO','CURITIBA','PR',6525,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5370833,2.00,2.00,2.00,2.00,4.00,NULL,0.00,2.00,2.00,423,NULL,424,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5370841,1.00,2.00,1.00,1.00,4.00,NULL,2.00,2.00,1.00,428,NULL,427,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5370850,5.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(20,5370868,3.00,4.00,1.00,4.00,5.00,NULL,3.00,3.00,3.00,308,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5370876,5.00,4.00,0.00,4.00,6.00,NULL,2.00,2.00,2.00,653,NULL,201,'UNIVERSITÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5370884,3.00,5.00,3.00,4.00,5.00,9.00,0.00,4.00,3.00,201,NULL,215,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5370892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5370906,9.00,7.00,3.00,7.00,7.00,10.50,3.00,6.00,7.00,340,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',3162,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5370914,3.00,7.00,1.00,3.00,4.00,8.63,2.00,4.00,3.00,452,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5370922,5.00,3.00,1.00,2.00,3.00,NULL,0.00,1.00,2.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5370930,4.00,4.00,5.00,5.00,7.00,9.38,1.00,1.00,3.00,450,NULL,NULL,'VILA NOVA MAZZEI','S PAULO','SP',12313,85,NULL,NULL,NULL,NULL,NULL,2,2),(20,5370949,5.00,6.00,2.00,5.00,7.00,9.00,2.00,7.00,3.00,450,NULL,NULL,'MOEMA','S PAULO','SP',10801,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5370965,8.00,7.00,5.00,7.00,8.00,10.13,7.00,5.00,6.00,103,NULL,NULL,'LA SALLE','PATO BRANCO','PR',1351,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5370973,5.00,1.00,1.00,4.00,2.00,NULL,3.00,2.00,1.00,104,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5371015,3.00,2.00,0.00,3.00,5.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'CENTRO','ITAPUCÁ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5371023,3.00,6.00,0.00,0.00,3.00,NULL,1.00,1.00,6.00,216,NULL,233,'DEMBOSKI','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5371031,6.00,8.00,5.00,3.00,7.00,9.38,3.00,4.00,5.00,327,NULL,NULL,'SANTA CÂNDIDA','CURITIBA','PR',4994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5371040,7.00,5.00,3.00,4.00,6.00,NULL,0.00,5.00,5.00,303,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5371058,2.00,8.00,1.00,3.00,6.00,NULL,2.00,3.00,2.00,502,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5371066,4.00,3.00,4.00,4.00,5.00,7.13,2.00,4.00,3.00,214,NULL,212,'VALENTIN FERRARI','JABORÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5371074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAPANEMA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5371082,8.00,7.00,2.00,6.00,6.00,7.50,1.00,6.00,4.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',8331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5371090,5.00,7.00,4.00,6.00,8.00,14.25,2.00,5.00,3.00,428,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',7048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5371104,6.00,7.00,0.00,5.00,7.00,11.63,1.00,4.00,3.00,329,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5371112,9.00,5.00,4.00,5.00,6.00,10.50,4.00,4.00,7.00,103,NULL,NULL,'ZONA DOIS','UMUARAMA','PR',3732,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5371120,8.00,6.00,3.00,8.00,9.00,10.13,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',4831,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5371139,5.00,7.00,1.00,5.00,5.00,7.50,2.00,3.00,5.00,453,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5371147,5.00,6.00,3.00,5.00,9.00,8.25,2.00,2.00,6.00,415,NULL,NULL,'PADRE EDUARDO','TAIÓ','SC',9729,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5371155,3.00,5.00,0.00,4.00,4.00,NULL,2.00,3.00,3.00,653,NULL,NULL,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5371163,7.00,7.00,0.00,6.00,9.00,11.63,3.00,3.00,7.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',5871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5371171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD ESTER','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5371180,5.00,4.00,0.00,4.00,4.00,6.75,1.00,4.00,4.00,103,NULL,NULL,'JARDIM AGU','OSASCO','SP',14471,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5371198,1.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'BOM RETIRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(20,5371201,5.00,8.00,0.00,5.00,7.00,8.25,1.00,3.00,5.00,335,NULL,NULL,'ARMAÇÃO PANTANO DO S','FLORIANÓPOLIS','SC',13593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5371210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5371228,7.00,6.00,4.00,5.00,5.00,7.13,0.00,4.00,5.00,103,NULL,NULL,'CENTRO','IVAÍ','PR',9106,3034,NULL,NULL,NULL,NULL,NULL,2,6),(20,5371244,6.00,7.00,1.00,6.00,7.00,6.00,3.00,1.00,4.00,103,NULL,NULL,'CENTRO','ARAPONGAS','PR',11946,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5371252,1.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5371260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'QUINTINO','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5371279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5371287,5.00,3.00,1.00,6.00,6.00,8.25,2.00,2.00,3.00,203,NULL,201,'JARDIM CALIFÓRNIA','JACAREÍ','SP',12614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5371309,6.00,4.00,2.00,5.00,5.00,NULL,0.00,0.00,3.00,425,NULL,426,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5371317,3.00,3.00,5.00,0.00,6.00,NULL,3.00,3.00,2.00,201,NULL,238,'SANTANA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5371325,2.00,6.00,6.00,5.00,6.00,6.00,2.00,1.00,3.00,303,NULL,NULL,'PARQUE SÃO VICENTE','MAUÁ','SP',12661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5371333,3.00,4.00,2.00,6.00,7.00,7.88,2.00,5.00,4.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14591,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5371341,8.00,8.00,4.00,6.00,9.00,9.00,3.00,7.00,4.00,453,NULL,NULL,'MANSÕES STO ANTONIO','CAMPINAS','SP',3416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5371368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5371376,6.00,3.00,1.00,6.00,7.00,NULL,0.00,2.00,5.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5371384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5371392,9.00,9.00,5.00,8.00,9.00,10.13,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5371406,5.00,7.00,4.00,5.00,4.00,7.50,2.00,5.00,4.00,201,NULL,208,'PICADAS DO SUL','S JOSÉ','SC',13569,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5371422,0.00,4.00,0.00,0.00,0.00,NULL,0.00,0.00,2.00,109,NULL,NULL,'GIOPPO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5371430,4.00,4.00,1.00,5.00,6.00,9.75,1.00,4.00,2.00,316,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5371449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO ANTONIO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5371457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5371465,5.00,6.00,1.00,5.00,6.00,7.88,2.00,2.00,5.00,316,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5371473,4.00,6.00,1.00,2.00,4.00,NULL,1.00,2.00,2.00,653,NULL,201,'CENTRO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5371481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5371490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,220,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5371503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5371511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5371538,5.00,5.00,2.00,1.00,4.00,NULL,1.00,3.00,3.00,201,NULL,207,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5371546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5371554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5371562,7.00,7.00,1.00,7.00,7.00,9.75,3.00,4.00,5.00,316,NULL,NULL,'PRAIA DA CAL','TORRES','RS',7560,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5371570,4.00,3.00,2.00,3.00,3.00,NULL,0.00,1.00,3.00,110,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5371589,8.00,7.00,5.00,6.00,6.00,6.00,6.00,4.00,7.00,103,NULL,NULL,'MOSSUNGUÊ','CURITIBA','PR',4589,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5371600,4.00,6.00,0.00,4.00,8.00,NULL,0.00,3.00,2.00,216,NULL,208,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5371619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SANTA TEREZINHA','PALMITINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5371627,9.00,8.00,8.00,7.00,8.00,8.25,6.00,4.00,7.00,214,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',1382,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5371635,7.00,8.00,3.00,6.00,10.00,9.38,1.00,5.00,6.00,211,NULL,215,'DOM BOSCO','ITAJAÍ','SC',5832,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5371643,8.00,4.00,5.00,6.00,5.00,8.63,2.00,1.00,6.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5371651,5.00,6.00,3.00,4.00,6.00,8.25,3.00,5.00,5.00,320,NULL,NULL,'CENTRO','BIGUAÇU','SC',9385,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5371660,4.00,5.00,0.00,7.00,5.00,8.63,2.00,3.00,4.00,450,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5371678,6.00,7.00,3.00,7.00,7.00,9.75,2.00,3.00,4.00,207,NULL,215,'CENTRO','BAL CAMBORIÚ','SC',9260,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5371694,5.00,2.00,0.00,7.00,6.00,8.63,2.00,2.00,4.00,207,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',15987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5371708,5.00,4.00,4.00,5.00,5.00,7.88,2.00,2.00,6.00,333,NULL,NULL,'FLORESTA','S JOSÉ','SC',13115,117,NULL,NULL,NULL,NULL,NULL,2,1),(20,5371716,2.00,5.00,1.00,3.00,4.00,7.88,2.00,3.00,4.00,404,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5371724,4.00,3.00,1.00,7.00,7.00,6.00,3.00,0.00,4.00,319,NULL,NULL,'BELA VISTA','RIO NEGRINHO','SC',14351,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5371732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5371740,5.00,4.00,1.00,5.00,4.00,8.63,0.00,3.00,5.00,103,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5371759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5371767,5.00,6.00,4.00,3.00,8.00,12.38,3.00,2.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9197,303,NULL,NULL,NULL,NULL,NULL,2,1),(20,5371775,2.00,6.00,1.00,4.00,4.00,NULL,1.00,1.00,3.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5371783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5371791,4.00,6.00,4.00,5.00,3.00,NULL,2.00,2.00,2.00,208,NULL,238,'SAO PEDRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5371805,3.00,3.00,1.00,1.00,2.00,NULL,1.00,3.00,2.00,317,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5371813,8.00,6.00,3.00,4.00,4.00,7.50,0.00,5.00,4.00,101,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',14089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5371848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5371856,1.00,0.00,1.00,3.00,3.00,NULL,1.00,0.00,0.00,652,NULL,208,'CENTRO','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5371864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ICARAÍMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5371872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,235,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5371880,2.00,3.00,3.00,2.00,5.00,NULL,2.00,2.00,5.00,235,NULL,202,'BELLA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5371899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,NULL,'SANTA CATARINA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5371902,9.00,7.00,1.00,5.00,10.00,6.00,4.00,5.00,4.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5371910,9.00,8.00,4.00,4.00,7.00,8.63,3.00,6.00,7.00,103,NULL,NULL,'PARQUE CIDADE JARDIM','UMUARAMA','PR',3044,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5371929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5371937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5371953,4.00,6.00,2.00,7.00,7.00,6.38,3.00,0.00,5.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',12535,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5371961,3.00,4.00,3.00,6.00,6.00,NULL,0.00,1.00,2.00,340,NULL,NULL,'WESTPHALLEN','PALMEIRA MISSÕES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5371970,6.00,4.00,3.00,6.00,4.00,10.50,3.00,3.00,2.00,303,NULL,NULL,'TROPICAL','CASCAVEL','PR',10679,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5371988,7.00,5.00,0.00,5.00,6.00,10.50,4.00,4.00,4.00,319,NULL,NULL,'BONSUCESSO','GUARAPUAVA','PR',10990,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5371996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S MARTINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5372003,3.00,2.00,1.00,3.00,4.00,NULL,0.00,3.00,2.00,340,NULL,NULL,'JARDIM SAO NICOLAU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372011,1.00,2.00,1.00,1.00,3.00,NULL,0.00,0.00,1.00,301,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5372020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5372038,6.00,7.00,1.00,3.00,7.00,7.88,2.00,3.00,3.00,501,NULL,NULL,'PARQUE PREZOTTO','PIRACICABA','SP',14711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372046,2.00,6.00,0.00,2.00,5.00,NULL,0.00,2.00,2.00,201,NULL,212,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5372054,4.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,651,NULL,652,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(20,5372062,3.00,3.00,1.00,4.00,1.00,NULL,4.00,2.00,5.00,215,NULL,207,'IMIGRANTE','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5372097,6.00,6.00,4.00,7.00,8.00,8.25,3.00,2.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',7028,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5372100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5372119,7.00,7.00,3.00,6.00,7.00,10.13,2.00,4.00,4.00,108,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',6722,NULL,NULL,NULL,NULL,NULL,NULL,3,8),(20,5372127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5372135,4.00,5.00,1.00,3.00,4.00,3.75,4.00,3.00,5.00,503,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372160,5.00,6.00,1.00,4.00,4.00,5.25,2.00,3.00,1.00,103,NULL,NULL,'INTERIOR','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5372178,2.00,4.00,2.00,2.00,4.00,NULL,0.00,2.00,3.00,339,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,212,'BOQUEIRÃO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5372194,4.00,4.00,2.00,4.00,4.00,6.00,5.00,3.00,4.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',16125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372208,5.00,7.00,6.00,5.00,5.00,7.88,4.00,5.00,6.00,652,NULL,651,'COMERCIÁRIO','CRICIÚMA','SC',8320,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5372216,3.00,6.00,0.00,4.00,3.00,NULL,0.00,2.00,3.00,502,NULL,NULL,'SÃO JOSÉ','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372224,4.00,5.00,1.00,4.00,4.00,7.50,2.00,3.00,3.00,415,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',16289,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5372232,2.00,4.00,2.00,5.00,5.00,NULL,2.00,1.00,2.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372240,5.00,6.00,1.00,6.00,9.00,9.75,2.00,4.00,4.00,103,NULL,NULL,'FÁTIMA','ERECHIM','RS',7501,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5372259,7.00,4.00,6.00,6.00,7.00,7.50,4.00,2.00,4.00,201,NULL,213,'GOPOÚVA','GUARULHOS','SP',8201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5372267,6.00,5.00,3.00,4.00,8.00,10.88,1.00,5.00,6.00,415,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',6889,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5372275,4.00,6.00,3.00,3.00,6.00,9.00,2.00,2.00,4.00,5,NULL,NULL,'CENTENÁRIO','LAGES','SC',12109,388,NULL,NULL,NULL,NULL,NULL,4,9),(20,5372283,3.00,0.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5372305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'SANTA BARBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5372313,4.00,8.00,1.00,6.00,7.00,6.75,0.00,3.00,3.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5372321,8.00,5.00,3.00,5.00,9.00,8.25,2.00,3.00,7.00,103,NULL,NULL,'JARDIM PARAÍBA','APARECIDA','SP',4760,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5372330,3.00,4.00,4.00,2.00,2.00,NULL,4.00,2.00,4.00,308,NULL,NULL,'CACHOEIRA B JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372348,3.00,4.00,1.00,2.00,3.00,NULL,2.00,3.00,2.00,203,NULL,214,'CENTRO','CPO BELO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5372356,8.00,7.00,3.00,2.00,8.00,10.13,3.00,4.00,4.00,5,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',8373,273,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372364,8.00,4.00,3.00,5.00,6.00,8.25,2.00,2.00,5.00,103,NULL,NULL,'SÃO JOÃO','PTO ALEGRE','RS',7722,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5372372,4.00,5.00,2.00,4.00,5.00,7.50,1.00,2.00,5.00,220,NULL,601,'CENTRO','VIDAL RAMOS','SC',15969,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5372380,4.00,5.00,3.00,6.00,7.00,7.88,0.00,1.00,3.00,103,NULL,NULL,'CENTRO','GARIBALDI','RS',15241,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5372399,2.00,5.00,4.00,5.00,4.00,7.13,3.00,3.00,3.00,601,NULL,201,'CENTRO','JOAÇABA','SC',15916,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5372402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JD BRITANIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5372410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','CALIFÓRNIA','PR',NULL,NULL,NULL,NULL,'S','S','S',1,1),(20,5372429,6.00,6.00,4.00,7.00,5.00,9.00,4.00,1.00,6.00,304,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5372437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5372461,8.00,7.00,4.00,7.00,11.00,8.63,5.00,5.00,5.00,203,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5372470,9.00,5.00,6.00,7.00,6.00,8.63,5.00,3.00,7.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',4395,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5372488,6.00,5.00,1.00,6.00,6.00,9.38,3.00,2.00,2.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',11289,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5372496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5372518,8.00,8.00,2.00,5.00,9.00,9.75,3.00,5.00,7.00,316,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',5214,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372526,3.00,3.00,0.00,3.00,6.00,NULL,0.00,1.00,0.00,104,NULL,NULL,'RESTINGA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5372534,4.00,7.00,2.00,7.00,5.00,9.38,0.00,1.00,1.00,207,NULL,201,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5372542,8.00,7.00,3.00,7.00,8.00,9.38,3.00,7.00,6.00,103,NULL,NULL,'ZONA TRÊS','MARINGÁ','PR',3592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5372550,4.00,6.00,1.00,6.00,8.00,8.25,4.00,2.00,5.00,216,NULL,208,'BONSUCESSO','GUARAPUAVA','PR',8349,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5372569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5372577,5.00,3.00,0.00,4.00,3.00,NULL,1.00,3.00,2.00,316,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372585,0.00,6.00,1.00,4.00,4.00,NULL,3.00,2.00,2.00,211,NULL,233,'TAJUBA I','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372593,7.00,6.00,2.00,1.00,5.00,7.50,1.00,4.00,2.00,320,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372607,3.00,4.00,0.00,5.00,2.00,NULL,1.00,1.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5372615,4.00,5.00,2.00,7.00,6.00,9.00,1.00,4.00,6.00,301,NULL,NULL,'QUINTINO','TIMBÓ','SC',13018,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5372623,6.00,6.00,1.00,3.00,7.00,7.88,4.00,4.00,5.00,108,NULL,NULL,'IMIGRANTES','TIMBÓ','SC',8933,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5372640,5.00,7.00,5.00,6.00,8.00,9.75,4.00,3.00,6.00,215,NULL,216,'PARQUE DOS IPÊS','DOURADOS','MS',5849,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5372658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5372666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,651,NULL,652,'ROCINHA','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5372674,7.00,7.00,4.00,5.00,6.00,6.75,4.00,3.00,3.00,318,NULL,NULL,'GLÓRIA','JOINVILLE','SC',12382,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5372682,6.00,7.00,6.00,4.00,3.00,NULL,2.00,4.00,6.00,201,NULL,211,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5372704,3.00,2.00,2.00,1.00,3.00,NULL,1.00,2.00,2.00,336,NULL,NULL,'KOBASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5372712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'JARDIM IPIRANGA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5372720,5.00,5.00,3.00,4.00,7.00,10.13,0.00,2.00,5.00,104,NULL,NULL,'FERNANDES','S JOÃO BATISTA','SC',12499,318,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'NOSSA SENHORA AP','PINHÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5372747,6.00,7.00,2.00,5.00,9.00,7.88,2.00,4.00,3.00,102,NULL,NULL,'JARDIM CRISTINA','PINDAMONHANGABA','SP',8564,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','STA ROSA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5372763,5.00,6.00,3.00,3.00,3.00,NULL,0.00,4.00,3.00,318,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5372771,4.00,7.00,2.00,5.00,5.00,6.75,3.00,2.00,0.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',14176,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5372780,4.00,8.00,2.00,6.00,8.00,6.38,2.00,2.00,3.00,201,NULL,208,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372798,8.00,7.00,4.00,7.00,9.00,11.25,5.00,4.00,8.00,103,NULL,NULL,'SÃO FRANCISCO','CPO GRANDE','MS',1383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5372801,5.00,6.00,1.00,3.00,5.00,10.50,1.00,3.00,6.00,208,NULL,238,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372810,2.00,4.00,2.00,4.00,6.00,7.88,3.00,1.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372828,4.00,4.00,3.00,7.00,8.00,8.63,1.00,3.00,4.00,450,NULL,NULL,'VILA MONTEIRO','FRANCA','SP',12375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5372836,7.00,6.00,2.00,6.00,8.00,8.63,3.00,4.00,7.00,108,NULL,NULL,'CENTRO','GUARUJÁ SUL','SC',6660,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5372844,7.00,7.00,3.00,5.00,5.00,8.25,2.00,2.00,2.00,404,NULL,NULL,'CENTRO','CURITIBANOS','SC',14418,35,NULL,NULL,NULL,NULL,NULL,4,16),(20,5372852,2.00,7.00,3.00,5.00,3.00,NULL,0.00,2.00,3.00,339,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372887,5.00,6.00,3.00,5.00,7.00,8.63,3.00,4.00,4.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5372895,8.00,7.00,3.00,7.00,7.00,7.13,1.00,3.00,5.00,103,NULL,NULL,'SANTA BARBARA','CRICIÚMA','SC',6235,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5372917,7.00,4.00,4.00,4.00,6.00,7.88,3.00,5.00,8.00,203,NULL,235,'CENTRO','PEDRAS GRANDES','SC',8039,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5372933,3.00,5.00,0.00,6.00,2.00,NULL,1.00,2.00,2.00,238,NULL,653,'CRICIUMA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5372941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5372950,8.00,5.00,2.00,7.00,8.00,6.75,4.00,4.00,5.00,208,NULL,202,'BAIRRO BERGUER','CAÇADOR','SC',8239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5372968,9.00,8.00,6.00,7.00,7.00,7.50,4.00,5.00,8.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5372976,2.00,5.00,3.00,5.00,5.00,NULL,0.00,2.00,4.00,208,NULL,NULL,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5372984,4.00,4.00,3.00,5.00,6.00,6.75,1.00,4.00,3.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15343,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5372992,5.00,6.00,3.00,3.00,6.00,7.13,2.00,3.00,4.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',11896,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5373000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5373018,8.00,7.00,4.00,3.00,8.00,8.25,2.00,3.00,7.00,103,NULL,NULL,'CENTRO','ANAURILÂNDIA','MS',4879,2113,NULL,NULL,NULL,NULL,NULL,2,8),(20,5373026,8.00,6.00,5.00,8.00,10.00,11.25,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',2828,1414,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373034,5.00,6.00,3.00,4.00,4.00,6.38,0.00,1.00,3.00,208,NULL,NULL,'VENEZA','XANXERÊ','SC',16146,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5373042,6.00,4.00,2.00,5.00,6.00,8.25,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','CARAZINHO','RS',12016,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5373077,5.00,4.00,0.00,4.00,6.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'JARDIM TV MORENA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373093,4.00,8.00,4.00,6.00,8.00,8.25,2.00,4.00,4.00,304,NULL,NULL,'PEREQUÊ','PTO BELO','SC',9903,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5373107,3.00,5.00,0.00,4.00,6.00,NULL,2.00,2.00,3.00,216,NULL,208,'SÃO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5373115,2.00,0.00,0.00,1.00,3.00,NULL,2.00,1.00,1.00,551,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5373123,2.00,5.00,4.00,2.00,5.00,NULL,1.00,1.00,0.00,201,NULL,212,'SÃO BENEDITO','DIAMANTINO','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5373131,9.00,9.00,6.00,7.00,9.00,9.38,7.00,7.00,8.00,103,NULL,NULL,'SEMINÁRIO','CURITIBA','PR',211,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5373140,3.00,0.00,1.00,6.00,5.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(20,5373158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM FACULDADE','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5373174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ATENAS DO SUL','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5373182,5.00,6.00,1.00,3.00,4.00,8.25,1.00,4.00,3.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373190,8.00,6.00,3.00,4.00,6.00,8.63,5.00,5.00,4.00,303,NULL,NULL,'JARDIM LOS ANGELES','NOVA ESPERANÇA','PR',6139,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5373204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,424,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5373212,3.00,2.00,2.00,1.00,6.00,NULL,1.00,0.00,3.00,501,NULL,NULL,'CENTRO','BELA V TOLDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373220,7.00,6.00,5.00,7.00,8.00,8.63,2.00,6.00,6.00,203,NULL,214,'PANTANAL','FLORIANÓPOLIS','SC',4789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373247,3.00,6.00,2.00,7.00,8.00,8.25,1.00,3.00,4.00,420,NULL,NULL,'CENTRO','TIMBÓ','SC',11193,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5373255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO CRISTOVAO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5373263,2.00,5.00,0.00,3.00,7.00,NULL,0.00,2.00,6.00,319,NULL,NULL,'POPULAR','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5373271,3.00,2.00,1.00,1.00,0.00,NULL,3.00,2.00,2.00,309,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5373301,4.00,5.00,3.00,7.00,9.00,8.25,1.00,3.00,4.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10712,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373310,8.00,7.00,2.00,5.00,9.00,7.50,3.00,5.00,7.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',4312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373328,2.00,1.00,2.00,5.00,5.00,5.25,1.00,6.00,4.00,9,NULL,NULL,'CENTRO','MARIALVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373336,4.00,5.00,1.00,6.00,4.00,12.00,3.00,1.00,3.00,208,NULL,238,'CAMPECHE','FLORIANÓPOLIS','SC',15568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373344,7.00,8.00,5.00,4.00,8.00,9.00,4.00,6.00,4.00,336,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',4259,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5373360,2.00,1.00,1.00,3.00,3.00,NULL,0.00,2.00,3.00,5,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373379,5.00,7.00,1.00,6.00,8.00,NULL,0.00,1.00,6.00,501,NULL,NULL,'PETRÓPOLIS','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5373387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','ASSAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5373395,6.00,5.00,4.00,5.00,4.00,7.88,1.00,3.00,5.00,428,NULL,425,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373409,5.00,5.00,2.00,5.00,7.00,9.38,5.00,4.00,6.00,207,NULL,201,'CÓRRREGO GRANDE','FLORIANÓPOLIS','SC',7934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373417,6.00,3.00,1.00,7.00,4.00,7.88,3.00,3.00,1.00,103,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',14403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373425,4.00,5.00,2.00,6.00,7.00,9.00,0.00,2.00,4.00,5,NULL,NULL,'BALNEÁRIO DOS AÇORES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373433,4.00,6.00,5.00,4.00,5.00,6.75,3.00,4.00,5.00,238,NULL,235,'VENDAVAL','BIGUAÇU','SC',12085,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373441,8.00,7.00,4.00,6.00,6.00,9.00,5.00,4.00,3.00,103,NULL,NULL,'SÃO FRANCISCO','CPO GRANDE','MS',5757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373450,9.00,8.00,6.00,8.00,9.00,9.38,7.00,5.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373468,0.00,3.00,0.00,2.00,1.00,NULL,1.00,0.00,0.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373476,4.00,4.00,2.00,4.00,9.00,7.50,3.00,3.00,3.00,301,NULL,NULL,'IGARA II','CANOAS','RS',13259,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'FRAGATA','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5373492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5373506,4.00,5.00,2.00,6.00,6.00,9.75,2.00,2.00,3.00,652,NULL,651,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5373514,4.00,5.00,3.00,2.00,3.00,NULL,3.00,3.00,4.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373522,5.00,5.00,1.00,5.00,5.00,7.50,3.00,4.00,4.00,427,NULL,423,'AGRONOMICA','FLORIANÓPOLIS','SC',15700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO CIVICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5373549,2.00,3.00,1.00,2.00,1.00,NULL,3.00,2.00,1.00,318,NULL,NULL,'CAPOIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'CENTRO','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5373573,3.00,1.00,1.00,1.00,2.00,NULL,1.00,2.00,0.00,453,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373581,8.00,5.00,4.00,6.00,7.00,8.25,3.00,1.00,3.00,415,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',10051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373590,8.00,7.00,5.00,6.00,9.00,6.00,6.00,3.00,7.00,203,NULL,211,'AGRONÔMICA','FLORIANÓPOLIS','SC',4072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373603,5.00,3.00,2.00,3.00,3.00,NULL,1.00,1.00,3.00,444,NULL,NULL,'CENTRO','CARAZINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373611,3.00,5.00,3.00,6.00,4.00,6.75,2.00,2.00,4.00,214,NULL,208,'BARREIROS','S JOSÉ','SC',15581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA REZENDE','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5373638,5.00,6.00,3.00,4.00,5.00,9.00,2.00,2.00,6.00,653,NULL,651,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5373654,5.00,7.00,0.00,2.00,6.00,NULL,2.00,2.00,2.00,108,NULL,NULL,'CENTRO','RODEIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5373662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'MOOCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5373670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5373689,6.00,6.00,1.00,4.00,6.00,7.88,1.00,2.00,3.00,428,NULL,NULL,'MAR DAS PEDRAS','BIGUAÇU','SC',15699,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373697,5.00,4.00,3.00,6.00,5.00,6.00,2.00,3.00,5.00,203,NULL,214,'SÃO BENEDITO','DIAMANTINO','MT',12155,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5373700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5373719,3.00,4.00,0.00,5.00,5.00,NULL,2.00,2.00,3.00,425,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'BATEL','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5373735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BROTAS','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5373743,4.00,2.00,2.00,3.00,3.00,NULL,2.00,2.00,2.00,337,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373751,7.00,6.00,3.00,7.00,9.00,7.88,0.00,5.00,8.00,203,NULL,216,'CENTRO','CEL BICACO','RS',5056,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5373760,7.00,7.00,1.00,4.00,7.00,7.50,3.00,5.00,6.00,337,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373808,4.00,5.00,1.00,5.00,7.00,9.38,1.00,4.00,3.00,303,NULL,NULL,'JARDIM PEROLA','STA BÁRBARA D OESTE','SP',12870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373816,2.00,6.00,3.00,4.00,5.00,9.00,4.00,2.00,1.00,331,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16011,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373824,3.00,2.00,0.00,5.00,6.00,NULL,2.00,3.00,2.00,207,NULL,211,'CENTRO','CAMPINAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5373832,3.00,5.00,0.00,2.00,5.00,NULL,2.00,2.00,1.00,303,NULL,NULL,'PRAIA DA ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373840,5.00,6.00,1.00,7.00,6.00,8.63,3.00,2.00,2.00,453,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',14207,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5373859,7.00,5.00,2.00,4.00,6.00,10.88,0.00,3.00,4.00,207,NULL,201,'CPA UM','CUIABÁ','MT',10548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373867,9.00,8.00,7.00,7.00,9.00,10.13,6.00,6.00,9.00,103,NULL,NULL,'JARDIM BANDEIRANTES','CORNÉLIO PROCÓPIO','PR',319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373875,9.00,8.00,4.00,7.00,7.00,10.13,5.00,5.00,9.00,501,NULL,NULL,'CENTRO','FAXINAL','PR',1708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373883,5.00,6.00,2.00,5.00,7.00,10.50,4.00,2.00,5.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11639,66,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373891,0.00,2.00,1.00,4.00,2.00,NULL,1.00,1.00,3.00,501,NULL,NULL,'CENTRO','BOM JD SERRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5373905,5.00,5.00,0.00,4.00,7.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373913,4.00,6.00,4.00,0.00,5.00,NULL,0.00,2.00,5.00,501,NULL,NULL,'NOSSA SENHORA DE FÁT','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5373921,2.00,5.00,1.00,4.00,5.00,NULL,2.00,2.00,3.00,444,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373930,2.00,3.00,0.00,1.00,2.00,NULL,4.00,2.00,2.00,404,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373948,3.00,1.00,1.00,3.00,3.00,NULL,2.00,1.00,1.00,320,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373956,4.00,4.00,1.00,3.00,6.00,NULL,1.00,3.00,1.00,425,NULL,429,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5373964,6.00,7.00,3.00,6.00,7.00,9.75,3.00,1.00,9.00,103,NULL,NULL,'JARDIM ALVORADA','MARINGÁ','PR',4909,2119,NULL,NULL,NULL,NULL,NULL,2,8),(20,5373972,5.00,5.00,1.00,3.00,5.00,NULL,3.00,1.00,3.00,104,NULL,NULL,'SANTO ANTONIO','RIO CEDROS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5373980,7.00,7.00,4.00,3.00,5.00,6.00,3.00,3.00,1.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',15302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5373999,2.00,6.00,1.00,2.00,3.00,NULL,4.00,2.00,3.00,653,NULL,201,'PASSÁRGADA','PASSO TORRES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5374014,7.00,5.00,2.00,5.00,6.00,7.50,3.00,2.00,5.00,109,NULL,NULL,'PARQUE ITACOLOMY','MOGI GUAÇU','SP',10779,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5374022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'GUAJUVIRAS','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5374030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,651,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5374049,6.00,4.00,0.00,2.00,7.00,6.75,3.00,5.00,3.00,108,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',13158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5374065,4.00,4.00,1.00,3.00,5.00,8.63,2.00,2.00,5.00,415,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',16267,288,NULL,NULL,NULL,NULL,NULL,1,1),(20,5374073,9.00,6.00,7.00,7.00,10.00,11.25,6.00,5.00,8.00,103,NULL,NULL,'TIRADENTES','CPO GRANDE','MS',395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5374081,6.00,7.00,4.00,7.00,6.00,9.00,2.00,5.00,5.00,201,NULL,203,'CAMPINA DO SIQUEIRA','CURITIBA','PR',6036,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5374090,3.00,5.00,2.00,4.00,5.00,6.00,2.00,2.00,3.00,429,NULL,425,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5374103,6.00,5.00,3.00,5.00,6.00,7.88,1.00,3.00,4.00,304,NULL,NULL,'MICHEL','CRICIÚMA','SC',13477,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5374111,1.00,1.00,3.00,1.00,5.00,NULL,1.00,3.00,3.00,653,NULL,652,'LAGOAO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,15),(20,5374138,0.00,3.00,4.00,0.00,2.00,NULL,2.00,1.00,4.00,425,NULL,427,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5374154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,653,'JARDIM MARIA LUIZA','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5374162,8.00,8.00,4.00,7.00,8.00,10.13,3.00,5.00,7.00,304,NULL,NULL,'MORUMBI','S PAULO','SP',2323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5374170,7.00,7.00,4.00,6.00,8.00,11.25,3.00,2.00,7.00,207,NULL,201,'REAL PARQUE','S JOSÉ','SC',3926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5374197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','CAMPINA VERDE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5374219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'V RESID DE MAMBUCABA','PARATI','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5374243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5374251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,220,'BELEM NOVO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5374260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5374278,5.00,6.00,4.00,3.00,6.00,9.38,1.00,5.00,5.00,501,NULL,NULL,'VILA NOVA','TROMBUDO CENTRAL','SC',12671,65,NULL,NULL,NULL,NULL,NULL,2,1),(20,5374286,4.00,0.00,1.00,8.00,8.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'SANTA CRUZ','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5374294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','LARANJEIRAS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5374308,3.00,1.00,1.00,3.00,4.00,NULL,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','CAXAMBU SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5374316,7.00,7.00,2.00,7.00,7.00,9.75,2.00,3.00,7.00,336,NULL,NULL,'BATEL','CURITIBA','PR',5532,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5374324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5374359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5374375,2.00,5.00,2.00,6.00,4.00,8.25,2.00,4.00,4.00,453,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5374383,5.00,5.00,1.00,5.00,6.00,7.88,1.00,2.00,4.00,216,NULL,201,'JARDIM PÉROLA','BORRAZÓPOLIS','PR',11921,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5374405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5374413,4.00,5.00,1.00,7.00,4.00,7.88,2.00,1.00,4.00,103,NULL,NULL,'JARDIM','MARAVILHA','SC',15950,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5374421,3.00,4.00,0.00,4.00,3.00,NULL,0.00,3.00,3.00,2,NULL,NULL,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5374430,3.00,3.00,0.00,5.00,6.00,NULL,2.00,2.00,5.00,212,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5374448,9.00,6.00,4.00,7.00,9.00,9.00,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','ÁLVARES MACHADO','SP',2500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5374456,3.00,6.00,1.00,5.00,3.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5374472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5374499,5.00,7.00,5.00,3.00,7.00,9.38,4.00,5.00,4.00,453,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10539,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5374502,3.00,3.00,2.00,5.00,3.00,NULL,0.00,1.00,2.00,303,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5374510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5374529,5.00,8.00,2.00,5.00,10.00,8.63,2.00,6.00,4.00,452,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7193,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5374553,5.00,3.00,0.00,4.00,6.00,NULL,3.00,4.00,3.00,653,NULL,652,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5374561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SION','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5374570,4.00,4.00,3.00,5.00,2.00,NULL,3.00,3.00,3.00,110,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5374588,1.00,2.00,0.00,3.00,2.00,NULL,0.00,1.00,3.00,420,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5374596,3.00,6.00,4.00,7.00,6.00,10.50,3.00,2.00,6.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5374600,0.00,1.00,0.00,0.00,0.00,NULL,2.00,2.00,3.00,339,NULL,NULL,'NOVA BRASILIA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5374626,3.00,5.00,1.00,4.00,3.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5374634,2.00,3.00,0.00,0.00,6.00,NULL,1.00,2.00,3.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5374642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(20,5374650,8.00,7.00,4.00,7.00,5.00,7.50,4.00,5.00,8.00,103,NULL,NULL,'PARQUE CAMPOLIM','SOROCABA','SP',4172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5374677,6.00,7.00,2.00,4.00,8.00,7.13,3.00,4.00,6.00,501,NULL,NULL,'ARIRIÚ DA FORMIGA','PALHOÇA','SC',9820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5374685,4.00,3.00,3.00,4.00,6.00,9.75,0.00,3.00,7.00,211,NULL,216,'CENTRO','CPO GRANDE','MS',12946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5374707,5.00,5.00,4.00,3.00,6.00,6.38,3.00,2.00,3.00,319,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5374731,5.00,4.00,2.00,4.00,7.00,9.38,2.00,1.00,6.00,103,NULL,NULL,'CENTRO','XAXIM','SC',12568,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5374740,3.00,6.00,0.00,5.00,6.00,7.88,3.00,4.00,5.00,316,NULL,NULL,'CENTRO','LGA VERMELHA','RS',14301,216,NULL,NULL,NULL,NULL,NULL,4,1),(20,5374758,5.00,4.00,3.00,6.00,4.00,8.63,1.00,3.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',15196,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5374774,7.00,7.00,1.00,8.00,7.00,8.63,4.00,3.00,5.00,203,NULL,214,'CASCATINHA','CURITIBA','PR',4896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5374790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5374804,3.00,6.00,0.00,3.00,2.00,NULL,4.00,3.00,4.00,202,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5374812,4.00,4.00,4.00,2.00,5.00,NULL,1.00,3.00,2.00,203,NULL,201,'CENTRO','STO ÂNGELO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5374820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVO HORIZONTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5374839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'C DE ITAPARICA','VL VELHA','ES',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5374847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5374855,6.00,4.00,3.00,6.00,5.00,NULL,2.00,3.00,2.00,238,NULL,208,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5374863,3.00,6.00,2.00,2.00,2.00,NULL,3.00,2.00,4.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5374871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,428,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5374880,9.00,4.00,2.00,7.00,7.00,9.38,1.00,4.00,5.00,340,NULL,NULL,'CENTRO','CURITIBA','PR',6615,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5374898,5.00,5.00,0.00,5.00,4.00,6.75,3.00,3.00,3.00,308,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15946,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5374901,9.00,7.00,8.00,8.00,10.00,8.63,9.00,5.00,9.00,103,NULL,NULL,'ACLIMAÇÃO','S JOSÉ R PRETO','SP',261,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5374910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA LONDRES','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5374928,4.00,6.00,2.00,3.00,6.00,NULL,0.00,5.00,3.00,332,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5374944,3.00,2.00,1.00,2.00,3.00,NULL,1.00,1.00,2.00,207,NULL,212,'VILA RICA','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5374952,8.00,5.00,4.00,7.00,6.00,9.38,3.00,2.00,4.00,103,NULL,NULL,'SAO FRANCISCO','CPO GRANDE','MS',7317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5374960,3.00,3.00,0.00,2.00,4.00,NULL,0.00,3.00,3.00,109,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5374979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5374987,5.00,6.00,4.00,5.00,7.00,7.50,5.00,2.00,3.00,5,NULL,NULL,'CENTRO','PTO ALEGRE','RS',9645,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5374995,5.00,5.00,0.00,5.00,4.00,NULL,0.00,2.00,3.00,501,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375002,2.00,6.00,1.00,7.00,5.00,9.38,3.00,2.00,3.00,421,NULL,424,'PARQUE SAO JORGE','FLORIANÓPOLIS','SC',14401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5375010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5375037,3.00,4.00,4.00,6.00,4.00,NULL,1.00,1.00,0.00,404,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375053,3.00,1.00,0.00,3.00,4.00,NULL,0.00,1.00,1.00,451,NULL,NULL,'CENTRO','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5375061,3.00,2.00,3.00,5.00,4.00,9.75,6.00,3.00,4.00,415,NULL,NULL,'CIDADE NOVA','VOTUPORANGA','SP',14798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5375070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM GRIMALDI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5375088,8.00,4.00,2.00,2.00,5.00,6.38,4.00,5.00,4.00,337,NULL,NULL,'CASCATINHA','POÇOS CALDAS','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5375096,4.00,5.00,2.00,4.00,3.00,NULL,2.00,1.00,3.00,104,NULL,NULL,'ACLIMAÇÃO','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5375100,9.00,7.00,5.00,6.00,7.00,10.13,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',2733,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5375118,4.00,7.00,4.00,6.00,5.00,8.25,1.00,2.00,3.00,220,NULL,211,'ALDEIA DA SERRA','BARUERI','SP',11312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5375126,4.00,6.00,3.00,6.00,7.00,10.13,3.00,3.00,4.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5375134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','RIO GRANDE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5375142,2.00,6.00,1.00,2.00,5.00,NULL,1.00,3.00,4.00,207,NULL,216,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5375169,0.00,5.00,2.00,1.00,6.00,NULL,1.00,3.00,2.00,404,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375177,8.00,5.00,4.00,7.00,7.00,11.63,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2692,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5375193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'JARDIM CURITIBA','GOIOERÊ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5375207,3.00,6.00,1.00,5.00,4.00,8.63,4.00,4.00,3.00,109,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375215,4.00,5.00,1.00,2.00,3.00,NULL,3.00,1.00,2.00,203,NULL,238,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BAIRRO AHÚ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5375231,3.00,6.00,4.00,5.00,6.00,9.00,2.00,3.00,4.00,303,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',12554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5375240,6.00,8.00,3.00,6.00,7.00,8.63,2.00,1.00,3.00,213,NULL,211,'CENTRO','VARGEM G SUL','SP',8081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5375258,4.00,6.00,0.00,4.00,2.00,NULL,3.00,2.00,2.00,452,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375266,9.00,6.00,4.00,6.00,6.00,10.13,3.00,5.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5375274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5375282,6.00,7.00,4.00,7.00,8.00,10.13,4.00,1.00,5.00,216,NULL,201,'FÁTIMA','ERECHIM','RS',5355,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5375290,5.00,5.00,2.00,5.00,7.00,6.38,3.00,6.00,5.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',12121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5375304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5375312,8.00,0.00,7.00,7.00,9.00,NULL,0.00,0.00,0.00,201,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5375339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5375347,3.00,2.00,0.00,3.00,3.00,NULL,4.00,4.00,1.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5375363,7.00,6.00,6.00,7.00,5.00,11.25,4.00,4.00,6.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5375371,4.00,7.00,3.00,7.00,8.00,9.75,5.00,3.00,2.00,238,NULL,216,'AREIAS DE PALHOCINHA','GAROPABA','SC',9718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5375380,5.00,6.00,5.00,7.00,8.00,12.00,3.00,4.00,5.00,425,NULL,429,'MORADA DO OURO','CUIABÁ','MT',5630,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5375398,2.00,6.00,2.00,4.00,4.00,7.13,2.00,3.00,2.00,327,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5375401,4.00,7.00,3.00,6.00,7.00,9.00,1.00,4.00,5.00,424,NULL,429,'STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC',10113,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375410,7.00,6.00,6.00,7.00,7.00,4.50,6.00,3.00,4.00,220,NULL,201,'SEDE ALVORADA','SEDE ALVORADA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5375428,7.00,8.00,4.00,7.00,8.00,10.88,3.00,4.00,7.00,332,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',5084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5375444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'LUCAS ARAÚJO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5375452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PADRE MARTINHO STEIN','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5375487,7.00,5.00,2.00,5.00,3.00,NULL,1.00,5.00,5.00,316,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5375517,5.00,5.00,2.00,3.00,4.00,6.75,2.00,2.00,3.00,502,NULL,NULL,'CENTRO','QUERÊNCIA NORTE','PR',15734,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5375525,4.00,5.00,0.00,2.00,4.00,NULL,2.00,4.00,6.00,103,NULL,NULL,'FAXINAL','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5375533,5.00,5.00,1.00,4.00,5.00,9.38,1.00,2.00,5.00,3,NULL,NULL,'CENTRO','LAGES','SC',15620,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5375541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5375550,5.00,7.00,2.00,5.00,8.00,7.88,3.00,3.00,5.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8052,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375568,1.00,6.00,2.00,6.00,7.00,6.75,3.00,1.00,3.00,201,NULL,212,'VELHA CENTRAL','BLUMENAU','SC',13317,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5375576,1.00,2.00,0.00,3.00,4.00,NULL,2.00,2.00,2.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5375584,9.00,9.00,6.00,7.00,8.00,10.88,5.00,5.00,9.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',373,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5375592,5.00,5.00,0.00,3.00,8.00,NULL,1.00,2.00,4.00,5,NULL,NULL,'PALHOÇA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375614,2.00,7.00,3.00,5.00,5.00,9.00,2.00,3.00,6.00,415,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5375622,6.00,6.00,5.00,5.00,8.00,8.63,1.00,4.00,5.00,336,NULL,NULL,'EUCALIPTOS','FAZ RIO GRANDE','PR',8878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375630,3.00,7.00,1.00,4.00,6.00,7.88,1.00,2.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5375649,4.00,8.00,1.00,4.00,5.00,9.00,3.00,4.00,5.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375665,6.00,6.00,2.00,4.00,3.00,NULL,1.00,3.00,6.00,225,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375681,4.00,4.00,2.00,2.00,1.00,NULL,1.00,3.00,3.00,203,NULL,214,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5375690,4.00,7.00,4.00,5.00,6.00,6.00,1.00,3.00,3.00,302,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13976,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5375738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JD SANTANA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5375746,2.00,2.00,0.00,3.00,6.00,NULL,0.00,3.00,0.00,301,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375754,9.00,7.00,4.00,6.00,8.00,9.00,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','RESTINGA SECA','RS',3784,1778,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375762,2.00,3.00,0.00,3.00,3.00,NULL,2.00,1.00,0.00,452,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375770,3.00,3.00,5.00,3.00,8.00,8.25,2.00,1.00,5.00,103,NULL,NULL,'CENTRO','PALMITOS','SC',14605,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5375789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5375797,5.00,6.00,2.00,3.00,3.00,NULL,0.00,2.00,4.00,501,NULL,NULL,'CENTRO','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375800,4.00,4.00,1.00,6.00,6.00,7.88,1.00,4.00,4.00,426,NULL,425,'BELA VISTA','PALHOÇA','SC',15732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5375819,4.00,6.00,2.00,6.00,8.00,9.00,3.00,4.00,4.00,340,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',11295,323,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375827,6.00,8.00,6.00,8.00,9.00,8.25,4.00,4.00,6.00,201,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',2863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5375835,5.00,8.00,5.00,6.00,9.00,8.63,6.00,5.00,5.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',2931,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5375843,3.00,6.00,1.00,5.00,6.00,7.50,2.00,1.00,2.00,213,NULL,201,'N S DA PENHA','IJUÍ','RS',14788,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5375851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5375860,3.00,0.00,0.00,5.00,4.00,NULL,1.00,1.00,3.00,216,NULL,215,'JACARÉ','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5375878,8.00,7.00,2.00,6.00,7.00,9.75,5.00,2.00,8.00,103,NULL,NULL,'ELIZABETH','IJUÍ','RS',5709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375886,3.00,2.00,0.00,3.00,3.00,NULL,1.00,1.00,3.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375894,4.00,5.00,2.00,3.00,5.00,9.75,2.00,2.00,3.00,207,NULL,NULL,'ALEGRE','RIO NEGRINHO','SC',15611,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5375908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,424,'CAPÃO','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5375916,6.00,6.00,2.00,6.00,11.00,8.25,3.00,2.00,4.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',7151,2672,NULL,NULL,NULL,NULL,NULL,2,15),(20,5375924,6.00,7.00,2.00,4.00,6.00,7.88,1.00,1.00,3.00,103,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',11023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5375932,2.00,3.00,0.00,4.00,3.00,NULL,1.00,2.00,0.00,340,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5375959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','PENHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5375967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA ANGÉLICA','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5375983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5375991,4.00,7.00,0.00,4.00,5.00,6.38,2.00,2.00,5.00,653,NULL,NULL,'CENTRO','MARACAJÁ','SC',15859,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5376017,4.00,5.00,0.00,6.00,8.00,NULL,0.00,1.00,3.00,5,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5376041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,233,'VILA MARIANA','APARECIDA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5376050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5376068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5376076,3.00,6.00,5.00,2.00,4.00,NULL,0.00,3.00,1.00,317,NULL,NULL,'JD DAS ACÁCIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5376084,2.00,5.00,4.00,3.00,4.00,7.13,2.00,2.00,4.00,207,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16300,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5376092,3.00,3.00,1.00,3.00,5.00,NULL,3.00,2.00,5.00,450,NULL,NULL,'CAMPO D UNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5376106,8.00,7.00,2.00,7.00,9.00,12.75,5.00,4.00,7.00,103,NULL,NULL,'SÃO PEDRO','BENTO GONÇALVES','RS',1494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376114,5.00,5.00,1.00,3.00,6.00,NULL,2.00,1.00,2.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',5,1),(20,5376122,1.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,429,NULL,425,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(20,5376130,9.00,7.00,5.00,6.00,8.00,8.25,6.00,6.00,8.00,103,NULL,NULL,'CENTRO','LARANJEIRAS SUL','PR',1949,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5376149,4.00,4.00,4.00,7.00,8.00,9.38,4.00,4.00,6.00,404,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',7920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376157,9.00,9.00,6.00,7.00,8.00,9.75,6.00,5.00,7.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',1256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376173,6.00,6.00,2.00,6.00,4.00,7.88,2.00,2.00,5.00,216,NULL,211,'CENTRO','BOMBINHAS','SC',14763,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5376181,3.00,4.00,2.00,8.00,7.00,7.13,2.00,3.00,2.00,329,NULL,NULL,'ARMAÇÃO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5376190,7.00,8.00,2.00,5.00,8.00,8.25,2.00,5.00,7.00,450,NULL,NULL,'SANTA TERESA','AURORA','SC',6569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376203,7.00,7.00,2.00,7.00,9.00,7.88,5.00,4.00,7.00,203,NULL,220,'CARVOEIRA','FLORIANÓPOLIS','SC',2902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376211,5.00,3.00,0.00,3.00,5.00,NULL,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5376238,6.00,8.00,2.00,5.00,7.00,7.88,3.00,7.00,6.00,5,NULL,NULL,'CENTRO','CURITIBA','PR',4424,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5376246,3.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5376254,7.00,4.00,4.00,5.00,8.00,8.25,2.00,6.00,7.00,103,NULL,NULL,'ABERTA DOS MORROS','PTO ALEGRE','RS',4381,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5376262,5.00,3.00,2.00,1.00,5.00,6.75,2.00,5.00,4.00,444,NULL,NULL,'POTECAS','S JOSÉ','SC',16210,101,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376270,7.00,8.00,3.00,7.00,10.00,9.38,4.00,6.00,7.00,415,NULL,NULL,'CENTRO','STA MARIA','RS',3074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376289,7.00,8.00,1.00,5.00,9.00,12.00,5.00,6.00,6.00,207,NULL,238,'CENTRO','NOVA TRENTO','SC',2915,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5376297,6.00,6.00,2.00,5.00,5.00,NULL,0.00,3.00,3.00,207,NULL,NULL,'CENTRO','ITAIÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5376300,8.00,5.00,1.00,7.00,8.00,12.38,3.00,5.00,6.00,103,NULL,NULL,'CHAMPAGNE','GARIBALDI','RS',3277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376319,4.00,6.00,2.00,5.00,5.00,7.88,2.00,2.00,4.00,301,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',15327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376327,5.00,5.00,4.00,6.00,6.00,9.00,0.00,3.00,1.00,303,NULL,NULL,'CENTRO','PINHEIRO PRETO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5376335,5.00,6.00,4.00,7.00,5.00,10.88,2.00,4.00,6.00,202,NULL,213,'BARREIROS','S JOSÉ','SC',8519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376351,7.00,7.00,5.00,7.00,6.00,11.25,4.00,3.00,5.00,235,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',4012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,202,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5376378,2.00,5.00,0.00,8.00,7.00,NULL,1.00,2.00,4.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376386,5.00,3.00,3.00,3.00,4.00,NULL,3.00,2.00,2.00,9,NULL,NULL,'CENTRO','ITAPETININGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376394,7.00,0.00,1.00,7.00,5.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(20,5376408,7.00,6.00,4.00,6.00,7.00,9.38,4.00,4.00,6.00,653,NULL,NULL,'DAS DAMAS','URUSSANGA','SC',5636,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5376416,1.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,4.00,404,NULL,NULL,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5376424,6.00,7.00,0.00,8.00,8.00,8.25,2.00,5.00,4.00,215,NULL,211,'BOM ABRIGO','FLORIANÓPOLIS','SC',8064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376432,6.00,6.00,3.00,6.00,8.00,9.38,5.00,4.00,4.00,102,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',7480,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5376440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5376459,8.00,7.00,4.00,6.00,9.00,8.63,4.00,2.00,6.00,104,NULL,NULL,'SANTO ANDRÉ','CAPIVARI BAIXO','SC',4318,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5376467,5.00,5.00,3.00,4.00,8.00,8.63,3.00,5.00,7.00,104,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',7733,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5376475,4.00,4.00,0.00,3.00,5.00,NULL,4.00,2.00,3.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5376483,3.00,2.00,2.00,7.00,4.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'SANTA CRUZ','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5376491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5376513,3.00,1.00,4.00,4.00,3.00,NULL,4.00,1.00,3.00,453,NULL,NULL,'INDUSTRIAL','ITAPEJARA D OESTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5376521,3.00,3.00,1.00,2.00,6.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'VILA NOVA','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5376548,7.00,4.00,1.00,6.00,7.00,7.88,0.00,3.00,2.00,207,NULL,NULL,'NOVA AURORA','RONDONÓPOLIS','MT',14437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5376572,9.00,7.00,5.00,7.00,8.00,11.25,5.00,3.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',2461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376580,5.00,6.00,3.00,4.00,7.00,12.00,1.00,2.00,4.00,331,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',12186,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5376599,8.00,6.00,2.00,3.00,7.00,8.63,1.00,2.00,5.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11919,3408,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5376610,3.00,3.00,0.00,2.00,1.00,NULL,1.00,2.00,2.00,201,NULL,212,'LOURDES','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5376645,5.00,6.00,5.00,6.00,11.00,9.00,2.00,3.00,6.00,207,NULL,601,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5376653,1.00,3.00,1.00,6.00,5.00,NULL,3.00,3.00,2.00,319,NULL,NULL,'NOVELO','MARIÓPOLIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5376661,8.00,7.00,5.00,5.00,7.00,8.25,1.00,6.00,6.00,310,NULL,NULL,'NOVA SERTÃOZINHO','SERTÃOZINHO','SP',5387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376670,7.00,6.00,2.00,8.00,8.00,11.63,2.00,4.00,5.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',6174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','ÁUREA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5376696,5.00,7.00,1.00,7.00,7.00,8.63,2.00,2.00,2.00,415,NULL,NULL,'HUMAITÁ DE CIMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5376700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'BOA ESPERANÇA','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5376718,2.00,2.00,0.00,4.00,6.00,NULL,3.00,2.00,2.00,319,NULL,NULL,'BEIRA RIO','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5376726,3.00,7.00,0.00,4.00,5.00,NULL,1.00,2.00,4.00,451,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376734,4.00,6.00,2.00,3.00,4.00,NULL,0.00,0.00,5.00,451,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5376742,6.00,6.00,2.00,5.00,8.00,NULL,0.00,4.00,3.00,326,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5376777,5.00,5.00,1.00,3.00,6.00,NULL,0.00,2.00,4.00,340,NULL,NULL,'NOVA AURORA','RONDONÓPOLIS','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376793,9.00,9.00,4.00,6.00,10.00,8.63,6.00,7.00,7.00,103,NULL,NULL,'PERPÉTUO SOCORRO','STA MARIA','RS',782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5376807,4.00,5.00,1.00,7.00,6.00,8.25,3.00,1.00,2.00,425,NULL,429,'VARGEM GRANDE','FLORIANÓPOLIS','SC',14827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'CAMPO BELO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5376823,9.00,8.00,4.00,7.00,10.00,8.25,4.00,4.00,8.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',1747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5376831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA SANTA IZABEL','AVARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5376840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5376858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'VALADA MOSQUITO','AGRONÔMICA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5376866,7.00,6.00,5.00,5.00,7.00,9.00,2.00,4.00,7.00,104,NULL,NULL,'MICHEL','CRICIÚMA','SC',7136,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5376874,9.00,7.00,5.00,4.00,9.00,11.25,8.00,5.00,8.00,103,NULL,NULL,'CENTRO','UMUARAMA','PR',874,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5376882,5.00,7.00,0.00,6.00,8.00,9.75,2.00,2.00,5.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13664,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5376890,5.00,4.00,1.00,6.00,8.00,9.75,1.00,3.00,4.00,319,NULL,NULL,'SALGADO FILHO','GRAVATAÍ','RS',12633,227,NULL,NULL,NULL,NULL,NULL,2,1),(20,5376904,5.00,7.00,1.00,5.00,4.00,7.88,0.00,3.00,4.00,404,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',15421,49,NULL,NULL,NULL,NULL,NULL,2,1),(20,5376912,0.00,3.00,0.00,2.00,3.00,NULL,1.00,1.00,1.00,453,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5376920,3.00,5.00,1.00,5.00,6.00,8.63,2.00,2.00,5.00,211,NULL,216,'MONTE VERDE','FLORIANÓPOLIS','SC',14210,439,NULL,546,NULL,NULL,NULL,2,1),(20,5376939,7.00,7.00,5.00,4.00,8.00,11.25,4.00,5.00,4.00,203,NULL,201,'JARDIM ITAMARATY','OURINHOS','SP',5068,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5376947,3.00,4.00,1.00,4.00,3.00,NULL,0.00,2.00,2.00,301,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5376963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5376971,4.00,3.00,3.00,5.00,6.00,6.00,2.00,2.00,2.00,303,NULL,NULL,'VILA SADIA','VÁRZEA GRANDE','MT',15882,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5377005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5377013,5.00,7.00,2.00,6.00,9.00,7.50,3.00,2.00,6.00,420,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',7636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377030,1.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5377048,5.00,6.00,3.00,1.00,4.00,NULL,0.00,2.00,6.00,211,NULL,215,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377056,4.00,5.00,5.00,5.00,5.00,8.25,3.00,3.00,6.00,215,NULL,211,'CENTRO','TREZE TÍLIAS','SC',10122,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5377064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5377072,7.00,6.00,4.00,6.00,8.00,10.13,2.00,5.00,5.00,211,NULL,233,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377080,3.00,7.00,1.00,1.00,3.00,NULL,4.00,4.00,2.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5377102,3.00,5.00,1.00,5.00,5.00,NULL,1.00,1.00,3.00,444,NULL,NULL,'POÇO FUNDO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377110,6.00,5.00,4.00,6.00,6.00,7.88,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','MTE CASTELO','SC',11732,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5377129,7.00,7.00,3.00,5.00,9.00,8.25,4.00,4.00,6.00,201,NULL,212,'CENTRO','PALHOÇA','SC',7066,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5377137,6.00,7.00,1.00,7.00,8.00,10.50,5.00,6.00,5.00,203,NULL,202,'NOSSA S DE FÁTIMA','BRAÇO NORTE','SC',3735,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5377145,3.00,3.00,1.00,5.00,4.00,NULL,0.00,2.00,3.00,324,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5377153,4.00,7.00,1.00,5.00,9.00,7.13,2.00,3.00,5.00,201,NULL,208,'COPACABANA','LAGES','SC',13493,962,NULL,349,NULL,NULL,NULL,4,9),(20,5377161,4.00,7.00,0.00,4.00,3.00,NULL,2.00,2.00,6.00,302,NULL,NULL,'SAO LUIS','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5377188,5.00,5.00,0.00,6.00,7.00,NULL,2.00,4.00,3.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377196,2.00,3.00,1.00,6.00,2.00,NULL,2.00,2.00,2.00,429,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377200,9.00,9.00,4.00,7.00,9.00,11.25,8.00,4.00,8.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',923,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5377218,5.00,7.00,2.00,4.00,6.00,9.00,3.00,2.00,5.00,203,NULL,202,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',12605,846,NULL,430,NULL,NULL,NULL,2,1),(20,5377226,1.00,3.00,4.00,3.00,7.00,NULL,4.00,0.00,4.00,108,NULL,NULL,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5377250,7.00,8.00,4.00,7.00,9.00,7.88,4.00,4.00,6.00,216,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',3737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BANDEIRANTES','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5377277,5.00,6.00,1.00,4.00,5.00,7.50,4.00,3.00,2.00,103,NULL,NULL,'LIRI','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5377285,9.00,9.00,6.00,7.00,9.00,10.13,5.00,5.00,9.00,103,NULL,NULL,'OCTAVIO PECORA','CPO GRANDE','MS',822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377293,9.00,7.00,4.00,5.00,9.00,8.25,7.00,7.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',1662,938,NULL,NULL,NULL,NULL,NULL,2,1),(20,5377315,7.00,7.00,5.00,6.00,7.00,8.25,5.00,5.00,6.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',4766,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5377323,0.00,5.00,1.00,4.00,5.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'PETRÓPOLIS','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5377331,7.00,4.00,1.00,6.00,5.00,7.50,3.00,4.00,2.00,425,NULL,427,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,213,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5377366,6.00,8.00,2.00,7.00,9.00,9.75,0.00,6.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7993,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377374,5.00,5.00,0.00,3.00,7.00,NULL,0.00,2.00,3.00,415,NULL,NULL,'JARDIM MOTORAMA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5377382,8.00,7.00,6.00,6.00,10.00,9.75,4.00,6.00,8.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',1075,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5377390,3.00,5.00,1.00,5.00,7.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'ERMELINO MATARAZZO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5377404,4.00,4.00,2.00,2.00,1.00,NULL,1.00,4.00,2.00,309,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5377420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'AVAÍ','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5377439,4.00,5.00,1.00,3.00,4.00,NULL,1.00,5.00,0.00,104,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5377447,6.00,5.00,3.00,6.00,9.00,7.88,3.00,2.00,3.00,427,NULL,424,'CENTRO','BRUSQUE','SC',10527,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5377463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5377480,6.00,7.00,4.00,5.00,8.00,8.63,2.00,4.00,4.00,340,NULL,NULL,'SÃO LUIZ','S MIGUEL OESTE','SC',9126,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5377498,4.00,8.00,3.00,6.00,5.00,6.75,1.00,2.00,5.00,211,NULL,653,'AGRONÔMICA','FLORIANÓPOLIS','SC',14438,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5377501,5.00,6.00,3.00,7.00,3.00,NULL,3.00,2.00,4.00,238,NULL,652,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377510,5.00,8.00,3.00,5.00,6.00,6.75,2.00,4.00,4.00,102,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',11818,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5377536,8.00,6.00,6.00,7.00,6.00,9.38,5.00,4.00,5.00,103,NULL,NULL,'IATE CLUBE CAMPINAS','AMERICANA','SP',4096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377544,0.00,0.00,2.00,2.00,3.00,NULL,2.00,1.00,3.00,215,NULL,216,'N S APARECIDA','MTE CARLO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5377552,2.00,7.00,3.00,6.00,7.00,NULL,2.00,5.00,4.00,653,NULL,601,'PETROPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5377560,2.00,6.00,0.00,3.00,6.00,NULL,3.00,3.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5377587,8.00,9.00,5.00,7.00,6.00,9.75,6.00,7.00,6.00,103,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',1263,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5377609,7.00,8.00,5.00,7.00,5.00,7.13,3.00,4.00,5.00,304,NULL,NULL,'CENTRO','CHAPECÓ','SC',6947,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5377617,3.00,7.00,3.00,5.00,4.00,NULL,0.00,2.00,4.00,339,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377625,4.00,6.00,3.00,1.00,4.00,8.25,1.00,4.00,4.00,233,NULL,201,'PONTAL','TRÊS CACHOEIRAS','RS',13488,367,NULL,961,NULL,NULL,NULL,4,15),(20,5377633,6.00,4.00,1.00,4.00,7.00,9.75,0.00,3.00,3.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',14600,3707,NULL,NULL,NULL,NULL,NULL,2,8),(20,5377641,0.00,6.00,0.00,0.00,0.00,NULL,2.00,4.00,2.00,450,NULL,NULL,'STA LÚCIA','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5377668,5.00,7.00,2.00,3.00,6.00,7.50,3.00,2.00,3.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5377676,5.00,3.00,1.00,5.00,6.00,NULL,0.00,3.00,1.00,108,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5377692,7.00,5.00,5.00,6.00,7.00,6.38,3.00,4.00,8.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',5032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377706,6.00,6.00,2.00,5.00,6.00,9.75,2.00,5.00,6.00,303,NULL,NULL,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',7647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377714,8.00,8.00,6.00,7.00,8.00,7.88,5.00,6.00,6.00,207,NULL,NULL,'PARQUE SELLA','CAMBÉ','PR',1612,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5377730,2.00,4.00,2.00,3.00,3.00,NULL,1.00,2.00,2.00,211,NULL,202,'MADALOZO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5377749,6.00,6.00,2.00,5.00,6.00,9.00,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',9750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377757,4.00,7.00,4.00,0.00,7.00,NULL,3.00,5.00,5.00,220,NULL,202,'SORGATTO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377765,5.00,5.00,0.00,5.00,4.00,5.25,0.00,3.00,3.00,303,NULL,NULL,'CENTRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5377773,3.00,4.00,0.00,2.00,2.00,NULL,2.00,0.00,3.00,324,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377781,5.00,7.00,5.00,7.00,4.00,7.13,1.00,5.00,7.00,233,NULL,202,'CANASVIEIRAS','FLORIANÓPOLIS','SC',8254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377790,3.00,5.00,2.00,6.00,9.00,10.13,4.00,5.00,1.00,309,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ARAXÁ','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5377820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,215,'ESTADIO','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5377838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SIA JULIANA','CAMAQUÃ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5377854,7.00,6.00,3.00,6.00,10.00,10.88,1.00,4.00,5.00,238,NULL,215,'ITACORUBI','FLORIANÓPOLIS','SC',6534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377862,8.00,6.00,3.00,5.00,8.00,6.38,3.00,4.00,4.00,108,NULL,NULL,'BOA VISTA','CURITIBA','PR',8545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5377870,7.00,7.00,2.00,5.00,6.00,8.63,3.00,1.00,5.00,318,NULL,NULL,'IRIRIU','JOINVILLE','SC',10685,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5377897,5.00,4.00,2.00,5.00,7.00,8.63,2.00,3.00,5.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',12507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5377919,9.00,8.00,3.00,3.00,8.00,9.00,3.00,2.00,7.00,103,NULL,NULL,'CENTRO','MEDIANEIRA','PR',5113,2179,NULL,NULL,NULL,NULL,NULL,2,8),(20,5377927,4.00,5.00,0.00,7.00,6.00,9.00,2.00,4.00,3.00,327,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377935,3.00,5.00,1.00,3.00,3.00,NULL,2.00,1.00,1.00,404,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5377943,6.00,3.00,1.00,2.00,4.00,NULL,0.00,4.00,1.00,103,NULL,NULL,'PINHEIROS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5377951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'CENTRO','FLORES CUNHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5377960,4.00,5.00,3.00,5.00,4.00,9.38,3.00,6.00,3.00,102,NULL,NULL,'CANTA GALO','RIO SUL','SC',12967,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5377994,2.00,1.00,0.00,1.00,1.00,NULL,0.00,0.00,1.00,102,NULL,NULL,'CANOAS','CANOAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5378001,3.00,3.00,2.00,3.00,6.00,NULL,2.00,2.00,2.00,225,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5378010,3.00,4.00,2.00,3.00,3.00,NULL,2.00,0.00,2.00,214,NULL,215,'CENTRO','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5378028,9.00,6.00,5.00,8.00,9.00,10.50,4.00,5.00,8.00,103,NULL,NULL,'VILA INDUSTRIAL','TOLEDO','PR',2420,1259,NULL,NULL,NULL,NULL,NULL,4,4),(20,5378036,6.00,7.00,4.00,6.00,7.00,8.63,2.00,6.00,3.00,320,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5378060,7.00,7.00,3.00,3.00,7.00,6.00,2.00,3.00,4.00,501,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',14572,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5378079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','PENHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5378087,0.00,5.00,0.00,0.00,2.00,NULL,3.00,0.00,4.00,324,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5378095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA JUNÇÃO','RIO GRANDE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5378109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SAÕ LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5378125,4.00,5.00,5.00,4.00,6.00,9.38,3.00,3.00,5.00,331,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12317,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5378133,9.00,6.00,5.00,6.00,8.00,10.13,4.00,6.00,6.00,103,NULL,NULL,'SERRARIA','S JOSÉ','SC',2399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5378168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5378184,4.00,6.00,1.00,5.00,7.00,7.88,3.00,2.00,4.00,318,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5378192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5378206,7.00,6.00,3.00,5.00,6.00,7.50,1.00,2.00,6.00,103,NULL,NULL,'CENTRO','ARARUNA','PR',11770,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5378214,3.00,5.00,2.00,4.00,6.00,NULL,1.00,1.00,3.00,203,NULL,NULL,'NAÇÕES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5378257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOÃO','MONTENEGRO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5378265,4.00,4.00,3.00,5.00,7.00,9.38,1.00,5.00,5.00,415,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5378273,4.00,4.00,3.00,5.00,7.00,9.00,0.00,4.00,5.00,404,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',12340,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5378281,4.00,3.00,4.00,6.00,2.00,NULL,2.00,2.00,3.00,208,NULL,238,'PARQUE ASSUNÇÃO','TABOÃO SERRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5378290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PLANALTO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5378303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5378311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5378320,3.00,4.00,0.00,2.00,5.00,NULL,1.00,1.00,2.00,415,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5378338,6.00,6.00,0.00,4.00,4.00,8.63,1.00,2.00,6.00,104,NULL,NULL,'CENTRO','PNT GROSSA','PR',14283,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5378346,4.00,6.00,1.00,5.00,9.00,8.25,1.00,3.00,7.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',10391,3214,NULL,NULL,NULL,NULL,NULL,2,1),(20,5378354,0.00,5.00,2.00,5.00,4.00,NULL,1.00,5.00,2.00,235,NULL,202,'SÃO DEFENDE','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5378362,5.00,3.00,3.00,3.00,3.00,NULL,3.00,2.00,1.00,207,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5378389,6.00,7.00,2.00,5.00,5.00,9.38,4.00,4.00,8.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',5653,2318,NULL,NULL,NULL,NULL,NULL,2,8),(20,5378397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5378419,4.00,4.00,2.00,0.00,4.00,NULL,1.00,4.00,3.00,108,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5378427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOMFIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5378435,5.00,4.00,0.00,4.00,3.00,NULL,2.00,1.00,4.00,201,NULL,207,'BOA VISTA','PALMITINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5378478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,653,'PEDRO ZANIVAN','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5378486,2.00,5.00,3.00,2.00,5.00,NULL,1.00,4.00,3.00,652,NULL,NULL,'MILANESE','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5378494,3.00,5.00,2.00,3.00,3.00,NULL,1.00,1.00,2.00,444,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5378508,4.00,1.00,5.00,1.00,2.00,NULL,1.00,3.00,0.00,203,NULL,214,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5378516,3.00,4.00,1.00,1.00,4.00,NULL,2.00,3.00,2.00,601,NULL,235,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5378532,8.00,8.00,4.00,7.00,9.00,9.00,6.00,7.00,6.00,303,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',1885,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5378540,8.00,6.00,3.00,7.00,9.00,11.25,5.00,6.00,7.00,303,NULL,NULL,'ELTON VILLE','SOROCABA','SP',1437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5378559,5.00,7.00,1.00,5.00,7.00,11.25,2.00,4.00,3.00,329,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',10578,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5378567,1.00,2.00,2.00,2.00,2.00,NULL,2.00,0.00,2.00,207,NULL,212,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5378575,8.00,6.00,7.00,7.00,10.00,10.13,3.00,5.00,6.00,104,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',1535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5378583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,NULL,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5378591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOÃO','MONTENEGRO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5378605,1.00,4.00,0.00,1.00,0.00,NULL,0.00,3.00,3.00,653,NULL,652,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5378613,9.00,7.00,2.00,6.00,8.00,9.75,7.00,4.00,6.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',3247,1568,NULL,NULL,NULL,NULL,NULL,4,15),(20,5378621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5378630,3.00,5.00,0.00,3.00,4.00,NULL,2.00,1.00,4.00,653,NULL,NULL,'BARRO VERMELHO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5378648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'JD PAULISTA','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5378656,3.00,1.00,1.00,6.00,4.00,NULL,0.00,2.00,5.00,104,NULL,NULL,'INTERIOR','DAVID CANABARRO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5378664,8.00,7.00,6.00,7.00,9.00,10.50,3.00,5.00,6.00,303,NULL,NULL,'VILA MONTEIRO','PIRACICABA','SP',2004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5378672,2.00,3.00,3.00,3.00,5.00,NULL,0.00,2.00,3.00,429,NULL,NULL,'SÃO CRISTOVÃO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5378680,3.00,3.00,0.00,5.00,4.00,NULL,1.00,2.00,1.00,201,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5378710,5.00,4.00,1.00,5.00,7.00,9.75,4.00,4.00,4.00,203,NULL,202,'DOIS PINHEIROS','VIDEIRA','SC',11152,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5378729,2.00,2.00,3.00,4.00,3.00,NULL,0.00,2.00,3.00,238,NULL,208,'JARDIM CIDADE DE FLO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5378737,6.00,4.00,2.00,4.00,7.00,9.38,1.00,2.00,3.00,444,NULL,NULL,'SÃO DIMAS','PIRACICABA','SP',13225,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5378745,0.00,4.00,0.00,2.00,2.00,NULL,2.00,2.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5378753,5.00,6.00,1.00,6.00,10.00,8.25,3.00,4.00,5.00,452,NULL,NULL,'SERRARIA','S JOSÉ','SC',9038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5378761,7.00,8.00,0.00,5.00,8.00,NULL,3.00,4.00,3.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5378770,5.00,3.00,0.00,1.00,2.00,NULL,2.00,2.00,2.00,652,NULL,NULL,'MILANESE','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5378788,3.00,3.00,1.00,2.00,3.00,NULL,1.00,1.00,1.00,601,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5378800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'JARDIM IRAJA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5378818,9.00,5.00,3.00,6.00,9.00,6.75,3.00,7.00,8.00,103,NULL,NULL,'PALMEIRINHA','PNT GROSSA','PR',2816,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5378826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'TESTO REGA','POMERODE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5378834,3.00,7.00,3.00,5.00,6.00,8.25,0.00,1.00,5.00,103,NULL,NULL,'CENTRO','CORREIA PINTO','SC',11031,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5378842,4.00,5.00,2.00,6.00,6.00,8.25,0.00,3.00,1.00,303,NULL,NULL,'CENTRO','CORREIA PINTO','SC',15270,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5378850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5378877,1.00,7.00,3.00,7.00,5.00,7.13,4.00,3.00,3.00,208,NULL,238,'CENTRO','CRICIÚMA','SC',13612,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5378885,4.00,7.00,0.00,6.00,4.00,7.13,1.00,3.00,5.00,429,NULL,424,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5378893,3.00,4.00,0.00,3.00,5.00,NULL,1.00,3.00,1.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5378907,4.00,7.00,4.00,6.00,4.00,6.00,2.00,3.00,4.00,211,NULL,212,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5378915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5378923,5.00,6.00,3.00,7.00,5.00,7.13,2.00,4.00,4.00,110,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',12809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5378931,6.00,7.00,4.00,6.00,8.00,8.25,3.00,6.00,5.00,329,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5378940,7.00,6.00,5.00,4.00,7.00,6.38,3.00,2.00,7.00,234,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8539,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5378958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE JARDIM','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5378966,3.00,4.00,1.00,5.00,5.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5378974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMÉRICA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5378990,4.00,7.00,4.00,3.00,4.00,7.13,3.00,4.00,3.00,653,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5379024,4.00,3.00,0.00,2.00,3.00,NULL,0.00,0.00,3.00,108,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5379032,5.00,5.00,2.00,2.00,6.00,10.13,3.00,3.00,3.00,202,NULL,213,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5379040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5379059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5379067,8.00,6.00,8.00,6.00,6.00,8.63,7.00,6.00,8.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',1279,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5379075,1.00,4.00,2.00,2.00,2.00,NULL,1.00,1.00,1.00,223,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5379083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SÃO JUDAS TADEU','GRAVATAÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5379091,3.00,1.00,0.00,3.00,4.00,NULL,0.00,2.00,3.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5379105,8.00,7.00,6.00,7.00,7.00,9.75,6.00,7.00,8.00,233,NULL,601,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5379121,7.00,5.00,2.00,4.00,8.00,7.88,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','SANTANA ITARARÉ','PR',7568,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5379130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'RIO ANTINHAS','PETROLÂNDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5379148,9.00,8.00,7.00,7.00,8.00,10.50,6.00,5.00,8.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',492,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5379156,6.00,5.00,3.00,6.00,8.00,7.50,2.00,5.00,4.00,452,NULL,NULL,'LOTE SEIS','CRICIÚMA','SC',12229,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5379164,4.00,7.00,1.00,2.00,5.00,NULL,0.00,2.00,3.00,302,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5379172,9.00,7.00,6.00,7.00,10.00,12.38,4.00,5.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',860,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5379180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','TRÊS PALMEIRAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5379199,8.00,7.00,4.00,6.00,8.00,10.13,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','CASCA','RS',1834,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5379202,7.00,2.00,3.00,5.00,6.00,8.63,4.00,2.00,3.00,108,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',14639,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5379210,4.00,7.00,1.00,7.00,7.00,7.88,4.00,3.00,4.00,2,NULL,NULL,'TESTO ALTO','POMERODE','SC',11465,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5379229,6.00,6.00,0.00,2.00,6.00,NULL,0.00,5.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5379237,7.00,8.00,4.00,5.00,7.00,7.50,2.00,6.00,7.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6055,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5379253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'BOQUEIRÃO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5379261,5.00,6.00,5.00,5.00,5.00,7.13,0.00,3.00,4.00,203,NULL,NULL,'REUNIDAS','CAÇADOR','SC',11852,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5379270,2.00,4.00,2.00,2.00,4.00,NULL,1.00,3.00,4.00,201,NULL,212,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5379288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAVALHADA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5379296,8.00,9.00,5.00,7.00,9.00,6.38,5.00,7.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',1695,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5379300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MESQUITA','JACAREÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5379318,3.00,4.00,1.00,6.00,4.00,4.13,1.00,1.00,4.00,337,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5379334,6.00,6.00,2.00,7.00,7.00,9.00,3.00,6.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5379342,6.00,3.00,0.00,8.00,6.00,6.75,1.00,3.00,5.00,220,NULL,203,'CENTRO','APUCARANA','PR',11449,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5379350,3.00,6.00,0.00,3.00,5.00,NULL,2.00,3.00,1.00,452,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5379369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5379377,8.00,7.00,5.00,8.00,8.00,7.13,3.00,6.00,8.00,203,NULL,201,'PROGRESSO','BLUMENAU','SC',3454,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5379385,7.00,6.00,1.00,8.00,5.00,10.13,3.00,4.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5379393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE DA MOOCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5379407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UNIVERSITÁRIO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5379415,4.00,6.00,1.00,3.00,2.00,NULL,1.00,2.00,6.00,318,NULL,NULL,'CENTRO','CANELA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5379423,3.00,6.00,1.00,5.00,4.00,10.13,2.00,3.00,3.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5379431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5379440,1.00,4.00,3.00,4.00,5.00,NULL,2.00,2.00,3.00,101,NULL,NULL,'SÃO FRANCISCO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5379458,5.00,5.00,2.00,2.00,4.00,NULL,0.00,4.00,2.00,451,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5379466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5379474,3.00,7.00,3.00,4.00,7.00,9.00,3.00,4.00,6.00,211,NULL,203,'NAÇÕES','CONCÓRDIA','SC',11426,351,NULL,790,NULL,NULL,NULL,2,7),(20,5379482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM PAULISTA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5379490,6.00,7.00,2.00,4.00,7.00,7.13,3.00,2.00,4.00,203,NULL,220,'LA SALLE','PALOTINA','PR',9652,696,NULL,NULL,NULL,NULL,NULL,2,4),(20,5379504,6.00,6.00,6.00,3.00,6.00,7.88,3.00,3.00,5.00,201,NULL,211,'VILA PLANALTO','DOURADOS','MS',8808,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5379512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'CENTRO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5379520,5.00,6.00,2.00,7.00,6.00,11.25,2.00,5.00,4.00,453,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5379539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,216,'MINA DO MATO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5379555,6.00,5.00,0.00,4.00,5.00,NULL,0.00,2.00,5.00,208,NULL,238,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5379563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5379571,5.00,6.00,0.00,4.00,7.00,8.25,2.00,4.00,2.00,202,NULL,207,'ADHEMAR GARCIA','JOINVILLE','SC',14368,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5379580,5.00,7.00,1.00,3.00,9.00,9.75,1.00,6.00,5.00,301,NULL,NULL,'INTERIOR','BRUNÓPOLIS','SC',9062,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5379601,8.00,5.00,0.00,6.00,9.00,9.75,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','GUAÍBA','RS',8938,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5379610,6.00,8.00,2.00,7.00,8.00,10.88,2.00,2.00,5.00,102,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5379628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5379636,4.00,3.00,3.00,5.00,8.00,6.75,3.00,2.00,3.00,110,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15616,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5379644,9.00,7.00,5.00,8.00,11.00,10.88,7.00,5.00,9.00,103,NULL,NULL,'SÃO CRISTÓVÃO','LAJEADO','RS',276,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5379652,5.00,6.00,2.00,3.00,4.00,6.00,3.00,2.00,3.00,104,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5379660,5.00,6.00,2.00,6.00,5.00,9.38,3.00,3.00,2.00,651,NULL,653,'CIDADE ALTA','ARARANGUÁ','SC',13808,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5379679,4.00,6.00,4.00,6.00,8.00,9.38,1.00,4.00,4.00,326,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5379687,7.00,5.00,3.00,7.00,5.00,7.13,4.00,3.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',9567,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5379695,9.00,8.00,5.00,7.00,6.00,9.00,7.00,4.00,8.00,103,NULL,NULL,'MONT SERRAT','PTO ALEGRE','RS',1686,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5379709,2.00,6.00,0.00,4.00,2.00,NULL,0.00,2.00,4.00,332,NULL,NULL,'SERRARIA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5379717,5.00,3.00,1.00,5.00,3.00,NULL,1.00,3.00,4.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5379725,1.00,2.00,1.00,4.00,4.00,NULL,0.00,1.00,2.00,652,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5379733,3.00,4.00,2.00,2.00,0.00,NULL,1.00,0.00,2.00,303,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5379741,7.00,4.00,1.00,6.00,7.00,10.50,3.00,2.00,3.00,220,NULL,203,'CENTRO','UMUARAMA','PR',10581,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5379750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','DIONÍSIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5379768,7.00,8.00,3.00,5.00,5.00,7.50,2.00,2.00,4.00,201,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',10101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5379776,4.00,7.00,3.00,7.00,5.00,7.88,2.00,2.00,3.00,203,NULL,208,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5379784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UNIÃO','LOANDA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5379792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,215,'IOMERÊ','IOMERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5379806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CARAVAGGIO','NOSSA SRA CARAVAGGIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5379814,7.00,7.00,4.00,7.00,9.00,8.63,5.00,6.00,8.00,216,NULL,213,'JARDIM CHAPADÃO','CAMPINAS','SP',1440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5379822,6.00,7.00,4.00,4.00,7.00,8.63,3.00,5.00,9.00,303,NULL,NULL,'BATEL','CURITIBA','PR',4415,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5379830,4.00,6.00,3.00,4.00,4.00,10.13,0.00,3.00,6.00,5,NULL,NULL,'CENTRO','CHAPECÓ','SC',14523,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5379849,6.00,6.00,0.00,5.00,4.00,6.38,0.00,1.00,5.00,103,NULL,NULL,'CENTRO','LAURENTINO','SC',15814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5379857,7.00,6.00,3.00,5.00,8.00,12.75,3.00,3.00,5.00,316,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',8589,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5379865,5.00,6.00,5.00,7.00,7.00,9.75,3.00,4.00,4.00,5,NULL,NULL,'CENTRO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5379873,8.00,7.00,3.00,7.00,10.00,10.13,2.00,4.00,5.00,214,NULL,212,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5379881,9.00,5.00,7.00,7.00,7.00,9.38,4.00,2.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5379903,4.00,5.00,3.00,4.00,5.00,9.38,2.00,2.00,3.00,5,NULL,NULL,'CENTRO','TUBARÃO','SC',15236,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5379920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LOURDES','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5379938,7.00,8.00,3.00,3.00,10.00,9.00,2.00,6.00,4.00,340,NULL,NULL,'CPA IV','CUIABÁ','MT',7152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5379954,1.00,6.00,2.00,3.00,2.00,NULL,1.00,3.00,4.00,202,NULL,211,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5379962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5379970,3.00,4.00,1.00,3.00,5.00,NULL,1.00,3.00,5.00,331,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5379989,2.00,6.00,1.00,2.00,5.00,NULL,0.00,2.00,2.00,415,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5379997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CONSTANTINA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5380006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'PARQUE DOS LAGOS','ESPÍRITO STO PINHAL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5380014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JDM STA MARCELINA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5380022,2.00,4.00,1.00,3.00,4.00,NULL,1.00,1.00,3.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5380030,8.00,6.00,4.00,6.00,8.00,7.88,3.00,4.00,5.00,215,NULL,211,'CARVOEIRA','FLORIANÓPOLIS','SC',5850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5380057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SÃO JOÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5380065,3.00,5.00,3.00,4.00,5.00,9.75,2.00,4.00,4.00,320,NULL,NULL,'JARDIM ITAPEMA','VIAMÃO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5380073,2.00,5.00,3.00,3.00,5.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'JARDIM IMPERIAL','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5380081,7.00,6.00,2.00,7.00,9.00,9.00,6.00,2.00,7.00,103,NULL,NULL,'MOINHOS DE VENTO','CANOAS','RS',4224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5380090,3.00,5.00,2.00,3.00,6.00,NULL,1.00,0.00,3.00,5,NULL,NULL,'CENTRO DE SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5380103,8.00,7.00,5.00,4.00,6.00,9.75,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',4283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5380111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVO GUARUJÁ','BETIM','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5380120,8.00,5.00,0.00,5.00,7.00,9.00,0.00,3.00,2.00,501,NULL,NULL,'HUMAITÁ','PTO ALEGRE','RS',12531,62,NULL,NULL,NULL,NULL,NULL,4,5),(20,5380138,9.00,5.00,5.00,7.00,8.00,9.38,5.00,3.00,9.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',2994,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5380146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'N SR DE FATÍMA','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5380154,2.00,3.00,1.00,1.00,2.00,NULL,2.00,2.00,2.00,318,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5380162,2.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5380170,8.00,4.00,3.00,4.00,6.00,10.50,2.00,1.00,4.00,216,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',8856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5380189,2.00,2.00,0.00,3.00,6.00,NULL,1.00,1.00,1.00,101,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5380200,4.00,4.00,3.00,5.00,6.00,8.63,2.00,2.00,3.00,203,NULL,220,'JARDIM APUCARANA','APUCARANA','PR',11643,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5380219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PIRAPÓ','PIRAPÓ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5380227,5.00,7.00,2.00,7.00,4.00,8.63,0.00,4.00,6.00,424,NULL,429,'BALNEÁRIO','FLORIANÓPOLIS','SC',11284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5380243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','GUARUJÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5380251,8.00,6.00,2.00,6.00,6.00,8.63,3.00,3.00,5.00,108,NULL,NULL,'SORGATTO','CAÇADOR','SC',6668,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5380260,2.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5380278,4.00,4.00,0.00,5.00,5.00,NULL,0.00,3.00,3.00,104,NULL,NULL,'CENTRO','IBIRAMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5380286,2.00,3.00,1.00,4.00,2.00,NULL,1.00,3.00,3.00,308,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5380294,4.00,2.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,102,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5380308,1.00,3.00,0.00,3.00,3.00,NULL,3.00,1.00,0.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5380324,2.00,3.00,1.00,5.00,2.00,NULL,1.00,1.00,1.00,201,NULL,203,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5380332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA RODRIGUES','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5380340,9.00,7.00,4.00,6.00,11.00,8.63,7.00,5.00,8.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5380359,7.00,3.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5380367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5380375,2.00,2.00,0.00,3.00,2.00,NULL,0.00,1.00,1.00,316,NULL,NULL,'JARDIM PAULISTA','CAMPINA G SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5380383,9.00,6.00,4.00,6.00,6.00,9.75,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','DIVINÓPOLIS','MG',4839,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5380391,1.00,6.00,3.00,2.00,5.00,NULL,1.00,1.00,3.00,317,NULL,NULL,'BELA VISTA','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5380405,5.00,6.00,2.00,7.00,8.00,10.50,5.00,3.00,6.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',6093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5380413,7.00,8.00,3.00,7.00,9.00,9.00,4.00,2.00,7.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5380421,5.00,5.00,0.00,1.00,3.00,NULL,1.00,1.00,3.00,208,NULL,NULL,'CANGUERI DE FORA','IMARUÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5380430,5.00,3.00,0.00,4.00,5.00,NULL,0.00,2.00,3.00,333,NULL,NULL,'INTERIOR','FLORES CUNHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5380456,3.00,7.00,3.00,4.00,4.00,8.25,1.00,2.00,2.00,203,NULL,202,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5380464,8.00,7.00,7.00,7.00,10.00,6.75,6.00,5.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5380472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5380480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'ADHEMAR GARCIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5380499,6.00,4.00,3.00,5.00,6.00,8.63,1.00,3.00,5.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',11301,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5380502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5380510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5380553,9.00,4.00,6.00,7.00,7.00,7.88,6.00,5.00,9.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',2236,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5380561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5380588,6.00,7.00,5.00,6.00,10.00,8.63,4.00,7.00,4.00,238,NULL,208,'SANTA LÍBERA','FORQUILHINHA','SC',4639,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5380596,6.00,6.00,4.00,4.00,5.00,7.13,2.00,2.00,4.00,215,NULL,NULL,'JARDIM PRIMAVERIL','TRÊS LAGOAS','MS',13390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5380618,4.00,3.00,2.00,3.00,5.00,NULL,2.00,2.00,3.00,420,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5380626,0.00,3.00,3.00,4.00,7.00,NULL,2.00,3.00,1.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5380634,7.00,5.00,1.00,5.00,8.00,7.88,2.00,3.00,2.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5380642,2.00,3.00,2.00,4.00,5.00,NULL,1.00,2.00,1.00,302,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5380650,3.00,4.00,1.00,5.00,4.00,NULL,1.00,2.00,1.00,201,NULL,216,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5380669,4.00,6.00,2.00,3.00,4.00,8.63,1.00,3.00,3.00,501,NULL,NULL,'ARIRIU','PALHOÇA','SC',15104,103,NULL,NULL,NULL,NULL,NULL,2,1),(20,5380685,0.00,2.00,0.00,1.00,0.00,NULL,1.00,1.00,2.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5380707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5380715,5.00,3.00,0.00,6.00,4.00,4.50,2.00,3.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5380723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'OPERÁRIA NOVA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5380731,3.00,6.00,3.00,1.00,2.00,NULL,1.00,3.00,5.00,502,NULL,NULL,'TAPERS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5380740,4.00,3.00,2.00,2.00,4.00,NULL,3.00,4.00,0.00,340,NULL,NULL,'SAO BRAZ','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5380758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5380766,8.00,6.00,4.00,6.00,6.00,9.00,5.00,5.00,5.00,103,NULL,NULL,'MORRETES','ITAPEMA','SC',3703,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5380782,0.00,4.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,324,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5380790,4.00,6.00,0.00,4.00,5.00,6.75,2.00,2.00,5.00,317,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5380804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM VIRGÍNIA','ITAPECERICA SERRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5380812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5380820,4.00,4.00,3.00,3.00,6.00,NULL,1.00,0.00,3.00,207,NULL,211,'SÃO JOSÉ','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5380839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'NOVA JAGUARIÚNA','JAGUARIÚNA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5380863,9.00,9.00,7.00,8.00,6.00,10.50,7.00,3.00,7.00,214,NULL,211,'CABRAL','CURITIBA','PR',1053,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5380871,7.00,5.00,5.00,5.00,8.00,9.38,3.00,1.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',5404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5380880,5.00,4.00,2.00,5.00,3.00,NULL,3.00,1.00,3.00,108,NULL,NULL,'INTERRIOR','ARROIO TRINTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(20,5380898,2.00,6.00,1.00,2.00,4.00,NULL,2.00,1.00,4.00,235,NULL,201,'JARDIM PIRATININGA','OSASCO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5380901,6.00,4.00,0.00,6.00,10.00,9.75,1.00,3.00,4.00,9,NULL,NULL,'CENTRO','FRAIBURGO','SC',9189,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5380910,5.00,5.00,4.00,3.00,6.00,7.13,1.00,4.00,3.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5380928,5.00,4.00,4.00,2.00,1.00,NULL,2.00,2.00,3.00,211,NULL,215,'ZONA V','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5380936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5380944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5380960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RUY V CARNACIALLY','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5380979,3.00,4.00,4.00,5.00,6.00,7.88,3.00,3.00,2.00,104,NULL,NULL,'CENTRO','CASCAVEL','PR',14822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5380987,6.00,7.00,0.00,5.00,6.00,NULL,3.00,4.00,3.00,503,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5381010,4.00,6.00,5.00,6.00,4.00,7.88,2.00,2.00,4.00,301,NULL,NULL,'JARDIM MARCOS ANTONI','BIGUAÇU','SC',14602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5381037,5.00,6.00,2.00,5.00,7.00,NULL,0.00,2.00,2.00,404,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381045,5.00,7.00,2.00,5.00,7.00,7.13,2.00,4.00,4.00,109,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',11530,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381053,9.00,6.00,6.00,5.00,8.00,9.38,5.00,6.00,8.00,207,NULL,201,'FORTE','PR GRANDE','SP',1406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381061,4.00,2.00,1.00,7.00,6.00,NULL,3.00,2.00,2.00,340,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381070,6.00,7.00,4.00,3.00,5.00,8.63,1.00,3.00,6.00,103,NULL,NULL,'PETRÓPOLIS','PASSO FUNDO','RS',10266,3198,NULL,NULL,NULL,NULL,NULL,2,5),(20,5381088,6.00,6.00,4.00,7.00,6.00,8.25,4.00,3.00,5.00,238,NULL,202,'CANTO','FLORIANÓPOLIS','SC',8527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381096,7.00,7.00,4.00,2.00,8.00,10.50,5.00,6.00,6.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',4212,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5381100,3.00,5.00,2.00,7.00,5.00,7.88,2.00,3.00,3.00,203,NULL,207,'REBOUÇAS','CURITIBA','PR',12210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381118,5.00,6.00,2.00,5.00,4.00,6.38,1.00,2.00,8.00,316,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',12237,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5381126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5381134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,427,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5381150,2.00,3.00,1.00,4.00,3.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5381177,5.00,3.00,1.00,5.00,4.00,4.88,3.00,2.00,3.00,207,NULL,212,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5381193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5381207,2.00,3.00,3.00,6.00,5.00,8.63,1.00,2.00,5.00,211,NULL,201,'CENTRO','PARAÍ','RS',13893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381215,3.00,6.00,2.00,6.00,3.00,NULL,2.00,2.00,2.00,215,NULL,214,'CENTRO','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5381223,6.00,6.00,3.00,3.00,4.00,6.00,5.00,3.00,4.00,216,NULL,233,'CENTRO','MAMBORÊ','PR',11822,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5381231,9.00,8.00,7.00,7.00,9.00,7.50,7.00,2.00,9.00,203,NULL,202,'CENTRO','CASCAVEL','PR',1581,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5381240,5.00,4.00,3.00,3.00,5.00,10.50,1.00,3.00,5.00,309,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14841,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381258,8.00,7.00,6.00,6.00,10.00,8.25,7.00,7.00,8.00,202,NULL,213,'DOURADOS','DOURADOS','MS',729,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5381266,6.00,5.00,1.00,5.00,6.00,9.75,1.00,2.00,5.00,301,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',14199,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381274,7.00,8.00,4.00,5.00,9.00,7.13,2.00,5.00,5.00,308,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',5909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381282,8.00,5.00,4.00,5.00,9.00,10.88,5.00,4.00,5.00,108,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',4712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381290,6.00,6.00,4.00,4.00,7.00,8.25,2.00,3.00,4.00,213,NULL,601,'COCOTA','RIO JANEIRO','RJ',10917,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381304,8.00,6.00,2.00,4.00,5.00,9.38,3.00,3.00,6.00,104,NULL,NULL,'CENTRO','GASPAR','SC',8877,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'JARAGUÁ','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5381339,2.00,3.00,2.00,3.00,3.00,NULL,2.00,1.00,2.00,324,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381347,6.00,6.00,1.00,6.00,7.00,9.38,1.00,4.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','ARABUTÃ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5381363,7.00,5.00,4.00,7.00,8.00,9.00,4.00,2.00,4.00,207,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',7365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381371,3.00,7.00,2.00,5.00,6.00,8.25,2.00,4.00,6.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',11633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381380,6.00,9.00,6.00,7.00,9.00,10.50,5.00,4.00,6.00,302,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381401,7.00,8.00,5.00,7.00,9.00,9.00,2.00,6.00,6.00,203,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',2817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5381428,8.00,6.00,7.00,5.00,7.00,9.38,7.00,3.00,7.00,214,NULL,212,'ALTO DA LAPA','S PAULO','SP',2515,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5381436,2.00,5.00,4.00,4.00,3.00,NULL,3.00,3.00,2.00,451,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381444,2.00,6.00,0.00,0.00,1.00,NULL,2.00,3.00,5.00,233,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381452,7.00,4.00,3.00,5.00,4.00,6.00,3.00,3.00,6.00,208,NULL,238,'CENTRO','NOVA TRENTO','SC',12521,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5381460,5.00,5.00,1.00,3.00,9.00,9.75,4.00,3.00,4.00,211,NULL,216,'IMIGRANTES','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5381479,2.00,5.00,2.00,2.00,6.00,NULL,1.00,2.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381487,4.00,3.00,2.00,2.00,5.00,NULL,3.00,3.00,1.00,429,NULL,427,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381495,3.00,6.00,4.00,7.00,8.00,7.13,1.00,3.00,5.00,220,NULL,203,'AUTO DAS OLIVEIRAS','TELÊMACO BORBA','PR',9378,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5381509,7.00,4.00,1.00,7.00,7.00,12.00,2.00,4.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BONFIM','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5381525,2.00,2.00,3.00,1.00,4.00,NULL,1.00,1.00,3.00,208,NULL,201,'VERA CRUZ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5381533,9.00,6.00,5.00,7.00,7.00,10.13,5.00,4.00,8.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',1837,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5381541,5.00,4.00,2.00,7.00,7.00,9.75,0.00,2.00,4.00,424,NULL,425,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381550,5.00,6.00,2.00,4.00,4.00,7.50,1.00,1.00,2.00,319,NULL,NULL,'CENTRO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381568,0.00,2.00,3.00,3.00,1.00,NULL,2.00,1.00,4.00,324,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381576,8.00,7.00,1.00,7.00,8.00,10.50,5.00,4.00,8.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',3181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381584,7.00,7.00,1.00,7.00,7.00,9.75,0.00,3.00,4.00,103,NULL,NULL,'CENTRO','ARAPONGAS','PR',9154,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5381592,6.00,0.00,1.00,7.00,7.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CAVALHADA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(20,5381606,6.00,5.00,3.00,5.00,7.00,6.38,3.00,2.00,4.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10518,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381614,2.00,7.00,2.00,5.00,5.00,7.13,3.00,4.00,6.00,316,NULL,NULL,'CENTRO','BOMBINHAS','SC',12011,157,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381622,7.00,4.00,3.00,3.00,5.00,8.25,1.00,5.00,3.00,332,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',14238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381630,5.00,5.00,2.00,3.00,6.00,10.88,4.00,4.00,6.00,108,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',11576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5381657,7.00,6.00,1.00,4.00,7.00,8.63,1.00,7.00,5.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10065,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381673,2.00,4.00,0.00,5.00,5.00,9.38,1.00,3.00,5.00,207,NULL,211,'SÃO LUIZ','SOMBRIO','SC',14973,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5381681,4.00,3.00,4.00,3.00,6.00,NULL,0.00,2.00,3.00,320,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381690,5.00,5.00,2.00,5.00,6.00,9.38,1.00,4.00,2.00,326,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',12817,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381703,4.00,4.00,0.00,5.00,3.00,NULL,1.00,2.00,3.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381711,7.00,8.00,0.00,4.00,7.00,8.63,1.00,5.00,7.00,102,NULL,NULL,'CENTRO','S JOSÉ','SC',9232,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5381720,9.00,8.00,7.00,8.00,10.00,10.13,7.00,6.00,8.00,303,NULL,NULL,'ALTO DA BOA VISTA','SOROCABA','SP',148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381738,7.00,5.00,6.00,7.00,7.00,9.38,1.00,4.00,5.00,203,NULL,214,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5381746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RESIDÊNCIAL TATETUBA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5381754,9.00,6.00,6.00,7.00,8.00,9.00,4.00,3.00,7.00,103,NULL,NULL,'JD LUSITANIA','S PAULO','SP',3031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JOÃO WINCKLER','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5381770,6.00,2.00,4.00,7.00,9.00,10.13,2.00,3.00,6.00,211,NULL,215,'BIGORRILHO','CURITIBA','PR',6995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381789,7.00,7.00,4.00,7.00,7.00,6.00,4.00,3.00,5.00,340,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BAEPENDI','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5381819,6.00,9.00,4.00,6.00,6.00,10.13,5.00,4.00,5.00,220,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',5257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,238,'JARDIM CID DE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5381835,5.00,7.00,3.00,7.00,6.00,10.13,5.00,5.00,5.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',6624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'GUARDA DO EMBAU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S',NULL,4,1),(20,5381851,8.00,6.00,5.00,6.00,8.00,7.88,2.00,4.00,6.00,601,NULL,201,'BOQUEIRÃO','CURITIBA','PR',5519,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5381860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'ALPHAVILLE','SANTANA PARNAÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5381878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'PAULICEIA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5381886,8.00,6.00,4.00,4.00,9.00,10.50,1.00,3.00,5.00,103,NULL,NULL,'SÃO JOÃO MD','TUBARÃO','SC',7276,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5381894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5381908,5.00,4.00,4.00,6.00,7.00,6.00,3.00,2.00,6.00,216,NULL,214,'CRISTO REI','CURITIBA','PR',10670,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5381916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5381924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NATÉRCIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5381932,3.00,0.00,3.00,2.00,3.00,NULL,1.00,1.00,1.00,104,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5381940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5381959,3.00,5.00,5.00,3.00,3.00,NULL,4.00,3.00,2.00,103,NULL,NULL,'VISTA ALEGRE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381967,8.00,7.00,5.00,7.00,8.00,9.75,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','CAXIAS SUL','RS',1991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381975,8.00,7.00,2.00,7.00,8.00,8.63,7.00,6.00,6.00,451,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5381983,4.00,4.00,2.00,2.00,7.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5381991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,601,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5382009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA RASA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5382017,3.00,5.00,3.00,4.00,5.00,6.38,2.00,2.00,5.00,424,NULL,425,'BELA VISTA','S JOSÉ','SC',14875,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5382025,1.00,6.00,0.00,3.00,6.00,NULL,0.00,2.00,0.00,316,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5382033,4.00,6.00,3.00,0.00,6.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'VILA IPIRANGA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5382041,4.00,5.00,2.00,6.00,5.00,7.50,2.00,3.00,3.00,104,NULL,NULL,'SANTO ANDRÉ','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5382050,3.00,4.00,0.00,4.00,5.00,NULL,1.00,2.00,4.00,503,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5382068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5382076,7.00,8.00,4.00,7.00,8.00,9.00,2.00,5.00,6.00,450,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',4594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5382084,5.00,5.00,4.00,5.00,6.00,8.63,3.00,4.00,5.00,202,NULL,235,'BOM RETIRO','JOINVILLE','SC',10052,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5382092,8.00,7.00,7.00,7.00,8.00,9.38,6.00,5.00,6.00,202,NULL,233,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',1590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5382106,7.00,6.00,3.00,6.00,9.00,9.38,4.00,5.00,4.00,319,NULL,NULL,'SANTO ANTONIO','BELO HORIZONTE','MG',4740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5382114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5382122,7.00,6.00,5.00,7.00,7.00,9.38,3.00,3.00,4.00,103,NULL,NULL,'PARQUE SÃO DIOGO','S BERNARDO CAMPO','SP',5079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5382130,0.00,6.00,0.00,0.00,0.00,NULL,3.00,2.00,0.00,340,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(20,5382149,9.00,5.00,3.00,7.00,9.00,11.25,3.00,4.00,8.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',2336,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5382157,6.00,6.00,2.00,6.00,8.00,10.88,3.00,4.00,5.00,103,NULL,NULL,'JARDIM ITALIA','CPO GRANDE','MS',6797,2602,NULL,NULL,NULL,NULL,NULL,4,1),(20,5382165,3.00,5.00,1.00,3.00,7.00,NULL,1.00,2.00,3.00,652,NULL,651,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5382173,3.00,7.00,0.00,3.00,3.00,NULL,0.00,0.00,3.00,317,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5382181,5.00,6.00,3.00,5.00,4.00,6.75,1.00,4.00,5.00,304,NULL,NULL,'SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5382190,4.00,6.00,1.00,4.00,5.00,9.00,2.00,3.00,4.00,207,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5382203,3.00,2.00,1.00,3.00,5.00,NULL,1.00,4.00,3.00,319,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5382211,6.00,7.00,0.00,5.00,7.00,7.50,1.00,5.00,6.00,429,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',9958,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5382220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PINHEIROS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5382238,8.00,6.00,1.00,6.00,6.00,10.88,3.00,4.00,6.00,103,NULL,NULL,'ZONA','MARINGÁ','PR',6146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5382246,8.00,7.00,6.00,4.00,5.00,9.00,6.00,4.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5382254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5382262,3.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5382270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAGRADA FAMILIA','NOVA PRATA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5382300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'GLEBAS CALIFÓRNIA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5382319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5382327,6.00,5.00,2.00,4.00,8.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'CENTRO','MRO GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5382335,6.00,7.00,3.00,4.00,5.00,7.88,5.00,5.00,5.00,336,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5382351,4.00,5.00,2.00,5.00,6.00,8.63,3.00,2.00,2.00,329,NULL,NULL,'IMIGRANTES','TIMBÓ','SC',14198,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5382360,2.00,5.00,3.00,5.00,7.00,10.50,4.00,2.00,3.00,203,NULL,207,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5382378,6.00,7.00,2.00,7.00,10.00,7.88,2.00,2.00,6.00,212,NULL,214,'VALE VERDE','LEME','SP',6444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5382386,7.00,6.00,1.00,6.00,4.00,10.88,1.00,3.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5382394,9.00,8.00,7.00,7.00,6.00,8.63,6.00,6.00,9.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',593,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5382408,4.00,1.00,0.00,7.00,6.00,8.25,2.00,3.00,6.00,308,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5382416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5382424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'JARDIM EUROPA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5382432,3.00,3.00,1.00,3.00,3.00,NULL,2.00,0.00,3.00,336,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5382440,6.00,5.00,4.00,4.00,4.00,6.00,1.00,2.00,3.00,216,NULL,203,'JARDIM PRIMAVERA','CPO NOVO PARECIS','MT',12257,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5382459,3.00,7.00,1.00,6.00,7.00,6.75,3.00,3.00,7.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10392,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5382467,3.00,6.00,1.00,4.00,7.00,NULL,0.00,1.00,4.00,303,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5382475,6.00,6.00,5.00,4.00,4.00,7.13,3.00,1.00,2.00,601,NULL,220,'PARQUE CIDADE JARDIM','UMUARAMA','PR',12702,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5382483,4.00,5.00,3.00,3.00,5.00,7.13,2.00,3.00,2.00,326,NULL,NULL,'SAO JOAO','ITAPEVI','SP',13795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5382491,3.00,2.00,1.00,2.00,5.00,NULL,1.00,2.00,1.00,203,NULL,202,'INTERIOR','PALMITINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5382505,8.00,6.00,6.00,7.00,9.00,11.25,6.00,6.00,7.00,103,NULL,NULL,'IGARA','CANOAS','RS',1211,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5382513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BONFIM','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5382521,5.00,6.00,3.00,3.00,7.00,8.25,0.00,5.00,4.00,102,NULL,NULL,'CENTRO','SEGREDO','RS',13251,187,NULL,NULL,NULL,NULL,NULL,2,1),(20,5382548,8.00,4.00,2.00,3.00,5.00,7.88,2.00,1.00,5.00,201,NULL,207,'COLINA SORRISO','CAXIAS SUL','RS',14185,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5382556,3.00,4.00,3.00,3.00,5.00,7.88,3.00,2.00,3.00,316,NULL,NULL,'SÃO FRANCISCO','CURITIBANOS','SC',15214,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5382564,2.00,5.00,1.00,2.00,2.00,NULL,3.00,3.00,2.00,203,NULL,202,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5382572,3.00,7.00,0.00,4.00,5.00,NULL,0.00,1.00,5.00,216,NULL,653,'BARRA VELHA','PASSO TORRES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5382580,4.00,7.00,0.00,7.00,8.00,12.75,3.00,5.00,4.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5382599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,425,'MONTE CASTELO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5382602,4.00,4.00,3.00,3.00,4.00,7.13,1.00,2.00,4.00,202,NULL,214,'SAO JOAO','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5382610,9.00,7.00,4.00,5.00,6.00,10.13,3.00,7.00,7.00,216,NULL,203,'CAMPO COMPRIDO','CURITIBA','PR',2892,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5382629,6.00,4.00,5.00,4.00,4.00,3.38,3.00,4.00,6.00,103,NULL,NULL,'ITAGUAÇU','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5382637,8.00,7.00,3.00,5.00,9.00,8.25,2.00,4.00,7.00,103,NULL,NULL,'VILA LARSEN','LONDRINA','PR',3778,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5382645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5382653,8.00,9.00,2.00,5.00,6.00,8.63,1.00,5.00,9.00,103,NULL,NULL,'CENTRO','MAMBORÊ','PR',3751,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5382661,8.00,0.00,1.00,7.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA GRANADA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5382670,9.00,7.00,8.00,6.00,9.00,8.25,7.00,5.00,9.00,220,NULL,235,'CENTRO','JAGUAPITÃ','PR',648,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5382688,7.00,4.00,4.00,7.00,7.00,NULL,0.00,3.00,6.00,451,NULL,NULL,'FLAMBOYANT','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5382696,6.00,3.00,5.00,5.00,5.00,6.38,3.00,3.00,5.00,212,NULL,233,'CENTRO','CURITIBA','PR',10701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5382700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANAZZOLO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5382718,9.00,6.00,2.00,7.00,9.00,10.13,3.00,6.00,6.00,207,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',2983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5382726,1.00,6.00,1.00,4.00,3.00,NULL,4.00,2.00,2.00,317,NULL,NULL,'CALHEIROS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5382734,5.00,5.00,0.00,4.00,6.00,8.63,3.00,1.00,3.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5382742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','INDIANÓPOLIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5382750,2.00,5.00,3.00,4.00,4.00,NULL,1.00,1.00,2.00,319,NULL,NULL,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5382769,3.00,5.00,3.00,3.00,5.00,NULL,2.00,1.00,1.00,653,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5382785,2.00,3.00,0.00,3.00,3.00,NULL,1.00,2.00,2.00,501,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5382793,5.00,0.00,4.00,0.00,5.00,NULL,0.00,0.00,0.00,238,NULL,208,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5382807,6.00,7.00,2.00,4.00,8.00,9.75,3.00,4.00,6.00,207,NULL,201,'CENTRO','LAGES','SC',6102,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5382815,3.00,5.00,1.00,4.00,4.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5382823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD ASTECA','ROLÂNDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5382831,5.00,6.00,6.00,4.00,7.00,7.50,3.00,5.00,6.00,103,NULL,NULL,'JARDIM BANDEIRANTES','TELÊMACO BORBA','PR',7295,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5382840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TESTO REGA','POMERODE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5382858,6.00,7.00,2.00,6.00,8.00,8.25,3.00,5.00,7.00,333,NULL,NULL,'N SR DO ROSARIO','S JOSÉ','SC',6148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5382866,2.00,2.00,3.00,3.00,3.00,NULL,1.00,2.00,4.00,653,NULL,652,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5382874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5382882,3.00,5.00,1.00,4.00,3.00,NULL,2.00,3.00,5.00,102,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5382904,2.00,4.00,2.00,3.00,5.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5382912,3.00,6.00,4.00,7.00,6.00,8.25,2.00,4.00,6.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5382920,6.00,7.00,3.00,7.00,8.00,10.13,3.00,4.00,4.00,108,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',7201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5382939,3.00,5.00,1.00,2.00,3.00,NULL,1.00,2.00,4.00,501,NULL,NULL,'ALTO CAPIVARI','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5382947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5382955,9.00,7.00,3.00,4.00,9.00,10.13,2.00,2.00,8.00,103,NULL,NULL,'ZONA A','UMUARAMA','PR',4633,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5382963,8.00,4.00,1.00,6.00,8.00,9.38,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','TAQUARA','RS',5638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5382971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'ITAJUBA','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5382980,4.00,4.00,0.00,6.00,6.00,NULL,1.00,1.00,3.00,208,NULL,216,'NAÇOES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5382998,7.00,7.00,3.00,5.00,8.00,9.00,3.00,4.00,6.00,211,NULL,215,'ESTALEIRINHO','BAL CAMBORIÚ','SC',6137,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5383005,4.00,4.00,3.00,6.00,5.00,10.88,3.00,5.00,3.00,211,NULL,207,'AGRONÔMICA','FLORIANÓPOLIS','SC',13359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383013,3.00,7.00,4.00,7.00,5.00,9.38,5.00,6.00,4.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383030,2.00,4.00,3.00,6.00,9.00,10.13,6.00,2.00,2.00,205,NULL,NULL,'CENTRO','CRICIÚMA','SC',11997,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5383048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANAZZOLO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5383056,7.00,5.00,6.00,5.00,7.00,8.25,4.00,5.00,6.00,214,NULL,202,'VILA EMA','S JOSÉ CAMPOS','SP',4313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383064,7.00,7.00,4.00,7.00,5.00,8.63,3.00,6.00,7.00,208,NULL,216,'PROGRESSO','POUSO REDONDO','SC',7753,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5383072,4.00,4.00,2.00,2.00,4.00,7.13,2.00,3.00,4.00,234,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5383099,5.00,5.00,4.00,6.00,3.00,NULL,2.00,3.00,1.00,317,NULL,NULL,'SAO SEBASTIAO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5383110,7.00,6.00,2.00,7.00,7.00,6.75,4.00,4.00,4.00,203,NULL,NULL,'AGUA VERDE','CURITIBA','PR',7181,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5383129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,NULL,'BAIRRO DE FÁTIMA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5383137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,211,'NOVA DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5383145,4.00,5.00,1.00,2.00,5.00,NULL,2.00,2.00,2.00,101,NULL,NULL,'PRINCESA DOS MARES','ITAPOÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5383153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JAGUARÃO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5383161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5383170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5383188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM SATELITE','VÁRZEA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5383196,3.00,1.00,4.00,1.00,6.00,NULL,2.00,2.00,3.00,301,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383200,3.00,3.00,1.00,4.00,3.00,NULL,0.00,1.00,1.00,502,NULL,NULL,'PARQUE SAO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5383218,5.00,6.00,3.00,4.00,7.00,NULL,0.00,2.00,2.00,421,NULL,427,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5383234,3.00,3.00,1.00,2.00,4.00,NULL,2.00,1.00,3.00,207,NULL,201,'JARDIM BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383242,2.00,5.00,2.00,5.00,2.00,NULL,1.00,2.00,1.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383250,3.00,3.00,2.00,3.00,4.00,NULL,2.00,2.00,4.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383269,3.00,5.00,0.00,5.00,6.00,NULL,0.00,1.00,1.00,108,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383277,3.00,4.00,0.00,1.00,3.00,NULL,2.00,1.00,4.00,233,NULL,238,'POÇO FUNDO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5383285,1.00,3.00,3.00,2.00,4.00,NULL,3.00,2.00,3.00,104,NULL,NULL,'CENTRO','D PEDRITO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5383293,3.00,3.00,4.00,6.00,5.00,8.63,2.00,3.00,5.00,208,NULL,238,'SANTA RITA','BRUSQUE','SC',14016,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5383307,7.00,5.00,1.00,7.00,8.00,9.38,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',6694,2582,NULL,NULL,NULL,NULL,NULL,4,5),(20,5383315,4.00,6.00,2.00,5.00,6.00,6.75,0.00,2.00,5.00,308,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5383323,2.00,3.00,0.00,1.00,4.00,NULL,1.00,1.00,1.00,5,NULL,NULL,'CENTRO','MTE CASTELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5383331,7.00,6.00,5.00,7.00,7.00,8.63,5.00,2.00,3.00,340,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',6535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383340,4.00,6.00,2.00,5.00,3.00,NULL,0.00,2.00,2.00,208,NULL,238,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383366,3.00,5.00,1.00,3.00,4.00,NULL,3.00,1.00,2.00,2,NULL,NULL,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5383374,4.00,5.00,0.00,3.00,5.00,NULL,2.00,2.00,3.00,316,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5383382,8.00,5.00,5.00,6.00,9.00,11.25,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',3711,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5383390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','VICENTE DUTRA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5383412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5383420,8.00,6.00,4.00,5.00,8.00,9.75,2.00,6.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4924,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5383439,4.00,3.00,0.00,1.00,6.00,NULL,3.00,3.00,2.00,104,NULL,NULL,'UNIVERSITÁRIO','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5383447,9.00,7.00,6.00,5.00,7.00,9.00,3.00,7.00,6.00,103,NULL,NULL,'VILA AURORA','DOURADOS','MS',2447,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5383455,3.00,3.00,1.00,1.00,5.00,NULL,0.00,3.00,2.00,333,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5383463,0.00,3.00,0.00,3.00,5.00,NULL,0.00,2.00,2.00,428,NULL,424,'AGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5383471,3.00,5.00,0.00,1.00,2.00,NULL,0.00,1.00,1.00,503,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5383498,4.00,6.00,3.00,7.00,6.00,6.75,4.00,4.00,4.00,326,NULL,NULL,'INDUSTRIAL SUL','RIO NEGRINHO','SC',9409,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5383501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5383510,3.00,5.00,0.00,6.00,5.00,7.88,1.00,2.00,5.00,301,NULL,NULL,'COND SAO JOAQUIM','VINHEDO','SP',16193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383528,5.00,6.00,5.00,7.00,7.00,7.50,4.00,3.00,5.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',7734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5383544,4.00,5.00,3.00,2.00,6.00,6.75,3.00,3.00,4.00,339,NULL,NULL,'ITOUPAVA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5383552,3.00,4.00,4.00,6.00,7.00,8.63,2.00,2.00,4.00,216,NULL,202,'PILARZINHO','CURITIBA','PR',11040,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5383560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5383579,0.00,2.00,3.00,5.00,4.00,NULL,2.00,1.00,2.00,444,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5383587,6.00,5.00,5.00,8.00,4.00,7.88,5.00,2.00,3.00,220,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',8391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383595,7.00,8.00,2.00,8.00,8.00,9.38,3.00,6.00,6.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383609,4.00,3.00,1.00,5.00,9.00,NULL,0.00,3.00,2.00,452,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5383617,6.00,7.00,3.00,6.00,7.00,9.75,2.00,7.00,5.00,331,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5383641,6.00,6.00,4.00,7.00,8.00,10.13,3.00,3.00,5.00,212,NULL,233,'CENTRO','SALTO VELOSO','SC',5558,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5383650,4.00,6.00,1.00,6.00,7.00,7.50,2.00,3.00,3.00,214,NULL,233,'JD JOÃO PAULO','SUMARÉ','SP',11212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383668,6.00,7.00,4.00,5.00,8.00,7.88,2.00,5.00,6.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',6519,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5383684,6.00,5.00,3.00,5.00,6.00,10.88,4.00,3.00,7.00,429,NULL,426,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',7707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5383706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,213,'JARDIM ITALIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5383714,1.00,5.00,0.00,2.00,2.00,NULL,0.00,1.00,2.00,205,NULL,NULL,'JARDIM SANTA ROSA','VALINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5383722,4.00,6.00,1.00,5.00,5.00,5.25,1.00,4.00,3.00,104,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5383730,6.00,6.00,2.00,6.00,6.00,9.00,3.00,5.00,4.00,336,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383749,4.00,3.00,0.00,2.00,5.00,NULL,1.00,0.00,3.00,211,NULL,207,'IAPI','OSASCO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5383765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MENINO JESUS','CAÇAPAVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5383773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5383781,3.00,4.00,1.00,4.00,3.00,NULL,2.00,2.00,1.00,318,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383790,1.00,5.00,0.00,5.00,8.00,9.38,1.00,5.00,4.00,110,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',13465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383811,2.00,3.00,4.00,1.00,4.00,NULL,0.00,0.00,3.00,9,NULL,NULL,'JARDIM CIDADE FPÓLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5383838,1.00,5.00,3.00,3.00,4.00,NULL,1.00,4.00,3.00,207,NULL,208,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5383854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMÁLIA','CAÇAPAVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5383862,2.00,5.00,1.00,3.00,5.00,6.75,3.00,3.00,3.00,203,NULL,201,'FORTALEZA','BLUMENAU','SC',16130,979,NULL,1126,NULL,NULL,NULL,4,2),(20,5383870,3.00,5.00,0.00,6.00,5.00,NULL,1.00,1.00,2.00,216,NULL,207,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5383889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM LINDOIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5383897,6.00,6.00,6.00,5.00,4.00,9.38,3.00,5.00,6.00,201,NULL,601,'ESPIGÃO','MAL CÂNDIDO RONDON','PR',8304,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5383900,3.00,6.00,4.00,4.00,2.00,NULL,4.00,2.00,4.00,601,NULL,203,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5383919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,427,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5383927,1.00,8.00,4.00,4.00,8.00,8.25,4.00,3.00,4.00,216,NULL,653,'RIO BONITO','BRAÇO NORTE','SC',10982,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5383935,4.00,6.00,4.00,6.00,7.00,7.50,4.00,3.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383943,1.00,4.00,0.00,4.00,2.00,NULL,2.00,3.00,2.00,309,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5383951,4.00,2.00,1.00,3.00,1.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'CAMPO DAGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5383960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5383978,8.00,7.00,3.00,7.00,7.00,10.13,4.00,5.00,7.00,450,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5383986,5.00,7.00,0.00,7.00,8.00,NULL,3.00,2.00,3.00,211,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5383994,4.00,6.00,1.00,3.00,4.00,9.00,4.00,3.00,2.00,207,NULL,215,'SÃO VICENTE','ITAJAÍ','SC',14364,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5384010,1.00,6.00,1.00,4.00,3.00,NULL,0.00,3.00,4.00,208,NULL,652,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'ALGODOAL','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5384036,3.00,6.00,0.00,4.00,5.00,NULL,0.00,2.00,3.00,211,NULL,NULL,'CENTRO SUL','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5384044,8.00,7.00,6.00,6.00,4.00,9.38,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',4230,1914,NULL,NULL,NULL,NULL,NULL,2,4),(20,5384052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,233,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5384060,8.00,6.00,6.00,7.00,9.00,10.13,2.00,5.00,7.00,450,NULL,NULL,'VILA MEDON','AMERICANA','SP',2757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM DAS FLORES','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5384087,3.00,5.00,1.00,5.00,3.00,NULL,3.00,3.00,3.00,308,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5384095,5.00,4.00,3.00,6.00,6.00,9.38,6.00,4.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384109,5.00,4.00,3.00,5.00,3.00,NULL,0.00,1.00,3.00,301,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5384117,5.00,7.00,2.00,3.00,8.00,8.25,2.00,4.00,3.00,319,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12611,224,NULL,NULL,NULL,NULL,NULL,2,1),(20,5384125,7.00,6.00,0.00,7.00,5.00,6.00,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',10603,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5384133,4.00,3.00,2.00,1.00,4.00,NULL,2.00,1.00,2.00,220,NULL,211,'CENTRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5384150,4.00,4.00,4.00,4.00,4.00,NULL,0.00,2.00,2.00,104,NULL,NULL,'CENTRO','TERRA AREIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(20,5384176,4.00,6.00,2.00,4.00,8.00,7.50,5.00,3.00,5.00,337,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',12844,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5384184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SEPETIBA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5384192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5384206,9.00,6.00,6.00,7.00,8.00,8.25,6.00,5.00,7.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',1413,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5384214,5.00,7.00,1.00,5.00,9.00,8.25,6.00,2.00,4.00,207,NULL,211,'CENTRO','TUBARÃO','SC',6949,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5384222,4.00,3.00,1.00,5.00,3.00,NULL,2.00,2.00,2.00,5,NULL,NULL,'MONTE CASTELO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5384230,5.00,4.00,1.00,1.00,2.00,NULL,0.00,4.00,1.00,104,NULL,NULL,'TAJUBA I','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384249,6.00,6.00,0.00,5.00,4.00,7.13,3.00,6.00,4.00,108,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',11890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5384257,5.00,7.00,2.00,6.00,8.00,10.13,3.00,3.00,6.00,207,NULL,215,'BARRA DO TROMBUDO','RIO SUL','SC',6751,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5384265,5.00,5.00,0.00,4.00,7.00,NULL,0.00,2.00,4.00,444,NULL,NULL,'ÁGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5384273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5384281,7.00,5.00,2.00,8.00,7.00,10.50,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','BARRA VELHA','SC',8931,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5384290,3.00,5.00,0.00,2.00,5.00,NULL,1.00,1.00,3.00,452,NULL,NULL,'NAÇÕES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384311,2.00,3.00,0.00,1.00,2.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5384320,3.00,5.00,0.00,6.00,4.00,NULL,1.00,3.00,3.00,213,NULL,235,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5384338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'GAMBOA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5384346,4.00,7.00,4.00,3.00,6.00,7.50,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',12862,3500,NULL,NULL,NULL,NULL,NULL,4,3),(20,5384362,5.00,5.00,0.00,3.00,5.00,NULL,0.00,2.00,2.00,450,NULL,NULL,'PARQUE ALVORADA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5384370,6.00,7.00,5.00,7.00,6.00,10.13,1.00,3.00,6.00,501,NULL,NULL,'ITAUM','JOINVILLE','SC',4962,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5384389,4.00,3.00,1.00,3.00,6.00,NULL,2.00,2.00,0.00,207,NULL,201,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5384397,8.00,8.00,4.00,8.00,8.00,10.13,5.00,5.00,3.00,234,NULL,NULL,'PEREQUE','ILHABELA','SP',4129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384400,8.00,7.00,6.00,5.00,10.00,10.13,4.00,5.00,7.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',2168,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5384419,7.00,7.00,5.00,6.00,9.00,7.50,5.00,3.00,7.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',3907,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5384435,2.00,5.00,1.00,2.00,8.00,NULL,1.00,2.00,4.00,415,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD LOURDES','RONDONÓPOLIS','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5384451,6.00,5.00,1.00,1.00,6.00,4.13,2.00,1.00,3.00,207,NULL,NULL,'CONJ RIO CLARO I','JATAÍ','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5384460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5384478,6.00,5.00,4.00,5.00,5.00,4.88,2.00,4.00,2.00,310,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5384486,5.00,6.00,3.00,4.00,5.00,6.75,2.00,1.00,4.00,404,NULL,NULL,'JARDIM MEXICO','ITATIBA','SP',15677,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5384494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GRAMADO LOUREIROS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5384508,6.00,5.00,5.00,6.00,9.00,10.13,5.00,5.00,7.00,216,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',3875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384516,9.00,8.00,5.00,5.00,9.00,7.50,5.00,5.00,8.00,103,NULL,NULL,'PARTENON','PTO ALEGRE','RS',2537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5384524,3.00,5.00,2.00,4.00,4.00,NULL,1.00,1.00,4.00,326,NULL,NULL,'CARIJÓS','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5384532,7.00,5.00,4.00,5.00,5.00,10.13,4.00,6.00,7.00,303,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',4015,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5384540,3.00,5.00,3.00,6.00,5.00,8.63,2.00,4.00,3.00,318,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',15434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384559,4.00,3.00,3.00,5.00,5.00,2.63,1.00,2.00,5.00,444,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5384567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5384575,3.00,6.00,4.00,7.00,6.00,NULL,3.00,3.00,5.00,207,NULL,201,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5384583,4.00,5.00,1.00,2.00,5.00,8.25,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','TRÊS ARROIOS','RS',14557,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5384591,2.00,3.00,0.00,1.00,6.00,NULL,2.00,4.00,2.00,452,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5384605,3.00,6.00,4.00,4.00,5.00,8.25,3.00,5.00,6.00,302,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5384613,4.00,5.00,0.00,2.00,8.00,NULL,3.00,2.00,3.00,309,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384621,5.00,4.00,3.00,1.00,5.00,8.63,5.00,5.00,4.00,317,NULL,NULL,'GUARANI','NOVO HAMBURGO','RS',13858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384630,6.00,6.00,1.00,6.00,8.00,8.25,0.00,7.00,6.00,103,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',7219,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5384656,6.00,7.00,2.00,7.00,8.00,9.75,3.00,5.00,5.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384664,4.00,8.00,2.00,5.00,4.00,7.13,1.00,3.00,5.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',12712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384672,3.00,8.00,3.00,4.00,4.00,13.88,3.00,5.00,2.00,320,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5384699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(20,5384702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5384710,7.00,8.00,0.00,7.00,7.00,8.63,3.00,2.00,5.00,103,NULL,NULL,'JARDIM ITÚ SABARÁ','PTO ALEGRE','RS',8708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384729,3.00,4.00,1.00,4.00,5.00,NULL,2.00,3.00,1.00,211,NULL,214,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5384737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5384753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'ARTUR ALVIM','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5384761,3.00,4.00,0.00,2.00,3.00,NULL,0.00,4.00,2.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5384770,9.00,5.00,1.00,7.00,7.00,9.38,2.00,5.00,7.00,103,NULL,NULL,'ABRANCHES','CURITIBA','PR',4434,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5384788,6.00,8.00,2.00,8.00,10.00,9.75,2.00,4.00,7.00,415,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384800,5.00,5.00,3.00,5.00,8.00,7.50,3.00,4.00,6.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',8955,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5384818,4.00,6.00,0.00,2.00,6.00,6.00,3.00,3.00,4.00,308,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384826,5.00,6.00,1.00,5.00,5.00,7.88,0.00,3.00,2.00,202,NULL,201,'RIO TAVARES','FLORIANÓPOLIS','SC',14799,490,NULL,1052,NULL,NULL,NULL,2,1),(20,5384834,5.00,7.00,1.00,7.00,8.00,9.00,3.00,1.00,3.00,205,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384842,4.00,5.00,1.00,3.00,5.00,7.50,3.00,3.00,3.00,340,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5384850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM DAS HORTENSIA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5384877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5384885,2.00,3.00,1.00,4.00,2.00,NULL,0.00,1.00,2.00,211,NULL,215,'CENTRO','PARAÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5384893,4.00,6.00,5.00,6.00,5.00,6.75,1.00,3.00,4.00,216,NULL,NULL,'ZONA SETE','MARINGÁ','PR',11561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384915,6.00,6.00,5.00,7.00,8.00,10.13,3.00,2.00,6.00,5,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',5870,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5384923,7.00,5.00,2.00,5.00,6.00,9.38,3.00,4.00,3.00,203,NULL,207,'CANASVIEIRAS','FLORIANÓPOLIS','SC',11457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5384931,5.00,6.00,3.00,7.00,9.00,NULL,3.00,1.00,0.00,340,NULL,NULL,'CENTRO','ESTEIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5384958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5384966,3.00,3.00,2.00,2.00,4.00,NULL,1.00,3.00,6.00,235,NULL,202,'CENTRO','TRÊS CACHOEIRAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5384974,1.00,2.00,1.00,3.00,6.00,NULL,0.00,2.00,1.00,304,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5384982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5385008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5385016,3.00,5.00,1.00,2.00,5.00,NULL,1.00,1.00,3.00,214,NULL,213,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385024,4.00,5.00,2.00,6.00,6.00,7.50,2.00,3.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5385032,6.00,6.00,4.00,6.00,6.00,7.50,6.00,4.00,7.00,103,NULL,NULL,'SANTA CECILIA','PTO ALEGRE','RS',6864,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5385040,5.00,4.00,2.00,7.00,5.00,9.75,4.00,4.00,6.00,212,NULL,215,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',9602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'ARTUR ALVIM','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5385067,4.00,0.00,0.00,3.00,7.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'SARTÃO DO IMARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5385075,8.00,7.00,7.00,7.00,8.00,7.13,4.00,4.00,5.00,329,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385091,3.00,5.00,0.00,1.00,5.00,NULL,0.00,1.00,3.00,207,NULL,201,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385105,3.00,2.00,0.00,3.00,4.00,NULL,1.00,2.00,1.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5385113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CASSINO','RIO GRANDE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5385121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5385130,9.00,9.00,8.00,7.00,10.00,10.50,8.00,5.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',77,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385148,5.00,7.00,3.00,6.00,10.00,9.75,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',4066,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5385156,9.00,6.00,3.00,3.00,8.00,9.00,7.00,5.00,5.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',5063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'SANTA MARIA GORETTI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5385172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,220,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5385180,4.00,2.00,2.00,5.00,1.00,NULL,0.00,3.00,3.00,420,NULL,NULL,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5385199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5385202,7.00,7.00,6.00,7.00,9.00,9.00,5.00,5.00,4.00,319,NULL,NULL,'DEHON','TUBARÃO','SC',3969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385210,4.00,4.00,0.00,3.00,6.00,NULL,0.00,0.00,1.00,104,NULL,NULL,'CENTRO','S CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5385229,4.00,8.00,4.00,4.00,6.00,7.88,5.00,4.00,6.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9427,312,NULL,NULL,NULL,NULL,NULL,2,1),(20,5385237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'TIJUQUINHAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5385245,5.00,8.00,2.00,7.00,7.00,8.63,3.00,4.00,5.00,451,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385253,3.00,0.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,238,NULL,235,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5385261,3.00,4.00,3.00,6.00,9.00,9.00,2.00,2.00,4.00,324,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385288,4.00,6.00,1.00,4.00,4.00,6.75,3.00,2.00,2.00,238,NULL,212,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385296,2.00,3.00,0.00,2.00,3.00,NULL,1.00,2.00,2.00,415,NULL,NULL,'CENTRO','PARAÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5385318,0.00,2.00,0.00,1.00,3.00,NULL,1.00,1.00,4.00,450,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5385326,9.00,8.00,3.00,7.00,9.00,9.75,4.00,6.00,5.00,103,NULL,NULL,'ALTO DO ITAIGARA','SALVADOR','BA',2588,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5385342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5385350,9.00,7.00,3.00,6.00,9.00,9.75,7.00,8.00,9.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385369,8.00,6.00,6.00,5.00,9.00,9.38,8.00,6.00,9.00,103,NULL,NULL,'CORONEL ANTONINO','CPO GRANDE','MS',846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5385385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5385393,7.00,6.00,5.00,7.00,7.00,7.13,3.00,5.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385407,6.00,7.00,0.00,7.00,9.00,NULL,2.00,7.00,6.00,5,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5385415,2.00,5.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,201,NULL,212,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5385423,5.00,6.00,3.00,5.00,9.00,12.00,1.00,4.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385431,2.00,5.00,0.00,3.00,6.00,NULL,1.00,2.00,5.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5385440,9.00,6.00,3.00,7.00,9.00,7.88,4.00,3.00,6.00,453,NULL,NULL,'SHIN','LG NORTE','DF',5301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385458,3.00,0.00,3.00,6.00,4.00,NULL,0.00,0.00,0.00,216,NULL,212,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,9),(20,5385466,5.00,7.00,1.00,4.00,5.00,10.13,2.00,3.00,3.00,324,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',15557,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5385474,8.00,7.00,4.00,7.00,9.00,10.50,5.00,5.00,8.00,207,NULL,216,'TRINDADE','FLORIANÓPOLIS','SC',2232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385482,8.00,8.00,3.00,4.00,7.00,9.38,4.00,7.00,5.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',4816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385490,5.00,4.00,1.00,3.00,8.00,12.00,2.00,3.00,4.00,415,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',12397,237,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385504,7.00,5.00,4.00,6.00,8.00,6.00,1.00,4.00,5.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385512,8.00,6.00,2.00,7.00,8.00,10.50,3.00,3.00,7.00,233,NULL,216,'JARDIM POPI','BIRIGÜI','SP',4218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385520,7.00,3.00,3.00,7.00,9.00,11.25,3.00,3.00,6.00,216,NULL,233,'RECREIO','RIO JANEIRO','RJ',5077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385539,7.00,9.00,3.00,7.00,11.00,12.38,7.00,6.00,5.00,103,NULL,NULL,'SÃO ROQUE','FLORES CUNHA','RS',881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DA COLINA','IGARAÇU TIETÊ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5385563,6.00,6.00,1.00,3.00,6.00,9.75,3.00,1.00,3.00,333,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',13517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5385571,6.00,7.00,3.00,7.00,5.00,9.75,2.00,5.00,6.00,208,NULL,201,'CARVOEIRA','FLORIANÓPOLIS','SC',6650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385580,6.00,6.00,3.00,6.00,7.00,7.88,2.00,4.00,3.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385598,9.00,7.00,8.00,6.00,7.00,7.50,7.00,3.00,7.00,103,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',2568,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5385601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5385628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5385636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CATARINA','FARROUPILHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5385652,3.00,4.00,1.00,3.00,2.00,NULL,2.00,2.00,0.00,318,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5385660,1.00,3.00,1.00,2.00,4.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'CENTRO','PLANALTO ALEGRE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5385679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,220,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5385687,8.00,7.00,6.00,7.00,9.00,12.38,5.00,6.00,6.00,103,NULL,NULL,'PARQUE SAO PAULO','CASCAVEL','PR',852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385709,4.00,4.00,1.00,2.00,4.00,NULL,0.00,3.00,2.00,5,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5385717,1.00,5.00,0.00,2.00,4.00,NULL,0.00,0.00,3.00,304,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5385725,7.00,4.00,2.00,3.00,6.00,7.13,1.00,1.00,5.00,203,NULL,213,'JARDIM CUIABÁ','CUIABÁ','MT',13162,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5385741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5385750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5385768,5.00,6.00,5.00,7.00,8.00,10.88,4.00,3.00,4.00,316,NULL,NULL,'STA MÔNICA','FLORIANÓPOLIS','SC',5736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385784,6.00,7.00,2.00,4.00,7.00,9.00,3.00,3.00,5.00,501,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11413,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5385792,8.00,8.00,7.00,7.00,10.00,11.63,6.00,6.00,7.00,103,NULL,NULL,'DE FÁTIMA','FLORIANÓPOLIS','SC',296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385806,8.00,4.00,1.00,7.00,5.00,3.00,4.00,3.00,2.00,303,NULL,NULL,'VILA FORMOSA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385814,3.00,4.00,1.00,0.00,3.00,NULL,1.00,2.00,1.00,404,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5385830,4.00,4.00,3.00,4.00,5.00,8.25,2.00,6.00,2.00,340,NULL,NULL,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5385849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5385857,3.00,3.00,5.00,2.00,5.00,6.75,3.00,3.00,3.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5385865,5.00,6.00,2.00,6.00,4.00,10.13,3.00,4.00,2.00,340,NULL,NULL,'UNIVERSITÁRIO','CASCAVEL','PR',11993,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5385881,9.00,6.00,5.00,6.00,9.00,12.00,4.00,5.00,6.00,103,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',2058,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5385890,7.00,8.00,2.00,8.00,7.00,11.25,3.00,3.00,4.00,318,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',8670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385903,7.00,5.00,5.00,4.00,5.00,7.13,4.00,1.00,6.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',10439,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5385911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5385920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,233,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5385938,2.00,3.00,3.00,1.00,2.00,NULL,2.00,1.00,1.00,9,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5385946,4.00,7.00,3.00,7.00,7.00,6.38,1.00,2.00,2.00,332,NULL,NULL,'SAGRADO CORAÇÃO','S MIGUEL OESTE','SC',14028,22,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHACARA CACHOEIRA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5385962,8.00,6.00,5.00,7.00,8.00,9.00,4.00,4.00,7.00,216,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',4261,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5385970,6.00,6.00,2.00,4.00,2.00,NULL,1.00,5.00,5.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5385997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,601,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5386012,5.00,7.00,5.00,5.00,10.00,9.75,3.00,4.00,5.00,211,NULL,601,'CENTRO','TUBARÃO','SC',5471,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5386020,6.00,5.00,2.00,4.00,7.00,8.63,2.00,2.00,3.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15414,64,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BEATRIZ','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5386047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5386055,6.00,7.00,4.00,5.00,8.00,10.13,6.00,2.00,4.00,331,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5386071,4.00,5.00,0.00,7.00,9.00,NULL,2.00,3.00,2.00,337,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5386080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5386098,1.00,4.00,1.00,2.00,4.00,NULL,2.00,2.00,2.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5386101,4.00,5.00,4.00,1.00,6.00,7.50,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',14005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5386110,2.00,5.00,4.00,7.00,5.00,8.63,3.00,4.00,2.00,601,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',12780,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5386128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5386136,1.00,5.00,1.00,4.00,4.00,8.63,2.00,3.00,5.00,201,NULL,207,'CENTRO','TUBARÃO','SC',16161,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5386144,2.00,5.00,1.00,2.00,4.00,NULL,2.00,2.00,3.00,336,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386160,5.00,6.00,2.00,4.00,5.00,9.38,3.00,3.00,5.00,212,NULL,213,'COQUEIROS','FLORIANÓPOLIS','SC',13092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5386179,3.00,3.00,1.00,5.00,1.00,NULL,1.00,2.00,1.00,201,NULL,233,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5386187,2.00,3.00,1.00,4.00,5.00,NULL,2.00,1.00,3.00,503,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386209,4.00,5.00,1.00,1.00,2.00,NULL,1.00,3.00,4.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5386217,7.00,6.00,4.00,4.00,7.00,10.13,3.00,3.00,5.00,103,NULL,NULL,'CIDADE JARDIM','CPO GRANDE','MS',8673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5386225,1.00,7.00,2.00,6.00,7.00,NULL,0.00,1.00,3.00,201,NULL,207,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386233,4.00,7.00,1.00,6.00,8.00,7.50,3.00,2.00,5.00,238,NULL,208,'JOÃO PAULO','FLORIANÓPOLIS','SC',11343,233,NULL,257,NULL,NULL,NULL,4,1),(20,5386241,9.00,7.00,1.00,7.00,6.00,10.88,1.00,3.00,5.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',6960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5386250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'SEMINARIO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5386284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5386292,4.00,6.00,3.00,3.00,5.00,9.00,2.00,3.00,3.00,5,NULL,NULL,'SAO LUCAS','VIAMÃO','RS',12686,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386306,1.00,5.00,1.00,3.00,7.00,NULL,4.00,3.00,3.00,333,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386314,8.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5386322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM SÃO LUIS','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5386330,6.00,7.00,5.00,5.00,4.00,9.75,3.00,5.00,4.00,318,NULL,NULL,'BARREIROS','S JOSÉ','SC',10741,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386349,4.00,5.00,2.00,3.00,4.00,7.13,1.00,4.00,5.00,109,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5386365,4.00,5.00,1.00,4.00,8.00,7.13,2.00,4.00,5.00,5,NULL,NULL,'CENTRO','ARARUNA','PR',12765,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5386373,7.00,5.00,1.00,7.00,6.00,NULL,0.00,4.00,5.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5386381,1.00,2.00,3.00,2.00,3.00,NULL,0.00,1.00,2.00,104,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386411,4.00,4.00,2.00,4.00,3.00,NULL,2.00,1.00,3.00,211,NULL,653,'NOVA DIVINEIA','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5386420,6.00,5.00,4.00,6.00,5.00,9.75,2.00,3.00,5.00,208,NULL,238,'CORREGO GRANDE','FLORIANÓPOLIS','SC',9766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5386438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5386446,4.00,5.00,1.00,7.00,7.00,8.25,2.00,2.00,5.00,103,NULL,NULL,'NOVOS ESTADOS','CPO GRANDE','MS',11065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5386462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PETRÓPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5386470,5.00,6.00,4.00,5.00,5.00,7.88,3.00,4.00,4.00,201,NULL,601,'CAPOEIRAS','FLORIANÓPOLIS','SC',12105,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386489,5.00,6.00,4.00,5.00,5.00,8.25,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','ARARUNA','PR',12228,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5386500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5386535,4.00,5.00,0.00,6.00,6.00,8.25,3.00,2.00,4.00,340,NULL,NULL,'JARDIM SÃO PAULO II','COTIA','SP',13243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5386543,4.00,7.00,0.00,2.00,3.00,NULL,4.00,1.00,3.00,103,NULL,NULL,'CENTRO','BURITAMA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5386551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,426,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5386578,5.00,4.00,0.00,5.00,4.00,NULL,1.00,3.00,3.00,102,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5386586,1.00,6.00,3.00,4.00,2.00,NULL,0.00,2.00,3.00,339,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386594,5.00,6.00,3.00,3.00,7.00,NULL,0.00,3.00,2.00,601,NULL,208,'ITINGA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5386608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5386616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5386624,9.00,7.00,6.00,8.00,11.00,10.13,6.00,4.00,7.00,501,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',880,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5386659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'UNIVERSITÁRIO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5386667,8.00,6.00,2.00,4.00,8.00,10.50,2.00,2.00,4.00,653,NULL,652,'NOVA','CRICIÚMA','SC',9102,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5386675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5386683,3.00,5.00,3.00,4.00,5.00,8.63,1.00,2.00,3.00,103,NULL,NULL,'CENTRO','MRO GRANDE','SC',16088,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5386691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5386705,7.00,5.00,3.00,6.00,8.00,12.00,4.00,6.00,4.00,207,NULL,203,'JARDIM DAS AMÉRICAS','CURITIBA','PR',3777,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5386713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5386721,4.00,7.00,2.00,4.00,5.00,10.13,1.00,4.00,3.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13551,442,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386730,3.00,4.00,2.00,4.00,4.00,NULL,3.00,0.00,1.00,301,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386748,8.00,7.00,5.00,7.00,8.00,11.63,6.00,7.00,5.00,220,NULL,202,'VILA A','FOZ IGUAÇU','PR',2162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5386756,3.00,5.00,2.00,6.00,5.00,9.38,0.00,4.00,2.00,339,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',15842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5386764,9.00,6.00,7.00,6.00,7.00,8.63,6.00,5.00,5.00,201,NULL,202,'PAROLIN','CURITIBA','PR',1849,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5386772,6.00,0.00,1.00,5.00,9.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5386780,5.00,4.00,1.00,5.00,3.00,NULL,1.00,2.00,3.00,201,NULL,235,'NOBRE','SORRISO','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5386799,3.00,5.00,1.00,3.00,5.00,NULL,3.00,0.00,2.00,652,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5386802,3.00,7.00,5.00,5.00,4.00,6.75,1.00,4.00,4.00,238,NULL,208,'CAMPINAS','S JOSÉ','SC',14550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5386810,7.00,6.00,1.00,6.00,8.00,6.75,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','SANTANA LIVRAMENTO','RS',9656,3118,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386829,3.00,3.00,0.00,4.00,4.00,NULL,2.00,2.00,3.00,223,NULL,NULL,'AREIAS DE MACACU','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386837,5.00,8.00,1.00,6.00,6.00,9.75,3.00,4.00,4.00,340,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',9964,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5386845,6.00,3.00,0.00,1.00,7.00,NULL,1.00,4.00,2.00,216,NULL,211,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5386853,4.00,8.00,2.00,5.00,9.00,9.38,1.00,5.00,5.00,329,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',11112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5386861,3.00,6.00,2.00,4.00,5.00,6.75,3.00,3.00,4.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16040,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386888,5.00,5.00,0.00,3.00,8.00,NULL,3.00,2.00,3.00,452,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386896,4.00,5.00,1.00,3.00,4.00,NULL,1.00,3.00,1.00,214,NULL,212,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5386900,3.00,4.00,0.00,4.00,3.00,NULL,1.00,2.00,1.00,235,NULL,220,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386918,4.00,6.00,1.00,5.00,6.00,6.38,3.00,6.00,0.00,109,NULL,NULL,'CENTRO','FORQUILHINHA','SC',15266,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5386934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'SÃO PEDRO','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5386942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'PINHEIROS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5386950,7.00,8.00,3.00,5.00,8.00,9.00,3.00,4.00,4.00,202,NULL,213,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6394,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386969,6.00,7.00,2.00,4.00,5.00,7.50,3.00,3.00,4.00,212,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',12592,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5386977,5.00,6.00,0.00,2.00,3.00,NULL,1.00,3.00,2.00,601,NULL,653,'BAIRRO FATY','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5386985,5.00,5.00,1.00,7.00,7.00,11.63,0.00,3.00,3.00,316,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',13121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387000,1.00,5.00,1.00,4.00,5.00,NULL,4.00,1.00,3.00,203,NULL,NULL,'SALTO DA ÁGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5387027,5.00,8.00,4.00,7.00,8.00,11.25,3.00,6.00,7.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',4870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JD MARCOS ANTONIO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5387043,7.00,7.00,3.00,5.00,8.00,9.38,3.00,3.00,6.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6982,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5387051,4.00,5.00,1.00,4.00,5.00,NULL,0.00,1.00,2.00,104,NULL,NULL,'CENTRO','QUEDAS IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5387060,6.00,6.00,2.00,2.00,6.00,9.00,3.00,4.00,4.00,652,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5387078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VILA PAULISTA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5387094,3.00,7.00,0.00,6.00,4.00,NULL,3.00,4.00,2.00,450,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5387116,2.00,2.00,5.00,6.00,4.00,8.25,1.00,1.00,5.00,317,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5387124,3.00,5.00,1.00,7.00,8.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,5),(20,5387140,2.00,5.00,4.00,5.00,4.00,4.50,2.00,1.00,4.00,202,NULL,652,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5387159,6.00,7.00,5.00,4.00,6.00,8.63,3.00,2.00,5.00,202,NULL,203,'TRINDADE','FLORIANÓPOLIS','SC',8557,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5387167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MORAES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5387175,7.00,7.00,4.00,6.00,9.00,10.88,3.00,8.00,4.00,327,NULL,NULL,'CAMPINAS','S JOSÉ','SC',4526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387183,4.00,3.00,0.00,6.00,4.00,0.00,1.00,3.00,3.00,202,NULL,213,'CENTENÁRIO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5387191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'JABOTIANA','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5387213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'NOVA VALINHOS','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5387221,6.00,7.00,2.00,6.00,6.00,7.13,3.00,4.00,3.00,653,NULL,652,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5387230,3.00,5.00,1.00,7.00,7.00,9.75,1.00,3.00,2.00,308,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387248,3.00,4.00,3.00,4.00,6.00,10.13,3.00,3.00,1.00,339,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',15935,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5387256,5.00,7.00,1.00,5.00,5.00,NULL,0.00,1.00,3.00,308,NULL,NULL,'PIO CORREIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5387264,8.00,8.00,5.00,7.00,8.00,12.00,6.00,6.00,8.00,103,NULL,NULL,'CENTRO','FREDERICO WESTPHALEN','RS',405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387272,4.00,5.00,3.00,5.00,6.00,6.75,2.00,3.00,2.00,424,NULL,427,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',15475,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5387280,3.00,4.00,2.00,1.00,3.00,NULL,0.00,0.00,3.00,421,NULL,427,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387299,4.00,4.00,0.00,2.00,7.00,NULL,3.00,2.00,3.00,101,NULL,NULL,'CENTRO','S LOURENÇO SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5387302,6.00,5.00,3.00,7.00,9.00,9.00,6.00,4.00,5.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',5660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'CENTRO','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(20,5387329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'PARQUE DE EXPOSIÇÕES','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5387337,4.00,3.00,2.00,6.00,6.00,9.00,3.00,4.00,2.00,302,NULL,NULL,'CENTRO','NOVA VENEZA','SC',14890,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5387353,8.00,7.00,5.00,7.00,9.00,8.25,1.00,3.00,7.00,103,NULL,NULL,'BARÃO GERALDO','CAMPINAS','SP',3714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'ASSUNÇÃO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5387370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'HIPOLITO','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5387388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,427,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(20,5387400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'NAÇÕES','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5387418,5.00,6.00,3.00,3.00,5.00,6.75,3.00,2.00,4.00,331,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5387426,6.00,7.00,4.00,5.00,6.00,7.13,4.00,4.00,5.00,214,NULL,213,'BARREIROS','S JOSÉ','SC',10633,289,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387442,4.00,5.00,0.00,2.00,4.00,NULL,1.00,2.00,3.00,207,NULL,202,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PARQUE DAS NAÇÕES','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5387477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5387485,4.00,7.00,2.00,0.00,8.00,9.75,4.00,4.00,5.00,201,NULL,212,'CENTRO','PRIMAVERA','SP',9203,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5387507,4.00,7.00,1.00,4.00,3.00,NULL,2.00,3.00,5.00,652,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5387515,1.00,4.00,0.00,5.00,5.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5387531,7.00,6.00,2.00,6.00,5.00,7.13,2.00,3.00,5.00,216,NULL,233,'RIO MAINA','CRICIÚMA','SC',10784,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5387540,9.00,8.00,3.00,7.00,9.00,9.75,4.00,4.00,4.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387558,4.00,4.00,1.00,4.00,4.00,NULL,2.00,2.00,3.00,101,NULL,NULL,'BELA VISTA IV','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5387566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','CATANDUVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5387574,7.00,0.00,3.00,4.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(20,5387582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'AEROPORTO','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5387590,9.00,6.00,7.00,7.00,8.00,9.38,4.00,5.00,7.00,103,NULL,NULL,'VILA CELESTE','S PAULO','SP',1848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387604,5.00,6.00,1.00,3.00,2.00,NULL,2.00,2.00,1.00,501,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5387612,9.00,7.00,3.00,7.00,7.00,10.50,4.00,4.00,7.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',3632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387620,3.00,4.00,2.00,3.00,6.00,NULL,2.00,4.00,0.00,317,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5387639,8.00,7.00,2.00,6.00,8.00,9.38,2.00,4.00,7.00,201,NULL,653,'VILA PARAÍSO','JAGUARUNA','SC',4784,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5387647,5.00,5.00,0.00,5.00,7.00,9.00,1.00,2.00,5.00,108,NULL,NULL,'JARDIM DAS FLORES','S JOSÉ CAMPOS','SP',12803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387655,5.00,4.00,1.00,7.00,7.00,10.50,2.00,3.00,3.00,102,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387663,5.00,4.00,2.00,2.00,4.00,6.00,3.00,3.00,4.00,444,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'HIPOLITO EXP I','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5387710,3.00,4.00,1.00,2.00,4.00,NULL,0.00,2.00,1.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5387736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5387744,5.00,6.00,1.00,6.00,6.00,7.13,2.00,2.00,3.00,304,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15418,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5387787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'LAGOA NOVA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5387795,4.00,4.00,0.00,5.00,7.00,12.00,1.00,5.00,4.00,328,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5387809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM CLARET','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5387817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5387833,4.00,7.00,5.00,4.00,7.00,7.88,2.00,4.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387841,7.00,6.00,3.00,5.00,10.00,6.00,2.00,5.00,7.00,102,NULL,NULL,'CAJURU','CURITIBA','PR',5413,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5387850,5.00,8.00,2.00,4.00,8.00,6.75,4.00,5.00,5.00,103,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',8167,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5387868,4.00,6.00,0.00,5.00,6.00,NULL,0.00,2.00,1.00,317,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5387876,1.00,5.00,2.00,5.00,2.00,NULL,0.00,2.00,0.00,444,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5387884,4.00,6.00,2.00,5.00,6.00,9.00,1.00,2.00,3.00,302,NULL,NULL,'PACHECOS','PALHOÇA','SC',14629,86,NULL,NULL,NULL,NULL,NULL,2,1),(20,5387892,9.00,7.00,7.00,7.00,9.00,11.63,6.00,6.00,9.00,103,NULL,NULL,'CENTRO','CARAGUATATUBA','SP',227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5387914,6.00,6.00,4.00,4.00,4.00,9.75,3.00,1.00,6.00,404,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13387,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5387949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SÃO BASÍLIO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5387965,3.00,6.00,1.00,1.00,3.00,NULL,2.00,3.00,2.00,319,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5387973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'INTERIOR','ERVAL VELHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5387981,4.00,4.00,2.00,2.00,0.00,NULL,2.00,4.00,2.00,551,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5388007,2.00,5.00,2.00,7.00,5.00,9.38,1.00,1.00,3.00,238,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',16068,431,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388023,5.00,5.00,2.00,2.00,8.00,8.25,3.00,3.00,4.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',15215,620,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5388040,8.00,7.00,3.00,6.00,9.00,11.63,3.00,5.00,5.00,103,NULL,NULL,'SANTA FÉ','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388058,6.00,5.00,0.00,2.00,3.00,NULL,0.00,2.00,3.00,452,NULL,NULL,'SUMARÉ','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5388066,9.00,8.00,7.00,7.00,9.00,9.00,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',743,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5388074,4.00,5.00,3.00,4.00,2.00,NULL,0.00,2.00,4.00,319,NULL,NULL,'HIPOLITO EXP II','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO MANUEL','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5388104,1.00,3.00,1.00,0.00,2.00,NULL,2.00,0.00,3.00,501,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5388112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5388120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5388139,3.00,6.00,3.00,6.00,8.00,8.63,4.00,4.00,5.00,332,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',9605,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5388155,6.00,5.00,4.00,7.00,6.00,8.25,1.00,2.00,6.00,318,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',10086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5388171,9.00,6.00,3.00,4.00,8.00,11.25,3.00,4.00,6.00,103,NULL,NULL,'RECANTO TROPICAL','CASCAVEL','PR',4983,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5388180,4.00,2.00,1.00,5.00,3.00,NULL,0.00,1.00,2.00,202,NULL,235,'VILA INDEPENDENCIA','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5388201,9.00,7.00,4.00,7.00,6.00,10.13,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',2417,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5388228,3.00,0.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5388236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CRITO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5388244,6.00,4.00,4.00,7.00,7.00,9.38,2.00,4.00,6.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5388279,5.00,5.00,1.00,4.00,6.00,7.50,1.00,4.00,2.00,318,NULL,NULL,'PERDIZES','S PAULO','SP',15759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5388287,4.00,6.00,2.00,3.00,2.00,NULL,0.00,3.00,2.00,304,NULL,NULL,'CEEE','SALTO JACUÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(20,5388295,1.00,6.00,4.00,5.00,3.00,NULL,2.00,3.00,4.00,302,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5388309,6.00,5.00,4.00,6.00,3.00,NULL,3.00,3.00,3.00,9,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5388317,6.00,5.00,0.00,6.00,7.00,9.00,3.00,2.00,3.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','MACHADINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5388333,5.00,5.00,2.00,4.00,3.00,NULL,2.00,4.00,3.00,336,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5388341,6.00,8.00,5.00,7.00,8.00,10.88,3.00,1.00,5.00,214,NULL,233,'CENTRO','ITAJAÍ','SC',5691,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5388368,4.00,5.00,1.00,4.00,3.00,NULL,1.00,3.00,5.00,332,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5388384,3.00,4.00,2.00,4.00,7.00,7.13,1.00,2.00,5.00,503,NULL,NULL,'ZONA RURAL','LIMEIRA','SP',15058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388392,5.00,2.00,3.00,5.00,3.00,NULL,2.00,4.00,3.00,202,NULL,213,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5388406,8.00,6.00,3.00,6.00,7.00,9.75,4.00,4.00,6.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',3963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388414,4.00,6.00,3.00,5.00,6.00,11.63,1.00,3.00,3.00,205,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',14316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388422,5.00,3.00,3.00,5.00,3.00,NULL,4.00,1.00,4.00,103,NULL,NULL,'ESTRELA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5388449,3.00,7.00,1.00,7.00,7.00,8.63,2.00,4.00,3.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'INDUSTRIAL','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5388465,4.00,2.00,3.00,6.00,5.00,6.75,2.00,1.00,4.00,201,NULL,207,'CENTRO','ITAPUCÁ','RS',15830,1114,NULL,775,NULL,NULL,NULL,2,1),(20,5388473,5.00,6.00,2.00,7.00,5.00,10.13,3.00,3.00,6.00,207,NULL,215,'VILA PROGRESSO','DOURADOS','MS',10177,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5388481,4.00,7.00,2.00,7.00,6.00,10.50,3.00,2.00,2.00,425,NULL,429,'CENTRO','FLORIANÓPOLIS','SC',13543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388490,3.00,5.00,2.00,2.00,5.00,NULL,2.00,4.00,2.00,302,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5388520,5.00,3.00,1.00,6.00,4.00,9.75,0.00,5.00,1.00,319,NULL,NULL,'CANUDOS','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5388554,4.00,5.00,3.00,6.00,4.00,7.13,4.00,3.00,4.00,201,NULL,233,'JARDIM ITÁLIA','MARINGÁ','PR',12515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5388562,1.00,3.00,0.00,2.00,5.00,NULL,2.00,2.00,4.00,208,NULL,235,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388570,8.00,7.00,3.00,4.00,8.00,10.50,6.00,4.00,7.00,5,NULL,NULL,'UBERABA','CURITIBA','PR',3546,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5388589,5.00,5.00,1.00,6.00,9.00,11.25,2.00,4.00,2.00,332,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388597,3.00,7.00,2.00,3.00,7.00,NULL,1.00,1.00,0.00,238,NULL,208,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5388600,3.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'SANTA AUGUSTA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5388619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'PETRÓPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5388627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5388635,6.00,8.00,3.00,8.00,7.00,9.38,4.00,5.00,5.00,303,NULL,NULL,'BNH III PLANO','DOURADOS','MS',6970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388643,3.00,6.00,2.00,3.00,6.00,7.50,1.00,3.00,3.00,318,NULL,NULL,'BARREIROS','S JOSÉ','SC',16230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5388651,3.00,6.00,4.00,4.00,5.00,7.13,0.00,2.00,3.00,201,NULL,233,'CJ DOS METALURGICOS','OSASCO','SP',14359,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5388678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JARDIM BOTANICO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5388686,8.00,8.00,4.00,7.00,7.00,10.50,4.00,5.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'SANTO INÁCIO','PALMITINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5388716,6.00,7.00,4.00,3.00,8.00,8.63,6.00,3.00,5.00,203,NULL,216,'CACUPÉ','FLORIANÓPOLIS','SC',7956,602,NULL,333,NULL,NULL,NULL,2,1),(20,5388724,1.00,5.00,2.00,2.00,6.00,NULL,3.00,1.00,0.00,501,NULL,NULL,'NÃO POSSUI','NOVA ERECHIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5388732,1.00,5.00,0.00,2.00,4.00,NULL,2.00,3.00,1.00,207,NULL,201,'SOSSEGO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5388740,6.00,6.00,2.00,7.00,7.00,12.75,1.00,3.00,6.00,316,NULL,NULL,'CAMPO BELO','S PAULO','SP',7769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SÃO GERALDO','IJUÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5388767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5388775,5.00,4.00,3.00,4.00,5.00,7.50,3.00,2.00,3.00,324,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5388783,2.00,1.00,4.00,3.00,2.00,NULL,1.00,2.00,0.00,201,NULL,NULL,'CENTRO','ERVAL GRANDE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5388791,4.00,4.00,3.00,5.00,7.00,10.88,3.00,3.00,2.00,103,NULL,NULL,'DONA ELIZA','PASSO FUNDO','RS',11777,3391,NULL,NULL,NULL,NULL,NULL,2,4),(20,5388805,4.00,5.00,2.00,5.00,8.00,8.63,2.00,3.00,2.00,102,NULL,NULL,'PROGRESSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5388813,4.00,6.00,5.00,6.00,6.00,7.88,3.00,4.00,4.00,340,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',10046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM MONTEZUMA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5388830,8.00,6.00,7.00,7.00,7.00,11.63,4.00,4.00,8.00,415,NULL,NULL,'VILA GOMES','S PAULO','SP',1524,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5388856,5.00,4.00,1.00,5.00,4.00,NULL,0.00,2.00,0.00,238,NULL,220,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5388864,4.00,5.00,3.00,5.00,3.00,NULL,2.00,4.00,3.00,104,NULL,NULL,'CENTRO','LARANJEIRAS SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5388872,4.00,7.00,3.00,5.00,6.00,6.00,2.00,4.00,3.00,404,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',14303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388880,9.00,7.00,3.00,6.00,8.00,9.00,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',6349,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5388899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5388902,6.00,4.00,3.00,6.00,7.00,10.50,1.00,3.00,3.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',11655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388910,4.00,5.00,0.00,2.00,6.00,NULL,2.00,3.00,2.00,207,NULL,233,'SANTO ANDRÉ','TRÊS LAGOAS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5388929,3.00,6.00,3.00,6.00,3.00,NULL,0.00,3.00,3.00,208,NULL,238,'DE FÁTIMA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388937,3.00,2.00,3.00,6.00,3.00,NULL,0.00,1.00,2.00,333,NULL,NULL,'ALTO DA RUA XV','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388945,5.00,7.00,2.00,4.00,6.00,0.00,1.00,2.00,5.00,2,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5388953,5.00,6.00,2.00,0.00,7.00,7.50,2.00,3.00,4.00,453,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5388961,6.00,5.00,4.00,7.00,5.00,9.00,2.00,2.00,5.00,214,NULL,212,'BARÃO GERALDO','CAMPINAS','SP',10274,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388970,1.00,6.00,2.00,7.00,3.00,NULL,1.00,2.00,2.00,332,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5388988,0.00,4.00,1.00,2.00,2.00,NULL,2.00,2.00,1.00,653,NULL,652,'SÃO CAMILO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,15),(20,5389003,6.00,5.00,3.00,3.00,5.00,7.88,5.00,2.00,5.00,2,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13765,39,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389011,5.00,6.00,1.00,3.00,3.00,NULL,1.00,1.00,4.00,238,NULL,208,'JARDIM RIVA','PRIMAVERA LESTE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389020,7.00,6.00,7.00,7.00,8.00,9.00,4.00,3.00,4.00,301,NULL,NULL,'NOVA SUÍÇA','GOIÂNIA','GO',4070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(20,5389046,1.00,5.00,2.00,4.00,4.00,NULL,2.00,0.00,3.00,5,NULL,NULL,'FZA SANTO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5389054,3.00,4.00,1.00,5.00,3.00,NULL,2.00,2.00,4.00,301,NULL,NULL,'CENTRO','GR PARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5389062,5.00,0.00,2.00,5.00,8.00,NULL,0.00,0.00,0.00,424,NULL,429,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5389070,2.00,4.00,2.00,5.00,6.00,NULL,0.00,1.00,3.00,207,NULL,NULL,'PENHA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5389089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5389097,5.00,8.00,3.00,7.00,7.00,9.75,4.00,1.00,5.00,203,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5389100,9.00,5.00,1.00,4.00,8.00,6.75,3.00,2.00,7.00,103,NULL,NULL,'SUMARÉ','PARANAVAÍ','PR',8227,2873,NULL,NULL,NULL,NULL,NULL,2,1),(20,5389119,6.00,8.00,2.00,7.00,4.00,6.38,3.00,1.00,5.00,220,NULL,238,'PARQUE DAS PALMEIRAS','CHAPECÓ','SC',10330,298,NULL,196,NULL,NULL,NULL,4,4),(20,5389127,3.00,5.00,1.00,4.00,4.00,NULL,0.00,3.00,2.00,104,NULL,NULL,'PRIMAVERA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5389143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5389151,1.00,2.00,0.00,4.00,3.00,NULL,0.00,1.00,1.00,652,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,15),(20,5389160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAPIM MACIO','NATAL','RN',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5389178,6.00,5.00,2.00,7.00,7.00,8.63,6.00,4.00,2.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',10462,349,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389186,2.00,5.00,5.00,4.00,5.00,9.00,2.00,0.00,7.00,203,NULL,214,'BARRO VERMELHO','ORLEANS','SC',13716,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5389194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','NOVA PRATA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5389208,5.00,6.00,6.00,6.00,8.00,9.00,4.00,1.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389216,2.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,208,NULL,238,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389224,2.00,6.00,2.00,7.00,5.00,9.38,2.00,1.00,2.00,207,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REDENTOR','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5389259,4.00,6.00,1.00,7.00,8.00,10.50,4.00,4.00,6.00,319,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',8703,124,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5389275,8.00,6.00,5.00,8.00,9.00,7.50,8.00,5.00,7.00,203,NULL,202,'CENTRO','FOZ IGUAÇU','PR',1555,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5389283,7.00,6.00,5.00,6.00,8.00,10.50,7.00,6.00,7.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',1333,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5389291,4.00,7.00,5.00,3.00,2.00,NULL,2.00,5.00,3.00,317,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5389305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,207,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5389313,5.00,6.00,2.00,6.00,6.00,10.13,2.00,3.00,5.00,340,NULL,NULL,'CENTRO','GR PARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5389321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GRAVATAÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5389330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5389348,5.00,6.00,0.00,6.00,5.00,6.00,3.00,3.00,3.00,201,NULL,233,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',13600,970,NULL,371,NULL,NULL,NULL,4,1),(20,5389356,0.00,5.00,4.00,4.00,5.00,7.50,1.00,3.00,4.00,601,NULL,201,'PENHA','LAGES','SC',15492,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5389364,8.00,5.00,5.00,2.00,6.00,9.00,1.00,1.00,2.00,216,NULL,233,'CAP SANTA TEREZINHA','NOVA PRATA','RS',11985,482,NULL,NULL,NULL,NULL,NULL,2,1),(20,5389372,5.00,5.00,5.00,7.00,6.00,12.00,1.00,3.00,5.00,201,NULL,212,'ZONA SETE','MARINGÁ','PR',8256,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5389380,6.00,7.00,3.00,7.00,8.00,7.88,4.00,3.00,7.00,216,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',5667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5389410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5389429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','SAPUCAIA SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5389437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5389445,4.00,3.00,0.00,6.00,6.00,NULL,2.00,2.00,3.00,316,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389453,5.00,5.00,6.00,5.00,6.00,9.75,3.00,4.00,5.00,201,NULL,601,'VILA PEDRINI','JOAÇABA','SC',7333,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5389470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOSÉ','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5389488,6.00,8.00,1.00,6.00,5.00,9.38,4.00,4.00,6.00,103,NULL,NULL,'MARGEM ESQUERDA','GASPAR','SC',6170,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5389496,5.00,5.00,2.00,7.00,8.00,6.38,3.00,6.00,4.00,326,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',10314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389500,6.00,4.00,1.00,3.00,5.00,NULL,0.00,3.00,1.00,301,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5389534,4.00,5.00,3.00,4.00,5.00,9.00,2.00,2.00,6.00,653,NULL,NULL,'NOVA ITÁLIA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5389542,2.00,6.00,0.00,1.00,3.00,NULL,0.00,3.00,3.00,331,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389550,6.00,3.00,2.00,4.00,4.00,NULL,0.00,1.00,2.00,235,NULL,213,'LAGOA DE FORA','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5389585,0.00,2.00,2.00,4.00,4.00,NULL,2.00,2.00,4.00,203,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389593,4.00,7.00,4.00,5.00,6.00,7.50,4.00,1.00,4.00,404,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5389607,4.00,2.00,1.00,2.00,2.00,NULL,0.00,3.00,3.00,201,NULL,207,'VILA BITENCOURT','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5389615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5389623,8.00,7.00,1.00,4.00,9.00,11.25,4.00,2.00,4.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',8224,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5389631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5389640,5.00,6.00,3.00,3.00,5.00,6.75,2.00,3.00,5.00,202,NULL,238,'FUNDOS','BIGUAÇU','SC',14864,493,NULL,375,NULL,NULL,NULL,2,1),(20,5389658,8.00,6.00,3.00,7.00,5.00,6.75,4.00,5.00,5.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389666,4.00,6.00,3.00,3.00,8.00,11.63,3.00,6.00,5.00,338,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389674,6.00,7.00,2.00,7.00,7.00,10.13,6.00,3.00,6.00,103,NULL,NULL,'ALTO DA GLÓRIA','CURITIBA','PR',5170,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5389682,3.00,7.00,3.00,5.00,4.00,7.13,2.00,4.00,4.00,332,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5389690,7.00,4.00,4.00,3.00,3.00,NULL,1.00,2.00,4.00,331,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5389704,3.00,4.00,0.00,7.00,7.00,NULL,0.00,4.00,3.00,453,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5389712,3.00,4.00,0.00,4.00,4.00,NULL,1.00,1.00,4.00,601,NULL,233,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5389720,3.00,5.00,2.00,3.00,2.00,NULL,0.00,5.00,3.00,203,NULL,214,'IMIGRANTES','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5389739,5.00,6.00,4.00,6.00,7.00,6.75,2.00,2.00,5.00,103,NULL,NULL,'CENTRO','STA FÉ','PR',10949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389747,7.00,6.00,3.00,6.00,10.00,9.38,3.00,4.00,4.00,202,NULL,213,'CENTRO','PALHOÇA','SC',6211,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5389755,9.00,7.00,2.00,7.00,8.00,10.88,6.00,8.00,8.00,103,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',1841,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5389763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,208,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5389771,2.00,2.00,2.00,3.00,3.00,NULL,1.00,2.00,1.00,301,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5389798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5389801,6.00,4.00,0.00,6.00,3.00,NULL,0.00,3.00,2.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389810,4.00,7.00,5.00,2.00,5.00,6.75,2.00,5.00,4.00,326,NULL,NULL,'SANTA CLARA','MOGI MIRIM','SP',11228,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5389828,2.00,5.00,1.00,3.00,5.00,NULL,2.00,1.00,2.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389836,1.00,4.00,4.00,3.00,4.00,4.50,2.00,4.00,3.00,211,NULL,215,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5389844,4.00,5.00,3.00,5.00,4.00,8.25,1.00,3.00,5.00,316,NULL,NULL,'CENTRO','S BENTO SUL','SC',12444,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5389852,9.00,9.00,6.00,7.00,9.00,10.13,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',595,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5389860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5389879,9.00,8.00,3.00,8.00,8.00,7.88,5.00,6.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',1642,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5389887,6.00,6.00,2.00,4.00,7.00,7.50,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5389895,5.00,6.00,1.00,5.00,8.00,11.25,1.00,2.00,2.00,104,NULL,NULL,'NOSSA SRA DE LOURDES','STA MARIA','RS',14408,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5389909,4.00,3.00,2.00,2.00,3.00,NULL,0.00,2.00,3.00,601,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5389917,7.00,6.00,2.00,5.00,8.00,9.00,2.00,3.00,3.00,207,NULL,212,'PASSO DAREIA','STA MARIA','RS',10185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389925,6.00,8.00,2.00,7.00,6.00,6.75,1.00,3.00,4.00,216,NULL,208,'PANAZZOLO','CAXIAS SUL','RS',9713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389941,5.00,7.00,1.00,5.00,4.00,8.63,2.00,1.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15250,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5389950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'JARDIM ITAPUÃ','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5389984,7.00,4.00,3.00,5.00,6.00,8.25,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',9287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5389992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'TRES VENDAS','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5390001,5.00,4.00,3.00,1.00,4.00,7.13,3.00,2.00,4.00,216,NULL,220,'CAMPO GRANDE','SANTOS','SP',16242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5390010,3.00,5.00,2.00,5.00,6.00,9.00,2.00,1.00,4.00,652,NULL,651,'LAGOA DE FORA','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5390028,4.00,3.00,4.00,3.00,2.00,NULL,1.00,0.00,2.00,212,NULL,201,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5390036,3.00,2.00,2.00,5.00,4.00,NULL,2.00,1.00,1.00,211,NULL,208,'CENTRO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,10),(20,5390044,6.00,5.00,4.00,5.00,8.00,6.75,2.00,3.00,3.00,303,NULL,NULL,'CENTRO','PNT GROSSA','PR',10798,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5390052,7.00,6.00,7.00,6.00,10.00,10.88,5.00,5.00,6.00,203,NULL,202,'VILA BRASIL','LONDRINA','PR',1657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5390060,4.00,5.00,1.00,2.00,5.00,NULL,1.00,2.00,3.00,444,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5390079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5390087,3.00,7.00,3.00,5.00,6.00,8.25,1.00,1.00,4.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5390095,2.00,4.00,0.00,4.00,6.00,NULL,1.00,2.00,2.00,652,NULL,653,'SÃO LUIZ','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5390109,6.00,5.00,4.00,5.00,5.00,6.75,2.00,3.00,5.00,551,NULL,NULL,'MOSSUNGUÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5390117,4.00,7.00,6.00,5.00,8.00,7.88,2.00,3.00,5.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11170,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5390125,2.00,3.00,1.00,6.00,7.00,NULL,1.00,3.00,4.00,201,NULL,203,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5390133,4.00,5.00,3.00,5.00,6.00,NULL,0.00,1.00,2.00,104,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,10),(20,5390141,4.00,6.00,3.00,4.00,4.00,7.50,3.00,2.00,4.00,213,NULL,220,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5390150,5.00,4.00,2.00,7.00,8.00,7.13,1.00,4.00,5.00,5,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',12774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5390168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5390176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'SETOR JAÓ','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5390184,8.00,7.00,1.00,7.00,8.00,8.63,3.00,4.00,8.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',3455,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5390192,2.00,6.00,0.00,1.00,7.00,NULL,1.00,4.00,1.00,215,NULL,211,'VILLAGE','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5390206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'SANTA MÔNICA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5390214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5390222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5390230,0.00,0.00,1.00,2.00,1.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'INDEPENDÊNCIA','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(20,5390249,8.00,8.00,4.00,7.00,8.00,10.13,6.00,5.00,7.00,103,NULL,NULL,'FORTALEZA','BLUMENAU','SC',1557,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5390265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5390273,7.00,6.00,0.00,6.00,6.00,7.88,3.00,4.00,5.00,302,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5390281,5.00,2.00,1.00,6.00,6.00,6.75,1.00,3.00,3.00,424,NULL,428,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',16095,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(20,5390290,4.00,6.00,3.00,1.00,8.00,9.38,2.00,2.00,3.00,318,NULL,NULL,'CERQUEIRA CÉSAR','S PAULO','SP',12150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5390303,2.00,4.00,0.00,2.00,3.00,NULL,1.00,0.00,3.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5390311,5.00,5.00,1.00,4.00,4.00,6.75,3.00,2.00,4.00,234,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5390320,4.00,5.00,2.00,5.00,7.00,9.75,3.00,2.00,4.00,428,NULL,426,'VILA EUNICE','CACHOEIRINHA','RS',12745,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5390346,6.00,5.00,3.00,6.00,4.00,7.13,3.00,4.00,6.00,601,NULL,203,'JARDIM AMÉRICA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5390354,6.00,5.00,0.00,5.00,7.00,NULL,1.00,3.00,5.00,333,NULL,NULL,'MORADA DO SOL','PRES VENCESLAU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5390362,6.00,6.00,4.00,6.00,3.00,NULL,3.00,4.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5390370,1.00,6.00,3.00,4.00,2.00,NULL,3.00,3.00,3.00,444,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5390389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VL JOAQUIM INÁCIO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5390397,6.00,6.00,1.00,7.00,7.00,9.38,2.00,4.00,3.00,203,NULL,220,'CENTRO','S SEPÉ','RS',9794,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5390400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,208,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5390419,8.00,4.00,1.00,5.00,5.00,8.25,0.00,3.00,5.00,102,NULL,NULL,'JARDIM SANTANA','FRANCA','SP',13285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5390427,3.00,5.00,2.00,3.00,6.00,7.88,2.00,5.00,5.00,103,NULL,NULL,'PETRÓPOLIS','NOVO HAMBURGO','RS',13549,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5390435,3.00,5.00,0.00,4.00,4.00,NULL,3.00,2.00,2.00,651,NULL,653,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5390443,3.00,5.00,2.00,0.00,5.00,NULL,1.00,3.00,2.00,316,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5390451,2.00,5.00,3.00,4.00,4.00,6.75,1.00,3.00,4.00,9,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5390460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,203,'CENTRO','PALMA SOLA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5390478,4.00,4.00,1.00,3.00,5.00,NULL,3.00,3.00,0.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5390494,4.00,7.00,4.00,4.00,4.00,9.38,2.00,4.00,5.00,338,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5390508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5390516,3.00,4.00,1.00,3.00,5.00,9.38,3.00,2.00,4.00,404,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',15945,54,NULL,NULL,NULL,NULL,NULL,2,1),(20,5390532,7.00,5.00,3.00,7.00,7.00,9.38,3.00,5.00,7.00,103,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',7254,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5390540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'FUNCIONARIOS','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5390567,7.00,7.00,1.00,3.00,7.00,6.75,3.00,3.00,3.00,444,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',12600,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5390575,5.00,4.00,2.00,5.00,7.00,NULL,0.00,4.00,4.00,103,NULL,NULL,'LURDES','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5390591,4.00,4.00,0.00,7.00,8.00,NULL,2.00,3.00,5.00,201,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5390613,8.00,7.00,6.00,5.00,9.00,8.63,3.00,4.00,7.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5390621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JOÃO PAULO II','REALEZA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5390630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5390648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5390656,5.00,4.00,3.00,4.00,4.00,8.25,3.00,4.00,4.00,214,NULL,NULL,'ARAXA','LONDRINA','PR',13407,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5390664,5.00,8.00,3.00,6.00,7.00,9.38,3.00,1.00,4.00,203,NULL,214,'BOM RETIRO','CURITIBA','PR',9400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5390672,3.00,4.00,2.00,4.00,5.00,NULL,1.00,1.00,2.00,450,NULL,NULL,'SANTA LUZIA','MRO GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,5),(20,5390680,5.00,7.00,5.00,6.00,8.00,7.50,2.00,4.00,3.00,104,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',10809,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5390699,4.00,5.00,3.00,5.00,4.00,7.88,1.00,1.00,3.00,5,NULL,NULL,'BELA VISTA','S PAULO','SP',15921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5390702,4.00,3.00,4.00,6.00,5.00,8.63,1.00,2.00,4.00,329,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5390710,3.00,3.00,0.00,1.00,5.00,NULL,0.00,1.00,1.00,404,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5390729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,208,'CENTRO','MAL CÂNDIDO RONDON','PR',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5390737,6.00,7.00,4.00,5.00,8.00,10.50,2.00,6.00,5.00,309,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',8973,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5390745,1.00,5.00,0.00,2.00,5.00,NULL,1.00,0.00,3.00,333,NULL,NULL,'TESTO REGA','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(20,5390753,5.00,6.00,1.00,2.00,5.00,6.38,1.00,4.00,4.00,201,NULL,203,'CAMPO DA AGUA VERDE','CANOINHAS','SC',15658,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5390761,9.00,7.00,2.00,6.00,9.00,9.38,2.00,3.00,5.00,108,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5390770,6.00,4.00,1.00,7.00,11.00,7.13,2.00,4.00,3.00,601,NULL,201,'SANTA CATARINA','JOINVILLE','SC',9453,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5390788,3.00,5.00,2.00,7.00,7.00,10.50,1.00,2.00,1.00,337,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5390796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5390800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHACARA CACHOEIRA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5390818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5390834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'GETULHO VARGAS','STO AUGUSTO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5390842,5.00,4.00,2.00,4.00,4.00,10.50,3.00,2.00,1.00,201,NULL,207,'PARQUE JARDIM OURO','OURO','SC',14233,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5390850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5390869,4.00,4.00,2.00,4.00,6.00,NULL,1.00,4.00,2.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5390877,8.00,7.00,3.00,6.00,9.00,8.25,2.00,5.00,8.00,103,NULL,NULL,'CAMOBI','STA MARIA','RS',4025,1853,NULL,NULL,NULL,NULL,NULL,2,1),(20,5390885,5.00,5.00,1.00,7.00,5.00,7.50,0.00,3.00,3.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5390893,5.00,6.00,1.00,5.00,5.00,9.38,1.00,4.00,2.00,310,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5390907,5.00,7.00,4.00,5.00,8.00,8.25,1.00,6.00,4.00,331,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8738,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5390915,7.00,8.00,2.00,8.00,8.00,12.75,4.00,3.00,5.00,420,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',3734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5390931,4.00,6.00,4.00,4.00,7.00,6.00,1.00,3.00,2.00,302,NULL,NULL,'CENTRO','DOIS VIZINHOS','PR',14734,NULL,NULL,NULL,NULL,NULL,NULL,1,4),(20,5390940,7.00,5.00,3.00,6.00,7.00,9.00,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8802,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5390958,2.00,4.00,4.00,3.00,4.00,NULL,1.00,1.00,1.00,415,NULL,NULL,'VILA SANTO ANTONIO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5390966,4.00,4.00,2.00,1.00,6.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'CAMPO D UNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5390974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5390982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,203,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5391008,5.00,5.00,0.00,4.00,3.00,NULL,1.00,4.00,3.00,3,NULL,NULL,'FAZ SANTO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391024,0.00,6.00,1.00,6.00,5.00,NULL,4.00,1.00,6.00,233,NULL,201,'BRACUHY','ANGRA REIS','RJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5391032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5391040,4.00,5.00,3.00,2.00,5.00,6.38,1.00,3.00,4.00,205,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5391059,3.00,7.00,1.00,2.00,2.00,NULL,3.00,0.00,3.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391067,4.00,7.00,0.00,7.00,7.00,NULL,1.00,4.00,3.00,101,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391075,4.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5391083,7.00,6.00,4.00,3.00,8.00,10.88,4.00,6.00,7.00,220,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',4142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391091,3.00,3.00,4.00,3.00,4.00,NULL,0.00,3.00,4.00,202,NULL,235,'CENTRO','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5391121,3.00,4.00,3.00,5.00,3.00,NULL,3.00,2.00,4.00,201,NULL,220,'ARBORETO JEQUITIBAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5391156,5.00,5.00,1.00,3.00,3.00,NULL,2.00,5.00,2.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391164,5.00,7.00,3.00,7.00,7.00,7.88,1.00,2.00,3.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',12724,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5391172,3.00,0.00,3.00,4.00,7.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SÃO PEDRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,6),(20,5391180,6.00,3.00,6.00,4.00,6.00,6.75,6.00,2.00,5.00,203,NULL,214,'CENTRO','RIO NEGRO','PR',11288,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5391199,7.00,4.00,6.00,7.00,8.00,6.75,3.00,5.00,8.00,420,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',5928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391202,8.00,9.00,6.00,5.00,9.00,11.25,5.00,7.00,7.00,103,NULL,NULL,'BELA VISTA','RIO CLARO','SP',461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5391210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5391229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5391237,6.00,6.00,3.00,7.00,8.00,8.63,3.00,2.00,4.00,203,NULL,202,'JD AQUARIUS','S JOSÉ CAMPOS','SP',7253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5391253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'PQ LAGOINHA','STA RITA P QUATRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5391270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'JARDIM SHANGRILA','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5391288,3.00,4.00,3.00,4.00,6.00,NULL,3.00,2.00,1.00,208,NULL,238,'JARDIM AQUARIUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5391296,4.00,4.00,1.00,3.00,4.00,NULL,0.00,2.00,3.00,327,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5391300,8.00,7.00,2.00,5.00,6.00,7.50,3.00,5.00,6.00,103,NULL,NULL,'SÃO FRANCISCO','CPO GRANDE','MS',7382,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5391318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5391326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,238,'AREIAS BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5391334,4.00,2.00,0.00,3.00,4.00,NULL,2.00,2.00,2.00,420,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5391342,5.00,3.00,5.00,6.00,6.00,6.00,1.00,4.00,5.00,327,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391350,6.00,6.00,1.00,8.00,9.00,12.00,3.00,3.00,4.00,420,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391369,8.00,8.00,0.00,4.00,4.00,NULL,1.00,5.00,6.00,104,NULL,NULL,'VILA IVETE','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5391377,5.00,8.00,1.00,4.00,6.00,10.88,3.00,2.00,3.00,214,NULL,212,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',9887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5391385,6.00,6.00,4.00,5.00,6.00,8.63,2.00,3.00,3.00,207,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',12740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391393,7.00,4.00,4.00,7.00,7.00,10.88,2.00,2.00,3.00,415,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',10467,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5391407,4.00,4.00,1.00,7.00,7.00,7.50,4.00,3.00,5.00,327,NULL,NULL,'PARQUE SÃO PAULO','CASCAVEL','PR',13654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5391423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'GETULHO VARGAS','STO AUGUSTO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5391431,4.00,1.00,0.00,1.00,6.00,NULL,2.00,1.00,2.00,207,NULL,201,'CENTRO','MAL CÂNDIDO RONDON','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391440,7.00,5.00,4.00,3.00,4.00,NULL,1.00,1.00,3.00,340,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5391458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'SÃO JOÃO','PEDRAS GRANDES','SC',NULL,NULL,NULL,NULL,'S','S','S',5,10),(20,5391466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(20,5391482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'ANDORINHA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5391490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'JARDIM MARAMBÁ','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5391504,1.00,3.00,1.00,1.00,3.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'TESTO SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(20,5391512,5.00,4.00,0.00,2.00,7.00,NULL,1.00,3.00,1.00,102,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5391520,4.00,5.00,2.00,5.00,9.00,11.25,3.00,3.00,4.00,224,NULL,NULL,'CENTRO','ITAIÓPOLIS','SC',9487,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5391539,4.00,4.00,0.00,5.00,4.00,NULL,0.00,1.00,0.00,452,NULL,NULL,'CENTRO','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5391547,5.00,3.00,2.00,1.00,8.00,NULL,3.00,3.00,3.00,108,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5391555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ZONA III','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5391563,6.00,8.00,4.00,7.00,8.00,9.75,3.00,4.00,5.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5391580,4.00,7.00,2.00,5.00,5.00,8.25,2.00,1.00,1.00,103,NULL,NULL,'SÍTIO CERCADO','CURITIBA','PR',15282,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5391598,5.00,7.00,1.00,7.00,7.00,9.00,4.00,1.00,6.00,233,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',9419,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5391610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5391628,8.00,8.00,6.00,7.00,8.00,11.63,6.00,6.00,7.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',755,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5391636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'SETOR SUDOESTE','CRUZEIRO','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5391644,5.00,5.00,0.00,7.00,6.00,10.50,3.00,2.00,4.00,340,NULL,NULL,'CERQUEIRA CESAR','S PAULO','SP',12910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,214,'ZONA INDUSTRIAL NORT','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5391660,9.00,6.00,5.00,6.00,9.00,9.00,7.00,6.00,8.00,103,NULL,NULL,'MARIA LUIZA','CASCAVEL','PR',1128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5391679,6.00,3.00,3.00,5.00,4.00,9.38,0.00,3.00,3.00,104,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5391687,2.00,5.00,1.00,5.00,2.00,NULL,0.00,3.00,2.00,340,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5391709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'LINHA SANTA CRUZ','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(20,5391717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COIMBRA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5391725,2.00,3.00,1.00,4.00,7.00,NULL,2.00,4.00,0.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5391733,2.00,4.00,1.00,6.00,4.00,NULL,1.00,0.00,3.00,601,NULL,NULL,'PORTINHO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5391741,8.00,8.00,5.00,5.00,10.00,11.63,4.00,6.00,8.00,103,NULL,NULL,'JARDIM SOCIAL','TOLEDO','PR',1141,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5391750,3.00,3.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'CENTRO','MACHADINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5391776,2.00,5.00,1.00,2.00,2.00,NULL,1.00,1.00,3.00,652,NULL,653,'POLICIA RODOVIÁRIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5391784,4.00,3.00,2.00,6.00,3.00,NULL,2.00,0.00,1.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5391806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,429,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5391814,5.00,5.00,1.00,3.00,5.00,NULL,2.00,3.00,5.00,203,NULL,202,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5391822,5.00,7.00,4.00,6.00,8.00,7.88,2.00,3.00,7.00,216,NULL,201,'CENTRO','IVAIPORÃ','PR',7951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,208,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5391849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PAINEIAS','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5391857,7.00,6.00,3.00,4.00,8.00,10.50,2.00,3.00,6.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7882,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5391873,7.00,5.00,1.00,6.00,6.00,9.75,1.00,3.00,2.00,303,NULL,NULL,'ESTUARIO','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5391881,2.00,5.00,0.00,0.00,2.00,NULL,0.00,1.00,4.00,208,NULL,238,'SÃO LUIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391890,6.00,6.00,5.00,6.00,7.00,7.50,6.00,3.00,6.00,201,NULL,212,'PONTE DO IMARUIM','PALHOÇA','SC',4476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391903,1.00,4.00,2.00,1.00,5.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'CENTRO','COLOMBO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391911,7.00,6.00,3.00,5.00,7.00,9.38,2.00,2.00,6.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11427,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5391920,3.00,3.00,1.00,4.00,3.00,NULL,0.00,4.00,2.00,652,NULL,651,'SANTANA','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5391938,4.00,4.00,3.00,6.00,5.00,7.50,4.00,3.00,4.00,103,NULL,NULL,'STEFFEN','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5391946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5391954,6.00,7.00,4.00,7.00,7.00,10.13,4.00,6.00,5.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',6643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5391989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5392004,3.00,4.00,1.00,5.00,5.00,NULL,1.00,1.00,3.00,9,NULL,NULL,'CAMPO DO GADO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5392012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5392020,6.00,6.00,2.00,4.00,9.00,8.25,3.00,3.00,5.00,5,NULL,NULL,'VILA A','FOZ IGUAÇU','PR',10408,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5392039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,201,'CENTRO','ARROIO TRINTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5392047,5.00,5.00,2.00,6.00,6.00,6.75,0.00,1.00,4.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5392055,2.00,6.00,1.00,4.00,5.00,7.88,2.00,3.00,4.00,429,NULL,425,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5392063,5.00,4.00,2.00,4.00,6.00,8.63,1.00,4.00,2.00,5,NULL,NULL,'CENTRO','VENÂNCIO AIRES','RS',15293,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5392071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(20,5392080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5392098,3.00,4.00,3.00,4.00,5.00,NULL,0.00,2.00,4.00,211,NULL,203,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5392101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,233,'AGUDO ROMÃO','CATANDUVA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5392110,3.00,4.00,1.00,5.00,4.00,NULL,1.00,3.00,2.00,220,NULL,NULL,'AGRICULTURA','CAPANEMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5392144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5392152,8.00,7.00,2.00,6.00,7.00,10.13,2.00,5.00,5.00,424,NULL,425,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5392160,3.00,2.00,2.00,4.00,4.00,NULL,2.00,0.00,3.00,316,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5392187,3.00,5.00,0.00,2.00,6.00,NULL,0.00,1.00,4.00,319,NULL,NULL,'CENTRO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5392195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IBES','VL VELHA','ES',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5392209,1.00,2.00,1.00,4.00,4.00,NULL,0.00,4.00,2.00,203,NULL,201,'MIRIM','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5392217,3.00,6.00,2.00,4.00,5.00,NULL,1.00,2.00,2.00,332,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5392225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CHAPADA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5392233,4.00,6.00,5.00,6.00,7.00,8.25,1.00,6.00,5.00,233,NULL,201,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',8483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5392241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PERIOLO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5392284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'RINCÃO','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5392292,1.00,0.00,1.00,3.00,1.00,NULL,0.00,0.00,0.00,201,NULL,233,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5392306,1.00,3.00,0.00,2.00,2.00,NULL,1.00,1.00,2.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5392314,5.00,5.00,0.00,5.00,5.00,9.00,3.00,5.00,2.00,327,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',15485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5392322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'VILA FIGUEIREDO','RIO G SERRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5392330,5.00,6.00,2.00,6.00,7.00,NULL,0.00,5.00,4.00,501,NULL,NULL,'CENTRO','ARROIO TIGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5392357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5392365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5392373,8.00,7.00,4.00,4.00,8.00,8.63,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','CRUZEIRO OESTE','PR',3927,1823,NULL,NULL,NULL,NULL,NULL,2,4),(20,5392381,6.00,3.00,3.00,4.00,8.00,6.38,0.00,3.00,0.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',16194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5392390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM ITAMARATY','MOGI GUAÇU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5392411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'HORTO FLORESTAL','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5392420,5.00,8.00,2.00,5.00,6.00,8.63,3.00,4.00,5.00,331,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11979,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5392454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5392462,6.00,5.00,3.00,4.00,5.00,7.50,2.00,3.00,4.00,211,NULL,NULL,'CACHOIERA DO BOM JES','FLORIANÓPOLIS','SC',12949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5392470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5392489,3.00,0.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,215,NULL,653,'PRAIA PARAÍSO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(20,5392497,5.00,6.00,2.00,5.00,8.00,10.13,1.00,3.00,1.00,453,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5392500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5392527,2.00,5.00,3.00,3.00,6.00,NULL,2.00,2.00,2.00,415,NULL,NULL,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5392535,5.00,3.00,2.00,3.00,6.00,8.63,3.00,2.00,5.00,427,NULL,423,'ITACORUBI','FLORIANÓPOLIS','SC',15618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5392543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO PELEGRINO','VERANÓPOLIS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5392551,5.00,4.00,1.00,4.00,4.00,9.00,1.00,2.00,5.00,320,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',16166,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5392560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'LIMOEIRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5392578,6.00,6.00,4.00,6.00,5.00,7.50,4.00,2.00,5.00,202,NULL,220,'CENTRO','BAL CAMBORIÚ','SC',7925,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5392586,2.00,6.00,1.00,4.00,2.00,NULL,3.00,1.00,2.00,215,NULL,233,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5392608,2.00,4.00,0.00,5.00,4.00,NULL,0.00,1.00,1.00,423,NULL,424,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5392616,4.00,8.00,0.00,3.00,3.00,NULL,2.00,3.00,3.00,301,NULL,NULL,'CENTRO','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5392624,6.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CENTRO','COSMORAMA','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5392640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5392659,6.00,5.00,4.00,6.00,9.00,13.50,3.00,3.00,5.00,424,NULL,423,'RECREIO PANORAMA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5392667,7.00,6.00,2.00,6.00,8.00,10.13,3.00,4.00,5.00,303,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5392675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD ACLIMAÇÃO','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5392683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MOGI MIRIM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5392691,3.00,5.00,3.00,4.00,4.00,NULL,1.00,2.00,2.00,301,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5392705,3.00,6.00,3.00,2.00,4.00,NULL,0.00,2.00,4.00,426,NULL,421,'JARDIM CARANDAÍ','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5392713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5392721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,425,'CENTRO II','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5392730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'BRASIL','UBERLÂNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5392748,5.00,0.00,0.00,6.00,6.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BOA VISTA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(20,5392756,3.00,8.00,6.00,7.00,7.00,8.25,6.00,3.00,4.00,225,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',6717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5392764,4.00,6.00,1.00,3.00,5.00,8.25,2.00,1.00,4.00,108,NULL,NULL,'CENTRO','PTO ALEGRE','RS',15296,296,NULL,NULL,NULL,NULL,NULL,2,1),(20,5392772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5392780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'CASSIO REZENDE','UBERABA','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5392799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,601,'JARDIM SOFIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5392810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PERIOLO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5392829,3.00,8.00,2.00,0.00,5.00,9.38,2.00,2.00,5.00,201,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',13397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5392845,5.00,4.00,0.00,3.00,3.00,NULL,1.00,0.00,0.00,216,NULL,214,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5392853,3.00,6.00,1.00,2.00,4.00,NULL,0.00,2.00,4.00,3,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5392861,3.00,5.00,1.00,6.00,4.00,7.88,3.00,3.00,3.00,202,NULL,203,'CENTRO','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5392888,5.00,5.00,1.00,6.00,7.00,8.63,2.00,4.00,2.00,423,NULL,NULL,'BARREIROS','S JOSÉ','SC',12015,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5392896,3.00,2.00,2.00,2.00,2.00,NULL,2.00,2.00,4.00,211,NULL,212,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5392900,7.00,3.00,4.00,3.00,7.00,10.88,3.00,3.00,4.00,203,NULL,208,'CIDADE ALTA','ARARANGUÁ','SC',9663,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5392926,6.00,6.00,0.00,3.00,7.00,10.50,1.00,3.00,3.00,303,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',14835,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5392934,8.00,6.00,1.00,5.00,4.00,7.13,4.00,4.00,5.00,333,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',10281,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5392942,6.00,7.00,3.00,7.00,7.00,6.75,4.00,4.00,4.00,103,NULL,NULL,'TARUMÃ','CURITIBA','PR',7694,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5392950,7.00,4.00,1.00,5.00,9.00,7.50,2.00,2.00,5.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5392969,7.00,6.00,2.00,4.00,10.00,9.38,3.00,2.00,5.00,238,NULL,215,'CENTRO','S JOÃO SUL','SC',10699,207,NULL,220,NULL,NULL,NULL,2,5),(20,5392977,0.00,4.00,0.00,1.00,3.00,NULL,4.00,2.00,3.00,329,NULL,NULL,'CENTRO','JARDINÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5392985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5392993,4.00,5.00,0.00,2.00,7.00,NULL,0.00,1.00,4.00,652,NULL,653,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5393000,2.00,4.00,1.00,5.00,3.00,NULL,3.00,1.00,2.00,423,NULL,426,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5393019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'RINCÃO','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5393035,5.00,5.00,2.00,6.00,5.00,9.38,3.00,2.00,6.00,3,NULL,NULL,'OLÍMPICO','S CAETANO SUL','SP',10170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5393051,4.00,4.00,0.00,3.00,3.00,NULL,0.00,2.00,4.00,453,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5393060,5.00,7.00,2.00,3.00,9.00,6.75,3.00,4.00,2.00,108,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',12027,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5393078,5.00,6.00,3.00,3.00,4.00,NULL,0.00,1.00,1.00,404,NULL,NULL,'SÃO JOÃO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5393086,4.00,4.00,3.00,2.00,6.00,NULL,1.00,2.00,2.00,216,NULL,211,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5393094,2.00,2.00,0.00,5.00,4.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5393108,6.00,4.00,1.00,6.00,6.00,10.88,2.00,2.00,3.00,450,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',13144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5393116,9.00,6.00,2.00,5.00,8.00,10.88,4.00,5.00,5.00,104,NULL,NULL,'CENTRO','TUBARÃO','SC',5731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5393124,5.00,5.00,2.00,5.00,7.00,9.75,3.00,2.00,3.00,451,NULL,NULL,'SANTA AUGUSTA','CRICIÚMA','SC',13265,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5393132,4.00,4.00,3.00,5.00,4.00,NULL,2.00,0.00,3.00,216,NULL,215,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5393140,2.00,4.00,1.00,2.00,1.00,NULL,0.00,1.00,2.00,308,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5393167,5.00,7.00,4.00,4.00,8.00,9.00,2.00,0.00,7.00,108,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',9782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5393175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5393183,6.00,3.00,5.00,3.00,5.00,5.25,1.00,3.00,2.00,215,NULL,211,'CENTRO','S CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5393191,8.00,6.00,6.00,7.00,7.00,7.88,5.00,3.00,7.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',2823,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5393205,3.00,7.00,1.00,5.00,4.00,9.00,3.00,1.00,4.00,420,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',13805,116,NULL,NULL,NULL,NULL,NULL,4,1),(20,5393221,7.00,8.00,4.00,6.00,8.00,10.13,2.00,4.00,7.00,103,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',6818,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5393230,8.00,6.00,6.00,7.00,8.00,10.13,4.00,2.00,7.00,203,NULL,653,'CASCATA','PTO ALEGRE','RS',3344,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5393248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5393256,2.00,5.00,4.00,3.00,6.00,7.13,3.00,4.00,5.00,308,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5393264,5.00,8.00,4.00,7.00,9.00,9.38,3.00,5.00,5.00,5,NULL,NULL,'RAICHASKI','IÇARA','SC',4182,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5393272,7.00,3.00,0.00,5.00,7.00,7.13,1.00,1.00,3.00,319,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',14100,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5393280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,651,NULL,652,'CENTRO','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5393302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,203,'PONTE SECA','CARLOS BARBOSA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5393310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'CENTRO','SCHROEDER','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5393329,6.00,2.00,2.00,4.00,6.00,9.38,1.00,2.00,6.00,103,NULL,NULL,'PASSO D AREIA','PTO ALEGRE','RS',14659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5393337,5.00,5.00,1.00,5.00,6.00,9.75,0.00,3.00,3.00,404,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',14837,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5393345,5.00,6.00,1.00,6.00,6.00,6.75,3.00,4.00,5.00,238,NULL,208,'INTERIOR','S MIGUEL OESTE','SC',10825,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5393353,2.00,0.00,0.00,2.00,3.00,NULL,2.00,1.00,2.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5393361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'NOSSA SRA DE LOURDES','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5393370,4.00,6.00,2.00,7.00,6.00,9.38,1.00,3.00,2.00,207,NULL,NULL,'CENTRO','DR MAURÍCIO CARDOSO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5393388,4.00,5.00,3.00,7.00,7.00,0.00,4.00,2.00,3.00,103,NULL,NULL,'BANGU','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5393396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5393400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,427,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5393426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5393434,5.00,7.00,0.00,7.00,9.00,7.13,1.00,4.00,3.00,425,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5393442,5.00,8.00,0.00,5.00,7.00,8.63,3.00,3.00,4.00,233,NULL,208,'PONTE DO IMARUIM','PALHOÇA','SC',11990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5393450,4.00,6.00,1.00,6.00,7.00,9.75,2.00,1.00,5.00,303,NULL,NULL,'CENTRO','ITAJAÍ','SC',14088,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5393469,6.00,6.00,0.00,1.00,9.00,10.88,1.00,4.00,2.00,653,NULL,652,'SÃO LUIZ','SOMBRIO','SC',11925,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5393485,3.00,6.00,2.00,6.00,3.00,NULL,2.00,2.00,3.00,212,NULL,201,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5393493,7.00,4.00,1.00,6.00,5.00,9.38,3.00,3.00,4.00,108,NULL,NULL,'PETROPOLIS','CAXIAS SUL','RS',12460,221,NULL,NULL,NULL,NULL,NULL,2,1),(20,5393515,3.00,3.00,2.00,5.00,8.00,8.25,5.00,2.00,2.00,340,NULL,NULL,'IPIRANGA','S JOSÉ','SC',14839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5393523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'JARDIM SAO PAULO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5393540,0.00,5.00,0.00,0.00,5.00,NULL,1.00,4.00,6.00,216,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5393566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'BROOKLIN','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5393574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5393582,4.00,5.00,3.00,5.00,4.00,7.50,2.00,3.00,2.00,316,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',14907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5393590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,216,'PARQUE MUNHOZ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5393620,3.00,0.00,0.00,6.00,2.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'VILAS BOAS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5393639,4.00,6.00,4.00,6.00,8.00,9.00,3.00,3.00,3.00,103,NULL,NULL,'FIGUEIRA','URUSSANGA','SC',12052,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5393647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5393655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,208,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5393663,4.00,4.00,2.00,4.00,6.00,NULL,1.00,1.00,4.00,420,NULL,NULL,'CENTRO','RODEIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5393671,4.00,0.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'ROCIO PEQUENO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,8),(20,5393680,8.00,7.00,4.00,6.00,8.00,9.38,4.00,4.00,8.00,103,NULL,NULL,'DESVIO RIZZO','CAXIAS SUL','RS',3272,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5393698,4.00,1.00,1.00,2.00,4.00,NULL,1.00,2.00,4.00,451,NULL,NULL,'CENTRO','GR PARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5393701,7.00,4.00,1.00,7.00,6.00,8.25,2.00,5.00,5.00,340,NULL,NULL,'PINHEIROS','S PAULO','SP',9455,258,NULL,NULL,NULL,NULL,NULL,4,1),(20,5393710,4.00,4.00,2.00,4.00,7.00,NULL,0.00,3.00,3.00,207,NULL,211,'PENHA','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5393728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','SANANDUVA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5393744,5.00,7.00,2.00,2.00,6.00,7.88,3.00,6.00,6.00,3,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5393760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5393779,2.00,4.00,2.00,3.00,3.00,NULL,0.00,2.00,3.00,9,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5393787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(20,5393795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5393809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PRIMAVERA','BARRETOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5393817,5.00,6.00,0.00,7.00,6.00,NULL,1.00,3.00,3.00,320,NULL,NULL,'PQ DOM PEDRO I','ITATIBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5393825,6.00,5.00,5.00,5.00,8.00,11.25,4.00,3.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6781,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5393833,0.00,0.00,2.00,2.00,3.00,NULL,4.00,1.00,1.00,103,NULL,NULL,'JARDIM MINUANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5393841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'SAO FRANCISCO','AMPÉRE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5393850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'TRIANON','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5393868,9.00,6.00,6.00,6.00,6.00,10.50,6.00,5.00,7.00,220,NULL,202,'CENTRO','BAL CAMBORIÚ','SC',2127,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5393876,2.00,6.00,1.00,4.00,3.00,NULL,1.00,3.00,4.00,426,NULL,429,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5393884,2.00,7.00,1.00,7.00,3.00,NULL,3.00,5.00,2.00,340,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5393906,6.00,6.00,4.00,4.00,7.00,3.75,3.00,5.00,5.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5393914,3.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5393922,3.00,8.00,2.00,5.00,7.00,8.25,4.00,6.00,4.00,428,NULL,423,'BARREIROS','S JOSÉ','SC',10131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5393930,7.00,5.00,6.00,6.00,6.00,0.00,4.00,3.00,3.00,104,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5393949,5.00,6.00,2.00,7.00,6.00,9.38,1.00,5.00,3.00,207,NULL,201,'MOEMA','S PAULO','SP',10036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5393957,2.00,5.00,0.00,4.00,4.00,NULL,1.00,1.00,2.00,501,NULL,NULL,'SÃO CRISTÓVÃO','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5393965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5393981,2.00,3.00,0.00,3.00,7.00,NULL,3.00,1.00,2.00,216,NULL,203,'SÃO CRISTOVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5393990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FONTES','SOLEDADE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5394007,6.00,4.00,4.00,3.00,4.00,4.50,2.00,2.00,3.00,601,NULL,203,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5394015,8.00,7.00,3.00,6.00,6.00,9.38,2.00,5.00,5.00,215,NULL,211,'SANTO ANTONIO','JOINVILLE','SC',7156,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5394023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'JARDIM AMERICA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5394031,3.00,5.00,2.00,3.00,8.00,NULL,1.00,2.00,4.00,328,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5394058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,208,'MARIA IZABEL','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5394104,6.00,5.00,3.00,7.00,6.00,NULL,0.00,3.00,3.00,207,NULL,215,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5394112,2.00,4.00,0.00,3.00,4.00,NULL,4.00,3.00,1.00,335,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5394120,7.00,7.00,1.00,3.00,5.00,9.38,3.00,5.00,8.00,103,NULL,NULL,'JARDIM MARIA INÊS','APARECIDA GOIÂNIA','GO',7020,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5394139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ESCOLAR','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,'S','S','S',5,7),(20,5394147,4.00,1.00,1.00,2.00,4.00,NULL,1.00,1.00,3.00,335,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5394155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'GIORGIA PAULA','GARUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5394163,5.00,5.00,2.00,4.00,6.00,8.63,4.00,4.00,5.00,102,NULL,NULL,'NOVA ESPERANÇA','BAL CAMBORIÚ','SC',12220,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5394171,7.00,5.00,4.00,7.00,9.00,7.88,2.00,2.00,3.00,428,NULL,425,'KOBRASOL','S JOSÉ','SC',9611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5394180,5.00,5.00,3.00,5.00,5.00,9.38,1.00,5.00,5.00,451,NULL,NULL,'CENTRO','S THOMÉ LETRAS','MG',11127,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5394198,4.00,2.00,2.00,7.00,4.00,6.00,2.00,1.00,3.00,216,NULL,NULL,'VELHA','BLUMENAU','SC',16325,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5394201,6.00,5.00,6.00,7.00,10.00,7.88,6.00,2.00,4.00,450,NULL,NULL,'VILA ESTRELA','AMAMBAÍ','MS',6130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5394210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5394228,4.00,4.00,0.00,7.00,5.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','BASTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5394236,4.00,4.00,0.00,4.00,4.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'COLINA','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5394244,4.00,5.00,4.00,3.00,4.00,8.25,1.00,3.00,6.00,208,NULL,213,'CAMPINAS','S JOSÉ','SC',15056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5394252,2.00,5.00,0.00,3.00,2.00,NULL,2.00,1.00,2.00,420,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5394260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JUNQUEIRA','TATUÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5394279,8.00,6.00,3.00,7.00,7.00,7.88,3.00,3.00,5.00,216,NULL,215,'CENTRO','QUEDAS IGUAÇU','PR',6382,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5394287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5394295,4.00,7.00,3.00,4.00,4.00,4.88,1.00,2.00,4.00,208,NULL,238,'JD CIDADE DE FLORIAN','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5394309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(20,5394317,9.00,7.00,3.00,7.00,7.00,9.00,5.00,2.00,8.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5394325,3.00,3.00,0.00,5.00,2.00,NULL,3.00,4.00,3.00,427,NULL,NULL,'PRAIA DOS INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5394333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COPAS VERDES','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5394341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GRAMADO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5394350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'BROOKLIN','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5394368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'BAIRRO CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5394376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CERQUEIRA CÉSAR','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5394384,7.00,6.00,6.00,6.00,5.00,7.50,2.00,5.00,5.00,450,NULL,NULL,'TABULEIRO','CAMBORIÚ','SC',9588,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5394392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,216,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5394406,8.00,6.00,6.00,6.00,8.00,7.13,4.00,7.00,7.00,104,NULL,NULL,'CENTRO','CURITIBANOS','SC',3396,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5394414,2.00,5.00,0.00,5.00,6.00,NULL,1.00,6.00,3.00,450,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5394422,2.00,5.00,3.00,4.00,4.00,NULL,1.00,2.00,1.00,316,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5394449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5394457,5.00,5.00,2.00,7.00,7.00,10.13,2.00,1.00,6.00,103,NULL,NULL,'CENTRO','XAXIM','SC',10930,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5394465,3.00,3.00,0.00,2.00,3.00,NULL,0.00,1.00,2.00,340,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5394481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','CPO BOM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5394490,5.00,6.00,3.00,4.00,9.00,9.75,2.00,1.00,4.00,428,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12969,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5394503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,207,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5394511,3.00,4.00,0.00,3.00,5.00,NULL,1.00,2.00,3.00,340,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5394546,4.00,5.00,0.00,4.00,2.00,NULL,0.00,4.00,3.00,339,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5394554,2.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5394570,7.00,6.00,1.00,3.00,5.00,0.00,1.00,2.00,6.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5394589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,NULL,'JARDIM LIBERDADE II','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5394597,6.00,5.00,1.00,3.00,9.00,7.50,2.00,2.00,5.00,207,NULL,211,'INGLESES','FLORIANÓPOLIS','SC',11621,556,NULL,361,NULL,NULL,NULL,2,1),(20,5394600,7.00,7.00,4.00,6.00,6.00,7.50,4.00,3.00,8.00,233,NULL,211,'SÃO FRANCISCO','BENTO GONÇALVES','RS',5412,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5394619,2.00,3.00,0.00,3.00,4.00,NULL,2.00,3.00,2.00,415,NULL,NULL,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5394643,9.00,6.00,2.00,5.00,7.00,11.25,7.00,4.00,7.00,103,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',2842,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5394651,4.00,4.00,2.00,3.00,3.00,NULL,2.00,2.00,5.00,320,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5394660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','NOVA ERECHIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5394678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'BAIXADA FLUMINENSE','URUSSANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5394686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CENTRO','PALMA SOLA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5394694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM IGUAÇU','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5394708,4.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'ESPIRITO SANTO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5394716,4.00,5.00,1.00,7.00,6.00,10.50,3.00,4.00,4.00,424,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5394724,4.00,4.00,2.00,2.00,5.00,8.63,2.00,2.00,6.00,234,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',14023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5394740,6.00,7.00,4.00,7.00,8.00,12.00,2.00,3.00,5.00,203,NULL,653,'AGRONÔMICA','FLORIANÓPOLIS','SC',6566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5394759,7.00,2.00,2.00,0.00,8.00,NULL,2.00,3.00,8.00,103,NULL,NULL,'SAO CRISTOVAO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5394767,2.00,6.00,4.00,6.00,6.00,9.75,2.00,3.00,6.00,103,NULL,NULL,'MERCES','CURITIBA','PR',9193,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5394775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,653,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5394783,6.00,6.00,1.00,6.00,6.00,8.63,1.00,4.00,4.00,429,NULL,425,'JARDIM UNIVERSITÁRIO','MARINGÁ','PR',12608,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5394805,4.00,0.00,1.00,5.00,6.00,NULL,0.00,1.00,1.00,103,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5394821,3.00,5.00,1.00,2.00,3.00,NULL,0.00,1.00,3.00,320,NULL,NULL,'INDAIÁ','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5394848,4.00,6.00,4.00,5.00,6.00,8.63,2.00,1.00,4.00,316,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13786,204,NULL,NULL,NULL,NULL,NULL,2,1),(20,5394856,2.00,4.00,0.00,3.00,3.00,NULL,0.00,2.00,2.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5394864,7.00,5.00,1.00,6.00,7.00,10.50,1.00,2.00,5.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10071,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5394872,6.00,7.00,6.00,7.00,8.00,8.25,5.00,6.00,5.00,316,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',3075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5394899,6.00,5.00,1.00,4.00,9.00,7.50,2.00,4.00,3.00,207,NULL,211,'BAIRRO GÁVEA','JACINTO MACHADO','SC',12679,596,NULL,394,NULL,NULL,NULL,2,15),(20,5394910,5.00,6.00,1.00,6.00,5.00,9.38,1.00,5.00,5.00,340,NULL,NULL,'CENTRO','XANXERÊ','SC',11789,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5394929,4.00,4.00,2.00,6.00,7.00,9.75,1.00,2.00,4.00,316,NULL,NULL,'CENTRO','CRICIÚMA','SC',15035,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5394937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SANTA FÉ','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5394988,4.00,5.00,1.00,5.00,4.00,6.38,3.00,4.00,4.00,310,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5394996,3.00,4.00,2.00,5.00,6.00,6.75,3.00,2.00,6.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15965,121,NULL,NULL,NULL,NULL,NULL,2,1),(20,5395003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SANTA ROSA','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5395011,2.00,4.00,2.00,4.00,5.00,NULL,1.00,2.00,2.00,304,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5395038,7.00,8.00,4.00,8.00,7.00,7.88,6.00,4.00,5.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395046,2.00,6.00,2.00,4.00,5.00,NULL,0.00,1.00,1.00,211,NULL,601,'JARDIM HANTSCHEL','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5395054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5395070,2.00,5.00,4.00,6.00,6.00,10.50,2.00,2.00,3.00,303,NULL,NULL,'CENTRO','CHAPADA','RS',11584,473,NULL,NULL,NULL,NULL,NULL,2,4),(20,5395089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,216,'EMBARÉ','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5395097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5395100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM CLARET','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5395119,7.00,7.00,3.00,1.00,6.00,8.63,1.00,2.00,3.00,208,NULL,601,'BELA VISTA I','S JOSÉ','SC',13975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5395151,2.00,5.00,5.00,4.00,5.00,6.00,3.00,3.00,2.00,213,NULL,212,'BOA VISTA','RIO SUL','SC',16044,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5395160,6.00,3.00,0.00,5.00,2.00,NULL,0.00,2.00,1.00,207,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5395186,6.00,6.00,2.00,6.00,8.00,9.38,1.00,3.00,7.00,104,NULL,NULL,'CENTRO','DIONÍSIO CERQUEIRA','SC',7953,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5395194,1.00,0.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,215,NULL,216,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5395216,2.00,5.00,0.00,1.00,4.00,NULL,0.00,3.00,2.00,329,NULL,NULL,'INDAIÁ','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395224,1.00,2.00,4.00,6.00,4.00,NULL,3.00,3.00,2.00,404,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395240,5.00,6.00,5.00,6.00,5.00,8.63,5.00,3.00,7.00,340,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',7007,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5395259,3.00,7.00,1.00,2.00,5.00,9.00,1.00,2.00,4.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395267,4.00,4.00,2.00,3.00,6.00,NULL,0.00,1.00,3.00,444,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5395291,3.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(20,5395305,2.00,3.00,3.00,5.00,6.00,6.75,3.00,5.00,5.00,451,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',15406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395313,8.00,6.00,5.00,7.00,9.00,10.50,5.00,5.00,3.00,235,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',3267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'SÃO PEDRO','GUABIRUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5395330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'GRAMADO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5395348,2.00,7.00,0.00,2.00,2.00,NULL,3.00,2.00,1.00,653,NULL,203,'SANTO ANJO DA GUARDA','TRÊS CACHOEIRAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5395356,3.00,5.00,1.00,7.00,5.00,6.00,0.00,2.00,3.00,103,NULL,NULL,'JARDIM PARANÁ','TOLEDO','PR',15047,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5395380,9.00,6.00,4.00,7.00,7.00,9.75,4.00,6.00,5.00,453,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',3812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395402,5.00,5.00,1.00,6.00,7.00,8.25,2.00,3.00,5.00,9,NULL,NULL,'CENTRO','S BENTO SUL','SC',11956,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5395410,5.00,6.00,2.00,6.00,8.00,8.63,2.00,3.00,4.00,207,NULL,201,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',10913,524,NULL,805,NULL,NULL,NULL,4,1),(20,5395429,1.00,8.00,2.00,4.00,7.00,8.63,3.00,3.00,4.00,303,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',14818,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5395437,8.00,5.00,7.00,6.00,8.00,8.25,2.00,3.00,7.00,103,NULL,NULL,'ENTRE RIOS','JORDÃOZINHO','PR',4245,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(20,5395445,7.00,5.00,2.00,5.00,5.00,7.88,3.00,5.00,4.00,238,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',13400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395461,3.00,6.00,0.00,7.00,4.00,9.00,1.00,3.00,2.00,310,NULL,NULL,'CÓRREGO GRNADE','FLORIANÓPOLIS','SC',16096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395470,9.00,0.00,6.00,7.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5395488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'VILA CLAUDIA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5395500,5.00,5.00,4.00,4.00,5.00,NULL,0.00,1.00,4.00,302,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5395518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,235,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5395534,2.00,6.00,4.00,1.00,2.00,NULL,2.00,2.00,2.00,201,NULL,601,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,207,'VILA GOMES','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5395550,8.00,7.00,5.00,5.00,8.00,10.50,4.00,4.00,6.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',2962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5395577,3.00,4.00,0.00,5.00,5.00,NULL,2.00,4.00,3.00,601,NULL,207,'CENTRO','DIONÍSIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5395585,5.00,5.00,3.00,7.00,6.00,8.25,3.00,5.00,4.00,201,NULL,212,'MONTE VERDE','FLORIANÓPOLIS','SC',10516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395593,8.00,5.00,1.00,6.00,6.00,7.50,0.00,2.00,4.00,211,NULL,233,'VILA EMA','S JOSÉ CAMPOS','SP',10686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VILA METALURGICA','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5395623,3.00,3.00,1.00,3.00,3.00,NULL,0.00,0.00,3.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395631,5.00,4.00,1.00,5.00,7.00,10.88,0.00,4.00,3.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA MARIO','S LUIZ GONZAGA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5395658,7.00,7.00,7.00,7.00,10.00,7.50,4.00,5.00,8.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',1301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395666,6.00,6.00,4.00,7.00,9.00,10.88,2.00,4.00,6.00,103,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',3872,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5395674,7.00,7.00,3.00,8.00,7.00,9.38,2.00,5.00,7.00,103,NULL,NULL,'JARDIM PRIMAVERA','CUIABÁ','MT',4019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MONTEIRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5395704,3.00,6.00,2.00,2.00,6.00,NULL,2.00,1.00,0.00,340,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5395712,1.00,2.00,2.00,1.00,4.00,NULL,0.00,1.00,3.00,104,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395720,2.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,5.00,207,NULL,233,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5395739,2.00,4.00,1.00,3.00,5.00,NULL,0.00,3.00,1.00,318,NULL,NULL,'GRANJA','CACHOEIRINHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5395755,1.00,3.00,0.00,6.00,7.00,NULL,1.00,1.00,4.00,104,NULL,NULL,'JARDIM LINDÓIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5395763,0.00,2.00,1.00,0.00,2.00,NULL,2.00,1.00,3.00,503,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CENTRO','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5395798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'SÃO SEBASTIÃO','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5395810,2.00,5.00,3.00,3.00,2.00,NULL,3.00,2.00,4.00,203,NULL,201,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5395828,7.00,6.00,3.00,7.00,8.00,9.75,0.00,4.00,4.00,202,NULL,213,'PENHA','IJUÍ','RS',5910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PIRITUBA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5395844,4.00,2.00,0.00,1.00,3.00,NULL,2.00,3.00,2.00,333,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5395852,4.00,5.00,2.00,3.00,7.00,NULL,1.00,1.00,2.00,108,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5395879,7.00,6.00,3.00,6.00,8.00,9.00,3.00,2.00,4.00,421,NULL,425,'CACUPÉ','FLORIANÓPOLIS','SC',10138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395887,2.00,3.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,215,NULL,201,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5395909,2.00,3.00,2.00,1.00,5.00,NULL,2.00,0.00,1.00,451,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5395917,9.00,5.00,4.00,5.00,6.00,7.50,2.00,1.00,4.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',9642,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5395925,2.00,6.00,2.00,3.00,8.00,7.50,3.00,3.00,4.00,340,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',13392,381,NULL,NULL,NULL,NULL,NULL,4,1),(20,5395933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5395950,4.00,3.00,1.00,4.00,3.00,NULL,1.00,3.00,4.00,319,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5395968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JD MONTE CARLO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5395984,7.00,4.00,2.00,4.00,7.00,10.88,2.00,4.00,4.00,103,NULL,NULL,'PQ EDU CHAVES','S PAULO','SP',10444,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5395992,0.00,4.00,0.00,5.00,3.00,NULL,2.00,1.00,1.00,102,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5396000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'MONT SERRAT','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5396026,6.00,7.00,2.00,7.00,8.00,10.88,1.00,4.00,4.00,426,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8189,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5396034,6.00,6.00,4.00,5.00,7.00,9.75,5.00,3.00,6.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',5440,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5396042,9.00,6.00,1.00,4.00,5.00,6.75,4.00,3.00,3.00,104,NULL,NULL,'CENTRO','PARANAVAÍ','PR',10841,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5396069,5.00,6.00,3.00,2.00,7.00,7.13,6.00,2.00,5.00,203,NULL,201,'VILA IPIRANGA','LONDRINA','PR',12329,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5396077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,207,'CENTRO','UBIRETAMA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5396115,3.00,5.00,3.00,7.00,7.00,8.63,2.00,3.00,3.00,104,NULL,NULL,'CENTRO','CHAPECÓ','SC',13860,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5396140,6.00,6.00,2.00,2.00,6.00,7.50,2.00,2.00,4.00,208,NULL,238,'PASSA VINTE','PALHOÇA','SC',11914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5396158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5396166,3.00,6.00,5.00,3.00,3.00,NULL,0.00,2.00,5.00,301,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5396174,3.00,2.00,0.00,4.00,3.00,NULL,1.00,2.00,1.00,308,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5396182,4.00,4.00,2.00,5.00,5.00,7.88,0.00,4.00,3.00,415,NULL,NULL,'CENTRO','ITAJAÍ','SC',14933,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5396190,6.00,6.00,0.00,3.00,9.00,NULL,2.00,2.00,5.00,303,NULL,NULL,'VILA ALEMANHA','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5396204,7.00,6.00,1.00,5.00,9.00,7.13,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',10010,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5396220,4.00,5.00,0.00,3.00,6.00,NULL,2.00,2.00,4.00,319,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5396239,2.00,6.00,1.00,3.00,6.00,NULL,0.00,1.00,4.00,601,NULL,653,'SANGA DA AREIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5396247,7.00,8.00,2.00,5.00,7.00,9.38,2.00,3.00,3.00,415,NULL,NULL,'FORTALEZA','BLUMENAU','SC',12062,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5396271,6.00,6.00,7.00,7.00,8.00,9.38,5.00,1.00,8.00,203,NULL,201,'MATO PRETO','S BENTO SUL','SC',3017,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5396280,4.00,6.00,1.00,6.00,6.00,10.50,1.00,2.00,6.00,103,NULL,NULL,'PARAISO DAS AVES','S RAIMUNDO NONATO','PI',13152,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5396298,8.00,6.00,6.00,3.00,5.00,7.50,3.00,4.00,5.00,208,NULL,203,'VILA FELIZ','ALM TAMANDARÉ','PR',7272,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5396310,3.00,5.00,1.00,3.00,5.00,NULL,2.00,2.00,5.00,420,NULL,NULL,'CENTRO','CANDELÁRIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5396328,3.00,1.00,0.00,1.00,3.00,NULL,1.00,1.00,2.00,303,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5396344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'RURAL','MERCEDES','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5396352,7.00,6.00,3.00,6.00,7.00,9.38,3.00,3.00,5.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',8163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5396379,5.00,3.00,3.00,4.00,4.00,6.75,1.00,0.00,5.00,203,NULL,215,'TAVEIROPOLIS','CPO GRANDE','MS',16256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5396387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'NOSSA SENHORA DE FÁT','BARRACÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5396395,7.00,4.00,3.00,3.00,6.00,7.13,3.00,3.00,5.00,653,NULL,651,'COLONINHA','ARARANGUÁ','SC',14226,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5396409,1.00,4.00,0.00,5.00,4.00,NULL,2.00,0.00,3.00,201,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5396417,8.00,5.00,1.00,6.00,7.00,7.88,3.00,2.00,4.00,203,NULL,220,'CENTRO','S LUDGERO','SC',9507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5396425,3.00,4.00,0.00,0.00,3.00,NULL,1.00,3.00,2.00,102,NULL,NULL,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5396450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5396476,5.00,5.00,5.00,5.00,4.00,9.00,3.00,2.00,1.00,415,NULL,NULL,'HIGIENOPOLIS','PTO ALEGRE','RS',13142,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5396484,3.00,6.00,1.00,3.00,4.00,9.38,0.00,3.00,6.00,318,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',15480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5396506,2.00,2.00,0.00,3.00,4.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'CENTRO','PELOTAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5396514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BOSQUE DA SAÚDE','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5396522,7.00,5.00,0.00,8.00,8.00,NULL,2.00,4.00,4.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5396530,6.00,6.00,7.00,6.00,4.00,9.75,2.00,1.00,4.00,304,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5396557,4.00,4.00,0.00,4.00,7.00,NULL,2.00,2.00,2.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5396565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CIDADE JARDIM','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5396573,3.00,4.00,2.00,0.00,3.00,NULL,2.00,2.00,3.00,453,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5396603,5.00,5.00,1.00,4.00,6.00,NULL,1.00,2.00,1.00,303,NULL,NULL,'RIO TAVAREZ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5396611,6.00,7.00,3.00,7.00,6.00,7.88,1.00,3.00,5.00,303,NULL,NULL,'VALVERDE','VERANÓPOLIS','RS',7298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5396620,0.00,3.00,0.00,2.00,1.00,NULL,0.00,3.00,0.00,333,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5396638,7.00,3.00,1.00,7.00,7.00,7.13,5.00,4.00,4.00,215,NULL,NULL,'BUCAREIN','JOINVILLE','SC',8549,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5396646,6.00,7.00,1.00,4.00,6.00,6.00,2.00,1.00,4.00,502,NULL,NULL,'CENTRO','CASCAVEL','PR',12416,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5396654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5396662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTRADA NOVA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5396670,4.00,6.00,3.00,5.00,4.00,7.13,1.00,3.00,7.00,303,NULL,NULL,'CENTRO','PARANAVAÍ','PR',10433,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5396689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PQ RENATO MAIA','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5396697,7.00,7.00,2.00,7.00,5.00,7.13,2.00,6.00,3.00,651,NULL,652,'CIDADE ALTA','ARARANGUÁ','SC',11354,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5396727,6.00,5.00,2.00,7.00,3.00,NULL,4.00,3.00,6.00,104,NULL,NULL,'DUQUE DE CAXIAS','CUIABÁ','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5396743,6.00,2.00,3.00,4.00,3.00,NULL,2.00,2.00,4.00,420,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5396751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5396760,4.00,5.00,4.00,5.00,5.00,9.00,0.00,3.00,4.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',10893,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5396778,3.00,0.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(20,5396786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5396794,4.00,6.00,1.00,4.00,7.00,8.25,4.00,2.00,2.00,316,NULL,NULL,'PARTENON','PTO ALEGRE','RS',11828,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5396808,5.00,5.00,3.00,3.00,5.00,4.88,1.00,2.00,3.00,9,NULL,NULL,'PQ JOAO RAMALHO','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5396816,3.00,5.00,2.00,3.00,5.00,NULL,0.00,1.00,2.00,404,NULL,NULL,'INTERIOR','BELMONTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5396824,6.00,7.00,2.00,5.00,9.00,7.88,1.00,5.00,4.00,318,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9082,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5396840,7.00,5.00,1.00,5.00,6.00,8.63,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','TELÊMACO BORBA','PR',12190,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5396859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5396867,7.00,7.00,4.00,6.00,7.00,7.88,3.00,4.00,6.00,103,NULL,NULL,'JARDIM BELA VISTA','ITAPIRANGA','SC',7469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5396875,6.00,7.00,4.00,4.00,5.00,9.75,2.00,3.00,5.00,201,NULL,207,'GARCIA','BLUMENAU','SC',8595,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5396883,4.00,4.00,1.00,1.00,3.00,NULL,0.00,2.00,3.00,102,NULL,NULL,'CENTRO','MASSARANDUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5396891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(20,5396905,1.00,5.00,2.00,5.00,4.00,NULL,2.00,2.00,3.00,202,NULL,235,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5396913,7.00,7.00,2.00,4.00,1.00,NULL,4.00,3.00,8.00,601,NULL,203,'INCONFIDENTES','CONTAGEM','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5396921,7.00,9.00,1.00,7.00,7.00,9.38,1.00,6.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',9284,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5396930,4.00,5.00,1.00,5.00,4.00,6.75,3.00,2.00,2.00,9,NULL,NULL,'POMERANOS','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5396956,2.00,4.00,1.00,3.00,5.00,NULL,2.00,2.00,4.00,318,NULL,NULL,'SANTA CLARA','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5396964,5.00,6.00,3.00,7.00,6.00,8.25,5.00,5.00,5.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5396972,5.00,4.00,3.00,5.00,5.00,8.25,1.00,1.00,3.00,303,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',15521,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5397006,5.00,7.00,3.00,6.00,7.00,10.13,1.00,2.00,3.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5397014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','VERANÓPOLIS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5397022,4.00,6.00,3.00,3.00,4.00,7.13,2.00,4.00,2.00,211,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5397030,3.00,5.00,3.00,4.00,3.00,NULL,2.00,2.00,5.00,324,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397049,3.00,7.00,2.00,1.00,5.00,NULL,1.00,4.00,3.00,5,NULL,NULL,'RIO TAVAREZ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397073,4.00,4.00,3.00,5.00,5.00,7.13,2.00,3.00,2.00,9,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5397081,4.00,4.00,2.00,3.00,5.00,NULL,1.00,2.00,4.00,429,NULL,427,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397090,5.00,5.00,4.00,5.00,7.00,10.88,4.00,5.00,6.00,203,NULL,202,'CERÂMICA','ERECHIM','RS',5306,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5397103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5397120,5.00,4.00,1.00,5.00,4.00,9.75,5.00,3.00,5.00,103,NULL,NULL,'MARIA GORETTI','BENTO GONÇALVES','RS',11229,3329,NULL,NULL,NULL,NULL,NULL,2,9),(20,5397138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5397154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','UBIRETAMA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5397162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5397170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'COQUEIRAL','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5397197,5.00,4.00,2.00,4.00,3.00,NULL,1.00,2.00,4.00,102,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5397200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5397219,5.00,5.00,2.00,5.00,5.00,7.88,3.00,5.00,3.00,324,NULL,NULL,'PAES LEME','IMBITUBA','SC',15301,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SÃO LUIS','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5397251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,601,'JARDIN JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5397260,7.00,5.00,0.00,5.00,5.00,8.63,3.00,4.00,7.00,3,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',11455,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397278,7.00,7.00,5.00,7.00,9.00,7.50,3.00,5.00,7.00,301,NULL,NULL,'CENTRO','PALHOÇA','SC',3805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5397294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'PQ RENATO MAIA','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5397308,3.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(20,5397340,7.00,7.00,5.00,7.00,6.00,9.00,4.00,4.00,6.00,501,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5397367,3.00,6.00,2.00,5.00,2.00,NULL,2.00,2.00,3.00,302,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397375,4.00,3.00,2.00,3.00,8.00,NULL,1.00,2.00,3.00,223,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397383,5.00,7.00,3.00,5.00,5.00,8.25,3.00,6.00,4.00,225,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5397391,4.00,4.00,2.00,5.00,5.00,8.25,3.00,2.00,4.00,303,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',15330,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5397405,3.00,2.00,1.00,7.00,3.00,NULL,2.00,1.00,3.00,601,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5397421,3.00,5.00,2.00,3.00,4.00,NULL,2.00,1.00,2.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397430,3.00,5.00,2.00,4.00,4.00,NULL,0.00,1.00,3.00,201,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5397448,3.00,5.00,2.00,4.00,5.00,NULL,2.00,1.00,3.00,104,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5397456,3.00,4.00,1.00,3.00,5.00,NULL,1.00,3.00,4.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5397464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM VALPARAIBA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5397472,7.00,7.00,6.00,6.00,8.00,9.75,3.00,5.00,4.00,336,NULL,NULL,'OFICINAS','TUBARÃO','SC',6246,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5397480,3.00,5.00,2.00,2.00,2.00,NULL,0.00,2.00,3.00,501,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397499,5.00,5.00,1.00,3.00,3.00,NULL,1.00,4.00,2.00,201,NULL,212,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5397510,5.00,7.00,2.00,4.00,7.00,NULL,0.00,1.00,5.00,503,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397529,6.00,5.00,2.00,5.00,7.00,9.75,2.00,4.00,2.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5397545,7.00,7.00,1.00,3.00,7.00,6.38,4.00,1.00,6.00,214,NULL,212,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',10588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5397561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'FIUZA LIMA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(20,5397570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5397588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5397596,6.00,7.00,2.00,4.00,5.00,9.00,0.00,1.00,3.00,316,NULL,NULL,'REAL PARK','S JOSÉ','SC',15760,247,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,216,'INTERRIOR','CANDELÁRIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5397618,3.00,5.00,3.00,4.00,6.00,8.63,3.00,3.00,4.00,310,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM SAO DIMAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5397634,4.00,7.00,5.00,5.00,10.00,7.50,5.00,5.00,6.00,601,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',5507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JD PETRAGLIA','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5397669,3.00,6.00,2.00,6.00,5.00,10.50,2.00,5.00,5.00,503,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13168,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397677,5.00,3.00,2.00,6.00,4.00,3.75,0.00,2.00,2.00,202,NULL,235,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5397693,5.00,4.00,1.00,3.00,3.00,NULL,1.00,3.00,4.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5397715,6.00,6.00,5.00,7.00,8.00,8.25,4.00,4.00,5.00,303,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',4894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5397723,5.00,5.00,1.00,2.00,5.00,8.63,3.00,3.00,2.00,103,NULL,NULL,'BELA VISTA','IBIRAMA','SC',15360,3783,NULL,NULL,NULL,NULL,NULL,4,2),(20,5397731,2.00,5.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,102,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5397758,6.00,6.00,2.00,6.00,10.00,10.88,5.00,5.00,4.00,426,NULL,423,'CENTRO','PALHOÇA','SC',5399,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5397774,5.00,6.00,2.00,6.00,6.00,10.88,3.00,3.00,4.00,238,NULL,651,'ITACORUBI','FLORIANÓPOLIS','SC',10426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5397782,6.00,7.00,4.00,6.00,9.00,12.38,3.00,7.00,6.00,310,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5397790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5397804,1.00,4.00,0.00,4.00,3.00,NULL,1.00,1.00,4.00,404,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397839,1.00,3.00,2.00,0.00,3.00,NULL,1.00,2.00,3.00,203,NULL,214,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5397847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BALNEARIO DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5397863,4.00,1.00,3.00,6.00,6.00,NULL,2.00,4.00,1.00,318,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,215,'JARDIM SÃO PAULO','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5397898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5397901,2.00,5.00,0.00,3.00,4.00,NULL,2.00,3.00,2.00,214,NULL,211,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397910,4.00,5.00,0.00,2.00,5.00,NULL,2.00,3.00,1.00,301,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5397928,1.00,3.00,2.00,2.00,7.00,NULL,1.00,1.00,2.00,211,NULL,215,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5397936,6.00,6.00,0.00,7.00,7.00,NULL,2.00,4.00,4.00,303,NULL,NULL,'BROOKLIN NOVO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5397944,6.00,6.00,0.00,6.00,8.00,7.88,2.00,4.00,4.00,220,NULL,235,'JARDIM GUANABARA','RONDONÓPOLIS','MT',11110,312,NULL,NULL,NULL,NULL,NULL,4,1),(20,5397952,7.00,8.00,5.00,7.00,5.00,7.88,4.00,2.00,5.00,103,NULL,NULL,'JARDIM VILA MARIANA','S PAULO','SP',5339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5397960,2.00,5.00,0.00,2.00,5.00,NULL,0.00,3.00,4.00,201,NULL,207,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5397979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5397987,7.00,8.00,4.00,7.00,7.00,7.88,7.00,5.00,8.00,318,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2731,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5397995,0.00,4.00,1.00,3.00,5.00,NULL,2.00,2.00,0.00,233,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398010,9.00,6.00,6.00,6.00,6.00,7.88,5.00,3.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',4771,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5398029,6.00,7.00,2.00,7.00,6.00,9.00,2.00,3.00,7.00,220,NULL,235,'CENTRO','CPO ALEGRE','SC',8851,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5398045,7.00,7.00,5.00,7.00,9.00,12.00,6.00,4.00,5.00,233,NULL,235,'INGLESES','FLORIANÓPOLIS','SC',2076,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5398053,3.00,4.00,2.00,2.00,3.00,NULL,0.00,1.00,3.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5398061,3.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'RIO DOS INDIOS','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(20,5398070,5.00,3.00,0.00,3.00,5.00,NULL,0.00,2.00,2.00,109,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398088,6.00,8.00,3.00,7.00,7.00,10.88,2.00,4.00,5.00,235,NULL,238,'AMIZADE','JARAGUÁ SUL','SC',5596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'SANTO ANTÔNIO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(20,5398100,6.00,4.00,4.00,7.00,7.00,6.00,2.00,3.00,3.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',12937,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5398118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','CATANDUVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5398134,3.00,8.00,0.00,5.00,5.00,7.50,2.00,1.00,4.00,208,NULL,203,'CACHOEIRAS','BIGUAÇU','SC',15643,461,NULL,958,NULL,NULL,NULL,4,1),(20,5398142,7.00,5.00,1.00,4.00,7.00,8.25,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',10641,3253,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5398177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CONCEIÇÃO LEITE','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5398185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5398193,7.00,9.00,5.00,7.00,11.00,10.50,2.00,5.00,7.00,216,NULL,215,'VILA NOVA','BLUMENAU','SC',2051,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5398207,5.00,0.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(20,5398215,5.00,6.00,5.00,7.00,9.00,7.88,6.00,5.00,6.00,203,NULL,214,'PANTANAL','FLORIANÓPOLIS','SC',3438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398223,2.00,3.00,1.00,4.00,2.00,NULL,1.00,2.00,3.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5398231,4.00,6.00,2.00,5.00,4.00,9.38,2.00,2.00,4.00,208,NULL,238,'PANTANAL','FLORIANÓPOLIS','SC',15540,453,NULL,402,NULL,NULL,NULL,2,1),(20,5398240,5.00,6.00,1.00,5.00,9.00,7.50,0.00,4.00,4.00,103,NULL,NULL,'KENNEDY','SARANDI','RS',13117,3539,NULL,NULL,NULL,NULL,NULL,2,4),(20,5398258,6.00,7.00,4.00,7.00,9.00,7.13,3.00,5.00,6.00,201,NULL,212,'BROOKLIN NOVO','S PAULO','SP',4759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398266,3.00,5.00,1.00,2.00,2.00,NULL,2.00,2.00,2.00,3,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5398274,4.00,5.00,3.00,5.00,6.00,7.50,1.00,6.00,1.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5398312,4.00,6.00,4.00,7.00,4.00,8.63,2.00,2.00,4.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',12933,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5398320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5398339,6.00,7.00,3.00,7.00,9.00,9.00,5.00,5.00,6.00,310,NULL,NULL,'VILA MARIANA','S PAULO','SP',4327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398355,8.00,6.00,5.00,6.00,6.00,9.75,3.00,5.00,7.00,317,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',4975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398363,5.00,5.00,0.00,6.00,6.00,8.63,2.00,4.00,5.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5398380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5398398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SÃO BENEDITO','S JOÃO B VISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5398401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JARDIM ICARAÍ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5398428,5.00,4.00,1.00,6.00,5.00,NULL,0.00,2.00,2.00,340,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5398436,7.00,7.00,1.00,8.00,6.00,10.50,0.00,5.00,5.00,453,NULL,NULL,'IPIRANGA','S JOSÉ','SC',7965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398444,5.00,5.00,3.00,4.00,3.00,NULL,4.00,2.00,5.00,213,NULL,201,'CENTRO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5398460,1.00,2.00,1.00,3.00,4.00,NULL,1.00,2.00,1.00,452,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5398479,3.00,3.00,1.00,3.00,2.00,NULL,2.00,0.00,0.00,404,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5398487,4.00,4.00,3.00,5.00,4.00,7.88,2.00,2.00,2.00,452,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5398495,2.00,4.00,1.00,4.00,6.00,NULL,0.00,1.00,2.00,2,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5398509,4.00,4.00,4.00,5.00,4.00,9.00,3.00,1.00,5.00,327,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5398517,2.00,5.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,303,NULL,NULL,'COMBATÁ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398525,3.00,4.00,2.00,6.00,3.00,NULL,1.00,0.00,5.00,444,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5398541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5398568,8.00,6.00,3.00,6.00,7.00,7.50,3.00,5.00,4.00,201,NULL,601,'BELA VISTA','RIO NEGRINHO','SC',7456,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5398576,8.00,6.00,3.00,7.00,8.00,10.13,5.00,4.00,6.00,215,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',4572,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(20,5398584,5.00,5.00,1.00,6.00,7.00,10.13,0.00,3.00,3.00,450,NULL,NULL,'CAMPO BELO','S PAULO','SP',11856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398592,4.00,4.00,1.00,3.00,4.00,NULL,2.00,1.00,3.00,328,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398614,7.00,4.00,7.00,8.00,7.00,7.88,7.00,5.00,6.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',3404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398622,2.00,2.00,1.00,6.00,2.00,NULL,0.00,0.00,2.00,214,NULL,203,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,220,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5398649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5398657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'MIRANTE','ITÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5398665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5398681,1.00,5.00,2.00,1.00,4.00,NULL,0.00,1.00,2.00,102,NULL,NULL,'CENTRO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5398690,5.00,5.00,2.00,7.00,5.00,7.88,2.00,4.00,5.00,220,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398720,3.00,2.00,2.00,2.00,4.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398738,5.00,3.00,4.00,4.00,3.00,NULL,1.00,3.00,6.00,103,NULL,NULL,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5398746,3.00,7.00,2.00,6.00,6.00,8.63,3.00,3.00,5.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',12381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5398762,6.00,3.00,4.00,2.00,2.00,NULL,1.00,0.00,2.00,214,NULL,201,'INCONFIDENTES','CONTAGEM','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398789,5.00,4.00,1.00,4.00,5.00,7.50,3.00,3.00,3.00,103,NULL,NULL,'PARQUE SANTANA','MOGI CRUZES','SP',15021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398797,4.00,5.00,2.00,4.00,5.00,NULL,1.00,1.00,2.00,316,NULL,NULL,'FAZENDA SANTO ANTÔNI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5398800,1.00,4.00,2.00,4.00,6.00,NULL,1.00,3.00,4.00,423,NULL,425,'FAZENDA SANTOANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5398819,6.00,6.00,0.00,6.00,7.00,3.75,2.00,3.00,3.00,450,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CARANDIRU','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5398851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5398860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5398908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'JARDIM PAINEIRAS','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5398916,3.00,5.00,1.00,1.00,3.00,NULL,3.00,1.00,3.00,238,NULL,202,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5398924,9.00,4.00,7.00,5.00,7.00,7.13,6.00,6.00,8.00,203,NULL,214,'PINHEIROS','S PAULO','SP',1711,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5398940,0.00,3.00,0.00,3.00,3.00,NULL,1.00,0.00,0.00,501,NULL,NULL,'CENTRO','JUPIÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5398975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NOVA PRATA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5398983,8.00,5.00,3.00,5.00,6.00,9.00,3.00,3.00,7.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',7742,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5398991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5399017,4.00,4.00,0.00,4.00,7.00,6.38,0.00,5.00,4.00,319,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5399033,7.00,4.00,5.00,7.00,9.00,9.75,5.00,5.00,6.00,103,NULL,NULL,'PARQUE SAO LUIS','CUBATÃO','SP',2922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5399041,3.00,6.00,4.00,7.00,7.00,8.63,5.00,3.00,4.00,601,NULL,220,'GLÓRIA','JOINVILLE','SC',8050,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5399050,6.00,5.00,4.00,7.00,6.00,6.00,6.00,5.00,6.00,333,NULL,NULL,'RESIDENCIAL LESSA','PINDAMONHANGABA','SP',9862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5399068,5.00,5.00,4.00,3.00,2.00,NULL,2.00,4.00,1.00,201,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5399106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,220,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5399114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'OLARIAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5399122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'POMPEIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(20,5399157,4.00,3.00,0.00,3.00,4.00,NULL,2.00,1.00,1.00,202,NULL,220,'DOMICILIO CASSIANO','VARGEM BONITA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5399165,6.00,6.00,3.00,5.00,7.00,9.00,4.00,4.00,6.00,333,NULL,NULL,'JARDIM AGARUSSI','ITU','SP',7455,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5399173,5.00,6.00,0.00,2.00,7.00,9.38,2.00,4.00,4.00,451,NULL,NULL,'AREIAS','S JOSÉ','SC',14872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5399181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BOM SUCESO','GRAVATAÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5399190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5399211,4.00,3.00,1.00,2.00,1.00,NULL,2.00,0.00,0.00,502,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5399238,5.00,6.00,2.00,5.00,7.00,7.88,2.00,2.00,1.00,201,NULL,207,'CENTRO','CHAPADA','RS',13779,988,NULL,661,NULL,NULL,NULL,2,4),(20,5399246,2.00,3.00,1.00,0.00,2.00,NULL,4.00,2.00,4.00,319,NULL,NULL,'INCONFIDENTES','CONTAGEM','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5399262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5399270,4.00,6.00,1.00,4.00,7.00,8.25,2.00,3.00,4.00,316,NULL,NULL,'CENTRO','CATANDUVAS','SC',12866,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5399289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,220,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5399297,7.00,6.00,4.00,6.00,8.00,8.63,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','STO ANTÔNIO SUDOESTE','PR',6719,2587,NULL,NULL,NULL,NULL,NULL,2,4),(20,5399300,6.00,6.00,4.00,6.00,7.00,7.13,2.00,3.00,6.00,501,NULL,NULL,'VILA ARAPONGUINHA','ARAPONGAS','PR',8017,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5399319,2.00,6.00,2.00,6.00,6.00,10.50,4.00,5.00,2.00,207,NULL,201,'CABRAL','CURITIBA','PR',12914,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5399335,8.00,7.00,2.00,6.00,9.00,8.63,4.00,7.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',2532,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5399343,1.00,0.00,3.00,2.00,5.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(20,5399351,8.00,5.00,4.00,4.00,8.00,7.88,5.00,2.00,5.00,103,NULL,NULL,'CENTRO','FLORES CUNHA','RS',6005,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5399378,3.00,7.00,3.00,5.00,5.00,8.25,1.00,3.00,4.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5399386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA ITAPURA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5399408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'RIBEIRANIA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5399416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'ANDORINHAS','ZORTÉA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5399424,4.00,4.00,2.00,5.00,3.00,NULL,1.00,4.00,4.00,234,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5399459,2.00,7.00,1.00,4.00,3.00,NULL,3.00,3.00,5.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5399467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PQ CAMPOLIM','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5399475,3.00,4.00,3.00,4.00,3.00,NULL,1.00,3.00,3.00,426,NULL,429,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5399491,0.00,2.00,0.00,1.00,3.00,NULL,0.00,1.00,4.00,324,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5399505,7.00,5.00,3.00,7.00,4.00,8.63,2.00,4.00,3.00,404,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',12576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5399513,5.00,6.00,2.00,6.00,5.00,9.75,4.00,5.00,3.00,338,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5399521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'VILA EMA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5399556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5399572,7.00,7.00,4.00,7.00,10.00,12.38,3.00,6.00,6.00,222,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',2426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5399599,6.00,7.00,4.00,5.00,4.00,7.13,6.00,4.00,6.00,653,NULL,208,'ITACORUBI','FLORIANÓPOLIS','SC',9054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5399610,2.00,4.00,1.00,1.00,3.00,NULL,1.00,3.00,2.00,215,NULL,238,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5399629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AZENHA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(20,5399645,8.00,6.00,1.00,6.00,7.00,4.50,2.00,2.00,6.00,102,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5399653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,202,'LURDES','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5399661,7.00,4.00,3.00,5.00,5.00,7.50,3.00,4.00,4.00,203,NULL,214,'CAMPINAS','S JOSÉ','SC',9928,718,NULL,274,NULL,NULL,NULL,2,1),(20,5399688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5399700,7.00,5.00,4.00,7.00,8.00,7.88,5.00,4.00,7.00,216,NULL,201,'VILA DO POLONÊS','CPO GRANDE','MS',3376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5399718,5.00,6.00,1.00,7.00,9.00,6.75,3.00,2.00,5.00,103,NULL,NULL,'CENTRO','MAFRA','SC',9456,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5399726,2.00,3.00,0.00,4.00,5.00,NULL,1.00,0.00,1.00,109,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5399734,5.00,3.00,5.00,2.00,2.00,NULL,1.00,1.00,1.00,444,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,17),(20,5399742,6.00,7.00,6.00,7.00,7.00,7.88,7.00,3.00,7.00,316,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5399750,1.00,4.00,3.00,2.00,3.00,NULL,0.00,2.00,3.00,404,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5399769,5.00,5.00,5.00,7.00,6.00,9.38,7.00,6.00,7.00,202,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',5160,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5399777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,208,'ROCIO PEQUENO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5399793,3.00,4.00,0.00,5.00,4.00,NULL,1.00,3.00,2.00,104,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5399815,0.00,2.00,4.00,4.00,5.00,NULL,2.00,1.00,1.00,451,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5399823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,233,'ARMAÇÃO P DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5399840,6.00,6.00,5.00,6.00,9.00,10.13,6.00,6.00,8.00,103,NULL,NULL,'RECANTO TROPICAL','CASCAVEL','PR',1752,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5399858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'VILA ARENS','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5399866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5399874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','CPO BOM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5399882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'JARDIM ITÁLIA','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5399890,5.00,7.00,2.00,7.00,9.00,9.75,4.00,7.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5399904,5.00,8.00,0.00,5.00,9.00,10.13,3.00,5.00,3.00,415,NULL,NULL,'CENTRO','S JOAQUIM','SC',10571,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5399920,4.00,6.00,2.00,4.00,5.00,8.25,3.00,2.00,1.00,207,NULL,NULL,'VELHA','BLUMENAU','SC',16058,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5399939,3.00,5.00,1.00,3.00,5.00,7.88,3.00,3.00,5.00,316,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',13571,198,NULL,NULL,NULL,NULL,NULL,4,1),(20,5399955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'SANTO ANTO DE LISBOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5399963,7.00,0.00,4.00,7.00,7.00,NULL,0.00,0.00,0.00,201,NULL,202,'GLÓRIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(20,5399971,5.00,3.00,1.00,6.00,3.00,NULL,1.00,2.00,5.00,202,NULL,208,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5399980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5399998,6.00,2.00,1.00,4.00,4.00,7.88,3.00,1.00,4.00,415,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',16309,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5400007,8.00,8.00,4.00,6.00,5.00,7.13,5.00,3.00,6.00,203,NULL,214,'SAO RAFAEL','RIO NEGRINHO','SC',6033,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5400015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'HORTO FLORESTAL','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5400023,4.00,5.00,3.00,4.00,2.00,NULL,3.00,3.00,5.00,5,NULL,NULL,'ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400031,3.00,4.00,3.00,3.00,5.00,NULL,1.00,3.00,3.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5400058,4.00,7.00,2.00,5.00,5.00,7.88,3.00,2.00,3.00,304,NULL,NULL,'ESTELA DALVA','CARAGUATATUBA','SP',15272,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5400066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5400074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5400082,8.00,5.00,3.00,6.00,9.00,6.38,5.00,5.00,6.00,336,NULL,NULL,'REBOUÇAS','CURITIBA','PR',5020,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5400090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA TUPY','PR GRANDE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5400104,0.00,4.00,0.00,2.00,1.00,NULL,2.00,0.00,3.00,601,NULL,NULL,'BALNEÁRIO PAÉSI','ITAPOÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5400112,2.00,3.00,1.00,1.00,3.00,NULL,1.00,2.00,3.00,653,NULL,202,'CAÇADOR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5400120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5400139,4.00,5.00,0.00,5.00,5.00,NULL,2.00,1.00,3.00,101,NULL,NULL,'FAZENDA SANTOANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400147,1.00,6.00,4.00,4.00,6.00,10.50,1.00,2.00,3.00,202,NULL,213,'LULU ILGENFRITZ','IJUÍ','RS',14041,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5400163,6.00,6.00,4.00,8.00,7.00,11.25,3.00,5.00,7.00,303,NULL,NULL,'CRISTO REI','CURITIBA','PR',3839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5400180,2.00,4.00,3.00,3.00,4.00,4.88,3.00,2.00,4.00,503,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5400198,2.00,6.00,4.00,3.00,7.00,8.63,1.00,4.00,4.00,428,NULL,423,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5400201,2.00,6.00,2.00,3.00,6.00,NULL,3.00,2.00,1.00,451,NULL,NULL,'SAO CRISTAVAO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5400210,4.00,5.00,3.00,5.00,4.00,3.38,1.00,1.00,3.00,203,NULL,601,'VILA GUARAÇY','COLOMBO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5400228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5400236,3.00,3.00,1.00,2.00,3.00,NULL,0.00,2.00,1.00,9,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(20,5400244,1.00,2.00,0.00,2.00,3.00,NULL,3.00,2.00,2.00,201,NULL,207,'COSTEIRA DO PIRAJUBE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400252,4.00,5.00,2.00,5.00,5.00,7.13,3.00,2.00,5.00,104,NULL,NULL,'AMÉRICA','JOINVILLE','SC',13801,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5400279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5400295,5.00,4.00,1.00,1.00,4.00,10.50,3.00,4.00,4.00,9,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400309,5.00,4.00,0.00,3.00,3.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,15),(20,5400333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,429,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(20,5400341,8.00,6.00,2.00,7.00,8.00,8.63,4.00,5.00,6.00,319,NULL,NULL,'BIGORRILHO','CURITIBA','PR',3270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400368,3.00,2.00,3.00,7.00,5.00,8.25,2.00,0.00,4.00,207,NULL,NULL,'CENTRO','UBATUBA','SP',16025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400376,3.00,6.00,3.00,6.00,4.00,8.63,1.00,1.00,2.00,103,NULL,NULL,'JARDIM NICOLAU','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5400392,4.00,5.00,2.00,4.00,8.00,7.50,1.00,2.00,2.00,202,NULL,238,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',16054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5400406,4.00,3.00,1.00,6.00,6.00,7.88,0.00,3.00,4.00,216,NULL,215,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5400422,4.00,5.00,3.00,2.00,8.00,8.63,3.00,4.00,5.00,316,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',13538,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5400430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5400457,6.00,6.00,3.00,7.00,5.00,8.25,2.00,1.00,4.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400465,8.00,7.00,0.00,7.00,8.00,9.00,3.00,5.00,7.00,104,NULL,NULL,'MEDIANEIRA','STA MARIA','RS',5590,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5400481,8.00,5.00,4.00,5.00,5.00,6.00,3.00,2.00,6.00,103,NULL,NULL,'PORTAL DO MORUMBI','PNT PORÃ','MS',11507,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5400490,3.00,3.00,0.00,5.00,5.00,NULL,0.00,1.00,2.00,207,NULL,211,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,651,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5400511,9.00,9.00,1.00,5.00,8.00,9.00,3.00,4.00,3.00,327,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9213,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5400520,2.00,2.00,1.00,7.00,5.00,NULL,3.00,3.00,1.00,324,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5400538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'JARDINS FLORENÇA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5400546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5400554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(20,5400562,7.00,8.00,2.00,7.00,5.00,9.38,5.00,2.00,5.00,222,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400570,6.00,5.00,0.00,1.00,4.00,4.50,2.00,4.00,3.00,203,NULL,201,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400589,4.00,4.00,4.00,2.00,3.00,NULL,1.00,2.00,3.00,108,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PAULISTA','CAMPINA G SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5400600,8.00,6.00,4.00,4.00,7.00,8.63,2.00,2.00,7.00,501,NULL,NULL,'CENTRO','CURITIBA','PR',7321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400619,8.00,3.00,1.00,3.00,4.00,9.38,3.00,2.00,3.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',13633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5400643,8.00,6.00,3.00,6.00,4.00,10.88,4.00,4.00,5.00,203,NULL,201,'JARDIM MARISTELA','CRICIÚMA','SC',7220,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5400651,1.00,1.00,1.00,1.00,2.00,NULL,2.00,1.00,2.00,207,NULL,201,'PETROPOLIS','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5400660,4.00,5.00,2.00,1.00,4.00,NULL,0.00,3.00,1.00,329,NULL,NULL,'SAO GONÇALO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400678,3.00,3.00,1.00,4.00,4.00,NULL,0.00,1.00,4.00,211,NULL,207,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5400686,0.00,4.00,2.00,2.00,5.00,NULL,1.00,3.00,3.00,303,NULL,NULL,'SNT CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOÃO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5400708,3.00,5.00,4.00,4.00,8.00,7.88,3.00,4.00,4.00,326,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',14029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5400716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(20,5400759,3.00,3.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,420,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','VALPARAÍSO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5400775,4.00,5.00,0.00,7.00,8.00,8.63,1.00,4.00,5.00,601,NULL,213,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5400783,2.00,3.00,0.00,3.00,3.00,NULL,0.00,1.00,0.00,5,NULL,NULL,'PRAIA JOAO ROSA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400791,5.00,3.00,4.00,7.00,4.00,9.00,4.00,2.00,4.00,304,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400813,8.00,8.00,5.00,5.00,9.00,10.13,4.00,4.00,8.00,103,NULL,NULL,'CENTRO','MATÃO','SP',1521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400821,6.00,4.00,2.00,3.00,2.00,NULL,2.00,2.00,4.00,104,NULL,NULL,'PARQUE DOS BURITIS','RIO VERDE','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5400830,0.00,5.00,2.00,1.00,6.00,NULL,2.00,3.00,3.00,601,NULL,NULL,'CORVETA','ARAQUARI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5400848,4.00,6.00,1.00,7.00,8.00,8.63,3.00,5.00,4.00,104,NULL,NULL,'CENTRO','REALEZA','PR',11318,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5400864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5400899,3.00,3.00,1.00,6.00,4.00,NULL,1.00,1.00,1.00,501,NULL,NULL,'PRAIA BRAVA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400929,3.00,3.00,0.00,4.00,3.00,NULL,0.00,3.00,1.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5400937,3.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,652,NULL,653,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(20,5400945,5.00,3.00,2.00,4.00,3.00,NULL,1.00,5.00,3.00,103,NULL,NULL,'PORTAO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5400961,8.00,7.00,7.00,7.00,8.00,8.63,3.00,7.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',1679,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5400970,7.00,3.00,1.00,5.00,5.00,9.75,0.00,5.00,3.00,101,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',14884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5400996,6.00,5.00,6.00,6.00,6.00,4.88,3.00,3.00,5.00,203,NULL,212,'GOPOÚVA','GUARULHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401003,4.00,7.00,5.00,6.00,5.00,8.63,2.00,3.00,3.00,222,NULL,NULL,'RESSACADA','ITAJAÍ','SC',11512,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5401011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JACUTINGA','IVAIPORÃ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5401038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'BARÃO GERALDO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5401046,5.00,5.00,3.00,5.00,4.00,6.00,1.00,5.00,2.00,5,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5401054,5.00,6.00,0.00,7.00,8.00,NULL,2.00,4.00,5.00,316,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5401062,7.00,6.00,0.00,5.00,7.00,10.88,4.00,4.00,6.00,5,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',7989,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5401070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5401097,7.00,7.00,3.00,7.00,4.00,8.25,4.00,6.00,7.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',4008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401100,6.00,6.00,0.00,5.00,4.00,10.13,3.00,4.00,5.00,104,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',9695,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5401119,5.00,4.00,5.00,6.00,5.00,NULL,0.00,4.00,5.00,304,NULL,NULL,'CENTRO','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401127,9.00,8.00,3.00,6.00,7.00,9.00,7.00,4.00,8.00,103,NULL,NULL,'COUNTRY','CASCAVEL','PR',2204,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5401143,5.00,4.00,3.00,4.00,5.00,7.88,4.00,4.00,3.00,333,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5401160,2.00,5.00,0.00,0.00,2.00,NULL,1.00,4.00,2.00,5,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5401186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5401208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,203,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5401216,7.00,7.00,2.00,7.00,10.00,10.50,3.00,4.00,7.00,5,NULL,NULL,'ZONA OITO','MARINGÁ','PR',3007,NULL,NULL,NULL,NULL,NULL,NULL,3,8),(20,5401224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM TAQUARAL','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5401232,6.00,5.00,3.00,6.00,6.00,8.63,3.00,5.00,4.00,501,NULL,NULL,'IDEAL','NOVO HAMBURGO','RS',8158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5401240,8.00,7.00,6.00,8.00,9.00,11.63,5.00,6.00,8.00,103,NULL,NULL,'SANTO AMARO','S PAULO','SP',587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401259,7.00,7.00,2.00,5.00,7.00,8.63,6.00,5.00,6.00,213,NULL,214,'PONTE DO IMARUIM','PALHOÇA','SC',4958,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5401283,8.00,7.00,5.00,7.00,5.00,9.00,5.00,5.00,8.00,333,NULL,NULL,'SANTANA','S JOSÉ CAMPOS','SP',2593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','ITARARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5401313,2.00,2.00,1.00,4.00,2.00,NULL,0.00,0.00,4.00,224,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5401330,3.00,4.00,2.00,4.00,4.00,7.13,3.00,3.00,5.00,601,NULL,220,'BOSQUE DA SAUDE','CUIABÁ','MT',15131,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5401348,5.00,8.00,3.00,6.00,6.00,11.25,1.00,5.00,4.00,415,NULL,NULL,'SANTA CRUZ','GUARAPUAVA','PR',8294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401372,2.00,2.00,4.00,6.00,5.00,NULL,0.00,2.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401399,2.00,5.00,1.00,2.00,3.00,NULL,2.00,0.00,0.00,104,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5401429,6.00,4.00,1.00,4.00,6.00,NULL,1.00,1.00,3.00,203,NULL,220,'JARDIM ITAPORÃ','UBATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401445,5.00,6.00,1.00,6.00,7.00,7.88,0.00,3.00,2.00,238,NULL,208,'ITOUPAVA NORTE','BLUMENAU','SC',14183,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(20,5401453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'SÃO CRISTOVÃO','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5401461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'JARDIM ESTORIL','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5401470,3.00,6.00,1.00,3.00,4.00,NULL,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','TERRA BOA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401488,2.00,4.00,4.00,5.00,4.00,NULL,2.00,1.00,2.00,340,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5401496,4.00,4.00,2.00,4.00,3.00,NULL,2.00,1.00,2.00,207,NULL,212,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401518,5.00,6.00,5.00,5.00,6.00,9.38,2.00,5.00,3.00,216,NULL,233,'PALMAS','GOV CELSO RAMOS','SC',8479,357,NULL,NULL,NULL,NULL,NULL,2,1),(20,5401542,2.00,6.00,1.00,1.00,1.00,NULL,1.00,2.00,1.00,444,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5401577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'NOSSA S APARECIDA','CPO NOVO PARECIS','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5401585,6.00,5.00,1.00,6.00,6.00,9.00,0.00,3.00,4.00,103,NULL,NULL,'PRAIA DA GAIVOTA','BAL GAIVOTA','SC',11195,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5401593,5.00,4.00,5.00,7.00,6.00,7.88,4.00,5.00,7.00,103,NULL,NULL,'RIO BRANCO','NOVO HAMBURGO','RS',4992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401607,7.00,0.00,4.00,0.00,2.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CINCO COLONIAS','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(20,5401615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO MIGUEL PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5401623,0.00,6.00,2.00,2.00,6.00,NULL,1.00,3.00,1.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401631,8.00,7.00,4.00,5.00,5.00,6.00,4.00,5.00,5.00,201,NULL,601,'CENTRO','CURITIBA','PR',6948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401658,2.00,5.00,4.00,7.00,2.00,NULL,0.00,3.00,4.00,337,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5401666,3.00,4.00,2.00,6.00,4.00,10.13,2.00,2.00,2.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401674,2.00,3.00,0.00,5.00,3.00,NULL,1.00,1.00,2.00,303,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5401690,8.00,7.00,2.00,7.00,8.00,8.63,4.00,4.00,5.00,103,NULL,NULL,'ALVORADA','CUIABÁ','MT',5298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5401712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5401720,8.00,4.00,2.00,7.00,8.00,12.00,1.00,3.00,7.00,103,NULL,NULL,'JARDIM UNIVERSO','CAMBÉ','PR',5066,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5401739,6.00,7.00,4.00,7.00,7.00,7.50,4.00,3.00,3.00,238,NULL,220,'VARGEM GRANDE','FLORIANÓPOLIS','SC',9890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401747,9.00,7.00,0.00,6.00,7.00,9.38,6.00,3.00,8.00,103,NULL,NULL,'JARDIM VIRGÍNIA','MARÍLIA','SP',4311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401755,3.00,4.00,1.00,1.00,3.00,NULL,2.00,2.00,3.00,452,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5401771,4.00,4.00,3.00,5.00,5.00,8.25,2.00,1.00,2.00,9,NULL,NULL,'TRÊS PEDRINHAS','S JOAQUIM','SC',15334,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5401780,6.00,8.00,3.00,6.00,7.00,9.00,2.00,4.00,5.00,453,NULL,NULL,'OFICINAS','TUBARÃO','SC',7642,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5401798,4.00,4.00,4.00,5.00,3.00,NULL,5.00,4.00,4.00,238,NULL,208,'JOSE MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401801,1.00,4.00,0.00,1.00,0.00,NULL,0.00,2.00,3.00,202,NULL,213,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5401810,7.00,5.00,4.00,6.00,6.00,7.50,5.00,4.00,4.00,601,NULL,203,'RIO BELO','ORLEANS','SC',9198,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(20,5401828,4.00,5.00,1.00,2.00,2.00,NULL,2.00,2.00,3.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5401836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'CHÁCARA STO ANTONIO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5401844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5401852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5401860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'DOS ESTADOS','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5401879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'AUGUSTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5401887,3.00,4.00,2.00,3.00,2.00,NULL,0.00,2.00,1.00,316,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','QUEDAS IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5401909,4.00,6.00,3.00,7.00,6.00,6.75,1.00,2.00,4.00,452,NULL,NULL,'REBOUÇAS','CURITIBA','PR',12549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401917,4.00,5.00,2.00,3.00,5.00,NULL,2.00,2.00,3.00,335,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5401925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(20,5401950,1.00,5.00,2.00,3.00,2.00,NULL,0.00,1.00,3.00,238,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(20,5401968,2.00,5.00,0.00,4.00,3.00,NULL,3.00,3.00,2.00,203,NULL,214,'JARDIM ITALIA','CAMBÉ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(20,5401976,4.00,6.00,4.00,7.00,7.00,9.38,3.00,3.00,5.00,429,NULL,428,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(20,5401992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'COOPHAMIL','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5402018,5.00,6.00,2.00,5.00,5.00,7.13,1.00,5.00,3.00,5,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',15235,493,NULL,NULL,NULL,NULL,NULL,2,1),(20,5402026,5.00,7.00,3.00,4.00,6.00,7.13,2.00,3.00,4.00,102,NULL,NULL,'PACHECO','PALHOÇA','SC',15264,219,NULL,NULL,NULL,NULL,NULL,2,1),(20,5402034,3.00,5.00,1.00,3.00,4.00,NULL,4.00,4.00,0.00,310,NULL,NULL,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(20,5402042,6.00,7.00,0.00,6.00,4.00,7.13,3.00,4.00,5.00,333,NULL,NULL,'JARDIN MARAJOARA','S PAULO','SP',10829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5402050,5.00,0.00,3.00,3.00,7.00,NULL,1.00,2.00,3.00,108,NULL,NULL,'SANTO ANTÔNIO','PLANALTO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5402069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5402077,2.00,5.00,2.00,5.00,7.00,8.25,2.00,3.00,2.00,450,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',14214,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5402085,2.00,4.00,1.00,6.00,6.00,NULL,2.00,3.00,2.00,317,NULL,NULL,'INTERIOR LINHA','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(20,5402093,4.00,6.00,5.00,3.00,6.00,4.50,1.00,1.00,4.00,216,NULL,203,'CENTRO','SORRISO','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5402107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,202,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5402115,7.00,4.00,2.00,3.00,7.00,8.25,3.00,3.00,2.00,601,NULL,202,'JARDIM IRIRIU','JOINVILLE','SC',13958,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5402123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'PQ RES AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5402131,3.00,4.00,4.00,6.00,5.00,4.13,1.00,2.00,2.00,201,NULL,211,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5402140,5.00,2.00,4.00,1.00,4.00,NULL,0.00,1.00,5.00,201,NULL,213,'VILA TOLENTINO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5402158,8.00,8.00,7.00,5.00,7.00,6.75,7.00,4.00,6.00,103,NULL,NULL,'CENTRO','PRIMEIRO MAIO','PR',2697,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5402166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SANTA RITA','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5402174,3.00,6.00,1.00,3.00,8.00,NULL,1.00,3.00,3.00,104,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5402182,0.00,5.00,1.00,0.00,1.00,NULL,0.00,2.00,1.00,108,NULL,NULL,'GRANJA ESPERANÇA','CACHOEIRINHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5402190,2.00,2.00,3.00,0.00,3.00,NULL,1.00,2.00,3.00,208,NULL,NULL,'CENTRO','TAPEJARA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5402220,2.00,4.00,0.00,1.00,1.00,NULL,0.00,0.00,2.00,309,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5402239,4.00,4.00,1.00,3.00,3.00,NULL,0.00,1.00,3.00,102,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5402247,2.00,2.00,0.00,3.00,4.00,NULL,0.00,1.00,2.00,324,NULL,NULL,'ROCADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5402255,3.00,3.00,3.00,7.00,4.00,8.63,3.00,2.00,4.00,452,NULL,NULL,'CENTRO','S LEOPOLDO','RS',13946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5402271,1.00,3.00,1.00,3.00,0.00,NULL,1.00,0.00,1.00,102,NULL,NULL,'PEROLA DO OESTE','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5402280,2.00,3.00,2.00,2.00,4.00,NULL,4.00,1.00,1.00,211,NULL,216,'DAS NAÇÕES','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5402298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BOTANICO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5402301,8.00,6.00,4.00,8.00,6.00,11.63,5.00,5.00,7.00,103,NULL,NULL,'SANTO ANTONIO','CPO GRANDE','MS',1684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5402310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,201,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5402336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5402344,2.00,2.00,3.00,2.00,4.00,NULL,2.00,2.00,3.00,318,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5402352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'ALVORADA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(20,5402395,3.00,4.00,1.00,4.00,6.00,NULL,2.00,2.00,3.00,452,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5402409,9.00,7.00,3.00,7.00,8.00,8.25,3.00,2.00,7.00,303,NULL,NULL,'ATIRADORES','JOINVILLE','SC',4842,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5402417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5402433,3.00,8.00,1.00,5.00,5.00,7.13,2.00,3.00,6.00,329,NULL,NULL,'TAPAJÓS','INDAIAL','SC',15245,21,NULL,NULL,NULL,NULL,NULL,2,2),(20,5402450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'PARQUE ALVORADA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5402468,8.00,5.00,1.00,7.00,7.00,9.75,4.00,4.00,5.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',7359,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5402484,8.00,7.00,7.00,6.00,6.00,9.75,4.00,5.00,9.00,103,NULL,NULL,'CENTRO','CAMBUÍ','MG',1666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5402492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,233,'BAIRRO AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5402522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'TREZE DE JULHO','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5402530,4.00,1.00,0.00,5.00,1.00,NULL,0.00,2.00,1.00,109,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5402549,6.00,7.00,2.00,6.00,4.00,10.50,2.00,4.00,2.00,329,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5402557,8.00,5.00,5.00,1.00,3.00,NULL,3.00,3.00,5.00,203,NULL,216,'SÃO FRANCISCO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5402565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CARMELO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5402590,8.00,6.00,3.00,3.00,5.00,6.75,0.00,3.00,4.00,318,NULL,NULL,'ITAIM PAULISTA','S PAULO','SP',13455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5402603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5402611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(20,5402620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SANTO ANTONIO','FARROUPILHA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(20,5402638,5.00,6.00,3.00,7.00,6.00,7.88,1.00,5.00,6.00,304,NULL,NULL,'ACLIMACAO','S PAULO','SP',9253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5402646,5.00,5.00,6.00,2.00,5.00,8.25,3.00,2.00,2.00,5,NULL,NULL,'KOBRASSOL','S JOSÉ','SC',15484,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5402654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'SETOR MORAIS','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5402662,4.00,4.00,2.00,3.00,3.00,NULL,4.00,2.00,4.00,601,NULL,NULL,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5402689,4.00,6.00,1.00,8.00,7.00,6.38,2.00,5.00,2.00,238,NULL,208,'ITACORUBI','FLORIANÓPOLIS','SC',13979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5402700,5.00,7.00,1.00,4.00,4.00,8.63,0.00,2.00,3.00,102,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',16000,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(20,5402743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5402760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM ICARAÍ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5402786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'RIO VERMELHO ESTAÇÃO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5402794,8.00,6.00,4.00,7.00,9.00,7.13,3.00,3.00,5.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5402808,4.00,5.00,0.00,4.00,4.00,NULL,2.00,3.00,4.00,207,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5402816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'MENINO DEUS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5402824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','CHAPADA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5402832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(20,5402840,4.00,2.00,1.00,2.00,2.00,NULL,0.00,1.00,4.00,207,NULL,211,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5402867,8.00,6.00,4.00,7.00,8.00,10.50,3.00,5.00,7.00,304,NULL,NULL,'BARRACÃO','BENTO GONÇALVES','RS',3555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5402875,3.00,5.00,3.00,4.00,3.00,NULL,2.00,3.00,4.00,202,NULL,235,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5402883,3.00,5.00,2.00,8.00,6.00,8.63,4.00,5.00,5.00,212,NULL,NULL,'JABAQUARA','S PAULO','SP',11443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5402891,9.00,5.00,2.00,7.00,9.00,8.63,2.00,4.00,8.00,103,NULL,NULL,'JD DOM BOSCO','LONDRINA','PR',4388,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5402905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5402921,8.00,8.00,6.00,4.00,6.00,8.25,5.00,4.00,7.00,103,NULL,NULL,'ABRANCHES','CURITIBA','PR',4493,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5402930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'JDM PRIMAVERA','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5402956,5.00,8.00,3.00,3.00,8.00,11.25,2.00,4.00,5.00,316,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',8018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5402980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(20,5402999,1.00,7.00,5.00,4.00,9.00,8.25,2.00,5.00,2.00,428,NULL,423,'SMU COMPLEMENTAR','BRASÍLIA','DF',12758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403006,6.00,5.00,2.00,5.00,8.00,7.50,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',12754,3489,NULL,NULL,NULL,NULL,NULL,2,7),(20,5403014,7.00,7.00,5.00,8.00,9.00,11.25,5.00,8.00,8.00,103,NULL,NULL,'CENTRO','S CARLOS','SP',816,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5403049,6.00,6.00,1.00,7.00,8.00,10.88,4.00,2.00,5.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',7668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403057,7.00,7.00,2.00,4.00,6.00,7.13,2.00,2.00,7.00,303,NULL,NULL,'CENTRO','JANDAIA SUL','PR',8912,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5403065,2.00,3.00,2.00,7.00,5.00,NULL,2.00,2.00,3.00,503,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5403081,1.00,3.00,1.00,3.00,3.00,NULL,0.00,1.00,3.00,551,NULL,NULL,'DO BOSQUE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(20,5403090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,423,'VILA NOVA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(20,5403120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FÁTIMA','ANTÔNIO PRADO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5403138,0.00,3.00,0.00,4.00,2.00,NULL,1.00,2.00,1.00,404,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5403146,7.00,8.00,4.00,6.00,4.00,7.88,2.00,7.00,8.00,103,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',4497,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5403154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5403162,7.00,7.00,4.00,6.00,6.00,11.63,1.00,4.00,7.00,318,NULL,NULL,'JUNQUEIRA','S ROQUE','SP',4558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403170,5.00,5.00,1.00,4.00,6.00,8.25,3.00,3.00,6.00,103,NULL,NULL,'CHAMPAGNAT','CURITIBA','PR',12194,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(20,5403197,2.00,5.00,3.00,3.00,4.00,NULL,1.00,2.00,2.00,653,NULL,211,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5403219,3.00,6.00,1.00,4.00,6.00,9.00,1.00,2.00,4.00,653,NULL,651,'MATO ALTO','ARARANGUÁ','SC',13878,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(20,5403227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'VILLAGE','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5403251,4.00,4.00,0.00,2.00,5.00,NULL,3.00,3.00,2.00,215,NULL,208,'CENTRO','TAPEJARA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403278,7.00,5.00,1.00,6.00,5.00,6.00,1.00,3.00,3.00,108,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',15171,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5403286,7.00,5.00,0.00,4.00,5.00,NULL,2.00,4.00,5.00,450,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403294,3.00,5.00,1.00,5.00,5.00,9.00,2.00,3.00,4.00,452,NULL,NULL,'VILA GERMER','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5403316,9.00,6.00,4.00,6.00,8.00,9.38,3.00,5.00,8.00,103,NULL,NULL,'BUTANTA','S PAULO','SP',2326,1224,NULL,NULL,NULL,NULL,NULL,4,8),(20,5403324,7.00,6.00,6.00,7.00,6.00,7.50,6.00,3.00,5.00,220,NULL,212,'JOÃO PAULO','FLORIANÓPOLIS','SC',6940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403332,5.00,6.00,1.00,7.00,6.00,6.00,1.00,1.00,6.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403340,0.00,3.00,1.00,4.00,3.00,NULL,0.00,1.00,2.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5403359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'BELA VISTA III','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5403367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5403405,8.00,8.00,3.00,7.00,8.00,6.75,3.00,5.00,7.00,103,NULL,NULL,'JARDIM HIGIENOPOLIS','LONDRINA','PR',4200,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5403413,5.00,7.00,4.00,7.00,6.00,9.75,1.00,3.00,4.00,212,NULL,213,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',7212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5403430,8.00,5.00,1.00,6.00,8.00,6.38,1.00,4.00,4.00,103,NULL,NULL,'PINHEIRINHO','S MATEUS SUL','PR',9761,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5403448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PEREQUE','PTO BELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(20,5403456,3.00,2.00,0.00,3.00,2.00,NULL,3.00,2.00,1.00,308,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5403464,7.00,6.00,0.00,2.00,3.00,NULL,0.00,4.00,4.00,501,NULL,NULL,'SANTA TEREZINHA','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5403472,4.00,4.00,1.00,3.00,6.00,NULL,0.00,1.00,1.00,211,NULL,215,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5403480,5.00,5.00,0.00,5.00,4.00,NULL,2.00,4.00,4.00,452,NULL,NULL,'PAPAGAIOS','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5403510,3.00,6.00,0.00,7.00,3.00,NULL,1.00,1.00,1.00,103,NULL,NULL,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5403537,4.00,5.00,2.00,5.00,2.00,NULL,1.00,0.00,4.00,201,NULL,212,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5403545,0.00,4.00,2.00,4.00,5.00,NULL,3.00,1.00,1.00,103,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403553,5.00,4.00,1.00,6.00,5.00,NULL,2.00,2.00,2.00,303,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5403596,7.00,7.00,4.00,7.00,8.00,11.25,6.00,4.00,9.00,103,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',1672,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5403600,4.00,5.00,4.00,4.00,5.00,9.00,3.00,0.00,5.00,304,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5403618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'VISTA ALEGRE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(20,5403626,2.00,6.00,0.00,7.00,10.00,NULL,3.00,3.00,5.00,415,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'CENTRO','CAPIVARI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5403642,7.00,8.00,3.00,5.00,9.00,10.13,3.00,5.00,7.00,103,NULL,NULL,'CAVALHADA','PTO ALEGRE','RS',3528,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5403650,8.00,3.00,0.00,8.00,7.00,9.00,1.00,4.00,6.00,340,NULL,NULL,'VILA IVETE','MAFRA','SC',8572,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5403669,0.00,2.00,3.00,2.00,4.00,NULL,2.00,1.00,4.00,502,NULL,NULL,'CENTRO','SAUDADES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5403677,4.00,6.00,4.00,6.00,3.00,NULL,6.00,4.00,3.00,5,NULL,NULL,'ALTO TARUMÃ','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403685,3.00,7.00,1.00,5.00,6.00,9.75,1.00,3.00,4.00,652,NULL,651,'URUSSANGUINHA','ARARANGUÁ','SC',15297,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5403693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5403707,2.00,3.00,1.00,1.00,7.00,NULL,0.00,1.00,2.00,333,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5403715,4.00,6.00,1.00,3.00,3.00,NULL,2.00,0.00,0.00,5,NULL,NULL,'TRINTA RÉIS','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5403723,7.00,5.00,2.00,7.00,6.00,8.25,2.00,3.00,6.00,3,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',10282,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5403740,4.00,6.00,2.00,5.00,4.00,8.63,0.00,4.00,4.00,103,NULL,NULL,'CENTRO','WITMARSUM','SC',12487,3467,NULL,NULL,NULL,NULL,NULL,2,2),(20,5403758,3.00,3.00,1.00,2.00,4.00,NULL,2.00,2.00,2.00,551,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(20,5403774,5.00,6.00,4.00,7.00,8.00,6.75,1.00,4.00,7.00,216,NULL,215,'KOBRASOL','S JOSÉ','SC',9326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403790,4.00,3.00,1.00,5.00,4.00,NULL,0.00,3.00,2.00,215,NULL,211,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(20,5403812,7.00,7.00,4.00,5.00,6.00,8.63,4.00,7.00,6.00,5,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',5834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5403839,4.00,4.00,1.00,4.00,5.00,NULL,1.00,2.00,4.00,104,NULL,NULL,'TIRADENTES','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(20,5403847,7.00,5.00,3.00,6.00,8.00,9.00,6.00,1.00,4.00,201,NULL,215,'PANTANAL','FLORIANÓPOLIS','SC',6101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'INGLÊSES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5403863,1.00,1.00,2.00,1.00,3.00,NULL,2.00,1.00,3.00,451,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5403871,3.00,3.00,2.00,6.00,4.00,6.38,5.00,1.00,3.00,201,NULL,NULL,'CENTRO','MARINGÁ','PR',15028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403880,4.00,8.00,3.00,5.00,6.00,7.88,2.00,3.00,4.00,234,NULL,NULL,'CENTRO','CAJAMAR','SP',11428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403898,5.00,5.00,4.00,6.00,9.00,6.00,1.00,6.00,6.00,5,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',8764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ANA MARIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(20,5403936,5.00,5.00,0.00,1.00,8.00,9.00,2.00,4.00,6.00,202,NULL,213,'VILA ALIANÇA','GUARULHOS','SP',10243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5403952,7.00,5.00,4.00,7.00,9.00,8.25,3.00,4.00,5.00,5,NULL,NULL,'JARDIM SATÉLITE','S JOSÉ CAMPOS','SP',8002,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5403960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','MANDAGUARI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(20,5403979,6.00,5.00,3.00,6.00,8.00,12.38,3.00,4.00,5.00,234,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',6941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5403987,2.00,5.00,0.00,6.00,3.00,NULL,1.00,2.00,5.00,234,NULL,NULL,'SAO JOAO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5403995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5404010,2.00,3.00,5.00,6.00,7.00,7.13,4.00,2.00,4.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5404045,5.00,7.00,2.00,7.00,7.00,0.00,3.00,5.00,3.00,310,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5404061,6.00,5.00,3.00,5.00,4.00,6.75,2.00,4.00,5.00,501,NULL,NULL,'JARDIM FLORIDA','CPO MOURÃO','PR',10834,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5404070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5404088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5404096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA PATTI','NOVO HORIZONTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5404100,7.00,6.00,3.00,7.00,8.00,10.50,4.00,3.00,6.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',3690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5404126,2.00,4.00,3.00,4.00,4.00,NULL,1.00,0.00,2.00,310,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5404134,5.00,5.00,3.00,6.00,5.00,9.38,1.00,2.00,5.00,5,NULL,NULL,'CENTRO','SEARA','SC',13914,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(20,5404150,5.00,6.00,1.00,5.00,4.00,9.00,2.00,2.00,3.00,336,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',11762,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5404169,2.00,6.00,2.00,4.00,4.00,NULL,0.00,2.00,2.00,453,NULL,NULL,'ANDORINHA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(20,5404185,8.00,8.00,5.00,8.00,6.00,8.25,6.00,5.00,7.00,201,NULL,203,'TRINDADE','FLORIANÓPOLIS','SC',2684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5404193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5404223,8.00,8.00,3.00,7.00,10.00,11.25,4.00,5.00,4.00,303,NULL,NULL,'CENTRO','CAÇADOR','SC',3080,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(20,5404231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'VILA DOS ENGENHEIROS','OURO PRETO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5404240,8.00,5.00,6.00,7.00,7.00,8.25,5.00,3.00,7.00,103,NULL,NULL,'CENTRO','S MATEUS SUL','PR',3135,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(20,5404258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,201,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(20,5404282,3.00,4.00,1.00,4.00,3.00,NULL,2.00,1.00,3.00,208,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5404290,3.00,4.00,0.00,7.00,5.00,NULL,3.00,1.00,2.00,501,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5404304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA PEDRO MOREIRA','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(20,5404312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'SÃO GERALDO','IJUÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(20,5404320,2.00,4.00,1.00,2.00,1.00,NULL,1.00,1.00,3.00,404,NULL,NULL,'RESSACADA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(20,5404339,5.00,6.00,1.00,5.00,5.00,8.25,2.00,4.00,4.00,103,NULL,NULL,'FELIZ CIDADE','SORRISO','MT',12617,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(20,5404347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5404355,3.00,6.00,4.00,6.00,5.00,9.38,3.00,1.00,3.00,318,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',13597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5404371,8.00,8.00,5.00,7.00,5.00,7.13,6.00,4.00,5.00,220,NULL,203,'BOSQUE DA SAUDE','CUIABÁ','MT',3468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5404410,5.00,4.00,1.00,2.00,5.00,NULL,1.00,2.00,3.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5404436,5.00,6.00,1.00,5.00,8.00,10.50,0.00,5.00,3.00,318,NULL,NULL,'FUNDAÇÃO BRADESCO','IRECÊ','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5404444,4.00,3.00,4.00,3.00,4.00,7.50,3.00,1.00,3.00,301,NULL,NULL,'SERTÃO DO IMARUÍ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5404452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VILA SÃO JOÃO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5404460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,238,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5404495,8.00,4.00,0.00,4.00,6.00,NULL,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','MUNHOZ MELO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5404517,1.00,4.00,3.00,3.00,6.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5404533,2.00,3.00,1.00,4.00,4.00,NULL,0.00,3.00,2.00,340,NULL,NULL,'PEREIRA ALVES','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(20,5404541,7.00,4.00,0.00,7.00,4.00,10.13,4.00,4.00,5.00,336,NULL,NULL,'LAGO NORTE','LG NORTE','DF',11033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5404550,1.00,2.00,1.00,2.00,2.00,NULL,0.00,1.00,1.00,101,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5404592,1.00,3.00,3.00,3.00,4.00,NULL,0.00,2.00,4.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5404606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,235,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5404614,4.00,4.00,1.00,3.00,6.00,NULL,3.00,1.00,4.00,103,NULL,NULL,'PASSO DO GADO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5404622,3.00,7.00,2.00,2.00,6.00,7.88,3.00,2.00,3.00,301,NULL,NULL,'AZENHA','PTO ALEGRE','RS',15823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5404630,6.00,7.00,3.00,8.00,5.00,10.13,3.00,4.00,4.00,331,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5404649,3.00,6.00,0.00,7.00,6.00,NULL,4.00,3.00,3.00,103,NULL,NULL,'CENTRO','CÂNDIDO GODÓI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5404665,5.00,6.00,2.00,7.00,5.00,8.25,1.00,5.00,3.00,211,NULL,212,'VILA JOÃO PESSOA','PTO ALEGRE','RS',9464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5404673,3.00,4.00,0.00,4.00,4.00,8.25,1.00,5.00,4.00,5,NULL,NULL,'JARDIM SAVEIRO','BIGUAÇU','SC',16026,525,NULL,NULL,NULL,NULL,NULL,2,1),(20,5404681,1.00,3.00,0.00,5.00,5.00,NULL,4.00,3.00,1.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5404690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(20,5404703,8.00,5.00,3.00,5.00,5.00,10.88,1.00,6.00,7.00,415,NULL,NULL,'VERENA','STA CRUZ SUL','RS',5460,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(20,5404711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'JABAQUARA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(20,5404738,5.00,5.00,1.00,3.00,7.00,NULL,0.00,4.00,0.00,319,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(20,5404746,3.00,4.00,0.00,1.00,5.00,NULL,2.00,1.00,3.00,201,NULL,202,'CENTRO','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(20,5404754,4.00,5.00,3.00,2.00,7.00,NULL,1.00,2.00,3.00,108,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5404762,4.00,3.00,1.00,3.00,2.00,NULL,2.00,0.00,2.00,404,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(20,5404797,2.00,6.00,4.00,1.00,5.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(20,5404827,4.00,7.00,2.00,4.00,6.00,10.50,3.00,5.00,8.00,201,NULL,212,'PACHECO','PALHOÇA','SC',8857,633,NULL,NULL,NULL,NULL,NULL,2,1),(20,5404843,1.00,4.00,0.00,1.00,6.00,NULL,3.00,1.00,4.00,224,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(20,5404916,3.00,5.00,0.00,2.00,3.00,NULL,1.00,3.00,3.00,653,NULL,211,'DIVINEIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(20,5404940,4.00,7.00,0.00,5.00,4.00,7.88,2.00,3.00,4.00,201,NULL,212,'FERRAZ','GAROPABA','SC',14512,1028,NULL,356,NULL,NULL,NULL,2,1),(20,5404975,4.00,7.00,1.00,6.00,6.00,4.50,1.00,4.00,1.00,453,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(20,5404983,7.00,6.00,3.00,5.00,4.00,9.75,6.00,5.00,2.00,216,NULL,NULL,'BOA VISTA','CURITIBA','PR',7990,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6000010,5.00,7.00,4.00,7.00,9.00,10.13,3.00,8.00,2.00,329,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000029,8.00,7.00,3.00,6.00,7.00,7.88,1.00,3.00,8.00,103,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',4657,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6000037,4.00,6.00,0.00,4.00,9.00,12.00,2.00,6.00,0.00,103,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',9229,3426,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000045,6.00,6.00,1.00,4.00,10.00,10.50,1.00,5.00,5.00,303,NULL,NULL,'ASILO','BLUMENAU','SC',7959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000053,3.00,3.00,1.00,6.00,5.00,9.38,0.00,1.00,1.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000061,5.00,3.00,1.00,5.00,9.00,9.38,0.00,3.00,3.00,103,NULL,NULL,'BELA VISTA','ERECHIM','RS',11129,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6000070,4.00,6.00,0.00,4.00,3.00,6.75,0.00,0.00,2.00,110,NULL,NULL,'CENTRO','SOMBRIO','SC',20985,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6000088,3.00,4.00,2.00,4.00,3.00,7.88,2.00,4.00,2.00,332,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',16190,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6000100,4.00,5.00,3.00,3.00,5.00,7.13,1.00,3.00,2.00,318,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000118,4.00,6.00,0.00,6.00,7.00,5.25,4.00,7.00,3.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000134,2.00,4.00,0.00,3.00,3.00,6.38,0.00,0.00,1.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6000142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'MORUMBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6000169,2.00,5.00,2.00,4.00,6.00,6.75,2.00,1.00,2.00,235,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',19385,460,NULL,283,NULL,NULL,NULL,2,1),(25,6000177,7.00,6.00,5.00,6.00,7.00,10.13,4.00,9.00,7.00,103,NULL,NULL,'AGUAS CLARAS','TAGUATINGA','DF',1085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000185,5.00,7.00,2.00,6.00,7.00,10.88,2.00,4.00,3.00,503,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000193,2.00,7.00,2.00,2.00,7.00,9.38,2.00,7.00,4.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',11586,414,NULL,NULL,NULL,NULL,NULL,2,1),(25,6000215,5.00,6.00,0.00,5.00,10.00,9.38,2.00,4.00,2.00,319,NULL,NULL,'TRES PALMEIRAS','CEL FREITAS','SC',8872,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6000231,2.00,4.00,2.00,4.00,6.00,9.75,1.00,2.00,4.00,103,NULL,NULL,'MARTORANO','S JOAQUIM','SC',15045,4226,NULL,NULL,NULL,NULL,NULL,2,9),(25,6000240,5.00,6.00,6.00,6.00,8.00,8.63,2.00,7.00,6.00,501,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5928,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6000258,2.00,0.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,212,NULL,201,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6000266,2.00,4.00,2.00,2.00,8.00,8.63,1.00,2.00,3.00,653,NULL,NULL,'VILA BEATRIZ','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6000274,6.00,6.00,2.00,4.00,9.00,9.00,0.00,5.00,2.00,238,NULL,208,'VELHA','BLUMENAU','SC',9745,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6000282,4.00,6.00,4.00,5.00,7.00,9.00,2.00,7.00,2.00,318,NULL,NULL,'CENTRO','CRICIÚMA','SC',7912,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6000290,4.00,5.00,4.00,6.00,6.00,8.25,3.00,3.00,2.00,317,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',12330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000312,7.00,6.00,3.00,3.00,7.00,8.63,3.00,5.00,6.00,103,NULL,NULL,'VILA MARIA','BOTUCATU','SP',5783,2661,NULL,NULL,NULL,NULL,NULL,4,6),(25,6000320,2.00,5.00,2.00,1.00,4.00,6.75,0.00,3.00,1.00,501,NULL,NULL,'JARDIM NELLI','LENÇÓIS PAULISTA','SP',19531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000339,3.00,3.00,3.00,7.00,8.00,13.50,2.00,2.00,1.00,101,NULL,NULL,'GRUTA','ITUPORANGA','SC',12684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6000363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6000371,3.00,3.00,2.00,4.00,7.00,8.25,0.00,4.00,3.00,109,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',17795,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6000380,1.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6000398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'PRESIDENTE MEDICE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6000401,4.00,6.00,3.00,3.00,6.00,8.25,3.00,5.00,4.00,453,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6000428,1.00,4.00,2.00,5.00,6.00,7.88,1.00,2.00,2.00,304,NULL,NULL,'ENCANO BAIXO','INDAIAL','SC',17394,127,NULL,NULL,NULL,NULL,NULL,2,2),(25,6000436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6000452,3.00,4.00,3.00,4.00,7.00,5.63,3.00,3.00,3.00,207,NULL,201,'JOÃO PAULO','FLORIANÓPOLIS','SC',13864,750,NULL,1185,NULL,NULL,NULL,2,1),(25,6000460,4.00,6.00,3.00,7.00,9.00,10.88,3.00,9.00,4.00,5,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',4683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000479,5.00,5.00,2.00,7.00,9.00,9.75,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','FRANCA','SP',5493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000487,5.00,4.00,1.00,5.00,8.00,8.63,0.00,5.00,0.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14950,61,NULL,NULL,NULL,NULL,NULL,2,1),(25,6000509,4.00,3.00,3.00,4.00,7.00,9.00,4.00,5.00,3.00,450,NULL,NULL,'JARDIM NOVA ITÁLIA','LIMEIRA','SP',12714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000517,5.00,6.00,2.00,5.00,7.00,10.13,0.00,7.00,4.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7798,291,NULL,NULL,NULL,NULL,NULL,2,1),(25,6000525,7.00,6.00,2.00,5.00,9.00,9.00,1.00,5.00,4.00,103,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',7373,3037,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000550,5.00,5.00,2.00,5.00,8.00,NULL,0.00,2.00,0.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000568,8.00,8.00,6.00,6.00,9.00,10.88,4.00,9.00,7.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',691,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6000576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PLANO DIRETOR SUL','PALMAS','TO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6000584,7.00,6.00,7.00,7.00,8.00,12.38,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1093,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6000592,5.00,5.00,1.00,2.00,6.00,11.25,4.00,4.00,2.00,501,NULL,NULL,'JARDIM ESPERANÇA','CANOINHAS','SC',11421,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6000614,6.00,6.00,1.00,4.00,9.00,8.25,0.00,6.00,6.00,103,NULL,NULL,'CANCELLI','CASCAVEL','PR',7748,3131,NULL,NULL,NULL,NULL,NULL,4,4),(25,6000622,6.00,7.00,3.00,4.00,5.00,7.50,2.00,3.00,4.00,216,NULL,233,'TRES RIACHOS','BIGUAÇU','SC',12729,444,NULL,345,NULL,NULL,NULL,4,1),(25,6000630,3.00,6.00,0.00,3.00,6.00,7.88,2.00,5.00,2.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',15398,543,NULL,NULL,NULL,NULL,NULL,2,1),(25,6000649,3.00,4.00,4.00,6.00,7.00,7.50,0.00,4.00,4.00,503,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',14887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6000657,8.00,7.00,3.00,7.00,9.00,11.63,1.00,5.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000665,4.00,8.00,1.00,3.00,4.00,7.13,4.00,7.00,2.00,420,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',15514,149,NULL,NULL,NULL,NULL,NULL,2,1),(25,6000681,4.00,6.00,2.00,4.00,4.00,6.75,3.00,4.00,1.00,103,NULL,NULL,'AZAMBUJA','PEDRAS GRANDES','SC',13498,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6000703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6000711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'PORTO DOS PADRES','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6000720,8.00,7.00,4.00,7.00,8.00,7.50,2.00,4.00,7.00,103,NULL,NULL,'JOSÉ BONIFÁCIO','ERECHIM','RS',2937,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6000738,5.00,5.00,2.00,3.00,5.00,8.25,3.00,6.00,1.00,103,NULL,NULL,'SÃO JOSÉ','PALMARES SUL','RS',15635,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6000746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SANTA ROSA','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6000754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','PEDRAS GRANDES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6000762,2.00,2.00,1.00,1.00,3.00,NULL,1.00,0.00,2.00,308,NULL,NULL,'LIMEIRA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000770,4.00,3.00,5.00,5.00,8.00,8.63,1.00,3.00,2.00,238,NULL,652,'CORREGO GRANDE','FLORIANÓPOLIS','SC',11002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000789,7.00,7.00,5.00,7.00,8.00,10.13,3.00,9.00,6.00,103,NULL,NULL,'JOAQUINA','FLORIANÓPOLIS','SC',2184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000797,5.00,6.00,4.00,7.00,8.00,11.25,4.00,8.00,8.00,216,NULL,233,'CAPOEIRAS','FLORIANÓPOLIS','SC',2013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000800,3.00,3.00,2.00,2.00,4.00,NULL,0.00,3.00,0.00,450,NULL,NULL,'PAPAGAIO','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6000843,7.00,3.00,5.00,5.00,9.00,11.63,0.00,5.00,5.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',5096,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6000851,8.00,6.00,3.00,2.00,7.00,9.38,2.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000860,6.00,7.00,2.00,5.00,6.00,11.63,1.00,8.00,5.00,103,NULL,NULL,'CENTRO','CAXIAS SUL','RS',4291,2177,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000878,3.00,4.00,1.00,0.00,3.00,NULL,1.00,0.00,1.00,224,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6000894,3.00,2.00,0.00,5.00,4.00,NULL,1.00,4.00,3.00,109,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6000908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'PIMENTAS','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6000924,8.00,6.00,5.00,7.00,7.00,11.25,3.00,5.00,5.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',2902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6000932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6000959,7.00,6.00,2.00,6.00,6.00,8.63,4.00,6.00,5.00,103,NULL,NULL,'COQUEIRAL','CASCAVEL','PR',4435,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6000967,3.00,4.00,1.00,2.00,5.00,8.63,1.00,0.00,4.00,233,NULL,212,'ARIRIÚ','PALHOÇA','SC',19083,463,NULL,549,NULL,NULL,NULL,4,1),(25,6000975,3.00,2.00,2.00,3.00,3.00,8.25,2.00,1.00,2.00,654,NULL,NULL,'CENTRO','SOMBRIO','SC',20869,76,NULL,NULL,NULL,NULL,NULL,2,15),(25,6000983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'LOURDES','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6001009,2.00,5.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CENTRO','S JOÃO ITAPERIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6001017,4.00,5.00,1.00,8.00,9.00,8.25,2.00,7.00,4.00,214,NULL,235,'STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC',6453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001025,3.00,4.00,1.00,3.00,8.00,9.00,1.00,5.00,0.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',18707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VALE DO SOL','CLEVELÂNDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6001050,1.00,4.00,1.00,2.00,6.00,7.50,2.00,2.00,0.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',21343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001068,2.00,4.00,4.00,1.00,6.00,7.50,1.00,3.00,2.00,201,NULL,235,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6001076,1.00,3.00,0.00,2.00,4.00,NULL,0.00,5.00,2.00,207,NULL,201,'PASSO DO GADO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6001084,6.00,5.00,1.00,6.00,7.00,11.25,2.00,7.00,6.00,327,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001092,3.00,4.00,2.00,2.00,4.00,6.75,2.00,4.00,3.00,304,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001106,4.00,5.00,1.00,7.00,9.00,11.63,1.00,5.00,3.00,310,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001114,3.00,4.00,1.00,4.00,5.00,7.88,1.00,1.00,1.00,104,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',20651,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6001122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6001130,6.00,0.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(25,6001149,6.00,4.00,1.00,3.00,6.00,7.88,3.00,3.00,5.00,3,NULL,NULL,'ROÇADO','S JOSÉ','SC',13255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001173,3.00,3.00,1.00,3.00,6.00,7.88,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001181,6.00,4.00,4.00,4.00,7.00,8.63,2.00,7.00,5.00,316,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',9813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001190,6.00,5.00,1.00,5.00,10.00,6.75,1.00,4.00,1.00,103,NULL,NULL,'ST ANTÔNIO DE PÁDUA','TUBARÃO','SC',10442,3621,NULL,NULL,NULL,NULL,NULL,4,10),(25,6001203,7.00,6.00,7.00,6.00,10.00,9.00,3.00,8.00,7.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',2007,1246,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001211,5.00,5.00,3.00,1.00,7.00,7.88,6.00,5.00,1.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001220,2.00,2.00,1.00,3.00,7.00,5.63,2.00,3.00,2.00,109,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6001254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6001270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CAMPESTRE','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6001289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6001297,3.00,3.00,3.00,3.00,4.00,8.63,1.00,0.00,1.00,327,NULL,NULL,'CAMPINAS','S JOSÉ','SC',21038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001300,4.00,6.00,1.00,5.00,9.00,7.88,1.00,4.00,2.00,327,NULL,NULL,'FUNDOS','BIGUAÇU','SC',13352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001319,2.00,3.00,2.00,4.00,6.00,5.63,5.00,3.00,1.00,202,NULL,201,'AGRONÔMICA','FLORIANÓPOLIS','SC',17412,542,NULL,1442,NULL,NULL,NULL,2,1),(25,6001327,3.00,4.00,0.00,5.00,8.00,7.13,0.00,0.00,3.00,501,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19651,105,NULL,NULL,NULL,NULL,NULL,5,1),(25,6001351,0.00,2.00,1.00,3.00,5.00,7.50,3.00,2.00,1.00,202,NULL,235,'BERGER','CAÇADOR','SC',21344,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6001360,7.00,6.00,4.00,7.00,10.00,9.75,2.00,6.00,9.00,5,NULL,NULL,'VILA TATETUBA','S JOSÉ CAMPOS','SP',1829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6001394,6.00,5.00,2.00,5.00,6.00,9.00,0.00,5.00,2.00,319,NULL,NULL,'NOSSA SENHORA DO ROS','S JOSÉ','SC',11907,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001408,5.00,5.00,3.00,4.00,3.00,7.13,4.00,4.00,6.00,214,NULL,203,'SERRARIA','S JOSÉ','SC',11524,282,NULL,789,NULL,NULL,NULL,4,1),(25,6001416,7.00,5.00,6.00,3.00,8.00,9.00,3.00,4.00,5.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',5400,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6001440,3.00,6.00,3.00,5.00,5.00,7.13,2.00,2.00,3.00,601,NULL,201,'ESPINHEIROS','JOINVILLE','SC',16486,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6001459,5.00,4.00,4.00,4.00,7.00,5.25,2.00,3.00,4.00,235,NULL,201,'CH EMBU COLONIAL','EMBU','SP',11265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001467,7.00,7.00,2.00,7.00,9.00,10.88,2.00,8.00,6.00,5,NULL,NULL,'CIDADE LÍDER','S PAULO','SP',2307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001475,6.00,6.00,8.00,5.00,9.00,10.13,2.00,4.00,6.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',2287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6001491,9.00,7.00,4.00,5.00,9.00,9.75,5.00,8.00,7.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',662,457,NULL,NULL,NULL,NULL,NULL,2,8),(25,6001505,6.00,7.00,3.00,6.00,9.00,9.75,3.00,7.00,6.00,103,NULL,NULL,'PQ SAO QUIRINO','CAMPINAS','SP',2665,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6001521,5.00,2.00,5.00,5.00,7.00,7.50,1.00,2.00,1.00,104,NULL,NULL,'JARDIM ALVORADA','MARINGÁ','PR',13074,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001530,4.00,6.00,1.00,4.00,8.00,8.25,1.00,6.00,3.00,415,NULL,NULL,'FLORESTA','VIDEIRA','SC',9409,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6001556,3.00,5.00,3.00,7.00,7.00,8.25,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',8895,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6001572,1.00,3.00,0.00,1.00,6.00,NULL,0.00,4.00,2.00,103,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6001580,5.00,4.00,3.00,7.00,7.00,9.38,3.00,3.00,4.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10076,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001599,4.00,5.00,1.00,1.00,5.00,7.13,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','COLÍDER','MT',17221,4460,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001602,4.00,1.00,1.00,3.00,7.00,9.00,1.00,0.00,2.00,3,NULL,NULL,'IPIRANGA','S JOSÉ','SC',20575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001610,3.00,5.00,2.00,3.00,8.00,6.75,2.00,3.00,1.00,110,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001629,3.00,7.00,1.00,4.00,5.00,6.75,1.00,5.00,3.00,423,NULL,426,'CENTRO','ITAJAÍ','SC',15927,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6001637,1.00,6.00,1.00,3.00,7.00,7.88,2.00,6.00,4.00,424,NULL,NULL,'VILA NOVA','MAFRA','SC',12724,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6001645,4.00,5.00,1.00,4.00,8.00,7.50,1.00,3.00,1.00,303,NULL,NULL,'CENTRO','TOLEDO','PR',14713,672,NULL,NULL,NULL,NULL,NULL,2,4),(25,6001653,2.00,5.00,3.00,3.00,8.00,8.25,1.00,2.00,1.00,213,NULL,202,'JARDIM CRISTO REI','CANOINHAS','SC',14630,210,NULL,453,NULL,NULL,NULL,2,17),(25,6001661,5.00,6.00,1.00,5.00,7.00,12.75,2.00,3.00,4.00,452,NULL,NULL,'BARREIROS','S JOSÉ','SC',7036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001670,2.00,2.00,3.00,5.00,7.00,9.00,1.00,1.00,2.00,319,NULL,NULL,'VILA CALIFORNIA','S PAULO','SP',15275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001688,5.00,5.00,3.00,4.00,7.00,9.00,0.00,5.00,3.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10187,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001696,3.00,5.00,2.00,5.00,10.00,9.75,2.00,6.00,2.00,425,NULL,426,'BARREIROS','S JOSÉ','SC',10912,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6001718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMÉRICA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6001726,4.00,7.00,3.00,4.00,4.00,7.50,0.00,6.00,1.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',13041,4002,NULL,NULL,NULL,NULL,NULL,2,9),(25,6001734,5.00,8.00,3.00,7.00,10.00,12.00,3.00,8.00,7.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001742,5.00,3.00,3.00,4.00,7.00,6.75,1.00,3.00,1.00,220,NULL,NULL,'VILA SÃO JOSÉ','STO ANTÔNIO PLATINA','PR',18249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001750,4.00,6.00,4.00,6.00,9.00,12.00,2.00,5.00,6.00,331,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001769,7.00,7.00,3.00,6.00,9.00,8.25,3.00,5.00,8.00,207,NULL,201,'SANTA MÔNICA','FLORIANÓPOLIS','SC',2138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6001793,4.00,4.00,2.00,6.00,6.00,6.00,2.00,2.00,1.00,203,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001807,3.00,4.00,0.00,1.00,3.00,NULL,0.00,0.00,1.00,328,NULL,NULL,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001823,3.00,5.00,0.00,4.00,4.00,NULL,2.00,2.00,0.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001831,1.00,2.00,4.00,1.00,2.00,NULL,3.00,1.00,0.00,104,NULL,NULL,'CENTRO','IBAITI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6001840,0.00,5.00,2.00,2.00,4.00,NULL,1.00,1.00,1.00,207,NULL,238,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001866,2.00,6.00,1.00,4.00,7.00,NULL,3.00,0.00,1.00,203,NULL,235,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001874,6.00,5.00,3.00,5.00,7.00,7.13,0.00,6.00,3.00,303,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',9342,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6001890,6.00,5.00,2.00,5.00,6.00,5.25,1.00,2.00,1.00,202,NULL,220,'JD ITALIA','PIRASSUNUNGA','SP',17244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,220,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6001912,1.00,6.00,2.00,3.00,6.00,7.13,1.00,6.00,1.00,601,NULL,201,'CENTRO','ITAJAÍ','SC',19020,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6001920,8.00,6.00,6.00,7.00,8.00,9.38,3.00,6.00,4.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6001947,3.00,2.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001955,3.00,4.00,0.00,3.00,4.00,6.38,2.00,3.00,3.00,415,NULL,NULL,'CENTRO','PASSO TORRES','SC',17061,266,NULL,NULL,NULL,NULL,NULL,4,15),(25,6001963,4.00,5.00,1.00,5.00,9.00,8.25,0.00,4.00,3.00,201,NULL,207,'RIO CAVEIRAS','BIGUAÇU','SC',10867,901,NULL,556,NULL,NULL,NULL,2,1),(25,6001971,0.00,3.00,0.00,0.00,0.00,NULL,2.00,1.00,2.00,108,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6001980,7.00,4.00,3.00,2.00,7.00,7.50,4.00,5.00,5.00,201,NULL,601,'PROGRESSO','S BENTO SUL','SC',7977,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6001998,5.00,8.00,2.00,5.00,8.00,10.88,2.00,7.00,2.00,103,NULL,NULL,'GABIROBA','RIO OESTE','SC',7831,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6002005,2.00,4.00,2.00,6.00,6.00,8.63,0.00,1.00,0.00,215,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002013,2.00,3.00,0.00,6.00,8.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'CENTRO','LACERDÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6002021,9.00,9.00,7.00,6.00,10.00,12.75,6.00,8.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6002030,3.00,3.00,1.00,2.00,3.00,6.75,2.00,2.00,2.00,340,NULL,NULL,'JARDIM ITAMARATY','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'JARDIM ALVORADA','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6002064,2.00,4.00,0.00,2.00,5.00,9.75,1.00,1.00,5.00,214,NULL,212,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',19597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002072,8.00,6.00,6.00,6.00,8.00,13.13,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1422,923,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002080,8.00,7.00,1.00,6.00,8.00,9.38,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',3851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002129,5.00,6.00,3.00,5.00,6.00,6.00,3.00,4.00,3.00,302,NULL,NULL,'CENTRO','PALHOÇA','SC',11674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002137,4.00,3.00,0.00,2.00,2.00,NULL,0.00,1.00,1.00,319,NULL,NULL,'DOS ESTADOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6002145,5.00,4.00,3.00,4.00,3.00,9.00,1.00,0.00,1.00,109,NULL,NULL,'PAMPLONA','RIO SUL','SC',20189,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6002153,2.00,3.00,2.00,4.00,7.00,9.75,0.00,4.00,2.00,319,NULL,NULL,'SANTO ANTONIO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6002161,2.00,2.00,3.00,3.00,2.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'PDREIRAS','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6002170,4.00,5.00,1.00,5.00,6.00,9.00,2.00,4.00,1.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',16483,322,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002188,4.00,3.00,1.00,5.00,7.00,9.00,2.00,2.00,1.00,238,NULL,208,'KOBRASOL','S JOSÉ','SC',16198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002196,6.00,6.00,5.00,7.00,10.00,10.50,4.00,5.00,3.00,202,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',3587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002200,6.00,3.00,1.00,3.00,10.00,8.63,2.00,2.00,5.00,103,NULL,NULL,'CENTRO','INDAIAL','SC',13654,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6002218,2.00,4.00,1.00,4.00,5.00,10.88,0.00,2.00,3.00,235,NULL,233,'REAL PARQUE','S JOSÉ','SC',17212,413,NULL,434,NULL,NULL,NULL,2,1),(25,6002226,8.00,8.00,2.00,5.00,9.00,9.00,0.00,7.00,7.00,103,NULL,NULL,'CENTRO','PIRATUBA','SC',2441,1469,NULL,NULL,NULL,NULL,NULL,2,7),(25,6002242,6.00,7.00,7.00,5.00,8.00,7.50,2.00,8.00,7.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',2735,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002250,5.00,6.00,3.00,4.00,6.00,10.50,2.00,5.00,2.00,104,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',13382,319,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002269,2.00,2.00,1.00,5.00,6.00,8.63,1.00,3.00,0.00,110,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',17577,92,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002277,3.00,3.00,2.00,2.00,4.00,6.38,2.00,2.00,0.00,235,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002285,8.00,7.00,6.00,5.00,9.00,10.13,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',1445,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6002293,6.00,8.00,0.00,8.00,9.00,9.38,1.00,7.00,4.00,5,NULL,NULL,'CENTRO','CANOINHAS','SC',4917,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6002307,6.00,7.00,4.00,5.00,9.00,10.13,4.00,7.00,3.00,320,NULL,NULL,'BELA VISTA','S PAULO','SP',4292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002315,7.00,4.00,4.00,7.00,8.00,9.38,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',5053,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6002323,4.00,3.00,4.00,2.00,6.00,9.38,2.00,4.00,1.00,208,NULL,238,'MONTE CRISTO','FLORIANÓPOLIS','SC',14560,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002331,3.00,4.00,0.00,1.00,7.00,NULL,0.00,4.00,4.00,201,NULL,207,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002358,5.00,5.00,2.00,3.00,7.00,7.88,0.00,2.00,2.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',16811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6002382,9.00,8.00,8.00,5.00,8.00,10.88,6.00,9.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',240,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002390,2.00,6.00,1.00,2.00,6.00,3.00,3.00,4.00,0.00,103,NULL,NULL,'CENTRO','CEL VIVIDA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6002404,6.00,6.00,2.00,7.00,10.00,7.88,1.00,6.00,6.00,207,NULL,201,'VILA MORAES','S PAULO','SP',4273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002412,6.00,6.00,6.00,6.00,7.00,9.75,1.00,7.00,4.00,203,NULL,235,'PONTE DO IMARUIM','PALHOÇA','SC',5044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6002439,5.00,4.00,2.00,5.00,7.00,9.38,1.00,2.00,2.00,319,NULL,NULL,'BAETA NEVES','S BERNARDO CAMPO','SP',14050,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002447,7.00,5.00,4.00,5.00,8.00,4.50,2.00,6.00,4.00,453,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002455,2.00,3.00,3.00,1.00,3.00,7.13,1.00,1.00,0.00,429,NULL,425,'CAMPINAS','S JOSÉ','SC',21740,64,NULL,105,NULL,NULL,NULL,4,1),(25,6002463,3.00,6.00,1.00,4.00,5.00,NULL,0.00,2.00,1.00,551,NULL,NULL,'IBICUI VILA LIBINO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6002471,3.00,4.00,1.00,6.00,8.00,10.50,2.00,5.00,5.00,303,NULL,NULL,'MORROTES','TUBARÃO','SC',11572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002480,3.00,2.00,2.00,2.00,1.00,NULL,3.00,1.00,0.00,109,NULL,NULL,'CENTRO','GALVÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002498,3.00,4.00,2.00,3.00,4.00,7.50,0.00,2.00,3.00,340,NULL,NULL,'CAMBUI','CAMPINAS','SP',16330,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002501,5.00,4.00,2.00,6.00,9.00,7.88,3.00,4.00,5.00,336,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10273,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002528,3.00,5.00,3.00,4.00,7.00,8.25,1.00,2.00,3.00,653,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',12375,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6002544,4.00,6.00,5.00,5.00,6.00,7.50,1.00,6.00,4.00,202,NULL,238,'FORQUILHINHAS','S JOSÉ','SC',8435,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002552,8.00,7.00,7.00,4.00,9.00,9.38,6.00,8.00,8.00,103,NULL,NULL,'CENTRO','BARBOSA FERRAZ','PR',782,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6002560,7.00,5.00,2.00,4.00,9.00,10.13,3.00,1.00,6.00,207,NULL,214,'CAMBEBA','FORTALEZA','CE',8053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002579,7.00,6.00,7.00,4.00,6.00,7.50,4.00,6.00,6.00,201,NULL,233,'CAMPINAS','S JOSÉ','SC',5011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002587,7.00,7.00,4.00,5.00,5.00,7.13,1.00,6.00,2.00,103,NULL,NULL,'TARRAF I','S JOSÉ R PRETO','SP',7012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002595,6.00,7.00,2.00,4.00,6.00,7.13,1.00,7.00,5.00,303,NULL,NULL,'FZD SANTO ANTÔNIO','S JOSÉ','SC',8575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002609,4.00,5.00,3.00,3.00,8.00,6.75,3.00,5.00,2.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002617,3.00,4.00,0.00,1.00,7.00,NULL,2.00,2.00,1.00,238,NULL,208,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002625,9.00,8.00,2.00,6.00,9.00,14.25,4.00,7.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002641,5.00,6.00,2.00,4.00,7.00,6.75,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',9649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002668,4.00,5.00,2.00,4.00,6.00,9.75,3.00,5.00,4.00,404,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002676,3.00,7.00,1.00,2.00,5.00,8.25,2.00,2.00,4.00,233,NULL,202,'OFICINAS','TUBARÃO','SC',17016,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6002684,1.00,5.00,0.00,3.00,3.00,8.25,2.00,4.00,1.00,451,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',20870,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'LINHA GLORIA','CAIBI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6002706,5.00,4.00,2.00,4.00,8.00,5.63,2.00,2.00,1.00,235,NULL,213,'AGUA VERDE','CURITIBA','PR',15217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002714,4.00,3.00,1.00,4.00,6.00,7.88,3.00,3.00,4.00,104,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',15597,414,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002722,2.00,3.00,0.00,2.00,4.00,NULL,3.00,1.00,2.00,109,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002730,2.00,2.00,1.00,3.00,5.00,7.50,3.00,1.00,2.00,109,NULL,NULL,'LOTEAMENTO MADRI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ITAIÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6002757,3.00,2.00,1.00,2.00,5.00,NULL,0.00,1.00,2.00,999,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6002765,7.00,5.00,3.00,6.00,9.00,9.38,3.00,2.00,4.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6002781,5.00,5.00,1.00,5.00,9.00,8.63,2.00,4.00,1.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',9777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002790,2.00,3.00,1.00,2.00,4.00,6.75,2.00,2.00,1.00,653,NULL,202,'HUMAITA','TUBARÃO','SC',20681,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6002803,6.00,7.00,3.00,6.00,7.00,9.00,2.00,5.00,5.00,303,NULL,NULL,'BUCAREIN','JOINVILLE','SC',7266,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6002811,5.00,6.00,4.00,3.00,7.00,8.63,2.00,6.00,4.00,211,NULL,203,'GUEDES DE AZEVEDO','BAURU','SP',6708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002820,2.00,6.00,1.00,4.00,6.00,NULL,2.00,0.00,1.00,103,NULL,NULL,'JARDIM IATE CLUBE','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6002838,6.00,7.00,2.00,6.00,7.00,11.25,1.00,7.00,2.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7436,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002846,2.00,6.00,1.00,3.00,8.00,9.00,3.00,6.00,4.00,5,NULL,NULL,'IPIRANGA','S JOSÉ','SC',13053,454,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002854,2.00,5.00,5.00,2.00,2.00,NULL,0.00,1.00,3.00,101,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002862,5.00,5.00,3.00,6.00,6.00,8.25,4.00,6.00,4.00,303,NULL,NULL,'PARQUE VISTA ALEGRE','BAURU','SP',6447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002889,2.00,4.00,3.00,4.00,5.00,8.25,0.00,2.00,3.00,317,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',16370,98,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002897,4.00,1.00,4.00,1.00,5.00,5.63,2.00,4.00,1.00,103,NULL,NULL,'PIQUERI','S PAULO','SP',20069,4695,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002900,4.00,1.00,4.00,4.00,7.00,10.13,3.00,4.00,3.00,653,NULL,655,'SANTA LUZIA','CRICIÚMA','SC',12738,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6002919,7.00,5.00,6.00,4.00,8.00,10.13,3.00,5.00,7.00,103,NULL,NULL,'JARDIM IGUAÇU','MARINGÁ','PR',2793,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002927,5.00,4.00,1.00,2.00,7.00,7.13,2.00,1.00,3.00,3,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',15439,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6002935,4.00,5.00,2.00,6.00,7.00,7.88,2.00,6.00,3.00,202,NULL,220,'VENDAVAL','BIGUAÇU','SC',10575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002943,3.00,5.00,2.00,4.00,5.00,NULL,0.00,1.00,2.00,429,NULL,425,'JOAIA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6002951,9.00,7.00,6.00,4.00,8.00,12.00,2.00,8.00,8.00,103,NULL,NULL,'JARDIM MARIA LUIZA','CASCAVEL','PR',843,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6002986,4.00,4.00,2.00,2.00,8.00,8.63,0.00,5.00,3.00,317,NULL,NULL,'CENTRO','BIGUAÇU','SC',13712,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6002994,8.00,7.00,6.00,7.00,7.00,12.38,3.00,7.00,9.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003028,1.00,5.00,1.00,3.00,6.00,8.63,1.00,4.00,1.00,201,NULL,212,'TRIBESS','BLUMENAU','SC',20139,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6003036,3.00,4.00,1.00,3.00,4.00,7.50,4.00,1.00,3.00,104,NULL,NULL,'EFAPI','CHAPECÓ','SC',16398,446,NULL,NULL,NULL,NULL,NULL,4,4),(25,6003044,5.00,4.00,1.00,6.00,6.00,11.25,3.00,5.00,3.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003052,3.00,3.00,2.00,1.00,6.00,7.88,3.00,1.00,2.00,303,NULL,NULL,'HIGIANOPOLIS','S JOSÉ R PRETO','SP',15517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003060,6.00,6.00,4.00,4.00,8.00,8.25,0.00,6.00,5.00,102,NULL,NULL,'JARDIM SÃO MIGUEL','BIGUAÇU','SC',9418,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003079,3.00,7.00,3.00,7.00,8.00,8.63,1.00,5.00,6.00,601,NULL,203,'BOM RETIRO','JOINVILLE','SC',7142,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(25,6003087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6003095,3.00,2.00,1.00,3.00,3.00,9.00,1.00,0.00,1.00,310,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',21513,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6003109,4.00,4.00,2.00,5.00,6.00,8.63,3.00,4.00,1.00,451,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003117,6.00,6.00,3.00,8.00,9.00,9.75,1.00,5.00,5.00,103,NULL,NULL,'DEHON','TUBARÃO','SC',4212,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6003125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6003133,8.00,8.00,5.00,6.00,7.00,8.25,3.00,6.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6003150,6.00,5.00,2.00,6.00,7.00,6.75,1.00,6.00,1.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',12038,3870,NULL,NULL,NULL,NULL,NULL,4,8),(25,6003168,4.00,8.00,2.00,3.00,7.00,9.38,3.00,2.00,2.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6003184,2.00,3.00,0.00,4.00,3.00,5.25,2.00,1.00,3.00,104,NULL,NULL,'INTERIOR','ARABUTÃ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6003192,3.00,3.00,3.00,2.00,6.00,7.13,2.00,2.00,3.00,216,NULL,235,'ITACORUBI','FLORIANÓPOLIS','SC',17066,550,NULL,407,NULL,NULL,NULL,2,1),(25,6003206,4.00,4.00,1.00,3.00,7.00,7.88,0.00,2.00,3.00,3,NULL,NULL,'CENTRO','LAGES','SC',18494,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6003214,3.00,4.00,2.00,2.00,4.00,8.25,3.00,2.00,1.00,601,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',18411,509,NULL,NULL,NULL,NULL,NULL,4,8),(25,6003222,7.00,6.00,6.00,7.00,9.00,9.38,2.00,9.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1236,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6003230,2.00,4.00,1.00,6.00,5.00,7.88,2.00,3.00,1.00,208,NULL,238,'PASSA VINTE','PALHOÇA','SC',15585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003249,6.00,5.00,1.00,3.00,7.00,10.50,1.00,3.00,2.00,211,NULL,653,'OFICINAS','TUBARÃO','SC',11404,283,NULL,NULL,NULL,NULL,NULL,2,10),(25,6003265,0.00,3.00,1.00,3.00,2.00,NULL,2.00,0.00,1.00,109,NULL,NULL,'ANDRADE','PINDAMONHANGABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6003273,4.00,6.00,0.00,3.00,8.00,7.50,1.00,5.00,4.00,103,NULL,NULL,'TREMEMBÉ','S PAULO','SP',10643,3657,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003290,3.00,5.00,5.00,2.00,6.00,4.88,2.00,3.00,4.00,220,NULL,202,'PARQUE PINHEIROS','BIRIGÜI','SP',11562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003303,4.00,3.00,2.00,3.00,6.00,9.38,3.00,3.00,2.00,335,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',18114,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6003311,7.00,6.00,4.00,5.00,7.00,8.25,1.00,5.00,2.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',9541,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6003320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6003338,2.00,5.00,2.00,4.00,7.00,NULL,0.00,4.00,2.00,421,NULL,427,'PETROPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(25,6003346,4.00,4.00,2.00,4.00,9.00,6.75,3.00,4.00,4.00,453,NULL,NULL,'BARREIROS','S JOSÉ','SC',13113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003362,3.00,1.00,2.00,3.00,5.00,6.00,1.00,4.00,0.00,103,NULL,NULL,'REUNIDAS','CAÇADOR','SC',21084,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6003370,3.00,3.00,3.00,4.00,4.00,7.50,0.00,1.00,3.00,202,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',19923,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6003389,6.00,6.00,2.00,5.00,8.00,10.13,1.00,2.00,4.00,102,NULL,NULL,'ITÚ SABARÁ','PTO ALEGRE','RS',7008,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6003397,2.00,2.00,1.00,2.00,6.00,6.38,1.00,4.00,1.00,101,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6003400,4.00,5.00,0.00,4.00,5.00,NULL,1.00,3.00,3.00,444,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6003419,4.00,5.00,3.00,5.00,8.00,10.50,1.00,6.00,4.00,340,NULL,NULL,'AMERICANO','LAJEADO','RS',7976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM LIMOEIRO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6003435,1.00,3.00,2.00,3.00,6.00,8.63,1.00,0.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003451,5.00,2.00,0.00,2.00,6.00,9.00,2.00,5.00,1.00,333,NULL,NULL,'MARAFON','VIDEIRA','SC',17747,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6003460,1.00,4.00,2.00,5.00,8.00,10.13,2.00,1.00,1.00,444,NULL,NULL,'ESTRELA','S MIGUEL OESTE','SC',14090,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6003478,8.00,7.00,8.00,3.00,8.00,9.00,2.00,6.00,8.00,103,NULL,NULL,'DEBORA CRISTIN','S JOSÉ R PRETO','SP',1530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003486,4.00,5.00,3.00,3.00,8.00,7.88,2.00,2.00,3.00,316,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6003508,2.00,4.00,2.00,3.00,7.00,7.50,2.00,3.00,3.00,103,NULL,NULL,'PEREIRA','BARRETOS','SP',16839,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6003516,7.00,6.00,0.00,6.00,8.00,NULL,0.00,4.00,3.00,102,NULL,NULL,'CENTRO','RIO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6003532,7.00,7.00,2.00,7.00,8.00,9.38,2.00,6.00,6.00,415,NULL,NULL,'PARANÁ','PALMITAL','SP',3321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6003559,7.00,6.00,1.00,4.00,8.00,9.75,1.00,5.00,5.00,103,NULL,NULL,'GABIROBA','RIO OESTE','SC',7680,3112,NULL,NULL,NULL,NULL,NULL,2,9),(25,6003567,3.00,4.00,3.00,3.00,2.00,NULL,1.00,3.00,0.00,444,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6003575,8.00,8.00,6.00,7.00,8.00,10.88,6.00,9.00,5.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003583,2.00,3.00,3.00,2.00,3.00,6.38,2.00,1.00,2.00,316,NULL,NULL,'RTONES','FLORIANÓPOLIS','SC',20324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003591,5.00,5.00,1.00,6.00,6.00,6.38,3.00,3.00,5.00,238,NULL,208,'CENTRO','TIJUCAS','SC',10628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003605,3.00,3.00,2.00,5.00,7.00,9.00,2.00,1.00,2.00,415,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',18063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003630,7.00,8.00,2.00,7.00,7.00,8.63,2.00,7.00,5.00,340,NULL,NULL,'PIO X','CAXIAS SUL','RS',4970,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6003648,7.00,5.00,4.00,7.00,6.00,9.38,3.00,5.00,6.00,208,NULL,238,'JOÃO PAULO','FLORIANÓPOLIS','SC',4983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6003664,2.00,4.00,1.00,4.00,7.00,9.38,1.00,1.00,1.00,303,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6003699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CELINA','BARRETOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6003729,1.00,5.00,1.00,3.00,8.00,8.25,0.00,2.00,3.00,2,NULL,NULL,'CENTRO','ASCURRA','SC',19565,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6003737,7.00,4.00,5.00,6.00,8.00,7.50,4.00,6.00,3.00,220,NULL,203,'CENTRO','SARANDI','RS',5789,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6003745,7.00,6.00,2.00,7.00,9.00,10.13,4.00,4.00,7.00,208,NULL,238,'JARDIM ITÁLIA','CHAPECÓ','SC',3351,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6003753,8.00,6.00,2.00,4.00,10.00,7.88,1.00,5.00,7.00,103,NULL,NULL,'ESPINHEIROS','JOINVILLE','SC',4323,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6003761,5.00,5.00,4.00,5.00,10.00,10.50,2.00,6.00,4.00,5,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',5280,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6003770,8.00,7.00,7.00,7.00,9.00,13.50,4.00,8.00,8.00,103,NULL,NULL,'VALE DE SAN FERNANDO','LONDRINA','PR',75,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003788,2.00,5.00,0.00,1.00,7.00,NULL,1.00,4.00,2.00,110,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003818,4.00,6.00,1.00,5.00,5.00,7.88,1.00,2.00,0.00,444,NULL,NULL,'MORADA DO SOL','IJUÍ','RS',16112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003826,3.00,2.00,3.00,3.00,7.00,7.50,1.00,1.00,0.00,211,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',18326,483,NULL,532,NULL,NULL,NULL,2,1),(25,6003834,4.00,2.00,0.00,1.00,5.00,6.00,3.00,1.00,2.00,220,NULL,203,'TURIBIO VERISSIMO','CRUZ ALTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6003842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'TINGUI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6003850,5.00,4.00,3.00,2.00,6.00,7.13,4.00,4.00,2.00,203,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',15411,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6003869,0.00,1.00,0.00,1.00,4.00,NULL,2.00,0.00,0.00,104,NULL,NULL,'BOA VISTA','JUARA','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6003877,8.00,7.00,5.00,7.00,9.00,10.50,2.00,7.00,6.00,303,NULL,NULL,'CENTRO','POMERODE','SC',1598,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6003893,2.00,4.00,1.00,3.00,7.00,6.00,1.00,3.00,1.00,653,NULL,655,'POÇO DA LONTRA','TURVO','SC',18543,186,NULL,113,NULL,NULL,NULL,2,15),(25,6003907,4.00,6.00,0.00,6.00,8.00,10.13,3.00,5.00,2.00,103,NULL,NULL,'CORAL','LAGES','SC',9312,3444,NULL,NULL,NULL,NULL,NULL,4,9),(25,6003915,7.00,7.00,4.00,5.00,10.00,9.75,4.00,8.00,5.00,103,NULL,NULL,'VILA FLORESTA I','CRICIÚMA','SC',1775,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6003923,3.00,4.00,0.00,3.00,6.00,6.00,0.00,1.00,2.00,103,NULL,NULL,'VILA IMAPE','CPO LIMPO PAULISTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003931,4.00,6.00,4.00,4.00,9.00,8.63,2.00,3.00,4.00,201,NULL,233,'RIO SALTO','TREZE MAIO','SC',7669,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6003940,8.00,8.00,8.00,3.00,5.00,8.63,4.00,7.00,8.00,201,NULL,211,'PRAIA TREZE DE JULHO','ARACAJU','SE',2525,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6003958,6.00,6.00,2.00,5.00,8.00,9.38,1.00,7.00,3.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',8520,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6003966,7.00,5.00,4.00,4.00,7.00,9.00,3.00,4.00,4.00,103,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',7096,2985,NULL,NULL,NULL,NULL,NULL,4,1),(25,6003982,4.00,5.00,1.00,3.00,5.00,7.50,1.00,3.00,1.00,5,NULL,NULL,'CASCATAS','CPO ALEGRE','SC',19533,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6003990,7.00,8.00,4.00,5.00,9.00,9.75,3.00,7.00,5.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2433,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6004008,4.00,5.00,4.00,6.00,8.00,9.75,2.00,5.00,4.00,216,NULL,203,'CENTRO','S MIGUEL OESTE','SC',6448,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6004016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6004024,5.00,7.00,3.00,5.00,8.00,10.88,4.00,2.00,4.00,212,NULL,238,'KOBRASOL','S JOSÉ','SC',6026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004032,3.00,5.00,1.00,7.00,4.00,8.25,2.00,3.00,0.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',18226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004040,6.00,6.00,5.00,6.00,8.00,10.13,2.00,5.00,6.00,203,NULL,202,'CENTRO','S LUDGERO','SC',4184,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6004059,2.00,2.00,0.00,0.00,4.00,NULL,0.00,1.00,2.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6004067,4.00,3.00,2.00,2.00,4.00,7.88,2.00,4.00,0.00,207,NULL,215,'PRAIA COMPRIDA','S JOSÉ','SC',18926,1016,NULL,308,NULL,NULL,NULL,2,1),(25,6004075,4.00,6.00,4.00,3.00,6.00,6.00,1.00,6.00,2.00,450,NULL,NULL,'VILA NOVA','TRÊS LAGOAS','MS',12340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004091,8.00,6.00,4.00,7.00,10.00,9.00,1.00,2.00,7.00,103,NULL,NULL,'HIGIENOPOLIS','PTO ALEGRE','RS',3471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6004105,2.00,5.00,2.00,2.00,5.00,8.63,1.00,2.00,2.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',17490,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6004113,2.00,5.00,1.00,5.00,10.00,10.50,0.00,3.00,1.00,215,NULL,233,'JARDIM APOLO','S JOSÉ CAMPOS','SP',13592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004130,6.00,8.00,4.00,7.00,9.00,10.13,1.00,5.00,7.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',2846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004156,2.00,1.00,2.00,2.00,7.00,6.75,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','CARLOS BARBOSA','RS',19598,4653,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004172,3.00,7.00,2.00,5.00,5.00,10.13,0.00,4.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14064,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6004199,8.00,5.00,4.00,6.00,5.00,8.63,2.00,5.00,6.00,208,NULL,202,'BOM ABRIGO','FLORIANÓPOLIS','SC',6745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004210,4.00,5.00,2.00,3.00,5.00,8.63,0.00,3.00,4.00,335,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',18869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004237,3.00,5.00,3.00,5.00,6.00,7.88,1.00,4.00,3.00,317,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',14787,73,NULL,NULL,NULL,NULL,NULL,2,1),(25,6004245,3.00,7.00,3.00,6.00,8.00,7.88,4.00,5.00,2.00,420,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',8652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6004253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UNIVERSITÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6004261,8.00,7.00,5.00,7.00,8.00,7.50,7.00,5.00,8.00,103,NULL,NULL,'LOT FERNANDA','CAPINZAL','SC',900,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004270,2.00,2.00,3.00,2.00,1.00,NULL,0.00,0.00,0.00,208,NULL,655,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6004288,1.00,1.00,2.00,2.00,3.00,5.25,1.00,2.00,3.00,5,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TREZE DE JULHO','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6004300,5.00,3.00,2.00,6.00,8.00,8.25,2.00,3.00,3.00,215,NULL,211,'VILA ALPINA','S PAULO','SP',11138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004318,1.00,5.00,1.00,4.00,6.00,7.88,3.00,4.00,3.00,317,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',18387,150,NULL,NULL,NULL,NULL,NULL,2,1),(25,6004326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','AGROLÂNDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6004342,5.00,6.00,3.00,6.00,7.00,8.25,3.00,7.00,5.00,601,NULL,212,'JARDIM DAS ACACIAS','QUATRO BARRAS','PR',5980,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6004350,2.00,3.00,1.00,2.00,5.00,9.75,2.00,1.00,2.00,327,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',20707,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6004369,3.00,3.00,2.00,3.00,5.00,9.00,1.00,3.00,1.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',19587,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6004377,2.00,5.00,1.00,3.00,6.00,5.25,2.00,5.00,2.00,303,NULL,NULL,'QUINTO BEC','VILHENA','RO',17018,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6004385,3.00,4.00,2.00,6.00,8.00,10.88,2.00,2.00,2.00,425,NULL,428,'ITAGUAÇU','FLORIANÓPOLIS','SC',14024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004415,3.00,4.00,1.00,4.00,4.00,8.63,2.00,2.00,1.00,653,NULL,655,'JARDIM ELIZABETE','IÇARA','SC',17843,175,NULL,97,NULL,NULL,NULL,4,5),(25,6004423,3.00,5.00,2.00,5.00,8.00,9.75,4.00,5.00,5.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8062,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6004431,3.00,6.00,3.00,7.00,9.00,9.38,1.00,4.00,4.00,301,NULL,NULL,'FLORESTA','S JOSÉ','SC',7814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004458,5.00,5.00,2.00,4.00,4.00,8.25,2.00,4.00,5.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6004466,6.00,6.00,2.00,3.00,10.00,10.13,2.00,7.00,8.00,216,NULL,202,'PLANALTO','ARAUCÁRIA','PR',4079,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6004474,5.00,4.00,1.00,4.00,8.00,9.00,0.00,2.00,3.00,3,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',16806,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6004482,2.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COM COM','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(25,6004490,9.00,6.00,3.00,7.00,8.00,9.38,5.00,6.00,5.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',1954,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6004504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6004512,3.00,5.00,2.00,6.00,4.00,6.00,2.00,0.00,2.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',20114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004520,3.00,6.00,2.00,5.00,7.00,7.88,1.00,4.00,1.00,336,NULL,NULL,'SEMINÁRIO','CURITIBA','PR',14413,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6004539,6.00,8.00,0.00,6.00,7.00,9.38,2.00,7.00,2.00,310,NULL,NULL,'CENTRO','S JOSÉ','SC',7490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004547,2.00,4.00,2.00,6.00,6.00,9.00,0.00,1.00,2.00,340,NULL,NULL,'CENTRO','VACARIA','RS',19542,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6004555,4.00,5.00,3.00,1.00,3.00,8.25,1.00,7.00,4.00,601,NULL,208,'CENTRO','JOINVILLE','SC',12622,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6004571,5.00,3.00,2.00,4.00,3.00,7.13,2.00,5.00,3.00,109,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14577,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6004580,8.00,6.00,5.00,7.00,11.00,9.75,4.00,8.00,6.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004598,2.00,3.00,4.00,5.00,5.00,8.25,3.00,3.00,2.00,317,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',14286,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6004601,5.00,6.00,3.00,7.00,7.00,9.75,3.00,8.00,4.00,202,NULL,220,'CENTRO','HORIZONTINA','RS',4806,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6004610,7.00,7.00,7.00,5.00,10.00,12.00,4.00,7.00,9.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6004628,6.00,5.00,3.00,5.00,8.00,8.63,2.00,4.00,6.00,303,NULL,NULL,'GUANABARA','JOINVILLE','SC',9793,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6004636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MANAUS','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6004644,4.00,3.00,4.00,1.00,7.00,6.75,1.00,2.00,2.00,238,NULL,208,'CENTRO','S JOSÉ','SC',15850,339,NULL,366,NULL,NULL,NULL,4,1),(25,6004652,6.00,5.00,5.00,3.00,7.00,9.00,0.00,4.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004660,4.00,4.00,2.00,6.00,7.00,7.13,2.00,5.00,2.00,5,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',13645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'SÃO JOSÉ','ESTAÇÃO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6004687,5.00,8.00,4.00,5.00,8.00,10.13,3.00,6.00,7.00,201,NULL,212,'LARANJEIRAS','RIO SUL','SC',3235,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6004695,2.00,4.00,1.00,5.00,3.00,NULL,0.00,4.00,2.00,331,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6004709,2.00,5.00,3.00,2.00,4.00,9.00,1.00,3.00,3.00,104,NULL,NULL,'CERRO NEGRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6004717,4.00,3.00,0.00,2.00,5.00,NULL,3.00,1.00,0.00,601,NULL,203,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(25,6004725,2.00,0.00,1.00,1.00,5.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6004750,7.00,7.00,3.00,5.00,7.00,8.25,3.00,6.00,7.00,303,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',4747,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6004768,2.00,5.00,2.00,2.00,1.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'NOVA STETTIN','IBIRAMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6004776,1.00,3.00,0.00,2.00,4.00,NULL,2.00,3.00,0.00,110,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6004784,3.00,6.00,1.00,6.00,5.00,6.75,0.00,3.00,1.00,339,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',17111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6004792,7.00,6.00,5.00,7.00,10.00,10.88,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',1002,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6004806,1.00,2.00,0.00,3.00,5.00,NULL,2.00,3.00,0.00,104,NULL,NULL,'ENSEADA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6004814,5.00,5.00,3.00,6.00,7.00,9.00,2.00,3.00,4.00,202,NULL,203,'ESCOLA AGRÍCOLA','BLUMENAU','SC',9123,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6004849,4.00,6.00,2.00,3.00,6.00,9.00,0.00,4.00,5.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',11080,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6004857,4.00,6.00,2.00,2.00,4.00,7.50,0.00,1.00,3.00,201,NULL,212,'BELA VISTA','PALHOÇA','SC',18895,1552,NULL,547,NULL,NULL,NULL,2,1),(25,6004873,2.00,1.00,3.00,2.00,1.00,NULL,1.00,2.00,0.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004920,7.00,2.00,3.00,5.00,9.00,9.75,1.00,6.00,3.00,207,NULL,NULL,'VILA SANTA HELENA','PRES PRUDENTE','SP',6709,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6004938,1.00,5.00,2.00,4.00,5.00,4.88,3.00,6.00,0.00,9,NULL,NULL,'POTECAS','S JOSÉ','SC',16235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6004946,2.00,7.00,1.00,4.00,7.00,9.00,2.00,2.00,2.00,999,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6004954,2.00,1.00,2.00,4.00,2.00,NULL,2.00,2.00,0.00,109,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6004962,5.00,7.00,5.00,7.00,8.00,11.63,2.00,4.00,5.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004970,4.00,4.00,4.00,4.00,7.00,NULL,0.00,1.00,2.00,404,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6004989,5.00,7.00,3.00,6.00,5.00,7.50,1.00,2.00,3.00,234,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6004997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CARAVELI','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6005004,5.00,6.00,3.00,4.00,5.00,7.50,3.00,5.00,3.00,212,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',12136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6005012,4.00,5.00,2.00,2.00,8.00,7.50,1.00,2.00,3.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',13243,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6005039,6.00,6.00,3.00,5.00,7.00,8.25,3.00,5.00,6.00,3,NULL,NULL,'CENTRO','VACARIA','RS',4711,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6005047,1.00,4.00,2.00,3.00,5.00,9.38,0.00,2.00,1.00,303,NULL,NULL,'PRADO','BIGUAÇU','SC',18118,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6005055,2.00,2.00,3.00,6.00,6.00,7.13,0.00,2.00,0.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',18971,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6005063,6.00,6.00,2.00,5.00,8.00,10.13,2.00,5.00,4.00,201,NULL,216,'CARIANOS','FLORIANÓPOLIS','SC',6341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005071,5.00,5.00,3.00,6.00,6.00,7.13,0.00,3.00,3.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',12230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005080,3.00,5.00,3.00,3.00,9.00,7.50,2.00,6.00,2.00,109,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11569,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6005098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CRISTO REI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6005101,9.00,7.00,9.00,7.00,9.00,8.63,2.00,5.00,7.00,203,NULL,214,'CAPOEIRAS','FLORIANÓPOLIS','SC',713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005136,6.00,6.00,1.00,5.00,8.00,9.75,2.00,5.00,2.00,214,NULL,220,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',10957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005144,2.00,2.00,2.00,0.00,3.00,6.00,2.00,0.00,0.00,211,NULL,653,'ARI LUNARDI','XAXIM','SC',21121,560,NULL,234,NULL,NULL,NULL,4,4),(25,6005152,7.00,6.00,2.00,6.00,9.00,12.00,3.00,7.00,7.00,103,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',1569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005179,5.00,5.00,2.00,6.00,6.00,11.25,3.00,4.00,4.00,203,NULL,214,'CENTRO','CORBÉLIA','PR',7919,597,NULL,205,NULL,NULL,NULL,2,4),(25,6005187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6005195,3.00,5.00,2.00,6.00,3.00,5.63,2.00,1.00,0.00,421,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',20286,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6005209,2.00,4.00,1.00,2.00,3.00,0.00,1.00,0.00,1.00,328,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005217,1.00,1.00,2.00,3.00,6.00,8.25,1.00,0.00,0.00,425,NULL,426,'FIGUEIRA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6005225,5.00,6.00,3.00,6.00,8.00,9.38,1.00,6.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005233,6.00,4.00,1.00,3.00,7.00,7.13,2.00,2.00,0.00,9,NULL,NULL,'LIBERDADE','NOVO HAMBURGO','RS',17134,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6005241,5.00,6.00,1.00,4.00,6.00,9.38,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','LAGES','SC',9503,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6005250,5.00,6.00,2.00,6.00,9.00,6.00,1.00,7.00,3.00,203,NULL,202,'CENTRO','S JOÃO TRIUNFO','PR',7270,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6005268,5.00,4.00,4.00,4.00,7.00,7.50,1.00,3.00,4.00,5,NULL,NULL,'CENTRO','CHAPECÓ','SC',10195,373,NULL,NULL,NULL,NULL,NULL,2,4),(25,6005276,6.00,6.00,4.00,6.00,7.00,9.38,3.00,5.00,4.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',5307,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6005284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6005292,6.00,5.00,4.00,2.00,7.00,6.75,0.00,2.00,2.00,216,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',17145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005306,4.00,4.00,3.00,6.00,7.00,8.63,4.00,3.00,1.00,234,NULL,NULL,'RECANTO DO SALTO','LONDRINA','PR',13235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005322,7.00,7.00,2.00,4.00,6.00,8.25,2.00,6.00,7.00,103,NULL,NULL,'CIDADE JULIA','S PAULO','SP',6281,2774,NULL,NULL,NULL,NULL,NULL,2,8),(25,6005330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM SABO','STO ÂNGELO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6005365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6005381,1.00,3.00,0.00,0.00,2.00,NULL,0.00,1.00,1.00,238,NULL,207,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005403,5.00,4.00,0.00,4.00,5.00,10.13,2.00,3.00,3.00,104,NULL,NULL,'SCHREIBER','SALETE','SC',16116,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6005411,1.00,3.00,0.00,1.00,3.00,7.88,3.00,1.00,0.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6005438,4.00,5.00,2.00,2.00,3.00,7.13,2.00,0.00,3.00,103,NULL,NULL,'HUMÁITA DE CIMA','TUBARÃO','SC',18860,4577,NULL,NULL,NULL,NULL,NULL,4,10),(25,6005446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6005454,3.00,4.00,2.00,1.00,6.00,6.38,2.00,2.00,0.00,655,NULL,652,'MANGUEIRINHA','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6005470,5.00,6.00,1.00,4.00,5.00,7.88,0.00,2.00,1.00,601,NULL,220,'SILOS','SANANDUVA','RS',19303,541,NULL,475,NULL,NULL,NULL,2,1),(25,6005489,4.00,3.00,0.00,2.00,5.00,NULL,2.00,0.00,1.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6005497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'USINA','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6005519,5.00,8.00,4.00,5.00,7.00,10.88,0.00,5.00,4.00,310,NULL,NULL,'CENTRO','BOMBINHAS','SC',6089,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6005527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,207,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6005535,4.00,5.00,1.00,3.00,3.00,8.25,1.00,2.00,3.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',17524,96,NULL,NULL,NULL,NULL,NULL,2,1),(25,6005543,7.00,8.00,4.00,7.00,9.00,8.25,2.00,7.00,5.00,303,NULL,NULL,'LIBERDADE','S PAULO','SP',2660,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6005551,5.00,7.00,3.00,7.00,9.00,13.13,2.00,7.00,6.00,999,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6005560,4.00,5.00,0.00,6.00,9.00,NULL,0.00,3.00,0.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005578,2.00,3.00,2.00,1.00,5.00,7.88,1.00,4.00,2.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',20689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005586,2.00,2.00,0.00,1.00,0.00,NULL,1.00,1.00,2.00,308,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6005594,5.00,6.00,3.00,5.00,8.00,7.50,1.00,4.00,3.00,102,NULL,NULL,'BARRAGEM','RIO SUL','SC',9224,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6005616,3.00,4.00,3.00,6.00,7.00,9.00,1.00,1.00,2.00,103,NULL,NULL,'FLORESTA','CAXIAS SUL','RS',13183,4024,NULL,NULL,NULL,NULL,NULL,4,9),(25,6005624,4.00,6.00,4.00,3.00,4.00,6.75,2.00,1.00,1.00,426,NULL,429,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',20064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005632,1.00,3.00,1.00,3.00,2.00,NULL,0.00,2.00,2.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6005640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6005659,3.00,4.00,2.00,2.00,7.00,NULL,0.00,2.00,2.00,235,NULL,213,'PRAINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6005667,1.00,4.00,2.00,1.00,2.00,NULL,0.00,1.00,1.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6005675,2.00,0.00,3.00,3.00,3.00,NULL,0.00,0.00,0.00,214,NULL,235,'POÇO RICO','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,9),(25,6005683,2.00,3.00,0.00,5.00,8.00,8.63,1.00,3.00,2.00,202,NULL,213,'SALTO','BLUMENAU','SC',18513,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6005691,3.00,4.00,3.00,2.00,4.00,NULL,0.00,1.00,3.00,220,NULL,201,'SAGARDO CORAÇAO DE J','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6005705,7.00,7.00,5.00,3.00,7.00,8.25,5.00,7.00,4.00,103,NULL,NULL,'SERRARIA','S JOSÉ','SC',4415,2226,NULL,NULL,NULL,NULL,NULL,2,1),(25,6005713,5.00,7.00,4.00,5.00,7.00,10.88,1.00,8.00,7.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005721,5.00,3.00,3.00,7.00,7.00,7.50,3.00,2.00,4.00,201,NULL,207,'CENTRO','BAL CAMBORIÚ','SC',11038,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6005730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6005748,3.00,4.00,1.00,5.00,4.00,8.63,3.00,4.00,3.00,103,NULL,NULL,'COND CAMPOS STO ANTO','ITU','SP',12160,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6005756,7.00,7.00,3.00,5.00,8.00,NULL,0.00,6.00,6.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005764,4.00,4.00,3.00,0.00,5.00,10.88,0.00,2.00,2.00,655,NULL,216,'CENTRO','IÇARA','SC',19576,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6005772,4.00,5.00,2.00,4.00,5.00,7.13,1.00,4.00,2.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',14616,134,NULL,NULL,NULL,NULL,NULL,2,1),(25,6005780,8.00,5.00,4.00,5.00,10.00,12.00,3.00,8.00,5.00,104,NULL,NULL,'SEMINÁRIO','TAIÓ','SC',2341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005799,3.00,2.00,3.00,4.00,2.00,NULL,3.00,4.00,3.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6005802,7.00,5.00,3.00,5.00,8.00,8.63,3.00,7.00,7.00,103,NULL,NULL,'JARDIM ALVORADA','LONDRINA','PR',4126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005810,4.00,7.00,3.00,3.00,5.00,4.50,1.00,4.00,3.00,653,NULL,655,'MORRO ESTEVÃO','CRICIÚMA','SC',18569,189,NULL,114,NULL,NULL,NULL,2,5),(25,6005837,4.00,5.00,2.00,6.00,6.00,9.75,2.00,3.00,2.00,451,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005853,5.00,4.00,5.00,5.00,6.00,6.00,3.00,6.00,6.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',7926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6005861,3.00,5.00,2.00,3.00,5.00,10.50,0.00,4.00,3.00,601,NULL,201,'ADEMAR GARCIA','JOINVILLE','SC',16581,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6005870,3.00,5.00,0.00,3.00,6.00,5.63,0.00,1.00,2.00,101,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',17546,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6005888,7.00,7.00,5.00,6.00,10.00,11.25,2.00,8.00,7.00,201,NULL,207,'BARREIROS','S JOSÉ','SC',1211,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6005896,4.00,8.00,4.00,7.00,10.00,0.00,1.00,5.00,7.00,999,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6005900,6.00,7.00,3.00,6.00,9.00,9.75,1.00,6.00,3.00,303,NULL,NULL,'PARQUE SAO PAULO','CASCAVEL','PR',5531,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6005918,7.00,8.00,2.00,4.00,7.00,6.38,2.00,8.00,6.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',5639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005934,4.00,5.00,1.00,4.00,7.00,6.75,1.00,5.00,0.00,333,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',15120,106,NULL,NULL,NULL,NULL,NULL,2,1),(25,6005950,3.00,5.00,3.00,2.00,5.00,8.25,1.00,3.00,3.00,451,NULL,NULL,'BELA VISTA','ITUPORANGA','SC',15429,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005969,6.00,7.00,4.00,6.00,9.00,11.25,1.00,5.00,4.00,214,NULL,220,'CENTRO','RIBEIRÃO PRETO','SP',4489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005977,3.00,4.00,2.00,1.00,7.00,7.50,1.00,2.00,3.00,2,NULL,NULL,'CENTRO','TIJUCAS','SC',19525,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6005985,5.00,7.00,3.00,5.00,7.00,7.50,3.00,7.00,4.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6005993,4.00,4.00,3.00,6.00,6.00,6.75,0.00,2.00,3.00,415,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',16582,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6006000,6.00,6.00,0.00,6.00,7.00,7.50,3.00,2.00,4.00,201,NULL,202,'JD PAULISTA','AMERICANA','SP',9376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006019,4.00,8.00,2.00,4.00,7.00,10.13,2.00,4.00,3.00,428,NULL,426,'PAQUETÁ','BRUSQUE','SC',9577,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6006027,6.00,5.00,1.00,5.00,6.00,10.13,0.00,4.00,3.00,103,NULL,NULL,'BUDAG','RIO SUL','SC',11226,3741,NULL,NULL,NULL,NULL,NULL,2,9),(25,6006035,7.00,5.00,3.00,6.00,8.00,8.25,3.00,8.00,4.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',5332,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6006051,7.00,6.00,8.00,7.00,9.00,10.13,4.00,7.00,7.00,103,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',695,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6006060,3.00,3.00,2.00,2.00,5.00,NULL,2.00,0.00,0.00,317,NULL,NULL,'JARDIM DAS PALMEIRAS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006078,5.00,5.00,2.00,4.00,9.00,9.75,5.00,3.00,2.00,2,NULL,NULL,'IPIRANGA','S JOSÉ','SC',9377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006086,3.00,3.00,1.00,3.00,8.00,8.25,1.00,1.00,3.00,452,NULL,NULL,'CAPOIERAS','FLORIANÓPOLIS','SC',19724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006094,4.00,4.00,3.00,6.00,5.00,7.50,3.00,5.00,3.00,444,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',10716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6006116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6006124,4.00,4.00,5.00,5.00,8.00,10.50,1.00,5.00,5.00,207,NULL,201,'CENTRO','BAIANÓPOLIS','BA',7209,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6006140,7.00,5.00,3.00,5.00,6.00,8.63,1.00,4.00,4.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9268,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006159,4.00,3.00,0.00,2.00,2.00,NULL,0.00,4.00,1.00,104,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6006167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE PAULISTANO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6006175,7.00,6.00,3.00,3.00,7.00,8.63,1.00,6.00,4.00,5,NULL,NULL,'PROGRESSO','RIO SUL','SC',8063,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6006183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','S CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6006205,1.00,2.00,1.00,1.00,2.00,NULL,1.00,0.00,2.00,551,NULL,NULL,'CENTRO','VARGEM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6006213,3.00,6.00,2.00,3.00,5.00,5.25,2.00,4.00,3.00,238,NULL,220,'ITACORUBI','FLORIANÓPOLIS','SC',18154,427,NULL,456,NULL,NULL,NULL,2,1),(25,6006230,7.00,6.00,2.00,3.00,6.00,8.63,2.00,6.00,8.00,108,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5765,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JARDIM WILSOB','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6006256,5.00,6.00,3.00,2.00,9.00,8.25,1.00,5.00,7.00,653,NULL,655,'OFICINAS','TUBARÃO','SC',8911,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6006272,5.00,5.00,5.00,4.00,6.00,7.50,2.00,6.00,5.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9117,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006299,5.00,6.00,3.00,4.00,10.00,7.13,0.00,3.00,5.00,103,NULL,NULL,'CENTRO','S BERNARDINO','SC',8172,3217,NULL,NULL,NULL,NULL,NULL,2,4),(25,6006302,3.00,2.00,3.00,2.00,4.00,NULL,3.00,0.00,3.00,103,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,9),(25,6006337,5.00,2.00,1.00,3.00,6.00,9.38,2.00,4.00,3.00,319,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',13698,254,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006345,4.00,6.00,4.00,5.00,7.00,9.38,2.00,4.00,5.00,5,NULL,NULL,'VILA MARIANA','BAURU','SP',7147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006353,6.00,5.00,3.00,5.00,8.00,10.88,1.00,2.00,2.00,319,NULL,NULL,'SANTA TEREZA','VIDEIRA','SC',10158,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6006361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6006370,4.00,7.00,3.00,4.00,8.00,8.25,2.00,8.00,3.00,332,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',7843,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006388,7.00,7.00,4.00,6.00,6.00,12.75,1.00,5.00,6.00,453,NULL,NULL,'COLINA VERDE','AVARÉ','SP',3707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006400,1.00,4.00,1.00,3.00,5.00,6.00,1.00,3.00,3.00,333,NULL,NULL,'PALHOCINHA','GAROPABA','SC',20734,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006418,3.00,4.00,2.00,4.00,4.00,7.13,3.00,1.00,3.00,654,NULL,NULL,'CABEÇUDAS','LAGUNA','SC',17506,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6006426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6006434,7.00,3.00,2.00,4.00,5.00,7.13,1.00,6.00,7.00,104,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',10707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006442,8.00,6.00,2.00,7.00,9.00,9.38,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','IBITINGA','SP',1617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006450,3.00,5.00,2.00,3.00,7.00,9.38,2.00,7.00,0.00,320,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',14975,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006469,5.00,7.00,3.00,5.00,4.00,6.75,3.00,4.00,4.00,317,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',10263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006507,6.00,3.00,2.00,4.00,5.00,8.63,4.00,2.00,2.00,103,NULL,NULL,'JD INTERLAGOS','HORTOLÂNDIA','SP',13065,4003,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006515,4.00,6.00,6.00,4.00,7.00,9.38,3.00,4.00,5.00,5,NULL,NULL,'CENTRO','XANXERÊ','SC',5887,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6006531,4.00,5.00,1.00,5.00,9.00,NULL,0.00,4.00,4.00,207,NULL,201,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6006540,8.00,0.00,4.00,5.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','COLORADO','PR',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6006558,1.00,3.00,4.00,3.00,4.00,9.38,2.00,2.00,2.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',17459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006566,3.00,1.00,3.00,2.00,4.00,5.63,0.00,2.00,3.00,102,NULL,NULL,'PLANALTO','VACARIA','RS',20021,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006574,1.00,5.00,2.00,3.00,4.00,8.63,2.00,0.00,1.00,655,NULL,652,'MORADA DA COLINA','GUAÍBA','RS',19633,126,NULL,84,NULL,NULL,NULL,2,15),(25,6006604,4.00,4.00,2.00,4.00,8.00,NULL,0.00,2.00,0.00,110,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,213,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6006620,3.00,4.00,1.00,3.00,6.00,11.25,0.00,4.00,4.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',16028,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6006639,4.00,5.00,2.00,3.00,7.00,8.25,1.00,4.00,3.00,234,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',16523,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006647,4.00,6.00,1.00,2.00,7.00,9.38,3.00,4.00,4.00,999,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006655,5.00,4.00,1.00,5.00,8.00,9.00,1.00,3.00,1.00,9,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13300,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'OESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6006671,8.00,7.00,5.00,6.00,8.00,11.25,3.00,7.00,9.00,103,NULL,NULL,'JARDIM BANDEIRANTES','CORNÉLIO PROCÓPIO','PR',934,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6006680,8.00,5.00,3.00,4.00,8.00,7.50,3.00,9.00,7.00,303,NULL,NULL,'ALTO','PIRACICABA','SP',4302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006698,7.00,7.00,4.00,7.00,7.00,12.00,4.00,6.00,7.00,103,NULL,NULL,'ZONA II','MARINGÁ','PR',1773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006701,5.00,7.00,3.00,5.00,9.00,8.63,3.00,6.00,6.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',3997,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006710,6.00,6.00,5.00,6.00,8.00,7.88,5.00,8.00,5.00,207,NULL,211,'FLOR DE NÁPOLIS','S JOSÉ','SC',2818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006728,5.00,6.00,3.00,3.00,7.00,8.63,2.00,3.00,2.00,501,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',14626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006736,6.00,6.00,7.00,5.00,7.00,8.25,0.00,4.00,8.00,211,NULL,215,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',4352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006744,5.00,3.00,2.00,4.00,5.00,9.38,3.00,6.00,3.00,109,NULL,NULL,'CENTRO','PALHOÇA','SC',13919,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006752,3.00,6.00,3.00,5.00,6.00,7.13,0.00,3.00,0.00,333,NULL,NULL,'JARDIM AMÉRICA','MARINGÁ','PR',16161,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006779,7.00,4.00,3.00,4.00,9.00,6.38,1.00,6.00,5.00,201,NULL,207,'JARDIM SANTA ROSA','MATÃO','SP',6120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006787,7.00,8.00,1.00,6.00,9.00,8.63,2.00,7.00,5.00,211,NULL,201,'PARADA INGLESA','S PAULO','SP',4247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006795,4.00,6.00,1.00,5.00,7.00,NULL,3.00,2.00,3.00,201,NULL,213,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6006817,2.00,2.00,1.00,0.00,5.00,6.75,2.00,2.00,2.00,316,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',21411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006825,8.00,8.00,7.00,6.00,11.00,9.38,7.00,9.00,9.00,202,NULL,201,'SANTO ANTÔNIO','JOINVILLE','SC',33,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6006833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'SAO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6006841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6006850,4.00,8.00,3.00,4.00,10.00,10.13,1.00,7.00,2.00,103,NULL,NULL,'CENTRO','VIDEIRA','SC',6226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006868,2.00,4.00,1.00,4.00,6.00,7.50,3.00,2.00,1.00,999,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006876,4.00,5.00,1.00,4.00,6.00,7.50,2.00,2.00,1.00,340,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006906,4.00,6.00,1.00,5.00,9.00,9.38,2.00,5.00,1.00,203,NULL,235,'GUAIÚBA','IMBITUBA','SC',10143,723,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006914,5.00,5.00,3.00,5.00,4.00,9.00,2.00,5.00,5.00,203,NULL,213,'POTECAS','S JOSÉ','SC',9348,685,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006922,4.00,6.00,2.00,6.00,8.00,7.88,1.00,2.00,4.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',11722,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6006930,3.00,3.00,0.00,3.00,5.00,NULL,1.00,3.00,2.00,339,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6006949,4.00,5.00,3.00,2.00,6.00,6.00,0.00,1.00,2.00,216,NULL,233,'BARREIROS','S JOSÉ','SC',17472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006957,1.00,1.00,1.00,3.00,6.00,10.50,2.00,2.00,1.00,207,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',19279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006965,4.00,6.00,2.00,4.00,7.00,9.75,2.00,6.00,3.00,336,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',9661,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6006973,7.00,6.00,5.00,7.00,7.00,9.75,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006981,2.00,7.00,1.00,5.00,4.00,6.00,1.00,4.00,2.00,338,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',19380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6006990,0.00,1.00,0.00,1.00,2.00,NULL,1.00,1.00,3.00,551,NULL,NULL,'N SRA APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6007007,1.00,0.00,2.00,2.00,6.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(25,6007015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6007031,2.00,6.00,2.00,5.00,5.00,8.63,0.00,3.00,3.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007040,4.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6007058,7.00,6.00,2.00,7.00,8.00,8.25,2.00,4.00,4.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7236,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6007074,3.00,4.00,0.00,2.00,6.00,7.88,1.00,2.00,2.00,102,NULL,NULL,'VILA LOTHAMMER','TORRES','RS',20055,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6007082,2.00,4.00,3.00,2.00,6.00,7.88,0.00,2.00,3.00,214,NULL,212,'JARDIM BELA VISTA','ITAPIRANGA','SC',16220,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6007090,5.00,2.00,4.00,2.00,8.00,NULL,0.00,1.00,2.00,201,NULL,212,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6007104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6007112,3.00,0.00,2.00,1.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GARUVA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(25,6007120,5.00,8.00,2.00,6.00,10.00,8.63,0.00,7.00,6.00,340,NULL,NULL,'SANTA BÁRBARA','CRICIÚMA','SC',4096,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6007139,8.00,6.00,4.00,6.00,9.00,12.75,2.00,8.00,5.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',1336,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6007147,2.00,3.00,2.00,3.00,4.00,8.25,2.00,5.00,3.00,601,NULL,207,'GUANABARA','JOINVILLE','SC',15711,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6007163,1.00,5.00,1.00,4.00,6.00,7.13,2.00,0.00,3.00,421,NULL,425,'BARREIROS','S JOSÉ','SC',20217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007180,9.00,7.00,7.00,7.00,10.00,9.00,0.00,9.00,9.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',804,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007198,8.00,4.00,8.00,7.00,8.00,7.88,6.00,6.00,9.00,238,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',1120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6007210,2.00,4.00,3.00,4.00,8.00,9.75,1.00,4.00,3.00,333,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',11412,71,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007228,8.00,8.00,1.00,5.00,8.00,12.75,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','IVATÉ','PR',3222,1790,NULL,NULL,NULL,NULL,NULL,4,4),(25,6007236,8.00,5.00,4.00,6.00,7.00,10.50,1.00,3.00,6.00,103,NULL,NULL,'BATEL','CURITIBA','PR',4863,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6007244,5.00,7.00,1.00,4.00,7.00,4.88,2.00,4.00,3.00,104,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',13141,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6007252,3.00,3.00,2.00,1.00,5.00,NULL,1.00,0.00,1.00,9,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007279,3.00,6.00,1.00,1.00,3.00,7.13,1.00,0.00,2.00,601,NULL,203,'JARIVATUBA','JOINVILLE','SC',20721,587,NULL,1131,NULL,NULL,NULL,2,8),(25,6007287,2.00,4.00,3.00,5.00,6.00,8.25,1.00,2.00,3.00,101,NULL,NULL,'ENCRUZO','JAGUARUNA','SC',18653,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6007295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','RIO BRANCO','AC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6007309,5.00,6.00,3.00,5.00,7.00,9.00,2.00,4.00,2.00,331,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',9650,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007317,4.00,6.00,2.00,5.00,6.00,8.25,2.00,6.00,6.00,320,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',9330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6007325,5.00,5.00,2.00,2.00,5.00,6.38,0.00,4.00,2.00,601,NULL,653,'CJURU','CURITIBA','PR',15974,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6007341,2.00,0.00,2.00,3.00,7.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM AMÉRICA','CAÇAPAVA','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6007350,2.00,4.00,3.00,2.00,6.00,NULL,0.00,2.00,1.00,207,NULL,201,'JARDIM CEPAR','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6007376,5.00,4.00,3.00,2.00,5.00,6.38,1.00,2.00,1.00,999,NULL,NULL,'NOSSA SR DE FATIMA','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6007384,3.00,2.00,1.00,1.00,5.00,NULL,0.00,3.00,1.00,317,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6007392,8.00,7.00,3.00,4.00,10.00,9.75,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5062,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007406,3.00,4.00,0.00,5.00,4.00,7.88,1.00,3.00,0.00,424,NULL,425,'BELA VISTA I','S JOSÉ','SC',20619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6007414,4.00,6.00,2.00,3.00,6.00,10.88,2.00,1.00,5.00,207,NULL,201,'LA SALLE','XANXERÊ','SC',15732,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6007422,1.00,5.00,3.00,3.00,3.00,8.63,1.00,2.00,3.00,216,NULL,207,'FORQUILHINHAS','S JOSÉ','SC',19221,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007430,6.00,7.00,3.00,7.00,8.00,9.00,2.00,4.00,8.00,216,NULL,211,'BOM RETIRO','JOINVILLE','SC',3476,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6007457,3.00,5.00,2.00,4.00,8.00,9.75,1.00,2.00,2.00,101,NULL,NULL,'NOVA BRASÍLIA','JOINVILLE','SC',13406,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6007465,5.00,5.00,2.00,5.00,8.00,10.13,2.00,4.00,4.00,207,NULL,201,'CENTRO','RONDONÓPOLIS','MT',7368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6007473,5.00,4.00,0.00,2.00,6.00,NULL,0.00,1.00,1.00,101,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007481,7.00,5.00,6.00,6.00,9.00,7.88,3.00,7.00,6.00,207,NULL,211,'CAMPINAS','S JOSÉ','SC',2955,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007490,2.00,2.00,3.00,2.00,4.00,NULL,1.00,2.00,0.00,202,NULL,235,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6007503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6007511,3.00,2.00,1.00,6.00,7.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6007520,2.00,3.00,1.00,3.00,5.00,9.75,0.00,1.00,0.00,421,NULL,429,'TAPÉRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007538,4.00,3.00,1.00,3.00,4.00,9.38,3.00,3.00,1.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',17363,481,NULL,NULL,NULL,NULL,NULL,4,1),(25,6007546,2.00,3.00,1.00,3.00,2.00,NULL,2.00,2.00,3.00,208,NULL,238,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007554,4.00,7.00,3.00,5.00,8.00,6.75,1.00,6.00,3.00,317,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',9857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007562,6.00,6.00,6.00,7.00,8.00,7.50,4.00,7.00,5.00,220,NULL,235,'MONTE VERDE','FLORIANÓPOLIS','SC',4450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6007570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6007597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CORRIDAS','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6007600,2.00,4.00,0.00,5.00,7.00,NULL,1.00,1.00,0.00,336,NULL,NULL,'JARDIM JATAY','CAÇAPAVA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6007619,4.00,6.00,2.00,5.00,8.00,10.50,1.00,7.00,1.00,207,NULL,653,'CENTRO','TUBARÃO','SC',8337,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6007627,2.00,3.00,1.00,2.00,2.00,NULL,2.00,1.00,1.00,212,NULL,655,'SÃO CRISTOVÃO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6007635,4.00,7.00,2.00,6.00,5.00,10.50,3.00,7.00,4.00,202,NULL,203,'COMERCIÁRIO','CRICIÚMA','SC',6320,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6007643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'VILA VITÓRIA','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6007651,1.00,3.00,1.00,3.00,5.00,6.75,0.00,1.00,0.00,303,NULL,NULL,'SÃO JOSÉ CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007660,9.00,5.00,7.00,6.00,9.00,9.75,3.00,5.00,8.00,103,NULL,NULL,'ESCOLINHA','JOINVILLE','SC',1248,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6007678,3.00,3.00,2.00,4.00,8.00,9.38,2.00,6.00,3.00,101,NULL,NULL,'DOS ESTADOS','INDAIAL','SC',14633,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6007686,1.00,3.00,2.00,3.00,5.00,NULL,0.00,0.00,3.00,104,NULL,NULL,'CAVALHADA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007694,3.00,4.00,5.00,3.00,7.00,5.25,2.00,2.00,5.00,208,NULL,238,'COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC',13520,269,NULL,238,NULL,NULL,NULL,2,1),(25,6007708,3.00,4.00,0.00,2.00,6.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'RIO FIORITA','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6007716,4.00,4.00,2.00,2.00,2.00,NULL,1.00,4.00,3.00,220,NULL,213,'CENTRO','PENÁPOLIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6007724,4.00,5.00,3.00,6.00,7.00,NULL,0.00,3.00,3.00,340,NULL,NULL,'JARDIM EUROPA','SORRISO','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007732,6.00,6.00,4.00,7.00,8.00,9.75,3.00,7.00,6.00,220,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',3368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6007740,3.00,4.00,1.00,6.00,8.00,10.88,2.00,3.00,1.00,9,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',15688,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007759,7.00,7.00,7.00,7.00,5.00,10.88,3.00,4.00,3.00,207,NULL,212,'CORREGO GRANDE','FLORIANÓPOLIS','SC',3512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6007767,3.00,6.00,1.00,3.00,7.00,8.25,1.00,2.00,1.00,336,NULL,NULL,'SANTA FÉ','GRAVATAÍ','RS',15567,123,NULL,NULL,NULL,NULL,NULL,2,5),(25,6007775,4.00,4.00,3.00,2.00,5.00,NULL,1.00,0.00,1.00,318,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007783,3.00,2.00,2.00,5.00,5.00,6.38,1.00,4.00,3.00,336,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17276,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007791,5.00,6.00,1.00,5.00,7.00,8.25,1.00,4.00,3.00,340,NULL,NULL,'JARDIM RENASCENÇA II','S LUÍS','MA',13527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6007805,6.00,3.00,2.00,7.00,6.00,NULL,0.00,8.00,1.00,109,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6007813,2.00,3.00,3.00,6.00,7.00,7.88,3.00,2.00,0.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6007830,4.00,3.00,2.00,4.00,7.00,7.88,0.00,3.00,4.00,201,NULL,207,'CENTRO','FAXINAL GUEDES','SC',16747,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6007848,5.00,5.00,1.00,4.00,4.00,6.38,0.00,3.00,3.00,501,NULL,NULL,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6007856,4.00,5.00,1.00,6.00,8.00,9.00,1.00,5.00,5.00,303,NULL,NULL,'VILA NOEMY','BAURU','SP',7983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6007864,5.00,5.00,1.00,4.00,9.00,NULL,0.00,3.00,1.00,420,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007880,4.00,4.00,0.00,3.00,7.00,NULL,2.00,4.00,3.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'VILA SUÍÇA','GRAMADO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6007910,7.00,7.00,6.00,6.00,10.00,10.88,4.00,8.00,8.00,340,NULL,NULL,'ZONA SETE','MARINGÁ','PR',251,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6007929,8.00,6.00,6.00,7.00,10.00,11.63,6.00,5.00,8.00,223,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6007937,7.00,6.00,2.00,6.00,5.00,5.25,3.00,3.00,3.00,201,NULL,212,'BATEL','CURITIBA','PR',10307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6007945,5.00,6.00,3.00,6.00,9.00,9.38,3.00,5.00,5.00,103,NULL,NULL,'MARIA LUIZA','LAGES','SC',5064,2445,NULL,NULL,NULL,NULL,NULL,2,9),(25,6007953,5.00,6.00,4.00,4.00,6.00,9.00,4.00,4.00,4.00,452,NULL,NULL,'CENTRO','JOINVILLE','SC',7860,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6007961,5.00,5.00,4.00,6.00,10.00,9.00,1.00,5.00,3.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9789,68,NULL,NULL,NULL,NULL,NULL,2,1),(25,6007970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BOTANICO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6007988,5.00,7.00,5.00,4.00,7.00,7.88,4.00,4.00,3.00,208,NULL,655,'GLEBA PALHANO','LONDRINA','PR',6886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6007996,6.00,7.00,4.00,4.00,6.00,11.25,2.00,6.00,7.00,104,NULL,NULL,'ARIRIBÁ','BAL CAMBORIÚ','SC',4539,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6008003,3.00,7.00,2.00,3.00,7.00,8.63,2.00,6.00,2.00,653,NULL,213,'FABRICIO','STO AMARO IMPERATRIZ','SC',12228,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008011,3.00,4.00,0.00,1.00,6.00,NULL,2.00,2.00,2.00,201,NULL,NULL,'CENTRO','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6008020,3.00,3.00,4.00,4.00,3.00,6.75,1.00,1.00,0.00,317,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008038,3.00,2.00,0.00,4.00,6.00,6.00,1.00,2.00,4.00,202,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',18606,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008054,6.00,7.00,3.00,7.00,10.00,7.13,3.00,8.00,6.00,103,NULL,NULL,'FREI ROGERIO','LAGES','SC',2620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6008070,3.00,4.00,0.00,2.00,4.00,NULL,2.00,2.00,0.00,207,NULL,201,'CABEÇUDAS','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6008089,2.00,5.00,1.00,5.00,6.00,10.13,2.00,5.00,3.00,303,NULL,NULL,'BELA SUÍÇA','LONDRINA','PR',11298,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6008097,8.00,8.00,5.00,6.00,10.00,10.50,6.00,8.00,8.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008100,3.00,2.00,3.00,7.00,6.00,9.00,1.00,2.00,2.00,301,NULL,NULL,'MONTE BELO','JOAÇABA','SC',18096,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6008119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CRUZEIRO DO SUL','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6008127,4.00,6.00,1.00,2.00,2.00,NULL,0.00,3.00,3.00,999,NULL,NULL,'PASSAGEM','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6008135,2.00,6.00,0.00,4.00,6.00,NULL,1.00,1.00,1.00,655,NULL,652,'DIVINEIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6008143,2.00,0.00,1.00,1.00,7.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6008151,4.00,7.00,1.00,7.00,6.00,7.88,3.00,6.00,1.00,238,NULL,208,'CANASVIEIRAS','FLORIANÓPOLIS','SC',8767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008160,4.00,4.00,1.00,1.00,6.00,8.25,1.00,4.00,0.00,109,NULL,NULL,'PINTO BANDEIRA','BENTO GONÇALVES','RS',18437,114,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008186,4.00,6.00,4.00,7.00,7.00,7.50,0.00,5.00,4.00,203,NULL,214,'GREEN VALLEY','S JOSÉ R PRETO','SP',7532,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008194,7.00,7.00,7.00,6.00,10.00,11.25,1.00,6.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',1673,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6008208,7.00,6.00,1.00,2.00,6.00,9.75,2.00,4.00,3.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9346,3449,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008216,2.00,5.00,4.00,2.00,5.00,7.88,1.00,3.00,1.00,326,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',20413,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008224,9.00,4.00,4.00,5.00,8.00,9.75,3.00,5.00,8.00,103,NULL,NULL,'JARDIM ALVORADA','MARINGÁ','PR',3482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008232,5.00,4.00,5.00,4.00,5.00,8.25,2.00,5.00,4.00,216,NULL,233,'VILA TUPY','REGISTRO','SP',7839,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6008240,5.00,6.00,1.00,6.00,7.00,7.50,2.00,3.00,5.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',10246,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008259,1.00,7.00,2.00,2.00,2.00,NULL,4.00,3.00,2.00,301,NULL,NULL,'SALÃO','APIÚNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6008267,3.00,5.00,0.00,7.00,7.00,6.75,0.00,5.00,2.00,421,NULL,427,'AGRONÔMICA','FLORIANÓPOLIS','SC',15149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008275,4.00,2.00,2.00,3.00,7.00,6.38,2.00,0.00,3.00,404,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008283,6.00,6.00,2.00,4.00,7.00,9.38,2.00,4.00,5.00,102,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',8572,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6008291,5.00,3.00,2.00,1.00,8.00,8.25,0.00,3.00,1.00,102,NULL,NULL,'CENTRO','PIÊN','PR',14769,172,NULL,NULL,NULL,NULL,NULL,4,8),(25,6008305,7.00,5.00,4.00,7.00,8.00,9.75,2.00,5.00,5.00,203,NULL,202,'SANTA DOROTEIA II','POUSO ALEGRE','MG',3144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PLANALTO','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6008321,5.00,7.00,1.00,6.00,9.00,8.63,1.00,7.00,4.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008330,6.00,5.00,2.00,4.00,6.00,NULL,0.00,5.00,3.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6008348,6.00,6.00,7.00,6.00,6.00,8.25,3.00,7.00,7.00,203,NULL,216,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',2944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008356,2.00,3.00,1.00,3.00,6.00,4.88,1.00,3.00,2.00,444,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',20993,161,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008380,8.00,6.00,5.00,6.00,9.00,8.25,2.00,6.00,7.00,201,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',2056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008399,3.00,1.00,1.00,3.00,5.00,6.75,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',18266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008402,6.00,7.00,4.00,5.00,7.00,9.00,2.00,3.00,7.00,340,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',6054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008410,5.00,7.00,4.00,7.00,9.00,10.88,5.00,6.00,6.00,211,NULL,653,'SÃO VICENTE','ITAJAÍ','SC',1866,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6008429,1.00,2.00,0.00,3.00,2.00,NULL,4.00,3.00,0.00,211,NULL,207,'FIDÉLIS','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6008437,4.00,4.00,2.00,6.00,5.00,6.75,0.00,2.00,4.00,216,NULL,215,'RAINHA','RIO SUL','SC',13670,475,NULL,215,NULL,NULL,NULL,4,2),(25,6008445,5.00,6.00,4.00,5.00,8.00,10.88,3.00,5.00,5.00,233,NULL,214,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4617,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,220,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6008470,4.00,5.00,2.00,6.00,8.00,9.38,0.00,4.00,5.00,102,NULL,NULL,'SEIS DE MAIO','PALMEIRA MISSÕES','RS',8191,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6008488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6008496,6.00,4.00,4.00,5.00,5.00,8.25,2.00,6.00,6.00,102,NULL,NULL,'BACACHERI','CURITIBA','PR',7523,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6008500,8.00,6.00,3.00,5.00,10.00,9.00,2.00,6.00,8.00,103,NULL,NULL,'JARDIM PAULIISTA','RIBEIRÃO PRETO','SP',1908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008518,8.00,6.00,7.00,7.00,10.00,10.13,6.00,7.00,8.00,103,NULL,NULL,'BOA VISTA','BOTUCATU','SP',192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008526,6.00,6.00,4.00,3.00,7.00,8.63,3.00,3.00,4.00,301,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',8713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008534,2.00,2.00,1.00,4.00,6.00,5.25,3.00,0.00,1.00,109,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',21143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008542,4.00,4.00,1.00,3.00,4.00,10.88,2.00,2.00,1.00,453,NULL,NULL,'BARREIROS','S JOSÉ','SC',16970,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008550,4.00,3.00,1.00,3.00,7.00,7.13,1.00,1.00,2.00,652,NULL,655,'SÃO LUIS','SOMBRIO','SC',18693,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6008569,4.00,4.00,3.00,5.00,7.00,8.63,3.00,3.00,2.00,303,NULL,NULL,'BRUSQUE','LAGES','SC',14328,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6008577,5.00,7.00,4.00,6.00,9.00,9.38,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008585,6.00,6.00,3.00,7.00,7.00,8.63,2.00,4.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'SANTA MARIA','UBERLÂNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6008607,6.00,4.00,5.00,5.00,6.00,8.25,2.00,3.00,3.00,203,NULL,220,'JD SANTA TEREZINHA','CÂNDIDO MOTA','SP',7875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008623,3.00,3.00,2.00,0.00,3.00,NULL,1.00,0.00,1.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008631,8.00,7.00,7.00,7.00,7.00,12.38,4.00,7.00,6.00,340,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008640,3.00,6.00,2.00,0.00,7.00,7.50,1.00,6.00,4.00,329,NULL,NULL,'JARDIM CIDADE DE FLO','S JOSÉ','SC',16281,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008658,7.00,6.00,4.00,4.00,6.00,7.13,2.00,5.00,6.00,103,NULL,NULL,'NOSSA SRA DE LOURDES','STA MARIA','RS',6173,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008666,3.00,4.00,1.00,5.00,5.00,9.00,0.00,3.00,2.00,216,NULL,235,'PADRE ANTONIO','MARAVILHA','SC',16704,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6008674,2.00,5.00,3.00,5.00,5.00,7.13,2.00,1.00,3.00,102,NULL,NULL,'MAR GROSSO','LAGUNA','SC',15961,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6008682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,214,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6008690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6008704,5.00,5.00,4.00,4.00,4.00,6.38,1.00,7.00,2.00,216,NULL,233,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',12914,451,NULL,348,NULL,NULL,NULL,2,1),(25,6008712,4.00,4.00,5.00,2.00,4.00,8.25,2.00,4.00,5.00,215,NULL,601,'JARDIM REGINA','RANCHARIA','SP',12663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008720,6.00,4.00,3.00,4.00,7.00,6.75,4.00,4.00,2.00,216,NULL,201,'POÇO VERDE','MELEIRO','SC',13343,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6008739,6.00,7.00,2.00,7.00,7.00,10.88,3.00,2.00,4.00,103,NULL,NULL,'ZONA RURAL','XANXERÊ','SC',6427,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6008747,8.00,7.00,7.00,7.00,10.00,8.25,2.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008755,3.00,5.00,2.00,5.00,6.00,8.63,1.00,3.00,5.00,201,NULL,208,'CAMPESTRE','TUBARÃO','SC',13927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008763,8.00,6.00,4.00,4.00,8.00,9.75,2.00,5.00,6.00,103,NULL,NULL,'SÃO CRISTÓVÃO','CHAPECÓ','SC',4356,2198,NULL,NULL,NULL,NULL,NULL,4,4),(25,6008780,6.00,5.00,2.00,2.00,7.00,10.13,2.00,6.00,2.00,220,NULL,235,'ALVORADA','XAXIM','SC',9076,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6008801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6008810,1.00,1.00,0.00,2.00,4.00,5.25,1.00,1.00,2.00,104,NULL,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6008828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6008836,5.00,4.00,6.00,5.00,7.00,6.38,2.00,4.00,6.00,601,NULL,233,'PONTA DE BAIXO','S JOSÉ','SC',6909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008844,2.00,6.00,2.00,3.00,6.00,8.25,3.00,5.00,1.00,109,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',14700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008852,3.00,4.00,3.00,3.00,7.00,6.38,2.00,4.00,2.00,238,NULL,235,'CAMPECHE','FLORIANÓPOLIS','SC',17142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008879,4.00,4.00,2.00,4.00,6.00,7.88,1.00,3.00,2.00,201,NULL,233,'CENTRO','S JOSÉ','SC',17780,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008887,2.00,2.00,2.00,2.00,4.00,4.50,1.00,3.00,1.00,201,NULL,212,'TIJUQUINHAS','BIGUAÇU','SC',21641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008895,5.00,3.00,0.00,5.00,6.00,9.75,1.00,4.00,1.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15456,341,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008909,3.00,4.00,1.00,5.00,7.00,8.25,0.00,1.00,3.00,444,NULL,NULL,'CENTRO','STA BRANCA','SP',15831,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6008925,5.00,2.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008941,4.00,5.00,2.00,4.00,7.00,8.63,3.00,6.00,1.00,235,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',13549,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6008950,2.00,7.00,2.00,2.00,6.00,NULL,0.00,1.00,1.00,108,NULL,NULL,'SANTANA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6008984,6.00,5.00,1.00,3.00,8.00,7.88,2.00,2.00,4.00,201,NULL,211,'PEDRO LUDOVICO','GOIÂNIA','GO',8879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6008992,3.00,5.00,0.00,4.00,3.00,NULL,1.00,2.00,0.00,102,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009000,4.00,6.00,3.00,4.00,5.00,8.63,3.00,2.00,2.00,319,NULL,NULL,'CIDADE DE FPOLIS','S JOSÉ','SC',13345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6009018,4.00,6.00,2.00,5.00,9.00,11.25,1.00,6.00,6.00,303,NULL,NULL,'RESIDENCIAL COLINAS','TAUBATÉ','SP',6074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6009026,3.00,5.00,5.00,3.00,7.00,5.63,3.00,3.00,2.00,317,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',13661,54,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6009042,4.00,7.00,1.00,7.00,8.00,9.75,2.00,5.00,5.00,212,NULL,201,'AEROPORTO','VIDEIRA','SC',6978,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6009050,3.00,3.00,2.00,3.00,8.00,8.25,2.00,1.00,1.00,201,NULL,212,'CENTRO','VARGEÃO','SC',15572,1332,NULL,462,NULL,NULL,NULL,2,4),(25,6009085,7.00,6.00,4.00,5.00,8.00,8.25,2.00,5.00,4.00,207,NULL,NULL,'JARDIM AMERICANO','SOROCABA','SP',6229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6009107,5.00,6.00,3.00,3.00,5.00,6.00,1.00,2.00,3.00,103,NULL,NULL,'BARRO VERMELHO','ORLEANS','SC',15135,4235,NULL,NULL,NULL,NULL,NULL,2,5),(25,6009123,6.00,7.00,4.00,6.00,9.00,9.38,1.00,4.00,5.00,203,NULL,201,'ITOUPAVA CENTRAL','BLUMENAU','SC',4729,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6009131,3.00,5.00,3.00,3.00,7.00,9.00,2.00,3.00,4.00,211,NULL,216,'CAMPINAS','S JOSÉ','SC',12649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009140,1.00,4.00,0.00,3.00,5.00,6.38,0.00,1.00,2.00,103,NULL,NULL,'CENTRO','ARMAZÉM','SC',21596,4797,NULL,NULL,NULL,NULL,NULL,2,10),(25,6009158,3.00,3.00,1.00,5.00,9.00,11.25,3.00,5.00,1.00,327,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',10699,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009166,2.00,5.00,2.00,4.00,7.00,8.63,2.00,3.00,3.00,3,NULL,NULL,'POTECAS','S JOSÉ','SC',12496,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009182,4.00,4.00,0.00,4.00,7.00,9.75,3.00,2.00,1.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',14131,4140,NULL,NULL,NULL,NULL,NULL,4,1),(25,6009190,2.00,2.00,1.00,1.00,3.00,7.13,1.00,1.00,2.00,205,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6009204,5.00,7.00,5.00,6.00,9.00,7.13,3.00,2.00,4.00,201,NULL,203,'CIDADE NOVA','NAVEGANTES','SC',5650,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6009212,3.00,0.00,2.00,0.00,5.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(25,6009220,7.00,8.00,6.00,7.00,11.00,10.13,4.00,8.00,7.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6009239,4.00,4.00,2.00,3.00,6.00,9.38,1.00,4.00,2.00,551,NULL,NULL,'INDUSTRIAL I','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6009247,7.00,5.00,5.00,1.00,8.00,6.75,2.00,5.00,6.00,203,NULL,214,'JARDIM CASTANHEIRAS','S JOSÉ CAMPOS','SP',7162,545,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA LEONARDO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6009263,6.00,4.00,4.00,6.00,9.00,6.75,0.00,4.00,3.00,5,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',10285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6009271,3.00,5.00,0.00,3.00,9.00,NULL,1.00,0.00,2.00,502,NULL,NULL,'CENTRO HISTÓRICO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009280,2.00,5.00,3.00,4.00,5.00,7.50,1.00,1.00,0.00,444,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',18937,114,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009298,5.00,7.00,3.00,4.00,9.00,9.75,1.00,5.00,2.00,109,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',8104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009301,5.00,5.00,2.00,3.00,5.00,7.88,3.00,5.00,3.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6009328,5.00,5.00,3.00,3.00,6.00,7.50,2.00,4.00,4.00,109,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6009360,6.00,5.00,3.00,2.00,5.00,6.38,2.00,2.00,2.00,9,NULL,NULL,'REBOUÇAS','CURITIBA','PR',13368,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009379,7.00,5.00,2.00,4.00,8.00,9.75,2.00,4.00,5.00,301,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',6276,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009387,4.00,8.00,5.00,7.00,8.00,8.63,4.00,7.00,2.00,340,NULL,NULL,'ST ANTÔNIO DE PÁDUA','TUBARÃO','SC',3353,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6009409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'JD SUL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6009417,2.00,4.00,3.00,0.00,6.00,7.13,2.00,5.00,2.00,333,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17918,137,NULL,NULL,NULL,NULL,NULL,4,1),(25,6009425,0.00,3.00,3.00,4.00,4.00,NULL,2.00,0.00,0.00,103,NULL,NULL,'SÃO CRISTÓVÃO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6009441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PINHEIROS','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6009450,4.00,4.00,2.00,3.00,9.00,10.13,5.00,5.00,4.00,215,NULL,216,'CENTRO','IPUMIRIM','SC',7641,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6009476,4.00,6.00,1.00,2.00,9.00,7.50,1.00,3.00,2.00,103,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',14909,4212,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009484,5.00,7.00,2.00,5.00,8.00,8.63,2.00,8.00,3.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009492,6.00,5.00,6.00,6.00,9.00,8.25,4.00,9.00,7.00,201,NULL,212,'CENTRO','PNT GROSSA','PR',1993,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6009514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6009522,4.00,4.00,4.00,2.00,6.00,10.13,1.00,4.00,2.00,317,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',14240,61,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009549,2.00,3.00,1.00,1.00,4.00,NULL,0.00,3.00,1.00,201,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009565,5.00,4.00,2.00,3.00,4.00,8.63,1.00,2.00,4.00,108,NULL,NULL,'UBERABA','CURITIBA','PR',15041,220,NULL,NULL,NULL,NULL,NULL,2,2),(25,6009581,7.00,7.00,6.00,7.00,8.00,9.75,4.00,7.00,9.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',1217,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6009611,7.00,7.00,3.00,3.00,8.00,8.25,1.00,8.00,2.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',9506,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009620,5.00,7.00,2.00,5.00,8.00,12.75,1.00,7.00,4.00,332,NULL,NULL,'SALETE','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009638,6.00,7.00,2.00,7.00,8.00,10.88,3.00,8.00,6.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6009654,3.00,5.00,0.00,3.00,6.00,NULL,0.00,0.00,2.00,304,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6009662,4.00,6.00,3.00,5.00,4.00,9.00,4.00,2.00,6.00,201,NULL,601,'CENTRO','STA TEREZA OESTE','PR',8180,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6009670,5.00,8.00,2.00,5.00,8.00,9.38,4.00,6.00,6.00,202,NULL,235,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6009689,3.00,3.00,2.00,4.00,6.00,7.88,1.00,2.00,5.00,201,NULL,212,'SERTÃO DO MARUIM','S JOSÉ','SC',16207,1371,NULL,479,NULL,NULL,NULL,2,1),(25,6009697,4.00,4.00,1.00,5.00,4.00,7.50,5.00,4.00,2.00,234,NULL,NULL,'PORTAL DA FOZ','FOZ IGUAÇU','PR',15181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6009700,3.00,5.00,3.00,4.00,6.00,10.50,1.00,7.00,2.00,110,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13204,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,207,'ACARAÍ','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6009735,3.00,6.00,5.00,3.00,8.00,9.38,2.00,2.00,1.00,102,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',12643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6009751,2.00,6.00,3.00,7.00,8.00,10.13,0.00,6.00,2.00,426,NULL,428,'PRAIA COMPRIDA','S JOSÉ','SC',11173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6009760,7.00,4.00,2.00,3.00,7.00,9.00,2.00,6.00,6.00,302,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',7591,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009786,3.00,3.00,1.00,4.00,5.00,10.13,1.00,1.00,3.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',17528,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009794,4.00,3.00,0.00,3.00,7.00,NULL,1.00,3.00,1.00,654,NULL,NULL,'JARDIM DOS PAMPAS','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6009808,4.00,6.00,1.00,3.00,6.00,7.50,0.00,2.00,1.00,5,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',19790,677,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009816,3.00,5.00,0.00,7.00,9.00,10.50,2.00,4.00,2.00,452,NULL,NULL,'VILA LETÔNIA','S JOSÉ CAMPOS','SP',10683,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6009824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA FRIA','FORTALEZA','CE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6009832,2.00,4.00,3.00,4.00,7.00,NULL,0.00,5.00,2.00,103,NULL,NULL,'CAÇA E TIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6009840,3.00,5.00,2.00,5.00,7.00,6.75,2.00,3.00,1.00,425,NULL,429,'CENTRO','S PEDRO ALCÂNTARA','SC',14305,48,NULL,NULL,NULL,NULL,NULL,4,1),(25,6009859,2.00,4.00,1.00,5.00,9.00,9.75,0.00,1.00,3.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6009867,5.00,6.00,5.00,5.00,10.00,11.25,2.00,6.00,7.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',3306,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6009883,5.00,4.00,4.00,5.00,7.00,9.00,2.00,5.00,3.00,211,NULL,215,'CENTRO','ANITÁPOLIS','SC',7547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009891,4.00,4.00,1.00,2.00,7.00,NULL,0.00,5.00,2.00,308,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6009921,3.00,1.00,3.00,5.00,7.00,8.25,3.00,4.00,3.00,238,NULL,208,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',14057,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009930,6.00,7.00,2.00,4.00,7.00,10.88,2.00,5.00,1.00,216,NULL,215,'CENTRO','ITUPORANGA','SC',8182,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6009948,5.00,7.00,3.00,7.00,6.00,11.25,1.00,6.00,4.00,103,NULL,NULL,'ARAUCÁRIA','S JOSÉ','SC',5374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6009964,3.00,7.00,3.00,6.00,8.00,9.38,0.00,4.00,3.00,201,NULL,211,'SERTÃO DO MARUIM','S JOSÉ','SC',9167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6009980,4.00,3.00,2.00,3.00,6.00,8.25,1.00,3.00,3.00,338,NULL,NULL,'BATISTA CAMPOS','BELÉM','PA',19285,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6009999,3.00,3.00,2.00,5.00,7.00,6.38,0.00,3.00,3.00,450,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',17943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010008,2.00,5.00,1.00,3.00,4.00,7.50,2.00,3.00,2.00,601,NULL,212,'ALEGRE','RIO NEGRINHO','SC',17162,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6010016,9.00,7.00,8.00,7.00,10.00,11.63,4.00,9.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',30,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010024,5.00,6.00,2.00,4.00,8.00,8.25,4.00,6.00,2.00,601,NULL,208,'PETRÓPOLIS','JOINVILLE','SC',7938,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6010032,4.00,6.00,2.00,7.00,6.00,7.50,0.00,4.00,3.00,326,NULL,NULL,'SÃO ROQUE','NOVA TRENTO','SC',10922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010040,3.00,4.00,1.00,3.00,9.00,7.13,2.00,4.00,2.00,201,NULL,207,'CENTRO','MARIALVA','PR',16229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010059,6.00,3.00,3.00,3.00,5.00,7.13,0.00,3.00,2.00,9,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',19218,126,NULL,NULL,NULL,NULL,NULL,2,1),(25,6010067,7.00,7.00,2.00,4.00,6.00,8.25,0.00,6.00,2.00,201,NULL,212,'INTERIOR','ARVOREDO','SC',9910,801,NULL,280,NULL,NULL,NULL,2,4),(25,6010075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6010083,6.00,7.00,3.00,6.00,7.00,10.13,2.00,6.00,6.00,103,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',4801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010091,8.00,7.00,3.00,7.00,9.00,8.63,4.00,2.00,7.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',3532,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6010105,2.00,6.00,1.00,5.00,5.00,6.00,2.00,1.00,2.00,551,NULL,NULL,'CENTRO','VARGEM','SC',17254,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6010113,2.00,3.00,1.00,2.00,4.00,6.38,1.00,4.00,1.00,201,NULL,NULL,'CENTRO','GUAPORÉ','RS',19536,1606,NULL,NULL,NULL,NULL,NULL,2,1),(25,6010121,3.00,3.00,0.00,4.00,4.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'JARDIM AMERICA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(25,6010130,6.00,6.00,2.00,4.00,10.00,9.00,4.00,2.00,6.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',6099,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6010148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'CAPELA VELHA','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6010156,2.00,5.00,2.00,3.00,3.00,9.75,1.00,2.00,3.00,302,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',17378,138,NULL,NULL,NULL,NULL,NULL,2,1),(25,6010180,3.00,6.00,0.00,2.00,7.00,6.75,0.00,3.00,1.00,415,NULL,NULL,'VILA RAL','CHAPECÓ','SC',17725,281,NULL,NULL,NULL,NULL,NULL,2,4),(25,6010199,5.00,6.00,1.00,4.00,5.00,8.63,2.00,4.00,3.00,336,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',14877,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6010202,7.00,6.00,5.00,7.00,10.00,10.50,4.00,2.00,8.00,201,NULL,601,'CENTRO','PASSO FUNDO','RS',2066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010210,4.00,7.00,1.00,7.00,8.00,6.38,3.00,6.00,3.00,208,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',8458,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6010229,6.00,7.00,6.00,7.00,9.00,7.88,4.00,7.00,6.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',1873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010237,5.00,3.00,1.00,4.00,6.00,9.00,1.00,1.00,2.00,9,NULL,NULL,'CENTRO','JOINVILLE','SC',16538,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6010253,2.00,4.00,4.00,2.00,6.00,7.50,0.00,2.00,3.00,309,NULL,NULL,'DAS NAÇÕES','BAL CAMBORIÚ','SC',19746,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6010270,8.00,7.00,2.00,6.00,10.00,13.13,1.00,7.00,5.00,5,NULL,NULL,'PRAIA BRAVA','FLORIANÓPOLIS','SC',3273,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6010296,5.00,5.00,3.00,7.00,8.00,10.50,1.00,7.00,5.00,104,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',5050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010326,5.00,6.00,0.00,7.00,7.00,10.50,1.00,6.00,5.00,421,NULL,424,'AGRONÔMICA','FLORIANÓPOLIS','SC',7440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010334,1.00,3.00,3.00,3.00,2.00,NULL,2.00,1.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6010342,4.00,5.00,2.00,2.00,4.00,8.63,0.00,3.00,2.00,207,NULL,201,'PARTENON','PTO ALEGRE','RS',18859,1013,NULL,1550,NULL,NULL,NULL,4,1),(25,6010369,6.00,6.00,4.00,6.00,8.00,9.75,3.00,4.00,6.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',2991,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6010377,1.00,3.00,0.00,2.00,3.00,6.75,2.00,5.00,0.00,424,NULL,427,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010393,8.00,6.00,3.00,7.00,9.00,10.13,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','CPO MOURÃO','PR',3052,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6010407,8.00,7.00,1.00,6.00,7.00,7.88,0.00,8.00,2.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010415,4.00,4.00,4.00,7.00,7.00,9.38,3.00,3.00,2.00,213,NULL,212,'FLORESTA','JOINVILLE','SC',8776,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6010423,3.00,5.00,0.00,4.00,5.00,7.50,1.00,5.00,1.00,502,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',18921,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6010431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6010440,6.00,7.00,4.00,6.00,8.00,12.75,0.00,7.00,6.00,216,NULL,211,'PARQUE DOS ESTADOS','STA TEREZINHA ITAIPU','PR',4837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010458,3.00,4.00,3.00,3.00,5.00,6.75,2.00,3.00,2.00,103,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',15161,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6010466,3.00,4.00,3.00,4.00,4.00,7.50,1.00,1.00,1.00,404,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19431,77,NULL,NULL,NULL,NULL,NULL,2,1),(25,6010474,4.00,6.00,0.00,5.00,7.00,6.75,1.00,9.00,6.00,103,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',8203,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6010482,4.00,6.00,0.00,5.00,6.00,8.25,1.00,2.00,2.00,429,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14383,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6010490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,NULL,'CENTRO','MTE ALTO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6010504,6.00,8.00,3.00,7.00,8.00,10.88,1.00,7.00,1.00,101,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',5297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010512,2.00,2.00,1.00,4.00,3.00,NULL,3.00,1.00,0.00,415,NULL,NULL,'SÃO CRISTÓVÃO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6010520,7.00,4.00,5.00,6.00,8.00,7.50,2.00,7.00,3.00,201,NULL,212,'KOBRASOL','S JOSÉ','SC',5720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010547,6.00,4.00,5.00,6.00,8.00,11.25,2.00,4.00,3.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',7407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6010563,1.00,4.00,2.00,1.00,7.00,6.75,1.00,0.00,2.00,601,NULL,202,'CENTRO','ITAPOÁ','SC',21221,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6010571,3.00,3.00,0.00,2.00,5.00,NULL,0.00,2.00,0.00,335,NULL,NULL,'CENTRO','MATINHOS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6010580,5.00,7.00,1.00,5.00,7.00,12.00,3.00,3.00,6.00,233,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010598,5.00,6.00,2.00,6.00,6.00,8.63,0.00,3.00,4.00,103,NULL,NULL,'BEIRA MAR','S VICENTE','SP',10135,3570,NULL,NULL,NULL,NULL,NULL,4,9),(25,6010601,4.00,5.00,1.00,4.00,7.00,8.25,2.00,4.00,3.00,601,NULL,220,'BOA VISTA','JOINVILLE','SC',15370,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6010610,5.00,6.00,5.00,6.00,8.00,12.00,6.00,3.00,6.00,211,NULL,207,'TESTO SALTO','BLUMENAU','SC',2282,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6010628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,203,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6010636,3.00,3.00,2.00,2.00,4.00,NULL,2.00,5.00,0.00,319,NULL,NULL,'BOA PARADA','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6010644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MIRANDÓPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6010652,8.00,4.00,2.00,4.00,7.00,NULL,1.00,3.00,4.00,303,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(25,6010679,6.00,5.00,1.00,7.00,5.00,9.00,2.00,6.00,4.00,203,NULL,202,'TONIAL','XANXERÊ','SC',7887,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6010687,7.00,5.00,5.00,4.00,8.00,9.75,3.00,9.00,9.00,216,NULL,233,'LIBERDADE','S PAULO','SP',1568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010695,1.00,2.00,0.00,4.00,4.00,8.63,4.00,4.00,1.00,5,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',19405,664,NULL,NULL,NULL,NULL,NULL,2,1),(25,6010709,6.00,6.00,3.00,5.00,8.00,9.38,3.00,7.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5723,2637,NULL,NULL,NULL,NULL,NULL,2,1),(25,6010717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'SAO LEONARDO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6010733,4.00,6.00,3.00,1.00,6.00,8.25,1.00,6.00,0.00,234,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010741,3.00,4.00,2.00,4.00,2.00,NULL,1.00,0.00,2.00,101,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6010768,2.00,3.00,0.00,2.00,4.00,7.50,2.00,2.00,1.00,453,NULL,NULL,'VILA NOVA','BLUMENAU','SC',19793,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6010776,7.00,7.00,3.00,3.00,7.00,10.50,2.00,4.00,7.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010784,4.00,5.00,0.00,4.00,7.00,8.63,2.00,5.00,1.00,104,NULL,NULL,'CENTRO','LGA VERMELHA','RS',12753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6010792,5.00,3.00,3.00,6.00,8.00,7.50,2.00,6.00,6.00,103,NULL,NULL,'RIO VERMELHO','SALVADOR','BA',7078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010806,5.00,3.00,2.00,7.00,7.00,11.25,2.00,3.00,5.00,103,NULL,NULL,'OFICINAS','PNT GROSSA','PR',8343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010822,3.00,3.00,1.00,4.00,7.00,7.13,0.00,2.00,3.00,415,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6010830,5.00,2.00,3.00,5.00,7.00,9.00,1.00,3.00,1.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14960,141,NULL,NULL,NULL,NULL,NULL,2,1),(25,6010849,7.00,7.00,3.00,7.00,6.00,5.25,6.00,7.00,5.00,336,NULL,NULL,'PRÓSPERA','CRICIÚMA','SC',4177,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6010873,0.00,3.00,3.00,1.00,6.00,7.50,2.00,1.00,0.00,103,NULL,NULL,'CENTRO','CEL VIVIDA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6010881,5.00,8.00,1.00,5.00,6.00,7.50,2.00,3.00,2.00,238,NULL,208,'FLORESTA','VIDEIRA','SC',11964,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6010890,1.00,4.00,1.00,2.00,4.00,8.63,1.00,3.00,2.00,104,NULL,NULL,'CENTRO','COCAL SUL','SC',20526,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6010903,2.00,2.00,0.00,4.00,5.00,6.00,2.00,1.00,0.00,108,NULL,NULL,'SÃO PELEGRINO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6010911,6.00,7.00,4.00,6.00,6.00,9.00,0.00,6.00,8.00,999,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6010920,6.00,4.00,5.00,3.00,9.00,NULL,0.00,6.00,6.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010938,7.00,8.00,5.00,6.00,10.00,7.50,4.00,6.00,7.00,216,NULL,233,'PANTANAL','FLORIANÓPOLIS','SC',1960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6010946,2.00,5.00,1.00,3.00,4.00,11.63,1.00,0.00,1.00,103,NULL,NULL,'CENTRO','PERITIBA','SC',20311,4709,NULL,NULL,NULL,NULL,NULL,4,7),(25,6010954,1.00,5.00,2.00,3.00,6.00,NULL,2.00,0.00,2.00,201,NULL,212,'CENTRO','DIONÍSIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6010962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6010970,4.00,6.00,5.00,6.00,9.00,7.13,5.00,5.00,5.00,202,NULL,220,'VILA SAO LUIS','DOURADOS','MS',4141,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6010989,2.00,3.00,1.00,2.00,3.00,NULL,0.00,0.00,1.00,317,NULL,NULL,'SÃO MIGUEL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6011004,3.00,2.00,2.00,0.00,5.00,7.13,0.00,0.00,1.00,304,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',21721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011012,6.00,3.00,5.00,6.00,10.00,7.13,4.00,4.00,6.00,203,NULL,214,'VILA ESTRELA','PNT GROSSA','PR',4282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011020,5.00,5.00,3.00,5.00,5.00,7.13,0.00,5.00,1.00,233,NULL,213,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',14467,381,NULL,207,NULL,NULL,NULL,2,1),(25,6011039,3.00,4.00,1.00,2.00,3.00,7.88,1.00,4.00,0.00,421,NULL,425,'AGRONOMICA','FLORIANÓPOLIS','SC',19369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011071,6.00,4.00,1.00,3.00,5.00,8.63,2.00,3.00,8.00,216,NULL,233,'REGINALICE','BARUERI','SP',8937,331,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011080,4.00,5.00,3.00,5.00,9.00,9.38,1.00,3.00,0.00,5,NULL,NULL,'VILA DOS ALPES','GOIÂNIA','GO',10736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011098,6.00,3.00,1.00,5.00,8.00,7.13,0.00,2.00,5.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',12017,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6011101,4.00,7.00,2.00,3.00,3.00,6.75,0.00,3.00,1.00,652,NULL,655,'CENTRO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6011110,4.00,6.00,4.00,3.00,6.00,8.63,1.00,3.00,4.00,233,NULL,235,'LIBERDADE','S PAULO','SP',11517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011136,6.00,5.00,3.00,4.00,7.00,6.38,1.00,4.00,3.00,235,NULL,601,'JARDIM MORUMBI','JABOTICABAL','SP',12481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011160,5.00,5.00,5.00,3.00,5.00,9.38,2.00,1.00,3.00,103,NULL,NULL,'ÓRFÃS','PNT GROSSA','PR',10549,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6011187,3.00,6.00,3.00,4.00,4.00,5.25,2.00,5.00,1.00,340,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',15198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011225,3.00,5.00,2.00,3.00,6.00,6.75,2.00,5.00,5.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011233,2.00,4.00,1.00,1.00,4.00,0.00,1.00,2.00,3.00,328,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6011250,5.00,6.00,1.00,5.00,8.00,8.25,1.00,7.00,3.00,333,NULL,NULL,'BOA VISTA','RIO PARDO','RS',7113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011276,6.00,4.00,3.00,2.00,6.00,7.88,1.00,1.00,3.00,503,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011284,3.00,2.00,1.00,5.00,8.00,10.88,0.00,3.00,2.00,337,NULL,NULL,'BIGORRILHO','CURITIBA','PR',16175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'TAPAJÓS','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6011314,1.00,0.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,425,NULL,421,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6011322,5.00,5.00,3.00,2.00,6.00,9.75,0.00,4.00,4.00,207,NULL,220,'PETRÓPOLIS','PTO ALEGRE','RS',9354,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6011330,5.00,4.00,3.00,6.00,4.00,9.00,3.00,6.00,6.00,333,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',9338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GRACIOSA','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6011357,5.00,5.00,3.00,2.00,5.00,8.25,1.00,6.00,6.00,235,NULL,213,'VENDAVAL','BIGUAÇU','SC',9477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011365,4.00,5.00,3.00,6.00,9.00,11.25,1.00,4.00,2.00,303,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',8973,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6011373,2.00,2.00,3.00,3.00,3.00,NULL,0.00,1.00,2.00,2,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6011381,8.00,6.00,3.00,6.00,9.00,9.75,2.00,7.00,6.00,103,NULL,NULL,'CENTRO','SALGADO FILHO','PR',3221,1789,NULL,NULL,NULL,NULL,NULL,4,4),(25,6011390,1.00,1.00,1.00,3.00,4.00,5.25,2.00,4.00,0.00,339,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011403,5.00,4.00,2.00,3.00,5.00,9.00,2.00,5.00,3.00,202,NULL,235,'CENTRO','CHAPECÓ','SC',10970,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6011411,2.00,4.00,5.00,6.00,9.00,11.25,3.00,3.00,3.00,203,NULL,214,'CARVOEIRA','FLORIANÓPOLIS','SC',8064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011438,3.00,6.00,2.00,2.00,8.00,10.50,3.00,3.00,1.00,308,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011446,5.00,6.00,0.00,6.00,9.00,NULL,1.00,5.00,1.00,211,NULL,215,'CENTRO HISTÓRICO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6011454,8.00,9.00,3.00,4.00,7.00,7.50,2.00,6.00,6.00,340,NULL,NULL,'ÁGUAS CLARAS','BRUSQUE','SC',4943,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6011462,5.00,7.00,1.00,4.00,9.00,9.00,2.00,5.00,5.00,310,NULL,NULL,'CENTRO','CAXIAS SUL','RS',7168,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6011470,6.00,6.00,2.00,7.00,7.00,10.88,1.00,5.00,3.00,207,NULL,601,'CENTRO','ÁGUAS FRIAS','SC',7837,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6011489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REDIN','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6011497,5.00,6.00,1.00,3.00,9.00,7.13,0.00,4.00,5.00,2,NULL,NULL,'CENTRO','PALHOÇA','SC',10527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011500,7.00,5.00,2.00,6.00,8.00,7.13,1.00,6.00,2.00,103,NULL,NULL,'CENTRO','ARVOREDO','SC',7872,3156,NULL,NULL,NULL,NULL,NULL,4,4),(25,6011519,2.00,4.00,3.00,1.00,1.00,NULL,3.00,3.00,2.00,653,NULL,655,'ROCINHA','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6011527,6.00,6.00,2.00,3.00,7.00,9.00,1.00,2.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6011535,5.00,6.00,4.00,3.00,6.00,7.13,3.00,4.00,1.00,103,NULL,NULL,'CENTRO','PIRACICABA','SP',9439,3471,NULL,NULL,NULL,NULL,NULL,2,1),(25,6011543,6.00,5.00,1.00,6.00,7.00,8.25,2.00,4.00,6.00,3,NULL,NULL,'SAÚDE','S PAULO','SP',8178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011551,6.00,6.00,4.00,7.00,6.00,7.88,5.00,4.00,5.00,420,NULL,NULL,'VILA VERMELHA','S PAULO','SP',7795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011560,2.00,5.00,2.00,3.00,6.00,9.00,2.00,2.00,1.00,5,NULL,NULL,'VILA MUNICIPAL','JUNDIAÍ','SP',19361,663,NULL,NULL,NULL,NULL,NULL,2,8),(25,6011578,1.00,3.00,0.00,1.00,4.00,NULL,0.00,0.00,2.00,9,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011586,7.00,4.00,3.00,7.00,8.00,7.88,1.00,5.00,6.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',4432,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6011594,7.00,6.00,5.00,6.00,10.00,9.00,2.00,7.00,8.00,103,NULL,NULL,'ITATIBA','ITATIBA','SP',2121,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6011608,3.00,6.00,1.00,2.00,7.00,9.75,0.00,1.00,1.00,109,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6011616,4.00,7.00,3.00,2.00,7.00,6.75,1.00,2.00,2.00,203,NULL,201,'JARDIM SÃO MANOEL','SANTOS','SP',15132,937,NULL,1285,NULL,NULL,NULL,4,1),(25,6011624,2.00,4.00,3.00,3.00,4.00,9.00,1.00,1.00,1.00,425,NULL,424,'CARIANOS','FLORIANÓPOLIS','SC',18316,69,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011632,3.00,4.00,2.00,2.00,6.00,9.75,1.00,3.00,3.00,340,NULL,NULL,'CARAVAGGIO','NOVA VENEZA','SC',14980,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6011640,3.00,5.00,4.00,7.00,6.00,NULL,3.00,3.00,0.00,203,NULL,NULL,'INGLÊSES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6011659,9.00,6.00,6.00,8.00,10.00,10.88,4.00,6.00,8.00,203,NULL,601,'CAPOEIRAS','FLORIANÓPOLIS','SC',489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011667,4.00,2.00,1.00,2.00,4.00,7.50,3.00,3.00,2.00,502,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011675,7.00,8.00,3.00,7.00,10.00,11.63,2.00,8.00,4.00,340,NULL,NULL,'SANTANA','PINDAMONHANGABA','SP',2164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6011691,5.00,6.00,3.00,5.00,8.00,8.63,2.00,6.00,5.00,336,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6152,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6011705,3.00,0.00,1.00,2.00,4.00,4.50,1.00,0.00,2.00,652,NULL,655,'IGRA NORTE','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6011713,2.00,3.00,1.00,2.00,4.00,7.88,0.00,0.00,0.00,551,NULL,NULL,'MAROMBAS','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6011721,3.00,6.00,4.00,6.00,9.00,7.50,2.00,4.00,2.00,207,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11124,576,NULL,NULL,NULL,NULL,NULL,2,10),(25,6011748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6011756,3.00,4.00,4.00,4.00,4.00,9.75,2.00,2.00,0.00,309,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6011764,3.00,5.00,2.00,4.00,7.00,8.63,3.00,1.00,0.00,9,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15489,82,NULL,NULL,NULL,NULL,NULL,2,1),(25,6011772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'BELA VISTA','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6011780,6.00,5.00,4.00,7.00,8.00,8.25,2.00,3.00,2.00,420,NULL,NULL,'UNIVERSITARIO','TIJUCAS','SC',7854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6011802,3.00,7.00,5.00,2.00,7.00,9.75,1.00,3.00,2.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',13666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011810,6.00,7.00,7.00,6.00,8.00,8.63,4.00,5.00,7.00,216,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',1791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011829,1.00,3.00,3.00,2.00,2.00,NULL,1.00,0.00,0.00,654,NULL,NULL,'VILA SÃO JOSE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6011837,7.00,5.00,3.00,5.00,7.00,8.25,1.00,4.00,2.00,214,NULL,211,'SÃO DIMAS','S JOSÉ CAMPOS','SP',10940,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6011845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,421,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6011861,2.00,5.00,3.00,3.00,6.00,6.75,1.00,3.00,3.00,207,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',17697,951,NULL,1465,NULL,NULL,NULL,4,1),(25,6011926,5.00,6.00,4.00,6.00,4.00,7.50,3.00,5.00,3.00,238,NULL,601,'BELA VISTA','IBIRAMA','SC',10840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6011934,3.00,6.00,0.00,5.00,6.00,NULL,2.00,4.00,3.00,5,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6011942,5.00,4.00,3.00,4.00,4.00,6.38,2.00,4.00,3.00,238,NULL,208,'KOBRASOL','S JOSÉ','SC',16729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011950,5.00,5.00,1.00,0.00,7.00,8.63,2.00,5.00,4.00,333,NULL,NULL,'JOÃO COSTA','JOINVILLE','SC',15805,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6011969,3.00,7.00,3.00,5.00,3.00,7.50,3.00,7.00,3.00,601,NULL,201,'PONTA DE BAIXO','S JOSÉ','SC',11428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6011985,3.00,5.00,3.00,5.00,9.00,11.63,4.00,2.00,5.00,331,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',8684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6011993,4.00,4.00,1.00,1.00,4.00,NULL,3.00,1.00,2.00,420,NULL,NULL,'CENTRO','FERRAZ VASCONCELOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6012000,1.00,3.00,2.00,1.00,4.00,5.25,2.00,0.00,2.00,238,NULL,208,'RIO VERMELHO','FLORIANÓPOLIS','SC',21712,543,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'SANTA CRUZ','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6012027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6012035,5.00,5.00,4.00,4.00,8.00,NULL,0.00,4.00,7.00,103,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012043,5.00,6.00,3.00,7.00,10.00,13.88,4.00,8.00,7.00,220,NULL,202,'FAIÇALVILLE','GOIÂNIA','GO',589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012051,7.00,7.00,6.00,6.00,8.00,10.13,3.00,6.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012078,5.00,5.00,3.00,5.00,6.00,8.63,2.00,3.00,3.00,233,NULL,601,'MARTELLI','VIDEIRA','SC',13392,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6012086,6.00,5.00,2.00,6.00,6.00,9.75,0.00,3.00,7.00,101,NULL,NULL,'VILA STEOLA','PIRASSUNUNGA','SP',8098,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6012094,4.00,4.00,2.00,4.00,6.00,7.13,0.00,1.00,3.00,339,NULL,NULL,'CAEIRA DO SACO DOS L','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6012108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CENTRO','DAVID CANABARRO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6012124,5.00,4.00,4.00,6.00,8.00,9.00,3.00,7.00,7.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',4223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012132,3.00,5.00,2.00,4.00,4.00,3.38,1.00,2.00,3.00,207,NULL,202,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6012159,4.00,2.00,3.00,7.00,7.00,6.75,1.00,1.00,3.00,108,NULL,NULL,'LONDRILAR','LONDRINA','PR',13295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012167,6.00,6.00,1.00,6.00,10.00,7.13,2.00,2.00,3.00,421,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11987,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6012175,1.00,6.00,1.00,7.00,3.00,10.13,2.00,1.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',17477,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6012183,3.00,3.00,0.00,5.00,9.00,7.88,2.00,7.00,2.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012191,2.00,2.00,1.00,2.00,4.00,5.63,0.00,1.00,1.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012205,3.00,5.00,1.00,6.00,6.00,7.50,0.00,2.00,3.00,109,NULL,NULL,'ESCOLA AGRICOLA','BLUMENAU','SC',15209,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(25,6012213,8.00,8.00,5.00,4.00,8.00,9.38,2.00,6.00,6.00,103,NULL,NULL,'NOSSA SRA APARECIDA','STA CECÍLIA','SC',3341,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6012221,7.00,6.00,5.00,7.00,10.00,11.63,4.00,6.00,4.00,201,NULL,212,'CENTRO','CHAPECÓ','SC',1995,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6012230,8.00,3.00,6.00,5.00,6.00,9.38,3.00,4.00,8.00,235,NULL,201,'GOIÂNIA DOIS','GOIÂNIA','GO',3963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012256,3.00,3.00,2.00,3.00,3.00,6.00,2.00,5.00,3.00,333,NULL,NULL,'AREA UM','TELÊMACO BORBA','PR',17973,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6012264,7.00,7.00,6.00,6.00,7.00,8.25,6.00,7.00,8.00,233,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',1406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,NULL,'POLICIA RODOVIÁRIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6012280,4.00,8.00,2.00,6.00,8.00,NULL,0.00,4.00,0.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6012299,4.00,3.00,4.00,3.00,6.00,9.00,1.00,3.00,3.00,201,NULL,207,'ZONA DOIS','MARINGÁ','PR',12841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012302,7.00,4.00,9.00,7.00,7.00,8.25,4.00,8.00,6.00,201,NULL,653,'CENTRO CIVICO','CURITIBA','PR',1687,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6012310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6012329,7.00,5.00,5.00,6.00,7.00,9.00,1.00,5.00,7.00,201,NULL,212,'VÍGOLO','NOVA TRENTO','SC',4442,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6012337,4.00,4.00,3.00,4.00,8.00,8.63,0.00,3.00,2.00,207,NULL,201,'JARDIM BIGUAÇU','BIGUAÇU','SC',12957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012353,5.00,5.00,3.00,5.00,8.00,7.88,3.00,5.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6980,2955,NULL,NULL,NULL,NULL,NULL,2,1),(25,6012388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'ROÇA GRANDE','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6012396,7.00,8.00,3.00,5.00,8.00,7.13,4.00,7.00,7.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',3824,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6012400,7.00,7.00,6.00,6.00,8.00,8.25,2.00,7.00,5.00,102,NULL,NULL,'AMÉRICA','JOINVILLE','SC',2860,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6012418,6.00,7.00,3.00,6.00,8.00,10.13,2.00,3.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012426,5.00,5.00,5.00,6.00,8.00,NULL,0.00,4.00,4.00,103,NULL,NULL,'JABAQUARA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6012434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6012442,7.00,5.00,3.00,5.00,10.00,10.13,4.00,7.00,7.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',2086,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6012450,8.00,5.00,8.00,5.00,9.00,10.50,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','SALETE','SC',634,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6012469,5.00,6.00,3.00,4.00,7.00,7.88,1.00,7.00,4.00,202,NULL,601,'FORQUILHAS','S JOSÉ','SC',6934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MÃE LUZIA','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6012485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'VILA SANTA RITA','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6012493,6.00,7.00,5.00,6.00,8.00,8.63,4.00,3.00,3.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012507,6.00,7.00,2.00,4.00,8.00,7.13,2.00,7.00,6.00,207,NULL,NULL,'CAMOBI','STA MARIA','RS',6910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012515,5.00,6.00,5.00,7.00,7.00,8.25,3.00,4.00,6.00,201,NULL,212,'JARDIM ITÁLIA','CHAPECÓ','SC',5085,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6012523,6.00,8.00,6.00,6.00,8.00,6.75,4.00,6.00,7.00,233,NULL,235,'CENTRO','BAL CAMBORIÚ','SC',2887,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6012531,3.00,3.00,1.00,4.00,7.00,7.88,0.00,2.00,4.00,214,NULL,212,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',15718,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6012566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6012574,3.00,5.00,2.00,2.00,5.00,7.13,0.00,0.00,1.00,207,NULL,201,'PARQUE DAS AVENIDAS','SOMBRIO','SC',19928,1089,NULL,1632,NULL,NULL,NULL,2,15),(25,6012590,4.00,6.00,2.00,3.00,6.00,5.63,2.00,3.00,2.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',16479,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6012604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6012612,5.00,3.00,3.00,2.00,3.00,5.25,3.00,2.00,2.00,238,NULL,208,'PRAIA COMPRIDA','S JOSÉ','SC',19968,478,NULL,526,NULL,NULL,NULL,2,1),(25,6012620,6.00,4.00,3.00,6.00,9.00,7.88,4.00,6.00,3.00,303,NULL,NULL,'ALTO DA LAPA','S PAULO','SP',5672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012647,5.00,7.00,3.00,4.00,6.00,11.25,2.00,5.00,7.00,333,NULL,NULL,'CENTRO','STA HELENA GOIÁS','GO',6204,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6012655,2.00,5.00,2.00,2.00,5.00,7.50,2.00,4.00,4.00,336,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',18686,152,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012663,6.00,4.00,3.00,3.00,7.00,6.75,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',12924,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6012671,3.00,5.00,4.00,3.00,3.00,7.50,0.00,0.00,4.00,428,NULL,423,'IPIRANGA','S JOSÉ','SC',19766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6012698,2.00,1.00,1.00,3.00,4.00,6.00,2.00,2.00,0.00,429,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6012701,8.00,7.00,3.00,5.00,8.00,9.00,3.00,8.00,8.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',2293,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6012710,3.00,5.00,2.00,4.00,9.00,9.75,1.00,5.00,4.00,207,NULL,201,'MINA DO MATO','CRICIÚMA','SC',9402,461,NULL,743,NULL,NULL,NULL,2,5),(25,6012728,4.00,5.00,0.00,6.00,6.00,5.63,3.00,2.00,1.00,201,NULL,207,'CENTRO','DIONÍSIO CERQUEIRA','SC',14982,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6012744,6.00,7.00,2.00,5.00,8.00,10.50,2.00,3.00,4.00,303,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',9301,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6012752,7.00,4.00,2.00,3.00,8.00,NULL,0.00,5.00,5.00,103,NULL,NULL,'SANTO INÁCIO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6012760,2.00,4.00,0.00,1.00,2.00,NULL,2.00,1.00,1.00,103,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6012779,2.00,3.00,6.00,3.00,6.00,8.63,2.00,3.00,5.00,601,NULL,NULL,'PRAIA BRAVA','ITAJAÍ','SC',10614,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6012817,2.00,5.00,2.00,5.00,7.00,7.88,1.00,0.00,2.00,201,NULL,212,'CENTRO','CONCÓRDIA','SC',15503,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6012825,7.00,5.00,4.00,6.00,8.00,8.63,2.00,4.00,6.00,203,NULL,220,'RES VALE DO ARVOREDO','LONDRINA','PR',5322,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6012833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CONJUNTO RIVIERA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6012841,2.00,3.00,0.00,4.00,6.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'VILA ISAURA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012868,5.00,7.00,2.00,5.00,9.00,9.75,1.00,6.00,1.00,109,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10057,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6012876,5.00,4.00,2.00,3.00,4.00,NULL,2.00,0.00,3.00,654,NULL,NULL,'TENENTE','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6012884,3.00,2.00,0.00,2.00,4.00,5.63,1.00,2.00,0.00,203,NULL,214,'SANTA CRUZ','RIBEIRÃO PRETO','SP',21105,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6012906,2.00,2.00,3.00,2.00,6.00,8.63,3.00,2.00,1.00,304,NULL,NULL,'CENTRO','TOLEDO','PR',17178,125,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012914,2.00,3.00,1.00,4.00,5.00,5.63,2.00,5.00,2.00,421,NULL,428,'BARREIROS','S JOSÉ','SC',20595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6012922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,216,'CENTRO','PASSOS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6012930,6.00,5.00,2.00,6.00,7.00,9.75,3.00,7.00,6.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6012957,3.00,5.00,3.00,2.00,5.00,9.00,2.00,3.00,3.00,324,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6012973,3.00,2.00,0.00,2.00,5.00,9.38,2.00,1.00,2.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013007,3.00,7.00,1.00,5.00,6.00,8.63,2.00,5.00,3.00,205,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14368,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013015,4.00,5.00,3.00,5.00,10.00,9.00,1.00,3.00,6.00,420,NULL,NULL,'SANTA RITA','MARINGÁ','PR',8412,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6013023,2.00,4.00,3.00,4.00,7.00,0.00,2.00,2.00,3.00,101,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013040,4.00,5.00,2.00,2.00,5.00,8.63,2.00,4.00,3.00,109,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',17695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013058,5.00,5.00,2.00,2.00,4.00,6.75,0.00,5.00,5.00,336,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',13993,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6013066,3.00,5.00,3.00,6.00,6.00,7.13,2.00,1.00,1.00,212,NULL,201,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013074,4.00,6.00,4.00,6.00,6.00,9.38,4.00,7.00,5.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013082,3.00,7.00,2.00,4.00,6.00,6.75,3.00,1.00,1.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',17380,40,NULL,NULL,NULL,NULL,NULL,2,15),(25,6013090,4.00,4.00,3.00,5.00,3.00,0.00,2.00,4.00,2.00,235,NULL,220,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013104,4.00,5.00,1.00,2.00,7.00,5.63,2.00,4.00,2.00,220,NULL,215,'CENTRO','STO AMARO IMPERATRIZ','SC',19011,471,NULL,311,NULL,NULL,NULL,2,1),(25,6013112,2.00,3.00,1.00,1.00,3.00,7.88,2.00,3.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013120,3.00,3.00,1.00,3.00,5.00,7.88,4.00,5.00,1.00,501,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013139,3.00,2.00,0.00,1.00,7.00,NULL,0.00,2.00,0.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013147,6.00,6.00,0.00,2.00,7.00,6.38,1.00,7.00,1.00,211,NULL,202,'CARIANOS','FLORIANÓPOLIS','SC',12795,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013155,6.00,6.00,0.00,5.00,6.00,NULL,3.00,7.00,3.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6013163,5.00,5.00,3.00,3.00,6.00,10.13,1.00,5.00,3.00,336,NULL,NULL,'INTERIOR','DAVID CANABARRO','RS',9727,61,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013171,0.00,4.00,1.00,2.00,3.00,7.13,3.00,2.00,2.00,317,NULL,NULL,'LOTEAMENTO MADRI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013180,2.00,4.00,2.00,3.00,6.00,5.25,2.00,2.00,0.00,404,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',21100,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013201,4.00,5.00,3.00,5.00,6.00,7.50,0.00,5.00,4.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',15435,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013210,3.00,2.00,4.00,6.00,7.00,7.50,1.00,1.00,2.00,201,NULL,NULL,'JD UNIVERSITARIO','MARINGÁ','PR',17027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013228,2.00,5.00,0.00,4.00,3.00,7.13,3.00,5.00,2.00,428,NULL,427,'ABRAAO','FLORIANÓPOLIS','SC',18523,41,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013244,3.00,3.00,1.00,4.00,7.00,7.88,0.00,1.00,2.00,308,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',20552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013260,5.00,6.00,1.00,3.00,9.00,NULL,0.00,4.00,3.00,336,NULL,NULL,'IMIGRANTES','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6013279,4.00,5.00,3.00,4.00,8.00,7.88,1.00,4.00,4.00,9,NULL,NULL,'BOA VISTA','JOINVILLE','SC',12305,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6013287,2.00,5.00,1.00,4.00,8.00,7.50,0.00,1.00,2.00,3,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',18759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013295,7.00,5.00,4.00,6.00,9.00,9.75,5.00,6.00,7.00,208,NULL,238,'PRAIA DOS INGLESES','FLORIANÓPOLIS','SC',2484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013309,1.00,3.00,0.00,3.00,2.00,NULL,0.00,1.00,2.00,238,NULL,208,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013317,3.00,6.00,0.00,7.00,7.00,NULL,0.00,5.00,5.00,427,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6013325,4.00,5.00,2.00,4.00,4.00,9.00,2.00,3.00,2.00,308,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',17253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013333,6.00,7.00,4.00,3.00,6.00,NULL,0.00,3.00,5.00,103,NULL,NULL,'CELESTE','CPO BOM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013341,3.00,3.00,1.00,6.00,9.00,10.13,1.00,2.00,0.00,340,NULL,NULL,'CENTRO','CANOINHAS','SC',14947,331,NULL,NULL,NULL,NULL,NULL,4,17),(25,6013368,7.00,4.00,3.00,6.00,8.00,7.50,5.00,6.00,7.00,201,NULL,203,'JARDIM SOCIAL','CURITIBA','PR',3366,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6013384,4.00,5.00,1.00,4.00,7.00,9.00,0.00,2.00,1.00,451,NULL,NULL,'FAZENDA','ITAJAÍ','SC',18835,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6013392,3.00,6.00,4.00,6.00,5.00,9.75,0.00,2.00,1.00,207,NULL,216,'CENTRO','PNT PORÃ','MS',11652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013406,6.00,7.00,4.00,6.00,10.00,11.25,1.00,7.00,7.00,319,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013414,3.00,4.00,1.00,7.00,6.00,9.00,1.00,5.00,3.00,425,NULL,429,'FORQUILHINHAS','S JOSÉ','SC',14258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013430,3.00,5.00,0.00,4.00,8.00,10.88,0.00,4.00,2.00,308,NULL,NULL,'AMÉRICA','JOINVILLE','SC',15325,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6013449,1.00,5.00,0.00,2.00,6.00,8.25,1.00,0.00,2.00,319,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',21035,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6013457,5.00,8.00,3.00,6.00,7.00,7.50,5.00,6.00,3.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',4377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6013490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6013503,4.00,2.00,0.00,3.00,5.00,7.13,3.00,4.00,3.00,329,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013511,8.00,6.00,7.00,7.00,9.00,7.50,3.00,6.00,8.00,216,NULL,202,'GLÓRIA','JOINVILLE','SC',1435,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6013520,7.00,5.00,4.00,5.00,9.00,8.25,1.00,5.00,7.00,103,NULL,NULL,'SAO QUIRINO','CAMPINAS','SP',4788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013538,7.00,6.00,2.00,5.00,8.00,10.13,2.00,7.00,5.00,331,NULL,NULL,'ARIRIU DA FORMIGA','PALHOÇA','SC',6564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013546,3.00,2.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,207,NULL,201,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013554,2.00,4.00,2.00,4.00,4.00,6.75,4.00,3.00,2.00,653,NULL,655,'POLICIA RODOVIARIA','ARARANGUÁ','SC',19220,201,NULL,122,NULL,NULL,NULL,2,15),(25,6013570,7.00,6.00,2.00,3.00,6.00,7.88,2.00,6.00,2.00,301,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',12479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013589,7.00,4.00,0.00,7.00,7.00,NULL,2.00,6.00,6.00,103,NULL,NULL,'MORUMBI','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6013597,4.00,4.00,0.00,4.00,7.00,9.00,0.00,1.00,3.00,415,NULL,NULL,'CRISTO REI','CURITIBA','PR',16894,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6013600,5.00,7.00,2.00,4.00,9.00,9.38,2.00,6.00,2.00,327,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',6757,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013635,4.00,5.00,3.00,4.00,4.00,9.75,2.00,2.00,1.00,319,NULL,NULL,'AREIS CAMPECHE','FLORIANÓPOLIS','SC',15752,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013643,7.00,7.00,8.00,5.00,7.00,8.25,4.00,6.00,7.00,203,NULL,201,'SAO FRANCISCO','IRATI','PR',1583,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6013678,5.00,5.00,0.00,7.00,7.00,9.00,1.00,4.00,2.00,301,NULL,NULL,'AFONSO PENA','S JOSÉ PINHAIS','PR',11974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,235,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6013724,7.00,7.00,8.00,6.00,8.00,9.00,2.00,8.00,6.00,201,NULL,213,'CENTRO','CHAPECÓ','SC',1403,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6013732,4.00,3.00,1.00,2.00,6.00,9.00,2.00,3.00,3.00,308,NULL,NULL,'CANUDOS','ANTÔNIO CARLOS','SC',15987,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013740,8.00,6.00,9.00,7.00,9.00,10.50,5.00,8.00,8.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013775,3.00,5.00,2.00,2.00,8.00,8.25,2.00,2.00,2.00,428,NULL,425,'VELHA','BLUMENAU','SC',16019,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6013783,3.00,3.00,1.00,3.00,3.00,NULL,2.00,2.00,0.00,453,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013791,7.00,5.00,6.00,4.00,6.00,6.75,4.00,4.00,6.00,201,NULL,203,'CENTRO','FORMOSA OESTE','PR',4973,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6013805,3.00,2.00,2.00,6.00,4.00,5.63,1.00,3.00,1.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',18845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013813,4.00,6.00,2.00,5.00,7.00,7.88,2.00,4.00,3.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12676,294,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013821,7.00,7.00,2.00,3.00,7.00,9.38,3.00,7.00,1.00,110,NULL,NULL,'IPIRANGA','S JOSÉ','SC',7989,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013830,4.00,4.00,0.00,3.00,6.00,10.50,0.00,4.00,1.00,223,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013856,4.00,5.00,5.00,7.00,8.00,7.50,3.00,4.00,4.00,233,NULL,216,'AGUA VERDE','CURITIBA','PR',7519,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6013864,3.00,6.00,2.00,2.00,5.00,8.25,1.00,6.00,2.00,211,NULL,207,'IMIGRANTES','GUABIRUBA','SC',16938,439,NULL,902,NULL,NULL,NULL,4,6),(25,6013872,1.00,3.00,1.00,3.00,4.00,NULL,0.00,1.00,3.00,324,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013880,3.00,6.00,3.00,6.00,8.00,9.00,3.00,4.00,2.00,340,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013902,0.00,2.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6013929,3.00,3.00,3.00,5.00,7.00,NULL,0.00,4.00,3.00,110,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013937,2.00,5.00,3.00,2.00,5.00,7.50,1.00,3.00,1.00,202,NULL,215,'KOBRASOL','S JOSÉ','SC',20518,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013961,3.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,0.00,404,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6013970,6.00,7.00,4.00,6.00,6.00,9.38,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','LAGES','SC',6855,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6013988,4.00,6.00,3.00,5.00,5.00,6.38,3.00,5.00,5.00,208,NULL,238,'AGRONOMICA','FLORIANÓPOLIS','SC',10559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6013996,3.00,5.00,3.00,5.00,8.00,9.38,2.00,4.00,2.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',13876,58,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014011,3.00,4.00,2.00,2.00,5.00,9.38,1.00,2.00,1.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014020,4.00,3.00,1.00,0.00,3.00,6.75,0.00,3.00,1.00,654,NULL,NULL,'BOCA DO PIQUE','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6014038,4.00,4.00,0.00,3.00,7.00,7.88,1.00,0.00,0.00,3,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',20642,84,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014046,8.00,7.00,5.00,7.00,9.00,8.63,6.00,7.00,5.00,201,NULL,203,'ITOUPAVA NORTE','BLUMENAU','SC',1676,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6014054,5.00,5.00,1.00,1.00,7.00,10.13,2.00,4.00,3.00,233,NULL,220,'FORQUILHINHAS','S JOSÉ','SC',12563,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014089,7.00,8.00,4.00,7.00,8.00,9.75,3.00,7.00,8.00,235,NULL,202,'CENTRO','JARAGUÁ SUL','SC',1436,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6014097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO INACIO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6014100,4.00,2.00,5.00,5.00,8.00,7.88,1.00,3.00,1.00,201,NULL,207,'RIO FERRO','PRES GETÚLIO','SC',12635,1075,NULL,679,NULL,NULL,NULL,4,2),(25,6014119,4.00,4.00,1.00,1.00,2.00,NULL,1.00,3.00,1.00,319,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014127,6.00,5.00,2.00,5.00,9.00,10.13,2.00,9.00,5.00,415,NULL,NULL,'SAÚDE','MOGI MIRIM','SP',3454,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014135,5.00,6.00,4.00,7.00,8.00,9.38,0.00,6.00,3.00,5,NULL,NULL,'ESTADOS','INDAIAL','SC',5319,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6014143,5.00,9.00,2.00,7.00,8.00,9.75,3.00,7.00,5.00,212,NULL,233,'HIGIENÓPOLIS','S PAULO','SP',3016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014160,7.00,5.00,2.00,6.00,8.00,10.50,4.00,7.00,5.00,303,NULL,NULL,'CENTRO','ARARANGUÁ','SC',4828,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6014186,4.00,3.00,1.00,3.00,3.00,7.50,1.00,1.00,0.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014194,5.00,6.00,2.00,2.00,7.00,6.38,2.00,7.00,4.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12960,448,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014208,4.00,4.00,3.00,6.00,7.00,9.00,1.00,4.00,2.00,336,NULL,NULL,'CENTRO','EXTREMA','MG',13616,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014224,5.00,6.00,6.00,6.00,7.00,7.88,2.00,7.00,3.00,201,NULL,207,'COQUEIROS','FLORIANÓPOLIS','SC',3894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014232,4.00,5.00,5.00,3.00,7.00,9.00,1.00,6.00,6.00,317,NULL,NULL,'CENTRO','BÁLSAMO','SP',6763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014240,3.00,7.00,2.00,2.00,3.00,7.13,0.00,3.00,3.00,238,NULL,208,'FORQUILHAS','S JOSÉ','SC',20089,482,NULL,533,NULL,NULL,NULL,4,1),(25,6014259,5.00,3.00,2.00,4.00,6.00,9.00,1.00,5.00,3.00,103,NULL,NULL,'ZONA SEIS','MARINGÁ','PR',12141,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6014267,9.00,7.00,7.00,6.00,10.00,8.63,7.00,9.00,9.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014275,4.00,4.00,0.00,4.00,3.00,7.50,2.00,3.00,1.00,212,NULL,211,'DOM JOAQUIM','BRUSQUE','SC',20464,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014283,5.00,2.00,2.00,4.00,6.00,8.25,3.00,2.00,2.00,201,NULL,207,'ÁGUA VERDE','CURITIBA','PR',14407,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6014291,4.00,6.00,0.00,5.00,7.00,9.75,2.00,2.00,1.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15817,72,NULL,NULL,NULL,NULL,NULL,5,1),(25,6014305,7.00,5.00,6.00,7.00,8.00,11.25,6.00,6.00,8.00,103,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',854,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6014313,6.00,8.00,3.00,5.00,8.00,8.25,1.00,8.00,8.00,103,NULL,NULL,'VILA FANNY','CURITIBA','PR',4305,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6014321,2.00,4.00,2.00,6.00,5.00,8.25,1.00,3.00,1.00,201,NULL,207,'CAMPINAS','S JOSÉ','SC',19024,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014330,7.00,5.00,5.00,3.00,3.00,7.88,3.00,2.00,6.00,234,NULL,NULL,'CENTRO','PALMAS','TO',12540,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014356,7.00,5.00,4.00,7.00,9.00,12.00,3.00,6.00,6.00,207,NULL,233,'JOÃO PAULO','FLORIANÓPOLIS','SC',2839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014364,5.00,5.00,1.00,4.00,7.00,8.63,2.00,3.00,1.00,103,NULL,NULL,'CHACARA INGLESA','S BERNARDO CAMPO','SP',11357,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014372,1.00,5.00,3.00,5.00,4.00,7.50,2.00,4.00,2.00,331,NULL,NULL,'FUNDOS','BIGUAÇU','SC',19306,45,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014380,2.00,1.00,0.00,2.00,3.00,8.25,1.00,0.00,2.00,5,NULL,NULL,'AMÉRICA','JOINVILLE','SC',21022,710,NULL,NULL,NULL,NULL,NULL,4,8),(25,6014399,4.00,3.00,1.00,1.00,4.00,6.00,3.00,0.00,3.00,207,NULL,201,'CENTRO','JACUPIRANGA','SP',20220,1098,NULL,1649,NULL,NULL,NULL,4,3),(25,6014402,8.00,7.00,3.00,5.00,10.00,13.50,1.00,7.00,6.00,103,NULL,NULL,'JARDIM BELA VISTA','S JOSÉ CAMPOS','SP',1867,1165,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014410,8.00,7.00,4.00,5.00,9.00,9.75,5.00,8.00,9.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',546,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6014429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'JARDIM CANDIDA','ARARAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6014437,1.00,3.00,4.00,4.00,2.00,NULL,2.00,1.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014453,3.00,4.00,3.00,5.00,7.00,NULL,1.00,0.00,1.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014461,6.00,6.00,3.00,5.00,6.00,6.75,3.00,6.00,6.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014488,4.00,6.00,2.00,4.00,7.00,9.75,2.00,5.00,1.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13981,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014496,2.00,2.00,2.00,3.00,5.00,9.38,3.00,4.00,2.00,404,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',18654,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014500,6.00,5.00,1.00,6.00,6.00,7.88,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014518,1.00,3.00,1.00,4.00,5.00,7.50,1.00,1.00,2.00,429,NULL,423,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014526,2.00,6.00,0.00,6.00,9.00,9.75,1.00,3.00,1.00,652,NULL,NULL,'AREIAS BRANCAS','BAL ARROIO SILVA','SC',15324,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6014534,4.00,3.00,1.00,5.00,3.00,8.25,1.00,1.00,0.00,316,NULL,NULL,'SANTA RITA','BRUSQUE','SC',19610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014542,3.00,5.00,3.00,5.00,6.00,7.13,2.00,1.00,1.00,301,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',16622,213,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014550,7.00,8.00,6.00,7.00,8.00,10.50,3.00,8.00,6.00,303,NULL,NULL,'VILA MANAUS','CRICIÚMA','SC',1469,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6014569,1.00,7.00,2.00,0.00,6.00,6.38,3.00,4.00,2.00,318,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6014585,3.00,1.00,2.00,3.00,5.00,6.75,2.00,2.00,2.00,101,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014593,4.00,5.00,2.00,6.00,8.00,9.75,2.00,3.00,3.00,211,NULL,215,'VILA VERA','S PAULO','SP',9105,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014615,6.00,4.00,5.00,5.00,7.00,7.50,3.00,4.00,6.00,655,NULL,652,'CIDADE ALTA','TURVO','SC',7639,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6014623,3.00,2.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014631,6.00,4.00,3.00,3.00,5.00,8.25,3.00,3.00,4.00,203,NULL,601,'MAR GROSSO','LAGUNA','SC',11676,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6014640,1.00,4.00,0.00,3.00,6.00,8.25,3.00,1.00,3.00,310,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6014658,4.00,6.00,0.00,5.00,8.00,9.38,2.00,4.00,2.00,428,NULL,425,'RIBEIRÃO DAS PEDRAS','INDAIAL','SC',11208,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6014666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'BRASIL','ITU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6014674,5.00,5.00,0.00,6.00,9.00,7.50,3.00,7.00,4.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014682,1.00,6.00,3.00,5.00,7.00,6.75,0.00,5.00,0.00,211,NULL,601,'CENTRO','GUARAMIRIM','SC',14814,389,NULL,NULL,NULL,NULL,NULL,4,8),(25,6014690,2.00,1.00,0.00,3.00,1.00,NULL,1.00,2.00,1.00,652,NULL,NULL,'BADENFURT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6014704,2.00,5.00,1.00,1.00,3.00,8.25,0.00,2.00,1.00,110,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014720,8.00,6.00,4.00,7.00,10.00,10.13,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','RIO NEGRO','PR',1265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014739,4.00,6.00,3.00,5.00,4.00,6.00,5.00,3.00,3.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM SÃO NICOLAU','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6014755,8.00,6.00,6.00,7.00,5.00,8.63,4.00,4.00,7.00,203,NULL,220,'VALPARAÍSO','BLUMENAU','SC',2853,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6014763,4.00,5.00,2.00,3.00,5.00,7.13,2.00,3.00,3.00,214,NULL,213,'JARDIM SAO PAULO','S PAULO','SP',14379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014771,4.00,7.00,2.00,4.00,5.00,9.75,2.00,7.00,3.00,340,NULL,NULL,'MURTA','ITAJAÍ','SC',9296,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6014798,4.00,5.00,3.00,1.00,4.00,7.50,2.00,3.00,1.00,238,NULL,202,'JD ELDORADO','PALHOÇA','SC',18085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014801,7.00,6.00,2.00,5.00,8.00,10.88,3.00,6.00,7.00,214,NULL,203,'BOQUEIRÃO','SANTOS','SP',2519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014810,0.00,4.00,1.00,3.00,4.00,6.75,3.00,1.00,2.00,429,NULL,425,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014836,1.00,5.00,1.00,2.00,2.00,NULL,0.00,2.00,2.00,335,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014844,4.00,7.00,2.00,4.00,6.00,7.88,2.00,5.00,0.00,415,NULL,NULL,'CENTRO','BIGUAÇU','SC',14581,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014852,5.00,3.00,1.00,1.00,5.00,8.25,2.00,4.00,2.00,103,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',19362,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6014879,0.00,2.00,0.00,0.00,4.00,6.00,0.00,1.00,1.00,301,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',21796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014887,3.00,4.00,1.00,1.00,5.00,NULL,1.00,0.00,1.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014909,3.00,2.00,0.00,3.00,8.00,NULL,3.00,2.00,0.00,207,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6014917,3.00,4.00,2.00,3.00,4.00,5.25,3.00,3.00,2.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17911,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6014925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'NOVA BRASILIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6014933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GURUPI','TO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6014968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6014984,4.00,7.00,3.00,2.00,6.00,8.25,3.00,5.00,1.00,329,NULL,NULL,'SERRARIA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6014992,1.00,2.00,2.00,4.00,4.00,5.25,3.00,1.00,0.00,109,NULL,NULL,'NAÇÕES','INDAIAL','SC',21536,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6015000,2.00,6.00,2.00,3.00,5.00,7.88,3.00,5.00,2.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',12806,98,NULL,NULL,NULL,NULL,NULL,2,1),(25,6015026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6015034,5.00,6.00,2.00,6.00,8.00,NULL,0.00,7.00,6.00,415,NULL,NULL,'VILA PEDRINE','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6015042,7.00,6.00,2.00,3.00,7.00,8.63,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',9343,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6015069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'ALTO DAS PALMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6015077,7.00,7.00,5.00,6.00,11.00,7.88,4.00,7.00,5.00,220,NULL,202,'AMÉRICA','JOINVILLE','SC',2548,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6015085,6.00,4.00,3.00,6.00,8.00,8.63,2.00,4.00,4.00,203,NULL,201,'CENTRO','CANOINHAS','SC',6488,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6015093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6015115,2.00,3.00,3.00,3.00,4.00,NULL,2.00,0.00,3.00,654,NULL,NULL,'VOLTA DO SILVEIRA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,15),(25,6015123,1.00,1.00,2.00,1.00,6.00,8.25,1.00,0.00,1.00,316,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6015140,2.00,3.00,2.00,3.00,5.00,9.38,2.00,3.00,0.00,303,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',16426,729,NULL,NULL,NULL,NULL,NULL,4,1),(25,6015158,2.00,2.00,0.00,2.00,3.00,NULL,0.00,0.00,3.00,444,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6015166,3.00,3.00,0.00,1.00,5.00,NULL,3.00,0.00,4.00,104,NULL,NULL,'CENTRO','UNIÃO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6015174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6015182,5.00,2.00,4.00,3.00,6.00,7.13,1.00,4.00,3.00,103,NULL,NULL,'JARDIM ANA EMILIA','TAUBATÉ','SP',17086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6015190,5.00,4.00,2.00,5.00,7.00,6.75,3.00,3.00,3.00,109,NULL,NULL,'OFICINAS','TUBARÃO','SC',14267,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6015204,7.00,7.00,4.00,4.00,8.00,7.13,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',5694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6015212,1.00,3.00,1.00,5.00,6.00,0.00,2.00,1.00,2.00,652,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6015239,4.00,2.00,2.00,1.00,6.00,4.88,2.00,3.00,2.00,216,NULL,202,'CENTRO','CATANDUVAS','SC',20855,625,NULL,660,NULL,NULL,NULL,4,7),(25,6015255,3.00,1.00,0.00,2.00,3.00,NULL,1.00,0.00,1.00,234,NULL,NULL,'BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6015263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6015271,5.00,5.00,3.00,4.00,6.00,7.88,3.00,5.00,6.00,108,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',9213,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6015280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'NOVA PAULÍNIA','PAULÍNIA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6015298,5.00,3.00,3.00,5.00,7.00,9.00,0.00,2.00,6.00,102,NULL,NULL,'INDUSTRIAL SUL','RIO NEGRINHO','SC',11497,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6015301,2.00,4.00,1.00,4.00,4.00,9.00,1.00,4.00,1.00,110,NULL,NULL,'FORTALEZA DA BARRA','FLORIANÓPOLIS','SC',19991,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6015336,4.00,5.00,1.00,4.00,7.00,9.38,1.00,5.00,2.00,103,NULL,NULL,'UNIVERSITÁRIO','VIDEIRA','SC',11670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6015344,6.00,7.00,5.00,6.00,9.00,9.75,4.00,6.00,7.00,103,NULL,NULL,'ATERRADO','POUSO REDONDO','SC',2014,1249,NULL,NULL,NULL,NULL,NULL,2,9),(25,6015352,4.00,4.00,1.00,7.00,7.00,7.50,2.00,0.00,2.00,103,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',14184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6015360,3.00,7.00,3.00,3.00,9.00,8.25,1.00,6.00,5.00,211,NULL,201,'CENTRO','HERVAL D OESTE','SC',8529,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6015379,5.00,5.00,5.00,2.00,7.00,9.38,1.00,3.00,2.00,303,NULL,NULL,'JARDIM EUROPA','ITAPEVA','SP',10180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6015387,2.00,5.00,3.00,4.00,7.00,8.63,0.00,4.00,3.00,211,NULL,215,'BELA VISTA','PALHOÇA','SC',13272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6015409,2.00,0.00,2.00,0.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SAVEIRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6015425,6.00,4.00,0.00,2.00,8.00,7.50,2.00,2.00,1.00,224,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15695,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6015433,3.00,2.00,3.00,2.00,5.00,6.00,2.00,2.00,1.00,551,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6015476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6015492,2.00,4.00,2.00,2.00,6.00,6.38,2.00,2.00,2.00,304,NULL,NULL,'PLANALTO','PATO BRANCO','PR',18843,135,NULL,NULL,NULL,NULL,NULL,2,4),(25,6015506,6.00,7.00,4.00,1.00,6.00,6.75,6.00,7.00,9.00,203,NULL,216,'JDM EUROPA','ASSIS','SP',2427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6015530,5.00,5.00,1.00,3.00,7.00,6.75,2.00,2.00,3.00,220,NULL,213,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',18220,457,NULL,263,NULL,NULL,NULL,2,1),(25,6015549,3.00,3.00,4.00,3.00,5.00,8.25,2.00,0.00,3.00,319,NULL,NULL,'CENTRO','CONCÓRDIA','SC',18710,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6015557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,426,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6015565,1.00,5.00,3.00,3.00,5.00,8.25,0.00,4.00,2.00,319,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',19556,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6015581,3.00,3.00,0.00,4.00,2.00,NULL,2.00,2.00,0.00,501,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6015590,5.00,4.00,2.00,4.00,3.00,4.50,1.00,2.00,5.00,318,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',20057,101,NULL,NULL,NULL,NULL,NULL,2,1),(25,6015620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MODULO DOIS','JUÍNA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6015638,5.00,3.00,1.00,1.00,8.00,8.25,3.00,2.00,1.00,103,NULL,NULL,'MACHADOS','NAVEGANTES','SC',16539,4385,NULL,NULL,NULL,NULL,NULL,2,6),(25,6015654,5.00,5.00,4.00,5.00,6.00,7.88,1.00,4.00,4.00,201,NULL,655,'CENTRO','PRANCHITA','PR',9193,719,NULL,NULL,NULL,NULL,NULL,2,4),(25,6015662,2.00,3.00,2.00,3.00,8.00,8.25,0.00,2.00,0.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',20473,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6015670,5.00,4.00,3.00,2.00,4.00,7.50,2.00,3.00,1.00,316,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6015689,4.00,6.00,2.00,3.00,5.00,7.50,2.00,4.00,1.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17371,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6015700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'NOVA MOGILAR','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6015727,5.00,7.00,0.00,4.00,8.00,6.75,1.00,4.00,1.00,326,NULL,NULL,'GUAÍRA','CURITIBA','PR',15531,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6015743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SANTO ANTONIO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6015760,6.00,5.00,0.00,3.00,8.00,8.63,3.00,3.00,2.00,453,NULL,NULL,'FAZENDA DO MAX','S JOSÉ','SC',11912,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6015778,4.00,4.00,2.00,2.00,7.00,7.88,2.00,4.00,1.00,212,NULL,213,'KOBRASOL','S JOSÉ','SC',14951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6015786,5.00,3.00,1.00,4.00,6.00,8.25,2.00,5.00,4.00,304,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',12634,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6015794,3.00,4.00,0.00,0.00,4.00,11.25,2.00,1.00,1.00,415,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6015808,2.00,5.00,1.00,4.00,8.00,9.38,1.00,1.00,2.00,103,NULL,NULL,'SANTANINHA','URUSSANGA','SC',18230,4542,NULL,NULL,NULL,NULL,NULL,4,5),(25,6015816,3.00,4.00,0.00,4.00,4.00,NULL,2.00,2.00,4.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6015824,2.00,4.00,1.00,2.00,5.00,7.88,1.00,1.00,4.00,235,NULL,202,'CENTRO','ITAPIRA','SP',20694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6015832,5.00,3.00,2.00,3.00,6.00,9.75,0.00,1.00,4.00,104,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',16909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6015840,5.00,4.00,2.00,4.00,5.00,8.25,3.00,5.00,3.00,503,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6015859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'AREIAS','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6015867,7.00,7.00,3.00,3.00,7.00,7.13,3.00,5.00,6.00,333,NULL,NULL,'ORYPABA','MTE ALEGRE SUL','SP',5691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6015875,4.00,7.00,2.00,6.00,5.00,9.00,1.00,5.00,3.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',12776,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6015883,6.00,7.00,0.00,6.00,9.00,9.00,0.00,7.00,1.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9748,459,NULL,NULL,NULL,NULL,NULL,2,1),(25,6015891,5.00,5.00,0.00,5.00,3.00,8.25,2.00,3.00,5.00,216,NULL,215,'JARDIM CAIÇARA','S JOAQUIM','SC',17005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6015905,3.00,4.00,1.00,3.00,3.00,6.38,0.00,2.00,3.00,404,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',21267,109,NULL,NULL,NULL,NULL,NULL,4,1),(25,6015913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,201,'NOVA LONDRES','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6015921,6.00,7.00,6.00,7.00,8.00,9.75,3.00,4.00,6.00,203,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',2655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6015930,2.00,4.00,1.00,4.00,7.00,9.38,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18055,NULL,NULL,NULL,NULL,NULL,NULL,3,5),(25,6015948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6015964,3.00,3.00,1.00,4.00,4.00,9.00,2.00,0.00,1.00,108,NULL,NULL,'INTERIOR','ARROIO TRINTA','SC',20840,307,NULL,NULL,NULL,NULL,NULL,4,7),(25,6015972,2.00,6.00,3.00,4.00,8.00,10.50,1.00,4.00,2.00,318,NULL,NULL,'ÁGUA SANTA','CURITIBANOS','SC',9792,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6015980,2.00,3.00,1.00,1.00,1.00,NULL,4.00,3.00,1.00,103,NULL,NULL,'MORRO DO FABRICIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6015999,6.00,5.00,4.00,5.00,5.00,10.13,1.00,2.00,6.00,203,NULL,238,'PALMEIRAS III','DRACENA','SP',9779,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016006,7.00,7.00,4.00,6.00,10.00,9.75,2.00,5.00,6.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',2393,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6016014,2.00,5.00,1.00,5.00,5.00,6.75,2.00,5.00,0.00,655,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6016030,5.00,5.00,1.00,6.00,5.00,4.88,3.00,6.00,3.00,301,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',14404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016065,3.00,6.00,2.00,6.00,6.00,7.88,3.00,3.00,5.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6016073,3.00,6.00,1.00,4.00,8.00,9.00,1.00,3.00,1.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',17198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016081,6.00,6.00,2.00,5.00,8.00,9.38,1.00,4.00,7.00,9,NULL,NULL,'AMÉRICA','JOINVILLE','SC',6407,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6016090,5.00,6.00,5.00,3.00,8.00,7.13,4.00,4.00,0.00,601,NULL,235,'ÁGUA BRANCA','S FRANCISCO SUL','SC',12522,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6016103,4.00,4.00,0.00,2.00,5.00,5.25,1.00,1.00,0.00,317,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016111,3.00,6.00,1.00,4.00,8.00,10.13,0.00,4.00,6.00,103,NULL,NULL,'JD ESPLANADA','JUNDIAÍ','SP',8181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016120,2.00,6.00,0.00,4.00,8.00,NULL,2.00,7.00,1.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016138,3.00,4.00,1.00,2.00,3.00,3.00,0.00,1.00,1.00,317,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016146,3.00,6.00,0.00,3.00,9.00,9.38,1.00,4.00,3.00,110,NULL,NULL,'RIO DOS PINHEIROS','ANITÁPOLIS','SC',11855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016154,7.00,8.00,7.00,7.00,10.00,11.25,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',429,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016162,5.00,4.00,2.00,5.00,6.00,7.88,2.00,4.00,5.00,213,NULL,212,'JARDIM SANTANA','MONGAGUÁ','SP',8639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016170,2.00,5.00,1.00,4.00,5.00,5.25,1.00,3.00,4.00,324,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',20218,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016189,2.00,3.00,4.00,5.00,6.00,7.50,2.00,4.00,1.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',17104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016197,5.00,5.00,4.00,4.00,6.00,7.50,1.00,2.00,3.00,224,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',15746,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016219,8.00,8.00,9.00,6.00,10.00,10.50,4.00,8.00,8.00,103,NULL,NULL,'CAMAQUA','PTO ALEGRE','RS',53,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6016227,4.00,4.00,1.00,5.00,7.00,10.50,0.00,0.00,1.00,452,NULL,NULL,'PILARZINHO','CURITIBA','PR',18503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'AFONSO PENA','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6016243,7.00,6.00,4.00,6.00,9.00,11.63,2.00,7.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2052,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016251,4.00,5.00,4.00,5.00,6.00,7.88,4.00,3.00,3.00,318,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',12810,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016260,5.00,4.00,3.00,6.00,5.00,8.63,1.00,6.00,3.00,327,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',9706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016278,4.00,5.00,0.00,6.00,7.00,7.13,2.00,6.00,3.00,208,NULL,238,'BELA VISTA','PALHOÇA','SC',12982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016294,2.00,1.00,1.00,1.00,4.00,7.13,1.00,1.00,2.00,654,NULL,NULL,'SAO LUIZ','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6016308,5.00,3.00,2.00,3.00,8.00,9.00,1.00,4.00,2.00,216,NULL,215,'CENTRO','MATINHOS','PR',13716,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6016316,3.00,5.00,2.00,4.00,5.00,7.50,3.00,6.00,1.00,208,NULL,238,'IPIRANGA','S JOSÉ','SC',16579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016324,3.00,3.00,2.00,2.00,4.00,6.00,1.00,2.00,3.00,316,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',19078,216,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016332,1.00,3.00,2.00,3.00,3.00,6.75,0.00,1.00,1.00,652,NULL,655,'INGLESES','FLORIANÓPOLIS','SC',21665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6016367,6.00,5.00,2.00,4.00,8.00,7.13,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6016383,4.00,4.00,4.00,7.00,9.00,9.38,3.00,4.00,2.00,103,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',8026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016391,4.00,5.00,3.00,2.00,5.00,6.00,1.00,0.00,3.00,238,NULL,208,'ITACORUBI','FLORIANÓPOLIS','SC',17891,420,NULL,455,NULL,NULL,NULL,4,1),(25,6016405,7.00,6.00,6.00,6.00,7.00,12.00,5.00,6.00,8.00,216,NULL,215,'JD ANA MARIA','SOROCABA','SP',1160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016421,2.00,3.00,1.00,3.00,3.00,8.25,0.00,4.00,4.00,5,NULL,NULL,'DAS DAMAS','URUSSANGA','SC',20366,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6016430,4.00,6.00,5.00,6.00,6.00,8.63,2.00,6.00,6.00,316,NULL,NULL,'VILA NOVA','BLUMENAU','SC',6891,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6016456,3.00,7.00,1.00,6.00,5.00,4.50,2.00,3.00,2.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6016464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'JD BEIRA MAR','PERUÍBE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6016472,3.00,4.00,5.00,6.00,5.00,9.38,1.00,4.00,5.00,502,NULL,NULL,'BARREIROS','S JOSÉ','SC',10475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016499,5.00,6.00,3.00,3.00,7.00,7.50,1.00,4.00,1.00,452,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016510,3.00,6.00,2.00,6.00,8.00,8.63,2.00,4.00,4.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9295,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016529,4.00,3.00,0.00,4.00,8.00,9.00,1.00,1.00,1.00,109,NULL,NULL,'POÇO FUNDO','STO AMARO IMPERATRIZ','SC',19547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016537,8.00,7.00,3.00,7.00,10.00,8.63,4.00,5.00,5.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',1976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016553,6.00,6.00,4.00,7.00,9.00,10.13,4.00,4.00,3.00,420,NULL,NULL,'BELA VISTA','GASPAR','SC',4829,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6016561,1.00,2.00,1.00,2.00,4.00,8.63,0.00,0.00,1.00,331,NULL,NULL,'BELA VISTA','S JOSÉ','SC',21190,49,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016570,1.00,4.00,0.00,5.00,8.00,NULL,0.00,2.00,0.00,655,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6016588,4.00,6.00,1.00,4.00,8.00,7.13,0.00,3.00,2.00,319,NULL,NULL,'CENTRO','ITUPORANGA','SC',12463,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6016596,6.00,4.00,4.00,6.00,8.00,8.25,2.00,5.00,2.00,336,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',8728,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6016618,1.00,3.00,0.00,3.00,1.00,NULL,2.00,0.00,1.00,333,NULL,NULL,'CENTRO','BARRACÃO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6016626,5.00,5.00,2.00,6.00,8.00,8.25,2.00,6.00,4.00,336,NULL,NULL,'SÃO LOURENÇO','CURITIBA','PR',8827,NULL,NULL,NULL,NULL,NULL,NULL,1,6),(25,6016642,3.00,5.00,2.00,3.00,6.00,7.50,1.00,0.00,1.00,999,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6016650,3.00,7.00,2.00,2.00,5.00,7.13,2.00,3.00,1.00,220,NULL,235,'SÃO SEBASTIÃO','PALHOÇA','SC',16875,432,NULL,402,NULL,NULL,NULL,2,1),(25,6016677,8.00,7.00,4.00,7.00,7.00,9.38,2.00,5.00,6.00,238,NULL,208,'TERCEIRO PLANO','DOURADOS','MS',3439,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016707,2.00,7.00,3.00,4.00,4.00,9.00,1.00,3.00,1.00,316,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',15865,153,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016723,2.00,0.00,2.00,1.00,4.00,NULL,0.00,0.00,0.00,201,NULL,238,'SANTO ANTONIO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,7),(25,6016731,5.00,7.00,3.00,4.00,6.00,9.38,2.00,8.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016758,7.00,4.00,3.00,5.00,9.00,8.63,0.00,5.00,4.00,203,NULL,202,'FANNY','CURITIBA','PR',6701,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6016774,3.00,4.00,2.00,4.00,7.00,9.38,1.00,3.00,3.00,303,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',13963,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6016782,6.00,6.00,2.00,3.00,8.00,8.25,2.00,4.00,4.00,103,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',8242,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6016804,8.00,7.00,4.00,6.00,8.00,7.88,4.00,6.00,7.00,304,NULL,NULL,'JD SANTA CLARA','TAUBATÉ','SP',2509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016839,4.00,4.00,1.00,3.00,7.00,7.13,2.00,2.00,0.00,319,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',19473,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016847,6.00,7.00,6.00,7.00,9.00,11.25,3.00,6.00,6.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',1842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016855,5.00,8.00,1.00,3.00,9.00,9.75,2.00,6.00,6.00,103,NULL,NULL,'JARDIM VILA NOVA','HORIZONTINA','RS',5478,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6016871,7.00,5.00,2.00,4.00,6.00,9.38,6.00,6.00,2.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6511,2831,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016880,3.00,3.00,3.00,2.00,4.00,NULL,0.00,2.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016898,4.00,3.00,3.00,3.00,4.00,5.63,1.00,3.00,0.00,5,NULL,NULL,'ARIRIU DA FORMIGA','PALHOÇA','SC',19507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6016910,3.00,5.00,4.00,6.00,7.00,5.63,2.00,4.00,4.00,9,NULL,NULL,'CENTRO','NEVES PAULISTA','SP',10749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016936,4.00,4.00,3.00,5.00,8.00,9.00,1.00,5.00,3.00,303,NULL,NULL,'CENTRO','CPO GRANDE','MS',12396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016944,8.00,7.00,4.00,5.00,9.00,9.75,3.00,7.00,9.00,103,NULL,NULL,'BALNEARIO ESTREITO','FLORIANÓPOLIS','SC',1634,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6016952,1.00,3.00,1.00,6.00,6.00,8.25,1.00,3.00,3.00,102,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016960,5.00,5.00,2.00,4.00,9.00,4.50,1.00,3.00,3.00,207,NULL,233,'BARREIROS','S JOSÉ','SC',13885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6016979,3.00,3.00,2.00,6.00,7.00,7.50,0.00,3.00,3.00,103,NULL,NULL,'CENTRO','XAXIM','SC',12943,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6016987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'JARDIM TIMBAÚVA','GRAVATAÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6017010,5.00,7.00,4.00,5.00,10.00,7.88,1.00,7.00,6.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6017029,3.00,4.00,2.00,5.00,8.00,8.63,3.00,0.00,1.00,429,NULL,NULL,'BOM RETIRO','BLUMENAU','SC',17532,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6017037,6.00,4.00,4.00,3.00,5.00,9.38,1.00,5.00,3.00,103,NULL,NULL,'CANTA GALO','RIO SUL','SC',10966,3713,NULL,NULL,NULL,NULL,NULL,4,2),(25,6017045,2.00,2.00,1.00,2.00,4.00,8.25,0.00,0.00,1.00,211,NULL,NULL,'AREIAS','CAMBORIÚ','SC',20582,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6017053,5.00,3.00,0.00,4.00,3.00,7.50,3.00,4.00,2.00,108,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',18038,264,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017061,8.00,8.00,6.00,7.00,9.00,10.13,5.00,8.00,9.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6017070,5.00,5.00,2.00,5.00,8.00,10.50,1.00,6.00,2.00,211,NULL,233,'JARDIM VENEZA','S JOSÉ CAMPOS','SP',8100,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017096,3.00,4.00,0.00,4.00,6.00,6.00,0.00,0.00,3.00,104,NULL,NULL,'OPERÁRIA NOVA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6017118,4.00,4.00,4.00,3.00,8.00,9.75,1.00,4.00,5.00,207,NULL,201,'SÃO FRANCISCO','LUZERNA','SC',9308,452,NULL,734,NULL,NULL,NULL,2,7),(25,6017126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6017134,3.00,4.00,2.00,2.00,4.00,5.63,1.00,1.00,2.00,453,NULL,NULL,'ITAPOÁ','ITAPOÁ','SC',19612,133,NULL,NULL,NULL,NULL,NULL,4,8),(25,6017142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR GARAVELO','APARECIDA GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6017169,5.00,3.00,2.00,4.00,9.00,7.88,0.00,5.00,5.00,5,NULL,NULL,'CENTRO','PTO UNIÃO','SC',9633,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6017185,2.00,2.00,4.00,3.00,4.00,NULL,3.00,0.00,0.00,309,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017193,3.00,7.00,2.00,6.00,9.00,6.00,2.00,3.00,2.00,201,NULL,220,'ARI BORTOLI','S DOMINGOS','SC',11941,1004,NULL,347,NULL,NULL,NULL,4,4),(25,6017207,3.00,6.00,2.00,5.00,5.00,7.50,0.00,1.00,2.00,108,NULL,NULL,'JARDIM BELA VISTA','SERRANA','SP',15106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6017215,5.00,8.00,3.00,4.00,8.00,9.75,3.00,4.00,2.00,104,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',7636,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6017223,3.00,5.00,2.00,3.00,7.00,7.13,1.00,4.00,0.00,428,NULL,423,'PONTE DO IMARUIM','PALHOÇA','SC',15624,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'JARDIM MONTE CARLO','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6017240,4.00,3.00,0.00,4.00,7.00,7.88,1.00,1.00,4.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19164,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017258,7.00,6.00,6.00,5.00,8.00,8.63,2.00,7.00,8.00,216,NULL,233,'CAPÃO DA IMBUIA','CURITIBA','PR',2389,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017266,6.00,7.00,4.00,7.00,7.00,12.00,2.00,5.00,6.00,103,NULL,NULL,'JARDIM AUZIRA','S PAULO','SP',3297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6017274,2.00,4.00,2.00,3.00,8.00,8.25,2.00,1.00,1.00,654,NULL,NULL,'CENTRO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6017282,3.00,5.00,1.00,3.00,4.00,6.75,0.00,2.00,2.00,207,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',20264,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6017290,0.00,2.00,0.00,5.00,5.00,NULL,0.00,3.00,1.00,420,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,421,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6017339,5.00,6.00,1.00,3.00,5.00,8.25,3.00,4.00,3.00,238,NULL,208,'SERRARIA','S JOSÉ','SC',15413,312,NULL,346,NULL,NULL,NULL,4,1),(25,6017347,3.00,4.00,2.00,6.00,7.00,8.63,2.00,1.00,2.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6017355,4.00,2.00,0.00,5.00,8.00,8.63,2.00,1.00,2.00,444,NULL,NULL,'GRANJA VIANA','COTIA','SP',14827,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6017363,5.00,4.00,5.00,6.00,9.00,7.13,5.00,7.00,7.00,203,NULL,201,'ZONA DOIS','MARINGÁ','PR',2777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6017371,1.00,5.00,0.00,1.00,4.00,7.88,0.00,4.00,4.00,317,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6017380,2.00,1.00,0.00,3.00,6.00,NULL,2.00,2.00,0.00,233,NULL,216,'JABAQUARA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6017398,5.00,5.00,1.00,3.00,6.00,5.25,2.00,5.00,1.00,317,NULL,NULL,'JD VELOSO','OSASCO','SP',16489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017410,2.00,4.00,4.00,6.00,3.00,6.75,2.00,2.00,5.00,108,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',16749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6017436,3.00,5.00,5.00,2.00,6.00,7.13,2.00,6.00,5.00,103,NULL,NULL,'ALTO ALEGRE','VERÊ','PR',10968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6017444,4.00,3.00,1.00,5.00,4.00,9.75,0.00,5.00,2.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',14296,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6017452,6.00,3.00,2.00,3.00,6.00,8.25,2.00,4.00,2.00,201,NULL,207,'CENTRO','LAGES','SC',12318,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6017460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6017487,5.00,4.00,5.00,7.00,7.00,11.63,2.00,5.00,4.00,333,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',5211,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6017509,7.00,5.00,4.00,6.00,8.00,8.63,2.00,7.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3862,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017541,4.00,6.00,2.00,3.00,4.00,8.25,2.00,4.00,4.00,308,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',16882,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017550,6.00,8.00,5.00,7.00,9.00,11.25,2.00,6.00,8.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6017568,7.00,7.00,4.00,7.00,9.00,11.25,2.00,8.00,8.00,5,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',1833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6017576,5.00,3.00,1.00,2.00,3.00,6.38,1.00,3.00,0.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017592,3.00,3.00,4.00,3.00,7.00,8.25,1.00,1.00,0.00,5,NULL,NULL,'N SRA DO ROSARIO','S JOSÉ','SC',18298,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017606,4.00,3.00,0.00,4.00,5.00,6.38,1.00,0.00,1.00,652,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',21383,113,NULL,NULL,NULL,NULL,NULL,4,15),(25,6017622,5.00,6.00,2.00,4.00,8.00,8.25,0.00,5.00,4.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',9360,3455,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017630,0.00,2.00,1.00,4.00,5.00,NULL,2.00,2.00,0.00,108,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017665,6.00,7.00,2.00,8.00,8.00,10.50,3.00,7.00,6.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',1994,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6017673,3.00,6.00,3.00,4.00,6.00,11.25,3.00,5.00,5.00,108,NULL,NULL,'LAPA','S PAULO','SP',7213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6017681,6.00,7.00,4.00,5.00,7.00,10.13,2.00,7.00,2.00,415,NULL,NULL,'CENTRO','BLUMENAU','SC',5695,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6017703,5.00,3.00,2.00,4.00,6.00,11.25,2.00,4.00,2.00,415,NULL,NULL,'JARDIM SUL','S JOSÉ CAMPOS','SP',11597,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017711,6.00,4.00,2.00,3.00,4.00,7.50,1.00,0.00,2.00,453,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6017720,7.00,7.00,2.00,6.00,9.00,9.75,2.00,1.00,4.00,104,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',8912,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6017738,4.00,5.00,2.00,6.00,5.00,8.25,3.00,5.00,2.00,215,NULL,211,'KOBRASOL','S JOSÉ','SC',14763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017746,5.00,5.00,2.00,1.00,8.00,10.13,2.00,6.00,2.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6017770,4.00,5.00,2.00,6.00,9.00,9.38,0.00,1.00,3.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',13291,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017819,5.00,6.00,2.00,2.00,7.00,7.50,1.00,5.00,3.00,103,NULL,NULL,'SANTO ANTONIO','CHAPECÓ','SC',14949,4217,NULL,NULL,NULL,NULL,NULL,4,4),(25,6017827,1.00,2.00,1.00,1.00,3.00,7.50,3.00,0.00,0.00,654,NULL,NULL,'CENTRO','MARACAJÁ','SC',21761,101,NULL,NULL,NULL,NULL,NULL,2,15),(25,6017835,6.00,7.00,2.00,4.00,8.00,10.88,2.00,6.00,3.00,429,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',9177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6017843,2.00,5.00,2.00,1.00,5.00,5.63,2.00,3.00,2.00,501,NULL,NULL,'INDEPENDENCIA','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6017851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,421,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6017860,3.00,3.00,0.00,4.00,3.00,NULL,1.00,0.00,0.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017886,2.00,6.00,2.00,5.00,7.00,9.75,0.00,6.00,6.00,110,NULL,NULL,'ROÇADO','S JOSÉ','SC',12422,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017894,6.00,6.00,2.00,4.00,6.00,NULL,0.00,2.00,3.00,102,NULL,NULL,'VILA GUARANI','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017908,4.00,7.00,0.00,6.00,4.00,9.75,1.00,2.00,1.00,101,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6017924,2.00,6.00,1.00,4.00,6.00,7.13,1.00,1.00,0.00,319,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017932,4.00,5.00,2.00,3.00,4.00,8.25,1.00,6.00,2.00,207,NULL,201,'VILA OPERÁRIA','MARINGÁ','PR',17582,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017940,3.00,4.00,4.00,4.00,7.00,NULL,3.00,4.00,0.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6017959,3.00,3.00,3.00,4.00,4.00,7.50,1.00,3.00,1.00,3,NULL,NULL,'CAMPO GRANDE','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6017967,7.00,7.00,3.00,5.00,9.00,12.38,3.00,7.00,9.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',1551,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6017975,4.00,5.00,2.00,7.00,6.00,11.25,0.00,0.00,5.00,104,NULL,NULL,'PLANALTO','CAXIAS SUL','RS',11993,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6017983,4.00,6.00,1.00,7.00,7.00,NULL,2.00,6.00,5.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6017991,7.00,6.00,0.00,4.00,9.00,9.75,2.00,9.00,6.00,103,NULL,NULL,'DOM BOSCO','UMUARAMA','PR',4678,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6018017,1.00,4.00,2.00,5.00,6.00,9.75,2.00,4.00,3.00,452,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',16903,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6018033,3.00,2.00,2.00,3.00,9.00,NULL,2.00,2.00,0.00,211,NULL,653,'BELA VISTA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6018041,1.00,3.00,3.00,4.00,4.00,NULL,1.00,4.00,0.00,336,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6018050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM GOLLO','SOCORRO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6018068,5.00,7.00,3.00,6.00,3.00,9.00,2.00,2.00,0.00,216,NULL,653,'CENTRO','ITÁ','SC',13286,467,NULL,115,NULL,NULL,NULL,4,4),(25,6018076,5.00,5.00,2.00,5.00,8.00,7.88,3.00,7.00,4.00,201,NULL,203,'INDUSTRIAL','FRANCISCO BELTRÃO','PR',7030,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6018084,3.00,6.00,2.00,4.00,5.00,5.25,2.00,6.00,2.00,238,NULL,NULL,'SERRARIA','S JOSÉ','SC',14820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6018092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6018114,2.00,4.00,1.00,3.00,4.00,NULL,2.00,0.00,0.00,9,NULL,NULL,'ENCANTADA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018130,4.00,4.00,2.00,3.00,6.00,8.25,2.00,4.00,2.00,109,NULL,NULL,'MENINO DEUS','PATO BRANCO','PR',16232,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6018149,5.00,4.00,1.00,1.00,7.00,10.88,1.00,6.00,3.00,324,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',11185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018165,7.00,6.00,6.00,6.00,5.00,6.75,5.00,6.00,6.00,203,NULL,652,'PARQUE DAS AVENIDAS','SOMBRIO','SC',4284,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6018173,4.00,5.00,3.00,7.00,10.00,9.00,0.00,4.00,3.00,303,NULL,NULL,'VILA ESTRELA','PNT GROSSA','PR',9071,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6018181,5.00,6.00,0.00,3.00,5.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SÃO GERALDO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6018203,4.00,2.00,1.00,1.00,4.00,6.38,2.00,3.00,1.00,428,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',21423,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6018211,4.00,6.00,4.00,6.00,6.00,7.88,0.00,1.00,5.00,104,NULL,NULL,'CENTRO','CHAPECÓ','SC',11555,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6018220,3.00,5.00,1.00,5.00,8.00,9.00,0.00,3.00,5.00,110,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',14672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6018238,4.00,4.00,2.00,3.00,5.00,6.00,2.00,5.00,1.00,335,NULL,NULL,'ALTO RIBEIRÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6018246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'JARDINS FLORENÇA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6018254,4.00,0.00,1.00,4.00,9.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6018262,1.00,4.00,0.00,2.00,5.00,6.38,3.00,3.00,6.00,335,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',17810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018289,9.00,7.00,2.00,7.00,10.00,13.13,3.00,9.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018297,3.00,1.00,0.00,0.00,5.00,NULL,2.00,2.00,1.00,316,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018335,6.00,6.00,6.00,6.00,5.00,10.50,3.00,6.00,8.00,207,NULL,201,'RIO BONITO','IRATI','PR',3010,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6018343,7.00,6.00,2.00,6.00,8.00,8.63,3.00,4.00,5.00,220,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',5476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018351,1.00,3.00,4.00,2.00,1.00,NULL,2.00,0.00,2.00,333,NULL,NULL,'MOINHO VELHO','COLOMBO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018360,7.00,6.00,6.00,7.00,6.00,7.88,2.00,7.00,5.00,5,NULL,NULL,'CENTRO','S MIGUEL IGUAÇU','PR',4958,NULL,NULL,NULL,NULL,NULL,NULL,4,8);
INSERT INTO boletim_desempenho VALUES (25,6018386,2.00,2.00,2.00,6.00,7.00,10.50,5.00,2.00,3.00,110,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',15557,67,NULL,NULL,NULL,NULL,NULL,5,1),(25,6018394,2.00,5.00,0.00,5.00,6.00,7.13,1.00,2.00,1.00,216,NULL,212,'BOMJESUS','SORRISO','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6018408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CASCATINHA','PTE SERRADA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6018416,2.00,4.00,1.00,2.00,7.00,6.75,2.00,2.00,3.00,309,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6018424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','NÃO-ME-TOQUE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6018432,2.00,3.00,1.00,3.00,6.00,7.50,1.00,1.00,1.00,216,NULL,201,'CAMPO D UNA','GAROPABA','SC',19330,603,NULL,1589,NULL,NULL,NULL,2,1),(25,6018440,3.00,4.00,2.00,5.00,8.00,8.63,3.00,3.00,5.00,202,NULL,213,'CENTRO','CHAPECÓ','SC',9844,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6018459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALPHAVILLE','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6018467,3.00,4.00,1.00,0.00,4.00,NULL,0.00,2.00,0.00,653,NULL,NULL,'SAPIRANGA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6018475,6.00,7.00,3.00,3.00,7.00,6.00,5.00,5.00,7.00,233,NULL,211,'CENTRO','CRAVINHOS','SP',4925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018491,8.00,7.00,5.00,6.00,10.00,9.75,2.00,8.00,8.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018513,3.00,4.00,1.00,2.00,5.00,8.63,2.00,3.00,2.00,316,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',17349,182,NULL,NULL,NULL,NULL,NULL,2,1),(25,6018521,6.00,6.00,6.00,7.00,10.00,12.00,3.00,8.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018530,3.00,2.00,2.00,2.00,4.00,9.00,0.00,0.00,1.00,225,NULL,NULL,'INTERIOR','NOVA ERECHIM','SC',21451,38,NULL,NULL,NULL,NULL,NULL,2,4),(25,6018548,4.00,4.00,0.00,3.00,6.00,10.88,0.00,4.00,3.00,3,NULL,NULL,'BELA VISTA','RIO NEGRINHO','SC',14035,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6018556,2.00,6.00,1.00,3.00,5.00,10.13,1.00,3.00,3.00,212,NULL,201,'CENTRO','ANTÔNIO CARLOS','SC',18160,528,NULL,1505,NULL,NULL,NULL,4,1),(25,6018572,8.00,7.00,4.00,6.00,10.00,10.50,1.00,5.00,6.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',2589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018599,8.00,5.00,5.00,7.00,9.00,10.50,2.00,6.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018602,7.00,7.00,5.00,6.00,10.00,8.63,3.00,5.00,8.00,216,NULL,NULL,'GRAÇA','SALVADOR','BA',2406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018610,2.00,6.00,1.00,4.00,4.00,9.00,2.00,3.00,1.00,503,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',19335,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6018629,5.00,5.00,2.00,7.00,5.00,7.50,2.00,3.00,2.00,201,NULL,NULL,'CHACARA CACHOIERA','CPO GRANDE','MS',10550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018637,5.00,6.00,3.00,7.00,8.00,8.25,1.00,6.00,4.00,216,NULL,203,'CAPITAIS','TIMBÓ','SC',5659,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6018645,5.00,5.00,1.00,5.00,8.00,NULL,0.00,4.00,3.00,103,NULL,NULL,'EUGÊNIO SCHNEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6018653,3.00,3.00,2.00,4.00,5.00,6.75,2.00,3.00,2.00,452,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'JARDIM ADRIANA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6018670,6.00,5.00,5.00,5.00,6.00,6.38,3.00,4.00,8.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',6924,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6018688,4.00,5.00,0.00,2.00,7.00,6.00,0.00,1.00,0.00,502,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018696,4.00,6.00,2.00,7.00,8.00,5.63,3.00,6.00,1.00,208,NULL,655,'CENTRO','FLORIANÓPOLIS','SC',9865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018700,2.00,4.00,2.00,4.00,6.00,7.50,3.00,5.00,5.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6018718,3.00,3.00,3.00,6.00,6.00,7.88,1.00,4.00,1.00,109,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',15678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018726,4.00,0.00,4.00,5.00,5.00,NULL,0.00,0.00,0.00,201,NULL,203,'ESCOLA AGRICOL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(25,6018734,4.00,5.00,3.00,4.00,6.00,9.38,1.00,5.00,2.00,319,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',12892,233,NULL,NULL,NULL,NULL,NULL,2,1),(25,6018742,3.00,4.00,2.00,3.00,4.00,7.50,0.00,1.00,2.00,319,NULL,NULL,'UNIVERSITÁRIO','VIDEIRA','SC',21010,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6018769,2.00,6.00,4.00,5.00,7.00,7.13,2.00,6.00,5.00,235,NULL,238,'IPIRANGA','S JOSÉ','SC',10907,239,NULL,NULL,NULL,NULL,NULL,2,1),(25,6018777,4.00,6.00,1.00,4.00,7.00,10.50,2.00,0.00,0.00,203,NULL,214,'CENTRO','RIO SUL','SC',16688,997,NULL,385,NULL,NULL,NULL,2,2),(25,6018785,5.00,8.00,1.00,5.00,6.00,9.38,3.00,7.00,7.00,216,NULL,202,'CENTRO','MOGI CRUZES','SP',3620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018793,3.00,2.00,0.00,3.00,5.00,NULL,0.00,3.00,1.00,326,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6018807,1.00,3.00,0.00,1.00,5.00,7.13,4.00,1.00,4.00,5,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018823,5.00,6.00,1.00,3.00,7.00,9.38,1.00,6.00,1.00,104,NULL,NULL,'CENTRO','PAIAL','SC',14574,375,NULL,NULL,NULL,NULL,NULL,4,4),(25,6018831,7.00,6.00,5.00,7.00,9.00,9.38,1.00,6.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',2546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018840,7.00,6.00,3.00,5.00,8.00,8.25,5.00,7.00,5.00,214,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',3143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6018874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6018882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,601,'COLONIA JORDÃOZINHO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',1,8),(25,6018890,4.00,0.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(25,6018912,5.00,5.00,0.00,6.00,7.00,10.88,2.00,5.00,4.00,104,NULL,NULL,'JARDIM CIDADE ALTA','JOAÇABA','SC',6888,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6018939,5.00,4.00,4.00,7.00,5.00,6.75,3.00,2.00,1.00,304,NULL,NULL,'WERNER PLAAS','AMERICANA','SP',12201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018947,5.00,4.00,3.00,4.00,7.00,NULL,2.00,0.00,3.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6018963,4.00,5.00,3.00,7.00,6.00,5.25,2.00,6.00,1.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',14517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6018971,8.00,7.00,3.00,3.00,9.00,9.00,4.00,5.00,8.00,103,NULL,NULL,'VILA FORMOSA','S PAULO','SP',2175,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6018980,1.00,2.00,0.00,1.00,3.00,7.50,4.00,3.00,1.00,207,NULL,212,'ENCANTADA','GAROPABA','SC',20760,1133,NULL,582,NULL,NULL,NULL,2,1),(25,6019005,3.00,6.00,3.00,6.00,6.00,NULL,0.00,1.00,2.00,202,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019013,4.00,5.00,1.00,3.00,5.00,8.63,1.00,3.00,2.00,5,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',17570,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6019021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','TREZE MAIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6019030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CANDEAL','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6019048,3.00,5.00,0.00,4.00,7.00,9.00,2.00,3.00,3.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019056,5.00,4.00,1.00,5.00,7.00,8.63,1.00,3.00,1.00,336,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',13273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019064,3.00,5.00,1.00,5.00,8.00,9.38,1.00,5.00,1.00,340,NULL,NULL,'CENTRO','NOVA ERECHIM','SC',12202,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6019072,2.00,4.00,3.00,2.00,2.00,NULL,2.00,3.00,2.00,653,NULL,655,'VILA FRANCA','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6019080,7.00,7.00,2.00,7.00,9.00,10.13,5.00,6.00,8.00,220,NULL,202,'SETOR BUENO','GOIÂNIA','GO',1485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019099,5.00,5.00,3.00,4.00,4.00,8.25,3.00,4.00,4.00,104,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',13425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019102,3.00,1.00,2.00,5.00,6.00,5.63,3.00,5.00,5.00,3,NULL,NULL,'PAGANI','PALHOÇA','SC',15819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019129,3.00,6.00,3.00,5.00,7.00,9.38,1.00,2.00,3.00,336,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11966,81,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019137,4.00,6.00,0.00,1.00,8.00,9.00,2.00,4.00,2.00,108,NULL,NULL,'ENGENHO NOVO','RIO JANEIRO','RJ',13595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019161,6.00,5.00,6.00,6.00,9.00,10.13,2.00,3.00,7.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',3281,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019170,7.00,5.00,4.00,4.00,7.00,10.88,2.00,7.00,5.00,203,NULL,601,'ROÇADO','S JOSÉ','SC',4414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019188,2.00,4.00,4.00,4.00,6.00,6.75,0.00,4.00,2.00,655,NULL,652,'HORIZONTE','COCAL SUL','SC',17418,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6019196,4.00,5.00,5.00,3.00,5.00,8.63,3.00,6.00,4.00,5,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',11687,417,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA DIVA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6019218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6019226,7.00,6.00,4.00,7.00,6.00,10.88,2.00,1.00,1.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019234,2.00,5.00,0.00,1.00,4.00,NULL,2.00,1.00,1.00,501,NULL,NULL,'CERRO NEGRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019269,6.00,6.00,4.00,3.00,7.00,8.63,5.00,4.00,4.00,203,NULL,211,'LADO DA UNIÃO','BRAÇO NORTE','SC',6274,479,NULL,NULL,NULL,NULL,NULL,4,10),(25,6019277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6019285,2.00,2.00,2.00,2.00,5.00,7.13,2.00,5.00,1.00,426,NULL,425,'MONTE CRISTO','FLORIANÓPOLIS','SC',20775,29,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019293,3.00,3.00,2.00,4.00,7.00,6.38,1.00,3.00,2.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',17626,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'VILA NOVA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6019315,4.00,4.00,2.00,7.00,7.00,9.38,2.00,5.00,1.00,108,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',11785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019323,4.00,4.00,7.00,6.00,3.00,7.13,6.00,3.00,6.00,201,NULL,207,'JARDIM GUAPORE','MARINGÁ','PR',7118,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6019331,3.00,4.00,0.00,2.00,6.00,NULL,3.00,0.00,4.00,2,NULL,NULL,'POMERANOS','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6019340,3.00,4.00,0.00,1.00,6.00,9.75,1.00,1.00,4.00,109,NULL,NULL,'BARREIROS','S JOSÉ','SC',19807,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'JARDIM BONFIGLIOLI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6019374,6.00,5.00,5.00,6.00,9.00,8.63,5.00,6.00,5.00,220,NULL,233,'RES COL S FRANCISCO','BRAGANÇA PAULISTA','SP',3421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019382,4.00,6.00,2.00,3.00,8.00,6.75,0.00,5.00,2.00,303,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',14149,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019404,3.00,3.00,0.00,5.00,3.00,8.25,1.00,2.00,2.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019412,6.00,6.00,1.00,6.00,9.00,9.75,0.00,6.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9918,154,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019420,4.00,4.00,2.00,7.00,8.00,12.00,4.00,3.00,5.00,302,NULL,NULL,'JARDIM SÃO GUILERME','SOROCABA','SP',6519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019447,5.00,5.00,2.00,6.00,6.00,11.25,2.00,4.00,5.00,202,NULL,235,'BARREIROS','S JOSÉ','SC',9749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019463,4.00,5.00,3.00,4.00,6.00,10.13,1.00,4.00,1.00,415,NULL,NULL,'JOAQUINA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019480,5.00,5.00,7.00,8.00,9.00,8.63,2.00,3.00,6.00,211,NULL,601,'ANITA GARIBALDI','JOINVILLE','SC',2886,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6019498,2.00,6.00,0.00,0.00,4.00,5.25,0.00,2.00,2.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019501,4.00,4.00,2.00,4.00,5.00,8.25,1.00,4.00,3.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18343,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019510,5.00,6.00,3.00,6.00,7.00,11.25,2.00,4.00,4.00,319,NULL,NULL,'BELA VISTA III','S JOSÉ','SC',6480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019528,5.00,4.00,5.00,7.00,7.00,9.38,2.00,5.00,5.00,420,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019536,7.00,7.00,7.00,5.00,9.00,10.13,3.00,6.00,7.00,5,NULL,NULL,'VL INDEPENDENCIA','PIRACICABA','SP',1159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019544,5.00,5.00,1.00,2.00,9.00,8.25,1.00,5.00,4.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',9325,3446,NULL,NULL,NULL,NULL,NULL,4,4),(25,6019552,2.00,3.00,0.00,2.00,2.00,NULL,0.00,4.00,2.00,9,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019560,4.00,0.00,3.00,4.00,3.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6019595,3.00,5.00,0.00,4.00,6.00,NULL,2.00,0.00,2.00,654,NULL,NULL,'NOVA DIVINEIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6019609,3.00,5.00,2.00,4.00,4.00,6.75,1.00,2.00,3.00,501,NULL,NULL,'CENTRO','IMBITUBA','SC',19877,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6019617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PROGRESSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6019625,3.00,4.00,0.00,3.00,4.00,NULL,2.00,0.00,0.00,207,NULL,211,'CASTELO BRANCO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019633,3.00,2.00,3.00,5.00,4.00,7.88,2.00,0.00,3.00,3,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019641,6.00,7.00,5.00,4.00,6.00,8.25,2.00,1.00,3.00,420,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9583,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019650,8.00,8.00,5.00,6.00,10.00,10.50,2.00,6.00,7.00,238,NULL,208,'CACUPÉ','FLORIANÓPOLIS','SC',1157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'SETOR PEDRO LUDOVICO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',3,1),(25,6019676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6019684,8.00,6.00,3.00,8.00,10.00,12.38,3.00,7.00,6.00,207,NULL,NULL,'COND VALPARAISO','S CARLOS','SP',970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019692,4.00,5.00,0.00,6.00,8.00,11.25,3.00,5.00,3.00,319,NULL,NULL,'FLORESTA','JOINVILLE','SC',7824,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6019706,5.00,4.00,3.00,7.00,7.00,6.38,1.00,3.00,2.00,102,NULL,NULL,'AMÉRICA','JOINVILLE','SC',14329,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6019714,5.00,4.00,5.00,5.00,6.00,9.38,3.00,2.00,2.00,453,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019722,3.00,2.00,1.00,3.00,7.00,9.00,1.00,3.00,2.00,216,NULL,233,'JARDIM CANADÁ I','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6019730,2.00,4.00,2.00,4.00,6.00,10.50,1.00,3.00,2.00,317,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019765,3.00,4.00,0.00,3.00,2.00,NULL,3.00,0.00,1.00,501,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6019790,3.00,6.00,1.00,6.00,8.00,9.00,2.00,3.00,2.00,415,NULL,NULL,'JARDIM AQUÁRIUS','S JOSÉ CAMPOS','SP',11480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019803,3.00,4.00,1.00,4.00,7.00,9.00,3.00,3.00,3.00,999,NULL,NULL,'TACCA','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6019811,2.00,4.00,1.00,5.00,7.00,9.75,2.00,0.00,5.00,216,NULL,211,'MOINHOS DE VENTO','PTO ALEGRE','RS',13636,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6019820,3.00,4.00,5.00,5.00,5.00,7.50,2.00,4.00,2.00,215,NULL,211,'BALNEÁRIO','FLORIANÓPOLIS','SC',12664,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019838,5.00,6.00,1.00,3.00,4.00,NULL,0.00,2.00,5.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA GOMES CARDIM','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6019870,4.00,4.00,4.00,2.00,5.00,NULL,0.00,0.00,0.00,653,NULL,201,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6019900,5.00,3.00,1.00,3.00,6.00,7.13,2.00,1.00,2.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',20223,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019919,4.00,7.00,2.00,6.00,8.00,NULL,0.00,5.00,3.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6019935,1.00,2.00,2.00,3.00,3.00,NULL,0.00,0.00,2.00,340,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019943,4.00,5.00,6.00,7.00,10.00,8.63,4.00,5.00,6.00,999,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6019978,2.00,3.00,0.00,5.00,3.00,5.63,2.00,6.00,0.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',20387,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6019986,4.00,4.00,2.00,2.00,8.00,8.25,1.00,2.00,2.00,215,NULL,207,'VILA MACARINI','CRICIÚMA','SC',17603,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6019994,2.00,3.00,0.00,3.00,6.00,6.38,0.00,0.00,2.00,309,NULL,NULL,'MARECHAL RONDON','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020003,4.00,4.00,0.00,4.00,7.00,NULL,0.00,0.00,4.00,104,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6020011,4.00,6.00,1.00,2.00,7.00,7.50,1.00,5.00,1.00,216,NULL,215,'MARTORANO','S JOAQUIM','SC',17929,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6020020,5.00,4.00,2.00,4.00,4.00,10.88,1.00,2.00,2.00,104,NULL,NULL,'CAMPO BELO','S PAULO','SP',17108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020046,8.00,6.00,4.00,7.00,9.00,11.63,3.00,7.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020062,6.00,5.00,5.00,5.00,9.00,7.50,1.00,3.00,4.00,202,NULL,203,'BELA VISTA','ERECHIM','RS',8475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020070,3.00,3.00,2.00,4.00,3.00,9.00,1.00,0.00,1.00,999,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,215,'TUCURUVI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6020097,3.00,4.00,1.00,3.00,6.00,9.38,2.00,0.00,0.00,225,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020100,8.00,7.00,7.00,5.00,8.00,9.75,4.00,9.00,8.00,303,NULL,NULL,'MICHEL','CRICIÚMA','SC',580,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6020119,2.00,4.00,1.00,3.00,8.00,8.25,2.00,2.00,2.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020127,3.00,3.00,2.00,3.00,5.00,8.63,1.00,2.00,3.00,104,NULL,NULL,'PARQUE ALTO TAQUARAL','CAMPINAS','SP',19780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020135,4.00,4.00,1.00,2.00,6.00,8.63,0.00,1.00,5.00,336,NULL,NULL,'SANTANA','S PAULO','SP',14193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020143,3.00,4.00,1.00,5.00,7.00,7.88,4.00,5.00,1.00,421,NULL,426,'ARIRIÚ','PALHOÇA','SC',16332,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020160,2.00,3.00,0.00,5.00,8.00,8.25,2.00,2.00,0.00,326,NULL,NULL,'VILA NOVA','IMBITUBA','SC',15884,37,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020178,3.00,5.00,1.00,4.00,3.00,8.25,1.00,2.00,2.00,999,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6020186,4.00,5.00,4.00,2.00,7.00,9.75,2.00,5.00,0.00,201,NULL,207,'BARREIROS','S JOSÉ','SC',15096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020194,4.00,6.00,2.00,5.00,7.00,10.50,2.00,4.00,2.00,103,NULL,NULL,'VILA SANTANA','SOROCABA','SP',8395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020216,3.00,1.00,3.00,1.00,5.00,7.13,3.00,5.00,0.00,202,NULL,216,'CARIANOS','FLORIANÓPOLIS','SC',19550,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020232,8.00,6.00,6.00,7.00,8.00,9.38,2.00,7.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',1641,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6020240,1.00,4.00,1.00,4.00,5.00,5.63,0.00,4.00,3.00,9,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17728,108,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020259,3.00,3.00,1.00,6.00,7.00,10.13,2.00,2.00,2.00,452,NULL,NULL,'BARREIROS','S JOSÉ','SC',13558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020267,3.00,6.00,0.00,3.00,4.00,5.63,1.00,3.00,1.00,109,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020275,5.00,6.00,3.00,6.00,8.00,8.25,0.00,3.00,4.00,303,NULL,NULL,'IPIRANGA','S JOSÉ','SC',8972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020305,1.00,3.00,2.00,1.00,4.00,4.50,0.00,1.00,1.00,9,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6020321,7.00,3.00,3.00,4.00,4.00,7.88,3.00,3.00,5.00,220,NULL,202,'NOVA BRASILIA','IMBITUBA','SC',11928,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6020348,2.00,4.00,2.00,3.00,4.00,6.38,1.00,2.00,3.00,551,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',21055,70,NULL,NULL,NULL,NULL,NULL,2,16),(25,6020356,4.00,7.00,2.00,4.00,8.00,8.25,1.00,7.00,1.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11166,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020364,2.00,2.00,1.00,4.00,5.00,7.88,2.00,3.00,2.00,216,NULL,201,'FAZENDA DE LOURDES','ÁGUAS MORNAS','SC',18333,580,NULL,1519,NULL,NULL,NULL,4,1),(25,6020372,4.00,5.00,1.00,2.00,7.00,7.88,0.00,3.00,2.00,202,NULL,235,'CENTRO','CANOINHAS','SC',14072,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6020380,3.00,6.00,1.00,6.00,9.00,8.25,2.00,6.00,4.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020399,5.00,6.00,1.00,5.00,7.00,7.13,2.00,3.00,3.00,333,NULL,NULL,'SANTA MARTA','S CARLOS','SP',10427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6020410,3.00,4.00,3.00,6.00,6.00,9.75,1.00,4.00,5.00,999,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6020437,2.00,4.00,1.00,1.00,3.00,10.50,0.00,1.00,2.00,319,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',21120,454,NULL,NULL,NULL,NULL,NULL,4,2),(25,6020445,3.00,7.00,0.00,6.00,4.00,10.50,2.00,4.00,2.00,207,NULL,601,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',15168,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020453,3.00,6.00,3.00,6.00,10.00,9.38,0.00,4.00,3.00,207,NULL,215,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6020461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'COHAB CASTELO BRANCO','CARAPICUÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6020470,7.00,7.00,5.00,6.00,6.00,7.13,3.00,4.00,9.00,103,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',3766,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6020496,4.00,6.00,2.00,2.00,7.00,NULL,0.00,3.00,2.00,102,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6020500,2.00,2.00,3.00,3.00,5.00,7.88,1.00,5.00,2.00,103,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',17051,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6020518,6.00,3.00,1.00,5.00,4.00,7.13,0.00,1.00,3.00,110,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',17218,88,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020526,4.00,5.00,5.00,0.00,6.00,7.88,1.00,4.00,2.00,108,NULL,NULL,'CENTRO','CÂNDIDO MOTA','SP',14214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020534,6.00,6.00,5.00,3.00,6.00,8.25,3.00,6.00,8.00,201,NULL,233,'CENTRO','ALTINÓPOLIS','SP',4446,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6020550,1.00,1.00,3.00,1.00,2.00,NULL,2.00,0.00,3.00,336,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020569,8.00,4.00,5.00,7.00,9.00,9.00,1.00,7.00,7.00,207,NULL,212,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020577,4.00,5.00,0.00,2.00,4.00,8.25,2.00,3.00,1.00,102,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',17831,224,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO ANTONIO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6020593,3.00,3.00,2.00,6.00,7.00,7.13,1.00,4.00,1.00,203,NULL,202,'CAPOEIRAS','FLORIANÓPOLIS','SC',18401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020607,6.00,6.00,5.00,5.00,7.00,8.63,3.00,6.00,7.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',3356,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6020623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'GUAIANASES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6020631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6020640,8.00,6.00,3.00,6.00,10.00,8.25,2.00,6.00,8.00,103,NULL,NULL,'ALPHAVILLE','NOVA LIMA','MG',1758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020658,4.00,5.00,5.00,5.00,8.00,9.00,3.00,4.00,1.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020666,1.00,4.00,2.00,6.00,5.00,8.25,1.00,7.00,2.00,451,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',16240,24,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020674,1.00,4.00,1.00,2.00,3.00,NULL,1.00,0.00,3.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020682,4.00,7.00,3.00,6.00,9.00,8.25,0.00,6.00,4.00,318,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',7003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020704,4.00,6.00,2.00,5.00,8.00,8.25,3.00,7.00,5.00,215,NULL,235,'BARRA DO ARIRIU','PALHOÇA','SC',5843,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020712,8.00,7.00,3.00,7.00,10.00,9.00,3.00,5.00,5.00,208,NULL,238,'CENTRO','GAROPABA','SC',2966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020720,7.00,8.00,7.00,7.00,9.00,6.75,5.00,8.00,9.00,103,NULL,NULL,'CENTRO','S CARLOS','SC',504,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6020739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6020747,5.00,6.00,2.00,4.00,8.00,8.25,0.00,4.00,1.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',10905,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6020755,2.00,3.00,0.00,4.00,1.00,NULL,1.00,2.00,0.00,319,NULL,NULL,'SITIO CERCADO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6020763,5.00,0.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,202,NULL,235,'TABOÃO','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6020771,8.00,7.00,4.00,7.00,10.00,11.63,6.00,7.00,8.00,103,NULL,NULL,'BOSQUE DA SAÚDE','S PAULO','SP',332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020780,2.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,2.00,202,NULL,235,'JARDIM MATILDE','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6020798,5.00,7.00,6.00,7.00,10.00,7.88,5.00,8.00,6.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',1653,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6020828,4.00,2.00,2.00,4.00,6.00,9.00,3.00,3.00,2.00,319,NULL,NULL,'FLORESTA','JOINVILLE','SC',13481,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6020836,4.00,6.00,0.00,5.00,6.00,NULL,1.00,3.00,2.00,324,NULL,NULL,'ZÉ AMANDIO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6020844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,NULL,'PETROPOLIS','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6020852,1.00,4.00,2.00,3.00,4.00,NULL,2.00,0.00,0.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020860,1.00,3.00,1.00,2.00,4.00,7.13,2.00,3.00,3.00,652,NULL,653,'CIDADE ALTA','ARARANGUÁ','SC',21266,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6020879,3.00,5.00,3.00,3.00,6.00,6.75,2.00,5.00,2.00,332,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',16620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020887,4.00,4.00,2.00,7.00,4.00,6.00,2.00,6.00,3.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020895,4.00,5.00,1.00,6.00,10.00,7.88,3.00,5.00,6.00,216,NULL,215,'SANTINHO','FLORIANÓPOLIS','SC',7237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020909,0.00,1.00,0.00,3.00,2.00,NULL,1.00,1.00,1.00,452,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020917,8.00,6.00,4.00,6.00,7.00,9.75,3.00,6.00,3.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',4145,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020925,5.00,6.00,2.00,5.00,5.00,4.88,2.00,1.00,5.00,220,NULL,201,'JARDIM PLANALTO','ARUJÁ','SP',12621,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6020933,4.00,3.00,4.00,5.00,5.00,NULL,0.00,1.00,5.00,333,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020941,1.00,1.00,2.00,3.00,6.00,NULL,1.00,0.00,1.00,301,NULL,NULL,'EFAPI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6020950,4.00,6.00,1.00,4.00,8.00,9.38,1.00,6.00,1.00,329,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6020968,2.00,4.00,0.00,3.00,5.00,NULL,0.00,1.00,1.00,425,NULL,423,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6020976,7.00,2.00,0.00,4.00,7.00,7.88,1.00,3.00,3.00,103,NULL,NULL,'BUCAREIN','JOINVILLE','SC',13145,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6020984,4.00,5.00,1.00,4.00,5.00,NULL,0.00,1.00,0.00,108,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6020992,3.00,4.00,2.00,4.00,5.00,7.88,0.00,6.00,2.00,601,NULL,201,'BARIGUI','ARAUCÁRIA','PR',13522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021000,3.00,4.00,1.00,3.00,6.00,8.63,2.00,3.00,1.00,319,NULL,NULL,'VILA ESPERANÇA','IMBITUBA','SC',15522,294,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021018,8.00,7.00,4.00,6.00,10.00,10.50,3.00,6.00,8.00,103,NULL,NULL,'BELÉM NOVO','PTO ALEGRE','RS',1086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021026,7.00,6.00,4.00,2.00,7.00,7.50,1.00,2.00,5.00,216,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',9453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021034,4.00,6.00,2.00,1.00,5.00,9.38,3.00,3.00,4.00,214,NULL,601,'AMÉRICA','JOINVILLE','SC',15604,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6021042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6021050,4.00,5.00,2.00,5.00,6.00,10.88,3.00,5.00,2.00,303,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',11164,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6021069,5.00,3.00,4.00,3.00,8.00,10.13,1.00,4.00,3.00,201,NULL,212,'CENTRO','CONSTANTINA','RS',9769,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6021077,4.00,5.00,4.00,4.00,8.00,7.13,4.00,2.00,5.00,208,NULL,207,'CARIANOS','FLORIANÓPOLIS','SC',8718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,220,'VILA OLÍMPIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6021115,2.00,3.00,2.00,1.00,7.00,6.75,0.00,2.00,2.00,103,NULL,NULL,'CENTRO NORTE','DOIS VIZINHOS','PR',19211,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6021123,4.00,6.00,3.00,6.00,7.00,9.75,2.00,5.00,4.00,201,NULL,212,'JARDIM PARAÍSO','CAMPINAS','SP',6808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6021140,2.00,6.00,2.00,4.00,5.00,NULL,2.00,3.00,1.00,999,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6021166,1.00,2.00,1.00,4.00,5.00,7.50,1.00,0.00,0.00,101,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6021182,5.00,5.00,3.00,3.00,6.00,6.38,2.00,2.00,3.00,108,NULL,NULL,'CENTRO','BRUSQUE','SC',14730,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6021190,2.00,5.00,3.00,2.00,4.00,5.25,0.00,3.00,3.00,101,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',20862,164,NULL,NULL,NULL,NULL,NULL,2,1),(25,6021204,7.00,6.00,4.00,7.00,8.00,9.00,1.00,6.00,6.00,103,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',3621,1951,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021212,9.00,6.00,4.00,7.00,11.00,9.38,4.00,8.00,8.00,103,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021220,4.00,6.00,0.00,2.00,9.00,8.63,1.00,3.00,2.00,551,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',12771,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6021239,8.00,7.00,4.00,7.00,9.00,9.38,1.00,6.00,8.00,303,NULL,NULL,'CENTRO','CONCÓRDIA','SC',2327,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6021247,5.00,3.00,3.00,4.00,7.00,10.13,2.00,5.00,6.00,211,NULL,208,'ALBUQUERQUE','CPO GRANDE','MS',7309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,428,'PERPÉTUO SOCORRO','S JOÃO B VISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6021280,2.00,5.00,3.00,1.00,3.00,5.25,2.00,4.00,2.00,303,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',19932,825,NULL,NULL,NULL,NULL,NULL,2,1),(25,6021298,7.00,7.00,3.00,6.00,9.00,11.63,3.00,5.00,5.00,207,NULL,238,'NOSSA SRA SALETE','CRICIÚMA','SC',2590,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6021301,3.00,4.00,5.00,5.00,5.00,7.88,3.00,3.00,3.00,450,NULL,NULL,'CENTRO','CARAZINHO','RS',13305,92,NULL,NULL,NULL,NULL,NULL,4,4),(25,6021310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CIDADE JARDIM','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6021328,3.00,6.00,2.00,6.00,6.00,7.88,2.00,4.00,2.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021336,2.00,2.00,2.00,2.00,6.00,7.13,0.00,3.00,0.00,302,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',20137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021344,6.00,5.00,1.00,5.00,9.00,11.25,0.00,3.00,6.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',7059,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6021352,5.00,5.00,4.00,7.00,8.00,7.50,3.00,6.00,7.00,103,NULL,NULL,'VISTA ALEGRE','CURITIBA','PR',3248,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6021360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6021379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6021387,3.00,5.00,2.00,5.00,5.00,7.50,2.00,4.00,3.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6021417,4.00,7.00,4.00,4.00,8.00,10.50,3.00,7.00,5.00,214,NULL,212,'JARDIM PARAISO','S CARLOS','SP',3403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021433,4.00,6.00,3.00,1.00,5.00,7.50,1.00,2.00,4.00,203,NULL,233,'SANTA TEREZA','BAURU','SP',15709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021441,7.00,7.00,5.00,7.00,7.00,9.75,3.00,4.00,9.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',1454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021450,8.00,3.00,4.00,6.00,6.00,10.50,0.00,2.00,5.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',7958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021468,3.00,4.00,1.00,5.00,3.00,6.75,2.00,3.00,1.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',17014,330,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021476,5.00,5.00,3.00,4.00,6.00,7.88,2.00,1.00,5.00,601,NULL,201,'GUANABARA','JOINVILLE','SC',11873,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6021484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6021492,3.00,2.00,0.00,1.00,5.00,NULL,2.00,1.00,0.00,324,NULL,NULL,'INAJÁ','MATINHOS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021506,3.00,6.00,3.00,5.00,5.00,6.00,2.00,3.00,2.00,212,NULL,601,'VARGEM GRANDE','FLORIANÓPOLIS','SC',16376,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6021514,5.00,4.00,4.00,6.00,7.00,NULL,0.00,4.00,3.00,110,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021522,8.00,6.00,7.00,6.00,9.00,10.13,3.00,6.00,6.00,303,NULL,NULL,'BOQUEIRAO','CURITIBA','PR',1753,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6021530,4.00,6.00,0.00,4.00,5.00,NULL,3.00,2.00,2.00,652,NULL,235,'PORTO DOS PADRES','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6021549,6.00,7.00,2.00,6.00,7.00,12.38,1.00,6.00,4.00,319,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',5809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021557,4.00,6.00,2.00,6.00,8.00,9.38,2.00,4.00,4.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',7964,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6021565,4.00,4.00,3.00,1.00,4.00,7.88,3.00,5.00,2.00,220,NULL,202,'SANTA TEREZA','PTO ALEGRE','RS',16586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021573,1.00,2.00,2.00,1.00,4.00,NULL,2.00,0.00,0.00,102,NULL,NULL,'VISTA ALEGRE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6021581,3.00,6.00,3.00,2.00,6.00,11.25,2.00,6.00,2.00,453,NULL,NULL,'IPANEMA','LONDRINA','PR',10337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021590,4.00,6.00,1.00,5.00,4.00,8.25,1.00,5.00,0.00,5,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',16227,573,NULL,NULL,NULL,NULL,NULL,2,1),(25,6021603,8.00,6.00,5.00,7.00,9.00,10.88,3.00,7.00,6.00,303,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',1586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021611,4.00,4.00,3.00,5.00,5.00,7.88,2.00,4.00,2.00,215,NULL,211,'IPIRANGA','S JOSÉ','SC',14694,233,NULL,384,NULL,NULL,NULL,2,1),(25,6021638,3.00,3.00,2.00,5.00,7.00,8.63,1.00,3.00,4.00,340,NULL,NULL,'VISTA VERDE','S JOSÉ CAMPOS','SP',13773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CASCATINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6021654,1.00,3.00,2.00,1.00,6.00,5.25,1.00,0.00,2.00,203,NULL,NULL,'RIO NEGRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6021662,6.00,6.00,3.00,3.00,6.00,8.25,2.00,2.00,3.00,104,NULL,NULL,'CORAL','LAGES','SC',11356,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6021689,5.00,6.00,3.00,7.00,7.00,9.38,1.00,3.00,4.00,207,NULL,NULL,'JARDIM AMÉRICA','PNT GROSSA','PR',7691,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6021700,3.00,4.00,2.00,4.00,7.00,6.75,2.00,2.00,3.00,201,NULL,203,'CENTRO','ARAPONGAS','PR',17395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021719,6.00,4.00,3.00,5.00,7.00,6.00,2.00,3.00,2.00,208,NULL,238,'CENTRO','GAROPABA','SC',12196,221,NULL,197,NULL,NULL,NULL,4,1),(25,6021727,6.00,6.00,2.00,1.00,5.00,8.25,0.00,1.00,3.00,108,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',18344,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6021735,4.00,4.00,2.00,5.00,5.00,7.50,2.00,6.00,2.00,452,NULL,NULL,'MEDITERRÂNEO','LONDRINA','PR',13512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021743,5.00,3.00,3.00,5.00,7.00,7.13,2.00,4.00,3.00,110,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',13877,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6021751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM LISITANIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6021760,5.00,6.00,6.00,5.00,7.00,7.50,4.00,4.00,8.00,220,NULL,203,'CAMPOS ELÍSEOS','POÇOS CALDAS','MG',2812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'BOA VISTA','ITAPIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6021786,7.00,7.00,5.00,7.00,9.00,8.63,1.00,8.00,7.00,216,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2020,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6021794,7.00,5.00,3.00,6.00,9.00,11.25,2.00,4.00,6.00,216,NULL,207,'ALTO DA BOA VISTA','SOROCABA','SP',4193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021808,2.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(25,6021824,6.00,6.00,7.00,7.00,6.00,9.00,3.00,5.00,9.00,220,NULL,235,'CENTRO','BAL CAMBORIÚ','SC',2209,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6021832,6.00,6.00,0.00,5.00,10.00,9.38,0.00,6.00,8.00,103,NULL,NULL,'OURO VERDE','OURINHOS','SP',4914,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6021840,8.00,7.00,4.00,7.00,9.00,9.00,4.00,6.00,4.00,104,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',2997,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6021867,5.00,4.00,2.00,3.00,6.00,8.25,1.00,1.00,1.00,452,NULL,NULL,'AREIAS','S JOSÉ','SC',19408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021875,4.00,4.00,2.00,4.00,4.00,10.13,4.00,3.00,3.00,238,NULL,207,'NOSSA SRA SALETE','CRICIÚMA','SC',14657,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6021883,5.00,7.00,2.00,5.00,5.00,9.00,2.00,7.00,7.00,216,NULL,211,'PRAIA DA COSTA','VL VELHA','ES',4641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021891,6.00,6.00,3.00,0.00,5.00,6.75,5.00,2.00,5.00,208,NULL,203,'CENTRO','DOIS VIZINHOS','PR',10322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021905,2.00,4.00,1.00,4.00,5.00,10.13,1.00,4.00,2.00,207,NULL,201,'SANTOS DUMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6021913,6.00,5.00,2.00,5.00,7.00,9.38,3.00,4.00,3.00,104,NULL,NULL,'CENTRO','LOANDA','PR',9228,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6021921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6021948,0.00,1.00,1.00,0.00,4.00,NULL,1.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6021956,6.00,6.00,5.00,7.00,9.00,9.75,1.00,6.00,5.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021964,1.00,3.00,1.00,5.00,6.00,8.63,1.00,6.00,2.00,601,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',14998,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6021972,5.00,4.00,1.00,2.00,6.00,8.25,3.00,1.00,4.00,450,NULL,NULL,'ZONA DOIS','UMUARAMA','PR',12162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021980,5.00,8.00,1.00,5.00,9.00,8.25,1.00,5.00,2.00,5,NULL,NULL,'PORTO GRANDE','S SEBASTIÃO','SP',8832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6021999,3.00,8.00,0.00,2.00,7.00,7.88,2.00,6.00,3.00,332,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',14605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022006,6.00,7.00,2.00,6.00,8.00,10.50,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022014,4.00,5.00,3.00,4.00,8.00,7.13,2.00,3.00,5.00,203,NULL,202,'CAMPECHE','FLORIANÓPOLIS','SC',9859,711,NULL,312,NULL,NULL,NULL,2,1),(25,6022022,3.00,7.00,3.00,3.00,5.00,7.50,0.00,3.00,3.00,235,NULL,202,'ITAPEUNA','ELDORADO','SP',13974,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6022030,6.00,7.00,5.00,8.00,9.00,9.75,0.00,5.00,6.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',3562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022065,4.00,5.00,1.00,2.00,6.00,9.00,3.00,5.00,4.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022073,3.00,4.00,3.00,4.00,7.00,10.88,3.00,3.00,1.00,444,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022081,2.00,5.00,3.00,4.00,4.00,7.50,2.00,1.00,2.00,103,NULL,NULL,'JARDIM OSWALDO CRUZ','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6022103,4.00,6.00,2.00,3.00,5.00,8.63,3.00,1.00,4.00,999,NULL,NULL,'SANTO ANDRÉ','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6022111,4.00,6.00,3.00,7.00,8.00,10.50,2.00,6.00,5.00,5,NULL,NULL,'VELHA','BLUMENAU','SC',5435,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6022120,4.00,5.00,3.00,5.00,5.00,7.50,3.00,3.00,1.00,310,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',14644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6022138,2.00,4.00,0.00,4.00,6.00,NULL,1.00,2.00,1.00,450,NULL,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6022146,4.00,7.00,1.00,4.00,9.00,8.63,1.00,7.00,2.00,101,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8044,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6022154,4.00,3.00,1.00,4.00,6.00,7.88,1.00,1.00,4.00,238,NULL,208,'SAIC','CHAPECÓ','SC',16413,353,NULL,385,NULL,NULL,NULL,4,4),(25,6022162,5.00,8.00,2.00,7.00,9.00,7.13,3.00,4.00,4.00,601,NULL,220,'TAPAJÓS','INDAIAL','SC',7271,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6022170,6.00,6.00,6.00,3.00,8.00,12.00,4.00,5.00,7.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022189,2.00,1.00,0.00,3.00,3.00,NULL,0.00,0.00,1.00,340,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6022197,3.00,3.00,1.00,3.00,8.00,8.25,1.00,3.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16383,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6022200,7.00,7.00,2.00,1.00,7.00,9.00,1.00,3.00,3.00,103,NULL,NULL,'VILA ROSÁLIA','GUARULHOS','SP',11309,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6022219,6.00,6.00,2.00,6.00,7.00,NULL,0.00,5.00,4.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6022227,8.00,8.00,3.00,7.00,9.00,10.50,1.00,6.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022235,3.00,5.00,3.00,5.00,7.00,8.63,5.00,5.00,1.00,502,NULL,NULL,'AREIAS','S JOSÉ','SC',12397,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6022243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6022260,2.00,4.00,3.00,3.00,2.00,NULL,6.00,5.00,2.00,653,NULL,NULL,'POLICIA RODOVIARIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6022278,2.00,6.00,3.00,3.00,5.00,6.38,3.00,5.00,2.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',15622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6022286,4.00,4.00,1.00,3.00,8.00,8.25,1.00,1.00,1.00,5,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',17310,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6022294,6.00,8.00,6.00,5.00,8.00,8.63,2.00,7.00,4.00,220,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',2927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022308,2.00,4.00,0.00,4.00,7.00,9.00,1.00,4.00,3.00,109,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6022316,5.00,5.00,2.00,3.00,7.00,9.38,0.00,3.00,2.00,333,NULL,NULL,'ORIENTE','LONDRINA','PR',12994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,235,'BARRA SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6022332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6022359,2.00,5.00,1.00,4.00,7.00,9.00,2.00,3.00,0.00,109,NULL,NULL,'IMPERIAL','CONCÓRDIA','SC',17778,104,NULL,NULL,NULL,NULL,NULL,2,4),(25,6022367,7.00,5.00,4.00,4.00,8.00,9.75,2.00,5.00,6.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022375,3.00,4.00,3.00,4.00,3.00,11.25,2.00,3.00,2.00,328,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',18626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'SATURNO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6022391,0.00,7.00,3.00,3.00,5.00,7.50,2.00,5.00,1.00,336,NULL,NULL,'COMASA','JOINVILLE','SC',18749,153,NULL,NULL,NULL,NULL,NULL,4,8),(25,6022413,7.00,6.00,4.00,7.00,6.00,10.13,4.00,4.00,5.00,202,NULL,213,'JARDIM TROPICAL','OURINHOS','SP',3570,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6022421,8.00,3.00,3.00,4.00,6.00,8.25,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',7497,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6022456,6.00,8.00,6.00,6.00,9.00,8.63,2.00,7.00,7.00,216,NULL,601,'CAMPINAS','S JOSÉ','SC',2402,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6022464,3.00,5.00,2.00,6.00,8.00,8.63,2.00,2.00,1.00,5,NULL,NULL,'JARDIM DO SALSO','PTO ALEGRE','RS',11618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022480,5.00,4.00,5.00,5.00,3.00,8.25,0.00,1.00,0.00,501,NULL,NULL,'CIDADE UNIVERSITARIA','CAMPINAS','SP',16657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022499,6.00,6.00,6.00,7.00,6.00,10.13,4.00,7.00,9.00,214,NULL,213,'JARDIM SOCIAL','CURITIBA','PR',1418,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022502,5.00,6.00,2.00,3.00,7.00,8.63,1.00,3.00,5.00,319,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',12442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022510,2.00,3.00,3.00,6.00,4.00,6.38,4.00,0.00,3.00,203,NULL,201,'CENTRO','JOINVILLE','SC',14916,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6022529,7.00,7.00,2.00,6.00,9.00,9.38,1.00,5.00,5.00,103,NULL,NULL,'SANTA CECÍLIA','VIAMÃO','RS',4626,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6022537,7.00,6.00,4.00,8.00,9.00,10.88,3.00,5.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022545,7.00,7.00,1.00,4.00,4.00,5.25,0.00,5.00,4.00,235,NULL,208,'ITACORUBI','FLORIANÓPOLIS','SC',11829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022553,3.00,4.00,0.00,2.00,5.00,6.00,1.00,0.00,1.00,208,NULL,238,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6022561,5.00,3.00,3.00,6.00,6.00,8.25,1.00,2.00,2.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',11337,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6022570,4.00,3.00,1.00,2.00,6.00,8.63,2.00,1.00,1.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022588,6.00,6.00,5.00,6.00,7.00,10.13,3.00,7.00,6.00,304,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',2695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022596,5.00,4.00,3.00,6.00,6.00,8.63,3.00,5.00,3.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',10010,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6022600,2.00,5.00,0.00,3.00,6.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022618,1.00,4.00,2.00,2.00,5.00,9.00,2.00,0.00,0.00,108,NULL,NULL,'JARDIM CRISTINA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022626,3.00,8.00,3.00,6.00,8.00,8.25,3.00,3.00,3.00,238,NULL,202,'BARREIROS','S JOSÉ','SC',8815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022650,4.00,5.00,2.00,4.00,7.00,6.75,1.00,6.00,5.00,208,NULL,238,'GUIOMAR','ANTÔNIO CARLOS','SC',12986,253,NULL,223,NULL,NULL,NULL,4,1),(25,6022669,8.00,7.00,6.00,4.00,8.00,9.75,1.00,6.00,9.00,103,NULL,NULL,'CENTRO','PAIÇANDU','PR',2496,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6022677,5.00,4.00,3.00,7.00,5.00,NULL,0.00,2.00,3.00,340,NULL,NULL,'SÃO CRISTÓVÃO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6022693,3.00,1.00,1.00,3.00,3.00,9.75,0.00,3.00,2.00,238,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',21261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6022707,8.00,9.00,5.00,6.00,10.00,10.13,2.00,6.00,4.00,212,NULL,213,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'BENASSI','MATÃO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6022723,1.00,5.00,3.00,1.00,4.00,0.00,1.00,0.00,2.00,601,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6022731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUTANTÃ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6022740,6.00,7.00,4.00,6.00,9.00,10.13,2.00,6.00,6.00,501,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',4592,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6022766,7.00,6.00,3.00,5.00,8.00,9.75,4.00,5.00,9.00,216,NULL,233,'DOM BOSCO','ITAJAÍ','SC',2595,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6022774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6022790,4.00,5.00,5.00,6.00,8.00,9.38,1.00,3.00,4.00,340,NULL,NULL,'ROÇADO','S JOSÉ','SC',9131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022804,7.00,7.00,5.00,7.00,8.00,9.75,4.00,6.00,9.00,211,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',1501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022820,3.00,4.00,5.00,2.00,5.00,6.75,0.00,4.00,3.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',15900,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6022839,4.00,3.00,5.00,6.00,7.00,6.75,1.00,2.00,3.00,303,NULL,NULL,'BOSQUE DAS MANSÕES','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6022855,2.00,6.00,5.00,6.00,8.00,9.38,3.00,6.00,7.00,503,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',4505,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6022863,4.00,4.00,3.00,6.00,2.00,NULL,5.00,4.00,6.00,208,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6022871,5.00,6.00,5.00,7.00,9.00,8.25,0.00,6.00,5.00,338,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022880,4.00,3.00,1.00,2.00,5.00,5.63,1.00,4.00,3.00,601,NULL,NULL,'IRÍRÍU','JOINVILLE','SC',20696,585,NULL,NULL,NULL,NULL,NULL,4,8),(25,6022898,7.00,6.00,5.00,7.00,8.00,10.88,3.00,5.00,6.00,104,NULL,NULL,'NOSSA SENHORA DE FÁT','JAGUARIAÍVA','PR',3468,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6022901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6022910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VILA OLIVEIRA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6022928,2.00,1.00,3.00,2.00,3.00,NULL,0.00,0.00,2.00,101,NULL,NULL,'SANTA CATARINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6022936,8.00,4.00,2.00,3.00,7.00,9.00,1.00,7.00,6.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6306,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6022952,3.00,5.00,1.00,5.00,9.00,8.25,3.00,3.00,2.00,225,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',15061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6022960,5.00,4.00,0.00,2.00,4.00,NULL,3.00,0.00,1.00,339,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6022987,1.00,1.00,2.00,3.00,5.00,NULL,0.00,0.00,2.00,9,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6022995,8.00,7.00,6.00,6.00,6.00,10.50,4.00,9.00,6.00,340,NULL,NULL,'CENTRO','PTO ALEGRE','RS',1636,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6023002,6.00,6.00,4.00,5.00,9.00,11.63,2.00,7.00,6.00,415,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',3551,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6023029,3.00,4.00,1.00,4.00,5.00,9.38,1.00,4.00,1.00,110,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',19638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023037,6.00,4.00,2.00,5.00,7.00,7.88,2.00,4.00,1.00,203,NULL,214,'ITOUPAVA SECA','BLUMENAU','SC',11762,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6023045,5.00,4.00,1.00,2.00,4.00,7.50,1.00,3.00,3.00,502,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',16139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023053,3.00,5.00,0.00,2.00,4.00,NULL,1.00,1.00,1.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023061,5.00,2.00,0.00,3.00,4.00,6.38,1.00,4.00,0.00,444,NULL,NULL,'BELA VISTA','S JOSÉ','SC',20953,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023070,3.00,6.00,0.00,3.00,4.00,9.75,2.00,4.00,1.00,332,NULL,NULL,'VISTA ALEGRE','CURITIBA','PR',17743,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023088,6.00,7.00,3.00,5.00,9.00,9.38,3.00,4.00,5.00,104,NULL,NULL,'VELHA','BLUMENAU','SC',6797,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6023096,7.00,4.00,1.00,2.00,6.00,9.38,0.00,3.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',11301,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6023100,3.00,4.00,3.00,6.00,6.00,9.38,1.00,4.00,3.00,327,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',13032,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023118,6.00,7.00,2.00,5.00,5.00,9.75,1.00,4.00,6.00,425,NULL,429,'CAMPECHE','FLORIANÓPOLIS','SC',8479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6023134,6.00,6.00,2.00,6.00,8.00,7.50,3.00,6.00,5.00,201,NULL,208,'VILA SÃO LUIZ','DOURADOS','MS',4964,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6023142,6.00,7.00,4.00,4.00,7.00,6.38,2.00,6.00,5.00,203,NULL,202,'SAMBAQUI','FLORIANÓPOLIS','SC',7462,566,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023150,4.00,6.00,2.00,2.00,10.00,7.88,0.00,3.00,3.00,214,NULL,213,'BARRA FUNDA','GUARUJÁ','SP',14194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023177,6.00,7.00,1.00,7.00,8.00,10.88,1.00,5.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023185,8.00,8.00,2.00,5.00,8.00,13.13,1.00,6.00,9.00,103,NULL,NULL,'JD LEONOR','LONDRINA','PR',1419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023193,6.00,7.00,5.00,3.00,9.00,8.63,3.00,8.00,5.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',3649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'GOIABEIRAS','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6023215,2.00,4.00,1.00,7.00,9.00,8.25,3.00,4.00,3.00,211,NULL,201,'CENTRO','FRANCISCO BELTRÃO','PR',9854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023223,6.00,5.00,4.00,5.00,8.00,7.88,2.00,5.00,3.00,201,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023258,3.00,5.00,2.00,4.00,6.00,9.38,1.00,3.00,6.00,319,NULL,NULL,'PQ DAS LARANJEIRAS','RIO VERDE','GO',10574,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023274,5.00,4.00,2.00,4.00,9.00,11.63,0.00,2.00,2.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',13815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023282,4.00,6.00,3.00,2.00,5.00,NULL,0.00,4.00,0.00,319,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023290,0.00,0.00,0.00,1.00,4.00,NULL,2.00,0.00,0.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6023312,8.00,6.00,8.00,7.00,10.00,9.00,4.00,6.00,8.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',671,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023320,3.00,3.00,1.00,3.00,8.00,9.75,2.00,1.00,1.00,5,NULL,NULL,'CENTRO','AGROLÂNDIA','SC',16382,577,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6023347,4.00,6.00,3.00,3.00,6.00,6.75,0.00,4.00,2.00,301,NULL,NULL,'CAMINO NOVO','PALHOÇA','SC',17174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023355,7.00,8.00,3.00,7.00,9.00,9.00,2.00,7.00,8.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',1588,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023363,5.00,6.00,1.00,5.00,7.00,8.63,0.00,4.00,4.00,104,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',11022,243,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023371,8.00,7.00,5.00,5.00,9.00,9.38,2.00,8.00,4.00,220,NULL,203,'JARDIM AMERICA','GOIÂNIA','GO',2591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023380,6.00,4.00,2.00,5.00,6.00,11.63,1.00,4.00,4.00,429,NULL,NULL,'CENTRO','CRICIÚMA','SC',12953,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6023410,0.00,1.00,1.00,0.00,2.00,NULL,1.00,1.00,0.00,212,NULL,220,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IPIRANGA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6023436,2.00,4.00,4.00,3.00,5.00,6.00,3.00,1.00,0.00,216,NULL,233,'SÃO VICENTE','ITAJAÍ','SC',20531,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6023444,7.00,4.00,2.00,6.00,10.00,10.13,2.00,5.00,5.00,103,NULL,NULL,'BOM RETIRO','CURITIBA','PR',5226,2488,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023487,3.00,6.00,3.00,5.00,2.00,NULL,1.00,3.00,3.00,234,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023495,5.00,4.00,2.00,3.00,6.00,6.75,2.00,3.00,0.00,201,NULL,203,'PARQUE SÃO PAULO','CASCAVEL','PR',16465,1386,NULL,992,NULL,NULL,NULL,2,6),(25,6023509,3.00,4.00,1.00,4.00,6.00,9.38,1.00,4.00,1.00,205,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',14424,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023517,4.00,3.00,2.00,6.00,6.00,7.50,1.00,4.00,0.00,336,NULL,NULL,'SALTO WEISSBACH','BLUMENAU','SC',15474,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6023525,3.00,5.00,3.00,5.00,8.00,5.63,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','TIJUCAS','SC',12222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO LUIZ','SAPIRANGA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6023541,2.00,1.00,2.00,4.00,2.00,NULL,2.00,5.00,1.00,207,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023568,5.00,6.00,2.00,2.00,4.00,10.88,3.00,3.00,4.00,104,NULL,NULL,'INTERLAGOS','S PAULO','SP',11778,265,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'STA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6023592,2.00,1.00,3.00,3.00,4.00,6.00,0.00,1.00,1.00,308,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023606,4.00,3.00,2.00,5.00,4.00,7.50,1.00,2.00,1.00,223,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023614,2.00,6.00,3.00,1.00,5.00,9.00,2.00,5.00,3.00,303,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023622,2.00,4.00,0.00,5.00,6.00,NULL,2.00,1.00,2.00,104,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6023630,2.00,1.00,2.00,0.00,2.00,NULL,2.00,1.00,1.00,101,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023649,5.00,7.00,2.00,2.00,7.00,NULL,0.00,5.00,4.00,601,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6023657,4.00,7.00,3.00,4.00,6.00,9.00,2.00,5.00,3.00,215,NULL,233,'MARIA IZABEL','MARÍLIA','SP',10551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023665,5.00,6.00,3.00,6.00,7.00,8.63,3.00,5.00,2.00,109,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023673,3.00,0.00,1.00,4.00,6.00,NULL,0.00,0.00,0.00,207,NULL,201,'BREJARU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6023681,3.00,5.00,3.00,7.00,4.00,8.25,3.00,3.00,5.00,601,NULL,203,'KOBRASOL','S JOSÉ','SC',10343,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023690,7.00,8.00,3.00,5.00,9.00,6.75,4.00,5.00,7.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',2482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023720,3.00,2.00,0.00,3.00,2.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023746,3.00,5.00,1.00,1.00,5.00,8.25,2.00,1.00,4.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',17510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023754,4.00,7.00,6.00,7.00,8.00,9.00,3.00,7.00,5.00,340,NULL,NULL,'CENTRO','CANOINHAS','SC',2742,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6023762,3.00,6.00,0.00,4.00,6.00,8.63,0.00,1.00,3.00,999,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6023770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6023789,2.00,1.00,0.00,3.00,6.00,NULL,2.00,4.00,1.00,999,NULL,NULL,'SAO LUIZ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6023819,6.00,4.00,1.00,6.00,7.00,6.38,2.00,3.00,6.00,233,NULL,213,'COQUEIROS','FLORIANÓPOLIS','SC',8816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023827,7.00,5.00,1.00,6.00,6.00,9.75,1.00,5.00,5.00,303,NULL,NULL,'VILA AMÁLIA','S PAULO','SP',7467,354,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023843,6.00,4.00,3.00,5.00,6.00,8.25,3.00,4.00,3.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',10481,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6023851,5.00,7.00,3.00,7.00,8.00,8.63,0.00,2.00,5.00,207,NULL,201,'PRIMEIRO DE MAIO','BRUSQUE','SC',6593,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6023860,5.00,4.00,0.00,3.00,6.00,10.88,1.00,1.00,1.00,103,NULL,NULL,'CENTRO','RIO FORTUNA','SC',17533,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6023878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'DOS CASAS','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6023886,4.00,4.00,3.00,2.00,6.00,5.25,2.00,1.00,3.00,201,NULL,NULL,'ZANELLATO','S JOSÉ','SC',20162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023894,6.00,5.00,3.00,6.00,4.00,7.13,2.00,4.00,4.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13416,4054,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023908,6.00,7.00,2.00,3.00,8.00,9.38,2.00,6.00,4.00,415,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',9432,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TARUMÃ','VIAMÃO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6023932,3.00,5.00,2.00,7.00,7.00,9.00,1.00,5.00,3.00,214,NULL,213,'MOEMA','S PAULO','SP',8759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023940,6.00,7.00,3.00,5.00,10.00,8.25,1.00,6.00,3.00,331,NULL,NULL,'CERQUEIRA CÉSAR','S PAULO','SP',7688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6023959,1.00,4.00,1.00,3.00,6.00,6.75,3.00,3.00,3.00,203,NULL,214,'CEBTRO','URUGUAIANA','RS',16336,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6023983,2.00,3.00,2.00,2.00,3.00,7.88,1.00,2.00,1.00,201,NULL,211,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6023991,5.00,7.00,3.00,6.00,7.00,10.13,4.00,7.00,6.00,5,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',4354,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6024009,7.00,8.00,4.00,7.00,10.00,9.75,1.00,8.00,7.00,3,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',2436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024017,5.00,5.00,4.00,4.00,5.00,7.88,3.00,4.00,2.00,652,NULL,655,'N SENHORA DE FÁTIMA','IÇARA','SC',14045,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6024025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',5,8),(25,6024033,4.00,5.00,3.00,5.00,7.00,7.50,2.00,5.00,4.00,104,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024041,2.00,3.00,1.00,6.00,6.00,9.00,1.00,4.00,2.00,104,NULL,NULL,'AMÉRICA','JOINVILLE','SC',14472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024050,3.00,5.00,1.00,4.00,5.00,6.38,2.00,2.00,4.00,404,NULL,NULL,'CRISTO REI','CHAPECÓ','SC',16284,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6024076,2.00,4.00,0.00,1.00,6.00,NULL,0.00,3.00,2.00,302,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024084,1.00,3.00,2.00,2.00,5.00,5.25,1.00,0.00,2.00,601,NULL,202,'PROFIPO','JOINVILLE','SC',21593,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6024106,6.00,6.00,7.00,7.00,11.00,12.38,7.00,8.00,7.00,216,NULL,202,'CENTRO','BAL CAMBORIÚ','SC',258,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6024122,6.00,6.00,5.00,4.00,7.00,9.75,4.00,8.00,8.00,201,NULL,212,'METALURGICOS','OSASCO','SP',1942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024130,6.00,8.00,0.00,7.00,6.00,NULL,1.00,7.00,6.00,103,NULL,NULL,'SANTO AMARO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6024149,3.00,6.00,2.00,4.00,6.00,9.75,3.00,4.00,5.00,216,NULL,211,'CENTRO','BAL CAMBORIÚ','SC',12008,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6024157,3.00,2.00,2.00,4.00,7.00,7.13,1.00,4.00,3.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024173,3.00,6.00,3.00,2.00,7.00,7.50,0.00,3.00,2.00,238,NULL,208,'ALTO CAPIVARI','S BONIFÁCIO','SC',17675,415,NULL,444,NULL,NULL,NULL,2,1),(25,6024181,4.00,6.00,4.00,2.00,4.00,8.25,1.00,5.00,4.00,201,NULL,207,'KOBRASOL','S JOSÉ','SC',12238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024190,3.00,6.00,6.00,5.00,9.00,10.88,3.00,6.00,4.00,9,NULL,NULL,'ALTO BIGUAÇU','BIGUAÇU','SC',4549,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6024203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,211,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6024220,2.00,4.00,1.00,2.00,6.00,7.13,3.00,3.00,2.00,303,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',20024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024238,2.00,0.00,1.00,3.00,3.00,NULL,2.00,0.00,1.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6024254,7.00,6.00,5.00,7.00,10.00,11.25,5.00,7.00,7.00,203,NULL,201,'JUPITER','FRANCISCO BELTRÃO','PR',710,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6024262,3.00,6.00,3.00,5.00,5.00,8.63,3.00,5.00,3.00,238,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024270,9.00,6.00,8.00,7.00,10.00,10.88,7.00,9.00,8.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',51,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024289,9.00,6.00,7.00,6.00,9.00,8.25,4.00,8.00,9.00,304,NULL,NULL,'VILA NOVA','COLATINA','ES',304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024297,4.00,7.00,3.00,6.00,9.00,6.38,3.00,2.00,3.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',11014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024300,5.00,8.00,5.00,5.00,8.00,6.00,5.00,6.00,5.00,213,NULL,601,'ESTREITO','FLORIANÓPOLIS','SC',4364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024319,3.00,4.00,0.00,3.00,6.00,8.25,0.00,4.00,4.00,304,NULL,NULL,'BOSQUE DOS EUCALÍPTO','S JOSÉ CAMPOS','SP',15901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024327,5.00,5.00,3.00,5.00,9.00,7.50,4.00,6.00,4.00,216,NULL,233,'IMIGRANTES','CONCÓRDIA','SC',6769,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6024335,2.00,6.00,3.00,6.00,7.00,9.38,0.00,3.00,2.00,211,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',15812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024351,2.00,1.00,2.00,3.00,3.00,7.13,0.00,2.00,1.00,404,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',21067,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6024360,1.00,4.00,1.00,4.00,6.00,7.88,2.00,1.00,1.00,233,NULL,213,'CENTRO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6024378,4.00,7.00,1.00,4.00,5.00,NULL,0.00,5.00,3.00,207,NULL,201,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6024386,2.00,3.00,2.00,2.00,8.00,9.75,2.00,5.00,4.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',12335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024394,5.00,8.00,8.00,7.00,10.00,9.00,5.00,9.00,8.00,103,NULL,NULL,'JUVEVE','CURITIBA','PR',387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024408,5.00,4.00,4.00,4.00,7.00,10.50,2.00,5.00,3.00,340,NULL,NULL,'REBOUÇAS','CURITIBA','PR',9982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024416,4.00,5.00,0.00,6.00,6.00,NULL,1.00,5.00,1.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6024432,3.00,2.00,1.00,2.00,2.00,NULL,2.00,0.00,0.00,551,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6024440,7.00,6.00,3.00,6.00,9.00,8.63,1.00,6.00,7.00,214,NULL,203,'VILA ROSALIA','LIMEIRA','SP',3196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024459,6.00,5.00,4.00,5.00,7.00,9.75,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024467,8.00,6.00,3.00,2.00,9.00,10.13,3.00,5.00,7.00,103,NULL,NULL,'SANTA CRUZ','CASCAVEL','PR',2870,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6024475,6.00,6.00,5.00,4.00,9.00,9.00,2.00,6.00,5.00,201,NULL,211,'PICADAS DO SUL','S JOSÉ','SC',4933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024483,2.00,6.00,2.00,2.00,3.00,7.88,2.00,5.00,4.00,234,NULL,NULL,'PARQUE DAS ARVORES','ARARAS','SP',15649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6024491,3.00,6.00,1.00,5.00,2.00,NULL,1.00,4.00,3.00,654,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6024505,8.00,8.00,6.00,6.00,9.00,10.50,3.00,8.00,8.00,216,NULL,212,'COLONINHA','ARARANGUÁ','SC',398,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6024513,4.00,4.00,2.00,4.00,9.00,8.25,0.00,0.00,3.00,202,NULL,203,'CENTRO','ERECHIM','RS',14884,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6024521,4.00,5.00,2.00,6.00,8.00,11.63,1.00,5.00,4.00,104,NULL,NULL,'GUIOMAR','ANTÔNIO CARLOS','SC',7806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024548,4.00,6.00,1.00,1.00,6.00,7.13,2.00,3.00,2.00,225,NULL,NULL,'STO ANTONIO DE PADUA','TUBARÃO','SC',18975,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6024556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6024564,5.00,4.00,3.00,2.00,9.00,7.88,3.00,3.00,6.00,220,NULL,653,'MONTE CASTELO','CPO GRANDE','MS',7952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024572,8.00,7.00,3.00,6.00,8.00,9.00,4.00,6.00,7.00,214,NULL,212,'PORTÃO','CURITIBA','PR',2438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024580,4.00,4.00,2.00,7.00,8.00,10.88,3.00,1.00,1.00,999,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6024599,7.00,7.00,4.00,3.00,9.00,9.75,3.00,6.00,4.00,207,NULL,NULL,'SETOR MORADA DO SOL','RIO VERDE','GO',4734,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6024602,5.00,5.00,2.00,4.00,8.00,8.25,1.00,2.00,3.00,216,NULL,211,'BATEL','CURITIBA','PR',11770,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6024610,6.00,5.00,1.00,4.00,8.00,7.50,1.00,3.00,5.00,319,NULL,NULL,'CAJURU','CURITIBA','PR',11927,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6024629,8.00,5.00,3.00,5.00,9.00,9.38,2.00,6.00,7.00,104,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4203,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6024637,6.00,6.00,2.00,6.00,9.00,9.00,0.00,7.00,7.00,303,NULL,NULL,'CHAC SANTO ANTONIO','S PAULO','SP',5168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024645,5.00,5.00,1.00,5.00,7.00,NULL,3.00,0.00,3.00,103,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6024653,2.00,3.00,3.00,6.00,8.00,13.50,1.00,2.00,3.00,429,NULL,428,'ABRAÃO','FLORIANÓPOLIS','SC',12550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6024670,4.00,5.00,1.00,7.00,7.00,9.75,2.00,1.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024688,4.00,7.00,2.00,4.00,4.00,7.88,2.00,3.00,2.00,207,NULL,208,'CENTRO','TUBARÃO','SC',12838,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6024696,6.00,6.00,3.00,6.00,9.00,11.25,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024726,4.00,6.00,2.00,5.00,8.00,9.00,3.00,3.00,4.00,316,NULL,NULL,'VILA MARIANA','S PAULO','SP',7248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CAMARGOS','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6024742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'JARDIM PIRATININGA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6024750,9.00,8.00,9.00,7.00,10.00,11.63,7.00,8.00,9.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',1,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024777,3.00,2.00,0.00,4.00,4.00,8.25,2.00,4.00,2.00,104,NULL,NULL,'CENTRO','TELÊMACO BORBA','PR',17123,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6024793,5.00,6.00,0.00,4.00,8.00,7.88,2.00,5.00,2.00,652,NULL,655,'ITAPEVA','TORRES','RS',11816,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6024807,4.00,5.00,0.00,5.00,5.00,NULL,2.00,1.00,3.00,340,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM LUCEMAR','BARRA BONITA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6024831,6.00,7.00,4.00,5.00,9.00,NULL,0.00,5.00,3.00,235,NULL,653,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6024858,7.00,5.00,7.00,5.00,7.00,6.75,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',3783,2010,NULL,NULL,NULL,NULL,NULL,4,6),(25,6024866,3.00,5.00,2.00,1.00,6.00,NULL,1.00,3.00,2.00,324,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6024874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6024882,4.00,3.00,4.00,3.00,3.00,6.75,2.00,0.00,3.00,302,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',18752,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6024890,5.00,7.00,4.00,6.00,6.00,7.50,2.00,5.00,6.00,3,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024904,3.00,5.00,2.00,6.00,8.00,9.38,2.00,4.00,2.00,101,NULL,NULL,'CENTRO','JOAÇABA','SC',10121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024912,4.00,7.00,2.00,6.00,7.00,8.25,3.00,7.00,1.00,238,NULL,652,'PANTANAL','FLORIANÓPOLIS','SC',10243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6024939,3.00,2.00,1.00,3.00,8.00,7.50,1.00,1.00,0.00,109,NULL,NULL,'SETE DE SETEMBRO','GASPAR','SC',20660,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6024963,4.00,6.00,1.00,6.00,2.00,NULL,0.00,2.00,4.00,999,NULL,NULL,'CENTENÁRIO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6024980,5.00,6.00,3.00,4.00,8.00,8.25,1.00,6.00,3.00,201,NULL,203,'CAPILÉ','NOVA ANDRADINA','MS',7922,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6024998,5.00,8.00,2.00,7.00,7.00,9.00,2.00,5.00,6.00,216,NULL,201,'BARREIROS','S JOSÉ','SC',6867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025005,2.00,2.00,3.00,6.00,7.00,4.50,0.00,5.00,3.00,301,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',14740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025013,7.00,7.00,3.00,7.00,9.00,6.75,5.00,8.00,7.00,340,NULL,NULL,'MORADAS DO JATAY','CAÇAPAVA','SP',1646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025021,8.00,6.00,5.00,7.00,10.00,10.88,8.00,7.00,8.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025030,5.00,5.00,4.00,7.00,8.00,8.63,3.00,7.00,6.00,220,NULL,203,'CENTURY PARK','CIANORTE','PR',4029,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6025048,4.00,4.00,0.00,4.00,8.00,7.13,2.00,3.00,3.00,104,NULL,NULL,'CARAVAGGIO','NOVA VENEZA','SC',13760,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6025056,4.00,6.00,5.00,7.00,9.00,6.75,2.00,6.00,2.00,415,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',8110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6025072,6.00,7.00,3.00,5.00,8.00,10.88,3.00,8.00,5.00,340,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',4202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025080,2.00,6.00,3.00,3.00,7.00,5.25,1.00,3.00,0.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025099,0.00,4.00,2.00,4.00,4.00,8.25,0.00,5.00,2.00,450,NULL,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',20019,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6025102,5.00,7.00,3.00,6.00,6.00,9.38,0.00,5.00,3.00,216,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',8822,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6025129,3.00,7.00,2.00,4.00,7.00,10.13,2.00,4.00,4.00,207,NULL,201,'DOM BOSCO','ITAJAÍ','SC',8352,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6025145,7.00,7.00,3.00,4.00,8.00,9.75,2.00,7.00,4.00,340,NULL,NULL,'ARMAÇÃO P DO SUL','FLORIANÓPOLIS','SC',6973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025153,8.00,8.00,5.00,5.00,7.00,10.88,3.00,8.00,5.00,303,NULL,NULL,'VELHA','BLUMENAU','SC',1561,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6025161,4.00,4.00,2.00,5.00,8.00,NULL,4.00,4.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025170,3.00,4.00,4.00,7.00,7.00,10.50,1.00,4.00,0.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6025188,3.00,6.00,3.00,5.00,7.00,10.88,2.00,7.00,4.00,340,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',7122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025196,6.00,4.00,2.00,4.00,10.00,NULL,0.00,2.00,6.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6025200,4.00,3.00,2.00,3.00,5.00,10.13,2.00,1.00,1.00,109,NULL,NULL,'BARREIROS','S JOSÉ','SC',19085,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6025218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6025226,1.00,2.00,0.00,1.00,7.00,7.13,1.00,1.00,1.00,223,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',21667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025234,4.00,5.00,1.00,2.00,3.00,7.13,0.00,2.00,0.00,104,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',19485,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6025242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6025269,2.00,4.00,1.00,2.00,6.00,8.63,2.00,6.00,3.00,326,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',16955,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6025277,4.00,4.00,5.00,5.00,9.00,11.63,1.00,4.00,1.00,223,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11949,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6025285,4.00,0.00,4.00,6.00,10.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6025293,4.00,6.00,3.00,6.00,8.00,7.88,3.00,5.00,6.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025307,6.00,7.00,4.00,7.00,9.00,12.00,3.00,8.00,7.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',1615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025315,3.00,4.00,1.00,3.00,4.00,7.50,2.00,4.00,1.00,220,NULL,235,'AREIAS','S JOSÉ','SC',20088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025323,6.00,8.00,6.00,6.00,8.00,10.13,4.00,8.00,5.00,201,NULL,202,'CORREGO GRANDE','FLORIANÓPOLIS','SC',1594,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6025331,4.00,5.00,3.00,5.00,8.00,9.75,1.00,4.00,2.00,103,NULL,NULL,'JARDIM SEMINÁRIO','FRANCISCO BELTRÃO','PR',10177,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6025340,5.00,7.00,2.00,3.00,5.00,7.50,2.00,3.00,3.00,319,NULL,NULL,'VALPARAISO','BLUMENAU','SC',15797,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6025358,1.00,7.00,1.00,7.00,7.00,9.38,2.00,2.00,3.00,208,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6025366,5.00,7.00,3.00,6.00,6.00,10.88,2.00,3.00,4.00,203,NULL,202,'LOTE SEIS','CRICIÚMA','SC',8953,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6025382,1.00,2.00,2.00,3.00,6.00,7.88,2.00,3.00,1.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'VISTA ALEGRE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6025412,3.00,5.00,1.00,3.00,5.00,9.75,3.00,4.00,4.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',13359,233,NULL,265,NULL,NULL,NULL,2,1),(25,6025420,5.00,4.00,1.00,5.00,5.00,7.88,2.00,4.00,3.00,333,NULL,NULL,'JARDIM AEROPORTO','S PAULO','SP',12211,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6025447,7.00,4.00,1.00,6.00,9.00,10.50,2.00,4.00,4.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',7230,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6025455,6.00,4.00,4.00,5.00,9.00,7.88,0.00,1.00,3.00,103,NULL,NULL,'CENTRO','CRUZ ALTA','RS',11626,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6025463,3.00,4.00,2.00,4.00,6.00,9.00,1.00,2.00,2.00,502,NULL,NULL,'SAO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6025498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CONJUNTO DAS FLORES','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6025501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'JOÃO COSTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6025510,3.00,7.00,1.00,3.00,6.00,7.88,2.00,7.00,5.00,212,NULL,213,'SUDOESTE','CRUZEIRO','DF',8194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025528,3.00,6.00,3.00,6.00,7.00,6.00,2.00,5.00,2.00,333,NULL,NULL,'JARDIM DAS BANDEIRAS','S PAULO','SP',13644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6025536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD OURO VERDE','OURINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6025544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,208,'GANCHOS DE FORA','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6025560,6.00,7.00,4.00,5.00,7.00,8.25,2.00,6.00,6.00,201,NULL,212,'LA SALLE','XANXERÊ','SC',5001,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6025579,5.00,8.00,2.00,6.00,9.00,8.25,2.00,7.00,3.00,340,NULL,NULL,'CAMPO BELO','LIMEIRA','SP',5131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025587,5.00,5.00,2.00,5.00,8.00,9.38,2.00,3.00,3.00,601,NULL,NULL,'JARDIM ALEXANDER','RIO SUL','SC',12905,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6025595,6.00,6.00,1.00,5.00,7.00,7.50,1.00,4.00,2.00,336,NULL,NULL,'FORTALEZA','BLUMENAU','SC',10845,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6025609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6025617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'OESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6025625,5.00,5.00,3.00,6.00,9.00,10.50,5.00,4.00,7.00,653,NULL,233,'TESTO CENTRAL','POMERODE','SC',3732,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6025641,7.00,7.00,6.00,7.00,10.00,9.75,4.00,6.00,6.00,233,NULL,213,'CENTRO','ANTÔNIO CARLOS','SC',920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025676,5.00,4.00,5.00,5.00,7.00,9.75,4.00,3.00,5.00,207,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',6641,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6025684,6.00,7.00,2.00,6.00,8.00,10.50,3.00,3.00,4.00,340,NULL,NULL,'JARDIM BRASIL','CAMPINAS','SP',7947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025692,3.00,3.00,1.00,3.00,9.00,8.25,2.00,2.00,1.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025706,6.00,3.00,4.00,5.00,5.00,7.50,2.00,3.00,3.00,203,NULL,235,'CHACARA DAS ROSAS','JACUPIRANGA','SP',11384,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6025722,9.00,5.00,4.00,5.00,8.00,9.38,5.00,5.00,8.00,103,NULL,NULL,'LINHO','ERECHIM','RS',1483,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6025749,3.00,6.00,1.00,5.00,8.00,6.75,1.00,6.00,4.00,450,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025757,3.00,0.00,0.00,7.00,7.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6025765,6.00,8.00,5.00,5.00,8.00,9.38,3.00,1.00,5.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',6271,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6025773,5.00,5.00,1.00,4.00,5.00,6.75,3.00,4.00,3.00,304,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',11831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6025781,1.00,3.00,1.00,0.00,7.00,NULL,1.00,0.00,0.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025790,7.00,5.00,7.00,7.00,7.00,10.13,5.00,6.00,9.00,601,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',1351,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6025803,4.00,4.00,2.00,2.00,7.00,8.63,2.00,4.00,2.00,202,NULL,220,'VILA DE FURNAS','MINAÇU','GO',12556,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6025811,4.00,7.00,3.00,4.00,3.00,9.38,0.00,1.00,3.00,207,NULL,201,'CENTRO','TUBARÃO','SC',17548,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6025820,3.00,3.00,2.00,2.00,5.00,NULL,0.00,3.00,2.00,110,NULL,NULL,'JD NOVO OASIS','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6025838,3.00,3.00,3.00,6.00,5.00,8.25,2.00,2.00,3.00,203,NULL,208,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',13580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025846,8.00,8.00,7.00,5.00,10.00,10.88,7.00,8.00,8.00,103,NULL,NULL,'SANTA CECÍLIA','S PAULO','SP',65,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025862,3.00,4.00,2.00,5.00,7.00,8.63,3.00,2.00,3.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025870,5.00,8.00,2.00,6.00,9.00,8.25,2.00,7.00,5.00,238,NULL,208,'CENTRO','STO AMARO IMPERATRIZ','SC',5845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6025889,4.00,3.00,1.00,5.00,7.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025897,7.00,4.00,3.00,3.00,7.00,10.88,4.00,7.00,8.00,104,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',5186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025900,1.00,3.00,2.00,4.00,6.00,7.88,2.00,0.00,3.00,303,NULL,NULL,'ARIRIBÁ','BAL CAMBORIÚ','SC',18705,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6025919,7.00,6.00,5.00,4.00,10.00,8.63,1.00,4.00,6.00,215,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',4280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025927,6.00,4.00,3.00,4.00,8.00,6.75,1.00,2.00,5.00,103,NULL,NULL,'BORTOLUZZI','NOVA VENEZA','SC',9018,3386,NULL,NULL,NULL,NULL,NULL,2,5),(25,6025935,7.00,7.00,2.00,6.00,9.00,9.00,2.00,7.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025951,7.00,6.00,2.00,6.00,6.00,7.50,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','S JORGE D OESTE','PR',6668,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6025960,2.00,3.00,3.00,4.00,5.00,6.75,2.00,4.00,3.00,102,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',15990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025978,6.00,5.00,4.00,3.00,6.00,9.00,4.00,4.00,4.00,215,NULL,233,'CENTRO','MAFRA','SC',9283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6025994,3.00,3.00,2.00,3.00,4.00,7.13,3.00,2.00,5.00,202,NULL,235,'BALNEARIO','FLORIANÓPOLIS','SC',18832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026001,8.00,7.00,6.00,5.00,10.00,8.25,3.00,7.00,8.00,216,NULL,201,'CENTRO','STO AMARO IMPERATRIZ','SC',1226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026010,4.00,5.00,2.00,6.00,8.00,6.75,2.00,0.00,4.00,303,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',12525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026028,7.00,7.00,4.00,7.00,5.00,9.00,1.00,6.00,2.00,207,NULL,233,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',7314,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6026036,7.00,8.00,7.00,6.00,8.00,9.00,5.00,7.00,7.00,201,NULL,203,'COSTA E SILVA','JOINVILLE','SC',755,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6026044,0.00,3.00,2.00,2.00,6.00,NULL,1.00,0.00,1.00,999,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(25,6026052,8.00,8.00,6.00,5.00,8.00,12.00,2.00,7.00,7.00,103,NULL,NULL,'MEDIANEIRA','STA MARIA','RS',1178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026060,3.00,5.00,3.00,4.00,5.00,6.38,2.00,5.00,3.00,207,NULL,208,'KOBRASOL','S JOSÉ','SC',13356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026079,4.00,4.00,4.00,6.00,7.00,6.75,3.00,5.00,2.00,201,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',13311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026087,4.00,4.00,2.00,5.00,5.00,8.25,3.00,1.00,3.00,339,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',16609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026095,2.00,4.00,3.00,4.00,6.00,8.25,0.00,4.00,4.00,216,NULL,215,'SANTA BÁRBARA','CRICIÚMA','SC',16627,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6026109,7.00,7.00,5.00,7.00,9.00,12.75,3.00,8.00,6.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1462,946,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6026133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PROFIPO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6026141,7.00,8.00,3.00,5.00,6.00,8.25,3.00,4.00,9.00,103,NULL,NULL,'PRIMO TACCA','XANXERÊ','SC',4398,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6026168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6026176,4.00,3.00,1.00,3.00,1.00,NULL,2.00,1.00,1.00,425,NULL,421,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026184,7.00,7.00,0.00,6.00,7.00,6.75,2.00,6.00,6.00,103,NULL,NULL,'VALE DO SOL','COLORADO','PR',7119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026192,6.00,4.00,2.00,6.00,7.00,7.88,2.00,1.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026206,5.00,7.00,4.00,5.00,7.00,10.88,1.00,5.00,3.00,104,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',7006,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026214,5.00,7.00,0.00,4.00,5.00,10.13,3.00,5.00,2.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026230,2.00,5.00,1.00,5.00,6.00,6.00,2.00,1.00,2.00,101,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',17301,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026257,3.00,2.00,1.00,3.00,3.00,4.88,2.00,1.00,1.00,202,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6026265,4.00,5.00,2.00,1.00,5.00,7.50,1.00,3.00,0.00,999,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026273,4.00,6.00,1.00,6.00,11.00,11.25,3.00,8.00,5.00,415,NULL,NULL,'CENTRO','BEBEDOURO','SP',4235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026311,4.00,4.00,0.00,5.00,3.00,NULL,2.00,4.00,1.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026320,7.00,6.00,3.00,7.00,9.00,9.75,1.00,9.00,7.00,103,NULL,NULL,'BOA VISTA','RIO SUL','SC',1466,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6026346,7.00,6.00,7.00,6.00,9.00,10.50,5.00,7.00,7.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026354,5.00,7.00,2.00,5.00,7.00,9.00,1.00,7.00,4.00,5,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',7551,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026362,3.00,6.00,0.00,4.00,5.00,9.00,1.00,5.00,3.00,238,NULL,655,'RIO JORDÃO ALTO','SIDERÓPOLIS','SC',15611,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6026370,5.00,5.00,3.00,3.00,7.00,7.50,3.00,5.00,4.00,224,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',9425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026389,6.00,6.00,0.00,7.00,8.00,9.38,1.00,5.00,3.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9744,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026400,6.00,6.00,1.00,5.00,6.00,9.38,0.00,1.00,4.00,103,NULL,NULL,'NITERÓI','NITERÓI','RJ',9270,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026419,6.00,7.00,6.00,6.00,7.00,10.88,3.00,7.00,7.00,207,NULL,201,'MARAPÉ','SANTOS','SP',1832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026427,4.00,5.00,3.00,5.00,7.00,7.88,1.00,5.00,2.00,201,NULL,207,'COQUEIROS','FLORIANÓPOLIS','SC',10717,886,NULL,543,NULL,NULL,NULL,4,1),(25,6026435,5.00,2.00,3.00,3.00,4.00,7.13,1.00,3.00,5.00,9,NULL,NULL,'VELHA','BLUMENAU','SC',15875,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6026478,2.00,3.00,4.00,3.00,5.00,7.88,2.00,2.00,3.00,654,NULL,NULL,'ARIRIU','PALHOÇA','SC',19400,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026486,0.00,3.00,3.00,0.00,8.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'PARADA INGLESA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026494,7.00,6.00,3.00,4.00,10.00,7.13,2.00,8.00,5.00,103,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',5690,2624,NULL,NULL,NULL,NULL,NULL,4,16),(25,6026508,6.00,5.00,3.00,5.00,8.00,12.38,1.00,4.00,5.00,103,NULL,NULL,'MIRANDÓPOLIS','S PAULO','SP',6510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026516,3.00,5.00,2.00,2.00,8.00,8.25,0.00,7.00,3.00,303,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',11705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026524,3.00,2.00,0.00,2.00,3.00,8.25,1.00,2.00,1.00,201,NULL,212,'BATEL','CURITIBA','PR',19922,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6026532,5.00,5.00,4.00,5.00,7.00,8.25,1.00,6.00,5.00,203,NULL,235,'CHACARA DAS ROSAS','JACUPIRANGA','SP',6359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026540,4.00,6.00,6.00,7.00,9.00,12.38,3.00,5.00,6.00,415,NULL,NULL,'JARDIM CHAPADÃO','CAMPINAS','SP',2643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026559,9.00,4.00,2.00,5.00,9.00,8.63,4.00,5.00,6.00,103,NULL,NULL,'JARDIM PALERMO','S BERNARDO CAMPO','SP',2907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026567,3.00,4.00,3.00,2.00,2.00,NULL,0.00,6.00,2.00,453,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6026591,3.00,5.00,1.00,3.00,5.00,6.38,3.00,2.00,2.00,317,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',19577,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026605,6.00,7.00,5.00,7.00,7.00,8.63,4.00,6.00,7.00,220,NULL,601,'EMBARÉ','SANTOS','SP',1719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026613,5.00,7.00,1.00,6.00,6.00,10.50,0.00,5.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026621,2.00,5.00,3.00,3.00,5.00,7.88,1.00,1.00,3.00,203,NULL,201,'JD CLÁUDIA','LONDRINA','PR',15569,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026630,8.00,7.00,7.00,7.00,5.00,8.63,6.00,6.00,9.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026648,3.00,4.00,1.00,2.00,5.00,6.75,2.00,4.00,3.00,212,NULL,214,'CENTRO','CURITIBA','PR',20086,563,NULL,432,NULL,NULL,NULL,4,8),(25,6026656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6026680,4.00,6.00,2.00,6.00,6.00,10.13,1.00,2.00,2.00,208,NULL,235,'SANTINHO','FLORIANÓPOLIS','SC',12739,241,NULL,298,NULL,NULL,NULL,4,1),(25,6026699,4.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,2.00,201,NULL,215,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026702,6.00,4.00,3.00,7.00,7.00,9.00,0.00,4.00,1.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026710,3.00,6.00,1.00,4.00,6.00,9.75,2.00,4.00,0.00,207,NULL,601,'AMÉRICA','JOINVILLE','SC',14036,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6026737,6.00,3.00,2.00,6.00,10.00,6.00,2.00,6.00,7.00,303,NULL,NULL,'ALPHAVILLE CAMPINAS','CAMPINAS','SP',6045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026753,8.00,5.00,5.00,5.00,7.00,7.50,4.00,6.00,9.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',2987,1696,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026761,2.00,5.00,4.00,5.00,4.00,7.50,1.00,3.00,3.00,103,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6026770,3.00,4.00,1.00,3.00,2.00,NULL,1.00,1.00,0.00,324,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026788,2.00,2.00,0.00,3.00,3.00,7.50,2.00,0.00,2.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',20456,4717,NULL,NULL,NULL,NULL,NULL,2,9),(25,6026796,7.00,7.00,4.00,7.00,9.00,7.50,6.00,5.00,6.00,201,NULL,212,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',1763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026826,2.00,6.00,2.00,3.00,2.00,NULL,0.00,4.00,1.00,233,NULL,203,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026834,6.00,7.00,5.00,6.00,9.00,8.63,4.00,4.00,6.00,203,NULL,601,'CENTRO','S BENTO SUL','SC',4792,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6026842,3.00,2.00,2.00,4.00,2.00,NULL,2.00,1.00,0.00,103,NULL,NULL,'MEDIANEIRA','PANAMBI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6026850,6.00,7.00,5.00,6.00,8.00,9.00,0.00,7.00,7.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3976,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026869,2.00,2.00,0.00,3.00,5.00,6.75,1.00,2.00,0.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',20432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026877,6.00,7.00,4.00,7.00,8.00,10.50,2.00,7.00,6.00,103,NULL,NULL,'BOSQUE DAS MANSOES','S JOSÉ','SC',3967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026885,9.00,7.00,5.00,7.00,10.00,10.13,4.00,8.00,9.00,340,NULL,NULL,'JARDINS','ARACAJU','SE',551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026907,5.00,4.00,3.00,4.00,6.00,4.50,0.00,4.00,5.00,3,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026915,3.00,6.00,1.00,5.00,6.00,9.00,1.00,3.00,1.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13453,4061,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026923,7.00,8.00,5.00,6.00,8.00,9.75,3.00,5.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026940,3.00,2.00,0.00,3.00,3.00,NULL,0.00,0.00,2.00,103,NULL,NULL,'SÃO FRANSISCO','ASCURRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6026958,4.00,5.00,5.00,7.00,9.00,10.50,1.00,2.00,3.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',7914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026966,5.00,5.00,1.00,4.00,7.00,3.75,4.00,4.00,5.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6026982,3.00,4.00,1.00,2.00,5.00,11.25,2.00,3.00,1.00,212,NULL,233,'VILA NOVA','ARAÇARIGUAMA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6026990,4.00,3.00,2.00,4.00,5.00,NULL,0.00,1.00,4.00,101,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6027008,5.00,4.00,2.00,0.00,5.00,6.38,1.00,4.00,2.00,420,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027016,4.00,4.00,2.00,6.00,8.00,6.38,2.00,4.00,2.00,340,NULL,NULL,'MINA DO MATO','CRICIÚMA','SC',15664,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6027032,9.00,8.00,4.00,7.00,9.00,12.00,3.00,5.00,8.00,108,NULL,NULL,'JARDINS','ARACAJU','SE',816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027040,3.00,3.00,1.00,4.00,2.00,NULL,3.00,0.00,1.00,423,NULL,426,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6027059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'QUINTA DA ALVORADA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6027067,8.00,7.00,9.00,7.00,9.00,12.00,6.00,9.00,9.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',44,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027075,6.00,4.00,7.00,4.00,6.00,7.50,4.00,4.00,7.00,203,NULL,201,'KENNEDY','FRANCISCO BELTRÃO','PR',4604,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6027083,4.00,4.00,1.00,2.00,5.00,7.50,0.00,1.00,2.00,319,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',19185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027105,5.00,5.00,3.00,3.00,8.00,8.63,2.00,5.00,4.00,201,NULL,203,'CENTRO','SARANDI','RS',8800,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6027113,9.00,6.00,7.00,7.00,8.00,7.50,6.00,7.00,8.00,202,NULL,235,'ATALAIA','ARACAJU','SE',762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027121,4.00,5.00,2.00,5.00,8.00,6.75,2.00,5.00,3.00,102,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',14109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027130,5.00,6.00,2.00,4.00,7.00,9.75,3.00,6.00,5.00,109,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',9794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6027156,4.00,4.00,5.00,6.00,7.00,8.63,0.00,2.00,5.00,235,NULL,202,'MEIA PRAIA','ITAPEMA','SC',10117,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6027164,5.00,7.00,3.00,6.00,9.00,10.13,2.00,6.00,3.00,415,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',5306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,652,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6027180,1.00,3.00,4.00,6.00,6.00,10.50,1.00,2.00,3.00,201,NULL,207,'TRINDADE','FLORIANÓPOLIS','SC',14508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027199,4.00,5.00,2.00,4.00,6.00,8.63,3.00,4.00,3.00,110,NULL,NULL,'PAULISTA','PIRACICABA','SP',14771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027202,3.00,2.00,1.00,2.00,4.00,8.25,1.00,2.00,4.00,420,NULL,NULL,'JD CIDADE FPOLIS','S JOSÉ','SC',20032,188,NULL,NULL,NULL,NULL,NULL,2,1),(25,6027210,4.00,5.00,3.00,5.00,7.00,8.63,2.00,2.00,6.00,203,NULL,NULL,'CENTRO','PNT GROSSA','PR',9285,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6027229,4.00,8.00,2.00,7.00,6.00,8.63,1.00,4.00,4.00,3,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',8214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027237,3.00,6.00,2.00,2.00,7.00,8.25,0.00,2.00,4.00,103,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',18504,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6027245,5.00,4.00,2.00,1.00,4.00,8.63,1.00,1.00,3.00,9,NULL,NULL,'ATIRADORES','JOINVILLE','SC',16685,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6027253,5.00,3.00,1.00,6.00,6.00,7.50,3.00,1.00,3.00,501,NULL,NULL,'CRISTO REI','CURITIBA','PR',14284,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6027261,6.00,6.00,6.00,6.00,8.00,10.88,1.00,7.00,8.00,415,NULL,NULL,'UBERABA','CURITIBA','PR',2167,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6027270,7.00,9.00,3.00,7.00,10.00,12.00,7.00,7.00,9.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027288,6.00,4.00,4.00,5.00,5.00,6.00,2.00,2.00,3.00,109,NULL,NULL,'RAICHASKI','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6027296,3.00,6.00,1.00,3.00,7.00,9.38,1.00,2.00,3.00,303,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',13570,627,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027300,6.00,7.00,6.00,6.00,7.00,8.25,3.00,7.00,8.00,201,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',2435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027318,3.00,5.00,0.00,1.00,8.00,NULL,1.00,4.00,2.00,415,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027326,4.00,7.00,1.00,7.00,6.00,9.75,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027334,8.00,8.00,9.00,8.00,9.00,8.25,6.00,8.00,8.00,2,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',119,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6027342,2.00,3.00,1.00,2.00,5.00,6.75,0.00,1.00,2.00,415,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',19388,311,NULL,NULL,NULL,NULL,NULL,2,1),(25,6027377,2.00,2.00,4.00,2.00,2.00,NULL,1.00,4.00,0.00,211,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6027385,2.00,0.00,2.00,5.00,6.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6027393,4.00,6.00,4.00,7.00,8.00,7.13,3.00,5.00,2.00,426,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',11118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027407,4.00,4.00,1.00,3.00,5.00,6.75,0.00,4.00,2.00,501,NULL,NULL,'JARDIM MINUANO','S JOAQUIM','SC',17793,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6027415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DOS MUNICÍPIOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6027423,4.00,5.00,1.00,5.00,7.00,8.25,2.00,3.00,3.00,214,NULL,203,'UBERABA','CURITIBA','PR',12127,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6027431,7.00,4.00,3.00,7.00,9.00,12.00,1.00,5.00,7.00,103,NULL,NULL,'BARRA DO RIO','ITAJAÍ','SC',4541,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6027440,3.00,3.00,3.00,3.00,4.00,10.13,0.00,3.00,1.00,303,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',16961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027458,6.00,4.00,5.00,5.00,8.00,8.63,3.00,1.00,6.00,216,NULL,202,'BARREIROS','S JOSÉ','SC',7671,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6027474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO II','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6027482,4.00,3.00,0.00,4.00,4.00,NULL,1.00,2.00,2.00,201,NULL,211,'ALVORADA','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6027504,5.00,7.00,4.00,5.00,7.00,8.25,3.00,4.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027512,3.00,2.00,1.00,6.00,5.00,9.00,2.00,2.00,4.00,415,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',15673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027520,2.00,5.00,5.00,6.00,5.00,7.13,3.00,2.00,4.00,999,NULL,NULL,'VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027539,6.00,7.00,7.00,8.00,9.00,11.63,5.00,7.00,5.00,216,NULL,220,'ANITA GARIBALDI','JOINVILLE','SC',819,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6027547,7.00,0.00,3.00,2.00,6.00,NULL,0.00,0.00,0.00,201,NULL,212,'VALPARAÍSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(25,6027563,2.00,5.00,2.00,4.00,7.00,8.25,2.00,3.00,3.00,319,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6027571,4.00,4.00,1.00,3.00,8.00,9.38,2.00,4.00,3.00,601,NULL,201,'CENTRO','TAIÓ','SC',12752,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6027598,2.00,4.00,2.00,2.00,7.00,6.75,2.00,2.00,0.00,999,NULL,NULL,'SAO LUIZ','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027601,8.00,7.00,6.00,7.00,8.00,9.00,5.00,6.00,7.00,203,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6027628,6.00,5.00,5.00,7.00,10.00,13.13,2.00,3.00,6.00,238,NULL,201,'CENTRO','PALHOÇA','SC',3024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027636,2.00,5.00,2.00,4.00,9.00,NULL,0.00,0.00,1.00,207,NULL,233,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027644,3.00,5.00,1.00,2.00,3.00,8.25,0.00,4.00,4.00,324,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',15952,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6027652,3.00,4.00,2.00,4.00,3.00,5.63,1.00,0.00,3.00,208,NULL,214,'PICADAS DO SUL','S JOSÉ','SC',21350,591,NULL,456,NULL,NULL,NULL,2,1),(25,6027660,8.00,7.00,7.00,7.00,9.00,8.63,6.00,8.00,9.00,5,NULL,NULL,'BUCAREIN','JOINVILLE','SC',261,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6027679,6.00,5.00,3.00,7.00,6.00,8.25,4.00,7.00,5.00,214,NULL,212,'RIO COMPRIDO','JACAREÍ','SP',4537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027687,7.00,4.00,3.00,8.00,9.00,10.88,4.00,8.00,4.00,103,NULL,NULL,'CENTRO','NOVA VENEZA','SC',2046,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6027709,6.00,7.00,6.00,8.00,10.00,10.13,3.00,5.00,8.00,103,NULL,NULL,'BELA SUIÇA','LONDRINA','PR',949,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6027725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6027733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PASSO DA AREIA','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6027741,5.00,5.00,1.00,4.00,9.00,12.00,3.00,3.00,6.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',5433,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6027750,2.00,4.00,0.00,4.00,3.00,7.13,3.00,3.00,1.00,339,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',19931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6027768,5.00,6.00,4.00,7.00,6.00,11.25,4.00,9.00,5.00,238,NULL,202,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027776,2.00,2.00,0.00,2.00,3.00,NULL,3.00,1.00,1.00,309,NULL,NULL,'ARAÇATUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6027784,4.00,5.00,1.00,6.00,7.00,NULL,2.00,0.00,3.00,415,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6027792,8.00,5.00,3.00,7.00,7.00,9.00,3.00,7.00,3.00,108,NULL,NULL,'AGUA VERDE','CURITIBA','PR',7479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027806,3.00,4.00,1.00,7.00,7.00,9.38,0.00,2.00,0.00,333,NULL,NULL,'VILA NOVA','FRANCISCO BELTRÃO','PR',18565,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6027814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DIAMANTE','JAÚ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6027822,5.00,5.00,2.00,5.00,9.00,8.25,3.00,6.00,4.00,601,NULL,203,'CENTRO','CURITIBA','PR',7650,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6027849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'BOM PASTOR','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6027857,1.00,5.00,1.00,1.00,3.00,7.50,1.00,1.00,1.00,211,NULL,601,'SÃO RAFAEL','RIO NEGRINHO','SC',21628,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6027865,4.00,5.00,1.00,6.00,7.00,8.63,4.00,0.00,3.00,207,NULL,211,'VILA ESTRELA','PNT GROSSA','PR',12975,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6027873,2.00,3.00,2.00,3.00,1.00,NULL,0.00,2.00,1.00,302,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6027881,1.00,4.00,1.00,3.00,5.00,6.75,2.00,3.00,1.00,9,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',17794,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6027890,2.00,4.00,3.00,3.00,7.00,8.63,1.00,5.00,1.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',15356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6027903,3.00,2.00,1.00,3.00,3.00,9.00,0.00,0.00,0.00,415,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',20898,332,NULL,NULL,NULL,NULL,NULL,2,1),(25,6027911,6.00,6.00,1.00,4.00,10.00,12.00,0.00,3.00,5.00,9,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',9410,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6027920,9.00,7.00,4.00,5.00,9.00,10.13,2.00,7.00,9.00,103,NULL,NULL,'JARDIM GUAPORE','MARINGÁ','PR',1282,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6027946,5.00,7.00,0.00,4.00,7.00,8.63,3.00,6.00,3.00,303,NULL,NULL,'BOM RETIRO','BLUMENAU','SC',10678,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6027954,1.00,6.00,1.00,3.00,4.00,7.13,2.00,4.00,2.00,501,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',17636,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6027962,2.00,3.00,2.00,2.00,4.00,NULL,2.00,0.00,0.00,108,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6027970,4.00,5.00,0.00,7.00,7.00,11.25,1.00,5.00,7.00,233,NULL,216,'JARDIM GLÓRIA','AMERICANA','SP',6310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027989,5.00,8.00,1.00,6.00,8.00,7.50,0.00,4.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6027997,7.00,6.00,2.00,6.00,9.00,10.88,2.00,4.00,7.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',3765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028004,2.00,4.00,0.00,4.00,6.00,5.63,4.00,5.00,1.00,103,NULL,NULL,'AMARAL','PALMEIRA MISSÕES','RS',16635,4398,NULL,NULL,NULL,NULL,NULL,2,4),(25,6028012,3.00,5.00,5.00,6.00,6.00,7.88,3.00,5.00,3.00,201,NULL,212,'BETÂNIA','ANGELINA','SC',9578,764,NULL,265,NULL,NULL,NULL,2,1),(25,6028020,1.00,4.00,0.00,4.00,2.00,NULL,3.00,1.00,1.00,207,NULL,201,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6028039,1.00,5.00,5.00,4.00,3.00,9.38,1.00,1.00,3.00,211,NULL,215,'JD MARIA IZABEL','MARÍLIA','SP',15582,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6028047,2.00,2.00,1.00,2.00,2.00,NULL,0.00,2.00,0.00,201,NULL,202,'CENTRO','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6028063,5.00,3.00,3.00,2.00,6.00,12.38,3.00,1.00,2.00,102,NULL,NULL,'ZONA SETE','MARINGÁ','PR',13678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6028071,5.00,7.00,2.00,7.00,7.00,10.88,2.00,1.00,4.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',7144,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6028098,5.00,7.00,2.00,6.00,7.00,12.38,1.00,4.00,3.00,337,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9518,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6028128,3.00,4.00,1.00,2.00,7.00,5.25,3.00,3.00,2.00,202,NULL,235,'JARDIN SILVANIA','MOGI MIRIM','SP',18109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6028136,2.00,2.00,0.00,4.00,8.00,9.38,1.00,2.00,0.00,211,NULL,653,'CENTRO','CHARQUEADAS','RS',19899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028144,2.00,5.00,2.00,4.00,8.00,7.50,1.00,2.00,1.00,317,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',18973,161,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028160,4.00,4.00,3.00,2.00,7.00,8.63,2.00,6.00,2.00,207,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',13657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028187,3.00,5.00,4.00,6.00,7.00,6.38,3.00,2.00,3.00,318,NULL,NULL,'CENTRO','S JOSÉ','SC',14239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028195,9.00,8.00,7.00,7.00,10.00,10.88,6.00,8.00,7.00,203,NULL,220,'ITACORUBI','FLORIANÓPOLIS','SC',103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028209,2.00,5.00,2.00,5.00,9.00,8.25,1.00,1.00,2.00,302,NULL,NULL,'JARDIM GURILANDIA','TAUBATÉ','SP',16541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028217,2.00,4.00,1.00,2.00,6.00,NULL,0.00,3.00,0.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6028225,5.00,6.00,4.00,6.00,6.00,7.88,1.00,7.00,3.00,104,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',9078,180,NULL,NULL,NULL,NULL,NULL,2,1),(25,6028233,2.00,5.00,4.00,4.00,7.00,6.38,1.00,3.00,1.00,501,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',19229,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6028241,5.00,4.00,1.00,6.00,8.00,6.00,3.00,1.00,5.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',10849,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6028250,5.00,6.00,2.00,5.00,9.00,10.50,2.00,7.00,7.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',3926,2056,NULL,NULL,NULL,NULL,NULL,4,10),(25,6028268,4.00,5.00,2.00,7.00,5.00,6.75,4.00,4.00,3.00,452,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',13943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028276,6.00,4.00,3.00,4.00,6.00,9.00,3.00,5.00,4.00,999,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6028292,3.00,5.00,4.00,3.00,4.00,9.75,1.00,3.00,5.00,601,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',12922,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6028306,7.00,7.00,3.00,5.00,9.00,7.88,2.00,5.00,8.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',3329,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6028330,7.00,6.00,4.00,6.00,9.00,10.50,2.00,5.00,8.00,103,NULL,NULL,'LOT DOS CASTROS','ENCRUZILHADA SUL','RS',2699,1583,NULL,NULL,NULL,NULL,NULL,2,15),(25,6028349,5.00,6.00,0.00,6.00,5.00,8.25,0.00,1.00,5.00,424,NULL,428,'CENTRO','BIGUAÇU','SC',16123,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6028357,6.00,7.00,5.00,5.00,9.00,9.38,3.00,6.00,7.00,202,NULL,235,'BELA VISTA I','S JOSÉ','SC',2831,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028365,5.00,3.00,2.00,5.00,6.00,7.88,3.00,5.00,1.00,302,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',12317,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6028373,0.00,4.00,0.00,3.00,0.00,NULL,0.00,1.00,2.00,207,NULL,201,'MORADA DO SOL','IJUÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6028381,1.00,2.00,1.00,3.00,6.00,7.50,2.00,0.00,0.00,101,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',20041,157,NULL,NULL,NULL,NULL,NULL,2,1),(25,6028390,5.00,5.00,1.00,7.00,7.00,12.00,3.00,4.00,5.00,102,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5277,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6028403,5.00,7.00,2.00,6.00,8.00,10.13,0.00,8.00,6.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'REGIÃO DO LAGO I','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6028420,6.00,4.00,0.00,3.00,9.00,NULL,0.00,6.00,6.00,103,NULL,NULL,'JARDIM ESPERANÇA','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6028438,6.00,6.00,2.00,5.00,8.00,10.13,2.00,6.00,8.00,104,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',4889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028446,8.00,8.00,7.00,7.00,9.00,10.88,4.00,6.00,8.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',525,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6028462,9.00,7.00,7.00,7.00,9.00,9.38,7.00,8.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028470,3.00,3.00,1.00,3.00,7.00,6.00,3.00,4.00,0.00,207,NULL,215,'BARREIROS','S JOSÉ','SC',16724,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6028489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(25,6028497,1.00,4.00,0.00,1.00,5.00,NULL,2.00,4.00,1.00,551,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6028500,4.00,4.00,3.00,6.00,5.00,8.25,1.00,6.00,3.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028519,3.00,4.00,0.00,2.00,4.00,NULL,2.00,3.00,1.00,103,NULL,NULL,'CENTRO','ERVAL GRANDE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6028527,5.00,6.00,6.00,4.00,7.00,7.50,1.00,6.00,4.00,103,NULL,NULL,'NOVA MOGILAR','MOGI CRUZES','SP',6231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028535,4.00,3.00,2.00,5.00,8.00,10.13,1.00,3.00,3.00,453,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',12552,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6028543,4.00,3.00,4.00,4.00,5.00,8.63,2.00,4.00,3.00,201,NULL,212,'SÃO LUIZ','CURITIBANOS','SC',12607,1069,NULL,368,NULL,NULL,NULL,4,16),(25,6028551,5.00,6.00,1.00,6.00,9.00,10.13,3.00,6.00,3.00,999,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028560,3.00,3.00,2.00,2.00,2.00,NULL,1.00,3.00,0.00,101,NULL,NULL,'SAO SEBASTIAO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6028578,4.00,5.00,2.00,4.00,4.00,NULL,2.00,4.00,0.00,109,NULL,NULL,'VILA SAO JOSE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6028586,5.00,7.00,1.00,6.00,9.00,8.25,2.00,6.00,5.00,340,NULL,NULL,'CENTRO','LAGES','SC',6157,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6028594,9.00,7.00,7.00,7.00,11.00,11.25,6.00,7.00,9.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',35,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6028608,8.00,7.00,3.00,6.00,8.00,11.63,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','IPORÃ','PR',1750,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6028624,6.00,6.00,5.00,5.00,7.00,8.63,3.00,8.00,7.00,201,NULL,212,'CORREGO GRANDE','FLORIANÓPOLIS','SC',3268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6028640,3.00,4.00,2.00,6.00,8.00,8.63,2.00,5.00,3.00,202,NULL,213,'BELA VISTA','S JOSÉ','SC',8922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028659,6.00,5.00,1.00,6.00,8.00,8.63,0.00,6.00,3.00,452,NULL,NULL,'BOM RETIRO','BLUMENAU','SC',10703,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6028667,4.00,6.00,2.00,4.00,6.00,9.75,2.00,5.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11077,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6028675,8.00,5.00,2.00,4.00,10.00,9.00,3.00,3.00,5.00,110,NULL,NULL,'CENTRO','CHAPECÓ','SC',8168,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6028683,6.00,6.00,1.00,7.00,8.00,9.00,1.00,4.00,4.00,103,NULL,NULL,'JARDIM DABRIL','S PAULO','SP',6539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028691,3.00,5.00,3.00,3.00,6.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6028705,5.00,5.00,0.00,4.00,6.00,8.25,2.00,5.00,4.00,104,NULL,NULL,'PONTA FINA NORTE','NOVA TRENTO','SC',12277,283,NULL,NULL,NULL,NULL,NULL,2,1),(25,6028721,2.00,6.00,2.00,5.00,7.00,8.63,3.00,2.00,5.00,203,NULL,220,'SANTA CLARA','PEDREIRA','SP',8484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028730,4.00,4.00,2.00,1.00,5.00,8.63,0.00,3.00,3.00,999,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028748,8.00,6.00,2.00,7.00,8.00,9.75,0.00,6.00,6.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',2959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028756,4.00,5.00,1.00,5.00,8.00,5.25,1.00,1.00,2.00,450,NULL,NULL,'SÃO JOÃO','COCAL SUL','SC',15186,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6028764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM CHACARA AULER','JAÚ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6028772,4.00,6.00,2.00,6.00,6.00,8.25,2.00,4.00,1.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11099,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6028780,3.00,2.00,2.00,5.00,5.00,10.50,0.00,3.00,0.00,319,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',16265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028799,6.00,6.00,3.00,7.00,7.00,8.25,2.00,6.00,5.00,235,NULL,601,'SANTA MÔNICA','FLORIANÓPOLIS','SC',6338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028802,7.00,5.00,7.00,6.00,8.00,10.50,4.00,4.00,6.00,103,NULL,NULL,'LOTE SEIS','CRICIÚMA','SC',2702,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6028810,6.00,6.00,5.00,6.00,8.00,12.00,5.00,6.00,7.00,203,NULL,201,'UBERABA','CURITIBA','PR',1602,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6028837,6.00,8.00,5.00,7.00,8.00,10.50,1.00,8.00,6.00,103,NULL,NULL,'COUNTRY','CASCAVEL','PR',1917,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6028845,7.00,7.00,6.00,4.00,6.00,8.25,1.00,5.00,7.00,203,NULL,NULL,'CENTRO','FRAIBURGO','SC',4155,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6028853,6.00,8.00,8.00,3.00,7.00,9.38,3.00,7.00,7.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2105,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6028861,4.00,3.00,1.00,2.00,5.00,7.88,2.00,0.00,2.00,308,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6028870,4.00,6.00,2.00,5.00,10.00,6.75,3.00,7.00,4.00,338,NULL,NULL,'JARDIM LUANDA','S PAULO','SP',7554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'APARECIDA','URUBICI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6028896,4.00,5.00,0.00,3.00,9.00,7.88,3.00,7.00,4.00,2,NULL,NULL,'SERRARIA','S JOSÉ','SC',11559,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6028900,0.00,4.00,2.00,3.00,7.00,8.25,2.00,3.00,2.00,224,NULL,NULL,'VÁRZEA','ITAPEMA','SC',16983,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6028918,4.00,6.00,3.00,5.00,7.00,9.00,2.00,4.00,3.00,104,NULL,NULL,'VILA NOVA','LAGES','SC',10134,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6028926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM DA CAMPINA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6028934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'GRAVATÁ','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6028950,4.00,3.00,1.00,3.00,7.00,7.88,3.00,6.00,2.00,601,NULL,201,'IRIRIU','JOINVILLE','SC',15215,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6028977,7.00,7.00,2.00,5.00,7.00,6.75,1.00,5.00,4.00,212,NULL,201,'SACO GRANDE','FLORIANÓPOLIS','SC',9868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6028985,9.00,8.00,4.00,6.00,9.00,10.13,4.00,5.00,8.00,103,NULL,NULL,'ZONA DOIS','UMUARAMA','PR',1125,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6028993,5.00,7.00,0.00,4.00,7.00,9.75,2.00,2.00,4.00,103,NULL,NULL,'FORTALEZA','BLUMENAU','SC',9319,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6029000,4.00,7.00,3.00,5.00,5.00,9.00,0.00,5.00,2.00,319,NULL,NULL,'CENTRO','ARARANGUÁ','SC',11177,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6029019,2.00,4.00,1.00,3.00,7.00,5.63,1.00,4.00,1.00,310,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6029027,4.00,6.00,1.00,5.00,9.00,6.75,1.00,8.00,3.00,5,NULL,NULL,'CENTRO','S BENTO SUL','SC',8603,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6029035,3.00,4.00,1.00,4.00,5.00,8.25,2.00,4.00,1.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6029043,2.00,3.00,0.00,1.00,3.00,6.38,1.00,2.00,3.00,207,NULL,653,'COLONINHA','ARARANGUÁ','SC',20540,1119,NULL,224,NULL,NULL,NULL,4,15),(25,6029051,6.00,5.00,1.00,6.00,10.00,9.38,2.00,5.00,4.00,207,NULL,NULL,'STO ANTONIO DELISBOA','FLORIANÓPOLIS','SC',7051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029060,6.00,6.00,4.00,5.00,8.00,8.25,2.00,3.00,2.00,5,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',9051,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6029078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6029086,6.00,3.00,1.00,4.00,6.00,9.75,2.00,5.00,4.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',12562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6029094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UNIVERSITÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6029108,8.00,7.00,7.00,7.00,10.00,9.38,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PIATÃ','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6029124,6.00,4.00,3.00,4.00,5.00,9.00,2.00,3.00,5.00,104,NULL,NULL,'CENTRO','BELA V PARAÍSO','PR',11023,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6029132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'JD ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6029167,8.00,6.00,6.00,7.00,9.00,10.50,5.00,8.00,8.00,103,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',636,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6029175,9.00,7.00,6.00,7.00,11.00,13.13,4.00,7.00,9.00,108,NULL,NULL,'COROA DO MEIO','ARACAJU','SE',144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029183,4.00,5.00,1.00,5.00,7.00,9.38,3.00,6.00,2.00,450,NULL,NULL,'ARIRIBÁ','BAL CAMBORIÚ','SC',11585,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6029191,0.00,7.00,2.00,2.00,3.00,6.75,3.00,3.00,3.00,3,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',19639,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6029205,8.00,7.00,6.00,7.00,7.00,9.75,7.00,7.00,8.00,203,NULL,601,'TRINDADE','FLORIANÓPOLIS','SC',422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029213,3.00,2.00,0.00,4.00,5.00,10.13,1.00,1.00,0.00,601,NULL,216,'AMERICA','JOINVILLE','SC',21170,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6029221,5.00,7.00,5.00,6.00,7.00,7.88,4.00,5.00,4.00,220,NULL,235,'COQUEIROS','FLORIANÓPOLIS','SC',5513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029230,4.00,5.00,1.00,2.00,5.00,9.75,3.00,6.00,0.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16740,165,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029248,7.00,6.00,2.00,6.00,8.00,10.13,1.00,6.00,7.00,215,NULL,653,'VILA SÃO JOSÉ','ARARANGUÁ','SC',4860,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6029264,5.00,6.00,7.00,5.00,7.00,8.25,4.00,6.00,3.00,201,NULL,207,'ZONA SETE','MARINGÁ','PR',4119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029272,7.00,4.00,5.00,6.00,8.00,6.75,2.00,6.00,6.00,103,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',6253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6029299,6.00,6.00,2.00,4.00,9.00,7.88,0.00,4.00,5.00,101,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',9705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029310,7.00,6.00,6.00,6.00,8.00,9.38,5.00,7.00,7.00,233,NULL,215,'JOÃO PAULO','FLORIANÓPOLIS','SC',1703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM JANAÍNA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6029337,7.00,6.00,4.00,7.00,7.00,12.00,2.00,4.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029345,6.00,5.00,5.00,3.00,5.00,7.13,7.00,5.00,6.00,201,NULL,212,'CENTRO','CRICIÚMA','SC',5313,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6029353,1.00,4.00,3.00,3.00,4.00,7.50,1.00,1.00,1.00,304,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',21288,154,NULL,NULL,NULL,NULL,NULL,2,1),(25,6029361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'POÇO RICO','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6029370,2.00,5.00,4.00,3.00,5.00,7.88,4.00,5.00,3.00,601,NULL,235,'ENSEADA','S FRANCISCO SUL','SC',11660,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6029388,6.00,5.00,2.00,5.00,8.00,9.38,2.00,6.00,4.00,203,NULL,214,'JARDIM DO LAGO','TANGARÁ SERRA','MT',4774,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6029396,4.00,2.00,1.00,4.00,3.00,8.63,0.00,3.00,2.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',20539,188,NULL,NULL,NULL,NULL,NULL,2,1),(25,6029400,8.00,7.00,5.00,7.00,7.00,10.13,3.00,7.00,5.00,103,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',1745,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6029418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'SEMINARIO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6029426,5.00,8.00,0.00,7.00,8.00,6.75,0.00,5.00,4.00,340,NULL,NULL,'CENTRO','STO CRISTO','RS',8539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029442,6.00,6.00,5.00,7.00,8.00,9.00,3.00,6.00,5.00,415,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',2943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029450,5.00,7.00,2.00,5.00,7.00,5.25,3.00,7.00,4.00,655,NULL,652,'VILA NOVA','BLUMENAU','SC',11841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BRASIL','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6029477,5.00,5.00,5.00,7.00,6.00,8.63,2.00,4.00,5.00,655,NULL,653,'CIDADE ALTA','ARARANGUÁ','SC',7910,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6029485,3.00,7.00,1.00,1.00,7.00,10.50,0.00,1.00,0.00,453,NULL,NULL,'SANTANA','S JOSÉ CAMPOS','SP',16218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029507,8.00,5.00,2.00,7.00,9.00,8.25,1.00,5.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',4172,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6029523,3.00,4.00,5.00,3.00,4.00,7.50,1.00,1.00,1.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',16707,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6029531,4.00,0.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6029540,7.00,6.00,4.00,8.00,8.00,8.25,2.00,9.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029566,7.00,6.00,1.00,5.00,7.00,9.00,1.00,2.00,5.00,104,NULL,NULL,'REGIÃO DO LAGO UM','CASCAVEL','PR',10205,213,NULL,NULL,NULL,NULL,NULL,2,8),(25,6029574,8.00,5.00,3.00,6.00,8.00,9.00,3.00,5.00,6.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',2918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029582,5.00,4.00,1.00,4.00,7.00,6.38,0.00,4.00,2.00,340,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',17840,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6029590,3.00,0.00,1.00,4.00,8.00,NULL,0.00,0.00,0.00,207,NULL,201,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6029604,4.00,4.00,3.00,4.00,5.00,NULL,2.00,0.00,2.00,203,NULL,235,'PRESIDENTE MÉDICE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6029612,6.00,5.00,4.00,5.00,7.00,9.38,1.00,3.00,3.00,201,NULL,212,'SANTA CATARINA','S LOURENÇO OESTE','SC',8296,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6029620,7.00,7.00,5.00,6.00,5.00,8.25,4.00,8.00,7.00,220,NULL,211,'AGRONOMICA','FLORIANÓPOLIS','SC',2759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029639,9.00,8.00,3.00,7.00,9.00,13.13,2.00,7.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',830,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6029647,8.00,7.00,3.00,5.00,9.00,10.50,3.00,7.00,7.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029655,7.00,6.00,7.00,7.00,8.00,8.63,2.00,6.00,4.00,9,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4003,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6029663,5.00,5.00,1.00,5.00,7.00,7.13,3.00,3.00,5.00,201,NULL,202,'SÃO JOÃO BOSCO','PTO VELHO','RO',10472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029671,2.00,2.00,2.00,2.00,6.00,8.63,3.00,4.00,1.00,415,NULL,NULL,'SANTA ISABEL','VIAMÃO','RS',17957,286,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6029698,7.00,6.00,2.00,6.00,5.00,10.88,1.00,3.00,2.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029710,2.00,5.00,3.00,5.00,7.00,8.25,3.00,4.00,3.00,215,NULL,NULL,'SAO BRAZ','CURITIBA','PR',11556,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6029728,5.00,6.00,2.00,2.00,6.00,10.50,2.00,7.00,1.00,207,NULL,201,'FÁTIMA','ERECHIM','RS',9074,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6029736,2.00,5.00,4.00,3.00,4.00,7.13,1.00,3.00,1.00,503,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6029744,7.00,6.00,4.00,7.00,10.00,10.13,2.00,6.00,3.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6029752,4.00,6.00,2.00,6.00,6.00,0.00,2.00,5.00,5.00,203,NULL,202,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,235,'JARDIM FLORENÇA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6029779,4.00,4.00,1.00,5.00,7.00,6.00,1.00,5.00,4.00,415,NULL,NULL,'AREIAS','S JOSÉ','SC',13451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029795,3.00,7.00,2.00,3.00,8.00,10.88,0.00,0.00,2.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11780,3834,NULL,NULL,NULL,NULL,NULL,4,6),(25,6029817,8.00,8.00,4.00,6.00,10.00,8.25,2.00,4.00,5.00,5,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',3352,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6029825,9.00,9.00,2.00,3.00,9.00,12.00,4.00,6.00,7.00,303,NULL,NULL,'FAZENDINHA','CURITIBA','PR',1886,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6029833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CIDADE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6029841,7.00,4.00,7.00,5.00,8.00,9.75,4.00,5.00,7.00,207,NULL,212,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',1789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029850,8.00,7.00,3.00,6.00,8.00,10.13,6.00,8.00,7.00,201,NULL,212,'ITOUPAVA SECA','BLUMENAU','SC',1297,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6029876,9.00,7.00,4.00,7.00,10.00,10.13,4.00,8.00,9.00,103,NULL,NULL,'CENTRO','PINHAIS','PR',282,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6029884,3.00,4.00,3.00,2.00,6.00,6.00,1.00,1.00,1.00,103,NULL,NULL,'AGUA BRANCA','S FRANCISCO SUL','SC',18871,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6029892,5.00,5.00,3.00,3.00,6.00,7.13,2.00,4.00,3.00,333,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',14699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029906,2.00,3.00,2.00,6.00,6.00,8.63,1.00,0.00,2.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',17621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6029922,4.00,6.00,1.00,7.00,4.00,7.50,3.00,1.00,0.00,207,NULL,201,'PEDRO LUDOVICO','GOIÂNIA','GO',16703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029930,6.00,8.00,1.00,4.00,9.00,8.25,2.00,8.00,4.00,336,NULL,NULL,'LAGOINHA','MAIRINQUE','SP',5305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029949,8.00,7.00,1.00,6.00,8.00,9.00,3.00,8.00,6.00,214,NULL,235,'CENTRO','IÇARA','SC',3523,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6029957,3.00,5.00,0.00,1.00,6.00,0.00,3.00,3.00,2.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029965,2.00,6.00,0.00,0.00,3.00,7.13,2.00,1.00,2.00,224,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',21403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6029973,4.00,5.00,1.00,5.00,6.00,7.13,2.00,3.00,3.00,220,NULL,203,'CENTRO','GUARAPUAVA','PR',11194,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6029981,7.00,6.00,3.00,7.00,9.00,9.75,1.00,5.00,8.00,201,NULL,216,'VORSTADT','BLUMENAU','SC',3046,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6029990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6030017,7.00,5.00,6.00,5.00,7.00,11.63,5.00,4.00,6.00,207,NULL,201,'CENTRO','PASSO FUNDO','RS',1818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030025,7.00,5.00,3.00,6.00,8.00,10.13,3.00,1.00,6.00,103,NULL,NULL,'LEOPOLDINA','S PAULO','SP',5817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CAMPO DA AVIAÇÃO','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6030041,8.00,8.00,2.00,7.00,9.00,10.50,4.00,9.00,8.00,103,NULL,NULL,'SÃO FRANCISCO','TORRES','RS',683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030050,5.00,6.00,5.00,5.00,10.00,10.88,2.00,5.00,5.00,201,NULL,202,'JARDIM GISELA','TOLEDO','PR',3497,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6030068,1.00,5.00,0.00,6.00,7.00,NULL,2.00,2.00,2.00,308,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6030076,8.00,7.00,3.00,6.00,10.00,12.38,6.00,9.00,6.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030084,2.00,3.00,0.00,1.00,3.00,NULL,1.00,0.00,2.00,652,NULL,655,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6030092,3.00,5.00,3.00,4.00,10.00,8.63,1.00,6.00,5.00,303,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',6376,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6030106,8.00,6.00,6.00,6.00,10.00,10.88,3.00,8.00,8.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',677,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6030122,3.00,2.00,0.00,2.00,5.00,NULL,4.00,2.00,0.00,404,NULL,NULL,'AREIAS DE CIMA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6030130,5.00,5.00,4.00,6.00,6.00,6.75,1.00,4.00,4.00,201,NULL,601,'SANTO ANTONIO','JOINVILLE','SC',9206,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6030149,9.00,7.00,7.00,7.00,10.00,13.50,5.00,8.00,9.00,103,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',11,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030157,4.00,0.00,3.00,5.00,3.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6030165,1.00,3.00,1.00,3.00,2.00,NULL,5.00,0.00,1.00,308,NULL,NULL,'ALTO ARIRIRU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6030173,9.00,8.00,7.00,4.00,9.00,10.50,2.00,7.00,7.00,103,NULL,NULL,'DESVIO RIZZO','CAXIAS SUL','RS',867,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6030181,5.00,6.00,6.00,6.00,7.00,7.88,3.00,4.00,6.00,601,NULL,NULL,'ALECRIM','CACHOEIRA','BA',6223,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6030190,4.00,4.00,1.00,3.00,7.00,7.88,2.00,7.00,1.00,201,NULL,207,'PONTE DO IMARUIM','PALHOÇA','SC',17314,1439,NULL,922,NULL,NULL,NULL,2,1),(25,6030211,6.00,3.00,0.00,5.00,8.00,NULL,1.00,0.00,3.00,108,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6030220,3.00,5.00,0.00,5.00,7.00,7.88,0.00,4.00,2.00,425,NULL,429,'CENTRO','BAL CAMBORIÚ','SC',15880,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6030238,9.00,5.00,4.00,5.00,7.00,10.50,0.00,6.00,8.00,103,NULL,NULL,'VILA GUARACY','COLOMBO','PR',3365,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6030246,5.00,5.00,6.00,7.00,8.00,8.63,0.00,7.00,7.00,201,NULL,212,'JARDIM FLORIDA','JACAREÍ','SP',3953,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6030262,6.00,6.00,1.00,3.00,8.00,11.25,2.00,5.00,5.00,108,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',6579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6030270,5.00,5.00,2.00,4.00,8.00,8.63,2.00,6.00,3.00,102,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',9611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030289,4.00,6.00,3.00,4.00,6.00,7.88,1.00,2.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6030297,2.00,5.00,1.00,2.00,3.00,7.13,0.00,1.00,2.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6030327,4.00,6.00,3.00,2.00,7.00,7.50,1.00,2.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14001,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6030335,4.00,4.00,1.00,6.00,7.00,7.50,1.00,3.00,2.00,999,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030343,5.00,7.00,5.00,6.00,9.00,11.63,1.00,7.00,4.00,103,NULL,NULL,'CENTRO','CANOAS','RS',2521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030351,3.00,4.00,4.00,3.00,5.00,5.63,2.00,1.00,5.00,238,NULL,655,'ANA MARIA','CRICIÚMA','SC',19183,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6030360,6.00,7.00,3.00,4.00,8.00,6.75,1.00,4.00,6.00,202,NULL,235,'SÃO RAFAEL','RIO NEGRINHO','SC',9347,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6030378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6030386,6.00,8.00,2.00,5.00,8.00,7.13,4.00,5.00,6.00,212,NULL,213,'COQUEIROS','FLORIANÓPOLIS','SC',4485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6030394,4.00,7.00,3.00,4.00,8.00,11.25,1.00,5.00,5.00,303,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',6192,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6030408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CIDADE JARDIM','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6030416,7.00,8.00,1.00,5.00,8.00,8.63,2.00,6.00,2.00,336,NULL,NULL,'VENEZA','XANXERÊ','SC',6804,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6030424,6.00,5.00,7.00,3.00,7.00,7.88,5.00,6.00,9.00,203,NULL,235,'PONTA VERDE','MACEIÓ','AL',3346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030432,7.00,6.00,2.00,2.00,7.00,10.13,2.00,6.00,2.00,501,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',9087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030459,4.00,4.00,2.00,6.00,9.00,7.50,1.00,5.00,0.00,655,NULL,652,'SANTA BÁRBARA','CRICIÚMA','SC',15625,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6030467,3.00,6.00,0.00,4.00,5.00,8.25,2.00,5.00,5.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15248,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6030483,3.00,4.00,2.00,4.00,8.00,9.00,2.00,3.00,2.00,211,NULL,NULL,'CENTRO','CHAPECÓ','SC',13474,356,NULL,NULL,NULL,NULL,NULL,4,4),(25,6030505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6030521,7.00,5.00,2.00,3.00,6.00,11.25,0.00,3.00,3.00,337,NULL,NULL,'CENTRO','CANOINHAS','SC',10083,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6030530,3.00,4.00,1.00,1.00,6.00,8.25,3.00,2.00,3.00,319,NULL,NULL,'ITAUM','JOINVILLE','SC',17333,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6030556,5.00,6.00,2.00,5.00,7.00,8.63,0.00,3.00,4.00,104,NULL,NULL,'ATIRADORES','JOINVILLE','SC',9823,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6030564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6030572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6030580,9.00,8.00,5.00,7.00,9.00,9.00,4.00,8.00,8.00,103,NULL,NULL,'NOVO CENTRO','MARINGÁ','PR',811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CORVETA','ARAQUARI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6030602,8.00,6.00,4.00,7.00,11.00,10.88,2.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030610,7.00,7.00,3.00,6.00,10.00,9.75,0.00,3.00,7.00,420,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030629,6.00,6.00,4.00,7.00,9.00,NULL,0.00,6.00,6.00,333,NULL,NULL,'JARDIM GIRASSOL','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030637,2.00,3.00,1.00,0.00,2.00,NULL,1.00,0.00,0.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAPIM GROSSO','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6030653,3.00,5.00,3.00,5.00,5.00,7.88,4.00,3.00,2.00,319,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',15969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030661,2.00,4.00,3.00,5.00,4.00,NULL,0.00,2.00,2.00,202,NULL,220,'PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6030670,3.00,4.00,1.00,7.00,3.00,8.63,3.00,5.00,2.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030688,2.00,4.00,1.00,5.00,6.00,7.13,3.00,2.00,0.00,427,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6030696,5.00,5.00,3.00,6.00,7.00,NULL,0.00,4.00,5.00,203,NULL,601,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030700,7.00,3.00,4.00,2.00,5.00,7.50,0.00,4.00,4.00,233,NULL,216,'JARDIM SÃO LUIZ','RIBEIRÃO PRETO','SP',11686,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6030718,5.00,5.00,1.00,3.00,7.00,13.13,2.00,0.00,3.00,336,NULL,NULL,'JARDIM DAS AMÉRICAS','LONDRINA','PR',13369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030726,4.00,5.00,3.00,4.00,6.00,7.50,1.00,3.00,3.00,212,NULL,601,'CENTRO','TUBARÃO','SC',16950,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6030734,0.00,0.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'DIVINEIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(25,6030742,3.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',1,1),(25,6030750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6030769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6030777,7.00,7.00,1.00,5.00,8.00,9.00,0.00,7.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030785,8.00,6.00,7.00,6.00,6.00,9.75,2.00,5.00,5.00,233,NULL,215,'CARIANOS','FLORIANÓPOLIS','SC',3567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030793,4.00,7.00,2.00,4.00,6.00,8.63,1.00,4.00,3.00,201,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',10397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030807,3.00,5.00,2.00,5.00,7.00,6.38,0.00,0.00,2.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',20170,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6030815,4.00,5.00,1.00,3.00,5.00,9.00,1.00,2.00,2.00,201,NULL,212,'BELA VISTA I','S JOSÉ','SC',18440,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6030823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6030831,3.00,4.00,0.00,2.00,4.00,8.25,1.00,4.00,1.00,319,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',18398,371,NULL,NULL,NULL,NULL,NULL,4,15),(25,6030858,4.00,2.00,0.00,6.00,6.00,7.88,1.00,2.00,2.00,415,NULL,NULL,'AREIAS','S JOSÉ','SC',17129,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6030874,6.00,5.00,3.00,6.00,8.00,6.38,4.00,5.00,4.00,316,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',7393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030882,2.00,3.00,2.00,4.00,9.00,8.63,0.00,3.00,1.00,103,NULL,NULL,'CRISTO REI','CHAPECÓ','SC',15825,4308,NULL,NULL,NULL,NULL,NULL,4,4),(25,6030904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BRASÍLIA','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6030912,8.00,6.00,6.00,5.00,8.00,10.88,4.00,7.00,4.00,201,NULL,211,'JARDIM LA SALLE','TOLEDO','PR',2408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030920,2.00,4.00,2.00,1.00,4.00,5.63,1.00,1.00,1.00,103,NULL,NULL,'JARDIM AMÉRICA','S JOSÉ CAMPOS','SP',21670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6030939,2.00,4.00,1.00,4.00,4.00,10.50,2.00,3.00,1.00,601,NULL,207,'AVENTUREIRO','JOINVILLE','SC',16324,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6030947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA TOLENTINO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6030963,6.00,3.00,0.00,6.00,7.00,7.13,2.00,4.00,5.00,201,NULL,203,'ANDRADE','LONDRINA','PR',13708,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6030971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BOTANICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6030980,5.00,2.00,0.00,4.00,9.00,8.63,1.00,3.00,2.00,110,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',18041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6030998,5.00,5.00,1.00,5.00,7.00,11.25,1.00,5.00,3.00,9,NULL,NULL,'CENTRO','RIO SUL','SC',9135,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6031013,5.00,6.00,4.00,6.00,8.00,7.13,2.00,2.00,4.00,213,NULL,601,'CENTRO','LUPÉRCIO','SP',9275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031030,4.00,5.00,0.00,7.00,8.00,10.13,1.00,2.00,3.00,340,NULL,NULL,'ROÇADO','S JOSÉ','SC',10353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6031056,3.00,7.00,4.00,4.00,6.00,6.75,3.00,3.00,3.00,233,NULL,207,'CORREGO GRANDE','FLORIANÓPOLIS','SC',11691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031064,6.00,3.00,4.00,6.00,6.00,9.38,2.00,5.00,4.00,303,NULL,NULL,'MAR GROSSO','LAGUNA','SC',7306,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6031072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6031080,4.00,4.00,1.00,1.00,6.00,6.00,1.00,5.00,0.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031099,7.00,2.00,1.00,7.00,8.00,10.50,1.00,5.00,8.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',5022,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6031102,1.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,0.00,201,NULL,212,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031129,5.00,7.00,2.00,6.00,6.00,6.38,0.00,7.00,7.00,5,NULL,NULL,'JD GUILHERMINA','PR GRANDE','SP',6591,238,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031137,5.00,6.00,3.00,7.00,9.00,10.50,4.00,7.00,3.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',5206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6031153,2.00,4.00,1.00,4.00,4.00,10.50,2.00,4.00,2.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19146,137,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031188,5.00,4.00,2.00,4.00,6.00,8.25,4.00,1.00,5.00,103,NULL,NULL,'RIO MORTO','INDAIAL','SC',11739,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6031196,2.00,5.00,2.00,3.00,6.00,5.25,0.00,2.00,5.00,225,NULL,NULL,'CANUDOS','NOVO HAMBURGO','RS',19026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031200,4.00,5.00,1.00,6.00,6.00,10.88,0.00,4.00,4.00,104,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',10218,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031218,4.00,3.00,3.00,5.00,4.00,8.25,3.00,6.00,2.00,108,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',12291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031226,5.00,6.00,5.00,5.00,8.00,6.75,1.00,5.00,5.00,214,NULL,203,'VILA ESTRELA','PNT GROSSA','PR',6688,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6031234,1.00,5.00,0.00,1.00,2.00,NULL,0.00,0.00,2.00,309,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031269,3.00,5.00,1.00,2.00,5.00,7.13,1.00,3.00,1.00,103,NULL,NULL,'HUMAITA','TUBARÃO','SC',16760,4413,NULL,NULL,NULL,NULL,NULL,2,10),(25,6031277,5.00,5.00,3.00,7.00,9.00,10.13,2.00,2.00,5.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',6894,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6031285,2.00,4.00,0.00,1.00,6.00,6.75,0.00,1.00,1.00,216,NULL,211,'PALMITAL','CHAPECÓ','SC',21601,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6031293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'DAS NAÇÕES','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6031315,6.00,5.00,2.00,6.00,8.00,8.63,3.00,5.00,3.00,9,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',8619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031323,6.00,4.00,4.00,4.00,7.00,9.75,1.00,4.00,5.00,303,NULL,NULL,'MAR GROSSO','LAGUNA','SC',7089,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6031331,3.00,2.00,4.00,0.00,1.00,NULL,2.00,3.00,1.00,109,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031340,6.00,5.00,2.00,6.00,8.00,9.75,2.00,4.00,6.00,103,NULL,NULL,'CANOAS','RIO SUL','SC',6786,2901,NULL,NULL,NULL,NULL,NULL,2,9),(25,6031366,8.00,7.00,6.00,7.00,8.00,9.38,3.00,7.00,9.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',877,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6031374,4.00,7.00,3.00,6.00,9.00,8.63,0.00,5.00,1.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',11396,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6031404,3.00,3.00,0.00,4.00,7.00,7.13,2.00,2.00,1.00,444,NULL,NULL,'FLORESTA','S JOSÉ','SC',18774,111,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031420,7.00,5.00,5.00,3.00,8.00,10.50,2.00,4.00,6.00,104,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',5768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031439,6.00,4.00,3.00,4.00,5.00,7.88,2.00,3.00,5.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',13050,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6031447,4.00,2.00,2.00,5.00,5.00,8.63,3.00,3.00,1.00,655,NULL,653,'NOVA DIVINEIA','ARARANGUÁ','SC',18270,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6031455,7.00,7.00,1.00,6.00,10.00,10.50,2.00,6.00,4.00,103,NULL,NULL,'VILA INDUSTRIAL','CAMPINAS','SP',4133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031463,4.00,5.00,2.00,6.00,7.00,10.13,1.00,4.00,2.00,303,NULL,NULL,'MAR GROSSO','LAGUNA','SC',11795,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031471,1.00,2.00,3.00,3.00,5.00,5.25,2.00,4.00,3.00,5,NULL,NULL,'COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC',20441,695,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031480,3.00,4.00,1.00,2.00,2.00,NULL,1.00,3.00,1.00,5,NULL,NULL,'SERRARIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031498,3.00,4.00,0.00,6.00,5.00,9.38,1.00,1.00,1.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',17501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031510,2.00,3.00,2.00,4.00,6.00,9.00,1.00,1.00,1.00,104,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',20096,564,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ALPHA VILLE','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6031536,5.00,3.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MONTE BÉRICO','FLORES CUNHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031544,7.00,6.00,3.00,7.00,8.00,7.13,1.00,5.00,4.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031552,5.00,6.00,8.00,3.00,9.00,9.00,4.00,6.00,6.00,214,NULL,211,'ITACORUBI','FLORIANÓPOLIS','SC',3631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031560,2.00,3.00,4.00,4.00,6.00,7.50,2.00,0.00,1.00,451,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',18157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031579,3.00,3.00,1.00,4.00,6.00,7.13,1.00,3.00,2.00,9,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',20079,140,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031587,2.00,3.00,1.00,4.00,5.00,7.50,1.00,2.00,4.00,404,NULL,NULL,'FAZENDA','ITAJAÍ','SC',20479,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6031595,4.00,2.00,1.00,0.00,4.00,9.00,4.00,2.00,1.00,333,NULL,NULL,'CENTRO','LIMEIRA','SP',19290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031617,5.00,5.00,3.00,5.00,7.00,8.63,1.00,5.00,4.00,109,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',9028,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6031625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'CENTRO','JARDINÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6031633,4.00,7.00,2.00,6.00,8.00,9.38,3.00,3.00,2.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',7816,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031650,4.00,3.00,3.00,4.00,6.00,7.50,2.00,1.00,1.00,5,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6031668,5.00,6.00,3.00,5.00,7.00,8.63,0.00,7.00,6.00,336,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',6313,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6031676,3.00,0.00,3.00,2.00,5.00,NULL,0.00,0.00,3.00,223,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031684,2.00,2.00,1.00,4.00,5.00,7.50,2.00,2.00,2.00,999,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031692,5.00,5.00,1.00,4.00,7.00,NULL,0.00,5.00,3.00,336,NULL,NULL,'VILA LEOPOLDINA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031722,4.00,2.00,1.00,3.00,3.00,4.50,2.00,1.00,0.00,999,NULL,NULL,'CENTRO','MASSARANDUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6031730,4.00,3.00,1.00,5.00,7.00,9.75,0.00,2.00,4.00,103,NULL,NULL,'SÃO SILVESTRE','CORNÉLIO PROCÓPIO','PR',15124,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6031749,3.00,6.00,4.00,3.00,6.00,5.63,2.00,5.00,3.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031757,6.00,7.00,4.00,5.00,6.00,7.50,3.00,4.00,7.00,216,NULL,202,'CENTRO','ITAJAÍ','SC',6675,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6031765,5.00,7.00,1.00,6.00,8.00,12.00,2.00,6.00,5.00,999,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6031773,3.00,4.00,2.00,0.00,7.00,NULL,0.00,0.00,1.00,207,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031781,7.00,5.00,7.00,5.00,7.00,11.25,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','MARUMBI','PR',2160,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6031790,5.00,2.00,4.00,4.00,7.00,8.63,3.00,2.00,4.00,303,NULL,NULL,'CENTRO','LAGES','SC',11233,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6031811,3.00,4.00,2.00,4.00,6.00,8.25,1.00,2.00,0.00,450,NULL,NULL,'GARCIA','BLUMENAU','SC',19172,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6031820,2.00,0.00,1.00,2.00,3.00,7.88,2.00,3.00,4.00,102,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031846,5.00,6.00,5.00,7.00,7.00,7.50,3.00,2.00,3.00,201,NULL,207,'BIGORRILHO','CURITIBA','PR',6938,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6031854,6.00,6.00,4.00,6.00,8.00,7.88,2.00,3.00,7.00,101,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031870,8.00,7.00,6.00,6.00,8.00,9.38,2.00,7.00,6.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',1701,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6031889,6.00,4.00,5.00,6.00,7.00,9.00,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4009,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031900,5.00,7.00,3.00,5.00,5.00,8.63,2.00,6.00,5.00,102,NULL,NULL,'CAMBUCI','S PAULO','SP',6950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031919,6.00,3.00,1.00,3.00,4.00,9.00,1.00,3.00,3.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6031935,7.00,7.00,1.00,5.00,8.00,9.38,1.00,6.00,5.00,303,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',5452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031951,6.00,6.00,1.00,7.00,8.00,11.25,0.00,4.00,6.00,340,NULL,NULL,'JARDIM PLANALTO','PTO ALEGRE','RS',5959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031960,6.00,6.00,0.00,6.00,9.00,8.25,1.00,3.00,3.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7312,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6031978,4.00,3.00,1.00,3.00,7.00,7.88,2.00,3.00,1.00,420,NULL,NULL,'BELA VISTA','S JOSÉ','SC',16934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6031986,3.00,3.00,2.00,3.00,7.00,12.00,2.00,3.00,5.00,214,NULL,213,'JARDIM SATÉLITE','S JOSÉ CAMPOS','SP',10446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032010,5.00,5.00,1.00,5.00,7.00,9.00,0.00,2.00,3.00,340,NULL,NULL,'CENTRO','PINDAMONHANGABA','SP',11924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM MOTORAMA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6032044,7.00,7.00,6.00,6.00,10.00,NULL,0.00,7.00,8.00,103,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032052,6.00,5.00,2.00,1.00,7.00,9.38,1.00,6.00,3.00,304,NULL,NULL,'J PALMA TRAVASSOS','RIBEIRÃO PRETO','SP',12662,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6032060,5.00,4.00,0.00,6.00,6.00,10.50,0.00,0.00,1.00,303,NULL,NULL,'PARQUE SÃO DOMINGOS','S PAULO','SP',18672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032079,2.00,4.00,2.00,7.00,8.00,7.50,4.00,2.00,1.00,319,NULL,NULL,'CENTRO','PALHOÇA','SC',15811,301,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032087,4.00,6.00,3.00,2.00,3.00,NULL,0.00,2.00,1.00,340,NULL,NULL,'ALTO TAQUARAL','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032095,7.00,7.00,6.00,6.00,9.00,10.50,4.00,7.00,5.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032109,3.00,5.00,3.00,2.00,5.00,8.63,3.00,2.00,2.00,319,NULL,NULL,'BIGORRILHO','CURITIBA','PR',15187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032117,4.00,3.00,0.00,5.00,5.00,9.00,3.00,2.00,2.00,110,NULL,NULL,'CAMPOS ELIZEOS','CAMPINAS','SP',17321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032125,1.00,4.00,2.00,2.00,4.00,8.25,0.00,1.00,2.00,103,NULL,NULL,'FORQUETA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6032141,3.00,4.00,2.00,5.00,6.00,9.00,4.00,3.00,1.00,109,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',13390,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6032168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6032176,4.00,4.00,3.00,4.00,10.00,8.25,1.00,5.00,1.00,332,NULL,NULL,'NOS SRA DO ROSARIO','S JOSÉ','SC',13464,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6032184,7.00,7.00,2.00,7.00,8.00,11.63,0.00,5.00,5.00,303,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',3301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032192,9.00,7.00,6.00,6.00,8.00,10.13,4.00,7.00,7.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',1074,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6032206,1.00,4.00,2.00,1.00,4.00,NULL,0.00,0.00,1.00,502,NULL,NULL,'PADRE EDUARDO','TAIÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6032214,0.00,5.00,1.00,2.00,5.00,6.38,0.00,2.00,2.00,336,NULL,NULL,'COPACABANA','LAGES','SC',21326,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6032222,7.00,6.00,5.00,6.00,7.00,7.88,1.00,5.00,5.00,203,NULL,NULL,'CIDADE MONÇOES','MARINGÁ','PR',3635,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6032249,8.00,7.00,3.00,2.00,6.00,7.13,5.00,7.00,8.00,103,NULL,NULL,'VILA DIONISIA','S PAULO','SP',4021,2090,NULL,NULL,NULL,NULL,NULL,2,1),(25,6032265,4.00,6.00,3.00,6.00,5.00,11.25,2.00,6.00,3.00,207,NULL,212,'SACO GRANDE','FLORIANÓPOLIS','SC',11005,568,NULL,321,NULL,NULL,NULL,2,1),(25,6032281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'OXFORD','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6032303,7.00,6.00,8.00,7.00,8.00,10.88,4.00,8.00,8.00,233,NULL,235,'TRICOLIN','CANOINHAS','SC',598,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6032311,5.00,5.00,1.00,3.00,7.00,7.88,0.00,1.00,3.00,9,NULL,NULL,'BOQUEIRAO','SANTOS','SP',14094,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6032320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BELA VISTA','MTE SIÃO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6032338,4.00,5.00,4.00,5.00,8.00,6.75,2.00,2.00,2.00,220,NULL,203,'BOSQUE DA SAUDE','CUIABÁ','MT',13030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032346,5.00,5.00,0.00,5.00,9.00,NULL,1.00,7.00,3.00,104,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,212,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6032362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6032370,2.00,7.00,4.00,4.00,7.00,NULL,0.00,2.00,1.00,319,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032400,2.00,4.00,1.00,2.00,4.00,6.00,1.00,1.00,1.00,201,NULL,NULL,'SAVEIRO','BIGUAÇU','SC',21660,1739,NULL,NULL,NULL,NULL,NULL,2,1),(25,6032419,6.00,3.00,2.00,5.00,7.00,8.25,3.00,4.00,3.00,303,NULL,NULL,'ROÇADO','S JOSÉ','SC',10790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032427,3.00,5.00,3.00,5.00,7.00,8.25,2.00,1.00,1.00,303,NULL,NULL,'SÃO LUÍS','JARAGUÁ SUL','SC',15040,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6032435,8.00,7.00,8.00,5.00,8.00,9.38,5.00,7.00,6.00,203,NULL,214,'ESTREITO','FLORIANÓPOLIS','SC',1447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032443,4.00,4.00,3.00,7.00,7.00,9.75,2.00,3.00,3.00,340,NULL,NULL,'PARQUE SÃO SEBASTIÃO','PTO ALEGRE','RS',10455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032451,5.00,5.00,4.00,6.00,7.00,9.00,3.00,5.00,7.00,452,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032460,6.00,7.00,4.00,6.00,7.00,5.63,5.00,7.00,7.00,220,NULL,235,'INGLESES','FLORIANÓPOLIS','SC',3914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032486,5.00,4.00,2.00,4.00,9.00,9.00,4.00,5.00,3.00,108,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',8015,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6032494,4.00,5.00,4.00,1.00,8.00,8.63,2.00,2.00,2.00,444,NULL,NULL,'RIO BONITO','JOINVILLE','SC',12477,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6032508,6.00,4.00,2.00,7.00,7.00,7.13,3.00,5.00,3.00,337,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',10925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032524,3.00,2.00,2.00,2.00,5.00,7.88,3.00,2.00,1.00,110,NULL,NULL,'BARRA DO RIO','ITAJAÍ','SC',18691,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6032532,6.00,5.00,5.00,5.00,9.00,6.75,2.00,8.00,7.00,103,NULL,NULL,'CENTRO','SOBRADINHO','RS',3850,2033,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032540,3.00,4.00,1.00,4.00,7.00,7.88,1.00,2.00,2.00,213,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16322,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6032559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOÃO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6032567,5.00,8.00,1.00,7.00,9.00,9.75,2.00,4.00,2.00,104,NULL,NULL,'ITAUM','JOINVILLE','SC',6951,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6032575,3.00,5.00,2.00,4.00,5.00,7.13,2.00,4.00,2.00,337,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',18358,40,NULL,NULL,NULL,NULL,NULL,2,1),(25,6032583,4.00,6.00,1.00,2.00,7.00,8.25,2.00,2.00,5.00,207,NULL,NULL,'VELHA','BLUMENAU','SC',12146,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6032591,5.00,7.00,3.00,6.00,8.00,10.50,1.00,7.00,4.00,301,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',4147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032605,3.00,4.00,2.00,5.00,5.00,NULL,0.00,0.00,3.00,420,NULL,NULL,'JARDIM ELIZABETE','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6032613,6.00,7.00,5.00,6.00,9.00,7.88,3.00,7.00,7.00,201,NULL,212,'VORSTADT','BLUMENAU','SC',2100,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6032621,1.00,5.00,3.00,2.00,5.00,6.75,1.00,5.00,1.00,420,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',20172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032630,7.00,5.00,1.00,7.00,7.00,9.00,3.00,3.00,1.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',11835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032648,4.00,6.00,1.00,3.00,8.00,NULL,0.00,2.00,3.00,211,NULL,212,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6032656,2.00,2.00,2.00,6.00,6.00,9.00,2.00,6.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032664,9.00,7.00,5.00,7.00,10.00,12.00,3.00,7.00,7.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032672,3.00,3.00,0.00,4.00,4.00,8.25,2.00,3.00,0.00,5,NULL,NULL,'MORRO DOS CONVENTOS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6032680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6032699,3.00,4.00,2.00,4.00,6.00,7.88,1.00,1.00,1.00,109,NULL,NULL,'STA RITA DE CASSIA','BAL GAIVOTA','SC',18817,121,NULL,NULL,NULL,NULL,NULL,2,15),(25,6032702,2.00,5.00,0.00,5.00,4.00,8.25,0.00,2.00,1.00,207,NULL,652,'VILA NOVA','BLUMENAU','SC',17403,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6032710,4.00,6.00,2.00,0.00,7.00,NULL,1.00,5.00,3.00,103,NULL,NULL,'SANTA MARIA','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6032729,8.00,6.00,4.00,6.00,8.00,9.75,6.00,6.00,8.00,203,NULL,202,'PQ JATIBAIA','CAMPINAS','SP',1028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032737,7.00,7.00,3.00,6.00,7.00,9.38,1.00,7.00,6.00,319,NULL,NULL,'CANTA GALO','RIO SUL','SC',3506,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6032745,5.00,5.00,2.00,4.00,9.00,9.38,0.00,5.00,3.00,501,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',9774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032753,5.00,6.00,1.00,6.00,8.00,7.50,0.00,4.00,3.00,304,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',12171,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6032761,7.00,4.00,4.00,2.00,8.00,9.38,1.00,6.00,4.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',7805,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6032770,1.00,2.00,2.00,2.00,4.00,10.50,2.00,4.00,2.00,308,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032788,4.00,5.00,0.00,3.00,4.00,6.38,3.00,4.00,0.00,203,NULL,211,'CENTRO','MARAU','RS',20399,1120,NULL,537,NULL,NULL,NULL,2,1),(25,6032796,3.00,3.00,3.00,5.00,2.00,NULL,2.00,1.00,2.00,444,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6032800,3.00,4.00,0.00,6.00,7.00,9.38,2.00,4.00,1.00,452,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',17618,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6032818,2.00,3.00,1.00,1.00,3.00,5.25,1.00,2.00,0.00,329,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6032826,2.00,1.00,3.00,3.00,5.00,6.75,2.00,2.00,3.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',18761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032834,4.00,5.00,2.00,3.00,6.00,9.75,3.00,3.00,3.00,211,NULL,215,'ITACORUBI','FLORIANÓPOLIS','SC',15872,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6032842,4.00,7.00,2.00,5.00,8.00,8.63,0.00,4.00,3.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9511,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6032850,4.00,3.00,2.00,2.00,8.00,9.75,2.00,3.00,4.00,203,NULL,235,'RES DAS ILHAS','BRAGANÇA PAULISTA','SP',13010,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6032869,0.00,4.00,6.00,7.00,7.00,7.13,0.00,2.00,2.00,423,NULL,424,'BARREIROS','S JOSÉ','SC',14721,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6032877,2.00,1.00,0.00,3.00,5.00,6.75,1.00,2.00,1.00,333,NULL,NULL,'SAMUEL SANDRINI','ORLEANS','SC',20833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032885,5.00,6.00,4.00,6.00,8.00,10.50,2.00,7.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032893,4.00,3.00,1.00,5.00,5.00,6.00,1.00,0.00,3.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',20402,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6032907,6.00,7.00,4.00,7.00,7.00,8.63,3.00,1.00,5.00,238,NULL,652,'PICADAS DO SUL','S JOSÉ','SC',8175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032915,3.00,4.00,1.00,5.00,8.00,7.50,0.00,5.00,2.00,502,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',13346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6032923,2.00,3.00,0.00,1.00,5.00,NULL,1.00,2.00,2.00,999,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6032931,3.00,5.00,2.00,4.00,5.00,NULL,1.00,3.00,0.00,110,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6032940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ELDORADO','CONTAGEM','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6032958,5.00,6.00,4.00,4.00,7.00,7.88,2.00,6.00,7.00,103,NULL,NULL,'SÃO CRSITOVÃO','CHAPECÓ','SC',5654,2610,NULL,NULL,NULL,NULL,NULL,4,4),(25,6032966,2.00,3.00,2.00,4.00,7.00,9.00,0.00,1.00,1.00,104,NULL,NULL,'CABRAL','CURITIBA','PR',18940,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6032974,3.00,4.00,5.00,3.00,7.00,8.25,2.00,2.00,4.00,101,NULL,NULL,'AREIAS','S JOSÉ','SC',15487,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6032982,7.00,7.00,2.00,6.00,8.00,9.38,1.00,6.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4975,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6032990,7.00,7.00,5.00,7.00,8.00,7.13,4.00,9.00,6.00,340,NULL,NULL,'PRIMEIRA LINHA','CRICIÚMA','SC',2235,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6033008,3.00,6.00,2.00,4.00,7.00,7.88,1.00,3.00,1.00,652,NULL,655,'MATO ALTO','ARARANGUÁ','SC',16105,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6033024,2.00,5.00,4.00,1.00,5.00,6.75,1.00,1.00,0.00,451,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6033032,8.00,8.00,2.00,7.00,9.00,8.63,3.00,6.00,8.00,103,NULL,NULL,'JARDINS','S PAULO','SP',2251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033040,5.00,6.00,3.00,5.00,7.00,8.25,4.00,5.00,3.00,202,NULL,201,'ANA MARIA','CRICIÚMA','SC',6742,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6033067,6.00,5.00,4.00,7.00,8.00,8.25,2.00,4.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033075,2.00,4.00,0.00,4.00,4.00,NULL,2.00,2.00,0.00,999,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6033083,2.00,4.00,1.00,2.00,7.00,8.63,2.00,4.00,3.00,329,NULL,NULL,'CANUDOS','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033091,7.00,5.00,3.00,0.00,8.00,9.00,1.00,7.00,5.00,303,NULL,NULL,'CENTRO','CURITIBANOS','SC',8942,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6033105,2.00,3.00,1.00,4.00,5.00,7.50,1.00,2.00,1.00,340,NULL,NULL,'COLONIA CELLA','CHAPECÓ','SC',19367,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6033113,5.00,4.00,1.00,6.00,7.00,9.75,2.00,6.00,5.00,207,NULL,233,'ITACORUBI','FLORIANÓPOLIS','SC',7378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033121,3.00,8.00,2.00,5.00,7.00,10.13,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','CAMBORIÚ','SC',8709,3327,NULL,NULL,NULL,NULL,NULL,4,3),(25,6033130,6.00,5.00,3.00,5.00,6.00,10.13,2.00,2.00,0.00,302,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033164,3.00,4.00,2.00,5.00,9.00,7.88,4.00,3.00,2.00,214,NULL,208,'COSTA E SILVA','JOINVILLE','SC',11269,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6033172,2.00,0.00,3.00,1.00,6.00,NULL,0.00,0.00,0.00,215,NULL,211,'LIDER','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(25,6033180,4.00,4.00,0.00,3.00,7.00,9.38,4.00,1.00,3.00,327,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6033199,5.00,7.00,3.00,3.00,8.00,9.38,1.00,5.00,7.00,101,NULL,NULL,'NAÇÕES','TIMBÓ','SC',6552,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6033202,4.00,4.00,3.00,4.00,6.00,8.63,1.00,4.00,1.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',17449,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6033210,6.00,3.00,2.00,1.00,6.00,8.25,0.00,3.00,2.00,103,NULL,NULL,'SANTO AMARO','S PAULO','SP',13029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033229,6.00,5.00,4.00,6.00,8.00,12.38,1.00,8.00,4.00,220,NULL,208,'FORQUILHINHAS','S JOSÉ','SC',2754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033237,4.00,5.00,1.00,4.00,1.00,NULL,0.00,2.00,2.00,425,NULL,429,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033245,3.00,6.00,3.00,3.00,6.00,7.88,3.00,2.00,4.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',15279,688,NULL,NULL,NULL,NULL,NULL,2,1),(25,6033253,3.00,4.00,2.00,7.00,8.00,8.63,3.00,0.00,2.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',13035,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6033261,8.00,4.00,6.00,5.00,10.00,10.50,4.00,7.00,9.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',1310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033270,2.00,5.00,3.00,4.00,8.00,11.25,1.00,2.00,3.00,104,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',14552,373,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033288,5.00,6.00,2.00,6.00,7.00,8.63,3.00,5.00,3.00,103,NULL,NULL,'APARECIDA','SANTOS','SP',8262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6033300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA TEREZA OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6033318,3.00,5.00,0.00,4.00,5.00,NULL,1.00,2.00,0.00,103,NULL,NULL,'ALVORADA','CUIABÁ','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6033326,6.00,5.00,1.00,3.00,8.00,8.63,4.00,4.00,3.00,207,NULL,211,'SÃO CRISTOVÃO','PTO VELHO','RO',9927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033334,7.00,6.00,4.00,3.00,9.00,9.75,1.00,5.00,6.00,103,NULL,NULL,'JARDIM CHAPADÃO','CAMPINAS','SP',5093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033342,3.00,6.00,1.00,7.00,7.00,9.75,4.00,7.00,2.00,999,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6033350,6.00,6.00,2.00,4.00,6.00,9.00,4.00,7.00,6.00,203,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',4935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033369,2.00,4.00,3.00,0.00,3.00,NULL,2.00,1.00,0.00,450,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM PARAIBA','APARECIDA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6033385,4.00,3.00,1.00,1.00,6.00,9.38,0.00,1.00,3.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033393,3.00,4.00,1.00,2.00,5.00,6.75,2.00,3.00,2.00,316,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033407,3.00,2.00,0.00,3.00,6.00,5.63,1.00,4.00,3.00,208,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',18818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033415,7.00,5.00,3.00,7.00,6.00,10.50,2.00,3.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033423,2.00,2.00,1.00,5.00,3.00,5.63,3.00,2.00,2.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6033440,9.00,7.00,7.00,6.00,7.00,9.38,6.00,6.00,9.00,103,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033466,5.00,6.00,3.00,6.00,6.00,7.50,2.00,4.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033474,1.00,4.00,1.00,2.00,3.00,NULL,2.00,0.00,2.00,108,NULL,NULL,'CENTRO','GEN CARNEIRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6033482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6033490,7.00,7.00,7.00,7.00,7.00,8.63,6.00,4.00,9.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',1305,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6033504,2.00,7.00,2.00,5.00,7.00,8.63,1.00,4.00,1.00,207,NULL,201,'OURO VERDE','LIMEIRA','SP',11390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033512,5.00,3.00,2.00,3.00,4.00,9.00,3.00,5.00,4.00,203,NULL,220,'PONTA AGUDA','BLUMENAU','SC',10052,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6033520,7.00,8.00,2.00,5.00,8.00,10.13,0.00,7.00,7.00,103,NULL,NULL,'CENTRO','CPO ERÊ','SC',4287,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6033539,6.00,7.00,2.00,6.00,9.00,7.88,1.00,6.00,4.00,5,NULL,NULL,'TRIANOM','GUARAPUAVA','PR',5432,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6033547,5.00,6.00,1.00,3.00,4.00,NULL,3.00,0.00,7.00,201,NULL,216,'JARDIM CRISTO REI','MARÍLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033555,5.00,6.00,2.00,5.00,6.00,12.75,3.00,6.00,4.00,220,NULL,216,'SANTA MARIA','CHAPECÓ','SC',5353,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6033563,6.00,6.00,4.00,4.00,4.00,7.13,2.00,3.00,5.00,216,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',11410,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6033571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6033580,2.00,4.00,0.00,4.00,8.00,4.50,1.00,3.00,1.00,208,NULL,652,'ESTREITO','FLORIANÓPOLIS','SC',20338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033598,1.00,1.00,1.00,0.00,5.00,7.50,3.00,2.00,0.00,450,NULL,NULL,'CENTRO','IÇARA','SC',20156,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6033601,4.00,2.00,1.00,1.00,8.00,7.88,2.00,2.00,1.00,333,NULL,NULL,'JD PANORAMA','VALINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033610,2.00,2.00,1.00,1.00,3.00,6.75,1.00,1.00,5.00,212,NULL,207,'PONTE DO IMARUIM','PALHOÇA','SC',20082,562,NULL,1094,NULL,NULL,NULL,4,1),(25,6033628,3.00,4.00,0.00,5.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6033636,3.00,6.00,3.00,4.00,5.00,7.88,0.00,2.00,3.00,104,NULL,NULL,'GRUTA','ITUPORANGA','SC',17950,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6033644,6.00,7.00,4.00,7.00,7.00,9.38,2.00,7.00,4.00,415,NULL,NULL,'JARDIM COLOMBO','ITAPETININGA','SP',4241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033652,3.00,5.00,4.00,4.00,4.00,7.13,2.00,5.00,6.00,201,NULL,213,'CARANDÁ BOSQUE II','CPO GRANDE','MS',9559,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6033679,3.00,2.00,1.00,2.00,7.00,9.00,1.00,1.00,0.00,207,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',19295,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6033687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6033695,2.00,4.00,1.00,3.00,7.00,7.50,1.00,4.00,2.00,338,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',19219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033709,6.00,6.00,2.00,6.00,7.00,10.88,2.00,4.00,5.00,420,NULL,NULL,'KOBRASOL','S JOSÉ','SC',5104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033725,3.00,4.00,0.00,6.00,7.00,NULL,2.00,2.00,0.00,212,NULL,233,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6033733,3.00,3.00,1.00,3.00,5.00,7.50,0.00,1.00,4.00,220,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033768,7.00,5.00,5.00,7.00,8.00,9.38,4.00,4.00,7.00,202,NULL,203,'PITUBA','SALVADOR','BA',2599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033776,4.00,5.00,3.00,4.00,7.00,6.00,2.00,3.00,4.00,102,NULL,NULL,'CRUZEIRO','RIO NEGRINHO','SC',10839,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6033792,5.00,5.00,4.00,7.00,7.00,9.38,3.00,1.00,3.00,235,NULL,601,'CENTRO','CRICIÚMA','SC',11451,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6033806,4.00,5.00,3.00,6.00,7.00,9.00,2.00,3.00,3.00,340,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',13148,302,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033814,3.00,6.00,3.00,2.00,4.00,6.75,0.00,2.00,3.00,202,NULL,213,'VARGEM GRANDE','ÁGUAS MORNAS','SC',17060,532,NULL,249,NULL,NULL,NULL,2,1),(25,6033822,7.00,5.00,3.00,5.00,8.00,11.63,1.00,5.00,6.00,103,NULL,NULL,'CENTRO','PTO UNIÃO','SC',5743,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6033830,6.00,7.00,2.00,4.00,7.00,10.13,2.00,4.00,6.00,5,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',5998,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6033857,3.00,4.00,2.00,4.00,6.00,7.13,2.00,3.00,2.00,104,NULL,NULL,'CENTRO','CHAPECÓ','SC',18303,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6033865,3.00,3.00,1.00,3.00,4.00,9.75,1.00,2.00,1.00,104,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6033873,5.00,4.00,2.00,6.00,7.00,8.25,1.00,3.00,2.00,601,NULL,212,'ATIRADORES','JOINVILLE','SC',12290,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6033881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'VILA SANTA CATARINA','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6033890,3.00,2.00,2.00,2.00,6.00,5.25,1.00,3.00,3.00,102,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',19364,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6033911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6033920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6033938,2.00,3.00,2.00,3.00,7.00,8.25,3.00,1.00,2.00,340,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',19553,422,NULL,NULL,NULL,NULL,NULL,2,1),(25,6033946,2.00,4.00,2.00,2.00,6.00,6.00,0.00,3.00,5.00,2,NULL,NULL,'VELHA','BLUMENAU','SC',19694,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6033954,3.00,3.00,1.00,2.00,5.00,5.25,3.00,3.00,0.00,601,NULL,207,'CENTRO','LARANJEIRAS SUL','PR',18625,521,NULL,1000,NULL,NULL,NULL,2,4),(25,6033962,4.00,7.00,3.00,0.00,4.00,NULL,4.00,3.00,7.00,207,NULL,201,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033970,6.00,4.00,3.00,4.00,6.00,NULL,3.00,0.00,2.00,333,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6033989,5.00,5.00,2.00,2.00,8.00,9.38,2.00,1.00,4.00,215,NULL,211,'RAINHA','LOUVEIRA','SP',10821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6033997,5.00,3.00,6.00,4.00,9.00,8.63,5.00,3.00,3.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',6819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034004,6.00,6.00,1.00,7.00,9.00,9.38,1.00,5.00,6.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',5068,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6034012,5.00,4.00,5.00,5.00,5.00,8.25,1.00,4.00,2.00,653,NULL,601,'PIONEIROS','BAL CAMBORIÚ','SC',13267,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6034020,6.00,5.00,4.00,7.00,8.00,9.75,4.00,6.00,6.00,220,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',3127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034039,6.00,6.00,2.00,6.00,8.00,7.88,3.00,4.00,2.00,203,NULL,208,'VILA PRUDENTE','S PAULO','SP',7316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034047,7.00,5.00,2.00,6.00,8.00,9.00,3.00,5.00,7.00,103,NULL,NULL,'MERCES','CURITIBA','PR',3113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034055,4.00,3.00,2.00,6.00,8.00,10.50,2.00,2.00,6.00,103,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',9838,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6034063,7.00,6.00,7.00,7.00,8.00,9.38,5.00,6.00,9.00,216,NULL,601,'AMÉRICA','JOINVILLE','SC',678,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6034071,2.00,3.00,2.00,2.00,4.00,NULL,1.00,3.00,1.00,601,NULL,216,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(25,6034080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6034098,6.00,6.00,4.00,4.00,10.00,9.75,4.00,8.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034101,3.00,0.00,0.00,2.00,2.00,NULL,1.00,0.00,1.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6034110,4.00,4.00,2.00,3.00,8.00,9.38,5.00,3.00,6.00,207,NULL,201,'BARRA','BAL CAMBORIÚ','SC',8464,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6034128,1.00,3.00,2.00,4.00,4.00,9.00,1.00,1.00,3.00,225,NULL,NULL,'PORTO MENDES','MAL CÂNDIDO RONDON','PR',16779,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6034136,3.00,5.00,1.00,2.00,5.00,6.38,2.00,5.00,3.00,317,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',18950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6034152,6.00,6.00,2.00,5.00,8.00,6.75,2.00,3.00,3.00,333,NULL,NULL,'TERRA PRETA','MAIRIPORÃ','SP',9870,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6034160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6034179,4.00,6.00,5.00,6.00,8.00,10.13,3.00,5.00,2.00,999,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034187,1.00,4.00,0.00,2.00,7.00,NULL,1.00,2.00,0.00,327,NULL,NULL,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034195,2.00,3.00,4.00,1.00,4.00,6.00,1.00,1.00,3.00,101,NULL,NULL,'PRAIA DA FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6034209,8.00,7.00,4.00,3.00,9.00,10.50,5.00,5.00,8.00,103,NULL,NULL,'SAN FERNANDO','LONDRINA','PR',1437,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6034217,2.00,3.00,1.00,2.00,3.00,4.88,1.00,3.00,0.00,318,NULL,NULL,'CAMPINAS','S JOSÉ','SC',21145,112,NULL,NULL,NULL,NULL,NULL,2,1),(25,6034225,6.00,8.00,3.00,5.00,9.00,8.63,1.00,4.00,6.00,415,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',5868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034233,6.00,6.00,2.00,6.00,10.00,9.38,2.00,6.00,4.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',5021,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6034241,5.00,4.00,3.00,4.00,7.00,8.63,1.00,2.00,5.00,203,NULL,214,'VILA BARROS','DRACENA','SP',10217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6034250,2.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6034276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ZONA II','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6034284,5.00,3.00,1.00,0.00,6.00,NULL,2.00,3.00,4.00,108,NULL,NULL,'CAÇADOR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6034292,1.00,5.00,2.00,3.00,5.00,6.00,4.00,1.00,4.00,201,NULL,202,'GUANABARA','JOINVILLE','SC',19778,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6034306,5.00,5.00,0.00,4.00,10.00,8.63,3.00,3.00,5.00,216,NULL,207,'JARDIM BANDEIRANTES','OURINHOS','SP',7821,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6034314,6.00,4.00,7.00,7.00,8.00,10.13,5.00,6.00,6.00,216,NULL,215,'CARAVAGGIO','NOVA VENEZA','SC',1412,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6034322,2.00,0.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(25,6034330,3.00,3.00,0.00,4.00,5.00,7.50,1.00,2.00,2.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',18582,792,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034349,8.00,7.00,5.00,6.00,9.00,10.88,4.00,6.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',901,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6034357,5.00,7.00,1.00,7.00,8.00,12.00,2.00,5.00,4.00,320,NULL,NULL,'CENTRO','RIO NEGRO','PR',4826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034365,6.00,5.00,4.00,7.00,8.00,10.13,2.00,7.00,7.00,201,NULL,207,'CENTRO','CAPINZAL','SC',2213,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6034390,3.00,3.00,1.00,3.00,6.00,8.25,3.00,3.00,2.00,102,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6034403,4.00,5.00,4.00,7.00,5.00,NULL,4.00,4.00,3.00,999,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6034411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6034420,3.00,4.00,2.00,2.00,4.00,8.63,0.00,1.00,1.00,303,NULL,NULL,'SANTANA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6034438,3.00,7.00,2.00,5.00,6.00,11.25,2.00,7.00,3.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6034446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CÂNDIDA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6034454,7.00,8.00,3.00,6.00,8.00,8.63,5.00,6.00,6.00,233,NULL,215,'VALE ITAMARACA','VALINHOS','SP',1579,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6034462,1.00,2.00,0.00,3.00,1.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6034470,6.00,7.00,6.00,5.00,8.00,9.75,4.00,6.00,5.00,5,NULL,NULL,'CENTRO','PALHOÇA','SC',2969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034489,1.00,4.00,2.00,3.00,3.00,7.13,2.00,0.00,2.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034497,5.00,7.00,5.00,7.00,7.00,6.75,0.00,5.00,6.00,214,NULL,203,'CENTRO','LAGES','SC',5822,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6034500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'POIARES','CARAGUATATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6034519,5.00,3.00,1.00,4.00,7.00,NULL,0.00,1.00,2.00,301,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6034527,4.00,2.00,0.00,1.00,3.00,7.13,2.00,2.00,1.00,208,NULL,220,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034535,4.00,5.00,1.00,5.00,7.00,10.50,2.00,3.00,3.00,207,NULL,201,'ALTO DO IPIRANGA','MOGI CRUZES','SP',9530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034543,4.00,5.00,1.00,4.00,5.00,10.13,2.00,2.00,4.00,303,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',15931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034551,6.00,8.00,6.00,4.00,9.00,8.63,1.00,3.00,7.00,207,NULL,216,'CANUDOS','NOVO HAMBURGO','RS',3800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6034578,3.00,3.00,0.00,2.00,6.00,NULL,0.00,3.00,2.00,415,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6034586,3.00,4.00,1.00,3.00,4.00,9.00,2.00,4.00,3.00,303,NULL,NULL,'GARCIA','BLUMENAU','SC',15795,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6034594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'AGUAS CLARAS','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6034608,4.00,5.00,3.00,4.00,9.00,8.63,1.00,4.00,1.00,340,NULL,NULL,'SABOÓ','SANTOS','SP',12144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034616,3.00,7.00,2.00,6.00,6.00,11.25,2.00,5.00,1.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034624,7.00,4.00,1.00,4.00,6.00,7.50,3.00,6.00,2.00,208,NULL,211,'CARIANOS','FLORIANÓPOLIS','SC',13336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034632,7.00,5.00,3.00,6.00,7.00,9.75,4.00,7.00,7.00,5,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',3254,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6034640,5.00,5.00,3.00,6.00,7.00,9.00,5.00,1.00,4.00,104,NULL,NULL,'CENTRO','BLUMENAU','SC',10275,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6034659,6.00,6.00,5.00,6.00,9.00,9.00,0.00,3.00,3.00,211,NULL,215,'BARREIROS','S JOSÉ','SC',7072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034667,5.00,6.00,1.00,6.00,5.00,8.25,1.00,2.00,4.00,211,NULL,216,'CENTRO','BAL CAMBORIÚ','SC',11429,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6034675,7.00,5.00,2.00,4.00,7.00,7.50,2.00,4.00,4.00,201,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',10434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034691,4.00,3.00,1.00,4.00,6.00,8.25,3.00,6.00,4.00,601,NULL,202,'VILA OPERARIA','ITAJAÍ','SC',11757,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6034705,8.00,4.00,5.00,3.00,5.00,7.50,3.00,5.00,6.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM LONDRINA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6034721,4.00,3.00,2.00,2.00,5.00,7.50,1.00,0.00,2.00,103,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',19753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6034748,4.00,5.00,5.00,6.00,6.00,10.13,0.00,4.00,4.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10463,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6034756,5.00,7.00,4.00,3.00,8.00,9.00,2.00,3.00,4.00,103,NULL,NULL,'VILA MARIZA','LAGES','SC',7483,3064,NULL,NULL,NULL,NULL,NULL,4,9),(25,6034780,5.00,8.00,4.00,7.00,7.00,10.13,0.00,5.00,4.00,420,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7474,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6034799,9.00,8.00,5.00,5.00,9.00,7.88,6.00,6.00,8.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',1069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034802,7.00,7.00,5.00,7.00,10.00,10.50,2.00,6.00,8.00,453,NULL,NULL,'BELA VISTA','RIO NEGRINHO','SC',1899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034810,7.00,7.00,5.00,7.00,9.00,10.13,4.00,6.00,8.00,211,NULL,215,'CENTRO','BAL CAMBORIÚ','SC',1368,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6034829,9.00,6.00,5.00,7.00,10.00,9.38,3.00,6.00,9.00,208,NULL,238,'CAMPINAS','S JOSÉ','SC',1270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034837,3.00,5.00,1.00,2.00,5.00,9.38,1.00,4.00,5.00,203,NULL,214,'VILA BARROS','DRACENA','SP',12909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6034845,7.00,5.00,4.00,4.00,7.00,7.88,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','ARAPONGAS','PR',4692,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6034853,6.00,5.00,3.00,5.00,8.00,8.63,3.00,1.00,5.00,233,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',7417,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6034861,3.00,2.00,1.00,2.00,2.00,NULL,0.00,1.00,0.00,653,NULL,655,'DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6034870,1.00,4.00,0.00,6.00,5.00,NULL,3.00,6.00,2.00,238,NULL,235,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034896,6.00,6.00,3.00,4.00,10.00,7.88,2.00,8.00,6.00,5,NULL,NULL,'MORRO DA CRUZ','FLORIANÓPOLIS','SC',4045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6034900,7.00,6.00,7.00,5.00,6.00,9.75,1.00,7.00,7.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034918,7.00,6.00,2.00,3.00,10.00,8.63,1.00,7.00,7.00,103,NULL,NULL,'CENTRO','CAMAÇARI','BA',4157,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6034926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6034934,1.00,1.00,1.00,1.00,4.00,8.63,0.00,0.00,0.00,207,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',21775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6034942,8.00,5.00,2.00,4.00,8.00,8.63,1.00,7.00,5.00,216,NULL,233,'JADIM VALPARAIBA','S JOSÉ CAMPOS','SP',6922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6034950,3.00,1.00,2.00,5.00,5.00,NULL,0.00,2.00,0.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6034977,4.00,5.00,1.00,4.00,8.00,NULL,0.00,0.00,2.00,201,NULL,207,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6034985,5.00,2.00,0.00,5.00,9.00,7.50,3.00,3.00,2.00,601,NULL,214,'VILA MOEMA','TUBARÃO','SC',13847,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6034993,7.00,6.00,4.00,6.00,10.00,9.00,1.00,2.00,6.00,238,NULL,208,'SANTO ANT DE PÁDUA','TUBARÃO','SC',6003,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6035000,4.00,6.00,2.00,3.00,5.00,6.00,2.00,0.00,3.00,601,NULL,216,'MORRO DO MEIO','JOINVILLE','SC',16000,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6035019,6.00,7.00,5.00,2.00,9.00,11.63,2.00,1.00,5.00,207,NULL,201,'CANTO DO FORTE','PR GRANDE','SP',4800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6035035,6.00,7.00,2.00,5.00,9.00,9.75,1.00,6.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7793,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6035051,1.00,3.00,2.00,3.00,4.00,7.88,1.00,1.00,0.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',20664,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'ZIMBROS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6035086,8.00,6.00,3.00,6.00,9.00,7.88,2.00,6.00,7.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',4474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035094,5.00,5.00,2.00,3.00,5.00,7.13,1.00,5.00,2.00,3,NULL,NULL,'JARDIM ELDORADO','FLORIANÓPOLIS','SC',17444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035108,4.00,7.00,1.00,6.00,8.00,7.88,1.00,4.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035116,2.00,6.00,4.00,2.00,5.00,7.50,2.00,3.00,4.00,201,NULL,212,'ROÇADO','S JOSÉ','SC',14677,1249,NULL,428,NULL,NULL,NULL,4,1),(25,6035132,5.00,5.00,1.00,7.00,8.00,10.88,2.00,9.00,3.00,415,NULL,NULL,'CENTRO','PELOTAS','RS',4401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035140,7.00,8.00,3.00,6.00,8.00,8.63,4.00,4.00,4.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',4597,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6035159,2.00,4.00,0.00,3.00,5.00,6.75,1.00,3.00,2.00,309,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20877,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035167,4.00,4.00,2.00,6.00,5.00,7.50,2.00,1.00,4.00,201,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',15094,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6035175,8.00,8.00,7.00,7.00,10.00,9.38,5.00,7.00,9.00,310,NULL,NULL,'CENTRO','CURITIBA','PR',241,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6035183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,423,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6035191,1.00,3.00,1.00,4.00,4.00,6.75,2.00,2.00,2.00,205,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',20429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035205,3.00,3.00,1.00,5.00,5.00,8.25,1.00,1.00,1.00,654,NULL,NULL,'SANTO ANTONIO','FRAIBURGO','SC',18885,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6035221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6035230,1.00,3.00,2.00,2.00,4.00,6.75,0.00,1.00,2.00,212,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',21509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035248,7.00,5.00,3.00,6.00,8.00,8.25,3.00,7.00,7.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035256,4.00,3.00,2.00,2.00,7.00,7.13,4.00,5.00,6.00,216,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',13012,456,NULL,1102,NULL,NULL,NULL,2,1),(25,6035264,7.00,8.00,4.00,6.00,10.00,12.00,3.00,8.00,6.00,207,NULL,NULL,'VISTA VERDE','S JOSÉ CAMPOS','SP',749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035272,6.00,5.00,1.00,3.00,8.00,11.63,1.00,7.00,4.00,103,NULL,NULL,'SÃO PEDRO','LAGES','SC',7746,3130,NULL,NULL,NULL,NULL,NULL,2,9),(25,6035280,6.00,6.00,1.00,6.00,9.00,10.50,1.00,8.00,6.00,303,NULL,NULL,'MARECHAL RONDON','CANOAS','RS',3776,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6035302,5.00,7.00,3.00,6.00,8.00,8.63,1.00,5.00,3.00,238,NULL,208,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',7379,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035310,6.00,6.00,2.00,4.00,7.00,8.63,2.00,2.00,3.00,103,NULL,NULL,'BOA VISTA','POUSO REDONDO','SC',11281,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ESTEIO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6035337,2.00,4.00,2.00,2.00,4.00,NULL,2.00,0.00,0.00,309,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035345,3.00,2.00,2.00,4.00,4.00,8.25,1.00,0.00,2.00,102,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',19521,246,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035353,4.00,6.00,5.00,6.00,6.00,7.88,2.00,3.00,5.00,601,NULL,201,'VILA LALAU','JARAGUÁ SUL','SC',11074,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6035361,4.00,7.00,1.00,6.00,9.00,7.50,1.00,4.00,3.00,999,NULL,NULL,'PROGRESSO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035370,5.00,5.00,3.00,6.00,6.00,8.63,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035388,7.00,2.00,3.00,4.00,5.00,NULL,0.00,4.00,5.00,103,NULL,NULL,'ESPLANADA','PACAEMBU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035396,4.00,5.00,4.00,7.00,10.00,10.50,1.00,5.00,4.00,415,NULL,NULL,'ZONA II','UMUARAMA','PR',4411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD ALBATROZ','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6035418,5.00,7.00,5.00,7.00,7.00,7.50,2.00,6.00,8.00,202,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',3628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035426,10.00,8.00,6.00,7.00,10.00,12.38,6.00,7.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',25,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035434,3.00,2.00,3.00,4.00,6.00,6.00,0.00,3.00,3.00,201,NULL,235,'MADRI','PALHOÇA','SC',18246,1511,NULL,435,NULL,NULL,NULL,2,1),(25,6035442,3.00,2.00,0.00,1.00,6.00,NULL,1.00,4.00,2.00,201,NULL,207,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035450,4.00,5.00,0.00,5.00,7.00,7.88,0.00,5.00,2.00,304,NULL,NULL,'CAÇADOR','CAPIVARI BAIXO','SC',12507,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6035469,7.00,7.00,8.00,8.00,9.00,14.25,6.00,7.00,8.00,303,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035485,2.00,2.00,0.00,1.00,4.00,NULL,2.00,3.00,1.00,601,NULL,NULL,'JARDIM PARAÍSO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6035493,3.00,7.00,2.00,4.00,5.00,7.50,3.00,4.00,4.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13298,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035507,4.00,6.00,4.00,4.00,8.00,10.50,1.00,4.00,5.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8196,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035515,3.00,4.00,2.00,3.00,4.00,5.25,2.00,5.00,3.00,308,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',19632,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035523,9.00,7.00,8.00,5.00,9.00,9.75,4.00,8.00,9.00,103,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',222,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6035531,7.00,5.00,3.00,5.00,7.00,7.88,4.00,4.00,6.00,103,NULL,NULL,'REBOUCAS','CURITIBA','PR',5699,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6035540,4.00,6.00,4.00,5.00,7.00,9.00,3.00,6.00,5.00,201,NULL,212,'CARIANOS','FLORIANÓPOLIS','SC',8226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035558,3.00,5.00,0.00,4.00,4.00,7.88,1.00,0.00,1.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035566,2.00,3.00,0.00,2.00,4.00,6.38,1.00,0.00,0.00,203,NULL,214,'CENTRO','LAURENTINO','SC',21412,1161,NULL,457,NULL,NULL,NULL,4,2),(25,6035574,6.00,6.00,3.00,7.00,8.00,9.00,5.00,8.00,3.00,303,NULL,NULL,'VILA HAMBURGUESA','S PAULO','SP',2453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA C UNIVERSITÁRIA','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6035590,6.00,5.00,4.00,5.00,9.00,10.13,0.00,3.00,4.00,303,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',7757,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035604,8.00,0.00,3.00,6.00,7.00,NULL,0.00,0.00,0.00,207,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6035612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6035639,6.00,7.00,5.00,6.00,7.00,9.00,5.00,5.00,7.00,201,NULL,215,'CAPOEIRAS','FLORIANÓPOLIS','SC',3148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035647,6.00,7.00,1.00,4.00,10.00,8.25,3.00,5.00,7.00,103,NULL,NULL,'ZONA UM','MARINGÁ','PR',6937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035655,9.00,8.00,5.00,5.00,10.00,11.63,2.00,6.00,7.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035663,7.00,5.00,3.00,6.00,7.00,9.38,0.00,3.00,6.00,103,NULL,NULL,'SÍTIO CERCADO','CURITIBA','PR',7662,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035671,2.00,3.00,3.00,4.00,3.00,5.63,3.00,2.00,1.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035698,3.00,5.00,2.00,3.00,6.00,10.50,1.00,2.00,4.00,109,NULL,NULL,'CENTRO','JAGUARUNA','SC',12187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035701,7.00,5.00,3.00,7.00,8.00,11.25,4.00,7.00,8.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',1786,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6035710,4.00,3.00,5.00,4.00,8.00,9.00,2.00,3.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035728,3.00,5.00,2.00,5.00,7.00,9.00,0.00,1.00,1.00,336,NULL,NULL,'CENTRO','BRUSQUE','SC',17293,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6035736,6.00,7.00,6.00,6.00,8.00,6.75,3.00,5.00,7.00,103,NULL,NULL,'JD ANALIA FRANCO','S PAULO','SP',2296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035752,6.00,6.00,4.00,6.00,8.00,8.63,2.00,6.00,3.00,201,NULL,NULL,'VILA DUBOS','PRES PRUDENTE','SP',5147,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6035760,5.00,6.00,3.00,1.00,5.00,5.63,2.00,2.00,1.00,420,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',18799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035779,6.00,7.00,6.00,7.00,9.00,13.13,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',2016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035787,7.00,7.00,3.00,6.00,7.00,9.00,4.00,4.00,5.00,5,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',4564,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035795,8.00,7.00,3.00,4.00,10.00,11.63,0.00,7.00,6.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035809,3.00,5.00,4.00,5.00,9.00,6.75,2.00,4.00,4.00,208,NULL,238,'DAS NAÇÕES','BAL CAMBORIÚ','SC',10837,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6035825,4.00,3.00,1.00,3.00,6.00,NULL,0.00,3.00,0.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035833,8.00,7.00,7.00,5.00,9.00,13.88,4.00,7.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035841,6.00,4.00,0.00,3.00,9.00,8.25,2.00,5.00,1.00,303,NULL,NULL,'ZONA SETE','MARINGÁ','PR',13173,615,NULL,NULL,NULL,NULL,NULL,2,8),(25,6035868,9.00,6.00,4.00,7.00,10.00,11.63,3.00,7.00,6.00,303,NULL,NULL,'ITAUM','JOINVILLE','SC',1429,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6035876,4.00,4.00,1.00,3.00,6.00,5.25,0.00,2.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17442,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035892,6.00,7.00,6.00,7.00,9.00,7.88,6.00,8.00,8.00,214,NULL,212,'JARDIM TROPICAL','CUIABÁ','MT',964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6035906,5.00,2.00,0.00,3.00,6.00,NULL,2.00,3.00,1.00,201,NULL,212,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6035914,1.00,6.00,1.00,3.00,3.00,6.00,3.00,2.00,2.00,309,NULL,NULL,'MADRI','PALHOÇA','SC',20029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6035930,5.00,6.00,1.00,3.00,9.00,9.75,2.00,5.00,4.00,336,NULL,NULL,'REBOUÇAS','CURITIBA','PR',8881,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6035949,6.00,7.00,5.00,7.00,8.00,8.25,3.00,6.00,4.00,220,NULL,203,'JARDIM PORTO ALEGRE','TOLEDO','PR',4072,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6035957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'SERRARIA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6035965,5.00,5.00,6.00,5.00,8.00,9.00,3.00,6.00,9.00,216,NULL,233,'EUGÊNIO SCHNNEIDER','RIO SUL','SC',4143,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6035973,5.00,4.00,1.00,3.00,7.00,7.13,0.00,3.00,1.00,103,NULL,NULL,'AVAREÍ','JACAREÍ','SP',15530,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6035981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6035990,5.00,6.00,4.00,5.00,8.00,9.38,3.00,3.00,4.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036015,6.00,5.00,1.00,7.00,8.00,7.13,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',6836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036023,3.00,3.00,0.00,1.00,4.00,NULL,2.00,1.00,1.00,308,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6036031,1.00,3.00,2.00,1.00,4.00,0.00,2.00,0.00,0.00,444,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6036066,4.00,5.00,0.00,3.00,7.00,NULL,1.00,1.00,0.00,103,NULL,NULL,'MARIA GORETTE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6036074,5.00,6.00,4.00,4.00,7.00,8.63,2.00,7.00,5.00,501,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',5848,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6036082,8.00,6.00,5.00,6.00,6.00,6.00,5.00,5.00,9.00,103,NULL,NULL,'BATEL','CLEVELÂNDIA','PR',2563,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6036090,5.00,7.00,4.00,4.00,8.00,7.50,2.00,5.00,5.00,203,NULL,216,'CIDADE ALTA','ARARANGUÁ','SC',7647,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6036104,6.00,5.00,1.00,5.00,7.00,9.38,2.00,2.00,7.00,103,NULL,NULL,'PEDRO DEMETERCO','PINHAIS','PR',8874,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6036112,2.00,4.00,1.00,2.00,4.00,6.75,0.00,0.00,0.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6036120,3.00,5.00,3.00,3.00,4.00,7.13,2.00,5.00,3.00,212,NULL,201,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',14197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6036139,3.00,6.00,3.00,4.00,9.00,9.00,3.00,3.00,7.00,202,NULL,235,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',7676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036155,3.00,6.00,0.00,5.00,7.00,9.75,2.00,4.00,1.00,336,NULL,NULL,'DONA WANDA','S JOSÉ','SC',15478,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6036171,3.00,6.00,1.00,3.00,7.00,7.50,2.00,3.00,2.00,340,NULL,NULL,'SAN FERNANDO','LONDRINA','PR',14997,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6036180,4.00,8.00,1.00,6.00,7.00,8.25,2.00,4.00,2.00,999,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036198,3.00,4.00,2.00,4.00,5.00,6.75,2.00,1.00,0.00,201,NULL,212,'ARIRIÚ','PALHOÇA','SC',18405,1524,NULL,534,NULL,NULL,NULL,2,1),(25,6036228,8.00,6.00,4.00,7.00,7.00,7.50,3.00,3.00,7.00,103,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',3261,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6036236,7.00,7.00,4.00,7.00,10.00,8.63,4.00,7.00,7.00,303,NULL,NULL,'VILA ESTER','S PAULO','SP',1491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036244,4.00,6.00,2.00,3.00,8.00,10.13,2.00,4.00,2.00,999,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036252,8.00,6.00,2.00,5.00,7.00,8.25,2.00,4.00,6.00,103,NULL,NULL,'PAMTANAL','FLORIANÓPOLIS','SC',6750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,425,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6036279,7.00,4.00,6.00,5.00,5.00,6.75,5.00,2.00,4.00,203,NULL,601,'CAMPO DA LANÇA','MAFRA','SC',9638,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6036287,8.00,6.00,5.00,4.00,10.00,8.25,6.00,6.00,8.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',1197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036295,6.00,4.00,2.00,7.00,7.00,11.63,0.00,4.00,7.00,103,NULL,NULL,'JARDIM BOA ESPERANÇA','CAMPINAS','SP',5257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036317,6.00,7.00,0.00,4.00,8.00,9.00,3.00,3.00,6.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',7631,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6036325,2.00,5.00,3.00,4.00,7.00,7.50,2.00,5.00,1.00,220,NULL,215,'MEDEIRINHOS','BAL PIÇARRAS','SC',17025,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6036341,5.00,6.00,3.00,4.00,7.00,9.00,3.00,6.00,6.00,451,NULL,NULL,'VILA MARIANA','S PAULO','SP',7432,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6036350,4.00,4.00,3.00,4.00,6.00,6.75,0.00,2.00,3.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',17676,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6036368,2.00,2.00,1.00,5.00,5.00,9.75,1.00,0.00,3.00,316,NULL,NULL,'CENTRO','MARAVILHA','SC',20285,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6036376,4.00,5.00,0.00,7.00,6.00,7.13,1.00,6.00,2.00,303,NULL,NULL,'CENTRO','PATO BRANCO','PR',11193,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6036422,3.00,5.00,1.00,1.00,4.00,8.25,1.00,1.00,1.00,202,NULL,207,'JOAO PAULO','FLORIANÓPOLIS','SC',19402,607,NULL,1056,NULL,NULL,NULL,4,1),(25,6036430,2.00,6.00,1.00,3.00,4.00,9.00,1.00,1.00,1.00,9,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',18525,118,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036457,8.00,7.00,7.00,7.00,9.00,7.50,7.00,7.00,9.00,203,NULL,220,'PINHEIROS','S PAULO','SP',347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036465,0.00,1.00,0.00,1.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6036473,3.00,4.00,0.00,5.00,8.00,8.25,1.00,3.00,1.00,211,NULL,215,'SÃO JOÃO','ITAJAÍ','SC',18798,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6036481,7.00,6.00,2.00,7.00,8.00,8.63,3.00,5.00,4.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036490,7.00,5.00,0.00,3.00,7.00,7.50,0.00,3.00,5.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',10515,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6036503,5.00,5.00,4.00,6.00,7.00,8.25,3.00,4.00,6.00,207,NULL,201,'VILA LAVÍNIA','MOGI CRUZES','SP',4950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036511,7.00,8.00,6.00,7.00,8.00,8.25,3.00,6.00,8.00,103,NULL,NULL,'CERQUEIRA CÉSAR','S PAULO','SP',926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036520,4.00,7.00,3.00,5.00,9.00,10.50,0.00,6.00,4.00,211,NULL,235,'JARDIM EUROPA','BRAGANÇA PAULISTA','SP',4492,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6036538,2.00,3.00,0.00,1.00,6.00,NULL,1.00,2.00,2.00,336,NULL,NULL,'JARDIM MONTE ALEGRE','TABOÃO SERRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036546,3.00,1.00,1.00,3.00,6.00,NULL,3.00,0.00,3.00,103,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6036562,5.00,9.00,7.00,5.00,10.00,8.63,4.00,7.00,7.00,203,NULL,202,'JDM PAULO AFONSO','PETROLINA','PE',1112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,233,'CENTRO','ESTEIO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6036600,7.00,4.00,5.00,5.00,7.00,8.63,2.00,6.00,5.00,303,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',4789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036619,5.00,8.00,2.00,4.00,9.00,9.00,1.00,6.00,6.00,303,NULL,NULL,'JD DAS COLINAS','S JOSÉ CAMPOS','SP',5385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036627,6.00,6.00,0.00,4.00,8.00,11.25,3.00,7.00,5.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036635,4.00,6.00,1.00,7.00,6.00,9.00,3.00,6.00,4.00,415,NULL,NULL,'CENTRO','BRUSQUE','SC',10058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036643,4.00,2.00,3.00,1.00,3.00,9.00,1.00,3.00,0.00,551,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',18887,37,NULL,NULL,NULL,NULL,NULL,4,16),(25,6036651,5.00,6.00,7.00,6.00,8.00,9.38,6.00,7.00,7.00,303,NULL,NULL,'JARDIM APOLO II','S JOSÉ CAMPOS','SP',1386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036660,6.00,5.00,6.00,6.00,8.00,10.13,3.00,5.00,8.00,203,NULL,220,'CANAÃ','IPATINGA','MG',2117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036678,6.00,5.00,0.00,3.00,7.00,NULL,3.00,2.00,1.00,5,NULL,NULL,'PRAIA DOS INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036686,8.00,6.00,6.00,5.00,9.00,10.13,2.00,7.00,6.00,303,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',2811,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6036694,3.00,7.00,5.00,5.00,9.00,11.25,2.00,7.00,1.00,201,NULL,212,'BARREIROS','S JOSÉ','SC',5828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JARDIM JUNCO','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6036716,1.00,5.00,3.00,2.00,5.00,8.25,1.00,0.00,2.00,238,NULL,655,'COLONINHA','FLORIANÓPOLIS','SC',20846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036724,4.00,5.00,1.00,5.00,8.00,7.88,2.00,6.00,1.00,310,NULL,NULL,'PIRITUBA','S PAULO','SP',14280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036732,6.00,6.00,1.00,5.00,8.00,11.25,1.00,5.00,4.00,103,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',6856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036740,2.00,2.00,1.00,3.00,2.00,NULL,0.00,2.00,1.00,203,NULL,233,'CENTRO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6036767,4.00,5.00,3.00,3.00,6.00,7.50,3.00,1.00,2.00,220,NULL,233,'REDENTORA','S JOSÉ R PRETO','SP',16040,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6036775,8.00,4.00,2.00,5.00,6.00,10.50,0.00,5.00,7.00,424,NULL,428,'CENTRO','CANOINHAS','SC',7723,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6036783,5.00,4.00,2.00,3.00,9.00,7.50,0.00,6.00,2.00,304,NULL,NULL,'JD GARCIA','CAMPINAS','SP',9970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036791,5.00,5.00,2.00,4.00,6.00,7.13,1.00,4.00,5.00,202,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036813,4.00,5.00,2.00,5.00,5.00,9.38,3.00,5.00,3.00,201,NULL,212,'JARDIM ELITE','PIRACICABA','SP',9968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6036830,6.00,7.00,3.00,6.00,10.00,8.63,5.00,7.00,7.00,203,NULL,202,'BOSQUE DA SAUDE','CUIABÁ','MT',2269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036856,3.00,6.00,1.00,4.00,6.00,7.50,3.00,2.00,0.00,328,NULL,NULL,'JARDIM BOTÂNICO','LG SUL','DF',14767,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6036864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,214,'BOA ESPERANÇA','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6036872,5.00,6.00,2.00,6.00,10.00,9.38,5.00,7.00,7.00,203,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',4097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM PRESIDENTE','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6036899,5.00,6.00,2.00,7.00,8.00,10.13,2.00,7.00,5.00,452,NULL,NULL,'ABRAÃO COQUEIROS','FLORIANÓPOLIS','SC',4722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036902,4.00,8.00,3.00,4.00,8.00,12.38,3.00,6.00,5.00,207,NULL,201,'CARVOEIRA','FLORIANÓPOLIS','SC',4696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6036929,1.00,5.00,0.00,5.00,1.00,NULL,1.00,4.00,3.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6036937,2.00,6.00,3.00,4.00,5.00,9.38,2.00,3.00,0.00,301,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',15213,190,NULL,NULL,NULL,NULL,NULL,2,1),(25,6036953,5.00,5.00,1.00,4.00,6.00,NULL,2.00,1.00,0.00,303,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6036961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6036996,4.00,3.00,2.00,4.00,9.00,7.13,2.00,3.00,4.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',11711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037003,6.00,6.00,5.00,7.00,9.00,10.13,2.00,8.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037011,9.00,5.00,3.00,7.00,9.00,12.00,1.00,6.00,7.00,103,NULL,NULL,'SÃO GENARO','CHOPINZINHO','PR',2165,1335,NULL,NULL,NULL,NULL,NULL,4,8),(25,6037020,2.00,4.00,0.00,2.00,7.00,NULL,0.00,4.00,0.00,308,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6037038,3.00,6.00,1.00,1.00,3.00,6.75,1.00,1.00,2.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',20259,261,NULL,NULL,NULL,NULL,NULL,2,1),(25,6037054,5.00,6.00,3.00,5.00,6.00,7.50,1.00,7.00,4.00,238,NULL,652,'ITACORUBI','FLORIANÓPOLIS','SC',7973,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6037062,9.00,8.00,9.00,7.00,10.00,13.13,6.00,8.00,9.00,303,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',3,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037070,2.00,7.00,2.00,4.00,6.00,NULL,0.00,2.00,3.00,319,NULL,NULL,'PETRÓPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6037089,4.00,6.00,3.00,4.00,8.00,7.13,1.00,6.00,6.00,201,NULL,202,'PONTE DO IMARUIM','PALHOÇA','SC',8065,609,NULL,NULL,NULL,NULL,NULL,2,1),(25,6037097,4.00,0.00,2.00,3.00,7.00,NULL,0.00,0.00,0.00,201,NULL,207,'BOA ESPERANÇA','CUIABÁ','MT',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(25,6037100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ZONA III','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6037119,5.00,7.00,4.00,5.00,7.00,8.63,3.00,8.00,2.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',4577,2278,NULL,NULL,NULL,NULL,NULL,2,8),(25,6037127,8.00,6.00,3.00,7.00,8.00,9.75,3.00,8.00,7.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',2294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037143,2.00,3.00,1.00,2.00,3.00,7.13,2.00,4.00,2.00,444,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037151,4.00,6.00,3.00,3.00,7.00,7.13,2.00,6.00,1.00,450,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11837,78,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ITAIPU','NITERÓI','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6037178,4.00,5.00,1.00,6.00,6.00,10.88,2.00,4.00,2.00,999,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037186,2.00,6.00,1.00,6.00,4.00,9.00,1.00,2.00,3.00,420,NULL,NULL,'VILA INDUSTRIAL','S JOSÉ CAMPOS','SP',16133,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6037194,2.00,5.00,2.00,5.00,4.00,8.25,2.00,4.00,1.00,654,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',16434,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6037208,7.00,4.00,4.00,4.00,6.00,8.25,1.00,5.00,6.00,216,NULL,215,'CABRAL','CURITIBA','PR',6597,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6037216,5.00,5.00,2.00,4.00,4.00,7.88,2.00,4.00,3.00,601,NULL,NULL,'BOEHMERWALDT','JOINVILLE','SC',16682,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6037224,5.00,4.00,3.00,4.00,7.00,9.00,1.00,1.00,4.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037232,1.00,3.00,0.00,3.00,5.00,NULL,0.00,2.00,0.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6037259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SANTANA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6037267,1.00,3.00,2.00,2.00,4.00,NULL,1.00,0.00,3.00,101,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6037275,8.00,6.00,3.00,5.00,9.00,9.38,1.00,4.00,6.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',6024,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6037291,5.00,5.00,2.00,6.00,6.00,8.25,1.00,5.00,5.00,103,NULL,NULL,'JARDIM DAS PALMEIRAS','LONDRINA','PR',9613,3500,NULL,NULL,NULL,NULL,NULL,4,3),(25,6037305,1.00,5.00,1.00,3.00,4.00,9.00,2.00,2.00,0.00,103,NULL,NULL,'ESCOLA AGRICOLA','BLUMENAU','SC',18781,4573,NULL,NULL,NULL,NULL,NULL,4,2),(25,6037313,4.00,6.00,4.00,7.00,8.00,10.13,2.00,5.00,4.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037321,4.00,5.00,2.00,3.00,6.00,9.75,2.00,1.00,3.00,303,NULL,NULL,'CENTRO','XAVANTINA','SC',15577,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6037330,4.00,7.00,3.00,3.00,6.00,7.13,1.00,6.00,6.00,303,NULL,NULL,'CENTRO','CHOPINZINHO','PR',9199,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6037348,3.00,5.00,0.00,1.00,5.00,7.13,2.00,1.00,2.00,601,NULL,NULL,'BOA VISTA','JOINVILLE','SC',18909,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6037356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6037364,5.00,7.00,3.00,4.00,9.00,9.38,1.00,3.00,2.00,601,NULL,653,'MORUMBI','PATO BRANCO','PR',9397,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6037372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6037380,5.00,4.00,3.00,5.00,7.00,8.25,1.00,3.00,3.00,340,NULL,NULL,'JARDIM LAS PALMAS','GUARUJÁ','SP',13466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037399,2.00,5.00,3.00,0.00,6.00,6.75,2.00,2.00,5.00,203,NULL,216,'CAIEIRA','FLORIANÓPOLIS','SC',18868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037402,8.00,6.00,5.00,6.00,8.00,10.13,3.00,5.00,8.00,103,NULL,NULL,'SEMINARIO','CURITIBA','PR',1203,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6037410,5.00,4.00,2.00,2.00,7.00,7.50,1.00,1.00,4.00,225,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',18354,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6037429,4.00,6.00,4.00,7.00,7.00,7.88,3.00,6.00,6.00,303,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',5288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037437,7.00,5.00,2.00,4.00,8.00,5.63,3.00,4.00,3.00,9,NULL,NULL,'FLORESTA','S JOSÉ','SC',11145,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6037453,3.00,6.00,6.00,7.00,6.00,8.63,0.00,6.00,1.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037461,1.00,2.00,1.00,4.00,5.00,6.75,2.00,1.00,2.00,9,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037488,2.00,4.00,2.00,5.00,5.00,8.25,2.00,3.00,2.00,201,NULL,211,'CAMPINAS','S JOSÉ','SC',19548,1607,NULL,512,NULL,NULL,NULL,2,1),(25,6037496,6.00,4.00,1.00,5.00,8.00,7.88,2.00,4.00,1.00,501,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',12321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037500,2.00,5.00,1.00,4.00,5.00,7.88,0.00,2.00,1.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037518,4.00,6.00,3.00,5.00,8.00,9.38,3.00,4.00,4.00,201,NULL,207,'CENTRO','ARARANGUÁ','SC',8621,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6037534,1.00,4.00,1.00,0.00,2.00,NULL,0.00,1.00,1.00,109,NULL,NULL,'JARDIM AMERICA','MARÍLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037542,7.00,5.00,4.00,6.00,10.00,11.25,3.00,6.00,6.00,103,NULL,NULL,'VILA ARENS','JUNDIAÍ','SP',1545,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6037550,3.00,3.00,3.00,5.00,6.00,6.00,2.00,2.00,0.00,9,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',20014,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6037577,7.00,6.00,3.00,6.00,10.00,14.25,2.00,6.00,5.00,103,NULL,NULL,'SETOR AEROPORTO','GOIÂNIA','GO',2134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037585,2.00,3.00,0.00,0.00,5.00,7.50,1.00,2.00,0.00,333,NULL,NULL,'SÃO FRANCISCO','S SEBASTIÃO','SP',20462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6037615,4.00,4.00,1.00,7.00,9.00,11.63,2.00,2.00,0.00,5,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',13866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037623,3.00,7.00,0.00,6.00,8.00,9.38,2.00,5.00,3.00,450,NULL,NULL,'CENTRO','PIRATUBA','SC',11552,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6037631,1.00,2.00,0.00,3.00,6.00,6.75,0.00,3.00,2.00,601,NULL,655,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6037658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6037666,4.00,4.00,1.00,2.00,7.00,NULL,2.00,0.00,2.00,104,NULL,NULL,'SALETE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6037674,5.00,0.00,1.00,1.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(25,6037682,4.00,4.00,1.00,4.00,6.00,6.75,1.00,5.00,1.00,201,NULL,212,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',15172,1290,NULL,446,NULL,NULL,NULL,2,1),(25,6037690,5.00,5.00,1.00,4.00,9.00,7.50,0.00,5.00,2.00,340,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',14979,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6037704,2.00,4.00,3.00,3.00,6.00,5.25,4.00,4.00,1.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16178,78,NULL,NULL,NULL,NULL,NULL,2,1),(25,6037712,6.00,6.00,4.00,4.00,7.00,8.25,3.00,8.00,4.00,103,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',5853,2679,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037739,7.00,7.00,4.00,6.00,9.00,9.00,2.00,7.00,6.00,220,NULL,202,'CAMPECHE','FLORIANÓPOLIS','SC',2617,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6037747,3.00,3.00,1.00,2.00,3.00,NULL,1.00,0.00,1.00,999,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6037755,9.00,7.00,7.00,7.00,7.00,9.00,5.00,7.00,8.00,203,NULL,220,'CENTRO','BOMBINHAS','SC',614,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6037763,2.00,3.00,3.00,5.00,7.00,4.50,2.00,4.00,3.00,103,NULL,NULL,'JARDIM SANTANA','DOURADOS','MS',17269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6037798,3.00,3.00,0.00,4.00,4.00,7.13,2.00,0.00,2.00,103,NULL,NULL,'JARDIM','CUNHA PORÃ','SC',19313,4618,NULL,NULL,NULL,NULL,NULL,4,4),(25,6037801,7.00,4.00,5.00,4.00,7.00,6.75,3.00,5.00,7.00,2,NULL,NULL,'GUANABARA','JOINVILLE','SC',6361,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6037810,3.00,5.00,1.00,1.00,6.00,6.38,1.00,1.00,3.00,328,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6037828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'SERRA VERDE','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6037852,4.00,8.00,2.00,4.00,7.00,10.50,3.00,7.00,6.00,203,NULL,601,'FLORESTA','S JOSÉ','SC',4929,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6037860,1.00,4.00,3.00,4.00,7.00,6.75,1.00,2.00,0.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037879,6.00,5.00,3.00,7.00,8.00,8.25,3.00,4.00,5.00,999,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6037887,3.00,6.00,5.00,7.00,6.00,8.63,2.00,8.00,5.00,655,NULL,653,'COLONINHA','ARARANGUÁ','SC',6455,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6037895,4.00,4.00,1.00,3.00,7.00,9.75,1.00,3.00,3.00,336,NULL,NULL,'PQ BANDEIRANTES','SUMARÉ','SP',13487,99,NULL,NULL,NULL,NULL,NULL,2,1),(25,6037909,4.00,8.00,1.00,3.00,6.00,10.88,3.00,2.00,2.00,415,NULL,NULL,'JARDIM SAVEIROS','BIGUAÇU','SC',11259,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6037925,5.00,4.00,2.00,3.00,6.00,6.75,1.00,2.00,3.00,654,NULL,NULL,'CABEÇUDA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6037933,7.00,6.00,6.00,7.00,9.00,10.13,1.00,6.00,5.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',2374,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6037941,3.00,2.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,216,NULL,220,'MATHIAS VELHO','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6037950,6.00,6.00,5.00,7.00,10.00,11.25,2.00,6.00,6.00,208,NULL,202,'IRIRIU','JOINVILLE','SC',1465,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6037976,3.00,3.00,3.00,3.00,6.00,7.13,2.00,4.00,0.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',17323,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6037992,7.00,6.00,1.00,4.00,8.00,9.75,0.00,0.00,4.00,501,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',11108,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6038000,4.00,3.00,0.00,1.00,5.00,NULL,2.00,1.00,0.00,333,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6038018,5.00,4.00,3.00,6.00,7.00,10.88,2.00,5.00,5.00,201,NULL,207,'JARDIM SINUELO','ASTORGA','PR',7284,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6038026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SAO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6038034,7.00,7.00,3.00,7.00,9.00,11.25,4.00,7.00,8.00,415,NULL,NULL,'PERDIZES','S PAULO','SP',715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038042,6.00,6.00,4.00,5.00,7.00,10.50,1.00,4.00,8.00,203,NULL,214,'PRESIDENTE MÉDICE','CHAPECÓ','SC',5553,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6038050,4.00,4.00,0.00,0.00,4.00,NULL,2.00,4.00,2.00,653,NULL,652,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6038077,3.00,5.00,2.00,5.00,7.00,7.88,3.00,4.00,4.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10405,137,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038093,4.00,7.00,3.00,6.00,7.00,9.75,1.00,6.00,3.00,109,NULL,NULL,'PASSAGEM','TUBARÃO','SC',6837,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6038107,5.00,4.00,2.00,2.00,6.00,6.75,2.00,2.00,0.00,336,NULL,NULL,'ESTAÇÃO','URUSSANGA','SC',19708,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6038115,5.00,7.00,1.00,5.00,7.00,10.88,2.00,5.00,5.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',7047,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6038123,7.00,7.00,7.00,6.00,9.00,10.88,3.00,5.00,7.00,103,NULL,NULL,'JABAQUARA','S PAULO','SP',1110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038131,4.00,5.00,2.00,5.00,6.00,9.38,1.00,4.00,4.00,207,NULL,201,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',14540,781,NULL,1237,NULL,NULL,NULL,2,1),(25,6038140,1.00,2.00,1.00,3.00,3.00,4.50,2.00,0.00,2.00,238,NULL,211,'BARREIROS','S JOSÉ','SC',21738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038158,2.00,3.00,0.00,4.00,5.00,7.88,1.00,0.00,1.00,233,NULL,211,'GRAVATÁ','NAVEGANTES','SC',20039,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6038166,9.00,6.00,4.00,7.00,9.00,12.75,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','MANDAGUAÇU','PR',586,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6038174,6.00,6.00,3.00,5.00,6.00,NULL,0.00,4.00,5.00,207,NULL,212,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6038182,8.00,6.00,7.00,7.00,8.00,7.88,4.00,8.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038190,7.00,6.00,3.00,6.00,9.00,11.25,2.00,6.00,8.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',1974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038204,4.00,6.00,0.00,3.00,7.00,0.00,1.00,2.00,1.00,324,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038220,6.00,7.00,4.00,5.00,6.00,8.25,5.00,8.00,8.00,203,NULL,214,'CIDADE ALTA','ARARANGUÁ','SC',2256,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6038247,3.00,5.00,0.00,4.00,7.00,8.25,2.00,4.00,4.00,319,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',14519,276,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038255,3.00,6.00,1.00,4.00,5.00,6.75,3.00,4.00,3.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',15197,4244,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038263,4.00,7.00,4.00,5.00,8.00,7.88,2.00,4.00,4.00,211,NULL,653,'MEDITERRÂNEO','LONDRINA','PR',7642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038271,3.00,2.00,0.00,2.00,3.00,7.50,2.00,1.00,0.00,207,NULL,213,'ITACORUBI','FLORIANÓPOLIS','SC',20599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6038298,3.00,5.00,0.00,4.00,8.00,10.13,0.00,2.00,2.00,216,NULL,233,'UTINGA','STO ANDRÉ','SP',15033,508,NULL,389,NULL,NULL,NULL,4,1),(25,6038301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'VILA CLAUDIA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6038310,5.00,6.00,3.00,6.00,5.00,6.00,2.00,2.00,4.00,216,NULL,207,'JARDIM COLINA VERDE','LONDRINA','PR',9915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038328,1.00,4.00,0.00,6.00,4.00,6.75,1.00,1.00,2.00,429,NULL,423,'CAMINHO NOVO','PALHOÇA','SC',19912,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038336,8.00,4.00,3.00,7.00,8.00,10.50,3.00,8.00,8.00,214,NULL,212,'NOVA SUÍÇA','GOIÂNIA','GO',1266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038344,4.00,6.00,4.00,4.00,9.00,9.38,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',6496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038352,3.00,4.00,0.00,1.00,2.00,NULL,1.00,2.00,1.00,301,NULL,NULL,'ESTUÁRIO','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038360,1.00,2.00,1.00,1.00,4.00,NULL,0.00,0.00,1.00,9,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6038387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6038425,7.00,7.00,5.00,5.00,7.00,10.13,4.00,6.00,7.00,653,NULL,655,'VILA FRANCA','FORQUILHINHA','SC',1616,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6038433,1.00,4.00,2.00,3.00,5.00,4.50,4.00,2.00,2.00,319,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038441,6.00,6.00,5.00,5.00,6.00,9.38,1.00,7.00,6.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',5864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038450,1.00,3.00,1.00,2.00,7.00,4.88,2.00,1.00,1.00,3,NULL,NULL,'CENTRO','PINHALZINHO','SC',21490,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6038468,1.00,5.00,2.00,2.00,5.00,NULL,0.00,0.00,1.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(25,6038484,1.00,4.00,2.00,3.00,7.00,6.38,2.00,1.00,1.00,5,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6038506,4.00,5.00,1.00,3.00,6.00,7.88,4.00,3.00,2.00,303,NULL,NULL,'SANTA FÉ','CPO GRANDE','MS',12773,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038522,2.00,6.00,0.00,3.00,6.00,7.50,2.00,2.00,1.00,5,NULL,NULL,'ABICINIA','BRAÇO NORTE','SC',20015,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6038530,7.00,7.00,4.00,3.00,8.00,7.88,2.00,7.00,3.00,420,NULL,NULL,'ROÇADO','S JOSÉ','SC',6044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038549,5.00,8.00,3.00,5.00,8.00,7.88,2.00,6.00,2.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8057,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038557,3.00,3.00,2.00,2.00,4.00,NULL,1.00,4.00,0.00,339,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038573,7.00,8.00,3.00,7.00,7.00,8.25,3.00,7.00,5.00,207,NULL,201,'ALTO DA XV','CURITIBA','PR',2472,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6038581,4.00,3.00,2.00,2.00,5.00,NULL,0.00,4.00,1.00,452,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038590,3.00,6.00,4.00,4.00,6.00,8.63,2.00,4.00,2.00,302,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',11389,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038611,5.00,6.00,1.00,3.00,9.00,7.13,2.00,4.00,4.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11750,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038620,5.00,6.00,1.00,6.00,9.00,9.75,1.00,6.00,6.00,303,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',4632,209,NULL,NULL,NULL,NULL,NULL,4,6),(25,6038638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6038646,3.00,5.00,2.00,3.00,5.00,11.63,1.00,4.00,5.00,101,NULL,NULL,'AGUA VERDE','BLUMENAU','SC',11786,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6038654,5.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(25,6038670,4.00,4.00,4.00,4.00,8.00,7.50,1.00,3.00,3.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038689,4.00,5.00,3.00,3.00,6.00,7.88,1.00,4.00,4.00,233,NULL,208,'CHACARA SÃO JOSÉ','LIMEIRA','SP',11153,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038697,3.00,3.00,3.00,3.00,2.00,NULL,2.00,1.00,1.00,208,NULL,238,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038700,5.00,5.00,1.00,4.00,8.00,8.63,0.00,2.00,4.00,303,NULL,NULL,'CENTRO','VACARIA','RS',12117,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6038719,7.00,8.00,4.00,7.00,9.00,8.25,1.00,6.00,7.00,103,NULL,NULL,'SOCORRO','S PAULO','SP',2528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038727,4.00,6.00,0.00,4.00,9.00,NULL,0.00,4.00,4.00,319,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038743,6.00,6.00,2.00,5.00,7.00,5.63,4.00,7.00,5.00,3,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',7418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038751,4.00,6.00,2.00,6.00,9.00,11.25,2.00,4.00,3.00,337,NULL,NULL,'COSTA E SILVA','MARÍLIA','SP',6140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038778,1.00,3.00,1.00,1.00,3.00,0.00,1.00,5.00,1.00,238,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038786,6.00,6.00,0.00,3.00,8.00,8.25,0.00,1.00,1.00,101,NULL,NULL,'NEVA','CASCAVEL','PR',15713,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038794,6.00,6.00,2.00,5.00,6.00,7.88,1.00,3.00,6.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',9971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038816,6.00,6.00,2.00,3.00,7.00,8.25,2.00,6.00,4.00,202,NULL,235,'JARDIM AQUARIUS','PALHOÇA','SC',10597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6038832,3.00,5.00,1.00,2.00,4.00,7.88,1.00,5.00,2.00,654,NULL,NULL,'JARDIM ITÁLIA','COCAL SUL','SC',17249,38,NULL,NULL,NULL,NULL,NULL,4,5),(25,6038840,4.00,4.00,0.00,3.00,4.00,NULL,2.00,1.00,3.00,453,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6038859,6.00,6.00,3.00,3.00,5.00,8.25,1.00,6.00,2.00,103,NULL,NULL,'INTERIOR','IBICARÉ','SC',10494,3632,NULL,NULL,NULL,NULL,NULL,4,7),(25,6038867,7.00,6.00,7.00,6.00,9.00,10.50,2.00,6.00,3.00,214,NULL,212,'AURÉLIO CAIXETA','PATOS MINAS','MG',3064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038875,2.00,5.00,2.00,4.00,7.00,7.88,1.00,2.00,2.00,201,NULL,203,'AGUAS FRIAS','ALFREDO WAGNER','SC',15232,1295,NULL,944,NULL,NULL,NULL,4,1),(25,6038883,2.00,2.00,3.00,4.00,3.00,3.75,3.00,1.00,3.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6038905,4.00,5.00,2.00,4.00,9.00,7.88,1.00,4.00,2.00,216,NULL,207,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',14941,505,NULL,805,NULL,NULL,NULL,4,1),(25,6038913,4.00,3.00,1.00,4.00,4.00,6.00,3.00,3.00,3.00,108,NULL,NULL,'NOVA BANDEIRANTES','CPO GRANDE','MS',15587,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038930,5.00,3.00,2.00,2.00,6.00,8.63,2.00,2.00,1.00,238,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',18210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038948,1.00,0.00,1.00,0.00,5.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ESTADOS','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(25,6038956,2.00,4.00,1.00,1.00,5.00,6.38,2.00,3.00,1.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6038972,3.00,4.00,2.00,2.00,2.00,NULL,2.00,5.00,2.00,201,NULL,207,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038980,5.00,4.00,1.00,3.00,7.00,NULL,0.00,5.00,2.00,110,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6038999,6.00,5.00,2.00,7.00,7.00,7.88,3.00,4.00,4.00,103,NULL,NULL,'FLORESTA','S JOSÉ','SC',7073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039006,8.00,8.00,7.00,6.00,10.00,7.13,5.00,7.00,8.00,203,NULL,233,'BARRA DO ARIRIÚ','PALHOÇA','SC',445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039014,4.00,4.00,3.00,3.00,6.00,6.75,1.00,2.00,2.00,201,NULL,212,'CENTRO','INDAIAL','SC',18967,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039030,2.00,2.00,2.00,4.00,6.00,7.88,0.00,2.00,2.00,415,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',18305,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039049,7.00,6.00,3.00,6.00,8.00,10.50,1.00,5.00,8.00,103,NULL,NULL,'SUDOESTE','CRUZEIRO','DF',2483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039057,4.00,4.00,3.00,4.00,6.00,9.38,1.00,4.00,2.00,238,NULL,655,'COQUEIROS','FLORIANÓPOLIS','SC',15665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039073,2.00,5.00,2.00,3.00,7.00,8.63,1.00,1.00,1.00,216,NULL,215,'VILA VERDE','S JOSÉ R PARDO','SP',16564,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039090,2.00,3.00,2.00,3.00,5.00,6.38,2.00,4.00,2.00,335,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039103,5.00,6.00,3.00,6.00,9.00,6.75,2.00,6.00,5.00,452,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',7544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039138,6.00,4.00,4.00,6.00,6.00,9.00,2.00,5.00,3.00,201,NULL,233,'CAMPECHE','FLORIANÓPOLIS','SC',8030,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039154,2.00,2.00,2.00,2.00,3.00,NULL,2.00,0.00,1.00,215,NULL,233,'ALTO BOQUEIRAO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6039162,3.00,5.00,1.00,5.00,6.00,8.63,1.00,0.00,3.00,102,NULL,NULL,'BELA VISTA','PALHOÇA','SC',16559,205,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039170,2.00,2.00,2.00,3.00,3.00,6.75,1.00,1.00,2.00,303,NULL,NULL,'LIVRAMENTO','TURVO','SC',19864,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6039189,2.00,6.00,1.00,2.00,3.00,7.50,1.00,1.00,2.00,501,NULL,NULL,'JARDIM DA GLORIA','COTIA','SP',20758,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6039219,2.00,2.00,1.00,3.00,7.00,NULL,1.00,0.00,2.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039227,5.00,4.00,3.00,4.00,7.00,6.75,2.00,4.00,3.00,9,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',10856,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039235,6.00,7.00,4.00,5.00,5.00,7.88,3.00,5.00,5.00,102,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039243,7.00,7.00,4.00,6.00,9.00,8.25,3.00,6.00,7.00,235,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',3228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039251,2.00,5.00,3.00,7.00,6.00,9.00,2.00,5.00,5.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',9537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039260,6.00,6.00,3.00,6.00,9.00,12.75,2.00,4.00,6.00,103,NULL,NULL,'GLÓRIA','BLUMENAU','SC',3863,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6039278,7.00,5.00,2.00,7.00,9.00,7.88,3.00,6.00,8.00,103,NULL,NULL,'JARDIM IVA','S PAULO','SP',2354,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6039286,8.00,7.00,5.00,7.00,8.00,6.00,4.00,7.00,4.00,213,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',4809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039294,8.00,5.00,6.00,6.00,5.00,10.88,3.00,4.00,7.00,103,NULL,NULL,'SUMARÉ','RIO SUL','SC',4418,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6039316,6.00,6.00,0.00,6.00,8.00,7.50,2.00,2.00,3.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',13793,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039324,5.00,4.00,2.00,7.00,7.00,7.88,2.00,5.00,3.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039332,9.00,7.00,6.00,6.00,9.00,10.13,5.00,7.00,9.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',400,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039340,7.00,5.00,2.00,3.00,8.00,7.88,0.00,7.00,5.00,207,NULL,233,'CORREGO GRANDE','FLORIANÓPOLIS','SC',7527,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039359,7.00,6.00,9.00,5.00,7.00,8.63,4.00,8.00,8.00,220,NULL,203,'JD DAS AMERICAS','CUIABÁ','MT',1078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039367,8.00,7.00,4.00,6.00,10.00,11.63,3.00,6.00,7.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',1260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039375,3.00,3.00,1.00,4.00,6.00,9.38,3.00,0.00,1.00,503,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',16343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039383,3.00,5.00,3.00,4.00,8.00,9.38,3.00,4.00,1.00,453,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039391,4.00,7.00,3.00,3.00,8.00,8.63,4.00,8.00,3.00,103,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',6831,2915,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039405,7.00,7.00,2.00,7.00,9.00,10.50,2.00,5.00,5.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039413,2.00,3.00,0.00,3.00,4.00,4.50,3.00,1.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21553,4793,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039430,2.00,1.00,0.00,0.00,0.00,NULL,2.00,0.00,0.00,316,NULL,NULL,'FAZENDA S ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039448,0.00,3.00,2.00,4.00,3.00,7.13,0.00,0.00,2.00,238,NULL,208,'COQUEIROS','FLORIANÓPOLIS','SC',21574,540,NULL,602,NULL,NULL,NULL,4,1),(25,6039456,1.00,4.00,2.00,3.00,5.00,7.50,1.00,2.00,0.00,208,NULL,238,'TAPAJOS','INDAIAL','SC',21382,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6039472,5.00,3.00,3.00,1.00,7.00,9.00,0.00,1.00,4.00,303,NULL,NULL,'CENTRO','MOGI CRUZES','SP',15789,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6039480,7.00,5.00,4.00,5.00,8.00,9.75,1.00,6.00,4.00,201,NULL,211,'PRAIA DE FORA','PALHOÇA','SC',6315,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039510,3.00,4.00,1.00,5.00,5.00,7.88,1.00,0.00,3.00,207,NULL,201,'SACO GRANDE','FLORIANÓPOLIS','SC',19775,1078,NULL,1619,NULL,NULL,NULL,2,1),(25,6039537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,653,'BRAGA','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6039545,2.00,1.00,0.00,3.00,2.00,NULL,0.00,0.00,3.00,655,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6039553,5.00,7.00,2.00,4.00,6.00,7.88,1.00,5.00,2.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039570,3.00,4.00,4.00,5.00,6.00,9.00,2.00,2.00,0.00,453,NULL,NULL,'FLOR DE NÁPOLES','S JOSÉ','SC',14089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039600,8.00,6.00,2.00,4.00,7.00,NULL,3.00,4.00,7.00,215,NULL,202,'PQ MONTE ALEGRE','TABOÃO SERRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6039618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6039626,5.00,4.00,0.00,4.00,8.00,9.00,1.00,1.00,0.00,108,NULL,NULL,'LARANJEIRAS','RIO JANEIRO','RJ',14723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039634,2.00,6.00,0.00,5.00,6.00,6.75,2.00,3.00,2.00,339,NULL,NULL,'PATANAL','FLORIANÓPOLIS','SC',15737,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039642,4.00,4.00,5.00,4.00,5.00,9.00,3.00,4.00,6.00,203,NULL,201,'SANTA MARIA','CHAPECÓ','SC',7548,577,NULL,561,NULL,NULL,NULL,2,4),(25,6039650,3.00,3.00,4.00,0.00,2.00,NULL,2.00,0.00,1.00,319,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039669,6.00,5.00,2.00,4.00,8.00,8.63,5.00,4.00,4.00,207,NULL,211,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',9861,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039677,4.00,4.00,1.00,4.00,4.00,6.75,1.00,4.00,2.00,208,NULL,238,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',17151,421,NULL,389,NULL,NULL,NULL,2,1),(25,6039693,3.00,5.00,0.00,6.00,6.00,NULL,1.00,2.00,1.00,425,NULL,429,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039707,3.00,3.00,2.00,3.00,6.00,6.00,3.00,2.00,1.00,319,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',19336,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039715,1.00,3.00,1.00,1.00,4.00,7.50,0.00,3.00,1.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',20835,4750,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'SANTA CRUZ','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6039740,3.00,3.00,2.00,2.00,5.00,4.88,1.00,2.00,4.00,336,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',19640,164,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039758,3.00,6.00,1.00,6.00,6.00,7.50,1.00,4.00,2.00,220,NULL,203,'BOA VISTA','CURITIBA','PR',13044,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6039766,5.00,5.00,0.00,4.00,8.00,NULL,3.00,4.00,0.00,328,NULL,NULL,'CAMPOS ELÍSEOS','RESENDE','RJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039774,2.00,6.00,2.00,5.00,6.00,7.13,3.00,5.00,6.00,202,NULL,213,'MORRO DA BINA','BIGUAÇU','SC',13424,422,NULL,192,NULL,NULL,NULL,2,1),(25,6039782,7.00,4.00,4.00,6.00,8.00,7.50,2.00,4.00,5.00,207,NULL,201,'AREAL','PELOTAS','RS',6925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039790,5.00,5.00,1.00,5.00,7.00,8.25,2.00,3.00,7.00,207,NULL,202,'SÃO JOSÉ','PNT GROSSA','PR',8251,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6039804,3.00,4.00,0.00,1.00,8.00,10.13,0.00,4.00,1.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19338,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039812,3.00,2.00,2.00,2.00,5.00,6.75,3.00,2.00,2.00,9,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039820,2.00,5.00,2.00,4.00,8.00,NULL,0.00,4.00,1.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6039839,3.00,4.00,1.00,4.00,7.00,7.50,2.00,2.00,3.00,653,NULL,201,'GUARITA','SOMBRIO','SC',16084,151,NULL,1365,NULL,NULL,NULL,2,15),(25,6039847,5.00,5.00,3.00,4.00,8.00,10.88,3.00,3.00,4.00,327,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',10393,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039871,5.00,7.00,5.00,4.00,7.00,9.00,3.00,6.00,6.00,220,NULL,233,'CENTRO','ARARANGUÁ','SC',4216,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6039880,3.00,5.00,2.00,3.00,2.00,NULL,3.00,3.00,3.00,404,NULL,NULL,'VILA ESPERANÇA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039901,2.00,7.00,2.00,4.00,7.00,7.88,2.00,4.00,3.00,320,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13576,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039910,3.00,4.00,0.00,3.00,7.00,NULL,1.00,2.00,0.00,327,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(25,6039928,5.00,6.00,1.00,3.00,5.00,8.25,1.00,3.00,3.00,304,NULL,NULL,'VILA SUISSA','MOGI CRUZES','SP',13680,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6039936,0.00,2.00,0.00,0.00,0.00,NULL,4.00,0.00,2.00,308,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039944,4.00,2.00,0.00,6.00,8.00,8.25,3.00,2.00,1.00,319,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6039952,6.00,6.00,1.00,6.00,8.00,9.75,1.00,4.00,2.00,108,NULL,NULL,'CENTRO','BIGUAÇU','SC',8595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039960,7.00,7.00,3.00,5.00,8.00,8.63,3.00,6.00,4.00,235,NULL,202,'MEIA PRAIA','ITAPEMA','SC',4514,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6039987,6.00,6.00,6.00,7.00,10.00,10.13,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',2506,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6039995,1.00,2.00,1.00,5.00,3.00,9.38,2.00,2.00,3.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',18483,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6040004,2.00,3.00,1.00,2.00,1.00,NULL,1.00,1.00,1.00,225,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040012,4.00,4.00,2.00,3.00,6.00,8.25,1.00,4.00,0.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',16111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040020,4.00,5.00,3.00,7.00,5.00,7.50,2.00,4.00,3.00,238,NULL,208,'IPIRANGA','S JOSÉ','SC',14851,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA RURAL','ESPIGÃO D OESTE','RO',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6040047,5.00,6.00,3.00,3.00,9.00,8.25,3.00,4.00,3.00,5,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',9099,330,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040055,4.00,7.00,2.00,3.00,3.00,4.50,3.00,5.00,3.00,331,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',17657,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040071,3.00,1.00,2.00,0.00,2.00,NULL,0.00,1.00,1.00,216,NULL,203,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6040098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'TARUMÃ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6040128,1.00,4.00,1.00,5.00,7.00,9.75,0.00,3.00,3.00,201,NULL,207,'JARDIM PLANALTO','CORDEIRÓPOLIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6040136,3.00,4.00,2.00,4.00,5.00,5.25,2.00,1.00,2.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',19067,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6040144,3.00,5.00,1.00,6.00,8.00,NULL,2.00,5.00,5.00,303,NULL,NULL,'CENTRO','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6040152,6.00,5.00,2.00,3.00,7.00,7.88,4.00,4.00,4.00,216,NULL,215,'INGLESES','FLORIANÓPOLIS','SC',8801,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040160,2.00,1.00,1.00,3.00,5.00,6.75,1.00,1.00,0.00,303,NULL,NULL,'ROÇADO','S JOSÉ','SC',21672,880,NULL,NULL,NULL,NULL,NULL,4,1),(25,6040179,4.00,4.00,0.00,2.00,6.00,NULL,0.00,0.00,1.00,9,NULL,NULL,'RIO MORTO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6040187,2.00,2.00,1.00,4.00,4.00,NULL,1.00,0.00,0.00,329,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040217,3.00,5.00,3.00,7.00,5.00,7.13,3.00,5.00,0.00,655,NULL,238,'JUNDIA','MELEIRO','SC',11267,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6040225,6.00,5.00,1.00,5.00,6.00,11.63,1.00,4.00,2.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12297,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040241,5.00,3.00,2.00,3.00,6.00,9.75,3.00,4.00,3.00,339,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15983,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040250,4.00,6.00,1.00,1.00,7.00,8.25,0.00,2.00,3.00,302,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',17168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6040276,5.00,7.00,1.00,3.00,6.00,NULL,0.00,7.00,5.00,220,NULL,235,'SALTO DO NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6040284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6040292,6.00,9.00,7.00,6.00,10.00,10.88,2.00,7.00,7.00,103,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',1890,1175,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040314,3.00,6.00,2.00,4.00,9.00,9.38,2.00,5.00,3.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6040322,6.00,5.00,2.00,7.00,8.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'CENTRO','GETÚLIO VARGAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6040330,5.00,6.00,4.00,7.00,8.00,10.88,1.00,3.00,3.00,316,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',7190,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040349,5.00,3.00,5.00,5.00,6.00,7.13,2.00,4.00,2.00,203,NULL,201,'CAMPOS DO IGUAÇU','FOZ IGUAÇU','PR',10172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6040373,3.00,4.00,3.00,3.00,4.00,6.00,2.00,3.00,1.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',18509,206,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040381,4.00,4.00,3.00,5.00,7.00,6.00,1.00,4.00,1.00,601,NULL,211,'BELA VISTA','MTE ALTO','SP',14583,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040390,4.00,6.00,2.00,5.00,10.00,9.00,2.00,4.00,2.00,326,NULL,NULL,'JACAREPAGUÁ','RIO JANEIRO','RJ',8145,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6040403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6040411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,202,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6040420,2.00,5.00,4.00,4.00,7.00,8.63,1.00,3.00,2.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040438,2.00,3.00,4.00,3.00,5.00,NULL,0.00,1.00,4.00,208,NULL,238,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040462,2.00,5.00,1.00,1.00,4.00,6.00,0.00,0.00,3.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040470,5.00,6.00,3.00,7.00,4.00,9.38,2.00,5.00,5.00,450,NULL,NULL,'REBOUÇAS','CURITIBA','PR',7501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6040489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BR COTEGIPE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6040497,4.00,4.00,2.00,6.00,5.00,8.63,1.00,1.00,3.00,452,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',13997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6040500,3.00,5.00,2.00,2.00,6.00,7.13,2.00,2.00,4.00,203,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',14380,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6040519,3.00,4.00,0.00,3.00,6.00,7.13,1.00,1.00,2.00,420,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',17237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6040527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'SÃO JOSÉ','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6040535,8.00,8.00,8.00,7.00,11.00,9.75,6.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',95,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6040543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'NOSSO TETO','APIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6040551,3.00,6.00,3.00,8.00,10.00,10.50,1.00,3.00,2.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',7455,331,NULL,555,NULL,NULL,NULL,4,1),(25,6040560,2.00,4.00,2.00,4.00,5.00,8.63,2.00,1.00,3.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',18945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6040578,8.00,6.00,4.00,6.00,9.00,9.00,2.00,3.00,7.00,103,NULL,NULL,'CENTRO','VACARIA','RS',5474,2553,NULL,NULL,NULL,NULL,NULL,4,1),(25,6040586,3.00,3.00,2.00,5.00,5.00,6.75,0.00,3.00,3.00,601,NULL,207,'COQUEIRAL','CASCAVEL','PR',16027,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6040594,2.00,5.00,0.00,6.00,6.00,8.63,0.00,5.00,2.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',17172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6040632,2.00,5.00,0.00,4.00,7.00,5.63,0.00,3.00,0.00,426,NULL,428,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040640,3.00,6.00,3.00,6.00,7.00,7.50,4.00,6.00,3.00,450,NULL,NULL,'KOBRASSOL','S JOSÉ','SC',11353,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040659,4.00,4.00,0.00,6.00,6.00,8.63,0.00,4.00,2.00,101,NULL,NULL,'COQUEIRO','BELÉM','PA',17329,102,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040675,3.00,6.00,0.00,3.00,5.00,6.00,2.00,5.00,1.00,202,NULL,235,'PRAIA DO SONHO','PALHOÇA','SC',16827,525,NULL,399,NULL,NULL,NULL,4,1),(25,6040691,2.00,3.00,1.00,2.00,4.00,6.00,1.00,2.00,0.00,201,NULL,212,'CENTRO','TOLEDO','PR',20787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040713,2.00,7.00,1.00,4.00,7.00,9.00,1.00,2.00,0.00,501,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15328,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040721,1.00,3.00,1.00,2.00,4.00,6.00,0.00,1.00,0.00,336,NULL,NULL,'UNIVERSITARIO','VIDEIRA','SC',20964,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6040730,4.00,5.00,0.00,5.00,8.00,9.75,1.00,5.00,6.00,304,NULL,NULL,'PORTO','CAPELA ALTO','SP',9297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6040748,3.00,6.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'JARDIM VIRGÍNIA','ITAPEVA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040764,7.00,7.00,8.00,7.00,8.00,9.75,6.00,7.00,6.00,238,NULL,220,'CORREGO GRANDE','FLORIANÓPOLIS','SC',601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6040772,5.00,4.00,5.00,7.00,8.00,7.13,4.00,8.00,7.00,220,NULL,233,'KOBRASOL','S JOSÉ','SC',3102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6040799,5.00,3.00,2.00,3.00,6.00,9.00,2.00,1.00,3.00,216,NULL,NULL,'QUINTA DOS ASSORIANO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6040802,7.00,5.00,1.00,6.00,8.00,6.38,3.00,5.00,5.00,201,NULL,212,'SETOR BUENO','GOIÂNIA','GO',6263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6040810,5.00,4.00,2.00,0.00,5.00,5.63,0.00,0.00,1.00,235,NULL,233,'PARQUE OLÍMPICO','MOGI CRUZES','SP',19428,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6040829,4.00,4.00,4.00,4.00,7.00,11.63,1.00,3.00,4.00,220,NULL,235,'JARDIM DAS OLIVEIRAS','TABOÃO SERRA','SP',9100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6040837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6040845,4.00,5.00,1.00,3.00,4.00,4.50,3.00,4.00,2.00,452,NULL,NULL,'OPERARIA NOVA','CRICIÚMA','SC',16878,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6040861,2.00,5.00,1.00,1.00,6.00,7.50,2.00,1.00,2.00,308,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',20764,61,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ROSSATO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6040888,5.00,4.00,2.00,4.00,7.00,5.63,2.00,5.00,4.00,238,NULL,208,'CENTRO','IMBITUBA','SC',13132,227,NULL,258,NULL,NULL,NULL,2,1),(25,6040896,8.00,7.00,6.00,6.00,9.00,9.00,3.00,6.00,9.00,103,NULL,NULL,'ZONA TRÊS','MARINGÁ','PR',1029,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6040918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'AFONSO PENA','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6040926,3.00,4.00,3.00,2.00,4.00,NULL,1.00,3.00,0.00,203,NULL,233,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6040934,1.00,2.00,1.00,1.00,7.00,4.88,1.00,2.00,2.00,302,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',20314,183,NULL,NULL,NULL,NULL,NULL,4,1),(25,6040942,6.00,4.00,2.00,5.00,6.00,11.25,2.00,6.00,6.00,103,NULL,NULL,'ZONA TRÊS','MARINGÁ','PR',7052,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6040950,8.00,8.00,1.00,6.00,9.00,11.25,2.00,5.00,1.00,415,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',4717,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6040977,7.00,8.00,3.00,6.00,7.00,7.88,5.00,8.00,8.00,317,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',2148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6040985,1.00,5.00,1.00,2.00,3.00,NULL,1.00,0.00,0.00,225,NULL,NULL,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6040993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'ALPHAVILLE','SANTANA PARNAÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6041000,2.00,1.00,1.00,1.00,5.00,6.00,0.00,1.00,1.00,424,NULL,421,'N SRA DO ROSARIO','S JOSÉ','SC',21773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041019,4.00,6.00,2.00,7.00,9.00,9.00,0.00,3.00,4.00,340,NULL,NULL,'APONIÃ','PTO VELHO','RO',7883,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6041027,7.00,8.00,6.00,7.00,10.00,10.50,3.00,6.00,5.00,207,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',1303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041043,5.00,5.00,3.00,4.00,9.00,8.63,1.00,5.00,5.00,207,NULL,201,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',9607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6041051,4.00,6.00,1.00,6.00,9.00,9.75,3.00,4.00,2.00,319,NULL,NULL,'PARQUE RESIDENCIAL','RIO GRANDE','RS',7929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041060,2.00,3.00,2.00,3.00,1.00,NULL,3.00,2.00,0.00,301,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6041078,4.00,4.00,4.00,4.00,9.00,10.50,1.00,3.00,3.00,103,NULL,NULL,'SERRARIA','S JOSÉ','SC',12052,3874,NULL,NULL,NULL,NULL,NULL,1,1),(25,6041086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6041132,5.00,6.00,2.00,5.00,5.00,6.38,2.00,0.00,6.00,340,NULL,NULL,'CENTRO','TUBARÃO','SC',16519,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6041140,4.00,7.00,4.00,4.00,9.00,8.25,1.00,7.00,3.00,207,NULL,NULL,'JARDIM PRUDENCIA','S PAULO','SP',9458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041159,2.00,6.00,2.00,3.00,7.00,7.13,3.00,4.00,1.00,601,NULL,NULL,'MORRO DO MEIO','JOINVILLE','SC',17300,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6041167,2.00,3.00,0.00,1.00,2.00,NULL,0.00,1.00,2.00,654,NULL,NULL,'PARQUE ALVORADA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6041175,2.00,5.00,4.00,4.00,5.00,6.38,2.00,2.00,0.00,444,NULL,NULL,'STO ANTONIO DE LISB','FLORIANÓPOLIS','SC',19765,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6041191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6041205,8.00,8.00,3.00,6.00,10.00,11.25,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'SÃO JORGE','APIÚNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6041221,3.00,6.00,4.00,6.00,8.00,11.25,4.00,7.00,6.00,216,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',4129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041230,7.00,6.00,3.00,6.00,9.00,6.38,0.00,2.00,6.00,201,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',8743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041248,7.00,7.00,4.00,6.00,8.00,11.25,4.00,5.00,8.00,103,NULL,NULL,'JARDIM ESPLANADA','S JOSÉ CAMPOS','SP',1738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041264,3.00,4.00,2.00,4.00,6.00,9.38,1.00,3.00,0.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6041272,2.00,2.00,0.00,1.00,6.00,NULL,0.00,1.00,1.00,224,NULL,NULL,'PROGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6041280,5.00,8.00,4.00,7.00,8.00,8.63,0.00,5.00,3.00,601,NULL,201,'SÃO JOÃO','ITAJAÍ','SC',6829,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6041299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'PORTO CANOA','SERRA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6041302,5.00,7.00,2.00,6.00,8.00,9.00,1.00,3.00,5.00,103,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',7347,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6041310,6.00,6.00,3.00,5.00,9.00,8.63,1.00,5.00,5.00,103,NULL,NULL,'BARÃO GERALDO','CAMPINAS','SP',6349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6041345,3.00,3.00,3.00,5.00,8.00,10.50,2.00,5.00,2.00,425,NULL,426,'TRINDADE','FLORIANÓPOLIS','SC',13842,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6041353,5.00,8.00,2.00,6.00,10.00,9.75,0.00,2.00,2.00,319,NULL,NULL,'PARQUE SAO JORGE','FLORIANÓPOLIS','SC',10811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'SANTA ANA','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6041370,4.00,7.00,1.00,7.00,9.00,10.50,2.00,8.00,2.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',5128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041388,8.00,6.00,4.00,6.00,7.00,8.25,2.00,5.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6023,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6041400,6.00,5.00,5.00,5.00,9.00,9.75,3.00,4.00,5.00,207,NULL,235,'SANTA FELICIDADE','CURITIBA','PR',5108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041418,3.00,2.00,1.00,3.00,5.00,8.25,0.00,1.00,0.00,216,NULL,NULL,'CENTRO','QUILOMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6041434,4.00,6.00,1.00,4.00,6.00,9.00,1.00,3.00,4.00,233,NULL,220,'ATIRADORES','JOINVILLE','SC',11490,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6041442,1.00,5.00,0.00,5.00,4.00,NULL,2.00,1.00,1.00,211,NULL,215,'CAMOBI','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6041450,5.00,6.00,3.00,4.00,6.00,7.88,1.00,2.00,4.00,215,NULL,211,'ITACORUBI','FLORIANÓPOLIS','SC',15167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041477,2.00,3.00,4.00,3.00,2.00,NULL,2.00,0.00,0.00,207,NULL,201,'MINA BRASIL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6041493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6041507,5.00,5.00,1.00,6.00,7.00,6.75,1.00,5.00,4.00,207,NULL,201,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',10976,565,NULL,912,NULL,NULL,NULL,4,1),(25,6041523,4.00,5.00,2.00,7.00,8.00,5.25,2.00,6.00,3.00,211,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',10024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6041558,7.00,6.00,3.00,6.00,8.00,8.63,3.00,6.00,8.00,303,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',2795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA CANEVARI','CRUZEIRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6041574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6041582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'CEEE','SALTO JACUÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6041590,4.00,5.00,3.00,4.00,5.00,8.63,2.00,2.00,3.00,102,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',15131,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6041604,7.00,6.00,2.00,1.00,6.00,9.00,2.00,3.00,3.00,201,NULL,212,'BARREIROS','S JOSÉ','SC',13898,1190,NULL,409,NULL,NULL,NULL,4,1),(25,6041612,4.00,7.00,4.00,5.00,9.00,7.13,4.00,8.00,6.00,320,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5791,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6041620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'AREIAS DE CIMA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6041647,3.00,4.00,2.00,0.00,6.00,NULL,1.00,4.00,0.00,324,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041655,4.00,6.00,3.00,4.00,7.00,7.13,3.00,3.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14725,517,NULL,NULL,NULL,NULL,NULL,2,1),(25,6041671,7.00,6.00,2.00,2.00,9.00,9.75,2.00,4.00,4.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7446,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6041680,7.00,7.00,3.00,7.00,8.00,9.38,1.00,6.00,6.00,340,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',4051,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6041698,3.00,5.00,4.00,5.00,8.00,10.50,1.00,5.00,2.00,220,NULL,202,'ENSEADA','S FRANCISCO SUL','SC',8006,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6041710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6041728,4.00,4.00,0.00,4.00,5.00,7.13,2.00,4.00,4.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6041736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'ZONA I','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6041744,3.00,3.00,1.00,4.00,5.00,8.63,1.00,2.00,1.00,201,NULL,211,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041760,3.00,2.00,5.00,3.00,4.00,7.50,0.00,2.00,3.00,404,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',20127,84,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041809,5.00,5.00,1.00,5.00,8.00,8.63,1.00,6.00,6.00,303,NULL,NULL,'AQUARIOS','S JOSÉ CAMPOS','SP',8613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041833,1.00,5.00,2.00,4.00,2.00,NULL,1.00,0.00,3.00,3,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6041841,4.00,6.00,1.00,4.00,9.00,9.38,0.00,5.00,5.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',8494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041850,3.00,4.00,2.00,4.00,5.00,6.38,2.00,3.00,2.00,601,NULL,220,'CENTRO','S BENTO SUL','SC',16571,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6041868,3.00,1.00,0.00,1.00,4.00,5.63,1.00,0.00,0.00,201,NULL,207,'VILA CARMOSINA','S PAULO','SP',21786,1750,NULL,1188,NULL,NULL,NULL,4,1),(25,6041876,6.00,8.00,2.00,5.00,9.00,7.13,2.00,1.00,5.00,207,NULL,601,'TRINDADE','FLORIANÓPOLIS','SC',9492,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6041884,8.00,6.00,1.00,6.00,7.00,9.00,1.00,7.00,6.00,103,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',5951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041892,5.00,6.00,3.00,5.00,9.00,8.63,1.00,5.00,4.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6041906,2.00,4.00,2.00,2.00,4.00,7.50,1.00,0.00,1.00,426,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',20661,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6041914,6.00,7.00,3.00,4.00,7.00,7.88,2.00,3.00,4.00,303,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',10168,478,NULL,NULL,NULL,NULL,NULL,4,1),(25,6041922,4.00,4.00,3.00,5.00,5.00,5.25,2.00,4.00,1.00,655,NULL,652,'LAGOA DE FORA','BAL GAIVOTA','SC',16369,77,NULL,39,NULL,NULL,NULL,4,15),(25,6041930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALPHAVILE FLAMBOYANT','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6041957,3.00,5.00,2.00,6.00,9.00,9.38,1.00,2.00,3.00,655,NULL,652,'COLONINHA','ARARANGUÁ','SC',12885,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6041965,3.00,3.00,3.00,2.00,5.00,8.25,3.00,4.00,6.00,235,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',12227,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6041981,3.00,3.00,2.00,5.00,5.00,NULL,0.00,3.00,3.00,339,NULL,NULL,'COSTA DE CIMA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042007,6.00,8.00,2.00,6.00,6.00,7.50,2.00,5.00,4.00,601,NULL,653,'SANTA ROSÁLIA','SOROCABA','SP',7677,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6042015,4.00,2.00,3.00,2.00,5.00,8.25,0.00,0.00,4.00,213,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',17091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6042023,3.00,3.00,0.00,2.00,8.00,9.00,0.00,4.00,2.00,103,NULL,NULL,'MUNICIPIOS','BAL CAMBORIÚ','SC',16080,4338,NULL,NULL,NULL,NULL,NULL,2,3),(25,6042031,2.00,2.00,2.00,3.00,6.00,6.75,2.00,5.00,1.00,238,NULL,208,'ARIRIÚ','PALHOÇA','SC',16943,379,NULL,412,NULL,NULL,NULL,4,1),(25,6042058,2.00,3.00,0.00,2.00,3.00,NULL,2.00,0.00,3.00,234,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042066,6.00,7.00,5.00,7.00,8.00,10.13,3.00,7.00,7.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6042074,4.00,4.00,2.00,0.00,6.00,NULL,2.00,1.00,1.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6042082,3.00,5.00,3.00,3.00,5.00,5.25,1.00,1.00,1.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6042090,1.00,4.00,2.00,2.00,1.00,NULL,1.00,3.00,2.00,102,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042104,3.00,6.00,3.00,3.00,4.00,8.25,3.00,1.00,3.00,110,NULL,NULL,'HARMONIA','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6042120,4.00,4.00,0.00,4.00,5.00,8.25,1.00,5.00,2.00,453,NULL,NULL,'AREIAS','S JOSÉ','SC',15024,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042147,5.00,3.00,0.00,5.00,9.00,10.88,2.00,3.00,2.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9991,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6042163,2.00,4.00,2.00,2.00,3.00,6.00,1.00,3.00,2.00,201,NULL,211,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6042171,4.00,6.00,4.00,6.00,6.00,10.88,2.00,7.00,5.00,653,NULL,652,'OFICINAS','TUBARÃO','SC',5921,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6042180,4.00,7.00,4.00,6.00,7.00,9.00,0.00,5.00,2.00,316,NULL,NULL,'CHÁCARA DA BARRA','CAMPINAS','SP',8642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6042198,4.00,6.00,1.00,6.00,9.00,10.13,0.00,3.00,1.00,104,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',13015,309,NULL,NULL,NULL,NULL,NULL,2,2),(25,6042201,3.00,3.00,3.00,4.00,8.00,6.75,2.00,1.00,1.00,317,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',17271,118,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042210,2.00,2.00,2.00,2.00,4.00,7.50,2.00,0.00,2.00,654,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',21545,91,NULL,NULL,NULL,NULL,NULL,4,15),(25,6042228,1.00,2.00,1.00,1.00,4.00,8.63,3.00,1.00,1.00,303,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042236,1.00,4.00,2.00,1.00,7.00,6.75,1.00,2.00,2.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',20712,194,NULL,NULL,NULL,NULL,NULL,4,1),(25,6042244,3.00,5.00,3.00,2.00,2.00,NULL,2.00,3.00,1.00,101,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042252,4.00,3.00,2.00,1.00,4.00,NULL,2.00,0.00,1.00,318,NULL,NULL,'SANTO ANTONIO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6042260,1.00,5.00,3.00,4.00,7.00,8.25,3.00,4.00,6.00,302,NULL,NULL,'NOSSA SRA DE LOURDES','CAMPOS NOVOS','SC',10848,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6042279,0.00,3.00,1.00,3.00,5.00,NULL,2.00,0.00,3.00,220,NULL,208,'BALN ITAPIRUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6042287,8.00,5.00,0.00,6.00,8.00,6.75,0.00,6.00,5.00,336,NULL,NULL,'BIGORRILHO','CURITIBA','PR',7482,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6042295,3.00,6.00,4.00,5.00,9.00,9.75,3.00,2.00,6.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6042309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CAMPINA MISSÕES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6042317,3.00,3.00,2.00,3.00,3.00,NULL,1.00,0.00,1.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6042325,4.00,7.00,0.00,5.00,9.00,10.50,1.00,5.00,4.00,9,NULL,NULL,'NOVA BELÉM','PAULO LOPES','SC',7125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6042333,3.00,4.00,0.00,6.00,7.00,8.25,1.00,3.00,3.00,109,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',16018,76,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042350,1.00,3.00,1.00,2.00,3.00,7.13,3.00,2.00,1.00,211,NULL,NULL,'CENTRO','MAJ VIEIRA','SC',21414,569,NULL,NULL,NULL,NULL,NULL,4,17),(25,6042376,4.00,5.00,2.00,5.00,5.00,7.88,2.00,4.00,2.00,336,NULL,NULL,'AREIAS','S JOSÉ','SC',14176,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042384,4.00,5.00,6.00,1.00,9.00,7.13,5.00,4.00,8.00,201,NULL,203,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',4570,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6042392,8.00,8.00,7.00,5.00,8.00,9.75,6.00,7.00,8.00,103,NULL,NULL,'SERTAO','STO AMARO IMPERATRIZ','SC',992,682,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042406,4.00,4.00,0.00,2.00,4.00,NULL,3.00,0.00,0.00,215,NULL,211,'INTERIOR','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6042430,4.00,4.00,1.00,5.00,7.00,11.25,0.00,3.00,3.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',13427,4056,NULL,NULL,NULL,NULL,NULL,4,2),(25,6042457,3.00,4.00,1.00,2.00,8.00,6.38,0.00,4.00,1.00,450,NULL,NULL,'MILANESE','CRICIÚMA','SC',16876,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6042473,4.00,4.00,3.00,3.00,6.00,NULL,0.00,0.00,2.00,103,NULL,NULL,'CENTRO','VERÊ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042490,3.00,4.00,2.00,3.00,5.00,7.88,1.00,1.00,2.00,655,NULL,652,'CENTRO','JACINTO MACHADO','SC',17336,90,NULL,50,NULL,NULL,NULL,4,15),(25,6042503,5.00,5.00,1.00,3.00,8.00,7.50,3.00,3.00,4.00,318,NULL,NULL,'CENTRO','RIBEIRÃO PIRES','SP',10641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6042511,6.00,7.00,1.00,4.00,9.00,11.25,2.00,7.00,3.00,450,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',5724,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042538,3.00,3.00,3.00,4.00,7.00,7.50,0.00,1.00,2.00,216,NULL,211,'PAU ARCADO','CPO LIMPO PAULISTA','SP',16972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6042546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6042554,4.00,5.00,2.00,4.00,4.00,9.38,0.00,2.00,1.00,234,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042562,1.00,2.00,0.00,3.00,3.00,NULL,2.00,0.00,2.00,238,NULL,208,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042570,3.00,6.00,1.00,3.00,7.00,7.88,1.00,2.00,0.00,425,NULL,429,'BARRA DO ARIRIÚ','PALHOÇA','SC',16512,61,NULL,34,NULL,NULL,NULL,4,1),(25,6042589,3.00,3.00,1.00,2.00,4.00,6.75,1.00,0.00,2.00,101,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',21319,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042597,4.00,5.00,5.00,4.00,7.00,7.88,3.00,2.00,1.00,101,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',16280,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6042627,7.00,6.00,3.00,5.00,7.00,8.25,3.00,6.00,7.00,203,NULL,216,'PIONEIROS','BAL CAMBORIÚ','SC',4187,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6042635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,233,'MENEGUETTI III','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6042643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6042651,2.00,4.00,3.00,3.00,2.00,NULL,3.00,3.00,2.00,5,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6042678,5.00,5.00,3.00,5.00,8.00,9.38,2.00,8.00,2.00,201,NULL,207,'SANTO ANT DE LISBOA','FLORIANÓPOLIS','SC',9592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6042686,3.00,6.00,2.00,7.00,7.00,6.75,1.00,4.00,5.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042708,4.00,3.00,2.00,5.00,5.00,7.13,2.00,5.00,3.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',13036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6042716,3.00,2.00,1.00,2.00,4.00,5.63,0.00,1.00,1.00,104,NULL,NULL,'SANGA GRANDE','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6042732,3.00,3.00,1.00,4.00,2.00,NULL,0.00,3.00,1.00,317,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6042759,0.00,7.00,2.00,5.00,6.00,NULL,3.00,0.00,3.00,201,NULL,207,'SANTA PAULINA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6042767,7.00,8.00,5.00,5.00,8.00,9.00,2.00,7.00,6.00,207,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',2650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6042775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6042783,8.00,6.00,5.00,4.00,8.00,7.88,2.00,5.00,6.00,207,NULL,601,'RIO CAVEIRAS','BIGUAÇU','SC',6079,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042791,5.00,5.00,1.00,3.00,9.00,8.63,2.00,5.00,0.00,108,NULL,NULL,'SANTA CRUZ DA FIGUEI','ÁGUAS MORNAS','SC',12602,173,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042805,6.00,7.00,4.00,5.00,6.00,8.25,3.00,6.00,4.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',7313,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6042813,2.00,4.00,2.00,3.00,6.00,7.88,2.00,1.00,2.00,316,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',20026,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042830,5.00,5.00,4.00,4.00,6.00,7.88,0.00,1.00,3.00,103,NULL,NULL,'JARDIM MARIA LUIZA','CASCAVEL','PR',13128,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6042848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6042856,3.00,4.00,2.00,6.00,6.00,6.75,4.00,5.00,4.00,303,NULL,NULL,'SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC',9890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6042864,3.00,2.00,0.00,4.00,7.00,9.00,0.00,0.00,3.00,316,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042872,1.00,3.00,4.00,5.00,6.00,9.00,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','VERÊ','PR',15316,4255,NULL,NULL,NULL,NULL,NULL,2,1),(25,6042880,6.00,4.00,3.00,6.00,8.00,7.50,1.00,7.00,5.00,103,NULL,NULL,'CENTRO','ÁGUAS CHAPECÓ','SC',5826,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6042929,6.00,7.00,1.00,5.00,7.00,11.25,1.00,6.00,4.00,203,NULL,202,'CENTRO','CURITIBANOS','SC',6773,524,NULL,NULL,NULL,NULL,NULL,4,16),(25,6042937,3.00,5.00,3.00,4.00,8.00,7.88,0.00,2.00,1.00,201,NULL,212,'MAGALHÃES','LAGUNA','SC',15252,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6042945,3.00,6.00,2.00,3.00,8.00,10.13,0.00,5.00,2.00,104,NULL,NULL,'CIDADE NOVA','VENÂNCIO AIRES','RS',10491,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6042953,8.00,5.00,2.00,3.00,7.00,6.75,2.00,7.00,6.00,336,NULL,NULL,'VILA SANTA TEREZINHA','TANGARÁ SERRA','MT',7441,33,NULL,NULL,NULL,NULL,NULL,4,8),(25,6042970,4.00,6.00,1.00,6.00,7.00,9.38,3.00,3.00,2.00,103,NULL,NULL,'SÃO JOÃO','PTO ALEGRE','RS',10523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6042988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IPIRANGA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6043003,8.00,7.00,4.00,7.00,9.00,10.88,4.00,5.00,7.00,303,NULL,NULL,'CENTO','FLORIANÓPOLIS','SC',1596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6043011,8.00,7.00,1.00,3.00,10.00,8.63,2.00,6.00,8.00,103,NULL,NULL,'CERQUEIRA CEZAR','S PAULO','SP',3763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6043054,6.00,6.00,4.00,5.00,7.00,8.25,3.00,4.00,5.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5874,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6043062,5.00,4.00,1.00,3.00,4.00,7.50,2.00,4.00,3.00,316,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',18923,214,NULL,NULL,NULL,NULL,NULL,4,1),(25,6043070,2.00,3.00,2.00,2.00,4.00,7.13,2.00,1.00,1.00,308,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',21498,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6043089,4.00,7.00,3.00,4.00,7.00,9.38,3.00,5.00,1.00,337,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',11748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6043097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6043100,4.00,5.00,3.00,3.00,5.00,8.25,0.00,6.00,6.00,216,NULL,215,'RIO MAINA','CRICIÚMA','SC',12060,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6043119,2.00,5.00,3.00,5.00,7.00,9.00,1.00,3.00,4.00,104,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',14761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6043135,1.00,1.00,3.00,3.00,6.00,6.38,2.00,0.00,0.00,207,NULL,201,'ARMAÇÃO','FLORIANÓPOLIS','SC',20641,1128,NULL,1678,NULL,NULL,NULL,4,1),(25,6043160,3.00,6.00,2.00,4.00,7.00,7.50,0.00,4.00,1.00,212,NULL,201,'HAUER','CURITIBA','PR',13662,398,NULL,1160,NULL,NULL,NULL,2,8),(25,6043178,5.00,7.00,0.00,6.00,9.00,10.88,3.00,5.00,3.00,999,NULL,NULL,'SÃO CRISTOVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6043186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6043208,3.00,6.00,4.00,2.00,4.00,6.75,2.00,7.00,1.00,303,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',17777,773,NULL,NULL,NULL,NULL,NULL,4,1),(25,6043224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','IMBITUVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6043240,7.00,6.00,1.00,6.00,9.00,7.50,2.00,4.00,5.00,653,NULL,211,'NONOAI','PTO ALEGRE','RS',7293,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6043259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6043267,7.00,7.00,1.00,4.00,9.00,9.38,2.00,3.00,2.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',9214,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6043275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA PROGRESSO','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6043291,3.00,3.00,0.00,2.00,3.00,NULL,2.00,3.00,1.00,319,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6043305,4.00,5.00,1.00,3.00,5.00,6.75,1.00,3.00,3.00,404,NULL,NULL,'ARMAÇÃO DO PÂNTANO S','FLORIANÓPOLIS','SC',13811,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6043313,1.00,6.00,0.00,0.00,2.00,NULL,3.00,2.00,2.00,444,NULL,NULL,'MAGALHAES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6043330,2.00,4.00,0.00,5.00,4.00,NULL,2.00,2.00,0.00,103,NULL,NULL,'PIONEIRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6043364,3.00,4.00,0.00,3.00,5.00,NULL,1.00,1.00,0.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6043380,4.00,6.00,1.00,4.00,2.00,NULL,2.00,1.00,5.00,207,NULL,212,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6043399,5.00,7.00,3.00,6.00,9.00,7.50,2.00,6.00,6.00,103,NULL,NULL,'JD SAN REMO','LONDRINA','PR',5012,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6043402,4.00,5.00,3.00,4.00,7.00,9.38,1.00,0.00,1.00,420,NULL,NULL,'AREIAS','S JOSÉ','SC',14265,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6043437,5.00,7.00,1.00,4.00,6.00,12.75,2.00,6.00,7.00,207,NULL,215,'IMIGRANTES','CONCÓRDIA','SC',4464,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6043445,1.00,1.00,1.00,1.00,3.00,6.38,0.00,1.00,0.00,452,NULL,NULL,'OFICINAS','TUBARÃO','SC',21794,136,NULL,NULL,NULL,NULL,NULL,2,10),(25,6043453,3.00,3.00,2.00,2.00,2.00,NULL,2.00,4.00,3.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6043461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PROGRESSO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6043470,8.00,6.00,2.00,2.00,8.00,9.00,1.00,8.00,5.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6043496,7.00,8.00,6.00,7.00,10.00,9.75,3.00,4.00,9.00,201,NULL,207,'VICTOR KONDER','BLUMENAU','SC',1148,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6043500,4.00,6.00,4.00,2.00,8.00,7.88,1.00,4.00,1.00,308,NULL,NULL,'BOA PARADA','S PEDRO ALCÂNTARA','SC',11839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6043518,1.00,7.00,3.00,4.00,8.00,4.50,3.00,0.00,1.00,202,NULL,655,'BOA VISTA','CHAPECÓ','SC',15725,493,NULL,69,NULL,NULL,NULL,4,4),(25,6043526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6043534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,202,'JARDIM AMÁLIA','CAÇAPAVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6043542,4.00,5.00,6.00,5.00,8.00,7.50,2.00,6.00,7.00,301,NULL,NULL,'AREIAS','S JOSÉ','SC',6930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6043550,3.00,3.00,2.00,0.00,3.00,NULL,0.00,2.00,1.00,201,NULL,212,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6043569,5.00,7.00,3.00,6.00,9.00,6.75,3.00,6.00,3.00,238,NULL,235,'AGRONOMICA','FLORIANÓPOLIS','SC',6783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6043585,5.00,2.00,3.00,6.00,5.00,7.50,2.00,1.00,2.00,428,NULL,425,'JARDIM SANTO ELIAS','S PAULO','SP',18535,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6043593,1.00,4.00,2.00,4.00,7.00,NULL,0.00,4.00,3.00,601,NULL,211,'SÃO JOSE','ITAPOÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6043615,8.00,5.00,3.00,6.00,8.00,10.50,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','CPO MOURÃO','PR',5415,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6043623,3.00,4.00,2.00,6.00,8.00,11.25,0.00,6.00,6.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',6607,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6043640,1.00,3.00,1.00,2.00,3.00,5.63,1.00,0.00,3.00,308,NULL,NULL,'ROÇADO','S JOSÉ','SC',21663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6043674,5.00,5.00,2.00,2.00,6.00,7.50,0.00,2.00,3.00,601,NULL,NULL,'JARDIM PINHEIROS','S JOSÉ','SC',19118,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6043690,2.00,3.00,1.00,4.00,4.00,7.13,1.00,1.00,1.00,5,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6043704,5.00,7.00,6.00,7.00,9.00,9.75,1.00,5.00,6.00,220,NULL,214,'SETOR OESTE','GOIÂNIA','GO',2139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6043712,6.00,5.00,6.00,4.00,9.00,9.38,5.00,5.00,5.00,207,NULL,201,'IPIRANGA','S JOSÉ','SC',3966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6043720,7.00,6.00,2.00,4.00,6.00,9.00,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','BARRACÃO','PR',7512,3072,NULL,NULL,NULL,NULL,NULL,2,4),(25,6043739,0.00,3.00,3.00,1.00,4.00,6.38,0.00,3.00,2.00,205,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',21636,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6043755,2.00,8.00,1.00,2.00,4.00,10.13,2.00,6.00,4.00,212,NULL,601,'INGLESES','FLORIANÓPOLIS','SC',14134,412,NULL,NULL,NULL,NULL,NULL,2,1),(25,6043763,6.00,5.00,4.00,5.00,7.00,NULL,0.00,6.00,5.00,103,NULL,NULL,'CENTRO','CONSTANTINA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6043780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ITOPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6043798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6043810,1.00,4.00,1.00,4.00,4.00,7.88,1.00,5.00,3.00,5,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6043828,2.00,6.00,3.00,0.00,3.00,7.13,4.00,4.00,3.00,302,NULL,NULL,'CENTRO','S BENTO SUL','SC',18507,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6043836,6.00,6.00,1.00,2.00,6.00,8.25,2.00,3.00,6.00,318,NULL,NULL,'PONTE ALTA','APARECIDA','SP',12584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6043844,6.00,5.00,3.00,5.00,7.00,7.88,0.00,6.00,3.00,999,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6043852,3.00,3.00,0.00,1.00,3.00,NULL,1.00,1.00,2.00,110,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6043860,1.00,5.00,1.00,2.00,5.00,NULL,1.00,0.00,4.00,201,NULL,211,'NOVA BRASÍLIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6043887,3.00,4.00,2.00,1.00,2.00,NULL,0.00,0.00,1.00,404,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6043895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6043917,3.00,1.00,2.00,2.00,2.00,NULL,2.00,0.00,0.00,5,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6043933,6.00,4.00,3.00,6.00,7.00,7.50,2.00,6.00,5.00,214,NULL,233,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',9070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6043941,5.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(25,6043950,6.00,4.00,2.00,3.00,6.00,5.63,4.00,3.00,1.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',14065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6043968,6.00,7.00,5.00,4.00,8.00,9.75,3.00,6.00,7.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',3513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6043976,2.00,4.00,3.00,2.00,6.00,7.13,1.00,4.00,0.00,207,NULL,216,'CENTRO','ALFREDO WAGNER','SC',20471,1113,NULL,618,NULL,NULL,NULL,2,1),(25,6043984,3.00,3.00,3.00,3.00,2.00,NULL,2.00,2.00,0.00,420,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6044000,5.00,6.00,3.00,6.00,7.00,9.00,2.00,5.00,4.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',9356,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6044026,4.00,7.00,1.00,3.00,7.00,9.00,3.00,3.00,2.00,420,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6044050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,601,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6044069,5.00,5.00,2.00,5.00,7.00,8.63,1.00,5.00,4.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11477,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6044077,3.00,6.00,2.00,1.00,5.00,6.75,2.00,5.00,2.00,501,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',18481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6044085,5.00,6.00,1.00,3.00,5.00,7.50,4.00,3.00,4.00,238,NULL,213,'CENTRO','RIO FORTUNA','SC',13750,245,NULL,195,NULL,NULL,NULL,4,10),(25,6044093,3.00,2.00,0.00,0.00,2.00,NULL,2.00,0.00,0.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6044131,2.00,3.00,2.00,7.00,6.00,7.88,1.00,2.00,1.00,304,NULL,NULL,'SITIO CERCADO','CURITIBA','PR',18258,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6044140,1.00,3.00,3.00,2.00,3.00,6.00,0.00,1.00,1.00,551,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',21765,87,NULL,NULL,NULL,NULL,NULL,4,16),(25,6044158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6044174,6.00,6.00,2.00,6.00,8.00,11.25,2.00,6.00,2.00,207,NULL,216,'CIDADE PARQUELÂNDIA','MOGI CRUZES','SP',5500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6044190,2.00,6.00,0.00,0.00,5.00,7.50,0.00,4.00,2.00,201,NULL,203,'AREIAS','CAMBORIÚ','SC',19368,1591,NULL,1078,NULL,NULL,NULL,4,3),(25,6044204,1.00,2.00,1.00,2.00,5.00,NULL,0.00,0.00,2.00,9,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6044212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GUARUJÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6044220,2.00,4.00,2.00,3.00,5.00,6.00,2.00,2.00,3.00,103,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',20450,4716,NULL,NULL,NULL,NULL,NULL,2,1),(25,6044239,3.00,5.00,3.00,4.00,6.00,NULL,0.00,2.00,3.00,201,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6044247,7.00,7.00,3.00,4.00,10.00,7.88,3.00,7.00,6.00,207,NULL,201,'BELA VISTA','RIO OESTE','SC',4666,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6044263,4.00,5.00,2.00,2.00,7.00,10.13,2.00,1.00,1.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',17880,4515,NULL,NULL,NULL,NULL,NULL,2,7),(25,6044271,4.00,4.00,1.00,3.00,7.00,8.25,1.00,3.00,1.00,317,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',18280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6044280,5.00,8.00,6.00,5.00,7.00,7.88,2.00,4.00,6.00,216,NULL,215,'MONTE VERDE','FLORIANÓPOLIS','SC',6611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6044298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6044301,7.00,6.00,6.00,4.00,9.00,11.63,2.00,8.00,4.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',3596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6044310,0.00,0.00,2.00,1.00,1.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VILA DAS HORTÊNCIAS','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6044328,2.00,7.00,2.00,0.00,7.00,NULL,0.00,5.00,1.00,319,NULL,NULL,'CHAVANTES NOVO','CHAVANTES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6044336,3.00,5.00,3.00,2.00,6.00,6.75,2.00,4.00,3.00,319,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6044379,2.00,4.00,3.00,2.00,6.00,10.13,1.00,4.00,3.00,420,NULL,NULL,'SANTA REGINA VI','CAMBORIÚ','SC',17688,167,NULL,NULL,NULL,NULL,NULL,4,3),(25,6044387,6.00,5.00,4.00,5.00,7.00,9.75,3.00,7.00,4.00,110,NULL,NULL,'STO ANTO DE LISBOA','FLORIANÓPOLIS','SC',7211,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6044395,4.00,7.00,2.00,6.00,8.00,NULL,2.00,0.00,3.00,203,NULL,601,'ANDREATTA','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6044417,4.00,4.00,0.00,1.00,4.00,7.50,0.00,0.00,1.00,202,NULL,220,'CENTRO','CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6044425,3.00,3.00,3.00,5.00,7.00,7.88,2.00,4.00,2.00,601,NULL,235,'ROCIO GRANDE','S FRANCISCO SUL','SC',15069,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6044441,5.00,6.00,4.00,4.00,7.00,7.13,2.00,6.00,4.00,233,NULL,202,'BOM RETIRO','JOINVILLE','SC',10376,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6044450,6.00,5.00,5.00,7.00,11.00,7.88,2.00,7.00,6.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6044492,1.00,4.00,0.00,4.00,5.00,8.63,0.00,4.00,3.00,415,NULL,NULL,'ARMAÇAO DO PANTANO D','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6044514,5.00,7.00,2.00,6.00,9.00,7.50,2.00,5.00,5.00,235,NULL,201,'BIGORRILHO','CURITIBA','PR',6402,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6044522,5.00,7.00,2.00,5.00,8.00,10.88,3.00,3.00,4.00,216,NULL,211,'UNIVERSITÁRIO','TIJUCAS','SC',7752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6044549,8.00,6.00,4.00,6.00,10.00,9.00,3.00,7.00,8.00,103,NULL,NULL,'SÍTIO CERCADO','CURITIBA','PR',1492,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6044557,8.00,7.00,4.00,5.00,9.00,13.13,6.00,8.00,4.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',1232,819,NULL,NULL,NULL,NULL,NULL,2,1),(25,6044565,4.00,2.00,3.00,5.00,5.00,9.75,1.00,2.00,2.00,316,NULL,NULL,'CENTRO','BIGUAÇU','SC',19081,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6044581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOSSUNGUÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6044590,4.00,2.00,2.00,4.00,6.00,8.63,2.00,2.00,4.00,501,NULL,NULL,'VILA IPIRANGA','LONDRINA','PR',14492,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6044603,1.00,4.00,1.00,4.00,5.00,3.00,2.00,6.00,2.00,326,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6044611,4.00,4.00,3.00,3.00,6.00,9.00,1.00,3.00,2.00,319,NULL,NULL,'JARDIM NOSSA SR APAR','SETE BARRAS','SP',14471,275,NULL,NULL,NULL,NULL,NULL,2,1),(25,6044620,5.00,3.00,2.00,4.00,8.00,8.63,1.00,3.00,2.00,103,NULL,NULL,'PIONEIROS','ITÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6044646,3.00,1.00,0.00,2.00,4.00,4.88,2.00,1.00,2.00,205,NULL,NULL,'INTERIOR','JABORÁ','SC',21756,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6044654,3.00,2.00,0.00,4.00,5.00,10.13,1.00,1.00,1.00,201,NULL,207,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6044662,5.00,6.00,2.00,5.00,8.00,8.63,1.00,4.00,1.00,303,NULL,NULL,'CENTRO','JAGUARUNA','SC',12613,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6044670,3.00,2.00,3.00,2.00,3.00,9.38,2.00,3.00,1.00,319,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',20673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6044689,2.00,5.00,3.00,5.00,7.00,8.63,1.00,6.00,7.00,103,NULL,NULL,'CENTRO','LONTRAS','SC',9912,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6044697,6.00,6.00,5.00,6.00,7.00,10.13,4.00,6.00,5.00,453,NULL,NULL,'FZDA SANTO ANTÔNIO','S JOSÉ','SC',4516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6044700,3.00,5.00,2.00,4.00,5.00,9.00,1.00,6.00,3.00,302,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',12828,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6044727,5.00,5.00,1.00,4.00,5.00,8.25,0.00,5.00,1.00,233,NULL,235,'CANASVIERIAS','FLORIANÓPOLIS','SC',13780,366,NULL,319,NULL,NULL,NULL,4,1),(25,6044735,6.00,8.00,4.00,4.00,7.00,10.13,2.00,9.00,7.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',2781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6044743,8.00,7.00,6.00,6.00,10.00,9.75,4.00,8.00,9.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',286,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6044751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'ARMAÇÃO','PENHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6044760,4.00,7.00,0.00,1.00,4.00,8.25,1.00,0.00,2.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',20647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6044794,9.00,7.00,3.00,7.00,10.00,12.75,0.00,8.00,7.00,103,NULL,NULL,'TV MORENA','CPO GRANDE','MS',1065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6044808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,216,'SUMARÉ','CARAGUATATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6044816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA AMERICA','MAUÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6044824,7.00,5.00,6.00,7.00,7.00,9.75,4.00,7.00,7.00,220,NULL,655,'ÁGUA VERDE','CURITIBA','PR',1813,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6044832,7.00,4.00,3.00,5.00,6.00,8.25,3.00,3.00,6.00,103,NULL,NULL,'CENTRO','LONTRAS','SC',9152,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6044840,6.00,8.00,2.00,7.00,9.00,10.13,2.00,7.00,4.00,303,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',3026,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6044859,4.00,8.00,2.00,6.00,6.00,7.88,3.00,4.00,5.00,238,NULL,208,'PANTANAL','FLORIANÓPOLIS','SC',8698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6044875,2.00,5.00,0.00,2.00,4.00,NULL,1.00,4.00,2.00,601,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6044883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6044891,5.00,4.00,2.00,4.00,6.00,7.50,3.00,5.00,2.00,317,NULL,NULL,'BARREITOS','S JOSÉ','SC',11215,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6044921,4.00,4.00,2.00,4.00,6.00,9.00,2.00,4.00,1.00,201,NULL,207,'MAGALHAES','LAGUNA','SC',12761,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6044948,6.00,5.00,1.00,6.00,9.00,11.63,3.00,6.00,5.00,108,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',5629,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6044972,6.00,6.00,5.00,4.00,10.00,10.50,1.00,5.00,5.00,319,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',3897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6044980,4.00,8.00,1.00,4.00,7.00,10.88,2.00,8.00,5.00,319,NULL,NULL,'PETRÓPOLIS','VACARIA','RS',5599,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6044999,3.00,6.00,2.00,4.00,6.00,7.13,2.00,1.00,1.00,999,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6045006,1.00,3.00,2.00,0.00,5.00,7.50,1.00,4.00,2.00,207,NULL,201,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6045022,5.00,4.00,4.00,4.00,6.00,4.50,3.00,3.00,3.00,207,NULL,235,'IPIRANGA','S JOSÉ','SC',14676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045049,3.00,3.00,0.00,2.00,4.00,7.13,2.00,0.00,4.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20376,146,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045057,2.00,5.00,3.00,2.00,6.00,6.38,1.00,2.00,1.00,223,NULL,NULL,'JARDIM PAULISTA','PRES PRUDENTE','SP',20685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6045073,3.00,3.00,3.00,4.00,5.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045090,8.00,8.00,6.00,6.00,10.00,10.50,3.00,7.00,9.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6045103,5.00,6.00,4.00,5.00,7.00,5.63,1.00,4.00,6.00,340,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',8447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6045111,2.00,2.00,2.00,4.00,6.00,9.38,2.00,6.00,5.00,201,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',13850,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,215,'ANDRADA','PINDAMONHANGABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6045138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'PARELHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6045146,5.00,2.00,2.00,5.00,4.00,7.50,0.00,2.00,2.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',20068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6045154,7.00,7.00,4.00,6.00,9.00,9.75,3.00,4.00,5.00,103,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',4366,2203,NULL,NULL,NULL,NULL,NULL,4,1),(25,6045162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6045189,2.00,5.00,1.00,4.00,7.00,7.50,2.00,1.00,2.00,101,NULL,NULL,'CENTRO','MARAVILHA','SC',17268,100,NULL,NULL,NULL,NULL,NULL,2,4),(25,6045197,3.00,2.00,1.00,4.00,5.00,8.63,0.00,2.00,1.00,207,NULL,201,'RETIRO DA UNIÃO','SOMBRIO','SC',18031,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6045200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'LIVRAMENTO','BURITAMA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6045219,5.00,6.00,3.00,4.00,7.00,11.25,1.00,6.00,2.00,103,NULL,NULL,'ANDORINHAS','ZORTÉA','SC',7287,3023,NULL,NULL,NULL,NULL,NULL,2,7),(25,6045235,4.00,4.00,3.00,6.00,6.00,7.13,3.00,4.00,0.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045243,2.00,3.00,2.00,3.00,6.00,NULL,0.00,1.00,4.00,202,NULL,235,'CENTRO','JUNQUEIRÓPOLIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6045260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6045278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CACHOEIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6045286,3.00,7.00,1.00,4.00,5.00,8.63,1.00,1.00,5.00,104,NULL,NULL,'SOL NASCENTE','IJUÍ','RS',17819,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045294,1.00,2.00,0.00,1.00,4.00,6.75,2.00,0.00,1.00,207,NULL,201,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6045308,6.00,6.00,2.00,6.00,6.00,7.50,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6045316,4.00,4.00,3.00,2.00,2.00,NULL,2.00,2.00,3.00,551,NULL,NULL,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6045324,7.00,7.00,3.00,7.00,10.00,13.50,3.00,6.00,9.00,103,NULL,NULL,'CENTRO','ANÁPOLIS','GO',617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6045340,2.00,3.00,1.00,1.00,4.00,8.25,0.00,1.00,1.00,502,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6045367,8.00,4.00,4.00,5.00,8.00,9.38,5.00,7.00,7.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',2719,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045375,5.00,6.00,1.00,2.00,6.00,10.13,3.00,5.00,1.00,303,NULL,NULL,'GUAJUVIRAS','CANOAS','RS',14446,663,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045391,5.00,5.00,0.00,4.00,6.00,9.38,1.00,0.00,3.00,303,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',15422,692,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045405,6.00,4.00,4.00,5.00,7.00,10.13,1.00,3.00,4.00,108,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',9972,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6045413,3.00,2.00,1.00,3.00,7.00,6.75,1.00,2.00,2.00,103,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',19324,4619,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045421,9.00,8.00,4.00,5.00,7.00,9.75,4.00,6.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1307,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6045430,2.00,2.00,1.00,2.00,2.00,NULL,1.00,3.00,1.00,234,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6045448,6.00,6.00,2.00,6.00,10.00,9.38,2.00,9.00,6.00,5,NULL,NULL,'S J DO RIO VERMELHO','FLORIANÓPOLIS','SC',3741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6045456,2.00,2.00,2.00,1.00,7.00,6.75,1.00,2.00,2.00,652,NULL,655,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6045499,2.00,3.00,2.00,1.00,5.00,5.25,1.00,2.00,1.00,5,NULL,NULL,'BOA VISTA','JOINVILLE','SC',21673,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6045510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6045537,3.00,5.00,0.00,7.00,7.00,NULL,2.00,4.00,4.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6045545,2.00,5.00,1.00,5.00,6.00,6.38,2.00,5.00,4.00,101,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6045561,2.00,5.00,0.00,5.00,5.00,NULL,3.00,5.00,5.00,208,NULL,238,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6045570,2.00,5.00,1.00,4.00,6.00,7.50,1.00,2.00,3.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',16334,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6045596,2.00,3.00,3.00,2.00,4.00,8.63,2.00,5.00,2.00,203,NULL,216,'CENTRO','CURITIBA','PR',16987,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6045600,2.00,4.00,1.00,1.00,2.00,NULL,1.00,1.00,0.00,309,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045618,3.00,4.00,3.00,5.00,6.00,9.38,1.00,2.00,2.00,420,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',15715,151,NULL,NULL,NULL,NULL,NULL,4,1),(25,6045626,6.00,6.00,5.00,7.00,9.00,9.00,4.00,0.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4868,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045634,8.00,6.00,7.00,7.00,10.00,10.50,3.00,9.00,7.00,103,NULL,NULL,'MICHEL','CRICIÚMA','SC',374,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6045650,3.00,3.00,1.00,2.00,8.00,9.75,0.00,3.00,3.00,319,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',15867,303,NULL,NULL,NULL,NULL,NULL,2,15),(25,6045669,1.00,4.00,2.00,3.00,5.00,5.63,2.00,3.00,3.00,201,NULL,203,'SÃO CRISTOVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6045677,6.00,4.00,4.00,5.00,6.00,8.25,1.00,5.00,3.00,340,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',9491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6045685,7.00,8.00,4.00,6.00,8.00,0.00,1.00,6.00,5.00,450,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6045693,4.00,4.00,3.00,3.00,6.00,9.00,1.00,2.00,2.00,9,NULL,NULL,'DO PARQUE','ITAPIRANGA','SC',14295,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6045707,5.00,5.00,6.00,6.00,9.00,9.75,1.00,5.00,7.00,212,NULL,601,'TRINDADE','FLORIANÓPOLIS','SC',3350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6045723,5.00,4.00,5.00,6.00,7.00,12.00,3.00,6.00,4.00,304,NULL,NULL,'FAZENDA','ITAJAÍ','SC',5063,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6045731,4.00,2.00,2.00,3.00,8.00,NULL,3.00,0.00,1.00,420,NULL,NULL,'CENTRO','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045740,4.00,4.00,1.00,5.00,7.00,8.63,2.00,2.00,1.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14760,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045758,3.00,5.00,1.00,4.00,5.00,NULL,0.00,0.00,2.00,429,NULL,424,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045766,6.00,7.00,2.00,7.00,8.00,11.25,1.00,6.00,7.00,103,NULL,NULL,'CENTRO','URAÍ','PR',3263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6045774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6045782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6045790,4.00,6.00,1.00,4.00,6.00,6.75,3.00,5.00,2.00,201,NULL,207,'BARREIROS','S JOSÉ','SC',15365,1308,NULL,836,NULL,NULL,NULL,4,1),(25,6045812,3.00,5.00,4.00,3.00,8.00,10.13,1.00,4.00,3.00,601,NULL,203,'AVENTUREIRO','JOINVILLE','SC',10679,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6045820,2.00,2.00,2.00,2.00,6.00,NULL,0.00,2.00,2.00,208,NULL,238,'SANTA CRUZ','CAPANEMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6045839,7.00,7.00,4.00,6.00,9.00,11.63,0.00,5.00,6.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',4743,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6045847,3.00,4.00,3.00,2.00,6.00,6.00,2.00,4.00,3.00,101,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',16982,96,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045863,8.00,7.00,5.00,7.00,6.00,10.13,5.00,6.00,7.00,220,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',1384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6045880,0.00,1.00,0.00,0.00,0.00,NULL,4.00,0.00,2.00,309,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(25,6045898,1.00,4.00,1.00,3.00,4.00,9.00,2.00,1.00,1.00,338,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045901,3.00,5.00,2.00,5.00,5.00,7.13,1.00,3.00,1.00,103,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045910,8.00,6.00,5.00,7.00,9.00,10.50,2.00,5.00,8.00,103,NULL,NULL,'JARDIM SANTA HELENA','BRAGANÇA PAULISTA','SP',1298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6045928,5.00,7.00,0.00,3.00,9.00,9.75,2.00,3.00,6.00,601,NULL,212,'SAGUAÇU','JOINVILLE','SC',8466,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6045936,5.00,5.00,5.00,6.00,8.00,8.25,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','XAXIM','SC',6270,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6045944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','LONTRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6045952,7.00,6.00,5.00,7.00,9.00,9.00,2.00,6.00,8.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2054,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6045960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BARRACÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6045979,1.00,3.00,0.00,3.00,5.00,6.00,2.00,3.00,2.00,201,NULL,207,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6045987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'BREJARU II','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6045995,4.00,4.00,3.00,2.00,9.00,6.38,1.00,2.00,2.00,208,NULL,238,'RATONES','FLORIANÓPOLIS','SC',15614,355,NULL,324,NULL,NULL,NULL,4,1),(25,6046002,4.00,4.00,2.00,3.00,3.00,8.25,0.00,0.00,1.00,340,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046010,9.00,6.00,7.00,7.00,10.00,9.38,5.00,5.00,7.00,103,NULL,NULL,'JARDIM DAS NAÇÕES','MARINGÁ','PR',517,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6046029,3.00,3.00,2.00,4.00,4.00,7.13,3.00,7.00,3.00,301,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6046037,5.00,4.00,2.00,2.00,4.00,7.13,3.00,3.00,3.00,203,NULL,202,'CENTRO','IRATI','PR',14212,897,NULL,438,NULL,NULL,NULL,2,8),(25,6046045,2.00,2.00,0.00,2.00,5.00,NULL,1.00,0.00,0.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6046061,4.00,5.00,4.00,4.00,8.00,10.13,3.00,3.00,5.00,212,NULL,201,'BATEL','CURITIBA','PR',6723,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6046070,3.00,5.00,2.00,4.00,9.00,8.63,1.00,3.00,4.00,420,NULL,NULL,'CENTRO','GUARACIABA','SC',10791,82,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046088,6.00,3.00,3.00,7.00,6.00,9.00,0.00,3.00,1.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046096,2.00,4.00,2.00,4.00,4.00,7.50,2.00,4.00,4.00,213,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',16717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046100,8.00,7.00,4.00,6.00,10.00,8.25,4.00,8.00,9.00,103,NULL,NULL,'COLINA VERDE','LONDRINA','PR',892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046118,8.00,6.00,4.00,6.00,9.00,10.88,5.00,6.00,9.00,103,NULL,NULL,'VILA MORANGUEIRA','MARINGÁ','PR',1541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046126,1.00,3.00,3.00,0.00,3.00,NULL,0.00,0.00,1.00,103,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,2),(25,6046134,4.00,4.00,1.00,2.00,7.00,7.88,0.00,2.00,3.00,202,NULL,203,'SANTA MARIA','CHAPECÓ','SC',19413,608,NULL,1080,NULL,NULL,NULL,4,4),(25,6046142,9.00,6.00,4.00,5.00,10.00,9.00,1.00,7.00,7.00,203,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',1645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046150,4.00,5.00,1.00,4.00,6.00,9.38,3.00,4.00,4.00,207,NULL,212,'AGRONOMICA','FLORIANÓPOLIS','SC',11222,588,NULL,325,NULL,NULL,NULL,4,1),(25,6046177,3.00,4.00,2.00,6.00,5.00,8.63,3.00,2.00,3.00,652,NULL,655,'SANTA TEREZINHA','FORQUILHINHA','SC',16817,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6046207,0.00,4.00,4.00,3.00,5.00,6.75,1.00,3.00,3.00,202,NULL,213,'GANCHOS DE FORA','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046215,3.00,5.00,2.00,2.00,8.00,7.13,1.00,4.00,4.00,201,NULL,212,'CENTRO','PALHOÇA','SC',14408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046223,3.00,2.00,0.00,2.00,5.00,NULL,2.00,2.00,2.00,319,NULL,NULL,'BORTOLANZA','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6046231,4.00,4.00,2.00,6.00,9.00,7.50,1.00,1.00,2.00,103,NULL,NULL,'JARDIM','CONCÓRDIA','SC',13735,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6046240,8.00,8.00,4.00,5.00,9.00,9.00,2.00,7.00,7.00,103,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',1611,1018,NULL,NULL,NULL,NULL,NULL,2,6),(25,6046258,3.00,5.00,0.00,4.00,6.00,7.13,1.00,1.00,2.00,320,NULL,NULL,'CAMPINAS','S JOSÉ','SC',20295,41,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046266,8.00,4.00,5.00,5.00,8.00,9.75,1.00,5.00,5.00,207,NULL,203,'VILA SAO PEDRO','PIRAÍ SUL','PR',4060,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6046274,2.00,2.00,0.00,4.00,7.00,NULL,3.00,0.00,2.00,103,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6046282,2.00,4.00,3.00,2.00,7.00,9.75,0.00,3.00,1.00,332,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',16576,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6046290,2.00,5.00,0.00,4.00,6.00,8.25,2.00,3.00,0.00,601,NULL,203,'PONTA AGUDA','BLUMENAU','SC',15774,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6046304,5.00,5.00,2.00,4.00,7.00,8.25,3.00,4.00,5.00,201,NULL,207,'CENTRO','PALMAS','PR',9042,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6046320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IBIRUBÁ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6046339,3.00,6.00,3.00,4.00,7.00,8.63,2.00,3.00,2.00,201,NULL,207,'CENTRO','JOAÇABA','SC',12250,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6046347,9.00,7.00,4.00,6.00,9.00,11.63,3.00,8.00,8.00,103,NULL,NULL,'TIRADENTES','CPO GRANDE','MS',356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046363,5.00,2.00,7.00,6.00,8.00,9.75,2.00,2.00,7.00,103,NULL,NULL,'SANTA MÔNICA','UBERLÂNDIA','MG',5412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046371,6.00,6.00,3.00,3.00,6.00,11.63,4.00,3.00,4.00,104,NULL,NULL,'JARDIM NOVA ALIANÇA','RIBEIRÃO PRETO','SP',6860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046380,6.00,5.00,5.00,7.00,9.00,8.63,1.00,5.00,3.00,203,NULL,233,'SÃO CRISTÓVÃO','LAGES','SC',4152,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6046401,2.00,3.00,2.00,3.00,4.00,NULL,0.00,1.00,1.00,652,NULL,238,'SÃO LUIZ','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6046410,5.00,6.00,7.00,7.00,7.00,NULL,3.00,7.00,8.00,233,NULL,215,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6046444,3.00,6.00,1.00,4.00,7.00,5.63,4.00,3.00,1.00,208,NULL,655,'TIRADENTES','GRAVATAL','SC',15393,345,NULL,64,NULL,NULL,NULL,2,10),(25,6046452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,424,'TRIDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6046460,3.00,3.00,2.00,2.00,7.00,6.75,1.00,3.00,2.00,235,NULL,201,'BOA VISTA','BIGUAÇU','SC',20566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046479,7.00,6.00,4.00,6.00,9.00,5.63,2.00,5.00,5.00,103,NULL,NULL,'AREIAS BARREIROS','S JOSÉ','SC',4769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046487,3.00,5.00,2.00,1.00,4.00,4.88,3.00,0.00,2.00,652,NULL,NULL,'SANGA DA AREIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6046495,6.00,7.00,4.00,6.00,10.00,12.00,2.00,7.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'SAO LUIZ GONZAGA','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6046533,7.00,4.00,2.00,3.00,5.00,8.63,1.00,1.00,2.00,103,NULL,NULL,'RIO NEGRO','S BENTO SUL','SC',14337,4162,NULL,NULL,NULL,NULL,NULL,2,8),(25,6046568,6.00,6.00,3.00,6.00,7.00,6.38,1.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8812,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6046576,7.00,7.00,4.00,6.00,8.00,8.25,1.00,8.00,5.00,207,NULL,201,'JOSÉ MENDES','FLORIANÓPOLIS','SC',2741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046584,0.00,4.00,2.00,2.00,5.00,7.13,2.00,2.00,3.00,302,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6046592,7.00,6.00,3.00,3.00,7.00,8.25,2.00,3.00,5.00,103,NULL,NULL,'SANTO ANTONIO','FRAIBURGO','SC',8323,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6046614,4.00,4.00,3.00,5.00,7.00,9.75,2.00,2.00,3.00,207,NULL,201,'CENTRO','CORNÉLIO PROCÓPIO','PR',11777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6046622,1.00,4.00,1.00,2.00,5.00,7.50,1.00,3.00,0.00,338,NULL,NULL,'CAMPINAS','S JOSÉ','SC',21278,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6046630,7.00,4.00,1.00,4.00,7.00,11.25,4.00,6.00,5.00,415,NULL,NULL,'BOA VISTA','JOINVILLE','SC',5378,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6046649,0.00,3.00,0.00,2.00,3.00,NULL,1.00,0.00,0.00,201,NULL,207,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,15),(25,6046657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6046673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'SÃO FRANCISCO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6046681,3.00,5.00,3.00,3.00,4.00,7.50,3.00,0.00,3.00,999,NULL,NULL,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6046690,9.00,7.00,5.00,7.00,7.00,9.75,2.00,8.00,7.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',1250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6046711,3.00,2.00,2.00,3.00,5.00,9.38,3.00,1.00,1.00,109,NULL,NULL,'IPIRANGA','S JOSÉ','SC',18384,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6046720,2.00,5.00,1.00,3.00,6.00,6.00,1.00,4.00,0.00,332,NULL,NULL,'DORES','STA MARIA','RS',18137,52,NULL,NULL,NULL,NULL,NULL,2,1),(25,6046746,6.00,6.00,3.00,6.00,7.00,9.75,2.00,5.00,8.00,201,NULL,215,'REAL PARQUE','S JOSÉ','SC',4587,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6046762,1.00,5.00,4.00,3.00,6.00,7.50,2.00,5.00,2.00,653,NULL,212,'JARDIN ELIZABETE','IÇARA','SC',14807,137,NULL,433,NULL,NULL,NULL,4,5),(25,6046770,6.00,6.00,1.00,7.00,7.00,8.25,1.00,6.00,4.00,333,NULL,NULL,'PRESIDENTE MEDICI','CHAPECÓ','SC',6703,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6046789,4.00,5.00,2.00,3.00,7.00,6.38,2.00,5.00,2.00,201,NULL,653,'CENTRO','SOMBRIO','SC',13306,1129,NULL,116,NULL,NULL,NULL,2,15),(25,6046797,7.00,7.00,1.00,6.00,8.00,8.63,1.00,4.00,5.00,103,NULL,NULL,'SAGRADO CORAÇAO DE J','LAGES','SC',7093,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6046800,6.00,6.00,2.00,4.00,7.00,9.00,3.00,5.00,2.00,453,NULL,NULL,'PINHEIROS','OTACÍLIO COSTA','SC',11203,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6046819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'COMBATÁ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6046827,3.00,6.00,4.00,5.00,9.00,8.63,3.00,5.00,2.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046835,3.00,4.00,2.00,4.00,4.00,NULL,0.00,4.00,4.00,207,NULL,201,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6046843,4.00,2.00,2.00,4.00,7.00,5.25,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',15788,4305,NULL,NULL,NULL,NULL,NULL,4,9),(25,6046851,5.00,4.00,0.00,5.00,6.00,10.50,1.00,2.00,3.00,302,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6046860,3.00,4.00,3.00,3.00,5.00,7.50,0.00,1.00,2.00,502,NULL,NULL,'CENTRO','JACINTO MACHADO','SC',18478,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6046878,7.00,5.00,2.00,7.00,8.00,8.25,3.00,6.00,5.00,319,NULL,NULL,'JD ESTHER','S PAULO','SP',4317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046894,3.00,6.00,1.00,2.00,7.00,10.13,1.00,2.00,2.00,102,NULL,NULL,'CENTRO','STA ROSA','RS',15613,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6046908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'VILA SÃO CRISTÓVÃO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6046916,2.00,4.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6046924,5.00,4.00,1.00,3.00,5.00,10.13,1.00,3.00,3.00,303,NULL,NULL,'BEZENELLO','NOVA TRENTO','SC',13917,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6046932,7.00,7.00,2.00,4.00,9.00,7.88,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','IRETAMA','PR',6706,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6046940,5.00,7.00,4.00,7.00,9.00,8.63,0.00,5.00,1.00,319,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',7602,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6046959,5.00,4.00,4.00,1.00,5.00,9.38,2.00,5.00,0.00,336,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',12928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046967,1.00,2.00,1.00,3.00,2.00,NULL,2.00,4.00,0.00,207,NULL,208,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6046975,3.00,4.00,4.00,2.00,4.00,7.88,0.00,2.00,0.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6046991,2.00,4.00,1.00,4.00,8.00,7.50,1.00,2.00,6.00,303,NULL,NULL,'PALMITAL','CHAPECÓ','SC',12793,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6047009,2.00,6.00,3.00,4.00,4.00,5.25,2.00,2.00,0.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18428,205,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047017,3.00,5.00,3.00,4.00,5.00,9.00,2.00,2.00,1.00,324,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047033,3.00,5.00,2.00,3.00,3.00,8.25,0.00,2.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047041,2.00,4.00,0.00,1.00,7.00,9.38,1.00,1.00,1.00,201,NULL,211,'CENTENÁRIO','PALMEIRA MISSÕES','RS',17243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047050,7.00,5.00,0.00,7.00,10.00,10.88,2.00,6.00,2.00,103,NULL,NULL,'SÃO JUDAS TADEU','COXIM','MS',6823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047068,4.00,7.00,2.00,5.00,6.00,7.13,2.00,7.00,2.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',11791,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047076,7.00,7.00,2.00,4.00,6.00,7.50,2.00,6.00,8.00,103,NULL,NULL,'CENTRO','ASSIS CHATEAUBRIAND','PR',5155,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6047084,4.00,6.00,4.00,3.00,8.00,NULL,0.00,5.00,2.00,238,NULL,208,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047106,1.00,6.00,0.00,3.00,6.00,NULL,2.00,3.00,5.00,337,NULL,NULL,'TAJUBA UM','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IPORÁ','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6047122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SAO PEDRO','PIRAÍ SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6047130,4.00,6.00,0.00,4.00,8.00,7.13,3.00,4.00,2.00,303,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',13577,628,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047149,5.00,4.00,1.00,6.00,5.00,7.50,3.00,2.00,1.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',14277,4155,NULL,NULL,NULL,NULL,NULL,4,5),(25,6047165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'SETOR OESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6047173,3.00,6.00,5.00,3.00,5.00,10.50,2.00,7.00,1.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9849,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047181,8.00,7.00,2.00,7.00,10.00,8.63,4.00,7.00,8.00,103,NULL,NULL,'OFICINAS CAJURU','CURITIBA','PR',2356,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6047190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6047211,2.00,2.00,2.00,2.00,1.00,NULL,0.00,3.00,2.00,301,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047220,3.00,0.00,1.00,3.00,7.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'PALHOÇA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6047238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,220,'SÃO DANIEL','SEARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6047246,1.00,5.00,1.00,4.00,3.00,NULL,0.00,0.00,3.00,336,NULL,NULL,'SETE DE SETEMBRO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6047254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6047270,7.00,6.00,6.00,6.00,7.00,7.88,3.00,8.00,6.00,202,NULL,213,'COLONIA SANTANA','S JOSÉ','SC',4274,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047289,3.00,2.00,0.00,3.00,7.00,7.50,2.00,3.00,0.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',18635,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6047297,8.00,5.00,5.00,5.00,7.00,9.38,4.00,5.00,7.00,216,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',2714,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6047319,3.00,4.00,1.00,4.00,5.00,9.38,3.00,2.00,3.00,316,NULL,NULL,'BELA VISTA II','S JOSÉ','SC',18388,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047327,4.00,4.00,2.00,1.00,4.00,7.50,1.00,0.00,2.00,101,NULL,NULL,'BARRA DO RIO MOLHA','JARAGUÁ SUL','SC',19622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CENTRO','MAMBORÊ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6047351,3.00,3.00,2.00,4.00,6.00,7.13,4.00,2.00,2.00,301,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',16939,220,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047360,2.00,3.00,0.00,3.00,6.00,NULL,2.00,1.00,2.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047378,6.00,6.00,2.00,4.00,8.00,9.75,3.00,6.00,9.00,450,NULL,NULL,'JD EUROPA','JALES','SP',3902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047386,8.00,6.00,2.00,6.00,6.00,7.88,3.00,4.00,4.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',6254,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6047394,6.00,5.00,4.00,7.00,8.00,10.88,1.00,6.00,5.00,216,NULL,215,'SANTA TEREZINHA','ITATIBA','SP',3694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047432,4.00,2.00,2.00,6.00,6.00,7.13,4.00,2.00,3.00,223,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',13228,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047440,2.00,4.00,1.00,4.00,5.00,7.13,2.00,5.00,2.00,319,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',18758,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6047459,4.00,7.00,6.00,1.00,10.00,10.13,4.00,4.00,9.00,220,NULL,203,'CENTRO','ITURAMA','MG',3237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047467,4.00,6.00,5.00,7.00,9.00,9.75,2.00,8.00,4.00,452,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',4167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047483,5.00,7.00,1.00,4.00,9.00,10.13,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','MASSARANDUBA','SC',9612,3499,NULL,NULL,NULL,NULL,NULL,4,2),(25,6047491,5.00,6.00,1.00,4.00,7.00,8.25,2.00,1.00,1.00,340,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',16326,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6047505,4.00,4.00,1.00,3.00,8.00,6.75,1.00,3.00,0.00,103,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',16680,4403,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047513,4.00,3.00,2.00,4.00,6.00,11.25,2.00,1.00,3.00,212,NULL,201,'JARDIM AQUÁRIUS','LIMEIRA','SP',12669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047521,5.00,7.00,3.00,6.00,7.00,10.13,3.00,5.00,4.00,216,NULL,233,'IPIRANGA','S JOSÉ','SC',6535,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047530,3.00,3.00,5.00,2.00,6.00,9.75,1.00,7.00,2.00,205,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',14920,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6047548,9.00,6.00,6.00,7.00,9.00,9.00,6.00,5.00,9.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',924,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6047564,3.00,7.00,1.00,4.00,6.00,11.25,1.00,4.00,1.00,238,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',13331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047572,1.00,5.00,2.00,4.00,4.00,3.75,1.00,3.00,0.00,339,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047580,7.00,7.00,5.00,7.00,9.00,11.25,3.00,8.00,7.00,233,NULL,215,'ITACORUBI','FLORIANÓPOLIS','SC',837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047599,6.00,6.00,4.00,5.00,6.00,6.75,3.00,5.00,6.00,601,NULL,214,'AEROPORTO','MARINGÁ','PR',6660,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047602,4.00,2.00,0.00,3.00,4.00,6.75,2.00,1.00,0.00,103,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047610,7.00,8.00,1.00,8.00,8.00,11.25,3.00,6.00,4.00,238,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',3110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047629,7.00,6.00,3.00,6.00,7.00,9.75,1.00,7.00,5.00,104,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',4944,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6047645,1.00,5.00,0.00,4.00,5.00,NULL,0.00,3.00,0.00,103,NULL,NULL,'VILA NOVA','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6047653,4.00,8.00,4.00,7.00,8.00,12.00,3.00,5.00,5.00,304,NULL,NULL,'BARRA DO RIO MOLHA','JARAGUÁ SUL','SC',3195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047661,4.00,6.00,0.00,3.00,7.00,7.13,0.00,4.00,3.00,337,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',14615,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047670,5.00,7.00,2.00,4.00,6.00,9.75,1.00,4.00,4.00,201,NULL,212,'NOSSA SRA APARECIDA','VIDEIRA','SC',9168,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6047688,5.00,7.00,2.00,5.00,6.00,10.50,1.00,5.00,3.00,103,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',6848,2923,NULL,NULL,NULL,NULL,NULL,4,2),(25,6047696,5.00,4.00,2.00,6.00,6.00,6.75,2.00,1.00,4.00,216,NULL,215,'IDEAL','NOVO HAMBURGO','RS',12003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047700,7.00,7.00,4.00,6.00,8.00,9.00,0.00,6.00,4.00,340,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',5255,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(25,6047718,3.00,4.00,2.00,4.00,3.00,6.38,1.00,1.00,0.00,318,NULL,NULL,'JARDIM DAS PALMEIRAS','COCAL SUL','SC',20091,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6047726,6.00,5.00,2.00,3.00,6.00,4.50,2.00,3.00,3.00,203,NULL,214,'IATE CLUBE','BAL CAMBORIÚ','SC',18006,1032,NULL,400,NULL,NULL,NULL,2,3),(25,6047734,8.00,6.00,3.00,3.00,7.00,7.13,4.00,4.00,7.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',4845,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6047742,3.00,2.00,1.00,2.00,4.00,5.63,2.00,0.00,0.00,601,NULL,201,'ITAUM','JOINVILLE','SC',21716,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6047750,7.00,5.00,6.00,3.00,8.00,8.63,3.00,7.00,4.00,654,NULL,NULL,'CENTRO','CHAPECÓ','SC',5046,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6047769,5.00,6.00,3.00,7.00,9.00,8.25,0.00,8.00,5.00,5,NULL,NULL,'CENTRO','XANXERÊ','SC',5547,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6047777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6047785,8.00,5.00,3.00,5.00,9.00,9.00,3.00,7.00,4.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',5048,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6047793,7.00,6.00,0.00,5.00,8.00,NULL,1.00,3.00,2.00,216,NULL,215,'PONTA DA PRAIA','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6047807,4.00,4.00,3.00,5.00,7.00,9.00,1.00,5.00,1.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',13569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047823,6.00,7.00,1.00,7.00,8.00,8.25,1.00,5.00,6.00,5,NULL,NULL,'POPULAR','CUIABÁ','MT',6088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047840,7.00,4.00,3.00,0.00,7.00,8.63,1.00,1.00,4.00,333,NULL,NULL,'GRANJA OLGA III','SOROCABA','SP',12133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047858,8.00,8.00,2.00,5.00,8.00,9.75,4.00,6.00,9.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',1878,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6047866,9.00,6.00,5.00,5.00,9.00,11.25,2.00,4.00,5.00,103,NULL,NULL,'VILA ALBERTINA','RIBEIRÃO PIRES','SP',2043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047874,3.00,4.00,2.00,7.00,7.00,7.88,2.00,5.00,2.00,213,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',10647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047882,3.00,5.00,2.00,3.00,6.00,7.88,5.00,3.00,3.00,428,NULL,423,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047890,8.00,7.00,8.00,7.00,10.00,11.63,6.00,9.00,7.00,103,NULL,NULL,'TREZE DE JULHO','ARACAJU','SE',68,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047904,8.00,5.00,3.00,7.00,10.00,9.75,3.00,3.00,8.00,103,NULL,NULL,'SETOR AEROPORTO','GOIÂNIA','GO',2540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047912,4.00,6.00,3.00,3.00,7.00,10.88,3.00,4.00,4.00,318,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',9073,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047920,4.00,4.00,2.00,4.00,4.00,7.88,1.00,5.00,1.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047939,5.00,5.00,0.00,3.00,4.00,7.13,1.00,2.00,3.00,103,NULL,NULL,'COHAB B','GRAVATAÍ','RS',15979,4324,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047947,4.00,3.00,2.00,2.00,4.00,5.25,1.00,2.00,1.00,203,NULL,211,'JARDIM PARAISO','JOINVILLE','SC',21371,1159,NULL,566,NULL,NULL,NULL,4,8),(25,6047955,6.00,6.00,4.00,5.00,9.00,7.50,2.00,7.00,2.00,601,NULL,212,'AMÉRICA','JOINVILLE','SC',7700,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6047963,7.00,8.00,6.00,4.00,10.00,13.13,3.00,6.00,8.00,103,NULL,NULL,'CENTRO','RONDONÓPOLIS','MT',653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6047971,2.00,3.00,2.00,6.00,6.00,7.13,0.00,0.00,1.00,3,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',17906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6047980,6.00,6.00,1.00,3.00,8.00,7.50,2.00,6.00,4.00,207,NULL,NULL,'SANTA RITA','BRUSQUE','SC',8662,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6048021,3.00,6.00,1.00,6.00,9.00,NULL,0.00,3.00,6.00,340,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048030,3.00,2.00,2.00,6.00,5.00,7.13,1.00,4.00,1.00,103,NULL,NULL,'NAZARÉ','MEDIANEIRA','PR',16796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048048,3.00,5.00,5.00,5.00,7.00,8.25,1.00,4.00,4.00,235,NULL,213,'ALTO DAS PALMEIRAS','CANOINHAS','SC',12102,276,NULL,170,NULL,NULL,NULL,2,17),(25,6048056,2.00,3.00,0.00,3.00,4.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6048064,3.00,2.00,1.00,4.00,3.00,6.38,2.00,1.00,0.00,216,NULL,203,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6048072,6.00,6.00,1.00,6.00,7.00,10.13,2.00,6.00,3.00,207,NULL,211,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',7624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048080,5.00,7.00,3.00,5.00,8.00,10.50,1.00,5.00,5.00,201,NULL,207,'PINHEIRO','VACARIA','RS',6687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048102,7.00,6.00,1.00,6.00,8.00,10.13,2.00,4.00,6.00,415,NULL,NULL,'SETE DE SETEMBRO','GASPAR','SC',5715,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6048110,3.00,3.00,1.00,3.00,3.00,9.38,1.00,3.00,2.00,108,NULL,NULL,'BRASILIA','S BENTO SUL','SC',20346,301,NULL,NULL,NULL,NULL,NULL,2,17),(25,6048129,8.00,7.00,2.00,6.00,9.00,8.25,1.00,5.00,8.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',3445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048145,1.00,2.00,4.00,1.00,6.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'UNIVERSITARIO','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048153,3.00,5.00,3.00,3.00,6.00,7.88,1.00,2.00,3.00,202,NULL,220,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',18426,575,NULL,461,NULL,NULL,NULL,4,1),(25,6048170,5.00,6.00,3.00,4.00,6.00,9.38,2.00,6.00,3.00,9,NULL,NULL,'CENTRO','IPUMIRIM','SC',10234,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6048188,6.00,6.00,3.00,1.00,7.00,8.63,2.00,1.00,6.00,108,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',9374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048200,2.00,5.00,2.00,4.00,6.00,NULL,0.00,0.00,3.00,333,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6048226,1.00,6.00,3.00,6.00,8.00,9.75,0.00,5.00,5.00,601,NULL,212,'CENTRO','ITAJAÍ','SC',9534,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6048234,2.00,4.00,1.00,3.00,4.00,9.75,0.00,0.00,2.00,415,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6048242,6.00,7.00,2.00,6.00,9.00,10.88,2.00,6.00,5.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6048250,8.00,5.00,4.00,7.00,7.00,9.38,1.00,5.00,5.00,103,NULL,NULL,'JD LEA LEAL','MARINGÁ','PR',5971,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6048269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'AGUAS FRIAS','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6048277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6048307,7.00,4.00,3.00,3.00,5.00,9.75,3.00,1.00,5.00,103,NULL,NULL,'CENTRO','TAIÚVA','SP',10969,3715,NULL,NULL,NULL,NULL,NULL,2,1),(25,6048315,8.00,6.00,3.00,6.00,5.00,7.13,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7605,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6048323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6048331,6.00,3.00,3.00,4.00,4.00,7.88,2.00,1.00,5.00,103,NULL,NULL,'NAÇÕES','SEARA','SC',14506,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6048340,7.00,5.00,4.00,6.00,8.00,10.13,2.00,7.00,8.00,104,NULL,NULL,'CERRITO','STA MARIA','RS',3286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048358,8.00,6.00,6.00,6.00,7.00,7.88,4.00,8.00,9.00,601,NULL,653,'PASSO','MAFRA','SC',1428,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6048366,3.00,3.00,1.00,4.00,4.00,NULL,2.00,0.00,1.00,109,NULL,NULL,'FLORESTA','S MIGUEL IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6048374,8.00,6.00,1.00,6.00,8.00,8.25,3.00,4.00,4.00,207,NULL,212,'JÕAO PAULO','FLORIANÓPOLIS','SC',7444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6048382,3.00,2.00,0.00,2.00,5.00,NULL,0.00,3.00,1.00,207,NULL,212,'NOSSA SRA DE FÁTIMA','BARRACÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6048390,2.00,6.00,3.00,1.00,4.00,7.50,1.00,4.00,5.00,103,NULL,NULL,'NOSSA SRA DE LOURDES','STA MARIA','RS',13178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048404,2.00,4.00,1.00,3.00,1.00,NULL,2.00,2.00,2.00,203,NULL,233,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6048412,6.00,3.00,3.00,5.00,7.00,8.25,1.00,3.00,5.00,336,NULL,NULL,'INDUSTRIAL NORTE','RIO NEGRINHO','SC',10764,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6048439,4.00,0.00,1.00,7.00,9.00,NULL,0.00,0.00,0.00,425,NULL,428,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6048447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'SANTA CRUZ','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6048455,6.00,7.00,4.00,7.00,8.00,9.38,1.00,6.00,1.00,415,NULL,NULL,'FORTALEZA','BLUMENAU','SC',7468,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6048463,2.00,4.00,1.00,4.00,6.00,7.88,2.00,3.00,0.00,110,NULL,NULL,'JD SÃO NICOLAU','BIGUAÇU','SC',20160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048471,3.00,2.00,2.00,2.00,3.00,0.00,1.00,0.00,1.00,404,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6048480,3.00,6.00,0.00,6.00,7.00,8.25,2.00,7.00,1.00,303,NULL,NULL,'PRESIDENTE MÉDICE','CHAPECÓ','SC',10104,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6048498,7.00,6.00,4.00,3.00,7.00,7.50,1.00,1.00,3.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048501,4.00,2.00,1.00,2.00,4.00,8.63,0.00,2.00,3.00,103,NULL,NULL,'GUANABARA','CAMPINAS','SP',18554,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6048510,4.00,5.00,0.00,3.00,4.00,NULL,2.00,4.00,3.00,340,NULL,NULL,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6048528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6048544,8.00,6.00,4.00,6.00,8.00,8.63,4.00,6.00,7.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',2786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048552,2.00,7.00,3.00,1.00,3.00,6.75,1.00,1.00,0.00,319,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',21160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6048579,6.00,5.00,1.00,4.00,6.00,9.75,2.00,4.00,4.00,103,NULL,NULL,'SANTO ANTONIO','RIO VERDE','GO',9966,3546,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048587,3.00,0.00,1.00,2.00,2.00,NULL,2.00,1.00,2.00,404,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6048609,5.00,5.00,3.00,7.00,6.00,7.50,2.00,3.00,5.00,203,NULL,212,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',7840,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6048617,3.00,3.00,2.00,3.00,3.00,7.13,2.00,6.00,1.00,320,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',19915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048625,5.00,4.00,3.00,3.00,6.00,9.00,0.00,5.00,3.00,331,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14080,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6048633,4.00,4.00,3.00,6.00,9.00,9.38,1.00,3.00,5.00,103,NULL,NULL,'HIGIENÓPOLIS','S PAULO','SP',8587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048641,4.00,7.00,1.00,3.00,7.00,7.88,2.00,5.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6048676,6.00,6.00,0.00,5.00,9.00,8.25,1.00,6.00,5.00,203,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',7905,596,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048684,3.00,4.00,4.00,6.00,6.00,8.25,2.00,0.00,2.00,201,NULL,233,'VILA MOEMA','TUBARÃO','SC',13820,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6048692,7.00,7.00,4.00,5.00,7.00,8.63,3.00,6.00,9.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',2223,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6048706,6.00,6.00,1.00,6.00,6.00,10.50,3.00,2.00,3.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048714,3.00,3.00,0.00,0.00,4.00,NULL,1.00,0.00,3.00,551,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6048722,3.00,1.00,1.00,1.00,2.00,NULL,2.00,2.00,1.00,302,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6048730,6.00,4.00,4.00,3.00,8.00,10.88,1.00,5.00,8.00,103,NULL,NULL,'MERCES','CURITIBA','PR',4670,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6048749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6048757,3.00,6.00,3.00,6.00,8.00,5.63,4.00,2.00,5.00,451,NULL,NULL,'VILA NATAL','CAMPOS JORDÃO','SP',8967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048765,7.00,5.00,3.00,5.00,7.00,7.50,6.00,6.00,6.00,601,NULL,202,'ZONA DOIS','UMUARAMA','PR',3683,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6048781,5.00,1.00,2.00,3.00,6.00,8.25,3.00,1.00,2.00,333,NULL,NULL,'CRISTO REI','CURITIBA','PR',19012,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6048790,3.00,3.00,3.00,1.00,4.00,3.00,4.00,0.00,1.00,223,NULL,NULL,'COLINAS DO ERMITAGE','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048803,4.00,4.00,0.00,5.00,5.00,NULL,0.00,2.00,5.00,601,NULL,653,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6048811,6.00,6.00,3.00,6.00,7.00,10.88,3.00,5.00,6.00,203,NULL,235,'MERCÊS','CURITIBA','PR',4168,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6048820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,203,'CENTRO','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6048838,8.00,8.00,2.00,7.00,10.00,10.88,2.00,8.00,6.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',1654,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6048846,3.00,4.00,2.00,3.00,4.00,6.75,1.00,3.00,2.00,652,NULL,655,'MATO ALTO','ARARANGUÁ','SC',20630,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6048854,5.00,5.00,4.00,3.00,7.00,12.00,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',6522,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6048862,3.00,5.00,1.00,2.00,9.00,8.63,0.00,1.00,1.00,415,NULL,NULL,'LIBERATA','FRAIBURGO','SC',18045,289,NULL,NULL,NULL,NULL,NULL,4,7),(25,6048870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6048897,8.00,7.00,6.00,5.00,10.00,10.13,3.00,8.00,7.00,5,NULL,NULL,'SANTA FÉ','CPO GRANDE','MS',1349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048900,6.00,7.00,5.00,6.00,8.00,8.63,2.00,7.00,6.00,203,NULL,214,'JUVEVE','CURITIBA','PR',2978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA ISABEL','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6048935,3.00,4.00,4.00,3.00,7.00,5.63,3.00,2.00,2.00,338,NULL,NULL,'GUAÍRA','CURITIBA','PR',14733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','TRÊS CACHOEIRAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6048960,4.00,7.00,4.00,6.00,6.00,11.63,3.00,2.00,3.00,220,NULL,203,'ZONA DOIS','CIANORTE','PR',6994,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6048978,4.00,3.00,1.00,4.00,7.00,9.00,3.00,1.00,3.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',13685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6048986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PENHA DE FRANÇA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6048994,5.00,7.00,2.00,4.00,8.00,11.63,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',5988,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6049001,2.00,5.00,2.00,4.00,7.00,6.75,1.00,3.00,1.00,202,NULL,213,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6049028,6.00,6.00,3.00,3.00,8.00,7.13,3.00,4.00,3.00,201,NULL,207,'CENTRO','PITANGA','PR',8229,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6049036,2.00,3.00,2.00,3.00,5.00,7.88,3.00,2.00,1.00,207,NULL,NULL,'AGUA BRANCA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6049044,4.00,7.00,2.00,4.00,8.00,7.50,4.00,4.00,4.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',8723,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6049052,4.00,7.00,2.00,1.00,6.00,11.25,3.00,4.00,1.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14322,4160,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049060,6.00,5.00,7.00,7.00,7.00,7.50,4.00,7.00,8.00,233,NULL,216,'CABEÇUDAS','ITAJAÍ','SC',2336,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6049079,3.00,6.00,2.00,4.00,9.00,9.38,3.00,4.00,3.00,207,NULL,201,'SANTA TEREZA','PTO ALEGRE','RS',8842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049095,2.00,5.00,4.00,2.00,4.00,NULL,0.00,4.00,3.00,317,NULL,NULL,'JARDIM DAS ACÁCIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6049109,4.00,3.00,0.00,2.00,0.00,NULL,2.00,3.00,1.00,103,NULL,NULL,'MUNICIPIOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6049117,6.00,5.00,1.00,5.00,9.00,11.25,2.00,3.00,5.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',5524,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6049125,5.00,7.00,3.00,6.00,8.00,8.25,4.00,7.00,4.00,208,NULL,238,'CAMPINAS','S JOSÉ','SC',4766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049133,6.00,6.00,3.00,5.00,8.00,10.88,2.00,4.00,4.00,420,NULL,NULL,'SERRARIA','S JOSÉ','SC',6410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6049150,6.00,6.00,6.00,5.00,7.00,10.13,2.00,6.00,7.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',3362,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6049168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'INDUSTRIAL','IJUÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6049176,3.00,5.00,0.00,2.00,5.00,8.25,2.00,5.00,4.00,3,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6049184,3.00,3.00,0.00,3.00,3.00,6.38,2.00,2.00,3.00,453,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',20981,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6049192,4.00,2.00,2.00,2.00,6.00,NULL,1.00,5.00,0.00,327,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049206,8.00,7.00,4.00,7.00,10.00,13.13,2.00,9.00,9.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',554,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6049222,2.00,7.00,1.00,1.00,6.00,6.75,3.00,3.00,3.00,225,NULL,NULL,'JARDIM EDORADO','PALHOÇA','SC',19165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049230,5.00,7.00,2.00,4.00,7.00,9.00,2.00,2.00,4.00,108,NULL,NULL,'BOM JESUS','CAÇADOR','SC',13422,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6049257,5.00,8.00,3.00,2.00,3.00,7.88,3.00,3.00,2.00,103,NULL,NULL,'INTERIOR','S LOURENÇO OESTE','SC',16899,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6049273,7.00,5.00,5.00,5.00,10.00,10.13,3.00,5.00,6.00,103,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',2500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049281,5.00,1.00,2.00,5.00,8.00,8.25,2.00,2.00,5.00,103,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',14385,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6049303,4.00,4.00,1.00,3.00,5.00,8.63,0.00,0.00,3.00,9,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',19873,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6049311,3.00,6.00,1.00,4.00,4.00,7.13,2.00,6.00,2.00,317,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',16883,108,NULL,NULL,NULL,NULL,NULL,2,1),(25,6049320,3.00,6.00,4.00,4.00,7.00,6.38,4.00,2.00,3.00,317,NULL,NULL,'AREIAS','S JOSÉ','SC',15933,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6049338,4.00,4.00,2.00,6.00,3.00,5.63,3.00,4.00,4.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15970,306,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049346,3.00,2.00,0.00,3.00,3.00,8.25,2.00,1.00,1.00,319,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6049354,4.00,2.00,1.00,3.00,4.00,6.38,3.00,2.00,0.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',21092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049362,4.00,3.00,2.00,4.00,6.00,8.63,2.00,4.00,1.00,3,NULL,NULL,'CRISTALINA VELHA','CRISTALINA','GO',18152,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6049370,3.00,7.00,0.00,2.00,6.00,NULL,2.00,2.00,0.00,103,NULL,NULL,'LISBOA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049389,5.00,6.00,5.00,6.00,8.00,10.13,4.00,8.00,3.00,303,NULL,NULL,'JARDIM EUROPA','SOROCABA','SP',6396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049400,6.00,6.00,1.00,5.00,9.00,7.50,1.00,7.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7216,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6049419,3.00,3.00,0.00,5.00,7.00,7.13,2.00,1.00,2.00,999,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6049427,6.00,3.00,2.00,4.00,7.00,9.38,0.00,1.00,4.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',13721,117,NULL,NULL,NULL,NULL,NULL,2,1),(25,6049435,6.00,5.00,4.00,6.00,8.00,0.00,1.00,6.00,7.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049443,0.00,3.00,1.00,3.00,5.00,7.13,1.00,0.00,1.00,103,NULL,NULL,'GABIROBA','ITUPORANGA','SC',21632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6049478,2.00,4.00,0.00,0.00,6.00,6.00,1.00,2.00,3.00,319,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',21398,464,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049486,8.00,5.00,5.00,7.00,10.00,9.75,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','RIO NEGRO','PR',1839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'BOM RETIRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6049508,5.00,6.00,4.00,6.00,9.00,7.88,3.00,8.00,5.00,233,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',4148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049524,1.00,2.00,0.00,1.00,5.00,NULL,1.00,0.00,0.00,420,NULL,NULL,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6049532,0.00,2.00,3.00,2.00,4.00,6.38,2.00,0.00,1.00,109,NULL,NULL,'BELA VISTA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6049540,4.00,5.00,2.00,7.00,7.00,9.00,0.00,6.00,1.00,207,NULL,201,'BELA VISTA','PALHOÇA','SC',11249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6049567,7.00,6.00,2.00,7.00,8.00,11.25,1.00,4.00,3.00,103,NULL,NULL,'JARDIM SANTA PAULA','VOTUPORANGA','SP',6050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049575,6.00,4.00,3.00,2.00,6.00,8.25,2.00,5.00,1.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',16313,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6049583,4.00,3.00,2.00,3.00,8.00,6.75,0.00,0.00,2.00,108,NULL,NULL,'JARDIM MONTE LÍBANO','CPO GRANDE','MS',17850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049591,3.00,6.00,1.00,4.00,7.00,9.00,2.00,4.00,1.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049613,4.00,3.00,4.00,2.00,7.00,9.00,3.00,4.00,3.00,212,NULL,201,'ABRAÃO','FLORIANÓPOLIS','SC',14993,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049621,1.00,5.00,1.00,4.00,4.00,7.13,3.00,4.00,0.00,238,NULL,208,'CENTRO','CORDILHEIRA ALTA','SC',20556,504,NULL,556,NULL,NULL,NULL,4,4),(25,6049648,7.00,6.00,3.00,5.00,10.00,8.63,2.00,6.00,7.00,103,NULL,NULL,'LAGO SUL','LG SUL','DF',3177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049656,5.00,5.00,0.00,3.00,5.00,9.38,2.00,5.00,2.00,317,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',16871,107,NULL,NULL,NULL,NULL,NULL,2,1),(25,6049664,3.00,6.00,0.00,5.00,7.00,6.00,1.00,3.00,2.00,404,NULL,NULL,'BARREIROS','S JOSÉ','SC',18611,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6049680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'INDUSTRIÁRIOS','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6049699,4.00,6.00,2.00,7.00,8.00,7.88,2.00,3.00,5.00,303,NULL,NULL,'TERRAS DE SAVION','ITATIBA','SP',10126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049710,3.00,7.00,3.00,7.00,8.00,11.25,2.00,5.00,2.00,320,NULL,NULL,'JARDIM AMÉRICA','ITUPORANGA','SC',7727,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6049729,7.00,7.00,3.00,5.00,9.00,12.00,3.00,4.00,6.00,103,NULL,NULL,'VILA OPERÁRIA','MARINGÁ','PR',2493,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6049745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6049761,4.00,7.00,4.00,5.00,7.00,6.75,2.00,6.00,4.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049770,5.00,6.00,4.00,6.00,9.00,4.88,4.00,6.00,4.00,203,NULL,235,'JARDIM OKINAWA','PAULÍNIA','SP',7970,600,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049788,7.00,6.00,4.00,6.00,9.00,9.75,3.00,8.00,5.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',2292,1395,NULL,NULL,NULL,NULL,NULL,2,1),(25,6049796,5.00,3.00,4.00,3.00,8.00,7.13,0.00,7.00,1.00,102,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',12734,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6049800,9.00,7.00,8.00,7.00,9.00,8.63,4.00,9.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049818,3.00,5.00,2.00,0.00,9.00,7.13,1.00,1.00,2.00,108,NULL,NULL,'CENTRO','GUARAMIRIM','SC',16443,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6049826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'REDENTORA','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6049834,4.00,4.00,1.00,3.00,5.00,4.50,2.00,2.00,2.00,452,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',18368,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6049842,6.00,8.00,4.00,7.00,10.00,8.25,2.00,7.00,7.00,340,NULL,NULL,'CRISTO REDENTOR','PTO ALEGRE','RS',3095,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6049850,8.00,7.00,4.00,7.00,9.00,9.00,3.00,8.00,8.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',1358,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6049869,4.00,4.00,0.00,4.00,8.00,NULL,2.00,2.00,3.00,211,NULL,207,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6049877,5.00,6.00,1.00,4.00,6.00,7.13,2.00,3.00,3.00,207,NULL,212,'CENTRO','LAGES','SC',17068,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6049885,2.00,5.00,0.00,1.00,6.00,NULL,0.00,3.00,2.00,211,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6049893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6049915,7.00,7.00,3.00,4.00,7.00,9.38,2.00,7.00,7.00,202,NULL,235,'JARDIM ITÁLIA','JUNDIAÍ','SP',3611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,233,'TRES VENDAS','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6049931,4.00,4.00,3.00,4.00,8.00,8.63,0.00,4.00,4.00,420,NULL,NULL,'JOSÉ NAZÁRIO','ARMAZÉM','SC',10688,81,NULL,NULL,NULL,NULL,NULL,2,10),(25,6049940,5.00,5.00,3.00,5.00,7.00,7.13,1.00,6.00,4.00,103,NULL,NULL,'JARDIM ASTRO','SOROCABA','SP',8264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049958,4.00,3.00,2.00,2.00,6.00,4.50,1.00,3.00,2.00,303,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',17159,748,NULL,NULL,NULL,NULL,NULL,4,4),(25,6049966,8.00,9.00,5.00,8.00,10.00,12.00,7.00,8.00,9.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',12,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049974,2.00,3.00,1.00,3.00,7.00,8.63,2.00,2.00,1.00,317,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',20116,178,NULL,NULL,NULL,NULL,NULL,2,1),(25,6049982,7.00,7.00,1.00,7.00,6.00,8.63,2.00,6.00,5.00,103,NULL,NULL,'CID UNI PEDRA BRANCA','PALHOÇA','SC',5627,2598,NULL,NULL,NULL,NULL,NULL,4,1),(25,6049990,4.00,5.00,4.00,6.00,8.00,6.38,3.00,5.00,3.00,304,NULL,NULL,'SÃO CRISTOVÃO','CHAPECÓ','SC',9178,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6050000,1.00,6.00,0.00,3.00,4.00,9.38,1.00,4.00,2.00,318,NULL,NULL,'BARREIROS','S JOSÉ','SC',19448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6050018,3.00,3.00,3.00,3.00,7.00,9.38,2.00,1.00,3.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',18938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050034,5.00,6.00,1.00,6.00,9.00,NULL,0.00,4.00,5.00,319,NULL,NULL,'VILA CLEMENTINO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6050042,5.00,5.00,0.00,4.00,7.00,9.75,0.00,1.00,4.00,101,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',14497,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6050050,9.00,8.00,3.00,5.00,7.00,7.88,3.00,7.00,6.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',2446,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6050077,7.00,8.00,4.00,7.00,9.00,7.50,4.00,8.00,8.00,203,NULL,220,'ZONA CINCO','MARINGÁ','PR',1668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050107,2.00,2.00,1.00,3.00,5.00,8.25,3.00,3.00,4.00,208,NULL,220,'UNIÃO','PALOTINA','PR',15773,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6050115,5.00,7.00,4.00,6.00,9.00,7.13,1.00,6.00,1.00,238,NULL,208,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050123,5.00,2.00,2.00,6.00,9.00,10.13,2.00,4.00,5.00,207,NULL,201,'PAU PRETO','INDAIATUBA','SP',7218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050131,3.00,7.00,3.00,6.00,6.00,10.50,4.00,5.00,2.00,110,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',9204,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6050140,4.00,3.00,1.00,4.00,3.00,NULL,2.00,3.00,1.00,340,NULL,NULL,'SANTA QUITÉRIA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(25,6050166,3.00,5.00,2.00,2.00,5.00,6.00,4.00,3.00,2.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050174,6.00,7.00,4.00,7.00,8.00,8.25,1.00,6.00,3.00,333,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050182,4.00,6.00,6.00,5.00,7.00,7.50,2.00,8.00,4.00,340,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',6624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050190,6.00,8.00,2.00,5.00,8.00,7.88,2.00,6.00,5.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6432,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6050204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'VILA VITÓRIA','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6050212,3.00,6.00,2.00,4.00,5.00,7.50,0.00,5.00,3.00,601,NULL,233,'CAPOEIRAS','FLORIANÓPOLIS','SC',17409,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6050220,5.00,7.00,3.00,4.00,8.00,10.88,2.00,5.00,3.00,317,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',7438,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6050247,2.00,4.00,1.00,2.00,4.00,7.50,2.00,4.00,0.00,429,NULL,426,'CAPOEIRAS','FLORIANÓPOLIS','SC',21091,61,NULL,34,NULL,NULL,NULL,2,1),(25,6050255,3.00,7.00,2.00,5.00,10.00,10.13,0.00,2.00,2.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',13596,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6050263,5.00,7.00,4.00,6.00,7.00,10.13,2.00,7.00,6.00,207,NULL,201,'JARDIM PAULISTA','S PAULO','SP',3868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050271,3.00,3.00,2.00,2.00,4.00,NULL,0.00,2.00,0.00,428,NULL,425,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6050298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,201,'COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6050301,3.00,5.00,3.00,3.00,5.00,NULL,0.00,3.00,3.00,203,NULL,601,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6050310,1.00,1.00,1.00,4.00,4.00,7.13,2.00,0.00,1.00,205,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6050336,4.00,8.00,5.00,4.00,7.00,8.63,2.00,6.00,3.00,201,NULL,601,'BARREIROS','S JOSÉ','SC',7263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6050360,7.00,7.00,3.00,5.00,9.00,11.25,1.00,7.00,3.00,103,NULL,NULL,'CRISTO REI','CAPANEMA','PR',4646,2308,NULL,NULL,NULL,NULL,NULL,2,4),(25,6050379,5.00,4.00,3.00,3.00,6.00,7.13,2.00,4.00,1.00,331,NULL,NULL,'SERRARIA','S JOSÉ','SC',17146,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6050387,2.00,4.00,3.00,3.00,4.00,6.75,2.00,3.00,2.00,208,NULL,NULL,'BRAÇO SÃO JOÃO','STO AMARO IMPERATRIZ','SC',17594,438,NULL,NULL,NULL,NULL,NULL,2,1),(25,6050395,7.00,6.00,2.00,5.00,10.00,10.50,1.00,8.00,1.00,428,NULL,NULL,'CENTRO','TUBARÃO','SC',7018,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6050417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6050425,7.00,5.00,0.00,5.00,8.00,NULL,1.00,5.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6050433,6.00,7.00,8.00,6.00,6.00,8.63,4.00,7.00,7.00,203,NULL,233,'CARIANOS','FLORIANÓPOLIS','SC',1795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050441,6.00,5.00,1.00,4.00,6.00,7.50,1.00,5.00,4.00,215,NULL,216,'RIO TAVARES','FLORIANÓPOLIS','SC',13014,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6050450,9.00,7.00,6.00,6.00,10.00,9.38,2.00,7.00,8.00,103,NULL,NULL,'JARDIM TEXEIRA','ORLÂNDIA','SP',913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050476,5.00,3.00,2.00,6.00,5.00,7.50,1.00,1.00,2.00,202,NULL,235,'CENTRO','CHIAPETTA','RS',14816,462,NULL,360,NULL,NULL,NULL,2,5),(25,6050484,1.00,4.00,4.00,0.00,4.00,7.13,0.00,0.00,3.00,601,NULL,201,'VILA SAO JOSE','TAUBATÉ','SP',21152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050492,5.00,6.00,7.00,5.00,7.00,8.25,3.00,7.00,6.00,235,NULL,601,'JARDIM AMÉRICA','RIO SUL','SC',4102,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6050506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6050514,4.00,5.00,2.00,6.00,3.00,7.50,2.00,5.00,4.00,304,NULL,NULL,'MOEMA','S PAULO','SP',12125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050522,4.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6050557,2.00,0.00,3.00,0.00,3.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6050565,1.00,2.00,2.00,0.00,5.00,NULL,1.00,2.00,0.00,9,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050573,6.00,6.00,3.00,4.00,8.00,10.88,3.00,4.00,5.00,233,NULL,203,'PONTA AGUDA','BLUMENAU','SC',7241,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6050581,3.00,5.00,2.00,5.00,7.00,9.00,2.00,4.00,3.00,102,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',13124,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6050603,6.00,6.00,4.00,7.00,9.00,6.75,1.00,3.00,4.00,214,NULL,212,'SANTA MONICA','FLORIANÓPOLIS','SC',10056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050638,6.00,6.00,4.00,5.00,7.00,8.63,5.00,6.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050646,7.00,6.00,7.00,5.00,8.00,9.38,4.00,7.00,8.00,103,NULL,NULL,'JARAGUA','S PAULO','SP',1245,825,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050654,5.00,7.00,2.00,3.00,6.00,6.75,0.00,0.00,2.00,340,NULL,NULL,'CENTRO','CHAPECÓ','SC',19068,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6050662,3.00,5.00,2.00,1.00,4.00,4.88,4.00,3.00,1.00,444,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',21070,162,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050670,8.00,0.00,4.00,1.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6050697,6.00,7.00,6.00,7.00,10.00,10.88,4.00,8.00,9.00,214,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050700,2.00,5.00,0.00,4.00,9.00,9.00,2.00,1.00,3.00,655,NULL,208,'ROCINHA','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6050719,2.00,4.00,2.00,1.00,5.00,7.88,3.00,3.00,3.00,501,NULL,NULL,'JARDIM CIBELE','ARARANGUÁ','SC',18524,95,NULL,NULL,NULL,NULL,NULL,2,1),(25,6050743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6050778,2.00,6.00,4.00,4.00,5.00,6.00,1.00,5.00,5.00,551,NULL,NULL,'RONDINHA','PTE ALTA NORTE','SC',11865,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6050786,2.00,5.00,2.00,5.00,5.00,9.00,2.00,5.00,2.00,425,NULL,428,'COQUEIROS','FLORIANÓPOLIS','SC',16585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050816,3.00,4.00,2.00,1.00,4.00,7.13,1.00,0.00,1.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050824,1.00,4.00,1.00,2.00,4.00,6.75,2.00,2.00,2.00,335,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6050832,2.00,5.00,2.00,1.00,4.00,6.38,3.00,1.00,0.00,654,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6050840,3.00,6.00,2.00,6.00,9.00,8.63,0.00,4.00,4.00,201,NULL,211,'COQUEIROS','FLORIANÓPOLIS','SC',9787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050859,5.00,5.00,6.00,4.00,9.00,7.88,0.00,7.00,6.00,302,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',5287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050875,4.00,4.00,1.00,3.00,6.00,NULL,0.00,3.00,0.00,308,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6050883,2.00,2.00,1.00,1.00,6.00,NULL,1.00,1.00,0.00,102,NULL,NULL,'TURIMAR','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6050891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NEVES','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6050905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6050913,6.00,7.00,3.00,4.00,4.00,10.13,3.00,6.00,4.00,201,NULL,212,'CENTRO','BAL CAMBORIÚ','SC',6087,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6050921,4.00,7.00,1.00,3.00,5.00,7.88,1.00,1.00,2.00,103,NULL,NULL,'CENTRO','SALTO LONTRA','PR',16271,4357,NULL,NULL,NULL,NULL,NULL,4,4),(25,6050948,4.00,5.00,1.00,3.00,5.00,7.50,0.00,1.00,2.00,211,NULL,207,'RODEIO CHATO','CHAPECÓ','SC',17414,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6050964,4.00,6.00,2.00,5.00,6.00,7.50,3.00,1.00,1.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13324,461,NULL,NULL,NULL,NULL,NULL,2,1),(25,6050980,1.00,4.00,0.00,4.00,4.00,9.38,3.00,4.00,3.00,420,NULL,NULL,'FUNDO CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6050999,8.00,7.00,3.00,6.00,9.00,8.25,4.00,8.00,6.00,203,NULL,201,'JARDIM AMÉRICA','TABOÃO SERRA','SP',1821,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6051022,4.00,3.00,1.00,6.00,8.00,9.38,2.00,0.00,3.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',16715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051030,6.00,7.00,3.00,4.00,5.00,9.38,3.00,6.00,1.00,225,NULL,NULL,'OFICINAS','TUBARÃO','SC',9922,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6051049,4.00,2.00,1.00,1.00,5.00,5.25,1.00,0.00,1.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6051057,5.00,6.00,2.00,6.00,8.00,9.75,3.00,7.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051065,3.00,7.00,4.00,4.00,7.00,7.13,1.00,2.00,5.00,216,NULL,653,'CARVOEIRA','FLORIANÓPOLIS','SC',9037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051081,3.00,1.00,3.00,6.00,3.00,8.25,1.00,3.00,0.00,201,NULL,212,'PRESIDENTE MÉDICI','CHAPECÓ','SC',18335,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6051090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'ITAIBA','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6051103,1.00,3.00,1.00,3.00,3.00,6.00,0.00,1.00,2.00,101,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6051111,3.00,4.00,2.00,4.00,5.00,8.25,2.00,2.00,1.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16441,579,NULL,NULL,NULL,NULL,NULL,2,1),(25,6051120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SAO FRANCISCO','STO ANTÔNIO PLATINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6051146,7.00,5.00,0.00,3.00,7.00,NULL,2.00,6.00,2.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6051154,3.00,5.00,5.00,3.00,5.00,9.00,1.00,1.00,3.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051170,4.00,4.00,3.00,4.00,7.00,6.75,1.00,4.00,3.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17035,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6051189,7.00,7.00,1.00,6.00,9.00,10.13,4.00,6.00,5.00,318,NULL,NULL,'CENTRO','PIRACICABA','SP',2461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051197,6.00,5.00,3.00,3.00,5.00,7.13,2.00,3.00,3.00,215,NULL,652,'JARDIM ELIZABETH','COCAL SUL','SC',12625,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6051200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,421,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6051219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6051227,8.00,6.00,5.00,7.00,7.00,8.63,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2494,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6051235,2.00,4.00,1.00,7.00,7.00,8.63,0.00,3.00,2.00,104,NULL,NULL,'GLÓRIA','JOINVILLE','SC',14826,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6051243,4.00,4.00,3.00,2.00,5.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6051251,6.00,6.00,2.00,5.00,9.00,11.25,0.00,7.00,2.00,450,NULL,NULL,'DEHON','TUBARÃO','SC',7163,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6051278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6051286,8.00,9.00,2.00,7.00,10.00,10.50,2.00,8.00,9.00,103,NULL,NULL,'CENTRO','TAPEJARA','RS',1096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051308,0.00,3.00,1.00,2.00,2.00,NULL,2.00,3.00,0.00,420,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6051324,7.00,6.00,2.00,6.00,11.00,7.88,3.00,6.00,3.00,238,NULL,201,'ROÇADO','S JOSÉ','SC',3855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051332,6.00,6.00,2.00,4.00,8.00,10.13,0.00,4.00,2.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',8731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6051340,8.00,5.00,7.00,4.00,8.00,7.88,0.00,6.00,4.00,203,NULL,655,'VILA MILTON','GUARULHOS','SP',7077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051359,3.00,6.00,2.00,2.00,8.00,9.75,3.00,4.00,2.00,326,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13529,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6051367,3.00,4.00,2.00,6.00,7.00,10.50,1.00,5.00,4.00,453,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10306,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6051383,7.00,5.00,4.00,7.00,7.00,9.75,3.00,5.00,8.00,453,NULL,NULL,'VIGILATO PEREIRA','UBERLÂNDIA','MG',3182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051391,2.00,5.00,3.00,1.00,4.00,5.25,2.00,2.00,2.00,308,NULL,NULL,'JARDIM CARANDAI','BIGUAÇU','SC',20025,49,NULL,NULL,NULL,NULL,NULL,2,1),(25,6051405,6.00,6.00,3.00,4.00,7.00,7.50,2.00,6.00,4.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',7472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051413,7.00,5.00,2.00,4.00,6.00,11.63,3.00,1.00,4.00,103,NULL,NULL,'CENTRO','CAMPINAS','SP',9278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'INTERIOR','CEL FREITAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6051430,1.00,2.00,1.00,0.00,1.00,NULL,2.00,1.00,1.00,103,NULL,NULL,'SÃO FRANCISCO','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6051464,7.00,7.00,1.00,7.00,9.00,9.38,2.00,4.00,6.00,233,NULL,601,'PRAIA COMPRIDA','S JOSÉ','SC',4420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6051472,1.00,3.00,2.00,3.00,5.00,NULL,1.00,0.00,0.00,316,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6051502,8.00,7.00,1.00,5.00,8.00,8.25,2.00,4.00,5.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051510,3.00,3.00,1.00,6.00,7.00,NULL,0.00,3.00,0.00,450,NULL,NULL,'SAIC','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6051529,7.00,7.00,4.00,6.00,8.00,9.38,2.00,8.00,6.00,333,NULL,NULL,'CONDOMÍNIO POUSADA','QUATRO BARRAS','PR',1913,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6051537,4.00,3.00,0.00,3.00,2.00,NULL,1.00,3.00,1.00,211,NULL,235,'SAO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051561,0.00,2.00,0.00,0.00,0.00,NULL,0.00,0.00,3.00,655,NULL,652,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6051570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6051588,4.00,6.00,2.00,4.00,8.00,NULL,0.00,3.00,0.00,303,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6051600,6.00,6.00,4.00,7.00,7.00,7.13,2.00,1.00,5.00,207,NULL,201,'GARCIA','BLUMENAU','SC',8227,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6051618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6051634,3.00,3.00,1.00,2.00,6.00,5.25,2.00,2.00,1.00,103,NULL,NULL,'CENTRO','LAURENTINO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6051650,6.00,4.00,2.00,5.00,7.00,7.88,2.00,2.00,2.00,415,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051669,5.00,5.00,4.00,4.00,6.00,6.38,2.00,4.00,2.00,450,NULL,NULL,'DEHON','TUBARÃO','SC',13682,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6051677,4.00,7.00,0.00,5.00,8.00,9.38,3.00,7.00,2.00,340,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',11366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051693,5.00,4.00,2.00,3.00,3.00,8.25,1.00,1.00,5.00,999,NULL,NULL,'RESSACADA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6051707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6051715,5.00,4.00,2.00,4.00,4.00,9.75,1.00,3.00,2.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',17522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6051723,4.00,7.00,3.00,3.00,6.00,8.25,3.00,4.00,4.00,207,NULL,212,'BARRA DO ARIRIÚ','PALHOÇA','SC',12869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051731,3.00,6.00,2.00,4.00,7.00,9.00,1.00,6.00,2.00,201,NULL,235,'MATO ALTO','ARARANGUÁ','SC',11059,924,NULL,243,NULL,NULL,NULL,4,15),(25,6051740,2.00,2.00,1.00,5.00,6.00,6.00,3.00,4.00,3.00,601,NULL,NULL,'IRIRIU','JOINVILLE','SC',19499,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6051758,5.00,4.00,1.00,2.00,4.00,5.25,2.00,1.00,2.00,208,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051782,2.00,2.00,0.00,1.00,6.00,6.00,2.00,3.00,1.00,404,NULL,NULL,'SANTA TEREZA','S PEDRO ALCÂNTARA','SC',20662,96,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6051839,4.00,6.00,1.00,4.00,4.00,10.88,0.00,5.00,1.00,104,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',13450,323,NULL,NULL,NULL,NULL,NULL,4,6),(25,6051847,5.00,4.00,3.00,1.00,8.00,8.25,1.00,5.00,5.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',12009,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6051855,3.00,2.00,1.00,2.00,5.00,6.38,1.00,2.00,2.00,207,NULL,201,'VILA FRAGOSOS','CONCÓRDIA','SC',20447,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6051863,7.00,7.00,1.00,5.00,7.00,8.63,0.00,5.00,4.00,109,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9952,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6051880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,601,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6051898,4.00,4.00,2.00,4.00,5.00,9.00,1.00,3.00,4.00,211,NULL,215,'COSTEIRA','FLORIANÓPOLIS','SC',16378,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6051901,0.00,3.00,0.00,0.00,4.00,NULL,0.00,1.00,2.00,338,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6051910,4.00,5.00,0.00,3.00,6.00,NULL,1.00,1.00,2.00,110,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051928,1.00,4.00,2.00,2.00,3.00,NULL,1.00,0.00,0.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6051952,4.00,5.00,2.00,7.00,6.00,9.38,2.00,1.00,2.00,207,NULL,201,'JARDIM SÃO JOSÉ','BATATAIS','SP',12322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6051979,2.00,2.00,0.00,1.00,2.00,NULL,0.00,0.00,3.00,332,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6051987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6051995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RESTINGA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6052002,2.00,2.00,2.00,2.00,2.00,NULL,1.00,0.00,1.00,653,NULL,212,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6052010,5.00,7.00,2.00,1.00,4.00,NULL,0.00,6.00,3.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6052029,7.00,6.00,7.00,5.00,10.00,9.00,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',2095,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6052045,1.00,3.00,0.00,5.00,8.00,NULL,0.00,3.00,1.00,108,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6052053,3.00,5.00,2.00,5.00,6.00,7.13,2.00,5.00,2.00,319,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6052061,5.00,8.00,0.00,6.00,9.00,9.00,1.00,6.00,7.00,303,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',5750,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6052070,1.00,1.00,1.00,1.00,5.00,6.38,1.00,0.00,0.00,201,NULL,211,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6052096,3.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6052126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'SÃO LEOPOLDO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6052134,4.00,0.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'OPERÁRIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(25,6052142,5.00,6.00,6.00,7.00,6.00,10.13,5.00,5.00,5.00,202,NULL,235,'SANTA MÔNICA','FLORIANÓPOLIS','SC',3280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6052169,6.00,6.00,5.00,6.00,7.00,8.63,3.00,3.00,6.00,203,NULL,214,'CENTRO','LEBON RÉGIS','SC',6035,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6052177,3.00,1.00,2.00,2.00,6.00,6.75,1.00,4.00,2.00,317,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6052185,2.00,3.00,1.00,1.00,3.00,7.50,1.00,1.00,1.00,201,NULL,211,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6052193,2.00,3.00,2.00,2.00,5.00,NULL,2.00,0.00,0.00,9,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6052207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6052215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ASA SUL','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6052223,2.00,3.00,1.00,3.00,4.00,5.25,1.00,0.00,2.00,652,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6052240,3.00,5.00,1.00,3.00,7.00,9.00,2.00,1.00,3.00,310,NULL,NULL,'ESCOLINHA','JOINVILLE','SC',15261,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6052258,1.00,4.00,2.00,3.00,6.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6052266,7.00,4.00,3.00,6.00,6.00,6.00,3.00,8.00,6.00,216,NULL,233,'JARDIM CALIÓRNIA','IRATI','PR',4630,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6052274,3.00,3.00,2.00,5.00,4.00,5.25,1.00,2.00,0.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',21054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6052282,4.00,6.00,2.00,6.00,4.00,8.63,2.00,2.00,2.00,201,NULL,216,'SANTA LUZIA','CAPÃO CANOA','RS',13274,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6052290,8.00,6.00,5.00,6.00,6.00,11.63,2.00,5.00,7.00,220,NULL,203,'TAQUARAL','CAMPINAS','SP',1992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6052304,2.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6052320,4.00,3.00,0.00,0.00,4.00,7.13,2.00,1.00,1.00,653,NULL,652,'ROCINHA','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6052347,6.00,6.00,2.00,2.00,6.00,8.63,2.00,4.00,3.00,201,NULL,207,'SAGUAÇU','JOINVILLE','SC',9747,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6052371,5.00,5.00,1.00,3.00,7.00,8.25,2.00,1.00,1.00,109,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6052398,4.00,7.00,4.00,5.00,8.00,9.75,2.00,4.00,4.00,203,NULL,233,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',9985,719,NULL,271,NULL,NULL,NULL,2,1),(25,6052401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6052428,2.00,3.00,0.00,1.00,6.00,7.50,2.00,2.00,4.00,201,NULL,212,'CENTRO','CELSO RAMOS','SC',20631,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6052444,4.00,6.00,1.00,2.00,6.00,8.63,1.00,4.00,0.00,316,NULL,NULL,'VILA RUBENS','INDAIATUBA','SP',15657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6052452,6.00,6.00,0.00,5.00,7.00,9.00,1.00,4.00,5.00,103,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',8386,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6052460,2.00,4.00,1.00,2.00,5.00,8.25,2.00,2.00,2.00,503,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6052479,4.00,5.00,1.00,6.00,6.00,6.75,0.00,1.00,3.00,202,NULL,220,'VILA VALENÇA','S VICENTE','SP',15997,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6052487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6052495,7.00,6.00,2.00,5.00,7.00,5.25,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',5899,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6052517,5.00,2.00,1.00,6.00,9.00,10.13,4.00,5.00,4.00,425,NULL,421,'ESTREITO','FLORIANÓPOLIS','SC',8516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6052525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'VILA MARIA HELENA','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6052533,6.00,4.00,6.00,5.00,9.00,9.75,2.00,4.00,7.00,103,NULL,NULL,'CENTRO','SOMBRIO','SC',4595,2284,NULL,NULL,NULL,NULL,NULL,4,15),(25,6052541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'COHAB II','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6052568,4.00,1.00,1.00,1.00,6.00,NULL,0.00,0.00,1.00,101,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6052584,7.00,7.00,6.00,6.00,6.00,10.13,3.00,8.00,7.00,5,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',2217,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6052606,1.00,4.00,1.00,2.00,4.00,6.00,0.00,2.00,3.00,317,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6052614,4.00,6.00,3.00,6.00,8.00,9.75,2.00,4.00,6.00,103,NULL,NULL,'BELA VISTA','ERECHIM','RS',5866,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6052622,5.00,6.00,1.00,7.00,8.00,7.50,0.00,5.00,5.00,340,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',7953,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6052630,4.00,6.00,4.00,1.00,3.00,6.38,3.00,5.00,1.00,234,NULL,NULL,'PQ CALIFORNIA','JACAREÍ','SP',16242,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6052649,7.00,5.00,3.00,6.00,7.00,7.50,4.00,3.00,7.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',5029,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6052657,6.00,7.00,3.00,5.00,10.00,11.25,2.00,4.00,5.00,103,NULL,NULL,'LOTE','MOGI GUAÇU','SP',5442,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6052665,4.00,7.00,0.00,3.00,8.00,7.88,1.00,6.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10026,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6052673,7.00,7.00,3.00,6.00,10.00,9.00,1.00,7.00,6.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',4207,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6052681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITAMARATY','MOGI GUAÇU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6052711,7.00,7.00,4.00,7.00,10.00,10.88,1.00,6.00,7.00,103,NULL,NULL,'VILA MARCONDES','PRES PRUDENTE','SP',1326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6052720,7.00,7.00,3.00,5.00,8.00,9.00,2.00,6.00,4.00,415,NULL,NULL,'ÁGUA FRIA','S PAULO','SP',3736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6052754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6052762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6052770,3.00,5.00,0.00,2.00,2.00,NULL,2.00,4.00,1.00,326,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6052789,6.00,5.00,1.00,3.00,6.00,6.75,1.00,2.00,2.00,108,NULL,NULL,'CENTRO','ITAPEMA','SC',14468,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6052800,4.00,5.00,3.00,5.00,7.00,9.38,3.00,1.00,5.00,216,NULL,211,'JOÃO COSTA','JOINVILLE','SC',8644,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6052819,2.00,4.00,3.00,4.00,8.00,8.63,2.00,4.00,2.00,324,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',16754,10,NULL,NULL,NULL,NULL,NULL,4,1),(25,6052827,3.00,5.00,3.00,3.00,9.00,8.25,1.00,8.00,5.00,326,NULL,NULL,'ARIRIU','PALHOÇA','SC',7714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6052835,5.00,4.00,0.00,2.00,7.00,8.25,1.00,3.00,3.00,207,NULL,201,'BELA VISTA','CHAPECÓ','SC',15312,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6052843,3.00,4.00,4.00,6.00,5.00,10.50,2.00,4.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13008,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6052851,5.00,3.00,0.00,4.00,5.00,NULL,4.00,3.00,0.00,201,NULL,653,'CENTRO','CAPANEMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6052860,2.00,5.00,2.00,3.00,7.00,8.25,3.00,5.00,2.00,211,NULL,653,'CENTRO','ARARANGUÁ','SC',12448,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6052878,8.00,5.00,7.00,6.00,9.00,12.75,5.00,5.00,9.00,103,NULL,NULL,'SETOR BELA VISTA','GOIÂNIA','GO',824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6052886,5.00,5.00,2.00,5.00,8.00,11.63,0.00,3.00,3.00,207,NULL,201,'JOÃO PAULO','FLORIANÓPOLIS','SC',8803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6052894,2.00,4.00,1.00,1.00,5.00,10.50,0.00,0.00,1.00,415,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6052916,8.00,8.00,6.00,7.00,10.00,8.63,3.00,8.00,8.00,203,NULL,213,'JARDIM ALVORADA','S PAULO','SP',597,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6052932,3.00,3.00,3.00,2.00,3.00,NULL,2.00,2.00,0.00,109,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6052940,2.00,3.00,5.00,5.00,7.00,7.50,1.00,1.00,1.00,303,NULL,NULL,'CIDADE ALTA','MEDIANEIRA','PR',15986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6052959,8.00,7.00,7.00,3.00,9.00,8.25,4.00,7.00,7.00,216,NULL,233,'UBERABA','CURITIBA','PR',1881,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6052967,3.00,1.00,0.00,3.00,5.00,NULL,2.00,1.00,0.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6052975,5.00,5.00,5.00,5.00,7.00,NULL,0.00,1.00,1.00,216,NULL,211,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6052983,4.00,4.00,4.00,6.00,8.00,7.50,3.00,6.00,5.00,216,NULL,235,'ALTO DA SERRA','MAUÁ SERRA','PR',6554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6052991,2.00,4.00,1.00,3.00,5.00,8.63,2.00,2.00,1.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053009,5.00,6.00,3.00,3.00,6.00,7.50,1.00,6.00,1.00,102,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13892,156,NULL,NULL,NULL,NULL,NULL,2,1),(25,6053017,6.00,7.00,6.00,7.00,10.00,10.50,7.00,5.00,8.00,216,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',420,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6053025,2.00,4.00,1.00,1.00,5.00,4.88,2.00,1.00,1.00,207,NULL,215,'SANTA BARBARA','CRICIÚMA','SC',21633,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6053041,6.00,5.00,2.00,2.00,5.00,9.75,2.00,3.00,2.00,999,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6053068,4.00,7.00,5.00,3.00,6.00,9.75,1.00,4.00,3.00,220,NULL,601,'GARCIA','BLUMENAU','SC',8719,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6053076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'GRANJA VIANA','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6053084,1.00,4.00,2.00,4.00,3.00,5.63,4.00,1.00,2.00,102,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6053114,7.00,6.00,3.00,7.00,7.00,9.75,2.00,5.00,5.00,215,NULL,212,'VILA SUIÇA','INDAIATUBA','SP',5013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053122,6.00,5.00,1.00,7.00,9.00,7.88,4.00,6.00,3.00,336,NULL,NULL,'INDUSTRIAL','ITAPEJARA D OESTE','PR',5229,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6053130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'CECAP','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6053149,6.00,6.00,2.00,5.00,9.00,10.13,3.00,6.00,6.00,201,NULL,212,'CENTRO','JACINTO MACHADO','SC',3450,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6053165,5.00,6.00,3.00,5.00,6.00,8.63,2.00,2.00,4.00,102,NULL,NULL,'SANDANO','OURINHOS','SP',10952,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6053173,6.00,6.00,3.00,6.00,9.00,8.63,2.00,3.00,5.00,108,NULL,NULL,'BORTOT','PATO BRANCO','PR',7374,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6053181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','ITARARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6053190,3.00,3.00,0.00,4.00,6.00,NULL,0.00,5.00,1.00,329,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6053203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6053211,2.00,4.00,3.00,4.00,6.00,8.63,1.00,2.00,2.00,104,NULL,NULL,'CENTRO','TUBARÃO','SC',18328,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6053220,5.00,5.00,4.00,6.00,7.00,7.50,1.00,4.00,6.00,319,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',10123,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6053238,5.00,6.00,3.00,6.00,7.00,9.75,3.00,7.00,6.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',5146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053246,3.00,5.00,3.00,2.00,6.00,9.00,2.00,5.00,3.00,653,NULL,652,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053270,7.00,8.00,0.00,4.00,6.00,9.75,1.00,4.00,4.00,103,NULL,NULL,'ZONA RURAL','IRACEMINHA','SC',8585,3300,NULL,NULL,NULL,NULL,NULL,4,4),(25,6053289,0.00,6.00,0.00,0.00,0.00,NULL,0.00,5.00,1.00,327,NULL,NULL,'CAMPESTRE','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(25,6053297,2.00,7.00,3.00,3.00,6.00,8.25,1.00,1.00,1.00,3,NULL,NULL,'ITAUM','JOINVILLE','SC',19195,76,NULL,NULL,NULL,NULL,NULL,2,8),(25,6053319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6053327,8.00,7.00,1.00,6.00,8.00,9.75,0.00,4.00,4.00,103,NULL,NULL,'SANTO ANTONIO DE PAD','TUBARÃO','SC',9256,3432,NULL,NULL,NULL,NULL,NULL,2,10),(25,6053335,2.00,4.00,2.00,4.00,6.00,9.38,1.00,1.00,2.00,207,NULL,NULL,'FLORESTA','S JOSÉ','SC',17275,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6053343,6.00,7.00,3.00,5.00,7.00,7.13,4.00,7.00,6.00,103,NULL,NULL,'COQUEIRAL','CASCAVEL','PR',3619,1950,NULL,NULL,NULL,NULL,NULL,2,4),(25,6053351,8.00,6.00,8.00,7.00,11.00,10.13,7.00,9.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',85,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053360,3.00,3.00,1.00,1.00,3.00,9.38,1.00,0.00,3.00,201,NULL,212,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053378,5.00,5.00,2.00,6.00,8.00,7.13,4.00,3.00,3.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',9554,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6053386,3.00,7.00,4.00,5.00,8.00,7.13,1.00,8.00,3.00,316,NULL,NULL,'SARANDI','PTO ALEGRE','RS',6796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053394,2.00,5.00,0.00,7.00,4.00,5.25,2.00,3.00,2.00,999,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6053408,8.00,7.00,2.00,7.00,8.00,11.63,4.00,5.00,5.00,103,NULL,NULL,'MARGEM ESQUERDA','GASPAR','SC',2797,1624,NULL,NULL,NULL,NULL,NULL,2,2),(25,6053416,7.00,5.00,1.00,6.00,9.00,7.13,1.00,3.00,6.00,211,NULL,212,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',7002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053424,7.00,5.00,3.00,5.00,9.00,9.75,0.00,4.00,4.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',5927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053432,7.00,5.00,3.00,5.00,9.00,7.13,1.00,7.00,4.00,103,NULL,NULL,'CENTRO','CIANORTE','PR',6802,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6053459,3.00,4.00,2.00,5.00,5.00,NULL,0.00,4.00,0.00,201,NULL,216,'JARDIM AMERICA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6053467,5.00,6.00,2.00,5.00,9.00,8.63,2.00,6.00,6.00,207,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',6738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053475,4.00,3.00,3.00,4.00,3.00,6.38,0.00,2.00,1.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',20880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053483,6.00,6.00,6.00,7.00,8.00,9.00,2.00,7.00,4.00,212,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',3255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053491,8.00,7.00,6.00,6.00,7.00,9.75,3.00,6.00,6.00,201,NULL,211,'CARVOEIRA','FLORIANÓPOLIS','SC',2349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053505,7.00,6.00,5.00,5.00,8.00,7.50,0.00,7.00,5.00,201,NULL,211,'CANASVIEIRAS','FLORIANÓPOLIS','SC',4268,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6053513,4.00,6.00,3.00,6.00,9.00,9.00,2.00,3.00,4.00,999,NULL,NULL,'ALTO RIO CANOAS','LUIZ ALVES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6053521,2.00,4.00,3.00,5.00,7.00,8.63,3.00,3.00,2.00,451,NULL,NULL,'PARQUE VERGARA','ITANHAÉM','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6053530,3.00,4.00,2.00,4.00,7.00,7.50,1.00,3.00,3.00,317,NULL,NULL,'ROÇADO','S JOSÉ','SC',17693,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6053548,5.00,5.00,0.00,4.00,7.00,7.50,1.00,2.00,4.00,103,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',13493,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6053564,7.00,5.00,2.00,4.00,8.00,8.63,2.00,5.00,8.00,103,NULL,NULL,'FRAGATA','MARÍLIA','SP',4682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053572,5.00,3.00,1.00,1.00,4.00,5.63,2.00,0.00,2.00,5,NULL,NULL,'ALVORADA','VIDEIRA','SC',19171,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6053580,2.00,2.00,0.00,4.00,3.00,6.00,1.00,0.00,1.00,9,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6053599,6.00,6.00,1.00,6.00,10.00,12.00,2.00,6.00,3.00,319,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',7152,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6053602,9.00,8.00,3.00,7.00,10.00,10.13,2.00,8.00,8.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',1356,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6053629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'MOEMA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6053637,6.00,3.00,1.00,0.00,7.00,7.50,1.00,3.00,3.00,202,NULL,NULL,'JUNDIAPEBA','MOGI CRUZES','SP',18121,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6053645,2.00,4.00,1.00,2.00,6.00,6.75,1.00,1.00,0.00,324,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19895,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6053653,5.00,6.00,0.00,6.00,9.00,NULL,1.00,4.00,3.00,304,NULL,NULL,'JD AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6053661,5.00,6.00,3.00,3.00,9.00,8.63,1.00,6.00,3.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',10781,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6053670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHÁCARA INGLESA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6053696,6.00,5.00,6.00,5.00,8.00,10.13,1.00,3.00,5.00,201,NULL,207,'SETOR BUENO','GOIÂNIA','GO',5488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053700,4.00,3.00,4.00,5.00,6.00,8.25,2.00,3.00,6.00,303,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',12492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053718,4.00,6.00,4.00,6.00,6.00,11.25,1.00,4.00,1.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053726,5.00,6.00,3.00,4.00,9.00,7.88,2.00,5.00,4.00,601,NULL,238,'VILA CAMPESINA','OSASCO','SP',6244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053734,7.00,5.00,6.00,7.00,8.00,9.00,3.00,4.00,7.00,103,NULL,NULL,'CHÁCARA STO ANTÔNIO','S PAULO','SP',2575,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6053742,5.00,4.00,2.00,3.00,9.00,11.63,1.00,4.00,6.00,216,NULL,212,'ALTO ALEGRE','BAURU','SP',6075,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6053750,3.00,3.00,2.00,1.00,2.00,NULL,3.00,3.00,2.00,453,NULL,NULL,'JARDIM FERRARI III','ITAPEVA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6053769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6053777,3.00,4.00,0.00,6.00,7.00,6.38,2.00,1.00,2.00,654,NULL,NULL,'SÃO CRISTÓVÃO','TUBARÃO','SC',18746,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6053785,8.00,6.00,3.00,0.00,7.00,9.00,3.00,3.00,7.00,103,NULL,NULL,'CONTINENTAL','MARÍLIA','SP',5178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053793,3.00,6.00,2.00,7.00,7.00,NULL,0.00,5.00,4.00,340,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053807,4.00,2.00,0.00,2.00,3.00,NULL,3.00,0.00,2.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6053815,8.00,8.00,2.00,7.00,8.00,12.00,3.00,9.00,4.00,5,NULL,NULL,'CENTRO','OURO','SC',1853,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6053840,3.00,6.00,1.00,3.00,6.00,8.25,2.00,5.00,4.00,103,NULL,NULL,'SÃO CRISTÓVÃO','CAPINZAL','SC',12269,3896,NULL,NULL,NULL,NULL,NULL,4,7),(25,6053866,4.00,4.00,3.00,4.00,6.00,6.75,1.00,6.00,3.00,110,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',15196,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6053874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CERAMARTE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6053882,1.00,2.00,1.00,3.00,3.00,7.88,1.00,0.00,1.00,207,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',21388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053890,0.00,2.00,0.00,1.00,2.00,NULL,3.00,5.00,2.00,502,NULL,NULL,'BREJARU II','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6053904,2.00,7.00,3.00,6.00,6.00,6.00,2.00,3.00,4.00,9,NULL,NULL,'CENTRO','AGROLÂNDIA','SC',12751,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6053912,7.00,5.00,1.00,7.00,8.00,7.50,4.00,6.00,3.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',6490,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6053939,6.00,7.00,4.00,4.00,10.00,8.25,4.00,3.00,7.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',3590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053947,8.00,7.00,4.00,6.00,10.00,8.63,4.00,4.00,5.00,103,NULL,NULL,'SETOR AEROPORTO','GOIÂNIA','GO',1920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053955,3.00,7.00,3.00,2.00,7.00,7.13,1.00,6.00,2.00,201,NULL,212,'ALTO PEREQUE','PTO BELO','SC',12447,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6053963,4.00,4.00,0.00,5.00,8.00,8.63,0.00,5.00,1.00,102,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6053971,2.00,4.00,2.00,3.00,7.00,NULL,1.00,0.00,2.00,601,NULL,235,'FAZ SANTO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053980,6.00,5.00,0.00,7.00,9.00,9.38,4.00,3.00,4.00,207,NULL,NULL,'CITY RIBEIRAO','RIBEIRÃO PRETO','SP',5616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6053998,9.00,7.00,0.00,6.00,9.00,9.75,2.00,5.00,9.00,340,NULL,NULL,'BUCAREIN','JOINVILLE','SC',2277,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6054013,4.00,7.00,3.00,3.00,7.00,9.00,0.00,4.00,6.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054021,5.00,5.00,2.00,5.00,7.00,9.75,3.00,4.00,2.00,654,NULL,NULL,'VALE DO SOL','CASCAVEL','PR',8695,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6054030,1.00,3.00,0.00,2.00,4.00,NULL,2.00,1.00,2.00,301,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6054048,9.00,4.00,2.00,4.00,8.00,5.25,2.00,6.00,6.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',7175,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6054056,6.00,7.00,4.00,6.00,4.00,8.25,4.00,4.00,6.00,203,NULL,214,'XAXIM','CURITIBA','PR',5955,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6054064,7.00,3.00,3.00,6.00,9.00,NULL,0.00,3.00,3.00,104,NULL,NULL,'MONTE CASTELO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6054080,8.00,8.00,4.00,6.00,10.00,11.63,7.00,7.00,8.00,203,NULL,216,'ATIRADORES','JOINVILLE','SC',262,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6054102,2.00,2.00,0.00,1.00,2.00,NULL,1.00,1.00,1.00,303,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6054110,5.00,4.00,0.00,6.00,6.00,11.25,1.00,4.00,3.00,415,NULL,NULL,'CENTRO','CAÇADOR','SC',11057,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6054129,2.00,7.00,3.00,2.00,6.00,4.88,1.00,3.00,4.00,201,NULL,NULL,'AGUA VERDE','CURITIBA','PR',15453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054137,4.00,6.00,2.00,5.00,6.00,7.50,1.00,2.00,1.00,308,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',18920,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6054145,2.00,4.00,0.00,4.00,9.00,NULL,1.00,2.00,3.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054161,4.00,6.00,3.00,1.00,3.00,5.25,1.00,0.00,3.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',20948,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6054170,3.00,5.00,2.00,6.00,6.00,7.88,1.00,3.00,3.00,332,NULL,NULL,'AREIAS','PAULO LOPES','SC',13454,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6054188,4.00,4.00,2.00,4.00,2.00,NULL,0.00,1.00,5.00,337,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6054196,9.00,6.00,4.00,6.00,9.00,10.50,1.00,6.00,6.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',2330,1415,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054200,2.00,2.00,0.00,3.00,7.00,NULL,1.00,0.00,1.00,207,NULL,201,'IPEROBA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6054218,6.00,5.00,4.00,4.00,6.00,10.13,3.00,5.00,7.00,203,NULL,220,'ZONA SETE','MARINGÁ','PR',4477,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6054226,7.00,4.00,3.00,6.00,5.00,7.13,1.00,3.00,5.00,203,NULL,202,'BATEL','CURITIBA','PR',10151,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6054234,9.00,5.00,6.00,7.00,9.00,8.25,2.00,8.00,7.00,203,NULL,216,'GLORIA','JOINVILLE','SC',1757,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6054242,2.00,2.00,2.00,5.00,6.00,6.00,0.00,1.00,3.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',18600,794,NULL,NULL,NULL,NULL,NULL,2,1),(25,6054250,6.00,7.00,3.00,5.00,8.00,8.25,2.00,7.00,5.00,207,NULL,201,'MEIA PRAIA','ITAPEMA','SC',5984,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6054285,8.00,0.00,4.00,7.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6054293,8.00,5.00,2.00,5.00,9.00,12.00,0.00,3.00,8.00,103,NULL,NULL,'TRES LAGOAS','FOZ IGUAÇU','PR',5345,2519,NULL,NULL,NULL,NULL,NULL,2,2),(25,6054307,2.00,6.00,2.00,6.00,6.00,7.50,0.00,6.00,4.00,301,NULL,NULL,'CIDADE ALTA','TURVO','SC',10985,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6054323,2.00,6.00,3.00,4.00,7.00,5.25,0.00,2.00,1.00,304,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16464,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6054331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6054340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','RIO VERDE','GO',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6054358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6054366,8.00,6.00,4.00,5.00,11.00,8.63,2.00,9.00,6.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',2285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054374,5.00,4.00,7.00,6.00,8.00,10.50,1.00,2.00,3.00,108,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',7520,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6054382,4.00,5.00,2.00,6.00,7.00,8.25,2.00,6.00,1.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054390,4.00,6.00,0.00,3.00,5.00,6.75,2.00,5.00,3.00,201,NULL,220,'JARDIM APIPEMA','SALVADOR','BA',13952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054404,5.00,5.00,4.00,6.00,3.00,5.63,2.00,4.00,3.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054412,7.00,7.00,4.00,5.00,8.00,8.63,5.00,5.00,7.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',2392,1445,NULL,NULL,NULL,NULL,NULL,2,4),(25,6054420,6.00,7.00,1.00,5.00,6.00,6.75,4.00,3.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054439,6.00,4.00,3.00,6.00,7.00,11.63,2.00,6.00,6.00,207,NULL,220,'CENTRO','BAL CAMBORIÚ','SC',4985,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6054447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOSÉ','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6054463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CERQUEIRA CESAR','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6054471,5.00,7.00,1.00,0.00,6.00,10.13,2.00,4.00,2.00,420,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054480,7.00,7.00,6.00,6.00,8.00,12.75,4.00,7.00,9.00,103,NULL,NULL,'QUITANDINHA','RIO NEGRINHO','SC',458,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6054498,5.00,8.00,1.00,6.00,7.00,9.38,0.00,5.00,5.00,329,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054501,5.00,0.00,4.00,5.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOOCA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6054510,7.00,4.00,4.00,2.00,5.00,NULL,0.00,6.00,5.00,333,NULL,NULL,'VILA RUBENS','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054536,3.00,3.00,1.00,3.00,5.00,7.50,1.00,0.00,2.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',19582,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6054544,6.00,5.00,4.00,7.00,10.00,9.00,5.00,4.00,5.00,103,NULL,NULL,'ALTO DA BOA VISTA','PARAIBUNA','SP',3725,1986,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054552,1.00,3.00,3.00,0.00,3.00,4.50,1.00,1.00,1.00,601,NULL,NULL,'GUANABARA','JOINVILLE','SC',21305,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6054560,3.00,5.00,1.00,1.00,6.00,NULL,2.00,0.00,2.00,203,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054579,8.00,7.00,2.00,7.00,11.00,10.50,2.00,6.00,7.00,319,NULL,NULL,'BUCAREIN','JOINVILLE','SC',2320,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6054587,3.00,3.00,3.00,1.00,4.00,9.38,1.00,2.00,2.00,211,NULL,207,'CAMPINA DA ALEGRIA','VARGEM BONITA','SC',20818,546,NULL,1134,NULL,NULL,NULL,4,7),(25,6054595,4.00,5.00,2.00,6.00,7.00,7.13,2.00,1.00,1.00,452,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',13297,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6054609,4.00,6.00,3.00,4.00,7.00,9.00,1.00,3.00,3.00,110,NULL,NULL,'SANTA CRUZ','RIBEIRÃO PRETO','SP',10583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054617,3.00,4.00,2.00,4.00,8.00,7.88,2.00,3.00,2.00,453,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',17053,116,NULL,NULL,NULL,NULL,NULL,4,2),(25,6054633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6054641,6.00,3.00,2.00,3.00,2.00,NULL,1.00,2.00,4.00,103,NULL,NULL,'SANTA CANDIDA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054668,3.00,3.00,1.00,2.00,6.00,8.25,1.00,2.00,1.00,340,NULL,NULL,'CENTRO','S JOSÉ','SC',18576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6054684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE DAS ARVORES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6054692,2.00,2.00,0.00,1.00,5.00,NULL,0.00,0.00,2.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6054706,5.00,5.00,1.00,6.00,5.00,NULL,2.00,0.00,2.00,999,NULL,NULL,'SAGRADO CORAÇÃO DE J','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6054714,5.00,3.00,3.00,6.00,7.00,7.13,0.00,4.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',9196,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6054722,8.00,7.00,2.00,6.00,8.00,12.38,1.00,5.00,6.00,233,NULL,207,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',3014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054730,2.00,3.00,2.00,0.00,5.00,NULL,0.00,0.00,1.00,415,NULL,NULL,'VILA MENDONÇA','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6054749,4.00,6.00,0.00,4.00,5.00,6.38,1.00,2.00,5.00,225,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14534,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6054757,4.00,5.00,1.00,6.00,7.00,7.50,3.00,4.00,4.00,233,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',10784,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6054765,4.00,3.00,2.00,5.00,7.00,7.50,0.00,4.00,2.00,103,NULL,NULL,'VILA MORAES','OURINHOS','SP',12698,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6054773,4.00,6.00,3.00,4.00,5.00,9.75,3.00,2.00,4.00,326,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054781,6.00,5.00,0.00,5.00,7.00,8.25,0.00,3.00,1.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6054790,8.00,7.00,3.00,5.00,8.00,8.63,3.00,8.00,5.00,420,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054803,4.00,7.00,3.00,5.00,8.00,8.63,0.00,4.00,2.00,238,NULL,208,'SERRARIA LOT ARAUCAR','S JOSÉ','SC',10449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054811,1.00,3.00,0.00,0.00,6.00,10.50,2.00,2.00,1.00,320,NULL,NULL,'VILA UNIAO','CAMPINAS','SP',20975,42,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6054846,7.00,6.00,4.00,6.00,9.00,7.13,2.00,7.00,6.00,103,NULL,NULL,'VILA MIRIAM','GUARULHOS','SP',2891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6054854,2.00,5.00,2.00,5.00,7.00,6.38,3.00,3.00,6.00,201,NULL,207,'RODOVIARIA PARQUE','CUIABÁ','MT',10027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054862,3.00,4.00,0.00,3.00,6.00,7.88,0.00,0.00,1.00,652,NULL,655,'LAGOÃO','ARARANGUÁ','SC',19008,69,NULL,NULL,NULL,NULL,NULL,2,15),(25,6054889,6.00,3.00,3.00,5.00,8.00,10.50,3.00,7.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5440,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6054900,5.00,7.00,4.00,7.00,5.00,7.88,1.00,7.00,6.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',6390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054919,6.00,5.00,1.00,6.00,8.00,10.50,1.00,5.00,5.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',7516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054927,3.00,4.00,2.00,3.00,2.00,NULL,2.00,2.00,1.00,109,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6054943,3.00,5.00,3.00,6.00,7.00,6.38,0.00,3.00,4.00,601,NULL,201,'ALVORADA','FRANCISCO BELTRÃO','PR',11685,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6054951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6054960,4.00,3.00,3.00,6.00,6.00,7.88,2.00,6.00,1.00,404,NULL,NULL,'DA BOA VISTA','S PAULO','SP',12451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6054986,1.00,4.00,2.00,4.00,8.00,NULL,0.00,7.00,3.00,211,NULL,212,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6054994,5.00,6.00,3.00,5.00,6.00,6.00,3.00,7.00,5.00,207,NULL,238,'CENTRO','ÁGUAS MORNAS','SC',7847,364,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055001,6.00,6.00,3.00,4.00,8.00,10.13,3.00,4.00,3.00,420,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',8411,54,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055028,7.00,6.00,3.00,6.00,9.00,10.13,1.00,7.00,6.00,103,NULL,NULL,'LEONOR','LONDRINA','PR',2924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055036,1.00,2.00,1.00,2.00,4.00,7.50,2.00,0.00,0.00,999,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055044,6.00,5.00,3.00,4.00,7.00,8.63,1.00,7.00,7.00,103,NULL,NULL,'FABIO SILVA','TUBARÃO','SC',5608,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6055060,3.00,5.00,2.00,5.00,5.00,7.88,2.00,2.00,3.00,207,NULL,201,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',17865,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6055079,1.00,3.00,0.00,3.00,4.00,7.13,3.00,3.00,1.00,102,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',21468,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6055087,3.00,6.00,0.00,2.00,3.00,NULL,2.00,5.00,2.00,216,NULL,233,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6055109,2.00,3.00,1.00,2.00,4.00,NULL,0.00,3.00,1.00,104,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,5),(25,6055117,4.00,4.00,2.00,6.00,8.00,6.75,1.00,2.00,1.00,415,NULL,NULL,'SAO LUIZ','BRUSQUE','SC',17164,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6055125,8.00,6.00,4.00,6.00,7.00,9.38,1.00,4.00,7.00,333,NULL,NULL,'VILA INDUSTRIAL','TOLEDO','PR',4081,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6055141,8.00,8.00,4.00,7.00,10.00,9.75,5.00,8.00,9.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',288,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6055150,5.00,5.00,3.00,4.00,8.00,NULL,0.00,4.00,2.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6055176,6.00,4.00,1.00,0.00,9.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055184,3.00,3.00,1.00,3.00,4.00,7.13,0.00,4.00,1.00,103,NULL,NULL,'JARDIM IMPERIAL','MARINGÁ','PR',19115,4597,NULL,NULL,NULL,NULL,NULL,2,1),(25,6055192,8.00,8.00,7.00,6.00,9.00,8.25,5.00,7.00,9.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',264,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6055214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MORUMBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6055222,4.00,6.00,1.00,7.00,7.00,9.38,3.00,4.00,0.00,999,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6055249,6.00,6.00,2.00,5.00,7.00,7.50,3.00,5.00,3.00,207,NULL,211,'CENTRO','MARINGÁ','PR',9333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055273,3.00,3.00,1.00,2.00,5.00,8.25,1.00,2.00,2.00,5,NULL,NULL,'CENTRO','DOIS IRMÃOS','RS',18589,641,NULL,NULL,NULL,NULL,NULL,2,1),(25,6055281,8.00,6.00,9.00,7.00,9.00,10.88,3.00,5.00,8.00,103,NULL,NULL,'SAÚDE','S PAULO','SP',650,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6055290,6.00,5.00,3.00,5.00,9.00,9.75,2.00,2.00,1.00,103,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',10520,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6055303,5.00,7.00,2.00,4.00,8.00,10.50,3.00,6.00,4.00,340,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',5237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055311,2.00,5.00,0.00,2.00,4.00,5.25,1.00,3.00,3.00,653,NULL,655,'JARDIM ANJELICA','CRICIÚMA','SC',21347,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6055320,2.00,4.00,4.00,4.00,4.00,7.13,1.00,3.00,1.00,9,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6055338,5.00,4.00,2.00,5.00,7.00,NULL,2.00,0.00,3.00,103,NULL,NULL,'ITAIPAVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6055346,3.00,3.00,0.00,4.00,7.00,9.38,2.00,1.00,5.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6055354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'EMBARÉ','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6055362,6.00,5.00,6.00,3.00,10.00,11.25,1.00,5.00,3.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',6125,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6055389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6055397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6055400,8.00,6.00,3.00,4.00,7.00,8.63,2.00,7.00,8.00,214,NULL,213,'SETOR BUENO','GOIÂNIA','GO',3164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','LEOBERTO LEAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6055427,6.00,6.00,6.00,6.00,7.00,6.38,3.00,7.00,7.00,201,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',2976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055435,5.00,6.00,2.00,7.00,5.00,9.38,2.00,4.00,3.00,319,NULL,NULL,'PATRONATO','STA MARIA','RS',9950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6055443,4.00,1.00,3.00,2.00,4.00,8.63,0.00,3.00,2.00,102,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',18711,233,NULL,NULL,NULL,NULL,NULL,2,1),(25,6055451,6.00,7.00,6.00,7.00,6.00,11.63,1.00,6.00,3.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',4760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055460,3.00,4.00,3.00,3.00,7.00,7.50,1.00,5.00,2.00,5,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',13830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055478,6.00,2.00,1.00,4.00,10.00,9.00,2.00,4.00,7.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',8576,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6055486,6.00,6.00,1.00,7.00,7.00,7.88,2.00,3.00,4.00,103,NULL,NULL,'SÃO ROQUE','NOVA TRENTO','SC',11875,3846,NULL,NULL,NULL,NULL,NULL,5,1),(25,6055494,3.00,5.00,2.00,5.00,5.00,5.25,1.00,4.00,2.00,208,NULL,202,'SACO GRANDE','FLORIANÓPOLIS','SC',14434,300,NULL,445,NULL,NULL,NULL,4,1),(25,6055508,5.00,7.00,4.00,7.00,6.00,8.63,5.00,6.00,6.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',4255,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6055516,2.00,5.00,1.00,4.00,6.00,7.13,1.00,1.00,0.00,201,NULL,208,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6055532,2.00,3.00,1.00,3.00,3.00,7.50,2.00,2.00,1.00,319,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6055559,2.00,0.00,1.00,2.00,4.00,4.50,3.00,3.00,1.00,404,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6055567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RESIDENCIAL GOIÁS','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6055575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6055591,3.00,3.00,2.00,2.00,2.00,NULL,0.00,1.00,0.00,104,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6055605,2.00,3.00,1.00,6.00,9.00,10.13,1.00,1.00,2.00,201,NULL,203,'CENTRO','CASCAVEL','PR',13880,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6055613,2.00,2.00,0.00,5.00,7.00,8.63,1.00,2.00,0.00,308,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',20325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6055621,6.00,7.00,3.00,1.00,7.00,7.88,1.00,6.00,4.00,336,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055630,6.00,8.00,3.00,6.00,8.00,10.50,3.00,7.00,4.00,340,NULL,NULL,'FLORESTA','JOINVILLE','SC',3699,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6055656,2.00,4.00,2.00,7.00,6.00,6.75,1.00,4.00,3.00,427,NULL,424,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',16432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055664,4.00,4.00,1.00,2.00,4.00,7.88,1.00,4.00,3.00,203,NULL,202,'MONTE VERDE','FLORIANÓPOLIS','SC',16409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055672,3.00,4.00,0.00,3.00,5.00,7.50,1.00,0.00,0.00,501,NULL,NULL,'SERTÃO','STO AMARO IMPERATRIZ','SC',20128,111,NULL,NULL,NULL,NULL,NULL,2,1),(25,6055680,4.00,5.00,0.00,5.00,7.00,NULL,0.00,3.00,0.00,452,NULL,NULL,'VILA EUVIRA','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6055699,3.00,5.00,2.00,4.00,5.00,7.88,3.00,4.00,6.00,220,NULL,203,'VILA REZENDE','PIRACICABA','SP',11634,337,NULL,793,NULL,NULL,NULL,4,1),(25,6055702,3.00,4.00,0.00,1.00,5.00,6.00,1.00,3.00,3.00,5,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',21063,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6055710,6.00,6.00,5.00,5.00,8.00,7.88,2.00,7.00,6.00,103,NULL,NULL,'CRUZEIRO NOVO','CRUZEIRO','DF',3520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055729,2.00,3.00,2.00,2.00,7.00,NULL,2.00,3.00,0.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6055737,8.00,7.00,6.00,7.00,10.00,9.00,5.00,6.00,8.00,216,NULL,233,'JD AQUARIUS','S JOSÉ CAMPOS','SP',476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055745,4.00,7.00,1.00,4.00,7.00,9.38,1.00,3.00,3.00,103,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6055753,2.00,3.00,1.00,2.00,3.00,5.25,1.00,1.00,2.00,415,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',21708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055761,7.00,6.00,3.00,7.00,9.00,9.00,3.00,3.00,5.00,103,NULL,NULL,'CAMINHO DAS ÁRVORES','SALVADOR','BA',3331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055770,3.00,4.00,2.00,4.00,6.00,6.75,2.00,3.00,1.00,999,NULL,NULL,'SÃO FRANCISCO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6055796,8.00,6.00,4.00,4.00,8.00,8.25,1.00,6.00,6.00,103,NULL,NULL,'CENTRO','DIAMANTE NORTE','PR',5865,2682,NULL,NULL,NULL,NULL,NULL,2,8),(25,6055800,2.00,3.00,1.00,4.00,6.00,7.13,2.00,3.00,1.00,601,NULL,203,'COSTA E SILVA','JOINVILLE','SC',20474,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6055818,6.00,8.00,4.00,5.00,9.00,8.25,0.00,5.00,5.00,103,NULL,NULL,'CENTRO','RIO VERDE','GO',4337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055826,3.00,5.00,1.00,2.00,6.00,NULL,2.00,1.00,0.00,654,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6055834,1.00,2.00,2.00,4.00,5.00,8.63,2.00,4.00,2.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',17708,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6055842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6055850,3.00,5.00,0.00,3.00,4.00,NULL,2.00,5.00,4.00,601,NULL,203,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6055869,3.00,2.00,3.00,2.00,3.00,6.00,2.00,4.00,1.00,108,NULL,NULL,'BELA VISTA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6055877,2.00,5.00,3.00,6.00,8.00,7.50,0.00,1.00,4.00,316,NULL,NULL,'VILA MARIANA','S PAULO','SP',16860,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6055885,5.00,6.00,5.00,6.00,10.00,12.00,2.00,4.00,5.00,103,NULL,NULL,'PROTASIO ALVES','PTO ALEGRE','RS',2345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055893,4.00,0.00,3.00,5.00,9.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PONTA VERDE','MACEIÓ','AL',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6055907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PILARZINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6055915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6055923,2.00,5.00,1.00,0.00,6.00,6.38,1.00,2.00,1.00,234,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',20609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CRISTO REI','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6055940,5.00,7.00,2.00,5.00,7.00,NULL,0.00,5.00,9.00,103,NULL,NULL,'BOTAFOGO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6055958,8.00,6.00,4.00,7.00,8.00,10.13,5.00,5.00,8.00,216,NULL,220,'JARDIM DOS ESTADOS','CPO GRANDE','MS',1863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055966,7.00,6.00,4.00,6.00,9.00,8.63,4.00,6.00,6.00,319,NULL,NULL,'SANTA MARTA','S CARLOS','SP',2522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055974,3.00,4.00,0.00,0.00,2.00,NULL,2.00,2.00,4.00,502,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6055982,1.00,3.00,0.00,0.00,3.00,NULL,2.00,1.00,1.00,208,NULL,220,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6055990,6.00,4.00,0.00,2.00,4.00,9.75,3.00,1.00,0.00,333,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',20042,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6056008,7.00,5.00,3.00,4.00,9.00,10.50,2.00,7.00,5.00,340,NULL,NULL,'FLORADAS SÃO JOSÉ','S JOSÉ CAMPOS','SP',4671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056024,4.00,3.00,2.00,0.00,3.00,NULL,0.00,0.00,1.00,103,NULL,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6056032,6.00,5.00,0.00,7.00,8.00,NULL,3.00,5.00,4.00,340,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056040,2.00,3.00,1.00,1.00,4.00,8.25,1.00,1.00,1.00,999,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6056059,8.00,7.00,6.00,7.00,9.00,10.88,4.00,8.00,7.00,103,NULL,NULL,'FORTE','PR GRANDE','SP',578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056067,1.00,2.00,3.00,4.00,2.00,NULL,2.00,0.00,1.00,201,NULL,202,'CENTRO','VITORINO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6056075,6.00,7.00,3.00,6.00,6.00,8.63,4.00,7.00,8.00,202,NULL,213,'ITAGUAÇU','FLORIANÓPOLIS','SC',2577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056083,5.00,5.00,2.00,2.00,6.00,9.75,4.00,2.00,4.00,451,NULL,NULL,'INGLESES DO SANTINHO','FLORIANÓPOLIS','SC',15658,21,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056091,3.00,4.00,3.00,6.00,9.00,7.88,2.00,3.00,2.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11449,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6056105,6.00,7.00,5.00,5.00,8.00,7.88,3.00,6.00,5.00,216,NULL,202,'PASSO MANSO','BLUMENAU','SC',4210,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6056113,5.00,6.00,1.00,5.00,6.00,6.00,2.00,7.00,3.00,103,NULL,NULL,'CENTRO','TOLEDO','PR',9280,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6056121,3.00,3.00,3.00,1.00,6.00,8.63,4.00,4.00,3.00,103,NULL,NULL,'MARTINHO PRADO JR','MOGI GUAÇU','SP',13762,4101,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056130,3.00,2.00,2.00,5.00,6.00,6.75,2.00,2.00,2.00,238,NULL,208,'CAMPO DUNA','GAROPABA','SC',19474,465,NULL,509,NULL,NULL,NULL,4,1),(25,6056148,5.00,5.00,2.00,4.00,7.00,NULL,0.00,5.00,1.00,9,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6056156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'JOAIA','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6056164,8.00,5.00,3.00,7.00,6.00,11.25,3.00,5.00,8.00,103,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',3516,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6056172,6.00,5.00,3.00,8.00,6.00,8.25,3.00,5.00,5.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056180,6.00,7.00,0.00,8.00,8.00,NULL,2.00,7.00,3.00,320,NULL,NULL,'PANTANL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056199,1.00,4.00,1.00,2.00,5.00,NULL,2.00,0.00,1.00,652,NULL,655,'SÃO JOSÉ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6056229,7.00,8.00,4.00,6.00,6.00,9.75,3.00,8.00,7.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2214,1356,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056237,3.00,3.00,3.00,0.00,7.00,7.88,1.00,6.00,4.00,333,NULL,NULL,'MOOCA','S PAULO','SP',16896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056253,7.00,5.00,4.00,7.00,7.00,9.75,2.00,7.00,7.00,103,NULL,NULL,'VILAS BOAS','CPO GRANDE','MS',4270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056261,4.00,3.00,3.00,5.00,3.00,NULL,0.00,1.00,3.00,203,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6056270,3.00,3.00,3.00,1.00,4.00,7.88,2.00,2.00,1.00,426,NULL,423,'FORQUILHINHAS','S JOSÉ','SC',20796,31,NULL,NULL,NULL,NULL,NULL,2,1),(25,6056288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'VARGINHA','ITAJUBÁ','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6056296,4.00,4.00,3.00,5.00,9.00,9.00,2.00,4.00,2.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',12816,NULL,NULL,NULL,NULL,NULL,NULL,3,10),(25,6056300,7.00,4.00,4.00,5.00,9.00,8.25,3.00,3.00,4.00,103,NULL,NULL,'STO ANTONIO DE PÁDUA','TUBARÃO','SC',6102,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6056318,4.00,5.00,1.00,7.00,7.00,8.25,2.00,6.00,4.00,207,NULL,233,'CARVOEIRA','FLORIANÓPOLIS','SC',8765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056326,4.00,4.00,3.00,3.00,7.00,10.50,1.00,2.00,4.00,303,NULL,NULL,'CENTRO','CHAPECÓ','SC',11854,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6056334,6.00,4.00,6.00,6.00,9.00,9.75,5.00,7.00,7.00,214,NULL,213,'VERA CRUZ','CAÇAPAVA','SP',1472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056342,5.00,2.00,2.00,5.00,7.00,6.75,2.00,4.00,5.00,303,NULL,NULL,'CENTRO','JACINTO MACHADO','SC',12503,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6056350,7.00,8.00,5.00,7.00,10.00,7.50,2.00,5.00,9.00,5,NULL,NULL,'ATIRADORES','JOINVILLE','SC',1311,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6056369,4.00,6.00,2.00,5.00,10.00,10.50,3.00,3.00,4.00,303,NULL,NULL,'ATIRADORES','JOINVILLE','SC',7969,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6056385,5.00,6.00,1.00,5.00,7.00,9.75,0.00,4.00,1.00,303,NULL,NULL,'VILA TATETUBA','S JOSÉ CAMPOS','SP',14436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056415,8.00,8.00,3.00,4.00,9.00,9.38,3.00,7.00,9.00,203,NULL,201,'KOBRASOL','S JOSÉ','SC',1865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056440,7.00,7.00,6.00,6.00,9.00,9.38,3.00,7.00,8.00,303,NULL,NULL,'ATIRADORES','JOINVILLE','SC',1744,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6056458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6056466,7.00,7.00,3.00,7.00,8.00,12.38,2.00,5.00,7.00,103,NULL,NULL,'SÃO FRANSISCO','CPO GRANDE','MS',2206,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6056474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6056482,4.00,4.00,1.00,5.00,6.00,7.88,2.00,6.00,3.00,332,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',11830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056504,2.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,212,NULL,601,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(25,6056512,8.00,7.00,6.00,6.00,10.00,10.50,4.00,7.00,8.00,220,NULL,203,'SANTOS DUMMONT','PARANAVAÍ','PR',521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,202,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6056547,5.00,5.00,0.00,2.00,7.00,7.50,1.00,4.00,5.00,999,NULL,NULL,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6056555,6.00,8.00,3.00,7.00,9.00,9.38,3.00,4.00,5.00,207,NULL,233,'COQUEIROS','FLORIANÓPOLIS','SC',2713,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6056563,5.00,7.00,2.00,5.00,9.00,7.88,4.00,7.00,4.00,601,NULL,202,'ITAUM','JOINVILLE','SC',5897,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6056571,7.00,7.00,3.00,6.00,11.00,12.00,4.00,7.00,5.00,103,NULL,NULL,'MIRANDÓPOLIS','S PAULO','SP',1049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056580,5.00,3.00,0.00,0.00,4.00,NULL,0.00,3.00,3.00,207,NULL,201,'VILA MADALENA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6056601,7.00,8.00,3.00,4.00,5.00,8.25,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','CAP LEÔNIDAS MARQUES','PR',3584,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6056628,4.00,3.00,1.00,7.00,9.00,10.50,1.00,2.00,6.00,207,NULL,201,'SANTA FELÍCIA','S CARLOS','SP',9171,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6056636,2.00,2.00,0.00,2.00,4.00,8.25,3.00,2.00,3.00,503,NULL,NULL,'CAMPINAS','S JOSÉ','SC',19571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6056644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','SALESÓPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6056660,3.00,2.00,1.00,4.00,4.00,6.75,1.00,0.00,0.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21662,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6056679,1.00,2.00,5.00,3.00,4.00,6.75,1.00,1.00,3.00,103,NULL,NULL,'DOS ESTADOS','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6056687,5.00,4.00,3.00,2.00,8.00,8.25,2.00,3.00,0.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6056709,7.00,8.00,6.00,7.00,10.00,10.13,5.00,7.00,9.00,103,NULL,NULL,'SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC',511,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6056717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,601,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6056741,2.00,4.00,1.00,4.00,7.00,NULL,0.00,2.00,0.00,415,NULL,NULL,'PONTE DO IMARUIN','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6056750,2.00,4.00,4.00,6.00,7.00,7.50,3.00,4.00,2.00,653,NULL,202,'JARDIM UNIVERSITARIO','MARINGÁ','PR',14753,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6056768,4.00,5.00,1.00,2.00,8.00,8.63,2.00,4.00,3.00,103,NULL,NULL,'SANTANA','S PAULO','SP',12812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056784,4.00,5.00,1.00,5.00,6.00,7.88,0.00,5.00,3.00,104,NULL,NULL,'JD MARIA DO CARMO','SOROCABA','SP',11753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056792,2.00,7.00,0.00,2.00,5.00,7.88,1.00,4.00,3.00,425,NULL,429,'ARIRIÚ','PALHOÇA','SC',15917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056806,7.00,5.00,1.00,3.00,9.00,9.38,0.00,5.00,2.00,333,NULL,NULL,'MINA DO MATO','CRICIÚMA','SC',14597,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6056814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(25,6056822,7.00,6.00,3.00,4.00,8.00,10.13,2.00,6.00,8.00,108,NULL,NULL,'JARDIM SÃO PAULO','AMERICANA','SP',3583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056830,4.00,6.00,1.00,4.00,5.00,NULL,0.00,1.00,2.00,104,NULL,NULL,'RUBEM BERTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6056857,2.00,2.00,3.00,1.00,8.00,7.50,0.00,1.00,3.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',18062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056865,5.00,5.00,2.00,6.00,9.00,10.50,1.00,4.00,4.00,9,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8829,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6056873,4.00,5.00,2.00,0.00,6.00,9.38,1.00,2.00,2.00,316,NULL,NULL,'ALTO RIBEIRAO','FLORIANÓPOLIS','SC',19243,223,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056881,4.00,3.00,1.00,2.00,5.00,9.38,2.00,4.00,2.00,320,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',18188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056903,8.00,7.00,6.00,5.00,7.00,8.25,2.00,7.00,8.00,220,NULL,203,'ITOUPAVA CENTRAL','BLUMENAU','SC',3488,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6056920,2.00,4.00,3.00,2.00,4.00,7.88,3.00,4.00,3.00,340,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',18751,405,NULL,NULL,NULL,NULL,NULL,2,1),(25,6056938,5.00,5.00,3.00,4.00,5.00,7.50,4.00,1.00,4.00,452,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14546,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6056946,6.00,5.00,4.00,2.00,7.00,7.88,3.00,4.00,5.00,999,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6056954,8.00,8.00,4.00,6.00,9.00,8.25,4.00,8.00,9.00,103,NULL,NULL,'NOVA ESPERANÇA','GUARAMIRIM','SC',1223,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6056962,2.00,4.00,3.00,3.00,6.00,7.50,1.00,2.00,1.00,999,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6056989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TEUTÔNIA','TEUTÔNIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6056997,8.00,7.00,3.00,6.00,7.00,9.75,1.00,4.00,5.00,999,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6057012,3.00,4.00,3.00,3.00,7.00,8.63,1.00,0.00,1.00,202,NULL,NULL,'CRISTO REI','COCAL SUL','SC',18312,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6057020,5.00,5.00,3.00,7.00,8.00,7.50,2.00,5.00,3.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6543,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6057039,5.00,6.00,0.00,6.00,7.00,NULL,3.00,4.00,1.00,304,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6057071,2.00,5.00,1.00,3.00,3.00,7.50,3.00,0.00,3.00,444,NULL,NULL,'S J RIO VERMELHO','FLORIANÓPOLIS','SC',18852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057098,4.00,4.00,3.00,5.00,8.00,8.63,0.00,3.00,2.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057101,2.00,6.00,1.00,4.00,5.00,8.63,0.00,1.00,4.00,452,NULL,NULL,'CAÇADOR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6057128,4.00,5.00,2.00,5.00,8.00,10.13,2.00,8.00,4.00,450,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',7941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6057136,6.00,7.00,2.00,4.00,10.00,7.88,4.00,4.00,6.00,108,NULL,NULL,'BELENZINHO','S PAULO','SP',3247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057144,5.00,8.00,4.00,5.00,9.00,9.75,2.00,7.00,5.00,336,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057160,1.00,6.00,2.00,2.00,6.00,NULL,1.00,3.00,0.00,302,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6057179,4.00,6.00,2.00,4.00,7.00,11.63,3.00,5.00,4.00,202,NULL,213,'CENTRO','JAGUARUNA','SC',8012,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6057187,4.00,5.00,1.00,3.00,6.00,NULL,0.00,4.00,1.00,426,NULL,424,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6057195,4.00,8.00,2.00,3.00,7.00,11.63,0.00,6.00,5.00,319,NULL,NULL,'PITUBA','SALVADOR','BA',9127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057209,3.00,6.00,0.00,5.00,8.00,8.25,1.00,4.00,4.00,212,NULL,214,'PARAÍSO','S PAULO','SP',13539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6057225,4.00,3.00,2.00,5.00,4.00,NULL,1.00,1.00,0.00,109,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6057241,7.00,6.00,4.00,4.00,9.00,9.75,2.00,8.00,5.00,303,NULL,NULL,'VILA MONUMENTO','S PAULO','SP',2696,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6057250,5.00,8.00,3.00,6.00,8.00,8.63,1.00,7.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4631,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6057276,5.00,6.00,3.00,5.00,9.00,8.63,0.00,5.00,3.00,207,NULL,201,'ARMAÇÃO','FLORIANÓPOLIS','SC',8608,399,NULL,663,NULL,NULL,NULL,2,1),(25,6057284,5.00,6.00,4.00,1.00,7.00,8.25,0.00,4.00,6.00,212,NULL,213,'ESP SANTA TEREZINHA','TAUBATÉ','SP',9149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057292,7.00,7.00,2.00,4.00,8.00,8.63,4.00,6.00,6.00,203,NULL,202,'BOSQUE DA SAUDE','CUIABÁ','MT',3948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057306,6.00,0.00,3.00,7.00,8.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6057314,5.00,6.00,5.00,6.00,7.00,9.75,2.00,2.00,8.00,201,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',5892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057322,3.00,5.00,0.00,3.00,6.00,NULL,1.00,1.00,1.00,207,NULL,201,'VILA DO SALTO','LUIZ ALVES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6057349,6.00,5.00,3.00,3.00,7.00,10.13,4.00,1.00,5.00,103,NULL,NULL,'LAR DO TRABALHADOR','CPO GRANDE','MS',7836,3148,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057373,4.00,3.00,1.00,3.00,4.00,NULL,0.00,0.00,1.00,234,NULL,NULL,'INDAIA','CARAGUATATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6057381,6.00,6.00,5.00,4.00,8.00,7.50,5.00,6.00,6.00,233,NULL,216,'CENTRO','NAVEGANTES','SC',3680,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6057390,4.00,6.00,0.00,4.00,10.00,7.88,2.00,4.00,4.00,340,NULL,NULL,'SERRARIA','S JOSÉ','SC',9323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057403,2.00,4.00,4.00,6.00,8.00,9.00,2.00,4.00,4.00,340,NULL,NULL,'VILA ALBA','CPO GRANDE','MS',9254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,214,'IPIRANGA','TEN PORTELA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6057420,5.00,5.00,2.00,4.00,9.00,7.50,1.00,4.00,1.00,103,NULL,NULL,'TATUAPÉ','S PAULO','SP',11969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JD VILA CARRÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6057446,4.00,5.00,1.00,6.00,8.00,8.25,3.00,2.00,1.00,302,NULL,NULL,'CEARÁ','CRICIÚMA','SC',13216,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6057454,6.00,7.00,3.00,6.00,7.00,6.00,2.00,7.00,6.00,103,NULL,NULL,'CAMBUI','CAMPINAS','SP',4329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057470,5.00,5.00,2.00,4.00,4.00,7.50,1.00,4.00,4.00,999,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057489,9.00,7.00,4.00,4.00,9.00,10.13,5.00,8.00,7.00,103,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',1019,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6057497,4.00,5.00,4.00,5.00,7.00,8.25,2.00,3.00,3.00,310,NULL,NULL,'CENTRO','LIMEIRA','SP',13540,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6057500,5.00,5.00,1.00,4.00,7.00,11.63,2.00,2.00,3.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',9674,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6057519,7.00,6.00,1.00,5.00,5.00,7.50,2.00,7.00,4.00,336,NULL,NULL,'PAULICEIA','S BERNARDO CAMPO','SP',7838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057527,5.00,4.00,1.00,4.00,5.00,9.38,4.00,5.00,4.00,201,NULL,211,'ITAIPAVA','ITAJAÍ','SC',9390,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6057535,4.00,5.00,0.00,0.00,3.00,NULL,1.00,1.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6057543,2.00,3.00,4.00,4.00,3.00,9.00,2.00,4.00,2.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',18435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057551,4.00,3.00,4.00,5.00,6.00,8.63,2.00,3.00,3.00,655,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',11299,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6057560,5.00,4.00,1.00,2.00,7.00,7.50,1.00,3.00,0.00,333,NULL,NULL,'SUDOESTE','CRUZEIRO','DF',19301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057578,3.00,5.00,2.00,2.00,7.00,8.25,2.00,4.00,3.00,220,NULL,201,'SÃO PEDRO','LAGES','SC',12897,360,NULL,1093,NULL,NULL,NULL,4,9),(25,6057586,7.00,5.00,2.00,6.00,10.00,11.63,5.00,5.00,3.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057594,5.00,4.00,2.00,3.00,5.00,5.63,4.00,2.00,1.00,415,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',16346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6057608,5.00,5.00,4.00,5.00,6.00,8.25,1.00,1.00,4.00,104,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',11548,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6057616,7.00,5.00,6.00,6.00,8.00,10.13,3.00,4.00,5.00,214,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',2783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6057632,6.00,3.00,2.00,3.00,6.00,8.63,1.00,1.00,5.00,214,NULL,215,'IPIRANGA','S PAULO','SP',14898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057640,4.00,6.00,1.00,4.00,8.00,NULL,0.00,5.00,5.00,203,NULL,201,'VISTA ALEGRE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6057683,7.00,6.00,6.00,7.00,9.00,8.25,2.00,8.00,4.00,304,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',2254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057691,7.00,6.00,4.00,6.00,7.00,9.38,3.00,2.00,5.00,601,NULL,214,'AMÉRICA','JOINVILLE','SC',6020,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6057705,6.00,3.00,4.00,5.00,5.00,NULL,0.00,6.00,6.00,103,NULL,NULL,'CENTRO','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6057713,3.00,4.00,0.00,1.00,6.00,6.75,1.00,6.00,3.00,202,NULL,235,'JARDIM MARIA CÂNDIDA','CAÇAPAVA','SP',16085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057721,6.00,8.00,4.00,3.00,7.00,9.75,2.00,4.00,3.00,104,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',8190,145,NULL,NULL,NULL,NULL,NULL,2,1),(25,6057730,4.00,5.00,5.00,5.00,6.00,6.38,1.00,2.00,6.00,220,NULL,203,'CENTRO','JESUÍTAS','PR',9822,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6057748,5.00,4.00,4.00,7.00,8.00,9.00,2.00,7.00,5.00,212,NULL,202,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',5148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057764,8.00,7.00,1.00,6.00,10.00,11.63,1.00,7.00,7.00,5,NULL,NULL,'CENTRO','ARARANGUÁ','SC',2216,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6057780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6057799,4.00,3.00,3.00,3.00,7.00,10.13,2.00,5.00,5.00,207,NULL,201,'JARDIM EUROPA','SOROCABA','SP',10089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057802,8.00,8.00,3.00,6.00,9.00,10.13,4.00,7.00,9.00,103,NULL,NULL,'BRAGANTINA','ASSIS CHATEAUBRIAND','PR',859,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6057810,3.00,5.00,0.00,4.00,7.00,8.63,1.00,7.00,3.00,999,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6057845,3.00,4.00,4.00,3.00,7.00,9.75,2.00,4.00,3.00,103,NULL,NULL,'JARDIM PAULISTA','JUNDIAÍ','SP',10584,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6057853,4.00,5.00,2.00,5.00,7.00,6.00,3.00,6.00,3.00,652,NULL,655,'LAGOA DE FORA','BAL GAIVOTA','SC',13568,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6057861,3.00,3.00,1.00,1.00,5.00,8.63,2.00,2.00,0.00,999,NULL,NULL,'CENTRO','GRAVATAÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057870,2.00,3.00,2.00,2.00,2.00,NULL,3.00,1.00,1.00,502,NULL,NULL,'BELA VISTA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6057888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6057896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6057900,1.00,4.00,2.00,3.00,3.00,10.50,2.00,1.00,1.00,337,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',20915,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6057918,5.00,2.00,2.00,6.00,8.00,7.88,2.00,6.00,1.00,319,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',12213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057926,3.00,4.00,2.00,2.00,6.00,7.88,2.00,3.00,3.00,214,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',19072,419,NULL,NULL,NULL,NULL,NULL,2,1),(25,6057934,4.00,7.00,3.00,4.00,6.00,9.00,3.00,2.00,0.00,340,NULL,NULL,'ITAGUACU','FLORIANÓPOLIS','SC',15441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057942,2.00,3.00,2.00,2.00,9.00,9.75,2.00,3.00,1.00,101,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6057950,7.00,7.00,6.00,6.00,10.00,13.50,2.00,9.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057969,2.00,2.00,1.00,1.00,6.00,6.38,0.00,1.00,2.00,428,NULL,421,'KOBRASOL','S JOSÉ','SC',21503,54,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057977,1.00,2.00,0.00,3.00,6.00,6.75,3.00,0.00,2.00,104,NULL,NULL,'GLÓRIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6057985,1.00,5.00,0.00,1.00,5.00,4.50,3.00,1.00,0.00,202,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6057993,1.00,4.00,0.00,2.00,4.00,8.63,1.00,1.00,2.00,2,NULL,NULL,'HORIZONTE','COCAL SUL','SC',20596,56,NULL,NULL,NULL,NULL,NULL,4,5),(25,6058000,4.00,2.00,3.00,5.00,6.00,8.63,2.00,3.00,4.00,5,NULL,NULL,'CENTRO','LAGES','SC',11726,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6058027,1.00,1.00,3.00,0.00,2.00,NULL,1.00,0.00,2.00,655,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6058035,5.00,6.00,0.00,4.00,7.00,9.38,2.00,1.00,1.00,203,NULL,214,'BARREIROS','S JOSÉ','SC',15879,969,NULL,371,NULL,NULL,NULL,2,1),(25,6058043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'MEDIANEIRA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6058051,8.00,6.00,5.00,6.00,10.00,9.75,3.00,6.00,8.00,103,NULL,NULL,'CENTRO','POUSO REDONDO','SC',1306,860,NULL,NULL,NULL,NULL,NULL,4,3),(25,6058060,6.00,6.00,3.00,4.00,9.00,9.75,2.00,3.00,5.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',6041,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6058078,5.00,7.00,5.00,3.00,7.00,8.25,2.00,6.00,4.00,333,NULL,NULL,'VILAS BOAS','CPO GRANDE','MS',6960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058086,2.00,5.00,2.00,5.00,5.00,7.88,1.00,1.00,1.00,415,NULL,NULL,'CENTRO','CRICIÚMA','SC',19606,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6058094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'JARDIM BRASILIA','MOGI MIRIM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6058108,6.00,4.00,4.00,5.00,10.00,7.88,3.00,3.00,5.00,303,NULL,NULL,'ILHA PORCHAT','S VICENTE','SP',5018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058116,8.00,6.00,5.00,4.00,9.00,10.88,4.00,7.00,7.00,103,NULL,NULL,'PLANALTO','CPO GRANDE','MS',1798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'ALPHAVILLE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6058132,8.00,7.00,7.00,4.00,9.00,10.13,4.00,8.00,9.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058159,1.00,7.00,2.00,5.00,8.00,8.25,2.00,4.00,4.00,208,NULL,238,'CENTRO','ANTÔNIO CARLOS','SC',13796,273,NULL,246,NULL,NULL,NULL,4,1),(25,6058167,5.00,4.00,4.00,5.00,8.00,10.50,1.00,1.00,2.00,319,NULL,NULL,'PRAIA DE BELAS','PTO ALEGRE','RS',9561,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6058175,3.00,4.00,5.00,6.00,7.00,7.50,1.00,4.00,4.00,302,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',9141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058183,4.00,3.00,4.00,4.00,7.00,6.75,1.00,2.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058191,4.00,5.00,0.00,4.00,9.00,8.25,0.00,2.00,2.00,415,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',14744,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6058205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6058213,0.00,5.00,1.00,4.00,5.00,9.75,3.00,8.00,4.00,326,NULL,NULL,'PRAÇA','TIJUCAS','SC',13675,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6058221,2.00,3.00,2.00,2.00,5.00,7.13,1.00,2.00,2.00,653,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',21123,235,NULL,NULL,NULL,NULL,NULL,2,15),(25,6058230,6.00,6.00,3.00,6.00,10.00,9.38,2.00,3.00,6.00,211,NULL,213,'ASA SUL','BRASÍLIA','DF',5072,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6058248,2.00,5.00,2.00,3.00,3.00,4.88,3.00,3.00,1.00,224,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',20974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BUTANTÃ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6058299,7.00,8.00,5.00,7.00,10.00,8.63,4.00,8.00,8.00,203,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058302,3.00,3.00,2.00,5.00,6.00,NULL,0.00,2.00,2.00,220,NULL,655,'CIDADE JARDIM','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6058329,8.00,6.00,2.00,7.00,10.00,8.63,4.00,5.00,8.00,103,NULL,NULL,'TATUAPE','S PAULO','SP',2024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058345,7.00,6.00,3.00,4.00,10.00,12.75,1.00,7.00,8.00,103,NULL,NULL,'JARDIM PARIS TRÊS','MARINGÁ','PR',2678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058353,8.00,6.00,8.00,7.00,9.00,8.25,5.00,6.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',466,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6058370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6058388,8.00,8.00,4.00,6.00,10.00,7.88,3.00,6.00,7.00,103,NULL,NULL,'SANTO INÁCIO','CURITIBA','PR',2049,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6058400,9.00,7.00,8.00,8.00,11.00,11.25,5.00,8.00,8.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',27,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058426,3.00,4.00,5.00,4.00,5.00,7.13,3.00,4.00,5.00,213,NULL,235,'ALTO DA COLINA','AVARÉ','SP',12728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058434,8.00,8.00,4.00,8.00,10.00,12.38,4.00,7.00,6.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058442,3.00,6.00,0.00,5.00,4.00,9.00,2.00,4.00,3.00,201,NULL,208,'SANTA MÔNICA','FLORIANÓPOLIS','SC',16509,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6058450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6058469,7.00,6.00,6.00,6.00,9.00,12.38,5.00,8.00,6.00,207,NULL,201,'PASSA VINTE','PALHOÇA','SC',768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058477,7.00,6.00,3.00,6.00,7.00,10.13,3.00,5.00,5.00,203,NULL,233,'SÃO JOÃO','ITAJAÍ','SC',4518,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6058507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA PRUDENTE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6058515,4.00,4.00,2.00,4.00,6.00,7.50,1.00,5.00,2.00,999,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058523,5.00,7.00,2.00,6.00,7.00,9.75,1.00,6.00,3.00,202,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',6737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058531,3.00,4.00,1.00,5.00,5.00,6.75,1.00,3.00,4.00,109,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',17962,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6058540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,428,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6058558,3.00,4.00,1.00,4.00,8.00,7.50,2.00,4.00,2.00,415,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6058566,4.00,8.00,2.00,4.00,7.00,8.63,0.00,6.00,4.00,303,NULL,NULL,'ALTO DA RUA XV','CURITIBA','PR',8883,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6058582,8.00,7.00,6.00,6.00,9.00,8.25,3.00,9.00,8.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058590,7.00,6.00,3.00,7.00,9.00,8.63,2.00,7.00,7.00,303,NULL,NULL,'TERRA NOVA II','S BERNARDO CAMPO','SP',2304,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6058612,3.00,4.00,2.00,4.00,5.00,6.75,1.00,2.00,5.00,601,NULL,NULL,'CENTRO','RIO NEGRO','PR',18434,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6058620,2.00,6.00,0.00,3.00,4.00,NULL,1.00,3.00,0.00,9,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6058639,3.00,5.00,2.00,4.00,7.00,8.25,2.00,2.00,1.00,999,NULL,NULL,'CENTRO','GRAVATAÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6058655,1.00,4.00,2.00,2.00,3.00,6.75,2.00,2.00,2.00,235,NULL,202,'WALDEMAR RAU','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6058663,5.00,6.00,4.00,4.00,6.00,10.13,3.00,6.00,4.00,235,NULL,220,'SERRARIA','S JOSÉ','SC',5124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058671,7.00,6.00,7.00,4.00,8.00,8.25,2.00,6.00,4.00,203,NULL,201,'VILA MILITAR','CUIABÁ','MT',3852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058701,5.00,5.00,2.00,7.00,8.00,7.88,2.00,5.00,5.00,303,NULL,NULL,'GLÓRIA','JOINVILLE','SC',5902,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6058710,5.00,5.00,2.00,4.00,4.00,NULL,0.00,2.00,0.00,652,NULL,653,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6058728,5.00,5.00,1.00,5.00,8.00,7.50,0.00,2.00,5.00,301,NULL,NULL,'INDUSTRIAL','S LUDGERO','SC',15091,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6058744,1.00,2.00,1.00,5.00,2.00,NULL,4.00,3.00,0.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CALDAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6058779,4.00,7.00,1.00,6.00,8.00,8.63,3.00,5.00,3.00,207,NULL,NULL,'JARDIM COLOMBO','ITAPETININGA','SP',9043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058787,4.00,7.00,2.00,5.00,8.00,7.50,2.00,6.00,5.00,601,NULL,203,'PRAIA DA COSTA','VL VELHA','ES',7496,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6058795,7.00,6.00,1.00,6.00,9.00,12.38,0.00,4.00,3.00,420,NULL,NULL,'JARDIM ROSSONI','TOLEDO','PR',6283,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6058817,7.00,4.00,6.00,6.00,7.00,9.75,5.00,8.00,7.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',1727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058833,4.00,5.00,0.00,6.00,7.00,8.63,3.00,5.00,3.00,424,NULL,428,'BOM ABRIGO','FLORIANÓPOLIS','SC',14110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM ITAPEMA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6058868,3.00,3.00,0.00,2.00,7.00,7.50,1.00,4.00,0.00,326,NULL,NULL,'COMASA','JOINVILLE','SC',20511,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6058876,1.00,3.00,2.00,4.00,7.00,9.75,0.00,3.00,1.00,103,NULL,NULL,'TABULEIRO','ITAPEMA','SC',16732,4410,NULL,NULL,NULL,NULL,NULL,4,3),(25,6058884,8.00,7.00,3.00,6.00,10.00,12.75,4.00,8.00,8.00,103,NULL,NULL,'AZENHA','PTO ALEGRE','RS',364,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6058892,5.00,5.00,2.00,4.00,7.00,8.25,2.00,4.00,4.00,303,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',10239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058914,1.00,4.00,1.00,2.00,3.00,NULL,4.00,1.00,0.00,308,NULL,NULL,'CENTRO','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6058922,0.00,5.00,0.00,0.00,0.00,NULL,1.00,0.00,1.00,339,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6058930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6058949,6.00,5.00,0.00,6.00,7.00,8.25,1.00,3.00,2.00,104,NULL,NULL,'BUENO','GOIÂNIA','GO',14516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6058957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'MOSTEIRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6058965,5.00,5.00,4.00,6.00,7.00,7.50,5.00,4.00,8.00,238,NULL,235,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058981,6.00,5.00,1.00,6.00,6.00,8.25,2.00,4.00,8.00,216,NULL,202,'JARDIM ACLIMAÇÃO','S JOSÉ R PRETO','SP',9132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6058990,3.00,2.00,4.00,2.00,5.00,10.13,2.00,2.00,3.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6059015,7.00,5.00,6.00,5.00,6.00,7.88,2.00,4.00,8.00,301,NULL,NULL,'PARQUE CAMPOLIM','SOROCABA','SP',5198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059023,6.00,3.00,2.00,5.00,7.00,9.00,2.00,4.00,4.00,501,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',10224,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6059031,2.00,7.00,4.00,6.00,8.00,7.88,1.00,5.00,3.00,415,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',9560,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6059040,7.00,5.00,4.00,7.00,7.00,6.00,2.00,3.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059058,7.00,6.00,1.00,2.00,8.00,8.25,2.00,6.00,7.00,214,NULL,601,'VILA MARIANA','S PAULO','SP',6312,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6059066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'GRANJA VIANA','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6059074,3.00,4.00,2.00,4.00,6.00,7.88,2.00,4.00,3.00,601,NULL,220,'CENTRO','BAL PIÇARRAS','SC',15778,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6059082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,202,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6059104,2.00,5.00,1.00,2.00,7.00,9.75,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6059112,8.00,6.00,6.00,5.00,10.00,10.13,3.00,8.00,7.00,340,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059120,6.00,4.00,1.00,5.00,6.00,5.63,1.00,3.00,3.00,331,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059139,3.00,1.00,1.00,3.00,5.00,7.50,2.00,2.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6059147,5.00,6.00,1.00,6.00,8.00,7.13,2.00,4.00,4.00,5,NULL,NULL,'MOINHO VELHO','S PAULO','SP',7058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059171,7.00,7.00,5.00,7.00,8.00,11.63,5.00,5.00,8.00,216,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059180,2.00,5.00,0.00,0.00,2.00,NULL,1.00,1.00,0.00,208,NULL,NULL,'SERRARIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6059198,2.00,3.00,1.00,4.00,4.00,NULL,2.00,0.00,0.00,104,NULL,NULL,'CENTRO','FARROUPILHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6059201,5.00,6.00,4.00,5.00,5.00,7.13,1.00,4.00,5.00,203,NULL,202,'CARIANOS','FLORIANÓPOLIS','SC',8370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059210,3.00,4.00,0.00,6.00,5.00,9.00,4.00,4.00,1.00,201,NULL,NULL,'CENTRO','CASCAVEL','PR',15345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059228,6.00,5.00,1.00,4.00,6.00,0.00,2.00,5.00,3.00,999,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6059236,2.00,3.00,3.00,2.00,6.00,7.13,2.00,3.00,2.00,304,NULL,NULL,'PONTE DE IMARUIM','PALHOÇA','SC',19665,141,NULL,NULL,NULL,NULL,NULL,2,1),(25,6059244,5.00,4.00,4.00,5.00,8.00,9.75,1.00,7.00,6.00,201,NULL,NULL,'BUENO','GOIÂNIA','GO',6534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059252,2.00,4.00,1.00,5.00,6.00,5.25,2.00,1.00,1.00,444,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',19767,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6059260,4.00,3.00,0.00,3.00,3.00,4.50,1.00,5.00,2.00,103,NULL,NULL,'COSTEIRA','S JOSÉ PINHAIS','PR',19974,4686,NULL,NULL,NULL,NULL,NULL,2,8),(25,6059279,4.00,5.00,2.00,2.00,6.00,9.75,1.00,2.00,0.00,303,NULL,NULL,'CAXAMBU','ARAÇARIGUAMA','SP',15424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059287,3.00,4.00,3.00,3.00,5.00,7.13,1.00,4.00,3.00,207,NULL,653,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',15786,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6059295,5.00,3.00,1.00,6.00,7.00,9.00,2.00,6.00,2.00,453,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059309,4.00,4.00,1.00,0.00,5.00,NULL,0.00,4.00,1.00,415,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059317,3.00,4.00,1.00,7.00,6.00,10.13,2.00,1.00,2.00,340,NULL,NULL,'CENTRO','CRICIÚMA','SC',16502,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6059325,2.00,3.00,1.00,5.00,7.00,9.38,2.00,2.00,2.00,207,NULL,NULL,'SÃO PEDRO','BRUSQUE','SC',17660,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6059341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','BELA V TOLDO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6059350,7.00,5.00,5.00,6.00,7.00,12.75,0.00,6.00,5.00,415,NULL,NULL,'JARDIM PROGRESSO','PARANAVAÍ','PR',5065,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6059368,2.00,4.00,0.00,1.00,6.00,5.25,1.00,4.00,0.00,108,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',19966,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6059376,8.00,6.00,1.00,7.00,6.00,8.25,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','CATANDUVA','SP',7710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059384,4.00,4.00,1.00,5.00,7.00,10.50,2.00,1.00,4.00,420,NULL,NULL,'BOA VISTA','CURITIBA','PR',11232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059392,7.00,6.00,4.00,7.00,9.00,8.25,4.00,7.00,6.00,203,NULL,653,'PONTA AGUDA','BLUMENAU','SC',2688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059406,2.00,4.00,2.00,3.00,8.00,8.63,3.00,1.00,3.00,207,NULL,NULL,'VILA VITÓRIA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6059414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'VILA FRANCA','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6059422,4.00,6.00,2.00,3.00,6.00,9.38,2.00,5.00,3.00,444,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',12988,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6059430,8.00,8.00,5.00,6.00,10.00,8.25,0.00,8.00,8.00,415,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',1702,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6059449,6.00,7.00,7.00,6.00,7.00,8.25,6.00,7.00,9.00,203,NULL,233,'CENTRO','CASCAVEL','PR',1062,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6059457,7.00,6.00,2.00,6.00,9.00,6.00,3.00,4.00,4.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7760,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6059465,4.00,7.00,5.00,3.00,8.00,6.38,2.00,7.00,2.00,333,NULL,NULL,'CANTO DOS ARAÇAS','FLORIANÓPOLIS','SC',10248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059473,4.00,3.00,4.00,5.00,7.00,9.38,2.00,4.00,3.00,207,NULL,212,'CACHOEIRA','FLORIANÓPOLIS','SC',10235,513,NULL,296,NULL,NULL,NULL,2,1),(25,6059503,8.00,8.00,5.00,5.00,9.00,10.88,5.00,8.00,8.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059511,3.00,4.00,1.00,3.00,8.00,7.88,2.00,3.00,3.00,109,NULL,NULL,'CIDADE JARDIM','RIO CLARO','SP',14314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6059520,5.00,6.00,3.00,7.00,10.00,10.88,3.00,5.00,5.00,207,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059538,3.00,7.00,1.00,6.00,7.00,8.63,3.00,1.00,2.00,303,NULL,NULL,'SANTA ISABEL','CAMPINAS','SP',14300,660,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059546,6.00,7.00,2.00,4.00,9.00,7.50,2.00,7.00,5.00,103,NULL,NULL,'STROPARO','IRATI','PR',5081,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6059554,3.00,5.00,2.00,5.00,10.00,9.75,0.00,3.00,3.00,207,NULL,NULL,'SÃO LUIZ','FARROUPILHA','RS',9775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059562,8.00,7.00,7.00,7.00,10.00,9.75,4.00,8.00,8.00,103,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059570,4.00,3.00,1.00,4.00,6.00,9.38,2.00,1.00,3.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',13730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6059589,7.00,6.00,3.00,6.00,8.00,12.00,3.00,7.00,0.00,110,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059597,8.00,7.00,4.00,7.00,9.00,9.38,4.00,7.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059600,3.00,8.00,1.00,7.00,9.00,12.75,1.00,5.00,4.00,453,NULL,NULL,'MADUREIRA','CAXIAS SUL','RS',5228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059619,4.00,6.00,1.00,3.00,7.00,NULL,1.00,2.00,0.00,450,NULL,NULL,'VISTA ALE','VINHEDO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059627,3.00,4.00,0.00,0.00,2.00,NULL,0.00,0.00,2.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059635,7.00,7.00,7.00,7.00,10.00,8.63,3.00,9.00,9.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059651,4.00,6.00,1.00,4.00,7.00,10.88,3.00,3.00,2.00,203,NULL,202,'CANTO','FLORIANÓPOLIS','SC',11228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6059686,5.00,3.00,0.00,3.00,5.00,9.00,0.00,4.00,1.00,319,NULL,NULL,'ÁGUA VERDE','JARAGUÁ SUL','SC',16428,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6059694,1.00,4.00,2.00,5.00,5.00,6.38,2.00,3.00,3.00,101,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',16501,89,NULL,NULL,NULL,NULL,NULL,2,1),(25,6059716,6.00,8.00,3.00,6.00,7.00,9.00,3.00,8.00,5.00,103,NULL,NULL,'BATEL','CURITIBA','PR',3762,2002,NULL,NULL,NULL,NULL,NULL,2,1),(25,6059724,3.00,4.00,5.00,5.00,7.00,NULL,0.00,1.00,3.00,104,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6059732,5.00,6.00,4.00,7.00,10.00,10.50,2.00,6.00,6.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',3334,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6059740,2.00,4.00,3.00,5.00,6.00,8.63,1.00,4.00,5.00,104,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',13423,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6059759,3.00,7.00,2.00,6.00,8.00,9.00,2.00,4.00,3.00,201,NULL,212,'AMIZADE','JARAGUÁ SUL','SC',8558,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6059767,3.00,3.00,2.00,2.00,5.00,NULL,3.00,1.00,0.00,104,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DE VILLA','URUSSANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6059783,7.00,7.00,7.00,6.00,10.00,7.50,2.00,9.00,8.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',1082,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6059791,3.00,7.00,1.00,4.00,10.00,9.00,0.00,2.00,2.00,340,NULL,NULL,'CENTRO','PENHA','SC',11629,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6059805,7.00,6.00,6.00,6.00,8.00,10.50,6.00,5.00,9.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059830,2.00,4.00,1.00,6.00,6.00,10.13,2.00,1.00,2.00,333,NULL,NULL,'NOVA JABOTICABAL','JABOTICABAL','SP',18355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059848,4.00,4.00,0.00,0.00,6.00,NULL,0.00,0.00,1.00,102,NULL,NULL,'SÃO MIGUEL','URUGUAIANA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6059856,4.00,4.00,1.00,2.00,4.00,8.25,3.00,3.00,2.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059864,8.00,7.00,4.00,7.00,8.00,10.50,4.00,8.00,6.00,303,NULL,NULL,'JUVEVÊ','CURITIBA','PR',1374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059872,8.00,9.00,6.00,6.00,10.00,9.75,2.00,8.00,9.00,103,NULL,NULL,'VILA GUAÍRA','CURITIBA','PR',544,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6059880,8.00,9.00,5.00,6.00,10.00,7.50,4.00,5.00,8.00,203,NULL,601,'NAÇÕES','BAL CAMBORIÚ','SC',1135,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6059899,4.00,4.00,0.00,2.00,4.00,NULL,2.00,0.00,1.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059929,3.00,4.00,0.00,7.00,5.00,9.00,2.00,2.00,3.00,999,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059937,5.00,4.00,3.00,4.00,8.00,9.00,2.00,4.00,3.00,207,NULL,201,'VILA TONANI','DOURADOS','MS',9726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059945,5.00,6.00,2.00,6.00,6.00,11.25,2.00,6.00,7.00,340,NULL,NULL,'CENTRO','PASSO FUNDO','RS',6194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059953,6.00,6.00,3.00,3.00,3.00,7.88,1.00,3.00,5.00,211,NULL,601,'JARDIM JUSSARA','S PAULO','SP',11472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6059961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6059970,2.00,2.00,1.00,2.00,5.00,7.50,1.00,2.00,1.00,601,NULL,653,'SANTA BARBARA','CRICIÚMA','SC',21396,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6059988,4.00,7.00,4.00,4.00,8.00,9.00,2.00,9.00,7.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',5089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060005,7.00,4.00,5.00,6.00,8.00,7.13,5.00,6.00,7.00,202,NULL,235,'CENTRO','CHAPECÓ','SC',2690,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6060013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6060021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6060030,6.00,6.00,3.00,5.00,6.00,6.38,2.00,6.00,5.00,103,NULL,NULL,'ZONA UM','MARINGÁ','PR',9569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060048,7.00,5.00,1.00,5.00,9.00,7.88,2.00,6.00,5.00,104,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',6536,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6060056,5.00,5.00,4.00,4.00,7.00,9.00,0.00,4.00,3.00,103,NULL,NULL,'CIDADE DAS FLORES','OSASCO','SP',12354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060064,2.00,2.00,1.00,3.00,4.00,8.25,0.00,1.00,2.00,224,NULL,NULL,'MAR GROSSO','LAGUNA','SC',20121,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6060072,6.00,4.00,5.00,3.00,7.00,6.38,1.00,1.00,3.00,103,NULL,NULL,'SAO CRISTOVAO','LAGES','SC',15620,4287,NULL,NULL,NULL,NULL,NULL,2,9),(25,6060080,3.00,5.00,0.00,5.00,7.00,9.00,2.00,6.00,0.00,428,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',16662,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6060099,5.00,4.00,1.00,6.00,6.00,11.25,2.00,5.00,5.00,420,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060102,4.00,4.00,0.00,4.00,3.00,9.00,1.00,1.00,2.00,319,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6060110,8.00,7.00,5.00,6.00,10.00,12.75,2.00,6.00,4.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060129,6.00,5.00,3.00,3.00,8.00,10.13,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','SUL BRASIL','SC',6584,2852,NULL,NULL,NULL,NULL,NULL,2,1),(25,6060137,9.00,7.00,5.00,4.00,9.00,7.88,4.00,6.00,9.00,103,NULL,NULL,'VILA PALMIRA','CPO GRANDE','MS',1577,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6060145,4.00,5.00,2.00,2.00,8.00,9.00,2.00,5.00,1.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',13789,255,NULL,NULL,NULL,NULL,NULL,2,1),(25,6060153,6.00,5.00,2.00,4.00,7.00,9.00,1.00,0.00,4.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',10220,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6060161,8.00,4.00,1.00,6.00,7.00,10.13,2.00,7.00,5.00,104,NULL,NULL,'CENTRO','SEVERIANO ALMEIDA','RS',5878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6060170,1.00,3.00,2.00,2.00,4.00,6.38,1.00,2.00,1.00,335,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6060188,9.00,8.00,8.00,7.00,10.00,11.63,8.00,6.00,9.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',29,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060200,3.00,3.00,1.00,1.00,4.00,7.88,1.00,1.00,1.00,404,NULL,NULL,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060218,2.00,4.00,3.00,5.00,5.00,NULL,1.00,4.00,3.00,999,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6060226,4.00,3.00,3.00,4.00,6.00,7.13,1.00,2.00,2.00,103,NULL,NULL,'BENASSI','MATÃO','SP',18515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060234,8.00,5.00,7.00,7.00,7.00,8.63,3.00,9.00,9.00,103,NULL,NULL,'NOVA RUSSIA','PNT GROSSA','PR',733,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6060242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6060250,3.00,2.00,1.00,1.00,4.00,8.25,0.00,3.00,0.00,102,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',19509,245,NULL,NULL,NULL,NULL,NULL,4,8),(25,6060269,6.00,4.00,7.00,6.00,7.00,9.00,5.00,5.00,8.00,201,NULL,202,'VILA LENZI','JARAGUÁ SUL','SC',2424,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6060277,5.00,7.00,2.00,7.00,9.00,8.25,0.00,3.00,2.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',11549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060285,8.00,9.00,4.00,8.00,9.00,8.63,2.00,8.00,7.00,103,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',1516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060307,8.00,7.00,4.00,6.00,8.00,9.75,2.00,6.00,2.00,303,NULL,NULL,'OFICINAS','TUBARÃO','SC',6028,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6060315,4.00,3.00,2.00,4.00,7.00,9.75,2.00,1.00,4.00,452,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11383,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6060323,4.00,5.00,2.00,4.00,7.00,6.75,1.00,1.00,3.00,238,NULL,207,'CAMPECHE','FLORIANÓPOLIS','SC',18089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6060331,4.00,3.00,0.00,2.00,5.00,8.25,1.00,2.00,0.00,319,NULL,NULL,'AREIAS','S JOSÉ','SC',20361,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6060340,4.00,4.00,3.00,4.00,8.00,9.38,0.00,5.00,5.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',9045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060366,2.00,2.00,3.00,2.00,5.00,7.50,3.00,4.00,0.00,103,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6060374,6.00,6.00,6.00,4.00,9.00,12.00,2.00,6.00,5.00,5,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',2473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060382,4.00,7.00,0.00,4.00,8.00,8.63,1.00,5.00,4.00,104,NULL,NULL,'CENTRO','CHAPECÓ','SC',10255,217,NULL,NULL,NULL,NULL,NULL,2,4),(25,6060390,3.00,6.00,5.00,6.00,5.00,6.75,1.00,1.00,3.00,103,NULL,NULL,'LESTE UNIVERSITARIO','GOIÂNIA','GO',11692,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6060404,3.00,6.00,5.00,6.00,9.00,9.38,0.00,6.00,7.00,201,NULL,203,'CENTRO','CANOINHAS','SC',4106,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6060412,8.00,6.00,5.00,4.00,8.00,10.88,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','AQUIDAUANA','MS',4025,2091,NULL,NULL,NULL,NULL,NULL,2,3),(25,6060420,6.00,4.00,6.00,3.00,6.00,9.38,4.00,5.00,6.00,103,NULL,NULL,'SAO BRAZ','CURITIBA','PR',4006,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6060447,9.00,6.00,3.00,6.00,10.00,9.00,3.00,6.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',1142,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6060455,3.00,8.00,8.00,2.00,6.00,7.88,4.00,4.00,3.00,103,NULL,NULL,'VILA RAU','JARAGUÁ SUL','SC',6174,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6060463,3.00,5.00,0.00,4.00,6.00,9.75,2.00,3.00,2.00,104,NULL,NULL,'MARTINS','MINEIROS','GO',12720,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6060471,3.00,3.00,1.00,4.00,5.00,8.63,0.00,3.00,0.00,319,NULL,NULL,'PONTA VERDE','MACEIÓ','AL',17714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060480,9.00,8.00,6.00,7.00,11.00,11.25,2.00,7.00,8.00,103,NULL,NULL,'VILA FORMOSA','S PAULO','SP',406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060498,6.00,7.00,4.00,6.00,8.00,8.25,2.00,5.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5982,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6060501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','DUARTINA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6060510,8.00,6.00,5.00,5.00,10.00,11.25,3.00,8.00,9.00,103,NULL,NULL,'ZONA NORTE','PANAMBI','RS',689,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6060528,1.00,2.00,2.00,1.00,5.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060536,1.00,3.00,0.00,1.00,7.00,NULL,2.00,1.00,1.00,551,NULL,NULL,'NS APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6060552,2.00,5.00,2.00,2.00,4.00,5.63,3.00,0.00,1.00,104,NULL,NULL,'SANTO ANTÔNIO','IRANI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6060560,6.00,6.00,2.00,6.00,8.00,6.75,5.00,5.00,4.00,102,NULL,NULL,'ATIRADORES','JOINVILLE','SC',6277,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6060587,5.00,5.00,3.00,2.00,3.00,7.50,2.00,4.00,3.00,216,NULL,220,'JARDIM ELDORADO','FOZ IGUAÇU','PR',16951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6060617,4.00,5.00,1.00,5.00,6.00,6.75,3.00,5.00,5.00,208,NULL,216,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060625,3.00,2.00,1.00,4.00,5.00,9.00,1.00,2.00,2.00,201,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',16577,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6060633,6.00,4.00,3.00,2.00,6.00,9.75,1.00,1.00,5.00,201,NULL,207,'JARDIM NOVA ERA','CAIEIRAS','SP',9485,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6060641,5.00,6.00,1.00,5.00,8.00,7.13,3.00,4.00,3.00,103,NULL,NULL,'CAMBUI','CAMPINAS','SP',9571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060650,7.00,6.00,3.00,6.00,8.00,9.75,3.00,7.00,7.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',2083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060668,2.00,3.00,1.00,3.00,8.00,10.88,4.00,0.00,2.00,502,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060676,4.00,3.00,0.00,2.00,4.00,9.38,1.00,0.00,2.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',19924,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6060684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'URCA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6060692,4.00,3.00,3.00,3.00,7.00,7.50,1.00,1.00,0.00,420,NULL,NULL,'BRASILIA','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6060706,3.00,5.00,4.00,5.00,7.00,7.88,2.00,4.00,6.00,205,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',8933,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6060714,8.00,6.00,4.00,6.00,7.00,7.50,3.00,6.00,7.00,216,NULL,215,'CIDADE NOVA','MARINGÁ','PR',3147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060730,4.00,7.00,3.00,5.00,9.00,9.75,1.00,5.00,5.00,108,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',6648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060749,6.00,7.00,2.00,2.00,9.00,7.88,1.00,4.00,6.00,214,NULL,213,'JARDIM SÃO LUIZ','RIBEIRÃO PRETO','SP',6601,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6060757,6.00,5.00,1.00,4.00,6.00,8.25,1.00,4.00,5.00,103,NULL,NULL,'JARDIM AMÉRICA','CHAPECÓ','SC',10930,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6060773,2.00,1.00,1.00,5.00,4.00,10.13,2.00,3.00,2.00,109,NULL,NULL,'RIO BONITO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6060781,3.00,3.00,2.00,3.00,7.00,7.50,2.00,3.00,0.00,428,NULL,425,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE JARDIM','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6060811,7.00,4.00,5.00,5.00,9.00,9.75,2.00,5.00,7.00,103,NULL,NULL,'PITUAÇÚ','SALVADOR','BA',4334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060820,5.00,7.00,2.00,6.00,9.00,9.75,3.00,6.00,3.00,999,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6060838,5.00,4.00,2.00,6.00,7.00,7.50,2.00,5.00,5.00,201,NULL,601,'VILA MOEMA','TUBARÃO','SC',9808,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6060846,4.00,4.00,1.00,5.00,7.00,9.75,2.00,6.00,3.00,5,NULL,NULL,'UVARANAS','PNT GROSSA','PR',14096,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6060854,7.00,7.00,0.00,4.00,9.00,NULL,3.00,6.00,5.00,103,NULL,NULL,'HAUER','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6060862,5.00,4.00,4.00,4.00,8.00,6.38,2.00,4.00,2.00,203,NULL,201,'GLORIA','JOINVILLE','SC',9482,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6060870,1.00,4.00,1.00,4.00,4.00,NULL,0.00,1.00,2.00,452,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6060889,3.00,4.00,0.00,4.00,3.00,NULL,4.00,4.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060897,4.00,5.00,2.00,5.00,7.00,9.75,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','ARATIBA','RS',7140,2995,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060900,3.00,5.00,4.00,3.00,5.00,7.13,1.00,4.00,4.00,999,NULL,NULL,'COLONIAL','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6060919,4.00,3.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VILA SUISSA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060935,8.00,7.00,5.00,7.00,9.00,10.13,4.00,7.00,7.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',896,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6060943,4.00,5.00,1.00,4.00,5.00,7.88,2.00,2.00,0.00,319,NULL,NULL,'PETRÓPOLIS','JOINVILLE','SC',19666,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6060960,0.00,4.00,1.00,4.00,5.00,7.50,2.00,0.00,1.00,503,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6060978,7.00,6.00,5.00,7.00,9.00,6.00,4.00,6.00,5.00,220,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',2809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6060986,6.00,5.00,6.00,5.00,7.00,5.25,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',6809,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6060994,7.00,6.00,5.00,8.00,10.00,9.38,3.00,7.00,6.00,103,NULL,NULL,'CAMBUI','CAMPINAS','SP',1137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061001,7.00,7.00,6.00,5.00,9.00,7.88,2.00,4.00,6.00,216,NULL,601,'CENTRO','CEL VIVIDA','PR',4181,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6061010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'INTERIOR','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6061028,6.00,6.00,6.00,8.00,7.00,7.50,3.00,6.00,5.00,207,NULL,201,'AMERICA','JOINVILLE','SC',4614,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6061036,3.00,6.00,1.00,3.00,7.00,6.75,2.00,5.00,3.00,423,NULL,428,'ITACORUBI','FLORIANÓPOLIS','SC',16755,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6061044,9.00,7.00,5.00,6.00,9.00,11.25,1.00,8.00,7.00,103,NULL,NULL,'JARDIM ITAPEMA','VIAMÃO','RS',1481,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6061052,6.00,7.00,2.00,3.00,7.00,9.75,3.00,6.00,4.00,2,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',8428,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6061060,5.00,4.00,6.00,6.00,7.00,11.25,2.00,4.00,7.00,211,NULL,216,'PARALELA','SALVADOR','BA',5877,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6061079,4.00,2.00,2.00,2.00,5.00,7.88,4.00,4.00,1.00,207,NULL,201,'CENTRO','TORRES','RS',16475,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6061087,6.00,5.00,2.00,6.00,7.00,7.88,2.00,1.00,4.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061095,8.00,6.00,2.00,4.00,10.00,10.88,2.00,5.00,8.00,103,NULL,NULL,'JD NOVA LONDRES','LONDRINA','PR',3062,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6061109,4.00,2.00,1.00,2.00,8.00,8.63,0.00,2.00,1.00,212,NULL,233,'FORQUILHAS','S JOSÉ','SC',18163,529,NULL,448,NULL,NULL,NULL,2,1),(25,6061117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6061133,4.00,4.00,1.00,5.00,9.00,9.38,3.00,4.00,3.00,316,NULL,NULL,'MERCÊS','CURITIBA','PR',13135,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6061150,7.00,6.00,2.00,7.00,8.00,4.88,3.00,3.00,6.00,203,NULL,233,'JARDIM INDUSTRIAS','S JOSÉ CAMPOS','SP',7289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,233,'ESPLANADA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6061184,6.00,6.00,3.00,5.00,6.00,NULL,0.00,2.00,6.00,216,NULL,233,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6061192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTOS DO ESPLANADA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6061206,3.00,5.00,3.00,2.00,6.00,NULL,0.00,7.00,1.00,317,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6061222,3.00,4.00,3.00,5.00,7.00,9.00,1.00,5.00,3.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14409,270,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061230,6.00,6.00,4.00,6.00,7.00,9.38,4.00,5.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4429,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061257,5.00,5.00,3.00,7.00,8.00,7.88,3.00,3.00,3.00,303,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',10884,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6061265,7.00,7.00,1.00,5.00,7.00,12.38,2.00,5.00,3.00,103,NULL,NULL,'SANTA HELENA','LAGES','SC',7161,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6061273,3.00,5.00,1.00,1.00,6.00,8.25,1.00,2.00,0.00,5,NULL,NULL,'PETRÓPOLIS','JOINVILLE','SC',17001,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6061281,2.00,2.00,2.00,3.00,4.00,NULL,0.00,0.00,2.00,420,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6061303,6.00,5.00,5.00,7.00,7.00,7.88,4.00,7.00,6.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',3449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061311,4.00,2.00,3.00,1.00,8.00,6.38,2.00,2.00,0.00,238,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',20686,507,NULL,479,NULL,NULL,NULL,4,1),(25,6061320,3.00,1.00,4.00,4.00,7.00,9.38,3.00,3.00,3.00,103,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',12978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','RIO PEDRAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6061346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6061354,8.00,4.00,4.00,7.00,10.00,9.75,0.00,5.00,7.00,108,NULL,NULL,'MOOCA','S PAULO','SP',2898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061362,5.00,5.00,2.00,3.00,9.00,11.63,1.00,5.00,4.00,420,NULL,NULL,'VELHA','BLUMENAU','SC',7625,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6061370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,653,'CAIXA DAGUA','TIETÊ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6061389,4.00,3.00,1.00,4.00,4.00,7.50,1.00,2.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18203,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6061397,5.00,8.00,3.00,4.00,7.00,8.63,2.00,6.00,5.00,601,NULL,212,'CAMPINAS','S JOSÉ','SC',7169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061400,2.00,2.00,0.00,0.00,3.00,3.38,0.00,1.00,4.00,202,NULL,NULL,'JARDIN SÃO ROQUE','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061435,3.00,3.00,1.00,3.00,4.00,6.38,1.00,2.00,1.00,655,NULL,653,'FIGUEIRA','JACINTO MACHADO','SC',20251,137,NULL,219,NULL,NULL,NULL,2,15),(25,6061443,6.00,4.00,5.00,4.00,7.00,6.75,2.00,5.00,3.00,104,NULL,NULL,'PINEVILLE','PINHAIS','PR',8592,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6061478,6.00,6.00,4.00,6.00,10.00,8.63,5.00,4.00,5.00,303,NULL,NULL,'JD AQUARIUS','S JOSÉ CAMPOS','SP',2767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061494,1.00,4.00,1.00,2.00,5.00,10.50,3.00,3.00,3.00,340,NULL,NULL,'PIONEIRO','PINHALZINHO','SC',17302,381,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061508,5.00,4.00,0.00,4.00,8.00,NULL,3.00,3.00,3.00,502,NULL,NULL,'COMECIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6061516,5.00,6.00,6.00,6.00,9.00,8.63,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',4380,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6061524,6.00,7.00,4.00,6.00,6.00,9.00,6.00,5.00,8.00,201,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061532,3.00,3.00,1.00,4.00,5.00,5.25,3.00,2.00,2.00,501,NULL,NULL,'CENTRO','S JOAQUIM','SC',20977,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6061540,9.00,6.00,5.00,6.00,9.00,9.00,5.00,7.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',632,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6061559,2.00,5.00,2.00,3.00,4.00,8.25,1.00,2.00,2.00,5,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',18263,626,NULL,NULL,NULL,NULL,NULL,2,1),(25,6061583,4.00,5.00,3.00,2.00,2.00,NULL,0.00,3.00,3.00,653,NULL,655,'LAGOAO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6061591,6.00,7.00,3.00,3.00,7.00,10.88,1.00,1.00,2.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',9784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061605,5.00,6.00,1.00,3.00,5.00,7.50,1.00,2.00,3.00,211,NULL,213,'AREIAS','S JOSÉ','SC',16893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061613,8.00,4.00,7.00,5.00,9.00,11.25,5.00,4.00,9.00,103,NULL,NULL,'AFONSO PENA','S JOSÉ PINHAIS','PR',923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061621,4.00,5.00,3.00,5.00,4.00,7.50,4.00,1.00,1.00,103,NULL,NULL,'CENTRO','SAUDADES','SC',15125,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6061630,6.00,7.00,6.00,7.00,8.00,9.75,3.00,7.00,6.00,203,NULL,214,'AGRONOMICA','FLORIANÓPOLIS','SC',1990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061664,2.00,4.00,1.00,3.00,5.00,NULL,1.00,0.00,0.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061672,6.00,7.00,8.00,5.00,8.00,7.50,3.00,6.00,8.00,202,NULL,213,'BOSQUE DA SAÚDE','CUIABÁ','MT',2207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061680,8.00,7.00,9.00,6.00,9.00,12.00,5.00,8.00,9.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',70,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6061710,4.00,4.00,1.00,2.00,5.00,4.50,0.00,4.00,3.00,110,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6061729,9.00,7.00,6.00,6.00,10.00,10.13,3.00,9.00,9.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',175,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6061737,6.00,7.00,1.00,5.00,6.00,9.00,4.00,6.00,5.00,999,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6061745,0.00,4.00,1.00,4.00,4.00,7.88,0.00,2.00,1.00,225,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6061753,8.00,7.00,5.00,5.00,7.00,8.63,1.00,7.00,4.00,203,NULL,233,'JD COLINAS','S JOSÉ CAMPOS','SP',3812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061770,1.00,3.00,2.00,2.00,6.00,6.75,0.00,3.00,2.00,303,NULL,NULL,'ROÇADO','S JOSÉ','SC',21135,868,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061788,5.00,5.00,4.00,5.00,8.00,8.25,1.00,1.00,3.00,201,NULL,203,'CENTRO','S JOSÉ R PRETO','SP',11181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061800,9.00,6.00,3.00,7.00,7.00,9.00,3.00,7.00,9.00,103,NULL,NULL,'GLUCOSTARCK','CRUZEIRO SUL','RS',1799,1128,NULL,NULL,NULL,NULL,NULL,2,1),(25,6061818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6061834,9.00,5.00,0.00,7.00,9.00,7.88,0.00,7.00,9.00,103,NULL,NULL,'LAGO SUL','LG SUL','DF',3422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061850,3.00,4.00,3.00,1.00,3.00,4.88,2.00,2.00,1.00,444,NULL,NULL,'AREAIS','S JOSÉ','SC',21402,172,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061869,3.00,3.00,0.00,4.00,3.00,6.38,2.00,4.00,1.00,203,NULL,214,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6061885,5.00,6.00,6.00,6.00,7.00,9.75,2.00,6.00,6.00,214,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',5020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061893,6.00,4.00,4.00,5.00,9.00,9.75,2.00,7.00,3.00,653,NULL,215,'CARIANOS','FLORIANÓPOLIS','SC',6078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061907,6.00,8.00,4.00,6.00,8.00,9.38,4.00,7.00,6.00,211,NULL,201,'GRAGERU','ARACAJU','SE',3451,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6061915,6.00,5.00,0.00,6.00,5.00,10.13,4.00,5.00,3.00,453,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',10720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'BOTAFOGO','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6061931,1.00,2.00,0.00,0.00,2.00,NULL,0.00,4.00,0.00,326,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6061940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,NULL,'CENTRO','ARAXÁ','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6061958,7.00,5.00,2.00,5.00,5.00,9.00,2.00,4.00,1.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14013,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6061966,4.00,5.00,2.00,4.00,6.00,8.25,1.00,5.00,5.00,233,NULL,214,'CARIANOS','FLORIANÓPOLIS','SC',13375,358,NULL,320,NULL,NULL,NULL,2,1),(25,6061974,7.00,8.00,1.00,6.00,7.00,7.50,3.00,7.00,5.00,203,NULL,202,'CAPIVARI DE BAIXO','CAPIVARI BAIXO','SC',3808,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6061982,4.00,4.00,1.00,6.00,4.00,8.63,3.00,3.00,4.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',14318,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6061990,5.00,6.00,7.00,5.00,9.00,6.75,2.00,4.00,7.00,216,NULL,203,'CAMPINAS','S JOSÉ','SC',3549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062016,6.00,6.00,1.00,7.00,8.00,10.50,3.00,4.00,5.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062024,6.00,6.00,4.00,4.00,8.00,7.50,5.00,6.00,8.00,103,NULL,NULL,'MACEDO','GUARULHOS','SP',2237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6062040,3.00,5.00,2.00,5.00,5.00,9.75,1.00,2.00,2.00,207,NULL,212,'BARREIROS','S JOSÉ','SC',17839,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6062075,1.00,3.00,2.00,0.00,6.00,NULL,3.00,0.00,0.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062083,4.00,5.00,0.00,2.00,3.00,5.63,2.00,1.00,1.00,444,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',21348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062091,3.00,3.00,0.00,2.00,5.00,4.88,0.00,1.00,1.00,451,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6062105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,652,'ZONA NOVA SUL','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6062113,8.00,7.00,5.00,5.00,7.00,9.38,1.00,8.00,6.00,216,NULL,NULL,'CENTRO','JOINVILLE','SC',2757,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6062121,4.00,0.00,2.00,2.00,3.00,NULL,2.00,2.00,0.00,551,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6062130,4.00,4.00,3.00,5.00,5.00,10.50,3.00,5.00,3.00,102,NULL,NULL,'CENTRO','ARMAZÉM','SC',13169,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6062148,6.00,7.00,1.00,5.00,7.00,9.00,1.00,4.00,3.00,103,NULL,NULL,'DEHON','TUBARÃO','SC',9725,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6062156,3.00,4.00,4.00,4.00,5.00,NULL,2.00,3.00,1.00,303,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,15),(25,6062164,6.00,6.00,2.00,6.00,8.00,8.25,2.00,2.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',8772,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6062172,1.00,4.00,3.00,3.00,7.00,6.00,2.00,3.00,3.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6062180,5.00,4.00,2.00,4.00,9.00,NULL,0.00,2.00,7.00,103,NULL,NULL,'BELA VISTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6062202,5.00,5.00,1.00,2.00,8.00,10.13,0.00,1.00,3.00,238,NULL,208,'JARDIM ELDORADORA','PALHOÇA','SC',16785,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6062210,5.00,4.00,2.00,7.00,6.00,7.50,2.00,5.00,4.00,202,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062229,8.00,6.00,5.00,7.00,9.00,10.50,3.00,7.00,8.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',1251,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6062237,4.00,5.00,2.00,4.00,5.00,8.25,2.00,3.00,2.00,234,NULL,NULL,'ARMAÇÃO PANT DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6062245,2.00,8.00,1.00,4.00,8.00,6.75,4.00,4.00,1.00,999,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6062253,2.00,5.00,2.00,3.00,7.00,7.50,2.00,3.00,5.00,211,NULL,235,'GUARDA DO CUBATÃO','PALHOÇA','SC',15653,407,NULL,381,NULL,NULL,NULL,2,1),(25,6062270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6062288,7.00,7.00,6.00,7.00,8.00,6.38,3.00,4.00,7.00,220,NULL,203,'VALE DOS LAGOS','TATUÍ','SP',3526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062296,7.00,7.00,6.00,7.00,6.00,12.00,0.00,8.00,7.00,207,NULL,216,'CENTRO','CURITIBANOS','SC',1902,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6062300,8.00,7.00,6.00,5.00,10.00,8.63,5.00,7.00,9.00,103,NULL,NULL,'CHÁCARA CACHOEIRA','CPO GRANDE','MS',938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062318,3.00,6.00,1.00,5.00,6.00,7.88,1.00,4.00,3.00,103,NULL,NULL,'PETRÓPOLIS','LAGES','SC',12959,3987,NULL,NULL,NULL,NULL,NULL,2,9),(25,6062326,2.00,4.00,0.00,2.00,5.00,NULL,2.00,1.00,0.00,426,NULL,428,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062342,5.00,6.00,3.00,4.00,8.00,7.13,2.00,5.00,7.00,201,NULL,202,'PRESIDENTE MÉDICI','CHAPECÓ','SC',6207,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6062350,4.00,5.00,0.00,3.00,4.00,7.13,0.00,2.00,1.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',20798,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6062377,1.00,3.00,2.00,3.00,4.00,10.50,3.00,0.00,2.00,303,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6062385,1.00,5.00,2.00,3.00,6.00,6.38,0.00,4.00,4.00,303,NULL,NULL,'PRAIA DE PALMAS','GOV CELSO RAMOS','SC',16306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062407,7.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(25,6062423,9.00,8.00,3.00,6.00,9.00,7.88,6.00,7.00,8.00,103,NULL,NULL,'PONTE PRETA','CAMPINAS','SP',639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062431,3.00,5.00,2.00,1.00,8.00,7.50,1.00,3.00,3.00,301,NULL,NULL,'IPIRANGA','S JOSÉ','SC',19188,266,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062440,3.00,5.00,0.00,3.00,4.00,NULL,2.00,4.00,0.00,320,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6062458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','RANCHARIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6062466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,212,'VILA NOVA','FARTURA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6062474,4.00,4.00,1.00,2.00,2.00,NULL,0.00,3.00,3.00,654,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6062482,4.00,6.00,2.00,4.00,8.00,9.00,1.00,1.00,2.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6062490,3.00,6.00,0.00,4.00,6.00,9.00,1.00,3.00,2.00,451,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',17662,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6062504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'RESIDENCIAL AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6062512,4.00,4.00,1.00,6.00,8.00,10.13,2.00,1.00,3.00,333,NULL,NULL,'RECANTO DE PORTUGAL','PELOTAS','RS',11558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6062547,1.00,5.00,1.00,3.00,7.00,0.00,2.00,1.00,0.00,201,NULL,202,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6062555,6.00,6.00,4.00,5.00,9.00,11.25,1.00,6.00,4.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',4742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062563,7.00,4.00,7.00,7.00,9.00,9.38,3.00,7.00,5.00,208,NULL,238,'ÁGUA VERDE','CURITIBA','PR',1945,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6062571,3.00,3.00,2.00,1.00,7.00,7.88,3.00,4.00,3.00,201,NULL,212,'FAZENDA SANTO ANTONI','S JOSÉ','SC',15883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062580,3.00,5.00,1.00,7.00,5.00,6.38,2.00,2.00,3.00,235,NULL,201,'CARIANOS','FLORIANÓPOLIS','SC',16580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062598,4.00,6.00,3.00,6.00,7.00,8.25,3.00,4.00,5.00,9,NULL,NULL,'ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC',7255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062601,5.00,7.00,2.00,4.00,6.00,9.75,3.00,7.00,3.00,233,NULL,653,'CENTRO','BRAÇO NORTE','SC',9699,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6062610,2.00,5.00,3.00,3.00,5.00,9.00,3.00,2.00,3.00,999,NULL,NULL,'RIBEIRÃO FRESCO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6062636,4.00,4.00,3.00,4.00,8.00,8.25,3.00,2.00,4.00,5,NULL,NULL,'ALTOS DA CIDADE','BAURU','SP',9801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062644,7.00,5.00,6.00,7.00,11.00,12.00,3.00,8.00,8.00,211,NULL,202,'JARDIM BLUMENAU','BLUMENAU','SC',1007,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6062652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6062660,2.00,5.00,3.00,4.00,8.00,9.00,2.00,2.00,1.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',12760,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6062679,6.00,4.00,3.00,5.00,8.00,8.25,0.00,4.00,4.00,340,NULL,NULL,'REBOUÇAS','CURITIBA','PR',9499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062687,7.00,7.00,8.00,5.00,8.00,9.75,5.00,7.00,9.00,103,NULL,NULL,'JARDIM IMPERIAL','MARINGÁ','PR',561,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6062695,3.00,3.00,2.00,2.00,4.00,NULL,2.00,0.00,2.00,335,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6062709,5.00,6.00,4.00,2.00,6.00,9.75,2.00,3.00,8.00,203,NULL,214,'RESIDENCIAL PLANALTO','S JOSÉ CAMPOS','SP',5681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062717,8.00,9.00,7.00,6.00,7.00,13.50,8.00,7.00,9.00,103,NULL,NULL,'JARDIM CANADÁ','MARINGÁ','PR',26,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6062725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,235,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6062733,9.00,6.00,6.00,5.00,9.00,9.75,6.00,7.00,9.00,103,NULL,NULL,'ALPHAVILLEFLAMBOYANT','GOIÂNIA','GO',814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062741,8.00,6.00,1.00,6.00,8.00,9.00,5.00,5.00,8.00,103,NULL,NULL,'JARDIM OSWALDO CRUZ','S JOSÉ CAMPOS','SP',2353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062750,3.00,0.00,0.00,1.00,6.00,NULL,0.00,0.00,0.00,212,NULL,213,'SANTA TEREZA','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6062768,4.00,1.00,2.00,3.00,7.00,7.88,2.00,1.00,6.00,238,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'LAGOA DA CONÇEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6062784,3.00,3.00,4.00,6.00,6.00,8.25,2.00,3.00,3.00,211,NULL,201,'AMÉRICA','JOINVILLE','SC',13279,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6062792,3.00,5.00,2.00,1.00,5.00,8.63,1.00,1.00,2.00,102,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',17248,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6062806,2.00,5.00,2.00,2.00,5.00,11.63,2.00,1.00,2.00,5,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062814,4.00,5.00,3.00,2.00,5.00,9.75,1.00,1.00,1.00,999,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6062822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO FRANCISCO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6062830,1.00,5.00,0.00,2.00,6.00,6.75,1.00,1.00,0.00,207,NULL,201,'SANTA MONICA','FLORIANÓPOLIS','SC',21505,1171,NULL,1729,NULL,NULL,NULL,2,1),(25,6062849,2.00,2.00,0.00,2.00,2.00,NULL,3.00,3.00,0.00,208,NULL,238,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062857,7.00,5.00,3.00,6.00,9.00,10.13,3.00,6.00,8.00,103,NULL,NULL,'PQ RES PATRICIA','MARINGÁ','PR',3081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062865,5.00,8.00,3.00,2.00,7.00,6.00,3.00,4.00,5.00,203,NULL,235,'TATUAPÉ','S PAULO','SP',10259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062873,5.00,6.00,2.00,6.00,9.00,9.75,2.00,6.00,4.00,333,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',6646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062881,2.00,3.00,3.00,6.00,6.00,6.75,2.00,1.00,2.00,201,NULL,202,'COSTA E SILVA','JOINVILLE','SC',16829,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6062890,5.00,6.00,2.00,5.00,4.00,7.13,3.00,4.00,3.00,999,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6062903,7.00,5.00,6.00,5.00,6.00,6.75,5.00,5.00,6.00,203,NULL,NULL,'JARDIM HIGIENÓPOLIS','LONDRINA','PR',4882,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6062920,2.00,5.00,3.00,2.00,4.00,6.38,3.00,3.00,2.00,335,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',17958,8,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062938,2.00,2.00,0.00,1.00,6.00,NULL,2.00,0.00,1.00,340,NULL,NULL,'CENTRO','CRUZ ALTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062946,2.00,4.00,0.00,4.00,6.00,NULL,4.00,3.00,0.00,415,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062954,3.00,5.00,0.00,2.00,4.00,7.50,1.00,1.00,1.00,340,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6062989,5.00,5.00,3.00,7.00,8.00,9.00,0.00,8.00,4.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6062997,2.00,5.00,3.00,4.00,4.00,7.88,3.00,1.00,3.00,999,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6063004,3.00,4.00,2.00,2.00,2.00,NULL,3.00,1.00,1.00,452,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063012,3.00,6.00,3.00,3.00,3.00,8.63,2.00,4.00,7.00,103,NULL,NULL,'MORUMBI','S PAULO','SP',10663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063020,6.00,3.00,3.00,5.00,8.00,6.38,1.00,3.00,2.00,319,NULL,NULL,'CENTRO','PARANAVAÍ','PR',12681,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063039,2.00,3.00,3.00,3.00,2.00,NULL,3.00,1.00,2.00,652,NULL,NULL,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6063047,7.00,7.00,6.00,5.00,8.00,8.25,1.00,4.00,8.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',3233,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6063063,4.00,7.00,1.00,4.00,6.00,7.13,2.00,0.00,3.00,103,NULL,NULL,'INTERIOR','PALMEIRA MISSÕES','RS',16362,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6063071,4.00,6.00,1.00,3.00,6.00,6.75,1.00,3.00,2.00,220,NULL,235,'CENTRO','SANTANA LIVRAMENTO','RS',15360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063080,2.00,4.00,4.00,3.00,9.00,11.25,2.00,3.00,3.00,424,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12744,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6063098,1.00,3.00,4.00,5.00,5.00,7.88,2.00,4.00,3.00,652,NULL,NULL,'SAO JOAO MD','TUBARÃO','SC',17807,59,NULL,NULL,NULL,NULL,NULL,4,10),(25,6063101,1.00,3.00,0.00,1.00,1.00,NULL,1.00,5.00,2.00,9,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6063128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMBUI','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6063136,8.00,5.00,6.00,4.00,7.00,8.63,1.00,3.00,7.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',5596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063144,1.00,3.00,1.00,3.00,3.00,5.25,0.00,0.00,0.00,444,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063152,3.00,6.00,2.00,5.00,8.00,8.25,1.00,0.00,2.00,450,NULL,NULL,'CARANDIRU','S PAULO','SP',13936,97,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063160,4.00,4.00,4.00,6.00,10.00,11.25,1.00,4.00,6.00,450,NULL,NULL,'BARREIROS','S JOSÉ','SC',6821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063187,6.00,5.00,5.00,5.00,8.00,8.25,2.00,6.00,4.00,420,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',5233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063195,3.00,2.00,1.00,5.00,7.00,8.25,1.00,0.00,4.00,316,NULL,NULL,'VILA CLAUDIA','LIMEIRA','SP',14714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063209,3.00,6.00,3.00,2.00,6.00,7.88,2.00,6.00,3.00,201,NULL,233,'CAMINHO NOVO','PALHOÇA','SC',11363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063217,3.00,6.00,3.00,6.00,8.00,6.75,3.00,5.00,4.00,201,NULL,212,'BAIRRO DE FÁTIMA','FLORIANÓPOLIS','SC',8824,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063225,5.00,5.00,3.00,5.00,8.00,9.75,4.00,7.00,2.00,238,NULL,233,'VILA NOVA','IMBITUBA','SC',6905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063241,2.00,4.00,1.00,2.00,5.00,6.00,1.00,4.00,2.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063250,5.00,5.00,1.00,3.00,2.00,NULL,1.00,3.00,3.00,203,NULL,214,'PIONEIRO','LUCAS R VERDE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6063276,2.00,2.00,4.00,5.00,4.00,NULL,1.00,3.00,0.00,319,NULL,NULL,'VILA SANTO ANTONIO','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063284,3.00,2.00,1.00,4.00,3.00,6.00,1.00,3.00,4.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',20864,196,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063292,2.00,2.00,3.00,2.00,5.00,7.88,1.00,1.00,4.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',21072,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6063306,4.00,8.00,5.00,6.00,10.00,10.88,4.00,5.00,6.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',2103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063314,1.00,2.00,1.00,0.00,5.00,NULL,1.00,1.00,0.00,207,NULL,NULL,'FATIMA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063322,4.00,4.00,3.00,3.00,5.00,6.00,3.00,3.00,2.00,551,NULL,NULL,'ESCOLAR','SALTO VELOSO','SC',18968,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6063330,6.00,5.00,3.00,4.00,7.00,8.63,1.00,8.00,6.00,103,NULL,NULL,'NOSSA SENHORA DE F','STA MARIA','RS',5655,2611,NULL,NULL,NULL,NULL,NULL,4,6),(25,6063349,3.00,5.00,1.00,5.00,6.00,6.75,4.00,6.00,4.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063357,2.00,3.00,3.00,3.00,2.00,NULL,2.00,3.00,2.00,102,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6063373,4.00,2.00,2.00,0.00,5.00,NULL,0.00,3.00,0.00,329,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063381,6.00,6.00,3.00,7.00,10.00,7.50,3.00,5.00,6.00,207,NULL,201,'UNIVERSITÁRIO','VIDEIRA','SC',3278,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6063390,4.00,4.00,1.00,5.00,4.00,NULL,1.00,0.00,1.00,653,NULL,201,'TURIMAR','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,15),(25,6063403,7.00,7.00,6.00,7.00,9.00,9.00,2.00,6.00,5.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',2550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063411,5.00,3.00,3.00,5.00,5.00,7.13,3.00,5.00,4.00,103,NULL,NULL,'BELA VISTA','GASPAR','SC',10801,3684,NULL,NULL,NULL,NULL,NULL,4,2),(25,6063420,3.00,4.00,1.00,4.00,4.00,9.75,2.00,3.00,0.00,103,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',15924,4318,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063438,8.00,7.00,3.00,1.00,9.00,7.50,5.00,2.00,4.00,104,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',6272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063446,2.00,2.00,3.00,2.00,4.00,5.63,3.00,3.00,3.00,102,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',20824,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6063454,8.00,6.00,3.00,6.00,7.00,10.50,4.00,6.00,6.00,203,NULL,202,'VILA COUTO','CUBATÃO','SP',3489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063462,5.00,5.00,4.00,3.00,8.00,8.63,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','MARÍLIA','SP',6248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063470,3.00,3.00,0.00,3.00,7.00,9.00,0.00,4.00,2.00,207,NULL,211,'VL SÃO BENTO','CAMPINAS','SP',15338,834,NULL,399,NULL,NULL,NULL,2,1),(25,6063489,9.00,7.00,7.00,7.00,10.00,9.38,6.00,7.00,6.00,220,NULL,202,'CACUPÉ','FLORIANÓPOLIS','SC',492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063497,2.00,1.00,3.00,2.00,4.00,6.75,0.00,0.00,0.00,201,NULL,653,'CENTRO','STA ROSA SUL','SC',21146,1704,NULL,238,NULL,NULL,NULL,2,15),(25,6063519,6.00,6.00,5.00,4.00,6.00,8.25,3.00,6.00,6.00,201,NULL,233,'CAMPINAS','S JOSÉ','SC',5880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063527,6.00,4.00,1.00,6.00,8.00,7.88,4.00,7.00,4.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063535,7.00,6.00,5.00,6.00,7.00,8.63,6.00,5.00,6.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',2469,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6063543,4.00,6.00,1.00,3.00,8.00,7.50,1.00,3.00,4.00,216,NULL,203,'CENTRO','SALESÓPOLIS','SP',10710,388,NULL,749,NULL,NULL,NULL,4,3),(25,6063551,4.00,3.00,2.00,5.00,4.00,8.63,0.00,3.00,3.00,214,NULL,220,'JARDIM ALVORADA','MARINGÁ','PR',16034,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6063560,3.00,7.00,1.00,4.00,8.00,12.00,3.00,5.00,2.00,308,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6063586,5.00,5.00,0.00,5.00,4.00,NULL,1.00,3.00,3.00,102,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6063594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6063608,2.00,3.00,0.00,3.00,7.00,9.75,0.00,3.00,2.00,304,NULL,NULL,'LIBERDADE','CONCÓRDIA','SC',17595,128,NULL,NULL,NULL,NULL,NULL,2,4),(25,6063616,3.00,5.00,2.00,3.00,7.00,8.25,3.00,4.00,2.00,222,NULL,NULL,'JAGUARIBE','OSASCO','SP',12852,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6063624,7.00,6.00,2.00,4.00,9.00,7.50,2.00,5.00,3.00,207,NULL,NULL,'CENTRO','CURITIBA','PR',7013,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063632,6.00,4.00,4.00,4.00,6.00,7.88,1.00,4.00,7.00,201,NULL,211,'BREJARU','PALHOÇA','SC',10982,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063640,5.00,7.00,4.00,6.00,7.00,8.25,2.00,4.00,6.00,102,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',7729,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6063659,1.00,4.00,1.00,4.00,5.00,NULL,1.00,2.00,0.00,201,NULL,212,'LOS ANGELES','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,655,'PARQUE ROSITA','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6063675,5.00,7.00,4.00,4.00,8.00,8.63,3.00,6.00,4.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063683,3.00,3.00,0.00,2.00,4.00,8.25,0.00,0.00,0.00,207,NULL,216,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6063713,4.00,5.00,4.00,5.00,4.00,7.13,1.00,1.00,3.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063721,6.00,4.00,0.00,6.00,9.00,8.25,3.00,4.00,4.00,214,NULL,203,'NSASENHORA DE FÁTIMA','BRAÇO NORTE','SC',7902,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6063730,2.00,4.00,1.00,3.00,6.00,7.50,3.00,1.00,2.00,452,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',18239,114,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063748,7.00,5.00,6.00,3.00,7.00,9.38,2.00,8.00,6.00,201,NULL,235,'JD JANAÍNA','BIGUAÇU','SC',4971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063756,4.00,5.00,1.00,3.00,6.00,6.38,2.00,5.00,2.00,450,NULL,NULL,'VILA WALKIRIA','S JOSÉ R PRETO','SP',16314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063764,2.00,4.00,2.00,2.00,5.00,NULL,0.00,3.00,3.00,444,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063780,5.00,6.00,5.00,4.00,10.00,10.50,2.00,7.00,7.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063799,7.00,7.00,7.00,3.00,8.00,7.50,6.00,7.00,6.00,220,NULL,202,'CARVOEIRA','FLORIANÓPOLIS','SC',2557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063802,4.00,6.00,1.00,6.00,10.00,9.38,2.00,2.00,4.00,103,NULL,NULL,'JARDIM AMÉRICA','PTO VELHO','RO',10389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','ANDRADINA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6063845,6.00,6.00,3.00,6.00,9.00,9.00,2.00,2.00,6.00,208,NULL,235,'CAMPINAS','S JOSÉ','SC',9057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063853,1.00,3.00,5.00,3.00,5.00,11.63,1.00,5.00,5.00,201,NULL,208,'RENASCENÇA II','S LUÍS','MA',9610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063861,6.00,7.00,5.00,5.00,10.00,6.38,2.00,7.00,6.00,207,NULL,NULL,'HUGO LANGE','CURITIBA','PR',4054,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6063888,4.00,1.00,1.00,2.00,6.00,NULL,0.00,1.00,2.00,317,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063896,4.00,4.00,2.00,5.00,7.00,5.25,0.00,5.00,1.00,338,NULL,NULL,'AREIAS','S JOSÉ','SC',18432,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6063900,1.00,4.00,0.00,1.00,8.00,NULL,1.00,1.00,0.00,207,NULL,201,'VARZEA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6063926,0.00,1.00,0.00,0.00,0.00,NULL,1.00,1.00,0.00,304,NULL,NULL,'LEBLON','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063934,1.00,4.00,3.00,2.00,3.00,7.13,4.00,4.00,2.00,201,NULL,213,'FLOR DE NAPOLIS','S JOSÉ','SC',19293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063942,8.00,6.00,5.00,7.00,11.00,9.38,5.00,9.00,7.00,103,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6063950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'TOBIAS','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6063969,5.00,6.00,2.00,5.00,9.00,7.50,2.00,4.00,3.00,452,NULL,NULL,'COSTEIRA DO RIBEIRÃO','FLORIANÓPOLIS','SC',9802,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063977,3.00,5.00,2.00,5.00,7.00,8.63,1.00,8.00,5.00,5,NULL,NULL,'CENTRO HISTÓRICO','S JOSÉ','SC',10702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6063985,4.00,5.00,1.00,3.00,9.00,9.00,2.00,3.00,4.00,601,NULL,203,'FLORESTA','JOINVILLE','SC',12258,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6063993,6.00,5.00,2.00,4.00,3.00,10.50,4.00,3.00,5.00,234,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6064000,7.00,7.00,7.00,7.00,6.00,9.00,2.00,6.00,9.00,215,NULL,233,'CAMPINAS','S JOSÉ','SC',2154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064019,5.00,5.00,2.00,1.00,5.00,6.38,0.00,6.00,4.00,216,NULL,NULL,'CAMPO BONITO','TORRES','RS',13763,479,NULL,NULL,NULL,NULL,NULL,4,15),(25,6064027,2.00,4.00,2.00,6.00,7.00,7.88,2.00,3.00,1.00,326,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064035,6.00,5.00,5.00,3.00,5.00,7.13,2.00,2.00,6.00,203,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',10253,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6064051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ROYAL PARK','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6064060,7.00,7.00,2.00,6.00,6.00,8.63,1.00,5.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5641,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6064078,7.00,8.00,7.00,7.00,9.00,9.00,5.00,7.00,9.00,103,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064086,4.00,4.00,1.00,2.00,4.00,3.75,4.00,5.00,3.00,103,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6064094,7.00,8.00,8.00,7.00,10.00,10.13,2.00,7.00,7.00,201,NULL,202,'MONTE CASTELO','CPO GRANDE','MS',535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064108,3.00,3.00,1.00,2.00,2.00,NULL,1.00,3.00,3.00,428,NULL,429,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6064116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6064124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'SÃO CRISTÓVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6064132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM PAULISTA','ITAPEVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6064140,4.00,4.00,0.00,2.00,6.00,NULL,3.00,1.00,4.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6064159,8.00,8.00,3.00,6.00,10.00,10.88,7.00,9.00,8.00,103,NULL,NULL,'CENTRO','LAJEADO','RS',265,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6064167,1.00,2.00,0.00,1.00,4.00,NULL,1.00,2.00,0.00,103,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6064183,4.00,6.00,3.00,5.00,7.00,8.63,1.00,4.00,4.00,211,NULL,201,'RIO VERMELHO','FLORIANÓPOLIS','SC',10835,265,NULL,899,NULL,NULL,NULL,2,1),(25,6064205,2.00,4.00,0.00,1.00,5.00,5.63,2.00,0.00,0.00,208,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',21703,606,NULL,NULL,NULL,NULL,NULL,2,1),(25,6064213,3.00,4.00,0.00,7.00,5.00,9.75,3.00,2.00,2.00,207,NULL,201,'CENTRO','GUARACIABA','SC',13194,710,NULL,1118,NULL,NULL,NULL,2,4),(25,6064221,1.00,4.00,3.00,5.00,7.00,5.63,3.00,1.00,3.00,429,NULL,425,'BOA VISTA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064230,4.00,3.00,2.00,2.00,6.00,8.63,0.00,3.00,1.00,340,NULL,NULL,'AMÉRICA','JOINVILLE','SC',18815,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6064248,2.00,4.00,2.00,2.00,6.00,7.50,3.00,0.00,1.00,208,NULL,238,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6064256,4.00,2.00,3.00,4.00,7.00,5.63,1.00,3.00,2.00,110,NULL,NULL,'FORQUILHINHA','S JOSÉ','SC',18792,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6064264,1.00,3.00,1.00,3.00,6.00,3.00,1.00,0.00,2.00,213,NULL,235,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6064272,4.00,4.00,3.00,4.00,8.00,9.75,2.00,3.00,3.00,5,NULL,NULL,'SAO GERALDO','PTO ALEGRE','RS',10830,390,NULL,NULL,NULL,NULL,NULL,2,1),(25,6064280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'SANTA TEREZA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6064299,6.00,5.00,2.00,3.00,7.00,7.50,3.00,4.00,6.00,103,NULL,NULL,'JARDIM CLAUDIA','LONDRINA','PR',8306,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6064302,3.00,6.00,2.00,3.00,8.00,7.50,0.00,5.00,4.00,103,NULL,NULL,'MARIA CÉU','CRICIÚMA','SC',11083,3730,NULL,NULL,NULL,NULL,NULL,4,5),(25,6064310,1.00,5.00,1.00,4.00,4.00,8.63,3.00,2.00,0.00,109,NULL,NULL,'SÃO VICENTE','ITAJUBÁ','MG',16392,82,NULL,NULL,NULL,NULL,NULL,2,8),(25,6064329,4.00,4.00,5.00,6.00,7.00,6.00,3.00,5.00,5.00,212,NULL,201,'ENCRUZILHADA','SANTOS','SP',9233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RAMOS','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6064353,2.00,4.00,0.00,1.00,4.00,9.38,1.00,1.00,1.00,103,NULL,NULL,'SANTIAGO','LAGUNA','SC',19523,4646,NULL,NULL,NULL,NULL,NULL,4,10),(25,6064361,5.00,6.00,1.00,0.00,10.00,9.38,0.00,2.00,1.00,319,NULL,NULL,'MARIA CÉU','CRICIÚMA','SC',13955,258,NULL,NULL,NULL,NULL,NULL,4,5),(25,6064388,2.00,5.00,2.00,4.00,6.00,5.25,3.00,6.00,3.00,423,NULL,421,'JARDIM DAS ACACIAS','S JOSÉ','SC',15628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6064396,3.00,5.00,5.00,5.00,7.00,10.88,2.00,7.00,5.00,216,NULL,233,'JARDIM COSTA VERDE','VÁRZEA GRANDE','MT',6056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064400,7.00,7.00,7.00,7.00,8.00,4.88,2.00,6.00,5.00,212,NULL,214,'MACUCO','SANTOS','SP',4684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064418,2.00,4.00,2.00,5.00,8.00,7.50,2.00,2.00,1.00,211,NULL,216,'VILA OPERÁRIA','ITAJAÍ','SC',16488,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6064426,3.00,5.00,2.00,3.00,8.00,7.88,3.00,2.00,4.00,235,NULL,213,'VILA ANDRADE','S PAULO','SP',14181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064434,1.00,5.00,3.00,6.00,6.00,7.50,1.00,4.00,3.00,207,NULL,233,'COQUEIROS','FLORIANÓPOLIS','SC',13855,748,NULL,371,NULL,NULL,NULL,2,1),(25,6064442,4.00,6.00,0.00,4.00,4.00,6.75,3.00,3.00,3.00,102,NULL,NULL,'BELA VISTA','PALHOÇA','SC',15717,192,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064450,4.00,5.00,3.00,4.00,6.00,9.00,3.00,3.00,5.00,220,NULL,235,'JARDIM CENTENÁRIO','S CARLOS','SP',9472,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6064477,4.00,6.00,1.00,6.00,8.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6064485,5.00,3.00,3.00,6.00,7.00,9.38,3.00,5.00,3.00,108,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',10635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064493,2.00,4.00,1.00,4.00,7.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6064507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'MOEMA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6064515,4.00,5.00,5.00,4.00,5.00,9.00,3.00,7.00,2.00,304,NULL,NULL,'JARDIM ERCILIA','PENÁPOLIS','SP',9305,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6064540,6.00,8.00,1.00,7.00,10.00,10.50,3.00,5.00,7.00,5,NULL,NULL,'STO ANTÔNIO DE PÁDUA','TUBARÃO','SC',2318,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6064566,2.00,6.00,0.00,2.00,7.00,7.88,2.00,1.00,2.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18696,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6064574,1.00,2.00,1.00,4.00,3.00,7.50,1.00,2.00,3.00,104,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6064590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'ALTO BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6064612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'SÃO PEDRO','BOA VISTA','RR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6064620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FÁTIMA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6064639,5.00,3.00,0.00,4.00,6.00,6.75,3.00,4.00,2.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15007,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6064647,1.00,5.00,0.00,3.00,5.00,8.63,0.00,3.00,1.00,425,NULL,427,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064655,1.00,5.00,6.00,2.00,3.00,9.38,5.00,3.00,4.00,201,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',14388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6064671,2.00,5.00,2.00,6.00,5.00,NULL,0.00,2.00,0.00,108,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6064680,3.00,5.00,4.00,6.00,4.00,7.13,2.00,2.00,3.00,235,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',15249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064728,2.00,4.00,2.00,4.00,7.00,6.75,1.00,4.00,2.00,302,NULL,NULL,'CENTRO','TOLEDO','PR',17649,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6064736,3.00,6.00,2.00,5.00,5.00,6.00,5.00,2.00,5.00,208,NULL,202,'CARVOEIRA','FLORIANÓPOLIS','SC',10348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064744,4.00,2.00,1.00,3.00,6.00,7.50,0.00,3.00,3.00,429,NULL,425,'BELA VISTA','PALHOÇA','SC',18588,42,NULL,76,NULL,NULL,NULL,4,1),(25,6064752,2.00,5.00,2.00,5.00,6.00,7.50,2.00,4.00,3.00,101,NULL,NULL,'LOURO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6064779,8.00,7.00,3.00,6.00,10.00,11.25,4.00,5.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',894,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6064787,4.00,3.00,2.00,5.00,4.00,8.63,2.00,5.00,3.00,336,NULL,NULL,'CENTRO','ITAPEVI','SP',13736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6064809,8.00,7.00,5.00,5.00,9.00,12.75,3.00,7.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',702,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6064817,2.00,4.00,1.00,3.00,5.00,NULL,0.00,2.00,1.00,203,NULL,208,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064833,3.00,4.00,2.00,3.00,6.00,7.13,1.00,5.00,2.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064841,5.00,5.00,2.00,3.00,7.00,7.13,2.00,4.00,6.00,318,NULL,NULL,'CENTRO','TAPEJARA','RS',13137,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6064850,7.00,7.00,6.00,2.00,7.00,8.63,5.00,7.00,8.00,103,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',2094,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6064868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUTITUVINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6064876,5.00,6.00,1.00,2.00,5.00,6.38,0.00,2.00,4.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15417,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6064884,7.00,8.00,3.00,6.00,8.00,9.38,2.00,9.00,7.00,103,NULL,NULL,'CENTRO','VERÊ','PR',2161,1334,NULL,NULL,NULL,NULL,NULL,4,4),(25,6064892,5.00,6.00,2.00,3.00,6.00,8.25,4.00,2.00,1.00,108,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',13258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064906,0.00,4.00,0.00,0.00,0.00,NULL,2.00,5.00,2.00,103,NULL,NULL,'ITOUPAVA','RIO SUL','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(25,6064914,5.00,5.00,1.00,5.00,7.00,10.13,3.00,5.00,3.00,453,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9400,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6064922,6.00,6.00,3.00,6.00,10.00,8.63,2.00,4.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064930,2.00,4.00,3.00,3.00,7.00,9.00,1.00,2.00,3.00,104,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',15600,415,NULL,NULL,NULL,NULL,NULL,2,1),(25,6064949,5.00,5.00,2.00,3.00,4.00,6.75,0.00,1.00,0.00,109,NULL,NULL,'SERTÃO DO IMARUIM','GOV CELSO RAMOS','SC',20992,159,NULL,NULL,NULL,NULL,NULL,4,1),(25,6064957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6064965,8.00,6.00,3.00,3.00,8.00,8.63,2.00,3.00,6.00,103,NULL,NULL,'ATUBA','COLOMBO','PR',9993,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6064981,4.00,3.00,3.00,2.00,7.00,9.00,2.00,1.00,4.00,103,NULL,NULL,'SÃO JOÃO ME','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6064990,4.00,3.00,5.00,6.00,8.00,10.88,3.00,3.00,5.00,220,NULL,235,'KOBRASOL','S JOSÉ','SC',8381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6065007,5.00,4.00,4.00,4.00,6.00,8.63,1.00,1.00,3.00,110,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14656,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6065015,4.00,5.00,7.00,5.00,5.00,7.88,2.00,6.00,2.00,208,NULL,238,'CENTRO','PALHOÇA','SC',9406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6065040,6.00,6.00,4.00,7.00,7.00,9.38,2.00,3.00,3.00,451,NULL,NULL,'JARDIM SÃO CARLOS','STA CRUZ PALMEIRAS','SP',8966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6065058,1.00,3.00,1.00,2.00,5.00,7.50,1.00,3.00,0.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',21387,4783,NULL,NULL,NULL,NULL,NULL,2,1),(25,6065066,4.00,5.00,0.00,5.00,7.00,NULL,0.00,5.00,4.00,340,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6065074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6065082,8.00,6.00,3.00,5.00,8.00,9.38,3.00,5.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4382,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6065090,5.00,3.00,0.00,3.00,7.00,9.00,3.00,2.00,2.00,207,NULL,201,'CENTRO','SANGÃO','SC',15034,812,NULL,1277,NULL,NULL,NULL,2,10),(25,6065104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6065112,3.00,3.00,3.00,4.00,6.00,9.00,1.00,0.00,3.00,201,NULL,202,'VILA NOVA','IMBITUBA','SC',16057,1363,NULL,503,NULL,NULL,NULL,2,10),(25,6065120,3.00,4.00,0.00,3.00,6.00,5.63,1.00,4.00,3.00,551,NULL,NULL,'INTERIOR','CAMPOS NOVOS','SC',18375,32,NULL,NULL,NULL,NULL,NULL,2,7),(25,6065139,1.00,5.00,3.00,3.00,5.00,8.25,0.00,1.00,0.00,653,NULL,655,'LAGOA DA SERRA','ARARANGUÁ','SC',21118,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6065147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6065163,3.00,4.00,3.00,3.00,6.00,7.88,0.00,1.00,0.00,404,NULL,NULL,'VILA CLEMENTINA','MAFRA','SC',20279,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6065171,3.00,5.00,0.00,5.00,6.00,8.63,4.00,5.00,5.00,429,NULL,421,'JARDIM CARANDAÍ','BIGUAÇU','SC',11415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6065180,4.00,5.00,2.00,4.00,7.00,4.88,3.00,7.00,4.00,214,NULL,203,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',15081,356,NULL,933,NULL,NULL,NULL,2,1),(25,6065198,4.00,5.00,0.00,7.00,7.00,8.25,1.00,2.00,2.00,319,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',15993,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6065201,3.00,2.00,3.00,2.00,2.00,NULL,0.00,3.00,0.00,103,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6065228,6.00,2.00,1.00,3.00,5.00,7.13,2.00,0.00,2.00,104,NULL,NULL,'VISTA ALEGRE','PALMEIRA MISSÕES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6065236,5.00,3.00,2.00,4.00,6.00,7.50,3.00,3.00,4.00,103,NULL,NULL,'MANAÍRA','JOÃO PESSOA','PB',12089,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6065252,6.00,5.00,2.00,6.00,9.00,9.00,2.00,6.00,4.00,9,NULL,NULL,'ARIRIÚ DA FORMIGA','PALHOÇA','SC',7629,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6065260,4.00,5.00,0.00,3.00,6.00,9.38,0.00,3.00,3.00,208,NULL,238,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6065279,2.00,4.00,1.00,3.00,5.00,7.50,0.00,1.00,0.00,101,NULL,NULL,'SÃO CRISTOVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6065287,1.00,6.00,0.00,0.00,1.00,NULL,3.00,2.00,3.00,224,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6065295,4.00,5.00,3.00,3.00,8.00,7.50,1.00,4.00,4.00,303,NULL,NULL,'MICHEL','CRICIÚMA','SC',13958,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6065309,5.00,3.00,1.00,7.00,7.00,7.13,1.00,3.00,1.00,999,NULL,NULL,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6065325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6065333,3.00,7.00,3.00,3.00,7.00,11.25,2.00,5.00,2.00,319,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',10670,175,NULL,NULL,NULL,NULL,NULL,4,1),(25,6065350,2.00,5.00,3.00,4.00,5.00,6.75,2.00,3.00,3.00,316,NULL,NULL,'GRAVATÁ','PENHA','SC',16195,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6065368,7.00,6.00,2.00,6.00,8.00,9.00,4.00,7.00,9.00,103,NULL,NULL,'CENTRO','CAMBÉ','PR',2090,1304,NULL,NULL,NULL,NULL,NULL,2,3),(25,6065384,1.00,2.00,2.00,2.00,5.00,NULL,2.00,0.00,1.00,103,NULL,NULL,'VILA DEYSE','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6065406,4.00,6.00,2.00,6.00,7.00,6.75,0.00,3.00,1.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',16279,71,NULL,NULL,NULL,NULL,NULL,4,1),(25,6065422,6.00,5.00,4.00,6.00,5.00,9.38,2.00,4.00,5.00,201,NULL,203,'CENTRO','CASCAVEL','PR',8745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6065430,4.00,4.00,3.00,2.00,6.00,8.25,2.00,3.00,1.00,317,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',17845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6065465,2.00,5.00,3.00,1.00,6.00,5.63,0.00,1.00,2.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6065473,3.00,5.00,0.00,2.00,4.00,NULL,1.00,0.00,1.00,601,NULL,238,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6065490,6.00,4.00,4.00,7.00,7.00,8.63,1.00,7.00,7.00,103,NULL,NULL,'VILLA VERDE','PNT PORÃ','MS',4343,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6065503,5.00,5.00,3.00,4.00,7.00,8.25,1.00,3.00,3.00,303,NULL,NULL,'CENTRO','URUSSANGA','SC',13102,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6065520,2.00,3.00,1.00,5.00,7.00,9.00,2.00,2.00,1.00,339,NULL,NULL,'BELA VISTA','CHAPECÓ','SC',15142,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6065538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JD ROBERTO BENEDETI','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6065570,4.00,6.00,1.00,3.00,7.00,7.13,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',12576,3942,NULL,NULL,NULL,NULL,NULL,2,9),(25,6065597,3.00,6.00,3.00,3.00,7.00,9.75,2.00,3.00,2.00,109,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6065627,7.00,5.00,3.00,4.00,9.00,9.00,3.00,6.00,6.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',3098,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6065643,3.00,4.00,0.00,3.00,6.00,9.00,1.00,2.00,0.00,316,NULL,NULL,'SAUDADE','BIGUAÇU','SC',19050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6065651,4.00,2.00,1.00,4.00,7.00,NULL,0.00,2.00,0.00,103,NULL,NULL,'VILA FLÔR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6065660,5.00,4.00,3.00,4.00,5.00,8.25,2.00,5.00,2.00,234,NULL,NULL,'AREIAS','S JOSÉ','SC',14354,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6065678,8.00,4.00,4.00,3.00,5.00,7.88,5.00,6.00,5.00,453,NULL,NULL,'PEDRO LUDOVICO','GOIÂNIA','GO',5630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6065686,3.00,4.00,3.00,4.00,3.00,6.75,2.00,2.00,2.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18086,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6065694,3.00,4.00,2.00,5.00,5.00,9.00,1.00,3.00,2.00,3,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14162,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6065708,4.00,4.00,3.00,5.00,3.00,6.75,0.00,3.00,4.00,234,NULL,NULL,'SERRARIA','S JOSÉ','SC',18142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6065724,5.00,5.00,3.00,5.00,8.00,7.13,0.00,3.00,4.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',9216,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6065732,6.00,5.00,2.00,5.00,6.00,10.50,2.00,4.00,3.00,420,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',8364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6065740,7.00,7.00,2.00,7.00,10.00,10.88,4.00,5.00,8.00,103,NULL,NULL,'RUDGE RAMOS','S BERNARDO CAMPO','SP',2087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6065759,3.00,4.00,3.00,3.00,5.00,7.50,4.00,2.00,1.00,238,NULL,208,'VARGEM GRANDE','FLORIANÓPOLIS','SC',16843,375,NULL,408,NULL,NULL,NULL,2,1),(25,6065767,5.00,4.00,3.00,4.00,9.00,11.63,2.00,2.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9763,462,NULL,NULL,NULL,NULL,NULL,2,1),(25,6065775,5.00,7.00,3.00,2.00,6.00,9.00,1.00,3.00,4.00,333,NULL,NULL,'GRAÇA','SALVADOR','BA',12292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6065805,5.00,7.00,0.00,5.00,9.00,8.25,0.00,5.00,3.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',10323,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6065813,3.00,6.00,1.00,2.00,6.00,7.13,1.00,4.00,2.00,450,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',15059,103,NULL,NULL,NULL,NULL,NULL,4,1),(25,6065848,7.00,6.00,3.00,3.00,4.00,9.00,1.00,3.00,1.00,551,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',15580,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6065856,3.00,2.00,2.00,2.00,6.00,NULL,1.00,3.00,0.00,201,NULL,211,'SÃO MIGUEL','DOIS IRMÃOS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6065864,7.00,8.00,4.00,3.00,8.00,7.13,1.00,2.00,6.00,207,NULL,201,'RACHADEL','ANTÔNIO CARLOS','SC',8362,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6065872,5.00,3.00,1.00,2.00,6.00,7.88,1.00,1.00,3.00,203,NULL,214,'FORQUILHAS','S JOSÉ','SC',19820,1100,NULL,429,NULL,NULL,NULL,4,1),(25,6065880,4.00,4.00,1.00,4.00,7.00,7.13,2.00,3.00,3.00,5,NULL,NULL,'MAR GROSSO','LAGUNA','SC',14617,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6065899,2.00,2.00,0.00,3.00,7.00,7.88,3.00,1.00,1.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19591,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6065910,4.00,3.00,2.00,5.00,6.00,10.50,0.00,4.00,3.00,329,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',16788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6065929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6065953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6065970,3.00,5.00,1.00,5.00,7.00,NULL,0.00,0.00,1.00,318,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6065988,5.00,6.00,2.00,3.00,7.00,7.13,3.00,5.00,3.00,101,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',11306,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6065996,3.00,4.00,3.00,6.00,8.00,9.75,1.00,5.00,4.00,333,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066003,3.00,3.00,1.00,2.00,4.00,9.00,2.00,2.00,1.00,109,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6066011,5.00,8.00,1.00,4.00,8.00,10.50,1.00,6.00,6.00,103,NULL,NULL,'CAMPO DAS FLORES','IMBUIA','SC',5835,2674,NULL,NULL,NULL,NULL,NULL,4,9),(25,6066020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6066054,4.00,6.00,2.00,5.00,8.00,7.88,3.00,4.00,3.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',12234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6066062,6.00,4.00,2.00,5.00,7.00,8.25,2.00,5.00,6.00,501,NULL,NULL,'ARIRIÚ DA FORMIGA','PALHOÇA','SC',8004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6066089,5.00,3.00,2.00,4.00,5.00,9.00,0.00,2.00,1.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',19803,4668,NULL,NULL,NULL,NULL,NULL,2,1),(25,6066097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,424,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6066100,3.00,4.00,0.00,2.00,7.00,NULL,0.00,1.00,0.00,328,NULL,NULL,'SÃO BASILIO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,10),(25,6066119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA INDUSTRIAL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6066127,2.00,5.00,2.00,4.00,7.00,9.38,0.00,3.00,0.00,317,NULL,NULL,'SACO DOS LOMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6066135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'RETIRO DAS PEDRAS','BRUMADINHO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6066143,4.00,5.00,1.00,7.00,7.00,8.25,4.00,5.00,5.00,207,NULL,201,'CARANDIRU','S PAULO','SP',5327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066151,1.00,4.00,4.00,2.00,5.00,5.25,3.00,2.00,2.00,303,NULL,NULL,'CENTRO','BOM JD SERRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6066160,5.00,7.00,2.00,3.00,6.00,6.38,3.00,5.00,3.00,308,NULL,NULL,'MADRI','PALHOÇA','SC',11689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066186,3.00,1.00,2.00,3.00,8.00,NULL,0.00,4.00,1.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066194,4.00,5.00,1.00,2.00,6.00,7.50,0.00,2.00,1.00,425,NULL,423,'DEHON','TUBARÃO','SC',18318,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6066216,2.00,2.00,0.00,0.00,4.00,NULL,1.00,0.00,3.00,333,NULL,NULL,'OURO VERDE','STA TEREZINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6066232,4.00,4.00,1.00,1.00,2.00,NULL,2.00,4.00,0.00,333,NULL,NULL,'CENTRO','GUARARAPES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6066240,6.00,7.00,2.00,6.00,6.00,10.88,3.00,7.00,7.00,303,NULL,NULL,'ESTRELA','S MIGUEL OESTE','SC',3817,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6066259,6.00,7.00,2.00,3.00,7.00,9.38,1.00,5.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9863,365,NULL,NULL,NULL,NULL,NULL,2,1),(25,6066267,7.00,7.00,2.00,7.00,7.00,9.00,1.00,2.00,6.00,103,NULL,NULL,'JARDIM VERGUEIRO','S PAULO','SP',7198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066275,6.00,4.00,4.00,2.00,5.00,NULL,0.00,2.00,1.00,654,NULL,NULL,'PINHEIRINHO DO MEIO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6066283,8.00,8.00,6.00,6.00,8.00,11.63,2.00,6.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066291,4.00,5.00,4.00,2.00,6.00,9.00,2.00,2.00,5.00,444,NULL,NULL,'SANTANA','RIO SUL','SC',14628,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6066305,9.00,5.00,7.00,5.00,9.00,12.75,3.00,8.00,9.00,103,NULL,NULL,'BAIRRO UNIVERSITÁRIO','MARINGÁ','PR',223,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6066330,4.00,4.00,2.00,4.00,5.00,6.75,2.00,5.00,2.00,208,NULL,238,'PONTE DO IMARUIM','PALHOÇA','SC',17263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066348,5.00,6.00,3.00,4.00,9.00,7.88,0.00,4.00,3.00,327,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12220,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6066356,3.00,4.00,2.00,2.00,9.00,7.88,0.00,1.00,3.00,655,NULL,652,'CENTRO','BAL ARROIO SILVA','SC',15755,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6066364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6066372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CANTRO','ANDORINHA','BA',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6066380,7.00,6.00,2.00,6.00,9.00,10.13,1.00,5.00,7.00,207,NULL,201,'CENTRO','LAGES','SC',3885,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6066399,3.00,5.00,2.00,4.00,7.00,7.50,1.00,3.00,2.00,104,NULL,NULL,'ARAUCARIA','S JOSÉ','SC',15387,407,NULL,NULL,NULL,NULL,NULL,2,1),(25,6066402,2.00,6.00,2.00,6.00,6.00,7.88,1.00,5.00,1.00,320,NULL,NULL,'JARDIM ELDORADO','S JOSÉ','SC',13852,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6066410,3.00,3.00,1.00,3.00,5.00,9.75,1.00,0.00,1.00,201,NULL,212,'CENTRO','STA CECÍLIA','SC',20932,1691,NULL,589,NULL,NULL,NULL,4,16),(25,6066429,2.00,5.00,3.00,6.00,5.00,8.63,2.00,5.00,5.00,601,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10624,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6066445,6.00,5.00,4.00,6.00,7.00,8.25,3.00,2.00,5.00,202,NULL,216,'ABRAÃO','FLORIANÓPOLIS','SC',7971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066453,6.00,4.00,3.00,5.00,10.00,11.25,1.00,3.00,3.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',8952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066470,3.00,3.00,2.00,5.00,4.00,9.75,2.00,2.00,1.00,211,NULL,233,'ABRAÃO','FLORIANÓPOLIS','SC',19179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066488,7.00,6.00,5.00,6.00,9.00,9.38,5.00,4.00,6.00,103,NULL,NULL,'JARDIM SAMAMBAIA','BAURU','SP',2111,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6066496,3.00,4.00,2.00,1.00,5.00,6.75,2.00,1.00,4.00,102,NULL,NULL,'CENTRO','OURO VERDE','SC',17737,222,NULL,NULL,NULL,NULL,NULL,4,4),(25,6066500,2.00,4.00,2.00,3.00,4.00,8.25,1.00,4.00,4.00,652,NULL,208,'INTERIOR','PERITIBA','SC',15143,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6066518,1.00,3.00,1.00,3.00,3.00,5.25,2.00,4.00,1.00,211,NULL,207,'SACO GRANDE','FLORIANÓPOLIS','SC',21519,570,NULL,1172,NULL,NULL,NULL,2,1),(25,6066526,4.00,4.00,1.00,2.00,7.00,7.88,0.00,1.00,1.00,5,NULL,NULL,'ZONA DOIS','CIANORTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6066542,3.00,0.00,2.00,2.00,3.00,7.13,3.00,4.00,2.00,5,NULL,NULL,'CENTRO','IMBITUBA','SC',21168,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6066569,5.00,6.00,6.00,1.00,3.00,8.63,3.00,2.00,7.00,214,NULL,212,'CENTRO','MACAUBAL','SP',9349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066577,2.00,4.00,5.00,5.00,5.00,5.25,2.00,5.00,2.00,208,NULL,238,'CENTRO','ITAJAÍ','SC',17200,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6066585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6066593,3.00,2.00,1.00,2.00,5.00,10.13,2.00,4.00,1.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',19730,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6066607,3.00,3.00,2.00,3.00,6.00,6.75,4.00,6.00,3.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14525,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6066615,2.00,4.00,2.00,2.00,3.00,6.75,0.00,4.00,2.00,108,NULL,NULL,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066623,4.00,5.00,1.00,3.00,4.00,5.25,2.00,1.00,2.00,503,NULL,NULL,'FURADINHO','PALHOÇA','SC',18706,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6066631,2.00,5.00,0.00,2.00,7.00,12.00,2.00,3.00,2.00,207,NULL,201,'CENTRO','STA CECÍLIA','SC',17666,949,NULL,1462,NULL,NULL,NULL,4,16),(25,6066640,6.00,6.00,5.00,6.00,8.00,9.00,1.00,5.00,4.00,337,NULL,NULL,'PROGRESSO','BLUMENAU','SC',7286,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6066658,5.00,4.00,0.00,4.00,7.00,NULL,1.00,1.00,4.00,9,NULL,NULL,'GUANABARA','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6066666,6.00,6.00,3.00,3.00,9.00,8.25,0.00,5.00,6.00,102,NULL,NULL,'SAN CONRADO','REGISTRO','SP',7390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066682,5.00,6.00,2.00,3.00,9.00,10.50,0.00,2.00,4.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9835,362,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066690,5.00,5.00,3.00,4.00,7.00,10.13,2.00,2.00,3.00,104,NULL,NULL,'GETÚLIO VARGAS','TORRES','RS',12765,299,NULL,NULL,NULL,NULL,NULL,2,15),(25,6066704,5.00,4.00,2.00,5.00,9.00,9.38,0.00,7.00,4.00,207,NULL,NULL,'JD SÃO DIMAS','S JOSÉ CAMPOS','SP',6996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066712,3.00,5.00,3.00,4.00,5.00,9.38,1.00,4.00,1.00,215,NULL,216,'STAN','TORRES','RS',14881,235,NULL,502,NULL,NULL,NULL,2,1),(25,6066720,2.00,6.00,0.00,2.00,7.00,NULL,3.00,2.00,0.00,202,NULL,201,'ALTO BONITO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6066739,6.00,6.00,0.00,3.00,8.00,8.25,1.00,2.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066763,3.00,4.00,2.00,1.00,6.00,8.63,0.00,3.00,1.00,103,NULL,NULL,'ITU SABARA','PTO ALEGRE','RS',17415,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6066780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'OURO VERDE','STA TEREZINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6066798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6066801,8.00,8.00,3.00,7.00,9.00,10.13,5.00,6.00,8.00,203,NULL,NULL,'CENTRO','CURITIBA','PR',638,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066810,2.00,4.00,3.00,4.00,9.00,7.88,1.00,2.00,2.00,415,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',14068,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6066828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6066836,5.00,5.00,2.00,4.00,9.00,11.25,3.00,1.00,3.00,207,NULL,201,'RESIDENCIAL UNIÃO','S JOSÉ CAMPOS','SP',11335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066844,6.00,2.00,2.00,0.00,6.00,8.25,1.00,0.00,1.00,303,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',18439,787,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066879,6.00,6.00,2.00,6.00,8.00,9.75,3.00,9.00,7.00,201,NULL,211,'JARDIM JANAINA','BIGUAÇU','SC',2442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066887,4.00,2.00,0.00,2.00,6.00,NULL,0.00,1.00,3.00,208,NULL,238,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066909,5.00,6.00,1.00,7.00,8.00,7.13,2.00,7.00,4.00,319,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',7539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066917,6.00,5.00,3.00,5.00,7.00,6.75,4.00,5.00,5.00,110,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',8480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066925,4.00,3.00,1.00,1.00,5.00,8.25,0.00,3.00,1.00,426,NULL,425,'MONTE VERDE','FLORIANÓPOLIS','SC',21317,35,NULL,101,NULL,NULL,NULL,4,1),(25,6066950,5.00,5.00,3.00,5.00,8.00,9.75,1.00,1.00,4.00,108,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',11870,162,NULL,NULL,NULL,NULL,NULL,2,1),(25,6066968,5.00,6.00,1.00,5.00,4.00,9.00,2.00,3.00,3.00,104,NULL,NULL,'CENTRO','SALETE','SC',13854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066984,6.00,7.00,1.00,6.00,9.00,11.63,3.00,5.00,4.00,320,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6066992,2.00,4.00,1.00,2.00,5.00,5.63,4.00,2.00,1.00,301,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067000,0.00,4.00,0.00,0.00,0.00,NULL,3.00,2.00,1.00,308,NULL,NULL,'POTECAS FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067034,4.00,6.00,3.00,7.00,8.00,10.50,4.00,4.00,6.00,220,NULL,202,'BOA VISTA','CANOINHAS','SC',4820,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6067042,7.00,7.00,4.00,6.00,8.00,9.75,5.00,9.00,7.00,233,NULL,211,'SANTA BÁRBARA','CRICIÚMA','SC',1550,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6067050,6.00,7.00,3.00,6.00,7.00,10.88,1.00,4.00,5.00,303,NULL,NULL,'CENTRO','ERECHIM','RS',5680,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067077,4.00,5.00,3.00,5.00,8.00,8.25,1.00,3.00,1.00,337,NULL,NULL,'JARDIM ELDORADO','FOZ IGUAÇU','PR',15311,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6067085,5.00,7.00,3.00,5.00,7.00,8.63,2.00,5.00,1.00,101,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10202,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067093,1.00,4.00,0.00,5.00,6.00,8.63,2.00,3.00,2.00,415,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',16771,261,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067115,2.00,3.00,1.00,3.00,5.00,7.88,4.00,2.00,0.00,415,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',18321,299,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067123,2.00,6.00,4.00,5.00,4.00,9.00,3.00,3.00,2.00,551,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',14228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6067131,5.00,5.00,1.00,7.00,7.00,8.25,1.00,5.00,3.00,450,NULL,NULL,'CAPÃO','GAROPABA','SC',9740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6067140,5.00,6.00,2.00,4.00,8.00,7.13,1.00,5.00,5.00,452,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6067166,6.00,3.00,2.00,4.00,7.00,10.50,1.00,4.00,0.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15945,95,NULL,NULL,NULL,NULL,NULL,4,1),(25,6067182,4.00,5.00,0.00,3.00,7.00,7.50,3.00,3.00,3.00,301,NULL,NULL,'ROÇADO','S JOSÉ','SC',17732,239,NULL,NULL,NULL,NULL,NULL,4,1),(25,6067190,4.00,4.00,3.00,6.00,6.00,6.75,1.00,2.00,4.00,203,NULL,214,'JD APOLO','S JOSÉ CAMPOS','SP',15227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6067204,3.00,3.00,1.00,1.00,5.00,7.13,1.00,2.00,0.00,326,NULL,NULL,'FABRÍCIO','STO AMARO IMPERATRIZ','SC',20349,61,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067212,8.00,6.00,4.00,7.00,10.00,11.25,3.00,8.00,9.00,103,NULL,NULL,'JARDIM UNIVERSITÁRIO','MARINGÁ','PR',342,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6067220,5.00,6.00,5.00,4.00,7.00,7.13,1.00,7.00,5.00,238,NULL,208,'CENTRO','PALHOÇA','SC',9687,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067239,3.00,4.00,1.00,2.00,5.00,8.63,2.00,3.00,0.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067298,3.00,5.00,3.00,0.00,6.00,9.00,1.00,2.00,2.00,211,NULL,216,'JARDIM IAE','S PAULO','SP',19360,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6067301,9.00,7.00,6.00,3.00,10.00,9.00,4.00,9.00,9.00,103,NULL,NULL,'JARDIM AMERICA','S JOSÉ CAMPOS','SP',734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6067310,2.00,4.00,0.00,6.00,6.00,NULL,4.00,4.00,2.00,420,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6067328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FREI ROGÉRIO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6067344,2.00,4.00,3.00,3.00,5.00,6.38,1.00,4.00,3.00,308,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6067352,0.00,2.00,0.00,0.00,0.00,NULL,1.00,2.00,1.00,101,NULL,NULL,'POTECAS FORQUILFHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067379,7.00,5.00,4.00,7.00,11.00,7.88,5.00,5.00,7.00,415,NULL,NULL,'CENTRO','COCAL SUL','SC',2749,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6067387,1.00,0.00,0.00,3.00,1.00,NULL,2.00,1.00,1.00,3,NULL,NULL,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6067395,3.00,4.00,2.00,2.00,4.00,8.25,3.00,3.00,1.00,316,NULL,NULL,'PALMAS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067425,2.00,5.00,2.00,2.00,5.00,9.00,3.00,0.00,2.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',17945,26,NULL,NULL,NULL,NULL,NULL,4,16),(25,6067433,4.00,5.00,2.00,6.00,6.00,7.88,1.00,4.00,3.00,203,NULL,202,'CENTRO','QUEDAS IGUAÇU','PR',10779,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6067450,5.00,7.00,3.00,7.00,9.00,13.13,2.00,5.00,6.00,109,NULL,NULL,'CENTRO','TUBARÃO','SC',3768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6067468,5.00,4.00,4.00,3.00,9.00,6.75,2.00,3.00,4.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6067476,9.00,8.00,7.00,6.00,11.00,12.75,3.00,7.00,9.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6067484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MONTE ALEGRE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6067492,5.00,5.00,6.00,4.00,7.00,8.25,5.00,4.00,5.00,203,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',5407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6067506,3.00,0.00,1.00,5.00,3.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6067514,2.00,6.00,1.00,4.00,4.00,9.38,2.00,4.00,5.00,102,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',12666,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067522,5.00,4.00,2.00,6.00,7.00,8.63,1.00,2.00,6.00,208,NULL,214,'INGLESES','FLORIANÓPOLIS','SC',11859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6067530,5.00,5.00,4.00,6.00,8.00,9.38,3.00,6.00,5.00,103,NULL,NULL,'VERA CRUZ','CRICIÚMA','SC',5362,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6067549,2.00,4.00,2.00,1.00,4.00,NULL,0.00,1.00,2.00,332,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6067573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO CRISTÓVÃO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6067581,2.00,3.00,0.00,3.00,4.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'MUNICIPIOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6067603,6.00,4.00,2.00,3.00,5.00,6.00,4.00,4.00,2.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6067620,5.00,6.00,4.00,4.00,9.00,10.50,3.00,5.00,3.00,207,NULL,201,'MERCES','CURITIBA','PR',6919,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6067638,5.00,1.00,3.00,4.00,6.00,8.25,1.00,2.00,1.00,337,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19189,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6067654,6.00,6.00,3.00,1.00,7.00,9.38,2.00,4.00,8.00,220,NULL,203,'MORADA DO SOL','POTIRENDABA','SP',7307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6067662,3.00,3.00,0.00,1.00,9.00,6.75,2.00,1.00,2.00,9,NULL,NULL,'SERRARIA','S JOSÉ','SC',17817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6067670,4.00,3.00,1.00,2.00,5.00,7.50,1.00,7.00,2.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',17246,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067689,3.00,5.00,4.00,4.00,5.00,7.50,3.00,4.00,0.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17386,342,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067697,9.00,7.00,5.00,6.00,9.00,8.25,3.00,6.00,5.00,103,NULL,NULL,'COPACABANA','LAGES','SC',2805,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6067700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PROGRESSO','PALMITOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6067719,4.00,2.00,2.00,3.00,5.00,7.50,0.00,2.00,0.00,201,NULL,208,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067727,2.00,4.00,1.00,6.00,5.00,6.75,0.00,3.00,3.00,110,NULL,NULL,'CENTRO','CRICIÚMA','SC',17367,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6067735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SANTO ANTÔNIO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6067743,6.00,5.00,3.00,3.00,8.00,9.00,5.00,5.00,7.00,103,NULL,NULL,'GRAGERU','ARACAJU','SE',4790,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067751,2.00,5.00,2.00,3.00,2.00,NULL,1.00,2.00,0.00,309,NULL,NULL,'GUARDA DO EMBAÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6067778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6067808,4.00,5.00,3.00,6.00,7.00,7.88,1.00,4.00,1.00,220,NULL,203,'CENTRO','CURITIBA','PR',13949,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(25,6067832,5.00,5.00,3.00,5.00,8.00,10.50,2.00,3.00,1.00,303,NULL,NULL,'TESTO REGA','POMERODE','SC',9839,465,NULL,NULL,NULL,NULL,NULL,4,2),(25,6067840,5.00,6.00,4.00,5.00,7.00,7.50,1.00,7.00,4.00,216,NULL,NULL,'SANTA OLIVIA','MARÍLIA','SP',6372,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6067859,7.00,7.00,5.00,8.00,9.00,12.75,0.00,7.00,9.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',712,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6067867,7.00,7.00,4.00,4.00,10.00,10.88,1.00,7.00,4.00,234,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',5179,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067875,6.00,5.00,4.00,6.00,6.00,9.75,6.00,5.00,6.00,203,NULL,233,'FAZENDA','ITAJAÍ','SC',3908,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6067883,8.00,8.00,5.00,5.00,8.00,10.50,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',1747,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6067905,2.00,6.00,3.00,4.00,6.00,7.88,1.00,0.00,2.00,5,NULL,NULL,'CENTRO','TUBARÃO','SC',19084,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6067913,3.00,1.00,0.00,2.00,6.00,NULL,0.00,5.00,0.00,212,NULL,233,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067921,7.00,6.00,5.00,7.00,7.00,9.75,7.00,7.00,8.00,203,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',1101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6067930,6.00,3.00,3.00,2.00,8.00,8.25,1.00,5.00,5.00,102,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',10769,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6067948,8.00,8.00,3.00,5.00,8.00,10.88,0.00,6.00,4.00,103,NULL,NULL,'CENTRO','VENÂNCIO AIRES','RS',3814,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6067956,2.00,3.00,3.00,1.00,6.00,9.38,0.00,2.00,2.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',20112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6067964,4.00,4.00,3.00,6.00,4.00,7.88,2.00,1.00,5.00,104,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067972,2.00,3.00,1.00,2.00,5.00,9.38,0.00,1.00,1.00,103,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',20245,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6067980,3.00,2.00,2.00,3.00,7.00,4.88,0.00,2.00,2.00,503,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',21381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6067999,4.00,5.00,0.00,5.00,4.00,7.50,1.00,4.00,4.00,302,NULL,NULL,'MORRO DA GLÓRIA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6068006,3.00,4.00,0.00,5.00,5.00,6.38,2.00,2.00,3.00,453,NULL,NULL,'UVARANAS','PNT GROSSA','PR',16071,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6068014,4.00,4.00,4.00,3.00,9.00,8.25,1.00,5.00,4.00,103,NULL,NULL,'SÃO SEBASTIÃO','CLEVELÂNDIA','PR',12886,3979,NULL,NULL,NULL,NULL,NULL,2,1),(25,6068022,3.00,6.00,0.00,2.00,5.00,NULL,3.00,2.00,2.00,316,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6068030,1.00,2.00,3.00,1.00,0.00,NULL,1.00,0.00,1.00,304,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6068057,3.00,3.00,2.00,3.00,6.00,NULL,0.00,2.00,1.00,425,NULL,423,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6068065,1.00,4.00,1.00,4.00,5.00,5.25,0.00,2.00,2.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068073,4.00,7.00,2.00,6.00,9.00,9.75,1.00,4.00,0.00,319,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6068081,6.00,5.00,1.00,3.00,6.00,9.00,1.00,6.00,2.00,201,NULL,235,'PONTE DO IMARUIM','PALHOÇA','SC',12070,1017,NULL,274,NULL,NULL,NULL,4,1),(25,6068090,2.00,6.00,1.00,5.00,7.00,NULL,1.00,0.00,0.00,233,NULL,235,'CAMPO DÁGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6068103,4.00,6.00,3.00,4.00,6.00,6.75,2.00,5.00,5.00,318,NULL,NULL,'CENTRO','PETROLÂNDIA','SC',12391,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6068111,7.00,4.00,3.00,6.00,8.00,6.75,2.00,7.00,6.00,201,NULL,203,'PONTE DO IMARUIM','PALHOÇA','SC',6052,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6068120,3.00,5.00,3.00,4.00,2.00,NULL,1.00,2.00,5.00,214,NULL,216,'LINHA ÁGUA AMARELA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6068138,4.00,5.00,1.00,4.00,4.00,6.38,2.00,2.00,1.00,207,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6068146,3.00,2.00,2.00,1.00,5.00,7.13,0.00,3.00,3.00,103,NULL,NULL,'AGUA VERDE','BLUMENAU','SC',20999,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6068162,6.00,5.00,2.00,7.00,9.00,NULL,0.00,5.00,3.00,319,NULL,NULL,'CENTRO','CACHOEIRINHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068170,4.00,5.00,3.00,5.00,8.00,8.25,2.00,2.00,2.00,238,NULL,203,'CORREGO GRANDE','FLORIANÓPOLIS','SC',15467,316,NULL,953,NULL,NULL,NULL,2,1),(25,6068197,9.00,7.00,5.00,6.00,9.00,11.63,5.00,7.00,7.00,103,NULL,NULL,'TERRAS DE SÃO CARLOS','JUNDIAÍ','SP',750,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6068219,4.00,4.00,1.00,2.00,5.00,7.13,0.00,1.00,0.00,203,NULL,214,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068227,8.00,7.00,3.00,7.00,11.00,9.75,2.00,6.00,4.00,429,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',3999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068235,7.00,8.00,3.00,4.00,10.00,9.38,4.00,8.00,7.00,5,NULL,NULL,'CENTRO','TORRES','RS',1558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6068251,7.00,6.00,6.00,7.00,10.00,11.25,4.00,5.00,8.00,428,NULL,425,'CENTRO','BAL CAMBORIÚ','SC',890,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6068260,2.00,3.00,0.00,2.00,1.00,NULL,2.00,2.00,3.00,316,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068278,1.00,1.00,0.00,3.00,4.00,NULL,2.00,1.00,0.00,215,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6068294,4.00,5.00,3.00,6.00,6.00,9.75,0.00,2.00,3.00,201,NULL,211,'JARDIM ITALIA','CHAPECÓ','SC',11575,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6068308,8.00,8.00,5.00,7.00,10.00,9.00,3.00,6.00,9.00,103,NULL,NULL,'ANA ELIZA III','CAMBÉ','PR',739,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6068324,0.00,2.00,0.00,3.00,6.00,6.38,4.00,3.00,1.00,301,NULL,NULL,'ARIRIU','PALHOÇA','SC',21355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068332,7.00,5.00,4.00,5.00,4.00,8.63,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','PAPANDUVA','SC',9730,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6068340,8.00,6.00,5.00,6.00,7.00,9.00,3.00,7.00,8.00,103,NULL,NULL,'JARDIM IPANEMA','UMUARAMA','PR',1553,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6068359,4.00,4.00,0.00,4.00,6.00,11.25,2.00,4.00,3.00,425,NULL,421,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6068367,3.00,5.00,2.00,6.00,6.00,10.50,1.00,4.00,2.00,324,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',12048,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6068383,3.00,4.00,0.00,6.00,4.00,NULL,2.00,0.00,0.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6068391,3.00,5.00,0.00,4.00,4.00,8.25,2.00,1.00,2.00,216,NULL,653,'CENTRO','PASSO TORRES','SC',17818,572,NULL,174,NULL,NULL,NULL,2,15),(25,6068405,5.00,6.00,2.00,4.00,7.00,6.00,1.00,5.00,3.00,333,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068413,1.00,4.00,2.00,2.00,4.00,7.50,1.00,3.00,0.00,208,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',21526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068421,4.00,4.00,1.00,3.00,7.00,NULL,2.00,4.00,0.00,101,NULL,NULL,'CIDADE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6068448,5.00,7.00,4.00,6.00,7.00,11.25,3.00,2.00,4.00,212,NULL,233,'CENTRO','S JOSÉ','SC',7056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068464,4.00,5.00,1.00,4.00,7.00,7.50,0.00,3.00,3.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',16510,4381,NULL,NULL,NULL,NULL,NULL,2,1),(25,6068472,7.00,7.00,7.00,6.00,9.00,10.13,4.00,8.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068480,5.00,5.00,3.00,4.00,10.00,NULL,4.00,3.00,0.00,201,NULL,212,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6068502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PAU PRETO','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6068510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6068529,2.00,4.00,1.00,1.00,2.00,NULL,1.00,2.00,0.00,551,NULL,NULL,'FAZENDA NOVA','S JOSÉ CERRITO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6068537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'VL NOVA SOCORRO','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6068545,3.00,4.00,2.00,4.00,7.00,7.88,1.00,1.00,3.00,601,NULL,201,'ITAUM','JOINVILLE','SC',15068,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6068553,6.00,7.00,2.00,6.00,8.00,8.25,0.00,5.00,5.00,303,NULL,NULL,'IRIRIU','JOINVILLE','SC',7197,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6068570,7.00,8.00,4.00,6.00,8.00,9.00,1.00,8.00,5.00,103,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',3843,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6068588,6.00,5.00,3.00,5.00,8.00,9.00,1.00,5.00,6.00,103,NULL,NULL,'JARDIM PANORAMA','S JOSÉ R PRETO','SP',5265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068596,3.00,5.00,2.00,6.00,5.00,NULL,1.00,3.00,0.00,211,NULL,NULL,'LENÇOL','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6068600,7.00,6.00,3.00,4.00,4.00,6.75,1.00,7.00,6.00,103,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',8212,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6068618,6.00,7.00,2.00,6.00,8.00,9.38,1.00,6.00,4.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',5635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','DIAMANTE NORTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6068642,0.00,3.00,3.00,1.00,2.00,NULL,1.00,2.00,0.00,208,NULL,235,'SOMBRIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068650,6.00,6.00,5.00,6.00,9.00,9.00,0.00,5.00,5.00,214,NULL,213,'REPÚLBLICA','RIBEIRÃO PRETO','SP',4880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068677,2.00,0.00,1.00,1.00,5.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(25,6068685,2.00,2.00,3.00,3.00,5.00,8.63,2.00,0.00,0.00,503,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',21394,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6068707,4.00,4.00,4.00,2.00,5.00,7.88,1.00,1.00,2.00,404,NULL,NULL,'CAJURU','CURITIBA','PR',16726,45,NULL,NULL,NULL,NULL,NULL,2,3),(25,6068715,3.00,6.00,2.00,6.00,5.00,8.63,2.00,3.00,4.00,303,NULL,NULL,'JARDIM CAIÇARA I','REGISTRO','SP',11915,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6068731,4.00,4.00,1.00,3.00,9.00,9.38,1.00,4.00,2.00,336,NULL,NULL,'SANTO ANTONIO','JANDIRA','SP',12527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068740,2.00,6.00,2.00,4.00,6.00,9.00,3.00,4.00,2.00,453,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068758,6.00,3.00,4.00,5.00,8.00,8.25,0.00,3.00,6.00,104,NULL,NULL,'JARDIM ITU','PTO ALEGRE','RS',8708,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6068766,9.00,5.00,5.00,7.00,9.00,9.38,2.00,6.00,9.00,103,NULL,NULL,'JARDIM VILA RICA','MARINGÁ','PR',1390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068774,7.00,6.00,6.00,4.00,6.00,7.13,2.00,7.00,7.00,103,NULL,NULL,'CENTRO','PTO VITÓRIA','PR',4791,2354,NULL,NULL,NULL,NULL,NULL,2,17),(25,6068782,7.00,7.00,4.00,6.00,11.00,11.25,3.00,8.00,8.00,103,NULL,NULL,'TERRAS DE SÃO CARLOS','JUNDIAÍ','SP',558,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6068790,6.00,9.00,3.00,5.00,8.00,10.13,1.00,8.00,7.00,103,NULL,NULL,'CENTRO','TAPES','RS',2288,1393,NULL,NULL,NULL,NULL,NULL,2,5),(25,6068804,1.00,2.00,2.00,3.00,2.00,NULL,0.00,1.00,1.00,103,NULL,NULL,'AVENIDA CENTRAL','GRAMADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6068812,9.00,6.00,2.00,6.00,9.00,8.25,3.00,6.00,9.00,103,NULL,NULL,'LAGO PARQUE','LONDRINA','PR',2260,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6068820,5.00,2.00,2.00,4.00,6.00,9.38,2.00,0.00,2.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',19452,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6068839,4.00,4.00,1.00,4.00,6.00,8.63,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','S MARTINHO','SC',14367,4166,NULL,NULL,NULL,NULL,NULL,2,10),(25,6068847,3.00,3.00,2.00,3.00,3.00,7.13,0.00,2.00,2.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',19504,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6068855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6068863,5.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,0.00,103,NULL,NULL,'JUVEVÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(25,6068871,2.00,6.00,0.00,3.00,6.00,NULL,0.00,1.00,3.00,207,NULL,208,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6068901,7.00,6.00,3.00,7.00,10.00,13.50,3.00,4.00,4.00,450,NULL,NULL,'VILA MUQUI','TERESÓPOLIS','RJ',3166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068910,4.00,3.00,2.00,5.00,4.00,7.88,2.00,2.00,3.00,302,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',16499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6068928,3.00,5.00,0.00,2.00,1.00,NULL,1.00,4.00,1.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6068936,3.00,5.00,4.00,3.00,8.00,9.38,0.00,4.00,4.00,5,NULL,NULL,'GLÓRIA','VACARIA','RS',11594,415,NULL,NULL,NULL,NULL,NULL,2,1),(25,6068944,5.00,7.00,3.00,6.00,7.00,8.63,6.00,4.00,4.00,2,NULL,NULL,'ROÇADO','S JOSÉ','SC',5643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068952,8.00,6.00,4.00,4.00,7.00,7.50,4.00,6.00,3.00,201,NULL,212,'VILA IZABEL','CURITIBA','PR',6408,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6068960,2.00,4.00,3.00,3.00,5.00,8.63,1.00,0.00,2.00,317,NULL,NULL,'FLORESTA','S JOSÉ','SC',20440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068979,7.00,6.00,7.00,5.00,8.00,9.00,2.00,6.00,5.00,103,NULL,NULL,'LIDER','CHAPECÓ','SC',3051,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6068987,4.00,6.00,2.00,2.00,6.00,8.63,1.00,1.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6068995,5.00,4.00,1.00,4.00,7.00,NULL,0.00,5.00,2.00,201,NULL,207,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069002,0.00,2.00,0.00,1.00,2.00,NULL,0.00,1.00,0.00,332,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6069010,5.00,6.00,2.00,4.00,5.00,11.63,3.00,5.00,2.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',11989,209,NULL,NULL,NULL,NULL,NULL,2,1),(25,6069029,3.00,3.00,4.00,2.00,1.00,NULL,1.00,2.00,1.00,211,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6069037,2.00,4.00,2.00,1.00,2.00,NULL,2.00,5.00,2.00,337,NULL,NULL,'RIBANCEIRA DO SUL','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069061,6.00,9.00,7.00,3.00,7.00,9.38,5.00,4.00,6.00,220,NULL,235,'SÃO LUIS','BRUSQUE','SC',2348,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6069070,6.00,5.00,4.00,6.00,6.00,8.25,3.00,4.00,2.00,5,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',9670,NULL,NULL,NULL,NULL,NULL,NULL,1,9),(25,6069118,3.00,3.00,0.00,2.00,3.00,NULL,1.00,0.00,0.00,103,NULL,NULL,'RIO BONITO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6069126,3.00,5.00,1.00,3.00,6.00,6.75,2.00,2.00,3.00,304,NULL,NULL,'MARMELEIRO','MAIRINQUE','SP',15959,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6069134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,233,'GROGOTO','BARBACENA','MG',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6069150,2.00,0.00,1.00,1.00,8.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6069169,5.00,4.00,3.00,6.00,6.00,6.00,4.00,3.00,3.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069177,4.00,5.00,2.00,4.00,6.00,9.75,0.00,5.00,3.00,212,NULL,601,'FAZENDA','ITAJAÍ','SC',11812,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6069185,3.00,2.00,3.00,1.00,4.00,NULL,0.00,0.00,1.00,104,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6069207,3.00,2.00,2.00,5.00,6.00,NULL,1.00,0.00,3.00,212,NULL,214,'JARDIM PROENÇA','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069223,4.00,5.00,2.00,6.00,4.00,8.63,1.00,3.00,5.00,601,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',15130,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6069231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM CLAUDIA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6069240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'BANCÁRIOS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6069258,8.00,6.00,2.00,4.00,8.00,10.13,2.00,8.00,6.00,103,NULL,NULL,'PQ DOS LARANJAIS','CPO GRANDE','MS',4878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6069266,3.00,5.00,3.00,4.00,7.00,6.75,0.00,4.00,2.00,303,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',14225,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6069274,5.00,8.00,4.00,3.00,8.00,6.75,1.00,5.00,3.00,108,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',8213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069282,1.00,3.00,1.00,1.00,7.00,6.75,0.00,1.00,2.00,551,NULL,NULL,'INTERIOR','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6069312,5.00,5.00,3.00,3.00,6.00,9.38,3.00,4.00,2.00,103,NULL,NULL,'JEREISSATI','MARACANAÚ','CE',12409,3917,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069320,3.00,3.00,1.00,4.00,3.00,9.00,1.00,3.00,2.00,101,NULL,NULL,'CENTRO','PTO ALEGRE','RS',17485,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6069339,5.00,6.00,2.00,4.00,7.00,8.25,1.00,3.00,6.00,214,NULL,203,'SANTA FÉ','LIMEIRA','SP',8495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069380,3.00,2.00,1.00,5.00,6.00,9.00,1.00,0.00,1.00,104,NULL,NULL,'CENTRO','GRAVATAL','SC',18164,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6069401,2.00,5.00,1.00,5.00,5.00,6.38,2.00,5.00,4.00,224,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SANTA HILDA','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6069444,8.00,7.00,1.00,3.00,6.00,10.50,2.00,7.00,4.00,103,NULL,NULL,'INTERIOR','SUL BRASIL','SC',6658,2869,NULL,NULL,NULL,NULL,NULL,2,4),(25,6069452,7.00,6.00,3.00,5.00,7.00,8.25,2.00,3.00,6.00,203,NULL,201,'PINHEIRINHO','CURITIBA','PR',6266,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6069460,5.00,6.00,3.00,1.00,4.00,6.75,1.00,1.00,1.00,404,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6069479,3.00,6.00,0.00,6.00,7.00,NULL,3.00,4.00,1.00,424,NULL,428,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069487,7.00,5.00,2.00,4.00,5.00,9.00,2.00,3.00,4.00,233,NULL,207,'JARDIM RIO PRETO','TANGARÁ SERRA','MT',11769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069509,2.00,3.00,2.00,5.00,6.00,9.38,0.00,3.00,0.00,601,NULL,216,'BUCAREIN','JOINVILLE','SC',17220,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6069525,1.00,6.00,2.00,2.00,5.00,6.00,1.00,2.00,2.00,211,NULL,215,'JABAQUARA','S PAULO','SP',20829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069533,2.00,2.00,2.00,2.00,4.00,7.13,2.00,0.00,2.00,108,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6069541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CARNASCIALLI','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6069550,7.00,5.00,5.00,4.00,8.00,8.25,4.00,4.00,8.00,216,NULL,202,'VILA ARAPONGUINHA','ARAPONGAS','PR',5266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069576,3.00,4.00,2.00,2.00,5.00,9.00,1.00,4.00,2.00,999,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069592,4.00,5.00,1.00,4.00,5.00,NULL,0.00,6.00,4.00,326,NULL,NULL,'CENTRO','EXTREMA','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6069606,3.00,1.00,2.00,3.00,3.00,7.13,3.00,2.00,1.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',20388,434,NULL,NULL,NULL,NULL,NULL,2,1),(25,6069614,3.00,4.00,2.00,1.00,3.00,7.88,1.00,1.00,1.00,444,NULL,NULL,'ATIRADORES','JOINVILLE','SC',20444,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6069622,5.00,5.00,0.00,5.00,6.00,9.00,2.00,5.00,3.00,103,NULL,NULL,'CIDADE VARGAS','S PAULO','SP',13781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069630,4.00,2.00,1.00,6.00,9.00,8.25,1.00,4.00,1.00,415,NULL,NULL,'SAMBUGARO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6069649,8.00,5.00,3.00,5.00,8.00,6.75,3.00,6.00,7.00,103,NULL,NULL,'JARDIM ALVORADA','LONDRINA','PR',4579,2279,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069665,0.00,3.00,0.00,0.00,1.00,NULL,1.00,4.00,1.00,308,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6069673,6.00,8.00,3.00,6.00,9.00,9.00,2.00,8.00,5.00,340,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',5007,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6069681,3.00,2.00,2.00,4.00,7.00,6.00,1.00,2.00,3.00,201,NULL,653,'CENTRO','STA ROSA SUL','SC',15870,1351,NULL,147,NULL,NULL,NULL,2,15),(25,6069690,8.00,7.00,7.00,6.00,10.00,8.63,6.00,7.00,8.00,203,NULL,220,'SANTA MARIA','CHAPECÓ','SC',486,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6069703,0.00,5.00,3.00,2.00,5.00,NULL,2.00,1.00,0.00,601,NULL,216,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6069711,7.00,5.00,2.00,5.00,9.00,8.25,2.00,4.00,6.00,103,NULL,NULL,'SETOR UNIÃO','GOIÂNIA','GO',5448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069720,4.00,4.00,1.00,5.00,8.00,7.88,1.00,1.00,3.00,103,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',17855,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6069738,5.00,7.00,5.00,4.00,5.00,7.13,2.00,6.00,6.00,110,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6069746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6069754,2.00,3.00,0.00,3.00,5.00,8.63,1.00,2.00,2.00,302,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',18862,164,NULL,NULL,NULL,NULL,NULL,2,1),(25,6069762,9.00,7.00,7.00,7.00,9.00,9.75,8.00,9.00,9.00,103,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',34,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069770,8.00,7.00,5.00,6.00,10.00,10.50,5.00,8.00,9.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069797,2.00,4.00,4.00,4.00,7.00,NULL,1.00,4.00,0.00,503,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069800,4.00,5.00,3.00,4.00,3.00,8.63,1.00,1.00,2.00,103,NULL,NULL,'CENTRO','MELEIRO','SC',14729,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6069819,6.00,7.00,3.00,6.00,9.00,9.00,3.00,6.00,6.00,103,NULL,NULL,'ORFÃS','PNT GROSSA','PR',3985,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6069827,8.00,8.00,6.00,7.00,10.00,14.25,6.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',220,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6069835,2.00,1.00,1.00,3.00,4.00,7.88,1.00,1.00,1.00,3,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6069843,3.00,7.00,3.00,4.00,5.00,7.13,3.00,2.00,1.00,208,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',13935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069851,5.00,3.00,1.00,3.00,7.00,9.75,2.00,4.00,3.00,999,NULL,NULL,'TRICOLIN','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6069860,2.00,3.00,1.00,1.00,4.00,7.88,2.00,3.00,2.00,326,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',20927,67,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069878,7.00,5.00,2.00,3.00,8.00,10.13,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','CAÇADOR','SC',6864,2929,NULL,NULL,NULL,NULL,NULL,4,17),(25,6069886,9.00,8.00,8.00,6.00,9.00,12.38,5.00,9.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',187,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6069894,5.00,7.00,4.00,5.00,9.00,10.13,1.00,4.00,5.00,212,NULL,214,'SÃO JOSÉ','STA MARIA','RS',4367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069908,3.00,4.00,4.00,2.00,4.00,7.88,1.00,1.00,2.00,404,NULL,NULL,'SÃO FRANCISCO','MISSAL','PR',20038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6069924,5.00,6.00,3.00,3.00,5.00,9.00,2.00,1.00,2.00,502,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15692,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6069940,4.00,6.00,4.00,5.00,7.00,8.25,4.00,5.00,6.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6069967,4.00,4.00,3.00,6.00,7.00,11.63,0.00,5.00,4.00,303,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',10669,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6069975,8.00,9.00,7.00,7.00,10.00,9.38,6.00,5.00,8.00,340,NULL,NULL,'ATIRAORES','JOINVILLE','SC',165,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6069983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,601,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6069991,7.00,4.00,1.00,6.00,7.00,NULL,0.00,4.00,2.00,208,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'JD VILA RICA','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6070027,7.00,5.00,4.00,6.00,9.00,7.13,3.00,6.00,5.00,216,NULL,214,'NOVA GARDENIA','ATIBAIA','SP',3444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070035,7.00,7.00,1.00,6.00,9.00,10.88,0.00,5.00,4.00,999,NULL,NULL,'DALBÉRGIA','IBIRAMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6070051,6.00,5.00,5.00,5.00,6.00,9.38,3.00,6.00,4.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070078,4.00,1.00,1.00,3.00,5.00,NULL,0.00,1.00,0.00,207,NULL,201,'JARDIM PIAZZA DI ROM','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6070108,3.00,4.00,2.00,4.00,6.00,7.88,1.00,3.00,0.00,207,NULL,201,'CENTRO','TREZE TÍLIAS','SC',19840,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6070116,3.00,4.00,3.00,4.00,4.00,6.75,1.00,2.00,2.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6070124,2.00,4.00,4.00,2.00,6.00,9.38,1.00,3.00,2.00,308,NULL,NULL,'AREIAS','S JOSÉ','SC',16933,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6070132,5.00,8.00,2.00,6.00,6.00,7.50,4.00,6.00,3.00,233,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',6685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070140,8.00,7.00,3.00,6.00,7.00,9.38,1.00,5.00,5.00,5,NULL,NULL,'RODOVIARIA PARK','CUIABÁ','MT',4170,146,NULL,NULL,NULL,NULL,NULL,4,8),(25,6070159,4.00,6.00,1.00,3.00,6.00,7.88,2.00,4.00,2.00,653,NULL,655,'COLONINHA','ARARANGUÁ','SC',14449,128,NULL,51,NULL,NULL,NULL,4,15),(25,6070167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','MACHADINHO D OESTE','RO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6070175,6.00,4.00,1.00,4.00,8.00,8.63,0.00,3.00,2.00,103,NULL,NULL,'INTERIOR','ANCHIETA','SC',13134,4010,NULL,NULL,NULL,NULL,NULL,2,9),(25,6070183,3.00,5.00,0.00,5.00,8.00,NULL,2.00,1.00,5.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6070191,1.00,1.00,0.00,1.00,6.00,NULL,1.00,1.00,1.00,444,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6070205,1.00,2.00,0.00,0.00,7.00,8.25,2.00,0.00,1.00,103,NULL,NULL,'CENTRO','LEOBERTO LEAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6070248,8.00,7.00,7.00,6.00,8.00,8.25,5.00,5.00,7.00,203,NULL,233,'ZONA CINCO','MARINGÁ','PR',1106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6070299,7.00,5.00,6.00,7.00,9.00,8.63,4.00,4.00,8.00,216,NULL,233,'BELA SUIÇA','LONDRINA','PR',2185,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6070302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'VILA JUSTINA','TIETÊ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6070310,6.00,6.00,3.00,4.00,6.00,9.00,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','CAMBORIÚ','SC',8757,3337,NULL,NULL,NULL,NULL,NULL,2,3),(25,6070329,7.00,6.00,5.00,7.00,9.00,9.38,6.00,4.00,9.00,601,NULL,216,'COSTA E SILVA','JOINVILLE','SC',674,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6070337,7.00,8.00,6.00,5.00,5.00,10.50,4.00,9.00,10.00,103,NULL,NULL,'JD LOS ANGELES','MARINGÁ','PR',978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070353,4.00,6.00,1.00,4.00,4.00,6.75,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',15153,4238,NULL,NULL,NULL,NULL,NULL,2,1),(25,6070370,4.00,5.00,1.00,5.00,9.00,9.38,4.00,4.00,4.00,211,NULL,215,'CORREGO GRANDE','FLORIANÓPOLIS','SC',8853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070388,7.00,6.00,2.00,6.00,7.00,11.25,2.00,6.00,8.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',3032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070396,3.00,6.00,2.00,6.00,6.00,12.00,3.00,3.00,1.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13225,103,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070400,3.00,3.00,1.00,3.00,5.00,6.75,1.00,2.00,1.00,653,NULL,655,'RIO MAINA','CRICIÚMA','SC',21191,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6070418,3.00,3.00,1.00,3.00,3.00,NULL,2.00,0.00,2.00,335,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6070426,4.00,6.00,3.00,7.00,9.00,8.25,3.00,2.00,3.00,207,NULL,212,'KOBRASOL','S JOSÉ','SC',10988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070434,2.00,5.00,2.00,4.00,4.00,6.75,1.00,1.00,3.00,201,NULL,207,'BOM JESUS','RIO NEGRO','PR',17484,1446,NULL,932,NULL,NULL,NULL,2,1),(25,6070442,4.00,5.00,0.00,5.00,7.00,NULL,0.00,1.00,4.00,103,NULL,NULL,'CENTRO','NOVA ERECHIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6070450,9.00,7.00,4.00,7.00,10.00,10.13,5.00,5.00,9.00,216,NULL,215,'JOSE MENDES','FLORIANÓPOLIS','SC',505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070469,3.00,2.00,4.00,6.00,8.00,8.25,1.00,1.00,1.00,201,NULL,207,'CENTRO','BAL PIÇARRAS','SC',17605,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6070477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6070493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6070507,2.00,4.00,2.00,2.00,2.00,NULL,0.00,4.00,0.00,303,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070515,4.00,5.00,1.00,3.00,5.00,6.38,1.00,2.00,2.00,333,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6070523,5.00,7.00,3.00,4.00,9.00,11.25,2.00,4.00,5.00,214,NULL,212,'JARDIM ALVINÓPOLIS','ATIBAIA','SP',4753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6070540,2.00,2.00,0.00,2.00,2.00,NULL,2.00,0.00,1.00,652,NULL,207,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6070566,7.00,8.00,3.00,7.00,10.00,10.50,3.00,7.00,6.00,103,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',1620,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6070582,4.00,7.00,2.00,4.00,8.00,8.25,1.00,3.00,2.00,103,NULL,NULL,'SÃO JOSÉ','SOMBRIO','SC',11053,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6070590,9.00,6.00,5.00,4.00,8.00,8.63,2.00,5.00,8.00,103,NULL,NULL,'SETRO MORADA DO SOL','RIO VERDE','GO',2397,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6070604,4.00,7.00,5.00,5.00,7.00,9.38,2.00,2.00,0.00,316,NULL,NULL,'CENTRO','CRICIÚMA','SC',12223,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6070612,2.00,3.00,2.00,1.00,6.00,10.88,2.00,0.00,4.00,404,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',17949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070620,4.00,5.00,5.00,6.00,8.00,11.25,3.00,3.00,4.00,201,NULL,212,'COND PALAVRA DA VIDA','ATIBAIA','SP',5437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070639,3.00,2.00,2.00,6.00,5.00,NULL,2.00,0.00,2.00,104,NULL,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6070655,4.00,6.00,2.00,5.00,7.00,9.00,0.00,2.00,4.00,301,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',13031,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6070663,3.00,2.00,1.00,5.00,4.00,8.63,1.00,2.00,1.00,201,NULL,215,'SANTA FELICIDADE','CURITIBA','PR',18369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6070671,5.00,2.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'LAGOA DA CONEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6070680,5.00,6.00,5.00,6.00,8.00,8.63,4.00,2.00,4.00,203,NULL,601,'BIGORRILHO','CURITIBA','PR',5676,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6070698,3.00,7.00,2.00,1.00,7.00,9.00,1.00,5.00,4.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15166,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6070701,5.00,5.00,2.00,6.00,7.00,9.38,3.00,2.00,3.00,340,NULL,NULL,'EXPOSIÇÃO','CAXIAS SUL','RS',9267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070710,9.00,7.00,6.00,7.00,10.00,10.50,7.00,8.00,9.00,202,NULL,214,'SANTANA','RIO SUL','SC',74,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070728,7.00,7.00,7.00,7.00,9.00,10.50,2.00,7.00,6.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070736,7.00,7.00,5.00,6.00,8.00,12.00,3.00,4.00,7.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',2098,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6070752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'NOVO CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6070779,3.00,6.00,2.00,3.00,6.00,7.88,1.00,3.00,4.00,103,NULL,NULL,'BOA VISTA','ITUPORANGA','SC',13248,4037,NULL,NULL,NULL,NULL,NULL,2,9),(25,6070787,5.00,4.00,2.00,7.00,5.00,9.00,2.00,7.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10545,488,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070795,4.00,2.00,3.00,5.00,7.00,10.88,2.00,6.00,5.00,207,NULL,233,'ZONA DOIS','MARINGÁ','PR',7968,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6070817,3.00,2.00,0.00,4.00,4.00,6.75,2.00,0.00,1.00,201,NULL,207,'ESCALVADO','NAVEGANTES','SC',21420,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6070841,8.00,5.00,8.00,6.00,8.00,10.88,4.00,5.00,7.00,211,NULL,212,'SANTA MÔNICA','FLORIANÓPOLIS','SC',1318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,214,'CENTRAL PARK','BATATAIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6070868,2.00,4.00,0.00,3.00,5.00,NULL,2.00,0.00,1.00,999,NULL,NULL,'JARDIM ÍTALIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6070884,3.00,7.00,0.00,2.00,7.00,7.50,2.00,2.00,2.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18564,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6070906,3.00,4.00,0.00,5.00,7.00,NULL,0.00,5.00,1.00,102,NULL,NULL,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070914,7.00,8.00,4.00,6.00,9.00,9.38,2.00,9.00,7.00,103,NULL,NULL,'CENTRO','NOVA VENEZA','SC',1482,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6070922,8.00,7.00,5.00,5.00,8.00,7.13,3.00,5.00,8.00,103,NULL,NULL,'UNIVERSITARIO','CASCAVEL','PR',3159,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6070930,9.00,6.00,8.00,6.00,8.00,9.00,7.00,6.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',801,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6070957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA A','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6070965,2.00,3.00,0.00,4.00,4.00,8.25,0.00,1.00,1.00,207,NULL,201,'TRINTA REIS','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070973,4.00,5.00,3.00,7.00,8.00,7.88,0.00,3.00,6.00,212,NULL,214,'COLINA VERDE','JABOTICABAL','SP',7491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070981,5.00,3.00,3.00,7.00,9.00,9.38,3.00,3.00,4.00,415,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6070990,3.00,5.00,2.00,2.00,2.00,NULL,0.00,0.00,3.00,207,NULL,208,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071007,2.00,2.00,3.00,5.00,4.00,9.75,1.00,2.00,2.00,309,NULL,NULL,'RIO MOLHA','JARAGUÁ SUL','SC',16925,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6071015,4.00,3.00,1.00,2.00,8.00,7.88,2.00,5.00,3.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071023,3.00,6.00,4.00,6.00,4.00,9.00,2.00,3.00,5.00,201,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9832,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6071040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6071058,1.00,5.00,3.00,2.00,3.00,9.00,2.00,3.00,1.00,653,NULL,655,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6071074,4.00,4.00,2.00,3.00,9.00,NULL,0.00,2.00,2.00,5,NULL,NULL,'ITAPAGÉ','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6071090,7.00,4.00,4.00,4.00,10.00,9.75,3.00,7.00,9.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',1593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071104,4.00,4.00,2.00,4.00,5.00,9.75,2.00,2.00,2.00,452,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',16177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071120,7.00,6.00,4.00,6.00,5.00,7.50,5.00,6.00,5.00,203,NULL,212,'CENTRO','PALHOÇA','SC',5095,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6071139,9.00,8.00,7.00,7.00,9.00,10.50,5.00,5.00,7.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071147,4.00,6.00,0.00,4.00,5.00,7.88,0.00,1.00,0.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',20199,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6071155,3.00,2.00,0.00,1.00,2.00,NULL,1.00,2.00,1.00,302,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6071163,4.00,5.00,1.00,2.00,2.00,NULL,1.00,3.00,2.00,420,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6071171,1.00,3.00,0.00,2.00,2.00,NULL,2.00,0.00,0.00,501,NULL,NULL,'BOA VISTA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6071198,3.00,4.00,5.00,4.00,7.00,7.13,3.00,6.00,3.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071201,3.00,4.00,3.00,1.00,5.00,NULL,1.00,1.00,0.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6071210,6.00,4.00,4.00,3.00,8.00,10.13,0.00,1.00,4.00,103,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',11323,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6071228,5.00,3.00,1.00,4.00,6.00,7.13,2.00,4.00,0.00,319,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',15544,295,NULL,NULL,NULL,NULL,NULL,2,8),(25,6071236,3.00,5.00,1.00,4.00,8.00,7.13,0.00,4.00,4.00,318,NULL,NULL,'JARDIM DA SAÚDE','S PAULO','SP',12246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071244,7.00,7.00,4.00,7.00,9.00,11.25,4.00,6.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071252,7.00,5.00,2.00,2.00,7.00,9.75,3.00,6.00,6.00,104,NULL,NULL,'GLÓRIA','JOINVILLE','SC',5015,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6071260,1.00,3.00,2.00,6.00,6.00,10.13,2.00,4.00,4.00,208,NULL,238,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071279,4.00,6.00,2.00,6.00,7.00,10.13,2.00,4.00,2.00,308,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',12433,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6071295,0.00,3.00,0.00,0.00,0.00,NULL,1.00,3.00,0.00,201,NULL,216,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6071309,4.00,5.00,4.00,5.00,8.00,9.75,3.00,5.00,2.00,201,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',11110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071317,5.00,4.00,0.00,4.00,5.00,NULL,0.00,0.00,1.00,303,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6071325,3.00,6.00,2.00,3.00,7.00,NULL,3.00,4.00,0.00,319,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6071333,3.00,3.00,1.00,1.00,7.00,7.88,2.00,3.00,1.00,428,NULL,426,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6071341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'CENTRO','GOIOERÊ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6071350,2.00,5.00,2.00,6.00,7.00,7.88,2.00,5.00,1.00,303,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',12923,603,NULL,NULL,NULL,NULL,NULL,2,1),(25,6071368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM CEPAR','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6071376,3.00,5.00,1.00,2.00,4.00,7.50,1.00,5.00,2.00,201,NULL,207,'VARGINHA','STO AMARO IMPERATRIZ','SC',19657,1611,NULL,1070,NULL,NULL,NULL,2,1),(25,6071384,4.00,2.00,0.00,2.00,3.00,NULL,0.00,2.00,1.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6071392,7.00,5.00,6.00,5.00,7.00,6.00,5.00,7.00,3.00,203,NULL,220,'CENTRO','LAGES','SC',5818,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6071406,2.00,6.00,5.00,6.00,9.00,11.25,0.00,4.00,4.00,452,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071414,8.00,7.00,7.00,7.00,10.00,12.00,8.00,7.00,8.00,103,NULL,NULL,'VILA APRAZÍVEL','JACAREÍ','SP',36,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071422,6.00,3.00,1.00,5.00,6.00,NULL,3.00,1.00,3.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6071449,3.00,5.00,0.00,1.00,4.00,9.00,1.00,4.00,3.00,207,NULL,203,'CAMPECHE','FLORIANÓPOLIS','SC',17797,957,NULL,1026,NULL,NULL,NULL,4,1),(25,6071457,6.00,7.00,1.00,6.00,10.00,8.63,1.00,3.00,2.00,103,NULL,NULL,'VICOR KONDER','BLUMENAU','SC',8430,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6071465,8.00,7.00,2.00,6.00,9.00,11.25,4.00,8.00,6.00,103,NULL,NULL,'ARAXA DOIS','LONDRINA','PR',1781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071473,4.00,5.00,0.00,5.00,3.00,6.38,1.00,1.00,3.00,9,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',20783,156,NULL,NULL,NULL,NULL,NULL,2,1),(25,6071481,5.00,6.00,5.00,4.00,5.00,6.75,5.00,7.00,7.00,208,NULL,238,'JOÃO PAULO','FLORIANÓPOLIS','SC',6242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071490,4.00,4.00,2.00,5.00,7.00,9.38,2.00,1.00,0.00,9,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071503,2.00,6.00,1.00,6.00,9.00,8.25,0.00,2.00,2.00,320,NULL,NULL,'COMASA','JOINVILLE','SC',13328,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6071511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6071520,7.00,8.00,4.00,7.00,10.00,10.13,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071546,1.00,3.00,1.00,2.00,3.00,NULL,1.00,1.00,0.00,310,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071554,4.00,5.00,2.00,3.00,8.00,8.63,1.00,7.00,2.00,327,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',12685,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6071562,8.00,4.00,5.00,7.00,7.00,9.00,3.00,4.00,6.00,203,NULL,201,'BOQUEIRÃO','CURITIBA','PR',5311,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6071589,5.00,3.00,4.00,3.00,6.00,9.38,3.00,3.00,1.00,238,NULL,208,'CENTRO','TUBARÃO','SC',14077,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6071597,2.00,1.00,2.00,4.00,2.00,NULL,1.00,4.00,1.00,201,NULL,NULL,'INTERIOR','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6071600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'CENTRO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6071619,4.00,6.00,2.00,5.00,7.00,7.50,1.00,6.00,1.00,238,NULL,208,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',10593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071627,3.00,5.00,1.00,3.00,5.00,NULL,0.00,3.00,2.00,652,NULL,655,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6071635,2.00,5.00,1.00,2.00,4.00,7.13,3.00,2.00,1.00,324,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6071643,5.00,6.00,3.00,4.00,4.00,8.63,2.00,3.00,4.00,420,NULL,NULL,'PINHEIROS','OTACÍLIO COSTA','SC',10161,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6071660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6071678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,233,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6071686,3.00,5.00,1.00,3.00,4.00,9.00,0.00,3.00,0.00,303,NULL,NULL,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',19423,815,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071694,4.00,5.00,2.00,5.00,6.00,7.13,2.00,3.00,1.00,420,NULL,NULL,'SÃO JORGE','S MIGUEL OESTE','SC',14069,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6071708,9.00,7.00,3.00,7.00,7.00,6.75,3.00,7.00,7.00,203,NULL,601,'GLORIA','JOINVILLE','SC',2487,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6071716,3.00,2.00,4.00,5.00,3.00,10.13,1.00,1.00,1.00,654,NULL,NULL,'CENTRO','IMARUÍ','SC',20203,66,NULL,NULL,NULL,NULL,NULL,2,10),(25,6071724,1.00,3.00,1.00,4.00,8.00,12.38,0.00,1.00,1.00,451,NULL,NULL,'CENTRO','ITUPORANGA','SC',19002,35,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071732,3.00,3.00,3.00,5.00,6.00,8.25,2.00,4.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12371,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6071740,5.00,5.00,6.00,5.00,6.00,9.00,0.00,6.00,7.00,102,NULL,NULL,'PALHOÇA','PALHOÇA','SC',6286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071759,8.00,4.00,3.00,6.00,10.00,9.00,1.00,8.00,6.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',3575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071767,7.00,6.00,7.00,8.00,8.00,8.63,6.00,8.00,7.00,103,NULL,NULL,'VILA MADALENA','S PAULO','SP',647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071775,5.00,4.00,3.00,5.00,6.00,7.13,2.00,6.00,4.00,207,NULL,201,'VELHA','BLUMENAU','SC',7993,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6071783,1.00,2.00,1.00,1.00,2.00,NULL,1.00,4.00,1.00,444,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6071791,3.00,2.00,0.00,3.00,6.00,7.88,2.00,4.00,2.00,211,NULL,207,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6071805,7.00,7.00,5.00,6.00,9.00,8.63,5.00,5.00,6.00,2,NULL,NULL,'CENTRO','GAROPABA','SC',1601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071813,1.00,4.00,3.00,2.00,4.00,7.13,2.00,0.00,3.00,308,NULL,NULL,'CAMPO D UNA','GAROPABA','SC',21108,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6071821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6071830,6.00,5.00,3.00,2.00,7.00,6.38,2.00,2.00,3.00,999,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6071848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'VILA ALPINA','NOVA LIMA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6071856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071864,2.00,3.00,2.00,3.00,2.00,NULL,0.00,1.00,3.00,104,NULL,NULL,'VILA BRASIL','ESPUMOSO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6071872,1.00,4.00,2.00,0.00,5.00,9.38,2.00,0.00,0.00,551,NULL,NULL,'GETULIO VARGAS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6071899,5.00,5.00,0.00,6.00,7.00,7.88,1.00,6.00,4.00,207,NULL,201,'CENTREVILLE','LIMEIRA','SP',8537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071902,6.00,7.00,5.00,2.00,4.00,12.38,2.00,7.00,4.00,207,NULL,201,'CENTRO','CHAPECÓ','SC',6048,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6071910,4.00,8.00,2.00,7.00,6.00,9.38,3.00,6.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7262,273,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071929,7.00,8.00,0.00,6.00,7.00,8.63,2.00,5.00,2.00,201,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',10093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071937,5.00,6.00,3.00,6.00,6.00,12.38,2.00,6.00,1.00,301,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',9086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071945,6.00,5.00,1.00,7.00,8.00,9.75,2.00,6.00,3.00,452,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',8969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071953,6.00,7.00,3.00,4.00,7.00,6.75,3.00,5.00,6.00,213,NULL,202,'PASSAGEM','TUBARÃO','SC',9371,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6071961,7.00,6.00,3.00,5.00,7.00,12.00,0.00,6.00,5.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',5300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071970,4.00,5.00,2.00,6.00,5.00,11.63,1.00,2.00,1.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6071988,7.00,6.00,1.00,3.00,8.00,8.25,0.00,4.00,4.00,3,NULL,NULL,'FÁTIMA','JOINVILLE','SC',12413,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6071996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMÉRICA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6072003,6.00,7.00,3.00,7.00,10.00,7.13,1.00,7.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072011,7.00,8.00,6.00,7.00,8.00,9.00,6.00,7.00,7.00,203,NULL,233,'CENTRO','PTO ALEGRE','RS',1256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072038,2.00,3.00,1.00,1.00,7.00,7.13,2.00,3.00,1.00,9,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072046,5.00,5.00,1.00,4.00,9.00,7.13,3.00,4.00,4.00,103,NULL,NULL,'SAIC','CHAPECÓ','SC',11799,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6072054,2.00,4.00,1.00,3.00,7.00,NULL,0.00,3.00,3.00,211,NULL,207,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072062,5.00,2.00,2.00,1.00,5.00,6.75,1.00,3.00,2.00,319,NULL,NULL,'PARQUE DELTA','S CARLOS','SP',18726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072070,2.00,4.00,2.00,3.00,6.00,9.75,1.00,1.00,2.00,101,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072089,3.00,2.00,1.00,3.00,5.00,8.63,0.00,4.00,2.00,5,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',17049,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6072097,3.00,4.00,0.00,6.00,7.00,NULL,3.00,4.00,2.00,5,NULL,NULL,'CENTRO','ARVOREZINHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072100,6.00,6.00,7.00,6.00,6.00,10.88,2.00,5.00,7.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',3821,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072119,7.00,6.00,4.00,6.00,7.00,7.50,2.00,6.00,7.00,201,NULL,601,'KOBRASOL','S JOSÉ','SC',4463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072127,0.00,4.00,4.00,2.00,7.00,NULL,1.00,3.00,0.00,303,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072135,5.00,5.00,0.00,3.00,5.00,9.38,0.00,1.00,4.00,104,NULL,NULL,'HUMAITA','RIO JANEIRO','RJ',13923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072160,9.00,6.00,4.00,5.00,9.00,10.88,0.00,6.00,6.00,103,NULL,NULL,'SALTO WEISSBACH','BLUMENAU','SC',3239,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6072178,6.00,5.00,2.00,7.00,8.00,9.38,1.00,5.00,6.00,203,NULL,201,'BURLE MARX','LONDRINA','PR',5894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072186,2.00,5.00,0.00,2.00,4.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'PLANALTO VERDE','MOGI GUAÇU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6072216,3.00,1.00,0.00,3.00,3.00,NULL,2.00,1.00,1.00,216,NULL,211,'INTERIOR','DESCANSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6072224,3.00,5.00,1.00,3.00,5.00,9.75,1.00,3.00,4.00,310,NULL,NULL,'CENTRO','CASSILÂNDIA','MS',14429,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA SUIÇA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6072240,7.00,7.00,8.00,7.00,11.00,10.13,2.00,7.00,6.00,340,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072259,4.00,3.00,2.00,1.00,5.00,6.75,2.00,2.00,0.00,654,NULL,NULL,'CENTRO','CHAPECÓ','SC',19804,60,NULL,NULL,NULL,NULL,NULL,4,4),(25,6072275,8.00,7.00,1.00,3.00,6.00,8.25,1.00,7.00,5.00,201,NULL,211,'GRANJA VIANA','COTIA','SP',8358,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072283,5.00,3.00,2.00,7.00,8.00,11.63,2.00,1.00,0.00,103,NULL,NULL,'FIDÉLIS','BLUMENAU','SC',11471,3780,NULL,NULL,NULL,NULL,NULL,2,2),(25,6072291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'VILA RESENDE','CAÇAPAVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6072305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CENTRO','PENHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6072313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,208,'DAS NAÇÕES','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6072321,4.00,3.00,0.00,3.00,6.00,NULL,0.00,2.00,0.00,415,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072330,5.00,7.00,1.00,6.00,7.00,9.75,2.00,4.00,2.00,301,NULL,NULL,'CENTRO','BIGUAÇU','SC',11531,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072348,2.00,3.00,1.00,3.00,7.00,NULL,0.00,4.00,3.00,333,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072356,5.00,4.00,2.00,7.00,9.00,5.25,2.00,6.00,1.00,320,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',9810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072364,6.00,7.00,5.00,6.00,8.00,9.75,3.00,4.00,6.00,220,NULL,216,'PARAÍSO','S PAULO','SP',2731,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6072380,3.00,5.00,0.00,3.00,7.00,NULL,0.00,1.00,1.00,201,NULL,212,'ARMAÇAO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6072399,2.00,4.00,0.00,4.00,3.00,NULL,1.00,0.00,2.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072402,3.00,5.00,1.00,2.00,4.00,4.50,0.00,3.00,0.00,502,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',20658,50,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072410,4.00,6.00,2.00,3.00,7.00,NULL,0.00,4.00,0.00,103,NULL,NULL,'SANTA LUZIA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6072429,6.00,5.00,3.00,5.00,6.00,7.13,1.00,6.00,2.00,329,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'NAZARÉ','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6072445,3.00,6.00,1.00,3.00,4.00,6.38,1.00,1.00,1.00,601,NULL,235,'IRIRIU','JOINVILLE','SC',21024,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6072461,3.00,4.00,1.00,3.00,7.00,5.63,1.00,2.00,1.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18138,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072470,4.00,6.00,2.00,6.00,7.00,8.63,1.00,4.00,1.00,303,NULL,NULL,'JD PACAEMBÚ','CAMPINAS','SP',12056,568,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072488,5.00,4.00,2.00,7.00,6.00,9.00,1.00,1.00,8.00,104,NULL,NULL,'JD CANADA','ASSIS','SP',9314,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6072496,3.00,4.00,3.00,4.00,7.00,12.75,3.00,4.00,2.00,214,NULL,203,'JD PAU PRETO','INDAIATUBA','SP',11162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072500,2.00,4.00,0.00,1.00,8.00,8.25,2.00,2.00,0.00,601,NULL,212,'VILA NOVA','JOINVILLE','SC',20496,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6072518,1.00,4.00,1.00,2.00,7.00,9.38,2.00,3.00,1.00,426,NULL,428,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6072534,5.00,5.00,3.00,3.00,5.00,7.50,2.00,4.00,1.00,452,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',13803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072542,4.00,7.00,4.00,6.00,7.00,8.63,1.00,6.00,5.00,212,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',6212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JARDIM PLANALTO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6072569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6072593,6.00,8.00,3.00,6.00,7.00,7.50,3.00,6.00,6.00,208,NULL,601,'GLÓRIA','JOINVILLE','SC',4547,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6072607,4.00,4.00,0.00,1.00,4.00,8.63,0.00,1.00,2.00,319,NULL,NULL,'CAPOEIRAS PROMORAR','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072615,5.00,6.00,4.00,7.00,9.00,7.13,2.00,3.00,1.00,340,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072623,3.00,5.00,1.00,3.00,7.00,7.13,0.00,3.00,2.00,502,NULL,NULL,'JARDIM','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6072658,8.00,6.00,4.00,6.00,7.00,11.25,6.00,7.00,7.00,203,NULL,NULL,'JD PETRÓPOLIS','IBITINGA','SP',974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072666,4.00,7.00,3.00,6.00,8.00,9.75,1.00,6.00,5.00,452,NULL,NULL,'CENTRO','CAPINZAL','SC',5986,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6072674,5.00,5.00,4.00,7.00,8.00,7.13,3.00,4.00,4.00,201,NULL,NULL,'JARDIM AMÉRICA','VILHENA','RO',7007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072682,3.00,6.00,2.00,6.00,7.00,6.38,0.00,4.00,2.00,423,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',17180,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072690,5.00,6.00,3.00,4.00,8.00,9.00,2.00,4.00,3.00,601,NULL,203,'AVENTUREIRO','JOINVILLE','SC',8510,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6072704,7.00,7.00,1.00,4.00,10.00,9.75,1.00,7.00,5.00,103,NULL,NULL,'CENTRO','RIO FORTUNA','SC',6449,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6072712,7.00,6.00,4.00,4.00,7.00,9.75,2.00,4.00,3.00,103,NULL,NULL,'SANTA MENA','GUARULHOS','SP',8035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072720,4.00,7.00,3.00,4.00,5.00,7.13,2.00,4.00,2.00,301,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13869,156,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072739,2.00,4.00,2.00,2.00,3.00,5.25,2.00,1.00,0.00,601,NULL,233,'CAPOEIRAS','FLORIANÓPOLIS','SC',21061,602,NULL,485,NULL,NULL,NULL,2,1),(25,6072747,4.00,3.00,0.00,4.00,6.00,7.88,1.00,2.00,2.00,238,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',20350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CALADINHO DE CIMA','CEL FABRICIANO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6072763,3.00,2.00,1.00,3.00,6.00,6.00,1.00,2.00,3.00,302,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','SALTO LONTRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6072801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6072810,4.00,4.00,0.00,5.00,4.00,6.00,1.00,4.00,3.00,309,NULL,NULL,'VILA INDUSTRIAL','LONDRINA','PR',15914,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6072828,3.00,4.00,3.00,7.00,5.00,9.00,2.00,6.00,5.00,103,NULL,NULL,'ESCOLA AGRICOLA','BLUMENAU','SC',9134,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6072836,6.00,8.00,4.00,6.00,8.00,9.38,3.00,3.00,6.00,220,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',5075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072879,2.00,5.00,3.00,1.00,5.00,6.75,3.00,6.00,4.00,601,NULL,233,'PONTA DE BAIXO','S JOSÉ','SC',17990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072887,7.00,6.00,2.00,3.00,9.00,12.00,1.00,4.00,2.00,110,NULL,NULL,'JARDIM ARAUCARIA','S JOSÉ','SC',10756,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072895,2.00,5.00,1.00,3.00,7.00,7.50,3.00,2.00,1.00,101,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PALMITAL','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6072917,6.00,7.00,4.00,7.00,10.00,9.38,0.00,4.00,9.00,340,NULL,NULL,'CENTRO','MARAU','RS',1884,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6072925,2.00,3.00,1.00,2.00,3.00,7.13,1.00,3.00,1.00,203,NULL,208,'CENTRO','URUPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6072933,5.00,6.00,4.00,6.00,5.00,9.38,3.00,4.00,5.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072941,0.00,2.00,0.00,0.00,0.00,NULL,1.00,2.00,2.00,999,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,2),(25,6072950,5.00,6.00,2.00,4.00,6.00,9.00,2.00,1.00,4.00,103,NULL,NULL,'CENTRO','IPAUSSU','SP',12304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072968,5.00,4.00,4.00,6.00,8.00,7.88,2.00,5.00,6.00,203,NULL,NULL,'SAO BENTO','BELO HORIZONTE','MG',8716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6072984,2.00,3.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6072992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM ITAPEVA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6073000,2.00,4.00,2.00,2.00,5.00,6.38,1.00,1.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19880,239,NULL,NULL,NULL,NULL,NULL,2,1),(25,6073018,8.00,8.00,8.00,6.00,9.00,11.63,6.00,6.00,8.00,103,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073026,6.00,6.00,5.00,4.00,9.00,9.75,2.00,7.00,4.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',4936,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6073042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BAIRRO DO IPATINGA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6073050,3.00,7.00,3.00,4.00,6.00,7.88,2.00,4.00,2.00,103,NULL,NULL,'EFAPI','CHAPECÓ','SC',11643,3807,NULL,NULL,NULL,NULL,NULL,2,4),(25,6073069,3.00,3.00,2.00,0.00,3.00,NULL,1.00,2.00,1.00,5,NULL,NULL,'LIDER','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6073077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6073093,1.00,4.00,2.00,3.00,3.00,7.50,1.00,5.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20515,847,NULL,NULL,NULL,NULL,NULL,2,1),(25,6073107,3.00,4.00,1.00,3.00,4.00,9.00,1.00,2.00,5.00,207,NULL,NULL,'AMERICA','JOINVILLE','SC',16864,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6073115,3.00,4.00,0.00,1.00,2.00,NULL,0.00,2.00,2.00,653,NULL,655,'CENTRO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6073123,5.00,4.00,3.00,3.00,6.00,8.25,3.00,3.00,2.00,208,NULL,238,'STO ANTONIO','MANAUS','AM',12939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA CONSTÂNCIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6073140,2.00,3.00,1.00,3.00,4.00,NULL,0.00,0.00,1.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6073158,1.00,4.00,1.00,3.00,5.00,NULL,0.00,0.00,1.00,101,NULL,NULL,'NEVA','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6073166,4.00,7.00,4.00,1.00,6.00,6.00,1.00,1.00,0.00,238,NULL,208,'ITACORUBI','FLORIANÓPOLIS','SC',17020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073174,7.00,5.00,4.00,4.00,8.00,9.38,2.00,5.00,6.00,211,NULL,202,'CALHAU','S LUÍS','MA',5523,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6073190,5.00,6.00,0.00,4.00,7.00,7.50,0.00,4.00,3.00,502,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',12176,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6073204,7.00,6.00,5.00,5.00,9.00,9.38,2.00,9.00,6.00,212,NULL,211,'MINA BRASIL','CRICIÚMA','SC',2905,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6073220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'SAO FRANCISCO','LUZERNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6073239,2.00,0.00,1.00,4.00,4.00,7.88,1.00,1.00,0.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20592,266,NULL,NULL,NULL,NULL,NULL,2,1),(25,6073247,4.00,4.00,1.00,2.00,6.00,8.63,1.00,2.00,1.00,225,NULL,NULL,'BARREIROS','S JOSÉ','SC',19989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073255,7.00,6.00,6.00,7.00,10.00,9.38,1.00,6.00,5.00,103,NULL,NULL,'ALTO DA LAPA','S PAULO','SP',3012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073263,1.00,4.00,1.00,2.00,7.00,8.63,1.00,4.00,2.00,424,NULL,425,'CAMPECHE','FLORIANÓPOLIS','SC',19739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073271,4.00,5.00,0.00,6.00,5.00,7.50,4.00,3.00,3.00,404,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',16775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6073298,5.00,6.00,6.00,4.00,8.00,9.00,1.00,5.00,6.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',4619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073301,4.00,6.00,3.00,4.00,7.00,6.75,2.00,3.00,4.00,214,NULL,601,'SAGUAÇU','JOINVILLE','SC',13456,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6073310,5.00,5.00,4.00,7.00,7.00,8.25,1.00,2.00,2.00,208,NULL,201,'SÃO FRANSCISCO','CURITIBA','PR',9179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073336,6.00,5.00,3.00,2.00,6.00,5.25,0.00,0.00,3.00,203,NULL,220,'BATEL','CURITIBA','PR',14891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073352,5.00,5.00,2.00,4.00,7.00,7.88,2.00,2.00,2.00,601,NULL,NULL,'CENTRO','GARUVA','SC',14103,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6073360,2.00,5.00,3.00,1.00,5.00,10.88,2.00,2.00,1.00,207,NULL,211,'PONTE DO IMARUIM','PALHOÇA','SC',19749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073379,6.00,4.00,3.00,6.00,8.00,8.25,0.00,4.00,4.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073387,4.00,6.00,0.00,6.00,8.00,8.25,2.00,4.00,5.00,3,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',10843,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6073395,2.00,1.00,1.00,2.00,4.00,4.88,1.00,3.00,1.00,207,NULL,201,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073409,6.00,8.00,6.00,4.00,8.00,11.25,1.00,4.00,9.00,999,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6073417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'CENTRO','ITAIÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6073425,6.00,6.00,7.00,6.00,10.00,12.75,5.00,8.00,9.00,203,NULL,201,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073433,4.00,4.00,1.00,3.00,9.00,7.88,2.00,4.00,4.00,103,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',15651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073441,6.00,6.00,2.00,6.00,7.00,6.75,2.00,5.00,2.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073450,3.00,5.00,5.00,5.00,5.00,8.63,1.00,4.00,3.00,201,NULL,NULL,'ARNALDO FIGUEIREDO','CPO GRANDE','MS',10772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6073476,2.00,5.00,1.00,4.00,5.00,6.00,1.00,1.00,1.00,303,NULL,NULL,'SERTÃO DO IMARUIM','S JOSÉ','SC',19133,811,NULL,NULL,NULL,NULL,NULL,2,1),(25,6073492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6073506,4.00,5.00,1.00,6.00,8.00,8.63,1.00,6.00,3.00,333,NULL,NULL,'SANTA MARTA','S CARLOS','SP',8236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VILA A','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6073522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM PASQUALLI','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6073530,7.00,7.00,5.00,6.00,9.00,9.00,3.00,5.00,7.00,238,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073557,8.00,5.00,6.00,5.00,8.00,9.00,1.00,8.00,9.00,216,NULL,235,'VILA NOVA','JARAGUÁ SUL','SC',2481,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6073565,5.00,4.00,3.00,7.00,2.00,NULL,1.00,4.00,7.00,601,NULL,233,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(25,6073573,2.00,4.00,2.00,2.00,7.00,5.25,3.00,2.00,4.00,233,NULL,203,'SÃO JOSÉ','VILHENA','RO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6073581,2.00,4.00,4.00,1.00,6.00,7.13,2.00,4.00,5.00,428,NULL,426,'AREIAS','S JOSÉ','SC',17560,37,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM NOVO MUNDO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6073620,4.00,6.00,2.00,0.00,3.00,6.75,2.00,3.00,0.00,2,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',20478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073638,7.00,6.00,5.00,4.00,8.00,10.13,4.00,6.00,4.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',5172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6073646,1.00,4.00,1.00,0.00,1.00,NULL,1.00,2.00,1.00,551,NULL,NULL,'GETULIO VARGAS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6073654,5.00,6.00,2.00,4.00,5.00,NULL,1.00,0.00,3.00,333,NULL,NULL,'GETÚLIO VARGAS','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6073670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6073689,3.00,4.00,6.00,6.00,5.00,8.63,1.00,3.00,4.00,235,NULL,601,'FLORESTA','JOINVILLE','SC',9568,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6073700,2.00,3.00,3.00,1.00,5.00,NULL,1.00,2.00,0.00,429,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073719,5.00,4.00,3.00,4.00,5.00,7.13,1.00,3.00,3.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',13734,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6073743,5.00,4.00,3.00,2.00,4.00,6.38,3.00,1.00,2.00,103,NULL,NULL,'GENTIL MEIRELES','GOIÂNIA','GO',17070,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6073760,2.00,3.00,2.00,1.00,2.00,NULL,3.00,2.00,1.00,201,NULL,212,'CENTRO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6073778,5.00,8.00,6.00,7.00,9.00,11.25,3.00,7.00,7.00,214,NULL,213,'PENHA','S PAULO','SP',1396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073794,2.00,5.00,4.00,4.00,7.00,9.75,1.00,6.00,3.00,5,NULL,NULL,'JD VERA LÚCIA','JACAREÍ','SP',9760,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6073808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','IPUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6073816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6073824,5.00,6.00,4.00,5.00,6.00,9.75,2.00,7.00,5.00,207,NULL,212,'BARREIROS','S JOSÉ','SC',6876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073832,4.00,3.00,2.00,3.00,5.00,10.50,2.00,1.00,2.00,104,NULL,NULL,'SÃO MIGUEL','BIGUAÇU','SC',18793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073840,8.00,6.00,2.00,2.00,9.00,9.75,0.00,4.00,5.00,207,NULL,201,'VILA SONIA','S PAULO','SP',6000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6073867,2.00,3.00,2.00,4.00,6.00,7.13,2.00,3.00,0.00,999,NULL,NULL,'CENTRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6073875,2.00,3.00,3.00,2.00,6.00,9.00,2.00,2.00,2.00,103,NULL,NULL,'DONATOS','STA VITÓRIA PALMAR','RS',15586,4284,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073883,1.00,2.00,4.00,1.00,3.00,NULL,3.00,0.00,3.00,655,NULL,208,'CENTRO','CÂNDIDO GODÓI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6073891,2.00,7.00,3.00,3.00,4.00,7.13,4.00,3.00,2.00,201,NULL,233,'CAMPINAS','S JOSÉ','SC',16304,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6073905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6073913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'VARZEA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6073921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6073930,6.00,4.00,1.00,7.00,7.00,6.75,2.00,3.00,5.00,201,NULL,212,'SAMBAQUI','FLORIANÓPOLIS','SC',10131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6073948,4.00,6.00,6.00,6.00,6.00,7.88,1.00,7.00,3.00,502,NULL,NULL,'CENTRO','PALHOÇA','SC',10360,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6073956,1.00,1.00,0.00,0.00,1.00,NULL,2.00,0.00,0.00,9,NULL,NULL,'CRISTO REI','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6073980,6.00,7.00,3.00,4.00,6.00,NULL,0.00,5.00,5.00,104,NULL,NULL,'JARDIM TABAETÊ','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074006,5.00,7.00,3.00,4.00,7.00,7.13,3.00,6.00,7.00,201,NULL,202,'CENTRO','LONDRINA','PR',5060,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6074014,4.00,4.00,4.00,6.00,8.00,10.13,0.00,4.00,1.00,207,NULL,212,'ABRAÃO','FLORIANÓPOLIS','SC',10899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074022,1.00,3.00,1.00,0.00,3.00,NULL,1.00,4.00,0.00,101,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074049,6.00,6.00,3.00,6.00,8.00,9.75,2.00,5.00,4.00,102,NULL,NULL,'STO ANTÔNIO DE PÁDU','TUBARÃO','SC',5112,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6074057,0.00,3.00,4.00,7.00,7.00,9.38,1.00,1.00,5.00,235,NULL,202,'CENTRO','CANOINHAS','SC',10947,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6074065,4.00,4.00,0.00,1.00,5.00,0.00,1.00,0.00,1.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074073,6.00,7.00,1.00,7.00,5.00,9.75,4.00,7.00,4.00,104,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',7999,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6074081,4.00,5.00,2.00,6.00,4.00,10.50,0.00,4.00,1.00,103,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',15904,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6074090,4.00,4.00,1.00,5.00,7.00,7.13,1.00,0.00,2.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',19998,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6074103,4.00,5.00,3.00,3.00,6.00,9.00,1.00,2.00,3.00,501,NULL,NULL,'ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC',17787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074111,6.00,5.00,2.00,5.00,8.00,9.00,1.00,2.00,4.00,103,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',8108,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6074120,4.00,5.00,2.00,4.00,6.00,7.50,2.00,5.00,3.00,999,NULL,NULL,'ANDORINHA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6074138,6.00,7.00,5.00,6.00,8.00,10.50,1.00,4.00,6.00,214,NULL,212,'VILA MARIANA','S PAULO','SP',3262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074146,4.00,3.00,3.00,5.00,7.00,6.75,3.00,2.00,1.00,104,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',17692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'GUAIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6074162,5.00,6.00,1.00,3.00,4.00,7.50,1.00,2.00,3.00,999,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6074189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6074197,3.00,5.00,0.00,2.00,10.00,10.13,2.00,4.00,0.00,303,NULL,NULL,'STO ANTÔNIO DE PÁDUA','TUBARÃO','SC',16763,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6074200,6.00,6.00,6.00,7.00,9.00,9.00,2.00,7.00,7.00,5,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',2609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074219,3.00,5.00,1.00,2.00,7.00,6.38,4.00,4.00,3.00,207,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',17710,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6074227,2.00,4.00,2.00,4.00,4.00,9.38,2.00,2.00,0.00,420,NULL,NULL,'CENTRO','VERANÓPOLIS','RS',16236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6074235,3.00,6.00,4.00,5.00,7.00,9.38,1.00,4.00,4.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',8552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074243,3.00,4.00,1.00,5.00,5.00,8.63,2.00,4.00,3.00,453,NULL,NULL,'SERRARIA','S JOSÉ','SC',17144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074251,4.00,4.00,1.00,5.00,4.00,10.88,1.00,2.00,2.00,103,NULL,NULL,'DAS NAÇÕES','BAL CAMBORIÚ','SC',16783,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6074260,7.00,6.00,4.00,5.00,8.00,7.50,1.00,8.00,8.00,220,NULL,NULL,'BUENO','GOIÂNIA','GO',2616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074278,6.00,4.00,1.00,7.00,9.00,5.25,2.00,3.00,1.00,327,NULL,NULL,'VILA NOVA','MAFRA','SC',14929,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6074294,3.00,3.00,2.00,2.00,5.00,3.38,1.00,3.00,0.00,208,NULL,220,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6074308,9.00,6.00,5.00,7.00,10.00,12.75,7.00,5.00,9.00,103,NULL,NULL,'CRISTO REDENTOR','PTO ALEGRE','RS',122,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6074316,3.00,4.00,2.00,2.00,5.00,8.25,0.00,1.00,0.00,103,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6074324,3.00,4.00,2.00,7.00,4.00,9.38,1.00,4.00,2.00,415,NULL,NULL,'MONTE CARLO','CPO GRANDE','MS',12683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM SÃO PAULO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6074340,6.00,5.00,3.00,5.00,7.00,7.88,3.00,5.00,4.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',9023,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6074359,3.00,5.00,0.00,2.00,5.00,5.25,1.00,2.00,0.00,501,NULL,NULL,'SÃO CAMILO','GR PARÁ','SC',21157,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6074367,3.00,2.00,1.00,2.00,5.00,6.00,2.00,3.00,3.00,235,NULL,213,'BELA VISTA','PALHOÇA','SC',20690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6074375,2.00,4.00,2.00,2.00,7.00,7.50,2.00,5.00,3.00,201,NULL,212,'CAPOERIAS','FLORIANÓPOLIS','SC',16003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6074405,4.00,5.00,2.00,3.00,8.00,10.50,2.00,2.00,0.00,103,NULL,NULL,'CRUZEIRO','PASSO FUNDO','RS',11405,3772,NULL,NULL,NULL,NULL,NULL,2,1),(25,6074413,4.00,3.00,2.00,4.00,3.00,6.38,2.00,3.00,0.00,551,NULL,NULL,'BOSQUE','CURITIBANOS','SC',19751,51,NULL,NULL,NULL,NULL,NULL,2,16),(25,6074421,5.00,7.00,4.00,5.00,8.00,7.50,2.00,6.00,7.00,5,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',4455,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6074430,6.00,7.00,1.00,2.00,9.00,10.13,3.00,5.00,2.00,207,NULL,233,'CENTRO','DR MAURÍCIO CARDOSO','RS',7045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6074480,5.00,5.00,3.00,7.00,10.00,9.38,1.00,6.00,8.00,216,NULL,215,'RIO BRANCO','CAXIAS SUL','RS',4151,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6074499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6074502,5.00,7.00,3.00,7.00,6.00,9.75,3.00,2.00,4.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074510,8.00,6.00,3.00,6.00,8.00,8.63,0.00,8.00,7.00,103,NULL,NULL,'ROSÁRIO','STA MARIA','RS',3456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074529,6.00,5.00,3.00,5.00,6.00,10.50,2.00,6.00,6.00,238,NULL,208,'AGRONÔMICA','FLORIANÓPOLIS','SC',6165,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6074537,7.00,5.00,5.00,6.00,9.00,8.63,3.00,2.00,6.00,201,NULL,207,'CENTRO','CURITIBA','PR',3612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074545,4.00,6.00,3.00,4.00,4.00,7.13,1.00,2.00,2.00,104,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15140,399,NULL,NULL,NULL,NULL,NULL,2,1),(25,6074553,2.00,7.00,7.00,6.00,7.00,9.75,1.00,8.00,5.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074561,1.00,1.00,2.00,3.00,6.00,6.38,0.00,3.00,1.00,9,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',21485,173,NULL,NULL,NULL,NULL,NULL,2,1),(25,6074570,6.00,5.00,1.00,6.00,6.00,9.38,3.00,7.00,3.00,999,NULL,NULL,'PRÓSPERA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6074588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'VILA GEORGINA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6074600,8.00,6.00,8.00,6.00,9.00,9.00,4.00,8.00,9.00,103,NULL,NULL,'BATEL','CURITIBA','PR',537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6074618,0.00,3.00,2.00,2.00,2.00,NULL,1.00,0.00,2.00,108,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074626,4.00,4.00,3.00,1.00,3.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074634,1.00,2.00,2.00,4.00,3.00,4.50,0.00,0.00,2.00,102,NULL,NULL,'ITAIPAVA','ITAJAÍ','SC',21229,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6074642,6.00,6.00,4.00,4.00,6.00,7.13,2.00,3.00,6.00,336,NULL,NULL,'CENTRO','MAFRA','SC',8246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074650,2.00,5.00,4.00,2.00,4.00,6.75,0.00,4.00,2.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',16043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074669,4.00,5.00,3.00,5.00,6.00,7.88,2.00,5.00,4.00,203,NULL,235,'BERGER','CAÇADOR','SC',12509,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6074677,5.00,4.00,2.00,3.00,6.00,7.50,0.00,5.00,4.00,655,NULL,235,'MEIA PRAIA','ITAPEMA','SC',12334,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6074685,6.00,5.00,2.00,3.00,9.00,7.13,2.00,4.00,5.00,304,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',8357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074693,3.00,1.00,1.00,2.00,4.00,0.00,2.00,3.00,2.00,501,NULL,NULL,'BELA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074707,7.00,6.00,5.00,4.00,8.00,8.25,2.00,4.00,5.00,201,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',6139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074715,5.00,7.00,2.00,3.00,6.00,7.13,1.00,6.00,5.00,103,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',11100,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6074723,0.00,3.00,0.00,1.00,2.00,NULL,0.00,1.00,3.00,415,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074731,4.00,5.00,1.00,4.00,8.00,8.25,3.00,2.00,4.00,319,NULL,NULL,'VILA SUIÇA','INDAIATUBA','SP',14443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074740,5.00,3.00,0.00,7.00,6.00,NULL,2.00,4.00,3.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6074766,4.00,2.00,0.00,3.00,6.00,8.63,1.00,0.00,1.00,3,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',21138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074774,8.00,8.00,6.00,6.00,9.00,8.25,2.00,8.00,7.00,340,NULL,NULL,'TREZE DE JULHO','ARACAJU','SE',1066,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6074782,2.00,3.00,1.00,4.00,2.00,NULL,0.00,3.00,2.00,425,NULL,426,'PAGANI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074790,8.00,6.00,6.00,7.00,9.00,9.00,2.00,6.00,6.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',1698,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6074812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TATUAPE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6074820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,207,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6074839,6.00,5.00,1.00,5.00,7.00,8.63,2.00,4.00,2.00,340,NULL,NULL,'INTERIOR','PTE PRETA','RS',10021,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6074847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA CARVALHO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6074855,7.00,6.00,2.00,4.00,9.00,9.75,0.00,8.00,5.00,5,NULL,NULL,'SÃO DOMINGOS','AMERICANA','SP',4559,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6074863,8.00,6.00,3.00,6.00,8.00,10.88,2.00,6.00,8.00,103,NULL,NULL,'ALTO CAFEZAL','MARÍLIA','SP',1871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074871,8.00,6.00,5.00,6.00,9.00,NULL,0.00,5.00,9.00,103,NULL,NULL,'CENTRO','SERTANÓPOLIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074880,4.00,6.00,4.00,4.00,9.00,9.38,0.00,5.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074898,5.00,3.00,0.00,3.00,5.00,NULL,0.00,1.00,1.00,109,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6074901,2.00,0.00,2.00,2.00,2.00,NULL,1.00,2.00,2.00,208,NULL,201,'CENTRO','ROMELÂNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6074910,6.00,7.00,8.00,7.00,7.00,9.00,6.00,6.00,8.00,201,NULL,212,'CORREGO GRANDE','FLORIANÓPOLIS','SC',718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074928,1.00,5.00,0.00,2.00,5.00,10.13,2.00,3.00,2.00,208,NULL,NULL,'PROCASA','S JOSÉ','SC',16837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074936,7.00,7.00,6.00,5.00,9.00,8.63,5.00,8.00,8.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',1377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074944,6.00,5.00,1.00,6.00,9.00,NULL,0.00,4.00,4.00,2,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,3),(25,6074952,8.00,6.00,3.00,7.00,8.00,0.00,5.00,5.00,3.00,333,NULL,NULL,'BARREIRINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6074960,7.00,6.00,4.00,5.00,9.00,6.38,1.00,5.00,8.00,103,NULL,NULL,'PARQUE IMPERADOR','CAMPINAS','SP',3724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6074979,6.00,4.00,4.00,7.00,10.00,12.00,2.00,6.00,4.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',4330,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6074995,2.00,4.00,1.00,3.00,6.00,NULL,0.00,1.00,0.00,318,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6075002,6.00,7.00,4.00,2.00,7.00,7.13,3.00,4.00,6.00,653,NULL,NULL,'FAZENDA PIRAJA','NOVA PETRÓPOLIS','RS',9535,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6075010,5.00,4.00,2.00,4.00,9.00,NULL,0.00,0.00,1.00,340,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6075037,4.00,4.00,4.00,7.00,6.00,9.00,3.00,6.00,7.00,203,NULL,214,'ALTO DA BOA VISTA','RIBEIRÃO PRETO','SP',3528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075045,4.00,4.00,1.00,2.00,3.00,4.50,2.00,4.00,1.00,327,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18418,51,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075053,5.00,8.00,6.00,7.00,9.00,9.75,3.00,5.00,4.00,201,NULL,NULL,'QUEBEC','LONDRINA','PR',3816,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6075070,3.00,4.00,1.00,4.00,3.00,8.25,0.00,2.00,1.00,308,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',19996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075088,4.00,4.00,2.00,3.00,8.00,8.25,0.00,2.00,4.00,319,NULL,NULL,'JARDIM COSTA VERDE','VÁRZEA GRANDE','MT',14175,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6075096,2.00,4.00,0.00,2.00,3.00,9.00,1.00,3.00,2.00,103,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',19465,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6075100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,212,'MARIA DE MAGGE','SUZANO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6075126,6.00,6.00,2.00,1.00,7.00,6.75,2.00,5.00,4.00,238,NULL,208,'DEHON','TUBARÃO','SC',10012,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6075134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JARDIM ITÚ SABARÁ','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6075142,9.00,7.00,5.00,6.00,10.00,11.25,4.00,6.00,9.00,103,NULL,NULL,'VILA NOVA','LAGES','SC',348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075177,9.00,7.00,8.00,6.00,9.00,11.63,3.00,8.00,8.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075185,3.00,4.00,2.00,5.00,7.00,7.88,0.00,5.00,2.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14838,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6075193,4.00,3.00,5.00,2.00,7.00,8.63,3.00,4.00,3.00,208,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',14353,295,NULL,265,NULL,NULL,NULL,4,1),(25,6075207,1.00,3.00,3.00,5.00,5.00,7.88,0.00,1.00,2.00,104,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',20289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075223,5.00,6.00,1.00,6.00,9.00,8.25,2.00,4.00,6.00,303,NULL,NULL,'CENTRO','BAURU','SP',7166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VERA CRUZ','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6075266,7.00,8.00,7.00,6.00,6.00,9.00,4.00,8.00,6.00,203,NULL,201,'CENTRO','ITAPEMA','SC',2370,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6075274,5.00,4.00,2.00,3.00,8.00,7.88,0.00,3.00,3.00,303,NULL,NULL,'JARDIM SATELITE','S JOSÉ CAMPOS','SP',12895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075290,4.00,5.00,2.00,2.00,5.00,8.25,1.00,3.00,0.00,601,NULL,201,'BOA VISTA','JOINVILLE','SC',19311,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6075304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'ALTO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6075312,3.00,4.00,0.00,2.00,6.00,7.13,1.00,1.00,3.00,103,NULL,NULL,'VILA PILOTO DOIS','TRÊS LAGOAS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075339,3.00,2.00,2.00,0.00,4.00,NULL,0.00,0.00,3.00,201,NULL,212,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075355,2.00,0.00,3.00,2.00,7.00,NULL,0.00,1.00,1.00,319,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6075363,8.00,7.00,4.00,5.00,7.00,10.13,2.00,6.00,8.00,201,NULL,233,'JARDIM ITÁLIA','MELEIRO','SC',3332,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6075371,3.00,7.00,4.00,6.00,7.00,7.88,1.00,4.00,1.00,207,NULL,215,'CENTRO','JOINVILLE','SC',11134,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6075380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6075398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,601,'VILA PIRES','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6075428,5.00,6.00,3.00,3.00,6.00,7.88,1.00,5.00,4.00,302,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',13103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6075436,6.00,7.00,3.00,4.00,9.00,11.25,1.00,4.00,7.00,415,NULL,NULL,'PRAIA DO ROSA','IMBITUBA','SC',4327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6075444,4.00,4.00,2.00,7.00,6.00,NULL,0.00,2.00,3.00,340,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075479,6.00,6.00,5.00,6.00,8.00,10.88,4.00,6.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075487,3.00,2.00,3.00,3.00,5.00,6.75,3.00,4.00,0.00,652,NULL,655,'META','BAL ARROIO SILVA','SC',17247,48,NULL,NULL,NULL,NULL,NULL,2,15),(25,6075495,3.00,6.00,5.00,5.00,8.00,NULL,0.00,6.00,2.00,425,NULL,421,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6075509,4.00,5.00,3.00,7.00,5.00,NULL,0.00,4.00,3.00,452,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075517,1.00,6.00,3.00,4.00,6.00,9.38,2.00,5.00,1.00,654,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6075525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITAIPAVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6075533,3.00,0.00,1.00,4.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SALTO WEISSBACH','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,2),(25,6075541,1.00,4.00,0.00,0.00,5.00,NULL,1.00,1.00,2.00,5,NULL,NULL,'ANHANGUERA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SNTA CATARINA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6075568,4.00,4.00,0.00,3.00,5.00,8.63,1.00,1.00,2.00,109,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',20607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6075576,5.00,5.00,1.00,6.00,7.00,9.00,4.00,2.00,5.00,452,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',7471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075584,8.00,8.00,6.00,7.00,11.00,9.38,6.00,9.00,9.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',61,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6075592,4.00,4.00,6.00,5.00,3.00,8.25,3.00,4.00,4.00,601,NULL,213,'CENTRO','RIO NEGRO','PR',10124,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6075606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,233,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6075614,8.00,7.00,3.00,1.00,9.00,7.50,2.00,6.00,8.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',4300,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6075622,7.00,7.00,2.00,6.00,7.00,7.13,5.00,5.00,6.00,203,NULL,214,'VILA NOVA','LAGES','SC',3477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075630,5.00,5.00,3.00,6.00,10.00,10.13,3.00,6.00,6.00,103,NULL,NULL,'UNIVERSITÁRIO','CHAPECÓ','SC',4370,2206,NULL,NULL,NULL,NULL,NULL,4,4),(25,6075657,3.00,3.00,3.00,2.00,4.00,8.25,0.00,2.00,2.00,316,NULL,NULL,'NOSSA SENHORA DO ROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6075665,3.00,4.00,4.00,7.00,8.00,7.13,0.00,7.00,2.00,451,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',10995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075673,7.00,5.00,2.00,7.00,9.00,9.75,2.00,7.00,6.00,340,NULL,NULL,'BOA VISTA','S VICENTE','SP',3096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075681,7.00,7.00,4.00,6.00,10.00,9.75,3.00,7.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1790,1124,NULL,NULL,NULL,NULL,NULL,2,1),(25,6075690,5.00,4.00,2.00,3.00,7.00,8.63,1.00,6.00,3.00,103,NULL,NULL,'CENTRO','PONTÃO','RS',11931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6075703,2.00,5.00,1.00,4.00,4.00,9.00,2.00,1.00,1.00,453,NULL,NULL,'SERRARIA','S JOSÉ','SC',18441,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6075720,3.00,3.00,1.00,2.00,6.00,7.50,0.00,5.00,5.00,220,NULL,203,'SÃO CRISTOVÃO','CHAPECÓ','SC',16197,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6075738,4.00,3.00,2.00,2.00,6.00,5.63,0.00,1.00,1.00,601,NULL,233,'NOSSA SRA APARECIDA','CAMBUÍ','MG',20035,562,NULL,472,NULL,NULL,NULL,2,8),(25,6075746,7.00,6.00,7.00,7.00,8.00,9.00,3.00,5.00,6.00,207,NULL,201,'NOVA POMPÉIA','PIRACICABA','SP',2644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'REAL PARQUE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6075770,6.00,4.00,1.00,3.00,6.00,7.50,2.00,5.00,4.00,207,NULL,203,'CANASVIEIRAS','FLORIANÓPOLIS','SC',12019,633,NULL,806,NULL,NULL,NULL,2,1),(25,6075789,4.00,4.00,3.00,3.00,5.00,9.38,2.00,2.00,5.00,233,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',14530,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6075797,5.00,7.00,2.00,7.00,8.00,9.75,3.00,6.00,4.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075800,7.00,7.00,1.00,6.00,10.00,9.00,2.00,8.00,6.00,303,NULL,NULL,'RECREIO DOS CAFEZAIS','VALINHOS','SP',2247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075827,3.00,5.00,0.00,3.00,7.00,NULL,2.00,3.00,3.00,308,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6075835,6.00,6.00,5.00,4.00,9.00,12.00,2.00,5.00,6.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',3309,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6075843,2.00,3.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,207,NULL,212,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6075851,4.00,4.00,2.00,4.00,8.00,6.00,1.00,3.00,3.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',15352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075860,5.00,7.00,2.00,3.00,5.00,6.38,1.00,6.00,3.00,425,NULL,428,'TRINDADE','FLORIANÓPOLIS','SC',14386,49,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075878,3.00,4.00,2.00,5.00,9.00,9.00,2.00,1.00,1.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',16331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075908,3.00,6.00,0.00,2.00,6.00,7.13,1.00,1.00,0.00,601,NULL,NULL,'AMÉRICA','JOINVILLE','SC',20921,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6075916,6.00,5.00,1.00,4.00,7.00,8.25,3.00,5.00,1.00,201,NULL,212,'JARDIM AMERICA','ITUPORANGA','SC',11736,993,NULL,337,NULL,NULL,NULL,2,9),(25,6075924,7.00,7.00,0.00,5.00,8.00,6.75,0.00,7.00,5.00,340,NULL,NULL,'SÃO PEDRO','BRUSQUE','SC',7850,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6075932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SAUDE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6075940,4.00,6.00,1.00,6.00,8.00,10.50,1.00,3.00,5.00,425,NULL,NULL,'PIO X','CAXIAS SUL','RS',7494,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6075959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM PETROPOLIS','ITAPECERICA SERRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6075975,6.00,4.00,4.00,6.00,8.00,8.25,4.00,6.00,7.00,303,NULL,NULL,'AQUÁRIOS','VINHEDO','SP',2801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6075991,4.00,3.00,2.00,4.00,3.00,9.00,2.00,4.00,1.00,503,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',19852,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6076009,8.00,7.00,3.00,7.00,9.00,12.38,2.00,6.00,5.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',1845,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6076017,9.00,8.00,5.00,7.00,10.00,10.88,5.00,7.00,9.00,103,NULL,NULL,'CENTRO','JESUÍTAS','PR',163,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6076025,1.00,2.00,0.00,2.00,4.00,7.50,1.00,3.00,0.00,103,NULL,NULL,'NOVA DIVINÉIA','PINHALZINHO','SC',20606,4733,NULL,NULL,NULL,NULL,NULL,4,4),(25,6076033,2.00,5.00,1.00,2.00,5.00,8.63,2.00,3.00,0.00,212,NULL,235,'CAPOEIRAS','FLORIANÓPOLIS','SC',18053,526,NULL,431,NULL,NULL,NULL,2,1),(25,6076041,5.00,7.00,4.00,6.00,6.00,7.50,2.00,5.00,3.00,304,NULL,NULL,'ACUPE DE BROTAS','SALVADOR','BA',7765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076050,1.00,4.00,2.00,2.00,3.00,NULL,2.00,0.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6076068,6.00,7.00,2.00,4.00,6.00,9.00,2.00,7.00,6.00,103,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',5756,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6076076,7.00,7.00,4.00,4.00,6.00,11.25,1.00,7.00,8.00,211,NULL,215,'INGLESES','FLORIANÓPOLIS','SC',2788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076084,5.00,6.00,4.00,3.00,10.00,10.13,3.00,7.00,7.00,103,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',3141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076114,7.00,5.00,1.00,7.00,7.00,8.25,0.00,6.00,6.00,202,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',9370,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6076122,8.00,6.00,1.00,0.00,8.00,7.13,0.00,4.00,5.00,104,NULL,NULL,'JARDIM EUROPA','UMUARAMA','PR',12219,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6076130,4.00,7.00,2.00,2.00,5.00,4.88,2.00,3.00,3.00,331,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',19044,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6076149,3.00,2.00,3.00,3.00,5.00,6.38,2.00,2.00,3.00,203,NULL,202,'ALTO ALEGRE','CASCAVEL','PR',17423,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6076157,7.00,6.00,3.00,3.00,8.00,7.50,2.00,8.00,5.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',5705,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6076165,8.00,9.00,8.00,5.00,10.00,10.88,3.00,8.00,9.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',132,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6076173,7.00,3.00,2.00,4.00,8.00,7.50,1.00,3.00,4.00,207,NULL,201,'CENTRO','TANGARÁ SERRA','MT',10240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076190,4.00,4.00,0.00,3.00,7.00,5.25,1.00,2.00,4.00,108,NULL,NULL,'NOVA BRASILIA','BRUSQUE','SC',18288,269,NULL,NULL,NULL,NULL,NULL,4,2),(25,6076203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'VILA ROSA','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6076211,5.00,8.00,1.00,6.00,7.00,8.25,0.00,2.00,5.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',9424,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6076220,6.00,6.00,3.00,2.00,7.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'UNIVERSITÁRIO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6076254,6.00,7.00,2.00,4.00,8.00,10.88,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','GUARANIAÇU','PR',6970,2951,NULL,NULL,NULL,NULL,NULL,2,4),(25,6076262,1.00,3.00,2.00,6.00,7.00,9.75,2.00,0.00,4.00,404,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',16672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6076297,3.00,2.00,1.00,4.00,5.00,8.63,2.00,2.00,1.00,104,NULL,NULL,'SOL NASCENTE','MARINGÁ','PR',18690,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6076300,3.00,2.00,1.00,2.00,7.00,NULL,0.00,2.00,1.00,104,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6076319,2.00,1.00,1.00,3.00,4.00,6.38,1.00,2.00,3.00,103,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',21441,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6076327,7.00,7.00,6.00,6.00,10.00,10.88,4.00,7.00,6.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',1133,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6076343,2.00,4.00,4.00,3.00,4.00,6.38,1.00,2.00,1.00,101,NULL,NULL,'PINHEIRA','PALHOÇA','SC',19620,145,NULL,NULL,NULL,NULL,NULL,2,1),(25,6076360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'INTERIOR','LEBON RÉGIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6076378,6.00,5.00,1.00,7.00,7.00,8.25,2.00,6.00,5.00,235,NULL,202,'JD STA MENA','GUARULHOS','SP',5272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076386,7.00,5.00,6.00,3.00,7.00,9.00,3.00,6.00,7.00,103,NULL,NULL,'JARDIM LEBLON','CPO GRANDE','MS',2724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6076408,6.00,3.00,3.00,5.00,8.00,6.75,2.00,5.00,6.00,9,NULL,NULL,'CORREGO SECO','ITAMBARACÁ','PR',9667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076416,7.00,4.00,5.00,2.00,8.00,6.00,0.00,3.00,6.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',10992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076424,7.00,7.00,5.00,8.00,9.00,7.13,5.00,3.00,4.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',3582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076432,4.00,4.00,2.00,4.00,8.00,9.00,0.00,1.00,2.00,207,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',15592,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6076440,3.00,6.00,2.00,5.00,7.00,9.75,2.00,6.00,6.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',8855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6076459,3.00,2.00,1.00,2.00,4.00,4.50,3.00,0.00,3.00,109,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',21559,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6076467,2.00,4.00,0.00,4.00,4.00,6.75,1.00,1.00,1.00,601,NULL,216,'SANTA CATARINA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6076475,3.00,3.00,2.00,2.00,3.00,6.00,4.00,2.00,2.00,999,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6076483,2.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,1.00,404,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6076491,7.00,7.00,4.00,6.00,9.00,10.13,5.00,6.00,6.00,103,NULL,NULL,'SANTA CECÍLIA','PTO ALEGRE','RS',1981,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6076521,4.00,4.00,1.00,3.00,6.00,7.50,2.00,4.00,1.00,5,NULL,NULL,'BELA VISTA II','S JOSÉ','SC',16401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6076548,2.00,4.00,5.00,6.00,8.00,9.38,1.00,3.00,5.00,203,NULL,235,'CENTRO','MARIALVA','PR',8830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076556,3.00,4.00,1.00,5.00,9.00,NULL,2.00,0.00,6.00,415,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076564,7.00,4.00,3.00,7.00,10.00,10.88,2.00,4.00,2.00,203,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',6527,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6076572,2.00,4.00,2.00,2.00,4.00,6.38,1.00,0.00,1.00,104,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',21169,585,NULL,NULL,NULL,NULL,NULL,4,15),(25,6076580,8.00,7.00,4.00,6.00,9.00,5.63,7.00,7.00,7.00,203,NULL,201,'JARDIM CELESTE','S PAULO','SP',858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076599,1.00,4.00,4.00,2.00,6.00,7.50,0.00,1.00,2.00,654,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6076602,5.00,6.00,3.00,7.00,8.00,NULL,0.00,6.00,4.00,420,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076629,5.00,4.00,3.00,7.00,9.00,9.75,1.00,4.00,5.00,103,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',5969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6076645,5.00,7.00,6.00,6.00,10.00,9.75,2.00,5.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076653,4.00,4.00,1.00,3.00,6.00,6.38,2.00,1.00,2.00,336,NULL,NULL,'CENTRO','PALHOÇA','SC',17651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076661,5.00,3.00,1.00,6.00,10.00,11.25,3.00,2.00,3.00,207,NULL,201,'CAMBUÍ','CAMPINAS','SP',7655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076670,4.00,4.00,2.00,3.00,4.00,8.25,0.00,2.00,1.00,215,NULL,216,'TAIPA','ORLEANS','SC',18687,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6076688,3.00,2.00,2.00,3.00,6.00,10.88,1.00,1.00,2.00,318,NULL,NULL,'AMERICA','JOINVILLE','SC',17875,83,NULL,NULL,NULL,NULL,NULL,2,8),(25,6076696,7.00,5.00,4.00,4.00,7.00,8.25,3.00,7.00,6.00,215,NULL,201,'CENTRO','CURITIBA','PR',5199,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6076700,4.00,6.00,3.00,6.00,6.00,7.13,0.00,3.00,2.00,333,NULL,NULL,'JD UMARIZAL','S PAULO','SP',12821,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6076718,4.00,5.00,0.00,5.00,5.00,NULL,1.00,1.00,1.00,450,NULL,NULL,'PROGRESSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6076726,7.00,7.00,7.00,7.00,9.00,12.75,4.00,6.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',622,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6076734,4.00,7.00,0.00,3.00,6.00,9.38,0.00,2.00,2.00,104,NULL,NULL,'BOSQUE','CURITIBANOS','SC',14839,386,NULL,NULL,NULL,NULL,NULL,4,16),(25,6076742,1.00,2.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6076769,2.00,4.00,2.00,4.00,2.00,NULL,1.00,0.00,0.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6076777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'JARDIM BONFIGLIOLI','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6076793,3.00,5.00,2.00,5.00,6.00,7.50,2.00,3.00,2.00,302,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6076815,7.00,5.00,3.00,4.00,7.00,9.75,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076823,6.00,6.00,3.00,4.00,9.00,9.75,0.00,8.00,5.00,216,NULL,202,'JARDIM ALVORADA','COSMÓPOLIS','SP',4531,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6076840,6.00,6.00,4.00,6.00,8.00,9.75,2.00,6.00,3.00,340,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',5777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076858,8.00,5.00,5.00,7.00,7.00,9.00,3.00,4.00,5.00,207,NULL,NULL,'VILA EMBARÉ','VALINHOS','SP',4120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076866,2.00,3.00,1.00,3.00,7.00,8.63,2.00,1.00,2.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19009,262,NULL,NULL,NULL,NULL,NULL,2,1),(25,6076874,6.00,6.00,3.00,5.00,7.00,9.00,4.00,5.00,5.00,103,NULL,NULL,'CRUZEIRO','S LOURENÇO OESTE','SC',4698,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6076882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6076904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM PAULISTA','CAMPINA G SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6076912,2.00,3.00,2.00,3.00,5.00,NULL,2.00,0.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076920,6.00,4.00,2.00,5.00,9.00,9.38,2.00,5.00,3.00,233,NULL,211,'CENTRO','CANELINHA','SC',8256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076939,3.00,4.00,2.00,1.00,2.00,NULL,0.00,3.00,1.00,551,NULL,NULL,'MAROMBAS','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6076955,7.00,4.00,6.00,5.00,7.00,7.50,3.00,8.00,7.00,203,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',3192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076963,3.00,6.00,1.00,6.00,7.00,7.88,3.00,2.00,4.00,444,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',13265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076971,8.00,6.00,6.00,6.00,7.00,9.38,3.00,8.00,5.00,220,NULL,202,'JARDIM DAS BANDEIRAS','FOZ IGUAÇU','PR',2205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6076980,5.00,5.00,0.00,3.00,8.00,7.88,0.00,1.00,2.00,103,NULL,NULL,'JARDIM CIBELI','ARARANGUÁ','SC',15359,4260,NULL,NULL,NULL,NULL,NULL,4,15),(25,6077005,4.00,6.00,2.00,4.00,9.00,12.00,1.00,5.00,2.00,212,NULL,201,'VILA CONDE DO PINHAL','S PAULO','SP',8218,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6077013,5.00,6.00,5.00,2.00,7.00,7.13,1.00,5.00,4.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11046,3726,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(25,6077048,6.00,6.00,1.00,5.00,4.00,12.75,4.00,7.00,8.00,103,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',2634,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6077056,6.00,6.00,3.00,5.00,7.00,10.50,1.00,6.00,3.00,103,NULL,NULL,'VILA CELIA','CPO GRANDE','MS',6178,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6077064,2.00,6.00,3.00,5.00,6.00,9.00,2.00,2.00,5.00,233,NULL,216,'COLONINHA','ARARANGUÁ','SC',12826,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6077072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','ALEGRETE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6077080,1.00,5.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6077099,1.00,6.00,0.00,0.00,2.00,NULL,2.00,5.00,3.00,421,NULL,427,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077102,4.00,0.00,3.00,5.00,7.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'SANTA TERESA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6077110,4.00,4.00,3.00,4.00,5.00,8.63,1.00,3.00,4.00,110,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13862,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6077129,6.00,6.00,1.00,4.00,6.00,9.00,1.00,6.00,4.00,318,NULL,NULL,'N S DO ROSÁRIO','S JOSÉ','SC',11731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6077137,8.00,6.00,5.00,6.00,10.00,10.13,1.00,3.00,8.00,103,NULL,NULL,'TACCA','XANXERÊ','SC',3276,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6077145,3.00,3.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077153,4.00,5.00,2.00,5.00,4.00,NULL,3.00,3.00,0.00,333,NULL,NULL,'TIRADENTES','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077170,6.00,5.00,4.00,7.00,8.00,9.38,1.00,6.00,8.00,108,NULL,NULL,'CAPIM MACIO','NATAL','RN',4454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077188,6.00,7.00,2.00,7.00,11.00,7.88,2.00,7.00,4.00,425,NULL,429,'CENTRO','CANELINHA','SC',3883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077196,1.00,3.00,1.00,0.00,5.00,8.25,2.00,3.00,1.00,551,NULL,NULL,'INTERIOR','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6077200,2.00,0.00,0.00,4.00,6.00,5.25,2.00,3.00,2.00,303,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6077218,3.00,4.00,0.00,5.00,9.00,NULL,0.00,5.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6077226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TINGUI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6077234,3.00,6.00,3.00,4.00,10.00,7.13,4.00,6.00,4.00,201,NULL,653,'JARDIM AMÉRICA','GOIÂNIA','GO',7299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6077242,5.00,6.00,1.00,4.00,6.00,NULL,0.00,5.00,1.00,302,NULL,NULL,'SANTA CATARINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6077250,7.00,5.00,4.00,5.00,6.00,9.00,4.00,4.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077269,2.00,7.00,1.00,2.00,7.00,8.63,2.00,3.00,3.00,214,NULL,201,'ZONA RURAL','FR ROGÉRIO','SC',14373,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6077277,4.00,4.00,3.00,3.00,4.00,9.75,1.00,3.00,3.00,302,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15581,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6077285,3.00,4.00,2.00,4.00,5.00,7.88,2.00,4.00,4.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',12549,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6077293,5.00,7.00,2.00,5.00,9.00,7.88,2.00,4.00,4.00,207,NULL,NULL,'RIO BRANCO','CAXIAS SUL','RS',7387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077315,1.00,0.00,2.00,1.00,5.00,NULL,0.00,0.00,0.00,652,NULL,655,'JARDIM NICOLAU','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6077323,7.00,6.00,4.00,6.00,7.00,9.38,3.00,6.00,6.00,214,NULL,212,'SÃO DIMAS','PIRACICABA','SP',3657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077331,3.00,3.00,3.00,1.00,5.00,0.00,2.00,2.00,2.00,601,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6077340,6.00,7.00,2.00,6.00,7.00,10.13,3.00,6.00,3.00,303,NULL,NULL,'VELHA','BLUMENAU','SC',7021,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6077358,5.00,5.00,4.00,7.00,8.00,7.88,2.00,3.00,1.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077374,0.00,5.00,0.00,3.00,4.00,9.75,1.00,1.00,0.00,310,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21404,46,NULL,NULL,NULL,NULL,NULL,2,1),(25,6077390,4.00,7.00,1.00,3.00,6.00,8.25,2.00,2.00,1.00,303,NULL,NULL,'CENTRO','PALMAS','PR',13463,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6077404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6077412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6077439,4.00,5.00,2.00,0.00,3.00,6.38,0.00,1.00,3.00,202,NULL,233,'SACO GRANDE','FLORIANÓPOLIS','SC',21193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077447,3.00,4.00,2.00,4.00,8.00,6.75,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','CATANDUVAS','SC',14608,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6077463,6.00,7.00,0.00,5.00,9.00,7.88,1.00,5.00,3.00,103,NULL,NULL,'PARAÍSO','S PAULO','SP',8996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6077471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6077480,2.00,6.00,1.00,1.00,4.00,9.00,3.00,1.00,1.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',19646,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6077498,8.00,7.00,4.00,7.00,9.00,11.25,4.00,8.00,8.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077501,7.00,9.00,8.00,6.00,10.00,8.25,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077510,3.00,4.00,4.00,3.00,3.00,7.50,2.00,2.00,2.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17048,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6077528,4.00,6.00,2.00,4.00,6.00,6.75,2.00,2.00,4.00,501,NULL,NULL,'JARDIM JUDITH','LONDRINA','PR',10677,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6077536,6.00,7.00,3.00,5.00,8.00,7.88,2.00,8.00,3.00,203,NULL,NULL,'JARDIM TROPICAL','OURINHOS','SP',5384,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6077552,4.00,8.00,0.00,3.00,4.00,6.38,2.00,3.00,1.00,203,NULL,201,'PLANALTO','S JOSÉ OURO','RS',15669,961,NULL,1337,NULL,NULL,NULL,2,9),(25,6077560,2.00,4.00,0.00,1.00,1.00,NULL,2.00,0.00,1.00,211,NULL,216,'PARQUE DAS PALMEIRAS','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6077579,5.00,6.00,4.00,3.00,10.00,7.13,1.00,7.00,5.00,203,NULL,601,'CAMPINAS','S JOSÉ','SC',6573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077587,2.00,5.00,3.00,5.00,6.00,7.88,2.00,6.00,5.00,233,NULL,203,'MEIA PRAIA','ITAPEMA','SC',10088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077595,1.00,2.00,1.00,5.00,6.00,NULL,0.00,2.00,1.00,203,NULL,211,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6077617,7.00,5.00,3.00,6.00,10.00,8.25,1.00,7.00,6.00,103,NULL,NULL,'JARDIM MARINGA','S PAULO','SP',2858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077625,3.00,3.00,0.00,5.00,8.00,8.25,1.00,3.00,0.00,9,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6077641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'BUTIATUVINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6077650,2.00,2.00,2.00,3.00,6.00,6.75,2.00,2.00,2.00,303,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',17760,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6077668,8.00,7.00,7.00,7.00,8.00,12.75,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077684,8.00,8.00,1.00,6.00,8.00,8.25,0.00,4.00,4.00,316,NULL,NULL,'JARDIM FLÓRIDA','JACAREÍ','SP',5331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077692,5.00,4.00,2.00,5.00,9.00,9.75,1.00,6.00,3.00,207,NULL,215,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077706,9.00,5.00,5.00,6.00,7.00,10.88,3.00,8.00,6.00,103,NULL,NULL,'CENTRO','PÉROLA','PR',1642,1037,NULL,NULL,NULL,NULL,NULL,4,4),(25,6077714,4.00,2.00,1.00,0.00,5.00,NULL,2.00,3.00,2.00,202,NULL,208,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077722,4.00,5.00,2.00,4.00,8.00,9.00,0.00,5.00,2.00,207,NULL,601,'BALNEÁRIO','FLORIANÓPOLIS','SC',11454,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6077730,4.00,5.00,1.00,4.00,7.00,5.63,3.00,3.00,4.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077749,8.00,4.00,4.00,7.00,10.00,11.25,3.00,7.00,6.00,211,NULL,215,'CENTRO','BIGUAÇU','SC',1452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6077757,7.00,4.00,5.00,5.00,8.00,7.13,2.00,6.00,8.00,103,NULL,NULL,'GRANDE COLORADO','SOBRADINHO','DF',3617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077765,4.00,2.00,2.00,4.00,7.00,7.50,1.00,2.00,2.00,203,NULL,NULL,'VILA NOVA','BLUMENAU','SC',19628,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6077781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6077803,1.00,3.00,1.00,0.00,6.00,6.75,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21339,168,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077811,5.00,4.00,0.00,5.00,8.00,9.38,0.00,5.00,4.00,319,NULL,NULL,'CENTRO','S LEOPOLDO','RS',9738,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6077820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6077838,4.00,7.00,4.00,6.00,4.00,7.50,0.00,7.00,0.00,336,NULL,NULL,'IMIGRANTES','CRICIÚMA','SC',11595,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6077854,8.00,6.00,5.00,6.00,9.00,9.75,5.00,7.00,8.00,103,NULL,NULL,'SANTO ANTÔNIO','CRICIÚMA','SC',787,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6077889,4.00,5.00,1.00,1.00,8.00,10.13,2.00,2.00,1.00,308,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',14435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077897,6.00,3.00,4.00,6.00,6.00,8.25,1.00,3.00,4.00,202,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',10855,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6077900,5.00,5.00,6.00,6.00,4.00,8.25,3.00,4.00,4.00,203,NULL,238,'CAMPINAS','S JOSÉ','SC',7530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077919,2.00,6.00,0.00,5.00,6.00,8.63,1.00,1.00,0.00,326,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MORANGUEIRA','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6077943,9.00,7.00,6.00,6.00,8.00,NULL,0.00,7.00,7.00,103,NULL,NULL,'ALTO DA BOA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077951,8.00,8.00,3.00,8.00,10.00,9.38,3.00,7.00,3.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6077978,3.00,2.00,0.00,3.00,7.00,NULL,1.00,2.00,0.00,502,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6077986,3.00,4.00,1.00,3.00,4.00,8.25,0.00,5.00,3.00,303,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',19885,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6077994,5.00,5.00,4.00,5.00,9.00,10.88,5.00,5.00,6.00,103,NULL,NULL,'JD APOLLO II','S JOSÉ CAMPOS','SP',3557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078001,4.00,6.00,3.00,4.00,5.00,5.63,2.00,1.00,1.00,453,NULL,NULL,'ALVORADA','CHAPECÓ','SC',16156,108,NULL,NULL,NULL,NULL,NULL,2,4),(25,6078010,5.00,2.00,3.00,4.00,7.00,9.00,0.00,2.00,6.00,103,NULL,NULL,'NAÇÕES','FAZ RIO GRANDE','PR',11741,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6078028,5.00,6.00,3.00,7.00,7.00,8.63,3.00,2.00,6.00,999,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078044,2.00,5.00,2.00,5.00,9.00,6.75,0.00,6.00,3.00,502,NULL,NULL,'ARI LUNARDI','XAXIM','SC',13528,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6078052,3.00,6.00,2.00,7.00,6.00,8.25,2.00,1.00,0.00,319,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',17185,337,NULL,NULL,NULL,NULL,NULL,2,1),(25,6078060,2.00,5.00,3.00,7.00,7.00,9.00,0.00,3.00,2.00,340,NULL,NULL,'CENTRO','ARAPONGAS','PR',12086,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6078079,3.00,0.00,3.00,5.00,6.00,NULL,0.00,0.00,0.00,653,NULL,655,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(25,6078095,6.00,6.00,3.00,4.00,7.00,10.13,1.00,7.00,7.00,214,NULL,NULL,'PQ SAO BENTO','LIMEIRA','SP',5218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078109,4.00,4.00,2.00,3.00,4.00,7.13,3.00,5.00,6.00,201,NULL,212,'PIRABEIRABA','JOINVILLE','SC',12264,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6078117,7.00,6.00,3.00,5.00,8.00,10.13,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','TANGARÁ SERRA','MT',6681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078125,3.00,3.00,0.00,5.00,5.00,NULL,2.00,0.00,1.00,999,NULL,NULL,'GUARITA','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6078133,2.00,2.00,1.00,3.00,3.00,9.00,1.00,0.00,1.00,103,NULL,NULL,'CENTRO','STO ANDRÉ','SP',21567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6078150,4.00,5.00,2.00,5.00,5.00,7.88,4.00,2.00,2.00,303,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',16484,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6078168,6.00,7.00,4.00,6.00,8.00,7.88,2.00,2.00,4.00,214,NULL,213,'JARDIM SHANGAI','JUNDIAÍ','SP',6257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078176,3.00,7.00,3.00,4.00,7.00,9.38,2.00,3.00,2.00,102,NULL,NULL,'CENTRO','QUILOMBO','SC',12937,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6078184,1.00,6.00,1.00,1.00,7.00,9.00,2.00,1.00,2.00,415,NULL,NULL,'SÃO CRISTÓVÃO','CONCÓRDIA','SC',17529,279,NULL,NULL,NULL,NULL,NULL,4,7),(25,6078192,4.00,6.00,2.00,6.00,7.00,6.00,2.00,4.00,4.00,319,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',11268,196,NULL,NULL,NULL,NULL,NULL,2,1),(25,6078206,7.00,4.00,1.00,4.00,9.00,9.75,2.00,4.00,5.00,101,NULL,NULL,'ABRANCHES','CURITIBA','PR',8504,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6078214,4.00,2.00,1.00,1.00,3.00,NULL,1.00,0.00,0.00,444,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078222,6.00,6.00,3.00,4.00,8.00,7.13,3.00,7.00,8.00,203,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',5891,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6078230,2.00,2.00,1.00,2.00,6.00,NULL,0.00,0.00,1.00,208,NULL,655,'NSA SRA DE FÁTIMA','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6078257,8.00,4.00,4.00,5.00,8.00,9.75,4.00,5.00,4.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',4770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VAL PARAISO','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6078281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6078290,2.00,3.00,2.00,3.00,4.00,9.75,2.00,3.00,2.00,655,NULL,652,'JARDIM DAS AVENIDAS','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6078303,7.00,5.00,2.00,5.00,9.00,13.13,1.00,5.00,4.00,450,NULL,NULL,'TIJUCO DAS TELHAS','CAMPINAS','SP',4928,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6078311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'PACHECO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6078320,3.00,4.00,2.00,4.00,4.00,7.13,1.00,2.00,1.00,502,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',17959,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6078338,4.00,5.00,5.00,5.00,8.00,9.75,1.00,1.00,5.00,201,NULL,203,'COLISEU','LONDRINA','PR',7770,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6078346,3.00,4.00,2.00,0.00,4.00,7.13,1.00,0.00,1.00,319,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',21216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078354,1.00,1.00,2.00,3.00,5.00,9.00,2.00,2.00,1.00,211,NULL,215,'CENTRO','NAVEGANTES','SC',20221,531,NULL,NULL,NULL,NULL,NULL,2,1),(25,6078389,5.00,6.00,3.00,7.00,10.00,8.25,4.00,7.00,7.00,999,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6078397,2.00,0.00,0.00,2.00,4.00,7.13,2.00,1.00,0.00,303,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078419,2.00,5.00,4.00,5.00,7.00,5.25,2.00,4.00,4.00,108,NULL,NULL,'CENTRO','STA MARIA','RS',11264,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6078427,3.00,2.00,0.00,2.00,3.00,NULL,0.00,0.00,1.00,103,NULL,NULL,'SAO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6078435,5.00,6.00,4.00,5.00,9.00,7.13,0.00,6.00,4.00,103,NULL,NULL,'LAGO PARQUE','LONDRINA','PR',7610,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6078443,5.00,3.00,1.00,3.00,5.00,8.25,1.00,0.00,2.00,103,NULL,NULL,'CAMPESTRE','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078451,5.00,7.00,6.00,5.00,6.00,10.13,0.00,3.00,9.00,233,NULL,216,'PORTÃO','CURITIBA','PR',5153,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6078460,8.00,8.00,8.00,7.00,10.00,11.25,4.00,7.00,9.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',141,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6078478,8.00,8.00,8.00,7.00,9.00,11.63,3.00,9.00,8.00,103,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',181,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6078486,6.00,6.00,2.00,7.00,8.00,11.63,1.00,3.00,3.00,340,NULL,NULL,'CERQUEIRA CESAR','S PAULO','SP',6112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078494,5.00,6.00,2.00,6.00,9.00,6.00,2.00,7.00,2.00,5,NULL,NULL,'SANTO INÁCIO','CURITIBA','PR',7593,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6078508,3.00,4.00,1.00,3.00,6.00,8.63,3.00,1.00,1.00,207,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078524,5.00,6.00,2.00,5.00,6.00,NULL,0.00,3.00,2.00,452,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078532,4.00,5.00,2.00,4.00,7.00,NULL,0.00,5.00,6.00,3,NULL,NULL,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6078559,6.00,4.00,1.00,4.00,8.00,7.88,3.00,3.00,4.00,213,NULL,202,'CENTRO','APUCARANA','PR',12754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078575,2.00,4.00,2.00,3.00,5.00,7.13,2.00,1.00,3.00,653,NULL,655,'CENTRO','BAL ARROIO SILVA','SC',19316,202,NULL,123,NULL,NULL,NULL,4,15),(25,6078583,4.00,6.00,1.00,6.00,6.00,9.00,1.00,2.00,3.00,211,NULL,216,'MONTE CASTELO','TUBARÃO','SC',15083,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6078591,3.00,4.00,0.00,4.00,6.00,5.63,0.00,3.00,2.00,103,NULL,NULL,'JARDIM AMÉRICA','FRAIBURGO','SC',16735,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6078605,8.00,4.00,5.00,7.00,6.00,8.63,2.00,4.00,8.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',3873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078613,4.00,5.00,7.00,5.00,7.00,7.88,2.00,3.00,7.00,103,NULL,NULL,'MARIA AP PEDROSSIAN','CPO GRANDE','MS',5686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078621,5.00,5.00,2.00,7.00,7.00,7.50,2.00,4.00,5.00,201,NULL,NULL,'PORTÃO','LAURO FREITAS','BA',9162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078630,6.00,6.00,3.00,5.00,10.00,6.38,1.00,6.00,3.00,333,NULL,NULL,'ST ANTÔNIO DE LISBOA','FLORIANÓPOLIS','SC',7128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078648,2.00,5.00,2.00,4.00,5.00,6.75,2.00,3.00,1.00,332,NULL,NULL,'BARREIROS','S JOSÉ','SC',18364,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6078656,5.00,6.00,0.00,3.00,8.00,7.13,2.00,6.00,3.00,301,NULL,NULL,'DAS NAÇÕES','FRAIBURGO','SC',12721,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6078664,7.00,6.00,4.00,6.00,9.00,11.63,2.00,5.00,8.00,303,NULL,NULL,'GLORIA','JOINVILLE','SC',3013,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6078680,5.00,5.00,4.00,7.00,7.00,7.88,3.00,6.00,2.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9879,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6078699,1.00,5.00,2.00,4.00,8.00,9.75,2.00,2.00,2.00,316,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',12655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6078702,4.00,6.00,4.00,5.00,4.00,0.00,0.00,7.00,4.00,201,NULL,233,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6078745,3.00,5.00,1.00,5.00,8.00,6.75,0.00,3.00,4.00,216,NULL,215,'CENTRO','CPO MOURÃO','PR',11866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078753,9.00,7.00,4.00,7.00,10.00,10.88,5.00,7.00,9.00,103,NULL,NULL,'JARDIM SANTOS DUMONT','PARANAVAÍ','PR',368,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6078770,6.00,6.00,3.00,5.00,8.00,11.25,6.00,8.00,5.00,453,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6078800,7.00,6.00,4.00,6.00,9.00,7.50,3.00,4.00,4.00,216,NULL,235,'FLORESTA','JOINVILLE','SC',6220,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6078818,3.00,0.00,2.00,2.00,5.00,NULL,0.00,0.00,0.00,201,NULL,207,'AREIAS','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(25,6078834,4.00,5.00,1.00,7.00,9.00,12.75,1.00,5.00,2.00,415,NULL,NULL,'CENTRO','CRICIÚMA','SC',9546,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6078842,3.00,5.00,1.00,7.00,6.00,8.63,2.00,3.00,3.00,208,NULL,238,'CENTRO','TUBARÃO','SC',11450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078850,5.00,4.00,4.00,2.00,7.00,8.25,0.00,1.00,4.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',11488,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6078869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6078885,6.00,7.00,4.00,6.00,8.00,8.25,4.00,4.00,7.00,216,NULL,233,'CENTRO','BIGUAÇU','SC',2949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CACHOEIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6078907,2.00,4.00,1.00,7.00,5.00,8.25,2.00,2.00,2.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6078915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA BONILHA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6078923,2.00,3.00,2.00,2.00,5.00,7.50,0.00,1.00,4.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6078931,8.00,8.00,6.00,7.00,10.00,12.75,3.00,8.00,8.00,201,NULL,212,'VELHA CENTRAL','BLUMENAU','SC',252,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6078940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IJUÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6078958,7.00,6.00,4.00,5.00,6.00,7.13,2.00,5.00,6.00,211,NULL,201,'JD GURILÂNDIA','TAUBATÉ','SP',6420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078966,6.00,3.00,2.00,6.00,6.00,8.63,0.00,1.00,2.00,214,NULL,203,'VILA MARIANA','S PAULO','SP',11825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078974,7.00,5.00,5.00,4.00,7.00,7.13,2.00,7.00,7.00,203,NULL,233,'CAMPECHE','FLORIANÓPOLIS','SC',3780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6078982,5.00,5.00,7.00,3.00,8.00,9.00,4.00,8.00,4.00,203,NULL,202,'JARDIM CARPI','MAIRIPORÃ','SP',3039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6079008,4.00,5.00,2.00,0.00,5.00,10.50,2.00,3.00,2.00,201,NULL,202,'OFICINAS','PNT GROSSA','PR',14481,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6079016,1.00,3.00,2.00,4.00,4.00,8.25,1.00,1.00,2.00,207,NULL,201,'IRIRIU','JOINVILLE','SC',21342,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6079024,8.00,6.00,5.00,5.00,9.00,7.50,3.00,4.00,5.00,103,NULL,NULL,'SÃO MARTINHO','TUBARÃO','SC',6109,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6079032,5.00,5.00,2.00,3.00,6.00,10.88,1.00,1.00,1.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6079040,8.00,7.00,6.00,4.00,8.00,9.00,5.00,5.00,8.00,103,NULL,NULL,'ZONA II','MARINGÁ','PR',1713,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6079059,8.00,7.00,8.00,7.00,7.00,9.75,3.00,6.00,7.00,203,NULL,220,'VILA PLANALTO','DOURADOS','MS',833,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6079067,6.00,8.00,3.00,3.00,9.00,9.75,4.00,8.00,4.00,318,NULL,NULL,'SÃO JOSÉ','CANOAS','RS',3745,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6079075,4.00,3.00,5.00,4.00,4.00,6.38,2.00,1.00,0.00,503,NULL,NULL,'BARREIROS','S JOSÉ','SC',18228,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079083,4.00,7.00,1.00,6.00,7.00,10.88,2.00,5.00,2.00,329,NULL,NULL,'VILA GERMER','TIMBÓ','SC',10958,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6079091,5.00,5.00,3.00,3.00,7.00,7.13,0.00,2.00,1.00,109,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079105,3.00,2.00,1.00,3.00,6.00,8.63,1.00,2.00,0.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079121,5.00,3.00,0.00,3.00,6.00,8.63,0.00,5.00,2.00,101,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',16457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MESQUITA','JACAREÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6079156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6079164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,652,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6079172,5.00,5.00,1.00,7.00,7.00,9.75,2.00,7.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079199,9.00,6.00,6.00,7.00,8.00,12.00,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','STO ANTÔNIO SUDOESTE','PR',852,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6079202,9.00,8.00,6.00,7.00,8.00,10.50,6.00,7.00,8.00,103,NULL,NULL,'CAIÇARA','BELO HORIZONTE','MG',131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6079237,7.00,7.00,0.00,5.00,9.00,10.13,2.00,7.00,3.00,104,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',4963,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6079245,3.00,3.00,1.00,2.00,4.00,8.25,1.00,0.00,0.00,207,NULL,208,'RIO VERMELHO','FLORIANÓPOLIS','SC',20591,1124,NULL,560,NULL,NULL,NULL,2,1),(25,6079253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6079261,2.00,3.00,0.00,5.00,5.00,6.75,2.00,4.00,3.00,5,NULL,NULL,'FUNDOS','BIGUAÇU','SC',19501,668,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6079288,8.00,7.00,4.00,6.00,8.00,9.38,4.00,8.00,8.00,103,NULL,NULL,'ATUBA','COLOMBO','PR',1497,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6079296,2.00,2.00,2.00,2.00,4.00,6.75,2.00,0.00,0.00,601,NULL,207,'LENÇÓL','S BENTO SUL','SC',20659,583,NULL,1130,NULL,NULL,NULL,4,8),(25,6079326,5.00,7.00,0.00,5.00,8.00,NULL,3.00,5.00,2.00,203,NULL,214,'BAIRRO CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079350,1.00,4.00,2.00,2.00,3.00,6.75,2.00,0.00,1.00,104,NULL,NULL,'VILA SESAMO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6079369,4.00,6.00,3.00,6.00,8.00,9.75,2.00,5.00,4.00,319,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',9085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6079377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6079393,2.00,6.00,2.00,4.00,4.00,6.75,1.00,1.00,1.00,421,NULL,423,'XV DE NOVEMBRO','TIJUCAS','SC',18829,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079407,3.00,5.00,0.00,3.00,7.00,8.25,1.00,4.00,2.00,104,NULL,NULL,'CENTRO','TORRES','RS',15088,397,NULL,NULL,NULL,NULL,NULL,2,10),(25,6079415,4.00,5.00,2.00,7.00,6.00,7.88,1.00,4.00,3.00,212,NULL,207,'RESIDENCIAL VILA VER','CAMPINAS','SP',9158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6079431,5.00,8.00,6.00,6.00,10.00,10.13,5.00,9.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6079440,6.00,5.00,4.00,6.00,9.00,7.88,1.00,5.00,5.00,415,NULL,NULL,'PADRE EDUARDO','TAIÓ','SC',7171,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6079458,4.00,3.00,2.00,5.00,3.00,7.88,1.00,1.00,0.00,103,NULL,NULL,'PORTAL','DOURADOS','MS',20620,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6079466,3.00,5.00,2.00,3.00,7.00,8.25,4.00,2.00,0.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6079474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','FORMOSA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6079482,4.00,7.00,1.00,4.00,8.00,NULL,0.00,3.00,0.00,426,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079504,3.00,2.00,1.00,2.00,5.00,7.13,1.00,2.00,2.00,336,NULL,NULL,'ROÇADO','S JOSÉ','SC',19691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079512,8.00,4.00,4.00,5.00,7.00,NULL,2.00,0.00,7.00,103,NULL,NULL,'JARDIM AMERICA','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079520,4.00,5.00,0.00,5.00,7.00,NULL,2.00,2.00,2.00,2,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6079539,3.00,3.00,1.00,3.00,5.00,6.75,1.00,0.00,0.00,211,NULL,215,'CENTRO','TURVO','SC',20755,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6079555,4.00,7.00,3.00,4.00,9.00,10.50,1.00,4.00,3.00,450,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6582,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079563,6.00,4.00,4.00,6.00,9.00,12.00,1.00,1.00,4.00,103,NULL,NULL,'SANTA RITA','BRUSQUE','SC',6989,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6079571,2.00,3.00,2.00,2.00,2.00,NULL,3.00,4.00,2.00,404,NULL,NULL,'JARDIM ZANELLATO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079580,6.00,4.00,4.00,4.00,7.00,7.50,2.00,6.00,4.00,201,NULL,212,'CENTRO','MARINGÁ','PR',8347,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079598,3.00,5.00,3.00,4.00,5.00,8.25,3.00,0.00,2.00,653,NULL,652,'SÃO LUIZ','CRICIÚMA','SC',17602,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6079601,2.00,3.00,0.00,2.00,4.00,5.25,0.00,0.00,2.00,104,NULL,NULL,'PINHEIROS','OTACÍLIO COSTA','SC',21083,583,NULL,NULL,NULL,NULL,NULL,4,9),(25,6079610,5.00,6.00,2.00,5.00,9.00,9.00,0.00,5.00,5.00,104,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',6606,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079636,5.00,4.00,1.00,3.00,8.00,6.75,4.00,1.00,3.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13697,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079644,2.00,2.00,2.00,2.00,3.00,7.50,0.00,1.00,0.00,324,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',21669,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO CIVICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6079679,8.00,4.00,2.00,7.00,6.00,9.00,3.00,6.00,5.00,453,NULL,NULL,'CIDADE JARDIM','JACAREÍ','SP',5347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6079687,1.00,4.00,0.00,3.00,5.00,NULL,3.00,0.00,2.00,207,NULL,215,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6079709,5.00,3.00,4.00,5.00,6.00,8.25,1.00,2.00,0.00,207,NULL,201,'CENTRO','TANGARÁ','SC',16658,886,NULL,1400,NULL,NULL,NULL,2,7),(25,6079717,5.00,6.00,2.00,5.00,5.00,8.25,1.00,0.00,1.00,234,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',18373,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079733,3.00,6.00,2.00,5.00,8.00,11.25,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',10398,3612,NULL,NULL,NULL,NULL,NULL,4,17),(25,6079741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6079750,4.00,6.00,1.00,5.00,6.00,7.13,3.00,5.00,4.00,207,NULL,201,'CABEÇUDAS','ITAJAÍ','SC',9812,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6079768,4.00,4.00,6.00,6.00,7.00,8.25,2.00,3.00,6.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',6308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6079776,8.00,7.00,4.00,5.00,9.00,11.25,3.00,5.00,5.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',2691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'SEMINARIO','CORUPÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6079792,1.00,3.00,0.00,2.00,4.00,9.38,2.00,1.00,1.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',21492,174,NULL,NULL,NULL,NULL,NULL,4,1),(25,6079806,2.00,2.00,3.00,1.00,5.00,8.25,0.00,2.00,1.00,308,NULL,NULL,'SERRARIA','S JOSÉ','SC',21012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6079822,4.00,6.00,4.00,7.00,7.00,10.88,3.00,7.00,5.00,201,NULL,212,'CENTRO','CAPANEMA','PR',3721,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6079849,2.00,4.00,0.00,3.00,5.00,NULL,0.00,0.00,1.00,207,NULL,201,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6079857,1.00,5.00,0.00,1.00,5.00,8.63,2.00,0.00,2.00,5,NULL,NULL,'GUARUJÁ','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6079881,6.00,5.00,3.00,5.00,7.00,7.50,2.00,6.00,6.00,452,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8903,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079890,9.00,8.00,6.00,6.00,8.00,12.00,5.00,8.00,8.00,103,NULL,NULL,'CENTRO','IBIPORÃ','PR',303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6079903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITARARÉ','VITÓRIA','ES',NULL,NULL,NULL,NULL,'S','S','S',3,1),(25,6079911,3.00,5.00,1.00,3.00,2.00,NULL,3.00,3.00,0.00,319,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6079920,1.00,3.00,3.00,5.00,5.00,7.88,2.00,4.00,5.00,207,NULL,220,'BALNEÁRIO','FLORIANÓPOLIS','SC',13674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6079938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6079946,3.00,3.00,2.00,4.00,7.00,9.00,1.00,5.00,3.00,5,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',13245,459,NULL,NULL,NULL,NULL,NULL,2,1),(25,6079962,2.00,4.00,2.00,1.00,5.00,8.25,2.00,0.00,2.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',18814,35,NULL,NULL,NULL,NULL,NULL,2,16),(25,6079970,3.00,2.00,1.00,2.00,3.00,6.00,2.00,6.00,0.00,207,NULL,203,'CENTRO','CAMBORIÚ','SC',19947,1091,NULL,1102,NULL,NULL,NULL,2,3),(25,6080006,6.00,7.00,1.00,5.00,6.00,7.88,3.00,6.00,6.00,303,NULL,NULL,'BARRA DO ARRIRIÚ','PALHOÇA','SC',8400,397,NULL,NULL,NULL,NULL,NULL,2,1),(25,6080030,2.00,3.00,1.00,2.00,4.00,7.88,3.00,1.00,2.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',19439,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6080049,3.00,2.00,1.00,3.00,2.00,NULL,2.00,1.00,2.00,202,NULL,220,'CENTRO','MAXIMILIANO ALMEIDA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6080057,4.00,3.00,3.00,5.00,5.00,7.50,1.00,6.00,2.00,336,NULL,NULL,'CENTRO','CRICIÚMA','SC',13332,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6080073,6.00,6.00,6.00,4.00,7.00,7.88,3.00,5.00,4.00,5,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',6160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6080081,3.00,2.00,1.00,2.00,5.00,7.13,2.00,5.00,3.00,208,NULL,238,'JD DIDINHA','JACAREÍ','SP',16948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6080090,1.00,2.00,1.00,3.00,4.00,7.13,2.00,2.00,2.00,304,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',21572,156,NULL,NULL,NULL,NULL,NULL,4,1),(25,6080103,4.00,3.00,2.00,5.00,7.00,9.00,0.00,2.00,3.00,108,NULL,NULL,'ESTADOS','BAL CAMBORIÚ','SC',13829,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6080111,5.00,4.00,2.00,6.00,4.00,8.63,0.00,2.00,6.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',15403,4267,NULL,NULL,NULL,NULL,NULL,2,1),(25,6080120,3.00,3.00,3.00,3.00,4.00,7.13,1.00,1.00,2.00,223,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',20747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6080146,5.00,8.00,3.00,7.00,10.00,9.38,2.00,7.00,5.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2504,72,NULL,NULL,NULL,NULL,NULL,4,3),(25,6080154,3.00,4.00,3.00,5.00,9.00,10.88,2.00,5.00,4.00,302,NULL,NULL,'MAR GROSSO','LAGUNA','SC',8124,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6080170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ARIRIBÁ','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6080197,3.00,3.00,1.00,1.00,4.00,7.13,3.00,4.00,2.00,238,NULL,202,'BARREIROS','S JOSÉ','SC',18673,442,NULL,586,NULL,NULL,NULL,2,1),(25,6080200,7.00,7.00,3.00,7.00,9.00,8.63,2.00,7.00,4.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',2470,1484,NULL,NULL,NULL,NULL,NULL,4,1),(25,6080219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM SÃO MIGUEL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6080227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6080243,2.00,4.00,3.00,3.00,7.00,10.88,1.00,4.00,2.00,108,NULL,NULL,'CANOAS','RIO SUL','SC',12265,170,NULL,NULL,NULL,NULL,NULL,2,1),(25,6080251,4.00,5.00,1.00,2.00,5.00,5.25,1.00,1.00,1.00,203,NULL,211,'CARIANOS','FLORIANÓPOLIS','SC',21178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6080260,1.00,0.00,3.00,1.00,2.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6080278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6080294,0.00,2.00,1.00,2.00,7.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6080316,7.00,4.00,5.00,7.00,7.00,12.38,3.00,4.00,5.00,333,NULL,NULL,'CENTRO','TELÊMACO BORBA','PR',3217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6080324,2.00,3.00,3.00,2.00,6.00,7.50,3.00,2.00,3.00,203,NULL,201,'PARQUE CALIFORNIA','JACAREÍ','SP',15566,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6080332,4.00,5.00,0.00,1.00,6.00,9.38,2.00,1.00,2.00,203,NULL,601,'SCHROEDER I','SCHROEDER','SC',19543,1084,NULL,550,NULL,NULL,NULL,4,8),(25,6080340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TUCANO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6080367,4.00,4.00,2.00,2.00,4.00,9.00,3.00,0.00,2.00,501,NULL,NULL,'LINHA FERREIRA PONTE','COCAL SUL','SC',20403,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6080375,2.00,4.00,4.00,2.00,9.00,6.75,1.00,2.00,2.00,104,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',18028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6080391,8.00,8.00,4.00,5.00,8.00,9.75,1.00,2.00,7.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',3624,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6080405,4.00,5.00,3.00,5.00,7.00,9.00,3.00,4.00,1.00,2,NULL,NULL,'QUINTINO BOCAIÚVA','TIMBÓ','SC',12255,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6080413,2.00,0.00,1.00,3.00,6.00,NULL,1.00,1.00,0.00,340,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6080430,4.00,5.00,1.00,2.00,7.00,8.63,2.00,1.00,5.00,108,NULL,NULL,'FLAMBOYANT','CPO GRANDE','MS',13069,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6080464,4.00,4.00,0.00,3.00,4.00,5.25,3.00,5.00,2.00,110,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',18676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6080472,1.00,3.00,1.00,4.00,8.00,6.38,0.00,2.00,1.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',19155,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6080499,7.00,7.00,1.00,4.00,7.00,7.50,2.00,8.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6080502,0.00,4.00,0.00,0.00,3.00,NULL,1.00,1.00,0.00,319,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6080529,2.00,4.00,1.00,5.00,8.00,5.25,2.00,3.00,2.00,319,NULL,NULL,'CENTRO','CIANORTE','PR',16290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6080537,2.00,5.00,1.00,3.00,4.00,7.50,3.00,3.00,4.00,5,NULL,NULL,'JARDIM ATLÂNTICO','S JOSÉ','SC',18402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6080545,1.00,7.00,1.00,3.00,7.00,10.88,3.00,4.00,3.00,453,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',13001,83,NULL,NULL,NULL,NULL,NULL,4,1),(25,6080570,7.00,6.00,3.00,3.00,9.00,7.13,2.00,2.00,2.00,203,NULL,201,'PAES LEME','IMBITUBA','SC',9885,714,NULL,798,NULL,NULL,NULL,2,10),(25,6080596,2.00,4.00,1.00,1.00,0.00,NULL,1.00,1.00,2.00,999,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6080600,2.00,4.00,2.00,3.00,6.00,NULL,0.00,1.00,1.00,303,NULL,NULL,'FERROVIARIO','GARIBALDI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6080626,4.00,4.00,1.00,6.00,9.00,10.88,4.00,2.00,2.00,104,NULL,NULL,'CENTRO','S JOAQUIM','SC',12478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6080634,5.00,3.00,2.00,5.00,8.00,8.25,2.00,5.00,2.00,319,NULL,NULL,'CENTRO','AVARÉ','SP',11466,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6080642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ITAIM BIBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6080650,4.00,4.00,4.00,4.00,6.00,7.50,4.00,4.00,4.00,601,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',12082,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6080669,3.00,5.00,3.00,3.00,7.00,10.13,1.00,3.00,3.00,316,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',14648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6080677,7.00,7.00,4.00,6.00,8.00,9.38,3.00,8.00,7.00,103,NULL,NULL,'ALVORADA','FRANCISCO BELTRÃO','PR',2935,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6080685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6080693,4.00,6.00,1.00,3.00,7.00,10.50,2.00,5.00,1.00,420,NULL,NULL,'TIJUCA','RIO JANEIRO','RJ',11009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6080707,7.00,6.00,7.00,7.00,10.00,9.75,4.00,5.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1176,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6080715,2.00,0.00,3.00,6.00,6.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6080723,4.00,1.00,2.00,3.00,5.00,6.75,1.00,0.00,1.00,202,NULL,653,'VILA VITÓRIA','LAGUNA','SC',19559,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6080731,3.00,5.00,2.00,4.00,4.00,7.50,3.00,7.00,3.00,203,NULL,601,'BARREIROS','S JOSÉ','SC',11467,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6080766,5.00,6.00,3.00,5.00,5.00,8.63,0.00,4.00,4.00,233,NULL,216,'BOM RETIRO','CURITIBA','PR',10385,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6080812,1.00,4.00,2.00,4.00,8.00,10.50,1.00,4.00,2.00,653,NULL,202,'JARDIM UNIÃO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6080847,3.00,3.00,1.00,4.00,5.00,10.88,3.00,5.00,1.00,450,NULL,NULL,'SANTA RITA','OLÍMPIA','SP',15258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6080855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'JD AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6080863,4.00,5.00,0.00,6.00,7.00,7.13,2.00,4.00,3.00,301,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',13843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6080871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SALTO WEISSBACH','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6080880,4.00,6.00,1.00,6.00,8.00,10.13,2.00,4.00,1.00,103,NULL,NULL,'CENTRO','GARIBALDI','RS',9116,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6080898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ENGENHO VELHO','CAPIVARI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6080910,3.00,4.00,2.00,4.00,4.00,NULL,3.00,1.00,0.00,652,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6080928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARIGUI','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6080936,2.00,5.00,0.00,1.00,3.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6080944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6080987,5.00,6.00,3.00,2.00,5.00,8.25,2.00,3.00,0.00,110,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6080995,2.00,3.00,2.00,7.00,6.00,7.13,2.00,3.00,5.00,203,NULL,214,'MEDEIROS','JUNDIAÍ','SP',12309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6081010,4.00,4.00,1.00,4.00,4.00,9.00,0.00,4.00,4.00,654,NULL,NULL,'PORTAL DAS VIDEIRAS','VIDEIRA','SC',13915,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6081029,8.00,7.00,7.00,7.00,9.00,12.75,5.00,7.00,8.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',214,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6081037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6081053,4.00,4.00,3.00,4.00,6.00,10.13,2.00,5.00,2.00,201,NULL,211,'RIO ALFA','ANITÁPOLIS','SC',13077,1111,NULL,345,NULL,NULL,NULL,2,1),(25,6081061,4.00,5.00,4.00,1.00,6.00,8.25,2.00,3.00,1.00,109,NULL,NULL,'ENSEADA DO BRITO','PALHOÇA','SC',15295,65,NULL,NULL,NULL,NULL,NULL,2,1),(25,6081070,4.00,6.00,2.00,6.00,9.00,9.38,0.00,2.00,0.00,451,NULL,NULL,'LAUZANE PAULISTA','S PAULO','SP',12688,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6081088,7.00,7.00,4.00,5.00,8.00,7.50,1.00,8.00,7.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',3656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6081118,1.00,7.00,2.00,2.00,5.00,NULL,0.00,3.00,1.00,316,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081126,3.00,5.00,0.00,5.00,9.00,7.88,1.00,3.00,3.00,207,NULL,NULL,'UBATUBA','S FRANCISCO SUL','SC',11206,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6081134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,207,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6081150,4.00,5.00,4.00,5.00,6.00,7.88,2.00,1.00,5.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',13068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081177,3.00,6.00,2.00,3.00,5.00,6.75,2.00,5.00,1.00,104,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',17161,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6081185,9.00,7.00,5.00,7.00,10.00,12.00,3.00,7.00,8.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA UNIVERSITÁRIA','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6081231,3.00,3.00,1.00,5.00,4.00,9.38,2.00,0.00,1.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',20230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6081258,4.00,6.00,3.00,5.00,9.00,9.00,0.00,3.00,2.00,338,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',14543,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6081282,7.00,5.00,3.00,6.00,6.00,8.63,4.00,6.00,5.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',6477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6081339,7.00,6.00,2.00,7.00,8.00,8.63,3.00,5.00,3.00,203,NULL,208,'LINHA SANTA FE ALTA','ITAPIRANGA','SC',5276,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6081347,2.00,2.00,2.00,1.00,4.00,NULL,1.00,0.00,0.00,101,NULL,NULL,'CALEMBA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6081363,7.00,6.00,5.00,4.00,4.00,6.38,0.00,5.00,5.00,201,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',11636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081371,1.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CACHOEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6081398,2.00,7.00,2.00,3.00,4.00,7.50,1.00,3.00,1.00,203,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6081410,3.00,4.00,2.00,3.00,6.00,6.38,3.00,4.00,3.00,404,NULL,NULL,'JARDIM DAS ACASIAS','S JOSÉ','SC',15470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,235,'GUABIROTUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6081436,5.00,3.00,1.00,5.00,9.00,8.25,2.00,7.00,1.00,451,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',11088,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6081444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6081452,4.00,6.00,1.00,4.00,9.00,8.25,1.00,2.00,1.00,103,NULL,NULL,'NOVA DIVINÉIA','PINHALZINHO','SC',13496,4067,NULL,NULL,NULL,NULL,NULL,2,4),(25,6081479,1.00,3.00,0.00,3.00,2.00,NULL,1.00,0.00,2.00,203,NULL,NULL,'RIBEIRÃO CAFÉ','TROMBUDO CENTRAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6081487,7.00,5.00,2.00,4.00,7.00,9.38,3.00,4.00,8.00,103,NULL,NULL,'AUGUSTO JOSÉ VALENTE','POSSE','GO',6036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6081509,7.00,6.00,5.00,6.00,9.00,7.88,3.00,4.00,6.00,103,NULL,NULL,'CHÁCARAS GUISARD','TAUBATÉ','SP',4440,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6081517,4.00,5.00,4.00,5.00,5.00,6.75,3.00,1.00,3.00,235,NULL,213,'ARMAÇÃO','FLORIANÓPOLIS','SC',15564,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6081525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,424,'JARDIM DO ESTADIO','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6081541,2.00,4.00,2.00,3.00,6.00,7.13,2.00,2.00,0.00,238,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',20528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081550,8.00,8.00,8.00,7.00,9.00,8.63,7.00,7.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',52,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6081568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6081576,8.00,6.00,0.00,5.00,7.00,9.00,1.00,7.00,4.00,102,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081606,5.00,4.00,3.00,6.00,7.00,12.00,2.00,4.00,4.00,102,NULL,NULL,'AGUA VERDE','CURITIBA','PR',7790,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6081614,2.00,4.00,2.00,1.00,4.00,6.75,1.00,4.00,0.00,201,NULL,213,'ITAPEVA','IMARUÍ','SC',21340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081622,3.00,6.00,2.00,4.00,6.00,NULL,2.00,0.00,1.00,104,NULL,NULL,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6081630,3.00,4.00,3.00,4.00,7.00,NULL,0.00,4.00,1.00,317,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6081649,8.00,6.00,2.00,7.00,8.00,8.63,3.00,7.00,5.00,303,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',5008,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6081657,5.00,3.00,3.00,5.00,8.00,8.63,2.00,2.00,1.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',17152,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6081665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6081681,4.00,3.00,1.00,3.00,4.00,6.75,1.00,1.00,1.00,502,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',21104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6081738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PALMITAL','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6081754,5.00,5.00,3.00,7.00,9.00,12.75,3.00,5.00,4.00,415,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',4320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081762,2.00,2.00,3.00,3.00,5.00,7.50,2.00,1.00,3.00,451,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6081770,3.00,5.00,3.00,6.00,8.00,9.00,3.00,3.00,2.00,103,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',11858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081789,5.00,5.00,5.00,6.00,6.00,7.50,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','IRATI','PR',8722,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6081800,4.00,7.00,6.00,7.00,9.00,8.25,3.00,5.00,4.00,203,NULL,601,'CENTRO','JOAÇABA','SC',3996,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6081819,4.00,3.00,0.00,5.00,7.00,NULL,1.00,2.00,1.00,201,NULL,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6081827,3.00,3.00,0.00,1.00,0.00,NULL,2.00,2.00,0.00,238,NULL,208,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6081851,7.00,6.00,3.00,5.00,9.00,11.63,0.00,5.00,8.00,103,NULL,NULL,'ESTAÇÃO','FRANCA','SP',3209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081860,0.00,3.00,1.00,2.00,4.00,7.50,2.00,1.00,2.00,337,NULL,NULL,'CENTRO','CATANDUVAS','SC',21730,47,NULL,NULL,NULL,NULL,NULL,4,7),(25,6081878,4.00,7.00,3.00,6.00,8.00,9.00,5.00,5.00,3.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081886,8.00,6.00,8.00,7.00,9.00,9.75,3.00,8.00,9.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081894,3.00,5.00,1.00,3.00,4.00,7.13,1.00,3.00,1.00,999,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081908,4.00,6.00,0.00,3.00,8.00,9.00,3.00,1.00,2.00,207,NULL,201,'CENTRO','S MATEUS SUL','PR',18088,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6081916,3.00,3.00,1.00,4.00,3.00,NULL,3.00,1.00,0.00,319,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6081924,5.00,6.00,0.00,2.00,2.00,NULL,0.00,2.00,2.00,225,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6081940,5.00,4.00,1.00,2.00,3.00,8.25,2.00,4.00,2.00,220,NULL,208,'BOM VIVER','BIGUAÇU','SC',19798,482,NULL,517,NULL,NULL,NULL,2,1),(25,6081959,0.00,2.00,1.00,1.00,1.00,NULL,1.00,1.00,1.00,404,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6081967,1.00,2.00,0.00,2.00,4.00,7.13,0.00,2.00,0.00,208,NULL,235,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',21025,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6081983,7.00,6.00,2.00,3.00,5.00,8.25,3.00,2.00,3.00,9,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',11392,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6081991,5.00,4.00,2.00,4.00,7.00,8.25,2.00,1.00,1.00,303,NULL,NULL,'MAGALHÃES','LAGUNA','SC',15471,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6082009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6082033,5.00,5.00,3.00,6.00,7.00,9.75,1.00,4.00,3.00,211,NULL,220,'TAPERA','FLORIANÓPOLIS','SC',10355,253,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082041,3.00,4.00,3.00,2.00,4.00,3.75,3.00,5.00,2.00,318,NULL,NULL,'KOBRASSOL II','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082050,3.00,5.00,2.00,0.00,5.00,6.75,1.00,3.00,1.00,201,NULL,212,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6082068,2.00,1.00,1.00,2.00,2.00,NULL,0.00,1.00,1.00,415,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082092,2.00,1.00,2.00,2.00,4.00,6.38,1.00,0.00,2.00,308,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6082106,3.00,5.00,3.00,4.00,4.00,5.63,2.00,4.00,2.00,207,NULL,203,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',14812,799,NULL,921,NULL,NULL,NULL,2,1),(25,6082114,3.00,5.00,3.00,6.00,5.00,7.50,2.00,5.00,3.00,317,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6082122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6082130,5.00,3.00,1.00,5.00,7.00,6.38,2.00,3.00,5.00,415,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',12140,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082149,6.00,5.00,1.00,4.00,4.00,9.38,1.00,5.00,3.00,303,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',10555,489,NULL,NULL,NULL,NULL,NULL,4,8),(25,6082157,4.00,6.00,3.00,5.00,8.00,9.00,3.00,4.00,3.00,452,NULL,NULL,'BARAO GERALDO','CAMPINAS','SP',7982,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082165,3.00,5.00,2.00,2.00,5.00,7.88,2.00,1.00,2.00,102,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',17972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082173,8.00,5.00,0.00,5.00,8.00,NULL,3.00,5.00,7.00,104,NULL,NULL,'CENTRO','MODELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6082181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6082190,3.00,6.00,3.00,4.00,6.00,8.25,2.00,4.00,3.00,207,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',15561,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082220,1.00,4.00,4.00,3.00,1.00,NULL,3.00,1.00,3.00,235,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6082246,4.00,6.00,3.00,6.00,4.00,9.75,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',8092,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6082254,4.00,7.00,1.00,4.00,4.00,8.63,1.00,4.00,2.00,238,NULL,220,'SAMBAQUI','FLORIANÓPOLIS','SC',17640,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082262,4.00,3.00,3.00,7.00,9.00,10.88,3.00,7.00,5.00,601,NULL,207,'CENTRO','JOINVILLE','SC',5169,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6082270,2.00,6.00,1.00,1.00,5.00,7.50,1.00,1.00,0.00,332,NULL,NULL,'JARDIM BELA VISTA','TAUBATÉ','SP',19744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6082297,6.00,6.00,1.00,3.00,10.00,11.63,0.00,5.00,5.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',6729,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6082300,5.00,6.00,2.00,7.00,8.00,8.63,2.00,6.00,3.00,327,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',7997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6082319,4.00,3.00,1.00,2.00,1.00,NULL,2.00,1.00,0.00,5,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6082327,5.00,5.00,0.00,3.00,9.00,NULL,3.00,3.00,1.00,103,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6082335,5.00,2.00,3.00,3.00,5.00,NULL,0.00,3.00,0.00,101,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6082343,4.00,5.00,1.00,3.00,3.00,6.38,1.00,3.00,2.00,424,NULL,429,'AGRONÔMICA','FLORIANÓPOLIS','SC',19063,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082351,3.00,4.00,0.00,2.00,6.00,4.88,1.00,4.00,2.00,655,NULL,653,'CENTRO','BAL ARROIO SILVA','SC',20670,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6082360,3.00,5.00,1.00,1.00,5.00,8.25,1.00,1.00,0.00,9,NULL,NULL,'VILA NOVA','IMBITUBA','SC',21153,161,NULL,NULL,NULL,NULL,NULL,2,10),(25,6082378,2.00,4.00,3.00,4.00,4.00,3.75,2.00,3.00,1.00,301,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','TUPANCI SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6082394,3.00,2.00,2.00,2.00,4.00,NULL,2.00,0.00,0.00,102,NULL,NULL,'JARDIM SAVEIROS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6082424,4.00,7.00,3.00,3.00,7.00,8.63,2.00,4.00,3.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6082432,3.00,4.00,2.00,6.00,7.00,9.75,1.00,1.00,2.00,103,NULL,NULL,'CENTRO','LAGUNA','SC',12881,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6082440,4.00,5.00,1.00,5.00,7.00,NULL,0.00,0.00,2.00,304,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6082467,6.00,6.00,4.00,6.00,7.00,10.50,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5078,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,208,'URBANOVA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6082483,5.00,5.00,1.00,3.00,6.00,6.75,2.00,5.00,2.00,601,NULL,201,'BELA VISTA','BAURU','SP',12980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6082491,6.00,5.00,1.00,4.00,6.00,7.88,3.00,4.00,5.00,207,NULL,201,'CARVOEIRA','FLORIANÓPOLIS','SC',9944,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(25,6082513,2.00,3.00,1.00,5.00,3.00,7.50,2.00,4.00,2.00,205,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',16962,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082548,3.00,3.00,1.00,6.00,6.00,7.50,1.00,2.00,2.00,452,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',17992,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082556,4.00,3.00,3.00,2.00,4.00,7.88,1.00,2.00,4.00,335,NULL,NULL,'VILA APARECIDA','TAUBATÉ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082572,5.00,5.00,4.00,4.00,4.00,7.50,3.00,6.00,7.00,203,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',8846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6082599,5.00,4.00,2.00,4.00,7.00,8.63,2.00,4.00,4.00,103,NULL,NULL,'PLANALTO','CAXIAS SUL','RS',10753,3678,NULL,NULL,NULL,NULL,NULL,4,6),(25,6082610,2.00,4.00,1.00,1.00,2.00,NULL,1.00,0.00,0.00,301,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6082629,4.00,3.00,3.00,4.00,8.00,8.63,2.00,2.00,3.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082637,4.00,7.00,2.00,4.00,8.00,9.75,2.00,3.00,4.00,317,NULL,NULL,'AREIAS','S JOSÉ','SC',10244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082653,3.00,7.00,2.00,6.00,7.00,10.50,1.00,3.00,2.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',10750,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082661,2.00,6.00,1.00,3.00,5.00,9.00,4.00,5.00,4.00,103,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',12359,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082670,9.00,6.00,7.00,5.00,8.00,7.88,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',773,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6082688,3.00,4.00,2.00,0.00,3.00,NULL,0.00,0.00,3.00,9,NULL,NULL,'CENTRO','ERVAL VELHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6082700,6.00,0.00,0.00,4.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6082718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,233,'VILA NOVA','COCAL SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6082750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6082769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6082785,5.00,4.00,0.00,4.00,6.00,7.50,0.00,2.00,1.00,450,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',20192,133,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082793,4.00,6.00,2.00,3.00,5.00,NULL,0.00,2.00,1.00,101,NULL,NULL,'PADRE ANTONIO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6082807,2.00,2.00,0.00,0.00,2.00,NULL,0.00,0.00,1.00,335,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6082815,5.00,6.00,3.00,4.00,7.00,6.75,1.00,4.00,3.00,302,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',14141,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082840,8.00,6.00,6.00,7.00,9.00,10.88,5.00,7.00,9.00,203,NULL,201,'CIDADE ALTA','PTO SEGURO','BA',302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6082866,5.00,8.00,3.00,4.00,4.00,8.25,3.00,5.00,7.00,103,NULL,NULL,'FEITOSA','MACEIÓ','AL',7064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082890,0.00,4.00,0.00,2.00,4.00,NULL,1.00,1.00,2.00,223,NULL,NULL,'ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082904,4.00,4.00,2.00,0.00,4.00,7.13,1.00,1.00,0.00,104,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',20053,561,NULL,NULL,NULL,NULL,NULL,1,9),(25,6082912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,220,'SAO LUIZ','CEDRAL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6082920,7.00,8.00,3.00,7.00,9.00,8.25,1.00,4.00,6.00,103,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',4412,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6082939,2.00,4.00,2.00,4.00,6.00,7.88,1.00,3.00,1.00,104,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082947,5.00,6.00,1.00,5.00,6.00,7.88,1.00,5.00,4.00,108,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',12137,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6082955,3.00,5.00,5.00,6.00,7.00,6.00,4.00,5.00,5.00,201,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',7256,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6082971,2.00,3.00,1.00,2.00,4.00,6.00,3.00,2.00,2.00,201,NULL,212,'FORQUILHINHAS','S JOSÉ','SC',20282,1652,NULL,567,NULL,NULL,NULL,2,1),(25,6082980,4.00,4.00,1.00,6.00,6.00,10.50,1.00,0.00,3.00,101,NULL,NULL,'TERMAS','GRAVATAL','SC',17344,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6082998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CAETANO NATAL BRANCO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6083013,4.00,5.00,3.00,7.00,8.00,10.13,0.00,6.00,4.00,429,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',7295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083030,2.00,5.00,1.00,1.00,5.00,7.50,2.00,0.00,3.00,428,NULL,424,'SAUDADE','BIGUAÇU','SC',20959,52,NULL,NULL,NULL,NULL,NULL,2,1),(25,6083048,6.00,6.00,2.00,5.00,7.00,10.13,0.00,4.00,2.00,215,NULL,201,'AGRONOMICA','FLORIANÓPOLIS','SC',13223,207,NULL,1120,NULL,NULL,NULL,2,1),(25,6083056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'VILA AIROSA','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6083064,6.00,8.00,8.00,6.00,8.00,12.00,5.00,7.00,4.00,303,NULL,NULL,'FAZENDA','ITAJAÍ','SC',1204,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6083072,4.00,2.00,4.00,5.00,5.00,6.75,1.00,2.00,2.00,103,NULL,NULL,'VILA SUISSA','MOGI CRUZES','SP',19013,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6083080,2.00,5.00,3.00,2.00,5.00,8.25,2.00,1.00,4.00,225,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083102,8.00,7.00,7.00,7.00,8.00,8.63,4.00,7.00,7.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',1278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083110,5.00,6.00,2.00,6.00,10.00,10.13,3.00,4.00,6.00,304,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',5303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083129,3.00,7.00,2.00,7.00,6.00,9.75,1.00,6.00,3.00,340,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',9581,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6083137,3.00,3.00,2.00,2.00,5.00,3.38,1.00,2.00,0.00,238,NULL,203,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6083145,1.00,4.00,1.00,0.00,4.00,8.25,1.00,0.00,1.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6083153,3.00,3.00,1.00,4.00,7.00,9.00,3.00,3.00,1.00,103,NULL,NULL,'DEHON','TUBARÃO','SC',15382,4264,NULL,NULL,NULL,NULL,NULL,4,10),(25,6083161,3.00,0.00,1.00,2.00,4.00,6.38,1.00,2.00,1.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6083188,3.00,4.00,3.00,4.00,6.00,8.25,3.00,3.00,5.00,233,NULL,216,'PARQUE DOS VINHEDOS','CAXIAS SUL','RS',12173,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6083196,2.00,4.00,0.00,3.00,3.00,7.13,2.00,2.00,2.00,340,NULL,NULL,'JARDIM EUCALIPTUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083200,4.00,6.00,2.00,4.00,6.00,6.75,1.00,2.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083218,7.00,6.00,4.00,7.00,7.00,8.25,3.00,4.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',3554,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6083226,2.00,2.00,3.00,2.00,5.00,7.50,0.00,1.00,1.00,103,NULL,NULL,'BARRACÃO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6083234,2.00,2.00,0.00,1.00,6.00,NULL,1.00,0.00,2.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083250,7.00,6.00,2.00,5.00,10.00,10.50,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','S GABRIEL','RS',3382,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6083269,9.00,7.00,5.00,7.00,9.00,11.25,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083277,6.00,5.00,3.00,7.00,8.00,12.38,2.00,3.00,3.00,601,NULL,203,'IRIRIÚ','JOINVILLE','SC',7076,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6083285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARAU','RS',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6083293,2.00,6.00,1.00,3.00,2.00,NULL,1.00,4.00,1.00,203,NULL,214,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6083307,8.00,7.00,5.00,6.00,7.00,9.00,3.00,4.00,5.00,103,NULL,NULL,'IMBUI','CACHOEIRINHA','RS',4491,2255,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083315,7.00,7.00,3.00,6.00,7.00,9.00,7.00,9.00,4.00,203,NULL,212,'CENTRO','GUABIRUBA','SC',2183,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6083323,8.00,6.00,4.00,5.00,9.00,9.75,3.00,6.00,7.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',2491,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6083340,4.00,3.00,2.00,4.00,5.00,8.63,3.00,3.00,3.00,2,NULL,NULL,'STO ANTONIO DE PADUA','TUBARÃO','SC',14099,36,NULL,NULL,NULL,NULL,NULL,2,10),(25,6083358,2.00,5.00,0.00,6.00,7.00,NULL,0.00,1.00,3.00,104,NULL,NULL,'ALTO BOQUEIRAO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6083366,0.00,3.00,0.00,0.00,0.00,NULL,1.00,3.00,1.00,202,NULL,213,'PARQUE JARDIM OURO','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6083382,2.00,5.00,2.00,4.00,6.00,9.38,0.00,1.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083390,4.00,5.00,0.00,1.00,3.00,7.13,1.00,3.00,2.00,5,NULL,NULL,'VILA VITORIA REGIA','APUCARANA','PR',21026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083412,1.00,5.00,1.00,2.00,5.00,NULL,0.00,2.00,2.00,233,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6083420,5.00,5.00,5.00,2.00,5.00,9.38,3.00,4.00,4.00,202,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083439,2.00,3.00,0.00,2.00,3.00,7.13,3.00,0.00,2.00,202,NULL,653,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6083447,2.00,6.00,4.00,7.00,7.00,8.25,1.00,6.00,6.00,208,NULL,220,'AREIAS','S JOSÉ','SC',6935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083455,2.00,5.00,2.00,6.00,8.00,7.50,1.00,4.00,1.00,423,NULL,427,'CORREGO GRANDE','FLORIANÓPOLIS','SC',17024,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6083463,5.00,4.00,3.00,4.00,6.00,8.25,2.00,1.00,3.00,213,NULL,235,'JARDIM LEONOR','CAMPINAS','SP',14791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083471,2.00,7.00,1.00,6.00,8.00,9.75,2.00,4.00,1.00,212,NULL,202,'CENTRO','S ROQUE','SP',10983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083498,5.00,3.00,5.00,5.00,7.00,7.13,3.00,7.00,6.00,203,NULL,202,'INOCOOP II','SERTÃOZINHO','SP',5528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083501,7.00,5.00,4.00,6.00,6.00,7.13,5.00,7.00,5.00,234,NULL,NULL,'SANTA TEREZINHA','PIRACICABA','SP',4762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6083510,3.00,0.00,1.00,3.00,8.00,NULL,0.00,0.00,0.00,238,NULL,207,'PARZIANELLO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6083536,2.00,2.00,3.00,3.00,6.00,7.88,2.00,2.00,2.00,303,NULL,NULL,'PRAIA DA PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6083544,3.00,3.00,1.00,2.00,6.00,NULL,0.00,0.00,1.00,103,NULL,NULL,'ESTEVÃO DE MATTOS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6083552,4.00,4.00,3.00,5.00,7.00,7.50,1.00,3.00,3.00,201,NULL,NULL,'LAGOA DA CONCEIÇÁO','FLORIANÓPOLIS','SC',15410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6083579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM ISABEL','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6083587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6083609,9.00,8.00,8.00,7.00,10.00,11.63,7.00,9.00,9.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',6,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083617,5.00,5.00,5.00,7.00,9.00,8.25,3.00,7.00,5.00,103,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',5304,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6083625,3.00,5.00,1.00,4.00,5.00,10.50,3.00,6.00,1.00,415,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',15280,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6083633,2.00,5.00,1.00,5.00,6.00,NULL,0.00,5.00,2.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083650,3.00,8.00,2.00,4.00,7.00,7.50,3.00,5.00,2.00,220,NULL,214,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',9867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083668,3.00,0.00,2.00,7.00,8.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(25,6083684,2.00,3.00,2.00,3.00,6.00,9.75,1.00,5.00,3.00,211,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',16918,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6083692,1.00,2.00,1.00,2.00,5.00,9.75,0.00,2.00,2.00,108,NULL,NULL,'BOSQUE','CURITIBANOS','SC',19870,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6083722,4.00,4.00,3.00,5.00,8.00,9.00,1.00,7.00,2.00,208,NULL,238,'RIO VERMELHO','FLORIANÓPOLIS','SC',10931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083749,8.00,6.00,3.00,5.00,8.00,9.00,3.00,8.00,5.00,303,NULL,NULL,'VILA FERROVIÁRIA','MAFRA','SC',3208,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6083757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM SIMUS','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6083765,6.00,6.00,2.00,3.00,9.00,8.25,1.00,3.00,6.00,212,NULL,214,'ALTO DA BOA VISTA','RIBEIRÃO PRETO','SP',7269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'FÁTIMA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6083781,4.00,5.00,0.00,5.00,6.00,6.38,3.00,7.00,1.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',12692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083790,1.00,5.00,3.00,3.00,5.00,5.25,1.00,4.00,1.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',20671,444,NULL,NULL,NULL,NULL,NULL,2,1),(25,6083803,5.00,6.00,1.00,6.00,8.00,9.75,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','GASPAR','SC',8097,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6083811,3.00,5.00,3.00,4.00,6.00,7.13,2.00,4.00,1.00,104,NULL,NULL,'PETRÓPOLIS','LAGES','SC',18424,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6083838,3.00,5.00,2.00,5.00,10.00,9.38,2.00,5.00,3.00,303,NULL,NULL,'CENTRO','JOAÇABA','SC',12637,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6083846,2.00,5.00,2.00,1.00,5.00,5.63,0.00,3.00,1.00,303,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',21253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083854,5.00,4.00,3.00,4.00,1.00,NULL,0.00,6.00,1.00,9,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6083862,6.00,5.00,0.00,5.00,8.00,12.75,1.00,6.00,6.00,103,NULL,NULL,'CENTRO','MARAVILHA','SC',5268,2500,NULL,NULL,NULL,NULL,NULL,4,4),(25,6083870,5.00,4.00,2.00,1.00,6.00,9.00,1.00,1.00,4.00,222,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6083900,8.00,6.00,4.00,6.00,6.00,8.25,3.00,7.00,7.00,216,NULL,203,'CENTRO','OURINHOS','SP',2241,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6083919,3.00,3.00,1.00,3.00,7.00,8.63,4.00,3.00,2.00,109,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17502,98,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'PARQUE VIA NORTE','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6083935,3.00,7.00,1.00,2.00,5.00,7.13,0.00,1.00,3.00,424,NULL,423,'CAPOEIRAS','FLORIANÓPOLIS','SC',20716,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6083960,2.00,3.00,0.00,2.00,4.00,6.00,3.00,1.00,1.00,201,NULL,207,'SÃO SEBASTIÃO','PALHOÇA','SC',20929,1690,NULL,1139,NULL,NULL,NULL,2,1),(25,6083986,4.00,5.00,2.00,5.00,8.00,10.50,0.00,0.00,4.00,304,NULL,NULL,'BARRA FUNDA','GUARUJÁ','SP',9602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6083994,6.00,4.00,1.00,4.00,5.00,6.75,1.00,2.00,5.00,3,NULL,NULL,'CENTRO','STA CECÍLIA','SC',14815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084010,7.00,7.00,3.00,4.00,8.00,8.63,1.00,8.00,6.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',3650,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6084028,2.00,3.00,4.00,4.00,3.00,8.25,2.00,1.00,3.00,103,NULL,NULL,'CENTENÁRIO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6084036,5.00,3.00,2.00,4.00,5.00,9.75,2.00,3.00,2.00,999,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084052,2.00,0.00,2.00,6.00,6.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'JARDIM INDEPENDENCIA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6084060,4.00,6.00,3.00,6.00,8.00,6.38,1.00,5.00,6.00,601,NULL,NULL,'ITAUM','JOINVILLE','SC',10298,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6084079,7.00,5.00,3.00,3.00,7.00,7.13,2.00,5.00,6.00,3,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',10215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084087,6.00,5.00,6.00,5.00,6.00,7.88,3.00,3.00,3.00,203,NULL,233,'VILA IZABEL','CURITIBA','PR',7510,569,NULL,NULL,NULL,NULL,NULL,2,8),(25,6084095,3.00,5.00,3.00,5.00,6.00,7.13,1.00,5.00,4.00,203,NULL,NULL,'DESVIO RIZZO','CAXIAS SUL','RS',15108,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6084109,6.00,5.00,2.00,5.00,6.00,9.75,1.00,4.00,4.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084133,4.00,4.00,1.00,4.00,9.00,10.88,0.00,3.00,3.00,340,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',10993,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6084150,2.00,2.00,3.00,1.00,2.00,NULL,2.00,1.00,2.00,216,NULL,NULL,'GLORIA','RODEIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6084176,5.00,4.00,4.00,6.00,8.00,9.00,4.00,5.00,1.00,425,NULL,429,'CAMPINAS','S JOSÉ','SC',9635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'POCINHO','CAMPINA G SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6084192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','GUARATUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6084206,8.00,7.00,5.00,6.00,10.00,9.38,4.00,5.00,8.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',911,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6084214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'KOBRASOL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6084222,3.00,4.00,2.00,2.00,6.00,6.75,1.00,3.00,4.00,601,NULL,202,'BUCAREIN','JOINVILLE','SC',18934,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6084230,4.00,5.00,4.00,5.00,7.00,6.75,1.00,4.00,2.00,203,NULL,214,'ITACORUBI','FLORIANÓPOLIS','SC',12077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084249,6.00,6.00,5.00,6.00,6.00,9.38,2.00,5.00,5.00,301,NULL,NULL,'VILA ESTRELA','PNT GROSSA','PR',4836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084265,2.00,5.00,4.00,3.00,5.00,8.25,1.00,3.00,3.00,317,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',18381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6084273,3.00,4.00,0.00,4.00,2.00,NULL,1.00,2.00,0.00,444,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6084290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SÃO JOSÉ','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6084303,4.00,5.00,6.00,7.00,10.00,8.25,5.00,4.00,4.00,220,NULL,NULL,'CENTRO','MARAVILHA','SC',3291,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6084311,3.00,5.00,0.00,1.00,0.00,NULL,2.00,0.00,2.00,103,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6084320,8.00,7.00,1.00,7.00,9.00,7.13,3.00,4.00,8.00,235,NULL,220,'JARDIM AVIAÇÃO','PRES PRUDENTE','SP',2837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084338,3.00,6.00,4.00,6.00,8.00,8.63,1.00,4.00,2.00,301,NULL,NULL,'JD ESPLANADA','S JOSÉ CAMPOS','SP',11496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084354,6.00,7.00,6.00,5.00,7.00,6.00,3.00,3.00,7.00,201,NULL,202,'CENCI','DOIS VIZINHOS','PR',4607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6084362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA RICA','PORTÃO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6084370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6084389,1.00,5.00,0.00,3.00,3.00,6.75,0.00,1.00,0.00,333,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6084397,4.00,5.00,1.00,4.00,8.00,7.88,3.00,6.00,2.00,102,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',11514,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6084400,7.00,8.00,4.00,5.00,11.00,9.00,4.00,8.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1254,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6084419,1.00,3.00,2.00,3.00,8.00,7.50,3.00,0.00,2.00,308,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',18079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084427,5.00,7.00,3.00,7.00,6.00,9.38,1.00,3.00,3.00,211,NULL,207,'PERDIZES','S PAULO','SP',10391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084435,8.00,6.00,6.00,6.00,8.00,NULL,0.00,4.00,7.00,103,NULL,NULL,'GIOCONDO ORSI','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6084443,3.00,6.00,2.00,6.00,9.00,8.63,1.00,6.00,3.00,103,NULL,NULL,'JARDIM SONTAG','SALTO','SP',9366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084451,5.00,5.00,3.00,4.00,5.00,7.88,2.00,4.00,3.00,202,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',11822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084460,5.00,5.00,1.00,2.00,8.00,7.88,0.00,7.00,2.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',16036,564,NULL,NULL,NULL,NULL,NULL,2,1),(25,6084478,2.00,2.00,2.00,1.00,4.00,7.13,1.00,2.00,1.00,201,NULL,NULL,'VENEZA','XANXERÊ','SC',21621,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6084486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'KM QUATRO','LAURENTINO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6084508,4.00,4.00,3.00,4.00,6.00,7.13,0.00,6.00,1.00,319,NULL,NULL,'SÃO RAFAEL','RIO NEGRINHO','SC',17974,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6084516,5.00,6.00,3.00,7.00,7.00,12.00,1.00,6.00,3.00,5,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',4998,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6084559,1.00,4.00,2.00,3.00,2.00,NULL,3.00,1.00,0.00,109,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6084567,8.00,8.00,3.00,6.00,9.00,8.25,1.00,7.00,6.00,103,NULL,NULL,'SAO VICENTE','PATO BRANCO','PR',2810,1631,NULL,NULL,NULL,NULL,NULL,2,8),(25,6084583,2.00,6.00,2.00,1.00,7.00,9.38,2.00,3.00,2.00,320,NULL,NULL,'JARDIM SANTA CRUZ','CAMPINAS','SP',16135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084605,4.00,5.00,3.00,5.00,6.00,8.63,2.00,4.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084621,1.00,2.00,1.00,2.00,3.00,NULL,0.00,0.00,2.00,103,NULL,NULL,'CENTRO','GEN CARNEIRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084648,2.00,2.00,0.00,3.00,2.00,NULL,1.00,4.00,3.00,104,NULL,NULL,'MEIA PRAIA','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6084656,6.00,5.00,3.00,7.00,7.00,8.63,2.00,7.00,4.00,108,NULL,NULL,'SANTOS DUMMONT','S JOSÉ','SC',7911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084664,2.00,4.00,2.00,4.00,4.00,8.25,2.00,0.00,1.00,211,NULL,653,'TRINDADE','FLORIANÓPOLIS','SC',20359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084672,2.00,7.00,3.00,7.00,10.00,9.75,3.00,5.00,3.00,428,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',7658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084680,4.00,6.00,2.00,4.00,8.00,10.88,2.00,3.00,1.00,428,NULL,423,'NAVEGANTES','PTO ALEGRE','RS',12559,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6084699,8.00,5.00,2.00,2.00,9.00,10.50,3.00,4.00,8.00,104,NULL,NULL,'CHAMPAGNAT','CURITIBA','PR',3538,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6084702,6.00,5.00,0.00,4.00,7.00,10.13,3.00,5.00,1.00,320,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',11983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084710,4.00,3.00,4.00,1.00,4.00,NULL,1.00,0.00,2.00,203,NULL,214,'CENTRO','POÇOS CALDAS','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084737,3.00,4.00,1.00,3.00,5.00,0.00,3.00,2.00,1.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6084745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6084753,7.00,4.00,3.00,7.00,6.00,7.50,2.00,4.00,5.00,404,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',10320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084761,5.00,6.00,1.00,4.00,8.00,7.50,2.00,4.00,2.00,420,NULL,NULL,'SÃO CRISTÓVÃO','TRÊS BARRAS','SC',13172,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6084770,2.00,4.00,1.00,1.00,6.00,7.13,0.00,3.00,1.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',18151,4535,NULL,NULL,NULL,NULL,NULL,2,1),(25,6084788,2.00,4.00,1.00,1.00,4.00,NULL,4.00,0.00,1.00,207,NULL,201,'CENTRO','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6084796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6084800,2.00,2.00,0.00,1.00,3.00,7.13,1.00,0.00,0.00,415,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',21784,344,NULL,NULL,NULL,NULL,NULL,2,1),(25,6084818,3.00,4.00,0.00,2.00,5.00,10.13,0.00,2.00,1.00,207,NULL,211,'CENTRO','JOAÇABA','SC',18755,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6084826,4.00,7.00,3.00,6.00,7.00,9.75,1.00,6.00,4.00,326,NULL,NULL,'ILHOTA','ITAPEMA','SC',9735,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6084834,7.00,7.00,3.00,6.00,10.00,9.38,1.00,6.00,6.00,653,NULL,655,'CENTRO','STA ROSA SUL','SC',3487,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6084842,4.00,7.00,4.00,4.00,7.00,9.75,4.00,6.00,4.00,5,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',6240,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6084850,3.00,4.00,4.00,5.00,6.00,NULL,0.00,2.00,4.00,110,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084869,6.00,6.00,0.00,6.00,9.00,9.75,0.00,6.00,7.00,103,NULL,NULL,'VILA SOUTO','BAURU','SP',4249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084877,6.00,5.00,4.00,7.00,10.00,9.00,5.00,7.00,7.00,203,NULL,220,'PARK WAY','NUC BANDEIRANTE','DF',1503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084885,0.00,2.00,0.00,1.00,2.00,NULL,0.00,0.00,1.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6084893,9.00,7.00,6.00,5.00,10.00,10.13,6.00,8.00,9.00,103,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',152,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6084923,2.00,3.00,2.00,2.00,4.00,NULL,1.00,0.00,1.00,5,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6084931,3.00,5.00,0.00,7.00,5.00,9.75,0.00,2.00,0.00,444,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084940,3.00,2.00,4.00,3.00,6.00,7.50,2.00,1.00,4.00,104,NULL,NULL,'PICADAS DO NORTE','S JOSÉ','SC',16473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084958,6.00,5.00,4.00,7.00,8.00,10.88,2.00,6.00,5.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6084966,7.00,5.00,2.00,6.00,6.00,9.75,1.00,2.00,5.00,205,NULL,NULL,'AREIAS','S JOSÉ','SC',8835,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6084990,5.00,2.00,0.00,1.00,7.00,9.00,1.00,1.00,2.00,319,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',20646,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6085008,0.00,3.00,1.00,1.00,5.00,NULL,1.00,2.00,0.00,302,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6085016,8.00,6.00,6.00,6.00,10.00,8.63,4.00,7.00,9.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',1052,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6085024,5.00,6.00,2.00,1.00,7.00,5.25,2.00,6.00,4.00,103,NULL,NULL,'SÃO SEBASTIAO','PALHOÇA','SC',13766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6085032,6.00,5.00,6.00,5.00,7.00,10.88,3.00,6.00,8.00,103,NULL,NULL,'VILA SÃO LÚCIO','BOTUCATU','SP',2135,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6085040,4.00,6.00,2.00,3.00,5.00,9.75,3.00,2.00,2.00,203,NULL,601,'CAMPO DO GADO','RIO NEGRO','PR',11104,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6085059,4.00,3.00,5.00,2.00,6.00,9.38,2.00,0.00,1.00,234,NULL,NULL,'CIDADE PATRIARCA','S PAULO','SP',14829,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6085067,4.00,6.00,2.00,5.00,9.00,11.63,3.00,2.00,3.00,303,NULL,NULL,'ZONA TRÊS','UMUARAMA','PR',7792,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6085075,2.00,7.00,2.00,6.00,9.00,8.25,2.00,4.00,2.00,332,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',10461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6085083,5.00,8.00,1.00,5.00,7.00,12.38,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',4244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085113,6.00,4.00,1.00,4.00,6.00,7.88,1.00,5.00,6.00,103,NULL,NULL,'SANTA FÉ','CPO GRANDE','MS',10927,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6085121,7.00,7.00,0.00,7.00,10.00,8.25,1.00,5.00,3.00,103,NULL,NULL,'TRES FIGUEIRAS','PTO ALEGRE','RS',4195,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6085148,3.00,4.00,2.00,1.00,5.00,6.38,2.00,4.00,3.00,201,NULL,207,'PASSAGEM','TUBARÃO','SC',18313,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6085156,4.00,4.00,0.00,3.00,6.00,NULL,3.00,4.00,1.00,207,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6085164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JD TUPY','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6085172,7.00,8.00,6.00,7.00,9.00,9.38,2.00,5.00,9.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'EDSTRITO INDUSTRIAL','SEBASTIANÓPOLIS SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6085199,5.00,3.00,4.00,5.00,6.00,8.63,1.00,4.00,5.00,103,NULL,NULL,'BOQUEIRAO','CURITIBA','PR',9189,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6085210,5.00,5.00,2.00,5.00,8.00,9.00,2.00,5.00,7.00,216,NULL,212,'EMBARÉ','SANTOS','SP',6731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085229,9.00,6.00,7.00,6.00,9.00,9.38,4.00,5.00,8.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',1276,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6085237,5.00,2.00,3.00,4.00,7.00,NULL,0.00,0.00,3.00,216,NULL,215,'CENTRO','ENTRE-IJUÍS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085245,2.00,4.00,3.00,2.00,4.00,5.25,2.00,2.00,4.00,5,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',20451,696,NULL,NULL,NULL,NULL,NULL,4,16),(25,6085253,3.00,3.00,1.00,3.00,4.00,6.38,0.00,0.00,0.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6085270,6.00,7.00,2.00,3.00,7.00,9.75,2.00,4.00,6.00,601,NULL,235,'BORTOT','PATO BRANCO','PR',6972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085288,1.00,3.00,0.00,3.00,3.00,6.75,1.00,1.00,2.00,317,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',21682,203,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085296,3.00,7.00,6.00,3.00,8.00,8.63,1.00,5.00,3.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085334,5.00,0.00,1.00,3.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(25,6085350,7.00,8.00,1.00,4.00,9.00,9.38,1.00,8.00,5.00,336,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',4877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085369,5.00,5.00,1.00,4.00,5.00,NULL,2.00,0.00,2.00,5,NULL,NULL,'CENTRO','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6085377,5.00,3.00,2.00,1.00,7.00,7.13,1.00,2.00,1.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18056,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6085385,5.00,5.00,2.00,3.00,4.00,0.00,1.00,3.00,2.00,428,NULL,426,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085393,8.00,6.00,3.00,5.00,8.00,6.75,4.00,7.00,4.00,103,NULL,NULL,'SAO SIMAO','CRICIÚMA','SC',4710,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6085407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6085423,4.00,7.00,3.00,3.00,7.00,8.25,1.00,7.00,2.00,103,NULL,NULL,'CENTRO','AGUDO','RS',9119,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6085431,2.00,2.00,2.00,2.00,5.00,NULL,2.00,0.00,2.00,335,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6085440,1.00,2.00,3.00,3.00,4.00,7.50,3.00,1.00,1.00,220,NULL,203,'TRINDADE','FLORIANÓPOLIS','SC',21159,504,NULL,1151,NULL,NULL,NULL,2,1),(25,6085458,9.00,7.00,3.00,4.00,7.00,6.75,4.00,7.00,8.00,103,NULL,NULL,'JARDIM MARIO COVAS','CPO GRANDE','MS',3162,1772,NULL,NULL,NULL,NULL,NULL,2,1),(25,6085474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITAIM BIBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6085504,4.00,4.00,3.00,4.00,8.00,8.63,0.00,2.00,4.00,601,NULL,207,'CENTRO','CAMBORIÚ','SC',14846,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6085512,0.00,4.00,3.00,4.00,4.00,NULL,4.00,2.00,2.00,109,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6085520,6.00,6.00,5.00,7.00,6.00,8.63,3.00,3.00,5.00,104,NULL,NULL,'BOA VISTA','CURITIBA','PR',5094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085547,5.00,6.00,3.00,5.00,8.00,9.38,4.00,6.00,4.00,103,NULL,NULL,'SETOR UNIÃO','GOIÂNIA','GO',7050,2969,NULL,NULL,NULL,NULL,NULL,2,1),(25,6085563,3.00,2.00,0.00,2.00,2.00,NULL,0.00,1.00,0.00,9,NULL,NULL,'JARDIM EUROPA','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085571,2.00,5.00,1.00,6.00,7.00,9.75,1.00,4.00,1.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6085580,5.00,8.00,3.00,6.00,8.00,7.50,2.00,4.00,3.00,220,NULL,203,'JARDIM SANTO AMARO','CAMBÉ','PR',9878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6085598,7.00,8.00,4.00,6.00,8.00,11.25,3.00,7.00,6.00,103,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',2155,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6085601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,238,'COND CHACARAS FLORID','ITU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6085610,7.00,4.00,2.00,4.00,8.00,12.38,0.00,4.00,7.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',7728,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6085628,8.00,8.00,4.00,6.00,9.00,9.38,3.00,6.00,6.00,103,NULL,NULL,'JARDIM PROGRESSO','PARANAVAÍ','PR',2029,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6085636,3.00,6.00,2.00,6.00,5.00,6.75,3.00,5.00,5.00,235,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',11847,267,NULL,323,NULL,NULL,NULL,1,1),(25,6085644,5.00,6.00,4.00,7.00,6.00,9.00,2.00,2.00,5.00,999,NULL,NULL,'CENTRO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6085652,1.00,3.00,0.00,1.00,2.00,NULL,0.00,4.00,0.00,653,NULL,211,'CENTRO','CPO ERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6085660,3.00,3.00,1.00,4.00,7.00,10.50,1.00,2.00,2.00,551,NULL,NULL,'COHAB I','CURITIBANOS','SC',17045,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6085679,3.00,4.00,3.00,5.00,8.00,9.00,0.00,3.00,5.00,216,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',10231,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6085687,5.00,6.00,3.00,7.00,9.00,10.88,5.00,6.00,5.00,103,NULL,NULL,'SANTA ALBINA','MINAS LEÃO','RS',2928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'CENTRO','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6085709,8.00,8.00,3.00,6.00,10.00,8.25,1.00,6.00,7.00,202,NULL,653,'COLONINHA','ARARANGUÁ','SC',2723,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6085717,8.00,4.00,4.00,2.00,6.00,8.63,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7063,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6085725,3.00,2.00,2.00,2.00,4.00,6.38,2.00,1.00,3.00,103,NULL,NULL,'SAO LUIZ','CRICIÚMA','SC',18981,4585,NULL,NULL,NULL,NULL,NULL,4,5),(25,6085741,3.00,3.00,2.00,3.00,5.00,7.88,3.00,2.00,2.00,340,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',17189,377,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085750,2.00,0.00,3.00,3.00,7.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CIDADE NOVA','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,17),(25,6085792,1.00,5.00,3.00,5.00,5.00,6.75,0.00,7.00,2.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14144,51,NULL,NULL,NULL,NULL,NULL,2,1),(25,6085806,4.00,4.00,2.00,3.00,4.00,5.63,2.00,1.00,0.00,501,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',18813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085814,6.00,5.00,2.00,6.00,9.00,8.63,1.00,5.00,4.00,103,NULL,NULL,'DOM PEDRO','MANAUS','AM',7042,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6085822,3.00,3.00,3.00,7.00,8.00,7.13,2.00,2.00,4.00,304,NULL,NULL,'CENTRO','SAPIRANGA','RS',11422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085830,3.00,6.00,3.00,3.00,8.00,6.75,1.00,2.00,3.00,303,NULL,NULL,'CENTRO','LAGUNA','SC',15291,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6085849,5.00,6.00,3.00,5.00,6.00,7.50,2.00,1.00,4.00,104,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',14113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085857,5.00,4.00,6.00,5.00,9.00,8.63,3.00,7.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085865,3.00,6.00,2.00,4.00,4.00,8.63,3.00,3.00,2.00,428,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085873,5.00,5.00,3.00,7.00,10.00,6.75,1.00,5.00,4.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8439,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085881,4.00,2.00,1.00,1.00,4.00,7.88,3.00,3.00,2.00,207,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',17954,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6085890,5.00,5.00,4.00,4.00,7.00,9.38,3.00,7.00,6.00,220,NULL,203,'JARDIM UBIRAMA','LENÇÓIS PAULISTA','SP',4405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6085911,8.00,7.00,0.00,7.00,10.00,NULL,3.00,7.00,6.00,103,NULL,NULL,'INDIANÓPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085920,2.00,3.00,1.00,4.00,4.00,6.38,1.00,4.00,0.00,102,NULL,NULL,'CENTRO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6085938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM VILA RICA','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6085954,8.00,7.00,5.00,6.00,9.00,7.88,5.00,5.00,8.00,216,NULL,203,'SANTO INÁCIO','CURITIBA','PR',1315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085962,6.00,6.00,5.00,6.00,8.00,7.13,4.00,6.00,6.00,203,NULL,214,'PANTANAL','FLORIANÓPOLIS','SC',3369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6085970,5.00,5.00,0.00,5.00,8.00,9.00,0.00,0.00,1.00,316,NULL,NULL,'FUNDOS','BIGUAÇU','SC',14507,133,NULL,NULL,NULL,NULL,NULL,4,1),(25,6085997,2.00,7.00,3.00,1.00,7.00,10.13,2.00,3.00,3.00,201,NULL,207,'NOSSA S ROSÁRIO','S JOSÉ','SC',15146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6086012,7.00,3.00,2.00,4.00,7.00,7.88,1.00,3.00,6.00,103,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',9634,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6086020,7.00,5.00,4.00,2.00,8.00,6.75,2.00,7.00,5.00,211,NULL,233,'JARDIM MIRIM','JUNDIAÍ','SP',9902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6086039,4.00,6.00,0.00,6.00,7.00,10.88,0.00,4.00,4.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',10169,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6086047,4.00,2.00,3.00,2.00,2.00,NULL,1.00,0.00,2.00,215,NULL,216,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6086055,7.00,5.00,3.00,4.00,9.00,7.13,3.00,6.00,6.00,212,NULL,214,'MACHADO','MINEIROS','GO',4185,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6086063,3.00,5.00,2.00,4.00,4.00,6.38,1.00,3.00,2.00,110,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',19346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6086071,3.00,4.00,2.00,4.00,7.00,7.88,0.00,1.00,4.00,104,NULL,NULL,'VILA XIRUCA','ERVAL VELHO','SC',17197,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6086098,3.00,3.00,3.00,3.00,6.00,8.25,0.00,0.00,1.00,304,NULL,NULL,'JUVEVE','CURITIBA','PR',21148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6086110,8.00,5.00,6.00,5.00,8.00,10.50,7.00,7.00,9.00,103,NULL,NULL,'ZONA DOIS','CIANORTE','PR',803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6086128,5.00,4.00,1.00,4.00,6.00,6.38,2.00,3.00,0.00,302,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',18892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6086136,2.00,5.00,1.00,1.00,1.00,NULL,0.00,2.00,1.00,108,NULL,NULL,'NAÇÕES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6086144,3.00,4.00,0.00,1.00,5.00,NULL,0.00,4.00,4.00,104,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6086152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'JARDIM ERNESTINA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6086160,3.00,3.00,1.00,5.00,7.00,8.25,2.00,6.00,3.00,653,NULL,215,'SERTÃO DO MARUIM','S JOSÉ','SC',15327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6086179,2.00,4.00,1.00,4.00,6.00,9.00,1.00,2.00,2.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',19572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6086187,3.00,3.00,0.00,4.00,6.00,7.13,4.00,3.00,1.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',17177,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6086217,3.00,4.00,3.00,5.00,8.00,9.75,2.00,3.00,3.00,316,NULL,NULL,'VILA PÉROLA','FOZ IGUAÇU','PR',13622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6086225,4.00,5.00,1.00,1.00,4.00,10.50,2.00,3.00,2.00,222,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',19558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6086233,2.00,4.00,4.00,4.00,5.00,5.63,1.00,6.00,1.00,202,NULL,213,'VILA MOEMA','TUBARÃO','SC',15799,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6086250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CAMPESTRE','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6086284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PINDOTIBA','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6086292,2.00,3.00,1.00,2.00,1.00,NULL,3.00,4.00,0.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6086306,4.00,5.00,1.00,1.00,8.00,9.75,2.00,4.00,3.00,201,NULL,207,'SÃO CRISTÓVÃO','CONCÓRDIA','SC',12336,1045,NULL,656,NULL,NULL,NULL,4,7),(25,6086314,1.00,3.00,1.00,3.00,4.00,4.50,1.00,0.00,0.00,201,NULL,NULL,'CRUZEIRO','S BENTO SUL','SC',21395,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6086322,1.00,5.00,1.00,0.00,7.00,8.63,2.00,3.00,1.00,327,NULL,NULL,'MATRIZ','VIDEIRA','SC',16288,46,NULL,NULL,NULL,NULL,NULL,4,7),(25,6086330,2.00,4.00,2.00,4.00,8.00,9.75,3.00,4.00,2.00,235,NULL,202,'NOSSA SR DO ROSÁRIO','S JOSÉ','SC',15028,367,NULL,469,NULL,NULL,NULL,2,1),(25,6086349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6086357,5.00,5.00,3.00,3.00,7.00,8.63,1.00,4.00,6.00,104,NULL,NULL,'SÃO CRISTOVÃO','UNIÃO VITÓRIA','PR',8271,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6086365,1.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6086373,2.00,4.00,0.00,2.00,5.00,6.75,2.00,1.00,1.00,103,NULL,NULL,'SAO LUIZ','CAPINZAL','SC',21549,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6086381,7.00,7.00,2.00,5.00,9.00,9.75,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3639,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6086390,3.00,1.00,0.00,3.00,5.00,6.00,0.00,0.00,2.00,103,NULL,NULL,'RIO DAS ANTAS','RANCHO QUEIMADO','SC',20415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6086403,7.00,6.00,4.00,5.00,9.00,10.13,3.00,6.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6086411,5.00,5.00,0.00,7.00,7.00,9.75,2.00,4.00,1.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6086420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6086446,9.00,7.00,4.00,8.00,10.00,9.00,4.00,6.00,8.00,103,NULL,NULL,'ASSUNÇÃO','S BERNARDO CAMPO','SP',754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6086462,6.00,7.00,3.00,5.00,7.00,7.50,1.00,6.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6086470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ROCIO GRANDE','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6086500,4.00,4.00,3.00,4.00,5.00,NULL,3.00,4.00,0.00,415,NULL,NULL,'JARDIM HANTSCHEL','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6086519,1.00,2.00,1.00,1.00,5.00,NULL,1.00,0.00,0.00,216,NULL,201,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6086527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMÉRICA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6086535,3.00,4.00,3.00,4.00,5.00,7.13,1.00,1.00,2.00,207,NULL,238,'BARREIROS','S JOSÉ','SC',19667,1071,NULL,468,NULL,NULL,NULL,4,1),(25,6086586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6086594,3.00,6.00,2.00,2.00,3.00,9.75,3.00,4.00,1.00,235,NULL,202,'INGLESES','FLORIANÓPOLIS','SC',18396,440,NULL,572,NULL,NULL,NULL,2,1),(25,6086608,5.00,7.00,3.00,6.00,8.00,10.88,2.00,8.00,5.00,327,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',3507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6086616,8.00,7.00,5.00,7.00,9.00,9.38,6.00,5.00,7.00,203,NULL,214,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6086624,2.00,4.00,2.00,2.00,6.00,7.13,2.00,3.00,3.00,999,NULL,NULL,'FLORESTA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6086632,4.00,5.00,2.00,3.00,6.00,10.88,4.00,4.00,2.00,207,NULL,201,'VERENA','STA CRUZ SUL','RS',11445,601,NULL,965,NULL,NULL,NULL,2,1),(25,6086640,7.00,8.00,1.00,7.00,11.00,9.75,4.00,7.00,7.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',2359,1428,NULL,NULL,NULL,NULL,NULL,4,1),(25,6086659,5.00,0.00,1.00,7.00,9.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6086675,3.00,5.00,3.00,6.00,7.00,9.38,1.00,1.00,3.00,214,NULL,213,'VILA A','FOZ IGUAÇU','PR',11619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6086683,3.00,5.00,3.00,2.00,7.00,6.75,2.00,2.00,2.00,238,NULL,208,'CAMPINAS','S JOSÉ','SC',17908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6086691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(25,6086705,4.00,5.00,4.00,4.00,6.00,9.00,0.00,4.00,5.00,203,NULL,NULL,'VILA ROCHA','RIO VERDE','GO',8787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6086721,4.00,4.00,2.00,3.00,6.00,8.25,1.00,2.00,1.00,208,NULL,235,'VARGEM GRANDE','FLORIANÓPOLIS','SC',16491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6086730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6086756,0.00,5.00,0.00,0.00,0.00,NULL,0.00,3.00,5.00,452,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(25,6086764,2.00,6.00,1.00,5.00,4.00,7.50,0.00,1.00,3.00,103,NULL,NULL,'CRUZEIRO DO SUL','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6086772,4.00,3.00,2.00,3.00,6.00,8.63,1.00,2.00,2.00,303,NULL,NULL,'CENTRO','LAGES','SC',18639,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6086799,2.00,4.00,3.00,3.00,4.00,7.88,1.00,4.00,0.00,5,NULL,NULL,'NOVA BELÉM','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6086802,5.00,6.00,2.00,7.00,7.00,NULL,2.00,0.00,5.00,214,NULL,207,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(25,6086829,1.00,3.00,0.00,1.00,4.00,NULL,0.00,2.00,1.00,317,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6086837,6.00,5.00,1.00,7.00,7.00,4.50,2.00,3.00,2.00,208,NULL,235,'NOVA PIRACICABA','PIRACICABA','SP',10519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6086845,3.00,3.00,2.00,2.00,4.00,6.75,1.00,3.00,2.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',18636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6086853,8.00,6.00,1.00,5.00,9.00,9.00,4.00,6.00,5.00,103,NULL,NULL,'CHÁCARA PAULISTA','MARINGÁ','PR',3651,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6086861,4.00,6.00,1.00,5.00,8.00,9.75,2.00,5.00,1.00,320,NULL,NULL,'BARREIROS','S JOSÉ','SC',12023,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6086888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6086896,2.00,4.00,2.00,4.00,4.00,7.88,2.00,3.00,2.00,207,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',15444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6086900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ESTRADINHA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6086918,2.00,4.00,1.00,0.00,4.00,6.38,2.00,1.00,1.00,9,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',21659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6086926,4.00,4.00,2.00,3.00,7.00,6.75,2.00,2.00,0.00,207,NULL,201,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6086934,6.00,7.00,4.00,5.00,7.00,9.00,2.00,8.00,6.00,101,NULL,NULL,'CENTRO','ITAJAÍ','SC',3383,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6086950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'JD SÃO VICENTE','EMBU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6086969,3.00,5.00,1.00,7.00,8.00,6.00,2.00,3.00,4.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6086977,3.00,6.00,2.00,6.00,6.00,NULL,0.00,2.00,2.00,207,NULL,233,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6086985,8.00,6.00,3.00,7.00,9.00,8.25,4.00,3.00,5.00,103,NULL,NULL,'JARDIM DOS ESTADOS','SOROCABA','SP',3547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087027,5.00,3.00,1.00,4.00,4.00,7.50,1.00,4.00,3.00,336,NULL,NULL,'JARDIM SÃO JOÃO','PARANAVAÍ','PR',15323,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6087035,3.00,5.00,0.00,6.00,5.00,8.63,2.00,4.00,0.00,320,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',17763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087043,2.00,6.00,4.00,4.00,4.00,NULL,0.00,2.00,0.00,238,NULL,201,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6087051,1.00,2.00,0.00,3.00,6.00,7.50,1.00,4.00,1.00,216,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6087078,6.00,6.00,2.00,3.00,7.00,6.75,1.00,6.00,4.00,103,NULL,NULL,'MIRINZINHO','MIRIM DOCE','SC',13411,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6087108,6.00,5.00,3.00,4.00,5.00,7.13,2.00,7.00,1.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087116,2.00,5.00,2.00,4.00,4.00,NULL,2.00,5.00,0.00,103,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087124,4.00,5.00,2.00,5.00,7.00,10.13,3.00,4.00,4.00,103,NULL,NULL,'PARQUE ALVORADA','DOURADOS','MS',7016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM AEROPORTO','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6087140,4.00,5.00,2.00,5.00,5.00,NULL,1.00,0.00,4.00,203,NULL,216,'CENTRO','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6087175,6.00,6.00,3.00,7.00,9.00,8.63,3.00,5.00,7.00,319,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',4383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087183,5.00,3.00,3.00,2.00,6.00,8.25,1.00,1.00,6.00,207,NULL,601,'IRIRIÚ','JOINVILLE','SC',18476,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6087191,3.00,5.00,2.00,4.00,5.00,8.25,2.00,4.00,2.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',16679,81,NULL,NULL,NULL,NULL,NULL,2,1),(25,6087205,3.00,1.00,0.00,2.00,4.00,7.13,3.00,4.00,2.00,101,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087213,4.00,3.00,1.00,6.00,7.00,9.00,2.00,2.00,4.00,333,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',12524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087221,3.00,3.00,2.00,2.00,6.00,7.50,2.00,3.00,2.00,3,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',19953,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6087256,4.00,6.00,3.00,5.00,7.00,NULL,3.00,5.00,0.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6087272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SÃO CRISTOVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6087280,5.00,4.00,3.00,4.00,6.00,8.63,3.00,7.00,7.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',7159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087299,3.00,7.00,3.00,4.00,9.00,11.63,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',7957,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6087329,5.00,4.00,2.00,5.00,8.00,7.88,2.00,4.00,4.00,502,NULL,NULL,'FLORESTA','JOINVILLE','SC',7507,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6087337,5.00,6.00,3.00,6.00,7.00,10.13,3.00,4.00,6.00,214,NULL,212,'ALTOS DA BELA VISTA','INDAIATUBA','SP',5077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087345,3.00,4.00,1.00,4.00,7.00,8.63,2.00,6.00,1.00,220,NULL,211,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',16619,428,NULL,431,NULL,NULL,NULL,2,1),(25,6087353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'S ANTONIO DE LISBOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6087370,3.00,7.00,0.00,2.00,7.00,6.38,1.00,3.00,4.00,207,NULL,211,'CAMPECHE','FLORIANÓPOLIS','SC',15787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6087388,3.00,6.00,1.00,4.00,9.00,10.88,2.00,2.00,3.00,201,NULL,211,'CAPOEIRAS','FLORIANÓPOLIS','SC',11348,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6087396,8.00,5.00,0.00,4.00,9.00,7.88,0.00,5.00,3.00,103,NULL,NULL,'JD BOA VISTA','PRES PRUDENTE','SP',10513,3636,NULL,NULL,NULL,NULL,NULL,4,8),(25,6087400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6087418,6.00,5.00,1.00,4.00,7.00,7.50,0.00,4.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',15012,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6087426,3.00,3.00,1.00,5.00,4.00,7.50,1.00,1.00,0.00,415,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6087434,3.00,4.00,3.00,5.00,5.00,5.63,2.00,3.00,3.00,201,NULL,211,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6087442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ALTO DA GLÓRIA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6087450,4.00,6.00,4.00,5.00,4.00,7.50,3.00,4.00,4.00,2,NULL,NULL,'CENTRO','CANOINHAS','SC',10241,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6087477,5.00,6.00,2.00,4.00,6.00,9.00,2.00,2.00,3.00,207,NULL,201,'ITOUPAVA NORTE','BLUMENAU','SC',10581,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6087485,8.00,7.00,3.00,6.00,9.00,11.63,3.00,8.00,5.00,303,NULL,NULL,'CENTRO','LAGES','SC',1715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087493,3.00,5.00,1.00,0.00,5.00,8.63,1.00,3.00,2.00,303,NULL,NULL,'CENTRO','CAIBI','SC',18040,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6087507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6087515,3.00,3.00,2.00,2.00,2.00,NULL,1.00,2.00,1.00,201,NULL,202,'CENTRO','TUPÃ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6087523,8.00,8.00,3.00,7.00,10.00,9.38,5.00,6.00,8.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',882,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6087531,8.00,6.00,2.00,5.00,10.00,8.63,4.00,2.00,8.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',3632,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6087540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VILA RESENDE','CAÇAPAVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6087566,5.00,2.00,1.00,2.00,3.00,6.38,3.00,1.00,2.00,653,NULL,655,'GARAPUVU','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6087574,4.00,5.00,1.00,4.00,6.00,7.88,1.00,3.00,5.00,999,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087604,5.00,5.00,2.00,5.00,9.00,7.13,2.00,4.00,7.00,340,NULL,NULL,'VILA FIORI','SOROCABA','SP',7092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087612,7.00,6.00,1.00,7.00,10.00,8.63,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087620,3.00,3.00,1.00,3.00,3.00,7.50,0.00,0.00,0.00,103,NULL,NULL,'SAGRADO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6087647,3.00,5.00,2.00,4.00,9.00,7.13,1.00,5.00,2.00,304,NULL,NULL,'INTERIOR','ITAPEJARA D OESTE','PR',11481,NULL,NULL,NULL,NULL,NULL,NULL,3,4),(25,6087655,6.00,4.00,4.00,7.00,6.00,12.00,2.00,2.00,4.00,453,NULL,NULL,'FLORESTA','VIDEIRA','SC',7277,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6087663,3.00,5.00,4.00,5.00,4.00,8.25,4.00,5.00,6.00,201,NULL,212,'AMAMBAI','CPO GRANDE','MS',9604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087671,2.00,5.00,2.00,6.00,8.00,10.13,2.00,3.00,7.00,333,NULL,NULL,'MANDAQUI','S PAULO','SP',7034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087701,4.00,6.00,0.00,4.00,8.00,9.38,2.00,3.00,3.00,9,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',12186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087710,7.00,6.00,4.00,6.00,8.00,12.00,1.00,4.00,5.00,235,NULL,208,'SERRINHA','FLORIANÓPOLIS','SC',3720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087736,4.00,3.00,1.00,4.00,7.00,8.63,0.00,3.00,4.00,201,NULL,601,'CAMPINAS','S JOSÉ','SC',14167,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6087760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JUNDIAÍ','ANÁPOLIS','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6087779,6.00,7.00,3.00,7.00,8.00,6.75,3.00,7.00,6.00,103,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',3629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087787,6.00,6.00,1.00,4.00,7.00,10.13,3.00,6.00,3.00,420,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',7868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087809,8.00,7.00,5.00,8.00,7.00,8.25,1.00,6.00,7.00,238,NULL,201,'CENTRO','JOAÇABA','SC',3535,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6087817,6.00,7.00,0.00,5.00,7.00,9.38,2.00,8.00,4.00,326,NULL,NULL,'PANAZOLLO','VIDEIRA','SC',6136,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6087825,9.00,8.00,8.00,7.00,10.00,10.13,4.00,5.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087833,3.00,6.00,1.00,4.00,8.00,7.88,0.00,3.00,2.00,201,NULL,207,'OLARIA','SALTO LONTRA','PR',15067,1279,NULL,814,NULL,NULL,NULL,2,4),(25,6087841,1.00,2.00,0.00,2.00,5.00,6.75,1.00,0.00,2.00,502,NULL,NULL,'SERRARIA SÃO JOSÉ','S JOSÉ','SC',21723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6087892,5.00,6.00,1.00,4.00,8.00,8.63,2.00,2.00,4.00,415,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',11476,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6087914,1.00,4.00,0.00,4.00,7.00,NULL,1.00,0.00,3.00,216,NULL,215,'JOSÉ AMANDIO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6087922,7.00,5.00,4.00,7.00,8.00,8.63,2.00,3.00,9.00,303,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',3884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6087930,3.00,6.00,4.00,6.00,7.00,9.38,2.00,3.00,1.00,303,NULL,NULL,'BATEL','CURITIBA','PR',11539,NULL,NULL,NULL,NULL,NULL,NULL,3,8),(25,6087949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM SANTIAGO','TANGARÁ SERRA','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6087957,2.00,3.00,0.00,5.00,5.00,NULL,3.00,4.00,0.00,451,NULL,NULL,'SÃO PEDRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6087965,9.00,7.00,6.00,6.00,10.00,7.13,6.00,8.00,7.00,104,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',451,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6087973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6087981,4.00,6.00,3.00,5.00,7.00,7.88,4.00,4.00,6.00,211,NULL,215,'FORQUILHAS','S JOSÉ','SC',8202,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6087990,6.00,6.00,4.00,1.00,8.00,7.50,2.00,5.00,2.00,404,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',13459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6088015,3.00,2.00,3.00,4.00,7.00,8.25,0.00,2.00,2.00,207,NULL,208,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6088023,3.00,5.00,3.00,4.00,3.00,6.00,0.00,3.00,0.00,233,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',20843,481,NULL,501,NULL,NULL,NULL,2,1),(25,6088031,2.00,4.00,1.00,3.00,5.00,9.38,3.00,4.00,2.00,452,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6088040,3.00,6.00,2.00,5.00,8.00,9.75,1.00,1.00,2.00,104,NULL,NULL,'CENTRO','IBIRAIARAS','RS',13706,335,NULL,NULL,NULL,NULL,NULL,2,1),(25,6088058,3.00,3.00,1.00,2.00,4.00,9.75,1.00,1.00,1.00,110,NULL,NULL,'CENTRO','CHAPECÓ','SC',18820,113,NULL,NULL,NULL,NULL,NULL,4,4),(25,6088082,2.00,5.00,3.00,4.00,7.00,10.13,0.00,3.00,3.00,207,NULL,211,'GRANDE COLORADO','SOBRADINHO','DF',11960,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6088112,2.00,4.00,2.00,1.00,2.00,NULL,2.00,2.00,1.00,5,NULL,NULL,'LARANJEIRAS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088139,2.00,4.00,1.00,1.00,2.00,NULL,1.00,1.00,2.00,421,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6088147,5.00,7.00,1.00,2.00,7.00,5.63,3.00,3.00,3.00,203,NULL,201,'CENTRO','BOMBINHAS','SC',13026,848,NULL,1106,NULL,NULL,NULL,4,6),(25,6088155,4.00,5.00,6.00,6.00,6.00,8.25,3.00,6.00,8.00,201,NULL,203,'VILA CARVALHO','CPO GRANDE','MS',4590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088163,4.00,6.00,3.00,6.00,8.00,9.38,2.00,5.00,3.00,211,NULL,233,'CENTRO','S JOSÉ','SC',10149,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6088171,5.00,3.00,1.00,2.00,6.00,6.75,1.00,4.00,3.00,333,NULL,NULL,'JARDIM EMILIA','SOROCABA','SP',15057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088180,2.00,4.00,1.00,4.00,6.00,8.63,2.00,1.00,0.00,303,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6088198,6.00,6.00,7.00,7.00,10.00,12.38,1.00,7.00,4.00,309,NULL,NULL,'CENTRO','ERECHIM','RS',2335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088201,0.00,2.00,2.00,1.00,2.00,NULL,2.00,2.00,1.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6088210,4.00,7.00,2.00,3.00,5.00,11.25,3.00,4.00,3.00,205,NULL,NULL,'CENTRO','FORMOSA SUL','SC',12198,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6088228,4.00,7.00,2.00,4.00,6.00,8.63,3.00,4.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088236,2.00,3.00,3.00,2.00,3.00,7.50,2.00,2.00,2.00,109,NULL,NULL,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6088252,3.00,5.00,2.00,6.00,5.00,9.00,0.00,4.00,2.00,316,NULL,NULL,'CENTRO','S SEBASTIÃO','SP',15928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088260,6.00,5.00,4.00,5.00,7.00,7.88,3.00,2.00,7.00,103,NULL,NULL,'NOVA CAMPO GRANDE','CPO GRANDE','MS',5734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088279,9.00,6.00,3.00,4.00,10.00,9.38,0.00,6.00,8.00,501,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',2283,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6088295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARAISO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6088309,2.00,1.00,3.00,4.00,2.00,NULL,2.00,0.00,3.00,211,NULL,201,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6088317,6.00,6.00,2.00,7.00,6.00,9.38,1.00,1.00,5.00,216,NULL,235,'COLATTO','XANXERÊ','SC',7986,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6088333,6.00,7.00,3.00,6.00,8.00,5.25,1.00,5.00,4.00,444,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10377,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6088341,6.00,6.00,1.00,5.00,8.00,10.50,0.00,4.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6088350,3.00,5.00,1.00,3.00,6.00,6.00,1.00,6.00,3.00,203,NULL,NULL,'DEHON','TUBARÃO','SC',13519,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6088368,3.00,8.00,2.00,6.00,8.00,11.25,4.00,4.00,1.00,425,NULL,427,'TRINDADE','FLORIANÓPOLIS','SC',10138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088376,4.00,6.00,0.00,6.00,8.00,NULL,1.00,6.00,1.00,331,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6088384,3.00,3.00,0.00,3.00,2.00,NULL,1.00,3.00,1.00,234,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6088392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'MALOTA','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6088414,6.00,6.00,2.00,6.00,9.00,8.63,2.00,5.00,7.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',5568,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6088422,7.00,6.00,5.00,5.00,9.00,9.75,5.00,7.00,9.00,103,NULL,NULL,'ALPHAVILLE','CAMPINAS','SP',641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088449,6.00,6.00,2.00,5.00,7.00,6.38,3.00,5.00,3.00,303,NULL,NULL,'JARDIM','STO ANDRÉ','SP',9529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088457,6.00,6.00,4.00,6.00,7.00,10.88,2.00,6.00,6.00,304,NULL,NULL,'JARDIM','STO ANDRÉ','SP',3938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'SÃO BASILIO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6088473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CORUPÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6088490,3.00,4.00,2.00,0.00,5.00,NULL,1.00,0.00,1.00,202,NULL,213,'SÃO CRISTOVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6088503,5.00,7.00,3.00,6.00,9.00,8.25,0.00,3.00,6.00,201,NULL,207,'CENTRO','CURITIBANOS','SC',5597,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6088511,2.00,2.00,3.00,2.00,9.00,10.13,0.00,4.00,1.00,233,NULL,215,'CENTRO','TANABI','SP',14659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088538,6.00,7.00,2.00,5.00,8.00,9.38,0.00,7.00,6.00,304,NULL,NULL,'VILA SCARPELLI','STO ANDRÉ','SP',5140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088546,0.00,3.00,2.00,0.00,2.00,NULL,3.00,3.00,2.00,318,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6088562,2.00,3.00,1.00,2.00,4.00,3.75,3.00,4.00,1.00,212,NULL,601,'BARRA CLARA','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088570,7.00,6.00,4.00,6.00,8.00,10.50,2.00,6.00,6.00,340,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',2511,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6088589,1.00,3.00,2.00,2.00,3.00,6.75,1.00,2.00,0.00,653,NULL,NULL,'LAGOÃO','ARARANGUÁ','SC',21687,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6088597,3.00,5.00,3.00,4.00,8.00,6.75,2.00,5.00,2.00,207,NULL,201,'RIO TAVARES','FLORIANÓPOLIS','SC',14370,772,NULL,1224,NULL,NULL,NULL,2,1),(25,6088600,5.00,6.00,2.00,3.00,6.00,10.50,3.00,3.00,3.00,303,NULL,NULL,'ESPLANADA','CHAPECÓ','SC',8834,418,NULL,NULL,NULL,NULL,NULL,4,4),(25,6088627,7.00,7.00,2.00,3.00,8.00,7.88,4.00,4.00,6.00,203,NULL,214,'VILA MOEMA','TUBARÃO','SC',4908,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6088635,4.00,3.00,3.00,6.00,8.00,7.88,1.00,1.00,7.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',11240,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6088651,3.00,4.00,0.00,6.00,7.00,NULL,1.00,1.00,3.00,340,NULL,NULL,'NOSSA SENHORA DO ROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088660,4.00,5.00,3.00,1.00,3.00,7.88,4.00,3.00,1.00,238,NULL,655,'JARDIM AMÉRICA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6088678,6.00,5.00,1.00,4.00,4.00,8.63,2.00,1.00,2.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6088686,5.00,4.00,2.00,4.00,6.00,7.50,3.00,4.00,4.00,103,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',12779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088708,4.00,5.00,2.00,7.00,7.00,6.75,0.00,6.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088716,3.00,4.00,2.00,1.00,3.00,NULL,0.00,0.00,2.00,308,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6088724,3.00,4.00,1.00,5.00,5.00,NULL,1.00,3.00,2.00,999,NULL,NULL,'CENTRO','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6088732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6088740,9.00,6.00,6.00,4.00,10.00,8.25,7.00,9.00,9.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',407,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6088775,3.00,4.00,1.00,5.00,5.00,6.75,0.00,1.00,1.00,224,NULL,NULL,'CENTRO','S MARTINHO','SC',20830,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6088783,3.00,0.00,1.00,1.00,8.00,NULL,0.00,0.00,0.00,203,NULL,220,'SÍTIO CERCADO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6088791,4.00,5.00,2.00,3.00,5.00,6.00,4.00,3.00,6.00,201,NULL,653,'PARQUE ATHENEU','GOIÂNIA','GO',11379,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6088805,7.00,8.00,6.00,5.00,8.00,NULL,3.00,7.00,7.00,214,NULL,201,'SÃO VICENTE','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,7),(25,6088813,7.00,6.00,6.00,7.00,7.00,9.38,5.00,6.00,7.00,203,NULL,201,'AREIAS','FLORIANÓPOLIS','SC',1153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088821,1.00,2.00,2.00,3.00,5.00,6.75,4.00,3.00,2.00,233,NULL,203,'INTERIOR','S JOÃO OESTE','SC',18647,457,NULL,1055,NULL,NULL,NULL,2,4),(25,6088830,1.00,2.00,0.00,2.00,6.00,9.75,1.00,4.00,0.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',20973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088848,5.00,8.00,5.00,4.00,6.00,9.38,4.00,7.00,6.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',3269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6088856,4.00,6.00,3.00,6.00,7.00,8.25,3.00,5.00,5.00,103,NULL,NULL,'RESTINGA','PTO ALEGRE','RS',6230,2763,NULL,NULL,NULL,NULL,NULL,4,15),(25,6088864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CANDIDA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6088872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6088899,3.00,5.00,1.00,4.00,5.00,9.75,1.00,3.00,5.00,108,NULL,NULL,'CIDADE ALTA','VIDEIRA','SC',16520,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6088902,7.00,8.00,8.00,7.00,8.00,8.25,6.00,7.00,7.00,203,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088910,4.00,4.00,0.00,6.00,6.00,8.25,2.00,1.00,2.00,303,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',17876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088929,6.00,5.00,0.00,4.00,8.00,7.13,1.00,3.00,2.00,319,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',15421,293,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088937,5.00,6.00,0.00,4.00,8.00,11.63,2.00,2.00,2.00,103,NULL,NULL,'PARAÍSO','S PAULO','SP',11796,3837,NULL,NULL,NULL,NULL,NULL,2,2),(25,6088945,2.00,3.00,1.00,3.00,7.00,10.13,0.00,2.00,0.00,654,NULL,NULL,'LOTE SEIS','CRICIÚMA','SC',18325,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6088953,3.00,4.00,0.00,3.00,6.00,NULL,1.00,0.00,2.00,109,NULL,NULL,'PONTA DO PAPAGAIO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6088961,4.00,5.00,3.00,3.00,7.00,10.13,3.00,4.00,3.00,203,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',10332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6088970,5.00,3.00,3.00,4.00,5.00,6.75,1.00,4.00,3.00,304,NULL,NULL,'CENTRO','ARIRANHA','SP',14706,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6088988,5.00,5.00,3.00,4.00,6.00,7.13,0.00,3.00,2.00,103,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',17071,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6088996,1.00,4.00,1.00,4.00,3.00,6.38,0.00,2.00,2.00,110,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',20603,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6089003,7.00,7.00,4.00,7.00,9.00,10.88,6.00,8.00,8.00,103,NULL,NULL,'SÃO JOÃO','PTO ALEGRE','RS',562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6089020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'NAÇOES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6089038,6.00,6.00,2.00,6.00,8.00,8.63,0.00,2.00,4.00,203,NULL,220,'URBANOVA II','S JOSÉ CAMPOS','SP',8192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6089054,1.00,3.00,1.00,2.00,4.00,8.63,0.00,0.00,1.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',21068,65,NULL,NULL,NULL,NULL,NULL,2,1),(25,6089062,2.00,2.00,0.00,2.00,3.00,NULL,0.00,0.00,2.00,316,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6089070,2.00,3.00,1.00,1.00,3.00,6.38,3.00,4.00,4.00,601,NULL,NULL,'ATIRADORES','JOINVILLE','SC',20568,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6089097,4.00,7.00,2.00,4.00,7.00,7.88,2.00,6.00,5.00,215,NULL,216,'TARRAF II','S JOSÉ R PRETO','SP',8280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6089151,2.00,4.00,2.00,5.00,5.00,7.50,1.00,2.00,2.00,999,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6089160,8.00,7.00,6.00,6.00,8.00,10.50,4.00,6.00,8.00,304,NULL,NULL,'JARDIM JARAGUÁ','TAUBATÉ','SP',585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089178,4.00,4.00,2.00,7.00,8.00,9.38,2.00,1.00,3.00,103,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',13233,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6089186,3.00,2.00,0.00,2.00,3.00,NULL,0.00,0.00,2.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089194,7.00,6.00,8.00,7.00,9.00,12.00,6.00,6.00,8.00,202,NULL,220,'BROTAS','SALVADOR','BA',321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089216,8.00,7.00,2.00,7.00,8.00,9.75,5.00,5.00,4.00,103,NULL,NULL,'JARDIM SEIXAS','S JOSÉ R PRETO','SP',2835,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6089224,2.00,5.00,2.00,4.00,6.00,8.25,3.00,5.00,2.00,207,NULL,211,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6089232,3.00,4.00,1.00,4.00,4.00,7.88,2.00,2.00,2.00,103,NULL,NULL,'PAULAS','S FRANCISCO SUL','SC',17598,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6089240,8.00,7.00,5.00,6.00,9.00,9.00,4.00,5.00,8.00,103,NULL,NULL,'PARAÍSO','S PAULO','SP',569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089259,3.00,6.00,3.00,7.00,8.00,8.63,1.00,5.00,3.00,5,NULL,NULL,'MORRETES','ITAPEMA','SC',10885,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6089267,2.00,2.00,1.00,3.00,7.00,7.88,3.00,3.00,1.00,333,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19091,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6089275,4.00,4.00,3.00,5.00,7.00,7.13,1.00,3.00,2.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6089291,8.00,6.00,6.00,5.00,8.00,9.75,3.00,6.00,7.00,103,NULL,NULL,'FAMA','GOIÂNIA','GO',2732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089305,3.00,5.00,0.00,6.00,7.00,NULL,1.00,2.00,3.00,109,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6089321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA ANTONIETA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6089330,1.00,2.00,0.00,5.00,4.00,7.13,2.00,2.00,2.00,444,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',21241,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6089348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','MELEIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6089356,1.00,2.00,4.00,2.00,3.00,8.25,2.00,1.00,0.00,102,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19942,255,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6089380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'SITIO CERCADO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6089399,7.00,7.00,2.00,6.00,10.00,10.50,4.00,5.00,8.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',1774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089402,6.00,8.00,4.00,5.00,10.00,10.88,3.00,7.00,7.00,103,NULL,NULL,'BAIRRO AHÚ','CURITIBA','PR',1064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089429,4.00,5.00,1.00,3.00,3.00,5.25,2.00,5.00,1.00,207,NULL,211,'SÃO SEBASTIÃO','PALHOÇA','SC',17745,953,NULL,468,NULL,NULL,NULL,4,1),(25,6089437,7.00,5.00,3.00,4.00,5.00,7.88,4.00,4.00,4.00,103,NULL,NULL,'ZONA II','UMUARAMA','PR',8948,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6089445,3.00,6.00,3.00,6.00,8.00,7.50,1.00,7.00,2.00,601,NULL,201,'GLORIA','JOINVILLE','SC',8908,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6089461,4.00,4.00,2.00,5.00,7.00,8.25,1.00,1.00,0.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089496,3.00,5.00,2.00,6.00,7.00,6.38,1.00,3.00,2.00,102,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',14637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089518,7.00,5.00,6.00,3.00,7.00,8.25,4.00,4.00,8.00,216,NULL,215,'PAULISTA','PARANAVAÍ','PR',3335,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6089526,1.00,2.00,1.00,2.00,5.00,6.38,3.00,5.00,1.00,415,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',20442,324,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ITOPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6089542,5.00,7.00,2.00,4.00,6.00,7.13,3.00,8.00,4.00,424,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',8535,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6089569,8.00,6.00,5.00,7.00,10.00,11.25,4.00,8.00,8.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CARANDÁ BOSQUE','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6089623,2.00,5.00,2.00,5.00,8.00,6.38,3.00,3.00,3.00,238,NULL,601,'FORQUILHINHAS','S JOSÉ','SC',12005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6089631,7.00,7.00,2.00,4.00,9.00,9.75,1.00,4.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089640,3.00,4.00,3.00,4.00,7.00,8.25,1.00,3.00,3.00,216,NULL,NULL,'SANTO ANDRÉ','S LEOPOLDO','RS',16246,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6089658,2.00,1.00,1.00,2.00,3.00,7.50,3.00,2.00,1.00,103,NULL,NULL,'POENTE DO SOL','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6089666,3.00,2.00,4.00,4.00,4.00,9.00,2.00,2.00,0.00,216,NULL,211,'CENTRO','PNT PORÃ','MS',16745,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6089674,4.00,6.00,3.00,0.00,5.00,10.50,2.00,4.00,3.00,302,NULL,NULL,'FLORESTA','S JOSÉ','SC',16348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,NULL,'ERECHIM','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6089690,1.00,1.00,1.00,2.00,4.00,NULL,0.00,0.00,1.00,453,NULL,NULL,'DIVINEIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6089704,7.00,6.00,3.00,4.00,6.00,8.63,3.00,3.00,3.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',7310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6089712,8.00,8.00,4.00,5.00,8.00,12.38,3.00,5.00,8.00,103,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',1317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089720,3.00,4.00,2.00,6.00,6.00,7.13,1.00,4.00,2.00,207,NULL,211,'CAPOEIRAS','FLORIANÓPOLIS','SC',15020,810,NULL,391,NULL,NULL,NULL,4,1),(25,6089739,2.00,2.00,1.00,0.00,3.00,7.50,3.00,0.00,2.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',21692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ITACURUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6089755,5.00,7.00,5.00,5.00,9.00,8.63,4.00,4.00,5.00,202,NULL,601,'BELLA VISTA','S JOAQUIM','SC',4176,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6089771,5.00,5.00,7.00,6.00,5.00,6.75,1.00,3.00,5.00,654,NULL,NULL,'SANTA BÁRBARA','CRICIÚMA','SC',8361,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6089798,2.00,3.00,2.00,3.00,7.00,8.63,4.00,1.00,3.00,102,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',18855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089801,6.00,6.00,3.00,5.00,9.00,10.13,1.00,1.00,5.00,103,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',6932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089810,5.00,6.00,3.00,7.00,8.00,13.13,1.00,6.00,4.00,207,NULL,NULL,'CAMOBI','STA MARIA','RS',4023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6089836,0.00,0.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,211,NULL,215,'MONTE VERDE','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(25,6089852,2.00,5.00,2.00,3.00,7.00,8.63,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','ÁGUAS CHAPECÓ','SC',14401,4172,NULL,NULL,NULL,NULL,NULL,4,4),(25,6089860,3.00,5.00,1.00,4.00,6.00,8.63,0.00,2.00,1.00,201,NULL,207,'CENTRO','BELA V CAROBA','PR',16257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6089895,3.00,4.00,2.00,2.00,5.00,8.63,1.00,4.00,0.00,309,NULL,NULL,'ALTO RIBEIRAO','FLORIANÓPOLIS','SC',19683,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6089909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'AVAÍ','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6089925,2.00,3.00,2.00,3.00,3.00,6.00,1.00,2.00,2.00,109,NULL,NULL,'CENTRO','AGRONÔMICA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6089933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6089941,3.00,7.00,1.00,5.00,7.00,7.50,2.00,5.00,6.00,340,NULL,NULL,'CENTRO','TRÊS PASSOS','RS',11773,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6089968,6.00,7.00,2.00,2.00,9.00,10.13,3.00,6.00,5.00,102,NULL,NULL,'RURAL','CAIBI','SC',5930,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6089976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'ITAIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6089984,6.00,5.00,3.00,4.00,5.00,8.63,3.00,1.00,7.00,103,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',8852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090001,8.00,7.00,7.00,7.00,9.00,11.63,5.00,6.00,8.00,103,NULL,NULL,'SANTA CRUZ','CASTRO','PR',221,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6090010,6.00,6.00,4.00,4.00,6.00,9.38,3.00,4.00,6.00,601,NULL,NULL,'JARDIM BARONEZA','ARAPONGAS','PR',4763,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6090028,4.00,4.00,0.00,4.00,5.00,6.00,2.00,1.00,2.00,203,NULL,201,'JARDIN ANGELICA','CRICIÚMA','SC',17761,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6090044,1.00,4.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6090079,3.00,4.00,3.00,6.00,5.00,NULL,0.00,3.00,3.00,601,NULL,220,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6090087,5.00,6.00,2.00,5.00,6.00,10.88,1.00,4.00,4.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7585,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6090095,0.00,3.00,1.00,0.00,3.00,7.50,1.00,0.00,3.00,216,NULL,215,'POÇO RICO','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6090109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,653,'JARDIM EGLE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6090117,1.00,2.00,4.00,3.00,5.00,6.75,4.00,3.00,5.00,203,NULL,201,'CENTRO','CANOINHAS','SC',13737,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6090133,4.00,1.00,1.00,2.00,4.00,6.00,1.00,0.00,1.00,652,NULL,655,'MATO ALTO','ARARANGUÁ','SC',21071,106,NULL,155,NULL,NULL,NULL,2,15),(25,6090141,3.00,2.00,1.00,0.00,4.00,8.63,4.00,1.00,2.00,551,NULL,NULL,'JARDIM DA SERRA','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6090150,4.00,6.00,1.00,3.00,4.00,5.63,0.00,7.00,2.00,653,NULL,601,'CENTRO','STA ROSA SUL','SC',18998,196,NULL,533,NULL,NULL,NULL,2,15),(25,6090176,8.00,7.00,3.00,4.00,10.00,12.75,1.00,4.00,3.00,103,NULL,NULL,'PARQUE DA MATRIZ','CACHOEIRINHA','RS',4233,2153,NULL,NULL,NULL,NULL,NULL,2,1),(25,6090184,3.00,4.00,0.00,3.00,6.00,NULL,2.00,4.00,2.00,303,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090192,4.00,5.00,3.00,2.00,6.00,7.50,1.00,5.00,1.00,215,NULL,233,'ALPHAVILLE CAMPINAS','CAMPINAS','SP',12690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090206,3.00,4.00,2.00,4.00,5.00,8.63,2.00,3.00,1.00,103,NULL,NULL,'CENTRO','TURVO','SC',15433,4270,NULL,NULL,NULL,NULL,NULL,2,15),(25,6090222,3.00,5.00,3.00,1.00,7.00,8.63,3.00,1.00,5.00,216,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',13563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6090249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MORUMBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6090257,7.00,8.00,4.00,6.00,9.00,10.88,2.00,5.00,3.00,207,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',3304,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6090265,0.00,4.00,0.00,2.00,4.00,7.88,2.00,1.00,1.00,207,NULL,208,'CENTRO','DIONÍSIO CERQUEIRA','SC',20692,1131,NULL,564,NULL,NULL,NULL,2,4),(25,6090273,5.00,6.00,3.00,6.00,8.00,8.63,2.00,5.00,6.00,233,NULL,653,'CENTRO','ARARANGUÁ','SC',5856,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6090281,5.00,4.00,2.00,4.00,3.00,7.13,3.00,5.00,3.00,201,NULL,202,'LESTE UNIVERSITARIO','GOIÂNIA','GO',11990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6090290,6.00,6.00,8.00,7.00,6.00,9.75,4.00,5.00,6.00,103,NULL,NULL,'CORAL','LAGES','SC',2027,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6090303,6.00,5.00,2.00,1.00,5.00,5.63,3.00,4.00,5.00,220,NULL,235,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',16387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090311,5.00,6.00,1.00,3.00,7.00,NULL,2.00,4.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6090320,6.00,5.00,2.00,4.00,9.00,8.25,1.00,4.00,3.00,319,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',9598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6090338,4.00,6.00,2.00,2.00,7.00,7.50,2.00,1.00,0.00,654,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',16725,35,NULL,NULL,NULL,NULL,NULL,2,15),(25,6090346,7.00,7.00,2.00,6.00,9.00,7.88,3.00,3.00,3.00,220,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',6025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090354,5.00,5.00,2.00,6.00,8.00,9.75,3.00,0.00,5.00,212,NULL,203,'CENTRO','PARIQUERA-AÇU','SP',9115,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6090362,3.00,1.00,2.00,2.00,4.00,10.88,1.00,2.00,2.00,338,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090389,3.00,5.00,0.00,4.00,5.00,6.00,1.00,3.00,4.00,202,NULL,235,'N SENHORA DA SALETE','CRICIÚMA','SC',19534,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6090400,2.00,5.00,0.00,1.00,6.00,10.50,2.00,1.00,1.00,425,NULL,429,'ITAGUAÇU','FLORIANÓPOLIS','SC',20533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090419,5.00,4.00,2.00,4.00,7.00,9.75,2.00,2.00,2.00,207,NULL,201,'FORQUILHINHAS','S JOSÉ','SC',16786,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6090427,3.00,2.00,3.00,2.00,4.00,7.13,0.00,2.00,2.00,303,NULL,NULL,'TERESOPOLIS','ÁGUAS MORNAS','SC',19241,812,NULL,NULL,NULL,NULL,NULL,1,1),(25,6090443,4.00,6.00,2.00,5.00,8.00,6.75,3.00,4.00,2.00,225,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',13234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6090451,6.00,5.00,4.00,3.00,7.00,8.25,2.00,4.00,4.00,336,NULL,NULL,'PORTÃO','CURITIBA','PR',9125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090460,5.00,5.00,2.00,2.00,5.00,NULL,0.00,1.00,6.00,110,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6090478,7.00,7.00,6.00,6.00,9.00,10.13,4.00,7.00,8.00,203,NULL,233,'CENTRO','ARARANGUÁ','SC',842,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6090486,7.00,8.00,1.00,6.00,9.00,NULL,0.00,5.00,4.00,103,NULL,NULL,'STA TERESA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6090508,8.00,5.00,1.00,5.00,9.00,10.50,3.00,5.00,3.00,233,NULL,601,'JARDIM ATLANTICO','S JOSÉ','SC',4922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'JARDIM DO LAGO','ATIBAIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6090532,1.00,6.00,1.00,3.00,6.00,7.50,1.00,2.00,1.00,202,NULL,213,'RIO VERMELHO','FLORIANÓPOLIS','SC',18404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6090540,9.00,6.00,6.00,6.00,9.00,7.88,4.00,8.00,9.00,103,NULL,NULL,'BUTIATUVINHA','CURITIBA','PR',383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090567,8.00,7.00,8.00,6.00,8.00,9.75,3.00,8.00,6.00,103,NULL,NULL,'PARQUE CIDADE JARDIM','UMUARAMA','PR',1207,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6090583,8.00,8.00,8.00,7.00,9.00,10.50,5.00,7.00,9.00,103,NULL,NULL,'JUVEVE','CURITIBA','PR',232,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6090591,4.00,5.00,0.00,6.00,7.00,11.25,1.00,5.00,5.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090605,5.00,5.00,3.00,4.00,7.00,10.88,3.00,5.00,3.00,103,NULL,NULL,'VILA IPIRANGA','PTO ALEGRE','RS',5710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090613,6.00,4.00,4.00,3.00,7.00,7.13,0.00,4.00,6.00,333,NULL,NULL,'VILA FORMOSA','S PAULO','SP',8979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090621,5.00,7.00,2.00,3.00,8.00,9.75,1.00,6.00,3.00,211,NULL,216,'SÃO FRANCISCO','CPO GRANDE','MS',8043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090630,2.00,2.00,1.00,1.00,2.00,NULL,2.00,2.00,0.00,339,NULL,NULL,'VILA NOVA','ARAÇARIGUAMA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6090648,6.00,6.00,2.00,6.00,8.00,9.75,2.00,5.00,4.00,103,NULL,NULL,'SÃO LUIS','S JOSÉ CEDRO','SC',5486,2557,NULL,NULL,NULL,NULL,NULL,4,4),(25,6090656,5.00,4.00,6.00,7.00,10.00,8.63,3.00,6.00,6.00,108,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',3658,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6090664,6.00,7.00,5.00,7.00,11.00,13.50,2.00,6.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090672,3.00,6.00,1.00,6.00,6.00,7.50,3.00,4.00,3.00,235,NULL,202,'BELA VISTA','S JOSÉ','SC',14736,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6090680,3.00,3.00,2.00,3.00,3.00,7.50,0.00,2.00,1.00,333,NULL,NULL,'ALTO RIBEIRAO','FLORIANÓPOLIS','SC',21427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SÃO FRANCISCO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6090702,6.00,7.00,0.00,4.00,7.00,7.50,4.00,5.00,2.00,109,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',11295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090729,6.00,5.00,1.00,7.00,10.00,9.75,2.00,5.00,3.00,201,NULL,208,'MATRIZ','VIDEIRA','SC',6360,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6090737,4.00,4.00,0.00,4.00,6.00,12.00,0.00,6.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15065,528,NULL,NULL,NULL,NULL,NULL,2,1),(25,6090745,9.00,7.00,7.00,7.00,9.00,13.13,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',82,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CEREJEIRAS','RO',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6090761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6090770,3.00,6.00,1.00,0.00,6.00,8.63,2.00,0.00,3.00,215,NULL,238,'LISBOA','S JOSÉ','SC',16895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090796,4.00,4.00,0.00,4.00,6.00,9.00,3.00,2.00,5.00,203,NULL,NULL,'REUNIDAS','CAÇADOR','SC',12300,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6090800,8.00,7.00,5.00,5.00,9.00,8.25,4.00,6.00,7.00,103,NULL,NULL,'ALTO BOQUERÃO','CURITIBA','PR',1930,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6090818,9.00,8.00,3.00,5.00,9.00,9.00,4.00,7.00,8.00,103,NULL,NULL,'ALTO SÃO FRANCISCO','UMUARAMA','PR',1003,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6090826,1.00,1.00,2.00,1.00,3.00,NULL,0.00,0.00,2.00,109,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090842,7.00,7.00,6.00,7.00,10.00,11.25,2.00,7.00,9.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',711,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6090850,5.00,5.00,3.00,4.00,8.00,7.50,0.00,4.00,3.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14818,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6090869,2.00,5.00,3.00,4.00,7.00,5.25,1.00,6.00,3.00,337,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',17558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6090877,5.00,4.00,2.00,3.00,5.00,NULL,0.00,0.00,6.00,216,NULL,203,'MIGUEL COUTO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6090885,2.00,6.00,1.00,1.00,4.00,7.50,2.00,3.00,3.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',19160,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6090907,5.00,5.00,2.00,2.00,6.00,9.38,1.00,5.00,2.00,104,NULL,NULL,'CENTRO','CASCAVEL','PR',12128,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6090923,7.00,6.00,4.00,6.00,8.00,11.63,2.00,7.00,8.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',2624,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6090931,2.00,2.00,2.00,2.00,8.00,8.25,0.00,1.00,1.00,201,NULL,207,'INTERIOR','TEN PORTELA','RS',19358,1590,NULL,1050,NULL,NULL,NULL,2,4),(25,6090958,4.00,6.00,1.00,5.00,7.00,11.25,1.00,7.00,3.00,207,NULL,201,'ALTO BIGUAÇU','BIGUAÇU','SC',7243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6090966,2.00,2.00,1.00,0.00,5.00,10.88,2.00,1.00,3.00,654,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6090982,4.00,3.00,2.00,4.00,6.00,7.13,1.00,3.00,3.00,207,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6090990,3.00,3.00,1.00,4.00,6.00,8.63,1.00,4.00,1.00,203,NULL,214,'JARDIM AQUARIOS','S JOSÉ CAMPOS','SP',16298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091008,4.00,6.00,0.00,5.00,7.00,9.00,1.00,5.00,2.00,110,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',10592,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6091040,9.00,8.00,3.00,7.00,10.00,11.63,3.00,8.00,7.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',785,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6091059,4.00,7.00,3.00,6.00,8.00,7.88,1.00,5.00,5.00,233,NULL,213,'SANTA RITA','STA BÁRBARA D OESTE','SP',7423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091067,8.00,7.00,7.00,7.00,9.00,11.63,5.00,8.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',200,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6091075,5.00,5.00,3.00,4.00,8.00,9.38,2.00,6.00,5.00,303,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',7364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091083,3.00,3.00,1.00,2.00,5.00,7.50,0.00,3.00,4.00,103,NULL,NULL,'JARDIM DAS FLORES','OSASCO','SP',16686,4404,NULL,NULL,NULL,NULL,NULL,2,1),(25,6091091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6091105,2.00,2.00,1.00,3.00,4.00,7.88,3.00,2.00,1.00,207,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',19355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091113,5.00,6.00,6.00,7.00,8.00,9.00,4.00,5.00,8.00,340,NULL,NULL,'AMÉRICA','JOINVILLE','SC',2585,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6091121,8.00,7.00,5.00,5.00,7.00,9.38,4.00,6.00,5.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',2852,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6091130,6.00,5.00,0.00,5.00,7.00,NULL,2.00,1.00,0.00,207,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6091156,6.00,5.00,2.00,5.00,7.00,7.50,1.00,7.00,5.00,303,NULL,NULL,'CLAUDETE','CASCAVEL','PR',8161,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6091172,3.00,7.00,5.00,6.00,8.00,11.25,1.00,5.00,4.00,207,NULL,201,'VILA MOEMA','TUBARÃO','SC',4895,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6091180,8.00,7.00,4.00,7.00,8.00,10.88,3.00,6.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091199,4.00,4.00,1.00,6.00,2.00,NULL,3.00,2.00,4.00,205,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091202,3.00,5.00,0.00,2.00,6.00,10.13,2.00,4.00,3.00,101,NULL,NULL,'FREITAS','PAULO LOPES','SC',15287,70,NULL,NULL,NULL,NULL,NULL,2,1),(25,6091210,3.00,6.00,1.00,3.00,9.00,8.25,2.00,5.00,0.00,450,NULL,NULL,'CENTRO','ARARANGUÁ','SC',14688,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6091229,7.00,5.00,3.00,5.00,6.00,8.25,3.00,3.00,5.00,207,NULL,202,'JURERÊ','FLORIANÓPOLIS','SC',9548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091237,2.00,7.00,2.00,7.00,9.00,10.88,2.00,3.00,2.00,207,NULL,215,'CAMPINAS','S JOSÉ','SC',8389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091245,2.00,7.00,3.00,1.00,3.00,NULL,0.00,1.00,2.00,501,NULL,NULL,'MADRI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6091270,7.00,5.00,0.00,6.00,10.00,9.38,0.00,5.00,4.00,104,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',7389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091296,6.00,7.00,3.00,7.00,5.00,7.13,3.00,6.00,6.00,203,NULL,NULL,'ABRANCHES','CURITIBA','PR',5445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6091318,7.00,4.00,2.00,6.00,5.00,8.25,1.00,3.00,7.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',8633,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6091326,3.00,0.00,2.00,2.00,6.00,NULL,0.00,0.00,0.00,212,NULL,201,'BARREIRINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6091342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6091350,2.00,4.00,4.00,1.00,7.00,5.25,2.00,3.00,4.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15703,200,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091369,4.00,5.00,3.00,5.00,8.00,9.38,2.00,5.00,3.00,203,NULL,202,'N SENHORA DE LOURDES','CAMPOS NOVOS','SC',8273,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6091377,6.00,6.00,3.00,5.00,10.00,8.25,2.00,3.00,6.00,207,NULL,201,'PACHECO','PALHOÇA','SC',5447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091393,6.00,4.00,2.00,4.00,7.00,7.88,2.00,2.00,3.00,110,NULL,NULL,'PORTAL','ARMAZÉM','SC',14968,61,NULL,NULL,NULL,NULL,NULL,2,10),(25,6091407,6.00,4.00,0.00,5.00,10.00,7.88,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','TORRES','RS',9948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091415,2.00,6.00,5.00,5.00,7.00,8.63,3.00,3.00,3.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091423,2.00,7.00,3.00,6.00,7.00,9.75,2.00,5.00,3.00,340,NULL,NULL,'BOSQUE DAS MANSÕES','S JOSÉ','SC',11604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091431,9.00,6.00,7.00,6.00,7.00,10.13,4.00,9.00,8.00,103,NULL,NULL,'CENTRO','COLORADO','PR',416,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6091440,3.00,6.00,2.00,2.00,5.00,NULL,0.00,2.00,2.00,318,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6091466,2.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,212,NULL,233,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(25,6091474,2.00,4.00,0.00,5.00,5.00,NULL,1.00,2.00,2.00,201,NULL,203,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091482,8.00,6.00,2.00,6.00,7.00,9.00,2.00,6.00,8.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',3342,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6091504,7.00,5.00,0.00,6.00,9.00,9.75,1.00,5.00,6.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',6040,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6091520,6.00,4.00,2.00,7.00,10.00,9.38,2.00,3.00,4.00,216,NULL,211,'JARDIM AEROPORTO','CAMPINAS','SP',6063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091539,4.00,3.00,4.00,5.00,6.00,7.88,1.00,1.00,1.00,317,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',16932,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6091547,8.00,8.00,5.00,7.00,8.00,9.38,3.00,6.00,6.00,108,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',1398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091563,3.00,5.00,3.00,3.00,7.00,8.25,2.00,2.00,4.00,332,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091571,5.00,6.00,0.00,5.00,6.00,7.88,3.00,7.00,2.00,234,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091598,5.00,7.00,3.00,4.00,7.00,7.13,1.00,1.00,3.00,208,NULL,238,'IPIRANGA','S JOSÉ','SC',12544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JABOTICABA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6091628,2.00,2.00,1.00,1.00,4.00,7.50,0.00,1.00,2.00,207,NULL,NULL,'CENTRO','BOM JD SERRA','SC',21757,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6091636,1.00,2.00,1.00,3.00,3.00,6.75,0.00,3.00,1.00,215,NULL,NULL,'GLÓRIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6091644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6091652,8.00,7.00,6.00,7.00,9.00,11.25,6.00,7.00,9.00,103,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',309,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6091660,3.00,4.00,3.00,4.00,6.00,7.50,0.00,1.00,2.00,238,NULL,208,'NOSSA SENHORA DO ROS','S JOSÉ','SC',16597,358,NULL,391,NULL,NULL,NULL,2,1),(25,6091679,2.00,3.00,0.00,2.00,3.00,NULL,0.00,4.00,1.00,655,NULL,652,'LAGOA DA SERRA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6091695,3.00,3.00,0.00,4.00,7.00,NULL,0.00,1.00,2.00,319,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6091709,4.00,6.00,1.00,4.00,4.00,7.50,0.00,3.00,2.00,428,NULL,423,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6091733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6091741,5.00,6.00,1.00,2.00,5.00,6.38,4.00,4.00,4.00,203,NULL,220,'CENTRO','BAL CAMBORIÚ','SC',14667,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6091750,3.00,4.00,2.00,6.00,6.00,9.75,3.00,2.00,3.00,303,NULL,NULL,'AEROPORTO','TUBARÃO','SC',11469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091768,0.00,5.00,4.00,3.00,6.00,9.00,2.00,2.00,3.00,207,NULL,201,'AGRONÔMICA','FLORIANÓPOLIS','SC',16241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091776,4.00,4.00,2.00,4.00,4.00,6.75,3.00,3.00,1.00,316,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',17584,186,NULL,NULL,NULL,NULL,NULL,2,1),(25,6091784,7.00,8.00,5.00,7.00,10.00,11.25,1.00,3.00,4.00,415,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',3595,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6091792,1.00,3.00,1.00,4.00,6.00,8.63,0.00,2.00,1.00,207,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6091806,3.00,3.00,2.00,1.00,5.00,7.13,2.00,2.00,2.00,216,NULL,215,'JARDIM BOTUJURU','JACUPIRANGA','SP',18652,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6091830,3.00,5.00,0.00,3.00,7.00,NULL,3.00,2.00,0.00,654,NULL,NULL,'PARQUE DAS AVENIDAS','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6091849,8.00,6.00,6.00,7.00,10.00,9.00,6.00,6.00,7.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091857,9.00,6.00,5.00,7.00,9.00,9.38,5.00,7.00,8.00,103,NULL,NULL,'NOSSA SRA APARECIDA','CPO NOVO PARECIS','MT',428,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6091865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'NR DR L M PIMENTA','ITATIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6091873,3.00,3.00,2.00,1.00,3.00,9.75,2.00,1.00,1.00,208,NULL,215,'CENTRO','CAXIAS SUL','RS',19174,492,NULL,313,NULL,NULL,NULL,2,1),(25,6091881,8.00,8.00,2.00,6.00,10.00,10.13,5.00,6.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091890,5.00,7.00,6.00,7.00,9.00,9.00,4.00,6.00,5.00,220,NULL,235,'KOBRASOL','S JOSÉ','SC',2242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091903,3.00,6.00,2.00,6.00,4.00,9.38,3.00,7.00,1.00,333,NULL,NULL,'UBERABA','CURITIBA','PR',9946,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6091920,4.00,4.00,3.00,3.00,8.00,8.25,1.00,1.00,4.00,103,NULL,NULL,'CENTRO','LUZERNA','SC',12831,3970,NULL,NULL,NULL,NULL,NULL,2,7),(25,6091946,3.00,6.00,2.00,3.00,5.00,6.00,3.00,3.00,3.00,450,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',19538,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6091954,9.00,5.00,5.00,7.00,10.00,12.75,5.00,6.00,9.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091962,6.00,7.00,3.00,5.00,6.00,11.63,1.00,5.00,4.00,202,NULL,235,'SACO GRANDE','FLORIANÓPOLIS','SC',7375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091970,8.00,5.00,2.00,6.00,9.00,9.38,5.00,5.00,6.00,103,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',2670,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6091989,6.00,6.00,2.00,6.00,9.00,11.25,2.00,5.00,5.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',4243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6091997,2.00,4.00,4.00,4.00,6.00,NULL,2.00,5.00,2.00,301,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6092004,4.00,0.00,0.00,2.00,6.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'MOURA','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6092012,6.00,7.00,2.00,7.00,8.00,9.38,0.00,6.00,5.00,340,NULL,NULL,'FLORESTA','JOINVILLE','SC',5530,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(25,6092020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6092039,7.00,8.00,3.00,6.00,10.00,13.13,1.00,8.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',955,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6092047,6.00,6.00,7.00,6.00,8.00,9.75,3.00,6.00,7.00,203,NULL,201,'BATEL','CURITIBA','PR',1742,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6092055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'S J RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6092063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,655,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6092071,4.00,6.00,3.00,3.00,5.00,5.25,4.00,6.00,4.00,9,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',10528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6092080,2.00,3.00,4.00,3.00,3.00,5.25,3.00,3.00,1.00,207,NULL,208,'CAMPINAS','S JOSÉ','SC',18713,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092101,2.00,4.00,0.00,1.00,6.00,NULL,2.00,4.00,0.00,337,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6092128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6092136,6.00,4.00,4.00,3.00,7.00,10.13,1.00,4.00,0.00,103,NULL,NULL,'CENTRO','UMUARAMA','PR',12443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6092144,7.00,3.00,2.00,5.00,9.00,10.88,2.00,3.00,5.00,104,NULL,NULL,'CENTRO','DOIS VIZINHOS','PR',5682,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6092152,7.00,5.00,2.00,5.00,9.00,9.75,3.00,6.00,6.00,303,NULL,NULL,'SETOR KENNEDY','LUZIÂNIA','GO',4704,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6092160,8.00,9.00,6.00,7.00,11.00,10.13,4.00,6.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6092179,5.00,6.00,2.00,6.00,6.00,9.38,2.00,3.00,4.00,103,NULL,NULL,'MEDIANEIRA','PTO ALEGRE','RS',8565,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092187,8.00,6.00,6.00,5.00,9.00,12.75,2.00,7.00,7.00,103,NULL,NULL,'CENTRO','JARDIM','MS',980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6092195,2.00,4.00,4.00,2.00,3.00,4.88,1.00,3.00,3.00,316,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',20916,259,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092217,3.00,6.00,2.00,5.00,5.00,6.00,2.00,2.00,3.00,336,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16215,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092225,7.00,5.00,0.00,2.00,8.00,9.00,1.00,6.00,6.00,238,NULL,208,'AGRONOMICA','FLORIANÓPOLIS','SC',7350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6092233,8.00,5.00,5.00,6.00,6.00,12.75,0.00,4.00,6.00,216,NULL,233,'CENTRO','RIBEIRÃO PRETO','SP',3055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6092241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALPHAVILLE','BARUERI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6092250,5.00,6.00,3.00,6.00,7.00,9.00,1.00,3.00,2.00,103,NULL,NULL,'HÍPICA','PTO ALEGRE','RS',9001,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6092268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6092276,8.00,7.00,3.00,6.00,8.00,9.00,3.00,3.00,7.00,601,NULL,216,'BOEHMERWALD','JOINVILLE','SC',3242,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6092284,8.00,6.00,8.00,6.00,6.00,10.88,4.00,4.00,9.00,203,NULL,220,'CENTRO','TELÊMACO BORBA','PR',1054,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6092314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'BELO HORIZONTE','AGRONÔMICA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6092322,5.00,4.00,0.00,1.00,7.00,7.50,1.00,1.00,1.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',19099,4596,NULL,NULL,NULL,NULL,NULL,4,1),(25,6092330,3.00,6.00,1.00,5.00,6.00,8.63,1.00,2.00,2.00,309,NULL,NULL,'SÃO JOSÉ','RUSSAS','CE',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092349,8.00,7.00,5.00,6.00,10.00,9.38,3.00,5.00,4.00,104,NULL,NULL,'DOIS PINHEIROS','VIDEIRA','SC',3993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092357,4.00,6.00,3.00,7.00,8.00,8.25,1.00,2.00,5.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',7410,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6092365,3.00,2.00,1.00,2.00,6.00,NULL,0.00,0.00,1.00,653,NULL,655,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6092373,6.00,3.00,1.00,3.00,6.00,6.75,2.00,0.00,3.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6092381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'BAIRRO IPIRANGA','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6092390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DAS OLIVEIRAS','TELÊMACO BORBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6092403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA SÃO LUCIO','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6092411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6092438,4.00,7.00,2.00,3.00,2.00,NULL,1.00,6.00,3.00,316,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6092462,3.00,4.00,1.00,3.00,3.00,0.00,3.00,5.00,2.00,453,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM AMÉRICA','BRAGANÇA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6092489,7.00,6.00,4.00,6.00,9.00,9.00,3.00,6.00,8.00,216,NULL,215,'COLÔNIA VITÓRIA','GUARAPUAVA','PR',2645,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6092497,7.00,8.00,0.00,5.00,9.00,NULL,0.00,5.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092500,3.00,2.00,1.00,4.00,2.00,NULL,4.00,0.00,1.00,233,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092519,3.00,2.00,1.00,3.00,4.00,7.50,2.00,0.00,3.00,205,NULL,NULL,'FAZENDA ST ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092527,2.00,3.00,3.00,5.00,5.00,6.00,3.00,4.00,0.00,308,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',18721,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092560,7.00,5.00,6.00,2.00,6.00,9.75,2.00,4.00,6.00,203,NULL,214,'BOA VISTA','CANOINHAS','SC',8799,650,NULL,230,NULL,NULL,NULL,2,17),(25,6092578,8.00,7.00,4.00,4.00,7.00,8.25,2.00,7.00,7.00,332,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',4050,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6092586,3.00,4.00,1.00,7.00,6.00,10.13,1.00,7.00,1.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6092624,5.00,4.00,3.00,3.00,6.00,8.25,2.00,0.00,2.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',18393,124,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092632,7.00,5.00,0.00,6.00,9.00,9.00,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',7756,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6092640,4.00,4.00,5.00,4.00,9.00,8.25,4.00,5.00,5.00,317,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',7341,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6092675,5.00,5.00,3.00,2.00,6.00,7.13,2.00,2.00,2.00,317,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6092713,6.00,6.00,2.00,6.00,8.00,12.00,2.00,6.00,5.00,103,NULL,NULL,'SÃO MARCOS','BIGUAÇU','SC',3798,2017,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092730,5.00,6.00,3.00,6.00,10.00,10.50,4.00,8.00,6.00,304,NULL,NULL,'AMERICA','JOINVILLE','SC',1772,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6092756,3.00,5.00,0.00,4.00,6.00,NULL,2.00,3.00,0.00,103,NULL,NULL,'SANTA CRUZ','VÍTOR MEIRELES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092764,2.00,4.00,0.00,3.00,4.00,8.63,1.00,2.00,0.00,104,NULL,NULL,'CENTRO','SERRA ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6092772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,214,'CENTRO','RIO VERDE','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6092780,7.00,7.00,4.00,6.00,8.00,12.38,4.00,6.00,5.00,103,NULL,NULL,'TROPICAL','CASCAVEL','PR',2794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092799,3.00,4.00,1.00,2.00,8.00,6.38,0.00,4.00,2.00,316,NULL,NULL,'SÃO MARTINHO','TUBARÃO','SC',17970,195,NULL,NULL,NULL,NULL,NULL,2,10),(25,6092802,7.00,5.00,3.00,2.00,8.00,7.13,1.00,4.00,6.00,103,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',8995,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6092829,9.00,7.00,8.00,6.00,9.00,9.38,4.00,7.00,8.00,103,NULL,NULL,'SAO RAFAEL','RIO NEGRINHO','SC',278,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6092837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM PARAISO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6092845,6.00,5.00,1.00,7.00,6.00,8.63,1.00,7.00,5.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6092853,8.00,7.00,3.00,6.00,9.00,9.75,1.00,6.00,5.00,103,NULL,NULL,'CENTRO','S JORGE IVAÍ','PR',3727,1987,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092861,5.00,6.00,0.00,7.00,9.00,7.50,1.00,4.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6092888,3.00,6.00,0.00,3.00,6.00,9.38,3.00,3.00,2.00,339,NULL,NULL,'AREIAS','S JOSÉ','SC',14925,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092896,4.00,7.00,0.00,6.00,8.00,9.38,0.00,3.00,3.00,337,NULL,NULL,'SARAMENHA','OURO PRETO','MG',10532,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6092900,3.00,4.00,3.00,4.00,7.00,7.50,2.00,3.00,3.00,102,NULL,NULL,'CENTRO','JACINTO MACHADO','SC',14014,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6092918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6092926,2.00,5.00,0.00,4.00,6.00,7.50,2.00,2.00,3.00,429,NULL,428,'KOBRASOL','S JOSÉ','SC',19384,48,NULL,46,NULL,NULL,NULL,2,1),(25,6092934,3.00,3.00,2.00,3.00,3.00,NULL,0.00,2.00,0.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6092942,3.00,2.00,3.00,3.00,5.00,6.75,1.00,0.00,1.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6092950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'RESIDENCIAL FURLAN','STA BÁRBARA D OESTE','SP',NULL,NULL,NULL,NULL,'S','S','S',5,8),(25,6092969,3.00,4.00,0.00,5.00,3.00,6.00,2.00,0.00,2.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6092977,7.00,7.00,3.00,6.00,8.00,9.38,3.00,4.00,3.00,103,NULL,NULL,'SANTO INÁCIO','CURITIBA','PR',6091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6092985,1.00,3.00,3.00,5.00,6.00,NULL,1.00,3.00,0.00,404,NULL,NULL,'IGARA','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6092993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6093019,4.00,3.00,3.00,4.00,6.00,6.75,2.00,5.00,2.00,328,NULL,NULL,'MARY DOTA','BAURU','SP',16308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6093027,4.00,4.00,2.00,6.00,6.00,8.25,2.00,5.00,3.00,303,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',11347,526,NULL,NULL,NULL,NULL,NULL,2,1),(25,6093043,7.00,7.00,6.00,7.00,7.00,11.25,4.00,3.00,5.00,220,NULL,211,'GARCIA','BLUMENAU','SC',3224,104,NULL,NULL,NULL,NULL,NULL,4,2),(25,6093051,7.00,5.00,5.00,6.00,9.00,8.63,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',1939,1207,NULL,NULL,NULL,NULL,NULL,4,4),(25,6093060,7.00,8.00,7.00,5.00,8.00,11.25,3.00,7.00,9.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',1077,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6093078,4.00,7.00,4.00,3.00,5.00,7.50,2.00,5.00,3.00,653,NULL,655,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',11760,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6093086,1.00,3.00,2.00,4.00,2.00,NULL,1.00,4.00,1.00,203,NULL,233,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6093108,0.00,3.00,0.00,1.00,2.00,NULL,1.00,3.00,1.00,9,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6093116,5.00,4.00,3.00,2.00,4.00,7.88,1.00,1.00,3.00,214,NULL,213,'JOÃO PAULO','FLORIANÓPOLIS','SC',14926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6093124,4.00,6.00,2.00,6.00,6.00,7.88,2.00,4.00,2.00,109,NULL,NULL,'BIGORRILHO','CURITIBA','PR',14683,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6093132,4.00,3.00,0.00,1.00,5.00,8.63,0.00,1.00,0.00,103,NULL,NULL,'CENTRO','CAPITÃO','RS',19889,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6093159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'BELA VISTA','RIO PEDRAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6093167,5.00,8.00,7.00,6.00,9.00,9.00,3.00,6.00,8.00,201,NULL,207,'CENTRO','CURITIBA','PR',2119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6093175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6093183,5.00,4.00,3.00,5.00,7.00,6.00,4.00,5.00,8.00,103,NULL,NULL,'CENTRO','SAUDADES','SC',6969,2950,NULL,NULL,NULL,NULL,NULL,2,4),(25,6093191,6.00,7.00,2.00,3.00,9.00,10.88,2.00,6.00,3.00,108,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',6942,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6093205,6.00,6.00,0.00,6.00,9.00,NULL,1.00,6.00,5.00,238,NULL,208,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6093213,4.00,7.00,3.00,6.00,7.00,11.63,3.00,6.00,3.00,501,NULL,NULL,'SERRARIA','S JOSÉ','SC',6479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6093221,5.00,5.00,2.00,6.00,3.00,10.13,2.00,1.00,1.00,301,NULL,NULL,'BEM MORAR','TANGARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6093230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SÃO GERALDO','ARARAQUARA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6093248,8.00,7.00,4.00,5.00,6.00,7.13,1.00,6.00,7.00,104,NULL,NULL,'CENTRO','S CARLOS','SC',5080,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6093256,1.00,4.00,4.00,3.00,6.00,NULL,2.00,0.00,1.00,103,NULL,NULL,'SAMUEL SANDRINI','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6093264,4.00,5.00,3.00,5.00,10.00,10.88,1.00,4.00,5.00,333,NULL,NULL,'JARDIM BOTÂNICO','PTO ALEGRE','RS',7420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6093272,8.00,8.00,2.00,6.00,9.00,9.00,3.00,8.00,6.00,203,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',2108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6093280,2.00,5.00,2.00,6.00,6.00,8.25,0.00,4.00,1.00,104,NULL,NULL,'SANTA ISABEL','FORQUILHINHA','SC',17513,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6093299,2.00,4.00,2.00,3.00,5.00,7.50,3.00,3.00,0.00,652,NULL,655,'ITACORUBI','FLORIANÓPOLIS','SC',19760,75,NULL,NULL,NULL,NULL,NULL,2,1),(25,6093302,2.00,7.00,3.00,3.00,9.00,NULL,2.00,3.00,1.00,329,NULL,NULL,'ESTREITO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6093310,6.00,8.00,3.00,7.00,10.00,8.63,4.00,9.00,6.00,415,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6093329,5.00,5.00,4.00,5.00,7.00,8.25,1.00,4.00,4.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',9225,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6093345,3.00,3.00,1.00,5.00,6.00,9.75,1.00,4.00,2.00,331,NULL,NULL,'MAIOBÃO','PAÇO LUMIAR','MA',17948,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6093353,6.00,5.00,5.00,5.00,8.00,7.88,4.00,4.00,7.00,203,NULL,233,'CIDADE JARDIM','AMERICANA','SP',5043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6093361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6093370,6.00,6.00,2.00,7.00,10.00,10.50,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','UBERLÂNDIA','MG',2317,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6093396,5.00,4.00,6.00,4.00,6.00,7.13,3.00,6.00,4.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8149,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6093400,8.00,8.00,2.00,7.00,8.00,11.25,1.00,4.00,7.00,216,NULL,201,'DOM BOSCO','ITAJAÍ','SC',3371,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6093418,3.00,3.00,0.00,2.00,5.00,7.50,3.00,4.00,2.00,303,NULL,NULL,'BARRA','BAL CAMBORIÚ','SC',17738,770,NULL,NULL,NULL,NULL,NULL,4,3),(25,6093426,2.00,4.00,0.00,4.00,4.00,9.38,1.00,1.00,3.00,102,NULL,NULL,'PIONEIROS','ITÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6093434,5.00,5.00,5.00,5.00,5.00,7.13,3.00,1.00,6.00,201,NULL,212,'PORTAL','VIDEIRA','SC',8445,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6093442,3.00,6.00,3.00,5.00,8.00,7.50,1.00,5.00,2.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',14222,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6093450,4.00,3.00,2.00,3.00,6.00,7.13,1.00,2.00,3.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6093469,3.00,2.00,2.00,5.00,6.00,6.75,0.00,2.00,1.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',20593,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6093477,7.00,6.00,2.00,3.00,8.00,11.63,2.00,8.00,5.00,415,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6093493,7.00,5.00,2.00,6.00,8.00,12.00,2.00,9.00,6.00,103,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',3340,1836,NULL,NULL,NULL,NULL,NULL,2,2),(25,6093515,5.00,7.00,4.00,8.00,9.00,8.25,2.00,6.00,4.00,5,NULL,NULL,'PINHEIRINHO','CURITIBA','PR',2680,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6093523,3.00,4.00,1.00,5.00,7.00,8.25,3.00,3.00,3.00,999,NULL,NULL,'SÃO LUIZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6093531,5.00,5.00,1.00,6.00,8.00,7.50,3.00,4.00,7.00,103,NULL,NULL,'GONZAGA','SANTOS','SP',5673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6093540,6.00,4.00,3.00,4.00,6.00,7.13,2.00,4.00,5.00,103,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',9426,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6093558,5.00,2.00,1.00,3.00,1.00,NULL,0.00,6.00,3.00,201,NULL,235,'SAO JOSE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6093566,6.00,4.00,0.00,1.00,8.00,NULL,2.00,5.00,6.00,103,NULL,NULL,'PASSO DE AREIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6093574,4.00,4.00,1.00,6.00,6.00,9.38,4.00,1.00,2.00,201,NULL,207,'CENTRO','CANOINHAS','SC',12660,1077,NULL,681,NULL,NULL,NULL,4,17),(25,6093582,7.00,6.00,0.00,5.00,9.00,9.00,3.00,4.00,5.00,104,NULL,NULL,'CENTRO','STA HELENA','PR',6105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6093590,6.00,3.00,5.00,4.00,8.00,9.38,1.00,2.00,7.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',6596,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6093604,7.00,6.00,3.00,7.00,7.00,11.63,4.00,6.00,8.00,203,NULL,216,'CHÁCARA URBANA','JUNDIAÍ','SP',1444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6093612,8.00,7.00,4.00,5.00,10.00,10.88,4.00,8.00,7.00,103,NULL,NULL,'JARDIM EUROPA','JACAREZINHO','PR',1025,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6093620,6.00,4.00,2.00,5.00,4.00,8.63,1.00,2.00,1.00,332,NULL,NULL,'BELA VISTA','S JOSÉ','SC',16857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6093639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'INTERIOR','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6093647,6.00,4.00,2.00,4.00,6.00,8.63,1.00,4.00,6.00,336,NULL,NULL,'PARQUE JARDIN OURO','OURO','SC',9173,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6093655,4.00,4.00,1.00,7.00,8.00,11.25,0.00,5.00,3.00,303,NULL,NULL,'LOTE SEIS','CRICIÚMA','SC',8750,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6093663,2.00,6.00,1.00,4.00,6.00,6.75,1.00,4.00,0.00,999,NULL,NULL,'DOM ORLANDO CHAVES','VÁRZEA GRANDE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6093671,6.00,4.00,1.00,2.00,4.00,8.25,4.00,4.00,5.00,216,NULL,214,'VILA MONTEIRO','PIRACICABA','SP',11485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6093680,8.00,7.00,7.00,7.00,8.00,10.13,4.00,6.00,8.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',728,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6093698,4.00,5.00,4.00,3.00,6.00,9.00,2.00,2.00,2.00,235,NULL,202,'SAGUAÇU','JOINVILLE','SC',12498,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6093701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6093710,7.00,8.00,1.00,5.00,6.00,8.63,6.00,5.00,7.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',2931,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6093728,7.00,5.00,4.00,6.00,8.00,9.75,3.00,5.00,8.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',3829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6093736,2.00,2.00,2.00,3.00,4.00,7.50,1.00,2.00,2.00,425,NULL,429,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6093744,5.00,3.00,4.00,3.00,7.00,7.88,1.00,5.00,4.00,202,NULL,214,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6093752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','ASTORGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6093760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6093779,3.00,4.00,2.00,3.00,5.00,7.13,4.00,2.00,4.00,654,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',15847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6093787,6.00,4.00,4.00,5.00,6.00,6.00,4.00,5.00,5.00,235,NULL,202,'JARDIM PRIMAVERA','PATO BRANCO','PR',7558,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6093795,1.00,3.00,5.00,1.00,3.00,6.75,1.00,2.00,2.00,302,NULL,NULL,'GUARDA DO EMBAÚ','PALHOÇA','SC',20120,179,NULL,NULL,NULL,NULL,NULL,2,1),(25,6093817,6.00,3.00,0.00,7.00,5.00,8.25,1.00,6.00,4.00,104,NULL,NULL,'ASILO','BLUMENAU','SC',10045,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6093825,5.00,3.00,2.00,3.00,6.00,6.38,1.00,4.00,4.00,233,NULL,203,'CENTRO','ERVAL VELHO','SC',15948,409,NULL,970,NULL,NULL,NULL,2,7),(25,6093833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6093841,5.00,7.00,1.00,7.00,8.00,10.50,2.00,6.00,3.00,340,NULL,NULL,'ALTO DA BOA VISTA','S PAULO','SP',6278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6093850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PADRE EUSTAQUIO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6093868,2.00,2.00,0.00,1.00,5.00,6.38,3.00,0.00,0.00,655,NULL,652,'TENENTE','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6093876,3.00,3.00,1.00,5.00,6.00,9.00,1.00,6.00,1.00,450,NULL,NULL,'PONTA COMPRIDA','GUARAMIRIM','SC',14145,100,NULL,NULL,NULL,NULL,NULL,4,8),(25,6093884,8.00,7.00,1.00,7.00,11.00,11.25,2.00,8.00,5.00,303,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',1459,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(25,6093906,5.00,5.00,2.00,3.00,5.00,7.13,2.00,1.00,1.00,999,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6093914,7.00,7.00,6.00,6.00,7.00,7.13,4.00,9.00,8.00,220,NULL,203,'CENTRO','TELÊMACO BORBA','PR',1517,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6093922,2.00,6.00,2.00,3.00,4.00,6.75,2.00,1.00,0.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6093930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6093957,7.00,7.00,2.00,7.00,10.00,12.00,2.00,6.00,6.00,450,NULL,NULL,'CENTRO','S ROQUE','SP',2527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6093965,2.00,4.00,1.00,1.00,4.00,8.25,2.00,2.00,2.00,319,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6093981,4.00,3.00,2.00,3.00,6.00,7.13,2.00,3.00,4.00,333,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6093990,5.00,3.00,4.00,5.00,8.00,9.38,3.00,1.00,2.00,201,NULL,207,'COQUEIROS','FLORIANÓPOLIS','SC',10030,814,NULL,501,NULL,NULL,NULL,4,1),(25,6094007,5.00,6.00,1.00,5.00,8.00,6.75,1.00,4.00,5.00,207,NULL,215,'CENTRO','MRO GRANDE','SC',11089,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6094031,7.00,6.00,3.00,4.00,10.00,8.63,2.00,6.00,4.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',4771,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6094040,3.00,2.00,1.00,4.00,6.00,6.75,0.00,0.00,4.00,234,NULL,NULL,'AREIAS','TIJUCAS','SC',20756,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6094058,6.00,6.00,1.00,4.00,6.00,NULL,0.00,3.00,0.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6094066,4.00,0.00,4.00,5.00,7.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6094090,3.00,7.00,3.00,1.00,6.00,9.00,2.00,3.00,5.00,999,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6094104,1.00,1.00,0.00,1.00,5.00,NULL,0.00,0.00,1.00,238,NULL,215,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6094120,7.00,5.00,5.00,7.00,8.00,6.38,3.00,8.00,8.00,103,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',2604,1545,NULL,NULL,NULL,NULL,NULL,4,1),(25,6094147,6.00,6.00,3.00,3.00,6.00,10.13,0.00,4.00,3.00,601,NULL,203,'JARDIM IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6094155,3.00,2.00,3.00,2.00,6.00,NULL,2.00,0.00,2.00,453,NULL,NULL,'BAIRRO PORTINHO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6094163,6.00,6.00,6.00,6.00,8.00,12.00,1.00,6.00,7.00,207,NULL,212,'FERREIRA','S PAULO','SP',2499,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6094171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6094198,5.00,6.00,3.00,6.00,8.00,9.00,2.00,5.00,7.00,207,NULL,NULL,'CENTRO','ARARAQUARA','SP',4348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6094201,5.00,4.00,1.00,0.00,5.00,NULL,1.00,0.00,3.00,108,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6094210,9.00,6.00,3.00,6.00,8.00,11.25,2.00,7.00,7.00,103,NULL,NULL,'JARDIM ITAPUÃN','MARINGÁ','PR',2875,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6094236,8.00,5.00,3.00,6.00,8.00,10.13,2.00,5.00,5.00,104,NULL,NULL,'CENTRO','LOANDA','PR',5954,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6094252,8.00,7.00,1.00,5.00,9.00,10.50,3.00,6.00,8.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',2386,1442,NULL,NULL,NULL,NULL,NULL,2,5),(25,6094260,9.00,6.00,7.00,6.00,9.00,11.63,5.00,5.00,8.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',444,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6094287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ROLÂNDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6094309,7.00,6.00,6.00,6.00,10.00,10.50,6.00,6.00,8.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',555,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6094317,8.00,5.00,2.00,7.00,9.00,12.00,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2112,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6094325,4.00,3.00,2.00,4.00,5.00,10.13,1.00,5.00,3.00,3,NULL,NULL,'VILA PEDRINI','JOAÇABA','SC',13870,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6094333,8.00,8.00,4.00,7.00,10.00,7.50,4.00,8.00,9.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6094341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CECAP','ITATIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6094368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6094384,0.00,2.00,0.00,2.00,4.00,NULL,2.00,2.00,0.00,654,NULL,NULL,'JARDIM ITÁLIA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,15),(25,6094392,6.00,5.00,6.00,3.00,3.00,11.25,2.00,5.00,4.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',7724,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6094406,2.00,2.00,1.00,2.00,5.00,5.63,0.00,2.00,3.00,102,NULL,NULL,'CANOAS','RIO SUL','SC',21448,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6094414,7.00,6.00,2.00,7.00,9.00,10.13,1.00,6.00,7.00,103,NULL,NULL,'CHACARA DAS PEDRAS','PTO ALEGRE','RS',3825,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6094430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA AMBROSINA','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6094449,5.00,5.00,1.00,6.00,5.00,NULL,2.00,0.00,2.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6094457,6.00,4.00,3.00,6.00,6.00,9.38,3.00,1.00,6.00,207,NULL,201,'MORRO VERMELHO','MOGI MIRIM','SP',8679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6094465,6.00,4.00,3.00,6.00,9.00,8.63,2.00,4.00,5.00,201,NULL,203,'LIBERDADE','CONCÓRDIA','SC',6854,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6094473,3.00,5.00,0.00,3.00,4.00,7.13,2.00,4.00,2.00,207,NULL,NULL,'SANTA ROSA','GUARUJÁ','SP',18022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6094481,4.00,3.00,0.00,2.00,7.00,11.63,1.00,1.00,0.00,415,NULL,NULL,'AEROPORTO','BARRETOS','SP',17072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6094490,3.00,2.00,1.00,5.00,5.00,8.63,3.00,0.00,2.00,425,NULL,429,'PRAÇA','TIJUCAS','SC',18319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6094503,2.00,3.00,1.00,4.00,6.00,6.75,3.00,5.00,3.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',17037,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6094511,0.00,2.00,1.00,3.00,6.00,8.63,0.00,0.00,0.00,654,NULL,NULL,'MONTE BÉRICO','VERANÓPOLIS','RS',21696,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6094538,7.00,4.00,3.00,4.00,8.00,8.25,0.00,4.00,7.00,103,NULL,NULL,'BOM JESUS','S JOSÉ PINHAIS','PR',7442,3050,NULL,NULL,NULL,NULL,NULL,2,7),(25,6094554,5.00,3.00,1.00,4.00,6.00,8.25,1.00,3.00,0.00,211,NULL,653,'JK NOVA CAPITAL','ANÁPOLIS','GO',16202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6094562,6.00,6.00,4.00,4.00,8.00,8.25,3.00,2.00,2.00,201,NULL,601,'JARDIM MARIA LUIZA','CASCAVEL','PR',9570,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6094570,2.00,3.00,1.00,2.00,4.00,NULL,0.00,2.00,1.00,301,NULL,NULL,'SANTA CRUZ','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6094589,4.00,5.00,5.00,5.00,8.00,10.88,3.00,5.00,2.00,207,NULL,201,'CANTRO','S MIGUEL OESTE','SC',7621,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6094600,4.00,3.00,2.00,3.00,8.00,9.00,2.00,1.00,1.00,503,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6094627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIANA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6094635,7.00,5.00,1.00,6.00,7.00,10.88,1.00,6.00,8.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',4567,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6094643,4.00,6.00,4.00,4.00,6.00,10.50,2.00,5.00,4.00,203,NULL,201,'JARDIM IBIRAPUERA','PARANAVAÍ','PR',8399,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6094660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'NOVO BONGIOVANI','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6094678,8.00,6.00,4.00,7.00,9.00,10.50,1.00,6.00,7.00,103,NULL,NULL,'COLINA VERDE','VIDEIRA','SC',2314,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6094694,2.00,4.00,1.00,2.00,8.00,7.50,1.00,3.00,2.00,212,NULL,652,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',15989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6094708,8.00,6.00,4.00,5.00,7.00,10.13,3.00,4.00,6.00,340,NULL,NULL,'CENTRO','PALOTINA','PR',3971,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6094716,2.00,5.00,2.00,3.00,5.00,8.25,2.00,0.00,0.00,5,NULL,NULL,'SANTA RITA','BRUSQUE','SC',18728,643,NULL,NULL,NULL,NULL,NULL,4,2),(25,6094724,8.00,8.00,4.00,6.00,9.00,10.13,2.00,8.00,9.00,5,NULL,NULL,'JARDIM DA LAGOA','MOGI GUAÇU','SP',976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6094732,4.00,5.00,4.00,1.00,3.00,5.63,1.00,1.00,2.00,203,NULL,214,'MINA DO MATO','CRICIÚMA','SC',21173,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6094740,4.00,5.00,2.00,6.00,5.00,6.38,2.00,2.00,3.00,655,NULL,653,'SAPIRANGA','MELEIRO','SC',17283,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6094767,9.00,8.00,6.00,7.00,10.00,8.25,3.00,8.00,8.00,103,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6094775,5.00,6.00,3.00,6.00,7.00,9.38,1.00,1.00,4.00,215,NULL,216,'AHÚU','CURITIBA','PR',11048,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6094783,2.00,3.00,4.00,2.00,6.00,9.38,1.00,5.00,2.00,208,NULL,235,'INGLESES','FLORIANÓPOLIS','SC',13805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6094791,3.00,5.00,2.00,7.00,7.00,5.25,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',13179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6094813,6.00,6.00,5.00,5.00,7.00,8.25,0.00,5.00,5.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',6707,2881,NULL,NULL,NULL,NULL,NULL,2,1),(25,6094821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,208,'SESC SUZANO','SUZANO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6094856,4.00,7.00,2.00,4.00,8.00,9.00,2.00,3.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6094864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6094872,6.00,5.00,3.00,5.00,8.00,10.88,2.00,8.00,4.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',4290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6094880,7.00,6.00,3.00,7.00,7.00,9.38,5.00,8.00,8.00,103,NULL,NULL,'PINHEIRINHO','PATO BRANCO','PR',1852,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6094899,8.00,8.00,4.00,6.00,9.00,9.38,4.00,4.00,9.00,103,NULL,NULL,'VILA ESTRELA','PNT GROSSA','PR',1986,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6094902,2.00,2.00,0.00,2.00,4.00,6.38,3.00,1.00,1.00,103,NULL,NULL,'JARDIM HATORI I','REGISTRO','SP',21013,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6094929,3.00,2.00,0.00,4.00,4.00,NULL,1.00,0.00,1.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6094937,3.00,2.00,1.00,3.00,4.00,7.50,3.00,3.00,1.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',20576,440,NULL,NULL,NULL,NULL,NULL,2,1),(25,6094945,8.00,6.00,5.00,7.00,9.00,10.13,4.00,8.00,9.00,103,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',365,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6094961,2.00,5.00,0.00,3.00,6.00,7.88,0.00,2.00,3.00,201,NULL,601,'CENTRO','S JOÃO BATISTA','SC',17600,1454,NULL,NULL,NULL,NULL,NULL,2,6),(25,6094970,3.00,8.00,2.00,2.00,7.00,7.50,1.00,5.00,1.00,201,NULL,207,'SÃO LUIZ','S JOSÉ','SC',13288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6094988,7.00,7.00,4.00,7.00,10.00,7.88,6.00,7.00,8.00,303,NULL,NULL,'ÁGUA FUNDA','S PAULO','SP',1328,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6094996,6.00,6.00,4.00,4.00,6.00,11.63,2.00,5.00,5.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8023,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6095003,7.00,6.00,3.00,4.00,10.00,10.50,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','TURVO','SC',4887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095011,7.00,6.00,7.00,6.00,8.00,8.63,3.00,6.00,7.00,601,NULL,203,'SÃO JOÃO','ITAJAÍ','SC',1964,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6095020,7.00,8.00,7.00,6.00,9.00,10.13,5.00,9.00,6.00,201,NULL,220,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095038,4.00,5.00,3.00,5.00,3.00,7.50,1.00,4.00,3.00,404,NULL,NULL,'BRASIL','ESPUMOSO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6095046,1.00,4.00,1.00,2.00,7.00,6.75,3.00,4.00,1.00,202,NULL,220,'JARDIM BRASIL','REGISTRO','SP',18627,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6095070,5.00,5.00,3.00,6.00,9.00,10.13,3.00,7.00,9.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',3838,2028,NULL,NULL,NULL,NULL,NULL,2,17),(25,6095089,5.00,5.00,1.00,7.00,9.00,9.75,0.00,4.00,4.00,103,NULL,NULL,'JARDIM DAS ROSAS','ESPÍRITO STO PINHAL','SP',8170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095097,4.00,3.00,0.00,3.00,7.00,10.13,3.00,2.00,6.00,207,NULL,211,'SAGRADO CORAÇÕA DE J','LAGES','SC',12999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095119,0.00,1.00,0.00,2.00,6.00,NULL,2.00,1.00,1.00,319,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095127,4.00,4.00,1.00,5.00,4.00,7.13,1.00,3.00,1.00,340,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',17808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095151,4.00,3.00,1.00,2.00,5.00,7.88,0.00,3.00,0.00,324,NULL,NULL,'PONTE DE IMARUIM','PALHOÇA','SC',20930,25,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095160,5.00,6.00,2.00,6.00,7.00,9.38,1.00,4.00,5.00,208,NULL,238,'CORREGO GRANDE','FLORIANÓPOLIS','SC',7181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095178,6.00,6.00,5.00,5.00,8.00,10.50,2.00,5.00,7.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',3733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6095194,6.00,6.00,3.00,6.00,7.00,10.13,2.00,4.00,5.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095216,2.00,1.00,1.00,5.00,6.00,9.38,1.00,0.00,1.00,212,NULL,215,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',20763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6095224,0.00,3.00,1.00,4.00,4.00,5.25,1.00,1.00,1.00,203,NULL,220,'CENTRO','PAPANDUVA','SC',21671,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6095232,4.00,5.00,4.00,3.00,5.00,7.50,2.00,3.00,4.00,404,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',16360,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6095240,4.00,4.00,3.00,5.00,4.00,6.00,2.00,3.00,2.00,109,NULL,NULL,'AREIAS','S JOSÉ','SC',16924,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6095259,7.00,7.00,0.00,5.00,10.00,11.63,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','FARROUPILHA','RS',3452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095275,0.00,4.00,0.00,3.00,4.00,6.38,2.00,1.00,1.00,104,NULL,NULL,'CENTRO','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6095283,5.00,3.00,2.00,4.00,5.00,8.25,3.00,1.00,1.00,103,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095305,8.00,6.00,7.00,5.00,9.00,10.13,4.00,7.00,9.00,103,NULL,NULL,'VILA CARMEM','PASSO FUNDO','RS',875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095313,2.00,3.00,1.00,3.00,3.00,7.50,3.00,1.00,2.00,317,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',19479,168,NULL,NULL,NULL,NULL,NULL,2,1),(25,6095321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6095330,2.00,1.00,1.00,2.00,5.00,NULL,3.00,1.00,0.00,502,NULL,NULL,'MIGUEL CLAUDIO GREGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6095348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'MONTE CASTELO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6095356,1.00,4.00,3.00,5.00,3.00,5.63,3.00,2.00,2.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6095364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6095372,5.00,4.00,3.00,4.00,5.00,7.50,1.00,3.00,0.00,320,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095380,9.00,6.00,5.00,7.00,9.00,11.63,4.00,7.00,7.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',726,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6095399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VISTA VERDE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6095402,1.00,2.00,0.00,2.00,4.00,7.88,3.00,2.00,0.00,310,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHAME CHAME','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6095429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CITY BARRETOS','BARRETOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6095445,2.00,6.00,4.00,4.00,7.00,9.00,3.00,5.00,2.00,302,NULL,NULL,'CENTRO','PALHOÇA','SC',9556,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6095461,3.00,2.00,3.00,2.00,6.00,5.63,3.00,3.00,3.00,340,NULL,NULL,'DAS NAÇOES','BAL CAMBORIÚ','SC',19721,NULL,NULL,NULL,NULL,NULL,NULL,1,3),(25,6095488,4.00,4.00,1.00,3.00,4.00,6.00,1.00,2.00,0.00,216,NULL,220,'VILA TUPI','REGISTRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6095496,4.00,2.00,0.00,2.00,4.00,NULL,0.00,1.00,2.00,502,NULL,NULL,'EFAPI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6095526,2.00,4.00,0.00,0.00,4.00,7.13,1.00,2.00,0.00,203,NULL,214,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',21654,1170,NULL,459,NULL,NULL,NULL,2,1),(25,6095534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'SÃO LUCAS','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6095569,8.00,7.00,5.00,7.00,8.00,8.63,2.00,6.00,5.00,201,NULL,207,'CENTRO','MARAVILHA','SC',2610,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6095585,2.00,4.00,1.00,2.00,6.00,6.75,2.00,4.00,4.00,601,NULL,214,'JARDIM ELIZABETH','S PAULO','SP',16831,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095593,7.00,6.00,5.00,4.00,6.00,6.38,0.00,5.00,3.00,208,NULL,601,'COSTA E SILVA','JOINVILLE','SC',10262,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6095607,3.00,3.00,2.00,1.00,7.00,6.75,2.00,2.00,0.00,9,NULL,NULL,'GUANABARA','JOINVILLE','SC',20750,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6095615,1.00,2.00,1.00,3.00,4.00,7.13,2.00,1.00,2.00,654,NULL,NULL,'PRAIA DA META','BAL ARROIO SILVA','SC',21000,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6095623,6.00,6.00,2.00,7.00,9.00,11.25,1.00,5.00,7.00,103,NULL,NULL,'CENTRO','LAGES','SC',4087,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6095631,5.00,4.00,3.00,4.00,9.00,10.13,2.00,4.00,5.00,303,NULL,NULL,'PROGRESSO','S LOURENÇO OESTE','SC',10001,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6095640,5.00,7.00,0.00,3.00,7.00,10.50,0.00,4.00,3.00,207,NULL,212,'CENTRO','TIJUCAS','SC',11922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095658,8.00,8.00,4.00,8.00,10.00,12.00,5.00,9.00,8.00,303,NULL,NULL,'BALNEÁRIO DANIELA','FLORIANÓPOLIS','SC',153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095666,7.00,8.00,4.00,5.00,10.00,11.25,2.00,7.00,9.00,207,NULL,201,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',1499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095674,9.00,7.00,8.00,7.00,10.00,10.13,5.00,8.00,9.00,103,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',90,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6095682,4.00,3.00,2.00,5.00,5.00,9.00,1.00,6.00,2.00,207,NULL,235,'CIDADE VERA CRUZ','APARECIDA GOIÂNIA','GO',12541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095690,7.00,8.00,4.00,3.00,8.00,9.38,1.00,4.00,7.00,103,NULL,NULL,'CENTRO','IRATI','PR',5605,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6095704,3.00,3.00,1.00,3.00,5.00,6.00,2.00,5.00,2.00,202,NULL,235,'CENTRO','JAGUARUNA','SC',16840,527,NULL,401,NULL,NULL,NULL,2,10),(25,6095712,1.00,3.00,1.00,1.00,7.00,6.38,1.00,1.00,3.00,103,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6095720,6.00,5.00,6.00,6.00,8.00,8.25,4.00,5.00,7.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',3708,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6095739,3.00,7.00,3.00,6.00,9.00,7.50,1.00,5.00,4.00,225,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',11210,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6095747,4.00,4.00,3.00,7.00,7.00,6.75,4.00,5.00,5.00,207,NULL,211,'COLONINHA','ARARANGUÁ','SC',9986,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6095755,4.00,6.00,1.00,4.00,6.00,9.38,2.00,1.00,2.00,203,NULL,214,'SANTA TEREZA','GUARANI MISSÕES','RS',13389,857,NULL,321,NULL,NULL,NULL,2,4),(25,6095763,5.00,5.00,6.00,7.00,8.00,NULL,0.00,7.00,6.00,340,NULL,NULL,'CENTRO','VL FLORES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6095771,5.00,5.00,0.00,4.00,6.00,7.13,1.00,3.00,5.00,654,NULL,NULL,'TEIXEIRAS','JZ FORA','MG',15498,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6095780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,653,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6095798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6095801,2.00,2.00,0.00,2.00,5.00,7.50,1.00,1.00,0.00,309,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',21027,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6095810,8.00,6.00,4.00,6.00,9.00,12.75,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',1980,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6095828,8.00,6.00,5.00,6.00,8.00,7.88,2.00,7.00,8.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',2776,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6095836,8.00,6.00,3.00,6.00,8.00,10.88,5.00,8.00,8.00,103,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',1119,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6095852,2.00,4.00,2.00,1.00,5.00,8.25,1.00,3.00,2.00,103,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6095860,6.00,4.00,3.00,7.00,9.00,9.75,2.00,7.00,3.00,103,NULL,NULL,'SANTO ANDRE II','SOROCABA','SP',5191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'VILA NOVA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6095887,2.00,2.00,0.00,1.00,1.00,NULL,2.00,0.00,2.00,5,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6095895,4.00,6.00,4.00,6.00,9.00,10.88,2.00,6.00,8.00,103,NULL,NULL,'AÇOS FINOS PIRATINI','CHARQUEADAS','RS',2246,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6095909,2.00,0.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,202,NULL,235,'LINHA NERREU RAMOS','ARVOREDO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(25,6095917,2.00,6.00,2.00,3.00,6.00,NULL,2.00,3.00,0.00,103,NULL,NULL,'APARECIDA','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6095925,0.00,5.00,3.00,3.00,3.00,NULL,2.00,1.00,1.00,316,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6095933,5.00,2.00,3.00,3.00,2.00,NULL,2.00,2.00,0.00,502,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6095941,3.00,5.00,3.00,6.00,7.00,NULL,4.00,7.00,0.00,450,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6095950,9.00,8.00,6.00,6.00,9.00,10.50,4.00,7.00,9.00,103,NULL,NULL,'MIGUEL COUTO','CPO GRANDE','MS',493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095968,3.00,2.00,2.00,3.00,7.00,NULL,1.00,0.00,2.00,103,NULL,NULL,'ALTO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6095984,5.00,4.00,1.00,5.00,6.00,NULL,0.00,5.00,3.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6095992,8.00,6.00,7.00,7.00,9.00,10.50,5.00,8.00,8.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',291,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6096000,3.00,5.00,2.00,2.00,6.00,7.50,2.00,7.00,2.00,207,NULL,216,'ARIRIÚ','PALHOÇA','SC',15329,832,NULL,513,NULL,NULL,NULL,2,1),(25,6096018,4.00,5.00,4.00,6.00,8.00,8.25,3.00,6.00,1.00,337,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',11247,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6096026,1.00,2.00,0.00,1.00,2.00,NULL,2.00,2.00,3.00,201,NULL,215,'JARDIM VANIA','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6096034,2.00,3.00,3.00,4.00,2.00,NULL,3.00,3.00,2.00,309,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6096042,3.00,2.00,0.00,5.00,3.00,8.63,2.00,1.00,4.00,308,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6096077,2.00,4.00,1.00,2.00,3.00,0.00,1.00,1.00,2.00,316,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6096107,5.00,8.00,3.00,5.00,7.00,7.88,2.00,1.00,4.00,319,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',8410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096115,6.00,5.00,6.00,6.00,7.00,9.38,4.00,4.00,8.00,213,NULL,214,'CENTRO','RIO NEGRO','PR',3674,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6096131,8.00,5.00,3.00,0.00,9.00,6.00,1.00,2.00,6.00,201,NULL,212,'JARDIM BOA VISTA','LIMEIRA','SP',9558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096140,8.00,7.00,6.00,6.00,9.00,10.50,5.00,3.00,7.00,202,NULL,213,'DOM JOAQUIM','BRUSQUE','SC',1012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096158,3.00,5.00,1.00,5.00,3.00,8.25,2.00,0.00,2.00,303,NULL,NULL,'USINA','ANTÔNIO CARLOS','SC',20379,842,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096166,5.00,4.00,4.00,6.00,9.00,9.38,1.00,4.00,5.00,303,NULL,NULL,'CENTRO','LAGES','SC',6696,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6096174,4.00,5.00,3.00,3.00,5.00,7.13,3.00,7.00,5.00,238,NULL,213,'ARIRIU','PALHOÇA','SC',9925,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6096182,7.00,6.00,4.00,3.00,9.00,9.00,3.00,6.00,8.00,216,NULL,220,'VILA DUBUS','PRES PRUDENTE','SP',2832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALVORADA','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6096212,5.00,6.00,2.00,6.00,8.00,10.88,1.00,4.00,5.00,450,NULL,NULL,'VILA ROSSI','CAMPINAS','SP',6415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096220,7.00,6.00,4.00,4.00,9.00,9.75,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096239,3.00,0.00,2.00,2.00,4.00,9.38,1.00,0.00,1.00,302,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',21550,201,NULL,NULL,NULL,NULL,NULL,2,1),(25,6096247,4.00,6.00,4.00,2.00,4.00,6.38,1.00,0.00,4.00,216,NULL,NULL,'PATRONATO','STA MARIA','RS',17226,557,NULL,NULL,NULL,NULL,NULL,2,1),(25,6096255,2.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6096263,3.00,2.00,1.00,2.00,5.00,6.75,2.00,1.00,2.00,103,NULL,NULL,'FLOR','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6096271,7.00,0.00,6.00,2.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO PEDRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,17),(25,6096280,7.00,7.00,2.00,4.00,8.00,9.75,2.00,6.00,8.00,103,NULL,NULL,'CENTRO','PARANAGUÁ','PR',3521,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6096301,8.00,6.00,4.00,6.00,9.00,10.88,5.00,7.00,5.00,201,NULL,212,'BATEL','CURITIBA','PR',1496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096310,6.00,6.00,2.00,5.00,8.00,8.25,0.00,4.00,3.00,9,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10503,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6096328,7.00,5.00,1.00,4.00,9.00,9.00,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',8740,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6096344,7.00,4.00,3.00,3.00,5.00,9.75,2.00,6.00,5.00,220,NULL,235,'NOSSA SENHORA DE FÁT','PASSOS','MG',7207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096352,9.00,6.00,5.00,7.00,10.00,11.25,3.00,7.00,7.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',608,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6096360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PARAÍSO','CAPINÓPOLIS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6096387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6096395,2.00,6.00,1.00,2.00,5.00,9.75,1.00,1.00,4.00,426,NULL,428,'CENTRO','RIO NEGRO','PR',15739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'PLANALTO PARAISO','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6096417,3.00,3.00,2.00,3.00,1.00,NULL,3.00,1.00,1.00,208,NULL,207,'NOVA BRASILIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6096425,3.00,6.00,2.00,6.00,6.00,8.63,3.00,2.00,1.00,329,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',13455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096433,2.00,6.00,1.00,2.00,6.00,7.13,1.00,3.00,2.00,203,NULL,NULL,'VOSTARD','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6096441,2.00,3.00,3.00,4.00,8.00,9.00,3.00,5.00,2.00,404,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6096450,2.00,4.00,1.00,3.00,5.00,0.00,0.00,4.00,0.00,327,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6096468,2.00,3.00,2.00,0.00,4.00,NULL,0.00,0.00,3.00,238,NULL,201,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6096492,2.00,2.00,3.00,2.00,4.00,9.75,1.00,1.00,1.00,415,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',18745,307,NULL,NULL,NULL,NULL,NULL,2,1),(25,6096506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JARDIM ALGARVE','ALVORADA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6096514,8.00,6.00,7.00,5.00,8.00,10.50,4.00,8.00,5.00,201,NULL,214,'SANTOS DUMONT','S JOSÉ','SC',1520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096522,8.00,7.00,5.00,6.00,8.00,9.38,3.00,5.00,6.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',2192,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6096530,4.00,2.00,3.00,4.00,9.00,8.25,2.00,5.00,3.00,103,NULL,NULL,'MELO','BARRETOS','SP',10404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096557,6.00,6.00,5.00,6.00,8.00,8.63,1.00,1.00,4.00,211,NULL,238,'STO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC',8087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096565,4.00,3.00,2.00,3.00,8.00,10.88,1.00,3.00,1.00,423,NULL,425,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',14833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6096573,6.00,5.00,2.00,6.00,6.00,7.88,2.00,5.00,4.00,201,NULL,214,'PANTANAL','FLORIANÓPOLIS','SC',9469,749,NULL,243,NULL,NULL,NULL,4,1),(25,6096581,2.00,5.00,0.00,2.00,7.00,NULL,4.00,2.00,2.00,101,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6096590,6.00,3.00,3.00,5.00,8.00,7.88,2.00,5.00,3.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',9502,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6096603,1.00,5.00,1.00,7.00,2.00,NULL,2.00,4.00,5.00,235,NULL,202,'VILA A','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096611,4.00,2.00,2.00,2.00,5.00,NULL,0.00,2.00,2.00,104,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6096620,3.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6096638,8.00,6.00,3.00,7.00,9.00,9.00,5.00,7.00,8.00,303,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',1387,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6096646,5.00,5.00,1.00,3.00,8.00,7.88,2.00,4.00,3.00,238,NULL,208,'IRIRIU','JOINVILLE','SC',12768,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6096654,1.00,2.00,2.00,1.00,5.00,7.50,1.00,0.00,1.00,451,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096670,8.00,6.00,4.00,7.00,10.00,11.63,1.00,9.00,8.00,103,NULL,NULL,'CENTRO','TUPARENDI','RS',1023,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6096689,7.00,6.00,5.00,3.00,9.00,9.38,3.00,2.00,7.00,211,NULL,216,'PITUBA','SALVADOR','BA',4855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6096719,5.00,5.00,6.00,3.00,8.00,9.38,2.00,2.00,7.00,220,NULL,215,'CENTRO','NEPOMUCENO','MG',5364,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6096727,4.00,7.00,5.00,5.00,8.00,10.88,2.00,7.00,6.00,201,NULL,220,'FAZENDA STO ANTONIO','S JOSÉ','SC',3599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM RETIRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6096743,9.00,7.00,7.00,6.00,11.00,9.38,6.00,8.00,8.00,103,NULL,NULL,'MÊRCES','CURITIBA','PR',209,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6096751,8.00,6.00,8.00,7.00,10.00,10.88,7.00,6.00,9.00,103,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096760,6.00,4.00,1.00,7.00,7.00,9.75,1.00,6.00,5.00,216,NULL,233,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',8904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096778,3.00,6.00,0.00,2.00,7.00,7.88,3.00,0.00,2.00,5,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',19143,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6096786,2.00,2.00,1.00,5.00,8.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'ROSA MARIA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6096794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'JARDIM PANORAMA','BADY BASSITT','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6096808,7.00,7.00,1.00,6.00,7.00,9.38,4.00,7.00,3.00,333,NULL,NULL,'JUNQUEIRA','LINS','SP',5938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096824,3.00,5.00,3.00,2.00,6.00,7.50,2.00,4.00,1.00,453,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',18732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096832,2.00,5.00,2.00,3.00,6.00,6.75,3.00,3.00,2.00,202,NULL,220,'RIO MAINA','CRICIÚMA','SC',18848,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6096840,3.00,4.00,1.00,3.00,4.00,NULL,1.00,0.00,0.00,102,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6096859,9.00,6.00,7.00,8.00,10.00,12.00,6.00,7.00,7.00,103,NULL,NULL,'JARDIM ADRIANA','LONDRINA','PR',173,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6096867,4.00,6.00,3.00,7.00,9.00,10.13,3.00,4.00,4.00,9,NULL,NULL,'CHICO DE PAULA','JARAGUÁ SUL','SC',6146,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6096883,8.00,7.00,4.00,6.00,8.00,7.50,3.00,4.00,3.00,420,NULL,NULL,'CENTRO','LAGES','SC',5827,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6096891,8.00,6.00,3.00,8.00,9.00,9.00,4.00,6.00,3.00,201,NULL,207,'CENTRO','PALHOÇA','SC',3015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096913,6.00,6.00,2.00,3.00,5.00,6.75,2.00,5.00,1.00,601,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',12028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096930,9.00,8.00,8.00,7.00,10.00,9.00,6.00,9.00,8.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',19,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6096948,4.00,5.00,1.00,0.00,5.00,7.50,3.00,5.00,2.00,207,NULL,201,'AMÉRICA','JOINVILLE','SC',14487,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6096956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JD PROENÇA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6096964,8.00,7.00,5.00,3.00,8.00,8.25,2.00,5.00,6.00,103,NULL,NULL,'SÃO FRANCISCO','CPO ERÊ','SC',4361,2200,NULL,NULL,NULL,NULL,NULL,2,2),(25,6096972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6096980,3.00,6.00,4.00,6.00,7.00,10.50,3.00,3.00,3.00,452,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9013,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6096999,3.00,4.00,1.00,2.00,4.00,6.00,1.00,2.00,0.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',21535,539,NULL,600,NULL,NULL,NULL,4,1),(25,6097006,6.00,6.00,1.00,4.00,9.00,8.25,2.00,4.00,7.00,103,NULL,NULL,'JARDIM TROPICAL','BIRIGÜI','SP',6092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097014,3.00,3.00,2.00,2.00,5.00,6.38,3.00,2.00,2.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6097049,7.00,7.00,5.00,7.00,10.00,12.00,2.00,8.00,5.00,326,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',1192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097057,3.00,5.00,4.00,6.00,7.00,6.75,1.00,5.00,5.00,207,NULL,208,'GUATAMBU','PIEDADE','SP',8935,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6097065,3.00,4.00,3.00,6.00,8.00,7.13,0.00,1.00,3.00,220,NULL,235,'ÁGUA VERDE','JARAGUÁ SUL','SC',16695,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6097073,3.00,4.00,0.00,6.00,8.00,7.88,1.00,3.00,2.00,103,NULL,NULL,'JARDIM SABARA','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6097081,4.00,5.00,1.00,6.00,6.00,9.38,3.00,3.00,1.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',14142,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6097090,3.00,5.00,0.00,4.00,3.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6097103,7.00,8.00,3.00,8.00,10.00,13.88,4.00,8.00,7.00,304,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',325,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6097111,2.00,6.00,2.00,6.00,5.00,5.25,3.00,2.00,2.00,103,NULL,NULL,'SALTO','BLUMENAU','SC',16545,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6097120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CECÍLIA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6097138,0.00,4.00,3.00,5.00,6.00,NULL,0.00,3.00,3.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6097146,2.00,5.00,3.00,4.00,5.00,9.75,0.00,3.00,0.00,302,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',16286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097154,4.00,1.00,2.00,2.00,2.00,NULL,0.00,2.00,3.00,216,NULL,215,'DAS NAÇÕES','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6097162,4.00,6.00,6.00,4.00,6.00,6.75,0.00,5.00,5.00,216,NULL,NULL,'CENTRO','TERRA BOA','PR',8987,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6097170,8.00,7.00,6.00,5.00,10.00,9.38,4.00,7.00,7.00,103,NULL,NULL,'ALTO DA COLINA','LONDRINA','PR',1748,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6097189,3.00,4.00,1.00,4.00,9.00,6.38,0.00,5.00,2.00,203,NULL,601,'CENTRO','BRUSQUE','SC',13603,868,NULL,NULL,NULL,NULL,NULL,4,2),(25,6097197,5.00,3.00,3.00,4.00,6.00,7.13,0.00,3.00,3.00,301,NULL,NULL,'CAMPO DA ÁGUA VERDE','CANOINHAS','SC',14646,NULL,NULL,NULL,NULL,NULL,NULL,5,17),(25,6097200,5.00,6.00,3.00,5.00,5.00,8.63,1.00,5.00,2.00,303,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',11007,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6097219,5.00,7.00,2.00,5.00,6.00,7.13,4.00,6.00,2.00,201,NULL,208,'CENTRO','TUNÁPOLIS','SC',9628,772,NULL,NULL,NULL,NULL,NULL,2,1),(25,6097227,8.00,5.00,7.00,5.00,9.00,9.00,4.00,4.00,6.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',2420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097235,8.00,8.00,2.00,5.00,10.00,11.63,1.00,6.00,7.00,103,NULL,NULL,'VILLA BRANCA','JACAREÍ','SP',1607,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097243,4.00,3.00,3.00,2.00,7.00,7.88,1.00,1.00,3.00,103,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',15830,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6097251,9.00,9.00,6.00,7.00,10.00,11.25,3.00,7.00,9.00,103,NULL,NULL,'FAZENDINHA','CURITIBA','PR',226,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6097286,2.00,6.00,0.00,1.00,6.00,7.50,2.00,1.00,2.00,415,NULL,NULL,'ITINGA','ARAQUARI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6097308,4.00,6.00,6.00,7.00,5.00,8.63,3.00,6.00,7.00,5,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',4796,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6097316,6.00,6.00,1.00,5.00,8.00,7.88,0.00,2.00,4.00,211,NULL,215,'VILA IPOJUCA','S PAULO','SP',11289,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6097332,3.00,4.00,1.00,3.00,7.00,9.75,1.00,4.00,1.00,303,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',18452,788,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097340,9.00,8.00,7.00,6.00,10.00,9.75,3.00,8.00,7.00,103,NULL,NULL,'POPULAR','LAGES','SC',318,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6097359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6097375,9.00,4.00,3.00,7.00,9.00,10.13,2.00,8.00,6.00,319,NULL,NULL,'SÃO MARCOS','JOINVILLE','SC',2347,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(25,6097383,9.00,7.00,6.00,7.00,9.00,10.50,5.00,8.00,9.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097391,4.00,5.00,2.00,5.00,7.00,5.25,3.00,4.00,2.00,104,NULL,NULL,'VILA NOVA','LAGES','SC',16862,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6097405,2.00,6.00,0.00,2.00,3.00,5.25,0.00,4.00,0.00,653,NULL,NULL,'LAGOA DA SERRA','ARARANGUÁ','SC',20254,220,NULL,NULL,NULL,NULL,NULL,4,15),(25,6097413,2.00,4.00,1.00,3.00,5.00,4.50,0.00,2.00,4.00,319,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',21269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097421,3.00,6.00,3.00,6.00,5.00,6.38,1.00,4.00,3.00,238,NULL,NULL,'PROSPERA','CRICIÚMA','SC',13982,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6097430,5.00,6.00,2.00,5.00,6.00,8.25,5.00,5.00,5.00,420,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',8561,58,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097448,5.00,5.00,2.00,4.00,8.00,9.00,0.00,3.00,4.00,316,NULL,NULL,'JAGUARIBE','OSASCO','SP',10096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097456,4.00,4.00,1.00,2.00,4.00,8.25,1.00,5.00,0.00,5,NULL,NULL,'NS LOURDES','CAMPOS NOVOS','SC',20266,688,NULL,NULL,NULL,NULL,NULL,2,7),(25,6097464,2.00,2.00,0.00,2.00,3.00,NULL,1.00,1.00,0.00,104,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6097472,6.00,4.00,3.00,6.00,8.00,8.25,0.00,6.00,5.00,207,NULL,201,'JARDIM UNIVERSITARIO','MARINGÁ','PR',6113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097480,5.00,6.00,3.00,5.00,7.00,9.75,1.00,2.00,3.00,201,NULL,207,'PINHEIROS','S PAULO','SP',10196,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6097502,5.00,4.00,1.00,1.00,7.00,7.13,1.00,3.00,0.00,415,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097510,4.00,4.00,3.00,4.00,8.00,8.25,4.00,5.00,6.00,2,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',8492,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6097529,5.00,6.00,4.00,4.00,5.00,6.75,2.00,1.00,6.00,103,NULL,NULL,'APARECIDA','ABELARDO LUZ','SC',9300,3442,NULL,NULL,NULL,NULL,NULL,4,4),(25,6097537,4.00,4.00,2.00,3.00,5.00,6.75,2.00,4.00,1.00,101,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',17471,107,NULL,NULL,NULL,NULL,NULL,2,1),(25,6097553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRAL PARK','VESPASIANO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6097561,8.00,7.00,3.00,4.00,9.00,10.88,3.00,6.00,9.00,103,NULL,NULL,'CENTRO','CIDADE GAÚCHA','PR',2325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6097570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'GRAJAÚ','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6097588,6.00,5.00,4.00,6.00,6.00,6.00,2.00,6.00,5.00,303,NULL,NULL,'CENTRO','CANOINHAS','SC',7136,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6097596,7.00,7.00,4.00,7.00,8.00,7.50,1.00,5.00,8.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',3184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097618,5.00,7.00,4.00,6.00,6.00,10.13,1.00,6.00,5.00,214,NULL,233,'SALTO','BLUMENAU','SC',5301,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6097626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6097634,6.00,8.00,1.00,6.00,7.00,10.50,1.00,5.00,6.00,207,NULL,NULL,'CENTRO','LGA VERMELHA','RS',4642,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6097642,5.00,4.00,2.00,6.00,8.00,8.63,3.00,3.00,4.00,450,NULL,NULL,'SANTA PAULA','S CAETANO SUL','SP',8500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097669,5.00,4.00,0.00,4.00,8.00,8.63,3.00,1.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097677,4.00,6.00,3.00,5.00,6.00,8.25,3.00,4.00,2.00,601,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',13591,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6097685,9.00,7.00,7.00,8.00,10.00,10.88,6.00,7.00,9.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',77,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','ITAPEVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6097707,3.00,0.00,2.00,0.00,2.00,NULL,2.00,0.00,0.00,333,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6097715,3.00,3.00,2.00,2.00,7.00,7.88,2.00,4.00,4.00,319,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6097723,6.00,4.00,1.00,4.00,6.00,7.50,1.00,6.00,6.00,999,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6097731,3.00,4.00,2.00,5.00,10.00,6.75,0.00,5.00,4.00,211,NULL,233,'CAMPECHE','FLORIANÓPOLIS','SC',11292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','JACAREZINHO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6097758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6097766,3.00,7.00,2.00,5.00,5.00,8.63,0.00,4.00,2.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',14086,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6097774,6.00,5.00,4.00,6.00,6.00,8.25,3.00,5.00,5.00,202,NULL,213,'SERRARIA','S JOSÉ','SC',8514,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6097782,4.00,5.00,3.00,3.00,5.00,9.75,1.00,4.00,6.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',10554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097790,2.00,3.00,2.00,1.00,5.00,7.13,2.00,0.00,3.00,9,NULL,NULL,'CENTRO','MASSARANDUBA','SC',18964,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6097804,7.00,5.00,3.00,4.00,9.00,10.50,2.00,8.00,6.00,103,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',5270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097812,6.00,5.00,3.00,2.00,5.00,6.00,1.00,6.00,5.00,335,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',12571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6097820,7.00,5.00,3.00,4.00,9.00,8.63,3.00,7.00,7.00,216,NULL,201,'CENTRO','RONDONÓPOLIS','MT',3865,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6097839,4.00,6.00,2.00,4.00,8.00,7.50,0.00,7.00,3.00,303,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',12275,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6097847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'VILA CORREA','FERRAZ VASCONCELOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6097855,6.00,5.00,3.00,6.00,8.00,9.38,1.00,6.00,5.00,103,NULL,NULL,'CAPAO DA IMBUIA','CURITIBA','PR',3099,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6097863,4.00,5.00,2.00,5.00,4.00,NULL,3.00,1.00,0.00,108,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097871,7.00,7.00,3.00,4.00,8.00,12.00,2.00,5.00,5.00,201,NULL,202,'POTECAS','S JOSÉ','SC',4984,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6097880,5.00,5.00,3.00,7.00,7.00,9.38,2.00,4.00,4.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6904,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6097898,4.00,5.00,2.00,5.00,6.00,NULL,2.00,0.00,0.00,601,NULL,202,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6097901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','PTE SERRADA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6097910,7.00,7.00,2.00,5.00,6.00,8.63,0.00,5.00,9.00,216,NULL,233,'VILA REZENDE','PIRACICABA','SP',4785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097936,8.00,7.00,4.00,6.00,8.00,10.88,4.00,9.00,6.00,103,NULL,NULL,'MORRO VERMELHO','MOGI MIRIM','SP',1999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6097944,9.00,6.00,3.00,6.00,8.00,9.75,1.00,7.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',2802,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6097952,3.00,4.00,2.00,5.00,6.00,8.25,1.00,3.00,3.00,207,NULL,211,'PIO CORREA','CRICIÚMA','SC',12482,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6097960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6097979,3.00,3.00,0.00,4.00,5.00,NULL,1.00,0.00,1.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6097987,3.00,4.00,1.00,5.00,6.00,8.25,2.00,4.00,2.00,211,NULL,233,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6097995,1.00,2.00,2.00,1.00,3.00,5.25,2.00,2.00,0.00,5,NULL,NULL,'RONDINHA','PTE ALTA NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6098002,5.00,3.00,0.00,2.00,6.00,10.50,0.00,2.00,4.00,103,NULL,NULL,'JOÃO COSTA','JOINVILLE','SC',15286,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6098010,6.00,4.00,3.00,7.00,8.00,8.63,0.00,4.00,4.00,333,NULL,NULL,'CENTRO','ROLÂNDIA','PR',9081,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6098029,5.00,7.00,7.00,7.00,7.00,11.63,2.00,7.00,6.00,425,NULL,429,'CAMPINAS','S JOSÉ','SC',2816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098037,8.00,7.00,7.00,7.00,9.00,8.63,8.00,8.00,7.00,203,NULL,220,'JD ESTRELA','FOZ IGUAÇU','PR',105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098045,8.00,6.00,2.00,7.00,8.00,9.00,3.00,5.00,5.00,220,NULL,203,'VORSTADT','BLUMENAU','SC',4653,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6098070,2.00,4.00,1.00,4.00,3.00,NULL,3.00,1.00,0.00,601,NULL,216,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6098096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MEDIANEIRA','FARROUPILHA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6098100,6.00,6.00,7.00,7.00,9.00,10.13,2.00,8.00,7.00,201,NULL,212,'AGRONOMICA','FLORIANÓPOLIS','SC',1201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','RIO B IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6098142,8.00,6.00,4.00,5.00,6.00,6.00,3.00,6.00,6.00,201,NULL,212,'JOÃO PAULO','FLORIANÓPOLIS','SC',4524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098150,4.00,2.00,1.00,5.00,3.00,7.88,0.00,1.00,0.00,104,NULL,NULL,'FAXINAL','MAFRA','SC',19715,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6098169,7.00,5.00,3.00,6.00,10.00,6.75,3.00,5.00,6.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098177,7.00,7.00,6.00,6.00,8.00,9.00,4.00,7.00,8.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',1532,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6098193,2.00,2.00,3.00,3.00,5.00,7.50,1.00,4.00,4.00,319,NULL,NULL,'ESTADOS','BAL CAMBORIÚ','SC',19350,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6098215,6.00,6.00,1.00,2.00,3.00,9.75,2.00,5.00,3.00,203,NULL,233,'VILA FORMOSA','S PAULO','SP',9804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098223,4.00,4.00,0.00,3.00,5.00,4.88,1.00,6.00,1.00,238,NULL,208,'SERTÃO DO MARUIM','S JOSÉ','SC',17420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6098231,1.00,3.00,0.00,4.00,7.00,NULL,0.00,0.00,1.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098240,3.00,5.00,2.00,5.00,8.00,10.13,4.00,5.00,2.00,104,NULL,NULL,'CENTRO','LAURENTINO','SC',9097,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6098258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6098266,7.00,6.00,7.00,6.00,8.00,10.13,7.00,8.00,9.00,202,NULL,220,'JARDIM','CUNHA PORÃ','SC',341,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6098282,4.00,3.00,2.00,1.00,4.00,6.00,2.00,2.00,3.00,601,NULL,203,'IPIRANGA','LAGES','SC',17691,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6098290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'PONTA DA BARRA','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6098304,5.00,0.00,2.00,6.00,8.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6098312,7.00,6.00,1.00,6.00,9.00,9.75,0.00,3.00,5.00,5,NULL,NULL,'JARDIM PREVIDENCIA','S PAULO','SP',5185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098339,3.00,3.00,2.00,3.00,6.00,9.00,3.00,6.00,1.00,304,NULL,NULL,'BOM CLIMA','GUARULHOS','SP',12867,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6098347,2.00,1.00,3.00,5.00,7.00,7.50,0.00,2.00,4.00,238,NULL,601,'BARREIROS','S JOSÉ','SC',17527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098355,6.00,6.00,4.00,6.00,9.00,8.25,3.00,8.00,2.00,203,NULL,220,'CAMPINAS','S JOSÉ','SC',6094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098363,6.00,4.00,4.00,7.00,9.00,9.00,2.00,4.00,5.00,207,NULL,201,'CENTRO','GUARATUBA','PR',5495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6098398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','S JOÃO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6098401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PINHEIRINHO','ITAJUBÁ','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6098410,4.00,5.00,0.00,5.00,10.00,9.38,1.00,3.00,5.00,425,NULL,429,'CENTRO','CRUZ ALTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6098428,2.00,3.00,2.00,2.00,2.00,NULL,0.00,0.00,2.00,453,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098436,5.00,3.00,5.00,5.00,6.00,10.88,1.00,2.00,3.00,211,NULL,201,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',13303,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6098444,8.00,6.00,5.00,7.00,9.00,9.38,4.00,6.00,8.00,103,NULL,NULL,'SANTA QUITÉRIA','CURITIBA','PR',805,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6098452,7.00,7.00,6.00,6.00,6.00,10.50,4.00,7.00,6.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',2464,1481,NULL,NULL,NULL,NULL,NULL,2,1),(25,6098460,3.00,5.00,0.00,1.00,4.00,3.38,1.00,2.00,2.00,203,NULL,202,'COSTA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6098479,0.00,5.00,1.00,3.00,8.00,NULL,3.00,7.00,4.00,601,NULL,220,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6098495,7.00,6.00,5.00,7.00,7.00,9.38,2.00,3.00,5.00,103,NULL,NULL,'MOINHOS','LAJEADO','RS',3616,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6098509,5.00,3.00,4.00,3.00,5.00,NULL,0.00,2.00,1.00,303,NULL,NULL,'NOSSA S APARECIDA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6098517,5.00,4.00,0.00,7.00,7.00,NULL,2.00,1.00,6.00,103,NULL,NULL,'JARDIM PAULISTA','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6098525,2.00,2.00,0.00,1.00,4.00,5.25,1.00,1.00,1.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6098533,7.00,6.00,4.00,8.00,8.00,10.50,3.00,7.00,6.00,103,NULL,NULL,'SANATO INÁCIO','CURITIBA','PR',2064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098550,6.00,5.00,3.00,7.00,10.00,11.63,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098568,7.00,7.00,3.00,6.00,10.00,11.25,3.00,7.00,7.00,103,NULL,NULL,'VILA JARDINI','SOROCABA','SP',1650,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6098576,9.00,6.00,6.00,4.00,9.00,9.00,5.00,6.00,9.00,103,NULL,NULL,'CAIÇARAS','LONDRINA','PR',950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6098584,4.00,4.00,2.00,4.00,8.00,10.13,1.00,3.00,4.00,999,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6098592,9.00,6.00,7.00,3.00,7.00,9.38,1.00,6.00,7.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',3428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6098606,3.00,3.00,2.00,3.00,5.00,8.63,0.00,2.00,1.00,501,NULL,NULL,'SANTA MARIA','S BONIFÁCIO','SC',18456,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6098622,7.00,5.00,5.00,6.00,8.00,11.25,3.00,7.00,6.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',2520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098630,6.00,6.00,5.00,6.00,7.00,10.88,3.00,8.00,7.00,103,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',2186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098649,5.00,4.00,3.00,4.00,3.00,8.63,1.00,3.00,3.00,104,NULL,NULL,'CENTRO','LGA VERMELHA','RS',16055,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6098657,4.00,5.00,4.00,4.00,7.00,8.63,1.00,5.00,2.00,652,NULL,208,'SANGÃO','CRICIÚMA','SC',11979,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6098665,6.00,6.00,2.00,6.00,10.00,7.50,2.00,3.00,3.00,5,NULL,NULL,'DAS DAMAS','URUSSANGA','SC',11423,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6098673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'LIMEIRA','POUSO ALEGRE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6098681,5.00,5.00,3.00,3.00,8.00,8.63,0.00,4.00,5.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',9708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098690,7.00,7.00,6.00,7.00,9.00,9.75,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','ARAPONGAS','PR',1905,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6098703,8.00,6.00,4.00,7.00,8.00,10.50,2.00,7.00,7.00,103,NULL,NULL,'VILA ALZIRA','STO ANDRÉ','SP',2385,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6098720,6.00,3.00,3.00,6.00,6.00,8.63,2.00,5.00,3.00,999,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098738,6.00,4.00,2.00,4.00,8.00,10.13,1.00,5.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098746,7.00,7.00,5.00,6.00,8.00,10.13,1.00,8.00,6.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',2257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098754,2.00,3.00,0.00,3.00,3.00,4.88,1.00,3.00,1.00,104,NULL,NULL,'WRONSKI','DESCANSO','SC',20807,579,NULL,NULL,NULL,NULL,NULL,2,1),(25,6098762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMÉRICA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6098789,6.00,6.00,4.00,3.00,8.00,10.13,1.00,4.00,6.00,103,NULL,NULL,'SETOR UNIVERSITÁRIO','GOIÂNIA','GO',4896,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6098797,7.00,8.00,5.00,6.00,9.00,7.13,1.00,5.00,4.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098800,4.00,7.00,2.00,5.00,7.00,6.75,1.00,5.00,7.00,211,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',8700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6098827,6.00,5.00,1.00,4.00,5.00,8.25,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',11716,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6098835,6.00,6.00,2.00,5.00,7.00,10.88,2.00,7.00,4.00,207,NULL,601,'CENTRO','ITAJAÍ','SC',5381,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6098843,2.00,5.00,3.00,5.00,6.00,8.25,3.00,4.00,4.00,317,NULL,NULL,'POÇO FUNDO','STO AMARO IMPERATRIZ','SC',14341,63,NULL,NULL,NULL,NULL,NULL,2,1),(25,6098851,2.00,3.00,0.00,4.00,5.00,NULL,2.00,2.00,1.00,9,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6098860,7.00,6.00,3.00,6.00,8.00,9.00,4.00,6.00,7.00,103,NULL,NULL,'FREGUESIA DO Ó','S PAULO','SP',2771,1613,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098886,1.00,6.00,0.00,2.00,3.00,NULL,3.00,4.00,1.00,108,NULL,NULL,'GLÓRIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6098894,5.00,4.00,2.00,4.00,4.00,8.25,1.00,6.00,3.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',13544,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6098908,3.00,4.00,2.00,3.00,7.00,8.63,0.00,2.00,1.00,109,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',16889,88,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098940,3.00,5.00,0.00,5.00,6.00,8.63,0.00,6.00,4.00,103,NULL,NULL,'NOVA BRASÍLIA','JOINVILLE','SC',10543,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6098959,3.00,5.00,0.00,7.00,7.00,6.00,1.00,2.00,1.00,337,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',19310,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6098967,4.00,4.00,0.00,3.00,6.00,8.25,2.00,4.00,1.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6098975,6.00,7.00,5.00,6.00,10.00,9.00,2.00,5.00,7.00,103,NULL,NULL,'JARDIM AMÉRICA','PNT GROSSA','PR',2820,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6098983,3.00,4.00,0.00,2.00,5.00,NULL,0.00,1.00,1.00,9,NULL,NULL,'DONA WANDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6098991,6.00,6.00,4.00,5.00,8.00,7.13,1.00,5.00,5.00,235,NULL,208,'FLOR DE NAPOLIS','S JOSÉ','SC',9992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6099009,3.00,5.00,1.00,4.00,8.00,7.88,2.00,1.00,2.00,654,NULL,NULL,'GÁVEA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6099017,4.00,5.00,3.00,6.00,8.00,9.38,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',8762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6099050,2.00,4.00,3.00,3.00,6.00,NULL,0.00,3.00,3.00,302,NULL,NULL,'CALHEIROS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6099076,7.00,7.00,4.00,5.00,9.00,8.63,2.00,4.00,4.00,103,NULL,NULL,'JARDIM PIRATININGA','LIMEIRA','SP',4827,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6099084,2.00,3.00,1.00,3.00,5.00,9.00,1.00,1.00,1.00,103,NULL,NULL,'CENTRO','TAIÓ','SC',19492,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6099092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6099106,8.00,8.00,4.00,6.00,9.00,8.25,5.00,8.00,6.00,301,NULL,NULL,'CENTRO','GASPAR','SC',2358,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6099114,2.00,3.00,1.00,3.00,3.00,8.25,0.00,0.00,2.00,103,NULL,NULL,'ARIRIU','PALHOÇA','SC',21618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6099130,1.00,4.00,1.00,4.00,7.00,9.00,0.00,2.00,0.00,317,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',17955,136,NULL,NULL,NULL,NULL,NULL,2,1),(25,6099157,5.00,3.00,2.00,4.00,9.00,8.25,2.00,1.00,2.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',13921,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6099165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6099173,6.00,5.00,7.00,6.00,8.00,8.63,3.00,7.00,5.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',3935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6099181,2.00,4.00,0.00,6.00,4.00,NULL,0.00,2.00,1.00,104,NULL,NULL,'CENTRO','TAIÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6099190,7.00,7.00,7.00,7.00,9.00,9.38,6.00,8.00,8.00,216,NULL,202,'TRINTA RÉIS','NOVA TRENTO','SC',643,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6099203,4.00,4.00,1.00,3.00,10.00,9.38,1.00,6.00,4.00,211,NULL,216,'SÃO VICENTE','HERVAL D OESTE','SC',12310,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6099238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,208,'ZONA SEIS','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6099246,6.00,5.00,3.00,5.00,6.00,7.88,1.00,6.00,5.00,216,NULL,211,'SANTO ANTÔNIO','CONCÓRDIA','SC',10345,375,NULL,252,NULL,NULL,NULL,5,4),(25,6099254,1.00,3.00,1.00,2.00,2.00,NULL,4.00,1.00,5.00,551,NULL,NULL,'NUCLEO TRITICOLA','FR ROGÉRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6099262,2.00,5.00,4.00,6.00,7.00,9.00,0.00,2.00,3.00,220,NULL,203,'ITOUPAVA CENTRAL','BLUMENAU','SC',11968,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6099270,3.00,6.00,1.00,7.00,7.00,8.63,1.00,4.00,3.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10991,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6099289,2.00,3.00,1.00,2.00,4.00,7.50,2.00,1.00,4.00,103,NULL,NULL,'CENTRO','GUARACIABA','SC',19865,4674,NULL,NULL,NULL,NULL,NULL,4,4),(25,6099297,7.00,3.00,3.00,4.00,7.00,7.13,4.00,2.00,2.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6099300,9.00,7.00,5.00,5.00,8.00,8.63,4.00,8.00,8.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',1293,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6099319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6099327,7.00,5.00,5.00,6.00,5.00,9.00,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',4069,2103,NULL,NULL,NULL,NULL,NULL,4,4),(25,6099335,3.00,5.00,1.00,5.00,6.00,8.25,2.00,2.00,2.00,207,NULL,238,'SÃO LUIZ','S JOSÉ','SC',15243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6099343,3.00,5.00,0.00,3.00,3.00,7.13,0.00,1.00,2.00,103,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',18791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6099351,6.00,8.00,2.00,7.00,10.00,9.00,2.00,8.00,6.00,303,NULL,NULL,'MALHADO','ILHÉUS','BA',2129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6099360,4.00,5.00,4.00,6.00,6.00,10.13,2.00,6.00,6.00,201,NULL,NULL,'SANTO INÁCIO','CURITIBA','PR',4332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6099378,3.00,4.00,3.00,4.00,5.00,8.25,1.00,4.00,4.00,207,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',16452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6099394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6099408,6.00,7.00,5.00,5.00,8.00,8.25,3.00,6.00,5.00,235,NULL,655,'MARIA CEU','CRICIÚMA','SC',4778,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6099416,7.00,6.00,3.00,7.00,9.00,9.00,6.00,4.00,5.00,238,NULL,208,'ASILO','BLUMENAU','SC',2701,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6099440,2.00,4.00,4.00,2.00,4.00,7.13,2.00,4.00,4.00,220,NULL,203,'VISTA ALEGRE','MAFRA','SC',14668,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6099459,2.00,4.00,3.00,3.00,3.00,NULL,0.00,4.00,5.00,208,NULL,235,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6099475,4.00,6.00,2.00,7.00,8.00,7.88,0.00,3.00,5.00,601,NULL,212,'VILA GUARANI','S PAULO','SP',8126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6099483,5.00,7.00,3.00,7.00,9.00,8.63,2.00,5.00,4.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',4481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6099491,4.00,9.00,0.00,6.00,7.00,9.75,2.00,7.00,0.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10745,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6099505,4.00,4.00,3.00,3.00,2.00,NULL,1.00,2.00,0.00,201,NULL,203,'CLUBEGI','PALMAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6099513,3.00,3.00,1.00,2.00,5.00,NULL,1.00,0.00,4.00,103,NULL,NULL,'CAMPO DA ÁGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,17),(25,6099530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ALTO DO CRISTO','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6099564,6.00,5.00,2.00,5.00,7.00,6.00,3.00,1.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',8626,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6099572,0.00,2.00,3.00,2.00,7.00,8.25,3.00,1.00,5.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',18035,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6099580,4.00,3.00,1.00,3.00,6.00,8.63,2.00,1.00,1.00,108,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',16617,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6099610,6.00,5.00,2.00,6.00,9.00,10.13,4.00,2.00,4.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6099629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SAN MARINO','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6099637,6.00,8.00,3.00,5.00,8.00,11.25,2.00,5.00,6.00,216,NULL,NULL,'FLORESTA','JOINVILLE','SC',3495,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6099645,5.00,6.00,2.00,4.00,8.00,8.63,0.00,4.00,6.00,103,NULL,NULL,'CENTRO','HONÓRIO SERPA','PR',11277,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6099653,4.00,4.00,2.00,3.00,7.00,5.63,2.00,2.00,0.00,303,NULL,NULL,'FLORESTA','S JOSÉ','SC',17234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6099661,5.00,7.00,2.00,7.00,9.00,10.50,5.00,7.00,4.00,303,NULL,NULL,'CENTRO','ITAJAÍ','SC',3256,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6099696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'ESTRADA DAS AREIAS','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6099700,8.00,7.00,6.00,6.00,11.00,9.38,3.00,7.00,8.00,103,NULL,NULL,'GLÓRIA','PTO ALEGRE','RS',591,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6099718,5.00,7.00,2.00,4.00,7.00,7.88,3.00,5.00,5.00,338,NULL,NULL,'BARREIROS','S JOSÉ','SC',11045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6099726,3.00,7.00,1.00,4.00,7.00,9.00,2.00,3.00,1.00,103,NULL,NULL,'MAGALHÃES','LAGUNA','SC',11764,3831,NULL,NULL,NULL,NULL,NULL,2,10),(25,6099742,6.00,4.00,4.00,7.00,6.00,9.75,3.00,7.00,5.00,201,NULL,202,'CENTRO','VERA C OESTE','PR',5512,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6099750,7.00,6.00,4.00,4.00,7.00,9.38,3.00,6.00,7.00,601,NULL,203,'SAGUAÇU','JOINVILLE','SC',3132,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6099769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6099777,0.00,1.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6099785,2.00,5.00,0.00,4.00,6.00,8.63,0.00,4.00,1.00,108,NULL,NULL,'SANTO ANTÔNIO','CONCÓRDIA','SC',16329,239,NULL,NULL,NULL,NULL,NULL,2,7),(25,6099793,2.00,2.00,1.00,3.00,3.00,NULL,0.00,2.00,0.00,319,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6099807,4.00,6.00,1.00,7.00,10.00,12.38,0.00,5.00,2.00,103,NULL,NULL,'BELA VISTA','GASPAR','SC',7437,3049,NULL,NULL,NULL,NULL,NULL,4,2),(25,6099815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6099823,3.00,3.00,2.00,3.00,4.00,7.13,1.00,3.00,1.00,224,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',21112,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6099858,3.00,6.00,5.00,6.00,7.00,6.75,5.00,4.00,4.00,2,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',7165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6099866,7.00,7.00,6.00,5.00,7.00,9.75,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',2023,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6099874,4.00,6.00,5.00,4.00,3.00,9.38,1.00,1.00,4.00,318,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14509,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6099882,9.00,6.00,5.00,6.00,8.00,9.38,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','MARCELINO RAMOS','RS',1940,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6099890,6.00,3.00,0.00,6.00,6.00,6.38,2.00,1.00,2.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',17345,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6099904,3.00,3.00,1.00,5.00,6.00,8.25,3.00,1.00,1.00,429,NULL,425,'CENTRO','CANOAS','RS',18296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6099912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6099920,7.00,3.00,3.00,6.00,8.00,10.88,1.00,1.00,8.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',6343,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6099939,4.00,5.00,4.00,4.00,5.00,NULL,0.00,1.00,2.00,999,NULL,NULL,'ZONA RURAL','OURO VERDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(25,6099947,4.00,5.00,2.00,6.00,7.00,9.38,1.00,2.00,5.00,319,NULL,NULL,'MENINO DEUS','PATO BRANCO','PR',9417,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6099955,8.00,7.00,7.00,7.00,9.00,11.63,3.00,8.00,8.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6099963,7.00,4.00,7.00,5.00,7.00,9.75,4.00,2.00,7.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',2692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6099998,2.00,2.00,1.00,3.00,3.00,6.38,0.00,0.00,0.00,201,NULL,207,'MARAFON','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6100007,7.00,8.00,4.00,5.00,8.00,9.38,2.00,3.00,7.00,201,NULL,235,'AGUA VERDE','CURITIBA','PR',4751,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6100015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'BONSUCESSO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6100031,1.00,6.00,1.00,2.00,4.00,8.25,1.00,3.00,3.00,654,NULL,NULL,'CENTRO','TORRES','RS',20352,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6100040,2.00,4.00,3.00,4.00,7.00,7.50,0.00,3.00,1.00,203,NULL,235,'BARREIROS','S JOSÉ','SC',19333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6100058,5.00,2.00,3.00,6.00,8.00,5.63,2.00,3.00,3.00,103,NULL,NULL,'ESPERANÇA','ERECHIM','RS',17080,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6100066,6.00,7.00,1.00,4.00,5.00,5.25,3.00,4.00,8.00,212,NULL,201,'BOQUEIRÃO','SANTOS','SP',7628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,425,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6100082,4.00,5.00,1.00,6.00,7.00,8.63,3.00,2.00,5.00,201,NULL,212,'PRAIA COMPRIDA','S JOSÉ','SC',11982,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6100090,2.00,5.00,4.00,3.00,7.00,7.50,0.00,1.00,3.00,319,NULL,NULL,'SÃO PEDRO','PTO UNIÃO','SC',15300,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6100104,5.00,6.00,3.00,6.00,7.00,8.63,0.00,3.00,2.00,201,NULL,207,'ALTO ARIRIÚ','PALHOÇA','SC',11190,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6100112,7.00,8.00,4.00,6.00,7.00,10.88,1.00,6.00,6.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',3689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100120,1.00,6.00,1.00,5.00,10.00,7.50,1.00,4.00,3.00,216,NULL,211,'FURNAS','SOMBRIO','SC',12667,443,NULL,331,NULL,NULL,NULL,2,15),(25,6100139,3.00,6.00,2.00,3.00,5.00,6.75,2.00,4.00,2.00,301,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',16872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100155,2.00,6.00,2.00,0.00,7.00,10.13,2.00,1.00,2.00,551,NULL,NULL,'N SENHORA APARECIDA','CURITIBANOS','SC',18989,40,NULL,NULL,NULL,NULL,NULL,4,16),(25,6100163,2.00,2.00,1.00,4.00,7.00,9.75,4.00,2.00,4.00,103,NULL,NULL,'CARNIEL','GRAMADO','RS',14751,4199,NULL,NULL,NULL,NULL,NULL,2,1),(25,6100171,5.00,8.00,6.00,4.00,7.00,9.38,4.00,3.00,7.00,201,NULL,207,'LINDÓIA','CURITIBA','PR',3787,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6100180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'FAZENDA BELEM','FRANCO ROCHA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6100198,2.00,4.00,0.00,2.00,2.00,NULL,1.00,3.00,0.00,203,NULL,214,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100201,3.00,6.00,1.00,6.00,8.00,8.63,2.00,6.00,5.00,415,NULL,NULL,'VIGILATO PEREIRA','UBERLÂNDIA','MG',6429,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100210,4.00,5.00,2.00,4.00,8.00,9.00,1.00,5.00,2.00,201,NULL,235,'BARRA DO ARIRIÚ','PALHOÇA','SC',14603,1242,NULL,347,NULL,NULL,NULL,2,1),(25,6100228,7.00,7.00,3.00,6.00,9.00,9.75,2.00,5.00,5.00,328,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',5181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100236,1.00,5.00,0.00,3.00,7.00,NULL,3.00,5.00,1.00,310,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6100244,5.00,4.00,0.00,3.00,6.00,10.50,1.00,4.00,2.00,317,NULL,NULL,'NOSSA SENHORA DA SAL','CRICIÚMA','SC',13772,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6100252,5.00,4.00,5.00,6.00,8.00,8.25,2.00,8.00,4.00,319,NULL,NULL,'BOA VISTA','CURITIBA','PR',8109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6100260,7.00,7.00,2.00,4.00,5.00,8.63,1.00,4.00,6.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',10303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100279,4.00,4.00,5.00,2.00,3.00,0.00,1.00,3.00,1.00,207,NULL,201,'ENSEADA DO BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100287,3.00,4.00,3.00,4.00,6.00,10.13,2.00,3.00,3.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15264,64,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100295,2.00,3.00,0.00,3.00,3.00,8.25,2.00,3.00,2.00,551,NULL,NULL,'VILA NOVA','PTE ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6100309,6.00,7.00,5.00,4.00,9.00,9.38,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','MARIÓPOLIS','PR',1574,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6100317,8.00,5.00,3.00,6.00,9.00,11.63,3.00,5.00,7.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',2746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100325,8.00,6.00,5.00,6.00,8.00,11.25,5.00,7.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100341,6.00,6.00,2.00,7.00,5.00,8.25,1.00,7.00,3.00,211,NULL,215,'CAPOEIRAS','FLORIANÓPOLIS','SC',8821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA OCIDENTAL','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6100384,3.00,2.00,0.00,5.00,9.00,9.38,1.00,1.00,4.00,601,NULL,216,'SANTANA','GUARAPUAVA','PR',14137,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6100406,9.00,8.00,6.00,6.00,9.00,8.25,5.00,5.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',1185,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6100414,2.00,4.00,2.00,2.00,7.00,8.25,3.00,2.00,1.00,208,NULL,238,'CENTRO','BAL CAMBORIÚ','SC',15719,359,NULL,329,NULL,NULL,NULL,4,3),(25,6100422,2.00,3.00,1.00,0.00,2.00,NULL,1.00,2.00,3.00,216,NULL,202,'GUARANI','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6100430,3.00,5.00,3.00,2.00,9.00,9.38,1.00,5.00,4.00,601,NULL,212,'IRIRIÚ','JOINVILLE','SC',10054,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6100449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','S JOÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6100457,6.00,6.00,7.00,6.00,8.00,9.38,2.00,6.00,6.00,211,NULL,235,'CONTA DINHEIRO','LAGES','SC',2945,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6100465,5.00,4.00,3.00,4.00,6.00,7.88,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',14970,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6100473,8.00,8.00,8.00,5.00,10.00,11.25,5.00,9.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',62,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6100481,4.00,4.00,1.00,1.00,7.00,8.63,0.00,4.00,2.00,103,NULL,NULL,'CENTRO','QUILOMBO','SC',19429,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6100490,5.00,5.00,3.00,5.00,10.00,9.75,2.00,6.00,5.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',7071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100503,5.00,7.00,5.00,7.00,7.00,7.88,3.00,4.00,7.00,202,NULL,233,'URUSSANGUINHA','ARARANGUÁ','SC',4667,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6100520,9.00,6.00,4.00,5.00,8.00,8.25,4.00,5.00,7.00,103,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',3539,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6100538,7.00,6.00,3.00,4.00,5.00,8.25,2.00,8.00,4.00,203,NULL,216,'CENTRO','JAGUARUNA','SC',6990,537,NULL,264,NULL,NULL,NULL,2,10),(25,6100546,2.00,5.00,1.00,0.00,5.00,8.63,0.00,1.00,0.00,332,NULL,NULL,'CAIEIRADABARRADO SUL','FLORIANÓPOLIS','SC',21273,62,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100554,8.00,7.00,4.00,4.00,8.00,7.13,5.00,7.00,8.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',2638,1560,NULL,NULL,NULL,NULL,NULL,2,1),(25,6100562,7.00,6.00,4.00,6.00,8.00,9.75,7.00,6.00,7.00,201,NULL,212,'CENTRO','ITAUÇU','GO',1115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100570,3.00,7.00,2.00,5.00,5.00,0.00,1.00,5.00,2.00,999,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,4),(25,6100589,4.00,4.00,3.00,4.00,10.00,4.50,2.00,4.00,2.00,216,NULL,233,'COQUEIRAL','CASCAVEL','PR',12189,434,NULL,330,NULL,NULL,NULL,4,6),(25,6100597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6100600,7.00,7.00,4.00,7.00,7.00,10.50,0.00,5.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100619,5.00,5.00,5.00,6.00,8.00,7.88,4.00,5.00,4.00,208,NULL,238,'PACHECO','PALHOÇA','SC',4555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100627,7.00,7.00,4.00,6.00,8.00,8.25,4.00,6.00,6.00,103,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',3204,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6100635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SANTANA','ESTAÇÃO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6100643,2.00,5.00,6.00,4.00,7.00,8.63,1.00,5.00,4.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100651,3.00,6.00,4.00,6.00,6.00,6.75,2.00,6.00,5.00,340,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',8297,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6100660,8.00,9.00,4.00,7.00,10.00,10.88,0.00,5.00,6.00,233,NULL,653,'SÃO PELEGRINO','CAXIAS SUL','RS',1605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100678,6.00,7.00,5.00,7.00,8.00,8.63,4.00,5.00,7.00,340,NULL,NULL,'FREI ROGERIO','LAGES','SC',2451,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6100686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6100694,3.00,5.00,2.00,5.00,7.00,6.38,2.00,5.00,3.00,327,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',16451,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6100708,9.00,8.00,4.00,5.00,8.00,7.50,4.00,8.00,8.00,103,NULL,NULL,'VILA FERRAZ','CAMPOS JORDÃO','SP',925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100716,7.00,6.00,3.00,6.00,9.00,9.75,4.00,8.00,7.00,201,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',1894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100724,7.00,4.00,6.00,5.00,7.00,9.75,1.00,3.00,6.00,211,NULL,216,'CENTRO','CANOINHAS','SC',5932,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6100732,7.00,7.00,2.00,5.00,8.00,9.75,1.00,2.00,1.00,201,NULL,233,'IBIRAQUERA','IMBITUBA','SC',12101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6100740,5.00,6.00,2.00,6.00,5.00,10.50,1.00,2.00,3.00,340,NULL,NULL,'CENTRO','SEGREDO','RS',11505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100767,3.00,3.00,1.00,4.00,7.00,6.75,2.00,1.00,1.00,5,NULL,NULL,'SANTANA','GUARAPUAVA','PR',16694,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6100775,2.00,5.00,0.00,3.00,7.00,8.63,1.00,2.00,1.00,207,NULL,212,'CENTRO','JOAÇABA','SC',16181,868,NULL,478,NULL,NULL,NULL,4,7),(25,6100783,9.00,7.00,6.00,5.00,8.00,9.75,3.00,7.00,6.00,103,NULL,NULL,'SANTA CRUZ','CASCAVEL','PR',1552,987,NULL,NULL,NULL,NULL,NULL,4,4),(25,6100791,3.00,4.00,2.00,3.00,8.00,7.88,1.00,3.00,2.00,238,NULL,233,'RIO GRANDE','PALHOÇA','SC',15089,299,NULL,390,NULL,NULL,NULL,2,1),(25,6100805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','PIRASSUNUNGA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6100813,5.00,5.00,2.00,4.00,5.00,6.00,1.00,5.00,5.00,203,NULL,220,'CENTRO','FRAIBURGO','SC',11557,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6100830,1.00,2.00,0.00,2.00,4.00,6.75,2.00,0.00,3.00,444,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100856,9.00,6.00,9.00,5.00,10.00,12.00,5.00,6.00,8.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',218,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6100864,2.00,3.00,0.00,1.00,3.00,6.38,1.00,1.00,2.00,103,NULL,NULL,'PRADO VELHO','CURITIBA','PR',21487,4788,NULL,NULL,NULL,NULL,NULL,2,8),(25,6100872,2.00,2.00,1.00,2.00,2.00,NULL,1.00,0.00,0.00,654,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6100899,5.00,6.00,1.00,1.00,6.00,10.13,1.00,4.00,2.00,104,NULL,NULL,'CENTRO','CÉU AZUL','PR',13914,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6100910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'STA TEREZA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6100937,1.00,5.00,0.00,2.00,6.00,NULL,1.00,2.00,0.00,415,NULL,NULL,'CENTRO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6100945,5.00,5.00,2.00,6.00,9.00,11.63,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',5485,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6100953,2.00,8.00,1.00,3.00,5.00,6.38,1.00,5.00,2.00,423,NULL,426,'TRINDADE','FLORIANÓPOLIS','SC',18290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6100961,4.00,5.00,0.00,2.00,6.00,7.13,1.00,2.00,1.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',18399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6100970,8.00,7.00,7.00,6.00,9.00,11.63,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','GUARAPUAVA','PR',242,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6100988,4.00,4.00,2.00,3.00,3.00,9.38,2.00,2.00,2.00,103,NULL,NULL,'NOVA SUIÇA','GOIÂNIA','GO',16440,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6100996,4.00,3.00,3.00,2.00,5.00,7.50,1.00,2.00,1.00,444,NULL,NULL,'ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC',19192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6101020,4.00,6.00,0.00,1.00,8.00,8.25,1.00,5.00,2.00,424,NULL,421,'VILA ANDRADE','S PAULO','SP',17002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101038,3.00,2.00,3.00,5.00,7.00,8.25,1.00,4.00,6.00,214,NULL,203,'JARDIM YOSHIDA','REGISTRO','SP',9318,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6101046,4.00,3.00,3.00,6.00,7.00,8.25,2.00,3.00,2.00,653,NULL,201,'GIRASSOL','GRAVATAÍ','RS',13155,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6101054,4.00,4.00,3.00,3.00,5.00,8.25,2.00,2.00,5.00,999,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101062,5.00,6.00,0.00,6.00,9.00,9.38,2.00,1.00,3.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',10949,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6101070,2.00,3.00,1.00,2.00,3.00,8.63,2.00,3.00,1.00,109,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6101089,4.00,4.00,1.00,4.00,5.00,9.75,0.00,2.00,3.00,103,NULL,NULL,'COLINA VERDE','SALTO LONTRA','PR',16706,4407,NULL,NULL,NULL,NULL,NULL,2,4),(25,6101119,3.00,6.00,1.00,5.00,8.00,8.25,0.00,5.00,3.00,333,NULL,NULL,'GETÚLIO VARGAS','TORRES','RS',10159,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6101127,3.00,4.00,2.00,5.00,6.00,7.13,1.00,4.00,0.00,655,NULL,653,'DIVINÉIA','ARARANGUÁ','SC',16792,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6101135,5.00,5.00,4.00,4.00,9.00,8.63,2.00,5.00,4.00,333,NULL,NULL,'CENTRO','TUBARÃO','SC',10209,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6101143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6101151,4.00,4.00,0.00,4.00,6.00,6.75,2.00,4.00,0.00,110,NULL,NULL,'CENTRO','CRICIÚMA','SC',15907,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6101160,7.00,8.00,6.00,4.00,10.00,7.50,4.00,8.00,6.00,653,NULL,601,'CENTRO','LAGES','SC',1778,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6101178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'SÃO LUIZ','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6101186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'INDIA','CANELINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6101208,0.00,2.00,1.00,0.00,2.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101216,2.00,5.00,1.00,2.00,4.00,6.00,2.00,1.00,2.00,211,NULL,652,'CENTRO','BAL CAMBORIÚ','SC',21245,563,NULL,111,NULL,NULL,NULL,2,3),(25,6101232,7.00,6.00,4.00,2.00,10.00,8.25,0.00,2.00,6.00,103,NULL,NULL,'VILA NOVO HORIZONTE','GOIÂNIA','GO',6331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101240,5.00,2.00,1.00,4.00,1.00,NULL,0.00,4.00,1.00,220,NULL,601,'MORRO GRANDE','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6101259,5.00,5.00,3.00,4.00,5.00,11.25,4.00,5.00,2.00,108,NULL,NULL,'ESTALEIRINHO','BAL CAMBORIÚ','SC',9341,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6101275,8.00,8.00,5.00,7.00,10.00,8.25,5.00,7.00,6.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',798,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6101283,3.00,3.00,1.00,3.00,2.00,NULL,2.00,4.00,4.00,215,NULL,233,'CAMPO DA ÁGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6101291,8.00,7.00,7.00,4.00,10.00,10.13,5.00,9.00,9.00,103,NULL,NULL,'ITAIPAVA','ITAJAÍ','SC',353,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6101305,4.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(25,6101313,2.00,5.00,3.00,4.00,2.00,NULL,0.00,3.00,1.00,317,NULL,NULL,'N SRA PERPETUO SOCOR','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6101321,3.00,5.00,3.00,5.00,8.00,NULL,0.00,5.00,2.00,337,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6101330,4.00,6.00,3.00,4.00,5.00,0.00,3.00,5.00,5.00,203,NULL,202,'JARDIN SAN FERNANDO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101348,3.00,7.00,1.00,4.00,4.00,7.88,3.00,5.00,1.00,234,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',17677,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6101380,2.00,2.00,2.00,2.00,4.00,5.63,2.00,2.00,1.00,999,NULL,NULL,'PANAMBI','STA BÁRBARA D OESTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101399,4.00,2.00,2.00,5.00,6.00,NULL,3.00,3.00,0.00,211,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6101402,5.00,5.00,2.00,6.00,6.00,7.88,4.00,5.00,7.00,238,NULL,208,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',6941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6101410,7.00,5.00,4.00,2.00,7.00,7.88,1.00,4.00,4.00,201,NULL,220,'CANASVIEIRAS','FLORIANÓPOLIS','SC',11342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6101437,2.00,3.00,1.00,5.00,4.00,6.75,2.00,2.00,3.00,303,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',20136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6101461,4.00,5.00,0.00,3.00,6.00,8.25,2.00,3.00,2.00,309,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',18198,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6101470,1.00,2.00,1.00,1.00,2.00,NULL,1.00,4.00,0.00,319,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6101488,2.00,4.00,1.00,5.00,7.00,7.50,0.00,3.00,2.00,340,NULL,NULL,'NOVA PETRÓPOLIS','LAGES','SC',19540,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6101496,2.00,3.00,2.00,6.00,7.00,11.63,0.00,2.00,3.00,319,NULL,NULL,'SANTA MARIA','UBERABA','MG',14599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101500,9.00,7.00,6.00,6.00,10.00,12.38,3.00,5.00,9.00,103,NULL,NULL,'JARDIM MILANE','APUCARANA','PR',393,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6101518,7.00,6.00,6.00,4.00,8.00,9.00,1.00,7.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3089,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6101526,6.00,7.00,4.00,4.00,4.00,6.75,1.00,7.00,3.00,104,NULL,NULL,'BELA VISTA','RIO NEGRINHO','SC',8891,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6101534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,655,'RECANTO CAMPO BELO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6101542,1.00,2.00,3.00,2.00,4.00,7.50,2.00,3.00,0.00,999,NULL,NULL,'SÃO CRISTOVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6101550,4.00,6.00,1.00,6.00,7.00,9.38,4.00,6.00,2.00,5,NULL,NULL,'CHACARA DA LAGOA','ITAPECERICA SERRA','SP',7768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101569,9.00,5.00,6.00,6.00,8.00,12.00,3.00,4.00,9.00,103,NULL,NULL,'JUSSARA','INHUMAS','GO',1156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6101585,5.00,6.00,7.00,7.00,6.00,9.00,2.00,6.00,7.00,235,NULL,203,'KOBRASOL','S JOSÉ','SC',3338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101593,4.00,4.00,3.00,3.00,6.00,7.88,2.00,4.00,5.00,202,NULL,235,'JARDIM SOFIA','JOINVILLE','SC',11926,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6101607,8.00,5.00,4.00,5.00,7.00,9.75,1.00,6.00,5.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',5192,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6101615,3.00,4.00,2.00,5.00,7.00,6.00,2.00,2.00,2.00,110,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',15656,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6101623,2.00,5.00,1.00,4.00,2.00,NULL,1.00,4.00,0.00,103,NULL,NULL,'MORUMBI','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6101631,4.00,3.00,1.00,3.00,5.00,6.75,3.00,3.00,2.00,3,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',16137,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6101658,8.00,7.00,2.00,6.00,10.00,10.50,4.00,6.00,8.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',1718,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6101682,7.00,8.00,2.00,5.00,9.00,9.75,1.00,5.00,3.00,108,NULL,NULL,'LINHA FERREIRA PONTE','COCAL SUL','SC',6784,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6101690,4.00,6.00,5.00,5.00,9.00,8.25,0.00,7.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101704,4.00,5.00,3.00,7.00,10.00,10.13,1.00,7.00,4.00,319,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',6249,NULL,NULL,NULL,NULL,NULL,NULL,3,8),(25,6101712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6101720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AFONSO PENA','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6101739,7.00,6.00,4.00,7.00,9.00,7.50,3.00,3.00,6.00,102,NULL,NULL,'CENTRO','IRINEÓPOLIS','SC',5749,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6101747,7.00,5.00,7.00,4.00,9.00,8.63,1.00,4.00,6.00,103,NULL,NULL,'HUMAITA','TUBARÃO','SC',5719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101755,8.00,7.00,3.00,7.00,9.00,11.25,3.00,6.00,7.00,103,NULL,NULL,'PRINCIPAL','PLANALTO','PR',1320,870,NULL,NULL,NULL,NULL,NULL,4,8),(25,6101771,7.00,6.00,6.00,7.00,10.00,10.50,3.00,8.00,7.00,103,NULL,NULL,'VILA IPIRANGA','PTO ALEGRE','RS',1235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101780,4.00,7.00,1.00,3.00,5.00,9.00,3.00,2.00,3.00,103,NULL,NULL,'OESTE','GOIÂNIA','GO',12864,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6101798,8.00,6.00,5.00,4.00,7.00,10.50,2.00,7.00,7.00,103,NULL,NULL,'CENTRO','ITAPEVA','SP',2431,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6101801,5.00,7.00,5.00,5.00,9.00,11.63,4.00,7.00,4.00,213,NULL,212,'CAMINHO DO SOL','PETROLINA','PE',2697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101810,5.00,5.00,5.00,5.00,7.00,8.63,2.00,5.00,6.00,203,NULL,201,'APARECIDA','SANTOS','SP',4846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101828,5.00,5.00,6.00,3.00,7.00,10.88,2.00,6.00,5.00,207,NULL,233,'VILA MARIANA','S PAULO','SP',3973,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6101844,5.00,6.00,6.00,5.00,7.00,6.00,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','IBITINGA','SP',4843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101852,3.00,7.00,2.00,3.00,5.00,6.75,1.00,3.00,1.00,317,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101860,7.00,2.00,5.00,7.00,7.00,6.38,1.00,3.00,5.00,203,NULL,220,'JARDIM DAS PAINEIRAS','S SEBASTIÃO PARAÍSO','MG',11425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101879,7.00,5.00,7.00,7.00,10.00,9.00,0.00,8.00,8.00,103,NULL,NULL,'CENTRO','APUCARANA','PR',1754,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6101909,0.00,5.00,0.00,3.00,2.00,NULL,1.00,2.00,1.00,324,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6101917,9.00,8.00,5.00,4.00,8.00,9.38,3.00,5.00,8.00,103,NULL,NULL,'MENINO DEUS','CATANDUVAS','PR',1173,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6101925,6.00,6.00,2.00,4.00,6.00,7.88,1.00,3.00,4.00,304,NULL,NULL,'BOA VISTA','CURITIBA','PR',9869,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6101933,7.00,7.00,7.00,5.00,10.00,9.38,2.00,5.00,7.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6101941,6.00,7.00,1.00,7.00,8.00,8.25,2.00,7.00,3.00,103,NULL,NULL,'CENTRO','PARANAVAÍ','PR',8477,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6101950,2.00,3.00,2.00,2.00,4.00,7.50,3.00,1.00,1.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',20036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6101968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6101976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'REAL PARK','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6101984,3.00,6.00,4.00,5.00,8.00,7.88,1.00,5.00,6.00,601,NULL,201,'PASSA VINTE','PALHOÇA','SC',9505,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6101992,7.00,7.00,6.00,7.00,7.00,7.88,3.00,7.00,6.00,103,NULL,NULL,'CAJURU','CURITIBA','PR',2150,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6102000,9.00,8.00,5.00,7.00,9.00,10.88,6.00,7.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102018,2.00,5.00,1.00,5.00,8.00,7.50,1.00,5.00,1.00,427,NULL,428,'TRINDADE','FLORIANÓPOLIS','SC',17327,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6102034,4.00,6.00,5.00,5.00,6.00,9.75,0.00,5.00,5.00,216,NULL,215,'CENTRO','CHAPECÓ','SC',6903,260,NULL,NULL,NULL,NULL,NULL,4,4),(25,6102042,8.00,8.00,5.00,8.00,11.00,9.75,7.00,7.00,9.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',66,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6102050,4.00,4.00,3.00,6.00,7.00,9.75,1.00,5.00,4.00,108,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',9791,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6102069,8.00,7.00,6.00,7.00,10.00,9.75,4.00,9.00,9.00,103,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',180,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6102077,1.00,6.00,1.00,3.00,3.00,7.88,3.00,3.00,4.00,502,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',19323,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6102085,8.00,8.00,8.00,7.00,9.00,10.13,6.00,9.00,9.00,103,NULL,NULL,'MAGALHÃES','LAGUNA','SC',125,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6102093,6.00,7.00,5.00,7.00,8.00,9.38,4.00,5.00,3.00,203,NULL,202,'SAGUAÇÚ','JOINVILLE','SC',3686,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6102123,6.00,5.00,5.00,5.00,9.00,11.25,3.00,8.00,8.00,103,NULL,NULL,'VILA INDUSTRIAL','TOLEDO','PR',1732,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6102131,7.00,5.00,4.00,6.00,6.00,8.25,2.00,7.00,7.00,303,NULL,NULL,'SETE DE SETEMBRO','GASPAR','SC',4204,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6102140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIO VERDE','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6102158,1.00,4.00,0.00,2.00,2.00,NULL,2.00,0.00,0.00,317,NULL,NULL,'DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6102174,6.00,6.00,3.00,6.00,5.00,10.88,4.00,6.00,5.00,103,NULL,NULL,'JARDIM EUROPA','ASSIS CHATEAUBRIAND','PR',4349,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6102182,8.00,7.00,4.00,8.00,7.00,10.13,4.00,7.00,8.00,103,NULL,NULL,'SÃO MIGUEL','CONCÓRDIA','SC',1651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102190,6.00,5.00,3.00,5.00,7.00,10.13,0.00,6.00,3.00,103,NULL,NULL,'PROGRESSO','POUSO REDONDO','SC',8157,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6102204,6.00,6.00,3.00,5.00,5.00,7.88,2.00,6.00,5.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',8177,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6102212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FORMOSA OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6102220,4.00,5.00,3.00,6.00,4.00,9.00,4.00,3.00,1.00,211,NULL,215,'CARIANOS','FLORIANÓPOLIS','SC',12152,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6102239,7.00,7.00,5.00,7.00,10.00,9.38,6.00,7.00,7.00,203,NULL,220,'CAMPINAS','S JOSÉ','SC',1404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102247,4.00,6.00,1.00,5.00,4.00,6.00,0.00,3.00,1.00,5,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',18125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102255,0.00,6.00,0.00,4.00,7.00,NULL,1.00,2.00,0.00,208,NULL,220,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102263,4.00,6.00,3.00,3.00,6.00,12.00,0.00,4.00,2.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102280,5.00,3.00,2.00,5.00,7.00,8.25,2.00,4.00,6.00,110,NULL,NULL,'CATAGUÁ','TAUBATÉ','SP',9446,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6102298,0.00,3.00,1.00,1.00,5.00,NULL,1.00,2.00,1.00,207,NULL,201,'NOVA BRASÍLIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6102301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANAMBY','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6102310,6.00,6.00,3.00,6.00,7.00,11.63,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',5801,2666,NULL,NULL,NULL,NULL,NULL,4,10),(25,6102328,5.00,5.00,4.00,5.00,9.00,9.00,2.00,6.00,5.00,207,NULL,201,'SÃO JOSÉ','REALEZA','PR',6347,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6102336,1.00,3.00,1.00,4.00,1.00,NULL,1.00,4.00,2.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6102344,3.00,6.00,3.00,2.00,6.00,9.75,1.00,4.00,2.00,238,NULL,208,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',12200,199,NULL,222,NULL,NULL,NULL,2,1),(25,6102352,6.00,5.00,4.00,6.00,10.00,12.00,3.00,4.00,7.00,303,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',3199,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6102360,4.00,5.00,1.00,5.00,7.00,8.25,6.00,5.00,3.00,426,NULL,423,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6102387,3.00,7.00,2.00,2.00,7.00,9.75,2.00,5.00,3.00,415,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13554,197,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102409,3.00,4.00,3.00,2.00,7.00,9.38,1.00,2.00,3.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',17870,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6102417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'PARQUE DAS PALMEIRAS','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6102425,3.00,6.00,1.00,3.00,6.00,6.75,1.00,1.00,4.00,103,NULL,NULL,'CENTRO','PALMAS','TO',16094,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6102433,8.00,8.00,2.00,7.00,10.00,10.13,1.00,5.00,4.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102441,6.00,8.00,8.00,6.00,10.00,12.75,6.00,8.00,7.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102450,8.00,5.00,1.00,3.00,8.00,5.25,2.00,6.00,6.00,340,NULL,NULL,'ZONA VII','UMUARAMA','PR',7336,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6102468,6.00,6.00,3.00,5.00,8.00,9.38,2.00,3.00,7.00,211,NULL,215,'CENTRO','ARMAZÉM','SC',5477,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6102476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CALHAU','S LUÍS','MA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6102484,3.00,4.00,1.00,6.00,6.00,6.38,3.00,2.00,3.00,201,NULL,233,'CENTRO','TUBARÃO','SC',14902,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6102492,9.00,7.00,5.00,7.00,11.00,9.75,5.00,6.00,8.00,303,NULL,NULL,'ASA SUL','BRASÍLIA','DF',553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102506,2.00,4.00,3.00,6.00,6.00,6.75,2.00,4.00,4.00,340,NULL,NULL,'UNIVERSITÁRIO','LONDRINA','PR',16556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102514,5.00,7.00,4.00,6.00,6.00,8.25,2.00,6.00,6.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6102522,3.00,6.00,3.00,6.00,6.00,8.25,2.00,4.00,3.00,103,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',12802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102530,7.00,5.00,4.00,7.00,9.00,8.63,2.00,5.00,5.00,207,NULL,201,'GLÓRIA','JOINVILLE','SC',5484,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6102549,1.00,3.00,2.00,3.00,2.00,NULL,1.00,3.00,1.00,104,NULL,NULL,'CAMPO DA AGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6102557,8.00,2.00,1.00,2.00,6.00,8.25,2.00,3.00,4.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102565,7.00,7.00,3.00,6.00,10.00,11.63,0.00,7.00,7.00,103,NULL,NULL,'JARDIM SANTANA','FRANCA','SP',2229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102573,2.00,4.00,1.00,3.00,6.00,8.25,1.00,4.00,3.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',18347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102581,8.00,6.00,4.00,6.00,9.00,12.38,3.00,6.00,8.00,103,NULL,NULL,'CENTRO','ESPIGÃO AT IGUAÇU','PR',1864,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6102603,7.00,4.00,4.00,5.00,6.00,7.13,0.00,4.00,6.00,103,NULL,NULL,'CENTRO','IRATI','PR',7899,3162,NULL,NULL,NULL,NULL,NULL,2,8),(25,6102611,5.00,3.00,3.00,4.00,4.00,7.50,0.00,2.00,2.00,503,NULL,NULL,'MOEMA','S PAULO','SP',19697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102620,4.00,5.00,1.00,6.00,10.00,10.50,1.00,3.00,1.00,340,NULL,NULL,'ARMAÇÃO','PENHA','SC',10431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102638,2.00,2.00,2.00,1.00,4.00,8.25,2.00,0.00,2.00,999,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6102646,3.00,3.00,2.00,4.00,5.00,6.38,2.00,2.00,1.00,9,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',19752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102654,3.00,5.00,3.00,2.00,9.00,8.63,4.00,6.00,5.00,207,NULL,201,'PIONEIROS','BAL CAMBORIÚ','SC',6807,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6102662,6.00,4.00,1.00,5.00,5.00,8.25,1.00,3.00,0.00,215,NULL,216,'POPULAR','LAGES','SC',18066,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6102670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6102689,3.00,4.00,1.00,5.00,5.00,9.00,1.00,3.00,6.00,103,NULL,NULL,'TRIANON','GUARAPUAVA','PR',12794,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6102697,2.00,4.00,1.00,1.00,6.00,7.13,0.00,0.00,3.00,5,NULL,NULL,'CAJURU','CURITIBA','PR',19094,657,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102719,8.00,8.00,5.00,6.00,9.00,10.88,3.00,6.00,7.00,207,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',1249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102735,4.00,7.00,3.00,7.00,2.00,NULL,2.00,7.00,2.00,202,NULL,235,'JD VALE DAS PEROBAS','ARAPONGAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6102743,7.00,6.00,2.00,4.00,8.00,9.38,4.00,7.00,9.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',2510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6102751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'VILA CUBATÃO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6102760,5.00,6.00,6.00,6.00,7.00,NULL,0.00,6.00,5.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6102778,9.00,5.00,5.00,7.00,8.00,10.50,1.00,8.00,8.00,103,NULL,NULL,'PARIGOT DE SOUZA','MARINGÁ','PR',1076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102786,8.00,7.00,4.00,6.00,9.00,9.38,3.00,8.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1044,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6102794,7.00,6.00,0.00,7.00,7.00,9.38,3.00,4.00,6.00,207,NULL,201,'CENTRO','CANOINHAS','SC',4780,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6102808,4.00,5.00,2.00,2.00,7.00,7.88,0.00,5.00,5.00,207,NULL,201,'BQ DOS EUCALIPTOS','S JOSÉ CAMPOS','SP',12651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102816,5.00,5.00,1.00,6.00,8.00,8.63,3.00,4.00,6.00,103,NULL,NULL,'NOVA BRASÍLIA','JARAGUÁ SUL','SC',7456,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6102824,8.00,6.00,7.00,6.00,10.00,9.00,3.00,5.00,9.00,103,NULL,NULL,'UVARANAS','PNT GROSSA','PR',500,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6102832,3.00,4.00,2.00,2.00,4.00,5.63,2.00,4.00,2.00,203,NULL,214,'INGLESES','FLORIANÓPOLIS','SC',17552,1015,NULL,396,NULL,NULL,NULL,2,1),(25,6102840,5.00,7.00,7.00,7.00,9.00,11.63,1.00,8.00,4.00,207,NULL,212,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6102867,3.00,7.00,1.00,4.00,6.00,8.25,0.00,4.00,2.00,202,NULL,213,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',17575,549,NULL,254,NULL,NULL,NULL,2,1),(25,6102875,6.00,6.00,3.00,5.00,8.00,12.38,2.00,3.00,6.00,207,NULL,201,'SCHRAMM','S BENTO SUL','SC',3522,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6102883,5.00,5.00,3.00,7.00,8.00,10.13,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',8019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102891,6.00,6.00,4.00,7.00,5.00,8.25,2.00,8.00,4.00,208,NULL,238,'AMÉRICA','JOINVILLE','SC',5918,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6102905,7.00,7.00,2.00,5.00,5.00,NULL,0.00,6.00,5.00,302,NULL,NULL,'CENTRO','BUTIÁ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6102913,3.00,2.00,1.00,1.00,2.00,NULL,2.00,0.00,1.00,317,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6102930,3.00,5.00,0.00,2.00,7.00,NULL,2.00,3.00,3.00,207,NULL,201,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6102948,6.00,7.00,5.00,6.00,9.00,9.00,1.00,9.00,7.00,103,NULL,NULL,'CENTRO','ANTÔNIO OLINTO','PR',2225,1364,NULL,NULL,NULL,NULL,NULL,2,17),(25,6102956,8.00,5.00,4.00,7.00,7.00,10.50,1.00,7.00,7.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',1988,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6102964,8.00,8.00,4.00,6.00,10.00,10.88,2.00,8.00,9.00,103,NULL,NULL,'CAIÇARAS','LONDRINA','PR',640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6102972,4.00,6.00,6.00,6.00,9.00,8.25,2.00,7.00,5.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',4521,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6102980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JDIM SERIMBURA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6102999,7.00,5.00,3.00,6.00,10.00,9.75,0.00,3.00,3.00,340,NULL,NULL,'RIO BRANCO','CAXIAS SUL','RS',6635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103006,6.00,7.00,4.00,4.00,7.00,6.75,4.00,6.00,7.00,211,NULL,235,'ALTO RIO FORTUNA','RIO FORTUNA','SC',5907,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6103014,7.00,5.00,4.00,6.00,10.00,9.00,4.00,5.00,5.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',5035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103022,3.00,3.00,1.00,3.00,7.00,5.63,0.00,1.00,3.00,203,NULL,214,'CENTRO','GUABIRUBA','SC',21004,1143,NULL,449,NULL,NULL,NULL,2,2),(25,6103030,7.00,7.00,5.00,4.00,7.00,10.88,6.00,6.00,7.00,235,NULL,220,'BUENO','GOIÂNIA','GO',1354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103049,4.00,2.00,1.00,2.00,8.00,8.25,1.00,1.00,2.00,303,NULL,NULL,'CENTRO','UBIRATÃ','PR',16065,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6103065,9.00,0.00,5.00,7.00,10.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6103073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PAULISTA','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6103081,3.00,5.00,2.00,4.00,7.00,9.75,3.00,0.00,3.00,103,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',12542,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6103111,8.00,7.00,2.00,5.00,8.00,9.00,2.00,7.00,7.00,103,NULL,NULL,'AGUAS CLARAS','TAGUATINGA','DF',2766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6103120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CANDIDA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6103138,2.00,2.00,0.00,3.00,5.00,NULL,1.00,1.00,0.00,301,NULL,NULL,'JD CIDADE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,601,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6103154,3.00,3.00,1.00,0.00,5.00,9.38,0.00,2.00,1.00,310,NULL,NULL,'VILA PAIVA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6103162,3.00,5.00,1.00,2.00,3.00,7.88,2.00,5.00,1.00,109,NULL,NULL,'KOBRASOL','S JOSÉ','SC',20525,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6103170,4.00,6.00,3.00,3.00,5.00,6.00,1.00,3.00,0.00,426,NULL,428,'ROÇADO','S JOSÉ','SC',18837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103189,5.00,4.00,2.00,3.00,5.00,9.38,0.00,6.00,2.00,453,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',15771,106,NULL,NULL,NULL,NULL,NULL,2,1),(25,6103197,6.00,6.00,7.00,7.00,8.00,9.00,4.00,6.00,7.00,238,NULL,208,'BOM VIVER','BIGUAÇU','SC',1689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103200,7.00,5.00,3.00,5.00,7.00,7.50,1.00,5.00,6.00,216,NULL,213,'ALTO DA BOA VISTA','ITUMBIARA','GO',5778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103219,7.00,6.00,6.00,6.00,8.00,8.63,4.00,6.00,7.00,103,NULL,NULL,'SÃO MIGUEL PAULISTA','S PAULO','SP',1008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103227,8.00,7.00,2.00,6.00,9.00,10.88,1.00,6.00,6.00,653,NULL,211,'CENTRO','IBICARÉ','SC',2989,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6103235,2.00,4.00,4.00,6.00,8.00,8.25,2.00,3.00,2.00,202,NULL,203,'VIGILATO PEREIRA','UBERLÂNDIA','MG',12252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103243,0.00,5.00,0.00,0.00,0.00,NULL,0.00,6.00,5.00,214,NULL,601,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(25,6103251,3.00,5.00,0.00,5.00,6.00,8.63,2.00,4.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12016,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6103260,6.00,5.00,2.00,5.00,9.00,12.38,2.00,2.00,6.00,103,NULL,NULL,'CENTRO','ITAIÓPOLIS','SC',4873,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6103278,3.00,5.00,4.00,5.00,6.00,9.00,1.00,4.00,2.00,340,NULL,NULL,'JARDIM PRIMAVERA','CAFELÂNDIA','PR',11044,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6103286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANS SOUCI','ELDORADO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6103294,2.00,2.00,0.00,2.00,2.00,NULL,2.00,0.00,1.00,101,NULL,NULL,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6103308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'RESIDENCIAL PAIAGUAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6103316,8.00,7.00,4.00,7.00,8.00,12.00,4.00,8.00,9.00,453,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',538,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6103340,3.00,6.00,0.00,5.00,2.00,NULL,2.00,2.00,1.00,453,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103367,3.00,7.00,2.00,4.00,5.00,7.13,3.00,7.00,3.00,201,NULL,211,'VILA INDEPENDENCIA','CORNÉLIO PROCÓPIO','PR',11977,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6103375,3.00,5.00,3.00,4.00,6.00,6.75,2.00,3.00,1.00,208,NULL,238,'TAPERA','FLORIANÓPOLIS','SC',18289,471,NULL,434,NULL,NULL,NULL,2,1),(25,6103383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6103391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6103413,9.00,6.00,6.00,7.00,9.00,9.75,4.00,7.00,9.00,103,NULL,NULL,'CENTRO','TOLEDO','PR',533,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6103421,8.00,7.00,3.00,6.00,8.00,11.63,2.00,7.00,4.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',2950,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6103430,7.00,5.00,3.00,6.00,7.00,9.75,4.00,6.00,8.00,103,NULL,NULL,'CENTRO','PALMEIRA','PR',3423,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6103448,7.00,5.00,4.00,7.00,8.00,9.75,3.00,6.00,6.00,999,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6103464,8.00,7.00,3.00,6.00,10.00,11.25,4.00,7.00,9.00,103,NULL,NULL,'MOINHOS','LAJEADO','RS',738,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6103472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CLARA ADELIA','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6103480,4.00,3.00,1.00,1.00,6.00,6.75,2.00,4.00,1.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18540,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6103499,8.00,7.00,4.00,4.00,8.00,10.13,2.00,7.00,6.00,103,NULL,NULL,'CENTRO','CAPÃO BONITO','SP',2413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6103529,4.00,6.00,3.00,3.00,8.00,8.25,2.00,3.00,5.00,317,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',8715,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6103537,3.00,4.00,2.00,4.00,7.00,7.50,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',15126,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6103553,4.00,6.00,4.00,6.00,9.00,9.75,3.00,5.00,5.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',6740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6103561,5.00,4.00,2.00,3.00,5.00,8.25,3.00,2.00,3.00,103,NULL,NULL,'BOSQUE DA SAUDE','CUIABÁ','MT',14029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103570,2.00,6.00,3.00,8.00,8.00,8.25,2.00,4.00,2.00,601,NULL,203,'GLÓRIA','JOINVILLE','SC',11465,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6103588,5.00,6.00,2.00,5.00,6.00,9.38,3.00,5.00,4.00,207,NULL,201,'ESTADOS','TIMBÓ','SC',7352,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6103596,6.00,5.00,2.00,3.00,8.00,9.00,2.00,5.00,7.00,103,NULL,NULL,'BATEL','CURITIBA','PR',7678,3111,NULL,NULL,NULL,NULL,NULL,4,8),(25,6103600,2.00,7.00,3.00,6.00,7.00,10.50,2.00,6.00,5.00,207,NULL,NULL,'JARDIM PORTO ALEGRE','TOLEDO','PR',7278,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6103618,4.00,5.00,1.00,4.00,7.00,7.88,0.00,2.00,1.00,601,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',16471,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6103626,9.00,7.00,6.00,5.00,9.00,11.63,4.00,6.00,8.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',732,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6103642,4.00,4.00,1.00,6.00,8.00,9.00,0.00,4.00,4.00,103,NULL,NULL,'CARANDÁ BOSQUE I','CPO GRANDE','MS',8914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,427,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6103677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,211,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6103693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AHHÚ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6103707,6.00,7.00,3.00,5.00,5.00,7.88,4.00,6.00,4.00,201,NULL,203,'CENTRO','PALOTINA','PR',8345,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6103723,5.00,6.00,3.00,4.00,7.00,9.00,3.00,6.00,3.00,444,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',8169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6103731,5.00,5.00,5.00,6.00,10.00,10.88,6.00,7.00,7.00,202,NULL,213,'CAMPO DO AGUA VERDE','CANOINHAS','SC',1639,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6103740,5.00,2.00,2.00,4.00,8.00,8.25,0.00,2.00,4.00,453,NULL,NULL,'CENTRO','MAREMA','SC',15054,103,NULL,NULL,NULL,NULL,NULL,2,4),(25,6103758,3.00,5.00,2.00,2.00,4.00,6.75,1.00,0.00,3.00,655,NULL,202,'PARAGUAI','JACINTO MACHADO','SC',20873,153,NULL,661,NULL,NULL,NULL,4,15),(25,6103766,2.00,6.00,3.00,1.00,6.00,6.00,1.00,4.00,2.00,208,NULL,652,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',16752,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6103774,5.00,6.00,1.00,6.00,8.00,7.13,3.00,6.00,3.00,999,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6103782,6.00,4.00,4.00,3.00,4.00,8.25,2.00,2.00,3.00,220,NULL,203,'VILA B','FOZ IGUAÇU','PR',12942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103790,3.00,7.00,3.00,5.00,5.00,8.63,3.00,4.00,6.00,601,NULL,NULL,'AMÉRICA','JOINVILLE','SC',9396,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6103804,4.00,6.00,2.00,6.00,8.00,NULL,0.00,4.00,2.00,303,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6103812,3.00,7.00,1.00,3.00,3.00,5.63,2.00,2.00,2.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',17334,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6103820,8.00,6.00,4.00,7.00,9.00,10.50,1.00,5.00,8.00,216,NULL,215,'SETOR BUENO','GOIÂNIA','GO',3266,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6103839,6.00,6.00,3.00,6.00,3.00,9.75,3.00,4.00,6.00,103,NULL,NULL,'VILA ALMEIDA','CPO GRANDE','MS',5195,2482,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103847,6.00,5.00,5.00,5.00,8.00,9.75,3.00,5.00,5.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6103863,4.00,9.00,2.00,2.00,8.00,10.13,2.00,7.00,6.00,203,NULL,220,'CAPÃO RASO','CURITIBA','PR',5132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103871,2.00,1.00,1.00,2.00,3.00,8.63,1.00,1.00,2.00,317,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21134,198,NULL,NULL,NULL,NULL,NULL,2,1),(25,6103880,4.00,8.00,2.00,1.00,7.00,8.63,0.00,6.00,3.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10349,3605,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103898,6.00,6.00,5.00,4.00,6.00,7.88,0.00,3.00,5.00,103,NULL,NULL,'PASSO','MAFRA','SC',7931,3171,NULL,NULL,NULL,NULL,NULL,2,1),(25,6103901,6.00,6.00,6.00,6.00,9.00,7.13,4.00,7.00,6.00,203,NULL,202,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',1932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103928,7.00,4.00,1.00,3.00,6.00,9.38,1.00,2.00,5.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',13799,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6103944,0.00,4.00,1.00,2.00,5.00,7.50,1.00,1.00,1.00,216,NULL,215,'BEZENELLO','NOVA TRENTO','SC',20735,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6103952,8.00,7.00,4.00,8.00,10.00,10.88,5.00,8.00,6.00,303,NULL,NULL,'BOQUEIRAO','SANTOS','SP',514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103960,9.00,9.00,8.00,5.00,9.00,10.50,7.00,7.00,9.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',80,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103987,4.00,3.00,2.00,3.00,7.00,7.50,3.00,1.00,0.00,333,NULL,NULL,'PLANALTO PAULISTA','S PAULO','SP',18130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6103995,6.00,6.00,3.00,3.00,7.00,11.25,3.00,4.00,4.00,211,NULL,215,'JARDIM','CONCÓRDIA','SC',6883,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6104002,4.00,4.00,2.00,4.00,5.00,NULL,0.00,1.00,3.00,109,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6104010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TERESÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6104045,8.00,6.00,4.00,0.00,3.00,9.38,4.00,6.00,4.00,216,NULL,215,'PARANAGUAMIRIN','JOINVILLE','SC',8578,314,NULL,NULL,NULL,NULL,NULL,4,8),(25,6104053,5.00,6.00,1.00,3.00,5.00,6.75,0.00,4.00,0.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17121,375,NULL,NULL,NULL,NULL,NULL,2,1),(25,6104070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAIREIRA SACO LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6104100,3.00,3.00,3.00,2.00,6.00,5.63,2.00,1.00,3.00,404,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104118,8.00,6.00,3.00,5.00,9.00,11.63,4.00,7.00,9.00,103,NULL,NULL,'SETOR JAÓ','GOIÂNIA','GO',1043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','TACIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6104134,7.00,8.00,3.00,6.00,10.00,12.38,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','S LUIZ GONZAGA','RS',1734,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6104142,8.00,5.00,3.00,6.00,10.00,8.25,2.00,8.00,9.00,103,NULL,NULL,'PORTAL','DOURADOS','MS',1814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104169,4.00,4.00,2.00,5.00,5.00,8.63,0.00,4.00,4.00,207,NULL,211,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',12743,684,NULL,335,NULL,NULL,NULL,2,1),(25,6104177,6.00,5.00,2.00,4.00,8.00,9.75,4.00,1.00,5.00,103,NULL,NULL,'SÃO GABRIEL','CAP LEÔNIDAS MARQUES','PR',7094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104185,4.00,6.00,2.00,5.00,6.00,9.75,1.00,3.00,0.00,551,NULL,NULL,'SANTO ANTONIO','CAMPOS NOVOS','SC',11608,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6104193,3.00,6.00,3.00,7.00,7.00,8.25,3.00,3.00,3.00,304,NULL,NULL,'JUNDIAI MIRIM','JUNDIAÍ','SP',8238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104207,4.00,5.00,1.00,4.00,8.00,9.38,1.00,4.00,4.00,420,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104215,5.00,6.00,3.00,6.00,10.00,NULL,0.00,3.00,5.00,103,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104223,7.00,7.00,3.00,6.00,9.00,11.25,3.00,6.00,5.00,415,NULL,NULL,'CENTRO','CASCAVEL','PR',3545,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6104231,3.00,3.00,2.00,4.00,4.00,8.25,2.00,2.00,5.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104240,2.00,7.00,3.00,6.00,10.00,12.00,2.00,3.00,4.00,103,NULL,NULL,'JARDIM JÚLIA','BEBEDOURO','SP',6741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104258,9.00,6.00,6.00,7.00,9.00,12.38,4.00,8.00,8.00,103,NULL,NULL,'MATINHO','XANXERÊ','SC',177,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6104266,8.00,6.00,4.00,4.00,9.00,8.25,3.00,6.00,5.00,203,NULL,214,'JARDIM PROGRESSO','AMERICANA','SP',3079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104282,4.00,3.00,2.00,5.00,7.00,5.25,2.00,1.00,3.00,336,NULL,NULL,'VILA MEDON','AMERICANA','SP',18532,150,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104290,2.00,3.00,2.00,4.00,7.00,10.50,2.00,1.00,2.00,102,NULL,NULL,'CENTRO','BR COTEGIPE','RS',14892,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6104304,6.00,5.00,3.00,4.00,8.00,8.25,4.00,4.00,6.00,319,NULL,NULL,'CENTRO','NOVA P IGUAÇU','PR',6397,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6104312,3.00,2.00,1.00,0.00,3.00,5.25,3.00,1.00,0.00,104,NULL,NULL,'CIDADE NOVA','PTO UNIÃO','SC',21754,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6104320,6.00,5.00,1.00,3.00,8.00,10.13,3.00,3.00,2.00,104,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',13792,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6104339,5.00,5.00,2.00,2.00,7.00,7.50,3.00,2.00,3.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',15464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104347,8.00,6.00,2.00,5.00,8.00,10.13,3.00,4.00,9.00,103,NULL,NULL,'ORLEANS','CURITIBA','PR',2878,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6104363,4.00,7.00,3.00,5.00,9.00,9.00,1.00,3.00,6.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',5619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104371,6.00,5.00,3.00,4.00,4.00,6.38,2.00,7.00,5.00,102,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',11020,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6104380,5.00,7.00,6.00,4.00,9.00,8.25,1.00,6.00,4.00,337,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5456,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6104398,4.00,5.00,1.00,3.00,5.00,7.50,1.00,1.00,2.00,3,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',17672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104401,9.00,7.00,6.00,6.00,9.00,9.00,5.00,7.00,9.00,103,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104410,8.00,6.00,4.00,6.00,7.00,9.38,3.00,8.00,7.00,103,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',1724,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6104428,2.00,3.00,2.00,4.00,5.00,7.13,1.00,4.00,0.00,601,NULL,220,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6104444,2.00,3.00,1.00,0.00,5.00,NULL,2.00,4.00,1.00,444,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104452,8.00,6.00,5.00,7.00,9.00,11.25,3.00,7.00,6.00,103,NULL,NULL,'LINHA SAO VENDELINO','S JOSÉ CEDRO','SC',1316,867,NULL,NULL,NULL,NULL,NULL,4,4),(25,6104460,6.00,4.00,2.00,4.00,7.00,9.75,2.00,4.00,3.00,101,NULL,NULL,'GLÓRIA','JOINVILLE','SC',13323,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6104479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALPHAVILLE','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6104487,5.00,4.00,2.00,3.00,7.00,9.38,1.00,3.00,1.00,103,NULL,NULL,'ESTRADA GERAL','MIRIM DOCE','SC',13745,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6104495,8.00,5.00,5.00,7.00,9.00,10.13,5.00,9.00,8.00,103,NULL,NULL,'CENTRO','GOIOERÊ','PR',600,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6104509,4.00,7.00,5.00,6.00,8.00,8.63,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',4736,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6104517,7.00,4.00,6.00,7.00,10.00,12.75,2.00,6.00,9.00,103,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',1608,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6104533,4.00,7.00,3.00,6.00,7.00,9.75,2.00,2.00,3.00,103,NULL,NULL,'BURITIS','BELO HORIZONTE','MG',7565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104541,7.00,4.00,5.00,6.00,9.00,4.50,3.00,7.00,5.00,220,NULL,214,'CENTRO','MORRETES','PR',4934,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6104550,5.00,5.00,0.00,3.00,9.00,8.25,3.00,5.00,4.00,333,NULL,NULL,'JD PAULICEIA','CAMPINAS','SP',8897,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6104568,4.00,6.00,2.00,4.00,5.00,NULL,3.00,4.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6104606,5.00,6.00,3.00,6.00,8.00,10.50,3.00,6.00,5.00,655,NULL,208,'MAR GROSSO','LAGUNA','SC',4058,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6104614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'BAEPENDI','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6104630,6.00,7.00,4.00,5.00,6.00,9.75,2.00,8.00,6.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',3210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104649,7.00,6.00,8.00,7.00,8.00,13.88,5.00,8.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',88,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6104665,5.00,3.00,2.00,4.00,8.00,NULL,0.00,2.00,5.00,104,NULL,NULL,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6104673,3.00,7.00,2.00,2.00,7.00,8.25,1.00,3.00,3.00,203,NULL,213,'VELHA','BLUMENAU','SC',12394,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6104681,4.00,5.00,2.00,7.00,10.00,10.50,2.00,4.00,4.00,104,NULL,NULL,'PARQUE FLORESTA','VALINHOS','SP',6618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BELA VISTA','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6104703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','DOIS CÓRREGOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6104720,8.00,7.00,3.00,4.00,9.00,8.63,3.00,6.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',3020,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6104738,7.00,5.00,8.00,7.00,5.00,9.38,5.00,1.00,6.00,214,NULL,212,'SUDOESTE','CRUZEIRO','DF',4039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6104754,7.00,7.00,1.00,5.00,8.00,9.38,3.00,6.00,4.00,104,NULL,NULL,'CENTRO','TOLEDO','PR',7586,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6104762,5.00,4.00,2.00,3.00,8.00,9.00,1.00,1.00,3.00,103,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',14130,4139,NULL,NULL,NULL,NULL,NULL,4,6),(25,6104770,8.00,8.00,5.00,6.00,8.00,10.13,3.00,7.00,7.00,103,NULL,NULL,'TINGUI','CURITIBA','PR',1441,935,NULL,NULL,NULL,NULL,NULL,2,8),(25,6104789,7.00,8.00,5.00,8.00,8.00,7.88,5.00,6.00,7.00,203,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',1421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104797,3.00,5.00,1.00,5.00,7.00,NULL,0.00,3.00,4.00,999,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6104800,7.00,5.00,1.00,5.00,7.00,7.88,2.00,4.00,5.00,103,NULL,NULL,'SÃO FRANCISCO','IRATI','PR',9622,3501,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104819,7.00,8.00,5.00,6.00,10.00,9.75,4.00,7.00,7.00,207,NULL,211,'BALNEÁRIO','FLORIANÓPOLIS','SC',1011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104827,3.00,5.00,4.00,4.00,7.00,7.88,2.00,4.00,1.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12357,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6104835,9.00,6.00,2.00,7.00,10.00,9.38,6.00,6.00,8.00,103,NULL,NULL,'JARDIM LUCIANA','MARÍLIA','SP',770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104843,5.00,5.00,3.00,5.00,4.00,6.00,0.00,5.00,5.00,201,NULL,202,'BELA VISTA I','S JOSÉ','SC',13838,1179,NULL,429,NULL,NULL,NULL,2,1),(25,6104851,3.00,3.00,2.00,3.00,5.00,6.38,3.00,5.00,0.00,235,NULL,208,'ARIRIU','PALHOÇA','SC',20047,478,NULL,531,NULL,NULL,NULL,4,1),(25,6104860,3.00,6.00,1.00,2.00,8.00,10.50,2.00,3.00,0.00,211,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104886,4.00,5.00,2.00,4.00,8.00,10.50,2.00,3.00,3.00,415,NULL,NULL,'ESPRAIADO','NOVA TRENTO','SC',12803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6104894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'TERSÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6104908,4.00,6.00,2.00,4.00,5.00,9.00,2.00,4.00,4.00,428,NULL,421,'CENTRO','FLORIANÓPOLIS','SC',14106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104916,5.00,5.00,3.00,4.00,10.00,7.88,1.00,4.00,5.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',6753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6104932,6.00,9.00,5.00,7.00,7.00,7.88,4.00,7.00,7.00,103,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',2190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104940,3.00,5.00,4.00,1.00,8.00,8.63,2.00,6.00,2.00,301,NULL,NULL,'CENTRO','CHAPECÓ','SC',11227,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6104959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'BOM JESUS','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6104975,5.00,6.00,3.00,1.00,8.00,8.25,2.00,3.00,1.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',12450,3923,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104983,5.00,6.00,4.00,3.00,7.00,7.88,1.00,8.00,5.00,450,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6104991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6105009,5.00,4.00,4.00,4.00,8.00,7.88,3.00,2.00,2.00,304,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13276,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6105017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FRIZON','CEL VIVIDA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6105025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'NOVO HORIZONTE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6105033,3.00,3.00,1.00,4.00,4.00,6.38,2.00,5.00,2.00,308,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',19844,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6105041,5.00,3.00,1.00,3.00,9.00,9.00,2.00,4.00,5.00,104,NULL,NULL,'GARCIA','BLUMENAU','SC',10379,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6105050,6.00,7.00,3.00,5.00,10.00,11.25,3.00,4.00,6.00,216,NULL,233,'CENTRO II','BRUSQUE','SC',2274,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6105068,4.00,1.00,3.00,2.00,4.00,NULL,7.00,0.00,1.00,308,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6105076,2.00,4.00,3.00,3.00,4.00,6.75,2.00,3.00,2.00,652,NULL,655,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6105084,8.00,6.00,4.00,5.00,8.00,10.50,1.00,4.00,4.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',3962,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6105092,6.00,7.00,3.00,5.00,6.00,8.63,2.00,5.00,6.00,203,NULL,208,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',6559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105106,2.00,5.00,1.00,2.00,6.00,NULL,0.00,4.00,3.00,319,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA QUITÉRIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6105122,5.00,7.00,2.00,4.00,8.00,9.38,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','LOANDA','PR',10695,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6105130,7.00,8.00,3.00,5.00,8.00,10.13,1.00,7.00,6.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',4523,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6105149,8.00,6.00,5.00,7.00,8.00,9.00,2.00,5.00,6.00,319,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',3176,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6105157,7.00,8.00,6.00,7.00,10.00,11.63,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','IMBITUBA','SC',308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105165,8.00,7.00,5.00,6.00,9.00,9.00,2.00,6.00,7.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',3019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105173,3.00,5.00,0.00,1.00,4.00,6.75,3.00,3.00,4.00,216,NULL,233,'SAO RAFAEL','IÇARA','SC',19173,598,NULL,464,NULL,NULL,NULL,4,5),(25,6105181,5.00,5.00,0.00,5.00,6.00,9.00,4.00,3.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',9451,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6105190,7.00,5.00,5.00,5.00,4.00,8.63,6.00,5.00,8.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',3425,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6105203,8.00,7.00,7.00,7.00,9.00,12.00,7.00,8.00,9.00,103,NULL,NULL,'JARDIM SANTA RITA','JABOTICABAL','SP',46,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105211,7.00,7.00,6.00,6.00,9.00,8.63,4.00,6.00,7.00,303,NULL,NULL,'VELHA','BLUMENAU','SC',1409,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6105238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'CENTRO','DESCANSO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6105246,1.00,3.00,1.00,1.00,6.00,5.63,2.00,2.00,1.00,653,NULL,655,'POLICIA RODOVIÁRIA','ARARANGUÁ','SC',20691,229,NULL,148,NULL,NULL,NULL,2,15),(25,6105254,6.00,6.00,2.00,5.00,6.00,8.25,2.00,5.00,6.00,104,NULL,NULL,'COLINA VERDE','SALTO LONTRA','PR',8217,147,NULL,NULL,NULL,NULL,NULL,2,4),(25,6105262,3.00,4.00,3.00,5.00,7.00,7.88,1.00,0.00,2.00,102,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6105289,6.00,8.00,3.00,7.00,8.00,11.25,2.00,7.00,8.00,208,NULL,213,'EUGÊNIO SCHNEIDER','RIO SUL','SC',2289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105297,4.00,4.00,3.00,5.00,4.00,5.25,1.00,6.00,5.00,2,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',12772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105300,2.00,1.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,429,NULL,426,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105319,7.00,6.00,4.00,6.00,8.00,8.63,2.00,7.00,7.00,103,NULL,NULL,'JARDIM COPACABANA','CPO MOURÃO','PR',3347,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6105327,8.00,7.00,3.00,7.00,9.00,7.50,5.00,6.00,8.00,103,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',1909,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6105335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'V NOSSA SRA DA PAZ','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6105351,8.00,4.00,2.00,5.00,8.00,9.75,0.00,6.00,6.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',5137,2464,NULL,NULL,NULL,NULL,NULL,2,6),(25,6105360,9.00,7.00,2.00,7.00,11.00,12.38,5.00,9.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105378,5.00,5.00,1.00,6.00,9.00,10.50,1.00,0.00,7.00,211,NULL,215,'CERAMARTE','RIO NEGRINHO','SC',9237,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6105386,7.00,6.00,4.00,3.00,7.00,9.38,3.00,5.00,6.00,102,NULL,NULL,'ZONA SETE','MARINGÁ','PR',6892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105394,6.00,7.00,3.00,6.00,8.00,7.13,3.00,7.00,6.00,203,NULL,214,'CENTRO','SALTO LONTRA','PR',3473,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6105408,2.00,4.00,2.00,4.00,4.00,8.25,2.00,3.00,0.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',18450,152,NULL,NULL,NULL,NULL,NULL,2,1),(25,6105416,8.00,5.00,6.00,6.00,9.00,9.75,2.00,7.00,8.00,103,NULL,NULL,'CENTRO','ITAIÓPOLIS','SC',1950,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6105424,3.00,5.00,1.00,6.00,8.00,5.63,3.00,2.00,2.00,999,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6105432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'INTERIOR','DESCANSO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6105459,7.00,4.00,4.00,5.00,10.00,9.75,1.00,6.00,4.00,220,NULL,203,'MARECHAL RONDON','CANOAS','RS',4781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105467,3.00,4.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6105475,5.00,5.00,3.00,5.00,8.00,NULL,0.00,6.00,2.00,103,NULL,NULL,'ZONA DOIS','CIANORTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6105483,7.00,6.00,1.00,6.00,9.00,9.75,1.00,2.00,5.00,103,NULL,NULL,'CENTRO','CPO BOM','RS',6520,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6105491,2.00,3.00,1.00,2.00,3.00,6.38,2.00,2.00,2.00,425,NULL,NULL,'COSTEIRA DO RIBEIRÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105505,8.00,6.00,4.00,5.00,10.00,10.88,2.00,8.00,6.00,103,NULL,NULL,'MEDIANEIRA','STA MARIA','RS',1591,1010,NULL,NULL,NULL,NULL,NULL,2,1),(25,6105513,7.00,6.00,4.00,6.00,8.00,11.25,2.00,8.00,7.00,303,NULL,NULL,'CENTRO','ANTÔNIO PRADO','RS',2726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6105521,8.00,8.00,6.00,6.00,10.00,7.88,7.00,5.00,8.00,203,NULL,216,'BIGORRILHO','CURITIBA','PR',850,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6105530,4.00,3.00,1.00,4.00,3.00,6.75,2.00,3.00,1.00,216,NULL,215,'FANNY','CURITIBA','PR',18972,591,NULL,309,NULL,NULL,NULL,2,9),(25,6105548,3.00,3.00,0.00,5.00,6.00,10.88,0.00,1.00,0.00,415,NULL,NULL,'JARDIM EUROPA','ASSIS','SP',17852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105556,4.00,6.00,0.00,3.00,9.00,9.75,4.00,6.00,6.00,211,NULL,215,'PRESIDENTE MÉDICI','CHAPECÓ','SC',6467,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6105564,5.00,3.00,2.00,3.00,9.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'AGENOR DE LIMA','GUAXUPÉ','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105580,4.00,6.00,2.00,5.00,6.00,7.88,0.00,4.00,5.00,303,NULL,NULL,'PINHEIROS','PATO BRANCO','PR',10654,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6105599,8.00,7.00,8.00,7.00,10.00,10.50,3.00,5.00,9.00,103,NULL,NULL,'CENTRO','LAGES','SC',498,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6105602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO PEDRO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6105610,2.00,5.00,1.00,5.00,6.00,8.63,2.00,5.00,3.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13218,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6105629,2.00,3.00,2.00,7.00,8.00,8.63,2.00,3.00,4.00,340,NULL,NULL,'VILA NOVA','JOINVILLE','SC',10069,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6105637,2.00,3.00,2.00,5.00,7.00,NULL,0.00,2.00,4.00,214,NULL,NULL,'JARDIM ACLIMAÇÃO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105645,4.00,5.00,4.00,4.00,6.00,9.00,1.00,4.00,1.00,655,NULL,652,'SANTO ANDRE','CAPIVARI BAIXO','SC',12194,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6105653,8.00,7.00,4.00,4.00,7.00,9.75,0.00,8.00,7.00,338,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6105661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6105670,5.00,5.00,2.00,6.00,8.00,9.75,1.00,5.00,5.00,601,NULL,203,'AMÉRICA','JOINVILLE','SC',7550,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6105688,5.00,6.00,4.00,7.00,8.00,8.63,3.00,5.00,5.00,220,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',4904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105696,5.00,6.00,4.00,6.00,9.00,8.25,3.00,5.00,5.00,319,NULL,NULL,'TESTO REGA','POMERODE','SC',5227,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6105700,8.00,6.00,4.00,5.00,10.00,9.00,7.00,8.00,8.00,103,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',1134,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6105734,3.00,4.00,3.00,6.00,6.00,6.75,3.00,5.00,3.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105742,7.00,7.00,3.00,4.00,8.00,9.75,3.00,7.00,5.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105750,6.00,5.00,1.00,5.00,8.00,7.50,2.00,5.00,5.00,453,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105769,3.00,4.00,3.00,3.00,4.00,7.88,1.00,2.00,3.00,104,NULL,NULL,'SANTO ANTONIO','PNT GROSSA','PR',18205,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6105777,8.00,7.00,5.00,7.00,9.00,9.00,4.00,7.00,8.00,103,NULL,NULL,'VILA REZENDE','PIRACICABA','SP',951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105785,6.00,6.00,2.00,5.00,9.00,11.63,1.00,4.00,5.00,303,NULL,NULL,'FAZENDA','ITAJAÍ','SC',5337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6105807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6105815,7.00,8.00,5.00,2.00,5.00,10.13,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','ROSÁRIO SUL','RS',4475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6105823,3.00,4.00,4.00,5.00,7.00,5.63,0.00,4.00,2.00,201,NULL,203,'TARUMÃ','CURITIBA','PR',13673,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6105840,6.00,6.00,2.00,4.00,7.00,9.00,3.00,2.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105858,5.00,6.00,2.00,4.00,7.00,NULL,0.00,1.00,5.00,103,NULL,NULL,'JD AMAZONAS','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6105866,6.00,6.00,7.00,6.00,6.00,10.50,8.00,5.00,5.00,212,NULL,215,'ESTREITO','FLORIANÓPOLIS','SC',1965,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6105882,9.00,8.00,5.00,7.00,10.00,11.63,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','JESUÍTAS','PR',168,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6105904,5.00,4.00,4.00,5.00,8.00,9.38,3.00,3.00,3.00,108,NULL,NULL,'ZONA SETE','MARINGÁ','PR',11434,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6105912,1.00,5.00,2.00,6.00,6.00,8.25,3.00,6.00,3.00,208,NULL,201,'CENTRO','LAGES','SC',11649,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6105920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6105939,5.00,7.00,4.00,6.00,9.00,9.38,0.00,7.00,9.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',3792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6105955,6.00,7.00,4.00,5.00,7.00,7.50,5.00,8.00,8.00,103,NULL,NULL,'CENTRO','MEDIANEIRA','PR',2058,1283,NULL,NULL,NULL,NULL,NULL,2,3),(25,6105963,3.00,3.00,3.00,5.00,5.00,7.50,2.00,1.00,1.00,202,NULL,235,'CENTRO','SERTANEJA','PR',15460,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6105980,6.00,6.00,3.00,6.00,7.00,10.50,3.00,4.00,5.00,103,NULL,NULL,'BELZARIO','SANTIAGO','RS',5230,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6105998,6.00,4.00,4.00,6.00,6.00,9.75,3.00,5.00,6.00,220,NULL,202,'VILA FORMOSA','APUCARANA','PR',5038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106005,2.00,2.00,0.00,4.00,3.00,8.25,2.00,0.00,4.00,2,NULL,NULL,'FÁTIMA','VACARIA','RS',20704,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6106013,4.00,3.00,2.00,6.00,8.00,6.75,1.00,4.00,4.00,220,NULL,201,'GOIABEIRAS','CUIABÁ','MT',10630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106030,9.00,8.00,6.00,5.00,9.00,9.00,4.00,8.00,9.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',448,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6106048,7.00,4.00,3.00,3.00,6.00,9.00,2.00,1.00,6.00,104,NULL,NULL,'CENTRO','ROSÁRIO SUL','RS',10708,233,NULL,NULL,NULL,NULL,NULL,2,1),(25,6106056,5.00,3.00,0.00,7.00,8.00,NULL,0.00,2.00,2.00,303,NULL,NULL,'GIOCONDO ORSI','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6106072,5.00,4.00,1.00,4.00,6.00,4.50,3.00,3.00,3.00,450,NULL,NULL,'JARDIM PAULISTA','JUNQUEIRÓPOLIS','SP',16079,108,NULL,NULL,NULL,NULL,NULL,4,8),(25,6106080,4.00,6.00,1.00,5.00,7.00,6.75,1.00,3.00,0.00,415,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',14395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106099,5.00,6.00,2.00,3.00,4.00,8.25,1.00,3.00,0.00,103,NULL,NULL,'IPIRANGA','FREDERICO WESTPHALEN','RS',14208,4149,NULL,NULL,NULL,NULL,NULL,2,4),(25,6106102,5.00,5.00,0.00,5.00,9.00,9.75,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','CPO BOM','RS',10073,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6106110,1.00,1.00,0.00,1.00,5.00,7.50,1.00,1.00,1.00,103,NULL,NULL,'BORTOLON','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6106129,5.00,2.00,2.00,1.00,2.00,NULL,2.00,1.00,1.00,404,NULL,NULL,'MORRO DA BINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6106137,5.00,7.00,5.00,5.00,5.00,9.75,5.00,3.00,6.00,220,NULL,202,'CENTRO','TUBARÃO','SC',5399,192,NULL,NULL,NULL,NULL,NULL,4,10),(25,6106145,5.00,5.00,2.00,6.00,7.00,6.75,1.00,4.00,5.00,103,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',8943,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6106170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','AMPÉRE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6106188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'GONZAGA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6106196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6106200,5.00,4.00,4.00,5.00,8.00,9.00,4.00,3.00,4.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',6666,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6106226,8.00,6.00,7.00,4.00,7.00,7.88,5.00,8.00,8.00,103,NULL,NULL,'CENTRO','CAPINZAL','SC',1017,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6106234,6.00,4.00,0.00,2.00,8.00,9.75,3.00,7.00,3.00,102,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',9455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106242,6.00,5.00,5.00,6.00,7.00,12.75,3.00,7.00,6.00,420,NULL,NULL,'VILA NOVA','BLUMENAU','SC',2110,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6106250,5.00,7.00,7.00,3.00,5.00,7.50,0.00,2.00,4.00,201,NULL,NULL,'CAMOBI','STA MARIA','RS',10661,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6106277,4.00,6.00,3.00,5.00,3.00,10.13,1.00,4.00,4.00,201,NULL,207,'VILA FLORESTA','CRICIÚMA','SC',13561,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6106285,5.00,3.00,3.00,2.00,4.00,5.63,1.00,1.00,2.00,201,NULL,207,'ARAUCÁRIA','LAGES','SC',19216,1579,NULL,1038,NULL,NULL,NULL,4,9),(25,6106293,6.00,7.00,5.00,5.00,7.00,8.25,3.00,5.00,3.00,203,NULL,202,'VILA MOEMA','TUBARÃO','SC',5420,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6106315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,208,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6106323,9.00,7.00,3.00,4.00,8.00,10.88,3.00,4.00,6.00,108,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',3355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106331,6.00,5.00,1.00,4.00,6.00,7.50,0.00,5.00,5.00,103,NULL,NULL,'MANSUR DAUD','S JOSÉ R PRETO','SP',11565,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6106340,5.00,5.00,2.00,6.00,6.00,8.63,0.00,4.00,3.00,211,NULL,207,'TRAVESSÃO','BRAÇO NORTE','SC',10476,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6106358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'CENTRO','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6106366,5.00,5.00,3.00,5.00,8.00,9.75,2.00,1.00,4.00,103,NULL,NULL,'ALTO DA GLÓRIA','IRATI','PR',7449,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6106374,7.00,6.00,4.00,6.00,8.00,10.50,1.00,6.00,5.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',5009,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6106382,5.00,5.00,0.00,4.00,7.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6106390,2.00,5.00,1.00,3.00,7.00,NULL,0.00,2.00,3.00,999,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,7),(25,6106404,0.00,4.00,0.00,0.00,0.00,NULL,1.00,4.00,0.00,104,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(25,6106412,4.00,4.00,3.00,4.00,9.00,9.38,1.00,5.00,3.00,103,NULL,NULL,'CENTRO','MARAU','RS',8136,3213,NULL,NULL,NULL,NULL,NULL,4,4),(25,6106420,3.00,8.00,2.00,4.00,8.00,NULL,0.00,3.00,5.00,5,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106447,1.00,4.00,0.00,2.00,4.00,8.63,0.00,2.00,2.00,317,NULL,NULL,'MONTE CASTELO','CRICIÚMA','SC',20323,183,NULL,NULL,NULL,NULL,NULL,2,5),(25,6106471,6.00,4.00,3.00,5.00,5.00,8.63,3.00,5.00,7.00,203,NULL,NULL,'PILARZINHO','CURITIBA','PR',7663,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6106480,6.00,6.00,4.00,6.00,7.00,7.88,1.00,4.00,3.00,453,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',10563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106498,8.00,8.00,2.00,6.00,9.00,7.88,2.00,5.00,5.00,103,NULL,NULL,'ALTO DAS OLIVEIRAS','TELÊMACO BORBA','PR',4389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106501,4.00,6.00,2.00,7.00,10.00,10.50,2.00,4.00,3.00,303,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',8341,394,NULL,NULL,NULL,NULL,NULL,1,1),(25,6106528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6106536,5.00,3.00,2.00,4.00,7.00,9.00,3.00,0.00,5.00,103,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',12459,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6106544,5.00,3.00,0.00,4.00,7.00,NULL,4.00,3.00,2.00,425,NULL,NULL,'FERRAZ','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106552,3.00,6.00,2.00,6.00,6.00,9.75,2.00,5.00,1.00,301,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',10004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106560,6.00,7.00,6.00,5.00,9.00,8.25,2.00,7.00,8.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',1933,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6106579,6.00,4.00,0.00,3.00,8.00,NULL,2.00,2.00,4.00,319,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6106587,6.00,6.00,3.00,3.00,7.00,7.50,0.00,5.00,8.00,103,NULL,NULL,'OESTE','GOIÂNIA','GO',8393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106595,7.00,7.00,0.00,6.00,9.00,NULL,3.00,3.00,7.00,103,NULL,NULL,'SANTO ANTONIO','S CAETANO SUL','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6106617,8.00,8.00,5.00,6.00,9.00,11.25,3.00,8.00,9.00,303,NULL,NULL,'TRICOLIN','CANOINHAS','SC',523,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6106625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','STO AUGUSTO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6106633,8.00,7.00,7.00,7.00,10.00,11.25,3.00,7.00,8.00,303,NULL,NULL,'PRÓSPERA','CRICIÚMA','SC',254,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6106641,8.00,6.00,5.00,4.00,8.00,12.00,4.00,5.00,7.00,103,NULL,NULL,'TATUAPÉ','S PAULO','SP',1784,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6106650,3.00,3.00,0.00,6.00,8.00,NULL,0.00,1.00,0.00,211,NULL,NULL,'SEMINÁRIO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106668,8.00,5.00,5.00,7.00,10.00,10.13,4.00,8.00,7.00,216,NULL,213,'BEZENELO','NOVA TRENTO','SC',1126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106676,3.00,3.00,1.00,5.00,8.00,8.25,2.00,5.00,2.00,211,NULL,215,'SÃO LUIZ','BRUSQUE','SC',14087,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6106692,7.00,7.00,5.00,6.00,8.00,9.00,3.00,4.00,7.00,203,NULL,601,'CANTA GALO','RIO SUL','SC',2981,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6106706,2.00,5.00,2.00,3.00,6.00,0.00,0.00,3.00,4.00,203,NULL,208,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6106714,2.00,4.00,3.00,7.00,7.00,7.88,4.00,4.00,1.00,203,NULL,202,'CENTRO','MAL CÂNDIDO RONDON','PR',12661,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6106722,3.00,4.00,4.00,5.00,3.00,7.13,4.00,3.00,2.00,304,NULL,NULL,'SERRARIA','S JOSÉ','SC',14808,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6106730,5.00,5.00,1.00,5.00,7.00,8.25,2.00,4.00,2.00,203,NULL,201,'VALE DOS CEBRANTES','JUNDIAÍ','SP',11008,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6106749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'GUIA LOPES','STA ROSA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6106757,6.00,5.00,5.00,2.00,7.00,7.50,3.00,4.00,5.00,103,NULL,NULL,'ZONA OITO','MARINGÁ','PR',6545,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6106765,7.00,4.00,5.00,5.00,10.00,10.88,1.00,0.00,3.00,502,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106773,3.00,3.00,3.00,2.00,6.00,4.88,3.00,4.00,2.00,301,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',18127,248,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106790,4.00,3.00,2.00,1.00,4.00,8.63,2.00,5.00,4.00,208,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106803,6.00,6.00,2.00,6.00,10.00,7.88,1.00,6.00,4.00,654,NULL,NULL,'NOSSA S DAS GRAÇAS','AMPÉRE','PR',5246,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6106811,9.00,8.00,6.00,6.00,9.00,9.75,3.00,6.00,9.00,103,NULL,NULL,'JARDIM ITÁLIA','MARINGÁ','PR',425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106820,4.00,4.00,1.00,6.00,5.00,NULL,4.00,5.00,0.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106838,6.00,7.00,3.00,5.00,6.00,6.75,1.00,3.00,8.00,212,NULL,201,'CENTRO','CURITIBA','PR',6291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106846,4.00,5.00,2.00,5.00,7.00,9.00,1.00,5.00,2.00,104,NULL,NULL,'BONINI','CRUZ ALTA','RS',11867,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6106854,5.00,4.00,1.00,5.00,6.00,5.63,0.00,7.00,2.00,103,NULL,NULL,'CENTRO','PLANALTO ALEGRE','SC',11351,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6106862,5.00,5.00,2.00,3.00,7.00,6.38,1.00,6.00,3.00,214,NULL,203,'ABRANCHES','CURITIBA','PR',11544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106889,1.00,6.00,1.00,7.00,3.00,9.00,1.00,0.00,4.00,216,NULL,653,'ASA NORTE','BRASÍLIA','DF',15119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106897,3.00,4.00,0.00,4.00,4.00,8.25,2.00,4.00,4.00,202,NULL,235,'MORUMBI','PEDREIRA','SP',14732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106900,3.00,3.00,2.00,2.00,6.00,10.13,2.00,1.00,3.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19071,58,NULL,NULL,NULL,NULL,NULL,2,1),(25,6106919,8.00,6.00,6.00,6.00,8.00,7.50,3.00,7.00,7.00,203,NULL,220,'CENTRO','ARAPONGAS','PR',2239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,233,'PARQUE SANTA CANDIDA','ARARAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6106943,5.00,6.00,3.00,7.00,9.00,10.13,1.00,6.00,5.00,303,NULL,NULL,'CENTRO','PR GRANDE','SC',4689,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6106951,7.00,5.00,2.00,6.00,8.00,9.00,2.00,6.00,3.00,207,NULL,601,'PONTA AGUDA','BLUMENAU','SC',7403,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6106960,1.00,5.00,2.00,4.00,6.00,NULL,1.00,0.00,3.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6106978,5.00,6.00,7.00,7.00,6.00,9.00,6.00,6.00,9.00,203,NULL,220,'BURITI','CPO GRANDE','MS',1810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106986,7.00,7.00,3.00,5.00,9.00,10.50,5.00,6.00,6.00,103,NULL,NULL,'CHICO DE PAULA','JARAGUÁ SUL','SC',2566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6106994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'VILA MATILDE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6107001,9.00,5.00,7.00,4.00,10.00,6.75,4.00,6.00,7.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',1777,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6107010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUAS CLARAS','TAGUATINGA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6107028,6.00,7.00,3.00,3.00,10.00,8.63,2.00,4.00,4.00,103,NULL,NULL,'JARDIM CELESTE','S PAULO','SP',5598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107036,2.00,6.00,1.00,3.00,7.00,8.25,0.00,2.00,4.00,238,NULL,202,'FAZ SANTO ANTÔNIO','S JOSÉ','SC',14885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107044,4.00,7.00,0.00,6.00,9.00,9.00,3.00,3.00,4.00,110,NULL,NULL,'VILA TEIXEIRA','CAMPINAS','SP',8543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107052,7.00,6.00,5.00,6.00,7.00,7.13,1.00,8.00,4.00,103,NULL,NULL,'CENTRO','FORMOSA OESTE','PR',5728,2641,NULL,NULL,NULL,NULL,NULL,2,3),(25,6107079,5.00,7.00,2.00,7.00,9.00,9.75,4.00,5.00,1.00,207,NULL,211,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5273,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6107087,9.00,5.00,3.00,7.00,7.00,9.00,2.00,8.00,9.00,103,NULL,NULL,'JARDIM CANADÁ','MARINGÁ','PR',2041,1270,NULL,NULL,NULL,NULL,NULL,4,8),(25,6107109,7.00,6.00,2.00,5.00,7.00,7.88,2.00,7.00,7.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107117,5.00,6.00,5.00,3.00,8.00,12.75,2.00,5.00,7.00,103,NULL,NULL,'VILA PLANALTO','DOURADOS','MS',5662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107125,2.00,4.00,0.00,2.00,4.00,NULL,1.00,2.00,0.00,235,NULL,233,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6107141,3.00,3.00,0.00,3.00,8.00,NULL,3.00,1.00,1.00,223,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6107150,4.00,4.00,3.00,5.00,9.00,9.38,2.00,3.00,5.00,110,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',9287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6107168,4.00,6.00,1.00,6.00,7.00,8.63,1.00,6.00,4.00,420,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107176,3.00,5.00,0.00,1.00,4.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6107184,2.00,5.00,1.00,3.00,3.00,6.38,2.00,2.00,2.00,208,NULL,235,'COSTEIRA DO RIBEIRÃO','FLORIANÓPOLIS','SC',20587,559,NULL,492,NULL,NULL,NULL,2,1),(25,6107206,2.00,5.00,1.00,6.00,7.00,8.63,1.00,2.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107214,4.00,6.00,1.00,4.00,8.00,9.75,1.00,5.00,4.00,999,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107222,4.00,6.00,1.00,4.00,8.00,12.75,2.00,6.00,5.00,420,NULL,NULL,'STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC',8449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107249,9.00,9.00,9.00,6.00,10.00,8.63,7.00,7.00,8.00,103,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107257,6.00,6.00,0.00,6.00,8.00,6.00,0.00,5.00,4.00,336,NULL,NULL,'QUINTA DA BOA VISTA','MAIRIPORÃ','SP',10079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107265,4.00,5.00,2.00,4.00,5.00,8.63,3.00,2.00,2.00,207,NULL,201,'ROÇADO','S JOSÉ','SC',14393,773,NULL,1227,NULL,NULL,NULL,2,1),(25,6107273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6107281,7.00,7.00,5.00,7.00,8.00,9.75,2.00,7.00,8.00,103,NULL,NULL,'VILA A','FOZ IGUAÇU','PR',1805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107303,3.00,3.00,2.00,5.00,5.00,NULL,0.00,3.00,2.00,999,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6107311,0.00,2.00,0.00,3.00,3.00,NULL,0.00,4.00,1.00,316,NULL,NULL,'BERREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6107320,4.00,6.00,2.00,2.00,5.00,9.38,1.00,4.00,5.00,304,NULL,NULL,'VALPARAISO','BLUMENAU','SC',11892,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6107338,4.00,3.00,1.00,3.00,8.00,8.25,1.00,3.00,2.00,202,NULL,NULL,'SOSSEGO','STO ÂNGELO','RS',14004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6107354,8.00,8.00,3.00,5.00,10.00,12.00,1.00,5.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',2072,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6107362,6.00,6.00,3.00,3.00,10.00,9.75,2.00,5.00,5.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',5173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107370,9.00,8.00,5.00,6.00,7.00,9.00,4.00,9.00,7.00,103,NULL,NULL,'PACAEMBU','CASCAVEL','PR',757,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6107389,6.00,6.00,6.00,6.00,8.00,9.75,3.00,6.00,8.00,216,NULL,211,'CENTRO','CURITIBA','PR',2467,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6107400,0.00,3.00,1.00,1.00,6.00,9.00,1.00,0.00,1.00,207,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',21554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107419,2.00,3.00,1.00,7.00,7.00,12.38,3.00,4.00,2.00,420,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',13677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107427,3.00,4.00,3.00,5.00,4.00,8.63,1.00,3.00,0.00,999,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6107451,6.00,5.00,3.00,6.00,8.00,5.25,3.00,2.00,5.00,303,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',11361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107460,2.00,2.00,2.00,4.00,1.00,NULL,2.00,2.00,1.00,201,NULL,202,'VILA BETÂNIA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6107486,4.00,6.00,2.00,5.00,9.00,10.13,2.00,3.00,5.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',7191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107508,3.00,5.00,1.00,3.00,7.00,NULL,0.00,0.00,1.00,104,NULL,NULL,'BOSQUE DOS EUCALIPTO','ARAÇOIABA SERRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6107516,8.00,8.00,4.00,6.00,7.00,11.25,2.00,7.00,8.00,2,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',1536,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6107524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6107532,4.00,8.00,4.00,3.00,7.00,11.25,1.00,7.00,3.00,319,NULL,NULL,'JARDIM AMÉRICA','ANÁPOLIS','GO',6199,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6107540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6107559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6107567,3.00,3.00,2.00,3.00,4.00,7.50,3.00,1.00,5.00,216,NULL,211,'VILA IOLANDA','GUAÍBA','RS',17583,565,NULL,461,NULL,NULL,NULL,2,1),(25,6107575,6.00,6.00,1.00,3.00,8.00,8.25,1.00,7.00,2.00,326,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',10489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107583,9.00,8.00,5.00,7.00,11.00,10.88,3.00,8.00,9.00,103,NULL,NULL,'PIRITUBA','S PAULO','SP',210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107591,8.00,6.00,3.00,4.00,6.00,8.63,2.00,7.00,8.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',4797,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6107605,2.00,1.00,3.00,2.00,3.00,6.75,3.00,2.00,1.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107613,9.00,5.00,4.00,7.00,11.00,11.25,3.00,9.00,9.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107621,6.00,4.00,6.00,5.00,8.00,0.00,2.00,7.00,7.00,216,NULL,203,'CENTRO','ROLÂNDIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6107630,3.00,6.00,4.00,4.00,8.00,8.25,2.00,6.00,5.00,320,NULL,NULL,'SERRARIA','S JOSÉ','SC',10621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6107648,6.00,5.00,3.00,6.00,7.00,8.25,4.00,4.00,3.00,203,NULL,201,'VILA NOVA','JARAGUÁ SUL','SC',6746,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6107664,7.00,7.00,3.00,5.00,6.00,9.38,1.00,6.00,6.00,201,NULL,207,'JARDIM HIGIANOPOLIS','MARINGÁ','PR',6150,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6107672,4.00,2.00,1.00,3.00,6.00,7.88,2.00,1.00,3.00,222,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',20071,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6107680,8.00,6.00,7.00,6.00,10.00,11.25,5.00,6.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6107702,8.00,8.00,3.00,6.00,9.00,10.88,1.00,9.00,7.00,103,NULL,NULL,'JARDIM AMÉRICA','ANÁPOLIS','GO',2011,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6107710,5.00,5.00,2.00,5.00,5.00,8.25,3.00,4.00,3.00,235,NULL,202,'GLÓRIA','JOINVILLE','SC',10582,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6107729,2.00,3.00,3.00,3.00,6.00,7.50,2.00,1.00,0.00,104,NULL,NULL,'INTERIOR','PALMITINHO','RS',18779,529,NULL,NULL,NULL,NULL,NULL,2,4),(25,6107737,1.00,3.00,0.00,2.00,5.00,NULL,0.00,4.00,1.00,9,NULL,NULL,'ARAÇATUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6107753,5.00,5.00,1.00,5.00,6.00,10.50,3.00,2.00,2.00,104,NULL,NULL,'MONTE CARLO','S JOAQUIM','SC',11339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107788,2.00,5.00,0.00,4.00,6.00,7.88,1.00,3.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15296,4254,NULL,NULL,NULL,NULL,NULL,2,1),(25,6107796,4.00,5.00,1.00,2.00,6.00,7.13,2.00,2.00,3.00,103,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',15486,4278,NULL,NULL,NULL,NULL,NULL,4,4),(25,6107800,3.00,4.00,2.00,1.00,6.00,6.75,1.00,3.00,2.00,309,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',20635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107818,8.00,6.00,5.00,5.00,9.00,10.50,4.00,7.00,9.00,103,NULL,NULL,'SERRADINHO','CPO GRANDE','MS',665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107826,2.00,2.00,1.00,2.00,5.00,8.25,2.00,1.00,3.00,308,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',21318,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6107834,4.00,6.00,2.00,4.00,6.00,7.88,2.00,3.00,4.00,425,NULL,427,'PONTE DO IMARUIM','PALHOÇA','SC',12462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107842,3.00,4.00,0.00,5.00,5.00,6.75,2.00,3.00,2.00,220,NULL,233,'IPIRANGA','S JOSÉ','SC',17587,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6107850,2.00,2.00,3.00,2.00,3.00,NULL,1.00,0.00,0.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,17),(25,6107869,5.00,4.00,6.00,6.00,6.00,9.75,5.00,3.00,4.00,203,NULL,214,'BARREIROS','S JOSÉ','SC',6189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107877,4.00,7.00,1.00,4.00,9.00,8.25,2.00,4.00,2.00,104,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',11848,266,NULL,NULL,NULL,NULL,NULL,2,1),(25,6107885,6.00,3.00,0.00,1.00,7.00,9.38,0.00,2.00,2.00,103,NULL,NULL,'BOSQUE DOS EUCALIPTO','ARAÇOIABA SERRA','SP',14563,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6107893,7.00,7.00,5.00,7.00,11.00,9.38,3.00,9.00,8.00,103,NULL,NULL,'VISTA ALEGRE','VINHEDO','SP',421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107907,5.00,5.00,2.00,4.00,7.00,9.00,4.00,5.00,4.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107915,8.00,7.00,6.00,5.00,9.00,11.25,2.00,8.00,8.00,103,NULL,NULL,'SAO LUIS','JARAGUÁ SUL','SC',1121,757,NULL,NULL,NULL,NULL,NULL,2,2),(25,6107923,2.00,6.00,2.00,4.00,7.00,9.38,0.00,1.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107931,2.00,5.00,1.00,2.00,3.00,6.38,0.00,1.00,2.00,308,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6107958,4.00,5.00,4.00,5.00,8.00,10.13,2.00,3.00,5.00,215,NULL,601,'ITOUPAVA NORTE','BLUMENAU','SC',8706,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6107974,2.00,5.00,3.00,7.00,8.00,9.75,0.00,2.00,2.00,203,NULL,601,'CAMPINAS','S JOSÉ','SC',11985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6107990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'SACO GRANDE II','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6108008,2.00,4.00,0.00,7.00,7.00,8.63,2.00,2.00,0.00,225,NULL,NULL,'ITAUM','JOINVILLE','SC',18185,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6108016,8.00,7.00,7.00,6.00,8.00,10.88,5.00,7.00,8.00,103,NULL,NULL,'JARDIM DAS NAÇOES','TAUBATÉ','SP',359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108032,1.00,2.00,3.00,3.00,5.00,6.38,3.00,1.00,1.00,201,NULL,207,'SAO CRISTOVAO','VIDEIRA','SC',19260,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6108040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6108059,0.00,1.00,3.00,2.00,2.00,NULL,0.00,2.00,0.00,216,NULL,202,'INTERIOR','XAVANTINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6108067,7.00,7.00,5.00,6.00,6.00,9.75,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','NOVA AURORA','PR',3753,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6108075,2.00,6.00,0.00,5.00,7.00,8.25,1.00,5.00,3.00,109,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6108105,2.00,4.00,0.00,4.00,3.00,6.75,0.00,0.00,3.00,316,NULL,NULL,'JARDIM AQUÁRIOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6108113,5.00,5.00,4.00,5.00,6.00,7.88,2.00,4.00,5.00,202,NULL,213,'BOA VISTA','BLUMENAU','SC',8429,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6108121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,233,'VILA NOVA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6108130,8.00,7.00,2.00,5.00,9.00,9.00,5.00,6.00,5.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',2653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108156,0.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6108164,8.00,8.00,5.00,7.00,10.00,10.88,4.00,8.00,7.00,303,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',337,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6108172,2.00,3.00,1.00,3.00,2.00,NULL,3.00,1.00,2.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6108199,4.00,6.00,2.00,4.00,7.00,7.88,2.00,0.00,2.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',15864,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6108202,5.00,5.00,2.00,4.00,5.00,9.00,1.00,2.00,4.00,110,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',13814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108210,7.00,7.00,3.00,6.00,8.00,8.25,1.00,5.00,4.00,216,NULL,215,'COQUEIROS','FLORIANÓPOLIS','SC',4946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108229,7.00,7.00,2.00,4.00,6.00,6.00,2.00,4.00,5.00,203,NULL,208,'CAPÃO DA IMBUIA','CURITIBA','PR',10182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6108237,8.00,8.00,3.00,7.00,8.00,7.50,3.00,7.00,5.00,5,NULL,NULL,'DORES','STA MARIA','RS',3150,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6108245,4.00,5.00,2.00,3.00,7.00,7.50,3.00,6.00,2.00,212,NULL,213,'AREIAS','S JOSÉ','SC',10890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108253,9.00,7.00,8.00,7.00,9.00,10.88,5.00,9.00,8.00,103,NULL,NULL,'CENTRO','PARANAVAÍ','PR',64,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6108261,3.00,6.00,0.00,7.00,8.00,NULL,1.00,7.00,3.00,327,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108270,1.00,4.00,2.00,2.00,4.00,7.88,1.00,0.00,1.00,999,NULL,NULL,'ARIRIBÁ','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6108288,4.00,5.00,2.00,3.00,8.00,9.00,4.00,6.00,3.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6108300,3.00,2.00,2.00,3.00,4.00,8.25,2.00,4.00,2.00,420,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18345,171,NULL,NULL,NULL,NULL,NULL,2,1),(25,6108318,3.00,2.00,2.00,4.00,5.00,7.50,2.00,3.00,2.00,453,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6108326,3.00,2.00,1.00,0.00,4.00,NULL,0.00,6.00,0.00,316,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6108334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6108342,4.00,4.00,4.00,7.00,8.00,8.25,4.00,5.00,6.00,220,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',5935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108350,4.00,6.00,5.00,5.00,9.00,9.75,0.00,2.00,2.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9733,3516,NULL,NULL,NULL,NULL,NULL,2,1),(25,6108377,5.00,4.00,1.00,3.00,8.00,9.75,1.00,2.00,0.00,207,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',13888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108393,8.00,8.00,4.00,6.00,10.00,9.38,3.00,7.00,7.00,103,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',1378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108407,3.00,5.00,3.00,3.00,9.00,9.38,0.00,6.00,1.00,214,NULL,213,'OPERARIA NOVA','CRICIÚMA','SC',10904,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6108415,6.00,7.00,3.00,5.00,7.00,7.88,2.00,5.00,5.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',7522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108423,7.00,8.00,3.00,5.00,10.00,7.13,3.00,8.00,9.00,103,NULL,NULL,'AUXILIADORA','PTO ALEGRE','RS',1275,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6108440,2.00,6.00,2.00,3.00,6.00,7.50,1.00,4.00,1.00,999,NULL,NULL,'JARDIM POMERÂNEA','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6108458,5.00,8.00,3.00,7.00,9.00,7.13,5.00,5.00,8.00,203,NULL,201,'FLORESTA','VIDEIRA','SC',2750,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6108466,2.00,3.00,2.00,2.00,3.00,NULL,1.00,0.00,1.00,203,NULL,NULL,'JD CIDADE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6108474,5.00,6.00,6.00,5.00,7.00,8.63,2.00,7.00,5.00,207,NULL,201,'CARVOEIRA','FLORIANÓPOLIS','SC',4338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108482,4.00,8.00,4.00,6.00,6.00,7.50,4.00,5.00,5.00,999,NULL,NULL,'CENTRO','CASTRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6108504,6.00,5.00,1.00,7.00,10.00,9.75,0.00,6.00,6.00,340,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',5632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JOSÉ MENDEZ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6108547,1.00,4.00,2.00,3.00,6.00,9.38,1.00,3.00,2.00,301,NULL,NULL,'SANTA ISABEL','FORQUILHINHA','SC',19389,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6108563,7.00,6.00,4.00,7.00,8.00,8.63,2.00,6.00,6.00,207,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108571,3.00,1.00,2.00,3.00,6.00,6.75,1.00,4.00,1.00,302,NULL,NULL,'GUARDA DO EMBAÚ','PALHOÇA','SC',19381,173,NULL,NULL,NULL,NULL,NULL,2,1),(25,6108580,5.00,4.00,0.00,4.00,6.00,8.63,2.00,1.00,5.00,104,NULL,NULL,'VILA NOVA','BLUMENAU','SC',13976,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6108598,3.00,4.00,3.00,2.00,4.00,7.88,3.00,3.00,3.00,202,NULL,NULL,'MATRIZ','VIDEIRA','SC',18468,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6108601,5.00,6.00,3.00,4.00,9.00,7.88,2.00,5.00,3.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108628,3.00,3.00,4.00,6.00,6.00,10.50,3.00,5.00,4.00,214,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',9776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108636,8.00,5.00,1.00,7.00,10.00,10.13,2.00,8.00,7.00,103,NULL,NULL,'JARDIM FLÓRIDA','JACAREÍ','SP',2051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108644,7.00,8.00,3.00,6.00,10.00,11.63,3.00,8.00,8.00,103,NULL,NULL,'JARDIN SÃO JORGE','S PAULO','SP',847,585,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108652,9.00,7.00,7.00,6.00,10.00,9.38,6.00,6.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',401,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6108660,3.00,5.00,1.00,5.00,10.00,9.00,2.00,2.00,3.00,601,NULL,233,'AVENTUREIRO','JOINVILLE','SC',11330,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6108687,6.00,5.00,2.00,4.00,6.00,10.13,1.00,4.00,1.00,104,NULL,NULL,'PRADINHO','S JOAQUIM','SC',11371,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6108695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6108709,2.00,2.00,0.00,3.00,3.00,NULL,0.00,1.00,2.00,654,NULL,NULL,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6108717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6108725,5.00,6.00,3.00,4.00,10.00,8.25,4.00,7.00,7.00,203,NULL,NULL,'CENTRO','LONDRINA','PR',4298,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6108733,8.00,6.00,1.00,5.00,9.00,7.50,3.00,8.00,4.00,654,NULL,NULL,'CENTRO','ARARANGUÁ','SC',7114,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6108750,4.00,5.00,4.00,3.00,6.00,10.13,4.00,4.00,2.00,201,NULL,212,'CENTRO','BAL CAMBORIÚ','SC',10403,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6108768,4.00,2.00,2.00,7.00,10.00,9.75,2.00,3.00,2.00,220,NULL,207,'SÃO FRANCISCO','CPO GRANDE','MS',8778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108776,2.00,2.00,2.00,2.00,4.00,NULL,1.00,0.00,1.00,102,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'COHAB','OURINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6108792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA CARMEM','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6108806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BANDEIRAS','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6108814,2.00,5.00,3.00,3.00,3.00,7.50,3.00,4.00,4.00,207,NULL,201,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',14043,760,NULL,1199,NULL,NULL,NULL,2,1),(25,6108822,3.00,3.00,3.00,3.00,7.00,6.00,1.00,4.00,4.00,999,NULL,NULL,'FORQUILHINHA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108830,6.00,7.00,3.00,6.00,8.00,7.50,1.00,4.00,4.00,404,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',8796,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6108849,8.00,7.00,8.00,8.00,8.00,10.13,6.00,5.00,9.00,233,NULL,601,'VILA NOVA','JOINVILLE','SC',171,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6108857,6.00,4.00,5.00,3.00,4.00,8.25,0.00,3.00,2.00,207,NULL,653,'ARIRIU','PALHOÇA','SC',16897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6108881,3.00,4.00,2.00,4.00,5.00,NULL,0.00,1.00,0.00,324,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6108890,3.00,6.00,5.00,3.00,7.00,NULL,0.00,3.00,5.00,201,NULL,214,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108903,2.00,2.00,0.00,1.00,2.00,NULL,1.00,0.00,1.00,103,NULL,NULL,'VILA YOLANDA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6108911,9.00,8.00,3.00,6.00,9.00,NULL,4.00,7.00,7.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(25,6108920,9.00,6.00,2.00,7.00,10.00,9.38,1.00,5.00,8.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',2306,1404,NULL,NULL,NULL,NULL,NULL,2,8),(25,6108938,5.00,4.00,0.00,2.00,8.00,NULL,1.00,3.00,0.00,501,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108954,4.00,5.00,3.00,1.00,1.00,NULL,5.00,6.00,0.00,203,NULL,220,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6108962,1.00,3.00,1.00,2.00,1.00,NULL,0.00,0.00,1.00,103,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6108970,7.00,4.00,5.00,5.00,4.00,8.63,2.00,8.00,6.00,108,NULL,NULL,'PRAIA DO ROSA','IMBITUBA','SC',5992,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6108989,8.00,8.00,6.00,4.00,10.00,10.50,2.00,7.00,9.00,103,NULL,NULL,'CENTRO','MATÃO','SP',664,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6108997,5.00,6.00,3.00,7.00,7.00,7.50,1.00,6.00,8.00,340,NULL,NULL,'TERESOPOLIS','PTO ALEGRE','RS',5507,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6109004,8.00,8.00,7.00,5.00,8.00,10.13,1.00,8.00,7.00,103,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',1286,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6109012,1.00,2.00,0.00,1.00,2.00,NULL,0.00,2.00,1.00,104,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6109020,1.00,3.00,4.00,5.00,5.00,7.13,1.00,2.00,3.00,201,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',16146,1368,NULL,378,NULL,NULL,NULL,4,1),(25,6109039,8.00,5.00,4.00,6.00,8.00,9.75,4.00,5.00,9.00,216,NULL,203,'MERCÊS','CURITIBA','PR',1638,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6109063,7.00,6.00,4.00,7.00,8.00,7.50,2.00,6.00,5.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',3344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109071,2.00,2.00,0.00,4.00,6.00,NULL,0.00,3.00,0.00,214,NULL,235,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109080,3.00,3.00,1.00,3.00,7.00,7.13,1.00,2.00,5.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',16856,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6109098,3.00,5.00,1.00,2.00,3.00,6.00,1.00,6.00,0.00,336,NULL,NULL,'JD DOS PRINCIPES','UMUARAMA','PR',18765,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6109101,4.00,3.00,0.00,1.00,6.00,NULL,2.00,1.00,4.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ORLEANS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6109128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','REGISTRO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6109136,5.00,6.00,0.00,3.00,8.00,9.00,0.00,4.00,1.00,103,NULL,NULL,'JUVEVÊ','CURITIBA','PR',13713,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6109144,3.00,4.00,4.00,3.00,5.00,5.25,3.00,3.00,4.00,101,NULL,NULL,'FLORESTA','S JOSÉ','SC',15415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109152,3.00,5.00,2.00,6.00,4.00,9.38,1.00,6.00,6.00,999,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6109160,6.00,7.00,4.00,5.00,6.00,7.50,3.00,7.00,8.00,220,NULL,213,'SAGUAÇU','JOINVILLE','SC',4662,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6109179,5.00,6.00,4.00,2.00,8.00,7.13,4.00,4.00,4.00,208,NULL,238,'SERRARIA','S JOSÉ','SC',10456,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6109187,3.00,6.00,2.00,4.00,6.00,9.38,3.00,4.00,4.00,110,NULL,NULL,'VILA SÃO JOÃO','FLORIANÓPOLIS','SC',10610,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6109209,8.00,6.00,5.00,5.00,9.00,7.50,5.00,6.00,7.00,103,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',2082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109217,3.00,4.00,2.00,2.00,4.00,3.00,3.00,4.00,4.00,3,NULL,NULL,'SAO JOSE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6109225,2.00,4.00,1.00,3.00,5.00,7.13,1.00,2.00,0.00,203,NULL,214,'BELA VISTA','GASPAR','SC',20104,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6109233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ROSA','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6109241,3.00,2.00,3.00,4.00,4.00,7.50,1.00,0.00,0.00,207,NULL,201,'ITOUPAVA CENTRAL','BLUMENAU','SC',21471,1168,NULL,1725,NULL,NULL,NULL,2,2),(25,6109250,2.00,2.00,1.00,0.00,4.00,7.13,1.00,1.00,1.00,308,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',21268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109268,5.00,3.00,1.00,5.00,8.00,9.38,3.00,3.00,4.00,108,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6109276,6.00,5.00,3.00,6.00,6.00,8.25,1.00,4.00,4.00,203,NULL,214,'NAÇÕES','FRAIBURGO','SC',7273,NULL,NULL,NULL,NULL,NULL,NULL,4,7);
INSERT INTO boletim_desempenho VALUES (25,6109284,3.00,6.00,3.00,6.00,8.00,10.88,2.00,6.00,2.00,5,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',8548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109292,6.00,7.00,5.00,6.00,7.00,8.25,3.00,5.00,9.00,216,NULL,201,'ALTO DA XV','CURITIBA','PR',2908,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6109306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,428,'VILA MADALENA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6109322,9.00,8.00,6.00,7.00,9.00,12.75,4.00,9.00,9.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',39,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109330,0.00,6.00,3.00,5.00,6.00,7.88,1.00,4.00,4.00,110,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',12428,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6109349,5.00,7.00,3.00,7.00,8.00,9.00,3.00,6.00,6.00,3,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109357,8.00,7.00,8.00,6.00,9.00,9.75,6.00,8.00,8.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6109381,4.00,5.00,2.00,4.00,7.00,7.88,1.00,5.00,3.00,340,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',10386,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6109390,3.00,6.00,3.00,5.00,9.00,8.63,0.00,5.00,1.00,303,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13693,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6109403,3.00,5.00,3.00,6.00,7.00,11.25,2.00,4.00,4.00,207,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',10706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109411,3.00,5.00,1.00,4.00,6.00,7.88,2.00,4.00,2.00,211,NULL,NULL,'JARDIM VARAN','SUZANO','SP',13537,357,NULL,NULL,NULL,NULL,NULL,2,1),(25,6109420,6.00,4.00,3.00,3.00,6.00,7.13,0.00,5.00,3.00,108,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109438,7.00,7.00,2.00,4.00,8.00,9.38,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','CEL VIVIDA','PR',3681,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6109446,6.00,6.00,2.00,6.00,8.00,10.13,3.00,8.00,6.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109454,1.00,7.00,0.00,3.00,4.00,8.25,1.00,1.00,3.00,103,NULL,NULL,'MARUIPE','VITÓRIA','ES',16354,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6109462,2.00,2.00,1.00,0.00,7.00,NULL,1.00,1.00,1.00,415,NULL,NULL,'FORQUILINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109470,2.00,4.00,2.00,5.00,6.00,7.88,2.00,5.00,1.00,450,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109489,4.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,207,NULL,212,'LIDER','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,4),(25,6109497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PONTE PRETA','MTE ALEGRE SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6109500,6.00,6.00,1.00,6.00,7.00,9.38,1.00,3.00,2.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12589,587,NULL,NULL,NULL,NULL,NULL,2,1),(25,6109519,3.00,4.00,3.00,4.00,8.00,7.50,0.00,5.00,1.00,201,NULL,212,'ANZOLIN','JOAÇABA','SC',13097,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6109527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM VISTA ALEGRE','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6109535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,203,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6109551,2.00,5.00,2.00,3.00,5.00,9.38,1.00,2.00,1.00,104,NULL,NULL,'GUANABARA','JOINVILLE','SC',16371,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6109578,6.00,7.00,1.00,7.00,8.00,9.75,2.00,7.00,6.00,5,NULL,NULL,'CENTRO','PALHOÇA','SC',3731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ORFÃS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6109594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SMPW','NUC BANDEIRANTE','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6109608,9.00,7.00,6.00,7.00,10.00,13.50,4.00,9.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',59,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6109624,4.00,3.00,2.00,7.00,7.00,7.50,2.00,1.00,3.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',13951,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6109632,3.00,3.00,3.00,3.00,5.00,6.75,1.00,4.00,3.00,5,NULL,NULL,'SUMARÉ','RIO SUL','SC',18212,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6109659,5.00,5.00,0.00,7.00,6.00,NULL,0.00,3.00,0.00,303,NULL,NULL,'JARDIM SÃO MIGUEL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6109667,3.00,6.00,2.00,6.00,7.00,9.00,2.00,6.00,6.00,201,NULL,207,'JARDIM PEPERI','S MIGUEL OESTE','SC',7804,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6109675,3.00,4.00,3.00,5.00,5.00,6.38,3.00,4.00,5.00,238,NULL,208,'JARDIM ELDORADO','PALHOÇA','SC',16021,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6109683,8.00,8.00,8.00,6.00,9.00,7.88,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA LUCINDA','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6109705,9.00,7.00,3.00,6.00,11.00,10.13,2.00,6.00,7.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',1649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109713,4.00,5.00,1.00,5.00,8.00,9.75,3.00,7.00,0.00,211,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',9284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109721,3.00,8.00,1.00,1.00,4.00,8.25,2.00,0.00,2.00,110,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',19549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109730,5.00,7.00,6.00,5.00,7.00,9.75,2.00,4.00,8.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',3772,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6109756,6.00,6.00,3.00,1.00,8.00,9.00,1.00,7.00,5.00,104,NULL,NULL,'CENTRO','MARMELEIRO','PR',8029,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6109764,3.00,3.00,3.00,4.00,5.00,9.38,1.00,5.00,1.00,452,NULL,NULL,'INTERIOR','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6109772,7.00,4.00,6.00,7.00,7.00,10.13,4.00,4.00,6.00,103,NULL,NULL,'LAGO NORTE','LG NORTE','DF',2612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109780,4.00,5.00,2.00,5.00,6.00,9.00,3.00,3.00,4.00,415,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11021,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6109799,7.00,5.00,1.00,6.00,9.00,8.25,0.00,5.00,3.00,207,NULL,211,'JARDIM ATENAS','SERTÃOZINHO','SP',8118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109802,8.00,7.00,4.00,7.00,8.00,11.25,6.00,8.00,9.00,103,NULL,NULL,'SION','BELO HORIZONTE','MG',320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109810,6.00,5.00,3.00,4.00,6.00,9.38,4.00,4.00,6.00,303,NULL,NULL,'JUVEVÊ','CURITIBA','PR',5216,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6109837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'EXPOSIÇÃO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6109845,5.00,5.00,1.00,6.00,8.00,10.50,1.00,3.00,3.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109853,9.00,6.00,2.00,6.00,10.00,8.25,5.00,6.00,9.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',1480,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6109861,6.00,5.00,2.00,5.00,6.00,7.13,1.00,4.00,5.00,207,NULL,201,'CENTRO','ITAPEMA','SC',11090,573,NULL,927,NULL,NULL,NULL,2,3),(25,6109870,4.00,6.00,3.00,6.00,5.00,10.13,2.00,2.00,2.00,101,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',12870,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6109888,6.00,7.00,4.00,0.00,8.00,NULL,0.00,6.00,3.00,103,NULL,NULL,'CENTRO','GALVÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6109896,8.00,7.00,3.00,6.00,8.00,10.50,2.00,7.00,8.00,103,NULL,NULL,'TESTO CENTRAL','POMERODE','SC',2099,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6109918,2.00,1.00,2.00,2.00,6.00,NULL,0.00,2.00,0.00,301,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6109926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JUVEVÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6109942,7.00,6.00,4.00,4.00,8.00,8.63,4.00,5.00,4.00,108,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',7110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109950,2.00,5.00,0.00,4.00,4.00,7.88,1.00,4.00,4.00,302,NULL,NULL,'CENTRO','MISSAL','PR',17216,135,NULL,NULL,NULL,NULL,NULL,2,1),(25,6109969,9.00,6.00,5.00,6.00,9.00,8.63,3.00,7.00,9.00,103,NULL,NULL,'JD LOS ANGELES','MARINGÁ','PR',940,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6109977,8.00,5.00,4.00,6.00,10.00,10.50,1.00,6.00,7.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',2437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109985,5.00,6.00,3.00,5.00,9.00,8.63,3.00,3.00,5.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6109993,8.00,7.00,5.00,7.00,9.00,11.25,6.00,9.00,8.00,103,NULL,NULL,'SANTO AMARO','S PAULO','SP',79,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110002,3.00,5.00,3.00,2.00,5.00,6.38,2.00,1.00,2.00,444,NULL,NULL,'FURADINHO','PALHOÇA','SC',18712,110,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110010,5.00,5.00,0.00,7.00,6.00,9.38,3.00,5.00,4.00,104,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',8749,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6110029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,211,'SÃO LOURENÇO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6110037,3.00,8.00,2.00,5.00,8.00,8.63,4.00,5.00,5.00,103,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',6355,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6110045,6.00,7.00,3.00,5.00,7.00,9.75,0.00,4.00,2.00,304,NULL,NULL,'BARREIROS','S JOSÉ','SC',9829,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6110053,7.00,8.00,3.00,7.00,9.00,10.88,2.00,6.00,6.00,211,NULL,212,'STO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC',2450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110061,8.00,7.00,7.00,7.00,9.00,11.25,5.00,7.00,8.00,5,NULL,NULL,'JD DAS INDÚSTRIAS','S JOSÉ CAMPOS','SP',164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110070,2.00,4.00,1.00,7.00,4.00,9.75,1.00,2.00,2.00,238,NULL,655,'VERA CRUZ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6110096,6.00,5.00,2.00,7.00,7.00,10.13,4.00,4.00,7.00,102,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',5040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110100,2.00,5.00,0.00,5.00,5.00,NULL,4.00,4.00,0.00,201,NULL,202,'JARDIM JOSÉ RUPP','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6110118,4.00,5.00,1.00,0.00,5.00,NULL,1.00,2.00,0.00,223,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110126,3.00,5.00,3.00,3.00,6.00,8.25,0.00,4.00,1.00,317,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',18788,157,NULL,NULL,NULL,NULL,NULL,2,1),(25,6110134,4.00,5.00,4.00,6.00,6.00,7.50,2.00,3.00,3.00,303,NULL,NULL,'ALTO DA BOA VISTA','SOROCABA','SP',10725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110142,7.00,8.00,4.00,5.00,11.00,10.13,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',1962,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6110169,6.00,4.00,3.00,4.00,10.00,9.38,3.00,5.00,5.00,450,NULL,NULL,'VILA INDUSTRIAL','S JOSÉ CAMPOS','SP',5024,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6110177,3.00,4.00,0.00,3.00,6.00,NULL,0.00,3.00,2.00,201,NULL,203,'CRUZEIRO DO SUL','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6110185,7.00,7.00,6.00,7.00,8.00,7.50,5.00,6.00,9.00,103,NULL,NULL,'SANTO ANTONIO','CPO GRANDE','MS',1433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110207,8.00,4.00,0.00,6.00,9.00,8.25,3.00,4.00,7.00,104,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',7339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6110223,6.00,3.00,6.00,5.00,6.00,9.00,2.00,4.00,6.00,201,NULL,212,'PRESIDENTE MÉDICI','CHAPECÓ','SC',5940,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6110231,5.00,7.00,3.00,4.00,7.00,7.88,1.00,3.00,4.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110240,4.00,5.00,1.00,5.00,8.00,6.75,2.00,3.00,2.00,327,NULL,NULL,'BIGORRILHO','CURITIBA','PR',14439,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6110258,2.00,5.00,3.00,3.00,4.00,NULL,0.00,3.00,4.00,201,NULL,207,'SENHOR BOM JESUS','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6110266,9.00,6.00,6.00,6.00,10.00,10.50,4.00,6.00,9.00,103,NULL,NULL,'JARDIM ITATIAIA','LONDRINA','PR',737,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6110274,5.00,2.00,1.00,5.00,8.00,7.88,0.00,4.00,1.00,503,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16880,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6110282,2.00,5.00,2.00,1.00,6.00,9.00,1.00,4.00,2.00,213,NULL,238,'RIO CAVEIRAS','BIGUAÇU','SC',15432,225,NULL,314,NULL,NULL,NULL,2,1),(25,6110290,8.00,7.00,4.00,6.00,10.00,8.25,1.00,5.00,9.00,103,NULL,NULL,'SANTA MARIA','S CAETANO SUL','SP',2128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110304,7.00,6.00,2.00,5.00,6.00,11.63,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',6967,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6110312,4.00,4.00,6.00,4.00,7.00,8.63,1.00,5.00,8.00,103,NULL,NULL,'SAN FERNANDO','LONDRINA','PR',6577,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6110339,5.00,7.00,2.00,4.00,9.00,11.25,0.00,5.00,4.00,415,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',7632,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6110347,1.00,4.00,1.00,0.00,5.00,6.75,0.00,3.00,2.00,5,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',21300,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6110355,3.00,4.00,2.00,4.00,5.00,6.75,1.00,2.00,2.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18256,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6110363,6.00,5.00,0.00,3.00,6.00,10.13,2.00,5.00,3.00,104,NULL,NULL,'CENTRO','FREDERICO WESTPHALEN','RS',11663,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6110371,6.00,4.00,3.00,3.00,9.00,10.88,3.00,6.00,6.00,203,NULL,211,'CENTRO','XAXIM','SC',6718,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6110380,4.00,4.00,2.00,4.00,6.00,6.00,2.00,2.00,1.00,207,NULL,201,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',17381,925,NULL,1440,NULL,NULL,NULL,2,1),(25,6110398,4.00,4.00,6.00,6.00,9.00,13.13,3.00,5.00,8.00,207,NULL,201,'LOGRADOURO','NOVA PETRÓPOLIS','RS',2075,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6110401,3.00,5.00,1.00,3.00,4.00,8.25,1.00,2.00,4.00,203,NULL,214,'CENTRO','TELÊMACO BORBA','PR',15662,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6110410,3.00,5.00,1.00,5.00,8.00,10.50,2.00,4.00,0.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6110428,3.00,7.00,5.00,4.00,6.00,8.25,2.00,4.00,1.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14437,325,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110436,3.00,3.00,2.00,2.00,3.00,NULL,0.00,1.00,0.00,104,NULL,NULL,'CENTRO','PLANALTO ALEGRE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6110444,8.00,4.00,4.00,7.00,4.00,9.75,2.00,6.00,7.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',4530,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6110460,3.00,5.00,4.00,1.00,4.00,7.13,3.00,2.00,1.00,238,NULL,208,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110479,3.00,3.00,0.00,2.00,4.00,7.13,1.00,1.00,2.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',19524,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6110487,8.00,7.00,3.00,7.00,9.00,9.00,4.00,8.00,8.00,103,NULL,NULL,'PERDIZES','S PAULO','SP',1214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6110509,7.00,6.00,5.00,5.00,8.00,9.00,4.00,6.00,8.00,103,NULL,NULL,'SÃO CRISTÓVÃO','CASCAVEL','PR',1922,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6110517,5.00,5.00,0.00,6.00,5.00,6.75,2.00,4.00,3.00,103,NULL,NULL,'BATEL','CURITIBA','PR',12472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110525,3.00,4.00,4.00,6.00,6.00,11.25,1.00,1.00,2.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',11965,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6110533,5.00,6.00,0.00,2.00,7.00,NULL,2.00,2.00,3.00,208,NULL,601,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6110541,6.00,6.00,2.00,7.00,9.00,10.13,1.00,3.00,6.00,103,NULL,NULL,'PARALELA','SALVADOR','BA',4758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM FLÓRIDA','JACAREÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6110568,4.00,4.00,2.00,0.00,6.00,10.13,0.00,0.00,3.00,207,NULL,201,'CENTRO','GETÚLIO VARGAS','RS',18061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110576,5.00,6.00,4.00,7.00,9.00,7.50,3.00,1.00,6.00,103,NULL,NULL,'VILA FLAMBOYANT','APUCARANA','PR',5726,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6110584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CRUZEIRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6110592,8.00,6.00,2.00,4.00,8.00,7.88,1.00,4.00,6.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',6128,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6110606,2.00,2.00,2.00,2.00,5.00,7.50,3.00,1.00,2.00,328,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110614,8.00,8.00,3.00,8.00,11.00,11.63,2.00,8.00,6.00,103,NULL,NULL,'CENTRO','S MATEUS SUL','PR',1089,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6110622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PRAIA BRAVA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6110630,7.00,3.00,1.00,3.00,6.00,8.25,0.00,1.00,6.00,104,NULL,NULL,'CENTRO','LAJEADO','RS',14120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6110649,8.00,5.00,5.00,4.00,8.00,8.25,0.00,4.00,7.00,103,NULL,NULL,'VILA SOLENE','CPO LARGO','PR',4173,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6110665,2.00,5.00,1.00,1.00,5.00,7.13,2.00,1.00,1.00,601,NULL,NULL,'CENTRO','BARRA VELHA','SC',21074,603,NULL,NULL,NULL,NULL,NULL,4,8),(25,6110673,8.00,5.00,8.00,6.00,9.00,12.00,6.00,8.00,8.00,216,NULL,215,'PROGRESSO','RIO SUL','SC',243,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6110681,2.00,3.00,2.00,5.00,9.00,7.88,0.00,2.00,1.00,212,NULL,213,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6110703,5.00,3.00,4.00,2.00,6.00,8.25,0.00,5.00,5.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',11015,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6110711,4.00,4.00,2.00,6.00,8.00,10.13,1.00,2.00,3.00,301,NULL,NULL,'ALTO TAQUARAL','CAMPINAS','SP',10031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110720,2.00,3.00,1.00,4.00,6.00,7.88,2.00,2.00,2.00,103,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',20257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110738,3.00,4.00,4.00,5.00,6.00,6.38,0.00,2.00,3.00,201,NULL,212,'SORGATTO','CAÇADOR','SC',15753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'UNIVERSITARIO','CORUMBÁ','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6110762,6.00,4.00,1.00,3.00,7.00,9.75,1.00,5.00,3.00,103,NULL,NULL,'CASCATINHA','PTE SERRADA','SC',12057,3875,NULL,NULL,NULL,NULL,NULL,2,1),(25,6110770,5.00,6.00,5.00,4.00,6.00,8.63,3.00,4.00,6.00,453,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',7961,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6110789,7.00,7.00,3.00,6.00,10.00,10.88,1.00,6.00,5.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5340,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6110797,2.00,3.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6110800,5.00,5.00,5.00,7.00,8.00,11.25,3.00,6.00,3.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',6955,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6110819,6.00,4.00,6.00,6.00,7.00,6.00,4.00,5.00,5.00,203,NULL,202,'CENTRO','LAURENTINO','SC',7570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VALE DO ARVOREDO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6110835,5.00,4.00,2.00,5.00,8.00,9.00,0.00,3.00,3.00,220,NULL,214,'JARDIM CATANDUVA','S PAULO','SP',10492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110843,3.00,3.00,2.00,4.00,6.00,7.13,2.00,1.00,2.00,212,NULL,211,'PICADAS DO SUL','S JOSÉ','SC',20487,574,NULL,540,NULL,NULL,NULL,2,1),(25,6110851,6.00,8.00,4.00,6.00,9.00,7.13,2.00,5.00,9.00,103,NULL,NULL,'ALICE I','FOZ IGUAÇU','PR',2919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110878,9.00,8.00,8.00,7.00,10.00,9.75,6.00,9.00,8.00,103,NULL,NULL,'NOVA PETROPOLIS','S BERNARDO CAMPO','SP',81,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110894,3.00,6.00,1.00,5.00,3.00,10.13,0.00,2.00,4.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18254,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6110908,4.00,5.00,3.00,5.00,8.00,10.88,2.00,2.00,5.00,207,NULL,201,'UVARANAS','PNT GROSSA','PR',8654,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6110916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SOCORRO','PINDAMONHANGABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6110924,8.00,6.00,3.00,5.00,7.00,8.25,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',4108,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6110932,4.00,3.00,2.00,1.00,4.00,11.25,3.00,2.00,3.00,335,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110940,4.00,4.00,3.00,3.00,5.00,7.13,2.00,4.00,2.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6110959,6.00,7.00,5.00,6.00,6.00,7.88,1.00,3.00,4.00,103,NULL,NULL,'VILA REGENTE FEIJÓ','S PAULO','SP',7807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110967,9.00,6.00,7.00,7.00,9.00,7.13,6.00,8.00,7.00,214,NULL,213,'JD DAS HORTÊNCIAS','JUNDIAÍ','SP',534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6110983,8.00,5.00,7.00,7.00,9.00,9.75,2.00,6.00,8.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',943,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6110991,7.00,7.00,4.00,6.00,9.00,9.38,3.00,6.00,4.00,202,NULL,213,'CAIEIRA DA B DO SUL','FLORIANÓPOLIS','SC',3643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111009,7.00,4.00,3.00,7.00,7.00,8.63,2.00,6.00,3.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',8432,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6111017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6111025,1.00,5.00,1.00,2.00,5.00,6.38,0.00,3.00,1.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6111033,6.00,5.00,3.00,4.00,9.00,8.25,3.00,6.00,3.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',6749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111041,8.00,8.00,4.00,6.00,8.00,13.50,1.00,5.00,8.00,216,NULL,233,'CENTRO','PASSO FUNDO','RS',2076,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6111050,4.00,5.00,2.00,6.00,6.00,10.13,3.00,5.00,6.00,452,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111068,5.00,3.00,0.00,2.00,6.00,NULL,0.00,4.00,4.00,203,NULL,214,'JARDIM ARISTOCRATA','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6111076,7.00,5.00,4.00,6.00,8.00,9.00,1.00,6.00,8.00,103,NULL,NULL,'ASA SUL','BRASÍLIA','DF',2822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111084,5.00,7.00,2.00,0.00,5.00,NULL,3.00,5.00,5.00,301,NULL,NULL,'CAMPO BELO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111092,6.00,6.00,2.00,6.00,7.00,10.13,2.00,7.00,5.00,319,NULL,NULL,'BOA VISTA','CURITIBA','PR',4835,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6111114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'EXPOSIÇÃO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6111122,4.00,7.00,3.00,6.00,9.00,9.75,2.00,4.00,6.00,318,NULL,NULL,'JARDIM SAMAMBAIA','CAMPINAS','SP',5520,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6111130,4.00,5.00,1.00,5.00,6.00,11.25,2.00,2.00,6.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',8453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111149,4.00,5.00,0.00,6.00,7.00,5.63,1.00,2.00,3.00,238,NULL,213,'ROÇADO','S JOSÉ','SC',14347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111157,3.00,4.00,1.00,0.00,8.00,7.50,1.00,6.00,3.00,340,NULL,NULL,'IPIRANGA','S JOSÉ','SC',16863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111165,3.00,6.00,3.00,5.00,5.00,10.13,2.00,4.00,1.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM TROPICAL','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6111190,3.00,6.00,2.00,4.00,6.00,8.25,1.00,4.00,3.00,202,NULL,601,'CENTRO','CURITIBA','PR',11244,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6111203,5.00,4.00,0.00,6.00,6.00,9.00,2.00,3.00,3.00,336,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',15216,118,NULL,NULL,NULL,NULL,NULL,4,4),(25,6111211,8.00,5.00,7.00,7.00,10.00,10.13,7.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6111220,9.00,8.00,7.00,5.00,9.00,9.00,6.00,9.00,9.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',154,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6111238,3.00,4.00,3.00,3.00,2.00,NULL,1.00,8.00,2.00,453,NULL,NULL,'PRAIA DO SONHO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111246,8.00,8.00,3.00,6.00,10.00,10.50,2.00,7.00,7.00,103,NULL,NULL,'CHACARA MALOTA','JUNDIAÍ','SP',1155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111254,7.00,6.00,7.00,7.00,10.00,12.00,3.00,8.00,8.00,415,NULL,NULL,'KOBRASOL','S JOSÉ','SC',501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6111270,5.00,5.00,0.00,3.00,8.00,9.38,1.00,2.00,2.00,302,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',13475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111289,7.00,7.00,3.00,6.00,7.00,8.63,4.00,5.00,8.00,235,NULL,202,'SAGUAÇU','JOINVILLE','SC',3677,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6111300,1.00,4.00,4.00,4.00,7.00,9.38,1.00,6.00,2.00,201,NULL,238,'CENTRO','ANTÔNIO CARLOS','SC',15080,1281,NULL,298,NULL,NULL,NULL,2,1),(25,6111319,7.00,5.00,5.00,6.00,8.00,9.38,2.00,5.00,8.00,214,NULL,213,'BOQUEIRÃO','SANTOS','SP',2537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111327,2.00,5.00,2.00,2.00,4.00,6.00,1.00,5.00,3.00,335,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',19733,21,NULL,NULL,NULL,NULL,NULL,2,1),(25,6111335,6.00,6.00,3.00,5.00,8.00,9.00,4.00,6.00,4.00,103,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111343,3.00,5.00,2.00,4.00,6.00,6.38,2.00,6.00,1.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15724,553,NULL,NULL,NULL,NULL,NULL,2,1),(25,6111351,7.00,6.00,3.00,6.00,7.00,12.00,6.00,7.00,4.00,9,NULL,NULL,'AMÉRICA','JOINVILLE','SC',2751,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6111360,5.00,4.00,2.00,2.00,4.00,9.00,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',13908,4115,NULL,NULL,NULL,NULL,NULL,2,4),(25,6111378,6.00,5.00,4.00,6.00,8.00,10.13,5.00,5.00,5.00,319,NULL,NULL,'MANDAQUI','S PAULO','SP',4756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111386,8.00,7.00,4.00,6.00,10.00,11.25,5.00,9.00,9.00,108,NULL,NULL,'ATIRADORES','JOINVILLE','SC',191,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6111394,5.00,6.00,3.00,2.00,6.00,7.13,1.00,1.00,2.00,103,NULL,NULL,'PROGRESSO','BLUMENAU','SC',14856,4208,NULL,NULL,NULL,NULL,NULL,4,2),(25,6111408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6111424,6.00,6.00,5.00,7.00,8.00,12.00,2.00,8.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111432,5.00,8.00,6.00,5.00,9.00,8.63,2.00,7.00,8.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2725,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6111440,8.00,6.00,4.00,5.00,9.00,10.13,3.00,4.00,9.00,103,NULL,NULL,'ORIÇÓ','GRAVATAÍ','RS',2889,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6111459,3.00,4.00,3.00,3.00,4.00,8.25,1.00,2.00,1.00,319,NULL,NULL,'JARDIM FLORIDA','CPO MOURÃO','PR',17887,357,NULL,NULL,NULL,NULL,NULL,4,8),(25,6111467,5.00,5.00,2.00,5.00,9.00,7.88,0.00,5.00,4.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8391,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6111475,5.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6111483,6.00,7.00,6.00,5.00,7.00,7.88,0.00,2.00,5.00,103,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',8038,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6111491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6111505,3.00,5.00,1.00,4.00,9.00,10.13,2.00,5.00,1.00,309,NULL,NULL,'MORRO DA CRUZ','FLORIANÓPOLIS','SC',14138,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6111513,5.00,6.00,4.00,2.00,7.00,5.63,1.00,4.00,4.00,202,NULL,NULL,'JARDIM LANCASTER','FOZ IGUAÇU','PR',12138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111521,5.00,6.00,1.00,3.00,11.00,9.75,2.00,7.00,2.00,450,NULL,NULL,'JARDIM AMÉRICA','CAXIAS SUL','RS',8075,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6111530,2.00,4.00,2.00,1.00,6.00,NULL,1.00,1.00,0.00,333,NULL,NULL,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111548,2.00,3.00,1.00,0.00,4.00,6.00,0.00,1.00,2.00,203,NULL,211,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6111556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','ÁGUAS CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6111572,3.00,4.00,1.00,3.00,9.00,8.25,0.00,3.00,1.00,317,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',16438,99,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111580,8.00,8.00,5.00,5.00,10.00,12.00,4.00,7.00,7.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111599,4.00,6.00,1.00,2.00,7.00,7.50,1.00,1.00,4.00,208,NULL,233,'XV DE NOVEMBRO','TIJUCAS','SC',17192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111602,6.00,5.00,3.00,6.00,7.00,NULL,0.00,7.00,8.00,103,NULL,NULL,'SANTA CATARINA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6111610,7.00,7.00,6.00,5.00,10.00,8.25,4.00,8.00,8.00,203,NULL,202,'CHACARA PRIMAVERA','CAMPINAS','SP',1128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111637,6.00,4.00,5.00,7.00,9.00,7.50,2.00,3.00,3.00,340,NULL,NULL,'WERNER PLAAS','AMERICANA','SP',6600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111645,4.00,7.00,1.00,4.00,9.00,7.13,1.00,5.00,4.00,415,NULL,NULL,'AREIAS','S JOSÉ','SC',10185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111653,2.00,2.00,3.00,5.00,6.00,0.00,2.00,5.00,0.00,203,NULL,201,'VILA SÃO JOÃO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6111688,4.00,5.00,3.00,5.00,7.00,8.25,2.00,5.00,6.00,5,NULL,NULL,'OFICINAS','TUBARÃO','SC',8714,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6111700,4.00,3.00,2.00,6.00,9.00,8.63,2.00,4.00,3.00,103,NULL,NULL,'JARDIM LINDOIA','GOIOERÊ','PR',10887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6111734,3.00,7.00,2.00,3.00,8.00,8.25,1.00,5.00,2.00,319,NULL,NULL,'OPERÁRIO','NOVO HAMBURGO','RS',15326,292,NULL,NULL,NULL,NULL,NULL,2,1),(25,6111742,5.00,5.00,3.00,5.00,6.00,7.88,2.00,7.00,3.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6111750,5.00,4.00,2.00,4.00,7.00,10.88,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',10664,3662,NULL,NULL,NULL,NULL,NULL,2,10),(25,6111769,3.00,4.00,1.00,3.00,5.00,7.88,2.00,2.00,3.00,216,NULL,215,'SÃO CRISTÓVÃO','LAGES','SC',20110,615,NULL,321,NULL,NULL,NULL,4,9),(25,6111777,8.00,6.00,1.00,6.00,7.00,12.00,4.00,7.00,7.00,103,NULL,NULL,'JUVEVÊ','CURITIBA','PR',1825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111785,3.00,3.00,2.00,1.00,8.00,8.63,1.00,4.00,2.00,215,NULL,NULL,'SAÚDE','S PAULO','SP',14250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111793,5.00,4.00,5.00,4.00,6.00,6.75,0.00,2.00,4.00,202,NULL,655,'JARDIM LOS ANGELES','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6111807,5.00,7.00,3.00,6.00,7.00,8.25,2.00,3.00,4.00,208,NULL,238,'CENTRO','TUBARÃO','SC',7485,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6111815,8.00,6.00,7.00,7.00,9.00,10.50,5.00,6.00,8.00,203,NULL,220,'SETOR CASTELO BRANCO','GOIÂNIA','GO',405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111823,7.00,7.00,7.00,7.00,8.00,9.38,7.00,7.00,8.00,220,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111831,6.00,7.00,4.00,7.00,10.00,9.00,4.00,9.00,8.00,220,NULL,208,'COSTA E SILVA','JOINVILLE','SC',1189,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6111840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA POMPÉIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6111858,7.00,8.00,5.00,7.00,9.00,9.00,1.00,8.00,9.00,103,NULL,NULL,'COLATTO','XANXERÊ','SC',672,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6111866,1.00,4.00,3.00,5.00,7.00,8.25,2.00,4.00,2.00,339,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',14995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6111874,7.00,8.00,5.00,4.00,8.00,9.75,6.00,5.00,6.00,203,NULL,214,'ALPHAVILLE GRACIOSA','PINHAIS','PR',1862,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6111882,7.00,0.00,5.00,6.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6111890,8.00,6.00,6.00,6.00,9.00,10.13,5.00,7.00,7.00,201,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',1001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111904,4.00,4.00,2.00,5.00,8.00,12.38,1.00,4.00,3.00,103,NULL,NULL,'CARANDÁ BOSQUE','CPO GRANDE','MS',8528,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6111920,6.00,4.00,4.00,7.00,10.00,7.88,2.00,3.00,6.00,103,NULL,NULL,'BROOKLIN','S PAULO','SP',5045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111939,5.00,5.00,4.00,6.00,7.00,7.50,1.00,4.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',8896,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6111955,5.00,7.00,5.00,6.00,8.00,8.25,2.00,6.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6111963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO JACUI','ESPUMOSO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6111971,3.00,4.00,1.00,6.00,8.00,12.75,3.00,2.00,1.00,104,NULL,NULL,'CENTRO','RIO SUL','SC',11611,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6111980,6.00,0.00,1.00,5.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(25,6111998,4.00,6.00,4.00,5.00,6.00,6.75,3.00,7.00,5.00,501,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8382,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6112005,4.00,2.00,5.00,4.00,6.00,6.75,2.00,0.00,2.00,104,NULL,NULL,'CENTRO','CHAPECÓ','SC',15835,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6112013,3.00,5.00,0.00,1.00,5.00,8.63,1.00,5.00,5.00,5,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',15958,562,NULL,NULL,NULL,NULL,NULL,4,1),(25,6112021,2.00,0.00,1.00,3.00,5.00,8.63,1.00,0.00,0.00,201,NULL,207,'ESTRADA DAS AREIAS','INDAIAL','SC',21623,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6112030,4.00,6.00,4.00,6.00,4.00,7.50,2.00,4.00,5.00,215,NULL,216,'CENTRO','TIMBÓ','SC',9454,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6112056,1.00,3.00,1.00,0.00,2.00,NULL,0.00,3.00,0.00,208,NULL,238,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6112064,7.00,4.00,3.00,7.00,9.00,9.38,3.00,7.00,5.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',4585,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6112072,8.00,6.00,6.00,5.00,9.00,13.13,4.00,8.00,9.00,103,NULL,NULL,'GRAMADO II','CASCAVEL','PR',516,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6112080,2.00,3.00,1.00,4.00,3.00,10.88,2.00,0.00,1.00,318,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',20859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6112099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6112110,8.00,5.00,5.00,4.00,9.00,10.50,3.00,7.00,7.00,103,NULL,NULL,'TINGUI','CURITIBA','PR',1450,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6112129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6112145,6.00,6.00,2.00,7.00,8.00,7.88,3.00,7.00,4.00,211,NULL,220,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',5823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6112153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'JARDIM DAS ACÁCIAS','PARIQUERA-AÇU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6112161,4.00,5.00,0.00,3.00,6.00,7.88,0.00,6.00,3.00,999,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6112188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NOVA ESPERANÇA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6112200,5.00,7.00,3.00,5.00,8.00,NULL,0.00,0.00,5.00,201,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6112218,4.00,4.00,1.00,6.00,10.00,11.63,1.00,4.00,5.00,207,NULL,201,'LOTE SEIS','CRICIÚMA','SC',9876,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6112226,4.00,5.00,7.00,5.00,5.00,5.25,4.00,5.00,5.00,201,NULL,212,'CENTRO','LONDRINA','PR',9245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6112234,8.00,8.00,8.00,5.00,6.00,10.13,6.00,7.00,8.00,103,NULL,NULL,'VILA HARMONIA','ARARAQUARA','SP',673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6112242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'CENTRO','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6112250,6.00,4.00,3.00,3.00,8.00,7.50,2.00,7.00,7.00,103,NULL,NULL,'SANTA CRUZ','TREZE MAIO','SC',7224,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6112269,5.00,5.00,4.00,5.00,7.00,11.25,0.00,6.00,2.00,452,NULL,NULL,'CENTRO','LAGES','SC',7199,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6112285,1.00,4.00,3.00,2.00,3.00,6.38,2.00,1.00,4.00,301,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',21122,307,NULL,NULL,NULL,NULL,NULL,2,1),(25,6112293,2.00,5.00,1.00,2.00,3.00,NULL,2.00,0.00,3.00,104,NULL,NULL,'JUVENTUDE','GARIBALDI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6112307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'BROOKLIN VELHO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6112323,6.00,8.00,3.00,7.00,8.00,8.63,1.00,7.00,4.00,303,NULL,NULL,'ATIRADORES','JOINVILLE','SC',4784,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6112331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6112340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6112358,6.00,6.00,6.00,5.00,7.00,9.75,1.00,4.00,7.00,214,NULL,212,'CENTRO','JABOTICABAL','SP',4942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6112366,2.00,5.00,0.00,3.00,5.00,NULL,1.00,2.00,0.00,109,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6112382,6.00,7.00,6.00,5.00,6.00,9.38,3.00,7.00,6.00,211,NULL,202,'NOVO HORIZONTE','MARINGÁ','PR',4399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6112439,3.00,5.00,2.00,5.00,6.00,NULL,0.00,4.00,4.00,301,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6112447,3.00,6.00,1.00,2.00,9.00,8.25,2.00,7.00,4.00,340,NULL,NULL,'ROÇADO','S JOSÉ','SC',10435,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6112455,6.00,3.00,4.00,7.00,8.00,8.63,2.00,5.00,3.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',6717,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6112463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'JARDIM ESTORIL','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6112471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','S MIGUEL IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6112480,5.00,5.00,3.00,7.00,6.00,10.50,0.00,1.00,1.00,102,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',10053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6112498,7.00,5.00,3.00,6.00,9.00,12.00,2.00,7.00,8.00,303,NULL,NULL,'AEROPORTO','TUBARÃO','SC',1647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6112501,6.00,6.00,7.00,6.00,6.00,10.50,2.00,3.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4075,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6112528,6.00,6.00,5.00,5.00,5.00,6.75,3.00,5.00,4.00,233,NULL,601,'CENTRO','RENASCENÇA','PR',9357,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6112536,2.00,7.00,0.00,6.00,7.00,10.13,1.00,6.00,0.00,337,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',13765,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6112544,0.00,4.00,1.00,4.00,2.00,NULL,0.00,2.00,1.00,104,NULL,NULL,'IMIGRANTES','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6112552,4.00,4.00,2.00,5.00,5.00,7.88,1.00,3.00,4.00,450,NULL,NULL,'FLORESTA','S JOSÉ','SC',13944,98,NULL,NULL,NULL,NULL,NULL,4,1),(25,6112560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPO BELO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6112579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,207,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6112587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6112595,6.00,4.00,0.00,6.00,4.00,NULL,0.00,4.00,0.00,333,NULL,NULL,'MIRAGE','ANÁPOLIS','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6112617,7.00,5.00,2.00,6.00,8.00,9.38,2.00,8.00,6.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',4232,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6112641,7.00,6.00,3.00,6.00,8.00,7.88,2.00,8.00,6.00,216,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',3790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6112650,7.00,5.00,4.00,6.00,6.00,6.75,4.00,6.00,6.00,103,NULL,NULL,'SANTA CÂNDIDA','CURITIBA','PR',5057,2443,NULL,NULL,NULL,NULL,NULL,4,8),(25,6112668,2.00,6.00,4.00,3.00,8.00,8.25,3.00,5.00,4.00,201,NULL,202,'CARANDÁ BOSQUE','CPO GRANDE','MS',9949,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6112684,2.00,4.00,4.00,3.00,7.00,6.75,2.00,4.00,2.00,208,NULL,203,'CENTRO','S MIGUEL IGUAÇU','PR',17596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6112706,5.00,5.00,5.00,3.00,6.00,6.00,2.00,4.00,4.00,203,NULL,202,'JARDIM LUCIANÓPOLIS','MARINGÁ','PR',10709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6112714,4.00,6.00,1.00,4.00,8.00,7.88,1.00,5.00,4.00,5,NULL,NULL,'JARDIM IRIRIÚ','JOINVILLE','SC',11000,395,NULL,NULL,NULL,NULL,NULL,2,8),(25,6112722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'ASA SUL','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6112749,3.00,5.00,4.00,1.00,7.00,6.38,2.00,5.00,2.00,203,NULL,201,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',17680,1021,NULL,1464,NULL,NULL,NULL,4,1),(25,6112757,3.00,4.00,1.00,4.00,3.00,6.38,2.00,2.00,2.00,404,NULL,NULL,'JD AQUARIUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6112765,4.00,6.00,3.00,3.00,5.00,7.13,3.00,0.00,4.00,304,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',14313,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6112773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','TANGARÁ SERRA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6112781,1.00,4.00,1.00,3.00,4.00,9.00,3.00,2.00,0.00,211,NULL,238,'VILA NOVA','JOINVILLE','SC',20911,551,NULL,515,NULL,NULL,NULL,4,8),(25,6112790,5.00,7.00,1.00,2.00,5.00,7.50,1.00,3.00,5.00,9,NULL,NULL,'FREITAS','PAULO LOPES','SC',15629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6112811,1.00,3.00,2.00,4.00,6.00,6.75,1.00,2.00,2.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6112820,3.00,4.00,3.00,5.00,3.00,9.00,1.00,3.00,3.00,428,NULL,426,'ROÇADO','S JOSÉ','SC',18575,43,NULL,NULL,NULL,NULL,NULL,2,1),(25,6112838,7.00,6.00,6.00,6.00,9.00,8.63,3.00,5.00,5.00,103,NULL,NULL,'BELA VISTA','IBIRAMA','SC',3284,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6112846,3.00,1.00,0.00,0.00,4.00,NULL,2.00,3.00,0.00,9,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6112854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM SAO LOURENCO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',1,1),(25,6112862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTANA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6112889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6112897,2.00,4.00,1.00,2.00,3.00,6.38,1.00,2.00,2.00,319,NULL,NULL,'INTERIOR','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6112919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'MARAPÉ','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6112935,3.00,3.00,3.00,5.00,7.00,8.25,0.00,6.00,2.00,332,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',14359,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6112943,7.00,7.00,2.00,7.00,10.00,9.75,2.00,7.00,5.00,319,NULL,NULL,'BELA VISTA','GOIÂNIA','GO',3848,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6112951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD DAS INDÚSTRIAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6112960,5.00,3.00,3.00,2.00,6.00,9.75,0.00,2.00,1.00,303,NULL,NULL,'CENTRO','BIGUAÇU','SC',16391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6112978,2.00,3.00,1.00,0.00,5.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'BOM RETIRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113001,9.00,7.00,6.00,7.00,11.00,10.13,9.00,7.00,8.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',47,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113028,4.00,8.00,1.00,7.00,10.00,11.25,2.00,7.00,3.00,310,NULL,NULL,'JD ESTRELA','MAUÁ','SP',4839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6113044,7.00,8.00,5.00,6.00,10.00,10.88,6.00,8.00,9.00,103,NULL,NULL,'ALTO DE PINHEIROS','S PAULO','SP',203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6113079,5.00,3.00,0.00,2.00,6.00,4.50,2.00,4.00,1.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6113087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6113095,2.00,4.00,3.00,5.00,6.00,7.13,2.00,1.00,1.00,333,NULL,NULL,'BOA VISTA','CURITIBA','PR',17213,128,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113109,6.00,7.00,1.00,5.00,10.00,9.75,3.00,6.00,3.00,336,NULL,NULL,'JARDIM SEVILHA','BRAGANÇA PAULISTA','SP',5990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,233,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6113125,6.00,5.00,7.00,6.00,7.00,8.63,3.00,8.00,6.00,203,NULL,233,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',2603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113133,3.00,5.00,3.00,2.00,4.00,7.50,4.00,1.00,1.00,319,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',19409,407,NULL,NULL,NULL,NULL,NULL,2,1),(25,6113141,8.00,7.00,3.00,6.00,7.00,9.75,1.00,8.00,8.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',2326,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6113150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6113176,4.00,6.00,4.00,6.00,5.00,8.63,2.00,6.00,2.00,415,NULL,NULL,'CENTRO','LAGES','SC',8884,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6113192,3.00,3.00,2.00,4.00,7.00,9.38,1.00,1.00,5.00,452,NULL,NULL,'JARDIM PRIMAVERA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6113222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6113230,7.00,5.00,3.00,5.00,7.00,7.50,3.00,6.00,6.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',3964,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6113249,1.00,4.00,1.00,2.00,3.00,5.25,1.00,1.00,2.00,501,NULL,NULL,'ASSARI','BARRA BUGRES','MT',21002,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6113257,3.00,6.00,1.00,4.00,6.00,7.50,1.00,4.00,4.00,5,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',12282,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6113265,7.00,5.00,4.00,3.00,6.00,10.13,2.00,6.00,6.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',5653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113273,5.00,6.00,2.00,6.00,8.00,5.25,4.00,5.00,6.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',6466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,214,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6113290,6.00,3.00,0.00,5.00,4.00,NULL,2.00,3.00,4.00,303,NULL,NULL,'CENTRO','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6113311,5.00,4.00,2.00,6.00,8.00,9.38,4.00,3.00,8.00,103,NULL,NULL,'CIDADE JARDIM','CPO GRANDE','MS',5760,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6113320,4.00,6.00,4.00,5.00,6.00,NULL,0.00,6.00,6.00,216,NULL,212,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6113338,7.00,5.00,3.00,4.00,7.00,8.63,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8739,3333,NULL,NULL,NULL,NULL,NULL,2,1),(25,6113346,2.00,3.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113370,4.00,7.00,0.00,4.00,8.00,8.63,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',10212,3585,NULL,NULL,NULL,NULL,NULL,4,9),(25,6113389,6.00,6.00,1.00,3.00,8.00,8.25,2.00,5.00,7.00,103,NULL,NULL,'GRAVATÁ','NAVEGANTES','SC',7160,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6113400,7.00,7.00,5.00,3.00,7.00,10.13,3.00,5.00,8.00,103,NULL,NULL,'CIDADE JARDIM','S CARLOS','SP',2339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113427,2.00,4.00,3.00,2.00,4.00,8.25,0.00,1.00,2.00,319,NULL,NULL,'JARDIM BELA VISTA','JACAREÍ','SP',18668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTREITO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6113443,7.00,7.00,2.00,5.00,9.00,9.38,2.00,5.00,6.00,103,NULL,NULL,'FORTALEZA','BLUMENAU','SC',3692,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6113460,6.00,6.00,0.00,3.00,10.00,9.00,3.00,7.00,5.00,303,NULL,NULL,'VILA PANTALEÃO','CAÇAPAVA','SP',5934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113478,7.00,5.00,5.00,7.00,9.00,8.25,7.00,8.00,9.00,103,NULL,NULL,'NOVA LONDRES','LONDRINA','PR',477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113486,6.00,7.00,4.00,6.00,7.00,9.00,2.00,3.00,6.00,103,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',5634,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6113494,4.00,6.00,0.00,4.00,7.00,NULL,2.00,4.00,3.00,452,NULL,NULL,'CENTRO CIVICO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6113516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,216,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6113524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6113532,7.00,8.00,3.00,7.00,9.00,11.25,1.00,6.00,4.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',3106,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6113540,7.00,5.00,3.00,5.00,6.00,6.75,2.00,4.00,5.00,318,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',8854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6113559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6113567,2.00,4.00,2.00,3.00,8.00,9.00,2.00,6.00,1.00,326,NULL,NULL,'VILA ESPERANÇA','IMBITUBA','SC',15992,41,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113583,3.00,2.00,0.00,2.00,4.00,0.00,1.00,3.00,2.00,328,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113605,6.00,5.00,3.00,4.00,7.00,9.00,3.00,4.00,1.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11523,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6113621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM ARCHILA','VOTORANTIM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6113630,7.00,5.00,1.00,4.00,5.00,8.63,1.00,3.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12915,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6113656,2.00,5.00,2.00,5.00,7.00,9.00,1.00,4.00,2.00,3,NULL,NULL,'ENSEADA DO BRITO','PALHOÇA','SC',14999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113664,4.00,7.00,2.00,4.00,5.00,8.63,1.00,4.00,2.00,216,NULL,202,'PENHA','LAGES','SC',13884,484,NULL,430,NULL,NULL,NULL,4,9),(25,6113672,1.00,4.00,2.00,2.00,6.00,NULL,0.00,5.00,1.00,339,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6113699,1.00,3.00,1.00,1.00,0.00,NULL,1.00,1.00,2.00,109,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6113702,3.00,2.00,1.00,3.00,6.00,7.50,4.00,3.00,5.00,234,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113729,2.00,2.00,0.00,3.00,4.00,5.25,3.00,1.00,3.00,103,NULL,NULL,'EFAPI','CHAPECÓ','SC',19944,4682,NULL,NULL,NULL,NULL,NULL,4,4),(25,6113737,8.00,7.00,5.00,6.00,10.00,9.00,3.00,8.00,8.00,103,NULL,NULL,'PROGRESSO','BLUMENAU','SC',873,602,NULL,NULL,NULL,NULL,NULL,4,2),(25,6113745,3.00,6.00,1.00,2.00,6.00,10.13,2.00,0.00,0.00,335,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6113761,4.00,4.00,2.00,3.00,8.00,NULL,0.00,3.00,2.00,333,NULL,NULL,'TERRAS DE SAVION','ITATIBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113770,7.00,5.00,5.00,4.00,4.00,NULL,2.00,0.00,3.00,103,NULL,NULL,'GUAIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6113788,3.00,4.00,3.00,6.00,6.00,11.63,2.00,7.00,5.00,234,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',8629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113796,5.00,4.00,3.00,6.00,6.00,NULL,0.00,4.00,4.00,103,NULL,NULL,'CENTRO','ASTORGA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6113800,4.00,6.00,1.00,4.00,6.00,10.50,1.00,6.00,3.00,207,NULL,201,'CAMINHO NOVO','PALHOÇA','SC',10918,562,NULL,907,NULL,NULL,NULL,4,1),(25,6113834,4.00,4.00,1.00,4.00,4.00,10.13,3.00,4.00,4.00,316,NULL,NULL,'JARDIM CARANDÁI','BIGUAÇU','SC',14867,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6113842,7.00,6.00,4.00,4.00,3.00,7.13,3.00,3.00,6.00,108,NULL,NULL,'BQ DOS EUCALIPTO','S JOSÉ CAMPOS','SP',8871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113850,2.00,1.00,0.00,0.00,6.00,5.25,3.00,2.00,2.00,652,NULL,NULL,'GARAPUVU','ERMO','SC',21044,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6113869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','TAIÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6113877,7.00,6.00,5.00,6.00,9.00,6.38,5.00,8.00,6.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',3607,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113885,4.00,6.00,2.00,1.00,5.00,9.38,1.00,2.00,2.00,329,NULL,NULL,'BELA VISTA','S JOSÉ','SC',15177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113893,5.00,5.00,3.00,4.00,6.00,8.25,1.00,2.00,4.00,5,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',14105,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6113907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6113923,5.00,4.00,2.00,6.00,6.00,7.50,1.00,2.00,5.00,103,NULL,NULL,'VILA AURORA','RONDONÓPOLIS','MT',12420,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6113940,4.00,7.00,4.00,2.00,7.00,NULL,0.00,7.00,6.00,220,NULL,235,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6113958,3.00,7.00,6.00,5.00,8.00,9.00,1.00,2.00,2.00,999,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113966,6.00,6.00,2.00,7.00,9.00,11.25,1.00,4.00,8.00,108,NULL,NULL,'PARQUE DOS PRÍNCIPES','S PAULO','SP',4526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6113974,5.00,5.00,3.00,4.00,6.00,9.38,2.00,4.00,7.00,104,NULL,NULL,'ZONASETE','MARINGÁ','PR',8413,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6113982,5.00,6.00,2.00,3.00,4.00,11.25,3.00,1.00,4.00,104,NULL,NULL,'INTERIOR','CPO ERÊ','SC',11122,247,NULL,NULL,NULL,NULL,NULL,2,4),(25,6113990,5.00,5.00,2.00,5.00,4.00,NULL,0.00,3.00,6.00,238,NULL,208,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114016,8.00,7.00,2.00,4.00,8.00,10.13,1.00,5.00,9.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',3245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114032,8.00,7.00,3.00,5.00,9.00,9.00,3.00,9.00,6.00,104,NULL,NULL,'CALEMBA','STO AMARO IMPERATRIZ','SC',3418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6114040,9.00,6.00,2.00,4.00,9.00,10.50,0.00,6.00,6.00,103,NULL,NULL,'VILA ADYANA','S JOSÉ CAMPOS','SP',5403,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6114059,1.00,6.00,2.00,2.00,6.00,6.38,2.00,4.00,2.00,308,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',19673,44,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114075,8.00,7.00,4.00,5.00,10.00,8.25,4.00,8.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114091,3.00,4.00,1.00,6.00,7.00,9.00,1.00,0.00,1.00,655,NULL,652,'SANTA BARBARA','CRICIÚMA','SC',18996,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6114113,3.00,6.00,3.00,2.00,5.00,NULL,0.00,3.00,2.00,319,NULL,NULL,'PARQUE DOS VINHEDOS','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6114121,2.00,5.00,1.00,2.00,4.00,8.25,2.00,2.00,0.00,319,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6114130,9.00,6.00,6.00,7.00,11.00,10.50,5.00,8.00,8.00,103,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',360,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6114164,7.00,7.00,3.00,6.00,9.00,8.63,2.00,8.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114172,3.00,4.00,2.00,2.00,3.00,7.50,2.00,3.00,2.00,303,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6114199,2.00,3.00,2.00,2.00,6.00,8.63,0.00,4.00,1.00,201,NULL,653,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6114202,6.00,3.00,3.00,6.00,7.00,10.13,0.00,0.00,1.00,207,NULL,211,'CAPOEIRAS','FLORIANÓPOLIS','SC',14261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6114210,5.00,5.00,1.00,5.00,7.00,7.50,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','SERRA ALTA','SC',12476,3929,NULL,NULL,NULL,NULL,NULL,2,4),(25,6114229,3.00,4.00,1.00,2.00,9.00,9.75,3.00,5.00,3.00,426,NULL,428,'CENTRO PALHOÇA','PALHOÇA','SC',13120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6114245,5.00,5.00,4.00,6.00,7.00,9.00,0.00,7.00,6.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',6414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114261,7.00,7.00,6.00,6.00,8.00,8.25,2.00,7.00,7.00,103,NULL,NULL,'UVARANAS','PNT GROSSA','PR',2847,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6114270,8.00,7.00,0.00,5.00,8.00,7.50,3.00,4.00,8.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',4823,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6114288,3.00,6.00,0.00,3.00,4.00,9.75,1.00,4.00,3.00,326,NULL,NULL,'BARREIROS','S JOSÉ','SC',18473,53,NULL,NULL,NULL,NULL,NULL,2,1),(25,6114296,5.00,6.00,6.00,5.00,6.00,7.50,5.00,4.00,5.00,203,NULL,220,'CARVOEIRA','FLORIANÓPOLIS','SC',6108,468,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6114318,2.00,4.00,3.00,3.00,5.00,8.63,4.00,1.00,1.00,317,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6114326,2.00,4.00,2.00,4.00,6.00,4.88,2.00,5.00,4.00,423,NULL,424,'RIO VERMELHO','FLORIANÓPOLIS','SC',18165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6114334,4.00,4.00,1.00,3.00,7.00,6.75,2.00,4.00,4.00,340,NULL,NULL,'JARDIM ACLIMAÇÃO','S JOSÉ R PRETO','SP',16902,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6114342,5.00,4.00,4.00,6.00,6.00,6.75,2.00,5.00,6.00,212,NULL,201,'UNIVERSITÁRIO','TIJUCAS','SC',8013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114350,5.00,6.00,2.00,5.00,8.00,9.00,0.00,6.00,6.00,3,NULL,NULL,'JARDIM MENEGAZZO','APUCARANA','PR',8402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114369,2.00,4.00,2.00,3.00,5.00,9.75,1.00,4.00,0.00,234,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',19611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114377,5.00,6.00,0.00,6.00,9.00,9.38,0.00,5.00,2.00,420,NULL,NULL,'CENTRO','ASSIS','SP',10793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6114393,3.00,5.00,1.00,5.00,8.00,6.75,0.00,4.00,4.00,103,NULL,NULL,'SAGRADO CORAÇAO','LAGES','SC',13379,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6114407,4.00,4.00,5.00,5.00,8.00,10.13,1.00,2.00,2.00,207,NULL,201,'CENTRO','GAROPABA','SC',8984,429,NULL,694,NULL,NULL,NULL,2,1),(25,6114415,8.00,8.00,4.00,7.00,7.00,9.00,3.00,9.00,6.00,103,NULL,NULL,'CENTRO','CORUPÁ','SC',1369,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6114431,3.00,5.00,4.00,4.00,4.00,8.63,0.00,4.00,4.00,427,NULL,424,'INGLESES','FLORIANÓPOLIS','SC',17206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114440,3.00,3.00,0.00,2.00,5.00,NULL,2.00,1.00,1.00,654,NULL,NULL,'CENTRO','MATINHOS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6114466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6114474,1.00,2.00,1.00,3.00,4.00,4.50,1.00,3.00,2.00,302,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',21613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114490,2.00,4.00,0.00,2.00,4.00,7.50,2.00,2.00,1.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',21436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114504,3.00,5.00,1.00,2.00,6.00,8.25,1.00,4.00,1.00,222,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',18688,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6114512,0.00,2.00,0.00,2.00,3.00,8.25,3.00,1.00,0.00,223,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',21729,31,NULL,NULL,NULL,NULL,NULL,2,1),(25,6114520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6114539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6114547,2.00,5.00,2.00,1.00,5.00,7.50,1.00,0.00,3.00,9,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6114563,2.00,5.00,1.00,6.00,9.00,11.63,2.00,2.00,3.00,424,NULL,427,'PANTANAL','FLORIANÓPOLIS','SC',12325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6114571,6.00,6.00,2.00,5.00,9.00,9.75,3.00,7.00,9.00,103,NULL,NULL,'VILA INDEPENDENCIA','LIMEIRA','SP',2552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114580,3.00,2.00,4.00,4.00,6.00,6.75,3.00,2.00,3.00,655,NULL,653,'PANTANAL','FLORIANÓPOLIS','SC',16869,83,NULL,161,NULL,NULL,NULL,2,1),(25,6114598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FÁTIMA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6114610,2.00,5.00,4.00,4.00,7.00,10.13,2.00,6.00,2.00,317,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',10082,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6114628,2.00,5.00,3.00,6.00,8.00,7.88,3.00,7.00,5.00,601,NULL,202,'BUCAREIN','JOINVILLE','SC',7564,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6114636,6.00,6.00,2.00,6.00,10.00,NULL,1.00,6.00,5.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(25,6114644,4.00,6.00,2.00,2.00,9.00,8.25,2.00,4.00,4.00,101,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114652,7.00,6.00,5.00,6.00,5.00,10.50,3.00,6.00,5.00,212,NULL,214,'JARDIM IRAJA','RIBEIRÃO PRETO','SP',6850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114660,1.00,1.00,1.00,3.00,5.00,8.63,1.00,1.00,0.00,319,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6114679,3.00,3.00,1.00,2.00,5.00,6.75,2.00,2.00,2.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114695,8.00,6.00,5.00,5.00,8.00,8.63,1.00,4.00,7.00,103,NULL,NULL,'BOA VISTA','PNT GROSSA','PR',4047,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6114717,1.00,4.00,0.00,2.00,2.00,NULL,1.00,2.00,0.00,104,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6114750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,212,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6114768,8.00,9.00,5.00,6.00,8.00,11.25,2.00,8.00,7.00,303,NULL,NULL,'JARDIM DOS PRÍNCIPES','UMUARAMA','PR',1163,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6114776,2.00,4.00,1.00,3.00,4.00,6.75,4.00,4.00,4.00,601,NULL,212,'VILA BANCARIA','S JOÃO B VISTA','SP',15693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114784,3.00,5.00,2.00,4.00,10.00,9.00,1.00,3.00,1.00,5,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',11123,398,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114792,4.00,6.00,1.00,5.00,7.00,9.00,2.00,3.00,5.00,333,NULL,NULL,'VILA SANTANA','SUMARÉ','SP',9011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BQ DOS EUCALIPTOS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6114814,4.00,5.00,4.00,4.00,8.00,9.00,1.00,2.00,2.00,108,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',10163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'SÃO VICENTE','SANTIAGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6114830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6114849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6114865,2.00,4.00,1.00,5.00,6.00,9.75,2.00,4.00,2.00,326,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14231,31,NULL,NULL,NULL,NULL,NULL,2,1),(25,6114873,5.00,4.00,2.00,5.00,6.00,9.38,1.00,3.00,1.00,212,NULL,213,'ESTREITO','FLORIANÓPOLIS','SC',15039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6114890,6.00,5.00,3.00,5.00,6.00,7.88,3.00,3.00,3.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',11484,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6114911,1.00,3.00,1.00,4.00,5.00,8.25,1.00,2.00,1.00,5,NULL,NULL,'SAVEIRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6114938,2.00,3.00,3.00,1.00,3.00,5.25,2.00,2.00,5.00,501,NULL,NULL,'SANTA RITA','LAGES','SC',20905,121,NULL,NULL,NULL,NULL,NULL,4,9),(25,6114962,7.00,8.00,3.00,5.00,7.00,11.63,1.00,5.00,4.00,303,NULL,NULL,'VILA MARIANA','S PAULO','SP',5252,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6114970,4.00,5.00,0.00,2.00,8.00,NULL,0.00,1.00,2.00,201,NULL,601,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6114989,4.00,6.00,2.00,2.00,6.00,5.25,3.00,1.00,2.00,220,NULL,203,'JARDIM IRIS','S PAULO','SP',19771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6115004,8.00,6.00,6.00,5.00,10.00,10.50,3.00,8.00,8.00,103,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',783,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6115012,5.00,5.00,3.00,3.00,7.00,8.63,2.00,2.00,3.00,201,NULL,212,'JUVEVE','CURITIBA','PR',11813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6115020,5.00,3.00,2.00,3.00,5.00,6.00,1.00,4.00,3.00,102,NULL,NULL,'BELA VISTA','S JOSÉ','SC',19215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6115055,5.00,5.00,1.00,2.00,7.00,10.13,2.00,5.00,4.00,103,NULL,NULL,'VILA AGUA FUNDA','S PAULO','SP',10441,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6115063,8.00,6.00,3.00,6.00,7.00,9.38,0.00,6.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4609,2291,NULL,NULL,NULL,NULL,NULL,4,8),(25,6115071,5.00,6.00,3.00,3.00,6.00,7.50,2.00,5.00,3.00,238,NULL,208,'CARVOEIRA','FLORIANÓPOLIS','SC',10928,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6115080,3.00,6.00,1.00,4.00,7.00,NULL,0.00,4.00,3.00,655,NULL,208,'ENCRUZO','S JOÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6115098,4.00,7.00,1.00,5.00,9.00,7.13,0.00,2.00,2.00,319,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',14160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6115110,3.00,6.00,1.00,4.00,7.00,NULL,3.00,0.00,1.00,653,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6115128,7.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6115136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'LINHA SANTA RITA','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6115144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(25,6115152,3.00,4.00,0.00,3.00,6.00,NULL,3.00,3.00,1.00,338,NULL,NULL,'ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6115160,4.00,6.00,1.00,4.00,6.00,8.63,0.00,5.00,3.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',14476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6115179,2.00,3.00,1.00,2.00,4.00,7.13,1.00,3.00,2.00,336,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',19784,166,NULL,NULL,NULL,NULL,NULL,2,1),(25,6115187,4.00,5.00,4.00,2.00,7.00,8.25,2.00,4.00,3.00,208,NULL,238,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',12756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6115195,6.00,6.00,5.00,5.00,5.00,7.88,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','S JOSÉ OURO','RS',9848,3533,NULL,NULL,NULL,NULL,NULL,2,7),(25,6115209,4.00,7.00,0.00,7.00,6.00,8.63,1.00,5.00,6.00,326,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10586,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6115217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6115225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6115233,3.00,7.00,0.00,4.00,6.00,8.25,1.00,2.00,0.00,338,NULL,NULL,'SÃO MARTINHO','TUBARÃO','SC',18875,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6115241,2.00,5.00,2.00,5.00,7.00,7.88,1.00,0.00,1.00,3,NULL,NULL,'CAPAO RASO','CURITIBA','PR',17453,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6115268,6.00,5.00,3.00,5.00,9.00,8.63,1.00,6.00,3.00,207,NULL,201,'VILA MASCOTE','S PAULO','SP',5771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6115276,3.00,4.00,1.00,1.00,6.00,9.75,3.00,4.00,3.00,999,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6115284,5.00,5.00,4.00,6.00,7.00,8.63,1.00,7.00,5.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6762,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6115292,4.00,8.00,4.00,6.00,7.00,7.88,0.00,4.00,3.00,654,NULL,NULL,'ALTO FELIZ','ARARANGUÁ','SC',10413,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6115306,4.00,5.00,1.00,3.00,5.00,11.63,3.00,5.00,2.00,429,NULL,426,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6115314,8.00,8.00,5.00,6.00,8.00,11.25,1.00,7.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6115322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6115330,1.00,4.00,2.00,3.00,3.00,7.50,3.00,2.00,1.00,316,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',20367,248,NULL,NULL,NULL,NULL,NULL,2,1),(25,6115357,8.00,8.00,6.00,7.00,8.00,9.75,5.00,7.00,8.00,216,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6115365,5.00,7.00,2.00,5.00,8.00,6.38,2.00,4.00,4.00,503,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6115373,2.00,6.00,0.00,2.00,8.00,NULL,0.00,7.00,1.00,103,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6115381,2.00,4.00,4.00,5.00,4.00,4.50,0.00,1.00,3.00,444,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',20779,154,NULL,NULL,NULL,NULL,NULL,2,1),(25,6115403,4.00,2.00,1.00,0.00,4.00,NULL,1.00,3.00,7.00,205,NULL,NULL,'CENTRO','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,6),(25,6115411,1.00,3.00,1.00,2.00,5.00,6.38,3.00,1.00,1.00,103,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',20759,4744,NULL,NULL,NULL,NULL,NULL,2,4),(25,6115420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6115438,4.00,7.00,6.00,3.00,4.00,7.50,3.00,6.00,1.00,235,NULL,653,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6115470,1.00,3.00,0.00,3.00,6.00,NULL,0.00,2.00,0.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6115489,7.00,7.00,2.00,4.00,7.00,6.38,2.00,3.00,2.00,222,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6115527,4.00,7.00,4.00,5.00,8.00,9.00,2.00,5.00,4.00,203,NULL,202,'TRINTA RÉIS','NOVA TRENTO','SC',7010,539,NULL,NULL,NULL,NULL,NULL,2,1),(25,6115543,5.00,7.00,5.00,6.00,10.00,9.38,3.00,7.00,6.00,5,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',2775,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6115551,5.00,3.00,4.00,6.00,4.00,8.25,3.00,3.00,4.00,238,NULL,235,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',13171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6115560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'VILA FLORESTA','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6115578,0.00,1.00,0.00,0.00,0.00,NULL,2.00,0.00,3.00,309,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6115586,2.00,5.00,0.00,4.00,3.00,NULL,2.00,0.00,3.00,502,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6115594,3.00,3.00,1.00,3.00,2.00,NULL,1.00,1.00,1.00,444,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6115608,6.00,6.00,3.00,4.00,7.00,8.63,1.00,3.00,2.00,103,NULL,NULL,'CARANDÁ BOSQUE','CPO GRANDE','MS',11774,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6115616,1.00,1.00,1.00,0.00,5.00,NULL,1.00,2.00,0.00,203,NULL,202,'PARQUE DAS AVENIDAS','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,15),(25,6115624,5.00,7.00,2.00,7.00,9.00,9.75,4.00,4.00,4.00,303,NULL,NULL,'DEHON','TUBARÃO','SC',6810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6115632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'SANTOS DUMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6115640,3.00,5.00,2.00,4.00,3.00,7.88,2.00,2.00,4.00,999,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6115659,2.00,3.00,2.00,2.00,2.00,NULL,2.00,0.00,0.00,233,NULL,653,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6115667,7.00,2.00,5.00,5.00,7.00,9.38,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','UMUARAMA','PR',8813,3348,NULL,NULL,NULL,NULL,NULL,4,4),(25,6115675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,203,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6115683,2.00,7.00,1.00,2.00,4.00,9.00,1.00,1.00,3.00,104,NULL,NULL,'CANTA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6115691,4.00,3.00,1.00,5.00,6.00,NULL,0.00,4.00,3.00,336,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6115705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6115721,6.00,6.00,3.00,6.00,8.00,9.38,5.00,7.00,4.00,202,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',4037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6115730,4.00,4.00,2.00,4.00,5.00,8.25,1.00,1.00,3.00,201,NULL,208,'CENTRO','PASSO FUNDO','RS',15634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6115764,1.00,1.00,2.00,2.00,3.00,3.00,3.00,0.00,0.00,319,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6115772,7.00,8.00,4.00,6.00,7.00,9.00,3.00,4.00,6.00,103,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',4589,2283,NULL,NULL,NULL,NULL,NULL,4,2),(25,6115780,8.00,6.00,6.00,7.00,9.00,10.13,5.00,7.00,8.00,220,NULL,233,'SÃO LUIZ','CRICIÚMA','SC',836,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6115799,1.00,4.00,1.00,3.00,8.00,NULL,1.00,1.00,0.00,450,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6115802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','UBIRATÃ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6115810,4.00,7.00,1.00,6.00,6.00,8.63,1.00,2.00,3.00,333,NULL,NULL,'JARDIM BELA VISTA','ITAPIRANGA','SC',10786,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6115829,2.00,0.00,3.00,3.00,3.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6115837,4.00,4.00,2.00,4.00,5.00,6.75,1.00,2.00,0.00,225,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',20141,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6115845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6115853,3.00,7.00,1.00,6.00,10.00,12.38,2.00,6.00,1.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6115861,6.00,4.00,6.00,6.00,5.00,8.25,3.00,4.00,6.00,216,NULL,203,'CENTRO','FOZ IGUAÇU','PR',6060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6115888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM EUROPA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6115896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','STO ÂNGELO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6115900,5.00,7.00,2.00,6.00,9.00,8.25,1.00,6.00,7.00,303,NULL,NULL,'MINA DO MATO','CRICIÚMA','SC',6637,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6115918,3.00,6.00,0.00,3.00,6.00,9.38,2.00,6.00,0.00,109,NULL,NULL,'CENTRO','IMBITUBA','SC',17354,95,NULL,NULL,NULL,NULL,NULL,4,1),(25,6115926,2.00,4.00,6.00,3.00,9.00,8.63,5.00,9.00,4.00,203,NULL,220,'VILA PROGRESSO','MARINGÁ','PR',4675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6115934,1.00,3.00,2.00,4.00,4.00,7.50,1.00,1.00,1.00,207,NULL,201,'CENTRO','SOMBRIO','SC',19022,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6115942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6115969,4.00,7.00,2.00,5.00,6.00,7.13,0.00,2.00,3.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6115977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JD STO ANTONIO','CAIEIRAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6115985,5.00,4.00,2.00,3.00,6.00,7.13,0.00,2.00,2.00,5,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',18259,625,NULL,NULL,NULL,NULL,NULL,4,2),(25,6115993,3.00,6.00,2.00,3.00,9.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'CENTRO','PIRAQUARA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6116000,4.00,3.00,1.00,3.00,8.00,6.38,2.00,2.00,2.00,102,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',17550,218,NULL,NULL,NULL,NULL,NULL,2,1),(25,6116019,8.00,7.00,3.00,6.00,8.00,9.75,1.00,7.00,5.00,102,NULL,NULL,'FLORESTA','JOINVILLE','SC',4342,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6116027,6.00,6.00,2.00,7.00,6.00,8.63,1.00,4.00,0.00,302,NULL,NULL,'CENTRO','PATO BRANCO','PR',10853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116035,2.00,5.00,1.00,6.00,5.00,6.38,2.00,1.00,1.00,109,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',17652,102,NULL,NULL,NULL,NULL,NULL,2,1),(25,6116051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6116060,6.00,4.00,2.00,6.00,7.00,9.00,4.00,6.00,5.00,203,NULL,202,'NOVO MUNDO','CURITIBA','PR',5973,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6116086,3.00,5.00,1.00,7.00,5.00,9.38,2.00,5.00,3.00,340,NULL,NULL,'PARQUE DA REPRESA','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116108,5.00,4.00,2.00,4.00,8.00,8.25,1.00,1.00,1.00,216,NULL,233,'SANTA CRUZ','S JOAQUIM','SC',15583,520,NULL,NULL,NULL,NULL,NULL,4,9),(25,6116116,6.00,5.00,5.00,7.00,7.00,9.00,3.00,4.00,6.00,301,NULL,NULL,'CENTRO','JOINVILLE','SC',4451,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6116124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'SITIO CERCADO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6116132,3.00,3.00,2.00,3.00,6.00,9.38,0.00,3.00,1.00,103,NULL,NULL,'SÃO LUÍZ','CRICIÚMA','SC',16914,4433,NULL,NULL,NULL,NULL,NULL,2,5),(25,6116140,3.00,1.00,0.00,2.00,4.00,NULL,2.00,1.00,1.00,415,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6116159,6.00,6.00,5.00,7.00,8.00,8.63,4.00,3.00,3.00,212,NULL,213,'JURERE','FLORIANÓPOLIS','SC',4694,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6116167,8.00,7.00,5.00,5.00,6.00,9.75,1.00,5.00,7.00,216,NULL,NULL,'JARDIM SANTA MARIA','TOLEDO','PR',4222,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6116175,5.00,7.00,2.00,4.00,7.00,10.50,2.00,6.00,4.00,203,NULL,201,'PORTAL DE ITU','ITU','SP',6225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116183,3.00,7.00,4.00,4.00,9.00,8.63,1.00,5.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',10697,3668,NULL,NULL,NULL,NULL,NULL,2,9),(25,6116191,7.00,5.00,3.00,6.00,10.00,11.25,1.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4746,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6116205,8.00,6.00,2.00,3.00,9.00,10.13,3.00,6.00,9.00,103,NULL,NULL,'JARDIM MORUMBI','JUNDIAÍ','SP',2065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116213,6.00,6.00,3.00,5.00,7.00,6.38,2.00,9.00,8.00,203,NULL,601,'ITAJUBA','BARRA VELHA','SC',5215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM ELISA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6116248,2.00,3.00,4.00,2.00,3.00,NULL,0.00,1.00,2.00,238,NULL,208,'INTERIOR','DESCANSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6116256,4.00,3.00,2.00,5.00,6.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6116264,3.00,3.00,3.00,3.00,4.00,NULL,1.00,0.00,1.00,652,NULL,601,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6116272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'JARDIM HANTSCHEL','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6116280,1.00,3.00,1.00,3.00,4.00,8.25,2.00,1.00,3.00,104,NULL,NULL,'CENTRO','GUARUJÁ SUL','SC',19581,549,NULL,NULL,NULL,NULL,NULL,2,4),(25,6116299,4.00,2.00,1.00,3.00,2.00,NULL,0.00,1.00,1.00,601,NULL,203,'BOEHMERWALT','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6116302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA UM','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6116310,2.00,3.00,3.00,2.00,3.00,6.00,0.00,2.00,4.00,404,NULL,NULL,'SCHRAMM','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6116353,4.00,4.00,3.00,4.00,6.00,7.13,1.00,3.00,5.00,205,NULL,NULL,'JARDIM SAMAMBAIA','JUNDIAÍ','SP',12918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116388,6.00,6.00,0.00,3.00,7.00,5.25,1.00,5.00,2.00,302,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',17343,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6116396,3.00,3.00,3.00,3.00,7.00,8.25,1.00,1.00,1.00,234,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6116400,9.00,7.00,4.00,5.00,10.00,9.75,4.00,7.00,9.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',1129,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6116418,4.00,3.00,1.00,4.00,5.00,0.00,1.00,0.00,1.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6116426,6.00,5.00,1.00,2.00,4.00,6.38,2.00,6.00,1.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',18777,387,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116434,6.00,6.00,3.00,2.00,5.00,7.88,4.00,5.00,5.00,220,NULL,653,'CENTRO','TUBARÃO','SC',8307,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6116442,8.00,9.00,7.00,7.00,9.00,10.88,9.00,7.00,6.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116450,2.00,2.00,2.00,2.00,2.00,NULL,3.00,1.00,1.00,103,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6116469,5.00,6.00,3.00,6.00,8.00,6.75,2.00,2.00,4.00,233,NULL,238,'CAMPINAS','S JOSÉ','SC',10945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6116477,5.00,5.00,1.00,7.00,9.00,12.38,1.00,3.00,3.00,425,NULL,423,'CENTRO','TIJUCAS','SC',9307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116485,1.00,4.00,2.00,5.00,5.00,NULL,0.00,1.00,1.00,340,NULL,NULL,'INDUSTRIAL','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6116493,7.00,6.00,4.00,3.00,7.00,5.63,3.00,4.00,6.00,103,NULL,NULL,'BOM JESUS','RIO PEDRAS','SP',6841,2920,NULL,NULL,NULL,NULL,NULL,2,1),(25,6116507,7.00,4.00,3.00,2.00,5.00,9.00,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',10858,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6116515,3.00,4.00,1.00,4.00,5.00,8.25,2.00,1.00,3.00,207,NULL,201,'RIO BRANCO','CAXIAS SUL','RS',16005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116523,4.00,7.00,1.00,3.00,6.00,10.50,0.00,4.00,0.00,104,NULL,NULL,'CENTRO','TUBARÃO','SC',16268,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6116531,4.00,4.00,1.00,3.00,6.00,9.00,2.00,5.00,1.00,303,NULL,NULL,'CENTRO SUL','DOIS VIZINHOS','PR',14844,675,NULL,NULL,NULL,NULL,NULL,2,4),(25,6116540,2.00,3.00,0.00,4.00,2.00,NULL,0.00,2.00,2.00,102,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116558,4.00,4.00,0.00,3.00,8.00,7.88,0.00,5.00,1.00,336,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6116566,5.00,6.00,2.00,6.00,10.00,12.00,0.00,5.00,3.00,303,NULL,NULL,'VILA DOS ANDRADES','S PAULO','SP',5911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116574,5.00,4.00,1.00,3.00,4.00,4.88,1.00,4.00,1.00,216,NULL,NULL,'PARQUE UNIVERSITARIO','SORRISO','MT',17934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6116582,3.00,4.00,3.00,5.00,7.00,7.50,3.00,1.00,3.00,211,NULL,203,'JARDIM PAULISTA','S PAULO','SP',13033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116604,2.00,5.00,3.00,4.00,6.00,7.50,0.00,2.00,5.00,103,NULL,NULL,'CENTRO','S JOÃO TRIUNFO','PR',13601,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6116620,7.00,7.00,0.00,7.00,8.00,7.13,1.00,1.00,4.00,103,NULL,NULL,'VILA CELESTE','IPATINGA','MG',9403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116639,8.00,5.00,1.00,5.00,8.00,8.25,2.00,4.00,4.00,103,NULL,NULL,'TRÊS MARIAS','S JOSÉ PINHAIS','PR',8049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116647,5.00,6.00,4.00,6.00,9.00,5.63,2.00,6.00,2.00,415,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',7731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116655,8.00,3.00,3.00,2.00,7.00,7.50,3.00,7.00,5.00,103,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',9575,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6116663,6.00,8.00,2.00,6.00,10.00,11.63,0.00,8.00,8.00,103,NULL,NULL,'CENTRO','MARAVILHA','SC',2648,1562,NULL,NULL,NULL,NULL,NULL,4,4),(25,6116680,3.00,5.00,2.00,4.00,5.00,6.00,3.00,0.00,0.00,309,NULL,NULL,'FIGUEIRA','JACINTO MACHADO','SC',20458,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6116698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'CANGO','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6116701,7.00,5.00,3.00,4.00,8.00,11.63,2.00,5.00,5.00,103,NULL,NULL,'VILA ESPERANÇA','MARINGÁ','PR',6558,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6116710,6.00,4.00,2.00,3.00,6.00,7.88,2.00,7.00,3.00,319,NULL,NULL,'VILAS BOAS','CPO GRANDE','MS',10748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6116744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JD AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6116779,5.00,6.00,1.00,6.00,6.00,10.50,1.00,4.00,3.00,332,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',8729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116787,6.00,6.00,2.00,3.00,9.00,7.88,2.00,5.00,4.00,404,NULL,NULL,'RETIRO','JAGUARUNA','SC',9334,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6116795,6.00,3.00,2.00,4.00,8.00,8.63,1.00,4.00,4.00,319,NULL,NULL,'TERRAS DO PIRACICABA','PIRACICABA','SP',12528,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6116809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6116817,2.00,2.00,1.00,0.00,3.00,NULL,1.00,0.00,2.00,211,NULL,216,'INTERIOR','DESCANSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6116825,4.00,4.00,1.00,5.00,5.00,9.75,3.00,2.00,2.00,301,NULL,NULL,'PRAIA BRAVA','FLORIANÓPOLIS','SC',15156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116841,5.00,5.00,0.00,3.00,4.00,6.00,1.00,6.00,2.00,999,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6116868,3.00,7.00,3.00,3.00,5.00,7.50,3.00,4.00,1.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',16150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116892,5.00,6.00,3.00,3.00,9.00,7.88,1.00,4.00,4.00,234,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',10516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116906,4.00,7.00,2.00,7.00,7.00,9.38,2.00,6.00,2.00,444,NULL,NULL,'AMÉRICA','JOINVILLE','SC',8915,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6116914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6116922,4.00,6.00,2.00,7.00,8.00,13.13,1.00,8.00,5.00,425,NULL,429,'CAPOEIRAS','FLORIANÓPOLIS','SC',4568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116930,8.00,5.00,7.00,5.00,7.00,9.00,3.00,8.00,9.00,103,NULL,NULL,'ABRANCHES','CURITIBA','PR',1281,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6116949,7.00,4.00,2.00,4.00,8.00,10.50,1.00,7.00,6.00,103,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',5562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6116965,5.00,6.00,2.00,6.00,6.00,7.50,3.00,7.00,5.00,103,NULL,NULL,'CORAL','LAGES','SC',7070,2976,NULL,NULL,NULL,NULL,NULL,4,9),(25,6116973,2.00,2.00,2.00,5.00,5.00,7.13,2.00,3.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6116981,1.00,6.00,3.00,3.00,7.00,7.13,2.00,4.00,6.00,601,NULL,220,'BOEHMERWALD','JOINVILLE','SC',14904,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6117015,5.00,3.00,3.00,4.00,6.00,7.50,2.00,6.00,3.00,234,NULL,NULL,'CENTRO','GUARAMIRIM','SC',14171,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6117023,3.00,4.00,4.00,5.00,7.00,6.00,2.00,3.00,3.00,203,NULL,202,'CERAMARTE','RIO NEGRINHO','SC',15101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6117031,1.00,2.00,3.00,2.00,3.00,NULL,1.00,0.00,0.00,999,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117058,3.00,5.00,1.00,4.00,7.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'SANTA CLARA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6117066,2.00,7.00,1.00,5.00,5.00,9.00,2.00,5.00,2.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',12580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6117074,2.00,4.00,2.00,2.00,6.00,7.50,2.00,4.00,3.00,501,NULL,NULL,'CENTRO','ARARANGUÁ','SC',18342,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6117090,5.00,2.00,4.00,3.00,7.00,9.38,2.00,1.00,3.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6117104,8.00,7.00,2.00,6.00,8.00,10.88,3.00,6.00,3.00,207,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',4859,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,652,'LAGÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6117120,3.00,6.00,2.00,5.00,8.00,10.88,2.00,3.00,4.00,319,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',10330,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6117147,6.00,9.00,2.00,6.00,9.00,10.13,1.00,7.00,7.00,319,NULL,NULL,'CENTRO','JOINVILLE','SC',3960,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6117155,1.00,2.00,1.00,2.00,2.00,NULL,3.00,2.00,0.00,101,NULL,NULL,'CAVALHADA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6117163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6117171,8.00,4.00,2.00,1.00,6.00,NULL,2.00,3.00,7.00,103,NULL,NULL,'CENTRO','GUARANIAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(25,6117180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA GOMES','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6117198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6117201,4.00,3.00,3.00,4.00,5.00,NULL,0.00,2.00,2.00,9,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117210,6.00,6.00,2.00,4.00,9.00,8.63,2.00,6.00,5.00,316,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',6504,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117228,4.00,3.00,0.00,4.00,8.00,10.50,1.00,2.00,3.00,201,NULL,216,'ARI LUNARDI','XAXIM','SC',13769,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6117236,5.00,4.00,1.00,3.00,7.00,10.50,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',11707,3818,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117244,8.00,6.00,3.00,5.00,10.00,9.75,3.00,8.00,8.00,103,NULL,NULL,'CENTRO','BR COTEGIPE','RS',1537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117252,4.00,4.00,3.00,2.00,6.00,8.25,4.00,2.00,2.00,103,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117279,5.00,2.00,2.00,3.00,6.00,7.88,1.00,3.00,3.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',15925,4319,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117295,3.00,3.00,2.00,4.00,7.00,9.38,1.00,5.00,3.00,201,NULL,NULL,'CENTRO','UBIRATÃ','PR',12074,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6117309,1.00,2.00,1.00,1.00,4.00,7.13,2.00,3.00,2.00,202,NULL,653,'CENTRO','VIDEIRA','SC',21620,684,NULL,253,NULL,NULL,NULL,4,7),(25,6117317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'PARQUE INDUSTRIAL','ITAPEVA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6117325,4.00,5.00,1.00,4.00,5.00,8.25,4.00,4.00,3.00,331,NULL,NULL,'LESSA','PINDAMONHANGABA','SP',11952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6117341,2.00,2.00,1.00,5.00,5.00,11.25,1.00,1.00,0.00,319,NULL,NULL,'PLANALTO','VACARIA','RS',18823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117350,6.00,4.00,4.00,4.00,7.00,9.38,2.00,3.00,3.00,340,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',9382,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6117368,8.00,6.00,2.00,4.00,8.00,10.50,1.00,6.00,7.00,103,NULL,NULL,'CENTRO','NOVA P IGUAÇU','PR',3981,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6117376,5.00,6.00,1.00,3.00,5.00,5.63,1.00,4.00,5.00,2,NULL,NULL,'CENTRO','PALHOÇA','SC',16702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117384,8.00,6.00,4.00,5.00,9.00,7.88,2.00,6.00,8.00,501,NULL,NULL,'LESSA','PINDAMONHANGABA','SP',3311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6117392,7.00,4.00,2.00,6.00,9.00,9.00,3.00,5.00,5.00,415,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',7124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6117414,2.00,8.00,2.00,6.00,8.00,8.63,3.00,7.00,6.00,318,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',6719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6117422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'ALPHAVILLE','SANTANA PARNAÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6117430,4.00,4.00,1.00,3.00,7.00,10.88,2.00,2.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13956,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6117457,8.00,7.00,4.00,7.00,10.00,9.00,3.00,8.00,8.00,415,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',863,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6117465,6.00,5.00,1.00,6.00,9.00,10.50,3.00,4.00,4.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',6758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6117473,6.00,7.00,6.00,6.00,9.00,8.25,2.00,3.00,5.00,415,NULL,NULL,'SANTANA','S PAULO','SP',3760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6117481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,233,'CERQUEIRA CESAR','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6117490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6117503,4.00,4.00,3.00,3.00,5.00,5.63,3.00,5.00,1.00,208,NULL,202,'INGLESES','FLORIANÓPOLIS','SC',15109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'GANCHINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6117520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'COHAPAR','GUARATUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6117538,5.00,3.00,1.00,5.00,6.00,7.50,1.00,3.00,2.00,216,NULL,655,'SÃO CRISTOVÃO','CRICIÚMA','SC',17184,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6117546,3.00,7.00,4.00,4.00,6.00,7.13,0.00,7.00,2.00,220,NULL,601,'CAMPECHE','FLORIANÓPOLIS','SC',12067,349,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117554,2.00,3.00,2.00,3.00,5.00,7.13,0.00,2.00,3.00,9,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117562,5.00,7.00,4.00,5.00,9.00,NULL,0.00,6.00,5.00,207,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6117570,8.00,5.00,8.00,5.00,10.00,12.75,6.00,8.00,8.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',157,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6117600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALVORADA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6117619,3.00,7.00,2.00,5.00,5.00,9.75,1.00,3.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6117627,8.00,8.00,7.00,7.00,8.00,7.88,6.00,8.00,8.00,202,NULL,207,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6117635,5.00,6.00,5.00,6.00,6.00,9.38,2.00,2.00,4.00,203,NULL,202,'ARMAÇÃO','PENHA','SC',11143,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6117643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,220,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6117651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'EXTENSAO DO BOSQUE','RIO OSTRAS','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6117660,3.00,7.00,1.00,4.00,9.00,9.00,2.00,9.00,3.00,101,NULL,NULL,'SANTA MARIA','ANTÔNIO CARLOS','SC',7862,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117678,5.00,0.00,4.00,8.00,9.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6117686,4.00,4.00,2.00,5.00,6.00,7.50,2.00,2.00,4.00,999,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6117694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PRIMAVERA','BARRETOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6117708,3.00,4.00,2.00,2.00,5.00,7.13,1.00,2.00,0.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',19919,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6117716,3.00,6.00,2.00,3.00,8.00,9.38,1.00,7.00,4.00,326,NULL,NULL,'SERRARIA','S JOSÉ','SC',9479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6117724,3.00,3.00,2.00,5.00,5.00,9.00,2.00,2.00,1.00,103,NULL,NULL,'ALVORADA','XAXIM','SC',16219,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6117732,3.00,8.00,2.00,7.00,7.00,9.75,0.00,7.00,3.00,207,NULL,201,'JARDIM DO TREVO','CAMPINAS','SP',7344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6117740,3.00,4.00,1.00,5.00,6.00,6.38,2.00,0.00,1.00,212,NULL,233,'IPIRANGA','S JOSÉ','SC',20838,587,NULL,480,NULL,NULL,NULL,2,1),(25,6117759,7.00,6.00,0.00,6.00,8.00,10.13,3.00,7.00,7.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',4627,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6117767,0.00,3.00,2.00,3.00,5.00,6.00,2.00,3.00,4.00,652,NULL,655,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6117775,6.00,5.00,0.00,4.00,6.00,7.88,1.00,7.00,1.00,103,NULL,NULL,'VILA NOVA','MAFRA','SC',12020,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6117783,2.00,4.00,2.00,4.00,4.00,8.25,3.00,2.00,4.00,601,NULL,201,'SANTO ANTONIO','JOINVILLE','SC',14743,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6117791,9.00,7.00,6.00,7.00,10.00,9.75,5.00,9.00,7.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6117805,4.00,7.00,3.00,6.00,7.00,8.25,2.00,3.00,5.00,340,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',8919,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6117813,2.00,3.00,0.00,3.00,6.00,NULL,1.00,1.00,0.00,104,NULL,NULL,'CENTRO','NOVA P IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6117821,9.00,7.00,4.00,5.00,10.00,8.25,5.00,6.00,7.00,103,NULL,NULL,'ROSÁRIO','STA MARIA','RS',1495,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6117856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6117864,3.00,4.00,1.00,5.00,6.00,7.50,0.00,4.00,2.00,208,NULL,238,'BARRA DO ARIRIÚ','PALHOÇA','SC',15535,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117880,1.00,2.00,2.00,4.00,7.00,7.88,1.00,4.00,2.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117902,4.00,4.00,2.00,2.00,3.00,7.88,1.00,4.00,2.00,108,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',18052,265,NULL,NULL,NULL,NULL,NULL,4,1),(25,6117910,7.00,6.00,2.00,5.00,8.00,7.88,2.00,4.00,3.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',8675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6117929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM EUROPA','ITAPEVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6117937,4.00,3.00,0.00,3.00,2.00,NULL,3.00,2.00,2.00,207,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117953,2.00,3.00,0.00,2.00,5.00,9.00,2.00,4.00,2.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20185,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117961,5.00,4.00,4.00,4.00,5.00,7.88,2.00,1.00,4.00,103,NULL,NULL,'CHACARA MACHADINHO I','AMERICANA','SP',12295,3899,NULL,NULL,NULL,NULL,NULL,4,6),(25,6117970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'SÃO LUIS','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6117988,6.00,4.00,3.00,3.00,5.00,7.50,2.00,4.00,3.00,303,NULL,NULL,'CENTRO','BUTIÁ','RS',15919,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6117996,2.00,4.00,2.00,5.00,9.00,8.63,5.00,4.00,0.00,301,NULL,NULL,'CENTRO','ORLEANS','SC',15206,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6118003,7.00,7.00,1.00,4.00,6.00,7.88,1.00,6.00,8.00,103,NULL,NULL,'ACLIMACAO','S PAULO','SP',5735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118011,6.00,8.00,1.00,3.00,6.00,8.25,4.00,1.00,5.00,207,NULL,NULL,'CENTRO','CURITIBA','PR',9003,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6118020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,429,'VILA MARIA','BIRIGÜI','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6118038,5.00,5.00,3.00,5.00,5.00,7.50,2.00,6.00,5.00,452,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',9145,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6118062,4.00,4.00,1.00,4.00,7.00,6.00,2.00,5.00,3.00,303,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',17429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6118089,6.00,5.00,3.00,3.00,9.00,10.13,1.00,6.00,4.00,303,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',8051,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6118097,8.00,6.00,2.00,5.00,7.00,8.25,3.00,4.00,5.00,103,NULL,NULL,'CAMPO DO GADO','RIO NEGRO','PR',6213,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6118100,4.00,7.00,3.00,3.00,8.00,9.38,3.00,5.00,4.00,304,NULL,NULL,'CENTRO','TORRES','RS',9919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118119,7.00,6.00,3.00,4.00,6.00,6.00,3.00,4.00,6.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',7579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'APARECIDA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6118135,9.00,5.00,2.00,5.00,9.00,NULL,0.00,6.00,8.00,103,NULL,NULL,'VILA PLANALTO','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6118143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6118151,8.00,4.00,5.00,5.00,9.00,10.13,3.00,5.00,7.00,216,NULL,215,'SETOR C','ALTA FLORESTA','MT',3646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118160,2.00,5.00,3.00,2.00,5.00,7.88,2.00,4.00,2.00,207,NULL,201,'VILA NOVA','IMBITUBA','SC',16643,885,NULL,1399,NULL,NULL,NULL,2,10),(25,6118178,1.00,5.00,4.00,2.00,9.00,8.63,0.00,3.00,5.00,104,NULL,NULL,'ZONA RURAL','CUNHA PORÃ','SC',13689,333,NULL,NULL,NULL,NULL,NULL,4,4),(25,6118186,0.00,2.00,0.00,0.00,0.00,NULL,1.00,1.00,0.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',4,1),(25,6118194,8.00,4.00,4.00,5.00,5.00,10.50,1.00,7.00,6.00,103,NULL,NULL,'WEISSOPOLIS','PINHAIS','PR',6214,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6118208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'JOÃO COSTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6118216,5.00,6.00,0.00,3.00,6.00,NULL,3.00,4.00,4.00,202,NULL,216,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118240,3.00,6.00,2.00,6.00,7.00,10.13,3.00,4.00,7.00,103,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',7661,3106,NULL,NULL,NULL,NULL,NULL,4,6),(25,6118259,5.00,5.00,2.00,4.00,8.00,9.75,3.00,6.00,1.00,309,NULL,NULL,'SERRARIA','S JOSÉ','SC',10775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6118267,1.00,0.00,0.00,1.00,8.00,NULL,0.00,0.00,0.00,214,NULL,238,'ENSEADA DO BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6118275,6.00,5.00,3.00,6.00,8.00,8.63,3.00,5.00,5.00,103,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',4884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118313,2.00,2.00,1.00,5.00,5.00,NULL,2.00,6.00,0.00,101,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6118321,3.00,5.00,2.00,5.00,6.00,7.88,0.00,4.00,2.00,999,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118356,2.00,6.00,1.00,1.00,7.00,7.50,2.00,3.00,0.00,420,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',19860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118372,2.00,3.00,3.00,3.00,5.00,7.50,0.00,2.00,2.00,223,NULL,NULL,'JARDIM ANÁPOLIS','BIGUAÇU','SC',21066,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6118380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'SÃO FRANCISCO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6118402,7.00,6.00,1.00,5.00,7.00,8.63,1.00,5.00,6.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',9052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118410,2.00,5.00,2.00,2.00,3.00,9.00,1.00,6.00,1.00,316,NULL,NULL,'BORTOLOTTO','NOVA VENEZA','SC',19445,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6118429,5.00,6.00,5.00,7.00,8.00,10.50,3.00,6.00,4.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118437,6.00,3.00,2.00,6.00,7.00,9.75,1.00,2.00,1.00,415,NULL,NULL,'MIRANDOPOLIS','S PAULO','SP',11874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118445,3.00,5.00,1.00,1.00,6.00,8.25,1.00,1.00,4.00,104,NULL,NULL,'VALPARAÍSO','BLUMENAU','SC',17966,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6118453,6.00,5.00,3.00,6.00,8.00,6.75,3.00,6.00,7.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',5421,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6118461,2.00,4.00,0.00,6.00,5.00,9.38,2.00,0.00,0.00,316,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',20534,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6118470,2.00,5.00,1.00,3.00,6.00,10.13,2.00,2.00,1.00,319,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6118496,5.00,6.00,2.00,7.00,8.00,10.13,1.00,4.00,8.00,103,NULL,NULL,'SÃO FRANCISCO','GARIBALDI','RS',5876,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6118526,4.00,2.00,2.00,2.00,4.00,8.25,3.00,1.00,1.00,103,NULL,NULL,'CORAL','LAGES','SC',19418,4629,NULL,NULL,NULL,NULL,NULL,4,9),(25,6118569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6118577,2.00,2.00,0.00,3.00,4.00,9.75,4.00,1.00,2.00,208,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',19817,519,NULL,472,NULL,NULL,NULL,2,1),(25,6118585,1.00,2.00,0.00,2.00,4.00,4.50,3.00,1.00,1.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',21748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6118593,6.00,6.00,2.00,6.00,8.00,12.00,1.00,2.00,3.00,450,NULL,NULL,'BARREIROS','S JOSÉ','SC',6634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118607,5.00,6.00,7.00,6.00,7.00,9.75,1.00,2.00,7.00,216,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',4883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118615,2.00,6.00,3.00,2.00,8.00,10.50,2.00,5.00,5.00,303,NULL,NULL,'SÃO JOÃO CLIMACO','S PAULO','SP',9625,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6118623,5.00,4.00,4.00,3.00,5.00,5.25,1.00,4.00,1.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',18574,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6118631,7.00,5.00,5.00,6.00,8.00,10.13,3.00,8.00,7.00,216,NULL,202,'CENTRO','LAGES','SC',2173,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6118640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(25,6118658,5.00,7.00,2.00,1.00,4.00,10.88,1.00,4.00,2.00,450,NULL,NULL,'BARREIROS','S JOSÉ','SC',11270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MORUMBI','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6118682,1.00,4.00,3.00,6.00,4.00,10.50,2.00,4.00,4.00,212,NULL,201,'BOQUEIRÃO','SANTOS','SP',12126,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6118690,2.00,4.00,4.00,5.00,6.00,8.63,1.00,3.00,4.00,201,NULL,207,'CENTRO','CAMPOS NOVOS','SC',13573,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6118704,5.00,7.00,5.00,4.00,5.00,6.38,3.00,5.00,6.00,203,NULL,202,'ZONA SETE','MARINGÁ','PR',7588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118712,3.00,5.00,2.00,6.00,7.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'JD STA MARIA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6118720,4.00,5.00,1.00,1.00,9.00,7.13,2.00,6.00,5.00,652,NULL,653,'SÃO LUÍZ','CRICIÚMA','SC',14177,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6118739,3.00,2.00,1.00,5.00,6.00,9.00,2.00,5.00,4.00,9,NULL,NULL,'CENTRO','CONCÓRDIA','SC',14066,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6118747,8.00,7.00,6.00,6.00,8.00,9.38,4.00,6.00,6.00,202,NULL,235,'SAGUAÇU','JOINVILLE','SC',1824,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6118755,6.00,7.00,3.00,5.00,7.00,9.38,1.00,8.00,4.00,207,NULL,201,'JARDIM BRASÍLIA','MANDAGUARI','PR',5483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118763,9.00,6.00,5.00,6.00,10.00,6.00,4.00,9.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1229,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6118771,3.00,5.00,1.00,3.00,5.00,6.75,1.00,0.00,0.00,415,NULL,NULL,'EFAPI','CHAPECÓ','SC',19737,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6118780,3.00,4.00,2.00,1.00,3.00,7.88,0.00,2.00,1.00,238,NULL,208,'RIOO VERMELHO','FLORIANÓPOLIS','SC',21470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118798,7.00,4.00,0.00,4.00,5.00,7.50,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','CAÇADOR','SC',13593,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6118801,4.00,4.00,1.00,4.00,8.00,10.13,2.00,1.00,4.00,319,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11637,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6118810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'STELLA MARIS','ANDRADINA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6118828,4.00,6.00,2.00,7.00,7.00,10.88,3.00,5.00,3.00,337,NULL,NULL,'CENTRO','JOINVILLE','SC',9475,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6118836,4.00,5.00,2.00,7.00,10.00,10.13,1.00,5.00,4.00,415,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',5746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118852,9.00,8.00,5.00,7.00,9.00,10.50,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',1736,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6118860,6.00,6.00,4.00,1.00,4.00,8.63,3.00,3.00,3.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118879,4.00,6.00,1.00,4.00,7.00,7.50,3.00,2.00,3.00,319,NULL,NULL,'BELA VISTA','PALHOÇA','SC',14259,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6118887,6.00,6.00,1.00,4.00,8.00,4.50,1.00,5.00,4.00,103,NULL,NULL,'JD CONSTANT MATUCCI','SOROCABA','SP',14983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118895,6.00,6.00,6.00,7.00,8.00,10.50,4.00,6.00,6.00,220,NULL,203,'VALE DO SOL','TREMEMBÉ','SP',2621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118909,3.00,2.00,2.00,2.00,4.00,6.38,3.00,3.00,2.00,652,NULL,NULL,'NOVA BRASILIA','SOMBRIO','SC',21006,104,NULL,NULL,NULL,NULL,NULL,2,15),(25,6118917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM ALVORADA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6118933,2.00,4.00,2.00,3.00,2.00,NULL,2.00,2.00,0.00,203,NULL,214,'PROGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118941,8.00,8.00,7.00,6.00,8.00,9.75,2.00,7.00,6.00,207,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',1787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6118950,6.00,4.00,4.00,5.00,7.00,7.88,1.00,1.00,5.00,104,NULL,NULL,'CENTRO','PAPANDUVA','SC',10230,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6118968,7.00,6.00,1.00,4.00,9.00,9.75,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',6201,2755,NULL,NULL,NULL,NULL,NULL,2,4),(25,6118976,2.00,3.00,1.00,1.00,3.00,7.13,2.00,3.00,0.00,104,NULL,NULL,'SÃO CRISTOVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6118984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM PLANALTO','COLOMBO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6118992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'CENTRO','BOM S SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6119034,3.00,5.00,0.00,5.00,8.00,7.50,0.00,7.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119042,8.00,7.00,2.00,5.00,7.00,9.75,2.00,5.00,6.00,103,NULL,NULL,'TESTO CENTRAL','POMERODE','SC',4744,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6119069,9.00,5.00,5.00,5.00,10.00,8.63,4.00,8.00,6.00,103,NULL,NULL,'JARDIM LINDOIA','GOIOERÊ','PR',1464,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6119077,4.00,7.00,2.00,4.00,7.00,5.63,4.00,5.00,3.00,203,NULL,201,'PAROLIN','CURITIBA','PR',10963,759,NULL,910,NULL,NULL,NULL,2,1),(25,6119085,5.00,8.00,2.00,2.00,9.00,NULL,1.00,5.00,2.00,999,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6119093,3.00,4.00,4.00,3.00,7.00,7.13,2.00,3.00,1.00,317,NULL,NULL,'VILA JULIETA','BUTIÁ','RS',17093,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6119115,4.00,7.00,1.00,3.00,6.00,7.13,2.00,3.00,1.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',17147,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6119123,4.00,5.00,1.00,4.00,7.00,7.88,2.00,3.00,4.00,110,NULL,NULL,'CANCELLI','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119131,2.00,2.00,2.00,1.00,4.00,0.00,1.00,2.00,5.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119140,2.00,3.00,2.00,1.00,7.00,6.75,2.00,3.00,0.00,110,NULL,NULL,'PROGRESSO','LAGUNA','SC',19425,123,NULL,NULL,NULL,NULL,NULL,4,10),(25,6119158,4.00,3.00,2.00,3.00,8.00,9.75,2.00,1.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17900,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6119166,2.00,5.00,3.00,2.00,2.00,NULL,1.00,3.00,3.00,654,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6119182,5.00,5.00,1.00,3.00,4.00,7.88,1.00,3.00,7.00,303,NULL,NULL,'CENTRO','CONCÓRDIA','SC',13438,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6119190,2.00,3.00,0.00,4.00,1.00,NULL,2.00,4.00,4.00,211,NULL,201,'SANTA CRUZ','ITAPIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119204,4.00,2.00,1.00,3.00,4.00,9.75,2.00,3.00,3.00,502,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6119220,6.00,5.00,2.00,4.00,6.00,7.50,2.00,4.00,3.00,9,NULL,NULL,'INTERIOR','TANGARÁ','SC',15728,88,NULL,NULL,NULL,NULL,NULL,4,7),(25,6119239,5.00,6.00,3.00,2.00,7.00,7.88,1.00,4.00,4.00,102,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119247,3.00,7.00,0.00,3.00,7.00,7.88,2.00,1.00,4.00,216,NULL,214,'CENTRO','UBIRAJARA','SP',12979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119263,9.00,8.00,8.00,7.00,10.00,10.13,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',49,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119271,4.00,6.00,3.00,7.00,7.00,7.13,3.00,7.00,3.00,238,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119280,5.00,2.00,2.00,3.00,8.00,8.63,2.00,2.00,4.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16714,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6119310,7.00,5.00,3.00,7.00,10.00,10.13,1.00,5.00,5.00,103,NULL,NULL,'BARONI','BARRETOS','SP',3091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119328,6.00,5.00,5.00,3.00,6.00,7.88,3.00,5.00,5.00,103,NULL,NULL,'ASSUNÇÃO','S BERNARDO CAMPO','SP',8313,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6119344,7.00,5.00,1.00,7.00,9.00,9.00,3.00,4.00,5.00,207,NULL,653,'CENTRO','FLORIANÓPOLIS','SC',4745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119352,5.00,7.00,3.00,3.00,7.00,9.38,4.00,7.00,3.00,207,NULL,233,'CAMPINAS','S JOSÉ','SC',7327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6119360,4.00,4.00,4.00,3.00,6.00,8.25,1.00,2.00,0.00,220,NULL,214,'COHAB II','S JOAQUIM','SC',16595,427,NULL,383,NULL,NULL,NULL,2,9),(25,6119379,5.00,6.00,1.00,4.00,7.00,7.13,1.00,6.00,1.00,319,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',13506,248,NULL,NULL,NULL,NULL,NULL,2,1),(25,6119387,2.00,4.00,1.00,1.00,2.00,NULL,1.00,2.00,2.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SANTO ANDRÉ','GETÚLIO VARGAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6119409,5.00,5.00,1.00,1.00,6.00,6.75,0.00,2.00,2.00,5,NULL,NULL,'DIVINEIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6119417,7.00,6.00,2.00,3.00,7.00,9.00,3.00,4.00,1.00,303,NULL,NULL,'CENTRO','ARMAZÉM','SC',10425,486,NULL,NULL,NULL,NULL,NULL,4,10),(25,6119425,2.00,2.00,3.00,2.00,4.00,NULL,1.00,1.00,1.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6119433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6119441,4.00,5.00,2.00,3.00,9.00,7.13,2.00,1.00,3.00,202,NULL,235,'CENTRO','ENTRE R SUL','RS',12079,382,NULL,275,NULL,NULL,NULL,2,4),(25,6119450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6119476,3.00,0.00,2.00,6.00,3.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'NAÇOES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(25,6119492,8.00,4.00,2.00,5.00,8.00,9.00,3.00,3.00,5.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',7193,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6119506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ARAXÁ','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6119522,8.00,7.00,8.00,7.00,10.00,11.25,6.00,6.00,9.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',63,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6119530,8.00,6.00,5.00,7.00,9.00,8.63,2.00,8.00,9.00,103,NULL,NULL,'CENTRO','QUILOMBO','SC',1614,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6119549,1.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,332,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6119565,4.00,5.00,2.00,4.00,6.00,NULL,0.00,0.00,1.00,201,NULL,216,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6119573,5.00,5.00,3.00,3.00,6.00,4.50,4.00,6.00,4.00,450,NULL,NULL,'MARIA DO CARMO','SOROCABA','SP',10923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119581,6.00,6.00,4.00,5.00,9.00,9.75,2.00,5.00,6.00,316,NULL,NULL,'VILA PAULISTA','LIMEIRA','SP',5561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'PAULAS','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6119611,3.00,4.00,1.00,5.00,7.00,NULL,0.00,5.00,5.00,202,NULL,213,'CENTRO','ARROIO TRINTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(25,6119620,5.00,3.00,2.00,5.00,4.00,9.75,2.00,5.00,3.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',14513,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6119638,3.00,2.00,0.00,2.00,2.00,NULL,0.00,1.00,1.00,216,NULL,NULL,'CENTRO','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6119646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6119654,5.00,6.00,3.00,6.00,8.00,10.88,2.00,5.00,3.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6043,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6119662,3.00,4.00,3.00,1.00,4.00,NULL,2.00,0.00,3.00,103,NULL,NULL,'JARAGUA ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6119670,4.00,3.00,2.00,3.00,6.00,7.13,1.00,1.00,2.00,103,NULL,NULL,'PEDREIRAS','IÇARA','SC',20229,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6119689,6.00,7.00,1.00,7.00,9.00,10.88,1.00,4.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119697,5.00,7.00,2.00,6.00,7.00,NULL,0.00,3.00,5.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119700,2.00,6.00,1.00,4.00,6.00,NULL,0.00,2.00,4.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6119719,3.00,2.00,2.00,2.00,3.00,5.25,3.00,2.00,0.00,655,NULL,652,'PARQUE ALVORADA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6119727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MAUÁ','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6119735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6119743,6.00,5.00,5.00,3.00,6.00,6.00,3.00,5.00,6.00,202,NULL,235,'CENTRO','MAL CÂNDIDO RONDON','PR',8434,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6119751,4.00,5.00,2.00,6.00,6.00,11.25,0.00,6.00,4.00,453,NULL,NULL,'VILA SÃO JOÃO','PASSO FUNDO','RS',9450,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6119760,6.00,6.00,4.00,7.00,9.00,9.75,2.00,4.00,2.00,452,NULL,NULL,'CENTRO','ASSIS CHATEAUBRIAND','PR',8265,NULL,NULL,NULL,NULL,NULL,NULL,3,8),(25,6119786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,213,'LIDER','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6119794,7.00,6.00,2.00,6.00,8.00,11.25,3.00,4.00,4.00,207,NULL,215,'VILA LENZI','JARAGUÁ SUL','SC',4121,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6119816,4.00,3.00,2.00,6.00,4.00,9.75,0.00,3.00,2.00,424,NULL,421,'CENTRO','PALHOÇA','SC',17931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119832,5.00,6.00,3.00,7.00,8.00,9.75,0.00,2.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119840,3.00,6.00,3.00,5.00,6.00,5.25,1.00,4.00,4.00,211,NULL,215,'JARDIN IGUAÇU','FOZ IGUAÇU','PR',12733,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6119859,2.00,3.00,3.00,4.00,6.00,7.13,1.00,2.00,1.00,601,NULL,220,'CENTRO','S JOAQUIM','SC',20822,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6119867,6.00,8.00,6.00,7.00,8.00,10.88,5.00,8.00,7.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',1257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119875,5.00,4.00,1.00,3.00,6.00,7.88,1.00,4.00,2.00,110,NULL,NULL,'ARMAÇÃO PÂNTANO SUL','FLORIANÓPOLIS','SC',18122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6119883,6.00,5.00,2.00,5.00,7.00,5.63,2.00,3.00,4.00,303,NULL,NULL,'CENTRO','ARARANGUÁ','SC',14512,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6119891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6119905,7.00,6.00,5.00,4.00,9.00,7.50,4.00,6.00,4.00,216,NULL,233,'GUANABARA','JOINVILLE','SC',5545,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6119913,5.00,4.00,1.00,6.00,8.00,9.00,3.00,5.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119921,4.00,5.00,2.00,5.00,7.00,8.63,0.00,4.00,3.00,211,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',15618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119930,3.00,6.00,1.00,4.00,6.00,8.63,1.00,2.00,2.00,317,NULL,NULL,'FURADINHO','PALHOÇA','SC',18275,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6119948,3.00,3.00,1.00,1.00,6.00,7.50,1.00,0.00,2.00,452,NULL,NULL,'MORADA DO SOL','AVARÉ','SP',19664,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6119956,2.00,5.00,1.00,4.00,9.00,9.75,3.00,5.00,3.00,601,NULL,201,'CENTRO','DIONÍSIO CERQUEIRA','SC',10755,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6119964,2.00,4.00,1.00,2.00,7.00,7.13,1.00,0.00,1.00,104,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',20190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6119999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6120008,4.00,2.00,0.00,3.00,6.00,10.88,2.00,2.00,1.00,340,NULL,NULL,'CENTRO','MARINGÁ','PR',19726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6120059,5.00,7.00,3.00,6.00,6.00,5.63,2.00,4.00,7.00,103,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',7745,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6120067,3.00,4.00,2.00,6.00,5.00,8.25,1.00,3.00,3.00,101,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6120083,1.00,3.00,2.00,2.00,3.00,NULL,0.00,2.00,1.00,317,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6120091,5.00,6.00,3.00,7.00,5.00,7.13,1.00,5.00,4.00,316,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',9292,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6120105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','QUEDAS IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6120113,2.00,1.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6120121,3.00,4.00,2.00,5.00,7.00,7.88,1.00,4.00,2.00,5,NULL,NULL,'SANTA INÊS','TRÊS PASSOS','RS',16058,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6120130,3.00,4.00,0.00,5.00,4.00,8.63,1.00,0.00,3.00,502,NULL,NULL,'ESQUINA','URUBICI','SC',17983,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6120148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'PENHA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6120156,3.00,2.00,3.00,1.00,3.00,5.25,3.00,2.00,2.00,104,NULL,NULL,'SÃO CRISTOVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,4),(25,6120164,4.00,3.00,2.00,4.00,5.00,6.38,2.00,3.00,2.00,207,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',16750,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6120180,4.00,4.00,2.00,3.00,4.00,7.13,3.00,0.00,2.00,214,NULL,235,'SANTA CRUZ','GUARAPUAVA','PR',19650,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6120202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6120210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MEDIANEIRA','VERANÓPOLIS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6120229,1.00,7.00,4.00,3.00,7.00,8.63,2.00,3.00,2.00,201,NULL,233,'ÁGUA VERDE','CURITIBA','PR',10780,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6120237,5.00,5.00,5.00,4.00,6.00,8.25,1.00,5.00,3.00,103,NULL,NULL,'PIONEIROS','CPO GRANDE','MS',7873,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6120245,4.00,0.00,2.00,3.00,1.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(25,6120253,5.00,5.00,4.00,6.00,8.00,9.38,3.00,5.00,2.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8377,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6120261,9.00,4.00,4.00,7.00,8.00,9.00,4.00,7.00,9.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',1124,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6120270,2.00,4.00,1.00,4.00,5.00,NULL,2.00,0.00,3.00,3,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6120288,4.00,5.00,3.00,0.00,3.00,NULL,2.00,2.00,3.00,208,NULL,655,'CENTRO','TERRA AREIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6120296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'VILA NEUZA','PIRAPOZINHO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6120300,2.00,2.00,0.00,4.00,5.00,NULL,2.00,2.00,2.00,238,NULL,208,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6120334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'JORDANOPOLIS','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6120342,6.00,3.00,3.00,3.00,6.00,7.88,3.00,4.00,3.00,333,NULL,NULL,'CENTRO','JANDAIA SUL','PR',11849,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6120350,8.00,8.00,4.00,7.00,11.00,9.38,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','BRAGANÇA PAULISTA','SP',603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6120369,5.00,5.00,2.00,5.00,8.00,6.75,1.00,3.00,7.00,999,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6120377,4.00,6.00,2.00,2.00,5.00,8.25,3.00,4.00,1.00,415,NULL,NULL,'ALTO DAS PALMEIRAS','SERRA NEGRA','SP',15087,236,NULL,NULL,NULL,NULL,NULL,2,1),(25,6120385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SÃO CAETANO','S CAETANO SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6120393,4.00,5.00,1.00,6.00,8.00,10.13,3.00,2.00,1.00,450,NULL,NULL,'TAPAJÓS','ATIBAIA','SP',11179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6120407,5.00,7.00,2.00,5.00,7.00,7.50,1.00,3.00,3.00,207,NULL,215,'BARREIROS','S JOSÉ','SC',10296,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6120415,6.00,5.00,2.00,6.00,9.00,7.50,1.00,6.00,5.00,216,NULL,202,'CANTO','FLORIANÓPOLIS','SC',7409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6120423,7.00,4.00,5.00,5.00,5.00,10.88,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','XAMBRÊ','PR',3959,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6120440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,233,'JARDIM UMARIZAL','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6120458,4.00,6.00,2.00,3.00,6.00,6.38,0.00,2.00,2.00,235,NULL,NULL,'CENTRO','CRICIÚMA','SC',18939,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6120466,4.00,5.00,3.00,4.00,7.00,10.50,1.00,4.00,2.00,108,NULL,NULL,'ESTADOS','GUARAPUAVA','PR',12191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6120482,2.00,3.00,2.00,3.00,6.00,6.00,2.00,2.00,1.00,653,NULL,652,'CENTRO','FLORIANÓPOLIS','SC',19801,210,NULL,87,NULL,NULL,NULL,2,1),(25,6120504,2.00,5.00,1.00,3.00,3.00,NULL,0.00,3.00,1.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6120512,5.00,4.00,4.00,6.00,8.00,7.50,2.00,5.00,3.00,203,NULL,201,'CARVOEIRA','FLORIANÓPOLIS','SC',8615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6120520,3.00,5.00,1.00,5.00,4.00,7.88,2.00,1.00,0.00,303,NULL,NULL,'BELA VISTA II','S JOSÉ','SC',20010,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6120539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'JARDIN ARUAN','CARAGUATATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6120547,3.00,3.00,1.00,2.00,8.00,9.75,3.00,6.00,2.00,104,NULL,NULL,'BUCAREIN','JOINVILLE','SC',15862,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6120555,4.00,6.00,3.00,5.00,3.00,8.25,4.00,2.00,4.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',12166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6120563,3.00,4.00,2.00,6.00,7.00,NULL,0.00,1.00,3.00,9,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6120571,2.00,4.00,1.00,3.00,1.00,NULL,3.00,3.00,0.00,104,NULL,NULL,'LINHA CORDILHEIRA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,4),(25,6120580,4.00,4.00,2.00,6.00,8.00,NULL,0.00,4.00,3.00,103,NULL,NULL,'CENTRO','PEDRINHAS PAULISTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6120598,8.00,8.00,7.00,7.00,8.00,9.75,6.00,7.00,9.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6120601,4.00,7.00,3.00,4.00,6.00,7.13,2.00,4.00,4.00,317,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',11093,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6120610,6.00,6.00,3.00,5.00,8.00,7.88,3.00,7.00,8.00,601,NULL,233,'SANTO ANTÔNIO','JOINVILLE','SC',4180,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6120628,5.00,7.00,2.00,5.00,9.00,5.63,4.00,5.00,4.00,202,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',7416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6120636,5.00,5.00,5.00,4.00,8.00,9.38,3.00,6.00,6.00,203,NULL,235,'PARQUE CEDRAL','PRES PRUDENTE','SP',6010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6120644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHÁCARA CACHOEIRA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6120652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JANDAIA SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6120679,4.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RIBEIRÃO CLARA','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,2),(25,6120687,3.00,1.00,1.00,3.00,5.00,6.75,3.00,1.00,4.00,9,NULL,NULL,'CEDRO','CAMBORIÚ','SC',20561,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6120709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6120717,2.00,5.00,3.00,4.00,5.00,NULL,3.00,4.00,0.00,340,NULL,NULL,'SANTA BÁRBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6120725,2.00,4.00,2.00,6.00,7.00,7.13,1.00,3.00,2.00,444,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',17209,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6120733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BROOKLIN','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6120768,6.00,6.00,4.00,6.00,9.00,12.00,1.00,8.00,8.00,103,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',1585,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6120784,9.00,8.00,5.00,3.00,5.00,10.13,3.00,5.00,7.00,103,NULL,NULL,'GUARUJA','CASCAVEL','PR',4384,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6120792,4.00,6.00,1.00,2.00,5.00,9.38,1.00,2.00,0.00,319,NULL,NULL,'JARDIM PARAISO','BOTUCATU','SP',18060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6120814,4.00,3.00,3.00,6.00,7.00,9.00,3.00,1.00,2.00,220,NULL,NULL,'JARDIM LISBOA','UMUARAMA','PR',13364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6120822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6120830,7.00,4.00,2.00,5.00,9.00,9.75,0.00,4.00,5.00,601,NULL,203,'JARDIM DO MOINHO','MAFRA','SC',6392,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6120849,2.00,2.00,0.00,4.00,3.00,NULL,0.00,2.00,2.00,301,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6120890,3.00,4.00,1.00,5.00,6.00,8.25,1.00,3.00,1.00,203,NULL,601,'CENTRO','S CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6120903,6.00,6.00,5.00,7.00,8.00,7.50,1.00,2.00,7.00,103,NULL,NULL,'JD DAS ORQUIDEAS','BARRA BONITA','SP',6944,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6120911,5.00,5.00,1.00,6.00,7.00,8.63,1.00,4.00,3.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6120920,4.00,7.00,3.00,3.00,7.00,9.38,2.00,5.00,6.00,302,NULL,NULL,'FLORESTA','S JOSÉ','SC',7282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6120938,3.00,5.00,0.00,3.00,3.00,9.75,1.00,2.00,4.00,404,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6120946,5.00,7.00,4.00,7.00,8.00,8.63,2.00,7.00,4.00,103,NULL,NULL,'ALTO BIGUAÇU','BIGUAÇU','SC',5289,2503,NULL,NULL,NULL,NULL,NULL,2,1),(25,6120962,2.00,5.00,1.00,3.00,5.00,7.13,2.00,3.00,3.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',17969,615,NULL,NULL,NULL,NULL,NULL,4,1),(25,6120970,6.00,6.00,4.00,6.00,9.00,9.75,2.00,7.00,7.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',2113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6120989,5.00,4.00,4.00,3.00,7.00,10.13,1.00,7.00,5.00,5,NULL,NULL,'JARDIM BOTANICO','CURITIBA','PR',7143,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6120997,3.00,4.00,1.00,3.00,7.00,7.13,1.00,2.00,1.00,207,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',20453,1112,NULL,1666,NULL,NULL,NULL,2,1),(25,6121004,5.00,0.00,1.00,1.00,6.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PANTANO DOSUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(25,6121012,8.00,6.00,1.00,4.00,6.00,8.25,2.00,3.00,4.00,203,NULL,653,'CAMPINAS','S JOSÉ','SC',9723,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6121039,5.00,6.00,6.00,7.00,7.00,9.75,3.00,5.00,5.00,302,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',4482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121047,6.00,6.00,2.00,4.00,9.00,6.75,1.00,3.00,1.00,444,NULL,NULL,'VARZEA DAS CANOAS','GRAVATAL','SC',14928,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6121055,3.00,2.00,3.00,5.00,8.00,7.50,3.00,5.00,6.00,220,NULL,235,'AYMORÉ','ARAPONGAS','PR',9764,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6121071,6.00,0.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA RESENDE','CAÇAPAVA','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6121080,3.00,3.00,0.00,2.00,7.00,5.63,3.00,6.00,1.00,201,NULL,233,'VILA MOEMA','TUBARÃO','SC',20076,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6121098,5.00,6.00,1.00,6.00,7.00,9.75,3.00,3.00,1.00,108,NULL,NULL,'VELHA','BLUMENAU','SC',13213,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6121101,3.00,2.00,2.00,2.00,7.00,6.75,1.00,2.00,0.00,102,NULL,NULL,'BAEPENDI','JARAGUÁ SUL','SC',19699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121128,8.00,8.00,5.00,6.00,7.00,10.13,1.00,7.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2303,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6121136,8.00,5.00,3.00,4.00,9.00,11.25,3.00,7.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2219,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6121144,1.00,3.00,1.00,2.00,2.00,NULL,2.00,0.00,3.00,501,NULL,NULL,'ENCANTADO D OESTE','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6121152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO SUL','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6121179,9.00,7.00,5.00,6.00,9.00,10.50,4.00,5.00,8.00,103,NULL,NULL,'VILA JARDIM','PTO ALEGRE','RS',696,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6121195,3.00,5.00,4.00,3.00,8.00,11.25,1.00,4.00,2.00,450,NULL,NULL,'JARDIM BRASÍLIA','ARARAQUARA','SP',11541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121209,4.00,7.00,2.00,3.00,6.00,8.63,2.00,8.00,5.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121217,5.00,4.00,2.00,6.00,6.00,8.63,2.00,5.00,2.00,103,NULL,NULL,'TUCURUVI','S PAULO','SP',9683,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6121225,3.00,4.00,2.00,5.00,9.00,10.13,1.00,7.00,3.00,103,NULL,NULL,'JARDIM TV MORENA','CPO GRANDE','MS',7848,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6121233,7.00,5.00,4.00,5.00,6.00,10.50,5.00,5.00,7.00,220,NULL,235,'PAIQUERÊ','VALINHOS','SP',2804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121241,6.00,7.00,4.00,6.00,9.00,9.75,3.00,6.00,8.00,207,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',2570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6121250,3.00,5.00,1.00,2.00,6.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6121284,3.00,4.00,1.00,6.00,6.00,NULL,0.00,0.00,3.00,207,NULL,201,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6121292,2.00,3.00,1.00,6.00,7.00,7.88,0.00,1.00,2.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121306,3.00,4.00,1.00,3.00,7.00,7.50,3.00,4.00,2.00,215,NULL,601,'CENTRO PIRABEIRABA','JOINVILLE','SC',15014,238,NULL,NULL,NULL,NULL,NULL,2,8),(25,6121314,1.00,1.00,1.00,1.00,3.00,9.75,3.00,2.00,2.00,101,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',21307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6121357,4.00,3.00,1.00,3.00,4.00,6.38,2.00,5.00,0.00,450,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6121365,4.00,4.00,3.00,4.00,6.00,7.13,2.00,2.00,4.00,319,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',17148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6121373,5.00,6.00,3.00,7.00,9.00,9.00,2.00,5.00,5.00,214,NULL,212,'JARDIM UNIVERSIDADE','S PAULO','SP',4469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121390,3.00,3.00,1.00,2.00,4.00,7.88,1.00,1.00,0.00,211,NULL,201,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6121403,3.00,5.00,2.00,6.00,8.00,10.50,1.00,5.00,4.00,110,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',10400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121411,4.00,4.00,3.00,4.00,4.00,8.25,2.00,3.00,5.00,201,NULL,202,'JARDIM IGUAÇU','MARINGÁ','PR',11657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121420,8.00,8.00,6.00,7.00,10.00,9.38,5.00,9.00,8.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',238,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6121438,8.00,6.00,5.00,5.00,9.00,10.13,5.00,7.00,7.00,103,NULL,NULL,'JARDIM MARIA LUIZA','CASCAVEL','PR',948,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6121462,4.00,4.00,1.00,6.00,5.00,6.38,3.00,2.00,3.00,2,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',14361,38,NULL,NULL,NULL,NULL,NULL,2,1),(25,6121489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SANTO ANDRÉ','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6121497,5.00,4.00,3.00,2.00,7.00,9.00,2.00,4.00,3.00,215,NULL,233,'CARVOERA','FLORIANÓPOLIS','SC',12315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121500,6.00,4.00,4.00,7.00,10.00,10.50,2.00,4.00,3.00,302,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',7017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121527,3.00,6.00,2.00,4.00,7.00,8.25,2.00,5.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',12747,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6121535,5.00,4.00,2.00,4.00,3.00,9.00,2.00,3.00,4.00,211,NULL,208,'ABRAÃO','FLORIANÓPOLIS','SC',16063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121543,8.00,4.00,4.00,7.00,9.00,10.13,2.00,7.00,8.00,103,NULL,NULL,'SANTA ROSA','LONDRINA','PR',1876,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6121551,2.00,5.00,4.00,2.00,4.00,8.63,2.00,3.00,5.00,104,NULL,NULL,'CENTRO','S MARCOS','RS',14336,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6121586,8.00,7.00,4.00,7.00,9.00,10.13,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','CIDADE GAÚCHA','PR',3915,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6121594,7.00,4.00,6.00,6.00,7.00,10.50,2.00,4.00,6.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','CENTENÁRIO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6121616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6121624,4.00,5.00,2.00,4.00,5.00,8.63,2.00,4.00,5.00,3,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',14905,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6121632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VILA FATY','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6121640,3.00,5.00,4.00,3.00,4.00,7.13,1.00,2.00,2.00,208,NULL,212,'BRUSQUE','LAGES','SC',19728,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6121659,8.00,4.00,3.00,6.00,9.00,7.88,4.00,6.00,8.00,216,NULL,211,'BIGORRILHO','CURITIBA','PR',3073,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6121667,2.00,6.00,1.00,1.00,8.00,6.75,1.00,4.00,2.00,109,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',19332,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6121675,4.00,5.00,0.00,7.00,6.00,7.88,2.00,1.00,3.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',13445,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6121691,4.00,5.00,0.00,1.00,4.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(25,6121713,1.00,2.00,1.00,2.00,4.00,NULL,1.00,0.00,1.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121721,1.00,0.00,1.00,1.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6121730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6121756,1.00,2.00,2.00,1.00,3.00,7.88,0.00,1.00,2.00,308,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',21731,82,NULL,NULL,NULL,NULL,NULL,2,1),(25,6121764,3.00,3.00,0.00,0.00,2.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'VILA ISABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6121772,4.00,7.00,3.00,5.00,9.00,9.38,2.00,2.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9098,3401,NULL,NULL,NULL,NULL,NULL,2,1),(25,6121780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','MARIA HELENA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6121799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'HIENÓPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6121802,5.00,5.00,3.00,5.00,9.00,7.50,3.00,3.00,4.00,109,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121810,4.00,4.00,1.00,3.00,8.00,7.88,2.00,2.00,4.00,201,NULL,216,'VILA BIRIGUI','RONDONÓPOLIS','MT',11970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121829,5.00,3.00,2.00,4.00,8.00,10.13,1.00,0.00,2.00,103,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',15182,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6121837,4.00,5.00,1.00,4.00,7.00,10.13,0.00,5.00,1.00,303,NULL,NULL,'ANHANGUERA','GOIÂNIA','GO',11570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6121845,3.00,5.00,2.00,4.00,8.00,6.38,3.00,8.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121853,3.00,5.00,2.00,2.00,7.00,7.50,1.00,1.00,2.00,999,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121861,5.00,3.00,1.00,2.00,5.00,10.13,1.00,4.00,2.00,303,NULL,NULL,'MIRANTE','ITÁ','SC',15941,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6121870,5.00,4.00,1.00,3.00,4.00,7.50,0.00,6.00,0.00,215,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',17359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121888,6.00,5.00,4.00,3.00,5.00,10.13,2.00,5.00,2.00,333,NULL,NULL,'CENTRO','CPO MOURÃO','PR',9282,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6121896,3.00,2.00,2.00,1.00,6.00,6.75,2.00,4.00,4.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121918,3.00,5.00,2.00,5.00,7.00,7.88,1.00,2.00,5.00,999,NULL,NULL,'SANTA LUZIA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6121926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'HUMAITÁ DE CIMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6121934,7.00,6.00,2.00,4.00,8.00,7.88,3.00,4.00,7.00,211,NULL,NULL,'CENTRO','STA MARIA','RS',5392,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6121942,6.00,5.00,3.00,5.00,6.00,7.13,0.00,2.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',11940,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6121950,7.00,8.00,5.00,6.00,9.00,8.63,3.00,7.00,9.00,203,NULL,220,'VILA ODILON','OURINHOS','SP',703,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6121969,7.00,3.00,5.00,2.00,6.00,8.63,3.00,4.00,5.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6121977,2.00,4.00,2.00,5.00,5.00,6.00,1.00,4.00,1.00,103,NULL,NULL,'SÃO VICENTE','PARANAVAÍ','PR',15394,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6121985,1.00,3.00,3.00,3.00,6.00,9.75,0.00,3.00,1.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',17525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6121993,0.00,4.00,0.00,3.00,4.00,NULL,0.00,0.00,1.00,404,NULL,NULL,'N SRA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6122000,4.00,3.00,3.00,4.00,8.00,NULL,0.00,3.00,2.00,301,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6122019,8.00,7.00,4.00,7.00,10.00,11.25,0.00,6.00,8.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',1861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6122035,5.00,6.00,6.00,2.00,8.00,7.50,3.00,4.00,7.00,203,NULL,202,'VILA GIGLIO','ATIBAIA','SP',6768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122051,4.00,6.00,2.00,4.00,10.00,8.63,2.00,2.00,3.00,601,NULL,201,'FLORESTA','JOINVILLE','SC',10493,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6122060,2.00,3.00,1.00,5.00,2.00,NULL,0.00,2.00,2.00,104,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6122078,3.00,5.00,1.00,1.00,4.00,6.38,1.00,3.00,1.00,336,NULL,NULL,'PARQUE PAULISTANO','BAURU','SP',19134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122086,5.00,5.00,1.00,5.00,6.00,6.00,1.00,3.00,6.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122094,1.00,1.00,0.00,2.00,5.00,NULL,1.00,0.00,3.00,421,NULL,424,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122108,3.00,4.00,2.00,4.00,5.00,7.50,3.00,5.00,4.00,444,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',15524,62,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122116,9.00,7.00,4.00,5.00,8.00,7.13,1.00,4.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3576,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6122124,1.00,5.00,1.00,4.00,4.00,9.38,0.00,2.00,3.00,201,NULL,652,'MORRO DOS CONVENTOS','ARARANGUÁ','SC',16759,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6122132,2.00,4.00,2.00,3.00,7.00,9.00,1.00,4.00,4.00,103,NULL,NULL,'CENTRO','IRATI','PR',16437,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6122159,3.00,5.00,3.00,3.00,6.00,9.00,3.00,4.00,5.00,211,NULL,207,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',14483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122167,4.00,3.00,1.00,2.00,3.00,7.88,0.00,1.00,3.00,215,NULL,216,'CAMPO ALTO','STA CECÍLIA','SC',21087,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6122175,2.00,4.00,1.00,5.00,5.00,9.00,1.00,2.00,3.00,999,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122183,4.00,7.00,5.00,6.00,8.00,10.50,2.00,5.00,7.00,5,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',5171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122191,2.00,1.00,2.00,3.00,4.00,6.00,2.00,1.00,1.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6122205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6122213,5.00,5.00,3.00,3.00,6.00,5.63,2.00,4.00,3.00,601,NULL,235,'FATIMA','FREDERICO WESTPHALEN','RS',13043,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6122221,3.00,5.00,2.00,4.00,5.00,8.63,1.00,3.00,1.00,9,NULL,NULL,'CENTRO','NOVO HAMBURGO','RS',15839,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6122248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','REGISTRO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6122256,3.00,4.00,3.00,7.00,8.00,7.13,1.00,0.00,2.00,444,NULL,NULL,'JARDIM MADALENA','CAMPINAS','SP',13063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122264,8.00,4.00,5.00,3.00,9.00,10.88,3.00,6.00,7.00,103,NULL,NULL,'RUY COELHO GONÇALVES','GUAÍBA','RS',3163,1773,NULL,NULL,NULL,NULL,NULL,2,5),(25,6122272,1.00,7.00,1.00,5.00,6.00,9.00,3.00,2.00,3.00,309,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',15018,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6122280,4.00,4.00,0.00,1.00,6.00,6.75,1.00,1.00,3.00,110,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',21009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122299,9.00,6.00,5.00,6.00,7.00,9.38,6.00,4.00,8.00,203,NULL,202,'VILA SILVEIRA','GUARULHOS','SP',1016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122302,5.00,6.00,1.00,6.00,6.00,11.25,1.00,7.00,5.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5924,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6122310,5.00,6.00,2.00,4.00,8.00,6.38,4.00,7.00,5.00,102,NULL,NULL,'MADRI','PALHOÇA','SC',6375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122329,6.00,7.00,1.00,5.00,8.00,11.25,0.00,6.00,5.00,103,NULL,NULL,'BATEL','CURITIBA','PR',4444,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6122345,3.00,7.00,0.00,4.00,7.00,NULL,0.00,5.00,6.00,340,NULL,NULL,'JD BELA VISTA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122353,3.00,4.00,4.00,4.00,5.00,8.63,2.00,4.00,5.00,201,NULL,NULL,'BIGORRILHO','CURITIBA','PR',10335,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6122361,0.00,1.00,1.00,1.00,1.00,NULL,3.00,0.00,1.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122370,6.00,3.00,2.00,5.00,4.00,8.25,1.00,5.00,6.00,216,NULL,233,'ROYAL PARK RESIDENCE','LONDRINA','PR',10294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122426,5.00,8.00,5.00,5.00,3.00,8.63,4.00,3.00,6.00,203,NULL,201,'MONTE CASTELO','CPO GRANDE','MS',4658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122434,4.00,7.00,2.00,6.00,5.00,9.38,3.00,6.00,7.00,203,NULL,214,'CENTRO','XAXIM','SC',8137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122442,1.00,3.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122450,7.00,4.00,2.00,5.00,8.00,8.63,3.00,6.00,7.00,103,NULL,NULL,'JARDIM VILAS BOAS','CPO GRANDE','MS',4434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122477,3.00,6.00,6.00,7.00,6.00,7.50,6.00,6.00,6.00,103,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',3067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122485,4.00,6.00,0.00,5.00,5.00,11.25,3.00,3.00,0.00,110,NULL,NULL,'CAVALHADA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122493,5.00,4.00,3.00,6.00,9.00,7.50,1.00,2.00,2.00,203,NULL,238,'VARGEM GRANDE','FLORIANÓPOLIS','SC',11300,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6122507,2.00,3.00,2.00,3.00,5.00,9.00,1.00,5.00,1.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6122515,2.00,2.00,3.00,2.00,5.00,7.13,0.00,1.00,2.00,655,NULL,NULL,'CENTRO','LEBON RÉGIS','SC',21081,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6122523,4.00,4.00,0.00,2.00,6.00,9.38,0.00,4.00,0.00,102,NULL,NULL,'CENTRO','QUILOMBO','SC',17779,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6122531,4.00,5.00,3.00,1.00,5.00,7.50,2.00,5.00,4.00,9,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15442,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6122540,3.00,3.00,4.00,7.00,6.00,8.25,2.00,1.00,2.00,208,NULL,652,'CENTRO','LONDRINA','PR',16074,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6122566,5.00,5.00,1.00,1.00,8.00,9.75,2.00,2.00,1.00,444,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',13724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122574,5.00,6.00,3.00,5.00,6.00,8.63,2.00,7.00,2.00,326,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9880,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6122582,4.00,3.00,1.00,2.00,8.00,3.00,1.00,0.00,0.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'UVARANAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6122612,7.00,6.00,3.00,7.00,6.00,9.00,2.00,5.00,6.00,420,NULL,NULL,'CAMPINAS','S JOSÉ','SC',4937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,212,'JARDIM DAS AMÉRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6122639,3.00,6.00,3.00,3.00,7.00,9.75,3.00,4.00,1.00,108,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',14216,205,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,655,'JARDIM TROPICAL','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6122655,5.00,6.00,2.00,6.00,7.00,9.75,0.00,6.00,3.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6122663,4.00,7.00,4.00,6.00,10.00,11.25,2.00,7.00,4.00,340,NULL,NULL,'BELA VISTA','ERECHIM','RS',2460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122680,5.00,5.00,1.00,3.00,7.00,6.75,2.00,8.00,0.00,336,NULL,NULL,'BELA VISTA','PALHOÇA','SC',14859,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6122698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6122701,9.00,7.00,6.00,7.00,9.00,12.00,6.00,8.00,7.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122710,2.00,5.00,1.00,4.00,6.00,NULL,0.00,2.00,3.00,655,NULL,652,'PASSO DO GADO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6122728,3.00,0.00,2.00,1.00,4.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6122736,2.00,6.00,3.00,1.00,5.00,NULL,1.00,6.00,0.00,326,NULL,NULL,'VILA ISABEL','RESENDE','RJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6122744,1.00,3.00,1.00,1.00,2.00,NULL,0.00,1.00,1.00,201,NULL,212,'PICADAS DO NORTE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,233,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6122760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'PALMAS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6122779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6122787,2.00,4.00,3.00,4.00,6.00,0.00,2.00,5.00,0.00,201,NULL,207,'CENTRO','CERRO NEGRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6122795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6122809,5.00,7.00,3.00,5.00,7.00,7.50,4.00,5.00,4.00,450,NULL,NULL,'SETOR JAO','GOIÂNIA','GO',7422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122817,5.00,4.00,2.00,6.00,9.00,7.50,0.00,3.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',10020,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6122841,6.00,6.00,4.00,6.00,8.00,7.50,4.00,6.00,7.00,203,NULL,202,'CAMPECHE','FLORIANÓPOLIS','SC',3203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122850,3.00,1.00,1.00,2.00,5.00,5.63,2.00,1.00,1.00,309,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',20849,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6122868,6.00,5.00,2.00,5.00,8.00,10.88,2.00,7.00,3.00,103,NULL,NULL,'PINEVILLE','PINHAIS','PR',6671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122876,7.00,8.00,3.00,4.00,7.00,9.00,3.00,4.00,6.00,103,NULL,NULL,'ZONA RURAL','PEREIRA BARRETO','SP',4365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122884,8.00,6.00,3.00,6.00,9.00,10.13,4.00,6.00,8.00,103,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',1627,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6122892,3.00,4.00,2.00,5.00,6.00,5.63,3.00,4.00,2.00,423,NULL,424,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6122906,7.00,7.00,2.00,5.00,9.00,9.38,1.00,8.00,6.00,216,NULL,212,'AFONSO PENA','S JOSÉ PINHAIS','PR',4116,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6122914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'MONTE CARLO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6122922,3.00,4.00,0.00,3.00,3.00,6.75,0.00,3.00,4.00,201,NULL,NULL,'CENTRO','PTO ALEGRE','RS',20703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6122949,1.00,4.00,0.00,6.00,6.00,NULL,2.00,0.00,1.00,214,NULL,203,'UNIVERCITARIO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6122957,4.00,5.00,3.00,4.00,7.00,7.88,1.00,1.00,3.00,220,NULL,201,'CENTRO','FRAIBURGO','SC',14124,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6122965,4.00,4.00,3.00,5.00,7.00,6.00,1.00,1.00,2.00,103,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',13918,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6122973,6.00,6.00,1.00,4.00,9.00,7.50,0.00,8.00,3.00,104,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',8651,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6122981,5.00,3.00,2.00,3.00,3.00,6.00,1.00,3.00,3.00,103,NULL,NULL,'ARGENTINA','CRICIÚMA','SC',17804,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6122990,4.00,3.00,1.00,5.00,6.00,NULL,1.00,3.00,0.00,999,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6123007,8.00,7.00,3.00,5.00,7.00,8.25,4.00,6.00,5.00,103,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',4068,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6123015,4.00,7.00,3.00,5.00,6.00,7.88,1.00,4.00,1.00,222,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6123023,6.00,5.00,0.00,4.00,6.00,8.25,2.00,5.00,2.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',14545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123031,7.00,4.00,1.00,5.00,7.00,9.00,3.00,4.00,2.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123040,7.00,6.00,4.00,7.00,9.00,8.63,2.00,3.00,6.00,102,NULL,NULL,'VILA MARIANA','S PAULO','SP',4303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123066,4.00,6.00,4.00,7.00,5.00,9.38,0.00,4.00,5.00,201,NULL,207,'CENTRO','JAGUARI','RS',11616,980,NULL,611,NULL,NULL,NULL,2,1),(25,6123082,8.00,6.00,1.00,7.00,8.00,12.38,7.00,8.00,8.00,103,NULL,NULL,'CENTRO','MATELÂNDIA','PR',513,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6123090,7.00,7.00,3.00,7.00,9.00,12.38,3.00,7.00,5.00,450,NULL,NULL,'JD STA MARCELINA','CAMPINAS','SP',1247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123104,9.00,8.00,6.00,6.00,10.00,10.13,4.00,9.00,8.00,103,NULL,NULL,'SANTA TEREZA','BELO HORIZONTE','MG',115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123139,5.00,8.00,2.00,6.00,5.00,9.00,2.00,6.00,5.00,303,NULL,NULL,'VILLA ADYANNA','S JOSÉ CAMPOS','SP',5976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123155,4.00,6.00,0.00,6.00,8.00,7.50,2.00,6.00,2.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',9094,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6123163,8.00,6.00,7.00,7.00,9.00,10.13,3.00,6.00,7.00,203,NULL,202,'RIO COMPRIDO','JACAREÍ','SP',1099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123171,5.00,4.00,2.00,4.00,5.00,8.25,1.00,3.00,3.00,235,NULL,NULL,'CAMOBI','STA MARIA','RS',14486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123198,2.00,4.00,0.00,2.00,5.00,NULL,0.00,1.00,0.00,551,NULL,NULL,'CENTRO','S CRISTÓVÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6123210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6123228,6.00,7.00,3.00,7.00,9.00,11.25,3.00,7.00,7.00,5,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',2968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123236,4.00,6.00,1.00,6.00,8.00,7.88,0.00,5.00,5.00,220,NULL,203,'CENTRO','SARANDI','RS',9082,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6123244,2.00,3.00,3.00,5.00,7.00,7.50,0.00,3.00,4.00,101,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',16692,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6123260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'NOSSA S DE FÁTIMA','NOVA ODESSA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6123279,4.00,8.00,1.00,7.00,9.00,11.25,4.00,6.00,5.00,207,NULL,201,'BELA VISTA','ERECHIM','RS',3179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123287,1.00,2.00,2.00,2.00,3.00,7.88,1.00,0.00,1.00,9,NULL,NULL,'VILA JUNQUEIRA','S ROQUE','SP',21155,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6123325,6.00,4.00,3.00,4.00,9.00,7.50,1.00,3.00,6.00,103,NULL,NULL,'AUSENTE','DOIS VIZINHOS','PR',8645,3312,NULL,NULL,NULL,NULL,NULL,2,4),(25,6123333,2.00,5.00,1.00,4.00,4.00,8.63,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','CAMBORIÚ','SC',18016,4528,NULL,NULL,NULL,NULL,NULL,4,3),(25,6123341,3.00,4.00,3.00,6.00,9.00,9.00,1.00,2.00,5.00,235,NULL,201,'SÃO VICENTE','ITAJAÍ','SC',9083,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6123350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6123368,6.00,5.00,2.00,3.00,4.00,6.00,4.00,8.00,3.00,336,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',13047,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6123376,6.00,5.00,2.00,7.00,10.00,9.75,2.00,7.00,3.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',6042,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6123384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARÍLIA','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6123392,7.00,7.00,4.00,7.00,7.00,7.88,1.00,7.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LUCAS ARAÚJO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6123449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6123457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6123465,4.00,4.00,2.00,0.00,6.00,NULL,1.00,3.00,4.00,201,NULL,NULL,'VILA ROSÁLIA','GUARULHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123473,5.00,7.00,6.00,7.00,6.00,10.13,6.00,8.00,7.00,201,NULL,211,'JOÃO PAULO','FLORIANÓPOLIS','SC',1612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123481,5.00,4.00,0.00,1.00,5.00,NULL,1.00,2.00,4.00,233,NULL,235,'JARDIM JACYRA','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123490,2.00,4.00,1.00,3.00,7.00,7.50,0.00,1.00,0.00,425,NULL,429,'AGRONÔMICA','FLORIANÓPOLIS','SC',20811,97,NULL,59,NULL,NULL,NULL,4,1),(25,6123503,4.00,7.00,6.00,6.00,6.00,9.00,1.00,2.00,2.00,201,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',10758,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6123511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'JD IPIRANGA','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',1,1),(25,6123520,2.00,5.00,3.00,3.00,5.00,9.75,1.00,5.00,3.00,238,NULL,208,'CAMPINAS','S JOSÉ','SC',13051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123538,6.00,5.00,4.00,5.00,7.00,8.25,1.00,5.00,7.00,319,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',7068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6123554,1.00,4.00,1.00,2.00,2.00,NULL,4.00,2.00,2.00,104,NULL,NULL,'FLORESTAL','LAJEADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6123570,8.00,6.00,6.00,7.00,8.00,10.88,5.00,8.00,7.00,5,NULL,NULL,'POTECAS','S JOSÉ','SC',510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6123589,1.00,6.00,1.00,5.00,7.00,8.63,2.00,2.00,1.00,220,NULL,601,'CENTRO','TUBARÃO','SC',17262,439,NULL,NULL,NULL,NULL,NULL,4,10),(25,6123619,4.00,4.00,3.00,4.00,6.00,8.25,2.00,6.00,6.00,238,NULL,208,'COMERCIÁRIO','CRICIÚMA','SC',9315,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6123627,4.00,6.00,4.00,6.00,6.00,10.13,0.00,6.00,4.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123635,4.00,3.00,5.00,7.00,7.00,7.88,2.00,3.00,4.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',10889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SARANDI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6123660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6123678,2.00,4.00,3.00,1.00,5.00,10.50,1.00,2.00,1.00,220,NULL,235,'CAMPINAS','S JOSÉ','SC',17982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6123694,3.00,5.00,1.00,5.00,8.00,9.38,3.00,6.00,1.00,108,NULL,NULL,'CENTRO','PATO BRANCO','PR',11734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123708,3.00,6.00,4.00,7.00,6.00,7.13,5.00,7.00,4.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123716,3.00,4.00,3.00,3.00,5.00,7.50,3.00,1.00,3.00,302,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',19197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6123724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDINS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6123740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'CENTRO','JAGUAPITÃ','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(25,6123767,3.00,2.00,2.00,4.00,4.00,4.88,0.00,1.00,2.00,103,NULL,NULL,'POTECAS','S JOSÉ','SC',20581,4729,NULL,NULL,NULL,NULL,NULL,2,1),(25,6123775,3.00,6.00,1.00,5.00,5.00,8.25,2.00,0.00,4.00,309,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',18462,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6123783,3.00,5.00,3.00,2.00,4.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'VILA MILITAR','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6123791,4.00,4.00,1.00,6.00,8.00,8.63,1.00,0.00,6.00,216,NULL,NULL,'CENTRO','LUCAS R VERDE','MT',10637,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6123805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6123813,9.00,5.00,2.00,5.00,8.00,5.63,1.00,8.00,8.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',3933,2058,NULL,NULL,NULL,NULL,NULL,4,5),(25,6123821,2.00,4.00,0.00,4.00,4.00,NULL,2.00,0.00,2.00,103,NULL,NULL,'CENTRO','EUGÊNIO CASTRO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6123830,5.00,3.00,2.00,0.00,3.00,7.88,0.00,3.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',20786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123848,5.00,4.00,1.00,3.00,6.00,NULL,0.00,5.00,2.00,104,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123856,8.00,7.00,5.00,5.00,8.00,8.25,3.00,5.00,8.00,450,NULL,NULL,'CACUPE','FLORIANÓPOLIS','SC',2675,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6123864,3.00,6.00,0.00,3.00,7.00,9.38,2.00,5.00,1.00,103,NULL,NULL,'N S DO ROSÁRIO','STA MARIA','RS',13978,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6123872,2.00,6.00,2.00,3.00,9.00,9.75,3.00,3.00,2.00,104,NULL,NULL,'SANTA BÁRBARA','VIDEIRA','SC',12168,278,NULL,NULL,NULL,NULL,NULL,2,9),(25,6123880,2.00,4.00,0.00,4.00,5.00,NULL,3.00,2.00,2.00,201,NULL,220,'CENTRO','UNAÍ','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6123902,6.00,6.00,6.00,5.00,9.00,10.50,4.00,6.00,6.00,203,NULL,201,'SAGRADO CORAÇÃO DE J','LAGES','SC',2772,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6123910,3.00,5.00,2.00,2.00,8.00,6.75,2.00,1.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',18193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123929,3.00,6.00,3.00,0.00,7.00,11.25,1.00,0.00,3.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',14334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123937,3.00,6.00,3.00,4.00,8.00,9.75,0.00,6.00,5.00,5,NULL,NULL,'VILA SUZANA','S PAULO','SP',7101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123945,7.00,6.00,5.00,4.00,8.00,8.63,2.00,6.00,8.00,103,NULL,NULL,'ADEMAR GARCIA','JOINVILLE','SC',3424,1868,NULL,NULL,NULL,NULL,NULL,4,8),(25,6123953,4.00,6.00,2.00,4.00,6.00,5.25,1.00,3.00,3.00,207,NULL,211,'ZONA SETE','MARINGÁ','PR',15236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6123961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6123970,7.00,6.00,1.00,6.00,8.00,7.50,2.00,5.00,5.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6123988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,601,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6123996,3.00,6.00,3.00,4.00,6.00,9.00,0.00,2.00,2.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',14421,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6124011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SANTA HELENA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6124038,6.00,6.00,0.00,4.00,8.00,NULL,0.00,5.00,3.00,5,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6124046,2.00,6.00,2.00,3.00,5.00,9.38,2.00,2.00,2.00,201,NULL,212,'JURERÊ','FLORIANÓPOLIS','SC',16350,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6124054,4.00,3.00,2.00,4.00,3.00,10.13,2.00,4.00,1.00,317,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',17868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124062,2.00,2.00,1.00,3.00,6.00,6.75,1.00,2.00,2.00,999,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124070,4.00,3.00,1.00,3.00,8.00,9.00,3.00,2.00,2.00,999,NULL,NULL,'CENTRO','S DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6124089,4.00,4.00,3.00,4.00,7.00,9.00,0.00,8.00,3.00,104,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',10857,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6124097,7.00,6.00,2.00,4.00,9.00,9.38,3.00,7.00,6.00,103,NULL,NULL,'CENTENÁRIO','SAPIRANGA','RS',3156,1768,NULL,NULL,NULL,NULL,NULL,2,1),(25,6124119,5.00,6.00,3.00,5.00,7.00,8.25,1.00,3.00,3.00,301,NULL,NULL,'AMERICA','JOINVILLE','SC',13282,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6124127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PARQUE IMPERIAL','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6124135,7.00,4.00,3.00,3.00,8.00,9.00,2.00,3.00,5.00,207,NULL,201,'PARQUE NOVO MUNDO','AMERICANA','SP',6840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA LAPA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6124151,4.00,5.00,3.00,3.00,5.00,9.00,1.00,4.00,1.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17597,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6124160,6.00,4.00,4.00,6.00,7.00,7.13,4.00,7.00,5.00,318,NULL,NULL,'VILA MARIANA','S PAULO','SP',5459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124178,6.00,7.00,5.00,7.00,8.00,9.38,2.00,8.00,6.00,653,NULL,655,'SANTO ANTONIO','TUBARÃO','SC',3956,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6124186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,215,'VILA MARGARIDA','OURINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6124194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6124208,4.00,4.00,2.00,3.00,8.00,NULL,0.00,0.00,2.00,203,NULL,202,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6124216,7.00,0.00,3.00,4.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM IMPERIAL','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6124224,5.00,2.00,2.00,5.00,5.00,10.13,4.00,6.00,4.00,201,NULL,207,'JARDIM UNIVERSITÁRIO','MARINGÁ','PR',9174,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6124232,4.00,5.00,2.00,4.00,6.00,6.00,2.00,2.00,0.00,309,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',19271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6124240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'JARDIM PROCÓPIO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6124259,2.00,6.00,1.00,1.00,4.00,7.88,1.00,1.00,3.00,601,NULL,216,'JARDIM SOFIA','JOINVILLE','SC',18899,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6124267,4.00,4.00,1.00,6.00,8.00,10.88,2.00,3.00,2.00,102,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',10715,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6124275,7.00,7.00,2.00,6.00,7.00,7.13,0.00,4.00,4.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',9274,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6124283,2.00,3.00,2.00,4.00,3.00,NULL,0.00,0.00,2.00,103,NULL,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6124291,1.00,2.00,5.00,3.00,4.00,5.63,3.00,3.00,0.00,214,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',20809,446,NULL,497,NULL,NULL,NULL,2,1),(25,6124305,4.00,5.00,1.00,5.00,6.00,NULL,1.00,6.00,0.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124313,0.00,3.00,4.00,2.00,2.00,NULL,2.00,2.00,0.00,212,NULL,214,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6124321,8.00,7.00,3.00,6.00,10.00,9.38,2.00,6.00,7.00,103,NULL,NULL,'VILA ROMANO','S PAULO','SP',1996,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6124330,8.00,6.00,3.00,2.00,7.00,8.25,4.00,4.00,5.00,103,NULL,NULL,'CH STO ANTONIO','S PAULO','SP',9126,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6124348,8.00,7.00,4.00,6.00,10.00,9.75,1.00,4.00,3.00,207,NULL,201,'BALNEÁRIO','FLORIANÓPOLIS','SC',4759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124364,8.00,6.00,1.00,3.00,7.00,9.75,4.00,6.00,8.00,103,NULL,NULL,'JARDIM ADALGISA','OSASCO','SP',2586,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6124372,0.00,2.00,2.00,0.00,4.00,7.50,1.00,1.00,1.00,654,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124380,6.00,5.00,5.00,7.00,8.00,8.63,3.00,7.00,5.00,202,NULL,213,'AGRONOMICA','FLORIANÓPOLIS','SC',3241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124399,3.00,6.00,1.00,3.00,5.00,6.75,1.00,2.00,1.00,340,NULL,NULL,'CENTRO','BLUMENAU','SC',17690,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6124402,7.00,5.00,4.00,7.00,9.00,9.75,2.00,6.00,4.00,316,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124410,4.00,0.00,0.00,5.00,7.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(25,6124437,1.00,1.00,3.00,1.00,4.00,6.38,1.00,0.00,1.00,331,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',21377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124445,8.00,6.00,3.00,6.00,10.00,10.88,2.00,6.00,7.00,303,NULL,NULL,'CENTRO','PTE SERRADA','SC',2573,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6124453,3.00,2.00,0.00,2.00,5.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'JARDIM ALVORADA','S CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(25,6124461,3.00,5.00,0.00,2.00,6.00,7.50,1.00,4.00,4.00,201,NULL,208,'ALPHAVILLE FLAMBOYAN','GOIÂNIA','GO',15319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124470,2.00,3.00,1.00,3.00,5.00,6.00,3.00,1.00,2.00,201,NULL,203,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124488,5.00,4.00,2.00,5.00,7.00,9.00,4.00,0.00,4.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',12107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124496,5.00,4.00,4.00,4.00,7.00,9.00,2.00,5.00,2.00,9,NULL,NULL,'CENTRO','CURITIBANOS','SC',10864,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6124500,6.00,6.00,4.00,5.00,8.00,10.13,3.00,1.00,2.00,207,NULL,NULL,'CENTRO','JOINVILLE','SC',10773,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6124518,8.00,5.00,4.00,6.00,6.00,7.88,6.00,2.00,7.00,203,NULL,NULL,'MOSSUNGUÊ','CURITIBA','PR',3275,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6124526,9.00,7.00,3.00,6.00,8.00,9.38,3.00,7.00,8.00,103,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',1337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124542,4.00,5.00,3.00,5.00,4.00,NULL,4.00,4.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6124550,4.00,5.00,1.00,4.00,7.00,8.25,2.00,3.00,2.00,104,NULL,NULL,'PRAIA MOLE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6124569,7.00,5.00,1.00,7.00,9.00,NULL,0.00,5.00,8.00,103,NULL,NULL,'DAHMA III','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124577,4.00,5.00,4.00,6.00,8.00,8.25,3.00,3.00,6.00,220,NULL,235,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6861,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6124585,3.00,5.00,2.00,6.00,5.00,7.88,2.00,5.00,3.00,207,NULL,201,'JARDIM MAIA','CPO MOURÃO','PR',11704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6124593,3.00,3.00,1.00,4.00,5.00,NULL,3.00,0.00,0.00,601,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6124615,4.00,7.00,5.00,6.00,9.00,9.38,1.00,5.00,7.00,303,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',4649,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6124623,3.00,5.00,3.00,4.00,6.00,NULL,0.00,3.00,2.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6124631,4.00,7.00,4.00,2.00,4.00,9.38,1.00,6.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124640,1.00,3.00,2.00,5.00,3.00,7.13,1.00,1.00,1.00,426,NULL,423,'MORRO DA BINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6124658,6.00,8.00,3.00,5.00,11.00,9.75,0.00,9.00,7.00,103,NULL,NULL,'JARDIM AMÉRICA','S LEOPOLDO','RS',2118,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6124674,4.00,7.00,4.00,2.00,6.00,7.13,1.00,6.00,3.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124682,2.00,4.00,0.00,2.00,3.00,7.88,2.00,3.00,3.00,109,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6124690,5.00,7.00,4.00,5.00,8.00,11.25,2.00,5.00,5.00,201,NULL,212,'BOM RETIRO','CURITIBA','PR',3715,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6124712,6.00,6.00,4.00,7.00,8.00,7.50,2.00,6.00,7.00,201,NULL,202,'VILA ESTRELA','PNT GROSSA','PR',3737,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6124720,4.00,5.00,2.00,3.00,7.00,10.13,3.00,3.00,4.00,103,NULL,NULL,'JARDIM CONTINENTAL','MARÍLIA','SP',9586,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6124747,0.00,3.00,3.00,4.00,5.00,7.88,3.00,2.00,2.00,304,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',18699,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6124755,8.00,4.00,6.00,6.00,8.00,8.63,3.00,5.00,7.00,220,NULL,202,'VL REAL DO M VELHO','EMBU','SP',2166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124763,6.00,5.00,2.00,6.00,6.00,11.25,0.00,2.00,6.00,103,NULL,NULL,'TATUAPÉ','S PAULO','SP',7754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124771,5.00,5.00,3.00,5.00,7.00,11.25,2.00,3.00,6.00,108,NULL,NULL,'CHACARA VELOSA','ARARAQUARA','SP',7877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124780,1.00,3.00,3.00,5.00,5.00,7.50,0.00,5.00,1.00,423,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',17368,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6124798,8.00,7.00,3.00,5.00,9.00,10.50,4.00,5.00,5.00,319,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',2107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124801,5.00,6.00,2.00,6.00,7.00,9.00,3.00,3.00,4.00,999,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6124810,5.00,3.00,1.00,2.00,7.00,11.25,1.00,4.00,5.00,103,NULL,NULL,'AHUU','CURITIBA','PR',11684,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6124828,5.00,4.00,5.00,4.00,6.00,9.38,4.00,3.00,5.00,201,NULL,212,'CENTRO','CASCAVEL','PR',6033,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6124836,2.00,7.00,3.00,6.00,6.00,9.00,2.00,3.00,3.00,652,NULL,653,'CIDADE ALTA','TURVO','SC',10260,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6124844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ALTO DE PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6124852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IMIGRANTES','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6124860,4.00,6.00,6.00,6.00,8.00,11.63,3.00,7.00,6.00,207,NULL,201,'JD ALAMAR','MARINGÁ','PR',2619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124879,8.00,4.00,5.00,5.00,10.00,9.75,2.00,5.00,9.00,103,NULL,NULL,'CENTRO','S MATEUS SUL','PR',2597,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6124887,4.00,6.00,5.00,7.00,6.00,7.50,4.00,6.00,5.00,213,NULL,235,'AGRONÔMICA','FLORIANÓPOLIS','SC',5511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6124895,8.00,7.00,3.00,4.00,10.00,7.50,1.00,6.00,9.00,103,NULL,NULL,'SANTA CÂNDIDA','CURITIBA','PR',4114,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6124909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SÃO PEDRO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6124925,4.00,4.00,3.00,5.00,8.00,10.88,0.00,6.00,4.00,211,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',7967,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6124933,2.00,3.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6124941,3.00,6.00,3.00,0.00,7.00,NULL,4.00,5.00,5.00,201,NULL,203,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6124950,3.00,4.00,1.00,6.00,4.00,7.50,2.00,2.00,1.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',17425,607,NULL,NULL,NULL,NULL,NULL,2,1),(25,6124968,8.00,6.00,3.00,6.00,7.00,10.13,5.00,8.00,6.00,103,NULL,NULL,'AGUQ VERDE','CURITIBA','PR',1808,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6124976,3.00,5.00,2.00,3.00,6.00,4.50,1.00,2.00,2.00,203,NULL,601,'CENTRO','LAGES','SC',17315,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6124984,4.00,7.00,2.00,2.00,5.00,7.88,2.00,2.00,6.00,336,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',13246,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6124992,5.00,5.00,2.00,7.00,10.00,12.00,2.00,6.00,6.00,101,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',4053,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6125000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOEMA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6125018,6.00,5.00,4.00,5.00,10.00,10.50,1.00,7.00,5.00,999,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PARAÍSO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6125042,3.00,2.00,2.00,1.00,4.00,7.50,1.00,3.00,1.00,503,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6125069,2.00,3.00,0.00,3.00,5.00,9.75,1.00,5.00,2.00,108,NULL,NULL,'BELA VISTA','GASPAR','SC',16415,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6125077,2.00,5.00,3.00,2.00,2.00,NULL,5.00,1.00,3.00,208,NULL,238,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6125093,8.00,5.00,2.00,5.00,9.00,8.63,4.00,4.00,5.00,420,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',6259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125107,4.00,5.00,1.00,2.00,6.00,8.63,2.00,3.00,1.00,211,NULL,233,'ADHEMAR GARCIA','JOINVILLE','SC',17655,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6125115,4.00,7.00,5.00,6.00,6.00,7.50,3.00,3.00,9.00,220,NULL,202,'NONOAI','PTO ALEGRE','RS',5482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125123,7.00,8.00,4.00,6.00,9.00,8.63,3.00,7.00,5.00,103,NULL,NULL,'SANTA TEREZA','BELO HORIZONTE','MG',2740,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6125131,6.00,3.00,5.00,6.00,7.00,8.63,1.00,4.00,5.00,104,NULL,NULL,'BOA SPERANÇA','PINHAIS','PR',6481,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6125140,3.00,3.00,1.00,3.00,2.00,NULL,2.00,4.00,2.00,316,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6125158,2.00,2.00,0.00,1.00,2.00,NULL,2.00,0.00,0.00,302,NULL,NULL,'BARRA DO ARIRÍU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6125174,7.00,5.00,4.00,6.00,10.00,7.13,1.00,5.00,4.00,103,NULL,NULL,'JD NOVA ESPERANÇA','GOIÂNIA','GO',5757,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6125204,5.00,5.00,2.00,4.00,7.00,8.25,1.00,3.00,4.00,103,NULL,NULL,'CEDRO','PEROBAL','PR',11491,3786,NULL,NULL,NULL,NULL,NULL,4,4),(25,6125212,6.00,6.00,2.00,3.00,7.00,10.50,3.00,2.00,6.00,201,NULL,220,'BERGER','CAÇADOR','SC',10375,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6125220,3.00,6.00,1.00,6.00,9.00,7.88,2.00,6.00,3.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',8129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA VITÓRIA','MAUÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6125263,3.00,6.00,1.00,5.00,6.00,7.13,2.00,5.00,3.00,317,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',15828,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6125271,4.00,3.00,3.00,3.00,5.00,7.88,2.00,3.00,3.00,108,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6125280,7.00,6.00,2.00,5.00,7.00,10.50,2.00,2.00,5.00,103,NULL,NULL,'VILA DO POLONES','CPO GRANDE','MS',6859,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6125298,3.00,5.00,0.00,3.00,5.00,7.13,1.00,5.00,1.00,104,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',17187,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6125301,4.00,4.00,4.00,7.00,9.00,10.13,3.00,6.00,7.00,202,NULL,203,'RIO COMPRIDO','JACAREÍ','SP',2716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125310,7.00,7.00,2.00,5.00,9.00,10.13,2.00,7.00,4.00,303,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',4046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125328,6.00,8.00,3.00,6.00,8.00,8.63,2.00,7.00,10.00,103,NULL,NULL,'JD UNIVERSITARIO II','MARINGÁ','PR',1848,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6125352,2.00,7.00,3.00,4.00,7.00,7.50,1.00,5.00,3.00,207,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',12598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125379,2.00,1.00,1.00,0.00,1.00,NULL,1.00,2.00,1.00,404,NULL,NULL,'BARREROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125387,2.00,4.00,0.00,3.00,5.00,NULL,2.00,0.00,0.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6125409,5.00,3.00,2.00,4.00,8.00,9.00,1.00,5.00,3.00,999,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6125417,5.00,7.00,2.00,7.00,9.00,11.25,3.00,6.00,6.00,103,NULL,NULL,'VILA REHDER','AMERICANA','SP',2745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125441,4.00,4.00,1.00,4.00,3.00,7.50,1.00,0.00,3.00,203,NULL,214,'CENTRO','MARACAJÁ','SC',20863,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6125450,4.00,5.00,4.00,7.00,7.00,8.63,3.00,6.00,7.00,213,NULL,601,'JARDIM ELITE','PIRACICABA','SP',4798,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6125468,5.00,6.00,3.00,6.00,7.00,6.75,2.00,5.00,4.00,203,NULL,NULL,'PITUBA','SALVADOR','BA',8648,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6125476,7.00,7.00,7.00,7.00,9.00,11.63,5.00,6.00,9.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',292,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(25,6125484,5.00,5.00,5.00,5.00,9.00,8.25,2.00,3.00,5.00,233,NULL,235,'CENTRO','CURITIBANOS','SC',5161,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6125492,4.00,4.00,2.00,3.00,6.00,7.88,1.00,1.00,3.00,3,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',17704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6125506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6125514,6.00,4.00,3.00,4.00,7.00,11.25,0.00,5.00,4.00,201,NULL,215,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',8105,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6125522,4.00,4.00,3.00,3.00,7.00,8.63,2.00,3.00,5.00,215,NULL,216,'JARDIM DA GLÓRIA','S PAULO','SP',10444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125530,2.00,5.00,3.00,4.00,7.00,8.63,1.00,2.00,3.00,103,NULL,NULL,'BELA VISTA','S JOSÉ','SC',15827,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6125549,4.00,6.00,1.00,1.00,5.00,9.38,1.00,6.00,1.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125565,8.00,7.00,4.00,5.00,8.00,8.63,4.00,4.00,6.00,103,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',2738,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6125573,4.00,6.00,1.00,2.00,9.00,6.00,3.00,6.00,5.00,310,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',12456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125590,3.00,6.00,2.00,1.00,4.00,10.13,2.00,4.00,1.00,101,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',15265,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6125603,4.00,4.00,2.00,4.00,6.00,NULL,0.00,0.00,5.00,601,NULL,220,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6125611,4.00,6.00,1.00,4.00,8.00,7.13,5.00,2.00,4.00,203,NULL,201,'PASSO DOS FORTES','CHAPECÓ','SC',9688,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6125620,9.00,7.00,6.00,6.00,9.00,8.63,2.00,8.00,8.00,103,NULL,NULL,'PARQUE DOS PRÍNCIPES','S PAULO','SP',752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125638,2.00,3.00,0.00,4.00,5.00,NULL,2.00,3.00,2.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6125646,3.00,7.00,3.00,4.00,7.00,NULL,0.00,4.00,1.00,110,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6125654,2.00,3.00,1.00,2.00,4.00,NULL,0.00,1.00,0.00,9,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6125662,4.00,6.00,0.00,5.00,8.00,7.50,2.00,6.00,1.00,9,NULL,NULL,'CENTRO','CPO GRANDE','MS',11152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125689,5.00,6.00,2.00,8.00,9.00,12.38,3.00,6.00,5.00,420,NULL,NULL,'CENTRO','STA ROSA','RS',2879,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6125697,2.00,4.00,3.00,5.00,5.00,6.38,2.00,1.00,2.00,207,NULL,211,'VILA MOEMA','TUBARÃO','SC',19387,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6125700,5.00,4.00,1.00,5.00,5.00,8.25,2.00,3.00,5.00,104,NULL,NULL,'BOM RETIRO','CURITIBA','PR',13028,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6125719,4.00,5.00,4.00,7.00,6.00,7.88,3.00,5.00,3.00,340,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',8272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125727,3.00,3.00,3.00,4.00,6.00,NULL,0.00,0.00,1.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6125735,7.00,7.00,1.00,4.00,7.00,9.75,3.00,5.00,4.00,108,NULL,NULL,'BELA VISTA II','S JOSÉ','SC',9182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125743,3.00,3.00,2.00,3.00,6.00,NULL,2.00,1.00,0.00,207,NULL,212,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6125760,4.00,6.00,1.00,6.00,6.00,NULL,0.00,0.00,1.00,207,NULL,203,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6125778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAPANEMA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6125786,6.00,6.00,5.00,7.00,6.00,5.63,2.00,5.00,4.00,214,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',9494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125794,1.00,5.00,0.00,3.00,5.00,5.25,3.00,2.00,1.00,203,NULL,201,'CENTRO','JOAÇABA','SC',21075,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6125808,3.00,6.00,2.00,3.00,9.00,9.75,3.00,7.00,5.00,238,NULL,208,'BELA VISTA I','S JOSÉ','SC',7597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'FEITORIA SELER','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6125824,8.00,8.00,5.00,5.00,8.00,10.50,3.00,6.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125832,4.00,4.00,4.00,5.00,8.00,8.25,2.00,3.00,6.00,203,NULL,202,'BAIRRO ALTO','CURITIBA','PR',7830,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6125840,4.00,6.00,1.00,6.00,8.00,9.00,3.00,4.00,3.00,415,NULL,NULL,'CRISTO REI','COCAL SUL','SC',9289,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6125859,2.00,3.00,2.00,2.00,4.00,8.63,4.00,3.00,2.00,110,NULL,NULL,'CENTRO','PALMAS','PR',18075,98,NULL,NULL,NULL,NULL,NULL,2,4),(25,6125867,5.00,6.00,3.00,6.00,6.00,8.63,3.00,3.00,4.00,301,NULL,NULL,'CENTRO','PRIMAVERA LESTE','MT',8518,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6125883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6125891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'VILA MARCHETTI','S JOÃO D REI','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6125905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PIONEIROS','FAZ RIO GRANDE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6125921,6.00,5.00,1.00,5.00,8.00,8.25,0.00,3.00,3.00,316,NULL,NULL,'CENTRO','CPO GRANDE','MS',11651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125930,7.00,6.00,4.00,6.00,6.00,8.25,2.00,5.00,7.00,103,NULL,NULL,'INTERLAGOS','S PAULO','SP',4749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6125956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6125964,2.00,3.00,2.00,2.00,3.00,NULL,2.00,2.00,0.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6125972,6.00,7.00,3.00,5.00,9.00,9.38,3.00,7.00,6.00,333,NULL,NULL,'JD VIRGÍNIA BIANCA','S PAULO','SP',3285,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6125980,3.00,4.00,2.00,2.00,3.00,7.88,4.00,5.00,5.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6125999,5.00,6.00,1.00,1.00,8.00,6.75,2.00,4.00,5.00,333,NULL,NULL,'SONHO NOSSO I','BARRA BONITA','SP',11159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126014,6.00,6.00,2.00,5.00,6.00,7.13,2.00,5.00,3.00,212,NULL,653,'CHACARA INGLESA','S PAULO','SP',12083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126022,7.00,7.00,8.00,7.00,9.00,8.63,4.00,9.00,7.00,303,NULL,NULL,'CENTRO','LAGES','SC',502,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6126065,7.00,7.00,3.00,3.00,7.00,8.25,2.00,4.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12560,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6126103,7.00,7.00,0.00,6.00,10.00,9.00,3.00,6.00,5.00,110,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',4484,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6126111,4.00,6.00,1.00,6.00,8.00,6.38,2.00,5.00,2.00,211,NULL,233,'SERRINHA','FLORIANÓPOLIS','SC',14168,373,NULL,375,NULL,NULL,NULL,4,1),(25,6126120,4.00,7.00,2.00,5.00,7.00,9.75,2.00,4.00,1.00,202,NULL,213,'NSA SRA DO ROSÁRIO','S JOSÉ','SC',12030,381,NULL,168,NULL,NULL,NULL,4,1),(25,6126138,6.00,6.00,2.00,5.00,9.00,7.50,4.00,3.00,3.00,212,NULL,220,'CENTRO CIVICO','CURITIBA','PR',9754,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6126146,3.00,1.00,2.00,2.00,6.00,7.13,3.00,1.00,0.00,101,NULL,NULL,'ROÇADO','S JOSÉ','SC',20356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6126162,2.00,6.00,3.00,2.00,4.00,6.75,3.00,5.00,4.00,233,NULL,216,'ÓRFÃOS','PNT GROSSA','PR',14244,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6126170,3.00,6.00,4.00,5.00,6.00,8.63,2.00,5.00,4.00,203,NULL,214,'VELHA','BLUMENAU','SC',12180,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6126189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6126197,6.00,4.00,4.00,6.00,8.00,7.50,3.00,5.00,3.00,201,NULL,212,'SANTA MONICA','FLORIANÓPOLIS','SC',7371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126219,5.00,7.00,3.00,7.00,7.00,8.63,1.00,5.00,2.00,340,NULL,NULL,'JD AQUARIUS','S JOSÉ CAMPOS','SP',8990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126227,7.00,5.00,6.00,3.00,7.00,7.13,3.00,8.00,7.00,103,NULL,NULL,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',2706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126235,2.00,1.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,225,NULL,NULL,'ESPLANADA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6126243,5.00,6.00,2.00,5.00,5.00,7.88,2.00,5.00,4.00,201,NULL,601,'KOBRASOL','S JOSÉ','SC',12241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126251,5.00,5.00,3.00,3.00,6.00,8.63,0.00,1.00,4.00,108,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',14237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126260,7.00,7.00,2.00,6.00,8.00,10.50,3.00,6.00,8.00,103,NULL,NULL,'VILA LIVIERO','S PAULO','SP',3193,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6126278,3.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6126286,1.00,3.00,2.00,1.00,3.00,NULL,1.00,1.00,0.00,238,NULL,208,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126294,4.00,5.00,2.00,4.00,5.00,7.13,3.00,3.00,2.00,319,NULL,NULL,'CENTRO','ITAPEMA','SC',14414,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6126316,7.00,7.00,4.00,7.00,9.00,6.75,5.00,5.00,6.00,103,NULL,NULL,'MARIA LUIZA','CASCAVEL','PR',1678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126324,6.00,4.00,2.00,3.00,6.00,8.25,1.00,3.00,4.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',12151,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6126332,2.00,7.00,1.00,4.00,6.00,10.50,0.00,3.00,3.00,103,NULL,NULL,'CENTRO','GARIBALDI','RS',12805,3967,NULL,NULL,NULL,NULL,NULL,4,9),(25,6126340,3.00,3.00,1.00,4.00,6.00,9.75,1.00,3.00,2.00,207,NULL,211,'CHÁCARA POUSO ALEGRE','S PAULO','SP',13653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA RESENDE','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6126367,3.00,5.00,2.00,1.00,5.00,6.75,1.00,1.00,1.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',21103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126375,7.00,4.00,4.00,6.00,9.00,5.63,1.00,1.00,4.00,999,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6126383,7.00,5.00,3.00,6.00,8.00,7.88,0.00,4.00,4.00,207,NULL,201,'CAMBUI','CAMPINAS','SP',7699,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6126391,5.00,5.00,2.00,5.00,7.00,8.25,3.00,4.00,7.00,201,NULL,216,'VIDA ESTADIO','PRES PRUDENTE','SP',9220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126405,6.00,6.00,5.00,7.00,9.00,8.63,3.00,8.00,7.00,103,NULL,NULL,'ÁGUA BRANCA','AVARÉ','SP',1975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126413,7.00,6.00,7.00,7.00,9.00,11.63,5.00,6.00,8.00,103,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126421,9.00,6.00,6.00,7.00,7.00,7.50,3.00,7.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',1708,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6126430,3.00,1.00,3.00,2.00,7.00,9.75,1.00,3.00,3.00,104,NULL,NULL,'INDUSTRIAL','IJUÍ','RS',15495,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6126448,8.00,7.00,8.00,8.00,9.00,10.88,3.00,9.00,8.00,216,NULL,233,'CENTRO','CPO GRANDE','MS',101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126456,5.00,4.00,4.00,4.00,6.00,6.75,3.00,5.00,1.00,213,NULL,235,'ITACORUBI','FLORIANÓPOLIS','SC',13205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126472,6.00,8.00,3.00,4.00,9.00,10.88,2.00,6.00,5.00,415,NULL,NULL,'CENTRO','IMBÉ','RS',3678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126480,7.00,5.00,5.00,6.00,9.00,9.00,3.00,3.00,6.00,103,NULL,NULL,'BATEL','CURITIBA','PR',4218,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6126499,5.00,6.00,1.00,6.00,9.00,9.00,1.00,4.00,1.00,103,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',9824,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6126502,4.00,7.00,4.00,6.00,7.00,10.13,2.00,5.00,4.00,201,NULL,233,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',4445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126510,2.00,2.00,1.00,3.00,1.00,NULL,3.00,1.00,1.00,223,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6126529,5.00,5.00,3.00,6.00,7.00,8.25,0.00,4.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8607,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6126537,9.00,3.00,3.00,6.00,8.00,9.75,5.00,8.00,9.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',1392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126553,7.00,6.00,4.00,6.00,8.00,12.38,0.00,5.00,5.00,207,NULL,201,'FATIMA','ERECHIM','RS',4040,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6126561,6.00,4.00,3.00,7.00,7.00,NULL,0.00,5.00,3.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(25,6126570,6.00,6.00,2.00,6.00,5.00,6.75,4.00,8.00,4.00,203,NULL,201,'CENTRO','MARINGÁ','PR',6698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126588,5.00,7.00,5.00,4.00,7.00,7.13,1.00,5.00,5.00,103,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',5858,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6126618,6.00,5.00,2.00,7.00,8.00,8.63,2.00,3.00,5.00,2,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',8230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'SERRA DA CANTAREIRA','MAIRIPORÃ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6126642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6126650,4.00,5.00,1.00,6.00,9.00,8.25,4.00,4.00,3.00,601,NULL,220,'AMADORI','PATO BRANCO','PR',9321,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6126669,3.00,4.00,1.00,5.00,6.00,9.00,2.00,1.00,0.00,424,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',19109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126677,9.00,4.00,3.00,6.00,10.00,9.00,5.00,5.00,6.00,235,NULL,216,'JARDIM AMÉRICA','GOIÂNIA','GO',1828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126693,6.00,4.00,5.00,7.00,6.00,7.50,3.00,6.00,4.00,201,NULL,207,'JARDIM SAO LOURENÇO','CPO GRANDE','MS',7138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126707,4.00,5.00,3.00,3.00,7.00,7.88,4.00,4.00,2.00,234,NULL,NULL,'ROÇADO','S JOSÉ','SC',14290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6126715,6.00,6.00,2.00,2.00,10.00,10.88,0.00,4.00,5.00,426,NULL,428,'MEIA PRAIA','ITAPEMA','SC',9519,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6126723,4.00,2.00,1.00,4.00,8.00,7.88,0.00,3.00,2.00,421,NULL,NULL,'ALMERINDA','S GONÇALO','RJ',16210,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6126731,4.00,6.00,2.00,0.00,4.00,9.75,1.00,4.00,0.00,103,NULL,NULL,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6126740,2.00,2.00,1.00,2.00,2.00,NULL,1.00,2.00,1.00,235,NULL,212,'SÃO DOMINGOS','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6126758,4.00,2.00,0.00,4.00,6.00,NULL,2.00,4.00,2.00,319,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6126766,1.00,2.00,2.00,1.00,4.00,7.13,2.00,0.00,1.00,207,NULL,201,'ESTANCIA NOBLESSE','RIBEIRÃO PIRES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126774,8.00,5.00,7.00,5.00,9.00,7.88,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','LAGES','SC',1581,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6126782,2.00,2.00,1.00,1.00,3.00,6.00,0.00,0.00,3.00,333,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',21763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6126790,8.00,6.00,7.00,7.00,9.00,8.63,6.00,5.00,8.00,103,NULL,NULL,'VILA CARAGUATÁ','S PAULO','SP',865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'JOÃO XXIII','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6126812,4.00,5.00,4.00,4.00,6.00,6.38,2.00,4.00,3.00,316,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',13104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126820,4.00,5.00,1.00,6.00,8.00,10.13,1.00,4.00,4.00,329,NULL,NULL,'JARDIM PACAEMBU','JUNDIAÍ','SP',12699,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6126839,4.00,8.00,1.00,4.00,6.00,11.63,0.00,5.00,3.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',9509,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6126855,6.00,3.00,3.00,5.00,7.00,NULL,1.00,1.00,4.00,103,NULL,NULL,'SÃO CRISTÓVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(25,6126863,7.00,7.00,4.00,4.00,8.00,9.38,4.00,8.00,5.00,102,NULL,NULL,'CENTRO','PARIQUERA-AÇU','SP',4262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA ROSA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6126880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6126901,6.00,7.00,4.00,6.00,7.00,13.88,2.00,6.00,8.00,103,NULL,NULL,'PARQUE CELESTE','S JOSÉ R PRETO','SP',2322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126910,9.00,7.00,8.00,6.00,9.00,9.75,4.00,7.00,8.00,103,NULL,NULL,'JARDIM PARAÍSO','CAMPINAS','SP',378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126928,5.00,6.00,1.00,5.00,6.00,9.38,1.00,6.00,4.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126936,9.00,8.00,7.00,7.00,8.00,10.50,3.00,7.00,9.00,103,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',335,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6126960,2.00,5.00,2.00,4.00,5.00,6.00,1.00,0.00,0.00,216,NULL,220,'JARDIM CAIÇARA I','REGISTRO','SP',18908,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6126979,1.00,5.00,2.00,2.00,6.00,NULL,0.00,4.00,1.00,310,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6126987,7.00,8.00,0.00,7.00,6.00,8.63,1.00,5.00,6.00,207,NULL,601,'TRINDADE','FLORIANÓPOLIS','SC',6975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6126995,2.00,4.00,1.00,4.00,2.00,NULL,3.00,3.00,0.00,103,NULL,NULL,'JD PAULISTA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6127002,2.00,2.00,2.00,1.00,3.00,NULL,0.00,0.00,1.00,303,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6127010,9.00,6.00,2.00,6.00,4.00,NULL,2.00,5.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6127029,8.00,7.00,3.00,6.00,7.00,9.75,2.00,7.00,8.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',2769,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6127045,3.00,4.00,2.00,1.00,6.00,NULL,2.00,3.00,1.00,404,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6127061,1.00,3.00,3.00,3.00,2.00,NULL,2.00,3.00,2.00,316,NULL,NULL,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6127070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6127096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6127118,3.00,5.00,3.00,6.00,6.00,6.38,3.00,3.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',12480,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6127126,2.00,2.00,1.00,2.00,6.00,5.63,1.00,4.00,0.00,335,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6127134,3.00,5.00,2.00,4.00,5.00,7.13,0.00,2.00,2.00,101,NULL,NULL,'BELA VISTA','PALHOÇA','SC',18051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6127142,2.00,2.00,0.00,0.00,6.00,NULL,1.00,0.00,1.00,207,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6127150,6.00,7.00,0.00,2.00,5.00,6.38,4.00,4.00,3.00,2,NULL,NULL,'SÃO BASÍLIO','BRAÇO NORTE','SC',15873,41,NULL,NULL,NULL,NULL,NULL,4,10),(25,6127185,4.00,7.00,2.00,5.00,8.00,6.00,5.00,6.00,8.00,238,NULL,652,'CENTRO','CRICIÚMA','SC',4344,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6127193,3.00,4.00,3.00,4.00,5.00,NULL,0.00,5.00,2.00,501,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6127207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JARDIM PETROPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6127223,5.00,4.00,2.00,4.00,6.00,NULL,2.00,1.00,2.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6127231,2.00,4.00,2.00,4.00,6.00,9.00,2.00,4.00,2.00,303,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',14981,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6127240,1.00,2.00,2.00,3.00,2.00,NULL,2.00,0.00,2.00,425,NULL,429,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6127258,4.00,4.00,2.00,6.00,6.00,11.25,3.00,5.00,3.00,453,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11857,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6127266,1.00,5.00,2.00,2.00,3.00,7.88,2.00,6.00,1.00,5,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',19268,661,NULL,NULL,NULL,NULL,NULL,2,1),(25,6127274,3.00,8.00,2.00,5.00,6.00,7.13,0.00,6.00,3.00,238,NULL,203,'ARAMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',14539,271,NULL,906,NULL,NULL,NULL,4,1),(25,6127282,4.00,8.00,2.00,3.00,6.00,7.88,1.00,3.00,3.00,653,NULL,202,'CENTRO','CRICIÚMA','SC',11853,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6127304,4.00,6.00,1.00,7.00,8.00,9.38,0.00,4.00,1.00,203,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',13926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6127312,1.00,4.00,2.00,2.00,3.00,6.00,2.00,1.00,1.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20698,152,NULL,NULL,NULL,NULL,NULL,2,1),(25,6127320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PREDIAL','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6127339,6.00,8.00,3.00,6.00,9.00,7.88,3.00,6.00,5.00,420,NULL,NULL,'CENTRO','RIO FORTUNA','SC',4406,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6127347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6127355,2.00,6.00,4.00,4.00,6.00,7.50,1.00,5.00,3.00,225,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13851,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6127398,1.00,5.00,2.00,4.00,7.00,6.38,2.00,2.00,0.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18119,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6127401,0.00,2.00,1.00,3.00,6.00,6.75,2.00,2.00,2.00,425,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6127410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6127436,3.00,6.00,2.00,4.00,6.00,NULL,0.00,0.00,2.00,203,NULL,235,'VILA GUILHERME','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6127444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6127460,7.00,5.00,3.00,1.00,8.00,10.50,2.00,6.00,7.00,103,NULL,NULL,'JARDIM LUCIANA','MARÍLIA','SP',4378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6127479,4.00,8.00,3.00,6.00,8.00,8.63,2.00,6.00,4.00,425,NULL,426,'BALNEÁRIO','FLORIANÓPOLIS','SC',6630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6127495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6127517,5.00,7.00,5.00,7.00,9.00,10.50,4.00,4.00,7.00,103,NULL,NULL,'PETRÓPOLIS','JOINVILLE','SC',3527,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6127541,2.00,4.00,4.00,6.00,7.00,NULL,0.00,0.00,3.00,317,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6127568,3.00,6.00,2.00,2.00,3.00,6.38,2.00,3.00,1.00,208,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',20569,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6127584,3.00,3.00,0.00,4.00,5.00,7.88,1.00,2.00,4.00,201,NULL,203,'MORRO GRANDE','SANGÃO','SC',20118,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6127606,5.00,3.00,2.00,2.00,6.00,6.00,0.00,4.00,3.00,654,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',18775,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6127614,1.00,5.00,3.00,7.00,6.00,9.38,0.00,4.00,1.00,301,NULL,NULL,'CENTRO','CRICIÚMA','SC',13161,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6127622,3.00,3.00,2.00,3.00,6.00,8.25,3.00,0.00,1.00,302,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',17816,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6127630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6127649,4.00,5.00,1.00,4.00,9.00,7.88,0.00,3.00,6.00,303,NULL,NULL,'MORRO GRANDE','SANGÃO','SC',11661,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6127657,4.00,6.00,3.00,6.00,5.00,6.75,4.00,4.00,6.00,203,NULL,211,'VERA CRUZ','CRICIÚMA','SC',11805,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6127665,5.00,3.00,1.00,5.00,6.00,4.50,1.00,5.00,1.00,601,NULL,NULL,'CENTRO','NOVA VENEZA','SC',15639,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6127673,4.00,6.00,0.00,3.00,4.00,4.50,2.00,5.00,4.00,104,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',19477,546,NULL,NULL,NULL,NULL,NULL,2,6),(25,6127690,7.00,4.00,2.00,2.00,10.00,10.88,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',9262,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6127703,3.00,5.00,2.00,1.00,4.00,7.50,0.00,2.00,0.00,304,NULL,NULL,'PARQUE CAMPOLIM','SOROCABA','SP',17888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6127711,7.00,7.00,3.00,3.00,10.00,9.00,0.00,6.00,6.00,102,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',5323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6127720,3.00,6.00,5.00,5.00,5.00,9.38,0.00,3.00,3.00,108,NULL,NULL,'ASILO','BLUMENAU','SC',14567,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6127738,2.00,4.00,0.00,5.00,3.00,9.75,2.00,1.00,5.00,303,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',18753,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6127746,3.00,5.00,1.00,4.00,7.00,8.25,3.00,2.00,3.00,303,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',12075,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6127754,3.00,4.00,1.00,5.00,5.00,5.63,4.00,3.00,3.00,336,NULL,NULL,'CENTRO','CRICIÚMA','SC',16495,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6127762,3.00,5.00,1.00,1.00,6.00,7.50,2.00,2.00,2.00,301,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',20188,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6127770,5.00,6.00,6.00,7.00,8.00,6.00,3.00,7.00,8.00,303,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',4961,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6127789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'SÍTIO CERCADO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6127797,4.00,1.00,1.00,2.00,2.00,NULL,1.00,1.00,3.00,2,NULL,NULL,'CALHEIROS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6127800,4.00,8.00,0.00,6.00,9.00,9.38,5.00,6.00,7.00,429,NULL,425,'COQUEIROS','FLORIANÓPOLIS','SC',5840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6127843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','IBICARÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6127851,3.00,3.00,1.00,3.00,4.00,NULL,1.00,2.00,0.00,102,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6127860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(25,6127878,5.00,6.00,2.00,5.00,5.00,9.38,0.00,6.00,5.00,103,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',9236,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6127886,3.00,6.00,0.00,5.00,8.00,10.13,1.00,3.00,1.00,5,NULL,NULL,'FLORESTA','S JOSÉ','SC',16115,568,NULL,NULL,NULL,NULL,NULL,2,1),(25,6127894,5.00,6.00,1.00,6.00,7.00,13.13,2.00,2.00,3.00,2,NULL,NULL,'GETÚLIO VARGAS','TORRES','RS',8095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6127908,5.00,6.00,5.00,6.00,7.00,7.88,3.00,4.00,4.00,316,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6127916,2.00,0.00,5.00,2.00,5.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6127924,6.00,5.00,3.00,5.00,6.00,6.38,0.00,5.00,4.00,453,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6127932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VILA INDEPENDÊNCIA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6127940,5.00,2.00,3.00,3.00,5.00,NULL,0.00,1.00,3.00,428,NULL,425,'QUARTA LINHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6127959,2.00,1.00,1.00,2.00,4.00,5.25,3.00,0.00,2.00,654,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',21301,85,NULL,NULL,NULL,NULL,NULL,2,15),(25,6127967,7.00,6.00,2.00,6.00,10.00,7.88,0.00,6.00,5.00,103,NULL,NULL,'MOEMA','ITAIÓPOLIS','SC',5636,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6127975,5.00,6.00,1.00,6.00,10.00,9.75,0.00,5.00,6.00,103,NULL,NULL,'SETOR INDUSTRIAL','PATROCÍNIO','MG',6314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6127983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6127991,7.00,5.00,1.00,4.00,8.00,9.00,2.00,4.00,5.00,999,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6128009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,655,'PRÓSPERA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6128017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6128025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'INTERIOR','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6128050,8.00,7.00,2.00,4.00,10.00,11.25,3.00,6.00,9.00,103,NULL,NULL,'SANTA MARIA','UBERLÂNDIA','MG',1714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128068,2.00,5.00,0.00,7.00,7.00,8.63,2.00,4.00,3.00,103,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',12787,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6128076,6.00,6.00,4.00,6.00,8.00,8.25,4.00,7.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128084,5.00,6.00,2.00,5.00,6.00,7.50,0.00,4.00,1.00,428,NULL,NULL,'BARREIROS','S JOSÉ','SC',14371,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6128106,2.00,4.00,2.00,3.00,3.00,9.75,0.00,0.00,1.00,653,NULL,216,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6128130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6128149,4.00,4.00,1.00,4.00,10.00,6.75,1.00,2.00,3.00,420,NULL,NULL,'LIBERDADE','CONCÓRDIA','SC',12390,107,NULL,NULL,NULL,NULL,NULL,2,4),(25,6128157,8.00,6.00,3.00,2.00,10.00,10.50,5.00,5.00,7.00,103,NULL,NULL,'VILA LIZABEL','CRUZ ALTA','RS',2900,1661,NULL,NULL,NULL,NULL,NULL,4,10),(25,6128165,7.00,5.00,2.00,3.00,9.00,9.00,3.00,7.00,4.00,220,NULL,208,'ABRAÃO','FLORIANÓPOLIS','SC',7365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128173,5.00,6.00,4.00,6.00,8.00,9.38,4.00,3.00,4.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128181,3.00,5.00,4.00,5.00,6.00,10.13,1.00,4.00,4.00,207,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',13253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6128190,8.00,7.00,3.00,6.00,7.00,8.63,3.00,5.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',2387,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6128203,4.00,4.00,2.00,3.00,5.00,NULL,0.00,1.00,3.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128211,9.00,7.00,6.00,7.00,11.00,10.88,7.00,6.00,8.00,203,NULL,233,'CABRAL','CURITIBA','PR',127,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6128220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6128238,1.00,5.00,1.00,2.00,3.00,5.25,1.00,3.00,4.00,444,NULL,NULL,'SÃO LUIS','CURITIBANOS','SC',21164,164,NULL,NULL,NULL,NULL,NULL,4,16),(25,6128246,8.00,6.00,6.00,7.00,8.00,9.00,5.00,7.00,9.00,103,NULL,NULL,'CENTRO','SAUDADE IGUAÇU','PR',512,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6128254,7.00,7.00,7.00,7.00,9.00,11.25,4.00,8.00,8.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128262,8.00,7.00,6.00,7.00,8.00,10.88,5.00,5.00,7.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128270,7.00,6.00,5.00,3.00,8.00,9.00,2.00,6.00,4.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',4576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128289,4.00,5.00,4.00,4.00,7.00,10.88,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5824,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6128297,4.00,6.00,2.00,3.00,6.00,7.13,5.00,3.00,3.00,404,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',14484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128300,3.00,5.00,2.00,3.00,8.00,7.13,0.00,6.00,4.00,238,NULL,208,'REAL PARK','S JOSÉ','SC',14786,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6128319,5.00,6.00,2.00,6.00,8.00,9.75,0.00,3.00,1.00,316,NULL,NULL,'ANAPOLIS CITY','ANÁPOLIS','GO',10504,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6128327,6.00,7.00,3.00,4.00,10.00,10.13,4.00,5.00,3.00,303,NULL,NULL,'CENTRO','PATO BRANCO','PR',3920,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6128335,5.00,6.00,2.00,5.00,8.00,12.38,1.00,2.00,5.00,103,NULL,NULL,'VILA DO BOSQUE','S PAULO','SP',7599,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6128343,2.00,5.00,1.00,1.00,4.00,7.50,3.00,1.00,3.00,655,NULL,653,'MATO ALTO','ARARANGUÁ','SC',18877,117,NULL,194,NULL,NULL,NULL,4,15),(25,6128351,2.00,3.00,2.00,2.00,2.00,NULL,2.00,0.00,2.00,108,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6128360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CATUÍPE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6128378,2.00,5.00,2.00,2.00,7.00,10.13,3.00,5.00,2.00,212,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14601,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6128386,3.00,5.00,1.00,5.00,7.00,6.00,2.00,5.00,4.00,238,NULL,208,'ARAÇATUBA','IMBITUBA','SC',12072,195,NULL,219,NULL,NULL,NULL,2,1),(25,6128408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6128424,4.00,2.00,2.00,2.00,5.00,6.38,1.00,3.00,1.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',19417,4628,NULL,NULL,NULL,NULL,NULL,2,10),(25,6128440,6.00,7.00,4.00,5.00,5.00,7.88,5.00,7.00,4.00,319,NULL,NULL,'CAEIRA S DOS LIMOES','FLORIANÓPOLIS','SC',6135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128459,7.00,6.00,2.00,5.00,9.00,6.75,1.00,3.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128467,3.00,1.00,1.00,5.00,4.00,8.63,0.00,1.00,4.00,108,NULL,NULL,'PINHEIRINHO','CURITIBA','PR',18464,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6128475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CENTRO','MTE CASTELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6128483,3.00,4.00,0.00,3.00,4.00,NULL,2.00,2.00,1.00,427,NULL,423,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6128491,5.00,6.00,5.00,5.00,8.00,6.00,3.00,5.00,2.00,203,NULL,235,'CACHOEIRA','BIGUAÇU','SC',12105,810,NULL,277,NULL,NULL,NULL,2,1),(25,6128505,4.00,3.00,2.00,4.00,8.00,7.50,1.00,3.00,0.00,103,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',16534,4384,NULL,NULL,NULL,NULL,NULL,2,8),(25,6128513,2.00,3.00,0.00,2.00,6.00,NULL,2.00,3.00,1.00,201,NULL,238,'NOSSA SENHORA DO ROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128530,4.00,6.00,6.00,7.00,9.00,9.38,1.00,6.00,3.00,201,NULL,207,'CENTRO','CPO GRANDE','MS',4461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR SUL','GOIANÉSIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6128564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'VILA INDAIÁ','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6128572,3.00,3.00,2.00,3.00,8.00,8.25,0.00,7.00,3.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',16114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128580,9.00,6.00,8.00,7.00,8.00,9.75,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128602,4.00,3.00,2.00,4.00,6.00,NULL,0.00,3.00,1.00,420,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6128629,7.00,6.00,2.00,7.00,9.00,9.38,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','LAGUNA','SC',4374,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6128637,2.00,4.00,2.00,3.00,4.00,4.50,3.00,4.00,2.00,207,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128653,3.00,3.00,0.00,3.00,5.00,4.50,1.00,1.00,1.00,308,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',21638,76,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128661,5.00,5.00,5.00,2.00,6.00,8.25,2.00,4.00,4.00,201,NULL,601,'VILA GROSSEL','MAFRA','SC',14000,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6128688,4.00,6.00,1.00,3.00,8.00,8.25,2.00,4.00,2.00,424,NULL,426,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',14680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6128700,4.00,4.00,2.00,5.00,4.00,7.88,2.00,3.00,4.00,404,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',15820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6128726,3.00,3.00,0.00,4.00,5.00,3.38,3.00,1.00,1.00,404,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6128734,5.00,6.00,2.00,2.00,4.00,4.88,1.00,4.00,3.00,225,NULL,NULL,'LAGOA','FLORIANÓPOLIS','SC',17866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128742,6.00,5.00,2.00,4.00,5.00,9.75,4.00,3.00,4.00,201,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',8069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128750,4.00,6.00,4.00,3.00,6.00,8.63,1.00,4.00,4.00,208,NULL,238,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',15297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128769,2.00,1.00,1.00,3.00,4.00,NULL,2.00,0.00,3.00,654,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6128777,4.00,7.00,3.00,5.00,7.00,10.13,1.00,5.00,5.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',8841,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6128793,3.00,5.00,3.00,0.00,3.00,4.50,2.00,2.00,3.00,224,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6128807,5.00,4.00,2.00,4.00,6.00,7.88,1.00,2.00,4.00,216,NULL,211,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6128823,1.00,5.00,3.00,4.00,6.00,0.00,1.00,3.00,1.00,301,NULL,NULL,'FATIMA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128858,4.00,3.00,1.00,4.00,7.00,6.00,3.00,1.00,4.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',16884,4428,NULL,NULL,NULL,NULL,NULL,2,8),(25,6128882,2.00,4.00,0.00,4.00,3.00,NULL,0.00,0.00,4.00,425,NULL,424,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'NEVA','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6128912,3.00,4.00,4.00,6.00,9.00,10.13,2.00,5.00,3.00,225,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',7874,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6128920,5.00,5.00,0.00,5.00,7.00,9.00,1.00,5.00,4.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',10448,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6128939,2.00,1.00,0.00,1.00,4.00,7.13,3.00,1.00,2.00,207,NULL,208,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6128947,5.00,3.00,0.00,3.00,3.00,7.88,3.00,3.00,5.00,104,NULL,NULL,'MALOTA','JUNDIAÍ','SP',15965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128955,2.00,4.00,1.00,2.00,4.00,6.00,0.00,4.00,2.00,225,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',21094,37,NULL,NULL,NULL,NULL,NULL,4,1),(25,6128963,4.00,5.00,2.00,5.00,6.00,NULL,0.00,3.00,1.00,326,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6128971,5.00,6.00,3.00,3.00,6.00,9.00,0.00,6.00,3.00,302,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',9978,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6128980,1.00,3.00,1.00,3.00,5.00,9.00,2.00,1.00,0.00,5,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6128998,8.00,5.00,0.00,4.00,6.00,NULL,1.00,4.00,4.00,108,NULL,NULL,'MONTE ALEGRE','S CRISTÓVÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6129005,2.00,2.00,1.00,3.00,6.00,7.50,1.00,3.00,1.00,203,NULL,202,'RIO TAVARES','FLORIANÓPOLIS','SC',18242,1042,NULL,567,NULL,NULL,NULL,4,1),(25,6129021,5.00,3.00,4.00,6.00,9.00,9.75,3.00,5.00,3.00,303,NULL,NULL,'LIMEIRA','BRUSQUE','SC',7108,328,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129030,5.00,7.00,5.00,4.00,8.00,10.50,2.00,7.00,5.00,103,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',4490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129048,3.00,5.00,0.00,2.00,6.00,7.13,1.00,1.00,3.00,5,NULL,NULL,'GARCIA','ANGELINA','SC',18442,633,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129056,1.00,4.00,1.00,5.00,6.00,NULL,0.00,1.00,0.00,301,NULL,NULL,'VILA REZENDE','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129064,2.00,5.00,3.00,0.00,4.00,4.50,1.00,2.00,0.00,309,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',21674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6129072,6.00,6.00,4.00,7.00,6.00,7.88,5.00,6.00,6.00,203,NULL,208,'VILA MARIA','LAGES','SC',3207,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6129080,1.00,5.00,2.00,3.00,7.00,12.38,3.00,5.00,2.00,5,NULL,NULL,'CAPOEIRA','FLORIANÓPOLIS','SC',14969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129099,7.00,5.00,1.00,4.00,7.00,9.00,1.00,3.00,6.00,103,NULL,NULL,'APARECIDA','FREDERICO WESTPHALEN','RS',11483,3783,NULL,NULL,NULL,NULL,NULL,2,4),(25,6129102,4.00,5.00,2.00,3.00,8.00,9.75,1.00,5.00,2.00,103,NULL,NULL,'PAULAS','S FRANCISCO SUL','SC',12155,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6129110,4.00,4.00,0.00,3.00,4.00,7.50,1.00,2.00,1.00,202,NULL,213,'CENTRO','STO AMARO IMPERATRIZ','SC',20520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129137,3.00,5.00,4.00,6.00,8.00,10.50,0.00,4.00,4.00,652,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',11288,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6129145,3.00,5.00,2.00,2.00,3.00,8.25,2.00,4.00,2.00,238,NULL,652,'PANTANAL','FLORIANÓPOLIS','SC',19711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129161,8.00,4.00,2.00,7.00,8.00,8.63,2.00,4.00,6.00,102,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',6801,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6129170,7.00,4.00,4.00,7.00,6.00,8.63,2.00,3.00,4.00,340,NULL,NULL,'PARQUE CENTENARIO','JUNDIAÍ','SP',8103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129196,4.00,4.00,4.00,5.00,6.00,8.63,2.00,1.00,0.00,653,NULL,655,'GOLFINHOS','BAL ARROIO SILVA','SC',16892,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6129200,2.00,6.00,0.00,5.00,7.00,9.38,0.00,4.00,1.00,428,NULL,424,'PICADAS DO SUL','S JOSÉ','SC',17396,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6129218,5.00,3.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6129226,6.00,6.00,1.00,3.00,8.00,7.50,1.00,5.00,5.00,103,NULL,NULL,'JARDIM SÃO MIGUEL','BRAGANÇA PAULISTA','SP',8773,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6129234,5.00,2.00,1.00,3.00,3.00,6.00,2.00,1.00,2.00,309,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6129250,5.00,2.00,1.00,2.00,3.00,5.25,2.00,0.00,1.00,216,NULL,NULL,'SANTO ANTONIO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6129269,6.00,7.00,3.00,5.00,8.00,11.63,2.00,7.00,6.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',4085,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6129293,1.00,3.00,3.00,4.00,4.00,8.63,2.00,5.00,4.00,452,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',17194,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6129307,3.00,4.00,4.00,6.00,6.00,9.38,2.00,7.00,3.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129315,5.00,3.00,1.00,5.00,9.00,9.75,1.00,4.00,6.00,319,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',8677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129323,3.00,5.00,3.00,1.00,3.00,6.75,0.00,2.00,2.00,203,NULL,215,'CENTRO','CAMBORIÚ','SC',18979,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6129331,6.00,6.00,3.00,5.00,9.00,11.63,1.00,4.00,6.00,103,NULL,NULL,'SUMARE','RIO SUL','SC',5785,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6129340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAGO SUL','LG SUL','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6129358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6129366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6129374,5.00,4.00,1.00,4.00,6.00,4.88,0.00,0.00,4.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18754,645,NULL,NULL,NULL,NULL,NULL,2,1),(25,6129382,1.00,2.00,0.00,1.00,4.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'CENTRO','CUNHA PORÃ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6129390,5.00,7.00,3.00,5.00,9.00,10.13,1.00,8.00,4.00,103,NULL,NULL,'CARIANO','FLORIANÓPOLIS','SC',5661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129404,5.00,3.00,1.00,2.00,7.00,7.88,1.00,1.00,0.00,102,NULL,NULL,'GARCIA','BLUMENAU','SC',20519,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6129439,3.00,4.00,2.00,6.00,6.00,7.13,1.00,3.00,2.00,551,NULL,NULL,'CENTRO','MTE CARLO','SC',16269,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6129447,7.00,7.00,4.00,6.00,11.00,10.88,6.00,8.00,5.00,233,NULL,NULL,'CERRITO','STA MARIA','RS',812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129455,6.00,4.00,1.00,6.00,4.00,9.00,2.00,2.00,1.00,310,NULL,NULL,'CENTRO','ROSANA','SP',17496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129463,5.00,4.00,1.00,0.00,7.00,7.50,3.00,3.00,6.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',12112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129480,5.00,6.00,4.00,3.00,5.00,6.75,1.00,2.00,0.00,3,NULL,NULL,'ANITA GARIBALDE','JOINVILLE','SC',14255,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6129498,2.00,3.00,0.00,2.00,3.00,5.63,0.00,2.00,3.00,101,NULL,NULL,'FERRUGEM','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129501,7.00,5.00,3.00,7.00,7.00,7.13,3.00,8.00,6.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',4078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6129528,2.00,6.00,3.00,4.00,8.00,8.63,4.00,6.00,2.00,601,NULL,653,'CENTRO','STO AMARO IMPERATRIZ','SC',11174,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6129536,6.00,6.00,4.00,7.00,8.00,7.88,2.00,6.00,6.00,207,NULL,601,'BARRA','BAL CAMBORIÚ','SC',4394,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6129544,2.00,2.00,2.00,1.00,3.00,6.00,0.00,2.00,2.00,214,NULL,203,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6129552,2.00,4.00,2.00,6.00,4.00,6.00,0.00,5.00,5.00,216,NULL,233,'VILA GALVÃO','JUNDIAÍ','SP',12822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129587,2.00,2.00,1.00,0.00,3.00,NULL,1.00,0.00,1.00,450,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129595,7.00,5.00,2.00,4.00,8.00,9.38,1.00,2.00,3.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',8934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129609,6.00,5.00,2.00,5.00,8.00,9.00,2.00,6.00,1.00,103,NULL,NULL,'SÃO CRISTÓVÃO','CHAPECÓ','SC',9807,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6129625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'GLEBA FAZENDA PALHAN','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6129641,8.00,4.00,2.00,5.00,9.00,6.75,1.00,7.00,5.00,333,NULL,NULL,'VILA IPOJUCA','S PAULO','SP',4799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'SANTOS DUMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6129676,3.00,6.00,2.00,6.00,9.00,10.50,2.00,5.00,5.00,201,NULL,233,'CANASVIEIRAS','FLORIANÓPOLIS','SC',6208,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6129684,5.00,4.00,2.00,6.00,6.00,8.25,1.00,4.00,4.00,450,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11878,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6129714,4.00,4.00,3.00,3.00,4.00,7.50,2.00,2.00,5.00,238,NULL,208,'RIO VERMELHO','FLORIANÓPOLIS','SC',14880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129730,7.00,6.00,4.00,5.00,7.00,12.00,3.00,7.00,6.00,205,NULL,NULL,'CANUDOS','ANTÔNIO CARLOS','SC',3161,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6129749,4.00,4.00,4.00,5.00,6.00,4.50,2.00,5.00,2.00,207,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',12948,699,NULL,250,NULL,NULL,NULL,2,1),(25,6129757,7.00,7.00,6.00,4.00,9.00,9.38,2.00,6.00,5.00,201,NULL,207,'LA SALLE','PATO BRANCO','PR',4084,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6129765,3.00,3.00,1.00,6.00,4.00,7.50,2.00,5.00,1.00,551,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6129773,7.00,5.00,3.00,6.00,7.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6129781,7.00,6.00,1.00,7.00,10.00,9.38,1.00,5.00,3.00,303,NULL,NULL,'CENTRO','JOINVILLE','SC',5395,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6129803,7.00,6.00,5.00,6.00,10.00,8.25,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',1816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129838,6.00,5.00,3.00,5.00,7.00,9.75,2.00,6.00,2.00,103,NULL,NULL,'BELO HORIZONTE','CPO ALEGRE','SC',7981,3179,NULL,NULL,NULL,NULL,NULL,1,8),(25,6129846,9.00,7.00,4.00,6.00,9.00,10.13,4.00,7.00,9.00,103,NULL,NULL,'CIDADE SÃO FRANCISCO','S PAULO','SP',499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CATANDUVAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6129862,2.00,4.00,1.00,0.00,6.00,NULL,1.00,0.00,0.00,216,NULL,207,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6129897,2.00,4.00,2.00,4.00,4.00,6.75,0.00,2.00,1.00,238,NULL,208,'TONIAL','XANXERÊ','SC',20841,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6129919,8.00,5.00,4.00,5.00,6.00,8.25,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','DOIS VIZINHOS','PR',4533,2264,NULL,NULL,NULL,NULL,NULL,4,4),(25,6129943,3.00,6.00,1.00,5.00,7.00,7.13,2.00,2.00,2.00,201,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',13861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6129951,3.00,5.00,1.00,6.00,8.00,8.63,3.00,4.00,2.00,301,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',14493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6129978,8.00,7.00,6.00,6.00,9.00,8.63,5.00,6.00,8.00,203,NULL,202,'ANITA GARIBALDI','JOINVILLE','SC',456,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6129986,7.00,5.00,1.00,5.00,6.00,5.25,4.00,0.00,1.00,103,NULL,NULL,'CENTRO','TURVO','SC',15885,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6129994,1.00,3.00,3.00,2.00,7.00,NULL,0.00,3.00,4.00,201,NULL,655,'CENTRO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6130003,8.00,8.00,1.00,5.00,9.00,9.00,2.00,5.00,4.00,303,NULL,NULL,'GLÓRIA','JOINVILLE','SC',4335,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6130038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6130054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'VISTA ALEGTRE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6130062,7.00,0.00,7.00,7.00,9.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6130070,3.00,2.00,1.00,2.00,5.00,NULL,0.00,0.00,2.00,301,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6130089,5.00,5.00,2.00,3.00,5.00,8.63,1.00,3.00,2.00,201,NULL,203,'CENTRO','CRICIÚMA','SC',14051,1201,NULL,890,NULL,NULL,NULL,2,5),(25,6130100,6.00,5.00,0.00,3.00,9.00,7.88,3.00,4.00,5.00,316,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',9666,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6130119,4.00,7.00,1.00,2.00,7.00,9.00,3.00,3.00,2.00,2,NULL,NULL,'SAO CRISTOVAO','PAPANDUVA','SC',15842,40,NULL,NULL,NULL,NULL,NULL,2,1),(25,6130127,5.00,6.00,3.00,5.00,6.00,7.88,1.00,0.00,4.00,101,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',12573,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6130143,3.00,7.00,2.00,3.00,7.00,10.13,2.00,3.00,0.00,5,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',13351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6130151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DESVIO RIZZO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6130160,7.00,3.00,4.00,4.00,6.00,11.25,0.00,4.00,4.00,208,NULL,653,'PONTA AGUDA','BLUMENAU','SC',9656,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6130178,7.00,5.00,4.00,3.00,4.00,8.25,2.00,5.00,2.00,216,NULL,208,'MEIA PRAIA','ITAPEMA','SC',12778,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6130194,5.00,4.00,3.00,6.00,6.00,8.63,1.00,2.00,5.00,103,NULL,NULL,'RIO BRANCO','CAXIAS SUL','RS',13858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6130208,4.00,6.00,3.00,2.00,9.00,10.13,1.00,6.00,7.00,233,NULL,216,'ALTOS DE SANTANA','S JOSÉ CAMPOS','SP',7487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6130216,3.00,3.00,3.00,3.00,5.00,8.25,1.00,0.00,3.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17267,117,NULL,NULL,NULL,NULL,NULL,2,1),(25,6130224,0.00,2.00,3.00,2.00,5.00,4.50,3.00,2.00,1.00,203,NULL,NULL,'MONTE CRITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6130232,4.00,3.00,0.00,5.00,4.00,NULL,3.00,2.00,1.00,101,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6130240,6.00,4.00,6.00,4.00,7.00,7.13,0.00,5.00,7.00,235,NULL,212,'SANTA GENOVEVA','GOIÂNIA','GO',8153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6130259,5.00,5.00,1.00,0.00,6.00,NULL,0.00,4.00,4.00,999,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6130267,3.00,5.00,2.00,5.00,8.00,6.38,3.00,3.00,2.00,415,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',16128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6130275,6.00,5.00,1.00,4.00,6.00,9.00,1.00,6.00,4.00,303,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',9806,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6130283,5.00,5.00,3.00,4.00,7.00,9.38,1.00,2.00,3.00,424,NULL,425,'TRINDADE','FLORIANÓPOLIS','SC',14310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6130305,4.00,4.00,3.00,6.00,9.00,8.25,4.00,3.00,0.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',13747,118,NULL,NULL,NULL,NULL,NULL,2,1),(25,6130313,2.00,4.00,0.00,1.00,5.00,NULL,1.00,0.00,1.00,501,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6130321,2.00,2.00,0.00,5.00,6.00,NULL,0.00,0.00,1.00,203,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6130330,2.00,3.00,2.00,2.00,4.00,6.38,2.00,2.00,2.00,103,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',19202,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6130348,7.00,5.00,5.00,5.00,6.00,9.75,1.00,3.00,6.00,103,NULL,NULL,'MEDIANEIRA','PTO ALEGRE','RS',6435,2808,NULL,NULL,NULL,NULL,NULL,2,1),(25,6130356,4.00,4.00,3.00,6.00,7.00,7.50,2.00,3.00,4.00,303,NULL,NULL,'CENTRO','CONCÓRDIA','SC',11487,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6130372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6130380,4.00,1.00,0.00,4.00,3.00,NULL,1.00,0.00,2.00,211,NULL,207,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6130399,5.00,5.00,1.00,4.00,7.00,9.00,3.00,5.00,3.00,238,NULL,233,'CAMPINAS','S JOSÉ','SC',9724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6130402,6.00,5.00,3.00,3.00,8.00,8.63,1.00,4.00,5.00,203,NULL,220,'SANTA CRUZ','VIDAL RAMOS','SC',8975,664,NULL,NULL,NULL,NULL,NULL,4,2),(25,6130410,6.00,3.00,2.00,6.00,5.00,9.38,1.00,6.00,3.00,108,NULL,NULL,'ROLAND','ROLÂNDIA','PR',10617,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6130429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SOL NASCENTE','JANDIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6130437,8.00,6.00,6.00,3.00,10.00,9.75,3.00,6.00,8.00,452,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',2872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6130461,7.00,3.00,2.00,2.00,7.00,5.25,3.00,6.00,2.00,104,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',12195,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6130488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REAL PARQUE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6130496,3.00,2.00,1.00,2.00,4.00,8.63,1.00,1.00,1.00,339,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6130500,6.00,4.00,4.00,5.00,5.00,13.13,2.00,5.00,3.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6130526,9.00,8.00,4.00,5.00,10.00,10.50,4.00,8.00,7.00,103,NULL,NULL,'PROGRESSO','S BENTO SUL','SC',663,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6130534,7.00,5.00,4.00,6.00,9.00,8.63,2.00,5.00,6.00,103,NULL,NULL,'SÃO DIMAS','COLOMBO','PR',4312,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6130550,3.00,5.00,0.00,4.00,4.00,7.88,0.00,4.00,2.00,301,NULL,NULL,'JD DOS LAGOS','S PAULO','SP',17136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6130569,7.00,5.00,2.00,3.00,9.00,7.88,4.00,5.00,5.00,104,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',7667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6130577,9.00,6.00,4.00,6.00,7.00,9.38,5.00,4.00,7.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',1953,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6130585,5.00,4.00,1.00,1.00,5.00,6.38,1.00,3.00,3.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',19435,4633,NULL,NULL,NULL,NULL,NULL,4,8),(25,6130593,2.00,5.00,1.00,6.00,7.00,7.13,2.00,2.00,2.00,202,NULL,201,'CENTRO','BARRACÃO','RS',15686,491,NULL,1339,NULL,NULL,NULL,4,7),(25,6130607,1.00,4.00,3.00,5.00,4.00,6.00,1.00,5.00,2.00,235,NULL,213,'FLORESTA','S JOSÉ','SC',18421,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6130623,2.00,5.00,3.00,4.00,7.00,7.88,1.00,3.00,2.00,109,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',18701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6130640,4.00,3.00,3.00,3.00,5.00,NULL,0.00,1.00,2.00,216,NULL,NULL,'SANTA CRUZ','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(25,6130658,6.00,4.00,2.00,5.00,8.00,6.00,1.00,5.00,5.00,203,NULL,220,'VILA ESPERANÇA','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6130666,7.00,7.00,6.00,4.00,8.00,7.88,4.00,6.00,3.00,201,NULL,212,'CENTRO','IÇARA','SC',4498,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6130674,3.00,0.00,4.00,7.00,10.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'ITANHANGA','CALDAS NOVAS','GO',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6130690,3.00,3.00,1.00,2.00,7.00,9.00,1.00,1.00,4.00,601,NULL,NULL,'ITAUM','JOINVILLE','SC',16874,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6130704,5.00,7.00,3.00,5.00,7.00,9.75,4.00,5.00,3.00,601,NULL,NULL,'JARDIM SOFIA','JOINVILLE','SC',7529,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6130712,5.00,3.00,2.00,4.00,6.00,7.13,1.00,3.00,4.00,601,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',16083,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6130720,3.00,6.00,0.00,6.00,7.00,7.88,2.00,5.00,3.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',13788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6130739,5.00,5.00,0.00,6.00,7.00,NULL,1.00,4.00,3.00,211,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6130747,2.00,2.00,1.00,5.00,4.00,7.50,0.00,4.00,2.00,339,NULL,NULL,'CENTRO','CHAPECÓ','SC',20330,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6130755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GUARATUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6130763,4.00,5.00,2.00,3.00,7.00,8.25,2.00,4.00,2.00,103,NULL,NULL,'PALMARES','GUAÍRA','SP',13003,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6130798,2.00,4.00,1.00,3.00,4.00,8.63,1.00,3.00,2.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18074,499,NULL,NULL,NULL,NULL,NULL,2,1),(25,6130801,2.00,2.00,1.00,3.00,6.00,NULL,0.00,5.00,4.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6130810,1.00,5.00,0.00,0.00,3.00,NULL,3.00,0.00,1.00,415,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6130828,7.00,5.00,2.00,2.00,6.00,8.25,0.00,1.00,7.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',12882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6130836,4.00,5.00,2.00,4.00,7.00,7.88,2.00,3.00,3.00,220,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',16015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6130844,9.00,6.00,5.00,6.00,11.00,10.88,4.00,7.00,8.00,103,NULL,NULL,'CRISTO REDENTOR','PTO ALEGRE','RS',609,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6130852,2.00,4.00,0.00,5.00,7.00,6.38,0.00,3.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6130860,7.00,6.00,4.00,6.00,10.00,8.63,1.00,6.00,7.00,103,NULL,NULL,'JD IMPERIAL','ROLÂNDIA','PR',2542,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6130887,2.00,1.00,2.00,2.00,1.00,NULL,1.00,0.00,1.00,308,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6130895,1.00,2.00,0.00,1.00,4.00,NULL,2.00,0.00,0.00,501,NULL,NULL,'VILA EDIO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6130909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,653,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6130917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'RESIDENCIAL NARDINI','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6130933,4.00,3.00,2.00,3.00,5.00,NULL,0.00,2.00,3.00,317,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6130941,1.00,1.00,1.00,4.00,3.00,7.13,2.00,2.00,1.00,302,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',20489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6130976,2.00,2.00,1.00,1.00,5.00,9.00,2.00,1.00,2.00,208,NULL,238,'SÃO VICENTE','HERVAL D OESTE','SC',21209,584,NULL,525,NULL,NULL,NULL,4,7),(25,6130992,7.00,6.00,3.00,6.00,6.00,10.13,3.00,5.00,7.00,103,NULL,NULL,'GUAIRA','CURITIBA','PR',4982,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6131000,8.00,7.00,4.00,7.00,10.00,8.25,3.00,7.00,9.00,103,NULL,NULL,'LAGO SUL','LG SUL','DF',929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6131018,2.00,2.00,3.00,1.00,5.00,5.63,1.00,1.00,3.00,9,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',20813,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6131026,4.00,4.00,4.00,3.00,5.00,8.25,3.00,2.00,3.00,415,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',14420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131034,3.00,3.00,1.00,2.00,5.00,7.88,3.00,2.00,2.00,309,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',18581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6131050,5.00,6.00,4.00,7.00,9.00,11.25,6.00,7.00,7.00,220,NULL,202,'SETOR MARISTA','GOIÂNIA','GO',1264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6131069,4.00,4.00,2.00,1.00,4.00,NULL,0.00,1.00,2.00,453,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6131093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'HIGIENÓPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6131107,5.00,4.00,3.00,7.00,8.00,9.75,0.00,4.00,3.00,201,NULL,212,'ACLIMAÇÃO','S PAULO','SP',7985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6131115,5.00,7.00,1.00,4.00,6.00,10.13,2.00,5.00,5.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6131123,9.00,7.00,3.00,6.00,8.00,8.25,3.00,7.00,9.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',1812,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6131131,4.00,3.00,1.00,4.00,8.00,6.75,1.00,5.00,4.00,102,NULL,NULL,'CAPAO','GAROPABA','SC',15418,185,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131140,3.00,4.00,0.00,1.00,4.00,NULL,3.00,1.00,0.00,316,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6131158,0.00,1.00,3.00,2.00,2.00,NULL,0.00,1.00,3.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131174,6.00,7.00,4.00,7.00,10.00,9.75,3.00,5.00,8.00,216,NULL,233,'LUXEMBURGO','BELO HORIZONTE','MG',1604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6131182,4.00,4.00,3.00,4.00,7.00,9.38,1.00,0.00,0.00,324,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6131190,6.00,4.00,3.00,7.00,9.00,7.50,2.00,4.00,5.00,103,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',8376,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6131204,5.00,6.00,0.00,5.00,8.00,8.25,2.00,3.00,4.00,108,NULL,NULL,'SEMINÁRIO','CURITIBA','PR',12859,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6131212,2.00,4.00,1.00,5.00,8.00,6.38,0.00,3.00,2.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19187,286,NULL,NULL,NULL,NULL,NULL,4,1),(25,6131247,6.00,6.00,3.00,5.00,7.00,8.25,4.00,7.00,7.00,203,NULL,202,'GARCIA','BLUMENAU','SC',4164,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6131263,8.00,8.00,8.00,6.00,7.00,11.25,4.00,6.00,9.00,103,NULL,NULL,'CENTRO','MAFRA','SC',526,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6131271,7.00,6.00,4.00,6.00,6.00,7.50,4.00,3.00,9.00,202,NULL,220,'CENTRO','BASTOS','SP',5341,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6131298,4.00,6.00,3.00,6.00,9.00,9.38,1.00,4.00,3.00,207,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',8278,385,NULL,NULL,NULL,NULL,NULL,2,8),(25,6131301,3.00,5.00,3.00,5.00,10.00,10.13,1.00,7.00,3.00,303,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',8082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6131310,3.00,6.00,2.00,6.00,6.00,6.75,2.00,6.00,3.00,601,NULL,201,'BORTOT','PATO BRANCO','PR',9840,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6131328,5.00,4.00,1.00,5.00,6.00,10.13,1.00,4.00,1.00,999,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6131344,5.00,4.00,0.00,4.00,6.00,NULL,0.00,5.00,4.00,103,NULL,NULL,'RECANTO DO SALTO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6131352,4.00,3.00,2.00,1.00,3.00,NULL,0.00,3.00,1.00,9,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6131379,4.00,6.00,1.00,5.00,6.00,10.50,3.00,6.00,1.00,428,NULL,426,'FLORESTA','S JOSÉ','SC',11720,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131387,3.00,5.00,2.00,6.00,6.00,6.75,3.00,5.00,3.00,234,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',12040,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131409,8.00,6.00,8.00,7.00,7.00,7.88,4.00,7.00,9.00,303,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',1030,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6131417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6131433,4.00,4.00,3.00,4.00,7.00,9.38,2.00,4.00,1.00,103,NULL,NULL,'JARDIM CHAPADAO','CAMPINAS','SP',13381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6131441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,203,'CITY RIBEIRÃO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6131450,5.00,5.00,3.00,4.00,7.00,10.13,5.00,8.00,3.00,333,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131468,4.00,5.00,0.00,4.00,7.00,9.75,1.00,4.00,2.00,340,NULL,NULL,'CENTRO','IOMERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6131476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'ALTO DAS PALMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6131514,5.00,5.00,3.00,4.00,6.00,7.88,2.00,6.00,4.00,207,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6131522,4.00,4.00,0.00,6.00,9.00,9.75,1.00,4.00,7.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',8000,3183,NULL,NULL,NULL,NULL,NULL,2,8),(25,6131530,9.00,6.00,7.00,7.00,9.00,8.63,4.00,5.00,7.00,203,NULL,201,'JARDIM CARVALHO','PNT GROSSA','PR',1031,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6131557,7.00,5.00,3.00,6.00,8.00,9.00,1.00,7.00,3.00,104,NULL,NULL,'CENTRO','LARANJEIRAS SUL','PR',6185,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6131565,5.00,6.00,4.00,5.00,5.00,8.63,1.00,7.00,4.00,220,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',9521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6131573,2.00,2.00,1.00,3.00,3.00,7.13,1.00,0.00,2.00,216,NULL,NULL,'CENTRO','NOVA UBIRATÃ','MT',21640,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131581,3.00,3.00,4.00,2.00,2.00,NULL,2.00,1.00,1.00,201,NULL,203,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,208,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6131603,4.00,5.00,1.00,2.00,7.00,7.50,0.00,2.00,4.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16162,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131611,3.00,3.00,3.00,3.00,8.00,NULL,0.00,0.00,4.00,203,NULL,235,'ESPIGÃO','MAL CÂNDIDO RONDON','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'FAZENDINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6131638,2.00,6.00,3.00,3.00,7.00,6.75,1.00,4.00,2.00,304,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',14247,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'MUNHOZ JUNIOR','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6131654,4.00,6.00,2.00,1.00,9.00,8.25,0.00,4.00,4.00,302,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',12565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6131662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,425,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6131670,4.00,7.00,0.00,5.00,5.00,7.13,1.00,5.00,4.00,336,NULL,NULL,'AGUA BOA','PAIÇANDU','PR',15936,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131689,6.00,7.00,3.00,6.00,10.00,11.25,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2267,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6131697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','IOMERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6131700,1.00,2.00,3.00,0.00,3.00,NULL,0.00,0.00,1.00,303,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6131719,3.00,4.00,3.00,5.00,2.00,NULL,2.00,4.00,7.00,205,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131727,6.00,4.00,1.00,4.00,4.00,NULL,1.00,4.00,0.00,110,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131735,5.00,5.00,2.00,7.00,7.00,9.00,1.00,6.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6131751,7.00,6.00,3.00,6.00,8.00,10.13,0.00,4.00,6.00,103,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',5700,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6131760,3.00,7.00,3.00,3.00,5.00,10.50,3.00,3.00,3.00,332,NULL,NULL,'JARDIN ATLÂNTICO','FLORIANÓPOLIS','SC',12936,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PORTÃO','SALTO JACUÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6131786,9.00,6.00,2.00,6.00,9.00,10.13,4.00,4.00,8.00,220,NULL,601,'ÁGUA VERDE','BLUMENAU','SC',2773,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6131794,7.00,6.00,1.00,5.00,6.00,9.00,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','SOBRADINHO','RS',8738,3332,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131816,2.00,3.00,0.00,2.00,5.00,6.00,1.00,1.00,4.00,108,NULL,NULL,'CABEÇUDA','LAGUNA','SC',20206,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6131824,4.00,4.00,3.00,4.00,5.00,9.75,1.00,1.00,3.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',14082,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131832,1.00,2.00,2.00,3.00,4.00,7.13,1.00,1.00,1.00,303,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',20306,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6131840,4.00,6.00,2.00,2.00,4.00,6.75,1.00,5.00,3.00,223,NULL,NULL,'CARNEIRINHOS','JOÃO MONLEVADE','MG',17498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6131859,3.00,2.00,2.00,5.00,3.00,10.88,4.00,3.00,3.00,110,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',15621,68,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131867,4.00,4.00,3.00,2.00,5.00,9.00,2.00,2.00,4.00,104,NULL,NULL,'SÃO CRISTOVÃO','S JOSÉ CEDRO','SC',14571,374,NULL,NULL,NULL,NULL,NULL,4,4),(25,6131883,8.00,8.00,6.00,7.00,9.00,10.88,3.00,8.00,9.00,103,NULL,NULL,'RECANTO NOBRE','LONDRINA','PR',295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6131891,4.00,4.00,1.00,3.00,6.00,9.75,1.00,5.00,2.00,103,NULL,NULL,'INDÚSTRIARIOS','CONCÓRDIA','SC',11669,3810,NULL,NULL,NULL,NULL,NULL,4,7),(25,6131905,2.00,5.00,2.00,3.00,5.00,7.13,2.00,2.00,1.00,654,NULL,NULL,'DIVINÉIA','ARARANGUÁ','SC',20244,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6131913,2.00,7.00,3.00,6.00,7.00,9.00,1.00,6.00,4.00,103,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',9024,3388,NULL,NULL,NULL,NULL,NULL,4,6),(25,6131956,2.00,4.00,1.00,5.00,8.00,NULL,0.00,3.00,2.00,207,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131964,7.00,6.00,8.00,6.00,10.00,11.25,4.00,7.00,4.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1343,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6131972,6.00,6.00,6.00,5.00,8.00,9.00,3.00,6.00,7.00,420,NULL,NULL,'SANTA RITA','LAGES','SC',4357,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6131980,3.00,5.00,1.00,5.00,5.00,8.25,1.00,4.00,1.00,103,NULL,NULL,'CENTRO','LAGES','SC',17801,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6131999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOSÉ','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6132006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6132022,1.00,4.00,2.00,2.00,3.00,6.75,1.00,3.00,1.00,216,NULL,201,'RIO MAINA','CRICIÚMA','SC',19759,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6132030,0.00,4.00,0.00,0.00,1.00,NULL,0.00,5.00,3.00,340,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6132049,2.00,4.00,1.00,6.00,3.00,6.38,2.00,3.00,0.00,333,NULL,NULL,'JARDIM UNIVERSITÁRIO','CUIABÁ','MT',18380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132057,2.00,7.00,0.00,2.00,7.00,9.00,5.00,4.00,2.00,332,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',16636,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6132065,3.00,3.00,1.00,6.00,5.00,7.50,3.00,4.00,4.00,213,NULL,214,'JARDIM ELOPOLDINA','PTO ALEGRE','RS',14550,208,NULL,346,NULL,NULL,NULL,4,1),(25,6132073,4.00,7.00,4.00,3.00,6.00,9.75,2.00,3.00,2.00,110,NULL,NULL,'AREIAS','S JOSÉ','SC',13859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132081,2.00,5.00,4.00,2.00,7.00,6.75,2.00,0.00,2.00,201,NULL,208,'CALHEIROS','GOV CELSO RAMOS','SC',17661,1460,NULL,443,NULL,NULL,NULL,2,1),(25,6132090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,653,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6132103,3.00,1.00,3.00,1.00,6.00,NULL,0.00,0.00,0.00,426,NULL,428,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'JD AMERICA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6132120,1.00,7.00,1.00,2.00,6.00,5.25,1.00,3.00,0.00,104,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',19205,539,NULL,NULL,NULL,NULL,NULL,2,1),(25,6132146,5.00,8.00,3.00,6.00,8.00,10.50,1.00,6.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132154,1.00,2.00,3.00,2.00,3.00,NULL,2.00,0.00,1.00,102,NULL,NULL,'JARDIM IGUAÇU','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6132162,5.00,6.00,3.00,6.00,6.00,11.25,4.00,7.00,5.00,5,NULL,NULL,'CENTRO','BRUSQUE','SC',3660,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6132170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6132200,4.00,5.00,2.00,3.00,8.00,7.88,2.00,4.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',16458,4377,NULL,NULL,NULL,NULL,NULL,4,6),(25,6132219,2.00,2.00,1.00,3.00,5.00,7.50,2.00,3.00,0.00,103,NULL,NULL,'CENTRO','PENHA','SC',21219,4772,NULL,NULL,NULL,NULL,NULL,2,6),(25,6132227,5.00,5.00,1.00,3.00,7.00,6.75,1.00,4.00,4.00,452,NULL,NULL,'PLANALTO PARAÍSO','S CARLOS','SP',12865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'MOGI MODERNO','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6132243,4.00,7.00,3.00,4.00,5.00,6.75,1.00,2.00,3.00,654,NULL,NULL,'CENTRO','DIONÍSIO CERQUEIRA','SC',13683,NULL,NULL,NULL,NULL,NULL,NULL,5,4),(25,6132260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6132278,6.00,7.00,5.00,7.00,8.00,8.63,4.00,6.00,7.00,336,NULL,NULL,'ESCOLA AGRICOLA','BLUMENAU','SC',3109,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6132286,6.00,4.00,2.00,4.00,8.00,NULL,0.00,2.00,2.00,319,NULL,NULL,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132294,2.00,5.00,0.00,2.00,4.00,7.88,0.00,3.00,1.00,653,NULL,655,'CAMPINHO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6132308,1.00,3.00,1.00,0.00,7.00,8.25,1.00,0.00,3.00,103,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',20957,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6132316,7.00,7.00,4.00,7.00,9.00,9.00,4.00,7.00,5.00,201,NULL,203,'FUNDOS','BIGUAÇU','SC',2492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132324,1.00,5.00,2.00,1.00,3.00,9.38,0.00,4.00,1.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132332,2.00,5.00,1.00,6.00,4.00,9.00,1.00,3.00,3.00,415,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132340,3.00,5.00,4.00,6.00,6.00,8.63,2.00,0.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132359,4.00,5.00,2.00,2.00,6.00,NULL,1.00,3.00,2.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6132367,8.00,7.00,7.00,4.00,8.00,11.25,4.00,6.00,8.00,103,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',1901,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6132375,6.00,3.00,3.00,5.00,7.00,9.00,1.00,4.00,4.00,452,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9858,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6132383,4.00,5.00,3.00,6.00,8.00,10.13,2.00,4.00,1.00,103,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',11962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132391,4.00,6.00,5.00,6.00,6.00,10.88,2.00,4.00,5.00,423,NULL,425,'FLORIANOPOLIS','FLORIANÓPOLIS','SC',8623,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6132405,4.00,4.00,0.00,1.00,4.00,7.88,1.00,2.00,3.00,336,NULL,NULL,'CENTRO','CURITIBA','PR',16822,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6132413,4.00,4.00,3.00,4.00,6.00,7.88,2.00,2.00,5.00,208,NULL,235,'CENTRO','XANXERÊ','SC',12473,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6132421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6132430,5.00,5.00,2.00,2.00,5.00,7.50,3.00,7.00,3.00,326,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',13005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6132464,7.00,5.00,6.00,6.00,7.00,7.88,0.00,5.00,6.00,216,NULL,215,'CENTRO','BILAC','SP',5803,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6132472,3.00,4.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6132499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'PARQUE DOS ARAÇAS','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6132529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,233,'JARDIM DAS PALMEIRAS','COCAL SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6132537,1.00,5.00,2.00,4.00,4.00,7.88,1.00,0.00,2.00,420,NULL,NULL,'CENTRO','NOVA ERECHIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6132545,4.00,6.00,0.00,4.00,4.00,NULL,2.00,2.00,1.00,319,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6132553,3.00,4.00,1.00,0.00,7.00,5.25,2.00,3.00,1.00,223,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132561,5.00,5.00,2.00,6.00,7.00,NULL,0.00,4.00,6.00,340,NULL,NULL,'VILA CRUZEIRO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6132570,5.00,8.00,4.00,6.00,10.00,9.75,2.00,7.00,5.00,340,NULL,NULL,'JARDIM DONA ROSA','S JOSÉ PINHAIS','PR',3903,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6132596,5.00,5.00,2.00,5.00,4.00,9.00,1.00,4.00,5.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',11178,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6132600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,426,'CABEÇUDA','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6132618,2.00,4.00,2.00,2.00,6.00,9.38,2.00,2.00,3.00,331,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',19284,44,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132626,4.00,3.00,0.00,5.00,7.00,NULL,2.00,4.00,0.00,502,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6132634,5.00,6.00,1.00,2.00,6.00,6.38,1.00,5.00,5.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',12689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132642,5.00,7.00,4.00,2.00,6.00,8.63,1.00,8.00,3.00,340,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',9372,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6132650,6.00,5.00,3.00,6.00,7.00,NULL,0.00,3.00,5.00,103,NULL,NULL,'ZONA UM A','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6132669,1.00,6.00,2.00,3.00,7.00,6.75,2.00,6.00,3.00,108,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6132677,2.00,4.00,2.00,5.00,4.00,7.50,2.00,0.00,1.00,601,NULL,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',19006,534,NULL,NULL,NULL,NULL,NULL,4,8),(25,6132685,5.00,5.00,1.00,4.00,7.00,9.00,0.00,1.00,4.00,104,NULL,NULL,'PRESIDENTE MÉDCI','CHAPECÓ','SC',13510,326,NULL,NULL,NULL,NULL,NULL,2,4),(25,6132693,5.00,2.00,2.00,4.00,4.00,8.25,1.00,5.00,3.00,451,NULL,NULL,'LOMBA','ORLEANS','SC',18977,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6132707,9.00,7.00,4.00,4.00,6.00,8.25,1.00,6.00,5.00,110,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',4610,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6132740,0.00,3.00,2.00,3.00,7.00,NULL,2.00,2.00,1.00,451,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6132758,5.00,5.00,3.00,2.00,9.00,7.13,2.00,6.00,4.00,318,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',10619,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6132766,4.00,6.00,2.00,5.00,4.00,7.13,1.00,2.00,4.00,108,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',17829,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6132774,4.00,2.00,2.00,2.00,4.00,6.75,2.00,3.00,0.00,203,NULL,214,'RIO BONITO','MAJ VIEIRA','SC',19169,1072,NULL,420,NULL,NULL,NULL,4,17),(25,6132782,8.00,4.00,4.00,6.00,7.00,10.88,3.00,7.00,7.00,103,NULL,NULL,'NITERÓI','CANOAS','RS',2432,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6132790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'ICARAI','ALVORADA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6132804,4.00,6.00,5.00,6.00,5.00,8.25,3.00,6.00,2.00,203,NULL,601,'SAGUAÇU','JOINVILLE','SC',9562,696,NULL,NULL,NULL,NULL,NULL,4,8),(25,6132812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6132820,6.00,8.00,4.00,6.00,9.00,9.75,0.00,7.00,6.00,103,NULL,NULL,'CENTRO','XAXIM','SC',3837,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6132839,1.00,4.00,4.00,4.00,6.00,NULL,0.00,0.00,1.00,104,NULL,NULL,'ZONA RURAL','NOVA AURORA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132847,5.00,2.00,4.00,7.00,8.00,9.38,1.00,4.00,4.00,216,NULL,235,'LIBRA','FOZ IGUAÇU','PR',9394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132855,6.00,6.00,5.00,1.00,7.00,5.25,2.00,6.00,1.00,207,NULL,212,'MIRANDOPOLIS','S PAULO','SP',11017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132863,6.00,8.00,3.00,7.00,9.00,9.38,5.00,9.00,6.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',1432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132871,4.00,1.00,1.00,3.00,5.00,NULL,2.00,0.00,0.00,551,NULL,NULL,'TRAVESSÃO','PTE ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6132898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6132901,5.00,6.00,0.00,4.00,5.00,NULL,1.00,2.00,3.00,201,NULL,207,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6132910,6.00,4.00,3.00,6.00,9.00,11.25,3.00,3.00,2.00,319,NULL,NULL,'PQ DAS INDÚSTRIAS','LONDRINA','PR',8900,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132928,4.00,5.00,4.00,2.00,6.00,7.88,0.00,1.00,5.00,601,NULL,216,'AVENQUINHA','CPO ALEGRE','SC',17430,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6132936,5.00,3.00,4.00,3.00,5.00,6.75,2.00,2.00,6.00,103,NULL,NULL,'BOSQUE DA SAÚDE','S PAULO','SP',12705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132944,3.00,5.00,2.00,3.00,4.00,0.00,3.00,2.00,2.00,332,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6132952,5.00,6.00,3.00,6.00,8.00,9.38,1.00,5.00,2.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6132960,7.00,7.00,4.00,5.00,8.00,6.38,3.00,8.00,9.00,203,NULL,216,'PQ NOVO MUNDO','AMERICANA','SP',2376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6132987,6.00,5.00,3.00,7.00,7.00,8.63,1.00,4.00,4.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6132995,6.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6133002,3.00,7.00,3.00,4.00,6.00,8.25,3.00,1.00,1.00,201,NULL,207,'POÇO DANTA','CORUPÁ','SC',11723,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6133010,4.00,5.00,0.00,5.00,4.00,NULL,0.00,4.00,1.00,425,NULL,423,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6133037,3.00,5.00,2.00,2.00,6.00,5.25,1.00,6.00,3.00,302,NULL,NULL,'MORRO DA QUEIMADA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133045,9.00,5.00,4.00,5.00,8.00,9.00,3.00,6.00,8.00,203,NULL,201,'BAIRRO ALTO','CURITIBA','PR',2912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133053,4.00,5.00,5.00,7.00,7.00,7.13,2.00,4.00,5.00,103,NULL,NULL,'JARDIM TRANQUILIDADE','GUARULHOS','SP',6736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133061,3.00,6.00,2.00,3.00,9.00,NULL,0.00,6.00,2.00,103,NULL,NULL,'JARDIM TEXTIL','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133070,6.00,7.00,7.00,3.00,8.00,7.50,5.00,5.00,2.00,103,NULL,NULL,'NOVA PETRÓPOLIS','S BERNARDO CAMPO','SP',4923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133088,1.00,0.00,1.00,2.00,4.00,7.13,1.00,0.00,3.00,110,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6133096,8.00,7.00,5.00,7.00,9.00,9.00,5.00,7.00,9.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133100,4.00,3.00,2.00,3.00,5.00,6.00,3.00,3.00,2.00,108,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,655,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6133126,1.00,3.00,0.00,4.00,7.00,6.75,2.00,1.00,1.00,302,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6133142,4.00,4.00,4.00,6.00,6.00,9.38,2.00,1.00,3.00,103,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',12124,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6133185,6.00,5.00,4.00,2.00,9.00,8.63,4.00,3.00,2.00,5,NULL,NULL,'JARDIM MAR E CÉU','GUARUJÁ','SP',10050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133207,3.00,5.00,2.00,6.00,5.00,8.63,3.00,2.00,4.00,108,NULL,NULL,'JD PAULISTA','ASSIS','SP',12293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133215,2.00,5.00,2.00,2.00,5.00,8.63,2.00,2.00,3.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17075,87,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133231,3.00,3.00,3.00,5.00,9.00,9.75,3.00,4.00,2.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6133240,7.00,5.00,3.00,6.00,9.00,10.50,2.00,5.00,4.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5862,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6133258,3.00,4.00,1.00,1.00,3.00,3.00,0.00,1.00,2.00,332,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133266,6.00,7.00,2.00,6.00,7.00,NULL,3.00,4.00,3.00,999,NULL,NULL,'BAIRRO AHÚ','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6133274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAXAMBÚ','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6133282,7.00,6.00,4.00,7.00,7.00,NULL,0.00,3.00,0.00,207,NULL,NULL,'IGREJINHA','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133290,4.00,7.00,4.00,4.00,8.00,7.13,5.00,6.00,4.00,326,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',8407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133304,3.00,2.00,3.00,7.00,4.00,9.00,1.00,2.00,4.00,103,NULL,NULL,'TERRA NOVA II','S BERNARDO CAMPO','SP',11494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133312,1.00,6.00,1.00,5.00,6.00,6.00,2.00,4.00,1.00,238,NULL,208,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',16687,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6133320,4.00,6.00,5.00,3.00,10.00,7.50,1.00,4.00,1.00,5,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',10257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133339,2.00,2.00,1.00,0.00,5.00,7.88,3.00,2.00,1.00,319,NULL,NULL,'ARIRIU','PALHOÇA','SC',21374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133355,8.00,5.00,3.00,7.00,9.00,8.25,3.00,3.00,7.00,103,NULL,NULL,'CENTRO','MAFRA','SC',3690,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6133398,2.00,5.00,0.00,3.00,7.00,NULL,0.00,0.00,1.00,653,NULL,655,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6133401,2.00,4.00,0.00,3.00,4.00,NULL,0.00,0.00,1.00,223,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6133410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CZENIERWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6133428,2.00,3.00,1.00,5.00,7.00,8.63,1.00,0.00,0.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',20373,694,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133436,6.00,7.00,3.00,6.00,7.00,9.38,3.00,7.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133444,7.00,6.00,4.00,6.00,8.00,8.25,5.00,5.00,3.00,216,NULL,NULL,'CENTRO','CURITIBA','PR',3709,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6133452,3.00,6.00,6.00,5.00,9.00,8.63,1.00,7.00,5.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6699,242,NULL,NULL,NULL,NULL,NULL,2,1),(25,6133479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,212,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6133487,4.00,5.00,2.00,4.00,5.00,NULL,2.00,0.00,1.00,301,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6133509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6133517,1.00,2.00,1.00,5.00,4.00,7.88,1.00,1.00,1.00,316,NULL,NULL,'FUNDOS','BIGUAÇU','SC',21458,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6133525,2.00,1.00,3.00,1.00,5.00,3.38,0.00,0.00,1.00,421,NULL,423,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6133541,2.00,5.00,1.00,5.00,8.00,6.38,1.00,2.00,2.00,303,NULL,NULL,'JARDIM TROPICAL','DOURADOS','MS',14896,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6133550,4.00,5.00,1.00,7.00,4.00,NULL,0.00,4.00,2.00,333,NULL,NULL,'COPACABANA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133568,2.00,4.00,0.00,5.00,5.00,NULL,1.00,4.00,2.00,109,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6133576,4.00,7.00,3.00,6.00,8.00,9.00,1.00,7.00,4.00,340,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',5997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133614,4.00,7.00,3.00,3.00,6.00,8.25,2.00,6.00,2.00,316,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',13457,109,NULL,NULL,NULL,NULL,NULL,4,6),(25,6133630,3.00,4.00,3.00,4.00,5.00,8.25,3.00,4.00,4.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',14692,70,NULL,NULL,NULL,NULL,NULL,2,1),(25,6133649,0.00,1.00,0.00,0.00,0.00,NULL,0.00,2.00,0.00,999,NULL,NULL,'CENTENARIO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',2,8),(25,6133657,4.00,3.00,1.00,6.00,9.00,NULL,0.00,4.00,4.00,103,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6133665,3.00,5.00,1.00,3.00,6.00,8.25,2.00,5.00,1.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',16453,4376,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133673,6.00,3.00,2.00,5.00,7.00,9.00,1.00,2.00,5.00,104,NULL,NULL,'CENTRO','STA IZABEL OESTE','PR',10477,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6133690,5.00,6.00,2.00,4.00,8.00,8.63,0.00,5.00,2.00,211,NULL,601,'CENTRO','JOAÇABA','SC',10203,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6133703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CIDADE NOVA','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6133711,3.00,5.00,3.00,4.00,8.00,9.00,0.00,2.00,3.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',15748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6133720,6.00,5.00,2.00,5.00,8.00,6.75,3.00,2.00,2.00,103,NULL,NULL,'ROSSÁRIO','STA MARIA','RS',14307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6133738,2.00,4.00,1.00,2.00,4.00,3.00,2.00,2.00,1.00,652,NULL,655,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6133746,4.00,4.00,0.00,3.00,5.00,8.63,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','S JOSÉ CEDRO','SC',15376,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6133754,6.00,4.00,1.00,3.00,8.00,9.00,1.00,4.00,1.00,415,NULL,NULL,'ROÇADO','S JOSÉ','SC',13009,183,NULL,NULL,NULL,NULL,NULL,2,1),(25,6133762,6.00,8.00,1.00,5.00,8.00,8.63,1.00,3.00,5.00,103,NULL,NULL,'TAMANDUÁ','ASCURRA','SC',7937,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6133789,6.00,6.00,0.00,4.00,5.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(25,6133797,2.00,2.00,4.00,3.00,5.00,7.13,1.00,1.00,0.00,308,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6133800,4.00,4.00,3.00,5.00,6.00,8.25,3.00,4.00,2.00,201,NULL,203,'BARREIROS','S JOSÉ','SC',14046,1200,NULL,889,NULL,NULL,NULL,4,1),(25,6133819,4.00,7.00,1.00,7.00,8.00,6.75,4.00,6.00,2.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',10711,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6133827,5.00,6.00,4.00,5.00,9.00,8.25,3.00,5.00,6.00,451,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133835,2.00,3.00,3.00,5.00,6.00,6.75,1.00,1.00,0.00,501,NULL,NULL,'LINHA CONTESSI','TURVO','SC',17591,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6133843,4.00,4.00,3.00,5.00,6.00,NULL,0.00,2.00,1.00,302,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6133851,5.00,2.00,1.00,2.00,5.00,4.50,3.00,2.00,1.00,203,NULL,214,'CENTRO','CAPINZAL','SC',20882,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6133860,2.00,3.00,3.00,5.00,8.00,5.63,1.00,4.00,2.00,999,NULL,NULL,'BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6133878,7.00,7.00,3.00,6.00,7.00,8.25,2.00,8.00,6.00,203,NULL,601,'HUGO LANGE','CURITIBA','PR',3685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133886,1.00,4.00,1.00,3.00,2.00,NULL,2.00,4.00,2.00,404,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133908,6.00,6.00,2.00,5.00,10.00,7.50,1.00,6.00,5.00,301,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',5733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133916,6.00,5.00,3.00,6.00,10.00,9.00,2.00,5.00,6.00,203,NULL,220,'CENTRO','ARAGUARI','MG',4260,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6133924,6.00,5.00,7.00,3.00,5.00,9.75,2.00,8.00,5.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',7182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133932,3.00,3.00,2.00,0.00,4.00,NULL,1.00,4.00,1.00,103,NULL,NULL,'CENTRO','NONOAI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6133940,4.00,1.00,4.00,4.00,7.00,9.00,3.00,2.00,2.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',11832,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6133959,3.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'JARDIM ROMA','PIRASSUNUNGA','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6133967,1.00,5.00,2.00,4.00,4.00,7.13,2.00,4.00,0.00,444,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6133975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,426,'VILA MATILDE','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6134009,2.00,0.00,2.00,6.00,8.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6134017,7.00,4.00,5.00,7.00,7.00,9.00,1.00,3.00,4.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',6456,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6134025,3.00,4.00,4.00,5.00,6.00,9.00,2.00,0.00,1.00,340,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',17667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134041,6.00,4.00,4.00,4.00,9.00,12.00,3.00,6.00,3.00,108,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',4550,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6134050,3.00,6.00,3.00,6.00,6.00,10.13,1.00,5.00,4.00,320,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134068,1.00,1.00,2.00,2.00,3.00,6.75,2.00,1.00,2.00,317,NULL,NULL,'SÃO CRISTÓVÃO','SALETE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6134076,4.00,2.00,0.00,3.00,6.00,8.63,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',19823,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6134084,3.00,5.00,1.00,2.00,3.00,7.88,1.00,4.00,0.00,601,NULL,235,'CENTRO','RIO NEGRINHO','SC',18808,525,NULL,446,NULL,NULL,NULL,2,8),(25,6134092,5.00,5.00,4.00,6.00,8.00,9.75,5.00,4.00,5.00,235,NULL,653,'KOBRASOL','S JOSÉ','SC',4991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6134114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6134122,2.00,8.00,1.00,5.00,6.00,9.00,0.00,3.00,1.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17153,175,NULL,NULL,NULL,NULL,NULL,2,1),(25,6134130,6.00,4.00,3.00,4.00,10.00,10.88,2.00,5.00,3.00,108,NULL,NULL,'PASSO MANSO','BLUMENAU','SC',7509,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6134157,5.00,4.00,4.00,7.00,6.00,10.50,3.00,3.00,7.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6134173,3.00,6.00,0.00,4.00,4.00,11.63,3.00,2.00,2.00,425,NULL,429,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134181,4.00,5.00,3.00,6.00,9.00,8.25,1.00,4.00,3.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'GUARAITUBA','COLOMBO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6134220,6.00,6.00,6.00,6.00,5.00,7.13,6.00,7.00,4.00,202,NULL,216,'CENTRO','CORNÉLIO PROCÓPIO','PR',2848,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6134238,6.00,7.00,5.00,5.00,10.00,9.00,3.00,8.00,6.00,303,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',2168,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6134246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,216,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6134254,3.00,5.00,1.00,6.00,7.00,8.63,2.00,1.00,4.00,201,NULL,208,'JARDIM JANAINA','BIGUAÇU','SC',11394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'SERRARIA','AQUIDAUANA','MS',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6134289,8.00,7.00,5.00,7.00,9.00,10.13,3.00,6.00,8.00,103,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134343,1.00,0.00,2.00,3.00,4.00,8.25,2.00,3.00,0.00,303,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',20486,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6134351,0.00,3.00,3.00,5.00,5.00,NULL,2.00,1.00,1.00,110,NULL,NULL,'CACHO DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6134378,3.00,6.00,2.00,4.00,6.00,7.88,4.00,5.00,4.00,337,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',10336,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6134386,5.00,5.00,2.00,2.00,6.00,9.75,1.00,4.00,3.00,222,NULL,NULL,'PASSO MANSO','BLUMENAU','SC',12679,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6134424,1.00,6.00,2.00,4.00,7.00,9.00,0.00,4.00,4.00,220,NULL,214,'ARVORE GRANDE','POUSO ALEGRE','MG',11802,341,NULL,289,NULL,NULL,NULL,4,8),(25,6134432,6.00,8.00,2.00,6.00,9.00,7.50,1.00,8.00,4.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',5668,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6134440,1.00,3.00,1.00,7.00,8.00,7.50,1.00,3.00,3.00,428,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',14946,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6134459,2.00,3.00,1.00,3.00,4.00,7.50,0.00,0.00,1.00,428,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21643,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6134467,4.00,4.00,1.00,5.00,4.00,6.00,2.00,1.00,0.00,331,NULL,NULL,'SAO SEBASTIAO','PALHOÇA','SC',18013,38,NULL,NULL,NULL,NULL,NULL,2,1),(25,6134475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6134483,3.00,3.00,2.00,2.00,3.00,NULL,2.00,0.00,0.00,339,NULL,NULL,'DAS NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6134491,7.00,6.00,1.00,7.00,9.00,9.75,3.00,6.00,4.00,340,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',4656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'KABRASSOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6134513,6.00,6.00,4.00,6.00,8.00,12.38,2.00,6.00,6.00,207,NULL,201,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',3594,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6134521,9.00,5.00,2.00,6.00,8.00,8.25,2.00,5.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',3734,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6134530,3.00,3.00,2.00,4.00,7.00,NULL,0.00,3.00,2.00,3,NULL,NULL,'HABIANA I','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6134548,3.00,4.00,1.00,5.00,6.00,NULL,0.00,0.00,2.00,415,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6134556,6.00,6.00,4.00,6.00,7.00,12.00,3.00,6.00,3.00,304,NULL,NULL,'CENTRO','PELOTAS','RS',3417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134564,3.00,6.00,0.00,5.00,7.00,6.38,0.00,4.00,2.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',16823,167,NULL,NULL,NULL,NULL,NULL,2,1),(25,6134572,4.00,3.00,0.00,4.00,8.00,NULL,1.00,3.00,4.00,101,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6134599,6.00,6.00,4.00,6.00,10.00,12.00,3.00,6.00,4.00,103,NULL,NULL,'BANDEIRANTES','CPO GRANDE','MS',3074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134602,6.00,3.00,1.00,4.00,7.00,9.00,2.00,6.00,2.00,103,NULL,NULL,'VILA RAU','JARAGUÁ SUL','SC',10214,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6134610,5.00,6.00,2.00,7.00,9.00,9.38,1.00,8.00,7.00,103,NULL,NULL,'BOMFIM','PTO ALEGRE','RS',3125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134645,1.00,3.00,4.00,5.00,5.00,6.75,3.00,2.00,3.00,201,NULL,212,'VILA OURO VERDE','ASSIS','SP',18267,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(25,6134653,6.00,7.00,5.00,5.00,7.00,7.88,1.00,5.00,6.00,208,NULL,238,'ATALAIA','ARACAJU','SE',6037,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6134661,7.00,6.00,5.00,5.00,10.00,9.00,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','SOROCABA','SP',1430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134688,7.00,5.00,3.00,4.00,6.00,7.13,3.00,5.00,3.00,103,NULL,NULL,'GRAVATÁ','NAVEGANTES','SC',9032,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6134696,3.00,6.00,3.00,5.00,7.00,10.50,0.00,2.00,2.00,336,NULL,NULL,'CENTRO','NOVA TRENTO','SC',11737,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6134700,4.00,3.00,1.00,8.00,4.00,7.50,2.00,5.00,3.00,317,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134718,3.00,2.00,0.00,4.00,3.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','PTE ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6134726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'JARDIM CURITIBA','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6134734,8.00,5.00,5.00,5.00,5.00,8.63,5.00,6.00,4.00,102,NULL,NULL,'JARDIM SANTA MARIA','JACAREÍ','SP',3893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134750,3.00,4.00,3.00,0.00,5.00,8.63,1.00,1.00,1.00,302,NULL,NULL,'CENTRO','TUNÁPOLIS','SC',18633,158,NULL,NULL,NULL,NULL,NULL,4,4),(25,6134769,4.00,5.00,4.00,3.00,5.00,7.50,0.00,4.00,5.00,207,NULL,201,'ALEGRE','RIO NEGRINHO','SC',12535,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6134785,9.00,7.00,2.00,6.00,10.00,10.50,3.00,7.00,9.00,102,NULL,NULL,'CENTRO','CURITIBA','PR',1035,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6134793,6.00,7.00,2.00,6.00,7.00,9.75,2.00,7.00,5.00,214,NULL,212,'BELÉM','S PAULO','SP',4428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','GRAVATAÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6134815,7.00,4.00,3.00,5.00,9.00,7.88,2.00,4.00,4.00,444,NULL,NULL,'CENTRO','CRICIÚMA','SC',7880,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6134823,2.00,3.00,3.00,2.00,5.00,NULL,2.00,0.00,2.00,654,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6134831,5.00,5.00,2.00,3.00,7.00,10.13,1.00,4.00,4.00,211,NULL,NULL,'CENTRO','CHAPECÓ','SC',9892,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6134840,7.00,6.00,6.00,7.00,9.00,12.00,4.00,5.00,6.00,103,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',1522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134858,4.00,5.00,4.00,5.00,9.00,7.88,0.00,3.00,3.00,9,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',13968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6134866,5.00,7.00,7.00,7.00,9.00,10.88,5.00,7.00,6.00,202,NULL,213,'JUVEVÊ','CURITIBA','PR',979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134874,2.00,3.00,1.00,3.00,6.00,7.50,2.00,1.00,3.00,601,NULL,235,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6134882,7.00,5.00,1.00,5.00,9.00,6.75,2.00,4.00,5.00,108,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',9172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6134890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BOA VISTA','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6134904,4.00,5.00,4.00,5.00,7.00,5.25,2.00,2.00,5.00,201,NULL,653,'CAMPINAS','S JOSÉ','SC',11402,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6134920,9.00,8.00,7.00,7.00,10.00,12.75,5.00,8.00,9.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134939,3.00,5.00,3.00,2.00,4.00,6.75,3.00,3.00,2.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6134947,4.00,3.00,1.00,6.00,5.00,10.13,1.00,2.00,1.00,999,NULL,NULL,'HAMBURGO VELHO','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6134955,3.00,2.00,2.00,4.00,5.00,6.00,2.00,2.00,3.00,109,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',20134,144,NULL,NULL,NULL,NULL,NULL,2,1),(25,6134963,4.00,3.00,0.00,2.00,7.00,7.88,2.00,2.00,2.00,2,NULL,NULL,'CENTRO','CRICIÚMA','SC',19397,50,NULL,NULL,NULL,NULL,NULL,2,5),(25,6134971,5.00,5.00,1.00,5.00,7.00,12.38,1.00,6.00,3.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',7228,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6134980,3.00,4.00,2.00,6.00,10.00,7.50,1.00,4.00,2.00,415,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',13882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135005,4.00,4.00,1.00,7.00,8.00,10.50,1.00,6.00,1.00,450,NULL,NULL,'JARDIM BOTÂNICO','PTO ALEGRE','RS',9597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135021,5.00,3.00,0.00,6.00,8.00,NULL,0.00,2.00,3.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135030,5.00,6.00,0.00,4.00,7.00,6.38,2.00,5.00,1.00,302,NULL,NULL,'MACIAMBÚ','PALHOÇA','SC',14494,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6135048,3.00,3.00,1.00,3.00,7.00,10.88,1.00,1.00,4.00,104,NULL,NULL,'CENTENÁRIO','MONTENEGRO','RS',13873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135056,4.00,4.00,4.00,3.00,7.00,7.50,2.00,5.00,2.00,601,NULL,212,'SANTO ANTÔNIO','JOINVILLE','SC',12308,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6135064,0.00,2.00,0.00,1.00,6.00,0.00,0.00,2.00,2.00,201,NULL,211,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135072,4.00,4.00,1.00,3.00,7.00,NULL,0.00,0.00,3.00,999,NULL,NULL,'JARDIMNOVO HORIZONTE','JANDIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6135099,2.00,2.00,2.00,2.00,5.00,NULL,0.00,3.00,0.00,207,NULL,201,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6135110,4.00,5.00,1.00,4.00,8.00,7.88,2.00,4.00,2.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6135137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6135145,3.00,5.00,4.00,6.00,7.00,9.75,1.00,1.00,1.00,301,NULL,NULL,'VALE DO SOL','ARARAQUARA','SP',15333,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6135161,4.00,4.00,3.00,6.00,5.00,7.50,1.00,2.00,0.00,103,NULL,NULL,'MAGALHAES','LAGUNA','SC',16069,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6135170,2.00,4.00,2.00,4.00,7.00,NULL,1.00,1.00,1.00,303,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,2),(25,6135196,5.00,4.00,0.00,5.00,8.00,NULL,0.00,2.00,3.00,420,NULL,NULL,'IPIRANGA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6135226,5.00,5.00,1.00,5.00,7.00,9.00,2.00,2.00,3.00,654,NULL,NULL,'CENTRO','CRICIÚMA','SC',12328,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6135234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'SÃO PEDRO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6135269,4.00,6.00,6.00,5.00,10.00,10.50,0.00,5.00,4.00,310,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',7300,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6135277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOTRE DAME','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6135285,1.00,2.00,2.00,3.00,2.00,NULL,0.00,4.00,1.00,109,NULL,NULL,'CENTRO','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6135293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6135331,7.00,8.00,5.00,5.00,8.00,7.13,2.00,5.00,6.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',2980,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6135340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TANGARÁ SERRA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6135366,8.00,6.00,3.00,7.00,7.00,10.88,3.00,6.00,6.00,103,NULL,NULL,'ÁGUA FRIA','S PAULO','SP',1885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135374,6.00,4.00,2.00,4.00,6.00,8.63,0.00,2.00,2.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13547,4072,NULL,NULL,NULL,NULL,NULL,2,1),(25,6135390,2.00,5.00,2.00,2.00,5.00,6.38,1.00,1.00,3.00,301,NULL,NULL,'PASSAVINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,423,'COLONINHA','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6135412,4.00,6.00,2.00,4.00,3.00,7.88,4.00,2.00,4.00,208,NULL,220,'SÃO LUIZ','S MIGUEL OESTE','SC',12280,228,NULL,350,NULL,NULL,NULL,4,8),(25,6135447,9.00,6.00,6.00,5.00,7.00,8.25,7.00,6.00,7.00,216,NULL,233,'JARDIM SAMAMBAIA','JUNDIAÍ','SP',1414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135455,4.00,7.00,3.00,7.00,7.00,6.38,4.00,7.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135463,3.00,3.00,3.00,4.00,8.00,8.63,2.00,1.00,2.00,503,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6135471,4.00,4.00,2.00,6.00,7.00,9.38,1.00,5.00,5.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12363,579,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135480,9.00,7.00,7.00,6.00,9.00,10.88,5.00,9.00,7.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135501,2.00,3.00,2.00,4.00,5.00,7.88,2.00,3.00,2.00,601,NULL,208,'CENTRO','RIO NEGRINHO','SC',18978,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6135510,3.00,3.00,2.00,6.00,9.00,9.00,1.00,2.00,2.00,319,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',12344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135544,3.00,6.00,2.00,5.00,3.00,7.88,1.00,4.00,4.00,319,NULL,NULL,'PORTO DAS BALSAS','NAVEGANTES','SC',15895,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6135552,6.00,4.00,2.00,4.00,7.00,11.25,1.00,1.00,3.00,999,NULL,NULL,'VILA ANDRADE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135560,5.00,0.00,3.00,7.00,9.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PETRÓPOLIS','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6135587,3.00,5.00,2.00,3.00,6.00,9.75,1.00,2.00,4.00,326,NULL,NULL,'SERTÃO DO IMARUIM','S JOSÉ','SC',15946,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6135609,4.00,4.00,3.00,2.00,6.00,8.63,0.00,2.00,1.00,104,NULL,NULL,'STO ANTÔNIO DE PÁDUA','TUBARÃO','SC',19248,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6135617,6.00,6.00,2.00,5.00,6.00,12.00,4.00,4.00,1.00,233,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135625,3.00,3.00,0.00,2.00,2.00,NULL,2.00,0.00,1.00,220,NULL,235,'CENTRO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6135633,6.00,7.00,1.00,5.00,8.00,11.63,0.00,8.00,2.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135641,3.00,6.00,4.00,7.00,9.00,10.50,2.00,5.00,2.00,425,NULL,429,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135650,6.00,5.00,2.00,5.00,6.00,6.00,0.00,0.00,0.00,333,NULL,NULL,'REBOUÇAS','CURITIBA','PR',17424,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6135676,6.00,4.00,4.00,5.00,7.00,7.50,3.00,4.00,3.00,233,NULL,235,'SAMBAQUI','FLORIANÓPOLIS','SC',8257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135684,6.00,7.00,4.00,6.00,8.00,8.63,3.00,5.00,7.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',3510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135706,3.00,2.00,1.00,3.00,4.00,7.50,1.00,1.00,1.00,451,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6135714,4.00,4.00,1.00,4.00,7.00,9.00,2.00,7.00,0.00,333,NULL,NULL,'CIDADE MINEIRA','CRICIÚMA','SC',11788,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6135722,2.00,2.00,2.00,2.00,5.00,7.13,0.00,2.00,2.00,502,NULL,NULL,'ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC',19393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135730,6.00,7.00,2.00,6.00,9.00,NULL,0.00,7.00,6.00,201,NULL,216,'CENTRO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6135749,4.00,4.00,0.00,3.00,5.00,7.88,0.00,2.00,2.00,213,NULL,235,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135757,6.00,6.00,3.00,5.00,9.00,7.50,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','ARROIO RATOS','RS',5709,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6135765,7.00,4.00,2.00,3.00,9.00,7.50,2.00,5.00,5.00,103,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',7855,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6135773,3.00,6.00,3.00,4.00,6.00,7.88,1.00,1.00,2.00,201,NULL,601,'TIFA MARTINS','JARAGUÁ SUL','SC',14872,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6135781,6.00,5.00,5.00,7.00,8.00,5.63,2.00,4.00,4.00,203,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',6470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135790,5.00,4.00,4.00,4.00,9.00,12.00,3.00,5.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',4362,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6135803,7.00,6.00,3.00,6.00,9.00,9.00,3.00,5.00,5.00,340,NULL,NULL,'ESTADOS','INDAIAL','SC',5762,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6135811,4.00,6.00,2.00,5.00,8.00,7.88,2.00,6.00,5.00,203,NULL,202,'ITOUPAVA NORTE','BLUMENAU','SC',6691,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6135838,4.00,4.00,2.00,1.00,7.00,6.38,1.00,2.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',14961,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6135846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,421,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6135854,9.00,6.00,9.00,6.00,8.00,8.63,7.00,9.00,9.00,103,NULL,NULL,'PARQUE SÃO PAULO','CASCAVEL','PR',205,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6135862,8.00,7.00,5.00,4.00,9.00,8.63,2.00,7.00,9.00,103,NULL,NULL,'NONOAI','PTO ALEGRE','RS',1391,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6135870,4.00,5.00,2.00,5.00,7.00,9.38,2.00,3.00,6.00,203,NULL,202,'CENTRO','ITAJAÍ','SC',9047,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6135889,3.00,3.00,3.00,4.00,4.00,10.88,1.00,1.00,1.00,234,NULL,NULL,'AGUA VERDE','BLUMENAU','SC',18649,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6135897,4.00,5.00,2.00,4.00,6.00,7.50,0.00,3.00,2.00,104,NULL,NULL,'CENTRO','ITAJAÍ','SC',14536,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6135900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6135919,3.00,0.00,1.00,1.00,6.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6135927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6135935,4.00,7.00,5.00,6.00,7.00,8.63,3.00,6.00,4.00,2,NULL,NULL,'EUGENIO SCHNEIDER','RIO SUL','SC',4519,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6135951,3.00,2.00,3.00,2.00,5.00,8.25,2.00,2.00,2.00,9,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6135960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'JARDIM DOS ESTADOS','CORUMBÁ','MS',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6135978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'INTERIOR','DIONÍSIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6135986,4.00,6.00,0.00,6.00,2.00,NULL,2.00,2.00,1.00,202,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6135994,6.00,7.00,5.00,6.00,7.00,9.00,2.00,3.00,1.00,233,NULL,235,'KOBRASOL','S JOSÉ','SC',10897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136001,8.00,8.00,6.00,6.00,9.00,10.88,3.00,8.00,9.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',590,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6136010,4.00,3.00,3.00,0.00,4.00,NULL,2.00,0.00,1.00,425,NULL,427,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136028,2.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,652,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6136036,4.00,5.00,2.00,3.00,5.00,7.50,1.00,2.00,1.00,303,NULL,NULL,'CENTRO','LAGES','SC',16070,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6136044,5.00,6.00,2.00,4.00,5.00,6.00,2.00,2.00,4.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6136079,4.00,6.00,5.00,7.00,5.00,9.75,1.00,2.00,3.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',9201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136095,8.00,7.00,7.00,6.00,10.00,11.25,4.00,8.00,7.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'QUINTA DAS PAINEIRAS','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6136117,5.00,4.00,5.00,4.00,5.00,10.13,3.00,5.00,2.00,319,NULL,NULL,'TRINDADE SERRINHA','FLORIANÓPOLIS','SC',10765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136125,6.00,7.00,4.00,7.00,8.00,7.88,3.00,7.00,5.00,303,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',4487,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6136133,4.00,6.00,4.00,5.00,8.00,9.00,1.00,2.00,4.00,9,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',10366,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6136141,3.00,5.00,3.00,3.00,5.00,NULL,2.00,1.00,0.00,5,NULL,NULL,'SANTA LUZIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6136150,4.00,3.00,3.00,5.00,6.00,7.50,3.00,3.00,5.00,203,NULL,601,'ESTREITO','FLORIANÓPOLIS','SC',11224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136168,5.00,4.00,3.00,7.00,5.00,6.38,1.00,6.00,4.00,201,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',11522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136184,4.00,5.00,1.00,6.00,8.00,12.38,0.00,6.00,5.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136192,6.00,5.00,6.00,7.00,9.00,NULL,3.00,0.00,5.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'ITAIBA','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6136257,8.00,6.00,4.00,6.00,11.00,9.38,6.00,9.00,7.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136265,6.00,7.00,3.00,5.00,10.00,7.50,3.00,4.00,7.00,216,NULL,NULL,'SÃO JUDAS','S PAULO','SP',3665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ESTEVAO CARRARO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6136281,6.00,3.00,2.00,5.00,6.00,7.88,2.00,1.00,5.00,102,NULL,NULL,'CENTRO','GUARACIABA','SC',12732,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6136290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'SANTO AMARO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6136303,3.00,5.00,2.00,5.00,8.00,8.63,0.00,1.00,2.00,328,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',17328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136311,4.00,6.00,2.00,3.00,5.00,6.38,1.00,2.00,2.00,999,NULL,NULL,'CENTRO','CPO BELO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6136320,1.00,0.00,0.00,0.00,1.00,NULL,1.00,2.00,1.00,5,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6136338,4.00,7.00,2.00,3.00,6.00,5.25,1.00,4.00,1.00,103,NULL,NULL,'JARDIM PAULICEIA','CAMPINAS','SP',18084,4532,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6136354,4.00,4.00,3.00,7.00,8.00,6.75,2.00,6.00,2.00,102,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',11407,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6136370,2.00,5.00,4.00,4.00,7.00,8.25,1.00,0.00,0.00,207,NULL,201,'JARDIM BIGUAÇU','BIGUAÇU','SC',19245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136400,5.00,5.00,5.00,6.00,6.00,12.75,2.00,5.00,5.00,216,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',4960,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6136419,2.00,4.00,4.00,3.00,7.00,8.25,1.00,4.00,2.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',14312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136427,7.00,8.00,5.00,7.00,9.00,11.63,4.00,6.00,7.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',1050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136435,6.00,5.00,0.00,5.00,7.00,9.00,2.00,4.00,4.00,333,NULL,NULL,'VILA VELHA','SANTANA PARNAÍBA','SP',9408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136443,2.00,4.00,1.00,6.00,4.00,8.63,2.00,1.00,3.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',16655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6136451,6.00,6.00,1.00,5.00,9.00,9.00,0.00,4.00,2.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',10767,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6136478,5.00,4.00,2.00,4.00,6.00,7.88,4.00,6.00,2.00,453,NULL,NULL,'BARREIROS','S JOSÉ','SC',13067,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6136486,7.00,5.00,3.00,5.00,8.00,NULL,0.00,5.00,3.00,326,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6136494,3.00,5.00,0.00,6.00,8.00,10.13,0.00,3.00,2.00,502,NULL,NULL,'CENTRO','S JOSÉ','SC',12581,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6136516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6136524,8.00,9.00,6.00,7.00,10.00,9.75,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136532,2.00,4.00,1.00,5.00,4.00,6.75,1.00,2.00,0.00,208,NULL,238,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136559,5.00,4.00,2.00,7.00,7.00,8.25,1.00,2.00,3.00,304,NULL,NULL,'BELA VISTA','ITAPIRA','SP',10383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136567,2.00,5.00,2.00,4.00,6.00,7.13,1.00,4.00,1.00,328,NULL,NULL,'ESCOLINHA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6136575,6.00,7.00,1.00,5.00,6.00,8.25,2.00,7.00,4.00,303,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',9258,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6136583,3.00,4.00,2.00,0.00,1.00,NULL,0.00,1.00,3.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6136591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CAPUAVA','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6136605,4.00,6.00,2.00,6.00,4.00,7.50,3.00,4.00,2.00,203,NULL,220,'CENTRO','S JOSÉ CEDRO','SC',10309,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6136621,3.00,5.00,3.00,6.00,5.00,10.88,1.00,0.00,0.00,208,NULL,238,'BARRA DO ARIRIU','PALHOÇA','SC',18284,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6136648,5.00,5.00,3.00,6.00,8.00,11.63,2.00,6.00,4.00,423,NULL,427,'CANASVIEIRAS','FLORIANÓPOLIS','SC',7214,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6136656,5.00,6.00,2.00,5.00,5.00,8.25,3.00,4.00,3.00,444,NULL,NULL,'FLORESTA','S JOSÉ','SC',9998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6136664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6136672,6.00,7.00,4.00,4.00,6.00,8.25,4.00,3.00,4.00,212,NULL,220,'CENTRO','S MIGUEL OESTE','SC',6963,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6136680,6.00,5.00,5.00,7.00,9.00,6.75,1.00,5.00,8.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',4571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136699,5.00,6.00,3.00,5.00,6.00,9.00,5.00,9.00,5.00,601,NULL,203,'CAPOEIRAS','FLORIANÓPOLIS','SC',4767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136702,7.00,5.00,5.00,7.00,6.00,11.63,4.00,6.00,8.00,202,NULL,235,'VILA NOVA','BLUMENAU','SC',2081,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6136710,5.00,6.00,2.00,2.00,5.00,10.13,2.00,2.00,2.00,108,NULL,NULL,'FARIA LEMOS','BENTO GONÇALVES','RS',16526,249,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136729,7.00,6.00,6.00,5.00,8.00,10.50,1.00,6.00,5.00,216,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',2683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CAPITAIS','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6136753,3.00,7.00,3.00,6.00,8.00,7.88,3.00,5.00,5.00,203,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',7884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136761,8.00,5.00,1.00,6.00,10.00,9.00,4.00,5.00,7.00,103,NULL,NULL,'JARDIM PARAISO','ALM TAMANDARÉ','PR',3469,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6136770,5.00,6.00,1.00,5.00,8.00,7.50,3.00,4.00,3.00,332,NULL,NULL,'LIBERDADE','BELO HORIZONTE','MG',11246,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6136788,4.00,2.00,0.00,2.00,5.00,0.00,0.00,4.00,0.00,233,NULL,NULL,'CENTRO','NOVA PRATA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6136796,3.00,4.00,1.00,3.00,5.00,6.75,0.00,4.00,2.00,103,NULL,NULL,'RODEIGUES','PASSO FUNDO','RS',17287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6136800,8.00,6.00,2.00,5.00,9.00,9.75,2.00,8.00,9.00,103,NULL,NULL,'CENTRO','PARANACITY','PR',2364,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6136818,6.00,7.00,1.00,4.00,4.00,8.25,1.00,5.00,3.00,216,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',13143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6136826,5.00,0.00,2.00,7.00,7.00,NULL,0.00,0.00,0.00,211,NULL,207,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6136834,8.00,7.00,6.00,6.00,9.00,9.75,6.00,7.00,7.00,103,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',690,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6136850,4.00,5.00,4.00,3.00,4.00,5.25,4.00,5.00,5.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',12900,3980,NULL,NULL,NULL,NULL,NULL,2,8),(25,6136869,8.00,6.00,6.00,6.00,8.00,9.00,5.00,5.00,9.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',794,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6136877,1.00,3.00,2.00,2.00,3.00,7.88,3.00,0.00,2.00,238,NULL,201,'CENTRO','BOM RETIRO','SC',19975,479,NULL,1634,NULL,NULL,NULL,4,9),(25,6136907,1.00,3.00,2.00,2.00,7.00,7.50,3.00,6.00,0.00,655,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',17401,92,NULL,NULL,NULL,NULL,NULL,4,15),(25,6136915,6.00,3.00,1.00,5.00,3.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'CENTRO','PEROBAL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6136923,3.00,4.00,2.00,5.00,6.00,9.75,2.00,4.00,3.00,302,NULL,NULL,'LOTEAMENTO IRENE','BIGUAÇU','SC',11807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136931,9.00,7.00,8.00,5.00,8.00,10.13,4.00,5.00,8.00,103,NULL,NULL,'JARDIM COMERCIAL DAS','FOZ IGUAÇU','PR',986,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6136940,9.00,7.00,3.00,4.00,9.00,9.38,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','BELO HORIZONTE','MG',2507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136958,5.00,5.00,3.00,6.00,9.00,11.25,2.00,5.00,3.00,108,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',5413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136966,8.00,7.00,5.00,5.00,8.00,7.88,5.00,6.00,9.00,103,NULL,NULL,'HAUER','CURITIBA','PR',1563,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6136974,2.00,3.00,3.00,3.00,5.00,7.88,2.00,1.00,1.00,601,NULL,213,'COMASA','JOINVILLE','SC',20357,570,NULL,292,NULL,NULL,NULL,2,8),(25,6136982,6.00,6.00,5.00,6.00,7.00,7.13,2.00,3.00,6.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',5587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6136990,3.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,0.00,420,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6137008,2.00,3.00,2.00,7.00,7.00,8.25,0.00,3.00,2.00,415,NULL,NULL,'CENTRO','BRUSQUE','SC',17118,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6137016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'ROSEIRA','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6137024,7.00,5.00,3.00,6.00,8.00,8.25,4.00,5.00,7.00,203,NULL,233,'HIGIENOPOLIS','S PAULO','SP',3888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137032,6.00,6.00,5.00,5.00,8.00,9.75,4.00,7.00,8.00,216,NULL,201,'GUABIROTUBA','CURITIBA','PR',1823,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6137040,3.00,4.00,0.00,6.00,9.00,7.50,3.00,0.00,2.00,5,NULL,NULL,'IPIRANGA','S JOSÉ','SC',13872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRLHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6137067,3.00,7.00,0.00,3.00,5.00,6.00,1.00,8.00,3.00,103,NULL,NULL,'SALÉN CHADE','MARIALVA','PR',13408,4051,NULL,NULL,NULL,NULL,NULL,2,1),(25,6137083,4.00,4.00,1.00,3.00,7.00,11.63,1.00,2.00,2.00,601,NULL,214,'FLORESTA','JOINVILLE','SC',13471,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6137091,1.00,4.00,1.00,3.00,2.00,NULL,3.00,3.00,2.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6137105,3.00,3.00,4.00,3.00,4.00,5.63,0.00,1.00,5.00,316,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',19529,229,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137130,9.00,5.00,4.00,6.00,7.00,9.75,4.00,8.00,7.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',1243,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6137148,6.00,7.00,2.00,4.00,11.00,8.25,2.00,8.00,8.00,103,NULL,NULL,'QUATRO IRMÃOS','PTE SERRADA','SC',4014,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6137156,5.00,6.00,4.00,5.00,5.00,7.13,4.00,6.00,3.00,208,NULL,235,'CAPOEIRAS','FLORIANÓPOLIS','SC',9272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137164,9.00,7.00,4.00,7.00,10.00,13.13,3.00,5.00,8.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137172,3.00,6.00,2.00,7.00,6.00,6.38,3.00,4.00,4.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137199,3.00,5.00,2.00,1.00,3.00,10.50,2.00,2.00,5.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13164,4018,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137202,6.00,5.00,5.00,6.00,8.00,10.88,3.00,4.00,3.00,319,NULL,NULL,'NOVA CAMPINAS','CAMPINAS','SP',4862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137210,6.00,8.00,2.00,5.00,9.00,11.25,2.00,6.00,7.00,319,NULL,NULL,'CENTRO','JOINVILLE','SC',3373,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6137229,8.00,6.00,8.00,7.00,8.00,11.25,5.00,7.00,8.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6137237,4.00,6.00,2.00,4.00,9.00,8.25,2.00,2.00,2.00,3,NULL,NULL,'ARIRIBÁ','BAL CAMBORIÚ','SC',15072,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6137245,2.00,2.00,1.00,3.00,5.00,8.63,0.00,4.00,1.00,215,NULL,213,'CENTRO HISTÓRICO','PARANAGUÁ','PR',18116,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6137253,6.00,6.00,3.00,4.00,9.00,8.63,0.00,5.00,5.00,415,NULL,NULL,'N S DO ROSÁRIO','S JOSÉ','SC',6879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SÃO JOSÉ','CAMBÉ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6137270,2.00,4.00,1.00,3.00,6.00,NULL,1.00,0.00,0.00,212,NULL,201,'JARDIM PAULISTA','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137288,3.00,3.00,2.00,2.00,5.00,10.13,0.00,6.00,1.00,335,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6137296,3.00,0.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,2),(25,6137300,7.00,5.00,0.00,6.00,10.00,NULL,0.00,4.00,8.00,103,NULL,NULL,'PARQUE SÃO APULO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6137326,8.00,5.00,5.00,6.00,10.00,9.75,1.00,6.00,8.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',2180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137334,4.00,4.00,1.00,4.00,4.00,10.50,5.00,4.00,0.00,601,NULL,203,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6137342,4.00,6.00,1.00,2.00,8.00,8.63,1.00,7.00,3.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',14187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137350,4.00,6.00,3.00,6.00,7.00,7.13,0.00,5.00,5.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7614,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6137369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','VILHENA','RO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6137393,8.00,8.00,5.00,7.00,8.00,10.50,2.00,8.00,7.00,103,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137407,2.00,3.00,2.00,2.00,5.00,6.00,2.00,1.00,1.00,215,NULL,207,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6137415,7.00,7.00,7.00,6.00,8.00,7.50,5.00,7.00,7.00,214,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',1070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137423,3.00,6.00,4.00,4.00,9.00,7.50,4.00,2.00,4.00,653,NULL,202,'CENTRO','CORNÉLIO PROCÓPIO','PR',11018,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6137431,6.00,5.00,3.00,6.00,5.00,10.13,1.00,4.00,0.00,103,NULL,NULL,'JARDIM AMÉRICA','TUPÃ','SP',10295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137440,5.00,5.00,1.00,7.00,10.00,NULL,0.00,4.00,2.00,415,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6137466,1.00,1.00,1.00,1.00,2.00,NULL,2.00,1.00,1.00,453,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137474,3.00,4.00,1.00,3.00,5.00,NULL,5.00,2.00,2.00,444,NULL,NULL,'MEIER','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6137482,7.00,6.00,1.00,4.00,8.00,7.88,1.00,5.00,6.00,203,NULL,202,'NOSSA S DE LOURDE','STA MARIA','RS',8283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PINHEIRO','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6137504,7.00,7.00,6.00,7.00,9.00,10.13,4.00,8.00,7.00,303,NULL,NULL,'MARECHAL RONDOM','CANOAS','RS',714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137512,3.00,5.00,3.00,5.00,7.00,9.75,2.00,4.00,2.00,328,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6137520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6137539,5.00,4.00,3.00,6.00,5.00,11.25,2.00,2.00,3.00,108,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6137563,3.00,4.00,4.00,6.00,6.00,7.13,0.00,3.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137571,4.00,2.00,0.00,4.00,6.00,7.88,1.00,1.00,1.00,420,NULL,NULL,'LOTEAMENTO JUSSARA','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6137580,4.00,1.00,0.00,3.00,3.00,NULL,2.00,3.00,0.00,503,NULL,NULL,'CENTRO','CASCA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6137598,6.00,5.00,3.00,6.00,7.00,8.63,4.00,5.00,5.00,201,NULL,212,'SAO FRANCISCO','MIRASSOL','SP',5815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','AMAMBAÍ','MS',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6137610,7.00,7.00,5.00,6.00,9.00,9.38,1.00,6.00,4.00,104,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',4483,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6137628,1.00,2.00,3.00,4.00,6.00,9.38,3.00,4.00,2.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',16494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137636,7.00,5.00,4.00,5.00,8.00,NULL,0.00,3.00,4.00,216,NULL,215,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6137644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,207,'CENTRO','CAMPINA VERDE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6137652,2.00,2.00,1.00,2.00,2.00,NULL,2.00,3.00,1.00,444,NULL,NULL,'PRAIA JOAO ROSA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6137660,4.00,5.00,2.00,5.00,7.00,9.38,1.00,6.00,6.00,338,NULL,NULL,'AMÉRICA','JOINVILLE','SC',9637,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6137679,6.00,6.00,2.00,7.00,9.00,6.38,3.00,6.00,6.00,103,NULL,NULL,'VORSTADT','BLUMENAU','SC',6811,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6137687,8.00,7.00,4.00,5.00,9.00,7.88,3.00,7.00,8.00,104,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',1518,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6137695,3.00,4.00,0.00,3.00,5.00,9.38,1.00,5.00,2.00,203,NULL,214,'ATUBA','CURITIBA','PR',15173,940,NULL,357,NULL,NULL,NULL,2,1),(25,6137709,4.00,7.00,3.00,3.00,4.00,7.88,2.00,6.00,2.00,207,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',13984,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6137717,4.00,3.00,2.00,2.00,5.00,8.63,3.00,3.00,3.00,318,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137725,1.00,4.00,0.00,1.00,2.00,NULL,1.00,4.00,1.00,444,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137733,4.00,7.00,3.00,6.00,8.00,4.50,4.00,5.00,5.00,220,NULL,233,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',6744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137741,6.00,7.00,3.00,7.00,9.00,9.75,2.00,8.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137750,7.00,6.00,7.00,6.00,8.00,8.63,7.00,7.00,7.00,203,NULL,NULL,'JARDIM LINDÓIA','PTO ALEGRE','RS',1474,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6137768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6137776,2.00,5.00,1.00,2.00,4.00,7.50,2.00,4.00,1.00,201,NULL,212,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6137784,4.00,4.00,0.00,5.00,5.00,NULL,1.00,3.00,1.00,999,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6137792,4.00,3.00,5.00,7.00,6.00,7.88,1.00,3.00,3.00,303,NULL,NULL,'BOSQUE DOS EUCALÍPTO','S JOSÉ CAMPOS','SP',10350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137806,6.00,7.00,2.00,6.00,7.00,8.63,1.00,6.00,5.00,201,NULL,202,'JARDIM DAS PALMEIRAS','VALINHOS','SP',5238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137814,3.00,3.00,2.00,5.00,6.00,7.88,1.00,4.00,5.00,303,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',13514,625,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137822,6.00,4.00,3.00,6.00,7.00,9.00,2.00,4.00,4.00,601,NULL,220,'COSTA E SILVA','JOINVILLE','SC',8041,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6137830,2.00,0.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6137849,6.00,5.00,5.00,4.00,7.00,9.00,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',6916,2938,NULL,NULL,NULL,NULL,NULL,4,4),(25,6137857,8.00,4.00,4.00,6.00,8.00,11.25,3.00,4.00,6.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',4764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137873,6.00,4.00,0.00,4.00,9.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'CENTRO','GEN SALGADO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6137881,7.00,7.00,3.00,4.00,10.00,9.75,3.00,6.00,5.00,216,NULL,215,'DEHON','TUBARÃO','SC',4535,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6137890,5.00,6.00,2.00,4.00,7.00,NULL,0.00,2.00,2.00,316,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6137903,6.00,6.00,3.00,7.00,8.00,11.63,2.00,7.00,5.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',3980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137911,6.00,5.00,5.00,5.00,9.00,9.38,2.00,5.00,4.00,216,NULL,201,'CENTRO','ERECHIM','RS',5286,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6137920,5.00,4.00,1.00,1.00,9.00,9.00,2.00,3.00,4.00,101,NULL,NULL,'PARQUE BUTURUSSÚ','S PAULO','SP',12697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137938,6.00,6.00,4.00,7.00,8.00,7.50,2.00,5.00,4.00,216,NULL,201,'ROCIO GRANDE','S FRANCISCO SUL','SC',6571,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6137946,7.00,6.00,5.00,1.00,9.00,8.63,2.00,1.00,9.00,201,NULL,216,'NOVO MUNDO','CURITIBA','PR',5685,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6137954,4.00,4.00,1.00,4.00,6.00,7.88,1.00,5.00,0.00,329,NULL,NULL,'BARREIROS','S JOSÉ','SC',18065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6137962,5.00,4.00,0.00,3.00,7.00,7.50,2.00,1.00,1.00,207,NULL,201,'MENINO DEUS','PTO ALEGRE','RS',17549,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6137970,4.00,5.00,4.00,6.00,9.00,9.75,0.00,4.00,2.00,340,NULL,NULL,'JARDIM SÃO VALENTIM','PIRASSUNUNGA','SP',8499,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6137989,5.00,5.00,4.00,3.00,5.00,9.38,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',10512,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6137997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CANUDOS','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6138004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CASA VERDE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6138012,3.00,2.00,0.00,2.00,4.00,NULL,2.00,0.00,1.00,308,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6138020,5.00,6.00,3.00,5.00,9.00,NULL,0.00,5.00,4.00,103,NULL,NULL,'NOVA PETROPOLIS','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','SETE LAGOAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6138047,4.00,5.00,1.00,6.00,7.00,7.88,1.00,4.00,1.00,101,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',14155,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6138055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6138063,7.00,8.00,5.00,6.00,10.00,7.88,5.00,8.00,4.00,233,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',1280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138080,2.00,6.00,1.00,1.00,7.00,9.00,2.00,3.00,3.00,999,NULL,NULL,'USINA','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6138101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6138110,7.00,7.00,5.00,7.00,9.00,9.38,4.00,7.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138128,2.00,5.00,2.00,3.00,5.00,6.75,0.00,3.00,4.00,201,NULL,207,'CASCATA VERMELHA','JAGUARUNA','SC',18703,1538,NULL,1005,NULL,NULL,NULL,2,10),(25,6138136,5.00,5.00,5.00,6.00,8.00,9.00,4.00,8.00,3.00,207,NULL,203,'JD ESTORIL','IBIPORÃ','PR',3684,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6138144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'NOVA PIRACICABA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6138152,2.00,4.00,3.00,6.00,6.00,6.75,3.00,2.00,5.00,3,NULL,NULL,'FLORESTA','JOINVILLE','SC',14989,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6138160,4.00,5.00,1.00,4.00,6.00,10.50,1.00,1.00,2.00,450,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',17205,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6138179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'IPORANGA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6138187,8.00,5.00,2.00,5.00,7.00,9.38,2.00,6.00,8.00,103,NULL,NULL,'IBIRAPUERA','S PAULO','SP',4238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138195,7.00,8.00,1.00,5.00,8.00,10.13,1.00,7.00,5.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',5370,195,NULL,NULL,NULL,NULL,NULL,2,1),(25,6138209,2.00,4.00,0.00,4.00,6.00,0.00,2.00,2.00,1.00,201,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6138217,2.00,2.00,2.00,6.00,6.00,NULL,1.00,0.00,2.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138225,3.00,5.00,1.00,7.00,8.00,9.38,2.00,2.00,3.00,101,NULL,NULL,'CENTRO','CRICIÚMA','SC',12587,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6138233,5.00,5.00,3.00,7.00,6.00,10.50,3.00,4.00,6.00,999,NULL,NULL,'VILA NOVA','RIBEIRÃO PIRES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138268,5.00,3.00,3.00,5.00,5.00,8.25,1.00,2.00,6.00,103,NULL,NULL,'TROPICAL','CASCAVEL','PR',12358,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6138276,4.00,7.00,0.00,7.00,6.00,NULL,2.00,6.00,2.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138284,3.00,2.00,3.00,4.00,5.00,5.63,0.00,4.00,4.00,999,NULL,NULL,'BAEPENDI','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6138292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'PRAIA ANGÉLICA','LGA SANTA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6138306,2.00,2.00,0.00,2.00,1.00,NULL,2.00,0.00,0.00,102,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6138322,4.00,4.00,1.00,5.00,8.00,6.75,0.00,2.00,1.00,303,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',15731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6138330,9.00,7.00,6.00,6.00,9.00,10.13,5.00,8.00,9.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',298,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6138349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6138357,5.00,5.00,0.00,4.00,8.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6138365,4.00,6.00,6.00,7.00,9.00,11.25,2.00,8.00,7.00,203,NULL,NULL,'PITUBA','SALVADOR','BA',1931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6138381,5.00,6.00,1.00,2.00,6.00,9.75,2.00,1.00,1.00,103,NULL,NULL,'SAIC','CHAPECÓ','SC',15472,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6138390,0.00,1.00,0.00,0.00,0.00,NULL,4.00,2.00,1.00,208,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6138403,4.00,4.00,1.00,5.00,6.00,9.75,2.00,5.00,4.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6138420,4.00,8.00,2.00,7.00,10.00,8.63,2.00,7.00,8.00,999,NULL,NULL,'BELO HORIZONTE','CPO ALEGRE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6138438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6138446,8.00,6.00,7.00,7.00,10.00,9.00,4.00,7.00,8.00,201,NULL,202,'SETOR BUENO','GOIÂNIA','GO',559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138462,9.00,5.00,6.00,6.00,8.00,6.00,7.00,7.00,9.00,103,NULL,NULL,'NONOAI','PTO ALEGRE','RS',872,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6138470,3.00,4.00,1.00,5.00,6.00,6.38,0.00,2.00,2.00,501,NULL,NULL,'SANTA BARBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6138489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6138497,6.00,8.00,2.00,6.00,9.00,7.13,2.00,6.00,5.00,103,NULL,NULL,'ESTADOS UNIDOS','UBERABA','MG',4295,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6138519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM MARAJOARA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6138527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6138535,4.00,5.00,2.00,4.00,9.00,9.00,0.00,5.00,1.00,103,NULL,NULL,'N SENHORA DE LOURDES','STA MARIA','RS',11754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6138560,5.00,5.00,4.00,4.00,8.00,10.50,2.00,3.00,4.00,303,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',7730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138578,3.00,6.00,1.00,7.00,7.00,7.88,2.00,3.00,1.00,213,NULL,202,'BOA VIAGEM','RECIFE','PE',11735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138586,2.00,0.00,3.00,2.00,4.00,NULL,0.00,1.00,2.00,207,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6138594,9.00,7.00,9.00,7.00,9.00,9.38,7.00,6.00,8.00,203,NULL,220,'BIGORRILHO','CURITIBA','PR',142,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6138608,3.00,2.00,1.00,3.00,7.00,7.50,0.00,4.00,3.00,319,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',17589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138616,1.00,3.00,4.00,3.00,8.00,8.63,1.00,0.00,0.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',18162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138624,5.00,4.00,2.00,5.00,8.00,9.00,0.00,4.00,4.00,415,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',12518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138632,6.00,5.00,4.00,6.00,7.00,8.63,3.00,5.00,6.00,601,NULL,212,'CENTROCÍVICO','CURITIBA','PR',5221,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6138659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6138667,8.00,6.00,2.00,7.00,9.00,11.25,1.00,7.00,7.00,103,NULL,NULL,'ZONA UM A','UMUARAMA','PR',2584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138675,4.00,6.00,1.00,4.00,6.00,6.38,2.00,6.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12610,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6138683,4.00,7.00,5.00,6.00,6.00,9.00,2.00,4.00,3.00,103,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',8123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138691,8.00,7.00,5.00,5.00,7.00,5.63,2.00,5.00,7.00,203,NULL,216,'LAGOA','RIO JANEIRO','RJ',5242,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6138705,3.00,1.00,1.00,2.00,6.00,6.00,2.00,2.00,1.00,102,NULL,NULL,'CENTRO','CURITIBA','PR',21393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'CENTRO','MTE APRAZÍVEL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6138721,1.00,4.00,0.00,2.00,5.00,NULL,0.00,3.00,2.00,326,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138730,2.00,3.00,1.00,0.00,8.00,7.50,1.00,3.00,2.00,5,NULL,NULL,'CENTRO','CAMPINAS','SP',17604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138748,4.00,3.00,2.00,2.00,6.00,7.88,1.00,2.00,3.00,653,NULL,655,'JARDIM CIBELE','ARARANGUÁ','SC',17188,165,NULL,87,NULL,NULL,NULL,4,15),(25,6138764,2.00,4.00,2.00,2.00,2.00,NULL,1.00,3.00,2.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6138780,3.00,4.00,0.00,3.00,4.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6138799,7.00,4.00,5.00,7.00,8.00,7.88,3.00,7.00,5.00,319,NULL,NULL,'SANTANA','ARAÇATUBA','SP',3392,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6138802,5.00,7.00,1.00,5.00,7.00,8.63,2.00,6.00,4.00,207,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',6580,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6138810,3.00,4.00,3.00,6.00,5.00,7.50,2.00,6.00,1.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138829,1.00,3.00,1.00,3.00,7.00,NULL,0.00,0.00,1.00,444,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138837,3.00,7.00,4.00,5.00,7.00,7.13,4.00,5.00,4.00,238,NULL,208,'RIO TAVARES','FLORIANÓPOLIS','SC',7870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOSSA SENHORA APAREC','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6138888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6138900,7.00,8.00,5.00,7.00,9.00,9.75,6.00,7.00,7.00,203,NULL,214,'SAGUAÇÚ','JOINVILLE','SC',654,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6138926,1.00,4.00,3.00,2.00,3.00,6.38,3.00,3.00,1.00,224,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6138934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JD SATELITE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6138942,3.00,3.00,0.00,0.00,7.00,NULL,0.00,0.00,1.00,319,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6138977,7.00,6.00,2.00,6.00,6.00,9.38,3.00,6.00,6.00,103,NULL,NULL,'JARDIM LOCATELLI','NOVA ESPERANÇA','PR',5409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6138985,5.00,6.00,2.00,5.00,8.00,10.88,3.00,7.00,7.00,216,NULL,215,'MINA BRASIL','CRICIÚMA','SC',4130,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6138993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6139019,3.00,6.00,2.00,3.00,4.00,8.25,0.00,3.00,5.00,333,NULL,NULL,'CIDADE NOVA','RIO GRANDE','RS',15050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139027,3.00,2.00,0.00,2.00,4.00,7.13,2.00,1.00,2.00,601,NULL,202,'CENTRO','MAFRA','SC',20368,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6139035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TABAJARAS','UBERLÂNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6139043,3.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6139051,6.00,8.00,6.00,5.00,8.00,7.88,3.00,6.00,6.00,201,NULL,233,'BARREIROS','S JOSÉ','SC',2808,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6139060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6139078,6.00,5.00,2.00,7.00,7.00,7.88,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',6619,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6139094,7.00,5.00,7.00,7.00,10.00,11.63,4.00,6.00,7.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139108,6.00,4.00,1.00,5.00,10.00,9.00,3.00,5.00,5.00,103,NULL,NULL,'TRIÂNGULO','RIO BRANCO','AC',7338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139132,4.00,4.00,3.00,3.00,8.00,9.75,2.00,6.00,5.00,216,NULL,220,'MORDADA DO VALE','GOV VALADARES','MG',5914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139140,2.00,4.00,1.00,1.00,4.00,7.50,1.00,0.00,0.00,551,NULL,NULL,'SORGATTO','CAÇADOR','SC',21065,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6139159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6139167,9.00,7.00,6.00,7.00,10.00,10.50,6.00,7.00,9.00,103,NULL,NULL,'CAMPESTRE','HORIZONTINA','RS',259,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6139175,6.00,6.00,4.00,5.00,8.00,7.50,2.00,3.00,5.00,214,NULL,212,'ALPHAVILLE','BARUERI','SP',6589,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6139183,1.00,1.00,2.00,4.00,5.00,6.38,2.00,0.00,2.00,444,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',21523,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6139191,8.00,7.00,3.00,6.00,10.00,11.63,4.00,7.00,8.00,103,NULL,NULL,'TRES VENDAS','PELOTAS','RS',849,587,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139205,6.00,7.00,6.00,7.00,6.00,9.38,5.00,8.00,8.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',1521,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6139213,8.00,7.00,8.00,7.00,10.00,8.63,1.00,5.00,8.00,303,NULL,NULL,'BUCAREIN','JOINVILLE','SC',1071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139221,3.00,5.00,2.00,4.00,4.00,7.50,1.00,2.00,6.00,103,NULL,NULL,'VILA EDIO','ARAPONGAS','PR',14965,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6139248,6.00,5.00,4.00,3.00,8.00,6.75,1.00,2.00,6.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9582,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6139272,4.00,5.00,0.00,4.00,5.00,9.75,1.00,2.00,3.00,302,NULL,NULL,'AREIAS','S JOSÉ','SC',13840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6139280,4.00,4.00,1.00,6.00,7.00,7.13,0.00,3.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6139302,4.00,4.00,2.00,4.00,7.00,NULL,1.00,4.00,0.00,331,NULL,NULL,'INGLÊSES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139329,5.00,5.00,4.00,6.00,5.00,5.63,2.00,5.00,4.00,203,NULL,214,'PQ DOS PRINCIPES','S PAULO','SP',9626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139337,7.00,9.00,7.00,7.00,8.00,12.38,2.00,5.00,7.00,203,NULL,235,'GLÓRIA','JOINVILLE','SC',1018,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6139345,9.00,6.00,8.00,7.00,9.00,10.13,4.00,6.00,9.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',281,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6139353,3.00,6.00,2.00,7.00,8.00,9.00,2.00,1.00,2.00,420,NULL,NULL,'CENTRO','RIO SUL','SC',15017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139361,2.00,3.00,0.00,3.00,6.00,NULL,0.00,1.00,1.00,319,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6139370,5.00,2.00,5.00,4.00,5.00,7.13,3.00,2.00,5.00,201,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',11453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139388,6.00,7.00,7.00,6.00,9.00,6.00,1.00,5.00,6.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',4899,2389,NULL,NULL,NULL,NULL,NULL,4,10),(25,6139396,3.00,5.00,3.00,4.00,8.00,9.38,0.00,6.00,5.00,203,NULL,220,'PONTE PRETA','MTE ALEGRE SUL','SP',9500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139400,3.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'JOÃO COSTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6139418,4.00,4.00,2.00,2.00,4.00,9.38,0.00,4.00,2.00,103,NULL,NULL,'PAGANI','PALHOÇA','SC',19130,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6139426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6139434,5.00,7.00,5.00,7.00,6.00,9.38,2.00,1.00,6.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',6163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139442,5.00,5.00,2.00,3.00,7.00,9.38,3.00,2.00,2.00,501,NULL,NULL,'CENTRO','CANARANA','MT',9825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139450,5.00,5.00,5.00,7.00,7.00,9.38,4.00,4.00,4.00,453,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',5577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139469,5.00,5.00,6.00,2.00,8.00,5.63,2.00,7.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',7330,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6139485,1.00,5.00,0.00,3.00,5.00,9.00,2.00,4.00,3.00,207,NULL,201,'PIONEIROS','ITÁ','SC',17065,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6139493,9.00,7.00,7.00,5.00,8.00,8.63,5.00,7.00,8.00,103,NULL,NULL,'VILA ESTRELA','PNT GROSSA','PR',452,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6139507,9.00,7.00,2.00,6.00,9.00,8.25,5.00,7.00,9.00,103,NULL,NULL,'VILA LEOPOLDINA','S PAULO','SP',1123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139515,7.00,2.00,0.00,3.00,9.00,NULL,0.00,3.00,5.00,103,NULL,NULL,'RESIDENCIAL ARAGUAIA','APARECIDA GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6139523,6.00,6.00,3.00,3.00,9.00,10.50,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',5302,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6139558,7.00,8.00,2.00,7.00,9.00,8.25,1.00,8.00,8.00,103,NULL,NULL,'JARDI DAS COLINAS','S JOSÉ CAMPOS','SP',2295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139566,6.00,5.00,1.00,7.00,5.00,7.50,3.00,1.00,5.00,216,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',11148,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6139574,7.00,7.00,5.00,5.00,10.00,9.00,3.00,7.00,7.00,203,NULL,214,'PONTA AGUDA','BLUMENAU','SC',1688,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6139590,3.00,2.00,2.00,3.00,5.00,6.38,0.00,3.00,1.00,503,NULL,NULL,'FUNDOS','BIGUAÇU','SC',21028,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6139639,2.00,5.00,3.00,6.00,5.00,7.50,0.00,2.00,4.00,207,NULL,NULL,'DOM PEDRO II','PARANAGUÁ','PR',13380,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6139647,3.00,6.00,0.00,5.00,5.00,NULL,1.00,5.00,3.00,235,NULL,238,'ST ANTONIO DE LISBO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6139655,8.00,5.00,3.00,6.00,10.00,9.38,3.00,8.00,6.00,103,NULL,NULL,'JARDINS','S PAULO','SP',1632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139663,6.00,6.00,6.00,7.00,10.00,10.88,1.00,7.00,8.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',1972,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6139680,4.00,4.00,0.00,4.00,5.00,7.13,1.00,2.00,0.00,235,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',20504,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6139698,2.00,5.00,1.00,6.00,10.00,8.63,0.00,4.00,2.00,420,NULL,NULL,'SÃO MIGUEL','CRUZ ALTA','RS',11287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139701,8.00,6.00,5.00,7.00,8.00,11.25,4.00,5.00,9.00,203,NULL,214,'JARDIM PANAMÁ','CPO GRANDE','MS',905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139710,4.00,7.00,3.00,5.00,6.00,9.00,3.00,6.00,4.00,207,NULL,212,'FAZENDA STO ANTONIO','S JOSÉ','SC',8074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139728,3.00,6.00,3.00,3.00,7.00,7.13,3.00,2.00,1.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',14653,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6139744,8.00,6.00,6.00,4.00,10.00,10.50,5.00,7.00,7.00,103,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',628,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6139752,9.00,6.00,3.00,5.00,9.00,12.00,2.00,6.00,5.00,207,NULL,201,'BIGORRILHO','CURITIBA','PR',1941,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6139760,2.00,2.00,3.00,4.00,2.00,NULL,3.00,1.00,1.00,501,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6139779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6139787,7.00,7.00,7.00,6.00,10.00,10.88,5.00,6.00,8.00,201,NULL,220,'FORTALEZA','BLUMENAU','SC',408,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6139795,5.00,7.00,6.00,5.00,10.00,9.75,2.00,2.00,5.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139817,4.00,7.00,0.00,6.00,5.00,8.63,3.00,7.00,5.00,332,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',9987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139825,8.00,7.00,5.00,8.00,9.00,12.00,4.00,7.00,7.00,103,NULL,NULL,'ZONA IA','UMUARAMA','PR',506,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6139833,7.00,9.00,3.00,7.00,10.00,12.00,3.00,9.00,7.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',1295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139850,7.00,8.00,3.00,7.00,7.00,8.63,2.00,5.00,7.00,203,NULL,202,'UVARANAS','PNT GROSSA','PR',3501,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6139868,2.00,5.00,0.00,3.00,5.00,NULL,1.00,3.00,1.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6139884,2.00,4.00,3.00,1.00,6.00,6.38,1.00,2.00,2.00,319,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',20867,449,NULL,NULL,NULL,NULL,NULL,2,1),(25,6139892,7.00,5.00,6.00,7.00,9.00,9.38,4.00,6.00,9.00,303,NULL,NULL,'VILA MARIANA','S PAULO','SP',1206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139906,5.00,6.00,4.00,3.00,5.00,6.75,2.00,2.00,4.00,233,NULL,653,'JARDIM SOCIAL','CURITIBA','PR',12680,342,NULL,NULL,NULL,NULL,NULL,2,1),(25,6139922,4.00,4.00,2.00,1.00,6.00,7.13,1.00,2.00,3.00,202,NULL,235,'SANTA TEREZA','AURORA','SC',19626,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6139957,3.00,1.00,3.00,1.00,1.00,NULL,1.00,0.00,1.00,9,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6139965,5.00,5.00,4.00,6.00,8.00,7.88,3.00,5.00,3.00,301,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6139973,5.00,5.00,2.00,5.00,8.00,10.13,1.00,3.00,6.00,203,NULL,214,'BIGORRILHO','CURITIBA','PR',6826,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6139981,6.00,5.00,7.00,4.00,8.00,8.25,6.00,5.00,6.00,201,NULL,212,'JARDIM CURITIBA','CPO MOURÃO','PR',2302,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6139990,1.00,4.00,0.00,3.00,4.00,7.13,0.00,3.00,1.00,110,NULL,NULL,'BELA VISTA','PALHOÇA','SC',21588,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140009,4.00,2.00,1.00,7.00,7.00,7.88,5.00,5.00,4.00,999,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6140017,5.00,6.00,2.00,2.00,5.00,7.88,3.00,6.00,3.00,102,NULL,NULL,'MONTE CASTELO','S JOSÉ CAMPOS','SP',12153,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140025,5.00,2.00,4.00,3.00,3.00,7.13,2.00,4.00,3.00,453,NULL,NULL,'BARREIROS','S JOSÉ','SC',16294,110,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140033,7.00,7.00,4.00,7.00,8.00,12.38,3.00,6.00,8.00,103,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',831,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140041,8.00,8.00,5.00,8.00,9.00,12.75,6.00,7.00,8.00,214,NULL,212,'SANTO AMARO','S PAULO','SP',118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140050,3.00,7.00,3.00,1.00,6.00,6.00,2.00,5.00,4.00,203,NULL,202,'KOBRASOL','S JOSÉ','SC',16992,1004,NULL,529,NULL,NULL,NULL,4,1),(25,6140068,8.00,8.00,3.00,4.00,8.00,8.25,5.00,6.00,8.00,103,NULL,NULL,'PARQUE ALVORADA','DOURADOS','MS',1554,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140076,2.00,4.00,0.00,4.00,5.00,6.00,2.00,6.00,1.00,601,NULL,NULL,'ESPINHEIROS','JOINVILLE','SC',19459,546,NULL,NULL,NULL,NULL,NULL,2,8),(25,6140084,8.00,7.00,8.00,7.00,7.00,10.13,6.00,8.00,9.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',128,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6140092,6.00,3.00,1.00,3.00,7.00,NULL,0.00,3.00,0.00,211,NULL,215,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140106,3.00,5.00,3.00,4.00,4.00,6.00,4.00,6.00,1.00,235,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',14128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140114,4.00,1.00,0.00,5.00,7.00,6.00,1.00,3.00,4.00,339,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',19913,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140122,4.00,6.00,1.00,2.00,4.00,6.75,0.00,5.00,2.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140130,7.00,6.00,6.00,6.00,6.00,10.88,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140149,9.00,8.00,8.00,7.00,7.00,7.88,4.00,4.00,8.00,103,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',1476,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6140157,4.00,4.00,1.00,4.00,5.00,7.13,0.00,0.00,0.00,452,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140165,6.00,6.00,3.00,6.00,9.00,9.75,2.00,6.00,4.00,415,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',5200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140173,3.00,3.00,3.00,5.00,9.00,NULL,0.00,1.00,4.00,208,NULL,238,'URUSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6140181,7.00,3.00,1.00,5.00,7.00,8.25,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','LGA VERMELHA','RS',7713,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6140190,8.00,5.00,3.00,5.00,9.00,8.63,5.00,8.00,9.00,103,NULL,NULL,'JARDIM SOCIAL','CPO LARGO','PR',1179,792,NULL,NULL,NULL,NULL,NULL,4,8),(25,6140203,5.00,7.00,5.00,7.00,9.00,11.25,3.00,5.00,5.00,207,NULL,201,'JD NOVO HORIZONTE','MARINGÁ','PR',2681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140238,6.00,3.00,1.00,4.00,6.00,6.75,3.00,5.00,2.00,213,NULL,211,'CENTRO','CPO GRANDE','MS',12847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140246,4.00,2.00,2.00,5.00,8.00,9.00,2.00,4.00,2.00,207,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',15078,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6140254,3.00,4.00,2.00,3.00,7.00,8.63,2.00,4.00,1.00,320,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',17435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140270,4.00,7.00,3.00,3.00,8.00,10.13,1.00,2.00,4.00,235,NULL,202,'CERAMICA','ERECHIM','RS',8978,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6140289,8.00,6.00,2.00,8.00,9.00,11.63,4.00,6.00,4.00,103,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',2227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140297,0.00,0.00,0.00,0.00,1.00,NULL,1.00,0.00,0.00,104,NULL,NULL,'BORTOLON','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6140300,2.00,5.00,0.00,2.00,4.00,4.88,0.00,4.00,3.00,211,NULL,220,'CENTRO','PALHOÇA','SC',20256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140319,4.00,4.00,2.00,1.00,5.00,10.13,0.00,3.00,2.00,220,NULL,202,'CENTRO','LAGES','SC',19025,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6140327,2.00,5.00,1.00,1.00,6.00,5.25,2.00,2.00,2.00,318,NULL,NULL,'PRIMERIO DE MAIO','IÇARA','SC',20648,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6140343,2.00,3.00,1.00,4.00,4.00,8.25,0.00,4.00,2.00,420,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',18172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140351,4.00,4.00,1.00,3.00,7.00,8.25,0.00,4.00,1.00,201,NULL,214,'CENTRO','TANGARÁ','SC',17613,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6140360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM EULINA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6140378,2.00,5.00,3.00,4.00,5.00,8.63,3.00,2.00,2.00,420,NULL,NULL,'INGLESES RIO VERMELH','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140386,4.00,4.00,2.00,3.00,5.00,NULL,3.00,0.00,4.00,340,NULL,NULL,'JARDIM PETRÓPOLIS','STA ROSA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6140408,6.00,4.00,2.00,6.00,6.00,8.63,1.00,6.00,2.00,207,NULL,201,'JARDIM VILA MARIANA','S PAULO','SP',10392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140416,2.00,3.00,1.00,1.00,2.00,NULL,3.00,2.00,0.00,3,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140424,4.00,2.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140440,4.00,5.00,4.00,5.00,6.00,8.25,2.00,4.00,4.00,208,NULL,220,'ARIRIÚ','PALHOÇA','SC',9004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140459,5.00,5.00,4.00,4.00,4.00,10.13,2.00,3.00,4.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140467,4.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,0.00,319,NULL,NULL,'JARDIM SAO MIGUEL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140475,2.00,4.00,0.00,3.00,5.00,8.25,0.00,1.00,3.00,238,NULL,235,'BARREIROS','S JOSÉ','SC',19140,451,NULL,453,NULL,NULL,NULL,4,1),(25,6140483,3.00,4.00,0.00,3.00,4.00,6.00,2.00,2.00,0.00,109,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',20414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140505,5.00,4.00,2.00,3.00,5.00,7.50,4.00,6.00,3.00,420,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',14355,133,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140513,7.00,6.00,3.00,7.00,8.00,9.00,1.00,6.00,6.00,103,NULL,NULL,'SÃO MIGUEL','BIGUAÇU','SC',3867,2040,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140521,7.00,8.00,3.00,4.00,8.00,10.13,3.00,8.00,9.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',2106,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6140530,4.00,6.00,0.00,4.00,6.00,7.50,0.00,2.00,4.00,304,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',13751,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6140564,8.00,7.00,4.00,7.00,10.00,8.25,1.00,5.00,6.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140572,3.00,6.00,0.00,3.00,5.00,9.00,2.00,5.00,2.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140580,2.00,4.00,3.00,4.00,8.00,8.25,0.00,3.00,4.00,316,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',17304,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140599,5.00,3.00,1.00,3.00,3.00,8.25,0.00,2.00,2.00,234,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',19406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140610,4.00,6.00,0.00,7.00,6.00,NULL,2.00,1.00,2.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140629,1.00,4.00,1.00,4.00,3.00,5.63,1.00,1.00,1.00,238,NULL,207,'FAZENDA STO ANTONIO','S JOSÉ','SC',21688,542,NULL,1181,NULL,NULL,NULL,2,1),(25,6140637,5.00,6.00,1.00,3.00,9.00,NULL,1.00,3.00,0.00,5,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CONSIL','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6140661,3.00,3.00,0.00,1.00,4.00,NULL,1.00,0.00,2.00,207,NULL,201,'JARDIN ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140670,8.00,7.00,3.00,7.00,10.00,9.38,1.00,4.00,6.00,333,NULL,NULL,'GRANJA VIANA','COTIA','SP',2607,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6140696,3.00,6.00,0.00,7.00,8.00,NULL,3.00,1.00,3.00,316,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6140700,3.00,3.00,0.00,1.00,3.00,6.38,3.00,1.00,2.00,316,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140718,4.00,6.00,2.00,7.00,8.00,9.75,2.00,4.00,4.00,337,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',10098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140726,8.00,9.00,3.00,5.00,9.00,9.75,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1439,933,NULL,NULL,NULL,NULL,NULL,2,8),(25,6140734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6140742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'OURO VERDE','STA ROSA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6140750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'FAZENDINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6140769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6140785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6140793,2.00,4.00,1.00,1.00,3.00,9.38,1.00,2.00,2.00,404,NULL,NULL,'BELA VISTA','S JOSÉ','SC',21189,107,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140807,3.00,6.00,2.00,5.00,7.00,8.25,1.00,5.00,2.00,424,NULL,427,'MINA DO MATO','CRICIÚMA','SC',15240,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6140823,7.00,7.00,4.00,7.00,8.00,7.88,1.00,8.00,4.00,207,NULL,NULL,'CENTRO','IBITINGA','SP',3181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140831,5.00,6.00,2.00,5.00,8.00,8.25,2.00,3.00,1.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',10576,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6140858,7.00,6.00,4.00,7.00,9.00,10.50,5.00,7.00,7.00,103,NULL,NULL,'JARDIM FLORESTA','CASCAVEL','PR',883,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6140866,7.00,7.00,0.00,7.00,6.00,10.13,1.00,5.00,5.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',8115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140874,5.00,5.00,1.00,2.00,8.00,10.50,1.00,2.00,2.00,5,NULL,NULL,'CENTRO','ERVAL VELHO','SC',16737,585,NULL,NULL,NULL,NULL,NULL,4,7),(25,6140882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6140890,6.00,6.00,6.00,7.00,8.00,11.63,4.00,5.00,8.00,216,NULL,203,'SANTA ISABEL','PNT PORÃ','MS',1807,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6140904,6.00,5.00,2.00,6.00,10.00,11.25,0.00,6.00,5.00,103,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',5522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140920,3.00,4.00,3.00,5.00,5.00,8.25,1.00,3.00,1.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',14611,671,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140939,3.00,4.00,2.00,6.00,8.00,8.25,1.00,2.00,3.00,415,NULL,NULL,'CENTRO','ERECHIM','RS',12351,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6140947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6140955,5.00,7.00,3.00,5.00,7.00,7.13,5.00,6.00,4.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8249,300,NULL,NULL,NULL,NULL,NULL,2,1),(25,6140971,7.00,5.00,4.00,2.00,4.00,10.50,1.00,7.00,5.00,103,NULL,NULL,'VILA IRACEMA','S JOSÉ CAMPOS','SP',5017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6140980,7.00,6.00,4.00,7.00,8.00,9.75,2.00,7.00,6.00,235,NULL,213,'CENTRO','LAGES','SC',2646,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6141005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6141013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'VILA PROGRESSO','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6141021,3.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(25,6141030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'PORTINHO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6141048,1.00,6.00,3.00,3.00,6.00,9.38,3.00,5.00,4.00,211,NULL,212,'SÃO LUIS','JARAGUÁ SUL','SC',11950,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6141056,2.00,5.00,1.00,3.00,5.00,6.75,1.00,6.00,2.00,201,NULL,207,'EFAPI','CHAPECÓ','SC',19226,1580,NULL,1040,NULL,NULL,NULL,4,4),(25,6141080,6.00,4.00,4.00,6.00,4.00,9.75,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',8951,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6141110,3.00,6.00,3.00,1.00,5.00,9.75,1.00,5.00,3.00,235,NULL,655,'JARDIM CIDADE ALTA','JOAÇABA','SC',14806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6141129,7.00,6.00,2.00,6.00,7.00,7.50,1.00,1.00,8.00,216,NULL,233,'CENTRO','TERRA ROXA','SP',6898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6141137,1.00,6.00,2.00,3.00,4.00,9.38,3.00,3.00,2.00,318,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',14991,59,NULL,NULL,NULL,NULL,NULL,2,1),(25,6141153,3.00,5.00,3.00,3.00,4.00,5.25,2.00,6.00,4.00,444,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',15242,59,NULL,NULL,NULL,NULL,NULL,2,1),(25,6141161,2.00,4.00,2.00,3.00,4.00,7.13,2.00,0.00,5.00,205,NULL,NULL,'VILA SAO CARLOS','APUCARANA','PR',20232,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6141200,1.00,4.00,1.00,3.00,6.00,8.25,3.00,1.00,4.00,420,NULL,NULL,'SERRARIA','S JOSÉ','SC',18334,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6141218,6.00,6.00,3.00,5.00,7.00,12.00,1.00,4.00,5.00,102,NULL,NULL,'NOVA BELÉM','PAULO LOPES','SC',6676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6141226,5.00,6.00,3.00,6.00,8.00,8.25,5.00,4.00,2.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8301,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6141234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6141242,3.00,5.00,3.00,5.00,7.00,8.25,2.00,4.00,3.00,215,NULL,214,'JARDIM SANTA TERESA','JUNDIAÍ','SP',11016,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6141250,3.00,4.00,1.00,4.00,6.00,7.88,0.00,3.00,2.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17211,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6141293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'PARQUE MARIANE','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6141307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6141315,3.00,4.00,0.00,5.00,5.00,NULL,0.00,0.00,2.00,207,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6141374,8.00,8.00,4.00,7.00,9.00,10.50,6.00,7.00,8.00,336,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6141382,3.00,5.00,2.00,5.00,7.00,9.00,2.00,1.00,5.00,415,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6141390,5.00,4.00,1.00,5.00,6.00,9.75,2.00,5.00,3.00,310,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11910,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6141412,1.00,2.00,1.00,3.00,4.00,8.63,0.00,1.00,2.00,104,NULL,NULL,'CENTRO','MRO GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6141439,4.00,3.00,4.00,1.00,6.00,8.63,2.00,0.00,2.00,319,NULL,NULL,'N SRA APARECIDA','FRANCISCO BELTRÃO','PR',16066,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6141447,4.00,4.00,0.00,4.00,7.00,9.00,1.00,4.00,4.00,303,NULL,NULL,'BEIJA FLOR','BAURU','SP',12389,580,NULL,NULL,NULL,NULL,NULL,2,1),(25,6141455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,213,'TAQUARAL','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6141480,3.00,3.00,1.00,4.00,1.00,NULL,3.00,2.00,2.00,551,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6141501,3.00,2.00,1.00,2.00,5.00,NULL,0.00,0.00,3.00,102,NULL,NULL,'SANTA RITA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6141536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'BANDEIRANTES','JZ FORA','MG',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6141544,3.00,5.00,2.00,3.00,4.00,6.00,1.00,3.00,3.00,208,NULL,202,'FAZENDA S ANTÔNIO','S JOSÉ','SC',17713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6141552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6141560,7.00,5.00,4.00,4.00,8.00,7.50,2.00,5.00,4.00,207,NULL,215,'ARIRIÚ','PALHOÇA','SC',6959,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6141595,3.00,6.00,2.00,2.00,7.00,7.88,2.00,3.00,2.00,653,NULL,207,'MORRETES','ITAPEMA','SC',17288,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6141617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'DAS NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6141625,3.00,5.00,1.00,2.00,6.00,5.63,2.00,4.00,1.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6141633,4.00,8.00,2.00,4.00,6.00,8.63,4.00,5.00,8.00,235,NULL,202,'VILA ALTO DE SANTO A','STO ANDRÉ','SP',5875,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6141641,3.00,2.00,0.00,4.00,6.00,9.75,0.00,4.00,2.00,415,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',18708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6141650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6141668,3.00,7.00,3.00,6.00,9.00,9.38,2.00,5.00,3.00,326,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6141676,3.00,6.00,0.00,2.00,7.00,NULL,0.00,4.00,2.00,451,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6141684,5.00,6.00,2.00,5.00,8.00,8.63,0.00,4.00,1.00,211,NULL,212,'ALTO ARIRIU','PALHOÇA','SC',13957,368,NULL,410,NULL,NULL,NULL,4,1),(25,6141706,3.00,3.00,2.00,1.00,3.00,9.00,0.00,3.00,3.00,425,NULL,424,'GUARDA DO EMBAÚ','PALHOÇA','SC',20012,89,NULL,NULL,NULL,NULL,NULL,2,1),(25,6141714,7.00,7.00,7.00,5.00,7.00,10.13,4.00,8.00,6.00,233,NULL,215,'BRUSQUE','LAGES','SC',1610,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6141730,2.00,2.00,0.00,1.00,3.00,NULL,0.00,4.00,1.00,5,NULL,NULL,'VINTECINCO DE JULHO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6141757,5.00,4.00,0.00,5.00,6.00,9.38,1.00,4.00,1.00,340,NULL,NULL,'PROGRESSO','BLUMENAU','SC',14412,324,NULL,NULL,NULL,NULL,NULL,4,2),(25,6141773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6141781,2.00,4.00,0.00,1.00,3.00,8.63,2.00,2.00,2.00,301,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',19948,286,NULL,NULL,NULL,NULL,NULL,2,1),(25,6141803,3.00,6.00,4.00,5.00,8.00,9.75,3.00,6.00,7.00,104,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',4688,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6141811,6.00,7.00,8.00,6.00,6.00,8.25,6.00,5.00,8.00,216,NULL,208,'MERCÊS','CURITIBA','PR',1626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6141820,4.00,4.00,3.00,6.00,5.00,7.88,2.00,0.00,1.00,109,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',16611,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6141838,7.00,7.00,4.00,4.00,5.00,8.25,2.00,4.00,5.00,103,NULL,NULL,'AMAMBAI','CPO GRANDE','MS',9053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6141846,3.00,2.00,2.00,5.00,5.00,6.75,3.00,5.00,4.00,238,NULL,208,'CAMPINAS','S JOSÉ','SC',17457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6141870,3.00,6.00,2.00,2.00,6.00,9.75,3.00,1.00,0.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',17881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6141900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,202,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6141919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA GLORIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6141935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6141943,7.00,6.00,4.00,7.00,8.00,9.00,2.00,7.00,7.00,108,NULL,NULL,'KOBRASOL','S JOSÉ','SC',2602,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6141951,2.00,5.00,1.00,3.00,8.00,10.88,0.00,4.00,2.00,211,NULL,NULL,'FAZENDA','ITAJAÍ','SC',12469,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6141960,3.00,2.00,2.00,5.00,4.00,6.75,2.00,1.00,0.00,301,NULL,NULL,'CENTRO','ERECHIM','RS',19348,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6141978,0.00,4.00,2.00,2.00,5.00,8.25,1.00,1.00,2.00,317,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',21156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6141986,2.00,4.00,3.00,2.00,4.00,7.88,1.00,4.00,1.00,205,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',18620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6141994,3.00,2.00,0.00,2.00,3.00,7.88,3.00,3.00,2.00,110,NULL,NULL,'AREIAS','S JOSÉ','SC',20052,132,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142001,3.00,3.00,3.00,6.00,5.00,6.75,0.00,3.00,1.00,211,NULL,215,'INGLESES','FLORIANÓPOLIS','SC',15998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142010,6.00,4.00,2.00,3.00,7.00,6.75,1.00,4.00,2.00,201,NULL,212,'CENTRO','CURITIBA','PR',13874,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6142028,2.00,4.00,3.00,3.00,2.00,NULL,1.00,3.00,1.00,318,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6142036,7.00,8.00,3.00,8.00,10.00,9.38,4.00,5.00,7.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',2018,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6142044,3.00,3.00,2.00,5.00,7.00,7.88,0.00,2.00,1.00,215,NULL,216,'COPACABANA','LAGES','SC',19593,317,NULL,607,NULL,NULL,NULL,2,9),(25,6142052,4.00,2.00,0.00,1.00,3.00,NULL,4.00,0.00,0.00,319,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142060,1.00,2.00,0.00,1.00,3.00,4.88,0.00,1.00,1.00,415,NULL,NULL,'CENTRO','S JOÃO SUL','SC',21795,345,NULL,NULL,NULL,NULL,NULL,4,15),(25,6142079,3.00,2.00,4.00,0.00,4.00,NULL,1.00,2.00,0.00,103,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142087,2.00,4.00,0.00,1.00,3.00,NULL,1.00,3.00,0.00,201,NULL,233,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,5),(25,6142109,7.00,6.00,4.00,7.00,7.00,10.13,3.00,5.00,8.00,208,NULL,238,'ABRAÃO','FLORIANÓPOLIS','SC',2338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142117,2.00,2.00,3.00,2.00,6.00,8.63,1.00,2.00,0.00,211,NULL,216,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142125,2.00,4.00,2.00,3.00,3.00,7.88,1.00,0.00,1.00,103,NULL,NULL,'JOAIA','TIJUCAS','SC',20380,4711,NULL,NULL,NULL,NULL,NULL,2,1),(25,6142133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'KOLLER','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6142150,2.00,5.00,4.00,5.00,4.00,7.50,3.00,1.00,0.00,309,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',18906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6142168,8.00,7.00,5.00,6.00,7.00,10.50,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','IGUATU','PR',3061,1726,NULL,NULL,NULL,NULL,NULL,4,3),(25,6142176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6142184,6.00,7.00,3.00,7.00,9.00,8.25,3.00,7.00,7.00,208,NULL,238,'AREIAS','S JOSÉ','SC',3779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142206,6.00,7.00,1.00,3.00,8.00,9.38,3.00,7.00,2.00,326,NULL,NULL,'RIO DO BRAÇO','S JOÃO BATISTA','SC',8073,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6142214,5.00,3.00,1.00,3.00,7.00,8.63,1.00,2.00,4.00,9,NULL,NULL,'NITEROI','CANOAS','RS',13945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6142222,7.00,6.00,1.00,4.00,8.00,10.88,3.00,3.00,5.00,420,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6142249,1.00,0.00,3.00,2.00,4.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6142257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,655,'PQ CRUZEIRO DO SUL','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6142265,4.00,2.00,2.00,3.00,5.00,7.13,0.00,2.00,1.00,3,NULL,NULL,'SÃO JOÃO DO RIO VERM','FLORIANÓPOLIS','SC',18598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6142273,4.00,0.00,0.00,0.00,8.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6142281,8.00,6.00,4.00,0.00,6.00,7.88,3.00,2.00,5.00,103,NULL,NULL,'CENTRO','PERITIBA','SC',9990,3548,NULL,NULL,NULL,NULL,NULL,4,7),(25,6142303,9.00,7.00,6.00,5.00,9.00,8.63,6.00,9.00,7.00,203,NULL,216,'CAMPECHE','FLORIANÓPOLIS','SC',682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ALPHAVILLE FLAMBOYAN','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6142346,5.00,6.00,3.00,6.00,7.00,10.88,4.00,8.00,5.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6142370,4.00,5.00,3.00,1.00,5.00,7.50,3.00,6.00,2.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6142389,4.00,5.00,3.00,5.00,7.00,9.38,0.00,4.00,2.00,319,NULL,NULL,'CENTRO','ERECHIM','RS',11607,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6142397,5.00,4.00,5.00,6.00,6.00,6.00,1.00,4.00,1.00,453,NULL,NULL,'SERRARIA','S JOSÉ','SC',11507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'INTERIOR','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6142427,2.00,5.00,4.00,6.00,5.00,NULL,0.00,1.00,1.00,317,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6142435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'VILA ORESTES','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6142443,2.00,4.00,1.00,1.00,5.00,6.38,2.00,1.00,0.00,501,NULL,NULL,'BARREIROS','S JOSÉ','SC',21456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142451,4.00,3.00,2.00,4.00,4.00,6.75,1.00,3.00,3.00,652,NULL,NULL,'PRIMEIRA LINHA','CRICIÚMA','SC',19835,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6142460,2.00,3.00,2.00,2.00,6.00,6.00,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','LEBON RÉGIS','SC',17464,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6142478,5.00,4.00,3.00,6.00,10.00,9.00,2.00,5.00,4.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',8342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142486,4.00,6.00,4.00,4.00,6.00,9.75,1.00,2.00,2.00,214,NULL,233,'CAMPO COMPRIDO','CURITIBA','PR',13515,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6142494,5.00,4.00,2.00,5.00,6.00,8.25,1.00,4.00,1.00,3,NULL,NULL,'BARREIROS','S JOSÉ','SC',16739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142508,4.00,8.00,2.00,5.00,6.00,6.75,2.00,5.00,1.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',15038,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6142516,6.00,7.00,1.00,5.00,9.00,8.63,1.00,7.00,6.00,202,NULL,213,'RIO VERMELHO','FLORIANÓPOLIS','SC',6187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142524,2.00,4.00,2.00,1.00,6.00,11.25,2.00,2.00,4.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142532,7.00,6.00,5.00,8.00,8.00,9.75,4.00,7.00,8.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',1038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142540,1.00,3.00,1.00,3.00,4.00,8.63,1.00,3.00,4.00,429,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18229,38,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142559,3.00,5.00,2.00,3.00,8.00,NULL,0.00,3.00,0.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142575,3.00,7.00,4.00,6.00,5.00,7.50,2.00,1.00,1.00,420,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',13048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142583,3.00,5.00,3.00,4.00,8.00,7.50,2.00,2.00,2.00,318,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15541,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6142605,6.00,5.00,2.00,7.00,9.00,9.75,3.00,7.00,6.00,201,NULL,235,'BREMER','RIO SUL','SC',4622,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6142621,5.00,5.00,3.00,7.00,9.00,8.63,2.00,4.00,3.00,420,NULL,NULL,'ORLEANS','CURITIBA','PR',5489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142630,0.00,2.00,0.00,5.00,2.00,NULL,0.00,1.00,1.00,104,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6142648,5.00,6.00,1.00,4.00,6.00,6.38,1.00,6.00,2.00,103,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',11861,3845,NULL,NULL,NULL,NULL,NULL,2,1),(25,6142664,7.00,7.00,5.00,7.00,9.00,9.38,2.00,5.00,4.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',3591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALVORADA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6142702,8.00,5.00,6.00,6.00,9.00,8.25,1.00,6.00,9.00,103,NULL,NULL,'JARDIM ARPOADOR','S PAULO','SP',2171,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6142710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CENTRO','CONDOR','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6142737,2.00,3.00,0.00,6.00,8.00,NULL,0.00,2.00,1.00,336,NULL,NULL,'COSTA DE DENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142745,1.00,4.00,1.00,3.00,2.00,NULL,1.00,0.00,2.00,238,NULL,652,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6142761,3.00,6.00,3.00,3.00,8.00,8.25,2.00,2.00,3.00,328,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6142788,6.00,5.00,5.00,7.00,9.00,8.25,3.00,8.00,7.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',1699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142796,5.00,4.00,4.00,4.00,5.00,7.13,2.00,5.00,6.00,317,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',11116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142800,5.00,5.00,3.00,4.00,8.00,9.75,1.00,6.00,5.00,207,NULL,201,'CENTRO','BOA V SUL','RS',6332,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6142818,5.00,5.00,2.00,3.00,5.00,8.63,3.00,0.00,0.00,551,NULL,NULL,'SENHORA APARECIDA','BRUNÓPOLIS','SC',18912,38,NULL,NULL,NULL,NULL,NULL,2,16),(25,6142826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'DIVINÉIA','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6142834,3.00,2.00,0.00,3.00,3.00,7.13,3.00,5.00,0.00,425,NULL,423,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6142842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6142869,6.00,7.00,3.00,5.00,9.00,10.13,3.00,7.00,5.00,450,NULL,NULL,'VL ALEXANDRIA','S PAULO','SP',3659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142877,5.00,5.00,4.00,3.00,7.00,7.88,3.00,3.00,3.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',10406,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6142885,3.00,5.00,1.00,5.00,8.00,3.00,2.00,2.00,3.00,340,NULL,NULL,'CENTRO','EXTREMA','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6142893,5.00,5.00,1.00,4.00,7.00,9.38,2.00,3.00,0.00,319,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',13089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6142907,2.00,3.00,2.00,4.00,5.00,6.00,1.00,3.00,3.00,201,NULL,211,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6142923,4.00,5.00,1.00,2.00,6.00,9.75,0.00,2.00,1.00,103,NULL,NULL,'VORSTADT','BLUMENAU','SC',19451,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6142931,4.00,7.00,3.00,4.00,9.00,13.88,3.00,2.00,4.00,301,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',8022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6142958,2.00,4.00,1.00,3.00,3.00,NULL,2.00,3.00,0.00,101,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6142974,3.00,3.00,3.00,1.00,8.00,6.75,0.00,4.00,1.00,339,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',20532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6142982,3.00,6.00,2.00,1.00,5.00,8.63,1.00,2.00,4.00,3,NULL,NULL,'CAMPO DÁGUA VERDE','CANOINHAS','SC',19277,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6142990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6143008,3.00,3.00,2.00,4.00,4.00,7.50,2.00,2.00,2.00,304,NULL,NULL,'CENTRO','DA EMMA','SC',20201,147,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143016,4.00,5.00,5.00,5.00,5.00,9.00,2.00,4.00,3.00,444,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',11749,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6143024,3.00,5.00,2.00,3.00,5.00,9.00,0.00,5.00,1.00,5,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',15882,559,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6143075,3.00,3.00,3.00,4.00,4.00,6.00,0.00,2.00,3.00,551,NULL,NULL,'UNIVERSITÁRIO','CURITIBANOS','SC',20152,58,NULL,NULL,NULL,NULL,NULL,2,16),(25,6143083,8.00,7.00,4.00,7.00,8.00,7.88,5.00,5.00,7.00,203,NULL,216,'CENTRO','TUBARÃO','SC',2948,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6143091,1.00,2.00,1.00,2.00,7.00,7.13,2.00,1.00,1.00,211,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6143105,5.00,5.00,1.00,4.00,6.00,7.88,3.00,0.00,5.00,201,NULL,601,'APARECIDA','CANOINHAS','SC',11128,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6143113,5.00,5.00,2.00,3.00,7.00,8.63,2.00,4.00,2.00,303,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',15721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143130,4.00,5.00,1.00,5.00,8.00,12.75,3.00,2.00,2.00,109,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',11782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6143148,2.00,3.00,0.00,3.00,4.00,6.75,1.00,2.00,2.00,303,NULL,NULL,'SERRARIA','S JOSÉ','SC',19762,821,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143156,2.00,6.00,3.00,4.00,9.00,10.88,0.00,5.00,2.00,601,NULL,203,'VILA MARGARIDA','OURINHOS','SP',12353,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6143164,5.00,3.00,2.00,5.00,8.00,8.25,1.00,4.00,3.00,103,NULL,NULL,'NOVA IORQUE','CASCAVEL','PR',10197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143180,6.00,4.00,4.00,5.00,8.00,NULL,0.00,6.00,5.00,201,NULL,212,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143199,6.00,5.00,4.00,7.00,5.00,10.13,5.00,3.00,6.00,203,NULL,601,'COLONIA VITORIA','GUARAPUAVA','PR',5576,NULL,NULL,NULL,NULL,NULL,NULL,1,6),(25,6143202,5.00,7.00,3.00,6.00,7.00,8.25,2.00,6.00,5.00,103,NULL,NULL,'CAMPESTRE','VIDAL RAMOS','SC',6824,2913,NULL,NULL,NULL,NULL,NULL,2,1),(25,6143229,7.00,5.00,3.00,3.00,7.00,11.63,3.00,6.00,2.00,444,NULL,NULL,'FAZENDA','ITAJAÍ','SC',8232,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6143237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM GUAIO','SUZANO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6143245,5.00,5.00,3.00,5.00,5.00,NULL,0.00,2.00,2.00,333,NULL,NULL,'SÃO MARCOS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6143253,5.00,5.00,2.00,4.00,6.00,7.88,2.00,6.00,5.00,304,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143261,7.00,5.00,1.00,7.00,8.00,10.13,0.00,6.00,6.00,319,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',7832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143270,6.00,4.00,4.00,6.00,6.00,8.25,1.00,6.00,8.00,103,NULL,NULL,'SANTOS DUMMONT','LONDRINA','PR',5559,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6143288,8.00,6.00,2.00,7.00,9.00,9.75,0.00,4.00,8.00,207,NULL,201,'ÁGUA VERDE','CURITIBA','PR',3881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143296,3.00,6.00,2.00,7.00,8.00,10.13,1.00,7.00,4.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143300,6.00,5.00,3.00,5.00,8.00,9.75,3.00,6.00,4.00,201,NULL,653,'CENTRO','BAL CAMBORIÚ','SC',6168,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6143318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6143326,2.00,3.00,0.00,1.00,5.00,8.25,1.00,2.00,0.00,103,NULL,NULL,'CENTRO','BAL BARRA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6143334,1.00,4.00,1.00,1.00,3.00,5.25,2.00,5.00,2.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6143342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA APOLÔNIA','SANGÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6143350,2.00,6.00,1.00,5.00,5.00,NULL,2.00,3.00,0.00,336,NULL,NULL,'CENTRO','CONDOR','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6143369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6143377,1.00,2.00,0.00,4.00,3.00,4.88,2.00,2.00,3.00,203,NULL,238,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143393,1.00,6.00,3.00,0.00,2.00,NULL,2.00,1.00,3.00,444,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6143407,2.00,7.00,3.00,2.00,5.00,8.63,0.00,1.00,1.00,303,NULL,NULL,'INTERIOR','PASSOS MAIA','SC',17261,753,NULL,NULL,NULL,NULL,NULL,4,4),(25,6143415,3.00,3.00,2.00,2.00,3.00,11.25,1.00,3.00,4.00,103,NULL,NULL,'AVARÉ','PARANAVAÍ','PR',15833,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6143440,4.00,6.00,2.00,4.00,8.00,9.38,2.00,5.00,2.00,201,NULL,202,'BELA VISTA','LEBON RÉGIS','SC',9679,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6143458,3.00,3.00,2.00,2.00,7.00,7.13,2.00,3.00,2.00,655,NULL,235,'VILA A','FOZ IGUAÇU','PR',18175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143466,2.00,4.00,3.00,5.00,5.00,7.50,2.00,5.00,2.00,235,NULL,203,'CENTRO HISTORICO','PARANAGUÁ','PR',14595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143490,5.00,3.00,3.00,5.00,7.00,10.13,0.00,4.00,3.00,444,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',10700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6143504,3.00,4.00,3.00,6.00,8.00,NULL,1.00,3.00,0.00,202,NULL,235,'BAIRRO PES','ARATIBA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6143520,5.00,5.00,2.00,5.00,8.00,8.25,1.00,4.00,4.00,999,NULL,NULL,'RIO TIGRE','BENEDITO NOVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6143539,2.00,2.00,0.00,1.00,6.00,NULL,2.00,4.00,1.00,551,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6143547,8.00,8.00,8.00,6.00,9.00,11.63,5.00,8.00,9.00,103,NULL,NULL,'VILA FORMOSA','PRES PRUDENTE','SP',117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143555,8.00,6.00,2.00,5.00,10.00,12.75,2.00,9.00,6.00,103,NULL,NULL,'CENTRO','ALFREDO MARCONDES','SP',1287,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6143571,3.00,5.00,1.00,3.00,4.00,4.50,2.00,3.00,3.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143580,7.00,5.00,7.00,5.00,8.00,10.13,3.00,6.00,7.00,103,NULL,NULL,'AZENHA','PTO ALEGRE','RS',2403,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6143598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR O','CEILÂNDIA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6143601,5.00,6.00,4.00,7.00,8.00,9.38,3.00,7.00,3.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',5554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143610,2.00,5.00,2.00,5.00,7.00,4.50,4.00,4.00,2.00,339,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6143628,1.00,2.00,2.00,3.00,4.00,7.13,2.00,0.00,1.00,415,NULL,NULL,'IPIRANGA','S JOSÉ','SC',20470,325,NULL,NULL,NULL,NULL,NULL,2,1),(25,6143636,3.00,5.00,0.00,5.00,6.00,7.88,2.00,1.00,3.00,332,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',19390,56,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143644,3.00,3.00,2.00,5.00,4.00,8.25,1.00,3.00,1.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18363,370,NULL,NULL,NULL,NULL,NULL,2,1),(25,6143652,5.00,5.00,1.00,4.00,7.00,9.00,0.00,1.00,1.00,110,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',16604,84,NULL,NULL,NULL,NULL,NULL,2,1),(25,6143660,3.00,3.00,3.00,3.00,5.00,7.88,0.00,2.00,4.00,5,NULL,NULL,'ALDEOTA','FORTALEZA','CE',16767,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6143679,5.00,4.00,1.00,4.00,6.00,8.25,2.00,2.00,3.00,303,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',17903,776,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143687,2.00,5.00,3.00,3.00,8.00,10.13,3.00,1.00,3.00,220,NULL,601,'JARDIM ESPERANÇA','CANOINHAS','SC',11473,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6143695,7.00,6.00,4.00,7.00,9.00,8.25,3.00,5.00,8.00,303,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',2457,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6143709,4.00,3.00,1.00,4.00,6.00,10.88,1.00,2.00,4.00,216,NULL,215,'CENTRO','BURITAMA','SP',12051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143725,3.00,5.00,3.00,5.00,7.00,6.00,1.00,4.00,3.00,220,NULL,202,'SIQUEIRA CAMPOS','ARACAJU','SE',11251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143733,3.00,6.00,4.00,3.00,5.00,8.25,1.00,1.00,3.00,233,NULL,215,'CENTRO','JUNDIAÍ','SP',13536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143741,2.00,2.00,1.00,1.00,7.00,8.63,2.00,3.00,0.00,108,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',18248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143750,2.00,4.00,1.00,3.00,2.00,NULL,1.00,0.00,0.00,999,NULL,NULL,'FÁTIMA','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6143768,9.00,7.00,2.00,7.00,10.00,11.63,3.00,6.00,7.00,103,NULL,NULL,'JUVEVÊ','CURITIBA','PR',956,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6143776,5.00,2.00,2.00,1.00,8.00,7.50,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','CORUMBÁ','MS',19213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143792,2.00,3.00,2.00,4.00,5.00,9.38,1.00,5.00,2.00,303,NULL,NULL,'CARANDÁ BOSQUE','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143806,3.00,2.00,1.00,2.00,5.00,5.63,0.00,3.00,2.00,202,NULL,235,'CENTRO','BRAGA','RS',19701,621,NULL,469,NULL,NULL,NULL,2,1),(25,6143814,4.00,6.00,0.00,6.00,4.00,NULL,0.00,6.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143822,3.00,3.00,1.00,2.00,7.00,7.88,4.00,4.00,2.00,317,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',15190,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6143849,5.00,2.00,3.00,3.00,5.00,8.63,0.00,3.00,4.00,207,NULL,201,'ITAGUAÇU','FLORIANÓPOLIS','SC',16151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143857,4.00,7.00,0.00,5.00,6.00,8.63,5.00,6.00,7.00,5,NULL,NULL,'ESTREITO CANTO','FLORIANÓPOLIS','SC',6585,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6143865,5.00,5.00,2.00,3.00,7.00,5.25,3.00,2.00,2.00,653,NULL,655,'SÃO GABRIEL','PR GRANDE','SC',14023,123,NULL,NULL,NULL,NULL,NULL,2,15),(25,6143873,9.00,6.00,4.00,7.00,9.00,11.25,2.00,5.00,6.00,216,NULL,NULL,'JD SOROCABANO','SOROCABA','SP',2396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143890,4.00,4.00,0.00,1.00,4.00,7.88,1.00,2.00,0.00,103,NULL,NULL,'VERA CRUZ','CRICIÚMA','SC',19992,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6143903,7.00,6.00,3.00,5.00,9.00,8.63,1.00,4.00,7.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',6977,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6143911,3.00,5.00,3.00,1.00,3.00,6.75,3.00,0.00,3.00,336,NULL,NULL,'SETOR SUDOESTE','GOIÂNIA','GO',20803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143920,3.00,3.00,2.00,1.00,2.00,NULL,1.00,2.00,3.00,601,NULL,655,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6143938,7.00,5.00,4.00,6.00,10.00,NULL,0.00,5.00,5.00,303,NULL,NULL,'JARDIM TROPICAL','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143946,7.00,7.00,5.00,7.00,7.00,9.75,2.00,3.00,4.00,103,NULL,NULL,'DESVIO RIZZO','CAXIAS SUL','RS',4089,2111,NULL,NULL,NULL,NULL,NULL,2,9),(25,6143954,8.00,8.00,4.00,0.00,10.00,12.38,2.00,8.00,7.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',1882,NULL,NULL,NULL,NULL,NULL,NULL,3,8),(25,6143970,8.00,6.00,2.00,6.00,7.00,10.13,1.00,5.00,5.00,303,NULL,NULL,'JARDIM AMERICA','DOURADOS','MS',6711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6143989,4.00,4.00,2.00,2.00,7.00,7.88,1.00,2.00,2.00,601,NULL,NULL,'IRIRIU','JOINVILLE','SC',18431,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6143997,3.00,4.00,0.00,3.00,5.00,8.25,1.00,0.00,3.00,502,NULL,NULL,'PRAIA JOAO ROSA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144004,3.00,4.00,3.00,2.00,7.00,7.88,1.00,4.00,3.00,303,NULL,NULL,'CORAL','LAGES','SC',14262,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6144012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6144039,1.00,2.00,2.00,2.00,5.00,7.13,0.00,3.00,2.00,203,NULL,201,'LIDER','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6144047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6144055,2.00,4.00,0.00,3.00,4.00,6.38,1.00,3.00,0.00,319,NULL,NULL,'CENTRO','S PEDRO ALCÂNTARA','SC',19813,422,NULL,NULL,NULL,NULL,NULL,4,1),(25,6144063,3.00,3.00,1.00,3.00,4.00,6.00,2.00,3.00,1.00,453,NULL,NULL,'SAVEIRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144071,6.00,6.00,3.00,5.00,7.00,9.38,0.00,4.00,4.00,102,NULL,NULL,'NAÇÕES','TIMBÓ','SC',7566,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6144080,8.00,4.00,1.00,2.00,8.00,NULL,0.00,3.00,6.00,103,NULL,NULL,'IGAPO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6144098,7.00,6.00,2.00,4.00,9.00,7.13,3.00,4.00,4.00,319,NULL,NULL,'ROÇADO','S JOSÉ','SC',8369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144101,3.00,7.00,2.00,4.00,8.00,9.75,4.00,7.00,4.00,212,NULL,233,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',7233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144110,8.00,8.00,5.00,6.00,10.00,8.25,6.00,8.00,9.00,203,NULL,201,'AGRONOMICA','FLORIANÓPOLIS','SC',297,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6144128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'VARGEM GRANDE','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6144136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6144144,2.00,2.00,1.00,1.00,6.00,9.38,1.00,1.00,2.00,103,NULL,NULL,'SOSSEGO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6144152,3.00,3.00,2.00,4.00,5.00,9.00,3.00,5.00,3.00,426,NULL,429,'SERTÃO DO IMARUIM','S JOSÉ','SC',11981,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144160,8.00,8.00,8.00,7.00,8.00,10.50,6.00,9.00,8.00,103,NULL,NULL,'CENTRO','HORIZONTINA','RS',94,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6144179,1.00,2.00,4.00,3.00,5.00,9.38,0.00,3.00,1.00,207,NULL,NULL,'SANTANA','ARAÇATUBA','SP',17826,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6144187,6.00,6.00,3.00,6.00,8.00,8.25,4.00,6.00,6.00,319,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',5657,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6144195,5.00,8.00,3.00,7.00,7.00,10.88,1.00,8.00,5.00,319,NULL,NULL,'URCA','RIO JANEIRO','RJ',3381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6144209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'BOSQUE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6144217,2.00,2.00,1.00,2.00,4.00,NULL,0.00,1.00,0.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,220,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6144241,7.00,6.00,5.00,4.00,6.00,10.50,3.00,5.00,5.00,220,NULL,235,'CAMPO LIMPO','S PAULO','SP',4196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6144250,2.00,3.00,0.00,3.00,7.00,NULL,0.00,1.00,0.00,103,NULL,NULL,'CENTRO','BAL BARRA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6144284,3.00,3.00,1.00,2.00,3.00,9.00,1.00,2.00,2.00,201,NULL,207,'REAL PARQUE','S JOSÉ','SC',18682,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144292,8.00,7.00,4.00,5.00,10.00,10.50,3.00,8.00,7.00,103,NULL,NULL,'BELA VISTA','PTO ALEGRE','RS',1046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6144314,2.00,3.00,3.00,5.00,5.00,7.88,2.00,4.00,1.00,201,NULL,211,'MAGALHÃES','LAGUNA','SC',19204,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6144322,8.00,6.00,1.00,6.00,7.00,7.88,4.00,6.00,5.00,103,NULL,NULL,'JARDIM DAS PAINEIRAS','SANTIAGO','RS',4761,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6144330,6.00,6.00,2.00,7.00,10.00,9.38,1.00,5.00,6.00,415,NULL,NULL,'VILA ODIN','SOROCABA','SP',4416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6144357,4.00,5.00,2.00,5.00,8.00,6.00,1.00,2.00,2.00,333,NULL,NULL,'SAO JOAQUIM','ARAÇATUBA','SP',12093,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6144365,2.00,6.00,2.00,4.00,6.00,6.38,2.00,1.00,1.00,203,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',19786,1096,NULL,470,NULL,NULL,NULL,2,1),(25,6144381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VILA SANTA IZABEL','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6144390,2.00,5.00,0.00,3.00,8.00,8.63,1.00,3.00,3.00,3,NULL,NULL,'ÚLTIMO RIO','JACINTO MACHADO','SC',16270,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6144403,7.00,7.00,8.00,6.00,10.00,8.25,6.00,5.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',419,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144411,4.00,8.00,1.00,4.00,8.00,8.63,0.00,4.00,4.00,233,NULL,211,'CAMPINAS','S JOSÉ','SC',12320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6144420,4.00,3.00,0.00,4.00,7.00,7.50,0.00,1.00,1.00,302,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',20665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144438,3.00,5.00,2.00,4.00,5.00,7.13,4.00,4.00,5.00,208,NULL,NULL,'ALTO','MAFRA','SC',10743,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6144446,2.00,6.00,1.00,1.00,5.00,7.50,2.00,2.00,1.00,652,NULL,655,'POLÍCIA RODOVIÁRIA','ARARANGUÁ','SC',20194,90,NULL,135,NULL,NULL,NULL,2,15),(25,6144454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BROOKLIN','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6144462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'INTERIOR','STO EXPEDITO SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6144470,5.00,4.00,3.00,6.00,9.00,9.38,0.00,7.00,6.00,207,NULL,201,'CENTRO','MANDAGUARI','PR',6693,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144500,7.00,7.00,1.00,6.00,10.00,9.00,3.00,7.00,9.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',1840,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6144519,5.00,5.00,4.00,3.00,9.00,9.00,3.00,6.00,6.00,318,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',5517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144527,3.00,5.00,3.00,3.00,3.00,8.63,0.00,1.00,3.00,211,NULL,215,'CENTRO','PR GRANDE','SC',18194,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6144535,2.00,3.00,0.00,3.00,3.00,NULL,2.00,0.00,3.00,655,NULL,203,'SÃO FRANCISCO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144543,6.00,5.00,3.00,5.00,5.00,9.00,1.00,5.00,4.00,318,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',8944,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144551,3.00,6.00,4.00,3.00,6.00,8.25,1.00,4.00,5.00,302,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',12185,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144560,9.00,8.00,5.00,7.00,10.00,12.00,7.00,6.00,9.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',96,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6144578,4.00,5.00,0.00,2.00,5.00,8.63,2.00,0.00,4.00,223,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19703,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144586,4.00,6.00,0.00,3.00,6.00,9.38,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','ALTÔNIA','PR',16891,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6144608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6144616,3.00,2.00,0.00,4.00,7.00,10.13,1.00,1.00,1.00,103,NULL,NULL,'CENTRO','NOVA ARAÇÁ','RS',17236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144624,3.00,2.00,1.00,3.00,4.00,6.00,2.00,3.00,2.00,233,NULL,601,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144632,9.00,8.00,7.00,7.00,8.00,10.13,7.00,8.00,8.00,103,NULL,NULL,'JARDIM ALVORADA','CASCAVEL','PR',42,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6144640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6144659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SANTA CRUZ','BOITUVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6144667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'ASA SUL','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6144675,3.00,8.00,3.00,2.00,7.00,8.25,2.00,4.00,1.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',15302,538,NULL,NULL,NULL,NULL,NULL,4,1),(25,6144691,2.00,3.00,3.00,1.00,5.00,6.75,2.00,4.00,3.00,203,NULL,208,'CENTRO','S BENTO SUL','SC',19970,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6144705,5.00,6.00,3.00,7.00,4.00,9.75,3.00,3.00,3.00,999,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6144713,3.00,5.00,3.00,4.00,6.00,7.13,1.00,2.00,5.00,404,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',16062,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CENTRO','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6144730,5.00,5.00,0.00,2.00,8.00,9.00,1.00,4.00,0.00,103,NULL,NULL,'CAPELINHA','QUIRINÓPOLIS','GO',14147,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6144756,4.00,3.00,1.00,3.00,5.00,7.88,3.00,4.00,0.00,5,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',17110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6144772,8.00,7.00,4.00,7.00,10.00,12.75,1.00,7.00,8.00,103,NULL,NULL,'JARDIM UNIVERSITÁRIO','MARINGÁ','PR',1034,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6144780,3.00,4.00,1.00,4.00,5.00,9.75,2.00,4.00,1.00,601,NULL,201,'CENTRO','RIO NEGRINHO','SC',14287,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6144802,2.00,7.00,3.00,6.00,7.00,6.75,2.00,3.00,4.00,203,NULL,235,'CAMPECHE','FLORIANÓPOLIS','SC',12647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6144810,2.00,2.00,0.00,3.00,8.00,9.00,1.00,0.00,1.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',18628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6144829,7.00,8.00,3.00,7.00,8.00,9.38,3.00,6.00,4.00,235,NULL,203,'CAIU DO CÉU','OSÓRIO','RS',3485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6144837,1.00,6.00,2.00,5.00,2.00,NULL,0.00,0.00,1.00,340,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144845,2.00,3.00,0.00,3.00,7.00,NULL,1.00,2.00,0.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144853,7.00,4.00,3.00,6.00,8.00,9.38,3.00,4.00,2.00,103,NULL,NULL,'CASCATA','MARÍLIA','SP',8425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6144861,6.00,7.00,4.00,7.00,9.00,10.50,4.00,6.00,7.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',1762,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6144870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GRANJA OLGA II','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6144896,2.00,5.00,3.00,3.00,5.00,7.88,2.00,2.00,3.00,103,NULL,NULL,'JARDIM MARIA LUIZA','CASCAVEL','PR',15694,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6144900,3.00,4.00,1.00,4.00,7.00,NULL,2.00,2.00,0.00,337,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6144918,3.00,4.00,0.00,2.00,3.00,NULL,2.00,1.00,0.00,451,NULL,NULL,'SÃO BASILIO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6144934,1.00,1.00,3.00,3.00,1.00,NULL,2.00,2.00,2.00,425,NULL,423,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6144942,3.00,2.00,0.00,3.00,3.00,7.88,4.00,1.00,1.00,103,NULL,NULL,'ROÇADO','S JOSÉ','SC',19240,4612,NULL,NULL,NULL,NULL,NULL,2,1),(25,6144950,4.00,6.00,1.00,6.00,7.00,9.00,2.00,3.00,4.00,2,NULL,NULL,'CENTRO','PLANALTO','PR',9527,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6144969,5.00,5.00,1.00,5.00,7.00,6.75,2.00,2.00,5.00,102,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6144993,8.00,7.00,4.00,7.00,10.00,10.13,5.00,8.00,8.00,103,NULL,NULL,'ALTO BOQUEIRÃO','CURITIBA','PR',661,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6145019,4.00,4.00,1.00,6.00,6.00,10.13,0.00,1.00,3.00,203,NULL,208,'RIO NEGRO','S BENTO SUL','SC',16697,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6145027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM ARAXÁ','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6145043,5.00,4.00,4.00,2.00,4.00,7.88,3.00,1.00,3.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',15803,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6145051,2.00,3.00,2.00,2.00,5.00,6.38,3.00,3.00,3.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',20227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6145060,6.00,5.00,3.00,7.00,7.00,10.50,1.00,6.00,5.00,103,NULL,NULL,'CENTRO','TANGARÁ','SC',4468,2247,NULL,NULL,NULL,NULL,NULL,2,7),(25,6145078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'MUNICIPIOS','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6145086,7.00,6.00,5.00,5.00,8.00,8.25,2.00,8.00,7.00,103,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',2622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6145094,0.00,6.00,2.00,7.00,8.00,NULL,2.00,4.00,5.00,999,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6145108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6145116,2.00,3.00,1.00,3.00,4.00,8.63,0.00,1.00,2.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',18819,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6145124,5.00,6.00,3.00,5.00,7.00,8.63,2.00,5.00,4.00,203,NULL,235,'ITOUPAVA CENTRAL','BLUMENAU','SC',6494,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6145132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6145140,2.00,0.00,2.00,3.00,8.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'RAIA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(25,6145159,4.00,4.00,4.00,3.00,8.00,6.38,1.00,5.00,2.00,108,NULL,NULL,'SERRARIA','S JOSÉ','SC',15466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6145167,6.00,7.00,1.00,7.00,10.00,NULL,0.00,6.00,6.00,336,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6145175,1.00,5.00,1.00,5.00,4.00,NULL,0.00,0.00,4.00,207,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6145183,1.00,4.00,2.00,5.00,6.00,9.75,1.00,2.00,1.00,999,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6145205,2.00,4.00,0.00,3.00,5.00,NULL,1.00,1.00,0.00,327,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6145213,4.00,7.00,5.00,4.00,7.00,9.00,2.00,3.00,7.00,216,NULL,211,'CENTRO','S JOÃO BATISTA','SC',8290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6145230,3.00,1.00,1.00,1.00,7.00,11.25,2.00,3.00,2.00,225,NULL,NULL,'AREIAS','PAULO LOPES','SC',17643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6145248,4.00,3.00,2.00,2.00,3.00,7.13,0.00,4.00,3.00,108,NULL,NULL,'CENTRO','GAROPABA','SC',20886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6145256,9.00,6.00,8.00,7.00,10.00,11.63,4.00,8.00,9.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',113,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6145264,2.00,2.00,2.00,4.00,9.00,8.63,0.00,0.00,2.00,444,NULL,NULL,'CENTRO','S JOAQUIM','SC',19356,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6145299,8.00,8.00,8.00,7.00,9.00,9.00,6.00,7.00,8.00,202,NULL,201,'JARDINS','ARACAJU','SE',166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6145302,4.00,2.00,1.00,4.00,5.00,7.13,2.00,1.00,2.00,207,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',20868,1135,NULL,NULL,NULL,NULL,NULL,4,1),(25,6145310,4.00,7.00,0.00,6.00,6.00,9.75,1.00,4.00,1.00,109,NULL,NULL,'IPIRANGA','S JOSÉ','SC',14748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6145337,2.00,5.00,1.00,5.00,7.00,8.63,1.00,4.00,4.00,303,NULL,NULL,'TIMBAÚVA','GRAVATAÍ','RS',11880,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6145345,9.00,6.00,3.00,5.00,10.00,10.88,5.00,7.00,5.00,319,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',1817,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6145370,2.00,3.00,2.00,2.00,2.00,NULL,2.00,4.00,2.00,101,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6145388,6.00,2.00,0.00,4.00,6.00,NULL,3.00,4.00,4.00,201,NULL,202,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6145396,1.00,4.00,2.00,4.00,5.00,6.38,1.00,3.00,1.00,207,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',18563,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6145418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,214,'JD SANTOS REIS','PIRACAIA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6145434,8.00,4.00,0.00,5.00,4.00,NULL,2.00,0.00,3.00,102,NULL,NULL,'CENTRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6145450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SÃO GERALDO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6145469,5.00,7.00,2.00,6.00,10.00,5.63,2.00,2.00,4.00,425,NULL,429,'CENTRO','BAL CAMBORIÚ','SC',11140,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6145477,2.00,4.00,0.00,2.00,5.00,NULL,1.00,2.00,1.00,203,NULL,220,'CACUPE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6145485,8.00,6.00,5.00,6.00,8.00,12.38,4.00,6.00,8.00,103,NULL,NULL,'SETOR AEROPORTO','PTO NACIONAL','TO',741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6145493,1.00,3.00,0.00,1.00,4.00,9.00,1.00,4.00,2.00,655,NULL,208,'BARRANCEIRA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6145507,6.00,6.00,1.00,7.00,10.00,7.88,2.00,8.00,4.00,108,NULL,NULL,'JARDIM BOA VISTA','CAIEIRAS','SP',4495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6145515,9.00,6.00,5.00,7.00,7.00,10.88,3.00,5.00,6.00,104,NULL,NULL,'CENTRO','ITAIÓPOLIS','SC',2478,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6145523,2.00,4.00,3.00,6.00,4.00,7.88,1.00,3.00,2.00,101,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',17120,98,NULL,NULL,NULL,NULL,NULL,2,1),(25,6145531,3.00,7.00,5.00,3.00,9.00,9.00,2.00,2.00,1.00,601,NULL,207,'ROCIO GRANDE','S FRANCISCO SUL','SC',11322,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6145574,3.00,5.00,3.00,2.00,4.00,6.75,1.00,2.00,1.00,601,NULL,235,'ITAUM','JOINVILLE','SC',19580,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6145582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,212,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6145612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'PQ DAS LARANJEIRAS','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6145620,6.00,4.00,3.00,4.00,4.00,7.13,1.00,2.00,6.00,216,NULL,203,'JARDIM PROGRESSO','PARANAVAÍ','PR',10411,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6145647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'JARDIM DAS HORTENSIA','RIO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6145655,7.00,6.00,2.00,5.00,5.00,8.25,2.00,4.00,2.00,336,NULL,NULL,'AREA INDUSTRIAL','CORREIA PINTO','SC',10109,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6145663,4.00,5.00,2.00,3.00,5.00,8.63,0.00,4.00,0.00,301,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',17505,233,NULL,NULL,NULL,NULL,NULL,2,1),(25,6145671,3.00,3.00,0.00,2.00,7.00,NULL,2.00,6.00,2.00,211,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6145680,6.00,5.00,7.00,6.00,8.00,13.50,2.00,6.00,6.00,2,NULL,NULL,'VILA ALBERTINA','S PAULO','SP',2308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6145698,2.00,2.00,1.00,3.00,7.00,7.50,0.00,5.00,0.00,453,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',19672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6145701,6.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','RONDA ALTA','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(25,6145710,3.00,4.00,0.00,3.00,6.00,NULL,3.00,2.00,2.00,336,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6145728,3.00,0.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','RONDA ALTA','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(25,6145736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PETRÓPOLIS','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6145760,4.00,7.00,4.00,7.00,9.00,8.63,3.00,6.00,3.00,337,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6145787,4.00,5.00,1.00,5.00,6.00,8.25,1.00,1.00,2.00,3,NULL,NULL,'CENTRO','MARAVILHA','SC',17785,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6145795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO ANTÔNIO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6145809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAFEZAL II','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6145817,3.00,4.00,0.00,0.00,5.00,8.63,4.00,4.00,3.00,102,NULL,NULL,'MORADA DO SOL','MARAVILHA','SC',16374,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6145825,6.00,6.00,4.00,4.00,8.00,9.75,1.00,4.00,5.00,214,NULL,NULL,'CENTRO','LGA GRANDE','MG',6555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6145841,3.00,4.00,2.00,1.00,5.00,3.75,2.00,5.00,1.00,451,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6145850,7.00,7.00,4.00,7.00,7.00,10.88,1.00,4.00,6.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',3498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6145868,2.00,3.00,0.00,3.00,7.00,NULL,4.00,5.00,0.00,329,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6145876,1.00,4.00,0.00,2.00,4.00,0.00,0.00,0.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6145892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6145914,4.00,5.00,3.00,3.00,4.00,8.25,1.00,1.00,1.00,103,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',20149,4699,NULL,NULL,NULL,NULL,NULL,4,3),(25,6145922,7.00,5.00,1.00,2.00,7.00,6.00,1.00,5.00,3.00,202,NULL,201,'MAR GROSSO','LAGUNA','SC',17043,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6145949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,235,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6145957,4.00,8.00,1.00,7.00,8.00,6.75,1.00,2.00,6.00,340,NULL,NULL,'NOVA BRASILIA','JARAGUÁ SUL','SC',7023,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(25,6145965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'BORDA DO CAMPO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6145973,4.00,5.00,3.00,3.00,6.00,6.38,1.00,5.00,4.00,450,NULL,NULL,'VILA IPIRANGA','PTO ALEGRE','RS',17306,116,NULL,NULL,NULL,NULL,NULL,4,1),(25,6145981,5.00,5.00,5.00,3.00,6.00,7.13,3.00,7.00,6.00,203,NULL,214,'SANTA MÔNICA','FLORIANÓPOLIS','SC',6224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6145990,1.00,5.00,0.00,2.00,5.00,7.13,2.00,5.00,2.00,216,NULL,NULL,'MORRO GRANDE','S FRANCISCO SUL','SC',17735,570,NULL,NULL,NULL,NULL,NULL,4,8),(25,6146007,4.00,5.00,3.00,4.00,7.00,9.38,2.00,3.00,1.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12416,108,NULL,NULL,NULL,NULL,NULL,2,1),(25,6146015,4.00,5.00,2.00,5.00,6.00,7.13,2.00,2.00,3.00,5,NULL,NULL,'JARIDM IRAJÁ','RIBEIRÃO PRETO','SP',13863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146023,6.00,5.00,1.00,6.00,9.00,8.63,2.00,4.00,7.00,104,NULL,NULL,'BELA VISTA','RIO NEGRINHO','SC',6156,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6146031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'JD DOS FLAMBOYANTS','ARARAQUARA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6146058,3.00,2.00,2.00,5.00,5.00,9.75,1.00,2.00,1.00,324,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',16266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146066,6.00,6.00,1.00,3.00,7.00,7.88,0.00,3.00,2.00,336,NULL,NULL,'ÁGUA VERDE','JARAGUÁ SUL','SC',13202,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6146090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'SITIO SAO JOSE','VIAMÃO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6146104,3.00,3.00,0.00,3.00,3.00,NULL,0.00,1.00,3.00,109,NULL,NULL,'JARDIM SANTA MARIA','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6146112,5.00,6.00,1.00,5.00,5.00,10.50,0.00,2.00,3.00,103,NULL,NULL,'CENTRO','CLEVELÂNDIA','PR',10371,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6146139,6.00,6.00,2.00,6.00,7.00,9.38,3.00,8.00,4.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',5003,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6146147,2.00,0.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,425,NULL,429,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6146155,3.00,2.00,1.00,2.00,6.00,7.88,1.00,2.00,2.00,110,NULL,NULL,'PARAGUAI','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6146163,6.00,6.00,1.00,3.00,8.00,7.13,1.00,5.00,2.00,415,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',14639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146171,2.00,0.00,3.00,1.00,4.00,6.75,2.00,6.00,2.00,302,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6146210,6.00,6.00,2.00,3.00,8.00,9.00,2.00,7.00,6.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',6169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146228,5.00,5.00,4.00,7.00,9.00,8.25,1.00,6.00,5.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',4957,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6146236,8.00,5.00,5.00,6.00,11.00,10.13,2.00,4.00,7.00,108,NULL,NULL,'PARADA INGLESA','S PAULO','SP',2901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146244,4.00,3.00,1.00,5.00,8.00,7.50,2.00,5.00,2.00,301,NULL,NULL,'JARDIM PAULISTANO','S PAULO','SP',12175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146252,5.00,7.00,2.00,7.00,9.00,8.63,3.00,6.00,4.00,450,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146287,7.00,4.00,1.00,5.00,7.00,9.38,1.00,3.00,3.00,303,NULL,NULL,'OFICINAS','TUBARÃO','SC',11345,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6146295,5.00,3.00,2.00,4.00,8.00,9.75,3.00,4.00,1.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146309,8.00,7.00,3.00,3.00,9.00,9.75,2.00,5.00,7.00,103,NULL,NULL,'AEROPORTO','GUARANTÃ NORTE','MT',3333,1832,NULL,NULL,NULL,NULL,NULL,4,4),(25,6146317,6.00,6.00,0.00,6.00,5.00,NULL,0.00,6.00,2.00,303,NULL,NULL,'DOM FELICIANO','GRAVATAÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146333,7.00,6.00,2.00,5.00,9.00,10.88,1.00,5.00,5.00,103,NULL,NULL,'PARQUE AMÉRICA','S PAULO','SP',5895,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6146341,2.00,1.00,0.00,2.00,2.00,NULL,0.00,1.00,1.00,101,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6146368,4.00,4.00,3.00,5.00,5.00,7.50,4.00,3.00,2.00,238,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',12609,211,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146376,3.00,7.00,2.00,2.00,7.00,8.25,2.00,3.00,3.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',10903,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6146384,5.00,7.00,2.00,6.00,7.00,9.75,0.00,8.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146392,6.00,7.00,3.00,6.00,7.00,10.13,3.00,7.00,7.00,103,NULL,NULL,'VORSTADT','BLUMENAU','SC',2727,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6146406,8.00,7.00,5.00,5.00,8.00,8.63,3.00,7.00,5.00,233,NULL,214,'AGUA VERDE','CURITIBA','PR',2994,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6146414,2.00,4.00,1.00,4.00,7.00,7.88,1.00,4.00,1.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',19325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6146422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CAMPO DO GADO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6146430,6.00,6.00,2.00,7.00,9.00,9.38,2.00,4.00,5.00,303,NULL,NULL,'UNIVERSITÁRIO','CHAPECÓ','SC',7486,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6146457,3.00,3.00,4.00,5.00,8.00,7.88,1.00,2.00,5.00,203,NULL,214,'ITOUPAVAZINHA','BLUMENAU','SC',13681,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6146465,6.00,7.00,3.00,4.00,8.00,10.50,2.00,6.00,4.00,207,NULL,201,'BELENZINHO','S PAULO','SP',6309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146473,5.00,5.00,3.00,3.00,6.00,10.13,3.00,3.00,6.00,205,NULL,NULL,'JARDIM ZANELLATO','S JOSÉ','SC',10666,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6146481,4.00,3.00,2.00,2.00,3.00,4.50,1.00,4.00,1.00,103,NULL,NULL,'AGUAS CLARAS','BRUSQUE','SC',21256,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6146490,8.00,7.00,8.00,5.00,8.00,6.75,5.00,7.00,9.00,235,NULL,203,'BIGORRILHO','CURITIBA','PR',1100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'SANTANA','URUGUAIANA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6146511,2.00,6.00,3.00,2.00,4.00,6.38,4.00,5.00,2.00,304,NULL,NULL,'AREIAS','S JOSÉ','SC',17871,130,NULL,NULL,NULL,NULL,NULL,2,1),(25,6146520,4.00,5.00,2.00,6.00,6.00,6.75,2.00,6.00,3.00,3,NULL,NULL,'CENTRO','LAGES','SC',14211,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6146546,2.00,3.00,1.00,3.00,5.00,6.00,2.00,3.00,2.00,653,NULL,214,'MARIA CEU','CRICIÚMA','SC',20586,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6146554,5.00,4.00,2.00,4.00,8.00,9.75,0.00,3.00,4.00,207,NULL,212,'CAJURU','CURITIBA','PR',10538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146562,5.00,8.00,4.00,7.00,10.00,8.25,1.00,7.00,5.00,207,NULL,201,'CENTRO','LAGES','SC',3946,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6146570,2.00,4.00,2.00,6.00,5.00,7.88,0.00,2.00,2.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',19157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146589,2.00,4.00,2.00,2.00,5.00,7.13,3.00,2.00,2.00,654,NULL,NULL,'DIVINEIA','ARARANGUÁ','SC',20085,64,NULL,NULL,NULL,NULL,NULL,2,15),(25,6146597,2.00,4.00,3.00,5.00,7.00,7.88,3.00,2.00,2.00,109,NULL,NULL,'CENTRO','LAURENTINO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6146600,2.00,3.00,2.00,3.00,4.00,9.00,1.00,2.00,0.00,201,NULL,207,'RIO CAVEIRAS','BIGUAÇU','SC',19392,1594,NULL,1055,NULL,NULL,NULL,2,1),(25,6146619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,202,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6146635,4.00,4.00,3.00,4.00,6.00,8.25,0.00,4.00,4.00,340,NULL,NULL,'JARDIM AMÉRICA','S LEOPOLDO','RS',13125,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6146643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6146651,2.00,5.00,1.00,3.00,4.00,5.25,0.00,2.00,1.00,5,NULL,NULL,'BOSQUE DAS MANSOES','S JOSÉ','SC',21089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6146678,4.00,4.00,0.00,4.00,8.00,10.88,3.00,5.00,3.00,444,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',13129,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6146686,4.00,2.00,1.00,3.00,6.00,7.88,1.00,0.00,2.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',20550,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6146694,1.00,2.00,1.00,2.00,3.00,3.38,2.00,4.00,1.00,234,NULL,NULL,'COSTA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6146708,3.00,4.00,1.00,3.00,4.00,NULL,1.00,0.00,0.00,5,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6146716,4.00,4.00,1.00,4.00,4.00,8.63,2.00,3.00,1.00,102,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6146724,7.00,5.00,3.00,4.00,4.00,6.00,0.00,3.00,4.00,103,NULL,NULL,'BATEL','CURITIBA','PR',12042,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6146732,4.00,7.00,2.00,7.00,6.00,7.13,2.00,4.00,2.00,5,NULL,NULL,'JOÃO ZACCO','PLANALTO','PR',11801,424,NULL,NULL,NULL,NULL,NULL,4,8),(25,6146740,5.00,6.00,2.00,4.00,7.00,7.50,1.00,3.00,2.00,340,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',14133,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6146775,7.00,6.00,2.00,1.00,7.00,7.13,3.00,4.00,4.00,216,NULL,235,'PALMAS DO TREMEMBÉ','S PAULO','SP',9322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146783,6.00,3.00,3.00,5.00,5.00,7.50,3.00,5.00,7.00,103,NULL,NULL,'MORADA DO OURO','CUIABÁ','MT',8200,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6146791,1.00,3.00,2.00,4.00,4.00,8.25,2.00,1.00,1.00,502,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',21188,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6146813,2.00,4.00,0.00,0.00,2.00,NULL,2.00,0.00,3.00,654,NULL,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6146830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6146856,1.00,3.00,1.00,2.00,5.00,7.50,2.00,0.00,0.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',21714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146864,6.00,4.00,1.00,5.00,6.00,NULL,0.00,5.00,2.00,9,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6146872,6.00,5.00,2.00,5.00,7.00,9.38,0.00,6.00,6.00,103,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',7326,3029,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146880,5.00,6.00,3.00,6.00,8.00,9.38,2.00,7.00,6.00,102,NULL,NULL,'CENTRO','PALHOÇA','SC',5401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146899,2.00,4.00,1.00,3.00,8.00,5.63,1.00,2.00,1.00,208,NULL,238,'CARIANOS','FLORIANÓPOLIS','SC',20276,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6146902,1.00,6.00,2.00,4.00,4.00,8.25,1.00,5.00,5.00,216,NULL,215,'RIO GRANDE','PALHOÇA','SC',17155,553,NULL,274,NULL,NULL,NULL,2,1),(25,6146910,6.00,6.00,3.00,6.00,8.00,9.00,2.00,5.00,3.00,303,NULL,NULL,'CENTRO','JOINVILLE','SC',6180,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6146929,2.00,5.00,1.00,3.00,9.00,10.13,3.00,4.00,2.00,103,NULL,NULL,'CAMPO LENÇOL','RIO NEGRINHO','SC',14538,4186,NULL,NULL,NULL,NULL,NULL,4,8),(25,6146937,4.00,6.00,3.00,6.00,8.00,8.25,2.00,2.00,6.00,103,NULL,NULL,'SETOR SUL','GOIÂNIA','GO',10454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146953,6.00,7.00,4.00,6.00,9.00,9.00,1.00,3.00,3.00,415,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',6568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146961,1.00,6.00,0.00,1.00,5.00,6.00,0.00,1.00,1.00,999,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146970,2.00,4.00,4.00,5.00,3.00,7.50,1.00,2.00,3.00,332,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',19608,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6146988,5.00,3.00,3.00,5.00,7.00,7.50,0.00,4.00,6.00,203,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',10932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6146996,8.00,6.00,5.00,5.00,7.00,9.00,5.00,7.00,7.00,108,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',1794,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6147003,4.00,5.00,4.00,4.00,6.00,12.00,2.00,5.00,2.00,212,NULL,213,'CENTRO','TUBARÃO','SC',9676,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6147011,6.00,7.00,6.00,5.00,9.00,10.88,2.00,6.00,7.00,207,NULL,215,'S ANTONIO DE LISBOA','FLORIANÓPOLIS','SC',2316,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6147020,4.00,4.00,1.00,1.00,5.00,6.75,0.00,1.00,3.00,450,NULL,NULL,'CENTRO','SOCORRO','SP',21171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147038,5.00,7.00,3.00,5.00,8.00,10.88,3.00,7.00,4.00,318,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5794,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147046,7.00,9.00,2.00,5.00,8.00,7.88,3.00,5.00,4.00,207,NULL,211,'JARDIM TOPAZIO','S JOSÉ CAMPOS','SP',5143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147054,7.00,7.00,6.00,6.00,6.00,10.13,2.00,8.00,8.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',1879,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6147062,3.00,2.00,0.00,2.00,8.00,NULL,1.00,1.00,2.00,220,NULL,201,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6147089,5.00,1.00,0.00,1.00,3.00,7.13,3.00,1.00,1.00,208,NULL,238,'COSTEIRA','FLORIANÓPOLIS','SC',21634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO SEBASTIAO','PIRES RIO','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6147135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6147143,2.00,1.00,1.00,1.00,4.00,9.00,0.00,0.00,1.00,5,NULL,NULL,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ESPERANÇA','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6147160,3.00,6.00,4.00,3.00,9.00,10.50,5.00,6.00,4.00,212,NULL,201,'ROSÁRIO','STA MARIA','RS',5004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147178,4.00,8.00,2.00,4.00,7.00,8.63,0.00,5.00,2.00,102,NULL,NULL,'FREI BRUNO','JOAÇABA','SC',10838,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6147194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6147224,5.00,6.00,4.00,6.00,11.00,12.75,1.00,6.00,5.00,336,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',3075,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147232,4.00,4.00,3.00,5.00,7.00,7.88,1.00,2.00,6.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',14235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147240,3.00,4.00,2.00,2.00,7.00,8.63,2.00,2.00,3.00,999,NULL,NULL,'JARDIM EUCALIPTOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147259,1.00,6.00,4.00,4.00,7.00,8.63,3.00,4.00,2.00,317,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',14716,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147267,5.00,6.00,2.00,4.00,4.00,8.25,4.00,3.00,3.00,429,NULL,426,'KOBRASOL','S JOSÉ','SC',12012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147275,6.00,5.00,4.00,5.00,9.00,9.00,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','ARAPONGAS','PR',10033,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6147283,1.00,4.00,1.00,1.00,6.00,7.50,2.00,3.00,3.00,303,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',18586,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6147291,4.00,3.00,2.00,1.00,5.00,7.50,0.00,1.00,1.00,450,NULL,NULL,'CENTRO','ITANHAÉM','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147305,2.00,4.00,1.00,2.00,4.00,6.38,1.00,4.00,3.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',20967,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147321,2.00,2.00,5.00,4.00,5.00,8.63,1.00,0.00,3.00,207,NULL,201,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',19741,1075,NULL,1616,NULL,NULL,NULL,2,1),(25,6147330,8.00,7.00,1.00,5.00,9.00,6.75,0.00,5.00,3.00,201,NULL,601,'FLORESTA','JOINVILLE','SC',8470,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6147348,3.00,4.00,2.00,3.00,7.00,9.00,2.00,5.00,2.00,338,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',16738,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147356,7.00,2.00,5.00,5.00,7.00,8.63,3.00,6.00,4.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',7235,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6147364,4.00,3.00,2.00,4.00,8.00,7.88,1.00,1.00,2.00,202,NULL,220,'VILA ESTRELA','AMAMBAÍ','MS',18253,568,NULL,460,NULL,NULL,NULL,2,1),(25,6147372,4.00,6.00,1.00,3.00,4.00,8.25,0.00,1.00,5.00,234,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6147399,5.00,5.00,2.00,5.00,7.00,7.50,0.00,2.00,3.00,103,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',12901,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6147402,4.00,5.00,2.00,1.00,5.00,9.38,0.00,5.00,8.00,215,NULL,233,'CENTRO','PASSO FUNDO','RS',10378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147410,2.00,3.00,1.00,6.00,3.00,NULL,2.00,3.00,0.00,999,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6147429,6.00,4.00,6.00,6.00,9.00,7.50,3.00,5.00,6.00,201,NULL,202,'VILA HELENA','TABOÃO SERRA','SP',3045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147445,2.00,2.00,1.00,0.00,6.00,7.50,1.00,1.00,2.00,207,NULL,215,'ESTREITO','FLORIANÓPOLIS','SC',20300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147453,4.00,3.00,1.00,5.00,8.00,8.25,1.00,5.00,2.00,104,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147488,3.00,4.00,1.00,5.00,7.00,10.50,4.00,4.00,3.00,420,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13313,125,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147496,6.00,5.00,3.00,6.00,7.00,8.25,1.00,6.00,5.00,211,NULL,201,'CENTRO FLORIANÓPOLIS','FLORIANÓPOLIS','SC',7711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147518,5.00,8.00,4.00,7.00,6.00,9.00,1.00,4.00,6.00,201,NULL,203,'JARDIM ARATIMBÓ','UMUARAMA','PR',4965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6147534,3.00,5.00,2.00,4.00,4.00,8.63,2.00,3.00,1.00,303,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',16136,720,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147542,8.00,7.00,4.00,5.00,9.00,9.75,3.00,9.00,8.00,303,NULL,NULL,'FLORADAS DE SÃO JOSÉ','S JOSÉ CAMPOS','SP',1107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147550,8.00,6.00,5.00,8.00,7.00,6.38,6.00,8.00,9.00,220,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',1308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'JARDIM FERRARI','ITAPEVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6147577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6147585,0.00,2.00,2.00,1.00,6.00,3.38,3.00,5.00,1.00,444,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147593,6.00,8.00,3.00,7.00,9.00,9.75,2.00,6.00,6.00,415,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',4125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'JARDIM DO SALSO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6147615,1.00,3.00,2.00,1.00,2.00,NULL,2.00,1.00,1.00,303,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147623,8.00,7.00,3.00,6.00,9.00,9.75,4.00,7.00,9.00,103,NULL,NULL,'PERDIZES','S PAULO','SP',903,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6147658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SAN REMO','VOTUPORANGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6147666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'CONJUNTO LIBRA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6147674,7.00,3.00,7.00,4.00,7.00,12.00,1.00,6.00,8.00,103,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',3416,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6147690,6.00,7.00,2.00,4.00,10.00,4.50,2.00,6.00,4.00,103,NULL,NULL,'SAGRADO','LAGES','SC',11105,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6147704,4.00,4.00,3.00,5.00,4.00,6.00,2.00,4.00,2.00,213,NULL,202,'PARQUE SÃO VICENTE','S VICENTE','SP',13470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147712,4.00,5.00,5.00,7.00,8.00,9.38,2.00,3.00,4.00,303,NULL,NULL,'ALTO PETRÓPOLIS','PTO ALEGRE','RS',6328,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147720,3.00,5.00,3.00,5.00,9.00,6.75,3.00,3.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147739,3.00,4.00,2.00,4.00,5.00,9.00,2.00,3.00,3.00,110,NULL,NULL,'MAGUALHÃES','LAGUNA','SC',15638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147747,5.00,3.00,2.00,5.00,6.00,10.50,3.00,3.00,2.00,238,NULL,207,'COQUEIROS','FLORIANÓPOLIS','SC',11271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147755,5.00,6.00,2.00,5.00,6.00,9.75,2.00,3.00,1.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11504,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147771,1.00,4.00,2.00,4.00,2.00,NULL,0.00,2.00,4.00,225,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147780,2.00,2.00,1.00,0.00,4.00,6.75,1.00,0.00,2.00,654,NULL,NULL,'CENTRO','CORREIA PINTO','SC',21772,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6147798,7.00,6.00,1.00,3.00,7.00,12.00,1.00,4.00,4.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',7664,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6147828,7.00,5.00,4.00,5.00,8.00,7.50,1.00,4.00,7.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',5838,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6147836,8.00,5.00,2.00,8.00,11.00,8.63,5.00,8.00,8.00,103,NULL,NULL,'JARDIM MONTREAL','LONDRINA','PR',592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147844,1.00,3.00,3.00,2.00,3.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6147879,9.00,8.00,9.00,7.00,10.00,13.13,6.00,7.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147887,3.00,3.00,1.00,4.00,6.00,7.50,1.00,1.00,5.00,999,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6147895,2.00,4.00,0.00,2.00,4.00,4.88,1.00,3.00,1.00,303,NULL,NULL,'CENTRO','ANCHIETA','SC',20678,852,NULL,NULL,NULL,NULL,NULL,4,4),(25,6147917,1.00,5.00,3.00,4.00,5.00,8.25,3.00,4.00,2.00,444,NULL,NULL,'ARMAÇÃO DO PANTANO D','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'ESTRELA','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6147950,3.00,7.00,0.00,5.00,8.00,7.88,3.00,3.00,2.00,9,NULL,NULL,'VILA CLEMENTINO','S PAULO','SP',11694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147968,5.00,5.00,1.00,6.00,7.00,9.00,2.00,2.00,6.00,103,NULL,NULL,'CENTRO','CONSTANTINA','RS',7963,3176,NULL,NULL,NULL,NULL,NULL,2,4),(25,6147976,7.00,6.00,7.00,6.00,9.00,8.63,4.00,9.00,8.00,203,NULL,214,'SERRINHA','FLORIANÓPOLIS','SC',888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6147984,8.00,8.00,4.00,7.00,10.00,7.88,5.00,6.00,8.00,103,NULL,NULL,'CENTRO','ESTEIO','RS',1635,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6147992,5.00,6.00,4.00,6.00,10.00,9.75,4.00,5.00,7.00,103,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',3541,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6148000,6.00,6.00,2.00,4.00,6.00,7.13,2.00,7.00,3.00,453,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',11827,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6148018,3.00,4.00,2.00,1.00,7.00,NULL,0.00,5.00,1.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148026,6.00,4.00,5.00,6.00,8.00,9.75,4.00,1.00,4.00,203,NULL,202,'ITACORUBI','FLORIANÓPOLIS','SC',7622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148034,2.00,3.00,1.00,3.00,4.00,8.63,1.00,4.00,3.00,9,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',17439,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6148042,3.00,3.00,4.00,2.00,4.00,10.50,0.00,2.00,1.00,316,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',20049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6148050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6148069,6.00,6.00,2.00,7.00,8.00,8.25,2.00,6.00,4.00,653,NULL,216,'RIO MAINA','CRICIÚMA','SC',7657,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6148077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6148085,6.00,7.00,1.00,4.00,6.00,7.50,2.00,5.00,2.00,103,NULL,NULL,'ALVORADA','XAXIM','SC',10752,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6148093,1.00,0.00,1.00,3.00,6.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SANTA BARBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(25,6148107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6148115,7.00,5.00,4.00,7.00,9.00,NULL,0.00,7.00,5.00,303,NULL,NULL,'VILA HARMONIA','ARARAQUARA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148123,3.00,3.00,0.00,4.00,4.00,7.13,1.00,5.00,0.00,420,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',18891,177,NULL,NULL,NULL,NULL,NULL,2,1),(25,6148131,5.00,7.00,3.00,4.00,8.00,6.38,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',8968,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6148140,4.00,4.00,2.00,4.00,8.00,6.75,2.00,4.00,3.00,108,NULL,NULL,'JARDIM LEBLOM','CPO GRANDE','MS',12263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6148158,7.00,5.00,5.00,4.00,8.00,9.75,3.00,5.00,6.00,103,NULL,NULL,'JARDIM IPIRANGA','PTO ALEGRE','RS',3977,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6148174,8.00,8.00,2.00,7.00,8.00,10.13,2.00,4.00,5.00,216,NULL,215,'COLONINHA','GASPAR','SC',2625,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6148182,2.00,4.00,4.00,3.00,3.00,5.63,1.00,3.00,2.00,653,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',19729,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6148190,8.00,8.00,4.00,5.00,10.00,9.38,2.00,5.00,5.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',3260,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6148212,2.00,3.00,0.00,4.00,4.00,7.13,1.00,2.00,2.00,203,NULL,220,'CANASVIEIRAS','FLORIANÓPOLIS','SC',20961,1142,NULL,502,NULL,NULL,NULL,2,1),(25,6148220,4.00,5.00,2.00,6.00,5.00,7.13,1.00,3.00,3.00,208,NULL,213,'ESTREITO','FLORIANÓPOLIS','SC',16047,375,NULL,235,NULL,NULL,NULL,4,1),(25,6148239,3.00,3.00,0.00,1.00,5.00,4.88,2.00,0.00,1.00,216,NULL,207,'JD ELIZA','FOZ IGUAÇU','PR',21217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148247,8.00,8.00,5.00,8.00,9.00,12.75,2.00,6.00,8.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',396,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6148255,2.00,2.00,1.00,1.00,4.00,3.75,1.00,4.00,1.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6148263,7.00,5.00,4.00,6.00,10.00,9.38,3.00,6.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',1811,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6148271,4.00,5.00,2.00,4.00,7.00,7.88,3.00,3.00,1.00,201,NULL,207,'CARVOEIRA','FLORIANÓPOLIS','SC',14790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148280,5.00,3.00,1.00,3.00,4.00,5.63,2.00,2.00,1.00,103,NULL,NULL,'SEM BAIRRO','BOM JESUS','SC',16977,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6148298,5.00,3.00,4.00,1.00,6.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6148301,2.00,4.00,1.00,2.00,4.00,7.88,2.00,1.00,2.00,102,NULL,NULL,'ESPERANÇA','LAGUNA','SC',21186,270,NULL,NULL,NULL,NULL,NULL,2,1),(25,6148310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE ALVORADA','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6148336,8.00,7.00,3.00,4.00,10.00,NULL,4.00,9.00,7.00,103,NULL,NULL,'CANTEGRIL','VIAMÃO','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(25,6148344,6.00,6.00,4.00,5.00,8.00,10.50,4.00,6.00,7.00,501,NULL,NULL,'SANTO ANTÔNIO','FLORIANÓPOLIS','SC',3057,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6148352,5.00,6.00,3.00,6.00,9.00,9.38,3.00,7.00,7.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',2736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148360,5.00,6.00,4.00,5.00,8.00,10.88,3.00,6.00,6.00,303,NULL,NULL,'MINA BRASIL','CRICIÚMA','SC',4162,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6148379,3.00,3.00,2.00,2.00,3.00,5.63,3.00,5.00,3.00,324,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',19495,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6148387,2.00,4.00,1.00,2.00,4.00,8.25,0.00,3.00,3.00,999,NULL,NULL,'SÃO CRISTOVÃO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6148395,5.00,3.00,3.00,0.00,5.00,9.00,0.00,1.00,5.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',19351,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6148417,3.00,2.00,2.00,2.00,7.00,6.38,5.00,1.00,3.00,203,NULL,201,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148425,7.00,7.00,6.00,5.00,9.00,7.88,4.00,5.00,7.00,216,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',3592,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6148433,7.00,6.00,5.00,6.00,8.00,9.00,6.00,6.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',1542,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6148450,0.00,3.00,0.00,0.00,2.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148484,2.00,3.00,2.00,4.00,2.00,NULL,2.00,1.00,0.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6148492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'TERRAS DE PIRACICABA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6148506,5.00,5.00,2.00,5.00,6.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6148530,5.00,8.00,4.00,7.00,8.00,5.63,3.00,5.00,2.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',8146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148549,4.00,2.00,1.00,4.00,5.00,9.00,1.00,0.00,2.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',17040,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6148557,4.00,7.00,3.00,5.00,6.00,7.50,1.00,6.00,4.00,207,NULL,211,'CANASVIEIRAS','FLORIANÓPOLIS','SC',8814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6148565,6.00,6.00,5.00,5.00,7.00,8.63,2.00,6.00,5.00,201,NULL,601,'SANTA MÔNICA','FLORIANÓPOLIS','SC',4548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148581,5.00,5.00,1.00,6.00,8.00,6.38,2.00,3.00,4.00,104,NULL,NULL,'TERESÓPOLIS','PTO ALEGRE','RS',9961,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6148590,6.00,3.00,3.00,3.00,6.00,9.00,3.00,3.00,1.00,238,NULL,202,'INTERIOR','MARIÓPOLIS','PR',13242,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6148603,1.00,4.00,0.00,2.00,3.00,5.63,4.00,3.00,6.00,303,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6148611,6.00,5.00,5.00,6.00,8.00,8.25,0.00,6.00,3.00,238,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',7615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148620,4.00,5.00,1.00,4.00,6.00,10.88,1.00,1.00,3.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148638,4.00,7.00,1.00,2.00,5.00,11.25,2.00,1.00,2.00,415,NULL,NULL,'CENTRO','FRAIBURGO','SC',14266,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6148654,6.00,6.00,1.00,7.00,6.00,7.50,0.00,2.00,4.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148662,6.00,7.00,6.00,6.00,4.00,10.50,6.00,6.00,6.00,104,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',3027,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6148670,0.00,3.00,0.00,2.00,2.00,NULL,2.00,4.00,3.00,9,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6148697,4.00,5.00,2.00,6.00,7.00,7.50,3.00,5.00,2.00,415,NULL,NULL,'ARIRIÚ DA FORMIGA','PALHOÇA','SC',11930,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6148719,3.00,5.00,2.00,5.00,9.00,10.88,2.00,3.00,4.00,233,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6148727,4.00,4.00,1.00,3.00,6.00,5.63,2.00,2.00,1.00,999,NULL,NULL,'BARRANCEIRA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6148735,9.00,7.00,5.00,6.00,8.00,8.25,3.00,7.00,8.00,103,NULL,NULL,'ZONA DOIS','CIANORTE','PR',1231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148751,8.00,5.00,6.00,3.00,7.00,9.00,4.00,5.00,6.00,203,NULL,202,'CENTRO','CURITIBA','PR',3437,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6148760,5.00,4.00,2.00,6.00,6.00,8.25,2.00,2.00,1.00,203,NULL,214,'JOÃO PAULO','FLORIANÓPOLIS','SC',14875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148778,4.00,5.00,4.00,6.00,7.00,7.50,1.00,3.00,0.00,109,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6148786,7.00,4.00,1.00,2.00,7.00,7.50,0.00,3.00,7.00,211,NULL,216,'VILA SÃO FRANCISCO','S PAULO','SP',10162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148794,2.00,4.00,1.00,5.00,8.00,7.13,2.00,6.00,4.00,452,NULL,NULL,'MARECHAL RONDON','CANOAS','RS',11911,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6148808,3.00,6.00,0.00,4.00,6.00,6.75,3.00,5.00,2.00,203,NULL,214,'JARDIM PAULISTA','CUIABÁ','MT',12889,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6148816,7.00,6.00,2.00,7.00,10.00,10.13,1.00,5.00,6.00,103,NULL,NULL,'JOSÉ MENINO','SANTOS','SP',2343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148824,5.00,6.00,1.00,5.00,8.00,8.63,0.00,7.00,5.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148832,3.00,5.00,0.00,2.00,6.00,8.25,2.00,1.00,1.00,453,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',18100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148840,2.00,3.00,2.00,4.00,4.00,7.50,2.00,2.00,1.00,301,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',18479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6148875,6.00,5.00,3.00,5.00,8.00,9.38,1.00,5.00,5.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',6724,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6148883,0.00,6.00,0.00,3.00,6.00,NULL,3.00,0.00,2.00,207,NULL,212,'CAMIPNAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148891,8.00,6.00,3.00,7.00,9.00,9.00,1.00,7.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148905,5.00,4.00,2.00,2.00,5.00,9.38,0.00,4.00,0.00,999,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6148913,6.00,4.00,2.00,5.00,5.00,7.88,2.00,1.00,2.00,101,NULL,NULL,'VILA PARAÍSO','JAGUARUNA','SC',17806,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6148921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6148930,4.00,4.00,3.00,5.00,7.00,8.63,2.00,1.00,1.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',16467,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6148948,3.00,5.00,3.00,4.00,8.00,8.63,3.00,4.00,5.00,102,NULL,NULL,'BOM JESUS','RIO NEGRO','PR',8656,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6148956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'HIGIENÓPOIIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6148964,6.00,4.00,1.00,5.00,9.00,10.50,1.00,4.00,3.00,104,NULL,NULL,'SAO LUIZ','CRICIÚMA','SC',8367,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6148972,7.00,7.00,7.00,5.00,10.00,10.88,4.00,5.00,8.00,103,NULL,NULL,'CENTRO','GUAÍBA','RS',822,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6148980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6148999,5.00,5.00,3.00,6.00,6.00,8.25,1.00,5.00,5.00,201,NULL,207,'COLONIA CASTROLANDA','CASTRO','PR',8885,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6149006,3.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,652,NULL,238,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(25,6149022,5.00,0.00,0.00,7.00,9.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6149030,3.00,3.00,2.00,6.00,9.00,9.38,3.00,2.00,0.00,104,NULL,NULL,'TREZE DE JULHO','ARACAJU','SE',12857,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6149049,5.00,5.00,3.00,6.00,9.00,10.13,0.00,4.00,7.00,103,NULL,NULL,'JARDIM TÊXTIL','S PAULO','SP',4945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149057,5.00,5.00,3.00,3.00,6.00,7.13,3.00,5.00,4.00,202,NULL,655,'PARADA INGLESA','S PAULO','SP',9977,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6149065,1.00,2.00,1.00,4.00,4.00,6.38,0.00,3.00,2.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149073,2.00,5.00,2.00,2.00,7.00,6.38,1.00,3.00,0.00,316,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149090,8.00,8.00,6.00,7.00,10.00,8.63,4.00,7.00,9.00,103,NULL,NULL,'VILA OPERÁRIA','MARINGÁ','PR',464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149103,4.00,2.00,1.00,2.00,3.00,8.25,0.00,3.00,2.00,110,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',21095,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6149120,3.00,5.00,2.00,5.00,7.00,7.88,0.00,4.00,3.00,103,NULL,NULL,'SÃO LUIS','CURITIBANOS','SC',13006,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6149146,5.00,0.00,3.00,4.00,7.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'DAS NAÇOES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,6),(25,6149154,3.00,4.00,3.00,5.00,3.00,NULL,0.00,3.00,5.00,999,NULL,NULL,'NOSSA SRA DE FATIMA','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6149170,6.00,6.00,1.00,4.00,9.00,9.00,2.00,4.00,2.00,303,NULL,NULL,'CENTRO','LAGES','SC',8186,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6149189,1.00,3.00,0.00,4.00,4.00,9.75,2.00,0.00,1.00,317,NULL,NULL,'VENEZA','XANXERÊ','SC',21167,200,NULL,NULL,NULL,NULL,NULL,4,4),(25,6149197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6149200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','MARIÓPOLIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6149219,3.00,3.00,0.00,4.00,2.00,NULL,1.00,4.00,3.00,303,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6149227,4.00,7.00,1.00,6.00,8.00,9.75,1.00,7.00,5.00,654,NULL,NULL,'BARRO VERMELHO','ORLEANS','SC',6751,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6149235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'OPERÁRIA NOVA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6149251,8.00,6.00,4.00,7.00,10.00,10.50,4.00,6.00,9.00,103,NULL,NULL,'BARCELONA','S CAETANO SUL','SP',945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149260,5.00,6.00,4.00,1.00,5.00,8.25,1.00,2.00,3.00,201,NULL,203,'UBERABA','CURITIBA','PR',13839,1180,NULL,881,NULL,NULL,NULL,2,8),(25,6149278,4.00,6.00,2.00,4.00,6.00,8.63,0.00,5.00,3.00,450,NULL,NULL,'TREMEMBE','S PAULO','SP',11810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149286,7.00,5.00,1.00,4.00,7.00,8.25,0.00,6.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',7613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6149316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6149332,5.00,6.00,3.00,7.00,6.00,11.63,2.00,2.00,6.00,108,NULL,NULL,'GUARAITUBA','COLOMBO','PR',5979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149340,5.00,5.00,2.00,6.00,8.00,10.13,1.00,4.00,4.00,420,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149359,5.00,5.00,4.00,7.00,8.00,8.63,3.00,5.00,6.00,303,NULL,NULL,'CENTRO','JOAÇABA','SC',4333,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6149367,9.00,7.00,3.00,7.00,10.00,10.88,6.00,8.00,9.00,103,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',124,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6149375,5.00,4.00,2.00,4.00,5.00,8.63,2.00,5.00,1.00,9,NULL,NULL,'VILA NOVA','MAFRA','SC',15543,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6149383,6.00,9.00,5.00,7.00,9.00,8.25,4.00,7.00,6.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149391,1.00,0.00,2.00,1.00,5.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6149405,2.00,3.00,2.00,5.00,4.00,6.75,4.00,2.00,2.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',19782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6149413,5.00,6.00,3.00,7.00,9.00,10.88,5.00,7.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149421,4.00,5.00,2.00,5.00,6.00,6.00,2.00,5.00,3.00,201,NULL,220,'KOBRASOL','S JOSÉ','SC',15935,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6149430,3.00,4.00,4.00,2.00,7.00,6.75,1.00,4.00,1.00,212,NULL,235,'VILA MORAES','OURINHOS','SP',14865,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6149448,4.00,7.00,2.00,3.00,6.00,7.88,2.00,5.00,1.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',12984,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6149456,6.00,5.00,2.00,5.00,8.00,9.75,1.00,1.00,1.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',13123,239,NULL,NULL,NULL,NULL,NULL,2,1),(25,6149464,2.00,4.00,2.00,6.00,8.00,10.88,3.00,2.00,2.00,208,NULL,NULL,'CENTRO','S LEOPOLDO','RS',13857,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6149472,3.00,3.00,1.00,1.00,2.00,NULL,1.00,1.00,2.00,5,NULL,NULL,'PROGRESSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6149480,5.00,4.00,4.00,4.00,5.00,7.13,3.00,2.00,3.00,453,NULL,NULL,'AMERICA','JOINVILLE','SC',11103,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6149499,2.00,2.00,0.00,2.00,2.00,NULL,1.00,4.00,0.00,203,NULL,214,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6149502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'REVÓLVER','PRES GETÚLIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6149529,7.00,6.00,5.00,5.00,10.00,10.13,2.00,8.00,4.00,329,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',3404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6149561,8.00,7.00,4.00,7.00,8.00,9.00,6.00,6.00,8.00,201,NULL,203,'COSTA E SILVA','JOINVILLE','SC',806,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6149570,3.00,6.00,2.00,3.00,5.00,7.13,6.00,4.00,2.00,201,NULL,235,'PRAIA DO ANTENOR','GOV CELSO RAMOS','SC',12687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149588,7.00,5.00,4.00,5.00,7.00,7.50,3.00,7.00,6.00,203,NULL,202,'JARDIM IPIRANGA','MARINGÁ','PR',4900,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6149596,7.00,5.00,4.00,6.00,9.00,NULL,0.00,6.00,5.00,103,NULL,NULL,'VILA ARICANDUVA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149600,3.00,2.00,2.00,2.00,4.00,8.25,1.00,2.00,2.00,201,NULL,207,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SEMINÁRIO','TAIÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6149626,2.00,1.00,1.00,3.00,5.00,6.75,2.00,4.00,1.00,502,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6149634,3.00,4.00,3.00,4.00,7.00,7.50,3.00,3.00,1.00,214,NULL,212,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'INTERIOR','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6149650,8.00,5.00,5.00,4.00,8.00,9.75,4.00,4.00,7.00,103,NULL,NULL,'BATEL','CURITIBA','PR',3272,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6149677,4.00,3.00,3.00,5.00,7.00,8.25,2.00,5.00,4.00,999,NULL,NULL,'JARDIM AMERICA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6149693,4.00,5.00,2.00,3.00,8.00,NULL,1.00,0.00,2.00,103,NULL,NULL,'POÇO RICO','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,9),(25,6149707,0.00,0.00,0.00,0.00,0.00,NULL,1.00,3.00,1.00,654,NULL,NULL,'COHAB','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6149715,4.00,6.00,2.00,6.00,7.00,8.25,0.00,5.00,4.00,220,NULL,214,'JD DAS INDÚSTRIAS','S JOSÉ CAMPOS','SP',11279,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6149723,1.00,2.00,2.00,4.00,7.00,9.00,1.00,2.00,0.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',20322,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6149731,5.00,5.00,4.00,3.00,8.00,7.13,3.00,4.00,3.00,444,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',9060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6149740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6149766,7.00,7.00,5.00,6.00,9.00,10.50,1.00,6.00,9.00,201,NULL,212,'DOS CASAS','S BERNARDO CAMPO','SP',1722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149774,2.00,4.00,0.00,6.00,6.00,NULL,2.00,4.00,4.00,340,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6149782,5.00,5.00,3.00,6.00,6.00,9.38,2.00,4.00,6.00,201,NULL,203,'ZONA SETE','MARINGÁ','PR',8024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149790,7.00,9.00,4.00,7.00,10.00,10.13,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6149804,5.00,7.00,4.00,6.00,9.00,8.25,1.00,7.00,4.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149820,5.00,7.00,2.00,4.00,6.00,7.88,1.00,3.00,1.00,999,NULL,NULL,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6149847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'HAUER','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6149855,7.00,7.00,4.00,6.00,9.00,7.50,3.00,8.00,6.00,304,NULL,NULL,'CENTRO','CHAPECÓ','SC',2896,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6149863,3.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BARRA DO RIO MOLHA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(25,6149871,6.00,6.00,2.00,6.00,10.00,7.88,3.00,5.00,7.00,601,NULL,202,'ANITA GARIBALDI','JOINVILLE','SC',4737,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6149880,6.00,7.00,5.00,7.00,7.00,12.00,3.00,1.00,5.00,201,NULL,NULL,'LA SALLE','TOLEDO','PR',4740,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(25,6149910,2.00,5.00,2.00,2.00,4.00,6.75,0.00,3.00,1.00,655,NULL,NULL,'CENTRO','ARARANGUÁ','SC',19532,124,NULL,NULL,NULL,NULL,NULL,2,15),(25,6149928,6.00,5.00,4.00,5.00,6.00,9.38,3.00,4.00,8.00,9,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',5963,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6149936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6149944,5.00,4.00,2.00,6.00,7.00,5.63,1.00,2.00,2.00,404,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6149952,2.00,2.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6149960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6149979,1.00,3.00,3.00,4.00,6.00,8.25,1.00,3.00,2.00,502,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6149987,2.00,7.00,3.00,3.00,3.00,6.38,3.00,6.00,0.00,425,NULL,NULL,'SACO DOS LOMÕES','FLORIANÓPOLIS','SC',18252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'ESCOLA AGRÍCOLA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6150012,5.00,6.00,5.00,7.00,8.00,10.13,4.00,7.00,5.00,216,NULL,211,'AGRONÔMICA','FLORIANÓPOLIS','SC',2721,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6150020,8.00,5.00,7.00,6.00,9.00,8.63,5.00,5.00,6.00,201,NULL,203,'SANTA LÚCIA','VIDEIRA','SC',1489,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6150039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO SEBASTIÃO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6150047,4.00,3.00,3.00,3.00,6.00,6.38,2.00,3.00,0.00,212,NULL,203,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150055,4.00,7.00,1.00,3.00,3.00,7.50,1.00,4.00,2.00,201,NULL,212,'SÃO JOÃO','ITAJAÍ','SC',15452,1316,NULL,456,NULL,NULL,NULL,2,6),(25,6150063,8.00,7.00,5.00,6.00,8.00,12.75,3.00,7.00,8.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',685,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6150071,2.00,3.00,1.00,3.00,6.00,9.00,0.00,4.00,4.00,211,NULL,208,'BARREIROS','S JOSÉ','SC',15321,398,NULL,341,NULL,NULL,NULL,4,1),(25,6150098,6.00,5.00,2.00,2.00,6.00,7.13,3.00,3.00,3.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',11617,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6150128,2.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(25,6150136,2.00,5.00,3.00,5.00,6.00,7.88,3.00,6.00,2.00,5,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',12887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6150144,2.00,3.00,0.00,3.00,8.00,NULL,3.00,4.00,0.00,425,NULL,428,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6150152,1.00,4.00,2.00,2.00,3.00,5.63,2.00,3.00,2.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150160,4.00,6.00,3.00,3.00,8.00,10.50,2.00,3.00,6.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',7893,3161,NULL,NULL,NULL,NULL,NULL,4,6),(25,6150187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6150217,1.00,2.00,1.00,3.00,4.00,NULL,3.00,2.00,0.00,551,NULL,NULL,'BOSQUE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6150233,4.00,4.00,1.00,6.00,6.00,7.88,0.00,5.00,3.00,340,NULL,NULL,'CENTRO','CURITIBA','PR',12595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150250,7.00,7.00,5.00,3.00,6.00,10.13,2.00,8.00,5.00,103,NULL,NULL,'VILA ANDRADE','S PAULO','SP',3458,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6150268,3.00,3.00,3.00,4.00,5.00,7.88,2.00,3.00,5.00,208,NULL,NULL,'JD C MATTUCCI','SOROCABA','SP',12393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150284,7.00,8.00,6.00,7.00,10.00,9.75,3.00,7.00,8.00,303,NULL,NULL,'CABRAL','CURITIBA','PR',577,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6150306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6150330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6150349,3.00,6.00,1.00,1.00,4.00,NULL,0.00,3.00,2.00,223,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6150357,2.00,2.00,2.00,3.00,3.00,NULL,2.00,0.00,3.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150365,4.00,5.00,1.00,3.00,6.00,8.25,1.00,1.00,1.00,316,NULL,NULL,'MATO PRETO','S BENTO SUL','SC',18872,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6150381,6.00,6.00,2.00,2.00,4.00,9.00,2.00,4.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150390,5.00,5.00,3.00,5.00,6.00,10.13,2.00,6.00,5.00,233,NULL,653,'KOBRASOL','S JOSÉ','SC',7777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6150403,3.00,7.00,1.00,4.00,7.00,9.38,0.00,4.00,4.00,201,NULL,601,'FAZENDA','ITAJAÍ','SC',13813,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6150411,4.00,4.00,1.00,5.00,5.00,9.38,1.00,2.00,5.00,653,NULL,211,'MARGARIDA','STA CRUZ SUL','RS',12380,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6150438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'ASA SUL','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6150446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ELOY CHAVES','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6150454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6150462,7.00,8.00,4.00,6.00,9.00,10.50,2.00,6.00,8.00,103,NULL,NULL,'TUCURUVI','S PAULO','SP',1221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150470,2.00,2.00,3.00,3.00,3.00,9.75,3.00,3.00,0.00,104,NULL,NULL,'BANDEIRANTES','CPO GRANDE','MS',20058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150489,8.00,6.00,4.00,7.00,10.00,8.63,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',2421,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6150497,9.00,8.00,9.00,7.00,9.00,10.50,5.00,8.00,8.00,203,NULL,201,'REBOUÇAS','CURITIBA','PR',37,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6150500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6150519,6.00,6.00,5.00,6.00,8.00,8.25,4.00,5.00,7.00,103,NULL,NULL,'ATALAIA','ARACAJU','SE',2807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150527,4.00,7.00,3.00,7.00,7.00,10.50,1.00,8.00,6.00,214,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',2531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150543,9.00,8.00,7.00,7.00,10.00,10.50,5.00,6.00,7.00,103,NULL,NULL,'VILA RÉ','S PAULO','SP',130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VILA ADYANNA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6150560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6150578,4.00,2.00,2.00,1.00,6.00,9.38,3.00,1.00,0.00,999,NULL,NULL,'SANTO ANTÔNIO DE L','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150586,8.00,7.00,8.00,7.00,9.00,10.88,2.00,7.00,7.00,103,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',386,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6150594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'JARDIM MORUMBY','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6150616,5.00,5.00,3.00,6.00,7.00,7.50,4.00,5.00,6.00,340,NULL,NULL,'CENTRO','TUBARÃO','SC',6561,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6150624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'URBANOVA II','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6150632,2.00,3.00,2.00,5.00,5.00,7.50,1.00,1.00,0.00,103,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',19156,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6150640,2.00,3.00,2.00,6.00,2.00,NULL,2.00,2.00,0.00,425,NULL,423,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6150659,1.00,2.00,1.00,2.00,6.00,7.13,1.00,4.00,1.00,301,NULL,NULL,'BELA VISTA','S JOSÉ','SC',21369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6150675,5.00,8.00,1.00,3.00,8.00,9.38,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150691,2.00,7.00,0.00,6.00,6.00,9.00,1.00,3.00,0.00,333,NULL,NULL,'SÃO JOSÉ','BOM DESPACHO','MG',14428,99,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150705,4.00,3.00,2.00,6.00,6.00,9.75,5.00,1.00,3.00,340,NULL,NULL,'CENTRO','LARANJEIRAS SUL','PR',11207,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6150713,1.00,3.00,3.00,4.00,7.00,NULL,0.00,2.00,3.00,211,NULL,216,'RESID EUROVILLE','BRAGANÇA PAULISTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150730,4.00,4.00,2.00,3.00,4.00,6.38,0.00,7.00,2.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150748,4.00,6.00,2.00,1.00,4.00,NULL,1.00,0.00,0.00,207,NULL,NULL,'SANTA HELENA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6150756,6.00,6.00,2.00,7.00,7.00,7.13,3.00,4.00,7.00,203,NULL,233,'KOBRASOL','S JOSÉ','SC',5872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150764,6.00,6.00,5.00,5.00,7.00,7.88,5.00,3.00,6.00,201,NULL,601,'CENTRO','CORBÉLIA','PR',6523,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6150772,9.00,5.00,4.00,7.00,7.00,10.88,4.00,6.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',1365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150780,7.00,6.00,1.00,7.00,8.00,10.50,1.00,6.00,4.00,319,NULL,NULL,'CENTRO','CHAPECÓ','SC',6203,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6150799,3.00,5.00,2.00,2.00,6.00,5.63,0.00,3.00,1.00,238,NULL,233,'AGRONÔMICA','FLORIANÓPOLIS','SC',18465,437,NULL,453,NULL,NULL,NULL,4,1),(25,6150802,3.00,6.00,4.00,3.00,4.00,8.63,1.00,3.00,2.00,201,NULL,211,'DOS INGLESES','FLORIANÓPOLIS','SC',14754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6150810,3.00,6.00,2.00,5.00,6.00,7.13,2.00,6.00,1.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',12702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6150837,4.00,6.00,1.00,3.00,6.00,7.50,2.00,2.00,4.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6150845,3.00,6.00,0.00,2.00,6.00,NULL,3.00,4.00,2.00,208,NULL,238,'JABAQUARA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'COPACABANA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6150861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6150870,2.00,2.00,2.00,3.00,4.00,4.88,2.00,5.00,2.00,208,NULL,203,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',21210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6150888,1.00,2.00,0.00,2.00,3.00,NULL,1.00,4.00,1.00,308,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6150896,7.00,7.00,8.00,6.00,6.00,10.13,4.00,9.00,6.00,214,NULL,213,'SANTA BÁRBARA','CRICIÚMA','SC',972,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6150900,9.00,7.00,8.00,7.00,10.00,9.38,4.00,6.00,9.00,103,NULL,NULL,'JARDIM PAULISTA','CPO GRANDE','MS',170,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6150918,4.00,4.00,1.00,2.00,9.00,9.75,0.00,2.00,3.00,451,NULL,NULL,'CIDADE ALTA','ALEGRETE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6150934,1.00,2.00,2.00,2.00,4.00,8.25,1.00,2.00,1.00,319,NULL,NULL,'ARIRIU','PALHOÇA','SC',21497,467,NULL,NULL,NULL,NULL,NULL,2,1),(25,6150950,4.00,4.00,2.00,4.00,7.00,NULL,0.00,2.00,2.00,303,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6150977,5.00,7.00,1.00,4.00,5.00,8.25,3.00,5.00,3.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',10847,3690,NULL,NULL,NULL,NULL,NULL,2,1),(25,6150985,5.00,6.00,2.00,5.00,9.00,10.88,2.00,4.00,0.00,319,NULL,NULL,'DOS ESTADOS','INDAIAL','SC',9826,149,NULL,NULL,NULL,NULL,NULL,4,2),(25,6150993,6.00,6.00,5.00,3.00,8.00,7.88,2.00,7.00,4.00,203,NULL,601,'CENTRO','SORRISO','MT',6501,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6151000,7.00,6.00,0.00,4.00,6.00,8.63,0.00,3.00,1.00,104,NULL,NULL,'SÃO JOÃO','AGROLÂNDIA','SC',15044,395,NULL,NULL,NULL,NULL,NULL,2,9),(25,6151019,2.00,2.00,0.00,3.00,5.00,7.88,2.00,6.00,2.00,317,NULL,NULL,'BELA VISTA','S JOSÉ','SC',18743,156,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6151035,6.00,4.00,3.00,6.00,8.00,12.00,1.00,5.00,4.00,103,NULL,NULL,'AQUARIUS','S JOSÉ CAMPOS','SP',5660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151043,2.00,3.00,4.00,5.00,8.00,9.75,2.00,5.00,4.00,3,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',12283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151051,2.00,4.00,3.00,3.00,7.00,6.38,2.00,6.00,1.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151078,4.00,4.00,2.00,3.00,8.00,10.13,0.00,3.00,1.00,103,NULL,NULL,'MUNICIPIOS','BAL CAMBORIÚ','SC',13938,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6151086,2.00,5.00,2.00,2.00,6.00,6.38,2.00,4.00,1.00,301,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151094,6.00,5.00,4.00,6.00,8.00,8.63,4.00,5.00,4.00,235,NULL,202,'VILA PRUDENTE','S PAULO','SP',5097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151108,5.00,5.00,3.00,5.00,8.00,7.50,0.00,3.00,2.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151116,8.00,6.00,6.00,6.00,7.00,8.63,2.00,6.00,8.00,103,NULL,NULL,'VILA NOVA','PASSO FUNDO','RS',2475,1485,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151124,5.00,6.00,3.00,4.00,5.00,9.75,2.00,2.00,4.00,653,NULL,202,'CENTRO','TORRES','RS',9207,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6151132,3.00,6.00,4.00,5.00,6.00,NULL,0.00,1.00,4.00,333,NULL,NULL,'JARDIM BRASIL','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151140,3.00,2.00,2.00,2.00,4.00,7.13,2.00,1.00,0.00,335,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151159,2.00,3.00,2.00,2.00,3.00,7.50,0.00,1.00,2.00,336,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',20604,174,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151167,4.00,4.00,1.00,6.00,8.00,9.38,3.00,5.00,1.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',14474,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6151175,7.00,4.00,8.00,7.00,8.00,10.50,4.00,5.00,8.00,203,NULL,235,'JARDIM PAULISTA','CPO GRANDE','MS',1241,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6151191,3.00,4.00,1.00,5.00,5.00,12.00,1.00,2.00,0.00,317,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',17977,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151205,5.00,5.00,1.00,3.00,4.00,6.75,3.00,2.00,5.00,203,NULL,214,'XAXIM','CURITIBA','PR',13729,876,NULL,332,NULL,NULL,NULL,4,1),(25,6151213,8.00,7.00,7.00,7.00,9.00,9.75,3.00,8.00,8.00,233,NULL,216,'TRINDADE','FLORIANÓPOLIS','SC',568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151230,4.00,6.00,6.00,3.00,3.00,8.25,5.00,5.00,4.00,201,NULL,212,'CENTRO','CASCAVEL','PR',6661,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6151264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6151280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CRUZ ALTA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6151299,4.00,2.00,5.00,2.00,2.00,NULL,2.00,1.00,4.00,235,NULL,202,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6151310,2.00,4.00,1.00,1.00,3.00,NULL,1.00,2.00,0.00,453,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151329,0.00,4.00,1.00,4.00,4.00,NULL,0.00,4.00,2.00,324,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151337,6.00,6.00,3.00,7.00,9.00,9.00,0.00,3.00,3.00,201,NULL,203,'VILA PEDRINI','JOAÇABA','SC',9874,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6151345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,233,'CENTRO','PEDRO TOLEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6151361,7.00,6.00,4.00,5.00,9.00,7.50,2.00,6.00,9.00,103,NULL,NULL,'LAGO NORTE','LG NORTE','DF',3663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151370,3.00,4.00,4.00,2.00,5.00,0.00,2.00,4.00,3.00,211,NULL,215,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151388,4.00,5.00,1.00,2.00,8.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM RAFAELA','ARARAQUARA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6151396,6.00,5.00,3.00,3.00,6.00,NULL,0.00,6.00,4.00,110,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151400,3.00,5.00,3.00,2.00,6.00,7.50,3.00,6.00,5.00,238,NULL,220,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',13844,247,NULL,380,NULL,NULL,NULL,4,1),(25,6151418,6.00,6.00,3.00,3.00,6.00,10.50,2.00,3.00,4.00,201,NULL,212,'CENTRO','JABOTICABAL','SP',8047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151426,7.00,5.00,2.00,7.00,9.00,7.13,1.00,9.00,4.00,5,NULL,NULL,'CENTRO','NOVA LONDRINA','PR',5622,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6151434,6.00,5.00,2.00,6.00,7.00,8.63,1.00,4.00,3.00,108,NULL,NULL,'SÃO FRANCISCO','CPO GRANDE','MS',9310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151442,6.00,2.00,4.00,2.00,4.00,6.38,2.00,2.00,1.00,5,NULL,NULL,'PERPETUO SOCORRO','S LOURENÇO OESTE','SC',19750,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6151450,4.00,7.00,2.00,7.00,9.00,12.00,1.00,4.00,4.00,207,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151469,4.00,8.00,2.00,2.00,7.00,6.75,4.00,6.00,3.00,337,NULL,NULL,'VILA SÃO JOÃO','TORRES','RS',10127,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6151477,5.00,7.00,2.00,6.00,7.00,9.38,1.00,5.00,2.00,207,NULL,201,'GIOCONDO ORSI','CPO GRANDE','MS',7201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151485,6.00,5.00,3.00,4.00,8.00,7.88,1.00,6.00,5.00,212,NULL,213,'VILA PRUDENTE','S PAULO','SP',7179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151507,2.00,6.00,1.00,4.00,5.00,7.50,2.00,3.00,4.00,337,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15373,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151515,3.00,4.00,0.00,3.00,5.00,9.00,2.00,4.00,2.00,109,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',19236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151523,3.00,4.00,0.00,2.00,6.00,6.75,0.00,0.00,0.00,104,NULL,NULL,'APARECIDA','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6151540,4.00,3.00,1.00,4.00,4.00,5.25,1.00,2.00,3.00,303,NULL,NULL,'ENCANTADA','GAROPABA','SC',21199,870,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151558,2.00,3.00,2.00,2.00,5.00,6.75,1.00,0.00,1.00,203,NULL,220,'CENTRO','BIGUAÇU','SC',21590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151566,4.00,4.00,0.00,7.00,9.00,NULL,0.00,5.00,5.00,5,NULL,NULL,'JARDIM AMÉRICA','MARÍLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6151574,3.00,7.00,4.00,5.00,7.00,8.25,2.00,4.00,2.00,340,NULL,NULL,'JARDIM PIRATININGA','OSASCO','SP',13131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151582,7.00,6.00,2.00,5.00,9.00,7.88,2.00,7.00,7.00,103,NULL,NULL,'JARDIM GUARAPUAVA','FOZ IGUAÇU','PR',3645,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6151590,2.00,4.00,1.00,3.00,5.00,6.38,0.00,4.00,2.00,108,NULL,NULL,'ALTO BIGUAÇU','BIGUAÇU','SC',18771,276,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151612,4.00,7.00,2.00,3.00,9.00,10.13,2.00,4.00,1.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151639,3.00,6.00,2.00,4.00,6.00,8.25,2.00,5.00,3.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14343,170,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151655,2.00,3.00,3.00,3.00,4.00,4.50,0.00,3.00,2.00,426,NULL,429,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151671,6.00,6.00,2.00,6.00,6.00,8.25,1.00,4.00,2.00,211,NULL,201,'ÁGUA VERDE','CURITIBA','PR',10271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151680,3.00,5.00,1.00,4.00,8.00,7.50,2.00,2.00,3.00,108,NULL,NULL,'TRÊS RIACHOS','BIGUAÇU','SC',13581,191,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151698,4.00,0.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6151701,4.00,6.00,4.00,5.00,6.00,9.38,2.00,4.00,2.00,404,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',11632,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151710,3.00,4.00,3.00,4.00,3.00,5.25,2.00,2.00,4.00,202,NULL,601,'JD PALERMO LONDRINA','LONDRINA','PR',17748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151728,5.00,6.00,2.00,4.00,10.00,7.50,2.00,6.00,7.00,319,NULL,NULL,'BAIRRO IPIRANGA','S JOSÉ','SC',5492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151736,9.00,8.00,7.00,4.00,9.00,11.63,5.00,8.00,9.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',195,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6151744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6151752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'JARDIM ESTÉR','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6151779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'ITAIGARA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6151787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','BOM J PERDÕES','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6151795,7.00,5.00,3.00,5.00,5.00,7.13,2.00,4.00,4.00,214,NULL,212,'CENTRO','RIBEIRÃO PRETO','SP',10211,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(25,6151809,8.00,8.00,9.00,7.00,9.00,11.63,4.00,7.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',84,67,NULL,NULL,NULL,NULL,NULL,4,8),(25,6151817,2.00,2.00,0.00,4.00,6.00,7.13,0.00,0.00,0.00,653,NULL,655,'FIGUEIRA','JACINTO MACHADO','SC',21679,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6151825,1.00,3.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,601,NULL,NULL,'PROFIPO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6151833,7.00,8.00,5.00,5.00,10.00,11.63,2.00,8.00,7.00,303,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',1470,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151850,2.00,4.00,1.00,3.00,6.00,7.88,2.00,6.00,4.00,316,NULL,NULL,'CONDOMÍNIO SHANGRILA','BAURU','SP',13269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6151868,5.00,5.00,0.00,4.00,4.00,8.63,3.00,1.00,1.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',19449,462,NULL,506,NULL,NULL,NULL,4,1),(25,6151876,6.00,0.00,3.00,7.00,9.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6151914,6.00,7.00,3.00,5.00,7.00,9.00,1.00,5.00,3.00,103,NULL,NULL,'CENTRO','ANCHIETA','SC',8459,3280,NULL,NULL,NULL,NULL,NULL,2,4),(25,6151922,6.00,4.00,2.00,2.00,7.00,9.00,0.00,3.00,4.00,235,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',14564,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6151930,3.00,2.00,0.00,1.00,6.00,8.63,0.00,4.00,0.00,207,NULL,201,'RIO BONITO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6151949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SÃO TOMAS','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6151957,4.00,5.00,3.00,5.00,4.00,10.50,0.00,3.00,1.00,444,NULL,NULL,'SÃO TOMAS','IMBITUBA','SC',14279,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6151965,6.00,4.00,1.00,6.00,3.00,7.88,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','LAURENTINO','SC',16614,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6151973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'PEREQUE','PTO BELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6152007,2.00,6.00,2.00,6.00,7.00,NULL,0.00,3.00,4.00,104,NULL,NULL,'COPAS VERDES','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6152023,4.00,4.00,1.00,0.00,3.00,8.25,0.00,1.00,2.00,301,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152031,8.00,7.00,6.00,4.00,8.00,6.75,6.00,9.00,9.00,103,NULL,NULL,'SÃO BENEDITO','CAMBUÍ','MG',698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152040,5.00,6.00,1.00,6.00,7.00,8.63,2.00,5.00,0.00,415,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',13166,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6152058,4.00,7.00,4.00,6.00,9.00,10.13,2.00,5.00,7.00,201,NULL,207,'CENTRO','ERECHIM','RS',3937,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6152066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VERENA','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6152104,4.00,3.00,0.00,4.00,6.00,NULL,2.00,3.00,4.00,108,NULL,NULL,'CENTRO','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6152120,4.00,4.00,1.00,3.00,5.00,7.50,1.00,1.00,2.00,601,NULL,216,'SANTO ANTÔNIO','JOINVILLE','SC',20468,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6152147,0.00,2.00,0.00,0.00,0.00,NULL,1.00,1.00,2.00,654,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,15),(25,6152155,3.00,2.00,2.00,7.00,7.00,11.25,3.00,4.00,4.00,223,NULL,NULL,'BARREIROS','S JOSÉ','SC',11992,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6152163,3.00,5.00,2.00,5.00,6.00,0.00,2.00,4.00,1.00,336,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152171,8.00,7.00,6.00,5.00,7.00,8.25,4.00,6.00,8.00,103,NULL,NULL,'SANTO AMARO','S PAULO','SP',2971,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6152180,2.00,2.00,1.00,0.00,4.00,NULL,1.00,2.00,2.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152198,1.00,5.00,1.00,3.00,4.00,6.75,2.00,5.00,1.00,238,NULL,207,'CAPOEIRAS','FLORIANÓPOLIS','SC',19168,453,NULL,1035,NULL,NULL,NULL,2,1),(25,6152210,5.00,5.00,4.00,3.00,5.00,4.88,2.00,6.00,3.00,332,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15647,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6152228,5.00,6.00,0.00,1.00,4.00,7.50,1.00,2.00,6.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',12646,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6152236,4.00,6.00,0.00,3.00,5.00,4.88,1.00,4.00,2.00,238,NULL,202,'PANTANAL','FLORIANÓPOLIS','SC',20213,490,NULL,641,NULL,NULL,NULL,2,1),(25,6152252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6152260,3.00,4.00,2.00,5.00,5.00,5.63,1.00,1.00,5.00,503,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6152295,3.00,4.00,0.00,7.00,7.00,7.50,2.00,3.00,2.00,319,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',16292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152317,3.00,7.00,2.00,6.00,7.00,9.38,1.00,6.00,3.00,428,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',9484,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6152341,6.00,5.00,4.00,8.00,9.00,7.13,0.00,5.00,3.00,601,NULL,235,'FORQUILHINHAS','S JOSÉ','SC',6992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152350,5.00,6.00,5.00,7.00,6.00,7.13,2.00,6.00,6.00,212,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',5861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152368,3.00,4.00,4.00,4.00,6.00,6.38,2.00,5.00,3.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16053,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6152376,7.00,7.00,5.00,7.00,10.00,10.50,7.00,8.00,7.00,203,NULL,220,'TRINDADE','FLORIANÓPOLIS','SC',149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6152392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'VILA SÃO JOÃO','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6152414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO FRANCISCO','LUZERNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6152430,8.00,5.00,3.00,5.00,9.00,7.88,1.00,7.00,7.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',4813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152457,1.00,3.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6152465,6.00,6.00,1.00,5.00,9.00,8.63,0.00,4.00,4.00,103,NULL,NULL,'RIO TIGRE','BENEDITO NOVO','SC',10198,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6152473,4.00,5.00,2.00,3.00,7.00,8.25,1.00,0.00,2.00,103,NULL,NULL,'CENTRO','CANOAS','RS',15519,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6152481,4.00,5.00,3.00,3.00,6.00,10.50,0.00,3.00,3.00,201,NULL,601,'MAXIMILIANO TOALDO','CAPINZAL','SC',11599,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6152503,2.00,2.00,1.00,4.00,5.00,6.75,3.00,2.00,3.00,9,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',20437,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6152520,7.00,4.00,3.00,6.00,8.00,NULL,0.00,6.00,5.00,103,NULL,NULL,'PARQUE CIDADE JARDIM','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6152538,3.00,4.00,1.00,2.00,3.00,3.75,2.00,1.00,0.00,404,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152546,2.00,3.00,2.00,4.00,6.00,5.63,2.00,4.00,2.00,999,NULL,NULL,'MANOEL ALVES','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6152554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6152562,4.00,5.00,3.00,5.00,4.00,9.75,2.00,3.00,4.00,201,NULL,653,'COQUEIROS','FLORIANÓPOLIS','SC',14547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6152570,0.00,2.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(25,6152589,3.00,5.00,1.00,6.00,3.00,7.50,2.00,4.00,0.00,336,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',16926,137,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152597,2.00,4.00,2.00,1.00,2.00,NULL,1.00,2.00,2.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6152627,7.00,7.00,4.00,6.00,8.00,10.13,3.00,6.00,7.00,214,NULL,213,'CHÁCARA FLORA','VALINHOS','SP',1771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6152635,3.00,1.00,2.00,2.00,4.00,NULL,3.00,0.00,2.00,301,NULL,NULL,'SÃO ROQUE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,6),(25,6152643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6152651,2.00,4.00,3.00,5.00,5.00,0.00,2.00,3.00,2.00,208,NULL,238,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6152660,3.00,5.00,2.00,2.00,8.00,7.50,2.00,6.00,2.00,415,NULL,NULL,'CENTRO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6152678,5.00,7.00,2.00,5.00,8.00,8.25,2.00,4.00,4.00,333,NULL,NULL,'CENTRO','ERECHIM','RS',7616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6152708,7.00,7.00,4.00,6.00,10.00,9.75,3.00,7.00,8.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2091,1305,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152716,6.00,3.00,3.00,5.00,7.00,9.75,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152724,1.00,1.00,1.00,3.00,4.00,3.38,4.00,0.00,1.00,108,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6152732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6152740,7.00,6.00,7.00,7.00,10.00,11.63,2.00,7.00,8.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',371,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6152759,3.00,4.00,2.00,4.00,8.00,9.38,2.00,4.00,2.00,420,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ESTEVÂO CARRARO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6152775,2.00,1.00,3.00,2.00,5.00,6.00,2.00,0.00,1.00,104,NULL,NULL,'CANTA GALO','RIO SUL','SC',21507,588,NULL,NULL,NULL,NULL,NULL,2,2),(25,6152783,6.00,7.00,2.00,5.00,3.00,7.50,2.00,3.00,2.00,444,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',13127,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6152791,3.00,5.00,1.00,6.00,5.00,10.50,0.00,2.00,2.00,110,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',13977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152821,3.00,3.00,2.00,2.00,5.00,8.63,4.00,5.00,2.00,339,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',17285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152830,7.00,7.00,3.00,5.00,10.00,9.75,2.00,6.00,6.00,103,NULL,NULL,'SANTA MARIA','S CAETANO SUL','SP',2449,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6152848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'NOS SRA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6152864,1.00,0.00,0.00,0.00,1.00,NULL,0.00,1.00,0.00,551,NULL,NULL,'CENTRO','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6152872,4.00,5.00,2.00,7.00,8.00,7.88,3.00,4.00,3.00,203,NULL,220,'CENTRO','ERECHIM','RS',7897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6152902,6.00,4.00,1.00,4.00,8.00,9.75,3.00,6.00,4.00,103,NULL,NULL,'JARDIM COLINA VERDE','GOIOERÊ','PR',7196,3007,NULL,NULL,NULL,NULL,NULL,2,4),(25,6152910,5.00,5.00,2.00,1.00,4.00,10.13,0.00,3.00,2.00,101,NULL,NULL,'ESTRE','FLORIANÓPOLIS','SC',18126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152929,8.00,7.00,5.00,5.00,8.00,10.13,3.00,7.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1313,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6152937,2.00,1.00,1.00,2.00,3.00,6.75,1.00,2.00,1.00,316,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',21690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6152945,3.00,4.00,1.00,4.00,4.00,NULL,0.00,3.00,0.00,109,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152953,8.00,9.00,4.00,6.00,8.00,8.25,1.00,7.00,6.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',3121,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6152961,3.00,6.00,1.00,4.00,4.00,7.13,0.00,2.00,2.00,450,NULL,NULL,'BALNEARIO ESTREITO','FLORIANÓPOLIS','SC',20494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6152988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6153011,5.00,4.00,2.00,3.00,3.00,9.00,2.00,0.00,1.00,333,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',19791,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6153020,1.00,3.00,2.00,1.00,2.00,NULL,3.00,3.00,1.00,224,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6153038,6.00,4.00,2.00,7.00,8.00,10.50,2.00,3.00,5.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153046,3.00,4.00,3.00,4.00,4.00,6.38,4.00,4.00,2.00,551,NULL,NULL,'SAO LUIZ','CURITIBANOS','SC',15220,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6153054,4.00,6.00,3.00,4.00,9.00,8.63,0.00,6.00,7.00,216,NULL,NULL,'SÃO CRISTÓVÃO','PASSO FUNDO','RS',6147,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6153070,4.00,4.00,3.00,5.00,6.00,8.25,3.00,5.00,0.00,207,NULL,215,'CENTRO','ANITÁPOLIS','SC',12425,663,NULL,193,NULL,NULL,NULL,2,1),(25,6153097,2.00,4.00,2.00,1.00,5.00,9.75,2.00,1.00,2.00,308,NULL,NULL,'FREITAS','PAULO LOPES','SC',18623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153100,5.00,4.00,5.00,3.00,6.00,7.50,2.00,3.00,6.00,216,NULL,601,'VILA IVETE','MAFRA','SC',11767,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6153119,5.00,6.00,1.00,2.00,6.00,9.00,3.00,1.00,3.00,233,NULL,NULL,'JARDIM LISA','CAMPINAS','SP',13106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153135,7.00,4.00,4.00,5.00,8.00,8.63,2.00,6.00,4.00,103,NULL,NULL,'JARDIM ARATIMBÓ','UMUARAMA','PR',8089,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6153143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6153151,2.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,215,NULL,235,'MONTE CASTELO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6153160,2.00,2.00,0.00,3.00,3.00,5.63,1.00,2.00,2.00,203,NULL,207,'CENTRO','ANTÔNIO CARLOS','SC',20738,1134,NULL,1132,NULL,NULL,NULL,2,1),(25,6153186,2.00,5.00,1.00,6.00,7.00,7.88,2.00,1.00,2.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',15751,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6153208,6.00,6.00,3.00,3.00,8.00,7.88,0.00,6.00,2.00,201,NULL,203,'CENTRO','CEDRAL','SP',9299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6153216,5.00,6.00,3.00,7.00,9.00,9.38,1.00,7.00,5.00,319,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153224,2.00,3.00,0.00,2.00,7.00,NULL,0.00,0.00,1.00,211,NULL,NULL,'CENTRO','MERCEDES','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153240,7.00,5.00,6.00,6.00,8.00,9.00,3.00,4.00,6.00,103,NULL,NULL,'VILA PEDRO MOREIRA','GUARULHOS','SP',3563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153267,2.00,3.00,0.00,4.00,4.00,NULL,1.00,2.00,0.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6153275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,216,'COHAPAR','GUARATUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6153313,3.00,5.00,1.00,0.00,4.00,NULL,1.00,0.00,1.00,234,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153330,3.00,6.00,1.00,3.00,4.00,7.13,3.00,2.00,2.00,103,NULL,NULL,'BOA VISTA','PIÊN','PR',16572,4388,NULL,NULL,NULL,NULL,NULL,4,8),(25,6153348,3.00,3.00,0.00,0.00,4.00,NULL,0.00,4.00,2.00,336,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6153356,2.00,3.00,1.00,1.00,4.00,0.00,1.00,1.00,2.00,103,NULL,NULL,'IMIGRANTES','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6153364,4.00,7.00,2.00,4.00,7.00,4.50,3.00,3.00,5.00,203,NULL,214,'SACO GRANDE','FLORIANÓPOLIS','SC',15268,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6153372,4.00,7.00,2.00,3.00,5.00,10.13,2.00,4.00,1.00,336,NULL,NULL,'CARLOS BONISSONI','IPUMIRIM','SC',10186,69,NULL,NULL,NULL,NULL,NULL,4,4),(25,6153380,7.00,7.00,3.00,6.00,7.00,7.88,3.00,6.00,5.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',4886,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6153399,5.00,5.00,5.00,5.00,5.00,7.13,5.00,0.00,4.00,318,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',12946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153429,2.00,3.00,2.00,2.00,4.00,NULL,0.00,2.00,2.00,207,NULL,201,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6153437,4.00,7.00,0.00,4.00,4.00,6.75,2.00,3.00,2.00,102,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',16812,207,NULL,NULL,NULL,NULL,NULL,2,1),(25,6153461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,212,'VILA A','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6153470,2.00,2.00,2.00,1.00,1.00,NULL,1.00,1.00,0.00,103,NULL,NULL,'SAIC','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6153488,4.00,4.00,3.00,7.00,5.00,8.63,1.00,5.00,3.00,999,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6153496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6153500,5.00,4.00,2.00,4.00,8.00,8.25,0.00,5.00,5.00,108,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153518,7.00,8.00,5.00,6.00,9.00,8.25,5.00,8.00,4.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',2147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153534,4.00,5.00,0.00,2.00,4.00,4.50,1.00,4.00,0.00,235,NULL,213,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6153542,3.00,4.00,3.00,2.00,6.00,6.38,1.00,1.00,2.00,303,NULL,NULL,'CENTRO','PATO BRANCO','PR',20308,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6153550,5.00,3.00,2.00,3.00,7.00,8.63,2.00,0.00,3.00,319,NULL,NULL,'CENTRO','CURITIBA','PR',12636,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6153569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6153577,4.00,6.00,0.00,5.00,7.00,8.25,2.00,4.00,1.00,303,NULL,NULL,'VILA YOLANDA','FOZ IGUAÇU','PR',16147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153585,8.00,6.00,6.00,5.00,9.00,13.88,2.00,7.00,7.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153607,5.00,5.00,3.00,6.00,10.00,7.50,1.00,6.00,4.00,303,NULL,NULL,'SANTO ANTONIO','BELO HORIZONTE','MG',5942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153615,7.00,4.00,3.00,3.00,9.00,9.75,3.00,2.00,1.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',12935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153623,4.00,4.00,2.00,4.00,8.00,9.00,0.00,3.00,3.00,333,NULL,NULL,'CENTRO','HORIZONTINA','RS',11395,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6153631,7.00,6.00,3.00,7.00,10.00,NULL,0.00,5.00,6.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153640,3.00,4.00,4.00,4.00,5.00,6.75,1.00,6.00,3.00,429,NULL,428,'SACO GRANDE','FLORIANÓPOLIS','SC',13262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'ÁGUA QUENTE','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6153690,7.00,5.00,1.00,5.00,8.00,10.50,2.00,5.00,5.00,653,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',7693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153712,5.00,7.00,2.00,7.00,7.00,NULL,0.00,5.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6153720,3.00,3.00,0.00,5.00,6.00,10.13,2.00,1.00,1.00,415,NULL,NULL,'CENTRO','HORIZONTINA','RS',16217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6153739,7.00,6.00,3.00,4.00,10.00,12.75,2.00,3.00,6.00,201,NULL,212,'JD GARCIA','CAMPINAS','SP',3325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153747,6.00,3.00,0.00,2.00,5.00,9.00,1.00,4.00,3.00,216,NULL,201,'CENTRO','CAPINZAL','SC',16328,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6153755,3.00,5.00,3.00,5.00,4.00,8.25,2.00,2.00,2.00,104,NULL,NULL,'CENTRO','VENÂNCIO AIRES','RS',14821,384,NULL,NULL,NULL,NULL,NULL,2,1),(25,6153763,9.00,6.00,8.00,5.00,7.00,10.13,6.00,8.00,7.00,103,NULL,NULL,'VILA MARUMBY','MARINGÁ','PR',250,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6153780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6153798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'FREI EUGÊNIO','UBERABA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6153810,6.00,4.00,4.00,7.00,10.00,9.75,1.00,7.00,8.00,103,NULL,NULL,'CENTRO','MEDIANEIRA','PR',2030,1260,NULL,NULL,NULL,NULL,NULL,4,4),(25,6153828,1.00,3.00,3.00,1.00,4.00,4.50,3.00,1.00,1.00,103,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153836,8.00,6.00,4.00,5.00,9.00,8.25,2.00,6.00,8.00,103,NULL,NULL,'JARDIM AMERICA','ITUPORANGA','SC',3670,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6153844,5.00,3.00,3.00,2.00,5.00,NULL,0.00,0.00,2.00,201,NULL,212,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153852,4.00,5.00,1.00,5.00,3.00,10.50,0.00,2.00,1.00,108,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15253,225,NULL,NULL,NULL,NULL,NULL,2,1),(25,6153860,3.00,4.00,2.00,2.00,4.00,7.88,5.00,2.00,1.00,655,NULL,208,'CIDADE NOVA','ITAJAÍ','SC',19732,129,NULL,516,NULL,NULL,NULL,4,6),(25,6153879,7.00,6.00,3.00,7.00,8.00,8.25,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','UMUARAMA','PR',3743,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6153887,6.00,6.00,7.00,7.00,7.00,8.25,3.00,7.00,5.00,201,NULL,213,'CENTRO','PALHOÇA','SC',3751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153895,5.00,7.00,1.00,2.00,6.00,7.13,1.00,5.00,1.00,104,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',14019,353,NULL,NULL,NULL,NULL,NULL,2,1),(25,6153909,5.00,7.00,4.00,7.00,8.00,11.63,2.00,4.00,3.00,238,NULL,235,'BALNEÁRIO','FLORIANÓPOLIS','SC',5742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153917,5.00,5.00,2.00,2.00,7.00,10.88,0.00,5.00,1.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',14410,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6153925,6.00,6.00,3.00,5.00,10.00,9.38,3.00,6.00,5.00,420,NULL,NULL,'MARTELLI','VIDEIRA','SC',4448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153933,5.00,3.00,1.00,5.00,7.00,9.38,4.00,1.00,3.00,109,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6153941,7.00,6.00,2.00,7.00,9.00,9.38,4.00,8.00,5.00,103,NULL,NULL,'SOSSEGO','CANOINHAS','SC',2222,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6153950,5.00,6.00,0.00,5.00,6.00,10.13,2.00,4.00,4.00,108,NULL,NULL,'VILA MARCELINO','S CARLOS','SP',9620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153976,4.00,5.00,4.00,5.00,5.00,9.38,2.00,3.00,0.00,208,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',16349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6153984,5.00,6.00,3.00,6.00,7.00,9.75,6.00,7.00,6.00,655,NULL,652,'SÃO DOMINGOS','CRICIÚMA','SC',4890,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6154000,2.00,2.00,1.00,2.00,3.00,9.38,1.00,0.00,3.00,102,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',21334,275,NULL,NULL,NULL,NULL,NULL,2,1),(25,6154018,6.00,7.00,6.00,5.00,5.00,7.88,3.00,6.00,6.00,203,NULL,216,'JARDIM PRESIDENTE','LONDRINA','PR',3822,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6154034,4.00,3.00,2.00,5.00,5.00,7.50,3.00,5.00,1.00,104,NULL,NULL,'BOA VISTA','MARÍLIA','SP',13080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6154042,2.00,4.00,1.00,2.00,6.00,7.13,1.00,2.00,2.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',19845,318,NULL,NULL,NULL,NULL,NULL,2,1),(25,6154050,1.00,3.00,1.00,4.00,7.00,6.75,3.00,4.00,0.00,415,NULL,NULL,'BALNEARIO ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6154069,4.00,4.00,2.00,2.00,8.00,9.00,1.00,5.00,2.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6154077,3.00,4.00,1.00,5.00,7.00,9.00,0.00,3.00,4.00,201,NULL,207,'JARDIM UMARIZAL','S PAULO','SP',12169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6154093,3.00,5.00,1.00,2.00,6.00,5.63,1.00,5.00,1.00,212,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6154107,4.00,7.00,5.00,7.00,9.00,8.25,3.00,4.00,4.00,216,NULL,201,'BAIRRO DER','CAÇADOR','SC',4794,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6154115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','PIRASSUNUNGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6154123,3.00,4.00,0.00,4.00,3.00,9.00,0.00,2.00,3.00,207,NULL,212,'CENTRO','PTO VITÓRIA','PR',17222,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6154131,6.00,6.00,4.00,3.00,7.00,10.13,2.00,2.00,5.00,108,NULL,NULL,'GETULIO VARGAS','TORRES','RS',8028,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6154140,3.00,3.00,4.00,4.00,5.00,9.38,2.00,4.00,7.00,203,NULL,216,'CIDADE INDUSTRIAL','CURITIBA','PR',9632,698,NULL,352,NULL,NULL,NULL,2,1),(25,6154166,5.00,7.00,6.00,7.00,8.00,7.88,5.00,6.00,8.00,220,NULL,203,'CENTRO','LAGES','SC',3145,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6154174,8.00,7.00,5.00,6.00,10.00,10.88,2.00,7.00,6.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',987,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6154182,4.00,6.00,1.00,7.00,8.00,7.88,2.00,4.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6154204,3.00,3.00,3.00,4.00,6.00,NULL,1.00,5.00,0.00,452,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6154220,7.00,8.00,2.00,6.00,9.00,8.25,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6154239,3.00,6.00,0.00,7.00,6.00,11.25,0.00,4.00,4.00,319,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',10539,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6154255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CRISSIUMAL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6154263,4.00,2.00,1.00,2.00,2.00,NULL,2.00,1.00,1.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6154271,1.00,4.00,1.00,3.00,5.00,6.75,2.00,2.00,1.00,207,NULL,203,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6154280,3.00,5.00,1.00,3.00,5.00,7.88,0.00,1.00,1.00,404,NULL,NULL,'VILA NOVA','TRÊS BARRAS','SC',20851,100,NULL,NULL,NULL,NULL,NULL,4,17),(25,6154298,6.00,6.00,1.00,3.00,7.00,NULL,0.00,6.00,2.00,333,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6154301,4.00,4.00,5.00,3.00,6.00,NULL,0.00,2.00,0.00,235,NULL,208,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6154310,6.00,4.00,1.00,3.00,10.00,9.38,1.00,4.00,1.00,108,NULL,NULL,'GLÓRIA','BLUMENAU','SC',13256,183,NULL,NULL,NULL,NULL,NULL,4,2),(25,6154328,4.00,6.00,0.00,7.00,9.00,11.25,1.00,6.00,4.00,340,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',7460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6154336,5.00,4.00,4.00,7.00,8.00,10.88,1.00,7.00,6.00,216,NULL,201,'LIBERDADE','S PAULO','SP',3219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6154344,1.00,3.00,0.00,2.00,4.00,NULL,3.00,1.00,4.00,201,NULL,207,'SÃO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6154387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6154417,1.00,0.00,1.00,0.00,3.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6154425,9.00,7.00,6.00,6.00,11.00,8.25,7.00,7.00,7.00,103,NULL,NULL,'VALADA MOSQUITINHO','AGRONÔMICA','SC',467,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6154433,5.00,4.00,1.00,6.00,8.00,10.13,1.00,3.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6154441,1.00,4.00,1.00,3.00,4.00,7.13,1.00,0.00,2.00,319,NULL,NULL,'ENCRUZILHADA','BIGUAÇU','SC',21444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6154450,4.00,4.00,1.00,5.00,6.00,NULL,0.00,1.00,1.00,103,NULL,NULL,'CENTRO','LUCÉLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6154468,4.00,3.00,1.00,3.00,6.00,5.25,2.00,4.00,1.00,303,NULL,NULL,'CENTOR','TURVO','SC',20343,839,NULL,NULL,NULL,NULL,NULL,2,1),(25,6154476,6.00,6.00,3.00,7.00,9.00,9.00,1.00,4.00,3.00,103,NULL,NULL,'VILA BELMIRO','SANTOS','SP',5084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6154492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,212,'CAJURÚ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6154506,4.00,6.00,3.00,5.00,9.00,11.25,1.00,3.00,4.00,2,NULL,NULL,'CENTRO','ITAPIRANGA','SC',6179,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6154514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'INTERIOR','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6154522,4.00,4.00,4.00,4.00,8.00,6.75,2.00,2.00,0.00,203,NULL,201,'CENTRO','CPO MOURÃO','PR',13744,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6154530,2.00,3.00,2.00,6.00,5.00,5.25,3.00,1.00,1.00,238,NULL,208,'CENTRO','COROADOS','SP',20193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6154549,1.00,4.00,2.00,5.00,6.00,8.63,3.00,3.00,2.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',16765,327,NULL,NULL,NULL,NULL,NULL,2,1),(25,6154557,5.00,6.00,1.00,4.00,8.00,9.38,0.00,3.00,6.00,103,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',9734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6154573,8.00,7.00,4.00,2.00,9.00,10.88,5.00,5.00,8.00,103,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',1801,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6154581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6154603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,208,'VILA DOS OFICIAIS','PIRASSUNUNGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6154611,5.00,8.00,8.00,6.00,9.00,11.63,4.00,8.00,7.00,201,NULL,216,'CENTRO','BAL CAMBORIÚ','SC',745,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6154638,3.00,4.00,2.00,3.00,6.00,6.38,2.00,2.00,0.00,309,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6154646,2.00,2.00,0.00,1.00,1.00,NULL,3.00,4.00,1.00,101,NULL,NULL,'ENCRUZILHADA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6154662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VISTA ALEGRE','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6154670,3.00,3.00,1.00,2.00,1.00,NULL,2.00,1.00,2.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6154689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6154697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6154700,1.00,3.00,1.00,2.00,4.00,NULL,0.00,0.00,1.00,207,NULL,212,'VILA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6154727,6.00,5.00,1.00,6.00,5.00,7.50,1.00,5.00,2.00,103,NULL,NULL,'JARDIM RIO CLARO','JATAÍ','GO',11668,3809,NULL,NULL,NULL,NULL,NULL,2,4),(25,6154735,6.00,4.00,2.00,7.00,10.00,12.00,2.00,5.00,4.00,102,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',5701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6154743,3.00,4.00,0.00,1.00,7.00,6.38,1.00,0.00,0.00,420,NULL,NULL,'MAR GROSSO','LAGUNA','SC',21506,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6154751,4.00,1.00,1.00,2.00,6.00,7.50,2.00,2.00,2.00,109,NULL,NULL,'CENTRO','COCAL SUL','SC',19735,135,NULL,NULL,NULL,NULL,NULL,2,5),(25,6154760,2.00,1.00,1.00,3.00,2.00,NULL,0.00,0.00,1.00,224,NULL,NULL,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6154778,2.00,5.00,1.00,3.00,5.00,7.50,1.00,5.00,6.00,201,NULL,202,'CAMPINAS','S JOSÉ','SC',15207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6154794,2.00,5.00,2.00,3.00,3.00,6.38,3.00,1.00,3.00,339,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',20424,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6154808,8.00,6.00,5.00,4.00,8.00,9.00,4.00,8.00,8.00,103,NULL,NULL,'PARQUE SAO JORGE','FLORIANÓPOLIS','SC',2035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6154816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BRASILIA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6154824,5.00,5.00,2.00,5.00,9.00,8.63,1.00,2.00,3.00,201,NULL,207,'CENTRO','LONTRAS','SC',10524,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6154832,3.00,3.00,3.00,2.00,6.00,8.25,2.00,3.00,5.00,216,NULL,215,'JD DRACENA','S PAULO','SP',11727,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6154840,4.00,5.00,3.00,4.00,5.00,5.25,1.00,4.00,4.00,216,NULL,201,'ZONA SETE','MARINGÁ','PR',13879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6154867,3.00,3.00,5.00,4.00,7.00,8.63,0.00,1.00,2.00,214,NULL,213,'METROPOLE','DRACENA','SP',16444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6154875,5.00,3.00,1.00,3.00,4.00,5.25,1.00,5.00,3.00,103,NULL,NULL,'SANTOS SARAIVA','S JOSÉ','SC',19560,4649,NULL,NULL,NULL,NULL,NULL,4,1),(25,6154883,2.00,6.00,3.00,3.00,5.00,7.13,1.00,3.00,2.00,309,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6154891,3.00,3.00,2.00,2.00,4.00,6.38,3.00,3.00,1.00,309,NULL,NULL,'GUARDA DO EMBAU','PALHOÇA','SC',21124,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6154913,2.00,5.00,3.00,5.00,7.00,8.25,3.00,8.00,2.00,207,NULL,201,'PIONEIROS','BAL CAMBORIÚ','SC',12066,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6154930,8.00,6.00,2.00,3.00,8.00,9.75,4.00,7.00,7.00,233,NULL,215,'IPIRANGA','S PAULO','SP',3282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6154948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'N SRA DE LOURDES','PLANALTO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6154964,4.00,5.00,0.00,7.00,3.00,7.88,0.00,1.00,1.00,421,NULL,424,'TRINDADE','FLORIANÓPOLIS','SC',19907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6154972,0.00,2.00,0.00,0.00,0.00,NULL,2.00,4.00,1.00,420,NULL,NULL,'TRÊS VENDAS','PELOTAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6154999,7.00,5.00,3.00,3.00,6.00,8.25,1.00,1.00,7.00,103,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',9248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155006,3.00,4.00,2.00,3.00,5.00,5.25,1.00,3.00,2.00,333,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',18264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6155022,6.00,6.00,2.00,3.00,7.00,5.63,1.00,3.00,6.00,336,NULL,NULL,'CALHEIROS','GOV CELSO RAMOS','SC',10363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6155030,3.00,1.00,1.00,2.00,3.00,6.00,4.00,2.00,2.00,102,NULL,NULL,'INTERIOR','LAJEADO GRANDE','SC',21320,274,NULL,NULL,NULL,NULL,NULL,2,4),(25,6155049,6.00,5.00,1.00,4.00,9.00,7.13,2.00,5.00,1.00,415,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',11871,154,NULL,NULL,NULL,NULL,NULL,2,1),(25,6155057,2.00,5.00,1.00,6.00,6.00,6.00,2.00,3.00,0.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',19643,423,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155065,4.00,6.00,5.00,5.00,7.00,12.00,0.00,5.00,6.00,207,NULL,201,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6155103,2.00,5.00,4.00,4.00,6.00,6.38,2.00,6.00,3.00,201,NULL,202,'OFICINAS','TUBARÃO','SC',11984,1009,NULL,379,NULL,NULL,NULL,2,10),(25,6155111,6.00,5.00,2.00,5.00,7.00,9.38,1.00,2.00,3.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',11432,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6155120,4.00,3.00,3.00,3.00,4.00,NULL,0.00,0.00,1.00,655,NULL,652,'POÇO DA LONTRA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6155138,5.00,5.00,2.00,6.00,7.00,9.00,2.00,6.00,4.00,216,NULL,211,'SUMARÉ','RIO SUL','SC',7612,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6155146,1.00,6.00,1.00,4.00,2.00,NULL,1.00,0.00,0.00,104,NULL,NULL,'CENTRO','AGROLÂNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6155154,2.00,2.00,2.00,2.00,2.00,NULL,1.00,1.00,0.00,103,NULL,NULL,'MINA DO MATO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6155170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6155189,6.00,4.00,5.00,7.00,6.00,8.63,6.00,5.00,8.00,201,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',2998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155197,4.00,7.00,2.00,1.00,7.00,9.38,2.00,5.00,2.00,234,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155200,5.00,6.00,2.00,3.00,5.00,7.88,3.00,3.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155219,7.00,7.00,6.00,4.00,8.00,9.00,2.00,5.00,6.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',3140,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6155227,8.00,8.00,7.00,6.00,10.00,12.00,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',330,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6155243,4.00,4.00,1.00,6.00,7.00,8.25,1.00,6.00,1.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13000,116,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155251,8.00,7.00,8.00,6.00,9.00,9.38,6.00,8.00,7.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155260,4.00,5.00,2.00,4.00,7.00,10.13,0.00,2.00,4.00,103,NULL,NULL,'TOSILAR','BIRIGÜI','SP',10627,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6155316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6155324,6.00,6.00,2.00,7.00,11.00,13.50,4.00,7.00,6.00,428,NULL,426,'JOÃO PAULO','FLORIANÓPOLIS','SC',1730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6155340,6.00,7.00,2.00,5.00,7.00,9.00,1.00,6.00,3.00,9,NULL,NULL,'IPIRANGA','S JOSÉ','SC',10622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','PTO BELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6155367,1.00,0.00,2.00,3.00,2.00,NULL,2.00,0.00,3.00,103,NULL,NULL,'VILA NOVA','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6155375,2.00,4.00,2.00,6.00,5.00,NULL,2.00,0.00,2.00,421,NULL,424,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155391,4.00,6.00,2.00,6.00,6.00,9.00,2.00,5.00,4.00,5,NULL,NULL,'CENTRO','CURITIBA','PR',9618,350,NULL,NULL,NULL,NULL,NULL,4,8),(25,6155413,2.00,2.00,1.00,0.00,1.00,NULL,1.00,3.00,2.00,316,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6155430,7.00,7.00,2.00,5.00,7.00,8.63,3.00,7.00,5.00,303,NULL,NULL,'LIBERDADE','S PAULO','SP',5275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155456,5.00,3.00,4.00,4.00,7.00,8.25,3.00,4.00,3.00,220,NULL,203,'CENTRO','IMBITUBA','SC',9877,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6155472,6.00,5.00,6.00,6.00,9.00,8.25,3.00,7.00,6.00,108,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',2116,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6155499,2.00,4.00,2.00,4.00,2.00,NULL,0.00,3.00,2.00,655,NULL,652,'SANGA DA TOCA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6155502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6155510,4.00,1.00,1.00,4.00,7.00,9.38,1.00,2.00,3.00,301,NULL,NULL,'MORADA DO SOL','CASCA','RS',15077,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6155529,3.00,5.00,2.00,5.00,6.00,6.75,1.00,6.00,4.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155537,5.00,6.00,2.00,6.00,7.00,12.00,1.00,5.00,4.00,303,NULL,NULL,'LIMOEIRO','BRUSQUE','SC',7290,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6155545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'BRACO PAULA RAMOS','LUIZ ALVES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6155553,2.00,4.00,1.00,1.00,4.00,5.25,2.00,2.00,1.00,404,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',21575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6155561,5.00,5.00,1.00,1.00,6.00,7.50,0.00,0.00,1.00,999,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6155570,5.00,6.00,4.00,5.00,7.00,9.38,4.00,6.00,7.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155588,5.00,5.00,3.00,3.00,6.00,9.38,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',11231,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6155596,4.00,4.00,2.00,2.00,6.00,NULL,3.00,0.00,2.00,103,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,3),(25,6155618,4.00,5.00,2.00,4.00,8.00,6.38,0.00,2.00,4.00,999,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155626,3.00,5.00,3.00,6.00,8.00,7.50,4.00,3.00,3.00,207,NULL,201,'CABEÇUDA','LAGUNA','SC',12007,632,NULL,1011,NULL,NULL,NULL,2,10),(25,6155634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6155650,9.00,8.00,7.00,5.00,11.00,11.25,5.00,7.00,9.00,103,NULL,NULL,'JARDIM CONSORCIO','S PAULO','SP',92,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6155669,8.00,7.00,4.00,6.00,9.00,11.25,2.00,7.00,4.00,211,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',3345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'INTERIOR','LAJEADO GRANDE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6155693,2.00,7.00,3.00,5.00,6.00,NULL,0.00,4.00,0.00,423,NULL,429,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6155715,4.00,6.00,2.00,5.00,9.00,11.25,2.00,5.00,3.00,104,NULL,NULL,'FUNDO CANOS','RIO SUL','SC',6095,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6155723,2.00,1.00,1.00,5.00,5.00,7.50,2.00,2.00,0.00,102,NULL,NULL,'CENTRO','PAPANDUVA','SC',19758,252,NULL,NULL,NULL,NULL,NULL,2,17),(25,6155731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'VILA LUIZ CASA','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6155740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6155758,2.00,2.00,3.00,1.00,6.00,6.00,1.00,1.00,1.00,225,NULL,NULL,'BELINHA OMETTO','LIMEIRA','SP',20334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155774,4.00,5.00,1.00,4.00,8.00,8.63,3.00,4.00,4.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10967,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6155790,2.00,5.00,4.00,4.00,6.00,8.25,1.00,1.00,1.00,5,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',16952,593,NULL,NULL,NULL,NULL,NULL,2,10),(25,6155804,4.00,6.00,2.00,3.00,7.00,7.13,2.00,1.00,1.00,444,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',16172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6155812,4.00,5.00,3.00,5.00,6.00,7.13,3.00,4.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11956,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6155820,2.00,3.00,2.00,5.00,3.00,6.38,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',21277,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6155839,4.00,6.00,1.00,4.00,8.00,9.75,3.00,6.00,3.00,238,NULL,208,'PASSA VINTE','PALHOÇA','SC',10658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155847,2.00,3.00,1.00,3.00,4.00,9.38,2.00,2.00,2.00,101,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6155855,3.00,3.00,3.00,5.00,5.00,6.38,1.00,4.00,3.00,108,NULL,NULL,'CENTRO','ITUIUTABA','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6155863,8.00,7.00,7.00,4.00,8.00,9.75,4.00,7.00,7.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',1174,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6155880,3.00,3.00,1.00,4.00,4.00,7.88,0.00,3.00,0.00,503,NULL,NULL,'CENTRO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6155901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'JABAQUARA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6155910,6.00,6.00,6.00,5.00,8.00,9.38,0.00,6.00,5.00,207,NULL,201,'SÃO FRANCISCO','STO AUGUSTO','RS',5220,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6155928,3.00,4.00,1.00,0.00,6.00,9.75,4.00,3.00,3.00,301,NULL,NULL,'FLORADAS DE SÃO JOSÉ','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155952,7.00,6.00,1.00,4.00,8.00,8.63,3.00,3.00,5.00,103,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',7568,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6155960,4.00,5.00,5.00,5.00,7.00,9.00,2.00,8.00,5.00,301,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',5379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6155979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6155987,4.00,5.00,1.00,3.00,6.00,7.88,0.00,4.00,2.00,5,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',18783,646,NULL,NULL,NULL,NULL,NULL,2,1),(25,6155995,3.00,2.00,4.00,2.00,5.00,8.63,2.00,3.00,6.00,216,NULL,201,'SÃO CRISTÓVÃO','CASCAVEL','PR',13088,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6156010,1.00,6.00,4.00,2.00,3.00,6.00,0.00,3.00,1.00,327,NULL,NULL,'BARREIROS','S JOSÉ','SC',20941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6156029,6.00,5.00,2.00,2.00,6.00,10.13,3.00,4.00,5.00,203,NULL,233,'CAMPO COMPRIDO','CURITIBA','PR',7668,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6156037,5.00,6.00,3.00,4.00,7.00,10.50,3.00,3.00,4.00,319,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',7608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,653,'BOM RETIRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6156053,6.00,6.00,5.00,4.00,8.00,8.63,1.00,7.00,6.00,216,NULL,211,'ZE PEREIRA','CPO GRANDE','MS',5800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156061,4.00,6.00,0.00,4.00,5.00,6.38,1.00,1.00,2.00,601,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',18548,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6156088,7.00,7.00,4.00,1.00,6.00,10.88,2.00,6.00,9.00,103,NULL,NULL,'JEREISSATI II','MARACANAÚ','CE',3066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156096,5.00,5.00,4.00,4.00,5.00,7.13,2.00,6.00,5.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',8890,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6156100,7.00,8.00,5.00,5.00,8.00,9.38,2.00,8.00,9.00,103,NULL,NULL,'VILA SÃO CAETANO','LONDRINA','PR',1039,702,NULL,NULL,NULL,NULL,NULL,2,3),(25,6156118,5.00,8.00,3.00,5.00,7.00,8.25,3.00,5.00,4.00,225,NULL,NULL,'CRISTO REI','IÇARA','SC',7370,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6156126,3.00,4.00,2.00,2.00,7.00,NULL,1.00,2.00,0.00,310,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6156134,6.00,7.00,6.00,6.00,7.00,9.00,2.00,7.00,5.00,203,NULL,202,'CENTRO','ITAJAÍ','SC',2962,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6156150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,655,'JARDIM ICARAÍ','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6156169,3.00,4.00,4.00,6.00,7.00,8.63,0.00,1.00,5.00,202,NULL,601,'CENTRO','REGISTRO','SP',13158,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6156177,2.00,4.00,1.00,4.00,6.00,6.38,2.00,3.00,2.00,225,NULL,NULL,'JARDIM EUCALIPTUS','PALHOÇA','SC',19376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156185,6.00,7.00,3.00,6.00,5.00,6.75,1.00,5.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9958,3545,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156193,1.00,2.00,0.00,1.00,2.00,NULL,4.00,0.00,2.00,319,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156215,3.00,3.00,1.00,3.00,4.00,7.50,2.00,3.00,4.00,201,NULL,238,'MIRIM','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156231,1.00,4.00,2.00,2.00,1.00,NULL,1.00,3.00,1.00,339,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6156240,5.00,4.00,1.00,1.00,6.00,6.00,1.00,1.00,3.00,601,NULL,201,'VILA ESPERANÇA','PATO BRANCO','PR',18002,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6156274,7.00,6.00,3.00,5.00,7.00,8.25,2.00,5.00,7.00,104,NULL,NULL,'CENTRO','DIONÍSIO CERQUEIRA','SC',5764,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6156282,5.00,4.00,1.00,6.00,10.00,8.63,0.00,3.00,5.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',8133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','S JOSÉ B VISTA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6156304,7.00,3.00,2.00,4.00,7.00,8.63,1.00,2.00,6.00,201,NULL,212,'CAMPINAS','S JOSÉ','SC',10660,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6156320,8.00,9.00,5.00,4.00,10.00,6.75,5.00,6.00,9.00,103,NULL,NULL,'ITALIANA','PANAMBI','RS',1095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156339,3.00,5.00,2.00,2.00,5.00,7.13,3.00,4.00,3.00,327,NULL,NULL,'BARREIROS','S JOSÉ','SC',17764,49,NULL,NULL,NULL,NULL,NULL,2,1),(25,6156347,1.00,4.00,1.00,2.00,4.00,NULL,1.00,0.00,1.00,319,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6156355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','BIRIGÜI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6156363,6.00,4.00,1.00,5.00,8.00,10.50,1.00,5.00,3.00,207,NULL,212,'AMÉRICA','JOINVILLE','SC',7265,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6156371,0.00,4.00,2.00,3.00,6.00,5.25,0.00,0.00,0.00,444,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',20936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156398,3.00,6.00,0.00,3.00,6.00,NULL,0.00,4.00,0.00,429,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6156401,1.00,0.00,3.00,4.00,6.00,6.75,3.00,4.00,3.00,216,NULL,215,'SAO LUIS','S JOSÉ','SC',19145,596,NULL,312,NULL,NULL,NULL,2,1),(25,6156410,7.00,6.00,5.00,5.00,10.00,9.38,6.00,9.00,8.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',389,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6156428,7.00,4.00,0.00,6.00,9.00,7.13,1.00,6.00,3.00,103,NULL,NULL,'VILA ANCHIETA','S JOSÉ R PRETO','SP',10944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156436,5.00,7.00,6.00,4.00,7.00,11.25,3.00,3.00,4.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',7394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'RESSACADA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6156452,4.00,6.00,0.00,3.00,6.00,9.38,2.00,3.00,2.00,415,NULL,NULL,'CENTRO','CURITIBANOS','SC',14276,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6156487,3.00,0.00,4.00,2.00,3.00,6.38,1.00,3.00,1.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156495,3.00,6.00,4.00,4.00,8.00,9.00,0.00,3.00,3.00,327,NULL,NULL,'ASILO','BLUMENAU','SC',13791,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6156509,5.00,5.00,3.00,3.00,9.00,10.13,1.00,2.00,3.00,201,NULL,NULL,'GENTIL MEIRELLES','GOIÂNIA','GO',11149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156541,3.00,3.00,2.00,1.00,8.00,7.13,1.00,3.00,1.00,103,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',20008,4692,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156550,6.00,6.00,2.00,5.00,6.00,8.63,3.00,8.00,4.00,103,NULL,NULL,'CENTRO ZONA III','UMUARAMA','PR',6988,2956,NULL,NULL,NULL,NULL,NULL,4,4),(25,6156568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6156584,8.00,7.00,3.00,6.00,9.00,9.75,7.00,8.00,7.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156592,4.00,5.00,1.00,4.00,6.00,8.25,3.00,3.00,2.00,999,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6156606,3.00,4.00,0.00,1.00,7.00,7.50,2.00,1.00,0.00,404,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156614,7.00,5.00,4.00,7.00,6.00,11.63,1.00,5.00,6.00,5,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',4968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156622,4.00,2.00,0.00,2.00,4.00,NULL,1.00,2.00,2.00,211,NULL,NULL,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6156630,1.00,1.00,0.00,2.00,3.00,NULL,2.00,0.00,0.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6156657,2.00,4.00,0.00,2.00,2.00,NULL,2.00,1.00,1.00,5,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156665,3.00,0.00,1.00,2.00,5.00,6.75,0.00,2.00,2.00,653,NULL,655,'URUSSANGUINHA','ARARANGUÁ','SC',21571,250,NULL,175,NULL,NULL,NULL,2,15),(25,6156673,2.00,2.00,1.00,1.00,2.00,NULL,3.00,2.00,3.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6156690,7.00,5.00,4.00,6.00,7.00,10.13,1.00,4.00,3.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156703,7.00,7.00,1.00,6.00,11.00,12.00,1.00,9.00,7.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',1963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156711,2.00,2.00,0.00,4.00,2.00,NULL,1.00,0.00,1.00,308,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6156746,7.00,4.00,3.00,3.00,6.00,8.63,1.00,4.00,3.00,103,NULL,NULL,'PORTAO','CURITIBA','PR',10893,3697,NULL,NULL,NULL,NULL,NULL,2,1),(25,6156754,7.00,5.00,5.00,5.00,8.00,8.63,3.00,5.00,6.00,103,NULL,NULL,'CAMAQUÃ','PTO ALEGRE','RS',3246,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6156770,6.00,7.00,7.00,7.00,7.00,10.13,1.00,5.00,6.00,319,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',2580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6156797,4.00,3.00,2.00,4.00,4.00,8.25,3.00,4.00,2.00,316,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',15447,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6156800,2.00,3.00,1.00,3.00,5.00,7.50,3.00,2.00,3.00,9,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',18310,116,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156819,8.00,5.00,3.00,4.00,8.00,10.88,0.00,5.00,7.00,103,NULL,NULL,'JARDIM ROBRU','S PAULO','SP',4605,2289,NULL,NULL,NULL,NULL,NULL,2,1),(25,6156843,4.00,4.00,1.00,3.00,4.00,7.13,0.00,0.00,1.00,5,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',20683,699,NULL,NULL,NULL,NULL,NULL,2,1),(25,6156851,7.00,4.00,4.00,3.00,8.00,8.25,3.00,5.00,6.00,103,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',6476,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6156860,4.00,5.00,1.00,2.00,5.00,7.50,2.00,2.00,2.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6156878,3.00,4.00,3.00,4.00,5.00,5.63,2.00,5.00,3.00,234,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17975,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6156886,3.00,4.00,2.00,0.00,3.00,5.25,0.00,0.00,0.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156894,9.00,7.00,7.00,5.00,9.00,10.88,3.00,7.00,9.00,103,NULL,NULL,'PINHEIRINHO','CURITIBA','PR',575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156908,4.00,4.00,2.00,5.00,7.00,8.63,3.00,5.00,6.00,201,NULL,233,'CENTRO','ITAPEMA','SC',7035,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6156916,6.00,5.00,7.00,6.00,9.00,12.00,0.00,7.00,7.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',2342,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6156932,4.00,7.00,2.00,3.00,6.00,11.25,2.00,7.00,3.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7708,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6156940,7.00,7.00,1.00,1.00,7.00,7.88,0.00,3.00,6.00,235,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',12329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156959,4.00,3.00,3.00,4.00,8.00,6.38,2.00,5.00,5.00,103,NULL,NULL,'UNIVERSITARIO','CURITIBANOS','SC',10219,3587,NULL,NULL,NULL,NULL,NULL,2,16),(25,6156967,0.00,2.00,2.00,1.00,3.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'MATO QUEIMADO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6156975,1.00,1.00,2.00,4.00,4.00,7.50,1.00,0.00,1.00,201,NULL,207,'RIO TAVARES','FLORIANÓPOLIS','SC',21609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6156991,5.00,6.00,1.00,6.00,7.00,10.88,2.00,4.00,2.00,450,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157017,5.00,6.00,3.00,6.00,8.00,9.00,3.00,6.00,5.00,203,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',5575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6157025,8.00,5.00,1.00,7.00,8.00,6.75,3.00,6.00,6.00,340,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',4067,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6157033,5.00,8.00,0.00,6.00,10.00,10.50,2.00,8.00,2.00,327,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157041,3.00,4.00,4.00,2.00,3.00,4.88,5.00,1.00,4.00,104,NULL,NULL,'PACHECO','PALHOÇA','SC',20108,565,NULL,NULL,NULL,NULL,NULL,2,1),(25,6157050,8.00,7.00,5.00,6.00,10.00,11.63,4.00,7.00,7.00,340,NULL,NULL,'BOSQUE DAS MANSÕES','S JOSÉ','SC',352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157068,4.00,8.00,3.00,6.00,9.00,7.13,1.00,4.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157076,8.00,7.00,5.00,5.00,9.00,11.25,3.00,7.00,7.00,103,NULL,NULL,'SÃO PAULO','MONTENEGRO','RS',1728,1085,NULL,NULL,NULL,NULL,NULL,2,5),(25,6157084,0.00,3.00,1.00,3.00,3.00,6.75,3.00,1.00,2.00,309,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',21481,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6157092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6157106,9.00,7.00,9.00,6.00,11.00,10.88,7.00,7.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',38,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157114,1.00,1.00,0.00,4.00,2.00,NULL,2.00,1.00,0.00,108,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157122,3.00,4.00,2.00,1.00,4.00,8.25,2.00,1.00,3.00,224,NULL,NULL,'PAGARA','STO AMARO IMPERATRIZ','SC',20725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157130,3.00,4.00,2.00,4.00,5.00,5.63,3.00,2.00,1.00,999,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6157149,7.00,5.00,6.00,5.00,7.00,12.38,3.00,7.00,6.00,207,NULL,211,'PETRÓPOLIS','PTO ALEGRE','RS',2849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'LARAJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6157165,3.00,3.00,1.00,2.00,6.00,7.88,3.00,0.00,3.00,415,NULL,NULL,'BATEL','CURITIBA','PR',20666,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6157173,7.00,5.00,2.00,6.00,9.00,10.88,3.00,6.00,5.00,207,NULL,601,'CIDADE BAIXA','PTO ALEGRE','RS',3411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157181,4.00,4.00,1.00,2.00,4.00,7.13,2.00,0.00,1.00,103,NULL,NULL,'INTERIOR','ANITA GARIBALDI','SC',19575,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6157190,4.00,3.00,2.00,6.00,3.00,6.38,3.00,5.00,2.00,201,NULL,203,'VILA REZENDE','GOIÂNIA','GO',12104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157203,8.00,7.00,7.00,7.00,9.00,9.00,4.00,8.00,8.00,216,NULL,202,'AMÉRICA','JOINVILLE','SC',479,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6157211,5.00,7.00,3.00,7.00,9.00,10.13,1.00,6.00,6.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157220,5.00,7.00,2.00,7.00,7.00,11.25,1.00,6.00,6.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',4140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157238,5.00,5.00,4.00,5.00,8.00,8.63,1.00,5.00,2.00,108,NULL,NULL,'VILA MARIANA','S PAULO','SP',10395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157246,3.00,3.00,1.00,7.00,7.00,7.88,2.00,3.00,3.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',14515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157254,5.00,7.00,3.00,6.00,7.00,9.38,3.00,5.00,5.00,211,NULL,215,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157262,5.00,4.00,2.00,3.00,7.00,7.88,3.00,1.00,3.00,104,NULL,NULL,'BELA VISTA','FARROUPILHA','RS',13565,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6157270,5.00,5.00,2.00,6.00,5.00,8.25,0.00,4.00,3.00,654,NULL,NULL,'SÃO CRISTOVÃO','CRICIÚMA','SC',15579,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6157289,5.00,7.00,3.00,6.00,5.00,8.63,3.00,6.00,3.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',6875,2934,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157319,5.00,4.00,1.00,4.00,6.00,8.63,2.00,2.00,2.00,211,NULL,216,'CENTRO','TIJUCAS','SC',14451,379,NULL,494,NULL,NULL,NULL,4,1),(25,6157335,2.00,2.00,1.00,3.00,6.00,9.00,1.00,3.00,3.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157360,6.00,6.00,1.00,6.00,8.00,9.38,1.00,2.00,4.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',8298,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6157378,4.00,4.00,3.00,5.00,7.00,8.63,2.00,2.00,4.00,103,NULL,NULL,'BERGER','CAÇADOR','SC',10122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6157386,3.00,2.00,2.00,2.00,3.00,6.38,2.00,2.00,0.00,444,NULL,NULL,'CENTRO','ANGELINA','SC',21462,175,NULL,NULL,NULL,NULL,NULL,2,1),(25,6157394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6157408,6.00,4.00,3.00,5.00,9.00,7.50,1.00,6.00,3.00,201,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',11781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157416,9.00,7.00,3.00,5.00,9.00,10.88,3.00,6.00,7.00,103,NULL,NULL,'JARDIM BOTANICO','PTO ALEGRE','RS',1726,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6157424,2.00,5.00,2.00,5.00,5.00,8.63,1.00,1.00,3.00,109,NULL,NULL,'GLÓRIA','JOINVILLE','SC',18317,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6157432,3.00,5.00,2.00,6.00,7.00,8.25,2.00,3.00,0.00,9,NULL,NULL,'JD MADALENA','CAMPINAS','SP',15896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157440,6.00,5.00,5.00,2.00,7.00,8.63,2.00,3.00,7.00,103,NULL,NULL,'CENTRO','NOVA ESPERANÇA','PR',6835,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6157459,5.00,5.00,2.00,7.00,6.00,6.38,2.00,5.00,5.00,336,NULL,NULL,'DAS NACOES','INDAIAL','SC',8775,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6157467,3.00,4.00,4.00,2.00,4.00,8.63,1.00,4.00,2.00,103,NULL,NULL,'RIO DO SALTO','TIMBÉ SUL','SC',16865,4426,NULL,NULL,NULL,NULL,NULL,4,15),(25,6157483,7.00,9.00,1.00,5.00,10.00,8.25,3.00,6.00,5.00,103,NULL,NULL,'BELA VISTA','RIO NEGRINHO','SC',4615,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6157491,0.00,3.00,1.00,4.00,5.00,NULL,0.00,3.00,1.00,304,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6157513,2.00,4.00,1.00,1.00,4.00,8.25,1.00,4.00,2.00,104,NULL,NULL,'BARRACÃO','ALFREDO WAGNER','SC',20774,578,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157521,1.00,7.00,2.00,3.00,6.00,7.13,4.00,5.00,3.00,653,NULL,202,'UNIVERSITARIO','CRICIÚMA','SC',15093,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6157530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6157556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE JARDIM','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6157564,5.00,6.00,3.00,6.00,10.00,7.88,2.00,4.00,5.00,425,NULL,421,'CENTRO','PETROLÂNDIA','SC',6626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157572,3.00,5.00,2.00,2.00,8.00,7.88,1.00,3.00,2.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',17894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157580,4.00,4.00,2.00,2.00,4.00,NULL,0.00,3.00,5.00,103,NULL,NULL,'SÃO JORGE','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6157599,5.00,2.00,2.00,6.00,8.00,7.50,1.00,2.00,2.00,103,NULL,NULL,'NOVA SUIÇA','GOIÂNIA','GO',13082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157602,3.00,5.00,1.00,3.00,5.00,8.63,0.00,4.00,2.00,108,NULL,NULL,'STO ANT DE LISBOA','FLORIANÓPOLIS','SC',16355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157610,2.00,3.00,3.00,1.00,5.00,NULL,2.00,6.00,0.00,653,NULL,655,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6157629,4.00,4.00,0.00,2.00,6.00,7.13,2.00,6.00,2.00,108,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',14466,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6157653,3.00,4.00,2.00,2.00,4.00,10.88,2.00,5.00,1.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',18946,395,NULL,NULL,NULL,NULL,NULL,2,1),(25,6157661,5.00,6.00,3.00,5.00,8.00,10.50,1.00,7.00,6.00,103,NULL,NULL,'BELCHIOR BAIXO','GASPAR','SC',4188,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6157670,5.00,6.00,5.00,5.00,5.00,8.25,2.00,4.00,4.00,317,NULL,NULL,'CENTRO','BIGUAÇU','SC',9361,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6157688,6.00,6.00,4.00,5.00,8.00,9.38,1.00,5.00,4.00,999,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6157696,8.00,7.00,6.00,5.00,7.00,12.38,2.00,6.00,6.00,201,NULL,216,'ESTREITO','FLORIANÓPOLIS','SC',2544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157700,3.00,7.00,3.00,6.00,6.00,6.38,4.00,7.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6157726,5.00,5.00,4.00,5.00,7.00,9.38,2.00,7.00,4.00,444,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',9636,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6157742,4.00,5.00,2.00,3.00,5.00,8.63,1.00,3.00,3.00,104,NULL,NULL,'INDUSTRIAL','TOLEDO','PR',14712,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6157750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'LAURO DE FREITAS','LAURO FREITAS','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6157769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6157777,0.00,5.00,1.00,4.00,5.00,7.88,5.00,3.00,3.00,220,NULL,214,'RIO VERMELHO','FLORIANÓPOLIS','SC',18251,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6157785,4.00,5.00,3.00,4.00,6.00,7.50,1.00,5.00,1.00,652,NULL,655,'PINHEIROS','S JOÃO SUL','SC',12388,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6157807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'ALTO DA GLÓRIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6157831,5.00,5.00,4.00,2.00,5.00,6.75,0.00,6.00,5.00,201,NULL,202,'CENTRO','FRANCISCO BELTRÃO','PR',11036,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6157840,6.00,6.00,3.00,6.00,8.00,9.38,2.00,8.00,6.00,201,NULL,207,'CENTRO','S MIGUEL OESTE','SC',3169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6157858,2.00,3.00,0.00,4.00,6.00,9.00,1.00,1.00,1.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'ARBORETO DOS JEQUITI','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6157874,6.00,5.00,4.00,7.00,7.00,10.50,2.00,3.00,1.00,340,NULL,NULL,'VILA LALAU','JARAGUÁ SUL','SC',11013,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6157882,3.00,5.00,2.00,5.00,6.00,9.38,2.00,3.00,2.00,420,NULL,NULL,'BELA SUIÇA','LONDRINA','PR',14396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157890,6.00,5.00,2.00,5.00,6.00,7.13,2.00,4.00,3.00,328,NULL,NULL,'CASCATINHA','PALMAS','PR',13414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157904,3.00,2.00,1.00,1.00,6.00,7.88,2.00,2.00,3.00,108,NULL,NULL,'IPIRANGA','S JOSÉ','SC',20805,306,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157912,3.00,4.00,1.00,1.00,5.00,7.13,2.00,2.00,0.00,102,NULL,NULL,'CENTRO','ITUPORANGA','SC',19527,247,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157920,4.00,4.00,1.00,5.00,7.00,NULL,0.00,4.00,0.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6157939,6.00,6.00,4.00,5.00,9.00,10.50,3.00,4.00,7.00,208,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',3359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157947,6.00,4.00,2.00,5.00,7.00,7.13,2.00,2.00,4.00,104,NULL,NULL,'CENTRO','XAXIM','SC',13739,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6157955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,601,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6157963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AFONSO PENA','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6157971,3.00,3.00,2.00,3.00,6.00,8.25,1.00,0.00,1.00,336,NULL,NULL,'DE COSTA','MRO FUMAÇA','SC',20612,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6157980,3.00,6.00,1.00,2.00,4.00,6.38,1.00,2.00,2.00,336,NULL,NULL,'PARQUE DAS CAMÉLIAS','BAURU','SP',18459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6157998,8.00,7.00,3.00,6.00,9.00,9.00,0.00,5.00,3.00,303,NULL,NULL,'EMBARÉ','SANTOS','SP',5581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COROA DO MEIO','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6158030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6158056,4.00,6.00,2.00,4.00,8.00,8.63,1.00,4.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9605,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6158064,5.00,6.00,3.00,6.00,8.00,8.25,0.00,3.00,5.00,319,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',7857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6158072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARIM','VOTUPORANGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6158080,7.00,6.00,3.00,5.00,9.00,9.00,2.00,7.00,9.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',2395,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6158099,4.00,4.00,3.00,4.00,6.00,6.75,3.00,5.00,3.00,208,NULL,601,'PETRÓPOLIS','JOINVILLE','SC',11667,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6158102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,202,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6158110,3.00,3.00,2.00,3.00,6.00,6.00,2.00,2.00,2.00,202,NULL,NULL,'MONTE VERDE','MRO FUMAÇA','SC',20106,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6158129,4.00,4.00,2.00,7.00,8.00,9.75,1.00,6.00,2.00,340,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',9574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JUVEVÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6158161,5.00,6.00,3.00,7.00,10.00,10.88,0.00,3.00,5.00,415,NULL,NULL,'VILA NOVA','JOINVILLE','SC',8763,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6158170,7.00,5.00,5.00,6.00,8.00,10.13,4.00,7.00,7.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',2717,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6158188,3.00,4.00,3.00,3.00,8.00,9.75,2.00,2.00,1.00,453,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',13589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158196,4.00,6.00,2.00,6.00,7.00,9.00,1.00,6.00,6.00,207,NULL,233,'IPIRANGA','S JOSÉ','SC',6902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158200,4.00,6.00,2.00,1.00,5.00,10.13,0.00,2.00,1.00,9,NULL,NULL,'VÁRZEA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6158218,3.00,6.00,1.00,5.00,4.00,NULL,0.00,2.00,1.00,336,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6158226,8.00,7.00,7.00,6.00,10.00,9.75,5.00,8.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158242,2.00,4.00,1.00,4.00,7.00,5.63,2.00,0.00,0.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6158250,2.00,4.00,1.00,2.00,2.00,NULL,3.00,4.00,4.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158269,5.00,5.00,1.00,5.00,8.00,8.63,1.00,2.00,4.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',11212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158277,7.00,5.00,2.00,6.00,8.00,10.50,2.00,5.00,2.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158293,2.00,3.00,1.00,3.00,3.00,6.00,2.00,2.00,2.00,316,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',21429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6158307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'RECREIO','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6158323,9.00,8.00,5.00,6.00,10.00,9.75,3.00,9.00,9.00,103,NULL,NULL,'VILA RAU','JARAGUÁ SUL','SC',315,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6158331,7.00,7.00,3.00,6.00,7.00,7.50,0.00,9.00,6.00,103,NULL,NULL,'CORONEL ANTONINO','CPO GRANDE','MS',3811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PAULISTANO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6158358,6.00,2.00,2.00,6.00,7.00,10.13,2.00,5.00,3.00,303,NULL,NULL,'JARDIM','MARAVILHA','SC',8224,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6158366,3.00,4.00,0.00,2.00,5.00,NULL,3.00,2.00,0.00,655,NULL,208,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6158374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6158390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6158404,7.00,4.00,5.00,3.00,7.00,7.50,1.00,3.00,4.00,233,NULL,214,'JARDIM CARVALHO','PNT GROSSA','PR',10037,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6158412,9.00,5.00,2.00,6.00,8.00,9.75,2.00,6.00,6.00,103,NULL,NULL,'SANTA FÉ','CPO GRANDE','MS',4224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158420,5.00,6.00,3.00,7.00,9.00,8.63,1.00,2.00,6.00,201,NULL,212,'CENTRO','CAPINZAL','SC',7346,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6158439,8.00,8.00,5.00,5.00,8.00,8.63,5.00,9.00,9.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',984,677,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6158463,8.00,7.00,6.00,7.00,11.00,11.25,4.00,7.00,6.00,303,NULL,NULL,'EUGÊNIO SCHINEIDER','RIO SUL','SC',395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158471,6.00,7.00,0.00,5.00,8.00,10.13,2.00,6.00,8.00,303,NULL,NULL,'RENASCENÇA II','S LUÍS','MA',3739,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6158480,3.00,2.00,3.00,5.00,7.00,9.00,2.00,3.00,3.00,415,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158498,5.00,4.00,2.00,6.00,6.00,6.75,1.00,2.00,3.00,319,NULL,NULL,'JARDIM','STO ANDRÉ','SP',14032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158501,2.00,5.00,3.00,3.00,6.00,8.25,0.00,0.00,3.00,103,NULL,NULL,'MONTE CARLO','S JOAQUIM','SC',19636,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6158510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6158528,8.00,8.00,3.00,7.00,8.00,12.00,5.00,3.00,6.00,202,NULL,203,'CENTRO','CURITIBA','PR',1859,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6158536,1.00,3.00,3.00,1.00,6.00,7.13,2.00,1.00,4.00,425,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',20715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158544,8.00,7.00,2.00,5.00,8.00,8.63,2.00,5.00,6.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',6974,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6158552,1.00,2.00,3.00,3.00,5.00,6.75,1.00,3.00,2.00,453,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158560,0.00,0.00,3.00,1.00,7.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'ITAPEMA DO NORTE','ITAPOÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6158579,3.00,7.00,6.00,4.00,4.00,8.25,2.00,2.00,5.00,202,NULL,235,'VILA POPULAR','CORNÉLIO PROCÓPIO','PR',9665,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6158587,2.00,4.00,3.00,3.00,5.00,6.75,3.00,3.00,3.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',18831,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6158595,8.00,7.00,3.00,7.00,9.00,9.38,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','PALMA SOLA','SC',2970,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6158617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6158625,2.00,0.00,0.00,1.00,0.00,NULL,3.00,1.00,1.00,234,NULL,NULL,'BOM JESUS','JARDINÓPOLIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6158641,3.00,2.00,3.00,5.00,8.00,9.75,2.00,2.00,1.00,207,NULL,238,'TAPERA','FLORIANÓPOLIS','SC',17022,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6158650,2.00,3.00,1.00,4.00,5.00,7.50,2.00,2.00,1.00,103,NULL,NULL,'MEIA PARIA','ITAPEMA','SC',20693,4740,NULL,NULL,NULL,NULL,NULL,2,3),(25,6158668,5.00,4.00,2.00,3.00,7.00,8.25,3.00,1.00,3.00,103,NULL,NULL,'BAIRRO BAU','CUIABÁ','MT',14003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6158676,8.00,5.00,5.00,3.00,6.00,4.50,1.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6158692,5.00,6.00,3.00,4.00,7.00,0.00,2.00,5.00,2.00,319,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158706,3.00,3.00,1.00,1.00,3.00,9.38,1.00,4.00,4.00,205,NULL,NULL,'FLORESTA','S JOSÉ','SC',18918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158714,9.00,7.00,4.00,7.00,10.00,8.63,3.00,7.00,8.00,103,NULL,NULL,'SANTANA','RIO SUL','SC',1187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158749,1.00,4.00,2.00,3.00,2.00,NULL,1.00,1.00,1.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6158757,8.00,8.00,5.00,7.00,9.00,12.75,2.00,9.00,7.00,5,NULL,NULL,'COLONIAL','S BENTO SUL','SC',375,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6158765,5.00,6.00,3.00,7.00,7.00,10.13,2.00,4.00,6.00,103,NULL,NULL,'GRAMADO','CAMPINAS','SP',5201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158773,3.00,0.00,0.00,6.00,6.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(25,6158781,2.00,2.00,2.00,2.00,8.00,8.63,1.00,1.00,5.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',19116,218,NULL,NULL,NULL,NULL,NULL,2,1),(25,6158790,3.00,3.00,0.00,4.00,5.00,10.50,3.00,3.00,3.00,420,NULL,NULL,'CENTRO','CURITIBA','PR',15392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158803,2.00,5.00,0.00,4.00,5.00,7.50,3.00,5.00,2.00,655,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',17366,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6158811,3.00,6.00,2.00,3.00,6.00,7.50,1.00,1.00,1.00,205,NULL,NULL,'CENTRO','ARAPONGAS','PR',18545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6158820,9.00,6.00,5.00,5.00,9.00,9.38,5.00,8.00,8.00,103,NULL,NULL,'BENEDITO','INDAIAL','SC',613,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6158846,4.00,7.00,3.00,4.00,8.00,7.50,3.00,5.00,4.00,404,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',8583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158854,3.00,6.00,2.00,3.00,8.00,9.38,1.00,3.00,5.00,215,NULL,212,'AREIAS','S JOSÉ','SC',9715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158862,3.00,5.00,3.00,6.00,2.00,NULL,0.00,2.00,2.00,109,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'CENTREVILLE','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6158897,5.00,3.00,2.00,5.00,4.00,6.38,2.00,1.00,4.00,601,NULL,214,'ANITA GARIBALDI','JOINVILLE','SC',13986,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6158900,3.00,4.00,1.00,2.00,2.00,NULL,0.00,0.00,2.00,501,NULL,NULL,'CENTRO','MANGUEIRINHA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6158919,2.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'DAS NAÇÕES','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(25,6158927,3.00,5.00,3.00,7.00,4.00,10.13,1.00,3.00,3.00,318,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',14836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158935,7.00,6.00,8.00,7.00,8.00,8.25,5.00,7.00,7.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',1694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158943,7.00,7.00,2.00,5.00,10.00,8.63,2.00,5.00,7.00,450,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',4569,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6158951,5.00,2.00,4.00,5.00,8.00,10.50,2.00,1.00,5.00,214,NULL,203,'CENTRO','GURUPI','TO',8635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158978,7.00,7.00,5.00,6.00,10.00,9.75,3.00,8.00,5.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',2236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6158986,6.00,6.00,6.00,7.00,8.00,7.88,4.00,5.00,7.00,201,NULL,216,'RECANDO DO SALTO','LONDRINA','PR',3267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6158994,8.00,8.00,4.00,7.00,8.00,9.38,1.00,6.00,4.00,340,NULL,NULL,'BELA VISTA','PALHOÇA','SC',3793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159001,6.00,4.00,4.00,5.00,7.00,8.63,2.00,6.00,6.00,214,NULL,213,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',4898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159010,7.00,5.00,3.00,7.00,8.00,7.88,2.00,5.00,5.00,109,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6907,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159036,6.00,4.00,2.00,3.00,7.00,9.00,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','FONTOURA XAVIER','RS',10485,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6159044,1.00,6.00,0.00,4.00,5.00,6.75,3.00,1.00,2.00,235,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',18367,439,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159052,3.00,5.00,1.00,3.00,6.00,6.00,3.00,3.00,1.00,335,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159060,6.00,5.00,3.00,5.00,7.00,7.88,0.00,4.00,4.00,103,NULL,NULL,'JARDIM AMERICA','GOIÂNIA','GO',8354,NULL,NULL,NULL,NULL,NULL,NULL,3,3),(25,6159079,5.00,4.00,3.00,6.00,9.00,10.88,3.00,4.00,3.00,220,NULL,208,'VELHA','BLUMENAU','SC',9180,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6159087,7.00,8.00,0.00,6.00,10.00,NULL,4.00,6.00,5.00,303,NULL,NULL,'VILA ASSUNCAO','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159095,7.00,8.00,5.00,8.00,8.00,10.50,3.00,7.00,5.00,208,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',1394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159109,3.00,4.00,2.00,3.00,5.00,7.13,2.00,1.00,3.00,444,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',16795,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159117,7.00,7.00,5.00,5.00,7.00,10.50,0.00,5.00,6.00,212,NULL,214,'MEOMA','S PAULO','SP',3636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159125,7.00,7.00,5.00,5.00,8.00,9.00,3.00,7.00,5.00,223,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',3550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159133,4.00,7.00,3.00,3.00,8.00,9.00,3.00,6.00,3.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159141,4.00,3.00,2.00,5.00,8.00,9.00,2.00,5.00,1.00,103,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',13755,4100,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159150,6.00,2.00,2.00,5.00,5.00,6.75,0.00,4.00,3.00,211,NULL,235,'ARIRIU','PALHOÇA','SC',14059,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159168,5.00,4.00,4.00,7.00,8.00,9.75,2.00,3.00,8.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',5725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159176,4.00,5.00,2.00,6.00,8.00,9.75,1.00,3.00,2.00,420,NULL,NULL,'CENTRO','S JOSÉ','SC',12519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159184,5.00,5.00,2.00,3.00,7.00,5.25,1.00,5.00,3.00,3,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',13182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159192,5.00,5.00,3.00,4.00,5.00,NULL,0.00,5.00,1.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6159206,3.00,7.00,3.00,5.00,7.00,7.13,2.00,5.00,5.00,201,NULL,212,'BARREIROS','S JOSÉ','SC',8627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159214,3.00,6.00,0.00,6.00,7.00,10.88,2.00,6.00,3.00,301,NULL,NULL,'JARDIM ELITE','PIRACICABA','SP',11554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159222,5.00,3.00,2.00,5.00,9.00,10.50,3.00,3.00,5.00,336,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',8285,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6159249,2.00,4.00,3.00,3.00,6.00,6.38,1.00,5.00,4.00,208,NULL,238,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159257,5.00,5.00,2.00,5.00,6.00,8.25,2.00,2.00,2.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',12281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,207,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6159273,2.00,6.00,1.00,0.00,4.00,NULL,1.00,1.00,0.00,207,NULL,201,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159281,5.00,6.00,3.00,2.00,6.00,7.50,3.00,2.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10440,381,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159303,5.00,5.00,0.00,4.00,8.00,NULL,3.00,3.00,3.00,654,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6159311,1.00,2.00,0.00,3.00,3.00,NULL,1.00,0.00,2.00,655,NULL,652,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6159320,4.00,7.00,2.00,3.00,9.00,9.00,1.00,4.00,3.00,103,NULL,NULL,'MANOEL VASCONCELLOS','SUMARÉ','SP',9136,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6159338,3.00,4.00,3.00,5.00,4.00,8.63,2.00,3.00,1.00,104,NULL,NULL,'VILA LIANE','PNT GROSSA','PR',14005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159354,5.00,3.00,2.00,5.00,6.00,10.13,0.00,4.00,3.00,103,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',10665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159362,2.00,3.00,2.00,4.00,5.00,9.38,1.00,1.00,1.00,333,NULL,NULL,'CENTRO','LARANJEIRAS SUL','PR',17494,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6159370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6159397,2.00,3.00,0.00,3.00,7.00,NULL,2.00,2.00,0.00,302,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159419,5.00,5.00,2.00,2.00,8.00,7.13,2.00,7.00,4.00,103,NULL,NULL,'SANTA AUGUSTA','BRAÇO NORTE','SC',9198,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6159427,2.00,3.00,3.00,2.00,5.00,7.13,1.00,1.00,2.00,9,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19544,131,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159435,2.00,4.00,1.00,1.00,2.00,NULL,1.00,0.00,1.00,335,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159443,3.00,5.00,1.00,6.00,3.00,NULL,2.00,0.00,2.00,103,NULL,NULL,'SAO SEBASTIAO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6159451,5.00,6.00,5.00,6.00,8.00,8.63,1.00,7.00,6.00,201,NULL,212,'SILVEIRA DA MOTTA','S JOSÉ PINHAIS','PR',4500,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6159460,6.00,7.00,4.00,4.00,7.00,8.25,3.00,3.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5365,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6159486,4.00,4.00,8.00,5.00,7.00,10.13,4.00,5.00,4.00,213,NULL,212,'NEVA','CASCAVEL','PR',5461,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6159494,3.00,5.00,2.00,6.00,8.00,11.25,2.00,4.00,2.00,450,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',9005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TREM','MACAPÁ','AP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6159516,2.00,5.00,3.00,6.00,6.00,6.00,1.00,1.00,2.00,207,NULL,208,'RIO VERMELHO','FLORIANÓPOLIS','SC',18170,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159532,2.00,4.00,0.00,0.00,2.00,NULL,1.00,2.00,0.00,303,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6159540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,216,'INTERLAGOS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6159559,4.00,5.00,2.00,2.00,6.00,12.00,2.00,1.00,1.00,317,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',15701,89,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159567,2.00,6.00,3.00,3.00,6.00,5.25,2.00,2.00,2.00,202,NULL,233,'MONTE VERDE','FLORIANÓPOLIS','SC',18982,596,NULL,462,NULL,NULL,NULL,2,1),(25,6159575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,427,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6159583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,202,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6159591,4.00,2.00,1.00,6.00,7.00,7.88,3.00,2.00,3.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159605,6.00,5.00,4.00,3.00,5.00,6.38,1.00,2.00,4.00,501,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',12592,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159613,8.00,6.00,6.00,4.00,8.00,9.00,5.00,6.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159621,4.00,6.00,3.00,5.00,6.00,8.63,2.00,6.00,4.00,301,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',8322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159630,6.00,8.00,4.00,6.00,9.00,9.00,2.00,4.00,6.00,103,NULL,NULL,'VILA ROMANA','S PAULO','SP',3552,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6159648,6.00,7.00,3.00,6.00,8.00,9.38,1.00,8.00,8.00,201,NULL,212,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',2375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159656,6.00,8.00,5.00,4.00,7.00,9.38,0.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4876,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159664,2.00,4.00,2.00,3.00,6.00,10.13,1.00,3.00,1.00,326,NULL,NULL,'CENTRO','MELEIRO','SC',16379,43,NULL,NULL,NULL,NULL,NULL,4,15),(25,6159672,1.00,0.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CASSINO','RIO GRANDE','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6159680,6.00,6.00,6.00,7.00,9.00,10.13,3.00,3.00,6.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',5114,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6159699,3.00,4.00,3.00,5.00,3.00,6.00,2.00,3.00,1.00,235,NULL,233,'TAPERA','FLORIANÓPOLIS','SC',16960,404,NULL,430,NULL,NULL,NULL,2,1),(25,6159702,4.00,4.00,3.00,4.00,8.00,9.38,1.00,4.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',8794,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6159710,2.00,4.00,0.00,2.00,5.00,5.63,0.00,1.00,1.00,999,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159729,2.00,3.00,1.00,1.00,5.00,7.13,0.00,1.00,3.00,103,NULL,NULL,'ESPRAIADO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159737,4.00,3.00,0.00,3.00,4.00,7.50,1.00,1.00,2.00,9,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',19223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159745,8.00,6.00,2.00,6.00,7.00,8.63,3.00,6.00,6.00,201,NULL,203,'UBERABA','CURITIBA','PR',5371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159753,1.00,2.00,2.00,2.00,6.00,6.38,2.00,3.00,3.00,423,NULL,428,'INGLESES','FLORIANÓPOLIS','SC',20894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159761,7.00,5.00,3.00,4.00,5.00,8.63,1.00,7.00,6.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',7712,3120,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159770,7.00,8.00,5.00,6.00,11.00,13.13,2.00,6.00,5.00,203,NULL,233,'ITACORUBI','FLORIANÓPOLIS','SC',861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159788,8.00,8.00,2.00,6.00,8.00,7.50,4.00,5.00,9.00,220,NULL,202,'ZONA INDUSTRIAL NORT','JOINVILLE','SC',2262,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6159796,3.00,5.00,1.00,5.00,5.00,9.38,0.00,4.00,2.00,108,NULL,NULL,'VILA VITÓRIA','LAGUNA','SC',15027,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6159818,5.00,8.00,1.00,5.00,9.00,8.63,0.00,5.00,5.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',7514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159826,6.00,8.00,1.00,6.00,9.00,5.25,2.00,7.00,8.00,203,NULL,202,'MIRAGEM','LAURO FREITAS','BA',3415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159834,5.00,6.00,0.00,3.00,10.00,10.50,2.00,5.00,4.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',10792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159850,4.00,4.00,3.00,1.00,6.00,6.38,0.00,3.00,1.00,999,NULL,NULL,'PRÓFLOR','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6159869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BELA VISTA','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6159877,3.00,4.00,0.00,4.00,8.00,10.88,2.00,1.00,2.00,420,NULL,NULL,'FÁTIMA','JOINVILLE','SC',12567,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6159885,4.00,6.00,1.00,7.00,8.00,11.25,0.00,3.00,5.00,999,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6159893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','SORRISO','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6159907,3.00,3.00,3.00,4.00,6.00,6.00,0.00,2.00,0.00,429,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159915,2.00,2.00,3.00,1.00,4.00,6.38,3.00,5.00,4.00,444,NULL,NULL,'ROÇADO','S JOSÉ','SC',19386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159923,4.00,6.00,3.00,7.00,7.00,8.63,0.00,8.00,6.00,5,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',5468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159931,2.00,5.00,1.00,5.00,6.00,8.25,4.00,3.00,3.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6159940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6159958,2.00,5.00,4.00,3.00,6.00,7.50,1.00,6.00,2.00,318,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',12659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6159966,7.00,7.00,5.00,6.00,10.00,11.63,4.00,7.00,9.00,103,NULL,NULL,'CENTRO','ASSIS','SP',485,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6159974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CHÁCARA INGLESA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6159990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOÃO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6160000,5.00,5.00,2.00,6.00,5.00,11.63,3.00,3.00,3.00,450,NULL,NULL,'JOAO PESSOA','JARAGUÁ SUL','SC',10023,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6160018,4.00,4.00,2.00,6.00,8.00,9.38,1.00,3.00,2.00,415,NULL,NULL,'VINTE CINCO DE JULHO','S BENTO SUL','SC',11350,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6160026,3.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6160050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6160069,5.00,8.00,2.00,6.00,9.00,7.88,1.00,5.00,5.00,207,NULL,208,'ROÇADO','S JOSÉ','SC',5241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160077,9.00,6.00,3.00,7.00,9.00,9.75,2.00,8.00,8.00,108,NULL,NULL,'DUQUE DE CAXIAS II','CUIABÁ','MT',1977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6160093,2.00,3.00,0.00,0.00,4.00,NULL,0.00,3.00,0.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6160115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'AZULVILLE','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6160123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PARAÍSO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6160131,3.00,4.00,3.00,1.00,4.00,6.75,0.00,1.00,3.00,202,NULL,235,'MEIA PRAIA','ITAPEMA','SC',21179,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6160166,1.00,3.00,1.00,3.00,3.00,NULL,0.00,1.00,2.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6160174,4.00,5.00,2.00,5.00,9.00,9.00,1.00,3.00,4.00,501,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',11157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'ESTAÇÃO','URUSSANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6160190,4.00,6.00,5.00,7.00,9.00,8.63,2.00,6.00,5.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',4034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160204,3.00,7.00,0.00,5.00,7.00,8.25,2.00,3.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160220,2.00,5.00,5.00,3.00,6.00,8.25,1.00,3.00,1.00,317,NULL,NULL,'VILA DOZE','ANTÔNIO CARLOS','SC',16587,102,NULL,NULL,NULL,NULL,NULL,2,1),(25,6160247,1.00,4.00,1.00,2.00,7.00,NULL,2.00,1.00,0.00,450,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160263,3.00,3.00,0.00,5.00,2.00,NULL,2.00,2.00,2.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6160271,5.00,8.00,5.00,7.00,8.00,10.50,2.00,6.00,5.00,340,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',3060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160280,5.00,5.00,2.00,6.00,6.00,10.88,2.00,3.00,5.00,207,NULL,201,'SÃO DOMINGOS','MOCOCA','SP',6495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160298,5.00,7.00,3.00,7.00,10.00,9.38,2.00,4.00,4.00,326,NULL,NULL,'SANTO ANTONIO','CPO GRANDE','MS',4502,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6160301,6.00,6.00,2.00,6.00,7.00,NULL,0.00,7.00,6.00,103,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6160310,7.00,7.00,5.00,5.00,8.00,8.25,4.00,6.00,8.00,103,NULL,NULL,'VITORIA REGIA','CORNÉLIO PROCÓPIO','PR',2445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160352,3.00,4.00,1.00,3.00,7.00,NULL,0.00,4.00,1.00,104,NULL,NULL,'JARDIM OURO VERDE','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6160379,2.00,4.00,3.00,1.00,5.00,NULL,2.00,0.00,0.00,404,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6160387,3.00,6.00,2.00,3.00,7.00,10.13,2.00,3.00,3.00,201,NULL,601,'CENTRO','TIMBÉ SUL','SC',11732,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6160395,3.00,1.00,1.00,2.00,3.00,8.63,2.00,0.00,2.00,201,NULL,207,'CENTRO','NAVEGANTES','SC',19714,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6160409,5.00,5.00,2.00,3.00,9.00,10.13,1.00,2.00,5.00,216,NULL,201,'GLÓRIA','JOINVILLE','SC',8647,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6160417,4.00,6.00,1.00,5.00,4.00,7.13,0.00,5.00,0.00,415,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',18715,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6160425,4.00,3.00,1.00,6.00,6.00,7.50,0.00,3.00,0.00,423,NULL,424,'MONTE VERDE','FLORIANÓPOLIS','SC',17434,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6160433,5.00,6.00,5.00,6.00,7.00,10.50,1.00,6.00,2.00,223,NULL,NULL,'AREIAS','CAMBORIÚ','SC',8605,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6160441,3.00,6.00,0.00,6.00,6.00,8.63,3.00,2.00,2.00,303,NULL,NULL,'IPIRANGA','S JOSÉ','SC',16303,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6160450,8.00,8.00,7.00,6.00,8.00,10.50,4.00,7.00,6.00,233,NULL,216,'CANTA GALO','RIO SUL','SC',769,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6160468,4.00,3.00,1.00,3.00,6.00,NULL,0.00,1.00,0.00,420,NULL,NULL,'JARDIM CARANDAI','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6160476,2.00,0.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','TRINDADE SUL','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(25,6160484,6.00,6.00,3.00,5.00,8.00,10.88,2.00,6.00,7.00,104,NULL,NULL,'CENTRO','TREVISO','SC',4574,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6160492,5.00,5.00,6.00,5.00,6.00,9.00,4.00,2.00,5.00,220,NULL,235,'SETOR BUENO','GOIÂNIA','GO',5769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'FATIMA','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6160522,2.00,4.00,1.00,2.00,5.00,8.25,3.00,1.00,1.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'BAIRRO ÁGUA BRANCA','CAMBUÍ','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6160549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','ARROIO SAL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6160557,3.00,5.00,1.00,4.00,7.00,NULL,2.00,5.00,0.00,207,NULL,233,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160565,1.00,4.00,2.00,2.00,6.00,0.00,1.00,3.00,2.00,501,NULL,NULL,'LA SALLE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6160573,8.00,6.00,5.00,8.00,9.00,12.75,1.00,8.00,7.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1048,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6160581,5.00,8.00,3.00,7.00,9.00,8.25,2.00,6.00,8.00,220,NULL,235,'JARDIM PLANALTO','PTO ALEGRE','RS',3303,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6160590,4.00,4.00,2.00,2.00,5.00,6.00,4.00,2.00,2.00,103,NULL,NULL,'JOÃO WINCKLER','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6160611,7.00,5.00,1.00,5.00,8.00,9.00,3.00,5.00,3.00,208,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',7817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160620,4.00,0.00,4.00,5.00,6.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6160638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOQUEIRÃO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6160646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6160654,6.00,6.00,0.00,4.00,8.00,8.25,1.00,8.00,7.00,103,NULL,NULL,'CHAMPAGNE','GARIBALDI','RS',5813,2667,NULL,NULL,NULL,NULL,NULL,2,9),(25,6160662,6.00,6.00,1.00,6.00,5.00,9.75,1.00,4.00,5.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',9359,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6160670,4.00,6.00,5.00,5.00,6.00,8.25,0.00,5.00,2.00,404,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6160689,1.00,2.00,1.00,2.00,6.00,8.25,0.00,1.00,2.00,207,NULL,211,'CAMPESTRE','IMBITUBA','SC',19952,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6160697,1.00,3.00,2.00,3.00,6.00,7.13,3.00,3.00,3.00,225,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6160735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VILA SONIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6160743,5.00,6.00,2.00,4.00,8.00,7.88,3.00,3.00,2.00,220,NULL,203,'CENTRO','ITUPORANGA','SC',10789,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6160760,4.00,4.00,0.00,5.00,4.00,7.13,2.00,3.00,2.00,104,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',19827,554,NULL,NULL,NULL,NULL,NULL,2,1),(25,6160778,1.00,3.00,0.00,2.00,6.00,3.38,2.00,0.00,2.00,208,NULL,220,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160786,2.00,2.00,1.00,3.00,4.00,7.13,2.00,3.00,1.00,502,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6160794,1.00,1.00,0.00,2.00,5.00,5.25,0.00,3.00,1.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',21750,83,NULL,NULL,NULL,NULL,NULL,2,1),(25,6160808,4.00,5.00,2.00,6.00,8.00,9.00,1.00,3.00,5.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',9286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160816,5.00,6.00,6.00,7.00,7.00,6.38,2.00,6.00,6.00,220,NULL,203,'COSTA E SILVA','JOINVILLE','SC',5450,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6160824,6.00,5.00,3.00,6.00,5.00,9.75,4.00,5.00,7.00,203,NULL,202,'ESTÂNCIA PINHAIS','PINHAIS','PR',4637,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6160859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'JARDIM DAS AMÉRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6160867,3.00,3.00,2.00,3.00,5.00,NULL,0.00,1.00,3.00,319,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160875,1.00,1.00,2.00,3.00,4.00,6.75,3.00,0.00,2.00,103,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6160891,5.00,5.00,4.00,2.00,5.00,7.50,1.00,2.00,5.00,103,NULL,NULL,'SÃO LOURENÇO','CURITIBA','PR',14070,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6160905,8.00,5.00,7.00,6.00,8.00,7.50,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','LOANDA','PR',1108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160913,8.00,7.00,6.00,6.00,10.00,11.63,6.00,6.00,9.00,201,NULL,202,'CENTRO','FRANCISCO BELTRÃO','PR',571,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6160921,6.00,4.00,2.00,5.00,8.00,12.38,1.00,5.00,3.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',8240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160930,2.00,6.00,1.00,5.00,6.00,10.13,1.00,6.00,2.00,316,NULL,NULL,'JARDIM MARAVILHA','GUARUJÁ','SP',12239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6160948,3.00,7.00,0.00,5.00,10.00,NULL,2.00,5.00,4.00,5,NULL,NULL,'TARUMÃ','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6160956,7.00,4.00,6.00,6.00,8.00,7.13,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','ASSAÍ','PR',3430,1871,NULL,NULL,NULL,NULL,NULL,4,1),(25,6160964,5.00,6.00,3.00,7.00,7.00,9.38,1.00,2.00,4.00,453,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',10139,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6160972,5.00,4.00,2.00,6.00,7.00,8.63,3.00,6.00,3.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',11131,399,NULL,NULL,NULL,NULL,NULL,2,1),(25,6160980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6160999,1.00,4.00,2.00,6.00,5.00,7.88,0.00,2.00,2.00,451,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',20310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161014,4.00,5.00,4.00,4.00,6.00,6.38,3.00,1.00,5.00,211,NULL,216,'PANTANAL','FLORIANÓPOLIS','SC',13217,347,NULL,465,NULL,NULL,NULL,2,1),(25,6161022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6161030,2.00,3.00,2.00,2.00,3.00,8.63,1.00,0.00,0.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',21570,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6161049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6161057,7.00,7.00,1.00,3.00,8.00,7.50,1.00,8.00,5.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',6578,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6161065,2.00,3.00,0.00,4.00,6.00,8.25,3.00,1.00,1.00,450,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',20023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6161073,4.00,5.00,1.00,2.00,7.00,9.00,1.00,3.00,2.00,601,NULL,211,'IGRA NORTE','TORRES','RS',16800,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6161081,3.00,1.00,1.00,3.00,6.00,5.25,1.00,1.00,1.00,333,NULL,NULL,'BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC',20668,166,NULL,NULL,NULL,NULL,NULL,4,1),(25,6161090,3.00,4.00,3.00,3.00,2.00,NULL,2.00,3.00,0.00,202,NULL,213,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161103,1.00,3.00,0.00,0.00,2.00,NULL,1.00,1.00,2.00,9,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6161120,3.00,5.00,4.00,4.00,6.00,7.88,4.00,4.00,4.00,503,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',13942,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161138,8.00,8.00,5.00,7.00,9.00,10.13,5.00,8.00,8.00,214,NULL,212,'CENTRO','CAÇAPAVA','SP',802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6161154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6161162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6161197,1.00,4.00,2.00,3.00,6.00,7.50,2.00,0.00,1.00,201,NULL,207,'MORRO DO MIRIN','IMBITUBA','SC',19131,1572,NULL,1032,NULL,NULL,NULL,2,10),(25,6161219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6161235,4.00,6.00,1.00,6.00,7.00,5.25,2.00,3.00,5.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',11945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161243,9.00,7.00,6.00,7.00,9.00,9.00,7.00,6.00,8.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6161251,4.00,5.00,2.00,4.00,6.00,10.13,1.00,2.00,2.00,104,NULL,NULL,'CENTRO','NOVA ARAÇÁ','RS',16404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161260,4.00,4.00,2.00,5.00,6.00,9.38,0.00,3.00,1.00,103,NULL,NULL,'JULIO DE MESQUITA F','SOROCABA','SP',17088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6161278,3.00,2.00,0.00,3.00,3.00,6.75,1.00,2.00,1.00,103,NULL,NULL,'NAÇÕES','INDAIAL','SC',21600,4798,NULL,NULL,NULL,NULL,NULL,2,2),(25,6161294,3.00,5.00,3.00,3.00,7.00,5.25,0.00,3.00,2.00,551,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',17361,19,NULL,NULL,NULL,NULL,NULL,2,7),(25,6161308,5.00,6.00,2.00,2.00,5.00,7.50,1.00,3.00,3.00,104,NULL,NULL,'CENTRO','ANCHIETA','SC',14537,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6161316,3.00,2.00,2.00,2.00,3.00,7.13,0.00,0.00,3.00,503,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6161324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SANTA LUZIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6161332,2.00,2.00,3.00,3.00,3.00,NULL,0.00,0.00,1.00,101,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161359,5.00,6.00,2.00,5.00,6.00,7.13,1.00,3.00,6.00,203,NULL,214,'SAO JOSE','ARACAJU','SE',13552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6161367,6.00,7.00,1.00,6.00,8.00,9.75,0.00,6.00,4.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',7876,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161383,3.00,6.00,2.00,4.00,4.00,8.63,2.00,3.00,4.00,339,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',17335,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'TERRA NOVA','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6161413,4.00,4.00,0.00,3.00,7.00,7.13,3.00,2.00,3.00,653,NULL,213,'RIO TAVARES','FLORIANÓPOLIS','SC',14186,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161421,5.00,3.00,2.00,6.00,6.00,10.13,1.00,4.00,3.00,301,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',11126,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161448,4.00,6.00,2.00,4.00,3.00,4.88,0.00,5.00,3.00,110,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6161456,2.00,4.00,2.00,4.00,3.00,6.38,2.00,4.00,1.00,203,NULL,220,'PRAIA COMPRIDA','S JOSÉ','SC',19773,1094,NULL,481,NULL,NULL,NULL,2,1),(25,6161464,3.00,5.00,2.00,5.00,4.00,7.50,2.00,4.00,2.00,324,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161472,3.00,6.00,1.00,3.00,6.00,8.63,0.00,1.00,4.00,103,NULL,NULL,'SÃO BENEDITO','ALPINÓPOLIS','MG',15318,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161480,2.00,3.00,0.00,3.00,6.00,NULL,3.00,3.00,1.00,999,NULL,NULL,'HUMAITÁ DE CIMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6161499,4.00,8.00,4.00,7.00,6.00,7.50,2.00,6.00,4.00,340,NULL,NULL,'JARDIM AMERICA','RIO SUL','SC',6713,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6161502,6.00,5.00,4.00,5.00,8.00,7.88,1.00,3.00,3.00,9,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',10016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6161510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6161537,4.00,5.00,1.00,6.00,8.00,9.38,2.00,7.00,3.00,207,NULL,201,'TREVO DA GUARANI','PATO BRANCO','PR',7626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6161553,5.00,6.00,4.00,5.00,6.00,8.25,2.00,4.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6795,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6161561,4.00,3.00,4.00,4.00,4.00,8.63,0.00,4.00,2.00,202,NULL,213,'SANTO ISIDORO','TRÊS B PARANÁ','PR',16153,507,NULL,237,NULL,NULL,NULL,2,1),(25,6161570,6.00,5.00,2.00,6.00,8.00,9.38,2.00,8.00,5.00,303,NULL,NULL,'GUARIA','CURITIBA','PR',5515,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6161588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SÃO JORGE','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6161596,6.00,7.00,4.00,3.00,7.00,10.88,1.00,6.00,5.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',6055,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6161600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'PARAISO','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6161618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'SUMARÉ','LAURO MÜLLER','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6161626,4.00,8.00,5.00,7.00,9.00,10.13,3.00,7.00,4.00,317,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',2845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6161634,3.00,5.00,3.00,4.00,5.00,6.38,3.00,2.00,1.00,317,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',19159,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161642,6.00,7.00,2.00,4.00,8.00,7.88,1.00,6.00,6.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',6478,2822,NULL,NULL,NULL,NULL,NULL,4,2),(25,6161650,4.00,6.00,0.00,4.00,5.00,6.75,2.00,3.00,3.00,999,NULL,NULL,'CENTRO','LACERDÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6161669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'SANTA CANDIDA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6161677,3.00,5.00,2.00,1.00,6.00,5.25,1.00,4.00,1.00,652,NULL,201,'GARCIA','ANGELINA','SC',17556,56,NULL,NULL,NULL,NULL,NULL,4,1),(25,6161685,3.00,6.00,0.00,5.00,5.00,8.63,2.00,1.00,3.00,104,NULL,NULL,'SÃO JOSÉ','TRAMANDAÍ','RS',16463,451,NULL,NULL,NULL,NULL,NULL,2,5),(25,6161693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SEMINÁRIO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6161715,3.00,4.00,1.00,2.00,5.00,7.13,1.00,4.00,2.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161723,6.00,7.00,3.00,5.00,8.00,9.38,3.00,4.00,4.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7759,288,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161740,3.00,6.00,0.00,3.00,5.00,9.38,1.00,1.00,2.00,452,NULL,NULL,'CENTRO','BOM RETIRO','SC',19512,125,NULL,NULL,NULL,NULL,NULL,2,9),(25,6161766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FAXINAL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6161782,5.00,3.00,2.00,2.00,6.00,6.75,3.00,2.00,2.00,301,NULL,NULL,'AMÉRICA','JOINVILLE','SC',17790,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6161790,5.00,5.00,1.00,3.00,7.00,7.13,2.00,1.00,3.00,234,NULL,NULL,'BOQUEIRÃO','PR GRANDE','SP',16824,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6161804,1.00,2.00,3.00,5.00,6.00,10.88,0.00,1.00,1.00,429,NULL,424,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6161812,7.00,6.00,8.00,5.00,8.00,8.25,4.00,8.00,8.00,103,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',1144,773,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161820,5.00,5.00,6.00,6.00,6.00,6.75,2.00,3.00,3.00,999,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6161839,4.00,6.00,3.00,6.00,6.00,9.00,2.00,5.00,4.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',10605,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','GUARATINGUETÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6161863,4.00,5.00,1.00,2.00,5.00,8.25,5.00,6.00,3.00,304,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6161871,3.00,1.00,1.00,3.00,6.00,5.63,0.00,3.00,0.00,101,NULL,NULL,'CENTRO','TIJUCAS','SC',21449,176,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161880,3.00,2.00,0.00,1.00,5.00,NULL,3.00,2.00,2.00,101,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6161898,5.00,7.00,0.00,4.00,8.00,9.38,0.00,3.00,5.00,303,NULL,NULL,'VILA PRADO','S CARLOS','SP',8476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6161901,5.00,6.00,5.00,5.00,7.00,9.75,2.00,4.00,4.00,5,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',6814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6161910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SACO DOD LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(25,6161928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'MORRO DO POSTO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6161936,4.00,4.00,1.00,6.00,8.00,9.00,1.00,0.00,1.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6161944,2.00,2.00,2.00,1.00,1.00,NULL,0.00,4.00,1.00,424,NULL,427,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6161952,6.00,5.00,2.00,4.00,6.00,10.13,2.00,5.00,3.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9713,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161960,0.00,1.00,0.00,0.00,1.00,NULL,0.00,1.00,0.00,404,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6161987,1.00,0.00,0.00,3.00,3.00,NULL,1.00,2.00,0.00,109,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6161995,3.00,7.00,1.00,3.00,5.00,NULL,2.00,3.00,0.00,201,NULL,212,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6162002,2.00,3.00,1.00,1.00,5.00,NULL,0.00,3.00,3.00,101,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162010,2.00,3.00,3.00,4.00,7.00,9.75,2.00,1.00,0.00,208,NULL,207,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6162037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,233,'CENTRO','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6162045,1.00,2.00,3.00,2.00,4.00,6.75,1.00,1.00,2.00,9,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6162070,1.00,3.00,1.00,2.00,3.00,NULL,2.00,0.00,1.00,303,NULL,NULL,'JARDIM PRIMAVERA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162088,5.00,4.00,3.00,5.00,5.00,9.00,3.00,4.00,2.00,109,NULL,NULL,'BARREIROS','S JOSÉ','SC',11274,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6162096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6162100,4.00,0.00,4.00,5.00,7.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6162126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,238,'SÃO FRANCISCO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6162134,2.00,4.00,3.00,2.00,6.00,NULL,0.00,3.00,3.00,319,NULL,NULL,'CHICO DE PAULA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6162142,3.00,4.00,3.00,6.00,8.00,9.38,2.00,2.00,2.00,238,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',10878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162150,5.00,5.00,4.00,7.00,6.00,7.88,0.00,3.00,4.00,103,NULL,NULL,'CENTRO','CAMBÉ','PR',9222,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6162177,1.00,7.00,1.00,2.00,8.00,8.25,0.00,4.00,1.00,108,NULL,NULL,'USINA','ANTÔNIO CARLOS','SC',15141,223,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162193,3.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(25,6162207,2.00,2.00,2.00,2.00,5.00,7.50,3.00,5.00,1.00,201,NULL,216,'RIBEIRÃO CAFÉ','TROMBUDO CENTRAL','SC',18155,1504,NULL,577,NULL,NULL,NULL,2,2),(25,6162215,3.00,3.00,3.00,2.00,5.00,9.00,2.00,1.00,1.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',20598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162231,4.00,6.00,1.00,5.00,8.00,7.50,1.00,5.00,1.00,5,NULL,NULL,'LOT MONTE CASTELO','CRICIÚMA','SC',14943,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6162240,3.00,5.00,3.00,3.00,6.00,8.25,0.00,3.00,0.00,202,NULL,213,'FORQUILHINHAS','S JOSÉ','SC',18784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162266,1.00,3.00,0.00,1.00,5.00,NULL,0.00,4.00,0.00,303,NULL,NULL,'PLANALTO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6162282,6.00,7.00,3.00,7.00,8.00,6.75,2.00,6.00,3.00,201,NULL,207,'COQUEIROS','FLORIANÓPOLIS','SC',7359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162290,4.00,4.00,0.00,5.00,7.00,NULL,0.00,1.00,1.00,428,NULL,425,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6162304,2.00,4.00,1.00,3.00,6.00,NULL,3.00,0.00,1.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6162312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6162320,5.00,5.00,1.00,3.00,6.00,7.13,3.00,0.00,1.00,110,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',18189,100,NULL,NULL,NULL,NULL,NULL,2,1),(25,6162339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'DOS ESTADOS','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6162347,7.00,6.00,0.00,4.00,7.00,7.88,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',10160,3574,NULL,NULL,NULL,NULL,NULL,2,8),(25,6162355,9.00,7.00,4.00,6.00,5.00,8.63,1.00,5.00,6.00,103,NULL,NULL,'RIBEIRAO DO MEIO','CARLÓPOLIS','PR',4911,2391,NULL,NULL,NULL,NULL,NULL,2,8),(25,6162363,7.00,5.00,3.00,2.00,8.00,7.50,1.00,3.00,5.00,207,NULL,216,'CENTRO','ERECHIM','RS',7569,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6162371,4.00,5.00,2.00,2.00,8.00,9.75,2.00,4.00,3.00,103,NULL,NULL,'BELA VISTA','PALHOÇA','SC',12410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162380,5.00,3.00,0.00,5.00,5.00,NULL,0.00,2.00,0.00,103,NULL,NULL,'JARDIM ESPERANÇA','PNT PORÃ','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6162398,4.00,5.00,5.00,3.00,6.00,6.75,5.00,5.00,4.00,233,NULL,213,'RIO VERMELHO','FLORIANÓPOLIS','SC',7360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JD RECANTO DO VALE','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6162410,3.00,3.00,1.00,4.00,4.00,7.88,2.00,5.00,0.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162436,5.00,4.00,4.00,1.00,8.00,8.63,3.00,0.00,2.00,335,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',17864,7,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162452,5.00,3.00,3.00,4.00,4.00,NULL,0.00,4.00,2.00,104,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6162479,2.00,3.00,0.00,0.00,4.00,NULL,1.00,1.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6162495,2.00,5.00,0.00,1.00,5.00,8.25,0.00,2.00,1.00,110,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',21413,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6162509,2.00,6.00,2.00,5.00,10.00,10.50,2.00,5.00,2.00,327,NULL,NULL,'SANTA TERESA','S PEDRO ALCÂNTARA','SC',8309,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6162517,6.00,5.00,4.00,5.00,7.00,8.63,2.00,6.00,6.00,207,NULL,201,'CAMPOS DE HOLAMBRA','PARANAPANEMA','SP',6307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162525,8.00,6.00,6.00,5.00,10.00,7.88,2.00,6.00,7.00,223,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',2893,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6162533,3.00,6.00,6.00,4.00,6.00,7.13,1.00,4.00,5.00,104,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',12054,274,NULL,NULL,NULL,NULL,NULL,2,1),(25,6162541,2.00,4.00,0.00,3.00,6.00,8.25,1.00,2.00,2.00,333,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',17426,132,NULL,NULL,NULL,NULL,NULL,2,1),(25,6162550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARTELLO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6162568,7.00,7.00,2.00,6.00,9.00,9.38,2.00,6.00,8.00,201,NULL,233,'CENTRO','POMERODE','SC',3155,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6162576,4.00,4.00,4.00,6.00,6.00,9.00,2.00,3.00,4.00,223,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',9594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162592,8.00,5.00,0.00,6.00,7.00,12.38,1.00,3.00,3.00,108,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',6193,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6162606,6.00,7.00,1.00,4.00,5.00,9.75,2.00,5.00,4.00,101,NULL,NULL,'CENTRO','ASCURRA','SC',9423,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6162614,1.00,6.00,2.00,3.00,6.00,NULL,0.00,3.00,1.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6162622,5.00,7.00,0.00,7.00,7.00,9.38,2.00,4.00,2.00,203,NULL,202,'OFICINAS','TUBARÃO','SC',12135,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6162649,5.00,5.00,0.00,5.00,7.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6162657,5.00,5.00,3.00,5.00,8.00,9.75,2.00,3.00,3.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162665,3.00,7.00,2.00,5.00,6.00,8.25,1.00,4.00,3.00,238,NULL,208,'SÃO SEBASTIÃO','PALHOÇA','SC',11534,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6162673,3.00,6.00,0.00,3.00,4.00,9.75,2.00,4.00,2.00,234,NULL,NULL,'REBOUÇAS','CURITIBA','PR',18071,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6162681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6162703,0.00,3.00,3.00,5.00,6.00,7.50,2.00,2.00,5.00,201,NULL,213,'CENTRO','SALETE','SC',16091,1367,NULL,236,NULL,NULL,NULL,4,6),(25,6162711,4.00,5.00,6.00,7.00,8.00,7.88,0.00,5.00,3.00,213,NULL,212,'MUARAMA','PASSOS','MG',6961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162746,3.00,0.00,3.00,4.00,7.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'PANORAMA','ARAPONGAS','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(25,6162762,2.00,3.00,2.00,2.00,2.00,NULL,1.00,1.00,1.00,302,NULL,NULL,'CENTRO','MONDAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6162770,3.00,3.00,0.00,2.00,3.00,4.50,3.00,2.00,1.00,303,NULL,NULL,'CENTRO','S DOMINGOS','SC',21629,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6162789,6.00,3.00,3.00,6.00,9.00,9.00,0.00,3.00,6.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6162797,2.00,6.00,3.00,1.00,5.00,9.38,1.00,2.00,2.00,5,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',18449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162800,5.00,5.00,2.00,5.00,6.00,7.13,1.00,1.00,3.00,336,NULL,NULL,'AMADORI','PATO BRANCO','PR',15671,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6162819,3.00,4.00,2.00,5.00,6.00,6.00,1.00,5.00,2.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162827,8.00,6.00,7.00,6.00,5.00,10.88,1.00,5.00,8.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',2443,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6162835,2.00,4.00,0.00,3.00,6.00,NULL,1.00,2.00,3.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6162843,7.00,9.00,6.00,6.00,10.00,9.38,3.00,8.00,8.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',557,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6162851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'BARRA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6162860,4.00,4.00,0.00,4.00,4.00,NULL,0.00,3.00,2.00,444,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6162878,4.00,4.00,0.00,4.00,4.00,9.00,1.00,1.00,3.00,110,NULL,NULL,'VILA MONTEIRO','PIRACICABA','SP',19631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162886,6.00,7.00,4.00,5.00,7.00,7.50,3.00,8.00,6.00,103,NULL,NULL,'CENTRO','RONDON','PR',3544,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6162894,3.00,4.00,2.00,5.00,5.00,7.13,1.00,3.00,2.00,104,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14384,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6162908,2.00,6.00,1.00,4.00,4.00,8.63,1.00,4.00,3.00,103,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6162916,3.00,5.00,3.00,3.00,5.00,5.25,2.00,1.00,4.00,999,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6162932,6.00,2.00,2.00,1.00,8.00,8.63,0.00,3.00,1.00,103,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',18336,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6162967,3.00,6.00,0.00,5.00,5.00,7.88,2.00,2.00,1.00,654,NULL,NULL,'CENTRO','ARARANGUÁ','SC',15511,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6162975,8.00,5.00,7.00,7.00,10.00,10.88,5.00,8.00,8.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6162983,8.00,7.00,3.00,6.00,11.00,10.50,3.00,8.00,6.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',1167,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6162991,5.00,6.00,4.00,4.00,6.00,9.00,3.00,4.00,2.00,201,NULL,233,'CALHEIROS','GOV CELSO RAMOS','SC',11120,929,NULL,303,NULL,NULL,NULL,2,1),(25,6163009,3.00,4.00,4.00,7.00,6.00,NULL,0.00,4.00,3.00,214,NULL,212,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6163017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6163025,2.00,3.00,2.00,3.00,7.00,NULL,0.00,1.00,2.00,309,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6163050,0.00,6.00,0.00,0.00,0.00,NULL,2.00,8.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',4,1),(25,6163068,1.00,4.00,0.00,4.00,3.00,6.00,4.00,3.00,4.00,317,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6163076,8.00,6.00,3.00,5.00,9.00,8.63,5.00,5.00,8.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',1725,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6163084,6.00,4.00,1.00,3.00,5.00,9.00,0.00,4.00,6.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',10084,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6163092,5.00,5.00,7.00,6.00,7.00,9.75,4.00,7.00,7.00,214,NULL,212,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163106,4.00,2.00,3.00,4.00,4.00,6.75,2.00,5.00,4.00,235,NULL,202,'NASPOLINI','MRO FUMAÇA','SC',15245,372,NULL,480,NULL,NULL,NULL,4,5),(25,6163114,4.00,5.00,1.00,5.00,6.00,6.00,1.00,4.00,1.00,103,NULL,NULL,'LINHA REAL','TUNÁPOLIS','SC',15516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163122,5.00,6.00,2.00,3.00,6.00,7.50,2.00,3.00,3.00,238,NULL,208,'PACHECO','PALHOÇA','SC',15549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163130,7.00,5.00,4.00,3.00,7.00,9.00,4.00,6.00,3.00,202,NULL,235,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',7948,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6163149,5.00,8.00,3.00,6.00,8.00,8.25,2.00,8.00,4.00,303,NULL,NULL,'CENTRO','DIONÍSIO CERQUEIRA','SC',4299,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6163157,6.00,6.00,1.00,6.00,8.00,12.00,3.00,6.00,6.00,5,NULL,NULL,'CENTRO','SOMBRIO','SC',3723,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6163165,6.00,8.00,5.00,6.00,9.00,9.38,3.00,7.00,5.00,207,NULL,NULL,'CENTRO','CURITIBA','PR',2388,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6163190,5.00,5.00,3.00,3.00,6.00,6.38,2.00,3.00,0.00,336,NULL,NULL,'SAO LUIZ','LAGES','SC',18671,151,NULL,NULL,NULL,NULL,NULL,4,9),(25,6163203,4.00,7.00,2.00,6.00,8.00,9.00,1.00,3.00,5.00,233,NULL,211,'UNIVERSITÁRIO','TIJUCAS','SC',8641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163220,2.00,2.00,3.00,3.00,4.00,7.50,1.00,3.00,1.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163246,3.00,2.00,2.00,2.00,3.00,8.63,1.00,1.00,2.00,203,NULL,201,'BAIRRO ALTO','CURITIBA','PR',21147,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6163254,7.00,5.00,2.00,6.00,8.00,9.75,5.00,7.00,6.00,5,NULL,NULL,'BACACHERI','CURITIBA','PR',3137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163262,4.00,4.00,2.00,5.00,6.00,7.13,2.00,6.00,6.00,319,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',9852,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6163270,5.00,4.00,3.00,3.00,5.00,7.50,2.00,0.00,2.00,207,NULL,601,'SAGUAÇU','JOINVILLE','SC',17017,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6163289,4.00,4.00,2.00,4.00,4.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'MONTE VERDE','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6163297,1.00,2.00,2.00,1.00,4.00,NULL,0.00,1.00,2.00,211,NULL,201,'LIMEIRA','CEL VIVIDA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6163300,7.00,6.00,5.00,7.00,8.00,10.13,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',3133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163319,6.00,6.00,4.00,7.00,9.00,8.25,0.00,6.00,7.00,201,NULL,212,'CONJUNTO ATUBA','PINHAIS','PR',2398,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6163327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CIDADE JARDIM','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6163343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'FRITZ LORENZ','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6163351,3.00,4.00,3.00,6.00,8.00,6.00,1.00,3.00,2.00,203,NULL,207,'IRIRIU','JOINVILLE','SC',15022,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6163378,7.00,8.00,6.00,5.00,6.00,8.63,1.00,8.00,5.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',4070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163386,4.00,5.00,1.00,5.00,8.00,9.00,2.00,2.00,2.00,303,NULL,NULL,'VELHA','BLUMENAU','SC',12225,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6163394,8.00,7.00,2.00,4.00,10.00,6.00,2.00,7.00,2.00,103,NULL,NULL,'BUTIATUVINHA','CURITIBA','PR',6532,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6163408,3.00,5.00,0.00,3.00,7.00,6.75,1.00,6.00,2.00,999,NULL,NULL,'SETOR FUNCIONÁRIOS','POSSE','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163416,6.00,6.00,4.00,7.00,9.00,11.63,4.00,7.00,5.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',2092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163432,6.00,4.00,4.00,6.00,8.00,10.13,4.00,4.00,6.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163459,2.00,6.00,1.00,3.00,7.00,7.88,3.00,2.00,3.00,103,NULL,NULL,'URUSANGUINHA','ARARANGUÁ','SC',14527,4185,NULL,NULL,NULL,NULL,NULL,2,15),(25,6163467,0.00,3.00,1.00,1.00,1.00,NULL,2.00,1.00,3.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6163475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TUCANOS','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6163483,8.00,6.00,6.00,7.00,8.00,10.50,2.00,6.00,9.00,303,NULL,NULL,'JARDIM IRAJA','RIBEIRÃO PRETO','SP',999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163491,6.00,6.00,3.00,4.00,4.00,8.25,2.00,5.00,4.00,110,NULL,NULL,'GUILMAR','ANTÔNIO CARLOS','SC',11561,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6163505,1.00,5.00,1.00,5.00,7.00,NULL,1.00,4.00,0.00,423,NULL,427,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6163513,2.00,1.00,0.00,3.00,4.00,NULL,0.00,1.00,1.00,202,NULL,203,'PONTA DA PRAIA','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163521,1.00,1.00,1.00,4.00,6.00,8.63,4.00,3.00,1.00,104,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',18179,506,NULL,NULL,NULL,NULL,NULL,2,1),(25,6163530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'ARMAÇÃO','PENHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6163548,7.00,6.00,2.00,7.00,9.00,8.63,1.00,6.00,4.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',6900,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6163556,6.00,6.00,1.00,5.00,8.00,10.13,0.00,2.00,1.00,103,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',11797,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6163564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA DAS HORTENCIAS','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6163572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6163580,4.00,1.00,3.00,7.00,5.00,NULL,0.00,1.00,1.00,999,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6163599,2.00,2.00,0.00,3.00,4.00,8.25,1.00,2.00,0.00,103,NULL,NULL,'CENTRO','GARIBALDI','RS',19680,4662,NULL,NULL,NULL,NULL,NULL,4,9),(25,6163610,2.00,1.00,0.00,1.00,2.00,NULL,2.00,2.00,2.00,319,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6163637,3.00,4.00,0.00,3.00,5.00,NULL,2.00,1.00,1.00,501,NULL,NULL,'LINHA BRACO COCAL','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6163645,5.00,4.00,3.00,6.00,8.00,6.00,2.00,4.00,2.00,238,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11160,168,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SÍTIO CERCADO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6163696,2.00,5.00,1.00,3.00,5.00,9.00,2.00,2.00,2.00,202,NULL,213,'CENTRO','JARAGUÁ SUL','SC',19054,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6163700,8.00,7.00,0.00,3.00,8.00,9.00,1.00,2.00,3.00,207,NULL,NULL,'VILA MARIANA','S PAULO','SP',10067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163726,8.00,5.00,3.00,2.00,7.00,9.00,4.00,7.00,9.00,103,NULL,NULL,'CENTRO','TAPIRA','PR',3124,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6163742,7.00,7.00,3.00,5.00,9.00,9.00,2.00,6.00,8.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2440,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6163750,4.00,3.00,1.00,5.00,5.00,8.63,3.00,2.00,0.00,502,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16859,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6163769,4.00,3.00,0.00,3.00,6.00,NULL,2.00,0.00,0.00,9,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6163777,3.00,5.00,1.00,5.00,5.00,4.88,0.00,6.00,0.00,335,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19259,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6163785,2.00,7.00,3.00,4.00,7.00,NULL,0.00,3.00,4.00,216,NULL,233,'JABAQUARA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6163793,4.00,6.00,5.00,7.00,9.00,9.00,4.00,4.00,7.00,203,NULL,235,'CAMPO COMPRIDO','CURITIBA','PR',3486,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6163807,5.00,6.00,0.00,5.00,8.00,8.25,2.00,3.00,2.00,207,NULL,201,'CENTRO','GUARUJÁ SUL','SC',10387,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6163815,1.00,3.00,3.00,1.00,3.00,9.00,2.00,0.00,3.00,601,NULL,220,'SOSSEGO','CANOINHAS','SC',21237,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6163831,6.00,7.00,2.00,6.00,10.00,9.75,2.00,6.00,6.00,101,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',4030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163840,4.00,4.00,0.00,4.00,6.00,NULL,1.00,5.00,0.00,235,NULL,207,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163866,5.00,4.00,2.00,7.00,6.00,7.13,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',11535,3793,NULL,NULL,NULL,NULL,NULL,4,4),(25,6163874,6.00,7.00,4.00,3.00,7.00,9.38,2.00,7.00,6.00,207,NULL,201,'TRIBESS','BLUMENAU','SC',7180,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6163882,4.00,3.00,4.00,5.00,9.00,9.00,2.00,4.00,5.00,452,NULL,NULL,'SHJB','LG SUL','DF',7057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163890,4.00,4.00,2.00,3.00,6.00,9.00,6.00,5.00,4.00,103,NULL,NULL,'NENE GRAEFF','PASSO FUNDO','RS',9550,3487,NULL,NULL,NULL,NULL,NULL,2,1),(25,6163904,4.00,2.00,3.00,4.00,5.00,5.63,1.00,2.00,3.00,224,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163912,3.00,3.00,3.00,2.00,4.00,6.00,4.00,0.00,2.00,652,NULL,655,'LAGOA DO CAVERA','ARARANGUÁ','SC',21115,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6163920,3.00,4.00,1.00,4.00,8.00,6.00,2.00,3.00,3.00,220,NULL,216,'GARCIA','BLUMENAU','SC',18531,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6163939,2.00,5.00,3.00,2.00,6.00,10.13,2.00,5.00,2.00,234,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',14048,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6163947,3.00,4.00,2.00,3.00,7.00,7.50,1.00,3.00,2.00,601,NULL,235,'CENTRO','LARANJEIRAS SUL','PR',14183,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6163955,5.00,5.00,4.00,2.00,7.00,8.25,1.00,5.00,3.00,103,NULL,NULL,'VIGILATO PEREIRA','UBERLÂNDIA','MG',11051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163963,8.00,5.00,2.00,7.00,7.00,10.50,2.00,6.00,5.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',5422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163971,7.00,5.00,6.00,7.00,10.00,12.00,4.00,8.00,7.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',1005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6163980,6.00,6.00,2.00,5.00,7.00,8.63,3.00,5.00,3.00,102,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',8472,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6163998,3.00,3.00,1.00,3.00,5.00,8.63,2.00,4.00,0.00,335,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',17392,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6164005,4.00,5.00,2.00,2.00,8.00,8.25,1.00,3.00,2.00,207,NULL,203,'RIO GRANDE','PALHOÇA','SC',13686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164013,3.00,4.00,7.00,5.00,4.00,9.00,4.00,7.00,6.00,201,NULL,203,'CAMPO BELO','LONDRINA','PR',5798,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6164021,7.00,5.00,4.00,4.00,9.00,10.13,2.00,3.00,7.00,103,NULL,NULL,'MOOCA','S PAULO','SP',3215,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6164030,3.00,5.00,0.00,7.00,6.00,8.25,3.00,3.00,4.00,421,NULL,427,'PRAIA DO SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6164048,2.00,4.00,1.00,3.00,6.00,6.00,3.00,3.00,3.00,324,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19681,19,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164056,3.00,6.00,2.00,4.00,6.00,7.88,3.00,4.00,3.00,104,NULL,NULL,'CENTRO','CAIBI','SC',11388,251,NULL,NULL,NULL,NULL,NULL,2,4),(25,6164064,8.00,7.00,6.00,4.00,9.00,8.25,4.00,6.00,6.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',2384,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6164072,3.00,2.00,1.00,3.00,4.00,8.25,0.00,2.00,3.00,208,NULL,655,'JARDIM DAS FLORES','S JOSÉ CAMPOS','SP',20776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164080,3.00,3.00,1.00,3.00,3.00,7.13,1.00,3.00,3.00,215,NULL,211,'CINQUENTENÁRIO','VIDEIRA','SC',18370,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6164099,6.00,5.00,0.00,5.00,6.00,5.25,1.00,2.00,3.00,103,NULL,NULL,'VILLAGE STA HELENA','S JOSÉ R PRETO','SP',13878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164102,3.00,4.00,6.00,5.00,7.00,8.63,0.00,5.00,4.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',10361,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6164110,5.00,6.00,2.00,7.00,10.00,13.88,1.00,5.00,1.00,303,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',6923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164129,1.00,2.00,2.00,0.00,1.00,NULL,0.00,0.00,1.00,202,NULL,233,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6164145,1.00,4.00,1.00,2.00,4.00,NULL,2.00,1.00,0.00,9,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6164153,2.00,7.00,2.00,3.00,6.00,8.25,2.00,3.00,1.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',15339,343,NULL,310,NULL,NULL,NULL,2,1),(25,6164170,5.00,5.00,3.00,6.00,6.00,8.25,5.00,7.00,4.00,235,NULL,208,'SACO DOS LIMÔES','FLORIANÓPOLIS','SC',6086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164188,3.00,3.00,1.00,7.00,6.00,9.75,1.00,2.00,2.00,332,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',15047,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6164196,8.00,7.00,6.00,7.00,9.00,9.75,6.00,8.00,9.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164200,1.00,6.00,3.00,4.00,5.00,7.13,2.00,4.00,0.00,426,NULL,429,'CAMPECHE','FLORIANÓPOLIS','SC',18391,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6164218,6.00,6.00,5.00,6.00,10.00,8.63,3.00,6.00,5.00,103,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',3037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164226,1.00,1.00,1.00,2.00,2.00,NULL,0.00,0.00,2.00,502,NULL,NULL,'COQUEIROS','URUPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6164234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6164242,5.00,5.00,1.00,2.00,7.00,8.63,2.00,4.00,3.00,207,NULL,201,'PAQUETÁ','BRUSQUE','SC',15670,849,NULL,1338,NULL,NULL,NULL,2,2),(25,6164250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6164269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'PARQUE ALVORADA','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6164277,5.00,7.00,1.00,7.00,8.00,9.75,2.00,5.00,2.00,207,NULL,211,'CARIANOS','FLORIANÓPOLIS','SC',8810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164293,9.00,6.00,5.00,6.00,9.00,10.13,4.00,6.00,8.00,103,NULL,NULL,'JARDIM APIPEMA','SALVADOR','BA',1143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'FLORESTA','RIO CAMPO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6164315,9.00,7.00,6.00,7.00,10.00,12.00,6.00,6.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164331,5.00,3.00,3.00,6.00,7.00,8.63,2.00,4.00,6.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6164358,1.00,7.00,1.00,4.00,5.00,7.13,0.00,3.00,3.00,444,NULL,NULL,'UBERABA','CURITIBA','PR',17562,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6164366,3.00,3.00,3.00,2.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PAULISTA','CAMPINA G SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6164374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6164382,5.00,5.00,2.00,5.00,5.00,6.00,2.00,3.00,2.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6164390,5.00,8.00,4.00,3.00,8.00,6.38,2.00,8.00,8.00,333,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',5348,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6164404,4.00,4.00,5.00,6.00,8.00,9.38,4.00,4.00,4.00,326,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',8957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164412,5.00,7.00,4.00,5.00,9.00,9.00,3.00,8.00,6.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',3257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164420,7.00,8.00,4.00,6.00,9.00,10.13,3.00,6.00,5.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164439,8.00,7.00,4.00,5.00,9.00,12.75,2.00,8.00,7.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',1540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VILA PARAISO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6164455,4.00,5.00,4.00,2.00,6.00,6.75,1.00,2.00,2.00,451,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164463,4.00,6.00,2.00,7.00,9.00,14.63,1.00,5.00,2.00,337,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',6680,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6164471,2.00,5.00,1.00,7.00,8.00,11.25,3.00,2.00,3.00,425,NULL,421,'PASSA VINTE','PALHOÇA','SC',13787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164498,4.00,4.00,0.00,3.00,7.00,9.38,2.00,1.00,2.00,213,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',18839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'PIRATINI','PANAMBI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6164536,1.00,6.00,0.00,2.00,5.00,NULL,2.00,4.00,0.00,452,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6164544,3.00,3.00,3.00,3.00,6.00,5.25,3.00,5.00,1.00,421,NULL,424,'ARIRIÚ','PALHOÇA','SC',16668,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6164552,6.00,7.00,0.00,4.00,9.00,NULL,1.00,0.00,6.00,103,NULL,NULL,'UVARANAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6164560,3.00,3.00,2.00,3.00,3.00,7.88,4.00,3.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6164579,4.00,7.00,1.00,4.00,7.00,9.38,1.00,4.00,4.00,103,NULL,NULL,'TABULEIRO','CAMBORIÚ','SC',10604,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6164587,8.00,8.00,5.00,7.00,9.00,13.13,0.00,8.00,8.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,655,'ITAPUÃ','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6164609,6.00,7.00,3.00,6.00,11.00,12.38,0.00,7.00,3.00,304,NULL,NULL,'CENTRO','GUARAPARI','ES',3431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164617,0.00,4.00,1.00,2.00,2.00,NULL,2.00,1.00,3.00,202,NULL,213,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6164625,4.00,2.00,1.00,4.00,6.00,NULL,0.00,0.00,1.00,999,NULL,NULL,'VORSTAD','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6164650,3.00,5.00,2.00,3.00,9.00,9.75,0.00,4.00,3.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',9900,3538,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164668,3.00,0.00,2.00,1.00,4.00,NULL,1.00,0.00,0.00,5,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6164676,6.00,8.00,3.00,6.00,8.00,10.50,2.00,3.00,6.00,103,NULL,NULL,'SANTA QUITÉRIA','CURITIBA','PR',5066,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6164684,6.00,5.00,2.00,3.00,6.00,7.50,3.00,3.00,5.00,103,NULL,NULL,'VILA BURU','SALTO','SP',8876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164692,9.00,8.00,9.00,5.00,9.00,9.75,7.00,5.00,9.00,103,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',273,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6164706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA TUPI','PR GRANDE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6164714,2.00,4.00,3.00,4.00,6.00,6.38,2.00,4.00,3.00,423,NULL,427,'ITACORUBI','FLORIANÓPOLIS','SC',19105,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6164722,2.00,5.00,1.00,2.00,7.00,6.75,2.00,4.00,0.00,319,NULL,NULL,'CENTRO','PALMAS','PR',16099,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6164730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FÁTIMA','BOM JESUS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6164749,7.00,7.00,0.00,4.00,10.00,9.38,1.00,7.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',4017,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6164757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'VILA CORDEIRO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6164765,3.00,4.00,1.00,3.00,6.00,9.38,1.00,1.00,1.00,308,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',16757,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6164781,4.00,3.00,0.00,4.00,6.00,7.88,0.00,6.00,1.00,207,NULL,NULL,'CENTRO','CANOINHAS','SC',16866,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6164790,1.00,3.00,1.00,2.00,5.00,5.63,4.00,4.00,1.00,452,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',21076,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6164803,5.00,5.00,2.00,5.00,3.00,7.13,2.00,3.00,7.00,220,NULL,235,'CENTRO','MAL CÂNDIDO RONDON','PR',10367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164811,2.00,3.00,1.00,3.00,6.00,6.38,2.00,0.00,1.00,333,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',21376,175,NULL,NULL,NULL,NULL,NULL,2,1),(25,6164838,7.00,6.00,0.00,7.00,9.00,9.75,0.00,5.00,3.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',6317,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6164846,6.00,2.00,2.00,1.00,5.00,7.88,0.00,0.00,2.00,108,NULL,NULL,'PALMITAL','PARANAGUÁ','PR',20997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164854,9.00,6.00,6.00,6.00,10.00,10.88,7.00,8.00,9.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',76,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6164862,3.00,8.00,5.00,3.00,8.00,6.75,3.00,3.00,4.00,216,NULL,215,'SÃO PEDRO','GUABIRUBA','SC',6899,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6164889,8.00,6.00,4.00,4.00,4.00,6.75,1.00,4.00,6.00,203,NULL,220,'PANORAMA','ARAPONGAS','PR',9124,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6164897,4.00,7.00,4.00,5.00,9.00,8.25,3.00,7.00,3.00,201,NULL,212,'KOBRASOL','S JOSÉ','SC',6655,480,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164900,5.00,6.00,3.00,2.00,7.00,12.00,4.00,5.00,4.00,104,NULL,NULL,'SANTA TEREZINHA','BRUSQUE','SC',7439,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6164919,3.00,3.00,0.00,6.00,4.00,5.63,4.00,0.00,0.00,201,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',18683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164935,2.00,3.00,2.00,0.00,3.00,6.38,1.00,1.00,1.00,415,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ALFENAS','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6164978,7.00,4.00,4.00,6.00,8.00,8.25,2.00,5.00,4.00,104,NULL,NULL,'CENTRO','STA LÚCIA','PR',6489,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6164986,4.00,4.00,2.00,5.00,5.00,9.75,4.00,5.00,2.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6164994,4.00,6.00,3.00,7.00,8.00,9.38,3.00,6.00,4.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165001,2.00,3.00,0.00,1.00,6.00,NULL,0.00,1.00,1.00,301,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165010,5.00,7.00,1.00,3.00,5.00,NULL,0.00,2.00,5.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6165028,4.00,6.00,3.00,6.00,7.00,7.50,2.00,5.00,5.00,655,NULL,NULL,'CENTRO','CRICIÚMA','SC',9599,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6165036,4.00,4.00,3.00,3.00,7.00,9.38,1.00,3.00,3.00,211,NULL,201,'JARDIM ELDORADO','PALHOÇA','SC',13571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6165044,3.00,4.00,0.00,3.00,2.00,NULL,1.00,1.00,3.00,333,NULL,NULL,'SERRANO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6165060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'JARDIM PORTAO VERMEL','VARGEM G PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6165079,3.00,8.00,1.00,1.00,6.00,6.75,3.00,2.00,2.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18356,123,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165087,7.00,7.00,5.00,6.00,10.00,7.50,3.00,7.00,7.00,103,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',2055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165095,7.00,7.00,4.00,7.00,9.00,12.75,3.00,6.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',780,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6165109,4.00,2.00,1.00,3.00,7.00,7.88,0.00,3.00,4.00,103,NULL,NULL,'CENTRO','FRUTAL','MG',15940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165117,4.00,4.00,5.00,6.00,5.00,7.88,2.00,4.00,5.00,302,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',9955,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6165125,6.00,4.00,1.00,3.00,7.00,8.25,1.00,2.00,3.00,3,NULL,NULL,'DONA FRANCISCA','S BENTO SUL','SC',15982,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6165133,5.00,6.00,3.00,6.00,6.00,6.75,0.00,4.00,3.00,316,NULL,NULL,'CENTRO','XAXIM','SC',11752,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6165141,5.00,4.00,0.00,4.00,6.00,NULL,2.00,3.00,2.00,415,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165150,5.00,5.00,3.00,5.00,8.00,8.25,4.00,3.00,5.00,207,NULL,201,'CENTRO','BLUMENAU','SC',8797,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6165168,3.00,4.00,3.00,5.00,6.00,NULL,2.00,0.00,2.00,109,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'SANTA OLÍVIA','ARARAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6165184,6.00,7.00,5.00,6.00,8.00,9.00,1.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4506,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6165206,4.00,6.00,2.00,5.00,9.00,9.00,0.00,3.00,3.00,319,NULL,NULL,'JD DAS INDUSTRIAS','S JOSÉ CAMPOS','SP',10417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165222,7.00,3.00,3.00,2.00,4.00,7.13,2.00,5.00,4.00,203,NULL,214,'BOM RETIRO','JOINVILLE','SC',15451,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6165230,4.00,6.00,3.00,6.00,8.00,10.88,3.00,7.00,6.00,238,NULL,652,'CARVOEIRA','FLORIANÓPOLIS','SC',4686,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6165249,4.00,3.00,1.00,4.00,6.00,9.00,1.00,1.00,2.00,101,NULL,NULL,'AREIAS','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6165265,2.00,3.00,0.00,1.00,6.00,NULL,2.00,2.00,0.00,601,NULL,207,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6165273,6.00,7.00,1.00,3.00,6.00,8.25,3.00,2.00,6.00,502,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165290,2.00,3.00,0.00,2.00,7.00,NULL,0.00,1.00,0.00,308,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6165303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BELA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6165311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6165320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6165338,7.00,5.00,3.00,6.00,8.00,9.75,3.00,5.00,3.00,303,NULL,NULL,'CENTRO','CORBÉLIA','PR',5836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165346,6.00,7.00,2.00,6.00,7.00,10.50,0.00,4.00,6.00,103,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',5549,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6165354,5.00,2.00,3.00,4.00,8.00,7.50,2.00,2.00,3.00,207,NULL,201,'EFAPI','CHAPECÓ','SC',13785,746,NULL,1174,NULL,NULL,NULL,2,4),(25,6165362,7.00,8.00,6.00,7.00,7.00,9.38,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',2245,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6165370,1.00,3.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6165389,5.00,5.00,2.00,2.00,5.00,10.13,1.00,2.00,1.00,336,NULL,NULL,'JARDIM FLORIDA','FRANCA','SP',14864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165397,4.00,4.00,4.00,6.00,8.00,8.63,1.00,1.00,7.00,211,NULL,653,'CENTRO','VACARIA','RS',9689,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6165419,3.00,5.00,1.00,1.00,5.00,8.63,1.00,0.00,2.00,205,NULL,NULL,'CAMPINAS','S JOSÉ','SC',19206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165427,5.00,5.00,5.00,3.00,8.00,8.25,1.00,6.00,6.00,103,NULL,NULL,'INDUSTRIAL','GUARARAPES','SP',5883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165443,3.00,3.00,5.00,4.00,7.00,9.00,1.00,5.00,2.00,201,NULL,202,'MONTE CRISTO','FLORIANÓPOLIS','SC',10569,872,NULL,332,NULL,NULL,NULL,2,1),(25,6165451,8.00,8.00,5.00,3.00,6.00,10.13,0.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4404,2222,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6165478,6.00,5.00,2.00,7.00,9.00,11.63,2.00,5.00,7.00,103,NULL,NULL,'JARDIM BOTÂNICO','PTO ALEGRE','RS',3085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165486,4.00,2.00,0.00,4.00,5.00,NULL,1.00,1.00,1.00,601,NULL,201,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6165494,5.00,6.00,1.00,3.00,6.00,7.13,0.00,1.00,4.00,214,NULL,203,'CAMPO LIMPO','AMERICANA','SP',14465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165508,5.00,4.00,2.00,2.00,5.00,7.13,1.00,1.00,7.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165516,4.00,3.00,1.00,5.00,5.00,9.75,1.00,1.00,2.00,103,NULL,NULL,'INDUSTRIAL NORTE','RIO NEGRINHO','SC',18593,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6165524,3.00,2.00,1.00,3.00,5.00,8.63,0.00,2.00,3.00,415,NULL,NULL,'SERRARIA','S JOSÉ','SC',20875,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6165532,3.00,6.00,1.00,3.00,6.00,7.13,2.00,1.00,2.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15320,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6165540,4.00,6.00,2.00,4.00,5.00,7.13,1.00,5.00,2.00,208,NULL,238,'IMIGRANTES','CONCÓRDIA','SC',15772,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6165559,2.00,6.00,2.00,7.00,6.00,9.75,0.00,5.00,1.00,103,NULL,NULL,'CENTRO','CEL VIVIDA','PR',11192,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6165567,3.00,3.00,0.00,1.00,2.00,NULL,0.00,1.00,0.00,333,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165575,1.00,2.00,1.00,3.00,4.00,5.25,1.00,5.00,2.00,238,NULL,208,'CAMPINAS','S JOSÉ','SC',20608,505,NULL,561,NULL,NULL,NULL,2,1),(25,6165583,3.00,1.00,0.00,1.00,5.00,6.75,2.00,1.00,3.00,3,NULL,NULL,'SÃO PEDRO','CHAPECÓ','SC',19887,80,NULL,NULL,NULL,NULL,NULL,4,4),(25,6165591,6.00,5.00,2.00,5.00,4.00,8.25,2.00,4.00,2.00,653,NULL,201,'RIO BRANCO','PTO ALEGRE','RS',12251,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6165605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANAMBY','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6165613,1.00,5.00,1.00,1.00,5.00,7.50,0.00,2.00,1.00,235,NULL,220,'CENTRO','CHAPECÓ','SC',20418,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6165630,3.00,5.00,1.00,5.00,6.00,9.38,0.00,6.00,3.00,207,NULL,201,'RIO NEGRO','S BENTO SUL','SC',14182,763,NULL,1208,NULL,NULL,NULL,2,8),(25,6165656,6.00,6.00,3.00,7.00,7.00,7.50,0.00,4.00,7.00,5,NULL,NULL,'JARDIM AMPLIAÇÃO','S PAULO','SP',7146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165664,4.00,3.00,0.00,4.00,6.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'CONDOMINIO PIONEIRO','PRIMAVERA LESTE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165672,4.00,5.00,3.00,4.00,8.00,10.13,2.00,6.00,1.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11550,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6165680,4.00,5.00,0.00,3.00,6.00,9.00,2.00,1.00,0.00,303,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',17303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165699,4.00,4.00,2.00,0.00,4.00,NULL,0.00,5.00,4.00,103,NULL,NULL,'RIO DAS ANTAS','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165737,4.00,4.00,2.00,0.00,5.00,7.88,1.00,1.00,2.00,207,NULL,213,'CRISTO REI','CURITIBA','PR',19137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BELA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6165753,7.00,7.00,1.00,5.00,8.00,9.00,3.00,5.00,3.00,5,NULL,NULL,'FORTALEZA','BLUMENAU','SC',6765,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6165761,1.00,3.00,3.00,3.00,3.00,8.63,0.00,2.00,0.00,303,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6165788,3.00,4.00,3.00,5.00,8.00,11.25,1.00,5.00,1.00,415,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',12489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6165818,6.00,3.00,1.00,3.00,6.00,6.38,1.00,4.00,4.00,110,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',15646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165826,3.00,2.00,0.00,1.00,4.00,6.00,2.00,1.00,4.00,201,NULL,233,'RES UNIÃO','S JOSÉ CAMPOS','SP',20400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165834,2.00,3.00,0.00,2.00,2.00,NULL,1.00,0.00,0.00,653,NULL,655,'MORRO DO ERMO','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,15),(25,6165842,8.00,5.00,5.00,6.00,8.00,10.88,1.00,6.00,7.00,103,NULL,NULL,'JARDIM CALIFORNIA','COLOMBO','PR',2606,1547,NULL,NULL,NULL,NULL,NULL,4,8),(25,6165850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6165869,4.00,6.00,3.00,6.00,7.00,8.63,2.00,4.00,2.00,340,NULL,NULL,'CENTRO','TUBARÃO','SC',13999,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6165877,2.00,6.00,2.00,5.00,8.00,9.75,1.00,1.00,2.00,503,NULL,NULL,'BARREIROS','S JOSÉ','SC',15840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6165893,9.00,8.00,6.00,6.00,11.00,9.00,2.00,8.00,9.00,103,NULL,NULL,'JARDIM ROVERI','LONDRINA','PR',260,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6165907,4.00,7.00,4.00,7.00,9.00,7.88,1.00,6.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165915,7.00,8.00,5.00,5.00,6.00,9.38,2.00,4.00,9.00,103,NULL,NULL,'COQUEIRAL','CASCAVEL','PR',3116,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6165940,3.00,2.00,2.00,2.00,6.00,6.38,0.00,2.00,0.00,102,NULL,NULL,'SANTA CATARINA','ARARANGUÁ','SC',21607,282,NULL,NULL,NULL,NULL,NULL,4,15),(25,6165958,5.00,5.00,1.00,3.00,9.00,7.13,1.00,3.00,5.00,653,NULL,211,'PALMITAL','CHAPECÓ','SC',9891,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6165974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6165982,4.00,5.00,2.00,7.00,6.00,7.13,2.00,4.00,3.00,201,NULL,233,'N S ROSARIO','S JOSÉ','SC',13329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6165990,2.00,3.00,2.00,0.00,6.00,5.63,0.00,1.00,3.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166008,4.00,3.00,2.00,5.00,4.00,9.00,1.00,2.00,2.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166016,6.00,6.00,5.00,5.00,8.00,10.13,5.00,6.00,7.00,103,NULL,NULL,'SAGUACU','JOINVILLE','SC',2662,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6166024,9.00,6.00,5.00,6.00,9.00,7.50,2.00,5.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2448,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6166032,5.00,6.00,3.00,5.00,7.00,8.25,1.00,3.00,3.00,103,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',10636,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6166040,4.00,4.00,2.00,2.00,6.00,6.75,1.00,5.00,4.00,302,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166067,7.00,6.00,4.00,7.00,10.00,11.25,5.00,7.00,9.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166091,5.00,5.00,3.00,3.00,4.00,8.25,2.00,4.00,9.00,103,NULL,NULL,'CAMPO BELO','DOURADINA','PR',8037,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6166105,2.00,2.00,1.00,4.00,6.00,7.88,0.00,5.00,2.00,104,NULL,NULL,'FREI ROGÉRIO','LAGES','SC',19112,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6166121,3.00,2.00,2.00,4.00,5.00,8.25,1.00,1.00,1.00,215,NULL,NULL,'ZONA SETE','MARINGÁ','PR',20622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166130,4.00,5.00,2.00,5.00,5.00,7.50,2.00,1.00,1.00,601,NULL,211,'CAMBUÍ','CAMPINAS','SP',18394,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6166156,6.00,4.00,4.00,4.00,7.00,9.38,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6530,2836,NULL,NULL,NULL,NULL,NULL,2,3),(25,6166172,4.00,4.00,1.00,6.00,7.00,7.50,3.00,1.00,2.00,201,NULL,212,'CENTRO','HERVAL D OESTE','SC',16979,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6166180,2.00,3.00,1.00,2.00,7.00,7.88,3.00,0.00,4.00,104,NULL,NULL,'SANTANA','RIO SUL','SC',17673,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6166199,8.00,5.00,5.00,6.00,8.00,9.38,6.00,3.00,5.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',3170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166202,7.00,7.00,3.00,6.00,8.00,13.50,2.00,7.00,7.00,303,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',1712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166210,9.00,7.00,6.00,7.00,9.00,10.88,4.00,8.00,9.00,103,NULL,NULL,'CENTRO','ITAPORANGA','SP',167,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6166237,2.00,2.00,0.00,2.00,2.00,NULL,1.00,0.00,2.00,339,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6166245,4.00,6.00,1.00,5.00,8.00,8.63,0.00,6.00,4.00,301,NULL,NULL,'VILA INDÚSTRIAL','ALUMÍNIO','SP',9075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166253,8.00,8.00,5.00,7.00,9.00,9.00,3.00,5.00,7.00,103,NULL,NULL,'ANCHIETA','BELO HORIZONTE','MG',1850,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6166270,6.00,7.00,1.00,5.00,10.00,8.25,1.00,6.00,5.00,5,NULL,NULL,'MORRO DO ESPELHO','S LEOPOLDO','RS',6205,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6166288,3.00,2.00,1.00,1.00,3.00,0.00,1.00,6.00,3.00,404,NULL,NULL,'RIO NOVO','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166296,1.00,4.00,3.00,4.00,7.00,6.75,2.00,1.00,2.00,108,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',18991,285,NULL,NULL,NULL,NULL,NULL,2,1),(25,6166300,6.00,6.00,4.00,6.00,7.00,8.25,1.00,6.00,4.00,212,NULL,213,'CENTRO','ITAJAÍ','SC',7966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166318,6.00,7.00,3.00,6.00,8.00,9.00,0.00,6.00,3.00,220,NULL,202,'TERRA ROXA','DOURADOS','MS',7601,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6166326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'VILA INDEPEDENCIA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6166334,2.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RONDON','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(25,6166342,8.00,8.00,6.00,7.00,6.00,8.25,5.00,6.00,9.00,203,NULL,202,'CAMPO COMPRIDO','CURITIBA','PR',1122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6166369,5.00,6.00,1.00,5.00,7.00,10.13,1.00,4.00,3.00,104,NULL,NULL,'TERRA ROXA','DOURADOS','MS',8868,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6166385,2.00,4.00,0.00,5.00,5.00,NULL,1.00,5.00,2.00,331,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6166393,7.00,6.00,3.00,4.00,8.00,8.25,1.00,4.00,8.00,103,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',4447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166407,6.00,7.00,2.00,7.00,10.00,9.75,4.00,8.00,6.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',2032,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6166415,7.00,8.00,4.00,6.00,7.00,8.25,3.00,7.00,8.00,103,NULL,NULL,'JARDIM PARAISO','BOTUCATU','SP',2221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166423,5.00,3.00,3.00,5.00,4.00,7.88,0.00,1.00,4.00,303,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166431,5.00,4.00,1.00,5.00,7.00,10.50,2.00,3.00,3.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166440,3.00,4.00,0.00,6.00,8.00,NULL,0.00,3.00,3.00,207,NULL,601,'CENTRO','LACERDÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6166458,3.00,4.00,2.00,4.00,6.00,9.38,2.00,2.00,0.00,216,NULL,207,'CENTRO','PARAÍSO','SC',16189,529,NULL,870,NULL,NULL,NULL,2,4),(25,6166466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6166474,2.00,4.00,1.00,3.00,2.00,NULL,0.00,1.00,0.00,501,NULL,NULL,'RIBANCEIRA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6166482,5.00,6.00,3.00,7.00,7.00,9.00,0.00,4.00,6.00,420,NULL,NULL,'CHÁCARA CALIFÓRNIA','S PAULO','SP',7298,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6166504,3.00,3.00,0.00,1.00,3.00,6.00,1.00,3.00,1.00,999,NULL,NULL,'MASSARANDUBA BAIXO','MASSARANDUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6166520,0.00,3.00,1.00,0.00,1.00,NULL,3.00,1.00,2.00,101,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6166539,1.00,5.00,0.00,2.00,5.00,6.75,2.00,3.00,1.00,233,NULL,211,'CAMINHO NOVO','PALHOÇA','SC',21053,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6166547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'BOM RETIRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6166555,5.00,4.00,0.00,6.00,7.00,9.00,1.00,1.00,1.00,303,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',17181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166563,0.00,2.00,2.00,3.00,2.00,NULL,3.00,0.00,0.00,208,NULL,201,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6166571,6.00,4.00,2.00,6.00,8.00,11.25,1.00,4.00,2.00,340,NULL,NULL,'SERRARIA','S JOSÉ','SC',10508,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6166580,6.00,5.00,6.00,7.00,9.00,9.75,2.00,7.00,6.00,303,NULL,NULL,'EXPOSIÇÃO','CAXIAS SUL','RS',2428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166598,2.00,5.00,0.00,1.00,7.00,9.00,3.00,4.00,2.00,425,NULL,428,'CANUDOS','ANTÔNIO CARLOS','SC',16623,64,NULL,33,NULL,NULL,NULL,4,1),(25,6166601,5.00,7.00,2.00,4.00,6.00,7.50,3.00,3.00,5.00,999,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6166610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'VILA BECKER','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6166628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6166636,1.00,4.00,1.00,3.00,4.00,NULL,2.00,0.00,3.00,453,NULL,NULL,'OPERARIA NOVA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6166660,5.00,8.00,1.00,6.00,8.00,8.63,2.00,4.00,5.00,212,NULL,214,'VISTA VERDE','S JOSÉ CAMPOS','SP',6428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166679,4.00,6.00,1.00,7.00,9.00,NULL,1.00,3.00,3.00,999,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6166687,4.00,6.00,1.00,6.00,9.00,11.63,2.00,2.00,4.00,310,NULL,NULL,'WERNER PLAAS','AMERICANA','SP',7249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JOÃO PESSOA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6166709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6166717,8.00,6.00,3.00,7.00,7.00,10.50,0.00,4.00,7.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',3264,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6166725,3.00,4.00,2.00,3.00,4.00,NULL,0.00,0.00,1.00,601,NULL,NULL,'JARDIM PARAISO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6166750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'GRUTA DE LOURDES','MACEIÓ','AL',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6166768,3.00,4.00,3.00,5.00,4.00,10.88,1.00,5.00,2.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166776,2.00,2.00,0.00,3.00,3.00,5.63,0.00,3.00,2.00,654,NULL,NULL,'CENTRO','MARACAJÁ','SC',21718,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6166784,2.00,5.00,0.00,3.00,6.00,6.75,2.00,3.00,2.00,415,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',20421,322,NULL,NULL,NULL,NULL,NULL,2,1),(25,6166792,7.00,2.00,4.00,7.00,8.00,9.75,3.00,2.00,5.00,453,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',7382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'BOSQUE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6166822,4.00,5.00,3.00,6.00,7.00,8.63,1.00,2.00,2.00,108,NULL,NULL,'CENTRO','CPO ERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6166830,4.00,4.00,3.00,1.00,4.00,4.50,2.00,3.00,3.00,999,NULL,NULL,'VARJEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6166849,1.00,3.00,0.00,3.00,2.00,NULL,0.00,2.00,0.00,319,NULL,NULL,'MIRIM','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6166857,2.00,3.00,1.00,4.00,5.00,6.38,1.00,2.00,2.00,502,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6166865,2.00,3.00,1.00,1.00,2.00,NULL,1.00,0.00,3.00,201,NULL,202,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6166873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,208,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6166890,5.00,6.00,4.00,5.00,6.00,NULL,0.00,0.00,0.00,201,NULL,207,'BELA VISTA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6166920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'INTERIOR','RIO ANTAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6166938,6.00,3.00,1.00,0.00,8.00,NULL,1.00,3.00,3.00,999,NULL,NULL,'PROGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,10),(25,6166946,5.00,2.00,1.00,3.00,5.00,5.25,2.00,0.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',21224,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6166954,8.00,7.00,2.00,7.00,8.00,10.13,2.00,6.00,5.00,5,NULL,NULL,'BOQUEIRÃO','SANTOS','SP',3094,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6166962,5.00,5.00,4.00,5.00,7.00,8.25,1.00,3.00,4.00,103,NULL,NULL,'PASSO DE AREIA','STA MARIA','RS',7940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6166989,5.00,7.00,3.00,6.00,8.00,9.38,3.00,8.00,7.00,207,NULL,201,'ORIENTAL','ESTRELA','RS',2311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167004,6.00,7.00,1.00,6.00,8.00,10.13,1.00,4.00,4.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',7506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167012,2.00,4.00,0.00,1.00,4.00,7.50,2.00,2.00,2.00,653,NULL,203,'URUSSANGUINHA','ARARANGUÁ','SC',21419,245,NULL,1162,NULL,NULL,NULL,2,15),(25,6167020,6.00,4.00,7.00,6.00,10.00,10.13,7.00,8.00,8.00,103,NULL,NULL,'CENTRO','JACAREÍ','SP',815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167039,7.00,5.00,4.00,5.00,9.00,9.00,3.00,6.00,5.00,104,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',4529,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6167047,2.00,3.00,1.00,2.00,5.00,6.38,1.00,0.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167055,7.00,8.00,4.00,6.00,9.00,9.00,2.00,6.00,6.00,551,NULL,NULL,'IMPERIAL','CONCÓRDIA','SC',3130,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6167063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6167071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6167098,3.00,3.00,2.00,5.00,6.00,6.75,3.00,2.00,3.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15889,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6167101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BACURI','IMPERATRIZ','MA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6167128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6167136,3.00,6.00,2.00,2.00,6.00,5.25,3.00,5.00,2.00,318,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',18357,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6167144,2.00,2.00,3.00,2.00,1.00,NULL,2.00,1.00,0.00,104,NULL,NULL,'BATEIAS','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6167152,3.00,7.00,1.00,2.00,8.00,7.50,3.00,1.00,5.00,216,NULL,215,'ANA MARIA','CRICIÚMA','SC',11117,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6167179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6167195,5.00,3.00,3.00,4.00,5.00,7.13,1.00,4.00,2.00,201,NULL,233,'HORTO F JACIRA','AMERICANA','SP',14940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167209,7.00,8.00,4.00,6.00,8.00,9.38,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',2850,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6167217,3.00,6.00,3.00,2.00,7.00,9.00,2.00,3.00,4.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',11901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167225,2.00,4.00,1.00,2.00,4.00,NULL,0.00,0.00,2.00,601,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6167233,3.00,6.00,2.00,6.00,7.00,7.50,2.00,2.00,5.00,999,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167241,0.00,5.00,1.00,2.00,6.00,NULL,3.00,5.00,0.00,238,NULL,655,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167250,3.00,4.00,2.00,5.00,7.00,7.50,1.00,2.00,0.00,654,NULL,NULL,'GARAPUVU','ERMO','SC',19039,53,NULL,NULL,NULL,NULL,NULL,2,15),(25,6167268,7.00,6.00,2.00,5.00,7.00,10.88,2.00,6.00,5.00,336,NULL,NULL,'CENTRO','ÂNGULO','PR',5871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6167276,4.00,5.00,1.00,3.00,2.00,NULL,0.00,1.00,3.00,101,NULL,NULL,'JARDIM CECILIA','CPO MAGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','TAPEJARA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6167292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','SALTO LONTRA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6167306,4.00,5.00,4.00,6.00,9.00,9.00,0.00,4.00,6.00,103,NULL,NULL,'BATEL','CURITIBA','PR',7041,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6167314,5.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'PORTAO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',2,17),(25,6167349,5.00,6.00,4.00,6.00,7.00,NULL,0.00,7.00,3.00,318,NULL,NULL,'MINA BRASIL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6167365,0.00,2.00,1.00,0.00,6.00,NULL,2.00,1.00,3.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM GOIAS','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6167390,7.00,7.00,6.00,6.00,8.00,11.63,1.00,8.00,6.00,303,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',2085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167403,8.00,7.00,4.00,2.00,9.00,9.75,4.00,9.00,9.00,103,NULL,NULL,'CENTRO','ÂNGULO','PR',1330,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6167411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6167420,7.00,7.00,4.00,6.00,9.00,12.00,1.00,6.00,8.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',1570,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6167438,2.00,5.00,1.00,6.00,7.00,7.13,4.00,2.00,2.00,319,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',17165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6167454,3.00,6.00,4.00,5.00,7.00,10.13,4.00,3.00,2.00,202,NULL,655,'NAÇÕES','TIMBÓ','SC',8856,281,NULL,NULL,NULL,NULL,NULL,2,2),(25,6167462,5.00,5.00,3.00,3.00,4.00,5.63,0.00,3.00,2.00,452,NULL,NULL,'LAGOA DA CONCEIÇÃP','FLORIANÓPOLIS','SC',17703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167470,6.00,5.00,1.00,3.00,8.00,6.38,0.00,2.00,3.00,303,NULL,NULL,'CEBTRO','CURITIBA','PR',11862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167489,4.00,5.00,3.00,5.00,9.00,8.25,0.00,6.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BOA VISTA','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6167500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6167519,7.00,8.00,5.00,8.00,10.00,10.13,2.00,5.00,8.00,207,NULL,NULL,'PLANO DIRETOR NORTE','PALMAS','TO',1944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167527,3.00,3.00,1.00,3.00,6.00,7.50,0.00,2.00,3.00,317,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',19442,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6167551,5.00,4.00,0.00,4.00,5.00,NULL,0.00,1.00,4.00,303,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6167560,1.00,5.00,0.00,3.00,5.00,5.25,2.00,5.00,0.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',21023,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6167586,6.00,4.00,3.00,4.00,10.00,9.75,1.00,5.00,6.00,220,NULL,212,'VILA SANDANO','OURINHOS','SP',7205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167608,7.00,5.00,3.00,7.00,6.00,6.38,1.00,6.00,6.00,103,NULL,NULL,'DOIS CORREGOS','VALINHOS','SP',6700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167616,2.00,5.00,3.00,1.00,6.00,9.00,2.00,2.00,1.00,212,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',16560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167624,4.00,4.00,3.00,3.00,7.00,10.13,3.00,4.00,3.00,333,NULL,NULL,'LEBLON','PARANAGUÁ','PR',12401,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6167632,3.00,2.00,1.00,3.00,3.00,0.00,3.00,2.00,3.00,655,NULL,653,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6167640,5.00,5.00,3.00,0.00,7.00,NULL,2.00,5.00,4.00,215,NULL,652,'ILHAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6167667,3.00,6.00,1.00,6.00,7.00,6.75,2.00,2.00,2.00,453,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',13105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167675,3.00,6.00,3.00,5.00,10.00,9.38,1.00,6.00,3.00,601,NULL,201,'CENTRO','PATO BRANCO','PR',7353,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6167691,4.00,4.00,2.00,4.00,7.00,9.75,0.00,2.00,3.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',12119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167713,5.00,6.00,4.00,5.00,8.00,10.88,2.00,7.00,6.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',3747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167730,4.00,6.00,2.00,7.00,9.00,9.00,2.00,8.00,4.00,102,NULL,NULL,'MILANESE','CRICIÚMA','SC',5465,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6167748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6167764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'RIO BONITO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6167772,5.00,5.00,1.00,5.00,7.00,12.75,3.00,7.00,3.00,336,NULL,NULL,'BELEM NOVO','PTO ALEGRE','RS',7521,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6167780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TONIAL','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6167802,9.00,7.00,7.00,7.00,10.00,13.50,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','LEOBERTO LEAL','SC',83,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6167829,7.00,7.00,2.00,7.00,8.00,8.63,3.00,7.00,6.00,214,NULL,213,'JARDIM MARAJOARA','S PAULO','SP',2505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167837,7.00,5.00,5.00,4.00,8.00,8.25,1.00,3.00,6.00,103,NULL,NULL,'JUVEVÊ','CURITIBA','PR',7408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167845,3.00,3.00,2.00,3.00,5.00,4.88,2.00,3.00,3.00,216,NULL,235,'INTERIOR','CAPINZAL','SC',16953,546,NULL,403,NULL,NULL,NULL,4,7),(25,6167853,5.00,4.00,0.00,6.00,8.00,11.63,3.00,1.00,4.00,104,NULL,NULL,'CENTRO','CPO GRANDE','MS',9797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167861,2.00,5.00,1.00,3.00,5.00,8.63,0.00,4.00,3.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6167870,6.00,7.00,4.00,7.00,8.00,10.50,1.00,6.00,5.00,207,NULL,216,'CENTRO','REALEZA','PR',3648,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6167888,4.00,6.00,1.00,5.00,7.00,9.00,1.00,3.00,4.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167896,6.00,3.00,3.00,6.00,8.00,6.00,2.00,1.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',9327,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6167900,6.00,5.00,6.00,3.00,8.00,12.00,2.00,7.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167918,2.00,5.00,1.00,0.00,2.00,NULL,1.00,1.00,3.00,215,NULL,216,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167926,3.00,5.00,4.00,4.00,8.00,7.50,1.00,6.00,1.00,336,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',14352,109,NULL,NULL,NULL,NULL,NULL,2,1),(25,6167934,2.00,4.00,0.00,0.00,2.00,NULL,1.00,3.00,2.00,9,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6167942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'PITANGUEIRAS','LAURO FREITAS','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6167969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6167977,3.00,4.00,3.00,4.00,8.00,7.88,2.00,2.00,2.00,220,NULL,203,'BOQUEIRÃO','CURITIBA','PR',13365,372,NULL,855,NULL,NULL,NULL,2,8),(25,6167985,5.00,3.00,4.00,6.00,9.00,9.00,3.00,4.00,6.00,235,NULL,215,'VILA SÃO LUIZ','DOURADOS','MS',7164,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6167993,5.00,7.00,3.00,5.00,6.00,8.25,4.00,6.00,4.00,203,NULL,233,'CENTRO','ARARANGUÁ','SC',6321,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6168000,3.00,1.00,2.00,2.00,3.00,9.00,0.00,3.00,1.00,207,NULL,201,'PARQUE ONGARO','SUMARÉ','SP',18888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CASTELINHO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6168035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'STEFFEN','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6168043,4.00,7.00,3.00,4.00,7.00,9.00,1.00,5.00,3.00,203,NULL,214,'FUNDO CANOAS','RIO SUL','SC',9326,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6168051,3.00,4.00,3.00,0.00,5.00,NULL,2.00,3.00,1.00,201,NULL,233,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168078,3.00,3.00,1.00,2.00,3.00,8.63,1.00,2.00,2.00,999,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168086,8.00,7.00,6.00,7.00,9.00,7.50,1.00,7.00,9.00,216,NULL,215,'SAO JOAQUIM','VINHEDO','SP',1513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168094,2.00,4.00,0.00,2.00,4.00,NULL,0.00,3.00,0.00,216,NULL,238,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168108,7.00,4.00,6.00,7.00,6.00,10.50,5.00,7.00,6.00,103,NULL,NULL,'SANTA FE','CPO GRANDE','MS',2312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168116,3.00,7.00,2.00,7.00,7.00,9.75,2.00,5.00,2.00,420,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',9704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168124,2.00,3.00,4.00,2.00,6.00,8.25,1.00,2.00,0.00,601,NULL,207,'SAGUAÇÚ','JOINVILLE','SC',18377,507,NULL,992,NULL,NULL,NULL,4,8),(25,6168132,2.00,3.00,0.00,1.00,3.00,6.00,3.00,1.00,0.00,336,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168159,3.00,2.00,2.00,3.00,5.00,NULL,1.00,2.00,0.00,207,NULL,201,'N S DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6168167,4.00,7.00,3.00,4.00,8.00,7.50,1.00,5.00,2.00,338,NULL,NULL,'TAQUARAS','RANCHO QUEIMADO','SC',13130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168175,4.00,2.00,3.00,4.00,6.00,6.75,2.00,3.00,1.00,238,NULL,208,'SÃO JOAO','TUBARÃO','SC',15836,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6168191,6.00,6.00,2.00,4.00,8.00,8.63,1.00,1.00,4.00,319,NULL,NULL,'CENTRO','MANGUEIRINHA','PR',9969,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6168205,3.00,3.00,2.00,5.00,9.00,6.75,0.00,4.00,2.00,9,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',17813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168230,5.00,4.00,1.00,2.00,4.00,NULL,1.00,5.00,0.00,453,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6168248,5.00,6.00,2.00,5.00,8.00,9.75,1.00,3.00,5.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168256,3.00,4.00,1.00,5.00,6.00,8.25,0.00,4.00,2.00,212,NULL,213,'BELA VISTA','S JOSÉ','SC',17476,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6168272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6168280,3.00,4.00,1.00,3.00,3.00,6.00,3.00,1.00,2.00,654,NULL,NULL,'DIVINEIA','ARARANGUÁ','SC',21274,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6168299,5.00,7.00,1.00,6.00,7.00,NULL,0.00,3.00,5.00,202,NULL,213,'ARGENTINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6168302,3.00,4.00,0.00,3.00,4.00,NULL,0.00,6.00,0.00,326,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6168310,4.00,6.00,2.00,6.00,6.00,8.63,2.00,4.00,3.00,501,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13085,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6168329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,423,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6168337,8.00,4.00,0.00,6.00,9.00,9.75,3.00,5.00,5.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',5625,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6168345,5.00,5.00,4.00,6.00,7.00,7.50,2.00,3.00,5.00,220,NULL,235,'CENTRO','STA MARIA','RS',7763,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6168353,4.00,3.00,2.00,0.00,6.00,3.00,2.00,1.00,0.00,652,NULL,653,'DIVINEIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6168361,4.00,3.00,1.00,4.00,5.00,10.13,1.00,4.00,4.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',13220,4029,NULL,NULL,NULL,NULL,NULL,4,16),(25,6168388,3.00,3.00,0.00,0.00,6.00,NULL,1.00,3.00,0.00,211,NULL,216,'BARRA DE IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168396,2.00,0.00,0.00,2.00,0.00,NULL,0.00,2.00,0.00,309,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6168400,9.00,9.00,6.00,7.00,8.00,11.63,6.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168418,4.00,5.00,0.00,1.00,6.00,NULL,1.00,3.00,1.00,212,NULL,201,'ESTREITO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6168426,2.00,3.00,2.00,5.00,5.00,7.13,1.00,3.00,3.00,309,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168434,3.00,7.00,2.00,3.00,3.00,9.00,0.00,5.00,0.00,318,NULL,NULL,'ALVORADA','VIDEIRA','SC',18990,91,NULL,NULL,NULL,NULL,NULL,4,7),(25,6168442,3.00,4.00,0.00,1.00,5.00,7.13,2.00,1.00,3.00,653,NULL,201,'CAMPO BOM','JAGUARUNA','SC',20644,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6168450,2.00,1.00,0.00,5.00,6.00,NULL,1.00,2.00,3.00,420,NULL,NULL,'BREJARU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6168469,2.00,4.00,1.00,0.00,6.00,NULL,2.00,1.00,1.00,203,NULL,214,'MARIA GORETI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6168493,2.00,5.00,0.00,5.00,5.00,7.50,1.00,2.00,1.00,444,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6168507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6168515,2.00,6.00,2.00,6.00,9.00,9.75,1.00,6.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168523,1.00,2.00,3.00,3.00,5.00,6.75,0.00,4.00,1.00,404,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',21060,102,NULL,NULL,NULL,NULL,NULL,2,1),(25,6168540,2.00,3.00,0.00,4.00,6.00,6.75,3.00,1.00,1.00,103,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',20757,4743,NULL,NULL,NULL,NULL,NULL,2,15),(25,6168558,4.00,3.00,2.00,6.00,6.00,10.50,2.00,2.00,3.00,319,NULL,NULL,'IGRA','TORRES','RS',10850,183,NULL,NULL,NULL,NULL,NULL,2,15),(25,6168566,4.00,6.00,0.00,5.00,6.00,10.13,0.00,3.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16247,574,NULL,NULL,NULL,NULL,NULL,2,1),(25,6168574,6.00,8.00,4.00,4.00,9.00,9.00,2.00,6.00,6.00,103,NULL,NULL,'SÍTIO CERCADO','CURITIBA','PR',3638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6168590,3.00,3.00,2.00,3.00,3.00,4.88,2.00,0.00,0.00,404,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',21676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6168612,3.00,4.00,1.00,6.00,8.00,NULL,0.00,5.00,1.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6168620,5.00,5.00,4.00,5.00,4.00,6.00,3.00,2.00,3.00,225,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',14720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168647,4.00,5.00,1.00,3.00,6.00,7.50,0.00,3.00,1.00,101,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',18414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6168655,7.00,8.00,3.00,4.00,6.00,9.00,3.00,4.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168663,6.00,3.00,4.00,6.00,4.00,7.13,4.00,1.00,5.00,214,NULL,233,'CENTRO','STA CECÍLIA','SC',10281,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6168671,8.00,8.00,3.00,6.00,11.00,14.25,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',437,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6168680,3.00,4.00,1.00,2.00,10.00,7.50,0.00,4.00,0.00,108,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',16476,245,NULL,NULL,NULL,NULL,NULL,2,1),(25,6168698,5.00,7.00,6.00,7.00,8.00,9.75,1.00,7.00,7.00,999,NULL,NULL,'LIMOEIRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6168701,5.00,5.00,2.00,5.00,6.00,7.50,1.00,8.00,5.00,215,NULL,216,'ITAIPAVA','ITAJAÍ','SC',11280,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6168736,4.00,6.00,0.00,3.00,6.00,NULL,1.00,2.00,1.00,319,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6168744,7.00,5.00,0.00,5.00,7.00,8.25,1.00,5.00,6.00,303,NULL,NULL,'CENTRO','CASCAVEL','PR',8961,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6168752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'CENTRO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6168779,0.00,1.00,1.00,3.00,4.00,6.00,3.00,2.00,2.00,316,NULL,NULL,'CENTRO','S BONIFÁCIO','SC',20866,258,NULL,NULL,NULL,NULL,NULL,2,1),(25,6168795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PARQUE SAO LUCAS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6168809,8.00,5.00,1.00,4.00,7.00,9.75,1.00,5.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6137,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6168825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6168833,1.00,4.00,1.00,2.00,6.00,7.88,1.00,3.00,1.00,303,NULL,NULL,'JARDIM SOFIA','JOINVILLE','SC',17947,778,NULL,NULL,NULL,NULL,NULL,4,8),(25,6168841,3.00,4.00,2.00,3.00,5.00,9.00,0.00,1.00,2.00,103,NULL,NULL,'TOMBADOURO','OURO PRETO','MG',19655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168850,6.00,4.00,4.00,4.00,8.00,6.75,3.00,2.00,6.00,202,NULL,220,'CENTRO','RIBEIRÃO PRETO','SP',8275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168876,2.00,5.00,2.00,1.00,6.00,8.25,2.00,3.00,4.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16721,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6168884,4.00,6.00,0.00,5.00,8.00,6.38,3.00,6.00,5.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168922,7.00,6.00,7.00,7.00,10.00,11.25,6.00,8.00,8.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',228,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6168930,9.00,6.00,3.00,6.00,8.00,7.13,4.00,6.00,6.00,103,NULL,NULL,'TRÊS LAGOAS','GARIBALDI','RS',3021,1711,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168949,3.00,5.00,4.00,8.00,8.00,12.75,3.00,5.00,5.00,319,NULL,NULL,'JARDIM PARAÍSO','BOTUCATU','SP',4583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168957,7.00,6.00,5.00,5.00,8.00,8.25,5.00,7.00,6.00,203,NULL,233,'DO PARQUE','FARROUPILHA','RS',3083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6168973,4.00,2.00,3.00,5.00,3.00,10.13,1.00,2.00,2.00,104,NULL,NULL,'CAMPO DA LANÇA','MAFRA','SC',17130,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6168990,2.00,5.00,2.00,4.00,7.00,10.13,4.00,6.00,1.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10953,394,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169007,7.00,6.00,4.00,6.00,9.00,9.75,2.00,6.00,8.00,103,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',1895,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169015,4.00,4.00,3.00,7.00,9.00,10.88,2.00,4.00,3.00,103,NULL,NULL,'VILA LEOPOLDINA','S PAULO','SP',6927,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6169023,6.00,5.00,3.00,6.00,7.00,11.63,0.00,5.00,6.00,340,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',6912,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6169031,4.00,2.00,5.00,4.00,2.00,NULL,0.00,2.00,2.00,202,NULL,235,'CENTRO','MRO GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6169040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6169058,3.00,0.00,3.00,2.00,8.00,NULL,0.00,0.00,0.00,207,NULL,201,'SANTA HELENA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,9),(25,6169066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'BARRA DO TROMBUDO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6169074,4.00,5.00,2.00,6.00,9.00,8.63,1.00,5.00,4.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6169090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA OLÍMPIA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6169120,6.00,6.00,2.00,7.00,10.00,10.50,2.00,5.00,5.00,303,NULL,NULL,'AMÉRICA','JOINVILLE','SC',3393,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6169139,2.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,1.00,319,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169147,4.00,6.00,3.00,5.00,6.00,10.13,0.00,5.00,4.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9443,3472,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169155,6.00,6.00,5.00,6.00,8.00,8.63,7.00,7.00,5.00,235,NULL,202,'CONSERVA','AMERICANA','SP',2382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6169163,2.00,2.00,1.00,3.00,5.00,6.75,1.00,1.00,1.00,202,NULL,235,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',21424,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA REZENDE','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6169180,1.00,2.00,1.00,1.00,5.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6169198,3.00,4.00,2.00,5.00,3.00,6.00,2.00,0.00,1.00,502,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',20265,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169201,8.00,8.00,6.00,6.00,8.00,9.75,4.00,6.00,7.00,216,NULL,215,'GLÓRIA','JOINVILLE','SC',1573,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6169210,9.00,5.00,5.00,5.00,8.00,10.50,2.00,7.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',1723,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6169236,9.00,6.00,5.00,7.00,10.00,8.25,2.00,7.00,4.00,203,NULL,233,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',2583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6169244,3.00,5.00,1.00,1.00,2.00,NULL,2.00,1.00,1.00,212,NULL,203,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,16),(25,6169260,2.00,3.00,2.00,3.00,5.00,10.13,1.00,2.00,3.00,453,NULL,NULL,'SUMARÉ','RIO SUL','SC',17986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6169279,2.00,2.00,0.00,4.00,3.00,7.50,0.00,2.00,0.00,453,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21686,143,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169287,1.00,3.00,2.00,2.00,6.00,8.63,3.00,2.00,1.00,109,NULL,NULL,'CENTRO','ITAPIRANGA','SC',20492,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6169295,1.00,2.00,0.00,1.00,2.00,NULL,2.00,2.00,0.00,211,NULL,215,'INTERIOR','ARROIO TRINTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6169309,2.00,2.00,0.00,3.00,3.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PITANGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6169325,7.00,7.00,2.00,7.00,7.00,8.25,3.00,4.00,7.00,103,NULL,NULL,'CINQUENTENARIO','CONCÓRDIA','SC',4701,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6169333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'GIOPPO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6169341,4.00,7.00,5.00,5.00,6.00,9.00,2.00,9.00,1.00,326,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',7705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169350,7.00,7.00,3.00,4.00,6.00,NULL,0.00,8.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6169368,9.00,8.00,7.00,7.00,10.00,11.25,6.00,9.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6169376,3.00,2.00,2.00,5.00,8.00,7.88,4.00,1.00,1.00,207,NULL,201,'UNIVERSITÁRIO','TIJUCAS','SC',17879,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169384,2.00,2.00,0.00,4.00,4.00,7.50,1.00,1.00,0.00,654,NULL,NULL,'CENTRO','ITAPIRANGA','SC',20186,65,NULL,NULL,NULL,NULL,NULL,2,4),(25,6169392,7.00,6.00,5.00,7.00,9.00,8.63,2.00,5.00,8.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',1916,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6169406,9.00,8.00,5.00,6.00,10.00,12.38,6.00,8.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169414,6.00,5.00,3.00,3.00,8.00,9.38,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','S MARTINHO','SC',9911,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6169422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6169430,1.00,0.00,1.00,0.00,5.00,NULL,0.00,0.00,0.00,655,NULL,652,'SÃO BRAS','TORRES','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(25,6169449,3.00,5.00,0.00,6.00,7.00,7.88,1.00,4.00,3.00,103,NULL,NULL,'PARQUE BELA VISTA','VOTORANTIM','SP',12912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6169457,6.00,5.00,4.00,5.00,8.00,7.13,3.00,6.00,8.00,201,NULL,NULL,'VILA MARIANA','S PAULO','SP',3433,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169465,2.00,4.00,3.00,2.00,2.00,NULL,1.00,0.00,0.00,102,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169473,3.00,6.00,1.00,4.00,7.00,6.75,2.00,7.00,2.00,317,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169481,2.00,4.00,0.00,2.00,4.00,NULL,3.00,3.00,3.00,301,NULL,NULL,'RIO MIGUEL','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CENTRO','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6169503,3.00,4.00,1.00,4.00,3.00,5.63,3.00,2.00,3.00,203,NULL,202,'CAMPECHE','FLORIANÓPOLIS','SC',20728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6169520,7.00,8.00,7.00,3.00,9.00,11.63,6.00,7.00,9.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',478,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6169562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM ALGARVE','ALVORADA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6169570,5.00,3.00,2.00,4.00,7.00,8.63,2.00,2.00,1.00,103,NULL,NULL,'MASCOTE','S PAULO','SP',15606,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6169589,3.00,5.00,3.00,5.00,8.00,7.88,2.00,2.00,3.00,216,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',14697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6169597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6169600,5.00,3.00,4.00,4.00,8.00,7.50,2.00,5.00,5.00,207,NULL,211,'PASSA VINTE','PALHOÇA','SC',9732,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169619,5.00,5.00,1.00,1.00,8.00,7.88,1.00,3.00,2.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',15699,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6169627,6.00,7.00,3.00,7.00,6.00,8.63,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6169643,2.00,4.00,3.00,3.00,6.00,9.38,1.00,4.00,1.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18805,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169651,7.00,6.00,2.00,6.00,7.00,10.50,2.00,6.00,6.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',4703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6169678,3.00,5.00,1.00,4.00,6.00,7.50,0.00,0.00,2.00,207,NULL,601,'BOA VISTA','JOINVILLE','SC',17590,940,NULL,NULL,NULL,NULL,NULL,2,8),(25,6169686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','TELÊMACO BORBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6169694,3.00,3.00,1.00,6.00,7.00,NULL,0.00,0.00,1.00,110,NULL,NULL,'FANNY','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169708,7.00,7.00,4.00,2.00,8.00,10.13,1.00,5.00,4.00,103,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',8686,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6169716,8.00,7.00,6.00,7.00,9.00,9.75,6.00,8.00,8.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',133,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6169724,7.00,8.00,1.00,7.00,8.00,NULL,0.00,5.00,4.00,104,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169732,5.00,6.00,1.00,4.00,9.00,10.88,3.00,3.00,5.00,104,NULL,NULL,'CENTRO','JACAREZINHO','PR',6275,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6169740,3.00,5.00,1.00,4.00,6.00,6.75,0.00,1.00,1.00,301,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',18183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6169767,2.00,2.00,0.00,1.00,6.00,7.50,3.00,2.00,1.00,302,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169775,4.00,5.00,2.00,3.00,7.00,12.75,2.00,3.00,4.00,452,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',13316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6169791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6169805,9.00,8.00,8.00,7.00,8.00,11.25,5.00,8.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',99,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6169813,3.00,5.00,2.00,6.00,9.00,8.63,1.00,4.00,4.00,551,NULL,NULL,'N SRA DE LOURDES','CAMPOS NOVOS','SC',9230,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6169848,5.00,4.00,1.00,4.00,7.00,9.38,1.00,4.00,2.00,201,NULL,203,'BOMBAS','BOMBINHAS','SC',11385,959,NULL,785,NULL,NULL,NULL,2,3),(25,6169856,4.00,5.00,4.00,6.00,7.00,8.25,1.00,4.00,1.00,102,NULL,NULL,'CENTRO','S JOSÉ','SC',13268,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169872,6.00,6.00,4.00,6.00,7.00,6.75,4.00,8.00,7.00,103,NULL,NULL,'HUMAITA','TUBARÃO','SC',3274,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6169880,6.00,4.00,2.00,3.00,5.00,8.25,0.00,0.00,1.00,102,NULL,NULL,'JARDIM DAS ACACIAS','S JOSÉ','SC',19470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6169899,4.00,6.00,2.00,3.00,7.00,9.75,1.00,2.00,2.00,215,NULL,212,'VARGEM GRANDE','FLORIANÓPOLIS','SC',14166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6169902,1.00,0.00,3.00,2.00,5.00,6.75,3.00,2.00,3.00,208,NULL,NULL,'CRUZEIRO','ITAJUBÁ','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169937,4.00,3.00,0.00,3.00,6.00,NULL,2.00,2.00,1.00,999,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6169945,3.00,4.00,1.00,4.00,5.00,7.13,3.00,1.00,0.00,208,NULL,235,'ITACORUBI','FLORIANÓPOLIS','SC',20370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6169961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA NOVA','PTO BELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6169970,4.00,7.00,4.00,5.00,4.00,7.50,2.00,6.00,4.00,340,NULL,NULL,'CENTRO','PALHOÇA','SC',8266,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6169996,1.00,2.00,2.00,2.00,5.00,NULL,1.00,3.00,0.00,453,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170005,6.00,6.00,4.00,5.00,8.00,NULL,0.00,4.00,7.00,216,NULL,233,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6170013,5.00,6.00,3.00,4.00,5.00,9.00,3.00,5.00,4.00,103,NULL,NULL,'INTERIOR','QUILOMBO','SC',10747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6170021,4.00,3.00,0.00,5.00,6.00,8.25,2.00,4.00,3.00,103,NULL,NULL,'SÃO MARCOS','JOINVILLE','SC',15437,4272,NULL,NULL,NULL,NULL,NULL,2,8),(25,6170030,3.00,6.00,1.00,2.00,5.00,5.63,1.00,5.00,2.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',18944,650,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170048,5.00,7.00,4.00,7.00,6.00,9.00,3.00,5.00,7.00,203,NULL,214,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',4702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170072,4.00,7.00,3.00,5.00,6.00,7.50,2.00,4.00,2.00,103,NULL,NULL,'FABRICIO','STO AMARO IMPERATRIZ','SC',14726,4197,NULL,NULL,NULL,NULL,NULL,2,1),(25,6170080,6.00,5.00,0.00,2.00,7.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'CENTRO','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6170110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,208,'CENTRO','SARANDI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6170129,5.00,5.00,3.00,4.00,6.00,7.88,1.00,4.00,4.00,216,NULL,214,'GUAIUBA','GUARUJÁ','SP',11957,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6170137,3.00,3.00,0.00,3.00,3.00,NULL,3.00,2.00,0.00,203,NULL,208,'CENTRO','BOM JD SERRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6170153,5.00,7.00,1.00,4.00,7.00,9.00,2.00,5.00,3.00,316,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',12094,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6170161,2.00,6.00,4.00,6.00,7.00,7.88,1.00,1.00,2.00,102,NULL,NULL,'CENTRO','GUARAMIRIM','SC',16553,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6170170,4.00,5.00,3.00,5.00,8.00,7.50,3.00,3.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CERQUEIRA CESAR','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6170196,5.00,2.00,2.00,4.00,4.00,7.50,0.00,1.00,2.00,501,NULL,NULL,'RIO DOS POÇOS','BELA V TOLDO','SC',17447,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6170200,3.00,2.00,2.00,3.00,3.00,8.25,1.00,0.00,1.00,203,NULL,NULL,'CENTRO','S JOAQUIM','SC',20538,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6170218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6170226,2.00,4.00,7.00,4.00,8.00,12.00,0.00,4.00,6.00,303,NULL,NULL,'CENTRO','STA MARIA','RS',7367,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6170234,6.00,8.00,3.00,6.00,8.00,9.38,4.00,2.00,6.00,319,NULL,NULL,'EUGÊNIO SCHNEIDER','RIO SUL','SC',4986,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6170242,4.00,6.00,3.00,6.00,9.00,10.13,4.00,6.00,4.00,203,NULL,211,'JARDIM MALUCHE','BRUSQUE','SC',4376,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6170269,7.00,5.00,1.00,6.00,7.00,9.38,1.00,5.00,7.00,103,NULL,NULL,'JARDIM COLOMBO','S PAULO','SP',5250,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6170277,2.00,5.00,3.00,4.00,6.00,8.25,2.00,2.00,2.00,216,NULL,215,'CENTRO II','BRUSQUE','SC',12951,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6170293,6.00,6.00,5.00,7.00,9.00,9.38,5.00,5.00,8.00,203,NULL,202,'CENTRO','CASCAVEL','PR',1484,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6170307,5.00,7.00,4.00,7.00,9.00,9.00,1.00,8.00,6.00,201,NULL,207,'SALTO DO NORTE','BLUMENAU','SC',2881,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6170315,2.00,5.00,4.00,1.00,5.00,3.38,2.00,3.00,1.00,333,NULL,NULL,'PAGARA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6170331,7.00,7.00,4.00,7.00,8.00,8.63,1.00,3.00,3.00,203,NULL,601,'INGLESES','FLORIANÓPOLIS','SC',7480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170340,5.00,8.00,2.00,5.00,10.00,NULL,0.00,3.00,2.00,238,NULL,207,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6170358,1.00,3.00,2.00,0.00,3.00,6.00,2.00,3.00,1.00,225,NULL,NULL,'HUMAITA DE CIMA','TUBARÃO','SC',20761,32,NULL,NULL,NULL,NULL,NULL,4,10),(25,6170382,8.00,5.00,2.00,7.00,8.00,9.00,1.00,5.00,8.00,103,NULL,NULL,'CENTRO','ROLÂNDIA','PR',3759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6170404,3.00,4.00,2.00,5.00,4.00,7.13,2.00,4.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170412,3.00,2.00,0.00,4.00,3.00,NULL,1.00,1.00,1.00,103,NULL,NULL,'PIO CORREIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,5),(25,6170420,6.00,6.00,6.00,7.00,8.00,8.63,5.00,3.00,8.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',1982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170439,7.00,7.00,7.00,6.00,10.00,11.25,3.00,7.00,6.00,108,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170447,2.00,5.00,0.00,2.00,5.00,NULL,0.00,1.00,1.00,421,NULL,425,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170455,9.00,6.00,6.00,7.00,9.00,11.25,4.00,8.00,9.00,103,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170463,6.00,5.00,2.00,5.00,6.00,7.13,3.00,5.00,5.00,102,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',10788,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6170471,5.00,5.00,3.00,6.00,9.00,10.88,1.00,2.00,5.00,103,NULL,NULL,'SETOR JAÓ','GOIÂNIA','GO',8320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170498,5.00,6.00,2.00,7.00,8.00,9.75,2.00,7.00,6.00,207,NULL,233,'CENTRO','S JOAQUIM','SC',5223,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6170501,8.00,6.00,3.00,7.00,10.00,12.00,4.00,6.00,7.00,103,NULL,NULL,'SANTA BÁRBARA','CRICIÚMA','SC',1080,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6170510,7.00,7.00,3.00,6.00,9.00,9.75,3.00,7.00,7.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',2885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170528,4.00,6.00,1.00,6.00,8.00,10.88,1.00,3.00,3.00,208,NULL,235,'BARREIROS','S JOSÉ','SC',9114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170536,4.00,5.00,2.00,7.00,7.00,7.88,1.00,1.00,0.00,340,NULL,NULL,'GLÓRIA','JOINVILLE','SC',14108,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6170544,4.00,6.00,2.00,3.00,5.00,7.88,1.00,2.00,5.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170552,2.00,5.00,0.00,2.00,8.00,5.63,0.00,3.00,4.00,5,NULL,NULL,'CENTRO','XANXERÊ','SC',16670,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6170560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'BARÃO GERALDO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6170579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6170595,1.00,0.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'ROÇA GRANDE','COLOMBO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6170609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'JARDIM IRENE','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6170617,4.00,4.00,0.00,6.00,1.00,NULL,2.00,2.00,1.00,3,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170625,4.00,0.00,2.00,3.00,8.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'NOVA DIVINÉIA','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(25,6170633,5.00,7.00,0.00,6.00,8.00,9.00,2.00,4.00,3.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170641,3.00,7.00,3.00,6.00,11.00,7.50,0.00,8.00,4.00,303,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170650,7.00,6.00,7.00,6.00,3.00,NULL,4.00,6.00,8.00,103,NULL,NULL,'PITUBA','SALVADOR','BA',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6170668,6.00,5.00,5.00,5.00,6.00,7.88,1.00,3.00,3.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',12018,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6170684,3.00,3.00,2.00,3.00,7.00,7.88,2.00,1.00,0.00,415,NULL,NULL,'VILA SANTO ANTONIO','OURINHOS','SP',17832,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6170692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6170714,4.00,3.00,2.00,3.00,1.00,NULL,3.00,4.00,3.00,404,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170722,4.00,5.00,1.00,4.00,5.00,NULL,0.00,2.00,1.00,5,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6170730,4.00,4.00,1.00,4.00,7.00,6.75,0.00,5.00,0.00,309,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',16299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6170757,5.00,4.00,2.00,3.00,4.00,9.00,0.00,2.00,6.00,216,NULL,653,'UNIVERSITÁRIO','IJUÍ','RS',13083,459,NULL,NULL,NULL,NULL,NULL,2,4),(25,6170765,4.00,6.00,5.00,5.00,9.00,9.00,2.00,7.00,6.00,238,NULL,235,'INGLESES','FLORIANÓPOLIS','SC',4553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170773,3.00,3.00,0.00,4.00,6.00,3.00,1.00,1.00,1.00,601,NULL,215,'PIONEIROS','ITÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6170781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM CRUZEIRO','ESPÍRITO STO PINHAL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6170790,5.00,6.00,3.00,5.00,6.00,7.50,3.00,5.00,4.00,336,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6170811,2.00,3.00,2.00,3.00,6.00,5.63,3.00,5.00,2.00,340,NULL,NULL,'CENTRO','CAPÃO BONITO','SP',18047,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6170838,6.00,5.00,4.00,4.00,9.00,7.50,4.00,6.00,3.00,216,NULL,203,'AREIAS','S JOSÉ','SC',8580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170846,2.00,5.00,1.00,4.00,4.00,6.75,0.00,2.00,2.00,654,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6170854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'INTERIOR','CORDILHEIRA ALTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6170862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6170870,3.00,2.00,0.00,2.00,2.00,NULL,1.00,0.00,0.00,551,NULL,NULL,'GUANABARA','RIO CAMPO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6170897,2.00,7.00,2.00,4.00,4.00,7.50,2.00,5.00,3.00,316,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',16799,166,NULL,NULL,NULL,NULL,NULL,2,1),(25,6170900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ITAIPU','NITERÓI','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6170919,3.00,6.00,1.00,0.00,9.00,9.38,2.00,5.00,3.00,999,NULL,NULL,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6170935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'BAIRRO CANUDOS','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6170943,2.00,5.00,1.00,0.00,3.00,6.38,1.00,1.00,1.00,104,NULL,NULL,'CENTRO','CEL SAPUCAIA','MS',21762,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6170951,3.00,4.00,1.00,2.00,7.00,8.63,1.00,4.00,1.00,216,NULL,233,'COLONIAL','S BENTO SUL','SC',16407,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6170978,4.00,5.00,2.00,2.00,6.00,7.88,3.00,4.00,4.00,201,NULL,601,'ALTO SÃO BENTO','ITAPEMA','SC',11843,1000,NULL,NULL,NULL,NULL,NULL,4,6),(25,6170986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6170994,5.00,6.00,1.00,1.00,6.00,6.75,3.00,3.00,1.00,652,NULL,653,'CENTRO','SOMBRIO','SC',18943,67,NULL,NULL,NULL,NULL,NULL,4,15),(25,6171001,4.00,4.00,1.00,3.00,8.00,7.88,0.00,1.00,1.00,301,NULL,NULL,'CENTRO','PAULO LOPES','SC',17700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171028,8.00,7.00,5.00,7.00,11.00,9.38,5.00,9.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171036,7.00,5.00,0.00,7.00,8.00,9.38,2.00,5.00,5.00,103,NULL,NULL,'ICARAI','NITERÓI','RJ',5645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171044,1.00,3.00,1.00,2.00,5.00,6.75,2.00,1.00,2.00,654,NULL,NULL,'DIVINÉIA','ARARANGUÁ','SC',21532,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6171052,3.00,3.00,1.00,2.00,4.00,NULL,0.00,0.00,1.00,9,NULL,NULL,'FZA SANTO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171060,5.00,6.00,2.00,2.00,9.00,10.50,3.00,6.00,3.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',8067,3197,NULL,NULL,NULL,NULL,NULL,2,6),(25,6171079,1.00,2.00,1.00,1.00,6.00,NULL,3.00,0.00,1.00,319,NULL,NULL,'ESPLANADA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(25,6171095,4.00,6.00,3.00,7.00,7.00,6.75,0.00,6.00,6.00,336,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6509,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6171109,8.00,7.00,5.00,7.00,9.00,11.25,2.00,7.00,7.00,103,NULL,NULL,'SALTO','BLUMENAU','SC',993,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6171117,2.00,3.00,1.00,4.00,7.00,8.63,0.00,2.00,2.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171125,7.00,7.00,5.00,5.00,6.00,6.00,1.00,3.00,3.00,215,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',9623,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171141,8.00,9.00,6.00,7.00,10.00,9.38,2.00,7.00,7.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6171168,3.00,6.00,7.00,5.00,8.00,8.25,2.00,6.00,4.00,425,NULL,424,'CAPOEIRAS','FLORIANÓPOLIS','SC',7965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171176,5.00,3.00,1.00,4.00,6.00,7.13,0.00,4.00,2.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',15640,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6171184,3.00,4.00,1.00,2.00,4.00,6.75,4.00,2.00,3.00,655,NULL,208,'CENTRO','TREVISO','SC',18352,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6171192,4.00,4.00,1.00,3.00,5.00,8.25,2.00,4.00,2.00,103,NULL,NULL,'JARDIM MUNHOZ','MOGI GUAÇU','SP',19668,4660,NULL,NULL,NULL,NULL,NULL,2,10),(25,6171206,6.00,4.00,5.00,5.00,9.00,7.13,4.00,7.00,6.00,103,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',4208,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171214,5.00,5.00,0.00,5.00,6.00,7.88,1.00,3.00,2.00,340,NULL,NULL,'PAULAS','S FRANCISCO SUL','SC',14973,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6171222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRÊS RIACHOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6171230,3.00,4.00,1.00,4.00,6.00,5.63,2.00,3.00,1.00,333,NULL,NULL,'BELA VISTA','S JOSÉ','SC',20481,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171257,5.00,5.00,4.00,4.00,6.00,7.13,3.00,2.00,3.00,318,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',14445,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6171265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM TRIUNFO','PEDREIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6171273,8.00,8.00,3.00,7.00,9.00,9.75,7.00,6.00,9.00,203,NULL,601,'AMÉRICA','JOINVILLE','SC',465,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6171281,7.00,7.00,7.00,7.00,9.00,9.38,2.00,3.00,6.00,103,NULL,NULL,'QUILOMBO','CUIABÁ','MT',2368,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6171290,8.00,7.00,5.00,4.00,10.00,9.38,3.00,6.00,9.00,103,NULL,NULL,'CENTRO','PONGAÍ','SP',1426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171303,5.00,0.00,1.00,6.00,6.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(25,6171311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6171320,3.00,3.00,1.00,6.00,7.00,8.25,2.00,2.00,0.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',18740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171338,8.00,8.00,3.00,6.00,8.00,12.75,2.00,8.00,7.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',1562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171346,3.00,2.00,1.00,1.00,5.00,5.63,2.00,1.00,1.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21706,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171354,2.00,3.00,2.00,5.00,4.00,5.25,0.00,1.00,1.00,452,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',21548,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,213,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6171370,3.00,3.00,1.00,5.00,5.00,7.13,0.00,1.00,2.00,101,NULL,NULL,'BELA VISTA','S JOSÉ','SC',19689,148,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171397,5.00,8.00,8.00,7.00,8.00,10.13,5.00,9.00,8.00,222,NULL,NULL,'BARRA SUL','BAL CAMBORIÚ','SC',446,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6171400,5.00,6.00,2.00,3.00,6.00,6.38,2.00,3.00,1.00,207,NULL,601,'FORQUILHAS','S JOSÉ','SC',14964,806,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171419,3.00,4.00,2.00,6.00,8.00,9.75,1.00,5.00,3.00,425,NULL,424,'KOBRASOL','S JOSÉ','SC',9391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171427,5.00,5.00,1.00,4.00,8.00,4.50,3.00,5.00,3.00,3,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',11589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171435,6.00,5.00,2.00,7.00,6.00,12.00,3.00,5.00,2.00,415,NULL,NULL,'COND VILLEDEMONTAGNE','LG SUL','DF',6702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171443,5.00,4.00,2.00,6.00,8.00,8.25,1.00,5.00,7.00,202,NULL,220,'VILA EMA','S JOSÉ CAMPOS','SP',8622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171451,2.00,4.00,0.00,0.00,5.00,NULL,0.00,1.00,0.00,101,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171460,8.00,7.00,3.00,7.00,8.00,NULL,3.00,6.00,6.00,103,NULL,NULL,'MORUMBI','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6171478,5.00,3.00,3.00,6.00,9.00,9.38,2.00,3.00,4.00,211,NULL,215,'BELA VISTA I','S JOSÉ','SC',8016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171486,4.00,4.00,0.00,3.00,8.00,9.00,3.00,5.00,5.00,207,NULL,211,'NSA SRA DAS GRAÇAS','CANOAS','RS',10929,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171494,7.00,6.00,4.00,5.00,9.00,8.25,0.00,7.00,5.00,5,NULL,NULL,'SÃO CRISTÓVÃO','PAPANDUVA','SC',4453,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6171508,7.00,4.00,5.00,2.00,10.00,9.38,4.00,5.00,6.00,216,NULL,233,'VILA EMMA','S JOSÉ CAMPOS','SP',4436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171516,2.00,4.00,3.00,2.00,3.00,6.00,4.00,0.00,1.00,201,NULL,208,'CENTRO','IMARUÍ','SC',19910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171524,6.00,8.00,4.00,5.00,9.00,12.00,3.00,9.00,7.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',1010,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171540,6.00,5.00,4.00,6.00,4.00,6.00,3.00,4.00,3.00,220,NULL,NULL,'CHAMPAGNE','GARIBALDI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171559,3.00,2.00,2.00,2.00,3.00,6.75,1.00,3.00,2.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171567,4.00,4.00,2.00,6.00,7.00,7.13,2.00,4.00,3.00,212,NULL,207,'PARQUE GUARANI','JOINVILLE','SC',12412,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6171575,3.00,3.00,0.00,3.00,8.00,9.00,1.00,0.00,0.00,9,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',20767,155,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171583,7.00,7.00,4.00,6.00,9.00,9.75,1.00,6.00,6.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',1659,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6171591,3.00,5.00,1.00,6.00,6.00,9.00,4.00,5.00,3.00,324,NULL,NULL,'RIO BONITO','IRATI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171605,6.00,3.00,1.00,4.00,5.00,0.00,2.00,2.00,2.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,425,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6171630,5.00,6.00,4.00,3.00,7.00,8.63,2.00,3.00,2.00,203,NULL,220,'SANTA MONICA','FLORIANÓPOLIS','SC',13646,870,NULL,374,NULL,NULL,NULL,4,1),(25,6171648,7.00,5.00,5.00,0.00,3.00,8.63,2.00,6.00,6.00,220,NULL,601,'VILA EMA','S JOSÉ CAMPOS','SP',10014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171656,3.00,4.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171664,3.00,0.00,1.00,1.00,5.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6171672,3.00,3.00,2.00,4.00,7.00,10.50,1.00,2.00,3.00,103,NULL,NULL,'CRUZEIRO','S BENTO SUL','SC',17469,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6171680,6.00,7.00,5.00,6.00,10.00,11.63,1.00,6.00,5.00,103,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',2280,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM CLAUDIA','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6171702,4.00,4.00,1.00,4.00,5.00,11.63,2.00,4.00,4.00,207,NULL,NULL,'IPIRANGA','S JOSÉ','SC',11916,628,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171710,8.00,6.00,6.00,6.00,7.00,11.25,5.00,5.00,8.00,207,NULL,212,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171729,2.00,3.00,2.00,3.00,5.00,6.38,1.00,1.00,0.00,652,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6171745,3.00,4.00,2.00,2.00,3.00,7.88,0.00,1.00,0.00,450,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',20159,132,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171753,5.00,5.00,5.00,5.00,5.00,9.00,0.00,5.00,4.00,201,NULL,212,'SÃO JOSÉ','S JOSÉ','SC',9700,777,NULL,269,NULL,NULL,NULL,2,1),(25,6171761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SEDE CAPELA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6171770,2.00,3.00,1.00,1.00,2.00,NULL,2.00,1.00,2.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171788,7.00,7.00,4.00,7.00,7.00,12.00,1.00,7.00,8.00,103,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',2034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171796,7.00,6.00,3.00,4.00,5.00,6.00,3.00,6.00,6.00,203,NULL,214,'PALMITAL','PARANAGUÁ','PR',6986,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6171818,4.00,4.00,2.00,4.00,7.00,11.25,3.00,4.00,6.00,207,NULL,201,'AGRONOMICA','FLORIANÓPOLIS','SC',10041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171826,3.00,2.00,3.00,4.00,3.00,NULL,2.00,1.00,0.00,109,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171834,5.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6171842,5.00,5.00,3.00,3.00,5.00,6.75,1.00,4.00,2.00,207,NULL,201,'PASSA VINTE','PALHOÇA','SC',15659,848,NULL,1335,NULL,NULL,NULL,2,1),(25,6171850,6.00,5.00,1.00,5.00,10.00,10.13,1.00,8.00,5.00,428,NULL,426,'CONJUNTO ATUBA','PINHAIS','PR',5977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171877,5.00,4.00,4.00,1.00,7.00,NULL,0.00,0.00,5.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6171885,6.00,8.00,3.00,7.00,7.00,10.13,2.00,3.00,8.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',5428,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171893,6.00,6.00,2.00,5.00,5.00,8.25,3.00,3.00,4.00,216,NULL,211,'PARQUE DE EXPOSIÇÕES','CONCÓRDIA','SC',9663,353,NULL,221,NULL,NULL,NULL,4,7),(25,6171907,3.00,5.00,3.00,6.00,5.00,4.88,2.00,4.00,2.00,655,NULL,653,'CENTRO','BAL ARROIO SILVA','SC',15282,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6171915,3.00,5.00,1.00,1.00,8.00,8.63,1.00,2.00,2.00,450,NULL,NULL,'CENTRO','CURITIBANOS','SC',16969,112,NULL,NULL,NULL,NULL,NULL,4,16),(25,6171923,3.00,4.00,2.00,5.00,4.00,8.25,2.00,3.00,3.00,318,NULL,NULL,'CENTRO','IRATI','PR',17089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171931,2.00,2.00,2.00,3.00,5.00,7.88,1.00,1.00,2.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171940,3.00,6.00,3.00,6.00,8.00,NULL,1.00,2.00,0.00,316,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6171958,5.00,4.00,2.00,1.00,5.00,7.88,1.00,4.00,3.00,303,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',16419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6171966,6.00,2.00,1.00,3.00,8.00,6.38,2.00,0.00,1.00,224,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',16252,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6171974,3.00,6.00,1.00,6.00,6.00,7.88,4.00,5.00,0.00,201,NULL,207,'SERTAO DO MARUIM','S JOSÉ','SC',15727,1342,NULL,852,NULL,NULL,NULL,4,1),(25,6171982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SÃO CRISTÓVÃO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6171990,4.00,5.00,3.00,5.00,3.00,7.13,2.00,1.00,0.00,110,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',18291,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172016,9.00,8.00,5.00,6.00,10.00,9.38,5.00,8.00,8.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172024,5.00,7.00,0.00,4.00,9.00,8.63,1.00,4.00,3.00,203,NULL,214,'NOVA RUSSIA','PNT GROSSA','PR',8898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172032,3.00,4.00,3.00,2.00,3.00,7.13,2.00,4.00,2.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19686,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172040,2.00,4.00,0.00,5.00,7.00,NULL,2.00,2.00,0.00,333,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172059,4.00,3.00,1.00,2.00,7.00,9.00,1.00,1.00,1.00,201,NULL,202,'SETOR CENTRAL','ANÁPOLIS','GO',18803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172067,7.00,6.00,5.00,6.00,10.00,11.25,5.00,6.00,6.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6172083,2.00,3.00,1.00,3.00,4.00,NULL,2.00,1.00,0.00,213,NULL,220,'CAMPO DO GADO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6172091,6.00,5.00,2.00,5.00,10.00,9.00,2.00,6.00,5.00,102,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172105,2.00,3.00,1.00,3.00,7.00,9.00,2.00,3.00,1.00,332,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172113,4.00,4.00,3.00,6.00,7.00,8.63,2.00,5.00,5.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172121,4.00,3.00,3.00,2.00,5.00,8.25,1.00,2.00,3.00,211,NULL,215,'MORRO AGUDO','PAULO LOPES','SC',17798,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172130,6.00,6.00,0.00,0.00,6.00,NULL,3.00,5.00,4.00,108,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6172148,6.00,6.00,2.00,4.00,6.00,7.88,3.00,4.00,4.00,203,NULL,214,'CENTRO','UNIÃO VITÓRIA','PR',9215,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6172156,4.00,5.00,5.00,7.00,7.00,6.75,4.00,7.00,5.00,208,NULL,238,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4808,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6172164,4.00,4.00,2.00,2.00,7.00,7.50,2.00,3.00,2.00,318,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',17346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172172,4.00,6.00,3.00,6.00,8.00,8.63,2.00,3.00,7.00,102,NULL,NULL,'NOVA BRASÍLIA','JARAGUÁ SUL','SC',5497,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6172180,3.00,4.00,2.00,4.00,5.00,7.50,1.00,5.00,3.00,318,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14893,58,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172199,5.00,5.00,4.00,5.00,7.00,10.13,3.00,8.00,4.00,203,NULL,214,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',6013,458,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172202,1.00,3.00,1.00,2.00,5.00,7.50,1.00,3.00,3.00,317,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',19317,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172210,5.00,7.00,1.00,6.00,8.00,9.38,2.00,7.00,6.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',3992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172229,4.00,2.00,1.00,3.00,6.00,6.38,1.00,7.00,2.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',17387,4476,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172237,4.00,6.00,1.00,6.00,10.00,NULL,0.00,5.00,4.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172245,2.00,2.00,0.00,4.00,2.00,NULL,2.00,0.00,1.00,103,NULL,NULL,'SÃO FRANCISCO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6172253,4.00,4.00,2.00,3.00,8.00,9.00,1.00,5.00,3.00,319,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',12272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172261,4.00,4.00,2.00,5.00,6.00,6.75,1.00,4.00,3.00,999,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172270,3.00,4.00,2.00,3.00,6.00,8.25,1.00,4.00,2.00,303,NULL,NULL,'COLINAS','BIRIGÜI','SP',19247,813,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172288,8.00,7.00,6.00,5.00,7.00,10.88,2.00,9.00,9.00,103,NULL,NULL,'TROPICAL','CASCAVEL','PR',1141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172296,5.00,7.00,2.00,5.00,7.00,10.88,1.00,3.00,5.00,324,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172300,1.00,3.00,1.00,0.00,2.00,NULL,0.00,0.00,0.00,203,NULL,214,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172318,6.00,3.00,4.00,5.00,9.00,7.88,2.00,3.00,4.00,655,NULL,202,'FLORESTA','JOINVILLE','SC',11201,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6172326,8.00,7.00,3.00,3.00,7.00,9.75,3.00,5.00,5.00,103,NULL,NULL,'COMASA','JOINVILLE','SC',5631,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6172334,2.00,1.00,0.00,2.00,4.00,NULL,3.00,2.00,2.00,3,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172342,3.00,8.00,3.00,4.00,6.00,10.50,1.00,4.00,2.00,216,NULL,212,'VILA NOVA','BLUMENAU','SC',11426,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(25,6172350,1.00,5.00,1.00,6.00,3.00,6.38,1.00,2.00,2.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20408,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172369,2.00,4.00,2.00,3.00,2.00,NULL,2.00,2.00,1.00,9,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6172377,5.00,3.00,3.00,4.00,5.00,8.25,0.00,2.00,1.00,238,NULL,235,'MORRO AGUDO','PAULO LOPES','SC',16803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172385,1.00,3.00,1.00,4.00,4.00,8.63,0.00,2.00,2.00,201,NULL,211,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',18744,1542,NULL,491,NULL,NULL,NULL,2,1),(25,6172393,3.00,5.00,2.00,4.00,8.00,8.63,4.00,2.00,3.00,428,NULL,426,'CAMPECHE','FLORIANÓPOLIS','SC',11996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172415,3.00,5.00,1.00,4.00,9.00,10.50,4.00,3.00,1.00,208,NULL,238,'CANUDOS','ANTÔNIO CARLOS','SC',10108,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172423,6.00,7.00,1.00,5.00,6.00,8.63,0.00,4.00,3.00,601,NULL,216,'BELA VISTA','RIO NEGRINHO','SC',12998,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6172431,6.00,5.00,6.00,4.00,8.00,8.63,2.00,2.00,6.00,103,NULL,NULL,'JARDIM REBELO','SERTANÓPOLIS','PR',6710,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6172440,6.00,5.00,2.00,7.00,10.00,7.88,2.00,6.00,5.00,319,NULL,NULL,'ARISTOCRATA','S JOSÉ PINHAIS','PR',5584,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6172458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM SANTA MARIA','JACAREÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6172466,9.00,9.00,5.00,7.00,10.00,10.50,2.00,6.00,9.00,103,NULL,NULL,'AFONSO CAMARGO','APUCARANA','PR',642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6172482,5.00,7.00,1.00,6.00,7.00,10.50,3.00,8.00,4.00,340,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172490,6.00,5.00,6.00,5.00,7.00,8.63,3.00,5.00,6.00,203,NULL,208,'BARRA DO ARIRIÚ','PALHOÇA','SC',4257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'SANTA HELENA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6172512,5.00,7.00,3.00,6.00,7.00,8.25,3.00,6.00,2.00,208,NULL,652,'SANTA MÔNICA','FLORIANÓPOLIS','SC',7718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'VILA PARAISO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6172539,4.00,4.00,1.00,4.00,8.00,8.25,2.00,3.00,4.00,3,NULL,NULL,'SANTA MARIA','LAGES','SC',15223,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6172547,5.00,6.00,5.00,4.00,7.00,7.88,3.00,5.00,8.00,336,NULL,NULL,'ESTADOS','BAL CAMBORIÚ','SC',6059,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6172555,4.00,4.00,1.00,2.00,6.00,8.25,2.00,4.00,3.00,420,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',19073,180,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LOURDES','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6172580,3.00,4.00,3.00,6.00,5.00,9.75,1.00,1.00,1.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',17004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172598,6.00,5.00,2.00,6.00,7.00,8.25,1.00,4.00,5.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172601,3.00,3.00,3.00,4.00,7.00,7.13,2.00,4.00,2.00,308,NULL,NULL,'SAUDADE','BIGUAÇU','SC',17143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172610,4.00,4.00,3.00,4.00,5.00,6.75,0.00,3.00,3.00,201,NULL,207,'ARIRIÚ','PALHOÇA','SC',16188,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172628,5.00,6.00,2.00,5.00,7.00,6.00,2.00,3.00,5.00,103,NULL,NULL,'PROSPERA','CRICIÚMA','SC',11978,3859,NULL,NULL,NULL,NULL,NULL,2,5),(25,6172636,3.00,3.00,4.00,4.00,4.00,9.75,2.00,2.00,2.00,999,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6172652,6.00,6.00,4.00,3.00,5.00,9.00,4.00,2.00,1.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',13355,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6172687,1.00,2.00,0.00,2.00,6.00,6.00,1.00,1.00,2.00,655,NULL,653,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6172695,3.00,4.00,1.00,2.00,7.00,NULL,0.00,2.00,2.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6172717,6.00,3.00,0.00,4.00,7.00,NULL,2.00,4.00,2.00,102,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,214,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6172733,6.00,4.00,3.00,6.00,7.00,9.00,1.00,3.00,2.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',11311,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6172741,4.00,5.00,0.00,3.00,6.00,7.50,3.00,5.00,1.00,304,NULL,NULL,'CENTRO','JOINVILLE','SC',15985,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6172750,5.00,8.00,5.00,7.00,9.00,9.75,4.00,8.00,6.00,233,NULL,208,'ITACORUBI','FLORIANÓPOLIS','SC',1091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172768,2.00,4.00,1.00,2.00,5.00,7.13,0.00,4.00,0.00,652,NULL,655,'MATO ALTO','ARARANGUÁ','SC',18948,68,NULL,NULL,NULL,NULL,NULL,2,15),(25,6172776,3.00,5.00,0.00,3.00,4.00,NULL,0.00,2.00,0.00,601,NULL,211,'MINA DO MATO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6172784,5.00,3.00,1.00,5.00,5.00,8.63,0.00,2.00,1.00,654,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',16301,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6172792,6.00,6.00,5.00,7.00,3.00,9.00,2.00,6.00,6.00,208,NULL,238,'PONTE DO IMARUIM','PALHOÇA','SC',6269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6172822,3.00,5.00,1.00,5.00,7.00,8.63,1.00,3.00,2.00,212,NULL,213,'CENTRO','CANOINHAS','SC',14701,429,NULL,212,NULL,NULL,NULL,2,17),(25,6172849,3.00,1.00,3.00,2.00,4.00,7.13,2.00,1.00,1.00,203,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',21090,1148,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172857,3.00,4.00,1.00,5.00,7.00,8.25,1.00,1.00,2.00,319,NULL,NULL,'ESTRADA NOVA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6172865,2.00,6.00,3.00,2.00,6.00,8.25,2.00,3.00,2.00,238,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',16676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172873,8.00,4.00,4.00,6.00,8.00,8.25,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',4073,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6172881,2.00,4.00,5.00,4.00,6.00,7.13,0.00,2.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172890,3.00,4.00,1.00,7.00,5.00,9.00,1.00,5.00,0.00,303,NULL,NULL,'JARDIM MARILIZA','GOIÂNIA','GO',14813,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6172911,9.00,6.00,7.00,6.00,9.00,11.63,6.00,7.00,9.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6172920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SAO JORGE','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6172938,4.00,5.00,0.00,3.00,6.00,7.88,0.00,4.00,5.00,108,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',12210,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6172946,6.00,4.00,0.00,0.00,6.00,NULL,0.00,2.00,0.00,653,NULL,655,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6172962,6.00,6.00,2.00,5.00,6.00,9.00,3.00,5.00,4.00,207,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',8888,426,NULL,NULL,NULL,NULL,NULL,2,1),(25,6172970,5.00,4.00,0.00,2.00,5.00,8.63,0.00,1.00,2.00,103,NULL,NULL,'CENTRO','LAGES','SC',20637,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6173004,2.00,3.00,1.00,3.00,4.00,6.75,1.00,3.00,2.00,103,NULL,NULL,'BELA VISTA','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6173012,4.00,4.00,2.00,6.00,7.00,6.75,0.00,4.00,2.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14198,126,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173020,4.00,5.00,3.00,5.00,6.00,10.13,1.00,3.00,3.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',13486,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173039,4.00,5.00,2.00,4.00,9.00,10.50,2.00,3.00,3.00,415,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6173047,5.00,5.00,5.00,5.00,8.00,9.75,4.00,5.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6173055,3.00,4.00,4.00,1.00,2.00,NULL,0.00,6.00,3.00,215,NULL,211,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6173063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DE PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6173071,9.00,8.00,4.00,6.00,6.00,10.13,2.00,6.00,8.00,103,NULL,NULL,'CENTRO','MAMBORÊ','PR',2463,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6173080,4.00,2.00,1.00,1.00,7.00,8.25,3.00,3.00,2.00,109,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',19255,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6173098,4.00,3.00,2.00,3.00,5.00,NULL,0.00,1.00,1.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173101,6.00,5.00,3.00,5.00,7.00,7.50,2.00,3.00,5.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6173110,3.00,3.00,4.00,2.00,7.00,7.50,1.00,0.00,2.00,207,NULL,201,'CENTRO SUL','CUIABÁ','MT',18037,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173136,5.00,5.00,3.00,6.00,9.00,10.13,0.00,5.00,4.00,104,NULL,NULL,'IGARA','CANOAS','RS',8365,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6173144,0.00,5.00,2.00,4.00,5.00,7.88,1.00,5.00,3.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',16985,4439,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173152,6.00,4.00,3.00,6.00,6.00,7.13,3.00,3.00,4.00,203,NULL,655,'MARECHAL RONDON','CANOAS','RS',9555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6173160,7.00,6.00,5.00,4.00,6.00,7.50,3.00,5.00,9.00,216,NULL,211,'BUTIATUVINHA','CURITIBA','PR',3989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6173195,1.00,7.00,1.00,3.00,5.00,9.38,1.00,4.00,2.00,102,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15046,175,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173209,3.00,4.00,2.00,5.00,4.00,NULL,1.00,1.00,0.00,340,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6173217,6.00,9.00,5.00,7.00,9.00,9.38,7.00,9.00,8.00,203,NULL,NULL,'VELHA','BLUMENAU','SC',377,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6173225,6.00,2.00,6.00,4.00,8.00,6.75,3.00,5.00,7.00,211,NULL,NULL,'SAÚDE','S PAULO','SP',6654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6173233,6.00,6.00,4.00,3.00,5.00,8.25,1.00,3.00,3.00,340,NULL,NULL,'LAGOA DE CONCEIÇÃO','FLORIANÓPOLIS','SC',15095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6173250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6173268,2.00,5.00,3.00,5.00,7.00,7.13,2.00,4.00,4.00,238,NULL,208,'CAMINHO NOVO','PALHOÇA','SC',16014,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173284,5.00,7.00,3.00,3.00,8.00,10.13,3.00,5.00,6.00,215,NULL,601,'IRIRIÚ','JOINVILLE','SC',6548,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6173292,6.00,7.00,3.00,6.00,7.00,12.00,1.00,5.00,5.00,340,NULL,NULL,'INTERIOR','ANTA GORDA','RS',5122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173306,9.00,6.00,6.00,7.00,9.00,11.25,5.00,7.00,8.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',355,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6173322,3.00,3.00,0.00,3.00,1.00,NULL,1.00,4.00,1.00,316,NULL,NULL,'COHA II','RIO GRANDE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CANDIDA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6173373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6173381,4.00,4.00,1.00,3.00,4.00,7.88,2.00,5.00,1.00,317,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173403,7.00,5.00,4.00,4.00,3.00,8.63,4.00,6.00,7.00,203,NULL,214,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6173411,6.00,7.00,6.00,5.00,8.00,9.00,3.00,7.00,6.00,201,NULL,207,'SANTO ANTONIO','JOINVILLE','SC',2458,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6173438,7.00,8.00,7.00,5.00,6.00,8.25,4.00,6.00,7.00,203,NULL,201,'ZONA CINCO','MARINGÁ','PR',2176,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6173446,4.00,3.00,2.00,3.00,5.00,10.13,2.00,1.00,4.00,103,NULL,NULL,'CENTRO','VANINI','RS',17576,4495,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173454,2.00,4.00,1.00,3.00,3.00,6.00,1.00,0.00,0.00,652,NULL,655,'COLONINHA','ARARANGUÁ','SC',21128,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6173462,6.00,6.00,5.00,6.00,6.00,11.63,3.00,6.00,5.00,212,NULL,213,'CAMPINAS','S JOSÉ','SC',4082,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173470,7.00,7.00,4.00,6.00,10.00,10.50,2.00,6.00,9.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',1743,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6173489,2.00,6.00,2.00,3.00,9.00,7.13,2.00,1.00,3.00,207,NULL,201,'BEIJA FLOR','JAGUARUNA','SC',13856,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6173500,3.00,3.00,4.00,3.00,5.00,7.88,2.00,4.00,3.00,101,NULL,NULL,'ALTO DA PONTE','S JOSÉ CAMPOS','SP',17841,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VILA SOBRINHO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6173535,3.00,5.00,2.00,5.00,4.00,7.50,0.00,6.00,1.00,5,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',18527,638,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173543,8.00,8.00,3.00,6.00,8.00,9.75,5.00,6.00,6.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6173551,8.00,8.00,3.00,4.00,9.00,9.00,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','LARANJEIRAS SUL','PR',4146,2127,NULL,NULL,NULL,NULL,NULL,4,4),(25,6173578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,208,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6173586,2.00,4.00,4.00,5.00,6.00,8.63,3.00,2.00,2.00,319,NULL,NULL,'CENTRO','CAMBORIÚ','SC',16460,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6173594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6173608,5.00,6.00,1.00,6.00,8.00,11.25,1.00,3.00,1.00,427,NULL,423,'PONTE DO IMARUIM','PALHOÇA','SC',8988,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173616,8.00,5.00,1.00,4.00,6.00,5.63,2.00,4.00,5.00,202,NULL,213,'BARRAGEM','RIO SUL','SC',12000,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(25,6173624,3.00,7.00,1.00,7.00,8.00,10.50,1.00,7.00,2.00,303,NULL,NULL,'CENTRO','JOAÇABA','SC',9862,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6173640,4.00,8.00,1.00,0.00,4.00,10.13,3.00,4.00,1.00,335,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',15874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6173659,5.00,5.00,3.00,5.00,6.00,9.38,3.00,3.00,3.00,201,NULL,207,'BELA VISTA','LAGES','SC',10292,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6173667,5.00,4.00,2.00,4.00,7.00,12.75,1.00,5.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6173675,5.00,6.00,4.00,5.00,5.00,8.25,1.00,3.00,7.00,336,NULL,NULL,'FLORESTA','S JOSÉ','SC',7627,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173683,3.00,4.00,2.00,2.00,6.00,NULL,0.00,4.00,2.00,214,NULL,213,'SANTA RITA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6173691,7.00,6.00,2.00,6.00,8.00,8.25,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5210,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6173705,4.00,5.00,2.00,4.00,6.00,6.38,3.00,2.00,1.00,328,NULL,NULL,'FLORESTA','S JOSÉ','SC',17898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173713,5.00,7.00,1.00,4.00,7.00,10.13,1.00,5.00,4.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6173730,2.00,5.00,2.00,3.00,5.00,5.63,2.00,1.00,1.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6173748,3.00,3.00,3.00,3.00,8.00,5.63,1.00,4.00,2.00,503,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',16666,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,233,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6173764,8.00,7.00,4.00,5.00,8.00,9.75,3.00,4.00,4.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',4994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6173772,8.00,8.00,4.00,6.00,9.00,8.63,4.00,6.00,8.00,203,NULL,202,'CENTRO','CHAPECÓ','SC',1269,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6173780,1.00,2.00,1.00,0.00,2.00,NULL,0.00,2.00,0.00,551,NULL,NULL,'PEREIRA ALVES','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6173799,5.00,3.00,0.00,3.00,7.00,NULL,2.00,4.00,1.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6173802,3.00,6.00,1.00,4.00,8.00,9.75,1.00,3.00,3.00,104,NULL,NULL,'VILA NOVA','JOINVILLE','SC',15063,396,NULL,NULL,NULL,NULL,NULL,4,8),(25,6173810,1.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,1.00,420,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173829,7.00,6.00,2.00,4.00,8.00,11.25,1.00,6.00,4.00,103,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',6551,2842,NULL,NULL,NULL,NULL,NULL,4,8),(25,6173845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6173853,3.00,6.00,3.00,4.00,7.00,8.63,2.00,4.00,3.00,420,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10329,78,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173870,4.00,3.00,2.00,6.00,8.00,7.13,1.00,3.00,2.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',14764,4201,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173888,3.00,4.00,1.00,2.00,6.00,5.63,2.00,6.00,3.00,238,NULL,208,'JOÃO PAULO','FLORIANÓPOLIS','SC',17377,398,NULL,428,NULL,NULL,NULL,2,1),(25,6173900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6173926,6.00,7.00,3.00,8.00,10.00,11.25,2.00,4.00,6.00,207,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',2712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6173934,5.00,6.00,5.00,7.00,7.00,9.38,3.00,3.00,6.00,220,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',6638,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6173950,4.00,5.00,3.00,4.00,5.00,9.00,3.00,3.00,3.00,101,NULL,NULL,'AREIAS','S JOSÉ','SC',14532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173969,0.00,3.00,0.00,1.00,3.00,NULL,3.00,4.00,1.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6173977,4.00,5.00,2.00,3.00,6.00,8.63,1.00,2.00,3.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6173993,5.00,6.00,4.00,6.00,6.00,9.00,3.00,8.00,7.00,5,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',3316,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6174000,3.00,6.00,3.00,6.00,8.00,9.75,2.00,9.00,6.00,207,NULL,653,'IBIRAQUERA','IMBITUBA','SC',6956,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6174019,3.00,3.00,1.00,1.00,3.00,6.38,2.00,5.00,1.00,103,NULL,NULL,'IGRA','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6174035,8.00,5.00,3.00,7.00,10.00,12.00,2.00,6.00,6.00,420,NULL,NULL,'VILA MONTE ALEGRE','S PAULO','SP',1531,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6174043,7.00,7.00,4.00,5.00,8.00,8.63,3.00,8.00,8.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',2130,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6174051,3.00,6.00,2.00,2.00,5.00,7.13,0.00,2.00,2.00,601,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6174060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ALTO DA GLÓRIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6174078,9.00,7.00,6.00,5.00,10.00,10.88,4.00,7.00,8.00,103,NULL,NULL,'CIDADE JARDIM','LIMEIRA','SP',472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174086,3.00,6.00,2.00,7.00,8.00,8.25,3.00,3.00,3.00,450,NULL,NULL,'ACAMARI','VIÇOSA','MG',7766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174094,3.00,4.00,1.00,3.00,3.00,6.00,0.00,1.00,2.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21522,141,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'NOVA DESCOBERTA','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6174116,8.00,6.00,7.00,7.00,10.00,10.50,5.00,7.00,6.00,103,NULL,NULL,'SANTA GENOVEVA','GOIÂNIA','GO',604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6174132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUAÍRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6174140,1.00,6.00,3.00,7.00,6.00,9.75,2.00,2.00,4.00,304,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',14219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174159,5.00,4.00,4.00,6.00,7.00,7.88,2.00,3.00,5.00,203,NULL,214,'CABRAL','CURITIBA','PR',8457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174167,7.00,7.00,2.00,6.00,8.00,5.63,2.00,6.00,2.00,601,NULL,203,'BELO HORIZONTE','CPO ALEGRE','SC',8837,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6174175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARIALVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6174183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'JARDIM DA SAÚDE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6174213,8.00,6.00,6.00,7.00,9.00,7.50,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','COCAL SUL','SC',1304,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6174221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6174230,4.00,7.00,1.00,3.00,6.00,8.63,1.00,7.00,2.00,207,NULL,235,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',11591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174248,5.00,7.00,4.00,5.00,10.00,12.00,0.00,5.00,7.00,104,NULL,NULL,'AMÉRICA','JOINVILLE','SC',3925,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6174256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6174264,5.00,5.00,2.00,2.00,6.00,7.13,0.00,6.00,3.00,601,NULL,233,'CENTRO','POMERODE','SC',13405,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(25,6174272,0.00,4.00,1.00,1.00,4.00,NULL,2.00,3.00,2.00,319,NULL,NULL,'LINHA BALIZA','MAREMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6174280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6174299,3.00,3.00,0.00,2.00,4.00,NULL,1.00,1.00,1.00,103,NULL,NULL,'CENTRO','GALVÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6174302,3.00,4.00,3.00,4.00,8.00,7.50,1.00,4.00,2.00,104,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',16466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6174329,5.00,4.00,0.00,6.00,8.00,NULL,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6174337,7.00,7.00,4.00,7.00,7.00,8.25,2.00,6.00,7.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',4175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174353,8.00,8.00,3.00,7.00,8.00,11.25,4.00,8.00,7.00,103,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',1200,801,NULL,NULL,NULL,NULL,NULL,2,1),(25,6174361,4.00,5.00,0.00,4.00,7.00,NULL,4.00,2.00,3.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6174370,5.00,6.00,0.00,6.00,9.00,8.63,0.00,6.00,2.00,103,NULL,NULL,'COLATTO','XANXERÊ','SC',11462,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6174388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MORADA DO SOL','CASTRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6174396,3.00,3.00,3.00,4.00,7.00,7.88,1.00,0.00,6.00,103,NULL,NULL,'CENTRO','CANITAR','SP',13794,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6174400,6.00,7.00,2.00,6.00,8.00,10.50,0.00,5.00,6.00,216,NULL,202,'COQUEIROS','FLORIANÓPOLIS','SC',5373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174418,6.00,5.00,2.00,5.00,5.00,10.13,2.00,1.00,7.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',11427,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6174426,1.00,1.00,0.00,3.00,6.00,7.13,2.00,4.00,1.00,102,NULL,NULL,'CENTRO','LAGES','SC',21231,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6174434,4.00,4.00,5.00,6.00,6.00,NULL,0.00,2.00,5.00,103,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6174442,7.00,8.00,4.00,5.00,8.00,8.63,0.00,5.00,5.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',4032,2093,NULL,NULL,NULL,NULL,NULL,2,8),(25,6174450,5.00,4.00,1.00,6.00,8.00,9.38,0.00,5.00,4.00,211,NULL,216,'CENTRO','PALHOÇA','SC',9551,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6174469,6.00,6.00,5.00,6.00,7.00,11.63,3.00,6.00,8.00,203,NULL,220,'ITACORUBI','FLORIANÓPOLIS','SC',1463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174477,3.00,4.00,2.00,2.00,8.00,8.25,2.00,0.00,0.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',20287,300,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174493,7.00,7.00,4.00,6.00,8.00,11.25,1.00,6.00,5.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',3796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174507,8.00,6.00,5.00,7.00,10.00,7.88,1.00,4.00,7.00,103,NULL,NULL,'PARAÍSO','S PAULO','SP',3317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174515,1.00,3.00,1.00,4.00,9.00,8.25,2.00,5.00,1.00,452,NULL,NULL,'PONTA NEGRA','NATAL','RN',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6174523,3.00,3.00,2.00,5.00,5.00,6.38,1.00,4.00,1.00,999,NULL,NULL,'CENTRO','STA GERTRUDES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6174531,2.00,2.00,3.00,4.00,4.00,7.50,2.00,0.00,2.00,333,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6174540,8.00,5.00,5.00,3.00,9.00,8.25,3.00,7.00,6.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',3119,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6174566,5.00,6.00,2.00,4.00,9.00,8.63,4.00,6.00,4.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',6791,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6174574,9.00,8.00,8.00,8.00,10.00,8.25,6.00,8.00,9.00,103,NULL,NULL,'ATUBA','CURITIBA','PR',60,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6174582,3.00,6.00,3.00,4.00,7.00,9.00,2.00,5.00,2.00,238,NULL,208,'RIO CAVEIRAS','BIGUAÇU','SC',13318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'INTERIOR','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6174604,2.00,3.00,0.00,1.00,1.00,NULL,4.00,2.00,2.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6174620,5.00,5.00,2.00,6.00,8.00,11.25,3.00,3.00,5.00,202,NULL,653,'RIO BRANCO','PTO ALEGRE','RS',5974,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6174647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'POMPEIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6174655,7.00,5.00,3.00,6.00,8.00,9.00,1.00,5.00,4.00,110,NULL,NULL,'JARDIM AQUÁRIUS','PALHOÇA','SC',6686,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6174663,6.00,3.00,3.00,3.00,7.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6174671,6.00,5.00,3.00,7.00,8.00,8.25,0.00,4.00,7.00,212,NULL,214,'URCA','RIO JANEIRO','RJ',5283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174680,9.00,7.00,4.00,5.00,9.00,10.88,3.00,7.00,7.00,103,NULL,NULL,'VILA CUBAS','TIJUCAS SUL','PR',1749,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6174698,4.00,1.00,0.00,3.00,6.00,6.75,1.00,1.00,0.00,652,NULL,655,'SÃO LUIZ','CRICIÚMA','SC',19700,74,NULL,NULL,NULL,NULL,NULL,2,5),(25,6174701,5.00,5.00,4.00,5.00,7.00,NULL,2.00,5.00,0.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6174728,6.00,9.00,2.00,4.00,8.00,7.50,2.00,4.00,5.00,103,NULL,NULL,'BUCAREM','JOINVILLE','SC',7690,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6174736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6174744,4.00,7.00,0.00,3.00,4.00,10.50,3.00,4.00,0.00,104,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',16640,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6174752,0.00,3.00,2.00,1.00,5.00,11.25,2.00,2.00,1.00,9,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',20455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174760,5.00,4.00,5.00,4.00,6.00,5.63,2.00,7.00,3.00,452,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',10430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174779,9.00,6.00,3.00,5.00,9.00,12.38,5.00,4.00,7.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',1655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6174787,2.00,5.00,1.00,2.00,5.00,NULL,0.00,1.00,2.00,320,NULL,NULL,'VALPARAISO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6174795,5.00,5.00,2.00,5.00,7.00,9.38,0.00,3.00,2.00,104,NULL,NULL,'SÃO PEDRO','GUABIRUBA','SC',12967,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6174809,1.00,4.00,2.00,4.00,3.00,0.00,5.00,5.00,2.00,653,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6174817,2.00,3.00,2.00,6.00,6.00,6.75,0.00,3.00,3.00,444,NULL,NULL,'CENTRO','S JOSÉ','SC',19519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174825,5.00,7.00,1.00,1.00,8.00,9.00,0.00,3.00,2.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174841,6.00,6.00,6.00,7.00,7.00,10.88,1.00,5.00,5.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',3864,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6174850,2.00,8.00,1.00,4.00,7.00,7.50,2.00,6.00,1.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13733,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6174884,5.00,5.00,5.00,1.00,7.00,9.00,3.00,6.00,5.00,216,NULL,211,'COMPENSA I','MANAUS','AM',7559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174892,5.00,6.00,5.00,4.00,7.00,7.50,0.00,7.00,1.00,319,NULL,NULL,'GARCIA','BLUMENAU','SC',12569,NULL,NULL,NULL,NULL,NULL,NULL,3,2),(25,6174906,3.00,4.00,2.00,5.00,6.00,5.63,4.00,5.00,3.00,238,NULL,208,'CENTRO','TUBARÃO','SC',14703,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6174922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTRADINHA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6174930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6174949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6174957,3.00,4.00,3.00,2.00,4.00,7.13,0.00,3.00,2.00,208,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6174973,7.00,7.00,5.00,7.00,9.00,10.88,3.00,8.00,4.00,203,NULL,208,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174981,2.00,6.00,0.00,4.00,7.00,NULL,4.00,4.00,2.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6174990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,233,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6175007,4.00,4.00,1.00,4.00,8.00,8.25,1.00,3.00,1.00,303,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',13849,642,NULL,NULL,NULL,NULL,NULL,2,1),(25,6175015,3.00,2.00,1.00,3.00,3.00,6.00,3.00,2.00,4.00,202,NULL,NULL,'INTERIOR','MARAU','RS',18306,569,NULL,NULL,NULL,NULL,NULL,2,1),(25,6175023,6.00,5.00,1.00,6.00,9.00,8.63,3.00,4.00,5.00,103,NULL,NULL,'SÃO CRISTOVÃO','VIDEIRA','SC',6846,2922,NULL,NULL,NULL,NULL,NULL,2,7),(25,6175031,4.00,6.00,6.00,4.00,7.00,8.25,0.00,7.00,6.00,220,NULL,202,'CEARA','CRICIÚMA','SC',5744,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6175082,4.00,6.00,1.00,4.00,7.00,7.88,3.00,5.00,3.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175090,7.00,3.00,2.00,3.00,6.00,6.38,2.00,3.00,5.00,103,NULL,NULL,'VERDINHO','CRICIÚMA','SC',12532,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6175112,3.00,4.00,1.00,3.00,8.00,9.75,3.00,4.00,1.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6175120,2.00,0.00,2.00,2.00,3.00,9.75,1.00,1.00,0.00,207,NULL,NULL,'CIDADE NOVA','ITAJAÍ','SC',21059,1146,NULL,NULL,NULL,NULL,NULL,2,6),(25,6175139,3.00,4.00,1.00,2.00,7.00,9.38,2.00,4.00,2.00,425,NULL,424,'PONTE DO IMARUIM','PALHOÇA','SC',18337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175147,2.00,2.00,1.00,3.00,1.00,NULL,1.00,1.00,1.00,103,NULL,NULL,'ANGELO GUOLLO','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6175155,6.00,7.00,5.00,7.00,8.00,9.75,0.00,9.00,5.00,203,NULL,202,'CARVOEIRA','FLORIANÓPOLIS','SC',2414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175163,7.00,6.00,4.00,6.00,8.00,7.88,3.00,4.00,6.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',3917,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6175171,6.00,6.00,4.00,4.00,6.00,10.88,2.00,7.00,2.00,208,NULL,235,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',7949,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6175180,6.00,5.00,3.00,5.00,8.00,9.38,2.00,6.00,1.00,319,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8786,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6175198,4.00,5.00,1.00,5.00,7.00,10.13,3.00,5.00,3.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',9108,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6175201,4.00,6.00,2.00,5.00,6.00,6.00,1.00,5.00,1.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',16842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175210,4.00,5.00,5.00,3.00,8.00,9.38,1.00,4.00,4.00,601,NULL,201,'JARIVABUTA','JOINVILLE','SC',9290,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6175244,5.00,6.00,3.00,5.00,7.00,8.25,1.00,6.00,4.00,202,NULL,213,'CENTRO','TIJUCAS','SC',8858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175252,3.00,5.00,1.00,1.00,6.00,7.13,3.00,4.00,4.00,207,NULL,201,'CENTRO','PASSO FUNDO','RS',17853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175260,1.00,7.00,5.00,5.00,8.00,8.63,3.00,7.00,2.00,201,NULL,207,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',7086,519,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175279,8.00,4.00,6.00,7.00,10.00,10.13,3.00,6.00,7.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',1538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175287,2.00,3.00,2.00,3.00,5.00,7.13,0.00,2.00,2.00,303,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',21238,871,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175295,9.00,6.00,8.00,5.00,8.00,9.38,3.00,8.00,8.00,103,NULL,NULL,'ALTO DA XV','GUARAPUAVA','PR',701,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6175309,2.00,5.00,2.00,3.00,5.00,5.63,3.00,3.00,0.00,316,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',18578,209,NULL,NULL,NULL,NULL,NULL,2,1),(25,6175317,6.00,5.00,3.00,6.00,6.00,8.63,1.00,7.00,6.00,207,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',5893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175325,2.00,5.00,3.00,6.00,6.00,7.88,0.00,4.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',14340,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6175333,6.00,5.00,1.00,6.00,8.00,7.50,5.00,3.00,2.00,453,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',8955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175341,6.00,7.00,3.00,6.00,8.00,7.50,3.00,6.00,2.00,340,NULL,NULL,'AREIAS','S JOSÉ','SC',7761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6175376,8.00,6.00,4.00,7.00,9.00,9.75,3.00,6.00,9.00,108,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',1681,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6175384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6175392,2.00,5.00,1.00,5.00,4.00,7.50,1.00,4.00,0.00,110,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',17572,91,NULL,NULL,NULL,NULL,NULL,2,1),(25,6175406,6.00,5.00,1.00,6.00,7.00,8.63,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',8670,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6175414,6.00,6.00,3.00,5.00,7.00,7.13,6.00,5.00,7.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',3661,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6175422,8.00,8.00,6.00,7.00,10.00,7.50,6.00,7.00,8.00,103,NULL,NULL,'CENTRO','PERITIBA','SC',545,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6175430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6175449,2.00,3.00,0.00,3.00,6.00,NULL,1.00,5.00,2.00,340,NULL,NULL,'CENTRO','BOTUVERÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6175457,7.00,7.00,4.00,5.00,10.00,10.50,5.00,7.00,7.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175465,5.00,3.00,0.00,3.00,3.00,NULL,2.00,0.00,3.00,104,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6175473,3.00,5.00,2.00,3.00,5.00,8.63,1.00,5.00,3.00,234,NULL,NULL,'CENTRO','JARDINÓPOLIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6175481,2.00,5.00,1.00,2.00,3.00,8.25,0.00,1.00,0.00,340,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',20406,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6175503,6.00,6.00,1.00,2.00,9.00,9.00,1.00,2.00,6.00,102,NULL,NULL,'MORRO CHIC','ITAJUBÁ','MG',12597,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6175511,8.00,5.00,4.00,6.00,8.00,9.75,2.00,8.00,5.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',2730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175520,2.00,5.00,2.00,5.00,5.00,NULL,1.00,3.00,0.00,208,NULL,238,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6175538,7.00,7.00,3.00,7.00,10.00,10.50,2.00,8.00,7.00,211,NULL,216,'CENTRO','CPO ALEGRE','SC',1408,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6175554,8.00,7.00,5.00,5.00,9.00,9.75,2.00,6.00,6.00,103,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',2938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175562,1.00,2.00,3.00,3.00,5.00,7.13,4.00,3.00,1.00,303,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6175570,1.00,4.00,0.00,4.00,5.00,6.00,0.00,2.00,3.00,551,NULL,NULL,'N S DE LOUDES','CAMPOS NOVOS','SC',19484,46,NULL,NULL,NULL,NULL,NULL,2,7),(25,6175597,6.00,5.00,3.00,7.00,9.00,11.63,0.00,6.00,5.00,340,NULL,NULL,'PAES LEME','IMBITUBA','SC',5430,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6175600,6.00,7.00,5.00,7.00,10.00,9.00,5.00,7.00,8.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',1253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175619,6.00,6.00,3.00,5.00,8.00,12.00,3.00,6.00,5.00,999,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6175627,3.00,4.00,1.00,3.00,6.00,8.63,2.00,3.00,2.00,502,NULL,NULL,'JARDIM CIDADE DE FLO','S JOSÉ','SC',19421,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6175635,5.00,6.00,3.00,6.00,7.00,10.13,3.00,3.00,5.00,211,NULL,212,'CENTRO','PARAISÓPOLIS','MG',5910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175643,4.00,4.00,3.00,5.00,6.00,8.63,3.00,4.00,3.00,220,NULL,208,'JARDIM PARAÍSO','BOTUCATU','SP',10820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175651,5.00,7.00,3.00,5.00,10.00,9.38,3.00,2.00,2.00,103,NULL,NULL,'CENTRO','ITUPORANGA','SC',8448,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6175660,6.00,6.00,7.00,7.00,9.00,8.25,2.00,6.00,6.00,336,NULL,NULL,'CENTRO','LAGES','SC',3126,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6175678,7.00,7.00,3.00,7.00,9.00,11.63,0.00,5.00,8.00,103,NULL,NULL,'POMPEIA','SANTOS','SP',2734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6175694,7.00,6.00,2.00,5.00,6.00,9.75,0.00,4.00,5.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8014,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6175708,9.00,7.00,5.00,7.00,8.00,7.13,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','QUILOMBO','SC',1697,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6175716,3.00,4.00,3.00,5.00,9.00,8.25,0.00,5.00,3.00,452,NULL,NULL,'CENTRO','MACHADINHO D OESTE','RO',11043,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6175724,4.00,5.00,4.00,6.00,6.00,7.88,1.00,6.00,3.00,428,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175732,9.00,7.00,2.00,7.00,9.00,12.00,2.00,8.00,8.00,103,NULL,NULL,'CENTRO','RIBEIRA','SP',1021,694,NULL,NULL,NULL,NULL,NULL,2,8),(25,6175740,3.00,4.00,0.00,1.00,6.00,8.25,2.00,2.00,2.00,415,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',17325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175759,7.00,6.00,2.00,1.00,7.00,9.75,0.00,1.00,6.00,103,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',10157,3573,NULL,NULL,NULL,NULL,NULL,4,9),(25,6175767,6.00,6.00,2.00,5.00,9.00,8.63,3.00,6.00,4.00,207,NULL,215,'ÁGUA VERDE','BLUMENAU','SC',7172,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6175775,4.00,7.00,3.00,7.00,10.00,10.13,1.00,4.00,5.00,207,NULL,233,'RIO TAVARES','FLORIANÓPOLIS','SC',5188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175783,9.00,7.00,4.00,7.00,10.00,9.75,3.00,6.00,8.00,103,NULL,NULL,'ALVORADA','FRANCISCO BELTRÃO','PR',981,NULL,NULL,NULL,NULL,NULL,NULL,1,3),(25,6175791,3.00,3.00,0.00,1.00,1.00,NULL,1.00,1.00,2.00,332,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6175805,7.00,5.00,4.00,4.00,6.00,9.38,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','IVATÉ','PR',8433,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6175821,4.00,5.00,3.00,6.00,7.00,8.63,1.00,7.00,5.00,103,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',9600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175848,5.00,4.00,2.00,6.00,8.00,10.13,2.00,4.00,5.00,103,NULL,NULL,'JARDIM KARAÍBA','UBERLÂNDIA','MG',9686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175856,4.00,3.00,2.00,1.00,7.00,8.63,2.00,4.00,2.00,3,NULL,NULL,'SANTA TEREZA','S PEDRO ALCÂNTARA','SC',15448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175864,7.00,5.00,1.00,5.00,8.00,7.88,0.00,6.00,2.00,103,NULL,NULL,'STA ROSA','PTO UNIÃO','SC',10133,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6175872,8.00,6.00,3.00,3.00,8.00,10.13,2.00,7.00,7.00,103,NULL,NULL,'ZONA II','UMUARAMA','PR',4150,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6175880,2.00,4.00,5.00,5.00,9.00,8.63,2.00,6.00,4.00,332,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',8426,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6175945,3.00,6.00,2.00,3.00,6.00,6.75,1.00,5.00,3.00,103,NULL,NULL,'JARDIM MARAVILHA','MARINGÁ','PR',13307,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6175961,8.00,8.00,6.00,7.00,10.00,10.88,4.00,9.00,9.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175988,6.00,5.00,3.00,2.00,7.00,10.13,3.00,6.00,7.00,214,NULL,NULL,'CENTRO','VOTUPORANGA','SP',5573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6175996,2.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'JARDIM PEROLA','CORNÉLIO PROCÓPIO','PR',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6176011,8.00,7.00,6.00,6.00,9.00,7.13,5.00,8.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176020,5.00,7.00,3.00,5.00,7.00,7.88,3.00,4.00,3.00,201,NULL,208,'SÃO JUDAS','ITAJAÍ','SC',8710,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6176038,6.00,7.00,3.00,5.00,9.00,9.38,1.00,5.00,6.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',3775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6176046,4.00,5.00,4.00,4.00,6.00,9.00,1.00,3.00,6.00,318,NULL,NULL,'JOÃO BATISTA TONIAL','XANXERÊ','SC',11613,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6176054,5.00,5.00,2.00,6.00,8.00,7.88,4.00,3.00,7.00,208,NULL,238,'SANTA MARIA','LAGES','SC',6716,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6176062,6.00,5.00,2.00,4.00,9.00,9.38,2.00,4.00,6.00,201,NULL,NULL,'VARGEM BONITA','SEN CANEDO','GO',6575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6176070,5.00,6.00,2.00,3.00,5.00,7.50,0.00,6.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',11329,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6176089,6.00,4.00,4.00,5.00,8.00,10.13,1.00,4.00,6.00,207,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',5714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176097,5.00,6.00,3.00,6.00,5.00,9.38,1.00,5.00,3.00,451,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',11170,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6176100,7.00,6.00,4.00,6.00,8.00,11.63,7.00,6.00,8.00,103,NULL,NULL,'BOMFIM','PTO ALEGRE','RS',730,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6176119,5.00,7.00,6.00,7.00,7.00,10.13,1.00,3.00,7.00,103,NULL,NULL,'CAMPINAS','GOIÂNIA','GO',4127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176127,4.00,5.00,1.00,2.00,6.00,7.88,0.00,1.00,0.00,207,NULL,NULL,'FIDÉLIS','BLUMENAU','SC',20969,1142,NULL,NULL,NULL,NULL,NULL,4,2),(25,6176135,3.00,5.00,0.00,5.00,6.00,NULL,2.00,0.00,3.00,103,NULL,NULL,'SANTA CLARA','PIRAQUARA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6176143,2.00,3.00,2.00,2.00,2.00,NULL,1.00,0.00,0.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6176151,6.00,4.00,3.00,5.00,4.00,8.25,3.00,4.00,3.00,207,NULL,201,'REGIAO LAGO II','CASCAVEL','PR',10803,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6176186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAMBARÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6176194,7.00,6.00,4.00,6.00,9.00,7.13,3.00,8.00,5.00,202,NULL,653,'INGLESES','FLORIANÓPOLIS','SC',4278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176216,4.00,4.00,1.00,2.00,5.00,NULL,0.00,5.00,1.00,201,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176224,6.00,5.00,4.00,5.00,8.00,8.25,4.00,7.00,4.00,5,NULL,NULL,'CENTRO','CAPÃO BONITO','SP',5329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176232,4.00,6.00,4.00,5.00,6.00,9.75,3.00,0.00,3.00,207,NULL,213,'CAPOEIRAS','FLORIANÓPOLIS','SC',10823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6176240,7.00,8.00,7.00,7.00,9.00,7.50,3.00,8.00,9.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176259,3.00,3.00,1.00,3.00,2.00,NULL,3.00,1.00,1.00,601,NULL,653,'CENTRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6176267,5.00,7.00,1.00,3.00,8.00,7.13,0.00,4.00,2.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176291,4.00,4.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6176305,9.00,6.00,3.00,5.00,10.00,10.88,2.00,8.00,9.00,103,NULL,NULL,'CENTRO','PÉROLA','PR',1138,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6176313,6.00,8.00,5.00,5.00,10.00,11.25,3.00,8.00,8.00,103,NULL,NULL,'CENTRO','S CARLOS','SC',1425,925,NULL,NULL,NULL,NULL,NULL,2,4),(25,6176321,3.00,6.00,0.00,3.00,5.00,8.63,4.00,3.00,1.00,310,NULL,NULL,'RECREIO PRIMAVERA','SUMARÉ','SP',14015,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6176330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SILOS','SANANDUVA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6176348,7.00,5.00,6.00,2.00,10.00,6.75,4.00,6.00,5.00,2,NULL,NULL,'IMIGRANTES','GUABIRUBA','SC',5669,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6176356,7.00,8.00,4.00,6.00,9.00,9.38,0.00,8.00,7.00,207,NULL,201,'VILA NOVA','FRANCISCO BELTRÃO','PR',2501,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6176364,5.00,5.00,1.00,3.00,6.00,9.75,1.00,4.00,2.00,303,NULL,NULL,'JARDIM ALVORADA','FRANCA','SP',11515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6176372,5.00,6.00,6.00,7.00,5.00,7.88,2.00,5.00,6.00,201,NULL,601,'NAÇÕES','BAL CAMBORIÚ','SC',7342,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6176380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6176399,3.00,4.00,2.00,3.00,7.00,7.88,0.00,1.00,3.00,216,NULL,653,'SÃO LUIS','SOMBRIO','SC',16551,538,NULL,157,NULL,NULL,NULL,4,15),(25,6176402,5.00,5.00,3.00,3.00,9.00,9.00,0.00,5.00,5.00,104,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',9515,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6176410,9.00,9.00,6.00,7.00,10.00,10.88,5.00,6.00,7.00,103,NULL,NULL,'COUNTRY','CASCAVEL','PR',121,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6176437,8.00,7.00,4.00,5.00,8.00,7.13,5.00,7.00,8.00,103,NULL,NULL,'MACUCO','SANTOS','SP',2079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176445,1.00,3.00,1.00,3.00,4.00,0.00,2.00,3.00,2.00,101,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6176453,3.00,6.00,2.00,4.00,4.00,NULL,0.00,1.00,3.00,317,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6176470,4.00,6.00,3.00,5.00,7.00,9.75,4.00,7.00,5.00,103,NULL,NULL,'SEDE ALVORADA','CASCAVEL','PR',5730,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6176488,3.00,3.00,2.00,2.00,5.00,5.25,2.00,1.00,2.00,601,NULL,214,'BOA VISTA','JOINVILLE','SC',21127,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6176500,9.00,6.00,7.00,6.00,10.00,7.50,7.00,7.00,8.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',403,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6176526,8.00,8.00,2.00,4.00,10.00,8.25,3.00,8.00,7.00,5,NULL,NULL,'CAMPO DA AGUA VERDE','CANOINHAS','SC',2545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176534,1.00,3.00,2.00,2.00,3.00,NULL,2.00,0.00,1.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176542,8.00,6.00,3.00,7.00,10.00,10.13,3.00,5.00,7.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',2656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176550,8.00,5.00,5.00,6.00,8.00,10.88,4.00,8.00,8.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',1319,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6176569,9.00,5.00,3.00,4.00,8.00,8.25,2.00,5.00,7.00,103,NULL,NULL,'ATUBA','CURITIBA','PR',4132,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6176577,5.00,2.00,2.00,5.00,7.00,9.75,3.00,5.00,2.00,303,NULL,NULL,'CENTRO','NOVA AURORA','PR',11625,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6176585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM LOS ANGELES','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6176593,2.00,2.00,1.00,1.00,3.00,4.50,2.00,2.00,1.00,103,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',21085,4768,NULL,NULL,NULL,NULL,NULL,4,5),(25,6176607,3.00,7.00,0.00,3.00,5.00,4.50,1.00,1.00,3.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18725,90,NULL,NULL,NULL,NULL,NULL,2,1),(25,6176615,7.00,8.00,0.00,4.00,6.00,6.38,3.00,6.00,6.00,108,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',6659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176623,4.00,3.00,1.00,5.00,5.00,NULL,1.00,5.00,1.00,102,NULL,NULL,'CENTRO','MARCELINO RAMOS','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,7),(25,6176631,3.00,4.00,2.00,4.00,6.00,9.38,0.00,1.00,2.00,104,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',16297,439,NULL,NULL,NULL,NULL,NULL,2,1),(25,6176640,8.00,6.00,5.00,6.00,10.00,9.75,3.00,8.00,8.00,103,NULL,NULL,'SANTA CANDIDA','CURITIBA','PR',1296,853,NULL,NULL,NULL,NULL,NULL,2,8),(25,6176666,7.00,7.00,4.00,7.00,9.00,9.75,4.00,7.00,9.00,220,NULL,202,'FLORESTA','PTO ALEGRE','RS',1227,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6176690,7.00,3.00,4.00,7.00,8.00,9.75,5.00,5.00,6.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',3514,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6176704,4.00,5.00,1.00,6.00,9.00,10.50,2.00,8.00,6.00,450,NULL,NULL,'SALTO','BLUMENAU','SC',5105,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6176712,7.00,6.00,5.00,6.00,10.00,10.50,2.00,8.00,8.00,103,NULL,NULL,'CAIÇARAS','LONDRINA','PR',1700,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6176720,6.00,7.00,8.00,4.00,8.00,8.63,1.00,3.00,4.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',5416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176739,9.00,7.00,3.00,4.00,8.00,10.13,2.00,5.00,8.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',2626,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6176755,6.00,5.00,0.00,6.00,8.00,11.25,3.00,7.00,7.00,415,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',5033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6176771,3.00,4.00,0.00,1.00,3.00,NULL,2.00,0.00,0.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TIROL','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6176801,4.00,0.00,2.00,5.00,8.00,NULL,0.00,0.00,0.00,216,NULL,201,'SHANGRILÁ A','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6176828,7.00,7.00,2.00,5.00,10.00,9.00,1.00,6.00,5.00,104,NULL,NULL,'CENTRO','CAJURU','SP',6130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176836,8.00,7.00,8.00,7.00,10.00,12.38,6.00,5.00,8.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6176852,4.00,4.00,0.00,2.00,5.00,NULL,1.00,0.00,0.00,319,NULL,NULL,'CENTRO DA PALHOÇA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176879,4.00,6.00,6.00,7.00,8.00,10.50,1.00,6.00,7.00,220,NULL,214,'CENTRO','MIRANTE PARANAPANEMA','SP',2279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6176887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NSA SRA FÁTIMA','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6176895,6.00,5.00,3.00,6.00,9.00,10.13,3.00,5.00,5.00,103,NULL,NULL,'JOAO GUALBERTO','PARANAGUÁ','PR',4588,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6176909,3.00,6.00,2.00,4.00,6.00,7.13,3.00,4.00,3.00,424,NULL,425,'INGLESES','FLORIANÓPOLIS','SC',16957,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6176917,2.00,3.00,2.00,3.00,3.00,7.88,0.00,5.00,2.00,207,NULL,201,'PROMORAR','FLORIANÓPOLIS','SC',18438,995,NULL,1525,NULL,NULL,NULL,2,1),(25,6176925,2.00,5.00,3.00,6.00,6.00,NULL,3.00,0.00,2.00,238,NULL,208,'ITAÍBA','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,4),(25,6176933,2.00,8.00,3.00,4.00,9.00,10.50,1.00,2.00,3.00,5,NULL,NULL,'TABULEIRO','CAMBORIÚ','SC',10080,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6176950,7.00,5.00,5.00,5.00,9.00,8.25,5.00,2.00,6.00,103,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',3172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6176968,4.00,4.00,0.00,2.00,8.00,NULL,2.00,3.00,4.00,653,NULL,655,'GUARITA','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6176976,3.00,6.00,4.00,5.00,5.00,7.50,2.00,3.00,2.00,108,NULL,NULL,'ARMAÇÃO P DO SUL','FLORIANÓPOLIS','SC',12842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6176984,2.00,4.00,2.00,5.00,5.00,8.25,2.00,5.00,0.00,223,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',16425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6177018,3.00,4.00,0.00,0.00,5.00,NULL,0.00,0.00,3.00,308,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6177034,6.00,8.00,2.00,2.00,7.00,8.25,2.00,5.00,3.00,103,NULL,NULL,'BELA VISTA','IBAITI','PR',8624,3306,NULL,NULL,NULL,NULL,NULL,2,8),(25,6177042,7.00,6.00,5.00,6.00,10.00,10.13,2.00,7.00,8.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',1896,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6177077,6.00,6.00,1.00,3.00,8.00,9.75,4.00,3.00,4.00,420,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',9151,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6177093,3.00,3.00,2.00,2.00,7.00,7.88,0.00,2.00,2.00,104,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',18760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177107,6.00,7.00,4.00,6.00,10.00,9.00,2.00,4.00,4.00,201,NULL,207,'CENTRO','CAIBATÉ','RS',5214,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6177115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6177140,6.00,5.00,2.00,4.00,9.00,10.50,0.00,5.00,4.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177158,8.00,7.00,4.00,6.00,8.00,8.25,5.00,7.00,9.00,216,NULL,NULL,'AEROPORTO','VIDEIRA','SC',1127,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6177166,6.00,6.00,1.00,7.00,8.00,9.38,1.00,7.00,1.00,415,NULL,NULL,'COLINA VERDE','RONDONÓPOLIS','MT',5480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177174,2.00,3.00,2.00,4.00,6.00,6.00,6.00,5.00,2.00,652,NULL,653,'PARQUE DAS AVENIDAS','SOMBRIO','SC',17258,49,NULL,NULL,NULL,NULL,NULL,4,15),(25,6177182,3.00,3.00,2.00,1.00,4.00,6.38,1.00,0.00,2.00,404,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6177190,4.00,4.00,3.00,4.00,8.00,8.25,0.00,3.00,1.00,415,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',16205,253,NULL,NULL,NULL,NULL,NULL,2,1),(25,6177204,7.00,3.00,3.00,7.00,7.00,9.00,2.00,3.00,7.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',7084,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6177212,7.00,7.00,3.00,5.00,7.00,9.75,3.00,5.00,9.00,103,NULL,NULL,'MARIA OTÍLIA','PNT GROSSA','PR',2985,1694,NULL,NULL,NULL,NULL,NULL,2,8),(25,6177220,8.00,4.00,4.00,4.00,9.00,13.13,4.00,5.00,6.00,207,NULL,201,'CHACARA CACHOEIRA','CPO GRANDE','MS',2840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177239,3.00,4.00,0.00,4.00,7.00,7.50,2.00,4.00,5.00,5,NULL,NULL,'NOVA BRAZILIA','JARAGUÁ SUL','SC',14092,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6177247,4.00,5.00,3.00,6.00,9.00,10.13,2.00,6.00,6.00,303,NULL,NULL,'BIGORRILHO','CURITIBA','PR',5259,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6177263,4.00,4.00,3.00,4.00,6.00,8.63,0.00,2.00,2.00,5,NULL,NULL,'CENTRO','LARANJEIRAS SUL','PR',12294,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6177280,8.00,6.00,3.00,7.00,9.00,6.00,5.00,7.00,9.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',1637,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6177298,3.00,4.00,2.00,4.00,7.00,9.75,2.00,4.00,2.00,319,NULL,NULL,'JARDIM DAS ACACIAS','ADAMANTINA','SP',15052,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6177301,7.00,8.00,9.00,6.00,8.00,9.75,9.00,6.00,8.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6177328,8.00,4.00,5.00,5.00,9.00,11.25,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1846,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6177336,4.00,3.00,3.00,4.00,7.00,7.88,2.00,3.00,3.00,331,NULL,NULL,'VARGEM GRANDRE','FLORIANÓPOLIS','SC',16543,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6177352,7.00,6.00,6.00,7.00,9.00,9.75,2.00,5.00,5.00,201,NULL,203,'JARDIM DAS AMÉRICAS','CURITIBA','PR',2198,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6177360,3.00,4.00,1.00,3.00,7.00,8.25,2.00,1.00,3.00,303,NULL,NULL,'STO ANTONIO LISBOA','FLORIANÓPOLIS','SC',18684,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6177395,2.00,4.00,1.00,4.00,4.00,7.13,1.00,1.00,2.00,999,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6177409,5.00,5.00,3.00,5.00,5.00,NULL,2.00,1.00,5.00,503,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6177417,5.00,3.00,0.00,4.00,5.00,7.50,2.00,4.00,3.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6177425,8.00,7.00,4.00,7.00,9.00,10.50,7.00,7.00,8.00,103,NULL,NULL,'JARDIM BONANZA','TIETÊ','SP',450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177433,6.00,7.00,4.00,6.00,8.00,10.50,2.00,4.00,6.00,103,NULL,NULL,'JARDIM SAO DIMAS','S JOSÉ CAMPOS','SP',5356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6177441,7.00,6.00,1.00,5.00,6.00,11.25,2.00,5.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177450,6.00,6.00,0.00,4.00,6.00,11.25,1.00,5.00,3.00,202,NULL,601,'AMIZADE','JARAGUÁ SUL','SC',11119,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6177484,3.00,6.00,2.00,4.00,5.00,7.50,2.00,3.00,3.00,999,NULL,NULL,'MORRO DA CRUZ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177492,7.00,3.00,2.00,6.00,7.00,6.38,4.00,6.00,5.00,103,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',8828,3350,NULL,NULL,NULL,NULL,NULL,2,1),(25,6177506,2.00,2.00,1.00,6.00,5.00,7.88,2.00,1.00,4.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',16804,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6177522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'JARDIM LEONOR','MAIRIPORÃ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6177530,5.00,6.00,6.00,5.00,7.00,8.63,1.00,5.00,6.00,103,NULL,NULL,'CENTRO','ARAPOTI','PR',4659,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6177557,5.00,5.00,3.00,6.00,6.00,8.63,2.00,1.00,5.00,216,NULL,652,'NOSSA SENHORA APAREC','FRANCISCO BELTRÃO','PR',10000,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6177565,1.00,3.00,3.00,1.00,1.00,NULL,2.00,1.00,2.00,201,NULL,212,'EFACIP','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6177581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'CAPÃO DA IMBUIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6177590,3.00,5.00,2.00,5.00,6.00,7.88,2.00,2.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17889,494,NULL,NULL,NULL,NULL,NULL,2,1),(25,6177603,4.00,2.00,2.00,4.00,6.00,8.25,0.00,3.00,1.00,333,NULL,NULL,'BARREIROS','S JOSÉ','SC',17564,134,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177620,3.00,2.00,2.00,3.00,5.00,NULL,0.00,0.00,2.00,501,NULL,NULL,'BELA VISTA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6177638,8.00,7.00,5.00,7.00,10.00,8.25,4.00,7.00,7.00,220,NULL,235,'FAZENDA','ITAJAÍ','SC',1183,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6177646,4.00,6.00,5.00,3.00,7.00,8.25,2.00,6.00,4.00,213,NULL,214,'CAPOEIRAS','FLORIANÓPOLIS','SC',8017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177654,1.00,1.00,0.00,1.00,2.00,NULL,2.00,2.00,0.00,9,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6177662,3.00,5.00,0.00,6.00,7.00,9.75,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',11582,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6177670,6.00,6.00,4.00,6.00,9.00,8.63,1.00,5.00,5.00,103,NULL,NULL,'LAUZANE PAULISTA','S PAULO','SP',4409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177697,5.00,8.00,1.00,1.00,5.00,9.00,0.00,3.00,1.00,201,NULL,212,'BARREIRINHA','CURITIBA','PR',14503,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6177700,5.00,3.00,5.00,3.00,8.00,11.63,4.00,4.00,6.00,202,NULL,235,'CENTRO','ERECHIM','RS',6538,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6177719,6.00,5.00,2.00,6.00,8.00,10.50,2.00,5.00,4.00,238,NULL,208,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177727,1.00,4.00,3.00,2.00,2.00,NULL,3.00,4.00,1.00,444,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6177735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6177743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6177751,7.00,7.00,4.00,7.00,8.00,9.75,5.00,8.00,5.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',2255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177760,4.00,7.00,4.00,6.00,7.00,7.13,4.00,5.00,6.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177778,7.00,5.00,3.00,3.00,5.00,7.13,2.00,3.00,4.00,101,NULL,NULL,'JARDIM GOIÁS','GOIÂNIA','GO',11888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'POMPEIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6177808,5.00,8.00,5.00,6.00,9.00,7.88,1.00,5.00,5.00,501,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177816,2.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'FAZENDA SNT ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6177824,5.00,4.00,0.00,4.00,8.00,8.25,2.00,0.00,1.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17047,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6177832,8.00,7.00,3.00,7.00,8.00,9.38,0.00,5.00,7.00,103,NULL,NULL,'CENTRO','CÉU AZUL','PR',3944,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6177840,5.00,0.00,2.00,1.00,8.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6177859,6.00,7.00,3.00,7.00,8.00,10.50,5.00,8.00,7.00,340,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177867,4.00,5.00,4.00,6.00,7.00,9.38,1.00,2.00,4.00,453,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',10464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177875,4.00,3.00,2.00,3.00,5.00,7.50,1.00,6.00,3.00,201,NULL,212,'CENTRO','UBERLÂNDIA','MG',12894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177883,4.00,5.00,3.00,3.00,9.00,7.50,4.00,8.00,6.00,216,NULL,211,'JARDIM JANAÍNA','BIGUAÇU','SC',6340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177891,1.00,3.00,1.00,6.00,4.00,8.25,2.00,3.00,3.00,999,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6177913,3.00,2.00,4.00,3.00,7.00,8.63,0.00,3.00,4.00,103,NULL,NULL,'DAS NAÇÕES','BAL CAMBORIÚ','SC',15939,4321,NULL,NULL,NULL,NULL,NULL,4,3),(25,6177930,4.00,4.00,4.00,6.00,5.00,9.38,2.00,3.00,7.00,216,NULL,235,'CIDADE INDUSTRIAL','CURITIBA','PR',6066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177948,7.00,6.00,6.00,6.00,7.00,7.50,4.00,5.00,6.00,220,NULL,203,'VILA NOVA','LAGES','SC',4672,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6177956,8.00,5.00,4.00,6.00,7.00,8.63,2.00,8.00,6.00,103,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',3906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6177964,1.00,3.00,3.00,1.00,3.00,NULL,0.00,0.00,2.00,207,NULL,655,'BELLA VISTA','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6177999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6178006,5.00,6.00,2.00,5.00,6.00,9.38,2.00,5.00,3.00,108,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',10728,145,NULL,NULL,NULL,NULL,NULL,2,1),(25,6178014,1.00,4.00,3.00,2.00,6.00,8.25,1.00,4.00,2.00,109,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',19584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6178022,2.00,6.00,0.00,3.00,7.00,NULL,2.00,4.00,1.00,601,NULL,202,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6178030,5.00,8.00,3.00,6.00,8.00,9.75,3.00,7.00,6.00,317,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',3866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6178073,8.00,6.00,3.00,4.00,8.00,12.00,3.00,8.00,9.00,103,NULL,NULL,'VITÓRIA RÉGIA','CORNÉLIO PROCÓPIO','PR',1191,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6178081,2.00,3.00,3.00,1.00,3.00,NULL,0.00,1.00,0.00,203,NULL,NULL,'CAMPO DA ÁGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,17),(25,6178090,2.00,5.00,1.00,3.00,7.00,7.13,2.00,3.00,2.00,208,NULL,238,'AREIAS','S JOSÉ','SC',17574,437,NULL,409,NULL,NULL,NULL,2,1),(25,6178103,4.00,5.00,1.00,6.00,6.00,9.00,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','TIJUCAS','SC',12301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178111,4.00,4.00,2.00,3.00,6.00,8.25,3.00,3.00,1.00,502,NULL,NULL,'ARROIO CORRENTE','JAGUARUNA','SC',14886,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6178138,3.00,2.00,0.00,1.00,6.00,NULL,0.00,0.00,2.00,220,NULL,203,'ESPÍRITO SANTO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6178146,4.00,2.00,1.00,5.00,8.00,6.00,1.00,2.00,4.00,203,NULL,655,'CADORIN','PATO BRANCO','PR',15058,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6178162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6178170,3.00,7.00,5.00,7.00,6.00,8.63,2.00,4.00,4.00,203,NULL,214,'FRANCIOSI','VACARIA','RS',10174,726,NULL,258,NULL,NULL,NULL,4,1),(25,6178189,7.00,7.00,1.00,7.00,8.00,10.88,2.00,6.00,7.00,103,NULL,NULL,'JARDIM MEDITERRÂNEO','LONDRINA','PR',2399,1450,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178197,6.00,7.00,4.00,6.00,6.00,10.50,2.00,2.00,4.00,452,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',7315,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6178200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESPIRITO SANTO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6178219,4.00,3.00,1.00,0.00,2.00,NULL,1.00,0.00,0.00,303,NULL,NULL,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6178227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PROGRESSO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6178235,5.00,6.00,3.00,6.00,7.00,4.88,2.00,5.00,5.00,211,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',10175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178243,6.00,5.00,0.00,6.00,7.00,8.25,2.00,5.00,6.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',7580,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6178260,0.00,4.00,1.00,5.00,4.00,NULL,2.00,1.00,0.00,652,NULL,655,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6178278,5.00,5.00,3.00,4.00,7.00,6.00,2.00,6.00,4.00,653,NULL,655,'HUMAITÁ DE CIMA','TUBARÃO','SC',11592,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6178286,9.00,8.00,6.00,6.00,10.00,11.63,5.00,6.00,8.00,103,NULL,NULL,'VILA CLEMENTINO','S PAULO','SP',233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178294,3.00,6.00,3.00,4.00,8.00,9.00,2.00,4.00,2.00,103,NULL,NULL,'COOPHAMIL','CUIABÁ','MT',12109,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6178316,8.00,6.00,4.00,7.00,9.00,9.38,0.00,4.00,5.00,103,NULL,NULL,'ALTO DA XV','GUARAPUAVA','PR',4534,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6178332,6.00,7.00,4.00,6.00,6.00,8.25,7.00,5.00,7.00,103,NULL,NULL,'CENTRO','UMUARAMA','PR',2253,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6178340,6.00,4.00,3.00,7.00,9.00,9.38,2.00,7.00,7.00,233,NULL,213,'PACAEMBU','CASCAVEL','PR',2964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6178367,4.00,6.00,2.00,3.00,6.00,8.63,2.00,5.00,2.00,207,NULL,201,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',13542,728,NULL,1151,NULL,NULL,NULL,2,15),(25,6178375,5.00,5.00,3.00,3.00,8.00,6.38,0.00,6.00,4.00,501,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',11890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6178383,7.00,8.00,3.00,6.00,9.00,9.75,2.00,4.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2362,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6178413,3.00,5.00,0.00,6.00,6.00,NULL,1.00,4.00,2.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178421,3.00,5.00,0.00,4.00,5.00,8.63,0.00,2.00,1.00,102,NULL,NULL,'CORAL','LAGES','SC',17341,216,NULL,NULL,NULL,NULL,NULL,4,9),(25,6178430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6178448,5.00,7.00,3.00,5.00,8.00,8.25,0.00,7.00,4.00,452,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',8060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6178456,7.00,6.00,6.00,8.00,9.00,9.00,2.00,4.00,5.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',2854,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6178464,7.00,6.00,3.00,6.00,8.00,9.38,2.00,6.00,7.00,203,NULL,653,'CAMPINAS','GOIÂNIA','GO',2587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178499,4.00,6.00,3.00,5.00,7.00,9.00,2.00,4.00,4.00,303,NULL,NULL,'SERRARIA','S JOSÉ','SC',13187,616,NULL,NULL,NULL,NULL,NULL,2,1),(25,6178502,6.00,5.00,1.00,7.00,7.00,8.25,2.00,2.00,2.00,9,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',10188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178510,4.00,5.00,0.00,2.00,8.00,7.50,1.00,4.00,1.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',15384,542,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178529,3.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'MORADA DO VALE I','GRAVATAÍ','RS',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(25,6178537,3.00,6.00,3.00,3.00,7.00,8.63,1.00,6.00,4.00,215,NULL,216,'CIDADE JARDIM','CATANDUVAS','SC',9563,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6178545,9.00,9.00,5.00,7.00,6.00,10.88,6.00,8.00,8.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178561,4.00,6.00,4.00,6.00,7.00,9.75,3.00,5.00,4.00,211,NULL,233,'IPIRANGA','S JOSÉ','SC',7892,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6178570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6178588,3.00,3.00,3.00,6.00,4.00,9.38,3.00,1.00,2.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',15685,418,NULL,NULL,NULL,NULL,NULL,2,1),(25,6178596,4.00,7.00,4.00,7.00,9.00,9.38,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4948,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6178600,5.00,3.00,0.00,4.00,4.00,NULL,1.00,4.00,1.00,103,NULL,NULL,'LIDER','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6178618,7.00,8.00,5.00,7.00,7.00,10.50,5.00,5.00,7.00,202,NULL,201,'CENTRO','LOANDA','PR',1344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178626,3.00,6.00,0.00,1.00,7.00,7.50,0.00,4.00,3.00,316,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',19635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178634,6.00,5.00,2.00,4.00,9.00,9.75,1.00,2.00,7.00,103,NULL,NULL,'CENTRO','S BORJA','RS',7062,2972,NULL,NULL,NULL,NULL,NULL,2,1),(25,6178650,5.00,5.00,5.00,6.00,7.00,8.63,2.00,2.00,5.00,201,NULL,212,'CENTRO','CASCAVEL','PR',6058,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6178685,4.00,5.00,2.00,4.00,9.00,8.63,1.00,6.00,4.00,201,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',8268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178693,7.00,7.00,2.00,7.00,9.00,10.13,1.00,7.00,6.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',2541,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6178707,8.00,8.00,6.00,6.00,10.00,11.63,1.00,7.00,7.00,303,NULL,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',1181,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6178723,6.00,5.00,1.00,6.00,8.00,8.63,2.00,2.00,4.00,999,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6178731,3.00,2.00,1.00,3.00,5.00,7.50,0.00,3.00,1.00,203,NULL,202,'SAO JOSE','CURITIBANOS','SC',20169,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6178740,5.00,3.00,3.00,3.00,4.00,7.88,1.00,3.00,5.00,103,NULL,NULL,'CENTRO','IRATI','PR',14034,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6178758,5.00,6.00,2.00,5.00,9.00,7.50,4.00,4.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6858,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6178774,5.00,4.00,3.00,4.00,6.00,7.50,0.00,1.00,5.00,233,NULL,214,'ESTREITO','FLORIANÓPOLIS','SC',16449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178782,7.00,4.00,6.00,6.00,8.00,7.88,4.00,6.00,6.00,103,NULL,NULL,'TABOAO','CURITIBA','PR',3072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6178790,7.00,5.00,2.00,3.00,8.00,9.00,1.00,5.00,7.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',4618,2297,NULL,NULL,NULL,NULL,NULL,4,8),(25,6178804,3.00,5.00,0.00,2.00,6.00,NULL,1.00,2.00,1.00,9,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6178812,5.00,7.00,8.00,6.00,6.00,8.25,4.00,9.00,6.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178820,6.00,5.00,3.00,5.00,9.00,9.75,0.00,4.00,4.00,103,NULL,NULL,'CENTRO','JAGUARUNA','SC',8859,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6178839,5.00,5.00,5.00,6.00,5.00,8.63,1.00,5.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5472,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6178847,7.00,7.00,2.00,5.00,9.00,8.25,1.00,4.00,6.00,203,NULL,202,'ST PEDRO LUDOVICO','GOIÂNIA','GO',4347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178855,2.00,2.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6178863,5.00,5.00,4.00,5.00,7.00,7.88,1.00,5.00,3.00,303,NULL,NULL,'JARDIM PARAISO','SINOP','MT',10326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178871,3.00,2.00,3.00,2.00,4.00,6.75,2.00,3.00,4.00,238,NULL,652,'CIVEMARRA','MARAVILHA','SC',18257,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6178880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,233,'AGUAS BELAS','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6178898,6.00,4.00,3.00,3.00,6.00,7.13,2.00,3.00,4.00,999,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6178901,6.00,7.00,6.00,7.00,7.00,10.88,4.00,5.00,6.00,203,NULL,235,'PONTE DO IMARUIM','PALHOÇA','SC',1628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178910,7.00,7.00,4.00,6.00,9.00,9.38,4.00,7.00,8.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',1032,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6178928,4.00,4.00,1.00,5.00,6.00,8.63,2.00,2.00,2.00,238,NULL,220,'VILA FERROVIARIA','MAFRA','SC',17625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6178944,6.00,5.00,7.00,6.00,10.00,11.25,2.00,5.00,6.00,5,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',2996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178952,7.00,7.00,9.00,6.00,8.00,11.25,6.00,7.00,6.00,203,NULL,214,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178979,3.00,4.00,1.00,2.00,8.00,NULL,0.00,1.00,2.00,425,NULL,428,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6178987,6.00,1.00,0.00,3.00,7.00,NULL,0.00,1.00,1.00,101,NULL,NULL,'BOM PRINCÍPIO','GRAVATAÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6179002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6179010,2.00,4.00,2.00,5.00,5.00,5.63,2.00,5.00,1.00,201,NULL,213,'ALTO ARIRIU','PALHOÇA','SC',19704,1614,NULL,286,NULL,NULL,NULL,2,1),(25,6179029,3.00,4.00,0.00,2.00,2.00,NULL,3.00,1.00,2.00,103,NULL,NULL,'VILA ILZE','ITAPIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6179037,3.00,0.00,2.00,5.00,7.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6179045,2.00,6.00,1.00,2.00,5.00,7.50,2.00,4.00,1.00,207,NULL,NULL,'CENTRO','LINDÓIA SUL','SC',20331,1104,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179061,4.00,4.00,2.00,5.00,7.00,8.25,1.00,1.00,3.00,233,NULL,212,'ROÇADO','S JOSÉ','SC',16908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6179070,5.00,4.00,1.00,2.00,6.00,9.38,1.00,2.00,2.00,104,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',17056,468,NULL,NULL,NULL,NULL,NULL,2,1),(25,6179088,6.00,4.00,2.00,4.00,8.00,7.50,2.00,8.00,3.00,207,NULL,212,'VILA BORGHESI','S ROQUE','SP',10595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179096,5.00,5.00,1.00,5.00,6.00,9.75,0.00,5.00,2.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6179118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6179126,7.00,7.00,6.00,3.00,10.00,10.88,5.00,8.00,8.00,103,NULL,NULL,'CANGAÍBA','S PAULO','SP',1067,724,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179134,1.00,0.00,0.00,1.00,1.00,NULL,0.00,1.00,0.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6179142,7.00,5.00,6.00,5.00,10.00,10.88,6.00,5.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179150,5.00,6.00,2.00,5.00,8.00,9.00,1.00,6.00,5.00,215,NULL,601,'IRIRIÚ','JOINVILLE','SC',6830,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6179169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TARUMÃ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6179185,2.00,2.00,3.00,3.00,5.00,NULL,1.00,3.00,0.00,601,NULL,211,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6179207,7.00,5.00,2.00,6.00,5.00,6.00,1.00,2.00,5.00,104,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',11058,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6179215,3.00,2.00,1.00,2.00,8.00,7.50,2.00,1.00,2.00,207,NULL,233,'JOSÉ MENDES','FLORIANÓPOLIS','SC',17937,965,NULL,446,NULL,NULL,NULL,4,1),(25,6179223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'JARDIM LEOPOLDINA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6179231,9.00,7.00,9.00,7.00,10.00,11.63,7.00,8.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6179240,4.00,4.00,0.00,2.00,5.00,7.88,2.00,3.00,3.00,9,NULL,NULL,'CENTRO','TORRES','RS',17736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6179258,7.00,6.00,5.00,3.00,7.00,9.75,4.00,5.00,6.00,103,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',3654,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6179266,2.00,0.00,2.00,2.00,4.00,5.63,0.00,4.00,1.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179274,6.00,6.00,7.00,6.00,8.00,8.25,2.00,7.00,5.00,203,NULL,202,'ITACORUBI','FLORIANÓPOLIS','SC',2743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179282,2.00,6.00,2.00,3.00,6.00,9.38,3.00,5.00,4.00,202,NULL,201,'FORQUILHAS','S JOSÉ','SC',10696,335,NULL,885,NULL,NULL,NULL,2,1),(25,6179290,5.00,6.00,3.00,6.00,7.00,9.38,2.00,6.00,7.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',5931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179304,3.00,5.00,2.00,0.00,2.00,NULL,0.00,1.00,0.00,653,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6179312,8.00,7.00,4.00,5.00,7.00,11.63,2.00,5.00,6.00,103,NULL,NULL,'BOM RETIRO','CURITIBA','PR',2791,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6179347,5.00,7.00,5.00,5.00,7.00,7.88,3.00,7.00,4.00,201,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',4665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179355,6.00,8.00,3.00,5.00,8.00,9.00,4.00,6.00,5.00,333,NULL,NULL,'CENTRO','VIÇOSA','MG',3496,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6179363,6.00,5.00,4.00,5.00,5.00,9.75,0.00,3.00,3.00,103,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',9741,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6179371,2.00,5.00,1.00,4.00,6.00,7.50,3.00,4.00,2.00,104,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',16787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6179380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM UMARIZAL','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6179398,5.00,5.00,0.00,4.00,8.00,6.00,0.00,4.00,4.00,207,NULL,215,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',13696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179401,4.00,6.00,4.00,3.00,8.00,9.38,1.00,5.00,2.00,102,NULL,NULL,'CENTRO','JOAÇABA','SC',9352,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6179410,5.00,6.00,3.00,4.00,7.00,10.13,4.00,3.00,1.00,108,NULL,NULL,'FERRAZ','GAROPABA','SC',10170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179428,7.00,3.00,5.00,6.00,9.00,7.13,3.00,5.00,4.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',5837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179436,4.00,7.00,5.00,6.00,10.00,7.13,3.00,5.00,5.00,212,NULL,216,'CABRAL','CURITIBA','PR',6006,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6179452,6.00,7.00,0.00,7.00,9.00,NULL,3.00,4.00,3.00,207,NULL,NULL,'VILA GUILHERME','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179460,4.00,3.00,4.00,3.00,6.00,8.63,1.00,3.00,2.00,110,NULL,NULL,'JD ELDOURADO','PALHOÇA','SC',17682,93,NULL,NULL,NULL,NULL,NULL,2,1),(25,6179479,3.00,5.00,4.00,4.00,4.00,10.13,3.00,5.00,4.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',11794,423,NULL,NULL,NULL,NULL,NULL,2,1),(25,6179487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6179495,6.00,4.00,4.00,5.00,9.00,7.13,1.00,4.00,4.00,104,NULL,NULL,'JARDIM GUAPORÉ','MARINGÁ','PR',9429,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6179509,2.00,1.00,1.00,3.00,2.00,NULL,1.00,1.00,3.00,404,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6179517,3.00,6.00,2.00,3.00,8.00,9.00,1.00,0.00,5.00,201,NULL,653,'AGUA VERDE','BLUMENAU','SC',12004,1010,NULL,NULL,NULL,NULL,NULL,4,2),(25,6179525,4.00,3.00,3.00,4.00,7.00,7.50,1.00,4.00,4.00,103,NULL,NULL,'CENTRO','STO ÂNGELO','RS',15434,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6179533,7.00,6.00,2.00,5.00,5.00,8.25,3.00,7.00,4.00,340,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',6733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179541,5.00,6.00,2.00,5.00,5.00,9.38,2.00,3.00,1.00,109,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',11209,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6179550,3.00,2.00,0.00,1.00,3.00,NULL,1.00,2.00,1.00,425,NULL,429,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179568,4.00,3.00,0.00,5.00,4.00,8.63,2.00,3.00,2.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6179584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6179592,3.00,0.00,3.00,2.00,1.00,NULL,2.00,0.00,0.00,415,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179606,6.00,4.00,2.00,5.00,7.00,7.88,1.00,2.00,1.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',17360,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6179614,8.00,8.00,5.00,7.00,9.00,12.00,3.00,7.00,7.00,103,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179622,4.00,6.00,2.00,5.00,4.00,9.38,1.00,5.00,4.00,216,NULL,601,'SANTA HELENA','JOAÇABA','SC',9752,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6179630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAGRADO C JESUS','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6179649,4.00,2.00,2.00,5.00,6.00,7.88,2.00,6.00,3.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',12844,3972,NULL,NULL,NULL,NULL,NULL,2,1),(25,6179657,6.00,6.00,5.00,7.00,9.00,9.38,2.00,5.00,6.00,216,NULL,215,'BARREIROS','S JOSÉ','SC',4191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6179665,7.00,4.00,6.00,6.00,8.00,6.00,2.00,3.00,5.00,304,NULL,NULL,'JUVENTUDE','CAXIAS SUL','RS',7450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179690,8.00,7.00,4.00,6.00,8.00,10.88,2.00,5.00,8.00,216,NULL,215,'PORTÃO','CURITIBA','PR',1751,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6179703,4.00,5.00,3.00,3.00,7.00,11.25,1.00,1.00,4.00,103,NULL,NULL,'RIO BRANCO','CAXIAS SUL','RS',11448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6179711,3.00,5.00,1.00,4.00,6.00,8.25,1.00,4.00,0.00,234,NULL,NULL,'CENTRO','PALHOÇA','SC',18836,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6179720,5.00,6.00,3.00,5.00,7.00,6.75,1.00,9.00,4.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179738,4.00,7.00,9.00,6.00,8.00,7.88,6.00,8.00,8.00,203,NULL,214,'JARDIM LIBERDADE','JACAREÍ','SP',789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179746,1.00,3.00,3.00,2.00,7.00,7.13,3.00,4.00,2.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6179754,1.00,3.00,1.00,2.00,4.00,0.00,1.00,0.00,0.00,104,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6179762,5.00,4.00,3.00,6.00,6.00,7.13,2.00,5.00,8.00,220,NULL,235,'BAIRRO IPIRANGA','S JOSÉ','SC',6625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179770,2.00,3.00,1.00,6.00,6.00,8.25,0.00,4.00,1.00,5,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',15953,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6179789,7.00,8.00,5.00,6.00,9.00,8.63,4.00,7.00,7.00,103,NULL,NULL,'HUMAITA','TUBARÃO','SC',1150,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6179797,3.00,0.00,3.00,2.00,7.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SANTO ANTONIO','CAMPINA GRANDE','PB',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6179800,4.00,4.00,1.00,4.00,4.00,7.13,1.00,4.00,3.00,103,NULL,NULL,'IPIRANGA','S JOSÉ','SC',17511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179819,3.00,5.00,2.00,4.00,6.00,8.25,2.00,7.00,4.00,404,NULL,NULL,'KOBRASOL','S JOSÉ','SC',12701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6179827,5.00,6.00,2.00,7.00,9.00,8.63,2.00,6.00,6.00,103,NULL,NULL,'JARDIM OSWALDO CRUZ','S JOSÉ CAMPOS','SP',4000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179843,2.00,4.00,2.00,3.00,7.00,6.00,0.00,4.00,3.00,238,NULL,208,'CENTRO','S MIGUEL IGUAÇU','PR',16999,383,NULL,415,NULL,NULL,NULL,4,1),(25,6179851,7.00,7.00,4.00,5.00,7.00,7.88,2.00,5.00,6.00,444,NULL,NULL,'HUMAITA','TUBARÃO','SC',3892,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6179860,8.00,6.00,5.00,4.00,10.00,7.13,2.00,9.00,7.00,103,NULL,NULL,'CENTRO','RONCADOR','PR',2273,1386,NULL,NULL,NULL,NULL,NULL,2,8),(25,6179878,6.00,5.00,3.00,3.00,6.00,8.63,3.00,3.00,5.00,420,NULL,NULL,'BARREIROS','S JOSÉ','SC',11520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179894,8.00,5.00,2.00,4.00,9.00,12.38,0.00,5.00,9.00,104,NULL,NULL,'PRAIA DO MORRO','GUARAPARI','ES',3889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179908,2.00,4.00,1.00,2.00,4.00,8.63,3.00,1.00,3.00,404,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6179924,5.00,4.00,4.00,5.00,3.00,NULL,0.00,0.00,1.00,104,NULL,NULL,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6179932,8.00,7.00,6.00,6.00,10.00,9.38,3.00,6.00,7.00,103,NULL,NULL,'JARDIM OSWALDO CRUZ','S JOSÉ CAMPOS','SP',1242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6179959,9.00,7.00,3.00,5.00,8.00,9.75,2.00,8.00,8.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',1321,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6179967,3.00,4.00,1.00,5.00,3.00,9.75,1.00,3.00,3.00,103,NULL,NULL,'VORSTADT','BLUMENAU','SC',19307,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6179975,2.00,4.00,1.00,3.00,5.00,7.50,3.00,3.00,1.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',20405,57,NULL,NULL,NULL,NULL,NULL,2,1),(25,6179991,2.00,2.00,1.00,3.00,3.00,5.63,1.00,2.00,1.00,655,NULL,NULL,'JARDIM ATLANTICO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6180000,5.00,8.00,3.00,7.00,8.00,9.38,1.00,6.00,6.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',3895,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6180019,7.00,8.00,3.00,6.00,8.00,8.63,2.00,8.00,7.00,103,NULL,NULL,'CENTRO','ARAUCÁRIA','PR',2687,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6180035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6180051,3.00,3.00,2.00,4.00,6.00,7.50,1.00,0.00,3.00,201,NULL,601,'SANTO ANTÔNIO','BAL PIÇARRAS','SC',17886,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6180060,2.00,3.00,0.00,4.00,6.00,7.88,0.00,2.00,3.00,201,NULL,203,'CENTRO','S JOÃO OESTE','SC',17782,1474,NULL,1025,NULL,NULL,NULL,4,4),(25,6180078,3.00,7.00,1.00,5.00,7.00,9.75,2.00,3.00,4.00,333,NULL,NULL,'CENTRO','IBEMA','PR',10191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180086,9.00,6.00,5.00,6.00,9.00,9.75,5.00,8.00,9.00,103,NULL,NULL,'MARIA LUÍZA','CASCAVEL','PR',468,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180108,7.00,6.00,0.00,5.00,7.00,12.38,4.00,8.00,5.00,103,NULL,NULL,'PARQUE E JARDIM OURO','OURO','SC',2932,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180116,4.00,5.00,2.00,3.00,5.00,7.13,1.00,4.00,4.00,5,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',14686,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6180124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'VILA DUTRA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6180132,6.00,6.00,5.00,5.00,8.00,8.25,1.00,6.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',5190,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180140,6.00,3.00,1.00,4.00,7.00,9.75,1.00,1.00,5.00,103,NULL,NULL,'JARDIM BANDEIRA','S JOAQUIM','SC',16102,4340,NULL,NULL,NULL,NULL,NULL,4,9),(25,6180167,4.00,3.00,2.00,3.00,2.00,NULL,1.00,4.00,1.00,207,NULL,201,'ALTO RIBEIRÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'BORDA DO CAMPO','QUATRO BARRAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6180183,6.00,5.00,1.00,3.00,9.00,8.63,3.00,3.00,1.00,103,NULL,NULL,'SERRINHA TRINDADE','FLORIANÓPOLIS','SC',10567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180205,3.00,3.00,1.00,3.00,3.00,6.00,0.00,1.00,0.00,101,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',21003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180213,9.00,8.00,4.00,7.00,8.00,9.00,3.00,7.00,7.00,203,NULL,202,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180230,5.00,6.00,1.00,1.00,7.00,9.38,1.00,3.00,2.00,320,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',15967,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6180248,4.00,4.00,2.00,4.00,9.00,12.38,2.00,6.00,4.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180256,3.00,5.00,1.00,7.00,8.00,7.88,2.00,3.00,5.00,453,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180264,9.00,7.00,7.00,7.00,10.00,10.88,4.00,9.00,9.00,103,NULL,NULL,'CENTRO','GUARAPUAVA','PR',67,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180272,5.00,5.00,1.00,6.00,8.00,7.88,0.00,6.00,6.00,201,NULL,207,'PASSA VINTE','PALHOÇA','SC',6127,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180280,7.00,7.00,7.00,5.00,9.00,9.38,6.00,7.00,7.00,103,NULL,NULL,'JARDIM AMERICA','MARINGÁ','PR',807,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180299,3.00,4.00,3.00,5.00,8.00,9.00,1.00,2.00,3.00,207,NULL,201,'MARIA GORETTI','CHAPECÓ','SC',13782,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6180302,6.00,5.00,1.00,3.00,8.00,7.13,2.00,4.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11546,411,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180310,7.00,7.00,4.00,7.00,10.00,10.88,4.00,6.00,8.00,303,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180329,2.00,4.00,2.00,5.00,5.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'JARDIM ISMENIA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6180345,3.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6180361,6.00,6.00,3.00,7.00,9.00,7.50,2.00,5.00,4.00,304,NULL,NULL,'CENTRO','CORREIA PINTO','SC',5965,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6180370,6.00,7.00,4.00,7.00,9.00,12.00,2.00,5.00,3.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',5269,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180388,6.00,6.00,1.00,6.00,7.00,9.75,3.00,8.00,2.00,336,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',7975,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180418,1.00,2.00,1.00,3.00,5.00,9.75,1.00,1.00,2.00,333,NULL,NULL,'PRADO DE BAIXO','BIGUAÇU','SC',21379,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6180442,5.00,8.00,5.00,7.00,4.00,11.25,1.00,5.00,6.00,203,NULL,601,'VILA OPERÁRIA','ITAJAÍ','SC',4913,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6180450,5.00,4.00,3.00,5.00,7.00,5.63,2.00,5.00,4.00,108,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',10521,138,NULL,NULL,NULL,NULL,NULL,4,4),(25,6180469,4.00,5.00,3.00,3.00,6.00,7.50,2.00,4.00,5.00,103,NULL,NULL,'VILA HAUER','CURITIBA','PR',13180,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6180477,6.00,4.00,6.00,6.00,7.00,9.38,1.00,6.00,6.00,216,NULL,215,'CENTRO','IVAIPORÃ','PR',4283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180485,2.00,5.00,0.00,3.00,7.00,NULL,2.00,0.00,2.00,233,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180493,4.00,3.00,0.00,3.00,5.00,9.00,2.00,1.00,1.00,201,NULL,207,'SANTA TEREZA','VIDEIRA','SC',18278,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6180507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6180515,5.00,6.00,4.00,6.00,9.00,7.50,2.00,4.00,6.00,220,NULL,601,'PARQUE CIDADE JARDIM','UMUARAMA','PR',4719,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6180531,3.00,8.00,2.00,7.00,9.00,9.75,2.00,7.00,3.00,319,NULL,NULL,'FAZ SANTO ANTÔNIO','S JOSÉ','SC',6515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'VILA SÃO FRANCISO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6180582,1.00,4.00,3.00,1.00,5.00,9.38,0.00,4.00,5.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180590,2.00,5.00,3.00,3.00,7.00,NULL,3.00,0.00,1.00,301,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6180612,6.00,5.00,3.00,5.00,7.00,7.88,2.00,5.00,4.00,108,NULL,NULL,'PROGRESSO','IBIRAMA','SC',7879,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6180639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6180647,7.00,5.00,4.00,6.00,5.00,9.00,6.00,6.00,9.00,103,NULL,NULL,'INTERLAGOS','S PAULO','SP',2535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180655,4.00,4.00,5.00,6.00,5.00,10.13,2.00,2.00,6.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180663,4.00,5.00,2.00,6.00,9.00,7.13,1.00,3.00,3.00,339,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',15192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6180701,8.00,6.00,5.00,6.00,8.00,9.75,5.00,5.00,8.00,103,NULL,NULL,'ECOVILLE','CURITIBA','PR',1887,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6180710,3.00,4.00,2.00,1.00,5.00,7.88,2.00,1.00,0.00,999,NULL,NULL,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6180728,2.00,5.00,4.00,2.00,7.00,9.38,1.00,6.00,3.00,428,NULL,426,'CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC',14994,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180736,5.00,2.00,4.00,4.00,4.00,7.50,0.00,0.00,3.00,103,NULL,NULL,'SÃO JOAO BATISTA','BELO HORIZONTE','MG',19818,4669,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180744,6.00,4.00,1.00,5.00,5.00,9.00,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','TOLEDO','PR',10091,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6180752,2.00,4.00,2.00,4.00,5.00,8.63,1.00,1.00,4.00,109,NULL,NULL,'INTERIOR','GALVÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6180760,1.00,5.00,2.00,2.00,6.00,9.75,2.00,5.00,3.00,424,NULL,421,'CENTRO','CURITIBA','PR',13325,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6180779,6.00,7.00,2.00,6.00,10.00,11.25,1.00,5.00,8.00,207,NULL,201,'CENTRO','CAXIAS SUL','RS',3666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180809,8.00,5.00,3.00,5.00,6.00,10.50,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','RESERVA','PR',4443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180817,2.00,5.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,652,NULL,655,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6180825,9.00,8.00,8.00,7.00,9.00,9.75,7.00,9.00,9.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',8,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180833,5.00,6.00,4.00,6.00,8.00,12.00,1.00,3.00,8.00,211,NULL,216,'CENTRO','NOVA ARAÇÁ','RS',4321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6180850,5.00,5.00,3.00,3.00,9.00,11.63,2.00,4.00,7.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5946,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180876,6.00,6.00,2.00,2.00,5.00,8.63,1.00,8.00,4.00,211,NULL,216,'VILA NOVA','JARAGUÁ SUL','SC',11574,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6180884,7.00,5.00,3.00,3.00,10.00,8.63,0.00,6.00,8.00,103,NULL,NULL,'CENTRO','GUAIRAÇÁ','PR',4674,2315,NULL,NULL,NULL,NULL,NULL,2,6),(25,6180892,2.00,5.00,1.00,2.00,5.00,6.00,0.00,1.00,1.00,208,NULL,238,'PONTA DE BAIXO','S JOSÉ','SC',20158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180906,4.00,6.00,3.00,5.00,8.00,9.38,0.00,7.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6581,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180914,5.00,7.00,1.00,5.00,7.00,10.13,4.00,5.00,5.00,326,NULL,NULL,'CENTRO','IPUMIRIM','SC',5873,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6180922,5.00,4.00,0.00,4.00,6.00,0.00,3.00,4.00,1.00,326,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180930,3.00,4.00,0.00,5.00,6.00,9.75,0.00,1.00,1.00,234,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',19831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180949,2.00,2.00,0.00,1.00,4.00,7.13,0.00,1.00,3.00,336,NULL,NULL,'CENTRO','COCAL SUL','SC',21645,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6180957,6.00,7.00,2.00,4.00,5.00,7.13,2.00,5.00,4.00,211,NULL,212,'ALTO ARIRIU','PALHOÇA','SC',11895,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6180965,3.00,4.00,3.00,4.00,6.00,7.88,2.00,2.00,2.00,9,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6180973,6.00,6.00,3.00,4.00,8.00,5.25,0.00,7.00,6.00,216,NULL,214,'RONDON','LENÇÓIS PAULISTA','SP',8550,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6180981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6180990,3.00,3.00,2.00,0.00,4.00,7.13,2.00,1.00,1.00,223,NULL,NULL,'CENTRO','CUNHA PORÃ','SC',21385,29,NULL,NULL,NULL,NULL,NULL,4,4),(25,6181007,5.00,6.00,4.00,3.00,8.00,7.88,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6181031,6.00,6.00,4.00,6.00,6.00,7.13,3.00,6.00,6.00,207,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',5533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6181040,7.00,7.00,4.00,5.00,7.00,9.75,3.00,4.00,3.00,326,NULL,NULL,'CENTRO','IÇARA','SC',7153,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6181058,6.00,4.00,4.00,4.00,8.00,6.75,2.00,2.00,5.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',10130,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6181066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6181082,2.00,6.00,1.00,3.00,2.00,NULL,5.00,5.00,1.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6181112,7.00,6.00,4.00,3.00,8.00,10.13,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',4596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6181120,3.00,6.00,0.00,7.00,6.00,8.25,0.00,5.00,1.00,329,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',15603,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6181139,6.00,4.00,3.00,5.00,7.00,9.75,1.00,3.00,5.00,453,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',8928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6181147,3.00,3.00,2.00,3.00,4.00,NULL,3.00,0.00,2.00,238,NULL,208,'FAZENDA SANTO ANTÔNI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6181155,6.00,6.00,3.00,4.00,8.00,10.50,2.00,7.00,4.00,103,NULL,NULL,'TACCA','XANXERÊ','SC',5727,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6181163,3.00,2.00,1.00,1.00,2.00,NULL,1.00,0.00,0.00,212,NULL,201,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6181180,4.00,3.00,3.00,4.00,7.00,7.88,2.00,2.00,2.00,9,NULL,NULL,'CENTRO','DESCANSO','SC',18407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6181198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA INDUSTRIAL','JUQUIÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6181201,6.00,7.00,1.00,4.00,6.00,NULL,0.00,4.00,1.00,104,NULL,NULL,'NOVA DIVINÉIA','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6181210,6.00,6.00,6.00,4.00,7.00,10.13,5.00,8.00,6.00,108,NULL,NULL,'CENTRO','LAGES','SC',2975,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6181228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6181236,5.00,3.00,3.00,5.00,3.00,5.25,3.00,1.00,4.00,318,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19869,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6181244,3.00,4.00,2.00,5.00,4.00,8.63,1.00,4.00,2.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18201,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6181252,6.00,7.00,6.00,4.00,8.00,11.25,1.00,6.00,5.00,103,NULL,NULL,'VILA OPERARIA','ITAJAÍ','SC',4643,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6181260,3.00,3.00,2.00,4.00,5.00,10.13,3.00,5.00,6.00,235,NULL,655,'CENTRO','IRINEÓPOLIS','SC',13198,309,NULL,NULL,NULL,NULL,NULL,2,1),(25,6181287,2.00,5.00,3.00,2.00,3.00,8.63,2.00,2.00,2.00,207,NULL,201,'JARDIM FLORESTA','PLANALTO','PR',16963,905,NULL,1419,NULL,NULL,NULL,2,4),(25,6181295,7.00,7.00,0.00,7.00,11.00,10.88,1.00,7.00,4.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',2857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6181309,5.00,8.00,3.00,4.00,7.00,7.88,2.00,7.00,5.00,203,NULL,201,'II PINHEIROS','VIDEIRA','SC',6014,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6181317,4.00,4.00,0.00,3.00,4.00,9.38,1.00,3.00,0.00,211,NULL,653,'SANGA DA AREIA','ARARANGUÁ','SC',17228,448,NULL,166,NULL,NULL,NULL,2,15),(25,6181325,7.00,7.00,3.00,7.00,8.00,8.25,3.00,8.00,4.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6181341,3.00,6.00,0.00,5.00,8.00,9.00,0.00,4.00,3.00,207,NULL,201,'CENTRO','LAGES','SC',11518,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6181350,2.00,4.00,1.00,4.00,6.00,6.75,1.00,2.00,4.00,316,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',17098,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6181384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'ARMAÇÃO','PENHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6181392,3.00,6.00,2.00,5.00,5.00,10.13,3.00,6.00,4.00,326,NULL,NULL,'CENTRO','PALHOÇA','SC',9092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6181406,6.00,4.00,3.00,5.00,7.00,8.63,4.00,6.00,5.00,203,NULL,201,'SALGADO FILHO','CAXIAS SUL','RS',7238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6181422,9.00,7.00,2.00,6.00,9.00,6.75,7.00,7.00,9.00,103,NULL,NULL,'ALVORADA','MARMELEIRO','PR',1047,710,NULL,NULL,NULL,NULL,NULL,2,4),(25,6181449,8.00,5.00,5.00,4.00,10.00,10.50,3.00,7.00,8.00,103,NULL,NULL,'JARDIM PAULISTA','PRES PRUDENTE','SP',1838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6181465,6.00,5.00,4.00,4.00,6.00,9.38,2.00,6.00,4.00,103,NULL,NULL,'ERICA','PANAMBI','RS',7643,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6181481,6.00,5.00,3.00,5.00,8.00,8.25,1.00,2.00,5.00,103,NULL,NULL,'ARHUR ALVIM','S PAULO','SP',7666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6181490,8.00,5.00,5.00,7.00,9.00,9.00,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',3856,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6181503,3.00,6.00,6.00,7.00,7.00,10.88,3.00,5.00,7.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',3044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6181511,4.00,4.00,1.00,3.00,7.00,7.13,2.00,1.00,3.00,104,NULL,NULL,'BANDEIRANTES','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6181538,4.00,6.00,2.00,5.00,6.00,7.13,1.00,5.00,1.00,234,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13933,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6181554,5.00,6.00,1.00,5.00,9.00,10.88,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','SARANDI','RS',5023,2430,NULL,NULL,NULL,NULL,NULL,2,4),(25,6181562,3.00,2.00,0.00,2.00,4.00,7.88,1.00,1.00,2.00,654,NULL,NULL,'ÚLTIMO RIO','JACINTO MACHADO','SC',21563,92,NULL,NULL,NULL,NULL,NULL,2,15),(25,6181570,6.00,5.00,5.00,5.00,9.00,9.00,3.00,9.00,7.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2252,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6181589,3.00,5.00,1.00,3.00,5.00,NULL,0.00,2.00,1.00,5,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6181597,3.00,4.00,1.00,4.00,6.00,NULL,0.00,2.00,0.00,207,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6181600,8.00,7.00,3.00,6.00,6.00,9.75,2.00,5.00,5.00,235,NULL,202,'SETOR BUENO','GOIÂNIA','GO',4316,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6181627,4.00,3.00,3.00,5.00,5.00,7.88,2.00,3.00,2.00,303,NULL,NULL,'CENTRO','CHAPECÓ','SC',16677,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6181635,5.00,5.00,3.00,5.00,7.00,7.88,2.00,5.00,3.00,425,NULL,429,'LINHA SEMINÁRIO','TURVO','SC',10267,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6181643,7.00,6.00,1.00,5.00,5.00,10.88,2.00,6.00,6.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',5687,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6181660,3.00,6.00,3.00,6.00,7.00,11.25,5.00,3.00,3.00,207,NULL,201,'CENTRO','BLUMENAU','SC',9440,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6181716,3.00,3.00,1.00,1.00,5.00,6.75,0.00,2.00,2.00,102,NULL,NULL,'NOVA BRASILIA','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6181732,6.00,7.00,4.00,5.00,8.00,9.75,0.00,6.00,2.00,103,NULL,NULL,'CENTRO','STA CRUZ SUL','RS',6771,2898,NULL,NULL,NULL,NULL,NULL,2,6),(25,6181740,3.00,5.00,2.00,5.00,3.00,7.13,0.00,2.00,3.00,103,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',19427,4631,NULL,NULL,NULL,NULL,NULL,2,7),(25,6181759,3.00,5.00,4.00,3.00,4.00,5.63,2.00,2.00,5.00,501,NULL,NULL,'VOSTRADT','BLUMENAU','SC',17933,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6181767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TROPICAL','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6181775,8.00,6.00,7.00,7.00,7.00,10.50,4.00,6.00,6.00,220,NULL,235,'COLONINHA','GASPAR','SC',1188,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6181791,2.00,3.00,2.00,2.00,5.00,NULL,2.00,0.00,2.00,303,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6181805,5.00,5.00,3.00,3.00,9.00,9.38,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PINHAL','PR',10465,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6181813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6181821,4.00,6.00,4.00,5.00,8.00,8.25,3.00,6.00,5.00,220,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',5111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6181830,2.00,4.00,1.00,3.00,5.00,7.13,2.00,2.00,4.00,303,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',20009,827,NULL,NULL,NULL,NULL,NULL,2,1),(25,6181848,2.00,4.00,2.00,2.00,5.00,6.00,1.00,4.00,1.00,5,NULL,NULL,'MADRI','PALHOÇA','SC',18883,648,NULL,NULL,NULL,NULL,NULL,2,1),(25,6181864,4.00,4.00,0.00,3.00,5.00,8.25,2.00,1.00,2.00,444,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',18300,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6181872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JORGE TEIXEIRA','ARIQUEMES','RO',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6181880,6.00,5.00,2.00,6.00,10.00,9.75,2.00,8.00,7.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',3360,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6181899,6.00,6.00,1.00,7.00,6.00,10.50,2.00,6.00,5.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6181902,3.00,4.00,1.00,1.00,4.00,6.00,1.00,4.00,0.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',21561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6181910,5.00,6.00,2.00,3.00,4.00,7.88,1.00,2.00,4.00,340,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',18570,403,NULL,NULL,NULL,NULL,NULL,4,1),(25,6181929,6.00,5.00,2.00,7.00,7.00,8.25,2.00,3.00,7.00,207,NULL,233,'CENTRO','S JOSÉ','SC',7385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6181937,6.00,6.00,5.00,4.00,8.00,8.63,3.00,7.00,5.00,202,NULL,203,'CENTRO','PINHAIS','PR',3226,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6181945,3.00,2.00,1.00,4.00,5.00,6.75,0.00,0.00,1.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',21461,339,NULL,NULL,NULL,NULL,NULL,2,1),(25,6181953,6.00,5.00,2.00,4.00,9.00,10.13,3.00,7.00,6.00,207,NULL,233,'JARDIM ELDORADO','PALHOÇA','SC',5129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6181970,5.00,5.00,4.00,6.00,7.00,7.50,2.00,6.00,5.00,220,NULL,208,'CARIANOS','FLORIANÓPOLIS','SC',7054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6181988,6.00,7.00,0.00,6.00,9.00,7.88,2.00,6.00,4.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',7206,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6181996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BRASILIA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6182003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'ERICA','PANAMBI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6182020,5.00,4.00,2.00,2.00,4.00,4.50,2.00,4.00,0.00,503,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',19046,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6182046,8.00,5.00,3.00,7.00,9.00,11.25,2.00,6.00,8.00,103,NULL,NULL,'RUI BARBOSA','MONTENEGRO','RS',1776,1116,NULL,NULL,NULL,NULL,NULL,4,5),(25,6182054,5.00,3.00,3.00,3.00,6.00,7.13,2.00,5.00,2.00,102,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',14067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182062,2.00,6.00,0.00,3.00,6.00,7.50,1.00,6.00,1.00,336,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',14936,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6182070,5.00,8.00,2.00,6.00,8.00,7.50,1.00,5.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182089,6.00,5.00,2.00,2.00,7.00,8.25,1.00,4.00,3.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',11219,3740,NULL,NULL,NULL,NULL,NULL,4,8),(25,6182097,6.00,8.00,4.00,5.00,10.00,11.25,0.00,4.00,4.00,303,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',6430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182100,6.00,7.00,2.00,7.00,8.00,10.13,2.00,3.00,6.00,220,NULL,214,'JARDIM APOLO I','S JOSÉ CAMPOS','SP',4345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182119,3.00,3.00,3.00,4.00,10.00,7.13,3.00,1.00,1.00,501,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',17126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182127,8.00,5.00,8.00,4.00,8.00,11.25,0.00,5.00,7.00,103,NULL,NULL,'CENTRO','JABOTICABAL','SP',3131,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6182135,5.00,2.00,4.00,4.00,7.00,9.00,0.00,4.00,6.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182143,7.00,5.00,2.00,6.00,7.00,9.00,2.00,6.00,7.00,103,NULL,NULL,'JARDIM OSWALDO CRUZ','S JOSÉ CAMPOS','SP',4480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182151,5.00,4.00,2.00,5.00,7.00,6.75,0.00,4.00,3.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',16052,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6182160,8.00,6.00,2.00,6.00,7.00,10.88,3.00,7.00,7.00,103,NULL,NULL,'CENTRO','RIALMA','GO',1806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6182178,5.00,6.00,0.00,4.00,6.00,NULL,3.00,3.00,1.00,102,NULL,NULL,'NOVA BRASÍLIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6182186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'LA SALLE','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6182208,4.00,5.00,4.00,7.00,6.00,7.50,1.00,3.00,5.00,453,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182216,6.00,7.00,3.00,6.00,9.00,9.38,3.00,6.00,5.00,303,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',4239,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6182224,3.00,6.00,3.00,7.00,6.00,7.13,1.00,5.00,2.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6182240,4.00,4.00,1.00,2.00,6.00,7.88,2.00,1.00,0.00,101,NULL,NULL,'JDIM CDE DE FPOLIS','S JOSÉ','SC',18826,134,NULL,NULL,NULL,NULL,NULL,2,1),(25,6182259,7.00,4.00,5.00,5.00,6.00,7.50,2.00,7.00,8.00,211,NULL,653,'CENTRO','TURVO','SC',6356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182267,7.00,7.00,3.00,5.00,6.00,9.00,3.00,7.00,5.00,203,NULL,220,'PANTANAL','FLORIANÓPOLIS','SC',4562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6182275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,428,'CENTRO','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6182283,4.00,6.00,3.00,6.00,8.00,10.50,2.00,2.00,2.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',10042,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6182291,4.00,4.00,1.00,3.00,6.00,6.00,2.00,4.00,4.00,234,NULL,NULL,'CENTRO','JARDINÓPOLIS','SP',14363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6182305,2.00,0.00,3.00,0.00,1.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,16),(25,6182321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6182348,5.00,6.00,5.00,5.00,6.00,9.75,2.00,4.00,7.00,203,NULL,215,'CENTRO','MARCELINO RAMOS','RS',5521,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6182356,7.00,0.00,6.00,7.00,6.00,NULL,0.00,0.00,0.00,203,NULL,214,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6182364,4.00,5.00,1.00,3.00,9.00,7.50,3.00,4.00,1.00,108,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',13469,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6182372,3.00,4.00,3.00,4.00,4.00,7.88,0.00,1.00,4.00,501,NULL,NULL,'JD MARAJOARA','PILAR SUL','SP',14948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182380,3.00,3.00,2.00,3.00,3.00,4.88,4.00,3.00,1.00,103,NULL,NULL,'PINHEIROS','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6182402,4.00,4.00,2.00,5.00,7.00,7.13,4.00,6.00,3.00,201,NULL,212,'JARDIM ELDORADO','PALHOÇA','SC',10315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182410,4.00,2.00,1.00,1.00,5.00,8.63,1.00,3.00,1.00,502,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182437,4.00,4.00,3.00,5.00,4.00,6.75,0.00,3.00,3.00,304,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',17332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182445,6.00,7.00,2.00,4.00,6.00,10.50,3.00,6.00,3.00,201,NULL,207,'CENTRO','NAVEGANTES','SC',7451,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6182453,2.00,4.00,0.00,3.00,8.00,NULL,2.00,2.00,2.00,207,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182461,9.00,6.00,4.00,7.00,9.00,7.13,2.00,6.00,7.00,103,NULL,NULL,'JARDIM GUAPORÉ','MARINGÁ','PR',2877,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6182470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FREGUESIA DO O','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6182488,2.00,5.00,0.00,4.00,2.00,NULL,0.00,0.00,1.00,109,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6182496,9.00,0.00,5.00,7.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA BOA VISTA','ROLÂNDIA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(25,6182500,8.00,4.00,3.00,6.00,9.00,9.75,2.00,4.00,8.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',3323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182526,4.00,5.00,4.00,5.00,8.00,9.38,1.00,4.00,4.00,234,NULL,NULL,'VILA A','FOZ IGUAÇU','PR',9790,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6182534,4.00,3.00,3.00,5.00,6.00,NULL,0.00,2.00,3.00,101,NULL,NULL,'ASSUNÇÃO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6182542,1.00,4.00,3.00,7.00,6.00,10.13,1.00,5.00,3.00,207,NULL,201,'TOBIAS','JOAÇABA','SC',11188,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6182550,4.00,7.00,2.00,4.00,10.00,8.25,2.00,7.00,3.00,104,NULL,NULL,'MORADA DO SOL','MARAVILHA','SC',7040,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6182577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6182585,5.00,4.00,0.00,2.00,7.00,9.00,1.00,4.00,3.00,601,NULL,203,'ATIRADORES','JOINVILLE','SC',16991,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6182607,3.00,3.00,0.00,1.00,4.00,NULL,1.00,0.00,0.00,303,NULL,NULL,'INTERIOR','CORDILHEIRA ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6182615,5.00,4.00,1.00,5.00,4.00,7.13,2.00,3.00,0.00,303,NULL,NULL,'CANOAS','RIO SUL','SC',16439,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6182623,2.00,5.00,3.00,3.00,7.00,NULL,1.00,4.00,0.00,216,NULL,233,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6182631,4.00,4.00,1.00,0.00,6.00,6.75,0.00,0.00,1.00,103,NULL,NULL,'CENTRO','S MATEUS SUL','PR',20146,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6182640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'CENTRO','IPORÃ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6182666,6.00,5.00,4.00,6.00,4.00,8.25,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',7598,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6182674,6.00,5.00,4.00,4.00,8.00,10.50,4.00,7.00,6.00,220,NULL,203,'ZONA SETE','MARINGÁ','PR',3769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182682,1.00,3.00,2.00,3.00,6.00,NULL,3.00,1.00,0.00,332,NULL,NULL,'SÃO GABRIEL','COLOMBO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6182690,8.00,6.00,3.00,4.00,9.00,10.13,2.00,8.00,4.00,103,NULL,NULL,'JARDIM TANGARA','MARÍLIA','SP',3713,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6182704,1.00,5.00,3.00,3.00,4.00,6.75,0.00,2.00,2.00,203,NULL,201,'SÃO JORGE','S MIGUEL OESTE','SC',18470,1048,NULL,1528,NULL,NULL,NULL,4,4),(25,6182712,8.00,6.00,2.00,4.00,6.00,10.50,4.00,7.00,4.00,104,NULL,NULL,'QUINTINO','TIMBÓ','SC',5207,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6182720,8.00,7.00,4.00,7.00,9.00,9.00,2.00,6.00,6.00,453,NULL,NULL,'VILA LALAU','JARAGUÁ SUL','SC',2468,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6182739,2.00,2.00,2.00,4.00,7.00,6.38,2.00,4.00,1.00,2,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15980,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6182755,6.00,5.00,3.00,4.00,8.00,9.00,3.00,3.00,3.00,303,NULL,NULL,'SÃO LUIZ','CAPINZAL','SC',8805,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6182763,4.00,0.00,6.00,8.00,8.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'PARQUE DOS BURITIS','RIO VERDE','GO',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(25,6182771,4.00,4.00,1.00,3.00,8.00,7.88,2.00,3.00,3.00,201,NULL,202,'CENTRO','LAURO MÜLLER','SC',16780,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6182780,5.00,6.00,3.00,7.00,10.00,9.75,5.00,6.00,8.00,103,NULL,NULL,'IMIRIM','S PAULO','SP',2361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182798,5.00,5.00,4.00,7.00,9.00,9.38,3.00,4.00,4.00,238,NULL,208,'JURERE','FLORIANÓPOLIS','SC',7081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182801,6.00,4.00,2.00,4.00,9.00,7.50,2.00,6.00,4.00,103,NULL,NULL,'BRASILIA I','CASCAVEL','PR',8758,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6182810,9.00,6.00,5.00,7.00,10.00,10.13,5.00,6.00,8.00,103,NULL,NULL,'JARDIM','STO ANDRÉ','SP',343,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6182828,4.00,4.00,3.00,6.00,5.00,6.38,2.00,4.00,1.00,233,NULL,207,'DOS ESTADOS','BAL CAMBORIÚ','SC',17668,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6182836,3.00,3.00,2.00,3.00,6.00,6.00,0.00,3.00,3.00,201,NULL,207,'PRIMAVERA','PLANALTO','PR',17768,1472,NULL,954,NULL,NULL,NULL,2,4),(25,6182844,4.00,5.00,1.00,5.00,8.00,9.75,1.00,5.00,4.00,201,NULL,207,'CENTRO','PASSOS MAIA','SC',9235,727,NULL,448,NULL,NULL,NULL,2,4),(25,6182852,2.00,6.00,1.00,2.00,8.00,7.50,1.00,5.00,1.00,303,NULL,NULL,'PASSAGEM','TUBARÃO','SC',14448,664,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182879,5.00,6.00,3.00,4.00,7.00,8.63,1.00,4.00,4.00,214,NULL,212,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',11718,287,NULL,335,NULL,NULL,NULL,2,1),(25,6182887,5.00,3.00,2.00,4.00,7.00,6.75,2.00,5.00,4.00,302,NULL,NULL,'FUNDOS','BIGUAÇU','SC',15127,102,NULL,NULL,NULL,NULL,NULL,2,1),(25,6182895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,233,'CENTRO','IPORÃ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6182909,5.00,7.00,3.00,6.00,8.00,9.38,1.00,5.00,7.00,207,NULL,216,'SANTA CRUZ','CONCÓRDIA','SC',4822,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6182917,4.00,3.00,0.00,1.00,7.00,7.50,2.00,3.00,2.00,108,NULL,NULL,'JARDIM EUCALIPTUS','PALHOÇA','SC',19930,294,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182941,4.00,4.00,1.00,7.00,8.00,9.38,2.00,7.00,4.00,340,NULL,NULL,'CORAL','LAGES','SC',10040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6182950,6.00,5.00,0.00,4.00,7.00,NULL,2.00,4.00,1.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6182968,8.00,6.00,5.00,5.00,8.00,9.38,4.00,4.00,5.00,103,NULL,NULL,'GUIRAI','IVINHEMA','MS',4214,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6182976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'ZONA DOIS','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6182984,0.00,4.00,4.00,3.00,8.00,NULL,0.00,2.00,3.00,5,NULL,NULL,'JARDIM GUARAITUBA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6182992,9.00,9.00,9.00,6.00,10.00,10.88,4.00,9.00,9.00,103,NULL,NULL,'SÃO PEDRO','GUABIRUBA','SC',43,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6183000,3.00,7.00,1.00,2.00,6.00,9.00,1.00,1.00,4.00,103,NULL,NULL,'CENTRO','RIO FORTUNA','SC',14049,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6183018,4.00,4.00,2.00,4.00,5.00,13.13,3.00,6.00,3.00,317,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',10119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6183026,4.00,7.00,3.00,5.00,9.00,10.50,1.00,5.00,6.00,104,NULL,NULL,'CENTRO','TUBARÃO','SC',5810,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6183034,7.00,6.00,5.00,7.00,7.00,8.63,1.00,6.00,9.00,103,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',2039,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6183042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',5,7),(25,6183050,3.00,5.00,0.00,5.00,7.00,10.13,2.00,5.00,3.00,337,NULL,NULL,'CIDADE NOVA','BELO HORIZONTE','MG',9614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6183069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6183077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'VILA ESPERANÇA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6183107,7.00,7.00,5.00,7.00,9.00,14.25,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','S MARCOS','RS',983,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6183115,1.00,4.00,2.00,3.00,6.00,6.75,2.00,1.00,2.00,215,NULL,211,'CENTRO','VIDAL RAMOS','SC',18120,293,NULL,479,NULL,NULL,NULL,4,1),(25,6183123,7.00,7.00,4.00,7.00,9.00,8.63,7.00,9.00,8.00,220,NULL,203,'JARDIM AMÉRICA','DOURADOS','MS',392,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6183131,5.00,6.00,2.00,1.00,5.00,7.13,3.00,5.00,1.00,999,NULL,NULL,'ALTO ARROIO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6183140,8.00,6.00,3.00,7.00,10.00,10.88,3.00,7.00,9.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',1051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6183158,5.00,5.00,6.00,4.00,7.00,9.00,4.00,3.00,5.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',5202,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6183166,5.00,7.00,4.00,4.00,6.00,7.13,1.00,4.00,4.00,201,NULL,652,'CENTRO','CAMBORIÚ','SC',8540,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6183174,4.00,7.00,3.00,2.00,6.00,9.75,3.00,2.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',9907,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6183182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'SÃO JOSÉ','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6183190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JUVEVÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6183212,4.00,4.00,2.00,5.00,6.00,7.50,0.00,5.00,6.00,201,NULL,NULL,'CENTRO','CAPANEMA','PR',11349,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6183220,7.00,8.00,7.00,7.00,9.00,9.38,5.00,9.00,8.00,201,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6183247,4.00,3.00,0.00,4.00,8.00,8.63,0.00,6.00,4.00,101,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',15477,73,NULL,NULL,NULL,NULL,NULL,2,1),(25,6183255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUTIATUVINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6183263,6.00,5.00,4.00,6.00,8.00,7.50,1.00,4.00,7.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',4915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6183271,6.00,7.00,3.00,6.00,10.00,9.00,1.00,7.00,6.00,103,NULL,NULL,'MORRETES','ITAPEMA','SC',3515,1901,NULL,NULL,NULL,NULL,NULL,4,6),(25,6183280,8.00,4.00,6.00,7.00,6.00,9.38,3.00,8.00,8.00,103,NULL,NULL,'MONTE CASTELO','S JOSÉ CAMPOS','SP',2513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6183301,8.00,7.00,4.00,7.00,9.00,12.00,2.00,8.00,9.00,103,NULL,NULL,'JD BELA VISTA','FOZ IGUAÇU','PR',556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6183310,5.00,6.00,3.00,6.00,6.00,6.75,0.00,7.00,5.00,203,NULL,653,'SANGA DAS PEDRAS','MRO GRANDE','SC',10290,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6183336,2.00,6.00,2.00,4.00,7.00,8.25,1.00,4.00,2.00,999,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6183344,1.00,4.00,1.00,5.00,7.00,9.00,3.00,4.00,0.00,5,NULL,NULL,'ARMAÇAO DO PANTANO D','FLORIANÓPOLIS','SC',15829,556,NULL,NULL,NULL,NULL,NULL,2,1),(25,6183352,1.00,4.00,1.00,1.00,4.00,9.38,0.00,0.00,1.00,319,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6183360,6.00,6.00,3.00,7.00,8.00,9.00,2.00,6.00,7.00,201,NULL,215,'SEMINÁRIO','CURITIBA','PR',3191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6183379,2.00,4.00,0.00,4.00,7.00,10.13,2.00,2.00,2.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6183387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SÃO JOSÉ','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6183395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SOL NASCENTE','IJUÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6183409,5.00,7.00,2.00,4.00,6.00,9.38,3.00,7.00,2.00,207,NULL,201,'NAÇÕES','TIMBÓ','SC',9055,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6183417,5.00,2.00,1.00,1.00,3.00,10.13,0.00,1.00,2.00,333,NULL,NULL,'SÃO CRISTOVÃO','SINOP','MT',19141,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6183425,2.00,5.00,2.00,5.00,7.00,9.38,0.00,4.00,0.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',14350,4165,NULL,NULL,NULL,NULL,NULL,2,8),(25,6183433,3.00,4.00,3.00,4.00,8.00,9.38,1.00,2.00,3.00,420,NULL,NULL,'IPIRANGA','S JOSÉ','SC',13979,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6183441,5.00,6.00,2.00,4.00,5.00,NULL,1.00,4.00,5.00,103,NULL,NULL,'PLANALTO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6183468,2.00,2.00,2.00,2.00,3.00,NULL,2.00,1.00,0.00,103,NULL,NULL,'LISBOA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6183476,8.00,5.00,6.00,5.00,7.00,11.25,5.00,8.00,7.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',1193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6183484,4.00,7.00,1.00,5.00,7.00,9.00,2.00,3.00,5.00,340,NULL,NULL,'CABRAL','CURITIBA','PR',8844,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6183492,5.00,4.00,1.00,6.00,6.00,6.00,2.00,4.00,1.00,211,NULL,201,'PANTANO DO SUL','FLORIANÓPOLIS','SC',14450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6183506,6.00,6.00,0.00,2.00,9.00,NULL,0.00,1.00,3.00,333,NULL,NULL,'GLORIA I','CATANDUVA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6183514,4.00,4.00,3.00,3.00,8.00,7.88,2.00,1.00,0.00,309,NULL,NULL,'IPIRANGA','S JOSÉ','SC',16570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6183522,6.00,6.00,3.00,7.00,7.00,9.00,4.00,1.00,2.00,450,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',8233,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6183530,5.00,5.00,0.00,4.00,9.00,7.50,2.00,1.00,4.00,104,NULL,NULL,'CENTRO','ITAJAÍ','SC',12696,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6183549,2.00,4.00,1.00,2.00,6.00,7.13,1.00,4.00,3.00,103,NULL,NULL,'JARDIM BRASÍLIA','ARAÇATUBA','SP',17319,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6183565,6.00,4.00,3.00,5.00,6.00,0.00,3.00,0.00,2.00,103,NULL,NULL,'JARDIM DAS ACACIAS','SORRISO','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6183573,5.00,5.00,2.00,6.00,9.00,10.13,2.00,7.00,3.00,5,NULL,NULL,'SÃO CRISTÓVÃO','CHAPECÓ','SC',5532,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6183581,7.00,3.00,2.00,7.00,7.00,8.63,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','RODEIO','SC',9871,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6183590,2.00,4.00,1.00,2.00,4.00,6.38,2.00,5.00,1.00,203,NULL,214,'CAMPO ALTO','COLOMBO','PR',18742,1058,NULL,412,NULL,NULL,NULL,4,1),(25,6183603,3.00,3.00,3.00,5.00,7.00,10.88,2.00,1.00,3.00,101,NULL,NULL,'N SENHORA DE LURDES','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6183611,7.00,4.00,2.00,4.00,4.00,8.63,1.00,2.00,5.00,103,NULL,NULL,'JOAQUIM C FERREIRA','CPO LARGO','PR',11538,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6183620,6.00,8.00,2.00,7.00,9.00,10.13,5.00,5.00,4.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',3399,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6183638,4.00,6.00,5.00,4.00,8.00,NULL,0.00,3.00,1.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6183654,3.00,3.00,1.00,3.00,4.00,9.75,1.00,4.00,2.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',17585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6183662,7.00,5.00,5.00,6.00,5.00,9.00,0.00,2.00,5.00,103,NULL,NULL,'JARDIM SANTA MARIA','TOLEDO','PR',9062,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6183670,2.00,2.00,0.00,3.00,2.00,NULL,0.00,0.00,1.00,308,NULL,NULL,'JARDIM DAS CAMÉLIAS','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6183719,8.00,5.00,7.00,5.00,9.00,7.88,2.00,7.00,7.00,103,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',2089,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6183727,8.00,6.00,5.00,6.00,9.00,8.63,1.00,7.00,7.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',2177,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6183735,4.00,4.00,1.00,5.00,7.00,7.13,3.00,4.00,5.00,332,NULL,NULL,'ROÇADO','S JOSÉ','SC',12640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6183751,1.00,1.00,1.00,2.00,5.00,5.63,1.00,1.00,0.00,103,NULL,NULL,'VILA IMPERIAL','S JOSÉ R PRETO','SP',21230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6183760,3.00,4.00,1.00,3.00,6.00,7.88,3.00,4.00,2.00,339,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',15700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6183778,5.00,5.00,2.00,7.00,6.00,9.00,1.00,3.00,4.00,5,NULL,NULL,'TAQUARAL','CAMPINAS','SP',9130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6183786,6.00,7.00,3.00,7.00,7.00,13.13,1.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6183794,3.00,5.00,3.00,4.00,6.00,7.13,5.00,4.00,2.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6183808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6183832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ICARAÍ','NITERÓI','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6183840,2.00,3.00,1.00,2.00,4.00,6.00,2.00,0.00,2.00,102,NULL,NULL,'PONTAL','PALHOÇA','SC',21655,283,NULL,NULL,NULL,NULL,NULL,2,1),(25,6183859,4.00,6.00,2.00,3.00,8.00,6.00,2.00,3.00,4.00,207,NULL,201,'CENTRO','PATO BRANCO','PR',11725,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6183867,4.00,5.00,4.00,3.00,6.00,7.88,0.00,1.00,5.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',13232,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6183875,6.00,6.00,2.00,5.00,7.00,7.13,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','GUARANIAÇU','PR',7689,3114,NULL,NULL,NULL,NULL,NULL,2,1),(25,6183883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO LOURENÇO','ANÁPOLIS','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6183891,4.00,0.00,1.00,2.00,5.00,7.50,0.00,1.00,1.00,103,NULL,NULL,'CENTRO','SERTANÓPOLIS','PR',21467,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6183905,4.00,6.00,2.00,1.00,7.00,7.13,1.00,3.00,2.00,233,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',15342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6183913,5.00,5.00,2.00,4.00,5.00,9.38,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',10896,3699,NULL,NULL,NULL,NULL,NULL,2,1),(25,6183930,3.00,6.00,4.00,1.00,4.00,8.25,1.00,3.00,1.00,444,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',17260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6183948,4.00,3.00,2.00,5.00,4.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(25,6183964,3.00,7.00,3.00,2.00,6.00,7.50,2.00,6.00,4.00,201,NULL,212,'CENTRO','SOMBRIO','SC',10625,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6183972,5.00,5.00,2.00,6.00,7.00,10.13,1.00,6.00,3.00,233,NULL,601,'INGLESES','FLORIANÓPOLIS','SC',7652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6183980,3.00,6.00,5.00,6.00,8.00,11.25,1.00,5.00,3.00,450,NULL,NULL,'JD VIVENDAS','S JOSÉ R PRETO','SP',5713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6183999,1.00,5.00,2.00,4.00,4.00,NULL,1.00,0.00,1.00,109,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6184006,5.00,5.00,4.00,6.00,8.00,12.00,0.00,3.00,2.00,999,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184014,4.00,4.00,4.00,4.00,5.00,6.75,0.00,0.00,1.00,201,NULL,211,'MICHEL','CRICIÚMA','SC',17537,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6184022,3.00,6.00,4.00,2.00,8.00,9.38,3.00,5.00,5.00,238,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',9153,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6184030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6184049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DUQUE DE CAXIAS II','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6184057,5.00,7.00,2.00,4.00,5.00,4.88,1.00,7.00,2.00,214,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',15202,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6184065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6184073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CARAZINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6184081,7.00,5.00,4.00,6.00,9.00,9.75,1.00,4.00,5.00,104,NULL,NULL,'CENTRO','CASCAVEL','PR',5151,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6184090,3.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(25,6184103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6184111,5.00,5.00,0.00,4.00,4.00,NULL,3.00,4.00,2.00,415,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6184120,6.00,7.00,6.00,5.00,6.00,9.75,2.00,8.00,5.00,415,NULL,NULL,'GLÓRIA','JOINVILLE','SC',3386,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6184138,6.00,5.00,3.00,6.00,10.00,8.63,2.00,6.00,6.00,5,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',5339,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6184146,2.00,5.00,2.00,2.00,7.00,7.13,4.00,1.00,0.00,207,NULL,NULL,'JARDIM AMÉRICA','CHAPECÓ','SC',17338,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6184197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'FLANDRIA','POMPÉIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6184219,8.00,8.00,4.00,5.00,8.00,8.63,1.00,5.00,3.00,211,NULL,216,'SANTA TEREZA','JOAÇABA','SC',6222,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6184227,3.00,6.00,4.00,5.00,7.00,7.88,3.00,6.00,2.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9324,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6184235,8.00,5.00,4.00,3.00,7.00,4.88,0.00,5.00,4.00,303,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',10511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ATALANTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6184251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'JD NOVA VIDA','JALES','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6184260,7.00,6.00,1.00,4.00,8.00,12.00,1.00,2.00,3.00,303,NULL,NULL,'CENTRO','GUARAREMA','SP',8894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184278,4.00,3.00,2.00,7.00,5.00,8.63,1.00,5.00,2.00,238,NULL,652,'CENTRO','ERECHIM','RS',14636,277,NULL,NULL,NULL,NULL,NULL,4,4),(25,6184286,5.00,7.00,5.00,7.00,9.00,11.25,2.00,6.00,5.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',3397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184332,1.00,6.00,2.00,5.00,7.00,7.13,1.00,6.00,3.00,110,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',12360,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6184340,5.00,5.00,2.00,6.00,8.00,8.25,0.00,0.00,2.00,109,NULL,NULL,'CENTRO','CANOINHAS','SC',17382,96,NULL,NULL,NULL,NULL,NULL,2,17),(25,6184359,2.00,5.00,1.00,4.00,4.00,9.75,1.00,3.00,3.00,303,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6184367,4.00,3.00,1.00,3.00,2.00,NULL,1.00,2.00,0.00,103,NULL,NULL,'JARDIM QUEBEC','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184375,5.00,5.00,1.00,4.00,9.00,9.38,1.00,2.00,3.00,104,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',10594,228,NULL,NULL,NULL,NULL,NULL,2,1),(25,6184383,2.00,5.00,2.00,2.00,4.00,6.75,2.00,5.00,0.00,211,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',19884,519,NULL,NULL,NULL,NULL,NULL,2,1),(25,6184405,3.00,2.00,1.00,3.00,5.00,6.75,2.00,3.00,2.00,308,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6184413,2.00,6.00,0.00,4.00,6.00,NULL,0.00,0.00,2.00,316,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184421,5.00,6.00,2.00,7.00,9.00,10.13,2.00,5.00,4.00,207,NULL,215,'PASSA VINTE','PALHOÇA','SC',7083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184430,5.00,6.00,2.00,2.00,6.00,7.50,1.00,4.00,2.00,211,NULL,215,'CENTRO','GRAVATAL','SC',16472,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6184448,5.00,4.00,3.00,5.00,8.00,8.63,2.00,4.00,7.00,103,NULL,NULL,'BELA VISTA','CEL VIVIDA','PR',6953,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6184456,5.00,5.00,1.00,7.00,7.00,8.25,3.00,4.00,3.00,310,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',11241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184464,4.00,6.00,4.00,7.00,8.00,9.00,1.00,7.00,6.00,207,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',5267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184472,2.00,5.00,2.00,1.00,6.00,7.88,1.00,2.00,2.00,223,NULL,NULL,'BARREIROS','S JOSÉ','SC',17545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'SANTA TEREZINHA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6184499,3.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(25,6184502,5.00,7.00,6.00,6.00,9.00,10.50,4.00,8.00,6.00,213,NULL,601,'COMERCIÁRIO','CRICIÚMA','SC',2003,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6184510,2.00,1.00,1.00,2.00,8.00,7.50,0.00,2.00,0.00,303,NULL,NULL,'JARDIM SAVEIRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184529,3.00,4.00,2.00,2.00,3.00,4.50,1.00,2.00,1.00,501,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184537,5.00,5.00,2.00,3.00,3.00,NULL,0.00,2.00,3.00,104,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6184545,3.00,6.00,2.00,3.00,6.00,9.75,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',12050,3873,NULL,NULL,NULL,NULL,NULL,4,2),(25,6184553,8.00,5.00,4.00,7.00,10.00,8.63,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',1760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184561,5.00,6.00,4.00,3.00,8.00,9.38,2.00,7.00,6.00,103,NULL,NULL,'JOSÉNITRO SERRARIA','S JOSÉ','SC',4977,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6184588,5.00,2.00,1.00,2.00,4.00,NULL,3.00,1.00,0.00,999,NULL,NULL,'LINHA SÃO PEDRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6184596,6.00,5.00,6.00,6.00,9.00,8.63,1.00,4.00,5.00,201,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',5369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6184600,3.00,4.00,3.00,4.00,4.00,6.75,3.00,3.00,1.00,339,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6184618,4.00,0.00,4.00,1.00,7.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6184626,4.00,5.00,3.00,2.00,8.00,6.75,4.00,2.00,5.00,207,NULL,201,'PITANGUINHA','PITANGA','PR',12554,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6184634,3.00,4.00,0.00,5.00,5.00,7.50,4.00,4.00,4.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',13650,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6184642,7.00,7.00,4.00,5.00,8.00,9.38,1.00,1.00,6.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',5526,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6184650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAGO SUL','LG SUL','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6184669,7.00,7.00,4.00,6.00,9.00,6.00,4.00,8.00,6.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',2988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184677,7.00,6.00,4.00,5.00,9.00,9.75,4.00,7.00,8.00,103,NULL,NULL,'BARRA DO RIO','ITAJAÍ','SC',1927,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6184685,5.00,5.00,3.00,4.00,8.00,9.38,3.00,7.00,6.00,9,NULL,NULL,'VILA GOMES','S PAULO','SP',4091,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6184693,4.00,8.00,3.00,4.00,7.00,9.00,1.00,3.00,3.00,104,NULL,NULL,'SÃO JUDAS TADEU','BAL CAMBORIÚ','SC',8567,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6184707,6.00,4.00,3.00,4.00,7.00,7.88,0.00,4.00,3.00,203,NULL,202,'BATEL','CURITIBA','PR',14741,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6184715,3.00,7.00,2.00,6.00,9.00,7.13,2.00,6.00,2.00,317,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',11856,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6184723,2.00,3.00,0.00,1.00,7.00,6.38,0.00,0.00,2.00,309,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6184731,5.00,6.00,3.00,3.00,8.00,NULL,0.00,2.00,3.00,503,NULL,NULL,'CENTRO','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6184740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM GLÓRIA','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6184820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PORECATU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6184839,4.00,5.00,2.00,3.00,7.00,8.63,1.00,3.00,3.00,444,NULL,NULL,'SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC',16569,80,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184847,1.00,3.00,2.00,1.00,5.00,NULL,0.00,2.00,3.00,318,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6184863,7.00,6.00,3.00,6.00,7.00,9.38,4.00,4.00,7.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',3735,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6184871,4.00,5.00,3.00,7.00,3.00,NULL,0.00,1.00,4.00,420,NULL,NULL,'BREJATUBA','GUARATUBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6184880,5.00,7.00,2.00,3.00,8.00,8.63,2.00,3.00,5.00,103,NULL,NULL,'ÁGUA RASA','S PAULO','SP',7924,3170,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184901,5.00,5.00,1.00,7.00,7.00,7.13,2.00,5.00,3.00,420,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',10192,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184910,3.00,2.00,2.00,3.00,8.00,7.50,0.00,3.00,2.00,5,NULL,NULL,'UNIVERSITÁRIO','CORUMBÁ','MS',18149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184928,5.00,6.00,4.00,6.00,8.00,12.75,0.00,4.00,4.00,340,NULL,NULL,'MODELO','IJUÍ','RS',6260,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6184936,2.00,5.00,2.00,4.00,5.00,9.00,2.00,4.00,2.00,201,NULL,212,'NOVA BELEM','PAULO LOPES','SC',13264,1124,NULL,391,NULL,NULL,NULL,2,1),(25,6184944,5.00,3.00,1.00,7.00,8.00,8.63,2.00,1.00,1.00,425,NULL,429,'CENTRO','ITAPECERICA SERRA','SP',14054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184952,2.00,5.00,3.00,3.00,7.00,10.13,0.00,2.00,2.00,103,NULL,NULL,'PARATI','MARÍLIA','SP',14632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184960,2.00,3.00,2.00,2.00,1.00,NULL,3.00,3.00,1.00,324,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6184979,3.00,5.00,2.00,4.00,6.00,9.38,2.00,3.00,3.00,104,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',15806,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6184987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CARAZINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6184995,8.00,7.00,2.00,7.00,10.00,10.50,4.00,6.00,6.00,103,NULL,NULL,'VILA AURORA','RONDONÓPOLIS','MT',1652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6185002,5.00,6.00,2.00,3.00,8.00,10.88,0.00,1.00,4.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',10865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6185037,2.00,4.00,0.00,5.00,7.00,7.13,1.00,4.00,1.00,9,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',19383,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185045,5.00,6.00,2.00,7.00,8.00,9.00,3.00,5.00,2.00,303,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',7074,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6185061,3.00,5.00,1.00,5.00,8.00,NULL,0.00,0.00,2.00,303,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185070,5.00,4.00,1.00,4.00,6.00,7.88,2.00,6.00,4.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6185096,5.00,6.00,1.00,4.00,5.00,6.00,0.00,2.00,2.00,303,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',17925,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6185100,6.00,3.00,2.00,2.00,7.00,6.75,1.00,1.00,1.00,331,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6185118,1.00,4.00,0.00,3.00,4.00,6.38,1.00,3.00,3.00,9,NULL,NULL,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',20353,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185126,7.00,4.00,0.00,5.00,6.00,NULL,2.00,7.00,3.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6185134,5.00,4.00,3.00,3.00,4.00,NULL,1.00,0.00,2.00,208,NULL,238,'BARRA DO ARIRÍU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6185142,8.00,7.00,6.00,5.00,8.00,10.88,7.00,8.00,8.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',219,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6185150,2.00,2.00,2.00,0.00,6.00,9.00,2.00,1.00,4.00,302,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',19102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6185169,8.00,6.00,4.00,7.00,8.00,7.88,3.00,6.00,8.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',1898,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6185177,5.00,3.00,3.00,2.00,6.00,NULL,0.00,2.00,0.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6185185,7.00,4.00,1.00,3.00,8.00,7.50,1.00,3.00,0.00,201,NULL,212,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',17822,1477,NULL,520,NULL,NULL,NULL,2,1),(25,6185193,7.00,8.00,6.00,6.00,10.00,10.88,6.00,7.00,8.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',411,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6185207,1.00,5.00,2.00,5.00,5.00,7.88,2.00,3.00,0.00,425,NULL,423,'PASSAGEM DO MASIAMBU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185215,3.00,6.00,2.00,1.00,7.00,6.38,0.00,4.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185223,2.00,3.00,1.00,3.00,4.00,7.13,1.00,4.00,2.00,601,NULL,207,'RIBEIRAO GRANDE','JARAGUÁ SUL','SC',19603,551,NULL,1069,NULL,NULL,NULL,2,8),(25,6185231,3.00,5.00,3.00,6.00,6.00,6.00,1.00,3.00,3.00,201,NULL,212,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',17273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6185240,4.00,6.00,2.00,4.00,6.00,7.88,3.00,5.00,4.00,303,NULL,NULL,'VILA REDHER','AMERICANA','SP',8809,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6185266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6185274,2.00,4.00,0.00,3.00,3.00,NULL,1.00,2.00,1.00,207,NULL,201,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185290,6.00,6.00,2.00,5.00,9.00,9.00,2.00,4.00,4.00,103,NULL,NULL,'SANTANA','PTO ALEGRE','RS',6491,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6185304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'SAO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6185312,4.00,6.00,3.00,5.00,5.00,6.38,3.00,3.00,1.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6185339,7.00,8.00,5.00,6.00,9.00,11.25,4.00,8.00,6.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6185347,4.00,5.00,2.00,5.00,5.00,10.13,3.00,4.00,3.00,5,NULL,NULL,'ALVORADA DO SUL','PARANAVAÍ','PR',10933,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6185355,4.00,6.00,1.00,5.00,7.00,7.50,2.00,6.00,3.00,653,NULL,NULL,'CAMPESTRE','LAJEADO','RS',9837,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6185363,1.00,4.00,0.00,4.00,4.00,5.25,1.00,3.00,3.00,429,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',21313,62,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185380,2.00,4.00,3.00,5.00,4.00,5.63,4.00,6.00,3.00,404,NULL,NULL,'N SRA DO ROSÁRIO','S JOSÉ','SC',16592,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185398,6.00,7.00,4.00,7.00,8.00,10.13,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',2462,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6185401,5.00,6.00,2.00,4.00,8.00,10.13,3.00,7.00,4.00,201,NULL,207,'AREIAS','S JOSÉ','SC',5499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6185410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6185428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'BELA VISTA','MACAÉ','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6185444,2.00,1.00,1.00,1.00,0.00,NULL,1.00,1.00,1.00,211,NULL,201,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6185452,8.00,6.00,7.00,6.00,10.00,8.63,6.00,8.00,9.00,601,NULL,202,'ITAUM','JOINVILLE','SC',256,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6185460,2.00,3.00,0.00,3.00,6.00,9.00,0.00,4.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6185479,3.00,5.00,2.00,1.00,3.00,5.63,3.00,4.00,2.00,404,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',18029,58,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185487,3.00,3.00,3.00,3.00,6.00,6.75,2.00,2.00,0.00,203,NULL,NULL,'SANTO ANDRE','LAJEADO','RS',17834,1028,NULL,NULL,NULL,NULL,NULL,4,2),(25,6185495,7.00,5.00,3.00,3.00,7.00,7.88,1.00,3.00,6.00,103,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',8649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185509,5.00,4.00,4.00,4.00,6.00,7.13,2.00,3.00,4.00,203,NULL,207,'PETRÓPLIS','PTO ALEGRE','RS',12332,820,NULL,655,NULL,NULL,NULL,4,1),(25,6185517,8.00,7.00,5.00,5.00,8.00,10.13,2.00,5.00,7.00,103,NULL,NULL,'SANTA CRUZ','RIBEIRÃO PRETO','SP',2553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6185525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'BEIRAMAR','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6185533,5.00,6.00,1.00,4.00,8.00,11.25,3.00,1.00,4.00,453,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',12457,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6185541,6.00,7.00,2.00,3.00,9.00,9.00,2.00,6.00,5.00,103,NULL,NULL,'SAGRADO CORAÇÃO DE J','LAGES','SC',5961,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6185550,1.00,1.00,1.00,3.00,5.00,NULL,2.00,0.00,2.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6185568,2.00,5.00,1.00,3.00,5.00,8.63,1.00,2.00,2.00,452,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6185576,7.00,5.00,1.00,6.00,10.00,9.00,1.00,5.00,7.00,103,NULL,NULL,'SUDOESTE','GOIÂNIA','GO',4687,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185584,6.00,6.00,2.00,5.00,7.00,9.38,1.00,7.00,6.00,233,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',8088,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185592,8.00,8.00,4.00,5.00,10.00,11.25,6.00,7.00,6.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',933,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6185606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6185614,2.00,5.00,2.00,6.00,6.00,7.88,2.00,6.00,4.00,207,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',11214,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185622,5.00,5.00,4.00,5.00,8.00,9.75,3.00,5.00,3.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6976,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM MONTREAL','LAPA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6185657,1.00,5.00,2.00,3.00,2.00,NULL,1.00,5.00,3.00,653,NULL,202,'AURORA','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6185665,3.00,3.00,1.00,3.00,5.00,8.25,1.00,3.00,4.00,207,NULL,216,'CENTRO II','BRUSQUE','SC',18976,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6185681,1.00,6.00,2.00,4.00,7.00,8.63,1.00,5.00,2.00,450,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',16626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6185690,4.00,5.00,1.00,3.00,6.00,10.88,1.00,3.00,4.00,303,NULL,NULL,'CENTRO','ITAJAÍ','SC',14170,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6185703,2.00,3.00,1.00,3.00,2.00,NULL,2.00,1.00,2.00,444,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','SOBRADINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6185720,5.00,6.00,2.00,2.00,4.00,9.00,2.00,6.00,2.00,201,NULL,211,'FAZENDA SANTO ANTONI','S JOSÉ','SC',13452,1144,NULL,355,NULL,NULL,NULL,2,1),(25,6185738,8.00,5.00,1.00,3.00,6.00,9.00,2.00,2.00,7.00,103,NULL,NULL,'VILA MARUMBY','MARINGÁ','PR',11235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185762,6.00,8.00,2.00,3.00,8.00,10.50,1.00,8.00,6.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',3910,2049,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185770,4.00,6.00,2.00,5.00,6.00,6.00,2.00,6.00,3.00,327,NULL,NULL,'GRAVATÁ','NAVEGANTES','SC',10846,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6185819,4.00,3.00,1.00,5.00,3.00,NULL,0.00,0.00,2.00,208,NULL,238,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185827,8.00,6.00,2.00,5.00,7.00,7.88,3.00,5.00,5.00,340,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6185835,9.00,8.00,4.00,7.00,9.00,9.38,5.00,8.00,8.00,201,NULL,212,'ÁGUA VERDE','CURITIBA','PR',473,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6185851,7.00,6.00,6.00,6.00,6.00,10.50,2.00,6.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6185860,8.00,8.00,5.00,7.00,10.00,10.13,3.00,7.00,7.00,103,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',834,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6185878,5.00,5.00,1.00,7.00,10.00,9.00,3.00,4.00,5.00,103,NULL,NULL,'ALTO DA LAPA','S PAULO','SP',6265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6185886,2.00,2.00,1.00,2.00,4.00,6.38,0.00,1.00,1.00,339,NULL,NULL,'IPIRANGA','S JOSÉ','SC',21680,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185894,2.00,4.00,2.00,6.00,6.00,9.75,3.00,2.00,0.00,109,NULL,NULL,'CENTRO','SERRA ALTA','SC',14669,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6185908,4.00,8.00,3.00,6.00,7.00,9.38,2.00,5.00,2.00,207,NULL,216,'AZAMBUJA','BRUSQUE','SC',10401,527,NULL,379,NULL,NULL,NULL,4,2),(25,6185916,1.00,4.00,4.00,3.00,6.00,7.13,1.00,4.00,3.00,201,NULL,202,'CARVOEIRA','FLORIANÓPOLIS','SC',19122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6185924,3.00,0.00,2.00,4.00,7.00,NULL,0.00,0.00,0.00,202,NULL,213,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6185932,4.00,4.00,2.00,4.00,6.00,7.13,2.00,3.00,1.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6185940,1.00,1.00,0.00,4.00,4.00,7.88,0.00,1.00,1.00,207,NULL,201,'SANTA APOLONIA','SANGÃO','SC',21727,1184,NULL,1745,NULL,NULL,NULL,2,10),(25,6185959,3.00,2.00,3.00,2.00,3.00,7.88,2.00,2.00,2.00,421,NULL,427,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185967,4.00,2.00,5.00,2.00,6.00,7.50,1.00,2.00,2.00,103,NULL,NULL,'BENEDITO','INDAIAL','SC',19890,4677,NULL,NULL,NULL,NULL,NULL,2,2),(25,6185975,4.00,4.00,4.00,5.00,9.00,9.38,1.00,3.00,1.00,319,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',14661,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6185983,3.00,5.00,1.00,5.00,4.00,7.88,2.00,3.00,2.00,201,NULL,202,'ALTO DA GLÓRIA','CURITIBA','PR',14365,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6186009,1.00,2.00,0.00,2.00,6.00,11.25,2.00,1.00,1.00,109,NULL,NULL,'FLORIPES','MARACAJU','MS',20778,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6186017,3.00,3.00,3.00,3.00,2.00,NULL,2.00,1.00,3.00,202,NULL,201,'CENTRO','ERVAL VELHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6186025,3.00,6.00,3.00,6.00,5.00,8.25,4.00,6.00,3.00,233,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',9887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186033,6.00,7.00,4.00,6.00,9.00,11.25,4.00,8.00,6.00,214,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',2188,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6186041,5.00,7.00,3.00,6.00,9.00,7.88,0.00,3.00,1.00,304,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',10025,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6186050,4.00,6.00,4.00,4.00,5.00,NULL,0.00,2.00,2.00,453,NULL,NULL,'FREI ROGÉRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6186068,6.00,4.00,8.00,5.00,5.00,8.63,7.00,1.00,6.00,203,NULL,220,'JARDIM PRESIDENTE','LONDRINA','PR',4990,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6186076,8.00,8.00,6.00,7.00,9.00,10.88,3.00,7.00,7.00,233,NULL,220,'RIO TAVARES','FLORIANÓPOLIS','SC',610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186084,3.00,4.00,4.00,7.00,7.00,7.13,2.00,2.00,2.00,234,NULL,NULL,'TESTO REGA','POMERODE','SC',13144,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(25,6186092,3.00,6.00,0.00,5.00,6.00,NULL,1.00,3.00,2.00,303,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186106,3.00,6.00,4.00,5.00,7.00,7.88,1.00,6.00,5.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186114,4.00,2.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,420,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6186122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM JESUS','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6186149,8.00,8.00,5.00,6.00,7.00,7.13,3.00,8.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2371,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6186157,3.00,3.00,6.00,7.00,4.00,6.75,0.00,3.00,2.00,421,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',17872,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6186165,4.00,8.00,1.00,5.00,9.00,7.50,1.00,7.00,4.00,211,NULL,601,'CENTRO','TUBARÃO','SC',9202,NULL,NULL,NULL,NULL,NULL,NULL,5,10),(25,6186173,2.00,5.00,3.00,1.00,3.00,6.75,2.00,2.00,2.00,216,NULL,211,'CENTRO','IMBITUBA','SC',19147,597,NULL,501,NULL,NULL,NULL,2,10),(25,6186181,4.00,6.00,2.00,6.00,8.00,10.50,3.00,4.00,2.00,5,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',8998,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6186190,5.00,7.00,2.00,6.00,6.00,7.50,2.00,7.00,2.00,207,NULL,212,'CORREGO GRANDE','FLORIANÓPOLIS','SC',7549,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6186203,7.00,6.00,6.00,5.00,9.00,8.25,3.00,6.00,7.00,203,NULL,214,'CENTRO','CHAPECÓ','SC',3400,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6186211,2.00,3.00,5.00,2.00,5.00,7.88,2.00,0.00,4.00,999,NULL,NULL,'NOVA IORQUE','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6186220,6.00,8.00,4.00,6.00,9.00,7.88,1.00,6.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186238,6.00,6.00,4.00,7.00,9.00,11.25,4.00,6.00,9.00,103,NULL,NULL,'REGIÃO DO LAGO','CASCAVEL','PR',1413,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6186246,4.00,3.00,4.00,2.00,9.00,12.00,1.00,6.00,5.00,215,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',7739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'IPIRANGA','MARMELEIRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6186262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'BELVEDERE','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6186270,6.00,6.00,5.00,7.00,11.00,9.75,2.00,4.00,6.00,207,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',2939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186297,6.00,4.00,0.00,1.00,8.00,8.63,1.00,2.00,5.00,103,NULL,NULL,'CENTRO','ERVAL GRANDE','RS',14275,4154,NULL,NULL,NULL,NULL,NULL,4,4),(25,6186300,8.00,6.00,4.00,7.00,7.00,6.00,3.00,6.00,6.00,216,NULL,215,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5510,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6186319,7.00,5.00,5.00,7.00,10.00,8.63,0.00,3.00,7.00,103,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',5175,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6186327,4.00,8.00,3.00,5.00,6.00,9.00,4.00,4.00,3.00,201,NULL,207,'KOBRASOL','S JOSÉ','SC',8179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186335,3.00,2.00,2.00,5.00,6.00,11.25,2.00,3.00,0.00,452,NULL,NULL,'BARREIROS','S JOSÉ','SC',15170,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6186343,4.00,7.00,5.00,4.00,3.00,6.75,0.00,2.00,3.00,303,NULL,NULL,'REGIÃO DO LAGO','CASCAVEL','PR',13774,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6186360,3.00,5.00,1.00,0.00,6.00,NULL,0.00,2.00,4.00,110,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6186378,5.00,7.00,1.00,4.00,4.00,8.63,2.00,3.00,2.00,332,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',17628,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6186394,7.00,6.00,4.00,6.00,9.00,8.25,1.00,8.00,8.00,216,NULL,215,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',2682,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6186408,5.00,6.00,3.00,6.00,7.00,10.88,0.00,6.00,3.00,503,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186416,5.00,4.00,2.00,7.00,7.00,9.00,2.00,2.00,3.00,420,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186424,2.00,3.00,3.00,7.00,5.00,6.75,1.00,1.00,2.00,340,NULL,NULL,'FLORESTA','S MIGUEL IGUAÇU','PR',17232,379,NULL,NULL,NULL,NULL,NULL,2,15),(25,6186432,7.00,3.00,3.00,4.00,7.00,8.25,1.00,5.00,4.00,104,NULL,NULL,'JARDIM AMERICA','RIO VERDE','GO',8427,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6186440,6.00,5.00,4.00,7.00,9.00,11.63,1.00,7.00,6.00,201,NULL,NULL,'ATALAIA','ARACAJU','SE',2779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186459,2.00,4.00,1.00,2.00,6.00,8.25,1.00,2.00,1.00,503,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6186467,1.00,4.00,2.00,2.00,6.00,7.13,0.00,2.00,1.00,404,NULL,NULL,'INTERIOR','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186475,5.00,6.00,0.00,5.00,7.00,NULL,0.00,4.00,4.00,5,NULL,NULL,'PLANTA ARAÇATUBA','PIRAQUARA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6186505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'JARDIM EUROPA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6186513,2.00,5.00,0.00,5.00,7.00,NULL,1.00,2.00,3.00,211,NULL,215,'JARDIM BELA VISTA','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6186521,4.00,5.00,0.00,3.00,4.00,7.13,1.00,4.00,1.00,3,NULL,NULL,'VILA PERARIA','ITAJAÍ','SC',16167,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6186530,3.00,4.00,1.00,4.00,8.00,8.63,2.00,1.00,4.00,303,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',17687,769,NULL,NULL,NULL,NULL,NULL,2,1),(25,6186548,5.00,6.00,0.00,3.00,7.00,9.75,0.00,3.00,3.00,103,NULL,NULL,'CENTRO','CEL VIVIDA','PR',13893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,207,'ESTRADINHA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6186564,2.00,5.00,0.00,5.00,6.00,NULL,3.00,5.00,0.00,238,NULL,208,'BETÂNIA','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6186572,2.00,4.00,1.00,2.00,4.00,7.50,1.00,0.00,3.00,201,NULL,212,'SANTA APOLONIA','SANGÃO','SC',20056,1638,NULL,561,NULL,NULL,NULL,2,10),(25,6186580,3.00,5.00,0.00,3.00,7.00,8.25,2.00,2.00,1.00,303,NULL,NULL,'DESVIO RIZZO','CAXIAS SUL','RS',18956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186599,4.00,7.00,3.00,5.00,6.00,9.00,2.00,4.00,5.00,453,NULL,NULL,'IPIRANGA','S JOSÉ','SC',8557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186602,9.00,8.00,8.00,6.00,8.00,12.00,2.00,6.00,8.00,5,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',845,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6186610,4.00,5.00,2.00,3.00,3.00,7.88,1.00,2.00,2.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',16338,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6186637,8.00,7.00,1.00,7.00,9.00,10.50,2.00,7.00,6.00,103,NULL,NULL,'SAO PEDRO','APIÚNA','SC',2703,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6186645,1.00,4.00,1.00,3.00,1.00,NULL,3.00,3.00,3.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6186653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6186661,5.00,4.00,3.00,4.00,5.00,0.00,1.00,0.00,0.00,654,NULL,NULL,'BUDAG','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6186670,6.00,5.00,2.00,7.00,8.00,9.38,2.00,5.00,4.00,654,NULL,NULL,'EUGÊNIO SCHNEIDER','RIO SUL','SC',6439,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6186688,2.00,2.00,1.00,4.00,5.00,NULL,0.00,0.00,1.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6186696,8.00,7.00,2.00,6.00,8.00,10.88,1.00,7.00,8.00,103,NULL,NULL,'CENTRO','CPO ERÊ','SC',1979,1231,NULL,NULL,NULL,NULL,NULL,2,8),(25,6186700,9.00,7.00,7.00,7.00,11.00,11.25,6.00,9.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',55,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186718,3.00,1.00,1.00,3.00,5.00,6.38,3.00,4.00,3.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',17340,605,NULL,NULL,NULL,NULL,NULL,2,1),(25,6186726,7.00,8.00,6.00,7.00,8.00,9.75,1.00,6.00,8.00,103,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',1973,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6186734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JÚLIO CASTILHOS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6186742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ARAXÁ','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6186750,5.00,7.00,3.00,6.00,9.00,NULL,0.00,2.00,3.00,216,NULL,215,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186769,1.00,2.00,1.00,3.00,7.00,5.63,0.00,0.00,1.00,220,NULL,203,'BNH III PLANO','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6186777,7.00,7.00,2.00,6.00,8.00,8.25,2.00,5.00,4.00,104,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',8986,178,NULL,NULL,NULL,NULL,NULL,2,7),(25,6186785,4.00,5.00,2.00,2.00,8.00,9.75,2.00,5.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186793,7.00,8.00,4.00,5.00,6.00,11.25,0.00,6.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186807,3.00,6.00,2.00,4.00,5.00,4.50,3.00,1.00,3.00,201,NULL,207,'BOA ESPERANÇA','CUIABÁ','MT',19129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186815,6.00,6.00,2.00,5.00,9.00,10.13,3.00,4.00,5.00,212,NULL,201,'CHÁCARA STO ANTÔNIO','S PAULO','SP',5059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186823,2.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,652,NULL,655,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(25,6186831,6.00,6.00,2.00,6.00,7.00,10.88,2.00,5.00,4.00,103,NULL,NULL,'ALTO DA TIJUCA','CANOINHAS','SC',5666,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6186840,2.00,6.00,0.00,2.00,4.00,8.63,1.00,2.00,1.00,425,NULL,428,'FATIMA','JOINVILLE','SC',20904,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6186858,3.00,7.00,0.00,3.00,4.00,NULL,1.00,1.00,0.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6186866,3.00,2.00,3.00,3.00,5.00,7.13,2.00,3.00,0.00,202,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',20616,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6186882,2.00,6.00,1.00,1.00,7.00,7.13,0.00,3.00,1.00,309,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6186890,9.00,6.00,5.00,4.00,8.00,9.75,4.00,7.00,6.00,103,NULL,NULL,'FATIMA I','POUSO ALEGRE','MG',1847,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6186904,8.00,6.00,3.00,5.00,8.00,11.25,1.00,6.00,7.00,103,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',4090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LUCÉLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6186920,7.00,7.00,6.00,6.00,6.00,9.00,5.00,6.00,7.00,214,NULL,212,'SETOR AEROPORTO','GOIÂNIA','GO',1388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6186939,2.00,6.00,1.00,4.00,6.00,8.63,3.00,2.00,6.00,235,NULL,220,'GRAVATÁ','NAVEGANTES','SC',13149,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6186947,5.00,6.00,7.00,4.00,7.00,7.13,2.00,7.00,6.00,304,NULL,NULL,'PORTÃO','CURITIBA','PR',6022,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6186955,8.00,5.00,4.00,2.00,6.00,9.38,2.00,3.00,8.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',6839,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6186963,5.00,5.00,1.00,7.00,7.00,7.88,0.00,8.00,7.00,5,NULL,NULL,'FAZENDA','ITAJAÍ','SC',6895,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6186971,9.00,6.00,9.00,6.00,7.00,9.75,4.00,6.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',594,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6186998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,653,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6187005,2.00,2.00,0.00,2.00,4.00,NULL,2.00,1.00,1.00,502,NULL,NULL,'INDUSTRIARIOS','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6187013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,426,'CENTRO','VERA CRUZ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6187021,7.00,7.00,2.00,4.00,8.00,10.50,2.00,7.00,7.00,103,NULL,NULL,'CAPAO RASO','CURITIBA','PR',2429,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6187030,1.00,3.00,0.00,4.00,8.00,NULL,1.00,3.00,4.00,326,NULL,NULL,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6187056,3.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,0.00,425,NULL,428,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6187064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6187072,8.00,7.00,4.00,6.00,10.00,12.00,4.00,7.00,9.00,102,NULL,NULL,'CENTRO','JOINVILLE','SC',415,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6187080,5.00,4.00,1.00,4.00,7.00,9.38,2.00,1.00,5.00,501,NULL,NULL,'CENTRO','PINHAIS','PR',12908,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6187099,8.00,8.00,3.00,6.00,8.00,10.13,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','PALOTINA','PR',2515,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6187102,1.00,7.00,2.00,5.00,4.00,6.00,2.00,1.00,0.00,238,NULL,202,'CAMPECHE','FLORIANÓPOLIS','SC',19106,450,NULL,601,NULL,NULL,NULL,2,1),(25,6187110,4.00,5.00,1.00,4.00,7.00,6.38,1.00,5.00,3.00,220,NULL,214,'TRICOLIN','CANOINHAS','SC',12770,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6187129,7.00,6.00,5.00,4.00,9.00,10.88,4.00,3.00,7.00,103,NULL,NULL,'SANTA CÂNDIDA','CURITIBA','PR',2226,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6187137,2.00,6.00,2.00,6.00,6.00,4.50,1.00,4.00,4.00,208,NULL,238,'ARIRIÚ','PALHOÇA','SC',11411,199,NULL,177,NULL,NULL,NULL,2,1),(25,6187145,4.00,4.00,5.00,4.00,4.00,6.38,2.00,6.00,4.00,216,NULL,215,'PANTANAL','FLORIANÓPOLIS','SC',10364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6187153,8.00,6.00,1.00,4.00,8.00,10.50,3.00,8.00,6.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',4727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6187170,4.00,4.00,0.00,4.00,4.00,NULL,2.00,0.00,1.00,308,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6187188,7.00,7.00,3.00,6.00,10.00,11.63,1.00,4.00,5.00,340,NULL,NULL,'CAMINHO DAS ÁRVORES','SALVADOR','BA',2995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6187200,9.00,8.00,6.00,7.00,10.00,9.75,6.00,8.00,8.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',112,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6187218,9.00,8.00,7.00,7.00,9.00,9.00,3.00,7.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',522,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6187226,8.00,5.00,3.00,6.00,6.00,10.50,3.00,6.00,1.00,110,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',8093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6187234,4.00,4.00,4.00,3.00,4.00,7.50,0.00,5.00,5.00,302,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',14091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6187242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6187269,8.00,5.00,6.00,4.00,7.00,9.00,5.00,7.00,7.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',2934,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6187277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA PORTO VELHO','JARU','RO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6187285,1.00,3.00,0.00,3.00,2.00,NULL,2.00,2.00,2.00,220,NULL,211,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6187293,3.00,3.00,2.00,2.00,5.00,8.63,4.00,1.00,0.00,319,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',18577,375,NULL,NULL,NULL,NULL,NULL,2,1),(25,6187307,4.00,5.00,2.00,5.00,7.00,NULL,0.00,7.00,1.00,317,NULL,NULL,'BOQUEIRAO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6187315,7.00,4.00,4.00,4.00,8.00,7.88,1.00,4.00,4.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',8128,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6187323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'OLINDA','UBERABA','MG',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6187331,2.00,4.00,1.00,6.00,5.00,8.63,2.00,4.00,3.00,601,NULL,216,'VILA NOVA','MAFRA','SC',13326,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6187340,4.00,5.00,6.00,5.00,8.00,12.00,2.00,5.00,2.00,101,NULL,NULL,'SÃO MIGUEL','BIGUAÇU','SC',8154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6187366,3.00,5.00,3.00,4.00,8.00,NULL,0.00,0.00,2.00,216,NULL,233,'LIDER','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6187390,2.00,4.00,0.00,2.00,6.00,7.50,1.00,4.00,1.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',20412,NULL,NULL,NULL,NULL,NULL,NULL,5,15),(25,6187404,7.00,7.00,7.00,7.00,9.00,12.00,3.00,7.00,7.00,103,NULL,NULL,'CENTRO','PEREIRA BARRETO','SP',619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6187412,7.00,3.00,2.00,3.00,4.00,7.88,1.00,3.00,2.00,303,NULL,NULL,'CENTRO','BRUSQUE','SC',18660,797,NULL,NULL,NULL,NULL,NULL,2,1),(25,6187420,0.00,4.00,1.00,5.00,6.00,5.63,1.00,4.00,3.00,423,NULL,425,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6187439,5.00,6.00,2.00,6.00,7.00,9.38,4.00,7.00,2.00,420,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',8401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6187447,5.00,4.00,1.00,2.00,5.00,5.63,2.00,0.00,5.00,103,NULL,NULL,'PRAIA DO CANTO','VITÓRIA','ES',17935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6187463,7.00,5.00,4.00,6.00,9.00,5.63,2.00,6.00,7.00,302,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',4403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6187471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA GALVÃO','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6187480,9.00,6.00,6.00,5.00,7.00,10.88,3.00,6.00,8.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',1058,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6187501,4.00,6.00,4.00,4.00,9.00,9.00,2.00,3.00,4.00,225,NULL,NULL,'BARREIROS','S JOSÉ','SC',12182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6187528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6187544,3.00,4.00,2.00,3.00,4.00,6.75,2.00,6.00,1.00,601,NULL,208,'CENTRO','RIO NEGRO','PR',17746,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6187552,8.00,6.00,7.00,4.00,8.00,11.63,6.00,7.00,9.00,103,NULL,NULL,'VILA LIBERDADE','PRES PRUDENTE','SP',488,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6187560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'PARQUE IMPERATRIZ','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6187595,7.00,7.00,2.00,6.00,7.00,10.13,3.00,4.00,5.00,102,NULL,NULL,'JARDIM AMÉRICA','ASSIS CHATEAUBRIAND','PR',5556,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6187609,2.00,6.00,1.00,4.00,7.00,7.13,3.00,5.00,1.00,303,NULL,NULL,'SANTA CATARINA','CRICIÚMA','SC',16980,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6187617,4.00,3.00,1.00,4.00,5.00,9.75,3.00,4.00,3.00,316,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',13479,110,NULL,NULL,NULL,NULL,NULL,2,1),(25,6187625,2.00,4.00,0.00,3.00,5.00,6.38,1.00,5.00,4.00,202,NULL,213,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6187633,6.00,7.00,0.00,6.00,7.00,9.38,2.00,4.00,5.00,104,NULL,NULL,'CENTRO','VACARIA','RS',7844,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6187641,5.00,5.00,3.00,5.00,8.00,7.88,3.00,5.00,2.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6187650,6.00,3.00,0.00,3.00,5.00,9.75,1.00,2.00,2.00,207,NULL,201,'JARDIM RIVA','PRIMAVERA LESTE','MT',15152,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6187676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,212,'GONZAGA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6187684,8.00,7.00,4.00,5.00,6.00,7.13,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','PALMAS','PR',3002,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6187692,4.00,6.00,1.00,5.00,4.00,9.75,2.00,2.00,4.00,420,NULL,NULL,'PUTIM','S JOSÉ CAMPOS','SP',12832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6187706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'FIGUEIRA ALÉSSIO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6187714,2.00,5.00,1.00,4.00,6.00,6.75,2.00,2.00,2.00,335,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6187722,6.00,6.00,4.00,4.00,8.00,11.25,0.00,6.00,5.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',6720,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6187730,2.00,4.00,0.00,2.00,5.00,NULL,3.00,1.00,2.00,104,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6187749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','STA MARIA VITÓRIA','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6187757,9.00,7.00,5.00,8.00,10.00,9.75,3.00,7.00,9.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',910,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6187765,3.00,5.00,2.00,2.00,6.00,7.13,4.00,6.00,3.00,238,NULL,208,'BELA VISTA I','S JOSÉ','SC',15479,318,NULL,349,NULL,NULL,NULL,4,1),(25,6187773,1.00,4.00,1.00,5.00,3.00,5.25,3.00,1.00,2.00,331,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6187781,9.00,6.00,8.00,7.00,9.00,9.75,4.00,7.00,8.00,103,NULL,NULL,'STA CLARA','ITAJAÍ','SC',266,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6187790,5.00,4.00,2.00,5.00,6.00,11.25,3.00,4.00,5.00,452,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',8138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6187803,7.00,2.00,6.00,5.00,6.00,9.75,4.00,4.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5906,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6187820,0.00,3.00,2.00,0.00,3.00,NULL,2.00,0.00,2.00,319,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6187838,7.00,7.00,0.00,6.00,8.00,7.88,2.00,6.00,4.00,103,NULL,NULL,'JARDIM COOPAGRO','TOLEDO','PR',6228,2762,NULL,NULL,NULL,NULL,NULL,2,4),(25,6187846,6.00,6.00,2.00,4.00,8.00,7.88,2.00,4.00,6.00,216,NULL,233,'VILA BAGGIO','LAPA','PR',8324,309,NULL,NULL,NULL,NULL,NULL,2,8),(25,6187854,3.00,3.00,3.00,3.00,4.00,7.50,2.00,1.00,3.00,216,NULL,211,'MONTE VERDE','MRO FUMAÇA','SC',17685,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6187862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PARADA INGLESA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6187870,5.00,7.00,5.00,7.00,9.00,11.25,4.00,8.00,8.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6187889,8.00,8.00,3.00,5.00,7.00,7.88,3.00,6.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6187897,4.00,6.00,3.00,1.00,2.00,NULL,2.00,2.00,1.00,999,NULL,NULL,'BELA VISTA UM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6187900,1.00,5.00,0.00,3.00,7.00,NULL,2.00,3.00,1.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6187919,8.00,6.00,5.00,5.00,6.00,10.50,3.00,7.00,6.00,103,NULL,NULL,'ALTO DA XV','GUARAPUAVA','PR',3050,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6187927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARÃO DO CAFÉ','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6187935,2.00,7.00,2.00,5.00,8.00,9.75,0.00,5.00,3.00,316,NULL,NULL,'PORTÃO','CURITIBA','PR',12713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6187943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA LEOPOLDINA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6187951,3.00,3.00,0.00,3.00,5.00,NULL,1.00,2.00,0.00,453,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6187978,6.00,5.00,6.00,6.00,7.00,9.38,4.00,8.00,5.00,103,NULL,NULL,'PRESIDENTE MEDICI','CHAPECÓ','SC',2890,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6187986,7.00,6.00,3.00,6.00,8.00,9.75,3.00,4.00,3.00,202,NULL,235,'SÃO LUIS','JARAGUÁ SUL','SC',4907,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6187994,5.00,5.00,2.00,7.00,9.00,8.25,2.00,7.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188001,2.00,5.00,3.00,3.00,8.00,8.25,0.00,3.00,2.00,415,NULL,NULL,'JARDIM ISMENIA','S JOSÉ CAMPOS','SP',14655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188010,3.00,5.00,2.00,3.00,5.00,NULL,2.00,0.00,1.00,104,NULL,NULL,'SÃO JOÃO DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6188044,4.00,4.00,4.00,5.00,6.00,8.25,1.00,1.00,3.00,201,NULL,601,'WALDEMAR RAU','JARAGUÁ SUL','SC',13660,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6188052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6188060,9.00,8.00,7.00,7.00,9.00,10.13,2.00,7.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',459,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6188087,3.00,5.00,0.00,3.00,5.00,NULL,0.00,1.00,2.00,308,NULL,NULL,'PALHOÇA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6188095,5.00,5.00,7.00,5.00,5.00,9.38,1.00,6.00,5.00,211,NULL,215,'JARDIM SINUELO','ASTORGA','PR',6049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188109,6.00,4.00,3.00,5.00,5.00,8.25,2.00,5.00,6.00,220,NULL,216,'TRINDADE','FLORIANÓPOLIS','SC',9056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188117,5.00,5.00,4.00,6.00,9.00,10.13,2.00,6.00,6.00,207,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',3805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188125,3.00,4.00,0.00,3.00,5.00,6.38,0.00,5.00,2.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',17630,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6188133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'LINHA FRAGNANI','TREZE MAIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6188150,6.00,4.00,2.00,5.00,6.00,8.25,0.00,1.00,4.00,109,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6188176,7.00,5.00,2.00,4.00,9.00,12.00,4.00,7.00,7.00,103,NULL,NULL,'CIDADE JARDIM','GOIÂNIA','GO',1739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6188184,5.00,7.00,3.00,4.00,7.00,7.13,1.00,4.00,1.00,211,NULL,NULL,'STO ANTONIO','CRUZ ALTA','RS',11256,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6188192,3.00,4.00,1.00,1.00,5.00,10.13,2.00,4.00,1.00,302,NULL,NULL,'SÃO FRASCISCO','STO AMARO IMPERATRIZ','SC',19868,176,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BELA V PARAÍSO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6188214,3.00,4.00,3.00,4.00,6.00,7.50,1.00,2.00,4.00,235,NULL,202,'INTERIOR','PINHEIRO PRETO','SC',13525,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6188222,1.00,6.00,2.00,3.00,6.00,7.13,3.00,4.00,3.00,102,NULL,NULL,'FEITORIA','S LEOPOLDO','RS',15679,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6188249,6.00,1.00,5.00,4.00,6.00,8.25,2.00,1.00,4.00,201,NULL,208,'CENTRO','BAL CAMBORIÚ','SC',14690,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6188257,1.00,5.00,0.00,3.00,5.00,7.13,1.00,3.00,3.00,309,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',20832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6188273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6188281,6.00,7.00,5.00,6.00,7.00,NULL,0.00,2.00,7.00,203,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6188290,8.00,5.00,3.00,3.00,7.00,8.25,2.00,7.00,4.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',6161,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6188303,5.00,4.00,3.00,5.00,6.00,9.38,2.00,4.00,3.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',11136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188311,8.00,8.00,4.00,6.00,7.00,10.13,3.00,7.00,5.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188320,5.00,6.00,3.00,3.00,6.00,7.88,1.00,6.00,6.00,201,NULL,220,'CENTRO','BAL CAMBORIÚ','SC',9552,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6188338,5.00,4.00,6.00,3.00,6.00,7.13,2.00,4.00,4.00,201,NULL,207,'CENTRO','PATO BRANCO','PR',9398,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6188346,4.00,7.00,5.00,3.00,4.00,7.50,0.00,3.00,2.00,234,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12021,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6188354,6.00,7.00,3.00,5.00,8.00,12.00,5.00,5.00,5.00,213,NULL,235,'RIO TAVARES','FLORIANÓPOLIS','SC',3048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188389,2.00,5.00,2.00,1.00,4.00,8.25,2.00,5.00,2.00,213,NULL,212,'CENTRO','LAGES','SC',20242,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6188397,4.00,6.00,1.00,4.00,7.00,12.00,3.00,3.00,3.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188400,5.00,5.00,1.00,6.00,7.00,9.38,1.00,3.00,4.00,999,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6188419,2.00,3.00,2.00,2.00,5.00,9.00,1.00,3.00,3.00,428,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',17707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6188427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,215,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(25,6188435,4.00,2.00,4.00,4.00,7.00,9.75,1.00,4.00,2.00,104,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',15454,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6188443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6188451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NOVA PÁDUA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6188460,2.00,3.00,2.00,3.00,4.00,7.50,2.00,1.00,2.00,444,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',19273,123,NULL,NULL,NULL,NULL,NULL,2,1),(25,6188478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CANINDÉ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6188486,3.00,2.00,0.00,2.00,1.00,NULL,2.00,1.00,0.00,333,NULL,NULL,'CERAMARTE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6188494,4.00,6.00,1.00,4.00,4.00,6.75,1.00,2.00,3.00,415,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',15013,232,NULL,NULL,NULL,NULL,NULL,2,3),(25,6188524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE ACALANTO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6188532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','RIO VERDE','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6188540,4.00,5.00,4.00,5.00,7.00,6.38,3.00,5.00,2.00,203,NULL,214,'ESTADOS','TIMBÓ','SC',8882,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6188559,1.00,4.00,1.00,1.00,5.00,NULL,2.00,0.00,1.00,203,NULL,212,'CENTRO','AGROLÂNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188567,6.00,6.00,3.00,4.00,6.00,9.75,2.00,4.00,4.00,103,NULL,NULL,'JARDIM AMERICA','GOIÂNIA','GO',6697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188575,6.00,6.00,6.00,7.00,6.00,10.88,4.00,8.00,5.00,203,NULL,220,'TRINDADE','FLORIANÓPOLIS','SC',1526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IPORÁ','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6188591,3.00,6.00,0.00,2.00,10.00,7.50,2.00,3.00,0.00,211,NULL,207,'INTERIOR','ITAPIRANGA','SC',15599,404,NULL,847,NULL,NULL,NULL,4,1),(25,6188605,7.00,7.00,6.00,7.00,9.00,9.38,4.00,3.00,6.00,220,NULL,214,'SÃO CRISTÓVÃO','TERESINA','PI',2141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188613,6.00,5.00,4.00,5.00,7.00,7.13,3.00,6.00,3.00,103,NULL,NULL,'BARRA DO RIO AZUL','BARRA R AZUL','RS',6417,2804,NULL,NULL,NULL,NULL,NULL,2,4),(25,6188621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM QUEBEC','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6188630,2.00,6.00,3.00,3.00,7.00,8.63,2.00,3.00,6.00,216,NULL,601,'JOÃO COSTA','JOINVILLE','SC',14095,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6188648,7.00,7.00,7.00,5.00,9.00,9.75,6.00,5.00,7.00,103,NULL,NULL,'CENTRO','CAXAMBU SUL','SC',967,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6188656,7.00,7.00,3.00,6.00,9.00,9.00,2.00,8.00,7.00,211,NULL,653,'PIO CORREA','CRICIÚMA','SC',2806,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6188664,7.00,7.00,2.00,5.00,8.00,8.63,4.00,8.00,5.00,201,NULL,235,'CARIANOS','FLORIANÓPOLIS','SC',2826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SUZANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6188680,8.00,7.00,7.00,7.00,10.00,10.88,4.00,8.00,7.00,103,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188699,8.00,5.00,3.00,7.00,8.00,10.13,0.00,8.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188702,7.00,8.00,6.00,7.00,10.00,10.50,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188729,9.00,8.00,7.00,6.00,9.00,10.13,5.00,5.00,8.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',441,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6188737,5.00,8.00,1.00,5.00,9.00,11.63,2.00,7.00,3.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',5671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188745,3.00,2.00,0.00,2.00,6.00,NULL,2.00,3.00,2.00,654,NULL,NULL,'LINHA CONTESSI','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6188753,1.00,2.00,2.00,3.00,5.00,5.25,1.00,2.00,0.00,203,NULL,201,'SOROCABA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6188761,4.00,5.00,1.00,4.00,3.00,10.13,4.00,6.00,3.00,404,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',12419,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6188770,6.00,3.00,3.00,6.00,7.00,10.88,3.00,4.00,3.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188788,3.00,2.00,2.00,5.00,4.00,6.75,1.00,2.00,1.00,339,NULL,NULL,'BARREIROS','S JOSÉ','SC',19249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6188796,6.00,6.00,2.00,7.00,7.00,10.88,1.00,7.00,5.00,103,NULL,NULL,'CENTRO','ASTORGA','PR',4205,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6188800,6.00,5.00,5.00,5.00,9.00,9.38,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','XAXIM','SC',3565,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6188818,6.00,6.00,1.00,6.00,9.00,6.00,2.00,4.00,4.00,208,NULL,238,'PEDRA BRANCA','PALHOÇA','SC',7396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE DUTRA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6188869,5.00,4.00,0.00,5.00,3.00,NULL,2.00,5.00,2.00,452,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6188885,6.00,3.00,3.00,5.00,10.00,9.75,4.00,4.00,5.00,103,NULL,NULL,'SANTANA','PTO ALEGRE','RS',4551,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6188893,6.00,6.00,4.00,5.00,2.00,NULL,2.00,3.00,6.00,208,NULL,655,'CENTRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188907,6.00,7.00,3.00,4.00,6.00,10.13,3.00,6.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6188923,7.00,4.00,3.00,4.00,8.00,NULL,0.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188931,5.00,6.00,0.00,6.00,8.00,10.50,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','CAXAMBU SUL','SC',8577,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6188940,3.00,4.00,0.00,2.00,6.00,6.75,1.00,4.00,2.00,201,NULL,233,'OPERÁRIO','BARRACÃO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6188958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6188974,7.00,8.00,4.00,7.00,9.00,10.50,4.00,7.00,8.00,216,NULL,214,'BOA ESPERANÇA','CUIABÁ','MT',418,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6188982,2.00,3.00,0.00,1.00,4.00,9.00,3.00,6.00,3.00,319,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',18999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189008,8.00,6.00,4.00,6.00,8.00,7.50,2.00,6.00,6.00,5,NULL,NULL,'VILA NOVA','FRANCISCO BELTRÃO','PR',4390,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6189016,8.00,7.00,4.00,7.00,9.00,12.38,5.00,7.00,8.00,214,NULL,213,'VILA MARIANA','S PAULO','SP',631,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6189032,3.00,4.00,2.00,6.00,3.00,8.25,3.00,3.00,4.00,233,NULL,201,'LIVRAMENTO','TURVO','SC',15911,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6189059,7.00,5.00,5.00,5.00,8.00,9.38,3.00,7.00,7.00,211,NULL,215,'CENTRO','JACINTO MACHADO','SC',3271,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6189067,8.00,6.00,3.00,5.00,9.00,9.38,3.00,8.00,5.00,233,NULL,235,'BOSQUE DAS MANSÕES','S JOSÉ','SC',3761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189083,2.00,5.00,1.00,5.00,4.00,8.63,1.00,3.00,1.00,503,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',19589,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189091,6.00,4.00,3.00,5.00,7.00,10.50,2.00,7.00,5.00,108,NULL,NULL,'PORTAL DA FOZ','FOZ IGUAÇU','PR',5972,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6189105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6189113,2.00,2.00,3.00,3.00,3.00,5.63,4.00,1.00,2.00,203,NULL,202,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189121,4.00,4.00,3.00,5.00,7.00,13.13,2.00,6.00,4.00,213,NULL,202,'IPIRANGA','S JOSÉ','SC',7934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189130,6.00,7.00,4.00,4.00,8.00,7.88,1.00,7.00,6.00,214,NULL,NULL,'CENTRO','PAPANDUVA','SC',5026,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6189156,7.00,7.00,4.00,6.00,7.00,10.13,4.00,7.00,9.00,103,NULL,NULL,'ALTO DA GLORIA','CURITIBA','PR',1755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189172,3.00,4.00,5.00,3.00,9.00,8.25,1.00,0.00,0.00,319,NULL,NULL,'FERRAZ','GAROPABA','SC',18486,373,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189180,3.00,4.00,3.00,2.00,3.00,8.25,2.00,1.00,1.00,317,NULL,NULL,'DOS ESPORTES','XANXERÊ','SC',20645,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189199,2.00,3.00,1.00,3.00,2.00,NULL,2.00,3.00,3.00,424,NULL,423,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6189202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'PLANALTO PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6189210,4.00,4.00,1.00,1.00,4.00,NULL,2.00,0.00,1.00,653,NULL,655,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6189229,3.00,5.00,2.00,5.00,5.00,7.88,2.00,3.00,1.00,501,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',18374,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189237,3.00,3.00,1.00,2.00,6.00,11.63,1.00,1.00,2.00,316,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',19151,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189245,8.00,8.00,9.00,7.00,10.00,11.63,8.00,7.00,9.00,202,NULL,220,'CENTRO','LARANJEIRAS SUL','PR',17,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE MONJOLO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6189270,3.00,2.00,1.00,3.00,2.00,NULL,1.00,0.00,1.00,202,NULL,215,'FRAGOSOS','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6189288,2.00,1.00,1.00,3.00,3.00,NULL,2.00,0.00,2.00,333,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189296,3.00,4.00,2.00,4.00,8.00,9.75,1.00,2.00,2.00,203,NULL,207,'CENTRO','PATO BRANCO','PR',12426,825,NULL,664,NULL,NULL,NULL,2,1),(25,6189300,4.00,6.00,2.00,3.00,5.00,6.00,1.00,0.00,2.00,3,NULL,NULL,'LIBERDADE','CONCÓRDIA','SC',18508,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189334,5.00,5.00,8.00,2.00,6.00,7.88,4.00,7.00,6.00,202,NULL,235,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',5504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189350,4.00,2.00,0.00,4.00,4.00,7.50,1.00,1.00,1.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6189377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SERRARIA DO ROCHA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6189385,2.00,2.00,2.00,8.00,5.00,5.63,2.00,2.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17642,387,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189393,5.00,5.00,4.00,5.00,5.00,10.13,3.00,4.00,8.00,103,NULL,NULL,'VOLTA GRANDE','RIO NEGRINHO','SC',6437,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6189407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'NOVA SÃO JOÃO','S JOÃO B VISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6189423,0.00,4.00,2.00,0.00,4.00,NULL,0.00,4.00,2.00,309,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189431,6.00,6.00,2.00,7.00,6.00,8.63,3.00,7.00,7.00,103,NULL,NULL,'CENTRO','NOVA P IGUAÇU','PR',3797,2016,NULL,NULL,NULL,NULL,NULL,4,4),(25,6189440,1.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,207,NULL,211,'JARDIM DAS CAMELIAS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,9),(25,6189458,5.00,4.00,1.00,6.00,7.00,9.38,1.00,5.00,4.00,503,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189482,2.00,2.00,2.00,1.00,3.00,7.13,2.00,3.00,2.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',21310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189490,5.00,6.00,6.00,4.00,8.00,9.00,2.00,3.00,6.00,203,NULL,220,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',5755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189504,3.00,3.00,2.00,3.00,5.00,8.25,2.00,3.00,2.00,453,NULL,NULL,'JD HELENA','S PAULO','SP',16535,112,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189512,2.00,4.00,2.00,4.00,6.00,8.25,2.00,3.00,3.00,207,NULL,208,'LÍDER','CHAPECÓ','SC',14704,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6189520,6.00,7.00,6.00,7.00,7.00,9.00,4.00,2.00,5.00,202,NULL,213,'CENTRO','CRICIÚMA','SC',4452,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6189555,3.00,3.00,3.00,4.00,4.00,10.50,2.00,2.00,1.00,326,NULL,NULL,'CENTRO','ROSÁRIO SUL','RS',16873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189563,1.00,6.00,3.00,6.00,10.00,11.25,1.00,6.00,7.00,216,NULL,215,'CENTRO','ERECHIM','RS',5061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189580,7.00,7.00,3.00,6.00,9.00,7.13,1.00,5.00,5.00,653,NULL,233,'CENTRO','POMERODE','SC',5253,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6189610,7.00,5.00,4.00,6.00,7.00,7.50,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','MTE CASTELO','SC',8260,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6189636,5.00,8.00,2.00,5.00,8.00,9.75,4.00,6.00,7.00,201,NULL,203,'CENTRO','CHAPECÓ','SC',3328,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6189644,1.00,3.00,0.00,2.00,5.00,8.63,2.00,3.00,2.00,303,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189652,7.00,7.00,3.00,4.00,7.00,8.63,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','AUGUSTO PESTANA','RS',3558,1920,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189660,2.00,5.00,1.00,3.00,2.00,NULL,2.00,1.00,1.00,207,NULL,201,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6189687,6.00,6.00,4.00,7.00,9.00,9.38,3.00,4.00,6.00,415,NULL,NULL,'KOBRASOL','S JOSÉ','SC',3968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189695,7.00,5.00,2.00,3.00,7.00,NULL,0.00,3.00,7.00,103,NULL,NULL,'PARQUE DA FIGUEIRA','PAULÍNIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189709,4.00,5.00,4.00,4.00,8.00,7.50,3.00,4.00,3.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8825,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189717,8.00,6.00,7.00,7.00,10.00,12.38,8.00,8.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',23,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189725,4.00,6.00,0.00,6.00,6.00,NULL,4.00,4.00,2.00,340,NULL,NULL,'CENTRO','URUGUAIANA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6189733,6.00,7.00,3.00,5.00,8.00,7.88,3.00,8.00,6.00,238,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',4036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189741,3.00,6.00,1.00,5.00,7.00,10.50,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6189776,5.00,6.00,3.00,6.00,8.00,8.25,3.00,4.00,4.00,212,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'SÃO FRANCISCO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6189792,5.00,6.00,3.00,5.00,7.00,10.50,2.00,5.00,6.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189806,8.00,7.00,2.00,7.00,10.00,10.50,2.00,5.00,6.00,103,NULL,NULL,'BARÃO GERALDO','CAMPINAS','SP',3003,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6189814,3.00,6.00,1.00,4.00,6.00,7.13,1.00,5.00,3.00,109,NULL,NULL,'BELA VISTA','ITAPIRANGA','SC',16637,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6189822,3.00,3.00,0.00,0.00,3.00,NULL,1.00,1.00,4.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189849,6.00,5.00,3.00,6.00,7.00,10.13,1.00,6.00,3.00,103,NULL,NULL,'SANTA TEREZINHA','GASPAR','SC',6198,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6189857,4.00,4.00,3.00,5.00,7.00,9.38,1.00,3.00,3.00,302,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',12533,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189873,7.00,7.00,4.00,4.00,7.00,10.50,3.00,6.00,7.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',3697,1979,NULL,NULL,NULL,NULL,NULL,2,2),(25,6189881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6189903,4.00,3.00,2.00,3.00,4.00,7.13,1.00,1.00,2.00,104,NULL,NULL,'LINDÓIA','FARROUPILHA','RS',18139,503,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189911,3.00,5.00,2.00,2.00,7.00,8.63,3.00,6.00,4.00,302,NULL,NULL,'ROÇADO','S JOSÉ','SC',12784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189920,4.00,6.00,5.00,6.00,7.00,8.63,2.00,5.00,6.00,425,NULL,429,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',7780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6189938,5.00,7.00,3.00,5.00,10.00,10.13,3.00,8.00,2.00,301,NULL,NULL,'TERESÓPOLIS','ÁGUAS MORNAS','SC',4387,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM ITALIA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6189954,7.00,6.00,5.00,7.00,8.00,8.63,4.00,8.00,7.00,203,NULL,233,'CENTRO','RIO SUL','SC',1529,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6189962,1.00,4.00,3.00,4.00,2.00,NULL,2.00,4.00,1.00,319,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189970,5.00,5.00,4.00,6.00,6.00,7.50,2.00,6.00,5.00,212,NULL,216,'CENTRO','BLUMENAU','SC',7220,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6189989,3.00,3.00,3.00,3.00,3.00,6.38,2.00,1.00,2.00,317,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',21282,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6189997,1.00,6.00,2.00,7.00,8.00,12.00,2.00,3.00,2.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',12791,442,NULL,NULL,NULL,NULL,NULL,3,1),(25,6190006,3.00,2.00,0.00,4.00,6.00,7.88,2.00,2.00,1.00,5,NULL,NULL,'SÃO CRISTÓVÃO','CONCÓRDIA','SC',20234,687,NULL,NULL,NULL,NULL,NULL,4,4),(25,6190014,5.00,6.00,3.00,5.00,2.00,NULL,0.00,2.00,3.00,318,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6190022,9.00,8.00,6.00,6.00,7.00,7.88,8.00,8.00,8.00,103,NULL,NULL,'SÃO CRISTÓVÃO','CASCAVEL','PR',376,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6190030,6.00,7.00,4.00,3.00,10.00,8.63,3.00,2.00,3.00,303,NULL,NULL,'ALTO DA XV','CURITIBA','PR',6149,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6190065,5.00,5.00,1.00,6.00,9.00,8.63,2.00,1.00,4.00,108,NULL,NULL,'BAEPENDI','JARAGUÁ SUL','SC',12233,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6190073,7.00,8.00,2.00,7.00,10.00,7.13,1.00,8.00,7.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',2753,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6190081,6.00,5.00,1.00,5.00,6.00,8.63,3.00,2.00,3.00,101,NULL,NULL,'SANTO ANTÔNIO','FRAIBURGO','SC',10778,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6190090,3.00,1.00,0.00,0.00,5.00,NULL,1.00,1.00,2.00,301,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190103,9.00,6.00,6.00,3.00,10.00,11.25,5.00,8.00,8.00,103,NULL,NULL,'CENTRO','ANASTÁCIO','MS',694,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6190138,6.00,4.00,5.00,1.00,6.00,7.50,3.00,6.00,4.00,202,NULL,235,'N SRA DE FATIMA','AMERICANA','SP',8490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190146,6.00,3.00,2.00,5.00,7.00,9.00,4.00,2.00,7.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',8374,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6190154,7.00,8.00,4.00,5.00,8.00,13.13,2.00,8.00,8.00,201,NULL,208,'POVOADO DEBONI','S VALENTIM','RS',1448,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6190162,1.00,5.00,0.00,3.00,6.00,8.25,3.00,1.00,2.00,303,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',19929,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6190170,3.00,2.00,1.00,0.00,7.00,9.75,1.00,1.00,3.00,101,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',19446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190189,4.00,5.00,3.00,5.00,7.00,6.38,2.00,4.00,2.00,319,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',13509,249,NULL,NULL,NULL,NULL,NULL,2,1),(25,6190197,6.00,6.00,4.00,6.00,9.00,10.50,4.00,9.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',1970,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6190219,6.00,7.00,4.00,2.00,8.00,9.75,2.00,9.00,5.00,207,NULL,212,'CENTRO','CURITIBANOS','SC',5355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190227,3.00,4.00,2.00,4.00,9.00,7.50,1.00,2.00,1.00,101,NULL,NULL,'AREIAS','S JOSÉ','SC',18500,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6190243,4.00,4.00,1.00,4.00,6.00,7.13,1.00,2.00,0.00,420,NULL,NULL,'PRÓSPERA','CRICIÚMA','SC',19322,182,NULL,NULL,NULL,NULL,NULL,2,5),(25,6190260,6.00,7.00,2.00,7.00,10.00,10.50,1.00,4.00,4.00,340,NULL,NULL,'CENTRO','SERAFINA CORRÊA','RS',4421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190278,8.00,4.00,4.00,3.00,9.00,10.50,0.00,4.00,7.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',5496,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6190286,2.00,2.00,3.00,3.00,4.00,6.38,2.00,2.00,2.00,653,NULL,655,'POLICIA RODOVIARIA','ARARANGUÁ','SC',19984,215,NULL,132,NULL,NULL,NULL,2,15),(25,6190294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,203,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6190308,0.00,3.00,2.00,1.00,2.00,NULL,2.00,1.00,0.00,316,NULL,NULL,'TRES PEDRINHAS','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6190324,7.00,5.00,3.00,4.00,6.00,7.50,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',15412,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6190332,4.00,3.00,0.00,4.00,5.00,6.00,1.00,1.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190340,3.00,4.00,3.00,6.00,8.00,9.00,0.00,3.00,2.00,208,NULL,235,'CAPOEIRAS','FLORIANÓPOLIS','SC',14598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190359,3.00,4.00,2.00,6.00,8.00,8.63,2.00,4.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190375,2.00,4.00,1.00,6.00,5.00,NULL,0.00,0.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6190383,5.00,5.00,4.00,7.00,9.00,5.63,3.00,6.00,5.00,208,NULL,220,'CAMPECHE','FLORIANÓPOLIS','SC',6473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190391,6.00,5.00,2.00,0.00,5.00,6.75,1.00,3.00,2.00,203,NULL,214,'CENTRO','GRAVATAL','SC',18902,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6190405,2.00,4.00,2.00,4.00,4.00,6.38,1.00,3.00,1.00,215,NULL,652,'SANTA BARBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6190413,4.00,3.00,3.00,2.00,5.00,7.13,2.00,2.00,0.00,104,NULL,NULL,'JARAGUA ESQUERDO','JARAGUÁ SUL','SC',20078,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6190421,5.00,6.00,2.00,4.00,6.00,7.13,0.00,4.00,4.00,327,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13620,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6190430,8.00,8.00,9.00,7.00,11.00,10.88,7.00,9.00,9.00,203,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',2,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190448,3.00,4.00,1.00,3.00,7.00,9.75,1.00,2.00,1.00,104,NULL,NULL,'CENTRO','FREDERICO WESTPHALEN','RS',14810,383,NULL,NULL,NULL,NULL,NULL,2,4),(25,6190456,4.00,5.00,3.00,6.00,8.00,9.75,1.00,5.00,4.00,319,NULL,NULL,'MIRANDOPOLIS','S PAULO','SP',6053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190464,2.00,3.00,2.00,2.00,5.00,7.13,1.00,1.00,1.00,207,NULL,212,'GUANABARA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190499,7.00,5.00,4.00,3.00,8.00,7.88,2.00,8.00,6.00,203,NULL,202,'ATIRADORES','JOINVILLE','SC',3949,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6190502,5.00,6.00,3.00,6.00,7.00,10.50,3.00,6.00,5.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190529,1.00,5.00,3.00,3.00,7.00,6.38,2.00,0.00,2.00,302,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190537,2.00,3.00,1.00,4.00,5.00,5.63,0.00,4.00,1.00,104,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',18863,531,NULL,NULL,NULL,NULL,NULL,2,1),(25,6190545,8.00,9.00,7.00,7.00,11.00,9.00,6.00,7.00,8.00,103,NULL,NULL,'MEIRELES','FORTALEZA','CE',151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190553,7.00,5.00,5.00,6.00,7.00,7.88,3.00,7.00,7.00,201,NULL,212,'MEIA PRAIA','ITAPEMA','SC',3041,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6190561,3.00,4.00,2.00,4.00,5.00,NULL,0.00,2.00,3.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6190570,2.00,5.00,3.00,4.00,6.00,10.50,2.00,5.00,2.00,426,NULL,NULL,'MAR GROSSO','LAGUNA','SC',12452,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6190588,3.00,2.00,2.00,5.00,5.00,7.50,2.00,2.00,4.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19090,656,NULL,NULL,NULL,NULL,NULL,2,1),(25,6190596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'VILA CANEVARI','CRUZEIRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6190600,7.00,5.00,4.00,4.00,5.00,9.38,3.00,6.00,6.00,103,NULL,NULL,'SACO DOS LIMÔES','FLORIANÓPOLIS','SC',4561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190626,5.00,3.00,0.00,4.00,7.00,NULL,0.00,1.00,2.00,420,NULL,NULL,'VILA ESTRELA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6190634,8.00,5.00,4.00,4.00,9.00,9.00,5.00,7.00,9.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',1222,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6190642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6190650,3.00,2.00,0.00,1.00,4.00,NULL,1.00,0.00,3.00,502,NULL,NULL,'BELA VISTA','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6190685,5.00,6.00,0.00,4.00,7.00,NULL,1.00,4.00,4.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190693,3.00,4.00,1.00,2.00,4.00,6.38,1.00,3.00,0.00,220,NULL,235,'SERRARIA','S JOSÉ','SC',19875,485,NULL,NULL,NULL,NULL,NULL,2,1),(25,6190707,3.00,6.00,2.00,5.00,9.00,11.25,2.00,5.00,4.00,415,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',8206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190715,4.00,6.00,2.00,5.00,6.00,6.75,4.00,7.00,1.00,104,NULL,NULL,'CENTRO','LAGES','SC',10886,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6190723,5.00,5.00,2.00,3.00,5.00,7.13,1.00,5.00,5.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',13608,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6190731,1.00,2.00,2.00,1.00,3.00,6.00,0.00,0.00,0.00,319,NULL,NULL,'NITEROI','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6190740,4.00,6.00,2.00,4.00,7.00,6.75,1.00,5.00,4.00,331,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10060,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6190774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,421,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6190782,2.00,6.00,2.00,1.00,3.00,NULL,2.00,0.00,0.00,109,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6190790,6.00,7.00,5.00,6.00,5.00,9.38,6.00,5.00,7.00,220,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',2983,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6190804,2.00,5.00,1.00,3.00,8.00,9.38,0.00,2.00,3.00,103,NULL,NULL,'MATO ALTO','LAGUNA','SC',15375,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6190812,5.00,3.00,0.00,3.00,6.00,NULL,2.00,1.00,2.00,428,NULL,425,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6190839,4.00,5.00,1.00,5.00,9.00,8.25,1.00,4.00,4.00,216,NULL,215,'BOM RETIRO','JOINVILLE','SC',10629,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6190847,4.00,5.00,2.00,6.00,5.00,9.75,3.00,4.00,3.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',7343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190855,3.00,7.00,2.00,5.00,7.00,7.88,3.00,7.00,3.00,316,NULL,NULL,'ROCADO','S JOSÉ','SC',10500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,202,'AREAL','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6190871,4.00,4.00,1.00,5.00,5.00,9.00,1.00,2.00,4.00,420,NULL,NULL,'MAR GROSSO','LAGUNA','SC',15783,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6190880,6.00,4.00,5.00,4.00,9.00,8.25,2.00,2.00,5.00,215,NULL,211,'CENTRO','FRAIBURGO','SC',8441,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6190898,3.00,5.00,0.00,2.00,5.00,9.00,1.00,4.00,1.00,104,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',17000,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6190901,3.00,3.00,2.00,3.00,4.00,5.25,1.00,5.00,2.00,999,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190910,9.00,7.00,6.00,5.00,10.00,9.75,3.00,8.00,8.00,103,NULL,NULL,'DOM FELICIANO','GRAVATAÍ','RS',560,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6190928,6.00,3.00,0.00,4.00,6.00,8.63,1.00,5.00,1.00,317,NULL,NULL,'ROÇADO','S JOSÉ','SC',15110,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6190936,6.00,7.00,4.00,6.00,4.00,7.88,4.00,7.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6190952,7.00,6.00,3.00,7.00,7.00,8.63,1.00,5.00,5.00,102,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',6354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190960,3.00,6.00,2.00,1.00,8.00,NULL,0.00,4.00,4.00,451,NULL,NULL,'CENTRO','FORTALEZA VALOS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6190987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA BRANCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6190995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'JARDIM DOS PRÍNCIPES','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6191002,7.00,5.00,2.00,6.00,9.00,11.25,2.00,8.00,6.00,415,NULL,NULL,'JARDIM AEROPORTO','MATÃO','SP',2906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191029,4.00,5.00,0.00,3.00,4.00,7.50,5.00,6.00,4.00,601,NULL,653,'BARREIROS','S JOSÉ','SC',11150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191037,4.00,5.00,2.00,3.00,4.00,7.88,1.00,5.00,3.00,9,NULL,NULL,'CENTRO','LEBON RÉGIS','SC',14093,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6191045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6191053,2.00,2.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'VIAL REAL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6191061,8.00,6.00,5.00,6.00,10.00,10.88,3.00,6.00,8.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191070,7.00,5.00,3.00,4.00,8.00,7.50,2.00,1.00,4.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191088,5.00,6.00,2.00,2.00,6.00,8.63,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',9088,3400,NULL,NULL,NULL,NULL,NULL,2,4),(25,6191096,5.00,6.00,3.00,5.00,5.00,8.63,2.00,4.00,3.00,302,NULL,NULL,'CENTRO','NOVA VENEZA','SC',11776,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6191100,4.00,4.00,4.00,2.00,7.00,7.88,2.00,2.00,2.00,201,NULL,203,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6191118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,426,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6191126,8.00,7.00,6.00,6.00,6.00,10.88,6.00,7.00,8.00,203,NULL,213,'ITAGUAÇU','FLORIANÓPOLIS','SC',756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191134,4.00,6.00,2.00,3.00,8.00,8.25,2.00,4.00,0.00,453,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',15222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191150,5.00,6.00,5.00,6.00,7.00,6.00,1.00,6.00,5.00,501,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191169,8.00,8.00,5.00,6.00,9.00,10.88,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','S GABRIEL OESTE','MS',1261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6191177,5.00,4.00,1.00,4.00,4.00,7.13,0.00,5.00,1.00,5,NULL,NULL,'SALTO OSÓRIO','QUEDAS IGUAÇU','PR',16941,591,NULL,NULL,NULL,NULL,NULL,2,4),(25,6191215,2.00,5.00,2.00,6.00,6.00,8.25,2.00,2.00,0.00,999,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6191223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'JARDIM EUROPA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6191240,7.00,8.00,6.00,7.00,9.00,11.25,5.00,6.00,6.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191258,5.00,6.00,3.00,7.00,6.00,9.75,1.00,4.00,5.00,103,NULL,NULL,'SÃO MIGUEL','CRUZ ALTA','RS',7815,3144,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191266,6.00,6.00,2.00,3.00,9.00,11.25,2.00,4.00,5.00,108,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'NOVA CAMPINAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6191304,4.00,5.00,3.00,5.00,9.00,6.00,1.00,4.00,3.00,220,NULL,233,'SANTA BARBARA','CRICIÚMA','SC',11761,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6191312,7.00,8.00,3.00,6.00,10.00,9.75,3.00,6.00,8.00,103,NULL,NULL,'CENTRO','NAVEGANTES','SC',2045,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6191320,5.00,6.00,3.00,7.00,8.00,10.13,1.00,5.00,4.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',6730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191339,4.00,3.00,0.00,5.00,7.00,8.25,0.00,0.00,0.00,444,NULL,NULL,'SAN CONRADO','CAMPINAS','SP',16347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191347,5.00,7.00,1.00,5.00,6.00,10.50,0.00,5.00,1.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',12686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191355,7.00,7.00,4.00,5.00,8.00,7.88,5.00,6.00,7.00,203,NULL,233,'CENTRO','SERTANÓPOLIS','PR',2425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191363,8.00,5.00,3.00,6.00,8.00,10.50,4.00,3.00,6.00,103,NULL,NULL,'ALTO DA GLÓRIA','CURITIBA','PR',3453,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6191371,7.00,6.00,4.00,7.00,9.00,10.50,1.00,6.00,7.00,103,NULL,NULL,'CERQUEIRA CÉSAR','S PAULO','SP',2679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191380,2.00,6.00,2.00,5.00,7.00,6.38,3.00,4.00,2.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',16361,156,NULL,38,NULL,NULL,NULL,2,15),(25,6191398,4.00,5.00,0.00,7.00,8.00,9.38,0.00,6.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191401,7.00,5.00,3.00,7.00,8.00,10.13,1.00,6.00,7.00,415,NULL,NULL,'JD GUARAPUAVA','FOZ IGUAÇU','PR',2672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191410,7.00,5.00,3.00,2.00,8.00,10.13,3.00,7.00,3.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',5570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191428,6.00,6.00,5.00,3.00,9.00,10.88,2.00,6.00,4.00,333,NULL,NULL,'CENTRO','PANAMBI','RS',5361,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6191436,8.00,6.00,4.00,7.00,9.00,8.25,2.00,4.00,8.00,203,NULL,214,'SETOR OESTE','GOIÂNIA','GO',1951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191444,4.00,4.00,1.00,3.00,4.00,8.63,2.00,2.00,3.00,104,NULL,NULL,'CENTRO','STO ANTÔNIO MISSÕES','RS',16335,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6191452,3.00,2.00,1.00,1.00,4.00,7.50,2.00,3.00,0.00,302,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',20131,180,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191460,4.00,7.00,3.00,5.00,8.00,8.25,1.00,8.00,5.00,653,NULL,212,'SÃO JOSÉ','SOMBRIO','SC',6009,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6191479,5.00,2.00,3.00,5.00,5.00,7.13,2.00,4.00,3.00,238,NULL,208,'BELA VISTA','S JOSÉ','SC',15043,297,NULL,329,NULL,NULL,NULL,4,1),(25,6191487,6.00,8.00,4.00,6.00,10.00,9.75,3.00,8.00,8.00,5,NULL,NULL,'VILA MARIANA','S PAULO','SP',1367,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6191495,0.00,2.00,0.00,1.00,3.00,NULL,1.00,0.00,1.00,999,NULL,NULL,'ZONA RURAL','CPO ERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6191509,5.00,6.00,3.00,3.00,10.00,9.75,2.00,7.00,4.00,336,NULL,NULL,'CAIU DO CÉU','OSÓRIO','RS',5642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191517,5.00,5.00,5.00,5.00,8.00,9.38,0.00,2.00,2.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',10901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191525,8.00,8.00,4.00,7.00,10.00,8.63,6.00,5.00,9.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191533,6.00,4.00,3.00,3.00,4.00,NULL,1.00,0.00,1.00,333,NULL,NULL,'NOSSA SRA DE LURDES','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,9),(25,6191541,2.00,4.00,3.00,5.00,4.00,7.13,0.00,3.00,3.00,501,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',18521,94,NULL,NULL,NULL,NULL,NULL,2,1),(25,6191550,7.00,5.00,3.00,4.00,5.00,6.38,2.00,5.00,4.00,201,NULL,207,'SÃO FRANCISCO','CURITIBA','PR',10110,825,NULL,509,NULL,NULL,NULL,2,1),(25,6191568,3.00,3.00,0.00,4.00,5.00,7.13,3.00,1.00,3.00,308,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',19962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191576,7.00,7.00,4.00,7.00,7.00,7.88,5.00,5.00,5.00,201,NULL,203,'VELHA','BLUMENAU','SC',3305,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6191584,8.00,8.00,4.00,7.00,10.00,14.25,3.00,6.00,7.00,453,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191606,7.00,5.00,4.00,3.00,7.00,8.63,2.00,5.00,4.00,103,NULL,NULL,'LAGOA DOURADA','MARINGÁ','PR',7706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191614,1.00,1.00,2.00,3.00,2.00,NULL,3.00,3.00,0.00,501,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6191622,7.00,6.00,3.00,8.00,8.00,9.38,2.00,7.00,6.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',2946,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6191630,3.00,4.00,0.00,2.00,8.00,10.13,1.00,2.00,3.00,303,NULL,NULL,'CENTRO','CONCÓRDIA','SC',13396,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6191649,3.00,1.00,2.00,4.00,5.00,9.75,1.00,1.00,3.00,103,NULL,NULL,'PINHEIRINHO','PATO BRANCO','PR',17364,4475,NULL,NULL,NULL,NULL,NULL,4,4),(25,6191657,5.00,6.00,4.00,5.00,8.00,7.50,6.00,6.00,5.00,201,NULL,212,'PORTÃO','CURITIBA','PR',4308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191665,5.00,8.00,3.00,7.00,7.00,10.50,1.00,5.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6191690,3.00,6.00,0.00,3.00,5.00,NULL,1.00,0.00,1.00,103,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6191703,8.00,6.00,3.00,7.00,8.00,NULL,0.00,4.00,5.00,103,NULL,NULL,'BNH III PLANO','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191711,9.00,9.00,3.00,7.00,10.00,8.25,4.00,7.00,9.00,103,NULL,NULL,'JARDIM SÃO JOSÉ','JACAREÍ','SP',700,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6191720,8.00,6.00,5.00,7.00,10.00,6.75,3.00,8.00,8.00,103,NULL,NULL,'PARQUE TAQUARAL','CAMPINAS','SP',942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191738,2.00,5.00,0.00,5.00,6.00,8.63,1.00,3.00,1.00,310,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',19047,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6191746,6.00,7.00,3.00,7.00,6.00,6.75,4.00,4.00,7.00,203,NULL,233,'BOM RETIRO','JOINVILLE','SC',5904,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6191754,7.00,8.00,4.00,4.00,9.00,9.00,4.00,3.00,7.00,216,NULL,601,'ANITA GARIBALDI','JOINVILLE','SC',3929,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6191762,4.00,4.00,3.00,2.00,5.00,NULL,0.00,1.00,2.00,317,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191770,5.00,6.00,3.00,6.00,7.00,12.00,2.00,8.00,4.00,420,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',4721,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6191789,8.00,8.00,4.00,5.00,7.00,10.88,2.00,3.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6191797,7.00,5.00,3.00,5.00,8.00,9.38,3.00,7.00,2.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',5644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191800,6.00,8.00,3.00,6.00,10.00,10.88,3.00,3.00,3.00,5,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',4331,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6191819,2.00,6.00,1.00,2.00,3.00,5.63,0.00,2.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',21664,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6191827,2.00,4.00,1.00,2.00,6.00,NULL,0.00,3.00,0.00,999,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6191835,6.00,5.00,4.00,6.00,7.00,10.13,6.00,7.00,7.00,220,NULL,202,'CENTRO','BENTO GONÇALVES','RS',2328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191843,3.00,6.00,3.00,5.00,6.00,NULL,0.00,5.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191878,5.00,5.00,3.00,2.00,3.00,8.25,2.00,2.00,3.00,108,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',16497,246,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191886,2.00,7.00,2.00,1.00,3.00,7.88,2.00,2.00,3.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',20277,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6191916,3.00,1.00,0.00,3.00,1.00,NULL,2.00,0.00,0.00,999,NULL,NULL,'AGORNOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191924,0.00,4.00,0.00,4.00,4.00,NULL,3.00,0.00,0.00,317,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191932,3.00,4.00,2.00,3.00,5.00,6.00,1.00,3.00,3.00,203,NULL,208,'CLAUDIA','LONDRINA','PR',14618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191940,2.00,5.00,4.00,4.00,5.00,8.63,4.00,5.00,3.00,309,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6191959,6.00,5.00,6.00,4.00,7.00,10.13,2.00,6.00,6.00,212,NULL,216,'GIOCONDO ORSI','CPO GRANDE','MS',4066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6191983,2.00,5.00,3.00,4.00,4.00,8.25,4.00,3.00,3.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192017,8.00,7.00,3.00,5.00,9.00,10.13,2.00,8.00,9.00,207,NULL,201,'CENTRO','BENTO GONÇALVES','RS',2412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192025,5.00,3.00,4.00,6.00,6.00,8.63,2.00,4.00,6.00,5,NULL,NULL,'JARDIM VANIA','PARANAVAÍ','PR',8689,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6192033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,216,'ESTRADINHA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6192041,6.00,6.00,3.00,4.00,9.00,9.38,2.00,6.00,6.00,336,NULL,NULL,'BARREIROS','S JOSÉ','SC',5346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6192050,3.00,6.00,4.00,3.00,5.00,8.25,3.00,6.00,4.00,201,NULL,207,'CAMPECHE','FLORIANÓPOLIS','SC',10742,889,NULL,547,NULL,NULL,NULL,4,1),(25,6192076,4.00,4.00,3.00,3.00,6.00,9.00,2.00,2.00,3.00,304,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',15308,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6192092,6.00,7.00,4.00,7.00,9.00,10.13,3.00,6.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192106,4.00,3.00,0.00,3.00,5.00,6.38,2.00,0.00,1.00,108,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',20022,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6192114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6192122,7.00,7.00,6.00,5.00,6.00,10.50,1.00,6.00,8.00,103,NULL,NULL,'PARQUE SÃO PAULO','CASCAVEL','PR',2077,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6192149,7.00,7.00,6.00,5.00,8.00,9.38,2.00,7.00,8.00,303,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',1985,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6192157,7.00,6.00,6.00,4.00,5.00,8.25,5.00,4.00,8.00,216,NULL,233,'CACHOEIRA','ARAUCÁRIA','PR',4544,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6192165,3.00,5.00,1.00,2.00,6.00,5.63,1.00,2.00,0.00,103,NULL,NULL,'JARAGUÁ','PIRACICABA','SP',19604,4654,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192173,7.00,7.00,6.00,5.00,9.00,11.25,3.00,8.00,7.00,108,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6192203,2.00,5.00,1.00,3.00,6.00,7.50,0.00,1.00,1.00,444,NULL,NULL,'COLONIAL','S BENTO SUL','SC',20191,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6192220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6192238,8.00,6.00,2.00,6.00,10.00,11.25,1.00,2.00,3.00,207,NULL,NULL,'JARDIM SANTA MENA','GUARULHOS','SP',5152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192246,9.00,5.00,3.00,6.00,9.00,8.63,5.00,6.00,8.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',1804,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6192254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITAIM BIBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6192262,3.00,5.00,3.00,4.00,8.00,7.13,4.00,5.00,2.00,425,NULL,429,'TRINDADE','FLORIANÓPOLIS','SC',10640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192270,6.00,5.00,4.00,5.00,10.00,5.63,3.00,8.00,7.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',3954,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6192289,5.00,5.00,1.00,8.00,7.00,6.75,2.00,5.00,0.00,427,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',14988,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6192319,9.00,7.00,5.00,6.00,10.00,11.63,3.00,4.00,9.00,103,NULL,NULL,'ZONA TRÊS','MARINGÁ','PR',779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192327,8.00,6.00,5.00,6.00,9.00,11.63,5.00,8.00,8.00,103,NULL,NULL,'CENTRO','NOVO HAMBURGO','RS',402,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6192335,8.00,4.00,2.00,4.00,4.00,5.25,2.00,5.00,2.00,203,NULL,214,'ALPHAVILLE','PINHAIS','PR',12404,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6192343,4.00,6.00,3.00,5.00,6.00,8.25,0.00,5.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192351,8.00,5.00,7.00,7.00,7.00,10.88,4.00,8.00,5.00,201,NULL,601,'CENTRO','BLUMENAU','SC',1914,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6192360,6.00,5.00,4.00,7.00,9.00,11.25,0.00,4.00,5.00,425,NULL,423,'COMASA','JOINVILLE','SC',4733,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6192378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ALGODOAL','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6192394,4.00,6.00,3.00,5.00,8.00,9.75,3.00,5.00,3.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6192408,4.00,3.00,1.00,4.00,8.00,9.38,2.00,1.00,0.00,104,NULL,NULL,'JAROSESKI','DESCANSO','SC',16024,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6192424,7.00,7.00,3.00,6.00,8.00,8.63,1.00,6.00,7.00,203,NULL,201,'BELCHIOR ALTO','GASPAR','SC',4959,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6192432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'SAIC','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6192440,6.00,0.00,6.00,6.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(25,6192459,3.00,6.00,4.00,6.00,3.00,7.13,0.00,4.00,4.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',14135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6192475,4.00,4.00,3.00,4.00,7.00,6.38,4.00,3.00,4.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14959,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6192483,4.00,4.00,0.00,6.00,4.00,8.63,2.00,1.00,1.00,429,NULL,425,'ITAGUAÇU','FLORIANÓPOLIS','SC',19850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192491,4.00,3.00,3.00,4.00,9.00,7.13,1.00,1.00,2.00,601,NULL,203,'FLORESTA','JOINVILLE','SC',13308,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6192505,4.00,7.00,2.00,2.00,4.00,6.38,0.00,3.00,5.00,202,NULL,235,'NAÇOES','BAL CAMBORIÚ','SC',17499,546,NULL,420,NULL,NULL,NULL,2,3),(25,6192513,5.00,5.00,5.00,4.00,5.00,7.13,1.00,2.00,3.00,238,NULL,208,'FAZENDA DO MAX','S JOSÉ','SC',13488,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6192521,9.00,6.00,4.00,6.00,11.00,12.00,2.00,8.00,6.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',1458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192548,9.00,7.00,4.00,6.00,7.00,10.88,2.00,7.00,7.00,103,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',2201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192556,5.00,7.00,1.00,5.00,8.00,6.75,3.00,4.00,4.00,415,NULL,NULL,'MICHEL','CRICIÚMA','SC',7560,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6192564,7.00,6.00,4.00,6.00,7.00,10.50,2.00,8.00,5.00,103,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',2636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192572,5.00,4.00,3.00,1.00,9.00,8.25,1.00,3.00,5.00,101,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',11204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192580,3.00,5.00,0.00,2.00,4.00,NULL,1.00,3.00,2.00,216,NULL,215,'CENTRO','JARDINÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(25,6192599,3.00,2.00,3.00,3.00,3.00,6.75,1.00,1.00,1.00,335,NULL,NULL,'CARDOSO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6192602,6.00,7.00,4.00,6.00,8.00,9.75,2.00,5.00,4.00,601,NULL,208,'CRUZEIRO','RIO NEGRINHO','SC',5351,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6192610,4.00,3.00,3.00,6.00,9.00,8.63,4.00,3.00,3.00,451,NULL,NULL,'CENTRO','TERRA AREIA','RS',9943,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6192629,7.00,5.00,4.00,6.00,8.00,9.75,5.00,4.00,7.00,216,NULL,233,'BOMBAS','BOMBINHAS','SC',3890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192637,3.00,7.00,2.00,3.00,7.00,6.00,0.00,4.00,3.00,225,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6192645,5.00,4.00,2.00,4.00,6.00,8.25,2.00,1.00,1.00,302,NULL,NULL,'TERESÓPOLIS','ÁGUAS MORNAS','SC',14955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192661,5.00,7.00,4.00,4.00,7.00,8.25,2.00,6.00,5.00,102,NULL,NULL,'SERTÃO DO IMARUIM','S JOSÉ','SC',6145,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6192670,3.00,2.00,4.00,5.00,9.00,11.25,3.00,1.00,4.00,551,NULL,NULL,'ÁGUA SANTA','CURITIBANOS','SC',9010,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6192688,1.00,2.00,0.00,3.00,4.00,NULL,0.00,3.00,1.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6192696,5.00,3.00,2.00,1.00,4.00,6.00,1.00,5.00,2.00,203,NULL,238,'ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC',17599,1019,NULL,410,NULL,NULL,NULL,2,1),(25,6192700,7.00,4.00,3.00,5.00,6.00,7.88,2.00,2.00,4.00,208,NULL,655,'CENTRO','GUARAMIRIM','SC',11400,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6192718,2.00,5.00,1.00,6.00,5.00,6.75,3.00,3.00,5.00,5,NULL,NULL,'ROÇADO','S JOSÉ','SC',14756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192726,3.00,4.00,2.00,5.00,7.00,10.88,1.00,1.00,4.00,103,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',12156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CIDADE NOVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6192742,4.00,5.00,3.00,2.00,8.00,7.50,2.00,2.00,3.00,207,NULL,201,'JARDIM AMÉRICA','ITUPORANGA','SC',13639,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6192750,3.00,4.00,2.00,1.00,4.00,5.25,1.00,2.00,1.00,202,NULL,220,'FORQUILINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192769,9.00,6.00,7.00,7.00,8.00,9.38,6.00,7.00,9.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',285,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6192777,5.00,7.00,1.00,3.00,3.00,6.38,0.00,3.00,3.00,104,NULL,NULL,'URLÂNDIA','STA MARIA','RS',15902,425,NULL,NULL,NULL,NULL,NULL,4,4),(25,6192785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PRESIDENTE ALTINO','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6192793,3.00,8.00,3.00,2.00,8.00,6.38,1.00,4.00,1.00,425,NULL,424,'CAMPO DUNA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192807,2.00,3.00,0.00,2.00,4.00,4.88,2.00,3.00,2.00,319,NULL,NULL,'VILA NOVA','IMBITUBA','SC',21612,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6192815,5.00,7.00,3.00,7.00,7.00,7.50,2.00,4.00,3.00,5,NULL,NULL,'CHÁCARA DAS PEDRAS','PTO ALEGRE','RS',7801,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6192823,0.00,3.00,2.00,1.00,2.00,NULL,2.00,0.00,0.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6192831,5.00,7.00,5.00,6.00,6.00,7.13,2.00,7.00,6.00,238,NULL,211,'BALNEÁRIO','FLORIANÓPOLIS','SC',4654,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6192840,3.00,7.00,1.00,4.00,4.00,6.00,1.00,2.00,4.00,202,NULL,213,'CENTRO','NOVA TRENTO','SC',17076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192874,4.00,5.00,2.00,3.00,4.00,NULL,0.00,6.00,4.00,335,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6192882,6.00,5.00,4.00,3.00,7.00,NULL,0.00,5.00,5.00,104,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6192904,2.00,4.00,0.00,4.00,3.00,9.00,0.00,1.00,1.00,9,NULL,NULL,'CENTRO','CHAPECÓ','SC',20129,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6192912,3.00,5.00,1.00,0.00,6.00,8.63,1.00,1.00,2.00,9,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',20553,148,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192920,3.00,6.00,3.00,5.00,7.00,7.88,3.00,6.00,4.00,203,NULL,220,'BARREIROS','S JOSÉ','SC',8288,619,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192939,3.00,5.00,1.00,7.00,5.00,8.63,2.00,5.00,4.00,999,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6192947,6.00,5.00,1.00,4.00,9.00,9.38,1.00,5.00,3.00,301,NULL,NULL,'FLORESTA','JOINVILLE','SC',8204,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6192955,8.00,6.00,2.00,7.00,9.00,9.38,5.00,8.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192971,4.00,6.00,4.00,5.00,6.00,7.88,0.00,0.00,4.00,303,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',15537,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6192980,5.00,7.00,5.00,5.00,8.00,8.25,3.00,6.00,1.00,453,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',7925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6192998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE DOS PRÍNCIPES','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6193005,7.00,4.00,5.00,6.00,7.00,7.50,2.00,7.00,3.00,220,NULL,235,'JARDIM SANTA MÔNICA','FLORIANÓPOLIS','SC',4902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193021,5.00,6.00,2.00,5.00,9.00,7.50,1.00,8.00,0.00,103,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',10221,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6193030,3.00,2.00,3.00,2.00,3.00,NULL,2.00,0.00,3.00,501,NULL,NULL,'MARAMBAIA','VINHEDO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193048,5.00,6.00,3.00,5.00,8.00,9.00,1.00,5.00,4.00,340,NULL,NULL,'FAXINAL','TORRES','RS',7405,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6193056,5.00,5.00,1.00,1.00,6.00,7.13,3.00,2.00,3.00,452,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',16035,95,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193064,5.00,6.00,3.00,7.00,9.00,10.13,4.00,3.00,6.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193080,2.00,5.00,1.00,1.00,5.00,7.88,1.00,1.00,2.00,203,NULL,238,'IBIRAQUERA','IMBITUBA','SC',18933,1064,NULL,445,NULL,NULL,NULL,4,1),(25,6193099,6.00,8.00,2.00,4.00,8.00,7.88,0.00,7.00,5.00,304,NULL,NULL,'ARIRIU','PALHOÇA','SC',8491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6193102,8.00,7.00,5.00,6.00,9.00,9.00,3.00,5.00,7.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',1926,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6193110,4.00,7.00,3.00,3.00,7.00,7.88,3.00,3.00,0.00,102,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',11275,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6193129,1.00,3.00,1.00,4.00,4.00,9.75,0.00,1.00,0.00,108,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',21031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6193137,5.00,5.00,1.00,6.00,7.00,8.25,1.00,2.00,4.00,103,NULL,NULL,'VILA UMBÚ','SANTANA LIVRAMENTO','RS',14837,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6193153,4.00,5.00,0.00,6.00,5.00,9.75,1.00,2.00,2.00,420,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',15111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6193161,8.00,6.00,3.00,5.00,7.00,8.25,2.00,7.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',3789,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6193170,2.00,2.00,0.00,3.00,5.00,5.63,3.00,3.00,0.00,317,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6193188,2.00,2.00,1.00,3.00,2.00,NULL,0.00,0.00,2.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6193196,3.00,3.00,3.00,5.00,7.00,7.50,0.00,2.00,4.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',13410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193200,7.00,7.00,8.00,6.00,9.00,10.13,8.00,4.00,9.00,201,NULL,235,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193218,4.00,5.00,3.00,3.00,9.00,9.38,0.00,6.00,8.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',7208,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6193226,5.00,6.00,1.00,1.00,7.00,7.88,1.00,2.00,1.00,452,NULL,NULL,'CENTRO','ITUPORANGA','SC',15832,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6193234,1.00,4.00,0.00,3.00,6.00,NULL,1.00,0.00,1.00,327,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6193242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NAZÁRIO','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6193250,2.00,4.00,0.00,2.00,2.00,NULL,2.00,3.00,5.00,202,NULL,201,'N SENHORA DE LOURDE','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6193277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PARQUE IX DE JULHO','S ROQUE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6193285,3.00,5.00,1.00,3.00,5.00,10.13,0.00,3.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193293,2.00,3.00,0.00,3.00,5.00,4.88,0.00,2.00,1.00,103,NULL,NULL,'ZONA V','UMUARAMA','PR',20682,4739,NULL,NULL,NULL,NULL,NULL,2,1),(25,6193307,6.00,6.00,3.00,6.00,5.00,7.13,1.00,4.00,3.00,999,NULL,NULL,'PARAISO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'JARDIM SAVEIRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6193323,3.00,4.00,0.00,3.00,3.00,7.13,2.00,1.00,1.00,340,NULL,NULL,'CENTRO','S BENTO SUL','SC',20228,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6193331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CEL DOMINGOS SOARES','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6193366,2.00,4.00,2.00,1.00,4.00,7.50,3.00,2.00,0.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193374,3.00,3.00,1.00,1.00,4.00,6.38,1.00,4.00,2.00,215,NULL,216,'CENTRO','ERVAL GRANDE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6193382,4.00,3.00,2.00,3.00,4.00,8.25,3.00,4.00,3.00,999,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193390,4.00,3.00,1.00,4.00,8.00,7.13,3.00,5.00,3.00,404,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',14698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193404,6.00,5.00,0.00,5.00,9.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'LOURDES','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6193412,1.00,1.00,3.00,3.00,6.00,7.50,1.00,1.00,1.00,104,NULL,NULL,'SANTA CATARINA','BIGUAÇU','SC',19040,535,NULL,NULL,NULL,NULL,NULL,2,1),(25,6193420,4.00,6.00,4.00,7.00,8.00,12.38,0.00,5.00,4.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6193439,7.00,5.00,4.00,7.00,7.00,9.38,3.00,4.00,6.00,203,NULL,202,'CENTRO','CHAPECÓ','SC',3508,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6193447,2.00,2.00,1.00,3.00,4.00,6.75,1.00,1.00,0.00,302,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',21658,206,NULL,NULL,NULL,NULL,NULL,2,1),(25,6193455,3.00,1.00,2.00,2.00,3.00,3.75,2.00,3.00,0.00,453,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193463,4.00,4.00,3.00,3.00,6.00,6.75,2.00,3.00,3.00,336,NULL,NULL,'FLORESTA','S JOSÉ','SC',14501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6193471,3.00,4.00,0.00,1.00,2.00,NULL,4.00,4.00,0.00,654,NULL,NULL,'GÁVEA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6193498,4.00,3.00,0.00,4.00,8.00,NULL,1.00,4.00,0.00,110,NULL,NULL,'COSTERIA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6193501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'FLORESTA','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6193510,4.00,5.00,2.00,6.00,6.00,8.63,2.00,4.00,4.00,207,NULL,NULL,'SANTA CECILIA','PIRACICABA','SP',9034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193528,5.00,7.00,4.00,5.00,7.00,9.75,2.00,7.00,5.00,208,NULL,213,'ESTREITO','FLORIANÓPOLIS','SC',4819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6193544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ROYAL PARK','OURINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6193552,3.00,4.00,0.00,5.00,7.00,NULL,0.00,0.00,2.00,319,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6193560,5.00,4.00,1.00,3.00,5.00,7.88,1.00,2.00,0.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',17393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193579,6.00,4.00,3.00,5.00,7.00,7.50,2.00,6.00,4.00,103,NULL,NULL,'SÃO FELIPE','TURVO','SC',7398,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6193587,3.00,3.00,0.00,3.00,4.00,6.00,2.00,1.00,3.00,336,NULL,NULL,'BELÉM NOVO','PTO ALEGRE','RS',20615,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6193595,3.00,3.00,3.00,5.00,8.00,9.00,4.00,3.00,3.00,302,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',9819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193609,6.00,4.00,3.00,0.00,7.00,7.50,1.00,2.00,2.00,654,NULL,NULL,'IGARA','CANOAS','RS',14585,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6193617,2.00,3.00,1.00,0.00,4.00,7.50,2.00,3.00,1.00,444,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193625,2.00,5.00,2.00,5.00,4.00,7.88,3.00,1.00,4.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16731,96,NULL,NULL,NULL,NULL,NULL,2,1),(25,6193633,7.00,7.00,3.00,6.00,7.00,7.50,3.00,7.00,6.00,211,NULL,653,'CENTRO','CRICIÚMA','SC',5260,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6193641,8.00,7.00,4.00,6.00,7.00,9.00,2.00,6.00,6.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',3589,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6193650,0.00,2.00,0.00,0.00,0.00,NULL,0.00,4.00,3.00,999,NULL,NULL,'USINA','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(25,6193668,8.00,5.00,2.00,4.00,8.00,12.00,1.00,5.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',4997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193676,6.00,8.00,0.00,7.00,8.00,NULL,1.00,7.00,6.00,104,NULL,NULL,'BAIRRO AHÚ','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193684,6.00,5.00,2.00,6.00,9.00,11.25,1.00,4.00,6.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',6434,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6193692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BANDEIRANTES','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6193706,7.00,7.00,3.00,6.00,7.00,8.63,4.00,7.00,7.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193714,6.00,7.00,3.00,6.00,7.00,9.00,4.00,5.00,6.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',3931,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6193722,3.00,4.00,3.00,1.00,7.00,6.75,2.00,2.00,6.00,501,NULL,NULL,'SALTO','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6193749,7.00,5.00,2.00,7.00,7.00,10.13,0.00,5.00,8.00,208,NULL,207,'DA PRAÇA','TIJUCAS','SC',3662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193757,4.00,6.00,0.00,4.00,4.00,6.00,1.00,2.00,2.00,235,NULL,601,'N S ROSARIO','S JOSÉ','SC',19287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6193765,9.00,6.00,4.00,4.00,8.00,11.25,3.00,7.00,8.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',1857,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6193773,2.00,5.00,2.00,6.00,5.00,9.75,0.00,3.00,2.00,451,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',17431,28,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193781,2.00,4.00,4.00,5.00,5.00,9.38,4.00,1.00,2.00,601,NULL,203,'NOSS SR DE FÁTIMA','BARRACÃO','PR',14010,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6193790,3.00,3.00,4.00,5.00,3.00,8.25,2.00,0.00,1.00,502,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',18646,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6193803,5.00,0.00,1.00,3.00,7.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(25,6193811,6.00,6.00,3.00,3.00,8.00,11.63,3.00,2.00,4.00,207,NULL,211,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',8818,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6193820,4.00,7.00,2.00,6.00,7.00,8.25,2.00,5.00,3.00,207,NULL,201,'CENTRO','S MIGUEL OESTE','SC',10959,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6193838,2.00,3.00,1.00,1.00,2.00,NULL,2.00,0.00,1.00,308,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6193846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6193854,4.00,4.00,3.00,5.00,6.00,8.25,1.00,2.00,3.00,214,NULL,601,'FAZENDA','ITAJAÍ','SC',15559,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6193862,6.00,7.00,0.00,4.00,7.00,8.63,1.00,4.00,4.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',10066,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6193870,2.00,2.00,1.00,0.00,3.00,NULL,0.00,1.00,1.00,104,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193889,5.00,6.00,1.00,4.00,7.00,7.50,1.00,4.00,2.00,202,NULL,NULL,'CENTRO','CASCAVEL','PR',11482,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6193919,5.00,8.00,3.00,6.00,4.00,7.88,1.00,8.00,6.00,233,NULL,213,'CAMPINAS','S JOSÉ','SC',6098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193927,1.00,5.00,0.00,0.00,6.00,8.25,1.00,3.00,4.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',20788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193935,5.00,6.00,2.00,5.00,6.00,7.88,3.00,3.00,4.00,999,NULL,NULL,'MONTE CASTELO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6193943,3.00,5.00,2.00,5.00,7.00,9.00,1.00,2.00,2.00,207,NULL,201,'TABULEIRO','ITAPEMA','SC',13426,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6193951,8.00,7.00,2.00,5.00,9.00,9.00,4.00,7.00,9.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',2266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193960,4.00,2.00,4.00,4.00,7.00,8.63,2.00,3.00,1.00,234,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',14551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193978,3.00,2.00,3.00,1.00,2.00,NULL,3.00,1.00,0.00,208,NULL,201,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6193994,6.00,7.00,6.00,6.00,8.00,7.50,5.00,8.00,8.00,203,NULL,214,'FIGUEIRA','URUSSANGA','SC',1457,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6194001,8.00,7.00,6.00,4.00,10.00,11.63,4.00,8.00,8.00,103,NULL,NULL,'JARDIM CONSERVANI','ARTUR NOGUEIRA','SP',279,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6194010,6.00,7.00,5.00,6.00,8.00,6.75,3.00,5.00,8.00,103,NULL,NULL,'CD SATELIE SAO LUIZ','APARECIDA GOIÂNIA','GO',3907,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194028,3.00,4.00,3.00,2.00,4.00,6.00,2.00,0.00,2.00,110,NULL,NULL,'BARREIROS','S JOSÉ','SC',20020,131,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194036,5.00,6.00,2.00,4.00,8.00,7.50,2.00,8.00,4.00,303,NULL,NULL,'AGUA VERDE','CURITIBA','PR',8346,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6194044,7.00,7.00,5.00,5.00,8.00,10.50,4.00,5.00,4.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',2834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194052,4.00,4.00,2.00,5.00,6.00,9.38,2.00,6.00,3.00,224,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',10466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194079,8.00,8.00,8.00,6.00,10.00,10.13,5.00,6.00,8.00,207,NULL,213,'MICHEL','CRICIÚMA','SC',707,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6194087,3.00,6.00,1.00,2.00,6.00,7.13,2.00,5.00,2.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18190,53,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194095,6.00,7.00,2.00,3.00,8.00,11.63,2.00,2.00,2.00,201,NULL,207,'VILA OPERÁRIA','ITAJAÍ','SC',10331,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6194109,5.00,8.00,5.00,6.00,8.00,9.38,1.00,5.00,7.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',4381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194117,2.00,3.00,2.00,4.00,5.00,4.50,3.00,3.00,1.00,319,NULL,NULL,'PICADAS DO NORTE','S JOSÉ','SC',20477,439,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194133,2.00,3.00,0.00,4.00,3.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6194141,3.00,5.00,3.00,1.00,5.00,6.38,2.00,7.00,3.00,203,NULL,214,'ITACORUBI','FLORIANÓPOLIS','SC',13587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6194150,4.00,4.00,2.00,3.00,6.00,12.75,0.00,2.00,2.00,332,NULL,NULL,'PERDIZES','S PAULO','SP',16690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6194168,6.00,5.00,3.00,3.00,7.00,7.50,4.00,3.00,4.00,333,NULL,NULL,'CENTRO','LGA VERMELHA','RS',9899,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194176,4.00,5.00,3.00,6.00,8.00,7.50,1.00,2.00,6.00,216,NULL,NULL,'JARDIM UNIÃO','NAVIRAÍ','MS',10300,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194184,8.00,7.00,6.00,4.00,8.00,9.75,0.00,7.00,5.00,201,NULL,211,'CAMPINAS','S JOSÉ','SC',3773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6194192,3.00,6.00,2.00,6.00,7.00,5.63,3.00,2.00,6.00,304,NULL,NULL,'CENTRO','CAÇADOR','SC',10852,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6194206,7.00,7.00,2.00,5.00,7.00,9.38,1.00,6.00,8.00,104,NULL,NULL,'ALTO DA GLORIA','CURITIBA','PR',5752,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6194214,0.00,0.00,0.00,0.00,1.00,NULL,0.00,1.00,0.00,211,NULL,220,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194222,5.00,6.00,1.00,5.00,6.00,8.25,3.00,4.00,5.00,331,NULL,NULL,'DAS NAÇÕES','BAL CAMBORIÚ','SC',10140,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6194230,5.00,6.00,2.00,6.00,9.00,8.25,1.00,6.00,8.00,3,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',3990,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6194249,1.00,1.00,1.00,1.00,1.00,NULL,2.00,1.00,2.00,201,NULL,220,'CENTRO','GUATAMBÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6194257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6194265,9.00,6.00,6.00,6.00,8.00,12.38,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','TERRA BOA','PR',721,499,NULL,NULL,NULL,NULL,NULL,2,4),(25,6194273,8.00,7.00,7.00,5.00,8.00,9.00,1.00,3.00,9.00,103,NULL,NULL,'CENTRO','GUARAPUAVA','PR',3795,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6194281,1.00,2.00,1.00,2.00,5.00,NULL,1.00,0.00,3.00,415,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6194290,2.00,2.00,2.00,2.00,3.00,NULL,3.00,0.00,0.00,999,NULL,NULL,'LA SALLE','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6194303,4.00,3.00,3.00,4.00,6.00,6.00,0.00,4.00,5.00,203,NULL,214,'CAMPECHE','FLORIANÓPOLIS','SC',13430,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194311,1.00,2.00,1.00,0.00,2.00,NULL,4.00,2.00,1.00,404,NULL,NULL,'TRES PEDRINHAS','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6194320,3.00,3.00,3.00,2.00,2.00,NULL,1.00,0.00,1.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6194346,2.00,4.00,1.00,3.00,5.00,NULL,0.00,0.00,1.00,9,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194354,1.00,2.00,3.00,6.00,6.00,7.13,1.00,3.00,1.00,208,NULL,235,'CENTRO','PALHOÇA','SC',19939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6194362,4.00,6.00,3.00,6.00,8.00,6.00,3.00,2.00,3.00,999,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6194370,2.00,3.00,2.00,4.00,5.00,6.38,0.00,3.00,2.00,202,NULL,213,'PALMAS','GOV CELSO RAMOS','SC',19513,614,NULL,285,NULL,NULL,NULL,2,1),(25,6194389,4.00,4.00,0.00,2.00,3.00,7.13,4.00,2.00,1.00,999,NULL,NULL,'REVOREDO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6194400,2.00,5.00,1.00,3.00,8.00,NULL,0.00,1.00,2.00,102,NULL,NULL,'JARDIM AMÉRICA','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194419,3.00,5.00,1.00,3.00,9.00,7.50,2.00,5.00,1.00,108,NULL,NULL,'BELA VISTA III','S JOSÉ','SC',17191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6194427,4.00,4.00,3.00,3.00,7.00,9.00,0.00,2.00,2.00,444,NULL,NULL,'SERTÃOZINHO','ITAPEMA','SC',14738,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6194435,6.00,7.00,3.00,6.00,10.00,7.88,3.00,6.00,7.00,303,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',2596,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6194443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'CENTRO','IRANI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6194451,9.00,4.00,3.00,6.00,9.00,7.88,5.00,3.00,5.00,203,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',3970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6194478,3.00,2.00,1.00,3.00,3.00,6.75,5.00,0.00,0.00,415,NULL,NULL,'LARANJINHA','CRICIÚMA','SC',21534,341,NULL,NULL,NULL,NULL,NULL,2,5),(25,6194486,3.00,6.00,0.00,5.00,7.00,6.75,2.00,5.00,3.00,327,NULL,NULL,'CENTRO','S JOSÉ','SC',16097,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194494,6.00,7.00,3.00,7.00,9.00,9.38,1.00,6.00,5.00,303,NULL,NULL,'BOSQUE DA SAÚDE','S PAULO','SP',4048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6194508,5.00,5.00,1.00,4.00,8.00,9.00,2.00,1.00,3.00,216,NULL,215,'SÃO JOÃO','ITAJAÍ','SC',11714,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6194516,5.00,4.00,2.00,4.00,5.00,7.13,2.00,1.00,2.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19554,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194524,6.00,4.00,5.00,5.00,7.00,8.63,1.00,2.00,6.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',8353,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6194532,6.00,5.00,3.00,6.00,5.00,9.00,4.00,2.00,4.00,601,NULL,235,'CENTRO','CURITIBA','PR',6405,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6194540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6194559,2.00,3.00,1.00,4.00,5.00,7.88,3.00,1.00,2.00,333,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16777,123,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194567,2.00,3.00,0.00,2.00,6.00,6.75,1.00,2.00,0.00,420,NULL,NULL,'SÃO JOÃO','TUBARÃO','SC',21372,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6194575,4.00,3.00,2.00,3.00,6.00,6.75,1.00,2.00,5.00,3,NULL,NULL,'AVENIDA','ITAJUBÁ','MG',15438,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194583,2.00,5.00,4.00,7.00,5.00,7.13,2.00,4.00,4.00,235,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',13720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6194591,5.00,6.00,2.00,5.00,8.00,6.00,1.00,3.00,3.00,233,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',14169,376,NULL,260,NULL,NULL,NULL,2,1),(25,6194605,5.00,4.00,4.00,6.00,7.00,8.63,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',13433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6194621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6194630,6.00,5.00,3.00,6.00,9.00,7.13,3.00,8.00,6.00,103,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',4049,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6194648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BOTÂNICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6194656,2.00,4.00,0.00,4.00,6.00,NULL,1.00,0.00,1.00,999,NULL,NULL,'LAGUINHO','MACAPÁ','AP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6194664,7.00,6.00,2.00,6.00,9.00,12.75,3.00,7.00,8.00,103,NULL,NULL,'CENTRO','BAURU','SP',1461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6194672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6194699,2.00,0.00,1.00,3.00,3.00,7.88,1.00,2.00,2.00,404,NULL,NULL,'VILA FORMOSA','S JOSÉ','SC',20565,93,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194710,7.00,6.00,4.00,6.00,7.00,7.88,1.00,7.00,5.00,303,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',5558,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6194729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6194745,4.00,1.00,1.00,2.00,4.00,NULL,0.00,1.00,0.00,451,NULL,NULL,'MIRANDÓPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6194753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ORLÂNDIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6194761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6194770,4.00,5.00,2.00,3.00,3.00,8.63,1.00,2.00,2.00,501,NULL,NULL,'INTERIOR','LINDÓIA SUL','SC',15878,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6194788,3.00,5.00,3.00,4.00,7.00,6.75,4.00,4.00,2.00,208,NULL,238,'STO ANTONIO LISBOA','FLORIANÓPOLIS','SC',11851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6194818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','URUGUAIANA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6194826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TELÊMACO BORBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6194834,5.00,3.00,0.00,6.00,7.00,6.75,2.00,6.00,2.00,999,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6194842,8.00,9.00,0.00,7.00,10.00,9.38,3.00,7.00,8.00,103,NULL,NULL,'PARQUE PARAISO','ITAPECERICA SERRA','SP',1424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6194850,3.00,6.00,1.00,7.00,8.00,12.00,3.00,5.00,5.00,420,NULL,NULL,'SANTANA','S JOSÉ CAMPOS','SP',5390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6194869,6.00,6.00,4.00,7.00,8.00,7.13,7.00,5.00,9.00,203,NULL,202,'SOBRADINHO','FRA SANTANA','BA',1451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6194877,2.00,4.00,2.00,2.00,5.00,8.25,3.00,3.00,0.00,211,NULL,201,'FAZENDA RIO TAVARES','FLORIANÓPOLIS','SC',19058,498,NULL,1565,NULL,NULL,NULL,4,1),(25,6194885,5.00,4.00,4.00,5.00,7.00,9.75,3.00,2.00,7.00,301,NULL,NULL,'SÃO SIMÃO','CRICIÚMA','SC',8946,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6194893,5.00,6.00,4.00,5.00,10.00,9.38,3.00,4.00,3.00,207,NULL,211,'SETOR SUDOESTE','GOIÂNIA','GO',6508,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194907,5.00,5.00,1.00,2.00,9.00,6.75,1.00,2.00,1.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',18555,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6194915,3.00,3.00,3.00,3.00,4.00,NULL,2.00,1.00,0.00,427,NULL,423,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194923,5.00,7.00,4.00,6.00,9.00,13.13,1.00,5.00,5.00,103,NULL,NULL,'JARDIM BELA VISTA','ITAPIRANGA','SC',3536,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6194940,1.00,3.00,2.00,2.00,6.00,7.88,2.00,1.00,3.00,207,NULL,220,'PONTE DO IMARUIM','PALHOÇA','SC',18807,1010,NULL,467,NULL,NULL,NULL,2,1),(25,6194958,3.00,4.00,3.00,4.00,7.00,7.50,2.00,6.00,3.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9328,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194966,2.00,3.00,5.00,3.00,4.00,6.75,3.00,2.00,3.00,201,NULL,202,'INDUSTRIAL','TERRA N NORTE','MT',15104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194974,8.00,6.00,3.00,3.00,10.00,8.63,1.00,8.00,8.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',2635,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6194982,2.00,4.00,0.00,4.00,5.00,NULL,0.00,4.00,2.00,501,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6194990,2.00,4.00,0.00,5.00,6.00,9.75,3.00,2.00,2.00,104,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6195008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM AMÉRICA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6195016,8.00,5.00,6.00,6.00,4.00,6.38,1.00,5.00,4.00,220,NULL,NULL,'MERCES','CURITIBA','PR',7596,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6195032,4.00,4.00,0.00,4.00,7.00,9.38,2.00,3.00,1.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15404,86,NULL,NULL,NULL,NULL,NULL,2,1),(25,6195040,4.00,7.00,1.00,7.00,6.00,7.88,0.00,3.00,4.00,201,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',13530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6195059,1.00,3.00,1.00,2.00,3.00,5.25,1.00,2.00,3.00,201,NULL,212,'MORRO DA BINA','BIGUAÇU','SC',21591,1733,NULL,601,NULL,NULL,NULL,2,1),(25,6195083,6.00,7.00,5.00,6.00,9.00,9.00,3.00,5.00,4.00,201,NULL,235,'CAPOEIRAS','FLORIANÓPOLIS','SC',4057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6195091,8.00,7.00,5.00,7.00,9.00,7.50,0.00,7.00,6.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',3986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6195105,6.00,6.00,3.00,5.00,7.00,9.00,3.00,5.00,6.00,203,NULL,601,'CENTRO','CORBÉLIA','PR',5825,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6195113,6.00,7.00,0.00,4.00,6.00,NULL,1.00,4.00,6.00,104,NULL,NULL,'CAMPESTRE','LAJEADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6195121,6.00,8.00,2.00,6.00,9.00,11.63,2.00,7.00,6.00,207,NULL,208,'ITACORUBI','FLORIANÓPOLIS','SC',2560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6195130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,214,'AREIAS','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6195148,4.00,5.00,1.00,3.00,5.00,4.88,1.00,5.00,2.00,238,NULL,208,'CENTRO','AMPÉRE','PR',16723,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6195164,3.00,4.00,0.00,1.00,4.00,6.38,4.00,0.00,2.00,999,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6195180,3.00,1.00,2.00,5.00,6.00,NULL,0.00,2.00,0.00,103,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6195202,1.00,5.00,1.00,2.00,4.00,7.13,3.00,2.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6195229,7.00,6.00,4.00,6.00,9.00,9.38,4.00,8.00,7.00,103,NULL,NULL,'SANTANA','PTO ALEGRE','RS',1785,1121,NULL,NULL,NULL,NULL,NULL,2,4),(25,6195237,8.00,6.00,1.00,5.00,8.00,9.00,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','IMBITUVA','PR',5922,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6195261,3.00,4.00,2.00,7.00,8.00,9.75,4.00,6.00,6.00,207,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',4373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6195270,7.00,6.00,3.00,5.00,8.00,8.63,2.00,6.00,7.00,303,NULL,NULL,'CENTRO','STA MARIA','RS',3975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6195296,5.00,4.00,3.00,6.00,8.00,7.88,1.00,4.00,5.00,420,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6195300,8.00,7.00,6.00,6.00,11.00,11.25,3.00,7.00,8.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',543,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6195318,5.00,5.00,0.00,4.00,7.00,8.25,0.00,1.00,2.00,103,NULL,NULL,'CENTRO','TURVO','SC',18566,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6195326,8.00,6.00,7.00,6.00,9.00,12.38,5.00,6.00,8.00,601,NULL,203,'CENTRO','CARAMBEÍ','PR',333,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6195334,2.00,4.00,3.00,4.00,2.00,NULL,2.00,0.00,0.00,104,NULL,NULL,'SANTANA','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6195342,4.00,7.00,5.00,4.00,6.00,11.63,2.00,2.00,4.00,201,NULL,212,'REAL PARQUE','S JOSÉ','SC',8314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6195369,4.00,5.00,1.00,4.00,5.00,8.25,2.00,2.00,1.00,207,NULL,201,'CZERNIEWICS','JARAGUÁ SUL','SC',15425,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6195377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6195385,1.00,3.00,0.00,2.00,1.00,NULL,2.00,1.00,0.00,233,NULL,235,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6195393,3.00,3.00,3.00,4.00,5.00,6.38,4.00,3.00,2.00,238,NULL,208,'JARDIM EUROPA','UMUARAMA','PR',16249,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6195407,1.00,2.00,0.00,0.00,4.00,NULL,2.00,2.00,1.00,5,NULL,NULL,'PAULO DE FRONTIN','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6195415,9.00,5.00,7.00,7.00,11.00,9.00,5.00,9.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',460,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6195423,1.00,4.00,3.00,7.00,6.00,8.63,1.00,5.00,3.00,201,NULL,215,'SAGUAÇU','JOINVILLE','SC',14321,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6195431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'JARDIM DAS AMÉRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6195440,5.00,3.00,2.00,6.00,9.00,10.50,2.00,5.00,5.00,214,NULL,601,'ESTREITO','FLORIANÓPOLIS','SC',5470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6195458,5.00,6.00,1.00,5.00,8.00,7.50,5.00,7.00,4.00,103,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',5884,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6195466,3.00,5.00,2.00,3.00,10.00,8.63,1.00,2.00,2.00,428,NULL,427,'PLANALTO','CARLOS BARBOSA','RS',13287,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6195474,6.00,6.00,2.00,1.00,5.00,5.63,1.00,5.00,3.00,318,NULL,NULL,'CENTRO','TANGARÁ','SC',16557,73,NULL,NULL,NULL,NULL,NULL,2,7),(25,6195482,4.00,2.00,2.00,3.00,6.00,10.50,2.00,1.00,2.00,327,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',18748,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6195490,8.00,6.00,5.00,7.00,10.00,10.88,4.00,6.00,8.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',828,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6195504,3.00,0.00,3.00,2.00,5.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6195512,5.00,5.00,3.00,4.00,8.00,10.13,1.00,3.00,7.00,203,NULL,201,'COLINA SORRISO','CAXIAS SUL','RS',7318,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6195520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BOCKMANN','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6195547,4.00,5.00,2.00,7.00,7.00,7.13,0.00,3.00,3.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6195555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6195571,2.00,2.00,3.00,2.00,3.00,7.88,1.00,4.00,0.00,304,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',20425,148,NULL,NULL,NULL,NULL,NULL,4,1),(25,6195580,6.00,4.00,4.00,5.00,6.00,9.75,3.00,7.00,5.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',6777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6195598,3.00,4.00,2.00,4.00,5.00,NULL,1.00,0.00,1.00,333,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6195601,5.00,5.00,4.00,5.00,8.00,10.13,3.00,5.00,8.00,216,NULL,214,'CENTRO','CURITIBANOS','SC',4679,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6195610,6.00,7.00,5.00,4.00,7.00,9.00,3.00,9.00,8.00,201,NULL,212,'ATIRADORES','JOINVILLE','SC',2861,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6195628,3.00,6.00,3.00,5.00,7.00,8.63,4.00,6.00,2.00,211,NULL,216,'ITACORUBI','FLORIANÓPOLIS','SC',8125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6195636,8.00,7.00,5.00,6.00,8.00,12.75,2.00,6.00,7.00,103,NULL,NULL,'SÃO JOSÉ','S LEOPOLDO','RS',838,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6195644,5.00,4.00,1.00,4.00,8.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'VERA CRUZ','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6195652,5.00,6.00,3.00,5.00,7.00,5.63,0.00,4.00,1.00,202,NULL,213,'CENTRO','LAURO MÜLLER','SC',16168,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6195679,3.00,4.00,3.00,4.00,7.00,9.00,1.00,4.00,3.00,317,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',12216,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6195687,9.00,6.00,4.00,6.00,11.00,10.88,1.00,8.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',1084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6195709,4.00,4.00,3.00,6.00,7.00,7.13,0.00,3.00,5.00,5,NULL,NULL,'CENTRO','FRAIBURGO','SC',10606,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6195717,8.00,4.00,8.00,4.00,6.00,10.88,3.00,3.00,7.00,103,NULL,NULL,'NA SA DE LOURDES','CAMPOS NOVOS','SC',4088,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6195733,1.00,3.00,1.00,5.00,7.00,10.13,0.00,2.00,3.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6195741,4.00,7.00,1.00,6.00,8.00,7.50,2.00,6.00,3.00,101,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',10344,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6195750,3.00,7.00,1.00,6.00,7.00,10.13,1.00,6.00,2.00,318,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',12178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6195776,4.00,4.00,3.00,6.00,8.00,9.00,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',12177,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6195784,6.00,7.00,1.00,6.00,9.00,9.75,2.00,3.00,8.00,103,NULL,NULL,'ERECHIM','BAL ARROIO SILVA','SC',5508,2563,NULL,NULL,NULL,NULL,NULL,2,15),(25,6195792,7.00,6.00,4.00,3.00,8.00,6.38,0.00,7.00,3.00,108,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',8158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6195822,1.00,5.00,1.00,5.00,7.00,9.75,0.00,2.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6195830,6.00,8.00,1.00,3.00,8.00,9.00,3.00,2.00,6.00,103,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',8258,3235,NULL,NULL,NULL,NULL,NULL,2,1),(25,6195849,5.00,6.00,4.00,6.00,7.00,7.88,2.00,4.00,5.00,203,NULL,214,'SANTO ANTONIO','JOINVILLE','SC',6051,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6195857,4.00,5.00,0.00,3.00,9.00,9.38,1.00,2.00,5.00,103,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',13302,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6195865,6.00,7.00,6.00,6.00,8.00,9.00,3.00,5.00,5.00,104,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',4240,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6195873,5.00,7.00,4.00,6.00,4.00,8.25,3.00,6.00,6.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6195881,4.00,5.00,2.00,3.00,5.00,8.63,1.00,1.00,2.00,238,NULL,208,'PICADAS DO SUL','S JOSÉ','SC',19341,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6195903,8.00,8.00,6.00,6.00,8.00,10.50,4.00,7.00,8.00,103,NULL,NULL,'SAGRADO','LAGES','SC',935,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6195911,3.00,4.00,2.00,3.00,6.00,7.88,1.00,2.00,3.00,444,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',14012,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6195920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'CRUZEIRO DO SUL','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6195938,1.00,7.00,2.00,4.00,5.00,8.63,0.00,2.00,3.00,601,NULL,201,'CENTRO','PNT GROSSA','PR',13784,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6195946,2.00,5.00,2.00,2.00,6.00,7.88,3.00,1.00,3.00,451,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6195954,6.00,6.00,2.00,5.00,7.00,9.00,1.00,4.00,5.00,233,NULL,235,'COQUEIROS','FLORIANÓPOLIS','SC',11211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6195962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUAIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6195989,1.00,1.00,2.00,3.00,8.00,NULL,0.00,2.00,1.00,104,NULL,NULL,'KASPEREIT','BENEDITO NOVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6195997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6196004,8.00,7.00,3.00,6.00,8.00,NULL,0.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196020,3.00,3.00,3.00,3.00,5.00,9.38,0.00,2.00,2.00,503,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17277,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6196039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'SÃO CRISTOVÃO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6196047,5.00,5.00,0.00,5.00,9.00,NULL,1.00,2.00,4.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6196063,3.00,2.00,1.00,3.00,4.00,NULL,0.00,0.00,1.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6196071,4.00,5.00,1.00,5.00,7.00,7.13,2.00,3.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6196098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6196101,1.00,3.00,2.00,4.00,6.00,7.50,0.00,4.00,1.00,335,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6196136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6196152,2.00,6.00,3.00,4.00,9.00,7.13,0.00,1.00,2.00,5,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196160,2.00,4.00,1.00,4.00,5.00,6.38,0.00,3.00,2.00,304,NULL,NULL,'PROGRESSO','BLUMENAU','SC',20944,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6196179,3.00,4.00,3.00,4.00,5.00,6.38,0.00,3.00,2.00,302,NULL,NULL,'BREJARU','PALHOÇA','SC',17203,134,NULL,NULL,NULL,NULL,NULL,2,1),(25,6196187,3.00,3.00,1.00,4.00,6.00,NULL,1.00,0.00,0.00,216,NULL,215,'VILA CÉLIA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6196195,6.00,6.00,3.00,7.00,10.00,11.25,2.00,5.00,3.00,104,NULL,NULL,'SÃO JOSÉ','PNT GROSSA','PR',5366,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6196217,4.00,4.00,3.00,2.00,3.00,8.63,1.00,4.00,3.00,999,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196225,4.00,3.00,4.00,4.00,4.00,6.38,1.00,1.00,0.00,103,NULL,NULL,'SEMINARIO','TAIÓ','SC',20702,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6196233,2.00,2.00,1.00,2.00,3.00,4.50,2.00,2.00,0.00,415,NULL,NULL,'TERMAS','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6196250,6.00,7.00,0.00,7.00,9.00,9.38,3.00,9.00,1.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6196268,2.00,4.00,0.00,4.00,4.00,NULL,3.00,4.00,4.00,333,NULL,NULL,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196276,5.00,5.00,3.00,4.00,5.00,6.00,2.00,5.00,4.00,333,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6196292,1.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6196314,4.00,5.00,2.00,3.00,6.00,6.38,2.00,5.00,0.00,208,NULL,220,'JD CIDADE DE FLORIAN','S JOSÉ','SC',14514,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6196357,3.00,7.00,3.00,2.00,7.00,6.00,0.00,5.00,2.00,318,NULL,NULL,'JD ATLÂNTICO','FLORIANÓPOLIS','SC',17094,77,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196365,4.00,5.00,0.00,5.00,6.00,5.25,3.00,5.00,4.00,222,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196373,1.00,3.00,0.00,4.00,5.00,9.00,1.00,4.00,1.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',20435,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6196381,4.00,6.00,2.00,7.00,7.00,9.00,2.00,6.00,2.00,318,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8525,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6196403,3.00,2.00,1.00,6.00,3.00,7.13,1.00,0.00,2.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',21119,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6196411,5.00,6.00,1.00,5.00,4.00,7.50,1.00,5.00,5.00,201,NULL,212,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',11156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196420,5.00,6.00,0.00,3.00,5.00,9.75,1.00,6.00,3.00,304,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',10447,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6196454,3.00,2.00,3.00,4.00,5.00,6.75,0.00,3.00,2.00,5,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',19443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196462,3.00,3.00,1.00,4.00,5.00,7.88,0.00,1.00,1.00,319,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',21287,460,NULL,NULL,NULL,NULL,NULL,2,8),(25,6196489,4.00,4.00,1.00,5.00,6.00,9.38,0.00,6.00,2.00,999,NULL,NULL,'SAPITANDUVA','MORRETES','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196500,5.00,4.00,3.00,4.00,6.00,7.88,2.00,6.00,1.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6196527,1.00,5.00,0.00,4.00,5.00,10.13,2.00,2.00,0.00,324,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6196551,5.00,4.00,3.00,6.00,8.00,7.88,1.00,6.00,2.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7634,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6196560,4.00,7.00,3.00,5.00,6.00,0.00,1.00,4.00,2.00,337,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196586,7.00,6.00,6.00,6.00,7.00,7.88,3.00,3.00,4.00,201,NULL,215,'BOQUEIRAO','SANTOS','SP',4969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196594,8.00,7.00,4.00,4.00,9.00,10.88,4.00,7.00,8.00,103,NULL,NULL,'JARDIM VIVENDAS','S JOSÉ R PRETO','SP',1255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196624,2.00,3.00,0.00,3.00,7.00,10.13,3.00,0.00,1.00,452,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196632,4.00,3.00,4.00,4.00,4.00,7.13,1.00,3.00,1.00,104,NULL,NULL,'JD SAO NICOLAU','BIGUAÇU','SC',20214,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6196659,3.00,3.00,3.00,2.00,6.00,9.00,1.00,3.00,3.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6196667,2.00,4.00,2.00,2.00,3.00,4.88,1.00,4.00,0.00,316,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196675,2.00,4.00,2.00,4.00,5.00,6.38,2.00,1.00,4.00,201,NULL,212,'AREIAS DO MEIO','GOV CELSO RAMOS','SC',17858,1480,NULL,522,NULL,NULL,NULL,2,1),(25,6196683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6196691,8.00,8.00,8.00,7.00,7.00,10.50,7.00,7.00,9.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',57,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6196713,7.00,6.00,2.00,4.00,6.00,9.38,3.00,3.00,6.00,104,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',5006,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6196721,6.00,6.00,0.00,2.00,5.00,NULL,2.00,5.00,5.00,103,NULL,NULL,'COSTA E SIILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6196730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6196748,3.00,1.00,3.00,2.00,4.00,8.25,2.00,4.00,0.00,5,NULL,NULL,'SÃO FRANCISCO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6196756,8.00,5.00,4.00,7.00,10.00,9.75,2.00,7.00,8.00,103,NULL,NULL,'ARAES','CUIABÁ','MT',1393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196764,4.00,6.00,3.00,6.00,8.00,6.38,3.00,5.00,5.00,420,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',9828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196772,3.00,4.00,2.00,6.00,7.00,7.13,2.00,3.00,7.00,103,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',10268,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6196799,6.00,7.00,2.00,5.00,8.00,8.25,2.00,8.00,7.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',4718,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6196810,8.00,6.00,1.00,6.00,9.00,8.25,1.00,6.00,8.00,103,NULL,NULL,'CENTRO','RIO NEGRO','PR',3197,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6196837,2.00,3.00,2.00,1.00,4.00,7.13,0.00,2.00,2.00,415,NULL,NULL,'CENTRO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6196845,1.00,3.00,0.00,2.00,3.00,NULL,3.00,2.00,0.00,339,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6196853,3.00,4.00,2.00,4.00,5.00,5.63,2.00,1.00,3.00,203,NULL,235,'CRUZEIRO','CAXIAS SUL','RS',16630,995,NULL,394,NULL,NULL,NULL,4,5),(25,6196870,2.00,4.00,2.00,4.00,5.00,6.75,3.00,3.00,1.00,109,NULL,NULL,'CENTRO','BIGUAÇU','SC',19993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6196888,7.00,5.00,4.00,4.00,6.00,7.50,2.00,4.00,7.00,103,NULL,NULL,'CENTRO','LARANJEIRAS SUL','PR',6442,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6196896,5.00,7.00,1.00,5.00,8.00,6.38,0.00,4.00,1.00,201,NULL,207,'CENTRO','CEL MARTINS','SC',10382,855,NULL,523,NULL,NULL,NULL,4,4),(25,6196900,3.00,4.00,0.00,3.00,6.00,NULL,0.00,1.00,1.00,653,NULL,652,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6196926,7.00,8.00,1.00,7.00,10.00,5.25,3.00,7.00,4.00,238,NULL,208,'CARIANOS','FLORIANÓPOLIS','SC',6422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196934,2.00,1.00,3.00,0.00,7.00,NULL,0.00,0.00,1.00,223,NULL,NULL,'PORTO QUINZE','ENCANTADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6196950,5.00,5.00,3.00,5.00,5.00,8.25,2.00,5.00,4.00,503,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',10645,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6196977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JD FLAMBOYANT','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6196985,3.00,1.00,1.00,3.00,4.00,NULL,2.00,0.00,3.00,207,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6196993,1.00,2.00,3.00,1.00,4.00,7.50,1.00,1.00,1.00,654,NULL,NULL,'CENTRO','MORRINHOS SUL','RS',21722,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6197000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FAXINAL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6197019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,652,'PARQUE PITANGUEIRAS','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6197027,3.00,6.00,3.00,5.00,5.00,4.50,3.00,3.00,2.00,212,NULL,213,'CENTRO','ERECHIM','RS',14614,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6197035,4.00,5.00,1.00,4.00,7.00,5.25,2.00,3.00,3.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6197051,3.00,6.00,0.00,2.00,7.00,6.38,3.00,3.00,4.00,109,NULL,NULL,'JARDIN ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6197086,3.00,2.00,1.00,2.00,4.00,9.00,1.00,2.00,1.00,502,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6197094,3.00,5.00,3.00,4.00,4.00,8.63,2.00,6.00,5.00,220,NULL,202,'BOM RETIRO','JOINVILLE','SC',10935,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6197108,3.00,4.00,2.00,1.00,3.00,NULL,2.00,0.00,2.00,655,NULL,NULL,'LINHA BIFF','MRO GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6197140,3.00,6.00,2.00,4.00,6.00,7.88,2.00,4.00,2.00,444,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197159,4.00,5.00,2.00,6.00,6.00,9.75,2.00,4.00,1.00,318,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',14641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197167,2.00,4.00,2.00,3.00,4.00,9.75,1.00,2.00,1.00,211,NULL,601,'JARDIM ESPLANADA','S JOSÉ CAMPOS','SP',20543,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6197175,1.00,7.00,1.00,2.00,7.00,9.00,4.00,1.00,2.00,601,NULL,203,'IRIRIÚ','JOINVILLE','SC',14002,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6197183,4.00,6.00,2.00,5.00,11.00,11.25,2.00,6.00,1.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',8555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197191,2.00,4.00,1.00,3.00,3.00,7.50,1.00,2.00,3.00,104,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',20934,581,NULL,NULL,NULL,NULL,NULL,2,1),(25,6197205,7.00,7.00,4.00,6.00,8.00,7.88,2.00,5.00,6.00,103,NULL,NULL,'FAZENDINHA','CURITIBA','PR',4186,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6197230,1.00,1.00,2.00,2.00,2.00,NULL,1.00,1.00,2.00,551,NULL,NULL,'INTERIOR','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6197248,4.00,4.00,4.00,6.00,6.00,8.63,2.00,2.00,3.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14172,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6197264,0.00,3.00,0.00,0.00,0.00,NULL,4.00,4.00,3.00,327,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6197272,2.00,6.00,1.00,6.00,6.00,9.38,1.00,7.00,1.00,332,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14848,29,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197280,2.00,4.00,2.00,4.00,5.00,10.50,1.00,4.00,2.00,108,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',17851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197299,6.00,5.00,2.00,5.00,8.00,11.25,3.00,1.00,2.00,215,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',10063,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6197302,3.00,5.00,3.00,5.00,5.00,7.50,3.00,2.00,5.00,104,NULL,NULL,'SÃO ROQUE','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6197310,4.00,4.00,1.00,3.00,5.00,6.38,1.00,1.00,3.00,235,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',18324,437,NULL,266,NULL,NULL,NULL,2,1),(25,6197329,1.00,2.00,2.00,2.00,2.00,NULL,2.00,2.00,2.00,444,NULL,NULL,'COSTEIRA D PIRAJUBAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6197337,8.00,8.00,6.00,5.00,10.00,11.25,2.00,8.00,7.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197345,5.00,5.00,1.00,4.00,6.00,8.63,2.00,5.00,2.00,201,NULL,212,'ROÇADO','S JOSÉ','SC',12620,1072,NULL,369,NULL,NULL,NULL,2,1),(25,6197353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'TENIS CLUBE','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6197361,2.00,4.00,1.00,2.00,3.00,7.50,2.00,6.00,2.00,102,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6197388,3.00,3.00,2.00,3.00,2.00,NULL,0.00,3.00,2.00,652,NULL,655,'VILA BEATRIZ','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6197396,3.00,5.00,2.00,3.00,4.00,10.50,1.00,4.00,3.00,551,NULL,NULL,'SÃO JORGE','XANXERÊ','SC',15431,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6197400,7.00,8.00,0.00,2.00,7.00,8.25,0.00,6.00,5.00,201,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',9957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197418,3.00,5.00,2.00,1.00,6.00,7.88,1.00,1.00,1.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',20560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197426,3.00,5.00,2.00,3.00,7.00,8.63,4.00,3.00,2.00,339,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6197434,7.00,6.00,6.00,7.00,8.00,7.88,4.00,6.00,8.00,203,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',1910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197442,7.00,7.00,0.00,7.00,10.00,10.13,1.00,7.00,7.00,103,NULL,NULL,'CENTRO','ECHAPORÃ','SP',2485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197469,2.00,7.00,1.00,5.00,6.00,10.13,2.00,4.00,5.00,202,NULL,235,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',8418,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197477,4.00,5.00,1.00,3.00,10.00,9.75,2.00,4.00,5.00,201,NULL,213,'VILA NOVA ALVORADA','IMBITUBA','SC',8193,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6197485,1.00,0.00,0.00,4.00,7.00,7.13,4.00,4.00,3.00,220,NULL,235,'CENTRO','ITAJAÍ','SC',20320,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6197493,4.00,6.00,2.00,5.00,8.00,9.00,0.00,1.00,5.00,104,NULL,NULL,'ZONA RURAL','BR COTEGIPE','RS',10580,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6197507,2.00,4.00,2.00,3.00,4.00,6.38,2.00,2.00,0.00,551,NULL,NULL,'CIDADE JARDIM','CATANDUVAS','SC',20443,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6197515,1.00,5.00,4.00,3.00,6.00,7.88,2.00,3.00,1.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',17169,102,NULL,NULL,NULL,NULL,NULL,2,1),(25,6197523,4.00,6.00,4.00,4.00,7.00,5.63,0.00,2.00,4.00,203,NULL,601,'FIDELIS','BLUMENAU','SC',13924,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6197531,1.00,3.00,0.00,2.00,6.00,NULL,1.00,4.00,0.00,999,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6197540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'TENIS CLUBE','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6197558,5.00,4.00,1.00,5.00,9.00,9.00,1.00,7.00,2.00,103,NULL,NULL,'CENTRO','MAMBORÊ','PR',9129,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6197566,2.00,4.00,3.00,6.00,6.00,9.75,0.00,3.00,1.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6197574,6.00,7.00,4.00,5.00,9.00,12.75,3.00,4.00,4.00,207,NULL,211,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',3764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6197582,2.00,5.00,2.00,3.00,5.00,6.38,3.00,4.00,1.00,601,NULL,NULL,'IRIRIU','JOINVILLE','SC',16480,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6197590,3.00,5.00,2.00,5.00,4.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'RIO DA AREIA','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,17),(25,6197604,3.00,3.00,1.00,2.00,6.00,7.13,2.00,0.00,1.00,424,NULL,427,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6197612,4.00,6.00,4.00,5.00,7.00,9.38,2.00,7.00,4.00,428,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',7356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197647,7.00,7.00,6.00,4.00,8.00,10.13,2.00,6.00,7.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',2720,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6197655,8.00,8.00,8.00,5.00,9.00,9.75,3.00,8.00,6.00,201,NULL,203,'ESTREITO','FLORIANÓPOLIS','SC',1083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197698,1.00,2.00,0.00,0.00,2.00,NULL,0.00,1.00,1.00,551,NULL,NULL,'CENTRO','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6197701,6.00,4.00,3.00,6.00,7.00,8.63,2.00,5.00,4.00,340,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',10299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197710,4.00,4.00,2.00,6.00,4.00,8.25,2.00,8.00,1.00,326,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',12348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197728,7.00,7.00,6.00,7.00,10.00,8.25,2.00,7.00,7.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',2149,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6197736,3.00,2.00,2.00,2.00,3.00,6.75,1.00,3.00,0.00,102,NULL,NULL,'CAMPO DO GADO','RIO NEGRO','PR',21546,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6197744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MAMBORÊ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6197752,5.00,6.00,3.00,2.00,10.00,10.13,2.00,5.00,6.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',6524,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6197779,8.00,8.00,7.00,1.00,8.00,10.50,3.00,7.00,9.00,103,NULL,NULL,'SÃO PEDRO','APUCARANA','PR',1042,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6197809,5.00,5.00,2.00,6.00,6.00,7.88,2.00,3.00,3.00,214,NULL,213,'BRUSQUE','LAGES','SC',12076,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6197817,2.00,5.00,0.00,6.00,7.00,9.38,3.00,1.00,3.00,415,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',16612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197833,5.00,6.00,3.00,7.00,5.00,7.13,1.00,4.00,5.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',9465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6197850,4.00,5.00,4.00,6.00,8.00,8.25,0.00,5.00,3.00,208,NULL,238,'MONTE VERDE','FLORIANÓPOLIS','SC',11054,181,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197868,2.00,6.00,2.00,4.00,6.00,6.38,1.00,4.00,2.00,335,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',18372,12,NULL,NULL,NULL,NULL,NULL,2,1),(25,6197884,1.00,4.00,2.00,2.00,5.00,9.75,1.00,0.00,0.00,301,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',21052,306,NULL,NULL,NULL,NULL,NULL,2,1),(25,6197922,7.00,7.00,1.00,5.00,7.00,9.38,0.00,2.00,4.00,103,NULL,NULL,'JARDIM SÃO PAULO','S PAULO','SP',10305,3599,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197930,3.00,6.00,3.00,7.00,7.00,9.75,1.00,3.00,2.00,110,NULL,NULL,'JARDIM AURÉLIA','CAMPINAS','SP',9783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197949,7.00,6.00,3.00,4.00,5.00,6.75,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','ITAPIRANGA','SC',7921,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6197957,4.00,6.00,3.00,5.00,6.00,9.38,0.00,6.00,4.00,103,NULL,NULL,'KAYSER','CAXIAS SUL','RS',8131,3210,NULL,NULL,NULL,NULL,NULL,2,1),(25,6197965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6197973,7.00,7.00,1.00,7.00,9.00,6.75,2.00,7.00,3.00,327,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6197981,1.00,3.00,2.00,2.00,3.00,6.75,2.00,4.00,2.00,211,NULL,207,'SAIDA BARRA GRANDE','CUNHATAÍ','SC',19456,510,NULL,1060,NULL,NULL,NULL,4,4),(25,6198007,3.00,1.00,3.00,2.00,4.00,6.75,4.00,3.00,2.00,444,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6198031,7.00,7.00,2.00,4.00,5.00,0.00,1.00,6.00,4.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6198040,8.00,6.00,2.00,6.00,8.00,11.25,3.00,6.00,3.00,340,NULL,NULL,'ITAUM','JOINVILLE','SC',4385,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6198058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'INTERIOR','VICTOR GRAEFF','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6198066,2.00,5.00,0.00,6.00,6.00,9.00,0.00,2.00,3.00,109,NULL,NULL,'BRASILIA','S BENTO SUL','SC',15677,69,NULL,NULL,NULL,NULL,NULL,2,8),(25,6198074,6.00,6.00,2.00,6.00,9.00,9.38,2.00,8.00,5.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',4976,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6198082,6.00,5.00,4.00,6.00,9.00,11.63,3.00,3.00,5.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6198090,2.00,6.00,1.00,6.00,5.00,6.75,3.00,6.00,3.00,235,NULL,202,'PANTANAL','FLORIANÓPOLIS','SC',15385,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6198104,3.00,3.00,1.00,2.00,4.00,5.63,0.00,2.00,0.00,207,NULL,201,'CENTRO','CRICIÚMA','SC',21635,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6198112,7.00,5.00,0.00,6.00,7.00,NULL,1.00,3.00,4.00,340,NULL,NULL,'UNIVERSITARIO','ITUIUTABA','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6198120,2.00,3.00,0.00,3.00,4.00,NULL,0.00,1.00,3.00,601,NULL,216,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6198139,7.00,7.00,3.00,4.00,9.00,10.50,4.00,6.00,6.00,319,NULL,NULL,'JARDIM JAPÃO','S PAULO','SP',3223,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6198147,3.00,5.00,2.00,6.00,4.00,7.50,1.00,3.00,1.00,104,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',15183,400,NULL,NULL,NULL,NULL,NULL,2,1),(25,6198163,2.00,2.00,0.00,2.00,6.00,NULL,2.00,2.00,0.00,999,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6198180,0.00,4.00,1.00,4.00,2.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'DAS NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6198198,1.00,3.00,2.00,3.00,3.00,7.88,2.00,1.00,1.00,426,NULL,428,'CAMPECHE','FLORIANÓPOLIS','SC',21508,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6198201,4.00,3.00,1.00,3.00,3.00,8.25,0.00,4.00,4.00,336,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19272,162,NULL,NULL,NULL,NULL,NULL,2,1),(25,6198210,3.00,4.00,3.00,6.00,6.00,9.38,2.00,5.00,3.00,301,NULL,NULL,'CENTRO','GAROPABA','SC',13157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6198228,5.00,7.00,2.00,3.00,6.00,7.13,0.00,5.00,2.00,101,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',12534,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6198236,5.00,3.00,5.00,5.00,6.00,7.88,5.00,5.00,4.00,203,NULL,214,'JD MARIA LUIZA','CASCAVEL','PR',8056,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6198244,2.00,2.00,2.00,4.00,6.00,9.38,2.00,1.00,4.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6198252,3.00,4.00,2.00,5.00,6.00,7.13,0.00,3.00,3.00,211,NULL,238,'CAMPECHE','FLORIANÓPOLIS','SC',16107,417,NULL,349,NULL,NULL,NULL,2,1),(25,6198260,6.00,6.00,1.00,6.00,8.00,9.00,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',8945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6198279,6.00,8.00,8.00,7.00,9.00,9.00,6.00,7.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6198287,5.00,5.00,3.00,4.00,6.00,9.00,1.00,5.00,2.00,319,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',12214,211,NULL,NULL,NULL,NULL,NULL,2,1),(25,6198309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD NOVO HORIZONTE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6198317,8.00,6.00,6.00,5.00,7.00,8.63,2.00,5.00,9.00,103,NULL,NULL,'BOA VISTA','SIQUEIRA CAMPOS','PR',2876,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6198325,3.00,4.00,1.00,3.00,5.00,6.75,2.00,2.00,1.00,319,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',20636,441,NULL,NULL,NULL,NULL,NULL,2,1),(25,6198341,2.00,4.00,1.00,5.00,2.00,NULL,2.00,0.00,0.00,216,NULL,203,'ENEAS MARQUES','ENÉAS MARQUES','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6198350,3.00,5.00,0.00,3.00,8.00,12.38,0.00,5.00,1.00,337,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15377,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6198384,2.00,5.00,0.00,2.00,6.00,NULL,0.00,2.00,2.00,216,NULL,215,'SÃO BASILIO MAGNO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6198406,4.00,5.00,3.00,6.00,7.00,7.13,2.00,5.00,7.00,202,NULL,203,'NOSSA SRA APARECIDA','FRANCISCO BELTRÃO','PR',6971,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6198414,6.00,6.00,7.00,4.00,6.00,6.00,3.00,6.00,4.00,203,NULL,601,'CENTRO','MEDIANEIRA','PR',5516,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6198422,1.00,2.00,3.00,5.00,6.00,10.88,4.00,1.00,3.00,208,NULL,NULL,'CENTRO','XAXIM','SC',17504,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6198430,9.00,8.00,8.00,7.00,11.00,10.50,5.00,8.00,9.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',18,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6198449,8.00,5.00,4.00,4.00,8.00,10.88,0.00,8.00,5.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',4552,2269,NULL,NULL,NULL,NULL,NULL,2,8),(25,6198457,6.00,6.00,3.00,4.00,6.00,9.75,2.00,4.00,3.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6198465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,233,'SÃO ROQUE','IOMERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6198473,7.00,5.00,2.00,5.00,8.00,7.50,1.00,2.00,4.00,103,NULL,NULL,'ITAIPU','MARÍLIA','SP',8683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6198490,5.00,7.00,2.00,5.00,9.00,10.88,1.00,7.00,8.00,103,NULL,NULL,'BRUSQUE','LAGES','SC',3581,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6198503,4.00,5.00,2.00,5.00,5.00,7.50,1.00,0.00,2.00,103,NULL,NULL,'CENTRO','LAGES','SC',19286,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6198511,8.00,7.00,4.00,6.00,7.00,8.63,5.00,6.00,8.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',1440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6198538,2.00,3.00,0.00,4.00,3.00,8.25,0.00,2.00,3.00,201,NULL,212,'CENTRO','SIDERÓPOLIS','SC',19234,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6198554,6.00,7.00,3.00,5.00,6.00,6.38,0.00,5.00,3.00,212,NULL,653,'CENTRO','VACARIA','RS',9820,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6198562,5.00,5.00,2.00,3.00,7.00,8.63,2.00,5.00,5.00,103,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',12508,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6198570,6.00,5.00,3.00,3.00,5.00,6.38,3.00,5.00,2.00,238,NULL,203,'CENTRO','BIGUAÇU','SC',15446,315,NULL,951,NULL,NULL,NULL,2,1),(25,6198589,4.00,5.00,4.00,2.00,5.00,6.38,1.00,2.00,4.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6198597,3.00,5.00,2.00,6.00,7.00,9.38,3.00,3.00,5.00,102,NULL,NULL,'FUNDO CANOAS','RIO SUL','SC',8690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6198619,6.00,0.00,2.00,3.00,7.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6198627,5.00,7.00,2.00,5.00,7.00,8.25,4.00,5.00,2.00,415,NULL,NULL,'AREIAS','S JOSÉ','SC',11409,146,NULL,NULL,NULL,NULL,NULL,2,1),(25,6198635,3.00,5.00,6.00,3.00,5.00,6.75,2.00,7.00,4.00,601,NULL,212,'CENTRO','LAGES','SC',10667,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6198651,4.00,4.00,1.00,3.00,6.00,9.00,3.00,3.00,2.00,601,NULL,NULL,'VILA NOVA','JOINVILLE','SC',18141,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6198660,6.00,7.00,3.00,6.00,7.00,7.13,0.00,3.00,1.00,336,NULL,NULL,'CENTRO','PNT GROSSA','PR',12035,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6198686,4.00,6.00,2.00,5.00,4.00,8.25,0.00,2.00,2.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',15270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6198694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6198708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'BELA VISTA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6198716,2.00,6.00,1.00,2.00,4.00,7.50,1.00,2.00,3.00,551,NULL,NULL,'CENTRO','CORREIA PINTO','SC',19935,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6198724,5.00,1.00,2.00,2.00,3.00,7.88,1.00,1.00,3.00,103,NULL,NULL,'JARDIM SOFIA','JOINVILLE','SC',20853,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6198732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARCELONA','S CAETANO SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6198740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'DOM BOSCO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6198759,5.00,6.00,2.00,7.00,7.00,8.63,3.00,6.00,1.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',11055,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6198767,3.00,5.00,2.00,6.00,2.00,NULL,3.00,4.00,3.00,208,NULL,238,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6198775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6198783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6198791,4.00,7.00,5.00,5.00,4.00,6.75,3.00,5.00,2.00,329,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',11261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6198805,6.00,4.00,4.00,5.00,6.00,6.75,0.00,4.00,4.00,213,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',13344,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6198821,6.00,5.00,3.00,5.00,9.00,8.63,0.00,5.00,6.00,102,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',7148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6198830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6198848,2.00,4.00,2.00,6.00,6.00,NULL,1.00,4.00,4.00,201,NULL,601,'ALEGRE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(25,6198856,3.00,4.00,1.00,4.00,7.00,9.38,3.00,1.00,3.00,108,NULL,NULL,'JARDIM SÃO MARCOS','JABOTICABAL','SP',13590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6198864,7.00,5.00,5.00,5.00,8.00,9.75,2.00,5.00,9.00,102,NULL,NULL,'CENTRO','RIO NEGRO','PR',4123,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6198872,5.00,6.00,5.00,5.00,9.00,9.00,3.00,2.00,6.00,103,NULL,NULL,'PINHEIRINHO','CURITIBA','PR',5205,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6198880,2.00,2.00,1.00,2.00,4.00,6.00,1.00,0.00,2.00,109,NULL,NULL,'CENTRO','AT BELA VISTA','SC',21195,162,NULL,NULL,NULL,NULL,NULL,2,7),(25,6198899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6198902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'NOVO HORIZONTE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6198910,3.00,6.00,1.00,2.00,1.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6198929,7.00,7.00,7.00,6.00,8.00,9.38,4.00,7.00,6.00,212,NULL,201,'CENTRO','CRICIÚMA','SC',1471,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6198953,1.00,4.00,4.00,6.00,7.00,7.13,2.00,5.00,4.00,415,NULL,NULL,'MAR GROSSO','LAGUNA','SC',11542,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6198961,3.00,3.00,1.00,5.00,6.00,10.88,4.00,2.00,1.00,201,NULL,207,'CENTRO','RIO OESTE','SC',13478,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6198970,3.00,7.00,2.00,5.00,8.00,6.75,2.00,4.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6198996,6.00,8.00,3.00,5.00,8.00,10.88,1.00,6.00,2.00,207,NULL,201,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',5784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199011,7.00,7.00,4.00,6.00,9.00,9.38,3.00,8.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6199020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITAJUBA','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6199054,6.00,3.00,1.00,3.00,8.00,NULL,0.00,4.00,5.00,103,NULL,NULL,'FAZENDA SOUZA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199062,4.00,5.00,2.00,5.00,8.00,8.63,0.00,3.00,2.00,103,NULL,NULL,'ZONA RURAL','PERITIBA','SC',11680,3812,NULL,NULL,NULL,NULL,NULL,4,4),(25,6199070,0.00,2.00,2.00,1.00,2.00,NULL,0.00,1.00,1.00,333,NULL,NULL,'PARQUE DOS VINHEDOS','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6199100,2.00,1.00,0.00,6.00,2.00,NULL,1.00,2.00,0.00,207,NULL,212,'CIDADE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6199119,3.00,5.00,0.00,4.00,5.00,6.00,1.00,2.00,1.00,214,NULL,212,'JARDIM ESTADOS UNIDO','JALES','SP',17481,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6199127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6199135,3.00,6.00,1.00,5.00,9.00,10.50,3.00,4.00,0.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',13746,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6199143,8.00,7.00,7.00,7.00,7.00,11.25,5.00,6.00,8.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',1267,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6199160,5.00,6.00,7.00,6.00,9.00,7.88,2.00,3.00,4.00,201,NULL,216,'PARAÍSO','S PAULO','SP',4311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199178,5.00,5.00,2.00,4.00,8.00,8.63,3.00,2.00,2.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12817,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6199186,2.00,3.00,0.00,2.00,5.00,5.63,0.00,2.00,3.00,103,NULL,NULL,'FREI ROGÉRIO','LAGES','SC',21564,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6199216,3.00,4.00,0.00,4.00,6.00,NULL,1.00,1.00,0.00,340,NULL,NULL,'COUNTRY','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6199224,6.00,6.00,3.00,6.00,9.00,10.50,2.00,7.00,4.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199232,3.00,6.00,4.00,3.00,5.00,NULL,0.00,6.00,4.00,318,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199240,3.00,3.00,2.00,4.00,6.00,8.63,2.00,2.00,0.00,653,NULL,213,'RIO MAINA','CRICIÚMA','SC',16430,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6199259,3.00,3.00,0.00,2.00,4.00,7.88,2.00,3.00,3.00,999,NULL,NULL,'CAPISTRANO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199267,2.00,3.00,1.00,4.00,4.00,9.00,1.00,1.00,1.00,301,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6199283,4.00,5.00,0.00,5.00,6.00,7.50,3.00,4.00,4.00,103,NULL,NULL,'CORAL','LAGES','SC',11355,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6199305,4.00,3.00,1.00,1.00,4.00,7.50,1.00,3.00,3.00,201,NULL,207,'INTERIOR','QUILOMBO','SC',18932,1554,NULL,1017,NULL,NULL,NULL,2,4),(25,6199313,5.00,6.00,1.00,7.00,8.00,12.00,1.00,6.00,1.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199321,6.00,6.00,5.00,6.00,7.00,9.38,0.00,5.00,4.00,104,NULL,NULL,'VILA MARIANA','TAIÓ','SC',8989,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6199330,8.00,6.00,6.00,7.00,8.00,7.13,2.00,6.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199348,5.00,6.00,2.00,6.00,8.00,NULL,1.00,2.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6199356,7.00,4.00,3.00,6.00,9.00,9.75,2.00,8.00,7.00,103,NULL,NULL,'PARAÍSO','S PAULO','SP',2873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199364,5.00,6.00,2.00,3.00,5.00,6.00,4.00,6.00,2.00,415,NULL,NULL,'CENTRO','BIGUAÇU','SC',15834,246,NULL,NULL,NULL,NULL,NULL,2,1),(25,6199372,1.00,3.00,0.00,1.00,4.00,6.38,2.00,1.00,2.00,301,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6199380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6199399,3.00,6.00,2.00,3.00,6.00,6.38,3.00,5.00,2.00,426,NULL,425,'SANTOS DUMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199402,2.00,3.00,1.00,1.00,1.00,NULL,2.00,2.00,2.00,234,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6199410,3.00,5.00,2.00,2.00,7.00,7.13,0.00,4.00,2.00,426,NULL,425,'MORROTES','TUBARÃO','SC',18262,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6199429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6199437,3.00,5.00,0.00,5.00,10.00,11.25,0.00,4.00,4.00,450,NULL,NULL,'PARAÍSO','S PAULO','SP',9164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199445,4.00,4.00,3.00,5.00,8.00,7.88,0.00,3.00,5.00,103,NULL,NULL,'TOBIAS','JOAÇABA','SC',10649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199453,2.00,5.00,2.00,3.00,4.00,4.50,2.00,5.00,4.00,309,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',17290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6199461,7.00,4.00,2.00,7.00,7.00,9.75,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','BARBOSA FERRAZ','PR',4575,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6199470,6.00,7.00,4.00,7.00,8.00,6.75,4.00,6.00,4.00,203,NULL,214,'SAO DIMAS','S JOSÉ CAMPOS','SP',4360,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6199488,6.00,7.00,4.00,1.00,8.00,10.13,1.00,7.00,4.00,301,NULL,NULL,'LINHA ARAÇA','SAUDADES','SC',6767,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6199496,6.00,4.00,1.00,5.00,7.00,8.25,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','SANANDUVA','RS',13584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6199500,8.00,5.00,5.00,6.00,8.00,9.38,0.00,3.00,6.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',5821,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6199518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6199526,3.00,4.00,3.00,1.00,5.00,6.00,1.00,2.00,3.00,203,NULL,NULL,'GUAIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6199550,4.00,5.00,5.00,2.00,8.00,9.75,2.00,4.00,3.00,103,NULL,NULL,'ARMAÇAO','PENHA','SC',11742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199569,6.00,8.00,3.00,6.00,8.00,6.75,1.00,4.00,3.00,203,NULL,235,'LAGOINHAS','BAL GAIVOTA','SC',6917,531,NULL,NULL,NULL,NULL,NULL,2,1),(25,6199577,4.00,3.00,0.00,6.00,6.00,NULL,0.00,2.00,3.00,452,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199593,1.00,4.00,0.00,2.00,6.00,6.75,2.00,1.00,1.00,203,NULL,653,'CABEÇUDA','LAGUNA','SC',20115,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6199623,6.00,7.00,2.00,7.00,9.00,8.63,2.00,5.00,6.00,103,NULL,NULL,'VILA LEOPOLDINA','S PAULO','SP',4288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199631,2.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,9),(25,6199640,5.00,5.00,4.00,6.00,5.00,10.13,0.00,3.00,6.00,103,NULL,NULL,'AFONSO CAMARGO','APUCARANA','PR',7334,3032,NULL,NULL,NULL,NULL,NULL,4,8),(25,6199674,3.00,7.00,1.00,5.00,6.00,9.00,2.00,5.00,2.00,429,NULL,425,'CENTRO','PAULO LOPES','SC',12745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199682,3.00,4.00,2.00,6.00,6.00,9.00,2.00,5.00,1.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',14935,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6199690,4.00,3.00,1.00,3.00,5.00,6.75,1.00,0.00,1.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',20461,187,NULL,NULL,NULL,NULL,NULL,2,1),(25,6199720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,233,'OFICINAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6199739,2.00,3.00,0.00,3.00,3.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'FELIPI','S JORGE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6199747,5.00,5.00,1.00,6.00,6.00,NULL,0.00,1.00,4.00,201,NULL,220,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6199763,4.00,6.00,7.00,5.00,8.00,8.25,2.00,6.00,8.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4449,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6199771,7.00,7.00,1.00,7.00,8.00,8.25,2.00,5.00,5.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',5916,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6199780,7.00,6.00,4.00,6.00,6.00,10.13,2.00,4.00,6.00,207,NULL,203,'JARDIM AMÉRICA','RIO SUL','SC',5069,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6199798,5.00,5.00,3.00,5.00,8.00,10.13,5.00,2.00,4.00,999,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6199801,4.00,4.00,4.00,4.00,8.00,7.13,2.00,2.00,6.00,202,NULL,235,'ARIRIU','PALHOÇA','SC',9951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6199828,1.00,6.00,1.00,3.00,7.00,8.25,1.00,2.00,1.00,104,NULL,NULL,'VILA ALEMANHA','LUZERNA','SC',16180,434,NULL,NULL,NULL,NULL,NULL,2,7),(25,6199836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'VILA INDUSTRIAL','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6199852,3.00,3.00,2.00,3.00,7.00,6.00,2.00,1.00,1.00,203,NULL,214,'JARDIM PAULISTA','ARAÇATUBA','SP',18077,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6199860,3.00,3.00,1.00,4.00,7.00,7.88,2.00,1.00,0.00,655,NULL,652,'BARRA DO PINHEIRINHO','JACINTO MACHADO','SC',20627,145,NULL,99,NULL,NULL,NULL,2,15),(25,6199879,3.00,5.00,0.00,7.00,7.00,NULL,2.00,2.00,3.00,421,NULL,423,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6199887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6199895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6199909,4.00,6.00,2.00,7.00,5.00,9.75,2.00,3.00,3.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',10484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6199925,9.00,7.00,6.00,6.00,7.00,10.50,6.00,8.00,7.00,220,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199933,3.00,7.00,0.00,2.00,4.00,8.63,2.00,3.00,4.00,233,NULL,653,'COLONINHA','ARARANGUÁ','SC',13822,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6199941,7.00,7.00,4.00,6.00,8.00,10.50,4.00,4.00,8.00,103,NULL,NULL,'SETE DE SETEMBRO','GASPAR','SC',2439,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6199950,5.00,5.00,3.00,3.00,7.00,8.25,2.00,3.00,4.00,103,NULL,NULL,'CIDADE NOVA','MARINGÁ','PR',10065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6199968,5.00,4.00,3.00,7.00,8.00,7.13,2.00,4.00,5.00,235,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9596,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6199976,7.00,7.00,2.00,6.00,7.00,6.75,2.00,7.00,6.00,415,NULL,NULL,'ZONA V','UMUARAMA','PR',4664,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6199984,6.00,7.00,6.00,7.00,8.00,9.00,3.00,7.00,6.00,201,NULL,212,'ITAGUAÇU','FLORIANÓPOLIS','SC',2133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6200001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6200010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM FACULDADE','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6200028,8.00,5.00,7.00,3.00,8.00,8.63,2.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6200036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6200044,4.00,5.00,3.00,5.00,6.00,8.63,2.00,3.00,2.00,207,NULL,201,'CENTRO','FRANCISCO BELTRÃO','PR',14717,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6200052,5.00,6.00,0.00,4.00,6.00,8.25,3.00,1.00,3.00,104,NULL,NULL,'MICHEL','CRICIÚMA','SC',12874,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6200060,7.00,4.00,1.00,6.00,8.00,8.25,2.00,7.00,4.00,103,NULL,NULL,'CENTRO','ROMELÂNDIA','SC',6525,2835,NULL,NULL,NULL,NULL,NULL,2,4),(25,6200079,3.00,4.00,1.00,5.00,7.00,7.50,1.00,2.00,3.00,5,NULL,NULL,'V SÃO PEDRO','S JOSÉ CAMPOS','SP',13642,475,NULL,NULL,NULL,NULL,NULL,4,1),(25,6200087,7.00,6.00,4.00,7.00,7.00,10.50,1.00,3.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6200095,2.00,4.00,2.00,2.00,3.00,7.13,3.00,2.00,3.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',20782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6200109,6.00,5.00,1.00,6.00,7.00,NULL,0.00,4.00,3.00,327,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6200117,6.00,6.00,3.00,5.00,4.00,7.88,1.00,3.00,4.00,213,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',14642,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6200125,5.00,7.00,4.00,7.00,7.00,7.50,2.00,4.00,2.00,301,NULL,NULL,'VILA ROSA','ITAPETININGA','SP',7906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6200133,6.00,0.00,5.00,0.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GARUVA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6200141,3.00,4.00,6.00,7.00,7.00,10.13,3.00,5.00,6.00,201,NULL,653,'CENTRO','TURVO','SC',6653,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6200150,2.00,3.00,3.00,2.00,4.00,8.63,0.00,1.00,3.00,317,NULL,NULL,'LINHA CONTESSI','TURVO','SC',20292,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6200168,5.00,5.00,1.00,3.00,7.00,8.25,3.00,5.00,6.00,216,NULL,653,'CENTRO','CANOINHAS','SC',8861,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6200176,5.00,3.00,1.00,4.00,4.00,8.63,1.00,2.00,0.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',20480,576,NULL,NULL,NULL,NULL,NULL,2,8),(25,6200184,7.00,6.00,4.00,7.00,9.00,8.63,3.00,6.00,5.00,211,NULL,207,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6200192,5.00,5.00,2.00,0.00,7.00,7.50,3.00,5.00,2.00,203,NULL,235,'RATONES','FLORIANÓPOLIS','SC',14719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6200206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6200214,4.00,2.00,1.00,1.00,5.00,5.25,1.00,5.00,2.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6200230,4.00,6.00,3.00,4.00,8.00,7.50,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8326,NULL,NULL,NULL,NULL,NULL,NULL,4,1);
INSERT INTO boletim_desempenho VALUES (25,6200249,5.00,3.00,1.00,6.00,6.00,8.25,1.00,3.00,2.00,423,NULL,428,'CANASVIEIRAS','FLORIANÓPOLIS','SC',17085,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6200265,8.00,5.00,2.00,5.00,8.00,9.00,2.00,4.00,5.00,103,NULL,NULL,'SANTA FÉ','CPO GRANDE','MS',4805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6200273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6200281,6.00,6.00,2.00,3.00,6.00,9.00,2.00,2.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6200290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA AVIAÇÃO','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6200303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'PEREQUÊ','PTO BELO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6200311,0.00,2.00,0.00,0.00,0.00,NULL,1.00,0.00,2.00,102,NULL,NULL,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(25,6200320,5.00,4.00,1.00,4.00,6.00,8.63,3.00,6.00,8.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7380,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6200338,4.00,3.00,1.00,4.00,6.00,5.25,2.00,3.00,2.00,102,NULL,NULL,'VILA ANGELICA','SOROCABA','SP',20107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6200346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUDAG','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6200354,5.00,5.00,3.00,5.00,5.00,NULL,1.00,1.00,0.00,103,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,3),(25,6200370,4.00,3.00,1.00,1.00,7.00,8.25,1.00,1.00,1.00,415,NULL,NULL,'FLORESTA','MARAVILHA','SC',18156,294,NULL,NULL,NULL,NULL,NULL,4,4),(25,6200389,7.00,7.00,1.00,7.00,9.00,NULL,0.00,4.00,3.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6200397,5.00,6.00,3.00,6.00,8.00,10.13,5.00,6.00,6.00,104,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',4593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6200419,5.00,7.00,2.00,7.00,8.00,8.63,5.00,7.00,4.00,340,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',3701,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6200443,2.00,4.00,0.00,6.00,7.00,10.13,1.00,0.00,2.00,415,NULL,NULL,'RUBEM BERTA','PTO ALEGRE','RS',19038,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6200451,6.00,6.00,3.00,6.00,5.00,6.75,2.00,4.00,2.00,303,NULL,NULL,'CENTRO','S JOSÉ','SC',14119,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6200460,3.00,6.00,2.00,4.00,8.00,9.38,2.00,4.00,2.00,451,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13011,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6200478,4.00,4.00,2.00,4.00,4.00,8.63,3.00,3.00,3.00,103,NULL,NULL,'MILANESE','CRICIÚMA','SC',15053,4228,NULL,NULL,NULL,NULL,NULL,4,5),(25,6200486,5.00,3.00,4.00,5.00,9.00,10.13,1.00,4.00,6.00,216,NULL,215,'CENTRO','CONCÓRDIA','SC',6920,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6200494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6200516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,220,'SAN CONRADO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6200524,6.00,4.00,3.00,5.00,9.00,11.63,2.00,1.00,5.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6200532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6200540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NOVA OLÍMPIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6200575,2.00,5.00,4.00,4.00,6.00,5.25,2.00,5.00,6.00,201,NULL,203,'CENTRO','ITUPORANGA','SC',12466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6200583,3.00,7.00,0.00,6.00,7.00,8.25,0.00,4.00,2.00,601,NULL,235,'GUANABARA','JOINVILLE','SC',14977,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6200613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6200621,1.00,0.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6200630,4.00,5.00,2.00,0.00,7.00,NULL,0.00,1.00,3.00,102,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6200648,4.00,2.00,1.00,3.00,6.00,8.25,1.00,0.00,2.00,103,NULL,NULL,'ENCOSTA DO SOL','S LUDGERO','SC',19061,4592,NULL,NULL,NULL,NULL,NULL,2,10),(25,6200656,5.00,6.00,4.00,5.00,8.00,8.25,2.00,3.00,1.00,429,NULL,426,'CAPOEIRAS','FLORIANÓPOLIS','SC',11804,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6200664,2.00,3.00,2.00,3.00,4.00,7.50,1.00,2.00,1.00,216,NULL,215,'BELA VISTA','LAGES','SC',21346,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6200672,5.00,4.00,0.00,6.00,8.00,10.50,1.00,3.00,2.00,415,NULL,NULL,'PONTA GROSSA','PTO ALEGRE','RS',12229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6200680,3.00,4.00,1.00,3.00,5.00,8.25,1.00,4.00,4.00,5,NULL,NULL,'CENTRO','CAÇADOR','SC',17820,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6200699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'BRASILIA','TREVISO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6200702,0.00,4.00,3.00,1.00,3.00,8.63,1.00,0.00,1.00,601,NULL,NULL,'BOA VISTA','JOINVILLE','SC',21598,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6200710,3.00,4.00,2.00,5.00,5.00,9.38,2.00,2.00,3.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',16054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6200729,1.00,2.00,1.00,0.00,1.00,NULL,1.00,0.00,1.00,211,NULL,201,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6200737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,601,'CENTRO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6200761,2.00,2.00,3.00,5.00,1.00,NULL,2.00,3.00,1.00,404,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6200770,6.00,5.00,4.00,5.00,8.00,6.38,2.00,3.00,5.00,211,NULL,215,'CENTRO','BAURU','SP',10652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6200788,4.00,4.00,3.00,4.00,6.00,6.38,0.00,2.00,2.00,2,NULL,NULL,'FIGUEIRA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6200796,5.00,4.00,1.00,2.00,6.00,5.25,0.00,0.00,2.00,404,NULL,NULL,'CÔRREGO GRANDE','FLORIANÓPOLIS','SC',19647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6200800,1.00,4.00,3.00,2.00,6.00,5.63,1.00,0.00,2.00,652,NULL,653,'CENTRO','ARARANGUÁ','SC',21196,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6200818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6200826,3.00,2.00,0.00,2.00,4.00,NULL,1.00,0.00,2.00,101,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6200869,6.00,7.00,4.00,4.00,6.00,9.38,2.00,7.00,4.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',7428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6200877,1.00,3.00,1.00,3.00,4.00,8.63,1.00,3.00,2.00,316,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',21020,262,NULL,NULL,NULL,NULL,NULL,2,1),(25,6200885,2.00,0.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6200893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6200907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'ANÁPLIS CITY','ANÁPOLIS','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6200915,3.00,5.00,4.00,4.00,5.00,9.38,2.00,5.00,4.00,201,NULL,202,'BARREIROS','S JOSÉ','SC',10327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6200931,3.00,5.00,2.00,4.00,4.00,7.88,2.00,8.00,3.00,337,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',15298,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6200940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6200958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'JARDIM SANTO ANTONIO','APIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6200966,4.00,5.00,2.00,7.00,5.00,9.75,2.00,3.00,4.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',12212,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6200974,5.00,5.00,4.00,4.00,7.00,9.00,1.00,3.00,5.00,102,NULL,NULL,'CENTRO','IRATI','PR',8657,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6200982,4.00,4.00,4.00,4.00,8.00,7.88,1.00,2.00,2.00,302,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',13100,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6200990,9.00,7.00,5.00,5.00,8.00,8.25,2.00,6.00,8.00,103,NULL,NULL,'CENTRO','S JOSÉ CEDRO','SC',1929,1200,NULL,NULL,NULL,NULL,NULL,2,4),(25,6201008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,655,'CENTRO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6201016,3.00,7.00,2.00,3.00,7.00,5.25,3.00,1.00,1.00,326,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6201032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JD ESPLANADA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6201040,1.00,1.00,0.00,3.00,4.00,NULL,3.00,2.00,0.00,428,NULL,427,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201059,6.00,5.00,6.00,4.00,5.00,9.38,2.00,6.00,5.00,211,NULL,233,'JOÃO PAULO','FLORIANÓPOLIS','SC',6093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6201067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6201075,3.00,0.00,4.00,0.00,4.00,NULL,0.00,0.00,0.00,601,NULL,220,'JARDIM SOFIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6201083,4.00,5.00,1.00,6.00,7.00,9.00,0.00,2.00,4.00,340,NULL,NULL,'PONTA VERDE','MACEIÓ','AL',14565,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201091,8.00,6.00,4.00,6.00,10.00,9.38,4.00,3.00,3.00,103,NULL,NULL,'CENTRO','ARMAZÉM','SC',5165,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6201105,3.00,5.00,3.00,3.00,6.00,7.88,2.00,4.00,2.00,319,NULL,NULL,'TESTO REGA','POMERODE','SC',17103,332,NULL,NULL,NULL,NULL,NULL,1,2),(25,6201113,6.00,4.00,2.00,6.00,8.00,8.63,3.00,4.00,4.00,303,NULL,NULL,'JARDIM ALVORADA','STA RITA P QUATRO','SP',7733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6201121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6201130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VALPARAISO UM','VALPARAÍSO GOIÁS','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6201156,2.00,4.00,0.00,3.00,5.00,NULL,1.00,0.00,0.00,103,NULL,NULL,'ENSEADA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6201164,4.00,4.00,4.00,2.00,6.00,8.63,1.00,4.00,3.00,235,NULL,203,'CAPOEIRAS','FLORIANÓPOLIS','SC',13846,322,NULL,882,NULL,NULL,NULL,4,1),(25,6201172,6.00,7.00,6.00,7.00,9.00,8.63,6.00,7.00,6.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',1385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6201180,2.00,5.00,2.00,2.00,3.00,6.75,0.00,7.00,1.00,329,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6201199,2.00,2.00,0.00,5.00,6.00,8.25,3.00,2.00,1.00,310,NULL,NULL,'MARTORANO','S JOAQUIM','SC',19841,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6201202,0.00,4.00,4.00,0.00,6.00,7.88,2.00,0.00,0.00,301,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6201229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6201237,6.00,4.00,1.00,3.00,9.00,9.75,3.00,3.00,2.00,211,NULL,NULL,'ESPINHEIRINHOS','ITAJAÍ','SC',12407,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6201253,9.00,4.00,2.00,5.00,10.00,9.75,1.00,2.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6201261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM SÃO ROBERTO','AMPARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6201270,2.00,5.00,1.00,2.00,4.00,6.75,3.00,3.00,3.00,601,NULL,208,'ITAUM','JOINVILLE','SC',19489,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6201288,4.00,3.00,0.00,3.00,8.00,NULL,1.00,2.00,0.00,302,NULL,NULL,'SEMINARIO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6201296,5.00,3.00,1.00,3.00,6.00,8.25,1.00,3.00,3.00,340,NULL,NULL,'JARDIM POPI','BIRIGÜI','SP',15100,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6201300,2.00,3.00,0.00,3.00,5.00,NULL,0.00,1.00,0.00,415,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6201326,3.00,4.00,2.00,4.00,8.00,8.63,1.00,3.00,4.00,203,NULL,212,'CENTRO','RIO NEGRO','PR',12557,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6201334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MONTREAL','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6201342,9.00,9.00,6.00,6.00,11.00,10.88,6.00,8.00,9.00,103,NULL,NULL,'PARANÁ DO OESTE','MOREIRA SALES','PR',31,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6201350,3.00,7.00,1.00,3.00,4.00,7.50,4.00,2.00,2.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6201369,7.00,8.00,6.00,6.00,9.00,9.75,2.00,6.00,6.00,103,NULL,NULL,'JARDIM ANA NEUSA','MAL CÂNDIDO RONDON','PR',1968,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6201385,6.00,5.00,3.00,7.00,8.00,7.13,4.00,4.00,7.00,103,NULL,NULL,'JARDIM BELA VISTA','ITAPIRANGA','SC',3941,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6201393,4.00,0.00,0.00,0.00,5.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','BOM JESUS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(25,6201415,6.00,3.00,1.00,1.00,6.00,5.25,1.00,3.00,3.00,340,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6201431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'SALTINHO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6201440,5.00,6.00,4.00,3.00,9.00,9.00,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',8618,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201458,3.00,4.00,3.00,4.00,8.00,11.25,1.00,2.00,3.00,234,NULL,NULL,'MAR GROSSO','LAGUNA','SC',13321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201466,4.00,5.00,1.00,5.00,5.00,10.13,1.00,2.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15957,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6201474,8.00,6.00,4.00,6.00,6.00,8.63,4.00,8.00,7.00,103,NULL,NULL,'MEDIANEIRA','STA MARIA','RS',1680,1060,NULL,NULL,NULL,NULL,NULL,4,1),(25,6201482,4.00,6.00,1.00,3.00,8.00,9.38,3.00,5.00,4.00,102,NULL,NULL,'PAGARÁ','STO AMARO IMPERATRIZ','SC',11653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201504,3.00,6.00,4.00,5.00,4.00,6.75,2.00,3.00,2.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6201520,7.00,7.00,6.00,5.00,7.00,9.00,2.00,8.00,8.00,303,NULL,NULL,'JARDIM MARAVILHA','MARINGÁ','PR',1843,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201539,8.00,8.00,8.00,8.00,9.00,11.63,7.00,8.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',58,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6201547,1.00,3.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'SÃO CRISTÓVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6201563,6.00,6.00,3.00,4.00,10.00,6.38,2.00,5.00,3.00,310,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',9389,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6201571,6.00,6.00,7.00,3.00,8.00,12.75,2.00,6.00,6.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',2671,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201580,8.00,7.00,4.00,4.00,9.00,7.88,4.00,8.00,6.00,211,NULL,601,'BARREIROS','S JOSÉ','SC',2843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6201598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6201601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6201610,5.00,6.00,4.00,7.00,9.00,8.25,1.00,6.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6201628,4.00,3.00,0.00,3.00,3.00,NULL,0.00,1.00,2.00,238,NULL,208,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201636,2.00,3.00,5.00,6.00,5.00,6.38,1.00,0.00,4.00,318,NULL,NULL,'JARDIM MARIA LUIZA','CASCAVEL','PR',14788,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6201644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA BOA VISTA','ITUMBIARA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6201652,5.00,2.00,1.00,3.00,8.00,7.50,5.00,1.00,2.00,110,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',18655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201660,7.00,5.00,4.00,7.00,7.00,9.38,0.00,5.00,6.00,207,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',4520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6201687,7.00,4.00,4.00,5.00,8.00,7.13,5.00,6.00,6.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',4522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6201695,2.00,4.00,0.00,3.00,3.00,7.13,1.00,4.00,3.00,444,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',20559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6201717,7.00,5.00,1.00,4.00,5.00,7.88,2.00,8.00,6.00,104,NULL,NULL,'TAJUBA I','S JOÃO BATISTA','SC',8284,149,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201733,4.00,6.00,4.00,6.00,6.00,10.50,2.00,7.00,7.00,201,NULL,601,'COQUEIROS','FLORIANÓPOLIS','SC',5119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6201741,2.00,4.00,2.00,2.00,5.00,9.00,3.00,1.00,1.00,333,NULL,NULL,'MOOCA','S PAULO','SP',19833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201750,5.00,6.00,1.00,6.00,8.00,10.13,2.00,5.00,2.00,420,NULL,NULL,'TIJUCO DAS TELHAS','CAMPINAS','SP',8601,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6201768,8.00,7.00,1.00,6.00,9.00,9.00,3.00,8.00,7.00,303,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',2240,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201784,4.00,7.00,0.00,4.00,3.00,7.50,0.00,1.00,3.00,309,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201792,4.00,5.00,1.00,6.00,5.00,7.13,3.00,1.00,1.00,327,NULL,NULL,'SANTA TEREZINHA','BRUSQUE','SC',18536,52,NULL,NULL,NULL,NULL,NULL,4,2),(25,6201806,8.00,7.00,5.00,4.00,9.00,12.38,5.00,6.00,7.00,103,NULL,NULL,'NAZARE','MEDIANEIRA','PR',1162,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6201822,2.00,1.00,1.00,3.00,7.00,7.88,1.00,0.00,2.00,208,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201830,3.00,6.00,5.00,3.00,6.00,6.75,3.00,5.00,3.00,103,NULL,NULL,'SAGRADO CORAÇÃO','LAGES','SC',9898,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6201849,5.00,7.00,0.00,6.00,7.00,NULL,1.00,3.00,1.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201857,0.00,4.00,1.00,1.00,2.00,NULL,2.00,4.00,2.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201865,3.00,3.00,2.00,4.00,4.00,9.00,2.00,1.00,2.00,220,NULL,653,'INTERIOR','XANXERÊ','SC',17904,451,NULL,177,NULL,NULL,NULL,4,4),(25,6201873,3.00,7.00,3.00,3.00,6.00,5.25,1.00,5.00,3.00,238,NULL,220,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',16524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6201890,4.00,4.00,3.00,6.00,5.00,7.13,1.00,1.00,4.00,211,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',15676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201911,5.00,4.00,2.00,4.00,7.00,8.63,0.00,2.00,1.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',18014,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6201920,4.00,5.00,1.00,3.00,9.00,7.50,1.00,0.00,7.00,214,NULL,601,'PANTANAL','FLORIANÓPOLIS','SC',13975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6201938,2.00,6.00,5.00,3.00,6.00,NULL,0.00,5.00,1.00,223,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6201946,4.00,6.00,1.00,3.00,3.00,6.75,2.00,3.00,1.00,333,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201954,3.00,5.00,1.00,7.00,8.00,7.13,1.00,4.00,3.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',10722,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6201989,4.00,3.00,2.00,4.00,6.00,NULL,0.00,4.00,2.00,103,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6201997,2.00,5.00,1.00,6.00,6.00,9.75,2.00,4.00,2.00,327,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6202004,1.00,4.00,2.00,3.00,4.00,NULL,3.00,0.00,4.00,238,NULL,652,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6202012,3.00,3.00,2.00,4.00,5.00,4.88,1.00,4.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18277,201,NULL,NULL,NULL,NULL,NULL,2,1),(25,6202039,6.00,5.00,2.00,5.00,3.00,9.00,2.00,4.00,3.00,503,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6202047,5.00,6.00,3.00,6.00,8.00,10.88,4.00,8.00,5.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',3533,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6202055,1.00,4.00,3.00,3.00,4.00,NULL,2.00,0.00,0.00,551,NULL,NULL,'ITARARÉ','S JOSÉ CERRITO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6202063,3.00,2.00,2.00,1.00,3.00,3.75,2.00,5.00,1.00,309,NULL,NULL,'JARDIM SAO NICOLAU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6202071,6.00,5.00,4.00,8.00,9.00,9.00,4.00,6.00,4.00,103,NULL,NULL,'VILA SANTO ANTONINHO','OSASCO','SP',3597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202080,3.00,5.00,2.00,3.00,4.00,6.75,3.00,2.00,4.00,502,NULL,NULL,'CENTRO','ASSIS','SP',17270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NS SRA APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6202128,4.00,1.00,0.00,3.00,5.00,6.75,0.00,2.00,4.00,109,NULL,NULL,'NOVA BRASILIA','JOINVILLE','SC',19238,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6202136,3.00,3.00,0.00,4.00,6.00,7.13,1.00,2.00,2.00,601,NULL,211,'COLONIAL','S BENTO SUL','SC',17059,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6202152,8.00,7.00,1.00,4.00,9.00,11.25,3.00,7.00,7.00,415,NULL,NULL,'CADORIN','PATO BRANCO','PR',2789,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6202160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MORRO VERDE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6202179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,216,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6202195,5.00,4.00,2.00,6.00,8.00,7.13,2.00,3.00,2.00,103,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',10655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6202209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','MARAU','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6202217,4.00,2.00,1.00,1.00,2.00,NULL,2.00,1.00,3.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202225,8.00,8.00,4.00,6.00,9.00,7.88,3.00,7.00,5.00,238,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',2114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202233,2.00,4.00,3.00,7.00,3.00,NULL,0.00,8.00,2.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6202241,6.00,7.00,2.00,6.00,10.00,12.38,0.00,6.00,4.00,340,NULL,NULL,'CENTRO','MANGUEIRINHA','PR',3799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202250,7.00,5.00,4.00,5.00,7.00,7.50,2.00,3.00,6.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202268,3.00,5.00,0.00,5.00,6.00,NULL,2.00,4.00,1.00,333,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202276,3.00,4.00,4.00,6.00,9.00,7.88,0.00,3.00,7.00,103,NULL,NULL,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',11571,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6202284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MACHADO','MINEIROS','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6202292,3.00,4.00,1.00,3.00,5.00,8.25,2.00,3.00,1.00,501,NULL,NULL,'ESPLANADA','CHAPECÓ','SC',15891,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6202306,6.00,5.00,5.00,6.00,6.00,8.25,2.00,6.00,6.00,655,NULL,208,'CENTRO','CRICIÚMA','SC',7005,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6202314,6.00,5.00,4.00,4.00,6.00,8.25,2.00,6.00,6.00,5,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',8328,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6202322,2.00,1.00,1.00,2.00,2.00,NULL,2.00,1.00,0.00,203,NULL,214,'CENTRO','S DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6202330,8.00,6.00,2.00,7.00,10.00,12.38,2.00,9.00,8.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',1467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202349,8.00,6.00,1.00,6.00,9.00,10.50,0.00,6.00,2.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',8371,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6202357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM PINHEIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6202365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PARQUE DAS CAMÉLIAS','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6202373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CHACARA JAFET','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6202381,4.00,5.00,3.00,4.00,6.00,6.75,3.00,3.00,1.00,5,NULL,NULL,'CENTRO','PEDRAS GRANDES','SC',16081,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6202403,6.00,3.00,1.00,5.00,8.00,9.75,2.00,2.00,6.00,104,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',8671,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6202420,5.00,4.00,3.00,7.00,8.00,7.88,3.00,4.00,5.00,102,NULL,NULL,'TESTO REGA','POMERODE','SC',7557,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(25,6202438,2.00,3.00,1.00,2.00,6.00,6.75,1.00,3.00,0.00,451,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202446,3.00,2.00,1.00,4.00,3.00,NULL,0.00,0.00,0.00,201,NULL,202,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202454,3.00,7.00,0.00,5.00,5.00,8.25,1.00,6.00,4.00,319,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',15798,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6202470,5.00,5.00,3.00,7.00,6.00,8.63,2.00,6.00,4.00,214,NULL,213,'BOM ABRIGO','FLORIANÓPOLIS','SC',7923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202497,7.00,5.00,3.00,2.00,7.00,7.13,1.00,5.00,5.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11654,261,NULL,NULL,NULL,NULL,NULL,2,1),(25,6202500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'COLATTO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6202519,2.00,2.00,1.00,4.00,5.00,8.63,0.00,3.00,2.00,999,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6202535,4.00,7.00,0.00,5.00,7.00,9.75,1.00,3.00,2.00,452,NULL,NULL,'VILA ANTARTICA','BOTUCATU','SP',11041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202543,5.00,4.00,2.00,6.00,5.00,7.50,1.00,2.00,5.00,207,NULL,238,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',13386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202551,6.00,7.00,2.00,3.00,7.00,8.63,1.00,2.00,5.00,502,NULL,NULL,'JARDIM IRIRIÚ','JOINVILLE','SC',13797,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6202560,1.00,3.00,1.00,3.00,3.00,8.63,3.00,2.00,1.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202586,5.00,3.00,3.00,2.00,8.00,10.88,1.00,5.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',10207,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6202594,3.00,6.00,2.00,5.00,7.00,8.63,1.00,6.00,4.00,999,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6202624,6.00,7.00,2.00,6.00,7.00,9.75,1.00,1.00,1.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'MORRO DOS CONVENTOS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6202667,4.00,4.00,3.00,7.00,8.00,8.63,2.00,7.00,6.00,5,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',5005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202675,5.00,7.00,5.00,6.00,8.00,7.13,3.00,7.00,6.00,208,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202683,2.00,2.00,0.00,3.00,5.00,NULL,3.00,2.00,0.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6202721,3.00,6.00,2.00,4.00,7.00,6.75,1.00,1.00,4.00,202,NULL,220,'DOM BOSCO','LONDRINA','PR',13214,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6202730,4.00,5.00,3.00,7.00,6.00,6.38,1.00,3.00,4.00,203,NULL,208,'CENTRO','TURVO','SC',11069,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6202748,3.00,4.00,3.00,3.00,6.00,5.63,1.00,4.00,3.00,103,NULL,NULL,'EUGENIO SCHINEIDER','RIO SUL','SC',19232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202756,6.00,5.00,5.00,5.00,9.00,8.25,2.00,5.00,7.00,103,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',5074,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6202764,3.00,6.00,2.00,3.00,6.00,6.75,0.00,2.00,4.00,103,NULL,NULL,'ERICA','PANAMBI','RS',15754,4300,NULL,NULL,NULL,NULL,NULL,2,3),(25,6202772,3.00,4.00,2.00,5.00,6.00,11.25,2.00,5.00,3.00,451,NULL,NULL,'CENTRO','ATALANTA','SC',13701,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6202780,3.00,5.00,3.00,4.00,5.00,9.75,1.00,1.00,0.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18958,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6202799,3.00,4.00,0.00,3.00,4.00,6.75,3.00,2.00,3.00,329,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18617,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6202802,7.00,8.00,2.00,4.00,8.00,9.00,1.00,8.00,6.00,103,NULL,NULL,'ESPINHEIROS','JOINVILLE','SC',4793,2355,NULL,NULL,NULL,NULL,NULL,4,8),(25,6202810,5.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'JORDÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6202829,3.00,5.00,2.00,4.00,3.00,6.38,2.00,2.00,1.00,999,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6202845,7.00,6.00,6.00,3.00,8.00,10.50,5.00,7.00,5.00,216,NULL,215,'CENTRO','CRICIÚMA','SC',3069,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6202853,6.00,7.00,6.00,5.00,7.00,8.63,1.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202861,8.00,7.00,5.00,7.00,8.00,9.00,4.00,3.00,6.00,220,NULL,238,'ITACORUBI','FLORIANÓPOLIS','SC',3112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202870,9.00,0.00,3.00,6.00,10.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BONSUCESSO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6202888,5.00,4.00,5.00,5.00,7.00,NULL,0.00,3.00,5.00,103,NULL,NULL,'CENTRO','S MIGUEL IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6202896,9.00,8.00,5.00,7.00,9.00,9.38,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','SIQUEIRA CAMPOS','PR',461,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6202900,5.00,5.00,4.00,5.00,7.00,8.25,2.00,5.00,3.00,108,NULL,NULL,'CENTRO','ITAIÓPOLIS','SC',8531,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6202918,4.00,6.00,0.00,6.00,6.00,6.75,1.00,6.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202926,5.00,8.00,3.00,6.00,7.00,7.88,4.00,3.00,4.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202934,7.00,7.00,2.00,7.00,8.00,11.25,4.00,5.00,5.00,103,NULL,NULL,'CERQUEIRA CESAR','S PAULO','SP',2982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6202942,5.00,5.00,4.00,4.00,7.00,7.50,1.00,5.00,4.00,235,NULL,203,'CENTRO','CIDADE GAÚCHA','PR',10421,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6202950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','MTE ALEGRE SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6202969,4.00,4.00,2.00,5.00,6.00,9.75,1.00,2.00,2.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14270,214,NULL,NULL,NULL,NULL,NULL,2,1),(25,6202977,6.00,6.00,2.00,6.00,7.00,9.38,2.00,5.00,5.00,211,NULL,233,'CENTRO','BAL ARROIO SILVA','SC',5386,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6202985,2.00,2.00,0.00,3.00,2.00,NULL,2.00,1.00,3.00,9,NULL,NULL,'COLONIAL','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6202993,4.00,4.00,2.00,4.00,7.00,6.75,1.00,2.00,1.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19614,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6203019,4.00,5.00,5.00,5.00,7.00,9.75,2.00,6.00,3.00,601,NULL,202,'PROGRESSO','S BENTO SUL','SC',6436,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6203035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'SANTIAGO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6203043,7.00,6.00,4.00,6.00,8.00,8.63,4.00,6.00,6.00,304,NULL,NULL,'VISTA ALEGRE','CONCÓRDIA','SC',3442,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6203051,5.00,8.00,4.00,4.00,8.00,8.25,3.00,7.00,4.00,207,NULL,211,'CENTRO','TUBARÃO','SC',6100,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6203060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LA SALLE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6203078,7.00,6.00,2.00,4.00,10.00,9.38,3.00,6.00,7.00,103,NULL,NULL,'JARDIM AEROPORTO','PTO FERREIRA','SP',2836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203086,7.00,7.00,5.00,5.00,9.00,9.75,1.00,8.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2611,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203094,7.00,8.00,3.00,5.00,7.00,8.63,2.00,6.00,7.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',3509,1897,NULL,NULL,NULL,NULL,NULL,2,8),(25,6203108,3.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,1.00,201,NULL,208,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6203124,8.00,3.00,5.00,7.00,7.00,11.25,2.00,6.00,8.00,103,NULL,NULL,'JARDIM ACEMA','MARINGÁ','PR',3287,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6203132,7.00,5.00,7.00,6.00,9.00,8.25,7.00,6.00,8.00,203,NULL,216,'BROTAS','SALVADOR','BA',885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203140,3.00,5.00,4.00,4.00,8.00,7.13,4.00,5.00,7.00,201,NULL,216,'BOM ABRIGO','FLORIANÓPOLIS','SC',7154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'RONDINHA','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6203167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6203175,3.00,5.00,1.00,4.00,5.00,7.50,2.00,3.00,4.00,103,NULL,NULL,'FÁTIMA','VACARIA','RS',16208,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6203183,4.00,6.00,2.00,5.00,10.00,9.00,3.00,7.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6203205,2.00,1.00,1.00,3.00,5.00,8.63,1.00,1.00,1.00,303,NULL,NULL,'SANTA TEREZINHA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6203213,4.00,3.00,2.00,3.00,8.00,7.50,3.00,5.00,1.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203221,2.00,5.00,2.00,4.00,2.00,NULL,0.00,4.00,1.00,654,NULL,NULL,'JARDIM ITALIA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,15),(25,6203230,5.00,5.00,3.00,5.00,7.00,10.50,2.00,7.00,6.00,109,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',7972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203248,4.00,6.00,2.00,6.00,5.00,7.88,2.00,1.00,4.00,654,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',16713,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203256,2.00,5.00,0.00,7.00,5.00,NULL,3.00,2.00,1.00,453,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203264,2.00,4.00,1.00,2.00,4.00,7.13,1.00,0.00,2.00,332,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',21447,64,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203272,3.00,5.00,3.00,4.00,7.00,9.75,2.00,3.00,2.00,207,NULL,212,'COLONINHA','FLORIANÓPOLIS','SC',12289,650,NULL,359,NULL,NULL,NULL,2,1),(25,6203299,4.00,3.00,5.00,7.00,9.00,10.88,2.00,3.00,5.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203302,4.00,6.00,4.00,5.00,5.00,9.75,0.00,6.00,4.00,452,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',10686,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6203310,2.00,5.00,2.00,3.00,5.00,6.00,3.00,1.00,2.00,203,NULL,202,'LINHA SANTA RITA','ENTRE R SUL','RS',20541,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6203337,5.00,6.00,1.00,5.00,9.00,11.25,2.00,4.00,2.00,310,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203345,3.00,3.00,2.00,5.00,7.00,9.00,2.00,3.00,3.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203353,4.00,5.00,3.00,0.00,6.00,7.88,2.00,2.00,5.00,103,NULL,NULL,'ALTO DO IPIRANGA','S PAULO','SP',12731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6203370,3.00,6.00,0.00,3.00,6.00,NULL,2.00,2.00,3.00,5,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'VILA VITÓRIA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6203400,3.00,4.00,1.00,1.00,5.00,8.25,4.00,1.00,2.00,452,NULL,NULL,'VILA MONTEIRO','PIRACICABA','SP',18447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203418,7.00,5.00,5.00,5.00,7.00,8.25,5.00,6.00,9.00,103,NULL,NULL,'BOQUEIRAO','CURITIBA','PR',2592,1540,NULL,NULL,NULL,NULL,NULL,2,8),(25,6203426,6.00,7.00,5.00,6.00,8.00,10.13,4.00,4.00,6.00,207,NULL,201,'AGRONOMICA','FLORIANÓPOLIS','SC',2770,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6203442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','PASSOS MAIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6203450,6.00,5.00,5.00,6.00,6.00,9.38,7.00,8.00,8.00,203,NULL,214,'CARIANOS','FLORIANÓPOLIS','SC',2019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203469,5.00,4.00,2.00,4.00,8.00,6.75,3.00,5.00,1.00,235,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',14299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203477,4.00,6.00,2.00,4.00,6.00,8.25,1.00,7.00,6.00,235,NULL,601,'SERRARIA','S JOSÉ','SC',9743,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203507,8.00,5.00,3.00,4.00,8.00,6.75,3.00,7.00,4.00,331,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',7842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203515,2.00,4.00,3.00,3.00,4.00,6.38,1.00,3.00,2.00,211,NULL,601,'BARREIROS','S JOSÉ','SC',16885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203523,3.00,3.00,0.00,5.00,9.00,7.50,2.00,3.00,3.00,426,NULL,428,'PANTANAL','FLORIANÓPOLIS','SC',17117,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203540,4.00,4.00,2.00,5.00,3.00,5.63,3.00,2.00,1.00,214,NULL,233,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',19792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203558,6.00,5.00,4.00,4.00,6.00,9.38,3.00,1.00,8.00,216,NULL,233,'VILA YOLANDA','FOZ IGUAÇU','PR',6587,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6203566,5.00,7.00,1.00,6.00,9.00,10.50,1.00,3.00,6.00,108,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',7499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203574,5.00,6.00,2.00,6.00,9.00,10.13,0.00,7.00,3.00,601,NULL,212,'FLORESTA','JOINVILLE','SC',7932,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6203582,3.00,7.00,2.00,2.00,7.00,7.50,2.00,3.00,2.00,426,NULL,428,'FORQUILHAS','S JOSÉ','SC',17353,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COLÔNIA VITÓRIA','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',1,1),(25,6203604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6203612,5.00,5.00,2.00,6.00,8.00,11.63,0.00,5.00,4.00,340,NULL,NULL,'CENTRO','TIMBÓ','SC',8011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203620,3.00,4.00,4.00,6.00,7.00,9.38,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',13138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203647,5.00,7.00,0.00,7.00,8.00,NULL,0.00,5.00,4.00,303,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6203655,5.00,5.00,4.00,6.00,9.00,8.63,0.00,5.00,3.00,999,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6203663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6203671,3.00,3.00,2.00,5.00,9.00,10.13,0.00,2.00,2.00,103,NULL,NULL,'BELA VISTA','CHAPECÓ','SC',13602,4077,NULL,NULL,NULL,NULL,NULL,4,4),(25,6203680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'NOVA PETRÓPOLIS','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6203698,7.00,3.00,4.00,7.00,8.00,10.13,3.00,3.00,6.00,214,NULL,233,'JARDIM GLÓRIA','AMERICANA','SP',5349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203701,2.00,3.00,0.00,1.00,4.00,NULL,1.00,0.00,0.00,238,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203710,5.00,5.00,0.00,7.00,6.00,7.50,3.00,6.00,3.00,999,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203728,9.00,8.00,7.00,7.00,11.00,12.38,7.00,8.00,9.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',14,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203736,0.00,3.00,0.00,4.00,6.00,NULL,1.00,1.00,2.00,101,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203744,3.00,4.00,1.00,4.00,5.00,9.00,1.00,3.00,2.00,3,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',16421,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MONTEIRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6203760,2.00,2.00,1.00,4.00,4.00,7.50,1.00,3.00,1.00,208,NULL,238,'VINTE CINCO JULHO','S BENTO SUL','SC',20510,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6203779,6.00,6.00,1.00,4.00,9.00,11.25,1.00,5.00,5.00,420,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6203795,4.00,5.00,1.00,6.00,6.00,6.38,0.00,6.00,2.00,2,NULL,NULL,'CENTRO','PLANALTO','RS',12623,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6203809,6.00,5.00,1.00,4.00,7.00,7.50,2.00,6.00,5.00,303,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',7944,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6203817,4.00,4.00,1.00,5.00,6.00,NULL,0.00,0.00,4.00,452,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203825,2.00,7.00,5.00,3.00,6.00,9.00,2.00,8.00,6.00,212,NULL,211,'ARMAÇÃO PANTANO DO S','FLORIANÓPOLIS','SC',6298,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203833,5.00,7.00,4.00,7.00,9.00,10.88,2.00,5.00,7.00,601,NULL,220,'GLÓRIA','JOINVILLE','SC',3135,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6203850,4.00,3.00,3.00,4.00,7.00,11.63,1.00,3.00,4.00,303,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',14566,669,NULL,NULL,NULL,NULL,NULL,4,1),(25,6203884,1.00,3.00,0.00,3.00,4.00,5.25,0.00,0.00,2.00,302,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',21774,207,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6203906,3.00,4.00,0.00,3.00,7.00,NULL,3.00,3.00,1.00,301,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203914,3.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,207,NULL,216,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6203922,4.00,4.00,3.00,2.00,4.00,5.63,0.00,1.00,4.00,201,NULL,203,'CENTRO','DESCANSO','SC',18526,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6203930,3.00,7.00,1.00,3.00,7.00,8.25,0.00,6.00,1.00,503,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16273,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PROSPERA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6203957,2.00,5.00,2.00,5.00,5.00,5.25,1.00,2.00,4.00,234,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',17722,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203965,6.00,5.00,3.00,6.00,10.00,10.50,3.00,2.00,7.00,104,NULL,NULL,'AGUA VERDE','CURITIBA','PR',5041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6203990,5.00,6.00,3.00,4.00,7.00,9.00,0.00,6.00,3.00,328,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6204007,4.00,5.00,3.00,4.00,7.00,6.00,1.00,7.00,4.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',11285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6204015,4.00,5.00,0.00,4.00,5.00,NULL,3.00,2.00,1.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6204023,6.00,8.00,3.00,6.00,7.00,6.00,2.00,3.00,5.00,203,NULL,214,'URUSSANGUINHA','ARARANGUÁ','SC',8378,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6204040,5.00,3.00,2.00,4.00,6.00,5.63,1.00,1.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6204058,6.00,6.00,3.00,7.00,8.00,10.13,1.00,4.00,6.00,303,NULL,NULL,'ASA SUL','BRASÍLIA','DF',4847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6204066,5.00,8.00,3.00,6.00,8.00,7.13,2.00,6.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6204082,4.00,2.00,2.00,2.00,4.00,5.63,2.00,4.00,2.00,328,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6204090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6204104,3.00,5.00,2.00,2.00,4.00,7.50,1.00,3.00,5.00,216,NULL,215,'CRUZEIRO DO SUL','JOAÇABA','SC',18349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6204112,3.00,5.00,0.00,5.00,6.00,NULL,0.00,2.00,2.00,655,NULL,220,'PARQUE DAS PALMEIRAS','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6204120,1.00,6.00,0.00,3.00,4.00,8.63,4.00,3.00,2.00,332,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17082,46,NULL,NULL,NULL,NULL,NULL,2,1),(25,6204139,9.00,5.00,9.00,7.00,9.00,8.25,4.00,5.00,9.00,103,NULL,NULL,'VILA LIANE','PNT GROSSA','PR',1104,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6204147,8.00,6.00,3.00,7.00,8.00,12.75,2.00,5.00,4.00,104,NULL,NULL,'CENTRO','S JOSÉ','SC',2698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6204155,2.00,3.00,1.00,3.00,4.00,NULL,1.00,2.00,1.00,999,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6204163,7.00,8.00,6.00,7.00,10.00,11.63,4.00,8.00,8.00,202,NULL,203,'COLONINHA','GASPAR','SC',530,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6204171,4.00,7.00,4.00,7.00,9.00,7.88,1.00,5.00,3.00,203,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',9089,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6204180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'GLÓRIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6204198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6204201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'JARDIM BANDEIRANTES','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6204210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6204236,6.00,6.00,3.00,6.00,11.00,9.75,2.00,5.00,6.00,103,NULL,NULL,'CRISTO REDENTOR','PTO ALEGRE','RS',3232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6204244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6204260,5.00,5.00,3.00,5.00,7.00,7.50,2.00,3.00,5.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',8234,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6204287,2.00,3.00,2.00,2.00,4.00,NULL,2.00,0.00,0.00,5,NULL,NULL,'VÁRZEA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6204295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6204309,8.00,5.00,3.00,7.00,8.00,7.13,4.00,5.00,7.00,103,NULL,NULL,'BARRA DO SAI MIRIM','ITAPOÁ','SC',4650,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6204317,0.00,2.00,2.00,2.00,4.00,6.75,4.00,2.00,1.00,208,NULL,238,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6204325,6.00,6.00,1.00,4.00,10.00,9.00,2.00,4.00,5.00,109,NULL,NULL,'BARREIROS','S JOSÉ','SC',7139,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6204350,1.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6204368,4.00,5.00,4.00,6.00,8.00,8.63,3.00,4.00,6.00,208,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',5926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6204384,3.00,4.00,2.00,5.00,5.00,8.25,3.00,2.00,6.00,303,NULL,NULL,'CENTRO','CANOINHAS','SC',12708,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6204392,5.00,6.00,1.00,6.00,9.00,10.13,0.00,4.00,3.00,9,NULL,NULL,'AMÉRICA','JOINVILLE','SC',8148,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6204414,2.00,2.00,2.00,3.00,4.00,NULL,1.00,0.00,0.00,317,NULL,NULL,'AVAÍ','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6204422,6.00,5.00,3.00,3.00,7.00,7.50,4.00,5.00,7.00,103,NULL,NULL,'IGUAÇU','LONDRINA','PR',6656,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6204430,3.00,6.00,1.00,5.00,7.00,7.50,2.00,5.00,1.00,309,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',16045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6204449,4.00,4.00,3.00,6.00,7.00,7.13,3.00,6.00,3.00,336,NULL,NULL,'IMIGRANTES','CRICIÚMA','SC',9288,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6204457,6.00,8.00,4.00,1.00,8.00,10.88,1.00,6.00,7.00,601,NULL,201,'UMARIZAL','BELÉM','PA',3757,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6204473,9.00,6.00,5.00,5.00,10.00,11.25,6.00,8.00,8.00,103,NULL,NULL,'JARDIM EUROPA II','ASSIS','SP',287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6204481,3.00,3.00,0.00,1.00,7.00,9.00,1.00,2.00,1.00,444,NULL,NULL,'ASILO','BLUMENAU','SC',20837,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6204490,2.00,4.00,5.00,4.00,5.00,8.25,3.00,2.00,4.00,201,NULL,212,'KOBRASOL','S JOSÉ','SC',16503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6204503,5.00,7.00,5.00,7.00,8.00,9.75,4.00,7.00,6.00,201,NULL,212,'CORREGO GRANDE','FLORIANÓPOLIS','SC',1283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6204520,8.00,4.00,2.00,5.00,8.00,NULL,0.00,5.00,4.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6204538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6204554,5.00,6.00,3.00,6.00,8.00,6.75,1.00,5.00,6.00,103,NULL,NULL,'CENTRO','S VICENTE','SP',7131,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6204562,3.00,4.00,0.00,2.00,5.00,9.00,0.00,1.00,4.00,103,NULL,NULL,'CENTRO','CAXAMBU SUL','SC',17910,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6204570,3.00,3.00,3.00,4.00,4.00,6.00,2.00,3.00,2.00,301,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',19909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6204589,7.00,5.00,7.00,6.00,7.00,7.50,1.00,4.00,5.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',5455,2548,NULL,NULL,NULL,NULL,NULL,2,7),(25,6204600,5.00,4.00,3.00,6.00,5.00,10.50,2.00,4.00,3.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11186,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6204627,3.00,2.00,0.00,2.00,4.00,3.75,2.00,2.00,2.00,427,NULL,423,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6204635,3.00,4.00,2.00,2.00,6.00,NULL,0.00,4.00,0.00,452,NULL,NULL,'NEVEGANTES','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6204643,7.00,5.00,4.00,4.00,7.00,9.00,2.00,7.00,7.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',3213,1787,NULL,NULL,NULL,NULL,NULL,4,4),(25,6204651,7.00,4.00,2.00,4.00,8.00,10.88,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','MONDAÍ','SC',7907,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6204660,2.00,6.00,2.00,6.00,6.00,7.13,2.00,7.00,4.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6204678,4.00,2.00,0.00,3.00,5.00,NULL,1.00,3.00,0.00,207,NULL,208,'SÃO CRISTOVÃO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6204686,2.00,3.00,0.00,3.00,8.00,7.88,2.00,2.00,1.00,104,NULL,NULL,'LINHA JAGUATERICA','IPUMIRIM','SC',18110,501,NULL,NULL,NULL,NULL,NULL,2,4),(25,6204694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,426,'SAIC','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6204708,2.00,3.00,3.00,4.00,5.00,6.75,1.00,0.00,1.00,999,NULL,NULL,'BELA VISTA','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6204724,2.00,4.00,1.00,4.00,6.00,7.88,0.00,2.00,1.00,3,NULL,NULL,'ARMAÇÃO','PENHA','SC',20506,82,NULL,NULL,NULL,NULL,NULL,2,2),(25,6204740,6.00,8.00,4.00,5.00,9.00,10.88,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',2549,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6204759,4.00,4.00,1.00,0.00,5.00,8.25,1.00,3.00,2.00,340,NULL,NULL,'GUAÍRA','CURITIBA','PR',17989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6204767,3.00,2.00,2.00,4.00,6.00,8.63,0.00,1.00,2.00,215,NULL,216,'VILA MONUMENTO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6204775,5.00,6.00,3.00,4.00,3.00,NULL,1.00,0.00,2.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6204791,3.00,4.00,0.00,1.00,6.00,6.75,1.00,3.00,3.00,318,NULL,NULL,'CENTRO','NOVA ERECHIM','SC',18094,85,NULL,NULL,NULL,NULL,NULL,2,4),(25,6204805,1.00,2.00,1.00,4.00,5.00,7.88,4.00,1.00,0.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6204813,1.00,0.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6204821,5.00,6.00,5.00,6.00,9.00,8.63,2.00,2.00,4.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',7308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6204848,9.00,8.00,7.00,7.00,10.00,12.00,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','POMERODE','SC',41,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6204856,6.00,4.00,1.00,5.00,5.00,8.25,2.00,3.00,2.00,999,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6204864,1.00,3.00,2.00,3.00,3.00,NULL,2.00,0.00,1.00,999,NULL,NULL,'AMBRÓSIO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6204872,3.00,2.00,2.00,2.00,3.00,7.13,1.00,1.00,3.00,999,NULL,NULL,'SÃO BASILIO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6204902,4.00,7.00,4.00,1.00,7.00,7.13,3.00,1.00,4.00,302,NULL,NULL,'MAGALHÃES','LAGUNA','SC',14044,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6204910,4.00,5.00,3.00,4.00,5.00,8.25,2.00,5.00,4.00,102,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',11064,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6204929,9.00,5.00,7.00,7.00,9.00,9.38,6.00,8.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6204953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6204961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA CAMPINAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6204970,5.00,6.00,1.00,4.00,6.00,6.75,1.00,5.00,1.00,501,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',16748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6204996,3.00,6.00,2.00,5.00,6.00,6.00,1.00,1.00,1.00,5,NULL,NULL,'GLORIA','JOINVILLE','SC',16367,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6205003,8.00,8.00,2.00,6.00,8.00,6.38,1.00,6.00,7.00,103,NULL,NULL,'BELA VISTA','GASPAR','SC',4307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205011,7.00,7.00,5.00,7.00,7.00,10.50,5.00,8.00,7.00,303,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',1683,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6205020,2.00,8.00,3.00,6.00,6.00,12.38,3.00,0.00,0.00,110,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205046,5.00,2.00,2.00,6.00,4.00,10.50,3.00,4.00,3.00,207,NULL,NULL,'PEREQUE','PTO BELO','SC',12976,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6205054,3.00,6.00,3.00,7.00,9.00,8.63,5.00,6.00,6.00,303,NULL,NULL,'SÃO BASÍLIO MAGNO','UNIÃO VITÓRIA','PR',3945,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6205062,9.00,8.00,5.00,7.00,10.00,9.38,4.00,8.00,7.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6205070,2.00,0.00,1.00,2.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6205089,3.00,4.00,0.00,2.00,8.00,NULL,1.00,0.00,0.00,103,NULL,NULL,'OURO VERDE','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6205097,4.00,7.00,1.00,2.00,5.00,7.50,1.00,1.00,4.00,109,NULL,NULL,'CACUPE','FLORIANÓPOLIS','SC',17985,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205100,4.00,6.00,1.00,4.00,7.00,8.25,3.00,2.00,2.00,453,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',14358,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6205119,7.00,6.00,5.00,7.00,8.00,7.13,3.00,8.00,4.00,2,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6205135,7.00,5.00,4.00,5.00,5.00,9.38,3.00,7.00,8.00,103,NULL,NULL,'CENTRO','QUEDAS IGUAÇU','PR',3236,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6205151,7.00,6.00,2.00,5.00,4.00,9.75,2.00,6.00,4.00,104,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',7927,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6205160,7.00,4.00,2.00,4.00,5.00,6.38,2.00,2.00,4.00,220,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',12878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205178,4.00,4.00,1.00,1.00,6.00,6.38,1.00,4.00,1.00,103,NULL,NULL,'ZONA NOVA','TRAMANDAÍ','RS',18238,4544,NULL,NULL,NULL,NULL,NULL,4,5),(25,6205186,4.00,6.00,3.00,3.00,7.00,10.13,0.00,2.00,3.00,303,NULL,NULL,'CENTRO','TRAMANDAÍ','RS',12100,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6205194,6.00,8.00,5.00,7.00,7.00,8.25,3.00,5.00,7.00,203,NULL,201,'BARREIROS','S JOSÉ','SC',1998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6205216,4.00,5.00,2.00,7.00,8.00,9.75,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','MARAVILHA','SC',8659,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6205224,3.00,5.00,1.00,4.00,4.00,9.00,2.00,1.00,2.00,216,NULL,NULL,'IPEZINHO','MEDIANEIRA','PR',19705,609,NULL,NULL,NULL,NULL,NULL,4,4),(25,6205232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PAROLIN','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6205259,6.00,7.00,4.00,6.00,7.00,8.63,3.00,8.00,6.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6205267,6.00,3.00,1.00,6.00,9.00,9.00,3.00,4.00,6.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',6993,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6205275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'LIMÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6205283,7.00,8.00,5.00,4.00,7.00,7.13,2.00,4.00,3.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',6365,2793,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205291,5.00,5.00,4.00,6.00,5.00,NULL,2.00,3.00,5.00,999,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6205305,3.00,4.00,4.00,5.00,4.00,7.88,2.00,1.00,3.00,652,NULL,655,'CIDADE ALTA','ARARANGUÁ','SC',18656,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6205313,5.00,7.00,2.00,5.00,8.00,10.13,1.00,3.00,1.00,109,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',13472,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205321,8.00,4.00,6.00,3.00,5.00,8.63,4.00,6.00,5.00,103,NULL,NULL,'SAIC','CHAPECÓ','SC',4423,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6205330,5.00,7.00,3.00,4.00,6.00,7.88,2.00,4.00,6.00,304,NULL,NULL,'CENTRO','ARARAS','SP',7320,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6205356,9.00,8.00,8.00,7.00,9.00,10.88,5.00,9.00,8.00,220,NULL,208,'CENTRO','MAL CÂNDIDO RONDON','PR',139,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6205372,6.00,6.00,5.00,7.00,9.00,9.75,2.00,6.00,6.00,5,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',2880,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205380,2.00,3.00,1.00,5.00,7.00,7.13,4.00,3.00,2.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6205399,3.00,1.00,0.00,7.00,2.00,NULL,3.00,2.00,0.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6205402,2.00,3.00,1.00,1.00,5.00,7.13,2.00,1.00,1.00,501,NULL,NULL,'NOVA BRASILIA','SOMBRIO','SC',19616,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6205410,4.00,5.00,3.00,5.00,7.00,NULL,2.00,0.00,4.00,102,NULL,NULL,'INTERIOR','MARAU','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205429,2.00,7.00,1.00,5.00,3.00,7.50,1.00,3.00,3.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',19015,400,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205437,7.00,6.00,4.00,5.00,7.00,8.63,2.00,5.00,5.00,211,NULL,215,'ITACORUBI','FLORIANÓPOLIS','SC',6818,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'REGIAO DO LAGO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6205461,5.00,6.00,3.00,6.00,8.00,9.75,4.00,5.00,5.00,214,NULL,211,'CAMPECHE','FLORIANÓPOLIS','SC',5962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6205488,5.00,5.00,1.00,4.00,5.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205496,6.00,4.00,3.00,6.00,5.00,8.63,2.00,1.00,4.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',13757,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6205518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6205526,6.00,5.00,7.00,5.00,7.00,9.38,5.00,7.00,6.00,220,NULL,213,'CENTRO','BANDEIRANTES','PR',2814,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6205534,5.00,4.00,0.00,3.00,7.00,NULL,2.00,5.00,3.00,103,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6205542,5.00,4.00,4.00,4.00,8.00,8.25,2.00,4.00,5.00,202,NULL,208,'CENTRO HISTÓRICO','S JOSÉ','SC',8997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6205550,2.00,3.00,4.00,4.00,8.00,NULL,0.00,2.00,3.00,207,NULL,211,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6205569,3.00,5.00,3.00,4.00,7.00,10.88,2.00,5.00,3.00,302,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',11673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205577,8.00,6.00,4.00,4.00,8.00,9.00,2.00,9.00,4.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',4488,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6205585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'VILA SÃO JOÃO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6205593,2.00,3.00,2.00,4.00,4.00,5.25,1.00,4.00,3.00,202,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',20326,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205607,4.00,4.00,1.00,6.00,6.00,10.13,1.00,1.00,3.00,302,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',15596,112,NULL,NULL,NULL,NULL,NULL,4,1),(25,6205615,9.00,4.00,6.00,6.00,9.00,10.13,5.00,7.00,9.00,103,NULL,NULL,'UNIVERSITÁRIO','LONDRINA','PR',736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6205623,7.00,6.00,3.00,6.00,9.00,9.75,4.00,8.00,7.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2334,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205631,4.00,6.00,5.00,5.00,7.00,8.25,3.00,4.00,5.00,601,NULL,202,'AVISTOSO','BRAÇO NORTE','SC',6689,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6205640,8.00,8.00,4.00,6.00,9.00,9.00,0.00,5.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',2172,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6205658,4.00,0.00,1.00,3.00,6.00,NULL,0.00,0.00,0.00,216,NULL,233,'CENTRO','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(25,6205682,3.00,6.00,2.00,5.00,6.00,7.50,0.00,1.00,1.00,999,NULL,NULL,'SANTA REGINA','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6205690,6.00,5.00,1.00,4.00,6.00,9.75,0.00,2.00,7.00,103,NULL,NULL,'DESVIO RIZZO','CAXIAS SUL','RS',10718,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205704,4.00,2.00,3.00,2.00,2.00,NULL,4.00,2.00,2.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6205712,1.00,5.00,0.00,3.00,3.00,7.13,2.00,4.00,3.00,429,NULL,426,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',20876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6205720,7.00,6.00,5.00,6.00,7.00,11.63,3.00,7.00,8.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',2264,1382,NULL,NULL,NULL,NULL,NULL,4,4),(25,6205747,3.00,6.00,4.00,5.00,7.00,11.25,2.00,3.00,5.00,201,NULL,207,'BARREIROS','S JOSÉ','SC',9090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6205755,5.00,7.00,1.00,6.00,5.00,10.50,2.00,3.00,3.00,450,NULL,NULL,'MEDIANEIRA','TRÊS MAIO','RS',10357,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6205763,3.00,4.00,3.00,6.00,4.00,6.38,2.00,3.00,0.00,207,NULL,201,'VELHA','BLUMENAU','SC',15331,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6205771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM VILA NOVA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6205780,4.00,4.00,3.00,3.00,5.00,8.25,1.00,0.00,2.00,207,NULL,215,'CENTRO','CRICIÚMA','SC',17953,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6205798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6205801,4.00,3.00,2.00,2.00,6.00,7.50,2.00,3.00,2.00,103,NULL,NULL,'SÃO CRISTÓVÃO','PASSO FUNDO','RS',15810,4307,NULL,NULL,NULL,NULL,NULL,4,9),(25,6205810,2.00,1.00,2.00,1.00,9.00,7.88,1.00,1.00,1.00,202,NULL,201,'CENTRO','GUATAMBÚ','SC',19419,609,NULL,1596,NULL,NULL,NULL,2,4),(25,6205828,4.00,5.00,2.00,6.00,7.00,6.75,1.00,5.00,0.00,108,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',16600,250,NULL,NULL,NULL,NULL,NULL,4,1),(25,6205836,2.00,2.00,3.00,1.00,2.00,NULL,3.00,2.00,3.00,652,NULL,653,'CENTRO','PASSO TORRES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6205844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6205852,3.00,3.00,1.00,3.00,4.00,9.38,2.00,2.00,1.00,9,NULL,NULL,'BAEPENDI','JARAGUÁ SUL','SC',20709,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6205860,5.00,5.00,0.00,2.00,7.00,NULL,4.00,0.00,2.00,319,NULL,NULL,'SAIC','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6205879,3.00,5.00,2.00,2.00,6.00,9.00,1.00,5.00,2.00,235,NULL,208,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',14229,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205887,7.00,6.00,5.00,5.00,9.00,9.00,2.00,7.00,8.00,103,NULL,NULL,'JARDIM LINDÓIA','GOIOERÊ','PR',1768,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6205895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,207,'JARDIM ÁGUA BOA','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6205909,1.00,3.00,3.00,3.00,5.00,NULL,3.00,0.00,2.00,109,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205917,5.00,4.00,3.00,5.00,7.00,5.25,4.00,2.00,3.00,102,NULL,NULL,'VILA LALAU','JARAGUÁ SUL','SC',15147,179,NULL,NULL,NULL,NULL,NULL,4,8),(25,6205925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,201,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6205933,5.00,5.00,1.00,4.00,9.00,NULL,0.00,0.00,5.00,104,NULL,NULL,'CENTRO','S DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205941,3.00,3.00,2.00,4.00,6.00,7.88,0.00,4.00,2.00,340,NULL,NULL,'PARQUE BANDEIRANTE','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6205950,4.00,6.00,4.00,4.00,4.00,6.75,3.00,3.00,5.00,235,NULL,653,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',12674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6205976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6205984,7.00,6.00,0.00,6.00,6.00,NULL,3.00,7.00,2.00,104,NULL,NULL,'COUNTRY','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(25,6205992,4.00,0.00,0.00,3.00,8.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6206000,6.00,6.00,4.00,5.00,9.00,10.50,2.00,8.00,7.00,501,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',3876,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6206026,2.00,5.00,2.00,4.00,4.00,10.13,2.00,3.00,0.00,234,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6206034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,233,'MONTE VERDE','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6206050,6.00,6.00,3.00,7.00,8.00,11.25,2.00,8.00,4.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',2547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6206069,6.00,5.00,1.00,2.00,3.00,4.88,1.00,5.00,2.00,203,NULL,233,'HARMONIA','TELÊMACO BORBA','PR',15555,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6206077,6.00,5.00,4.00,5.00,8.00,7.50,3.00,5.00,6.00,201,NULL,207,'BOA VISTA','CURITIBA','PR',4731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6206085,4.00,5.00,2.00,5.00,4.00,7.13,2.00,4.00,2.00,316,NULL,NULL,'PALMAS','GOV CELSO RAMOS','SC',17620,189,NULL,NULL,NULL,NULL,NULL,2,1),(25,6206093,5.00,5.00,3.00,3.00,8.00,8.25,4.00,4.00,5.00,103,NULL,NULL,'VILA COUTINHO','CPO GRANDE','MS',7445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6206107,4.00,5.00,2.00,4.00,9.00,9.00,3.00,3.00,6.00,303,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',9601,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6206115,4.00,4.00,5.00,6.00,4.00,8.63,2.00,4.00,6.00,201,NULL,203,'GLEBA PALHANO','LONDRINA','PR',6492,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6206123,8.00,6.00,4.00,5.00,9.00,10.13,1.00,3.00,4.00,207,NULL,233,'MERCÊS','CURITIBA','PR',5580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6206131,3.00,4.00,2.00,3.00,8.00,8.63,1.00,3.00,1.00,103,NULL,NULL,'CENTRO','ICARAÍMA','PR',15188,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6206140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,208,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6206158,4.00,5.00,3.00,5.00,6.00,9.75,2.00,5.00,5.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',10692,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6206174,7.00,7.00,5.00,4.00,7.00,8.25,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','FORMOSA OESTE','PR',5243,2492,NULL,NULL,NULL,NULL,NULL,4,3),(25,6206182,5.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6206204,7.00,6.00,1.00,5.00,7.00,8.63,2.00,4.00,3.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',8132,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6206220,2.00,2.00,0.00,2.00,5.00,NULL,0.00,1.00,0.00,104,NULL,NULL,'CRISTO REI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6206239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SÃO LOURENÇO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6206247,8.00,7.00,8.00,5.00,8.00,10.13,2.00,8.00,7.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6206255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6206263,3.00,1.00,2.00,1.00,7.00,7.13,1.00,1.00,2.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6206301,2.00,4.00,0.00,2.00,3.00,NULL,2.00,3.00,4.00,301,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6206336,6.00,8.00,0.00,3.00,9.00,10.88,0.00,4.00,5.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',6690,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6206352,2.00,6.00,1.00,3.00,7.00,6.75,2.00,4.00,3.00,999,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6206360,5.00,6.00,4.00,4.00,8.00,7.88,2.00,7.00,7.00,103,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',4879,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6206379,3.00,4.00,3.00,2.00,5.00,6.75,1.00,2.00,2.00,208,NULL,238,'LOT DONA WANDA','S JOSÉ','SC',17821,453,NULL,418,NULL,NULL,NULL,4,1),(25,6206387,4.00,4.00,1.00,6.00,9.00,6.75,0.00,6.00,4.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6206395,4.00,4.00,1.00,5.00,8.00,6.75,2.00,5.00,4.00,101,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',11027,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6206409,4.00,2.00,3.00,4.00,4.00,7.88,3.00,5.00,3.00,444,NULL,NULL,'JARDIM BELVEDERE','UMUARAMA','PR',17814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6206417,6.00,5.00,7.00,4.00,8.00,7.50,4.00,7.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3320,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6206433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6206441,3.00,4.00,1.00,3.00,5.00,9.38,3.00,3.00,0.00,301,NULL,NULL,'OFICINAS','TUBARÃO','SC',18821,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6206450,9.00,9.00,3.00,8.00,11.00,9.75,7.00,8.00,6.00,303,NULL,NULL,'TREZE DE JULHO','ARACAJU','SE',283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6206468,6.00,7.00,2.00,5.00,7.00,9.75,2.00,6.00,4.00,415,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',5449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6206476,8.00,8.00,4.00,7.00,9.00,12.00,5.00,9.00,8.00,303,NULL,NULL,'VILA ANTÔNIO AUGUSTO','CAÇAPAVA','SP',182,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6206484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6206506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6206514,4.00,2.00,2.00,3.00,7.00,6.38,0.00,1.00,0.00,234,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6206530,6.00,6.00,1.00,4.00,8.00,6.38,3.00,5.00,7.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',7425,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6206549,7.00,5.00,3.00,7.00,10.00,11.63,3.00,7.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1983,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6206557,2.00,0.00,1.00,3.00,3.00,8.25,3.00,1.00,0.00,103,NULL,NULL,'ARIRIBÁ','BAL CAMBORIÚ','SC',20505,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6206565,7.00,5.00,4.00,6.00,8.00,8.63,3.00,7.00,4.00,202,NULL,213,'CENTRO','CRICIÚMA','SC',5121,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6206573,6.00,5.00,2.00,2.00,7.00,6.75,1.00,4.00,4.00,104,NULL,NULL,'SAO JOAO','ITAJAÍ','SC',16183,435,NULL,NULL,NULL,NULL,NULL,2,6),(25,6206581,6.00,3.00,4.00,6.00,6.00,9.00,0.00,4.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7149,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6206590,2.00,3.00,0.00,4.00,2.00,NULL,2.00,4.00,4.00,203,NULL,NULL,'JORGE TEIXEIRA','ARIQUEMES','RO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6206603,7.00,4.00,5.00,3.00,4.00,6.00,1.00,7.00,7.00,220,NULL,202,'ZONA','MARINGÁ','PR',6778,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6206611,0.00,0.00,0.00,0.00,0.00,NULL,1.00,0.00,0.00,110,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(25,6206620,4.00,6.00,2.00,3.00,6.00,7.13,3.00,5.00,2.00,999,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6206638,4.00,7.00,4.00,7.00,7.00,7.88,3.00,4.00,4.00,203,NULL,220,'URUSSANGUINHA','ARARANGUÁ','SC',6772,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6206646,7.00,8.00,4.00,7.00,7.00,9.75,3.00,8.00,6.00,601,NULL,203,'CENTRO','S CARLOS','SC',2456,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6206654,6.00,5.00,2.00,5.00,9.00,10.50,2.00,3.00,3.00,207,NULL,NULL,'CENTRO','GUAÍRA','PR',8036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6206670,1.00,2.00,1.00,3.00,5.00,NULL,2.00,0.00,1.00,317,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6206689,4.00,5.00,0.00,6.00,7.00,6.75,2.00,5.00,3.00,319,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',11659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6206697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CATARINA FONTANA','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6206700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'MEDIANEIRA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6206719,4.00,6.00,0.00,5.00,6.00,NULL,3.00,2.00,1.00,304,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6206727,9.00,8.00,5.00,5.00,7.00,10.13,1.00,6.00,9.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',1729,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6206735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SOROCABANA','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6206751,3.00,3.00,1.00,4.00,6.00,6.00,3.00,1.00,1.00,201,NULL,208,'VILA NOVA','LAGES','SC',17679,1463,NULL,445,NULL,NULL,NULL,4,17),(25,6206786,9.00,8.00,5.00,7.00,10.00,11.63,5.00,8.00,8.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',89,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6206808,4.00,5.00,1.00,3.00,6.00,6.38,0.00,2.00,2.00,420,NULL,NULL,'MERCÊS','CURITIBA','PR',16920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6206816,6.00,7.00,2.00,6.00,8.00,9.00,3.00,7.00,6.00,328,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',5541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6206824,6.00,6.00,1.00,5.00,7.00,8.63,2.00,3.00,3.00,208,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',12944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6206832,5.00,6.00,2.00,3.00,6.00,7.13,1.00,6.00,1.00,420,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',13418,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6206859,6.00,6.00,6.00,8.00,10.00,8.25,0.00,6.00,5.00,220,NULL,214,'JARDIM PANORAMA','ARAPONGAS','PR',3625,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6206867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'BOA VIAGEM','RECIFE','PE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6206875,3.00,6.00,1.00,4.00,8.00,9.00,0.00,3.00,3.00,207,NULL,233,'GÁVEA','JACINTO MACHADO','SC',12167,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6206883,5.00,3.00,2.00,3.00,7.00,9.00,2.00,2.00,1.00,216,NULL,215,'INGLESES','FLORIANÓPOLIS','SC',14962,507,NULL,237,NULL,NULL,NULL,2,1),(25,6206891,4.00,4.00,2.00,3.00,3.00,4.88,0.00,5.00,0.00,655,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',20919,154,NULL,103,NULL,NULL,NULL,4,15),(25,6206905,5.00,5.00,3.00,5.00,7.00,8.63,3.00,2.00,3.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',12172,279,NULL,NULL,NULL,NULL,NULL,2,3),(25,6206913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'PQ HIGIENOPOLIS','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6206921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6206930,3.00,4.00,3.00,1.00,3.00,9.00,3.00,1.00,2.00,207,NULL,208,'JARDIM QUISSISANA','POÇOS CALDAS','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6206948,2.00,4.00,2.00,3.00,5.00,8.63,3.00,2.00,2.00,999,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6206956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SANTANA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6206964,3.00,4.00,1.00,3.00,5.00,8.25,0.00,4.00,2.00,319,NULL,NULL,'ALTO BOQUEIRÃO','CURITIBA','PR',15667,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6206972,4.00,2.00,1.00,6.00,6.00,7.50,2.00,2.00,5.00,5,NULL,NULL,'ATIRADORES','JOINVILLE','SC',13061,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6206999,5.00,5.00,3.00,4.00,6.00,NULL,0.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207006,5.00,4.00,2.00,3.00,6.00,7.88,0.00,3.00,1.00,203,NULL,201,'SOÃO CONRRADO','ARACAJU','SE',13614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207014,5.00,2.00,1.00,3.00,5.00,7.50,0.00,1.00,4.00,503,NULL,NULL,'CENTRO','PALHOÇA','SC',16705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6207022,4.00,4.00,1.00,4.00,6.00,6.38,2.00,5.00,1.00,444,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',19128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6207030,2.00,7.00,1.00,6.00,7.00,10.50,2.00,6.00,6.00,5,NULL,NULL,'JARDIM SILVANA','IÇARA','SC',7635,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6207049,5.00,6.00,4.00,3.00,7.00,9.00,4.00,5.00,2.00,9,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',6072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6207057,5.00,4.00,3.00,4.00,8.00,9.38,3.00,7.00,6.00,201,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',5583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207065,6.00,5.00,1.00,5.00,8.00,8.63,1.00,5.00,5.00,212,NULL,213,'BARÃO GERALDO','CAMPINAS','SP',8335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AVARÉ','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6207081,1.00,2.00,3.00,1.00,6.00,6.75,2.00,2.00,1.00,109,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207103,6.00,7.00,1.00,3.00,7.00,8.25,2.00,6.00,2.00,103,NULL,NULL,'PIRITUBA','S PAULO','SP',9036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6207111,7.00,7.00,5.00,7.00,8.00,8.25,7.00,7.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207120,6.00,5.00,1.00,5.00,8.00,9.38,0.00,3.00,2.00,207,NULL,212,'JOÃO PAULO','FLORIANÓPOLIS','SC',10981,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6207138,5.00,5.00,0.00,4.00,8.00,NULL,0.00,3.00,2.00,316,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6207146,5.00,4.00,2.00,3.00,7.00,9.38,1.00,6.00,3.00,319,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',9617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207154,3.00,1.00,4.00,1.00,5.00,5.25,2.00,0.00,2.00,108,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',20605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207162,3.00,5.00,1.00,5.00,7.00,NULL,0.00,2.00,1.00,301,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207170,5.00,6.00,6.00,4.00,8.00,8.25,0.00,4.00,4.00,301,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',8302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207189,3.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,601,NULL,212,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6207197,5.00,5.00,0.00,6.00,6.00,6.00,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','CARAMBEÍ','PR',12718,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6207200,3.00,1.00,2.00,4.00,6.00,10.13,1.00,3.00,1.00,601,NULL,214,'IRIRIU','JOINVILLE','SC',18873,526,NULL,413,NULL,NULL,NULL,2,8),(25,6207219,5.00,3.00,3.00,2.00,8.00,7.50,2.00,4.00,4.00,103,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',11042,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6207227,8.00,7.00,6.00,8.00,8.00,10.88,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1340,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6207235,5.00,5.00,3.00,4.00,7.00,9.38,1.00,5.00,3.00,201,NULL,207,'CENTRO','GUAPORÉ','RS',9355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207243,3.00,2.00,0.00,1.00,3.00,7.13,2.00,2.00,2.00,301,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',21616,319,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207251,6.00,5.00,1.00,6.00,6.00,7.13,1.00,4.00,1.00,653,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',12475,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6207260,1.00,1.00,2.00,3.00,5.00,6.00,2.00,4.00,2.00,238,NULL,208,'COQUEIROS','FLORIANÓPOLIS','SC',19457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207278,4.00,7.00,3.00,6.00,7.00,7.50,1.00,3.00,4.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',9903,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207286,5.00,4.00,1.00,2.00,6.00,8.63,0.00,1.00,2.00,654,NULL,NULL,'STO ANTONIO','CAPÃO CANOA','RS',16644,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6207308,8.00,5.00,5.00,4.00,7.00,7.88,2.00,2.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',5393,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6207316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARIA HELENA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6207340,5.00,5.00,8.00,7.00,8.00,10.50,6.00,5.00,8.00,601,NULL,203,'JAGUARÉ','S PAULO','SP',1130,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6207359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','GUARUJÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6207367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6207375,8.00,8.00,5.00,7.00,9.00,10.88,3.00,8.00,9.00,103,NULL,NULL,'CENTRO','PR GRANDE','SC',484,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6207383,8.00,7.00,6.00,6.00,10.00,8.25,3.00,7.00,5.00,203,NULL,202,'AEROPORTO','ERECHIM','RS',2200,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6207391,5.00,8.00,4.00,7.00,10.00,7.13,2.00,6.00,6.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207405,8.00,7.00,5.00,7.00,10.00,10.13,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','STO ANDRÉ','SP',334,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6207413,4.00,3.00,1.00,3.00,7.00,NULL,0.00,4.00,5.00,213,NULL,653,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6207421,8.00,8.00,5.00,6.00,9.00,12.38,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207430,7.00,4.00,4.00,5.00,9.00,10.13,4.00,5.00,9.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',2084,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6207456,5.00,5.00,1.00,2.00,5.00,9.00,3.00,3.00,4.00,317,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',12834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207464,4.00,7.00,1.00,4.00,6.00,7.88,1.00,2.00,3.00,102,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',15782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6207480,1.00,3.00,0.00,2.00,2.00,NULL,2.00,2.00,2.00,404,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6207502,7.00,6.00,4.00,5.00,10.00,9.38,3.00,8.00,9.00,103,NULL,NULL,'ZONA UM','MARINGÁ','PR',968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207510,5.00,5.00,4.00,7.00,6.00,9.75,4.00,8.00,9.00,103,NULL,NULL,'SANTA CECÍLIA','PTO ALEGRE','RS',2489,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6207529,3.00,4.00,1.00,2.00,4.00,7.88,1.00,2.00,0.00,502,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',21401,59,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207537,3.00,6.00,3.00,5.00,9.00,7.50,0.00,2.00,3.00,109,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',13489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6207545,4.00,5.00,1.00,1.00,4.00,7.13,0.00,4.00,5.00,103,NULL,NULL,'JARDIM APUCARANA','APUCARANA','PR',15950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207553,2.00,3.00,2.00,1.00,5.00,NULL,2.00,4.00,0.00,653,NULL,652,'ARGENTINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6207561,6.00,6.00,6.00,7.00,9.00,10.50,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207570,2.00,5.00,2.00,6.00,7.00,8.63,2.00,5.00,3.00,428,NULL,421,'INGLESES','FLORIANÓPOLIS','SC',13421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207588,4.00,5.00,3.00,3.00,8.00,8.25,2.00,4.00,3.00,303,NULL,NULL,'XAXIM','CURITIBA','PR',9588,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6207600,3.00,4.00,3.00,2.00,5.00,5.25,2.00,3.00,3.00,319,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',18299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207618,9.00,7.00,1.00,6.00,9.00,10.50,2.00,4.00,5.00,215,NULL,233,'ITACORUBI','FLORIANÓPOLIS','SC',3556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207626,3.00,5.00,1.00,3.00,5.00,7.88,0.00,3.00,3.00,208,NULL,238,'JARDIM EUCALIPTUS','PALHOÇA','SC',15768,361,NULL,333,NULL,NULL,NULL,4,1),(25,6207634,4.00,4.00,1.00,3.00,5.00,7.50,3.00,0.00,3.00,208,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',19825,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6207642,5.00,4.00,1.00,3.00,6.00,9.00,1.00,2.00,0.00,234,NULL,NULL,'CENTRO','CURITIBA','PR',16482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6207650,4.00,3.00,2.00,2.00,6.00,9.38,0.00,1.00,2.00,104,NULL,NULL,'CENTRO','LAGES','SC',16429,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6207669,9.00,7.00,7.00,6.00,9.00,9.00,6.00,8.00,8.00,203,NULL,216,'REBOUÇAS','CURITIBA','PR',324,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6207677,7.00,7.00,2.00,7.00,9.00,9.38,0.00,6.00,5.00,207,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',3543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207685,4.00,5.00,2.00,6.00,8.00,NULL,0.00,5.00,1.00,211,NULL,NULL,'FLAMBOYANT','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207693,1.00,3.00,0.00,1.00,6.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'RIO HERN','SCHROEDER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6207707,4.00,5.00,1.00,7.00,7.00,9.38,2.00,0.00,3.00,453,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',14592,100,NULL,NULL,NULL,NULL,NULL,2,1),(25,6207723,2.00,4.00,0.00,1.00,5.00,NULL,2.00,0.00,0.00,201,NULL,212,'SANTA RITA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6207731,2.00,4.00,1.00,2.00,3.00,NULL,0.00,2.00,0.00,104,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6207740,9.00,7.00,6.00,6.00,11.00,9.00,2.00,8.00,8.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207758,3.00,5.00,0.00,2.00,7.00,6.38,4.00,1.00,1.00,215,NULL,203,'COPACABANA','LAGES','SC',20122,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6207766,8.00,4.00,3.00,6.00,8.00,9.75,3.00,4.00,8.00,103,NULL,NULL,'JARDIM BOTÂNICO','CURITIBA','PR',3571,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6207782,2.00,7.00,1.00,1.00,6.00,7.88,2.00,6.00,2.00,220,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',17717,448,NULL,424,NULL,NULL,NULL,4,1),(25,6207790,4.00,4.00,2.00,4.00,5.00,6.75,1.00,2.00,4.00,336,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',16011,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6207804,3.00,0.00,2.00,3.00,6.00,NULL,0.00,1.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207812,2.00,3.00,2.00,2.00,7.00,7.88,3.00,4.00,2.00,302,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',18134,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6207820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,208,'PONTA DA PRAIA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6207847,4.00,6.00,2.00,6.00,7.00,9.75,0.00,6.00,3.00,453,NULL,NULL,'JARDIM DAS PALMEIRAS','S JOSÉ','SC',8956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207863,4.00,5.00,3.00,2.00,4.00,8.63,1.00,5.00,4.00,420,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',11656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207871,5.00,4.00,4.00,5.00,5.00,6.38,3.00,3.00,4.00,202,NULL,653,'VILA NOVA','IMBITUBA','SC',11198,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6207880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6207898,9.00,8.00,6.00,6.00,10.00,12.00,0.00,7.00,8.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',878,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6207901,6.00,4.00,2.00,2.00,6.00,7.88,4.00,3.00,6.00,108,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',10560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207936,4.00,7.00,3.00,6.00,7.00,7.50,1.00,1.00,3.00,103,NULL,NULL,'JARDIM ANGÉLICA','CRICIÚMA','SC',14665,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6207944,1.00,5.00,0.00,5.00,6.00,9.75,2.00,4.00,2.00,108,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207952,7.00,7.00,4.00,5.00,8.00,11.63,1.00,7.00,4.00,340,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',3627,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6207960,4.00,4.00,1.00,6.00,9.00,9.00,2.00,3.00,4.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',10179,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6207979,4.00,1.00,2.00,3.00,5.00,7.50,2.00,0.00,2.00,110,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6207987,5.00,5.00,6.00,6.00,9.00,11.63,3.00,5.00,5.00,415,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6207995,3.00,7.00,4.00,4.00,6.00,4.88,2.00,5.00,5.00,233,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',11218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208010,7.00,4.00,2.00,5.00,7.00,7.50,1.00,3.00,6.00,103,NULL,NULL,'PEDRO LUDOVICO','GOIÂNIA','GO',10362,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6208029,3.00,2.00,0.00,4.00,4.00,NULL,2.00,2.00,1.00,102,NULL,NULL,'AGOSTINI','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6208037,4.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(25,6208045,0.00,5.00,2.00,6.00,6.00,5.25,2.00,4.00,2.00,238,NULL,208,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208053,4.00,5.00,3.00,5.00,4.00,6.38,2.00,6.00,8.00,201,NULL,212,'ALTO DO PARQUE','LAJEADO','RS',7861,592,NULL,213,NULL,NULL,NULL,4,15),(25,6208061,6.00,5.00,3.00,5.00,4.00,8.25,2.00,4.00,5.00,201,NULL,NULL,'CENTRO','MONTENEGRO','RS',9195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208070,1.00,4.00,1.00,3.00,3.00,5.25,2.00,2.00,0.00,208,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',20888,574,NULL,549,NULL,NULL,NULL,2,1),(25,6208088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NONOAI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6208096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6208100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SOSSEGO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6208126,5.00,6.00,3.00,5.00,9.00,7.50,2.00,5.00,5.00,104,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',7738,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6208134,2.00,4.00,1.00,3.00,3.00,7.50,3.00,2.00,3.00,238,NULL,NULL,'BARREIROS','S JOSÉ','SC',18903,444,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208177,4.00,5.00,2.00,2.00,5.00,9.38,3.00,4.00,1.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',17317,604,NULL,NULL,NULL,NULL,NULL,3,1),(25,6208193,5.00,5.00,3.00,6.00,8.00,8.63,1.00,4.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208207,5.00,3.00,2.00,7.00,6.00,7.88,3.00,3.00,7.00,223,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208215,0.00,0.00,0.00,0.00,1.00,NULL,0.00,2.00,0.00,652,NULL,655,'POLICIA RODOVIÁRIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6208231,4.00,4.00,1.00,4.00,7.00,6.75,1.00,0.00,3.00,102,NULL,NULL,'CENTRO','MARQUES SOUZA','RS',20166,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6208240,3.00,4.00,5.00,2.00,5.00,8.63,1.00,0.00,1.00,339,NULL,NULL,'AREIAS','S JOSÉ','SC',20297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208266,1.00,3.00,3.00,5.00,4.00,NULL,2.00,0.00,1.00,319,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6208274,2.00,3.00,1.00,4.00,5.00,7.88,2.00,3.00,4.00,999,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208282,2.00,3.00,1.00,2.00,2.00,NULL,0.00,1.00,1.00,102,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6208290,2.00,3.00,1.00,4.00,8.00,10.50,1.00,1.00,1.00,333,NULL,NULL,'SÃO CRISTÓVÃO','LAJEADO','RS',15899,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6208304,2.00,6.00,1.00,4.00,7.00,6.75,0.00,5.00,2.00,207,NULL,238,'PRADO','BIGUAÇU','SC',14832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6208312,4.00,6.00,0.00,3.00,5.00,9.00,2.00,4.00,2.00,319,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6208339,4.00,5.00,2.00,6.00,6.00,12.75,2.00,3.00,3.00,331,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',10269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6208347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6208355,3.00,3.00,3.00,3.00,4.00,6.75,1.00,4.00,3.00,653,NULL,655,'INGLESES','FLORIANÓPOLIS','SC',17245,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6208363,5.00,5.00,2.00,5.00,7.00,10.50,4.00,4.00,1.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208371,7.00,7.00,3.00,6.00,10.00,10.50,4.00,7.00,6.00,5,NULL,NULL,'GLÓRIA','JOINVILLE','SC',1677,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6208401,6.00,3.00,0.00,4.00,6.00,NULL,1.00,2.00,2.00,503,NULL,NULL,'VILA RICA','STO ANTÔNIO POSSE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6208410,2.00,3.00,1.00,4.00,2.00,NULL,3.00,4.00,0.00,207,NULL,201,'CENTRO','TANGARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6208428,7.00,5.00,2.00,6.00,8.00,9.38,0.00,2.00,5.00,303,NULL,NULL,'JARDIM RIVA','PRIMAVERA LESTE','MT',7505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208444,3.00,4.00,1.00,1.00,7.00,NULL,0.00,0.00,3.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208460,6.00,6.00,3.00,5.00,8.00,9.38,1.00,7.00,4.00,320,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',5751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208495,3.00,4.00,1.00,2.00,6.00,8.63,4.00,0.00,0.00,601,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',20329,569,NULL,NULL,NULL,NULL,NULL,2,8),(25,6208517,3.00,3.00,0.00,2.00,4.00,NULL,0.00,3.00,0.00,404,NULL,NULL,'COSTEIRA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6208525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM JESUS','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6208533,4.00,5.00,5.00,3.00,6.00,7.13,3.00,4.00,5.00,203,NULL,201,'CENTRO','CASCAVEL','PR',9016,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6208541,3.00,3.00,3.00,3.00,4.00,7.88,1.00,4.00,2.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19138,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6208550,2.00,4.00,4.00,4.00,5.00,NULL,0.00,3.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208576,6.00,4.00,3.00,2.00,7.00,9.00,2.00,4.00,5.00,216,NULL,202,'VILA OPERARIA','MARINGÁ','PR',10007,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6208592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'APARECIDA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6208606,3.00,3.00,2.00,5.00,6.00,9.00,1.00,2.00,5.00,453,NULL,NULL,'JARDIM BOA VISTA','AVARÉ','SP',13107,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6208614,6.00,8.00,5.00,7.00,8.00,9.75,3.00,6.00,3.00,201,NULL,235,'VENDAVAL','BIGUAÇU','SC',3374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208622,7.00,5.00,2.00,5.00,9.00,8.63,2.00,6.00,5.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',5579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208630,3.00,4.00,0.00,3.00,5.00,6.75,2.00,2.00,0.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19979,175,NULL,NULL,NULL,NULL,NULL,2,1),(25,6208649,4.00,6.00,2.00,4.00,7.00,NULL,0.00,7.00,2.00,324,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6208657,5.00,4.00,4.00,4.00,8.00,9.38,4.00,5.00,7.00,216,NULL,233,'CENTRO','GARÇA','SP',5139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208665,7.00,5.00,2.00,5.00,8.00,7.88,5.00,6.00,7.00,103,NULL,NULL,'MONTE ALEGRE','PIRACICABA','SP',4804,2359,NULL,NULL,NULL,NULL,NULL,2,1),(25,6208673,7.00,4.00,0.00,7.00,7.00,10.88,1.00,6.00,5.00,303,NULL,NULL,'CAPAO RASO','CURITIBA','PR',7646,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6208681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6208690,6.00,5.00,1.00,3.00,6.00,7.50,5.00,5.00,3.00,103,NULL,NULL,'CENTRO','TOLEDO','PR',11631,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6208720,3.00,7.00,3.00,4.00,5.00,8.25,2.00,3.00,3.00,333,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',11913,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6208738,3.00,5.00,4.00,4.00,8.00,9.38,3.00,4.00,2.00,211,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208746,2.00,5.00,1.00,3.00,4.00,9.75,2.00,5.00,2.00,326,NULL,NULL,'CENTRO','JOINVILLE','SC',19191,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6208754,4.00,3.00,3.00,5.00,5.00,9.38,2.00,2.00,0.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',19055,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6208762,2.00,1.00,0.00,2.00,2.00,NULL,1.00,0.00,0.00,101,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6208770,4.00,3.00,1.00,6.00,5.00,6.75,5.00,3.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208789,4.00,5.00,1.00,4.00,7.00,7.50,2.00,4.00,4.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13910,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6208797,8.00,7.00,4.00,7.00,10.00,9.75,4.00,6.00,5.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',1564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208800,5.00,5.00,2.00,0.00,6.00,NULL,0.00,2.00,3.00,601,NULL,207,'FÁTIMA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6208819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,208,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6208827,4.00,6.00,3.00,6.00,8.00,9.38,2.00,2.00,4.00,216,NULL,215,'SANTO ANTÔNIO','JOINVILLE','SC',8867,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6208835,5.00,5.00,6.00,4.00,8.00,9.00,1.00,2.00,6.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',10999,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6208843,4.00,6.00,0.00,5.00,8.00,7.88,1.00,4.00,3.00,211,NULL,212,'CHACARAS ITAPETINGA','ATIBAIA','SP',11399,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6208860,3.00,3.00,1.00,3.00,6.00,6.00,3.00,0.00,3.00,415,NULL,NULL,'CENTRO','UMUARAMA','PR',16813,262,NULL,NULL,NULL,NULL,NULL,4,3),(25,6208878,4.00,6.00,3.00,5.00,9.00,8.25,3.00,5.00,3.00,238,NULL,213,'COQUEIROS','FLORIANÓPOLIS','SC',8736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6208886,4.00,5.00,6.00,4.00,8.00,10.88,2.00,4.00,6.00,201,NULL,203,'VILA PLANALTO','DOURADOS','MS',4182,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6208894,3.00,5.00,5.00,7.00,6.00,8.63,1.00,1.00,5.00,301,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',8999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208908,4.00,5.00,0.00,2.00,7.00,7.50,2.00,3.00,1.00,104,NULL,NULL,'DE LORENZI','BOITUVA','SP',14956,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6208916,3.00,3.00,3.00,5.00,5.00,8.63,4.00,2.00,4.00,450,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',13702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6208924,4.00,3.00,3.00,4.00,5.00,8.25,2.00,2.00,3.00,429,NULL,428,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6208940,3.00,4.00,1.00,3.00,4.00,NULL,0.00,1.00,2.00,502,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6208959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MORADA DA COLINA','UBERLÂNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6208967,2.00,4.00,1.00,4.00,4.00,9.00,2.00,4.00,3.00,208,NULL,655,'CENTRO','DIONÍSIO CERQUEIRA','SC',18227,470,NULL,105,NULL,NULL,NULL,2,4),(25,6208975,7.00,6.00,8.00,5.00,6.00,6.00,6.00,7.00,6.00,220,NULL,213,'ITACORUBI','FLORIANÓPOLIS','SC',3030,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6208983,4.00,3.00,0.00,4.00,4.00,7.50,2.00,4.00,6.00,102,NULL,NULL,'CRISTO REI','CURITIBA','PR',14098,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6209009,5.00,5.00,0.00,3.00,7.00,NULL,1.00,6.00,2.00,337,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6209017,2.00,3.00,1.00,3.00,9.00,10.88,1.00,4.00,0.00,326,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',17215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209025,5.00,6.00,4.00,4.00,8.00,10.88,0.00,5.00,6.00,104,NULL,NULL,'CENTRO','S JOSÉ','SC',6462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209033,3.00,5.00,1.00,6.00,8.00,10.50,0.00,3.00,2.00,317,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',14647,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6209068,2.00,2.00,2.00,4.00,6.00,5.25,4.00,3.00,5.00,336,NULL,NULL,'PIO CORREIA','CRICIÚMA','SC',19029,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6209092,5.00,4.00,2.00,6.00,9.00,9.38,3.00,5.00,3.00,108,NULL,NULL,'VISTA ALEGRE','CURITIBA','PR',9728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209106,4.00,6.00,4.00,7.00,8.00,7.13,3.00,3.00,3.00,601,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',10222,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6209130,3.00,4.00,2.00,3.00,4.00,6.38,2.00,4.00,2.00,450,NULL,NULL,'INTERIOR','ERECHIM','RS',17073,113,NULL,NULL,NULL,NULL,NULL,2,4),(25,6209149,4.00,5.00,3.00,2.00,6.00,6.00,0.00,1.00,1.00,103,NULL,NULL,'JOSÉ BONIFACIO','ERECHIM','RS',16886,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6209165,2.00,1.00,1.00,2.00,2.00,NULL,1.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6209173,2.00,5.00,0.00,3.00,2.00,NULL,0.00,4.00,1.00,216,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209181,6.00,8.00,6.00,7.00,10.00,7.13,4.00,8.00,9.00,303,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209203,2.00,3.00,0.00,2.00,5.00,5.25,2.00,3.00,2.00,103,NULL,NULL,'PEDREIRAS','IÇARA','SC',20546,4725,NULL,NULL,NULL,NULL,NULL,2,5),(25,6209211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,202,'CENTRO','TANGARÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6209238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'JARDIN ITU SABARA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6209246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6209262,5.00,2.00,1.00,3.00,4.00,8.63,2.00,4.00,5.00,102,NULL,NULL,'VILA NOVA','FRANCISCO BELTRÃO','PR',13221,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6209289,0.00,2.00,1.00,2.00,3.00,5.25,0.00,5.00,2.00,444,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6209297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6209300,2.00,3.00,3.00,2.00,5.00,7.88,1.00,1.00,1.00,104,NULL,NULL,'AEROPORTO','TUBARÃO','SC',21086,584,NULL,NULL,NULL,NULL,NULL,2,10),(25,6209327,5.00,4.00,2.00,3.00,6.00,10.50,1.00,3.00,1.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',13707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'SÃO JOSÉ DO PANTANO','POUSO ALEGRE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6209343,5.00,3.00,1.00,2.00,3.00,4.50,0.00,3.00,3.00,201,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',20043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209351,6.00,5.00,2.00,5.00,8.00,12.00,3.00,6.00,9.00,5,NULL,NULL,'UBERABA','CURITIBA','PR',3419,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6209360,5.00,0.00,3.00,4.00,8.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6209378,8.00,8.00,0.00,7.00,8.00,12.75,2.00,4.00,5.00,999,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6209386,1.00,4.00,2.00,3.00,4.00,7.50,1.00,0.00,0.00,423,NULL,421,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6209394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6209424,2.00,6.00,1.00,4.00,7.00,7.88,1.00,1.00,2.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209440,2.00,2.00,1.00,3.00,4.00,7.88,2.00,5.00,2.00,326,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',20463,64,NULL,NULL,NULL,NULL,NULL,2,1),(25,6209459,2.00,5.00,1.00,2.00,5.00,NULL,0.00,2.00,2.00,451,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6209467,7.00,5.00,3.00,5.00,9.00,12.00,1.00,7.00,4.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',4189,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6209483,3.00,5.00,0.00,4.00,2.00,NULL,3.00,2.00,4.00,420,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6209491,1.00,4.00,1.00,2.00,5.00,8.25,1.00,3.00,2.00,2,NULL,NULL,'SAO SEBASTIAO','PALHOÇA','SC',20937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6209521,1.00,5.00,2.00,0.00,3.00,6.00,3.00,1.00,1.00,103,NULL,NULL,'ITAPEVA','IMARUÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209530,2.00,3.00,2.00,2.00,4.00,NULL,3.00,2.00,0.00,104,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6209572,4.00,4.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,238,NULL,220,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6209599,4.00,6.00,3.00,5.00,6.00,8.63,2.00,3.00,7.00,211,NULL,215,'CENTRO','BAL CAMBORIÚ','SC',10087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,220,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6209629,7.00,6.00,2.00,5.00,6.00,8.25,3.00,5.00,5.00,103,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',7361,3035,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'INTERIOR','OURO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6209645,2.00,5.00,1.00,4.00,5.00,10.13,1.00,3.00,2.00,233,NULL,211,'CENTRO','CONCÓRDIA','SC',16366,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6209653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6209661,4.00,3.00,1.00,3.00,7.00,8.25,2.00,0.00,2.00,103,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',15221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209670,7.00,6.00,9.00,7.00,7.00,8.25,3.00,6.00,8.00,203,NULL,214,'GLORIA','JOINVILLE','SC',1493,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6209688,3.00,5.00,2.00,1.00,4.00,6.75,2.00,2.00,1.00,453,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',18559,126,NULL,NULL,NULL,NULL,NULL,2,1),(25,6209696,6.00,7.00,5.00,7.00,10.00,9.75,3.00,7.00,6.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6209734,3.00,5.00,3.00,5.00,7.00,10.88,2.00,6.00,2.00,234,NULL,NULL,'PAGARÁ GANDE','S PEDRO ALCÂNTARA','SC',10951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6209742,4.00,3.00,4.00,2.00,7.00,9.75,5.00,2.00,6.00,233,NULL,NULL,'DEMETRIA','BOTUCATU','SP',8785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209750,5.00,8.00,2.00,5.00,8.00,9.00,3.00,6.00,3.00,303,NULL,NULL,'PEREQUÊ','ILHABELA','SP',5279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209769,7.00,8.00,3.00,7.00,10.00,10.13,1.00,7.00,7.00,332,NULL,NULL,'VILA NOVA CONCEIÇÃO','S PAULO','SP',2008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209777,3.00,3.00,1.00,2.00,3.00,7.13,2.00,1.00,1.00,316,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',20633,252,NULL,NULL,NULL,NULL,NULL,2,1),(25,6209793,7.00,7.00,1.00,5.00,8.00,7.50,1.00,6.00,7.00,103,NULL,NULL,'PATRIMONIO','TOCANTINS','MG',5314,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6209807,4.00,4.00,0.00,3.00,5.00,8.63,1.00,3.00,2.00,319,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',17214,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6209815,8.00,8.00,1.00,4.00,9.00,12.75,1.00,7.00,7.00,103,NULL,NULL,'CENTRO','COLORADO','PR',2357,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6209823,5.00,6.00,3.00,6.00,4.00,7.13,2.00,4.00,5.00,102,NULL,NULL,'ROÇADO','S JOSÉ','SC',12785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'DAMHA I','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6209858,5.00,3.00,1.00,3.00,5.00,6.75,0.00,5.00,2.00,303,NULL,NULL,'CENTRO','TURVO','SC',16427,730,NULL,NULL,NULL,NULL,NULL,2,15),(25,6209874,6.00,6.00,2.00,3.00,10.00,5.25,2.00,5.00,2.00,203,NULL,207,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',9768,707,NULL,484,NULL,NULL,NULL,4,1),(25,6209882,8.00,6.00,2.00,5.00,7.00,10.13,2.00,7.00,7.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4634,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6209890,2.00,3.00,2.00,4.00,5.00,6.00,0.00,2.00,0.00,207,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6209912,6.00,3.00,4.00,4.00,7.00,9.00,3.00,2.00,4.00,319,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',12860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6209920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA BOA VISTA','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6209947,3.00,5.00,2.00,2.00,4.00,8.63,2.00,3.00,2.00,335,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6209963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6209971,6.00,5.00,3.00,6.00,7.00,5.63,0.00,7.00,6.00,216,NULL,215,'CENTRO','RIO ANTAS','SC',7808,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6209998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'INTERIOR','CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6210007,2.00,2.00,1.00,3.00,5.00,5.25,1.00,3.00,1.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',21520,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6210015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,601,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6210023,5.00,6.00,1.00,3.00,9.00,9.00,0.00,4.00,2.00,601,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',11751,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6210031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6210058,2.00,6.00,5.00,3.00,7.00,6.75,0.00,2.00,3.00,211,NULL,208,'POTECAS','S JOSÉ','SC',17015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210066,4.00,0.00,3.00,5.00,8.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'CENTRO','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,NULL,'S','S',2,17),(25,6210082,2.00,4.00,2.00,4.00,6.00,7.50,1.00,2.00,1.00,208,NULL,655,'NORTE','BAL PIÇARRAS','SC',20262,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6210090,4.00,5.00,1.00,3.00,7.00,9.38,2.00,3.00,1.00,103,NULL,NULL,'MADUREIRA','CAXIAS SUL','RS',14722,4196,NULL,NULL,NULL,NULL,NULL,2,1),(25,6210104,1.00,4.00,0.00,1.00,4.00,NULL,2.00,1.00,2.00,316,NULL,NULL,'BELA SUIÇA','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210112,3.00,5.00,1.00,3.00,4.00,6.75,1.00,3.00,1.00,110,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',20081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210120,3.00,6.00,4.00,5.00,6.00,0.00,1.00,2.00,1.00,201,NULL,212,'JARDIM ITÁLIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6210139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6210155,10.00,6.00,6.00,7.00,8.00,9.00,5.00,7.00,9.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6210171,7.00,6.00,4.00,8.00,10.00,12.00,1.00,8.00,8.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210180,7.00,6.00,5.00,6.00,7.00,8.25,5.00,8.00,5.00,211,NULL,216,'PANTANAL','FLORIANÓPOLIS','SC',4015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210201,8.00,4.00,8.00,6.00,5.00,7.13,1.00,5.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210210,3.00,2.00,4.00,4.00,7.00,NULL,2.00,0.00,1.00,103,NULL,NULL,'SAO CRISTOVAO','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6210228,7.00,6.00,1.00,6.00,8.00,11.25,0.00,7.00,5.00,319,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',5656,NULL,NULL,NULL,NULL,NULL,NULL,5,2),(25,6210244,6.00,7.00,5.00,7.00,6.00,10.50,6.00,4.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210252,6.00,4.00,4.00,7.00,8.00,10.13,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','BANDEIRANTES','PR',4166,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6210260,2.00,5.00,2.00,0.00,6.00,9.75,0.00,3.00,1.00,211,NULL,652,'LINHA BALIZA','MAREMA','SC',17775,471,NULL,58,NULL,NULL,NULL,4,4),(25,6210279,4.00,2.00,2.00,4.00,6.00,7.50,1.00,2.00,1.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19956,826,NULL,NULL,NULL,NULL,NULL,2,1),(25,6210287,4.00,3.00,1.00,3.00,7.00,8.25,3.00,4.00,1.00,102,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6210295,3.00,3.00,1.00,3.00,5.00,7.13,0.00,4.00,3.00,103,NULL,NULL,'CENTRO','NOVA VENEZA','SC',17611,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6210317,6.00,5.00,1.00,6.00,8.00,9.00,1.00,5.00,7.00,103,NULL,NULL,'INTERIOR','CAPINZAL','SC',6335,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6210325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'J ALTO DA BOA VISTA','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6210333,5.00,7.00,4.00,7.00,8.00,10.13,2.00,5.00,4.00,202,NULL,213,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210350,9.00,7.00,9.00,7.00,10.00,10.13,7.00,8.00,7.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',97,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210368,3.00,4.00,2.00,5.00,4.00,7.50,4.00,5.00,1.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6210376,2.00,2.00,4.00,1.00,4.00,7.50,2.00,1.00,2.00,404,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210384,5.00,2.00,2.00,1.00,5.00,7.50,1.00,2.00,0.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TERRAS DO MADEIRA','CARAPICUÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6210414,7.00,7.00,3.00,6.00,8.00,NULL,0.00,7.00,7.00,211,NULL,201,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6210422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,423,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6210430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6210449,3.00,2.00,2.00,5.00,3.00,NULL,1.00,0.00,1.00,103,NULL,NULL,'VILA NOVA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6210457,3.00,7.00,2.00,3.00,7.00,9.38,1.00,3.00,4.00,203,NULL,202,'VELHA','BLUMENAU','SC',11378,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6210465,2.00,3.00,3.00,3.00,3.00,5.63,1.00,1.00,1.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21551,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6210473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6210490,5.00,2.00,0.00,3.00,5.00,7.50,0.00,2.00,1.00,238,NULL,208,'ARIRIU','PALHOÇA','SC',18952,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6210503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6210511,7.00,7.00,4.00,4.00,7.00,7.88,1.00,5.00,7.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4817,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6210520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6210538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6210554,2.00,3.00,3.00,1.00,5.00,8.25,2.00,1.00,2.00,327,NULL,NULL,'AMBROSIO','GAROPABA','SC',20901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210562,7.00,5.00,1.00,6.00,8.00,12.38,0.00,4.00,8.00,103,NULL,NULL,'JD SANTA CANDIDA','S JOSÉ R PRETO','SP',3998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6210570,2.00,6.00,2.00,4.00,6.00,0.00,0.00,5.00,2.00,201,NULL,235,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6210589,5.00,7.00,1.00,2.00,6.00,7.50,2.00,4.00,3.00,444,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',15562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,652,'JARDIM ELIZABETH','COCAL SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6210600,5.00,6.00,2.00,6.00,8.00,10.88,1.00,4.00,4.00,336,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6210627,2.00,2.00,2.00,4.00,3.00,7.13,1.00,2.00,3.00,101,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6210635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PARQUE REDENÇÃO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6210643,1.00,5.00,0.00,2.00,5.00,NULL,3.00,2.00,2.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6210651,2.00,2.00,0.00,2.00,4.00,5.63,0.00,0.00,2.00,223,NULL,NULL,'PONTE DE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6210660,2.00,2.00,0.00,3.00,6.00,9.75,4.00,1.00,1.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6210678,6.00,4.00,1.00,6.00,9.00,NULL,0.00,4.00,2.00,214,NULL,203,'VILA MASCOTE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'COLÔNIA BACIA','CORDILHEIRA ALTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6210694,3.00,5.00,2.00,3.00,5.00,10.13,1.00,1.00,2.00,999,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6210708,7.00,6.00,2.00,7.00,8.00,8.63,2.00,3.00,4.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210716,4.00,6.00,2.00,2.00,5.00,NULL,0.00,2.00,2.00,211,NULL,215,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6210732,4.00,8.00,2.00,4.00,7.00,7.13,2.00,7.00,4.00,103,NULL,NULL,'ANDORINHA','ITAPEMA','SC',10757,3679,NULL,NULL,NULL,NULL,NULL,4,3),(25,6210759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'JARDIM MERCURIO','MANDAGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6210775,4.00,3.00,1.00,4.00,8.00,9.38,1.00,2.00,3.00,216,NULL,207,'SERRARIA','S JOSÉ','SC',15257,511,NULL,827,NULL,NULL,NULL,2,1),(25,6210783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,653,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6210791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'SCHROEDER I','SCHROEDER','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6210821,3.00,6.00,0.00,1.00,4.00,NULL,0.00,1.00,0.00,207,NULL,201,'CENTRO','RONDA ALTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6210848,5.00,7.00,3.00,6.00,8.00,6.75,3.00,5.00,6.00,303,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',5994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210856,5.00,6.00,3.00,6.00,5.00,6.75,4.00,4.00,5.00,655,NULL,NULL,'DEHON','TUBARÃO','SC',9591,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6210864,3.00,5.00,3.00,6.00,7.00,7.88,1.00,4.00,6.00,216,NULL,201,'CENTRO','CAÇADOR','SC',12179,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6210872,2.00,5.00,2.00,1.00,8.00,NULL,0.00,1.00,1.00,203,NULL,201,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6210899,5.00,6.00,3.00,4.00,4.00,11.25,2.00,5.00,6.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',6649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6210902,0.00,6.00,0.00,0.00,0.00,NULL,2.00,3.00,3.00,999,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(25,6210910,6.00,6.00,2.00,2.00,6.00,8.25,0.00,3.00,3.00,216,NULL,208,'SÃO LUIZ','S MIGUEL OESTE','SC',12484,440,NULL,234,NULL,NULL,NULL,4,1),(25,6210929,5.00,4.00,2.00,6.00,8.00,11.63,2.00,3.00,5.00,336,NULL,NULL,'CARMO','ARARAQUARA','SP',7825,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210945,5.00,4.00,3.00,6.00,8.00,9.00,2.00,1.00,5.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',11308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210953,5.00,5.00,2.00,4.00,5.00,7.88,2.00,5.00,5.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',11864,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6210961,5.00,7.00,3.00,4.00,4.00,7.50,3.00,4.00,5.00,233,NULL,238,'CARIANOS','FLORIANÓPOLIS','SC',10009,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6210970,3.00,4.00,0.00,2.00,2.00,NULL,2.00,0.00,0.00,444,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210988,8.00,4.00,6.00,5.00,8.00,9.00,3.00,5.00,6.00,203,NULL,202,'CORREGO GRANDE','FLORIANÓPOLIS','SC',3698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6210996,6.00,5.00,2.00,4.00,6.00,9.00,0.00,4.00,2.00,317,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',15180,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6211003,8.00,7.00,5.00,5.00,7.00,7.88,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','ASCURRA','SC',3337,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6211011,7.00,8.00,2.00,6.00,6.00,9.00,0.00,6.00,5.00,220,NULL,235,'CENTRO','MEDIANEIRA','PR',5203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211038,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,211,NULL,215,'CENTRO','ARROIO TRINTA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',5,7),(25,6211046,4.00,7.00,2.00,3.00,6.00,6.00,3.00,5.00,3.00,212,NULL,233,'BELA VISTA','S JOSÉ','SC',14847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6211054,4.00,6.00,3.00,6.00,9.00,12.38,3.00,4.00,7.00,202,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',5609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211062,6.00,5.00,2.00,3.00,6.00,6.75,3.00,3.00,4.00,211,NULL,215,'NOVA PETROPOLIS','S BERNARDO CAMPO','SP',9672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6211070,7.00,8.00,2.00,6.00,9.00,9.38,3.00,8.00,4.00,340,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',3391,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6211089,1.00,1.00,2.00,1.00,4.00,NULL,1.00,2.00,0.00,428,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6211100,3.00,4.00,3.00,2.00,8.00,8.63,2.00,3.00,2.00,201,NULL,207,'CIDADE NOVA','ITAJAÍ','SC',15002,1275,NULL,809,NULL,NULL,NULL,4,6),(25,6211119,4.00,5.00,1.00,4.00,4.00,7.50,2.00,4.00,3.00,208,NULL,238,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6211127,2.00,2.00,1.00,4.00,8.00,8.25,2.00,2.00,2.00,501,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6211135,2.00,5.00,3.00,2.00,4.00,5.63,2.00,3.00,1.00,203,NULL,214,'FARROUPILHA','VIDEIRA','SC',21192,1154,NULL,453,NULL,NULL,NULL,4,7),(25,6211143,6.00,6.00,3.00,7.00,7.00,8.25,4.00,8.00,5.00,233,NULL,213,'CAPOEIRAS','FLORIANÓPOLIS','SC',3950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211151,5.00,8.00,0.00,1.00,10.00,8.25,2.00,5.00,4.00,201,NULL,NULL,'CENTRO','TUBARÃO','SC',9428,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6211178,6.00,7.00,4.00,6.00,9.00,9.00,4.00,7.00,7.00,655,NULL,601,'CENTRO','IPORÃ','PR',2333,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6211186,4.00,3.00,1.00,1.00,5.00,7.13,3.00,2.00,2.00,336,NULL,NULL,'SAO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6211194,4.00,6.00,3.00,2.00,7.00,7.13,1.00,5.00,1.00,453,NULL,NULL,'CAÇADOR','CAPIVARI BAIXO','SC',13579,91,NULL,NULL,NULL,NULL,NULL,2,10),(25,6211208,6.00,6.00,4.00,5.00,7.00,4.88,2.00,5.00,6.00,316,NULL,NULL,'SÃO JUDAS','AVARÉ','SP',7660,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6211224,5.00,7.00,2.00,6.00,10.00,10.50,1.00,6.00,8.00,5,NULL,NULL,'ITACURUBI','FLORIANÓPOLIS','SC',3078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211240,2.00,2.00,2.00,3.00,6.00,6.00,2.00,0.00,0.00,502,NULL,NULL,'MOLHA COCO','TIMBÉ SUL','SC',21432,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6211259,0.00,4.00,2.00,5.00,6.00,6.75,2.00,4.00,2.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',17231,602,NULL,NULL,NULL,NULL,NULL,2,1),(25,6211267,4.00,5.00,0.00,5.00,6.00,9.75,1.00,3.00,2.00,201,NULL,212,'VILA CONSTANÇA','S PAULO','SP',14335,1221,NULL,418,NULL,NULL,NULL,4,1),(25,6211275,4.00,6.00,2.00,2.00,6.00,6.38,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','MARAVILHA','SC',15922,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6211283,2.00,3.00,2.00,2.00,5.00,7.50,2.00,1.00,2.00,654,NULL,NULL,'CENTRO','SOMBRIO','SC',18797,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6211291,6.00,5.00,3.00,4.00,8.00,7.88,2.00,3.00,3.00,999,NULL,NULL,'SANTA MARIA','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211305,3.00,4.00,3.00,3.00,6.00,7.13,1.00,4.00,1.00,320,NULL,NULL,'SANTA ELIZABETH','AVARÉ','SP',16318,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6211313,6.00,6.00,4.00,5.00,8.00,9.75,3.00,5.00,5.00,103,NULL,NULL,'VILA OLIVEIRA','ITAPETININGA','SP',5027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211330,4.00,4.00,3.00,5.00,6.00,NULL,0.00,0.00,6.00,216,NULL,233,'MARIA ISABEL','MARÍLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6211348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6211356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'HUMAITÁ DE CIMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6211364,6.00,5.00,3.00,3.00,8.00,9.38,1.00,5.00,0.00,207,NULL,601,'SANTO ANTONIO','JOINVILLE','SC',12824,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6211372,2.00,2.00,3.00,2.00,5.00,8.25,0.00,3.00,2.00,9,NULL,NULL,'BOM PASTOR','CAXIAS SUL','RS',19925,136,NULL,NULL,NULL,NULL,NULL,2,6),(25,6211380,2.00,3.00,1.00,2.00,7.00,7.13,1.00,3.00,1.00,201,NULL,216,'CENTRO','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211399,3.00,3.00,1.00,4.00,6.00,7.50,2.00,3.00,0.00,426,NULL,428,'BALNEÁRIO','FLORIANÓPOLIS','SC',20445,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6211402,4.00,5.00,5.00,3.00,7.00,7.50,1.00,1.00,1.00,214,NULL,238,'SANTA CATARINA','JOINVILLE','SC',17280,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6211410,3.00,5.00,0.00,4.00,7.00,4.50,2.00,5.00,4.00,501,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16716,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6211429,6.00,5.00,1.00,6.00,9.00,10.13,1.00,5.00,2.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',9460,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6211437,6.00,2.00,3.00,3.00,6.00,10.13,2.00,4.00,5.00,203,NULL,207,'BACACHERI','CURITIBA','PR',12284,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6211445,1.00,2.00,2.00,1.00,7.00,6.00,1.00,0.00,1.00,202,NULL,201,'CAÇADOR','CAPIVARI BAIXO','SC',20509,649,NULL,1671,NULL,NULL,NULL,4,10),(25,6211453,8.00,5.00,3.00,5.00,8.00,9.38,4.00,7.00,8.00,103,NULL,NULL,'FLORESTA','BELO HORIZONTE','MG',3540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211461,7.00,6.00,7.00,7.00,7.00,10.50,5.00,8.00,7.00,201,NULL,207,'CENTRO','S MIGUEL OESTE','SC',1196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211488,4.00,4.00,1.00,2.00,4.00,8.25,2.00,4.00,4.00,212,NULL,216,'RIO TAVARES','FLORIANÓPOLIS','SC',17923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211496,5.00,5.00,1.00,6.00,7.00,7.13,1.00,2.00,3.00,207,NULL,233,'CENTRO','BIGUAÇU','SC',15128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211518,2.00,7.00,2.00,3.00,10.00,8.63,2.00,4.00,2.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14522,4184,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211526,1.00,1.00,1.00,1.00,5.00,NULL,1.00,0.00,2.00,211,NULL,203,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211534,4.00,6.00,2.00,4.00,8.00,10.13,1.00,2.00,2.00,340,NULL,NULL,'CIDADE ALTA','VIDEIRA','SC',16245,351,NULL,NULL,NULL,NULL,NULL,4,7),(25,6211542,8.00,6.00,7.00,7.00,7.00,12.00,5.00,8.00,7.00,203,NULL,201,'TV MORENA','CPO GRANDE','MS',563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211569,2.00,2.00,2.00,1.00,2.00,NULL,4.00,0.00,0.00,308,NULL,NULL,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6211577,2.00,4.00,0.00,4.00,5.00,NULL,2.00,4.00,2.00,225,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6211585,3.00,4.00,3.00,3.00,5.00,7.88,1.00,2.00,3.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',15666,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6211615,6.00,7.00,0.00,7.00,9.00,6.00,2.00,8.00,6.00,328,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211623,5.00,5.00,3.00,2.00,3.00,7.13,2.00,3.00,3.00,653,NULL,NULL,'VILA SAO JOSE','ARARANGUÁ','SC',17873,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6211631,4.00,4.00,2.00,3.00,7.00,7.13,1.00,6.00,2.00,415,NULL,NULL,'PETRÓPOLIS','JOINVILLE','SC',13227,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6211640,6.00,7.00,4.00,5.00,7.00,10.13,1.00,6.00,3.00,103,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',6461,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6211658,2.00,4.00,2.00,6.00,4.00,7.88,0.00,2.00,0.00,215,NULL,211,'AREAL','PELOTAS','RS',17674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6211674,6.00,6.00,5.00,5.00,11.00,12.00,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',1952,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6211682,2.00,3.00,4.00,4.00,4.00,6.38,2.00,2.00,1.00,339,NULL,NULL,'BARREIROS','S JOSÉ','SC',20602,26,NULL,NULL,NULL,NULL,NULL,2,1),(25,6211690,3.00,8.00,3.00,4.00,7.00,9.00,1.00,5.00,3.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6211704,4.00,5.00,6.00,5.00,5.00,6.75,3.00,5.00,3.00,203,NULL,201,'PARQUE VENEZA','ARAPONGAS','PR',10623,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6211712,8.00,6.00,6.00,7.00,8.00,9.75,5.00,7.00,7.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211720,7.00,3.00,3.00,2.00,5.00,8.25,2.00,0.00,5.00,104,NULL,NULL,'CENTRO','MELEIRO','SC',12385,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6211739,4.00,6.00,2.00,4.00,5.00,7.50,4.00,7.00,4.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11076,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6211747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PAULISTA','JUNQUEIRÓPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6211755,2.00,4.00,0.00,1.00,6.00,7.88,1.00,1.00,1.00,339,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6211763,7.00,7.00,3.00,4.00,8.00,9.75,3.00,2.00,4.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',6812,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6211771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6211798,1.00,4.00,1.00,4.00,0.00,NULL,3.00,2.00,1.00,309,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6211801,9.00,6.00,6.00,7.00,9.00,7.50,4.00,7.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',566,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6211810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA SOUTO','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6211828,2.00,6.00,2.00,4.00,4.00,7.13,1.00,1.00,3.00,333,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',20126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211836,5.00,3.00,4.00,5.00,3.00,8.63,2.00,2.00,4.00,303,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',13072,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6211844,4.00,6.00,3.00,5.00,5.00,8.63,1.00,3.00,3.00,303,NULL,NULL,'JARDIM SANTA MARIA','TOLEDO','PR',15500,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6211852,0.00,0.00,3.00,1.00,2.00,NULL,2.00,1.00,0.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6211860,5.00,5.00,4.00,3.00,6.00,6.75,2.00,3.00,1.00,203,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',14430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211887,4.00,4.00,1.00,4.00,7.00,8.63,1.00,2.00,4.00,104,NULL,NULL,'LENÇOL','S BENTO SUL','SC',14274,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6211909,7.00,7.00,3.00,5.00,8.00,7.88,2.00,6.00,4.00,601,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',5855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6211925,2.00,4.00,4.00,4.00,5.00,8.25,1.00,2.00,3.00,216,NULL,215,'CENTRO','CPO BELO SUL','SC',15730,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6211933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6211941,3.00,5.00,2.00,4.00,7.00,9.38,2.00,4.00,3.00,429,NULL,425,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',14580,26,NULL,NULL,NULL,NULL,NULL,2,1),(25,6211950,3.00,3.00,2.00,5.00,5.00,9.75,2.00,5.00,1.00,415,NULL,NULL,'JARDIM PRIMAVERA','PIRACICABA','SP',13778,199,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211968,2.00,4.00,0.00,3.00,3.00,6.38,3.00,3.00,3.00,103,NULL,NULL,'CENTRO','PALMITOS','SC',20899,4755,NULL,NULL,NULL,NULL,NULL,4,4),(25,6211976,7.00,6.00,1.00,6.00,8.00,8.25,3.00,7.00,5.00,103,NULL,NULL,'VILA PACÍFICO','BAURU','SP',5462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211984,4.00,5.00,3.00,2.00,8.00,7.13,0.00,5.00,4.00,207,NULL,601,'JOSÉ MENDES','FLORIANÓPOLIS','SC',13401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6211992,6.00,6.00,3.00,5.00,8.00,7.88,1.00,4.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6212018,3.00,6.00,3.00,6.00,8.00,9.00,3.00,3.00,6.00,316,NULL,NULL,'CENTRO','LAGES','SC',6893,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6212069,5.00,4.00,1.00,4.00,8.00,7.88,1.00,2.00,1.00,999,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6212077,2.00,7.00,1.00,2.00,5.00,7.88,2.00,4.00,3.00,9,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6212085,6.00,8.00,6.00,7.00,7.00,9.38,5.00,6.00,8.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',960,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212107,5.00,8.00,3.00,6.00,9.00,11.25,2.00,7.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',2711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212115,7.00,5.00,2.00,5.00,7.00,8.63,2.00,6.00,3.00,103,NULL,NULL,'MONTE CARMELO','GUARULHOS','SP',7607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212123,5.00,6.00,1.00,3.00,6.00,9.38,2.00,5.00,2.00,333,NULL,NULL,'MIRANTE','ITÁ','SC',14773,102,NULL,NULL,NULL,NULL,NULL,4,4),(25,6212131,7.00,6.00,8.00,7.00,9.00,7.88,7.00,6.00,7.00,220,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6212158,4.00,1.00,1.00,2.00,7.00,7.50,1.00,1.00,0.00,201,NULL,207,'CENTRO','CPO MOURÃO','PR',19089,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6212182,6.00,5.00,6.00,6.00,8.00,7.88,3.00,6.00,7.00,203,NULL,201,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',3313,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212190,5.00,2.00,0.00,6.00,6.00,8.25,3.00,5.00,2.00,110,NULL,NULL,'GOIAS','STA CRUZ SUL','RS',12873,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6212204,4.00,4.00,3.00,2.00,6.00,7.50,2.00,5.00,6.00,653,NULL,201,'CENTRO','TRÊS MAIO','RS',11343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6212212,2.00,6.00,1.00,5.00,6.00,8.25,1.00,4.00,5.00,104,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',14944,391,NULL,NULL,NULL,NULL,NULL,2,9),(25,6212220,6.00,6.00,4.00,7.00,6.00,7.13,1.00,5.00,6.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',6674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6212247,9.00,6.00,7.00,7.00,10.00,7.50,4.00,8.00,9.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6212255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JOÃO PESSOA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6212263,3.00,6.00,3.00,3.00,5.00,5.63,0.00,4.00,2.00,238,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',19098,448,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212271,4.00,4.00,2.00,4.00,4.00,8.25,0.00,7.00,2.00,101,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',18330,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6212301,2.00,1.00,1.00,2.00,2.00,NULL,0.00,0.00,1.00,108,NULL,NULL,'VILA NOVA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6212310,7.00,4.00,8.00,7.00,8.00,8.63,4.00,6.00,7.00,203,NULL,213,'CENTRO','CURITIBA','PR',1507,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6212328,3.00,3.00,0.00,0.00,5.00,NULL,3.00,1.00,1.00,102,NULL,NULL,'SANTA HELENA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,9),(25,6212344,5.00,4.00,1.00,4.00,6.00,9.75,0.00,3.00,2.00,320,NULL,NULL,'BERGER','CAÇADOR','SC',14831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212352,4.00,6.00,4.00,7.00,9.00,6.38,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',8864,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6212360,1.00,5.00,0.00,4.00,2.00,NULL,2.00,4.00,3.00,310,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212379,4.00,5.00,4.00,2.00,7.00,9.00,1.00,4.00,3.00,216,NULL,203,'TEUTÔNIA','TEUTÔNIA','RS',11263,400,NULL,779,NULL,NULL,NULL,2,10),(25,6212387,4.00,4.00,4.00,5.00,4.00,6.75,2.00,3.00,3.00,207,NULL,212,'BATEL','CURITIBA','PR',12991,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6212395,7.00,5.00,4.00,5.00,9.00,9.75,4.00,5.00,5.00,220,NULL,214,'SETOR AEROPORTO','GOIÂNIA','GO',3312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6212417,2.00,3.00,3.00,4.00,7.00,7.13,2.00,4.00,2.00,444,NULL,NULL,'BOMBAS','BOMBINHAS','SC',18005,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6212425,7.00,7.00,1.00,4.00,8.00,NULL,0.00,6.00,5.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6212433,6.00,8.00,6.00,6.00,9.00,12.75,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','UMUARAMA','PR',1168,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6212441,4.00,4.00,3.00,3.00,3.00,6.38,2.00,3.00,3.00,211,NULL,NULL,'TABULEIRO','CAMBORIÚ','SC',19308,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6212450,4.00,5.00,2.00,6.00,7.00,6.75,3.00,4.00,5.00,201,NULL,202,'BOQUEIRÃO','CURITIBA','PR',7630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6212468,2.00,3.00,1.00,3.00,5.00,6.38,2.00,2.00,1.00,207,NULL,201,'BOA VISTA','JOINVILLE','SC',18659,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6212476,5.00,3.00,2.00,4.00,7.00,7.88,0.00,3.00,2.00,654,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',17940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212484,8.00,7.00,2.00,6.00,10.00,11.63,4.00,7.00,9.00,103,NULL,NULL,'ESTAÇÃO LUZERNA','HERVAL D OESTE','SC',1184,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6212492,5.00,5.00,2.00,4.00,7.00,8.63,0.00,2.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',8851,3355,NULL,NULL,NULL,NULL,NULL,2,8),(25,6212506,4.00,6.00,3.00,1.00,8.00,7.50,1.00,6.00,6.00,601,NULL,202,'VILA REAL','BAL CAMBORIÚ','SC',8076,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6212514,4.00,5.00,4.00,6.00,9.00,9.00,1.00,5.00,5.00,202,NULL,213,'SÃO GERALDO','PTO ALEGRE','RS',6262,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6212522,2.00,3.00,1.00,1.00,6.00,NULL,0.00,1.00,0.00,216,NULL,601,'JOÃO PAULO SEGUNDO','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6212530,2.00,2.00,0.00,4.00,6.00,0.00,1.00,1.00,1.00,340,NULL,NULL,'CENTRO','ARIQUEMES','RO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6212557,6.00,7.00,5.00,5.00,8.00,9.38,2.00,6.00,5.00,203,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',5125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6212565,4.00,5.00,3.00,7.00,4.00,7.88,2.00,4.00,5.00,601,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',8730,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6212573,2.00,3.00,0.00,1.00,4.00,7.88,1.00,2.00,0.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6212581,3.00,5.00,2.00,2.00,4.00,7.88,2.00,5.00,2.00,238,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',15518,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212590,5.00,5.00,7.00,0.00,7.00,8.25,3.00,4.00,4.00,224,NULL,NULL,'BARREIROS','S JOSÉ','SC',10018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6212603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AREAL','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6212620,2.00,2.00,1.00,3.00,6.00,NULL,1.00,0.00,1.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,NULL,'INTERIOR','LUZERNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6212654,6.00,4.00,2.00,3.00,4.00,7.13,2.00,4.00,6.00,207,NULL,NULL,'CENTRO','IPUMIRIM','SC',12307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212662,5.00,4.00,1.00,6.00,8.00,10.88,0.00,3.00,3.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212670,3.00,2.00,1.00,2.00,6.00,6.75,1.00,1.00,0.00,503,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212689,4.00,5.00,1.00,2.00,7.00,8.63,1.00,3.00,0.00,5,NULL,NULL,'FLORESTA','S JOSÉ','SC',14910,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212700,1.00,2.00,0.00,2.00,2.00,NULL,1.00,0.00,0.00,303,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6212727,7.00,5.00,3.00,5.00,10.00,7.13,3.00,7.00,4.00,235,NULL,220,'CENTRO','CAPINZAL','SC',5612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6212735,6.00,7.00,4.00,6.00,8.00,12.00,2.00,7.00,7.00,319,NULL,NULL,'SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC',2842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6212743,6.00,7.00,3.00,7.00,7.00,6.75,4.00,6.00,8.00,203,NULL,220,'SANTA MONICA','FLORIANÓPOLIS','SC',3899,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6212751,3.00,4.00,3.00,2.00,3.00,6.00,0.00,3.00,1.00,654,NULL,NULL,'PROGRESSO','S MIGUEL OESTE','SC',21260,83,NULL,NULL,NULL,NULL,NULL,4,4),(25,6212760,3.00,5.00,2.00,5.00,8.00,11.25,0.00,2.00,2.00,5,NULL,NULL,'CRUZEIRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6212786,3.00,3.00,0.00,3.00,4.00,7.13,1.00,1.00,2.00,304,NULL,NULL,'CENTRO','ITAQUIRAÍ','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212794,3.00,6.00,3.00,3.00,3.00,7.50,2.00,2.00,1.00,102,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',16867,208,NULL,NULL,NULL,NULL,NULL,4,3),(25,6212808,4.00,5.00,4.00,6.00,6.00,7.50,1.00,2.00,4.00,201,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',13022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6212824,2.00,3.00,3.00,3.00,3.00,6.38,0.00,0.00,2.00,319,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',20393,435,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212859,1.00,5.00,2.00,4.00,3.00,NULL,2.00,0.00,0.00,3,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212867,3.00,5.00,0.00,3.00,7.00,9.75,2.00,2.00,2.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',18618,210,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212875,2.00,4.00,0.00,4.00,6.00,NULL,1.00,2.00,1.00,308,NULL,NULL,'QUATI','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6212883,3.00,3.00,1.00,4.00,3.00,5.25,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','S JOSÉ','SC',21728,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM UNIVERSITÁRIO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6212921,5.00,5.00,3.00,7.00,9.00,NULL,0.00,2.00,5.00,103,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6212930,5.00,7.00,4.00,6.00,6.00,7.13,0.00,8.00,6.00,340,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6212972,4.00,3.00,3.00,3.00,3.00,6.00,2.00,2.00,0.00,336,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',21200,179,NULL,NULL,NULL,NULL,NULL,2,1),(25,6212999,8.00,6.00,2.00,6.00,8.00,9.75,5.00,6.00,7.00,220,NULL,203,'CENTRO','TOLEDO','PR',2516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6213022,1.00,3.00,0.00,4.00,5.00,NULL,1.00,0.00,2.00,653,NULL,655,'SANGA DA AREIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6213030,7.00,5.00,5.00,4.00,9.00,8.63,2.00,4.00,6.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213065,4.00,5.00,2.00,2.00,4.00,NULL,1.00,2.00,0.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6213090,2.00,6.00,4.00,5.00,5.00,6.75,2.00,0.00,3.00,301,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',15623,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6213103,0.00,3.00,0.00,0.00,0.00,NULL,2.00,4.00,1.00,428,NULL,426,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213111,4.00,6.00,3.00,3.00,3.00,7.50,1.00,3.00,2.00,202,NULL,203,'CENTRO','JOAÇABA','SC',15443,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6213138,5.00,7.00,1.00,5.00,9.00,7.50,3.00,7.00,7.00,233,NULL,216,'UNIVERSITÁRIO','TIJUCAS','SC',5991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213146,5.00,6.00,1.00,5.00,10.00,7.88,3.00,4.00,2.00,103,NULL,NULL,'JARDIM ITALIA','MELEIRO','SC',7259,3018,NULL,NULL,NULL,NULL,NULL,2,15),(25,6213170,4.00,5.00,2.00,5.00,10.00,12.75,2.00,6.00,3.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8733,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6213189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6213197,2.00,4.00,2.00,2.00,6.00,8.63,3.00,3.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213200,3.00,4.00,0.00,1.00,2.00,NULL,2.00,1.00,1.00,319,NULL,NULL,'VILA SOARES','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6213219,2.00,4.00,1.00,4.00,2.00,NULL,4.00,1.00,1.00,444,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6213235,3.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'COHAB NOVA','CÁCERES','MT',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6213243,3.00,3.00,1.00,3.00,6.00,8.63,2.00,1.00,0.00,238,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',20733,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6213278,4.00,6.00,2.00,4.00,7.00,7.88,2.00,1.00,2.00,212,NULL,235,'JORDÃO','GOV CELSO RAMOS','SC',16834,499,NULL,400,NULL,NULL,NULL,2,1),(25,6213286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6213294,3.00,5.00,1.00,3.00,9.00,10.88,3.00,1.00,4.00,601,NULL,235,'FLORESTA','JOINVILLE','SC',11293,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6213308,3.00,0.00,1.00,5.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE JARDIM OURO','OURO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,7),(25,6213316,3.00,5.00,3.00,3.00,6.00,4.88,3.00,5.00,4.00,653,NULL,655,'PRAIA DA META','BAL ARROIO SILVA','SC',14505,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6213340,6.00,5.00,3.00,6.00,9.00,9.75,3.00,6.00,6.00,207,NULL,201,'ANITA GARIBALDI','JOINVILLE','SC',4055,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6213359,3.00,3.00,2.00,3.00,6.00,11.63,0.00,5.00,2.00,324,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15863,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6213375,1.00,3.00,1.00,3.00,7.00,6.75,0.00,2.00,2.00,103,NULL,NULL,'ESCOLA AGRICOLA','BLUMENAU','SC',19718,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6213383,8.00,6.00,1.00,6.00,8.00,10.50,2.00,3.00,5.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',6132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213405,3.00,5.00,4.00,6.00,8.00,10.88,2.00,4.00,6.00,551,NULL,NULL,'BOSQUE','CURITIBANOS','SC',6813,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6213413,4.00,5.00,4.00,2.00,8.00,9.00,4.00,3.00,4.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',8465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213421,2.00,2.00,3.00,3.00,5.00,9.38,2.00,2.00,1.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',20364,840,NULL,NULL,NULL,NULL,NULL,2,1),(25,6213456,6.00,5.00,3.00,7.00,6.00,7.50,3.00,4.00,4.00,220,NULL,203,'CENTRO','CURITIBA','PR',8931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213464,4.00,4.00,1.00,4.00,8.00,8.63,1.00,5.00,5.00,999,NULL,NULL,'SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6213472,3.00,6.00,3.00,7.00,9.00,9.38,4.00,4.00,5.00,103,NULL,NULL,'ILHOTA','ITAPEMA','SC',7464,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6213480,4.00,7.00,4.00,4.00,8.00,9.00,1.00,1.00,1.00,303,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6213502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6213510,5.00,4.00,2.00,2.00,5.00,6.75,0.00,4.00,3.00,238,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6213537,8.00,8.00,6.00,5.00,8.00,10.13,4.00,6.00,6.00,203,NULL,214,'RIO VERMELHO','FLORIANÓPOLIS','SC',1684,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6213553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARIANA','TAIÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6213561,7.00,8.00,7.00,7.00,9.00,10.13,5.00,6.00,6.00,201,NULL,203,'DEZ DE MAIO','TOLEDO','PR',602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213570,3.00,8.00,3.00,7.00,9.00,12.00,2.00,6.00,3.00,310,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213588,7.00,7.00,3.00,5.00,7.00,9.38,1.00,5.00,4.00,201,NULL,207,'IMIGRANTES','CRICIÚMA','SC',6847,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6213596,7.00,7.00,7.00,6.00,7.00,11.25,3.00,6.00,10.00,103,NULL,NULL,'CENTRO','REALEZA','PR',846,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6213600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'SAO JOAO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6213618,3.00,3.00,1.00,3.00,6.00,9.00,1.00,1.00,1.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18681,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6213626,2.00,3.00,0.00,2.00,4.00,NULL,2.00,2.00,2.00,109,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6213634,4.00,3.00,3.00,5.00,5.00,7.88,1.00,2.00,0.00,301,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',16833,217,NULL,NULL,NULL,NULL,NULL,2,1),(25,6213642,5.00,5.00,5.00,3.00,5.00,7.88,1.00,6.00,5.00,201,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',8687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6213677,3.00,3.00,3.00,4.00,5.00,9.38,2.00,2.00,1.00,303,NULL,NULL,'BOA VISTA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6213707,1.00,6.00,1.00,3.00,3.00,NULL,0.00,3.00,0.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6213723,6.00,6.00,4.00,5.00,9.00,7.50,2.00,9.00,8.00,216,NULL,203,'RECANTO ELIMAR','FRANCA','SP',2674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MORUMBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6213758,2.00,5.00,2.00,4.00,7.00,6.75,1.00,5.00,3.00,103,NULL,NULL,'OURO VERDE','FOZ IGUAÇU','PR',13290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213766,2.00,4.00,3.00,3.00,5.00,8.25,2.00,4.00,8.00,216,NULL,220,'CENTRO','STO ANTÔNIO CAIUÁ','PR',10600,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6213774,4.00,6.00,4.00,2.00,3.00,9.00,1.00,7.00,5.00,203,NULL,214,'CORDEIROS','ITAJAÍ','SC',9758,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6213782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6213790,6.00,7.00,0.00,4.00,8.00,NULL,0.00,5.00,4.00,201,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213820,5.00,4.00,1.00,4.00,5.00,9.75,1.00,6.00,1.00,340,NULL,NULL,'CENTRO','S LUIZ GONZAGA','RS',11933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213839,2.00,3.00,2.00,1.00,4.00,8.25,0.00,1.00,0.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',21685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6213847,2.00,4.00,1.00,6.00,6.00,10.13,0.00,5.00,4.00,426,NULL,421,'CARIANOS','FLORIANÓPOLIS','SC',15371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213855,3.00,7.00,1.00,6.00,8.00,6.38,1.00,2.00,0.00,336,NULL,NULL,'CENTRO','CHAPECÓ','SC',18103,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6213871,3.00,4.00,1.00,7.00,7.00,9.38,0.00,2.00,3.00,452,NULL,NULL,'BOA VISTA','JOINVILLE','SC',12645,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6213880,3.00,2.00,3.00,5.00,6.00,10.88,1.00,4.00,4.00,329,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',15000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213898,3.00,4.00,1.00,5.00,6.00,7.13,1.00,4.00,5.00,203,NULL,208,'COMERCIÁRIO','CRICIÚMA','SC',15037,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6213901,2.00,4.00,1.00,3.00,2.00,NULL,2.00,0.00,0.00,5,NULL,NULL,'PROGRESSO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6213910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JUÍNA','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6213928,2.00,5.00,2.00,1.00,6.00,NULL,0.00,3.00,3.00,2,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213936,3.00,2.00,2.00,1.00,2.00,NULL,1.00,1.00,0.00,103,NULL,NULL,'ARAUCARIA','BOM JD SERRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6213944,3.00,3.00,2.00,3.00,7.00,7.50,1.00,3.00,3.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213952,1.00,4.00,1.00,3.00,7.00,9.00,3.00,2.00,1.00,310,NULL,NULL,'AREIAS','S JOSÉ','SC',19896,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6213960,3.00,7.00,1.00,7.00,5.00,6.00,1.00,6.00,2.00,425,NULL,429,'PANTANAL','FLORIANÓPOLIS','SC',15026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213979,4.00,5.00,0.00,3.00,6.00,9.75,3.00,4.00,1.00,201,NULL,212,'AGRONÔMICA','FLORIANÓPOLIS','SC',16711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6213987,4.00,5.00,3.00,3.00,8.00,8.25,2.00,4.00,4.00,220,NULL,213,'BELA VISTA','SANANDUVA','RS',10674,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6213995,4.00,3.00,3.00,6.00,5.00,9.38,2.00,1.00,2.00,317,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214002,7.00,8.00,3.00,6.00,8.00,9.00,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','STO ANTÔNIO SUDOESTE','PR',4355,2197,NULL,NULL,NULL,NULL,NULL,2,4),(25,6214029,7.00,6.00,0.00,5.00,7.00,11.63,3.00,4.00,4.00,340,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',6834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214045,6.00,4.00,4.00,3.00,7.00,6.00,5.00,4.00,5.00,103,NULL,NULL,'CENTRO','IÇARA','SC',11894,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6214061,5.00,7.00,0.00,5.00,10.00,NULL,0.00,5.00,5.00,332,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6214070,4.00,3.00,1.00,6.00,6.00,6.75,2.00,0.00,0.00,999,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6214088,4.00,7.00,1.00,6.00,7.00,10.13,2.00,5.00,2.00,999,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214096,4.00,6.00,1.00,6.00,5.00,7.50,0.00,4.00,4.00,214,NULL,212,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',12421,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6214100,6.00,5.00,3.00,5.00,7.00,7.13,2.00,0.00,3.00,201,NULL,220,'CENTRO','STO ANTÔNIO SUDOESTE','PR',11547,976,NULL,334,NULL,NULL,NULL,2,4),(25,6214118,5.00,6.00,4.00,2.00,6.00,8.63,2.00,2.00,2.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214126,4.00,2.00,2.00,0.00,3.00,4.88,0.00,3.00,0.00,310,NULL,NULL,'VILA PALMEIRA','S PAULO','SP',21328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214142,1.00,5.00,2.00,1.00,5.00,8.25,0.00,1.00,4.00,225,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',18680,24,NULL,NULL,NULL,NULL,NULL,2,1),(25,6214150,1.00,3.00,0.00,4.00,4.00,6.75,5.00,1.00,2.00,601,NULL,203,'VILA SAO LUIS','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6214169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6214177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6214185,6.00,4.00,1.00,4.00,8.00,6.38,2.00,4.00,3.00,108,NULL,NULL,'ITACORUBÍ','FLORIANÓPOLIS','SC',10616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214193,6.00,6.00,1.00,7.00,7.00,7.50,1.00,6.00,2.00,551,NULL,NULL,'VILA MARIANA','TAIÓ','SC',9434,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6214223,3.00,4.00,1.00,1.00,4.00,7.13,1.00,3.00,4.00,201,NULL,207,'CENTRO','LAGES','SC',20077,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6214231,3.00,5.00,2.00,5.00,7.00,10.13,2.00,4.00,3.00,103,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6214240,7.00,8.00,3.00,5.00,7.00,9.75,3.00,6.00,6.00,303,NULL,NULL,'CENTRO','JOAÇABA','SC',3065,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6214258,3.00,3.00,1.00,6.00,6.00,6.38,2.00,3.00,0.00,601,NULL,213,'UBATUBA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6214266,8.00,6.00,8.00,7.00,8.00,9.38,3.00,5.00,7.00,207,NULL,215,'MONTE VERDE','FLORIANÓPOLIS','SC',1877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214282,4.00,6.00,2.00,4.00,6.00,7.88,1.00,2.00,3.00,333,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14332,97,NULL,NULL,NULL,NULL,NULL,2,1),(25,6214290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6214304,2.00,4.00,3.00,3.00,6.00,7.13,4.00,4.00,2.00,5,NULL,NULL,'FLORESTA','S JOSÉ','SC',17384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'SÃO CRISTÓVÃO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6214339,5.00,4.00,3.00,3.00,5.00,9.75,0.00,4.00,4.00,420,NULL,NULL,'BOMBAS','BOMBINHAS','SC',13159,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6214347,6.00,6.00,3.00,6.00,7.00,11.25,2.00,6.00,5.00,453,NULL,NULL,'VILA ROCHA','LIMEIRA','SP',5156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214355,1.00,2.00,0.00,2.00,4.00,6.38,2.00,1.00,3.00,551,NULL,NULL,'BOSQUE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6214363,3.00,4.00,6.00,5.00,8.00,NULL,0.00,3.00,1.00,211,NULL,201,'CRISTO REDENTOR','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214371,5.00,4.00,3.00,4.00,4.00,5.63,3.00,5.00,3.00,225,NULL,NULL,'S J DO RIO VERMELHO','FLORIANÓPOLIS','SC',13271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6214380,2.00,6.00,4.00,4.00,3.00,8.25,2.00,2.00,3.00,426,NULL,429,'ENCATADA','GAROPABA','SC',18750,19,NULL,NULL,NULL,NULL,NULL,2,1),(25,6214410,6.00,4.00,3.00,4.00,5.00,10.13,2.00,4.00,1.00,404,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214428,5.00,3.00,2.00,3.00,8.00,6.00,2.00,4.00,0.00,103,NULL,NULL,'NITEROI','SEARA','SC',18787,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6214436,5.00,6.00,5.00,3.00,8.00,9.38,3.00,2.00,3.00,211,NULL,213,'SERRARIA','S JOSÉ','SC',8299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214444,6.00,5.00,4.00,4.00,7.00,0.00,4.00,5.00,4.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214452,3.00,5.00,2.00,3.00,6.00,7.88,0.00,2.00,0.00,318,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',17227,79,NULL,NULL,NULL,NULL,NULL,2,1),(25,6214460,5.00,4.00,2.00,4.00,8.00,7.50,3.00,1.00,2.00,601,NULL,202,'CENTRO','JOINVILLE','SC',13557,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6214479,3.00,3.00,3.00,1.00,3.00,7.50,1.00,3.00,1.00,653,NULL,652,'SANTA BARBARA','CRICIÚMA','SC',21093,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6214487,2.00,4.00,2.00,4.00,1.00,NULL,3.00,2.00,3.00,203,NULL,214,'INTERIOR','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6214517,5.00,4.00,3.00,4.00,3.00,8.25,3.00,1.00,2.00,208,NULL,203,'SAGUAÇU','JOINVILLE','SC',18044,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6214525,3.00,4.00,2.00,6.00,5.00,8.25,4.00,4.00,3.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214533,3.00,2.00,3.00,2.00,3.00,3.00,3.00,3.00,2.00,551,NULL,NULL,'CENTRO','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6214541,1.00,3.00,2.00,4.00,6.00,7.13,2.00,4.00,2.00,335,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16946,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6214568,6.00,6.00,4.00,7.00,9.00,7.13,6.00,6.00,3.00,208,NULL,238,'CACUPÉ','FLORIANÓPOLIS','SC',4178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'CENTRO','BARRA MANSA','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6214584,6.00,4.00,3.00,5.00,7.00,11.25,2.00,3.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214592,5.00,7.00,5.00,5.00,7.00,8.63,7.00,8.00,8.00,201,NULL,601,'CORREGO GRANDE','FLORIANÓPOLIS','SC',1395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214606,6.00,7.00,2.00,6.00,6.00,10.50,3.00,7.00,3.00,337,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6214614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'EMBARÉ','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6214630,5.00,7.00,3.00,7.00,7.00,10.88,3.00,6.00,6.00,103,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',4012,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6214649,5.00,6.00,4.00,6.00,5.00,6.75,2.00,4.00,5.00,201,NULL,208,'SANTA MONICA','FLORIANÓPOLIS','SC',11221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214665,5.00,4.00,2.00,5.00,8.00,9.75,2.00,3.00,5.00,999,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214673,5.00,0.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,202,NULL,220,'ENTRE RIOS','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6214703,7.00,7.00,3.00,7.00,8.00,6.75,2.00,8.00,6.00,303,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',3103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214711,3.00,8.00,2.00,7.00,9.00,9.38,0.00,7.00,5.00,303,NULL,NULL,'VILA FORMOSA','S PAULO','SP',6301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214720,5.00,7.00,1.00,3.00,8.00,8.25,1.00,3.00,5.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9767,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6214738,4.00,1.00,2.00,3.00,5.00,NULL,2.00,0.00,0.00,104,NULL,NULL,'SANTA LUZIA','CAPÃO CANOA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6214754,1.00,6.00,1.00,4.00,4.00,5.25,2.00,2.00,4.00,336,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',20237,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214762,6.00,4.00,5.00,4.00,6.00,7.13,4.00,6.00,4.00,103,NULL,NULL,'SANTO ANTONIO','ARACAJU','SE',7488,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6214770,9.00,8.00,3.00,6.00,9.00,7.88,3.00,7.00,8.00,103,NULL,NULL,'CHÁCARS FLÓRIDAS','ITU','SP',1578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214797,4.00,5.00,2.00,2.00,5.00,7.88,2.00,2.00,0.00,108,NULL,NULL,'CENTRO','S LEOPOLDO','RS',15775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214800,3.00,3.00,1.00,6.00,6.00,10.13,0.00,3.00,3.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214819,9.00,5.00,5.00,8.00,8.00,9.00,4.00,6.00,9.00,103,NULL,NULL,'CENTRO','PIRAPOZINHO','SP',977,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6214827,4.00,7.00,3.00,3.00,5.00,NULL,1.00,7.00,4.00,238,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6214835,8.00,7.00,8.00,7.00,9.00,8.63,7.00,5.00,8.00,238,NULL,208,'CARVOEIRA','FLORIANÓPOLIS','SC',508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214843,3.00,6.00,1.00,6.00,5.00,7.50,1.00,2.00,2.00,453,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',18445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214851,1.00,1.00,0.00,0.00,1.00,NULL,1.00,5.00,2.00,332,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6214860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','IJUÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6214886,4.00,8.00,1.00,3.00,7.00,9.00,2.00,6.00,2.00,301,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',11602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6214916,1.00,1.00,0.00,2.00,5.00,4.50,2.00,0.00,2.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',21700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6214924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'VILA SEDENHO','ARARAQUARA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6214932,6.00,5.00,1.00,6.00,7.00,10.13,0.00,5.00,7.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214940,0.00,2.00,2.00,2.00,3.00,6.38,1.00,2.00,3.00,208,NULL,220,'TRINDADE','FLORIANÓPOLIS','SC',21512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA APARECIDA','STA RITA P QUATRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6214975,1.00,5.00,0.00,3.00,8.00,NULL,0.00,1.00,1.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6214991,5.00,4.00,1.00,6.00,8.00,7.88,1.00,4.00,6.00,102,NULL,NULL,'AMÉRICA','JOINVILLE','SC',8171,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6215009,1.00,0.00,3.00,4.00,3.00,NULL,0.00,0.00,0.00,215,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6215017,2.00,2.00,2.00,4.00,5.00,7.50,0.00,1.00,2.00,102,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19706,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6215025,4.00,4.00,2.00,3.00,6.00,6.75,2.00,4.00,3.00,5,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',12593,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6215033,8.00,7.00,8.00,6.00,8.00,11.25,2.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6215050,2.00,2.00,2.00,1.00,3.00,7.88,3.00,1.00,0.00,102,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6215076,2.00,5.00,1.00,2.00,2.00,NULL,2.00,3.00,0.00,208,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6215084,5.00,3.00,5.00,3.00,7.00,9.75,3.00,4.00,5.00,103,NULL,NULL,'HUMAITA','TUBARÃO','SC',7088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215092,2.00,2.00,0.00,3.00,4.00,7.13,2.00,1.00,3.00,338,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,235,'CALADINHO DE CIMA','CEL FABRICIANO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6215157,8.00,4.00,5.00,5.00,7.00,7.13,0.00,3.00,8.00,103,NULL,NULL,'TARUMÃ','CURITIBA','PR',5717,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6215190,2.00,3.00,6.00,7.00,6.00,7.50,4.00,5.00,4.00,238,NULL,208,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215211,2.00,5.00,3.00,6.00,4.00,5.63,2.00,6.00,3.00,601,NULL,NULL,'ARMACAO DO PANTANO D','FLORIANÓPOLIS','SC',15636,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6215220,6.00,7.00,4.00,7.00,7.00,7.13,4.00,5.00,5.00,212,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',5703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215238,4.00,4.00,0.00,5.00,4.00,8.25,2.00,3.00,2.00,999,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215246,4.00,5.00,2.00,2.00,7.00,9.00,2.00,4.00,2.00,303,NULL,NULL,'GERTRUD RESENER','PALMITOS','SC',12586,586,NULL,NULL,NULL,NULL,NULL,4,4),(25,6215254,6.00,6.00,2.00,4.00,6.00,8.63,1.00,2.00,3.00,319,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',12989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215270,7.00,7.00,3.00,4.00,4.00,10.13,2.00,6.00,4.00,5,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',8673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215289,6.00,6.00,3.00,5.00,8.00,10.88,0.00,6.00,4.00,104,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',6727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215300,2.00,4.00,3.00,2.00,6.00,6.75,1.00,0.00,1.00,215,NULL,601,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6215319,4.00,4.00,4.00,3.00,6.00,7.50,2.00,6.00,3.00,427,NULL,421,'BELA VISTA','S JOSÉ','SC',14792,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6215327,5.00,5.00,0.00,4.00,7.00,7.88,1.00,5.00,2.00,337,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12875,20,NULL,NULL,NULL,NULL,NULL,2,1),(25,6215335,3.00,5.00,0.00,2.00,6.00,NULL,0.00,4.00,3.00,104,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215343,6.00,8.00,6.00,6.00,7.00,10.88,2.00,3.00,6.00,201,NULL,212,'CENTRO','BAL CAMBORIÚ','SC',3186,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6215360,6.00,6.00,4.00,5.00,7.00,5.63,3.00,1.00,3.00,203,NULL,235,'COLONINHA','GASPAR','SC',11255,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6215378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SÃO VICENTE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6215394,3.00,3.00,1.00,6.00,7.00,13.50,2.00,2.00,5.00,108,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',12113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215416,5.00,6.00,4.00,6.00,7.00,8.63,2.00,5.00,3.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215424,5.00,5.00,2.00,7.00,4.00,6.75,1.00,4.00,4.00,201,NULL,202,'CASCATINHA','CURITIBA','PR',11237,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6215432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'INTERPRAIAS','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6215459,9.00,7.00,5.00,6.00,9.00,10.50,7.00,5.00,9.00,108,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',427,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6215467,4.00,0.00,3.00,6.00,8.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(25,6215475,1.00,5.00,0.00,4.00,4.00,7.88,2.00,1.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6215491,3.00,3.00,2.00,2.00,8.00,10.13,2.00,4.00,3.00,426,NULL,429,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',13191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215505,3.00,5.00,3.00,7.00,8.00,10.88,0.00,6.00,0.00,502,NULL,NULL,'SANTA ROSA','LONDRINA','PR',8221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215513,3.00,4.00,3.00,5.00,5.00,9.75,2.00,0.00,3.00,502,NULL,NULL,'LAGOA DA CONCEICÃO','FLORIANÓPOLIS','SC',16966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6215521,4.00,6.00,3.00,4.00,5.00,8.63,1.00,2.00,2.00,317,NULL,NULL,'PICADAS DO NORTE','S JOSÉ','SC',17765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215530,0.00,2.00,1.00,2.00,4.00,7.13,1.00,1.00,2.00,202,NULL,213,'INDEPENDÊNCIA','POUSO REDONDO','SC',21389,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6215548,5.00,5.00,1.00,4.00,9.00,9.38,1.00,6.00,2.00,319,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',9298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,207,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6215564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'VILA LEONOR','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6215572,2.00,8.00,2.00,5.00,5.00,7.88,1.00,5.00,1.00,216,NULL,202,'ESTRADA GERAL','AGRONÔMICA','SC',15341,514,NULL,483,NULL,NULL,NULL,4,2),(25,6215599,9.00,7.00,5.00,7.00,8.00,10.13,4.00,6.00,8.00,203,NULL,202,'ZONA DOIS','UMUARAMA','PR',914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215610,5.00,7.00,2.00,4.00,7.00,7.13,2.00,4.00,7.00,452,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6215629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANORAMA PARQUE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6215637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'PRESIDENTE MEDICI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6215645,2.00,4.00,0.00,5.00,4.00,8.63,2.00,1.00,3.00,333,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6215653,5.00,8.00,3.00,5.00,8.00,9.38,0.00,7.00,6.00,207,NULL,211,'SANTA MÔNICA','FLORIANÓPOLIS','SC',5915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215661,2.00,2.00,1.00,3.00,5.00,5.63,0.00,0.00,1.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6215670,8.00,7.00,4.00,7.00,9.00,10.88,2.00,7.00,7.00,103,NULL,NULL,'NOVA IORQUE','ARAÇATUBA','SP',791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215688,3.00,5.00,2.00,4.00,5.00,11.25,1.00,4.00,1.00,999,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6215700,3.00,4.00,1.00,2.00,4.00,7.50,0.00,2.00,2.00,999,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215718,7.00,7.00,4.00,5.00,10.00,9.38,8.00,8.00,7.00,103,NULL,NULL,'REGIÃO DO LAGO II','CASCAVEL','PR',581,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6215726,3.00,7.00,1.00,4.00,4.00,5.25,2.00,5.00,0.00,103,NULL,NULL,'PRAIA GRANDE','UBATUBA','SP',19911,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6215742,2.00,5.00,2.00,2.00,6.00,7.88,2.00,7.00,4.00,234,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',12058,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6215750,7.00,8.00,6.00,6.00,8.00,8.25,4.00,8.00,8.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',1053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215769,2.00,3.00,2.00,3.00,4.00,4.50,3.00,3.00,2.00,326,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6215777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'FAZENDA SERRINHA','ITATIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6215785,4.00,6.00,5.00,6.00,8.00,10.50,4.00,5.00,2.00,655,NULL,NULL,'PEDRO ZANIVAN','CRICIÚMA','SC',4752,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6215793,2.00,1.00,1.00,2.00,7.00,7.50,1.00,0.00,1.00,103,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',21625,4800,NULL,NULL,NULL,NULL,NULL,2,1),(25,6215807,2.00,3.00,3.00,4.00,4.00,8.63,0.00,2.00,2.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215831,3.00,4.00,1.00,4.00,8.00,7.88,0.00,0.00,4.00,303,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',14834,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6215840,5.00,5.00,3.00,7.00,8.00,9.00,0.00,8.00,5.00,340,NULL,NULL,'CENTRO','PALMITOS','SC',6754,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6215858,6.00,5.00,3.00,6.00,9.00,8.63,2.00,4.00,4.00,425,NULL,421,'PRAIA JOÃO ROSA','BIGUAÇU','SC',8139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215866,6.00,6.00,3.00,7.00,8.00,9.00,3.00,5.00,2.00,303,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',8462,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6215874,2.00,3.00,2.00,3.00,6.00,5.25,2.00,2.00,2.00,9,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',21030,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6215882,4.00,4.00,3.00,3.00,5.00,9.00,1.00,2.00,3.00,203,NULL,235,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',16106,980,NULL,387,NULL,NULL,NULL,2,1),(25,6215890,5.00,7.00,4.00,6.00,8.00,10.50,3.00,5.00,4.00,302,NULL,NULL,'PANAZZOLO','CAXIAS SUL','RS',5582,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6215904,3.00,4.00,0.00,3.00,6.00,7.88,2.00,0.00,2.00,103,NULL,NULL,'PETROPOLIS','PASSO FUNDO','RS',20883,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6215912,7.00,6.00,1.00,5.00,8.00,7.88,3.00,6.00,1.00,303,NULL,NULL,'CENTRO','LAGES','SC',7769,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6215939,4.00,5.00,3.00,3.00,8.00,7.88,2.00,5.00,3.00,452,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',10808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215971,3.00,6.00,3.00,2.00,5.00,7.13,1.00,7.00,2.00,304,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',16341,120,NULL,NULL,NULL,NULL,NULL,4,1),(25,6215998,2.00,6.00,1.00,3.00,6.00,8.25,1.00,3.00,3.00,340,NULL,NULL,'LARANJEIRAS','MODELO','SC',16364,358,NULL,NULL,NULL,NULL,NULL,4,4),(25,6216005,9.00,7.00,4.00,7.00,10.00,9.38,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','JANDAIA SUL','PR',1479,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6216013,2.00,2.00,1.00,5.00,4.00,8.25,2.00,4.00,2.00,101,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',18650,130,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216021,7.00,4.00,2.00,4.00,6.00,8.25,2.00,4.00,2.00,301,NULL,NULL,'JARDIM DAS FLORES','S JOSÉ CAMPOS','SP',12628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216048,4.00,5.00,2.00,3.00,7.00,9.38,1.00,3.00,1.00,207,NULL,201,'MANEJO','RESENDE','RJ',12470,668,NULL,1056,NULL,NULL,NULL,2,1),(25,6216056,4.00,2.00,2.00,4.00,3.00,8.63,3.00,1.00,0.00,201,NULL,207,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216064,6.00,6.00,1.00,7.00,8.00,7.13,0.00,0.00,3.00,340,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',12471,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6216072,2.00,4.00,1.00,1.00,3.00,8.63,1.00,1.00,2.00,224,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',21362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6216102,7.00,5.00,3.00,4.00,9.00,8.25,1.00,5.00,4.00,309,NULL,NULL,'BUCAREIN','JOINVILLE','SC',7581,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6216110,2.00,2.00,1.00,0.00,2.00,NULL,1.00,3.00,5.00,202,NULL,235,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6216129,6.00,8.00,3.00,4.00,7.00,7.50,3.00,7.00,5.00,303,NULL,NULL,'SERRARIA','S JOSÉ','SC',6776,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216137,4.00,6.00,4.00,7.00,8.00,7.50,0.00,5.00,3.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',7871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6216145,4.00,6.00,2.00,4.00,7.00,7.13,4.00,6.00,6.00,318,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8802,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216161,2.00,3.00,1.00,1.00,5.00,7.50,2.00,4.00,1.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',18353,369,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216170,6.00,3.00,3.00,5.00,5.00,8.63,1.00,1.00,7.00,103,NULL,NULL,'CENTRO','CPO ERÊ','SC',11809,3842,NULL,NULL,NULL,NULL,NULL,2,4),(25,6216188,2.00,4.00,1.00,3.00,5.00,9.38,0.00,0.00,2.00,202,NULL,208,'ULISSES GUIMARÃES','JOINVILLE','SC',19613,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6216196,0.00,3.00,3.00,2.00,4.00,6.75,0.00,1.00,0.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21769,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216200,8.00,8.00,6.00,7.00,10.00,10.88,2.00,6.00,7.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',1423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6216218,4.00,4.00,2.00,4.00,9.00,7.88,0.00,5.00,5.00,201,NULL,207,'CAMPINAS','S JOSÉ','SC',10570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6216234,3.00,6.00,2.00,5.00,7.00,8.25,0.00,4.00,3.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12786,113,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216250,4.00,4.00,2.00,2.00,4.00,6.75,1.00,0.00,1.00,309,NULL,NULL,'MADRI','PALHOÇA','SC',20130,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216269,5.00,4.00,1.00,5.00,7.00,10.13,1.00,3.00,4.00,201,NULL,207,'BUENO','GOIÂNIA','GO',12799,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6216277,5.00,3.00,5.00,6.00,7.00,10.50,2.00,5.00,5.00,216,NULL,235,'JARDIM AMÉRICA','RIO SUL','SC',6333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216293,2.00,0.00,1.00,0.00,4.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(25,6216307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,427,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6216315,5.00,3.00,2.00,6.00,6.00,8.63,1.00,0.00,5.00,201,NULL,207,'CENTRO','S BENTO SUL','SC',12759,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6216323,3.00,7.00,3.00,7.00,7.00,11.25,0.00,6.00,5.00,304,NULL,NULL,'NOVA BRASILIA','JARAGUÁ SUL','SC',6521,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6216331,4.00,4.00,4.00,4.00,3.00,9.75,3.00,5.00,2.00,317,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',12657,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216340,3.00,6.00,2.00,2.00,2.00,NULL,3.00,4.00,1.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6216358,4.00,4.00,1.00,2.00,1.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216366,8.00,7.00,2.00,5.00,9.00,8.25,3.00,6.00,3.00,340,NULL,NULL,'SERRARIA','S JOSÉ','SC',6001,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216374,4.00,3.00,1.00,3.00,4.00,NULL,1.00,0.00,1.00,3,NULL,NULL,'VILA PORTUARIA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6216382,5.00,3.00,3.00,5.00,5.00,NULL,0.00,5.00,3.00,235,NULL,652,'GUARANI','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6216404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CIDADE GAÚCHA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6216412,3.00,5.00,4.00,3.00,8.00,7.13,2.00,6.00,3.00,303,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',13045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6216420,8.00,5.00,6.00,5.00,9.00,10.13,2.00,9.00,6.00,103,NULL,NULL,'URIAS MAGALHÃES','GOIÂNIA','GO',1841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6216439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'RIO DAREIA','INÁCIO MARTINS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6216447,8.00,8.00,5.00,6.00,9.00,10.13,4.00,5.00,8.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6216463,8.00,6.00,4.00,6.00,9.00,7.88,2.00,2.00,6.00,103,NULL,NULL,'VISTA ALEGRE','CURITIBA','PR',5544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6216471,2.00,4.00,1.00,2.00,5.00,5.63,3.00,1.00,3.00,302,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',19518,174,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216480,4.00,5.00,1.00,3.00,10.00,6.75,2.00,3.00,2.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',16937,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6216498,3.00,7.00,4.00,6.00,7.00,8.25,1.00,5.00,5.00,203,NULL,216,'KOBRASOL','S JOSÉ','SC',9101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6216501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6216510,7.00,7.00,6.00,4.00,6.00,9.75,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','BIGUAÇU','SC',4441,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216536,9.00,6.00,4.00,7.00,10.00,11.25,2.00,8.00,9.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6216544,5.00,5.00,4.00,4.00,8.00,7.50,3.00,5.00,4.00,103,NULL,NULL,'CENTRO CIVICO','CURITIBA','PR',7851,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6216552,3.00,3.00,4.00,6.00,8.00,8.63,0.00,1.00,2.00,9,NULL,NULL,'GUARANI','BRUSQUE','SC',17482,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6216560,8.00,7.00,4.00,8.00,9.00,9.00,3.00,7.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1819,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6216579,2.00,6.00,3.00,3.00,6.00,NULL,0.00,1.00,2.00,5,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216587,3.00,5.00,3.00,4.00,6.00,7.88,3.00,6.00,2.00,238,NULL,216,'VARGEM GRANDE','FLORIANÓPOLIS','SC',14606,276,NULL,497,NULL,NULL,NULL,2,1),(25,6216595,4.00,5.00,2.00,2.00,6.00,8.63,2.00,5.00,3.00,999,NULL,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6216609,5.00,6.00,3.00,5.00,8.00,10.13,1.00,6.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216625,4.00,6.00,3.00,5.00,5.00,9.38,1.00,2.00,1.00,102,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',13244,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6216633,6.00,4.00,0.00,3.00,5.00,10.13,3.00,5.00,6.00,103,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',7856,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6216650,3.00,4.00,3.00,2.00,5.00,9.00,2.00,2.00,2.00,654,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6216668,4.00,4.00,0.00,4.00,7.00,9.00,0.00,1.00,4.00,303,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',17057,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6216676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6216684,2.00,4.00,2.00,3.00,4.00,5.25,4.00,5.00,1.00,109,NULL,NULL,'SERRARIA','S JOSÉ','SC',18413,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216692,8.00,6.00,4.00,7.00,9.00,10.13,3.00,7.00,6.00,303,NULL,NULL,'JARDIM CANADÁ','RIBEIRÃO PRETO','SP',2452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6216706,5.00,3.00,4.00,6.00,5.00,NULL,0.00,2.00,3.00,333,NULL,NULL,'SANTA PAULA','S CAETANO SUL','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6216714,3.00,3.00,1.00,1.00,4.00,NULL,3.00,0.00,2.00,202,NULL,238,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6216722,4.00,6.00,3.00,6.00,9.00,7.13,4.00,6.00,6.00,215,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',4600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6216730,5.00,7.00,3.00,5.00,5.00,8.25,1.00,5.00,2.00,5,NULL,NULL,'CENTRO','ITAIÓPOLIS','SC',11478,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6216757,6.00,7.00,5.00,4.00,7.00,8.63,4.00,6.00,8.00,103,NULL,NULL,'OURO VERDE','CEL FREITAS','SC',4062,2099,NULL,NULL,NULL,NULL,NULL,2,4),(25,6216765,7.00,5.00,4.00,7.00,6.00,10.50,1.00,6.00,6.00,201,NULL,212,'BIGORRILHO','CURITIBA','PR',3870,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6216790,1.00,3.00,0.00,2.00,4.00,NULL,3.00,0.00,0.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6216811,3.00,2.00,3.00,4.00,3.00,10.13,2.00,3.00,2.00,452,NULL,NULL,'EXPOSIÇÃO','CAXIAS SUL','RS',16802,101,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216820,5.00,5.00,5.00,5.00,7.00,7.13,3.00,4.00,4.00,208,NULL,235,'BARREIROS','S JOSÉ','SC',9962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6216838,6.00,6.00,3.00,7.00,10.00,8.63,2.00,6.00,5.00,103,NULL,NULL,'UNIVERSITARIO','CAXIAS SUL','RS',4228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6216870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6216889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'SANTA RITA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6216897,9.00,4.00,6.00,7.00,8.00,8.25,2.00,5.00,8.00,103,NULL,NULL,'OESTE','GOIÂNIA','GO',2261,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6216900,5.00,3.00,1.00,7.00,7.00,8.25,1.00,4.00,3.00,207,NULL,201,'AGRONÔMICA','FLORIANÓPOLIS','SC',14718,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216919,3.00,0.00,1.00,3.00,6.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6216927,3.00,4.00,0.00,3.00,3.00,8.25,3.00,2.00,2.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',20667,254,NULL,NULL,NULL,NULL,NULL,4,1),(25,6216935,6.00,6.00,7.00,7.00,9.00,9.00,5.00,6.00,9.00,216,NULL,233,'VILA SANTOS','CAÇAPAVA','SP',1004,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6216943,3.00,5.00,1.00,4.00,6.00,11.25,0.00,0.00,2.00,103,NULL,NULL,'POUSO ALTO','GRAVATAL','SC',18663,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6216951,2.00,0.00,1.00,3.00,4.00,NULL,1.00,0.00,0.00,337,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6216960,3.00,3.00,0.00,2.00,3.00,NULL,2.00,1.00,2.00,207,NULL,201,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6216978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NÃO-ME-TOQUE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6216994,5.00,6.00,1.00,3.00,3.00,8.63,2.00,4.00,1.00,316,NULL,NULL,'CANTO GRANDE','BOMBINHAS','SC',18276,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6217001,3.00,5.00,5.00,5.00,4.00,9.00,1.00,2.00,4.00,211,NULL,202,'CENTRO','CASCAVEL','PR',15402,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6217010,7.00,5.00,3.00,4.00,7.00,6.75,3.00,3.00,6.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',10487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217028,6.00,6.00,4.00,4.00,8.00,7.50,1.00,6.00,6.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',5586,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6217036,8.00,7.00,1.00,5.00,9.00,8.25,4.00,7.00,6.00,103,NULL,NULL,'ANDREATTA','S MIGUEL OESTE','SC',2965,1686,NULL,NULL,NULL,NULL,NULL,2,4),(25,6217052,8.00,6.00,3.00,6.00,8.00,9.00,1.00,4.00,6.00,103,NULL,NULL,'VILA MEDEIROS','S PAULO','SP',5776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217079,4.00,6.00,3.00,6.00,6.00,NULL,0.00,5.00,5.00,201,NULL,207,'SÃO PEDRO','PARAÍSO NORTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217087,7.00,6.00,5.00,6.00,8.00,6.38,3.00,7.00,5.00,207,NULL,601,'ITACORUBI','FLORIANÓPOLIS','SC',2631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217095,5.00,6.00,2.00,4.00,9.00,9.00,3.00,5.00,2.00,104,NULL,NULL,'CENTRO','IÇARA','SC',8791,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6217117,4.00,7.00,3.00,6.00,4.00,7.88,3.00,3.00,2.00,103,NULL,NULL,'N SENHORA DE LOURDES','STA MARIA','RS',14220,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6217133,3.00,6.00,4.00,4.00,8.00,9.75,1.00,6.00,5.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217150,2.00,6.00,1.00,5.00,7.00,10.50,0.00,3.00,4.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',13236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6217176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RIO VERDE','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6217206,3.00,4.00,2.00,4.00,4.00,NULL,0.00,3.00,3.00,420,NULL,NULL,'ESPÍRITO SANTO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6217222,3.00,6.00,2.00,3.00,7.00,7.50,1.00,3.00,3.00,3,NULL,NULL,'ARIRIU','PALHOÇA','SC',17054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6217230,4.00,5.00,2.00,5.00,9.00,8.63,2.00,1.00,4.00,103,NULL,NULL,'RIO MOLHA','JARAGUÁ SUL','SC',14201,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6217249,2.00,4.00,0.00,4.00,3.00,7.13,2.00,2.00,1.00,207,NULL,233,'SERRARIA','S JOSÉ','SC',21077,1147,NULL,486,NULL,NULL,NULL,2,1),(25,6217257,9.00,6.00,6.00,6.00,9.00,10.50,7.00,7.00,7.00,103,NULL,NULL,'NOVO PLANALTO','GOIÂNIA','GO',372,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6217273,4.00,3.00,0.00,1.00,6.00,9.38,1.00,1.00,0.00,319,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',21208,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6217281,6.00,5.00,1.00,5.00,6.00,8.63,0.00,5.00,1.00,420,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',10828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217290,3.00,3.00,1.00,2.00,6.00,NULL,1.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6217303,5.00,5.00,1.00,4.00,7.00,9.75,1.00,6.00,4.00,999,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6217311,4.00,6.00,3.00,4.00,5.00,5.25,1.00,1.00,2.00,207,NULL,601,'COSTA E SILVA','JOINVILLE','SC',16481,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6217320,2.00,4.00,3.00,2.00,5.00,7.50,0.00,0.00,1.00,203,NULL,201,'PROGRESSO','LAGUNA','SC',19904,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6217338,1.00,0.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'POÇO RICO','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,9),(25,6217354,1.00,1.00,3.00,3.00,3.00,NULL,0.00,0.00,1.00,316,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6217362,3.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','RONDA ALTA','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(25,6217370,1.00,5.00,1.00,4.00,5.00,8.63,2.00,3.00,4.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6217389,7.00,4.00,5.00,6.00,9.00,6.75,2.00,7.00,6.00,201,NULL,203,'IPIRANGA','S JOSÉ','SC',6221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217397,8.00,6.00,4.00,7.00,6.00,9.38,6.00,5.00,5.00,103,NULL,NULL,'SANTA TEREZINHA','BRUSQUE','SC',2605,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6217400,2.00,3.00,3.00,5.00,6.00,8.25,0.00,1.00,1.00,207,NULL,235,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217419,5.00,5.00,3.00,3.00,7.00,9.00,4.00,6.00,4.00,202,NULL,213,'CIDADE ALTA','ARARANGUÁ','SC',7297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217427,2.00,4.00,0.00,1.00,3.00,7.13,0.00,0.00,1.00,207,NULL,NULL,'ROÇADO','S JOSÉ','SC',21693,1182,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217435,4.00,4.00,1.00,2.00,4.00,7.13,2.00,3.00,3.00,326,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',20427,63,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217451,6.00,6.00,3.00,4.00,4.00,8.63,1.00,7.00,2.00,207,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',9395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217460,2.00,6.00,1.00,5.00,8.00,7.50,0.00,5.00,4.00,999,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217478,2.00,6.00,2.00,3.00,5.00,8.63,0.00,4.00,3.00,999,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6217486,8.00,6.00,1.00,6.00,7.00,8.25,1.00,6.00,4.00,5,NULL,NULL,'ALTO DA XV','CURITIBA','PR',6792,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6217508,6.00,5.00,3.00,4.00,8.00,7.88,3.00,5.00,4.00,211,NULL,212,'AGRONÔMICA','FLORIANÓPOLIS','SC',7498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217524,3.00,5.00,2.00,3.00,6.00,8.25,1.00,4.00,1.00,102,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',17967,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6217540,4.00,7.00,6.00,4.00,5.00,8.25,2.00,6.00,4.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217559,5.00,8.00,5.00,7.00,7.00,10.13,2.00,4.00,4.00,211,NULL,215,'CAPOEIRAS','FLORIANÓPOLIS','SC',4103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217567,7.00,6.00,3.00,5.00,7.00,8.25,1.00,5.00,6.00,999,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6217583,5.00,5.00,0.00,7.00,7.00,7.88,0.00,5.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217591,6.00,7.00,6.00,6.00,6.00,8.25,5.00,4.00,6.00,203,NULL,220,'UNIVERSITÁRIO','LAGES','SC',3754,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6217605,4.00,2.00,2.00,2.00,3.00,9.75,2.00,4.00,1.00,201,NULL,215,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',17744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217613,1.00,1.00,1.00,2.00,2.00,NULL,0.00,1.00,2.00,201,NULL,207,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6217621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','PATROCÍNIO','MG',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6217648,3.00,4.00,2.00,2.00,8.00,10.13,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',14375,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6217656,4.00,4.00,3.00,3.00,5.00,5.25,2.00,5.00,5.00,999,NULL,NULL,'FUNDO CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6217664,6.00,4.00,3.00,5.00,8.00,5.63,1.00,3.00,3.00,103,NULL,NULL,'DE VILLA','URUSSANGA','SC',14327,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6217672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'JD FLAMBOIANT','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6217680,5.00,6.00,2.00,7.00,8.00,5.63,0.00,4.00,5.00,999,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6217699,2.00,2.00,2.00,2.00,7.00,NULL,0.00,1.00,2.00,215,NULL,216,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6217729,5.00,4.00,3.00,4.00,6.00,6.00,1.00,3.00,5.00,101,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',15781,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6217737,7.00,6.00,4.00,7.00,7.00,9.38,1.00,2.00,5.00,103,NULL,NULL,'VILA SÃO PEDRO','S PAULO','SP',6384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217753,3.00,4.00,0.00,3.00,1.00,NULL,0.00,1.00,1.00,110,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6217770,3.00,3.00,3.00,1.00,6.00,6.00,1.00,1.00,1.00,104,NULL,NULL,'NEVA','CASCAVEL','PR',19872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAGO NORTE','LG NORTE','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6217796,1.00,1.00,1.00,0.00,3.00,5.63,2.00,0.00,1.00,101,NULL,NULL,'PARQUE JARDIM OURO','OURO','SC',21793,182,NULL,NULL,NULL,NULL,NULL,2,7),(25,6217826,5.00,3.00,2.00,2.00,5.00,6.75,1.00,2.00,2.00,444,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6217842,2.00,0.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6217850,6.00,4.00,1.00,1.00,7.00,8.63,1.00,2.00,0.00,202,NULL,235,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217877,5.00,6.00,2.00,7.00,9.00,9.38,3.00,5.00,6.00,303,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',4807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217885,2.00,5.00,2.00,3.00,6.00,9.38,2.00,4.00,3.00,207,NULL,233,'JARDIM ZANELLATO','S JOSÉ','SC',16525,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6217907,3.00,3.00,3.00,6.00,7.00,4.50,2.00,7.00,2.00,302,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',15400,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6217915,5.00,4.00,2.00,4.00,2.00,NULL,3.00,2.00,2.00,3,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6217923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA STAIGER','CORNÉLIO PROCÓPIO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6217931,1.00,5.00,0.00,5.00,8.00,7.50,0.00,1.00,1.00,415,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6217940,5.00,6.00,4.00,7.00,9.00,11.25,2.00,5.00,6.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',3212,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6217958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6217966,5.00,7.00,2.00,5.00,5.00,7.88,1.00,4.00,4.00,103,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',12464,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6217974,3.00,0.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6217982,7.00,6.00,7.00,6.00,9.00,10.13,1.00,8.00,7.00,103,NULL,NULL,'VILA SÁ','OURINHOS','SP',1073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6217990,3.00,6.00,1.00,5.00,6.00,9.00,3.00,3.00,6.00,5,NULL,NULL,'AMÉRICA','JOINVILLE','SC',12633,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6218008,3.00,3.00,3.00,3.00,4.00,6.38,3.00,0.00,3.00,101,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6218024,2.00,3.00,2.00,4.00,3.00,7.13,2.00,5.00,2.00,109,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6218032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SAO BRAZ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6218040,3.00,3.00,1.00,4.00,3.00,7.13,2.00,3.00,3.00,235,NULL,NULL,'CENTRO','JAGUARUNA','SC',18092,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6218059,2.00,3.00,1.00,6.00,8.00,7.50,2.00,3.00,4.00,303,NULL,NULL,'SANTO ANTONIO','FRAIBURGO','SC',12594,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6218067,5.00,5.00,0.00,4.00,7.00,6.38,1.00,2.00,1.00,340,NULL,NULL,'SÃO JORGE','S MIGUEL OESTE','SC',16435,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6218075,4.00,7.00,2.00,6.00,6.00,8.63,0.00,6.00,6.00,207,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',6007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218091,4.00,6.00,4.00,5.00,9.00,7.88,2.00,2.00,6.00,201,NULL,212,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',7039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218113,6.00,6.00,4.00,6.00,6.00,7.50,3.00,4.00,4.00,211,NULL,215,'COMERCIARIO','CRICIÚMA','SC',7319,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6218121,2.00,2.00,3.00,2.00,5.00,7.13,0.00,5.00,1.00,110,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6218148,2.00,1.00,2.00,4.00,4.00,NULL,0.00,4.00,2.00,309,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6218156,9.00,7.00,5.00,5.00,9.00,8.25,1.00,8.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2973,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6218164,9.00,8.00,7.00,7.00,11.00,10.50,5.00,7.00,9.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',78,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218180,2.00,3.00,1.00,3.00,7.00,9.75,1.00,5.00,3.00,452,NULL,NULL,'PRAIA BRAVA','FLORIANÓPOLIS','SC',15485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6218199,1.00,5.00,2.00,3.00,4.00,6.38,2.00,3.00,2.00,201,NULL,203,'RECIFE','TUBARÃO','SC',18196,1508,NULL,1039,NULL,NULL,NULL,2,10),(25,6218202,4.00,6.00,2.00,3.00,6.00,8.25,2.00,5.00,3.00,201,NULL,212,'CRISTO REI','CURITIBA','PR',9928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218210,2.00,1.00,0.00,4.00,1.00,NULL,3.00,2.00,1.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6218229,2.00,5.00,2.00,5.00,8.00,5.63,1.00,1.00,1.00,302,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',20084,178,NULL,NULL,NULL,NULL,NULL,2,1),(25,6218237,2.00,6.00,3.00,4.00,4.00,6.75,3.00,3.00,4.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',14469,4177,NULL,NULL,NULL,NULL,NULL,4,2),(25,6218245,3.00,2.00,1.00,5.00,7.00,7.50,1.00,1.00,3.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6218253,6.00,7.00,6.00,6.00,8.00,10.50,1.00,5.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218261,9.00,8.00,8.00,7.00,8.00,11.63,4.00,7.00,8.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218270,6.00,6.00,5.00,7.00,7.00,7.50,1.00,6.00,7.00,233,NULL,216,'CAMPINAS','S JOSÉ','SC',4739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CRUZEIRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6218296,5.00,4.00,3.00,1.00,3.00,6.75,3.00,2.00,3.00,216,NULL,201,'RAICHASKI','IÇARA','SC',16830,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6218300,3.00,3.00,3.00,5.00,5.00,4.88,3.00,4.00,1.00,429,NULL,425,'BARREIROS','S JOSÉ','SC',19618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218318,3.00,4.00,2.00,1.00,8.00,NULL,0.00,1.00,3.00,102,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6218326,5.00,6.00,4.00,4.00,10.00,8.63,3.00,5.00,3.00,103,NULL,NULL,'HARMONIA','CANOAS','RS',7362,3036,NULL,NULL,NULL,NULL,NULL,2,15),(25,6218334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'COLONIA MARIA JOSÉ','QUATRO BARRAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6218342,2.00,5.00,3.00,4.00,5.00,9.00,1.00,1.00,5.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',14224,4152,NULL,NULL,NULL,NULL,NULL,4,4),(25,6218350,4.00,4.00,0.00,5.00,9.00,NULL,1.00,4.00,2.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6218377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO CRISTOVÃO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6218385,2.00,4.00,1.00,0.00,6.00,8.25,3.00,3.00,2.00,503,NULL,NULL,'SERRARIA','S JOSÉ','SC',19302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218393,7.00,5.00,4.00,6.00,10.00,10.50,4.00,9.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218407,5.00,7.00,3.00,6.00,8.00,10.88,3.00,5.00,7.00,103,NULL,NULL,'NITERÓI','CANOAS','RS',3626,1954,NULL,NULL,NULL,NULL,NULL,4,15),(25,6218415,2.00,4.00,2.00,0.00,5.00,7.13,1.00,1.00,2.00,216,NULL,201,'INTERIOR','XAVANTINA','SC',21547,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6218423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6218431,7.00,6.00,5.00,7.00,8.00,8.63,6.00,7.00,5.00,212,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',1431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218440,5.00,6.00,5.00,5.00,4.00,8.63,3.00,2.00,4.00,203,NULL,220,'BOMBAS','BOMBINHAS','SC',10863,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6218458,5.00,5.00,4.00,5.00,6.00,9.00,3.00,5.00,8.00,216,NULL,201,'CENTRO','DOURADOS','MS',5649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218466,6.00,5.00,0.00,4.00,6.00,8.25,1.00,0.00,2.00,203,NULL,208,'GUABIROTUBA','CURITIBA','PR',15273,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6218474,3.00,2.00,3.00,3.00,4.00,10.13,2.00,3.00,1.00,203,NULL,220,'JARDIM ARUÃ','CAMPINAS','SP',17534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'TRES COQUEIROS','S JOÃO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6218490,6.00,5.00,6.00,6.00,8.00,10.88,2.00,8.00,4.00,340,NULL,NULL,'PASSO DA AREIA','PTO ALEGRE','RS',3429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6218504,4.00,5.00,4.00,4.00,7.00,8.25,3.00,4.00,2.00,109,NULL,NULL,'SÃO CRISTÓVÃO','TUBARÃO','SC',12952,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6218512,7.00,6.00,6.00,6.00,6.00,11.25,3.00,6.00,5.00,238,NULL,233,'ITAGUAÇU','FLORIANÓPOLIS','SC',3167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218539,2.00,2.00,0.00,5.00,6.00,7.50,1.00,3.00,1.00,333,NULL,NULL,'CAMPINAS','S JOSÉ','SC',20382,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6218547,5.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6218555,4.00,5.00,4.00,5.00,6.00,8.25,4.00,5.00,4.00,301,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',9814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6218563,3.00,3.00,2.00,4.00,6.00,7.50,2.00,3.00,2.00,108,NULL,NULL,'ADEMAR GARCIA','JOINVILLE','SC',18962,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6218580,2.00,5.00,0.00,2.00,5.00,NULL,3.00,5.00,3.00,301,NULL,NULL,'INTERIOR','XAVANTINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6218598,3.00,4.00,1.00,5.00,6.00,6.00,3.00,4.00,2.00,302,NULL,NULL,'BOA VISTA','CRICIÚMA','SC',18166,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6218601,2.00,5.00,4.00,3.00,6.00,7.50,1.00,6.00,3.00,207,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',12145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218610,6.00,9.00,4.00,7.00,6.00,10.50,3.00,6.00,8.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',1640,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6218628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA MASCOTE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6218636,5.00,4.00,0.00,6.00,7.00,7.88,1.00,3.00,5.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',13816,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6218644,7.00,6.00,4.00,7.00,9.00,9.00,2.00,5.00,7.00,340,NULL,NULL,'GLÓRIA','JOINVILLE','SC',3969,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6218652,2.00,4.00,3.00,5.00,6.00,NULL,2.00,4.00,0.00,207,NULL,233,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6218660,7.00,6.00,6.00,6.00,8.00,10.13,6.00,6.00,9.00,103,NULL,NULL,'PITUBA','SALVADOR','BA',1059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218679,2.00,5.00,4.00,3.00,6.00,7.50,1.00,4.00,4.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16212,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6218709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6218725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6218733,4.00,3.00,1.00,4.00,7.00,9.75,3.00,1.00,3.00,103,NULL,NULL,'CAIÇARAS','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6218741,2.00,2.00,0.00,5.00,9.00,NULL,0.00,1.00,5.00,216,NULL,201,'VILA A','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218750,5.00,4.00,3.00,7.00,7.00,7.88,0.00,3.00,2.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SANTA PAULA','S CAETANO SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6218776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6218784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMÉRICA','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6218792,5.00,4.00,2.00,5.00,7.00,8.25,2.00,5.00,2.00,103,NULL,NULL,'INTERLAGOS','S PAULO','SP',10156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD LOS ANGELES','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6218814,3.00,4.00,2.00,3.00,5.00,7.88,2.00,5.00,3.00,601,NULL,202,'SÃO MIGUEL','DOIS IRMÃOS','RS',13285,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6218822,3.00,4.00,4.00,4.00,7.00,7.88,2.00,3.00,5.00,214,NULL,202,'VENEZA','XANXERÊ','SC',12381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218830,2.00,2.00,1.00,3.00,2.00,NULL,2.00,1.00,2.00,653,NULL,655,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6218849,4.00,4.00,1.00,3.00,5.00,9.75,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','PASSOS MAIA','SC',16140,4344,NULL,NULL,NULL,NULL,NULL,2,4),(25,6218857,3.00,4.00,3.00,3.00,5.00,8.25,3.00,2.00,2.00,999,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6218873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'NOVA BRASILIA','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6218911,3.00,5.00,2.00,2.00,5.00,9.38,4.00,4.00,0.00,103,NULL,NULL,'CENTRO','CAMBORIÚ','SC',17846,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6218938,1.00,4.00,1.00,3.00,7.00,6.00,1.00,2.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218954,5.00,3.00,2.00,5.00,7.00,8.63,0.00,1.00,4.00,202,NULL,220,'CENTRO','OURO','SC',13966,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6218962,7.00,6.00,4.00,7.00,10.00,9.75,3.00,6.00,2.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',3372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218970,2.00,4.00,3.00,1.00,2.00,NULL,2.00,2.00,2.00,203,NULL,202,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6218989,4.00,5.00,2.00,2.00,6.00,8.25,0.00,4.00,0.00,207,NULL,601,'RIBEIRÃO DE CANGUERI','IMARUÍ','SC',16088,864,NULL,NULL,NULL,NULL,NULL,2,10),(25,6219004,3.00,6.00,6.00,1.00,6.00,8.25,1.00,3.00,1.00,202,NULL,NULL,'COPACABANA','LAGES','SC',16417,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6219055,3.00,4.00,1.00,2.00,4.00,NULL,2.00,1.00,0.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219063,7.00,5.00,7.00,7.00,8.00,8.25,3.00,7.00,7.00,103,NULL,NULL,'SANTA BÁRBARA','CRICIÚMA','SC',1991,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6219080,8.00,9.00,3.00,5.00,10.00,9.00,2.00,3.00,6.00,103,NULL,NULL,'INTERIOR','FAXINALZINHO','RS',3675,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6219098,8.00,6.00,5.00,4.00,6.00,11.63,2.00,6.00,7.00,216,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',3758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219101,6.00,7.00,3.00,7.00,9.00,8.63,3.00,6.00,6.00,207,NULL,215,'CENTRO','BAL CAMBORIÚ','SC',3815,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6219110,1.00,3.00,2.00,4.00,2.00,NULL,2.00,2.00,3.00,207,NULL,238,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6219128,2.00,5.00,2.00,2.00,6.00,7.50,2.00,0.00,1.00,110,NULL,NULL,'CENTRO','PALHOÇA','SC',18383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM GOIÁS','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6219144,4.00,3.00,2.00,4.00,3.00,6.38,2.00,2.00,3.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',20095,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6219152,7.00,6.00,4.00,6.00,7.00,10.13,3.00,6.00,7.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',3834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','BOM JESUS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6219195,4.00,5.00,4.00,5.00,10.00,8.25,3.00,3.00,4.00,201,NULL,203,'AGRONÔMICA','FLORIANÓPOLIS','SC',7753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219209,3.00,5.00,0.00,1.00,6.00,NULL,1.00,0.00,2.00,103,NULL,NULL,'NOVA PETRÓPOLIS','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6219217,3.00,4.00,2.00,2.00,6.00,8.63,1.00,4.00,4.00,303,NULL,NULL,'SANTA BÁRBARA','CRICIÚMA','SC',14161,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6219233,4.00,5.00,0.00,2.00,6.00,7.13,1.00,2.00,1.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219241,0.00,1.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,238,NULL,201,'SÃO SEBASTIÃO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6219268,5.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'MENINO DEUS','LUCAS R VERDE','MT',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(25,6219276,4.00,0.00,0.00,3.00,4.00,5.25,2.00,1.00,0.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6219284,4.00,5.00,3.00,4.00,5.00,7.88,3.00,2.00,2.00,502,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6219292,9.00,7.00,8.00,6.00,10.00,8.63,3.00,7.00,8.00,216,NULL,211,'ANITA GARIBALDI','JOINVILLE','SC',528,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6219306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM ESPLANADA II','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6219314,4.00,6.00,1.00,3.00,7.00,7.50,2.00,3.00,2.00,652,NULL,653,'DIVINEIA','ARARANGUÁ','SC',16307,37,NULL,NULL,NULL,NULL,NULL,4,15),(25,6219322,2.00,3.00,3.00,1.00,5.00,7.50,2.00,1.00,0.00,444,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',19601,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6219330,6.00,4.00,4.00,5.00,6.00,6.75,2.00,4.00,4.00,216,NULL,NULL,'CENTRO','GUARAPUAVA','PR',8983,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6219357,1.00,3.00,2.00,4.00,2.00,NULL,4.00,4.00,1.00,208,NULL,238,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219365,1.00,5.00,0.00,3.00,2.00,NULL,0.00,1.00,1.00,444,NULL,NULL,'PONTE DO IMRAUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219373,7.00,6.00,2.00,7.00,7.00,8.25,0.00,7.00,4.00,102,NULL,NULL,'COUNTRY','CASCAVEL','PR',8415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219381,6.00,6.00,3.00,7.00,11.00,7.13,1.00,6.00,5.00,207,NULL,215,'CENTRO','LONDRINA','PR',4234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219390,4.00,4.00,2.00,4.00,7.00,8.25,3.00,5.00,2.00,502,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',15745,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6219438,4.00,5.00,3.00,5.00,8.00,6.00,3.00,3.00,5.00,202,NULL,201,'KOBRASOL','S JOSÉ','SC',9624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219446,3.00,3.00,1.00,4.00,6.00,11.25,1.00,5.00,3.00,326,NULL,NULL,'JARDIM ELDORADO','STA CRUZ R PARDO','SP',16825,45,NULL,NULL,NULL,NULL,NULL,2,1),(25,6219454,7.00,7.00,1.00,5.00,9.00,11.63,2.00,4.00,5.00,103,NULL,NULL,'BOM JESUS','PTO ALEGRE','RS',4996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219462,4.00,4.00,1.00,0.00,3.00,4.50,2.00,0.00,1.00,103,NULL,NULL,'INGLÊSE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6219489,7.00,6.00,2.00,4.00,9.00,8.25,1.00,6.00,5.00,302,NULL,NULL,'CENTRO','COCAL SUL','SC',8130,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6219497,4.00,3.00,2.00,4.00,6.00,9.00,3.00,4.00,1.00,101,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13723,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6219500,2.00,4.00,1.00,2.00,5.00,6.00,1.00,1.00,3.00,103,NULL,NULL,'ROSARIO','STA MARIA','RS',19564,4650,NULL,NULL,NULL,NULL,NULL,2,1),(25,6219519,4.00,6.00,3.00,4.00,7.00,7.88,2.00,6.00,3.00,103,NULL,NULL,'MARIA LUIZA','CASCAVEL','PR',11452,3778,NULL,NULL,NULL,NULL,NULL,4,4),(25,6219527,4.00,6.00,2.00,7.00,6.00,6.75,2.00,5.00,3.00,425,NULL,429,'MONTE ALEGRE','CAMBORIÚ','SC',13092,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6219535,5.00,5.00,1.00,5.00,8.00,8.25,1.00,3.00,5.00,207,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',11645,614,NULL,NULL,NULL,NULL,NULL,2,1),(25,6219543,6.00,5.00,2.00,7.00,6.00,7.88,1.00,5.00,3.00,108,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',9930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219551,8.00,8.00,1.00,5.00,7.00,10.13,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','LEOBERTO LEAL','SC',2913,1664,NULL,NULL,NULL,NULL,NULL,2,9),(25,6219560,1.00,3.00,2.00,2.00,4.00,9.00,2.00,0.00,1.00,110,NULL,NULL,'AREIAS','S JOSÉ','SC',21454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219586,7.00,4.00,5.00,4.00,8.00,7.50,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',5106,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6219594,7.00,8.00,6.00,7.00,10.00,9.38,3.00,8.00,7.00,103,NULL,NULL,'BOSQUE','PRES PRUDENTE','SP',699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219616,3.00,6.00,2.00,7.00,10.00,9.75,1.00,5.00,5.00,216,NULL,203,'CAMPECHE','FLORIANÓPOLIS','SC',6084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219624,9.00,8.00,7.00,5.00,9.00,7.50,4.00,8.00,7.00,203,NULL,214,'ITACORUBI','FLORIANÓPOLIS','SC',879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219632,1.00,4.00,0.00,2.00,6.00,5.25,3.00,4.00,3.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219659,3.00,3.00,4.00,0.00,5.00,6.75,1.00,2.00,1.00,5,NULL,NULL,'SANTA TEREZINHA','GASPAR','SC',21005,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6219667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6219675,4.00,4.00,4.00,4.00,6.00,6.38,2.00,4.00,2.00,444,NULL,NULL,'JARDIM COQUEIROS','PALHOÇA','SC',15361,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6219683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'JARDIM DALILA','ARAÇOIABA SERRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6219691,9.00,7.00,6.00,7.00,8.00,10.50,5.00,8.00,8.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',274,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219713,3.00,2.00,0.00,2.00,4.00,5.63,1.00,0.00,3.00,103,NULL,NULL,'SANTISTA','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6219721,6.00,6.00,3.00,6.00,10.00,9.38,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4309,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6219730,3.00,0.00,3.00,5.00,5.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6219748,1.00,3.00,1.00,3.00,3.00,5.63,1.00,2.00,1.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6219756,4.00,4.00,0.00,4.00,6.00,NULL,1.00,0.00,2.00,211,NULL,233,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6219764,5.00,7.00,0.00,5.00,8.00,10.88,2.00,2.00,4.00,208,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11006,180,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219772,3.00,4.00,1.00,3.00,6.00,9.38,1.00,1.00,2.00,444,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',17372,94,NULL,NULL,NULL,NULL,NULL,2,1),(25,6219780,5.00,4.00,0.00,6.00,7.00,9.75,2.00,2.00,1.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219799,5.00,0.00,1.00,3.00,7.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(25,6219802,4.00,6.00,2.00,6.00,5.00,7.88,2.00,3.00,2.00,238,NULL,208,'OFICINAS','TUBARÃO','SC',15894,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6219810,5.00,4.00,3.00,2.00,8.00,6.75,1.00,3.00,4.00,203,NULL,216,'INGLESES','FLORIANÓPOLIS','SC',12780,836,NULL,446,NULL,NULL,NULL,4,1),(25,6219829,4.00,6.00,1.00,6.00,8.00,10.50,2.00,6.00,5.00,108,NULL,NULL,'ARM PÂNTANO DO SUL','FLORIANÓPOLIS','SC',6553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219837,3.00,4.00,0.00,1.00,3.00,4.50,2.00,1.00,2.00,220,NULL,202,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6219845,4.00,4.00,2.00,5.00,5.00,9.75,2.00,1.00,1.00,207,NULL,201,'MORADA DO SOL','MARAVILHA','SC',15809,858,NULL,1348,NULL,NULL,NULL,2,4),(25,6219853,0.00,4.00,2.00,5.00,3.00,6.38,1.00,1.00,4.00,203,NULL,214,'CENTRO','PRUDENTÓPOLIS','PR',19551,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6219870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6219888,1.00,5.00,1.00,0.00,2.00,NULL,2.00,2.00,2.00,328,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6219896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'BOM RETIRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6219900,3.00,4.00,3.00,1.00,7.00,7.13,1.00,1.00,0.00,5,NULL,NULL,'CENTRO','GASPAR','SC',20983,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6219926,5.00,6.00,0.00,4.00,5.00,9.75,0.00,3.00,0.00,319,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6219934,4.00,5.00,1.00,5.00,11.00,8.63,1.00,7.00,3.00,108,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',7962,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6219942,5.00,5.00,4.00,7.00,6.00,7.88,3.00,7.00,2.00,336,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',9755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219950,6.00,6.00,6.00,7.00,8.00,11.63,5.00,5.00,7.00,201,NULL,202,'CAPOEIRAS','FLORIANÓPOLIS','SC',965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219969,4.00,7.00,5.00,7.00,4.00,10.88,1.00,5.00,3.00,201,NULL,213,'PIO CORREA','CRICIÚMA','SC',8574,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6219985,3.00,6.00,1.00,4.00,7.00,9.00,1.00,3.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6219993,5.00,6.00,1.00,3.00,8.00,7.88,4.00,5.00,4.00,201,NULL,212,'VILA MARIANA','S PAULO','SP',8442,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220002,4.00,6.00,5.00,6.00,8.00,9.75,3.00,4.00,4.00,220,NULL,NULL,'JARDIM MONACO','DOURADOS','MS',6806,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6220010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','MISSAL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6220037,5.00,6.00,2.00,6.00,7.00,8.25,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',7994,3181,NULL,NULL,NULL,NULL,NULL,4,9),(25,6220045,3.00,1.00,2.00,4.00,4.00,7.50,2.00,2.00,3.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220053,3.00,4.00,1.00,4.00,3.00,4.50,2.00,1.00,1.00,207,NULL,201,'BOM ABRIGO','FLORIANÓPOLIS','SC',21465,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220061,2.00,2.00,2.00,3.00,4.00,7.50,2.00,3.00,2.00,101,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220070,4.00,4.00,3.00,5.00,7.00,11.25,2.00,5.00,3.00,202,NULL,212,'CENTRO','CPO GRANDE','MS',8077,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6220096,3.00,5.00,2.00,3.00,5.00,7.13,3.00,2.00,4.00,220,NULL,208,'SÃO LUIZ','S JOSÉ','SC',15856,415,NULL,367,NULL,NULL,NULL,4,1),(25,6220126,2.00,4.00,2.00,4.00,8.00,NULL,0.00,5.00,1.00,201,NULL,233,'FLOR DE NÁPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220134,2.00,3.00,3.00,2.00,3.00,5.25,1.00,4.00,0.00,103,NULL,NULL,'CORAL','LAGES','SC',20157,4700,NULL,NULL,NULL,NULL,NULL,2,9),(25,6220142,4.00,6.00,2.00,3.00,6.00,8.63,1.00,4.00,5.00,420,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220150,3.00,5.00,3.00,6.00,8.00,9.75,1.00,6.00,7.00,3,NULL,NULL,'CENTRO','GUAÍRA','PR',6484,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6220169,8.00,7.00,6.00,6.00,10.00,8.63,4.00,7.00,6.00,201,NULL,202,'PANTANAL','FLORIANÓPOLIS','SC',1515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220193,2.00,3.00,0.00,5.00,4.00,NULL,0.00,4.00,2.00,331,NULL,NULL,'CINQUENTENÁRIO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220207,7.00,7.00,2.00,7.00,9.00,8.25,1.00,8.00,6.00,303,NULL,NULL,'CENTRO','ARARAS','SP',2248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220240,6.00,7.00,3.00,6.00,10.00,11.25,2.00,4.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220258,4.00,5.00,2.00,4.00,7.00,9.00,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','VICTOR GRAEFF','RS',12010,3864,NULL,NULL,NULL,NULL,NULL,2,4),(25,6220266,6.00,8.00,3.00,6.00,11.00,9.75,3.00,2.00,4.00,425,NULL,424,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',4848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220274,9.00,7.00,3.00,5.00,7.00,8.63,4.00,8.00,9.00,103,NULL,NULL,'IGREJINHA','APUCARANA','PR',1322,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6220290,8.00,8.00,2.00,5.00,8.00,8.25,3.00,7.00,6.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',4528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220304,3.00,8.00,2.00,3.00,8.00,10.50,0.00,5.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14017,494,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220312,8.00,7.00,7.00,6.00,9.00,11.63,6.00,5.00,9.00,103,NULL,NULL,'VILA PRUDENTE','S PAULO','SP',462,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220320,4.00,5.00,3.00,6.00,6.00,6.75,5.00,5.00,1.00,329,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220339,4.00,5.00,3.00,2.00,6.00,7.50,2.00,5.00,5.00,5,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6220363,8.00,8.00,5.00,5.00,8.00,10.88,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220371,2.00,4.00,1.00,2.00,5.00,7.50,2.00,0.00,2.00,601,NULL,203,'CENTRO','RIO NEGRINHO','SC',20914,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(25,6220380,6.00,7.00,2.00,6.00,7.00,10.50,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',4031,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6220401,3.00,4.00,3.00,3.00,9.00,7.50,3.00,2.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220410,3.00,4.00,1.00,4.00,7.00,6.75,2.00,4.00,3.00,102,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',16984,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220436,3.00,2.00,3.00,3.00,5.00,NULL,1.00,0.00,2.00,233,NULL,NULL,'CAMPOLIM','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220444,0.00,5.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220452,3.00,3.00,1.00,0.00,2.00,NULL,0.00,0.00,2.00,601,NULL,201,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6220495,9.00,9.00,7.00,7.00,10.00,10.13,7.00,8.00,7.00,103,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',45,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220509,6.00,4.00,1.00,2.00,9.00,8.25,2.00,7.00,3.00,303,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',10358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220517,1.00,7.00,0.00,5.00,6.00,NULL,2.00,5.00,2.00,110,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220525,4.00,4.00,1.00,3.00,4.00,9.38,1.00,6.00,2.00,110,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220533,7.00,6.00,5.00,6.00,10.00,7.88,5.00,8.00,7.00,220,NULL,208,'CENTRO','PALHOÇA','SC',1644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220550,6.00,3.00,3.00,6.00,8.00,9.38,2.00,1.00,4.00,653,NULL,601,'SAGUAÇU','JOINVILLE','SC',8949,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6220584,4.00,5.00,3.00,4.00,4.00,7.50,2.00,4.00,4.00,3,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16504,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ESTAÇÃO EXPERIMENTAL','RIO BRANCO','AC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6220606,4.00,6.00,1.00,5.00,7.00,NULL,0.00,3.00,4.00,201,NULL,212,'CENTRO','GAURAMA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220614,6.00,8.00,4.00,5.00,9.00,12.00,3.00,9.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220622,2.00,6.00,2.00,6.00,6.00,6.75,3.00,6.00,2.00,225,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',14888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220630,6.00,5.00,2.00,7.00,7.00,9.38,1.00,7.00,4.00,207,NULL,201,'CZERNIEWICZ','JARAGUÁ SUL','SC',6412,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6220649,8.00,7.00,4.00,7.00,10.00,10.88,5.00,8.00,7.00,103,NULL,NULL,'SÃO LUIS','ITU','SP',234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6220673,5.00,3.00,1.00,3.00,6.00,NULL,1.00,1.00,0.00,5,NULL,NULL,'CENTRO','CAMPINAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6220703,6.00,6.00,2.00,6.00,8.00,7.88,3.00,4.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220711,3.00,3.00,3.00,3.00,4.00,10.13,1.00,3.00,1.00,444,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',19065,117,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220720,4.00,5.00,2.00,6.00,5.00,9.38,2.00,4.00,2.00,233,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',13517,363,NULL,NULL,NULL,NULL,NULL,2,4),(25,6220738,5.00,7.00,4.00,6.00,8.00,9.38,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220746,3.00,5.00,1.00,4.00,6.00,9.38,1.00,2.00,2.00,308,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',18506,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220754,3.00,4.00,0.00,3.00,6.00,NULL,1.00,3.00,3.00,109,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220762,4.00,5.00,3.00,4.00,7.00,8.25,0.00,3.00,4.00,201,NULL,233,'PROGRESSO','LAGUNA','SC',11650,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6220770,2.00,4.00,3.00,5.00,5.00,7.50,5.00,5.00,1.00,110,NULL,NULL,'IRIRIU','JOINVILLE','SC',14557,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6220789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,601,'ENSEADA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6220797,2.00,2.00,1.00,1.00,6.00,NULL,0.00,3.00,3.00,212,NULL,201,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220800,2.00,5.00,5.00,4.00,8.00,10.50,2.00,3.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'INTERIOR','MACIEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6220827,4.00,6.00,3.00,8.00,5.00,9.75,2.00,5.00,4.00,214,NULL,213,'JARDINS','ARACAJU','SE',9096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220835,3.00,6.00,1.00,2.00,6.00,6.38,3.00,1.00,1.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',18216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220843,4.00,4.00,0.00,6.00,6.00,NULL,0.00,2.00,1.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6220860,8.00,7.00,7.00,7.00,8.00,9.38,4.00,5.00,9.00,216,NULL,215,'BAIRRO DER','CAÇADOR','SC',1165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220878,5.00,5.00,1.00,4.00,4.00,NULL,0.00,4.00,3.00,103,NULL,NULL,'CENTRO','SALETE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220886,3.00,5.00,1.00,2.00,5.00,7.13,1.00,4.00,1.00,326,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',20272,60,NULL,NULL,NULL,NULL,NULL,2,1),(25,6220908,4.00,4.00,3.00,4.00,3.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'ALPHAVILLE','BARUERI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6220916,5.00,7.00,0.00,5.00,10.00,10.50,2.00,9.00,5.00,336,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',4217,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6220924,3.00,7.00,2.00,4.00,6.00,7.50,2.00,4.00,2.00,999,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220932,8.00,7.00,6.00,7.00,9.00,12.38,4.00,6.00,9.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220940,4.00,4.00,4.00,5.00,8.00,6.00,2.00,2.00,2.00,201,NULL,207,'SÃO CRISTÓVÃO','TUBARÃO','SC',12349,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6220959,8.00,5.00,3.00,6.00,8.00,12.00,4.00,7.00,3.00,103,NULL,NULL,'CENTRO','CHAP LAGEADO','SC',2785,1618,NULL,NULL,NULL,NULL,NULL,4,1),(25,6220975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'RAINHA DO MAR','ITAPOÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6220991,4.00,6.00,1.00,6.00,6.00,9.00,3.00,6.00,4.00,317,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6221009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6221025,4.00,5.00,2.00,7.00,10.00,10.88,0.00,4.00,6.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6221033,6.00,6.00,3.00,4.00,5.00,7.50,4.00,5.00,1.00,211,NULL,233,'CENTRO','BRAÇO NORTE','SC',12025,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6221041,4.00,4.00,4.00,5.00,10.00,9.38,0.00,5.00,5.00,233,NULL,216,'ESTREITO','FLORIANÓPOLIS','SC',7279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6221050,4.00,7.00,4.00,3.00,6.00,6.75,2.00,3.00,4.00,201,NULL,203,'CENTRO','CHAPECÓ','SC',10340,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6221068,8.00,6.00,5.00,6.00,8.00,9.75,7.00,7.00,9.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',612,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6221084,7.00,8.00,1.00,6.00,9.00,9.38,1.00,8.00,5.00,104,NULL,NULL,'CENTRO','MANGUEIRINHA','PR',4433,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6221092,6.00,4.00,2.00,4.00,9.00,7.13,2.00,7.00,3.00,601,NULL,235,'CENTRO','S JOÃO BATISTA','SC',9692,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6221106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'ITARARÉ','S JOSÉ CERRITO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6221114,8.00,6.00,7.00,4.00,8.00,10.88,5.00,8.00,8.00,103,NULL,NULL,'PROGRESSO','BLUMENAU','SC',841,582,NULL,NULL,NULL,NULL,NULL,2,2),(25,6221130,3.00,2.00,0.00,1.00,4.00,4.50,2.00,0.00,2.00,110,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',21739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6221149,4.00,4.00,5.00,4.00,6.00,7.88,2.00,8.00,4.00,238,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',8450,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6221157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'INTERIOR','MACIEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6221173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6221181,5.00,4.00,1.00,3.00,4.00,5.63,3.00,1.00,3.00,404,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',20301,87,NULL,NULL,NULL,NULL,NULL,2,1),(25,6221203,4.00,6.00,2.00,2.00,7.00,11.63,1.00,7.00,4.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6221211,6.00,3.00,3.00,4.00,4.00,8.63,3.00,5.00,4.00,999,NULL,NULL,'SOBRADINHO','SOBRADINHO','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6221220,2.00,5.00,3.00,6.00,4.00,7.50,1.00,2.00,4.00,601,NULL,233,'NOVO MUNDO','CURITIBA','PR',16075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6221238,5.00,4.00,4.00,6.00,7.00,9.00,2.00,3.00,5.00,104,NULL,NULL,'PERPÉTUO E SOCORRO','S LOURENÇO OESTE','SC',9452,195,NULL,NULL,NULL,NULL,NULL,2,4),(25,6221297,6.00,5.00,3.00,5.00,8.00,9.00,4.00,4.00,4.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',6774,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6221319,0.00,0.00,2.00,2.00,3.00,6.38,2.00,1.00,1.00,308,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6221327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','PAULO LOPES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6221335,5.00,7.00,2.00,5.00,7.00,10.50,3.00,3.00,2.00,329,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11302,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6221343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6221360,2.00,3.00,2.00,4.00,3.00,NULL,1.00,1.00,0.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6221378,6.00,6.00,1.00,6.00,10.00,8.63,2.00,5.00,4.00,103,NULL,NULL,'PIONEIRO','CAXIAS SUL','RS',7185,3003,NULL,NULL,NULL,NULL,NULL,2,15),(25,6221386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SÃO SEBASTIÃO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6221394,4.00,4.00,3.00,1.00,4.00,6.00,2.00,4.00,2.00,999,NULL,NULL,'PICADAS DO NORTE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6221416,3.00,6.00,3.00,3.00,4.00,7.50,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','CÂNDIDO GODÓI','RS',14499,4181,NULL,NULL,NULL,NULL,NULL,2,4),(25,6221424,8.00,4.00,3.00,6.00,7.00,9.00,4.00,4.00,9.00,220,NULL,201,'VICTOR KONDER','BLUMENAU','SC',4426,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6221440,3.00,3.00,0.00,5.00,5.00,NULL,0.00,1.00,0.00,303,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6221459,5.00,6.00,4.00,6.00,8.00,11.25,1.00,4.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6221467,5.00,5.00,1.00,6.00,7.00,7.50,2.00,4.00,4.00,201,NULL,212,'CENTRO','HERVAL D OESTE','SC',10013,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6221483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6221513,6.00,4.00,4.00,4.00,6.00,5.63,2.00,5.00,7.00,203,NULL,202,'MORRO GRANDE','GASPAR','SC',8913,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6221521,6.00,4.00,5.00,5.00,6.00,8.63,0.00,4.00,4.00,212,NULL,201,'CENTRO','GABRIEL MONTEIRO','SP',12236,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6221530,5.00,7.00,4.00,3.00,8.00,7.13,1.00,5.00,6.00,103,NULL,NULL,'BRUSQUE','LAGES','SC',7200,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6221564,1.00,2.00,2.00,2.00,2.00,NULL,2.00,4.00,0.00,318,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6221572,3.00,5.00,4.00,1.00,4.00,NULL,0.00,4.00,2.00,103,NULL,NULL,'FEITORIA','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6221580,8.00,5.00,5.00,5.00,9.00,8.25,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',1131,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6221599,4.00,4.00,1.00,4.00,4.00,7.50,1.00,1.00,1.00,208,NULL,238,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6221602,2.00,6.00,1.00,3.00,5.00,7.13,1.00,0.00,1.00,338,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6221610,8.00,7.00,5.00,6.00,10.00,10.13,1.00,7.00,9.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',947,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6221629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,202,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6221637,1.00,3.00,2.00,5.00,5.00,7.50,4.00,6.00,4.00,601,NULL,203,'ITAUM','JOINVILLE','SC',13600,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6221645,9.00,7.00,4.00,6.00,10.00,11.63,5.00,9.00,9.00,103,NULL,NULL,'VILA ESPERANÇA','MARINGÁ','PR',138,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6221653,7.00,7.00,7.00,4.00,8.00,8.25,3.00,4.00,2.00,212,NULL,233,'CORREGO GRANDE','FLORIANÓPOLIS','SC',7103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6221661,2.00,5.00,1.00,2.00,5.00,7.88,2.00,2.00,3.00,551,NULL,NULL,'INTERIOR','CORREIA PINTO','SC',19488,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6221670,1.00,1.00,2.00,2.00,4.00,4.50,2.00,0.00,0.00,653,NULL,652,'CAMPO VERDE','ERMO','SC',21443,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6221688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRAL','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6221696,4.00,7.00,2.00,7.00,7.00,6.38,2.00,4.00,2.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6221718,3.00,4.00,3.00,6.00,4.00,7.13,2.00,4.00,2.00,336,NULL,NULL,'MICHEL','CRICIÚMA','SC',17358,141,NULL,NULL,NULL,NULL,NULL,4,5),(25,6221734,3.00,3.00,2.00,1.00,5.00,7.88,2.00,3.00,1.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6221742,8.00,6.00,8.00,7.00,11.00,10.13,3.00,6.00,8.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6221750,4.00,5.00,1.00,7.00,6.00,8.25,2.00,4.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6221769,8.00,9.00,8.00,5.00,9.00,9.38,6.00,7.00,8.00,203,NULL,202,'SÃO PEDRO','PTO UNIÃO','SC',145,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6221777,3.00,2.00,5.00,2.00,7.00,5.25,2.00,3.00,2.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6221793,4.00,5.00,1.00,6.00,10.00,9.75,1.00,5.00,3.00,420,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6221807,5.00,5.00,2.00,3.00,7.00,9.38,1.00,5.00,5.00,999,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6221815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TERRAS QUATRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6221823,4.00,5.00,5.00,5.00,4.00,7.13,2.00,3.00,4.00,5,NULL,NULL,'CENTRO','CASCAVEL','PR',10144,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6221831,7.00,3.00,6.00,6.00,5.00,8.63,1.00,6.00,7.00,216,NULL,233,'JARDIM UNIVERSAL','ARARAQUARA','SP',4648,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6221840,3.00,4.00,0.00,1.00,5.00,NULL,0.00,1.00,0.00,333,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6221866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'BOEHMERWALD','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6221874,7.00,6.00,3.00,5.00,7.00,5.25,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','MAIRINQUE','SP',5708,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6221882,5.00,5.00,2.00,4.00,8.00,8.25,2.00,2.00,3.00,103,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',12474,3928,NULL,NULL,NULL,NULL,NULL,2,1),(25,6221890,5.00,6.00,1.00,5.00,8.00,9.75,1.00,6.00,1.00,340,NULL,NULL,'CENTRO','GAROPABA','SC',11109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6221904,3.00,5.00,2.00,3.00,6.00,9.38,3.00,2.00,4.00,102,NULL,NULL,'SÃO JOSÉ','PINHAL GRANDE','RS',12990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6221912,2.00,4.00,0.00,3.00,5.00,7.50,1.00,0.00,1.00,333,NULL,NULL,'HUMAITÁ CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6221920,2.00,3.00,1.00,3.00,5.00,5.63,2.00,2.00,2.00,216,NULL,201,'TRIÂNGULO','ERECHIM','RS',18942,590,NULL,1555,NULL,NULL,NULL,2,4),(25,6221947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'ICARAI','NITERÓI','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6221955,7.00,8.00,4.00,4.00,9.00,9.00,2.00,8.00,5.00,211,NULL,207,'ENSEADA DE BRITO','PALHOÇA','SC',3330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6221963,2.00,2.00,3.00,3.00,5.00,8.25,1.00,3.00,2.00,652,NULL,655,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6221971,4.00,5.00,4.00,2.00,5.00,7.88,0.00,0.00,5.00,220,NULL,201,'BORGES','ANITA GARIBALDI','SC',15428,409,NULL,1314,NULL,NULL,NULL,4,9),(25,6221998,4.00,6.00,2.00,3.00,4.00,4.50,1.00,7.00,4.00,316,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',14685,137,NULL,NULL,NULL,NULL,NULL,2,1),(25,6222005,7.00,7.00,2.00,4.00,8.00,6.75,2.00,5.00,5.00,420,NULL,NULL,'CENTRO','CASCAVEL','PR',5839,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6222013,3.00,4.00,0.00,3.00,6.00,9.00,2.00,0.00,0.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',20705,300,NULL,NULL,NULL,NULL,NULL,2,1),(25,6222021,4.00,4.00,1.00,4.00,6.00,8.25,0.00,1.00,3.00,104,NULL,NULL,'CENTRO','MISSAL','PR',17099,469,NULL,NULL,NULL,NULL,NULL,4,4),(25,6222030,5.00,6.00,5.00,7.00,9.00,9.38,2.00,6.00,5.00,302,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',4294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6222048,4.00,5.00,3.00,1.00,6.00,8.25,3.00,2.00,2.00,601,NULL,NULL,'COMASA','JOINVILLE','SC',17701,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6222056,3.00,5.00,1.00,5.00,8.00,9.75,2.00,2.00,3.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13266,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6222064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ICARAI','NITERÓI','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6222072,3.00,4.00,0.00,4.00,7.00,7.88,2.00,4.00,0.00,339,NULL,NULL,'MORRO DA BINA','BIGUAÇU','SC',18311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6222080,3.00,5.00,2.00,7.00,7.00,NULL,0.00,6.00,0.00,450,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6222102,5.00,7.00,3.00,7.00,9.00,9.00,1.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6222129,3.00,5.00,3.00,4.00,9.00,7.50,3.00,6.00,3.00,318,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',9796,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6222137,4.00,7.00,3.00,3.00,8.00,7.13,2.00,3.00,1.00,302,NULL,NULL,'JARDIM ZANELLATO','S JOSÉ','SC',12266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6222145,3.00,5.00,1.00,2.00,3.00,7.13,1.00,1.00,3.00,211,NULL,NULL,'JARDIM BOTÂNICO','PTO ALEGRE','RS',20971,554,NULL,NULL,NULL,NULL,NULL,2,6),(25,6222161,6.00,7.00,4.00,3.00,8.00,7.88,3.00,7.00,7.00,304,NULL,NULL,'CENTRO','AVARÉ','SP',3982,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6222170,6.00,7.00,7.00,5.00,10.00,10.13,2.00,3.00,4.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',3615,1947,NULL,NULL,NULL,NULL,NULL,2,3),(25,6222188,6.00,5.00,2.00,5.00,8.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'SÃO CRISTÓVÃO','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6222196,4.00,0.00,2.00,1.00,4.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(25,6222200,8.00,3.00,4.00,6.00,7.00,NULL,0.00,2.00,7.00,103,NULL,NULL,'VILA RICA','CAMBÉ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6222218,3.00,3.00,4.00,6.00,6.00,10.13,1.00,4.00,0.00,207,NULL,201,'SOSSEGO','CANOINHAS','SC',13348,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6222226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CRUZEIRO NOVO','CRUZEIRO','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6222234,2.00,3.00,1.00,3.00,4.00,7.13,1.00,2.00,2.00,9,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6222242,7.00,6.00,1.00,4.00,6.00,9.38,1.00,6.00,4.00,5,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',8471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6222250,5.00,3.00,1.00,3.00,6.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'CENTRO','STO ANTÔNIO PLATINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6222269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6222277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6222285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,208,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6222293,5.00,6.00,2.00,4.00,6.00,9.38,2.00,4.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6222307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'POMERODE FUNDOS','POMERODE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6222315,2.00,6.00,3.00,7.00,7.00,8.25,2.00,4.00,1.00,319,NULL,NULL,'CENTRO','CASCAVEL','PR',11035,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6222331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'VILA ÉLIDA','DIADEMA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6222366,9.00,8.00,0.00,6.00,8.00,10.88,4.00,6.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6222382,8.00,5.00,5.00,5.00,8.00,10.13,2.00,5.00,6.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',3296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6222390,5.00,4.00,4.00,3.00,4.00,6.75,2.00,1.00,3.00,103,NULL,NULL,'JARDIM LOS ANGELES','CPO GRANDE','MS',16819,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6222404,7.00,6.00,1.00,6.00,8.00,9.00,4.00,6.00,4.00,303,NULL,NULL,'PORTINHO','ILHABELA','SP',6016,287,NULL,NULL,NULL,NULL,NULL,4,1),(25,6222420,3.00,6.00,3.00,6.00,6.00,NULL,0.00,4.00,5.00,5,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6222439,1.00,4.00,4.00,4.00,4.00,6.75,2.00,5.00,3.00,653,NULL,NULL,'CENTRO','ARARANGUÁ','SC',18550,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6222447,2.00,1.00,0.00,2.00,3.00,6.38,2.00,0.00,0.00,104,NULL,NULL,'CAMPO LENÇOL','RIO NEGRINHO','SC',21592,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6222455,4.00,6.00,1.00,7.00,9.00,7.50,1.00,6.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6222463,3.00,5.00,0.00,6.00,6.00,NULL,1.00,3.00,3.00,220,NULL,233,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6222471,3.00,3.00,1.00,3.00,9.00,6.38,5.00,1.00,3.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',18471,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6222498,1.00,1.00,2.00,2.00,2.00,NULL,0.00,0.00,1.00,303,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6222528,5.00,4.00,4.00,6.00,5.00,6.75,3.00,2.00,3.00,3,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',15274,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6222544,3.00,2.00,3.00,6.00,6.00,7.88,1.00,3.00,3.00,999,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6222552,4.00,5.00,2.00,4.00,8.00,6.75,2.00,5.00,4.00,207,NULL,201,'RIO BONITO','BRAÇO NORTE','SC',15301,829,NULL,1301,NULL,NULL,NULL,2,10),(25,6222560,0.00,2.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6222579,3.00,7.00,4.00,5.00,8.00,NULL,0.00,5.00,4.00,502,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6222595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'KOBRASSOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6222617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,203,'CENTRO','CIDADE GAÚCHA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6222625,2.00,5.00,3.00,6.00,7.00,7.50,2.00,2.00,2.00,340,NULL,NULL,'ATIRADORES','JOINVILLE','SC',17256,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6222633,0.00,5.00,4.00,1.00,4.00,5.25,2.00,4.00,3.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',19410,226,NULL,NULL,NULL,NULL,NULL,2,1),(25,6222641,4.00,5.00,3.00,3.00,7.00,6.75,4.00,3.00,3.00,415,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',15826,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6222650,3.00,2.00,1.00,2.00,5.00,6.38,1.00,1.00,0.00,324,NULL,NULL,'JARDIM JANAÍNA','BIGUAÇU','SC',21049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6222668,8.00,7.00,6.00,2.00,6.00,7.50,3.00,7.00,6.00,201,NULL,207,'CIDADE JARDIM','CPO GRANDE','MS',4010,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6222692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6222706,0.00,3.00,0.00,0.00,0.00,NULL,0.00,1.00,0.00,601,NULL,NULL,'SÃO MARCOS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6222730,4.00,5.00,1.00,3.00,6.00,9.38,3.00,2.00,4.00,9,NULL,NULL,'JARDIM NOVA ITÁLIA','LIMEIRA','SP',13703,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6222749,1.00,3.00,1.00,3.00,4.00,6.75,2.00,3.00,1.00,502,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',21291,57,NULL,NULL,NULL,NULL,NULL,2,1),(25,6222757,3.00,2.00,1.00,4.00,6.00,7.88,1.00,3.00,4.00,426,NULL,428,'CENTRO','BAL CAMBORIÚ','SC',18250,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6222765,8.00,6.00,4.00,5.00,7.00,9.75,4.00,7.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',3409,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6222773,4.00,3.00,3.00,4.00,7.00,8.63,1.00,4.00,2.00,201,NULL,212,'CENTRO','CANOINHAS','SC',13349,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6222781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6222803,7.00,7.00,1.00,5.00,9.00,9.00,1.00,7.00,4.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6008,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6222811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','NÃO-ME-TOQUE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6222820,3.00,6.00,0.00,4.00,5.00,8.63,2.00,5.00,3.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6222838,3.00,3.00,1.00,5.00,8.00,11.25,2.00,1.00,4.00,601,NULL,207,'CENTRO','PATO BRANCO','PR',11474,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6222846,4.00,6.00,1.00,5.00,7.00,7.13,1.00,3.00,3.00,103,NULL,NULL,'AMARANTE','VIDEIRA','SC',11904,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6222854,2.00,4.00,4.00,5.00,7.00,6.75,1.00,0.00,4.00,201,NULL,212,'VENDAVAL','BIGUAÇU','SC',13800,1175,NULL,NULL,NULL,NULL,NULL,2,1),(25,6222862,7.00,6.00,1.00,6.00,8.00,9.38,2.00,6.00,5.00,319,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',5145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6222889,4.00,5.00,3.00,3.00,6.00,10.13,1.00,2.00,2.00,404,NULL,NULL,'PROGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6222897,3.00,3.00,3.00,7.00,9.00,7.50,2.00,3.00,5.00,999,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6222919,8.00,6.00,4.00,6.00,8.00,9.00,2.00,5.00,5.00,103,NULL,NULL,'MARGEM ESQUERDA','GASPAR','SC',4353,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6222935,7.00,8.00,4.00,6.00,10.00,12.75,2.00,5.00,9.00,103,NULL,NULL,'CENTRO','IJUÍ','RS',1752,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6222943,0.00,5.00,2.00,4.00,7.00,8.25,2.00,4.00,0.00,429,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15877,29,NULL,NULL,NULL,NULL,NULL,4,1),(25,6222951,4.00,2.00,1.00,4.00,2.00,NULL,1.00,0.00,2.00,109,NULL,NULL,'NAÇÕES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6222960,3.00,4.00,2.00,3.00,8.00,7.88,1.00,2.00,1.00,201,NULL,208,'SÃO SEBASTIÃO','PALHOÇA','SC',16900,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6222986,2.00,4.00,2.00,2.00,6.00,6.38,2.00,4.00,2.00,301,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',17010,222,NULL,NULL,NULL,NULL,NULL,2,1),(25,6222994,5.00,5.00,0.00,3.00,5.00,6.38,0.00,2.00,6.00,202,NULL,235,'INTERIOR','GAURAMA','RS',14480,448,NULL,338,NULL,NULL,NULL,2,4),(25,6223001,8.00,5.00,4.00,6.00,9.00,7.88,2.00,3.00,4.00,216,NULL,NULL,'BOQUEIRÃO','PASSO FUNDO','RS',6070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223010,3.00,6.00,5.00,4.00,6.00,11.25,4.00,6.00,3.00,202,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',7137,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6223028,2.00,4.00,0.00,2.00,3.00,6.75,1.00,1.00,1.00,317,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',21699,204,NULL,NULL,NULL,NULL,NULL,2,1),(25,6223036,2.00,3.00,0.00,4.00,4.00,NULL,3.00,3.00,2.00,216,NULL,203,'VILA NOVA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6223044,7.00,4.00,2.00,6.00,7.00,7.88,3.00,3.00,4.00,103,NULL,NULL,'VILA INDUSTRIAL','S PAULO','SP',9350,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6223052,4.00,5.00,1.00,6.00,8.00,8.63,1.00,5.00,3.00,318,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',13084,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6223060,3.00,4.00,4.00,7.00,7.00,7.88,2.00,0.00,1.00,303,NULL,NULL,'SANTA LUZIA','CRICIÚMA','SC',17428,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6223087,2.00,3.00,1.00,3.00,5.00,7.50,3.00,2.00,2.00,421,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6223095,5.00,4.00,2.00,4.00,6.00,10.50,0.00,4.00,2.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',11442,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6223117,4.00,3.00,2.00,6.00,7.00,10.13,3.00,1.00,1.00,340,NULL,NULL,'CENTRO','CAMPINA VERDE','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223125,8.00,8.00,4.00,3.00,8.00,8.25,5.00,4.00,9.00,202,NULL,216,'CENTRO','CURITIBA','PR',2122,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6223133,2.00,2.00,2.00,1.00,4.00,NULL,2.00,0.00,1.00,654,NULL,NULL,'CONTA DINEHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6223150,6.00,8.00,6.00,7.00,9.00,10.50,2.00,5.00,7.00,201,NULL,211,'CAMPINAS','S JOSÉ','SC',2381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223168,7.00,4.00,4.00,7.00,8.00,11.25,1.00,7.00,5.00,303,NULL,NULL,'CENTRO','ORLEANS','SC',4554,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6223184,4.00,5.00,2.00,3.00,8.00,10.13,1.00,3.00,2.00,103,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',13624,4083,NULL,NULL,NULL,NULL,NULL,2,2),(25,6223192,9.00,7.00,4.00,6.00,9.00,10.50,7.00,8.00,9.00,103,NULL,NULL,'SUMARÉ','RIO SUL','SC',123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223206,5.00,5.00,4.00,7.00,7.00,8.63,4.00,6.00,6.00,316,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',5748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PINHEIRINHO','ITAJUBÁ','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6223249,6.00,4.00,0.00,6.00,6.00,8.63,2.00,2.00,5.00,999,NULL,NULL,'SANTA CRUZ','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6223265,4.00,4.00,4.00,5.00,9.00,9.38,1.00,2.00,3.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223273,2.00,2.00,0.00,1.00,5.00,7.13,3.00,1.00,1.00,601,NULL,212,'PETROPOLIS','JOINVILLE','SC',21639,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6223290,1.00,5.00,1.00,1.00,1.00,NULL,2.00,1.00,2.00,404,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223303,6.00,3.00,2.00,4.00,6.00,NULL,0.00,4.00,5.00,102,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6223311,5.00,3.00,2.00,7.00,7.00,9.00,3.00,2.00,3.00,415,NULL,NULL,'AMÉRICA','JOINVILLE','SC',13532,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6223320,1.00,1.00,0.00,5.00,5.00,6.75,1.00,1.00,4.00,428,NULL,427,'CENTRO','TIJUCAS','SC',21345,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6223338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'HOSPITAL','PAPANDUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6223346,1.00,4.00,2.00,4.00,4.00,7.88,3.00,2.00,0.00,103,NULL,NULL,'ARIRIBÁ','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6223354,4.00,5.00,1.00,7.00,8.00,10.50,0.00,4.00,2.00,327,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223362,9.00,6.00,2.00,7.00,10.00,9.75,1.00,5.00,7.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223370,7.00,7.00,1.00,6.00,7.00,7.88,1.00,5.00,2.00,103,NULL,NULL,'JARDIM CRUZEIRO','MOGI GUAÇU','SP',7908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223389,4.00,5.00,1.00,4.00,7.00,NULL,3.00,2.00,0.00,426,NULL,428,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6223397,6.00,5.00,5.00,6.00,9.00,11.25,3.00,8.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',1766,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6223400,9.00,7.00,7.00,7.00,10.00,11.63,6.00,7.00,8.00,202,NULL,203,'SANTA BÁRBARA','GOIÂNIA','GO',54,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223451,7.00,7.00,4.00,7.00,8.00,10.13,1.00,7.00,7.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',2704,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6223460,7.00,7.00,2.00,5.00,7.00,9.38,1.00,7.00,6.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',6164,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6223478,7.00,6.00,2.00,7.00,8.00,9.38,3.00,3.00,2.00,212,NULL,213,'CENTRO','CAMPINAS','SP',4190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223486,7.00,6.00,5.00,7.00,10.00,10.88,2.00,8.00,7.00,103,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',1666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223494,3.00,4.00,4.00,3.00,6.00,8.25,1.00,3.00,1.00,301,NULL,NULL,'RIBEIRÃO DAREIA','PEDRAS GRANDES','SC',16594,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6223508,5.00,5.00,3.00,5.00,10.00,4.50,3.00,5.00,4.00,450,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11461,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6223516,3.00,5.00,3.00,5.00,8.00,7.88,1.00,5.00,0.00,208,NULL,235,'NAÇOES','BAL CAMBORIÚ','SC',12208,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6223524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MONTE CARLO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6223532,5.00,6.00,2.00,7.00,7.00,8.63,2.00,5.00,4.00,234,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',9647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223540,4.00,5.00,1.00,6.00,7.00,9.00,1.00,1.00,1.00,207,NULL,201,'CENTRO','VACARIA','RS',17616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223559,2.00,4.00,2.00,4.00,4.00,3.75,1.00,4.00,1.00,319,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6223575,6.00,8.00,5.00,5.00,9.00,7.13,1.00,7.00,7.00,340,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',3877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223591,3.00,5.00,3.00,7.00,7.00,8.63,3.00,6.00,5.00,999,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223605,7.00,6.00,3.00,6.00,8.00,8.25,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','TURVO','SC',7301,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6223613,6.00,4.00,5.00,4.00,7.00,9.75,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',7578,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6223621,2.00,1.00,1.00,1.00,1.00,NULL,0.00,1.00,0.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6223656,2.00,6.00,1.00,4.00,7.00,9.00,1.00,3.00,3.00,302,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',16607,130,NULL,NULL,NULL,NULL,NULL,2,1),(25,6223664,7.00,7.00,3.00,5.00,9.00,9.75,2.00,7.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3009,1705,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ESPLANADA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6223680,4.00,7.00,2.00,7.00,8.00,9.00,2.00,5.00,3.00,102,NULL,NULL,'MEDIANEIRA','CAXIAS SUL','RS',8380,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6223699,3.00,4.00,1.00,3.00,8.00,6.75,0.00,4.00,3.00,999,NULL,NULL,'SÃO JOÃO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6223710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','GUAPORÉ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6223729,3.00,6.00,2.00,6.00,6.00,8.25,2.00,4.00,3.00,601,NULL,202,'CENTRO','RIO SUL','SC',14523,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6223737,9.00,6.00,4.00,5.00,11.00,12.38,6.00,8.00,7.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223753,7.00,7.00,5.00,6.00,10.00,13.88,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223761,6.00,6.00,4.00,5.00,8.00,9.00,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','MARAVILHA','SC',4651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223788,6.00,6.00,7.00,7.00,9.00,8.63,2.00,6.00,4.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',2926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223796,4.00,4.00,1.00,3.00,6.00,7.13,3.00,1.00,3.00,999,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223800,6.00,6.00,5.00,1.00,8.00,10.88,2.00,6.00,6.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',5133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223818,1.00,5.00,0.00,3.00,4.00,5.25,1.00,1.00,3.00,109,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',21517,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6223826,2.00,2.00,2.00,1.00,5.00,7.13,0.00,1.00,0.00,110,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6223834,9.00,6.00,4.00,6.00,9.00,12.00,4.00,8.00,6.00,103,NULL,NULL,'JOÃO GOULART','STA MARIA','RS',898,618,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223842,2.00,5.00,2.00,3.00,7.00,9.75,3.00,3.00,1.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',18225,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6223869,5.00,4.00,1.00,2.00,2.00,NULL,2.00,3.00,0.00,208,NULL,NULL,'MONTE ALEGRE','S CRISTÓVÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6223885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','CAÇAPAVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6223893,6.00,3.00,3.00,4.00,5.00,7.88,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',17095,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6223915,4.00,4.00,2.00,3.00,7.00,NULL,0.00,0.00,3.00,234,NULL,NULL,'NOVA CAIEIRAS','CAIEIRAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6223923,7.00,4.00,4.00,6.00,7.00,9.38,2.00,6.00,5.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',5321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6223931,4.00,4.00,2.00,3.00,8.00,9.00,2.00,3.00,4.00,101,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6223940,5.00,6.00,2.00,5.00,8.00,8.63,2.00,7.00,3.00,304,NULL,NULL,'USINA','ANTÔNIO CARLOS','SC',7217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6223966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6223974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CONDOMINO JOAO PAULO','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6223982,7.00,6.00,2.00,7.00,7.00,10.13,2.00,7.00,5.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4245,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6223990,3.00,5.00,1.00,3.00,6.00,9.38,0.00,4.00,2.00,319,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',15849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224016,6.00,6.00,2.00,6.00,9.00,12.38,1.00,4.00,5.00,5,NULL,NULL,'JARDIM DA SAÚDE','S PAULO','SP',4472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224024,8.00,8.00,4.00,7.00,8.00,8.25,2.00,7.00,7.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',1978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224032,4.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VISTA VERDE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6224059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6224067,3.00,4.00,1.00,4.00,6.00,7.13,2.00,3.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224075,5.00,5.00,3.00,6.00,7.00,8.63,0.00,4.00,4.00,601,NULL,213,'SAGUAÇU','JOINVILLE','SC',11463,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6224083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INTERIOR','OURO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6224091,3.00,4.00,0.00,2.00,4.00,6.00,2.00,0.00,0.00,444,NULL,NULL,'ITINGA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6224105,4.00,7.00,3.00,5.00,6.00,9.75,5.00,3.00,0.00,103,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',12775,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6224113,3.00,1.00,2.00,3.00,6.00,NULL,0.00,0.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224130,6.00,6.00,4.00,6.00,4.00,7.13,3.00,4.00,7.00,214,NULL,213,'PONTA DA PRAIA','SANTOS','SP',5543,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6224148,5.00,7.00,4.00,4.00,10.00,8.25,1.00,7.00,4.00,103,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',5623,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6224156,4.00,7.00,3.00,4.00,7.00,7.88,2.00,8.00,3.00,319,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',8744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224164,2.00,5.00,0.00,1.00,7.00,NULL,1.00,1.00,0.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6224172,2.00,3.00,3.00,1.00,7.00,7.13,2.00,3.00,1.00,501,NULL,NULL,'RESIDENCIAL','ELDORADO SUL','RS',17571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224180,1.00,3.00,1.00,2.00,2.00,NULL,3.00,3.00,0.00,309,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6224199,4.00,6.00,3.00,5.00,9.00,9.38,1.00,5.00,4.00,238,NULL,220,'KOBRASOL','S JOSÉ','SC',9077,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6224202,4.00,5.00,0.00,5.00,6.00,8.25,0.00,1.00,4.00,102,NULL,NULL,'TABAJARA','CAÇADOR','SC',14213,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6224210,3.00,6.00,1.00,5.00,6.00,9.75,0.00,3.00,1.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17681,118,NULL,NULL,NULL,NULL,NULL,3,1),(25,6224237,3.00,5.00,0.00,4.00,5.00,NULL,3.00,2.00,3.00,654,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6224245,2.00,1.00,0.00,0.00,6.00,NULL,2.00,1.00,0.00,551,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6224253,3.00,4.00,1.00,3.00,6.00,6.75,2.00,4.00,3.00,308,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',16801,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6224270,2.00,7.00,3.00,4.00,5.00,8.25,1.00,3.00,3.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',17437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224288,5.00,7.00,1.00,2.00,8.00,7.50,3.00,8.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224300,4.00,5.00,1.00,3.00,6.00,8.25,1.00,3.00,1.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18557,255,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224326,6.00,6.00,2.00,5.00,7.00,10.13,3.00,6.00,4.00,5,NULL,NULL,'VALE DE SAN IZIDRO','LONDRINA','PR',6237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6224334,8.00,5.00,2.00,5.00,7.00,9.75,0.00,3.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',7195,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6224342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6224350,7.00,5.00,3.00,5.00,6.00,6.75,3.00,6.00,4.00,420,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',7942,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6224385,6.00,5.00,2.00,3.00,5.00,NULL,0.00,3.00,5.00,103,NULL,NULL,'NORTE','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6224393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM PETRÓPOLIS','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6224407,5.00,6.00,6.00,6.00,7.00,7.88,4.00,5.00,7.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224415,0.00,3.00,2.00,4.00,6.00,NULL,2.00,4.00,2.00,110,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6224423,8.00,6.00,3.00,6.00,9.00,9.00,2.00,4.00,6.00,103,NULL,NULL,'SÃO SEBASTIÃO','CNSO LAFAIETE','MG',3364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224431,6.00,6.00,2.00,5.00,5.00,10.13,2.00,4.00,6.00,207,NULL,203,'CENTRO','PALMEIRA MISSÕES','RS',7524,336,NULL,571,NULL,NULL,NULL,2,4),(25,6224440,3.00,3.00,2.00,3.00,6.00,7.50,0.00,4.00,1.00,3,NULL,NULL,'TAPAJOS','INDAIAL','SC',20363,81,NULL,NULL,NULL,NULL,NULL,2,2),(25,6224466,2.00,6.00,4.00,6.00,8.00,8.25,0.00,8.00,1.00,420,NULL,NULL,'ARIRIU','PALHOÇA','SC',10577,80,NULL,NULL,NULL,NULL,NULL,2,1),(25,6224474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'JARDIM AMÉRICA','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6224482,7.00,5.00,5.00,6.00,7.00,11.25,2.00,5.00,6.00,103,NULL,NULL,'SUMARÉ','RIO SUL','SC',3462,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6224490,7.00,7.00,5.00,5.00,8.00,8.25,2.00,6.00,4.00,420,NULL,NULL,'SUMARÉ','RIO SUL','SC',3705,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6224512,5.00,4.00,1.00,4.00,7.00,9.38,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',10964,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6224520,3.00,6.00,5.00,7.00,8.00,8.25,2.00,4.00,5.00,999,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6224539,4.00,6.00,3.00,6.00,6.00,10.88,1.00,3.00,4.00,501,NULL,NULL,'CENTRO','CAPINZAL','SC',8761,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6224547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SAMBAQUI','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6224563,6.00,6.00,1.00,6.00,9.00,10.50,0.00,5.00,4.00,103,NULL,NULL,'CENTRO','VIDEIRA','SC',7453,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6224571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'JOAQUINA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6224580,5.00,6.00,4.00,6.00,7.00,10.50,1.00,6.00,5.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',5475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224598,2.00,3.00,0.00,1.00,4.00,NULL,0.00,1.00,1.00,453,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6224601,2.00,2.00,2.00,2.00,4.00,8.25,2.00,1.00,0.00,215,NULL,207,'BOA VISTA','JOINVILLE','SC',21405,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6224610,3.00,4.00,2.00,3.00,4.00,7.13,2.00,3.00,4.00,201,NULL,202,'LINHA PEDRA DO OURO','CRUZEIRO IGUAÇU','PR',16403,1385,NULL,516,NULL,NULL,NULL,2,4),(25,6224636,5.00,5.00,4.00,4.00,8.00,9.00,1.00,6.00,8.00,103,NULL,NULL,'PARQUE VERDE','CASCAVEL','PR',5572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224644,4.00,2.00,2.00,6.00,6.00,9.00,2.00,5.00,4.00,103,NULL,NULL,'INTERIOR','IRACEMINHA','SC',11516,3791,NULL,NULL,NULL,NULL,NULL,2,4),(25,6224652,5.00,3.00,3.00,2.00,7.00,9.38,2.00,3.00,6.00,104,NULL,NULL,'JARDIM TRANQUILIDADE','GUARULHOS','SP',9516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224687,3.00,6.00,3.00,5.00,6.00,7.88,2.00,5.00,7.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224695,6.00,7.00,6.00,6.00,9.00,9.00,4.00,8.00,9.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224709,2.00,2.00,0.00,3.00,7.00,6.75,2.00,3.00,2.00,101,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',19812,152,NULL,NULL,NULL,NULL,NULL,2,1),(25,6224717,4.00,5.00,1.00,6.00,6.00,7.50,0.00,6.00,0.00,999,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224725,5.00,4.00,2.00,6.00,5.00,9.75,1.00,4.00,3.00,303,NULL,NULL,'COND ROYAL FOREST','LONDRINA','PR',11470,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6224733,4.00,6.00,4.00,6.00,6.00,8.63,3.00,5.00,7.00,203,NULL,201,'CENTRO','CAMPINA LAGOA','PR',6154,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6224750,2.00,6.00,3.00,2.00,7.00,8.25,2.00,6.00,3.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',9936,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6224768,2.00,3.00,0.00,1.00,4.00,4.50,4.00,2.00,5.00,601,NULL,233,'VISTA ALEGRE','CURITIBA','PR',20626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224776,3.00,2.00,3.00,5.00,5.00,9.75,2.00,3.00,3.00,104,NULL,NULL,'CENTRO','VACARIA','RS',14778,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6224784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6224792,1.00,3.00,3.00,2.00,4.00,8.25,3.00,2.00,2.00,308,NULL,NULL,'BELA VISTA','S JOSÉ','SC',20966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6224806,7.00,5.00,3.00,5.00,7.00,10.13,1.00,7.00,3.00,301,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',6046,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6224814,2.00,5.00,6.00,5.00,5.00,7.88,1.00,2.00,3.00,501,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',15920,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6224822,3.00,7.00,0.00,5.00,8.00,9.38,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','JABORÁ','SC',7513,3073,NULL,NULL,NULL,NULL,NULL,4,7),(25,6224830,3.00,3.00,0.00,2.00,5.00,NULL,1.00,3.00,1.00,427,NULL,424,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6224865,7.00,5.00,3.00,4.00,5.00,5.63,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',10541,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6224873,3.00,4.00,2.00,5.00,7.00,8.25,3.00,4.00,3.00,234,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',12871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6224881,9.00,7.00,4.00,6.00,8.00,9.38,3.00,7.00,8.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',2193,1349,NULL,NULL,NULL,NULL,NULL,2,1),(25,6224890,1.00,7.00,4.00,5.00,5.00,6.00,2.00,5.00,3.00,337,NULL,NULL,'RIVIEIRA','MATINHOS','PR',13404,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(25,6224903,5.00,5.00,2.00,3.00,5.00,7.50,3.00,7.00,0.00,423,NULL,425,'CAPOEIRAS','FLORIANÓPOLIS','SC',14283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6224911,4.00,6.00,2.00,2.00,7.00,10.50,2.00,5.00,4.00,201,NULL,207,'CENTRO','PIÊN','PR',9660,774,NULL,480,NULL,NULL,NULL,2,8),(25,6224938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6224946,3.00,3.00,6.00,3.00,6.00,8.63,2.00,2.00,6.00,304,NULL,NULL,'COSTA DA MIRAGUAIA','STO ANTÔNIO PATRULHA','RS',10633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6224954,3.00,4.00,5.00,5.00,5.00,7.88,1.00,5.00,2.00,601,NULL,212,'CENTRO','BRUSQUE','SC',14709,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6224962,2.00,3.00,0.00,2.00,4.00,7.88,0.00,1.00,1.00,654,NULL,NULL,'POLICIA RODOVIARIA','ARARANGUÁ','SC',21599,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6224970,7.00,5.00,3.00,6.00,8.00,12.75,1.00,5.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',3633,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6224989,5.00,6.00,0.00,3.00,6.00,NULL,1.00,0.00,1.00,103,NULL,NULL,'SANTA CÂNDIDA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6224997,2.00,2.00,0.00,5.00,7.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6225004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD CINCO DE DEZEMBRO','SERTÃOZINHO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6225012,6.00,7.00,4.00,4.00,6.00,9.38,1.00,5.00,9.00,103,NULL,NULL,'JARDIM ALVORADA','CPO MOURÃO','PR',4956,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6225020,7.00,6.00,3.00,3.00,9.00,8.25,3.00,6.00,6.00,203,NULL,202,'VILA NOVA','IMBITUBA','SC',5136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6225039,3.00,4.00,0.00,2.00,4.00,NULL,2.00,4.00,3.00,316,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6225047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6225063,1.00,4.00,3.00,1.00,7.00,6.00,0.00,5.00,3.00,428,NULL,421,'CENTRO','S JOSÉ','SC',20123,49,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225071,6.00,8.00,1.00,7.00,8.00,9.00,3.00,6.00,7.00,340,NULL,NULL,'CENTRO','ORLEANS','SC',3688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225080,5.00,4.00,3.00,5.00,6.00,10.50,2.00,3.00,3.00,207,NULL,208,'FORQUILHAS','S JOSÉ','SC',11633,612,NULL,202,NULL,NULL,NULL,2,1),(25,6225098,2.00,3.00,3.00,1.00,3.00,5.63,1.00,2.00,1.00,551,NULL,NULL,'CENTRO','VARGEM BONITA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6225101,0.00,2.00,1.00,0.00,4.00,NULL,0.00,4.00,1.00,203,NULL,201,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225110,3.00,3.00,2.00,2.00,4.00,6.75,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',17993,4522,NULL,NULL,NULL,NULL,NULL,4,4),(25,6225128,6.00,5.00,4.00,2.00,8.00,7.50,2.00,6.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6225136,8.00,4.00,3.00,3.00,7.00,7.13,1.00,3.00,7.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',10347,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6225152,6.00,7.00,2.00,4.00,9.00,7.13,1.00,7.00,5.00,5,NULL,NULL,'CENTRO','CURITIBA','PR',6982,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6225187,3.00,3.00,1.00,3.00,6.00,5.25,3.00,2.00,1.00,551,NULL,NULL,'CENTRO','IPIRA','SC',20654,62,NULL,NULL,NULL,NULL,NULL,4,7),(25,6225195,5.00,5.00,3.00,4.00,6.00,10.88,3.00,4.00,3.00,404,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',9677,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6225209,4.00,5.00,1.00,2.00,6.00,6.00,1.00,4.00,5.00,601,NULL,201,'CENTRO','DIONÍSIO CERQUEIRA','SC',14903,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6225233,0.00,2.00,1.00,3.00,2.00,NULL,0.00,1.00,0.00,203,NULL,201,'CENTRO','STO ANTÔNIO PLATINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6225250,1.00,4.00,1.00,4.00,7.00,7.13,3.00,2.00,0.00,201,NULL,207,'CENTRO','EREBANGO','RS',18301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225268,0.00,7.00,1.00,4.00,7.00,7.88,1.00,4.00,4.00,326,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',16169,42,NULL,NULL,NULL,NULL,NULL,2,1),(25,6225276,8.00,8.00,6.00,6.00,8.00,12.75,5.00,5.00,9.00,103,NULL,NULL,'ALTO DA RUA XV','CURITIBA','PR',457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6225292,2.00,5.00,0.00,5.00,6.00,9.38,3.00,3.00,4.00,333,NULL,NULL,'CENTRO','PINHEIRO PRETO','SC',16555,117,NULL,NULL,NULL,NULL,NULL,4,7),(25,6225314,2.00,1.00,3.00,2.00,2.00,NULL,3.00,1.00,3.00,551,NULL,NULL,'COLATTO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6225330,1.00,5.00,2.00,5.00,7.00,9.38,1.00,7.00,2.00,208,NULL,233,'BOM VIVER','BIGUAÇU','SC',14251,291,NULL,378,NULL,NULL,NULL,2,1),(25,6225349,4.00,5.00,2.00,5.00,7.00,6.38,3.00,3.00,3.00,212,NULL,201,'PACHECOS','PALHOÇA','SC',12962,381,NULL,1100,NULL,NULL,NULL,2,1),(25,6225357,1.00,4.00,0.00,3.00,5.00,6.75,0.00,2.00,1.00,103,NULL,NULL,'CENTRO','SALTO LONTRA','PR',21445,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6225365,7.00,7.00,4.00,4.00,8.00,9.00,4.00,3.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225373,6.00,6.00,4.00,7.00,7.00,8.25,1.00,2.00,6.00,201,NULL,212,'SÃO VITO','AMERICANA','SP',5628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225381,1.00,3.00,3.00,2.00,8.00,5.25,1.00,4.00,2.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',20187,244,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225411,4.00,4.00,1.00,3.00,5.00,6.00,2.00,4.00,3.00,655,NULL,652,'CENTRO','BAL ARROIO SILVA','SC',18840,116,NULL,78,NULL,NULL,NULL,2,15),(25,6225420,2.00,4.00,1.00,4.00,8.00,7.13,4.00,6.00,1.00,108,NULL,NULL,'GARUVA NOVA','SOMBRIO','SC',12993,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6225438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6225446,2.00,2.00,2.00,1.00,2.00,NULL,2.00,4.00,2.00,503,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225454,7.00,6.00,2.00,7.00,7.00,7.88,1.00,5.00,7.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225470,1.00,3.00,2.00,2.00,5.00,9.00,0.00,2.00,2.00,201,NULL,207,'FAZENDA DE LOURDES','ÁGUAS MORNAS','SC',18694,1537,NULL,1004,NULL,NULL,NULL,4,1),(25,6225489,9.00,6.00,3.00,5.00,9.00,7.88,2.00,7.00,8.00,5,NULL,NULL,'MERCES','CURITIBA','PR',2410,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6225497,1.00,4.00,0.00,3.00,5.00,3.00,3.00,0.00,1.00,655,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6225519,6.00,5.00,3.00,6.00,10.00,7.50,1.00,3.00,4.00,103,NULL,NULL,'CONSOLAÇÃO','S PAULO','SP',7567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225527,2.00,1.00,1.00,2.00,2.00,NULL,3.00,0.00,3.00,653,NULL,655,'BOTA FOGO','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6225543,4.00,3.00,3.00,5.00,9.00,8.25,3.00,7.00,4.00,450,NULL,NULL,'DIC DOIS','CAMPINAS','SP',7974,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6225551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'SANTA TERESA','S JOSÉ R PARDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6225560,4.00,3.00,2.00,5.00,7.00,9.38,2.00,3.00,2.00,336,NULL,NULL,'CENTRO','ANTÔNIO PRADO','RS',13340,97,NULL,NULL,NULL,NULL,NULL,4,9),(25,6225578,5.00,7.00,2.00,5.00,6.00,11.25,1.00,5.00,4.00,453,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225616,3.00,4.00,0.00,2.00,4.00,NULL,2.00,0.00,1.00,308,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6225624,4.00,1.00,3.00,3.00,5.00,8.63,1.00,4.00,2.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6225632,5.00,6.00,2.00,4.00,5.00,9.00,2.00,5.00,5.00,999,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225640,6.00,5.00,4.00,6.00,9.00,8.25,2.00,6.00,7.00,5,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',3553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225659,7.00,7.00,5.00,5.00,8.00,9.38,6.00,7.00,7.00,203,NULL,202,'CARVOEIRA','FLORIANÓPOLIS','SC',1379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225667,1.00,3.00,1.00,5.00,6.00,6.00,0.00,2.00,1.00,207,NULL,201,'MICHEL','CRICIÚMA','SC',21149,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6225675,3.00,6.00,3.00,1.00,8.00,10.88,0.00,3.00,2.00,302,NULL,NULL,'SERRARIA','S JOSÉ','SC',11658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225691,2.00,7.00,2.00,5.00,5.00,10.50,2.00,4.00,3.00,329,NULL,NULL,'FRANCISCO RAUHL','LONTRAS','SC',14074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225705,6.00,5.00,1.00,7.00,4.00,6.75,1.00,3.00,3.00,103,NULL,NULL,'JARDIM TUCANOS','LONDRINA','PR',15195,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6225721,4.00,4.00,3.00,3.00,7.00,8.63,1.00,5.00,5.00,653,NULL,652,'SÃO SIMÃO','CRICIÚMA','SC',12700,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6225730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6225748,3.00,3.00,1.00,4.00,4.00,8.25,2.00,0.00,3.00,302,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',18857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6225764,4.00,2.00,0.00,2.00,4.00,NULL,2.00,0.00,1.00,308,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6225772,7.00,6.00,2.00,5.00,8.00,7.88,1.00,8.00,3.00,110,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',8667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225780,8.00,8.00,2.00,7.00,11.00,9.75,1.00,8.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',1288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225799,4.00,3.00,3.00,4.00,3.00,10.13,3.00,2.00,4.00,601,NULL,235,'RIO VERMELHO ESTAÇÃO','S BENTO SUL','SC',13752,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6225802,6.00,6.00,0.00,6.00,8.00,7.50,2.00,5.00,4.00,999,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6225845,3.00,5.00,0.00,5.00,7.00,6.75,1.00,3.00,2.00,2,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',15661,39,NULL,NULL,NULL,NULL,NULL,2,1),(25,6225853,2.00,4.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6225861,4.00,4.00,2.00,5.00,6.00,6.38,1.00,2.00,2.00,101,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',17348,104,NULL,NULL,NULL,NULL,NULL,2,1),(25,6225888,3.00,5.00,0.00,7.00,6.00,8.63,2.00,2.00,2.00,999,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6225896,5.00,4.00,6.00,5.00,5.00,7.88,3.00,2.00,4.00,216,NULL,601,'SÃO JOÃO','ITAJAÍ','SC',12024,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6225900,3.00,2.00,4.00,3.00,6.00,NULL,3.00,0.00,0.00,202,NULL,203,'INTERIOR','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6225918,2.00,0.00,1.00,2.00,6.00,7.88,0.00,0.00,3.00,319,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225934,3.00,3.00,2.00,4.00,7.00,10.50,0.00,1.00,2.00,601,NULL,233,'CENTRO','RENASCENÇA','PR',15800,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6225942,8.00,7.00,2.00,6.00,9.00,7.50,0.00,5.00,5.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',4611,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6225950,4.00,6.00,2.00,7.00,9.00,9.38,2.00,6.00,4.00,301,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',7717,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6225969,1.00,7.00,0.00,3.00,6.00,8.25,1.00,3.00,2.00,103,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',16166,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6225977,4.00,5.00,0.00,3.00,8.00,8.63,1.00,4.00,3.00,303,NULL,NULL,'VILA CASTELO','S PAULO','SP',13064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225985,6.00,7.00,5.00,6.00,8.00,8.25,2.00,7.00,6.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6225993,5.00,6.00,3.00,3.00,7.00,7.88,4.00,5.00,2.00,238,NULL,215,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',11501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226000,5.00,3.00,2.00,3.00,4.00,7.13,2.00,6.00,5.00,336,NULL,NULL,'VILA ISABEL','CURITIBA','PR',15366,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6226019,3.00,3.00,1.00,3.00,2.00,NULL,2.00,2.00,1.00,336,NULL,NULL,'ITAIGARA','SALVADOR','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226043,2.00,0.00,3.00,3.00,3.00,6.75,2.00,1.00,2.00,234,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',21610,82,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226051,8.00,6.00,5.00,3.00,9.00,11.63,1.00,8.00,7.00,103,NULL,NULL,'TATUAPÉ','S PAULO','SP',3082,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6226060,7.00,5.00,4.00,7.00,8.00,9.00,3.00,4.00,7.00,103,NULL,NULL,'ROYAL GOLF RESIDENCE','LONDRINA','PR',3905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226078,4.00,5.00,3.00,5.00,6.00,11.63,2.00,1.00,5.00,234,NULL,NULL,'SAO LOURENCO','CURITIBA','PR',10471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226086,7.00,7.00,0.00,6.00,9.00,9.00,3.00,6.00,2.00,110,NULL,NULL,'CENTRO','ITUPORANGA','SC',6586,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6226094,5.00,4.00,2.00,5.00,6.00,7.50,1.00,3.00,2.00,212,NULL,601,'MEIA PRAIA','ITAPEMA','SC',12063,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6226108,2.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6226116,6.00,6.00,4.00,6.00,9.00,9.38,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',4369,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6226124,2.00,4.00,3.00,3.00,5.00,7.50,1.00,1.00,1.00,420,NULL,NULL,'BARREIROS','S JOSÉ','SC',18884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226159,4.00,3.00,3.00,6.00,5.00,9.38,1.00,4.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6226175,8.00,5.00,4.00,6.00,7.00,10.13,3.00,3.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3438,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6226191,2.00,1.00,0.00,5.00,4.00,NULL,3.00,3.00,1.00,201,NULL,203,'VILA BARBOSA','TERRA RICA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6226205,3.00,3.00,0.00,2.00,7.00,NULL,2.00,3.00,0.00,303,NULL,NULL,'AGRONOMIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226213,6.00,7.00,2.00,7.00,9.00,9.75,2.00,6.00,4.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6444,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226230,4.00,5.00,2.00,2.00,5.00,6.75,3.00,4.00,5.00,301,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',14377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226256,5.00,6.00,4.00,5.00,7.00,9.75,3.00,8.00,5.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',5436,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,207,'CAIÇARAS','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6226280,4.00,6.00,2.00,3.00,7.00,8.25,0.00,5.00,6.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9615,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226299,2.00,2.00,1.00,2.00,7.00,6.38,2.00,4.00,0.00,9,NULL,NULL,'CONDOMINIO IATE CLUB','AMERICANA','SP',18786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226302,6.00,9.00,5.00,5.00,8.00,8.25,5.00,5.00,3.00,303,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',3524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226310,5.00,7.00,3.00,6.00,6.00,7.13,1.00,5.00,6.00,203,NULL,216,'CENTRO','CANOINHAS','SC',8795,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6226337,2.00,4.00,0.00,2.00,4.00,NULL,3.00,3.00,0.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226345,3.00,4.00,2.00,5.00,8.00,9.00,1.00,4.00,4.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226361,5.00,6.00,1.00,7.00,9.00,10.88,2.00,4.00,7.00,103,NULL,NULL,'JARDIM GLORIA','BENTO GONÇALVES','RS',5030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226370,5.00,6.00,3.00,6.00,5.00,8.63,3.00,5.00,3.00,208,NULL,238,'BARREIROS','S JOSÉ','SC',9830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226388,4.00,8.00,3.00,5.00,7.00,8.25,3.00,3.00,3.00,601,NULL,202,'BOA VISTA','JOINVILLE','SC',11840,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6226396,4.00,3.00,1.00,2.00,3.00,7.13,1.00,3.00,2.00,223,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',21333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226400,5.00,8.00,6.00,5.00,9.00,10.50,2.00,5.00,3.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6250,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226418,3.00,6.00,2.00,4.00,8.00,7.13,1.00,3.00,3.00,202,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',13338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226426,4.00,6.00,0.00,6.00,8.00,8.63,1.00,3.00,4.00,428,NULL,423,'JARDIM SÃO MIGUEL','BIGUAÇU','SC',12108,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226442,3.00,5.00,2.00,5.00,7.00,10.13,3.00,2.00,0.00,425,NULL,427,'CAMPECHE','FLORIANÓPOLIS','SC',16542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226450,8.00,6.00,1.00,7.00,9.00,7.50,2.00,5.00,7.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',4179,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226469,5.00,3.00,3.00,5.00,8.00,9.38,3.00,2.00,3.00,331,NULL,NULL,'SACO DS LIMÕES','FLORIANÓPOLIS','SC',11951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226477,0.00,1.00,4.00,0.00,3.00,5.25,1.00,4.00,1.00,444,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226485,6.00,4.00,1.00,6.00,7.00,8.63,0.00,5.00,1.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11942,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226493,6.00,2.00,3.00,3.00,7.00,9.00,1.00,5.00,5.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',10047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226507,5.00,2.00,3.00,5.00,5.00,8.63,2.00,5.00,3.00,101,NULL,NULL,'N S DO ROSÁRIO','S JOSÉ','SC',15159,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226515,4.00,4.00,0.00,4.00,4.00,NULL,1.00,1.00,1.00,102,NULL,NULL,'ANO BOM','CORUPÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6226523,6.00,6.00,1.00,6.00,7.00,8.25,2.00,5.00,1.00,654,NULL,NULL,'VILA NOVA','IMBITUBA','SC',10437,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6226531,9.00,8.00,7.00,7.00,10.00,6.38,6.00,8.00,7.00,103,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226540,4.00,5.00,3.00,5.00,6.00,6.00,2.00,5.00,4.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',12723,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6226558,1.00,4.00,1.00,3.00,7.00,7.50,1.00,0.00,2.00,999,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6226574,4.00,6.00,2.00,6.00,9.00,9.75,3.00,6.00,5.00,110,NULL,NULL,'BARREIROS','S JOSÉ','SC',5291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226590,2.00,3.00,1.00,6.00,5.00,NULL,2.00,3.00,0.00,201,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226604,4.00,4.00,2.00,6.00,9.00,8.25,1.00,3.00,5.00,238,NULL,655,'SCHIRNER','STO ÂNGELO','RS',8563,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6226612,3.00,4.00,0.00,3.00,6.00,6.00,2.00,5.00,2.00,340,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',17132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ALTO DE PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6226639,2.00,4.00,0.00,4.00,3.00,8.25,1.00,1.00,1.00,208,NULL,238,'TAPERA','FLORIANÓPOLIS','SC',19670,514,NULL,469,NULL,NULL,NULL,4,1),(25,6226647,7.00,6.00,3.00,5.00,9.00,6.75,3.00,7.00,7.00,212,NULL,213,'BARREIROS','S JOSÉ','SC',3784,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226655,4.00,7.00,3.00,5.00,10.00,9.38,2.00,7.00,6.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226663,4.00,6.00,3.00,6.00,8.00,10.13,4.00,5.00,3.00,108,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7645,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6226671,1.00,3.00,0.00,3.00,4.00,7.88,1.00,5.00,1.00,302,NULL,NULL,'CENTRO HISTÓRICO','S JOSÉ','SC',18511,156,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226680,1.00,3.00,1.00,4.00,6.00,4.50,2.00,0.00,2.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',20711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226698,4.00,3.00,2.00,3.00,6.00,7.50,2.00,7.00,2.00,317,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',16956,110,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226701,5.00,2.00,2.00,3.00,2.00,NULL,0.00,3.00,3.00,225,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226710,6.00,6.00,4.00,5.00,7.00,9.38,3.00,5.00,3.00,104,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',7459,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6226728,7.00,8.00,7.00,6.00,9.00,10.13,3.00,6.00,6.00,203,NULL,201,'PIONEIROS','BAL CAMBORIÚ','SC',1111,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6226744,6.00,4.00,3.00,4.00,5.00,8.25,3.00,4.00,4.00,201,NULL,207,'SÃO FRANCISCO DE ASS','STO AMARO IMPERATRIZ','SC',10498,865,NULL,531,NULL,NULL,NULL,4,1),(25,6226760,6.00,5.00,2.00,6.00,8.00,7.88,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','LEBON RÉGIS','SC',6652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226779,4.00,6.00,3.00,7.00,7.00,9.38,1.00,2.00,5.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226809,5.00,5.00,5.00,6.00,6.00,7.88,1.00,2.00,6.00,216,NULL,203,'AGUA VERDE','CURITIBA','PR',7478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226817,2.00,3.00,1.00,3.00,5.00,7.50,3.00,2.00,2.00,220,NULL,655,'JARDIM','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6226825,5.00,3.00,0.00,3.00,6.00,6.75,2.00,0.00,2.00,201,NULL,207,'RIO PEQUENO','GR PARÁ','SC',18222,1510,NULL,984,NULL,NULL,NULL,2,10),(25,6226841,2.00,5.00,0.00,4.00,7.00,9.38,1.00,4.00,3.00,220,NULL,214,'BOSQUE DOS EUCALÍTPO','S JOSÉ CAMPOS','SP',11826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226850,4.00,5.00,2.00,4.00,6.00,7.13,1.00,2.00,2.00,308,NULL,NULL,'CENTRO','PAPANDUVA','SC',18702,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6226868,8.00,6.00,4.00,8.00,9.00,10.50,0.00,7.00,8.00,103,NULL,NULL,'MOEMA','S PAULO','SP',1438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226884,8.00,6.00,7.00,7.00,10.00,11.25,4.00,8.00,9.00,103,NULL,NULL,'NOVA PETROPOLIS','LAGES','SC',108,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6226892,7.00,7.00,5.00,5.00,9.00,11.25,4.00,7.00,8.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',1299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6226906,5.00,5.00,2.00,6.00,9.00,8.25,2.00,6.00,3.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6226914,3.00,3.00,2.00,5.00,8.00,10.13,0.00,5.00,2.00,999,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226922,8.00,7.00,7.00,7.00,8.00,7.88,3.00,7.00,8.00,103,NULL,NULL,'BROOKLIN','S PAULO','SP',860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226930,3.00,3.00,3.00,4.00,6.00,8.63,3.00,1.00,1.00,108,NULL,NULL,'SANTA BARBARA','CRICIÚMA','SC',18874,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6226949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ORLEANS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6226957,6.00,6.00,6.00,7.00,9.00,9.00,5.00,5.00,8.00,201,NULL,203,'FAZENDA DO MAX','S JOSÉ','SC',1710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226965,3.00,2.00,2.00,1.00,8.00,6.38,2.00,4.00,3.00,450,NULL,NULL,'POTECAS','S JOSÉ','SC',18928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6226973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6226981,3.00,5.00,3.00,4.00,6.00,9.75,2.00,4.00,1.00,324,NULL,NULL,'FIGUEROA','CAÇADOR','SC',11098,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6227007,9.00,7.00,4.00,6.00,8.00,9.75,6.00,8.00,9.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',616,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6227015,4.00,4.00,4.00,6.00,6.00,8.63,2.00,3.00,4.00,303,NULL,NULL,'OLARIA','CAMAQUÃ','RS',9761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6227023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'ATUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6227031,3.00,5.00,2.00,1.00,5.00,8.63,2.00,3.00,1.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6227058,3.00,5.00,2.00,4.00,7.00,9.38,1.00,6.00,4.00,215,NULL,652,'TRINDADE','FLORIANÓPOLIS','SC',13004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6227066,5.00,4.00,3.00,3.00,8.00,9.00,3.00,6.00,0.00,327,NULL,NULL,'COSTA DO MACACU','GAROPABA','SC',11146,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6227074,7.00,6.00,4.00,5.00,6.00,10.13,0.00,6.00,7.00,207,NULL,212,'BAIRRO DER','CAÇADOR','SC',5261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6227082,4.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,1.00,501,NULL,NULL,'INTERIOR','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6227090,3.00,6.00,2.00,4.00,6.00,8.25,0.00,5.00,3.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',11273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6227104,3.00,7.00,3.00,4.00,6.00,7.50,2.00,3.00,2.00,302,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',13583,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6227112,3.00,6.00,1.00,7.00,8.00,7.88,1.00,7.00,3.00,652,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',12164,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6227120,3.00,2.00,1.00,2.00,4.00,NULL,0.00,4.00,5.00,318,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6227155,8.00,8.00,5.00,7.00,10.00,10.13,6.00,7.00,9.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',174,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6227163,4.00,7.00,2.00,4.00,7.00,7.50,2.00,3.00,0.00,234,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',15405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6227180,4.00,5.00,5.00,3.00,8.00,9.75,2.00,4.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6227198,6.00,6.00,3.00,4.00,8.00,9.38,4.00,7.00,5.00,316,NULL,NULL,'CENTRO','ARARANGUÁ','SC',5076,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6227201,5.00,7.00,5.00,6.00,10.00,12.00,3.00,6.00,7.00,303,NULL,NULL,'CENTRO','OURO','SC',2752,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6227210,0.00,1.00,0.00,0.00,0.00,NULL,0.00,2.00,2.00,999,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6227236,2.00,1.00,3.00,5.00,9.00,6.38,0.00,2.00,1.00,102,NULL,NULL,'AVENIDA RIO BRANCO','PALMITOS','SC',18046,230,NULL,NULL,NULL,NULL,NULL,2,4),(25,6227252,1.00,2.00,1.00,2.00,2.00,NULL,0.00,1.00,0.00,310,NULL,NULL,'BARRA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6227260,3.00,4.00,2.00,3.00,5.00,6.75,0.00,1.00,1.00,601,NULL,203,'GLORIA','JOINVILLE','SC',21019,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6227279,3.00,4.00,0.00,0.00,5.00,NULL,2.00,3.00,0.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6227287,7.00,6.00,4.00,4.00,8.00,7.88,1.00,7.00,6.00,103,NULL,NULL,'JUVEVE','CURITIBA','PR',5737,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6227295,7.00,7.00,1.00,5.00,9.00,7.88,3.00,4.00,7.00,202,NULL,220,'CENTRO','CRICIÚMA','SC',6728,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6227317,4.00,2.00,1.00,3.00,8.00,9.75,2.00,1.00,2.00,103,NULL,NULL,'JD SÃO SEBASTIÃO','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6227333,4.00,4.00,2.00,5.00,7.00,7.50,2.00,3.00,1.00,420,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',15117,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6227341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,655,'NOVA ROMA','MRO GRANDE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6227350,4.00,4.00,0.00,3.00,5.00,5.25,1.00,2.00,3.00,208,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',20794,568,NULL,NULL,NULL,NULL,NULL,4,1),(25,6227368,4.00,4.00,5.00,7.00,7.00,6.38,2.00,7.00,5.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',8331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6227376,6.00,5.00,5.00,6.00,9.00,8.63,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4231,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6227384,3.00,3.00,1.00,2.00,4.00,4.50,1.00,0.00,2.00,655,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',21710,184,NULL,124,NULL,NULL,NULL,2,15),(25,6227392,6.00,4.00,1.00,6.00,8.00,11.25,3.00,4.00,5.00,319,NULL,NULL,'DAMHA II','S JOSÉ R PRETO','SP',7435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6227406,2.00,5.00,0.00,4.00,5.00,6.00,1.00,2.00,3.00,453,NULL,NULL,'CENTRO','PATO BRANCO','PR',18718,128,NULL,NULL,NULL,NULL,NULL,4,4),(25,6227422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SANTA LÚCIA','PALMITOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6227430,2.00,4.00,2.00,3.00,8.00,7.88,1.00,3.00,1.00,205,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',19493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6227449,3.00,7.00,2.00,5.00,5.00,6.75,3.00,4.00,1.00,424,NULL,425,'SACO GRANDE','FLORIANÓPOLIS','SC',11420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6227457,7.00,7.00,4.00,6.00,8.00,11.25,1.00,5.00,7.00,103,NULL,NULL,'LIMA AZEVEDO','LONDRINA','PR',2579,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6227465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTINA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6227473,2.00,4.00,1.00,2.00,5.00,NULL,1.00,2.00,0.00,999,NULL,NULL,'MOURA','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,2),(25,6227490,4.00,4.00,2.00,5.00,7.00,8.25,1.00,3.00,0.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',14323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6227503,5.00,5.00,1.00,4.00,6.00,8.63,2.00,4.00,5.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',12521,3934,NULL,NULL,NULL,NULL,NULL,2,1),(25,6227520,5.00,4.00,1.00,5.00,8.00,NULL,0.00,2.00,0.00,104,NULL,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6227538,3.00,4.00,1.00,3.00,6.00,8.25,1.00,0.00,1.00,415,NULL,NULL,'PENHA','LAGES','SC',18241,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6227546,4.00,4.00,1.00,5.00,5.00,8.25,4.00,4.00,5.00,216,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',12973,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6227554,4.00,3.00,2.00,5.00,8.00,8.63,1.00,5.00,4.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6227562,6.00,7.00,4.00,6.00,8.00,10.88,1.00,7.00,5.00,103,NULL,NULL,'GASPARINHO','GASPAR','SC',4018,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6227589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6227597,2.00,3.00,0.00,1.00,3.00,9.75,2.00,3.00,2.00,654,NULL,NULL,'CENTRO','VIDEIRA','SC',19498,58,NULL,NULL,NULL,NULL,NULL,4,7),(25,6227600,8.00,5.00,8.00,7.00,8.00,7.50,6.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6227619,8.00,7.00,5.00,6.00,10.00,12.00,2.00,5.00,8.00,103,NULL,NULL,'JARDIM HIGIENÓPOLIS','LONDRINA','PR',1114,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6227627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CECÍLIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6227635,4.00,5.00,3.00,6.00,5.00,8.25,0.00,2.00,2.00,316,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',12575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6227643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6227651,2.00,3.00,2.00,2.00,4.00,7.13,1.00,1.00,0.00,999,NULL,NULL,'QUINTINO','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6227660,6.00,6.00,3.00,5.00,7.00,8.63,4.00,5.00,5.00,452,NULL,NULL,'CENTRO','JOINVILLE','SC',6433,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6227678,5.00,4.00,4.00,3.00,6.00,6.38,2.00,3.00,4.00,207,NULL,201,'VERA CRUZ','CRICIÚMA','SC',11509,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6227686,4.00,6.00,3.00,7.00,6.00,9.38,1.00,7.00,4.00,220,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',7135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6227708,3.00,3.00,1.00,5.00,5.00,7.88,2.00,3.00,1.00,104,NULL,NULL,'SÃO RAIMUNDO','TUBARÃO','SC',19365,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6227716,2.00,6.00,1.00,3.00,5.00,5.25,1.00,2.00,2.00,201,NULL,203,'JARDIM VANIA','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6227740,4.00,3.00,1.00,6.00,6.00,7.50,0.00,3.00,2.00,420,NULL,NULL,'CENTRO','TUBARÃO','SC',15099,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6227767,3.00,3.00,3.00,3.00,5.00,8.25,0.00,1.00,1.00,110,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6227775,3.00,4.00,0.00,3.00,7.00,NULL,1.00,0.00,4.00,211,NULL,207,'FÁTIMA','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6227783,5.00,5.00,6.00,7.00,6.00,7.88,2.00,4.00,5.00,203,NULL,214,'PANTANAL','FLORIANÓPOLIS','SC',5832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6227805,6.00,7.00,4.00,5.00,9.00,10.13,4.00,8.00,5.00,303,NULL,NULL,'MARTIM DE SA','CARAGUATATUBA','SP',2774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6227813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6227821,7.00,8.00,3.00,5.00,9.00,7.88,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2796,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6227830,7.00,4.00,4.00,2.00,7.00,9.00,1.00,3.00,4.00,216,NULL,215,'CAPÃO DA IMBUAIA','CURITIBA','PR',9954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6227848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,215,'MARIA CÉU','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6227856,6.00,5.00,1.00,1.00,7.00,8.63,2.00,4.00,2.00,103,NULL,NULL,'CAPÃO DE IMBUIA','CURITIBA','PR',16468,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6227864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'NUCLEO ENGORDADOR','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6227872,1.00,3.00,1.00,6.00,7.00,NULL,1.00,2.00,0.00,601,NULL,655,'RAMOS','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6227880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'INTERIOR','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6227899,6.00,5.00,3.00,2.00,8.00,8.63,2.00,2.00,5.00,201,NULL,601,'MEIA PRAIA','ITAPEMA','SC',9564,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6227902,3.00,4.00,1.00,3.00,3.00,7.50,2.00,1.00,2.00,216,NULL,211,'VILA MOEMA','TUBARÃO','SC',20884,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6227929,8.00,0.00,4.00,8.00,9.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(25,6227937,3.00,2.00,2.00,2.00,6.00,7.50,4.00,3.00,1.00,319,NULL,NULL,'CENTRO','CURITIBANOS','SC',18058,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6227945,4.00,6.00,3.00,6.00,8.00,8.25,0.00,0.00,4.00,208,NULL,238,'ARVOREDO','CONCÓRDIA','SC',11344,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6227961,4.00,3.00,0.00,4.00,9.00,9.00,0.00,5.00,5.00,104,NULL,NULL,'CENTRO','SEVERIANO ALMEIDA','RS',13994,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6227970,1.00,5.00,4.00,7.00,4.00,9.00,1.00,1.00,2.00,601,NULL,212,'JARDIM PANORAMA','VINHEDO','SP',16898,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6227988,7.00,5.00,5.00,5.00,8.00,7.88,3.00,6.00,8.00,201,NULL,216,'JD SANTA MARIA','TOLEDO','PR',2942,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6227996,4.00,6.00,3.00,6.00,7.00,10.50,2.00,4.00,3.00,207,NULL,233,'CAMPECHE','FLORIANÓPOLIS','SC',8162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228003,3.00,7.00,2.00,5.00,7.00,9.75,2.00,5.00,4.00,202,NULL,235,'CAPOEIRAS','FLORIANÓPOLIS','SC',9630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BELMONTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6228020,8.00,6.00,5.00,6.00,7.00,NULL,0.00,3.00,3.00,301,NULL,NULL,'TERRAS DO BARÃO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228046,7.00,7.00,0.00,4.00,7.00,6.75,1.00,7.00,7.00,104,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',7129,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6228054,3.00,5.00,2.00,2.00,4.00,9.00,0.00,3.00,3.00,103,NULL,NULL,'PRAÇA','TIJUCAS','SC',19298,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6228070,2.00,5.00,2.00,1.00,6.00,10.13,1.00,4.00,0.00,101,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228119,5.00,5.00,3.00,5.00,8.00,8.25,3.00,1.00,6.00,103,NULL,NULL,'VILA OPERARIA','MARINGÁ','PR',8005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6228135,4.00,7.00,6.00,7.00,6.00,10.50,2.00,5.00,6.00,220,NULL,203,'CENTRO','HERVAL D OESTE','SC',4786,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6228143,9.00,6.00,2.00,7.00,9.00,7.88,2.00,8.00,8.00,103,NULL,NULL,'SÃO JOÃO','CURITIBA','PR',1704,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6228151,5.00,4.00,0.00,3.00,6.00,NULL,2.00,1.00,2.00,303,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6228178,3.00,6.00,0.00,2.00,8.00,NULL,0.00,3.00,0.00,336,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228194,1.00,5.00,3.00,2.00,6.00,9.00,3.00,5.00,3.00,238,NULL,208,'COSTEIRA','FLORIANÓPOLIS','SC',15309,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6228208,1.00,3.00,1.00,3.00,5.00,4.88,2.00,1.00,1.00,653,NULL,216,'PRIMEIRO DE MAIO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6228216,6.00,7.00,3.00,6.00,9.00,9.75,3.00,4.00,8.00,203,NULL,214,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228224,4.00,6.00,0.00,3.00,6.00,NULL,2.00,4.00,1.00,444,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6228232,1.00,1.00,1.00,0.00,1.00,NULL,1.00,0.00,0.00,335,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228240,6.00,5.00,5.00,3.00,7.00,NULL,0.00,5.00,8.00,329,NULL,NULL,'JD ALVORADA','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228259,5.00,7.00,3.00,6.00,7.00,10.50,4.00,4.00,7.00,214,NULL,213,'JUVEVÊ','CURITIBA','PR',4556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ICARAY','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6228275,3.00,4.00,1.00,4.00,4.00,9.38,1.00,4.00,5.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',15977,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6228283,2.00,4.00,0.00,6.00,5.00,7.88,1.00,4.00,3.00,225,NULL,NULL,'KOBRASOL','S JOSÉ','SC',18069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228305,2.00,3.00,1.00,1.00,6.00,NULL,0.00,4.00,3.00,999,NULL,NULL,'EUCLIDES MIRANDA','SUMARÉ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6228356,2.00,4.00,2.00,2.00,3.00,8.63,1.00,1.00,2.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6228364,6.00,4.00,2.00,5.00,9.00,9.00,3.00,4.00,4.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',8790,NULL,NULL,NULL,NULL,NULL,NULL,3,8),(25,6228372,6.00,5.00,4.00,6.00,8.00,8.25,4.00,6.00,5.00,9,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',4511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228380,9.00,7.00,4.00,7.00,10.00,9.75,2.00,9.00,8.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228399,2.00,4.00,0.00,3.00,6.00,7.50,1.00,3.00,1.00,601,NULL,213,'FORQUILHAS','S JOSÉ','SC',21045,600,NULL,299,NULL,NULL,NULL,4,1),(25,6228410,5.00,4.00,1.00,1.00,7.00,9.00,3.00,6.00,3.00,215,NULL,216,'QUARTA LINHA','CRICIÚMA','SC',13101,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6228429,7.00,4.00,2.00,5.00,8.00,11.63,1.00,4.00,6.00,303,NULL,NULL,'CENTRO','PATO BRANCO','PR',6047,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6228437,7.00,4.00,2.00,6.00,6.00,9.00,3.00,4.00,3.00,108,NULL,NULL,'VILA YOLANDA','FOZ IGUAÇU','PR',9025,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6228445,6.00,5.00,3.00,5.00,8.00,10.13,0.00,4.00,4.00,333,NULL,NULL,'JARDIM CLAUDIA','S PAULO','SP',7044,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6228488,4.00,3.00,2.00,6.00,6.00,8.63,0.00,1.00,0.00,216,NULL,NULL,'NITERÓI','CANOAS','RS',17553,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6228496,2.00,4.00,0.00,5.00,4.00,5.25,3.00,1.00,2.00,308,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6228500,2.00,5.00,1.00,4.00,4.00,7.50,2.00,3.00,1.00,316,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',20103,242,NULL,NULL,NULL,NULL,NULL,2,1),(25,6228518,4.00,4.00,1.00,5.00,4.00,6.38,1.00,2.00,2.00,9,NULL,NULL,'ESPIGÃO DO BUGRE','MAFRA','SC',17083,99,NULL,NULL,NULL,NULL,NULL,2,17),(25,6228534,2.00,3.00,0.00,5.00,6.00,9.75,2.00,4.00,2.00,201,NULL,202,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6228542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6228550,9.00,5.00,7.00,7.00,10.00,12.00,3.00,8.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',618,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6228569,6.00,7.00,3.00,6.00,6.00,9.38,4.00,8.00,4.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',4623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228577,5.00,6.00,2.00,4.00,9.00,9.38,2.00,6.00,6.00,5,NULL,NULL,'CENTRO','LARANJEIRAS SUL','PR',6183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6228585,6.00,7.00,3.00,4.00,9.00,10.88,2.00,4.00,3.00,102,NULL,NULL,'CENTRO','LAGES','SC',5607,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6228593,4.00,5.00,2.00,4.00,3.00,7.88,3.00,4.00,3.00,501,NULL,NULL,'INTERIOR','MAFRA','SC',14569,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6228607,2.00,3.00,1.00,2.00,4.00,7.50,1.00,2.00,3.00,655,NULL,216,'JARDIM SILVANA','IÇARA','SC',21223,162,NULL,632,NULL,NULL,NULL,2,15),(25,6228615,4.00,5.00,3.00,6.00,6.00,8.63,2.00,3.00,0.00,340,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',12717,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6228623,5.00,6.00,1.00,5.00,7.00,8.25,2.00,5.00,2.00,415,NULL,NULL,'PILARZINHO','CURITIBA','PR',11327,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6228631,2.00,2.00,3.00,3.00,5.00,8.63,0.00,3.00,0.00,319,NULL,NULL,'JD PRESIDENTE DUTRA','GUARULHOS','SP',18107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228640,6.00,8.00,5.00,7.00,9.00,9.75,5.00,7.00,8.00,103,NULL,NULL,'SANTA BARBARA','CRICIÚMA','SC',1117,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6228658,5.00,5.00,1.00,5.00,9.00,7.88,1.00,3.00,1.00,211,NULL,213,'ROÇADO','S JOSÉ','SC',15682,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6228666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,214,'CENTRO','S SEBASTIÃO AMOREIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6228704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6228712,2.00,4.00,1.00,3.00,6.00,7.13,1.00,3.00,2.00,104,NULL,NULL,'PROGRESSO','S LOURENÇO OESTE','SC',17859,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6228720,2.00,5.00,3.00,2.00,5.00,7.88,1.00,1.00,2.00,404,NULL,NULL,'BARREIROS','S JOSÉ','SC',20679,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6228747,4.00,7.00,3.00,6.00,7.00,8.63,1.00,3.00,1.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228755,3.00,3.00,2.00,3.00,4.00,5.63,2.00,2.00,2.00,999,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6228771,2.00,5.00,3.00,7.00,3.00,9.38,2.00,1.00,3.00,103,NULL,NULL,'JOÃO COSTA','JOINVILLE','SC',15921,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6228780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'CAMPO CUMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6228798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'CORRIDAS','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6228801,2.00,2.00,4.00,3.00,3.00,7.13,4.00,0.00,2.00,303,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',21098,865,NULL,NULL,NULL,NULL,NULL,2,1),(25,6228828,7.00,7.00,3.00,6.00,6.00,9.00,2.00,8.00,5.00,201,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',6505,467,NULL,NULL,NULL,NULL,NULL,5,1),(25,6228844,2.00,4.00,3.00,5.00,7.00,8.25,0.00,4.00,2.00,216,NULL,211,'CENTRO','BRAÇO TROMBUDO','SC',12499,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6228852,8.00,7.00,4.00,6.00,8.00,10.13,3.00,8.00,7.00,5,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',2144,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6228860,3.00,3.00,1.00,4.00,6.00,6.00,3.00,5.00,3.00,234,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228879,5.00,6.00,6.00,5.00,5.00,8.63,2.00,7.00,6.00,2,NULL,NULL,'CANTA GALO','RIO SUL','SC',6114,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6228909,1.00,3.00,2.00,3.00,5.00,NULL,0.00,0.00,1.00,201,NULL,207,'VILA GERASUL','ITÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6228941,9.00,8.00,7.00,6.00,10.00,12.00,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',98,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228950,7.00,5.00,2.00,3.00,9.00,7.13,2.00,1.00,4.00,103,NULL,NULL,'ACARAI','S FRANCISCO SUL','SC',10941,3707,NULL,NULL,NULL,NULL,NULL,4,8),(25,6228968,3.00,2.00,1.00,2.00,3.00,NULL,0.00,1.00,4.00,999,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228976,1.00,4.00,3.00,2.00,6.00,NULL,3.00,4.00,0.00,203,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6228984,2.00,2.00,1.00,3.00,4.00,7.88,2.00,1.00,2.00,211,NULL,216,'CENTRO','AGROLÂNDIA','SC',19819,518,NULL,611,NULL,NULL,NULL,4,9),(25,6228992,4.00,6.00,6.00,3.00,8.00,10.88,2.00,5.00,3.00,301,NULL,NULL,'IPIRANGA','S JOSÉ','SC',7955,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6229000,3.00,1.00,3.00,4.00,4.00,7.88,3.00,3.00,3.00,238,NULL,208,'SAGUAÇU','JOINVILLE','SC',16936,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6229018,2.00,2.00,0.00,6.00,4.00,7.50,1.00,1.00,0.00,319,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6229026,7.00,7.00,4.00,4.00,9.00,10.50,0.00,7.00,4.00,304,NULL,NULL,'SANTA RITA','APARECIDA','SP',3826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6229050,4.00,6.00,2.00,0.00,5.00,8.25,3.00,7.00,1.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',13358,4045,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA GUARANI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6229077,4.00,4.00,0.00,3.00,7.00,10.13,3.00,4.00,1.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6229085,5.00,5.00,0.00,5.00,6.00,NULL,2.00,2.00,0.00,303,NULL,NULL,'CENTRO','CPO VERDE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6229093,9.00,8.00,6.00,7.00,9.00,10.88,3.00,6.00,7.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',624,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6229107,1.00,5.00,1.00,4.00,2.00,NULL,0.00,2.00,1.00,207,NULL,NULL,'SERRA ALTA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6229115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','SALETE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6229131,5.00,6.00,2.00,5.00,8.00,12.38,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','ROMELÂNDIA','SC',8201,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6229140,3.00,6.00,2.00,5.00,3.00,11.25,6.00,2.00,6.00,2,NULL,NULL,'PRAÇA DA BANDEIRA','RIO JANEIRO','RJ',9054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229182,4.00,5.00,1.00,4.00,3.00,11.25,1.00,0.00,3.00,336,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',16368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229212,4.00,7.00,0.00,6.00,8.00,NULL,3.00,4.00,5.00,103,NULL,NULL,'CRISTO REI','ESTRELA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6229220,4.00,5.00,3.00,3.00,7.00,7.88,1.00,4.00,5.00,310,NULL,NULL,'CENTRO','LAGES','SC',14210,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6229239,8.00,7.00,6.00,7.00,10.00,9.00,6.00,6.00,9.00,103,NULL,NULL,'CENTRO','ROLÂNDIA','PR',709,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6229247,9.00,8.00,7.00,7.00,10.00,11.25,4.00,9.00,9.00,103,NULL,NULL,'UMBARÁ','CURITIBA','PR',32,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6229255,2.00,4.00,1.00,4.00,7.00,5.63,2.00,4.00,1.00,319,NULL,NULL,'CENTRO','PAPANDUVA','SC',18901,393,NULL,NULL,NULL,NULL,NULL,2,17),(25,6229280,4.00,6.00,1.00,5.00,5.00,NULL,1.00,3.00,0.00,238,NULL,208,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6229301,6.00,4.00,0.00,1.00,5.00,6.38,3.00,5.00,4.00,336,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',13315,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6229328,2.00,3.00,1.00,2.00,5.00,6.75,0.00,2.00,1.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',20466,438,NULL,NULL,NULL,NULL,NULL,2,1),(25,6229336,4.00,6.00,1.00,6.00,5.00,8.25,1.00,4.00,2.00,326,NULL,NULL,'VILA SANTO ANTONIO','IMBITUBA','SC',11936,22,NULL,NULL,NULL,NULL,NULL,2,1),(25,6229344,8.00,7.00,3.00,4.00,9.00,11.25,1.00,7.00,6.00,103,NULL,NULL,'JARDIM DAS NAÇOES','TAUBATÉ','SP',1997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229352,3.00,5.00,2.00,1.00,7.00,8.25,2.00,4.00,2.00,601,NULL,208,'CENTRO','PIRATUBA','SC',17836,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6229360,5.00,6.00,2.00,5.00,7.00,10.13,0.00,6.00,3.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229379,3.00,7.00,0.00,6.00,6.00,6.00,0.00,3.00,3.00,301,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',17711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6229387,4.00,3.00,2.00,1.00,3.00,9.00,4.00,2.00,0.00,238,NULL,655,'CENTRO','TREZE TÍLIAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6229395,3.00,4.00,3.00,2.00,3.00,7.50,2.00,0.00,2.00,415,NULL,NULL,'FÁTIMA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6229409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'PROSPERA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6229417,2.00,2.00,4.00,3.00,1.00,NULL,2.00,3.00,4.00,207,NULL,238,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6229433,3.00,6.00,2.00,3.00,7.00,NULL,0.00,4.00,2.00,216,NULL,211,'SANTA TEREZINHA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6229441,4.00,4.00,2.00,7.00,7.00,7.88,3.00,5.00,6.00,235,NULL,213,'SALGADO FILHO','ARACAJU','SE',9531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229450,6.00,6.00,6.00,7.00,7.00,7.13,4.00,5.00,6.00,336,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229468,3.00,4.00,2.00,1.00,4.00,6.38,1.00,3.00,2.00,303,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',19108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE NOVA','LUCAS R VERDE','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6229492,2.00,6.00,3.00,1.00,3.00,8.63,2.00,2.00,2.00,101,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',20409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229506,1.00,3.00,1.00,6.00,5.00,7.50,0.00,4.00,2.00,101,NULL,NULL,'CENTRO','BOM JD SERRA','SC',17912,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6229514,4.00,5.00,0.00,4.00,4.00,9.75,3.00,2.00,1.00,103,NULL,NULL,'SERRA ALTA','S BENTO SUL','SC',18716,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6229530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6229557,5.00,5.00,3.00,7.00,8.00,9.00,1.00,4.00,2.00,450,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,203,'ESTRELA DALVA','CARAGUATATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6229581,8.00,6.00,3.00,5.00,10.00,7.88,5.00,7.00,7.00,207,NULL,201,'BOM ABRIGO','FLORIANÓPOLIS','SC',2010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6229611,7.00,7.00,2.00,5.00,8.00,9.00,5.00,4.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'ERECHIN','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6229638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'INDUSTRIAL','SEARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6229646,4.00,8.00,2.00,6.00,4.00,6.38,2.00,5.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229654,4.00,3.00,3.00,4.00,8.00,8.25,4.00,7.00,3.00,654,NULL,NULL,'RAICHASKI','IÇARA','SC',11072,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6229662,6.00,4.00,0.00,4.00,6.00,NULL,3.00,4.00,2.00,452,NULL,NULL,'SANTA TERESA','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6229670,8.00,6.00,5.00,6.00,7.00,9.75,3.00,9.00,7.00,103,NULL,NULL,'CENTRO','IPORÃ','PR',1272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'LINHA SIQUEIRA','GUATAMBÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6229700,3.00,5.00,1.00,4.00,7.00,7.88,1.00,3.00,1.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',19214,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6229719,8.00,7.00,5.00,6.00,9.00,10.13,4.00,7.00,6.00,415,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',1643,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6229727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6229735,3.00,5.00,1.00,3.00,5.00,11.25,2.00,3.00,2.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',17408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229743,6.00,5.00,5.00,5.00,6.00,7.88,4.00,6.00,8.00,103,NULL,NULL,'JARDIM BRASIL','MARINGÁ','PR',4315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229760,1.00,5.00,1.00,3.00,4.00,6.38,2.00,2.00,2.00,653,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',20817,231,NULL,NULL,NULL,NULL,NULL,2,10),(25,6229778,3.00,2.00,2.00,3.00,3.00,6.75,1.00,2.00,2.00,110,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6229786,5.00,7.00,3.00,6.00,7.00,9.00,1.00,5.00,5.00,319,NULL,NULL,'ELDORADO','PALHOÇA','SC',8279,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6229794,6.00,7.00,4.00,4.00,6.00,7.13,3.00,7.00,1.00,501,NULL,NULL,'FRANCISCO REMEIKS','TABOÃO SERRA','SP',8614,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6229808,3.00,3.00,1.00,2.00,3.00,0.00,0.00,0.00,1.00,317,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229816,7.00,7.00,2.00,5.00,8.00,9.38,3.00,6.00,8.00,103,NULL,NULL,'CENTRO','VIDEIRA','SC',3530,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6229824,6.00,8.00,3.00,5.00,6.00,9.38,0.00,4.00,4.00,318,NULL,NULL,'CENTRO','SANTANA LIVRAMENTO','RS',8070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229832,5.00,4.00,0.00,4.00,5.00,7.88,2.00,2.00,1.00,308,NULL,NULL,'BONSUCESSO','GRAVATAÍ','RS',16761,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6229859,3.00,3.00,3.00,2.00,6.00,9.00,0.00,1.00,5.00,999,NULL,NULL,'HUMAITÁ DE CIMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6229867,1.00,1.00,2.00,3.00,4.00,4.88,2.00,5.00,2.00,317,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6229913,3.00,5.00,3.00,6.00,4.00,8.25,1.00,5.00,5.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','AMPÉRE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6229930,5.00,5.00,4.00,6.00,8.00,8.25,3.00,5.00,5.00,203,NULL,653,'PANTANAL','FLORIANÓPOLIS','SC',4795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229948,4.00,5.00,2.00,7.00,9.00,NULL,0.00,4.00,3.00,202,NULL,213,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229956,3.00,3.00,0.00,3.00,3.00,NULL,2.00,2.00,1.00,333,NULL,NULL,'SÃO PEDRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6229964,4.00,4.00,2.00,2.00,6.00,7.13,3.00,2.00,1.00,404,NULL,NULL,'KOBRASOL','S JOSÉ','SC',18552,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6229972,5.00,4.00,3.00,4.00,7.00,9.38,3.00,6.00,5.00,999,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6229980,3.00,4.00,0.00,1.00,6.00,7.13,2.00,0.00,3.00,101,NULL,NULL,'BOA VISTA','BIGUAÇU','SC',18529,129,NULL,NULL,NULL,NULL,NULL,2,1),(25,6229999,4.00,6.00,3.00,5.00,7.00,5.25,3.00,2.00,4.00,238,NULL,655,'CAPOEIRAS','FLORIANÓPOLIS','SC',14158,259,NULL,NULL,NULL,NULL,NULL,2,1),(25,6230008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6230024,6.00,7.00,4.00,6.00,9.00,7.13,1.00,5.00,4.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4757,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6230032,5.00,5.00,0.00,4.00,6.00,10.13,1.00,4.00,3.00,9,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12316,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6230040,7.00,8.00,4.00,6.00,8.00,10.13,3.00,8.00,6.00,303,NULL,NULL,'CENTRO','CAPÃO BONITO','SP',1592,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6230059,8.00,7.00,5.00,4.00,7.00,10.88,0.00,9.00,6.00,304,NULL,NULL,'CENTRO','LARANJAL PAULISTA','SP',2920,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6230067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SÃO PAULO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6230075,4.00,6.00,2.00,3.00,7.00,7.88,2.00,4.00,3.00,208,NULL,NULL,'IPIRANGA','S JOSÉ','SC',12207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,202,'AHHU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6230091,2.00,4.00,2.00,4.00,4.00,6.38,1.00,3.00,1.00,304,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',19114,137,NULL,NULL,NULL,NULL,NULL,2,1),(25,6230105,1.00,2.00,0.00,4.00,1.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6230130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'SÃO JOSÉ OPERARIO','STA IZABEL OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6230148,2.00,1.00,0.00,1.00,5.00,6.38,0.00,0.00,3.00,5,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',20842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230164,4.00,5.00,3.00,4.00,7.00,8.63,1.00,3.00,1.00,108,NULL,NULL,'CENTRO','JOAÇABA','SC',16797,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6230180,5.00,5.00,4.00,5.00,6.00,9.00,1.00,1.00,1.00,415,NULL,NULL,'CANTA GALO','RIO SUL','SC',13281,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6230199,2.00,5.00,2.00,5.00,8.00,8.25,0.00,4.00,3.00,331,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',12880,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6230202,3.00,5.00,2.00,5.00,6.00,8.63,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',12333,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6230210,4.00,5.00,6.00,7.00,7.00,9.00,6.00,6.00,5.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230229,6.00,8.00,3.00,5.00,10.00,7.88,1.00,8.00,8.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',2281,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6230237,2.00,3.00,2.00,2.00,4.00,7.50,0.00,2.00,1.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21356,175,NULL,NULL,NULL,NULL,NULL,2,1),(25,6230245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'COHAB VII','SERTÃOZINHO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6230253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STO ANTÔNIO PLANALTO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6230261,3.00,6.00,0.00,3.00,6.00,6.75,0.00,3.00,2.00,999,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230288,2.00,2.00,0.00,3.00,4.00,6.75,2.00,2.00,2.00,551,NULL,NULL,'SANTO ANTONIO','CURITIBANOS','SC',21314,75,NULL,NULL,NULL,NULL,NULL,2,16),(25,6230296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CANOAS','BOM RETIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6230318,7.00,5.00,3.00,5.00,8.00,8.63,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','IVAÍ','PR',3818,2021,NULL,NULL,NULL,NULL,NULL,2,8),(25,6230326,4.00,5.00,1.00,5.00,8.00,10.13,1.00,5.00,3.00,207,NULL,238,'ALTO','ITU','SP',10061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230334,8.00,7.00,6.00,4.00,9.00,10.88,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',1006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230342,4.00,4.00,4.00,5.00,7.00,11.25,3.00,1.00,5.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9821,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6230350,7.00,5.00,4.00,7.00,9.00,9.75,2.00,5.00,8.00,108,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',3056,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6230369,2.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6230377,5.00,4.00,1.00,5.00,8.00,7.88,1.00,3.00,5.00,103,NULL,NULL,'TAPAJÓS','MUNDO NOVO','MS',11495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230385,5.00,5.00,0.00,4.00,7.00,NULL,2.00,5.00,1.00,340,NULL,NULL,'SAGRADO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230407,4.00,6.00,3.00,5.00,7.00,9.38,2.00,3.00,3.00,302,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',14165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6230415,8.00,6.00,2.00,5.00,11.00,6.38,1.00,8.00,6.00,103,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',3080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230423,8.00,7.00,8.00,5.00,11.00,8.25,9.00,6.00,9.00,303,NULL,NULL,'LA SALLE','PATO BRANCO','PR',137,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6230431,1.00,3.00,0.00,1.00,2.00,NULL,2.00,0.00,0.00,109,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230440,5.00,6.00,4.00,3.00,7.00,6.75,1.00,4.00,6.00,201,NULL,212,'AGUA VERDE','CURITIBA','PR',9192,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6230458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'ALVORADA','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6230474,3.00,6.00,3.00,1.00,8.00,9.38,1.00,2.00,1.00,304,NULL,NULL,'VILA IVETE','MAFRA','SC',14454,101,NULL,NULL,NULL,NULL,NULL,2,1),(25,6230482,4.00,4.00,1.00,3.00,5.00,7.50,4.00,4.00,2.00,201,NULL,212,'JARDIN TARUMÃ','IMBUIA','SC',14795,1260,NULL,432,NULL,NULL,NULL,4,9),(25,6230490,2.00,6.00,3.00,2.00,7.00,8.63,3.00,3.00,4.00,202,NULL,220,'RIO TAVARES','FLORIANÓPOLIS','SC',15064,470,NULL,401,NULL,NULL,NULL,2,1),(25,6230504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6230512,2.00,6.00,4.00,3.00,5.00,7.13,2.00,4.00,5.00,201,NULL,601,'CENTRO','JARAGUÁ SUL','SC',15956,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6230520,6.00,7.00,4.00,6.00,9.00,10.13,3.00,8.00,4.00,203,NULL,220,'CENTRO','ANTÔNIO CARLOS','SC',2000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230539,4.00,4.00,2.00,3.00,10.00,NULL,0.00,4.00,1.00,318,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6230547,4.00,7.00,0.00,5.00,10.00,7.88,1.00,5.00,6.00,103,NULL,NULL,'CRUZEIRO DO SUL','JOAÇABA','SC',9488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230555,1.00,4.00,1.00,2.00,5.00,NULL,1.00,0.00,1.00,601,NULL,NULL,'BOEHMERWALDT','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6230563,3.00,4.00,3.00,4.00,6.00,8.25,1.00,3.00,5.00,207,NULL,201,'SOUZA CRUZ','BRUSQUE','SC',11971,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6230601,2.00,6.00,4.00,4.00,5.00,NULL,2.00,0.00,0.00,108,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6230610,4.00,6.00,2.00,5.00,6.00,10.50,3.00,3.00,2.00,5,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',12591,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6230628,2.00,5.00,1.00,4.00,6.00,10.50,1.00,2.00,0.00,999,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6230644,3.00,5.00,3.00,6.00,7.00,9.75,0.00,5.00,3.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11846,425,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230652,7.00,8.00,2.00,4.00,8.00,7.88,1.00,5.00,3.00,336,NULL,NULL,'ÁGUAS BRANCAS','URUBICI','SC',8355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230660,2.00,3.00,1.00,2.00,5.00,7.50,4.00,5.00,2.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',18213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6230687,8.00,7.00,3.00,7.00,10.00,10.50,2.00,6.00,8.00,103,NULL,NULL,'CENTRO','RONDON','PR',1826,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6230695,6.00,7.00,5.00,6.00,8.00,7.88,2.00,1.00,2.00,103,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',8685,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6230709,4.00,6.00,1.00,4.00,6.00,9.75,3.00,3.00,3.00,201,NULL,653,'PASSO DOS FORTES','CHAPECÓ','SC',11700,985,NULL,NULL,NULL,NULL,NULL,4,4),(25,6230725,3.00,2.00,3.00,4.00,5.00,7.88,0.00,3.00,1.00,5,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6230733,3.00,2.00,0.00,1.00,3.00,8.63,1.00,2.00,1.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',21677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230750,5.00,7.00,6.00,6.00,7.00,8.63,1.00,5.00,3.00,301,NULL,NULL,'AMÉRICA','JOINVILLE','SC',7261,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6230768,4.00,5.00,2.00,3.00,5.00,NULL,3.00,0.00,2.00,319,NULL,NULL,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6230776,5.00,6.00,3.00,5.00,7.00,7.50,3.00,4.00,2.00,654,NULL,NULL,'CENTRO','ARARANGUÁ','SC',12551,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6230784,5.00,6.00,2.00,6.00,5.00,8.25,4.00,5.00,6.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230792,5.00,6.00,2.00,3.00,7.00,7.50,2.00,2.00,3.00,601,NULL,653,'CENTRO','FLORIANÓPOLIS','SC',13387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230806,5.00,6.00,3.00,6.00,8.00,12.00,2.00,2.00,4.00,415,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',8164,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6230814,5.00,7.00,3.00,4.00,9.00,9.75,0.00,3.00,3.00,308,NULL,NULL,'CENTRO','IMBITUBA','SC',8681,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6230822,2.00,7.00,3.00,4.00,9.00,7.13,0.00,8.00,3.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230830,2.00,6.00,3.00,2.00,5.00,8.63,0.00,3.00,2.00,201,NULL,208,'CENTRO','ÁGUAS MORNAS','SC',16673,1401,NULL,396,NULL,NULL,NULL,4,1),(25,6230849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'ENCRUZILHADA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6230857,3.00,4.00,4.00,6.00,8.00,8.25,0.00,6.00,2.00,336,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',10587,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6230865,4.00,7.00,1.00,5.00,6.00,7.50,2.00,4.00,5.00,203,NULL,214,'CATARINA FONTANA','CONCÓRDIA','SC',9673,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6230873,4.00,5.00,4.00,6.00,6.00,7.88,2.00,3.00,2.00,303,NULL,NULL,'BELA VISTA','PTO ALEGRE','RS',11614,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6230890,6.00,6.00,1.00,4.00,6.00,8.25,0.00,6.00,3.00,337,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',10206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230911,1.00,4.00,0.00,2.00,2.00,NULL,2.00,1.00,3.00,999,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6230920,4.00,6.00,2.00,4.00,5.00,8.63,0.00,0.00,2.00,452,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',19372,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6230938,9.00,9.00,5.00,6.00,9.00,8.25,4.00,8.00,9.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230954,4.00,6.00,1.00,6.00,5.00,8.25,1.00,2.00,3.00,103,NULL,NULL,'RECIFE','TUBARÃO','SC',15741,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6230970,3.00,2.00,2.00,4.00,7.00,7.13,1.00,2.00,3.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6230997,2.00,6.00,2.00,6.00,8.00,8.25,1.00,2.00,2.00,201,NULL,601,'NAÇÕES','FRAIBURGO','SC',12188,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6231004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TUNEIRAS OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6231012,2.00,3.00,1.00,2.00,6.00,7.88,2.00,5.00,0.00,301,NULL,NULL,'MORRO DA CRUZ','FLORIANÓPOLIS','SC',20000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231020,2.00,5.00,1.00,3.00,4.00,8.63,0.00,2.00,1.00,223,NULL,NULL,'KOBRASOL','S JOSÉ','SC',21162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231047,4.00,6.00,5.00,3.00,7.00,9.38,2.00,5.00,4.00,202,NULL,220,'MONTE ALEGRE','CAMBORIÚ','SC',7930,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6231055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'PIRABEIRABA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6231098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6231101,2.00,5.00,2.00,5.00,3.00,6.75,2.00,5.00,0.00,201,NULL,207,'BREJARÚ','PALHOÇA','SC',17326,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6231110,4.00,5.00,1.00,4.00,7.00,9.38,2.00,3.00,1.00,101,NULL,NULL,'CENTRO','GAROPABA','SC',16514,90,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231128,2.00,4.00,1.00,3.00,4.00,6.38,3.00,2.00,2.00,201,NULL,212,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6231144,3.00,3.00,1.00,2.00,6.00,6.75,3.00,3.00,3.00,214,NULL,201,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231160,2.00,2.00,1.00,2.00,4.00,NULL,1.00,0.00,0.00,319,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6231179,7.00,6.00,6.00,4.00,7.00,10.50,3.00,7.00,7.00,103,NULL,NULL,'CENTRO','MELEIRO','SC',3092,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6231209,5.00,7.00,1.00,5.00,10.00,10.13,1.00,6.00,5.00,319,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',7127,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6231225,4.00,6.00,2.00,6.00,6.00,10.50,2.00,4.00,4.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',8682,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6231233,7.00,7.00,5.00,4.00,9.00,8.25,2.00,8.00,7.00,202,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',2199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231241,5.00,6.00,2.00,6.00,6.00,9.75,2.00,5.00,3.00,104,NULL,NULL,'CENTRO','BRUSQUE','SC',8571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231250,4.00,3.00,4.00,4.00,6.00,7.88,1.00,0.00,1.00,501,NULL,NULL,'BELA VISTA','PALHOÇA','SC',15399,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6231268,6.00,5.00,0.00,4.00,8.00,4.88,1.00,4.00,3.00,201,NULL,601,'CENTRO','CURITIBANOS','SC',12454,1054,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231284,4.00,3.00,0.00,6.00,5.00,9.38,4.00,3.00,2.00,201,NULL,216,'CENTRO','JOAÇABA','SC',14272,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6231292,6.00,6.00,3.00,7.00,9.00,8.63,2.00,6.00,8.00,207,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',3693,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6231314,4.00,2.00,1.00,0.00,5.00,NULL,2.00,0.00,0.00,109,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6231322,2.00,3.00,3.00,3.00,7.00,7.88,1.00,2.00,2.00,203,NULL,202,'PONTE DO IMARUIM','PALHOÇA','SC',19710,1089,NULL,622,NULL,NULL,NULL,2,1),(25,6231330,7.00,4.00,1.00,4.00,8.00,8.25,1.00,7.00,4.00,102,NULL,NULL,'JARAGUA','TAUBATÉ','SP',9771,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6231349,6.00,7.00,7.00,5.00,9.00,8.25,3.00,7.00,4.00,203,NULL,207,'MAR GROSSO','LAGUNA','SC',4853,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6231357,4.00,7.00,2.00,5.00,5.00,7.50,3.00,6.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6231381,2.00,5.00,4.00,5.00,5.00,6.75,4.00,2.00,6.00,502,NULL,NULL,'FABRICIO','STO AMARO IMPERATRIZ','SC',11803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6231390,8.00,7.00,6.00,7.00,10.00,10.88,3.00,8.00,8.00,331,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',912,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6231403,3.00,6.00,1.00,4.00,7.00,7.50,1.00,4.00,2.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6231411,6.00,5.00,3.00,5.00,6.00,7.13,2.00,6.00,6.00,5,NULL,NULL,'IMIGRANTES','CONCÓRDIA','SC',7033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231420,4.00,4.00,2.00,3.00,5.00,7.50,3.00,2.00,2.00,3,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',16596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6231438,2.00,3.00,4.00,6.00,7.00,8.63,1.00,3.00,3.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231446,5.00,7.00,2.00,5.00,6.00,8.63,1.00,4.00,1.00,420,NULL,NULL,'LOMBA','ORLEANS','SC',12013,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6231454,3.00,5.00,3.00,3.00,6.00,6.38,2.00,5.00,4.00,317,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',14461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6231462,3.00,5.00,1.00,5.00,5.00,6.38,1.00,1.00,1.00,201,NULL,207,'PETRÓPOLIS','CONCÓRDIA','SC',18590,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6231470,8.00,5.00,1.00,4.00,6.00,8.63,0.00,5.00,5.00,102,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231489,3.00,4.00,1.00,4.00,7.00,9.75,2.00,2.00,4.00,233,NULL,201,'OFICINAS','TUBARÃO','SC',15513,401,NULL,1323,NULL,NULL,NULL,4,10),(25,6231497,2.00,5.00,2.00,5.00,4.00,6.38,1.00,6.00,3.00,5,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',14854,522,NULL,NULL,NULL,NULL,NULL,2,1),(25,6231500,6.00,7.00,2.00,6.00,8.00,9.75,2.00,5.00,6.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',6330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231519,3.00,4.00,0.00,5.00,8.00,NULL,2.00,1.00,4.00,104,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6231527,5.00,5.00,2.00,6.00,6.00,7.50,1.00,4.00,2.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',12992,451,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231535,5.00,9.00,3.00,6.00,8.00,10.88,3.00,6.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231543,5.00,5.00,3.00,5.00,0.00,NULL,3.00,4.00,5.00,103,NULL,NULL,'JARDIM ESPLANADA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231586,7.00,5.00,6.00,6.00,9.00,8.25,4.00,7.00,7.00,303,NULL,NULL,'CENTRO','CASCAVEL','PR',2290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231594,3.00,4.00,3.00,1.00,8.00,4.50,1.00,1.00,4.00,5,NULL,NULL,'SAIC','CHAPECÓ','SC',19788,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6231608,2.00,5.00,0.00,6.00,8.00,NULL,1.00,1.00,0.00,328,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231624,6.00,5.00,7.00,7.00,9.00,10.13,2.00,6.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6231640,2.00,3.00,3.00,2.00,6.00,6.75,3.00,1.00,1.00,404,NULL,NULL,'CAMPINAS','S JOSÉ','SC',20701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6231667,2.00,4.00,2.00,2.00,1.00,NULL,3.00,2.00,1.00,103,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6231675,2.00,2.00,1.00,3.00,5.00,7.50,4.00,1.00,0.00,215,NULL,NULL,'CENTRO','STA ISABEL IVAÍ','PR',19627,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6231683,2.00,5.00,3.00,5.00,8.00,NULL,0.00,1.00,1.00,303,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,6),(25,6231705,1.00,4.00,0.00,1.00,4.00,7.50,1.00,1.00,1.00,318,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',21050,111,NULL,NULL,NULL,NULL,NULL,2,1),(25,6231713,5.00,2.00,3.00,2.00,4.00,7.13,1.00,3.00,1.00,103,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',18778,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6231721,1.00,3.00,1.00,1.00,2.00,NULL,1.00,1.00,3.00,5,NULL,NULL,'SÃO JOSE','CAMAQUÃ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6231730,5.00,5.00,7.00,5.00,7.00,9.38,5.00,3.00,6.00,201,NULL,207,'CENTRO','CASCAVEL','PR',3634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231748,5.00,5.00,1.00,4.00,8.00,8.63,2.00,4.00,5.00,109,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13902,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6231756,5.00,7.00,2.00,6.00,8.00,8.25,1.00,3.00,4.00,201,NULL,216,'JARDIM CARANDAI','BIGUAÇU','SC',7537,560,NULL,280,NULL,NULL,NULL,2,1),(25,6231764,3.00,4.00,2.00,5.00,6.00,9.38,1.00,3.00,0.00,238,NULL,215,'CANASVIEIRAS','FLORIANÓPOLIS','SC',16826,373,NULL,268,NULL,NULL,NULL,4,1),(25,6231772,6.00,8.00,4.00,7.00,9.00,9.00,3.00,6.00,3.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231799,7.00,5.00,3.00,7.00,6.00,8.25,5.00,3.00,5.00,203,NULL,601,'BOM JESUS','RIO NEGRO','PR',5870,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6231802,4.00,3.00,1.00,1.00,3.00,6.38,1.00,3.00,0.00,654,NULL,NULL,'SÃO FRANCISCO','SOMBRIO','SC',21608,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6231837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'SÃO PEDRO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6231845,5.00,6.00,6.00,6.00,7.00,8.25,3.00,6.00,5.00,103,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',5564,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6231853,2.00,4.00,3.00,3.00,6.00,9.38,3.00,3.00,1.00,444,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',16532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6231861,5.00,5.00,3.00,4.00,8.00,5.63,2.00,6.00,4.00,319,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',9860,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6231888,7.00,4.00,3.00,6.00,6.00,9.00,3.00,4.00,6.00,317,NULL,NULL,'VILA SAO JOAO','FLORIANÓPOLIS','SC',7674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6231896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6231900,4.00,5.00,0.00,2.00,9.00,7.50,2.00,5.00,4.00,654,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',10562,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6231926,5.00,0.00,0.00,5.00,8.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(25,6231942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6231950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'BARRO PRETO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6231969,8.00,5.00,1.00,6.00,8.00,8.25,1.00,6.00,4.00,211,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',7751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231977,4.00,3.00,3.00,1.00,6.00,9.00,3.00,4.00,1.00,501,NULL,NULL,'JARDIM COLORADO','S JOSÉ CAMPOS','SP',17307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6231985,6.00,4.00,1.00,5.00,6.00,6.75,2.00,5.00,3.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',13377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6231993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'ROYAL PARK','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6232000,7.00,7.00,4.00,2.00,7.00,6.38,2.00,6.00,3.00,5,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',9606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232019,2.00,2.00,3.00,2.00,5.00,9.00,0.00,0.00,4.00,308,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',20860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232027,4.00,4.00,2.00,2.00,7.00,6.00,2.00,3.00,3.00,601,NULL,216,'ITOUPAVAZINHA','BLUMENAU','SC',18731,523,NULL,585,NULL,NULL,NULL,2,2),(25,6232035,6.00,6.00,2.00,5.00,5.00,8.25,4.00,4.00,5.00,103,NULL,NULL,'SANTA QUITÉRIA','CURITIBA','PR',10314,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6232043,5.00,3.00,3.00,5.00,4.00,6.00,0.00,5.00,2.00,109,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',16791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232051,3.00,6.00,5.00,4.00,3.00,6.00,0.00,2.00,1.00,220,NULL,235,'DOM BOSCO','LONDRINA','PR',17610,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6232060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM MARABÁ','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6232078,6.00,6.00,3.00,5.00,7.00,11.25,2.00,8.00,6.00,104,NULL,NULL,'JARDIM SÃO LOURENCO','CPO GRANDE','MS',4840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232086,3.00,7.00,0.00,7.00,5.00,9.38,0.00,3.00,2.00,303,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',15684,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232094,3.00,2.00,3.00,6.00,6.00,9.00,4.00,6.00,3.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SÃO LOURENÇO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6232140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6232167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM NOVA YORK','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6232175,1.00,3.00,0.00,3.00,7.00,NULL,0.00,3.00,0.00,103,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6232183,2.00,1.00,1.00,2.00,6.00,NULL,0.00,4.00,0.00,5,NULL,NULL,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232191,1.00,1.00,1.00,4.00,4.00,7.50,0.00,1.00,2.00,339,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',20912,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM PORTO ALEGRE','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6232213,8.00,7.00,7.00,6.00,8.00,8.63,5.00,8.00,6.00,103,NULL,NULL,'BAIRRO PETRÓPOLIS','PTO ALEGRE','RS',753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232221,9.00,7.00,4.00,7.00,9.00,10.88,4.00,7.00,6.00,104,NULL,NULL,'RUBEM BERTA','PTO ALEGRE','RS',1560,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6232230,8.00,8.00,5.00,3.00,8.00,11.25,7.00,7.00,8.00,103,NULL,NULL,'CERAMARTE','RIO NEGRINHO','SC',909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232256,3.00,5.00,3.00,3.00,8.00,8.25,1.00,4.00,2.00,201,NULL,202,'SÃO JOSÉ','PASSO FUNDO','RS',12543,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6232264,5.00,8.00,2.00,7.00,8.00,9.00,2.00,5.00,5.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232272,6.00,6.00,7.00,3.00,8.00,10.50,3.00,6.00,5.00,215,NULL,235,'ITAJUBA','BARRA VELHA','SC',4741,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232280,4.00,4.00,4.00,4.00,9.00,10.88,2.00,4.00,5.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7695,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232302,5.00,4.00,6.00,6.00,8.00,10.13,3.00,2.00,6.00,340,NULL,NULL,'CENTRO','CURITIBANOS','SC',4716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232310,6.00,6.00,3.00,7.00,9.00,10.88,2.00,8.00,6.00,420,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',3875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6232361,3.00,2.00,3.00,5.00,5.00,6.75,1.00,0.00,1.00,308,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232370,8.00,6.00,4.00,7.00,8.00,8.63,3.00,7.00,8.00,103,NULL,NULL,'CENTRO','CIANORTE','PR',1372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232388,3.00,3.00,2.00,3.00,7.00,NULL,2.00,0.00,0.00,220,NULL,203,'CENTRO','PINHALZINHO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232396,5.00,6.00,3.00,6.00,7.00,7.88,0.00,1.00,2.00,601,NULL,235,'JARDIM PANORAMA','VINHEDO','SP',12268,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6232400,7.00,8.00,3.00,7.00,10.00,10.88,3.00,6.00,8.00,103,NULL,NULL,'VILA JEQUITIBÁS','CAMPINAS','SP',1672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6232426,7.00,5.00,5.00,6.00,8.00,10.50,1.00,6.00,6.00,216,NULL,215,'CENTRO','TURVO','SC',3785,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'GUARANI','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6232442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'DOS ESTADOS','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6232450,4.00,4.00,1.00,5.00,4.00,7.50,2.00,0.00,0.00,420,NULL,NULL,'COLINA VERDE','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232469,2.00,6.00,2.00,4.00,7.00,7.88,3.00,1.00,2.00,316,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',16160,157,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232477,7.00,8.00,5.00,6.00,9.00,11.25,3.00,8.00,6.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232485,3.00,6.00,2.00,3.00,4.00,7.50,2.00,3.00,1.00,415,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',18614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232493,6.00,5.00,1.00,5.00,7.00,10.13,1.00,1.00,4.00,340,NULL,NULL,'VILA CONRADO','S JOÃO B VISTA','SP',14257,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6232507,5.00,3.00,2.00,4.00,7.00,7.88,0.00,4.00,3.00,108,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',16516,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6232523,5.00,5.00,2.00,4.00,6.00,8.63,1.00,2.00,2.00,104,NULL,NULL,'MATINHO','XANXERÊ','SC',13594,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6232531,4.00,4.00,3.00,4.00,7.00,8.63,2.00,2.00,5.00,103,NULL,NULL,'CENTRO','MARCELINO RAMOS','RS',11243,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6232540,5.00,6.00,4.00,5.00,8.00,9.00,3.00,7.00,6.00,235,NULL,213,'ARIRIU','PALHOÇA','SC',4931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232558,4.00,6.00,3.00,3.00,4.00,7.13,2.00,4.00,2.00,331,NULL,NULL,'CEDRO','CAMBORIÚ','SC',15887,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6232566,4.00,4.00,2.00,6.00,7.00,7.13,1.00,2.00,4.00,999,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6232574,4.00,5.00,1.00,3.00,8.00,9.00,3.00,2.00,1.00,216,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',14587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232582,2.00,2.00,2.00,5.00,3.00,6.00,0.00,0.00,1.00,501,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',20955,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6232590,8.00,8.00,5.00,6.00,9.00,11.63,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',1081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232604,2.00,6.00,0.00,3.00,3.00,7.88,2.00,2.00,2.00,9,NULL,NULL,'JARDIM MARIA RITA','S PAULO','SP',20500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232612,2.00,6.00,4.00,3.00,5.00,6.75,2.00,0.00,3.00,652,NULL,NULL,'BARRANCA','ARARANGUÁ','SC',18643,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6232620,8.00,5.00,2.00,6.00,7.00,9.38,3.00,5.00,4.00,203,NULL,207,'TRINDADE','FLORIANÓPOLIS','SC',6722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232639,3.00,5.00,3.00,3.00,7.00,8.25,1.00,4.00,1.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',17729,282,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232647,8.00,7.00,3.00,6.00,9.00,7.88,5.00,9.00,6.00,319,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',2502,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232655,6.00,5.00,4.00,6.00,10.00,8.63,2.00,8.00,6.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',3750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'BOLÍVIA','VALENÇA','BA',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6232671,2.00,7.00,1.00,3.00,5.00,7.50,2.00,4.00,0.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',19398,814,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232680,3.00,4.00,3.00,3.00,2.00,NULL,2.00,3.00,2.00,333,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232710,0.00,2.00,0.00,0.00,0.00,NULL,1.00,1.00,0.00,420,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6232736,3.00,6.00,2.00,2.00,5.00,5.25,0.00,6.00,4.00,203,NULL,601,'BELA VISTA','S PAULO','SP',12890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232744,3.00,6.00,3.00,5.00,7.00,9.38,0.00,2.00,1.00,102,NULL,NULL,'CENTRO','IBIRAMA','SC',16554,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6232752,3.00,3.00,1.00,1.00,5.00,NULL,0.00,1.00,0.00,502,NULL,NULL,'PRAIA DA CAL','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232760,6.00,7.00,4.00,7.00,9.00,10.88,3.00,5.00,3.00,238,NULL,208,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232787,2.00,4.00,2.00,2.00,5.00,7.88,3.00,4.00,1.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',19971,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232795,6.00,4.00,6.00,4.00,8.00,9.38,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7427,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232809,3.00,2.00,3.00,3.00,4.00,NULL,1.00,0.00,2.00,101,NULL,NULL,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232817,4.00,6.00,0.00,3.00,8.00,9.00,0.00,3.00,2.00,450,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13934,96,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232825,6.00,6.00,3.00,5.00,9.00,7.50,2.00,8.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232833,5.00,7.00,3.00,7.00,9.00,9.38,3.00,6.00,2.00,453,NULL,NULL,'GLÓRIA','JOINVILLE','SC',4830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232850,4.00,4.00,2.00,2.00,7.00,4.88,0.00,7.00,3.00,104,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',16023,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6232868,5.00,6.00,2.00,5.00,8.00,9.00,2.00,7.00,6.00,201,NULL,212,'CENTRO','LAJEADO GRANDE','SC',5684,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232876,3.00,6.00,0.00,6.00,7.00,8.63,1.00,3.00,1.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13804,57,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232892,3.00,4.00,1.00,2.00,5.00,NULL,0.00,3.00,1.00,225,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232906,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'NOVO PARAÍSO','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6232914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6232922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CAMPO DE FORA','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6232930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BOQUEIRÃO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6232949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'LOT COLINA IMPERIAL','PETROLINA','PE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6232957,4.00,4.00,2.00,4.00,7.00,9.75,1.00,4.00,5.00,207,NULL,201,'BOA VISTA','CURITIBA','PR',10482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232965,5.00,7.00,3.00,3.00,7.00,7.13,1.00,5.00,1.00,404,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14357,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6232973,8.00,8.00,3.00,6.00,9.00,10.50,0.00,8.00,7.00,103,NULL,NULL,'SANTANA','S PAULO','SP',1504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6232981,5.00,6.00,1.00,3.00,7.00,8.25,2.00,4.00,0.00,207,NULL,201,'SAPIRANGA','MELEIRO','SC',14052,761,NULL,1202,NULL,NULL,NULL,2,15),(25,6232990,8.00,7.00,5.00,3.00,10.00,7.50,2.00,9.00,9.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',1621,1023,NULL,NULL,NULL,NULL,NULL,2,4),(25,6233007,4.00,4.00,2.00,3.00,4.00,4.50,2.00,4.00,2.00,308,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',20063,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6233015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'VILLAGE FLAMBOYANT','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6233031,8.00,7.00,4.00,7.00,9.00,8.63,4.00,8.00,6.00,203,NULL,202,'GUABIROTUBA','CURITIBA','PR',1405,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6233040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVO HORIZONTE','LINHARES','ES',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6233058,1.00,1.00,0.00,2.00,1.00,NULL,2.00,0.00,1.00,308,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6233066,2.00,4.00,0.00,1.00,6.00,NULL,0.00,3.00,2.00,309,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6233074,7.00,7.00,1.00,5.00,7.00,9.38,2.00,5.00,3.00,333,NULL,NULL,'PARQUE IMPERIAL','S PAULO','SP',8609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6233082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6233090,3.00,4.00,3.00,6.00,7.00,9.00,3.00,5.00,5.00,340,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6233104,1.00,5.00,1.00,2.00,7.00,9.00,0.00,3.00,0.00,503,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',18397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6233120,4.00,2.00,2.00,5.00,2.00,NULL,1.00,2.00,3.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6233139,8.00,7.00,3.00,7.00,7.00,9.75,2.00,7.00,6.00,5,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',4486,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6233155,3.00,4.00,1.00,2.00,5.00,6.75,2.00,5.00,2.00,415,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6233163,1.00,3.00,0.00,0.00,6.00,NULL,1.00,0.00,0.00,404,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6233171,8.00,7.00,2.00,5.00,6.00,9.00,1.00,5.00,4.00,101,NULL,NULL,'CENTRO','LAGES','SC',6251,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6233180,0.00,6.00,1.00,5.00,5.00,10.50,0.00,3.00,3.00,427,NULL,429,'ITACORUBI','FLORIANÓPOLIS','SC',17942,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6233198,4.00,3.00,2.00,3.00,8.00,NULL,0.00,2.00,3.00,109,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6233201,7.00,7.00,6.00,4.00,9.00,7.88,5.00,7.00,7.00,208,NULL,238,'COQUEIROS','FLORIANÓPOLIS','SC',2132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6233210,3.00,1.00,1.00,2.00,4.00,6.75,1.00,1.00,2.00,207,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',21528,1173,NULL,1730,NULL,NULL,NULL,4,1),(25,6233228,5.00,4.00,1.00,4.00,7.00,9.75,0.00,2.00,5.00,340,NULL,NULL,'CAMBARA','S ROQUE','SP',12383,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6233236,2.00,6.00,0.00,3.00,7.00,NULL,0.00,2.00,3.00,324,NULL,NULL,'CABEÇUDA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6233252,7.00,5.00,3.00,3.00,8.00,7.88,1.00,6.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',5295,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6233279,3.00,5.00,1.00,2.00,2.00,NULL,3.00,0.00,1.00,104,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6233295,2.00,4.00,1.00,3.00,3.00,5.25,3.00,1.00,1.00,652,NULL,655,'ITOUPAVA','ARARANGUÁ','SC',21560,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6233309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6233317,5.00,7.00,3.00,6.00,10.00,10.13,2.00,7.00,6.00,415,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',2830,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6233325,3.00,6.00,2.00,4.00,6.00,7.88,3.00,3.00,2.00,601,NULL,220,'CENTRO','JOINVILLE','SC',13649,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6233333,5.00,2.00,3.00,1.00,7.00,7.88,1.00,1.00,2.00,103,NULL,NULL,'NOSSA SENHORA DO ROS','S JOSÉ','SC',16527,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6233341,4.00,4.00,0.00,2.00,6.00,NULL,0.00,1.00,0.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6233350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'VILA RITA SOARES','S LOURENÇO SERRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6233368,4.00,7.00,3.00,4.00,9.00,10.88,3.00,6.00,5.00,103,NULL,NULL,'CIDADE ALTA','BUTIÁ','RS',3408,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6233376,2.00,3.00,2.00,4.00,4.00,5.63,1.00,1.00,1.00,202,NULL,235,'SETÃO MARUIM','S JOSÉ','SC',21524,680,NULL,511,NULL,NULL,NULL,2,1),(25,6233384,5.00,6.00,0.00,6.00,7.00,NULL,0.00,1.00,5.00,104,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6233392,5.00,4.00,6.00,5.00,8.00,9.00,3.00,4.00,4.00,103,NULL,NULL,'AHÚ','CURITIBA','PR',7107,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6233406,7.00,6.00,5.00,7.00,10.00,7.88,2.00,5.00,6.00,235,NULL,216,'CENTRO','UBATUBA','SP',2640,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6233414,6.00,5.00,3.00,6.00,8.00,7.50,4.00,1.00,6.00,220,NULL,202,'VILA FORMOSA','APUCARANA','PR',6853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6233422,3.00,5.00,3.00,7.00,7.00,10.50,0.00,4.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6233430,0.00,2.00,1.00,0.00,1.00,NULL,0.00,1.00,0.00,654,NULL,NULL,'CENTRO','MRO GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6233449,9.00,6.00,6.00,4.00,8.00,7.88,5.00,8.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6233457,1.00,2.00,2.00,3.00,7.00,NULL,2.00,0.00,0.00,653,NULL,215,'AEROPORTO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6233473,6.00,6.00,4.00,4.00,7.00,8.63,4.00,6.00,3.00,317,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',8521,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6233481,3.00,5.00,3.00,3.00,4.00,NULL,2.00,0.00,0.00,5,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6233503,3.00,6.00,2.00,4.00,7.00,9.38,2.00,6.00,6.00,303,NULL,NULL,'CENTRO','ITAPEMA','SC',7696,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6233511,1.00,1.00,2.00,2.00,3.00,NULL,2.00,0.00,0.00,654,NULL,NULL,'UNIVERSITARIO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6233520,3.00,3.00,1.00,5.00,3.00,8.63,0.00,1.00,1.00,102,NULL,NULL,'SAYONARA','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6233538,6.00,6.00,4.00,6.00,7.00,8.63,0.00,5.00,2.00,301,NULL,NULL,'LOTE SEIS','CRICIÚMA','SC',10351,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6233546,6.00,6.00,4.00,6.00,5.00,10.13,2.00,7.00,5.00,233,NULL,216,'PARQUE VERDE','CASCAVEL','PR',4296,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6233562,6.00,5.00,7.00,7.00,7.00,10.50,3.00,6.00,7.00,340,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',2270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6233570,7.00,4.00,1.00,7.00,7.00,7.50,2.00,4.00,4.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',7683,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6233589,5.00,6.00,0.00,3.00,6.00,9.38,1.00,5.00,2.00,220,NULL,202,'COPACABANA','LAGES','SC',11024,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6233597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA INDUSTRIAL','S MANUEL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6233600,3.00,5.00,1.00,4.00,6.00,7.13,0.00,3.00,1.00,333,NULL,NULL,'COSTEIRA','PARANAGUÁ','PR',17812,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6233635,7.00,3.00,1.00,5.00,6.00,7.50,3.00,6.00,2.00,103,NULL,NULL,'OLINDA','UBERABA','MG',10111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6233660,4.00,5.00,6.00,6.00,8.00,7.88,1.00,2.00,6.00,203,NULL,214,'VILA NOVA BRASIL','JAÚ','SP',6322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6233686,4.00,3.00,0.00,3.00,6.00,NULL,1.00,0.00,0.00,601,NULL,203,'SÃO MIGUEL','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6233694,2.00,1.00,1.00,2.00,4.00,8.25,2.00,2.00,2.00,207,NULL,216,'PICADAS DO SUL','S JOSÉ','SC',21271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6233708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6233716,8.00,8.00,3.00,7.00,10.00,10.50,5.00,7.00,8.00,303,NULL,NULL,'TAQUARAS','BAL CAMBORIÚ','SC',660,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6233724,2.00,4.00,0.00,3.00,8.00,8.63,0.00,5.00,0.00,108,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',19486,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6233732,6.00,8.00,5.00,5.00,8.00,7.13,2.00,3.00,6.00,201,NULL,202,'CONSOLAÇÃO','S PAULO','SP',5458,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6233740,4.00,6.00,2.00,6.00,6.00,7.13,3.00,3.00,4.00,301,NULL,NULL,'JARDIM BELA VISTA','CPO GRANDE','MS',14682,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6233759,5.00,5.00,2.00,4.00,6.00,7.50,3.00,1.00,0.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',15565,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6233775,4.00,5.00,3.00,2.00,7.00,7.88,0.00,4.00,3.00,103,NULL,NULL,'TAPAJÓS','MUNDO NOVO','MS',15229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6233783,3.00,5.00,1.00,4.00,6.00,7.88,0.00,0.00,0.00,101,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',21014,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6233791,5.00,4.00,2.00,4.00,8.00,9.00,1.00,2.00,3.00,220,NULL,214,'JARDIM ITAPEVA','S PAULO','SP',11712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6233805,4.00,2.00,2.00,4.00,5.00,8.63,1.00,5.00,3.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6233813,8.00,7.00,2.00,6.00,8.00,11.63,4.00,8.00,8.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',1855,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6233821,7.00,5.00,4.00,6.00,8.00,7.88,3.00,8.00,8.00,103,NULL,NULL,'AHUU','CURITIBA','PR',2310,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6233830,8.00,6.00,5.00,7.00,8.00,8.63,3.00,8.00,7.00,202,NULL,235,'SETOR BELA VISTA','GOIÂNIA','GO',1014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6233872,5.00,4.00,2.00,3.00,6.00,6.75,1.00,4.00,3.00,420,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6233880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6233899,2.00,3.00,3.00,2.00,5.00,10.88,1.00,2.00,5.00,453,NULL,NULL,'SALETE','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6233902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6233910,5.00,4.00,2.00,5.00,9.00,7.50,3.00,3.00,5.00,103,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',8416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6233929,3.00,3.00,0.00,1.00,1.00,NULL,1.00,0.00,1.00,102,NULL,NULL,'ARGENTINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6233937,8.00,5.00,0.00,5.00,8.00,10.13,2.00,4.00,6.00,103,NULL,NULL,'VILA NOVA','LONDRINA','PR',6747,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6233945,5.00,5.00,1.00,4.00,9.00,NULL,2.00,0.00,5.00,216,NULL,202,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6233953,3.00,4.00,2.00,2.00,5.00,8.63,0.00,3.00,3.00,653,NULL,201,'STO ANTÔNIO DE PÁDUA','TUBARÃO','SC',18800,193,NULL,1545,NULL,NULL,NULL,2,10),(25,6233961,5.00,4.00,1.00,2.00,5.00,8.25,2.00,4.00,1.00,212,NULL,213,'MONTE VERDE','FLORIANÓPOLIS','SC',14987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6233970,9.00,6.00,5.00,6.00,9.00,12.00,3.00,7.00,7.00,103,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',629,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6233988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6233996,5.00,5.00,2.00,3.00,6.00,6.38,1.00,2.00,3.00,444,NULL,NULL,'CAMPO SAO LOURENÇO','MAFRA','SC',17902,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6234003,4.00,5.00,1.00,3.00,6.00,7.50,5.00,7.00,4.00,213,NULL,601,'CENTRO','PALHOÇA','SC',11887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234011,6.00,6.00,6.00,6.00,7.00,9.00,4.00,7.00,8.00,601,NULL,208,'GUANABARA','JOINVILLE','SC',1860,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6234020,9.00,8.00,6.00,7.00,10.00,11.25,5.00,9.00,7.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',50,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234038,2.00,4.00,1.00,6.00,5.00,5.25,0.00,5.00,2.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234046,1.00,1.00,2.00,4.00,1.00,NULL,1.00,0.00,0.00,102,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6234062,2.00,6.00,2.00,3.00,5.00,8.25,1.00,0.00,2.00,450,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',18763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6234089,5.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6234097,5.00,6.00,7.00,6.00,7.00,6.75,2.00,7.00,3.00,202,NULL,235,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',6115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234100,7.00,5.00,3.00,3.00,6.00,9.00,0.00,1.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',11695,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6234119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6234127,5.00,6.00,2.00,4.00,10.00,11.25,2.00,5.00,4.00,425,NULL,424,'CANASVIEIRAS','FLORIANÓPOLIS','SC',4885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234135,4.00,4.00,2.00,2.00,6.00,8.63,1.00,6.00,2.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6234143,6.00,6.00,2.00,4.00,10.00,9.38,2.00,6.00,5.00,453,NULL,NULL,'KOBRASOL','S JOSÉ','SC',4408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234151,4.00,3.00,1.00,5.00,7.00,7.88,2.00,2.00,1.00,203,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',14132,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6234160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA BRASILIA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6234178,5.00,4.00,4.00,7.00,7.00,8.25,4.00,5.00,5.00,238,NULL,208,'CORREGO GRANDE','FLORIANÓPOLIS','SC',6188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234186,4.00,5.00,3.00,5.00,7.00,NULL,0.00,5.00,3.00,333,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6234194,5.00,5.00,2.00,4.00,7.00,8.25,3.00,6.00,5.00,999,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234208,4.00,8.00,1.00,4.00,6.00,9.38,2.00,3.00,3.00,303,NULL,NULL,'INTERIOR','RONDA ALTA','RS',10798,502,NULL,NULL,NULL,NULL,NULL,2,4),(25,6234216,8.00,6.00,3.00,7.00,8.00,9.00,3.00,6.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1630,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6234224,3.00,4.00,0.00,5.00,5.00,NULL,1.00,4.00,2.00,208,NULL,202,'SÃO PEDRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234240,1.00,5.00,0.00,2.00,1.00,NULL,2.00,3.00,0.00,103,NULL,NULL,'GRAVATÁ','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6234259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',5,8),(25,6234267,3.00,4.00,4.00,5.00,5.00,6.75,0.00,5.00,2.00,104,NULL,NULL,'CENTRO','S BENTO SUL','SC',14802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234275,1.00,3.00,2.00,3.00,7.00,7.88,0.00,2.00,0.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18634,303,NULL,NULL,NULL,NULL,NULL,2,1),(25,6234283,8.00,7.00,4.00,5.00,9.00,9.75,0.00,6.00,5.00,103,NULL,NULL,'SAO JOAO','PTO ALEGRE','RS',3198,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6234291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SAGUACU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6234305,7.00,7.00,3.00,6.00,5.00,8.63,1.00,8.00,4.00,103,NULL,NULL,'SANTA CECÍLIA','S PAULO','SP',5834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234321,3.00,5.00,2.00,3.00,6.00,7.88,0.00,3.00,2.00,104,NULL,NULL,'BELA VISTA','RIO NEGRINHO','SC',16406,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6234330,7.00,8.00,2.00,5.00,9.00,9.75,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','PTE SERRADA','SC',5550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234348,4.00,6.00,4.00,5.00,7.00,9.38,3.00,7.00,4.00,327,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234356,4.00,6.00,5.00,4.00,8.00,8.25,3.00,6.00,4.00,103,NULL,NULL,'VILA ANDRADE','S PAULO','SP',6148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6234364,4.00,4.00,1.00,3.00,5.00,6.38,2.00,4.00,6.00,202,NULL,235,'USINA','ANTÔNIO CARLOS','SC',14952,468,NULL,365,NULL,NULL,NULL,4,1),(25,6234380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,652,'FIGUEIRA','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6234399,8.00,6.00,7.00,6.00,10.00,12.38,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',606,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6234402,7.00,6.00,3.00,6.00,8.00,9.75,2.00,6.00,3.00,102,NULL,NULL,'CENTRO','PTO UNIÃO','SC',7014,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6234410,3.00,3.00,1.00,3.00,4.00,5.63,2.00,2.00,2.00,109,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6234429,1.00,3.00,0.00,4.00,3.00,NULL,2.00,0.00,2.00,425,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'VILA JOSE NAZARIO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6234445,5.00,5.00,1.00,4.00,9.00,12.00,2.00,2.00,2.00,999,NULL,NULL,'CENTRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234461,3.00,4.00,3.00,4.00,5.00,6.38,5.00,4.00,2.00,109,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',17030,92,NULL,NULL,NULL,NULL,NULL,2,1),(25,6234470,1.00,3.00,1.00,3.00,2.00,NULL,2.00,3.00,1.00,328,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6234488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6234496,3.00,5.00,3.00,6.00,5.00,7.88,3.00,6.00,3.00,420,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',9662,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6234500,4.00,4.00,6.00,6.00,6.00,8.25,4.00,5.00,7.00,208,NULL,238,'NOVA BRASÍLIA','JARAGUÁ SUL','SC',4980,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6234534,5.00,5.00,2.00,3.00,2.00,NULL,0.00,2.00,6.00,203,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'VILA NOVA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6234577,3.00,4.00,2.00,3.00,5.00,8.25,0.00,1.00,0.00,333,NULL,NULL,'ZONA NOVA','CAPÃO CANOA','RS',19353,156,NULL,NULL,NULL,NULL,NULL,2,1),(25,6234585,5.00,3.00,2.00,2.00,7.00,NULL,0.00,3.00,3.00,238,NULL,220,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6234631,3.00,5.00,0.00,3.00,7.00,NULL,1.00,6.00,2.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6234666,6.00,6.00,5.00,7.00,9.00,9.75,1.00,7.00,7.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',2639,1561,NULL,NULL,NULL,NULL,NULL,4,4),(25,6234674,2.00,4.00,2.00,2.00,5.00,6.75,3.00,5.00,3.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',18382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234682,5.00,5.00,2.00,5.00,5.00,6.38,1.00,7.00,4.00,333,NULL,NULL,'ZONA RURAL','JUSSARA','PR',10176,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6234704,3.00,4.00,2.00,3.00,8.00,7.88,2.00,3.00,0.00,207,NULL,201,'MONTE VERDE','FLORIANÓPOLIS','SC',18501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234712,6.00,6.00,2.00,5.00,7.00,10.13,4.00,5.00,7.00,999,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6234720,4.00,5.00,2.00,4.00,6.00,10.13,2.00,6.00,4.00,301,NULL,NULL,'FUNDOS','BIGUAÇU','SC',10433,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6234739,7.00,7.00,6.00,6.00,7.00,10.88,3.00,6.00,7.00,203,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',2351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234747,3.00,2.00,0.00,4.00,4.00,7.13,1.00,0.00,2.00,303,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',19713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234755,2.00,2.00,2.00,2.00,3.00,5.25,1.00,3.00,1.00,201,NULL,212,'MONTE VERDE','FLORIANÓPOLIS','SC',21684,1740,NULL,606,NULL,NULL,NULL,2,1),(25,6234763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM FERNANDES','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6234771,6.00,5.00,5.00,6.00,9.00,9.38,1.00,4.00,8.00,5,NULL,NULL,'VERA CRUZ','PASSO FUNDO','RS',5031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234810,4.00,5.00,1.00,3.00,5.00,6.75,2.00,3.00,3.00,110,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',18304,103,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,238,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6234844,7.00,5.00,6.00,4.00,8.00,12.00,2.00,7.00,7.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',2447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6234879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6234887,2.00,4.00,2.00,1.00,5.00,5.63,2.00,6.00,1.00,208,NULL,655,'MARIA CÉU','CRICIÚMA','SC',17699,446,NULL,95,NULL,NULL,NULL,4,5),(25,6234895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6234933,6.00,5.00,1.00,4.00,8.00,9.75,1.00,3.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6234976,8.00,5.00,4.00,8.00,10.00,9.00,2.00,7.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6234984,2.00,4.00,2.00,6.00,5.00,7.88,2.00,5.00,4.00,201,NULL,653,'CENTRO','AGRONÔMICA','SC',13695,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6234992,2.00,3.00,2.00,2.00,5.00,8.63,0.00,0.00,1.00,108,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',21446,316,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235000,6.00,7.00,2.00,7.00,6.00,8.63,4.00,3.00,6.00,216,NULL,220,'CENTRO','REGISTRO','SP',4834,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6235026,4.00,3.00,1.00,3.00,7.00,8.63,1.00,1.00,4.00,216,NULL,653,'CENTRO','AGRONÔMICA','SC',13992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235034,1.00,3.00,1.00,3.00,4.00,NULL,1.00,4.00,0.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6235042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','PIÊN','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6235050,4.00,5.00,1.00,6.00,6.00,6.00,2.00,4.00,3.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6235077,8.00,7.00,5.00,7.00,10.00,9.75,2.00,8.00,9.00,103,NULL,NULL,'VILA OPERARIA','MARINGÁ','PR',626,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6235085,7.00,4.00,5.00,5.00,10.00,7.50,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',3104,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6235093,7.00,6.00,3.00,5.00,7.00,7.88,1.00,7.00,5.00,203,NULL,233,'CAMPINAS','S JOSÉ','SC',8189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235107,7.00,4.00,5.00,4.00,6.00,12.38,2.00,3.00,8.00,103,NULL,NULL,'AFONSO PENA','S JOSÉ PINHAIS','PR',4134,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6235115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA GOMES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6235123,3.00,6.00,2.00,5.00,9.00,7.88,1.00,4.00,2.00,201,NULL,207,'PROGRESSO','LAGUNA','SC',12546,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6235140,8.00,8.00,7.00,7.00,10.00,11.25,5.00,8.00,8.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235158,1.00,4.00,3.00,5.00,5.00,7.50,2.00,4.00,1.00,327,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',16087,44,NULL,NULL,NULL,NULL,NULL,2,1),(25,6235166,5.00,5.00,4.00,5.00,9.00,10.88,1.00,3.00,4.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235174,2.00,7.00,3.00,2.00,5.00,9.75,1.00,2.00,2.00,211,NULL,NULL,'CENTRO','SEARA','SC',14745,385,NULL,NULL,NULL,NULL,NULL,4,4),(25,6235190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA GLÓRIA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6235212,4.00,9.00,3.00,5.00,9.00,9.75,2.00,4.00,6.00,303,NULL,NULL,'GETHAL','LAGES','SC',4107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'JARDIM PETROPOLIS','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6235239,6.00,6.00,2.00,4.00,6.00,8.25,0.00,4.00,0.00,336,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235247,7.00,6.00,7.00,7.00,9.00,8.25,2.00,7.00,8.00,202,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',1407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235255,0.00,4.00,2.00,0.00,5.00,7.88,1.00,3.00,1.00,215,NULL,NULL,'JARDIM ESMERALDA','MARÍLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235263,4.00,5.00,5.00,6.00,7.00,9.38,2.00,6.00,4.00,451,NULL,NULL,'CANTA GALO','RIO SUL','SC',5844,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6235271,5.00,6.00,2.00,4.00,8.00,7.88,1.00,4.00,2.00,601,NULL,215,'CENTRO','JOINVILLE','SC',12898,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6235280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'VILA BAEPENDI','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6235298,3.00,6.00,3.00,1.00,6.00,9.38,3.00,3.00,2.00,653,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',16163,153,NULL,NULL,NULL,NULL,NULL,4,15),(25,6235301,3.00,4.00,2.00,3.00,5.00,7.88,3.00,2.00,0.00,109,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',17944,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6235310,8.00,8.00,9.00,7.00,10.00,10.88,6.00,8.00,9.00,203,NULL,216,'CENTRO','CAÇADOR','SC',24,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235336,7.00,8.00,6.00,6.00,9.00,7.50,5.00,7.00,4.00,103,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',2666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235344,1.00,3.00,0.00,3.00,4.00,NULL,2.00,0.00,2.00,653,NULL,211,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6235360,1.00,3.00,1.00,0.00,4.00,NULL,2.00,0.00,0.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6235379,1.00,3.00,0.00,3.00,2.00,NULL,3.00,2.00,3.00,653,NULL,655,'DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6235395,1.00,5.00,0.00,5.00,5.00,6.38,2.00,2.00,1.00,551,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',20885,66,NULL,NULL,NULL,NULL,NULL,2,7),(25,6235425,8.00,7.00,8.00,7.00,7.00,12.38,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235433,7.00,5.00,2.00,4.00,8.00,10.88,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',5086,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6235441,6.00,7.00,2.00,4.00,9.00,7.50,1.00,5.00,5.00,203,NULL,233,'ITACORUBI','FLORIANÓPOLIS','SC',6327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'VILA DIDI','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6235468,8.00,8.00,7.00,6.00,8.00,12.75,7.00,8.00,9.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235476,4.00,7.00,3.00,5.00,5.00,7.50,1.00,6.00,2.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',10910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235484,4.00,4.00,1.00,5.00,5.00,9.75,1.00,4.00,2.00,452,NULL,NULL,'CENTRO','CANOINHAS','SC',14624,85,NULL,NULL,NULL,NULL,NULL,2,17),(25,6235506,8.00,7.00,4.00,5.00,8.00,9.00,4.00,7.00,6.00,220,NULL,208,'SAO JUDAS TADEU','S JOSÉ CAMPOS','SP',2276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235522,3.00,5.00,1.00,2.00,8.00,5.63,2.00,5.00,0.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',18904,649,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235530,4.00,6.00,3.00,7.00,10.00,6.75,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',6827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235549,3.00,5.00,6.00,5.00,10.00,9.38,2.00,7.00,6.00,211,NULL,215,'BELA VISTA','S JOSÉ','SC',3610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235557,6.00,4.00,3.00,7.00,6.00,7.50,0.00,1.00,3.00,333,NULL,NULL,'JARDIM','STO ANDRÉ','SP',11365,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6235565,6.00,4.00,3.00,5.00,11.00,9.75,1.00,4.00,5.00,303,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',5567,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6235573,7.00,5.00,4.00,6.00,8.00,7.88,3.00,8.00,7.00,203,NULL,202,'CARIANOS','FLORIANÓPOLIS','SC',2940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6235581,2.00,5.00,0.00,3.00,4.00,7.50,0.00,3.00,1.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19951,140,NULL,NULL,NULL,NULL,NULL,2,1),(25,6235590,4.00,6.00,3.00,2.00,6.00,7.13,2.00,6.00,4.00,5,NULL,NULL,'ENCRUZILHADA','BIGUAÇU','SC',13825,481,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235611,4.00,6.00,0.00,5.00,7.00,9.38,1.00,3.00,5.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',13116,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6235620,4.00,4.00,3.00,4.00,8.00,10.50,2.00,5.00,4.00,108,NULL,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',11161,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6235638,7.00,8.00,6.00,6.00,9.00,9.00,5.00,7.00,9.00,303,NULL,NULL,'VILA ZELINA','S PAULO','SP',412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235654,8.00,8.00,3.00,6.00,8.00,9.75,2.00,4.00,8.00,103,NULL,NULL,'VILA ROSÁLIA','GUARULHOS','SP',2565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235662,7.00,7.00,4.00,5.00,4.00,7.50,3.00,6.00,8.00,301,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',6533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235670,6.00,5.00,0.00,3.00,6.00,9.38,1.00,3.00,2.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',16710,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6235689,6.00,8.00,2.00,5.00,8.00,9.38,3.00,7.00,4.00,211,NULL,215,'JARDIM CASAGRANDE','MOGI GUAÇU','SP',4726,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6235697,6.00,6.00,6.00,7.00,9.00,8.63,5.00,8.00,4.00,301,NULL,NULL,'CENTRO','URUBICI','SC',2352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235700,4.00,3.00,1.00,5.00,7.00,7.50,3.00,1.00,1.00,319,NULL,NULL,'CENTRO','S JOAQUIM','SC',18714,382,NULL,NULL,NULL,NULL,NULL,4,9),(25,6235719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'BUTIATUVINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6235727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6235735,6.00,5.00,1.00,5.00,10.00,8.25,1.00,5.00,3.00,303,NULL,NULL,'MARISTA','GOIÂNIA','GO',8857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235743,2.00,4.00,3.00,3.00,6.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'CENTRO','NAVIRAÍ','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6235751,4.00,6.00,3.00,4.00,6.00,8.25,2.00,3.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235760,9.00,5.00,8.00,4.00,6.00,6.75,1.00,8.00,8.00,103,NULL,NULL,'ALTO','CURITIBA','PR',3142,1767,NULL,NULL,NULL,NULL,NULL,2,8),(25,6235808,7.00,7.00,6.00,5.00,7.00,11.63,0.00,4.00,7.00,103,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',3105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235816,7.00,8.00,4.00,7.00,11.00,10.50,0.00,7.00,8.00,5,NULL,NULL,'FAZENDA','ITAJAÍ','SC',1218,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6235824,7.00,7.00,5.00,7.00,9.00,10.88,5.00,7.00,8.00,336,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235840,4.00,7.00,7.00,5.00,8.00,6.75,2.00,5.00,5.00,202,NULL,203,'NOSSA SRA APARECIDA','FRANCISCO BELTRÃO','PR',6391,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6235859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6235867,6.00,2.00,0.00,2.00,8.00,NULL,1.00,1.00,4.00,103,NULL,NULL,'CENTENÁRIO','PALMEIRA MISSÕES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6235875,3.00,4.00,6.00,7.00,4.00,8.63,2.00,6.00,1.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235883,7.00,5.00,5.00,6.00,6.00,11.25,1.00,4.00,8.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',2718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235891,0.00,3.00,1.00,2.00,4.00,5.25,0.00,1.00,0.00,9,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',21368,169,NULL,NULL,NULL,NULL,NULL,2,1),(25,6235921,5.00,6.00,3.00,4.00,8.00,9.38,1.00,7.00,2.00,999,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6235930,4.00,4.00,1.00,5.00,5.00,NULL,3.00,2.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6235948,6.00,6.00,1.00,7.00,10.00,9.00,2.00,2.00,5.00,303,NULL,NULL,'CENTRO','POMERODE','SC',5424,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6235956,3.00,3.00,3.00,1.00,3.00,6.75,1.00,0.00,2.00,501,NULL,NULL,'CENTRO','ESPERANÇA SUL','RS',21631,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6235964,5.00,4.00,2.00,6.00,5.00,7.88,2.00,3.00,2.00,201,NULL,207,'CENTRO','SIDERÓPOLIS','SC',14876,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6235972,4.00,6.00,0.00,3.00,8.00,NULL,0.00,5.00,2.00,303,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6235980,5.00,7.00,2.00,4.00,8.00,9.75,1.00,3.00,4.00,340,NULL,NULL,'CENTRO','PATO BRANCO','PR',8977,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6235999,4.00,4.00,0.00,3.00,6.00,NULL,0.00,1.00,2.00,426,NULL,425,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236006,6.00,8.00,4.00,6.00,10.00,6.75,3.00,7.00,7.00,103,NULL,NULL,'VILA DUBUS','PRES PRUDENTE','SP',1600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236014,5.00,6.00,0.00,4.00,9.00,NULL,2.00,2.00,3.00,207,NULL,201,'TRIBESS','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6236022,2.00,2.00,1.00,1.00,4.00,NULL,2.00,0.00,0.00,601,NULL,653,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6236030,7.00,7.00,4.00,6.00,7.00,7.13,3.00,5.00,4.00,340,NULL,NULL,'JARDIM URBANO','PALOTINA','PR',6290,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6236049,5.00,6.00,1.00,4.00,5.00,9.38,2.00,6.00,3.00,301,NULL,NULL,'ROÇADO','S JOSÉ','SC',13206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236057,7.00,8.00,3.00,6.00,7.00,9.38,1.00,5.00,7.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',3376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236065,6.00,5.00,1.00,0.00,5.00,7.50,3.00,3.00,7.00,235,NULL,213,'POUSO ALTO','GRAVATAL','SC',11184,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6236073,3.00,1.00,0.00,3.00,4.00,NULL,1.00,1.00,2.00,444,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CAMPINA LAGOA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6236103,2.00,5.00,1.00,5.00,3.00,NULL,0.00,1.00,0.00,109,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236111,1.00,5.00,0.00,4.00,5.00,NULL,2.00,5.00,3.00,999,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6236120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6236138,8.00,7.00,3.00,7.00,10.00,11.25,2.00,8.00,8.00,316,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236146,6.00,5.00,4.00,6.00,7.00,9.75,3.00,4.00,5.00,104,NULL,NULL,'MIRANTE','ITÁ','SC',5183,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6236154,6.00,3.00,3.00,3.00,8.00,10.50,2.00,5.00,6.00,216,NULL,212,'ÁGUA DAS ANTAS','LUCIANÓPOLIS','SP',6445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236162,1.00,2.00,1.00,4.00,6.00,NULL,1.00,3.00,4.00,104,NULL,NULL,'DIST SANTA LUCIA','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(25,6236170,4.00,4.00,4.00,5.00,7.00,8.25,3.00,3.00,5.00,238,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',9246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236200,3.00,3.00,1.00,2.00,4.00,6.00,1.00,4.00,3.00,652,NULL,655,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6236227,1.00,7.00,0.00,4.00,6.00,NULL,3.00,6.00,1.00,332,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6236243,5.00,6.00,7.00,7.00,8.00,10.50,3.00,6.00,6.00,340,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',2444,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6236251,3.00,4.00,0.00,4.00,5.00,9.00,2.00,2.00,1.00,318,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',20280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236260,3.00,4.00,3.00,2.00,3.00,NULL,1.00,3.00,0.00,203,NULL,601,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6236278,4.00,6.00,3.00,4.00,8.00,7.50,2.00,3.00,3.00,337,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',13643,23,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236286,3.00,3.00,2.00,4.00,2.00,NULL,3.00,2.00,2.00,234,NULL,NULL,'SANTO ANTONIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6236294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6236308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'FRAGATA','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6236316,2.00,6.00,4.00,3.00,6.00,7.88,1.00,3.00,3.00,339,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',17638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ÁGUA BRANCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6236340,3.00,4.00,2.00,3.00,5.00,8.25,0.00,1.00,1.00,501,NULL,NULL,'CENTRO','CRICIÚMA','SC',20857,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6236359,4.00,5.00,3.00,5.00,7.00,9.00,0.00,4.00,2.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',12121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236367,3.00,3.00,3.00,6.00,5.00,7.88,0.00,3.00,3.00,303,NULL,NULL,'CENTRO','ARARANGUÁ','SC',14593,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6236375,3.00,5.00,2.00,3.00,6.00,7.50,0.00,0.00,2.00,103,NULL,NULL,'CAVALHADA','PTO ALEGRE','RS',16356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236383,5.00,5.00,2.00,3.00,8.00,6.75,0.00,1.00,2.00,212,NULL,202,'SAN CONRADO','REGISTRO','SP',15337,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6236391,4.00,4.00,4.00,4.00,6.00,0.00,5.00,1.00,6.00,999,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236405,7.00,8.00,5.00,5.00,9.00,10.50,4.00,7.00,8.00,103,NULL,NULL,'PLANALTO','ENCANTADO','RS',1216,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6236413,8.00,8.00,3.00,4.00,9.00,8.63,1.00,5.00,4.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',4831,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6236421,3.00,4.00,3.00,4.00,5.00,7.50,1.00,1.00,2.00,234,NULL,NULL,'CENTRO','IÇARA','SC',16820,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6236430,4.00,6.00,3.00,4.00,6.00,8.25,0.00,4.00,3.00,332,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',16260,37,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236448,4.00,5.00,1.00,2.00,5.00,NULL,0.00,3.00,3.00,101,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIN PRESIDENTE','RIO VERDE','GO',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6236464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'IGRA','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6236472,2.00,6.00,3.00,7.00,7.00,8.25,1.00,6.00,1.00,5,NULL,NULL,'COPACABANA','LAGES','SC',9317,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6236480,6.00,6.00,2.00,4.00,8.00,9.38,0.00,3.00,3.00,201,NULL,601,'ITAUM','JOINVILLE','SC',12500,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6236499,5.00,5.00,5.00,5.00,5.00,6.75,1.00,5.00,3.00,201,NULL,203,'MICHEL','CRICIÚMA','SC',9223,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6236502,4.00,5.00,0.00,1.00,6.00,NULL,0.00,0.00,4.00,999,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6236510,2.00,5.00,0.00,4.00,5.00,8.63,2.00,5.00,5.00,319,NULL,NULL,'GUARDA DO CUBATAO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236529,6.00,5.00,3.00,6.00,7.00,8.63,2.00,3.00,2.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9217,132,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6236545,4.00,5.00,3.00,3.00,7.00,10.50,2.00,3.00,1.00,653,NULL,211,'VILA NOVA','IÇARA','SC',12087,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6236553,2.00,2.00,1.00,2.00,3.00,4.50,2.00,1.00,2.00,328,NULL,NULL,'ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC',21753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236561,1.00,0.00,4.00,2.00,4.00,NULL,1.00,2.00,0.00,319,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236570,7.00,7.00,4.00,6.00,9.00,7.13,2.00,7.00,6.00,103,NULL,NULL,'CENTRO','IÇARA','SC',3004,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6236588,3.00,3.00,2.00,1.00,2.00,NULL,2.00,3.00,2.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236596,4.00,6.00,1.00,4.00,5.00,7.50,3.00,5.00,2.00,319,NULL,NULL,'STO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC',16048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236626,3.00,5.00,2.00,6.00,8.00,8.25,2.00,3.00,3.00,303,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',15145,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6236642,3.00,4.00,1.00,3.00,6.00,8.25,2.00,1.00,1.00,5,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236650,6.00,7.00,6.00,7.00,10.00,8.63,2.00,6.00,6.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236669,6.00,5.00,2.00,5.00,6.00,8.63,2.00,3.00,1.00,202,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',11877,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6236677,4.00,5.00,1.00,5.00,6.00,6.75,4.00,6.00,4.00,653,NULL,220,'PINHEIRINHO','CRICIÚMA','SC',11675,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6236685,3.00,5.00,4.00,2.00,5.00,7.50,1.00,1.00,2.00,103,NULL,NULL,'CORAL','LAGES','SC',17792,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6236693,9.00,7.00,1.00,6.00,8.00,9.75,2.00,7.00,8.00,5,NULL,NULL,'CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC',3265,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236707,5.00,5.00,2.00,1.00,8.00,9.38,2.00,2.00,3.00,203,NULL,220,'CATU DE ABRANTES','CAMAÇARI','BA',17179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236715,8.00,6.00,2.00,5.00,10.00,11.63,2.00,8.00,8.00,108,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',2533,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6236723,8.00,7.00,7.00,6.00,8.00,9.38,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','FRANCA','SP',1361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236731,7.00,6.00,1.00,5.00,9.00,11.63,2.00,6.00,3.00,999,NULL,NULL,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,9),(25,6236740,4.00,4.00,2.00,4.00,8.00,7.88,0.00,4.00,3.00,9,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236758,4.00,6.00,1.00,3.00,5.00,NULL,0.00,1.00,1.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6236774,3.00,4.00,3.00,3.00,5.00,6.00,2.00,4.00,2.00,101,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236782,2.00,2.00,2.00,2.00,5.00,4.50,0.00,1.00,1.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',21165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6236812,3.00,2.00,3.00,1.00,5.00,7.50,3.00,4.00,0.00,426,NULL,428,'CENTRO','ITUPORANGA','SC',17878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236820,4.00,6.00,4.00,4.00,5.00,7.13,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','NAVIRAÍ','MS',9853,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO JOSE','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6236847,7.00,7.00,3.00,6.00,6.00,9.00,5.00,4.00,5.00,103,NULL,NULL,'VILA TOLENTINO','CASCAVEL','PR',4987,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6236855,1.00,4.00,2.00,4.00,5.00,6.38,2.00,6.00,2.00,653,NULL,214,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',14549,132,NULL,345,NULL,NULL,NULL,2,1),(25,6236863,0.00,3.00,1.00,3.00,2.00,NULL,0.00,2.00,0.00,301,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6236871,4.00,2.00,2.00,3.00,7.00,9.00,1.00,3.00,1.00,327,NULL,NULL,'RUA PADREA ANCHIETA','SIDERÓPOLIS','SC',19719,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6236880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SOLAR','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6236898,4.00,4.00,0.00,3.00,7.00,NULL,0.00,4.00,2.00,103,NULL,NULL,'DESVIO RIZZO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236910,3.00,4.00,0.00,2.00,4.00,NULL,1.00,0.00,1.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236928,4.00,3.00,1.00,6.00,5.00,8.25,1.00,2.00,4.00,415,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,211,'BARRACÃO','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6236944,7.00,6.00,3.00,5.00,8.00,11.25,4.00,4.00,8.00,103,NULL,NULL,'SANTOS DUMONT','TRÊS LAGOAS','MS',2321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236952,4.00,6.00,3.00,4.00,8.00,8.63,3.00,4.00,5.00,415,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',8498,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6236960,4.00,3.00,3.00,3.00,6.00,10.88,2.00,3.00,3.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',16239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6236995,4.00,5.00,3.00,6.00,8.00,6.75,2.00,4.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VOLTA GRANDE','MIRIM DOCE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6237010,2.00,2.00,0.00,3.00,4.00,7.13,1.00,0.00,1.00,208,NULL,203,'BARREIROS','S JOSÉ','SC',21489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6237029,9.00,7.00,5.00,4.00,8.00,9.38,2.00,6.00,9.00,103,NULL,NULL,'ALTO BOQUEIRAO','CURITIBA','PR',1904,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6237053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,220,'AMADORI','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6237061,6.00,5.00,7.00,6.00,9.00,9.75,2.00,7.00,5.00,207,NULL,211,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',1822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237070,6.00,5.00,2.00,6.00,7.00,NULL,0.00,4.00,4.00,999,NULL,NULL,'PROGRESSO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6237088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,425,'HIGIENÓPOLIS','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6237096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'HAUER','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6237100,7.00,6.00,3.00,6.00,6.00,8.25,3.00,8.00,6.00,110,NULL,NULL,'BREMER','RIO SUL','SC',3774,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6237118,5.00,5.00,3.00,6.00,8.00,10.88,4.00,6.00,2.00,301,NULL,NULL,'PROGRESSO','BENTO GONÇALVES','RS',5698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237126,6.00,6.00,3.00,7.00,9.00,7.88,1.00,9.00,6.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237134,7.00,5.00,6.00,6.00,8.00,11.63,4.00,7.00,8.00,203,NULL,233,'VILA NOVA','BLUMENAU','SC',1849,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6237150,6.00,2.00,2.00,4.00,8.00,10.88,2.00,2.00,6.00,216,NULL,201,'MONTE ALEGRE','RIBEIRÃO PRETO','SP',10996,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6237169,3.00,5.00,4.00,6.00,8.00,9.38,1.00,5.00,3.00,316,NULL,NULL,'CENTRO','CRICIÚMA','SC',11073,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6237177,3.00,8.00,0.00,3.00,9.00,8.25,1.00,2.00,1.00,108,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',16311,238,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6237193,2.00,3.00,0.00,5.00,9.00,8.63,2.00,3.00,2.00,428,NULL,423,'CARVOEIRA','FLORIANÓPOLIS','SC',17632,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6237207,4.00,5.00,3.00,1.00,7.00,12.00,2.00,0.00,2.00,220,NULL,235,'SÃO CRISTÓVÃO','CAPINZAL','SC',11906,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6237215,6.00,6.00,2.00,5.00,6.00,7.88,1.00,1.00,4.00,5,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',13836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237223,5.00,5.00,7.00,4.00,6.00,8.25,2.00,5.00,5.00,203,NULL,216,'ZONA SETE','MARINGÁ','PR',7351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237231,4.00,6.00,1.00,3.00,6.00,7.13,1.00,3.00,3.00,101,NULL,NULL,'BOA PARADA','S PEDRO ALCÂNTARA','SC',16193,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6237240,5.00,6.00,2.00,7.00,7.00,7.88,3.00,2.00,5.00,207,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',7719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237266,1.00,4.00,1.00,4.00,4.00,NULL,3.00,0.00,1.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6237274,2.00,2.00,0.00,1.00,2.00,NULL,1.00,1.00,0.00,551,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6237282,5.00,4.00,1.00,7.00,7.00,9.75,1.00,3.00,5.00,428,NULL,421,'CARIANOS','FLORIANÓPOLIS','SC',12205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237290,2.00,5.00,5.00,3.00,6.00,9.75,2.00,1.00,1.00,654,NULL,NULL,'CENTRO','PLANALTO','RS',13671,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6237304,4.00,4.00,1.00,5.00,7.00,10.13,0.00,1.00,2.00,207,NULL,211,'GÁVEA','JACINTO MACHADO','SC',13714,740,NULL,363,NULL,NULL,NULL,2,15),(25,6237312,7.00,6.00,5.00,8.00,7.00,7.88,1.00,5.00,6.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',3234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237320,3.00,4.00,0.00,5.00,8.00,7.88,2.00,2.00,2.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14298,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6237339,0.00,3.00,0.00,2.00,3.00,NULL,3.00,1.00,0.00,308,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6237347,2.00,4.00,2.00,4.00,5.00,NULL,2.00,0.00,0.00,503,NULL,NULL,'VILA IPIRANGA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6237355,4.00,5.00,1.00,5.00,4.00,8.63,3.00,5.00,3.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',12872,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6237363,4.00,1.00,2.00,1.00,4.00,9.00,1.00,3.00,1.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237371,2.00,3.00,3.00,5.00,7.00,10.88,1.00,3.00,3.00,327,NULL,NULL,'VILA SÃO JOÃO','CPO BELO','MG',12071,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6237380,3.00,3.00,0.00,5.00,6.00,NULL,2.00,2.00,0.00,103,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6237398,5.00,5.00,6.00,5.00,7.00,8.25,1.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4285,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6237401,3.00,5.00,1.00,6.00,5.00,4.50,2.00,6.00,1.00,999,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237410,4.00,5.00,3.00,3.00,5.00,8.25,3.00,3.00,3.00,215,NULL,601,'JOAO PAULO','FLORIANÓPOLIS','SC',16149,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6237428,4.00,6.00,3.00,6.00,9.00,10.13,2.00,6.00,6.00,201,NULL,233,'CENTRO','MELEIRO','SC',4198,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6237436,6.00,8.00,3.00,5.00,9.00,11.63,3.00,5.00,7.00,214,NULL,212,'CAMBUÍ','CAMPINAS','SP',2378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237444,8.00,7.00,5.00,7.00,7.00,7.13,2.00,7.00,7.00,203,NULL,220,'CENTRO','JOINVILLE','SC',2169,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6237452,6.00,6.00,3.00,4.00,7.00,6.75,1.00,5.00,4.00,999,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6237460,4.00,3.00,1.00,4.00,4.00,10.88,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',16807,4419,NULL,NULL,NULL,NULL,NULL,2,7),(25,6237479,6.00,7.00,3.00,4.00,9.00,9.38,2.00,7.00,6.00,103,NULL,NULL,'STORCH','IJUÍ','RS',5773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237487,2.00,3.00,1.00,3.00,8.00,7.13,2.00,6.00,1.00,215,NULL,207,'IIRIRIU','JOINVILLE','SC',16976,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6237495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR JAÓ','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6237509,1.00,3.00,3.00,4.00,7.00,9.00,1.00,3.00,1.00,201,NULL,207,'SÃO CRISTOVÃO','LAGES','SC',18810,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6237517,6.00,6.00,4.00,5.00,6.00,10.50,3.00,2.00,3.00,303,NULL,NULL,'ESCOLA AGRICOLA','BLUMENAU','SC',6215,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6237533,2.00,4.00,1.00,5.00,5.00,10.88,3.00,2.00,3.00,332,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6237541,5.00,5.00,2.00,5.00,6.00,8.25,1.00,7.00,4.00,319,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',9811,148,NULL,NULL,NULL,NULL,NULL,4,8),(25,6237550,6.00,6.00,2.00,7.00,8.00,10.88,1.00,6.00,7.00,225,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237568,3.00,5.00,3.00,5.00,5.00,9.00,1.00,1.00,1.00,301,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',18033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237576,3.00,4.00,1.00,4.00,5.00,8.63,1.00,1.00,5.00,999,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6237592,0.00,3.00,0.00,2.00,6.00,NULL,1.00,0.00,3.00,103,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6237606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MACHADINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6237614,5.00,6.00,7.00,6.00,10.00,9.00,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6237622,2.00,3.00,0.00,2.00,8.00,6.38,0.00,3.00,3.00,333,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',18454,145,NULL,NULL,NULL,NULL,NULL,2,1),(25,6237630,3.00,3.00,0.00,2.00,4.00,NULL,2.00,1.00,0.00,999,NULL,NULL,'BARRA DO TROMBUDO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6237649,2.00,1.00,0.00,0.00,5.00,NULL,0.00,1.00,2.00,234,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237657,7.00,5.00,3.00,7.00,4.00,NULL,0.00,5.00,7.00,103,NULL,NULL,'MONT SERRAT','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237665,4.00,4.00,2.00,4.00,3.00,6.75,3.00,2.00,2.00,336,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',18984,157,NULL,NULL,NULL,NULL,NULL,2,1),(25,6237673,1.00,2.00,1.00,2.00,6.00,6.75,1.00,5.00,2.00,326,NULL,NULL,'CENTRO','AURORA','SC',21116,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6237681,7.00,6.00,2.00,7.00,10.00,6.75,4.00,5.00,4.00,654,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',5419,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6237690,2.00,4.00,1.00,3.00,7.00,12.75,1.00,1.00,1.00,235,NULL,202,'ROCIO','UNIÃO VITÓRIA','PR',18685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GLÓRIA','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6237720,1.00,3.00,0.00,0.00,5.00,NULL,0.00,0.00,3.00,102,NULL,NULL,'ESTREITO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237738,6.00,6.00,4.00,6.00,8.00,10.13,2.00,8.00,5.00,109,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',3704,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6237746,2.00,2.00,3.00,3.00,5.00,NULL,2.00,0.00,1.00,319,NULL,NULL,'ESTRELA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6237754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA PETROPOLIS','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6237762,1.00,7.00,1.00,5.00,6.00,10.13,2.00,5.00,2.00,318,NULL,NULL,'J ATLANTICO','S JOSÉ','SC',14063,40,NULL,NULL,NULL,NULL,NULL,2,1),(25,6237770,5.00,4.00,6.00,7.00,8.00,6.75,2.00,8.00,7.00,208,NULL,NULL,'SÃO CRISTOVÃO','CHAPECÓ','SC',4094,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6237789,1.00,3.00,1.00,4.00,4.00,NULL,2.00,0.00,2.00,601,NULL,201,'CRUZEIRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6237797,3.00,3.00,3.00,4.00,5.00,6.38,2.00,3.00,3.00,234,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',18211,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6237800,4.00,5.00,1.00,5.00,7.00,8.25,1.00,4.00,4.00,216,NULL,235,'BARREIROS','S JOSÉ','SC',11606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237819,7.00,8.00,4.00,7.00,11.00,10.50,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',1580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237827,2.00,6.00,1.00,5.00,3.00,9.75,1.00,2.00,2.00,109,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6237843,4.00,5.00,1.00,5.00,6.00,NULL,0.00,3.00,0.00,211,NULL,653,'VILA ANDRADE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237851,2.00,7.00,3.00,1.00,5.00,8.25,2.00,3.00,3.00,220,NULL,235,'PEDRA BRANCA','PALHOÇA','SC',17458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237860,5.00,4.00,4.00,6.00,5.00,8.25,5.00,4.00,7.00,203,NULL,214,'CHACARA CACHOEIRA','CPO GRANDE','MS',5296,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6237878,3.00,3.00,3.00,3.00,7.00,6.75,1.00,2.00,0.00,225,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6237886,6.00,6.00,5.00,5.00,6.00,10.13,3.00,3.00,7.00,201,NULL,207,'BATEL','CURITIBA','PR',4916,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6237894,3.00,3.00,4.00,4.00,6.00,7.88,1.00,2.00,1.00,203,NULL,214,'CIDADE MINEIRA NOVA','CRICIÚMA','SC',19064,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6237908,6.00,6.00,3.00,3.00,8.00,8.63,2.00,4.00,4.00,302,NULL,NULL,'AMÉRICA','JOINVILLE','SC',8329,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6237924,7.00,7.00,6.00,5.00,8.00,9.38,5.00,8.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',1399,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6237932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'ESTREITO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6237940,3.00,3.00,0.00,1.00,2.00,NULL,1.00,1.00,1.00,502,NULL,NULL,'SANTA CRUZ','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6237959,5.00,9.00,1.00,3.00,7.00,6.38,2.00,4.00,4.00,303,NULL,NULL,'SERRARIA','S JOSÉ','SC',11056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237967,6.00,6.00,4.00,5.00,9.00,6.75,3.00,5.00,5.00,333,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',5594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6237975,9.00,7.00,3.00,6.00,10.00,8.25,4.00,6.00,7.00,319,NULL,NULL,'AMERICA','JOINVILLE','SC',2234,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6237983,6.00,5.00,3.00,6.00,6.00,7.88,1.00,2.00,5.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',8231,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6237991,5.00,6.00,6.00,5.00,6.00,10.88,3.00,8.00,5.00,233,NULL,203,'INTERIOR','S MIGUEL B VISTA','SC',3443,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6238017,7.00,5.00,6.00,5.00,10.00,11.63,5.00,8.00,8.00,103,NULL,NULL,'CENTRO','S JOSÉ INHACORÁ','RS',565,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6238025,5.00,5.00,5.00,6.00,9.00,10.13,2.00,3.00,6.00,999,NULL,NULL,'VILAGE','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6238033,6.00,7.00,2.00,7.00,9.00,13.50,1.00,5.00,1.00,9,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',5958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238041,6.00,3.00,5.00,6.00,8.00,7.50,1.00,5.00,5.00,216,NULL,215,'JARDIM SIMARA','PARANAVAÍ','PR',8692,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6238050,7.00,7.00,3.00,6.00,8.00,11.25,2.00,6.00,6.00,453,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',3183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6238068,2.00,6.00,5.00,6.00,7.00,9.38,2.00,6.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238076,4.00,4.00,0.00,1.00,8.00,11.25,2.00,4.00,3.00,415,NULL,NULL,'VELHA','BLUMENAU','SC',12611,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6238084,5.00,6.00,6.00,6.00,7.00,10.13,5.00,6.00,9.00,203,NULL,202,'CAPOEIRAS','FLORIANÓPOLIS','SC',1401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238092,5.00,9.00,0.00,7.00,11.00,NULL,2.00,5.00,5.00,336,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238106,3.00,5.00,1.00,1.00,2.00,NULL,1.00,2.00,3.00,233,NULL,201,'CENTRO','S MIGUEL B VISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6238122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6238130,6.00,7.00,2.00,6.00,9.00,8.63,1.00,7.00,5.00,415,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',4466,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6238149,7.00,7.00,4.00,6.00,9.00,9.00,4.00,9.00,8.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',1213,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6238157,3.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6238165,4.00,4.00,1.00,2.00,6.00,8.63,0.00,4.00,4.00,302,NULL,NULL,'AMERICA','JOINVILLE','SC',18007,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6238173,8.00,6.00,3.00,6.00,8.00,10.13,3.00,5.00,3.00,103,NULL,NULL,'DOS ESTUDANTES','IPIRA','SC',6565,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6238181,4.00,3.00,3.00,5.00,6.00,7.50,2.00,2.00,1.00,203,NULL,214,'CENTRO','D PEDRITO','RS',14151,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6238190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,220,'MINA DO MATO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6238203,7.00,6.00,4.00,7.00,9.00,10.50,3.00,8.00,7.00,103,NULL,NULL,'ESPERANÇA','ERECHIM','RS',1669,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6238211,9.00,7.00,6.00,7.00,9.00,7.88,5.00,6.00,7.00,103,NULL,NULL,'CORAL','LAGES','SC',655,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6238220,4.00,5.00,3.00,5.00,7.00,10.50,1.00,6.00,5.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6870,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6238254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'DOS ESTADOS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6238270,7.00,5.00,4.00,4.00,7.00,6.75,1.00,4.00,6.00,208,NULL,238,'SERRARIA','S JOSÉ','SC',7776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238289,3.00,2.00,1.00,2.00,6.00,7.50,2.00,1.00,5.00,207,NULL,211,'CENTRO','MANGUEIRINHA','PR',16522,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6238300,8.00,8.00,5.00,6.00,8.00,11.25,1.00,2.00,6.00,340,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',2756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238319,5.00,7.00,6.00,6.00,6.00,6.38,3.00,4.00,4.00,601,NULL,NULL,'ITAUM','JOINVILLE','SC',7886,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6238327,3.00,5.00,1.00,3.00,6.00,11.25,0.00,1.00,1.00,452,NULL,NULL,'INDUSTRIAL I','CANOINHAS','SC',16203,99,NULL,NULL,NULL,NULL,NULL,2,17),(25,6238335,6.00,5.00,3.00,2.00,6.00,NULL,0.00,3.00,5.00,207,NULL,235,'CARIOCA','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6238351,5.00,7.00,3.00,6.00,6.00,0.00,4.00,6.00,5.00,999,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6238360,5.00,6.00,5.00,7.00,9.00,10.50,5.00,8.00,8.00,103,NULL,NULL,'CENTRO','BARRETOS','SP',1009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238378,4.00,7.00,3.00,6.00,6.00,NULL,0.00,5.00,3.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238386,4.00,4.00,2.00,5.00,7.00,8.63,1.00,3.00,1.00,207,NULL,201,'CENTRO','PATO BRANCO','PR',12203,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6238394,8.00,6.00,6.00,5.00,7.00,7.13,4.00,3.00,5.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238408,8.00,5.00,3.00,6.00,8.00,11.25,3.00,5.00,8.00,220,NULL,216,'SETOR BUENO','GOIÂNIA','GO',2941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6238424,4.00,5.00,1.00,4.00,7.00,5.25,1.00,6.00,3.00,203,NULL,233,'FORTALEZA','BLUMENAU','SC',13087,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6238432,6.00,8.00,3.00,6.00,8.00,10.88,3.00,4.00,3.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',5193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238440,6.00,5.00,1.00,5.00,9.00,9.00,3.00,7.00,4.00,336,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',5806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6238459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','ANGELINA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6238467,6.00,6.00,4.00,7.00,3.00,6.75,4.00,4.00,4.00,201,NULL,211,'BARREIROS','S JOSÉ','SC',10075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238475,7.00,6.00,2.00,4.00,9.00,8.63,2.00,8.00,5.00,103,NULL,NULL,'PARAISO','S PAULO','SP',3502,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6238483,4.00,6.00,3.00,2.00,7.00,8.63,4.00,8.00,3.00,601,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',10800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238491,6.00,6.00,3.00,1.00,9.00,8.63,2.00,9.00,4.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238505,6.00,5.00,4.00,6.00,6.00,9.00,0.00,7.00,2.00,201,NULL,203,'CENTRO','PALHOÇA','SC',9388,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6238513,2.00,1.00,0.00,1.00,1.00,NULL,0.00,1.00,2.00,301,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6238521,2.00,4.00,2.00,4.00,6.00,7.50,1.00,1.00,1.00,203,NULL,202,'CANTO','FLORIANÓPOLIS','SC',20548,1127,NULL,653,NULL,NULL,NULL,2,1),(25,6238530,9.00,7.00,5.00,7.00,10.00,7.88,5.00,8.00,7.00,203,NULL,201,'VELHA','BLUMENAU','SC',725,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6238548,5.00,8.00,2.00,4.00,8.00,7.88,3.00,7.00,1.00,320,NULL,NULL,'JARDIM DAS NAÇÕES','TAUBATÉ','SP',8155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238556,6.00,7.00,4.00,7.00,9.00,9.75,4.00,3.00,4.00,103,NULL,NULL,'ESTADOS','ESTRELA','RS',4724,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6238564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'JD NOVO HORIZONTE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6238572,7.00,7.00,2.00,5.00,5.00,8.25,4.00,7.00,2.00,103,NULL,NULL,'BOA VISTA','COCAL SUL','SC',6403,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6238580,6.00,4.00,2.00,2.00,6.00,7.88,1.00,3.00,1.00,103,NULL,NULL,'JARDIM DOS ESTADOS','SOROCABA','SP',16109,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6238599,6.00,5.00,3.00,3.00,5.00,9.38,3.00,5.00,1.00,339,NULL,NULL,'IÇARA CENTRO','IÇARA','SC',13118,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6238602,4.00,5.00,1.00,4.00,5.00,8.25,1.00,5.00,3.00,110,NULL,NULL,'FLORESTA','S JOSÉ','SC',16496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238610,6.00,5.00,2.00,3.00,6.00,8.63,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','PATO BRAGADO','PR',13195,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6238629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','CATANDUVA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6238637,4.00,6.00,1.00,1.00,5.00,11.63,2.00,4.00,1.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',16854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238653,2.00,4.00,3.00,4.00,6.00,9.38,1.00,1.00,0.00,103,NULL,NULL,'CENTENÁRIO','SAPIRANGA','RS',16548,4387,NULL,NULL,NULL,NULL,NULL,2,15),(25,6238661,6.00,5.00,4.00,5.00,7.00,7.50,1.00,6.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238670,7.00,6.00,6.00,6.00,7.00,7.13,2.00,5.00,6.00,202,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',4545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238688,7.00,5.00,6.00,6.00,9.00,11.63,4.00,7.00,9.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',954,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6238696,3.00,7.00,3.00,3.00,4.00,0.00,2.00,3.00,2.00,655,NULL,652,'SÃO LUIZ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6238700,5.00,8.00,5.00,5.00,7.00,9.75,4.00,5.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4594,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6238718,3.00,5.00,1.00,6.00,7.00,10.50,3.00,5.00,1.00,303,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6238726,6.00,5.00,6.00,6.00,9.00,6.75,4.00,7.00,5.00,420,NULL,NULL,'BARREIROS','S JOSÉ','SC',5055,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6238734,5.00,5.00,2.00,7.00,7.00,7.13,2.00,6.00,5.00,220,NULL,238,'CENTRO','GAROPABA','SC',8303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238742,2.00,4.00,1.00,3.00,4.00,NULL,0.00,1.00,0.00,207,NULL,201,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238750,4.00,7.00,3.00,4.00,8.00,7.50,2.00,7.00,4.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',7784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238769,2.00,4.00,2.00,2.00,6.00,8.63,3.00,6.00,2.00,328,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',15501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6238777,2.00,5.00,1.00,3.00,5.00,5.25,1.00,1.00,2.00,101,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',20917,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6238785,4.00,5.00,3.00,3.00,6.00,12.00,3.00,5.00,3.00,5,NULL,NULL,'MATO ALTO','LAGUNA','SC',12672,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6238793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'LIDER','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6238807,2.00,4.00,0.00,2.00,4.00,NULL,0.00,3.00,0.00,212,NULL,201,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238831,4.00,2.00,2.00,4.00,6.00,8.25,2.00,6.00,4.00,202,NULL,235,'ALTO CAFEZAL','MARÍLIA','SP',11946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238840,3.00,3.00,0.00,3.00,4.00,NULL,1.00,1.00,1.00,103,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238858,2.00,5.00,2.00,4.00,6.00,7.13,2.00,2.00,1.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',18776,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6238866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'JARDIM OSWALDO CRUZ','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6238874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6238890,1.00,4.00,2.00,1.00,8.00,8.25,2.00,1.00,2.00,103,NULL,NULL,'NOVA BRASÍLIA','JARAGUÁ SUL','SC',19756,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6238904,7.00,6.00,2.00,2.00,5.00,10.50,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',13467,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6238912,3.00,4.00,0.00,1.00,4.00,NULL,2.00,0.00,2.00,103,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6238920,2.00,3.00,3.00,3.00,5.00,7.50,1.00,2.00,2.00,109,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6238939,9.00,6.00,6.00,7.00,9.00,10.88,3.00,4.00,8.00,108,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',1779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238947,2.00,5.00,0.00,2.00,7.00,7.13,3.00,2.00,2.00,601,NULL,202,'RIO BONITO','JOINVILLE','SC',19468,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6238955,3.00,6.00,1.00,6.00,8.00,7.13,1.00,2.00,5.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',12041,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6238963,5.00,4.00,0.00,0.00,2.00,NULL,2.00,1.00,1.00,201,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6238998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM JESUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6239005,8.00,7.00,4.00,7.00,10.00,9.00,6.00,6.00,8.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239013,1.00,5.00,3.00,3.00,7.00,NULL,0.00,4.00,0.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239021,8.00,6.00,4.00,5.00,7.00,11.63,1.00,7.00,9.00,108,NULL,NULL,'DEMBOSKI','CRICIÚMA','SC',2313,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6239030,8.00,7.00,2.00,3.00,7.00,8.25,2.00,4.00,5.00,202,NULL,235,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',8254,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239048,6.00,7.00,1.00,6.00,8.00,9.00,2.00,8.00,6.00,304,NULL,NULL,'GLORIA','JOINVILLE','SC',4777,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6239056,5.00,4.00,5.00,6.00,9.00,9.00,0.00,7.00,4.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'INDAIÁ','CARAGUATATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6239072,6.00,4.00,8.00,4.00,5.00,8.25,4.00,5.00,8.00,203,NULL,220,'ZONA DOIS','UMUARAMA','PR',3802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239080,6.00,3.00,1.00,5.00,7.00,7.88,3.00,5.00,3.00,999,NULL,NULL,'UNIAO','PALOTINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239099,2.00,5.00,1.00,4.00,4.00,7.88,4.00,2.00,3.00,337,NULL,NULL,'SANTA PAULA','S CAETANO SUL','SP',19263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239102,5.00,4.00,5.00,7.00,7.00,7.13,3.00,5.00,5.00,201,NULL,212,'PONTE IMARUIM','PALHOÇA','SC',6748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239110,7.00,4.00,3.00,7.00,10.00,12.38,5.00,7.00,7.00,428,NULL,426,'AGRONÔMICA','FLORIANÓPOLIS','SC',2070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239137,7.00,7.00,5.00,7.00,7.00,10.50,4.00,6.00,6.00,211,NULL,215,'BAIRRO DER','CAÇADOR','SC',2163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6239153,4.00,4.00,2.00,6.00,6.00,12.00,0.00,2.00,2.00,103,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6239161,3.00,4.00,3.00,6.00,6.00,NULL,1.00,3.00,0.00,215,NULL,216,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6239170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6239188,2.00,5.00,1.00,7.00,6.00,7.88,1.00,1.00,3.00,235,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',14333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6239200,4.00,6.00,1.00,6.00,8.00,6.00,2.00,6.00,5.00,235,NULL,216,'CENTRO','CURITIBANOS','SC',9939,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6239218,6.00,6.00,1.00,6.00,8.00,9.75,4.00,9.00,5.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239226,4.00,5.00,2.00,7.00,8.00,8.63,2.00,3.00,4.00,425,NULL,429,'CENTRO','JOINVILLE','SC',10502,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6239234,4.00,3.00,0.00,3.00,3.00,6.38,0.00,1.00,2.00,404,NULL,NULL,'FUNDOS','BIGUAÇU','SC',20710,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239242,4.00,3.00,2.00,4.00,5.00,8.25,0.00,0.00,2.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',20752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239250,4.00,6.00,2.00,6.00,9.00,9.00,2.00,6.00,7.00,340,NULL,NULL,'CENTRO','COTIPORÃ','RS',5189,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6239277,6.00,6.00,1.00,6.00,8.00,7.88,0.00,4.00,7.00,103,NULL,NULL,'UMBARÁ','CURITIBA','PR',8456,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6239285,7.00,7.00,2.00,7.00,8.00,9.38,2.00,8.00,6.00,429,NULL,425,'COQUEIROS','FLORIANÓPOLIS','SC',3942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239293,5.00,4.00,1.00,7.00,7.00,8.63,3.00,3.00,2.00,9,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',10662,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6239315,5.00,5.00,1.00,3.00,3.00,9.38,2.00,2.00,3.00,317,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',18115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239323,1.00,2.00,0.00,2.00,6.00,NULL,0.00,0.00,1.00,103,NULL,NULL,'IMPERIAL','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'PARQUE COSMO','MTE ALTO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6239340,4.00,5.00,5.00,7.00,8.00,10.50,4.00,4.00,5.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239358,4.00,4.00,3.00,2.00,4.00,5.25,2.00,1.00,2.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239366,4.00,6.00,0.00,3.00,9.00,NULL,2.00,5.00,2.00,309,NULL,NULL,'CABEÇUDA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6239374,3.00,3.00,4.00,3.00,5.00,8.25,1.00,3.00,3.00,415,NULL,NULL,'BUCAREIN','JOINVILLE','SC',14825,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6239390,4.00,5.00,3.00,7.00,9.00,10.88,3.00,4.00,5.00,212,NULL,601,'ASTURIAS','GUARUJÁ','SP',3813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239404,2.00,0.00,1.00,1.00,1.00,NULL,1.00,0.00,0.00,326,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239412,4.00,4.00,3.00,4.00,5.00,4.88,2.00,6.00,2.00,208,NULL,238,'SANTA TERESA','S PEDRO ALCÂNTARA','SC',14391,297,NULL,266,NULL,NULL,NULL,2,1),(25,6239420,5.00,6.00,3.00,5.00,7.00,0.00,2.00,5.00,3.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239439,3.00,3.00,1.00,5.00,7.00,8.25,3.00,1.00,2.00,5,NULL,NULL,'FLORESTA','S JOSÉ','SC',18533,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239447,7.00,6.00,6.00,7.00,8.00,6.75,4.00,8.00,6.00,208,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',1707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6239463,4.00,5.00,2.00,4.00,8.00,7.50,1.00,4.00,2.00,653,NULL,NULL,'SÃO PEDRO','FORQUILHINHA','SC',15816,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6239471,8.00,7.00,7.00,7.00,7.00,8.25,5.00,3.00,9.00,201,NULL,202,'CENTRO','UNIÃO VITÓRIA','PR',1291,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6239480,4.00,4.00,2.00,1.00,6.00,7.50,0.00,4.00,4.00,108,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',16154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239498,6.00,7.00,5.00,7.00,10.00,10.13,1.00,4.00,9.00,103,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',2423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239501,3.00,3.00,1.00,2.00,3.00,7.13,1.00,1.00,1.00,303,NULL,NULL,'IPIRANGA','S JOSÉ','SC',20590,849,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239510,6.00,4.00,3.00,4.00,7.00,9.75,2.00,6.00,5.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7155,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239528,5.00,7.00,2.00,3.00,6.00,7.13,3.00,4.00,4.00,207,NULL,201,'CARVOEIRA','FLORIANÓPOLIS','SC',11819,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IVAIPORÃ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6239552,7.00,8.00,0.00,7.00,8.00,10.13,2.00,9.00,5.00,303,NULL,NULL,'VELHA','BLUMENAU','SC',4350,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6239560,4.00,7.00,2.00,5.00,8.00,8.25,2.00,9.00,4.00,201,NULL,601,'CENTRO','BRUSQUE','SC',5115,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6239579,4.00,5.00,2.00,3.00,9.00,8.63,1.00,3.00,0.00,340,NULL,NULL,'BUCAREIN','JOINVILLE','SC',13779,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6239587,4.00,5.00,1.00,4.00,8.00,7.50,4.00,1.00,2.00,424,NULL,427,'BARREIROS','S JOSÉ','SC',14293,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239595,7.00,9.00,2.00,6.00,10.00,11.25,2.00,8.00,7.00,301,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',1582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239609,8.00,7.00,9.00,7.00,9.00,9.00,4.00,5.00,8.00,103,NULL,NULL,'VILA BRASILÂNDIA','S PAULO','SP',681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239617,7.00,6.00,6.00,6.00,7.00,9.38,0.00,6.00,7.00,207,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',2518,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239625,8.00,9.00,7.00,7.00,10.00,12.38,2.00,9.00,6.00,103,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239633,5.00,6.00,4.00,4.00,9.00,7.50,1.00,6.00,1.00,103,NULL,NULL,'JARAGUÁ DO SUL','JARAGUÁ SUL','SC',8831,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6239641,8.00,7.00,8.00,7.00,9.00,10.88,4.00,9.00,9.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',161,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239676,7.00,5.00,2.00,5.00,4.00,9.75,4.00,4.00,5.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9059,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239684,4.00,5.00,3.00,0.00,4.00,7.13,2.00,5.00,2.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',18359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239692,3.00,5.00,0.00,3.00,6.00,10.13,1.00,4.00,2.00,109,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',15551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239706,5.00,3.00,3.00,4.00,5.00,9.00,2.00,4.00,2.00,601,NULL,208,'JARDIM SOFIA','JOINVILLE','SC',13518,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6239714,9.00,8.00,5.00,8.00,9.00,10.13,4.00,8.00,8.00,103,NULL,NULL,'FLORESTA','VIDEIRA','SC',394,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6239722,6.00,7.00,5.00,6.00,8.00,9.38,3.00,6.00,3.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239730,2.00,5.00,2.00,4.00,8.00,5.25,4.00,4.00,4.00,5,NULL,NULL,'SANTA TERESA','S PEDRO ALCÂNTARA','SC',13578,473,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6239757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,7),(25,6239765,1.00,3.00,0.00,0.00,4.00,NULL,2.00,0.00,1.00,601,NULL,203,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6239773,2.00,7.00,3.00,2.00,6.00,NULL,0.00,0.00,1.00,201,NULL,202,'CENTRO','IBAITI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6239781,8.00,5.00,4.00,7.00,9.00,9.75,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','LGA VERMELHA','RS',2074,1293,NULL,NULL,NULL,NULL,NULL,2,9),(25,6239790,6.00,6.00,3.00,7.00,8.00,11.25,2.00,9.00,4.00,220,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',5102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239803,1.00,2.00,3.00,3.00,7.00,9.75,1.00,2.00,2.00,102,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',19208,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6239811,1.00,5.00,1.00,5.00,3.00,8.25,4.00,2.00,1.00,429,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239820,4.00,6.00,2.00,4.00,10.00,7.88,2.00,4.00,2.00,103,NULL,NULL,'VILA LARSEN','LONDRINA','PR',10225,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6239838,3.00,4.00,3.00,2.00,3.00,7.50,1.00,5.00,0.00,223,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',20317,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'SÃO DIMAS','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6239854,3.00,4.00,0.00,1.00,9.00,9.00,2.00,2.00,1.00,324,NULL,NULL,'ALTO DA GLÓRIA','CURITIBA','PR',17050,13,NULL,NULL,NULL,NULL,NULL,4,8),(25,6239862,6.00,4.00,3.00,4.00,7.00,10.50,3.00,3.00,4.00,108,NULL,NULL,'RUBEM BRETA','PTO ALEGRE','RS',9489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239870,3.00,4.00,0.00,1.00,5.00,8.63,2.00,0.00,2.00,452,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',18400,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6239889,3.00,1.00,3.00,2.00,6.00,7.13,3.00,4.00,2.00,9,NULL,NULL,'CAPISTRANO','BOM RETIRO','SC',19832,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6239897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITARARÉ','S VICENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6239900,4.00,4.00,2.00,5.00,7.00,6.38,1.00,5.00,1.00,316,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',17182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','REGISTRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6239927,3.00,4.00,1.00,7.00,8.00,8.63,1.00,3.00,2.00,303,NULL,NULL,'VILA IPIRANGA','PTO ALEGRE','RS',12517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239935,4.00,4.00,3.00,4.00,5.00,8.63,4.00,3.00,4.00,224,NULL,NULL,'PRADO','BIGUAÇU','SC',14799,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6239943,4.00,5.00,0.00,5.00,8.00,NULL,0.00,0.00,1.00,108,NULL,NULL,'BELA VISTA','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6239951,6.00,7.00,2.00,5.00,8.00,10.13,0.00,4.00,4.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',7732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239960,5.00,4.00,3.00,3.00,4.00,9.00,2.00,2.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239978,7.00,7.00,4.00,4.00,7.00,8.25,2.00,6.00,6.00,103,NULL,NULL,'TATUAPÉ','S PAULO','SP',4465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6239986,6.00,6.00,3.00,6.00,7.00,7.88,3.00,3.00,4.00,212,NULL,201,'CENTRO','JARAGUÁ SUL','SC',7826,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6240003,6.00,4.00,4.00,6.00,8.00,8.63,2.00,6.00,7.00,103,NULL,NULL,'CAMPO BELO','LONDRINA','PR',5739,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6240011,5.00,5.00,6.00,6.00,5.00,6.75,4.00,2.00,4.00,5,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',9385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240020,8.00,6.00,7.00,5.00,7.00,7.13,7.00,6.00,6.00,203,NULL,214,'GARCIA','BLUMENAU','SC',1764,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6240038,5.00,5.00,3.00,3.00,7.00,NULL,0.00,4.00,1.00,216,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240046,4.00,8.00,2.00,4.00,10.00,8.25,3.00,4.00,4.00,220,NULL,202,'CARIANOS','FLORIANÓPOLIS','SC',7457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240054,4.00,4.00,1.00,1.00,6.00,NULL,2.00,0.00,0.00,207,NULL,233,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240062,5.00,5.00,2.00,3.00,7.00,6.75,2.00,6.00,4.00,999,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6240070,3.00,7.00,1.00,4.00,10.00,7.50,3.00,4.00,2.00,415,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',12485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240097,6.00,7.00,3.00,7.00,8.00,9.00,2.00,6.00,5.00,220,NULL,202,'JD DAS MANGUEIRAS','BARRA GARÇAS','MT',3860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SOFIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6240119,5.00,7.00,4.00,6.00,6.00,10.50,3.00,5.00,5.00,214,NULL,220,'JARDIM CANADA','RIBEIRÃO PRETO','SP',3324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240127,2.00,4.00,1.00,3.00,4.00,6.00,4.00,3.00,3.00,453,NULL,NULL,'ALTO IRANI','IRANI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6240143,7.00,6.00,6.00,4.00,8.00,8.63,3.00,2.00,6.00,203,NULL,214,'SERTÃO DO IMARUIM','S JOSÉ','SC',6389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ESPIGAO DO BUGRE','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6240160,8.00,7.00,5.00,6.00,7.00,6.75,4.00,6.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240178,5.00,3.00,4.00,3.00,7.00,6.38,2.00,1.00,1.00,203,NULL,220,'RURAL','TAQUARUÇU SUL','RS',14366,898,NULL,389,NULL,NULL,NULL,2,1),(25,6240186,2.00,0.00,1.00,5.00,4.00,NULL,2.00,1.00,2.00,652,NULL,655,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6240208,2.00,5.00,3.00,3.00,7.00,9.38,1.00,3.00,2.00,102,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',15160,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240216,7.00,4.00,3.00,6.00,7.00,10.13,2.00,7.00,4.00,211,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',5929,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240224,5.00,5.00,2.00,5.00,6.00,9.00,1.00,2.00,3.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',14496,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6240232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,216,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6240240,4.00,5.00,1.00,6.00,8.00,9.00,2.00,1.00,1.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240259,4.00,4.00,2.00,4.00,7.00,8.63,3.00,4.00,0.00,404,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',13215,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240267,1.00,4.00,1.00,1.00,3.00,7.50,0.00,0.00,0.00,9,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240283,7.00,6.00,3.00,7.00,7.00,7.50,0.00,7.00,7.00,103,NULL,NULL,'VILA TATETUBA','S JOSÉ CAMPOS','SP',3047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240291,9.00,7.00,6.00,7.00,9.00,10.50,6.00,7.00,8.00,103,NULL,NULL,'SANTANA','S PAULO','SP',267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,601,'CANTA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6240313,2.00,5.00,3.00,6.00,7.00,7.88,0.00,5.00,2.00,421,NULL,425,'RIO CAVEIRAS','BIGUAÇU','SC',11823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240321,6.00,6.00,4.00,7.00,7.00,11.25,3.00,5.00,7.00,214,NULL,220,'JARDIM CANADA','RIBEIRÃO PRETO','SP',2067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240330,1.00,2.00,0.00,7.00,5.00,9.38,2.00,2.00,1.00,333,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',19779,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6240348,5.00,5.00,3.00,7.00,8.00,7.13,0.00,8.00,5.00,203,NULL,601,'PANTANAL','FLORIANÓPOLIS','SC',6329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240356,4.00,7.00,4.00,5.00,8.00,9.00,4.00,5.00,2.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',9257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240364,2.00,2.00,1.00,2.00,4.00,6.38,2.00,4.00,2.00,424,NULL,423,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240372,4.00,4.00,0.00,5.00,7.00,5.25,0.00,1.00,4.00,103,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',16171,4349,NULL,NULL,NULL,NULL,NULL,2,4),(25,6240380,8.00,3.00,8.00,4.00,7.00,9.75,2.00,4.00,8.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',3874,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6240399,5.00,7.00,2.00,3.00,7.00,7.13,4.00,6.00,5.00,203,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',6799,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240402,8.00,5.00,3.00,7.00,9.00,9.00,3.00,5.00,8.00,220,NULL,214,'CENTRO','SOROCABA','SP',2536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240410,1.00,3.00,0.00,2.00,5.00,8.25,0.00,0.00,4.00,207,NULL,211,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240429,2.00,5.00,3.00,1.00,0.00,NULL,1.00,2.00,3.00,238,NULL,208,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240437,3.00,3.00,0.00,4.00,2.00,NULL,1.00,0.00,2.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240445,4.00,4.00,1.00,6.00,6.00,9.00,2.00,3.00,2.00,201,NULL,215,'CENTRO','ITAJAÍ','SC',12940,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6240461,4.00,6.00,2.00,4.00,6.00,9.00,1.00,1.00,5.00,103,NULL,NULL,'CENTRO','ESTEIO','RS',12411,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240470,3.00,4.00,2.00,4.00,7.00,8.63,0.00,1.00,0.00,309,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240488,5.00,3.00,1.00,4.00,6.00,7.13,1.00,3.00,3.00,3,NULL,NULL,'VILA SANTA ISABEL','S ROQUE','SP',14784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240496,5.00,6.00,3.00,2.00,6.00,8.63,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7819,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6240500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',3,1),(25,6240518,7.00,7.00,2.00,7.00,7.00,9.00,2.00,6.00,6.00,203,NULL,214,'KOBRASOL','S JOSÉ','SC',3932,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'PALMITAL','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6240542,5.00,6.00,3.00,4.00,6.00,6.00,2.00,6.00,5.00,207,NULL,202,'BOM ABRIGO','FLORIANÓPOLIS','SC',12097,636,NULL,385,NULL,NULL,NULL,2,1),(25,6240550,5.00,5.00,4.00,5.00,6.00,NULL,5.00,8.00,3.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6240569,8.00,8.00,6.00,6.00,8.00,10.50,2.00,4.00,5.00,103,NULL,NULL,'PROGRESSO','BLUMENAU','SC',2705,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6240577,8.00,7.00,3.00,5.00,9.00,10.50,3.00,7.00,5.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240585,3.00,2.00,2.00,3.00,6.00,NULL,1.00,1.00,0.00,429,NULL,425,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240593,6.00,4.00,7.00,5.00,7.00,9.00,4.00,3.00,8.00,214,NULL,203,'CAJURU','CURITIBA','PR',3054,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6240607,4.00,3.00,3.00,5.00,5.00,8.63,2.00,3.00,2.00,202,NULL,213,'PASSA VINTE','PALHOÇA','SC',15458,489,NULL,226,NULL,NULL,NULL,2,1),(25,6240623,7.00,6.00,5.00,7.00,9.00,12.38,1.00,7.00,7.00,207,NULL,NULL,'LOTEAMENTO EDUARDO','PETROLINA','PE',1782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240631,4.00,6.00,1.00,5.00,6.00,8.63,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','LAGES','SC',13189,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6240640,3.00,5.00,0.00,7.00,7.00,7.88,3.00,4.00,7.00,214,NULL,213,'VILLAGE','GAROPABA','SC',10325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6240666,3.00,4.00,3.00,6.00,5.00,NULL,0.00,0.00,2.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240682,4.00,6.00,3.00,3.00,7.00,8.25,1.00,3.00,5.00,220,NULL,211,'N SRA DE FÁTIMA','BARRACÃO','PR',10601,306,NULL,259,NULL,NULL,NULL,4,4),(25,6240704,0.00,3.00,1.00,2.00,4.00,6.38,1.00,1.00,4.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARIA HELENA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6240739,6.00,7.00,3.00,7.00,6.00,9.00,1.00,8.00,5.00,208,NULL,NULL,'SAO CRISTOVÃO','CHAPECÓ','SC',5158,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6240747,5.00,4.00,2.00,0.00,7.00,7.13,1.00,2.00,2.00,103,NULL,NULL,'BELA VISTA','S JOSÉ','SC',20253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240755,4.00,4.00,1.00,2.00,6.00,7.88,4.00,1.00,2.00,215,NULL,211,'CAMPECHE','FLORIANÓPOLIS','SC',15171,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240763,7.00,5.00,3.00,2.00,7.00,6.75,2.00,3.00,3.00,207,NULL,201,'SÃO JOÃO MD','TUBARÃO','SC',14339,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6240771,5.00,5.00,3.00,4.00,6.00,7.88,2.00,3.00,4.00,108,NULL,NULL,'SANTA CATARINA','CRICIÚMA','SC',11085,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6240780,7.00,6.00,3.00,7.00,8.00,12.00,1.00,4.00,3.00,103,NULL,NULL,'CIDADE JARDIM','S JOSÉ PINHAIS','PR',4336,2190,NULL,NULL,NULL,NULL,NULL,4,8),(25,6240798,2.00,2.00,0.00,2.00,6.00,5.63,0.00,1.00,1.00,207,NULL,NULL,'SAO MARTINHO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6240801,4.00,5.00,3.00,3.00,9.00,6.38,3.00,2.00,4.00,317,NULL,NULL,'CAMOBI','STA MARIA','RS',10894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240828,4.00,5.00,3.00,7.00,7.00,8.25,2.00,7.00,3.00,301,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',10200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240844,4.00,5.00,0.00,4.00,4.00,0.00,2.00,5.00,3.00,102,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240852,2.00,4.00,2.00,2.00,4.00,NULL,0.00,2.00,1.00,235,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240860,2.00,6.00,0.00,6.00,5.00,NULL,2.00,3.00,0.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6240887,2.00,4.00,0.00,4.00,6.00,NULL,3.00,3.00,4.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240895,6.00,5.00,3.00,3.00,6.00,6.75,1.00,4.00,3.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240917,1.00,3.00,1.00,4.00,3.00,7.88,2.00,0.00,2.00,415,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',19943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240925,3.00,4.00,0.00,3.00,5.00,8.25,3.00,3.00,1.00,108,NULL,NULL,'TARUMÃ','CURITIBA','PR',15016,218,NULL,NULL,NULL,NULL,NULL,2,5),(25,6240933,7.00,7.00,4.00,6.00,8.00,8.63,3.00,7.00,6.00,201,NULL,235,'RIO MAINA','CRICIÚMA','SC',3250,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6240941,2.00,3.00,4.00,5.00,6.00,10.50,0.00,2.00,0.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',18629,157,NULL,NULL,NULL,NULL,NULL,2,1),(25,6240950,2.00,3.00,2.00,3.00,5.00,7.50,1.00,2.00,2.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6240976,4.00,5.00,4.00,7.00,6.00,9.75,3.00,3.00,3.00,201,NULL,NULL,'CENTRO','LAGES','SC',10201,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6240984,3.00,3.00,2.00,3.00,4.00,8.25,1.00,1.00,1.00,9,NULL,NULL,'MINA DO MATO','CRICIÚMA','SC',20601,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6240992,4.00,5.00,2.00,6.00,7.00,8.25,2.00,4.00,1.00,103,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',13494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241000,0.00,1.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6241018,3.00,5.00,0.00,1.00,7.00,NULL,1.00,0.00,1.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241026,3.00,6.00,3.00,6.00,7.00,10.88,1.00,4.00,4.00,201,NULL,212,'BARREIROS','S JOSÉ','SC',8245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241034,2.00,3.00,1.00,1.00,5.00,5.63,0.00,0.00,1.00,103,NULL,NULL,'BOA VISTA','CPO MAGRO','PR',21771,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6241042,4.00,5.00,1.00,1.00,5.00,6.75,1.00,2.00,3.00,238,NULL,211,'IPIRANGA','S JOSÉ','SC',20554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241050,6.00,7.00,5.00,6.00,8.00,10.50,3.00,7.00,5.00,103,NULL,NULL,'BOA VISTA','POUSO REDONDO','SC',2863,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6241077,7.00,7.00,5.00,6.00,8.00,8.63,6.00,6.00,9.00,203,NULL,601,'RONDINHA','CPO LARGO','PR',1194,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6241085,2.00,4.00,3.00,2.00,4.00,7.50,1.00,2.00,0.00,326,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241093,5.00,8.00,1.00,4.00,5.00,7.88,1.00,4.00,5.00,201,NULL,NULL,'MINA DO MATO','CRICIÚMA','SC',10232,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6241107,8.00,6.00,4.00,7.00,6.00,NULL,0.00,5.00,8.00,103,NULL,NULL,'SANTA MÔNICA','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6241123,5.00,5.00,3.00,2.00,6.00,6.00,4.00,5.00,5.00,103,NULL,NULL,'PAPICU','FORTALEZA','CE',8243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241131,4.00,4.00,2.00,3.00,6.00,8.25,1.00,4.00,3.00,601,NULL,216,'VILA NOVA','JOINVILLE','SC',17193,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6241140,8.00,6.00,2.00,6.00,8.00,10.50,1.00,5.00,7.00,103,NULL,NULL,'CENTRO','NOVA CANTU','PR',4061,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6241158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ASSUNÇÃO','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6241166,2.00,5.00,0.00,1.00,5.00,NULL,1.00,0.00,2.00,235,NULL,202,'ANDREATTA','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6241182,3.00,6.00,3.00,6.00,8.00,8.63,0.00,6.00,5.00,429,NULL,424,'CENTRO','S PAULO MISSÕES','RS',7881,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6241190,4.00,5.00,3.00,4.00,9.00,9.00,3.00,5.00,0.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA XV','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6241212,8.00,6.00,2.00,5.00,9.00,7.88,4.00,3.00,6.00,216,NULL,201,'VILA ALEXANDRIA','S PAULO','SP',5406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241220,4.00,8.00,3.00,3.00,9.00,10.50,2.00,3.00,0.00,453,NULL,NULL,'JARDIM LONDRILAR','LONDRINA','PR',12163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241239,5.00,5.00,4.00,7.00,11.00,10.50,4.00,5.00,7.00,220,NULL,203,'GIOCONDO ORSI','CPO GRANDE','MS',2157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241247,7.00,5.00,5.00,7.00,7.00,9.38,3.00,4.00,5.00,103,NULL,NULL,'ARNALDO BUZATO','ROLÂNDIA','PR',3878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241255,6.00,6.00,4.00,6.00,8.00,9.00,3.00,7.00,2.00,238,NULL,208,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241263,4.00,4.00,2.00,6.00,10.00,6.75,1.00,4.00,4.00,211,NULL,216,'AQUARIUS','S JOSÉ CAMPOS','SP',10190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241271,2.00,3.00,2.00,3.00,3.00,NULL,2.00,1.00,1.00,223,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6241280,5.00,6.00,5.00,8.00,10.00,10.13,2.00,6.00,6.00,303,NULL,NULL,'JARDINS','S PAULO','SP',3777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241298,4.00,5.00,3.00,5.00,5.00,7.88,2.00,4.00,2.00,109,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241301,0.00,3.00,2.00,3.00,3.00,5.63,2.00,2.00,2.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',20155,179,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241310,5.00,4.00,3.00,4.00,4.00,6.75,2.00,4.00,3.00,202,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',12627,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241344,3.00,3.00,0.00,3.00,8.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SÃO JOÃO DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241360,7.00,5.00,3.00,4.00,8.00,10.13,2.00,6.00,7.00,420,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241379,4.00,5.00,3.00,7.00,9.00,9.75,1.00,5.00,5.00,103,NULL,NULL,'SÃO JORGE','S MIGUEL OESTE','SC',5054,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6241387,4.00,3.00,2.00,5.00,6.00,9.38,0.00,2.00,3.00,5,NULL,NULL,'JARDIM SÃO NICOLAU','BIGUAÇU','SC',14433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241395,3.00,5.00,1.00,3.00,10.00,6.00,2.00,3.00,4.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',13152,4015,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241409,3.00,4.00,0.00,6.00,8.00,10.13,2.00,2.00,1.00,415,NULL,NULL,'OFICINAS','TUBARÃO','SC',14192,211,NULL,NULL,NULL,NULL,NULL,4,10),(25,6241425,5.00,6.00,5.00,7.00,10.00,10.50,2.00,2.00,4.00,207,NULL,NULL,'BARREIROS','S JOSÉ','SC',7562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241433,1.00,3.00,2.00,3.00,3.00,8.63,2.00,1.00,0.00,303,NULL,NULL,'CENTRO','TERRA RICA','PR',20401,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6241441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(25,6241468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'FÁTIMA','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6241476,6.00,5.00,1.00,5.00,9.00,11.25,1.00,5.00,3.00,207,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',8050,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241484,6.00,6.00,1.00,5.00,8.00,8.25,2.00,7.00,3.00,101,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',7725,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241492,2.00,3.00,1.00,2.00,6.00,7.13,2.00,2.00,3.00,108,NULL,NULL,'FORTALEZA','BLUMENAU','SC',20743,304,NULL,NULL,NULL,NULL,NULL,2,2),(25,6241506,6.00,6.00,2.00,6.00,6.00,9.75,4.00,5.00,5.00,216,NULL,214,'UNIVERSITÁRIO','CRICIÚMA','SC',6386,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6241514,9.00,8.00,5.00,6.00,10.00,6.75,2.00,8.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241522,5.00,6.00,4.00,6.00,6.00,8.63,2.00,3.00,5.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',8417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241530,4.00,6.00,5.00,6.00,4.00,6.75,3.00,7.00,5.00,212,NULL,233,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',8344,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241549,7.00,6.00,3.00,6.00,9.00,10.13,2.00,8.00,8.00,233,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',2477,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6241557,3.00,4.00,2.00,5.00,6.00,8.25,0.00,5.00,3.00,301,NULL,NULL,'FLORESTA','S JOSÉ','SC',14843,183,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241565,3.00,0.00,1.00,2.00,1.00,NULL,0.00,0.00,0.00,201,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6241573,8.00,8.00,5.00,6.00,10.00,11.25,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','TAIÓ','SC',761,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241581,8.00,6.00,5.00,4.00,7.00,8.63,2.00,7.00,6.00,211,NULL,207,'CAMPECHE','FLORIANÓPOLIS','SC',5258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241590,3.00,4.00,2.00,5.00,5.00,9.38,3.00,5.00,2.00,301,NULL,NULL,'CRISTAL','CONCÓRDIA','SC',12085,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6241603,6.00,7.00,4.00,7.00,8.00,8.63,1.00,5.00,2.00,207,NULL,215,'COSTA E SILVA','JOINVILLE','SC',7637,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6241611,6.00,6.00,5.00,6.00,6.00,9.75,3.00,5.00,6.00,108,NULL,NULL,'CENTRO','PALHOÇA','SC',4024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241620,2.00,5.00,3.00,3.00,7.00,7.88,2.00,2.00,2.00,208,NULL,NULL,'BARREIROS','S JOSÉ','SC',18294,472,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241646,5.00,5.00,5.00,6.00,9.00,9.38,4.00,6.00,5.00,203,NULL,220,'CENTRO','ITAJAÍ','SC',3845,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6241654,5.00,3.00,1.00,2.00,9.00,8.25,2.00,5.00,1.00,109,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',16095,77,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241670,3.00,1.00,2.00,4.00,6.00,9.38,0.00,2.00,2.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',17207,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6241689,2.00,3.00,2.00,2.00,6.00,7.88,1.00,0.00,0.00,103,NULL,NULL,'JARDIM NAZARETH','MOGI MIRIM','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6241697,0.00,3.00,0.00,0.00,0.00,NULL,1.00,3.00,0.00,207,NULL,211,'PRIMAVERA','CEL VIVIDA','PR',NULL,NULL,NULL,NULL,'S',NULL,'S',2,1),(25,6241700,4.00,7.00,4.00,7.00,9.00,6.38,0.00,4.00,2.00,220,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',9938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241719,7.00,5.00,3.00,6.00,7.00,9.00,1.00,4.00,4.00,233,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',9012,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6241727,8.00,5.00,6.00,7.00,8.00,10.13,3.00,7.00,9.00,203,NULL,220,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',1097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241735,3.00,4.00,1.00,4.00,5.00,9.00,3.00,3.00,0.00,425,NULL,428,'PRAIA DE PALMAS','GOV CELSO RAMOS','SC',16244,58,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241743,2.00,2.00,0.00,3.00,4.00,7.13,4.00,5.00,1.00,318,NULL,NULL,'NAZARÉ','CONCÓRDIA','SC',16675,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6241751,5.00,4.00,1.00,6.00,8.00,10.50,1.00,3.00,4.00,319,NULL,NULL,'BARÃO GERALDO','CAMPINAS','SP',9142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241760,6.00,0.00,1.00,6.00,6.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6241778,2.00,2.00,0.00,2.00,3.00,NULL,3.00,0.00,2.00,211,NULL,216,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241786,5.00,3.00,0.00,6.00,5.00,8.63,1.00,4.00,2.00,238,NULL,203,'SANTO ANTÔNIO','FLORIANÓPOLIS','SC',13034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VILA HORIZONTE','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6241824,1.00,2.00,2.00,2.00,2.00,NULL,2.00,0.00,1.00,404,NULL,NULL,'CENTRO','XANGRI-LÁ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241832,5.00,4.00,2.00,3.00,9.00,7.50,2.00,1.00,1.00,207,NULL,201,'CENTRO','ITUPORANGA','SC',17805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'BRAS CUBAS','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6241859,4.00,8.00,3.00,4.00,9.00,7.88,1.00,5.00,6.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',5941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CIDADE NOVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6241883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MORRO DO ESPELHO','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6241891,3.00,4.00,3.00,1.00,7.00,6.38,0.00,0.00,1.00,316,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',21233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'FLAMENGO','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6241913,4.00,6.00,2.00,3.00,7.00,6.75,2.00,5.00,3.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',12879,3976,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241921,2.00,4.00,0.00,2.00,4.00,NULL,3.00,1.00,1.00,316,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241930,4.00,5.00,0.00,4.00,2.00,NULL,0.00,1.00,3.00,201,NULL,601,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6241948,2.00,0.00,0.00,2.00,6.00,7.50,1.00,1.00,2.00,308,NULL,NULL,'SANTA CRUZ','ÁGUAS MORNAS','SC',21751,84,NULL,NULL,NULL,NULL,NULL,1,1),(25,6241956,5.00,6.00,3.00,5.00,6.00,9.75,4.00,7.00,3.00,207,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',6945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241964,4.00,6.00,2.00,3.00,4.00,7.88,2.00,4.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6241972,8.00,8.00,7.00,7.00,5.00,8.63,4.00,7.00,8.00,202,NULL,235,'GLÓRIA','BLUMENAU','SC',1158,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6241980,2.00,5.00,0.00,4.00,4.00,5.25,3.00,2.00,1.00,225,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',20923,35,NULL,NULL,NULL,NULL,NULL,4,1),(25,6241999,2.00,3.00,1.00,4.00,6.00,6.75,1.00,6.00,1.00,501,NULL,NULL,'JARDIN SINUELO','ASTORGA','PR',17773,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6242006,8.00,5.00,1.00,5.00,9.00,9.38,2.00,2.00,7.00,104,NULL,NULL,'CENTRO','PATO BRANCO','PR',6460,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6242014,4.00,3.00,1.00,6.00,7.00,7.50,1.00,4.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6242022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CORTICEIRA','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6242030,3.00,5.00,1.00,1.00,2.00,NULL,2.00,4.00,3.00,302,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6242049,6.00,6.00,0.00,6.00,8.00,NULL,2.00,4.00,3.00,108,NULL,NULL,'VILA ROMANA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242065,4.00,5.00,4.00,4.00,9.00,7.88,2.00,5.00,1.00,303,NULL,NULL,'CENTRO','CAPÃO CANOA','RS',13795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242073,4.00,5.00,1.00,3.00,6.00,12.00,2.00,4.00,2.00,404,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6242081,2.00,6.00,1.00,2.00,6.00,7.13,1.00,1.00,1.00,309,NULL,NULL,'AMÉRICA','JOINVILLE','SC',18853,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(25,6242090,6.00,6.00,5.00,7.00,10.00,8.25,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',3911,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6242103,3.00,3.00,1.00,6.00,5.00,4.88,1.00,5.00,3.00,316,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',19469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242120,3.00,4.00,1.00,1.00,3.00,8.25,2.00,2.00,1.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6242138,5.00,3.00,3.00,4.00,8.00,8.63,1.00,6.00,4.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',9827,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6242146,3.00,6.00,3.00,7.00,6.00,9.75,3.00,3.00,6.00,214,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',6822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242154,4.00,4.00,3.00,4.00,7.00,10.13,4.00,5.00,5.00,340,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',9785,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6242162,4.00,3.00,1.00,4.00,7.00,6.75,1.00,2.00,2.00,103,NULL,NULL,'JARDIM FLAMBOYANT','CAMPINAS','SP',16222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242170,6.00,4.00,2.00,4.00,7.00,9.00,1.00,3.00,3.00,452,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',13200,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6242189,5.00,7.00,0.00,6.00,9.00,NULL,3.00,1.00,3.00,340,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6242219,7.00,7.00,6.00,7.00,9.00,10.13,7.00,9.00,9.00,103,NULL,NULL,'BATEL','CURITIBA','PR',72,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6242227,5.00,6.00,4.00,4.00,6.00,8.25,3.00,7.00,5.00,201,NULL,211,'ACORES','FLORIANÓPOLIS','SC',7156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242235,2.00,2.00,3.00,2.00,5.00,6.38,1.00,5.00,1.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6242243,5.00,6.00,2.00,6.00,9.00,9.00,2.00,4.00,7.00,215,NULL,653,'CENTRO','TAUBATÉ','SP',5098,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6242251,1.00,4.00,0.00,0.00,4.00,NULL,2.00,5.00,2.00,108,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242260,6.00,6.00,1.00,7.00,9.00,10.50,3.00,8.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242278,7.00,5.00,5.00,6.00,7.00,7.50,2.00,7.00,6.00,207,NULL,215,'COQUEIROS','FLORIANÓPOLIS','SC',4668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242286,6.00,5.00,0.00,5.00,6.00,12.00,3.00,4.00,3.00,301,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',11229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,601,'ARATIMBÓ','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6242308,7.00,5.00,5.00,8.00,8.00,9.75,5.00,6.00,6.00,203,NULL,201,'ALTO DE PINHEIROS','S PAULO','SP',1888,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6242332,5.00,6.00,4.00,6.00,9.00,8.25,2.00,3.00,3.00,109,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',8676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6242340,3.00,4.00,1.00,3.00,4.00,6.75,1.00,3.00,1.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242359,7.00,6.00,6.00,7.00,7.00,8.63,3.00,4.00,6.00,207,NULL,NULL,'CENTRO','BELO HORIZONTE','MG',3696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242367,8.00,7.00,6.00,7.00,10.00,10.50,2.00,7.00,5.00,201,NULL,207,'PONTA DE BAIXO','S JOSÉ','SC',1170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242375,5.00,2.00,1.00,2.00,4.00,NULL,0.00,2.00,1.00,999,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6242383,5.00,5.00,3.00,5.00,6.00,7.88,0.00,2.00,2.00,333,NULL,NULL,'TATUAPÉ','S PAULO','SP',13073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242405,5.00,6.00,3.00,6.00,9.00,10.13,4.00,4.00,5.00,452,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',5398,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6242413,4.00,5.00,1.00,5.00,9.00,9.00,1.00,3.00,1.00,104,NULL,NULL,'INDUSTRIÁRIOS','CONCÓRDIA','SC',12815,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6242421,4.00,6.00,4.00,0.00,9.00,7.88,2.00,2.00,3.00,202,NULL,213,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',13056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242430,7.00,6.00,5.00,7.00,9.00,10.13,4.00,6.00,8.00,103,NULL,NULL,'JARDIM KENNEDY','LONDRINA','PR',1400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242448,5.00,6.00,3.00,6.00,7.00,9.38,1.00,3.00,2.00,207,NULL,201,'AHÚ','CURITIBA','PR',11130,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6242472,9.00,6.00,4.00,5.00,9.00,9.38,2.00,5.00,8.00,103,NULL,NULL,'VILA NOVA','PARAGUAÇU PAULISTA','SP',2661,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6242480,3.00,4.00,3.00,3.00,4.00,6.75,0.00,3.00,2.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',20006,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6242499,3.00,3.00,2.00,3.00,6.00,6.75,2.00,3.00,0.00,502,NULL,NULL,'CENTRO','ERVAL VELHO','SC',18403,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6242502,6.00,6.00,4.00,5.00,6.00,7.88,3.00,7.00,6.00,203,NULL,202,'UBERABA','CURITIBA','PR',3879,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6242510,8.00,7.00,4.00,6.00,8.00,10.88,3.00,6.00,8.00,103,NULL,NULL,'CENTRO','S LEOPOLDO','RS',1502,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6242529,2.00,1.00,3.00,2.00,6.00,8.63,1.00,2.00,2.00,205,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6242537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6242553,6.00,7.00,3.00,4.00,9.00,5.63,0.00,5.00,6.00,102,NULL,NULL,'JUVEVE','CURITIBA','PR',9984,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6242561,2.00,3.00,4.00,4.00,4.00,7.50,1.00,2.00,2.00,110,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',18492,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6242570,3.00,5.00,2.00,4.00,3.00,9.38,1.00,5.00,3.00,108,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',16756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242588,3.00,4.00,2.00,2.00,3.00,9.38,4.00,4.00,1.00,102,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242596,8.00,5.00,5.00,7.00,9.00,9.00,2.00,4.00,6.00,103,NULL,NULL,'CARANDÁ BOSQUE II','CPO GRANDE','MS',3138,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6242600,5.00,7.00,3.00,3.00,10.00,8.63,2.00,5.00,7.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',4715,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6242618,5.00,5.00,3.00,4.00,4.00,6.75,2.00,6.00,1.00,652,NULL,202,'COLONINHA','ARARANGUÁ','SC',12248,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6242626,2.00,2.00,1.00,3.00,4.00,7.50,1.00,1.00,0.00,302,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',20419,186,NULL,NULL,NULL,NULL,NULL,2,1),(25,6242634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD ESPLANADA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6242650,7.00,5.00,4.00,5.00,6.00,9.00,2.00,5.00,7.00,214,NULL,216,'QUINTA DA BOA VISTA','JUNDIAÍ','SP',7682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242669,5.00,6.00,2.00,6.00,6.00,6.75,2.00,5.00,5.00,216,NULL,203,'AHÚ DE BAIXO','CURITIBA','PR',8847,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6242677,2.00,3.00,3.00,3.00,6.00,7.13,3.00,2.00,1.00,201,NULL,NULL,'PIONEIRO','LUCAS R VERDE','MT',19586,1608,NULL,NULL,NULL,NULL,NULL,4,2),(25,6242693,5.00,4.00,3.00,2.00,8.00,10.50,3.00,2.00,3.00,9,NULL,NULL,'SANTANA','S PAULO','SP',10265,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242715,2.00,5.00,2.00,2.00,4.00,4.88,0.00,4.00,2.00,453,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',19690,136,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242723,5.00,2.00,5.00,2.00,3.00,6.75,0.00,2.00,2.00,108,NULL,NULL,'JARDIN LA SALE','TOLEDO','PR',19278,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6242731,6.00,7.00,4.00,6.00,10.00,9.38,3.00,6.00,7.00,103,NULL,NULL,'JARDIM ANGELICA','CRICIÚMA','SC',1919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242758,6.00,7.00,3.00,1.00,6.00,8.63,3.00,5.00,4.00,103,NULL,NULL,'JARDIM AMÉRICA','RIO CLARO','SP',6563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242766,5.00,6.00,3.00,3.00,7.00,9.75,1.00,1.00,1.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13007,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6242774,6.00,4.00,2.00,5.00,6.00,7.50,3.00,4.00,4.00,601,NULL,211,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6242782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INDEPENDENCIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6242790,3.00,3.00,2.00,5.00,7.00,8.25,0.00,1.00,2.00,999,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6242804,5.00,4.00,1.00,4.00,5.00,3.75,3.00,4.00,3.00,501,NULL,NULL,'KOBRASSOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6242812,2.00,2.00,2.00,1.00,3.00,4.50,0.00,2.00,3.00,332,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6242820,7.00,6.00,3.00,2.00,7.00,8.25,1.00,3.00,3.00,404,NULL,NULL,'SANTA FÉ','PTO ALEGRE','RS',11373,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6242839,8.00,8.00,4.00,7.00,8.00,10.50,5.00,8.00,8.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',410,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6242847,5.00,5.00,1.00,3.00,7.00,10.50,0.00,5.00,1.00,102,NULL,NULL,'PEDREIRA','BELÉM','PA',12206,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6242863,3.00,6.00,2.00,6.00,10.00,11.63,2.00,6.00,3.00,310,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242871,4.00,5.00,3.00,5.00,7.00,9.75,1.00,2.00,2.00,207,NULL,211,'JARDIM BRASIL','S PAULO','SP',11702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242880,6.00,4.00,5.00,7.00,6.00,7.88,2.00,2.00,7.00,216,NULL,202,'PILARZINHO','CURITIBA','PR',7173,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6242898,6.00,3.00,1.00,5.00,5.00,10.50,0.00,2.00,3.00,301,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',17241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6242910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6242928,5.00,7.00,0.00,5.00,8.00,7.13,2.00,6.00,4.00,340,NULL,NULL,'ESCOLA AGRICOLA','BLUMENAU','SC',9027,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6242936,1.00,0.00,0.00,1.00,1.00,NULL,0.00,0.00,1.00,301,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6242952,3.00,4.00,1.00,6.00,5.00,8.63,0.00,1.00,0.00,103,NULL,NULL,'GUARANI','NOVO HAMBURGO','RS',17272,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6242960,2.00,2.00,3.00,3.00,1.00,NULL,0.00,2.00,0.00,9,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6242987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM UNIVERSITÁRIO','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6242995,0.00,0.00,0.00,0.00,2.00,NULL,0.00,3.00,1.00,319,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243010,4.00,5.00,4.00,5.00,8.00,8.63,3.00,4.00,4.00,216,NULL,203,'CENTRO','JARAGUÁ SUL','SC',7324,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6243029,5.00,4.00,2.00,2.00,5.00,5.25,2.00,2.00,2.00,220,NULL,214,'CENTRO','CRICIÚMA','SC',20567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6243037,3.00,2.00,1.00,4.00,4.00,7.13,1.00,5.00,3.00,999,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243045,5.00,2.00,2.00,5.00,8.00,6.00,1.00,1.00,3.00,104,NULL,NULL,'CENTRO','CÂNDIDO MOTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6243053,5.00,6.00,3.00,6.00,7.00,NULL,4.00,5.00,4.00,203,NULL,220,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6243061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'CENTRO','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6243070,5.00,6.00,3.00,3.00,9.00,7.88,2.00,5.00,4.00,214,NULL,233,'PANTANAL','FLORIANÓPOLIS','SC',9212,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6243088,1.00,4.00,2.00,2.00,4.00,4.88,3.00,1.00,2.00,308,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',21580,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6243096,5.00,5.00,4.00,5.00,7.00,9.00,1.00,6.00,2.00,327,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',10081,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6243100,4.00,4.00,0.00,3.00,8.00,NULL,2.00,3.00,2.00,222,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CAÇADOR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6243134,2.00,3.00,2.00,3.00,4.00,4.50,1.00,4.00,4.00,202,NULL,235,'INGLESES','FLORIANÓPOLIS','SC',19162,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6243142,7.00,6.00,1.00,6.00,9.00,9.38,3.00,6.00,8.00,214,NULL,233,'KOBRASOL','S JOSÉ','SC',3427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243150,6.00,6.00,4.00,1.00,8.00,9.00,1.00,6.00,5.00,103,NULL,NULL,'IPIRANGA','SOLEDADE','RS',6373,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6243169,7.00,6.00,5.00,7.00,9.00,13.50,1.00,9.00,7.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243185,3.00,4.00,3.00,3.00,8.00,9.75,3.00,3.00,0.00,601,NULL,653,'VILA NOVA','MAFRA','SC',13767,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6243193,2.00,3.00,0.00,7.00,7.00,7.50,3.00,3.00,3.00,238,NULL,208,'PASSA VINTE','PALHOÇA','SC',17568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243207,6.00,7.00,3.00,5.00,5.00,10.50,2.00,4.00,3.00,501,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',9144,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6243215,3.00,4.00,4.00,3.00,7.00,8.63,1.00,0.00,2.00,9,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',15322,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6243223,2.00,4.00,3.00,2.00,6.00,6.00,3.00,5.00,1.00,404,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6243231,6.00,6.00,6.00,6.00,8.00,9.00,4.00,6.00,6.00,201,NULL,235,'BOQUEIRÃO','CURITIBA','PR',2259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243240,4.00,4.00,0.00,1.00,6.00,9.00,1.00,6.00,3.00,208,NULL,655,'NOVO MUNDO','CURITIBA','PR',14535,304,NULL,56,NULL,NULL,NULL,4,8),(25,6243258,6.00,7.00,4.00,6.00,7.00,7.50,5.00,6.00,6.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',4392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243266,4.00,7.00,3.00,6.00,7.00,7.88,2.00,4.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243274,4.00,5.00,3.00,2.00,5.00,9.00,3.00,4.00,2.00,207,NULL,201,'N SRA DO ROSÁRIO','S JOSÉ','SC',15523,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6243282,2.00,4.00,1.00,3.00,7.00,7.88,0.00,3.00,1.00,202,NULL,653,'KOBRASOL','S JOSÉ','SC',17629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243304,3.00,0.00,1.00,0.00,3.00,NULL,0.00,1.00,2.00,223,NULL,NULL,'ESTREITO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243320,5.00,3.00,2.00,4.00,1.00,NULL,1.00,0.00,1.00,653,NULL,655,'POLICIA RODOVIARIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6243339,4.00,3.00,3.00,6.00,8.00,11.25,2.00,4.00,6.00,216,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',8581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'CENTRO','CARAZINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6243355,4.00,8.00,4.00,4.00,8.00,9.75,3.00,5.00,5.00,303,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',8195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243363,2.00,3.00,0.00,1.00,1.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243371,2.00,4.00,1.00,4.00,6.00,7.88,0.00,4.00,0.00,202,NULL,653,'VILA MOEMA','TUBARÃO','SC',17979,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6243380,2.00,4.00,4.00,4.00,3.00,NULL,4.00,2.00,3.00,336,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6243398,6.00,6.00,1.00,0.00,5.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6243401,4.00,6.00,5.00,5.00,6.00,8.25,2.00,3.00,1.00,104,NULL,NULL,'CENTRO','S CRISTÓVÃO SUL','SC',11889,270,NULL,NULL,NULL,NULL,NULL,2,16),(25,6243410,2.00,3.00,1.00,2.00,3.00,NULL,0.00,2.00,0.00,202,NULL,235,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6243428,4.00,4.00,4.00,4.00,6.00,10.50,2.00,4.00,5.00,999,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243436,4.00,5.00,3.00,3.00,6.00,7.88,4.00,7.00,3.00,327,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',12262,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6243452,3.00,6.00,2.00,3.00,6.00,6.75,2.00,4.00,3.00,333,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6243487,7.00,8.00,3.00,5.00,7.00,9.75,2.00,8.00,5.00,208,NULL,NULL,'CENTRO','PALMAS','PR',3602,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6243495,6.00,6.00,2.00,7.00,8.00,9.00,2.00,6.00,5.00,340,NULL,NULL,'GLÓRIA','JOINVILLE','SC',4833,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6243509,2.00,3.00,2.00,2.00,4.00,6.75,1.00,2.00,3.00,202,NULL,238,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',21249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6243533,7.00,6.00,4.00,5.00,6.00,9.75,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','TIJUCAS','SC',3288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243550,7.00,7.00,4.00,6.00,10.00,10.13,3.00,7.00,8.00,103,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',1057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6243576,3.00,5.00,3.00,1.00,6.00,5.63,2.00,4.00,1.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243592,7.00,5.00,4.00,5.00,6.00,9.00,1.00,5.00,6.00,103,NULL,NULL,'CAETANO BRANCO','JOAÇABA','SC',6336,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6243606,7.00,4.00,3.00,5.00,7.00,7.50,1.00,5.00,4.00,103,NULL,NULL,'N SENHORA APARECIDA','CURITIBANOS','SC',8640,3311,NULL,NULL,NULL,NULL,NULL,2,16),(25,6243622,8.00,7.00,9.00,7.00,9.00,9.75,5.00,6.00,8.00,103,NULL,NULL,'JARDIM ITAPURA I','PRES PRUDENTE','SP',236,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6243630,2.00,6.00,3.00,7.00,9.00,7.50,1.00,5.00,1.00,316,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',11708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243649,4.00,3.00,0.00,4.00,4.00,9.75,0.00,1.00,1.00,224,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6243657,5.00,7.00,9.00,7.00,9.00,11.25,5.00,6.00,8.00,203,NULL,201,'CENTRO','CHAPECÓ','SC',808,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6243665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,215,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6243673,4.00,5.00,1.00,5.00,6.00,6.00,3.00,5.00,4.00,207,NULL,238,'JARDIM BÉLGICA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243703,5.00,5.00,0.00,3.00,8.00,NULL,1.00,0.00,4.00,444,NULL,NULL,'GASPARETTO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6243711,6.00,7.00,6.00,7.00,6.00,6.00,6.00,5.00,5.00,203,NULL,220,'JARDIM DAS AMÉRICAS','CURITIBA','PR',3206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243720,3.00,1.00,1.00,4.00,5.00,7.50,0.00,4.00,1.00,652,NULL,235,'BOCKMANN','PARANAGUÁ','PR',19363,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6243746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6243762,5.00,5.00,3.00,5.00,5.00,9.38,4.00,2.00,6.00,203,NULL,220,'PIRAPÓ','APUCARANA','PR',6642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243770,6.00,6.00,3.00,7.00,5.00,8.63,0.00,5.00,0.00,207,NULL,201,'PICADAS DO SUL','S JOSÉ','SC',14246,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6243789,6.00,1.00,3.00,5.00,7.00,7.50,1.00,4.00,3.00,302,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',15281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243797,6.00,6.00,4.00,6.00,10.00,8.63,2.00,3.00,7.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',3585,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6243800,3.00,5.00,2.00,4.00,6.00,7.50,3.00,0.00,3.00,203,NULL,201,'CENTRO','CURITIBA','PR',16017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243819,4.00,2.00,1.00,6.00,6.00,NULL,2.00,3.00,1.00,207,NULL,211,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6243827,3.00,6.00,1.00,4.00,4.00,7.88,2.00,0.00,2.00,316,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6243851,6.00,4.00,1.00,6.00,9.00,10.13,2.00,6.00,5.00,103,NULL,NULL,'CAVALHADA','PTO ALEGRE','RS',4497,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6243860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6243878,1.00,4.00,2.00,3.00,1.00,NULL,0.00,0.00,3.00,316,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6243886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,203,'CENTRO','CHARQUEADAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6243894,7.00,5.00,3.00,6.00,7.00,8.63,1.00,6.00,5.00,5,NULL,NULL,'CORAL','LAGES','SC',6760,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6243916,5.00,4.00,2.00,5.00,5.00,10.13,0.00,3.00,2.00,319,NULL,NULL,'ESQUINA','URUBICI','SC',12716,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6243924,4.00,7.00,4.00,7.00,9.00,11.25,0.00,4.00,4.00,415,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',5320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243932,8.00,8.00,2.00,7.00,6.00,9.00,3.00,6.00,4.00,212,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243940,4.00,5.00,3.00,4.00,3.00,8.25,0.00,1.00,2.00,310,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',19347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243959,2.00,3.00,2.00,5.00,4.00,NULL,0.00,0.00,1.00,110,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6243967,6.00,6.00,3.00,3.00,6.00,7.13,2.00,7.00,8.00,103,NULL,NULL,'LINHA PROGRESSO','BOA V APARECIDA','PR',6166,2746,NULL,NULL,NULL,NULL,NULL,2,4),(25,6243983,4.00,5.00,3.00,3.00,6.00,6.75,0.00,2.00,0.00,426,NULL,429,'ESTREITO','FLORIANÓPOLIS','SC',20391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244009,4.00,3.00,2.00,3.00,6.00,7.88,1.00,3.00,0.00,207,NULL,238,'GLÓRIA','JOINVILLE','SC',16954,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6244017,3.00,4.00,0.00,3.00,6.00,8.25,2.00,3.00,4.00,216,NULL,211,'ZANIBONI','MOGI GUAÇU','SP',13699,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6244025,5.00,6.00,5.00,5.00,8.00,7.88,4.00,7.00,2.00,214,NULL,233,'CENTRO','URUSSANGA','SC',7037,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6244041,4.00,0.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'INDUSTRIAL','FLOR S SUL','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(25,6244050,4.00,5.00,2.00,5.00,5.00,9.00,3.00,4.00,3.00,303,NULL,NULL,'ROÇADO','S JOSÉ','SC',12115,570,NULL,NULL,NULL,NULL,NULL,2,1),(25,6244092,3.00,2.00,0.00,2.00,3.00,NULL,0.00,0.00,2.00,601,NULL,220,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6244106,5.00,4.00,3.00,6.00,7.00,7.88,2.00,6.00,6.00,201,NULL,233,'CRISTO REI','S CARLOS','SC',7363,546,NULL,NULL,NULL,NULL,NULL,2,4),(25,6244122,2.00,5.00,0.00,5.00,4.00,7.13,0.00,0.00,2.00,302,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6244149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6244165,1.00,4.00,2.00,6.00,6.00,6.75,1.00,3.00,1.00,317,NULL,NULL,'PALHOÇA','PALHOÇA','SC',16988,111,NULL,NULL,NULL,NULL,NULL,2,1),(25,6244173,6.00,8.00,4.00,3.00,8.00,9.75,3.00,7.00,5.00,103,NULL,NULL,'VARJOTA','FORTALEZA','CE',5164,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6244181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'VILA MARISTELA','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6244190,4.00,5.00,3.00,1.00,4.00,7.13,2.00,1.00,4.00,110,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',17885,96,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244203,1.00,6.00,3.00,4.00,5.00,6.75,1.00,2.00,2.00,238,NULL,208,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244211,3.00,4.00,0.00,2.00,4.00,5.63,2.00,2.00,4.00,339,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6244220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6244238,4.00,7.00,3.00,6.00,6.00,10.50,2.00,4.00,3.00,238,NULL,655,'ESTREITO','FLORIANÓPOLIS','SC',10291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'VILA FERROVIÁRIA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6244270,0.00,5.00,0.00,1.00,5.00,NULL,2.00,1.00,0.00,207,NULL,201,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6244297,4.00,6.00,1.00,5.00,9.00,12.00,0.00,4.00,3.00,450,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',10854,59,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'SÃO JOSÉ','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6244327,2.00,4.00,0.00,2.00,6.00,NULL,1.00,3.00,1.00,428,NULL,429,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244343,2.00,3.00,0.00,2.00,3.00,8.63,2.00,1.00,0.00,451,NULL,NULL,'TIMBEZINHO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244351,1.00,5.00,4.00,2.00,6.00,7.13,0.00,1.00,1.00,501,NULL,NULL,'RIO BATALHA','ITUPORANGA','SC',20780,118,NULL,NULL,NULL,NULL,NULL,2,9),(25,6244378,3.00,4.00,1.00,5.00,7.00,5.25,3.00,1.00,2.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',19095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244386,6.00,6.00,2.00,5.00,8.00,9.38,2.00,6.00,7.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',3086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244394,4.00,5.00,2.00,2.00,6.00,7.13,2.00,2.00,0.00,103,NULL,NULL,'TABOÃO','RIO SUL','SC',17255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244424,2.00,3.00,2.00,0.00,7.00,7.50,0.00,3.00,2.00,103,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',20522,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6244432,7.00,7.00,5.00,2.00,7.00,7.13,2.00,5.00,7.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',4297,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6244467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6244475,2.00,5.00,2.00,5.00,7.00,10.88,2.00,2.00,3.00,326,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6244483,5.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6244491,9.00,6.00,7.00,6.00,8.00,9.38,5.00,8.00,8.00,103,NULL,NULL,'CENTRO','PALMAS','PR',185,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6244505,4.00,5.00,2.00,5.00,8.00,9.75,3.00,4.00,0.00,415,NULL,NULL,'APARECIDA','CAMPOS NOVOS','SC',10424,130,NULL,NULL,NULL,NULL,NULL,2,7),(25,6244513,4.00,7.00,2.00,6.00,8.00,10.50,4.00,5.00,6.00,222,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244521,2.00,5.00,2.00,2.00,9.00,7.50,0.00,2.00,2.00,103,NULL,NULL,'TRICOLIM','CANOINHAS','SC',16624,4396,NULL,NULL,NULL,NULL,NULL,4,17),(25,6244548,4.00,5.00,0.00,3.00,7.00,NULL,2.00,0.00,2.00,207,NULL,201,'CENTRO','CATUÍPE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6244556,3.00,2.00,1.00,4.00,4.00,9.38,2.00,0.00,3.00,207,NULL,212,'CARIANOS','FLORIANÓPOLIS','SC',19237,1041,NULL,552,NULL,NULL,NULL,2,1),(25,6244564,7.00,6.00,6.00,4.00,8.00,10.13,2.00,6.00,5.00,203,NULL,216,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244580,7.00,5.00,3.00,6.00,10.00,10.50,2.00,6.00,5.00,103,NULL,NULL,'COAPHAMA','CPO GRANDE','MS',3740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244599,8.00,5.00,4.00,6.00,10.00,9.75,2.00,7.00,8.00,103,NULL,NULL,'LINDÓIA','CURITIBA','PR',1674,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6244610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6244645,7.00,3.00,1.00,6.00,7.00,6.38,1.00,4.00,3.00,108,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6244653,7.00,7.00,4.00,4.00,6.00,10.88,3.00,4.00,7.00,103,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',5187,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6244661,5.00,6.00,0.00,6.00,6.00,8.63,2.00,4.00,3.00,444,NULL,NULL,'ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC',13749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244670,3.00,3.00,2.00,2.00,6.00,7.50,1.00,0.00,2.00,601,NULL,NULL,'BOEHMERWALD','JOINVILLE','SC',20739,588,NULL,NULL,NULL,NULL,NULL,4,8),(25,6244696,3.00,5.00,3.00,3.00,6.00,8.25,1.00,5.00,4.00,103,NULL,NULL,'CENTRO','NHANDEARA','SP',11493,3787,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM SÃO NICOLAU','REGISTRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6244718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AQUÁRIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6244734,8.00,7.00,4.00,6.00,9.00,8.63,3.00,4.00,5.00,211,NULL,212,'JD UNIVERSITARIO','S JOSÉ R PRETO','SP',2828,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6244742,6.00,5.00,1.00,5.00,8.00,7.88,3.00,5.00,3.00,501,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10478,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6244769,4.00,5.00,3.00,5.00,8.00,8.63,1.00,5.00,4.00,109,NULL,NULL,'JARDIM DOS PÁSSAROS','ARAPONGAS','PR',10310,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6244777,7.00,5.00,3.00,5.00,9.00,7.88,2.00,2.00,4.00,5,NULL,NULL,'GLÓRIA','JOINVILLE','SC',8910,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6244785,7.00,7.00,4.00,5.00,6.00,7.50,1.00,5.00,4.00,103,NULL,NULL,'CENTRO','ARAÇATUBA','SP',6082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244807,3.00,2.00,3.00,2.00,2.00,NULL,2.00,5.00,0.00,224,NULL,NULL,'INTERIOR','ANCHIETA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6244815,3.00,7.00,0.00,4.00,8.00,NULL,0.00,7.00,3.00,328,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6244823,5.00,2.00,3.00,3.00,6.00,8.25,2.00,3.00,3.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6244840,1.00,6.00,0.00,3.00,6.00,7.13,3.00,1.00,3.00,104,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6244866,4.00,5.00,1.00,2.00,5.00,8.25,1.00,3.00,5.00,225,NULL,NULL,'FUNDOS','BIGUAÇU','SC',16993,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244874,7.00,5.00,3.00,5.00,8.00,8.25,2.00,6.00,2.00,301,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',8985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244882,3.00,6.00,4.00,4.00,7.00,8.63,3.00,1.00,4.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11438,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6244890,6.00,4.00,1.00,5.00,8.00,6.75,1.00,3.00,5.00,340,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6244904,3.00,4.00,2.00,3.00,5.00,7.50,0.00,3.00,2.00,339,NULL,NULL,'SÃO CRISTOVÃO','LAJEADO','RS',17715,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6244912,2.00,4.00,0.00,2.00,9.00,NULL,2.00,2.00,0.00,104,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6244920,4.00,4.00,1.00,6.00,7.00,9.38,1.00,0.00,4.00,104,NULL,NULL,'JARDIM DOS PÁSSAROS','ARAPONGAS','PR',15627,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6244939,4.00,5.00,1.00,3.00,6.00,9.00,0.00,3.00,2.00,104,NULL,NULL,'INTERIOR','DESCANSO','SC',14209,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6244955,5.00,4.00,3.00,3.00,8.00,9.38,0.00,3.00,2.00,317,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',11881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6244963,7.00,6.00,2.00,5.00,9.00,9.75,1.00,2.00,6.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',6482,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6244971,3.00,4.00,3.00,1.00,5.00,7.13,1.00,0.00,2.00,318,NULL,NULL,'TIJIPIÓ','S JOÃO BATISTA','SC',21215,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6244980,9.00,7.00,3.00,7.00,10.00,8.63,4.00,5.00,7.00,103,NULL,NULL,'CERÂMICA','ERECHIM','RS',1323,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6244998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'COLIBRIS','COSMÓPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6245005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6245013,8.00,6.00,4.00,7.00,8.00,9.75,4.00,7.00,7.00,103,NULL,NULL,'TIROLEZA','TRAMANDAÍ','RS',1796,1126,NULL,NULL,NULL,NULL,NULL,2,15),(25,6245021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6245048,3.00,2.00,2.00,3.00,5.00,8.25,0.00,3.00,3.00,333,NULL,NULL,'JNS AUXILIADORA','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245072,1.00,4.00,2.00,5.00,4.00,5.63,0.00,1.00,1.00,238,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',20175,485,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SANTA ISABEL','VIAMÃO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6245102,7.00,8.00,5.00,4.00,9.00,9.75,2.00,3.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4052,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6245129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6245137,5.00,6.00,0.00,7.00,7.00,9.75,0.00,3.00,3.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',11382,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245145,2.00,4.00,3.00,5.00,5.00,7.13,2.00,3.00,1.00,425,NULL,429,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245153,5.00,7.00,2.00,4.00,4.00,8.63,2.00,3.00,4.00,404,NULL,NULL,'IPIRANGA','S JOSÉ','SC',12257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'VILA ÉDIO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6245188,2.00,4.00,1.00,4.00,5.00,8.25,3.00,0.00,2.00,5,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',20858,704,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245196,8.00,5.00,1.00,7.00,7.00,9.00,2.00,4.00,5.00,215,NULL,233,'JOÃO PAULO','FLORIANÓPOLIS','SC',7823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245200,3.00,3.00,2.00,3.00,8.00,8.25,0.00,3.00,0.00,104,NULL,NULL,'CENTRO','SOMBRIO','SC',17052,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6245218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,211,'CENTRO','APIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6245226,5.00,2.00,2.00,4.00,7.00,7.88,2.00,2.00,4.00,601,NULL,202,'SÃO VICENTE','PATO BRANCO','PR',14079,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6245234,3.00,2.00,3.00,2.00,3.00,6.75,2.00,0.00,0.00,9,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245269,3.00,5.00,1.00,3.00,6.00,8.25,1.00,2.00,1.00,103,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',16971,4437,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245277,2.00,2.00,0.00,3.00,4.00,NULL,4.00,0.00,0.00,208,NULL,202,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245285,4.00,5.00,1.00,5.00,7.00,9.75,2.00,3.00,5.00,213,NULL,238,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',12671,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245293,5.00,1.00,2.00,4.00,7.00,9.00,2.00,6.00,2.00,415,NULL,NULL,'JARDIN ELDORADO','PALHOÇA','SC',15419,239,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245307,6.00,8.00,6.00,6.00,10.00,10.50,6.00,7.00,8.00,203,NULL,220,'SÍTIO CERCADO','CURITIBA','PR',399,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6245315,0.00,6.00,2.00,2.00,5.00,NULL,0.00,4.00,1.00,238,NULL,208,'MENINO DEUS','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6245323,0.00,2.00,0.00,1.00,4.00,5.63,1.00,4.00,3.00,2,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245340,4.00,4.00,2.00,4.00,5.00,9.38,2.00,3.00,2.00,302,NULL,NULL,'BELA VISTA','S JOSÉ','SC',16575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245366,4.00,5.00,1.00,7.00,8.00,9.00,3.00,3.00,2.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11239,194,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245374,3.00,4.00,3.00,5.00,6.00,8.63,1.00,4.00,3.00,551,NULL,NULL,'INTERIOR','BRUNÓPOLIS','SC',16073,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6245382,4.00,5.00,2.00,0.00,6.00,8.63,1.00,3.00,2.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245412,2.00,3.00,0.00,3.00,6.00,6.00,0.00,4.00,2.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',21264,716,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245420,2.00,4.00,3.00,5.00,7.00,4.88,2.00,3.00,2.00,104,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',18768,528,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245447,5.00,3.00,1.00,6.00,5.00,12.00,0.00,1.00,3.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15612,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245455,2.00,4.00,1.00,1.00,6.00,7.88,3.00,3.00,3.00,502,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245463,7.00,5.00,2.00,7.00,9.00,10.88,3.00,5.00,8.00,103,NULL,NULL,'PEDRO LUDOVICO','GOIÂNIA','GO',2530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245471,4.00,5.00,0.00,7.00,8.00,NULL,3.00,3.00,3.00,208,NULL,235,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245480,2.00,4.00,1.00,3.00,5.00,5.63,3.00,4.00,3.00,101,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245498,4.00,4.00,1.00,3.00,3.00,7.13,2.00,3.00,5.00,108,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16263,237,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245501,8.00,7.00,4.00,6.00,9.00,9.38,1.00,5.00,8.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',2572,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6245528,5.00,7.00,0.00,5.00,8.00,NULL,1.00,2.00,2.00,423,NULL,426,'JD EUCALIPTOS','COLOMBO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6245544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6245552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,201,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6245560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INTERIOR','PINHAL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6245579,5.00,7.00,2.00,7.00,7.00,6.38,1.00,5.00,6.00,208,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',10676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245587,6.00,8.00,2.00,6.00,4.00,7.13,1.00,4.00,1.00,444,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',13931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245595,3.00,5.00,2.00,2.00,5.00,7.88,2.00,2.00,3.00,103,NULL,NULL,'BALNEARIA','STA ROSA','RS',15988,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245609,5.00,5.00,1.00,6.00,5.00,8.63,3.00,2.00,2.00,450,NULL,NULL,'CONSOLAÇÃO','S PAULO','SP',13294,91,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245617,2.00,6.00,0.00,3.00,5.00,NULL,1.00,3.00,0.00,653,NULL,211,'CENTRO','ESTEIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245625,8.00,5.00,2.00,6.00,7.00,10.50,1.00,4.00,5.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',7158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245650,5.00,3.00,3.00,6.00,6.00,10.13,2.00,2.00,2.00,207,NULL,211,'JARDIM PRIMAVERIL','TRÊS LAGOAS','MS',10238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245668,5.00,4.00,2.00,5.00,9.00,9.75,2.00,4.00,4.00,333,NULL,NULL,'AREIAS','S JOSÉ','SC',8606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245684,4.00,5.00,1.00,7.00,6.00,NULL,3.00,0.00,1.00,5,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6245692,2.00,3.00,2.00,2.00,2.00,NULL,1.00,2.00,0.00,207,NULL,201,'SAUDADE','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245706,6.00,6.00,4.00,4.00,8.00,8.25,3.00,5.00,8.00,207,NULL,212,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245714,6.00,0.00,5.00,4.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FERROVIÁRIO','MONTENEGRO','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(25,6245722,6.00,7.00,3.00,6.00,9.00,6.75,6.00,6.00,6.00,201,NULL,202,'MATRIZ','VIDEIRA','SC',3600,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6245749,3.00,1.00,1.00,2.00,2.00,NULL,0.00,1.00,0.00,238,NULL,211,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245757,6.00,6.00,1.00,2.00,2.00,NULL,3.00,2.00,3.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6245773,2.00,2.00,2.00,1.00,3.00,3.75,4.00,2.00,3.00,335,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245781,4.00,3.00,1.00,4.00,5.00,7.50,0.00,2.00,1.00,301,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',17769,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245790,4.00,4.00,1.00,6.00,5.00,7.50,2.00,5.00,1.00,337,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',17487,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6245811,2.00,4.00,1.00,4.00,7.00,6.75,1.00,0.00,3.00,333,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6245820,5.00,4.00,3.00,7.00,9.00,8.25,2.00,3.00,4.00,103,NULL,NULL,'PINUS PARK','COTIA','SP',8107,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6245838,2.00,5.00,3.00,2.00,5.00,NULL,0.00,1.00,0.00,319,NULL,NULL,'VILA FLOR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6245862,5.00,5.00,1.00,4.00,6.00,8.63,2.00,1.00,6.00,201,NULL,207,'BOEHMERWALD','S BENTO SUL','SC',15349,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6245870,3.00,4.00,0.00,1.00,4.00,6.75,2.00,3.00,0.00,333,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',21279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245897,3.00,4.00,1.00,2.00,4.00,NULL,2.00,0.00,0.00,102,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245900,4.00,5.00,0.00,4.00,6.00,8.25,0.00,2.00,2.00,216,NULL,233,'CENTRO','CAPIVARI BAIXO','SC',15761,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6245919,8.00,8.00,3.00,7.00,8.00,8.25,3.00,6.00,7.00,201,NULL,211,'CAMPINAS','S JOSÉ','SC',2127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245927,3.00,5.00,5.00,5.00,8.00,9.00,4.00,5.00,4.00,319,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',6604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245935,5.00,6.00,5.00,7.00,9.00,8.63,4.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245943,3.00,2.00,2.00,6.00,7.00,8.25,2.00,3.00,2.00,319,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',14249,266,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245960,1.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6245978,6.00,5.00,3.00,7.00,8.00,NULL,0.00,7.00,6.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245986,4.00,6.00,3.00,3.00,7.00,5.25,3.00,6.00,0.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6245994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6246001,4.00,4.00,1.00,4.00,6.00,7.88,1.00,0.00,1.00,109,NULL,NULL,'CAMPINAS','S JOSÉ','SC',17995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246010,7.00,4.00,2.00,3.00,4.00,8.63,2.00,4.00,1.00,208,NULL,652,'AGRONÔMICA','FLORIANÓPOLIS','SC',13201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246028,4.00,4.00,3.00,4.00,3.00,7.13,3.00,6.00,3.00,654,NULL,NULL,'CENTRO','ARARANGUÁ','SC',16531,32,NULL,NULL,NULL,NULL,NULL,2,15),(25,6246036,6.00,8.00,5.00,5.00,8.00,7.50,3.00,6.00,7.00,216,NULL,653,'MARGARIDA AURORA','STA CRUZ SUL','RS',3412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246044,3.00,3.00,1.00,3.00,6.00,NULL,0.00,2.00,3.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246060,4.00,4.00,1.00,4.00,8.00,8.25,1.00,1.00,0.00,319,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',19318,405,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246079,4.00,4.00,5.00,3.00,7.00,5.25,2.00,6.00,6.00,501,NULL,NULL,'CENTRO','PATO BRANCO','PR',8720,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6246087,2.00,3.00,2.00,1.00,2.00,NULL,1.00,1.00,3.00,201,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6246095,4.00,7.00,3.00,7.00,8.00,9.75,3.00,6.00,4.00,450,NULL,NULL,'BARREIROS','S JOSÉ','SC',6645,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6246109,3.00,4.00,2.00,1.00,4.00,NULL,1.00,0.00,1.00,421,NULL,427,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246117,5.00,5.00,1.00,4.00,6.00,9.38,4.00,3.00,4.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13400,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246125,5.00,0.00,3.00,5.00,5.00,NULL,0.00,0.00,0.00,427,NULL,421,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6246133,2.00,2.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,601,NULL,215,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6246141,7.00,6.00,2.00,3.00,5.00,6.75,1.00,4.00,5.00,201,NULL,212,'CENTRO','BRUSQUE','SC',10615,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6246150,6.00,4.00,6.00,4.00,3.00,8.25,1.00,3.00,6.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',9139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246168,1.00,2.00,1.00,1.00,5.00,5.25,2.00,0.00,0.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',21779,723,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246176,3.00,6.00,2.00,5.00,7.00,9.38,2.00,2.00,3.00,310,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15608,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246184,6.00,5.00,3.00,7.00,6.00,NULL,0.00,3.00,4.00,601,NULL,216,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6246192,5.00,5.00,6.00,5.00,8.00,8.63,2.00,5.00,8.00,103,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',4926,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6246206,6.00,4.00,4.00,2.00,5.00,6.38,3.00,3.00,2.00,404,NULL,NULL,'BELA VISTA','RIO NEGRINHO','SC',16849,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6246214,7.00,7.00,0.00,5.00,7.00,8.63,1.00,7.00,3.00,301,NULL,NULL,'NAÇÕES','FRAIBURGO','SC',9069,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6246222,4.00,5.00,4.00,4.00,3.00,NULL,1.00,0.00,0.00,501,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246230,5.00,2.00,2.00,2.00,3.00,9.75,1.00,3.00,2.00,453,NULL,NULL,'PADRE EDUARDO','TAIÓ','SC',18645,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6246249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6246257,5.00,6.00,4.00,6.00,7.00,9.75,3.00,3.00,7.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',6097,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246281,3.00,5.00,2.00,3.00,5.00,6.38,0.00,6.00,2.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SANTA CRUZ','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6246303,1.00,5.00,0.00,6.00,3.00,7.88,2.00,6.00,1.00,320,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16262,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246311,2.00,3.00,1.00,4.00,7.00,7.50,1.00,1.00,3.00,316,NULL,NULL,'POTECAS','S JOSÉ','SC',18376,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM BELÉM','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6246346,1.00,2.00,1.00,2.00,2.00,NULL,0.00,2.00,0.00,653,NULL,655,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6246362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6246370,1.00,2.00,2.00,2.00,3.00,NULL,2.00,0.00,1.00,103,NULL,NULL,'VILA FLOR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6246397,4.00,4.00,1.00,5.00,6.00,6.38,1.00,4.00,3.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14870,387,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246400,7.00,5.00,4.00,6.00,9.00,9.75,3.00,5.00,6.00,104,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',3901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246427,3.00,4.00,2.00,2.00,8.00,6.00,1.00,3.00,1.00,999,NULL,NULL,'RECIFE','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6246435,8.00,6.00,5.00,6.00,8.00,10.13,1.00,3.00,5.00,103,NULL,NULL,'JARDIM PETRÓPOLIS','LONDRINA','PR',4410,2224,NULL,NULL,NULL,NULL,NULL,4,8),(25,6246443,9.00,7.00,6.00,7.00,9.00,10.50,3.00,8.00,6.00,103,NULL,NULL,'CENTRO','REALEZA','PR',404,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6246460,6.00,7.00,1.00,7.00,8.00,NULL,0.00,3.00,4.00,320,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246478,2.00,3.00,1.00,4.00,7.00,10.88,0.00,2.00,2.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246486,4.00,5.00,2.00,5.00,5.00,7.13,3.00,5.00,3.00,109,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',13190,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,655,'CENRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6246508,6.00,5.00,3.00,3.00,9.00,6.75,2.00,6.00,5.00,207,NULL,NULL,'JARDIM PACAEMBU','LONDRINA','PR',9002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6246532,3.00,6.00,0.00,6.00,10.00,9.75,0.00,4.00,0.00,426,NULL,429,'CAMPECHE','FLORIANÓPOLIS','SC',14715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246540,3.00,5.00,2.00,4.00,8.00,8.63,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','PTO UNIÃO','SC',12279,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6246559,3.00,5.00,3.00,6.00,6.00,7.88,4.00,3.00,4.00,234,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6246575,6.00,6.00,2.00,6.00,8.00,9.75,4.00,7.00,6.00,214,NULL,233,'JARDIM MALUCHE','BRUSQUE','SC',3031,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6246583,4.00,4.00,3.00,5.00,8.00,7.50,1.00,4.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7009,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246591,4.00,6.00,2.00,4.00,8.00,7.88,1.00,1.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14942,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246605,4.00,1.00,2.00,5.00,6.00,6.75,2.00,3.00,4.00,208,NULL,201,'JARDIM MARISTELA','CRICIÚMA','SC',13040,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6246613,4.00,6.00,1.00,6.00,5.00,9.38,0.00,4.00,1.00,339,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',14548,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246621,4.00,5.00,2.00,5.00,7.00,9.38,1.00,6.00,3.00,316,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',10714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246630,5.00,5.00,3.00,6.00,4.00,9.75,2.00,4.00,1.00,425,NULL,429,'TRINDADE','FLORIANÓPOLIS','SC',12324,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246648,5.00,4.00,1.00,5.00,9.00,9.38,2.00,3.00,2.00,502,NULL,NULL,'TIMBÉ','TIJUCAS','SC',9146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246656,6.00,7.00,4.00,7.00,10.00,8.63,1.00,5.00,6.00,304,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',3896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246672,6.00,7.00,3.00,4.00,8.00,10.13,3.00,8.00,7.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',3414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246680,7.00,6.00,6.00,7.00,10.00,13.13,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246699,8.00,6.00,2.00,7.00,7.00,6.75,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','IÇARA','SC',6843,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6246702,4.00,4.00,3.00,6.00,7.00,7.50,3.00,3.00,5.00,213,NULL,235,'CENTRO','NOVA TRENTO','SC',8653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246710,3.00,5.00,2.00,3.00,6.00,6.00,3.00,3.00,3.00,220,NULL,235,'CENTRO','CRICIÚMA','SC',14789,397,NULL,357,NULL,NULL,NULL,2,5),(25,6246729,4.00,6.00,3.00,6.00,6.00,11.63,1.00,6.00,4.00,211,NULL,601,'VILA PEDRINI','JOAÇABA','SC',6599,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6246737,3.00,4.00,5.00,4.00,5.00,9.75,1.00,2.00,4.00,601,NULL,216,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6246745,4.00,6.00,2.00,3.00,7.00,7.88,1.00,7.00,3.00,203,NULL,202,'IPIRANGA','S JOSÉ','SC',11213,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246753,3.00,4.00,3.00,6.00,6.00,6.00,2.00,5.00,1.00,999,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246761,5.00,1.00,5.00,6.00,5.00,5.25,1.00,0.00,4.00,203,NULL,220,'ICARAY','ARAÇATUBA','SP',14115,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6246770,4.00,5.00,3.00,4.00,8.00,9.00,2.00,2.00,2.00,425,NULL,429,'CARIANOS','FLORIANÓPOLIS','SC',15107,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246788,7.00,6.00,3.00,6.00,9.00,7.13,1.00,2.00,6.00,207,NULL,211,'CENTRO','ITAJAÍ','SC',9567,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6246796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6246818,3.00,5.00,3.00,4.00,5.00,5.25,0.00,4.00,3.00,238,NULL,235,'CAMPINAS','S JOSÉ','SC',16633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246834,3.00,6.00,1.00,4.00,10.00,9.75,2.00,5.00,1.00,5,NULL,NULL,'CENTRO','MANDURI','SP',9019,323,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246869,4.00,4.00,3.00,3.00,5.00,7.50,3.00,2.00,3.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13906,488,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246877,8.00,5.00,9.00,6.00,8.00,7.88,6.00,8.00,9.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6246885,1.00,3.00,2.00,3.00,1.00,NULL,0.00,1.00,2.00,101,NULL,NULL,'COSTA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246907,1.00,7.00,1.00,6.00,8.00,11.25,1.00,6.00,2.00,429,NULL,423,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',11917,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6246915,3.00,2.00,1.00,3.00,2.00,NULL,2.00,1.00,3.00,451,NULL,NULL,'VILA BECKER','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246931,7.00,5.00,2.00,4.00,8.00,8.25,0.00,4.00,6.00,103,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',8261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246940,5.00,5.00,3.00,7.00,8.00,9.75,2.00,7.00,6.00,207,NULL,601,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',5775,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6246958,3.00,4.00,4.00,3.00,4.00,6.00,1.00,4.00,1.00,336,NULL,NULL,'BOA VISTA','ITUPORANGA','SC',17877,143,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'CENTRO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6246974,3.00,2.00,2.00,3.00,6.00,NULL,2.00,0.00,2.00,404,NULL,NULL,'JARDIM AMERICA','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6246990,2.00,5.00,2.00,6.00,7.00,11.25,2.00,4.00,1.00,238,NULL,208,'COQUEIROS','FLORIANÓPOLIS','SC',14402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247008,6.00,7.00,2.00,6.00,8.00,6.00,2.00,6.00,6.00,238,NULL,208,'ITACORUBI','FLORIANÓPOLIS','SC',7134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247016,5.00,5.00,3.00,2.00,4.00,7.13,2.00,5.00,3.00,319,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',14394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247024,6.00,4.00,2.00,5.00,6.00,5.25,2.00,6.00,4.00,207,NULL,216,'RIO TAVARES','FLORIANÓPOLIS','SC',11719,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6247032,8.00,7.00,2.00,5.00,9.00,10.50,1.00,7.00,7.00,303,NULL,NULL,'CENTRO','XAXIM','SC',2355,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6247040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6247059,7.00,5.00,3.00,6.00,7.00,9.00,1.00,5.00,7.00,211,NULL,203,'AAHÚ','CURITIBA','PR',5425,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6247067,4.00,6.00,2.00,4.00,7.00,10.13,1.00,4.00,3.00,324,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',11369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247075,4.00,3.00,1.00,2.00,6.00,6.38,1.00,4.00,4.00,103,NULL,NULL,'JARDIN SINUELO','ASTORGA','PR',15584,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6247083,4.00,4.00,3.00,2.00,6.00,7.88,1.00,3.00,2.00,303,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',17183,750,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247091,2.00,3.00,1.00,4.00,5.00,7.50,0.00,0.00,3.00,211,NULL,NULL,'SÃO MIGUEL','PLANALTO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6247105,5.00,8.00,4.00,5.00,8.00,9.38,1.00,4.00,1.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10258,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6247113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MIRINZAL','MA',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6247121,3.00,4.00,2.00,0.00,7.00,9.38,0.00,1.00,2.00,421,NULL,427,'JARDIM MALUCHE','BRUSQUE','SC',20390,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6247130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA FLÓRIDA','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6247148,3.00,2.00,1.00,5.00,7.00,9.00,3.00,1.00,2.00,103,NULL,NULL,'JARDIM BRASIL','ARAÇATUBA','SP',14502,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6247156,5.00,5.00,0.00,4.00,6.00,7.50,1.00,4.00,4.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',16477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247172,4.00,7.00,3.00,2.00,8.00,9.00,0.00,3.00,4.00,234,NULL,NULL,'SERRARIA','S JOSÉ','SC',12193,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6247180,3.00,3.00,0.00,2.00,1.00,NULL,2.00,4.00,3.00,201,NULL,233,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6247199,1.00,3.00,0.00,4.00,5.00,9.38,1.00,3.00,1.00,109,NULL,NULL,'SANTA CRUZ','ÁGUAS MORNAS','SC',18882,122,NULL,NULL,NULL,NULL,NULL,2,1),(25,6247202,7.00,5.00,6.00,7.00,5.00,7.88,3.00,7.00,6.00,223,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247210,1.00,4.00,1.00,4.00,5.00,7.88,2.00,2.00,3.00,207,NULL,NULL,'RESSACADA','ITAJAÍ','SC',19727,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6247229,1.00,3.00,1.00,1.00,6.00,7.13,2.00,1.00,2.00,5,NULL,NULL,'SANTIAGO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6247237,5.00,6.00,4.00,6.00,8.00,8.25,4.00,5.00,2.00,103,NULL,NULL,'CENTRO','NOVA VENEZA','SC',7803,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6247245,4.00,4.00,0.00,4.00,5.00,8.25,2.00,5.00,0.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',17451,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6247253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6247261,3.00,5.00,4.00,5.00,6.00,5.25,4.00,5.00,4.00,999,NULL,NULL,'JARDIM ATLÂNTICO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247270,7.00,6.00,4.00,6.00,7.00,9.00,2.00,7.00,7.00,201,NULL,235,'PONTA DE BAIXO','S JOSÉ','SC',3173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247288,5.00,7.00,4.00,3.00,6.00,7.88,3.00,5.00,3.00,601,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',10496,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6247296,8.00,5.00,4.00,5.00,10.00,11.25,6.00,7.00,7.00,203,NULL,214,'HIGIENOPOLIS','STA CRUZ SUL','RS',1116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247300,6.00,5.00,0.00,6.00,5.00,6.38,3.00,4.00,5.00,104,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',10321,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6247318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'TARUMÃ','VIAMÃO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6247326,4.00,6.00,3.00,5.00,9.00,7.50,2.00,6.00,6.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247342,5.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6247350,5.00,4.00,2.00,4.00,7.00,6.75,1.00,1.00,1.00,503,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',17196,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6247369,7.00,6.00,7.00,7.00,8.00,7.13,2.00,6.00,7.00,203,NULL,235,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',2162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247377,6.00,7.00,5.00,3.00,8.00,6.38,2.00,6.00,6.00,104,NULL,NULL,'CENTRO','CURITIBANOS','SC',5624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CEBTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6247393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6247407,7.00,4.00,5.00,6.00,10.00,9.00,1.00,8.00,8.00,103,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',2268,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6247415,6.00,4.00,4.00,4.00,6.00,8.25,1.00,3.00,4.00,202,NULL,211,'ITACORUBI','FLORIANÓPOLIS','SC',12465,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6247423,3.00,6.00,2.00,7.00,8.00,10.88,1.00,4.00,4.00,450,NULL,NULL,'INTERCAP','TABOÃO SERRA','SP',7055,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6247440,9.00,7.00,8.00,7.00,8.00,10.13,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',201,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6247458,4.00,3.00,0.00,3.00,7.00,7.50,2.00,1.00,2.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CAMPINA LAGOA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6247520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6247539,3.00,4.00,1.00,5.00,7.00,7.88,1.00,4.00,3.00,308,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',15796,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6247547,5.00,5.00,4.00,2.00,5.00,NULL,0.00,4.00,3.00,103,NULL,NULL,'CENTRO','PARAÍSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6247563,2.00,2.00,1.00,0.00,3.00,NULL,0.00,0.00,0.00,655,NULL,653,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6247571,3.00,1.00,0.00,4.00,3.00,9.38,1.00,0.00,1.00,415,NULL,NULL,'BELA VISTA','PALHOÇA','SC',20746,329,NULL,NULL,NULL,NULL,NULL,2,1),(25,6247580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6247598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,216,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6247601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,212,'CIDADE UNIVERSITARIA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6247628,2.00,5.00,0.00,2.00,9.00,NULL,0.00,3.00,1.00,220,NULL,601,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6247636,1.00,4.00,0.00,4.00,7.00,NULL,2.00,3.00,0.00,233,NULL,212,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6247652,7.00,8.00,3.00,6.00,9.00,8.63,2.00,7.00,8.00,103,NULL,NULL,'VILA AURORA','RONDONÓPOLIS','MT',1527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247695,4.00,5.00,1.00,1.00,6.00,10.13,1.00,2.00,5.00,333,NULL,NULL,'CAMPUS DO CTA','S JOSÉ CAMPOS','SP',13184,90,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247709,1.00,4.00,2.00,2.00,2.00,NULL,1.00,0.00,2.00,319,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247741,5.00,6.00,0.00,5.00,4.00,6.75,1.00,2.00,1.00,336,NULL,NULL,'CAMPINAS','S JOSÉ','SC',19030,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6247768,5.00,4.00,2.00,4.00,5.00,8.25,1.00,5.00,5.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',11180,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6247776,2.00,3.00,2.00,2.00,6.00,NULL,3.00,0.00,0.00,304,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247784,5.00,6.00,2.00,4.00,7.00,6.75,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',7654,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6247806,2.00,5.00,2.00,3.00,5.00,6.00,2.00,1.00,1.00,999,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247814,5.00,6.00,2.00,5.00,8.00,8.25,1.00,4.00,4.00,103,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',9138,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6247822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIRO NARDI','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6247849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'SAO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6247857,6.00,4.00,3.00,5.00,7.00,10.13,1.00,4.00,4.00,103,NULL,NULL,'CHAPADA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6247865,4.00,6.00,3.00,5.00,4.00,7.88,2.00,5.00,4.00,201,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',12165,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6247873,3.00,6.00,1.00,2.00,9.00,10.50,2.00,6.00,1.00,340,NULL,NULL,'SERRARIA','S JOSÉ','SC',11346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247881,7.00,6.00,2.00,7.00,8.00,11.25,1.00,5.00,6.00,103,NULL,NULL,'VITORIA','SALVADOR','BA',4391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247890,7.00,7.00,5.00,5.00,9.00,6.38,2.00,5.00,7.00,212,NULL,213,'BAIRRO IPIRANGA','S JOSÉ','SC',3500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6247920,4.00,5.00,0.00,1.00,5.00,NULL,2.00,4.00,2.00,304,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247938,4.00,4.00,2.00,6.00,8.00,8.25,1.00,2.00,2.00,333,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',16599,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6247946,1.00,3.00,2.00,5.00,6.00,9.75,2.00,3.00,4.00,336,NULL,NULL,'CENTRO','AGRONÔMICA','SC',14768,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6247954,5.00,6.00,3.00,4.00,7.00,7.13,3.00,1.00,2.00,103,NULL,NULL,'CENTRO','S JORGE D OESTE','PR',13027,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6247962,2.00,4.00,4.00,6.00,7.00,10.13,1.00,1.00,4.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247970,2.00,5.00,2.00,4.00,7.00,7.13,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','RIO OESTE','SC',14143,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6247989,3.00,3.00,2.00,6.00,8.00,6.38,3.00,5.00,4.00,238,NULL,208,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6247997,3.00,3.00,3.00,4.00,9.00,7.13,0.00,4.00,4.00,207,NULL,201,'SÃO SEBASTIÃO','PALHOÇA','SC',12392,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6248004,3.00,5.00,2.00,4.00,5.00,6.75,2.00,3.00,4.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248020,5.00,5.00,3.00,5.00,7.00,5.25,0.00,4.00,2.00,335,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',17026,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6248047,1.00,4.00,1.00,5.00,4.00,8.63,4.00,6.00,2.00,425,NULL,421,'AGRONOMICA','FLORIANÓPOLIS','SC',15218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248055,3.00,5.00,4.00,2.00,4.00,8.63,1.00,2.00,4.00,103,NULL,NULL,'JARDIM VIRGÍNIA','MARÍLIA','SP',13635,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6248063,3.00,3.00,3.00,7.00,5.00,4.88,2.00,3.00,1.00,203,NULL,201,'CENTRO','GUARAPUAVA','PR',15138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'CHACARA BELVEDERE','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6248080,2.00,4.00,2.00,3.00,3.00,6.00,2.00,1.00,3.00,110,NULL,NULL,'SÃO PEDRO','PTO UNIÃO','SC',20945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6248098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6248101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'TARUMÃ','VIAMÃO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6248110,3.00,0.00,1.00,1.00,3.00,NULL,0.00,1.00,2.00,654,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6248136,3.00,6.00,3.00,3.00,6.00,6.75,2.00,2.00,1.00,202,NULL,220,'AREIAS DE PALHOCINHA','GAROPABA','SC',15738,494,NULL,411,NULL,NULL,NULL,2,1),(25,6248152,4.00,2.00,2.00,3.00,4.00,8.63,1.00,1.00,2.00,103,NULL,NULL,'CENTRO','RIO NEGRO','PR',16277,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6248160,2.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'DONA WANDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6248179,1.00,3.00,2.00,3.00,3.00,8.63,1.00,0.00,1.00,238,NULL,652,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248187,9.00,6.00,6.00,7.00,8.00,8.63,4.00,6.00,8.00,108,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',1166,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6248195,5.00,4.00,1.00,3.00,8.00,6.75,1.00,3.00,2.00,108,NULL,NULL,'PRAIA MOLE','FLORIANÓPOLIS','SC',14470,210,NULL,NULL,NULL,NULL,NULL,2,1),(25,6248209,2.00,4.00,2.00,5.00,5.00,8.63,3.00,4.00,2.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15765,704,NULL,NULL,NULL,NULL,NULL,2,1),(25,6248225,5.00,6.00,3.00,6.00,8.00,11.25,3.00,6.00,4.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248233,3.00,3.00,1.00,3.00,6.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SANTA TERESINHA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6248241,8.00,6.00,3.00,2.00,4.00,7.88,1.00,4.00,6.00,201,NULL,202,'CENTRO','CASCAVEL','PR',9061,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6248250,2.00,7.00,1.00,3.00,6.00,6.00,2.00,3.00,0.00,336,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',19541,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6248268,5.00,4.00,3.00,7.00,9.00,7.88,1.00,5.00,5.00,207,NULL,601,'CORAL','LAGES','SC',6451,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6248276,1.00,3.00,1.00,2.00,5.00,5.63,2.00,5.00,0.00,502,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',21218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248284,4.00,5.00,0.00,2.00,7.00,NULL,3.00,3.00,1.00,452,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248306,1.00,2.00,3.00,4.00,1.00,NULL,0.00,2.00,2.00,102,NULL,NULL,'INTERIOR','QUILOMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,4),(25,6248314,2.00,4.00,2.00,6.00,6.00,6.75,1.00,2.00,1.00,429,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',19696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248322,8.00,6.00,1.00,6.00,9.00,5.63,2.00,6.00,5.00,110,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',7183,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6248373,5.00,4.00,2.00,1.00,5.00,7.50,1.00,3.00,3.00,201,NULL,207,'SANTA CATARINA','CAÇADOR','SC',19035,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6248381,1.00,4.00,1.00,4.00,6.00,9.38,3.00,1.00,1.00,103,NULL,NULL,'MORRO ESTEVÃO','CRICIÚMA','SC',19566,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6248390,3.00,4.00,0.00,5.00,5.00,NULL,0.00,5.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248403,3.00,3.00,0.00,2.00,4.00,NULL,1.00,0.00,0.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248420,3.00,3.00,3.00,2.00,8.00,8.63,0.00,2.00,2.00,207,NULL,601,'CENTRO','TIJUCAS','SC',18722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248438,1.00,2.00,0.00,4.00,6.00,NULL,2.00,1.00,1.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248446,4.00,4.00,1.00,6.00,5.00,9.00,2.00,3.00,1.00,211,NULL,207,'CENTRO','BAL CAMBORIÚ','SC',13651,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6248454,8.00,8.00,4.00,4.00,8.00,7.88,2.00,7.00,7.00,215,NULL,211,'COMERCIÁRIO','CRICIÚMA','SC',4027,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6248462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6248470,3.00,4.00,2.00,1.00,7.00,5.63,2.00,2.00,3.00,201,NULL,233,'MORRO DO MIRIM','IMBITUBA','SC',19937,1633,NULL,469,NULL,NULL,NULL,2,10),(25,6248489,3.00,4.00,5.00,5.00,8.00,6.38,4.00,2.00,6.00,201,NULL,NULL,'CENTRO','COLOMBO','PR',6385,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6248497,6.00,3.00,3.00,2.00,5.00,7.50,2.00,5.00,0.00,5,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',18444,634,NULL,NULL,NULL,NULL,NULL,2,1),(25,6248500,3.00,1.00,3.00,3.00,6.00,8.25,3.00,2.00,2.00,404,NULL,NULL,'CENTRO','ILHOTA','SC',17919,55,NULL,NULL,NULL,NULL,NULL,2,1),(25,6248519,2.00,3.00,2.00,3.00,3.00,7.50,2.00,0.00,2.00,9,NULL,NULL,'IPIRANGA','S JOSÉ','SC',19955,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6248527,3.00,7.00,2.00,3.00,5.00,8.63,1.00,3.00,6.00,216,NULL,202,'CENTRO','ITAPORÃ','MS',13837,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6248535,6.00,5.00,6.00,5.00,7.00,8.63,4.00,2.00,7.00,216,NULL,NULL,'CENTRO','MTE APRAZÍVEL','SP',3464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248543,0.00,2.00,2.00,2.00,2.00,NULL,1.00,1.00,0.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248560,2.00,2.00,1.00,4.00,4.00,6.75,2.00,3.00,2.00,101,NULL,NULL,'AREIAS DE CIMA','GOV CELSO RAMOS','SC',19239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6248578,5.00,7.00,3.00,6.00,8.00,10.88,1.00,5.00,2.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248594,3.00,3.00,3.00,5.00,6.00,NULL,2.00,1.00,0.00,425,NULL,428,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248608,3.00,4.00,2.00,2.00,6.00,8.63,2.00,4.00,1.00,304,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',18893,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6248616,5.00,7.00,3.00,5.00,7.00,10.13,2.00,4.00,2.00,336,NULL,NULL,'GLÓRIA','JOINVILLE','SC',9293,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6248632,5.00,5.00,2.00,3.00,5.00,NULL,2.00,3.00,0.00,201,NULL,212,'ORLEANS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6248640,4.00,3.00,2.00,3.00,9.00,8.25,2.00,5.00,2.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6248667,3.00,4.00,4.00,3.00,6.00,NULL,0.00,2.00,2.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6248675,5.00,7.00,6.00,6.00,6.00,11.25,3.00,6.00,6.00,213,NULL,235,'LEBLON','RIO JANEIRO','RJ',3348,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6248683,4.00,3.00,3.00,4.00,4.00,7.50,1.00,3.00,3.00,339,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6248691,5.00,4.00,3.00,5.00,5.00,8.25,1.00,1.00,1.00,203,NULL,201,'CENTRO','ORLEANS','SC',17436,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6248713,6.00,5.00,3.00,5.00,6.00,8.63,1.00,3.00,6.00,103,NULL,NULL,'VARGEM GRANDE','ÁGUAS MORNAS','SC',10100,3563,NULL,NULL,NULL,NULL,NULL,2,1),(25,6248730,4.00,5.00,4.00,5.00,5.00,9.38,0.00,4.00,3.00,319,NULL,NULL,'CANTO DOS ARAÇÁS','FLORIANÓPOLIS','SC',12755,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6248748,3.00,4.00,1.00,4.00,7.00,6.75,0.00,1.00,0.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18320,231,NULL,NULL,NULL,NULL,NULL,2,1),(25,6248756,2.00,4.00,1.00,6.00,5.00,8.25,2.00,4.00,3.00,104,NULL,NULL,'BOMBAS','BOMBINHAS','SC',14629,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6248764,2.00,3.00,3.00,5.00,2.00,NULL,2.00,3.00,0.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6248772,5.00,4.00,0.00,4.00,6.00,8.25,1.00,3.00,0.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6248780,4.00,6.00,4.00,2.00,7.00,9.00,2.00,5.00,3.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',10540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248799,8.00,6.00,2.00,6.00,9.00,10.13,3.00,5.00,9.00,103,NULL,NULL,'SANTANA','S PAULO','SP',1856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248802,4.00,5.00,2.00,4.00,7.00,7.50,0.00,5.00,2.00,9,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248810,8.00,7.00,6.00,5.00,9.00,12.38,5.00,8.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248829,7.00,8.00,2.00,4.00,10.00,9.00,3.00,7.00,6.00,303,NULL,NULL,'CAMPO DE FORA','LAGUNA','SC',2629,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6248845,4.00,5.00,2.00,6.00,3.00,7.88,0.00,3.00,1.00,235,NULL,220,'INGLESES','FLORIANÓPOLIS','SC',19288,457,NULL,473,NULL,NULL,NULL,2,1),(25,6248853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,201,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6248870,7.00,7.00,6.00,5.00,8.00,8.25,2.00,7.00,7.00,212,NULL,213,'ESTREITO','FLORIANÓPOLIS','SC',3174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248888,4.00,4.00,1.00,3.00,8.00,7.50,3.00,3.00,3.00,316,NULL,NULL,'FLORESTA','S JOSÉ','SC',13641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248896,3.00,5.00,0.00,4.00,6.00,7.13,1.00,2.00,3.00,340,NULL,NULL,'CENTRO','PATO BRANCO','PR',16784,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6248900,3.00,6.00,4.00,1.00,4.00,NULL,0.00,4.00,1.00,601,NULL,NULL,'NOVA BRASÍLIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6248918,4.00,6.00,2.00,3.00,6.00,6.38,3.00,4.00,1.00,201,NULL,212,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',16339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248926,7.00,7.00,4.00,7.00,9.00,7.88,2.00,6.00,6.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248934,2.00,8.00,2.00,2.00,7.00,6.00,2.00,5.00,3.00,318,NULL,NULL,'IPIRANGA','S JOSÉ','SC',16773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248942,0.00,5.00,2.00,2.00,7.00,5.63,2.00,4.00,0.00,654,NULL,NULL,'CEDRO','MARACAJÁ','SC',19430,57,NULL,NULL,NULL,NULL,NULL,4,15),(25,6248950,7.00,4.00,3.00,4.00,8.00,10.50,3.00,1.00,5.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',6872,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6248977,3.00,4.00,1.00,5.00,5.00,8.63,1.00,4.00,3.00,316,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',17331,181,NULL,NULL,NULL,NULL,NULL,2,1),(25,6248985,1.00,2.00,0.00,1.00,2.00,NULL,2.00,3.00,2.00,9,NULL,NULL,'BELA VISTA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6248993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,220,'CENTRO','COLOMBO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6249000,2.00,4.00,2.00,5.00,5.00,6.38,4.00,3.00,0.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18308,298,NULL,NULL,NULL,NULL,NULL,2,1),(25,6249019,2.00,3.00,3.00,4.00,4.00,7.13,1.00,4.00,1.00,336,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',20007,168,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249027,6.00,6.00,3.00,4.00,10.00,8.63,3.00,5.00,6.00,108,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',4086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249035,5.00,5.00,2.00,4.00,8.00,7.13,4.00,5.00,5.00,333,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',8027,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6249051,2.00,3.00,3.00,4.00,6.00,7.88,0.00,4.00,2.00,999,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249060,4.00,6.00,2.00,6.00,9.00,NULL,0.00,6.00,8.00,426,NULL,429,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249078,3.00,5.00,3.00,7.00,4.00,6.00,2.00,4.00,3.00,319,NULL,NULL,'AGUAS CLARAS','TAGUATINGA','DF',16405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249086,3.00,6.00,4.00,7.00,8.00,11.63,2.00,5.00,3.00,425,NULL,429,'CENTRO','BAL CAMBORIÚ','SC',6326,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6249094,4.00,5.00,4.00,4.00,7.00,9.00,1.00,1.00,2.00,201,NULL,211,'COLONINHA','BRAÇO NORTE','SC',12047,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6249108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6249116,6.00,5.00,3.00,3.00,9.00,8.63,3.00,5.00,5.00,103,NULL,NULL,'PASSO FORTES','CHAPECÓ','SC',6640,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6249159,3.00,1.00,4.00,2.00,5.00,7.50,0.00,3.00,3.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249167,5.00,4.00,0.00,0.00,2.00,NULL,3.00,5.00,0.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249175,7.00,5.00,6.00,6.00,8.00,9.75,4.00,5.00,6.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249183,7.00,6.00,3.00,3.00,8.00,7.50,0.00,6.00,4.00,103,NULL,NULL,'CENTRO','STA ISABEL IVAÍ','PR',7864,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6249191,4.00,4.00,0.00,5.00,5.00,8.25,1.00,3.00,5.00,601,NULL,207,'IRIRIU','JOINVILLE','SC',18034,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6249205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,601,'DOM BOSCO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6249213,3.00,3.00,3.00,6.00,8.00,10.88,2.00,5.00,3.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',8305,3245,NULL,NULL,NULL,NULL,NULL,4,2),(25,6249221,5.00,7.00,4.00,6.00,5.00,7.88,1.00,4.00,3.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',8485,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6249230,3.00,4.00,4.00,4.00,6.00,7.50,0.00,4.00,3.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',16608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249248,6.00,6.00,1.00,6.00,5.00,6.38,0.00,5.00,3.00,201,NULL,212,'JUNDIAÍ MIRIM','JUNDIAÍ','SP',11245,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249256,7.00,6.00,3.00,2.00,7.00,10.50,2.00,3.00,5.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249264,2.00,2.00,2.00,5.00,2.00,NULL,0.00,1.00,4.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249272,9.00,8.00,7.00,6.00,11.00,9.75,5.00,9.00,8.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249310,5.00,4.00,3.00,4.00,4.00,8.25,3.00,6.00,3.00,453,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',12531,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6249329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,216,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6249337,2.00,4.00,0.00,3.00,7.00,NULL,2.00,2.00,0.00,654,NULL,NULL,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,15),(25,6249345,8.00,6.00,4.00,5.00,9.00,8.63,2.00,4.00,8.00,103,NULL,NULL,'CUMBICA','GUARULHOS','SP',2798,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6249353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6249370,5.00,5.00,1.00,4.00,5.00,7.88,2.00,4.00,2.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249388,8.00,6.00,5.00,7.00,8.00,8.63,4.00,6.00,8.00,103,NULL,NULL,'ALPHAVILLE','PINHAIS','PR',1937,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6249396,2.00,5.00,3.00,3.00,4.00,9.00,1.00,0.00,2.00,212,NULL,213,'VILA NOVA','IMBITUBA','SC',16433,490,NULL,243,NULL,NULL,NULL,2,1),(25,6249400,2.00,5.00,2.00,4.00,7.00,8.63,3.00,6.00,1.00,551,NULL,NULL,'BOSQUE','CURITIBANOS','SC',12434,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6249418,5.00,4.00,5.00,7.00,6.00,9.75,3.00,3.00,4.00,201,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',9197,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6249426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6249442,6.00,5.00,4.00,6.00,7.00,7.88,3.00,4.00,5.00,420,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6017,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6249469,3.00,6.00,1.00,3.00,6.00,9.38,1.00,6.00,3.00,425,NULL,428,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',12327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6249477,4.00,3.00,1.00,2.00,5.00,6.75,0.00,5.00,2.00,201,NULL,215,'ZONA RURAL','ERVAL GRANDE','RS',18143,1503,NULL,294,NULL,NULL,NULL,2,4),(25,6249493,4.00,6.00,7.00,6.00,7.00,NULL,0.00,1.00,6.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249507,4.00,3.00,2.00,6.00,4.00,7.50,3.00,5.00,1.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249515,3.00,3.00,2.00,5.00,5.00,6.00,3.00,3.00,2.00,3,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',17815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6249523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6249531,7.00,6.00,4.00,6.00,8.00,11.25,2.00,6.00,6.00,216,NULL,201,'ALTO DO PARI','S PAULO','SP',2663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249540,5.00,4.00,1.00,6.00,9.00,6.00,3.00,4.00,5.00,331,NULL,NULL,'PINHEIROS','S PAULO','SP',9528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249558,4.00,3.00,2.00,7.00,8.00,0.00,0.00,1.00,0.00,301,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249566,2.00,2.00,2.00,5.00,4.00,8.25,2.00,3.00,3.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',19903,174,NULL,NULL,NULL,NULL,NULL,2,1),(25,6249574,6.00,5.00,4.00,5.00,8.00,7.88,0.00,6.00,4.00,101,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',9183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6249582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6249590,7.00,6.00,1.00,5.00,5.00,8.25,3.00,3.00,3.00,211,NULL,215,'CANASVIERAS','FLORIANÓPOLIS','SC',10148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6249604,1.00,5.00,1.00,3.00,3.00,9.75,0.00,2.00,3.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',19447,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6249612,3.00,6.00,2.00,4.00,4.00,6.75,2.00,4.00,2.00,331,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17541,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6249639,4.00,4.00,3.00,4.00,3.00,7.50,1.00,1.00,3.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19734,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6249647,7.00,5.00,2.00,5.00,6.00,8.25,2.00,4.00,5.00,652,NULL,238,'GUANABARA','JOINVILLE','SC',8327,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6249655,5.00,5.00,1.00,3.00,4.00,6.00,2.00,2.00,2.00,203,NULL,214,'CENTRO','PASSOS MAIA','SC',18240,1041,NULL,405,NULL,NULL,NULL,2,4),(25,6249663,8.00,4.00,4.00,2.00,8.00,9.00,3.00,3.00,8.00,501,NULL,NULL,'FLORESTA','JOINVILLE','SC',4872,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6249671,4.00,4.00,0.00,4.00,6.00,7.13,2.00,5.00,2.00,5,NULL,NULL,'SÃO CRRISTÓVÃO','CHAPECÓ','SC',13439,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6249680,8.00,7.00,4.00,6.00,9.00,0.00,6.00,6.00,6.00,104,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6249698,6.00,8.00,3.00,7.00,9.00,10.88,3.00,8.00,5.00,203,NULL,202,'COQUEIROS','FLORIANÓPOLIS','SC',1872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249701,3.00,3.00,0.00,4.00,2.00,NULL,0.00,2.00,1.00,601,NULL,220,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249710,5.00,5.00,1.00,4.00,5.00,7.50,1.00,3.00,7.00,653,NULL,NULL,'BACACHERI','CURITIBA','PR',11314,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6249736,7.00,4.00,3.00,5.00,7.00,8.63,4.00,5.00,5.00,104,NULL,NULL,'CENTRO','APUCARANA','PR',6300,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6249744,3.00,3.00,0.00,4.00,6.00,NULL,2.00,2.00,1.00,207,NULL,212,'JARDIM AQUARIUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6249752,4.00,5.00,2.00,3.00,7.00,9.75,2.00,4.00,3.00,301,NULL,NULL,'GRAMA','GAROPABA','SC',12861,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6249760,2.00,4.00,1.00,2.00,5.00,7.50,2.00,2.00,2.00,327,NULL,NULL,'ROÇADO','S JOSÉ','SC',20621,68,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6249795,4.00,5.00,0.00,1.00,5.00,6.75,1.00,0.00,0.00,415,NULL,NULL,'MONTE ALEGRE','CAMBORIÚ','SC',21415,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6249809,5.00,5.00,0.00,5.00,6.00,NULL,1.00,4.00,2.00,2,NULL,NULL,'DOS ESTADOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6249817,1.00,3.00,1.00,3.00,3.00,NULL,3.00,0.00,1.00,103,NULL,NULL,'LIBRA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249825,5.00,6.00,4.00,6.00,7.00,7.13,0.00,6.00,3.00,201,NULL,211,'PONTE IMARUIM','PALHOÇA','SC',8892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249833,6.00,4.00,4.00,5.00,7.00,NULL,1.00,0.00,1.00,340,NULL,NULL,'SANTANA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249841,6.00,7.00,3.00,6.00,10.00,9.38,5.00,5.00,6.00,203,NULL,233,'CENTRO','ITAJAÍ','SC',2827,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6249850,4.00,4.00,2.00,2.00,3.00,8.25,0.00,3.00,2.00,211,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',20375,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6249868,2.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'ZONA','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6249892,3.00,6.00,3.00,7.00,9.00,12.75,1.00,6.00,2.00,211,NULL,216,'BOM RETIRO','JOINVILLE','SC',8636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249906,6.00,5.00,5.00,7.00,8.00,10.13,1.00,6.00,4.00,425,NULL,428,'RIO TAVARES','FLORIANÓPOLIS','SC',5812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249922,2.00,1.00,3.00,1.00,3.00,NULL,1.00,0.00,1.00,309,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6249930,6.00,6.00,4.00,6.00,8.00,0.00,5.00,7.00,4.00,201,NULL,202,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249949,2.00,2.00,1.00,1.00,3.00,7.13,1.00,0.00,3.00,5,NULL,NULL,'CENTRO','FRAIBURGO','SC',20950,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6249973,3.00,8.00,4.00,5.00,6.00,10.13,3.00,7.00,5.00,215,NULL,653,'TABOLEIRO','ITAPEMA','SC',5281,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6249981,4.00,8.00,5.00,6.00,9.00,8.63,3.00,6.00,7.00,212,NULL,601,'CENTRO','TIMBÓ','SC',2972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6249990,0.00,2.00,0.00,0.00,0.00,NULL,2.00,0.00,0.00,308,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6250009,5.00,7.00,4.00,6.00,8.00,10.50,2.00,5.00,4.00,453,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',4905,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6250017,4.00,5.00,2.00,1.00,7.00,9.75,1.00,1.00,1.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',19010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250025,2.00,1.00,2.00,4.00,3.00,5.63,1.00,1.00,3.00,444,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6250033,4.00,5.00,1.00,4.00,4.00,6.75,2.00,5.00,3.00,207,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',15995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6250041,2.00,5.00,1.00,3.00,4.00,NULL,2.00,0.00,3.00,415,NULL,NULL,'VILA APARECIDA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6250050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','SALTO LONTRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6250068,7.00,4.00,2.00,4.00,6.00,7.13,1.00,0.00,5.00,103,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',12367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6250076,3.00,4.00,0.00,7.00,5.00,7.50,1.00,3.00,3.00,303,NULL,NULL,'PALMITAL','CHAPECÓ','SC',15025,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6250084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6250092,6.00,4.00,3.00,5.00,6.00,7.13,2.00,2.00,2.00,316,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',15042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250106,5.00,3.00,2.00,3.00,4.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'JOÃO BATISTA TONIAL','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6250114,3.00,5.00,0.00,3.00,6.00,8.63,3.00,6.00,1.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',15169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6250122,4.00,5.00,1.00,5.00,5.00,7.88,0.00,1.00,3.00,331,NULL,NULL,'VILA LALAU','JARAGUÁ SUL','SC',15595,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6250149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6250173,2.00,4.00,1.00,2.00,5.00,5.25,3.00,4.00,3.00,316,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6250190,5.00,6.00,5.00,6.00,4.00,11.25,3.00,7.00,4.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',6081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250203,5.00,5.00,2.00,4.00,8.00,9.75,3.00,5.00,5.00,109,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',7721,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6250211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6250238,6.00,7.00,2.00,7.00,7.00,10.88,0.00,5.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',5618,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6250246,5.00,7.00,2.00,5.00,8.00,9.00,1.00,5.00,2.00,301,NULL,NULL,'CACUPE','FLORIANÓPOLIS','SC',11623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250254,4.00,6.00,2.00,3.00,6.00,6.75,0.00,7.00,2.00,320,NULL,NULL,'BARREIROS','S JOSÉ','SC',15947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250262,4.00,6.00,3.00,3.00,3.00,7.13,2.00,4.00,4.00,238,NULL,601,'AGRONÔMICA','FLORIANÓPOLIS','SC',14578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250289,7.00,7.00,3.00,6.00,5.00,8.25,2.00,4.00,5.00,452,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',5975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250297,4.00,6.00,5.00,6.00,8.00,10.13,2.00,6.00,4.00,316,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',5091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250335,1.00,2.00,0.00,1.00,3.00,6.75,3.00,3.00,1.00,654,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6250360,5.00,6.00,5.00,6.00,7.00,8.25,1.00,6.00,4.00,238,NULL,220,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250378,8.00,5.00,2.00,5.00,8.00,9.75,2.00,2.00,3.00,103,NULL,NULL,'JARDIM DO TREVO','CAMPINAS','SP',7810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250386,7.00,6.00,3.00,5.00,5.00,9.38,2.00,6.00,5.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',6452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6250408,2.00,3.00,3.00,4.00,5.00,6.38,2.00,2.00,2.00,238,NULL,208,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250416,3.00,3.00,2.00,2.00,2.00,NULL,0.00,4.00,1.00,999,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6250432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6250440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6250475,7.00,6.00,5.00,7.00,8.00,8.25,2.00,6.00,7.00,103,NULL,NULL,'IRIRIU','JOINVILLE','SC',2208,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6250483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6250505,3.00,5.00,4.00,6.00,7.00,5.63,3.00,4.00,3.00,201,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',12242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250513,2.00,5.00,0.00,3.00,4.00,6.75,1.00,4.00,4.00,444,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',20092,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6250521,5.00,8.00,2.00,6.00,9.00,7.50,2.00,6.00,4.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'JARDIM SÃO SILVESTRE','CORNÉLIO PROCÓPIO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6250580,6.00,6.00,3.00,5.00,8.00,8.25,1.00,3.00,4.00,301,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',9495,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6250602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6250610,3.00,4.00,2.00,5.00,7.00,9.00,0.00,4.00,3.00,9,NULL,NULL,'CENTRO','S JOSÉ','SC',12883,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6250629,9.00,7.00,8.00,6.00,9.00,10.13,6.00,7.00,8.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250637,3.00,5.00,1.00,5.00,8.00,NULL,0.00,1.00,0.00,216,NULL,201,'BALNEÁRIO','PIRATUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6250645,2.00,3.00,2.00,3.00,1.00,NULL,1.00,0.00,1.00,425,NULL,424,'JARDIM AQUARIUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250653,2.00,4.00,0.00,4.00,6.00,9.00,1.00,4.00,2.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250661,8.00,7.00,2.00,4.00,7.00,8.63,3.00,7.00,5.00,304,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',4910,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6250670,3.00,4.00,2.00,1.00,2.00,NULL,1.00,0.00,2.00,103,NULL,NULL,'BALNEÁRIO RINCÃO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6250688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6250696,9.00,7.00,5.00,4.00,9.00,7.88,3.00,5.00,8.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',2073,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6250700,5.00,5.00,2.00,2.00,7.00,9.00,1.00,4.00,3.00,451,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',14227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250718,3.00,4.00,5.00,4.00,7.00,10.13,2.00,6.00,8.00,203,NULL,235,'OLHO DAGUA','S LUÍS','MA',6609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6250734,2.00,6.00,3.00,5.00,8.00,8.25,1.00,4.00,3.00,320,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',10934,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6250769,6.00,5.00,4.00,6.00,7.00,6.75,2.00,5.00,7.00,103,NULL,NULL,'VILA PROGREDIOR','S PAULO','SP',4339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250777,5.00,2.00,3.00,3.00,6.00,9.38,1.00,0.00,2.00,104,NULL,NULL,'CENTRO','PASSO FUNDO','RS',16117,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6250785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6250793,9.00,4.00,4.00,6.00,7.00,9.00,4.00,4.00,7.00,202,NULL,235,'JOAO PAULO','FLORIANÓPOLIS','SC',3076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250807,4.00,6.00,3.00,4.00,5.00,6.00,1.00,4.00,4.00,211,NULL,233,'RIO VERMELHO','FLORIANÓPOLIS','SC',14362,376,NULL,380,NULL,NULL,NULL,2,1),(25,6250815,0.00,2.00,0.00,0.00,0.00,NULL,2.00,0.00,1.00,426,NULL,428,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6250823,0.00,4.00,1.00,0.00,2.00,NULL,0.00,1.00,1.00,654,NULL,NULL,'MEU POSTINHO','S CRISTÓVÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6250831,3.00,6.00,4.00,5.00,8.00,10.13,1.00,4.00,3.00,207,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',7772,357,NULL,582,NULL,NULL,NULL,2,1),(25,6250840,1.00,2.00,2.00,1.00,5.00,6.75,0.00,1.00,2.00,101,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6250858,3.00,6.00,1.00,6.00,7.00,7.50,0.00,6.00,5.00,104,NULL,NULL,'VILLAGE','IMBITUBA','SC',12458,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6250866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6250874,6.00,7.00,4.00,7.00,8.00,9.75,2.00,4.00,6.00,303,NULL,NULL,'VILA PROGRÉDIOR','S PAULO','SP',3218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6250912,3.00,6.00,1.00,4.00,9.00,10.13,3.00,6.00,4.00,303,NULL,NULL,'BAIRRO MIRANTE','ITÁ','SC',8197,386,NULL,NULL,NULL,NULL,NULL,2,4),(25,6250920,5.00,6.00,3.00,6.00,4.00,9.00,1.00,4.00,4.00,316,NULL,NULL,'PORTÃO','CURITIBA','PR',9916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6250955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6250963,6.00,5.00,2.00,4.00,6.00,8.63,1.00,1.00,8.00,207,NULL,213,'SAO JOAO','PARANAVAÍ','PR',9467,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6250971,4.00,5.00,2.00,4.00,3.00,5.63,1.00,7.00,3.00,201,NULL,220,'PALHOÇA','PALHOÇA','SC',14325,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6250980,2.00,4.00,1.00,0.00,3.00,6.75,1.00,1.00,0.00,652,NULL,653,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6250998,5.00,4.00,2.00,4.00,7.00,6.75,1.00,6.00,4.00,203,NULL,201,'CENTRO','TOLEDO','PR',12876,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6251005,2.00,4.00,3.00,2.00,4.00,7.13,0.00,1.00,1.00,5,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',19712,674,NULL,NULL,NULL,NULL,NULL,2,1),(25,6251013,3.00,4.00,1.00,4.00,5.00,9.38,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','BIGUAÇU','SC',13247,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6251021,4.00,4.00,2.00,2.00,6.00,NULL,0.00,2.00,0.00,207,NULL,208,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251030,5.00,5.00,2.00,5.00,5.00,7.13,3.00,7.00,3.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11066,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6251056,3.00,5.00,4.00,1.00,6.00,10.13,1.00,4.00,5.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',9176,3416,NULL,NULL,NULL,NULL,NULL,2,2),(25,6251064,3.00,6.00,1.00,7.00,8.00,10.50,1.00,4.00,3.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251072,3.00,6.00,0.00,7.00,7.00,9.75,1.00,6.00,1.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',13212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,207,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6251099,2.00,5.00,2.00,3.00,5.00,7.13,5.00,5.00,0.00,201,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',18719,1539,NULL,544,NULL,NULL,NULL,2,1),(25,6251102,5.00,6.00,4.00,5.00,8.00,7.50,0.00,4.00,4.00,102,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',8994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251110,7.00,8.00,7.00,6.00,11.00,11.25,5.00,4.00,6.00,214,NULL,212,'PARQUE LAGO AZUL','PINDAMONHANGABA','SP',658,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6251129,1.00,4.00,1.00,3.00,4.00,7.50,1.00,2.00,0.00,420,NULL,NULL,'SERRARIA','S JOSÉ','SC',20931,191,NULL,NULL,NULL,NULL,NULL,2,1),(25,6251137,6.00,6.00,0.00,6.00,7.00,NULL,0.00,6.00,2.00,207,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251153,4.00,3.00,1.00,3.00,6.00,9.38,1.00,4.00,4.00,108,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',14146,203,NULL,NULL,NULL,NULL,NULL,2,1),(25,6251161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PORTAO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6251170,4.00,7.00,0.00,6.00,7.00,NULL,0.00,3.00,1.00,235,NULL,601,'AGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6251196,4.00,6.00,1.00,1.00,9.00,9.00,1.00,7.00,4.00,220,NULL,601,'SANTA TEREZINHA','GASPAR','SC',10046,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6251200,6.00,5.00,2.00,4.00,8.00,10.13,0.00,4.00,5.00,103,NULL,NULL,'CENTRO','POMERODE','SC',6779,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6251218,8.00,6.00,5.00,7.00,7.00,9.75,2.00,8.00,6.00,103,NULL,NULL,'SÃO LOURENÇO','CURITIBA','PR',2476,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6251226,8.00,7.00,7.00,6.00,8.00,9.38,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','CIANORTE','PR',1548,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6251234,3.00,3.00,0.00,4.00,1.00,NULL,1.00,2.00,0.00,653,NULL,652,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6251242,3.00,2.00,2.00,3.00,5.00,7.13,1.00,1.00,3.00,238,NULL,208,'MEIA PRAIA','ITAPEMA','SC',20845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251250,5.00,4.00,1.00,4.00,6.00,8.63,0.00,5.00,5.00,103,NULL,NULL,'CENTRO','VERANÓPOLIS','RS',11808,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6251277,1.00,2.00,2.00,2.00,3.00,6.38,1.00,1.00,1.00,317,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251315,9.00,7.00,2.00,6.00,9.00,8.63,2.00,5.00,3.00,104,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',6643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'TATUAPÉ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6251358,1.00,5.00,2.00,4.00,5.00,9.38,1.00,1.00,3.00,214,NULL,203,'CENTRO','S SEBASTIÃO PARAÍSO','MG',14071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251366,3.00,4.00,4.00,3.00,9.00,7.50,2.00,4.00,3.00,207,NULL,601,'ALVORADA','FRANCISCO BELTRÃO','PR',11336,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6251374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6251382,4.00,5.00,3.00,6.00,7.00,6.75,1.00,3.00,6.00,333,NULL,NULL,'KOBRASSOL','S JOSÉ','SC',10607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6251390,0.00,6.00,1.00,5.00,7.00,NULL,2.00,2.00,3.00,220,NULL,208,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251404,5.00,6.00,2.00,6.00,9.00,6.00,2.00,4.00,6.00,203,NULL,235,'FAZENDA','ITAJAÍ','SC',7328,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6251420,3.00,2.00,1.00,0.00,4.00,NULL,1.00,0.00,0.00,502,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6251439,1.00,2.00,0.00,2.00,4.00,6.75,2.00,2.00,1.00,203,NULL,214,'CENTRO','BONITO','MS',19997,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6251447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'RESIDENCIAL SÃO JOSE','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6251455,6.00,7.00,3.00,7.00,7.00,8.25,2.00,7.00,6.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',5831,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251463,6.00,4.00,4.00,3.00,10.00,10.50,4.00,7.00,6.00,103,NULL,NULL,'MADUREIRA','CAXIAS SUL','RS',2455,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6251471,4.00,4.00,4.00,6.00,6.00,NULL,0.00,1.00,1.00,332,NULL,NULL,'GRANJA VIANA','COTIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251480,3.00,5.00,2.00,3.00,6.00,10.50,1.00,5.00,2.00,103,NULL,NULL,'ZONA RURAL','BELA V TOLDO','SC',12968,3989,NULL,NULL,NULL,NULL,NULL,2,17),(25,6251498,8.00,7.00,4.00,6.00,6.00,6.75,5.00,6.00,7.00,203,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',2833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251501,9.00,7.00,7.00,7.00,9.00,7.13,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251510,6.00,6.00,4.00,7.00,9.00,6.38,2.00,7.00,2.00,235,NULL,202,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',5888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251528,6.00,7.00,2.00,2.00,9.00,9.75,1.00,5.00,4.00,303,NULL,NULL,'UNIVERSITÁRIO','CHAPECÓ','SC',7272,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6251536,7.00,7.00,5.00,4.00,10.00,12.38,3.00,6.00,8.00,207,NULL,211,'BARREIROS','S JOSÉ','SC',1696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251544,1.00,7.00,3.00,3.00,6.00,10.13,2.00,4.00,3.00,9,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',15602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6251579,7.00,5.00,4.00,5.00,7.00,8.25,5.00,7.00,5.00,211,NULL,653,'TRINDADE','FLORIANÓPOLIS','SC',5335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251587,3.00,4.00,2.00,2.00,8.00,8.25,1.00,4.00,2.00,999,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6251595,8.00,7.00,2.00,2.00,8.00,10.13,0.00,4.00,2.00,201,NULL,212,'VELHA','BLUMENAU','SC',8134,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6251609,6.00,8.00,0.00,6.00,9.00,6.00,4.00,5.00,5.00,108,NULL,NULL,'ELDORADO','CHAPECÓ','SC',9050,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6251625,6.00,5.00,3.00,4.00,4.00,9.38,1.00,4.00,2.00,318,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',13261,39,NULL,NULL,NULL,NULL,NULL,2,1),(25,6251633,3.00,3.00,3.00,5.00,5.00,9.00,0.00,4.00,4.00,203,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',13586,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6251641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6251650,4.00,4.00,3.00,3.00,4.00,6.75,1.00,4.00,2.00,5,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',19415,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6251668,3.00,3.00,3.00,3.00,5.00,10.50,1.00,3.00,0.00,404,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',19661,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6251676,4.00,5.00,0.00,3.00,6.00,8.63,2.00,3.00,1.00,317,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',15310,81,NULL,NULL,NULL,NULL,NULL,2,1),(25,6251684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'NAÇÕES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6251692,4.00,6.00,2.00,3.00,7.00,7.88,0.00,5.00,3.00,103,NULL,NULL,'JD TESTAE','GUARULHOS','SP',12453,3924,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251706,8.00,7.00,4.00,7.00,9.00,10.13,3.00,7.00,6.00,103,NULL,NULL,'VILA NOVA','LAGES','SC',1300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251714,3.00,5.00,2.00,2.00,2.00,NULL,2.00,2.00,3.00,316,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6251722,5.00,5.00,1.00,6.00,8.00,9.75,3.00,2.00,1.00,601,NULL,201,'CENTRO','FRAIBURGO','SC',10672,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6251730,2.00,6.00,2.00,1.00,7.00,6.75,1.00,1.00,0.00,5,NULL,NULL,'AFONSO PENA','S JOSÉ PINHAIS','PR',18144,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6251749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IJUÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6251757,6.00,6.00,1.00,5.00,7.00,7.50,2.00,3.00,5.00,235,NULL,601,'CENTRO','PALHOÇA','SC',11063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6251781,2.00,7.00,1.00,4.00,7.00,6.00,1.00,3.00,3.00,203,NULL,211,'CENTRO','ORLEANS','SC',16072,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6251790,3.00,7.00,2.00,4.00,9.00,9.00,1.00,6.00,5.00,201,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',9847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251803,7.00,7.00,5.00,6.00,7.00,10.50,0.00,7.00,4.00,104,NULL,NULL,'JURERE IINTERNACIONA','FLORIANÓPOLIS','SC',4254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251811,5.00,4.00,1.00,2.00,7.00,NULL,1.00,3.00,0.00,5,NULL,NULL,'VILA CONCÓRDIA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251820,3.00,6.00,1.00,2.00,9.00,NULL,2.00,8.00,0.00,654,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6251838,4.00,1.00,2.00,4.00,6.00,9.38,1.00,2.00,2.00,404,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16533,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6251862,3.00,4.00,0.00,6.00,5.00,7.88,1.00,4.00,2.00,319,NULL,NULL,'JARDIM PAULISTA','OURINHOS','SP',14415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251870,2.00,3.00,1.00,1.00,4.00,5.63,2.00,1.00,1.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',20872,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6251889,5.00,4.00,1.00,4.00,6.00,6.75,0.00,2.00,3.00,425,NULL,429,'COQUEIROS','FLORIANÓPOLIS','SC',16474,60,NULL,33,NULL,NULL,NULL,4,1),(25,6251897,3.00,3.00,3.00,4.00,4.00,5.25,3.00,1.00,2.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6251900,3.00,3.00,0.00,3.00,7.00,6.00,3.00,2.00,2.00,212,NULL,215,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6251919,4.00,4.00,3.00,7.00,7.00,9.38,2.00,4.00,1.00,103,NULL,NULL,'FORTALEZA','BLUMENAU','SC',14116,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(25,6251927,5.00,5.00,2.00,4.00,7.00,9.38,2.00,4.00,6.00,201,NULL,601,'CIDADE BAIXA','PTO ALEGRE','RS',8991,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6251935,2.00,4.00,2.00,3.00,5.00,4.88,1.00,0.00,0.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251943,7.00,5.00,2.00,4.00,7.00,NULL,0.00,4.00,6.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6251951,4.00,5.00,0.00,6.00,4.00,7.88,1.00,1.00,3.00,234,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251960,8.00,5.00,4.00,5.00,8.00,9.38,2.00,6.00,7.00,102,NULL,NULL,'PARQUE GABRIELA','OURINHOS','SP',3706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6251986,2.00,3.00,2.00,1.00,4.00,7.13,1.00,0.00,3.00,207,NULL,201,'CENTRO','CAPINZAL','SC',20564,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6251994,2.00,2.00,2.00,1.00,5.00,7.13,0.00,3.00,1.00,101,NULL,NULL,'VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC',20337,160,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6252010,6.00,6.00,2.00,7.00,10.00,9.00,1.00,7.00,6.00,415,NULL,NULL,'CENTRO','CORUPÁ','SC',4044,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6252028,3.00,5.00,1.00,1.00,9.00,9.38,1.00,2.00,3.00,316,NULL,NULL,'ARMAÇÃO PANT DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252036,8.00,6.00,3.00,7.00,9.00,12.00,3.00,5.00,8.00,103,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',1559,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6252044,3.00,4.00,1.00,6.00,1.00,NULL,2.00,5.00,3.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252052,4.00,4.00,2.00,4.00,4.00,6.38,1.00,1.00,2.00,104,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',20584,576,NULL,NULL,NULL,NULL,NULL,2,4),(25,6252060,0.00,2.00,1.00,0.00,2.00,NULL,3.00,0.00,2.00,652,NULL,208,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252079,3.00,6.00,4.00,5.00,9.00,8.25,2.00,5.00,2.00,415,NULL,NULL,'MICHEL','CRICIÚMA','SC',7858,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6252087,2.00,1.00,1.00,2.00,3.00,8.25,6.00,1.00,2.00,225,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',20878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6252095,4.00,3.00,3.00,6.00,7.00,8.25,1.00,5.00,4.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',10900,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252109,8.00,6.00,2.00,5.00,10.00,7.88,4.00,7.00,5.00,211,NULL,215,'BARREIROS','S JOSÉ','SC',4043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6252125,3.00,2.00,3.00,2.00,3.00,9.75,2.00,3.00,3.00,304,NULL,NULL,'SERRARIA','S JOSÉ','SC',19917,143,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252133,3.00,4.00,1.00,5.00,8.00,NULL,0.00,4.00,2.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6252150,8.00,6.00,3.00,2.00,6.00,12.38,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','FARTURA','SP',4112,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6252168,2.00,4.00,0.00,2.00,5.00,7.50,2.00,1.00,2.00,208,NULL,238,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PRESIDENTE MEDICI','ITU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6252184,7.00,6.00,4.00,7.00,5.00,6.75,4.00,2.00,8.00,103,NULL,NULL,'VILA LEONOR','S PAULO','SP',5646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252192,3.00,3.00,0.00,2.00,5.00,NULL,3.00,0.00,1.00,208,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6252206,7.00,5.00,5.00,5.00,6.00,7.50,4.00,5.00,7.00,201,NULL,203,'CENTRO','NOVA MUTUM','MT',4647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252230,2.00,4.00,0.00,2.00,4.00,0.00,2.00,1.00,3.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6252249,7.00,8.00,5.00,7.00,8.00,11.63,1.00,7.00,6.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252257,3.00,5.00,0.00,1.00,4.00,NULL,2.00,2.00,0.00,444,NULL,NULL,'JARDIM CIBELE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6252265,2.00,4.00,2.00,5.00,8.00,8.63,3.00,2.00,2.00,102,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',13668,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6252273,7.00,4.00,2.00,5.00,9.00,9.38,1.00,2.00,3.00,104,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',10529,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6252281,2.00,4.00,0.00,1.00,2.00,NULL,1.00,0.00,0.00,103,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6252290,6.00,5.00,2.00,5.00,8.00,7.13,3.00,7.00,3.00,501,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252311,4.00,5.00,0.00,5.00,7.00,NULL,0.00,4.00,3.00,207,NULL,208,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6252338,6.00,4.00,1.00,6.00,9.00,9.00,2.00,3.00,4.00,104,NULL,NULL,'CENTRO','RIO NEGRO','PR',10650,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6252346,2.00,6.00,0.00,6.00,5.00,8.63,2.00,3.00,3.00,428,NULL,426,'ITAGUAÇU','FLORIANÓPOLIS','SC',17842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6252354,8.00,5.00,4.00,6.00,6.00,9.38,4.00,7.00,8.00,203,NULL,235,'SANTA FELICIDADE','CURITIBA','PR',1815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252362,3.00,5.00,3.00,2.00,6.00,7.50,1.00,2.00,2.00,319,NULL,NULL,'STA CRUZ DA FIGRA','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252370,8.00,7.00,4.00,3.00,8.00,7.88,1.00,5.00,7.00,103,NULL,NULL,'UMBARÁ','CURITIBA','PR',5071,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6252389,4.00,5.00,1.00,4.00,6.00,9.75,1.00,0.00,5.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252397,5.00,7.00,5.00,4.00,6.00,8.25,4.00,4.00,4.00,211,NULL,215,'ABRAAO','FLORIANÓPOLIS','SC',8536,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6252400,2.00,6.00,2.00,5.00,6.00,7.13,3.00,3.00,2.00,452,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',12820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6252419,2.00,3.00,3.00,4.00,5.00,7.88,2.00,4.00,2.00,503,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',16250,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6252427,4.00,7.00,1.00,4.00,4.00,9.38,1.00,3.00,3.00,103,NULL,NULL,'PASSO DAREIA','PTO ALEGRE','RS',16639,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6252443,2.00,6.00,1.00,4.00,6.00,7.88,1.00,6.00,2.00,653,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',14360,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6252451,4.00,5.00,2.00,1.00,4.00,7.13,1.00,2.00,1.00,215,NULL,203,'ITAJUBA','BARRA VELHA','SC',20753,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6252460,7.00,5.00,3.00,3.00,7.00,4.88,3.00,2.00,5.00,203,NULL,233,'JOÃO PAULO','FLORIANÓPOLIS','SC',11101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252478,4.00,3.00,1.00,5.00,7.00,10.13,1.00,3.00,6.00,212,NULL,201,'ALTO BOQUEIRÃO','CURITIBA','PR',12762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6252486,3.00,7.00,1.00,5.00,7.00,7.13,3.00,7.00,3.00,103,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',9241,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6252494,2.00,5.00,1.00,4.00,7.00,NULL,0.00,3.00,2.00,999,NULL,NULL,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6252508,2.00,3.00,3.00,0.00,5.00,6.00,0.00,1.00,1.00,207,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',21029,1144,NULL,521,NULL,NULL,NULL,4,1),(25,6252516,3.00,4.00,0.00,3.00,3.00,8.25,2.00,3.00,2.00,654,NULL,NULL,'JARDIM EUROPA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6252524,2.00,6.00,1.00,3.00,7.00,6.00,1.00,3.00,1.00,319,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',19426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252532,7.00,6.00,2.00,0.00,8.00,8.63,2.00,6.00,2.00,102,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',9573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252540,8.00,8.00,6.00,7.00,10.00,13.13,2.00,7.00,7.00,103,NULL,NULL,'CENTRO','SCHROEDER','SC',527,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6252559,4.00,5.00,3.00,4.00,7.00,8.63,1.00,2.00,2.00,202,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',14822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252567,2.00,5.00,4.00,2.00,5.00,7.88,0.00,4.00,2.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18828,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6252583,3.00,5.00,1.00,3.00,6.00,10.13,1.00,6.00,2.00,301,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',13969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252591,3.00,4.00,4.00,4.00,6.00,6.75,2.00,0.00,1.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252605,6.00,8.00,7.00,7.00,9.00,9.38,0.00,7.00,8.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252613,6.00,7.00,3.00,7.00,10.00,10.50,1.00,4.00,3.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',4430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252621,3.00,5.00,1.00,3.00,6.00,7.88,1.00,4.00,3.00,201,NULL,233,'CENTRO','ARARANGUÁ','SC',15520,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6252630,7.00,6.00,4.00,7.00,9.00,9.00,5.00,8.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252648,2.00,4.00,2.00,2.00,5.00,9.00,3.00,1.00,1.00,103,NULL,NULL,'CENTRO','BOM JESUS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6252664,5.00,8.00,5.00,6.00,9.00,9.00,4.00,7.00,8.00,203,NULL,214,'JARDIM AQUÁRIUS','S JOSÉ CAMPOS','SP',1371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252672,6.00,5.00,5.00,4.00,7.00,7.88,2.00,6.00,2.00,5,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',8860,318,NULL,NULL,NULL,NULL,NULL,2,1),(25,6252680,3.00,5.00,2.00,4.00,4.00,7.13,1.00,2.00,3.00,104,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',16422,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6252702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM ANA MARIA','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6252710,3.00,7.00,3.00,6.00,10.00,10.13,3.00,3.00,2.00,319,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',8747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6252753,3.00,5.00,0.00,2.00,6.00,NULL,3.00,4.00,3.00,207,NULL,NULL,'JARDIM PAULISTA','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6252761,4.00,5.00,4.00,4.00,5.00,8.25,2.00,3.00,5.00,655,NULL,653,'CENTRO','BAL CAMBORIÚ','SC',11135,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6252770,5.00,4.00,0.00,3.00,6.00,8.25,0.00,0.00,2.00,303,NULL,NULL,'PREVISUL','MARACAJU','MS',20161,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6252788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6252796,8.00,6.00,7.00,6.00,7.00,6.75,6.00,7.00,8.00,203,NULL,220,'CENTRO','TUBARÃO','SC',1169,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6252800,8.00,7.00,5.00,6.00,9.00,9.75,5.00,6.00,7.00,103,NULL,NULL,'PARADA INGLESA','S PAULO','SP',827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252818,3.00,5.00,1.00,4.00,9.00,7.50,2.00,3.00,4.00,201,NULL,212,'CARVOEIRA','FLORIANÓPOLIS','SC',14746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252826,3.00,5.00,2.00,3.00,8.00,5.63,1.00,5.00,4.00,207,NULL,NULL,'PINHEIROS','OTACÍLIO COSTA','SC',17633,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6252834,1.00,1.00,1.00,1.00,1.00,NULL,2.00,2.00,0.00,201,NULL,213,'INTERIOR','ERVAL GRANDE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6252850,3.00,6.00,5.00,5.00,7.00,8.63,2.00,6.00,5.00,203,NULL,601,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',7702,585,NULL,NULL,NULL,NULL,NULL,1,1),(25,6252877,6.00,7.00,4.00,5.00,10.00,8.63,2.00,8.00,7.00,301,NULL,NULL,'SANTA BÁRBARA','CRICIÚMA','SC',2899,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6252885,3.00,7.00,4.00,1.00,5.00,4.88,0.00,2.00,3.00,238,NULL,235,'CARIANOS','FLORIANÓPOLIS','SC',19906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6252893,6.00,6.00,6.00,7.00,8.00,8.63,5.00,7.00,7.00,304,NULL,NULL,'TATUAPÉ','S PAULO','SP',1026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252907,6.00,6.00,2.00,4.00,5.00,8.63,1.00,6.00,3.00,425,NULL,429,'BARRA DO ARIRIÚ','PALHOÇA','SC',10684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252915,3.00,4.00,2.00,2.00,9.00,7.88,2.00,6.00,1.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',12650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252923,3.00,6.00,3.00,5.00,5.00,7.88,0.00,1.00,1.00,102,NULL,NULL,'CENTRO','CURITIBANOS','SC',15594,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6252940,1.00,5.00,3.00,4.00,4.00,4.50,2.00,2.00,1.00,653,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',19707,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6252974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6252982,4.00,6.00,1.00,3.00,4.00,9.38,3.00,1.00,3.00,213,NULL,601,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',17007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6252990,7.00,7.00,6.00,5.00,7.00,8.63,1.00,5.00,5.00,207,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',4725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253008,7.00,6.00,3.00,6.00,9.00,7.13,3.00,6.00,7.00,101,NULL,NULL,'IPIRANGA','S JOSÉ','SC',4566,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6253016,6.00,3.00,3.00,4.00,7.00,9.38,2.00,3.00,4.00,103,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',12204,3892,NULL,NULL,NULL,NULL,NULL,4,8),(25,6253024,6.00,7.00,2.00,4.00,8.00,10.13,1.00,4.00,2.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',10497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253032,6.00,6.00,4.00,2.00,9.00,9.00,2.00,4.00,5.00,601,NULL,203,'JD MASCARENHAS','EMBU','SP',6531,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6253040,5.00,5.00,2.00,5.00,6.00,9.38,0.00,5.00,2.00,318,NULL,NULL,'SÃO CRISTOVÃO','LAGES','SC',14747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253059,2.00,7.00,1.00,1.00,3.00,6.38,2.00,1.00,0.00,320,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6253067,5.00,2.00,3.00,7.00,6.00,6.75,2.00,4.00,2.00,220,NULL,238,'AGRONOMICA','FLORIANÓPOLIS','SC',13263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253083,3.00,5.00,2.00,3.00,4.00,6.38,1.00,2.00,2.00,601,NULL,655,'PROFIPO','JOINVILLE','SC',18322,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6253091,3.00,5.00,2.00,4.00,6.00,7.88,3.00,5.00,3.00,326,NULL,NULL,'SERRARIA','S JOSÉ','SC',11593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253105,5.00,6.00,3.00,5.00,9.00,10.13,3.00,8.00,7.00,102,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',2400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253113,6.00,7.00,4.00,5.00,6.00,6.75,1.00,6.00,3.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8620,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6253130,8.00,5.00,4.00,3.00,9.00,9.00,2.00,2.00,5.00,104,NULL,NULL,'CONGONHAS','TUBARÃO','SC',7366,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6253148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6253156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6253164,8.00,8.00,7.00,7.00,10.00,11.25,2.00,4.00,6.00,201,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',1239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253172,4.00,7.00,0.00,3.00,6.00,6.75,1.00,4.00,4.00,201,NULL,212,'RIO VERMELHO','FLORIANÓPOLIS','SC',13239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253180,7.00,5.00,5.00,5.00,8.00,6.75,5.00,6.00,5.00,202,NULL,235,'JARDIM BLUMENAU','BLUMENAU','SC',4437,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6253199,1.00,3.00,3.00,2.00,4.00,3.75,3.00,2.00,1.00,652,NULL,655,'JARDIM CIBELE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6253202,2.00,4.00,1.00,1.00,4.00,7.88,0.00,2.00,2.00,301,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',20372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253210,3.00,4.00,2.00,4.00,5.00,6.38,1.00,4.00,4.00,601,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',18043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VISTA VERDE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6253237,2.00,0.00,1.00,1.00,3.00,5.25,1.00,0.00,0.00,653,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',21798,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6253245,4.00,4.00,2.00,3.00,8.00,9.38,1.00,3.00,2.00,303,NULL,NULL,'CANOAS','RIO SUL','SC',12907,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6253253,8.00,7.00,4.00,7.00,7.00,13.50,2.00,7.00,7.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253261,6.00,5.00,3.00,5.00,6.00,9.75,3.00,7.00,4.00,453,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6651,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6253288,4.00,5.00,3.00,3.00,6.00,7.88,2.00,4.00,2.00,201,NULL,213,'CENTRO','CHAPECÓ','SC',14801,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6253296,2.00,2.00,1.00,4.00,5.00,7.13,2.00,2.00,3.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253300,4.00,4.00,0.00,3.00,7.00,NULL,1.00,2.00,0.00,103,NULL,NULL,'BOQUEIRAO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6253318,3.00,4.00,1.00,2.00,8.00,9.00,1.00,4.00,4.00,216,NULL,233,'MORRETES','ITAPEMA','SC',15379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253326,7.00,7.00,4.00,8.00,9.00,10.13,2.00,6.00,6.00,201,NULL,207,'JARDIM HORIZONTE','IMBITUVA','PR',1366,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6253334,7.00,5.00,3.00,5.00,7.00,7.88,2.00,6.00,7.00,302,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',5336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253342,6.00,7.00,4.00,7.00,9.00,6.00,2.00,5.00,6.00,220,NULL,238,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',4438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253350,2.00,6.00,2.00,6.00,6.00,7.88,1.00,2.00,4.00,999,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253369,4.00,1.00,1.00,2.00,2.00,NULL,3.00,1.00,0.00,551,NULL,NULL,'INTERIOR','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6253377,3.00,6.00,2.00,4.00,5.00,7.50,3.00,6.00,1.00,654,NULL,NULL,'CENTRO','ARARANGUÁ','SC',12656,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6253393,4.00,7.00,1.00,4.00,8.00,8.25,1.00,7.00,4.00,5,NULL,NULL,'JD AQUARIUS IV','S JOSÉ CAMPOS','SP',11169,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6253407,5.00,5.00,0.00,6.00,6.00,7.88,1.00,3.00,4.00,301,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',10068,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6253415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'COLINA VERDE','SALTO LONTRA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6253423,7.00,4.00,7.00,4.00,7.00,8.25,2.00,4.00,7.00,103,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',5376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253431,2.00,5.00,3.00,1.00,7.00,7.50,2.00,3.00,3.00,102,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',15593,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6253440,0.00,4.00,1.00,2.00,5.00,7.13,2.00,4.00,2.00,104,NULL,NULL,'COOPHATRABALHO','CPO GRANDE','MS',19007,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6253458,8.00,8.00,3.00,7.00,8.00,10.88,3.00,8.00,6.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253466,3.00,2.00,2.00,2.00,4.00,6.38,3.00,2.00,3.00,202,NULL,213,'CAMPECHE','FLORIANÓPOLIS','SC',19490,613,NULL,284,NULL,NULL,NULL,4,1),(25,6253474,3.00,3.00,2.00,4.00,3.00,5.25,2.00,3.00,2.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',20386,843,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253482,7.00,5.00,6.00,4.00,10.00,10.50,4.00,7.00,7.00,103,NULL,NULL,'CIDADE UNIVERSITARIA','MARINGÁ','PR',1961,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6253490,4.00,4.00,1.00,3.00,5.00,6.38,2.00,0.00,2.00,108,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',17493,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6253504,5.00,0.00,2.00,4.00,8.00,NULL,0.00,0.00,0.00,211,NULL,202,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,7),(25,6253512,8.00,7.00,6.00,5.00,10.00,10.88,3.00,7.00,8.00,103,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',651,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6253520,5.00,2.00,1.00,0.00,4.00,6.00,1.00,0.00,0.00,201,NULL,NULL,'MONTE VERDE','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6253539,7.00,7.00,4.00,6.00,10.00,10.88,1.00,6.00,7.00,208,NULL,238,'CENTRO','TIJUCAS','SC',2174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253547,3.00,2.00,1.00,1.00,4.00,8.63,0.00,3.00,0.00,212,NULL,214,'JARDIM ELIZABETE','IÇARA','SC',20261,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6253555,5.00,6.00,4.00,7.00,7.00,9.38,1.00,5.00,2.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253563,3.00,6.00,4.00,8.00,7.00,7.50,2.00,3.00,2.00,233,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253571,4.00,6.00,4.00,6.00,4.00,9.75,1.00,4.00,1.00,340,NULL,NULL,'PARQUE SÃO JORGE','PIRACICABA','SP',11583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253580,3.00,5.00,1.00,6.00,5.00,10.88,1.00,4.00,5.00,212,NULL,201,'VILA JUDITH','LONDRINA','PR',9716,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6253598,5.00,5.00,3.00,6.00,8.00,7.50,2.00,3.00,1.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',10408,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6253601,2.00,5.00,2.00,6.00,7.00,8.25,1.00,6.00,3.00,450,NULL,NULL,'JARDIM PANAMÁ','CPO GRANDE','MS',11648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6253610,6.00,6.00,3.00,6.00,8.00,9.38,2.00,6.00,5.00,212,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',6324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253628,2.00,2.00,2.00,4.00,3.00,6.75,1.00,4.00,2.00,108,NULL,NULL,'ESPLANADA DO SOL','S JOSÉ CAMPOS','SP',18963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253636,3.00,3.00,2.00,5.00,4.00,6.75,1.00,2.00,1.00,102,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',19433,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6253644,8.00,5.00,1.00,5.00,8.00,10.13,2.00,7.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253660,7.00,5.00,2.00,6.00,8.00,11.25,2.00,5.00,5.00,103,NULL,NULL,'PQ SÃO DOMINGOS','S PAULO','SP',4242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253679,5.00,8.00,1.00,4.00,9.00,8.25,0.00,5.00,3.00,337,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',9579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253687,2.00,4.00,2.00,3.00,6.00,7.50,2.00,1.00,1.00,238,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',20296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA ISABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6253709,4.00,5.00,2.00,2.00,4.00,8.63,1.00,0.00,1.00,104,NULL,NULL,'SÃO FRANCISCO','BRAÇO NORTE','SC',18692,526,NULL,NULL,NULL,NULL,NULL,2,10),(25,6253725,4.00,3.00,0.00,3.00,4.00,7.88,2.00,0.00,2.00,654,NULL,NULL,'JAQUELINE','IÇARA','SC',20017,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6253741,2.00,2.00,2.00,5.00,6.00,8.63,2.00,2.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6253750,4.00,1.00,3.00,2.00,7.00,6.75,2.00,3.00,1.00,423,NULL,426,'TRINDADE','FLORIANÓPOLIS','SC',20168,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6253776,1.00,4.00,3.00,1.00,2.00,NULL,2.00,5.00,2.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6253784,2.00,3.00,1.00,4.00,8.00,6.75,2.00,2.00,4.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15336,540,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253792,2.00,3.00,1.00,2.00,5.00,4.88,3.00,1.00,2.00,652,NULL,655,'JARDIM CIBELE','ARARANGUÁ','SC',21581,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6253806,4.00,4.00,3.00,5.00,4.00,5.63,2.00,3.00,3.00,238,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',16653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253814,3.00,6.00,3.00,5.00,7.00,7.50,3.00,2.00,1.00,304,NULL,NULL,'CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC',13413,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6253822,5.00,4.00,4.00,6.00,9.00,8.63,3.00,7.00,2.00,103,NULL,NULL,'PIO CORREIA','CRICIÚMA','SC',6374,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6253830,1.00,3.00,0.00,2.00,6.00,NULL,2.00,4.00,2.00,551,NULL,NULL,'BOM JESUS','BARRACÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6253849,3.00,6.00,1.00,3.00,6.00,7.88,1.00,1.00,4.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253857,2.00,3.00,0.00,2.00,5.00,6.75,0.00,3.00,4.00,238,NULL,203,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253865,8.00,8.00,3.00,5.00,10.00,9.38,3.00,6.00,4.00,103,NULL,NULL,'CAMPO DE FORA','LAGUNA','SC',3326,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6253873,3.00,1.00,3.00,1.00,1.00,NULL,1.00,1.00,3.00,339,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6253881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6253903,4.00,5.00,0.00,5.00,4.00,8.63,1.00,4.00,2.00,340,NULL,NULL,'CACUPE','FLORIANÓPOLIS','SC',17696,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6253911,7.00,6.00,5.00,5.00,8.00,6.75,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',4272,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6253920,8.00,6.00,6.00,7.00,9.00,9.75,3.00,7.00,8.00,103,NULL,NULL,'JARDIM BELA VISTA','MARINGÁ','PR',540,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6253938,4.00,3.00,1.00,6.00,6.00,5.63,2.00,3.00,6.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',12835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253946,5.00,3.00,0.00,4.00,6.00,NULL,0.00,3.00,3.00,320,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6253954,2.00,4.00,1.00,2.00,5.00,7.50,2.00,1.00,1.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6253962,4.00,4.00,1.00,4.00,6.00,8.25,4.00,3.00,1.00,103,NULL,NULL,'CENTRO','LAGES','SC',13704,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6253970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6253989,8.00,7.00,5.00,7.00,9.00,10.88,7.00,5.00,8.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',413,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6253997,8.00,6.00,4.00,4.00,9.00,10.50,6.00,8.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254004,2.00,4.00,3.00,4.00,6.00,10.13,1.00,5.00,3.00,104,NULL,NULL,'SANTA BARBARA','CRICIÚMA','SC',12985,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6254012,7.00,6.00,3.00,7.00,5.00,9.75,3.00,6.00,4.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254047,2.00,3.00,1.00,1.00,3.00,7.50,1.00,1.00,2.00,203,NULL,NULL,'SÃO JOSÉ','SOMBRIO','SC',20688,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6254055,8.00,7.00,7.00,7.00,9.00,7.88,4.00,5.00,7.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',1827,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6254063,4.00,5.00,2.00,4.00,7.00,9.00,0.00,3.00,1.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',13070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'GUARÁ II','GUARÁ','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6254080,6.00,5.00,3.00,4.00,8.00,4.50,3.00,4.00,5.00,202,NULL,235,'VILA BERNARDES','ARAPONGAS','PR',8588,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6254098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6254101,2.00,3.00,3.00,3.00,7.00,6.00,1.00,0.00,1.00,302,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',21258,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6254110,4.00,6.00,2.00,6.00,6.00,8.63,1.00,4.00,0.00,207,NULL,212,'FUNDOS','BIGUAÇU','SC',12181,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6254128,4.00,6.00,3.00,5.00,8.00,8.25,3.00,3.00,3.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',9102,331,NULL,NULL,NULL,NULL,NULL,2,1),(25,6254136,3.00,5.00,1.00,4.00,7.00,7.50,0.00,2.00,2.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',17046,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6254144,2.00,4.00,0.00,5.00,7.00,10.88,1.00,4.00,3.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',13018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254152,3.00,6.00,3.00,1.00,2.00,NULL,0.00,4.00,0.00,108,NULL,NULL,'SANTA CATARINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6254160,6.00,5.00,1.00,2.00,8.00,9.38,0.00,3.00,4.00,234,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12605,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6254179,0.00,4.00,0.00,1.00,3.00,8.63,2.00,0.00,2.00,201,NULL,212,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254187,1.00,2.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,207,NULL,201,'VILA VERDE','PALMITAL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6254195,2.00,3.00,1.00,4.00,3.00,6.00,4.00,1.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',21235,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6254209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MEDIANEIRA','ARMAZÉM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6254217,6.00,6.00,3.00,6.00,7.00,11.63,1.00,7.00,6.00,104,NULL,NULL,'BUCAREIN','JOINVILLE','SC',4083,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6254241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6254250,5.00,6.00,4.00,7.00,10.00,8.63,2.00,5.00,7.00,203,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',2992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254268,8.00,4.00,6.00,6.00,8.00,9.38,2.00,2.00,8.00,103,NULL,NULL,'DEHON','TUBARÃO','SC',3922,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6254276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6254284,2.00,1.00,2.00,2.00,1.00,NULL,2.00,0.00,0.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6254292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PORTAL DE ITU','ITU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6254306,1.00,1.00,1.00,2.00,4.00,7.13,2.00,2.00,0.00,319,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6254314,4.00,4.00,1.00,6.00,4.00,8.25,1.00,5.00,3.00,501,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',15807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254322,3.00,4.00,2.00,5.00,8.00,9.00,2.00,4.00,2.00,303,NULL,NULL,'CENTRO','ERECHIM','RS',11460,534,NULL,NULL,NULL,NULL,NULL,2,4),(25,6254349,7.00,7.00,6.00,6.00,8.00,12.75,4.00,6.00,7.00,304,NULL,NULL,'SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC',1524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6254357,4.00,5.00,3.00,6.00,10.00,6.75,2.00,7.00,6.00,301,NULL,NULL,'CENTRO','CRICIÚMA','SC',7186,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6254365,6.00,7.00,3.00,4.00,8.00,11.63,3.00,8.00,6.00,211,NULL,601,'CAMPECHE','FLORIANÓPOLIS','SC',2613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254373,2.00,3.00,1.00,3.00,1.00,NULL,1.00,0.00,0.00,104,NULL,NULL,'SÃO MIGUEL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6254381,5.00,7.00,3.00,7.00,10.00,12.00,3.00,6.00,5.00,425,NULL,428,'JARDIM DA SAÚDE','S PAULO','SP',2578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254390,6.00,6.00,4.00,6.00,9.00,7.88,4.00,8.00,5.00,203,NULL,233,'CAMPINAS','S JOSÉ','SC',3842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6254403,5.00,5.00,2.00,7.00,7.00,6.75,3.00,6.00,1.00,453,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254411,5.00,4.00,1.00,5.00,8.00,8.25,1.00,5.00,3.00,415,NULL,NULL,'BOA VISTA','JOINVILLE','SC',11189,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6254420,5.00,5.00,0.00,6.00,7.00,6.38,2.00,4.00,3.00,444,NULL,NULL,'CACHOEIRA DO B J','FLORIANÓPOLIS','SC',13039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254438,4.00,7.00,2.00,4.00,8.00,7.88,0.00,3.00,3.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254446,6.00,4.00,4.00,7.00,7.00,9.75,4.00,6.00,6.00,202,NULL,NULL,'JARDIM AMERICA','CAXIAS SUL','RS',3253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254470,2.00,3.00,2.00,1.00,3.00,4.88,2.00,2.00,0.00,333,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',21683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254489,6.00,5.00,4.00,7.00,8.00,7.88,2.00,6.00,5.00,103,NULL,NULL,'TRAVASSÃO','BRAÇO NORTE','SC',8113,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6254500,5.00,7.00,2.00,7.00,8.00,8.25,3.00,3.00,6.00,211,NULL,213,'ITACORUBI','FLORIANÓPOLIS','SC',6381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254519,4.00,7.00,4.00,4.00,6.00,9.75,3.00,4.00,4.00,207,NULL,215,'PICADAS DO SUL','S JOSÉ','SC',9980,496,NULL,NULL,NULL,NULL,NULL,2,1),(25,6254527,8.00,7.00,6.00,7.00,9.00,9.38,3.00,7.00,6.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',1473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254535,5.00,6.00,4.00,7.00,8.00,7.88,3.00,6.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254543,3.00,3.00,3.00,5.00,7.00,6.75,4.00,2.00,2.00,653,NULL,655,'ERECHIM','BAL ARROIO SILVA','SC',12969,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6254551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TARUMÃ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6254560,2.00,6.00,2.00,5.00,8.00,10.13,5.00,5.00,3.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7617,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6254578,3.00,3.00,3.00,3.00,1.00,NULL,0.00,0.00,1.00,404,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6254586,5.00,3.00,2.00,4.00,7.00,11.63,2.00,4.00,4.00,102,NULL,NULL,'IPIRANGA','S JOSÉ','SC',10841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254616,3.00,3.00,1.00,2.00,4.00,5.25,2.00,2.00,4.00,428,NULL,423,'BARREIROS','S JOSÉ','SC',19207,45,NULL,NULL,NULL,NULL,NULL,2,1),(25,6254624,9.00,4.00,8.00,7.00,8.00,10.88,2.00,5.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',1212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254640,3.00,5.00,2.00,1.00,5.00,7.50,2.00,3.00,4.00,601,NULL,235,'BOEHMERWALDT','JOINVILLE','SC',15137,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6254659,3.00,4.00,2.00,6.00,8.00,9.38,2.00,2.00,2.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',12888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254667,7.00,5.00,1.00,6.00,9.00,9.38,2.00,6.00,5.00,103,NULL,NULL,'PAES LEME','IMBITUBA','SC',5869,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6254675,4.00,5.00,4.00,4.00,7.00,8.63,3.00,3.00,4.00,201,NULL,601,'VÍGOLO','NOVA TRENTO','SC',12539,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6254683,7.00,7.00,6.00,7.00,7.00,8.63,3.00,7.00,8.00,203,NULL,202,'CENTRO','POMERODE','SC',1912,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(25,6254705,6.00,5.00,5.00,7.00,8.00,10.50,1.00,1.00,5.00,201,NULL,NULL,'JARDIM FACULDADE','DOURADOS','MS',5816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254713,4.00,5.00,2.00,2.00,8.00,8.25,2.00,5.00,3.00,999,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6254721,6.00,6.00,2.00,6.00,9.00,8.63,3.00,5.00,6.00,103,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',5232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254730,4.00,5.00,3.00,3.00,9.00,5.25,2.00,4.00,2.00,501,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',12792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254748,7.00,7.00,5.00,5.00,7.00,6.00,2.00,9.00,6.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3357,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6254756,5.00,8.00,2.00,7.00,6.00,NULL,0.00,7.00,7.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254764,2.00,3.00,0.00,2.00,1.00,NULL,2.00,1.00,0.00,201,NULL,212,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254772,4.00,5.00,0.00,4.00,6.00,8.63,1.00,4.00,4.00,304,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',15818,110,NULL,NULL,NULL,NULL,NULL,4,8),(25,6254799,2.00,4.00,1.00,4.00,8.00,12.00,0.00,2.00,3.00,303,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254802,3.00,5.00,1.00,4.00,7.00,8.25,2.00,4.00,3.00,101,NULL,NULL,'SANTA CATARINA','BIGUAÇU','SC',13546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254810,2.00,2.00,1.00,5.00,7.00,7.88,2.00,1.00,3.00,207,NULL,212,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',16179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254829,7.00,4.00,6.00,6.00,9.00,7.88,3.00,2.00,7.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',4538,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6254837,4.00,5.00,4.00,4.00,6.00,10.13,2.00,5.00,3.00,103,NULL,NULL,'ALTO BIGUAÇU','BIGUAÇU','SC',10972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254845,7.00,5.00,3.00,4.00,7.00,10.50,1.00,5.00,1.00,103,NULL,NULL,'CENTRO','NAVEGANTES','SC',11319,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6254853,5.00,7.00,4.00,5.00,6.00,7.50,1.00,6.00,6.00,316,NULL,NULL,'JARDIM AMERICA','RIO SUL','SC',6613,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6254861,1.00,8.00,3.00,4.00,6.00,7.50,1.00,3.00,4.00,304,NULL,NULL,'JOÃO PAULO II','REALEZA','PR',15854,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6254870,6.00,7.00,4.00,3.00,5.00,7.50,1.00,4.00,3.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14824,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6254888,2.00,4.00,2.00,1.00,1.00,NULL,2.00,1.00,1.00,425,NULL,429,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254900,3.00,2.00,2.00,6.00,8.00,8.25,1.00,3.00,2.00,202,NULL,213,'FLORESTA','S JOSÉ','SC',16204,509,NULL,239,NULL,NULL,NULL,4,1),(25,6254918,2.00,5.00,1.00,5.00,4.00,5.63,2.00,4.00,2.00,102,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',16913,210,NULL,NULL,NULL,NULL,NULL,2,1),(25,6254926,7.00,6.00,4.00,3.00,7.00,12.00,0.00,6.00,7.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',4940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254934,2.00,4.00,1.00,5.00,4.00,10.13,1.00,4.00,2.00,451,NULL,NULL,'BARREIROS','S JOSÉ','SC',14097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254942,2.00,6.00,3.00,4.00,6.00,9.00,3.00,1.00,3.00,999,NULL,NULL,'TRAVASSÃO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6254969,3.00,0.00,4.00,1.00,7.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'SAO JOSÉ','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6254977,2.00,5.00,4.00,6.00,6.00,7.13,1.00,5.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6254985,5.00,5.00,5.00,3.00,8.00,6.00,1.00,3.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6254993,8.00,6.00,3.00,5.00,9.00,8.25,5.00,8.00,9.00,103,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',1175,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255000,3.00,4.00,1.00,5.00,4.00,6.75,1.00,2.00,2.00,324,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255019,6.00,4.00,3.00,6.00,6.00,7.50,2.00,3.00,5.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255027,1.00,3.00,2.00,2.00,5.00,8.63,0.00,1.00,3.00,203,NULL,201,'JOÃO PAULO II','TRÊS BARRAS','SC',19193,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6255035,7.00,6.00,5.00,6.00,4.00,8.25,4.00,3.00,5.00,103,NULL,NULL,'JARDIM AMERICA','GOIÂNIA','GO',7415,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255043,6.00,7.00,2.00,2.00,6.00,9.38,2.00,7.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255060,4.00,6.00,4.00,6.00,9.00,11.25,4.00,8.00,5.00,238,NULL,208,'FUNDOS','BIGUAÇU','SC',4603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255078,7.00,6.00,2.00,4.00,7.00,9.00,1.00,6.00,3.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UNIVERSITÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6255116,5.00,5.00,2.00,4.00,8.00,7.50,1.00,1.00,3.00,110,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',12366,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6255124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'JD PORTO ALEGRE','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6255132,3.00,5.00,4.00,4.00,2.00,NULL,1.00,4.00,2.00,208,NULL,238,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255140,2.00,4.00,2.00,3.00,6.00,6.38,1.00,0.00,2.00,308,NULL,NULL,'FORGUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255175,3.00,4.00,2.00,3.00,3.00,7.50,1.00,3.00,3.00,234,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255183,2.00,3.00,1.00,3.00,0.00,NULL,0.00,0.00,3.00,203,NULL,214,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255191,6.00,7.00,4.00,5.00,10.00,10.50,4.00,6.00,7.00,601,NULL,207,'NAÇÕES','BAL CAMBORIÚ','SC',2652,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6255205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6255213,4.00,4.00,3.00,4.00,5.00,8.25,0.00,1.00,3.00,3,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',16209,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6255221,4.00,7.00,1.00,3.00,10.00,9.75,1.00,4.00,2.00,303,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',10698,497,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255248,5.00,4.00,2.00,3.00,9.00,9.38,2.00,2.00,4.00,333,NULL,NULL,'BARREIROS','S JOSÉ','SC',10501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255256,8.00,7.00,1.00,5.00,9.00,10.88,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',2593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255264,4.00,6.00,3.00,7.00,10.00,9.75,4.00,7.00,6.00,201,NULL,207,'ITACORUBI','FLORIANÓPOLIS','SC',2914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255280,6.00,6.00,2.00,7.00,7.00,7.50,1.00,4.00,5.00,103,NULL,NULL,'PARQUE ANHANGUERA','GOIÂNIA','GO',6588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255302,4.00,0.00,1.00,0.00,2.00,NULL,1.00,0.00,0.00,404,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255310,3.00,4.00,2.00,3.00,7.00,9.00,0.00,3.00,4.00,207,NULL,235,'COQUEIROS','FLORIANÓPOLIS','SC',17579,938,NULL,421,NULL,NULL,NULL,4,1),(25,6255329,2.00,4.00,0.00,4.00,6.00,6.75,1.00,2.00,2.00,316,NULL,NULL,'BOA VISTA','CURITIBA','PR',19289,225,NULL,NULL,NULL,NULL,NULL,2,8),(25,6255345,7.00,5.00,4.00,5.00,9.00,11.25,2.00,3.00,5.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',4056,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255353,3.00,3.00,5.00,5.00,5.00,7.13,1.00,2.00,5.00,999,NULL,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6255361,4.00,5.00,3.00,6.00,8.00,10.13,3.00,5.00,2.00,201,NULL,212,'SÃO MARCOS','JOINVILLE','SC',10039,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6255370,4.00,4.00,2.00,6.00,7.00,7.88,1.00,5.00,3.00,5,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',12346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255388,3.00,5.00,1.00,1.00,4.00,5.63,1.00,5.00,3.00,238,NULL,208,'JARDIM DAS PALMEIRAS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255396,5.00,5.00,0.00,3.00,8.00,NULL,0.00,5.00,4.00,103,NULL,NULL,'CENTRO','SALTO LONTRA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6255400,1.00,7.00,4.00,5.00,6.00,9.00,0.00,3.00,4.00,233,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',12938,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6255426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,233,'CENTRO','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6255434,2.00,4.00,2.00,4.00,6.00,7.88,0.00,4.00,3.00,999,NULL,NULL,'SÃO LUIS','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6255442,3.00,0.00,1.00,2.00,3.00,NULL,0.00,4.00,0.00,502,NULL,NULL,'JARDIM ATLÂNTICO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255450,1.00,3.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6255469,2.00,7.00,1.00,5.00,6.00,10.88,2.00,4.00,3.00,501,NULL,NULL,'INTERIOR','LINDÓIA SUL','SC',10936,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6255477,3.00,4.00,3.00,6.00,7.00,7.50,3.00,5.00,1.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6255485,7.00,6.00,3.00,2.00,7.00,10.50,0.00,7.00,6.00,103,NULL,NULL,'JARDIM DO LAGO','CAMBÉ','PR',6756,2895,NULL,NULL,NULL,NULL,NULL,4,6),(25,6255493,7.00,6.00,3.00,6.00,9.00,9.75,0.00,3.00,4.00,103,NULL,NULL,'CENTRO','LAGUNA','SC',8534,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6255507,5.00,6.00,3.00,5.00,6.00,7.13,1.00,5.00,0.00,302,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',11919,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6255515,2.00,3.00,2.00,2.00,5.00,8.63,2.00,0.00,0.00,202,NULL,203,'SÃO FRANCISCO','NOVA VENEZA','SC',19314,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6255523,4.00,8.00,2.00,3.00,5.00,7.13,3.00,4.00,2.00,333,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255531,8.00,7.00,3.00,6.00,8.00,9.00,1.00,7.00,6.00,216,NULL,201,'JARDIM SANTANA','JUNDIAÍ','SP',3034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255540,0.00,3.00,0.00,0.00,0.00,NULL,0.00,0.00,2.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',4,1),(25,6255558,3.00,3.00,3.00,7.00,7.00,9.75,1.00,0.00,4.00,103,NULL,NULL,'PARQUE VERDE','CASCAVEL','PR',11183,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6255574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOSSUNGUÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6255582,5.00,8.00,1.00,2.00,6.00,5.63,1.00,3.00,1.00,317,NULL,NULL,'CENTRO','TUBARÃO','SC',16629,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6255590,7.00,7.00,3.00,6.00,8.00,9.38,4.00,3.00,6.00,216,NULL,208,'SANTA FELICIDADE','CURITIBA','PR',3097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255604,1.00,6.00,4.00,5.00,7.00,10.50,0.00,5.00,5.00,317,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',10822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255612,6.00,8.00,1.00,5.00,7.00,NULL,0.00,5.00,1.00,301,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255620,6.00,7.00,3.00,6.00,9.00,9.75,3.00,6.00,5.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',5162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255639,6.00,6.00,5.00,7.00,8.00,9.38,3.00,6.00,4.00,233,NULL,213,'AGRONOMICA','FLORIANÓPOLIS','SC',5397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255647,4.00,4.00,2.00,4.00,7.00,8.25,2.00,5.00,4.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',13988,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6255655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6255663,5.00,4.00,1.00,5.00,6.00,8.63,3.00,1.00,4.00,5,NULL,NULL,'SANTA CATARINA','URUBICI','SC',13521,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6255671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JUPITER','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6255680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6255698,7.00,4.00,2.00,3.00,6.00,10.88,0.00,1.00,3.00,207,NULL,201,'AHU','CURITIBA','PR',12395,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6255701,2.00,5.00,1.00,2.00,4.00,6.38,2.00,2.00,0.00,444,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',20389,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255710,2.00,2.00,2.00,3.00,6.00,7.50,1.00,4.00,2.00,208,NULL,238,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',20476,551,NULL,497,NULL,NULL,NULL,4,1),(25,6255728,4.00,4.00,4.00,2.00,5.00,7.50,2.00,4.00,2.00,235,NULL,207,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',14621,349,NULL,786,NULL,NULL,NULL,2,1),(25,6255736,2.00,0.00,1.00,1.00,5.00,6.75,3.00,1.00,1.00,308,NULL,NULL,'ROÇADO','S JOSÉ','SC',21689,80,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255744,7.00,5.00,3.00,5.00,10.00,11.25,1.00,2.00,5.00,103,NULL,NULL,'AMAMBAÍ','CPO GRANDE','MS',5614,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARREIRINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6255760,3.00,3.00,2.00,6.00,7.00,8.25,3.00,2.00,3.00,999,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255779,5.00,4.00,3.00,7.00,6.00,7.13,3.00,3.00,3.00,201,NULL,203,'CENTRO','CASCAVEL','PR',9175,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6255787,7.00,6.00,6.00,5.00,7.00,8.25,4.00,6.00,7.00,203,NULL,202,'XAXIM','CURITIBA','PR',1947,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255809,7.00,7.00,3.00,7.00,5.00,7.50,0.00,4.00,5.00,102,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',9536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUTIATUVINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6255825,7.00,6.00,5.00,4.00,4.00,8.63,1.00,4.00,6.00,103,NULL,NULL,'MIRANDÓPOLIS','S PAULO','SP',5615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255833,5.00,4.00,1.00,5.00,6.00,8.63,2.00,3.00,2.00,319,NULL,NULL,'JARDIM BRAND','IRINEÓPOLIS','SC',16029,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6255841,7.00,5.00,2.00,4.00,7.00,7.88,2.00,5.00,7.00,203,NULL,214,'CENTRO','CORREIA PINTO','SC',6382,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6255850,4.00,5.00,1.00,3.00,7.00,8.63,1.00,3.00,4.00,202,NULL,238,'FORQUILHAS','S JOSÉ','SC',13626,426,NULL,240,NULL,NULL,NULL,2,1),(25,6255884,1.00,2.00,0.00,2.00,6.00,6.75,1.00,1.00,2.00,302,NULL,NULL,'COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC',21647,205,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255892,5.00,5.00,3.00,7.00,7.00,10.50,1.00,7.00,5.00,203,NULL,201,'VILA MOEMA','TUBARÃO','SC',6304,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6255906,3.00,3.00,0.00,4.00,5.00,6.38,2.00,6.00,2.00,420,NULL,NULL,'MALUCHE','BRUSQUE','SC',19100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255914,0.00,4.00,3.00,2.00,3.00,7.13,2.00,1.00,0.00,501,NULL,NULL,'VELACHO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255922,2.00,0.00,3.00,6.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(25,6255930,8.00,6.00,5.00,7.00,10.00,9.00,3.00,6.00,7.00,203,NULL,201,'JARDIM CAIÇARA I','REGISTRO','SP',1969,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6255949,3.00,0.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(25,6255957,3.00,2.00,1.00,5.00,7.00,7.13,2.00,4.00,2.00,340,NULL,NULL,'MORRO DA CEGONHA','ERECHIM','RS',16546,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6255965,2.00,5.00,3.00,1.00,4.00,7.50,1.00,0.00,2.00,5,NULL,NULL,'CAMPO D ÁGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6255973,5.00,6.00,1.00,7.00,7.00,10.13,2.00,4.00,3.00,235,NULL,202,'COQUEIROS','FLORIANÓPOLIS','SC',7950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255981,8.00,6.00,2.00,6.00,9.00,9.75,5.00,7.00,8.00,233,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',1355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6255990,5.00,5.00,4.00,5.00,8.00,9.00,2.00,4.00,6.00,103,NULL,NULL,'BATEL','CURITIBA','PR',5343,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6256007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6256015,5.00,6.00,0.00,5.00,7.00,NULL,1.00,5.00,1.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6256023,3.00,5.00,2.00,5.00,5.00,8.25,3.00,6.00,2.00,999,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6256031,5.00,5.00,1.00,4.00,6.00,7.50,0.00,3.00,0.00,428,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',16888,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6256040,5.00,6.00,4.00,7.00,7.00,9.00,1.00,2.00,4.00,319,NULL,NULL,'CENTRO','LAGES','SC',8918,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6256058,6.00,6.00,4.00,5.00,9.00,7.13,4.00,8.00,6.00,233,NULL,201,'JOÃO PAULO','FLORIANÓPOLIS','SC',3481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256066,3.00,5.00,2.00,5.00,7.00,9.00,2.00,4.00,2.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6256074,4.00,6.00,3.00,6.00,9.00,9.38,2.00,6.00,6.00,340,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256082,4.00,6.00,2.00,6.00,8.00,7.13,3.00,4.00,4.00,5,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',9413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256090,7.00,4.00,3.00,3.00,8.00,7.13,2.00,4.00,5.00,207,NULL,NULL,'JARDIM DAS INDUSTRIA','S JOSÉ CAMPOS','SP',7686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,238,'CENTRO','TANGARÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6256147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6256163,3.00,4.00,3.00,2.00,5.00,6.75,1.00,0.00,2.00,551,NULL,NULL,'INTERIOR','MAFRA','SC',19344,45,NULL,NULL,NULL,NULL,NULL,2,17),(25,6256180,2.00,5.00,1.00,4.00,4.00,9.00,1.00,0.00,1.00,235,NULL,202,'VILA VITÓRIA','MAUÁ','SP',18833,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6256198,5.00,5.00,2.00,7.00,7.00,11.25,1.00,6.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7264,3020,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256228,6.00,6.00,3.00,5.00,7.00,7.88,1.00,6.00,4.00,415,NULL,NULL,'AGUAÇU','JOINVILLE','SC',7800,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6256236,4.00,6.00,5.00,7.00,10.00,12.38,4.00,6.00,3.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',2722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256244,6.00,7.00,5.00,6.00,9.00,9.00,1.00,6.00,6.00,303,NULL,NULL,'CENTRO','BIGUAÇU','SC',4100,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6256252,4.00,7.00,4.00,7.00,7.00,7.88,1.00,7.00,5.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',6474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256260,7.00,5.00,9.00,5.00,8.00,11.63,5.00,8.00,8.00,103,NULL,NULL,'JARDIM ITAIPU','MARÍLIA','SP',373,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6256279,1.00,3.00,0.00,3.00,4.00,NULL,1.00,0.00,1.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6256287,1.00,4.00,2.00,1.00,5.00,5.63,0.00,1.00,0.00,308,NULL,NULL,'SERRARIAS','S JOSÉ','SC',21668,79,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256295,3.00,5.00,1.00,3.00,6.00,7.13,2.00,2.00,1.00,999,NULL,NULL,'JARDIM SÃO MIGUEL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6256317,2.00,3.00,2.00,2.00,3.00,4.50,3.00,3.00,2.00,339,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6256325,3.00,6.00,1.00,5.00,1.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','ARROIO TRINTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(25,6256333,6.00,8.00,4.00,7.00,8.00,11.25,4.00,6.00,5.00,207,NULL,201,'SÃO PEDRO','BRUSQUE','SC',1720,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6256341,5.00,7.00,2.00,7.00,8.00,10.50,2.00,6.00,3.00,108,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',4219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6256368,5.00,6.00,4.00,5.00,9.00,9.38,3.00,6.00,6.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',5180,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6256376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM HIGIENÓPOLIS','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6256384,4.00,3.00,1.00,4.00,6.00,9.38,1.00,1.00,3.00,316,NULL,NULL,'FÁTIMA','ERECHIM','RS',15364,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6256392,2.00,2.00,0.00,4.00,5.00,7.13,0.00,4.00,3.00,9,NULL,NULL,'BELA VISTA','PALHOÇA','SC',21113,160,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256414,3.00,4.00,2.00,5.00,8.00,7.50,1.00,3.00,1.00,201,NULL,212,'CENTRO','REGISTRO','SP',15208,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6256422,4.00,6.00,3.00,4.00,6.00,6.38,5.00,6.00,1.00,426,NULL,421,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',13361,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6256430,8.00,5.00,8.00,8.00,9.00,10.13,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256449,3.00,3.00,2.00,3.00,6.00,7.88,2.00,0.00,2.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256457,5.00,4.00,4.00,6.00,7.00,9.75,3.00,6.00,4.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256465,7.00,6.00,6.00,4.00,7.00,7.88,3.00,4.00,7.00,203,NULL,202,'CENTRO','BRUSQUE','SC',4949,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6256473,5.00,7.00,5.00,5.00,4.00,10.13,2.00,5.00,5.00,201,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',6518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256481,8.00,5.00,3.00,6.00,7.00,10.88,1.00,6.00,8.00,103,NULL,NULL,'JARDIM UNIVERSITARIO','MARINGÁ','PR',2418,1458,NULL,NULL,NULL,NULL,NULL,2,1),(25,6256490,3.00,4.00,3.00,6.00,6.00,7.50,3.00,5.00,6.00,327,NULL,NULL,'SAO MARTINHO','TUBARÃO','SC',10460,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6256503,3.00,3.00,3.00,5.00,2.00,NULL,2.00,1.00,4.00,501,NULL,NULL,'NOSSA SRA APARECIDA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6256520,3.00,3.00,1.00,2.00,3.00,8.63,1.00,1.00,2.00,109,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6256546,6.00,5.00,4.00,5.00,4.00,6.38,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','MARAU','RS',10099,3562,NULL,NULL,NULL,NULL,NULL,4,4),(25,6256554,8.00,6.00,4.00,4.00,8.00,10.13,4.00,5.00,5.00,207,NULL,213,'CENTRO','PALHOÇA','SC',4909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6256562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6256570,8.00,5.00,3.00,6.00,8.00,10.88,5.00,6.00,8.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',1478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256589,2.00,3.00,4.00,4.00,5.00,6.00,2.00,3.00,0.00,109,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',19201,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6256597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6256619,2.00,3.00,1.00,0.00,4.00,NULL,0.00,0.00,2.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256627,6.00,6.00,1.00,5.00,6.00,7.88,1.00,3.00,3.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6256635,7.00,7.00,6.00,7.00,8.00,9.38,5.00,7.00,5.00,203,NULL,202,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256643,2.00,4.00,1.00,1.00,4.00,4.50,1.00,3.00,2.00,301,NULL,NULL,'AREIAS','S JOSÉ','SC',20765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CONTENDA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6256678,7.00,4.00,7.00,6.00,8.00,10.50,3.00,4.00,6.00,201,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',3389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6256694,3.00,4.00,3.00,5.00,6.00,10.13,3.00,5.00,3.00,302,NULL,NULL,'CENTRO','CASCAVEL','PR',10589,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6256708,3.00,5.00,5.00,7.00,6.00,9.38,3.00,3.00,4.00,235,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',10165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,203,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6256724,7.00,8.00,6.00,5.00,10.00,12.75,2.00,6.00,7.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',1140,769,NULL,NULL,NULL,NULL,NULL,4,8),(25,6256732,4.00,5.00,4.00,6.00,8.00,9.00,1.00,4.00,5.00,103,NULL,NULL,'JÕAO PAULO','FLORIANÓPOLIS','SC',10774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256740,2.00,7.00,3.00,3.00,5.00,10.50,3.00,3.00,3.00,104,NULL,NULL,'BELLO','CAÇADOR','SC',14610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256759,2.00,3.00,0.00,5.00,4.00,NULL,1.00,3.00,2.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6256767,3.00,5.00,1.00,3.00,7.00,9.00,1.00,2.00,2.00,102,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',15913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256783,4.00,4.00,1.00,3.00,6.00,7.88,2.00,3.00,1.00,601,NULL,203,'MAR GROSSO','LAGUNA','SC',18619,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6256791,2.00,1.00,2.00,3.00,8.00,8.25,3.00,1.00,2.00,108,NULL,NULL,'SANTA AUGUSTA','CRICIÚMA','SC',15184,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6256805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6256813,4.00,4.00,1.00,1.00,8.00,8.63,1.00,5.00,3.00,415,NULL,NULL,'JD VIVENDAS','S JOSÉ R PRETO','SP',16121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256821,3.00,4.00,2.00,5.00,4.00,7.88,3.00,2.00,2.00,220,NULL,203,'SÃO CRISTOVÃO','LAGES','SC',16641,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6256830,6.00,7.00,2.00,6.00,8.00,9.38,3.00,5.00,8.00,102,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',4001,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6256848,1.00,2.00,2.00,2.00,4.00,8.25,2.00,4.00,2.00,207,NULL,208,'CENTRO','TIMBÓ','SC',20573,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6256856,4.00,6.00,1.00,1.00,5.00,6.38,0.00,5.00,4.00,452,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',16789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256864,7.00,6.00,4.00,7.00,8.00,9.75,1.00,7.00,6.00,5,NULL,NULL,'MARIA ISABEL','MARÍLIA','SP',2568,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6256872,6.00,7.00,3.00,7.00,9.00,12.00,2.00,6.00,4.00,104,NULL,NULL,'CENTRO','CASCAVEL','PR',3525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256899,6.00,1.00,1.00,2.00,8.00,9.75,1.00,3.00,7.00,225,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256902,2.00,4.00,1.00,2.00,4.00,6.75,2.00,1.00,1.00,319,NULL,NULL,'FUNDOS','BIGUAÇU','SC',21457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6256937,4.00,6.00,0.00,5.00,9.00,NULL,0.00,3.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6256945,5.00,6.00,5.00,5.00,7.00,7.50,3.00,5.00,4.00,203,NULL,202,'PONTE DO IMARUIM','PALHOÇA','SC',7252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256953,5.00,6.00,3.00,5.00,7.00,10.50,2.00,7.00,2.00,108,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7849,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6256961,6.00,5.00,4.00,6.00,8.00,9.75,5.00,7.00,5.00,453,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256970,2.00,2.00,0.00,0.00,4.00,NULL,2.00,0.00,2.00,319,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6256996,7.00,4.00,8.00,6.00,4.00,9.75,3.00,5.00,6.00,202,NULL,235,'ITACORUBI','FLORIANÓPOLIS','SC',5135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257003,4.00,3.00,4.00,3.00,6.00,5.25,2.00,3.00,1.00,415,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',16285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257020,8.00,6.00,4.00,7.00,10.00,9.75,2.00,8.00,7.00,201,NULL,212,'SALTO','BLUMENAU','SC',1182,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6257046,5.00,3.00,0.00,3.00,8.00,11.25,2.00,2.00,2.00,201,NULL,207,'PARTENON','PTO ALEGRE','RS',12568,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6257054,6.00,6.00,1.00,5.00,8.00,8.63,1.00,7.00,5.00,303,NULL,NULL,'ESPLANADA','S JOSÉ CAMPOS','SP',6293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257062,7.00,5.00,3.00,2.00,7.00,10.13,2.00,3.00,4.00,103,NULL,NULL,'SETOR BELA VISTA','GOIÂNIA','GO',7762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6257070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6257089,7.00,7.00,7.00,6.00,10.00,7.88,5.00,7.00,9.00,201,NULL,212,'IMBIRAPUERA','MRO FUMAÇA','SC',564,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6257097,3.00,8.00,0.00,7.00,2.00,NULL,1.00,4.00,0.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257100,3.00,3.00,1.00,3.00,6.00,6.38,2.00,4.00,2.00,420,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',17478,165,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257119,8.00,7.00,7.00,7.00,9.00,9.00,6.00,7.00,9.00,103,NULL,NULL,'VILA TOLENTINO','CASCAVEL','PR',432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257127,2.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,324,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6257135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CACHOEIRA B JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6257143,6.00,6.00,2.00,3.00,8.00,8.25,2.00,4.00,0.00,211,NULL,216,'CAMPO GRANDE','SANTOS','SP',10145,239,NULL,367,NULL,NULL,NULL,2,1),(25,6257151,4.00,2.00,3.00,1.00,4.00,6.75,2.00,0.00,1.00,653,NULL,655,'CIDADE ALTA','ARARANGUÁ','SC',21422,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6257178,3.00,6.00,4.00,3.00,8.00,9.75,0.00,4.00,4.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257194,4.00,4.00,4.00,4.00,6.00,7.13,3.00,3.00,5.00,203,NULL,235,'VILA SAO JOAO','ARAPONGAS','PR',9185,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6257208,7.00,7.00,6.00,5.00,8.00,7.50,2.00,8.00,6.00,203,NULL,214,'ESTREITO','FLORIANÓPOLIS','SC',3139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257224,7.00,8.00,7.00,6.00,9.00,9.38,4.00,8.00,7.00,103,NULL,NULL,'SANTA CLARA','QUATRO PONTES','PR',1055,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6257232,3.00,5.00,2.00,7.00,7.00,9.75,1.00,5.00,3.00,235,NULL,NULL,'IPIRANGA','S JOSÉ','SC',11317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257259,2.00,2.00,0.00,2.00,5.00,7.13,2.00,1.00,2.00,103,NULL,NULL,'SANTO ANTÔNIO','JARAGUÁ SUL','SC',21531,4789,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257267,5.00,6.00,2.00,4.00,8.00,8.63,2.00,2.00,3.00,420,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257275,2.00,3.00,1.00,5.00,9.00,10.50,3.00,5.00,3.00,207,NULL,201,'SANTANA','ARAÇATUBA','SP',10882,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6257305,8.00,7.00,7.00,6.00,9.00,9.00,7.00,7.00,8.00,214,NULL,212,'BIGORRILHO','CURITIBA','PR',277,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6257313,3.00,0.00,2.00,7.00,7.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'VARGEM PEQUENA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(25,6257321,3.00,5.00,1.00,5.00,7.00,NULL,3.00,0.00,2.00,327,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6257330,2.00,1.00,2.00,2.00,4.00,8.63,1.00,1.00,1.00,319,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6257348,3.00,3.00,1.00,3.00,6.00,NULL,1.00,0.00,0.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6257356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6257364,7.00,7.00,4.00,6.00,7.00,10.88,3.00,8.00,5.00,207,NULL,201,'SACO DOS LLIMÕES','FLORIANÓPOLIS','SC',1880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257372,4.00,6.00,2.00,5.00,5.00,8.25,1.00,3.00,2.00,102,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',14345,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6257380,2.00,4.00,0.00,4.00,6.00,7.50,1.00,3.00,3.00,425,NULL,424,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257399,2.00,4.00,2.00,4.00,6.00,6.00,0.00,3.00,1.00,502,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',20448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6257402,6.00,6.00,2.00,7.00,8.00,7.50,2.00,5.00,4.00,102,NULL,NULL,'VILA NOVA','JOINVILLE','SC',7546,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6257410,6.00,5.00,1.00,6.00,8.00,8.63,2.00,5.00,4.00,103,NULL,NULL,'SANTA RITA','BRUSQUE','SC',10443,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6257429,5.00,6.00,0.00,4.00,10.00,9.75,1.00,5.00,4.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',8333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257437,3.00,4.00,3.00,1.00,5.00,7.88,3.00,3.00,2.00,654,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',19578,59,NULL,NULL,NULL,NULL,NULL,4,15),(25,6257445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','GUARATUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6257453,7.00,7.00,8.00,7.00,8.00,9.00,5.00,8.00,8.00,216,NULL,211,'CENTRO','LAGES','SC',687,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6257461,5.00,6.00,4.00,3.00,6.00,9.75,3.00,4.00,1.00,415,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',11114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','AGUDOS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6257496,8.00,7.00,6.00,7.00,9.00,7.50,5.00,6.00,7.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',1624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257500,4.00,5.00,1.00,3.00,8.00,9.38,1.00,3.00,3.00,501,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',13078,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6257518,4.00,5.00,1.00,1.00,7.00,10.13,6.00,6.00,3.00,2,NULL,NULL,'SÃO LUÍS','JEQUIÉ','BA',11318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6257542,6.00,6.00,3.00,3.00,6.00,7.50,2.00,3.00,3.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6257550,7.00,7.00,3.00,6.00,7.00,7.13,5.00,8.00,7.00,104,NULL,NULL,'CENTRO','GASPAR','SC',2933,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6257569,3.00,3.00,1.00,2.00,7.00,10.50,1.00,1.00,1.00,420,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',18469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6257585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','LEBON RÉGIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6257593,4.00,4.00,2.00,5.00,5.00,9.38,1.00,5.00,2.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',16922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257607,4.00,5.00,1.00,4.00,7.00,11.63,3.00,3.00,2.00,9,NULL,NULL,'CENTRO','ITAPIRANGA','SC',8936,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6257615,1.00,4.00,0.00,2.00,5.00,6.00,2.00,2.00,2.00,301,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257623,4.00,0.00,0.00,2.00,6.00,NULL,3.00,3.00,1.00,224,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6257631,9.00,9.00,6.00,7.00,9.00,9.75,5.00,5.00,9.00,103,NULL,NULL,'VILA ITAJUBÁ','FOZ IGUAÇU','PR',176,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6257640,4.00,5.00,2.00,6.00,5.00,9.00,2.00,2.00,2.00,5,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',14793,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6257658,0.00,4.00,0.00,0.00,4.00,8.25,3.00,1.00,3.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257666,7.00,3.00,4.00,6.00,7.00,7.88,2.00,5.00,4.00,203,NULL,214,'BOM JESUS','FLORIANÓPOLIS','SC',7281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257674,6.00,7.00,3.00,7.00,6.00,10.50,1.00,5.00,3.00,999,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6257682,4.00,6.00,3.00,5.00,7.00,7.50,2.00,6.00,3.00,453,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9470,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6257704,5.00,7.00,4.00,8.00,10.00,7.50,1.00,5.00,5.00,340,NULL,NULL,'CENTRO','TUBARÃO','SC',5952,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6257712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6257720,3.00,2.00,2.00,3.00,7.00,10.50,2.00,1.00,4.00,102,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',15112,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6257739,0.00,2.00,1.00,5.00,3.00,NULL,1.00,4.00,0.00,202,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6257747,7.00,8.00,4.00,4.00,8.00,10.50,4.00,8.00,8.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',1449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257763,4.00,8.00,2.00,6.00,9.00,9.00,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',7979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257771,6.00,6.00,1.00,5.00,8.00,10.13,1.00,6.00,7.00,233,NULL,202,'VILA CAMARGO','LIMEIRA','SP',4227,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6257798,7.00,8.00,3.00,3.00,8.00,8.63,1.00,6.00,5.00,207,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',6644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257801,4.00,6.00,2.00,5.00,7.00,9.38,0.00,5.00,4.00,201,NULL,215,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',9901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6257810,5.00,4.00,6.00,4.00,4.00,NULL,0.00,2.00,4.00,201,NULL,202,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6257828,5.00,6.00,0.00,4.00,3.00,NULL,1.00,0.00,4.00,3,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257836,9.00,7.00,3.00,7.00,10.00,10.88,1.00,8.00,6.00,340,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',1335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6257852,0.00,2.00,2.00,1.00,3.00,5.63,2.00,1.00,1.00,208,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',21785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257860,6.00,5.00,4.00,6.00,9.00,8.63,5.00,7.00,7.00,203,NULL,235,'CAMPINAS','S JOSÉ','SC',2642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257879,2.00,6.00,2.00,5.00,5.00,6.00,3.00,5.00,1.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',17107,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6257887,7.00,7.00,5.00,2.00,10.00,10.13,3.00,8.00,8.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',1352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257895,4.00,2.00,3.00,1.00,3.00,5.63,1.00,1.00,2.00,332,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6257917,6.00,5.00,5.00,6.00,7.00,8.63,1.00,6.00,5.00,104,NULL,NULL,'CENTRO','PARAÍSO NORTE','PR',7704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257925,5.00,7.00,5.00,4.00,3.00,8.63,4.00,5.00,7.00,103,NULL,NULL,'JARDIM SATÉLITE','S JOSÉ CAMPOS','SP',4765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6257933,5.00,6.00,4.00,3.00,5.00,9.75,1.00,1.00,2.00,999,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6257941,7.00,6.00,3.00,5.00,9.00,9.00,1.00,8.00,5.00,316,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',5410,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6257950,4.00,6.00,1.00,5.00,7.00,7.50,1.00,5.00,3.00,211,NULL,NULL,'CENTRO','CRICIÚMA','SC',12278,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6257976,1.00,3.00,0.00,2.00,6.00,NULL,2.00,1.00,0.00,652,NULL,655,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6257992,3.00,2.00,3.00,3.00,4.00,10.50,2.00,1.00,2.00,415,NULL,NULL,'CENTRO','ARROIO TRINTA','SC',17291,275,NULL,NULL,NULL,NULL,NULL,2,7),(25,6258000,2.00,5.00,3.00,2.00,6.00,8.25,1.00,5.00,2.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6258018,3.00,6.00,3.00,3.00,7.00,6.00,3.00,4.00,4.00,201,NULL,233,'CIDADE ALTA','ARARANGUÁ','SC',10971,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6258026,8.00,6.00,5.00,5.00,7.00,9.00,3.00,3.00,5.00,207,NULL,201,'CANGO','FRANCISCO BELTRÃO','PR',5070,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258034,4.00,5.00,3.00,4.00,9.00,11.25,2.00,6.00,5.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',7357,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6258042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO II','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6258069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6258077,2.00,3.00,0.00,4.00,4.00,7.50,3.00,4.00,1.00,999,NULL,NULL,'HAMBURGO VELHO','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258085,5.00,5.00,2.00,2.00,5.00,7.13,3.00,5.00,4.00,216,NULL,201,'CENTRO','MANDAGUAÇU','PR',14188,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6258093,2.00,5.00,2.00,4.00,5.00,7.13,2.00,2.00,1.00,103,NULL,NULL,'CAPITAIS','TIMBÓ','SC',17627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6258107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6258115,2.00,7.00,1.00,2.00,5.00,9.75,3.00,4.00,3.00,551,NULL,NULL,'CENTRO','CANOINHAS','SC',12964,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6258123,1.00,0.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,207,NULL,201,'CRISTO REI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(25,6258131,7.00,7.00,5.00,6.00,9.00,10.50,3.00,7.00,5.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6258140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6258166,8.00,4.00,3.00,5.00,4.00,7.88,4.00,4.00,4.00,203,NULL,220,'RIO VERMELHO','FLORIANÓPOLIS','SC',7067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6258174,1.00,4.00,2.00,1.00,1.00,NULL,3.00,0.00,0.00,215,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258182,2.00,6.00,2.00,4.00,5.00,7.88,1.00,7.00,2.00,104,NULL,NULL,'PIONEIRO','PINHALZINHO','SC',13367,318,NULL,NULL,NULL,NULL,NULL,2,4),(25,6258190,1.00,3.00,1.00,5.00,5.00,NULL,1.00,0.00,0.00,109,NULL,NULL,'DOIS PINHEIROS','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6258204,9.00,7.00,4.00,7.00,10.00,13.13,4.00,8.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6258212,3.00,5.00,1.00,3.00,6.00,8.63,1.00,4.00,1.00,654,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',15496,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6258220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6258239,5.00,3.00,5.00,6.00,6.00,10.13,0.00,3.00,5.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',8274,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6258247,4.00,7.00,4.00,3.00,9.00,10.13,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','SIMÃO DIAS','SE',6446,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6258255,3.00,5.00,1.00,2.00,6.00,6.38,1.00,0.00,1.00,652,NULL,207,'PARQUE DAS AVENIDAS','SOMBRIO','SC',19170,71,NULL,NULL,NULL,NULL,NULL,4,15),(25,6258263,8.00,8.00,6.00,6.00,8.00,8.63,2.00,7.00,3.00,238,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',2868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6258271,4.00,5.00,3.00,2.00,9.00,9.75,1.00,4.00,3.00,5,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',11033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6258280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CAMPO VELHO','APIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6258298,4.00,6.00,6.00,3.00,5.00,7.50,1.00,5.00,4.00,201,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',11039,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6258301,5.00,5.00,2.00,6.00,6.00,8.25,4.00,4.00,4.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',8198,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6258310,2.00,2.00,1.00,3.00,4.00,6.00,1.00,2.00,0.00,420,NULL,NULL,'FAZENDA','ITAJAÍ','SC',21627,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6258328,3.00,7.00,3.00,2.00,8.00,9.38,2.00,5.00,5.00,336,NULL,NULL,'VILA REA','HORTOLÂNDIA','SP',9435,56,NULL,NULL,NULL,NULL,NULL,4,8),(25,6258336,3.00,6.00,1.00,4.00,4.00,10.13,2.00,0.00,1.00,207,NULL,208,'IBIRAQUERA','IMBITUBA','SC',16201,871,NULL,380,NULL,NULL,NULL,2,1),(25,6258344,1.00,2.00,0.00,2.00,6.00,8.63,3.00,1.00,2.00,303,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258352,6.00,4.00,1.00,4.00,6.00,NULL,3.00,1.00,7.00,225,NULL,NULL,'PONTE PRETA','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6258360,5.00,6.00,0.00,5.00,7.00,9.00,2.00,4.00,2.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6258379,6.00,6.00,5.00,6.00,9.00,10.88,6.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',615,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258387,5.00,5.00,6.00,5.00,4.00,7.50,2.00,3.00,6.00,201,NULL,214,'PARQUE DAS AVENIDAS','SOMBRIO','SC',9947,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6258395,2.00,5.00,3.00,6.00,4.00,7.50,1.00,6.00,3.00,235,NULL,213,'AREIAS','S JOSÉ','SC',11639,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','IBIAM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6258417,5.00,6.00,2.00,1.00,4.00,9.75,2.00,2.00,6.00,103,NULL,NULL,'CENTRO','TRINDADE SUL','RS',14148,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6258433,3.00,4.00,3.00,4.00,5.00,10.88,3.00,2.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13473,469,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258450,6.00,7.00,3.00,4.00,7.00,8.25,2.00,6.00,5.00,327,NULL,NULL,'BELA VISTA','S PAULO','SP',7194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6258468,2.00,2.00,2.00,3.00,7.00,7.13,0.00,4.00,3.00,302,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',18802,161,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6258484,3.00,4.00,0.00,2.00,6.00,8.25,2.00,2.00,1.00,5,NULL,NULL,'PARQUE IPÊ','S PAULO','SP',17994,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6258492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,212,'CRISTAL','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6258506,8.00,6.00,3.00,6.00,9.00,10.13,2.00,7.00,8.00,103,NULL,NULL,'VILA DA RIOCEL','GUAÍBA','RS',2215,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6258514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'GRANJA OLGA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6258530,4.00,3.00,7.00,6.00,8.00,6.75,4.00,5.00,7.00,203,NULL,214,'CENTRO','SOMBRIO','SC',4713,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6258549,5.00,5.00,4.00,4.00,8.00,8.25,3.00,6.00,7.00,103,NULL,NULL,'BARÃO GERALDO','CAMPINAS','SP',3455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6258557,3.00,3.00,3.00,3.00,4.00,7.88,2.00,0.00,6.00,999,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258565,5.00,3.00,2.00,5.00,6.00,8.63,4.00,2.00,4.00,103,NULL,NULL,'CENTRO','ANCHIETA','SC',12159,3888,NULL,NULL,NULL,NULL,NULL,4,4),(25,6258573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6258581,5.00,6.00,3.00,3.00,6.00,7.50,3.00,5.00,1.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6258590,3.00,2.00,2.00,2.00,4.00,7.88,0.00,2.00,2.00,224,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258603,4.00,3.00,0.00,5.00,8.00,NULL,1.00,2.00,2.00,339,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258620,7.00,6.00,1.00,5.00,6.00,9.00,2.00,5.00,6.00,340,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',6825,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6258638,8.00,6.00,4.00,6.00,6.00,10.50,3.00,6.00,5.00,303,NULL,NULL,'CENTRO','BRUSQUE','SC',3984,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6258654,7.00,7.00,8.00,6.00,8.00,9.75,5.00,5.00,6.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',1233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6258662,3.00,4.00,2.00,3.00,6.00,NULL,0.00,3.00,0.00,216,NULL,220,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258670,3.00,4.00,1.00,3.00,5.00,NULL,0.00,2.00,2.00,304,NULL,NULL,'CEEE','SALTO JACUÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6258689,7.00,7.00,3.00,6.00,8.00,9.00,2.00,6.00,6.00,340,NULL,NULL,'CENTRO','TUBARÃO','SC',4459,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6258697,2.00,3.00,1.00,2.00,5.00,8.63,2.00,0.00,0.00,3,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',19764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258719,4.00,4.00,2.00,2.00,6.00,7.50,2.00,2.00,3.00,452,NULL,NULL,'BARREIROS','S JOSÉ','SC',18674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6258735,1.00,0.00,0.00,1.00,5.00,NULL,1.00,0.00,1.00,340,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6258743,7.00,6.00,1.00,7.00,9.00,11.63,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',3107,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6258751,4.00,6.00,3.00,4.00,5.00,6.75,1.00,0.00,1.00,211,NULL,212,'RIO CAVEIRAS','BIGUAÇU','SC',16418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258760,4.00,3.00,1.00,4.00,4.00,NULL,2.00,0.00,0.00,110,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258778,5.00,6.00,1.00,4.00,3.00,9.75,1.00,1.00,1.00,103,NULL,NULL,'CRUZEIRO','S BENTO SUL','SC',15758,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6258786,1.00,4.00,1.00,2.00,5.00,8.63,2.00,3.00,2.00,303,NULL,NULL,'NOVA BRASÍLIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6258794,2.00,3.00,2.00,2.00,3.00,6.38,2.00,3.00,0.00,424,NULL,425,'CARVOEIRA','FLORIANÓPOLIS','SC',20521,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6258808,3.00,6.00,2.00,3.00,7.00,9.00,1.00,4.00,1.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6258816,3.00,6.00,2.00,6.00,10.00,10.88,1.00,3.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6258824,1.00,3.00,0.00,3.00,3.00,3.00,1.00,1.00,1.00,502,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258832,5.00,6.00,1.00,6.00,9.00,12.38,3.00,2.00,4.00,212,NULL,214,'JARDIM ANA MARIA','PIRAJU','SP',5606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6258840,4.00,4.00,0.00,4.00,5.00,9.75,2.00,4.00,3.00,211,NULL,233,'CAMPINAS','S JOSÉ','SC',16544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6258859,6.00,6.00,3.00,5.00,8.00,6.75,0.00,5.00,2.00,207,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',7903,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258867,4.00,5.00,1.00,3.00,5.00,6.00,3.00,3.00,0.00,225,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',19042,27,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258875,3.00,6.00,1.00,7.00,8.00,8.63,0.00,1.00,1.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258883,3.00,5.00,0.00,3.00,6.00,NULL,3.00,5.00,2.00,316,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6258913,3.00,5.00,0.00,2.00,7.00,7.50,3.00,2.00,0.00,340,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6258921,5.00,5.00,1.00,5.00,7.00,9.00,3.00,5.00,6.00,207,NULL,211,'BACACHERI','CURITIBA','PR',11092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6258930,7.00,6.00,5.00,5.00,7.00,10.50,4.00,6.00,6.00,203,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6258948,7.00,8.00,1.00,4.00,8.00,10.13,1.00,8.00,7.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',4236,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6258956,2.00,6.00,3.00,5.00,8.00,9.38,2.00,5.00,2.00,110,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',11995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6258964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6258972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6258980,2.00,3.00,4.00,4.00,8.00,7.50,0.00,0.00,3.00,601,NULL,203,'IRIRIU','JOINVILLE','SC',18235,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6258999,3.00,2.00,0.00,5.00,2.00,NULL,2.00,1.00,0.00,238,NULL,601,'VILA FORMOSA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6259014,4.00,4.00,1.00,3.00,6.00,8.25,0.00,5.00,2.00,104,NULL,NULL,'CENTRO','CASCAVEL','PR',16327,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6259049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CHACARA CACHOEIRA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6259057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6259073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'ITAGUAÇÚ','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6259103,7.00,4.00,8.00,6.00,8.00,10.13,3.00,7.00,6.00,203,NULL,233,'BUENO','GOIÂNIA','GO',1897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259111,3.00,4.00,3.00,4.00,2.00,NULL,1.00,1.00,2.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259120,3.00,5.00,0.00,3.00,4.00,6.75,1.00,2.00,2.00,211,NULL,NULL,'SÃO CRISTÓVÃO','CAÇADOR','SC',21057,559,NULL,NULL,NULL,NULL,NULL,2,1),(25,6259138,8.00,6.00,3.00,6.00,9.00,9.38,4.00,7.00,7.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259146,2.00,1.00,1.00,3.00,4.00,6.00,3.00,2.00,0.00,207,NULL,208,'FLOR DE NAPOLIS','S JOSÉ','SC',21649,1180,NULL,604,NULL,NULL,NULL,2,1),(25,6259154,1.00,2.00,3.00,1.00,5.00,7.50,2.00,1.00,2.00,233,NULL,220,'COQUEIROS','FLORIANÓPOLIS','SC',21285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259162,5.00,7.00,0.00,6.00,7.00,8.63,0.00,5.00,2.00,340,NULL,NULL,'SANTA TEREZA','VIDEIRA','SC',13136,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6259189,0.00,2.00,3.00,6.00,7.00,7.88,0.00,4.00,3.00,420,NULL,NULL,'CENTRO','GUARAMIRIM','SC',18015,169,NULL,NULL,NULL,NULL,NULL,2,8),(25,6259197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'IMBEL','ITAJUBÁ','MG',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6259200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BROOKLIN','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6259219,4.00,7.00,1.00,6.00,8.00,10.50,2.00,4.00,2.00,453,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9795,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259227,4.00,4.00,1.00,3.00,7.00,4.50,3.00,2.00,3.00,208,NULL,233,'CAPOEIRAS','FLORIANÓPOLIS','SC',17536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259235,3.00,4.00,4.00,4.00,3.00,NULL,2.00,0.00,2.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6259243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA RUA XV','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6259260,3.00,4.00,1.00,2.00,5.00,8.25,3.00,3.00,4.00,103,NULL,NULL,'JD SANTA FÉ','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259278,3.00,4.00,2.00,1.00,4.00,6.75,2.00,4.00,2.00,652,NULL,655,'CENTRO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6259294,8.00,7.00,3.00,6.00,9.00,11.63,2.00,8.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2009,1247,NULL,NULL,NULL,NULL,NULL,4,3),(25,6259316,6.00,7.00,4.00,6.00,8.00,5.63,1.00,7.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9240,338,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259324,3.00,6.00,2.00,6.00,8.00,6.75,1.00,2.00,3.00,429,NULL,425,'PRAIA DE FORA','PALHOÇA','SC',11324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259332,3.00,6.00,5.00,4.00,7.00,9.00,3.00,5.00,4.00,201,NULL,NULL,'VELHA','BLUMENAU','SC',8444,645,NULL,NULL,NULL,NULL,NULL,4,2),(25,6259340,6.00,6.00,6.00,8.00,6.00,8.63,4.00,7.00,8.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',1836,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6259359,2.00,6.00,1.00,1.00,4.00,7.50,1.00,3.00,1.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',18273,627,NULL,NULL,NULL,NULL,NULL,2,1),(25,6259367,2.00,4.00,2.00,2.00,5.00,NULL,2.00,4.00,3.00,501,NULL,NULL,'JARDIM ELITE','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6259375,6.00,5.00,2.00,3.00,8.00,7.88,3.00,5.00,6.00,316,NULL,NULL,'VILA JARDIM','PTO ALEGRE','RS',7572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6259383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,220,'MOÓCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6259391,3.00,3.00,5.00,2.00,5.00,6.38,4.00,3.00,3.00,220,NULL,208,'SÃO CRISTOVAO','CEL VIVIDA','PR',13715,378,NULL,272,NULL,NULL,NULL,4,6),(25,6259421,2.00,4.00,0.00,6.00,8.00,9.38,0.00,2.00,2.00,103,NULL,NULL,'CENTRO','DIAMANTE D OESTE','PR',14374,4168,NULL,NULL,NULL,NULL,NULL,2,4),(25,6259430,5.00,7.00,1.00,1.00,8.00,9.38,1.00,3.00,4.00,103,NULL,NULL,'JARDIM ITU SABARA','PTO ALEGRE','RS',11598,3801,NULL,NULL,NULL,NULL,NULL,2,4),(25,6259448,7.00,4.00,0.00,4.00,7.00,6.75,1.00,4.00,1.00,503,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',17042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259472,2.00,2.00,2.00,3.00,6.00,7.50,1.00,2.00,3.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259480,2.00,4.00,4.00,7.00,8.00,6.38,2.00,4.00,0.00,425,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',16385,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6259499,2.00,3.00,2.00,1.00,4.00,4.50,1.00,1.00,2.00,211,NULL,233,'CHACARA DAS PEDRAS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259529,6.00,6.00,3.00,6.00,7.00,10.13,3.00,3.00,7.00,233,NULL,216,'CENTRO','PELOTAS','RS',3569,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6259537,2.00,1.00,0.00,4.00,4.00,7.13,0.00,0.00,1.00,429,NULL,425,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6259553,6.00,6.00,3.00,6.00,8.00,9.75,1.00,6.00,4.00,238,NULL,208,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',6015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259570,5.00,3.00,3.00,7.00,4.00,7.88,3.00,3.00,3.00,238,NULL,208,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',14173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259600,6.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(25,6259618,5.00,7.00,5.00,4.00,9.00,8.63,3.00,6.00,8.00,233,NULL,653,'CANASVIEIRAS','FLORIANÓPOLIS','SC',3505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259626,3.00,3.00,1.00,3.00,5.00,8.25,3.00,2.00,3.00,453,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6259650,4.00,6.00,4.00,6.00,8.00,10.88,3.00,5.00,7.00,601,NULL,238,'PETROPOLIS','JOINVILLE','SC',4581,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6259669,6.00,6.00,2.00,4.00,5.00,8.25,3.00,5.00,3.00,207,NULL,215,'SAGUAÇU','JOINVILLE','SC',7526,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6259677,4.00,6.00,2.00,7.00,7.00,11.63,2.00,5.00,4.00,319,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',6002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259685,3.00,6.00,2.00,0.00,7.00,11.25,0.00,4.00,1.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',18197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6259707,8.00,6.00,6.00,7.00,8.00,8.63,2.00,4.00,7.00,203,NULL,235,'GASPAR GRANDE','GASPAR','SC',3000,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6259715,5.00,5.00,4.00,3.00,8.00,10.13,3.00,5.00,5.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',6948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259723,1.00,4.00,1.00,1.00,4.00,7.13,0.00,5.00,1.00,103,NULL,NULL,'INTERIOR','PARAÍSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6259740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'SANTA ISABEL','QUILOMBO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6259758,5.00,6.00,3.00,5.00,5.00,8.25,3.00,4.00,2.00,420,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',12084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259766,2.00,3.00,3.00,4.00,4.00,9.38,2.00,4.00,4.00,332,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',16981,45,NULL,NULL,NULL,NULL,NULL,2,1),(25,6259774,9.00,8.00,7.00,4.00,8.00,11.63,2.00,6.00,9.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',1285,847,NULL,NULL,NULL,NULL,NULL,2,8),(25,6259782,2.00,5.00,1.00,3.00,6.00,0.00,0.00,7.00,2.00,332,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6259790,3.00,6.00,2.00,3.00,8.00,NULL,0.00,6.00,0.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6259804,3.00,4.00,0.00,5.00,5.00,7.13,3.00,5.00,3.00,425,NULL,429,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259812,0.00,5.00,1.00,3.00,4.00,8.63,4.00,4.00,1.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6259820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JD AEROPORTO','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6259839,7.00,7.00,6.00,7.00,7.00,6.75,1.00,4.00,6.00,103,NULL,NULL,'TRÊS RIACHOS','BIGUAÇU','SC',4981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259847,2.00,5.00,2.00,6.00,8.00,11.25,4.00,5.00,2.00,338,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259863,4.00,3.00,2.00,5.00,6.00,10.13,2.00,4.00,4.00,502,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6259871,8.00,7.00,3.00,7.00,7.00,10.88,3.00,6.00,5.00,238,NULL,235,'JOÃO PAULO','FLORIANÓPOLIS','SC',4035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6259898,9.00,6.00,5.00,6.00,9.00,10.13,5.00,6.00,9.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',792,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6259901,4.00,5.00,0.00,4.00,3.00,7.13,1.00,5.00,0.00,220,NULL,233,'BOA VISTA','JOINVILLE','SC',17830,450,NULL,445,NULL,NULL,NULL,4,8),(25,6259910,4.00,6.00,4.00,5.00,7.00,9.38,1.00,3.00,4.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',9923,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6259936,4.00,0.00,3.00,3.00,6.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'TRÊS RIACHOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6259944,5.00,7.00,2.00,3.00,8.00,10.50,3.00,6.00,4.00,415,NULL,NULL,'FORTALEZA','BLUMENAU','SC',7774,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6259979,7.00,6.00,2.00,7.00,8.00,9.00,3.00,6.00,5.00,104,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',5174,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6259987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'INTERIOR','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6259995,3.00,4.00,2.00,5.00,6.00,8.63,2.00,3.00,4.00,211,NULL,601,'IPIRANGA','S JOSÉ','SC',17063,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6260012,0.00,6.00,3.00,6.00,6.00,7.88,1.00,5.00,4.00,655,NULL,652,'UNIVERSITÁRIO','CRICIÚMA','SC',14735,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6260020,5.00,3.00,1.00,6.00,4.00,7.88,1.00,4.00,1.00,9,NULL,NULL,'FAZENDA','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260055,4.00,5.00,0.00,4.00,8.00,6.75,3.00,5.00,2.00,109,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',14588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6260063,1.00,1.00,0.00,1.00,1.00,NULL,0.00,5.00,1.00,108,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260071,2.00,3.00,2.00,2.00,3.00,7.50,2.00,2.00,2.00,424,NULL,425,'RIO TAVARES','FLORIANÓPOLIS','SC',20037,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260080,5.00,7.00,2.00,6.00,8.00,9.00,4.00,7.00,3.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7722,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'SÃO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6260101,0.00,2.00,1.00,3.00,3.00,7.13,1.00,1.00,1.00,425,NULL,423,'CARIANOS','FLORIANÓPOLIS','SC',21717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6260110,2.00,6.00,2.00,4.00,7.00,9.00,1.00,2.00,2.00,238,NULL,652,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13679,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260136,3.00,6.00,2.00,4.00,6.00,6.00,2.00,4.00,4.00,601,NULL,235,'AVENTUREIRO','JOINVILLE','SC',17003,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6260152,0.00,2.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'INTERIOR','ITAIÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6260160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'BELA VISTA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6260187,3.00,4.00,1.00,4.00,4.00,6.00,1.00,0.00,4.00,999,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260195,4.00,6.00,3.00,4.00,5.00,6.75,2.00,4.00,3.00,238,NULL,208,'SANTO ANT DE PÁDUA','TUBARÃO','SC',15578,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6260209,3.00,5.00,3.00,3.00,8.00,8.63,0.00,5.00,3.00,201,NULL,212,'ALTO ARIRIÚ','PALHOÇA','SC',12444,1051,NULL,363,NULL,NULL,NULL,2,1),(25,6260225,2.00,3.00,3.00,1.00,3.00,NULL,4.00,0.00,2.00,655,NULL,208,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6260233,6.00,6.00,3.00,7.00,7.00,7.88,1.00,8.00,6.00,203,NULL,233,'RIACHINHO','JAGUARUNA','SC',5600,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6260241,9.00,8.00,4.00,6.00,9.00,12.00,5.00,9.00,9.00,103,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6260250,3.00,6.00,4.00,6.00,8.00,7.13,0.00,6.00,3.00,201,NULL,212,'CENTRO','S JOAQUIM','SC',8940,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6260268,6.00,8.00,3.00,4.00,6.00,7.50,1.00,4.00,4.00,211,NULL,235,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',8599,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260276,5.00,5.00,4.00,7.00,9.00,8.63,1.00,3.00,1.00,101,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6260284,3.00,0.00,3.00,5.00,3.00,NULL,0.00,0.00,0.00,652,NULL,NULL,'VILA BITENCOURT','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,15),(25,6260292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6260306,3.00,7.00,3.00,3.00,7.00,9.75,0.00,3.00,3.00,303,NULL,NULL,'IPIRANGA','S JOSÉ','SC',12642,594,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260322,5.00,8.00,1.00,5.00,9.00,9.75,2.00,5.00,5.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8215,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260330,8.00,8.00,5.00,7.00,9.00,8.63,7.00,7.00,7.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6260349,3.00,5.00,3.00,2.00,7.00,9.75,1.00,4.00,3.00,9,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260357,5.00,5.00,3.00,5.00,5.00,7.50,0.00,1.00,1.00,319,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',18573,374,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260365,4.00,4.00,2.00,5.00,7.00,9.00,2.00,3.00,4.00,216,NULL,NULL,'SANTANA','RIO SUL','SC',11468,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6260373,3.00,4.00,2.00,2.00,6.00,8.63,2.00,3.00,1.00,238,NULL,208,'CENTRO','PALHOÇA','SC',17922,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','FLORES CUNHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6260390,5.00,7.00,2.00,5.00,6.00,10.13,2.00,4.00,2.00,324,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',12561,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260403,4.00,2.00,1.00,2.00,5.00,NULL,1.00,0.00,0.00,9,NULL,NULL,'PARQUE MADERIL','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6260411,7.00,7.00,4.00,6.00,10.00,9.00,2.00,8.00,5.00,108,NULL,NULL,'BALNEÁRIO DO ESTREIT','FLORIANÓPOLIS','SC',2532,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6260438,2.00,4.00,1.00,5.00,5.00,8.25,0.00,3.00,1.00,302,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',20344,185,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6260454,1.00,6.00,3.00,2.00,3.00,9.75,3.00,5.00,4.00,207,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',16320,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6260462,4.00,5.00,2.00,5.00,7.00,7.13,2.00,4.00,2.00,317,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260470,5.00,4.00,2.00,5.00,7.00,8.25,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',13477,4064,NULL,NULL,NULL,NULL,NULL,2,5),(25,6260489,3.00,4.00,1.00,3.00,5.00,8.63,1.00,7.00,3.00,327,NULL,NULL,'BARREIROS','S JOSÉ','SC',17274,48,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAGO SUL','LG SUL','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6260500,8.00,6.00,5.00,7.00,10.00,9.38,1.00,6.00,4.00,103,NULL,NULL,'MONTE BELO','JOAÇABA','SC',3700,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6260535,4.00,6.00,0.00,3.00,5.00,7.88,2.00,2.00,4.00,212,NULL,201,'AGRONÕMICA','FLORIANÓPOLIS','SC',15031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260543,3.00,4.00,3.00,2.00,6.00,8.63,0.00,0.00,3.00,234,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260560,4.00,4.00,2.00,6.00,7.00,NULL,4.00,0.00,3.00,601,NULL,653,'RIO VERMELHO ESTAÇÃO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6260578,4.00,6.00,3.00,2.00,6.00,10.50,3.00,2.00,3.00,502,NULL,NULL,'CENTRO','CAMBORIÚ','SC',14291,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6260586,4.00,5.00,0.00,4.00,5.00,NULL,4.00,0.00,2.00,104,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,9),(25,6260594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PEDREGULHOS','JACAREÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6260608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6260616,3.00,5.00,1.00,4.00,5.00,9.75,2.00,4.00,0.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18879,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260624,7.00,6.00,5.00,5.00,9.00,10.50,1.00,4.00,4.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5282,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6260632,2.00,4.00,4.00,1.00,5.00,9.00,1.00,2.00,3.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19491,169,NULL,NULL,NULL,NULL,NULL,4,1),(25,6260640,4.00,2.00,1.00,4.00,8.00,6.75,1.00,5.00,2.00,103,NULL,NULL,'MICHEL','CRICIÚMA','SC',18019,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6260659,3.00,7.00,0.00,6.00,7.00,9.75,2.00,3.00,0.00,103,NULL,NULL,'CORAL','LAGES','SC',15853,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6260667,8.00,6.00,2.00,6.00,8.00,10.13,3.00,6.00,5.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',4748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260691,5.00,5.00,2.00,6.00,6.00,8.63,2.00,3.00,6.00,103,NULL,NULL,'JARDIM BOA VISTA','PNT GROSSA','PR',8375,NULL,NULL,NULL,NULL,NULL,NULL,3,2),(25,6260705,9.00,5.00,5.00,5.00,7.00,11.63,4.00,8.00,9.00,103,NULL,NULL,'JARDIM ADRIANA','LONDRINA','PR',1020,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6260713,6.00,7.00,3.00,4.00,7.00,6.75,1.00,6.00,7.00,102,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',8025,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6260721,3.00,6.00,2.00,2.00,4.00,5.25,3.00,3.00,1.00,213,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',19797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6260730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6260748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CÂNDIDO GODÓI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6260756,4.00,7.00,3.00,5.00,5.00,11.25,4.00,4.00,1.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',11943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6260772,6.00,6.00,3.00,6.00,6.00,5.63,4.00,6.00,1.00,302,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',10939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6260780,1.00,4.00,0.00,3.00,2.00,NULL,2.00,2.00,1.00,225,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'INTERIOR','CÂNDIDO GODÓI','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6260802,2.00,4.00,2.00,4.00,3.00,NULL,2.00,0.00,0.00,335,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260810,4.00,6.00,2.00,7.00,8.00,8.25,1.00,6.00,5.00,207,NULL,211,'PICADAS DO SUL','S JOSÉ','SC',8167,377,NULL,NULL,NULL,NULL,NULL,4,1),(25,6260829,6.00,6.00,2.00,1.00,6.00,7.13,3.00,4.00,3.00,103,NULL,NULL,'ALTO','CURITIBA','PR',10883,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6260837,3.00,2.00,1.00,4.00,6.00,10.88,1.00,1.00,2.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19901,142,NULL,NULL,NULL,NULL,NULL,4,1),(25,6260845,2.00,3.00,1.00,2.00,2.00,NULL,2.00,0.00,2.00,551,NULL,NULL,'CELSO RAMOS','FR ROGÉRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6260861,2.00,2.00,0.00,1.00,4.00,8.25,0.00,1.00,0.00,453,NULL,NULL,'CIDADE ALTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6260888,3.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'NOBRE','SORRISO','MT',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6260896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6260900,2.00,6.00,3.00,3.00,7.00,8.63,1.00,1.00,1.00,201,NULL,NULL,'GLÓRIA','JOINVILLE','SC',17467,1445,NULL,NULL,NULL,NULL,NULL,2,8),(25,6260918,2.00,3.00,2.00,3.00,2.00,NULL,2.00,1.00,2.00,201,NULL,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6260926,3.00,2.00,0.00,5.00,5.00,NULL,3.00,4.00,2.00,425,NULL,427,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6260934,3.00,3.00,3.00,3.00,6.00,6.75,3.00,0.00,2.00,104,NULL,NULL,'MORRO DO FABRÍCIO','STO AMARO IMPERATRIZ','SC',18136,502,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260942,3.00,3.00,0.00,2.00,4.00,6.75,1.00,4.00,0.00,999,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6260950,5.00,3.00,0.00,3.00,4.00,9.00,0.00,1.00,1.00,5,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6260977,7.00,6.00,6.00,7.00,7.00,7.13,5.00,5.00,7.00,203,NULL,214,'ANITA GARIBALDI','JOINVILLE','SC',2859,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6260985,3.00,3.00,1.00,4.00,4.00,6.75,1.00,1.00,2.00,207,NULL,201,'ARÍRIU','PALHOÇA','SC',19821,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6260993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6261000,2.00,4.00,2.00,5.00,3.00,7.13,2.00,1.00,4.00,201,NULL,207,'AGRONOMICA','FLORIANÓPOLIS','SC',17479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6261027,5.00,5.00,4.00,3.00,4.00,10.13,2.00,4.00,4.00,320,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',11898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261035,2.00,2.00,4.00,5.00,5.00,8.25,3.00,3.00,1.00,235,NULL,655,'CENTENÁRIO','TORRES','RS',14739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261043,2.00,4.00,1.00,4.00,5.00,NULL,2.00,0.00,2.00,234,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261051,3.00,3.00,0.00,2.00,6.00,NULL,1.00,1.00,1.00,208,NULL,238,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6261060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6261078,1.00,3.00,1.00,1.00,2.00,NULL,3.00,0.00,2.00,103,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6261086,1.00,5.00,0.00,4.00,2.00,NULL,0.00,2.00,1.00,317,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261094,1.00,2.00,1.00,2.00,5.00,8.63,1.00,4.00,0.00,415,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6261108,7.00,5.00,5.00,5.00,9.00,10.50,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3461,1884,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261116,5.00,4.00,1.00,4.00,3.00,9.75,1.00,3.00,6.00,203,NULL,235,'CENTRO','AT PARANÁ','PR',10412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261124,4.00,6.00,0.00,2.00,7.00,NULL,0.00,4.00,2.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261132,2.00,5.00,0.00,5.00,7.00,7.50,2.00,4.00,1.00,324,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',17252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261140,4.00,4.00,3.00,5.00,5.00,4.50,1.00,3.00,3.00,208,NULL,238,'JOÃO PAULO','FLORIANÓPOLIS','SC',15023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261159,2.00,5.00,2.00,5.00,8.00,9.38,3.00,3.00,3.00,220,NULL,208,'CENTRO','BRAÇO NORTE','SC',12965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261167,3.00,5.00,0.00,2.00,3.00,NULL,2.00,6.00,0.00,103,NULL,NULL,'CENTRO','S BERNARDINO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6261183,4.00,5.00,2.00,4.00,5.00,9.38,3.00,5.00,2.00,201,NULL,212,'SANTA BÁRBARA','ANTÔNIO CARLOS','SC',14913,1267,NULL,437,NULL,NULL,NULL,2,1),(25,6261205,4.00,6.00,3.00,7.00,6.00,10.88,0.00,7.00,5.00,238,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',7587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,216,'IPIRANGA','MARMELEIRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6261221,3.00,6.00,4.00,5.00,6.00,6.75,2.00,2.00,3.00,203,NULL,652,'CENTRO','CEL MARTINS','SC',12174,813,NULL,NULL,NULL,NULL,NULL,4,4),(25,6261248,4.00,4.00,1.00,2.00,6.00,6.75,1.00,2.00,1.00,101,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261256,5.00,6.00,3.00,7.00,7.00,9.00,0.00,4.00,4.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6261272,1.00,3.00,0.00,0.00,5.00,6.38,0.00,2.00,1.00,225,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',21007,36,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261280,4.00,2.00,2.00,2.00,5.00,6.75,2.00,0.00,2.00,201,NULL,211,'SAO JOSÉ OPERARIO','SANANDUVA','RS',19695,1613,NULL,515,NULL,NULL,NULL,2,7),(25,6261299,2.00,4.00,0.00,2.00,3.00,NULL,2.00,0.00,0.00,102,NULL,NULL,'INTERIOR','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6261310,5.00,7.00,2.00,6.00,7.00,10.13,1.00,5.00,1.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8135,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261329,7.00,6.00,2.00,7.00,6.00,9.38,2.00,4.00,7.00,453,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',7419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261337,2.00,2.00,2.00,0.00,5.00,7.50,0.00,3.00,2.00,216,NULL,211,'CAPOEIRAS','FLORIANÓPOLIS','SC',20935,627,NULL,552,NULL,NULL,NULL,4,1),(25,6261345,5.00,5.00,2.00,2.00,6.00,8.63,2.00,5.00,1.00,104,NULL,NULL,'SÍTIO CERCADO','CURITIBA','PR',12118,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,215,'JARDIM QUEBEC','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6261370,3.00,4.00,3.00,3.00,6.00,7.13,3.00,5.00,0.00,337,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',17375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261388,5.00,6.00,3.00,3.00,6.00,10.13,3.00,6.00,5.00,404,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8582,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261396,3.00,5.00,2.00,5.00,4.00,9.38,1.00,4.00,1.00,317,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',15708,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6261418,4.00,2.00,4.00,2.00,4.00,4.50,2.00,3.00,3.00,501,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',20754,116,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261426,6.00,6.00,2.00,4.00,6.00,6.75,3.00,6.00,4.00,203,NULL,214,'CAÇADOR','CAPIVARI BAIXO','SC',9445,687,NULL,242,NULL,NULL,NULL,4,10),(25,6261434,3.00,3.00,4.00,2.00,3.00,8.25,1.00,2.00,2.00,201,NULL,207,'TOMAZ COELHO','BRUSQUE','SC',19252,1583,NULL,1044,NULL,NULL,NULL,2,2),(25,6261450,1.00,7.00,5.00,7.00,9.00,11.25,3.00,8.00,4.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5546,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6261469,4.00,5.00,1.00,6.00,5.00,10.88,0.00,3.00,2.00,326,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',15372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261477,5.00,4.00,0.00,5.00,7.00,7.88,2.00,2.00,3.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',14855,228,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261485,6.00,7.00,4.00,5.00,9.00,11.25,3.00,7.00,5.00,103,NULL,NULL,'IPIRANGA','S JOSÉ','SC',2404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6261523,7.00,5.00,2.00,2.00,8.00,9.00,3.00,8.00,4.00,318,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',7212,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261531,6.00,4.00,3.00,6.00,6.00,6.75,2.00,2.00,5.00,102,NULL,NULL,'CENTRO','PALMAS','PR',9538,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6261540,4.00,5.00,5.00,0.00,4.00,7.88,1.00,4.00,5.00,203,NULL,202,'SANTA TEREZINHA','GASPAR','SC',14666,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6261566,4.00,3.00,2.00,0.00,4.00,6.00,0.00,4.00,3.00,109,NULL,NULL,'RIO CERRO II','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6261574,3.00,4.00,1.00,2.00,4.00,NULL,3.00,5.00,0.00,327,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261582,1.00,6.00,3.00,1.00,8.00,6.00,3.00,2.00,0.00,336,NULL,NULL,'KOBRASOL','S JOSÉ','SC',20288,171,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261590,3.00,2.00,3.00,3.00,5.00,7.88,1.00,5.00,5.00,104,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',15288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261604,3.00,3.00,3.00,5.00,5.00,NULL,1.00,4.00,4.00,103,NULL,NULL,'UNIVESSITARIO','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,6),(25,6261612,6.00,6.00,4.00,5.00,7.00,9.75,2.00,4.00,6.00,103,NULL,NULL,'CAJURU','CURITIBA','PR',5679,2620,NULL,NULL,NULL,NULL,NULL,2,8),(25,6261620,4.00,6.00,3.00,3.00,5.00,6.75,2.00,5.00,3.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,428,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6261655,4.00,5.00,1.00,1.00,4.00,6.00,5.00,2.00,3.00,324,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261663,1.00,6.00,3.00,3.00,6.00,8.63,1.00,5.00,4.00,338,NULL,NULL,'HIPICA','PTO ALEGRE','RS',14458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261671,3.00,5.00,1.00,1.00,4.00,6.00,2.00,0.00,0.00,551,NULL,NULL,'CENTRO','CATANDUVAS','SC',21624,84,NULL,NULL,NULL,NULL,NULL,4,7),(25,6261680,6.00,6.00,6.00,7.00,7.00,9.75,3.00,7.00,6.00,238,NULL,201,'BARREIROS','S JOSÉ','SC',3794,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261698,2.00,7.00,1.00,3.00,5.00,6.75,1.00,4.00,2.00,308,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',16664,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261701,5.00,7.00,4.00,6.00,9.00,9.38,3.00,6.00,6.00,304,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261728,2.00,6.00,0.00,2.00,4.00,4.50,4.00,3.00,1.00,337,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',20933,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261736,1.00,5.00,2.00,4.00,6.00,9.00,3.00,5.00,2.00,202,NULL,653,'PRESIDENTE VARGAS','IÇARA','SC',15334,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6261744,1.00,4.00,0.00,1.00,4.00,6.38,3.00,3.00,2.00,207,NULL,233,'ABRAAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261752,2.00,2.00,2.00,4.00,3.00,7.50,2.00,1.00,1.00,238,NULL,208,'CENTRO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6261760,2.00,2.00,3.00,3.00,6.00,7.88,1.00,4.00,2.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,NULL,'FLORESTA','MONDAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6261787,3.00,4.00,1.00,4.00,4.00,7.88,2.00,2.00,3.00,238,NULL,652,'INGLESES','FLORIANÓPOLIS','SC',17509,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FARROUPILHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6261809,2.00,4.00,2.00,1.00,5.00,6.75,0.00,2.00,1.00,5,NULL,NULL,'SERRARIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261817,6.00,3.00,2.00,6.00,8.00,8.25,1.00,0.00,1.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15011,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261825,6.00,7.00,3.00,7.00,11.00,8.63,1.00,6.00,5.00,5,NULL,NULL,'VILA PEDRINI','JOAÇABA','SC',3129,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261850,6.00,5.00,2.00,4.00,7.00,8.63,1.00,1.00,3.00,319,NULL,NULL,'CENTRO','PATO BRANCO','PR',13505,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6261868,7.00,6.00,3.00,2.00,6.00,7.13,0.00,5.00,7.00,203,NULL,233,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',10181,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6261876,4.00,3.00,0.00,1.00,5.00,4.50,1.00,0.00,2.00,104,NULL,NULL,'BOMBAS','BOMBINHAS','SC',21615,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6261884,4.00,6.00,6.00,7.00,4.00,8.63,3.00,4.00,4.00,235,NULL,653,'PANTANAL','FLORIANÓPOLIS','SC',7376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261892,3.00,1.00,3.00,3.00,6.00,6.00,2.00,3.00,2.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261906,5.00,6.00,4.00,6.00,9.00,8.25,2.00,3.00,4.00,203,NULL,235,'ARIRIÚ','PALHOÇA','SC',7988,602,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261914,4.00,5.00,0.00,5.00,10.00,9.75,3.00,2.00,1.00,301,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',13572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'DIVINO','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6261930,6.00,7.00,1.00,7.00,7.00,8.25,4.00,7.00,7.00,103,NULL,NULL,'VILA CLEMENTINO','S PAULO','SP',3008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261957,3.00,2.00,1.00,1.00,2.00,NULL,2.00,2.00,0.00,108,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6261965,6.00,5.00,1.00,4.00,9.00,9.00,2.00,3.00,5.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6261981,3.00,2.00,3.00,3.00,4.00,8.25,1.00,0.00,2.00,207,NULL,235,'JARDIM ALVORADA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6262007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,213,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6262023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'ALTO RIBEIRÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6262031,5.00,5.00,2.00,6.00,8.00,8.25,3.00,3.00,4.00,103,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',9065,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6262040,6.00,6.00,3.00,7.00,10.00,10.13,3.00,8.00,4.00,338,NULL,NULL,'CRICIUMA','CRICIÚMA','SC',3900,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6262058,6.00,7.00,7.00,7.00,10.00,9.38,4.00,7.00,8.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262074,3.00,2.00,3.00,0.00,4.00,6.00,2.00,3.00,1.00,317,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6262082,6.00,7.00,0.00,4.00,6.00,9.00,2.00,3.00,1.00,332,NULL,NULL,'BARREIROS','S JOSÉ','SC',14121,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6262090,5.00,6.00,6.00,5.00,6.00,9.00,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','TRINDADE SUL','RS',6472,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6262104,7.00,6.00,2.00,3.00,5.00,10.13,3.00,6.00,3.00,201,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',9729,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6262112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6262120,5.00,6.00,4.00,5.00,8.00,8.63,2.00,5.00,5.00,213,NULL,212,'BARREIROS','S JOSÉ','SC',6123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262139,3.00,2.00,0.00,4.00,7.00,6.75,3.00,3.00,1.00,327,NULL,NULL,'MAGALHÃES','LAGUNA','SC',16964,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6262147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6262155,1.00,2.00,2.00,4.00,4.00,8.25,1.00,1.00,3.00,444,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',19497,128,NULL,NULL,NULL,NULL,NULL,2,1),(25,6262163,3.00,5.00,7.00,5.00,5.00,7.88,2.00,6.00,3.00,655,NULL,208,'PARAGUAI','JACINTO MACHADO','SC',8090,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6262171,4.00,5.00,3.00,6.00,7.00,8.63,2.00,4.00,5.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',7734,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6262180,7.00,8.00,4.00,6.00,9.00,10.88,2.00,8.00,7.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2120,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6262198,2.00,5.00,4.00,6.00,7.00,6.38,1.00,4.00,5.00,207,NULL,655,'FIGUEIRA','JACINTO MACHADO','SC',11642,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6262201,0.00,1.00,0.00,1.00,3.00,6.38,0.00,3.00,1.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6262228,6.00,4.00,1.00,4.00,8.00,10.13,1.00,5.00,6.00,104,NULL,NULL,'FLORESTA','JOINVILLE','SC',7381,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6262236,1.00,6.00,2.00,2.00,6.00,NULL,0.00,0.00,2.00,415,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262244,4.00,3.00,2.00,3.00,7.00,7.13,2.00,4.00,1.00,103,NULL,NULL,'IMIGRANTES','CONCÓRDIA','SC',16216,4351,NULL,NULL,NULL,NULL,NULL,2,4),(25,6262252,2.00,2.00,1.00,2.00,3.00,NULL,1.00,1.00,0.00,233,NULL,201,'VICTOR KONDER','TAIÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6262260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S',NULL,2,1),(25,6262279,3.00,4.00,1.00,0.00,7.00,9.00,0.00,4.00,1.00,317,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6262287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'ORLEANS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6262295,2.00,3.00,2.00,3.00,5.00,7.50,2.00,0.00,2.00,201,NULL,212,'SANTO ANTONIO LISBOA','FLORIANÓPOLIS','SC',20816,1687,NULL,586,NULL,NULL,NULL,2,1),(25,6262309,3.00,4.00,1.00,5.00,9.00,9.00,0.00,3.00,4.00,328,NULL,NULL,'JD CIDADE','S JOSÉ','SC',15060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6262317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6262325,3.00,6.00,2.00,5.00,8.00,8.25,3.00,3.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262333,6.00,6.00,4.00,6.00,7.00,11.25,2.00,6.00,4.00,207,NULL,233,'MONTE VERDE','FLORIANÓPOLIS','SC',5298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262341,2.00,3.00,2.00,6.00,3.00,8.25,3.00,0.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20332,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6262350,3.00,6.00,3.00,4.00,7.00,8.25,3.00,3.00,3.00,5,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',13293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JD ALVORADA','MAL CÂNDIDO RONDON','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6262384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6262392,2.00,2.00,0.00,1.00,4.00,7.13,2.00,2.00,2.00,551,NULL,NULL,'CENTRO','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6262406,3.00,5.00,5.00,3.00,7.00,9.75,2.00,4.00,2.00,302,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',9953,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6262414,4.00,4.00,4.00,6.00,5.00,9.75,4.00,3.00,2.00,303,NULL,NULL,'CENTRO','BIGUAÇU','SC',9544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262422,3.00,4.00,2.00,4.00,6.00,9.00,2.00,3.00,0.00,444,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16412,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6262430,5.00,5.00,0.00,5.00,6.00,8.25,0.00,4.00,5.00,999,NULL,NULL,'SANTO ANDRÉ','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6262449,2.00,5.00,2.00,2.00,4.00,6.75,2.00,4.00,2.00,404,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',20050,83,NULL,NULL,NULL,NULL,NULL,2,1),(25,6262457,5.00,8.00,4.00,6.00,9.00,6.75,2.00,8.00,7.00,103,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',3580,1931,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262465,4.00,2.00,1.00,5.00,6.00,7.88,0.00,2.00,2.00,103,NULL,NULL,'DUAS MAMAS','SCHROEDER','SC',20061,4693,NULL,NULL,NULL,NULL,NULL,4,8),(25,6262481,3.00,5.00,0.00,6.00,8.00,12.00,2.00,4.00,1.00,201,NULL,233,'PICADAS DO SUL','S JOSÉ','SC',13397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CENTRO','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6262520,6.00,3.00,4.00,6.00,7.00,9.00,2.00,5.00,5.00,201,NULL,601,'ITOUPAVA NORTE','BLUMENAU','SC',7590,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6262538,6.00,7.00,6.00,6.00,7.00,6.00,3.00,7.00,6.00,601,NULL,216,'COSTA E SILVA','JOINVILLE','SC',5589,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6262546,3.00,6.00,1.00,4.00,6.00,8.25,2.00,6.00,3.00,211,NULL,207,'JOÃO PAULO','FLORIANÓPOLIS','SC',12757,336,NULL,686,NULL,NULL,NULL,2,1),(25,6262554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'WILLIANS','GARÇA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6262562,7.00,7.00,3.00,5.00,8.00,9.00,2.00,5.00,5.00,214,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',4979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262570,9.00,0.00,4.00,4.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(25,6262589,4.00,5.00,3.00,3.00,4.00,6.38,2.00,3.00,4.00,220,NULL,NULL,'JARDIM GUARUJA','CASCAVEL','PR',14419,390,NULL,NULL,NULL,NULL,NULL,4,4),(25,6262597,6.00,6.00,3.00,5.00,5.00,6.75,2.00,5.00,5.00,332,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',9851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262619,5.00,7.00,1.00,6.00,7.00,6.75,2.00,4.00,6.00,301,NULL,NULL,'SANTA OLIVIA','MARÍLIA','SP',8845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262627,3.00,2.00,0.00,2.00,2.00,NULL,1.00,0.00,1.00,502,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6262643,7.00,5.00,6.00,7.00,10.00,11.25,4.00,4.00,7.00,203,NULL,601,'CENTRO','S JOSÉ CAMPOS','SP',1332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262651,4.00,7.00,3.00,6.00,6.00,8.63,3.00,5.00,2.00,404,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',9380,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6262660,3.00,6.00,5.00,2.00,7.00,7.88,4.00,4.00,4.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262678,6.00,7.00,2.00,7.00,10.00,11.25,4.00,8.00,3.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262686,4.00,2.00,3.00,3.00,8.00,8.63,1.00,3.00,5.00,333,NULL,NULL,'IPIRANGA','RIBEIRÃO PRETO','SP',12111,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6262694,3.00,4.00,3.00,3.00,5.00,NULL,2.00,4.00,0.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6262708,2.00,3.00,0.00,0.00,5.00,NULL,2.00,1.00,3.00,326,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262716,5.00,4.00,0.00,2.00,6.00,NULL,0.00,0.00,2.00,501,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262724,4.00,4.00,1.00,6.00,6.00,6.75,2.00,1.00,3.00,340,NULL,NULL,'CAMPOLIM','SOROCABA','SP',17607,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262732,4.00,5.00,1.00,5.00,6.00,10.13,1.00,0.00,3.00,216,NULL,212,'VILA RODRIGUES','ASSIS','SP',14427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262740,6.00,5.00,5.00,6.00,6.00,11.25,3.00,6.00,2.00,208,NULL,NULL,'BARREIROS','S JOSÉ','SC',6177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262767,9.00,6.00,3.00,7.00,9.00,12.00,3.00,6.00,8.00,103,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',893,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6262775,7.00,7.00,5.00,6.00,6.00,7.88,2.00,7.00,7.00,103,NULL,NULL,'BORTOT','PATO BRANCO','PR',4582,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6262783,7.00,4.00,3.00,5.00,6.00,10.13,3.00,4.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262791,3.00,3.00,1.00,0.00,2.00,NULL,1.00,3.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262805,3.00,5.00,2.00,6.00,8.00,9.38,2.00,5.00,2.00,501,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',10469,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6262821,6.00,5.00,5.00,5.00,6.00,10.13,2.00,6.00,5.00,103,NULL,NULL,'VILA SANTA ROSA','APUCARANA','PR',4938,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6262830,3.00,4.00,2.00,3.00,5.00,6.75,1.00,0.00,0.00,108,NULL,NULL,'AREIAS','S JOSÉ','SC',20850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262856,6.00,5.00,1.00,3.00,6.00,9.38,3.00,3.00,1.00,207,NULL,211,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',12712,683,NULL,333,NULL,NULL,NULL,2,1),(25,6262864,5.00,6.00,5.00,7.00,9.00,10.13,1.00,7.00,6.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',4183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262872,7.00,6.00,2.00,6.00,8.00,10.88,0.00,4.00,6.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6262880,3.00,4.00,3.00,5.00,6.00,7.88,0.00,2.00,6.00,102,NULL,NULL,'CENTRO','STA CRUZ R PARDO','SP',15955,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6262899,6.00,7.00,1.00,3.00,9.00,7.88,1.00,6.00,5.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',8664,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6262910,6.00,6.00,3.00,6.00,8.00,9.75,3.00,8.00,6.00,203,NULL,214,'PICADAS DO SUL','S JOSÉ','SC',4540,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6262929,7.00,5.00,4.00,7.00,9.00,9.38,2.00,2.00,3.00,333,NULL,NULL,'GRAVATÁ','NAVEGANTES','SC',6987,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6262937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6262945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'CENTRO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6262953,3.00,5.00,1.00,0.00,4.00,8.25,0.00,3.00,3.00,220,NULL,207,'PRESIDENTE MÉDICE','CHAPECÓ','SC',20339,493,NULL,1106,NULL,NULL,NULL,4,4),(25,6262961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MATA S JOÃO','BA',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6262970,8.00,8.00,2.00,6.00,8.00,9.75,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',1599,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6262988,4.00,4.00,2.00,3.00,8.00,8.63,2.00,4.00,5.00,415,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',13059,184,NULL,NULL,NULL,NULL,NULL,2,1),(25,6262996,3.00,4.00,1.00,3.00,3.00,7.13,0.00,4.00,0.00,551,NULL,NULL,'COPERCAMPOS','ANITA GARIBALDI','SC',21247,74,NULL,NULL,NULL,NULL,NULL,2,9),(25,6263003,5.00,6.00,1.00,5.00,6.00,12.00,1.00,3.00,2.00,102,NULL,NULL,'CENTRO','ORLEANS','SC',10341,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6263011,5.00,5.00,6.00,6.00,10.00,12.00,2.00,1.00,6.00,5,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',5231,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6263020,2.00,4.00,2.00,6.00,7.00,9.75,3.00,5.00,2.00,104,NULL,NULL,'AEROPORTO','ERECHIM','RS',10388,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6263038,4.00,4.00,1.00,6.00,6.00,9.00,1.00,3.00,1.00,309,NULL,NULL,'CENTRO','IÇARA','SC',13690,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6263046,8.00,8.00,5.00,5.00,9.00,10.13,4.00,9.00,7.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6263054,8.00,6.00,6.00,5.00,9.00,11.25,4.00,5.00,5.00,201,NULL,212,'JARDIM BLUMENAU','BLUMENAU','SC',2366,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6263062,2.00,2.00,1.00,3.00,5.00,5.63,2.00,2.00,2.00,225,NULL,NULL,'LARANJAL','IMARUÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6263070,5.00,5.00,3.00,5.00,8.00,8.63,2.00,6.00,6.00,220,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',5067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6263089,4.00,8.00,2.00,7.00,10.00,11.25,1.00,3.00,4.00,211,NULL,207,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6263097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','MATELÂNDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6263100,6.00,6.00,3.00,5.00,9.00,11.63,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',2115,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6263119,2.00,4.00,0.00,2.00,7.00,9.75,0.00,5.00,0.00,110,NULL,NULL,'BARREIROS','S JOSÉ','SC',20268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6263127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6263135,4.00,5.00,2.00,5.00,5.00,7.50,2.00,5.00,3.00,110,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',13339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6263151,3.00,2.00,1.00,5.00,5.00,6.75,1.00,2.00,2.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6263160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6263178,5.00,3.00,0.00,4.00,3.00,NULL,2.00,2.00,4.00,9,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6263186,3.00,6.00,1.00,6.00,8.00,8.63,1.00,3.00,5.00,103,NULL,NULL,'LAR PARANA','CPO MOURÃO','PR',8486,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6263194,9.00,5.00,4.00,5.00,8.00,9.38,5.00,6.00,8.00,103,NULL,NULL,'JD NOVO HORIZONTE','MARINGÁ','PR',1383,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6263208,3.00,4.00,2.00,5.00,7.00,7.88,0.00,4.00,3.00,501,NULL,NULL,'JARDIM ALFA','STA BÁRBARA D OESTE','SP',12658,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6263216,8.00,6.00,6.00,7.00,8.00,10.50,2.00,3.00,7.00,103,NULL,NULL,'JUVEVÊ','CURITIBA','PR',1948,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6263224,4.00,3.00,3.00,4.00,9.00,7.50,3.00,1.00,1.00,207,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',14783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6263232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6263240,3.00,5.00,0.00,7.00,9.00,12.38,0.00,6.00,4.00,339,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',9753,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6263267,5.00,4.00,1.00,7.00,8.00,8.25,5.00,4.00,4.00,425,NULL,429,'RIO VERMELHO','FLORIANÓPOLIS','SC',8235,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6263275,6.00,5.00,2.00,6.00,6.00,10.13,3.00,6.00,2.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7990,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6263283,1.00,1.00,0.00,3.00,3.00,6.75,0.00,1.00,0.00,302,NULL,NULL,'PRAIA COMPREIDA','S JOSÉ','SC',21792,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6263313,3.00,3.00,4.00,3.00,5.00,8.63,0.00,0.00,3.00,999,NULL,NULL,'SÃO FRANCISCO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6263321,1.00,6.00,1.00,5.00,6.00,9.38,1.00,1.00,2.00,5,NULL,NULL,'VILLAGE','IMBITUBA','SC',16758,587,NULL,NULL,NULL,NULL,NULL,2,10),(25,6263330,6.00,7.00,6.00,5.00,8.00,6.75,6.00,6.00,7.00,233,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',2558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6263348,0.00,2.00,4.00,1.00,3.00,0.00,2.00,1.00,3.00,551,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6263356,6.00,7.00,6.00,7.00,8.00,10.88,5.00,7.00,8.00,103,NULL,NULL,'BELA VISTA','S JOSÉ','SC',1597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6263372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COLINA DAS ESTRELAS','TATUÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6263380,6.00,6.00,4.00,6.00,8.00,9.00,3.00,3.00,5.00,319,NULL,NULL,'CENTRO','CANOAS','RS',6863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6263399,6.00,5.00,0.00,6.00,10.00,9.00,1.00,6.00,2.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',7283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6263402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'INTERIOR','S CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6263410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'INTERIOR','S CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6263437,4.00,7.00,3.00,6.00,9.00,10.88,0.00,3.00,3.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8925,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6263445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6263461,0.00,3.00,3.00,2.00,4.00,NULL,1.00,2.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6263470,3.00,6.00,4.00,4.00,7.00,9.38,1.00,3.00,3.00,335,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',15609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6263488,4.00,6.00,3.00,3.00,8.00,6.75,3.00,5.00,0.00,201,NULL,213,'AGRÔNOMICA','FLORIANÓPOLIS','SC',12011,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6263496,7.00,7.00,8.00,8.00,7.00,9.75,7.00,9.00,8.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6263518,6.00,3.00,6.00,2.00,6.00,8.25,2.00,3.00,6.00,201,NULL,203,'BIGORRILHO','CURITIBA','PR',10585,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6263526,5.00,5.00,3.00,4.00,6.00,8.25,1.00,6.00,3.00,201,NULL,601,'VELHA','BLUMENAU','SC',8554,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6263534,5.00,6.00,1.00,6.00,8.00,6.38,2.00,5.00,3.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',9194,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6263542,1.00,4.00,2.00,2.00,3.00,8.63,1.00,3.00,3.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',20706,586,NULL,NULL,NULL,NULL,NULL,4,8),(25,6263550,5.00,6.00,1.00,2.00,8.00,8.25,1.00,2.00,2.00,317,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',17373,122,NULL,NULL,NULL,NULL,NULL,4,1),(25,6263569,1.00,3.00,4.00,5.00,6.00,7.88,1.00,4.00,1.00,420,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',15869,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6263577,4.00,6.00,1.00,2.00,5.00,7.13,2.00,2.00,3.00,207,NULL,201,'SÃO CRISTOVÃO','LAGES','SC',17614,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6263585,6.00,6.00,2.00,2.00,7.00,6.00,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',12032,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6263593,2.00,5.00,2.00,4.00,7.00,8.25,1.00,4.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13531,472,NULL,NULL,NULL,NULL,NULL,2,1),(25,6263607,0.00,2.00,2.00,1.00,0.00,NULL,1.00,0.00,1.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6263615,2.00,4.00,1.00,2.00,8.00,7.50,1.00,6.00,3.00,328,NULL,NULL,'JARDIM JANAÍNA','BIGUAÇU','SC',18102,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6263623,4.00,6.00,6.00,5.00,5.00,7.50,3.00,3.00,7.00,3,NULL,NULL,'SANTANA','PTO ALEGRE','RS',8018,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6263631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM VISTA ALEGRE','RIBAS R PARDO','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6263658,3.00,2.00,1.00,1.00,3.00,9.00,3.00,2.00,2.00,404,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6263666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6263674,2.00,4.00,1.00,4.00,7.00,6.38,1.00,2.00,2.00,652,NULL,655,'CIDADE ALTA','ARARANGUÁ','SC',16989,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6263682,4.00,6.00,1.00,1.00,7.00,8.25,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','VACARIA','RS',16921,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6263690,5.00,4.00,1.00,5.00,7.00,10.13,2.00,1.00,2.00,5,NULL,NULL,'CENTRO','XAXIM','SC',11137,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6263704,1.00,3.00,2.00,2.00,3.00,6.38,1.00,2.00,1.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6263712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SAMANTHA I','ARARAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6263720,2.00,6.00,2.00,3.00,5.00,5.25,2.00,5.00,0.00,233,NULL,213,'ITACORUBI','FLORIANÓPOLIS','SC',19994,471,NULL,290,NULL,NULL,NULL,2,1),(25,6263747,4.00,6.00,2.00,6.00,5.00,9.00,3.00,3.00,6.00,208,NULL,235,'JD OURO BRANCO','RIBEIRÃO PRETO','SP',10603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6263755,1.00,0.00,0.00,2.00,1.00,NULL,1.00,0.00,0.00,224,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6263763,3.00,2.00,4.00,6.00,2.00,NULL,2.00,2.00,2.00,208,NULL,NULL,'NAÇÕES','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6263780,6.00,7.00,1.00,3.00,6.00,8.63,1.00,8.00,4.00,340,NULL,NULL,'NOSSA SENHORA DO ROS','S JOSÉ','SC',7536,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6263801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'VILA PEDRINI','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6263810,3.00,7.00,4.00,1.00,6.00,9.75,0.00,0.00,4.00,109,NULL,NULL,'CENTRO','CLEVELÂNDIA','PR',13790,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6263828,4.00,5.00,0.00,3.00,5.00,NULL,2.00,4.00,2.00,655,NULL,653,'LIVRAMENTO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6263836,6.00,5.00,1.00,7.00,8.00,8.63,4.00,4.00,3.00,103,NULL,NULL,'MAGALHÃES','LAGUNA','SC',7151,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6263844,3.00,3.00,1.00,2.00,4.00,6.00,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PALMEIRA MISSÕES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6263852,3.00,5.00,2.00,3.00,7.00,6.00,2.00,5.00,5.00,302,NULL,NULL,'ROÇADO','S JOSÉ','SC',11533,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6263860,2.00,3.00,0.00,3.00,4.00,NULL,1.00,0.00,2.00,404,NULL,NULL,'TRÊS RIACHOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6263879,7.00,7.00,6.00,6.00,8.00,10.88,1.00,4.00,9.00,220,NULL,214,'MODULO II','JUÍNA','MT',1989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6263887,3.00,6.00,0.00,5.00,7.00,NULL,4.00,3.00,5.00,551,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6263895,4.00,6.00,6.00,6.00,7.00,9.00,2.00,5.00,1.00,201,NULL,211,'CARIANOS','FLORIANÓPOLIS','SC',10644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6263909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6263925,6.00,5.00,5.00,1.00,6.00,8.63,5.00,6.00,6.00,220,NULL,235,'FORQUILHAS','S JOSÉ','SC',6544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6263933,6.00,4.00,4.00,7.00,5.00,9.38,2.00,5.00,5.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6263941,8.00,9.00,5.00,6.00,11.00,11.25,4.00,7.00,9.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',271,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6263950,3.00,5.00,1.00,2.00,3.00,9.75,2.00,3.00,3.00,450,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',17308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6263968,2.00,5.00,1.00,4.00,5.00,8.25,2.00,2.00,3.00,324,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6263976,8.00,6.00,2.00,7.00,8.00,7.13,4.00,5.00,8.00,103,NULL,NULL,'ALTO DA GLÓRIA','CURITIBA','PR',2594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6263992,8.00,7.00,5.00,7.00,11.00,10.50,3.00,6.00,7.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',692,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6264000,3.00,6.00,1.00,5.00,7.00,7.13,3.00,3.00,1.00,333,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',17313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264026,3.00,6.00,3.00,5.00,5.00,10.13,3.00,4.00,7.00,302,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',9014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264034,6.00,7.00,4.00,1.00,7.00,6.75,3.00,4.00,5.00,103,NULL,NULL,'POÇÃO','CUIABÁ','MT',10950,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6264050,4.00,4.00,0.00,6.00,3.00,NULL,2.00,1.00,2.00,340,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264069,7.00,7.00,3.00,5.00,6.00,7.88,1.00,6.00,5.00,601,NULL,NULL,'CORAL','LAGES','SC',6282,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6264077,2.00,3.00,1.00,4.00,7.00,6.00,0.00,3.00,3.00,235,NULL,213,'JOSÉ MENDES','FLORIANÓPOLIS','SC',20558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6264085,3.00,2.00,1.00,1.00,4.00,NULL,3.00,0.00,1.00,303,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6264107,4.00,3.00,4.00,4.00,5.00,7.50,4.00,2.00,3.00,999,NULL,NULL,'UNIVERSITARIO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264115,6.00,5.00,2.00,6.00,8.00,7.88,3.00,6.00,4.00,201,NULL,215,'CENTRO','URUSSANGA','SC',6665,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6264123,5.00,3.00,6.00,7.00,7.00,8.63,2.00,3.00,2.00,601,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',8199,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6264131,5.00,5.00,2.00,3.00,7.00,6.00,2.00,6.00,2.00,601,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',15194,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6264140,5.00,7.00,3.00,5.00,10.00,9.75,3.00,4.00,5.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264158,2.00,2.00,2.00,4.00,6.00,7.13,1.00,1.00,0.00,201,NULL,207,'CENTRO','GALVÃO','SC',19001,1559,NULL,1021,NULL,NULL,NULL,2,4),(25,6264166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6264174,3.00,2.00,1.00,2.00,7.00,NULL,0.00,1.00,0.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6264182,4.00,4.00,1.00,3.00,4.00,4.88,3.00,3.00,2.00,340,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',20247,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6264190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6264204,6.00,7.00,0.00,4.00,9.00,NULL,0.00,5.00,1.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6264212,4.00,7.00,2.00,3.00,6.00,6.38,3.00,5.00,4.00,212,NULL,601,'CENTRO','ANTÔNIO CARLOS','SC',13817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264220,2.00,3.00,2.00,1.00,5.00,9.00,0.00,1.00,1.00,324,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6264239,5.00,5.00,6.00,6.00,9.00,10.50,2.00,4.00,5.00,201,NULL,601,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264247,4.00,5.00,2.00,4.00,7.00,7.13,3.00,6.00,4.00,304,NULL,NULL,'PANAZZOLO','VIDEIRA','SC',11084,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6264255,3.00,4.00,3.00,5.00,6.00,7.88,0.00,6.00,3.00,319,NULL,NULL,'GONZAGA','SANTOS','SP',10906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264271,5.00,8.00,2.00,6.00,9.00,10.50,1.00,5.00,7.00,415,NULL,NULL,'PRAÇA','TIJUCAS','SC',4263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,211,'SANTA CECILIA','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6264301,1.00,3.00,1.00,4.00,4.00,5.63,0.00,5.00,0.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20772,857,NULL,NULL,NULL,NULL,NULL,2,1),(25,6264328,2.00,5.00,0.00,2.00,5.00,7.13,1.00,4.00,2.00,426,NULL,423,'JARDIM DAS ACÁCIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6264336,5.00,7.00,2.00,6.00,7.00,9.00,3.00,5.00,7.00,102,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5937,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6264344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'COMUNIDADE PINHAL','QUILOMBO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6264360,5.00,3.00,4.00,1.00,7.00,NULL,0.00,0.00,3.00,110,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264379,5.00,5.00,4.00,5.00,6.00,9.75,4.00,3.00,5.00,103,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',7515,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6264387,5.00,5.00,5.00,7.00,7.00,7.50,3.00,6.00,4.00,211,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',5326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6264409,5.00,4.00,3.00,4.00,5.00,NULL,0.00,1.00,2.00,104,NULL,NULL,'CENTRO','SALVADOR MISSÕES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6264425,3.00,4.00,0.00,3.00,6.00,6.75,1.00,4.00,3.00,452,NULL,NULL,'FAZENDA','ITAJAÍ','SC',18915,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6264433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6264450,3.00,4.00,0.00,3.00,6.00,10.88,0.00,6.00,0.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',13887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6264468,2.00,3.00,0.00,4.00,4.00,NULL,0.00,4.00,1.00,444,NULL,NULL,'CENTRO','LEBON RÉGIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6264476,8.00,8.00,2.00,4.00,8.00,11.25,3.00,6.00,4.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',2838,1639,NULL,NULL,NULL,NULL,NULL,2,3),(25,6264492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','GALVÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6264506,2.00,3.00,0.00,4.00,4.00,NULL,2.00,1.00,2.00,102,NULL,NULL,'CENTRO','JUPIÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6264514,6.00,6.00,2.00,2.00,7.00,9.38,3.00,2.00,3.00,110,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',14417,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6264522,1.00,5.00,2.00,3.00,4.00,5.63,1.00,4.00,2.00,208,NULL,238,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',20488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264530,4.00,6.00,1.00,5.00,7.00,10.88,1.00,4.00,4.00,301,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',8117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264549,7.00,7.00,3.00,3.00,0.00,NULL,1.00,2.00,6.00,110,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6264557,4.00,5.00,0.00,4.00,6.00,7.50,1.00,2.00,4.00,452,NULL,NULL,'PRAIA GRANDE','PENHA','SC',14705,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6264565,3.00,3.00,1.00,1.00,6.00,NULL,4.00,1.00,0.00,211,NULL,207,'TERMAS','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6264573,2.00,6.00,1.00,7.00,8.00,10.88,1.00,2.00,2.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',13611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6264590,7.00,6.00,4.00,5.00,8.00,9.00,2.00,7.00,5.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3200,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6264603,3.00,4.00,2.00,4.00,6.00,7.50,3.00,1.00,0.00,104,NULL,NULL,'VELHA','BLUMENAU','SC',19395,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6264620,7.00,4.00,3.00,8.00,7.00,7.88,4.00,7.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264638,4.00,7.00,4.00,1.00,4.00,6.38,3.00,2.00,3.00,551,NULL,NULL,'BOSQUE','CURITIBANOS','SC',18214,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6264646,5.00,7.00,1.00,3.00,8.00,11.63,1.00,5.00,5.00,108,NULL,NULL,'COLONINHA','GASPAR','SC',7377,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6264654,6.00,5.00,4.00,7.00,9.00,12.38,3.00,7.00,5.00,450,NULL,NULL,'SOUSAS','CAMPINAS','SP',2627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6264689,2.00,4.00,3.00,4.00,6.00,7.50,3.00,5.00,2.00,201,NULL,207,'NAÇÕES','INDAIAL','SC',13017,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6264697,2.00,5.00,1.00,4.00,8.00,9.00,0.00,3.00,1.00,450,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',18695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264700,0.00,3.00,2.00,2.00,4.00,5.25,1.00,1.00,1.00,101,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',21776,180,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264719,1.00,2.00,2.00,1.00,4.00,7.88,2.00,2.00,0.00,109,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',21602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264735,5.00,8.00,1.00,6.00,4.00,9.75,1.00,7.00,6.00,235,NULL,202,'SANTA MARIA','LAGES','SC',8917,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6264743,5.00,6.00,2.00,5.00,9.00,7.50,1.00,5.00,1.00,5,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',13360,464,NULL,NULL,NULL,NULL,NULL,4,17),(25,6264751,4.00,5.00,3.00,6.00,7.00,5.25,2.00,2.00,2.00,103,NULL,NULL,'GUARANI','BRUSQUE','SC',16651,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6264778,5.00,6.00,4.00,6.00,7.00,8.63,3.00,8.00,7.00,327,NULL,NULL,'AHÚÚ','CURITIBA','PR',3447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264786,6.00,7.00,3.00,3.00,8.00,8.63,1.00,3.00,5.00,319,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',9015,126,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264794,4.00,6.00,1.00,3.00,4.00,6.75,0.00,1.00,4.00,108,NULL,NULL,'VILA NOVA','BLUMENAU','SC',16408,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6264808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'RIBEIRÃO DAS PEDRAS','TAIÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6264816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'POLICIA RODOVIARIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6264824,3.00,2.00,2.00,4.00,5.00,NULL,0.00,4.00,0.00,201,NULL,207,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6264859,4.00,4.00,3.00,5.00,7.00,8.25,4.00,2.00,2.00,103,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',14930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264867,2.00,3.00,2.00,4.00,6.00,6.00,1.00,1.00,1.00,308,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6264875,6.00,4.00,5.00,6.00,7.00,9.00,4.00,5.00,3.00,203,NULL,202,'CENTRO','AT PARANÁ','PR',6068,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6264883,5.00,6.00,1.00,3.00,5.00,7.88,1.00,5.00,2.00,233,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',13798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264905,4.00,5.00,3.00,6.00,9.00,9.38,3.00,3.00,6.00,2,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',7099,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6264921,3.00,3.00,0.00,3.00,3.00,NULL,1.00,4.00,1.00,201,NULL,213,'COLONIA SATANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6264930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6264948,5.00,6.00,3.00,7.00,8.00,8.25,1.00,6.00,5.00,420,NULL,NULL,'CENTRO','PALHOÇA','SC',6458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264956,2.00,3.00,2.00,0.00,4.00,NULL,2.00,1.00,0.00,208,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264964,3.00,7.00,1.00,5.00,7.00,9.00,0.00,1.00,1.00,207,NULL,211,'CENTRO','BIGUAÇU','SC',14800,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6264972,0.00,5.00,0.00,0.00,0.00,NULL,1.00,3.00,2.00,303,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(25,6264980,2.00,5.00,3.00,3.00,6.00,8.25,0.00,4.00,1.00,2,NULL,NULL,'MACUCO','SANTOS','SP',15981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6264999,8.00,8.00,5.00,6.00,9.00,9.75,4.00,6.00,7.00,203,NULL,601,'TRINDADE','FLORIANÓPOLIS','SC',995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265022,7.00,6.00,1.00,5.00,9.00,8.63,3.00,4.00,5.00,103,NULL,NULL,'BARÃO GERALDO','CAMPINAS','SP',4947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265049,4.00,6.00,2.00,4.00,6.00,7.13,2.00,6.00,3.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',7882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265057,3.00,6.00,3.00,5.00,6.00,7.88,2.00,5.00,4.00,304,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',12615,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6265065,2.00,2.00,0.00,3.00,3.00,NULL,1.00,2.00,4.00,501,NULL,NULL,'SUL DO RIA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6265081,7.00,4.00,2.00,7.00,9.00,6.75,2.00,4.00,5.00,103,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',8610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265090,2.00,4.00,1.00,5.00,6.00,10.50,0.00,1.00,2.00,415,NULL,NULL,'CENTRO','PEDRO OSÓRIO','RS',14992,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6265103,6.00,5.00,2.00,6.00,6.00,7.88,1.00,6.00,3.00,655,NULL,NULL,'ZONA SUL','BAL ARROIO SILVA','SC',11730,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6265111,3.00,0.00,3.00,2.00,2.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,9),(25,6265120,3.00,3.00,1.00,0.00,7.00,7.13,2.00,1.00,1.00,207,NULL,211,'CENTRO','TRÊS MAIO','RS',19107,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6265146,6.00,6.00,1.00,4.00,10.00,7.50,1.00,3.00,3.00,303,NULL,NULL,'CENTRO','JOAÇABA','SC',10270,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6265154,8.00,6.00,3.00,4.00,6.00,12.00,1.00,5.00,6.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',4476,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6265162,4.00,5.00,2.00,3.00,6.00,9.00,3.00,0.00,1.00,415,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265170,7.00,6.00,6.00,6.00,8.00,9.38,4.00,6.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265189,2.00,2.00,0.00,1.00,1.00,NULL,1.00,1.00,0.00,201,NULL,NULL,'HAUER','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6265197,3.00,6.00,3.00,4.00,8.00,6.38,1.00,2.00,1.00,415,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',13998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6265200,2.00,3.00,2.00,2.00,4.00,6.38,4.00,1.00,3.00,207,NULL,201,'AGRONÔMICA','FLORIANÓPOLIS','SC',20623,1127,NULL,1676,NULL,NULL,NULL,2,1),(25,6265219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'PARQUE DA REPRESA','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6265227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM NOVO HORIZONT','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6265235,7.00,6.00,4.00,2.00,7.00,8.25,2.00,6.00,6.00,220,NULL,203,'SANTANA','GUARAPUAVA','PR',8438,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6265243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'SANTA HELENA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6265251,5.00,3.00,3.00,2.00,4.00,6.75,1.00,3.00,2.00,336,NULL,NULL,'SAO VICENTE','PATO BRANCO','PR',19816,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6265260,3.00,2.00,2.00,4.00,6.00,6.75,0.00,4.00,3.00,103,NULL,NULL,'HORTO FLORESTAL','TERESINA','PI',18425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6265278,2.00,4.00,2.00,1.00,5.00,NULL,1.00,0.00,2.00,108,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265286,2.00,5.00,0.00,4.00,3.00,8.63,1.00,0.00,0.00,335,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',20165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6265316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM MAR DAS PEDRA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6265324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6265332,7.00,4.00,3.00,7.00,8.00,9.75,2.00,7.00,4.00,319,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',4264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'PARQUE DOS MOREIRAS','OURO FINO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6265359,4.00,3.00,1.00,2.00,4.00,8.25,0.00,4.00,3.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20238,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6265367,0.00,4.00,2.00,1.00,2.00,NULL,1.00,3.00,1.00,234,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265391,2.00,4.00,1.00,1.00,5.00,8.63,2.00,1.00,3.00,103,NULL,NULL,'CENTRO','CPO ERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6265405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'FLAMBOYANT','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6265413,5.00,5.00,3.00,3.00,6.00,6.75,2.00,1.00,5.00,110,NULL,NULL,'SÃO LUIS','BRUSQUE','SC',16478,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6265421,2.00,7.00,3.00,3.00,5.00,7.13,1.00,4.00,0.00,327,NULL,NULL,'PRADO','BIGUAÇU','SC',18737,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6265430,4.00,7.00,2.00,7.00,9.00,9.75,2.00,1.00,1.00,103,NULL,NULL,'INDEPENDENCIA','PTO ALEGRE','RS',10680,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6265448,1.00,5.00,0.00,2.00,4.00,7.50,1.00,2.00,0.00,5,NULL,NULL,'UNIVERSITÁEIO','TIJUCAS','SC',21521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265456,6.00,5.00,1.00,5.00,5.00,NULL,0.00,1.00,2.00,201,NULL,212,'CENTRO','DRACENA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6265464,2.00,5.00,0.00,4.00,1.00,NULL,2.00,5.00,2.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6265472,3.00,5.00,0.00,4.00,4.00,NULL,1.00,2.00,0.00,103,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6265480,2.00,0.00,3.00,3.00,3.00,9.00,3.00,0.00,2.00,101,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6265499,6.00,5.00,3.00,0.00,6.00,9.00,1.00,3.00,3.00,104,NULL,NULL,'CENTRO','AURORA','SC',12766,300,NULL,NULL,NULL,NULL,NULL,4,9),(25,6265502,8.00,8.00,3.00,7.00,11.00,10.50,4.00,8.00,7.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265510,7.00,5.00,3.00,6.00,9.00,8.25,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','ARAUCÁRIA','PR',6683,2875,NULL,NULL,NULL,NULL,NULL,2,1),(25,6265529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,215,'JARDIM DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6265537,2.00,2.00,3.00,1.00,4.00,5.63,1.00,0.00,0.00,551,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6265545,7.00,7.00,3.00,7.00,8.00,7.88,2.00,8.00,6.00,203,NULL,220,'JARDIM MALUCHE','BRUSQUE','SC',2350,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6265553,5.00,7.00,3.00,3.00,9.00,7.88,4.00,4.00,3.00,303,NULL,NULL,'SANTANA','ARAÇATUBA','SP',8159,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6265570,0.00,3.00,2.00,3.00,2.00,NULL,1.00,1.00,0.00,309,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265588,5.00,4.00,3.00,3.00,6.00,4.50,0.00,2.00,4.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265596,2.00,2.00,1.00,5.00,5.00,7.88,1.00,2.00,1.00,104,NULL,NULL,'RIO BONITO','IRATI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6265618,6.00,5.00,3.00,5.00,5.00,10.13,1.00,4.00,6.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',7996,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6265626,5.00,3.00,1.00,6.00,8.00,NULL,0.00,4.00,5.00,415,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6265634,0.00,3.00,0.00,2.00,4.00,9.38,4.00,0.00,1.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',21323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265650,5.00,5.00,4.00,5.00,6.00,8.63,2.00,5.00,4.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6265669,4.00,5.00,3.00,6.00,8.00,8.63,3.00,3.00,3.00,207,NULL,202,'JARDIM CARVALHO','PNT GROSSA','PR',9920,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6265677,7.00,5.00,4.00,4.00,10.00,9.75,2.00,1.00,4.00,216,NULL,214,'ARTHUR ALVIM','S PAULO','SP',7603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265685,4.00,5.00,1.00,2.00,5.00,6.00,0.00,1.00,2.00,5,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6265693,3.00,5.00,3.00,4.00,6.00,6.75,2.00,3.00,1.00,104,NULL,NULL,'MINA BRASIL','CRICIÚMA','SC',17786,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6265707,5.00,4.00,2.00,4.00,4.00,7.88,1.00,7.00,2.00,425,NULL,429,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',16131,57,NULL,32,NULL,NULL,NULL,4,1),(25,6265715,2.00,6.00,2.00,6.00,5.00,6.75,2.00,2.00,1.00,316,NULL,NULL,'FLORESTA','S JOSÉ','SC',15150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265723,5.00,0.00,4.00,6.00,5.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6265731,6.00,8.00,3.00,7.00,11.00,11.63,1.00,4.00,3.00,207,NULL,211,'CENTRO','GAROPABA','SC',3791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265758,7.00,8.00,6.00,7.00,9.00,7.88,6.00,7.00,5.00,201,NULL,202,'CENTRO','JOSÉ BOITEUX','SC',1364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265766,8.00,6.00,8.00,6.00,9.00,8.63,1.00,6.00,7.00,5,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',1765,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6265774,2.00,6.00,3.00,5.00,8.00,7.13,2.00,1.00,4.00,5,NULL,NULL,'VILA LALAU','JARAGUÁ SUL','SC',14932,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6265790,3.00,4.00,2.00,5.00,5.00,7.13,3.00,5.00,3.00,415,NULL,NULL,'IPIRANGA','S JOSÉ','SC',14055,208,NULL,NULL,NULL,NULL,NULL,2,1),(25,6265812,3.00,6.00,1.00,1.00,7.00,9.75,2.00,1.00,1.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17489,109,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265847,4.00,7.00,2.00,5.00,5.00,8.63,0.00,5.00,3.00,301,NULL,NULL,'BOA VISTA','RIO SUL','SC',10937,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6265855,4.00,7.00,2.00,3.00,6.00,10.88,1.00,4.00,3.00,104,NULL,NULL,'CENTRO HISTÓRICO','PTO ALEGRE','RS',10691,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6265863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'JD DAS INDÚSTRIA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6265871,3.00,2.00,3.00,4.00,5.00,9.00,1.00,2.00,1.00,201,NULL,207,'N S CONSOLADORA','GETÚLIO VARGAS','RS',16618,1398,NULL,884,NULL,NULL,NULL,4,1),(25,6265880,7.00,7.00,4.00,5.00,9.00,10.88,7.00,8.00,9.00,235,NULL,203,'PANAMBY','S PAULO','SP',596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265898,0.00,5.00,0.00,0.00,0.00,NULL,0.00,4.00,2.00,316,NULL,NULL,'CAEIRA SACO LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6265901,3.00,4.00,2.00,3.00,7.00,8.63,0.00,0.00,0.00,201,NULL,207,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',20411,1663,NULL,1109,NULL,NULL,NULL,4,1),(25,6265910,7.00,6.00,4.00,6.00,7.00,8.63,3.00,6.00,4.00,453,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',6085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265928,1.00,5.00,0.00,2.00,1.00,NULL,1.00,3.00,2.00,317,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265936,8.00,6.00,6.00,6.00,9.00,11.25,4.00,8.00,7.00,220,NULL,201,'ANA ROSA','TRINDADE','GO',439,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6265944,9.00,7.00,2.00,7.00,11.00,9.38,4.00,6.00,6.00,103,NULL,NULL,'PQ INDUSTRIAL','S JOSÉ CAMPOS','SP',1045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265952,5.00,6.00,0.00,7.00,10.00,12.75,2.00,5.00,0.00,308,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',8768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265960,2.00,3.00,2.00,6.00,9.00,7.13,1.00,1.00,2.00,207,NULL,216,'SANTANA','S PAULO','SP',14938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6265979,1.00,2.00,1.00,3.00,5.00,6.75,4.00,3.00,1.00,238,NULL,208,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6265987,1.00,4.00,1.00,3.00,5.00,7.50,2.00,2.00,3.00,110,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',19092,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6266002,7.00,8.00,5.00,6.00,8.00,10.50,1.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266010,6.00,6.00,1.00,3.00,8.00,10.88,2.00,5.00,4.00,110,NULL,NULL,'IMPERIAL','S JOSÉ R PRETO','SP',9940,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266029,4.00,5.00,2.00,2.00,4.00,7.50,2.00,1.00,2.00,216,NULL,215,'TRES PALMEIRAS','CEL FREITAS','SC',17454,560,NULL,277,NULL,NULL,NULL,2,4),(25,6266037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,601,'LUTHER KING','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6266045,5.00,6.00,3.00,6.00,10.00,11.63,1.00,5.00,4.00,450,NULL,NULL,'VILA OCIDENTAL','PRES PRUDENTE','SP',4814,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6266070,6.00,7.00,2.00,4.00,8.00,7.13,2.00,5.00,6.00,238,NULL,652,'SAMBAQUI','FLORIANÓPOLIS','SC',9720,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6266088,5.00,5.00,2.00,0.00,3.00,7.50,1.00,2.00,3.00,220,NULL,212,'JARDIM','CONCÓRDIA','SC',18562,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6266096,4.00,4.00,0.00,2.00,6.00,5.63,1.00,4.00,2.00,654,NULL,NULL,'LIVRAMENTO','ERMO','SC',19132,54,NULL,NULL,NULL,NULL,NULL,2,15),(25,6266100,3.00,3.00,2.00,4.00,6.00,7.88,1.00,4.00,2.00,103,NULL,NULL,'CANCELI','CASCAVEL','PR',17257,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6266118,5.00,3.00,0.00,1.00,6.00,8.63,0.00,2.00,3.00,225,NULL,NULL,'BARREIROS','S JOSÉ','SC',18446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266134,6.00,5.00,1.00,6.00,8.00,9.75,1.00,3.00,4.00,103,NULL,NULL,'FLAMBOYANT','CAMPINAS','SP',6302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266142,6.00,6.00,4.00,7.00,7.00,10.50,2.00,8.00,8.00,212,NULL,213,'AGRONÔMICA','FLORIANÓPOLIS','SC',1662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266169,6.00,6.00,2.00,7.00,11.00,12.00,1.00,9.00,3.00,425,NULL,429,'PANTANAL','FLORIANÓPOLIS','SC',3318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266185,3.00,5.00,2.00,5.00,7.00,9.00,1.00,1.00,2.00,201,NULL,NULL,'CENTRO','LAGES','SC',14623,1245,NULL,NULL,NULL,NULL,NULL,2,9),(25,6266207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RODRIGUES','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6266215,0.00,2.00,0.00,3.00,6.00,7.13,2.00,1.00,1.00,101,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',20675,162,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266223,8.00,6.00,2.00,7.00,8.00,10.88,4.00,6.00,9.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',1252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266240,1.00,0.00,2.00,1.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6266258,6.00,5.00,2.00,3.00,7.00,8.63,4.00,5.00,5.00,104,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',7735,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6266266,5.00,6.00,2.00,4.00,6.00,7.13,4.00,5.00,5.00,999,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266274,7.00,6.00,4.00,6.00,8.00,11.25,3.00,7.00,4.00,5,NULL,NULL,'RIO BRANCO','BRUSQUE','SC',4020,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6266282,3.00,6.00,3.00,4.00,6.00,7.88,2.00,4.00,3.00,304,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',15115,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6266290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6266304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BOM FIM','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6266312,4.00,7.00,2.00,4.00,5.00,10.13,2.00,4.00,0.00,212,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',15158,444,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266339,5.00,7.00,1.00,3.00,7.00,8.63,0.00,4.00,5.00,303,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',10961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ALTO DA XV','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',1,1),(25,6266363,4.00,3.00,2.00,5.00,7.00,5.63,0.00,1.00,3.00,201,NULL,207,'CENTRO','S GABRIEL OESTE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6266371,1.00,2.00,2.00,3.00,5.00,7.50,1.00,2.00,3.00,201,NULL,212,'KOBRASOL','S JOSÉ','SC',20397,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6266380,3.00,3.00,0.00,3.00,5.00,NULL,0.00,0.00,4.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266401,6.00,4.00,3.00,6.00,9.00,7.50,1.00,3.00,7.00,201,NULL,216,'CENTRO','CAXIAS SUL','RS',9430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266410,4.00,5.00,1.00,4.00,7.00,7.88,5.00,4.00,3.00,203,NULL,201,'SANTANA','VACARIA','RS',13448,860,NULL,1143,NULL,NULL,NULL,2,9),(25,6266436,5.00,6.00,1.00,4.00,6.00,7.13,0.00,3.00,1.00,110,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16461,81,NULL,NULL,NULL,NULL,NULL,2,1),(25,6266452,2.00,5.00,0.00,0.00,4.00,6.75,2.00,0.00,1.00,103,NULL,NULL,'VOSTARDT','BLUMENAU','SC',21681,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6266460,8.00,7.00,4.00,4.00,10.00,10.50,1.00,7.00,6.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',3299,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6266479,2.00,1.00,1.00,2.00,2.00,NULL,1.00,5.00,2.00,653,NULL,655,'JARDIM NICOLAU','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6266487,5.00,7.00,5.00,4.00,8.00,8.25,2.00,1.00,5.00,103,NULL,NULL,'SAO LUIZ','BRUSQUE','SC',8804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266495,4.00,1.00,1.00,5.00,4.00,NULL,0.00,0.00,1.00,316,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6266509,3.00,4.00,1.00,3.00,4.00,NULL,0.00,2.00,1.00,108,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6266517,4.00,3.00,0.00,3.00,6.00,10.88,1.00,3.00,2.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266525,3.00,4.00,3.00,2.00,6.00,7.13,2.00,3.00,0.00,999,NULL,NULL,'CENTRO','MARMELEIRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266533,3.00,6.00,1.00,5.00,6.00,7.88,4.00,3.00,2.00,453,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',13270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266550,2.00,3.00,5.00,6.00,4.00,7.50,1.00,2.00,2.00,201,NULL,208,'AGRONÔMICA','FLORIANÓPOLIS','SC',17019,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6266584,4.00,4.00,2.00,4.00,3.00,6.00,2.00,1.00,2.00,212,NULL,201,'CENTRO','STO AMARO IMPERATRIZ','SC',20340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266592,5.00,4.00,2.00,0.00,5.00,9.00,3.00,3.00,4.00,301,NULL,NULL,'SERRARIA','S JOSÉ','SC',17400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266606,5.00,0.00,3.00,5.00,2.00,NULL,1.00,0.00,1.00,207,NULL,201,'ALVORADA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,7),(25,6266614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6266622,7.00,5.00,2.00,5.00,6.00,9.38,2.00,6.00,4.00,103,NULL,NULL,'CASTELO BRANCO','CAMPINAS','SP',5380,2525,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266630,2.00,4.00,3.00,3.00,6.00,9.75,4.00,3.00,1.00,304,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',14304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266649,3.00,4.00,3.00,2.00,5.00,8.25,2.00,1.00,1.00,319,NULL,NULL,'IMPERIAL PARQUE','CAMPINAS','SP',19653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6266657,2.00,8.00,2.00,5.00,4.00,9.00,4.00,5.00,3.00,329,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',12045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266665,1.00,5.00,0.00,3.00,2.00,NULL,1.00,2.00,3.00,108,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6266673,2.00,4.00,2.00,3.00,6.00,4.50,4.00,5.00,0.00,234,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',16093,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6266690,5.00,0.00,1.00,4.00,6.00,NULL,1.00,1.00,1.00,207,NULL,NULL,'VÁRZEA DO RANCHINHO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,6),(25,6266703,6.00,8.00,4.00,5.00,7.00,12.00,2.00,6.00,5.00,215,NULL,213,'ESTREITO','FLORIANÓPOLIS','SC',3918,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6266720,3.00,5.00,2.00,3.00,8.00,7.13,0.00,5.00,4.00,203,NULL,601,'JARDIM MARISTELA','CRICIÚMA','SC',12547,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6266738,5.00,2.00,2.00,3.00,4.00,NULL,1.00,2.00,0.00,207,NULL,201,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6266746,6.00,5.00,1.00,4.00,9.00,9.00,1.00,4.00,7.00,104,NULL,NULL,'CENTRO','S MATEUS SUL','PR',7681,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6266754,4.00,4.00,3.00,3.00,6.00,9.75,1.00,4.00,0.00,102,NULL,NULL,'CRUZEIRO','RIO NEGRINHO','SC',17503,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6266762,4.00,4.00,4.00,3.00,7.00,NULL,0.00,4.00,5.00,999,NULL,NULL,'COLONIAL','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266770,7.00,5.00,5.00,6.00,7.00,10.13,3.00,5.00,5.00,207,NULL,201,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266789,4.00,5.00,5.00,4.00,8.00,11.63,5.00,5.00,8.00,216,NULL,653,'CENTRO','FLORES CUNHA','RS',2984,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6266797,3.00,6.00,2.00,4.00,7.00,7.13,2.00,5.00,5.00,103,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',11743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266800,7.00,5.00,3.00,5.00,7.00,7.88,2.00,6.00,5.00,653,NULL,655,'VILA SÃO JOSÉ','ARARANGUÁ','SC',6273,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6266819,3.00,5.00,3.00,6.00,8.00,8.63,4.00,4.00,4.00,420,NULL,NULL,'POUSADA DA NEVE','NOVA PETRÓPOLIS','RS',7317,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6266827,6.00,5.00,0.00,4.00,4.00,NULL,1.00,1.00,3.00,453,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6266835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SAO SEBASTIAO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',5,5),(25,6266851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARAÍSO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6266886,3.00,5.00,3.00,4.00,7.00,8.63,2.00,5.00,2.00,999,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266894,7.00,7.00,3.00,6.00,7.00,9.00,4.00,4.00,7.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',5144,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6266908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'BOQUEIRAO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6266924,6.00,6.00,2.00,4.00,8.00,12.00,2.00,5.00,3.00,429,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',6880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266940,2.00,3.00,3.00,3.00,3.00,6.38,2.00,0.00,2.00,215,NULL,NULL,'CENTRO','SALETE','SC',20164,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6266959,4.00,2.00,0.00,5.00,4.00,0.00,3.00,2.00,0.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266967,2.00,3.00,1.00,2.00,6.00,5.25,1.00,0.00,1.00,333,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',20790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266975,8.00,6.00,7.00,6.00,9.00,10.50,6.00,8.00,6.00,220,NULL,203,'CENTRO','S JOSÉ CAMPOS','SP',635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6266983,0.00,3.00,2.00,2.00,3.00,8.25,1.00,1.00,1.00,208,NULL,655,'NAÇÕES','TIMBÓ','SC',21661,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6266991,2.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,652,NULL,655,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(25,6267009,3.00,5.00,4.00,3.00,8.00,10.50,1.00,6.00,3.00,207,NULL,201,'VILA NOVA','MAFRA','SC',9981,497,NULL,810,NULL,NULL,NULL,4,1),(25,6267025,0.00,4.00,1.00,1.00,6.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'ALTO SAO PEDRO','COXIM','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6267033,3.00,3.00,0.00,1.00,1.00,NULL,1.00,2.00,1.00,601,NULL,202,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6267041,8.00,7.00,8.00,6.00,8.00,9.00,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267050,7.00,7.00,2.00,7.00,10.00,6.75,3.00,7.00,6.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',2367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267068,7.00,7.00,3.00,6.00,9.00,9.00,2.00,2.00,5.00,601,NULL,201,'AVAÍ','GUARAMIRIM','SC',7102,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6267076,1.00,2.00,0.00,1.00,2.00,NULL,1.00,0.00,0.00,319,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267084,1.00,7.00,2.00,5.00,7.00,7.88,2.00,6.00,0.00,331,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267092,4.00,6.00,3.00,4.00,7.00,7.13,0.00,6.00,3.00,319,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',13950,257,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267106,6.00,5.00,2.00,3.00,8.00,11.63,3.00,7.00,2.00,415,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',7221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267114,3.00,4.00,2.00,6.00,7.00,6.38,3.00,3.00,2.00,235,NULL,655,'CAPOEIRAS','FLORIANÓPOLIS','SC',13621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267122,3.00,5.00,1.00,4.00,5.00,7.50,2.00,2.00,4.00,316,NULL,NULL,'MARESIAS','S SEBASTIÃO','SP',15259,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267130,1.00,4.00,3.00,3.00,8.00,6.00,2.00,3.00,3.00,429,NULL,425,'ITACORUBI','FLORIANÓPOLIS','SC',18954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267149,2.00,2.00,3.00,1.00,4.00,6.38,1.00,1.00,1.00,415,NULL,NULL,'NAÇÕES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6267157,6.00,5.00,5.00,5.00,7.00,6.75,5.00,7.00,6.00,203,NULL,220,'JARDIM IPIRANGA','BIGUAÇU','SC',4924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267165,4.00,5.00,1.00,5.00,7.00,8.63,2.00,4.00,3.00,301,NULL,NULL,'IPIRANGA','S JOSÉ','SC',12373,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6267190,3.00,5.00,3.00,5.00,6.00,8.63,2.00,4.00,3.00,999,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6267203,4.00,7.00,2.00,4.00,4.00,9.00,2.00,9.00,4.00,999,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267211,6.00,1.00,1.00,0.00,5.00,NULL,2.00,0.00,0.00,103,NULL,NULL,'JD DAS INDUSTRIAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267220,4.00,4.00,2.00,1.00,4.00,7.88,2.00,2.00,0.00,104,NULL,NULL,'FENSTERSEIFER','PANAMBI','RS',18604,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267238,4.00,5.00,3.00,5.00,6.00,9.00,2.00,4.00,4.00,304,NULL,NULL,'LIMEIRA','BRUSQUE','SC',12814,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6267246,3.00,5.00,1.00,5.00,9.00,7.50,1.00,3.00,1.00,103,NULL,NULL,'FÁBIO SILVA','TUBARÃO','SC',16790,4416,NULL,NULL,NULL,NULL,NULL,2,10),(25,6267254,4.00,3.00,4.00,5.00,4.00,7.13,2.00,1.00,4.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14100,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267262,7.00,3.00,1.00,2.00,8.00,11.25,0.00,3.00,2.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',15079,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6267270,2.00,6.00,0.00,5.00,6.00,NULL,1.00,2.00,0.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267297,6.00,4.00,3.00,5.00,6.00,7.50,0.00,1.00,6.00,235,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',12069,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267300,6.00,5.00,2.00,3.00,6.00,9.75,0.00,0.00,3.00,317,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',17753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267327,8.00,7.00,8.00,7.00,9.00,10.13,4.00,6.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',247,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6267343,6.00,4.00,1.00,6.00,8.00,7.50,2.00,6.00,4.00,301,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',10136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267378,4.00,3.00,3.00,3.00,7.00,10.50,0.00,4.00,1.00,999,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6267394,4.00,6.00,2.00,1.00,5.00,9.00,2.00,4.00,3.00,201,NULL,207,'CENTRO','CANOINHAS','SC',17106,1431,NULL,914,NULL,NULL,NULL,4,17),(25,6267408,4.00,5.00,1.00,4.00,5.00,NULL,0.00,4.00,1.00,339,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6267432,5.00,5.00,3.00,6.00,8.00,9.38,2.00,5.00,5.00,303,NULL,NULL,'CENTRO','ARARANGUÁ','SC',7716,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6267467,6.00,4.00,4.00,4.00,7.00,7.88,2.00,4.00,4.00,317,NULL,NULL,'CENTRO','PALHOÇA','SC',9929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267475,2.00,6.00,0.00,4.00,5.00,9.38,1.00,2.00,1.00,327,NULL,NULL,'CENTRO','ORLEANS','SC',19824,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6267483,3.00,3.00,1.00,2.00,7.00,9.00,1.00,0.00,1.00,103,NULL,NULL,'CENTRO','S CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6267491,8.00,6.00,7.00,6.00,9.00,8.25,3.00,8.00,8.00,203,NULL,214,'ACLIMAÇÃO','S PAULO','SP',844,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6267505,3.00,5.00,0.00,4.00,6.00,5.63,2.00,1.00,1.00,211,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',19959,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267513,4.00,5.00,2.00,5.00,6.00,9.00,1.00,5.00,0.00,415,NULL,NULL,'WERNER PLAAS','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267521,2.00,5.00,3.00,4.00,5.00,7.88,0.00,2.00,2.00,444,NULL,NULL,'CAPITAIS','TIMBÓ','SC',16905,87,NULL,NULL,NULL,NULL,NULL,2,2),(25,6267530,2.00,2.00,3.00,1.00,5.00,7.50,2.00,0.00,1.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6267548,5.00,3.00,2.00,3.00,5.00,7.13,1.00,5.00,2.00,502,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16194,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267556,3.00,4.00,1.00,4.00,2.00,NULL,2.00,3.00,1.00,316,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267564,3.00,4.00,1.00,1.00,2.00,NULL,1.00,1.00,1.00,203,NULL,213,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267572,5.00,3.00,2.00,7.00,6.00,9.38,1.00,2.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',12400,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6267580,6.00,6.00,2.00,6.00,9.00,9.00,4.00,5.00,5.00,303,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',5118,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BEUNO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6267629,4.00,5.00,1.00,5.00,5.00,7.13,3.00,5.00,1.00,601,NULL,207,'SAGUAÇU','JOINVILLE','SC',12668,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6267637,3.00,3.00,0.00,1.00,7.00,NULL,1.00,0.00,2.00,319,NULL,NULL,'VILA CONCEIÇÃO','S JOÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6267645,5.00,6.00,0.00,5.00,7.00,10.50,1.00,4.00,3.00,211,NULL,216,'CENTRO','ITAPIRANGA','SC',8568,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6267653,4.00,6.00,3.00,5.00,5.00,6.38,2.00,4.00,2.00,415,NULL,NULL,'CENTRO','SOMBRIO','SC',12811,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6267661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6267670,7.00,6.00,5.00,5.00,9.00,11.25,4.00,6.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1657,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6267688,5.00,5.00,1.00,3.00,6.00,9.38,2.00,1.00,3.00,103,NULL,NULL,'CENTRO','ORLÂNDIA','SP',13728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267696,4.00,7.00,1.00,5.00,6.00,8.63,2.00,5.00,4.00,304,NULL,NULL,'CRISTO REI','CURITIBA','PR',9539,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6267700,4.00,4.00,0.00,2.00,4.00,NULL,0.00,4.00,2.00,101,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267718,3.00,5.00,4.00,4.00,2.00,NULL,0.00,0.00,2.00,201,NULL,NULL,'JARDIM ESPLANADA II','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267726,7.00,6.00,5.00,7.00,7.00,10.88,4.00,6.00,6.00,203,NULL,201,'MERCÊS','CURITIBA','PR',2048,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6267734,3.00,4.00,2.00,2.00,4.00,4.88,4.00,2.00,1.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',20938,67,NULL,NULL,NULL,NULL,NULL,4,16),(25,6267742,7.00,8.00,7.00,4.00,10.00,11.25,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','RIVERSUL','SP',937,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6267750,3.00,4.00,2.00,3.00,7.00,8.63,1.00,3.00,2.00,337,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',14966,27,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267769,7.00,7.00,1.00,6.00,8.00,8.25,1.00,3.00,6.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',6790,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6267785,5.00,8.00,3.00,4.00,5.00,8.25,2.00,3.00,3.00,501,NULL,NULL,'AREIAS','S JOSÉ','SC',12947,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267793,2.00,2.00,1.00,4.00,4.00,NULL,1.00,0.00,2.00,103,NULL,NULL,'JD PATURI','BRAGANÇA PAULISTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267807,5.00,4.00,0.00,7.00,8.00,9.38,2.00,1.00,3.00,999,NULL,NULL,'PEDRO ZANIVAN','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6267815,1.00,4.00,2.00,2.00,3.00,9.00,3.00,2.00,1.00,420,NULL,NULL,'CENTRO','BARRA VELHA','SC',19570,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6267823,4.00,3.00,1.00,2.00,4.00,9.00,1.00,0.00,2.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267831,3.00,0.00,1.00,1.00,5.00,5.25,4.00,3.00,2.00,319,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',20815,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6267840,2.00,4.00,3.00,3.00,4.00,4.50,2.00,1.00,0.00,502,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21584,62,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267858,8.00,5.00,8.00,7.00,8.00,10.88,6.00,9.00,8.00,203,NULL,214,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267866,6.00,8.00,3.00,4.00,6.00,9.00,0.00,6.00,3.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6503,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267874,3.00,6.00,4.00,6.00,6.00,8.25,2.00,6.00,7.00,201,NULL,211,'BARREIROS','S JOSÉ','SC',6182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267882,5.00,6.00,0.00,4.00,6.00,NULL,1.00,4.00,4.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6267890,7.00,5.00,4.00,7.00,11.00,10.50,1.00,6.00,4.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267904,3.00,4.00,1.00,3.00,6.00,8.63,2.00,2.00,2.00,207,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',19595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267912,6.00,5.00,2.00,7.00,9.00,8.25,2.00,7.00,7.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',5123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267947,2.00,5.00,0.00,5.00,5.00,7.13,3.00,3.00,0.00,502,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19755,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267955,3.00,4.00,1.00,6.00,8.00,8.63,1.00,5.00,6.00,108,NULL,NULL,'MORRO DA BINA','BIGUAÇU','SC',9457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267963,4.00,4.00,2.00,4.00,4.00,NULL,0.00,1.00,0.00,310,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6267971,6.00,7.00,3.00,5.00,8.00,9.00,1.00,3.00,5.00,102,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6267980,5.00,7.00,4.00,7.00,10.00,12.38,2.00,7.00,9.00,103,NULL,NULL,'SANTANA','PTO ALEGRE','RS',848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268005,7.00,7.00,2.00,6.00,9.00,7.50,2.00,5.00,9.00,220,NULL,202,'VILA NOVA','JOINVILLE','SC',3579,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6268013,4.00,3.00,1.00,4.00,4.00,9.75,0.00,4.00,3.00,211,NULL,215,'BONSUCESSO','GUARAPUAVA','PR',14382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268021,2.00,2.00,3.00,4.00,5.00,8.63,0.00,1.00,1.00,211,NULL,202,'ESTRELA','S MIGUEL OESTE','SC',20970,553,NULL,NULL,NULL,NULL,NULL,2,4),(25,6268030,2.00,4.00,1.00,1.00,4.00,5.25,0.00,1.00,1.00,653,NULL,652,'SANGAO','CRICIÚMA','SC',21758,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6268048,1.00,4.00,2.00,1.00,5.00,7.50,3.00,4.00,3.00,999,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6268064,0.00,5.00,0.00,4.00,3.00,NULL,2.00,1.00,1.00,216,NULL,215,'VILA FORMOSA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6268072,2.00,5.00,3.00,3.00,4.00,9.38,0.00,0.00,3.00,318,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',20002,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6268129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6268137,8.00,5.00,3.00,7.00,10.00,7.13,3.00,7.00,4.00,203,NULL,601,'VERA CRUZ','CRICIÚMA','SC',3630,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6268145,7.00,4.00,4.00,5.00,7.00,7.88,2.00,6.00,7.00,202,NULL,203,'ALTO DA RUA XV','CURITIBA','PR',4560,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6268153,2.00,3.00,1.00,2.00,4.00,9.00,2.00,0.00,1.00,5,NULL,NULL,'ARMAÇÃO DO PANT SUL','FLORIANÓPOLIS','SC',20640,698,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268161,8.00,3.00,6.00,5.00,7.00,11.25,3.00,5.00,3.00,201,NULL,601,'CENTRO','CASCAVEL','PR',5167,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6268170,6.00,4.00,2.00,3.00,5.00,7.50,4.00,0.00,3.00,201,NULL,202,'PERPÉTUO SOCORRO','S LOURENÇO OESTE','SC',14463,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6268188,6.00,6.00,5.00,6.00,8.00,9.75,2.00,4.00,7.00,220,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',4016,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6268196,6.00,7.00,3.00,7.00,10.00,10.13,2.00,7.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268200,5.00,5.00,1.00,6.00,7.00,12.00,2.00,5.00,5.00,415,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',8032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268218,5.00,5.00,3.00,7.00,9.00,12.00,2.00,8.00,5.00,340,NULL,NULL,'CENTRO','FARROUPILHA','RS',2700,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6268226,6.00,4.00,3.00,5.00,9.00,7.88,0.00,6.00,7.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7329,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6268234,3.00,4.00,0.00,6.00,6.00,NULL,3.00,3.00,2.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6268242,3.00,5.00,4.00,4.00,8.00,7.13,3.00,6.00,2.00,340,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268250,9.00,5.00,1.00,7.00,9.00,9.00,1.00,3.00,6.00,108,NULL,NULL,'CRISTO REI','CURITIBA','PR',4932,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6268269,5.00,3.00,3.00,5.00,8.00,6.75,2.00,5.00,3.00,420,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',11417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268285,2.00,4.00,1.00,3.00,6.00,NULL,2.00,0.00,1.00,999,NULL,NULL,'PQ AEROPORTO','TAUBATÉ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6268293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SALGADO FILHO','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6268307,4.00,3.00,0.00,2.00,9.00,7.50,2.00,4.00,1.00,207,NULL,655,'RAICHASKI','IÇARA','SC',19175,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6268315,3.00,3.00,4.00,4.00,4.00,5.25,1.00,3.00,3.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268323,7.00,5.00,5.00,6.00,8.00,10.88,4.00,6.00,7.00,103,NULL,NULL,'JD DAS PALMEIRAS','CAMPINAS','SP',1792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268331,3.00,3.00,5.00,2.00,2.00,NULL,1.00,1.00,2.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6268340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ELOY CHAVES','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6268358,1.00,5.00,3.00,7.00,4.00,7.88,0.00,2.00,3.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(25,6268366,6.00,6.00,2.00,6.00,7.00,7.50,3.00,1.00,2.00,424,NULL,425,'SÃO SEBASTIÃO','PALHOÇA','SC',12505,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6268374,4.00,5.00,2.00,5.00,6.00,8.25,0.00,1.00,0.00,108,NULL,NULL,'FLORESTA','S JOSÉ','SC',18858,279,NULL,NULL,NULL,NULL,NULL,2,1),(25,6268382,4.00,3.00,3.00,4.00,5.00,9.00,0.00,2.00,1.00,103,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',17565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268390,8.00,8.00,7.00,5.00,9.00,10.50,3.00,9.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',388,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6268404,7.00,8.00,2.00,5.00,10.00,11.63,3.00,8.00,7.00,103,NULL,NULL,'CAMOBI','STA MARIA','RS',1519,969,NULL,NULL,NULL,NULL,NULL,2,1),(25,6268420,3.00,2.00,2.00,3.00,3.00,NULL,1.00,2.00,0.00,207,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6268439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6268447,3.00,5.00,1.00,4.00,6.00,5.25,3.00,3.00,1.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17379,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6268463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUARANI','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6268480,2.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,426,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6268498,4.00,3.00,2.00,5.00,7.00,7.88,2.00,2.00,2.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14861,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6268501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6268510,3.00,6.00,4.00,4.00,6.00,NULL,0.00,5.00,4.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6268536,3.00,5.00,3.00,5.00,5.00,8.63,3.00,4.00,3.00,999,NULL,NULL,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268544,2.00,3.00,2.00,4.00,7.00,8.25,0.00,4.00,3.00,601,NULL,201,'ITINGA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6268560,8.00,7.00,5.00,5.00,9.00,10.50,5.00,8.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',509,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6268579,3.00,5.00,0.00,2.00,8.00,NULL,1.00,6.00,5.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268587,8.00,8.00,4.00,7.00,8.00,8.25,1.00,8.00,7.00,103,NULL,NULL,'DAS NAÇÕES','FRAIBURGO','SC',1837,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6268609,7.00,3.00,1.00,5.00,5.00,8.63,2.00,1.00,3.00,103,NULL,NULL,'CENTRO','MAFRA','SC',12566,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6268617,6.00,7.00,1.00,7.00,7.00,10.50,2.00,6.00,2.00,222,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268625,9.00,7.00,7.00,5.00,9.00,11.25,4.00,6.00,7.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',627,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6268633,2.00,5.00,2.00,1.00,4.00,7.88,1.00,1.00,1.00,103,NULL,NULL,'UMUARAMA','OSASCO','SP',19677,4661,NULL,NULL,NULL,NULL,NULL,2,6),(25,6268641,5.00,5.00,0.00,7.00,8.00,NULL,1.00,4.00,3.00,999,NULL,NULL,'PROGRESSO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6268650,3.00,5.00,0.00,2.00,6.00,7.50,2.00,3.00,3.00,110,NULL,NULL,'PARQUE NOVO MUNDO','AMERICANA','SP',16110,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6268668,2.00,3.00,1.00,2.00,6.00,8.63,2.00,0.00,2.00,102,NULL,NULL,'CENTRO','CURITIBA','PR',19437,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6268676,5.00,6.00,3.00,3.00,6.00,6.75,1.00,3.00,5.00,654,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268684,2.00,3.00,1.00,1.00,6.00,4.50,2.00,0.00,2.00,326,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268692,2.00,4.00,1.00,3.00,3.00,7.13,2.00,1.00,1.00,429,NULL,423,'TRINDADE','FLORIANÓPOLIS','SC',20589,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6268714,5.00,3.00,2.00,3.00,7.00,7.88,3.00,5.00,4.00,999,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268722,4.00,6.00,2.00,6.00,5.00,7.88,1.00,5.00,5.00,238,NULL,208,'CORREGO GRANDE','FLORIANÓPOLIS','SC',12379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268730,7.00,7.00,2.00,4.00,8.00,10.13,1.00,4.00,6.00,215,NULL,653,'SÃO CRISTÓVÃO','TURVO','SC',5857,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6268749,5.00,4.00,4.00,5.00,4.00,NULL,0.00,0.00,2.00,303,NULL,NULL,'BELA VISTA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6268757,6.00,7.00,0.00,4.00,10.00,9.00,1.00,6.00,4.00,304,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6268765,9.00,7.00,4.00,5.00,5.00,8.25,5.00,7.00,7.00,216,NULL,NULL,'JARDIM WITIER','PIRACICABA','SP',2194,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6268773,3.00,4.00,1.00,3.00,6.00,8.63,1.00,1.00,3.00,601,NULL,201,'BUCAREIN','JOINVILLE','SC',19795,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6268803,4.00,6.00,2.00,1.00,6.00,9.00,1.00,4.00,4.00,5,NULL,NULL,'TABULEIRO','CAMBORIÚ','SC',12830,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6268854,4.00,8.00,3.00,4.00,5.00,9.75,0.00,4.00,3.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268862,3.00,0.00,1.00,4.00,5.00,6.75,1.00,2.00,2.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',19466,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6268870,3.00,4.00,2.00,1.00,3.00,NULL,0.00,0.00,0.00,601,NULL,215,'VILA NOVA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6268889,2.00,6.00,3.00,5.00,7.00,8.25,2.00,1.00,4.00,340,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268897,5.00,2.00,2.00,3.00,6.00,8.63,2.00,4.00,0.00,103,NULL,NULL,'CENTRO','S FRANCISCO ASSIS','RS',14319,4159,NULL,NULL,NULL,NULL,NULL,2,1),(25,6268900,6.00,6.00,3.00,7.00,9.00,11.63,1.00,7.00,6.00,207,NULL,201,'PORTAL DA OLARIA','S SEBASTIÃO','SP',3238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268919,5.00,4.00,0.00,3.00,8.00,7.88,2.00,3.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6268927,3.00,2.00,2.00,6.00,6.00,NULL,0.00,5.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6268935,7.00,6.00,3.00,6.00,11.00,7.50,1.00,6.00,6.00,104,NULL,NULL,'CENTRO','STA ROSA LIMA','SC',4578,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6268943,6.00,3.00,2.00,4.00,4.00,8.63,1.00,2.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19126,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6268960,2.00,5.00,2.00,5.00,4.00,6.38,2.00,6.00,3.00,211,NULL,208,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',18161,480,NULL,463,NULL,NULL,NULL,2,1),(25,6268986,5.00,8.00,2.00,5.00,9.00,8.25,3.00,4.00,2.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7458,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6268994,5.00,6.00,4.00,5.00,7.00,9.00,1.00,1.00,4.00,212,NULL,201,'FAZENDA','ITAJAÍ','SC',12511,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6269001,8.00,7.00,5.00,6.00,9.00,9.75,1.00,5.00,6.00,103,NULL,NULL,'CENTRO','LAPA','PR',2299,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6269010,3.00,4.00,3.00,4.00,7.00,7.50,1.00,1.00,3.00,655,NULL,235,'CENTRO','VACARIA','RS',14917,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6269028,6.00,4.00,2.00,5.00,7.00,4.88,3.00,4.00,2.00,655,NULL,652,'CIDADE ALTA','ARARANGUÁ','SC',15760,72,NULL,NULL,NULL,NULL,NULL,4,15),(25,6269036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6269052,1.00,3.00,0.00,3.00,3.00,6.38,1.00,0.00,1.00,104,NULL,NULL,'CENTRO','CEL MARTINS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6269079,6.00,4.00,3.00,6.00,7.00,7.13,2.00,2.00,3.00,214,NULL,220,'CENTRO','RIO CLARO','SP',10844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269087,4.00,5.00,0.00,1.00,4.00,7.13,1.00,0.00,1.00,103,NULL,NULL,'CENTRO','S JOÃO TRIUNFO','PR',19985,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6269095,6.00,6.00,5.00,6.00,7.00,8.25,3.00,8.00,3.00,201,NULL,212,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5377,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269117,7.00,6.00,2.00,6.00,9.00,10.50,2.00,8.00,6.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269125,3.00,6.00,1.00,4.00,4.00,5.63,2.00,3.00,4.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',14584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269133,4.00,5.00,5.00,0.00,5.00,7.88,1.00,4.00,4.00,215,NULL,NULL,'SÃO JOÃO','TUBARÃO','SC',12036,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6269150,5.00,4.00,1.00,5.00,9.00,10.13,4.00,8.00,5.00,214,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',4912,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269168,3.00,4.00,2.00,4.00,3.00,7.13,2.00,4.00,2.00,429,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',19783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269176,8.00,7.00,8.00,6.00,8.00,8.63,7.00,5.00,9.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',588,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6269184,5.00,5.00,0.00,4.00,7.00,8.63,1.00,3.00,0.00,5,NULL,NULL,'ALTO DA GLÓRIA','CURITIBA','PR',14326,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6269192,4.00,3.00,2.00,7.00,8.00,7.13,3.00,4.00,2.00,202,NULL,233,'PRAIA COMPRIDA','S JOSÉ','SC',13165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269206,3.00,5.00,0.00,4.00,3.00,8.25,3.00,1.00,3.00,404,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17096,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269214,4.00,5.00,0.00,4.00,6.00,8.25,1.00,2.00,1.00,5,NULL,NULL,'PASSAGEM','TUBARÃO','SC',16042,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6269222,6.00,5.00,1.00,5.00,5.00,6.75,1.00,5.00,4.00,302,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',14452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269230,5.00,5.00,0.00,7.00,4.00,8.25,2.00,2.00,4.00,213,NULL,214,'VIGOLO','NOVA TRENTO','SC',14914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269249,7.00,7.00,3.00,5.00,8.00,11.63,2.00,6.00,5.00,207,NULL,201,'JARDIM MARABÁ','ITAPETININGA','SP',3537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269257,4.00,7.00,2.00,4.00,8.00,7.88,1.00,5.00,5.00,203,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',7426,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6269265,3.00,4.00,1.00,2.00,6.00,7.88,2.00,2.00,3.00,420,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14101,131,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269273,4.00,3.00,3.00,5.00,7.00,9.38,3.00,3.00,1.00,415,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12261,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269281,5.00,5.00,2.00,5.00,6.00,6.38,2.00,5.00,3.00,444,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',11577,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6269290,5.00,5.00,2.00,4.00,7.00,7.13,1.00,5.00,6.00,110,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',12080,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269303,5.00,8.00,4.00,6.00,9.00,10.50,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269311,6.00,4.00,2.00,2.00,6.00,10.88,1.00,4.00,3.00,420,NULL,NULL,'CENTRO','CONCHAL','SP',10955,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6269320,4.00,6.00,3.00,5.00,8.00,9.75,3.00,8.00,2.00,319,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',8970,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269338,2.00,4.00,2.00,5.00,6.00,8.63,0.00,4.00,2.00,109,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'LAGOINHA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6269362,7.00,6.00,7.00,7.00,10.00,9.75,4.00,7.00,6.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269370,2.00,3.00,3.00,3.00,4.00,7.50,0.00,4.00,1.00,201,NULL,207,'CAMPINAS','S JOSÉ','SC',19454,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6269397,7.00,6.00,3.00,4.00,7.00,9.38,0.00,4.00,2.00,203,NULL,214,'SERTÃO DO MARUIM','S JOSÉ','SC',9964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269400,7.00,7.00,6.00,5.00,7.00,7.50,4.00,7.00,7.00,233,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',2737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269427,6.00,4.00,4.00,3.00,7.00,7.50,3.00,5.00,4.00,601,NULL,203,'CENTRO','JOINVILLE','SC',12254,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6269435,8.00,6.00,8.00,7.00,8.00,9.00,7.00,7.00,7.00,220,NULL,235,'PIO CORREA','CRICIÚMA','SC',727,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6269443,8.00,7.00,2.00,5.00,9.00,8.63,1.00,6.00,7.00,203,NULL,201,'RACHADEL','ANTÔNIO CARLOS','SC',5234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269451,3.00,1.00,2.00,3.00,3.00,NULL,0.00,3.00,0.00,999,NULL,NULL,'ALTO BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269460,7.00,6.00,3.00,3.00,8.00,7.88,0.00,7.00,3.00,415,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269478,2.00,4.00,2.00,3.00,8.00,7.88,3.00,3.00,0.00,302,NULL,NULL,'AREIAS','S JOSÉ','SC',18930,166,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269486,3.00,6.00,4.00,6.00,8.00,9.00,1.00,3.00,5.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',6650,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269494,4.00,4.00,4.00,3.00,7.00,9.00,1.00,0.00,4.00,653,NULL,601,'CLAUDETE','CASCAVEL','PR',12950,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6269508,2.00,3.00,2.00,7.00,6.00,6.75,4.00,3.00,4.00,235,NULL,203,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12616,291,NULL,830,NULL,NULL,NULL,2,1),(25,6269516,3.00,5.00,3.00,0.00,2.00,NULL,5.00,3.00,1.00,103,NULL,NULL,'NAÇÕES','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6269524,5.00,3.00,3.00,6.00,10.00,10.88,2.00,3.00,5.00,303,NULL,NULL,'CENTRO','CHAPECÓ','SC',5688,NULL,NULL,NULL,NULL,NULL,NULL,3,4),(25,6269532,9.00,6.00,4.00,7.00,10.00,9.75,3.00,8.00,8.00,103,NULL,NULL,'CAMAQUÃ','PTO ALEGRE','RS',529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269540,2.00,5.00,0.00,3.00,3.00,0.00,2.00,0.00,2.00,319,NULL,NULL,'N S ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269567,7.00,9.00,3.00,6.00,10.00,11.25,3.00,7.00,4.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269575,5.00,8.00,2.00,6.00,8.00,12.75,0.00,6.00,5.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',3165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269583,4.00,6.00,0.00,5.00,9.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6269591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PLTO PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6269605,6.00,5.00,7.00,5.00,7.00,8.63,4.00,5.00,8.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',3001,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269613,5.00,7.00,5.00,6.00,8.00,9.00,1.00,5.00,6.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',4812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269621,6.00,5.00,4.00,7.00,8.00,6.38,2.00,2.00,2.00,207,NULL,201,'CENTRO','RIBEIRÃO PRETO','SP',9022,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269630,2.00,3.00,2.00,3.00,4.00,8.63,2.00,4.00,0.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269648,2.00,1.00,1.00,3.00,5.00,7.50,3.00,0.00,3.00,104,NULL,NULL,'VILA RAU','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6269656,3.00,4.00,1.00,2.00,5.00,8.25,3.00,2.00,4.00,336,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',18894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269664,2.00,4.00,1.00,1.00,4.00,8.25,1.00,1.00,0.00,238,NULL,208,'MONTE VERDE','FLORIANÓPOLIS','SC',21606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269672,4.00,7.00,3.00,5.00,8.00,7.13,1.00,5.00,5.00,201,NULL,207,'TRINDADE','FLORIANÓPOLIS','SC',7726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269680,4.00,6.00,1.00,4.00,9.00,7.13,1.00,6.00,5.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',9508,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6269699,1.00,2.00,4.00,0.00,3.00,NULL,1.00,0.00,0.00,652,NULL,655,'RAICHASKI','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6269702,5.00,5.00,3.00,2.00,3.00,5.25,2.00,0.00,1.00,215,NULL,216,'SÃO CRISTOVÃO','LAGES','SC',20736,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6269710,4.00,5.00,3.00,4.00,5.00,7.50,2.00,4.00,1.00,302,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',18245,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','STO ANTÔNIO PLANALTO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6269737,4.00,4.00,1.00,5.00,4.00,6.75,2.00,3.00,1.00,103,NULL,NULL,'BRUSQUE','LAGES','SC',17309,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6269753,4.00,4.00,2.00,6.00,8.00,7.88,1.00,2.00,4.00,333,NULL,NULL,'JARDIM IRAPUÃ','TABOÃO SERRA','SP',13809,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6269761,3.00,4.00,1.00,2.00,4.00,8.25,2.00,2.00,3.00,327,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',20416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269770,6.00,7.00,2.00,4.00,5.00,10.50,1.00,5.00,5.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6269796,4.00,5.00,5.00,5.00,7.00,7.13,4.00,6.00,4.00,340,NULL,NULL,'GARCIA','BLUMENAU','SC',7749,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6269818,5.00,7.00,5.00,3.00,5.00,7.13,2.00,4.00,6.00,108,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',8281,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269826,0.00,2.00,1.00,2.00,4.00,NULL,0.00,1.00,0.00,309,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269834,3.00,3.00,0.00,3.00,6.00,6.38,0.00,4.00,4.00,5,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',19048,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'PRINCESA','CARAZINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6269850,5.00,5.00,2.00,5.00,6.00,9.38,1.00,5.00,6.00,999,NULL,NULL,'HIGIENÓPOLIS','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6269869,3.00,5.00,3.00,2.00,9.00,4.88,0.00,4.00,1.00,208,NULL,238,'CAMPINAS','S JOSÉ','SC',17406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269877,1.00,3.00,2.00,3.00,6.00,5.63,1.00,1.00,1.00,208,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',21537,601,NULL,NULL,NULL,NULL,NULL,2,1),(25,6269893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD PORTO ALEGRE','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6269907,3.00,4.00,1.00,1.00,6.00,9.00,2.00,2.00,2.00,453,NULL,NULL,'UNIVERSITÁRIO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6269915,6.00,5.00,3.00,7.00,8.00,11.63,3.00,6.00,5.00,452,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',4393,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6269923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'SANTA CRUZ','GRAVATAÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6269940,5.00,6.00,4.00,6.00,7.00,7.88,4.00,5.00,2.00,450,NULL,NULL,'CIDADE JARDIM','ARARAQUARA','SP',6752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269958,3.00,5.00,3.00,5.00,7.00,9.00,3.00,3.00,2.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269966,4.00,4.00,3.00,5.00,9.00,8.25,2.00,6.00,4.00,103,NULL,NULL,'JARDIM SILVANA','IÇARA','SC',8383,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6269974,7.00,5.00,4.00,6.00,9.00,12.38,1.00,3.00,2.00,420,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',6345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6269990,9.00,6.00,8.00,7.00,8.00,6.38,5.00,6.00,9.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270000,2.00,4.00,3.00,4.00,6.00,6.38,0.00,3.00,1.00,319,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6270018,5.00,6.00,3.00,4.00,8.00,7.13,0.00,5.00,2.00,108,NULL,NULL,'CENTRO','S BENTO SUL','SC',10370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6270034,3.00,3.00,3.00,1.00,4.00,6.75,2.00,2.00,1.00,103,NULL,NULL,'SANTO ANTONIO','CAMPOS NOVOS','SC',21056,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6270042,7.00,7.00,5.00,7.00,10.00,11.63,2.00,2.00,8.00,203,NULL,201,'SÃO CRISTÓVÃO','CHAPECÓ','SC',2265,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6270050,9.00,6.00,7.00,7.00,8.00,7.13,3.00,6.00,6.00,203,NULL,202,'TARUMÃ','CURITIBA','PR',1380,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6270069,3.00,6.00,5.00,6.00,7.00,10.50,2.00,6.00,6.00,301,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',5490,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6270077,4.00,3.00,1.00,4.00,6.00,6.38,0.00,3.00,3.00,5,NULL,NULL,'CENTRO','PASSO FUNDO','RS',17122,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6270093,2.00,5.00,1.00,4.00,6.00,7.50,4.00,2.00,2.00,999,NULL,NULL,'VICTOR KONDER','TAIÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270107,2.00,3.00,1.00,2.00,5.00,7.50,0.00,3.00,2.00,319,NULL,NULL,'CENTRO','AURORA','SC',18729,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6270115,4.00,3.00,1.00,4.00,6.00,8.63,0.00,1.00,0.00,501,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',18379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270123,8.00,6.00,3.00,6.00,9.00,9.38,6.00,6.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270131,1.00,0.00,2.00,1.00,3.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6270140,2.00,2.00,1.00,1.00,3.00,8.25,1.00,2.00,1.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',20766,4745,NULL,NULL,NULL,NULL,NULL,2,6),(25,6270158,7.00,5.00,5.00,6.00,10.00,10.50,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270166,4.00,3.00,1.00,3.00,7.00,NULL,0.00,4.00,1.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6270174,1.00,1.00,0.00,0.00,3.00,NULL,3.00,1.00,0.00,423,NULL,428,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6270182,4.00,6.00,1.00,3.00,10.00,10.50,0.00,4.00,4.00,207,NULL,201,'RIO NEGRO','S BENTO SUL','SC',10548,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6270190,2.00,1.00,0.00,3.00,5.00,7.50,2.00,0.00,2.00,503,NULL,NULL,'N SENHORA DO ROSÁRIO','S JOSÉ','SC',19871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6270204,4.00,7.00,3.00,6.00,10.00,NULL,2.00,6.00,0.00,235,NULL,238,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270212,3.00,3.00,3.00,4.00,5.00,10.13,2.00,1.00,4.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',15971,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6270220,9.00,6.00,3.00,6.00,9.00,8.63,6.00,4.00,7.00,203,NULL,214,'JARDIM DAS AMERICAS','CURITIBA','PR',2044,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6270239,3.00,7.00,2.00,6.00,7.00,10.13,2.00,7.00,3.00,303,NULL,NULL,'GARCIA','BLUMENAU','SC',8947,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6270247,3.00,7.00,3.00,4.00,6.00,5.63,2.00,4.00,3.00,404,NULL,NULL,'ITACURUBI','FLORIANÓPOLIS','SC',13932,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6270263,3.00,3.00,1.00,5.00,6.00,NULL,0.00,2.00,5.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270271,5.00,7.00,1.00,6.00,8.00,10.50,3.00,2.00,7.00,207,NULL,216,'ALTO DA GLÓRIA','CURITIBA','PR',6647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270280,3.00,6.00,2.00,5.00,8.00,7.88,1.00,4.00,1.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13504,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6270298,7.00,6.00,7.00,7.00,9.00,7.50,3.00,6.00,7.00,220,NULL,235,'JARDIM CENTRAL','DOURADOS','MS',1767,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6270301,5.00,6.00,4.00,5.00,8.00,10.88,2.00,5.00,5.00,415,NULL,NULL,'BARRANCO','TAUBATÉ','SP',6732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270328,3.00,3.00,0.00,2.00,3.00,6.00,2.00,2.00,1.00,302,NULL,NULL,'JARDIM SAO MIGUEL','BIGUAÇU','SC',20881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270344,6.00,7.00,2.00,5.00,8.00,7.88,2.00,6.00,1.00,333,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',8481,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6270360,6.00,8.00,4.00,6.00,8.00,11.25,4.00,6.00,5.00,201,NULL,211,'REAL PARQUE','S JOSÉ','SC',2069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270387,5.00,6.00,3.00,2.00,6.00,10.13,0.00,1.00,3.00,427,NULL,421,'CENTRO','STO AMARO IMPERATRIZ','SC',12933,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6270395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','PRIMAVERA LESTE','MT',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6270409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'RONDA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6270417,2.00,5.00,1.00,6.00,7.00,11.63,2.00,4.00,5.00,340,NULL,NULL,'CENTRO','ARARAQUARA','SP',8421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270425,6.00,4.00,2.00,7.00,9.00,NULL,0.00,4.00,3.00,216,NULL,220,'SÃO JORGE','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6270441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,216,'CENTRO','GARUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6270450,6.00,6.00,2.00,6.00,9.00,9.38,2.00,7.00,5.00,304,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',3088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270468,4.00,5.00,4.00,7.00,9.00,9.75,2.00,8.00,5.00,999,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6270492,5.00,4.00,1.00,7.00,7.00,7.50,1.00,5.00,4.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',9471,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6270514,3.00,4.00,3.00,3.00,3.00,6.75,0.00,2.00,3.00,329,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19186,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6270522,4.00,5.00,1.00,3.00,7.00,7.88,2.00,6.00,2.00,208,NULL,238,'PICADAS DO SUL','S JOSÉ','SC',15934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6270530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','VARGEM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6270549,3.00,5.00,1.00,3.00,5.00,7.88,0.00,2.00,3.00,103,NULL,NULL,'FÁTIMA','JOINVILLE','SC',17848,4510,NULL,NULL,NULL,NULL,NULL,4,8),(25,6270565,0.00,2.00,1.00,0.00,1.00,NULL,1.00,0.00,0.00,211,NULL,233,'VILA JARDIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270573,3.00,6.00,0.00,3.00,7.00,9.38,0.00,2.00,1.00,104,NULL,NULL,'CENTRO','ITAJAÍ','SC',19321,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6270590,8.00,7.00,3.00,7.00,9.00,10.13,1.00,4.00,6.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',3227,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6270603,6.00,4.00,6.00,6.00,5.00,12.00,3.00,4.00,4.00,450,NULL,NULL,'CENTRO','PNT GROSSA','PR',6236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270611,3.00,4.00,0.00,4.00,3.00,NULL,1.00,2.00,2.00,429,NULL,424,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6270638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6270646,5.00,6.00,1.00,4.00,4.00,7.13,0.00,2.00,1.00,203,NULL,NULL,'QUATRO IRMAOS','PTE SERRADA','SC',19982,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6270654,7.00,2.00,5.00,2.00,6.00,10.13,0.00,4.00,7.00,203,NULL,220,'CENTRO','CURITIBA','PR',7534,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6270662,6.00,6.00,1.00,3.00,7.00,9.38,2.00,4.00,6.00,205,NULL,NULL,'TESTO REGA','POMERODE','SC',9150,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6270670,5.00,4.00,4.00,3.00,10.00,7.50,0.00,4.00,3.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',9159,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6270689,4.00,6.00,3.00,4.00,5.00,6.38,0.00,1.00,3.00,215,NULL,207,'ARIRIÚ','PALHOÇA','SC',19404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6270697,5.00,6.00,4.00,6.00,8.00,6.00,2.00,5.00,2.00,601,NULL,212,'CENTRO','URUSSANGA','SC',10324,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6270700,5.00,4.00,3.00,4.00,7.00,7.13,2.00,4.00,2.00,333,NULL,NULL,'AGRANÔMICA','FLORIANÓPOLIS','SC',11679,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6270719,8.00,7.00,5.00,7.00,8.00,10.13,7.00,8.00,7.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',541,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6270727,4.00,3.00,2.00,2.00,4.00,6.75,2.00,4.00,1.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',19017,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6270735,2.00,3.00,1.00,5.00,4.00,8.25,2.00,4.00,4.00,238,NULL,208,'KOBRASOL','S JOSÉ','SC',15714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270743,5.00,7.00,3.00,6.00,7.00,13.50,2.00,6.00,6.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270751,6.00,2.00,1.00,6.00,8.00,8.63,3.00,2.00,1.00,301,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',15378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270760,5.00,5.00,2.00,2.00,9.00,10.13,1.00,5.00,5.00,319,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',8906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6270778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'POVOMENTO','ANITÁPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6270786,4.00,3.00,2.00,3.00,7.00,7.13,2.00,0.00,1.00,201,NULL,207,'CORAL','LAGES','SC',20439,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6270794,2.00,6.00,0.00,4.00,2.00,NULL,2.00,3.00,5.00,423,NULL,428,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6270808,1.00,5.00,0.00,2.00,7.00,NULL,0.00,3.00,2.00,207,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270816,3.00,5.00,3.00,1.00,6.00,NULL,0.00,2.00,0.00,415,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270824,4.00,2.00,2.00,5.00,4.00,6.00,1.00,3.00,2.00,601,NULL,203,'ANITA GARIBALDI','JOINVILLE','SC',19796,556,NULL,1097,NULL,NULL,NULL,4,8),(25,6270832,2.00,4.00,2.00,2.00,8.00,5.25,3.00,2.00,2.00,319,NULL,NULL,'SAN CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC',20278,429,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6270859,5.00,2.00,1.00,6.00,6.00,7.88,1.00,3.00,2.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6270875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ITUMBIARA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6270891,5.00,7.00,2.00,7.00,9.00,7.88,2.00,3.00,3.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270905,8.00,7.00,1.00,4.00,8.00,9.00,0.00,5.00,6.00,103,NULL,NULL,'COESTER','FERNANDÓPOLIS','SP',5585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270913,2.00,0.00,1.00,2.00,3.00,6.75,0.00,1.00,0.00,415,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6270921,3.00,4.00,1.00,5.00,7.00,4.50,3.00,1.00,4.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',17523,385,NULL,NULL,NULL,NULL,NULL,2,1),(25,6270930,4.00,3.00,3.00,3.00,5.00,7.88,3.00,4.00,1.00,326,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',15251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270948,2.00,6.00,1.00,5.00,7.00,7.13,1.00,3.00,3.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6270956,6.00,7.00,3.00,5.00,7.00,6.38,3.00,7.00,3.00,103,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',8102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270972,2.00,6.00,0.00,4.00,8.00,7.13,1.00,3.00,3.00,211,NULL,233,'COLONINHA','FLORIANÓPOLIS','SC',12601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6270999,8.00,4.00,2.00,7.00,6.00,6.75,1.00,6.00,7.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',6576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271006,4.00,5.00,2.00,2.00,2.00,NULL,1.00,1.00,1.00,104,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6271014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','STO ANTÔNIO PLANALTO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6271022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6271049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6271057,8.00,4.00,0.00,6.00,8.00,NULL,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6271065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PAULISTANO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6271073,1.00,1.00,1.00,3.00,4.00,NULL,1.00,0.00,2.00,201,NULL,653,'HUMAITA DE CIMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6271103,3.00,5.00,3.00,5.00,8.00,NULL,3.00,3.00,4.00,999,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6271111,8.00,5.00,4.00,7.00,7.00,7.88,2.00,7.00,7.00,103,NULL,NULL,'CENTRO','WESTFÁLIA','RS',2930,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6271120,3.00,2.00,3.00,3.00,1.00,NULL,0.00,4.00,0.00,444,NULL,NULL,'JARDIM CIDADE FLORIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271138,5.00,7.00,3.00,5.00,5.00,6.75,4.00,5.00,2.00,234,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12763,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6271146,4.00,6.00,1.00,4.00,5.00,5.63,2.00,2.00,1.00,103,NULL,NULL,'SÃO FRANCISCO','CEL FREITAS','SC',19950,4684,NULL,NULL,NULL,NULL,NULL,2,4),(25,6271162,1.00,5.00,1.00,2.00,5.00,6.75,1.00,6.00,1.00,444,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6271170,3.00,2.00,1.00,5.00,5.00,8.63,3.00,5.00,3.00,336,NULL,NULL,'STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC',16975,138,NULL,NULL,NULL,NULL,NULL,2,1),(25,6271189,5.00,5.00,2.00,3.00,6.00,7.13,1.00,1.00,2.00,109,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14911,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6271197,7.00,6.00,3.00,5.00,9.00,8.25,1.00,3.00,4.00,319,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',7846,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6271200,7.00,7.00,4.00,5.00,10.00,12.38,4.00,6.00,6.00,220,NULL,235,'NSSA SRA DE LOURDES','STA MARIA','RS',1072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271219,1.00,5.00,1.00,1.00,3.00,NULL,0.00,1.00,1.00,104,NULL,NULL,'PRESIDENTE MEDICE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6271227,7.00,7.00,2.00,7.00,8.00,5.25,2.00,5.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271235,1.00,2.00,1.00,4.00,6.00,7.13,1.00,2.00,0.00,444,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',21255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271243,7.00,8.00,1.00,5.00,10.00,9.38,4.00,5.00,6.00,501,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',3939,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6271251,2.00,5.00,2.00,3.00,7.00,8.63,1.00,1.00,3.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',16155,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6271260,3.00,5.00,1.00,5.00,9.00,9.75,3.00,2.00,1.00,208,NULL,238,'BELA VISTA','S JOSÉ','SC',14662,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6271278,7.00,5.00,3.00,6.00,8.00,9.75,2.00,4.00,3.00,3,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',7697,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6271286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TOMÁZ COELHO','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6271294,5.00,6.00,0.00,5.00,9.00,6.75,2.00,7.00,5.00,304,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271308,6.00,8.00,3.00,7.00,8.00,7.88,3.00,7.00,6.00,203,NULL,220,'PETRÓPOLIS','LAGES','SC',3801,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6271316,1.00,3.00,2.00,3.00,4.00,8.63,1.00,1.00,4.00,108,NULL,NULL,'CENTRO','TURVO','SC',17899,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6271332,7.00,5.00,3.00,7.00,9.00,10.50,1.00,5.00,4.00,340,NULL,NULL,'VILA SÃO JOSÉ','TAUBATÉ','SP',4849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271340,8.00,6.00,5.00,5.00,9.00,9.75,5.00,8.00,8.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6271383,3.00,5.00,1.00,2.00,3.00,9.00,1.00,2.00,0.00,551,NULL,NULL,'BRUSQUE','LAGES','SC',17751,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6271391,7.00,6.00,5.00,3.00,8.00,11.25,3.00,7.00,5.00,415,NULL,NULL,'CENTRO','COLINA','SP',2422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271405,4.00,7.00,2.00,3.00,7.00,7.50,1.00,5.00,2.00,420,NULL,NULL,'IMPERIAL','VACARIA','RS',11844,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6271413,0.00,0.00,0.00,4.00,10.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6271421,7.00,5.00,0.00,4.00,8.00,NULL,2.00,4.00,1.00,103,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6271430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6271448,1.00,4.00,1.00,2.00,3.00,6.38,2.00,2.00,2.00,654,NULL,NULL,'CENTRO','IRACEMINHA','SC',21473,89,NULL,NULL,NULL,NULL,NULL,4,4),(25,6271464,4.00,2.00,2.00,1.00,6.00,8.25,1.00,2.00,2.00,999,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271472,6.00,5.00,3.00,6.00,8.00,9.38,1.00,5.00,3.00,333,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',7028,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6271480,7.00,5.00,6.00,7.00,6.00,8.25,1.00,6.00,7.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',5000,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6271499,4.00,7.00,6.00,4.00,10.00,10.50,1.00,8.00,5.00,303,NULL,NULL,'ALVORADA','OSVALDO CRUZ','SP',2979,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6271502,3.00,7.00,3.00,4.00,6.00,6.75,1.00,1.00,4.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',14906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6271510,4.00,7.00,3.00,8.00,10.00,7.50,0.00,5.00,4.00,104,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271529,4.00,3.00,2.00,3.00,8.00,7.13,2.00,3.00,4.00,238,NULL,208,'VENDAVAL','BIGUAÇU','SC',15139,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6271537,7.00,5.00,2.00,3.00,7.00,8.63,2.00,5.00,4.00,101,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',9995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6271545,4.00,5.00,3.00,3.00,6.00,7.88,2.00,5.00,1.00,303,NULL,NULL,'NOVA OURINHOS','OURINHOS','SP',11703,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6271553,1.00,4.00,2.00,2.00,5.00,9.75,2.00,1.00,3.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',17190,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6271561,3.00,6.00,2.00,3.00,7.00,7.88,1.00,4.00,3.00,9,NULL,NULL,'CENTRO','CRICIÚMA','SC',16001,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6271570,1.00,2.00,2.00,1.00,2.00,NULL,0.00,2.00,2.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271588,3.00,4.00,1.00,4.00,7.00,7.50,3.00,1.00,2.00,101,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6271596,3.00,3.00,3.00,5.00,6.00,9.75,1.00,3.00,2.00,999,NULL,NULL,'CASTELO BRANCO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6271600,4.00,6.00,4.00,6.00,7.00,7.50,0.00,3.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',10726,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6271618,8.00,5.00,5.00,8.00,9.00,9.00,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',2068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271626,2.00,4.00,1.00,2.00,2.00,NULL,0.00,3.00,1.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271634,4.00,6.00,2.00,5.00,7.00,6.38,0.00,5.00,2.00,201,NULL,601,'CENTRO','CRICIÚMA','SC',12608,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6271642,3.00,4.00,0.00,2.00,7.00,NULL,1.00,0.00,1.00,101,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271650,7.00,4.00,1.00,5.00,7.00,8.25,5.00,5.00,5.00,5,NULL,NULL,'NOSSA SENHORA DO PER','TELÊMACO BORBA','PR',7095,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6271677,5.00,4.00,1.00,3.00,5.00,8.25,0.00,0.00,2.00,444,NULL,NULL,'CENTRO','PRES CASTELO BRANCO','SC',19986,138,NULL,NULL,NULL,NULL,NULL,2,7),(25,6271685,9.00,0.00,5.00,4.00,10.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6271693,4.00,7.00,2.00,4.00,6.00,7.88,2.00,1.00,3.00,302,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',14524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6271707,4.00,4.00,2.00,5.00,5.00,10.13,1.00,4.00,2.00,340,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271731,7.00,5.00,4.00,7.00,8.00,9.00,2.00,7.00,7.00,103,NULL,NULL,'DISTRITO INDUSTRIAL','RIO BRANCO','AC',2923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271740,5.00,6.00,0.00,5.00,5.00,NULL,2.00,6.00,2.00,999,NULL,NULL,'BALNEÁRIO DO ESTREIT','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271758,7.00,5.00,7.00,6.00,5.00,8.25,4.00,4.00,7.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',3300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'JARDIM DAS NAÇÕES','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6271774,4.00,6.00,3.00,6.00,6.00,8.63,2.00,2.00,0.00,216,NULL,215,'FANNY','CURITIBA','PR',10572,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(25,6271782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'DOS MUNICÍPIOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6271790,2.00,1.00,0.00,1.00,3.00,3.75,1.00,0.00,1.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271804,6.00,6.00,6.00,6.00,10.00,8.25,2.00,4.00,9.00,103,NULL,NULL,'JARDIM ABC','DIADEMA','SP',3492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271812,6.00,7.00,3.00,3.00,8.00,9.38,1.00,2.00,9.00,103,NULL,NULL,'VILA GUARANI','S PAULO','SP',6603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271820,4.00,4.00,3.00,4.00,5.00,8.25,2.00,2.00,2.00,202,NULL,213,'BELA VISTA','ERECHIM','RS',14245,440,NULL,204,NULL,NULL,NULL,4,7),(25,6271847,5.00,6.00,3.00,6.00,9.00,12.75,2.00,5.00,6.00,216,NULL,601,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',3534,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6271880,3.00,3.00,1.00,3.00,6.00,10.13,2.00,3.00,3.00,212,NULL,201,'JARDIM SÃO PAULO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271898,7.00,6.00,3.00,7.00,8.00,10.88,3.00,4.00,4.00,310,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',3958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271901,6.00,6.00,0.00,2.00,4.00,7.88,2.00,4.00,2.00,203,NULL,233,'FLORESTA','S JOSÉ','SC',16850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6271910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'JARDIM ITALIA','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6271928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO BERNARDO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6271936,2.00,4.00,4.00,6.00,5.00,7.50,1.00,1.00,2.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',16912,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6271944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6271952,4.00,5.00,1.00,3.00,6.00,10.13,3.00,3.00,3.00,208,NULL,238,'CENTRO','S MIGUEL OESTE','SC',11294,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6271960,5.00,5.00,1.00,7.00,8.00,11.63,3.00,3.00,4.00,207,NULL,233,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',5637,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6271979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'HIGIENÓPOLIS','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6271987,1.00,0.00,1.00,4.00,6.00,7.13,2.00,0.00,0.00,201,NULL,212,'VARGEM DO CEDRO','S MARTINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6272002,6.00,4.00,1.00,4.00,9.00,7.50,1.00,3.00,5.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',10090,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272010,2.00,4.00,2.00,6.00,7.00,9.75,0.00,2.00,3.00,316,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272037,4.00,6.00,1.00,6.00,8.00,6.38,2.00,2.00,3.00,211,NULL,207,'JARDIM CASTELO','SANTOS','SP',12932,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6272045,4.00,6.00,3.00,6.00,8.00,8.25,1.00,5.00,4.00,203,NULL,216,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',10913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272053,3.00,5.00,1.00,4.00,3.00,7.13,2.00,3.00,3.00,336,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16667,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272061,6.00,3.00,1.00,2.00,7.00,10.13,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',8507,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6272070,2.00,3.00,1.00,6.00,5.00,7.50,2.00,4.00,1.00,301,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',19809,281,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM LUSITÂNIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6272118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','MINEIROS','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6272126,3.00,0.00,3.00,6.00,6.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6272134,7.00,5.00,3.00,5.00,10.00,11.25,2.00,8.00,8.00,103,NULL,NULL,'CENTRO','CAIBATÉ','RS',1956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272142,8.00,8.00,4.00,6.00,9.00,11.63,6.00,8.00,8.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272150,6.00,4.00,1.00,5.00,6.00,9.38,2.00,4.00,4.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',10561,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272169,5.00,5.00,1.00,7.00,9.00,9.75,1.00,3.00,6.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',6820,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6272177,4.00,5.00,2.00,3.00,7.00,9.75,2.00,4.00,1.00,999,NULL,NULL,'STO ANTÔNIO DE PÁDUA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6272185,7.00,7.00,2.00,6.00,9.00,8.25,3.00,7.00,8.00,103,NULL,NULL,'CARANDÁ BOSQUE II','CPO GRANDE','MS',2562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272193,6.00,6.00,3.00,3.00,9.00,12.00,3.00,5.00,6.00,220,NULL,216,'JARDIM EUROPA','OURINHOS','SP',4625,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6272207,6.00,5.00,3.00,5.00,9.00,10.50,3.00,7.00,5.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272215,4.00,5.00,2.00,6.00,8.00,8.25,1.00,1.00,2.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15942,155,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272223,6.00,5.00,3.00,6.00,9.00,8.63,1.00,3.00,6.00,103,NULL,NULL,'VILA SOFIA','S PAULO','SP',5454,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6272231,5.00,5.00,3.00,5.00,7.00,7.50,1.00,6.00,3.00,201,NULL,208,'PANTANAL','FLORIANÓPOLIS','SC',10598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272240,2.00,3.00,4.00,1.00,4.00,NULL,3.00,2.00,0.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'QUEBEC','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6272266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'CENTRO','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6272274,6.00,5.00,2.00,2.00,7.00,12.38,1.00,2.00,2.00,451,NULL,NULL,'JARDIM INDEPENDENCIA','RIBEIRÃO PRETO','SP',11284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272282,3.00,5.00,2.00,4.00,6.00,10.88,1.00,1.00,3.00,428,NULL,425,'FLORIANÓPOLIS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272290,6.00,5.00,3.00,6.00,9.00,7.88,3.00,5.00,4.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',5704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272304,5.00,7.00,3.00,6.00,6.00,7.88,1.00,6.00,3.00,318,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272312,6.00,5.00,2.00,7.00,8.00,6.00,2.00,2.00,3.00,216,NULL,211,'PIO X','CAXIAS SUL','RS',11783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CUMBICA','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6272339,8.00,7.00,3.00,5.00,7.00,8.25,4.00,6.00,8.00,103,NULL,NULL,'RESIDENCIAL IMPACEL','ARAPOTI','PR',1900,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6272347,3.00,4.00,2.00,7.00,6.00,10.13,2.00,2.00,1.00,5,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272355,5.00,6.00,1.00,3.00,7.00,11.63,1.00,5.00,3.00,333,NULL,NULL,'CENTRO','LAGES','SC',12106,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6272363,3.00,3.00,2.00,2.00,7.00,8.25,3.00,3.00,3.00,207,NULL,201,'PASSO DOS FORTES','CHAPECÓ','SC',18042,975,NULL,1496,NULL,NULL,NULL,4,4),(25,6272371,3.00,5.00,3.00,3.00,7.00,7.50,3.00,5.00,2.00,301,NULL,NULL,'MIRIM','IMBITUBA','SC',14309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272380,6.00,4.00,3.00,6.00,7.00,8.25,5.00,3.00,5.00,201,NULL,203,'PONTA DE BAIXO','S JOSÉ','SC',5658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272398,2.00,1.00,2.00,2.00,5.00,6.75,2.00,0.00,1.00,9,NULL,NULL,'SOLEMAR','S JOSÉ','SC',21726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272410,5.00,0.00,2.00,6.00,5.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'LAGO SUL','LG SUL','DF',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6272428,2.00,5.00,2.00,2.00,6.00,9.75,2.00,2.00,0.00,211,NULL,201,'RIO SÃO JOÃO','S MARTINHO','SC',17069,445,NULL,1429,NULL,NULL,NULL,2,10),(25,6272444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,215,'CENTRO','MARCELINO RAMOS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6272452,3.00,3.00,1.00,5.00,5.00,9.00,0.00,4.00,2.00,601,NULL,233,'CAMPECHE','FLORIANÓPOLIS','SC',18613,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272460,3.00,4.00,7.00,5.00,5.00,6.75,2.00,5.00,5.00,333,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272495,5.00,5.00,2.00,6.00,8.00,8.25,0.00,5.00,4.00,207,NULL,235,'ARIRIÚ','PALHOÇA','SC',8220,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6272517,3.00,4.00,1.00,2.00,6.00,7.88,2.00,1.00,2.00,224,NULL,NULL,'FIGUEIRA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6272525,4.00,4.00,1.00,1.00,6.00,7.13,1.00,1.00,2.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',20892,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6272533,7.00,7.00,7.00,4.00,10.00,10.13,4.00,7.00,7.00,304,NULL,NULL,'MOISÉS MIGUEL HADDAD','S JOSÉ R PRETO','SP',957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272541,4.00,4.00,2.00,3.00,5.00,7.13,0.00,1.00,1.00,101,NULL,NULL,'IPIRANGA','S JOSÉ','SC',18870,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272550,4.00,0.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6272568,2.00,7.00,1.00,5.00,5.00,8.25,3.00,4.00,1.00,655,NULL,652,'SANTA BARBARA','CRICIÚMA','SC',16261,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6272584,7.00,7.00,7.00,7.00,7.00,9.38,5.00,8.00,7.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',1346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272592,5.00,5.00,2.00,3.00,6.00,7.88,2.00,3.00,4.00,110,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15226,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272606,6.00,4.00,2.00,4.00,6.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'RIOS','BARRETOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272622,9.00,5.00,3.00,7.00,10.00,8.25,2.00,6.00,7.00,108,NULL,NULL,'JARDIM EUROPA','BAURU','SP',2156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272630,3.00,4.00,1.00,3.00,5.00,5.63,1.00,4.00,2.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272649,4.00,4.00,2.00,3.00,6.00,7.13,3.00,3.00,1.00,216,NULL,NULL,'JARDIM DOS PRINCIPES','UMUARAMA','PR',14907,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6272657,3.00,3.00,3.00,5.00,5.00,6.00,3.00,2.00,3.00,336,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',16143,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6272665,5.00,5.00,3.00,5.00,6.00,7.50,2.00,4.00,3.00,216,NULL,202,'JARDIM TUPANCERETAN','PARANAVAÍ','PR',10960,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6272690,3.00,3.00,2.00,4.00,5.00,7.50,2.00,2.00,2.00,339,NULL,NULL,'LISBOA','S JOSÉ','SC',17452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272703,4.00,5.00,3.00,5.00,8.00,6.00,2.00,4.00,2.00,207,NULL,235,'KOBRASOL','S JOSÉ','SC',13330,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272711,3.00,7.00,2.00,5.00,6.00,10.13,3.00,3.00,3.00,503,NULL,NULL,'SANTOS DUMMONT','S JOSÉ','SC',12825,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272720,5.00,6.00,0.00,1.00,8.00,8.25,3.00,3.00,1.00,501,NULL,NULL,'BARREIROS','S JOSÉ','SC',13669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272738,7.00,3.00,0.00,3.00,5.00,8.25,1.00,5.00,4.00,503,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272746,2.00,6.00,1.00,1.00,7.00,NULL,0.00,1.00,1.00,324,NULL,NULL,'GOV CELSO RAMOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272754,3.00,2.00,0.00,1.00,3.00,9.00,2.00,3.00,1.00,453,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',21332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CTA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6272770,1.00,3.00,1.00,5.00,5.00,7.13,1.00,1.00,2.00,502,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',20434,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272789,2.00,4.00,3.00,7.00,8.00,7.50,2.00,2.00,3.00,301,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',15407,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6272797,3.00,3.00,3.00,2.00,6.00,8.25,3.00,2.00,2.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17347,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272800,2.00,4.00,0.00,6.00,6.00,8.25,1.00,2.00,0.00,326,NULL,NULL,'SAN CONRADO','CAMPINAS','SP',18361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6272827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BELA VISTA','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6272835,6.00,6.00,1.00,5.00,8.00,6.00,1.00,7.00,6.00,108,NULL,NULL,'JARDINS','ARACAJU','SE',6991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272843,2.00,3.00,1.00,3.00,4.00,9.75,2.00,4.00,1.00,208,NULL,238,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272851,4.00,7.00,4.00,5.00,6.00,10.50,0.00,6.00,5.00,211,NULL,215,'BARREIROS','S JOSÉ','SC',6401,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272860,9.00,6.00,9.00,6.00,9.00,9.38,8.00,8.00,7.00,103,NULL,NULL,'BNH SEGUNDO PLANO','DOURADOS','MS',183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272878,3.00,5.00,2.00,3.00,5.00,9.00,1.00,1.00,1.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16805,4418,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272894,6.00,8.00,4.00,6.00,8.00,9.75,2.00,4.00,5.00,214,NULL,601,'VILA NOVA','JOINVILLE','SC',4022,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6272908,4.00,5.00,0.00,3.00,7.00,6.75,0.00,3.00,4.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6272916,3.00,3.00,2.00,2.00,4.00,7.50,1.00,2.00,1.00,109,NULL,NULL,'MACACU','GAROPABA','SC',20119,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272924,2.00,5.00,4.00,3.00,6.00,7.88,2.00,4.00,2.00,652,NULL,655,'COLONINHA','ARARANGUÁ','SC',14207,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6272932,7.00,7.00,1.00,6.00,8.00,7.50,1.00,6.00,6.00,215,NULL,207,'TRINDADE','FLORIANÓPOLIS','SC',6353,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARUE AGUA BRANCA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6272959,4.00,3.00,2.00,3.00,8.00,7.13,0.00,3.00,4.00,319,NULL,NULL,'SANTANA','LEME','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272967,7.00,6.00,3.00,5.00,10.00,9.75,0.00,6.00,2.00,104,NULL,NULL,'JARDIM SOCIAL','CANTAGALO','PR',6344,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6272975,4.00,4.00,1.00,5.00,5.00,6.75,2.00,4.00,1.00,301,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',15632,198,NULL,NULL,NULL,NULL,NULL,2,1),(25,6272983,4.00,4.00,1.00,3.00,2.00,NULL,2.00,1.00,2.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6272991,3.00,2.00,0.00,3.00,6.00,5.25,2.00,3.00,1.00,238,NULL,207,'TAPERA','FLORIANÓPOLIS','SC',21017,520,NULL,1143,NULL,NULL,NULL,4,1),(25,6273009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6273025,5.00,4.00,5.00,6.00,8.00,8.25,1.00,3.00,7.00,201,NULL,207,'CATARINA FONTANA','CONCÓRDIA','SC',7167,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6273033,5.00,2.00,1.00,4.00,4.00,7.13,3.00,2.00,2.00,340,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',20087,426,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6273068,3.00,7.00,1.00,4.00,9.00,5.63,1.00,7.00,1.00,333,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',15462,109,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273076,4.00,1.00,3.00,4.00,4.00,NULL,0.00,1.00,0.00,501,NULL,NULL,'BORTOT','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6273084,2.00,3.00,0.00,7.00,7.00,7.50,1.00,2.00,3.00,501,NULL,NULL,'BARREIROS','S JOSÉ','SC',18453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6273106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'NOVA ESPERANÇA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6273114,8.00,7.00,6.00,7.00,10.00,9.00,4.00,6.00,8.00,103,NULL,NULL,'JARDINS','ARACAJU','SE',370,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273122,7.00,7.00,2.00,4.00,8.00,9.75,2.00,6.00,9.00,103,NULL,NULL,'SUMARÉ','PARANAVAÍ','PR',4279,2172,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273130,4.00,3.00,2.00,6.00,7.00,7.88,2.00,4.00,1.00,201,NULL,212,'ASA SUL','BRASÍLIA','DF',13049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273149,5.00,6.00,1.00,5.00,6.00,9.00,2.00,2.00,4.00,104,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273157,4.00,5.00,2.00,5.00,6.00,10.13,2.00,2.00,3.00,318,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',13254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273165,0.00,2.00,1.00,1.00,3.00,7.50,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273173,4.00,4.00,6.00,4.00,6.00,9.75,3.00,6.00,6.00,201,NULL,220,'CANASVIEIRAS','FLORIANÓPOLIS','SC',6605,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273181,8.00,7.00,2.00,5.00,6.00,8.63,2.00,7.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273190,3.00,2.00,3.00,3.00,7.00,8.25,1.00,3.00,3.00,601,NULL,220,'COLONIA MARIA LUIZA','PARANAGUÁ','PR',16402,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6273203,5.00,5.00,4.00,5.00,6.00,9.38,3.00,5.00,7.00,211,NULL,201,'CARANDÁ BOSQUE','CPO GRANDE','MS',5239,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6273211,2.00,3.00,2.00,3.00,6.00,8.63,1.00,2.00,3.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',20027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273220,5.00,4.00,0.00,2.00,4.00,10.13,1.00,0.00,2.00,103,NULL,NULL,'ZEQUINHA AMENDOLA','BARRETOS','SP',16450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273238,6.00,7.00,4.00,6.00,9.00,9.75,1.00,6.00,4.00,303,NULL,NULL,'CENTRO','CONGONHAS','MG',3716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273246,5.00,5.00,1.00,4.00,8.00,8.63,0.00,4.00,2.00,9,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',15307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273254,3.00,2.00,1.00,3.00,5.00,7.13,2.00,1.00,0.00,452,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',19723,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273262,6.00,7.00,6.00,7.00,7.00,10.88,1.00,8.00,5.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',3025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273270,3.00,4.00,1.00,3.00,7.00,6.75,1.00,3.00,7.00,214,NULL,220,'PARQUE BELA VISTA','VOTORANTIM','SP',11276,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6273300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'SCHRAMM','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6273319,5.00,5.00,4.00,6.00,9.00,9.00,0.00,5.00,3.00,999,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6273327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UVARANAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6273335,3.00,5.00,2.00,1.00,5.00,6.75,3.00,2.00,3.00,429,NULL,425,'HUMAITA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6273351,0.00,2.00,2.00,2.00,4.00,7.13,2.00,1.00,1.00,109,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273360,4.00,6.00,4.00,3.00,6.00,8.63,2.00,1.00,5.00,235,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',9252,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273378,4.00,4.00,2.00,5.00,6.00,10.50,1.00,4.00,1.00,303,NULL,NULL,'VILA INDUSTRIAL','TOLEDO','PR',12027,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6273394,2.00,5.00,1.00,3.00,3.00,6.00,2.00,4.00,2.00,551,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',18030,27,NULL,NULL,NULL,NULL,NULL,2,7),(25,6273408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'VILA BANDEIRANTES','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6273416,2.00,5.00,1.00,2.00,5.00,9.00,2.00,5.00,4.00,444,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',16399,75,NULL,NULL,NULL,NULL,NULL,4,3),(25,6273432,5.00,5.00,3.00,4.00,4.00,6.38,3.00,4.00,2.00,444,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',14675,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273440,4.00,6.00,3.00,6.00,9.00,10.13,2.00,5.00,6.00,104,NULL,NULL,'FLORESTA','S JOSÉ','SC',6608,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6273475,2.00,4.00,1.00,2.00,5.00,NULL,1.00,1.00,0.00,654,NULL,NULL,'ENGENHO VELHO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6273483,3.00,6.00,2.00,3.00,4.00,7.88,2.00,2.00,1.00,207,NULL,201,'FREI ROGERIO','LAGES','SC',17440,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6273491,3.00,4.00,3.00,2.00,5.00,9.00,2.00,4.00,3.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273505,3.00,4.00,3.00,2.00,5.00,9.75,1.00,2.00,3.00,103,NULL,NULL,'TAQUARAL','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273521,1.00,4.00,1.00,2.00,5.00,8.63,1.00,3.00,5.00,201,NULL,207,'AREIAS DO MEIO','GOV CELSO RAMOS','SC',19391,1593,NULL,1054,NULL,NULL,NULL,4,1),(25,6273548,5.00,5.00,1.00,6.00,8.00,11.25,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','IÇARA','SC',6766,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6273556,5.00,7.00,0.00,4.00,5.00,NULL,2.00,4.00,8.00,207,NULL,201,'VILA MARIA','MARÍLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6273564,4.00,4.00,1.00,3.00,6.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'IMIRIM','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273572,4.00,5.00,3.00,5.00,6.00,7.88,0.00,5.00,5.00,336,NULL,NULL,'SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC',13054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273580,1.00,4.00,2.00,3.00,5.00,NULL,0.00,1.00,0.00,339,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273599,3.00,5.00,1.00,4.00,8.00,9.00,1.00,3.00,2.00,108,NULL,NULL,'CENTRO','ARARANGUÁ','SC',13971,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6273602,4.00,4.00,2.00,7.00,6.00,6.38,1.00,3.00,5.00,220,NULL,203,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',12703,354,NULL,834,NULL,NULL,NULL,4,1),(25,6273610,5.00,4.00,3.00,4.00,5.00,NULL,1.00,0.00,3.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273645,1.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273653,4.00,3.00,4.00,1.00,3.00,4.88,3.00,3.00,3.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273670,3.00,6.00,3.00,6.00,6.00,8.63,4.00,5.00,5.00,404,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',9234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273688,6.00,8.00,1.00,6.00,10.00,12.75,1.00,6.00,4.00,337,NULL,NULL,'LAPA','S PAULO','SP',4358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273696,6.00,7.00,1.00,7.00,9.00,9.00,0.00,4.00,7.00,201,NULL,207,'CENTRO','BAL CAMBORIÚ','SC',4501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273700,7.00,6.00,6.00,6.00,10.00,12.00,3.00,7.00,9.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',414,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6273718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,233,'CITY RIBEIRÃO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6273726,6.00,6.00,5.00,5.00,5.00,7.88,4.00,6.00,2.00,208,NULL,655,'CAMPINAS','S JOSÉ','SC',9221,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273734,2.00,2.00,0.00,2.00,2.00,NULL,2.00,1.00,1.00,337,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273742,4.00,6.00,2.00,8.00,7.00,11.25,4.00,2.00,4.00,340,NULL,NULL,'TIROL','NATAL','RN',6590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273750,3.00,7.00,2.00,3.00,6.00,7.13,3.00,1.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17559,351,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273777,6.00,8.00,5.00,5.00,8.00,6.38,4.00,6.00,6.00,327,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273785,5.00,7.00,2.00,3.00,7.00,0.00,1.00,3.00,1.00,201,NULL,214,'AGRONOMIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273793,6.00,3.00,2.00,7.00,6.00,6.75,2.00,3.00,4.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',11806,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6273815,2.00,3.00,1.00,2.00,8.00,6.38,2.00,4.00,0.00,453,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',21080,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273823,6.00,7.00,3.00,6.00,9.00,NULL,0.00,4.00,4.00,317,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273831,3.00,4.00,3.00,4.00,9.00,10.13,3.00,4.00,0.00,420,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',14845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273840,5.00,3.00,0.00,2.00,8.00,8.63,1.00,5.00,2.00,202,NULL,235,'RIBEIRÃO LONTRINHAS','LONTRAS','SC',14696,456,NULL,351,NULL,NULL,NULL,4,1),(25,6273858,2.00,7.00,0.00,2.00,3.00,6.75,1.00,1.00,2.00,103,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',19167,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6273882,2.00,3.00,2.00,2.00,5.00,6.75,0.00,1.00,1.00,317,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'JD GUSTAVO PICCININI','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6273912,3.00,5.00,1.00,5.00,6.00,7.50,1.00,5.00,3.00,310,NULL,NULL,'BELA VISTA','ARROIO MEIO','RS',15910,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273939,6.00,6.00,4.00,7.00,7.00,8.25,3.00,4.00,4.00,234,NULL,NULL,'FLORESTAL','LAJEADO','RS',6896,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6273947,5.00,7.00,6.00,2.00,7.00,6.75,1.00,7.00,0.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13317,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6273955,2.00,3.00,2.00,0.00,6.00,6.38,2.00,6.00,3.00,326,NULL,NULL,'N S DO AMPARO','LIMEIRA','SP',17586,50,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273963,5.00,6.00,1.00,6.00,7.00,6.75,4.00,4.00,6.00,201,NULL,212,'CENTRO','S JOSÉ R PRETO','SP',7888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6273998,9.00,5.00,7.00,6.00,8.00,9.00,4.00,7.00,6.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1946,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274005,3.00,6.00,6.00,7.00,8.00,9.75,3.00,3.00,4.00,233,NULL,220,'ARMAÇÃO','FLORIANÓPOLIS','SC',7187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274013,4.00,5.00,4.00,4.00,6.00,6.75,1.00,2.00,2.00,215,NULL,233,'PRAIA COMPRIDA','S JOSÉ','SC',13260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274030,5.00,5.00,3.00,3.00,6.00,7.13,1.00,5.00,3.00,225,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',12823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274048,2.00,6.00,1.00,6.00,7.00,7.88,3.00,2.00,1.00,426,NULL,428,'PONTE DO IMARUIM','PALHOÇA','SC',16206,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274056,5.00,7.00,3.00,3.00,4.00,9.75,2.00,7.00,3.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',10459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274072,5.00,5.00,3.00,4.00,6.00,8.25,1.00,1.00,5.00,110,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274080,5.00,3.00,2.00,4.00,6.00,7.88,2.00,4.00,4.00,101,NULL,NULL,'LIMEIRA','BIGUAÇU','SC',12338,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274110,6.00,5.00,1.00,1.00,4.00,10.50,1.00,2.00,2.00,110,NULL,NULL,'PQ VICTOR DANDREA','LIMEIRA','SP',15821,71,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,601,'CRISCIUMINHA','BITURUNA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6274137,2.00,5.00,1.00,3.00,5.00,7.50,2.00,4.00,1.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',19590,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274161,2.00,6.00,3.00,6.00,9.00,8.25,1.00,2.00,1.00,201,NULL,202,'ITOUPAVA SECA','BLUMENAU','SC',14473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274188,4.00,5.00,2.00,2.00,8.00,8.25,2.00,4.00,2.00,319,NULL,NULL,'JD GUSTAVO PICCININI','LIMEIRA','SP',12386,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274218,3.00,5.00,3.00,3.00,3.00,7.13,2.00,0.00,2.00,319,NULL,NULL,'CENTRO','ARARANGUÁ','SC',19545,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6274226,4.00,4.00,4.00,7.00,8.00,8.63,2.00,4.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PQ NOVO MUNDO','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6274269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'OURO FINO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6274293,1.00,5.00,2.00,4.00,9.00,9.38,2.00,4.00,4.00,999,NULL,NULL,'COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274307,4.00,5.00,5.00,6.00,7.00,9.75,6.00,7.00,4.00,203,NULL,214,'ATIRADORES','JOINVILLE','SC',3669,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6274315,1.00,6.00,1.00,4.00,7.00,6.75,2.00,1.00,1.00,303,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',17013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274323,6.00,6.00,5.00,7.00,8.00,9.00,2.00,2.00,5.00,207,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',5696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274331,3.00,3.00,0.00,4.00,7.00,7.13,1.00,3.00,0.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274340,2.00,3.00,1.00,3.00,3.00,4.88,2.00,2.00,2.00,551,NULL,NULL,'SAO JOSE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6274358,3.00,4.00,1.00,2.00,4.00,5.63,2.00,0.00,2.00,317,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',20634,191,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274374,8.00,8.00,5.00,7.00,9.00,9.38,2.00,7.00,9.00,103,NULL,NULL,'COND MONTE BELO','SALTO','SP',620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274382,3.00,5.00,1.00,1.00,6.00,7.13,0.00,4.00,1.00,340,NULL,NULL,'CECAP II','LIMEIRA','SP',17927,394,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274390,2.00,4.00,1.00,0.00,2.00,NULL,1.00,3.00,1.00,551,NULL,NULL,'ANTONIO PAGLIA','PTE SERRADA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6274404,5.00,7.00,4.00,6.00,9.00,8.63,1.00,6.00,5.00,212,NULL,601,'CAMPO DUNA','GAROPABA','SC',4253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'OURO FINO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6274420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6274447,2.00,4.00,2.00,6.00,9.00,11.25,1.00,2.00,2.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13625,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274463,2.00,4.00,2.00,2.00,8.00,6.38,3.00,3.00,1.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19883,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','SAPEZAL','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6274498,3.00,6.00,2.00,6.00,6.00,8.25,2.00,2.00,3.00,301,NULL,NULL,'CENTRO','CRICIÚMA','SC',15926,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6274501,3.00,4.00,1.00,2.00,5.00,7.88,1.00,2.00,3.00,501,NULL,NULL,'ABILIO PEDRO','LIMEIRA','SP',17087,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274510,5.00,6.00,2.00,4.00,8.00,6.38,0.00,5.00,2.00,201,NULL,212,'VILA MOEMA','TUBARÃO','SC',12997,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6274528,6.00,4.00,3.00,1.00,7.00,7.50,3.00,2.00,2.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',16868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274536,4.00,6.00,2.00,1.00,7.00,8.25,1.00,3.00,2.00,101,NULL,NULL,'ARIRIU DA FORMIGA','PALHOÇA','SC',17828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274544,4.00,5.00,7.00,4.00,6.00,6.38,2.00,4.00,5.00,303,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',12603,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6274552,5.00,6.00,4.00,6.00,7.00,10.50,2.00,7.00,6.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',3609,1945,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274560,3.00,4.00,3.00,6.00,8.00,8.63,0.00,8.00,2.00,303,NULL,NULL,'JD DAS HORTENCIAS','JUNDIAÍ','SP',8315,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274579,1.00,3.00,0.00,3.00,3.00,NULL,1.00,3.00,2.00,316,NULL,NULL,'JARDIM VERA CRUZ','MTE ALTO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'PIRITUBA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6274609,2.00,3.00,2.00,2.00,4.00,NULL,0.00,1.00,3.00,234,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274625,1.00,3.00,2.00,7.00,5.00,9.00,4.00,4.00,3.00,317,NULL,NULL,'ROÇADO','S JOSÉ','SC',15401,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6274641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'RIO BRANCO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6274650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','OURO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6274668,5.00,6.00,5.00,5.00,6.00,7.88,7.00,7.00,7.00,235,NULL,213,'SERTÃO DO MARUIM','S JOSÉ','SC',3742,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274676,4.00,3.00,2.00,2.00,5.00,NULL,0.00,3.00,1.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274706,2.00,3.00,0.00,3.00,3.00,NULL,3.00,1.00,1.00,308,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274714,9.00,6.00,4.00,3.00,9.00,9.75,1.00,7.00,3.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274722,3.00,3.00,1.00,3.00,6.00,7.88,0.00,2.00,1.00,340,NULL,NULL,'INTERIOR','ARVOREDO','SC',20210,427,NULL,NULL,NULL,NULL,NULL,2,4),(25,6274749,1.00,3.00,0.00,7.00,10.00,NULL,0.00,1.00,0.00,423,NULL,427,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274765,3.00,4.00,2.00,4.00,7.00,NULL,1.00,5.00,0.00,601,NULL,201,'SANTA CATARINA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6274773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'CENTRO','GARUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6274781,6.00,5.00,3.00,6.00,8.00,10.13,1.00,5.00,5.00,304,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6918,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274790,3.00,3.00,0.00,6.00,5.00,7.88,2.00,6.00,3.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',12510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274820,1.00,4.00,2.00,3.00,3.00,7.88,1.00,0.00,1.00,319,NULL,NULL,'CASA','PALHOÇA','SC',21259,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274838,7.00,7.00,0.00,3.00,8.00,NULL,4.00,7.00,7.00,103,NULL,NULL,'PRAIADE BELAS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6274846,5.00,7.00,1.00,4.00,9.00,10.88,2.00,2.00,2.00,428,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10631,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274854,0.00,2.00,4.00,1.00,2.00,NULL,1.00,4.00,1.00,308,NULL,NULL,'BARREIOS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'NOVA SUÍÇA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6274897,4.00,6.00,1.00,5.00,7.00,12.38,1.00,6.00,4.00,319,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',9680,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274900,4.00,3.00,1.00,2.00,6.00,7.13,1.00,3.00,0.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274919,5.00,6.00,3.00,6.00,8.00,10.13,4.00,6.00,6.00,108,NULL,NULL,'VILA BOA VISTA','CAMPINAS','SP',3151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274927,4.00,3.00,2.00,2.00,4.00,8.63,2.00,3.00,1.00,319,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',20005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274935,4.00,4.00,3.00,4.00,8.00,8.25,0.00,7.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10301,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6274943,7.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6274951,5.00,4.00,1.00,3.00,4.00,10.13,1.00,4.00,1.00,110,NULL,NULL,'CENTRO','IPIAÚ','BA',17755,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6274986,7.00,8.00,5.00,6.00,10.00,7.88,3.00,7.00,6.00,201,NULL,212,'SANTA MONICA','FLORIANÓPOLIS','SC',1733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6274994,2.00,2.00,1.00,1.00,5.00,7.88,3.00,1.00,1.00,601,NULL,238,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6275001,2.00,4.00,2.00,5.00,7.00,10.13,0.00,3.00,1.00,316,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',17433,185,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275010,6.00,6.00,5.00,5.00,8.00,8.25,0.00,7.00,4.00,308,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',7980,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','MTE CARLO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6275052,4.00,5.00,3.00,3.00,5.00,7.88,3.00,2.00,5.00,203,NULL,202,'AGRONOMICA','FLORIANÓPOLIS','SC',15102,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275060,9.00,4.00,1.00,6.00,6.00,7.13,1.00,3.00,5.00,103,NULL,NULL,'JARDIM CENTRAL','FOZ IGUAÇU','PR',12096,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6275087,1.00,5.00,0.00,4.00,5.00,6.00,3.00,4.00,2.00,423,NULL,426,'JD ATLANTICO','FLORIANÓPOLIS','SC',19772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275109,2.00,3.00,0.00,2.00,5.00,7.88,3.00,5.00,2.00,427,NULL,421,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6275117,4.00,5.00,2.00,3.00,5.00,9.00,3.00,3.00,4.00,317,NULL,NULL,'ITAQUERA','S PAULO','SP',12574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6275125,4.00,5.00,3.00,6.00,7.00,9.38,1.00,1.00,0.00,103,NULL,NULL,'COLÔNIA JAPONESA','GUAPIRAMA','PR',14042,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6275133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6275168,5.00,3.00,0.00,6.00,8.00,10.13,1.00,4.00,1.00,103,NULL,NULL,'CENTRO','MATELÂNDIA','PR',11543,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6275184,7.00,6.00,3.00,6.00,9.00,10.50,3.00,5.00,8.00,110,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1868,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275206,2.00,4.00,1.00,3.00,6.00,7.13,1.00,4.00,1.00,655,NULL,652,'LAGOA DA SERRA','ARARANGUÁ','SC',20497,143,NULL,97,NULL,NULL,NULL,4,15),(25,6275222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'SUFIATI','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6275249,8.00,6.00,2.00,6.00,8.00,8.63,1.00,7.00,4.00,103,NULL,NULL,'VILA BANDEIRANTE','CPO GRANDE','MS',5099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6275257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6275265,4.00,6.00,3.00,6.00,8.00,8.63,3.00,7.00,6.00,109,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',7029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275273,2.00,5.00,2.00,1.00,5.00,6.75,1.00,2.00,2.00,103,NULL,NULL,'VI LA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6275281,1.00,2.00,3.00,2.00,6.00,6.00,2.00,1.00,3.00,223,NULL,NULL,'MAR GROSSO','LAGUNA','SC',21205,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6275290,4.00,2.00,1.00,2.00,4.00,6.00,3.00,1.00,3.00,319,NULL,NULL,'CENTRO','EXTREMA','MG',20040,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6275303,5.00,5.00,4.00,3.00,6.00,9.75,4.00,5.00,3.00,212,NULL,213,'PENHA','PAULO LOPES','SC',10189,292,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275320,5.00,3.00,2.00,5.00,6.00,8.25,2.00,4.00,2.00,102,NULL,NULL,'BELA VISTA','S JOSÉ','SC',15344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6275338,4.00,6.00,2.00,6.00,6.00,7.88,2.00,7.00,2.00,234,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',10689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6275346,2.00,2.00,2.00,5.00,7.00,8.63,2.00,3.00,2.00,336,NULL,NULL,'ALTO DA BRONZE','ESTRELA','RS',18406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275362,4.00,6.00,3.00,3.00,8.00,6.00,4.00,5.00,4.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9654,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275370,1.00,2.00,1.00,6.00,1.00,NULL,1.00,0.00,1.00,238,NULL,208,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275389,2.00,4.00,2.00,2.00,4.00,6.00,1.00,2.00,2.00,551,NULL,NULL,'INTERIOR','LEBON RÉGIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6275397,3.00,5.00,0.00,6.00,3.00,5.63,1.00,3.00,3.00,328,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',20094,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6275400,4.00,5.00,1.00,4.00,5.00,7.88,2.00,5.00,3.00,551,NULL,NULL,'MAROMBAS','BRUNÓPOLIS','SC',13002,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6275419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6275427,2.00,1.00,0.00,3.00,5.00,8.25,1.00,4.00,2.00,303,NULL,NULL,'ROÇADO','S JOSÉ','SC',19514,816,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275435,5.00,4.00,2.00,2.00,5.00,0.00,0.00,4.00,2.00,503,NULL,NULL,'JD CAIEIRAS','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6275443,5.00,6.00,3.00,6.00,7.00,7.88,1.00,5.00,4.00,999,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6275451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'KAYSER','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6275460,2.00,3.00,1.00,5.00,4.00,8.25,2.00,2.00,0.00,9,NULL,NULL,'SANTA MARIA','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275478,2.00,4.00,1.00,3.00,7.00,9.75,2.00,5.00,1.00,319,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',11615,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6275486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,207,'FAZENDINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6275494,2.00,6.00,3.00,3.00,6.00,7.13,1.00,3.00,2.00,331,NULL,NULL,'VILA NOVA','BLUMENAU','SC',18244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6275508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'CENTRO','CANABRAVA NORTE','MT',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6275516,1.00,4.00,1.00,5.00,6.00,7.13,1.00,4.00,4.00,317,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',18083,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275524,3.00,4.00,3.00,5.00,4.00,6.75,1.00,1.00,5.00,5,NULL,NULL,'CAPÃO','GAROPABA','SC',18048,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6275532,3.00,4.00,2.00,6.00,6.00,10.88,0.00,2.00,3.00,103,NULL,NULL,'AFONSO PENA','S JOSÉ PINHAIS','PR',11980,3860,NULL,NULL,NULL,NULL,NULL,2,2),(25,6275540,2.00,3.00,2.00,3.00,3.00,6.75,2.00,2.00,2.00,404,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',18700,71,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275559,4.00,6.00,4.00,0.00,4.00,6.38,2.00,1.00,2.00,203,NULL,201,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6275567,8.00,8.00,2.00,7.00,10.00,10.88,2.00,8.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6275575,3.00,4.00,1.00,4.00,8.00,10.13,4.00,5.00,4.00,450,NULL,NULL,'SANTA TEREZINHA','JZ FORA','MG',10525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6275591,0.00,3.00,2.00,5.00,5.00,7.13,2.00,4.00,0.00,340,NULL,NULL,'CAMPESTRA','MTE ALTO','SP',19878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275605,4.00,5.00,1.00,5.00,4.00,8.25,1.00,1.00,1.00,404,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',18959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6275613,3.00,4.00,0.00,2.00,5.00,8.63,1.00,2.00,3.00,339,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275621,7.00,7.00,4.00,5.00,8.00,6.75,2.00,5.00,5.00,201,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',7337,539,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275630,7.00,4.00,4.00,4.00,7.00,7.50,0.00,2.00,3.00,103,NULL,NULL,'ALTO DA XV','GUARAPUAVA','PR',11372,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275648,1.00,2.00,2.00,2.00,5.00,8.25,1.00,0.00,0.00,319,NULL,NULL,'SÃO LUIZ','S MIGUEL OESTE','SC',20342,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6275656,0.00,4.00,0.00,3.00,5.00,NULL,2.00,5.00,1.00,450,NULL,NULL,'SÃO CRISTOVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6275664,2.00,2.00,1.00,1.00,2.00,NULL,2.00,4.00,0.00,108,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6275680,2.00,5.00,2.00,4.00,7.00,8.25,1.00,1.00,3.00,336,NULL,NULL,'CENTRO','CAPINZAL','SC',15151,117,NULL,NULL,NULL,NULL,NULL,2,7),(25,6275699,6.00,8.00,6.00,7.00,9.00,8.25,1.00,5.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3446,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6275702,3.00,6.00,1.00,4.00,8.00,NULL,0.00,6.00,2.00,333,NULL,NULL,'ALTO DA RUA XV','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6275710,4.00,3.00,3.00,2.00,2.00,NULL,1.00,2.00,1.00,201,NULL,233,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6275729,7.00,6.00,4.00,6.00,9.00,10.13,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6275737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BRASÍLIA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6275745,7.00,7.00,3.00,6.00,8.00,8.63,1.00,4.00,4.00,103,NULL,NULL,'DOS ESTADOS','INDAIAL','SC',5566,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6275761,4.00,2.00,0.00,4.00,8.00,7.88,3.00,2.00,1.00,601,NULL,208,'BOM RETIRO','JOINVILLE','SC',16317,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6275770,5.00,6.00,4.00,5.00,8.00,9.00,3.00,5.00,3.00,5,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',5363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6275788,4.00,3.00,4.00,3.00,7.00,9.00,4.00,4.00,3.00,201,NULL,207,'SAGUAÇU','JOINVILLE','SC',8764,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6275796,7.00,5.00,6.00,6.00,6.00,8.63,4.00,5.00,8.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',2755,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6275800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6275818,3.00,4.00,2.00,1.00,5.00,7.13,1.00,2.00,1.00,103,NULL,NULL,'CENTRO','MARAVILHA','SC',19233,4611,NULL,NULL,NULL,NULL,NULL,4,4),(25,6275834,5.00,5.00,3.00,5.00,10.00,9.38,1.00,3.00,6.00,333,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',8863,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6275850,5.00,6.00,1.00,6.00,5.00,6.75,3.00,4.00,3.00,103,NULL,NULL,'IPIRANGA','LAGES','SC',10693,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6275869,3.00,7.00,1.00,2.00,8.00,7.50,2.00,2.00,3.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',18293,4546,NULL,NULL,NULL,NULL,NULL,4,1),(25,6275877,8.00,7.00,4.00,7.00,9.00,9.38,4.00,9.00,5.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',1274,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6275885,5.00,5.00,2.00,7.00,9.00,9.00,3.00,4.00,5.00,104,NULL,NULL,'POPULAR','LAGES','SC',5588,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6275893,2.00,4.00,3.00,3.00,3.00,7.13,3.00,1.00,0.00,201,NULL,207,'INTERIOR','VARGEÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6275907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SÃO LOURENÇO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6275915,2.00,5.00,1.00,3.00,5.00,8.63,3.00,2.00,2.00,601,NULL,238,'CENTRO','DIAMANTE D OESTE','PR',16593,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6275923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6275931,4.00,4.00,1.00,4.00,5.00,7.13,1.00,5.00,0.00,104,NULL,NULL,'CAJURU','CURITIBA','PR',19863,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6275958,3.00,3.00,0.00,4.00,5.00,NULL,2.00,2.00,0.00,208,NULL,238,'BELA VISTA','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6275966,8.00,6.00,2.00,3.00,6.00,8.25,3.00,4.00,2.00,203,NULL,235,'REBOUÇAS','CURITIBA','PR',8638,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6275982,3.00,3.00,2.00,3.00,6.00,9.00,2.00,2.00,2.00,103,NULL,NULL,'CAPAO DA IMBUIA','CURITIBA','PR',15999,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6275990,4.00,3.00,2.00,3.00,6.00,10.13,0.00,1.00,1.00,207,NULL,201,'CENTRO','MAJ VIEIRA','SC',19209,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6276008,4.00,5.00,6.00,3.00,6.00,NULL,0.00,3.00,5.00,3,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276024,6.00,4.00,6.00,6.00,7.00,10.13,2.00,3.00,4.00,2,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276032,4.00,6.00,3.00,5.00,6.00,7.88,2.00,3.00,2.00,103,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',14104,4136,NULL,NULL,NULL,NULL,NULL,2,8),(25,6276040,3.00,4.00,0.00,3.00,5.00,7.13,2.00,4.00,1.00,103,NULL,NULL,'JD BRASILIA','TANABI','SP',17079,4448,NULL,NULL,NULL,NULL,NULL,2,1),(25,6276059,3.00,2.00,0.00,2.00,7.00,7.88,2.00,1.00,2.00,104,NULL,NULL,'CENTRO','ANCHIETA','SC',18466,518,NULL,NULL,NULL,NULL,NULL,4,4),(25,6276067,8.00,8.00,4.00,6.00,8.00,10.50,4.00,5.00,7.00,103,NULL,NULL,'MALUCHE','BRUSQUE','SC',1566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276075,6.00,8.00,3.00,7.00,8.00,8.25,2.00,7.00,8.00,103,NULL,NULL,'DOS CASA','S BERNARDO CAMPO','SP',2488,1491,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276091,4.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6276105,2.00,2.00,0.00,1.00,1.00,NULL,1.00,0.00,0.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6276121,4.00,6.00,3.00,4.00,8.00,11.25,3.00,3.00,3.00,233,NULL,653,'SANTO ANTONIO','STO ANDRÉ','SP',8420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276130,7.00,8.00,3.00,3.00,6.00,7.88,1.00,6.00,7.00,303,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',6542,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6276148,5.00,5.00,4.00,4.00,5.00,NULL,0.00,6.00,3.00,104,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6276156,6.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6276164,5.00,4.00,3.00,5.00,7.00,8.25,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',6348,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6276172,8.00,6.00,3.00,3.00,7.00,7.88,4.00,9.00,8.00,103,NULL,NULL,'DORES','STA MARIA','RS',2958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276180,5.00,4.00,1.00,2.00,7.00,6.00,5.00,3.00,4.00,444,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',16319,73,NULL,NULL,NULL,NULL,NULL,2,1),(25,6276202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'MOSQUITO','AGRONÔMICA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6276210,4.00,3.00,3.00,2.00,5.00,4.88,0.00,1.00,4.00,208,NULL,238,'CENTRO','RIO NEGRO','PR',21043,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6276237,2.00,5.00,0.00,2.00,6.00,NULL,3.00,1.00,0.00,103,NULL,NULL,'ARRAIAL','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6276245,4.00,5.00,0.00,5.00,9.00,7.88,3.00,4.00,4.00,999,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6276253,7.00,4.00,1.00,4.00,8.00,8.63,2.00,4.00,2.00,201,NULL,NULL,'CENTRO','DIONÍSIO CERQUEIRA','SC',8849,685,NULL,NULL,NULL,NULL,NULL,2,4),(25,6276261,2.00,3.00,2.00,2.00,4.00,9.00,2.00,1.00,2.00,103,NULL,NULL,'RESSACADA','ITAJAÍ','SC',20508,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6276270,3.00,3.00,4.00,5.00,7.00,8.25,1.00,8.00,5.00,201,NULL,212,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',7604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,428,'JARDIM SANTA AMÁLIA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6276296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6276318,2.00,4.00,0.00,4.00,6.00,6.75,2.00,3.00,1.00,234,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',18951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6276326,6.00,6.00,1.00,4.00,9.00,10.88,1.00,6.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5792,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6276334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'OFICINAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6276350,4.00,2.00,3.00,7.00,6.00,8.25,0.00,6.00,2.00,999,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6276369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6276377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6276393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MIRANDÓPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6276407,2.00,3.00,0.00,6.00,5.00,9.38,1.00,4.00,1.00,201,NULL,207,'RIO CAVEIRAS','BIGUAÇU','SC',15497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276423,6.00,8.00,4.00,6.00,7.00,6.75,3.00,4.00,5.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',6486,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6276431,4.00,1.00,2.00,1.00,4.00,4.88,1.00,1.00,2.00,215,NULL,NULL,'KABRASOL','S JOSÉ','SC',21767,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6276440,1.00,2.00,2.00,1.00,4.00,6.75,1.00,4.00,1.00,3,NULL,NULL,'CENTRO','BOM RETIRO','SC',20784,85,NULL,NULL,NULL,NULL,NULL,2,9),(25,6276466,7.00,8.00,4.00,6.00,11.00,12.75,3.00,8.00,7.00,103,NULL,NULL,'SÃO PELEGRINO','CAXIAS SUL','RS',922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276482,4.00,3.00,1.00,2.00,2.00,NULL,0.00,1.00,0.00,9,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6276490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'LINHA BATISTA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6276504,2.00,4.00,2.00,3.00,5.00,7.13,2.00,4.00,3.00,238,NULL,208,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',16940,378,NULL,411,NULL,NULL,NULL,4,1),(25,6276512,8.00,7.00,4.00,6.00,8.00,9.00,4.00,6.00,4.00,202,NULL,216,'REBOUÇAS','CURITIBA','PR',2238,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6276520,8.00,5.00,3.00,6.00,9.00,8.25,4.00,7.00,7.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',2407,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6276539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6276547,3.00,6.00,4.00,4.00,6.00,7.88,4.00,3.00,3.00,235,NULL,213,'CENTRO','HERVAL D OESTE','SC',9664,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6276555,6.00,6.00,6.00,5.00,7.00,9.00,4.00,1.00,5.00,201,NULL,211,'GLÓRIA','JOINVILLE','SC',5443,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6276571,4.00,4.00,3.00,3.00,9.00,6.75,2.00,6.00,1.00,202,NULL,214,'MAR GROSSO','LAGUNA','SC',13664,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6276580,7.00,6.00,3.00,7.00,8.00,10.50,3.00,5.00,5.00,207,NULL,201,'CENTRO','ITAJAÍ','SC',3460,NULL,NULL,NULL,NULL,NULL,NULL,1,6),(25,6276598,4.00,6.00,3.00,4.00,7.00,10.13,3.00,5.00,1.00,108,NULL,NULL,'GUSTAVO PICININI','LIMEIRA','SP',9033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276601,6.00,6.00,2.00,6.00,6.00,9.00,1.00,7.00,5.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',8348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276610,2.00,2.00,1.00,2.00,3.00,NULL,0.00,0.00,1.00,201,NULL,601,'JARDIM AQUARIUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276628,8.00,7.00,6.00,7.00,6.00,NULL,1.00,8.00,7.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(25,6276636,7.00,6.00,3.00,6.00,8.00,7.50,3.00,4.00,6.00,220,NULL,238,'OFICINAS','TUBARÃO','SC',4824,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6276644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6276660,4.00,5.00,2.00,4.00,8.00,10.50,1.00,1.00,2.00,101,NULL,NULL,'CAPITAIS','TIMBÓ','SC',12368,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6276679,4.00,4.00,2.00,3.00,4.00,11.63,1.00,5.00,1.00,319,NULL,NULL,'CENTRO','CONCÓRDIA','SC',17538,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6276687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','SALTO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276717,3.00,4.00,0.00,6.00,7.00,9.75,0.00,4.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276733,8.00,6.00,5.00,6.00,10.00,10.13,4.00,5.00,7.00,103,NULL,NULL,'JARDIM NAZARETH','MOGI MIRIM','SP',1015,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6276750,1.00,4.00,2.00,6.00,3.00,8.25,0.00,4.00,1.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6276768,5.00,6.00,0.00,3.00,6.00,NULL,0.00,3.00,0.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276776,2.00,2.00,0.00,4.00,4.00,9.75,1.00,2.00,0.00,301,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276784,2.00,3.00,0.00,4.00,6.00,7.13,1.00,4.00,1.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',18234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6276806,7.00,5.00,2.00,6.00,6.00,12.00,1.00,4.00,3.00,104,NULL,NULL,'PANAZZOLO','CAXIAS SUL','RS',8423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276814,5.00,5.00,2.00,6.00,6.00,11.25,2.00,4.00,6.00,304,NULL,NULL,'BARREIROS','S JOSÉ','SC',8598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276822,7.00,7.00,3.00,6.00,9.00,9.38,1.00,4.00,6.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',5729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276830,5.00,4.00,3.00,7.00,9.00,9.75,1.00,4.00,7.00,207,NULL,201,'PRAIA DAS PALMEIRAS','CARAGUATATUBA','SP',3185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276849,3.00,7.00,1.00,3.00,7.00,7.88,1.00,5.00,1.00,329,NULL,NULL,'CENTRO','GAROPABA','SC',16517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6276865,4.00,3.00,0.00,4.00,7.00,7.88,1.00,4.00,0.00,420,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',16132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6276873,3.00,5.00,0.00,3.00,3.00,8.25,0.00,4.00,3.00,999,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276881,3.00,1.00,0.00,5.00,5.00,NULL,0.00,0.00,2.00,103,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',5,7),(25,6276890,0.00,1.00,3.00,4.00,3.00,NULL,2.00,0.00,0.00,101,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6276911,6.00,6.00,3.00,5.00,9.00,9.00,3.00,5.00,7.00,233,NULL,653,'SÍTIO SANTO ANTÔNIO','TAUBATÉ','SP',3189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6276938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'CINQUENTENARIO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6276946,3.00,4.00,2.00,2.00,3.00,9.00,1.00,1.00,3.00,502,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',19294,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6276954,5.00,4.00,3.00,4.00,9.00,9.75,2.00,1.00,3.00,220,NULL,202,'JACOB DORINI','CAPINZAL','SC',13824,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6276962,4.00,3.00,2.00,2.00,5.00,7.13,2.00,2.00,6.00,103,NULL,NULL,'JARDIM FLORENÇA','IVAÍ','PR',15660,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6276970,6.00,7.00,5.00,6.00,9.00,4.50,3.00,8.00,8.00,453,NULL,NULL,'CENTRO','CANOINHAS','SC',2380,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6276989,1.00,2.00,3.00,2.00,7.00,7.50,0.00,1.00,3.00,103,NULL,NULL,'CENTRO','TAPEJARA','PR',19742,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6276997,3.00,5.00,2.00,6.00,5.00,NULL,2.00,1.00,0.00,601,NULL,203,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277004,4.00,4.00,2.00,4.00,9.00,7.50,3.00,3.00,1.00,201,NULL,208,'SÃO CRISTÓVÃO','LAGES','SC',14061,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6277012,3.00,5.00,0.00,3.00,7.00,7.50,0.00,3.00,3.00,201,NULL,211,'COLONIA SANTANA','S JOSÉ','SC',15735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277039,4.00,4.00,2.00,6.00,7.00,8.25,1.00,5.00,2.00,3,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',13619,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6277055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6277063,4.00,5.00,2.00,4.00,6.00,7.13,3.00,0.00,1.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16108,314,NULL,NULL,NULL,NULL,NULL,2,1),(25,6277080,4.00,7.00,1.00,5.00,7.00,10.50,0.00,7.00,2.00,211,NULL,601,'CACUPÉ','FLORIANÓPOLIS','SC',10150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6277110,7.00,6.00,0.00,3.00,8.00,9.38,0.00,5.00,3.00,303,NULL,NULL,'CENTRO','PALHOÇA','SC',10380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277128,2.00,6.00,4.00,6.00,7.00,10.88,2.00,3.00,4.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',8312,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6277136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6277144,8.00,7.00,4.00,6.00,9.00,NULL,6.00,7.00,7.00,203,NULL,214,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6277152,2.00,4.00,1.00,2.00,3.00,8.63,3.00,3.00,1.00,317,NULL,NULL,'SANTA CÂNDIDA','CURITIBA','PR',18032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277160,4.00,5.00,2.00,3.00,8.00,7.88,3.00,3.00,4.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',11254,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6277179,2.00,4.00,2.00,5.00,2.00,NULL,3.00,0.00,0.00,601,NULL,207,'SÃO DOMINGOS I','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6277187,6.00,4.00,4.00,6.00,9.00,9.75,1.00,6.00,6.00,103,NULL,NULL,'PRESIDENTE VARGAS','IÇARA','SC',5016,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6277209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','S JORGE D OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6277217,3.00,5.00,0.00,1.00,3.00,5.63,1.00,1.00,1.00,103,NULL,NULL,'CENTRO','CAMBARÁ','PR',20956,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6277225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM CLODOALDO','CACOAL','RO',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6277233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PARQUE VERDE','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6277241,5.00,4.00,4.00,5.00,7.00,6.38,3.00,5.00,4.00,203,NULL,201,'CENTRO','CURITIBA','PR',9483,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6277276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6277284,8.00,7.00,2.00,2.00,9.00,6.75,0.00,4.00,5.00,103,NULL,NULL,'CENTRO','STA TEREZINHA ITAIPU','PR',8901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277292,2.00,7.00,2.00,4.00,8.00,7.50,2.00,3.00,2.00,319,NULL,NULL,'BUCAREIN','JOINVILLE','SC',14766,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6277306,3.00,4.00,3.00,2.00,2.00,NULL,3.00,0.00,3.00,551,NULL,NULL,'CENTRO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6277314,4.00,5.00,0.00,3.00,8.00,NULL,3.00,3.00,0.00,302,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277322,7.00,7.00,4.00,7.00,6.00,7.88,6.00,5.00,8.00,216,NULL,233,'MIGUEL COUTO','CPO GRANDE','MS',3100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277330,4.00,5.00,1.00,7.00,5.00,NULL,0.00,1.00,0.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6277357,3.00,5.00,1.00,3.00,4.00,NULL,0.00,4.00,2.00,415,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6277365,2.00,2.00,2.00,5.00,4.00,8.25,1.00,3.00,3.00,202,NULL,213,'JARDIM EUROPA','CONCÓRDIA','SC',19978,629,NULL,288,NULL,NULL,NULL,2,7),(25,6277373,5.00,8.00,4.00,5.00,7.00,9.00,2.00,5.00,4.00,202,NULL,653,'CENTRO','MELEIRO','SC',6502,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6277381,4.00,3.00,2.00,1.00,6.00,6.75,2.00,3.00,3.00,211,NULL,212,'GANCHOS DE FORA','GOV CELSO RAMOS','SC',17895,474,NULL,523,NULL,NULL,NULL,2,1),(25,6277390,3.00,4.00,1.00,3.00,7.00,8.25,2.00,1.00,3.00,201,NULL,207,'SÃO CRISTOVÃO','CHAPECÓ','SC',18974,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6277403,7.00,7.00,2.00,5.00,9.00,12.75,2.00,2.00,2.00,201,NULL,216,'MALUCHE','BRUSQUE','SC',6631,476,NULL,251,NULL,NULL,NULL,4,2),(25,6277411,6.00,6.00,3.00,6.00,6.00,12.38,1.00,7.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277438,3.00,6.00,2.00,6.00,9.00,7.13,3.00,5.00,3.00,999,NULL,NULL,'CENTRO','MASSARANDUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6277446,3.00,6.00,1.00,2.00,4.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'CEARÁ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(25,6277454,3.00,3.00,1.00,2.00,5.00,6.75,2.00,3.00,2.00,203,NULL,NULL,'BRACINHO','SCHROEDER','SC',19021,1067,NULL,NULL,NULL,NULL,NULL,4,8),(25,6277470,4.00,4.00,3.00,7.00,8.00,9.38,1.00,3.00,3.00,501,NULL,NULL,'JARDIM BONGIOVANI','PRES PRUDENTE','SP',12130,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277489,4.00,2.00,1.00,3.00,7.00,9.38,1.00,0.00,1.00,103,NULL,NULL,'CENTRO','STA TEREZINHA ITAIPU','PR',18011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,653,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6277500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6277519,2.00,5.00,0.00,5.00,7.00,9.38,1.00,3.00,1.00,110,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',18408,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6277527,0.00,3.00,1.00,2.00,6.00,NULL,2.00,0.00,2.00,302,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SERTAOZINHO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6277543,5.00,2.00,1.00,3.00,7.00,7.88,2.00,3.00,2.00,212,NULL,213,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6277551,3.00,4.00,2.00,6.00,4.00,7.13,1.00,1.00,2.00,214,NULL,213,'GRANJA VIANA','COTIA','SP',18247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6277578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6277586,2.00,4.00,3.00,2.00,4.00,7.13,1.00,4.00,2.00,329,NULL,NULL,'HIPICA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277594,2.00,4.00,2.00,4.00,7.00,8.25,1.00,3.00,0.00,316,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',19254,224,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6277624,2.00,6.00,3.00,5.00,4.00,4.50,0.00,7.00,1.00,208,NULL,655,'CENTRO','S JOSÉ','SC',19125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6277632,2.00,2.00,0.00,2.00,2.00,NULL,3.00,1.00,2.00,201,NULL,212,'CENTRO','CPO ERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6277640,2.00,3.00,1.00,2.00,3.00,8.25,4.00,1.00,2.00,101,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',20978,166,NULL,NULL,NULL,NULL,NULL,2,1),(25,6277659,2.00,4.00,3.00,3.00,4.00,5.25,0.00,3.00,2.00,207,NULL,201,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6277675,1.00,3.00,2.00,1.00,5.00,7.50,1.00,0.00,1.00,337,NULL,NULL,'BIGORRILHO','CURITIBA','PR',20207,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6277691,3.00,3.00,2.00,3.00,5.00,7.88,1.00,0.00,3.00,102,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6277713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6277721,4.00,4.00,5.00,3.00,7.00,10.13,0.00,1.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13961,491,NULL,NULL,NULL,NULL,NULL,2,1),(25,6277730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6277756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6277764,9.00,6.00,2.00,6.00,8.00,11.63,3.00,7.00,8.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',2331,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6277772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'LOTEAMENTO SÃO PEDRO','BAGÉ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6277780,6.00,5.00,3.00,3.00,7.00,7.13,1.00,3.00,3.00,201,NULL,213,'JOAO PAULO','FLORIANÓPOLIS','SC',12740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277799,2.00,5.00,1.00,4.00,4.00,6.75,3.00,6.00,2.00,235,NULL,238,'CARIANOS','FLORIANÓPOLIS','SC',17796,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6277802,2.00,6.00,1.00,3.00,4.00,6.75,2.00,3.00,1.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',20638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6277810,5.00,5.00,3.00,2.00,3.00,9.38,2.00,6.00,5.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',10530,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6277829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6277853,4.00,6.00,2.00,4.00,8.00,9.00,2.00,4.00,5.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',10782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277861,3.00,6.00,2.00,4.00,6.00,6.38,3.00,4.00,5.00,601,NULL,212,'PQ DAS NAÇÕES','S JOÃO B VISTA','SP',12158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6277870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'MEDIANEIRA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6277888,5.00,4.00,1.00,5.00,7.00,8.25,1.00,2.00,1.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277918,6.00,7.00,2.00,5.00,7.00,10.13,2.00,3.00,1.00,103,NULL,NULL,'BOA VISTA','LIMEIRA','SP',7865,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6277926,3.00,3.00,1.00,2.00,6.00,NULL,0.00,4.00,2.00,110,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6277934,5.00,5.00,0.00,5.00,8.00,7.50,3.00,4.00,1.00,104,NULL,NULL,'MARGEM ESQUERDA','GASPAR','SC',14281,361,NULL,NULL,NULL,NULL,NULL,4,2),(25,6277942,6.00,6.00,3.00,6.00,8.00,7.13,3.00,7.00,3.00,318,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7829,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6277950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6277969,4.00,3.00,1.00,2.00,5.00,9.00,1.00,3.00,0.00,301,NULL,NULL,'CENTRO','REGISTRO','SP',16552,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6277977,6.00,5.00,1.00,6.00,8.00,10.88,2.00,6.00,8.00,601,NULL,201,'COSTA E SILVA','JOINVILLE','SC',4735,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6277985,5.00,7.00,3.00,4.00,6.00,8.25,3.00,2.00,4.00,501,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',10409,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6277993,4.00,5.00,3.00,3.00,2.00,NULL,3.00,4.00,5.00,317,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6278000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,653,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6278019,2.00,5.00,2.00,2.00,4.00,7.13,2.00,1.00,3.00,301,NULL,NULL,'FÁTIMA','VACARIA','RS',20618,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6278035,5.00,6.00,3.00,5.00,7.00,9.00,2.00,4.00,3.00,318,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',10579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6278043,2.00,5.00,0.00,5.00,5.00,NULL,1.00,3.00,0.00,309,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6278051,2.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'INTERIOR','IBIAM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6278086,4.00,7.00,0.00,2.00,1.00,NULL,3.00,3.00,0.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6278094,3.00,3.00,1.00,5.00,4.00,7.50,2.00,2.00,1.00,999,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6278108,5.00,3.00,2.00,4.00,6.00,7.13,0.00,3.00,3.00,340,NULL,NULL,'GLÓRIA','PTO ALEGRE','RS',17941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6278116,1.00,2.00,2.00,4.00,5.00,NULL,2.00,0.00,2.00,308,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6278124,8.00,7.00,7.00,7.00,8.00,10.50,6.00,9.00,9.00,203,NULL,214,'JARDINS','ARACAJU','SE',160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6278140,3.00,6.00,3.00,4.00,9.00,12.38,0.00,4.00,2.00,207,NULL,201,'ÁGUAS BRANCAS','URUBICI','SC',8788,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6278159,3.00,3.00,2.00,4.00,8.00,8.63,2.00,2.00,1.00,501,NULL,NULL,'BIGORRILHO','CURITIBA','PR',17783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6278175,0.00,4.00,1.00,5.00,7.00,NULL,0.00,4.00,2.00,999,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6278183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6278191,6.00,6.00,4.00,7.00,7.00,10.13,2.00,4.00,5.00,453,NULL,NULL,'VILA SÃO JOSÉ','S CARLOS','SP',4870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6278205,4.00,1.00,3.00,0.00,3.00,7.13,2.00,1.00,1.00,601,NULL,NULL,'ATIRADORES','JOINVILLE','SC',21597,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6278221,2.00,4.00,0.00,3.00,1.00,NULL,1.00,0.00,0.00,551,NULL,NULL,'ADOLFO CORREA DA SIL','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6278230,5.00,4.00,2.00,3.00,5.00,7.88,3.00,6.00,2.00,304,NULL,NULL,'IPIRANGA','S JOSÉ','SC',12848,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6278248,3.00,6.00,3.00,3.00,7.00,6.38,2.00,4.00,6.00,653,NULL,655,'CAVERAZINHO','ARARANGUÁ','SC',14591,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6278256,4.00,3.00,0.00,4.00,8.00,11.25,3.00,3.00,5.00,999,NULL,NULL,'CENTRO','BENEDITO NOVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6278272,6.00,6.00,4.00,7.00,7.00,8.25,2.00,5.00,4.00,103,NULL,NULL,'SETOR TRES','ARIQUEMES','RO',5601,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6278280,3.00,3.00,3.00,3.00,5.00,10.13,1.00,1.00,1.00,424,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',19722,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6278299,5.00,3.00,0.00,5.00,6.00,10.13,2.00,1.00,3.00,103,NULL,NULL,'JARDIM AMÉRICA','ITUPORANGA','SC',16910,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6278302,4.00,5.00,3.00,3.00,5.00,7.13,3.00,2.00,2.00,340,NULL,NULL,'CENTRO SÃO JOSÉ','S JOSÉ','SC',15631,345,NULL,NULL,NULL,NULL,NULL,4,1),(25,6278310,2.00,2.00,0.00,4.00,5.00,7.88,0.00,3.00,1.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',19552,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6278329,1.00,1.00,0.00,2.00,2.00,NULL,0.00,3.00,0.00,317,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6278337,3.00,4.00,1.00,2.00,6.00,11.63,1.00,4.00,0.00,332,NULL,NULL,'CARANAZAL','SANTARÉM','PA',17867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6278345,8.00,7.00,2.00,7.00,6.00,8.25,3.00,6.00,7.00,103,NULL,NULL,'SANTA CRUZ','BOITUVA','SP',3087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6278353,5.00,8.00,3.00,6.00,7.00,9.38,2.00,6.00,6.00,108,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',4213,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6278361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JD SANTA MENA','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6278370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6278426,3.00,5.00,2.00,2.00,6.00,6.00,2.00,5.00,1.00,999,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6278442,3.00,2.00,1.00,3.00,5.00,8.25,1.00,5.00,0.00,444,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',18178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6278450,2.00,5.00,2.00,4.00,8.00,7.13,3.00,6.00,1.00,109,NULL,NULL,'ALTO RIBEIRAO','FLORIANÓPOLIS','SC',16221,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6278469,4.00,6.00,1.00,7.00,10.00,9.75,2.00,6.00,6.00,9,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',6285,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6278477,8.00,7.00,5.00,6.00,9.00,10.13,3.00,8.00,7.00,103,NULL,NULL,'VILA AURORA','DOURADOS','MS',918,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6278493,2.00,3.00,1.00,5.00,5.00,7.50,1.00,4.00,3.00,319,NULL,NULL,'CENTRO','GUARAMIRIM','SC',19588,417,NULL,NULL,NULL,NULL,NULL,2,8),(25,6278507,2.00,5.00,2.00,4.00,2.00,NULL,2.00,1.00,2.00,444,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6278523,8.00,5.00,2.00,7.00,8.00,7.13,3.00,7.00,5.00,220,NULL,235,'SANTA CRUZ','CUIABÁ','MT',5285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6278531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA GLORIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6278540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ZONA NORTE','CAPÃO CANOA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6278558,4.00,4.00,5.00,5.00,6.00,6.75,2.00,3.00,2.00,212,NULL,213,'LOTEAMENTO BOURBON','FOZ IGUAÇU','PR',12856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6278566,3.00,4.00,1.00,4.00,7.00,9.38,2.00,4.00,2.00,415,NULL,NULL,'JARDIM CORTE','CORDEIRÓPOLIS','SP',16997,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6278574,9.00,6.00,3.00,5.00,10.00,11.63,2.00,6.00,7.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',2047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6278582,3.00,5.00,1.00,7.00,8.00,9.38,0.00,6.00,1.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',10522,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6278590,7.00,6.00,4.00,4.00,9.00,9.00,1.00,3.00,6.00,201,NULL,202,'FLORESTA','JOINVILLE','SC',5987,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6278604,2.00,3.00,3.00,2.00,6.00,6.75,0.00,0.00,2.00,9,NULL,NULL,'FAZENDA','ITAJAÍ','SC',21331,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6278620,7.00,7.00,0.00,4.00,6.00,NULL,2.00,5.00,2.00,103,NULL,NULL,'SAO CRISTOVAO','LAJEADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6278639,2.00,4.00,1.00,1.00,5.00,7.88,0.00,4.00,1.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',19420,4630,NULL,NULL,NULL,NULL,NULL,4,1),(25,6278647,2.00,3.00,1.00,3.00,7.00,6.38,1.00,1.00,1.00,502,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6278655,6.00,7.00,0.00,6.00,9.00,8.63,2.00,4.00,2.00,103,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',8569,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6278663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6278680,2.00,4.00,5.00,1.00,5.00,6.75,3.00,0.00,2.00,216,NULL,207,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',20529,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6278698,2.00,3.00,1.00,3.00,4.00,8.25,1.00,1.00,3.00,340,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6278701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6278710,3.00,7.00,1.00,1.00,7.00,6.75,2.00,3.00,2.00,327,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',18965,56,NULL,NULL,NULL,NULL,NULL,2,1),(25,6278728,4.00,5.00,1.00,3.00,8.00,8.25,0.00,2.00,2.00,303,NULL,NULL,'SANTO ANTONIO','FRAIBURGO','SC',14963,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6278736,5.00,8.00,3.00,3.00,6.00,7.88,2.00,6.00,3.00,653,NULL,211,'SÃO JOSÉ','SOMBRIO','SC',8826,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6278744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'PADRE ANTONIO','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6278752,5.00,6.00,3.00,7.00,6.00,9.75,1.00,7.00,5.00,303,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',5034,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6278760,5.00,3.00,1.00,4.00,7.00,7.50,1.00,4.00,2.00,104,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',15290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6278779,6.00,8.00,2.00,7.00,9.00,8.25,2.00,7.00,4.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',5328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6278787,3.00,3.00,1.00,3.00,4.00,9.75,3.00,1.00,3.00,103,NULL,NULL,'CENTRO','IMBITUBA','SC',17670,4500,NULL,NULL,NULL,NULL,NULL,4,1),(25,6278795,4.00,7.00,2.00,7.00,9.00,7.88,0.00,2.00,3.00,340,NULL,NULL,'STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC',13447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6278809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'SOUSAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6278817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6278825,4.00,3.00,2.00,4.00,5.00,10.13,1.00,2.00,2.00,339,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6278841,0.00,2.00,1.00,1.00,3.00,8.63,1.00,2.00,3.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',21573,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6278876,6.00,6.00,5.00,6.00,9.00,10.50,4.00,6.00,2.00,319,NULL,NULL,'CENTRO','CPO GRANDE','MS',4681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6278884,4.00,6.00,2.00,6.00,6.00,7.88,3.00,2.00,5.00,301,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9739,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6278892,3.00,4.00,3.00,4.00,7.00,8.25,1.00,6.00,2.00,324,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6278906,7.00,6.00,2.00,7.00,8.00,9.00,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4891,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6278914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ÁGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6278930,6.00,7.00,2.00,4.00,8.00,9.75,2.00,8.00,4.00,999,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6278965,6.00,6.00,3.00,6.00,8.00,7.13,1.00,6.00,5.00,501,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',6368,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6278973,1.00,2.00,1.00,2.00,3.00,7.88,1.00,1.00,0.00,207,NULL,201,'CRISTO REI','CHAPECÓ','SC',20925,1138,NULL,1689,NULL,NULL,NULL,4,4),(25,6278981,3.00,5.00,1.00,4.00,5.00,NULL,3.00,1.00,3.00,104,NULL,NULL,'SANTA BÁRBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(25,6278990,3.00,4.00,2.00,5.00,6.00,9.38,2.00,4.00,3.00,301,NULL,NULL,'VILLAGE VERT','SOROCABA','SP',12361,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6279023,3.00,7.00,2.00,2.00,7.00,7.50,2.00,4.00,2.00,211,NULL,201,'COHAB LESTE','CPO BOM','RS',16965,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6279031,4.00,5.00,0.00,4.00,6.00,7.50,0.00,1.00,2.00,326,NULL,NULL,'CENTRO','VARGINHA','MG',18192,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6279040,5.00,4.00,2.00,6.00,8.00,11.63,0.00,4.00,4.00,104,NULL,NULL,'PADRE REUS','S LEOPOLDO','RS',8850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279058,8.00,6.00,1.00,5.00,6.00,10.50,4.00,3.00,8.00,103,NULL,NULL,'CENRO','CPO GRANDE','MS',4558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'PAJUÇARA','MACEIÓ','AL',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6279074,3.00,7.00,2.00,5.00,8.00,7.88,2.00,5.00,5.00,103,NULL,NULL,'INDEPENDENCIA','PTO ALEGRE','RS',7698,3116,NULL,NULL,NULL,NULL,NULL,2,15),(25,6279082,3.00,5.00,0.00,4.00,7.00,6.38,1.00,2.00,0.00,420,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',19379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279090,3.00,4.00,2.00,3.00,5.00,9.00,3.00,1.00,2.00,5,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6279104,4.00,4.00,2.00,5.00,3.00,8.25,1.00,2.00,2.00,101,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',16145,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279112,5.00,4.00,1.00,2.00,7.00,7.13,3.00,2.00,3.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',18133,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6279120,3.00,3.00,2.00,4.00,4.00,8.25,2.00,1.00,3.00,103,NULL,NULL,'GOIABEIRAS','CUIABÁ','MT',17219,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6279139,3.00,3.00,3.00,7.00,6.00,9.38,2.00,4.00,3.00,301,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',13458,148,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279147,3.00,6.00,2.00,4.00,5.00,4.50,3.00,4.00,3.00,203,NULL,211,'FORQUILINHAS','S JOSÉ','SC',16060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279155,4.00,5.00,1.00,6.00,8.00,10.13,1.00,8.00,4.00,3,NULL,NULL,'OFICINAS','TUBARÃO','SC',9765,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6279171,2.00,5.00,3.00,5.00,7.00,6.75,0.00,4.00,3.00,339,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15598,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6279180,2.00,0.00,0.00,3.00,3.00,6.75,0.00,3.00,0.00,450,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',21566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279198,4.00,4.00,1.00,6.00,6.00,8.25,0.00,4.00,4.00,203,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',11932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279201,6.00,7.00,0.00,4.00,7.00,NULL,3.00,7.00,2.00,503,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279210,2.00,4.00,2.00,2.00,6.00,9.75,1.00,0.00,2.00,336,NULL,NULL,'CENTRO','BARRACÃO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6279236,3.00,7.00,5.00,4.00,4.00,7.88,2.00,5.00,3.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279244,3.00,5.00,2.00,4.00,5.00,NULL,1.00,1.00,0.00,5,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6279252,2.00,5.00,3.00,1.00,5.00,NULL,0.00,1.00,1.00,102,NULL,NULL,'VILA MARIA','PRES EPITÁCIO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6279260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'COHAB MASSANGANO','PETROLINA','PE',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6279279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6279287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6279309,5.00,5.00,4.00,5.00,5.00,7.50,0.00,2.00,6.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',10590,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6279317,1.00,1.00,3.00,3.00,3.00,4.50,0.00,3.00,1.00,207,NULL,201,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6279325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COND LAGO AZUL','ARAÇOIABA SERRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6279333,7.00,4.00,2.00,5.00,9.00,9.00,3.00,5.00,3.00,216,NULL,207,'CENTRO','CIANORTE','PR',7413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279341,3.00,5.00,1.00,3.00,4.00,8.25,3.00,4.00,1.00,340,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6279350,4.00,5.00,1.00,2.00,6.00,7.88,1.00,6.00,4.00,103,NULL,NULL,'BELA VISTA','PALHOÇA','SC',13095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279368,1.00,5.00,1.00,1.00,6.00,4.50,1.00,3.00,0.00,103,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',21538,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6279384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6279392,6.00,6.00,3.00,3.00,7.00,7.50,3.00,4.00,5.00,203,NULL,201,'TABULEIRO','CAMBORIÚ','SC',8431,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6279406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6279414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JARDIM DONA EMÍLIA','JAÚ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6279422,6.00,5.00,2.00,5.00,9.00,7.88,1.00,5.00,4.00,238,NULL,208,'LOT IPIRANGA','BIGUAÇU','SC',9188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279449,6.00,5.00,2.00,5.00,8.00,11.25,1.00,3.00,3.00,102,NULL,NULL,'CENTRO','TUPI PAULISTA','SP',8886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6279473,4.00,4.00,4.00,3.00,5.00,7.88,2.00,3.00,6.00,201,NULL,207,'IPIRANGA','S JOSÉ','SC',10147,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6279481,2.00,4.00,1.00,0.00,3.00,8.25,1.00,2.00,1.00,319,NULL,NULL,'VILA LALAU','JARAGUÁ SUL','SC',21525,469,NULL,NULL,NULL,NULL,NULL,4,8),(25,6279490,3.00,2.00,1.00,1.00,6.00,NULL,0.00,0.00,1.00,444,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6279511,6.00,7.00,4.00,5.00,6.00,8.63,0.00,7.00,2.00,421,NULL,423,'JARDIM SUMARÉ','RIBEIRÃO PRETO','SP',9464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279520,4.00,7.00,2.00,1.00,7.00,7.50,0.00,5.00,5.00,203,NULL,601,'CENTRO','S JOAQUIM','SC',12839,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6279538,2.00,4.00,3.00,2.00,4.00,6.38,1.00,4.00,3.00,335,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',18106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6279546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6279554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6279562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6279570,6.00,6.00,2.00,5.00,9.00,8.25,2.00,6.00,3.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9147,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6279597,5.00,4.00,2.00,5.00,5.00,6.00,2.00,3.00,4.00,110,NULL,NULL,'CENTRO','PALHOÇA','SC',15930,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6279600,7.00,6.00,2.00,3.00,7.00,7.88,3.00,7.00,4.00,655,NULL,653,'CENTRO','ERMO','SC',7791,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6279619,3.00,2.00,1.00,1.00,4.00,7.88,2.00,3.00,1.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',21357,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6279627,8.00,6.00,3.00,4.00,7.00,9.38,2.00,6.00,6.00,108,NULL,NULL,'CENTRO','ALTÔNIA','PR',6352,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6279635,2.00,5.00,3.00,2.00,8.00,NULL,1.00,3.00,0.00,324,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279643,2.00,5.00,4.00,3.00,4.00,7.50,3.00,4.00,3.00,110,NULL,NULL,'AMBRÓSIO','GAROPABA','SC',18233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6279651,2.00,5.00,5.00,5.00,6.00,8.25,2.00,3.00,2.00,235,NULL,213,'SÃO JOÃO','ITAJAÍ','SC',9917,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6279660,5.00,6.00,1.00,5.00,9.00,10.13,2.00,4.00,2.00,316,NULL,NULL,'FORTALEZA','BLUMENAU','SC',11938,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6279678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(25,6279694,3.00,6.00,3.00,4.00,6.00,NULL,1.00,0.00,1.00,415,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6279716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAETANO BRANCO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6279724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6279740,7.00,6.00,1.00,7.00,9.00,9.38,3.00,7.00,5.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',3880,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(25,6279759,4.00,5.00,1.00,4.00,2.00,NULL,1.00,4.00,3.00,207,NULL,201,'TRINTA RÉIS','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6279767,5.00,6.00,1.00,3.00,3.00,7.88,1.00,0.00,3.00,201,NULL,233,'RIO MORTO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6279775,3.00,4.00,0.00,4.00,5.00,6.38,4.00,5.00,3.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14765,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6279783,1.00,3.00,0.00,2.00,3.00,NULL,1.00,0.00,1.00,101,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6279791,3.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6279805,4.00,5.00,0.00,3.00,6.00,7.88,3.00,5.00,2.00,316,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6279813,1.00,2.00,0.00,2.00,5.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6279821,6.00,7.00,5.00,3.00,7.00,7.88,2.00,8.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',3283,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6279830,6.00,7.00,1.00,5.00,6.00,7.13,2.00,5.00,3.00,415,NULL,NULL,'RIACHINHO','JAGUARUNA','SC',10384,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6279848,1.00,3.00,1.00,4.00,4.00,9.75,2.00,1.00,1.00,3,NULL,NULL,'CRUZEIRO','S BENTO SUL','SC',18004,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6279856,3.00,4.00,5.00,5.00,6.00,8.63,1.00,5.00,3.00,415,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12427,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6279864,2.00,3.00,2.00,2.00,7.00,6.75,0.00,4.00,1.00,316,NULL,NULL,'CENTRO','MASSARANDUBA','SC',17612,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6279872,3.00,6.00,3.00,3.00,3.00,6.00,3.00,2.00,3.00,220,NULL,203,'SANTA RITA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6279880,5.00,4.00,3.00,5.00,5.00,7.88,2.00,4.00,5.00,207,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',10783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279899,4.00,4.00,3.00,2.00,7.00,10.88,4.00,2.00,5.00,304,NULL,NULL,'CENTRO','CPO GRANDE','MS',11111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279902,5.00,5.00,1.00,6.00,5.00,8.63,0.00,4.00,2.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279910,7.00,5.00,3.00,5.00,9.00,10.50,3.00,8.00,5.00,103,NULL,NULL,'CENTRO','STA HELENA','PR',3240,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6279937,4.00,6.00,2.00,5.00,8.00,8.25,2.00,4.00,3.00,5,NULL,NULL,'CENTRO','TURVO','SC',9565,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6279945,6.00,9.00,3.00,7.00,9.00,11.25,3.00,8.00,6.00,211,NULL,215,'ITACORUBI','FLORIANÓPOLIS','SC',1415,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6279953,3.00,5.00,2.00,2.00,5.00,7.13,0.00,0.00,1.00,333,NULL,NULL,'SETOR JAÓ','GOIÂNIA','GO',21088,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6279961,4.00,5.00,2.00,4.00,8.00,10.13,1.00,5.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6279970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARAGUA ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6279996,9.00,7.00,3.00,7.00,9.00,12.38,2.00,5.00,6.00,329,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',2434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6280005,3.00,4.00,4.00,3.00,5.00,NULL,1.00,1.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6280021,4.00,4.00,2.00,6.00,5.00,NULL,1.00,4.00,2.00,238,NULL,202,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6280056,2.00,5.00,3.00,4.00,5.00,7.13,3.00,5.00,0.00,329,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',18558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6280064,5.00,4.00,1.00,2.00,4.00,6.75,2.00,3.00,1.00,103,NULL,NULL,'CENTRO','FRAIBURGO','SC',16701,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6280072,4.00,2.00,1.00,2.00,7.00,8.63,3.00,5.00,2.00,238,NULL,208,'PICADAS DO NORTE','S JOSÉ','SC',14125,256,NULL,284,NULL,NULL,NULL,2,1),(25,6280080,4.00,2.00,2.00,7.00,6.00,10.13,2.00,2.00,5.00,999,NULL,NULL,'PAU ARCADO','CPO LIMPO PAULISTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6280099,3.00,2.00,1.00,2.00,6.00,7.13,2.00,1.00,2.00,415,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',19625,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6280102,3.00,7.00,3.00,4.00,7.00,7.13,2.00,4.00,1.00,336,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',15641,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6280110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',5,8),(25,6280137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'JARDIM GRAMADO','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',5,9),(25,6280145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,653,'BRASILIA','COCAL SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6280153,1.00,5.00,2.00,2.00,7.00,6.00,2.00,4.00,1.00,238,NULL,208,'FAZENDA STO ANTONIO','S JOSÉ','SC',20178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6280170,2.00,5.00,2.00,4.00,6.00,10.50,1.00,1.00,1.00,339,NULL,NULL,'JD ELDORADO','PALHOÇA','SC',15313,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6280188,1.00,5.00,0.00,2.00,2.00,NULL,2.00,1.00,2.00,101,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6280200,6.00,7.00,3.00,8.00,11.00,12.75,1.00,7.00,6.00,450,NULL,NULL,'SANTA RITA','BRUSQUE','SC',2197,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6280218,2.00,6.00,4.00,3.00,8.00,7.88,0.00,3.00,1.00,310,NULL,NULL,'FREI ROGÉRIO','LAGES','SC',17981,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6280226,2.00,4.00,1.00,2.00,4.00,7.88,2.00,4.00,1.00,999,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6280242,6.00,3.00,3.00,6.00,8.00,8.63,2.00,4.00,6.00,207,NULL,212,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7399,324,NULL,NULL,NULL,NULL,NULL,2,1),(25,6280250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'NEREU RAMOS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6280269,5.00,3.00,1.00,6.00,9.00,8.25,3.00,1.00,5.00,207,NULL,201,'SÃO JUDAS','PIRACICABA','SP',10859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6280285,2.00,2.00,1.00,3.00,4.00,6.75,2.00,2.00,1.00,102,NULL,NULL,'MICHEL','CRICIÚMA','SC',19882,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6280293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6280307,5.00,7.00,0.00,4.00,8.00,9.38,3.00,4.00,3.00,103,NULL,NULL,'GLÓRIA','BLUMENAU','SC',9156,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6280315,2.00,5.00,0.00,2.00,7.00,7.88,2.00,4.00,1.00,310,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',19217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6280331,6.00,7.00,5.00,7.00,9.00,8.63,1.00,5.00,8.00,103,NULL,NULL,'DEHON','TUBARÃO','SC',3243,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6280340,7.00,7.00,4.00,6.00,9.00,7.50,1.00,8.00,5.00,103,NULL,NULL,'JARDIM FLORIANOPOLIS','S JOSÉ','SC',5396,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6280366,6.00,6.00,3.00,3.00,7.00,5.63,2.00,7.00,7.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',6595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6280374,4.00,5.00,3.00,4.00,6.00,9.00,1.00,4.00,1.00,501,NULL,NULL,'MORRO DO FABRICIO','STO AMARO IMPERATRIZ','SC',13905,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6280390,6.00,4.00,4.00,5.00,7.00,8.63,2.00,6.00,7.00,201,NULL,207,'CENTRO','UMUARAMA','PR',6342,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6280404,4.00,6.00,5.00,6.00,9.00,10.13,0.00,5.00,6.00,215,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',6064,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6280412,4.00,3.00,1.00,3.00,8.00,8.25,1.00,3.00,0.00,319,NULL,NULL,'JARDIM OSVALDO CRUZ','S JOSÉ CAMPOS','SP',16004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6280420,2.00,2.00,1.00,2.00,3.00,7.50,2.00,1.00,1.00,101,NULL,NULL,'CIGANA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6280439,2.00,4.00,0.00,2.00,5.00,5.63,2.00,3.00,0.00,208,NULL,238,'BOM VIVER','BIGUAÇU','SC',21286,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6280447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'ENCRUZO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6280455,7.00,7.00,2.00,5.00,4.00,7.88,0.00,5.00,3.00,336,NULL,NULL,'VILA NOVA','RIO NEGRINHO','SC',11763,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6280463,8.00,7.00,2.00,6.00,10.00,9.75,3.00,7.00,5.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',2305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6280471,7.00,5.00,4.00,6.00,7.00,8.63,5.00,7.00,4.00,238,NULL,208,'BRASILIA','CRICIÚMA','SC',4171,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6280480,7.00,4.00,2.00,4.00,7.00,9.00,1.00,4.00,7.00,104,NULL,NULL,'INTERIOR','SANANDUVA','RS',6443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6280498,2.00,5.00,2.00,5.00,8.00,8.63,3.00,5.00,3.00,201,NULL,212,'SANTA CATARINA','S LOURENÇO OESTE','SC',10102,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6280501,3.00,6.00,1.00,5.00,6.00,7.13,2.00,3.00,5.00,214,NULL,213,'DEHON','TUBARÃO','SC',14841,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6280528,2.00,2.00,1.00,3.00,6.00,8.63,0.00,1.00,3.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',18223,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6280536,2.00,5.00,0.00,5.00,8.00,NULL,0.00,0.00,1.00,655,NULL,652,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6280544,4.00,5.00,2.00,2.00,4.00,NULL,0.00,2.00,4.00,415,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6280552,4.00,3.00,2.00,2.00,6.00,6.00,2.00,2.00,1.00,214,NULL,213,'CENTRO','PIRACICABA','SP',18099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6280560,4.00,0.00,3.00,6.00,5.00,NULL,0.00,0.00,0.00,208,NULL,238,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6280579,5.00,8.00,4.00,2.00,7.00,10.50,1.00,1.00,6.00,216,NULL,211,'ESTAÇÃO','URUSSANGA','SC',9336,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6280587,2.00,3.00,1.00,3.00,4.00,6.38,2.00,1.00,2.00,308,NULL,NULL,'CENTRO','BIGUAÇU','SC',21329,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6280595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6280609,6.00,5.00,5.00,5.00,6.00,8.25,4.00,4.00,4.00,203,NULL,202,'INGLESES','FLORIANÓPOLIS','SC',6529,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6280617,4.00,7.00,1.00,3.00,5.00,8.63,1.00,2.00,2.00,304,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',17998,132,NULL,NULL,NULL,NULL,NULL,2,1),(25,6280625,6.00,6.00,3.00,4.00,7.00,13.50,0.00,3.00,2.00,303,NULL,NULL,'CENTRO','STA MARIA','RS',8593,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6280633,5.00,7.00,3.00,7.00,8.00,7.88,4.00,6.00,3.00,202,NULL,201,'COMERCIARIO','CRICIÚMA','SC',5804,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6280641,5.00,7.00,2.00,7.00,8.00,10.13,0.00,5.00,3.00,303,NULL,NULL,'ITAUM','JOINVILLE','SC',6400,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6280650,0.00,5.00,0.00,0.00,0.00,NULL,2.00,3.00,3.00,999,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',4,1),(25,6280668,4.00,7.00,1.00,7.00,8.00,10.50,2.00,4.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6280676,4.00,5.00,1.00,2.00,6.00,8.63,0.00,5.00,5.00,102,NULL,NULL,'SAGRADO CORACAO DE J','LAGES','SC',15224,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6280684,3.00,0.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,207,NULL,220,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6280692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA FÉ','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6280706,4.00,4.00,1.00,5.00,5.00,7.50,1.00,1.00,2.00,103,NULL,NULL,'MONT SERRAT','PTO ALEGRE','RS',16423,4372,NULL,NULL,NULL,NULL,NULL,2,4),(25,6280757,5.00,7.00,1.00,5.00,7.00,9.75,2.00,4.00,4.00,201,NULL,NULL,'CENTRO','CURITIBA','PR',7945,597,NULL,NULL,NULL,NULL,NULL,4,8),(25,6280773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6280803,3.00,5.00,0.00,6.00,6.00,NULL,2.00,2.00,3.00,999,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6280811,6.00,3.00,3.00,7.00,9.00,9.00,2.00,4.00,3.00,201,NULL,NULL,'CRUZEIRO DO SUL','JOAÇABA','SC',10105,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6280820,1.00,4.00,0.00,1.00,4.00,10.13,1.00,1.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',21558,80,NULL,NULL,NULL,NULL,NULL,4,16),(25,6280846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','NONOAI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6280862,0.00,2.00,2.00,1.00,4.00,6.38,2.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6280889,2.00,4.00,3.00,4.00,5.00,7.13,0.00,2.00,1.00,327,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6280897,4.00,5.00,2.00,6.00,8.00,7.88,3.00,5.00,1.00,654,NULL,NULL,'CENTRO','TURVO','SC',10763,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6280900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,211,'ITAMARACÁ','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6280919,4.00,6.00,2.00,7.00,7.00,9.38,2.00,3.00,1.00,235,NULL,213,'FORQUILHINHAS','S JOSÉ','SC',9684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6280927,1.00,5.00,2.00,2.00,4.00,7.50,2.00,3.00,4.00,212,NULL,601,'FORQUILHINHAS','S JOSÉ','SC',19674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6280935,7.00,6.00,1.00,3.00,8.00,8.63,2.00,5.00,2.00,103,NULL,NULL,'RECANTO DOS MAGNATAS','MARINGÁ','PR',12854,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6280943,4.00,6.00,2.00,5.00,5.00,NULL,0.00,4.00,5.00,233,NULL,216,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6280951,1.00,2.00,2.00,1.00,4.00,6.75,0.00,1.00,1.00,216,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',21351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6280960,2.00,4.00,3.00,4.00,5.00,6.75,3.00,4.00,4.00,201,NULL,202,'SERRARIA','S JOSÉ','SC',14638,1247,NULL,454,NULL,NULL,NULL,2,1),(25,6280986,2.00,6.00,0.00,5.00,6.00,NULL,0.00,3.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6280994,3.00,3.00,1.00,4.00,5.00,9.00,1.00,1.00,0.00,316,NULL,NULL,'BELA VISTA','S JOSÉ','SC',20717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281001,3.00,5.00,3.00,6.00,5.00,6.38,3.00,5.00,3.00,303,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',11447,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6281010,7.00,7.00,3.00,4.00,8.00,7.88,3.00,2.00,7.00,214,NULL,233,'SANTA MÔNICA','FLORIANÓPOLIS','SC',4866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281028,3.00,4.00,3.00,4.00,6.00,7.88,2.00,6.00,5.00,102,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',10458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281036,4.00,6.00,1.00,6.00,5.00,9.38,1.00,5.00,4.00,336,NULL,NULL,'CENTRO','PRES PRUDENTE','SP',9886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281044,3.00,2.00,5.00,2.00,3.00,NULL,2.00,2.00,0.00,9,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281052,5.00,5.00,3.00,5.00,7.00,7.88,0.00,4.00,1.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',11528,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6281060,6.00,6.00,2.00,3.00,5.00,6.38,3.00,4.00,4.00,203,NULL,201,'ALVORADA','XAXIM','SC',11060,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6281095,7.00,5.00,2.00,7.00,5.00,10.13,0.00,4.00,6.00,103,NULL,NULL,'NOVOS ESTADOS','CPO GRANDE','MS',10167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281109,5.00,6.00,4.00,3.00,8.00,8.25,3.00,4.00,4.00,5,NULL,NULL,'FLORESTA','S JOSÉ','SC',7434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6281133,2.00,6.00,2.00,7.00,4.00,4.88,1.00,4.00,2.00,201,NULL,212,'JURERE','FLORIANÓPOLIS','SC',17286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281141,3.00,5.00,0.00,2.00,6.00,7.88,1.00,2.00,1.00,999,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281150,2.00,2.00,1.00,4.00,8.00,NULL,0.00,3.00,3.00,202,NULL,235,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6281176,7.00,7.00,1.00,5.00,7.00,7.88,0.00,5.00,3.00,104,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',8506,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6281184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',5,3),(25,6281206,5.00,4.00,4.00,4.00,6.00,7.50,2.00,6.00,4.00,214,NULL,208,'ZONA SETE','MARINGÁ','PR',11154,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6281214,6.00,6.00,3.00,6.00,10.00,9.75,3.00,6.00,5.00,216,NULL,215,'TERCEIRA LINHA','IÇARA','SC',3494,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6281230,5.00,5.00,3.00,6.00,9.00,9.00,1.00,6.00,5.00,303,NULL,NULL,'VILA PROGRESSO','DOURADOS','MS',5308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281249,7.00,7.00,4.00,6.00,9.00,7.88,3.00,5.00,7.00,999,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281257,6.00,7.00,4.00,7.00,8.00,7.50,2.00,6.00,6.00,201,NULL,212,'PIRABEIRABA','JOINVILLE','SC',5375,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6281265,6.00,7.00,3.00,6.00,10.00,9.38,4.00,5.00,4.00,420,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281273,2.00,4.00,0.00,5.00,6.00,NULL,1.00,1.00,0.00,450,NULL,NULL,'SANTA ROSA','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6281281,3.00,5.00,2.00,2.00,6.00,4.50,2.00,1.00,2.00,308,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281290,5.00,7.00,4.00,4.00,7.00,9.00,3.00,6.00,4.00,5,NULL,NULL,'PILARZINHO','CURITIBA','PR',5923,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281303,3.00,7.00,3.00,4.00,5.00,9.00,2.00,1.00,4.00,301,NULL,NULL,'CAMPO DE DEMONSTRAÇÂ','S PEDRO ALCÂNTARA','SC',13289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TERESÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6281320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6281338,6.00,2.00,2.00,4.00,7.00,10.50,1.00,4.00,3.00,211,NULL,216,'ITAUM','JOINVILLE','SC',10705,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6281346,4.00,2.00,3.00,4.00,5.00,7.13,2.00,3.00,1.00,235,NULL,202,'CENTRO','APUCARANA','PR',16442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281354,4.00,7.00,2.00,3.00,9.00,8.25,3.00,5.00,1.00,109,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281362,5.00,5.00,4.00,7.00,9.00,9.38,1.00,8.00,9.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',2250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281370,4.00,6.00,2.00,3.00,7.00,6.38,3.00,5.00,2.00,333,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',13835,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6281389,3.00,6.00,3.00,7.00,4.00,9.00,3.00,5.00,4.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281400,4.00,5.00,5.00,3.00,6.00,8.63,2.00,4.00,3.00,601,NULL,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',13806,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6281419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6281427,3.00,4.00,2.00,7.00,8.00,10.88,2.00,3.00,5.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',7609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TIFA MARTINS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6281451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6281460,2.00,6.00,0.00,2.00,6.00,6.75,0.00,6.00,2.00,214,NULL,203,'SANTO ANTONIO','JOINVILLE','SC',18955,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6281478,3.00,4.00,2.00,4.00,8.00,7.50,0.00,0.00,2.00,5,NULL,NULL,'BONSUCESSI','GRAVATAÍ','RS',16947,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281486,3.00,4.00,1.00,2.00,6.00,8.25,0.00,0.00,2.00,999,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6281494,4.00,4.00,4.00,5.00,6.00,7.50,0.00,3.00,2.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16046,96,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281508,1.00,4.00,1.00,5.00,5.00,6.38,2.00,2.00,2.00,337,NULL,NULL,'CAMPINAS','S JOSÉ','SC',20910,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281524,2.00,6.00,1.00,4.00,6.00,9.75,1.00,4.00,2.00,424,NULL,427,'CARVOEIRA','FLORIANÓPOLIS','SC',17385,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281532,3.00,5.00,2.00,4.00,7.00,9.38,3.00,4.00,4.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6281540,9.00,6.00,3.00,8.00,11.00,11.63,3.00,6.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281559,3.00,2.00,2.00,3.00,5.00,9.00,0.00,4.00,5.00,102,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',16323,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281567,6.00,6.00,2.00,6.00,7.00,9.00,2.00,7.00,6.00,103,NULL,NULL,'MICHEL','CRICIÚMA','SC',4424,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6281575,4.00,5.00,2.00,5.00,6.00,8.25,2.00,1.00,3.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',15006,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6281583,3.00,6.00,3.00,3.00,7.00,7.88,2.00,2.00,0.00,601,NULL,212,'SAGUAÇU','JOINVILLE','SC',15162,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6281605,1.00,4.00,2.00,0.00,1.00,NULL,2.00,2.00,0.00,103,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281613,7.00,6.00,1.00,4.00,8.00,8.25,2.00,5.00,5.00,108,NULL,NULL,'BUCAREIN','JOINVILLE','SC',7675,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6281621,7.00,6.00,5.00,7.00,8.00,8.63,4.00,5.00,7.00,201,NULL,216,'SANTA FELICIDADE','CURITIBA','PR',2097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281630,3.00,5.00,3.00,5.00,6.00,8.63,3.00,3.00,3.00,415,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281648,2.00,2.00,2.00,1.00,6.00,7.13,2.00,4.00,0.00,452,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',18947,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281664,7.00,5.00,5.00,4.00,9.00,8.25,4.00,5.00,4.00,220,NULL,601,'SÃO SEBASTIÃO','CRICIÚMA','SC',6550,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6281672,0.00,1.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CERRO BAIO','RIO RUFINO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6281680,4.00,3.00,1.00,3.00,5.00,5.25,0.00,4.00,0.00,235,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281699,3.00,5.00,4.00,6.00,6.00,5.25,4.00,4.00,3.00,404,NULL,NULL,'JARDIM ITAGUAÇU','FLORIANÓPOLIS','SC',10490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281702,3.00,7.00,2.00,3.00,8.00,11.25,1.00,6.00,3.00,452,NULL,NULL,'CORAL','LAGES','SC',9259,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6281710,5.00,6.00,2.00,6.00,5.00,10.88,2.00,4.00,3.00,103,NULL,NULL,'SETOR JAO','GOIÂNIA','GO',9210,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6281737,6.00,5.00,3.00,5.00,6.00,5.63,2.00,8.00,6.00,202,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',6167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281753,3.00,2.00,1.00,1.00,4.00,6.00,2.00,0.00,0.00,203,NULL,201,'CENTRO','CRICIÚMA','SC',20211,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6281770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'RIO BONITO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281788,3.00,5.00,0.00,4.00,9.00,8.63,1.00,5.00,3.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281796,4.00,5.00,3.00,4.00,6.00,NULL,0.00,7.00,4.00,302,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281800,3.00,4.00,2.00,5.00,3.00,7.88,1.00,2.00,2.00,224,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281818,7.00,6.00,3.00,6.00,9.00,10.88,2.00,3.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281826,3.00,3.00,0.00,2.00,6.00,NULL,2.00,3.00,0.00,301,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281834,7.00,5.00,3.00,4.00,8.00,12.38,2.00,3.00,6.00,303,NULL,NULL,'VINHEDOS','CAXIAS SUL','RS',5560,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6281842,5.00,6.00,3.00,7.00,8.00,10.13,2.00,3.00,2.00,415,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',10228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281850,3.00,4.00,2.00,4.00,7.00,9.00,1.00,1.00,4.00,203,NULL,208,'FORQUILHINHAS','S JOSÉ','SC',14643,912,NULL,309,NULL,NULL,NULL,4,1),(25,6281869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6281877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',5,3),(25,6281885,1.00,3.00,0.00,2.00,4.00,NULL,1.00,2.00,0.00,101,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281893,6.00,5.00,1.00,6.00,8.00,10.50,2.00,6.00,3.00,103,NULL,NULL,'VILA EUNICE NOVA','CACHOEIRINHA','RS',6615,2860,NULL,NULL,NULL,NULL,NULL,2,15),(25,6281907,2.00,2.00,0.00,2.00,6.00,NULL,0.00,0.00,1.00,103,NULL,NULL,'SERRANO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281915,8.00,5.00,4.00,6.00,9.00,7.88,3.00,5.00,5.00,203,NULL,220,'SAGUAÇU','JOINVILLE','SC',3664,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6281923,2.00,2.00,0.00,2.00,7.00,8.25,1.00,2.00,3.00,211,NULL,215,'CENTRO','ITAJAÍ','SC',17996,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6281931,3.00,4.00,1.00,3.00,4.00,7.50,1.00,5.00,1.00,212,NULL,207,'PAES LEME','IMBITUBA','SC',17100,507,NULL,913,NULL,NULL,NULL,2,10),(25,6281940,4.00,5.00,1.00,3.00,8.00,7.88,2.00,4.00,1.00,104,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',15266,403,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281958,4.00,6.00,1.00,3.00,7.00,8.63,1.00,3.00,2.00,201,NULL,212,'BARREIROS','S JOSÉ','SC',14582,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281966,5.00,5.00,2.00,5.00,7.00,9.38,3.00,3.00,3.00,333,NULL,NULL,'JARDIM VIRGÍNIA','ITAPECERICA SERRA','SP',8974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6281974,3.00,4.00,3.00,4.00,4.00,8.25,2.00,3.00,5.00,220,NULL,215,'RIO VERMELHO','FLORIANÓPOLIS','SC',15269,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6281982,5.00,0.00,1.00,1.00,5.00,NULL,0.00,0.00,0.00,220,NULL,203,'LARANJAL','PELOTAS','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(25,6281990,7.00,6.00,4.00,6.00,7.00,8.63,5.00,6.00,6.00,5,NULL,NULL,'FLORESTA','JOINVILLE','SC',3292,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6282024,4.00,3.00,0.00,3.00,5.00,NULL,0.00,3.00,3.00,223,NULL,NULL,'MATO FRANCES','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6282067,5.00,6.00,3.00,5.00,6.00,6.75,1.00,4.00,4.00,601,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282075,4.00,2.00,2.00,5.00,6.00,7.88,0.00,1.00,3.00,235,NULL,203,'ENTRE RIOS','GUARAPUAVA','PR',19506,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(25,6282105,3.00,2.00,2.00,3.00,6.00,8.63,3.00,2.00,0.00,601,NULL,238,'SAGUAÇU','JOINVILLE','SC',20177,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6282113,8.00,7.00,5.00,6.00,9.00,13.13,3.00,7.00,9.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',280,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6282121,1.00,3.00,2.00,2.00,3.00,9.38,3.00,4.00,1.00,203,NULL,208,'QUEIMADA GRANDE','RANCHO QUEIMADO','SC',20524,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6282148,3.00,3.00,0.00,4.00,7.00,NULL,1.00,3.00,0.00,109,NULL,NULL,'TRAÇADO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282156,6.00,4.00,2.00,2.00,7.00,11.63,3.00,7.00,1.00,108,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',11603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282172,5.00,3.00,2.00,5.00,6.00,7.13,1.00,1.00,3.00,201,NULL,212,'AAHÚ','CURITIBA','PR',15383,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6282180,4.00,3.00,3.00,5.00,5.00,9.00,1.00,3.00,2.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282199,6.00,7.00,3.00,5.00,9.00,12.00,1.00,6.00,4.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282202,3.00,5.00,1.00,5.00,5.00,7.50,0.00,0.00,2.00,201,NULL,601,'VILA NOVA','JARAGUÁ SUL','SC',16821,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6282210,2.00,6.00,4.00,3.00,4.00,6.75,3.00,5.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282229,5.00,6.00,0.00,5.00,9.00,8.25,1.00,5.00,3.00,201,NULL,207,'VILA ALEMANHA','LUZERNA','SC',9652,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6282245,5.00,7.00,2.00,4.00,6.00,7.88,2.00,2.00,5.00,303,NULL,NULL,'CENTRO','IÇARA','SC',11882,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6282253,6.00,7.00,1.00,7.00,8.00,10.13,2.00,6.00,5.00,103,NULL,NULL,'TABATINGA','SANTANA LIVRAMENTO','RS',3529,1907,NULL,NULL,NULL,NULL,NULL,2,5),(25,6282261,6.00,6.00,4.00,4.00,7.00,9.75,3.00,4.00,4.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7589,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282288,4.00,6.00,1.00,3.00,5.00,7.88,2.00,1.00,4.00,452,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15637,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282296,4.00,0.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,203,NULL,201,'AGUA VERDE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(25,6282300,5.00,6.00,7.00,4.00,3.00,9.00,3.00,1.00,4.00,2,NULL,NULL,'CEBTRI','LUIZ ALVES','SC',12441,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6282326,6.00,5.00,3.00,3.00,10.00,7.50,2.00,6.00,4.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282334,6.00,5.00,5.00,7.00,8.00,9.75,0.00,7.00,4.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',5920,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(25,6282350,6.00,4.00,6.00,3.00,8.00,7.13,2.00,7.00,8.00,220,NULL,203,'CRISTO REI','PATO BRANCO','PR',4363,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6282377,4.00,3.00,4.00,2.00,7.00,8.25,4.00,0.00,1.00,108,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',16077,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282385,6.00,8.00,1.00,3.00,9.00,9.38,1.00,6.00,4.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',7818,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6282393,4.00,5.00,3.00,6.00,8.00,7.13,3.00,5.00,2.00,103,NULL,NULL,'RUI BARBOSA','MONTENEGRO','RS',9358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282407,9.00,7.00,7.00,7.00,10.00,10.13,3.00,7.00,8.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282415,1.00,3.00,0.00,1.00,2.00,NULL,1.00,0.00,0.00,223,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282423,3.00,3.00,0.00,2.00,3.00,NULL,1.00,2.00,1.00,404,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282440,6.00,1.00,0.00,4.00,5.00,6.75,1.00,3.00,5.00,415,NULL,NULL,'FORTALEZA','BLUMENAU','SC',18410,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6282458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COLONIAL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6282466,5.00,4.00,5.00,5.00,5.00,7.50,2.00,3.00,6.00,201,NULL,233,'PRAIA BRAVA','ITAJAÍ','SC',12314,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6282474,7.00,2.00,2.00,3.00,4.00,6.75,0.00,2.00,7.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',14691,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6282482,7.00,7.00,4.00,6.00,6.00,10.13,3.00,8.00,4.00,103,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',2862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282504,4.00,5.00,3.00,4.00,8.00,11.25,1.00,5.00,5.00,302,NULL,NULL,'BOSQUE DAS MANSOES','S JOSÉ','SC',8152,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282512,4.00,5.00,2.00,7.00,8.00,6.75,0.00,3.00,4.00,303,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',11986,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282520,2.00,4.00,3.00,4.00,4.00,8.25,1.00,3.00,1.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282539,1.00,5.00,2.00,1.00,5.00,8.25,2.00,2.00,1.00,5,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6282547,6.00,5.00,2.00,5.00,5.00,7.50,2.00,4.00,1.00,238,NULL,235,'CORREGO GRANDE','FLORIANÓPOLIS','SC',12199,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282555,3.00,2.00,3.00,2.00,3.00,NULL,1.00,2.00,0.00,233,NULL,601,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6282563,2.00,3.00,0.00,3.00,4.00,NULL,0.00,3.00,1.00,208,NULL,203,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282571,1.00,3.00,2.00,4.00,6.00,9.75,3.00,1.00,1.00,601,NULL,220,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282580,6.00,5.00,1.00,7.00,6.00,9.00,2.00,5.00,2.00,103,NULL,NULL,'LOMBA','ORLEANS','SC',10286,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6282598,2.00,6.00,3.00,4.00,7.00,NULL,0.00,3.00,2.00,201,NULL,601,'CENTRO','ÁGUAS FRIAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6282610,6.00,7.00,4.00,6.00,9.00,7.50,1.00,7.00,8.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',4277,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6282628,4.00,5.00,2.00,4.00,8.00,9.38,2.00,5.00,2.00,317,NULL,NULL,'PRADO','BIGUAÇU','SC',12276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282644,7.00,4.00,1.00,5.00,7.00,7.50,1.00,3.00,3.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',12247,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6282652,1.00,3.00,0.00,0.00,1.00,NULL,1.00,0.00,1.00,302,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282660,6.00,6.00,5.00,4.00,8.00,9.38,1.00,4.00,4.00,303,NULL,NULL,'CENTRO','ERECHIM','RS',5896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282679,7.00,7.00,0.00,5.00,9.00,NULL,1.00,7.00,4.00,103,NULL,NULL,'CENTRO','JACAREZINHO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6282687,3.00,7.00,0.00,6.00,2.00,NULL,0.00,8.00,1.00,340,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282695,5.00,7.00,4.00,6.00,8.00,10.50,6.00,5.00,7.00,203,NULL,220,'PQ DAS LARANJEIRAS','MARINGÁ','PR',1546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282709,7.00,6.00,5.00,7.00,7.00,6.00,4.00,6.00,3.00,220,NULL,235,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',5138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282717,2.00,3.00,3.00,4.00,4.00,NULL,2.00,0.00,2.00,308,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282725,3.00,3.00,2.00,4.00,2.00,NULL,0.00,2.00,3.00,5,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'PAROLIN','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6282741,4.00,2.00,2.00,1.00,5.00,8.63,0.00,0.00,2.00,999,NULL,NULL,'SEMINÁRIO','TAIÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282750,0.00,3.00,2.00,1.00,2.00,NULL,2.00,2.00,1.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282768,2.00,1.00,2.00,4.00,3.00,8.25,3.00,3.00,1.00,304,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',20908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282776,3.00,4.00,2.00,3.00,5.00,7.50,1.00,1.00,4.00,212,NULL,207,'SANTA RITA','PAULO LOPES','SC',17128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282784,7.00,7.00,1.00,5.00,9.00,9.75,2.00,4.00,6.00,201,NULL,207,'MARIA GORETTI','CHAPECÓ','SC',5294,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6282792,1.00,2.00,2.00,3.00,4.00,6.00,1.00,0.00,2.00,404,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',21711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282806,3.00,3.00,0.00,4.00,4.00,7.13,1.00,1.00,1.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6282814,4.00,3.00,1.00,4.00,7.00,9.00,0.00,0.00,0.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',20216,427,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282822,2.00,5.00,3.00,4.00,7.00,NULL,1.00,2.00,0.00,302,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282830,5.00,6.00,3.00,2.00,6.00,10.13,1.00,5.00,3.00,331,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282849,4.00,6.00,1.00,3.00,6.00,6.75,1.00,1.00,5.00,103,NULL,NULL,'CÂNDIDA','ARARAS','SP',12919,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6282857,4.00,3.00,2.00,5.00,6.00,NULL,0.00,1.00,1.00,207,NULL,211,'SÃO DEFENE','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6282865,2.00,5.00,1.00,3.00,5.00,8.25,1.00,3.00,2.00,340,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282873,6.00,4.00,3.00,5.00,7.00,9.00,2.00,4.00,5.00,108,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',7917,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282881,1.00,3.00,1.00,2.00,2.00,NULL,0.00,0.00,1.00,9,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6282890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6282903,2.00,0.00,2.00,3.00,2.00,NULL,1.00,4.00,1.00,653,NULL,202,'SANTA LUCIA','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6282911,2.00,2.00,1.00,1.00,7.00,8.63,2.00,2.00,3.00,103,NULL,NULL,'ITAUM','JOINVILLE','SC',20557,4727,NULL,NULL,NULL,NULL,NULL,4,8),(25,6282920,3.00,4.00,5.00,4.00,7.00,6.38,2.00,5.00,1.00,208,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',14156,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6282946,6.00,5.00,0.00,4.00,7.00,10.13,0.00,2.00,1.00,103,NULL,NULL,'CENTRO','NOVA PRATA','RS',12630,3947,NULL,NULL,NULL,NULL,NULL,4,9),(25,6282954,5.00,7.00,4.00,7.00,8.00,8.63,3.00,8.00,3.00,304,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',5204,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6282962,5.00,7.00,1.00,6.00,8.00,0.00,3.00,3.00,3.00,104,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6282970,6.00,6.00,0.00,7.00,9.00,10.13,2.00,2.00,5.00,450,NULL,NULL,'JD ESPLANADA','S JOSÉ CAMPOS','SP',5367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6282989,6.00,7.00,3.00,4.00,7.00,11.25,0.00,2.00,6.00,207,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',7431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283004,5.00,6.00,4.00,4.00,3.00,8.25,2.00,1.00,2.00,233,NULL,601,'CENTRO','S JOÃO BATISTA','SC',16016,410,NULL,NULL,NULL,NULL,NULL,2,3),(25,6283012,2.00,4.00,2.00,4.00,5.00,NULL,0.00,2.00,4.00,655,NULL,202,'JARDIM AMÉRICA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6283020,7.00,7.00,4.00,4.00,8.00,8.25,1.00,7.00,6.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',4371,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6283039,3.00,3.00,2.00,5.00,7.00,6.75,3.00,2.00,4.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283055,7.00,3.00,3.00,7.00,9.00,6.38,3.00,1.00,4.00,999,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6283063,7.00,5.00,4.00,5.00,8.00,7.50,2.00,2.00,6.00,208,NULL,220,'CENTRO','CPO MOURÃO','PR',6175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283071,4.00,5.00,4.00,4.00,5.00,8.25,2.00,5.00,5.00,308,NULL,NULL,'CENTRO','ARARANGUÁ','SC',9566,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6283080,4.00,2.00,1.00,3.00,5.00,6.38,2.00,3.00,1.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283098,2.00,6.00,2.00,3.00,4.00,6.75,3.00,4.00,1.00,302,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283101,3.00,5.00,4.00,4.00,4.00,9.75,0.00,0.00,5.00,201,NULL,207,'VILA ROSA','JACAREZINHO','PR',12449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283110,4.00,6.00,2.00,3.00,4.00,5.63,1.00,3.00,3.00,3,NULL,NULL,'FLORESTA','S JOSÉ','SC',18773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283128,6.00,5.00,5.00,6.00,4.00,9.75,3.00,3.00,3.00,202,NULL,213,'BARREIROS','S JOSÉ','SC',8932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283136,8.00,4.00,1.00,6.00,5.00,9.75,3.00,2.00,5.00,103,NULL,NULL,'ELISA','XAMBRÊ','PR',7004,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6283144,2.00,3.00,3.00,3.00,9.00,9.00,2.00,2.00,3.00,211,NULL,NULL,'JARDIM ELDORADO','CAMBÉ','PR',12958,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6283152,4.00,7.00,1.00,5.00,7.00,9.75,3.00,3.00,3.00,203,NULL,NULL,'CENTRO','TUBARÃO','SC',11141,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6283160,5.00,3.00,3.00,1.00,3.00,7.88,1.00,2.00,3.00,999,NULL,NULL,'VILA OPERÁRIA','RIO CLARO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6283179,7.00,3.00,3.00,7.00,8.00,6.75,4.00,5.00,7.00,103,NULL,NULL,'BATEL','CURITIBA','PR',5194,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6283187,8.00,7.00,0.00,4.00,7.00,8.63,2.00,6.00,6.00,101,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5469,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283195,3.00,5.00,0.00,2.00,4.00,8.25,5.00,1.00,0.00,108,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',18925,281,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283209,4.00,7.00,3.00,7.00,10.00,10.50,3.00,8.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283217,7.00,8.00,7.00,7.00,7.00,12.38,4.00,7.00,7.00,212,NULL,211,'SANTO ANTÔNIO','FLORIANÓPOLIS','SC',930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283225,4.00,5.00,1.00,5.00,8.00,7.50,2.00,4.00,3.00,103,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',11334,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283233,6.00,3.00,1.00,2.00,5.00,8.25,2.00,3.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283241,4.00,4.00,5.00,3.00,10.00,7.13,1.00,6.00,2.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',9415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283250,4.00,7.00,5.00,5.00,8.00,8.25,2.00,5.00,6.00,214,NULL,213,'CARVOEIRA','FLORIANÓPOLIS','SC',5788,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283268,5.00,5.00,1.00,2.00,4.00,6.00,2.00,2.00,2.00,238,NULL,208,'PRAÇA','TIJUCAS','SC',20446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283276,4.00,6.00,3.00,4.00,6.00,6.38,1.00,5.00,2.00,103,NULL,NULL,'COSTA DA LAGOA','FLORIANÓPOLIS','SC',14078,4134,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283284,8.00,8.00,5.00,5.00,10.00,8.25,6.00,7.00,6.00,203,NULL,653,'ASILO','BLUMENAU','SC',1547,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6283292,2.00,4.00,2.00,5.00,7.00,9.38,3.00,4.00,4.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13252,189,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283306,3.00,5.00,3.00,6.00,5.00,8.63,3.00,3.00,3.00,212,NULL,213,'BARREIROS','S JOSÉ','SC',15241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283322,3.00,2.00,3.00,4.00,3.00,4.50,0.00,3.00,3.00,317,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',21034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283330,3.00,6.00,2.00,4.00,6.00,8.63,2.00,3.00,6.00,303,NULL,NULL,'CAPÃO','GAROPABA','SC',13748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6283365,7.00,5.00,3.00,7.00,8.00,5.25,0.00,7.00,4.00,203,NULL,214,'JOÃO PAULO','FLORIANÓPOLIS','SC',8752,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283373,4.00,3.00,2.00,0.00,1.00,NULL,2.00,1.00,1.00,655,NULL,652,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6283381,3.00,3.00,3.00,3.00,3.00,6.75,3.00,4.00,3.00,101,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',17461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283390,5.00,6.00,0.00,5.00,3.00,10.50,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',13462,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6283403,2.00,5.00,1.00,5.00,6.00,9.38,2.00,7.00,3.00,451,NULL,NULL,'CENTRO','TROMBUDO CENTRAL','SC',13551,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6283411,6.00,7.00,4.00,6.00,7.00,10.50,5.00,6.00,4.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',4028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283420,2.00,3.00,1.00,0.00,3.00,7.88,1.00,1.00,2.00,5,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283438,5.00,5.00,2.00,5.00,8.00,7.13,3.00,3.00,2.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283446,2.00,6.00,4.00,3.00,5.00,4.88,1.00,2.00,5.00,202,NULL,601,'RIACHO ALEGRE','BRAÇO NORTE','SC',16275,511,NULL,NULL,NULL,NULL,NULL,2,10),(25,6283454,2.00,2.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'GUIOMAR DE FORA','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283462,3.00,4.00,2.00,2.00,6.00,7.50,1.00,4.00,4.00,103,NULL,NULL,'PARQUE DAS PALMEIRAS','CHAPECÓ','SC',13832,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6283470,7.00,6.00,3.00,6.00,8.00,10.50,5.00,5.00,6.00,216,NULL,215,'VILA OPERÁRIA','ITAJAÍ','SC',3049,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6283489,3.00,3.00,3.00,1.00,3.00,6.38,1.00,2.00,1.00,201,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',20060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283500,5.00,6.00,4.00,5.00,8.00,8.25,2.00,3.00,4.00,201,NULL,212,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283519,6.00,6.00,7.00,6.00,9.00,NULL,0.00,6.00,8.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6283527,8.00,7.00,5.00,5.00,10.00,11.25,1.00,4.00,8.00,214,NULL,212,'VILA PEREIRA','S JOSÉ R PARDO','SP',2220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283535,4.00,3.00,5.00,5.00,8.00,6.75,3.00,3.00,2.00,452,NULL,NULL,'SAGRADO CORAÇÃO DE J','LAGES','SC',10044,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6283543,3.00,3.00,1.00,3.00,10.00,8.63,3.00,4.00,1.00,425,NULL,421,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',13545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283551,3.00,4.00,2.00,2.00,2.00,NULL,1.00,1.00,1.00,551,NULL,NULL,'PALMITOLANDIA','TUPÃSSI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6283560,2.00,2.00,1.00,3.00,4.00,6.00,1.00,4.00,3.00,223,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',20629,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283578,4.00,5.00,2.00,3.00,5.00,7.50,1.00,3.00,3.00,444,NULL,NULL,'CENTRO','SCHROEDER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6283586,5.00,6.00,3.00,5.00,8.00,10.13,3.00,5.00,5.00,216,NULL,601,'LIRI','IÇARA','SC',4951,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6283594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6283608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'SITIO CERCADO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6283616,4.00,7.00,3.00,7.00,8.00,11.63,2.00,6.00,7.00,303,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',3230,NULL,NULL,NULL,NULL,NULL,NULL,5,6),(25,6283624,4.00,6.00,2.00,4.00,8.00,11.63,3.00,5.00,2.00,211,NULL,235,'CENTRO','CAIBI','SC',8807,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6283632,6.00,6.00,2.00,7.00,6.00,7.13,1.00,3.00,3.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283640,2.00,5.00,0.00,1.00,7.00,8.63,2.00,4.00,1.00,336,NULL,NULL,'BOA VISTA','RIO SUL','SC',16536,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','S JOAQUIM BARRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6283667,5.00,4.00,3.00,6.00,10.00,11.63,2.00,5.00,2.00,453,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283675,5.00,4.00,5.00,3.00,5.00,10.50,0.00,5.00,6.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',8836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283683,4.00,7.00,4.00,4.00,8.00,8.63,3.00,6.00,4.00,203,NULL,233,'SERRARIA','S JOSÉ','SC',7517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,652,'ZONA NOVA SUL','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6283705,3.00,3.00,1.00,3.00,6.00,NULL,1.00,3.00,0.00,103,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6283713,7.00,7.00,4.00,7.00,9.00,8.25,0.00,6.00,6.00,103,NULL,NULL,'FLORESTA','CONCÓRDIA','SC',4616,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6283721,6.00,5.00,3.00,5.00,8.00,10.50,3.00,8.00,6.00,5,NULL,NULL,'CENTRO','BIGUAÇU','SC',3744,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283730,2.00,2.00,0.00,0.00,3.00,8.25,2.00,1.00,1.00,9,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283748,6.00,7.00,2.00,5.00,7.00,12.00,2.00,7.00,3.00,110,NULL,NULL,'BELA VISTA','S JOSÉ','SC',7276,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283764,4.00,7.00,5.00,6.00,7.00,10.13,2.00,5.00,2.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7150,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283772,8.00,8.00,3.00,6.00,8.00,10.88,5.00,8.00,5.00,216,NULL,215,'CAPOEIRAS','FLORIANÓPOLIS','SC',1575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283780,3.00,4.00,2.00,1.00,2.00,NULL,0.00,1.00,2.00,201,NULL,207,'BANDEIRAS II','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283799,4.00,4.00,0.00,4.00,4.00,8.25,1.00,4.00,1.00,220,NULL,207,'JARDIM PANORAMICO','LAGES','SC',19567,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6283802,2.00,2.00,0.00,2.00,5.00,NULL,0.00,1.00,2.00,317,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6283810,4.00,7.00,1.00,5.00,7.00,9.38,0.00,3.00,2.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11338,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283829,0.00,1.00,0.00,1.00,1.00,NULL,0.00,2.00,0.00,220,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','GRAVATAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6283845,7.00,3.00,3.00,5.00,8.00,9.75,4.00,5.00,4.00,303,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',6890,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6283853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BROOKLIN PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6283861,4.00,4.00,2.00,5.00,5.00,7.50,2.00,1.00,2.00,201,NULL,207,'ANNES','PASSO FUNDO','RS',14631,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283888,3.00,4.00,3.00,3.00,7.00,6.00,0.00,1.00,1.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',18844,806,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283900,6.00,4.00,0.00,7.00,8.00,8.63,5.00,4.00,5.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',8255,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6283918,7.00,7.00,3.00,7.00,10.00,9.75,2.00,8.00,7.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',2078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6283934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6283942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6283950,4.00,3.00,1.00,6.00,6.00,8.25,0.00,5.00,1.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283969,5.00,4.00,2.00,6.00,6.00,10.88,0.00,4.00,4.00,104,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',13508,325,NULL,NULL,NULL,NULL,NULL,2,1),(25,6283977,6.00,7.00,5.00,7.00,11.00,7.88,1.00,8.00,4.00,203,NULL,220,'TAQUARAS','IBIRAMA','SC',3466,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6283985,6.00,6.00,4.00,7.00,9.00,7.88,4.00,6.00,7.00,214,NULL,220,'ARCADAS','AMPARO','SP',2829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284000,8.00,8.00,4.00,5.00,9.00,10.50,4.00,7.00,7.00,333,NULL,NULL,'GAVEA','RIO JANEIRO','RJ',1061,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6284019,7.00,7.00,4.00,7.00,9.00,6.75,5.00,6.00,3.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',3111,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6284027,1.00,3.00,1.00,3.00,6.00,7.50,2.00,2.00,2.00,203,NULL,202,'CAMPINAS','S JOSÉ','SC',17860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284035,2.00,2.00,2.00,2.00,3.00,5.25,1.00,0.00,2.00,9,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21263,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6284051,6.00,7.00,1.00,6.00,8.00,9.75,4.00,5.00,4.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',7274,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6284060,7.00,5.00,3.00,6.00,5.00,7.50,4.00,5.00,4.00,213,NULL,212,'KOBRASOL','S JOSÉ','SC',10028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284078,2.00,2.00,2.00,3.00,6.00,7.50,1.00,2.00,0.00,340,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6284086,6.00,4.00,3.00,6.00,7.00,7.13,2.00,4.00,2.00,999,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6284094,3.00,5.00,1.00,1.00,5.00,6.00,3.00,0.00,1.00,654,NULL,NULL,'SAO CRISTOVAO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6284108,4.00,4.00,1.00,3.00,5.00,7.13,1.00,2.00,6.00,404,NULL,NULL,'BARREIROS','S JOSÉ','SC',18283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6284116,3.00,6.00,4.00,6.00,8.00,5.25,1.00,5.00,4.00,201,NULL,203,'JARDIM BOA VISTA','LONDRINA','PR',8921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284124,4.00,5.00,2.00,6.00,5.00,10.50,1.00,1.00,1.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284132,3.00,4.00,4.00,3.00,4.00,7.50,2.00,0.00,0.00,5,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',17686,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6284140,5.00,4.00,3.00,6.00,8.00,8.25,5.00,6.00,5.00,214,NULL,235,'ITAGUAÇU','FLORIANÓPOLIS','SC',5518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284159,4.00,5.00,3.00,3.00,8.00,11.25,3.00,5.00,1.00,304,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284175,6.00,5.00,1.00,4.00,6.00,0.00,3.00,3.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284183,4.00,4.00,1.00,4.00,6.00,NULL,0.00,1.00,0.00,103,NULL,NULL,'JARJIM LINDOIA','GOIOERÊ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6284191,6.00,6.00,2.00,6.00,5.00,9.75,1.00,5.00,3.00,999,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284221,3.00,2.00,2.00,2.00,4.00,6.38,1.00,1.00,2.00,211,NULL,207,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6284230,3.00,6.00,3.00,3.00,5.00,12.00,0.00,4.00,2.00,103,NULL,NULL,'GUANANDI','CPO GRANDE','MS',10948,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6284248,4.00,5.00,2.00,6.00,5.00,NULL,0.00,3.00,1.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284256,8.00,9.00,6.00,6.00,11.00,13.50,4.00,7.00,8.00,103,NULL,NULL,'SÃO MIGUEL','CRUZ ALTA','RS',338,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6284264,5.00,3.00,0.00,5.00,7.00,10.88,0.00,2.00,0.00,104,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284272,2.00,4.00,1.00,3.00,3.00,9.00,2.00,3.00,1.00,108,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',20183,297,NULL,NULL,NULL,NULL,NULL,2,1),(25,6284280,2.00,4.00,2.00,1.00,3.00,7.50,2.00,2.00,1.00,201,NULL,652,'ESTREITO','FLORIANÓPOLIS','SC',20395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284299,6.00,7.00,5.00,7.00,8.00,7.88,3.00,5.00,5.00,208,NULL,NULL,'BARREIROS','S JOSÉ','SC',4093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284310,3.00,4.00,5.00,4.00,7.00,7.13,1.00,2.00,2.00,324,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',17006,12,NULL,NULL,NULL,NULL,NULL,2,1),(25,6284337,6.00,5.00,5.00,5.00,6.00,9.00,3.00,2.00,4.00,213,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',9976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284345,6.00,6.00,7.00,7.00,9.00,8.25,5.00,4.00,7.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',1925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284353,6.00,6.00,6.00,5.00,7.00,8.25,3.00,2.00,5.00,207,NULL,233,'ATIRADORES','JOINVILLE','SC',6122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284361,5.00,5.00,2.00,7.00,8.00,9.00,1.00,5.00,7.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',6411,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6284370,4.00,4.00,1.00,2.00,7.00,6.38,3.00,3.00,3.00,201,NULL,212,'COSTEIRA','FLORIANÓPOLIS','SC',18021,1492,NULL,525,NULL,NULL,NULL,4,1),(25,6284388,6.00,7.00,2.00,7.00,8.00,10.13,2.00,3.00,6.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CANTAGALO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6284418,3.00,3.00,1.00,4.00,7.00,7.50,1.00,3.00,2.00,104,NULL,NULL,'CENTRO','TURVO','SC',15015,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6284426,2.00,3.00,3.00,2.00,2.00,NULL,0.00,0.00,1.00,9,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6284434,4.00,3.00,3.00,5.00,5.00,7.50,2.00,6.00,2.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',12323,202,NULL,229,NULL,NULL,NULL,4,1),(25,6284442,3.00,4.00,1.00,4.00,6.00,6.38,4.00,4.00,2.00,452,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',17718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284450,4.00,6.00,2.00,6.00,8.00,7.50,2.00,2.00,6.00,999,NULL,NULL,'BARRA DO RIO MOLHA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6284469,3.00,5.00,5.00,2.00,4.00,4.88,3.00,2.00,2.00,201,NULL,601,'BRASÍLIA','PATO BRANCO','PR',15777,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6284477,4.00,5.00,2.00,3.00,7.00,8.63,1.00,7.00,2.00,601,NULL,NULL,'RIO BONITO','JOINVILLE','SC',9974,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6284485,4.00,4.00,2.00,6.00,7.00,6.38,2.00,2.00,5.00,202,NULL,220,'PANTANAL','FLORIANÓPOLIS','SC',12949,412,NULL,362,NULL,NULL,NULL,2,1),(25,6284507,0.00,4.00,0.00,0.00,0.00,NULL,0.00,1.00,2.00,207,NULL,216,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(25,6284515,3.00,3.00,4.00,1.00,3.00,6.00,0.00,1.00,0.00,202,NULL,216,'IPIRANGA','S JOSÉ','SC',21626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'JARDIM BOTANICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6284531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6284540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INTERIOR','FARROUPILHA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6284558,5.00,6.00,3.00,6.00,8.00,8.25,4.00,3.00,3.00,999,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6284566,2.00,3.00,3.00,3.00,5.00,6.38,2.00,2.00,1.00,5,NULL,NULL,'VICTOR KONDER','TAIÓ','SC',18571,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6284574,4.00,7.00,0.00,4.00,7.00,NULL,0.00,5.00,0.00,207,NULL,201,'PARQUE REBOUÇAS','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284582,3.00,4.00,2.00,4.00,4.00,7.13,2.00,5.00,3.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',18078,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6284590,4.00,6.00,1.00,5.00,8.00,8.25,2.00,8.00,4.00,301,NULL,NULL,'CENTRO','IMBITUBA','SC',7540,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6284604,2.00,5.00,3.00,5.00,6.00,8.25,2.00,1.00,2.00,336,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',13535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6284620,9.00,7.00,7.00,7.00,10.00,7.88,3.00,6.00,9.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284639,4.00,5.00,2.00,2.00,7.00,9.00,1.00,2.00,1.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',15509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284647,1.00,2.00,2.00,1.00,4.00,5.63,2.00,4.00,2.00,201,NULL,211,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6284655,2.00,3.00,1.00,2.00,5.00,8.25,2.00,0.00,1.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',21308,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6284663,8.00,6.00,2.00,3.00,6.00,7.88,1.00,5.00,5.00,207,NULL,201,'FORQUILHINHAS','S JOSÉ','SC',9873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6284671,5.00,5.00,5.00,2.00,9.00,NULL,0.00,4.00,4.00,201,NULL,211,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284698,8.00,7.00,5.00,7.00,8.00,11.63,4.00,5.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',851,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6284701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,208,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6284710,4.00,6.00,2.00,5.00,5.00,8.63,2.00,1.00,2.00,213,NULL,238,'ITACORUBI','FLORIANÓPOLIS','SC',14114,197,NULL,255,NULL,NULL,NULL,2,1),(25,6284728,6.00,7.00,3.00,1.00,5.00,7.88,2.00,7.00,2.00,211,NULL,601,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',11052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284736,3.00,6.00,0.00,5.00,8.00,NULL,0.00,5.00,1.00,404,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284752,7.00,6.00,5.00,3.00,8.00,9.00,4.00,5.00,3.00,207,NULL,215,'AREIAS','S JOSÉ','SC',7106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284760,3.00,5.00,2.00,6.00,5.00,6.75,2.00,5.00,4.00,999,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284779,8.00,8.00,5.00,7.00,9.00,9.75,2.00,8.00,7.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',1118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,423,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6284795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6284809,5.00,6.00,3.00,6.00,8.00,6.75,3.00,2.00,4.00,999,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6284817,6.00,6.00,2.00,6.00,6.00,10.88,2.00,6.00,5.00,336,NULL,NULL,'BARREIROS','S JOSÉ','SC',6500,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6284825,3.00,4.00,2.00,4.00,3.00,9.75,1.00,5.00,2.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',18169,784,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284833,5.00,5.00,3.00,5.00,6.00,5.63,2.00,4.00,5.00,452,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',14490,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6284841,5.00,7.00,3.00,6.00,6.00,7.50,3.00,3.00,4.00,202,NULL,235,'DOM BOSCO','ITAJAÍ','SC',11144,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6284850,3.00,5.00,3.00,4.00,7.00,7.50,3.00,3.00,3.00,103,NULL,NULL,'ZIMBROS','BOMBINHAS','SC',13363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284868,4.00,4.00,0.00,2.00,2.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6284876,4.00,4.00,2.00,0.00,5.00,NULL,3.00,5.00,1.00,302,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRÊS VENDAS','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6284906,2.00,4.00,1.00,4.00,5.00,8.25,1.00,3.00,2.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',17862,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6284914,2.00,3.00,3.00,4.00,7.00,6.75,0.00,2.00,1.00,201,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',19276,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6284922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6284930,4.00,5.00,3.00,6.00,8.00,10.13,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','BOA ESPERANÇA','PR',8185,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6284949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,211,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6284957,1.00,5.00,3.00,4.00,7.00,7.50,2.00,4.00,5.00,214,NULL,203,'VILA MARIANA','S PAULO','SP',11151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'STEFFEN','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6284973,9.00,6.00,7.00,7.00,9.00,7.88,4.00,4.00,8.00,103,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',1341,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6284981,6.00,4.00,4.00,0.00,8.00,8.63,1.00,6.00,3.00,103,NULL,NULL,'JARDIM MATHILDE','SOROCABA','SP',8742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6284990,3.00,6.00,4.00,4.00,5.00,7.13,2.00,5.00,1.00,235,NULL,238,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285007,5.00,5.00,5.00,5.00,7.00,6.75,1.00,2.00,1.00,420,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',12384,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6285015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'LOURO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6285040,3.00,2.00,0.00,2.00,5.00,NULL,3.00,0.00,2.00,235,NULL,601,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285058,5.00,4.00,5.00,7.00,3.00,7.88,2.00,4.00,6.00,216,NULL,203,'JARDIM GUARAPUAVA','FOZ IGUAÇU','PR',10396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285066,2.00,4.00,1.00,5.00,7.00,9.00,3.00,0.00,2.00,238,NULL,208,'CARIANOS','FLORIANÓPOLIS','SC',15214,304,NULL,333,NULL,NULL,NULL,4,1),(25,6285074,3.00,7.00,1.00,3.00,6.00,9.75,1.00,3.00,4.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6285082,8.00,7.00,5.00,7.00,10.00,12.38,3.00,5.00,8.00,207,NULL,212,'PARQUE OHARA','CUIABÁ','MT',435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285090,1.00,1.00,1.00,1.00,2.00,NULL,1.00,2.00,2.00,655,NULL,653,'SÃO FELIPE','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6285104,8.00,6.00,2.00,2.00,9.00,10.88,2.00,6.00,6.00,103,NULL,NULL,'JARDIM TRÊS MARIAS','S BERNARDO CAMPO','SP',4706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285112,0.00,2.00,1.00,4.00,6.00,7.50,0.00,3.00,1.00,5,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285120,1.00,2.00,3.00,4.00,8.00,6.38,1.00,2.00,3.00,103,NULL,NULL,'TUIUTI','PARANAGUÁ','PR',19487,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285139,2.00,3.00,1.00,3.00,3.00,7.13,3.00,2.00,3.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',20281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285147,5.00,3.00,3.00,4.00,6.00,5.63,1.00,4.00,1.00,415,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',18896,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285155,1.00,4.00,1.00,5.00,5.00,NULL,1.00,3.00,1.00,103,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,15),(25,6285163,2.00,6.00,3.00,4.00,8.00,NULL,2.00,2.00,1.00,999,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(25,6285171,3.00,6.00,3.00,5.00,7.00,7.13,1.00,7.00,3.00,216,NULL,215,'CAMPECHE','FLORIANÓPOLIS','SC',13776,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285180,3.00,4.00,2.00,2.00,5.00,6.00,2.00,5.00,2.00,201,NULL,203,'CENTRO','ERECHIM','RS',16224,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PQ DAS FLORES','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6285201,3.00,6.00,1.00,4.00,7.00,NULL,1.00,3.00,1.00,999,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(25,6285210,5.00,7.00,3.00,6.00,5.00,9.00,2.00,2.00,4.00,2,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10407,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6285244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM PITANGUEIRAS','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6285252,6.00,3.00,3.00,7.00,9.00,10.50,2.00,4.00,2.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,425,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6285279,1.00,5.00,3.00,5.00,5.00,7.88,2.00,3.00,2.00,320,NULL,NULL,'FUNDOS','BIGUAÇU','SC',14857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285287,2.00,4.00,2.00,5.00,2.00,NULL,2.00,2.00,0.00,201,NULL,235,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285295,7.00,5.00,2.00,5.00,9.00,9.38,5.00,4.00,5.00,104,NULL,NULL,'CRISTO REDENTOR','PTO ALEGRE','RS',5092,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'FÁTIMA','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6285317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR SUDOESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6285325,6.00,7.00,2.00,5.00,6.00,NULL,0.00,4.00,4.00,326,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285333,3.00,0.00,5.00,2.00,4.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6285341,5.00,4.00,2.00,6.00,7.00,9.00,0.00,2.00,0.00,319,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',14422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285350,4.00,1.00,3.00,1.00,5.00,NULL,0.00,1.00,2.00,202,NULL,208,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285392,2.00,4.00,1.00,4.00,9.00,10.13,2.00,6.00,1.00,207,NULL,233,'CENTRO','BRUSQUE','SC',10785,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6285414,4.00,5.00,4.00,6.00,6.00,5.63,3.00,5.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285422,5.00,3.00,2.00,2.00,4.00,NULL,0.00,0.00,2.00,654,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6285430,4.00,3.00,3.00,3.00,6.00,9.00,1.00,0.00,1.00,502,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',20133,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285449,5.00,6.00,5.00,6.00,8.00,7.88,2.00,7.00,2.00,653,NULL,211,'JARDIM MARIA AUGUSTA','TAUBATÉ','SP',4867,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6285457,3.00,5.00,1.00,4.00,4.00,7.50,0.00,3.00,1.00,316,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',17416,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6285473,6.00,7.00,4.00,5.00,9.00,8.63,1.00,4.00,6.00,5,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',5417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285481,6.00,7.00,3.00,5.00,7.00,7.50,2.00,5.00,3.00,233,NULL,235,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6285503,4.00,6.00,1.00,4.00,6.00,9.75,1.00,4.00,6.00,340,NULL,NULL,'BATEL','CURITIBA','PR',8263,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6285520,1.00,2.00,3.00,4.00,4.00,NULL,2.00,0.00,2.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285538,7.00,4.00,3.00,5.00,7.00,8.63,1.00,4.00,5.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10535,3641,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285562,5.00,4.00,0.00,4.00,2.00,NULL,1.00,2.00,2.00,109,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285570,5.00,4.00,4.00,3.00,4.00,7.50,0.00,2.00,3.00,103,NULL,NULL,'CENTRO','PALMITOS','SC',15136,4236,NULL,NULL,NULL,NULL,NULL,2,4),(25,6285589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,215,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6285597,5.00,7.00,6.00,5.00,9.00,10.88,3.00,7.00,8.00,415,NULL,NULL,'XAXIM','CURITIBA','PR',2244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285600,4.00,3.00,2.00,6.00,8.00,8.63,2.00,3.00,4.00,220,NULL,233,'CAPOEIRAS','FLORIANÓPOLIS','SC',10671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285619,5.00,6.00,3.00,6.00,6.00,7.50,1.00,0.00,3.00,601,NULL,202,'CENTRO','POMERODE','SC',13192,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(25,6285635,4.00,5.00,2.00,5.00,6.00,5.25,2.00,3.00,6.00,202,NULL,233,'PETROPOLIS','PTO ALEGRE','RS',14331,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285643,1.00,2.00,1.00,4.00,5.00,7.13,2.00,2.00,1.00,444,NULL,NULL,'VILA NOVA','LAGES','SC',18796,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6285651,3.00,5.00,1.00,4.00,4.00,7.13,1.00,3.00,2.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',17011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285660,2.00,4.00,1.00,1.00,5.00,NULL,3.00,0.00,3.00,652,NULL,655,'PARAGUAI','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6285686,2.00,3.00,1.00,4.00,3.00,7.88,3.00,2.00,4.00,103,NULL,NULL,'IPIRANGA','S JOSÉ','SC',20410,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285694,7.00,8.00,6.00,7.00,10.00,12.00,6.00,7.00,8.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285708,0.00,4.00,3.00,3.00,2.00,NULL,3.00,3.00,1.00,335,NULL,NULL,'SERTÃO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285724,6.00,5.00,2.00,5.00,5.00,11.25,1.00,1.00,3.00,3,NULL,NULL,'AMÉRICA','JOINVILLE','SC',12530,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6285732,6.00,8.00,6.00,6.00,10.00,9.75,5.00,9.00,8.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285740,4.00,4.00,2.00,5.00,8.00,7.88,2.00,3.00,5.00,102,NULL,NULL,'CENTRO','BRUSQUE','SC',11499,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6285767,3.00,2.00,3.00,5.00,5.00,8.63,2.00,1.00,4.00,220,NULL,203,'PORTAL DAS FLORES','ARAPONGAS','PR',17663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285775,4.00,6.00,4.00,6.00,8.00,10.13,1.00,6.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5795,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6285805,3.00,4.00,1.00,2.00,2.00,NULL,2.00,2.00,2.00,503,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285821,5.00,6.00,1.00,6.00,6.00,9.38,2.00,8.00,4.00,235,NULL,238,'SANTA MÔNICA','FLORIANÓPOLIS','SC',7412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6285848,7.00,7.00,2.00,7.00,8.00,9.75,2.00,7.00,7.00,203,NULL,235,'CENTRO','TRÊS B PARANÁ','PR',3175,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6285856,3.00,6.00,3.00,3.00,4.00,6.75,2.00,2.00,0.00,601,NULL,653,'CENTRO','PATO BRANCO','PR',20270,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6285864,2.00,8.00,3.00,4.00,4.00,9.00,2.00,2.00,1.00,452,NULL,NULL,'AREIAS BARREIROS','S JOSÉ','SC',17497,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285872,2.00,4.00,3.00,4.00,4.00,8.25,2.00,2.00,1.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',18522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285899,6.00,5.00,1.00,5.00,5.00,8.63,2.00,5.00,7.00,103,NULL,NULL,'PONTA VERDE','MACEIÓ','AL',11905,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6285902,4.00,6.00,1.00,5.00,6.00,9.00,1.00,2.00,3.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',15652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285910,8.00,5.00,6.00,7.00,9.00,9.75,3.00,5.00,7.00,103,NULL,NULL,'PETRÓPOLIS','PASSO FUNDO','RS',2974,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285929,3.00,4.00,5.00,5.00,9.00,9.00,3.00,2.00,3.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',9960,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6285937,6.00,7.00,2.00,6.00,7.00,10.13,3.00,5.00,8.00,103,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',3844,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6285945,3.00,4.00,1.00,5.00,8.00,7.13,1.00,0.00,3.00,101,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',19142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285953,7.00,7.00,3.00,6.00,7.00,7.88,2.00,5.00,8.00,103,NULL,NULL,'VILA MARIA','BOTUCATU','SP',4101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285961,6.00,6.00,5.00,7.00,6.00,9.75,2.00,5.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285970,6.00,3.00,1.00,3.00,5.00,NULL,0.00,4.00,0.00,103,NULL,NULL,'AGUA RASA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6285988,6.00,5.00,3.00,5.00,7.00,9.00,0.00,4.00,4.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11220,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6285996,5.00,6.00,3.00,5.00,5.00,9.38,3.00,3.00,3.00,103,NULL,NULL,'JARDIM EUROPA','DOURADOS','MS',12408,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6286003,2.00,6.00,3.00,4.00,6.00,9.00,1.00,3.00,5.00,201,NULL,202,'TROPICAL','CASCAVEL','PR',11032,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6286011,4.00,5.00,3.00,3.00,3.00,6.00,2.00,1.00,3.00,201,NULL,211,'SANTO ANTONIO','CAMPOS NOVOS','SC',17847,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6286020,3.00,5.00,4.00,5.00,6.00,9.38,1.00,2.00,2.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',15122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286038,5.00,6.00,2.00,6.00,6.00,7.50,4.00,3.00,4.00,601,NULL,214,'CENTRO','MAFRA','SC',9438,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6286046,2.00,4.00,1.00,4.00,6.00,8.25,1.00,1.00,1.00,9,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',20672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6286062,5.00,4.00,2.00,5.00,7.00,8.63,1.00,4.00,3.00,301,NULL,NULL,'CENTRO','BIGUAÇU','SC',11012,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6286070,5.00,5.00,3.00,3.00,5.00,7.13,1.00,3.00,4.00,103,NULL,NULL,'SANTA CRUZ','FORQUILHINHA','SC',15427,4269,NULL,NULL,NULL,NULL,NULL,2,5),(25,6286089,4.00,6.00,1.00,5.00,7.00,9.00,0.00,5.00,1.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12846,231,NULL,NULL,NULL,NULL,NULL,2,1),(25,6286097,3.00,5.00,2.00,2.00,8.00,9.38,1.00,1.00,2.00,207,NULL,201,'SAGUAÇU','JOINVILLE','SC',14278,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6286100,5.00,4.00,2.00,5.00,8.00,6.00,3.00,5.00,2.00,310,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',13868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286119,3.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',5,1),(25,6286127,7.00,6.00,5.00,6.00,6.00,7.50,5.00,6.00,5.00,203,NULL,216,'CORAL','LAGES','SC',4211,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6286135,2.00,4.00,1.00,3.00,6.00,9.00,0.00,1.00,1.00,415,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6286143,2.00,3.00,3.00,1.00,5.00,6.00,0.00,3.00,1.00,235,NULL,220,'VARGEM GRANDE','FLORIANÓPOLIS','SC',20316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286160,3.00,4.00,3.00,5.00,7.00,8.25,2.00,4.00,1.00,302,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6286178,6.00,6.00,3.00,4.00,7.00,7.50,1.00,6.00,4.00,235,NULL,233,'JD AMERICA','S JOSÉ CAMPOS','SP',7225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286186,1.00,2.00,1.00,3.00,2.00,NULL,1.00,2.00,0.00,102,NULL,NULL,'TRÊS DE MAIO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6286194,5.00,5.00,4.00,6.00,7.00,8.25,3.00,3.00,3.00,999,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286208,3.00,7.00,4.00,2.00,5.00,6.00,3.00,5.00,4.00,318,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',12224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286224,6.00,5.00,3.00,1.00,7.00,7.88,1.00,5.00,6.00,216,NULL,202,'SÃO JOSÉ','MARAVILHA','SC',7633,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6286232,5.00,0.00,1.00,6.00,8.00,NULL,0.00,0.00,0.00,203,NULL,220,'JD GUARAPUAVA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6286240,3.00,5.00,2.00,4.00,7.00,8.25,2.00,7.00,2.00,109,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',11049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6286259,3.00,6.00,2.00,5.00,5.00,7.13,3.00,4.00,1.00,415,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',15294,238,NULL,NULL,NULL,NULL,NULL,2,1),(25,6286267,2.00,3.00,0.00,1.00,6.00,8.63,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','CORREIA PINTO','SC',21359,4782,NULL,NULL,NULL,NULL,NULL,4,9),(25,6286275,4.00,7.00,5.00,5.00,10.00,9.00,0.00,5.00,6.00,318,NULL,NULL,'DAS NAÇÕES','TIMBÓ','SC',3827,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6286283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6286291,4.00,4.00,1.00,3.00,7.00,9.00,2.00,5.00,3.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286305,6.00,4.00,0.00,3.00,7.00,9.00,2.00,4.00,4.00,234,NULL,NULL,'ITAIPUAÇU','MARICÁ','RJ',10588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286313,4.00,5.00,3.00,7.00,6.00,9.00,1.00,5.00,3.00,304,NULL,NULL,'SAO FRANCISCO','CURITIBA','PR',9533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286321,3.00,6.00,2.00,3.00,5.00,6.38,1.00,5.00,5.00,501,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17173,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6286330,2.00,3.00,2.00,3.00,9.00,8.25,2.00,5.00,2.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',17204,751,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286348,7.00,8.00,7.00,7.00,10.00,10.13,5.00,7.00,8.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286356,4.00,5.00,1.00,0.00,6.00,8.25,2.00,3.00,3.00,303,NULL,NULL,'BOM PASTOR','TUBARÃO','SC',18561,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6286372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ANITA GARIBALD','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6286380,5.00,5.00,5.00,7.00,9.00,11.25,5.00,4.00,4.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',3598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286399,3.00,2.00,1.00,6.00,5.00,11.25,2.00,4.00,1.00,9,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MANGUEIRINHA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6286429,5.00,7.00,3.00,4.00,6.00,8.25,2.00,0.00,4.00,212,NULL,201,'COHAB','PASSOS MAIA','SC',12123,353,NULL,1022,NULL,NULL,NULL,4,4),(25,6286437,6.00,4.00,3.00,6.00,8.00,9.38,1.00,5.00,4.00,303,NULL,NULL,'KOBRASSOL','S JOSÉ','SC',8455,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6286445,2.00,3.00,1.00,2.00,2.00,NULL,0.00,1.00,2.00,654,NULL,NULL,'SANGA DO MARCO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6286453,5.00,6.00,4.00,5.00,6.00,8.63,2.00,3.00,5.00,601,NULL,233,'FLORESTA','JOINVILLE','SC',9384,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6286461,4.00,4.00,2.00,4.00,6.00,6.38,2.00,3.00,3.00,324,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6286470,5.00,2.00,2.00,5.00,6.00,9.38,1.00,3.00,3.00,201,NULL,NULL,'NOVA VICENZA','FARROUPILHA','RS',10888,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286488,4.00,2.00,0.00,2.00,5.00,NULL,2.00,2.00,1.00,999,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286496,4.00,5.00,3.00,4.00,7.00,8.25,3.00,6.00,5.00,999,NULL,NULL,'ALTO DAS PAINEIRAS','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6286500,4.00,6.00,3.00,2.00,6.00,8.63,2.00,5.00,3.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13060,50,NULL,NULL,NULL,NULL,NULL,2,1),(25,6286518,5.00,7.00,0.00,5.00,7.00,10.13,1.00,5.00,6.00,303,NULL,NULL,'CENTRO','PASSO TORRES','SC',6131,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6286526,8.00,6.00,5.00,6.00,10.00,9.38,2.00,6.00,9.00,103,NULL,NULL,'JARDIM ROLAND','ROLÂNDIA','PR',1671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286542,9.00,6.00,5.00,7.00,9.00,12.00,3.00,8.00,9.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',455,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6286550,4.00,7.00,4.00,3.00,6.00,8.25,6.00,2.00,5.00,103,NULL,NULL,'CENTRO','PTE ALTA','SC',8905,3369,NULL,NULL,NULL,NULL,NULL,4,9),(25,6286569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'CENTRO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6286577,4.00,5.00,6.00,7.00,7.00,9.00,3.00,5.00,4.00,601,NULL,201,'CENTRO','NOVA AURORA','PR',6966,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6286593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6286607,3.00,3.00,0.00,3.00,4.00,6.75,0.00,1.00,0.00,203,NULL,220,'CENTRO','LEBON RÉGIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6286615,8.00,6.00,3.00,7.00,8.00,11.25,4.00,8.00,6.00,203,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','ÁGUAS CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6286631,7.00,6.00,2.00,6.00,6.00,7.88,1.00,8.00,4.00,238,NULL,208,'CENTRO','INDAIAL','SC',7933,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6286658,7.00,6.00,0.00,6.00,8.00,11.25,3.00,8.00,7.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286666,1.00,2.00,0.00,4.00,7.00,9.75,3.00,1.00,1.00,207,NULL,201,'VILA REMOR','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6286674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6286682,6.00,3.00,3.00,2.00,4.00,7.88,2.00,3.00,3.00,208,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',15963,371,NULL,344,NULL,NULL,NULL,4,1),(25,6286690,5.00,4.00,5.00,3.00,7.00,8.25,4.00,4.00,5.00,225,NULL,NULL,'CRISTO REI','IÇARA','SC',9186,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6286704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM IGUAÇU','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6286712,2.00,3.00,3.00,3.00,2.00,NULL,2.00,1.00,0.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6286720,6.00,6.00,4.00,5.00,7.00,6.75,1.00,6.00,4.00,238,NULL,208,'CENTRO','CRICIÚMA','SC',10005,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6286739,4.00,6.00,4.00,4.00,6.00,7.50,2.00,2.00,4.00,207,NULL,233,'AGRONOMICA','FLORIANÓPOLIS','SC',10254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286747,5.00,6.00,3.00,6.00,7.00,7.50,4.00,5.00,4.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6286755,2.00,4.00,2.00,0.00,7.00,6.38,2.00,4.00,5.00,653,NULL,655,'AREIAS BRANCAS','BAL ARROIO SILVA','SC',16006,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6286763,7.00,7.00,3.00,2.00,7.00,7.88,3.00,8.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286780,5.00,8.00,3.00,6.00,8.00,4.88,3.00,5.00,7.00,212,NULL,213,'AGRÔNOMICA','FLORIANÓPOLIS','SC',7684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286798,5.00,6.00,5.00,6.00,9.00,10.50,3.00,6.00,7.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',3710,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6286801,4.00,5.00,3.00,4.00,7.00,9.00,1.00,1.00,3.00,109,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12092,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6286828,2.00,4.00,2.00,2.00,4.00,8.25,1.00,1.00,3.00,201,NULL,203,'CENTRO','MANGUEIRINHA','PR',19059,1566,NULL,1069,NULL,NULL,NULL,2,4),(25,6286844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6286852,6.00,6.00,5.00,7.00,10.00,9.00,4.00,7.00,6.00,214,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',2204,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6286860,3.00,2.00,3.00,4.00,6.00,8.63,0.00,4.00,1.00,336,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',18983,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6286879,5.00,4.00,4.00,1.00,6.00,7.88,2.00,5.00,3.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,207,'CENTRO','BARRACÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6286895,2.00,3.00,0.00,2.00,1.00,NULL,2.00,4.00,2.00,444,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6286909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6286917,5.00,4.00,4.00,2.00,6.00,7.88,2.00,5.00,4.00,238,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',14301,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6286925,5.00,6.00,1.00,6.00,7.00,7.88,1.00,5.00,3.00,340,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',10436,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6286941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6286950,4.00,5.00,1.00,5.00,7.00,7.88,2.00,3.00,3.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',16847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6286968,3.00,6.00,3.00,4.00,6.00,7.88,1.00,3.00,1.00,202,NULL,238,'SÃO JOÃO','CAPINZAL','SC',17422,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6286976,4.00,6.00,2.00,7.00,6.00,7.13,3.00,2.00,4.00,201,NULL,233,'TAPERA','FLORIANÓPOLIS','SC',12343,1046,NULL,335,NULL,NULL,NULL,4,1),(25,6286984,6.00,5.00,4.00,6.00,8.00,12.75,2.00,7.00,6.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6286992,3.00,3.00,0.00,5.00,8.00,9.00,3.00,5.00,1.00,601,NULL,NULL,'JARDIM LAGEADO','S PAULO','SP',16431,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6287018,2.00,2.00,0.00,4.00,8.00,NULL,1.00,0.00,3.00,404,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6287026,2.00,3.00,0.00,4.00,5.00,6.75,3.00,2.00,0.00,601,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',21236,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6287034,1.00,5.00,3.00,3.00,5.00,6.00,4.00,4.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,653,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6287050,2.00,3.00,2.00,3.00,5.00,NULL,2.00,0.00,2.00,404,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6287069,5.00,5.00,2.00,5.00,4.00,9.38,2.00,4.00,1.00,337,NULL,NULL,'RIO DAS ANTAS','RANCHO QUEIMADO','SC',16930,35,NULL,NULL,NULL,NULL,NULL,2,1),(25,6287077,2.00,5.00,1.00,5.00,4.00,9.75,2.00,1.00,2.00,3,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',18261,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287085,5.00,3.00,5.00,3.00,6.00,5.63,1.00,3.00,3.00,302,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',18167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287115,4.00,4.00,0.00,5.00,6.00,9.75,1.00,2.00,2.00,103,NULL,NULL,'SAO FCO DE ASSIS','CAMBORIÚ','SC',13019,3997,NULL,NULL,NULL,NULL,NULL,4,3),(25,6287123,5.00,4.00,4.00,3.00,8.00,9.75,3.00,5.00,3.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',11746,3828,NULL,NULL,NULL,NULL,NULL,2,1),(25,6287131,4.00,5.00,0.00,6.00,8.00,7.13,2.00,1.00,3.00,103,NULL,NULL,'PROGRESSO','BLUMENAU','SC',13916,4116,NULL,NULL,NULL,NULL,NULL,3,2),(25,6287140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6287158,5.00,6.00,3.00,6.00,6.00,9.38,0.00,5.00,4.00,201,NULL,212,'CARVOEIRA','FLORIANÓPOLIS','SC',9344,735,NULL,261,NULL,NULL,NULL,2,1),(25,6287166,1.00,5.00,2.00,2.00,6.00,6.75,3.00,5.00,6.00,302,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',14811,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6287174,2.00,5.00,2.00,4.00,7.00,7.88,3.00,2.00,2.00,425,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287182,5.00,3.00,1.00,3.00,6.00,6.75,3.00,4.00,2.00,302,NULL,NULL,'AREIAS','S JOSÉ','SC',17519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287190,8.00,6.00,5.00,7.00,9.00,11.63,4.00,7.00,6.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287204,7.00,6.00,6.00,5.00,9.00,7.50,5.00,7.00,8.00,103,NULL,NULL,'VILA B','FOZ IGUAÇU','PR',902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287212,4.00,6.00,0.00,2.00,6.00,7.88,2.00,4.00,4.00,502,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16696,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6287220,2.00,2.00,0.00,4.00,2.00,NULL,0.00,5.00,1.00,103,NULL,NULL,'RURAL','MIRIM DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6287247,4.00,4.00,2.00,3.00,8.00,7.88,2.00,0.00,2.00,655,NULL,208,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6287255,1.00,6.00,1.00,5.00,6.00,6.75,2.00,4.00,2.00,338,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',18667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287263,8.00,6.00,8.00,7.00,9.00,10.88,8.00,7.00,9.00,203,NULL,214,'JD PANCERA','TOLEDO','PR',56,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6287271,7.00,7.00,4.00,7.00,9.00,8.63,1.00,6.00,5.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287280,2.00,3.00,1.00,1.00,4.00,7.88,1.00,1.00,1.00,317,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',20611,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6287298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CRUZEIRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6287310,3.00,2.00,0.00,2.00,4.00,5.63,1.00,1.00,2.00,201,NULL,212,'AREIAS','S JOSÉ','SC',21695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287328,6.00,5.00,4.00,4.00,9.00,10.50,2.00,3.00,4.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',7552,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6287336,6.00,6.00,7.00,1.00,9.00,8.25,3.00,4.00,3.00,103,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',5318,2513,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287344,2.00,4.00,2.00,4.00,3.00,9.00,3.00,3.00,1.00,212,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',16590,495,NULL,424,NULL,NULL,NULL,2,1),(25,6287360,2.00,3.00,0.00,2.00,6.00,5.25,2.00,1.00,1.00,999,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6287387,4.00,5.00,3.00,3.00,6.00,7.13,4.00,4.00,5.00,203,NULL,202,'JD PORTAL DO LAGO','APUCARANA','PR',11031,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6287395,2.00,2.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,303,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287409,2.00,2.00,1.00,2.00,5.00,NULL,2.00,0.00,0.00,104,NULL,NULL,'JD VISTA ALEGRE','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287417,3.00,3.00,1.00,5.00,5.00,11.63,0.00,2.00,2.00,425,NULL,429,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',18348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287425,4.00,4.00,2.00,1.00,3.00,8.63,2.00,1.00,4.00,601,NULL,211,'GLORIA','JOINVILLE','SC',20011,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6287433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM DAS HORTÊNCIA','RIO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6287450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','IMBUIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6287468,4.00,5.00,0.00,3.00,5.00,5.25,1.00,3.00,1.00,3,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6287476,5.00,3.00,2.00,2.00,3.00,7.88,1.00,0.00,3.00,333,NULL,NULL,'EUGÊNIO FERREIRA','CANELA','RS',16762,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6287484,3.00,0.00,1.00,4.00,7.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'FREGUESIA DO Ó','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6287492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RODEIO BONITO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6287506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'RECANTO ALVORADA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6287514,3.00,3.00,2.00,3.00,4.00,6.38,2.00,3.00,2.00,652,NULL,655,'CEMTRO','SOMBRIO','SC',20614,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6287530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','PAULO LOPES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6287549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'CAMBUÍ','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6287557,6.00,7.00,6.00,7.00,6.00,10.13,5.00,3.00,7.00,202,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',2824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287565,3.00,4.00,1.00,5.00,6.00,12.38,2.00,4.00,6.00,302,NULL,NULL,'CENTRO','PALHOÇA','SC',8489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287581,7.00,6.00,5.00,7.00,9.00,10.88,2.00,7.00,6.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CAMPO BELO','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6287603,4.00,5.00,3.00,5.00,8.00,5.63,3.00,2.00,2.00,551,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',16096,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6287611,3.00,4.00,3.00,6.00,4.00,7.13,2.00,2.00,4.00,318,NULL,NULL,'BARREIROS','S JOSÉ','SC',17450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287620,4.00,3.00,0.00,3.00,5.00,9.00,2.00,2.00,1.00,103,NULL,NULL,'JARDIM PANORAMA','UBIRATÃ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287638,4.00,6.00,4.00,4.00,8.00,8.63,1.00,7.00,5.00,303,NULL,NULL,'JD CIDADE FPOLIS','S JOSÉ','SC',6612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287646,3.00,6.00,2.00,2.00,8.00,6.75,3.00,4.00,2.00,238,NULL,208,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',15210,303,NULL,332,NULL,NULL,NULL,4,1),(25,6287662,4.00,3.00,2.00,5.00,7.00,11.25,4.00,2.00,2.00,340,NULL,NULL,'CENTRO','S GABRIEL OESTE','MS',10410,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287689,5.00,6.00,0.00,6.00,9.00,NULL,1.00,5.00,6.00,336,NULL,NULL,'CIDADE FLORIANOPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287697,2.00,4.00,1.00,2.00,8.00,8.63,1.00,3.00,1.00,207,NULL,201,'SANTA EULÁLIA','LIMEIRA','SP',15607,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287700,2.00,4.00,5.00,3.00,5.00,6.00,2.00,4.00,1.00,429,NULL,423,'JARDIM SANTIAGO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6287727,1.00,0.00,0.00,0.00,2.00,NULL,0.00,1.00,2.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6287735,0.00,5.00,0.00,4.00,4.00,6.38,2.00,3.00,3.00,426,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',20770,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6287743,4.00,4.00,1.00,3.00,5.00,8.25,3.00,0.00,2.00,308,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',19555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6287751,3.00,7.00,3.00,2.00,6.00,8.25,1.00,0.00,3.00,301,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6287760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'BELA VISTA','BOM RETIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6287786,1.00,1.00,1.00,4.00,1.00,NULL,2.00,0.00,1.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6287794,2.00,4.00,2.00,6.00,7.00,9.38,2.00,4.00,1.00,103,NULL,NULL,'AEROPORTO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6287808,2.00,2.00,1.00,5.00,3.00,NULL,0.00,3.00,1.00,423,NULL,428,'SIRIU','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6287816,3.00,3.00,0.00,5.00,7.00,7.50,1.00,3.00,2.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19194,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6287824,2.00,2.00,2.00,3.00,4.00,7.50,3.00,3.00,1.00,102,NULL,NULL,'AVAÍ','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6287832,2.00,3.00,1.00,3.00,3.00,7.50,1.00,4.00,2.00,551,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',20989,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6287840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6287859,4.00,5.00,2.00,2.00,5.00,6.38,1.00,1.00,1.00,551,NULL,NULL,'INTERIOR','JABORÁ','SC',18195,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6287875,3.00,3.00,1.00,5.00,5.00,8.63,1.00,2.00,1.00,404,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',17952,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6287883,3.00,1.00,0.00,4.00,8.00,6.38,2.00,2.00,2.00,653,NULL,652,'LINHA SIMÃO','ERMO','SC',19180,198,NULL,82,NULL,NULL,NULL,2,15),(25,6287891,1.00,3.00,2.00,3.00,4.00,6.00,2.00,4.00,2.00,654,NULL,NULL,'SANGA DA AREIA','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6287905,1.00,3.00,1.00,3.00,5.00,NULL,0.00,1.00,0.00,308,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6287913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'SANTA TERESA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6287921,5.00,6.00,4.00,5.00,7.00,7.13,4.00,5.00,5.00,331,NULL,NULL,'COM COM','SOMBRIO','SC',8668,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6287930,2.00,3.00,3.00,2.00,3.00,5.63,3.00,1.00,1.00,501,NULL,NULL,'INTERIOR','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6287948,4.00,7.00,4.00,0.00,9.00,6.75,1.00,5.00,2.00,331,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287956,4.00,4.00,2.00,5.00,8.00,9.00,2.00,4.00,3.00,452,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',9648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6287964,8.00,7.00,2.00,7.00,10.00,8.25,0.00,6.00,5.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',4921,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6287980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA MARIA','JATAÍ','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6287999,6.00,6.00,2.00,2.00,7.00,9.75,2.00,3.00,6.00,203,NULL,220,'VILA IZABEL','CURITIBA','PR',7533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288006,2.00,0.00,2.00,4.00,7.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6288014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'ACEP','PEREIRA BARRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6288022,6.00,6.00,2.00,6.00,7.00,9.00,3.00,4.00,6.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6878,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6288049,2.00,4.00,2.00,2.00,6.00,4.88,1.00,4.00,3.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',20204,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6288057,3.00,4.00,0.00,6.00,9.00,9.38,2.00,4.00,4.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12693,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6288065,3.00,4.00,2.00,3.00,5.00,5.25,1.00,5.00,3.00,201,NULL,212,'LINHO','ERECHIM','RS',15944,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6288073,3.00,4.00,3.00,0.00,5.00,NULL,0.00,4.00,1.00,3,NULL,NULL,'JOSÉ AMANDIO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6288081,3.00,3.00,3.00,3.00,9.00,7.88,2.00,2.00,3.00,103,NULL,NULL,'ZONA RURAL','ARATIBA','RS',13081,4005,NULL,NULL,NULL,NULL,NULL,2,4),(25,6288103,2.00,2.00,3.00,2.00,3.00,6.00,2.00,0.00,0.00,425,NULL,429,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6288120,5.00,6.00,2.00,7.00,9.00,8.63,1.00,2.00,3.00,108,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288138,8.00,8.00,3.00,6.00,9.00,8.25,0.00,8.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3385,1855,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288154,7.00,6.00,5.00,4.00,9.00,7.88,4.00,8.00,6.00,201,NULL,233,'MORRO ESTEVÃO','CRICIÚMA','SC',3810,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6288162,6.00,5.00,1.00,6.00,7.00,10.88,3.00,3.00,2.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6288200,4.00,6.00,3.00,5.00,8.00,NULL,0.00,4.00,5.00,103,NULL,NULL,'INTERIOR','AUGUSTO PESTANA','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(25,6288219,8.00,6.00,2.00,7.00,11.00,10.88,2.00,3.00,5.00,233,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',3518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288227,1.00,3.00,3.00,1.00,6.00,7.13,0.00,4.00,0.00,203,NULL,202,'PRÓSPERA','CRICIÚMA','SC',19052,1068,NULL,NULL,NULL,NULL,NULL,4,5),(25,6288235,3.00,5.00,0.00,2.00,2.00,NULL,2.00,1.00,1.00,216,NULL,212,'NA SENHORA DE LOURDE','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6288243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'CENTRO','DESCANSO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6288251,5.00,6.00,5.00,6.00,8.00,7.88,1.00,3.00,4.00,216,NULL,653,'DOM BOSCO','ITAJAÍ','SC',7075,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6288260,4.00,4.00,2.00,4.00,9.00,9.38,0.00,4.00,2.00,415,NULL,NULL,'BUENOS AIRES','MAFRA','SC',11740,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6288278,4.00,5.00,2.00,6.00,6.00,7.88,2.00,2.00,3.00,318,NULL,NULL,'BARREIROS','S JOSÉ','SC',15845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288286,3.00,5.00,2.00,5.00,7.00,9.00,2.00,1.00,2.00,212,NULL,211,'ROÇADO','S JOSÉ','SC',13881,407,NULL,367,NULL,NULL,NULL,2,1),(25,6288294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6288308,2.00,2.00,0.00,2.00,3.00,NULL,0.00,1.00,0.00,103,NULL,NULL,'INTERIOR','GUATAMBÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6288316,3.00,2.00,1.00,0.00,1.00,NULL,2.00,0.00,2.00,108,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288324,2.00,6.00,4.00,6.00,7.00,10.88,4.00,2.00,2.00,450,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11991,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6288332,4.00,4.00,2.00,5.00,4.00,3.00,2.00,6.00,2.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288359,3.00,0.00,2.00,1.00,5.00,NULL,0.00,0.00,0.00,652,NULL,655,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(25,6288367,2.00,5.00,2.00,1.00,3.00,6.75,2.00,4.00,2.00,326,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6288375,3.00,4.00,0.00,2.00,7.00,NULL,1.00,1.00,4.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'GARCIA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6288391,2.00,2.00,1.00,1.00,3.00,NULL,0.00,2.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288405,4.00,5.00,1.00,5.00,9.00,12.75,0.00,6.00,1.00,338,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9855,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6288413,8.00,8.00,3.00,3.00,9.00,9.00,1.00,6.00,8.00,103,NULL,NULL,'CENTRO','MAFRA','SC',4137,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6288421,3.00,4.00,4.00,4.00,6.00,10.13,3.00,4.00,4.00,202,NULL,655,'PETROPLIS','VACARIA','RS',13928,432,NULL,NULL,NULL,NULL,NULL,2,9),(25,6288430,3.00,1.00,3.00,5.00,5.00,5.63,0.00,2.00,2.00,653,NULL,215,'COMERCIÁRIO','CRICIÚMA','SC',18451,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6288448,5.00,4.00,0.00,3.00,5.00,6.75,0.00,1.00,0.00,653,NULL,201,'CENTRO','CAPIVARI BAIXO','SC',21406,244,NULL,1719,NULL,NULL,NULL,4,10),(25,6288456,2.00,5.00,1.00,4.00,5.00,9.00,0.00,2.00,1.00,324,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288472,6.00,5.00,1.00,3.00,8.00,7.50,0.00,7.00,3.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12638,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288480,6.00,7.00,4.00,5.00,10.00,11.25,5.00,8.00,5.00,103,NULL,NULL,'SÃO JOSÉ','S JOAQUIM','SC',1468,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6288502,4.00,3.00,4.00,5.00,9.00,6.75,2.00,4.00,3.00,202,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',12670,406,NULL,293,NULL,NULL,NULL,2,1),(25,6288510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'LINHA SIMÃO','ERMO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6288529,2.00,5.00,0.00,4.00,6.00,7.13,0.00,5.00,1.00,5,NULL,NULL,'ARIRIU DA FORMIGA','PALHOÇA','SC',16753,586,NULL,NULL,NULL,NULL,NULL,2,1),(25,6288545,3.00,2.00,3.00,2.00,5.00,8.63,1.00,0.00,5.00,102,NULL,NULL,'BELA VISTA','BOM RETIRO','SC',16944,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6288553,6.00,5.00,4.00,4.00,4.00,7.88,2.00,4.00,4.00,9,NULL,NULL,'CENTRO','ARATIBA','RS',11096,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6288561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6288570,2.00,3.00,0.00,0.00,3.00,NULL,2.00,1.00,2.00,302,NULL,NULL,'AREIAS','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6288588,7.00,6.00,1.00,5.00,8.00,7.50,1.00,4.00,5.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',11545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6288596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','S LUDGERO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6288600,4.00,5.00,2.00,5.00,7.00,8.63,3.00,5.00,3.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',10428,380,NULL,NULL,NULL,NULL,NULL,2,1),(25,6288626,6.00,7.00,1.00,4.00,7.00,9.38,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288634,7.00,6.00,3.00,7.00,9.00,13.50,4.00,4.00,9.00,453,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288642,2.00,4.00,1.00,3.00,6.00,8.25,0.00,2.00,3.00,201,NULL,202,'CENTRO','BIGUAÇU','SC',17278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO SUL','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6288669,7.00,7.00,7.00,8.00,10.00,11.63,4.00,8.00,9.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6288685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6288693,3.00,4.00,0.00,3.00,7.00,NULL,2.00,4.00,3.00,2,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6288707,4.00,8.00,3.00,3.00,6.00,7.88,2.00,4.00,0.00,211,NULL,207,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',15560,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6288715,4.00,4.00,5.00,5.00,8.00,8.25,0.00,2.00,2.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',14205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288723,5.00,6.00,0.00,5.00,8.00,NULL,0.00,4.00,2.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288740,4.00,5.00,4.00,6.00,6.00,6.38,0.00,2.00,5.00,220,NULL,235,'PRAIA REDONDA','TUBARÃO','SC',9512,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6288758,1.00,2.00,1.00,5.00,6.00,9.00,0.00,0.00,2.00,207,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20889,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6288766,3.00,5.00,0.00,6.00,6.00,NULL,2.00,1.00,4.00,653,NULL,652,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6288812,4.00,6.00,0.00,4.00,7.00,NULL,1.00,4.00,1.00,601,NULL,211,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6288820,4.00,7.00,1.00,6.00,7.00,10.88,2.00,6.00,6.00,103,NULL,NULL,'MARGEM ESQUERDA','GASPAR','SC',8033,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6288839,2.00,4.00,1.00,4.00,7.00,NULL,2.00,0.00,1.00,316,NULL,NULL,'CENTRO','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6288847,3.00,3.00,2.00,3.00,5.00,NULL,2.00,1.00,0.00,339,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6288855,1.00,4.00,0.00,3.00,6.00,NULL,2.00,4.00,1.00,324,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288871,4.00,3.00,2.00,3.00,4.00,9.00,1.00,2.00,0.00,319,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',20318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288880,2.00,4.00,1.00,6.00,7.00,8.25,3.00,2.00,1.00,420,NULL,NULL,'BELA VISTA','S JOSÉ','SC',17930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6288901,3.00,5.00,1.00,2.00,7.00,8.25,1.00,2.00,2.00,425,NULL,429,'BARREIROS','S JOSÉ','SC',19693,86,NULL,52,NULL,NULL,NULL,4,1),(25,6288910,3.00,6.00,2.00,3.00,5.00,NULL,0.00,3.00,2.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6288928,1.00,3.00,1.00,2.00,5.00,6.75,2.00,2.00,2.00,415,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',21486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6288952,5.00,2.00,3.00,4.00,5.00,8.25,0.00,5.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6288960,7.00,5.00,3.00,6.00,8.00,7.50,2.00,6.00,7.00,238,NULL,652,'CENTRO','TUBARÃO','SC',5903,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6288987,0.00,2.00,1.00,3.00,6.00,NULL,3.00,0.00,2.00,104,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6288995,3.00,4.00,3.00,2.00,4.00,6.75,1.00,5.00,3.00,233,NULL,216,'JD IBIRAPUERA','LIMEIRA','SP',14957,388,NULL,506,NULL,NULL,NULL,2,1),(25,6289002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,215,'ÁGUAS CLARAS','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6289010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','DIONÍSIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6289029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6289037,6.00,7.00,3.00,6.00,8.00,8.25,3.00,7.00,7.00,207,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',3987,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'SUDOESTE','CRUZEIRO','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6289061,2.00,5.00,3.00,6.00,6.00,9.00,3.00,1.00,3.00,202,NULL,235,'ASA SUL','BRASÍLIA','DF',14934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289070,4.00,6.00,4.00,5.00,7.00,NULL,0.00,4.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289088,3.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6289096,3.00,7.00,4.00,2.00,6.00,8.25,1.00,3.00,3.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17507,99,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','ENCRUZILHADA SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6289118,3.00,2.00,1.00,1.00,5.00,9.38,1.00,3.00,1.00,213,NULL,202,'SÃO CRISTÓVÃO','TURVO','SC',20940,298,NULL,665,NULL,NULL,NULL,2,15),(25,6289126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6289134,5.00,4.00,5.00,6.00,9.00,10.13,3.00,2.00,5.00,453,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289142,3.00,2.00,2.00,4.00,3.00,7.88,3.00,3.00,1.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',19424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289150,1.00,2.00,1.00,3.00,3.00,6.38,2.00,3.00,1.00,301,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',21642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289169,3.00,3.00,3.00,4.00,8.00,9.75,1.00,3.00,1.00,207,NULL,201,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',14264,768,NULL,1215,NULL,NULL,NULL,2,1),(25,6289177,4.00,4.00,3.00,5.00,9.00,10.50,4.00,5.00,2.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289185,3.00,3.00,2.00,4.00,6.00,6.00,2.00,2.00,0.00,208,NULL,220,'FORQUILHINHAS','S JOSÉ','SC',20821,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289193,2.00,1.00,2.00,0.00,4.00,NULL,2.00,2.00,2.00,212,NULL,207,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289215,2.00,5.00,2.00,4.00,5.00,6.00,0.00,2.00,2.00,223,NULL,NULL,'BAIRRO DE FATIMA','FLORIANÓPOLIS','SC',20383,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289223,1.00,3.00,1.00,3.00,7.00,NULL,1.00,0.00,1.00,317,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289231,3.00,5.00,3.00,1.00,6.00,NULL,0.00,3.00,2.00,501,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289240,5.00,4.00,3.00,3.00,3.00,6.38,2.00,6.00,6.00,201,NULL,233,'MEIA PRAIA','ITAPEMA','SC',11529,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6289258,3.00,5.00,2.00,5.00,5.00,12.75,2.00,4.00,3.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289266,3.00,3.00,2.00,5.00,3.00,5.25,1.00,0.00,3.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19592,290,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289274,2.00,3.00,0.00,5.00,4.00,9.38,2.00,1.00,0.00,104,NULL,NULL,'CENTRO','SORRISO','MT',20902,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289290,0.00,6.00,0.00,0.00,0.00,NULL,3.00,2.00,2.00,216,NULL,601,'CENTRO','PRES GETÚLIO','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,9),(25,6289304,5.00,4.00,3.00,4.00,5.00,8.63,2.00,5.00,4.00,201,NULL,207,'ANTONIO RECK','DESCANSO','SC',10744,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6289320,7.00,7.00,2.00,7.00,11.00,9.00,3.00,9.00,6.00,415,NULL,NULL,'PRESIDENTE VARGAS','IÇARA','SC',2278,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6289339,6.00,6.00,2.00,5.00,9.00,8.25,2.00,4.00,4.00,654,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289347,5.00,5.00,1.00,4.00,7.00,NULL,0.00,2.00,4.00,336,NULL,NULL,'SÃO RAFAEL','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6289355,2.00,5.00,0.00,4.00,5.00,NULL,2.00,3.00,1.00,327,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289363,2.00,4.00,1.00,2.00,3.00,6.00,3.00,2.00,1.00,654,NULL,NULL,'NOVA DIVINÉIA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6289371,5.00,7.00,4.00,6.00,8.00,8.25,3.00,6.00,4.00,444,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',5964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'CENTRO','S CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6289398,6.00,6.00,3.00,7.00,10.00,7.50,2.00,5.00,5.00,103,NULL,NULL,'GONZAGA','SANTOS','SP',6468,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6289428,6.00,2.00,3.00,6.00,7.00,6.75,3.00,3.00,5.00,103,NULL,NULL,'JARDIN NOVA YORK','CASCAVEL','PR',9737,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6289444,4.00,2.00,2.00,5.00,8.00,7.88,1.00,1.00,1.00,340,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',18443,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6289460,7.00,0.00,5.00,6.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(25,6289479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DOM BOSCO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6289487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6289495,6.00,5.00,5.00,5.00,8.00,9.75,3.00,4.00,5.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289509,2.00,1.00,3.00,3.00,6.00,7.88,1.00,0.00,2.00,201,NULL,233,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',20979,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289517,2.00,4.00,1.00,3.00,2.00,NULL,1.00,0.00,1.00,327,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6289525,2.00,4.00,0.00,1.00,6.00,6.75,1.00,2.00,3.00,999,NULL,NULL,'SEMINÁRIO','TAIÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289533,6.00,4.00,4.00,4.00,7.00,10.50,3.00,3.00,5.00,233,NULL,203,'GRANJA JULIETA','S PAULO','SP',5707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289541,4.00,4.00,1.00,4.00,5.00,7.88,1.00,2.00,1.00,207,NULL,201,'BOM ABRIGO','FLORIANÓPOLIS','SC',20125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289550,7.00,7.00,5.00,6.00,9.00,11.25,3.00,9.00,6.00,103,NULL,NULL,'CAMOBI','STA MARIA','RS',788,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289568,7.00,7.00,5.00,6.00,10.00,NULL,0.00,4.00,7.00,103,NULL,NULL,'COLISEU','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6289584,6.00,3.00,6.00,5.00,3.00,10.50,2.00,4.00,5.00,201,NULL,203,'CENTRO','PALOTINA','PR',7936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289606,3.00,5.00,2.00,7.00,9.00,8.25,2.00,3.00,5.00,216,NULL,233,'HIGIENOPOLIS','RIBEIRÃO PRETO','SP',7600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289614,0.00,4.00,0.00,0.00,0.00,NULL,2.00,5.00,1.00,103,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289622,3.00,5.00,1.00,4.00,6.00,7.50,2.00,4.00,2.00,109,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',18518,116,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289630,5.00,5.00,2.00,3.00,4.00,7.50,2.00,4.00,2.00,317,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',18049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6289657,3.00,4.00,4.00,5.00,7.00,8.25,1.00,4.00,4.00,201,NULL,212,'PONTA DE BAIXO','S JOSÉ','SC',10128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289665,3.00,5.00,3.00,4.00,7.00,10.50,2.00,4.00,3.00,428,NULL,427,'CACHO DO BOM JESUS','FLORIANÓPOLIS','SC',11132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289673,1.00,3.00,1.00,2.00,5.00,NULL,0.00,3.00,1.00,108,NULL,NULL,'PALHOÇINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289681,1.00,3.00,1.00,3.00,4.00,NULL,4.00,3.00,0.00,333,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289690,8.00,7.00,6.00,3.00,8.00,8.63,2.00,6.00,5.00,207,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',4858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289703,6.00,6.00,3.00,5.00,5.00,9.75,1.00,5.00,4.00,102,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',8542,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289711,7.00,7.00,2.00,5.00,9.00,8.25,3.00,7.00,7.00,103,NULL,NULL,'JARDIM FOGAÇA','ITAPETININGA','SP',3171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289738,3.00,3.00,2.00,3.00,4.00,4.50,1.00,2.00,2.00,203,NULL,655,'SANTO ANTONIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6289746,2.00,4.00,3.00,4.00,7.00,8.25,2.00,0.00,0.00,110,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',19403,122,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289754,3.00,6.00,2.00,3.00,7.00,8.25,1.00,2.00,2.00,201,NULL,207,'CENTRO','CAMPOS NOVOS','SC',17938,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6289770,4.00,5.00,3.00,5.00,7.00,7.50,2.00,7.00,3.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289789,2.00,7.00,2.00,3.00,8.00,5.63,1.00,2.00,3.00,328,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15734,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289797,5.00,4.00,1.00,1.00,6.00,8.25,2.00,0.00,1.00,103,NULL,NULL,'VILA NOVA','LAGES','SC',18076,4531,NULL,NULL,NULL,NULL,NULL,4,9),(25,6289800,4.00,5.00,1.00,5.00,6.00,7.88,2.00,3.00,3.00,235,NULL,203,'KOBRASOL','S JOSÉ','SC',16020,384,NULL,975,NULL,NULL,NULL,2,1),(25,6289819,3.00,4.00,2.00,2.00,6.00,7.50,2.00,4.00,5.00,319,NULL,NULL,'AGUAS MORNAS','ÁGUAS MORNAS','SC',16185,315,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289827,8.00,5.00,4.00,6.00,7.00,9.38,3.00,6.00,7.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',2897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289835,6.00,5.00,6.00,5.00,7.00,8.25,1.00,4.00,6.00,201,NULL,203,'JARDIM MARÍLIA','MARÍLIA','SP',5970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289843,3.00,4.00,1.00,4.00,3.00,9.75,1.00,1.00,0.00,103,NULL,NULL,'GUARUJA','LAGES','SC',19087,4595,NULL,NULL,NULL,NULL,NULL,4,9),(25,6289851,3.00,4.00,2.00,4.00,6.00,9.38,2.00,4.00,0.00,319,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',17417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289860,1.00,2.00,2.00,4.00,6.00,NULL,1.00,0.00,0.00,103,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,9),(25,6289878,4.00,3.00,3.00,2.00,8.00,NULL,0.00,5.00,1.00,103,NULL,NULL,'FAXINAL','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6289894,7.00,6.00,1.00,5.00,8.00,8.25,2.00,6.00,6.00,238,NULL,208,'FLOR DE NÁPOLIS','S JOSÉ','SC',6379,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289924,1.00,3.00,1.00,2.00,5.00,6.38,0.00,1.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289932,1.00,3.00,0.00,3.00,4.00,6.00,1.00,1.00,0.00,429,NULL,426,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289940,4.00,6.00,4.00,6.00,8.00,9.38,1.00,6.00,3.00,203,NULL,214,'VARGEM GRANDE','ÁGUAS MORNAS','SC',8308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289967,3.00,4.00,2.00,0.00,4.00,5.63,3.00,3.00,3.00,319,NULL,NULL,'BAIRRO DE FATIMA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6289975,3.00,4.00,3.00,3.00,7.00,9.00,2.00,5.00,2.00,324,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289983,2.00,3.00,2.00,1.00,3.00,7.13,1.00,1.00,1.00,109,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6289991,4.00,4.00,3.00,5.00,8.00,7.13,2.00,3.00,1.00,450,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6290000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'VILA SAO JOSE','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6290019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'LUCAS ARAUJO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6290027,3.00,2.00,0.00,3.00,6.00,6.38,2.00,1.00,2.00,202,NULL,213,'NOVA DIVINÉIA','PINHALZINHO','SC',21293,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6290035,6.00,7.00,2.00,2.00,4.00,11.63,1.00,4.00,3.00,102,NULL,NULL,'CENTRO','CONCÓRDIA','SC',13656,152,NULL,NULL,NULL,NULL,NULL,4,4),(25,6290043,3.00,6.00,2.00,5.00,9.00,8.63,2.00,6.00,6.00,207,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',7473,333,NULL,556,NULL,NULL,NULL,5,1),(25,6290051,2.00,6.00,2.00,4.00,2.00,NULL,1.00,0.00,0.00,203,NULL,214,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290060,3.00,3.00,2.00,6.00,7.00,7.50,1.00,4.00,3.00,215,NULL,233,'CENTRO','JARAGUÁ SUL','SC',15303,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6290086,6.00,4.00,1.00,2.00,7.00,NULL,2.00,4.00,0.00,425,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6290094,3.00,7.00,1.00,4.00,6.00,8.25,2.00,7.00,5.00,213,NULL,235,'VILA INDEPENDENCIA','LIMEIRA','SP',8403,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SANTA CLARA','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6290116,3.00,5.00,3.00,2.00,7.00,9.00,1.00,7.00,3.00,201,NULL,653,'TRÊS DE MAIO','CAPIVARI BAIXO','SC',11362,955,NULL,NULL,NULL,NULL,NULL,4,10),(25,6290132,6.00,6.00,3.00,3.00,7.00,7.50,2.00,4.00,8.00,333,NULL,NULL,'CENTRO','CURITIBA','PR',6628,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6290140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6290159,2.00,3.00,0.00,3.00,4.00,7.50,2.00,0.00,1.00,201,NULL,212,'IMPERIAL','CONCÓRDIA','SC',21397,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6290175,3.00,3.00,2.00,5.00,7.00,8.63,1.00,3.00,3.00,203,NULL,601,'CENTRO','ITAJAÍ','SC',17171,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6290183,3.00,5.00,1.00,4.00,8.00,6.75,3.00,3.00,3.00,652,NULL,655,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6290205,5.00,6.00,3.00,5.00,9.00,5.25,2.00,4.00,3.00,216,NULL,215,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',6569,NULL,NULL,NULL,NULL,NULL,NULL,4,1);
INSERT INTO boletim_desempenho VALUES (25,6290230,4.00,5.00,2.00,4.00,5.00,9.75,3.00,5.00,5.00,601,NULL,201,'GUANABARA','JOINVILLE','SC',10732,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6290248,3.00,3.00,0.00,2.00,2.00,NULL,1.00,1.00,0.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6290256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6290264,6.00,4.00,3.00,7.00,7.00,10.13,3.00,5.00,7.00,5,NULL,NULL,'ZONA SETE','MARINGÁ','PR',4209,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6290272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SÃO L DO GUARICANGA','PRES ALVES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6290280,6.00,7.00,2.00,5.00,9.00,10.50,1.00,5.00,3.00,103,NULL,NULL,'BEIRA MAR NORTE','FLORIANÓPOLIS','SC',8039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290299,4.00,6.00,3.00,7.00,6.00,7.13,1.00,8.00,4.00,3,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6290329,1.00,3.00,1.00,2.00,4.00,7.13,2.00,4.00,1.00,203,NULL,201,'AREIAS','S JOSÉ','SC',21298,1157,NULL,1710,NULL,NULL,NULL,2,1),(25,6290345,4.00,3.00,1.00,6.00,7.00,NULL,2.00,0.00,2.00,999,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290353,5.00,7.00,1.00,4.00,7.00,6.75,1.00,4.00,4.00,303,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',13717,634,NULL,NULL,NULL,NULL,NULL,2,1),(25,6290361,2.00,6.00,3.00,6.00,6.00,7.50,4.00,3.00,6.00,203,NULL,235,'CENTRO','PNT GROSSA','PR',9200,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6290388,5.00,4.00,1.00,4.00,7.00,6.75,1.00,2.00,1.00,208,NULL,201,'SETOR E','QUERÊNCIA','MT',18180,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6290396,3.00,2.00,3.00,2.00,6.00,8.63,2.00,0.00,1.00,316,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6290400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6290418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SCHREIBER','SALETE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6290426,7.00,7.00,2.00,4.00,9.00,8.25,1.00,7.00,4.00,5,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',6256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290434,3.00,3.00,0.00,6.00,6.00,6.75,1.00,2.00,2.00,220,NULL,208,'COQUEIROS','FLORIANÓPOLIS','SC',17311,440,NULL,427,NULL,NULL,NULL,2,1),(25,6290442,4.00,6.00,3.00,1.00,6.00,8.63,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',13150,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6290450,5.00,5.00,4.00,5.00,6.00,8.25,4.00,6.00,5.00,202,NULL,213,'JARDIM ALPHAVILE','UMUARAMA','PR',7079,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6290469,2.00,2.00,0.00,3.00,6.00,NULL,2.00,3.00,2.00,601,NULL,208,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6290477,3.00,5.00,2.00,5.00,7.00,10.13,1.00,6.00,2.00,450,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',13142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290485,2.00,4.00,1.00,3.00,6.00,8.25,2.00,4.00,2.00,320,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',18949,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6290493,2.00,2.00,2.00,3.00,6.00,6.38,1.00,3.00,3.00,102,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6290507,4.00,5.00,2.00,5.00,7.00,7.13,1.00,4.00,2.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13372,107,NULL,NULL,NULL,NULL,NULL,2,1),(25,6290515,3.00,5.00,2.00,6.00,5.00,11.63,2.00,4.00,0.00,303,NULL,NULL,'JARDIM','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6290540,6.00,5.00,5.00,6.00,6.00,7.13,3.00,6.00,6.00,213,NULL,235,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290558,4.00,2.00,2.00,2.00,4.00,7.50,1.00,4.00,4.00,999,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290566,3.00,5.00,2.00,6.00,4.00,5.63,3.00,3.00,2.00,427,NULL,424,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6290574,2.00,4.00,1.00,4.00,7.00,8.63,0.00,1.00,2.00,201,NULL,212,'SULGON','PALMEIRA MISSÕES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6290590,6.00,6.00,4.00,5.00,9.00,8.63,5.00,7.00,4.00,203,NULL,601,'VILA NOVA','IMBITUBA','SC',3909,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6290612,2.00,4.00,1.00,2.00,4.00,8.25,0.00,1.00,0.00,420,NULL,NULL,'AREIAS BARREIROS SJ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290620,3.00,1.00,2.00,5.00,5.00,7.88,2.00,3.00,1.00,104,NULL,NULL,'CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC',16968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290647,8.00,7.00,5.00,4.00,7.00,8.63,2.00,7.00,6.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',3835,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6290655,4.00,5.00,3.00,1.00,5.00,NULL,0.00,5.00,2.00,104,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6290663,5.00,7.00,1.00,7.00,5.00,8.25,1.00,5.00,6.00,238,NULL,235,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290671,7.00,9.00,5.00,7.00,9.00,9.38,3.00,8.00,7.00,216,NULL,215,'GLÓRIA','JOINVILLE','SC',1347,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6290680,3.00,5.00,2.00,2.00,5.00,9.00,0.00,1.00,2.00,109,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',20469,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6290698,7.00,8.00,5.00,6.00,8.00,7.50,2.00,7.00,8.00,340,NULL,NULL,'CENTRO','CURITIBA','PR',2001,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6290701,8.00,7.00,5.00,7.00,11.00,11.25,2.00,8.00,8.00,303,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290710,2.00,4.00,3.00,5.00,4.00,0.00,3.00,1.00,2.00,234,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6290728,2.00,7.00,4.00,3.00,7.00,8.63,0.00,6.00,3.00,214,NULL,203,'PANTANAL','FLORIANÓPOLIS','SC',10653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290736,9.00,6.00,7.00,7.00,9.00,9.38,3.00,8.00,9.00,103,NULL,NULL,'INDEPENDENCIA','CASCAVEL','PR',481,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6290744,6.00,6.00,2.00,7.00,8.00,7.13,2.00,7.00,4.00,326,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',9378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290752,3.00,3.00,1.00,7.00,5.00,9.00,1.00,1.00,1.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',19412,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6290760,4.00,6.00,0.00,5.00,7.00,6.75,0.00,5.00,3.00,326,NULL,NULL,'ROÇADO','S JOSÉ','SC',15092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290779,5.00,4.00,4.00,5.00,7.00,7.13,2.00,6.00,4.00,208,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',9642,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6290787,4.00,5.00,2.00,6.00,9.00,7.88,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','COXIM','MS',7866,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6290795,7.00,4.00,0.00,7.00,9.00,7.50,1.00,5.00,5.00,319,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',7503,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6290809,4.00,3.00,3.00,1.00,4.00,6.00,3.00,3.00,1.00,202,NULL,216,'PINHEIRINHO','FRANCISCO BELTRÃO','PR',16550,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6290817,7.00,6.00,2.00,3.00,9.00,9.75,1.00,3.00,3.00,201,NULL,211,'CENTRO','GR PARÁ','SC',11019,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6290850,1.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,0.00,211,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290876,3.00,2.00,3.00,5.00,5.00,7.13,2.00,1.00,3.00,301,NULL,NULL,'COLONIA VITORIA','GUARAPUAVA','PR',19262,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6290884,3.00,5.00,1.00,4.00,7.00,7.88,1.00,5.00,3.00,110,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',13016,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6290892,3.00,3.00,1.00,2.00,3.00,5.63,3.00,3.00,1.00,501,NULL,NULL,'RIBEIRÃO FRESCO','BLUMENAU','SC',21349,129,NULL,NULL,NULL,NULL,NULL,4,2),(25,6290906,4.00,4.00,4.00,3.00,5.00,7.88,2.00,4.00,2.00,211,NULL,215,'PASSA VINTE','PALHOÇA','SC',14645,383,NULL,230,NULL,NULL,NULL,2,1),(25,6290914,4.00,3.00,1.00,1.00,6.00,8.63,0.00,1.00,1.00,319,NULL,NULL,'ARAÇATUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290922,3.00,6.00,0.00,5.00,5.00,NULL,1.00,4.00,3.00,109,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6290930,3.00,4.00,2.00,3.00,6.00,7.50,5.00,2.00,2.00,601,NULL,201,'CENTRO','STA LÚCIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6290949,3.00,2.00,2.00,2.00,5.00,9.38,3.00,1.00,3.00,303,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',16120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290965,4.00,7.00,3.00,5.00,8.00,7.50,2.00,6.00,4.00,238,NULL,233,'CAMPINAS','S JOSÉ','SC',8267,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6290973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6290981,4.00,6.00,3.00,6.00,9.00,10.13,3.00,3.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6290990,4.00,2.00,3.00,3.00,4.00,9.00,3.00,2.00,2.00,501,NULL,NULL,'ESQUINA','URUBICI','SC',16828,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6291015,3.00,1.00,1.00,3.00,5.00,6.38,0.00,0.00,0.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',21715,180,NULL,NULL,NULL,NULL,NULL,2,1),(25,6291023,1.00,4.00,3.00,4.00,4.00,6.75,2.00,4.00,0.00,336,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18268,146,NULL,NULL,NULL,NULL,NULL,2,1),(25,6291031,1.00,5.00,1.00,3.00,3.00,5.25,2.00,5.00,3.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',20233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6291040,6.00,7.00,5.00,7.00,6.00,9.75,2.00,3.00,6.00,211,NULL,233,'PLANALTO','BELO HORIZONTE','MG',4832,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6291058,2.00,4.00,2.00,5.00,8.00,NULL,0.00,3.00,0.00,9,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6291066,5.00,6.00,4.00,3.00,6.00,10.50,2.00,1.00,6.00,205,NULL,NULL,'BOA VISTA','IMBITUBA','SC',11367,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6291074,6.00,6.00,2.00,7.00,8.00,6.38,3.00,5.00,4.00,102,NULL,NULL,'PRAIA DO SONHO','ITANHAÉM','SP',7779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6291082,5.00,3.00,3.00,2.00,6.00,8.25,3.00,2.00,3.00,212,NULL,211,'CENTRO','MRO FUMAÇA','SC',11937,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6291090,3.00,1.00,3.00,3.00,6.00,6.38,1.00,3.00,2.00,207,NULL,208,'PANTANAL','FLORIANÓPOLIS','SC',20516,1117,NULL,554,NULL,NULL,NULL,4,1),(25,6291112,2.00,5.00,0.00,7.00,7.00,NULL,0.00,4.00,5.00,453,NULL,NULL,'CENTRO','IPORÃ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6291120,6.00,5.00,1.00,4.00,7.00,7.88,2.00,1.00,4.00,103,NULL,NULL,'GUADALUPE','LAGES','SC',13436,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6291155,2.00,2.00,1.00,1.00,5.00,7.13,2.00,2.00,2.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',20677,74,NULL,NULL,NULL,NULL,NULL,4,15),(25,6291163,2.00,3.00,1.00,3.00,4.00,NULL,2.00,0.00,1.00,551,NULL,NULL,'CENTRO','QUITANDINHA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6291171,2.00,5.00,2.00,5.00,5.00,10.50,4.00,2.00,3.00,423,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',13903,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6291180,4.00,5.00,1.00,4.00,7.00,NULL,2.00,5.00,0.00,601,NULL,207,'JARDIM OURO PRETO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6291201,6.00,6.00,3.00,5.00,5.00,7.13,3.00,8.00,3.00,103,NULL,NULL,'FERROVIA','LAGES','SC',7665,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6291210,3.00,6.00,5.00,6.00,10.00,9.38,3.00,5.00,4.00,999,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6291228,4.00,5.00,0.00,4.00,7.00,7.88,1.00,1.00,1.00,551,NULL,NULL,'INTERIOR','MONDAÍ','SC',18202,29,NULL,NULL,NULL,NULL,NULL,2,4),(25,6291236,3.00,4.00,2.00,3.00,5.00,NULL,0.00,2.00,0.00,302,NULL,NULL,'ARREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6291244,2.00,6.00,1.00,6.00,7.00,7.50,3.00,3.00,2.00,211,NULL,215,'PARQUE DE EXPOSIÇÕES','CONCÓRDIA','SC',14533,381,NULL,226,NULL,NULL,NULL,2,4),(25,6291252,3.00,2.00,2.00,4.00,6.00,6.75,2.00,0.00,3.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',16766,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6291260,1.00,5.00,0.00,0.00,5.00,NULL,2.00,1.00,2.00,331,NULL,NULL,'JARDIM AMÉRICA','MARÍLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6291279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA ROMANA','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6291287,8.00,7.00,5.00,1.00,9.00,6.75,3.00,7.00,5.00,316,NULL,NULL,'DEHON','TUBARÃO','SC',6497,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6291295,6.00,6.00,2.00,3.00,7.00,10.13,0.00,3.00,5.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',7918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6291309,3.00,2.00,0.00,3.00,3.00,NULL,0.00,2.00,1.00,212,NULL,201,'JARDIM PAULISTA','ORINDIÚVA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6291317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DO MAR','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6291325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'RETA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6291341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PRINCESA','CARAZINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6291350,4.00,4.00,0.00,2.00,3.00,NULL,0.00,1.00,0.00,415,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6291368,3.00,6.00,0.00,3.00,5.00,NULL,0.00,2.00,0.00,601,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6291376,2.00,4.00,4.00,6.00,3.00,9.00,3.00,2.00,1.00,340,NULL,NULL,'DONA CLARA','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6291392,2.00,6.00,3.00,2.00,5.00,7.13,2.00,3.00,4.00,223,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',17771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6291406,5.00,5.00,2.00,7.00,8.00,9.38,2.00,5.00,5.00,103,NULL,NULL,'VISTA ALEGRE','VINHEDO','SP',6483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6291422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6291449,1.00,5.00,1.00,2.00,3.00,4.50,1.00,0.00,1.00,404,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',21768,117,NULL,NULL,NULL,NULL,NULL,2,1),(25,6291457,4.00,2.00,0.00,6.00,8.00,NULL,1.00,4.00,2.00,324,NULL,NULL,'PIO X','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6291465,4.00,7.00,2.00,3.00,6.00,7.13,2.00,5.00,6.00,201,NULL,212,'CENTRO','CURITIBA','PR',8586,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6291473,3.00,5.00,2.00,5.00,7.00,7.88,2.00,6.00,3.00,5,NULL,NULL,'CORAÇÃO EUCARÍSTICO','BELO HORIZONTE','MG',12850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6291481,5.00,3.00,3.00,4.00,5.00,6.38,0.00,2.00,1.00,102,NULL,NULL,'FLORESTA','VIDEIRA','SC',17566,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6291503,5.00,4.00,1.00,4.00,7.00,7.50,2.00,3.00,2.00,601,NULL,216,'FORQUILINHAS','S JOSÉ','SC',15515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6291511,2.00,4.00,3.00,7.00,8.00,8.25,3.00,5.00,3.00,5,NULL,NULL,'JARDIM PANORAMA','FOZ IGUAÇU','PR',9756,358,NULL,NULL,NULL,NULL,NULL,4,6),(25,6291520,1.00,2.00,2.00,2.00,4.00,7.13,0.00,4.00,1.00,211,NULL,216,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6291538,3.00,6.00,2.00,6.00,6.00,9.38,2.00,5.00,3.00,999,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6291546,1.00,4.00,1.00,4.00,5.00,9.38,0.00,2.00,0.00,338,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20890,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6291554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6291562,3.00,3.00,1.00,1.00,5.00,6.38,5.00,3.00,0.00,220,NULL,NULL,'CENTRO','RIO NEGRO','PR',19407,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6291570,4.00,6.00,4.00,6.00,9.00,7.50,1.00,4.00,6.00,207,NULL,201,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',7741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6291589,3.00,5.00,1.00,2.00,3.00,8.25,3.00,2.00,3.00,444,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',19969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6291597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6291600,3.00,7.00,1.00,2.00,6.00,NULL,1.00,4.00,2.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6291619,9.00,9.00,4.00,6.00,9.00,10.88,2.00,8.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6291627,2.00,3.00,2.00,2.00,4.00,8.63,0.00,0.00,1.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6291635,2.00,3.00,2.00,1.00,5.00,8.25,0.00,2.00,1.00,655,NULL,201,'CENTRO','PR GRANDE','SC',21416,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6291643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BANDEIRANTES','CORNÉLIO PROCÓPIO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6291651,7.00,5.00,3.00,5.00,7.00,9.00,3.00,5.00,9.00,303,NULL,NULL,'SANTA TEREZINHA','S BERNARDO CAMPO','SP',4714,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6291678,1.00,5.00,1.00,4.00,5.00,7.50,2.00,2.00,4.00,3,NULL,NULL,'ESPINHEIROS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6291686,3.00,5.00,2.00,3.00,8.00,7.50,2.00,4.00,4.00,654,NULL,NULL,'BARRO VERMELHO','ARARANGUÁ','SC',15548,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6291694,6.00,6.00,6.00,4.00,9.00,11.63,2.00,6.00,8.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6291708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6291716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6291732,5.00,4.00,3.00,6.00,6.00,6.75,1.00,3.00,1.00,415,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',14742,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6291740,0.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6291767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'ESTORIL','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6291775,4.00,5.00,3.00,4.00,7.00,9.00,2.00,5.00,4.00,211,NULL,215,'CARIANOS','FLORIANÓPOLIS','SC',10002,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6291783,4.00,7.00,2.00,5.00,7.00,8.25,1.00,2.00,3.00,238,NULL,235,'VARGEM PINHEIROS','STO AMARO IMPERATRIZ','SC',14604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6291805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JARDIM ESMERALDA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6291813,6.00,4.00,3.00,6.00,6.00,9.38,4.00,5.00,8.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',6004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6291821,2.00,4.00,1.00,0.00,4.00,NULL,1.00,0.00,1.00,215,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6291830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CIDADE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6291848,1.00,3.00,0.00,1.00,3.00,NULL,2.00,0.00,1.00,301,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6291856,5.00,5.00,4.00,5.00,7.00,6.75,1.00,6.00,6.00,302,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9979,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6291864,3.00,6.00,2.00,3.00,6.00,10.88,2.00,4.00,3.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13719,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6291872,6.00,6.00,3.00,4.00,8.00,8.63,1.00,6.00,3.00,304,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',8927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6291880,2.00,3.00,2.00,5.00,5.00,4.50,2.00,5.00,2.00,304,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',20171,146,NULL,NULL,NULL,NULL,NULL,2,1),(25,6291899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'ARMAÇÃO','PENHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6291910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6291937,7.00,5.00,3.00,7.00,9.00,7.50,0.00,3.00,4.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6291945,2.00,6.00,1.00,4.00,6.00,7.13,3.00,3.00,3.00,103,NULL,NULL,'CENTRO','NOVA OLÍMPIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6291953,8.00,9.00,3.00,6.00,9.00,10.13,4.00,5.00,6.00,317,NULL,NULL,'IPIRANGA','S JOSÉ','SC',2581,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6291961,3.00,2.00,1.00,3.00,4.00,8.63,1.00,0.00,2.00,999,NULL,NULL,'NOSSA SENHORA DO ROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6291970,6.00,4.00,7.00,2.00,6.00,7.50,2.00,4.00,6.00,601,NULL,216,'PANTANAL','FLORIANÓPOLIS','SC',8408,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6291988,3.00,4.00,3.00,1.00,4.00,5.25,0.00,2.00,2.00,202,NULL,220,'TAQUARAÇUTUBA','IMARUÍ','SC',20304,644,NULL,490,NULL,NULL,NULL,4,1),(25,6291996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,213,'SUMARÉ','CARAGUATATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6292003,2.00,4.00,2.00,0.00,4.00,6.75,4.00,4.00,0.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292011,1.00,0.00,0.00,4.00,3.00,NULL,1.00,1.00,0.00,404,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6292020,8.00,4.00,2.00,5.00,7.00,8.63,2.00,6.00,5.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8625,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6292038,4.00,2.00,0.00,5.00,3.00,6.00,0.00,1.00,2.00,423,NULL,427,'TRINDADE','FLORIANÓPOLIS','SC',21251,28,NULL,NULL,NULL,NULL,NULL,2,1),(25,6292046,4.00,4.00,2.00,6.00,7.00,9.75,2.00,2.00,1.00,5,NULL,NULL,'ZANETTE','MELEIRO','SC',14590,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6292054,6.00,6.00,4.00,6.00,8.00,9.38,4.00,6.00,4.00,102,NULL,NULL,'CENTRO','RIO SUL','SC',4992,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6292062,6.00,7.00,3.00,1.00,10.00,8.63,1.00,4.00,4.00,103,NULL,NULL,'PEDRO LUDOVICO','GOIÂNIA','GO',9584,3493,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292070,8.00,5.00,3.00,7.00,5.00,8.63,6.00,9.00,7.00,203,NULL,235,'CENTRO','RIO SUL','SC',2373,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6292089,6.00,7.00,4.00,5.00,7.00,10.50,5.00,3.00,3.00,201,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',5534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292097,7.00,7.00,7.00,7.00,8.00,10.50,4.00,7.00,6.00,220,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292100,3.00,3.00,3.00,3.00,5.00,7.88,4.00,4.00,3.00,421,NULL,427,'TIMBEZINHO','S JOÃO BATISTA','SC',16485,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6292119,3.00,6.00,3.00,3.00,5.00,7.13,2.00,4.00,2.00,301,NULL,NULL,'CENTRO','PALHOÇA','SC',17976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'HELVETIA','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6292143,8.00,8.00,5.00,6.00,9.00,9.75,1.00,9.00,9.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6292160,4.00,6.00,3.00,5.00,9.00,10.13,3.00,5.00,5.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',5555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6292186,3.00,3.00,1.00,1.00,2.00,NULL,1.00,2.00,0.00,332,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6292224,4.00,5.00,2.00,4.00,5.00,7.50,2.00,3.00,3.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',13758,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6292232,6.00,6.00,3.00,5.00,8.00,9.00,0.00,5.00,5.00,304,NULL,NULL,'MOSSUNGUÊ','CURITIBA','PR',6202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292240,1.00,5.00,1.00,1.00,3.00,6.00,3.00,4.00,3.00,331,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',20174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292259,2.00,5.00,0.00,1.00,8.00,NULL,0.00,8.00,1.00,303,NULL,NULL,'PARQUE JARDIM OURO','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6292267,2.00,2.00,3.00,6.00,3.00,7.88,1.00,3.00,2.00,201,NULL,601,'MARIA GORETTI','CHAPECÓ','SC',20305,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6292275,6.00,6.00,1.00,5.00,4.00,7.50,3.00,4.00,2.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',12299,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6292283,2.00,0.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,208,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6292291,2.00,7.00,0.00,3.00,6.00,NULL,0.00,3.00,0.00,109,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292313,5.00,5.00,3.00,2.00,7.00,7.13,1.00,2.00,1.00,503,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6292321,2.00,5.00,0.00,4.00,6.00,NULL,1.00,0.00,2.00,201,NULL,NULL,'FIGUEIRA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6292330,4.00,6.00,4.00,6.00,9.00,9.75,2.00,5.00,5.00,316,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',7203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292348,3.00,3.00,2.00,2.00,6.00,7.88,2.00,3.00,2.00,501,NULL,NULL,'COLONIAL','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6292356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO SUL','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6292364,1.00,3.00,2.00,5.00,7.00,7.13,1.00,2.00,2.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',18849,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6292372,6.00,7.00,2.00,6.00,8.00,8.63,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',9066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292380,2.00,6.00,2.00,3.00,2.00,NULL,1.00,2.00,3.00,202,NULL,653,'PAULO DE FRONTIN','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6292399,5.00,5.00,4.00,7.00,8.00,8.25,2.00,7.00,5.00,203,NULL,216,'MEIRELES','FORTALEZA','CE',5014,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','S DOMINGOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6292429,2.00,2.00,1.00,3.00,2.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'JARDIM','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292437,5.00,7.00,1.00,3.00,6.00,8.63,2.00,3.00,5.00,103,NULL,NULL,'BARREIROS SÃO JOSE','S JOSÉ','SC',11419,3773,NULL,NULL,NULL,NULL,NULL,2,1),(25,6292445,2.00,6.00,5.00,4.00,4.00,7.13,1.00,6.00,2.00,450,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',12618,84,NULL,NULL,NULL,NULL,NULL,2,1),(25,6292453,6.00,4.00,2.00,4.00,7.00,6.38,2.00,5.00,4.00,102,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',10860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','TRÊS MAIO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6292470,3.00,6.00,4.00,4.00,6.00,7.88,2.00,6.00,4.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',12414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6292488,4.00,2.00,1.00,5.00,6.00,8.25,0.00,2.00,2.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292496,8.00,7.00,7.00,4.00,9.00,9.38,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292500,1.00,5.00,0.00,5.00,6.00,NULL,3.00,0.00,0.00,207,NULL,201,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6292518,3.00,2.00,0.00,1.00,2.00,NULL,0.00,1.00,1.00,336,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6292526,2.00,3.00,0.00,2.00,4.00,6.75,0.00,1.00,1.00,316,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',21040,263,NULL,NULL,NULL,NULL,NULL,2,1),(25,6292534,8.00,6.00,4.00,7.00,9.00,11.25,4.00,7.00,8.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',743,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6292542,3.00,4.00,4.00,6.00,5.00,9.75,2.00,4.00,3.00,601,NULL,238,'VILA PARANA','RIO NEGRO','PR',13930,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6292550,3.00,4.00,2.00,7.00,7.00,8.63,1.00,2.00,2.00,327,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292569,0.00,2.00,0.00,0.00,0.00,NULL,1.00,1.00,2.00,208,NULL,238,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6292585,5.00,6.00,3.00,6.00,7.00,7.50,1.00,5.00,5.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8488,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6292593,3.00,6.00,0.00,3.00,7.00,9.00,2.00,2.00,2.00,326,NULL,NULL,'CENTRO','RONDA ALTA','RS',15905,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6292607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6292615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6292631,4.00,5.00,2.00,3.00,7.00,7.50,0.00,3.00,4.00,215,NULL,652,'NOVA UNIÃO','MAREMA','SC',15163,239,NULL,NULL,NULL,NULL,NULL,2,4),(25,6292640,3.00,4.00,1.00,4.00,5.00,7.88,3.00,4.00,2.00,425,NULL,423,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6292658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,238,'CEDRINHO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6292666,6.00,4.00,0.00,5.00,3.00,6.38,0.00,2.00,4.00,203,NULL,214,'JURERE INTER','FLORIANÓPOLIS','SC',15702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292674,9.00,5.00,3.00,5.00,8.00,11.25,2.00,7.00,9.00,103,NULL,NULL,'JARDIM STA FRANCISCA','GUARULHOS','SP',2080,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6292682,7.00,4.00,2.00,5.00,10.00,10.50,1.00,5.00,5.00,213,NULL,653,'SANTA MARIA','CHAPECÓ','SC',4457,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6292704,4.00,5.00,2.00,2.00,6.00,7.50,1.00,4.00,2.00,304,NULL,NULL,'ARCADAS','AMPARO','SP',15766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292712,4.00,6.00,2.00,4.00,6.00,8.25,1.00,3.00,4.00,303,NULL,NULL,'VILA NOVA','BLUMENAU','SC',12339,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6292739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MONT SERRAT','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6292747,4.00,4.00,3.00,1.00,3.00,6.00,0.00,3.00,0.00,404,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',20501,92,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292755,2.00,4.00,2.00,3.00,2.00,NULL,1.00,1.00,0.00,308,NULL,NULL,'FABRÍCIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6292763,3.00,7.00,2.00,7.00,9.00,9.38,2.00,5.00,2.00,303,NULL,NULL,'SAGRADO','LAGES','SC',8112,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6292780,6.00,7.00,4.00,6.00,9.00,10.13,2.00,4.00,6.00,999,NULL,NULL,'CENTRO','ÁGUAS CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6292798,3.00,7.00,5.00,7.00,8.00,8.63,2.00,6.00,6.00,336,NULL,NULL,'GARCIA','BLUMENAU','SC',4639,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6292801,1.00,3.00,1.00,1.00,4.00,6.00,1.00,3.00,1.00,340,NULL,NULL,'CENTRO','ITAPEMA','SC',21736,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6292836,1.00,1.00,2.00,2.00,5.00,5.25,0.00,0.00,2.00,208,NULL,652,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292844,1.00,4.00,2.00,3.00,6.00,7.50,3.00,1.00,0.00,201,NULL,212,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6292852,5.00,7.00,3.00,4.00,6.00,8.63,2.00,3.00,2.00,415,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',10618,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6292860,6.00,4.00,3.00,6.00,6.00,7.88,2.00,7.00,1.00,211,NULL,215,'AGRONOMICA','FLORIANÓPOLIS','SC',10216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292879,3.00,5.00,1.00,2.00,6.00,7.13,1.00,0.00,2.00,501,NULL,NULL,'PARQUE LOURIVAL','CÂNDIDO MOTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6292887,4.00,5.00,1.00,4.00,5.00,NULL,0.00,6.00,2.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6292895,2.00,3.00,2.00,4.00,3.00,8.25,2.00,2.00,1.00,317,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',20718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292909,3.00,2.00,1.00,5.00,6.00,NULL,1.00,0.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6292917,4.00,5.00,0.00,4.00,7.00,6.00,3.00,3.00,5.00,202,NULL,213,'CENTRO','BAL CAMBORIÚ','SC',14241,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6292925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'EUGENIO SCHNEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6292933,4.00,3.00,0.00,2.00,4.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'CIDADE ALTA','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6292941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','AMPÉRE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6292950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6292968,4.00,3.00,0.00,3.00,9.00,6.00,2.00,7.00,3.00,653,NULL,211,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',16141,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6292976,3.00,3.00,1.00,4.00,7.00,8.25,1.00,1.00,3.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19526,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6292984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6293000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'NAÇÕES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6293026,2.00,6.00,3.00,3.00,9.00,9.00,2.00,4.00,2.00,201,NULL,220,'CENTRO','CANOINHAS','SC',10956,908,NULL,318,NULL,NULL,NULL,2,17),(25,6293034,6.00,6.00,1.00,5.00,6.00,7.13,2.00,5.00,0.00,336,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',16768,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293050,6.00,8.00,3.00,5.00,9.00,10.50,2.00,6.00,7.00,216,NULL,215,'FORQUILHINHAS','S JOSÉ','SC',2956,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CENTRO','PALMAS','TO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6293077,2.00,2.00,4.00,2.00,8.00,NULL,0.00,4.00,0.00,103,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293085,5.00,4.00,1.00,4.00,7.00,8.25,1.00,2.00,1.00,503,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',14294,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293093,2.00,4.00,3.00,6.00,3.00,9.75,2.00,5.00,3.00,317,NULL,NULL,'ROÇADO','S JOSÉ','SC',14780,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6293107,2.00,2.00,1.00,4.00,3.00,7.50,3.00,0.00,1.00,429,NULL,425,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293115,7.00,6.00,2.00,2.00,6.00,7.50,2.00,6.00,6.00,103,NULL,NULL,'JARDIM SANTO ANTONIO','PORECATU','PR',7582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6293131,8.00,9.00,3.00,5.00,8.00,7.88,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',3729,1989,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293140,3.00,6.00,0.00,5.00,7.00,8.25,1.00,5.00,3.00,654,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6293158,8.00,7.00,8.00,7.00,9.00,12.75,5.00,7.00,9.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',93,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6293166,3.00,2.00,1.00,2.00,3.00,6.75,0.00,2.00,1.00,102,NULL,NULL,'CENTRO','JOAÇABA','SC',21741,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6293182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'FAZENDA IMPERIAL','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6293190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6293204,3.00,2.00,1.00,2.00,4.00,6.38,2.00,0.00,1.00,340,NULL,NULL,'INTERIOR','FORMOSA SUL','SC',21058,431,NULL,NULL,NULL,NULL,NULL,4,4),(25,6293212,8.00,7.00,6.00,5.00,7.00,10.13,4.00,8.00,8.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293220,3.00,3.00,4.00,3.00,5.00,9.75,1.00,5.00,0.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15346,82,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293239,7.00,6.00,5.00,6.00,5.00,9.38,1.00,5.00,4.00,213,NULL,202,'PANTANAL','FLORIANÓPOLIS','SC',8727,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293247,4.00,5.00,1.00,5.00,4.00,9.00,1.00,3.00,1.00,207,NULL,201,'CENTRO','XANXERÊ','SC',14030,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6293263,8.00,7.00,4.00,4.00,10.00,8.25,3.00,6.00,8.00,201,NULL,203,'SANTA BÁRBARA','CRICIÚMA','SC',2821,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6293298,4.00,2.00,2.00,3.00,5.00,7.88,3.00,2.00,3.00,429,NULL,423,'BARREIROS','S JOSÉ','SC',19184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293310,2.00,6.00,4.00,5.00,5.00,6.75,4.00,4.00,4.00,601,NULL,201,'FLORESTA','JOINVILLE','SC',10264,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6293328,2.00,6.00,2.00,1.00,7.00,7.50,2.00,3.00,2.00,317,NULL,NULL,'TEREZOPOLIS','ÁGUAS MORNAS','SC',17324,121,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293336,8.00,8.00,6.00,6.00,8.00,10.50,5.00,8.00,6.00,303,NULL,NULL,'CORAL','LAGES','SC',729,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293344,3.00,3.00,0.00,2.00,7.00,NULL,2.00,3.00,1.00,999,NULL,NULL,'MIRIM','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6293352,6.00,4.00,3.00,5.00,6.00,8.25,2.00,7.00,7.00,201,NULL,212,'SERRINHA','FLORIANÓPOLIS','SC',5247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293360,4.00,4.00,1.00,5.00,3.00,6.75,1.00,1.00,2.00,317,NULL,NULL,'CENTRO','PALHOÇA','SC',18128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293379,1.00,3.00,1.00,2.00,4.00,6.00,3.00,0.00,1.00,208,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',20252,541,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293387,5.00,8.00,3.00,6.00,5.00,8.63,3.00,4.00,6.00,201,NULL,202,'VILA BERNARDES','ARAPONGAS','PR',7157,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6293395,5.00,4.00,2.00,2.00,6.00,6.75,1.00,1.00,2.00,308,NULL,NULL,'CENTRO','S JOSÉ','SC',20045,52,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293409,2.00,5.00,2.00,2.00,4.00,7.88,0.00,0.00,1.00,233,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293417,3.00,6.00,1.00,7.00,8.00,9.75,3.00,5.00,2.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',11688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293425,2.00,3.00,1.00,3.00,3.00,5.25,2.00,5.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293433,1.00,7.00,2.00,6.00,9.00,10.13,1.00,4.00,3.00,601,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',12129,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6293441,5.00,6.00,3.00,4.00,8.00,9.00,0.00,3.00,3.00,452,NULL,NULL,'AMÉRICA','JOINVILLE','SC',10107,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6293450,4.00,4.00,1.00,2.00,6.00,7.88,1.00,2.00,2.00,601,NULL,220,'CENTRO','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6293476,7.00,6.00,3.00,5.00,6.00,6.75,2.00,5.00,3.00,203,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',9934,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6293506,5.00,6.00,2.00,7.00,8.00,7.13,3.00,7.00,3.00,303,NULL,NULL,'TREZE DE JULHO','ARACAJU','SE',8247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293514,8.00,5.00,6.00,7.00,9.00,12.00,3.00,6.00,9.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293522,5.00,6.00,3.00,7.00,8.00,9.00,2.00,3.00,2.00,340,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',9619,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6293549,1.00,0.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,207,NULL,201,'BARREIOS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6293557,4.00,6.00,5.00,4.00,6.00,7.88,2.00,3.00,4.00,201,NULL,601,'CENTENÁRIO','S BENTO SUL','SC',10101,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6293581,5.00,3.00,2.00,3.00,7.00,9.38,2.00,1.00,1.00,501,NULL,NULL,'CENTRO','IRACEMINHA','SC',14759,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6293590,5.00,6.00,5.00,5.00,8.00,7.88,2.00,7.00,4.00,203,NULL,235,'MONTE VERDE','FLORIANÓPOLIS','SC',6110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293603,1.00,3.00,0.00,4.00,5.00,NULL,1.00,0.00,1.00,9,NULL,NULL,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293611,5.00,5.00,4.00,5.00,8.00,9.00,3.00,4.00,4.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7939,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293620,4.00,3.00,1.00,2.00,7.00,6.00,2.00,3.00,3.00,238,NULL,208,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293638,5.00,5.00,2.00,6.00,9.00,9.00,3.00,3.00,5.00,203,NULL,601,'CENTRO','PTO BELO','SC',5779,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6293646,1.00,6.00,3.00,3.00,6.00,8.25,2.00,0.00,1.00,652,NULL,238,'COPACABANA','LAGES','SC',17438,53,NULL,NULL,NULL,NULL,NULL,4,9),(25,6293654,9.00,8.00,4.00,8.00,8.00,10.50,0.00,8.00,9.00,103,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293662,3.00,4.00,0.00,0.00,3.00,8.63,1.00,2.00,2.00,320,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293670,4.00,4.00,2.00,3.00,7.00,7.88,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','STO ANDRÉ','SP',12843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293689,3.00,1.00,2.00,0.00,7.00,NULL,2.00,2.00,0.00,999,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,10),(25,6293697,2.00,4.00,2.00,1.00,7.00,8.25,1.00,3.00,1.00,9,NULL,NULL,'VILA CEZAMO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6293700,1.00,2.00,1.00,2.00,6.00,8.63,1.00,1.00,1.00,109,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293719,3.00,3.00,0.00,5.00,7.00,9.38,2.00,3.00,2.00,429,NULL,425,'KOBRASOL','S JOSÉ','SC',14233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293727,2.00,1.00,2.00,2.00,2.00,NULL,2.00,1.00,0.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293735,3.00,1.00,2.00,5.00,4.00,6.75,2.00,1.00,0.00,208,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',19296,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293743,2.00,4.00,2.00,3.00,2.00,NULL,0.00,4.00,3.00,202,NULL,235,'BELA VISTA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6293751,6.00,5.00,1.00,4.00,7.00,7.50,1.00,3.00,3.00,320,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',15493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6293778,8.00,7.00,4.00,7.00,9.00,10.50,3.00,6.00,5.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',2053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293794,3.00,6.00,1.00,4.00,6.00,9.75,4.00,3.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15601,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6293808,2.00,5.00,1.00,3.00,6.00,4.50,2.00,2.00,3.00,208,NULL,203,'REVOREDO','TUBARÃO','SC',18579,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6293816,1.00,4.00,1.00,3.00,5.00,NULL,2.00,0.00,2.00,301,NULL,NULL,'PARQUE','RIO GRANDE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6293832,5.00,5.00,4.00,4.00,7.00,8.25,3.00,4.00,4.00,303,NULL,NULL,'PARQUE DAS ACÁCIAS','S LUDGERO','SC',11175,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6293840,5.00,7.00,2.00,7.00,8.00,10.13,3.00,7.00,6.00,328,NULL,NULL,'CENTRO','S JOSÉ','SC',3904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293859,3.00,5.00,2.00,7.00,8.00,12.38,2.00,6.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293867,3.00,0.00,3.00,4.00,8.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(25,6293875,2.00,5.00,2.00,3.00,2.00,NULL,1.00,1.00,0.00,654,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6293883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'INGLESES RIO VERMELH','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6293891,5.00,4.00,2.00,4.00,8.00,9.00,1.00,4.00,5.00,303,NULL,NULL,'MARAMBAIA','VINHEDO','SP',8042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293905,6.00,6.00,6.00,5.00,10.00,11.25,0.00,6.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',2667,1571,NULL,NULL,NULL,NULL,NULL,4,9),(25,6293913,4.00,4.00,1.00,4.00,4.00,4.50,0.00,4.00,3.00,999,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293921,1.00,4.00,0.00,0.00,4.00,5.25,2.00,3.00,2.00,208,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293948,8.00,7.00,1.00,7.00,9.00,12.75,3.00,6.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293956,7.00,6.00,5.00,6.00,9.00,7.50,0.00,6.00,6.00,103,NULL,NULL,'VILA NOVA','IMBITUBA','SC',4636,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6293964,5.00,7.00,5.00,7.00,8.00,10.13,1.00,7.00,6.00,108,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',4138,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6293972,1.00,3.00,0.00,2.00,5.00,10.13,2.00,4.00,1.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18723,383,NULL,NULL,NULL,NULL,NULL,4,1),(25,6293999,4.00,8.00,2.00,2.00,5.00,6.38,0.00,1.00,1.00,214,NULL,203,'CAMINHO NOVO','PALHOÇA','SC',17101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294006,2.00,0.00,0.00,2.00,3.00,6.38,0.00,1.00,2.00,211,NULL,216,'RIO THAIS','S BONIFÁCIO','SC',21759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294014,3.00,4.00,0.00,4.00,6.00,7.50,0.00,1.00,1.00,104,NULL,NULL,'CENTRO','ÁGUAS FRIAS','SC',21280,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6294049,7.00,6.00,2.00,7.00,8.00,9.75,3.00,3.00,3.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',8589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294057,5.00,7.00,1.00,4.00,8.00,7.88,2.00,7.00,3.00,337,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',7322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294065,2.00,4.00,3.00,6.00,6.00,7.50,1.00,0.00,2.00,201,NULL,207,'CENTRO','IMBITUBA','SC',15546,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6294073,5.00,6.00,1.00,4.00,7.00,8.63,1.00,7.00,3.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',8187,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6294081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6294090,2.00,4.00,1.00,4.00,4.00,9.00,2.00,3.00,4.00,428,NULL,426,'TRINDADE','FLORIANÓPOLIS','SC',15491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6294103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6294120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,601,'AMIZADE','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6294138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6294146,4.00,5.00,0.00,2.00,7.00,8.63,1.00,4.00,3.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',16076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6294162,3.00,4.00,2.00,1.00,7.00,6.00,4.00,2.00,1.00,999,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6294189,1.00,2.00,2.00,4.00,3.00,10.88,1.00,2.00,2.00,211,NULL,653,'CAMPINAS','S JOSÉ','SC',18517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6294197,7.00,6.00,1.00,4.00,6.00,10.13,2.00,4.00,5.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',6704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6294200,4.00,2.00,0.00,2.00,3.00,NULL,0.00,3.00,0.00,654,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6294227,6.00,6.00,3.00,7.00,8.00,9.75,3.00,5.00,5.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',3965,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6294235,6.00,7.00,1.00,7.00,9.00,10.88,1.00,4.00,3.00,340,NULL,NULL,'BELA VISTA','S JOSÉ','SC',6211,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6294243,2.00,4.00,1.00,2.00,7.00,9.75,2.00,2.00,2.00,301,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',16844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294251,3.00,4.00,1.00,6.00,7.00,7.13,1.00,4.00,5.00,103,NULL,NULL,'JARDIM SIMARA','PARANAVAÍ','PR',14475,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6294278,2.00,3.00,1.00,4.00,7.00,6.75,1.00,1.00,2.00,103,NULL,NULL,'PANAZZOLO','CAXIAS SUL','RS',18003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6294286,3.00,5.00,0.00,1.00,7.00,NULL,1.00,2.00,1.00,211,NULL,216,'RIO MOLL','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294294,2.00,4.00,3.00,5.00,7.00,NULL,0.00,1.00,0.00,2,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294308,0.00,1.00,2.00,2.00,3.00,NULL,2.00,2.00,2.00,211,NULL,215,'PERPÉTUO SOCORRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6294316,5.00,6.00,5.00,6.00,7.00,7.50,0.00,5.00,6.00,203,NULL,220,'GLEBA PALHANO','LONDRINA','PR',6295,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6294340,1.00,4.00,3.00,3.00,6.00,7.13,1.00,3.00,4.00,212,NULL,NULL,'CENTRO','AURORA','SC',16380,487,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294359,3.00,1.00,3.00,3.00,3.00,8.63,2.00,0.00,2.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294367,6.00,6.00,3.00,5.00,7.00,7.88,1.00,5.00,5.00,103,NULL,NULL,'CENTRO','S VICENTE','SP',6537,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6294375,6.00,5.00,3.00,6.00,7.00,10.88,1.00,7.00,6.00,207,NULL,201,'SUMARÉ','RIO SUL','SC',5157,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6294383,3.00,4.00,0.00,2.00,6.00,9.75,2.00,2.00,2.00,309,NULL,NULL,'REAL PAQUE','S JOSÉ','SC',17635,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6294391,2.00,4.00,2.00,3.00,4.00,4.88,3.00,2.00,2.00,102,NULL,NULL,'RIBERÃO GRANDE','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6294405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'PARQUE DOS ESTADOS','STA TEREZINHA ITAIPU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6294413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6294421,3.00,3.00,2.00,2.00,3.00,7.13,1.00,1.00,0.00,214,NULL,233,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294430,2.00,3.00,1.00,0.00,6.00,9.00,2.00,1.00,3.00,444,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',20808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294448,3.00,2.00,0.00,3.00,3.00,4.50,3.00,5.00,1.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',21455,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6294456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','ÁGUAS FRIAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6294464,2.00,5.00,2.00,7.00,5.00,6.38,1.00,1.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6294480,7.00,5.00,9.00,7.00,5.00,10.88,3.00,5.00,8.00,201,NULL,212,'BIGORRILHO','CURITIBA','PR',1619,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6294499,5.00,5.00,5.00,4.00,10.00,10.13,1.00,5.00,9.00,214,NULL,203,'BOQUEIRÃO','SANTOS','SP',4008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6294510,4.00,6.00,2.00,2.00,5.00,7.50,2.00,6.00,3.00,108,NULL,NULL,'HUMAITÁ DE CIMA','TUBARÃO','SC',15591,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6294529,7.00,7.00,1.00,6.00,8.00,10.13,3.00,5.00,8.00,103,NULL,NULL,'VILA BUARQUE','S PAULO','SP',2977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294537,7.00,6.00,4.00,6.00,10.00,8.25,2.00,5.00,8.00,502,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',3934,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6294553,3.00,6.00,0.00,4.00,9.00,7.88,2.00,7.00,2.00,5,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',13841,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6294570,1.00,4.00,0.00,2.00,5.00,NULL,1.00,2.00,0.00,108,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294588,5.00,4.00,0.00,4.00,7.00,7.88,1.00,5.00,7.00,103,NULL,NULL,'CENTRO','ASCURRA','SC',9416,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6294596,8.00,5.00,3.00,5.00,8.00,6.75,3.00,6.00,6.00,213,NULL,601,'CAMPINAS','S JOSÉ','SC',5613,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6294600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PERPÉTUO SOCORRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6294626,2.00,3.00,2.00,0.00,7.00,6.38,1.00,2.00,2.00,9,NULL,NULL,'VILA LORENZI','STA MARIA','RS',19515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294642,3.00,5.00,2.00,2.00,6.00,8.25,3.00,1.00,0.00,304,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6294650,3.00,7.00,2.00,5.00,8.00,9.00,1.00,5.00,4.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',9007,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6294669,1.00,3.00,1.00,2.00,7.00,9.38,1.00,1.00,1.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',18756,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6294693,5.00,7.00,7.00,7.00,9.00,12.38,4.00,5.00,7.00,202,NULL,213,'CENTRO','BRUSQUE','SC',1199,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6294707,3.00,4.00,0.00,5.00,7.00,NULL,3.00,1.00,1.00,104,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6294715,4.00,6.00,2.00,4.00,7.00,8.63,1.00,2.00,4.00,212,NULL,214,'CIDADE NOVA','S JOSÉ R PRETO','SP',10911,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6294723,1.00,4.00,0.00,2.00,4.00,7.88,1.00,1.00,3.00,223,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',20562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6294731,5.00,5.00,1.00,2.00,5.00,6.38,2.00,2.00,4.00,327,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',19475,61,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294740,1.00,1.00,1.00,1.00,5.00,5.25,1.00,0.00,2.00,654,NULL,NULL,'CENTRO','IMBÉ','RS',21614,96,NULL,NULL,NULL,NULL,NULL,4,5),(25,6294758,5.00,6.00,1.00,7.00,7.00,5.25,0.00,3.00,2.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',12245,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6294766,3.00,4.00,1.00,3.00,4.00,5.63,1.00,3.00,2.00,208,NULL,235,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',20852,573,NULL,498,NULL,NULL,NULL,4,1),(25,6294774,4.00,5.00,1.00,3.00,5.00,6.75,1.00,6.00,3.00,234,NULL,NULL,'OFICINAS','TUBARÃO','SC',13786,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6294782,7.00,5.00,4.00,7.00,7.00,7.88,2.00,7.00,7.00,203,NULL,216,'DOS ESTADOS','INDAIAL','SC',3542,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6294790,5.00,5.00,2.00,5.00,7.00,6.00,2.00,6.00,4.00,5,NULL,NULL,'RIO SÃO JOÃO','S MARTINHO','SC',9585,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6294804,7.00,7.00,3.00,4.00,7.00,8.25,1.00,6.00,5.00,304,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',7538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294812,2.00,3.00,1.00,0.00,3.00,6.75,2.00,3.00,1.00,303,NULL,NULL,'RIO BLOEMER','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294820,0.00,3.00,4.00,5.00,4.00,7.13,2.00,4.00,2.00,238,NULL,208,'CENTRO','TIJUCAS','SC',19481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294839,9.00,7.00,7.00,7.00,10.00,13.50,6.00,7.00,8.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',71,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294847,0.00,5.00,0.00,0.00,0.00,NULL,2.00,4.00,1.00,653,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6294855,4.00,5.00,3.00,0.00,6.00,9.75,3.00,2.00,5.00,224,NULL,NULL,'MICHEL','CRICIÚMA','SC',15154,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6294863,2.00,3.00,2.00,3.00,4.00,6.75,2.00,3.00,2.00,316,NULL,NULL,'EFAPI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6294880,5.00,3.00,1.00,3.00,8.00,7.88,2.00,3.00,3.00,207,NULL,215,'ESTREITO','FLORIANÓPOLIS','SC',17127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294898,5.00,0.00,3.00,5.00,10.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(25,6294901,3.00,5.00,0.00,2.00,6.00,8.25,2.00,4.00,3.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',17156,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6294910,4.00,6.00,3.00,5.00,10.00,7.88,2.00,6.00,6.00,102,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',8120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'SIEGEL','AGROLÂNDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6294952,1.00,3.00,2.00,7.00,6.00,8.63,1.00,3.00,2.00,207,NULL,208,'RIO VERMELHO','FLORIANÓPOLIS','SC',17781,955,NULL,452,NULL,NULL,NULL,4,1),(25,6294960,5.00,4.00,3.00,4.00,6.00,9.00,1.00,3.00,4.00,103,NULL,NULL,'SÃO CRISTÓVÃO','CASCAVEL','PR',10984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294987,1.00,4.00,3.00,3.00,2.00,NULL,2.00,3.00,1.00,238,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6294995,2.00,3.00,1.00,1.00,5.00,NULL,0.00,1.00,3.00,238,NULL,208,'POÇO FUNDO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295002,9.00,6.00,7.00,5.00,10.00,10.13,5.00,8.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6295037,3.00,4.00,2.00,4.00,4.00,NULL,1.00,3.00,0.00,319,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295045,2.00,4.00,5.00,3.00,5.00,9.75,1.00,3.00,4.00,201,NULL,212,'CENTRO','PATO BRANCO','PR',10208,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6295053,4.00,4.00,4.00,6.00,7.00,4.88,2.00,5.00,3.00,303,NULL,NULL,'GUARANI','BRUSQUE','SC',10990,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6295061,5.00,5.00,2.00,3.00,5.00,10.13,3.00,7.00,3.00,9,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295070,5.00,6.00,2.00,5.00,6.00,8.25,2.00,4.00,2.00,9,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',14127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295088,6.00,7.00,3.00,6.00,7.00,9.75,3.00,6.00,5.00,201,NULL,211,'MONTE CASTELO','TUBARÃO','SC',5284,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6295096,4.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(25,6295100,2.00,5.00,1.00,5.00,6.00,NULL,2.00,0.00,0.00,212,NULL,207,'SESI','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6295118,4.00,3.00,4.00,4.00,7.00,10.50,1.00,1.00,1.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295126,4.00,4.00,1.00,0.00,5.00,6.75,2.00,0.00,3.00,3,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',21137,87,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295134,3.00,2.00,1.00,4.00,1.00,NULL,2.00,2.00,2.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6295142,4.00,3.00,1.00,5.00,6.00,7.13,0.00,2.00,5.00,216,NULL,601,'PACHECOS','PALHOÇA','SC',14378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295150,7.00,6.00,3.00,6.00,8.00,9.38,4.00,5.00,5.00,201,NULL,203,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',5110,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6295177,4.00,5.00,3.00,3.00,6.00,9.38,1.00,1.00,4.00,201,NULL,207,'VENDAVAL','BIGUAÇU','SC',15573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295185,5.00,7.00,2.00,5.00,8.00,8.63,4.00,2.00,5.00,5,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',7594,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6295193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITINGA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6295207,6.00,5.00,3.00,5.00,8.00,10.13,1.00,1.00,3.00,215,NULL,216,'ESTREITO','FLORIANÓPOLIS','SC',10304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295215,6.00,6.00,2.00,2.00,7.00,7.50,0.00,6.00,1.00,301,NULL,NULL,'MONTE VERDE','MRO FUMAÇA','SC',14734,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6295231,5.00,3.00,2.00,6.00,8.00,10.50,2.00,1.00,7.00,102,NULL,NULL,'PAES LEME','IMBITUBA','SC',8899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295240,6.00,5.00,1.00,5.00,6.00,10.13,2.00,4.00,2.00,303,NULL,NULL,'MORRINHOS','GAROPABA','SC',10777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6295258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'DISTRITO INDUSTRIAL','MANAUS','AM',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6295274,9.00,8.00,8.00,7.00,10.00,9.75,7.00,9.00,9.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',16,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295282,6.00,6.00,3.00,2.00,9.00,8.63,1.00,5.00,5.00,203,NULL,235,'VELHA','BLUMENAU','SC',7239,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6295304,1.00,1.00,2.00,3.00,3.00,6.38,3.00,3.00,1.00,303,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6295312,4.00,3.00,3.00,3.00,5.00,6.38,2.00,4.00,1.00,601,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',17926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295320,9.00,6.00,6.00,7.00,8.00,10.88,2.00,7.00,8.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',1060,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6295339,6.00,4.00,2.00,5.00,5.00,8.63,3.00,4.00,3.00,201,NULL,213,'JARDIM RUBÍ','SANTANA PARNAÍBA','SP',12271,1041,NULL,172,NULL,NULL,NULL,4,1),(25,6295347,7.00,5.00,2.00,5.00,9.00,9.38,2.00,7.00,4.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',4953,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6295355,6.00,5.00,1.00,6.00,9.00,9.00,4.00,6.00,2.00,108,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',6684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295363,6.00,2.00,1.00,5.00,6.00,11.25,2.00,4.00,1.00,211,NULL,NULL,'JARDIM PANORAMICO','IVOTI','RS',12259,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6295371,4.00,4.00,0.00,4.00,7.00,8.25,0.00,4.00,4.00,108,NULL,NULL,'MEDIANEIRA','BUTIÁ','RS',13333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6295380,1.00,5.00,2.00,2.00,2.00,NULL,3.00,2.00,2.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6295398,4.00,7.00,5.00,4.00,8.00,8.25,4.00,6.00,5.00,202,NULL,NULL,'LINHA BATISTA','CRICIÚMA','SC',7115,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6295410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'INTERIOR','HUMAITÁ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6295428,4.00,5.00,1.00,6.00,9.00,10.13,4.00,3.00,2.00,999,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295436,9.00,7.00,4.00,6.00,8.00,9.75,4.00,5.00,8.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',1382,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6295444,7.00,5.00,5.00,5.00,9.00,6.75,6.00,5.00,9.00,103,NULL,NULL,'VILAS BOAS','CPO GRANDE','MS',1959,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6295452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6295460,1.00,1.00,2.00,3.00,3.00,7.88,3.00,2.00,2.00,5,NULL,NULL,'JARDIM AMERICA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295479,6.00,7.00,5.00,5.00,9.00,7.13,2.00,7.00,7.00,999,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6295495,7.00,7.00,2.00,6.00,8.00,8.25,2.00,3.00,8.00,340,NULL,NULL,'JD PRIMAVERA','BRAGANÇA PAULISTA','SP',4952,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6295509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6295517,5.00,4.00,3.00,5.00,7.00,8.63,1.00,2.00,1.00,501,NULL,NULL,'PARQUE NOVO MUNDO','AMERICANA','SP',11798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295533,4.00,4.00,4.00,1.00,7.00,NULL,4.00,7.00,5.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6295541,2.00,4.00,3.00,3.00,4.00,7.50,2.00,4.00,3.00,303,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6295550,8.00,7.00,6.00,7.00,10.00,10.50,6.00,7.00,9.00,103,NULL,NULL,'GUAÍRA','CURITIBA','PR',159,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6295568,8.00,6.00,7.00,6.00,9.00,10.13,3.00,7.00,7.00,103,NULL,NULL,'BELA VISTA','RIO CLARO','SP',906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295576,3.00,4.00,2.00,1.00,3.00,8.25,0.00,2.00,1.00,501,NULL,NULL,'INTERIOR','ARROIO TRINTA','SC',19920,108,NULL,NULL,NULL,NULL,NULL,2,7),(25,6295584,5.00,2.00,4.00,7.00,5.00,7.88,3.00,4.00,4.00,203,NULL,601,'CENTRO','PRES GETÚLIO','SC',9526,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6295592,3.00,2.00,2.00,4.00,7.00,6.38,5.00,1.00,1.00,652,NULL,655,'CENTRO','SOMBRIO','SC',16810,43,NULL,NULL,NULL,NULL,NULL,4,15),(25,6295606,8.00,5.00,4.00,5.00,8.00,9.00,4.00,5.00,8.00,103,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',3108,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6295614,4.00,4.00,2.00,7.00,5.00,7.13,0.00,3.00,3.00,201,NULL,235,'VILA BIRIGUI','RONDONÓPOLIS','MT',12917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295622,6.00,7.00,7.00,3.00,10.00,10.50,2.00,4.00,8.00,216,NULL,215,'COMERCIÁRIO','CRICIÚMA','SC',2641,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6295630,4.00,5.00,2.00,5.00,6.00,NULL,2.00,3.00,0.00,425,NULL,429,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295649,5.00,4.00,4.00,7.00,10.00,10.13,1.00,4.00,6.00,420,NULL,NULL,'KOBRASOL','S JOSÉ','SC',5082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295657,2.00,1.00,1.00,3.00,5.00,9.00,2.00,4.00,1.00,339,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6295665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUTIERREZ','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6295673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'JARDIM UNIÃO','TABATINGA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6295681,4.00,6.00,3.00,4.00,8.00,11.25,2.00,7.00,5.00,212,NULL,214,'UBERABA','CURITIBA','PR',5879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295690,7.00,7.00,5.00,4.00,10.00,11.63,6.00,8.00,8.00,103,NULL,NULL,'JARDIM TROPICAL','DOURADOS','MS',463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295711,6.00,4.00,1.00,2.00,7.00,6.00,0.00,3.00,4.00,202,NULL,203,'FORQUILHINHAS','S JOSÉ','SC',17512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295720,2.00,3.00,2.00,2.00,6.00,7.13,3.00,2.00,3.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',18350,435,NULL,473,NULL,NULL,NULL,2,1),(25,6295738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'JD TRAQUILIDADE','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6295746,3.00,6.00,0.00,2.00,7.00,NULL,2.00,4.00,1.00,420,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'N S BOM CONSELHO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6295762,7.00,7.00,5.00,7.00,8.00,9.75,1.00,7.00,6.00,108,NULL,NULL,'ALTO DA COLINA','LONDRINA','PR',2684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6295789,3.00,4.00,1.00,3.00,6.00,7.13,0.00,2.00,0.00,999,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6295797,4.00,4.00,3.00,6.00,6.00,9.00,4.00,1.00,4.00,211,NULL,NULL,'CENTRO','CRICIÚMA','SC',12695,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6295800,4.00,6.00,1.00,6.00,10.00,9.38,3.00,5.00,3.00,452,NULL,NULL,'MIGUEL SUTIL','CUIABÁ','MT',7531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295819,3.00,4.00,2.00,3.00,5.00,10.13,2.00,4.00,3.00,207,NULL,215,'CENTRO','BAL CAMBORIÚ','SC',17492,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6295827,3.00,4.00,3.00,6.00,7.00,9.38,0.00,3.00,3.00,451,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6295835,1.00,3.00,2.00,1.00,5.00,7.50,1.00,1.00,1.00,103,NULL,NULL,'VILA SAO FRANCISCO','DOURADOS','MS',20588,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6295843,3.00,5.00,3.00,5.00,9.00,10.50,2.00,5.00,5.00,425,NULL,424,'KOBRASOL','S JOSÉ','SC',8509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295851,5.00,4.00,4.00,3.00,9.00,5.63,2.00,2.00,2.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6295860,5.00,5.00,3.00,6.00,8.00,8.25,2.00,8.00,4.00,5,NULL,NULL,'CENTRO','CARAZINHO','RS',5996,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6295878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SAO PEDRO','STO ANTÔNIO PLATINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6295894,1.00,6.00,2.00,4.00,3.00,7.50,2.00,4.00,2.00,103,NULL,NULL,'FERROVIA','LAGES','SC',16605,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6295908,3.00,6.00,4.00,3.00,7.00,NULL,0.00,6.00,3.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295916,3.00,5.00,0.00,3.00,6.00,NULL,3.00,1.00,0.00,316,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6295924,4.00,5.00,2.00,5.00,9.00,8.63,1.00,8.00,6.00,999,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6295959,4.00,2.00,1.00,1.00,3.00,NULL,0.00,1.00,0.00,103,NULL,NULL,'CENTRO','SORRISO','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295975,3.00,4.00,2.00,3.00,7.00,8.63,1.00,4.00,1.00,101,NULL,NULL,'CENTRO','LAGES','SC',17844,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6295983,4.00,3.00,1.00,3.00,8.00,8.63,0.00,3.00,1.00,103,NULL,NULL,'OLIMPICO','S CAETANO SUL','SP',16010,4328,NULL,NULL,NULL,NULL,NULL,4,1),(25,6295991,2.00,3.00,1.00,4.00,4.00,NULL,1.00,0.00,0.00,212,NULL,233,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6296009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD GRANJA OLGA II','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6296017,3.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BELA VISTA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,9),(25,6296025,8.00,7.00,6.00,6.00,8.00,7.88,7.00,7.00,7.00,203,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',1290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6296033,5.00,5.00,2.00,6.00,10.00,10.88,2.00,7.00,3.00,428,NULL,426,'GLEBA PALHANO','LONDRINA','PR',7744,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6296041,5.00,8.00,4.00,6.00,10.00,9.75,3.00,8.00,4.00,331,NULL,NULL,'CENTRO','RIO CAMPO','SC',3120,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6296050,6.00,7.00,6.00,7.00,8.00,8.25,2.00,6.00,6.00,203,NULL,214,'CARVOEIRA','FLORIANÓPOLIS','SC',3211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296068,3.00,5.00,1.00,4.00,5.00,9.00,1.00,5.00,4.00,601,NULL,203,'CENTRO','BRUSQUE','SC',13802,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6296076,2.00,2.00,2.00,1.00,5.00,5.63,1.00,0.00,2.00,301,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6296092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6296106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6296114,5.00,5.00,2.00,7.00,6.00,9.75,4.00,4.00,4.00,415,NULL,NULL,'JURERÊ INTERNACIAL','FLORIANÓPOLIS','SC',7176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296122,6.00,7.00,4.00,6.00,7.00,8.25,2.00,6.00,4.00,233,NULL,213,'RIO TAVARES','FLORIANÓPOLIS','SC',6682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296130,3.00,4.00,2.00,6.00,7.00,8.63,0.00,0.00,2.00,450,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17739,119,NULL,NULL,NULL,NULL,NULL,2,1),(25,6296149,5.00,6.00,3.00,4.00,6.00,11.63,1.00,4.00,5.00,203,NULL,601,'TRINTA RÉIS','NOVA TRENTO','SC',7984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296157,5.00,4.00,4.00,2.00,6.00,9.75,1.00,3.00,1.00,601,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',16929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296165,4.00,6.00,1.00,5.00,6.00,0.00,0.00,1.00,1.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6296173,5.00,6.00,3.00,7.00,10.00,8.25,2.00,7.00,5.00,201,NULL,212,'JARDIM ITALIA','CHAPECÓ','SC',3823,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6296190,2.00,5.00,0.00,0.00,4.00,NULL,0.00,3.00,0.00,404,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6296211,4.00,3.00,5.00,6.00,9.00,6.75,5.00,6.00,3.00,319,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',6162,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6296220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6296238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6296254,5.00,4.00,0.00,3.00,9.00,6.38,2.00,3.00,2.00,103,NULL,NULL,'IMIGRANTES','ZORTÉA','SC',13419,4055,NULL,NULL,NULL,NULL,NULL,2,7),(25,6296262,5.00,5.00,0.00,5.00,6.00,7.13,3.00,3.00,1.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6296270,3.00,4.00,1.00,5.00,6.00,6.75,1.00,3.00,1.00,551,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6296289,0.00,6.00,1.00,4.00,6.00,7.88,2.00,2.00,3.00,207,NULL,601,'CIDADE ALTA','TURVO','SC',17733,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6296297,4.00,5.00,0.00,3.00,5.00,5.63,2.00,4.00,0.00,501,NULL,NULL,'UNIVERSITARIO','TIJUCAS','SC',17531,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6296300,4.00,4.00,3.00,6.00,6.00,7.88,3.00,4.00,3.00,234,NULL,NULL,'BRAGANHOLO','CARAZINHO','RS',14842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CARIOCA','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6296327,2.00,3.00,0.00,1.00,3.00,NULL,3.00,3.00,1.00,335,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6296335,2.00,2.00,0.00,3.00,3.00,NULL,2.00,1.00,0.00,652,NULL,238,'CENTRO','CAPANEMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6296343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'A E CARVALHO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6296351,5.00,7.00,4.00,5.00,8.00,8.63,2.00,5.00,5.00,201,NULL,220,'NORDESTE','IMBÉ','RS',5535,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6296360,4.00,5.00,3.00,3.00,5.00,9.00,1.00,2.00,2.00,601,NULL,211,'CENTRO','DESCANSO','SC',17330,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6296378,7.00,7.00,7.00,6.00,9.00,12.75,4.00,7.00,6.00,103,NULL,NULL,'LAGEADO BAIXO','GUABIRUBA','SC',742,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6296386,4.00,5.00,2.00,6.00,6.00,6.38,2.00,3.00,1.00,340,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',12467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296394,6.00,3.00,3.00,4.00,7.00,8.25,2.00,6.00,5.00,203,NULL,214,'LARANJEIRAS','RIO SUL','SC',8330,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6296408,5.00,5.00,1.00,3.00,3.00,6.75,2.00,4.00,2.00,203,NULL,235,'JOÃO PAULO','FLORIANÓPOLIS','SC',18427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296416,7.00,7.00,4.00,3.00,7.00,7.88,4.00,6.00,5.00,336,NULL,NULL,'CENTRO','TOLEDO','PR',5527,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6296424,2.00,0.00,2.00,1.00,3.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(25,6296432,2.00,5.00,2.00,6.00,6.00,6.38,1.00,4.00,2.00,999,NULL,NULL,'BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296459,5.00,0.00,4.00,6.00,4.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(25,6296467,5.00,6.00,2.00,4.00,6.00,7.50,1.00,2.00,1.00,211,NULL,207,'VILA NOVA','JOINVILLE','SC',16601,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6296475,3.00,7.00,3.00,5.00,4.00,7.50,3.00,4.00,8.00,211,NULL,601,'MATO PRETO','S BENTO SUL','SC',8379,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6296483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6296491,6.00,6.00,3.00,6.00,8.00,8.25,3.00,7.00,5.00,214,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',5621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296505,5.00,7.00,0.00,7.00,9.00,10.50,2.00,4.00,5.00,999,NULL,NULL,'BOM JESUS','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6296513,6.00,4.00,3.00,6.00,7.00,8.25,3.00,6.00,5.00,212,NULL,201,'CENTRO','ITAJAÍ','SC',8277,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6296548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD IEDA','ITANHAÉM','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6296556,2.00,4.00,4.00,2.00,4.00,NULL,1.00,0.00,1.00,301,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296572,3.00,2.00,1.00,2.00,8.00,7.13,0.00,2.00,1.00,104,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',19676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6296580,4.00,3.00,1.00,5.00,7.00,0.00,4.00,2.00,1.00,303,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6296602,3.00,3.00,0.00,2.00,4.00,9.38,0.00,3.00,2.00,103,NULL,NULL,'PORTO DA VILA','IMBITUBA','SC',19478,4641,NULL,NULL,NULL,NULL,NULL,2,10),(25,6296610,5.00,5.00,3.00,4.00,6.00,9.00,2.00,4.00,3.00,302,NULL,NULL,'CENTRO','TORRES','RS',10998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296629,6.00,6.00,1.00,7.00,6.00,7.13,3.00,3.00,5.00,303,NULL,NULL,'PALMITAL','PARANAGUÁ','PR',8474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296661,2.00,6.00,0.00,6.00,7.00,5.63,2.00,0.00,4.00,235,NULL,212,'FORQUILINHAS','S JOSÉ','SC',16400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296670,3.00,4.00,2.00,2.00,6.00,6.75,2.00,1.00,3.00,203,NULL,202,'SAO FCO DE ASSIS','BRAÇO NORTE','SC',18880,1062,NULL,593,NULL,NULL,NULL,4,10),(25,6296688,0.00,4.00,2.00,2.00,2.00,NULL,1.00,0.00,1.00,238,NULL,208,'SANTA ANA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296696,5.00,7.00,1.00,7.00,7.00,8.25,2.00,3.00,2.00,220,NULL,202,'BOM RETIRO','JOINVILLE','SC',12590,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6296700,3.00,7.00,2.00,6.00,7.00,8.25,4.00,6.00,2.00,316,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',10499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6296718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PARQUE DAS ÁRVORES','GUARATINGUETÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6296726,4.00,5.00,1.00,5.00,5.00,9.38,2.00,6.00,4.00,340,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',12026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6296750,6.00,7.00,3.00,6.00,10.00,7.50,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',4629,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6296769,1.00,5.00,1.00,4.00,5.00,7.50,1.00,2.00,2.00,102,NULL,NULL,'CENTRO','DIONÍSIO CERQUEIRA','SC',19352,240,NULL,NULL,NULL,NULL,NULL,2,1),(25,6296777,5.00,5.00,0.00,6.00,5.00,NULL,1.00,5.00,5.00,340,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296793,3.00,7.00,3.00,5.00,7.00,6.00,3.00,4.00,0.00,327,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',14869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296815,5.00,5.00,2.00,7.00,9.00,7.50,2.00,6.00,5.00,103,NULL,NULL,'IPIRANGA','SOLEDADE','RS',6394,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6296823,7.00,7.00,4.00,6.00,9.00,7.88,4.00,8.00,7.00,216,NULL,215,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296831,5.00,4.00,2.00,4.00,4.00,9.00,1.00,4.00,5.00,102,NULL,NULL,'SANTA TEREZINHA','PATO BRANCO','PR',12296,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6296840,4.00,4.00,1.00,5.00,6.00,5.25,2.00,4.00,1.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6296866,4.00,4.00,2.00,5.00,3.00,9.75,2.00,1.00,2.00,215,NULL,211,'CENTRO','BIGUAÇU','SC',15655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6296874,4.00,6.00,2.00,2.00,7.00,6.38,0.00,4.00,3.00,202,NULL,203,'INTERIOR','IPORÃ OESTE','SC',16846,528,NULL,1000,NULL,NULL,NULL,2,4),(25,6296882,5.00,6.00,2.00,6.00,8.00,8.25,3.00,6.00,3.00,317,NULL,NULL,'BELA VISTA','S JOSÉ','SC',8349,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6296890,5.00,6.00,6.00,7.00,10.00,6.00,5.00,3.00,4.00,208,NULL,238,'SANTA BARBARA','CRICIÚMA','SC',5042,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6296904,2.00,4.00,1.00,2.00,2.00,NULL,2.00,1.00,2.00,224,NULL,NULL,'PINHEIRINHO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6296912,4.00,3.00,4.00,4.00,3.00,6.75,0.00,4.00,3.00,453,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19658,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6296920,0.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6296939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'OFICINAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6296947,1.00,3.00,3.00,2.00,4.00,7.88,1.00,2.00,1.00,103,NULL,NULL,'VILA RAU','JARAGUÁ SUL','SC',20417,4715,NULL,NULL,NULL,NULL,NULL,2,8),(25,6296955,1.00,4.00,3.00,4.00,9.00,6.75,0.00,0.00,5.00,203,NULL,233,'URUSSANGUINHA','ARARANGUÁ','SC',16530,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6296963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,423,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6296971,3.00,3.00,0.00,2.00,6.00,9.00,2.00,2.00,3.00,103,NULL,NULL,'LIDER','CHAPECÓ','SC',18734,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6296980,3.00,6.00,2.00,7.00,7.00,8.63,1.00,3.00,3.00,319,NULL,NULL,'CACUPE','FLORIANÓPOLIS','SC',13630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6296998,3.00,3.00,1.00,4.00,5.00,NULL,1.00,0.00,0.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6297005,3.00,6.00,0.00,5.00,6.00,6.75,1.00,5.00,3.00,428,NULL,426,'BARREIROS','S JOSÉ','SC',17909,39,NULL,NULL,NULL,NULL,NULL,2,1),(25,6297013,3.00,5.00,5.00,5.00,7.00,7.88,2.00,1.00,2.00,653,NULL,NULL,'TERESÓPOLIS','PTO ALEGRE','RS',12863,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6297021,3.00,2.00,1.00,3.00,3.00,7.13,1.00,2.00,1.00,425,NULL,424,'BALNEARIO','FLORIANÓPOLIS','SC',21250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6297030,5.00,4.00,1.00,2.00,6.00,7.50,4.00,2.00,3.00,103,NULL,NULL,'JARIVATUBA','JOINVILLE','SC',18236,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6297056,2.00,5.00,4.00,4.00,8.00,8.25,2.00,4.00,2.00,999,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6297064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,652,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6297072,5.00,4.00,1.00,4.00,2.00,NULL,1.00,3.00,1.00,340,NULL,NULL,'RIBEIRÃO PEQUENO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6297080,3.00,3.00,1.00,5.00,8.00,6.00,1.00,1.00,1.00,212,NULL,211,'VILA SÃO JOSÉ','OURINHOS','SP',17567,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6297099,1.00,4.00,2.00,2.00,3.00,4.50,2.00,1.00,1.00,308,NULL,NULL,'JARDIM CARANDAI','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6297102,4.00,4.00,4.00,5.00,8.00,8.63,0.00,5.00,6.00,999,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6297110,2.00,4.00,1.00,2.00,3.00,8.25,4.00,0.00,2.00,425,NULL,429,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6297129,6.00,7.00,5.00,7.00,9.00,7.50,5.00,7.00,9.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',899,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6297137,6.00,6.00,6.00,6.00,8.00,9.75,4.00,3.00,6.00,203,NULL,214,'BOM RETIRO','JOINVILLE','SC',3216,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6297145,7.00,7.00,2.00,5.00,10.00,13.13,3.00,6.00,6.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',2142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6297153,6.00,6.00,4.00,7.00,9.00,10.88,2.00,4.00,5.00,102,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',3804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6297161,2.00,7.00,3.00,6.00,5.00,8.25,0.00,3.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6297170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'ASA SUL','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6297188,5.00,4.00,0.00,6.00,8.00,9.75,3.00,1.00,2.00,5,NULL,NULL,'ESTADOS','INDAIAL','SC',10339,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6297196,5.00,6.00,3.00,5.00,5.00,7.88,2.00,2.00,3.00,238,NULL,653,'BARREIROS','S JOSÉ','SC',11588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6297200,3.00,5.00,3.00,3.00,8.00,9.75,1.00,6.00,1.00,503,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',13310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6297226,1.00,3.00,1.00,2.00,5.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6297234,3.00,2.00,4.00,5.00,4.00,7.13,2.00,4.00,2.00,9,NULL,NULL,'DECA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6297242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VILA CONCEIÇÃO','S JOÃO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6297250,5.00,6.00,5.00,6.00,8.00,8.25,4.00,5.00,5.00,316,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',6431,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6297285,2.00,4.00,1.00,5.00,6.00,8.63,3.00,2.00,1.00,103,NULL,NULL,'CENTRO OESTE','GOIÂNIA','GO',15681,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6297307,3.00,6.00,2.00,5.00,6.00,6.38,2.00,5.00,4.00,202,NULL,NULL,'CIDADE NOVA','CAXIAS SUL','RS',12114,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6297315,5.00,6.00,4.00,6.00,8.00,7.50,4.00,5.00,4.00,319,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',6289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6297323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6297331,3.00,4.00,3.00,2.00,6.00,5.63,1.00,1.00,2.00,201,NULL,207,'ROCIO PEQUENO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6297340,7.00,0.00,3.00,7.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHÁCARA DAS PEDRAS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(25,6297358,3.00,3.00,3.00,2.00,4.00,8.25,0.00,2.00,1.00,102,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',20982,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6297366,3.00,5.00,1.00,4.00,7.00,7.50,0.00,1.00,2.00,415,NULL,NULL,'CEARÁ','CRICIÚMA','SC',14927,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6297374,4.00,4.00,0.00,1.00,4.00,7.13,3.00,0.00,3.00,999,NULL,NULL,'LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6297382,8.00,6.00,4.00,7.00,10.00,9.38,3.00,5.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',1556,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6297404,0.00,3.00,1.00,4.00,6.00,8.25,1.00,2.00,1.00,426,NULL,428,'INGLESES','FLORIANÓPOLIS','SC',20793,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6297412,7.00,6.00,4.00,2.00,9.00,8.25,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',3691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6297420,4.00,4.00,0.00,3.00,6.00,9.00,2.00,4.00,4.00,207,NULL,208,'JARDIM AMÉRICA','RIO SUL','SC',13920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6297439,3.00,5.00,2.00,4.00,5.00,7.88,0.00,5.00,2.00,208,NULL,238,'ITACORUBI','FLORIANÓPOLIS','SC',17240,425,NULL,392,NULL,NULL,NULL,2,1),(25,6297447,6.00,4.00,0.00,5.00,6.00,9.00,1.00,4.00,5.00,103,NULL,NULL,'CABEÇUDAS','ITAJAÍ','SC',12974,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6297455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,216,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6297480,6.00,5.00,1.00,6.00,9.00,11.25,1.00,4.00,7.00,211,NULL,207,'GOIABEIRAS','CUIABÁ','MT',6238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6297498,6.00,6.00,5.00,6.00,10.00,10.13,3.00,4.00,6.00,103,NULL,NULL,'VILA CLEMENTINO','S PAULO','SP',2365,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6297501,3.00,5.00,2.00,3.00,6.00,7.50,1.00,2.00,1.00,654,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',17139,37,NULL,NULL,NULL,NULL,NULL,2,15),(25,6297510,4.00,6.00,2.00,5.00,9.00,7.50,1.00,5.00,4.00,302,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',12022,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6297536,3.00,6.00,3.00,6.00,8.00,10.50,3.00,6.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6297544,4.00,4.00,0.00,5.00,6.00,NULL,1.00,6.00,6.00,220,NULL,203,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6297552,1.00,4.00,2.00,2.00,7.00,7.13,2.00,1.00,3.00,208,NULL,238,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6297560,1.00,6.00,3.00,5.00,7.00,9.38,2.00,5.00,3.00,337,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13110,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6297579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','CAXAMBU','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6297587,6.00,5.00,0.00,3.00,7.00,7.50,3.00,6.00,5.00,238,NULL,208,'FUNDO CANOAS','RIO SUL','SC',9872,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6297595,6.00,7.00,4.00,7.00,8.00,10.13,1.00,6.00,7.00,340,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',2910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6297609,3.00,2.00,3.00,3.00,3.00,5.25,2.00,1.00,1.00,212,NULL,655,'CENTRO','CRICIÚMA','SC',21589,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6297617,2.00,3.00,2.00,4.00,5.00,NULL,3.00,0.00,2.00,109,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6297633,5.00,5.00,2.00,4.00,8.00,9.38,2.00,4.00,2.00,999,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6297641,6.00,6.00,2.00,6.00,8.00,8.63,3.00,5.00,3.00,999,NULL,NULL,'JARDIM SILVANA','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6297650,5.00,3.00,1.00,3.00,5.00,7.50,2.00,2.00,1.00,103,NULL,NULL,'PINHEIROS','OTACÍLIO COSTA','SC',16598,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6297668,8.00,7.00,5.00,6.00,9.00,8.63,5.00,8.00,8.00,103,NULL,NULL,'PORTAL DO SOL','MARÍLIA','SP',430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6297676,4.00,4.00,0.00,6.00,7.00,7.88,1.00,3.00,4.00,201,NULL,212,'XAXIM','CURITIBA','PR',11519,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6297692,0.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,653,NULL,652,'VILA ELZA','VIAMÃO','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(25,6297706,3.00,4.00,2.00,3.00,8.00,8.25,2.00,1.00,1.00,999,NULL,NULL,'SORGATTO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6297714,7.00,5.00,5.00,5.00,7.00,7.88,1.00,8.00,7.00,203,NULL,601,'CENTRO','ITAJAÍ','SC',4755,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6297722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'JARDIM GUARUJA','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6297730,6.00,7.00,2.00,7.00,9.00,11.25,1.00,6.00,5.00,340,NULL,NULL,'OLARIA','PTO VELHO','RO',3420,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6297749,5.00,8.00,5.00,7.00,9.00,8.63,2.00,6.00,8.00,216,NULL,653,'UNIVERSITÁRIO','LAGES','SC',3007,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6297757,3.00,5.00,3.00,2.00,3.00,7.88,2.00,2.00,1.00,110,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',19227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6297765,3.00,4.00,3.00,2.00,3.00,9.75,2.00,3.00,4.00,999,NULL,NULL,'CENTRO','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6297773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'FREZARIN','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6297781,5.00,7.00,3.00,5.00,5.00,0.00,3.00,3.00,2.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6297790,2.00,5.00,3.00,4.00,7.00,7.88,2.00,4.00,2.00,201,NULL,207,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6297803,4.00,6.00,1.00,4.00,4.00,6.38,2.00,4.00,0.00,208,NULL,238,'POÇO FUNDO','STO AMARO IMPERATRIZ','SC',18215,468,NULL,430,NULL,NULL,NULL,2,1),(25,6297811,4.00,5.00,4.00,4.00,7.00,7.88,2.00,5.00,3.00,333,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',10639,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6297820,2.00,5.00,0.00,0.00,6.00,NULL,2.00,3.00,0.00,303,NULL,NULL,'CENTRO','CAMBUÍ','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6297838,6.00,5.00,4.00,6.00,6.00,8.25,0.00,9.00,5.00,336,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',7189,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6297846,4.00,5.00,1.00,7.00,8.00,8.63,3.00,7.00,4.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6297854,2.00,4.00,2.00,4.00,6.00,NULL,0.00,2.00,1.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6297862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'TABOÃO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6297870,1.00,3.00,2.00,2.00,5.00,6.38,0.00,0.00,1.00,101,NULL,NULL,'JARDIM BANDEIRA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6297889,8.00,7.00,2.00,5.00,8.00,9.00,1.00,6.00,5.00,211,NULL,213,'CENTRO','BIGUAÇU','SC',5352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6297897,3.00,4.00,2.00,4.00,6.00,8.25,3.00,1.00,0.00,201,NULL,601,'CENTRO','BRUSQUE','SC',18966,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6297919,3.00,2.00,1.00,1.00,3.00,6.38,4.00,3.00,3.00,336,NULL,NULL,'CENTRO','LAGES','SC',18292,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6297927,2.00,1.00,3.00,3.00,4.00,6.38,2.00,0.00,1.00,653,NULL,201,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6297943,6.00,7.00,7.00,5.00,9.00,10.13,3.00,6.00,6.00,220,NULL,235,'ITOUPAVA SECA','BLUMENAU','SC',2228,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6297951,4.00,7.00,3.00,4.00,5.00,7.50,2.00,6.00,4.00,326,NULL,NULL,'CENTRO','LONTRAS','SC',11040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6297960,4.00,6.00,4.00,7.00,4.00,8.63,2.00,6.00,3.00,999,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6297978,5.00,5.00,2.00,3.00,4.00,9.75,3.00,5.00,4.00,104,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',11925,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6297986,6.00,6.00,3.00,4.00,6.00,11.25,3.00,4.00,3.00,103,NULL,NULL,'CINQUENTENARIO','CAXIAS SUL','RS',7470,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6297994,4.00,6.00,2.00,4.00,8.00,11.63,4.00,5.00,5.00,415,NULL,NULL,'CASA BRANCA','ITAPEMA','SC',5900,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6298001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IPIRANGA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6298010,6.00,4.00,4.00,5.00,4.00,7.88,1.00,3.00,0.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',17756,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6298028,4.00,5.00,1.00,5.00,3.00,7.50,0.00,4.00,5.00,324,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',18602,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6298036,7.00,5.00,4.00,4.00,8.00,7.13,2.00,6.00,6.00,215,NULL,235,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6298044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6298052,5.00,7.00,2.00,4.00,6.00,6.75,1.00,4.00,6.00,212,NULL,233,'CAMPECHE','FLORIANÓPOLIS','SC',10518,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6298060,5.00,5.00,0.00,4.00,8.00,8.63,2.00,5.00,3.00,304,NULL,NULL,'ESTÂNCIA VELHA','CANOAS','RS',10573,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6298079,4.00,5.00,1.00,3.00,4.00,6.00,1.00,5.00,2.00,5,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',19568,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6298087,9.00,7.00,2.00,6.00,8.00,8.25,2.00,8.00,6.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',3225,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6298095,4.00,3.00,3.00,6.00,8.00,9.75,1.00,5.00,0.00,339,NULL,NULL,'SARANDI','PTO ALEGRE','RS',15314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6298109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6298117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,203,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6298125,6.00,5.00,1.00,4.00,8.00,9.38,2.00,3.00,6.00,215,NULL,216,'VILA NOVA MANCHESTER','S PAULO','SP',7799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298133,6.00,7.00,2.00,4.00,4.00,13.13,2.00,4.00,4.00,207,NULL,201,'PONTE RASA','S PAULO','SP',7781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298141,3.00,4.00,2.00,5.00,6.00,7.13,1.00,2.00,6.00,201,NULL,212,'CENTRO','BAL CAMBORIÚ','SC',15494,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6298150,5.00,7.00,1.00,6.00,8.00,7.13,0.00,6.00,2.00,444,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',10015,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6298168,5.00,6.00,1.00,4.00,8.00,8.25,0.00,4.00,6.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298184,5.00,6.00,2.00,4.00,7.00,7.50,1.00,2.00,5.00,103,NULL,NULL,'LÍDER','CHAPECÓ','SC',10825,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6298192,2.00,4.00,2.00,5.00,3.00,5.63,2.00,0.00,1.00,653,NULL,214,'JARDIM ARAXÁ','LONDRINA','PR',19212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298206,2.00,6.00,3.00,6.00,7.00,8.25,3.00,4.00,5.00,601,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6298214,2.00,2.00,2.00,1.00,5.00,8.63,2.00,3.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6298222,3.00,2.00,0.00,6.00,8.00,9.00,1.00,5.00,1.00,415,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',14671,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298230,6.00,4.00,7.00,3.00,8.00,8.63,2.00,8.00,4.00,203,NULL,NULL,'JARDIN SÃO BENTO','CPO GRANDE','MS',4118,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6298249,3.00,4.00,1.00,1.00,4.00,NULL,1.00,0.00,2.00,102,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6298257,1.00,2.00,2.00,1.00,3.00,7.50,1.00,2.00,2.00,201,NULL,216,'SÃO PEDRO','BRUSQUE','SC',21709,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6298265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ALTO RIBEIRÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6298273,3.00,3.00,3.00,2.00,6.00,8.25,2.00,2.00,3.00,450,NULL,NULL,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6298281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'RECANTO DOS PASSÁROS','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6298290,1.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(25,6298303,7.00,6.00,2.00,7.00,8.00,6.38,0.00,7.00,5.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',5745,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6298311,7.00,7.00,4.00,4.00,7.00,8.25,3.00,2.00,5.00,103,NULL,NULL,'CENTRO','XAXIM','SC',7245,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6298346,4.00,6.00,4.00,5.00,6.00,7.88,3.00,6.00,3.00,324,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298354,6.00,6.00,3.00,2.00,10.00,9.75,2.00,2.00,6.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6151,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298370,4.00,6.00,2.00,4.00,5.00,8.63,2.00,1.00,2.00,999,NULL,NULL,'CAMPO DA AGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6298389,3.00,5.00,3.00,5.00,7.00,7.88,2.00,3.00,2.00,652,NULL,655,'CENTRO','PLANALTO','RS',13350,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6298400,7.00,6.00,3.00,7.00,8.00,11.63,3.00,6.00,6.00,103,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',2131,1323,NULL,NULL,NULL,NULL,NULL,4,5),(25,6298419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD BOM TEMPO','TABOÃO SERRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6298427,6.00,4.00,2.00,4.00,7.00,12.00,4.00,5.00,3.00,201,NULL,233,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',9520,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6298435,4.00,7.00,0.00,7.00,8.00,NULL,0.00,6.00,3.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298443,4.00,6.00,2.00,5.00,8.00,9.00,2.00,3.00,1.00,101,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15238,68,NULL,NULL,NULL,NULL,NULL,2,1),(25,6298451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'MATO DENTRO','ENG COELHO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6298460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6298478,3.00,4.00,1.00,4.00,5.00,10.50,2.00,2.00,1.00,318,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6298486,1.00,2.00,0.00,1.00,4.00,NULL,2.00,0.00,1.00,103,NULL,NULL,'ESCOLAR','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6298494,9.00,8.00,7.00,5.00,10.00,10.88,1.00,9.00,7.00,103,NULL,NULL,'CENTRO','IBIPORÃ','PR',823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298508,4.00,5.00,2.00,6.00,7.00,12.00,3.00,3.00,5.00,233,NULL,601,'BOA VISTA','POUSO REDONDO','SC',5802,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6298516,3.00,5.00,1.00,4.00,5.00,8.63,5.00,4.00,2.00,452,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',12110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298524,1.00,2.00,0.00,2.00,6.00,6.75,2.00,2.00,2.00,235,NULL,NULL,'IMIGRANTES','GUABIRUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6298532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6298540,2.00,3.00,1.00,3.00,5.00,7.50,2.00,5.00,4.00,999,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298559,5.00,7.00,3.00,5.00,5.00,10.50,3.00,4.00,3.00,104,NULL,NULL,'CENTRO','VERANÓPOLIS','RS',9514,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6298567,4.00,6.00,2.00,5.00,8.00,11.25,3.00,5.00,5.00,203,NULL,238,'BOM ABRIGO','FLORIANÓPOLIS','SC',6954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298583,3.00,5.00,1.00,6.00,7.00,7.50,2.00,6.00,1.00,303,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',12926,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6298591,8.00,7.00,9.00,6.00,9.00,9.00,6.00,8.00,7.00,203,NULL,214,'AGRONOMICA','FLORIANÓPOLIS','SC',289,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6298621,4.00,7.00,5.00,5.00,7.00,6.75,2.00,5.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298648,8.00,8.00,6.00,7.00,10.00,10.50,5.00,7.00,8.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298656,5.00,5.00,3.00,3.00,8.00,8.63,4.00,7.00,5.00,303,NULL,NULL,'IPIRANGA','S JOSÉ','SC',5905,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6298664,2.00,3.00,2.00,2.00,2.00,NULL,1.00,0.00,0.00,653,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6298672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SAO JOSE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6298680,4.00,5.00,1.00,4.00,8.00,9.00,1.00,2.00,3.00,319,NULL,NULL,'CENTRO OESTE','PINHALZINHO','SC',13684,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6298699,3.00,2.00,0.00,1.00,3.00,7.50,1.00,2.00,1.00,211,NULL,215,'JARDIM ITÁLIA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6298702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6298710,8.00,5.00,6.00,7.00,9.00,10.13,6.00,6.00,9.00,103,NULL,NULL,'JARDIM EUROPA','DOURADOS','MS',474,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298729,5.00,4.00,0.00,4.00,9.00,7.88,2.00,7.00,2.00,652,NULL,655,'JARDIM ATLÂNTICO','BAL ARROIO SILVA','SC',11418,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6298737,6.00,3.00,0.00,3.00,8.00,9.75,0.00,3.00,2.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',13922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298745,4.00,5.00,0.00,3.00,8.00,NULL,1.00,4.00,2.00,207,NULL,216,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6298753,2.00,5.00,1.00,3.00,6.00,7.88,3.00,0.00,2.00,104,NULL,NULL,'UNIVERSITÁRIO','CHAPECÓ','SC',18218,509,NULL,NULL,NULL,NULL,NULL,4,4),(25,6298761,9.00,8.00,4.00,6.00,7.00,8.25,5.00,5.00,8.00,103,NULL,NULL,'JARDIM BELA VISTA','GOIÂNIA','GO',1595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298770,1.00,6.00,3.00,4.00,6.00,NULL,0.00,2.00,0.00,104,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6298788,5.00,7.00,2.00,3.00,9.00,12.38,1.00,1.00,5.00,336,NULL,NULL,'JARDIM AMÉRICA','CHAPECÓ','SC',10297,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6298796,8.00,6.00,7.00,7.00,10.00,9.75,5.00,7.00,8.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298800,6.00,5.00,1.00,7.00,7.00,8.63,2.00,1.00,5.00,108,NULL,NULL,'VILA IVETE','MAFRA','SC',9456,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6298818,3.00,0.00,3.00,2.00,6.00,NULL,0.00,0.00,4.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6298826,5.00,5.00,4.00,7.00,5.00,9.00,4.00,6.00,6.00,202,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',5262,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6298842,8.00,7.00,2.00,6.00,9.00,9.38,2.00,6.00,5.00,310,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6298850,2.00,3.00,0.00,1.00,4.00,NULL,1.00,0.00,1.00,551,NULL,NULL,'UNIVERSITARIO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6298869,4.00,6.00,1.00,3.00,9.00,8.63,1.00,5.00,3.00,220,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',10017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298877,3.00,6.00,3.00,6.00,8.00,8.25,2.00,5.00,2.00,207,NULL,215,'SANTA MONICA','FLORIANÓPOLIS','SC',9264,450,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298885,5.00,5.00,4.00,5.00,10.00,8.25,1.00,4.00,5.00,601,NULL,216,'OXFORD','S BENTO SUL','SC',7743,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6298907,4.00,4.00,2.00,6.00,7.00,7.13,1.00,4.00,3.00,601,NULL,201,'CENTRO','GUARAMIRIM','SC',12719,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6298915,3.00,3.00,0.00,4.00,6.00,NULL,0.00,6.00,2.00,302,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6298923,3.00,6.00,1.00,3.00,7.00,7.13,0.00,2.00,2.00,3,NULL,NULL,'CENTENÁRIO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6298931,2.00,6.00,2.00,3.00,7.00,9.00,1.00,1.00,2.00,103,NULL,NULL,'CENTRO','SERAFINA CORRÊA','RS',15358,4259,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298940,2.00,4.00,1.00,1.00,3.00,4.88,2.00,2.00,1.00,103,NULL,NULL,'VILA ALEMANHÃ','LUZERNA','SC',20513,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6298958,3.00,5.00,2.00,2.00,6.00,10.88,0.00,3.00,1.00,310,NULL,NULL,'CAMPINAS','S JOSÉ','SC',19340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6298990,6.00,6.00,1.00,4.00,9.00,9.00,1.00,3.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6299008,4.00,4.00,3.00,5.00,8.00,9.38,2.00,5.00,5.00,103,NULL,NULL,'TINGUI','CURITIBA','PR',7619,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6299016,1.00,5.00,3.00,4.00,3.00,7.13,1.00,2.00,1.00,302,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21110,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6299032,5.00,3.00,3.00,4.00,7.00,8.25,1.00,2.00,5.00,214,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',12954,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299040,5.00,6.00,0.00,2.00,7.00,NULL,0.00,3.00,0.00,203,NULL,220,'BOA VISTA','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6299059,1.00,4.00,0.00,4.00,2.00,NULL,0.00,1.00,2.00,207,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299067,2.00,6.00,0.00,5.00,3.00,NULL,0.00,4.00,2.00,339,NULL,NULL,'BUDAG','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299075,4.00,6.00,0.00,3.00,5.00,NULL,3.00,4.00,1.00,317,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299083,2.00,6.00,2.00,2.00,4.00,NULL,0.00,2.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6299091,3.00,5.00,2.00,6.00,9.00,7.13,1.00,3.00,3.00,303,NULL,NULL,'SAGRADO CORAÇÃO DE J','LAGES','SC',13543,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6299113,7.00,7.00,3.00,7.00,7.00,9.38,3.00,5.00,6.00,415,NULL,NULL,'BRASÍLIA','GARIBALDI','RS',3679,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6299121,2.00,5.00,1.00,2.00,5.00,NULL,2.00,3.00,0.00,601,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6299148,4.00,4.00,3.00,4.00,7.00,9.00,3.00,3.00,2.00,326,NULL,NULL,'BRASÍLIA','S BENTO SUL','SC',11738,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6299164,4.00,6.00,2.00,6.00,8.00,7.13,1.00,6.00,1.00,208,NULL,238,'CENTRO','BAL CAMBORIÚ','SC',11772,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6299180,5.00,4.00,3.00,6.00,9.00,9.75,2.00,4.00,4.00,415,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',7796,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299199,1.00,4.00,2.00,3.00,6.00,6.00,1.00,1.00,1.00,444,NULL,NULL,'SENHOR BOM JESUS','CAMPOS NOVOS','SC',21206,167,NULL,NULL,NULL,NULL,NULL,2,16),(25,6299202,1.00,4.00,3.00,1.00,4.00,NULL,2.00,0.00,2.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6299210,6.00,4.00,3.00,4.00,7.00,NULL,3.00,3.00,0.00,207,NULL,201,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6299229,5.00,4.00,1.00,4.00,6.00,8.25,1.00,4.00,5.00,203,NULL,202,'VELHA','BLUMENAU','SC',11872,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6299237,4.00,4.00,1.00,5.00,7.00,10.13,3.00,5.00,2.00,102,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',10445,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299245,8.00,5.00,4.00,5.00,8.00,11.63,3.00,2.00,5.00,201,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',5163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6299253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'SANTA TEREZINHA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6299261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6299270,6.00,7.00,4.00,7.00,8.00,8.25,3.00,6.00,2.00,104,NULL,NULL,'CENTRO','TUBARÃO','SC',6516,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6299288,3.00,5.00,4.00,5.00,7.00,11.25,3.00,0.00,2.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6299296,2.00,3.00,0.00,2.00,5.00,NULL,2.00,2.00,2.00,101,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6299300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM CID FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6299318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6299326,3.00,2.00,1.00,3.00,4.00,7.13,1.00,3.00,2.00,201,NULL,212,'JANUÁRIA','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6299342,8.00,5.00,4.00,7.00,9.00,9.00,3.00,6.00,9.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',2782,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6299350,7.00,7.00,7.00,7.00,10.00,13.13,7.00,6.00,8.00,103,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',91,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6299377,4.00,5.00,4.00,6.00,6.00,6.38,2.00,4.00,1.00,655,NULL,652,'SÃO SIMÃO','CRICIÚMA','SC',14342,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6299385,0.00,3.00,1.00,2.00,7.00,7.88,3.00,1.00,2.00,301,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',19688,279,NULL,NULL,NULL,NULL,NULL,4,1),(25,6299393,4.00,5.00,0.00,6.00,7.00,NULL,3.00,2.00,4.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6299407,4.00,6.00,2.00,5.00,9.00,7.50,2.00,6.00,2.00,336,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',9365,55,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6299431,7.00,7.00,3.00,7.00,10.00,6.75,1.00,7.00,7.00,103,NULL,NULL,'RIO BONITO','IRATI','PR',3593,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6299440,4.00,7.00,3.00,5.00,8.00,7.50,3.00,5.00,5.00,203,NULL,233,'SANTA CATARINA','ERECHIM','RS',6636,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299458,6.00,5.00,1.00,5.00,7.00,7.88,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','CONGONHAS','MG',10467,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299466,6.00,5.00,5.00,6.00,7.00,10.13,1.00,4.00,5.00,103,NULL,NULL,'HORTO FLORESTAL','TERESINA','PI',6721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6299474,1.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,1.00,423,NULL,428,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299482,5.00,6.00,0.00,5.00,7.00,7.50,1.00,6.00,3.00,5,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',13013,453,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299504,6.00,8.00,2.00,5.00,9.00,9.00,2.00,3.00,3.00,318,NULL,NULL,'TRINTA E UM DE MARÇO','CAMPINAS','SP',9243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6299512,2.00,3.00,2.00,4.00,5.00,7.13,0.00,6.00,3.00,301,NULL,NULL,'FUNDOS','BIGUAÇU','SC',19124,263,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299520,3.00,5.00,1.00,4.00,6.00,7.50,2.00,4.00,2.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',17397,343,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299539,8.00,5.00,3.00,4.00,7.00,9.00,3.00,2.00,6.00,202,NULL,235,'CAMPO COMPRIDO','CURITIBA','PR',7895,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299555,4.00,7.00,5.00,6.00,8.00,8.25,3.00,6.00,5.00,331,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',3771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6299563,6.00,4.00,3.00,5.00,5.00,7.88,0.00,4.00,3.00,601,NULL,202,'PROGRESSO','S BENTO SUL','SC',11139,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6299571,1.00,5.00,3.00,2.00,3.00,6.75,5.00,5.00,3.00,238,NULL,208,'SACO GRANDE','FLORIANÓPOLIS','SC',18594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6299598,3.00,6.00,3.00,3.00,6.00,6.38,3.00,1.00,3.00,444,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299601,3.00,6.00,2.00,7.00,6.00,8.25,0.00,2.00,1.00,110,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6299644,7.00,6.00,6.00,5.00,8.00,9.38,1.00,4.00,3.00,207,NULL,201,'SÃO JOÃO','PTO ALEGRE','RS',4941,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6299652,5.00,6.00,2.00,1.00,6.00,6.38,0.00,5.00,2.00,327,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',15848,43,NULL,NULL,NULL,NULL,NULL,4,1),(25,6299660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS IMBUIAS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6299679,2.00,5.00,3.00,3.00,5.00,7.50,1.00,3.00,2.00,318,NULL,NULL,'VILA MONTE ALEGRE','S PAULO','SP',19178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6299687,1.00,7.00,3.00,4.00,4.00,6.00,0.00,5.00,2.00,318,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',14863,56,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299695,5.00,7.00,4.00,2.00,6.00,6.00,3.00,2.00,3.00,202,NULL,238,'RIO TAVARES','FLORIANÓPOLIS','SC',12369,395,NULL,203,NULL,NULL,NULL,4,1),(25,6299709,3.00,5.00,4.00,2.00,7.00,7.13,2.00,4.00,1.00,207,NULL,233,'CENTRO','CAPINZAL','SC',16949,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6299717,7.00,3.00,4.00,7.00,7.00,8.63,2.00,7.00,7.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',3714,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6299725,2.00,5.00,0.00,6.00,4.00,7.13,1.00,2.00,1.00,104,NULL,NULL,'CENTRO','ERECHIM','RS',17402,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6299733,2.00,2.00,3.00,3.00,6.00,NULL,0.00,1.00,4.00,201,NULL,601,'BOA VISTA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6299741,1.00,7.00,5.00,5.00,5.00,7.88,2.00,3.00,6.00,104,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',10077,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6299776,7.00,5.00,4.00,5.00,5.00,10.50,1.00,6.00,6.00,214,NULL,213,'CORREGO GRANDE','FLORIANÓPOLIS','SC',7285,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299784,4.00,4.00,2.00,7.00,9.00,NULL,0.00,2.00,0.00,331,NULL,NULL,'QUISISANA','POÇOS CALDAS','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6299806,3.00,1.00,0.00,1.00,2.00,NULL,3.00,0.00,0.00,655,NULL,208,'PONTÃO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,15),(25,6299822,3.00,6.00,2.00,4.00,6.00,10.13,1.00,3.00,3.00,220,NULL,233,'JARDIM CARANDAI','BIGUAÇU','SC',11884,344,NULL,324,NULL,NULL,NULL,4,1),(25,6299849,4.00,7.00,2.00,6.00,7.00,10.13,2.00,6.00,3.00,317,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',7384,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299865,3.00,3.00,0.00,2.00,4.00,7.13,0.00,3.00,1.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',19898,4678,NULL,NULL,NULL,NULL,NULL,2,4),(25,6299873,2.00,6.00,1.00,6.00,6.00,8.25,2.00,5.00,1.00,317,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',14223,60,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299881,4.00,3.00,0.00,2.00,2.00,NULL,1.00,2.00,3.00,102,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6299903,3.00,4.00,1.00,4.00,7.00,10.50,2.00,4.00,0.00,316,NULL,NULL,'BOA VISTA','CARAZINHO','RS',13783,120,NULL,NULL,NULL,NULL,NULL,2,2),(25,6299911,3.00,5.00,4.00,6.00,7.00,10.13,3.00,6.00,4.00,203,NULL,214,'AGRONÔMICA','FLORIANÓPOLIS','SC',7998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6299920,4.00,3.00,1.00,3.00,7.00,8.25,1.00,3.00,2.00,109,NULL,NULL,'RURAL','MIRIM DOCE','SC',16118,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6299938,4.00,4.00,1.00,3.00,4.00,NULL,0.00,1.00,2.00,212,NULL,211,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299946,3.00,4.00,2.00,2.00,3.00,11.63,2.00,5.00,1.00,324,NULL,NULL,'CACHO DO BOM JESUS','FLORIANÓPOLIS','SC',18615,17,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'RURAL','MIRIM DOCE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6299970,3.00,4.00,3.00,4.00,2.00,NULL,2.00,4.00,3.00,316,NULL,NULL,'INGLESES RIO VERMELH','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6299989,2.00,4.00,2.00,2.00,6.00,8.63,3.00,1.00,2.00,301,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',17012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6299997,7.00,9.00,0.00,7.00,10.00,12.75,1.00,8.00,5.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',2145,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6300006,2.00,5.00,2.00,3.00,4.00,6.75,1.00,1.00,3.00,5,NULL,NULL,'RIO MIGUEL','ÁGUAS MORNAS','SC',17726,612,NULL,NULL,NULL,NULL,NULL,2,1),(25,6300014,5.00,7.00,4.00,6.00,9.00,12.00,2.00,7.00,1.00,501,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',6369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300030,2.00,3.00,2.00,1.00,5.00,7.88,3.00,0.00,3.00,551,NULL,NULL,'POR DO SOL','MTE CARLO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6300049,4.00,7.00,1.00,6.00,5.00,10.50,1.00,3.00,5.00,215,NULL,216,'TRINDADE','FLORIANÓPOLIS','SC',9843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6300073,5.00,3.00,2.00,1.00,5.00,6.75,2.00,0.00,2.00,108,NULL,NULL,'BRASÍLIA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300081,4.00,7.00,3.00,3.00,4.00,7.13,3.00,3.00,1.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',15706,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6300103,6.00,7.00,3.00,5.00,6.00,9.38,1.00,8.00,7.00,220,NULL,202,'CENTRO','S LUDGERO','SC',3912,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6300120,6.00,0.00,0.00,4.00,8.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TERESOPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6300146,4.00,3.00,1.00,5.00,5.00,6.38,1.00,5.00,3.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',14919,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6300162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6300170,5.00,4.00,1.00,6.00,7.00,10.13,0.00,1.00,5.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',10634,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6300189,5.00,5.00,1.00,5.00,8.00,10.50,3.00,4.00,6.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300197,3.00,5.00,2.00,5.00,6.00,7.88,2.00,6.00,2.00,317,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',12730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6300200,2.00,4.00,2.00,3.00,5.00,4.50,0.00,6.00,2.00,423,NULL,427,'CORREGO GRANDE','FLORIANÓPOLIS','SC',20650,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6300219,2.00,0.00,1.00,1.00,2.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6300227,1.00,1.00,3.00,2.00,3.00,0.00,3.00,1.00,1.00,551,NULL,NULL,'COPERCAMPOS','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6300235,2.00,3.00,3.00,2.00,4.00,7.50,0.00,0.00,0.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6300251,4.00,4.00,2.00,4.00,6.00,9.38,1.00,1.00,3.00,104,NULL,NULL,'CADORIN','PATO BRANCO','PR',13937,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6300286,6.00,3.00,2.00,5.00,7.00,7.88,0.00,3.00,4.00,103,NULL,NULL,'CENTRO','IJUÍ','RS',15254,4249,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300294,3.00,3.00,2.00,4.00,6.00,7.88,2.00,4.00,1.00,109,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',16642,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6300308,2.00,3.00,0.00,1.00,5.00,NULL,2.00,1.00,1.00,308,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6300316,4.00,4.00,1.00,2.00,4.00,10.13,4.00,4.00,0.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',13176,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6300324,1.00,4.00,2.00,0.00,6.00,9.38,0.00,1.00,1.00,327,NULL,NULL,'JARDIM FLAMBOYANT','TRÊS LAGOAS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6300340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6300359,5.00,7.00,3.00,4.00,9.00,9.00,2.00,5.00,5.00,303,NULL,NULL,'FUNDOS','BIGUAÇU','SC',6828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300375,3.00,4.00,3.00,6.00,4.00,6.00,1.00,2.00,4.00,319,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',16505,323,NULL,NULL,NULL,NULL,NULL,2,1),(25,6300383,3.00,5.00,1.00,5.00,7.00,9.00,0.00,1.00,5.00,212,NULL,601,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',12461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6300391,3.00,4.00,1.00,4.00,5.00,9.75,1.00,3.00,2.00,415,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',16113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300405,1.00,5.00,1.00,0.00,7.00,NULL,2.00,0.00,1.00,551,NULL,NULL,'COHAB I','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6300413,4.00,4.00,0.00,3.00,6.00,NULL,0.00,1.00,0.00,102,NULL,NULL,'PROGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6300421,7.00,0.00,1.00,4.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ST LESTE VILA NOVA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6300430,5.00,6.00,1.00,4.00,8.00,10.13,1.00,6.00,2.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11424,407,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300448,2.00,6.00,2.00,4.00,4.00,10.88,1.00,1.00,2.00,427,NULL,421,'FREGUESIA','S PAULO','SP',14528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300456,5.00,6.00,3.00,7.00,8.00,9.38,5.00,5.00,4.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',3806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300464,7.00,7.00,1.00,7.00,9.00,9.75,5.00,3.00,5.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',5444,2545,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300472,5.00,4.00,3.00,4.00,9.00,11.25,1.00,2.00,3.00,452,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',10831,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6300502,6.00,6.00,3.00,3.00,6.00,7.50,2.00,4.00,4.00,201,NULL,212,'CENTRO','CANELINHA','SC',12945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6300510,2.00,4.00,0.00,2.00,7.00,NULL,1.00,3.00,0.00,211,NULL,216,'ARMAÇÃO DO PANTANO D','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300529,4.00,6.00,1.00,4.00,7.00,9.38,2.00,3.00,2.00,5,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',15722,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6300545,8.00,7.00,4.00,6.00,8.00,8.63,3.00,5.00,3.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300553,4.00,4.00,1.00,5.00,6.00,7.13,3.00,1.00,2.00,238,NULL,208,'TIMBU','CAMPINA G SUL','PR',15423,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6300561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6300570,2.00,5.00,1.00,5.00,4.00,5.63,1.00,1.00,0.00,104,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6300596,7.00,6.00,5.00,5.00,9.00,8.63,4.00,7.00,4.00,233,NULL,238,'SANTINHO','FLORIANÓPOLIS','SC',3722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300618,6.00,4.00,3.00,3.00,6.00,NULL,0.00,6.00,6.00,104,NULL,NULL,'INTERIOR','DESCANSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6300626,2.00,4.00,3.00,3.00,6.00,8.63,2.00,2.00,2.00,207,NULL,202,'CENTRO','CONGONHINHAS','PR',16414,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6300634,4.00,5.00,1.00,4.00,7.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'PORTINHO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6300642,4.00,7.00,2.00,6.00,8.00,8.25,3.00,5.00,3.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300669,7.00,7.00,7.00,7.00,6.00,9.38,4.00,4.00,5.00,201,NULL,212,'CENTRO','STO ANTÔNIO PLATINA','PR',2569,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6300677,8.00,8.00,6.00,6.00,9.00,12.00,3.00,8.00,8.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',611,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6300685,4.00,3.00,3.00,5.00,4.00,8.25,4.00,3.00,7.00,202,NULL,216,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',8244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300707,3.00,5.00,0.00,5.00,6.00,NULL,1.00,2.00,1.00,238,NULL,652,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300715,1.00,5.00,2.00,2.00,5.00,9.00,2.00,4.00,0.00,319,NULL,NULL,'RURAL','MIRIM DOCE','SC',18607,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6300723,2.00,5.00,1.00,1.00,2.00,NULL,3.00,2.00,2.00,652,NULL,653,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6300731,2.00,6.00,4.00,5.00,6.00,10.13,2.00,2.00,1.00,551,NULL,NULL,'TRICOLIN','CANOINHAS','SC',12709,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6300740,5.00,4.00,6.00,5.00,4.00,6.38,2.00,4.00,3.00,304,NULL,NULL,'CARAVAGGIO','NOVA VENEZA','SC',12675,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6300758,7.00,5.00,5.00,6.00,10.00,8.25,4.00,6.00,7.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',2203,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6300766,3.00,5.00,3.00,7.00,4.00,9.38,1.00,3.00,3.00,317,NULL,NULL,'BELA VISTA','S JOSÉ','SC',14868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300774,1.00,6.00,0.00,2.00,1.00,NULL,2.00,4.00,3.00,203,NULL,214,'SUFIATI','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6300782,3.00,3.00,2.00,4.00,6.00,7.88,2.00,4.00,3.00,301,NULL,NULL,'SERRARIA','S JOSÉ','SC',18641,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6300790,5.00,5.00,1.00,4.00,6.00,7.88,2.00,3.00,0.00,310,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14985,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6300804,1.00,4.00,2.00,2.00,3.00,5.63,3.00,2.00,0.00,101,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',20147,159,NULL,NULL,NULL,NULL,NULL,2,1),(25,6300820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'JARDIM ANÁPOLIS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6300839,3.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(25,6300855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6300863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6300880,3.00,4.00,4.00,4.00,7.00,10.88,0.00,3.00,0.00,340,NULL,NULL,'CENTRO','LAGES','SC',16159,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6300898,3.00,0.00,6.00,4.00,6.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6300901,2.00,3.00,3.00,2.00,6.00,NULL,0.00,1.00,2.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300910,7.00,5.00,6.00,5.00,8.00,8.25,3.00,5.00,8.00,103,NULL,NULL,'JARDIM ANA LUCIA','GOIÂNIA','GO',3891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6300928,5.00,4.00,4.00,4.00,8.00,7.88,3.00,2.00,7.00,203,NULL,238,'PIO CORREA','CRICIÚMA','SC',9161,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6300936,2.00,4.00,2.00,3.00,4.00,7.50,3.00,0.00,2.00,103,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',20579,4728,NULL,NULL,NULL,NULL,NULL,2,1),(25,6300944,5.00,4.00,3.00,6.00,9.00,8.25,2.00,4.00,3.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',9242,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6300952,2.00,4.00,1.00,6.00,6.00,8.63,1.00,1.00,3.00,303,NULL,NULL,'CENTRO','JOAÇABA','SC',15008,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6300960,3.00,1.00,0.00,2.00,4.00,6.38,3.00,1.00,2.00,652,NULL,655,'VILA BEATRIZ','MARACAJÁ','SC',21515,118,NULL,173,NULL,NULL,NULL,2,15),(25,6300979,2.00,3.00,2.00,4.00,6.00,8.25,2.00,5.00,3.00,319,NULL,NULL,'CALDAS DA IMPERATRIZ','ANTÔNIO CARDOSO','BA',17521,348,NULL,NULL,NULL,NULL,NULL,2,1),(25,6300987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JD NOVA ITÁLIA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6300995,1.00,4.00,3.00,3.00,3.00,6.00,2.00,5.00,1.00,332,NULL,NULL,'BELA VISTA','PALHOÇA','SC',20900,61,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301029,2.00,5.00,1.00,1.00,1.00,NULL,0.00,1.00,1.00,101,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6301037,6.00,6.00,4.00,4.00,7.00,9.38,2.00,8.00,7.00,202,NULL,235,'PONTE DO IMARUIM','PALHOÇA','SC',3467,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301053,4.00,2.00,1.00,2.00,6.00,6.75,1.00,1.00,1.00,654,NULL,NULL,'ROÇADO','S JOSÉ','SC',18866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301061,3.00,4.00,0.00,2.00,3.00,6.75,4.00,3.00,3.00,208,NULL,NULL,'CARDOSO','S JOÃO BATISTA','SC',16669,395,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301088,1.00,6.00,3.00,1.00,5.00,7.13,0.00,0.00,1.00,324,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',21302,26,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301096,5.00,5.00,4.00,3.00,7.00,8.25,3.00,5.00,5.00,235,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',8008,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301100,3.00,4.00,0.00,3.00,5.00,NULL,0.00,1.00,1.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301118,2.00,4.00,5.00,6.00,7.00,9.38,2.00,3.00,6.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',6441,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6301134,6.00,5.00,1.00,4.00,4.00,9.38,2.00,2.00,6.00,452,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301142,4.00,4.00,4.00,7.00,6.00,7.50,2.00,4.00,3.00,421,NULL,427,'PANTANAL','FLORIANÓPOLIS','SC',14477,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6301150,2.00,5.00,3.00,4.00,4.00,6.00,5.00,5.00,2.00,303,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',16904,741,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301177,0.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6301185,4.00,4.00,2.00,6.00,7.00,10.88,0.00,3.00,3.00,423,NULL,429,'CAMPECHE','FLORIANÓPOLIS','SC',14681,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,212,'CENTRO','CORUMBÁ','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6301215,6.00,5.00,3.00,5.00,9.00,7.88,4.00,6.00,5.00,108,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301223,8.00,6.00,4.00,6.00,8.00,9.75,1.00,5.00,4.00,211,NULL,215,'SANTA TEREZINHA','BRUSQUE','SC',4599,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6301231,8.00,7.00,7.00,6.00,9.00,9.00,3.00,6.00,6.00,202,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',1869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'APARECIDA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6301258,4.00,7.00,0.00,3.00,6.00,NULL,0.00,5.00,3.00,104,NULL,NULL,'SÃO JOÃO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301266,5.00,7.00,5.00,5.00,4.00,6.38,2.00,3.00,3.00,999,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301274,2.00,4.00,2.00,2.00,6.00,6.38,1.00,1.00,0.00,319,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6301282,2.00,5.00,3.00,5.00,7.00,9.38,3.00,3.00,4.00,207,NULL,212,'FREGUESIA DO Ó','S PAULO','SP',10486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301290,3.00,5.00,1.00,6.00,7.00,9.00,0.00,3.00,3.00,424,NULL,423,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',16568,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6301304,5.00,5.00,1.00,2.00,7.00,10.50,2.00,2.00,3.00,216,NULL,211,'CANASVIEIRAS','FLORIANÓPOLIS','SC',13566,473,NULL,358,NULL,NULL,NULL,2,1),(25,6301312,6.00,4.00,2.00,3.00,4.00,7.13,1.00,3.00,4.00,9,NULL,NULL,'CENTRO','TANABI','SP',15644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6301339,5.00,5.00,7.00,4.00,8.00,8.25,3.00,4.00,6.00,213,NULL,235,'BARREIROS','S JOSÉ','SC',6764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301347,3.00,3.00,1.00,2.00,5.00,NULL,0.00,1.00,1.00,601,NULL,220,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6301355,5.00,6.00,2.00,3.00,7.00,9.75,2.00,4.00,5.00,320,NULL,NULL,'CENTRO','BLUMENAU','SC',9080,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6301363,4.00,6.00,4.00,6.00,10.00,8.63,2.00,6.00,4.00,320,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',6155,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6301371,5.00,6.00,3.00,6.00,8.00,10.13,1.00,7.00,3.00,207,NULL,201,'BATEL','CURITIBA','PR',6243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301380,2.00,6.00,0.00,4.00,5.00,6.75,2.00,5.00,1.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',16808,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301398,2.00,7.00,4.00,4.00,5.00,8.63,2.00,4.00,1.00,337,NULL,NULL,'REBOUÇAS','CURITIBA','PR',12516,19,NULL,NULL,NULL,NULL,NULL,4,8),(25,6301410,1.00,4.00,3.00,3.00,4.00,8.63,1.00,5.00,2.00,309,NULL,NULL,'IPIRANGA','S JOSÉ','SC',19662,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301428,2.00,3.00,1.00,1.00,3.00,NULL,0.00,2.00,3.00,234,NULL,NULL,'PALMITAL','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6301436,2.00,4.00,1.00,4.00,8.00,9.75,1.00,4.00,3.00,317,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',15744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301444,6.00,7.00,3.00,7.00,9.00,8.63,3.00,5.00,5.00,216,NULL,220,'CORAL','LAGES','SC',3322,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6301452,4.00,4.00,1.00,1.00,5.00,6.75,2.00,2.00,2.00,302,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301460,3.00,4.00,1.00,2.00,4.00,8.25,2.00,1.00,3.00,202,NULL,601,'BARRA DO ARIRIU','PALHOÇA','SC',20200,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301479,3.00,4.00,2.00,6.00,7.00,8.25,2.00,3.00,4.00,420,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15129,143,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301487,4.00,4.00,1.00,3.00,5.00,6.75,0.00,0.00,1.00,104,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301495,5.00,6.00,3.00,3.00,1.00,NULL,2.00,1.00,1.00,109,NULL,NULL,'RIO NEGRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6301517,7.00,8.00,3.00,5.00,10.00,11.63,3.00,7.00,5.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',2588,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6301525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6301533,4.00,7.00,3.00,5.00,3.00,7.50,2.00,6.00,3.00,316,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',16061,156,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301541,3.00,5.00,2.00,2.00,6.00,8.25,3.00,1.00,2.00,317,NULL,NULL,'BELA VISTA II','S JOSÉ','SC',18323,148,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301568,2.00,3.00,1.00,3.00,2.00,NULL,1.00,2.00,0.00,303,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301576,4.00,7.00,3.00,4.00,7.00,7.88,0.00,6.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301584,4.00,4.00,1.00,3.00,6.00,7.13,1.00,1.00,3.00,238,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',15838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301592,3.00,3.00,1.00,2.00,5.00,6.00,1.00,3.00,0.00,201,NULL,212,'CENTRO','IBIRAMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,9),(25,6301606,5.00,4.00,2.00,0.00,2.00,NULL,1.00,4.00,2.00,215,NULL,216,'BOA ESPERANÇA','MATA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6301614,3.00,3.00,2.00,3.00,5.00,NULL,2.00,0.00,3.00,326,NULL,NULL,'RIO VERMELHO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301622,7.00,8.00,6.00,6.00,7.00,9.75,3.00,9.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301630,2.00,5.00,1.00,3.00,6.00,6.75,2.00,2.00,2.00,332,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',20523,59,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301649,5.00,5.00,4.00,3.00,6.00,6.75,3.00,4.00,3.00,319,NULL,NULL,'PINHEIRINHO','FRANCISCO BELTRÃO','PR',11821,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6301657,1.00,3.00,2.00,2.00,3.00,NULL,0.00,1.00,0.00,319,NULL,NULL,'JARDIM ZANELLATO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301665,4.00,7.00,4.00,3.00,6.00,7.88,2.00,4.00,2.00,101,NULL,NULL,'CENTRO','JOAÇABA','SC',13618,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6301673,5.00,7.00,3.00,7.00,8.00,11.25,4.00,3.00,5.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301681,5.00,3.00,1.00,1.00,6.00,NULL,3.00,0.00,2.00,317,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6301690,7.00,4.00,1.00,7.00,8.00,9.00,3.00,6.00,3.00,103,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',6252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301703,3.00,4.00,0.00,2.00,4.00,8.63,4.00,3.00,2.00,103,NULL,NULL,'FLORESTA','LAJEADO','RS',18001,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6301711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6301720,3.00,6.00,4.00,4.00,5.00,7.50,4.00,4.00,3.00,201,NULL,207,'ITACORUBI','FLORIANÓPOLIS','SC',13574,1156,NULL,731,NULL,NULL,NULL,2,1),(25,6301738,4.00,6.00,4.00,7.00,8.00,10.13,1.00,6.00,2.00,601,NULL,233,'SÃO DEFENDE','CRICIÚMA','SC',5675,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6301746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'NOVA BRASÍLIA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6301754,3.00,5.00,1.00,3.00,5.00,7.50,1.00,2.00,2.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',17849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301770,2.00,1.00,0.00,4.00,3.00,6.38,0.00,0.00,2.00,340,NULL,NULL,'VILA SÃO JORGE','GUARULHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,207,'VINTE CINCO DE JULHO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6301797,1.00,2.00,2.00,1.00,2.00,NULL,1.00,2.00,1.00,444,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301800,2.00,3.00,3.00,2.00,4.00,5.25,2.00,2.00,3.00,212,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',20924,588,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301819,5.00,7.00,4.00,2.00,8.00,5.25,3.00,2.00,2.00,225,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14139,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301827,2.00,2.00,1.00,3.00,3.00,6.00,2.00,3.00,2.00,326,NULL,NULL,'RIO VERMELHO','PALHOÇA','SC',21510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301835,4.00,5.00,4.00,5.00,7.00,8.63,2.00,2.00,3.00,201,NULL,212,'LOEFFELSCHEIDT','ÁGUAS MORNAS','SC',13526,1149,NULL,395,NULL,NULL,NULL,2,1),(25,6301843,6.00,7.00,6.00,7.00,9.00,10.13,1.00,3.00,4.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',5711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6301860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6301878,2.00,4.00,3.00,1.00,3.00,NULL,0.00,3.00,1.00,212,NULL,201,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301886,2.00,3.00,1.00,2.00,5.00,7.50,3.00,2.00,2.00,208,NULL,211,'CENTRO','CHAPECÓ','SC',18789,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6301894,4.00,5.00,0.00,7.00,7.00,NULL,2.00,5.00,3.00,328,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6301916,6.00,8.00,5.00,7.00,11.00,10.13,3.00,6.00,8.00,5,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301940,3.00,6.00,3.00,6.00,10.00,10.88,0.00,3.00,1.00,326,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',12370,24,NULL,NULL,NULL,NULL,NULL,2,1),(25,6301959,6.00,5.00,5.00,7.00,8.00,9.75,3.00,7.00,6.00,212,NULL,213,'ITACORUBI','FLORIANÓPOLIS','SC',2883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301967,3.00,3.00,2.00,2.00,5.00,6.00,0.00,1.00,2.00,302,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',21166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6301975,5.00,5.00,1.00,5.00,3.00,5.25,1.00,0.00,2.00,502,NULL,NULL,'BARREIROS','S JOSÉ','SC',20731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302009,4.00,3.00,3.00,1.00,3.00,NULL,1.00,3.00,0.00,331,NULL,NULL,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6302025,1.00,3.00,0.00,3.00,5.00,NULL,2.00,4.00,1.00,320,NULL,NULL,'PROGRESSO','ALEGRETE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6302033,5.00,8.00,4.00,7.00,7.00,7.88,1.00,6.00,6.00,216,NULL,208,'COQUEIROS','FLORIANÓPOLIS','SC',5344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302041,4.00,5.00,3.00,2.00,4.00,7.13,4.00,1.00,2.00,216,NULL,233,'MILANESE','CRICIÚMA','SC',16521,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6302050,4.00,5.00,4.00,2.00,8.00,9.75,1.00,3.00,1.00,103,NULL,NULL,'CENTRO','JABORÁ','SC',15626,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6302068,2.00,7.00,1.00,4.00,7.00,9.75,2.00,1.00,2.00,317,NULL,NULL,'BOA VISTA','PRINCESA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6302076,3.00,4.00,2.00,7.00,4.00,8.63,1.00,1.00,6.00,104,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',14088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302084,3.00,3.00,2.00,4.00,6.00,6.00,2.00,2.00,1.00,223,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302092,4.00,4.00,2.00,6.00,8.00,10.88,2.00,2.00,2.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302106,8.00,6.00,3.00,7.00,8.00,10.88,4.00,7.00,8.00,202,NULL,213,'CAMPINAS','S JOSÉ','SC',1695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302114,4.00,2.00,0.00,4.00,7.00,NULL,3.00,1.00,5.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6302122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6302130,9.00,8.00,8.00,6.00,10.00,12.38,7.00,8.00,9.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',5,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6302149,4.00,4.00,3.00,1.00,4.00,7.88,1.00,1.00,1.00,999,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302157,3.00,5.00,0.00,1.00,6.00,NULL,2.00,2.00,3.00,5,NULL,NULL,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302165,6.00,7.00,5.00,6.00,9.00,9.00,3.00,6.00,5.00,102,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',4525,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6302173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6302181,5.00,5.00,4.00,7.00,7.00,10.88,0.00,4.00,4.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',9208,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6302190,3.00,4.00,0.00,4.00,4.00,10.50,1.00,0.00,0.00,426,NULL,427,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',21047,33,NULL,NULL,NULL,NULL,NULL,2,1),(25,6302203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6302211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6302220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'SANTA CATARINA','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6302238,4.00,4.00,1.00,4.00,6.00,6.75,2.00,3.00,2.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6302246,5.00,6.00,1.00,5.00,9.00,10.88,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','CLEVELÂNDIA','PR',4620,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6302254,5.00,7.00,3.00,3.00,9.00,7.50,3.00,6.00,4.00,103,NULL,NULL,'INTERIOR','GUARACIABA','SC',8048,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6302262,4.00,5.00,2.00,6.00,6.00,5.63,1.00,2.00,5.00,318,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',14510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302270,0.00,4.00,1.00,2.00,5.00,NULL,0.00,2.00,0.00,103,NULL,NULL,'SÃO FRANCISCO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6302297,3.00,4.00,2.00,2.00,7.00,NULL,2.00,1.00,1.00,999,NULL,NULL,'CANTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,9),(25,6302300,6.00,7.00,3.00,7.00,8.00,7.50,2.00,7.00,6.00,201,NULL,216,'RIBEIRÃO PROCHONW','BENEDITO NOVO','SC',5860,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(25,6302319,6.00,5.00,2.00,7.00,9.00,7.50,6.00,5.00,7.00,202,NULL,NULL,'VILA RENATO','BARBOSA','SP',3053,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6302335,4.00,5.00,1.00,4.00,4.00,5.25,1.00,3.00,0.00,502,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',20507,49,NULL,NULL,NULL,NULL,NULL,2,1),(25,6302343,7.00,7.00,2.00,7.00,9.00,9.38,4.00,9.00,6.00,202,NULL,213,'PONTA AGUDA','BLUMENAU','SC',1918,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6302351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,220,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6302360,9.00,7.00,4.00,6.00,9.00,11.25,3.00,6.00,6.00,336,NULL,NULL,'CRISTO REI','IÇARA','SC',1477,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6302378,7.00,7.00,6.00,6.00,9.00,11.63,5.00,6.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',329,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6302386,4.00,0.00,3.00,0.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(25,6302394,3.00,6.00,2.00,3.00,5.00,7.50,3.00,1.00,1.00,999,NULL,NULL,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6302408,4.00,6.00,4.00,5.00,4.00,6.75,1.00,4.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARIA LUISA','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6302424,3.00,5.00,3.00,4.00,4.00,9.38,3.00,4.00,2.00,207,NULL,211,'MONTE VERDE','FLORIANÓPOLIS','SC',13826,747,NULL,366,NULL,NULL,NULL,2,1),(25,6302432,3.00,4.00,2.00,5.00,8.00,7.13,3.00,3.00,3.00,303,NULL,NULL,'CENTRO','ERECHIM','RS',11601,545,NULL,NULL,NULL,NULL,NULL,2,4),(25,6302459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ALEGRETE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6302467,2.00,6.00,3.00,3.00,4.00,6.38,0.00,3.00,3.00,5,NULL,NULL,'BOA VISTA','CARAZINHO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6302475,3.00,6.00,0.00,5.00,7.00,7.50,0.00,2.00,2.00,5,NULL,NULL,'AREIAS','CAMBORIÚ','SC',18186,623,NULL,NULL,NULL,NULL,NULL,2,3),(25,6302483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','MASSARANDUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6302491,2.00,4.00,0.00,4.00,7.00,7.50,1.00,2.00,2.00,999,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302505,5.00,6.00,4.00,7.00,7.00,8.25,0.00,4.00,6.00,201,NULL,212,'CENTRO','LAGES','SC',5885,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6302521,2.00,4.00,0.00,1.00,5.00,NULL,2.00,3.00,3.00,601,NULL,202,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302530,3.00,5.00,2.00,3.00,7.00,7.50,2.00,1.00,3.00,316,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',17971,196,NULL,NULL,NULL,NULL,NULL,2,1),(25,6302548,6.00,7.00,3.00,6.00,9.00,8.63,2.00,6.00,5.00,203,NULL,233,'BARREIROS','S JOSÉ','SC',3972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6302564,3.00,6.00,2.00,7.00,4.00,NULL,2.00,4.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6302580,8.00,4.00,2.00,7.00,6.00,9.75,2.00,3.00,3.00,238,NULL,655,'CENTRO','FLORIANÓPOLIS','SC',8792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302599,2.00,4.00,4.00,5.00,6.00,7.50,2.00,3.00,6.00,103,NULL,NULL,'CAÇADOR','CAPIVARI BAIXO','SC',11641,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6302610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CORUPÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6302629,5.00,5.00,2.00,5.00,5.00,8.63,1.00,2.00,1.00,103,NULL,NULL,'CENTRO','ANITÁPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6302637,3.00,4.00,0.00,3.00,5.00,9.38,0.00,2.00,2.00,551,NULL,NULL,'SÃO LUIS','CURITIBANOS','SC',18315,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6302645,6.00,7.00,3.00,3.00,7.00,9.00,2.00,4.00,2.00,503,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302653,3.00,5.00,2.00,0.00,3.00,5.25,2.00,2.00,3.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',21185,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6302661,8.00,8.00,4.00,7.00,8.00,8.63,2.00,8.00,9.00,103,NULL,NULL,'CAMPOLIM','SOROCABA','SP',871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302670,5.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6302688,4.00,3.00,3.00,0.00,5.00,9.75,3.00,5.00,3.00,654,NULL,NULL,'PALMITAL','MAJ VIEIRA','SC',12537,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6302700,2.00,4.00,2.00,5.00,6.00,8.63,3.00,0.00,3.00,233,NULL,212,'UNIÃO','ETN VELHA','RS',14953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302718,3.00,1.00,1.00,6.00,5.00,7.88,2.00,1.00,1.00,450,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',20073,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6302726,7.00,7.00,1.00,6.00,11.00,10.50,0.00,7.00,6.00,103,NULL,NULL,'SANTA FE','CPO GRANDE','MS',3613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302734,3.00,6.00,3.00,4.00,8.00,8.25,2.00,0.00,4.00,207,NULL,201,'GARCIA','BLUMENAU','SC',10626,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6302742,3.00,3.00,2.00,2.00,4.00,7.13,1.00,1.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302750,5.00,7.00,3.00,5.00,8.00,10.50,2.00,5.00,2.00,101,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',9121,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6302769,2.00,4.00,2.00,2.00,4.00,6.38,2.00,4.00,1.00,501,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6302777,5.00,4.00,2.00,4.00,6.00,8.63,2.00,1.00,4.00,211,NULL,201,'MUNICIPIOS','BAL CAMBORIÚ','SC',12931,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6302785,8.00,5.00,3.00,6.00,8.00,8.63,2.00,7.00,6.00,103,NULL,NULL,'SAO LUIZ','CRICIÚMA','SC',4064,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6302793,7.00,7.00,3.00,7.00,10.00,12.75,2.00,5.00,7.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302807,7.00,7.00,6.00,6.00,9.00,8.63,4.00,8.00,6.00,201,NULL,212,'CAMPINAS','S JOSÉ','SC',2096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302823,8.00,6.00,1.00,6.00,10.00,8.63,1.00,5.00,7.00,103,NULL,NULL,'TAQUARAL','CAMPINAS','SP',3310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6302840,3.00,4.00,1.00,3.00,5.00,8.25,1.00,1.00,1.00,404,NULL,NULL,'CENTRO','MAJ VIEIRA','SC',19256,76,NULL,NULL,NULL,NULL,NULL,4,17),(25,6302858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,208,'NOVA ESPERANÇA','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6302866,4.00,4.00,3.00,3.00,7.00,9.00,2.00,4.00,3.00,211,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',12260,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6302882,6.00,9.00,4.00,7.00,9.00,9.38,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',1831,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6302890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ANDRADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6302904,1.00,3.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6302912,3.00,6.00,2.00,4.00,3.00,5.25,1.00,2.00,3.00,234,NULL,NULL,'JARDIM TV','ARAÇATUBA','SP',18050,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6302920,5.00,5.00,3.00,6.00,8.00,10.50,2.00,3.00,5.00,301,NULL,NULL,'CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC',7611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302939,3.00,5.00,1.00,4.00,4.00,6.75,1.00,2.00,1.00,208,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',19973,528,NULL,NULL,NULL,NULL,NULL,4,1),(25,6302947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6302963,7.00,5.00,5.00,4.00,5.00,9.38,4.00,4.00,6.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',4768,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6302971,2.00,4.00,1.00,4.00,7.00,8.63,2.00,4.00,3.00,451,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6302980,3.00,4.00,1.00,1.00,3.00,8.25,2.00,2.00,1.00,999,NULL,NULL,'CINQUENTENÁRIO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6302998,4.00,5.00,1.00,3.00,6.00,6.75,0.00,3.00,2.00,215,NULL,214,'POMERANOS','TIMBÓ','SC',16287,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6303005,2.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'INTERIOR','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,7),(25,6303013,9.00,6.00,5.00,7.00,10.00,10.13,3.00,7.00,7.00,201,NULL,215,'CARVOEIRA','FLORIANÓPOLIS','SC',1000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6303021,5.00,5.00,5.00,6.00,8.00,10.13,1.00,2.00,4.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',10086,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6303030,4.00,5.00,3.00,4.00,4.00,6.38,2.00,3.00,4.00,201,NULL,212,'PALMAS','GOV CELSO RAMOS','SC',15526,1327,NULL,461,NULL,NULL,NULL,2,1),(25,6303048,4.00,6.00,2.00,4.00,5.00,7.88,2.00,2.00,1.00,425,NULL,NULL,'SÃO FRANCISCO DE A','STO AMARO IMPERATRIZ','SC',18487,74,NULL,NULL,NULL,NULL,NULL,4,1),(25,6303056,4.00,9.00,1.00,7.00,10.00,7.88,1.00,4.00,4.00,999,NULL,NULL,'CENTRO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6303064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'ÁGUAS CLARAS','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6303072,2.00,1.00,3.00,3.00,4.00,NULL,2.00,0.00,1.00,339,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6303099,5.00,4.00,4.00,4.00,4.00,8.25,0.00,2.00,2.00,303,NULL,NULL,'SAGUACU','JOINVILLE','SC',18070,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6303102,4.00,2.00,2.00,7.00,6.00,NULL,0.00,2.00,1.00,303,NULL,NULL,'CENTRO','NONOAI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6303110,1.00,4.00,2.00,4.00,3.00,7.50,3.00,4.00,4.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',19152,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6303129,7.00,7.00,4.00,4.00,7.00,7.88,3.00,5.00,3.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6303153,3.00,6.00,3.00,3.00,7.00,7.88,2.00,4.00,1.00,302,NULL,NULL,'GUAIÚBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6303161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'MENINO DEUS','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6303170,1.00,6.00,0.00,1.00,8.00,6.75,0.00,2.00,2.00,214,NULL,NULL,'CENTRO','AURORA','SC',18993,417,NULL,NULL,NULL,NULL,NULL,4,1),(25,6303188,4.00,4.00,1.00,4.00,9.00,8.25,2.00,2.00,2.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15759,4302,NULL,NULL,NULL,NULL,NULL,2,1),(25,6303196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'RIO DA LUZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6303200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6303226,2.00,3.00,1.00,2.00,4.00,8.25,2.00,2.00,1.00,319,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6303234,6.00,6.00,4.00,4.00,8.00,10.13,2.00,6.00,7.00,201,NULL,NULL,'VL IPIRANGA','LONDRINA','PR',4471,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6303242,2.00,6.00,1.00,4.00,6.00,6.38,2.00,4.00,2.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16770,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6303250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'PARQUE SÃO JORGE','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6303269,2.00,3.00,3.00,3.00,5.00,7.50,0.00,0.00,1.00,214,NULL,213,'INTERIOR','ABDON BATISTA','SC',18878,414,NULL,277,NULL,NULL,NULL,2,7),(25,6303285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6303293,4.00,3.00,2.00,2.00,7.00,6.00,2.00,2.00,6.00,2,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',13160,31,NULL,NULL,NULL,NULL,NULL,2,1),(25,6303307,5.00,4.00,0.00,5.00,8.00,NULL,3.00,5.00,3.00,304,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6303323,2.00,4.00,0.00,3.00,4.00,NULL,1.00,1.00,1.00,999,NULL,NULL,'SANTA HELENA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6303331,1.00,2.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(25,6303340,3.00,3.00,1.00,4.00,3.00,8.25,2.00,0.00,1.00,216,NULL,203,'CORDEIROS','ITAJAÍ','SC',19222,600,NULL,1074,NULL,NULL,NULL,2,6),(25,6303358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA CLEMENTINA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6303366,4.00,5.00,3.00,3.00,4.00,8.25,2.00,2.00,2.00,304,NULL,NULL,'VILA RAU','JARAGUÁ SUL','SC',16634,123,NULL,NULL,NULL,NULL,NULL,2,8),(25,6303374,3.00,5.00,3.00,1.00,5.00,7.13,2.00,6.00,2.00,108,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',15473,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6303382,3.00,4.00,3.00,2.00,5.00,7.50,1.00,2.00,2.00,207,NULL,201,'BAIRRO LUZ','S PAULO','SP',17968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6303390,3.00,7.00,4.00,3.00,7.00,7.88,1.00,6.00,4.00,203,NULL,214,'JOAIA','TIJUCAS','SC',11664,794,NULL,285,NULL,NULL,NULL,2,1),(25,6303404,6.00,5.00,0.00,5.00,8.00,NULL,2.00,5.00,2.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6303412,7.00,7.00,3.00,5.00,7.00,9.75,1.00,3.00,6.00,104,NULL,NULL,'ALTO ALEGRE','CASCAVEL','PR',6887,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6303420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ALTO DA SAUDADE','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6303439,1.00,3.00,0.00,0.00,4.00,NULL,0.00,1.00,1.00,551,NULL,NULL,'INTERIOR','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6303447,5.00,6.00,3.00,4.00,9.00,9.00,2.00,6.00,4.00,103,NULL,NULL,'TURVO BAIXO','TURVO','SC',6815,2910,NULL,NULL,NULL,NULL,NULL,2,15),(25,6303455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6303463,4.00,3.00,1.00,3.00,3.00,8.25,0.00,1.00,2.00,316,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',21254,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6303471,3.00,3.00,3.00,3.00,4.00,6.75,1.00,2.00,3.00,101,NULL,NULL,'CENTRO','CURITIBANOS','SC',17723,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6303480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BENEDITO NOVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6303501,2.00,3.00,2.00,2.00,4.00,4.50,2.00,2.00,2.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',20714,854,NULL,NULL,NULL,NULL,NULL,2,1),(25,6303510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,213,'BUTANTÃ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6303528,5.00,6.00,1.00,5.00,7.00,11.63,2.00,6.00,5.00,420,NULL,NULL,'ELIANE','GUARATUBA','PR',6217,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6303536,2.00,5.00,1.00,3.00,5.00,9.38,2.00,4.00,1.00,317,NULL,NULL,'PONTE DE IMARUIM','PALHOÇA','SC',18420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6303544,1.00,3.00,1.00,4.00,4.00,7.50,1.00,3.00,4.00,502,NULL,NULL,'CENTRO','BOM JD SERRA','SC',18677,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6303560,6.00,5.00,2.00,2.00,6.00,NULL,0.00,4.00,2.00,108,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6303587,7.00,8.00,1.00,3.00,9.00,9.38,2.00,6.00,4.00,203,NULL,214,'JARDIM SATELITE','S JOSÉ CAMPOS','SP',6018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6303595,3.00,4.00,3.00,4.00,7.00,8.25,2.00,2.00,5.00,212,NULL,213,'BARREIROS','S JOSÉ','SC',12273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6303609,4.00,7.00,2.00,5.00,4.00,10.88,3.00,4.00,3.00,336,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',11082,77,NULL,NULL,NULL,NULL,NULL,4,2),(25,6303625,9.00,6.00,5.00,6.00,8.00,10.88,1.00,6.00,8.00,103,NULL,NULL,'VILA IRACEMA','S JOSÉ CAMPOS','SP',1783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6303641,6.00,5.00,2.00,6.00,8.00,9.00,0.00,6.00,4.00,303,NULL,NULL,'ALTO DA LAPA','S PAULO','SP',7335,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6303650,5.00,7.00,2.00,5.00,8.00,10.13,5.00,6.00,6.00,220,NULL,235,'VILA FORMOSA','BLUMENAU','SC',3730,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6303668,4.00,4.00,2.00,5.00,4.00,8.25,2.00,5.00,4.00,601,NULL,201,'CENTRO','NOVA AURORA','PR',14897,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6303676,2.00,4.00,0.00,1.00,6.00,8.25,3.00,5.00,0.00,415,NULL,NULL,'CHÁCARA GALEGA','PINDAMONHANGABA','SP',15742,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6303684,3.00,3.00,2.00,4.00,5.00,8.63,2.00,2.00,1.00,425,NULL,429,'PRAIA COMPRIDA','S JOSÉ','SC',19682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6303692,8.00,7.00,2.00,7.00,10.00,7.50,2.00,8.00,4.00,207,NULL,201,'CENTRO','STA ROSA SUL','SC',4286,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6303714,3.00,3.00,3.00,7.00,7.00,7.13,1.00,3.00,2.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6303722,4.00,3.00,3.00,3.00,4.00,NULL,0.00,3.00,2.00,201,NULL,207,'CENTRO','DIONÍSIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6303730,5.00,4.00,0.00,1.00,7.00,7.50,0.00,0.00,4.00,201,NULL,202,'AMIZADE','JARAGUÁ SUL','SC',19999,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6303757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BREHMER','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6303765,4.00,4.00,2.00,2.00,3.00,6.00,2.00,3.00,0.00,238,NULL,208,'PRADO','BIGUAÇU','SC',20819,509,NULL,569,NULL,NULL,NULL,4,1),(25,6303773,7.00,7.00,3.00,6.00,8.00,10.88,3.00,6.00,8.00,207,NULL,201,'PETRÓPOLIS','PASSO FUNDO','RS',2844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6303781,4.00,1.00,1.00,2.00,6.00,7.50,0.00,3.00,1.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',20926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6303790,4.00,3.00,4.00,7.00,6.00,6.75,1.00,1.00,3.00,655,NULL,202,'NS SENHORA APARECID','PAULÍNIA','SP',12515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6303803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6303811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','S CRISTÓVÃO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6303820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6303838,5.00,5.00,2.00,5.00,8.00,10.13,2.00,5.00,6.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',7454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6303846,5.00,4.00,6.00,7.00,7.00,12.38,3.00,4.00,5.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4816,2362,NULL,NULL,NULL,NULL,NULL,4,1),(25,6303862,2.00,3.00,1.00,3.00,4.00,9.00,2.00,1.00,1.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',19757,316,NULL,NULL,NULL,NULL,NULL,2,1),(25,6303870,4.00,3.00,3.00,2.00,4.00,6.38,2.00,1.00,1.00,501,NULL,NULL,'INTERIOR','S MIGUEL B VISTA','SC',19663,106,NULL,NULL,NULL,NULL,NULL,2,4),(25,6303889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHACARA FLORA','LINS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6303897,4.00,8.00,3.00,5.00,9.00,9.38,0.00,4.00,3.00,202,NULL,235,'CENTRO','JOAÇABA','SC',6915,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6303900,0.00,2.00,0.00,0.00,0.00,NULL,0.00,3.00,5.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6303919,5.00,6.00,4.00,2.00,7.00,6.75,1.00,4.00,4.00,103,NULL,NULL,'JARDIM GAPORE','MARINGÁ','PR',10452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6303927,2.00,3.00,3.00,2.00,5.00,7.13,2.00,1.00,0.00,308,NULL,NULL,'CENTRO','ROSÁRIO SUL','RS',20090,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6303935,3.00,3.00,0.00,1.00,6.00,NULL,2.00,3.00,2.00,320,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6303943,5.00,4.00,1.00,4.00,3.00,7.50,1.00,6.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',16632,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6303951,4.00,2.00,0.00,1.00,4.00,NULL,4.00,0.00,0.00,501,NULL,NULL,'RURAL','IRACEMA OESTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6303960,3.00,2.00,1.00,3.00,6.00,8.25,2.00,3.00,1.00,102,NULL,NULL,'AREIAS','S JOSÉ','SC',20517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6303978,4.00,6.00,2.00,2.00,3.00,8.63,2.00,5.00,2.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',14498,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6303986,4.00,6.00,4.00,4.00,6.00,8.25,3.00,7.00,6.00,203,NULL,235,'NOVA SUÍÇA','GOIÂNIA','GO',5947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6303994,5.00,4.00,5.00,4.00,8.00,10.88,2.00,4.00,7.00,201,NULL,213,'CENTRO','CHAPECÓ','SC',5290,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6304001,3.00,4.00,0.00,3.00,4.00,8.63,2.00,1.00,0.00,101,NULL,NULL,'NOSSA SENHORA AP','CURITIBANOS','SC',18767,132,NULL,NULL,NULL,NULL,NULL,2,16),(25,6304010,3.00,4.00,3.00,2.00,4.00,6.75,2.00,1.00,1.00,203,NULL,NULL,'CENTRO','CURITIBA','PR',18624,1054,NULL,NULL,NULL,NULL,NULL,4,8),(25,6304028,1.00,4.00,1.00,4.00,6.00,11.25,1.00,0.00,0.00,102,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6304036,4.00,6.00,4.00,7.00,7.00,9.38,2.00,4.00,2.00,415,NULL,NULL,'SERRA','BELO HORIZONTE','MG',6805,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6304044,4.00,2.00,3.00,2.00,5.00,9.75,1.00,1.00,1.00,303,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6304052,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6304060,5.00,6.00,3.00,7.00,9.00,9.00,1.00,3.00,5.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',7296,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6304087,5.00,3.00,3.00,3.00,4.00,7.50,0.00,3.00,2.00,420,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',20219,190,NULL,NULL,NULL,NULL,NULL,2,1),(25,6304095,2.00,6.00,2.00,0.00,5.00,NULL,1.00,2.00,1.00,319,NULL,NULL,'CHICO DE PAULA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6304109,4.00,4.00,0.00,3.00,2.00,NULL,1.00,2.00,0.00,340,NULL,NULL,'BAIRRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6304117,6.00,5.00,6.00,5.00,6.00,6.00,1.00,6.00,4.00,103,NULL,NULL,'STEFFEN','BRUSQUE','SC',7111,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6304125,2.00,5.00,1.00,6.00,5.00,NULL,2.00,0.00,1.00,207,NULL,203,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6304133,6.00,5.00,3.00,2.00,5.00,8.25,1.00,5.00,0.00,5,NULL,NULL,'JARDIM MONTE CARLOS','MARINGÁ','PR',14387,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6304150,4.00,6.00,4.00,6.00,9.00,12.75,2.00,6.00,6.00,653,NULL,233,'SANTO ANTÔNIO','HERVAL D OESTE','SC',3472,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6304206,3.00,6.00,0.00,6.00,6.00,NULL,2.00,6.00,3.00,103,NULL,NULL,'RIO FARIAS','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6304222,9.00,6.00,3.00,4.00,9.00,8.63,2.00,7.00,4.00,103,NULL,NULL,'SANTA CATARINA','CAXIAS SUL','RS',4095,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6304230,4.00,4.00,1.00,2.00,4.00,9.75,1.00,1.00,4.00,452,NULL,NULL,'CENTRO','AMPÉRE','PR',19914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6304249,3.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(25,6304265,0.00,4.00,0.00,0.00,0.00,NULL,2.00,2.00,2.00,999,NULL,NULL,'IPEROBA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6304273,2.00,1.00,2.00,2.00,5.00,4.88,3.00,3.00,2.00,208,NULL,202,'CONTINENTAL','GUARARAPES','SP',21530,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6304281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6304290,3.00,4.00,1.00,6.00,8.00,7.13,2.00,1.00,1.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6304303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6304311,8.00,8.00,2.00,6.00,8.00,7.88,2.00,7.00,9.00,103,NULL,NULL,'PIO X','CAXIAS SUL','RS',3011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6304320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6304338,4.00,5.00,2.00,5.00,8.00,10.50,4.00,6.00,3.00,103,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',8211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6304346,4.00,3.00,0.00,2.00,4.00,6.75,2.00,3.00,6.00,220,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',18936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6304354,3.00,5.00,3.00,1.00,8.00,7.50,3.00,5.00,4.00,428,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',15315,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6304362,2.00,1.00,1.00,3.00,5.00,10.88,3.00,2.00,1.00,601,NULL,211,'CENTRO','ÁGUA DOCE','SC',16647,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6304370,4.00,0.00,5.00,6.00,7.00,NULL,0.00,0.00,0.00,235,NULL,233,'VILA OPERÁRIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(25,6304389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'SANTA LUZIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6304397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'INTERIOR','CEL MARTINS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6304400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'JARDIM PARATI','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6304419,5.00,3.00,2.00,0.00,5.00,7.88,1.00,1.00,4.00,211,NULL,207,'CENTRO','SOMBRIO','SC',20283,533,NULL,1102,NULL,NULL,NULL,4,15),(25,6304427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6304435,4.00,5.00,2.00,5.00,7.00,10.88,1.00,2.00,2.00,415,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',13731,198,NULL,NULL,NULL,NULL,NULL,2,1),(25,6304443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'LA SALLE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6304451,1.00,2.00,2.00,2.00,4.00,9.75,1.00,5.00,3.00,5,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',19815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6304460,2.00,4.00,3.00,4.00,3.00,6.75,1.00,4.00,3.00,202,NULL,235,'BOA VISTA','JOAÇABA','SC',16365,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6304478,8.00,7.00,3.00,1.00,8.00,7.50,2.00,6.00,6.00,104,NULL,NULL,'GLÓRIA','JOINVILLE','SC',6371,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6304486,5.00,4.00,4.00,2.00,4.00,11.63,1.00,3.00,3.00,103,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',15391,4265,NULL,NULL,NULL,NULL,NULL,4,7),(25,6304494,3.00,4.00,2.00,6.00,6.00,7.88,1.00,3.00,3.00,5,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',15558,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6304508,2.00,1.00,2.00,2.00,2.00,NULL,1.00,0.00,0.00,999,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6304516,4.00,5.00,2.00,5.00,5.00,0.00,2.00,6.00,3.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6304524,2.00,5.00,2.00,4.00,4.00,8.25,1.00,4.00,1.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19139,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6304532,3.00,3.00,3.00,4.00,10.00,5.63,1.00,6.00,2.00,308,NULL,NULL,'CENTRO','ITAJAÍ','SC',13108,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6304540,5.00,5.00,3.00,3.00,3.00,7.88,0.00,2.00,2.00,214,NULL,201,'INTERIOR','ABDON BATISTA','SC',14895,352,NULL,1265,NULL,NULL,NULL,4,7),(25,6304559,4.00,7.00,3.00,3.00,5.00,5.63,2.00,5.00,3.00,451,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',16226,23,NULL,NULL,NULL,NULL,NULL,2,1),(25,6304567,3.00,4.00,0.00,0.00,3.00,NULL,3.00,4.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6304575,5.00,4.00,0.00,2.00,6.00,8.25,2.00,4.00,4.00,203,NULL,214,'COHAB','OURINHOS','SP',12911,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6304583,4.00,5.00,4.00,2.00,3.00,8.25,4.00,1.00,1.00,421,NULL,424,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6304591,5.00,3.00,2.00,5.00,8.00,5.63,2.00,2.00,0.00,335,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',18846,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6304605,8.00,4.00,5.00,6.00,7.00,8.25,1.00,1.00,6.00,203,NULL,202,'VILA NOVA','BLUMENAU','SC',6366,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6304613,6.00,7.00,4.00,7.00,9.00,11.25,2.00,5.00,3.00,428,NULL,426,'COQUEIROS','FLORIANÓPOLIS','SC',4158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6304621,3.00,0.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'PASSA VITNE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6304630,1.00,5.00,1.00,2.00,4.00,8.25,1.00,2.00,1.00,451,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',18980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6304648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6304656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6304664,8.00,6.00,6.00,7.00,10.00,10.88,3.00,9.00,7.00,203,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',835,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6304672,5.00,5.00,1.00,1.00,9.00,6.75,1.00,6.00,3.00,103,NULL,NULL,'SAO SEBASTIÃO','PALHOÇA','SC',12536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6304680,1.00,4.00,1.00,3.00,6.00,8.25,2.00,5.00,2.00,340,NULL,NULL,'CENTRO','BARRA VELHA','SC',16901,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6304699,3.00,7.00,4.00,7.00,8.00,10.50,2.00,3.00,4.00,421,NULL,423,'CENTRO','SCHROEDER','SC',5446,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6304702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','IOMERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6304737,5.00,6.00,2.00,3.00,8.00,9.00,0.00,4.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6304745,8.00,8.00,4.00,5.00,6.00,10.88,1.00,7.00,6.00,103,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',3623,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6304753,3.00,3.00,1.00,4.00,6.00,6.75,2.00,1.00,1.00,103,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',19019,4589,NULL,NULL,NULL,NULL,NULL,2,3),(25,6304788,5.00,5.00,1.00,3.00,4.00,6.00,1.00,3.00,4.00,601,NULL,235,'CENTRO','STA CECÍLIA','SC',15767,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6304796,4.00,6.00,1.00,1.00,5.00,9.38,1.00,3.00,1.00,101,NULL,NULL,'JOSÉ BONIFÁCIO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6304800,8.00,5.00,5.00,6.00,7.00,10.13,3.00,8.00,5.00,203,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',2676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6304818,2.00,6.00,2.00,3.00,8.00,8.25,1.00,2.00,3.00,207,NULL,601,'ÁGUA BRANCA','S FRANCISCO SUL','SC',14406,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6304826,4.00,3.00,2.00,4.00,6.00,7.88,3.00,1.00,3.00,999,NULL,NULL,'EUGÊNIO SCHNEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6304834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6304869,4.00,4.00,0.00,2.00,4.00,6.00,1.00,1.00,3.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',20319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6304877,4.00,6.00,3.00,7.00,6.00,5.63,0.00,7.00,6.00,336,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',10141,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6304885,6.00,2.00,1.00,4.00,7.00,7.88,3.00,6.00,2.00,332,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',15536,33,NULL,NULL,NULL,NULL,NULL,2,1),(25,6304893,1.00,6.00,3.00,4.00,6.00,9.00,4.00,3.00,4.00,332,NULL,NULL,'BELA VISTA','S JOSÉ','SC',12046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6304907,1.00,6.00,0.00,2.00,6.00,7.50,2.00,1.00,1.00,235,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6304915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6304923,4.00,4.00,4.00,3.00,3.00,6.00,1.00,4.00,3.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19062,116,NULL,NULL,NULL,NULL,NULL,2,1),(25,6304931,6.00,7.00,5.00,6.00,6.00,12.38,3.00,2.00,6.00,3,NULL,NULL,'RESBARÃODOCAFÉ','CAMPINAS','SP',4071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6304940,3.00,5.00,3.00,2.00,7.00,6.38,2.00,3.00,5.00,5,NULL,NULL,'MATO QUEIMADO','NOVA TRENTO','SC',13209,458,NULL,NULL,NULL,NULL,NULL,2,1),(25,6304958,2.00,2.00,2.00,4.00,4.00,7.88,2.00,0.00,1.00,601,NULL,207,'CENTRO','BAL CAMBORIÚ','SC',21303,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6304966,3.00,3.00,1.00,3.00,5.00,8.25,2.00,4.00,0.00,415,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6304974,7.00,6.00,2.00,7.00,10.00,10.13,2.00,4.00,7.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',2196,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6304990,7.00,6.00,6.00,6.00,9.00,9.75,6.00,6.00,9.00,103,NULL,NULL,'RONDINHA','CPO LARGO','PR',886,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6305008,4.00,2.00,3.00,1.00,7.00,5.25,2.00,1.00,2.00,201,NULL,213,'ARIRIÚ','PALHOÇA','SC',21078,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6305016,2.00,4.00,1.00,3.00,3.00,7.50,1.00,2.00,1.00,503,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6305024,3.00,7.00,3.00,7.00,6.00,6.38,2.00,4.00,4.00,235,NULL,201,'CACHOEIRA','FLORIANÓPOLIS','SC',12240,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6305032,4.00,6.00,1.00,5.00,4.00,9.38,3.00,2.00,5.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305040,5.00,4.00,3.00,4.00,6.00,6.75,3.00,4.00,5.00,216,NULL,214,'CAMPECHE','FLORIANÓPOLIS','SC',10553,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6305059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6305067,3.00,7.00,0.00,1.00,6.00,7.13,1.00,1.00,1.00,331,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',18458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305083,0.00,5.00,0.00,0.00,0.00,NULL,1.00,1.00,3.00,340,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(25,6305091,2.00,4.00,0.00,3.00,5.00,NULL,1.00,0.00,0.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6305105,2.00,3.00,2.00,3.00,5.00,7.50,2.00,1.00,1.00,233,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',18580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305113,4.00,5.00,1.00,5.00,8.00,7.50,1.00,6.00,4.00,207,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',13156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305148,5.00,4.00,5.00,5.00,6.00,10.13,3.00,3.00,2.00,420,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11370,90,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305156,8.00,7.00,6.00,6.00,9.00,8.25,4.00,8.00,8.00,203,NULL,220,'BOM RETIRO','JOINVILLE','SC',800,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6305164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'JARDIM GISELA','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6305180,0.00,2.00,3.00,3.00,6.00,NULL,2.00,0.00,0.00,103,NULL,NULL,'CAMPO D UNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6305199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'COOPERCAMPOS','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6305202,4.00,6.00,1.00,5.00,6.00,9.75,2.00,2.00,5.00,216,NULL,NULL,'CENTRO','MTE CARLO','SC',13415,470,NULL,NULL,NULL,NULL,NULL,2,16),(25,6305210,2.00,1.00,0.00,1.00,4.00,3.38,1.00,0.00,0.00,335,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6305229,2.00,5.00,0.00,4.00,5.00,8.63,1.00,1.00,0.00,319,NULL,NULL,'JD IMPERIAL','SINOP','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6305237,5.00,5.00,1.00,6.00,8.00,8.25,3.00,4.00,7.00,999,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6305253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6305261,4.00,6.00,4.00,7.00,8.00,8.25,3.00,7.00,2.00,653,NULL,652,'PINHEIRINHO','CRICIÚMA','SC',7250,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6305288,5.00,5.00,3.00,6.00,6.00,8.25,2.00,1.00,3.00,452,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',13700,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6305300,3.00,3.00,1.00,1.00,4.00,7.50,1.00,3.00,0.00,235,NULL,202,'CENTRO','IMARUÍ','SC',19463,462,NULL,611,NULL,NULL,NULL,4,1),(25,6305318,3.00,4.00,4.00,5.00,4.00,9.00,3.00,7.00,7.00,203,NULL,202,'BELA VISTA','GOIÂNIA','GO',5667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305342,5.00,5.00,7.00,6.00,8.00,10.13,3.00,5.00,7.00,213,NULL,208,'LIBERDADE','S PAULO','SP',1858,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6305350,0.00,5.00,1.00,3.00,6.00,8.63,1.00,2.00,0.00,653,NULL,211,'CINQUENTENÁRIO','CONCÓRDIA','SC',18772,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6305377,3.00,4.00,3.00,5.00,5.00,6.75,3.00,3.00,2.00,224,NULL,NULL,'SÃO RAFAEL','RIO NEGRINHO','SC',15219,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6305385,3.00,3.00,0.00,3.00,4.00,NULL,3.00,0.00,1.00,415,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6305393,2.00,4.00,1.00,2.00,6.00,NULL,0.00,1.00,3.00,424,NULL,425,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6305407,1.00,4.00,1.00,1.00,5.00,7.13,0.00,4.00,0.00,208,NULL,201,'JD CIDADE FPOLIS','S JOSÉ','SC',19561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305415,5.00,4.00,1.00,2.00,8.00,8.25,2.00,5.00,3.00,5,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',15267,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6305423,3.00,5.00,3.00,4.00,4.00,9.75,3.00,2.00,3.00,424,NULL,427,'CARIANOS','FLORIANÓPOLIS','SC',15855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6305431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',1,4),(25,6305440,2.00,2.00,2.00,5.00,9.00,9.00,3.00,2.00,3.00,303,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6305466,4.00,2.00,2.00,6.00,6.00,9.38,2.00,1.00,2.00,301,NULL,NULL,'CENTRO','S ROQUE','SP',15299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6305490,4.00,5.00,1.00,1.00,3.00,6.00,0.00,2.00,0.00,303,NULL,NULL,'CENTRO','PALHOÇA','SC',21529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DOM PEDRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6305520,8.00,5.00,7.00,6.00,9.00,10.50,0.00,7.00,6.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',1889,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6305539,5.00,7.00,0.00,6.00,7.00,7.88,1.00,4.00,4.00,211,NULL,653,'CENTRO','FLORIANÓPOLIS','SC',9926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305547,6.00,8.00,2.00,4.00,10.00,8.25,1.00,3.00,5.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8992,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6305555,3.00,6.00,4.00,5.00,4.00,NULL,0.00,6.00,3.00,220,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305580,3.00,5.00,2.00,6.00,7.00,9.38,1.00,2.00,1.00,101,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14958,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6305598,7.00,4.00,3.00,7.00,4.00,7.50,1.00,5.00,4.00,103,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',11918,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6305601,5.00,7.00,1.00,4.00,6.00,9.75,1.00,3.00,1.00,421,NULL,425,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',15396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305610,4.00,5.00,3.00,2.00,5.00,4.88,1.00,1.00,3.00,201,NULL,202,'MONTE VERDE','FLORIANÓPOLIS','SC',20072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'MARISCAL','BOMBINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6305660,2.00,1.00,4.00,4.00,6.00,7.13,2.00,2.00,2.00,202,NULL,203,'BARREIROS','S JOSÉ','SC',19605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305679,2.00,4.00,2.00,2.00,6.00,6.75,2.00,3.00,4.00,421,NULL,427,'TAPERA','FLORIANÓPOLIS','SC',16100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305687,2.00,2.00,0.00,2.00,3.00,NULL,1.00,2.00,3.00,654,NULL,NULL,'CENTRO','CEL MARTINS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6305695,3.00,5.00,3.00,5.00,5.00,10.13,1.00,3.00,4.00,207,NULL,201,'CENTRO','CURITIBANOS','SC',13740,742,NULL,1166,NULL,NULL,NULL,4,16),(25,6305717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','MIRIM DOCE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6305725,2.00,1.00,3.00,2.00,4.00,NULL,2.00,3.00,0.00,211,NULL,201,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305733,3.00,2.00,0.00,5.00,7.00,8.63,1.00,3.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305750,3.00,6.00,2.00,3.00,7.00,10.50,0.00,5.00,0.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12981,449,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'ALTO SUMIDOR','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,'S','S','S',3,9),(25,6305784,3.00,4.00,3.00,3.00,6.00,3.75,1.00,0.00,2.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6305792,4.00,5.00,3.00,4.00,5.00,7.88,2.00,3.00,5.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',11492,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6305806,3.00,8.00,2.00,3.00,8.00,8.25,3.00,7.00,2.00,327,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',10737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'VILA MARIANA','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6305830,5.00,4.00,3.00,4.00,6.00,9.00,2.00,2.00,5.00,415,NULL,NULL,'TESTO SALTO','BLUMENAU','SC',9044,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6305849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6305857,3.00,5.00,3.00,4.00,7.00,7.88,3.00,5.00,3.00,104,NULL,NULL,'BELA VISTA L','S JOSÉ','SC',13354,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6305865,3.00,5.00,3.00,5.00,6.00,8.25,3.00,6.00,4.00,214,NULL,212,'CENTRO','NOVA ANDRADINA','MS',8596,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6305873,7.00,4.00,4.00,2.00,6.00,7.50,2.00,5.00,4.00,207,NULL,233,'JARDIM CANADÁ','VIDEIRA','SC',10734,544,NULL,293,NULL,NULL,NULL,4,16),(25,6305881,3.00,5.00,2.00,1.00,7.00,8.63,1.00,4.00,1.00,102,NULL,NULL,'ITOPAVA SECA','BLUMENAU','SC',18638,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6305890,4.00,6.00,4.00,7.00,8.00,8.25,4.00,5.00,6.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',5999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305903,7.00,5.00,3.00,4.00,8.00,8.63,3.00,5.00,7.00,103,NULL,NULL,'AAHÚ','CURITIBA','PR',6393,2799,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305920,7.00,7.00,4.00,5.00,8.00,9.00,3.00,6.00,3.00,211,NULL,601,'SERRARIA','S JOSÉ','SC',5438,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6305938,1.00,5.00,0.00,3.00,7.00,NULL,0.00,1.00,1.00,999,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6305946,8.00,5.00,6.00,3.00,7.00,8.25,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',3606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6305970,8.00,5.00,4.00,5.00,7.00,9.75,0.00,2.00,5.00,103,NULL,NULL,'CENTRO','PORTÃO','RS',6995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6305997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'JARDIM PORTAL DO SOL','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6306004,5.00,3.00,0.00,6.00,6.00,7.88,2.00,3.00,1.00,999,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6306012,4.00,4.00,2.00,2.00,3.00,10.50,1.00,4.00,2.00,327,NULL,NULL,'CENTRO','ARARANGUÁ','SC',18770,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6306020,5.00,5.00,1.00,3.00,6.00,8.63,1.00,7.00,6.00,103,NULL,NULL,'CENTRO','DIAMANTE D OESTE','PR',8889,3364,NULL,NULL,NULL,NULL,NULL,2,4),(25,6306039,4.00,6.00,0.00,3.00,6.00,7.50,0.00,5.00,1.00,427,NULL,421,'COQUEIROS','FLORIANÓPOLIS','SC',18830,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6306047,3.00,2.00,2.00,2.00,3.00,6.38,0.00,0.00,2.00,101,NULL,NULL,'COSTA DA LAGOA','FLORIANÓPOLIS','SC',21037,171,NULL,NULL,NULL,NULL,NULL,2,1),(25,6306055,4.00,2.00,1.00,2.00,6.00,7.88,1.00,5.00,4.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6306063,4.00,2.00,3.00,4.00,5.00,NULL,1.00,0.00,1.00,427,NULL,421,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306071,5.00,5.00,1.00,5.00,9.00,8.25,2.00,7.00,2.00,601,NULL,207,'MEIA PRAIA','ITAPEMA','SC',10620,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6306080,2.00,6.00,3.00,3.00,4.00,6.75,2.00,2.00,1.00,214,NULL,203,'SANTA TEREZA','JOAÇABA','SC',17468,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6306098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6306110,3.00,0.00,2.00,7.00,7.00,NULL,0.00,0.00,0.00,238,NULL,208,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6306128,5.00,4.00,5.00,5.00,8.00,10.13,0.00,3.00,3.00,302,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',8482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6306136,1.00,4.00,3.00,3.00,3.00,8.25,2.00,1.00,0.00,601,NULL,201,'CENTRO','S FRANCISCO SUL','SC',21312,617,NULL,1711,NULL,NULL,NULL,4,8),(25,6306152,3.00,5.00,3.00,2.00,4.00,NULL,0.00,4.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6306160,2.00,4.00,0.00,3.00,6.00,NULL,0.00,1.00,0.00,109,NULL,NULL,'COSTA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6306187,4.00,6.00,2.00,5.00,6.00,12.38,2.00,5.00,3.00,999,NULL,NULL,'CENTRO','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6306209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE NOVA','RIO GRANDE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6306217,5.00,7.00,3.00,6.00,9.00,9.00,3.00,4.00,4.00,999,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6306225,2.00,2.00,2.00,0.00,2.00,NULL,0.00,4.00,2.00,203,NULL,202,'TIMBOPEBA','S JOÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6306250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6306268,3.00,4.00,1.00,7.00,6.00,4.50,1.00,6.00,3.00,303,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',12596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306276,8.00,6.00,2.00,5.00,9.00,9.75,2.00,3.00,3.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',4351,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6306284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JD TEXTIL','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6306292,3.00,3.00,4.00,0.00,5.00,7.88,1.00,2.00,4.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20291,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6306322,3.00,4.00,0.00,2.00,4.00,NULL,2.00,1.00,2.00,207,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'JUVEVÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6306349,0.00,3.00,2.00,3.00,5.00,9.75,1.00,1.00,0.00,303,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',21096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306357,3.00,3.00,2.00,4.00,5.00,5.63,2.00,1.00,1.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6306365,5.00,5.00,3.00,5.00,7.00,8.25,2.00,4.00,7.00,103,NULL,NULL,'JD NOVO HORIZONTE','MARINGÁ','PR',8597,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6306373,5.00,6.00,1.00,7.00,7.00,7.13,1.00,7.00,4.00,201,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',8071,612,NULL,219,NULL,NULL,NULL,2,1),(25,6306390,2.00,3.00,1.00,3.00,4.00,8.25,3.00,0.00,1.00,601,NULL,207,'ROCIO PEQUENO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6306403,2.00,3.00,0.00,2.00,5.00,NULL,2.00,3.00,1.00,999,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306411,9.00,7.00,7.00,7.00,9.00,6.38,4.00,7.00,9.00,103,NULL,NULL,'SÃO BRAZ','UNIÃO VITÓRIA','PR',1132,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6306420,8.00,7.00,4.00,7.00,6.00,12.75,4.00,7.00,7.00,103,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',1329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306438,3.00,8.00,1.00,5.00,8.00,7.88,1.00,5.00,1.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306454,5.00,3.00,2.00,5.00,8.00,8.25,2.00,1.00,2.00,103,NULL,NULL,'BELA VISTA','FRAIBURGO','SC',13610,4080,NULL,NULL,NULL,NULL,NULL,4,16),(25,6306462,5.00,4.00,2.00,3.00,5.00,9.00,4.00,2.00,0.00,309,NULL,NULL,'KOBRASOL','S JOSÉ','SC',17235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6306470,0.00,0.00,0.00,1.00,0.00,NULL,0.00,0.00,1.00,324,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6306497,2.00,3.00,1.00,3.00,5.00,8.63,1.00,0.00,4.00,551,NULL,NULL,'SÃO LOURENÇO','IPORÃ OESTE','SC',20879,65,NULL,NULL,NULL,NULL,NULL,2,4),(25,6306500,2.00,5.00,1.00,3.00,7.00,8.25,1.00,1.00,3.00,207,NULL,235,'CENTRO','TURVO','SC',18804,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6306519,5.00,6.00,3.00,7.00,8.00,7.88,1.00,4.00,4.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',10812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306527,2.00,4.00,3.00,4.00,4.00,6.38,2.00,2.00,2.00,317,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6306535,4.00,5.00,2.00,3.00,8.00,8.25,2.00,4.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11282,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6306543,3.00,2.00,0.00,1.00,2.00,NULL,3.00,0.00,1.00,551,NULL,NULL,'INTERIOR','PTE ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6306551,5.00,6.00,2.00,5.00,9.00,7.13,0.00,2.00,2.00,304,NULL,NULL,'CENTRO','IMBITUBA','SC',11713,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6306560,5.00,4.00,0.00,5.00,8.00,7.13,2.00,1.00,1.00,207,NULL,201,'ROÇADO','S JOSÉ','SC',15244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306578,6.00,5.00,1.00,5.00,9.00,7.88,0.00,4.00,3.00,207,NULL,201,'MOEMA','S PAULO','SP',12431,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6306586,3.00,4.00,1.00,2.00,6.00,8.63,0.00,3.00,1.00,109,NULL,NULL,'CORAL','LAGES','SC',18704,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6306594,3.00,4.00,0.00,5.00,7.00,NULL,1.00,2.00,0.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6306608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',3,8),(25,6306616,1.00,0.00,0.00,2.00,5.00,NULL,2.00,2.00,0.00,999,NULL,NULL,'BRAÇO DO NORTE','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6306624,3.00,2.00,1.00,4.00,5.00,8.25,1.00,0.00,0.00,9,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6306632,3.00,3.00,0.00,0.00,1.00,NULL,2.00,1.00,3.00,404,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306667,3.00,7.00,4.00,5.00,6.00,8.63,3.00,4.00,1.00,999,NULL,NULL,'BUTANTÃ','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306675,3.00,3.00,1.00,3.00,2.00,NULL,1.00,1.00,0.00,999,NULL,NULL,'CENTRO','VARGEÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6306683,2.00,5.00,4.00,7.00,6.00,NULL,0.00,1.00,1.00,222,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306691,8.00,7.00,3.00,7.00,9.00,7.88,0.00,5.00,7.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',3396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306705,2.00,3.00,1.00,0.00,4.00,NULL,1.00,5.00,1.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306713,2.00,7.00,2.00,1.00,7.00,7.50,1.00,1.00,1.00,216,NULL,215,'SÃO CRISTÓVÃO','CHAPECÓ','SC',18287,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6306721,6.00,2.00,2.00,5.00,7.00,5.25,3.00,4.00,5.00,999,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306730,2.00,1.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306748,6.00,6.00,2.00,5.00,7.00,8.25,3.00,4.00,6.00,999,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306756,4.00,5.00,3.00,6.00,6.00,7.50,2.00,6.00,4.00,425,NULL,429,'CENTRO','FLORIANÓPOLIS','SC',8487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306764,3.00,5.00,2.00,3.00,7.00,9.38,1.00,1.00,2.00,601,NULL,207,'ESPRAIADO','NOVA TRENTO','SC',17615,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(25,6306772,7.00,3.00,2.00,3.00,7.00,8.25,3.00,1.00,4.00,108,NULL,NULL,'MARAMBAIA','VINHEDO','SP',11566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CAPITAIS','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6306802,6.00,6.00,6.00,5.00,8.00,8.63,4.00,5.00,7.00,203,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',3005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306810,6.00,5.00,2.00,6.00,7.00,7.50,2.00,3.00,2.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11223,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6306829,3.00,5.00,3.00,6.00,6.00,8.25,2.00,5.00,2.00,102,NULL,NULL,'CENTRO','TURVO','SC',11446,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6306837,4.00,3.00,2.00,2.00,3.00,6.75,0.00,2.00,1.00,654,NULL,NULL,'POÇO DA LONTRA','TURVO','SC',21463,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6306845,5.00,0.00,1.00,6.00,7.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'BELA VISTA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(25,6306853,2.00,4.00,0.00,3.00,6.00,NULL,1.00,4.00,2.00,655,NULL,652,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6306861,4.00,5.00,2.00,4.00,8.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6306870,3.00,2.00,3.00,5.00,9.00,7.13,0.00,3.00,4.00,101,NULL,NULL,'BAIRRO IPIRANGA','S JOSÉ','SC',16567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306888,5.00,5.00,2.00,4.00,8.00,10.88,2.00,3.00,4.00,104,NULL,NULL,'FERNANDES','S JOÃO BATISTA','SC',9407,192,NULL,NULL,NULL,NULL,NULL,2,2),(25,6306896,5.00,5.00,4.00,6.00,5.00,9.00,2.00,6.00,5.00,653,NULL,655,'CENTRO','TUBARÃO','SC',6388,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6306900,4.00,5.00,3.00,2.00,3.00,7.13,0.00,0.00,2.00,309,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',21161,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6306926,3.00,3.00,1.00,3.00,5.00,NULL,1.00,2.00,0.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6306942,1.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'JARDIM ESPLANADA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(25,6306950,3.00,3.00,2.00,4.00,5.00,5.63,1.00,3.00,4.00,207,NULL,212,'STELLA MARIS','PERUÍBE','SP',19874,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6306969,5.00,5.00,6.00,5.00,8.00,10.50,2.00,5.00,4.00,207,NULL,201,'ZONA CINCO','MARINGÁ','PR',6319,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6306977,4.00,6.00,3.00,4.00,6.00,5.63,3.00,5.00,4.00,319,NULL,NULL,'CENTRO','PTO BELO','SC',10272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6306993,5.00,6.00,2.00,6.00,8.00,7.13,3.00,7.00,0.00,999,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307000,2.00,2.00,1.00,4.00,7.00,9.75,2.00,0.00,1.00,452,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'HUGO LANGE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6307027,8.00,6.00,6.00,7.00,10.00,11.25,4.00,9.00,7.00,103,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',693,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6307035,3.00,7.00,3.00,5.00,8.00,9.00,1.00,2.00,4.00,9,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',9253,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6307043,3.00,2.00,2.00,1.00,5.00,6.75,1.00,0.00,1.00,9,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',21656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307078,2.00,4.00,0.00,2.00,6.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'JARDIM ESPERANÇA','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6307094,3.00,4.00,2.00,4.00,6.00,8.25,2.00,0.00,2.00,317,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',17201,116,NULL,NULL,NULL,NULL,NULL,2,1),(25,6307116,1.00,5.00,2.00,2.00,3.00,8.25,2.00,3.00,2.00,332,NULL,NULL,'SÃO JOÃO DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6307124,7.00,6.00,3.00,6.00,8.00,8.63,1.00,5.00,6.00,999,NULL,NULL,'VILLAGE','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307132,3.00,5.00,0.00,5.00,6.00,5.25,1.00,4.00,2.00,3,NULL,NULL,'JARDIM APOLO','S JOSÉ CAMPOS','SP',13900,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307159,3.00,5.00,2.00,3.00,4.00,8.63,1.00,3.00,3.00,317,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6307175,6.00,6.00,3.00,4.00,7.00,9.75,5.00,4.00,6.00,201,NULL,212,'CENTRO','MAFRA','SC',7025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307183,3.00,4.00,0.00,4.00,5.00,7.13,2.00,2.00,2.00,453,NULL,NULL,'SAGRADO CORAÇÃO DE J','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6307191,2.00,2.00,5.00,2.00,4.00,6.00,2.00,3.00,3.00,202,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',18490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307205,8.00,5.00,6.00,6.00,10.00,10.88,4.00,9.00,9.00,103,NULL,NULL,'DOIS LAPACHOS','STA TEREZINHA ITAIPU','PR',776,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6307213,4.00,4.00,1.00,5.00,5.00,8.63,0.00,1.00,1.00,108,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6307221,4.00,8.00,1.00,6.00,8.00,10.13,1.00,3.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6307256,5.00,4.00,3.00,3.00,7.00,8.63,3.00,4.00,5.00,214,NULL,213,'EMBARÉ','SANTOS','SP',7758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307264,3.00,5.00,3.00,2.00,4.00,6.75,1.00,2.00,5.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',18472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307272,4.00,4.00,1.00,4.00,7.00,7.13,1.00,3.00,2.00,220,NULL,235,'ATIRADORES','JOINVILLE','SC',13875,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6307299,5.00,6.00,3.00,5.00,6.00,6.75,1.00,3.00,3.00,301,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',16424,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6307310,2.00,2.00,1.00,2.00,7.00,7.50,1.00,4.00,2.00,452,NULL,NULL,'ARMAÇÃO PTO SUL','FLORIANÓPOLIS','SC',17637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307329,6.00,6.00,1.00,3.00,6.00,8.63,2.00,5.00,1.00,653,NULL,655,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',10872,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6307337,3.00,2.00,1.00,0.00,2.00,NULL,0.00,1.00,3.00,653,NULL,655,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6307353,6.00,8.00,3.00,5.00,6.00,7.50,2.00,5.00,1.00,211,NULL,653,'CAMPINAS','S JOSÉ','SC',10003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6307361,1.00,3.00,0.00,5.00,6.00,NULL,3.00,0.00,0.00,420,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307370,4.00,0.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'JARDIM AMERICA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6307388,7.00,6.00,5.00,7.00,8.00,10.88,2.00,5.00,7.00,233,NULL,203,'MICHEL','CRICIÚMA','SC',2479,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6307396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'SANTO ANTÔNIO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6307400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6307418,7.00,7.00,7.00,6.00,8.00,9.00,7.00,8.00,9.00,103,NULL,NULL,'CENTRO','NOVA ESPERANÇA','PR',319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307434,3.00,3.00,3.00,5.00,6.00,5.63,2.00,4.00,2.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',14164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307442,2.00,5.00,2.00,5.00,8.00,8.25,2.00,4.00,2.00,415,NULL,NULL,'CENTRO','MTE CARLO','SC',12711,176,NULL,NULL,NULL,NULL,NULL,2,16),(25,6307469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6307477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6307485,1.00,4.00,1.00,2.00,5.00,5.63,2.00,3.00,0.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307493,4.00,5.00,5.00,6.00,9.00,8.25,1.00,2.00,3.00,202,NULL,213,'SANTA ISABEL','TERESINA','PI',11397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307507,8.00,7.00,4.00,5.00,9.00,9.75,3.00,8.00,7.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',1802,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6307515,2.00,2.00,0.00,4.00,4.00,6.00,2.00,2.00,2.00,3,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21114,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6307523,7.00,6.00,4.00,5.00,7.00,5.25,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',5678,2619,NULL,NULL,NULL,NULL,NULL,4,4),(25,6307531,6.00,6.00,3.00,5.00,7.00,8.25,3.00,5.00,5.00,319,NULL,NULL,'POMERANOS','TIMBÓ','SC',6949,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6307540,2.00,7.00,2.00,5.00,7.00,6.75,2.00,4.00,2.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15756,71,NULL,NULL,NULL,NULL,NULL,2,1),(25,6307558,5.00,7.00,6.00,6.00,9.00,6.75,1.00,5.00,8.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307566,7.00,5.00,6.00,7.00,8.00,7.88,3.00,5.00,4.00,103,NULL,NULL,'VILA CONCEIÇAO','BOM JESUS','RS',5529,2568,NULL,NULL,NULL,NULL,NULL,4,5),(25,6307574,8.00,4.00,1.00,5.00,8.00,9.38,2.00,4.00,6.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',5948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ELIZABETH','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6307590,2.00,6.00,1.00,3.00,5.00,5.63,3.00,5.00,2.00,404,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6307604,3.00,3.00,2.00,3.00,5.00,4.50,1.00,1.00,1.00,101,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307612,5.00,4.00,6.00,4.00,7.00,9.00,0.00,1.00,6.00,214,NULL,207,'CENTRO','BIGUAÇU','SC',10070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307620,4.00,6.00,3.00,4.00,2.00,NULL,2.00,5.00,4.00,203,NULL,NULL,'SANTA TEREZINHA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6307639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6307647,6.00,5.00,3.00,6.00,9.00,9.00,4.00,8.00,3.00,303,NULL,NULL,'SANTA MARIA','LAGES','SC',4663,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6307663,6.00,6.00,0.00,3.00,6.00,8.25,4.00,5.00,5.00,233,NULL,235,'VILA JUNQUEIRA','S ROQUE','SP',8705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6307671,0.00,1.00,0.00,4.00,4.00,NULL,2.00,0.00,0.00,502,NULL,NULL,'SÃO JOÃO DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6307698,4.00,3.00,2.00,5.00,4.00,6.75,2.00,1.00,1.00,201,NULL,238,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6307710,2.00,2.00,0.00,1.00,5.00,6.38,0.00,1.00,0.00,404,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6307736,3.00,3.00,0.00,1.00,2.00,NULL,0.00,4.00,0.00,104,NULL,NULL,'GUARDA ME','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6307744,4.00,6.00,2.00,4.00,4.00,7.13,4.00,6.00,3.00,303,NULL,NULL,'CENTO','WENCESLAU BRAZ','PR',15010,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6307752,7.00,7.00,2.00,7.00,10.00,9.00,2.00,8.00,8.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',2158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307760,8.00,5.00,3.00,6.00,7.00,10.88,5.00,5.00,7.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',3153,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6307787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6307795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM ALBINO BIACHI','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6307809,1.00,5.00,3.00,2.00,3.00,9.00,0.00,3.00,0.00,201,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',20328,1654,NULL,569,NULL,NULL,NULL,4,1),(25,6307817,4.00,4.00,4.00,6.00,7.00,NULL,0.00,3.00,6.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307825,7.00,7.00,6.00,7.00,9.00,9.00,4.00,7.00,6.00,203,NULL,201,'CENTRO','STO AMARO IMPERATRIZ','SC',1092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307833,5.00,3.00,1.00,1.00,4.00,8.25,1.00,2.00,0.00,601,NULL,233,'CAMPECHE','FLORIANÓPOLIS','SC',18485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6307850,5.00,4.00,3.00,5.00,5.00,7.88,3.00,6.00,6.00,201,NULL,212,'CENTRO','NOVA ESPERANÇA','PR',9266,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6307868,7.00,7.00,4.00,5.00,8.00,7.88,2.00,4.00,7.00,103,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',4310,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6307876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6307906,3.00,4.00,3.00,4.00,6.00,9.00,4.00,0.00,3.00,108,NULL,NULL,'VISTA VERDE','S JOSÉ CAMPOS','SP',13865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307914,7.00,8.00,5.00,3.00,10.00,9.75,5.00,8.00,7.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',1314,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6307930,3.00,2.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,655,NULL,NULL,'CENTRO','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6307949,6.00,6.00,2.00,5.00,8.00,9.75,3.00,3.00,7.00,207,NULL,201,'SANTO ANTÔNIO','PINHALZINHO','SC',5912,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6307957,8.00,6.00,5.00,6.00,8.00,8.25,0.00,5.00,7.00,203,NULL,235,'CENTRO','APUCARANA','PR',4509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307973,5.00,6.00,2.00,5.00,6.00,7.88,3.00,6.00,5.00,216,NULL,233,'EMBARÉ','SANTOS','SP',7348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6307981,4.00,4.00,0.00,4.00,6.00,NULL,2.00,4.00,1.00,103,NULL,NULL,'ESPLANADA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6307990,9.00,8.00,6.00,5.00,10.00,9.38,5.00,8.00,9.00,103,NULL,NULL,'MERCES','CURITIBA','PR',162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6308007,5.00,5.00,4.00,6.00,5.00,8.63,0.00,4.00,7.00,203,NULL,233,'PIONEIROS','BAL CAMBORIÚ','SC',6358,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6308015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6308023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ALPHAVILLE LONDRINA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6308031,3.00,3.00,0.00,1.00,5.00,NULL,4.00,4.00,2.00,317,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6308058,5.00,5.00,2.00,7.00,8.00,7.88,2.00,5.00,2.00,337,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',12270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6308066,5.00,4.00,3.00,5.00,6.00,6.38,1.00,1.00,2.00,999,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6308074,4.00,3.00,1.00,4.00,4.00,9.00,0.00,1.00,1.00,211,NULL,201,'NITERÓI','SEARA','SC',18766,493,NULL,1543,NULL,NULL,NULL,4,4),(25,6308082,6.00,5.00,0.00,5.00,8.00,10.88,0.00,3.00,2.00,501,NULL,NULL,'AZENHA','PTO ALEGRE','RS',9983,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6308090,5.00,6.00,6.00,4.00,6.00,8.25,2.00,7.00,7.00,220,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',5047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6308104,3.00,4.00,2.00,5.00,2.00,NULL,2.00,3.00,4.00,103,NULL,NULL,'LINHA CONTESSI','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6308112,5.00,7.00,1.00,6.00,9.00,7.88,1.00,8.00,6.00,103,NULL,NULL,'LOTE SEIS','CRICIÚMA','SC',5126,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6308139,1.00,6.00,3.00,7.00,6.00,9.00,2.00,5.00,8.00,999,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6308155,4.00,4.00,1.00,5.00,7.00,10.13,1.00,4.00,1.00,331,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',11644,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6308163,5.00,7.00,3.00,4.00,7.00,9.00,1.00,7.00,6.00,415,NULL,NULL,'GLORIA','JOINVILLE','SC',5453,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6308171,2.00,5.00,4.00,5.00,5.00,8.25,3.00,1.00,4.00,601,NULL,207,'DANIELA','FLORIANÓPOLIS','SC',14236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6308180,3.00,8.00,6.00,6.00,6.00,9.00,2.00,5.00,4.00,207,NULL,208,'BARREIROS','S JOSÉ','SC',9522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6308198,6.00,5.00,5.00,3.00,5.00,9.00,2.00,4.00,6.00,103,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',8359,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6308201,6.00,5.00,4.00,2.00,8.00,9.38,1.00,4.00,5.00,103,NULL,NULL,'NOVA SUIÇA','GOIÂNIA','GO',6770,2897,NULL,NULL,NULL,NULL,NULL,2,1),(25,6308210,4.00,5.00,0.00,5.00,4.00,NULL,2.00,3.00,1.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6308228,3.00,5.00,4.00,2.00,2.00,NULL,2.00,4.00,4.00,653,NULL,601,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6308244,5.00,6.00,2.00,6.00,9.00,9.38,1.00,4.00,1.00,452,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7896,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6308252,6.00,5.00,1.00,6.00,10.00,12.38,3.00,6.00,6.00,303,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',3315,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6308260,3.00,3.00,3.00,5.00,6.00,7.50,3.00,3.00,2.00,302,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',14008,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6308279,7.00,7.00,4.00,5.00,9.00,7.88,3.00,3.00,4.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',5968,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6308287,6.00,8.00,5.00,5.00,8.00,7.88,4.00,5.00,5.00,203,NULL,216,'CENTRO','QUILOMBO','SC',4115,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6308309,7.00,3.00,3.00,6.00,8.00,6.00,0.00,4.00,2.00,103,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',11525,3792,NULL,NULL,NULL,NULL,NULL,2,1),(25,6308317,4.00,6.00,3.00,3.00,6.00,7.13,0.00,6.00,3.00,101,NULL,NULL,'CENTRO','S MARTINHO','SC',11998,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6308325,7.00,7.00,5.00,4.00,8.00,9.75,3.00,7.00,6.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',2231,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6308333,1.00,3.00,2.00,4.00,5.00,NULL,2.00,0.00,2.00,301,NULL,NULL,'SÃO CRISTÓVÃO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6308368,1.00,1.00,1.00,4.00,6.00,8.25,1.00,0.00,1.00,104,NULL,NULL,'CENTRO','GR PARÁ','SC',20197,567,NULL,NULL,NULL,NULL,NULL,2,10),(25,6308376,2.00,4.00,2.00,6.00,6.00,6.75,2.00,2.00,2.00,653,NULL,655,'NOVA YORK','FORQUILHINHA','SC',15729,143,NULL,70,NULL,NULL,NULL,2,5),(25,6308406,6.00,6.00,5.00,6.00,9.00,9.00,3.00,6.00,4.00,215,NULL,213,'RIO VERMELHO','FLORIANÓPOLIS','SC',4124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6308414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6308422,2.00,6.00,3.00,3.00,5.00,9.75,3.00,3.00,4.00,426,NULL,428,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6308430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6308457,1.00,3.00,3.00,2.00,7.00,NULL,0.00,1.00,1.00,340,NULL,NULL,'RIO VERMELLHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6308465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','ARVOREZINHA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6308473,7.00,5.00,1.00,7.00,9.00,6.00,1.00,8.00,4.00,5,NULL,NULL,'ATIRADORES','JOINVILLE','SC',5548,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6308481,6.00,5.00,3.00,4.00,4.00,7.50,0.00,5.00,4.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6308490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6308503,4.00,3.00,2.00,4.00,7.00,6.38,1.00,5.00,4.00,202,NULL,213,'SANTO ANTÔNIO','FLORIANÓPOLIS','SC',15705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6308511,5.00,3.00,3.00,5.00,5.00,NULL,2.00,0.00,3.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6308538,3.00,5.00,1.00,2.00,3.00,6.38,2.00,3.00,1.00,999,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6308546,5.00,5.00,1.00,6.00,7.00,9.00,2.00,3.00,4.00,999,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6308554,0.00,4.00,1.00,4.00,4.00,7.13,1.00,0.00,1.00,303,NULL,NULL,'VILA NOVA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6308562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6308597,4.00,5.00,1.00,5.00,7.00,10.50,0.00,2.00,3.00,453,NULL,NULL,'VILLAGE','IMBITUBA','SC',13162,88,NULL,NULL,NULL,NULL,NULL,4,1),(25,6308600,6.00,5.00,4.00,7.00,3.00,10.50,3.00,6.00,7.00,340,NULL,NULL,'CENTRO','CURITIBA','PR',5753,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(25,6308627,4.00,2.00,1.00,3.00,5.00,NULL,0.00,5.00,0.00,303,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6308635,2.00,1.00,3.00,5.00,3.00,4.50,2.00,2.00,1.00,101,NULL,NULL,'DE CARLI','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,2),(25,6308660,4.00,7.00,2.00,6.00,8.00,9.75,2.00,7.00,6.00,207,NULL,201,'RECANTO TROPICAL','CASCAVEL','PR',4149,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6308678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'ALTO DA XV','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6308686,5.00,2.00,0.00,3.00,7.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'AEROPORTO','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6308694,4.00,6.00,3.00,4.00,4.00,5.25,1.00,2.00,0.00,201,NULL,202,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6308708,1.00,3.00,4.00,5.00,1.00,NULL,0.00,1.00,1.00,551,NULL,NULL,'CENTRO','VARGEM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6308716,3.00,4.00,5.00,4.00,5.00,8.63,2.00,3.00,4.00,220,NULL,203,'CENTRO','APUCARANA','PR',14041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6308724,4.00,4.00,2.00,1.00,5.00,8.63,1.00,4.00,4.00,238,NULL,220,'MONTE VERDE','FLORIANÓPOLIS','SC',15283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6308732,4.00,1.00,0.00,0.00,0.00,NULL,1.00,0.00,0.00,208,NULL,213,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6308740,2.00,5.00,2.00,2.00,7.00,9.00,0.00,4.00,1.00,5,NULL,NULL,'GUIOMAR','ANTÔNIO CARLOS','SC',16196,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6308767,4.00,7.00,4.00,7.00,8.00,6.75,1.00,5.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6308775,7.00,7.00,5.00,5.00,7.00,10.50,3.00,6.00,6.00,103,NULL,NULL,'JARDIM ALCÂNTARA','LONDRINA','PR',1682,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6308783,5.00,5.00,2.00,5.00,8.00,8.63,3.00,5.00,3.00,503,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8351,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6308791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'PASSO DOS FORTE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6308805,7.00,6.00,4.00,5.00,7.00,10.13,2.00,7.00,7.00,103,NULL,NULL,'RECANTO TROPICAL','CASCAVEL','PR',2416,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6308821,2.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,0.00,308,NULL,NULL,'SERTAO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6308830,7.00,5.00,2.00,2.00,8.00,6.75,3.00,4.00,5.00,103,NULL,NULL,'BRASIL','UBERLÂNDIA','MG',9669,3508,NULL,NULL,NULL,NULL,NULL,4,9),(25,6308848,4.00,6.00,2.00,3.00,5.00,9.00,1.00,3.00,1.00,340,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',16274,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6308864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6308872,5.00,6.00,2.00,1.00,5.00,6.00,3.00,3.00,3.00,238,NULL,220,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15615,325,NULL,410,NULL,NULL,NULL,4,1),(25,6308880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'MUNICÍPIOS','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6308899,2.00,6.00,2.00,2.00,6.00,10.13,2.00,4.00,2.00,340,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',16638,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6308902,8.00,6.00,3.00,7.00,6.00,10.50,0.00,3.00,7.00,216,NULL,207,'CIDADE MONCÕES','MARINGÁ','PR',4341,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6308910,1.00,3.00,1.00,4.00,3.00,6.00,1.00,2.00,0.00,5,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',20749,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6308945,2.00,4.00,1.00,4.00,3.00,7.88,1.00,2.00,2.00,5,NULL,NULL,'JARDIM SAVEIRO','BIGUAÇU','SC',19166,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6308953,5.00,5.00,5.00,6.00,8.00,10.88,2.00,6.00,5.00,201,NULL,220,'JARDIM UNIVERSITÁRIO','MARINGÁ','PR',4750,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6308961,8.00,7.00,6.00,7.00,8.00,10.88,4.00,5.00,7.00,211,NULL,215,'VILA SÃO JOSÉ','ARARANGUÁ','SC',2071,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6308970,7.00,6.00,2.00,4.00,7.00,9.00,5.00,5.00,8.00,103,NULL,NULL,'LAPA DE BAIXO','S PAULO','SP',3308,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6308996,5.00,2.00,1.00,2.00,6.00,7.50,1.00,2.00,1.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18080,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309003,6.00,6.00,4.00,7.00,4.00,8.63,3.00,7.00,4.00,220,NULL,201,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6309011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,653,'SETOR CENTRAL','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6309020,7.00,7.00,6.00,6.00,9.00,10.50,3.00,7.00,7.00,453,NULL,NULL,'SANTA CATARINA','S LOURENÇO OESTE','SC',1037,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6309038,3.00,4.00,0.00,2.00,5.00,9.00,2.00,1.00,0.00,103,NULL,NULL,'SÃO SIMÃO','CRICIÚMA','SC',21064,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6309046,3.00,3.00,3.00,2.00,3.00,4.88,3.00,3.00,3.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',19799,471,NULL,518,NULL,NULL,NULL,2,1),(25,6309054,5.00,6.00,1.00,5.00,9.00,10.13,0.00,2.00,6.00,999,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6309062,2.00,3.00,3.00,5.00,5.00,8.25,3.00,3.00,2.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309070,3.00,6.00,1.00,6.00,8.00,9.38,2.00,5.00,6.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',8789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6309089,7.00,6.00,4.00,7.00,8.00,9.38,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',3370,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6309100,4.00,6.00,1.00,4.00,8.00,7.13,1.00,3.00,3.00,319,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',13476,244,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309119,2.00,3.00,1.00,1.00,2.00,NULL,1.00,4.00,2.00,654,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6309127,4.00,6.00,2.00,6.00,6.00,6.75,2.00,2.00,3.00,501,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',14727,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309135,0.00,0.00,0.00,0.00,1.00,NULL,0.00,1.00,0.00,332,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309143,0.00,2.00,2.00,3.00,3.00,6.75,0.00,2.00,0.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',21749,474,NULL,NULL,NULL,NULL,NULL,4,1),(25,6309151,4.00,3.00,2.00,5.00,6.00,7.50,1.00,3.00,1.00,302,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6309160,5.00,5.00,2.00,6.00,5.00,10.88,2.00,2.00,5.00,216,NULL,207,'FAZENDA','ITAJAÍ','SC',8559,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6309178,6.00,6.00,4.00,4.00,7.00,9.00,3.00,7.00,8.00,234,NULL,NULL,'VILA IPOJUCA','S PAULO','SP',2865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6309186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'SANTA HELENA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6309194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'CAMBUI','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6309208,6.00,4.00,4.00,5.00,7.00,7.13,3.00,3.00,4.00,207,NULL,NULL,'UBERABA','CURITIBA','PR',9433,462,NULL,NULL,NULL,NULL,NULL,4,1),(25,6309216,6.00,5.00,3.00,7.00,6.00,11.63,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',3673,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6309224,4.00,4.00,1.00,5.00,3.00,7.50,0.00,2.00,3.00,104,NULL,NULL,'FLORESTA','S JOSÉ','SC',17337,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309232,3.00,2.00,0.00,3.00,7.00,7.50,0.00,2.00,2.00,654,NULL,NULL,'NOVA DIVINEIA','ARARANGUÁ','SC',18603,46,NULL,NULL,NULL,NULL,NULL,2,15),(25,6309240,5.00,5.00,2.00,6.00,10.00,9.00,1.00,6.00,4.00,5,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',7121,263,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309259,2.00,4.00,0.00,3.00,3.00,9.00,1.00,1.00,0.00,101,NULL,NULL,'BELA VISTA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6309267,5.00,5.00,3.00,4.00,1.00,NULL,0.00,2.00,1.00,601,NULL,203,'PROGRESSO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6309275,0.00,4.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,215,NULL,208,'CENTRO','STO ANTÔNIO PALMA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6309283,6.00,6.00,3.00,6.00,10.00,10.13,4.00,6.00,3.00,103,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',3277,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309291,3.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,211,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6309305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','STA RITA SAPUCAÍ','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6309313,3.00,7.00,2.00,5.00,7.00,7.50,2.00,5.00,4.00,110,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10008,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309321,1.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARTURANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,9),(25,6309348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6309356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6309364,6.00,5.00,3.00,5.00,9.00,9.38,1.00,6.00,5.00,203,NULL,202,'CENTRO','DOIS VIZINHOS','PR',6670,512,NULL,NULL,NULL,NULL,NULL,2,4),(25,6309372,2.00,6.00,4.00,7.00,7.00,10.88,1.00,2.00,2.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',14027,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TABULEIRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6309402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'VILA BEATRIZ','MARACAJÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6309410,7.00,8.00,3.00,6.00,10.00,12.75,2.00,6.00,3.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6309429,2.00,2.00,1.00,2.00,3.00,7.13,1.00,3.00,0.00,203,NULL,214,'INGLESES','FLORIANÓPOLIS','SC',21694,1172,NULL,460,NULL,NULL,NULL,2,1),(25,6309461,3.00,3.00,2.00,4.00,5.00,9.38,2.00,2.00,3.00,316,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',12538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6309496,5.00,5.00,1.00,5.00,6.00,7.13,3.00,5.00,3.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6309500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'INDUSTRIAL I','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6309518,1.00,4.00,3.00,1.00,3.00,6.00,5.00,4.00,3.00,404,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6309534,4.00,4.00,2.00,4.00,5.00,6.00,0.00,4.00,3.00,208,NULL,238,'GUAIUBA','IMBITUBA','SC',16456,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6309542,5.00,0.00,1.00,3.00,7.00,NULL,0.00,0.00,0.00,655,NULL,652,'VILA REAL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(25,6309550,1.00,2.00,2.00,2.00,4.00,8.25,3.00,0.00,1.00,102,NULL,NULL,'CENTRO','AMETISTA SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6309569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ESPERANÇA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6309577,1.00,2.00,0.00,4.00,6.00,NULL,1.00,0.00,0.00,451,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6309585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6309593,3.00,2.00,0.00,3.00,6.00,3.75,0.00,4.00,1.00,333,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309607,6.00,8.00,4.00,6.00,7.00,9.38,2.00,8.00,4.00,207,NULL,201,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',4304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6309615,5.00,7.00,4.00,6.00,7.00,9.75,0.00,4.00,4.00,216,NULL,201,'PONTA DO CAJÚ','PARANAGUÁ','PR',7305,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6309623,6.00,5.00,2.00,5.00,6.00,6.75,0.00,4.00,3.00,452,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',13883,77,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309631,2.00,6.00,3.00,6.00,7.00,NULL,0.00,8.00,4.00,201,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6309640,6.00,6.00,2.00,7.00,8.00,8.25,3.00,8.00,5.00,208,NULL,238,'COQUEIROS','FLORIANÓPOLIS','SC',4346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6309658,5.00,4.00,0.00,3.00,4.00,7.88,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','SCHROEDER','SC',20499,4719,NULL,NULL,NULL,NULL,NULL,2,8),(25,6309666,1.00,3.00,2.00,1.00,4.00,7.13,1.00,1.00,0.00,303,NULL,NULL,'CENTRO','LUZERNA','SC',21745,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(25,6309674,4.00,4.00,3.00,5.00,6.00,9.75,1.00,5.00,4.00,9,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',11230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309682,4.00,6.00,2.00,3.00,7.00,9.38,1.00,5.00,7.00,213,NULL,212,'BOTAFOGO','RIO JANEIRO','RJ',6512,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309704,4.00,6.00,2.00,3.00,5.00,8.63,2.00,3.00,1.00,451,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',16720,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309712,3.00,3.00,1.00,2.00,4.00,4.50,3.00,1.00,0.00,319,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',21734,472,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309720,1.00,4.00,2.00,1.00,2.00,NULL,2.00,0.00,2.00,551,NULL,NULL,'CENTRO','ABDON BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6309739,0.00,3.00,1.00,1.00,2.00,NULL,2.00,4.00,2.00,317,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309755,4.00,6.00,0.00,5.00,7.00,6.00,2.00,1.00,3.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',17784,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6309763,6.00,5.00,6.00,7.00,6.00,7.13,2.00,5.00,4.00,238,NULL,208,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',8334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6309780,2.00,5.00,0.00,5.00,3.00,7.50,2.00,2.00,3.00,319,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6309798,5.00,5.00,3.00,5.00,9.00,9.00,3.00,4.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6309801,3.00,1.00,2.00,3.00,4.00,7.50,0.00,1.00,1.00,301,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309810,3.00,6.00,0.00,5.00,9.00,NULL,1.00,2.00,1.00,426,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309836,4.00,6.00,3.00,6.00,8.00,8.25,4.00,6.00,4.00,234,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309844,3.00,4.00,3.00,7.00,5.00,6.38,3.00,2.00,4.00,203,NULL,601,'JARDIM JANAINA','BIGUAÇU','SC',14195,896,NULL,NULL,NULL,NULL,NULL,4,1),(25,6309852,5.00,7.00,4.00,5.00,5.00,8.25,1.00,5.00,5.00,234,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',6627,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309879,2.00,4.00,3.00,4.00,7.00,6.38,0.00,1.00,2.00,303,NULL,NULL,'BELA VISTA','PTO UNIÃO','SC',17631,765,NULL,NULL,NULL,NULL,NULL,4,17),(25,6309895,1.00,6.00,2.00,3.00,6.00,NULL,2.00,0.00,0.00,404,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6309909,1.00,2.00,2.00,3.00,4.00,NULL,1.00,0.00,0.00,207,NULL,201,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6309925,4.00,6.00,5.00,6.00,8.00,8.25,2.00,4.00,4.00,238,NULL,208,'ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC',8766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6309933,3.00,6.00,4.00,2.00,6.00,4.88,1.00,3.00,5.00,202,NULL,220,'PRESIDENTE MEDICI','CHAPECÓ','SC',13146,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6309941,7.00,4.00,3.00,6.00,9.00,8.63,2.00,4.00,4.00,201,NULL,207,'PIONEIROS','ITÁ','SC',9046,700,NULL,437,NULL,NULL,NULL,2,4),(25,6309950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6309968,2.00,4.00,3.00,3.00,7.00,9.75,3.00,1.00,3.00,201,NULL,207,'CENTRO','IPORÃ OESTE','SC',15846,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6309992,8.00,4.00,7.00,7.00,7.00,9.75,4.00,6.00,7.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310036,4.00,7.00,6.00,5.00,7.00,10.13,3.00,3.00,7.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310044,1.00,1.00,0.00,4.00,5.00,NULL,2.00,1.00,1.00,654,NULL,NULL,'BELA VISTA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6310052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6310060,3.00,5.00,1.00,4.00,3.00,6.75,5.00,5.00,3.00,103,NULL,NULL,'VALPARAISO','BLUMENAU','SC',16919,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6310079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM IMPERADOR','PR GRANDE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6310087,5.00,4.00,2.00,2.00,4.00,7.50,1.00,2.00,0.00,654,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',18366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310117,7.00,6.00,5.00,5.00,8.00,9.00,3.00,4.00,6.00,301,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',3767,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'CENTRO','CIDADE GAÚCHA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6310141,5.00,7.00,1.00,7.00,9.00,6.75,1.00,4.00,2.00,316,NULL,NULL,'BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC',9263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310150,5.00,6.00,2.00,4.00,5.00,8.25,1.00,4.00,3.00,203,NULL,220,'NAÇÕES','BAL CAMBORIÚ','SC',10942,756,NULL,316,NULL,NULL,NULL,4,6),(25,6310168,2.00,0.00,1.00,2.00,3.00,7.50,1.00,0.00,2.00,654,NULL,NULL,'VILA THIESEN','IMARUÍ','SC',21777,103,NULL,NULL,NULL,NULL,NULL,2,10),(25,6310184,2.00,3.00,3.00,2.00,6.00,10.88,1.00,1.00,2.00,303,NULL,NULL,'CENTRO','MARACAJÁ','SC',17563,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6310192,1.00,4.00,3.00,3.00,6.00,NULL,2.00,5.00,0.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310214,5.00,8.00,1.00,6.00,8.00,8.25,2.00,5.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310222,3.00,6.00,1.00,7.00,5.00,10.50,2.00,4.00,2.00,326,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310230,5.00,7.00,3.00,6.00,8.00,7.13,4.00,3.00,3.00,207,NULL,211,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310249,5.00,4.00,1.00,5.00,8.00,7.88,4.00,4.00,2.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',12494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6310281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'CONJUNTO A','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6310303,6.00,5.00,4.00,1.00,5.00,8.25,1.00,4.00,4.00,216,NULL,653,'CENTRO','LUZERNA','SC',10965,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6310311,3.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REDENTORA','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6310320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6310338,3.00,3.00,0.00,3.00,4.00,7.88,1.00,1.00,2.00,104,NULL,NULL,'JARDIM IPÊ','PARANAVAÍ','PR',19382,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6310346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6310354,3.00,5.00,4.00,6.00,8.00,7.50,3.00,6.00,4.00,444,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',9504,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6310370,2.00,1.00,0.00,1.00,5.00,6.38,0.00,1.00,2.00,502,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',21399,58,NULL,NULL,NULL,NULL,NULL,2,1),(25,6310389,7.00,5.00,3.00,4.00,9.00,8.25,1.00,5.00,4.00,201,NULL,212,'RIO SÃO JOÃO','S MARTINHO','SC',7797,585,NULL,NULL,NULL,NULL,NULL,2,10),(25,6310400,4.00,4.00,4.00,7.00,7.00,9.38,3.00,3.00,2.00,655,NULL,652,'CENTRO','ARARANGUÁ','SC',11717,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6310419,3.00,5.00,2.00,5.00,7.00,5.25,2.00,5.00,2.00,332,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13193,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6310427,4.00,3.00,2.00,5.00,5.00,7.50,0.00,2.00,2.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310443,5.00,7.00,1.00,4.00,7.00,7.88,4.00,5.00,3.00,108,NULL,NULL,'SANTA TEREZA','PTO ALEGRE','RS',10402,136,NULL,NULL,NULL,NULL,NULL,2,1),(25,6310451,3.00,6.00,2.00,6.00,5.00,6.38,3.00,3.00,0.00,551,NULL,NULL,'CENTRO','OURO','SC',14796,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6310460,3.00,3.00,2.00,3.00,4.00,NULL,1.00,4.00,0.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310478,2.00,6.00,0.00,6.00,8.00,NULL,0.00,4.00,1.00,415,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310486,3.00,5.00,3.00,4.00,6.00,12.00,1.00,3.00,4.00,450,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',11047,61,NULL,NULL,NULL,NULL,NULL,2,1),(25,6310508,4.00,4.00,1.00,0.00,4.00,NULL,0.00,2.00,1.00,601,NULL,238,'PRAIA DO ROSA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,10),(25,6310516,2.00,2.00,1.00,2.00,1.00,NULL,1.00,1.00,0.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6310540,5.00,5.00,4.00,6.00,7.00,8.25,2.00,5.00,3.00,653,NULL,235,'JARDIM DO SOL','PARANAVAÍ','PR',8600,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6310559,4.00,4.00,0.00,2.00,4.00,5.63,2.00,3.00,4.00,203,NULL,601,'CENTRO','PATO BRANCO','PR',17809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310567,6.00,5.00,5.00,6.00,7.00,9.75,3.00,4.00,6.00,238,NULL,655,'KOBRASOL','S JOSÉ','SC',5805,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6310575,2.00,4.00,3.00,3.00,5.00,8.63,0.00,4.00,1.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310583,4.00,4.00,2.00,3.00,6.00,7.13,1.00,3.00,2.00,101,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',18496,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6310591,2.00,3.00,1.00,1.00,6.00,6.38,1.00,1.00,1.00,654,NULL,NULL,'SÃO LUÍS','SOMBRIO','SC',20722,75,NULL,NULL,NULL,NULL,NULL,4,15),(25,6310605,1.00,4.00,1.00,2.00,7.00,8.63,1.00,2.00,3.00,308,NULL,NULL,'CAMPINAS','S JOSÉ','SC',19617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310613,7.00,5.00,3.00,6.00,9.00,10.13,1.00,5.00,2.00,207,NULL,211,'SAGUAÇU','JOINVILLE','SC',5706,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6310621,0.00,4.00,0.00,3.00,5.00,NULL,0.00,2.00,0.00,208,NULL,203,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310630,2.00,4.00,2.00,5.00,4.00,9.38,1.00,3.00,3.00,302,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15793,113,NULL,NULL,NULL,NULL,NULL,2,1),(25,6310648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6310656,5.00,5.00,4.00,5.00,9.00,9.38,3.00,5.00,6.00,211,NULL,233,'AZAMBUJA','BRUSQUE','SC',4893,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6310664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PONTA FINA NORTE','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6310672,3.00,5.00,1.00,2.00,4.00,7.50,3.00,2.00,2.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',20428,185,NULL,NULL,NULL,NULL,NULL,2,1),(25,6310680,3.00,4.00,1.00,3.00,7.00,9.75,1.00,2.00,3.00,233,NULL,220,'ITOUPAVAZINHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6310702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'COSTA DE DENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6310729,4.00,7.00,2.00,2.00,7.00,7.88,3.00,4.00,3.00,329,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',13775,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6310737,2.00,6.00,2.00,2.00,5.00,NULL,1.00,0.00,0.00,103,NULL,NULL,'CHAMPAGNAT','GETÚLIO VARGAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6310745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6310753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6310761,2.00,5.00,0.00,2.00,5.00,7.13,1.00,0.00,1.00,654,NULL,NULL,'SÃO LUÍS','SOMBRIO','SC',19867,61,NULL,NULL,NULL,NULL,NULL,4,15),(25,6310770,7.00,5.00,6.00,5.00,5.00,9.00,3.00,4.00,5.00,233,NULL,653,'PASSO','MAFRA','SC',5536,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6310788,0.00,7.00,0.00,3.00,6.00,NULL,2.00,2.00,2.00,104,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6310800,7.00,6.00,4.00,6.00,6.00,6.38,4.00,7.00,3.00,201,NULL,212,'PANTANO DO SUL','FLORIANÓPOLIS','SC',7841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310818,4.00,3.00,3.00,3.00,5.00,7.88,3.00,3.00,1.00,201,NULL,211,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310826,6.00,7.00,1.00,3.00,8.00,7.88,2.00,6.00,5.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,423,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6310842,6.00,5.00,2.00,7.00,8.00,7.13,4.00,6.00,3.00,310,NULL,NULL,'CENTRO','TUBARÃO','SC',7773,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6310850,0.00,2.00,2.00,3.00,2.00,NULL,3.00,3.00,2.00,9,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6310869,7.00,6.00,2.00,6.00,9.00,9.38,1.00,5.00,5.00,103,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',4258,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6310877,3.00,5.00,3.00,3.00,5.00,7.50,2.00,0.00,2.00,102,NULL,NULL,'NOVA DESCOBERTA','CANELINHA','SC',17920,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6310885,8.00,8.00,3.00,6.00,9.00,9.00,2.00,3.00,3.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310893,2.00,4.00,3.00,4.00,8.00,4.88,0.00,1.00,2.00,101,NULL,NULL,'RIO VERMELHO','PALHOÇA','SC',19805,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6310923,6.00,6.00,1.00,6.00,4.00,6.75,3.00,5.00,4.00,103,NULL,NULL,'SAN REMO','LONDRINA','PR',10919,3702,NULL,NULL,NULL,NULL,NULL,2,8),(25,6310931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,425,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6310940,1.00,3.00,0.00,5.00,3.00,NULL,3.00,4.00,0.00,340,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6310958,6.00,5.00,0.00,5.00,8.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'VILA IZAB EL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6310974,2.00,4.00,0.00,1.00,5.00,7.88,1.00,1.00,0.00,5,NULL,NULL,'PLANALTO','IBIRUBÁ','RS',19839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6310982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6310990,2.00,4.00,1.00,4.00,5.00,8.25,3.00,3.00,1.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',19377,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6311008,5.00,3.00,6.00,8.00,9.00,11.25,2.00,3.00,3.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311032,2.00,6.00,2.00,3.00,7.00,6.38,0.00,2.00,2.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',19583,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6311040,0.00,2.00,0.00,0.00,1.00,NULL,0.00,1.00,0.00,303,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(25,6311059,2.00,4.00,0.00,2.00,3.00,NULL,2.00,0.00,1.00,652,NULL,653,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6311075,6.00,7.00,1.00,6.00,8.00,9.00,2.00,8.00,4.00,302,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',6557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTRELA DO SUL','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6311091,3.00,4.00,2.00,3.00,5.00,7.13,2.00,2.00,0.00,101,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',19230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6311113,6.00,4.00,4.00,6.00,8.00,6.75,4.00,3.00,5.00,220,NULL,235,'JARDIM DONALISIO','SALTO','SP',6926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311121,3.00,4.00,1.00,5.00,7.00,6.75,2.00,2.00,1.00,208,NULL,238,'PONTE DO IMARUIM','PALHOÇA','SC',16744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311130,4.00,0.00,1.00,6.00,8.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,9),(25,6311148,3.00,3.00,1.00,6.00,5.00,10.50,0.00,3.00,2.00,317,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',17376,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6311156,9.00,8.00,4.00,6.00,7.00,9.00,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',1523,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6311172,8.00,6.00,4.00,6.00,7.00,10.50,3.00,6.00,6.00,201,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',2614,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311180,6.00,6.00,1.00,4.00,9.00,9.38,2.00,6.00,5.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',7476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311199,7.00,7.00,1.00,7.00,9.00,8.63,3.00,8.00,3.00,303,NULL,NULL,'CENTRO','ORLEANS','SC',5372,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6311202,3.00,5.00,2.00,1.00,5.00,NULL,2.00,0.00,3.00,216,NULL,233,'JARDIM PALMARES','COLOMBO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6311210,8.00,7.00,2.00,6.00,8.00,7.88,1.00,7.00,4.00,103,NULL,NULL,'CHACARA CACHOIERA','CPO GRANDE','MS',5184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM VIRGINIA','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6311237,6.00,6.00,6.00,7.00,10.00,9.75,3.00,4.00,6.00,238,NULL,208,'AGRONÔMICA','FLORIANÓPOLIS','SC',2243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311253,2.00,3.00,3.00,4.00,4.00,8.63,0.00,1.00,2.00,202,NULL,220,'PALMITAL','CHAPECÓ','SC',20298,643,NULL,489,NULL,NULL,NULL,2,4),(25,6311261,2.00,2.00,3.00,3.00,5.00,9.00,1.00,5.00,3.00,309,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',18838,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6311288,6.00,7.00,1.00,5.00,6.00,4.88,3.00,6.00,3.00,2,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',12319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COOPHARÁDIO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6311300,7.00,5.00,2.00,7.00,9.00,8.25,4.00,6.00,6.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',4989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'NEVA','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6311326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6311334,3.00,5.00,0.00,4.00,7.00,NULL,1.00,4.00,1.00,317,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6311342,1.00,3.00,0.00,2.00,2.00,NULL,1.00,1.00,0.00,601,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6311350,3.00,2.00,0.00,2.00,4.00,6.38,2.00,0.00,2.00,331,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',20907,47,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311369,5.00,2.00,2.00,3.00,7.00,NULL,0.00,3.00,1.00,108,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311377,4.00,4.00,3.00,6.00,7.00,10.50,2.00,2.00,5.00,318,NULL,NULL,'JURERE INTL','FLORIANÓPOLIS','SC',10814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6311385,7.00,3.00,2.00,6.00,8.00,11.63,2.00,5.00,4.00,103,NULL,NULL,'JD BELA VISTA','CPO GRANDE','MS',5539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311393,2.00,6.00,2.00,5.00,7.00,9.75,0.00,5.00,4.00,201,NULL,202,'NAZARÉ','CONCÓRDIA','SC',10280,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6311407,4.00,6.00,5.00,6.00,10.00,10.50,3.00,5.00,5.00,212,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',3921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311415,4.00,5.00,2.00,6.00,9.00,11.25,3.00,4.00,6.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',7174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311431,4.00,3.00,1.00,3.00,6.00,NULL,2.00,1.00,0.00,999,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6311440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM DOS PAMPAS','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6311458,5.00,6.00,4.00,7.00,8.00,9.38,2.00,3.00,5.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',5901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311466,8.00,6.00,2.00,6.00,7.00,7.50,1.00,7.00,7.00,9,NULL,NULL,'CENTRO','LAGES','SC',6965,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6311474,5.00,6.00,2.00,6.00,6.00,8.63,3.00,4.00,6.00,340,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',8350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311482,6.00,7.00,0.00,5.00,7.00,NULL,2.00,5.00,4.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6311490,8.00,7.00,1.00,5.00,10.00,6.75,1.00,5.00,4.00,108,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',8669,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6311504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,215,'JARDIM NAZARETH','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6311512,3.00,4.00,2.00,4.00,6.00,6.38,0.00,4.00,3.00,308,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',19432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311520,4.00,5.00,5.00,4.00,3.00,4.88,2.00,5.00,5.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',15343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311539,3.00,5.00,2.00,3.00,4.00,7.88,2.00,3.00,2.00,102,NULL,NULL,'CENTRO','LAGES','SC',17055,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6311547,2.00,7.00,1.00,3.00,4.00,5.25,0.00,3.00,3.00,235,NULL,203,'AGRONÔMICA','FLORIANÓPOLIS','SC',20713,496,NULL,1130,NULL,NULL,NULL,2,1),(25,6311563,7.00,6.00,2.00,5.00,7.00,7.13,2.00,4.00,7.00,203,NULL,201,'CENTRO','CORDEIRÓPOLIS','SP',7679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311571,6.00,7.00,6.00,6.00,7.00,8.63,6.00,4.00,5.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',3158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'VILA BEATRIZ','MARACAJÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6311598,3.00,4.00,2.00,4.00,8.00,7.88,1.00,2.00,3.00,211,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',14348,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6311601,8.00,7.00,4.00,6.00,8.00,10.88,2.00,6.00,6.00,103,NULL,NULL,'LA SALLE','PATO BRANCO','PR',2459,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6311628,3.00,4.00,1.00,5.00,6.00,9.38,3.00,3.00,3.00,201,NULL,601,'PIONEIROS','BAL CAMBORIÚ','SC',15390,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6311636,4.00,0.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'LAGOINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6311644,5.00,7.00,2.00,7.00,7.00,8.25,1.00,6.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311652,3.00,5.00,3.00,6.00,5.00,NULL,1.00,4.00,0.00,303,NULL,NULL,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6311660,0.00,6.00,2.00,6.00,5.00,NULL,0.00,1.00,3.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6311679,4.00,5.00,1.00,6.00,8.00,NULL,2.00,2.00,0.00,450,NULL,NULL,'PETRÓPOLIS','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6311687,4.00,5.00,2.00,5.00,7.00,9.75,1.00,4.00,4.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',12055,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6311709,3.00,3.00,2.00,4.00,5.00,8.25,2.00,3.00,0.00,340,NULL,NULL,'BOA VISTA','JOINVILLE','SC',17078,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6311717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BANGÚ','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6311725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6311733,3.00,7.00,2.00,2.00,3.00,6.00,1.00,1.00,2.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',19163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6311741,2.00,5.00,1.00,3.00,6.00,5.25,0.00,2.00,2.00,203,NULL,201,'RIO MAINA','CRICIÚMA','SC',21042,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6311750,5.00,5.00,3.00,4.00,7.00,9.38,0.00,2.00,3.00,654,NULL,NULL,'BARRANCA','ARARANGUÁ','SC',15674,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6311768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'MACHADINHO','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6311784,3.00,2.00,2.00,3.00,3.00,4.50,2.00,0.00,0.00,319,NULL,NULL,'VILA NOVA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6311792,2.00,3.00,1.00,3.00,4.00,6.38,2.00,5.00,1.00,404,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6311806,2.00,6.00,2.00,2.00,6.00,7.13,2.00,4.00,0.00,234,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311814,5.00,6.00,2.00,6.00,7.00,7.13,3.00,6.00,7.00,238,NULL,233,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',6416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311822,2.00,4.00,1.00,4.00,6.00,7.88,1.00,1.00,2.00,303,NULL,NULL,'VELHA','BLUMENAU','SC',17758,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6311830,1.00,6.00,3.00,3.00,5.00,6.75,1.00,0.00,1.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',18988,4586,NULL,NULL,NULL,NULL,NULL,2,8),(25,6311849,4.00,4.00,4.00,5.00,6.00,6.00,2.00,2.00,3.00,202,NULL,235,'BATEL','CURITIBA','PR',12455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311865,4.00,3.00,1.00,4.00,5.00,6.38,1.00,1.00,2.00,303,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6311873,2.00,5.00,2.00,4.00,4.00,7.88,2.00,3.00,1.00,214,NULL,212,'ENCANO','INDAIAL','SC',17515,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6311881,4.00,2.00,0.00,3.00,1.00,NULL,0.00,4.00,2.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6311903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6311920,6.00,7.00,4.00,3.00,6.00,7.13,0.00,3.00,5.00,303,NULL,NULL,'CENTRO','FRAIBURGO','SC',9640,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6311954,2.00,3.00,5.00,2.00,5.00,5.63,3.00,1.00,4.00,502,NULL,NULL,'JARDIM CAIÇARA','S JOAQUIM','SC',19934,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6311962,4.00,2.00,0.00,3.00,7.00,NULL,3.00,2.00,1.00,110,NULL,NULL,'CENTRO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6311989,6.00,7.00,4.00,6.00,7.00,9.38,2.00,4.00,7.00,103,NULL,NULL,'FLORESTA','CAXIAS SUL','RS',5264,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6311997,3.00,1.00,1.00,2.00,5.00,5.63,2.00,2.00,1.00,235,NULL,208,'CENTRO','BIGUAÇU','SC',21297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312004,1.00,0.00,0.00,2.00,4.00,NULL,1.00,1.00,1.00,316,NULL,NULL,'TERESÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312012,7.00,7.00,8.00,6.00,7.00,6.38,4.00,7.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',1830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312020,7.00,8.00,4.00,5.00,7.00,9.00,1.00,8.00,9.00,103,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',3410,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6312039,2.00,6.00,2.00,2.00,6.00,9.00,0.00,3.00,4.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',14011,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312047,3.00,2.00,0.00,4.00,2.00,NULL,2.00,2.00,1.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6312055,9.00,7.00,5.00,6.00,9.00,11.25,6.00,9.00,9.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',86,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,653,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6312071,4.00,6.00,3.00,3.00,9.00,6.75,0.00,8.00,4.00,318,NULL,NULL,'CHÁCARA DOS JUNQUEIR','CARAPICUÍBA','SP',7358,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6312080,4.00,3.00,3.00,3.00,7.00,8.63,3.00,4.00,4.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11416,530,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312098,5.00,5.00,2.00,6.00,7.00,7.13,1.00,3.00,4.00,425,NULL,428,'AGRONÔMICA','FLORIANÓPOLIS','SC',13370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','AMPÉRE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6312110,2.00,2.00,2.00,3.00,4.00,NULL,1.00,1.00,0.00,308,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6312128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','LAURENTINO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6312136,2.00,3.00,0.00,2.00,4.00,NULL,0.00,0.00,1.00,101,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6312144,3.00,3.00,0.00,6.00,5.00,NULL,2.00,3.00,3.00,444,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6312152,2.00,3.00,0.00,0.00,5.00,6.38,1.00,0.00,2.00,102,NULL,NULL,'ITACURUBI','FLORIANÓPOLIS','SC',21211,271,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312160,2.00,3.00,0.00,5.00,6.00,NULL,0.00,1.00,1.00,319,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312179,4.00,4.00,3.00,4.00,4.00,8.25,1.00,0.00,3.00,201,NULL,212,'SÃO SEBASTIÃO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6312187,7.00,5.00,2.00,6.00,8.00,9.38,4.00,4.00,7.00,201,NULL,233,'TIMBÓ','TIMBÓ','SC',3603,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6312195,2.00,3.00,0.00,4.00,4.00,7.88,2.00,0.00,2.00,654,NULL,NULL,'DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6312217,3.00,3.00,2.00,2.00,3.00,9.00,3.00,3.00,1.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',20719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312225,2.00,2.00,3.00,1.00,7.00,7.88,1.00,2.00,2.00,103,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',20643,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6312233,5.00,6.00,3.00,3.00,6.00,7.50,1.00,4.00,3.00,103,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',12495,3932,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312241,7.00,8.00,4.00,7.00,7.00,10.50,2.00,7.00,6.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312250,2.00,4.00,2.00,5.00,8.00,7.88,4.00,4.00,4.00,220,NULL,202,'CENTRO','CHARQUEADAS','RS',15114,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6312268,2.00,3.00,1.00,4.00,8.00,4.88,2.00,2.00,2.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6312276,2.00,3.00,0.00,2.00,4.00,6.38,0.00,3.00,3.00,336,NULL,NULL,'CENTRO','CANOINHAS','SC',21595,182,NULL,NULL,NULL,NULL,NULL,2,17),(25,6312284,3.00,2.00,1.00,4.00,5.00,7.88,2.00,4.00,1.00,208,NULL,235,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312292,3.00,4.00,1.00,3.00,8.00,8.63,4.00,5.00,2.00,453,NULL,NULL,'ARIRIU','PALHOÇA','SC',14009,94,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312306,1.00,4.00,0.00,2.00,5.00,NULL,1.00,0.00,2.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312322,4.00,4.00,0.00,7.00,7.00,6.75,2.00,5.00,3.00,450,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6312349,6.00,6.00,2.00,3.00,6.00,8.63,4.00,7.00,4.00,103,NULL,NULL,'AZAMBUJA','CRUZ ALTA','RS',8646,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6312357,6.00,8.00,5.00,5.00,7.00,9.75,5.00,4.00,6.00,203,NULL,202,'PARQUE BOTURUSSU','S PAULO','SP',3058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312365,2.00,3.00,3.00,4.00,3.00,4.50,2.00,1.00,1.00,101,NULL,NULL,'CENTRO','S JOSÉ','SC',20814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6312373,3.00,5.00,1.00,1.00,6.00,NULL,2.00,3.00,0.00,999,NULL,NULL,'MORRO DO MEIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6312381,0.00,2.00,2.00,1.00,3.00,NULL,1.00,1.00,2.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CARMELO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6312411,3.00,6.00,4.00,7.00,6.00,7.50,1.00,5.00,1.00,2,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312420,4.00,5.00,0.00,1.00,5.00,7.13,3.00,4.00,0.00,208,NULL,NULL,'PRADO','BIGUAÇU','SC',19251,495,NULL,NULL,NULL,NULL,NULL,2,1),(25,6312438,4.00,5.00,6.00,5.00,8.00,8.25,1.00,3.00,2.00,415,NULL,NULL,'TRÊS VENDAS','ERECHIM','RS',10657,135,NULL,NULL,NULL,NULL,NULL,2,1),(25,6312454,3.00,5.00,0.00,3.00,5.00,NULL,0.00,4.00,0.00,319,NULL,NULL,'VÁRZEA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6312462,3.00,5.00,2.00,2.00,4.00,5.63,2.00,3.00,2.00,503,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312470,4.00,3.00,3.00,4.00,5.00,7.88,3.00,1.00,1.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6312489,6.00,7.00,3.00,6.00,8.00,10.13,3.00,8.00,7.00,601,NULL,235,'SAGUAÇÚ','JOINVILLE','SC',1675,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6312497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'SENHOR BOM JESUS','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6312500,2.00,3.00,0.00,2.00,4.00,8.25,1.00,1.00,1.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312543,5.00,6.00,2.00,4.00,5.00,7.88,2.00,5.00,6.00,108,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',12904,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6312551,6.00,6.00,3.00,3.00,5.00,8.63,4.00,6.00,3.00,207,NULL,201,'RIO CAVEIRAS','BIGUAÇU','SC',10916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6312560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6312578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'LINHA SÃO PEDRO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6312586,4.00,6.00,3.00,6.00,8.00,8.25,1.00,7.00,4.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312594,6.00,4.00,1.00,4.00,7.00,6.75,2.00,3.00,2.00,5,NULL,NULL,'OFICINAS','TUBARÃO','SC',11765,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6312608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6312616,4.00,5.00,4.00,5.00,7.00,11.63,1.00,4.00,3.00,233,NULL,212,'CENTRO','FRAIBURGO','SC',8658,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6312624,5.00,5.00,2.00,3.00,5.00,6.00,5.00,4.00,2.00,104,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',16728,459,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312640,2.00,2.00,1.00,0.00,3.00,7.50,2.00,0.00,0.00,501,NULL,NULL,'CENTRO','AGUAÍ','SP',21102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312659,7.00,5.00,1.00,7.00,6.00,9.00,2.00,3.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312667,5.00,7.00,3.00,5.00,7.00,8.25,2.00,3.00,6.00,302,NULL,NULL,'SÃO PEREGRINO','TURVO','SC',8527,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6312675,4.00,4.00,3.00,4.00,5.00,NULL,0.00,4.00,3.00,203,NULL,214,'JARDIM EUROPA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6312683,6.00,4.00,3.00,5.00,5.00,NULL,0.00,6.00,4.00,108,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6312691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6312705,1.00,3.00,0.00,3.00,4.00,NULL,3.00,0.00,0.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6312713,5.00,4.00,4.00,4.00,6.00,9.00,1.00,3.00,1.00,453,NULL,NULL,'SAGRADO','LAGES','SC',11967,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6312721,3.00,2.00,3.00,3.00,4.00,3.38,1.00,5.00,4.00,238,NULL,208,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6312730,7.00,6.00,2.00,7.00,5.00,7.13,5.00,6.00,5.00,202,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',7400,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6312772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'VILA IZA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6312780,2.00,5.00,2.00,2.00,6.00,7.88,2.00,2.00,1.00,551,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',16625,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6312799,3.00,4.00,4.00,5.00,7.00,9.38,1.00,5.00,3.00,336,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9721,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6312802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6312810,5.00,5.00,3.00,6.00,8.00,9.00,4.00,8.00,5.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',3957,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6312829,1.00,4.00,2.00,3.00,9.00,9.00,3.00,3.00,1.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18307,512,NULL,NULL,NULL,NULL,NULL,2,1),(25,6312837,8.00,7.00,2.00,5.00,7.00,10.50,2.00,8.00,5.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312845,3.00,6.00,0.00,5.00,6.00,10.50,2.00,4.00,0.00,103,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',12963,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6312853,3.00,4.00,1.00,4.00,8.00,3.00,2.00,1.00,2.00,216,NULL,215,'VILA LENZI','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6312896,6.00,6.00,2.00,7.00,10.00,10.50,0.00,6.00,4.00,208,NULL,235,'CAPOEIRAS','FLORIANÓPOLIS','SC',5557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312918,2.00,5.00,1.00,3.00,9.00,7.88,3.00,3.00,1.00,415,NULL,NULL,'TOBIAS','JOAÇABA','SC',15055,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6312926,2.00,4.00,1.00,2.00,6.00,6.75,2.00,3.00,4.00,653,NULL,655,'SANTA RITA','ARARANGUÁ','SC',19745,209,NULL,130,NULL,NULL,NULL,4,15),(25,6312934,1.00,2.00,0.00,6.00,6.00,9.38,1.00,2.00,0.00,999,NULL,NULL,'ALTO DA TIJUCA','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6312950,3.00,5.00,0.00,2.00,4.00,8.25,2.00,1.00,3.00,601,NULL,NULL,'ITAUM','JOINVILLE','SC',20151,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6312969,4.00,5.00,0.00,6.00,9.00,NULL,0.00,4.00,2.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6312977,6.00,6.00,7.00,7.00,8.00,6.75,6.00,6.00,8.00,202,NULL,653,'RECIFE','TUBARÃO','SC',1230,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6312993,2.00,1.00,2.00,4.00,1.00,NULL,1.00,1.00,1.00,338,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6313000,4.00,5.00,1.00,1.00,2.00,NULL,0.00,0.00,1.00,317,NULL,NULL,'RIO VEADO','LEOBERTO LEAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6313019,3.00,6.00,3.00,1.00,3.00,0.00,1.00,6.00,0.00,310,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6313027,3.00,4.00,0.00,0.00,5.00,5.63,3.00,1.00,2.00,103,NULL,NULL,'BRUSQUE','LAGES','SC',21390,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6313035,4.00,0.00,1.00,5.00,5.00,NULL,0.00,0.00,0.00,207,NULL,601,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(25,6313043,1.00,1.00,2.00,3.00,2.00,NULL,0.00,0.00,2.00,308,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6313051,7.00,5.00,2.00,7.00,9.00,10.13,2.00,6.00,6.00,103,NULL,NULL,'SANTA QUITÉRIA','CURITIBA','PR',3667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6313060,8.00,8.00,3.00,6.00,9.00,10.13,0.00,8.00,7.00,103,NULL,NULL,'MARIA LUIZA','CASCAVEL','PR',2153,1329,NULL,NULL,NULL,NULL,NULL,4,6),(25,6313078,5.00,7.00,2.00,7.00,6.00,7.88,4.00,8.00,3.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6313094,3.00,4.00,1.00,1.00,4.00,NULL,0.00,4.00,3.00,309,NULL,NULL,'BARRANCEIRA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6313116,5.00,7.00,1.00,6.00,7.00,9.00,0.00,6.00,5.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',7027,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6313124,3.00,5.00,1.00,4.00,6.00,9.00,0.00,2.00,2.00,303,NULL,NULL,'MADRI','FLORIANÓPOLIS','SC',16173,723,NULL,NULL,NULL,NULL,NULL,2,1),(25,6313132,8.00,7.00,5.00,7.00,7.00,8.25,2.00,6.00,5.00,301,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4122,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6313140,7.00,7.00,2.00,7.00,8.00,7.13,2.00,7.00,7.00,103,NULL,NULL,'IDEAL','NOVO HAMBURGO','RS',3746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6313175,2.00,1.00,0.00,4.00,6.00,NULL,0.00,0.00,2.00,207,NULL,601,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6313183,3.00,5.00,4.00,4.00,6.00,7.88,4.00,5.00,2.00,201,NULL,208,'XAXIM','CURITIBA','PR',10011,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6313205,7.00,6.00,2.00,4.00,9.00,7.50,0.00,6.00,3.00,303,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',11216,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6313213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6313230,6.00,3.00,0.00,5.00,6.00,10.13,3.00,0.00,1.00,102,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6313248,2.00,5.00,1.00,1.00,6.00,NULL,2.00,0.00,0.00,415,NULL,NULL,'BOM JESUS','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6313264,3.00,6.00,2.00,4.00,6.00,9.00,1.00,2.00,3.00,319,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',13409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6313272,3.00,4.00,1.00,7.00,6.00,9.00,0.00,3.00,0.00,340,NULL,NULL,'SANTA ANGELA','POÇOS CALDAS','MG',18360,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6313280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'JARDIM FLAMBOYANT','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6313302,5.00,4.00,3.00,7.00,9.00,9.75,3.00,3.00,3.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10365,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6313310,2.00,6.00,1.00,6.00,6.00,7.50,2.00,1.00,0.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',19537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6313329,3.00,4.00,0.00,1.00,3.00,NULL,2.00,2.00,2.00,444,NULL,NULL,'CENTRO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6313337,2.00,3.00,3.00,4.00,3.00,6.38,0.00,5.00,3.00,333,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',16372,115,NULL,NULL,NULL,NULL,NULL,4,1),(25,6313345,4.00,7.00,4.00,6.00,8.00,10.50,3.00,6.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6080,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6313361,6.00,6.00,3.00,5.00,3.00,8.25,2.00,4.00,3.00,201,NULL,212,'CARIANOS','FLORIANÓPOLIS','SC',13021,1104,NULL,385,NULL,NULL,NULL,4,1),(25,6313370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6313388,3.00,2.00,1.00,2.00,2.00,NULL,4.00,1.00,1.00,216,NULL,201,'CENTRO','ERVAL VELHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6313426,3.00,6.00,3.00,4.00,6.00,8.63,4.00,7.00,2.00,225,NULL,NULL,'SÃO BERNARDO','CAMPINAS','SP',9112,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6313434,3.00,4.00,5.00,1.00,6.00,9.75,2.00,2.00,6.00,203,NULL,233,'SÃO NICOLAU','REGISTRO','SP',10962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6313442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BELVEDERE','SAUDADES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6313450,3.00,5.00,3.00,5.00,7.00,9.00,4.00,5.00,4.00,103,NULL,NULL,'BELA VISTA','PALHOÇA','SC',10862,3693,NULL,NULL,NULL,NULL,NULL,2,1),(25,6313477,4.00,6.00,1.00,6.00,4.00,NULL,0.00,2.00,5.00,5,NULL,NULL,'JUNDIA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6313485,4.00,2.00,1.00,1.00,4.00,NULL,0.00,1.00,0.00,452,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6313515,2.00,3.00,1.00,4.00,2.00,NULL,2.00,0.00,1.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6313523,0.00,1.00,1.00,2.00,4.00,7.13,2.00,2.00,1.00,9,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6313531,5.00,4.00,0.00,6.00,5.00,NULL,0.00,5.00,2.00,208,NULL,235,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6313540,6.00,5.00,0.00,2.00,4.00,NULL,0.00,2.00,4.00,102,NULL,NULL,'CENTRO','IBAITI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6313558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6313566,2.00,4.00,2.00,2.00,5.00,5.63,1.00,0.00,1.00,326,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',21502,70,NULL,NULL,NULL,NULL,NULL,2,1),(25,6313574,3.00,5.00,3.00,2.00,5.00,6.75,1.00,1.00,1.00,203,NULL,214,'CENTRO','NOVA TRENTO','SC',20769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6313582,3.00,5.00,0.00,4.00,6.00,6.38,1.00,0.00,1.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6313590,4.00,3.00,1.00,5.00,5.00,7.50,1.00,1.00,3.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17137,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6313604,3.00,0.00,1.00,3.00,6.00,NULL,1.00,1.00,0.00,317,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6313620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6313639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6313647,8.00,8.00,3.00,6.00,9.00,10.50,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1717,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6313655,8.00,4.00,1.00,6.00,8.00,10.50,1.00,5.00,7.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',3936,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6313663,7.00,6.00,0.00,4.00,9.00,7.88,1.00,7.00,4.00,103,NULL,NULL,'PADRE ANTONIO','MARAVILHA','SC',7066,2975,NULL,NULL,NULL,NULL,NULL,2,4),(25,6313671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6313680,4.00,3.00,1.00,5.00,3.00,7.88,1.00,4.00,2.00,502,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',16125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6313698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUAS BELAS','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6313728,7.00,7.00,6.00,7.00,10.00,10.13,2.00,8.00,8.00,203,NULL,214,'CORREGO GRANDE','FLORIANÓPOLIS','SC',723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6313736,2.00,2.00,2.00,4.00,6.00,4.50,0.00,2.00,2.00,207,NULL,211,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',20145,1097,NULL,530,NULL,NULL,NULL,2,1),(25,6313744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6313760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'JARDIM MARABÁ','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6313779,2.00,2.00,1.00,1.00,5.00,6.38,1.00,0.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6313787,5.00,8.00,4.00,5.00,9.00,8.25,2.00,8.00,2.00,332,NULL,NULL,'AREIAS','S JOSÉ','SC',7053,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6313809,4.00,4.00,3.00,4.00,7.00,9.38,0.00,3.00,4.00,215,NULL,207,'SANTA GENEBRA','CAMPINAS','SP',15305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6313841,2.00,2.00,2.00,2.00,6.00,7.50,1.00,3.00,1.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6313850,4.00,4.00,2.00,3.00,9.00,11.63,1.00,3.00,3.00,303,NULL,NULL,'OFICINAS','TUBARÃO','SC',9690,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6313868,6.00,4.00,3.00,3.00,9.00,7.13,1.00,5.00,4.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',8564,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6313876,6.00,6.00,1.00,0.00,9.00,7.88,2.00,3.00,1.00,452,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',12629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6313884,4.00,5.00,2.00,5.00,8.00,7.13,3.00,3.00,3.00,203,NULL,601,'COMERCIÁRIO','CRICIÚMA','SC',14444,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6313906,8.00,7.00,2.00,4.00,9.00,9.75,2.00,8.00,5.00,201,NULL,220,'CENTRO','BRUSQUE','SC',3849,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6313914,3.00,5.00,2.00,6.00,10.00,10.13,2.00,6.00,1.00,335,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',11789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6313930,6.00,7.00,5.00,5.00,6.00,NULL,0.00,5.00,9.00,216,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6313949,0.00,1.00,2.00,2.00,2.00,NULL,3.00,3.00,1.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6313957,4.00,4.00,1.00,3.00,5.00,7.13,3.00,3.00,4.00,999,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6313965,8.00,6.00,4.00,6.00,9.00,8.25,0.00,6.00,8.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',3398,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6313973,1.00,4.00,1.00,1.00,4.00,9.75,3.00,3.00,2.00,501,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',20307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6313990,2.00,2.00,0.00,2.00,5.00,7.50,2.00,1.00,2.00,211,NULL,207,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6314007,6.00,5.00,2.00,6.00,7.00,9.00,2.00,3.00,2.00,333,NULL,NULL,'VILA GUMERCINDO','S PAULO','SP',10062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314015,5.00,5.00,2.00,4.00,8.00,9.75,2.00,3.00,4.00,201,NULL,238,'UNIVERSITÁRIO','TIJUCAS','SC',11510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314023,5.00,5.00,0.00,4.00,5.00,9.75,0.00,3.00,3.00,415,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',13810,200,NULL,NULL,NULL,NULL,NULL,1,1),(25,6314031,4.00,4.00,3.00,6.00,6.00,8.25,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10836,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314040,9.00,6.00,4.00,6.00,9.00,8.25,2.00,6.00,7.00,103,NULL,NULL,'EXPOSIÇÃO','CAXIAS SUL','RS',1737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314058,2.00,5.00,4.00,3.00,5.00,8.25,3.00,2.00,2.00,502,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314066,8.00,7.00,5.00,7.00,6.00,6.38,1.00,7.00,8.00,203,NULL,653,'ALTO DA BOA VISTA','S PAULO','SP',4077,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314074,5.00,4.00,1.00,5.00,4.00,8.25,1.00,3.00,1.00,103,NULL,NULL,'BOA VISTA','PNT GROSSA','PR',15938,4320,NULL,NULL,NULL,NULL,NULL,2,8),(25,6314082,6.00,5.00,5.00,3.00,8.00,9.38,2.00,6.00,3.00,202,NULL,235,'ITACORUBI','FLORIANÓPOLIS','SC',8081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6314104,5.00,5.00,3.00,5.00,6.00,8.63,0.00,6.00,4.00,203,NULL,216,'SÃO FRANCISCO','APUCARANA','PR',8753,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6314139,5.00,6.00,3.00,4.00,9.00,6.75,0.00,3.00,2.00,208,NULL,652,'PASSA VINTE','PALHOÇA','SC',12862,246,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314147,5.00,6.00,1.00,5.00,6.00,NULL,0.00,2.00,1.00,5,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314155,2.00,3.00,3.00,5.00,6.00,4.50,3.00,1.00,1.00,339,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314163,3.00,2.00,1.00,1.00,3.00,NULL,2.00,0.00,0.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314171,3.00,2.00,1.00,2.00,4.00,8.25,0.00,1.00,3.00,102,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',21434,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6314198,4.00,4.00,1.00,1.00,3.00,9.75,1.00,2.00,2.00,316,NULL,NULL,'VILA MIRIM','PR GRANDE','SP',20727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314201,6.00,4.00,3.00,4.00,7.00,6.75,4.00,2.00,5.00,103,NULL,NULL,'ALVORADA','PATO BRANCO','PR',9883,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6314210,6.00,6.00,2.00,2.00,6.00,6.75,0.00,2.00,3.00,502,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',17463,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314228,5.00,5.00,2.00,4.00,6.00,9.38,5.00,6.00,6.00,336,NULL,NULL,'SALETE','S MIGUEL OESTE','SC',7481,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6314236,2.00,4.00,1.00,1.00,3.00,6.00,0.00,2.00,2.00,333,NULL,NULL,'KOBRASOL','S JOSÉ','SC',21697,180,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314260,3.00,3.00,0.00,5.00,6.00,7.13,0.00,4.00,1.00,302,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',17921,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314279,3.00,3.00,1.00,3.00,3.00,7.88,2.00,1.00,2.00,201,NULL,207,'BARONI','BARRETOS','SP',19602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314287,8.00,8.00,5.00,7.00,8.00,9.00,3.00,7.00,7.00,203,NULL,653,'JARDIM CORDEIRO','S PAULO','SP',1334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'VISTA ALEGRE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6314317,6.00,7.00,4.00,6.00,6.00,7.13,4.00,5.00,2.00,340,NULL,NULL,'EMBARÉ','SANTOS','SP',5989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314325,3.00,2.00,1.00,3.00,5.00,6.00,1.00,0.00,3.00,207,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',20360,1108,NULL,1657,NULL,NULL,NULL,2,1),(25,6314333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DOS PRINCIPES','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6314341,5.00,5.00,3.00,5.00,8.00,9.00,4.00,3.00,2.00,103,NULL,NULL,'CENTRO','UBIRATÃ','PR',9593,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6314368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6314392,2.00,2.00,3.00,1.00,4.00,6.75,4.00,0.00,0.00,201,NULL,238,'N SENHORA DO ROSÁRIO','S JOSÉ','SC',21428,1722,NULL,533,NULL,NULL,NULL,4,1),(25,6314406,3.00,3.00,0.00,2.00,6.00,6.00,2.00,2.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314414,4.00,1.00,2.00,2.00,3.00,8.25,1.00,4.00,1.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',19879,4675,NULL,NULL,NULL,NULL,NULL,4,3),(25,6314422,5.00,7.00,6.00,6.00,7.00,8.63,4.00,4.00,5.00,2,NULL,NULL,'CENTRO','JOINVILLE','SC',4467,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(25,6314430,1.00,1.00,1.00,1.00,4.00,9.38,0.00,1.00,2.00,551,NULL,NULL,'RONDINHA','PTE ALTA NORTE','SC',20844,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6314449,5.00,5.00,1.00,5.00,4.00,7.50,2.00,7.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314457,6.00,7.00,8.00,8.00,9.00,6.75,5.00,6.00,7.00,319,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',1543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314465,7.00,7.00,4.00,5.00,9.00,7.50,3.00,5.00,6.00,103,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',4517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314473,4.00,5.00,3.00,3.00,3.00,7.13,3.00,4.00,1.00,110,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',18785,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314481,5.00,6.00,5.00,7.00,10.00,12.75,3.00,5.00,7.00,203,NULL,214,'CENTRO','BRUSQUE','SC',1606,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6314490,3.00,4.00,4.00,4.00,4.00,5.63,3.00,4.00,0.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',16772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314503,3.00,4.00,4.00,2.00,3.00,8.63,3.00,2.00,0.00,211,NULL,215,'PASSO DAS PEDRAS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314511,4.00,5.00,4.00,4.00,5.00,9.38,2.00,1.00,3.00,234,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',15915,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314520,3.00,4.00,2.00,3.00,6.00,9.75,3.00,4.00,3.00,601,NULL,207,'ITAGUAÇU','FLORIANÓPOLIS','SC',15073,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6314546,1.00,4.00,2.00,1.00,5.00,NULL,0.00,0.00,2.00,444,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314554,7.00,4.00,6.00,4.00,8.00,10.50,3.00,6.00,7.00,103,NULL,NULL,'MOOCA','S PAULO','SP',3440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314562,5.00,6.00,5.00,6.00,9.00,10.50,3.00,7.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314570,7.00,6.00,3.00,4.00,5.00,7.50,4.00,6.00,4.00,214,NULL,203,'SÃO PELEGRINO','CAXIAS SUL','RS',6620,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6314589,3.00,5.00,0.00,4.00,7.00,9.00,1.00,5.00,0.00,328,NULL,NULL,'KOBRASOL','S JOSÉ','SC',17518,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314597,8.00,6.00,5.00,6.00,10.00,9.38,1.00,8.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',1094,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6314600,3.00,4.00,3.00,4.00,6.00,7.13,0.00,1.00,2.00,208,NULL,235,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314619,6.00,5.00,2.00,5.00,9.00,9.75,2.00,7.00,5.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314627,5.00,4.00,2.00,3.00,7.00,9.00,2.00,2.00,3.00,102,NULL,NULL,'MINUANO','S JOAQUIM','SC',13904,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6314635,1.00,0.00,0.00,3.00,6.00,NULL,1.00,1.00,0.00,333,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314651,4.00,5.00,3.00,4.00,6.00,NULL,3.00,1.00,2.00,207,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6314660,7.00,7.00,6.00,7.00,9.00,9.75,4.00,9.00,8.00,201,NULL,202,'CENTRO','CPO ALEGRE','SC',549,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6314678,3.00,6.00,3.00,3.00,4.00,9.38,2.00,6.00,1.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314686,3.00,5.00,0.00,3.00,5.00,7.88,2.00,1.00,3.00,102,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314694,4.00,5.00,1.00,4.00,7.00,4.88,0.00,6.00,3.00,101,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',15808,79,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314708,3.00,2.00,1.00,1.00,3.00,NULL,1.00,2.00,0.00,109,NULL,NULL,'EFAPI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6314716,6.00,6.00,5.00,6.00,7.00,9.75,2.00,6.00,5.00,301,NULL,NULL,'HIDRÁULICA','LAJEADO','RS',3991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314724,6.00,4.00,2.00,6.00,8.00,8.63,2.00,5.00,4.00,110,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314740,1.00,3.00,0.00,0.00,5.00,7.88,1.00,0.00,1.00,5,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',20836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'CENTRO','S VICENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6314775,1.00,2.00,2.00,1.00,6.00,5.63,3.00,3.00,3.00,420,NULL,NULL,'MIRIM','IMBITUBA','SC',21150,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6314791,4.00,6.00,2.00,2.00,9.00,8.25,1.00,3.00,3.00,208,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',11376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314805,5.00,4.00,2.00,0.00,4.00,7.13,2.00,2.00,3.00,203,NULL,NULL,'PASSO DO GADO','TUBARÃO','SC',18378,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6314813,2.00,5.00,2.00,5.00,4.00,11.63,5.00,5.00,1.00,208,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',13500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314821,3.00,5.00,2.00,2.00,4.00,6.75,0.00,2.00,3.00,999,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314848,5.00,7.00,2.00,4.00,4.00,6.00,1.00,3.00,1.00,103,NULL,NULL,'INTERIOR','S MIGUEL OESTE','SC',18329,4548,NULL,NULL,NULL,NULL,NULL,2,4),(25,6314856,7.00,4.00,0.00,6.00,10.00,NULL,2.00,7.00,4.00,207,NULL,201,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6314880,4.00,5.00,3.00,2.00,4.00,9.00,2.00,1.00,1.00,303,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',18093,782,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314899,4.00,5.00,3.00,2.00,6.00,6.00,1.00,5.00,5.00,109,NULL,NULL,'PRAIA DO FORTE','FLORIANÓPOLIS','SC',12513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314902,4.00,5.00,1.00,5.00,4.00,8.63,3.00,6.00,3.00,327,NULL,NULL,'IPIRANGA','S JOSÉ','SC',14221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6314910,7.00,6.00,6.00,6.00,6.00,9.38,2.00,7.00,7.00,201,NULL,203,'JARDIM MALUCHE','BRUSQUE','SC',3671,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6314937,9.00,4.00,6.00,7.00,9.00,13.50,4.00,6.00,8.00,601,NULL,NULL,'CENTRO','CPO TENENTE','PR',775,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6314945,5.00,3.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,108,NULL,NULL,'LTM FERNANDA','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6314953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'JARDIM HANTSCHEL','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6314961,5.00,5.00,1.00,5.00,6.00,7.50,2.00,1.00,1.00,205,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314970,2.00,3.00,1.00,2.00,3.00,6.00,1.00,1.00,0.00,999,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6314988,5.00,5.00,2.00,1.00,7.00,8.63,1.00,3.00,3.00,999,NULL,NULL,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6314996,2.00,3.00,2.00,2.00,7.00,NULL,1.00,3.00,0.00,212,NULL,201,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315003,5.00,8.00,5.00,6.00,8.00,7.13,5.00,6.00,6.00,203,NULL,233,'CORREGO GRANDE','FLORIANÓPOLIS','SC',3178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6315020,10.00,7.00,6.00,7.00,10.00,8.63,7.00,8.00,9.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315046,2.00,2.00,2.00,2.00,2.00,NULL,2.00,3.00,0.00,2,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315054,3.00,5.00,2.00,5.00,4.00,7.50,4.00,4.00,2.00,233,NULL,214,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',17547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315070,3.00,3.00,2.00,5.00,6.00,NULL,0.00,1.00,1.00,108,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6315089,6.00,4.00,2.00,2.00,4.00,6.75,2.00,1.00,3.00,444,NULL,NULL,'JARDIM CARANDAI','BIGUAÇU','SC',15769,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315097,4.00,3.00,0.00,5.00,8.00,NULL,0.00,3.00,4.00,551,NULL,NULL,'GUADALUPE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6315100,2.00,4.00,1.00,3.00,4.00,0.00,1.00,2.00,2.00,316,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PLANO PILOTO','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6315127,6.00,8.00,0.00,7.00,9.00,9.75,4.00,6.00,6.00,303,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',2761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315135,5.00,6.00,0.00,3.00,7.00,6.38,5.00,5.00,3.00,308,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315143,5.00,7.00,4.00,6.00,8.00,8.25,4.00,5.00,5.00,201,NULL,212,'BARREIROS','S JOSÉ','SC',4776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315151,5.00,4.00,1.00,1.00,4.00,7.88,1.00,0.00,0.00,207,NULL,211,'BOM RETIRO','PAULO LOPES','SC',21407,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315160,1.00,5.00,3.00,4.00,5.00,6.38,2.00,1.00,1.00,601,NULL,216,'COSTA E SILVA','JOINVILLE','SC',18622,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6315178,4.00,4.00,1.00,2.00,3.00,6.38,1.00,3.00,1.00,202,NULL,653,'OFICINAS','TUBARÃO','SC',18499,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6315186,2.00,7.00,2.00,4.00,6.00,6.38,2.00,2.00,0.00,444,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',18495,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315194,7.00,5.00,2.00,6.00,6.00,8.63,1.00,4.00,7.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',7085,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6315208,4.00,3.00,2.00,4.00,6.00,7.13,3.00,4.00,1.00,999,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6315216,2.00,4.00,0.00,7.00,6.00,9.38,3.00,2.00,1.00,208,NULL,207,'BARREIROS','S JOSÉ','SC',17624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315224,8.00,7.00,3.00,5.00,9.00,0.00,1.00,6.00,3.00,103,NULL,NULL,'CENTRO','NONOAI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6315232,6.00,2.00,2.00,7.00,7.00,10.88,3.00,4.00,4.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315240,6.00,4.00,3.00,6.00,6.00,7.13,3.00,4.00,3.00,110,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',9782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315259,3.00,6.00,2.00,2.00,3.00,7.50,2.00,1.00,1.00,5,NULL,NULL,'KOBRASOL','ALFREDO WAGNER','SC',19698,673,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315267,3.00,5.00,4.00,5.00,7.00,8.25,1.00,6.00,3.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11744,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315275,5.00,7.00,1.00,7.00,9.00,11.63,3.00,6.00,3.00,303,NULL,NULL,'SETE DE SETEMBRO','GASPAR','SC',5248,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6315283,2.00,3.00,2.00,6.00,8.00,2.63,3.00,4.00,5.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315291,4.00,2.00,2.00,3.00,6.00,8.63,1.00,1.00,3.00,304,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',16591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315313,7.00,6.00,2.00,6.00,9.00,12.00,4.00,7.00,4.00,103,NULL,NULL,'BUCAREIN','JOINVILLE','SC',3252,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6315321,5.00,5.00,1.00,4.00,4.00,5.25,2.00,5.00,2.00,203,NULL,214,'PRAIA BRAVA','FLORIANÓPOLIS','SC',15416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315330,4.00,7.00,3.00,4.00,8.00,9.00,1.00,5.00,5.00,238,NULL,208,'COSTEIRA','FLORIANÓPOLIS','SC',7828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315356,7.00,8.00,3.00,4.00,7.00,11.25,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315364,3.00,2.00,2.00,2.00,6.00,8.25,2.00,2.00,1.00,999,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315372,3.00,2.00,2.00,6.00,7.00,9.00,2.00,5.00,5.00,304,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',10613,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315380,5.00,4.00,3.00,5.00,6.00,7.13,3.00,4.00,2.00,404,NULL,NULL,'VILA LALAU','JARAGUÁ SUL','SC',12555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315399,7.00,4.00,3.00,4.00,5.00,4.50,4.00,6.00,5.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315402,4.00,6.00,5.00,5.00,7.00,7.88,1.00,3.00,5.00,214,NULL,220,'TRINDADE','FLORIANÓPOLIS','SC',11196,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315410,5.00,5.00,1.00,5.00,8.00,10.13,3.00,4.00,5.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315429,2.00,3.00,0.00,5.00,7.00,9.00,1.00,1.00,1.00,999,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6315437,3.00,4.00,0.00,2.00,3.00,6.00,0.00,2.00,0.00,207,NULL,208,'FUNDOS','BIGUAÇU','SC',21724,1183,NULL,607,NULL,NULL,NULL,2,1),(25,6315445,6.00,5.00,2.00,5.00,7.00,7.88,2.00,4.00,4.00,103,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',9247,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6315461,4.00,7.00,3.00,4.00,7.00,7.50,4.00,5.00,6.00,333,NULL,NULL,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',6914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315470,3.00,4.00,0.00,5.00,5.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'LOMBA DO PINHEIRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6315488,2.00,6.00,2.00,5.00,5.00,6.38,1.00,3.00,0.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',19995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315496,9.00,8.00,7.00,7.00,8.00,10.50,6.00,8.00,8.00,103,NULL,NULL,'FREGUESIA DO Ó','S PAULO','SP',120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315500,6.00,4.00,3.00,4.00,5.00,11.25,0.00,3.00,3.00,103,NULL,NULL,'ACARAÍ','S FRANCISCO SUL','SC',11374,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6315518,2.00,2.00,3.00,5.00,3.00,NULL,1.00,0.00,2.00,104,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,4),(25,6315526,3.00,0.00,2.00,5.00,6.00,NULL,0.00,0.00,0.00,202,NULL,203,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6315534,1.00,4.00,0.00,3.00,6.00,NULL,2.00,2.00,0.00,215,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315542,6.00,6.00,4.00,5.00,7.00,10.50,4.00,1.00,4.00,201,NULL,212,'CENTRO','CATANDUVAS','PR',7372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315550,5.00,5.00,2.00,4.00,6.00,8.63,2.00,1.00,4.00,201,NULL,601,'ÁGUA VERDE','JARAGUÁ SUL','SC',13417,1138,NULL,NULL,NULL,NULL,NULL,4,8),(25,6315577,4.00,4.00,6.00,4.00,5.00,8.63,1.00,1.00,4.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315607,5.00,4.00,1.00,4.00,6.00,7.88,4.00,5.00,3.00,202,NULL,213,'CAMPECHE','FLORIANÓPOLIS','SC',15350,484,NULL,224,NULL,NULL,NULL,2,1),(25,6315631,7.00,6.00,2.00,5.00,5.00,9.00,2.00,4.00,6.00,9,NULL,NULL,'ROÇA GRANDE','COLOMBO','PR',7556,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6315640,2.00,5.00,2.00,3.00,6.00,12.00,2.00,0.00,1.00,303,NULL,NULL,'MORRO AZUL','JAGUARUNA','SC',15932,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6315658,1.00,2.00,2.00,0.00,5.00,NULL,2.00,2.00,0.00,339,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315666,6.00,5.00,2.00,0.00,6.00,7.88,1.00,3.00,2.00,215,NULL,235,'CARIANOS','FLORIANÓPOLIS','SC',15363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315674,4.00,6.00,1.00,3.00,5.00,10.50,0.00,2.00,0.00,235,NULL,213,'CORREGO GRANDE','FLORIANÓPOLIS','SC',19056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315682,3.00,4.00,2.00,2.00,4.00,4.88,0.00,4.00,2.00,201,NULL,212,'COPACABANA','LAGES','SC',20799,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6315690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6315704,5.00,4.00,1.00,4.00,7.00,7.50,1.00,2.00,4.00,223,NULL,NULL,'PROGRESSO','S BENTO SUL','SC',13052,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6315712,4.00,4.00,0.00,4.00,4.00,10.50,2.00,2.00,1.00,501,NULL,NULL,'NSA SRA DO ROSARIO','S JOSÉ','SC',18516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315720,4.00,5.00,1.00,2.00,6.00,11.25,3.00,4.00,1.00,225,NULL,NULL,'VILA NOVA','BLUMENAU','SC',12483,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6315739,6.00,7.00,4.00,6.00,10.00,8.63,3.00,7.00,8.00,103,NULL,NULL,'GONZAGA','SANTOS','SP',1342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315755,3.00,5.00,6.00,6.00,8.00,10.88,0.00,6.00,5.00,201,NULL,601,'CAPOEIRAS','FLORIANÓPOLIS','SC',6712,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315771,1.00,2.00,3.00,4.00,6.00,7.50,0.00,1.00,2.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6315798,9.00,8.00,5.00,6.00,9.00,9.75,3.00,8.00,8.00,103,NULL,NULL,'JARDIM ELIANE','APUCARANA','PR',666,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6315828,4.00,3.00,2.00,4.00,6.00,0.00,3.00,4.00,4.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315836,3.00,5.00,1.00,5.00,6.00,6.75,1.00,2.00,4.00,238,NULL,235,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',17067,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6315844,3.00,5.00,3.00,2.00,7.00,7.13,3.00,2.00,4.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',11997,805,NULL,297,NULL,NULL,NULL,2,1),(25,6315852,4.00,5.00,0.00,2.00,5.00,7.13,3.00,5.00,4.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',14695,515,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315860,3.00,4.00,0.00,4.00,5.00,7.88,0.00,2.00,1.00,309,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',18595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315879,1.00,3.00,1.00,2.00,4.00,4.88,2.00,1.00,2.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315887,1.00,5.00,2.00,2.00,4.00,10.50,1.00,3.00,1.00,316,NULL,NULL,'FUNDOS','BIGUAÇU','SC',18596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315895,8.00,2.00,1.00,4.00,7.00,8.63,1.00,4.00,5.00,999,NULL,NULL,'COUNTRY','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315909,5.00,4.00,3.00,7.00,8.00,7.88,2.00,3.00,6.00,216,NULL,NULL,'CENTRO','NAVEGANTES','SC',7890,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6315917,1.00,3.00,1.00,5.00,4.00,5.25,1.00,3.00,1.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315925,3.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,216,NULL,212,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(25,6315950,4.00,3.00,0.00,3.00,6.00,9.75,0.00,2.00,3.00,207,NULL,201,'CENTRO','TIJUCAS','SC',16253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315968,4.00,4.00,0.00,3.00,6.00,9.38,2.00,2.00,2.00,303,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',17456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6315976,1.00,2.00,0.00,2.00,4.00,8.63,0.00,1.00,3.00,335,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',20777,23,NULL,NULL,NULL,NULL,NULL,2,1),(25,6315984,8.00,7.00,5.00,5.00,9.00,7.13,1.00,5.00,6.00,103,NULL,NULL,'SÃO JOSÉ','TIMÓTEO','MG',3859,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316000,6.00,7.00,4.00,4.00,6.00,8.25,2.00,5.00,7.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316018,5.00,4.00,1.00,7.00,8.00,10.88,2.00,2.00,4.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316026,3.00,3.00,0.00,3.00,6.00,6.75,2.00,1.00,1.00,9,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316034,6.00,7.00,3.00,2.00,7.00,10.50,2.00,6.00,1.00,108,NULL,NULL,'JARDIM CIBELE','ARARANGUÁ','SC',8770,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6316042,6.00,7.00,3.00,5.00,8.00,8.25,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6499,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6316050,3.00,1.00,0.00,3.00,7.00,NULL,1.00,2.00,5.00,999,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316069,4.00,7.00,5.00,5.00,8.00,7.13,3.00,6.00,4.00,203,NULL,201,'JARDIM CARAVELLE','LONDRINA','PR',4894,NULL,NULL,NULL,NULL,NULL,NULL,1,17),(25,6316077,6.00,6.00,3.00,6.00,11.00,9.75,2.00,6.00,3.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4635,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6316093,9.00,5.00,2.00,6.00,9.00,10.88,4.00,6.00,9.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',1381,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6316107,3.00,6.00,1.00,4.00,7.00,8.63,0.00,2.00,3.00,303,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',14520,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6316115,2.00,3.00,3.00,5.00,5.00,7.88,2.00,3.00,6.00,201,NULL,233,'INGLESES','FLORIANÓPOLIS','SC',12572,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6316123,8.00,4.00,4.00,6.00,9.00,8.63,2.00,8.00,7.00,103,NULL,NULL,'JARDIM ELIANE','APUCARANA','PR',3033,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6316140,8.00,7.00,4.00,7.00,9.00,7.88,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1587,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6316158,3.00,4.00,2.00,4.00,3.00,4.88,4.00,5.00,2.00,425,NULL,421,'PANTANAL','FLORIANÓPOLIS','SC',18970,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316166,1.00,3.00,2.00,2.00,3.00,5.25,2.00,0.00,1.00,205,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',21257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316182,6.00,4.00,2.00,3.00,4.00,10.50,1.00,4.00,1.00,425,NULL,429,'CAPOEIRAS','FLORIANÓPOLIS','SC',13831,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316190,5.00,4.00,0.00,4.00,8.00,NULL,1.00,5.00,1.00,415,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316204,8.00,6.00,1.00,5.00,7.00,11.63,3.00,3.00,7.00,103,NULL,NULL,'CENTRO','PLANALTO','RS',4919,2395,NULL,NULL,NULL,NULL,NULL,2,4),(25,6316212,7.00,6.00,3.00,6.00,10.00,9.00,1.00,4.00,6.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',5002,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'CENTRO','ADAMANTINA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6316239,6.00,5.00,3.00,4.00,7.00,9.00,2.00,3.00,1.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6316247,3.00,2.00,3.00,2.00,5.00,7.88,1.00,1.00,2.00,501,NULL,NULL,'CENTRO','FORQUILHINHA','SC',20994,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6316255,7.00,8.00,1.00,6.00,9.00,9.00,1.00,6.00,5.00,3,NULL,NULL,'CENTRO','S JOAQUIM','SC',4109,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6316263,4.00,2.00,1.00,3.00,5.00,9.75,2.00,1.00,2.00,420,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316271,6.00,4.00,2.00,7.00,7.00,6.75,1.00,2.00,5.00,503,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',12037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316280,6.00,6.00,5.00,3.00,9.00,11.25,2.00,4.00,3.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',5473,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316298,2.00,5.00,3.00,4.00,6.00,NULL,2.00,0.00,1.00,104,NULL,NULL,'CENTRO','S JOÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6316310,5.00,6.00,1.00,5.00,8.00,9.75,2.00,1.00,3.00,336,NULL,NULL,'FIDÉLIS','BLUMENAU','SC',9973,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6316328,2.00,4.00,4.00,6.00,3.00,7.88,1.00,2.00,2.00,420,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',15165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316336,2.00,2.00,1.00,5.00,4.00,6.00,0.00,0.00,4.00,301,NULL,NULL,'CENTRO','IMBITUBA','SC',21480,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316344,7.00,6.00,7.00,7.00,10.00,13.50,3.00,8.00,8.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316352,5.00,6.00,2.00,3.00,7.00,7.88,0.00,6.00,5.00,102,NULL,NULL,'CORAL','LAGES','SC',9914,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6316360,4.00,2.00,1.00,4.00,7.00,8.63,2.00,2.00,0.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',17857,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316379,2.00,4.00,3.00,3.00,3.00,4.50,3.00,1.00,1.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19830,555,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316387,5.00,5.00,3.00,6.00,7.00,8.25,0.00,0.00,4.00,503,NULL,NULL,'KOBRASOL','S JOSÉ','SC',12256,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316409,4.00,7.00,1.00,6.00,5.00,NULL,1.00,6.00,0.00,238,NULL,233,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316417,4.00,4.00,2.00,3.00,4.00,9.00,1.00,2.00,2.00,101,NULL,NULL,'SÃO PEDRO','GUABIRUBA','SC',19675,147,NULL,NULL,NULL,NULL,NULL,2,2),(25,6316425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6316433,6.00,5.00,2.00,4.00,3.00,10.50,1.00,6.00,3.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316441,7.00,4.00,5.00,7.00,4.00,6.00,4.00,6.00,5.00,203,NULL,220,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',6556,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316468,5.00,5.00,3.00,2.00,6.00,8.63,2.00,3.00,4.00,202,NULL,201,'JARDIM DOS PÁSSAROS','UMUARAMA','PR',14849,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6316476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,212,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6316484,4.00,6.00,1.00,3.00,3.00,10.13,1.00,4.00,2.00,203,NULL,601,'PENHA','PAULO LOPES','SC',14660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316492,1.00,4.00,0.00,5.00,6.00,NULL,2.00,1.00,1.00,208,NULL,238,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316506,3.00,4.00,2.00,1.00,5.00,7.88,3.00,2.00,1.00,999,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316514,5.00,7.00,2.00,5.00,8.00,12.38,2.00,2.00,3.00,104,NULL,NULL,'SANTANA','PTO ALEGRE','RS',8127,143,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316522,2.00,3.00,0.00,1.00,4.00,NULL,1.00,0.00,0.00,208,NULL,238,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316530,2.00,3.00,3.00,5.00,4.00,6.38,2.00,2.00,3.00,225,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',17811,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316549,2.00,7.00,0.00,5.00,5.00,7.50,0.00,1.00,0.00,451,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316557,3.00,7.00,0.00,4.00,5.00,9.38,2.00,4.00,1.00,234,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',15414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316565,3.00,4.00,1.00,2.00,5.00,9.75,0.00,1.00,4.00,425,NULL,423,'KOBRASOL','S JOSÉ','SC',20142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316581,3.00,5.00,3.00,7.00,6.00,6.75,1.00,5.00,1.00,220,NULL,235,'CENTRO','STA HELENA','PR',11065,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6316590,5.00,7.00,4.00,6.00,6.00,NULL,2.00,4.00,3.00,104,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6316603,7.00,7.00,6.00,5.00,10.00,7.13,4.00,7.00,7.00,203,NULL,207,'TRINDADE','FLORIANÓPOLIS','SC',1893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316620,1.00,3.00,0.00,4.00,2.00,NULL,2.00,3.00,2.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316638,5.00,3.00,4.00,4.00,7.00,8.25,3.00,2.00,5.00,202,NULL,220,'CENTRO','OURO','SC',10565,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6316646,5.00,2.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316654,2.00,5.00,3.00,3.00,4.00,6.38,3.00,6.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15750,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316662,4.00,1.00,3.00,1.00,4.00,6.38,0.00,2.00,1.00,404,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316689,5.00,5.00,3.00,5.00,5.00,9.38,2.00,1.00,4.00,340,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',10381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316697,6.00,6.00,4.00,7.00,8.00,9.75,2.00,3.00,5.00,103,NULL,NULL,'BOQUEIRÃO','PR GRANDE','SP',4439,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316727,2.00,5.00,1.00,4.00,8.00,7.88,3.00,3.00,1.00,450,NULL,NULL,'RIO BRANCO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316735,3.00,6.00,3.00,5.00,6.00,7.50,2.00,5.00,1.00,304,NULL,NULL,'CAIOBA','MATINHOS','PR',15395,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6316743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6316751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'TROPICAL','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6316760,5.00,6.00,1.00,4.00,6.00,8.25,2.00,6.00,2.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6316794,3.00,2.00,1.00,3.00,3.00,7.13,3.00,1.00,5.00,203,NULL,220,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316808,3.00,5.00,4.00,0.00,8.00,3.38,2.00,2.00,3.00,203,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316832,1.00,0.00,1.00,3.00,1.00,NULL,0.00,0.00,2.00,451,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316840,2.00,5.00,2.00,6.00,8.00,8.25,1.00,5.00,1.00,203,NULL,220,'INGLESES','FLORIANÓPOLIS','SC',14456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316859,5.00,7.00,1.00,4.00,4.00,8.63,2.00,4.00,2.00,102,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316867,4.00,5.00,3.00,2.00,7.00,7.88,1.00,1.00,3.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316875,2.00,5.00,0.00,1.00,4.00,NULL,0.00,1.00,0.00,104,NULL,NULL,'CENTRO','SALTINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6316883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'SÃO CRISTOVÃO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6316891,1.00,1.00,1.00,5.00,6.00,7.88,1.00,0.00,4.00,207,NULL,201,'FORQUILINHAS','S JOSÉ','SC',19482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316905,2.00,4.00,1.00,4.00,2.00,NULL,2.00,2.00,3.00,317,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6316921,6.00,5.00,3.00,5.00,6.00,NULL,0.00,2.00,7.00,211,NULL,201,'LARANJAL','PELOTAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6316956,3.00,4.00,0.00,3.00,6.00,6.38,1.00,2.00,0.00,201,NULL,208,'RIO CAVEIRAS','BIGUAÇU','SC',19396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6316964,2.00,0.00,1.00,3.00,1.00,NULL,0.00,0.00,0.00,201,NULL,203,'TABAJARA','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,7),(25,6316972,2.00,0.00,2.00,2.00,4.00,8.25,2.00,2.00,1.00,103,NULL,NULL,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6316980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','JACAREZINHO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6317006,6.00,5.00,2.00,4.00,7.00,8.25,2.00,7.00,3.00,5,NULL,NULL,'CENTRO','PINHEIRO PRETO','SC',7653,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6317014,8.00,5.00,6.00,6.00,8.00,9.00,5.00,3.00,8.00,103,NULL,NULL,'CENTRO','S MIGUEL IGUAÇU','PR',1967,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6317030,5.00,2.00,1.00,4.00,8.00,8.63,1.00,1.00,0.00,9,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6317049,5.00,6.00,3.00,3.00,7.00,7.50,0.00,7.00,6.00,220,NULL,233,'COQUEIROS','FLORIANÓPOLIS','SC',8513,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6317057,4.00,0.00,3.00,4.00,4.00,NULL,0.00,0.00,0.00,213,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6317065,6.00,3.00,5.00,6.00,7.00,7.50,4.00,1.00,7.00,103,NULL,NULL,'CENTRO','S SEBASTIÃO AMOREIRA','PR',6218,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6317073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6317081,3.00,4.00,5.00,5.00,5.00,7.88,1.00,3.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317103,2.00,3.00,0.00,1.00,4.00,NULL,0.00,1.00,3.00,235,NULL,202,'AZAMBUJA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6317111,5.00,5.00,4.00,7.00,9.00,9.75,2.00,4.00,0.00,211,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',8317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317120,1.00,0.00,2.00,3.00,2.00,NULL,1.00,3.00,2.00,216,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6317138,3.00,5.00,3.00,6.00,8.00,10.50,1.00,6.00,3.00,211,NULL,233,'CENTRO','S JOAQUIM','SC',10319,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6317146,3.00,2.00,2.00,4.00,2.00,NULL,1.00,2.00,0.00,601,NULL,NULL,'ROCIO GRANDE','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6317154,4.00,6.00,3.00,3.00,7.00,8.25,2.00,5.00,4.00,207,NULL,NULL,'ITARARÉ','STA MARIA','RS',10682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317170,1.00,6.00,2.00,2.00,5.00,9.38,0.00,4.00,2.00,301,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',14804,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317197,5.00,2.00,0.00,1.00,7.00,8.63,0.00,2.00,3.00,501,NULL,NULL,'CENTRO','BARRACÃO','PR',17671,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6317200,3.00,1.00,1.00,1.00,4.00,NULL,0.00,1.00,0.00,108,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317219,4.00,5.00,2.00,3.00,6.00,NULL,2.00,3.00,1.00,319,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6317227,3.00,7.00,3.00,3.00,8.00,7.88,2.00,5.00,3.00,233,NULL,211,'CENTRO','S JOAQUIM','SC',13399,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6317235,1.00,8.00,2.00,4.00,8.00,10.50,2.00,6.00,2.00,319,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',8003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6317251,1.00,4.00,2.00,5.00,7.00,6.75,2.00,3.00,0.00,319,NULL,NULL,'CENTRO','LAGES','SC',17411,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6317260,4.00,6.00,3.00,4.00,6.00,9.00,3.00,4.00,3.00,103,NULL,NULL,'SEIS DE MAIO','PALMEIRA MISSÕES','RS',11001,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6317286,2.00,4.00,0.00,5.00,6.00,NULL,0.00,3.00,3.00,212,NULL,214,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317294,2.00,3.00,0.00,1.00,0.00,NULL,1.00,0.00,0.00,404,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CEDRINHO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6317316,7.00,6.00,2.00,5.00,8.00,8.25,5.00,4.00,6.00,103,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',4598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317324,6.00,6.00,4.00,3.00,7.00,7.88,4.00,5.00,3.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',7583,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6317332,5.00,4.00,5.00,6.00,7.00,10.88,4.00,5.00,7.00,203,NULL,220,'CENTRO','CASCAVEL','PR',3568,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6317340,8.00,7.00,4.00,6.00,8.00,12.75,3.00,7.00,8.00,103,NULL,NULL,'ALTO DA XV','GUARAPUAVA','PR',2022,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6317359,2.00,2.00,0.00,2.00,5.00,6.00,2.00,2.00,1.00,103,NULL,NULL,'INTERIOR','MODELO','SC',21555,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6317375,4.00,4.00,0.00,3.00,5.00,9.00,1.00,3.00,0.00,503,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',18057,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6317391,3.00,3.00,2.00,4.00,5.00,8.25,2.00,2.00,1.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',17351,4472,NULL,NULL,NULL,NULL,NULL,2,6),(25,6317405,2.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,211,NULL,203,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6317413,4.00,5.00,4.00,5.00,7.00,6.38,0.00,6.00,5.00,203,NULL,216,'CIDADE UNIVERSITARIA','CAMPINAS','SP',8143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6317430,8.00,8.00,3.00,6.00,9.00,12.38,4.00,8.00,8.00,103,NULL,NULL,'FLORADAS DE SÃO JOSÉ','S JOSÉ CAMPOS','SP',440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317448,0.00,3.00,3.00,1.00,5.00,NULL,1.00,0.00,1.00,303,NULL,NULL,'SÃO CRISTOVÃO','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6317456,1.00,3.00,2.00,3.00,8.00,6.00,1.00,2.00,2.00,317,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',17530,126,NULL,NULL,NULL,NULL,NULL,2,1),(25,6317464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6317472,3.00,3.00,0.00,3.00,5.00,NULL,1.00,3.00,0.00,451,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317480,4.00,5.00,2.00,6.00,6.00,8.63,2.00,5.00,1.00,238,NULL,208,'GUATÁ','LAURO MÜLLER','SC',11205,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6317499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6317502,2.00,3.00,2.00,5.00,6.00,6.75,1.00,5.00,2.00,238,NULL,208,'REAL PARQUE','S JOSÉ','SC',15475,317,NULL,348,NULL,NULL,NULL,2,1),(25,6317510,4.00,5.00,4.00,6.00,8.00,9.00,2.00,4.00,2.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317529,4.00,4.00,2.00,5.00,7.00,8.25,2.00,5.00,2.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317553,1.00,3.00,0.00,2.00,2.00,NULL,2.00,0.00,1.00,203,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6317561,5.00,6.00,2.00,7.00,7.00,12.75,1.00,5.00,5.00,336,NULL,NULL,'FUNCIONARIOS','BELO HORIZONTE','MG',4690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317588,4.00,2.00,0.00,3.00,2.00,NULL,2.00,2.00,1.00,201,NULL,601,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6317596,3.00,2.00,0.00,2.00,5.00,7.88,2.00,4.00,2.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6317600,4.00,6.00,5.00,7.00,10.00,8.25,3.00,8.00,6.00,5,NULL,NULL,'SANTANA','RIO SUL','SC',2524,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6317618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6317642,5.00,7.00,5.00,5.00,9.00,9.38,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',3641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317650,2.00,4.00,0.00,5.00,2.00,NULL,2.00,3.00,1.00,444,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6317669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6317677,2.00,5.00,2.00,7.00,3.00,7.50,2.00,4.00,3.00,233,NULL,211,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',16170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317685,5.00,7.00,3.00,6.00,8.00,10.13,2.00,5.00,5.00,340,NULL,NULL,'JARDIM OITI','JALES','SP',4677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317693,2.00,5.00,1.00,4.00,8.00,8.25,3.00,1.00,4.00,201,NULL,212,'STO ANT LISBOA','FLORIANÓPOLIS','SC',12836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317707,2.00,4.00,2.00,5.00,6.00,8.25,0.00,1.00,0.00,601,NULL,NULL,'ESCOLINHA','JOINVILLE','SC',17645,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6317715,5.00,5.00,1.00,5.00,8.00,10.13,0.00,3.00,3.00,104,NULL,NULL,'PETRÓPOLIS','VACARIA','RS',11710,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6317723,2.00,4.00,3.00,5.00,8.00,11.25,2.00,2.00,1.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317731,5.00,5.00,1.00,4.00,4.00,9.38,0.00,0.00,1.00,102,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',17712,221,NULL,NULL,NULL,NULL,NULL,2,1),(25,6317740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,207,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6317758,3.00,4.00,1.00,3.00,2.00,NULL,3.00,3.00,4.00,201,NULL,207,'CENTRO','PRES GETÚLIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6317774,0.00,4.00,2.00,4.00,4.00,NULL,1.00,0.00,0.00,208,NULL,238,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317790,3.00,1.00,1.00,3.00,4.00,5.25,2.00,4.00,0.00,301,NULL,NULL,'BARRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6317812,2.00,5.00,3.00,1.00,6.00,7.50,2.00,3.00,2.00,453,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',16734,114,NULL,NULL,NULL,NULL,NULL,4,2),(25,6317820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6317839,5.00,8.00,2.00,4.00,4.00,9.75,1.00,4.00,4.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6317871,5.00,5.00,3.00,4.00,3.00,8.25,1.00,2.00,1.00,103,NULL,NULL,'CENTRO','PALOTINA','PR',14022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MEIRELES','FORTALEZA','CE',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6317898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'ABRANCHES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6317928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6317936,5.00,5.00,1.00,3.00,7.00,9.00,0.00,3.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',13615,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6317944,4.00,5.00,0.00,2.00,5.00,10.13,0.00,1.00,2.00,103,NULL,NULL,'CENTRO','RIO FORTUNA','SC',17863,4513,NULL,NULL,NULL,NULL,NULL,4,10),(25,6317952,5.00,7.00,2.00,6.00,8.00,9.75,1.00,7.00,7.00,303,NULL,NULL,'JARDIM ITU','PTO ALEGRE','RS',4869,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6317979,2.00,2.00,1.00,5.00,4.00,8.25,1.00,3.00,1.00,999,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6317987,3.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6318002,0.00,1.00,0.00,4.00,5.00,7.50,1.00,1.00,1.00,318,NULL,NULL,'NS DO ROSÁRIO','S JOSÉ','SC',21719,115,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318010,3.00,4.00,2.00,2.00,3.00,3.38,4.00,6.00,2.00,208,NULL,201,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6318029,3.00,4.00,1.00,6.00,5.00,NULL,3.00,4.00,4.00,104,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6318037,4.00,7.00,2.00,3.00,6.00,6.75,2.00,4.00,4.00,233,NULL,215,'KOBRASOL','S JOSÉ','SC',11328,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318045,0.00,0.00,3.00,0.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6318053,5.00,5.00,4.00,5.00,8.00,7.13,0.00,6.00,3.00,211,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',11551,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6318061,8.00,7.00,2.00,5.00,9.00,8.25,2.00,7.00,7.00,336,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',2784,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6318070,5.00,7.00,2.00,3.00,9.00,11.63,2.00,4.00,6.00,202,NULL,235,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6383,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318088,7.00,6.00,2.00,4.00,7.00,7.50,1.00,4.00,5.00,103,NULL,NULL,'CENTRO','MERIDIANO','SP',8748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6318096,3.00,4.00,1.00,3.00,2.00,NULL,1.00,0.00,3.00,110,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318100,3.00,4.00,0.00,4.00,5.00,NULL,0.00,2.00,0.00,211,NULL,201,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6318118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6318126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,213,'SANTA LUCIA','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6318134,5.00,7.00,3.00,5.00,7.00,7.88,1.00,5.00,3.00,211,NULL,213,'CENTRO','JALES','SP',7659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318142,5.00,6.00,1.00,4.00,8.00,8.25,1.00,3.00,1.00,202,NULL,653,'CENTRO','LAURO MÜLLER','SC',12091,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6318150,3.00,4.00,2.00,2.00,5.00,6.00,2.00,0.00,1.00,223,NULL,NULL,'BARREIROS','S JOSÉ','SC',21361,28,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318169,8.00,7.00,7.00,7.00,8.00,11.63,4.00,8.00,8.00,216,NULL,203,'BARÃO GERALDO','CAMPINAS','SP',434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6318177,5.00,6.00,3.00,5.00,6.00,8.63,0.00,7.00,3.00,328,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',10833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6318193,4.00,6.00,6.00,5.00,4.00,5.63,3.00,4.00,6.00,202,NULL,213,'JD AMERICA','JALES','SP',9072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318207,7.00,6.00,0.00,3.00,5.00,8.25,3.00,4.00,4.00,103,NULL,NULL,'CENTREVILLE','LIMEIRA','SP',9404,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6318215,7.00,7.00,5.00,7.00,10.00,11.63,4.00,7.00,7.00,103,NULL,NULL,'SAO LOURENÇO','CURITIBA','PR',552,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6318223,7.00,5.00,4.00,5.00,9.00,NULL,0.00,6.00,5.00,207,NULL,201,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6318231,5.00,0.00,0.00,2.00,8.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(25,6318258,5.00,6.00,2.00,4.00,7.00,9.38,3.00,6.00,4.00,201,NULL,207,'CENTRO','TURVO','SC',8819,682,NULL,421,NULL,NULL,NULL,2,15),(25,6318266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ZIMBROS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6318274,8.00,6.00,1.00,7.00,9.00,10.50,0.00,5.00,7.00,601,NULL,233,'JARDIM DOS CALEGARIS','PAULÍNIA','SP',2871,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6318282,3.00,5.00,0.00,0.00,4.00,4.50,2.00,4.00,2.00,318,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,202,'SANTA HELENA','FERNANDÓPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6318320,3.00,4.00,0.00,2.00,4.00,NULL,0.00,0.00,1.00,327,NULL,NULL,'CENTRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6318339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'LINHA CORAÇÃO','VARGEM BONITA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6318347,8.00,6.00,2.00,4.00,9.00,8.63,4.00,6.00,8.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',2038,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6318363,3.00,3.00,3.00,1.00,4.00,NULL,0.00,0.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6318371,5.00,4.00,2.00,5.00,7.00,7.50,1.00,3.00,6.00,103,NULL,NULL,'SETOR JAO','GOIÂNIA','GO',10354,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318380,4.00,6.00,3.00,7.00,3.00,8.63,2.00,2.00,0.00,340,NULL,NULL,'RES TERRA VERDE','FERNANDÓPOLIS','SP',14622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6318398,9.00,7.00,7.00,7.00,10.00,10.50,6.00,7.00,8.00,103,NULL,NULL,'TREZE DE JULHO','ARACAJU','SE',106,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6318401,2.00,5.00,3.00,5.00,5.00,9.75,2.00,3.00,2.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',12406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318410,1.00,3.00,0.00,3.00,4.00,NULL,0.00,2.00,1.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318428,5.00,6.00,5.00,6.00,9.00,11.25,1.00,4.00,2.00,233,NULL,212,'CENTRO','IMBITUBA','SC',6073,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6318436,1.00,5.00,4.00,5.00,6.00,8.63,0.00,1.00,0.00,109,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',15966,75,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318444,7.00,6.00,2.00,4.00,7.00,7.13,3.00,3.00,4.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6318460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'MUNICIPAL','PEREIRA BARRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6318479,4.00,5.00,0.00,3.00,5.00,7.13,2.00,2.00,2.00,9,NULL,NULL,'BUCAREIN','JOINVILLE','SC',16996,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6318495,7.00,7.00,6.00,6.00,8.00,7.13,3.00,6.00,9.00,5,NULL,NULL,'CENTRO','CURITIBA','PR',2202,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6318509,3.00,3.00,1.00,5.00,4.00,7.88,1.00,0.00,3.00,201,NULL,207,'BARREIROS','S JOSÉ','SC',19375,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318517,5.00,2.00,1.00,3.00,7.00,7.88,2.00,1.00,2.00,103,NULL,NULL,'SALINAS','BAL BARRA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6318525,4.00,0.00,0.00,3.00,8.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(25,6318533,4.00,4.00,0.00,3.00,9.00,NULL,1.00,4.00,0.00,238,NULL,NULL,'N SRA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6318541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'KOLLER','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6318550,3.00,4.00,3.00,0.00,6.00,NULL,1.00,3.00,3.00,211,NULL,235,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6318568,5.00,4.00,1.00,6.00,4.00,5.25,1.00,1.00,0.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6318576,5.00,5.00,3.00,6.00,10.00,7.88,1.00,4.00,4.00,451,NULL,NULL,'GRANJA VIANA','COTIA','SP',8880,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6318584,4.00,4.00,3.00,4.00,7.00,11.25,1.00,2.00,3.00,203,NULL,202,'ROÇADO','S JOSÉ','SC',15178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318592,2.00,4.00,4.00,3.00,7.00,7.50,2.00,5.00,2.00,428,NULL,427,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6318630,2.00,3.00,1.00,3.00,3.00,4.50,2.00,3.00,2.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6318657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6318665,4.00,5.00,4.00,4.00,7.00,6.75,3.00,5.00,6.00,304,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',11359,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6318673,3.00,3.00,2.00,4.00,6.00,NULL,0.00,0.00,1.00,415,NULL,NULL,'JD CIDADE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318681,6.00,6.00,3.00,6.00,10.00,7.88,2.00,8.00,5.00,201,NULL,215,'RIO VERMELHO','FLORIANÓPOLIS','SC',4586,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318690,4.00,3.00,1.00,4.00,5.00,8.63,0.00,4.00,3.00,319,NULL,NULL,'ALIANÇA','STA CRUZ SUL','RS',14823,281,NULL,NULL,NULL,NULL,NULL,2,6),(25,6318703,3.00,6.00,2.00,3.00,6.00,9.00,0.00,5.00,4.00,655,NULL,652,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6318711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6318720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'PARQUE DOS ESTADOS','STA TEREZINHA ITAIPU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6318746,4.00,5.00,2.00,3.00,6.00,7.13,1.00,5.00,1.00,335,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',17788,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318754,1.00,5.00,1.00,3.00,2.00,NULL,4.00,0.00,3.00,332,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6318762,3.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6318797,4.00,5.00,1.00,8.00,4.00,7.88,3.00,6.00,4.00,234,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',9643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6318819,3.00,5.00,2.00,7.00,6.00,4.88,1.00,3.00,0.00,404,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',14750,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318827,7.00,5.00,1.00,5.00,7.00,8.25,1.00,4.00,7.00,103,NULL,NULL,'SANTA MARTA','S CARLOS','SP',5439,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6318835,2.00,7.00,1.00,5.00,7.00,NULL,0.00,4.00,1.00,303,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6318843,4.00,6.00,2.00,1.00,5.00,7.50,1.00,3.00,5.00,601,NULL,207,'AGUAS CLARAS','BRUSQUE','SC',16911,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6318851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,207,'SANTO ANTÔNIO','JAÚ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6318878,6.00,7.00,1.00,5.00,9.00,10.13,2.00,4.00,7.00,102,NULL,NULL,'CENTRO','PIRACICABA','SP',4732,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6318894,2.00,5.00,2.00,1.00,6.00,6.75,1.00,3.00,0.00,211,NULL,215,'LISBOA','S JOSÉ','SC',19918,523,NULL,319,NULL,NULL,NULL,4,1),(25,6318908,5.00,5.00,1.00,4.00,5.00,10.13,0.00,1.00,2.00,303,NULL,NULL,'DOS ESTADOS','INDAIAL','SC',14541,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6318916,8.00,6.00,6.00,6.00,9.00,9.75,3.00,9.00,7.00,103,NULL,NULL,'BOM CLIMA','GUARULHOS','SP',766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318924,1.00,3.00,0.00,3.00,7.00,7.13,1.00,2.00,2.00,207,NULL,211,'SOROCABA DE FORA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6318932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,653,'JARDIM TAROBÁ','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6318959,5.00,6.00,3.00,6.00,6.00,9.00,3.00,1.00,2.00,238,NULL,208,'CORREGO GRANDE','FLORIANÓPOLIS','SC',13337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6318967,4.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(25,6318975,3.00,6.00,2.00,3.00,4.00,6.38,3.00,1.00,3.00,415,NULL,NULL,'STEFFEN','BRUSQUE','SC',17084,268,NULL,NULL,NULL,NULL,NULL,2,2),(25,6318991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'PARQUE DA MÓOCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6319009,5.00,4.00,1.00,5.00,5.00,7.50,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',14479,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6319017,3.00,6.00,1.00,3.00,7.00,6.75,2.00,2.00,2.00,318,NULL,NULL,'CENTRO','LEBON RÉGIS','SC',15687,65,NULL,NULL,NULL,NULL,NULL,2,16),(25,6319025,4.00,5.00,0.00,3.00,7.00,NULL,2.00,2.00,1.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319033,8.00,4.00,3.00,7.00,8.00,8.25,4.00,2.00,4.00,203,NULL,235,'CENTRO','S JOSÉ CAMPOS','SP',6842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319041,2.00,2.00,0.00,4.00,8.00,NULL,2.00,5.00,1.00,202,NULL,235,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319050,6.00,4.00,1.00,5.00,5.00,9.75,2.00,5.00,5.00,103,NULL,NULL,'JARDIM TARRAF II','S JOSÉ R PRETO','SP',7736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319068,0.00,3.00,0.00,2.00,2.00,NULL,1.00,4.00,0.00,301,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319076,4.00,3.00,2.00,6.00,10.00,NULL,0.00,6.00,5.00,450,NULL,NULL,'NÚCLEO BANDEIRANTE','NUC BANDEIRANTE','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319084,8.00,6.00,3.00,6.00,9.00,12.75,6.00,6.00,7.00,103,NULL,NULL,'JD DAS PAINEIRAS','BRAGANÇA PAULISTA','SP',686,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'JARDIM ANHANGUERA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6319114,3.00,6.00,0.00,2.00,5.00,6.38,1.00,2.00,1.00,238,NULL,208,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319122,4.00,5.00,2.00,5.00,7.00,8.63,1.00,2.00,3.00,104,NULL,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',13023,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6319149,8.00,7.00,7.00,6.00,10.00,9.00,5.00,6.00,8.00,216,NULL,203,'EMBARÉ','SANTOS','SP',688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319157,8.00,7.00,4.00,1.00,5.00,8.25,1.00,6.00,7.00,103,NULL,NULL,'CENTRO','RENASCENÇA','PR',5758,2655,NULL,NULL,NULL,NULL,NULL,4,4),(25,6319165,4.00,4.00,2.00,3.00,3.00,7.50,1.00,3.00,4.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',19342,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6319173,5.00,6.00,1.00,5.00,6.00,8.25,2.00,2.00,5.00,108,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',9904,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,425,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6319190,4.00,5.00,1.00,5.00,6.00,9.38,1.00,2.00,5.00,102,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',11431,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6319211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6319220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CRUZEIRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6319238,2.00,3.00,1.00,2.00,6.00,NULL,1.00,1.00,0.00,103,NULL,NULL,'CENTENÁRIO','MONTENEGRO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6319246,4.00,3.00,4.00,7.00,4.00,8.63,5.00,4.00,5.00,203,NULL,214,'CENTRO','POMERODE','SC',8210,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6319254,3.00,6.00,1.00,4.00,7.00,6.75,3.00,2.00,4.00,207,NULL,201,'JURERÊ','FLORIANÓPOLIS','SC',15726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319262,2.00,5.00,1.00,1.00,3.00,7.13,2.00,2.00,3.00,201,NULL,220,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319270,5.00,3.00,2.00,5.00,6.00,6.38,2.00,4.00,1.00,404,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',15231,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319289,5.00,5.00,0.00,2.00,3.00,8.63,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','NOVA STA RITA','RS',17421,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319297,5.00,4.00,1.00,4.00,5.00,7.13,1.00,2.00,5.00,108,NULL,NULL,'DOS ESTADOS','GUARAPUAVA','PR',13907,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319319,2.00,4.00,3.00,5.00,7.00,8.25,2.00,2.00,1.00,999,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319327,2.00,3.00,0.00,1.00,4.00,NULL,0.00,0.00,3.00,308,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319335,4.00,4.00,1.00,6.00,8.00,NULL,2.00,3.00,0.00,453,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319351,3.00,2.00,1.00,2.00,5.00,8.25,0.00,0.00,0.00,316,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319360,3.00,4.00,0.00,4.00,3.00,NULL,2.00,2.00,3.00,655,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6319378,4.00,5.00,3.00,1.00,6.00,9.75,3.00,6.00,4.00,317,NULL,NULL,'FATIMA','JOINVILLE','SC',13086,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6319386,1.00,0.00,3.00,3.00,6.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,17),(25,6319394,4.00,2.00,3.00,2.00,4.00,4.88,2.00,0.00,1.00,319,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319408,4.00,6.00,2.00,5.00,8.00,12.75,3.00,6.00,3.00,415,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',5781,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6319416,4.00,3.00,1.00,3.00,4.00,6.38,2.00,2.00,1.00,101,NULL,NULL,'CACHOEIRAS','BIGUAÇU','SC',21015,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319424,2.00,5.00,0.00,4.00,7.00,NULL,2.00,1.00,4.00,101,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319432,2.00,2.00,1.00,5.00,6.00,7.50,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','MONTENEGRO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6319440,6.00,5.00,3.00,4.00,7.00,7.50,3.00,5.00,5.00,404,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',10659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319459,2.00,5.00,1.00,4.00,7.00,NULL,0.00,5.00,3.00,303,NULL,NULL,'SÃO LUIS','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6319467,3.00,7.00,3.00,2.00,4.00,5.63,1.00,2.00,3.00,653,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6319475,4.00,6.00,3.00,5.00,7.00,NULL,2.00,6.00,0.00,999,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6319483,4.00,3.00,0.00,3.00,7.00,8.25,1.00,2.00,1.00,102,NULL,NULL,'JARDIM AMÉRICA','VACARIA','RS',20054,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6319491,5.00,4.00,1.00,5.00,6.00,9.38,0.00,1.00,3.00,103,NULL,NULL,'CANTA GALO','RIO SUL','SC',13534,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6319505,5.00,5.00,0.00,5.00,9.00,12.75,2.00,3.00,6.00,207,NULL,201,'CENTRO','CHAPECÓ','SC',5721,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6319513,1.00,5.00,1.00,2.00,4.00,5.25,1.00,0.00,3.00,444,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6319548,4.00,6.00,1.00,7.00,4.00,NULL,1.00,0.00,3.00,444,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319564,1.00,5.00,4.00,4.00,5.00,7.50,2.00,0.00,2.00,308,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',19494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319580,2.00,6.00,2.00,5.00,8.00,11.25,3.00,4.00,3.00,336,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',8784,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319599,3.00,7.00,3.00,2.00,6.00,9.00,1.00,2.00,0.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17242,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319602,0.00,5.00,1.00,4.00,2.00,NULL,3.00,1.00,1.00,551,NULL,NULL,'SANTO ANTÔNIO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6319610,8.00,6.00,4.00,5.00,9.00,11.63,3.00,6.00,9.00,303,NULL,NULL,'BATEL','CURITIBA','PR',1190,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6319629,4.00,3.00,3.00,5.00,6.00,9.75,2.00,4.00,3.00,104,NULL,NULL,'CENTRO','IMBITUBA','SC',13555,327,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319637,5.00,6.00,4.00,7.00,10.00,10.13,0.00,4.00,4.00,999,NULL,NULL,'CENTRO','STA RITA SAPUCAÍ','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319645,4.00,3.00,2.00,6.00,7.00,7.13,1.00,4.00,2.00,444,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',17299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319653,2.00,2.00,1.00,2.00,2.00,NULL,0.00,2.00,2.00,316,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319661,3.00,4.00,2.00,5.00,5.00,NULL,0.00,5.00,1.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319670,5.00,7.00,1.00,6.00,8.00,9.75,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319688,3.00,3.00,2.00,1.00,2.00,NULL,3.00,3.00,1.00,5,NULL,NULL,'DONA WANDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319700,3.00,7.00,0.00,5.00,8.00,6.75,2.00,5.00,4.00,203,NULL,238,'CENTRO','CAPIVARI BAIXO','SC',12818,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6319726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,238,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6319734,1.00,3.00,2.00,4.00,5.00,8.25,1.00,3.00,3.00,451,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',19977,36,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319742,2.00,2.00,0.00,1.00,4.00,NULL,0.00,2.00,0.00,317,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319750,5.00,6.00,2.00,2.00,7.00,10.13,1.00,8.00,5.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',7447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319777,4.00,6.00,2.00,5.00,7.00,8.25,3.00,4.00,5.00,999,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6319793,6.00,7.00,6.00,7.00,9.00,6.75,3.00,6.00,7.00,415,NULL,NULL,'CENTRO','DUARTINA','SP',1957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,233,'CAPIVARI','CAMPOS JORDÃO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6319823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CEDRINHO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6319831,3.00,7.00,2.00,4.00,7.00,7.50,2.00,7.00,4.00,339,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319840,5.00,4.00,2.00,6.00,8.00,8.25,1.00,4.00,5.00,208,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',8602,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6319858,7.00,6.00,5.00,5.00,9.00,12.75,3.00,6.00,3.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',1936,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319866,4.00,6.00,6.00,6.00,7.00,7.50,4.00,8.00,3.00,203,NULL,202,'VILA SAMPAIO','ARAPONGAS','PR',4955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319874,6.00,5.00,5.00,5.00,5.00,7.88,2.00,5.00,3.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319882,4.00,6.00,2.00,1.00,8.00,8.25,1.00,3.00,3.00,202,NULL,213,'CENTRO','FRAIBURGO','SC',13374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319890,9.00,5.00,5.00,7.00,8.00,9.00,3.00,5.00,7.00,103,NULL,NULL,'PARQUE ANHANGUERA','GOIÂNIA','GO',1312,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6319904,9.00,7.00,7.00,6.00,9.00,10.13,2.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,220,'CENTRO','ROMELÂNDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6319920,8.00,7.00,6.00,5.00,9.00,8.25,3.00,7.00,7.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1892,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319939,5.00,6.00,0.00,3.00,9.00,9.75,2.00,6.00,8.00,303,NULL,NULL,'JARDIM SANTA RITA','JABOTICABAL','SP',5274,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6319947,7.00,7.00,3.00,4.00,5.00,6.75,1.00,5.00,4.00,336,NULL,NULL,'CENTRO','COCAL SUL','SC',9882,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6319955,3.00,3.00,1.00,0.00,3.00,6.38,1.00,3.00,3.00,208,NULL,203,'COLONINHA','FLORIANÓPOLIS','SC',21516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6319963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'BOEHMERWALDT','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6319980,3.00,4.00,1.00,3.00,2.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6319998,8.00,6.00,6.00,7.00,9.00,10.13,6.00,7.00,9.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'VILA NOVA','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6320023,3.00,5.00,2.00,7.00,7.00,7.50,0.00,3.00,1.00,999,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320031,3.00,4.00,3.00,3.00,5.00,5.63,1.00,4.00,2.00,333,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',18332,142,NULL,NULL,NULL,NULL,NULL,2,1),(25,6320058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6320066,2.00,2.00,0.00,3.00,4.00,NULL,2.00,5.00,1.00,415,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6320074,3.00,6.00,2.00,5.00,5.00,9.00,0.00,2.00,3.00,420,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11443,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6320082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CORRIDAS','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6320090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CIDADE NOVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6320104,7.00,7.00,3.00,4.00,7.00,7.88,5.00,4.00,7.00,201,NULL,207,'MADUREIRA','CAXIAS SUL','RS',4059,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6320112,4.00,3.00,2.00,3.00,8.00,8.63,2.00,3.00,1.00,601,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',14464,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6320120,6.00,8.00,3.00,6.00,6.00,7.13,2.00,6.00,6.00,340,NULL,NULL,'CENTRO','TUBARÃO','SC',5811,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6320139,1.00,2.00,2.00,3.00,7.00,6.75,0.00,2.00,1.00,103,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',21283,4779,NULL,NULL,NULL,NULL,NULL,4,4),(25,6320163,2.00,6.00,0.00,1.00,4.00,NULL,0.00,1.00,2.00,9,NULL,NULL,'INTERIOR','MAREMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(25,6320171,2.00,5.00,2.00,2.00,5.00,6.00,2.00,2.00,1.00,211,NULL,213,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6320180,3.00,1.00,2.00,4.00,6.00,7.88,2.00,1.00,1.00,108,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6320198,3.00,6.00,1.00,2.00,6.00,8.25,0.00,3.00,3.00,103,NULL,NULL,'ZANTÃO','BRUSQUE','SC',14883,4210,NULL,NULL,NULL,NULL,NULL,4,2),(25,6320201,0.00,3.00,0.00,5.00,5.00,8.25,1.00,0.00,0.00,201,NULL,203,'JARDIM PEPERI','S MIGUEL OESTE','SC',20503,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6320210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6320236,5.00,8.00,2.00,4.00,7.00,8.63,2.00,4.00,3.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11553,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6320244,3.00,3.00,2.00,1.00,7.00,10.50,2.00,1.00,1.00,2,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6320260,3.00,2.00,1.00,3.00,5.00,NULL,0.00,1.00,2.00,999,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6320279,7.00,7.00,2.00,6.00,10.00,9.00,1.00,5.00,7.00,216,NULL,220,'CARVOEIRA','FLORIANÓPOLIS','SC',3605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320287,3.00,3.00,1.00,5.00,6.00,NULL,0.00,3.00,4.00,333,NULL,NULL,'JARDIM MANGALOT','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320295,2.00,0.00,2.00,5.00,7.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6320309,2.00,4.00,0.00,4.00,7.00,9.38,1.00,5.00,2.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',13604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6320325,2.00,6.00,0.00,2.00,3.00,NULL,4.00,2.00,0.00,201,NULL,216,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6320333,5.00,5.00,3.00,4.00,9.00,7.13,1.00,6.00,3.00,104,NULL,NULL,'SÃO LUÍS','CRICIÚMA','SC',8538,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6320341,9.00,8.00,5.00,5.00,10.00,9.00,3.00,8.00,8.00,103,NULL,NULL,'CENTRO','ROLÂNDIA','PR',1056,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6320350,7.00,4.00,5.00,6.00,7.00,9.75,2.00,4.00,6.00,103,NULL,NULL,'VILA MASCOTE','S PAULO','SP',3354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320368,3.00,4.00,0.00,3.00,6.00,9.00,3.00,2.00,2.00,108,NULL,NULL,'REGINA CELIA','CRUZEIRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320384,2.00,3.00,2.00,5.00,5.00,9.75,2.00,1.00,0.00,317,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',17292,119,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320392,3.00,5.00,2.00,2.00,6.00,5.25,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','REALEZA','PR',13309,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6320406,9.00,8.00,2.00,6.00,9.00,7.50,5.00,9.00,5.00,103,NULL,NULL,'CENTRO','CPO BOM','RS',1535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320414,8.00,7.00,3.00,4.00,8.00,10.88,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','PARANAÍBA','MS',2803,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6320422,7.00,7.00,2.00,6.00,10.00,9.38,3.00,2.00,7.00,205,NULL,NULL,'CENTRO','POMERODE','SC',5100,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(25,6320430,4.00,4.00,1.00,1.00,8.00,6.75,1.00,4.00,3.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',16994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320449,6.00,6.00,5.00,5.00,8.00,11.25,1.00,3.00,5.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',4841,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6320457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PEDRO LUDOVICO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6320473,7.00,6.00,4.00,7.00,7.00,9.75,3.00,3.00,6.00,999,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6320490,5.00,6.00,2.00,5.00,7.00,9.00,1.00,3.00,3.00,103,NULL,NULL,'CARAJÁ','JESUÍTAS','PR',9383,3458,NULL,NULL,NULL,NULL,NULL,2,8),(25,6320503,3.00,6.00,0.00,5.00,4.00,NULL,3.00,3.00,1.00,303,NULL,NULL,'CIDADE ALTA','TROMBUDO CENTRAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6320511,3.00,2.00,2.00,4.00,6.00,NULL,2.00,1.00,0.00,302,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6320520,1.00,0.00,0.00,3.00,1.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,17),(25,6320538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6320546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DAS ROSAS','ETN VELHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6320554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6320570,3.00,5.00,4.00,4.00,5.00,8.63,1.00,4.00,1.00,302,NULL,NULL,'SERRARIA','S JOSÉ','SC',14254,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6320589,1.00,4.00,3.00,2.00,5.00,9.00,1.00,2.00,2.00,103,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',16699,4405,NULL,NULL,NULL,NULL,NULL,2,1),(25,6320597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','URUGUAIANA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6320619,1.00,4.00,2.00,4.00,5.00,9.38,1.00,1.00,2.00,318,NULL,NULL,'JARDIM SÃO JOSÉ','MTE APRAZÍVEL','SP',17936,84,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6320635,2.00,4.00,4.00,6.00,9.00,8.25,0.00,3.00,2.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',14282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320651,4.00,4.00,2.00,2.00,3.00,6.75,0.00,0.00,0.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6320660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PROGRESSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6320686,7.00,7.00,4.00,7.00,9.00,7.88,2.00,7.00,6.00,340,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',3042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320694,5.00,6.00,5.00,6.00,8.00,8.63,3.00,6.00,6.00,233,NULL,213,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'MONTE BELO','GRAVATAÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6320716,5.00,5.00,0.00,6.00,8.00,NULL,0.00,3.00,4.00,415,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320732,3.00,2.00,2.00,5.00,4.00,7.13,0.00,0.00,2.00,216,NULL,207,'SÃO LOURENÇO','CPO VERDE','MT',18995,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6320740,3.00,2.00,2.00,2.00,4.00,NULL,0.00,1.00,0.00,103,NULL,NULL,'MIRANTE','ITÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6320759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'ALTO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6320767,4.00,6.00,4.00,7.00,8.00,7.13,4.00,7.00,7.00,201,NULL,212,'CATU DE ABRANTES','CAMAÇARI','BA',4532,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6320775,4.00,5.00,0.00,4.00,6.00,NULL,0.00,6.00,4.00,208,NULL,238,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320783,2.00,6.00,2.00,3.00,3.00,6.75,2.00,5.00,4.00,201,NULL,212,'RONDINHA','PTE ALTA NORTE','SC',16818,1412,NULL,498,NULL,NULL,NULL,2,9),(25,6320791,3.00,3.00,1.00,3.00,7.00,6.75,3.00,1.00,0.00,211,NULL,201,'CENTRO','ROSÁRIO SUL','RS',17724,466,NULL,1467,NULL,NULL,NULL,2,6),(25,6320813,4.00,7.00,2.00,2.00,6.00,NULL,2.00,2.00,3.00,999,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(25,6320821,3.00,2.00,0.00,2.00,7.00,NULL,3.00,1.00,2.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6320830,6.00,5.00,2.00,5.00,7.00,6.38,4.00,4.00,5.00,104,NULL,NULL,'CENTRO','CONCÓRDIA','SC',10787,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6320856,4.00,5.00,4.00,4.00,5.00,8.25,1.00,3.00,3.00,216,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',11567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6320864,0.00,4.00,3.00,2.00,4.00,6.00,2.00,2.00,0.00,340,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',19280,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6320872,8.00,6.00,4.00,7.00,9.00,9.00,3.00,5.00,7.00,103,NULL,NULL,'JARDIM PENHA','S PAULO','SP',2021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320880,3.00,3.00,3.00,2.00,4.00,NULL,0.00,0.00,2.00,211,NULL,NULL,'RIO VERMELHO ESTAÇÃO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6320899,2.00,4.00,2.00,3.00,5.00,7.88,2.00,2.00,3.00,655,NULL,208,'VALPARAISO','BLUMENAU','SC',18009,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6320902,4.00,7.00,3.00,4.00,7.00,8.63,1.00,4.00,3.00,207,NULL,201,'FÁTIMA','CAXIAS SUL','RS',9589,475,NULL,765,NULL,NULL,NULL,2,1),(25,6320910,3.00,5.00,1.00,2.00,2.00,NULL,0.00,1.00,1.00,425,NULL,424,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320937,7.00,7.00,6.00,4.00,7.00,8.63,1.00,8.00,8.00,103,NULL,NULL,'BELA VISTA','GOIÂNIA','GO',2062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6320953,5.00,6.00,3.00,4.00,7.00,7.50,2.00,5.00,2.00,653,NULL,211,'CENTRO','ARROIO MEIO','RS',8452,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6320961,7.00,8.00,3.00,7.00,8.00,9.38,1.00,4.00,5.00,103,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',4388,2214,NULL,NULL,NULL,NULL,NULL,4,7),(25,6320970,3.00,5.00,1.00,2.00,5.00,5.63,4.00,4.00,1.00,601,NULL,235,'BATEL','GUARAPUAVA','PR',18027,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6320988,2.00,1.00,2.00,3.00,4.00,4.88,3.00,1.00,2.00,211,NULL,238,'CENTRO','STA MARIA','RS',19888,520,NULL,474,NULL,NULL,NULL,2,6),(25,6320996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PALMAS','TO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6321003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'JARDIM ISMÊNIA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6321011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6321020,6.00,7.00,4.00,5.00,8.00,6.75,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6321038,3.00,4.00,0.00,1.00,2.00,NULL,2.00,5.00,1.00,652,NULL,655,'SÃO CRISTOVÃO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6321046,7.00,6.00,2.00,6.00,9.00,10.13,4.00,2.00,5.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',4861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6321054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'HUGO LANGE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6321062,0.00,3.00,2.00,2.00,7.00,9.00,2.00,1.00,0.00,453,NULL,NULL,'VILA LORENZI','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6321070,4.00,5.00,2.00,7.00,9.00,9.00,1.00,4.00,2.00,103,NULL,NULL,'CAMPO LIMPO','AMERICANA','SP',9542,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6321097,5.00,6.00,3.00,7.00,10.00,9.38,3.00,4.00,4.00,203,NULL,214,'BARREIROS','S JOSÉ','SC',5505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6321119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PAULAS','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6321127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'CENTRO','STO ANTÔNIO SUDOESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6321135,3.00,3.00,3.00,4.00,6.00,NULL,2.00,0.00,2.00,999,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6321143,4.00,5.00,3.00,6.00,7.00,9.38,1.00,4.00,4.00,999,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6321151,7.00,7.00,5.00,7.00,10.00,10.13,2.00,7.00,7.00,103,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6321160,1.00,6.00,3.00,1.00,6.00,10.88,2.00,3.00,4.00,304,NULL,NULL,'CENTRO','JACINTO MACHADO','SC',16130,118,NULL,NULL,NULL,NULL,NULL,4,15),(25,6321178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BUTANTÃ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6321186,9.00,6.00,4.00,7.00,10.00,9.38,5.00,6.00,9.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',790,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6321208,8.00,7.00,6.00,6.00,9.00,NULL,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6321259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO CRISTÓVÃO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6321267,5.00,5.00,2.00,4.00,7.00,9.00,2.00,2.00,4.00,104,NULL,NULL,'CENTRO','JOAÇABA','SC',9691,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6321275,6.00,4.00,3.00,1.00,8.00,9.38,1.00,4.00,6.00,214,NULL,215,'LIBERDADE','S PAULO','SP',8142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6321305,4.00,5.00,3.00,3.00,9.00,6.38,0.00,5.00,7.00,216,NULL,211,'MIRAGEM','LAURO FREITAS','BA',8560,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6321313,6.00,5.00,6.00,5.00,8.00,7.88,2.00,4.00,5.00,201,NULL,216,'AUXILIADORA','PTO ALEGRE','RS',6083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6321321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CHACARA DA BARRA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6321330,5.00,5.00,1.00,7.00,7.00,10.13,4.00,5.00,2.00,201,NULL,601,'TRINDADE','FLORIANÓPOLIS','SC',7489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6321348,3.00,6.00,1.00,3.00,5.00,7.88,2.00,5.00,3.00,5,NULL,NULL,'FLORESTA','S JOSÉ','SC',17133,600,NULL,NULL,NULL,NULL,NULL,2,1),(25,6321356,4.00,5.00,0.00,6.00,8.00,7.50,5.00,5.00,2.00,208,NULL,238,'CARIANOS','FLORIANÓPOLIS','SC',10152,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6321372,7.00,5.00,1.00,7.00,5.00,7.88,1.00,3.00,5.00,103,NULL,NULL,'OPERÁRIO','NOVO HAMBURGO','RS',8725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6321380,7.00,6.00,3.00,3.00,7.00,9.38,2.00,7.00,6.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',5387,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6321399,4.00,3.00,1.00,2.00,6.00,4.88,3.00,3.00,1.00,999,NULL,NULL,'NOVA BRASÍLIA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6321402,7.00,6.00,7.00,6.00,6.00,8.63,4.00,8.00,8.00,203,NULL,201,'CENTRO','LONDRINA','PR',1943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6321410,2.00,2.00,2.00,1.00,3.00,5.25,0.00,0.00,2.00,654,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',21760,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6321437,5.00,7.00,3.00,4.00,9.00,8.63,1.00,4.00,7.00,5,NULL,NULL,'ESTADOS','TIMBÓ','SC',7463,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6321445,6.00,4.00,3.00,6.00,6.00,9.75,3.00,4.00,3.00,208,NULL,238,'CENTRO','LAGES','SC',9487,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6321453,7.00,5.00,7.00,2.00,8.00,8.63,2.00,3.00,4.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',5909,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6321461,3.00,2.00,3.00,4.00,5.00,7.88,2.00,1.00,3.00,444,NULL,NULL,'PARTENON','PTO ALEGRE','RS',19111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6321470,1.00,3.00,2.00,1.00,3.00,0.00,1.00,3.00,2.00,421,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6321488,3.00,6.00,1.00,0.00,5.00,NULL,2.00,7.00,5.00,207,NULL,201,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6321496,5.00,5.00,1.00,4.00,5.00,8.63,0.00,5.00,1.00,103,NULL,NULL,'RIBEIRÃO FRESCO','BLUMENAU','SC',14199,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6321500,8.00,6.00,4.00,4.00,10.00,9.00,1.00,5.00,6.00,5,NULL,NULL,'VILA NOVA','IMBITUBA','SC',3358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6321518,3.00,5.00,3.00,3.00,4.00,NULL,1.00,0.00,1.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6321526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6321534,4.00,7.00,2.00,3.00,7.00,7.50,2.00,5.00,1.00,207,NULL,NULL,'JARDIM ESTER','S PAULO','SP',13319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6321542,3.00,5.00,1.00,5.00,6.00,7.88,0.00,2.00,2.00,503,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',16665,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6321550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SETOR SUL','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6321569,7.00,5.00,6.00,8.00,8.00,7.50,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',2454,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6321577,2.00,6.00,3.00,7.00,7.00,7.50,2.00,6.00,4.00,316,NULL,NULL,'CENTRO','GAROPABA','SC',9675,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6321585,7.00,5.00,2.00,2.00,7.00,8.63,3.00,4.00,5.00,103,NULL,NULL,'RIBEIROPOLIS','REGISTRO','SP',6602,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6321607,0.00,4.00,1.00,3.00,5.00,3.38,3.00,4.00,4.00,655,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6321623,4.00,5.00,1.00,5.00,5.00,NULL,0.00,1.00,2.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6321631,3.00,6.00,1.00,5.00,6.00,7.50,3.00,4.00,6.00,202,NULL,208,'MATO PRETO','S BENTO SUL','SC',10095,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6321640,5.00,4.00,2.00,3.00,5.00,9.38,1.00,1.00,2.00,335,NULL,NULL,'TRIBUTO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6321658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'PALMEIRAS DE SAO JOS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6321666,2.00,2.00,1.00,2.00,4.00,8.25,1.00,0.00,0.00,450,NULL,NULL,'RONDINHA','PTE ALTA NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6321674,4.00,6.00,2.00,6.00,5.00,8.25,2.00,3.00,2.00,333,NULL,NULL,'CENTRO','TUBARÃO','SC',14894,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6321682,1.00,4.00,3.00,3.00,6.00,8.25,0.00,3.00,2.00,109,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16915,89,NULL,NULL,NULL,NULL,NULL,2,1),(25,6321690,4.00,3.00,1.00,3.00,9.00,NULL,1.00,0.00,2.00,215,NULL,233,'SANTO ANTONIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6321704,8.00,5.00,3.00,6.00,10.00,10.50,4.00,9.00,9.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',680,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6321712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JD SÃO JOSÉ','BRAGANÇA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6321720,4.00,6.00,4.00,5.00,8.00,9.75,3.00,5.00,7.00,216,NULL,207,'CONTA DINHEIRO','LAGES','SC',4269,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6321739,7.00,8.00,3.00,3.00,6.00,NULL,0.00,4.00,2.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6321747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'CHACRA PAULISTA','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6321755,2.00,5.00,1.00,2.00,5.00,7.50,3.00,2.00,2.00,9,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',20460,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6321763,7.00,8.00,3.00,5.00,8.00,11.63,2.00,6.00,3.00,102,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',4267,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6321771,6.00,3.00,3.00,3.00,8.00,9.38,0.00,0.00,6.00,103,NULL,NULL,'ALTO DA GLÓRIA','LOANDA','PR',13939,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6321798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA OLIVEIRA','STA BÁRBARA D OESTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6321801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'PARAISO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6321810,8.00,5.00,6.00,4.00,6.00,10.50,6.00,7.00,7.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',2189,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6321828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SÃO BRAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6321836,2.00,4.00,1.00,3.00,3.00,NULL,1.00,0.00,2.00,301,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6321844,3.00,4.00,0.00,6.00,8.00,8.25,1.00,1.00,1.00,999,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6321852,3.00,5.00,2.00,3.00,6.00,NULL,0.00,4.00,3.00,444,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6321860,3.00,6.00,1.00,4.00,6.00,7.50,3.00,1.00,2.00,333,NULL,NULL,'MORADA DA COLINA','PASSO FUNDO','RS',15861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6321879,2.00,3.00,1.00,2.00,7.00,7.13,0.00,0.00,3.00,319,NULL,NULL,'SÃO JORGE','CRUZ ALTA','RS',19282,404,NULL,NULL,NULL,NULL,NULL,4,2),(25,6321887,1.00,2.00,2.00,3.00,3.00,8.63,2.00,0.00,1.00,104,NULL,NULL,'SANTA CATARINA','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6321909,4.00,5.00,1.00,6.00,6.00,6.75,0.00,3.00,3.00,102,NULL,NULL,'OFICINAS','TUBARÃO','SC',15030,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6321917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6321925,3.00,4.00,4.00,7.00,6.00,7.88,3.00,5.00,2.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',9996,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6321933,3.00,3.00,1.00,3.00,5.00,7.50,0.00,2.00,2.00,212,NULL,203,'CENTRO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6321941,2.00,2.00,1.00,2.00,3.00,8.63,2.00,4.00,2.00,216,NULL,211,'CENTRO','XAXIM','SC',19297,602,NULL,505,NULL,NULL,NULL,4,4),(25,6321950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6321968,4.00,4.00,0.00,2.00,5.00,8.25,0.00,1.00,1.00,202,NULL,235,'ITOUPAVA NORTE','BLUMENAU','SC',20580,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6321976,2.00,2.00,0.00,4.00,4.00,NULL,2.00,0.00,2.00,110,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6321984,7.00,6.00,1.00,8.00,7.00,8.63,1.00,6.00,6.00,220,NULL,233,'JARDIM LA SALLE','TOLEDO','PR',7429,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6321992,3.00,7.00,3.00,2.00,7.00,12.38,0.00,3.00,1.00,317,NULL,NULL,'AGUAS CLARAS','BRUSQUE','SC',13042,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6322000,5.00,4.00,0.00,3.00,7.00,7.50,1.00,4.00,5.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',13970,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6322018,2.00,4.00,3.00,5.00,7.00,9.75,3.00,6.00,3.00,207,NULL,201,'CENTRO','UBIRATÃ','PR',7845,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6322026,2.00,4.00,3.00,2.00,5.00,7.13,1.00,5.00,1.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',20249,4703,NULL,NULL,NULL,NULL,NULL,2,4),(25,6322034,2.00,3.00,1.00,4.00,5.00,7.50,3.00,1.00,2.00,425,NULL,429,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',18679,77,NULL,43,NULL,NULL,NULL,4,15),(25,6322042,5.00,7.00,2.00,5.00,7.00,9.38,1.00,4.00,6.00,202,NULL,213,'SÃO MARCOS','FARROUPILHA','RS',6663,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6322050,6.00,6.00,3.00,3.00,8.00,7.88,2.00,1.00,6.00,333,NULL,NULL,'CENTRO','OURO FINO','MG',9543,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322069,8.00,6.00,5.00,7.00,8.00,11.25,2.00,4.00,6.00,102,NULL,NULL,'CIDADE MONÇÕES','MARINGÁ','PR',2911,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6322077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA MONICA','FRA SANTANA','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6322085,0.00,2.00,1.00,0.00,4.00,9.00,1.00,0.00,1.00,220,NULL,NULL,'POPULAR','LAGES','SC',21016,503,NULL,NULL,NULL,NULL,NULL,4,9),(25,6322107,1.00,3.00,2.00,2.00,4.00,NULL,0.00,4.00,0.00,104,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322115,3.00,6.00,4.00,3.00,7.00,7.13,1.00,1.00,3.00,238,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322123,4.00,3.00,1.00,6.00,5.00,7.13,0.00,0.00,2.00,201,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',20740,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6322131,4.00,5.00,3.00,6.00,6.00,10.13,1.00,5.00,2.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322140,2.00,5.00,3.00,5.00,3.00,7.88,2.00,1.00,0.00,5,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',19037,653,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322158,4.00,6.00,3.00,6.00,8.00,9.38,1.00,6.00,6.00,203,NULL,201,'LIBERDADE','S PAULO','SP',5820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322174,4.00,7.00,0.00,5.00,4.00,9.00,2.00,5.00,6.00,213,NULL,233,'FORQUILHAS','S JOSÉ','SC',10537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322182,3.00,4.00,3.00,2.00,6.00,NULL,3.00,0.00,4.00,999,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322190,5.00,7.00,0.00,0.00,3.00,6.00,2.00,5.00,1.00,336,NULL,NULL,'AMERICA','JOINVILLE','SC',20585,173,NULL,NULL,NULL,NULL,NULL,2,8),(25,6322204,6.00,8.00,8.00,3.00,6.00,8.63,4.00,5.00,6.00,201,NULL,211,'CABREUVA','CPO GRANDE','MS',3214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA JABOTICABAL','JABOTICABAL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6322220,3.00,3.00,1.00,1.00,5.00,5.63,2.00,0.00,2.00,425,NULL,NULL,'JARIM ITALIA','CHAPECÓ','SC',21459,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322239,4.00,5.00,4.00,3.00,6.00,7.50,3.00,5.00,1.00,999,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6322247,3.00,2.00,0.00,4.00,6.00,7.88,1.00,2.00,2.00,104,NULL,NULL,'CIDADE ALTA','MEDIANEIRA','PR',18601,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6322255,3.00,5.00,3.00,5.00,7.00,8.63,2.00,8.00,3.00,103,NULL,NULL,'JARDIM SOFIA','JOINVILLE','SC',11755,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6322263,8.00,6.00,2.00,7.00,8.00,10.13,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322271,1.00,2.00,2.00,3.00,3.00,NULL,0.00,3.00,0.00,317,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'PADRE EUSTAQUIO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6322298,0.00,4.00,0.00,0.00,0.00,NULL,2.00,5.00,2.00,201,NULL,212,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322301,6.00,3.00,3.00,3.00,8.00,6.75,1.00,4.00,3.00,202,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',11029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322310,5.00,4.00,1.00,6.00,6.00,9.75,3.00,3.00,3.00,301,NULL,NULL,'SAUDADE','BIGUAÇU','SC',12226,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322328,3.00,5.00,3.00,5.00,5.00,8.63,2.00,1.00,1.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322352,4.00,3.00,2.00,4.00,7.00,7.13,0.00,3.00,1.00,319,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322360,2.00,5.00,2.00,2.00,3.00,6.38,2.00,4.00,2.00,653,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',20825,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6322379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ESTREITO BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6322387,1.00,6.00,3.00,3.00,5.00,7.88,2.00,3.00,1.00,101,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',19378,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322395,6.00,6.00,3.00,5.00,8.00,10.50,2.00,8.00,6.00,103,NULL,NULL,'KOLLER','ERECHIM','RS',3336,1834,NULL,NULL,NULL,NULL,NULL,2,5),(25,6322409,4.00,4.00,2.00,4.00,6.00,9.00,1.00,4.00,2.00,108,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',14757,215,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322417,7.00,7.00,6.00,6.00,8.00,10.13,3.00,8.00,8.00,103,NULL,NULL,'LINHA PEROBAL','S JORGE D OESTE','PR',1103,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6322425,3.00,2.00,1.00,3.00,4.00,6.00,3.00,0.00,3.00,208,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',19053,489,NULL,447,NULL,NULL,NULL,4,1),(25,6322433,2.00,5.00,3.00,4.00,6.00,9.75,1.00,2.00,2.00,332,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322441,4.00,3.00,3.00,2.00,6.00,8.63,2.00,3.00,5.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322450,4.00,5.00,1.00,2.00,5.00,8.25,0.00,5.00,3.00,319,NULL,NULL,'DISTRITO INDUSTRIAL','S JOSÉ','SC',16663,325,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322468,4.00,2.00,4.00,2.00,6.00,7.50,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',16835,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6322476,3.00,1.00,1.00,3.00,2.00,NULL,3.00,1.00,1.00,238,NULL,208,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322484,1.00,3.00,2.00,1.00,3.00,5.63,1.00,0.00,3.00,999,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6322506,3.00,7.00,2.00,3.00,4.00,7.13,2.00,3.00,3.00,331,NULL,NULL,'ESTRADA GERAL','VIDAL RAMOS','SC',14297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322514,4.00,8.00,3.00,6.00,10.00,10.50,1.00,8.00,4.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',5087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322522,9.00,6.00,4.00,7.00,9.00,9.75,3.00,6.00,8.00,103,NULL,NULL,'VILA BRAGA','S JOSÉ PINHAIS','PR',1456,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6322530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6322549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA BOA VISTA','ITUMBIARA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6322557,1.00,3.00,1.00,7.00,6.00,8.63,2.00,3.00,3.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322565,1.00,2.00,0.00,2.00,2.00,NULL,0.00,2.00,0.00,208,NULL,235,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6322590,3.00,2.00,0.00,4.00,6.00,NULL,0.00,1.00,0.00,101,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322603,3.00,5.00,0.00,3.00,7.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'ESPLANDA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(25,6322611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6322646,4.00,3.00,0.00,3.00,4.00,NULL,0.00,3.00,2.00,101,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322662,1.00,4.00,4.00,1.00,4.00,6.38,2.00,1.00,3.00,207,NULL,215,'CENTRO','STA ROSA SUL','SC',18825,1012,NULL,307,NULL,NULL,NULL,2,15),(25,6322670,3.00,1.00,0.00,2.00,2.00,NULL,3.00,1.00,1.00,207,NULL,202,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322689,6.00,7.00,4.00,1.00,5.00,7.50,2.00,5.00,4.00,207,NULL,NULL,'TABOÃO','S ROQUE','SP',8497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322697,4.00,7.00,4.00,6.00,5.00,7.50,3.00,2.00,4.00,203,NULL,216,'CORREGO GRANDE','FLORIANÓPOLIS','SC',10488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322700,3.00,5.00,1.00,0.00,4.00,NULL,0.00,1.00,1.00,453,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6322719,1.00,5.00,3.00,3.00,4.00,7.13,0.00,2.00,3.00,320,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322727,4.00,6.00,3.00,5.00,5.00,8.25,3.00,3.00,3.00,208,NULL,NULL,'JARDIM AURELIA','CAMPINAS','SP',11133,183,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322735,0.00,2.00,0.00,0.00,3.00,NULL,3.00,0.00,1.00,211,NULL,215,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322743,6.00,7.00,0.00,6.00,8.00,NULL,3.00,1.00,3.00,301,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322751,4.00,6.00,1.00,5.00,4.00,5.25,0.00,7.00,2.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',16049,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6322760,3.00,3.00,0.00,2.00,7.00,9.38,0.00,1.00,2.00,309,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322786,5.00,5.00,3.00,4.00,6.00,7.50,2.00,6.00,6.00,203,NULL,220,'JD LOS ANGELES','NOVA ESPERANÇA','PR',8954,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322794,5.00,7.00,1.00,7.00,9.00,9.75,0.00,7.00,6.00,304,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',5936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322808,5.00,5.00,3.00,4.00,8.00,9.00,3.00,3.00,5.00,303,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',8833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322816,6.00,6.00,5.00,7.00,8.00,9.38,2.00,8.00,6.00,104,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322824,7.00,6.00,6.00,6.00,9.00,10.88,3.00,6.00,7.00,103,NULL,NULL,'JARDIM CIDÁLIA','S PAULO','SP',1098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322832,5.00,4.00,5.00,4.00,5.00,7.50,3.00,3.00,3.00,238,NULL,220,'CANABARRO','TEUTÔNIA','RS',11824,186,NULL,342,NULL,NULL,NULL,4,1),(25,6322840,6.00,7.00,1.00,5.00,8.00,11.63,1.00,6.00,5.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',4903,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6322859,6.00,4.00,3.00,3.00,6.00,6.75,1.00,5.00,4.00,203,NULL,235,'CAJURU','CURITIBA','PR',15642,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6322867,6.00,4.00,4.00,7.00,5.00,10.13,3.00,1.00,4.00,108,NULL,NULL,'VELHA','BLUMENAU','SC',7809,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6322875,5.00,7.00,3.00,2.00,7.00,9.00,3.00,5.00,4.00,233,NULL,215,'CABEÇUDAS','ITAJAÍ','SC',9170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322883,6.00,4.00,4.00,5.00,4.00,8.25,2.00,5.00,4.00,235,NULL,202,'BOM RETIRO','JOINVILLE','SC',11113,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6322891,4.00,5.00,0.00,5.00,6.00,9.38,3.00,5.00,2.00,207,NULL,201,'JARDIM ESTER','S PAULO','SP',11286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322921,2.00,3.00,3.00,6.00,9.00,7.50,4.00,5.00,3.00,336,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322930,3.00,5.00,4.00,4.00,6.00,8.25,1.00,2.00,5.00,3,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',13598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322948,2.00,4.00,3.00,4.00,4.00,7.50,0.00,4.00,1.00,203,NULL,214,'COLÔNIA SANTANA','S JOSÉ','SC',19954,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322956,3.00,4.00,0.00,5.00,6.00,7.88,2.00,2.00,0.00,316,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6322972,1.00,1.00,0.00,1.00,2.00,NULL,0.00,0.00,1.00,5,NULL,NULL,'ARIRIU DA FORMIGA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6322980,3.00,3.00,2.00,0.00,4.00,9.00,2.00,0.00,0.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6322999,3.00,4.00,3.00,5.00,6.00,NULL,0.00,3.00,3.00,110,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6323006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CACHOEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6323014,3.00,3.00,1.00,4.00,8.00,8.63,3.00,4.00,3.00,303,NULL,NULL,'BARRO VERMELHO','ORLEANS','SC',16152,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6323022,5.00,4.00,4.00,4.00,7.00,8.63,0.00,2.00,3.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',12617,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6323030,4.00,0.00,1.00,1.00,2.00,NULL,1.00,0.00,2.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6323049,3.00,6.00,2.00,6.00,6.00,6.75,4.00,4.00,3.00,601,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',14779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323057,1.00,2.00,0.00,2.00,3.00,6.38,2.00,1.00,1.00,211,NULL,NULL,'SERRARIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6323090,4.00,5.00,2.00,6.00,6.00,9.75,0.00,7.00,3.00,340,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',12132,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(25,6323120,3.00,3.00,1.00,0.00,5.00,NULL,0.00,2.00,1.00,335,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323138,7.00,8.00,4.00,5.00,8.00,7.50,0.00,5.00,6.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323146,2.00,5.00,1.00,2.00,6.00,NULL,2.00,0.00,2.00,317,NULL,NULL,'CANABARRO','TEUTÔNIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323154,3.00,6.00,2.00,5.00,8.00,7.88,2.00,4.00,0.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6323170,9.00,8.00,6.00,7.00,10.00,8.63,6.00,7.00,8.00,999,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6323189,4.00,3.00,1.00,3.00,3.00,5.25,4.00,2.00,2.00,201,NULL,216,'CASAN','PERITIBA','SC',21141,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6323197,3.00,4.00,4.00,6.00,7.00,9.38,2.00,3.00,2.00,238,NULL,208,'SANTA CATARINA','CAXIAS SUL','RS',15255,306,NULL,336,NULL,NULL,NULL,4,6),(25,6323200,0.00,2.00,0.00,1.00,3.00,NULL,1.00,1.00,0.00,207,NULL,201,'CENTRO','GETÚLIO VARGAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6323219,3.00,4.00,0.00,5.00,1.00,NULL,0.00,2.00,2.00,444,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6323227,3.00,5.00,5.00,4.00,7.00,9.38,2.00,5.00,3.00,213,NULL,235,'CENTRO','S MIGUEL OESTE','SC',10495,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6323235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'AMARO LANARI','CEL FABRICIANO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6323243,4.00,6.00,4.00,6.00,8.00,NULL,0.00,8.00,3.00,103,NULL,NULL,'FRANCISCO DONCATTO','S MARCOS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6323251,6.00,6.00,5.00,5.00,8.00,9.00,2.00,5.00,9.00,5,NULL,NULL,'ALTO','CURITIBA','PR',2708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323278,4.00,4.00,0.00,4.00,6.00,7.50,1.00,4.00,0.00,415,NULL,NULL,'BELA VISTA','PALHOÇA','SC',20099,320,NULL,NULL,NULL,NULL,NULL,2,1),(25,6323286,2.00,4.00,0.00,3.00,2.00,NULL,1.00,3.00,0.00,108,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6323294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'EUGÊNIO SCHNEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6323308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6323316,3.00,5.00,2.00,5.00,5.00,6.75,3.00,3.00,4.00,319,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',15116,285,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323324,9.00,8.00,6.00,4.00,10.00,12.38,6.00,7.00,9.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',169,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323332,8.00,7.00,6.00,7.00,8.00,7.50,3.00,7.00,6.00,201,NULL,212,'SANTA MÔNICA','FLORIANÓPOLIS','SC',2258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'COLINA','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6323359,2.00,3.00,3.00,5.00,6.00,6.00,1.00,4.00,3.00,301,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6323367,2.00,3.00,0.00,3.00,3.00,6.38,3.00,3.00,2.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6323375,5.00,6.00,4.00,4.00,10.00,7.88,3.00,6.00,3.00,103,NULL,NULL,'CENTRO','CPO BELO SUL','SC',7528,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6323383,3.00,4.00,1.00,4.00,7.00,10.13,1.00,4.00,1.00,415,NULL,NULL,'AEROPORTO','TUBARÃO','SC',17709,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6323391,1.00,3.00,4.00,7.00,5.00,6.75,3.00,2.00,1.00,203,NULL,201,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',18841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323405,3.00,3.00,2.00,4.00,3.00,7.88,1.00,2.00,1.00,208,NULL,238,'RIO CAVEIRAS','BIGUAÇU','SC',19258,496,NULL,456,NULL,NULL,NULL,2,1),(25,6323413,3.00,4.00,0.00,4.00,6.00,8.63,2.00,2.00,3.00,207,NULL,201,'CENTRO','LGA VERMELHA','RS',14972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323421,6.00,3.00,2.00,6.00,10.00,NULL,0.00,0.00,3.00,104,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6323430,1.00,3.00,5.00,6.00,8.00,10.13,3.00,5.00,5.00,202,NULL,213,'CAMPINAS','S JOSÉ','SC',8958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323456,4.00,3.00,0.00,4.00,4.00,7.88,2.00,1.00,2.00,104,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6323464,6.00,8.00,3.00,4.00,7.00,12.00,0.00,6.00,3.00,104,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',8390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323472,7.00,7.00,4.00,6.00,7.00,6.75,1.00,6.00,4.00,207,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',6833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6323480,7.00,5.00,3.00,6.00,9.00,9.38,3.00,5.00,5.00,108,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',7508,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6323499,6.00,6.00,1.00,7.00,8.00,9.75,2.00,3.00,5.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',6487,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6323502,0.00,3.00,0.00,4.00,6.00,7.50,1.00,0.00,2.00,655,NULL,653,'ALTO FELIZ','ARARANGUÁ','SC',21366,166,NULL,242,NULL,NULL,NULL,2,15),(25,6323510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6323529,5.00,3.00,4.00,2.00,6.00,10.13,2.00,5.00,4.00,203,NULL,201,'KOBRASOL','S JOSÉ','SC',9480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323537,4.00,1.00,1.00,3.00,3.00,7.50,0.00,6.00,0.00,238,NULL,NULL,'BELA VISTA UM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323545,3.00,2.00,0.00,3.00,4.00,3.00,4.00,4.00,1.00,316,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6323553,6.00,7.00,4.00,6.00,8.00,7.13,4.00,6.00,6.00,202,NULL,235,'VILA MOEMA','TUBARÃO','SC',4113,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6323561,4.00,4.00,1.00,3.00,8.00,4.88,1.00,2.00,0.00,220,NULL,203,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',18101,454,NULL,1037,NULL,NULL,NULL,4,1),(25,6323570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'COHAPAR','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6323588,1.00,4.00,1.00,0.00,0.00,NULL,1.00,4.00,1.00,339,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6323596,3.00,0.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(25,6323600,5.00,6.00,2.00,7.00,6.00,7.88,1.00,2.00,3.00,999,NULL,NULL,'JARDIM SOCIAL','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6323626,4.00,5.00,1.00,4.00,4.00,7.88,1.00,2.00,1.00,207,NULL,211,'CENTRO','CRICIÚMA','SC',19374,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6323642,9.00,8.00,6.00,7.00,10.00,9.75,3.00,8.00,7.00,103,NULL,NULL,'HAUER','CURITIBA','PR',336,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6323650,2.00,4.00,2.00,2.00,5.00,7.13,1.00,2.00,1.00,308,NULL,NULL,'BELA VISTA III','S JOSÉ','SC',21194,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323669,7.00,6.00,4.00,6.00,8.00,10.13,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','S MATEUS SUL','PR',3572,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6323677,6.00,6.00,5.00,6.00,9.00,7.88,4.00,5.00,5.00,301,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',7178,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6323685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6323693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6323707,8.00,4.00,2.00,3.00,8.00,7.50,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',8055,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6323715,1.00,6.00,1.00,5.00,3.00,6.75,2.00,0.00,3.00,202,NULL,201,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6323723,7.00,5.00,6.00,7.00,10.00,11.25,6.00,5.00,9.00,214,NULL,212,'BUENO','GOIÂNIA','GO',433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323731,5.00,5.00,1.00,2.00,7.00,9.00,1.00,2.00,0.00,238,NULL,215,'INGLESES','FLORIANÓPOLIS','SC',15736,331,NULL,255,NULL,NULL,NULL,2,1),(25,6323740,4.00,5.00,0.00,2.00,7.00,NULL,3.00,2.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323758,4.00,3.00,3.00,2.00,5.00,7.13,1.00,1.00,3.00,201,NULL,235,'ABRAÃO','FLORIANÓPOLIS','SC',20062,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6323766,9.00,8.00,3.00,7.00,8.00,10.50,3.00,8.00,7.00,103,NULL,NULL,'JARDINS','ARACAJU','SE',876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323774,4.00,3.00,2.00,3.00,8.00,7.88,1.00,3.00,1.00,109,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6323782,6.00,5.00,2.00,7.00,8.00,8.25,1.00,7.00,4.00,103,NULL,NULL,'COBRASOL','S JOSÉ','SC',8406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323790,5.00,4.00,2.00,2.00,8.00,NULL,0.00,2.00,4.00,999,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6323812,4.00,7.00,2.00,6.00,6.00,11.25,2.00,2.00,1.00,308,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6323820,6.00,7.00,2.00,6.00,5.00,9.75,0.00,3.00,5.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',10974,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6323839,5.00,3.00,1.00,3.00,6.00,9.00,2.00,2.00,4.00,427,NULL,424,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA OLIVEIRA','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6323855,1.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,235,NULL,214,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6323863,3.00,3.00,2.00,4.00,5.00,NULL,3.00,0.00,2.00,425,NULL,421,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323871,6.00,6.00,4.00,6.00,6.00,8.63,1.00,4.00,4.00,103,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',8870,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6323880,3.00,5.00,2.00,3.00,6.00,9.75,1.00,1.00,2.00,201,NULL,NULL,'VELHA','NOVA TRENTO','SC',17239,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6323898,5.00,5.00,1.00,7.00,7.00,8.25,2.00,5.00,4.00,999,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6323901,7.00,3.00,2.00,6.00,7.00,6.38,2.00,3.00,3.00,502,NULL,NULL,'BELAVISTA','PALHOÇA','SC',14398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6323910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM ARAÇÁ','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6323936,3.00,4.00,2.00,7.00,6.00,7.50,1.00,3.00,1.00,301,NULL,NULL,'VILA ANDRADE','S PAULO','SP',13275,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6323944,3.00,3.00,3.00,6.00,8.00,8.25,2.00,3.00,1.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',13953,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6323952,3.00,4.00,3.00,4.00,5.00,7.88,1.00,2.00,2.00,338,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',17009,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6323960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6323995,7.00,4.00,2.00,5.00,10.00,15.00,2.00,9.00,6.00,103,NULL,NULL,'PARQUE BRASÍLIA','CACHOEIRINHA','RS',1555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6324002,3.00,6.00,3.00,7.00,4.00,9.38,1.00,5.00,1.00,301,NULL,NULL,'CENTRO','CRICIÚMA','SC',13995,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6324010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6324029,5.00,6.00,5.00,6.00,6.00,7.50,2.00,4.00,3.00,207,NULL,601,'FORTALEZA','BLUMENAU','SC',11560,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6324037,6.00,5.00,3.00,5.00,7.00,9.75,2.00,5.00,4.00,212,NULL,233,'RIO TAVARES','FLORIANÓPOLIS','SC',9008,249,NULL,NULL,NULL,NULL,NULL,2,1),(25,6324053,4.00,4.00,1.00,3.00,6.00,9.38,3.00,4.00,3.00,303,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',13827,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6324061,4.00,5.00,2.00,2.00,6.00,6.75,2.00,1.00,3.00,103,NULL,NULL,'COLINA','LGA VERMELHA','RS',16337,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6324070,3.00,4.00,2.00,2.00,5.00,6.00,4.00,0.00,2.00,108,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',20046,296,NULL,NULL,NULL,NULL,NULL,2,1),(25,6324088,2.00,0.00,0.00,2.00,3.00,NULL,1.00,0.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6324096,7.00,6.00,4.00,6.00,8.00,8.25,4.00,4.00,6.00,201,NULL,211,'SERRINHA','FLORIANÓPOLIS','SC',4156,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6324100,3.00,3.00,2.00,2.00,6.00,6.75,1.00,5.00,2.00,202,NULL,235,'BELA VISTA','CHAPECÓ','SC',17141,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6324118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'COPACABANA','GUARARAPES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6324126,0.00,4.00,2.00,2.00,5.00,7.13,1.00,2.00,1.00,103,NULL,NULL,'CENTRO','LGA VERMELHA','RS',19836,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6324142,2.00,4.00,1.00,1.00,3.00,5.25,3.00,2.00,1.00,223,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324150,0.00,5.00,3.00,1.00,4.00,NULL,3.00,2.00,2.00,340,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6324169,4.00,5.00,1.00,5.00,8.00,9.75,4.00,2.00,2.00,101,NULL,NULL,'KOBRASOL','S JOSÉ','SC',12183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6324177,7.00,8.00,2.00,5.00,8.00,11.25,2.00,7.00,4.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',3448,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324185,6.00,5.00,4.00,5.00,8.00,8.63,1.00,2.00,4.00,103,NULL,NULL,'ITANHANGÁ PARK','CPO GRANDE','MS',10544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324193,3.00,4.00,1.00,6.00,6.00,7.88,0.00,4.00,4.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',16359,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6324207,3.00,4.00,2.00,4.00,7.00,7.13,2.00,4.00,3.00,309,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6324215,5.00,4.00,1.00,5.00,7.00,7.88,2.00,4.00,4.00,319,NULL,NULL,'CENTRO','FRUTAL','MG',10826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'IPIRANGA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6324240,7.00,5.00,4.00,6.00,8.00,7.50,5.00,5.00,5.00,220,NULL,213,'CENTRO','CURITIBA','PR',4875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324258,3.00,5.00,1.00,2.00,5.00,NULL,2.00,0.00,0.00,340,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324266,4.00,3.00,1.00,0.00,4.00,6.00,1.00,2.00,1.00,103,NULL,NULL,'INTERIOR','VARGEÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6324274,3.00,6.00,3.00,1.00,3.00,4.50,3.00,1.00,3.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',20700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324282,5.00,6.00,0.00,6.00,9.00,NULL,0.00,6.00,1.00,9,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6324290,1.00,3.00,2.00,3.00,5.00,7.88,0.00,1.00,1.00,203,NULL,214,'SÃO MIGUEL','LAGES','SC',19371,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6324304,4.00,5.00,1.00,2.00,5.00,6.38,2.00,5.00,3.00,203,NULL,601,'SAGRADO COR DE JESUS','LAGES','SC',19153,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6324312,5.00,4.00,1.00,4.00,8.00,9.00,1.00,2.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324320,5.00,4.00,4.00,3.00,6.00,9.00,2.00,1.00,1.00,220,NULL,235,'VILA FRANCA','FORQUILHINHA','SC',17210,436,NULL,412,NULL,NULL,NULL,4,5),(25,6324339,3.00,3.00,0.00,5.00,7.00,8.25,3.00,3.00,3.00,103,NULL,NULL,'CENTRO','BIGUAÇU','SC',16459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BOA VISTA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6324355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6324363,4.00,4.00,4.00,4.00,5.00,6.38,1.00,3.00,1.00,9,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',17802,111,NULL,NULL,NULL,NULL,NULL,2,1),(25,6324371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM UNIAO','FRANCO ROCHA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6324380,3.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,653,NULL,201,'JARDIM CIBELE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6324398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6324401,4.00,4.00,0.00,4.00,6.00,9.00,3.00,1.00,2.00,999,NULL,NULL,'STO ANTONIO DE PADUA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6324428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6324436,5.00,4.00,2.00,4.00,4.00,8.63,0.00,6.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',14344,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6324444,2.00,3.00,2.00,2.00,1.00,NULL,0.00,0.00,1.00,238,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6324452,6.00,6.00,3.00,5.00,9.00,7.88,0.00,6.00,6.00,103,NULL,NULL,'CENTRO','CORREIA PINTO','SC',5925,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6324460,6.00,6.00,3.00,6.00,8.00,9.38,0.00,6.00,6.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',5593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324479,4.00,6.00,2.00,7.00,9.00,9.75,0.00,6.00,2.00,303,NULL,NULL,'CENTRO','S JOAQUIM','SC',8387,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6324487,4.00,3.00,3.00,6.00,8.00,7.88,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6324517,5.00,8.00,3.00,6.00,9.00,7.50,0.00,5.00,5.00,214,NULL,233,'CENTRO','BRAÇO NORTE','SC',6404,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6324525,4.00,3.00,1.00,5.00,7.00,9.38,1.00,5.00,2.00,340,NULL,NULL,'TRIBESS','BLUMENAU','SC',12423,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6324533,6.00,7.00,2.00,6.00,10.00,6.38,1.00,6.00,2.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',6743,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(25,6324541,4.00,5.00,2.00,6.00,4.00,8.63,0.00,7.00,2.00,207,NULL,212,'PONTA DE BAIXO','S JOSÉ','SC',14889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324550,3.00,5.00,0.00,2.00,6.00,10.50,1.00,3.00,3.00,999,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6324576,5.00,4.00,3.00,6.00,10.00,10.50,0.00,4.00,5.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9846,150,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324584,4.00,5.00,3.00,6.00,6.00,8.25,1.00,3.00,2.00,202,NULL,235,'CAJURU','CURITIBA','PR',13071,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6324592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM C DE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6324606,3.00,3.00,2.00,3.00,3.00,6.38,1.00,4.00,1.00,9,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',20972,158,NULL,NULL,NULL,NULL,NULL,2,1),(25,6324614,7.00,7.00,5.00,4.00,7.00,9.38,1.00,5.00,7.00,103,NULL,NULL,'BAEPENDI','JARAGUÁ SUL','SC',4131,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6324622,4.00,4.00,1.00,2.00,4.00,6.00,0.00,3.00,3.00,203,NULL,208,'ROÇADO','S JOSÉ','SC',18824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324649,5.00,4.00,4.00,3.00,4.00,9.75,3.00,6.00,4.00,452,NULL,NULL,'JARDIM VALERI','REGISTRO','SP',9444,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6324657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6324665,3.00,4.00,2.00,6.00,8.00,8.25,1.00,3.00,3.00,303,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',11638,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6324673,8.00,6.00,5.00,5.00,9.00,7.88,2.00,6.00,7.00,216,NULL,201,'KOBRASOL','S JOSÉ','SC',3919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324681,5.00,5.00,2.00,0.00,6.00,NULL,1.00,2.00,5.00,103,NULL,NULL,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6324703,5.00,6.00,2.00,6.00,6.00,NULL,0.00,4.00,6.00,5,NULL,NULL,'CENTRO','TERRA RICA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6324711,2.00,3.00,2.00,2.00,4.00,9.38,3.00,4.00,1.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6324720,4.00,5.00,3.00,4.00,8.00,8.63,1.00,4.00,2.00,453,NULL,NULL,'BELENZINHO','S PAULO','SP',11759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6324738,2.00,5.00,1.00,2.00,3.00,6.75,2.00,1.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324746,7.00,7.00,1.00,5.00,8.00,8.63,2.00,6.00,4.00,104,NULL,NULL,'ILHOTINHA','CAPIVARI BAIXO','SC',9302,187,NULL,NULL,NULL,NULL,NULL,2,10),(25,6324754,7.00,6.00,0.00,6.00,9.00,8.25,3.00,4.00,5.00,103,NULL,NULL,'PAROLIN','CURITIBA','PR',6134,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6324762,3.00,5.00,3.00,4.00,6.00,9.75,1.00,6.00,4.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9682,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6324770,5.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM FLORESTA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6324789,3.00,5.00,0.00,4.00,7.00,6.75,2.00,5.00,1.00,238,NULL,216,'ANDORINHA','ITAPEMA','SC',14152,258,NULL,488,NULL,NULL,NULL,4,3),(25,6324797,6.00,6.00,5.00,7.00,8.00,8.63,2.00,5.00,5.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324800,1.00,4.00,0.00,3.00,6.00,NULL,2.00,5.00,0.00,108,NULL,NULL,'CASA BRANCA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6324819,3.00,5.00,1.00,5.00,6.00,7.13,2.00,5.00,0.00,336,NULL,NULL,'BARREIROS','S JOSÉ','SC',14058,106,NULL,NULL,NULL,NULL,NULL,2,1),(25,6324827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,211,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6324835,2.00,4.00,2.00,1.00,4.00,7.50,2.00,3.00,2.00,2,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',18657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324851,1.00,5.00,1.00,2.00,6.00,NULL,0.00,3.00,2.00,215,NULL,216,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6324860,4.00,4.00,3.00,5.00,8.00,7.50,2.00,6.00,4.00,429,NULL,NULL,'ROÇADO','S JOSÉ','SC',9157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324878,8.00,6.00,1.00,5.00,6.00,NULL,0.00,5.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6324886,4.00,6.00,3.00,4.00,6.00,10.50,1.00,6.00,5.00,301,NULL,NULL,'CENTRO','PALHOÇA','SC',8547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6324894,3.00,6.00,2.00,6.00,10.00,10.50,2.00,2.00,4.00,9,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',7469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324908,2.00,5.00,3.00,4.00,7.00,9.00,2.00,1.00,1.00,2,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',18279,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6324916,6.00,5.00,5.00,6.00,9.00,8.25,4.00,4.00,3.00,201,NULL,601,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324924,3.00,4.00,2.00,6.00,7.00,8.63,0.00,5.00,5.00,654,NULL,NULL,'CENTRO','TURVO','SC',9905,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6324932,4.00,4.00,0.00,5.00,4.00,7.13,2.00,4.00,0.00,233,NULL,207,'JARDIM JANAINA','BIGUAÇU','SC',17369,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6324940,3.00,3.00,1.00,4.00,7.00,8.25,3.00,0.00,2.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19121,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6324959,4.00,6.00,2.00,4.00,8.00,10.88,3.00,6.00,4.00,207,NULL,211,'KOBRASOL','S JOSÉ','SC',6517,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6324975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6324983,5.00,6.00,2.00,4.00,8.00,11.63,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',10938,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6324991,6.00,6.00,3.00,6.00,7.00,10.13,2.00,5.00,4.00,304,NULL,NULL,'GONZAGA','SANTOS','SP',4779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325009,4.00,2.00,0.00,3.00,5.00,NULL,1.00,0.00,1.00,654,NULL,NULL,'POÇO NEGRO','S JOÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6325017,4.00,6.00,1.00,3.00,5.00,8.25,0.00,4.00,4.00,453,NULL,NULL,'JARDIM CRISTINA','BOTUCATU','SP',14612,101,NULL,NULL,NULL,NULL,NULL,2,1),(25,6325025,7.00,7.00,5.00,5.00,8.00,10.88,1.00,6.00,8.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325033,4.00,4.00,5.00,5.00,5.00,7.13,2.00,3.00,4.00,999,NULL,NULL,'SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6325041,7.00,7.00,3.00,7.00,9.00,10.50,4.00,5.00,5.00,216,NULL,233,'BARREIROS','S JOSÉ','SC',3546,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6325068,5.00,6.00,1.00,1.00,7.00,11.25,2.00,3.00,3.00,5,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',10668,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6325076,2.00,4.00,2.00,7.00,7.00,9.00,2.00,4.00,1.00,5,NULL,NULL,'JARDIM LOS ANGELES','BARRA VELHA','SC',10085,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6325084,3.00,2.00,0.00,7.00,6.00,7.88,1.00,4.00,2.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325092,7.00,6.00,5.00,7.00,8.00,10.13,4.00,6.00,5.00,212,NULL,233,'KOBRASOL','S JOSÉ','SC',3068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325106,1.00,4.00,2.00,2.00,6.00,8.63,0.00,0.00,1.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325114,4.00,2.00,3.00,1.00,5.00,4.88,1.00,0.00,0.00,104,NULL,NULL,'ILHOTINHA','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6325122,3.00,5.00,3.00,5.00,6.00,9.38,2.00,3.00,2.00,502,NULL,NULL,'BARREIROS','S JOSÉ','SC',13490,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6325130,3.00,6.00,1.00,3.00,3.00,6.75,3.00,3.00,3.00,329,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',18917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6325165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6325173,1.00,5.00,2.00,3.00,8.00,NULL,0.00,3.00,2.00,453,NULL,NULL,'DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6325203,1.00,5.00,3.00,2.00,6.00,7.13,1.00,4.00,3.00,5,NULL,NULL,'METROPOL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6325211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,214,'JARDIM GIRASSOL','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6325220,2.00,6.00,4.00,4.00,4.00,9.00,3.00,4.00,6.00,601,NULL,NULL,'GUANABARA','JOINVILLE','SC',11647,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6325238,2.00,4.00,1.00,2.00,4.00,NULL,2.00,0.00,2.00,308,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6325246,3.00,4.00,2.00,3.00,5.00,4.88,1.00,1.00,0.00,203,NULL,214,'MORADA DO SOL','MONDAÍ','SC',20483,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6325254,4.00,3.00,0.00,3.00,5.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325262,3.00,3.00,1.00,3.00,5.00,9.00,1.00,1.00,2.00,211,NULL,NULL,'HUIMAITÁ DE CIMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6325270,2.00,3.00,1.00,2.00,2.00,NULL,1.00,0.00,1.00,444,NULL,NULL,'CENTRO','SALETE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6325297,5.00,4.00,5.00,3.00,5.00,7.13,1.00,4.00,2.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',17116,173,NULL,NULL,NULL,NULL,NULL,2,1),(25,6325319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,235,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6325327,4.00,4.00,0.00,2.00,5.00,8.63,1.00,2.00,0.00,110,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19261,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325335,4.00,5.00,2.00,3.00,8.00,6.75,2.00,2.00,4.00,415,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',15908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325343,6.00,5.00,2.00,5.00,8.00,9.00,1.00,1.00,3.00,101,NULL,NULL,'CENTRO','STA MARIA','RS',11354,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6325351,2.00,5.00,2.00,3.00,3.00,7.50,1.00,1.00,2.00,202,NULL,601,'CENTRO','JARAGUÁ SUL','SC',18953,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6325360,6.00,5.00,0.00,5.00,9.00,10.88,1.00,4.00,5.00,333,NULL,NULL,'ALAMEDA DAS AZALEIAS','APARECIDA GOIÂNIA','GO',7392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325378,3.00,4.00,0.00,1.00,6.00,NULL,3.00,3.00,2.00,238,NULL,208,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325386,3.00,4.00,4.00,6.00,5.00,8.25,2.00,3.00,3.00,444,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',15574,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6325394,3.00,4.00,2.00,3.00,5.00,9.00,3.00,5.00,2.00,999,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SÃO DIMAS','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6325424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6325432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6325440,3.00,4.00,2.00,4.00,7.00,9.75,1.00,2.00,4.00,319,NULL,NULL,'ALTO PETROPOLIS','PTO ALEGRE','RS',11358,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6325475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'UNIÃO','COCAL SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6325483,3.00,2.00,2.00,1.00,7.00,NULL,2.00,4.00,2.00,999,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6325491,3.00,3.00,3.00,6.00,5.00,5.63,0.00,2.00,1.00,238,NULL,207,'CAMPINAS','S JOSÉ','SC',18271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325505,7.00,9.00,6.00,4.00,9.00,10.50,3.00,7.00,7.00,103,NULL,NULL,'VILA OPERÁRIA','LONDRINA','PR',975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325513,3.00,5.00,5.00,3.00,5.00,9.00,2.00,4.00,3.00,212,NULL,213,'BARRA DO ARIRIÚ','PALHOÇA','SC',12977,382,NULL,187,NULL,NULL,NULL,2,1),(25,6325521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6325530,3.00,3.00,1.00,4.00,8.00,7.13,2.00,3.00,3.00,207,NULL,201,'GETÚLIO VARGAS','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6325548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6325556,9.00,8.00,3.00,7.00,10.00,9.00,4.00,9.00,8.00,103,NULL,NULL,'CENTRO','NOVA ESPERANÇA','PR',423,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6325564,4.00,5.00,0.00,5.00,4.00,7.88,0.00,4.00,3.00,212,NULL,233,'JARDIM MERCI','JUNDIAÍ','SP',12726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325572,6.00,7.00,3.00,5.00,9.00,6.00,0.00,8.00,5.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',5787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6325580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'APARECIDA','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6325599,2.00,4.00,3.00,3.00,5.00,7.88,2.00,3.00,1.00,310,NULL,NULL,'VILA BANCÁRIA MUNHOZ','S PAULO','SP',19843,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6325602,1.00,4.00,4.00,2.00,4.00,6.00,2.00,2.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHÁCARA DAS PEDRAS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6325629,3.00,3.00,3.00,6.00,4.00,8.25,0.00,1.00,3.00,451,NULL,NULL,'BELA ALIANÇA','S BENTO SUL','SC',16174,22,NULL,NULL,NULL,NULL,NULL,2,8),(25,6325645,6.00,4.00,4.00,6.00,7.00,7.13,3.00,0.00,5.00,201,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',9414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325653,4.00,3.00,2.00,2.00,4.00,4.88,1.00,4.00,0.00,999,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,423,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6325688,7.00,6.00,5.00,5.00,9.00,7.88,0.00,4.00,6.00,211,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',7082,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6325696,4.00,4.00,1.00,3.00,7.00,7.88,1.00,3.00,0.00,329,NULL,NULL,'JD NOVA ESPERANÇA','S MIGUEL ARCANJO','SP',16490,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6325700,3.00,4.00,0.00,2.00,2.00,NULL,3.00,2.00,0.00,426,NULL,423,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6325726,3.00,5.00,0.00,2.00,5.00,7.88,0.00,3.00,1.00,207,NULL,655,'PARQUE ROSITA','STA ROSA SUL','SC',18340,990,NULL,108,NULL,NULL,NULL,4,15),(25,6325734,4.00,4.00,2.00,3.00,6.00,NULL,0.00,0.00,1.00,453,NULL,NULL,'CENTRO','S MIGUEL ARCANJO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325742,4.00,3.00,0.00,5.00,5.00,6.75,0.00,2.00,2.00,999,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6325750,3.00,5.00,2.00,3.00,6.00,10.88,1.00,1.00,1.00,319,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6325769,4.00,7.00,3.00,4.00,5.00,6.38,1.00,5.00,4.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14438,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6325777,3.00,2.00,1.00,4.00,5.00,9.00,3.00,1.00,2.00,999,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6325785,0.00,2.00,0.00,3.00,3.00,NULL,0.00,1.00,0.00,201,NULL,207,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6325793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'OURO PRETO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6325807,5.00,3.00,2.00,4.00,8.00,11.25,2.00,4.00,1.00,453,NULL,NULL,'VILA IZABEL','CURITIBA','PR',11078,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325815,4.00,3.00,3.00,3.00,4.00,5.63,1.00,2.00,3.00,303,NULL,NULL,'ARMAÇÃO DO PSUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6325823,6.00,6.00,1.00,5.00,10.00,10.13,2.00,6.00,3.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325831,4.00,5.00,2.00,6.00,7.00,8.25,2.00,6.00,3.00,208,NULL,NULL,'CACHOIERAS','BIGUAÇU','SC',12147,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6325840,4.00,6.00,0.00,3.00,5.00,NULL,0.00,4.00,2.00,452,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6325858,4.00,6.00,2.00,6.00,9.00,9.75,3.00,4.00,3.00,999,NULL,NULL,'VILA MILITAR','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6325866,7.00,8.00,3.00,7.00,8.00,9.00,5.00,5.00,5.00,220,NULL,213,'STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC',3484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325882,2.00,5.00,3.00,2.00,4.00,7.50,0.00,2.00,2.00,234,NULL,NULL,'PACHECO','PALHOÇA','SC',20392,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6325890,3.00,4.00,3.00,1.00,7.00,6.75,1.00,3.00,2.00,203,NULL,202,'JARDIM UNIVERSITÁRIO','LONDRINA','PR',19725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325904,6.00,7.00,4.00,5.00,6.00,7.50,0.00,6.00,1.00,303,NULL,NULL,'CENTRO','CAPINZAL','SC',7246,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6325912,0.00,2.00,4.00,1.00,5.00,NULL,0.00,1.00,4.00,404,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325920,8.00,4.00,4.00,7.00,10.00,10.13,4.00,7.00,6.00,303,NULL,NULL,'JUVEVÊ','CURITIBA','PR',1746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325939,3.00,2.00,4.00,5.00,6.00,7.88,1.00,4.00,5.00,317,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',12678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325947,1.00,3.00,1.00,2.00,5.00,8.63,2.00,2.00,1.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',20111,142,NULL,NULL,NULL,NULL,NULL,2,1),(25,6325955,2.00,5.00,2.00,3.00,5.00,9.38,1.00,6.00,4.00,424,NULL,426,'ITACORUBI','FLORIANÓPOLIS','SC',13913,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6325963,7.00,7.00,3.00,4.00,10.00,9.75,4.00,7.00,9.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325971,5.00,6.00,3.00,6.00,10.00,10.88,1.00,5.00,6.00,220,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',3770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6325980,2.00,1.00,0.00,2.00,1.00,NULL,1.00,0.00,1.00,655,NULL,652,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6325998,3.00,3.00,1.00,2.00,6.00,6.00,3.00,5.00,3.00,202,NULL,203,'VILA NOVO','IMBITUBA','SC',15949,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6326005,4.00,6.00,2.00,0.00,3.00,8.25,0.00,4.00,4.00,103,NULL,NULL,'LIDER','CHAPECÓ','SC',16223,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6326013,5.00,5.00,3.00,1.00,7.00,9.75,1.00,4.00,5.00,501,NULL,NULL,'CENTRO','S MARTINHO','SC',10809,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6326021,8.00,8.00,5.00,6.00,8.00,8.25,2.00,8.00,6.00,216,NULL,233,'HUMAITA','TUBARÃO','SC',1935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326030,7.00,6.00,5.00,7.00,10.00,9.38,3.00,9.00,7.00,340,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',1277,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6326048,5.00,5.00,1.00,5.00,8.00,6.38,2.00,5.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326056,2.00,3.00,0.00,1.00,7.00,7.88,2.00,1.00,0.00,207,NULL,201,'SÃO PEDRO','BRUSQUE','SC',21363,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6326064,8.00,7.00,1.00,4.00,9.00,8.63,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','ASSIS','SP',2864,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6326072,2.00,3.00,1.00,4.00,2.00,NULL,3.00,0.00,3.00,655,NULL,652,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6326080,2.00,4.00,2.00,3.00,4.00,6.75,2.00,2.00,3.00,427,NULL,426,'CORREGO GRANDE','FLORIANÓPOLIS','SC',18931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6326099,2.00,3.00,2.00,5.00,6.00,9.38,0.00,2.00,4.00,104,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',15556,411,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326102,6.00,4.00,1.00,6.00,7.00,7.50,3.00,4.00,3.00,238,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',11498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326129,8.00,5.00,5.00,6.00,10.00,12.00,3.00,5.00,7.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',1370,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6326137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'N SENHORA DO ROZARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6326145,5.00,3.00,2.00,4.00,7.00,7.50,2.00,5.00,5.00,415,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326153,3.00,6.00,4.00,6.00,5.00,9.75,1.00,2.00,1.00,303,NULL,NULL,'SANTO ANTÔNIO DE PÁD','TUBARÃO','SC',13126,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6326161,4.00,4.00,0.00,5.00,5.00,6.38,3.00,5.00,4.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',14900,388,NULL,NULL,NULL,NULL,NULL,2,7),(25,6326170,4.00,5.00,3.00,5.00,8.00,9.00,2.00,5.00,2.00,201,NULL,207,'BIGORRILHO','CURITIBA','PR',8691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326188,2.00,4.00,3.00,3.00,4.00,NULL,1.00,0.00,2.00,415,NULL,NULL,'CENTRO','IOMERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6326196,3.00,6.00,5.00,5.00,6.00,8.25,2.00,4.00,3.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',12529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326200,8.00,6.00,4.00,6.00,9.00,8.63,2.00,8.00,5.00,202,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',3642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326218,1.00,6.00,0.00,5.00,6.00,8.25,1.00,4.00,2.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',18181,198,NULL,NULL,NULL,NULL,NULL,2,1),(25,6326226,5.00,5.00,1.00,6.00,6.00,9.38,1.00,3.00,2.00,601,NULL,233,'BELA VISTA I','S JOSÉ','SC',15563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326234,7.00,7.00,4.00,5.00,8.00,12.00,2.00,4.00,4.00,104,NULL,NULL,'SÃO LUIS','JARAGUÁ SUL','SC',5330,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6326242,3.00,3.00,2.00,3.00,7.00,8.25,1.00,3.00,2.00,318,NULL,NULL,'IPIRANGA','S JOSÉ','SC',15521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SOSSEGO','SCHROEDER','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6326269,2.00,2.00,0.00,1.00,1.00,NULL,3.00,2.00,2.00,203,NULL,214,'CARIJOS','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6326277,2.00,3.00,2.00,1.00,5.00,7.50,3.00,4.00,4.00,301,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',19557,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6326285,1.00,2.00,1.00,3.00,3.00,6.75,0.00,1.00,1.00,329,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21720,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6326307,4.00,2.00,1.00,2.00,4.00,NULL,0.00,1.00,1.00,104,NULL,NULL,'PINDORAMA','IJUÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6326315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,653,'CASAN','SALETE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6326323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6326331,5.00,6.00,3.00,6.00,8.00,9.38,0.00,6.00,6.00,304,NULL,NULL,'PINHEIROS','S PAULO','SP',5245,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6326340,5.00,4.00,2.00,4.00,9.00,8.25,3.00,2.00,6.00,103,NULL,NULL,'LOMBA GRANDE','NOVO HAMBURGO','RS',7737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326358,4.00,5.00,3.00,3.00,4.00,7.88,4.00,4.00,1.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13886,59,NULL,NULL,NULL,NULL,NULL,2,1),(25,6326366,3.00,6.00,2.00,4.00,4.00,10.50,1.00,4.00,1.00,104,NULL,NULL,'CENTRO','ITUPORANGA','SC',15317,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6326374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','MACHADO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6326382,4.00,4.00,2.00,4.00,8.00,7.50,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',9841,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6326390,5.00,4.00,5.00,5.00,9.00,7.50,3.00,4.00,4.00,214,NULL,216,'CENTRO','BLUMENAU','SC',9532,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6326404,3.00,5.00,2.00,6.00,8.00,7.13,2.00,3.00,2.00,429,NULL,425,'CACHOEIRAS','BIGUAÇU','SC',12287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326412,7.00,7.00,2.00,5.00,9.00,12.00,2.00,8.00,7.00,310,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326420,4.00,5.00,2.00,4.00,6.00,6.38,0.00,0.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6326439,1.00,5.00,1.00,6.00,6.00,8.63,2.00,4.00,3.00,427,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',18059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326447,6.00,5.00,2.00,7.00,6.00,8.63,2.00,8.00,5.00,999,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326455,2.00,4.00,2.00,2.00,8.00,9.38,1.00,1.00,1.00,551,NULL,NULL,'COHAB I','CURITIBANOS','SC',16935,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6326463,8.00,6.00,5.00,7.00,7.00,9.38,2.00,7.00,5.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',3101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6326471,4.00,5.00,3.00,2.00,5.00,7.88,2.00,3.00,5.00,103,NULL,NULL,'PERDIZES','S PAULO','SP',9685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326480,4.00,5.00,3.00,1.00,6.00,6.38,1.00,5.00,2.00,203,NULL,214,'BELA VISTA','RIO NEGRINHO','SC',17028,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6326498,5.00,7.00,3.00,5.00,7.00,6.75,3.00,7.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326501,3.00,4.00,2.00,5.00,5.00,6.75,3.00,4.00,5.00,452,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13996,79,NULL,NULL,NULL,NULL,NULL,2,1),(25,6326510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'KOBRASIL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6326528,6.00,5.00,1.00,7.00,7.00,12.38,4.00,5.00,7.00,103,NULL,NULL,'CAMOBI','STA MARIA','RS',3728,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6326536,3.00,6.00,1.00,3.00,7.00,7.13,0.00,4.00,1.00,208,NULL,238,'PASSO DOS FORTES','CHAPECÓ','SC',15696,357,NULL,327,NULL,NULL,NULL,4,4),(25,6326544,7.00,3.00,4.00,6.00,6.00,8.25,3.00,5.00,5.00,201,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',7049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326552,1.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'CRUZEIRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6326560,4.00,6.00,0.00,5.00,7.00,8.25,1.00,2.00,1.00,340,NULL,NULL,'CATARINA FONTANA','CONCÓRDIA','SC',15527,342,NULL,NULL,NULL,NULL,NULL,4,7),(25,6326579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,216,'MADUREIRA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6326587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6326595,6.00,5.00,2.00,6.00,6.00,6.75,2.00,5.00,4.00,601,NULL,214,'SAGUAÇÚ','JOINVILLE','SC',12306,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6326609,3.00,6.00,3.00,6.00,7.00,7.13,3.00,4.00,5.00,303,NULL,NULL,'CINQUENTENÁRIO','CONCÓRDIA','SC',9006,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6326617,5.00,6.00,3.00,3.00,7.00,10.13,3.00,6.00,6.00,103,NULL,NULL,'CARANDÁ BOSQUE','CPO GRANDE','MS',5160,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6326625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ESPERANCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6326633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6326641,6.00,6.00,1.00,7.00,7.00,10.88,0.00,4.00,5.00,303,NULL,NULL,'BATEL','CURITIBA','PR',6816,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6326650,2.00,6.00,1.00,6.00,4.00,8.25,1.00,1.00,2.00,102,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',17058,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6326668,3.00,5.00,4.00,5.00,8.00,8.25,2.00,3.00,1.00,503,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',13238,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6326676,1.00,6.00,3.00,6.00,6.00,12.00,2.00,5.00,3.00,999,NULL,NULL,'BOSQUE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6326684,6.00,6.00,4.00,5.00,6.00,7.88,2.00,5.00,3.00,303,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',9449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326706,7.00,6.00,3.00,7.00,8.00,10.88,2.00,8.00,5.00,340,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',2869,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6326714,3.00,5.00,1.00,2.00,7.00,9.75,3.00,4.00,1.00,415,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',14253,212,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326722,1.00,5.00,1.00,2.00,3.00,6.00,3.00,3.00,3.00,653,NULL,655,'COLONINHA','ARARANGUÁ','SC',21144,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6326730,5.00,7.00,4.00,5.00,8.00,6.38,3.00,3.00,2.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',12044,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6326749,5.00,7.00,2.00,6.00,6.00,8.25,3.00,3.00,3.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9963,71,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326757,3.00,5.00,1.00,5.00,8.00,9.00,2.00,2.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326765,4.00,1.00,0.00,5.00,4.00,NULL,1.00,2.00,0.00,104,NULL,NULL,'BOA VISTA','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326773,5.00,6.00,2.00,5.00,3.00,9.00,3.00,4.00,3.00,108,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'ABERNÉSSIA','CAMPOS JORDÃO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6326790,0.00,4.00,0.00,4.00,4.00,8.25,1.00,3.00,2.00,601,NULL,NULL,'FAZENDA','ITAJAÍ','SC',18158,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6326803,2.00,3.00,0.00,1.00,2.00,NULL,1.00,0.00,0.00,214,NULL,201,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326811,3.00,4.00,1.00,6.00,6.00,8.63,2.00,0.00,4.00,340,NULL,NULL,'JARDIM','CONCÓRDIA','SC',13431,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6326820,5.00,7.00,5.00,4.00,6.00,10.88,2.00,6.00,3.00,201,NULL,212,'BOM FIM','PTO ALEGRE','RS',6288,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6326838,5.00,4.00,3.00,6.00,6.00,8.25,2.00,2.00,2.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326846,7.00,8.00,3.00,6.00,9.00,10.13,2.00,5.00,7.00,319,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',3504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326854,4.00,3.00,1.00,4.00,3.00,6.00,3.00,1.00,0.00,202,NULL,NULL,'CENTRO','TIMBÓ','SC',20034,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(25,6326862,5.00,4.00,2.00,5.00,8.00,11.25,0.00,4.00,2.00,415,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'FAZENDA RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6326889,2.00,3.00,2.00,2.00,4.00,NULL,0.00,1.00,1.00,207,NULL,201,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6326897,2.00,1.00,2.00,3.00,7.00,NULL,1.00,1.00,0.00,301,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6326927,8.00,7.00,3.00,6.00,10.00,9.75,3.00,6.00,8.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1800,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6326935,7.00,7.00,2.00,7.00,7.00,7.13,1.00,4.00,2.00,423,NULL,428,'JARDIM ITÁLIA','CHAPECÓ','SC',11784,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6326943,6.00,7.00,7.00,7.00,5.00,7.88,7.00,3.00,6.00,202,NULL,203,'SANTA FE','CPO GRANDE','MS',2561,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6326960,3.00,6.00,2.00,5.00,7.00,9.38,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',8660,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6326994,5.00,4.00,1.00,3.00,5.00,NULL,0.00,3.00,2.00,201,NULL,212,'CANTO DOS ARAÇÁS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327001,5.00,5.00,0.00,2.00,9.00,NULL,2.00,4.00,4.00,104,NULL,NULL,'CENTRO','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327010,2.00,1.00,2.00,4.00,4.00,6.38,2.00,0.00,0.00,999,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327028,4.00,4.00,0.00,3.00,7.00,NULL,0.00,1.00,0.00,317,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327036,3.00,4.00,4.00,4.00,5.00,8.63,4.00,3.00,1.00,655,NULL,NULL,'CENTRO','STA ROSA','RS',13567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327044,3.00,4.00,1.00,4.00,9.00,7.13,0.00,5.00,1.00,103,NULL,NULL,'BARRIROS','S JOSÉ','SC',14462,4176,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6327060,2.00,2.00,0.00,3.00,2.00,NULL,2.00,2.00,3.00,201,NULL,212,'STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327079,3.00,4.00,1.00,4.00,7.00,0.00,3.00,1.00,2.00,235,NULL,208,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327087,5.00,5.00,3.00,6.00,6.00,7.88,3.00,8.00,5.00,202,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327095,4.00,6.00,4.00,5.00,5.00,9.00,2.00,6.00,5.00,317,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',8674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327117,2.00,5.00,1.00,7.00,7.00,11.63,2.00,4.00,1.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',12639,212,NULL,238,NULL,NULL,NULL,4,1),(25,6327125,1.00,7.00,3.00,4.00,4.00,6.75,2.00,1.00,3.00,201,NULL,202,'GUIOMAR','ANTÔNIO CARLOS','SC',18000,1490,NULL,561,NULL,NULL,NULL,2,1),(25,6327141,7.00,8.00,6.00,5.00,7.00,9.38,0.00,6.00,5.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',4042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327150,4.00,6.00,2.00,4.00,7.00,7.13,1.00,4.00,4.00,104,NULL,NULL,'HUMAITA DE CIMA','TUBARÃO','SC',9800,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6327168,3.00,4.00,1.00,3.00,6.00,NULL,0.00,2.00,3.00,104,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6327176,5.00,6.00,2.00,5.00,5.00,9.75,1.00,4.00,4.00,999,NULL,NULL,'CENTRO','AGROLÂNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327184,5.00,4.00,4.00,4.00,7.00,7.13,2.00,5.00,3.00,601,NULL,201,'CENTRO','BARRA VELHA','SC',9897,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6327192,4.00,5.00,1.00,3.00,6.00,9.38,2.00,3.00,2.00,207,NULL,201,'INTERIOR','ERVAL VELHO','SC',15066,813,NULL,1278,NULL,NULL,NULL,2,7),(25,6327206,2.00,3.00,0.00,6.00,3.00,NULL,2.00,2.00,1.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327222,1.00,3.00,3.00,4.00,4.00,6.75,2.00,2.00,1.00,653,NULL,NULL,'OFICINAS','TUBARÃO','SC',18599,190,NULL,NULL,NULL,NULL,NULL,2,10),(25,6327230,4.00,5.00,0.00,1.00,3.00,6.00,3.00,6.00,1.00,653,NULL,655,'CENTRO','S JOÃO SUL','SC',20726,230,NULL,149,NULL,NULL,NULL,4,15),(25,6327249,7.00,5.00,5.00,6.00,9.00,11.63,3.00,5.00,6.00,5,NULL,NULL,'BOA VISTA','CURITIBA','PR',1844,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6327257,2.00,3.00,2.00,1.00,6.00,7.13,1.00,1.00,1.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19881,558,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327265,5.00,6.00,3.00,4.00,6.00,9.00,0.00,4.00,6.00,207,NULL,211,'NEVA','CASCAVEL','PR',8253,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6327273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'JARDIM EUROPA','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6327281,6.00,8.00,3.00,3.00,7.00,4.50,3.00,3.00,4.00,999,NULL,NULL,'N SENHORA DE FÁTIMA','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6327303,7.00,6.00,3.00,4.00,8.00,7.13,3.00,4.00,5.00,214,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',6363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327311,2.00,2.00,2.00,3.00,5.00,7.88,1.00,0.00,3.00,655,NULL,653,'CENTRO','PAPANDUVA','SC',19642,127,NULL,205,NULL,NULL,NULL,2,16),(25,6327346,8.00,7.00,6.00,7.00,10.00,11.63,5.00,8.00,6.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327354,4.00,4.00,3.00,2.00,7.00,9.38,2.00,4.00,2.00,215,NULL,601,'AVENTUREIRO','JOINVILLE','SC',13296,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6327362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6327370,3.00,5.00,4.00,2.00,5.00,6.75,3.00,5.00,4.00,3,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327389,6.00,4.00,1.00,6.00,8.00,8.63,4.00,5.00,6.00,336,NULL,NULL,'MINA UNIÃO','CRICIÚMA','SC',8697,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6327397,7.00,6.00,3.00,6.00,10.00,10.88,3.00,5.00,8.00,103,NULL,NULL,'CAVALHADA','PTO ALEGRE','RS',1446,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6327400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DREWIS','CACHOEIRA SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6327419,7.00,7.00,5.00,5.00,9.00,8.63,4.00,4.00,5.00,102,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',3188,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6327427,5.00,6.00,0.00,3.00,9.00,7.13,1.00,7.00,1.00,303,NULL,NULL,'IPIRANGA','S JOSÉ','SC',13889,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327435,3.00,8.00,2.00,7.00,6.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6327443,6.00,4.00,3.00,4.00,8.00,8.25,1.00,3.00,3.00,103,NULL,NULL,'BOQUEIRÃO','GUARAPUAVA','PR',10418,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6327451,6.00,6.00,3.00,4.00,9.00,6.75,1.00,3.00,2.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11375,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327460,2.00,3.00,4.00,4.00,5.00,7.13,3.00,4.00,1.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327478,6.00,7.00,1.00,5.00,9.00,11.25,2.00,4.00,5.00,303,NULL,NULL,'NONOAI','PTO ALEGRE','RS',5317,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327486,3.00,7.00,2.00,3.00,5.00,8.25,2.00,5.00,5.00,220,NULL,213,'CERAMARTE','RIO NEGRINHO','SC',11095,321,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327494,2.00,0.00,1.00,4.00,4.00,NULL,1.00,4.00,0.00,601,NULL,207,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6327508,4.00,5.00,2.00,5.00,8.00,7.50,2.00,4.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15263,4250,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'GIOPPO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6327524,3.00,4.00,0.00,4.00,5.00,4.88,3.00,2.00,2.00,452,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327532,2.00,4.00,5.00,3.00,10.00,6.00,3.00,4.00,3.00,207,NULL,213,'AGRONOMICA','FLORIANÓPOLIS','SC',12710,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327540,4.00,6.00,3.00,5.00,7.00,7.50,2.00,4.00,4.00,207,NULL,NULL,'SANTA MARIA','UBERLÂNDIA','MG',11677,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327567,5.00,7.00,4.00,5.00,8.00,9.38,4.00,5.00,6.00,238,NULL,208,'PICADAS DO SUL','S JOSÉ','SC',5358,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6327591,3.00,4.00,2.00,4.00,6.00,8.63,0.00,0.00,4.00,238,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',18640,441,NULL,541,NULL,NULL,NULL,2,1),(25,6327605,2.00,3.00,2.00,4.00,4.00,8.25,1.00,1.00,0.00,207,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19060,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327613,3.00,1.00,1.00,5.00,8.00,NULL,2.00,0.00,0.00,216,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327621,3.00,4.00,1.00,4.00,5.00,7.88,3.00,1.00,1.00,308,NULL,NULL,'MADRI','PALHOÇA','SC',20028,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327630,7.00,7.00,6.00,7.00,8.00,10.50,3.00,5.00,5.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',3118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327648,3.00,3.00,2.00,3.00,5.00,NULL,3.00,3.00,2.00,331,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6327656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6327672,4.00,5.00,6.00,6.00,6.00,8.25,1.00,5.00,5.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',8666,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,238,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6327702,4.00,3.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'MATO QUEIMADO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327710,2.00,2.00,1.00,4.00,8.00,10.13,1.00,1.00,2.00,9,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',19846,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327729,8.00,8.00,4.00,5.00,10.00,9.38,5.00,6.00,5.00,103,NULL,NULL,'CAMOBI','STA MARIA','RS',1906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327737,6.00,7.00,6.00,5.00,8.00,10.50,2.00,6.00,6.00,999,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327745,4.00,4.00,1.00,4.00,7.00,7.50,2.00,4.00,1.00,301,NULL,NULL,'AREIAS','S JOSÉ','SC',14157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327753,6.00,5.00,4.00,6.00,8.00,10.13,0.00,4.00,7.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',4359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327761,8.00,4.00,4.00,4.00,8.00,9.00,1.00,6.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327788,4.00,6.00,6.00,4.00,5.00,7.13,2.00,5.00,3.00,224,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',9436,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327796,3.00,4.00,1.00,5.00,6.00,7.88,2.00,2.00,4.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',17749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327818,3.00,4.00,2.00,3.00,8.00,7.88,0.00,2.00,0.00,207,NULL,653,'COLONINHA','ARARANGUÁ','SC',17370,924,NULL,170,NULL,NULL,NULL,4,15),(25,6327834,5.00,4.00,1.00,4.00,4.00,7.13,1.00,5.00,5.00,201,NULL,211,'NOSSA SENHORA DE FÁT','BRAÇO NORTE','SC',16342,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6327850,4.00,8.00,2.00,6.00,7.00,9.00,2.00,8.00,4.00,450,NULL,NULL,'ITAQUERA','S PAULO','SP',5342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327869,8.00,7.00,2.00,6.00,9.00,9.75,2.00,5.00,7.00,103,NULL,NULL,'JARDIM MARAJOARA','S PAULO','SP',3380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6327893,5.00,6.00,3.00,6.00,6.00,7.88,1.00,4.00,4.00,233,NULL,653,'CAMPINAS','S JOSÉ','SC',7951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA CARRÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6327915,8.00,5.00,3.00,6.00,7.00,9.38,1.00,7.00,7.00,216,NULL,653,'CENTRO','FLORIANÓPOLIS','SC',3407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327923,8.00,5.00,5.00,5.00,8.00,6.75,1.00,3.00,4.00,109,NULL,NULL,'CENTRO','CHAPECÓ','SC',7835,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6327931,6.00,5.00,3.00,5.00,7.00,7.50,1.00,4.00,7.00,103,NULL,NULL,'CENTRO','LAGES','SC',7703,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6327940,2.00,5.00,1.00,3.00,7.00,6.00,2.00,1.00,1.00,653,NULL,202,'SANGA DA TOCA','ARARANGUÁ','SC',18429,181,NULL,576,NULL,NULL,NULL,4,15),(25,6327958,4.00,6.00,1.00,4.00,6.00,7.50,2.00,5.00,1.00,501,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',14570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6327966,3.00,0.00,2.00,2.00,7.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6327974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6327982,4.00,5.00,1.00,3.00,7.00,6.00,3.00,0.00,2.00,216,NULL,601,'CENTRO','TORRES','RS',19224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6327990,7.00,5.00,3.00,3.00,9.00,6.00,1.00,5.00,5.00,103,NULL,NULL,'SANTA ISABEL','FORQUILHINHA','SC',8817,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6328008,6.00,6.00,5.00,5.00,7.00,9.38,2.00,8.00,9.00,216,NULL,215,'CRISTO REDENTOR','CAXIAS SUL','RS',2637,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6328016,4.00,4.00,3.00,5.00,4.00,NULL,0.00,5.00,4.00,101,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328024,3.00,6.00,2.00,4.00,8.00,8.25,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',11929,3852,NULL,NULL,NULL,NULL,NULL,4,7),(25,6328032,4.00,5.00,3.00,4.00,5.00,7.88,2.00,2.00,1.00,104,NULL,NULL,'CENTRO','LONDRINA','PR',15785,420,NULL,NULL,NULL,NULL,NULL,2,3),(25,6328040,2.00,1.00,5.00,3.00,5.00,7.13,1.00,1.00,1.00,451,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6328059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM PARAISO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6328067,2.00,3.00,1.00,2.00,5.00,6.75,1.00,1.00,0.00,652,NULL,655,'CENTRO','ARARANGUÁ','SC',21464,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6328075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6328083,4.00,5.00,2.00,4.00,9.00,7.88,0.00,6.00,3.00,338,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328091,3.00,2.00,0.00,2.00,2.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6328105,4.00,4.00,4.00,7.00,8.00,10.88,0.00,3.00,2.00,652,NULL,653,'COLONINHA','ARARANGUÁ','SC',9572,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6328113,1.00,1.00,1.00,2.00,2.00,NULL,2.00,0.00,2.00,104,NULL,NULL,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6328121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6328130,2.00,2.00,2.00,3.00,2.00,NULL,2.00,1.00,2.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6328148,0.00,6.00,2.00,1.00,6.00,NULL,0.00,6.00,0.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6328156,3.00,6.00,3.00,7.00,9.00,9.38,2.00,5.00,2.00,238,NULL,208,'VILA MARIANA','S PAULO','SP',9468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328164,7.00,8.00,5.00,6.00,7.00,12.75,3.00,7.00,6.00,301,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',1498,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6328172,6.00,4.00,4.00,6.00,8.00,9.38,2.00,5.00,3.00,207,NULL,201,'ARIRIÚ DA FORMIGA','PALHOÇA','SC',6999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6328180,5.00,6.00,3.00,4.00,6.00,7.13,1.00,5.00,4.00,501,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',9965,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6328199,5.00,5.00,2.00,7.00,4.00,7.13,2.00,4.00,3.00,318,NULL,NULL,'ALTOS DE SÃO JOSÉ','ITU','SP',10462,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6328202,8.00,7.00,3.00,7.00,6.00,9.00,6.00,5.00,6.00,214,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',2474,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6328210,2.00,2.00,1.00,2.00,5.00,5.63,1.00,1.00,0.00,202,NULL,235,'AEROPORTO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6328229,4.00,4.00,2.00,7.00,8.00,7.88,3.00,4.00,2.00,203,NULL,207,'CENTRO','BRAÇO NORTE','SC',12418,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6328237,2.00,2.00,2.00,1.00,4.00,8.25,2.00,1.00,3.00,110,NULL,NULL,'FAZ SANTO ANTONIO','S JOSÉ','SC',19000,116,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328245,4.00,4.00,7.00,6.00,6.00,9.38,2.00,3.00,4.00,201,NULL,233,'SANTA CLARA','ITAJAÍ','SC',8735,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6328253,3.00,5.00,0.00,5.00,2.00,NULL,0.00,1.00,5.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328261,1.00,3.00,0.00,6.00,5.00,NULL,0.00,0.00,1.00,316,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328270,6.00,7.00,7.00,7.00,7.00,10.50,4.00,8.00,7.00,203,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328288,3.00,3.00,2.00,3.00,6.00,9.38,1.00,0.00,0.00,452,NULL,NULL,'NOSSA S DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6328296,3.00,5.00,6.00,6.00,7.00,8.63,2.00,7.00,4.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',5854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328300,4.00,7.00,2.00,6.00,7.00,8.63,1.00,7.00,3.00,303,NULL,NULL,'ATIRADORES','JOINVILLE','SC',11030,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6328318,3.00,2.00,1.00,2.00,5.00,4.88,3.00,1.00,0.00,108,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',21243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328334,3.00,4.00,1.00,6.00,7.00,7.88,1.00,1.00,3.00,104,NULL,NULL,'SERRARIA','S JOSÉ','SC',15189,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6328342,2.00,5.00,2.00,3.00,3.00,5.63,0.00,2.00,1.00,207,NULL,201,'CANASVIEIRAS','FLORIANÓPOLIS','SC',19822,1083,NULL,1626,NULL,NULL,NULL,2,1),(25,6328350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'DE CARLI','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6328369,5.00,8.00,1.00,7.00,7.00,9.00,3.00,5.00,5.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',6981,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6328377,4.00,0.00,2.00,6.00,6.00,NULL,0.00,0.00,0.00,601,NULL,201,'VILA OPERÁRIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(25,6328385,3.00,3.00,4.00,4.00,7.00,8.63,0.00,6.00,1.00,211,NULL,215,'GARCIA','BLUMENAU','SC',13727,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6328393,2.00,1.00,1.00,2.00,0.00,NULL,1.00,1.00,1.00,5,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328415,4.00,3.00,2.00,3.00,4.00,7.88,0.00,2.00,0.00,404,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6328423,7.00,6.00,3.00,7.00,10.00,11.25,2.00,6.00,7.00,103,NULL,NULL,'JARDIM SINUELO','ASTORGA','PR',2031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328431,3.00,5.00,2.00,2.00,7.00,10.13,2.00,3.00,0.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14136,164,NULL,NULL,NULL,NULL,NULL,2,1),(25,6328440,5.00,4.00,3.00,2.00,4.00,6.38,0.00,4.00,3.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19210,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6328458,2.00,4.00,0.00,4.00,4.00,10.13,1.00,1.00,2.00,999,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6328474,4.00,5.00,2.00,4.00,8.00,12.38,1.00,5.00,1.00,328,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328482,4.00,4.00,2.00,2.00,6.00,6.38,2.00,4.00,1.00,301,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6328490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6328504,2.00,2.00,0.00,1.00,5.00,9.00,1.00,2.00,1.00,108,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',21568,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6328512,6.00,8.00,3.00,8.00,8.00,12.00,3.00,9.00,5.00,238,NULL,235,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',1949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328520,3.00,4.00,4.00,4.00,10.00,10.50,1.00,2.00,2.00,303,NULL,NULL,'LA SALLE','PATO BRANCO','PR',9545,448,NULL,NULL,NULL,NULL,NULL,4,4),(25,6328539,1.00,3.00,2.00,3.00,6.00,7.13,5.00,4.00,0.00,415,NULL,NULL,'SERRARIA','S JOSÉ','SC',17113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328547,7.00,6.00,3.00,6.00,10.00,10.88,4.00,7.00,7.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',1505,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6328555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,2.00,0.00,309,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6328563,7.00,6.00,4.00,7.00,8.00,10.50,4.00,6.00,3.00,220,NULL,207,'LOURDES','BELO HORIZONTE','MG',4153,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6328580,7.00,5.00,3.00,6.00,8.00,7.88,2.00,4.00,3.00,601,NULL,202,'KOBRASOL','S JOSÉ','SC',9169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6328598,7.00,6.00,3.00,7.00,5.00,8.63,4.00,5.00,7.00,303,NULL,NULL,'CENTRO','PALOTINA','PR',4460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328601,5.00,7.00,3.00,6.00,10.00,7.13,2.00,8.00,4.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328628,3.00,4.00,2.00,3.00,5.00,8.63,3.00,1.00,2.00,502,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328636,0.00,5.00,0.00,0.00,0.00,NULL,3.00,2.00,6.00,216,NULL,215,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(25,6328644,4.00,7.00,3.00,5.00,5.00,10.50,3.00,2.00,2.00,340,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',9629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6328660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REGIÃO DO LAGO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6328679,2.00,3.00,1.00,1.00,4.00,7.88,2.00,0.00,2.00,216,NULL,215,'CENTRO','VACARIA','RS',21417,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6328687,5.00,5.00,3.00,5.00,7.00,7.50,1.00,2.00,6.00,104,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',12906,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6328695,2.00,5.00,3.00,4.00,6.00,9.75,4.00,3.00,1.00,212,NULL,213,'CANASVIEIRAS','FLORIANÓPOLIS','SC',15683,464,NULL,230,NULL,NULL,NULL,2,1),(25,6328709,8.00,4.00,5.00,7.00,10.00,11.25,2.00,7.00,7.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',1664,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6328717,4.00,4.00,1.00,3.00,5.00,7.88,0.00,4.00,2.00,999,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328725,3.00,2.00,4.00,5.00,2.00,NULL,0.00,3.00,2.00,201,NULL,202,'CENTRO','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6328741,0.00,3.00,0.00,2.00,2.00,NULL,1.00,0.00,0.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328750,4.00,5.00,2.00,4.00,6.00,8.25,4.00,5.00,1.00,340,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15293,339,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6328776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'SÃO SEBASTIÃO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6328784,6.00,6.00,4.00,6.00,7.00,9.75,3.00,6.00,5.00,104,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',5833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6328792,3.00,1.00,0.00,1.00,1.00,NULL,1.00,1.00,2.00,420,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328806,7.00,7.00,5.00,5.00,8.00,7.88,2.00,6.00,6.00,220,NULL,235,'PIONEIROS','BAL CAMBORIÚ','SC',3375,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6328822,4.00,2.00,3.00,4.00,1.00,NULL,1.00,2.00,0.00,319,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'LARANJEIRAS','CAIEIRAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6328849,2.00,3.00,1.00,2.00,5.00,7.88,4.00,2.00,2.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',20065,4694,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6328865,4.00,5.00,4.00,6.00,7.00,8.25,3.00,5.00,5.00,601,NULL,202,'UNIVERSITÁRIO','LAGES','SC',8443,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6328873,3.00,2.00,2.00,0.00,2.00,NULL,0.00,2.00,1.00,420,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328881,5.00,7.00,0.00,4.00,4.00,9.38,1.00,1.00,1.00,104,NULL,NULL,'CENTRO','RONCADOR','PR',15134,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6328890,5.00,4.00,0.00,5.00,7.00,8.25,1.00,3.00,0.00,103,NULL,NULL,'CENTRO','COLORADO','PR',15049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6328903,3.00,4.00,0.00,4.00,5.00,6.75,2.00,5.00,3.00,444,NULL,NULL,'N SENHORA ROSARIO','S JOSÉ','SC',16838,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6328920,5.00,7.00,3.00,4.00,7.00,7.50,3.00,4.00,4.00,999,NULL,NULL,'FLORIANI','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6328938,2.00,2.00,1.00,2.00,3.00,NULL,1.00,0.00,1.00,207,NULL,215,'SANTO ANTÔNIO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6328946,2.00,3.00,6.00,2.00,4.00,7.50,3.00,3.00,3.00,309,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',17581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328954,5.00,8.00,2.00,7.00,10.00,9.00,2.00,5.00,3.00,320,NULL,NULL,'PASSA VINTE PAGANI','PALHOÇA','SC',5354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328962,1.00,4.00,0.00,0.00,3.00,NULL,3.00,5.00,2.00,335,NULL,NULL,'PALMAS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328970,5.00,5.00,4.00,5.00,8.00,9.38,1.00,6.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6328989,1.00,4.00,2.00,1.00,4.00,5.63,0.00,1.00,0.00,425,NULL,429,'TRÊS RIACHOS','BIGUAÇU','SC',21384,102,NULL,63,NULL,NULL,NULL,4,1),(25,6328997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6329012,4.00,4.00,1.00,3.00,7.00,8.25,0.00,1.00,2.00,211,NULL,652,'PRAIA DO SOL','LAGUNA','SC',19777,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6329020,3.00,7.00,0.00,3.00,9.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329039,4.00,5.00,1.00,2.00,8.00,7.13,2.00,3.00,3.00,301,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329047,4.00,2.00,3.00,1.00,6.00,6.75,3.00,2.00,2.00,212,NULL,653,'COQUEIROS','FLORIANÓPOLIS','SC',19609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6329055,8.00,7.00,7.00,7.00,10.00,7.13,2.00,7.00,8.00,103,NULL,NULL,'JARDIM PARAÍBA','APARECIDA','SP',1202,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6329063,4.00,6.00,2.00,6.00,9.00,8.63,2.00,6.00,4.00,340,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',7573,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6329080,4.00,2.00,0.00,3.00,5.00,9.38,2.00,0.00,3.00,654,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6329098,6.00,7.00,2.00,2.00,7.00,8.63,0.00,4.00,3.00,103,NULL,NULL,'CENTRO','CALMON','SC',14403,4173,NULL,NULL,NULL,NULL,NULL,4,7),(25,6329101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,238,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6329152,5.00,6.00,3.00,5.00,5.00,8.63,2.00,2.00,2.00,304,NULL,NULL,'CENTRO','CANOINHAS','SC',14635,102,NULL,NULL,NULL,NULL,NULL,2,17),(25,6329160,4.00,4.00,5.00,5.00,6.00,8.25,0.00,4.00,6.00,233,NULL,212,'SERRARIA','S JOSÉ','SC',9316,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6329179,2.00,4.00,1.00,3.00,6.00,7.88,4.00,3.00,1.00,324,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329187,2.00,4.00,3.00,3.00,5.00,6.00,1.00,3.00,6.00,214,NULL,213,'SANTA MÔNICA','FRAIBURGO','SC',18124,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6329195,5.00,6.00,4.00,7.00,8.00,8.25,1.00,6.00,5.00,233,NULL,211,'ROÇADO','S JOSÉ','SC',6714,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6329209,4.00,6.00,4.00,7.00,7.00,10.88,2.00,1.00,4.00,216,NULL,233,'DE LAZZER','CAXIAS SUL','RS',7782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329217,6.00,6.00,6.00,6.00,7.00,6.38,3.00,7.00,7.00,203,NULL,208,'CENTRO','MARINGÁ','PR',2534,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6329225,4.00,8.00,2.00,4.00,8.00,11.25,1.00,4.00,1.00,207,NULL,601,'PENHA','PAULO LOPES','SC',9997,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6329233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'ITACARUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6329241,2.00,2.00,2.00,3.00,5.00,NULL,1.00,0.00,0.00,201,NULL,212,'IMIGRANTES','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6329250,3.00,2.00,1.00,1.00,2.00,NULL,2.00,1.00,1.00,207,NULL,652,'BANANAL','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6329268,4.00,2.00,1.00,4.00,8.00,9.00,1.00,1.00,2.00,216,NULL,201,'UNIVERSITÁRIO','LAGES','SC',14586,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6329276,1.00,4.00,0.00,3.00,3.00,NULL,2.00,1.00,1.00,109,NULL,NULL,'PIONEIROS','ITÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6329284,2.00,3.00,0.00,2.00,5.00,NULL,0.00,2.00,0.00,309,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6329292,2.00,2.00,2.00,3.00,6.00,6.75,0.00,1.00,2.00,317,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329306,3.00,2.00,0.00,3.00,5.00,NULL,3.00,1.00,3.00,207,NULL,601,'VILA SÃO JORGE','S VICENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329314,4.00,6.00,3.00,5.00,6.00,8.63,3.00,4.00,2.00,207,NULL,201,'BREJARU','PALHOÇA','SC',9836,488,NULL,791,NULL,NULL,NULL,2,1),(25,6329322,4.00,6.00,4.00,7.00,8.00,10.13,3.00,5.00,3.00,320,NULL,NULL,'PASSA VINTE PAGANI','PALHOÇA','SC',7065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329330,8.00,6.00,3.00,7.00,7.00,13.13,2.00,7.00,6.00,103,NULL,NULL,'VILA CAMPO GRANDE','S PAULO','SP',2057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329349,4.00,6.00,2.00,1.00,7.00,7.13,2.00,3.00,2.00,335,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15032,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6329357,2.00,1.00,1.00,2.00,4.00,6.00,0.00,1.00,0.00,208,NULL,203,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6329365,6.00,8.00,7.00,7.00,10.00,8.63,3.00,8.00,6.00,207,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329381,1.00,3.00,0.00,2.00,6.00,NULL,0.00,3.00,3.00,238,NULL,211,'CENTRO','CAC DOBLE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6329403,1.00,6.00,4.00,5.00,8.00,NULL,0.00,3.00,2.00,301,NULL,NULL,'SANTO ANTÔNIO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6329411,4.00,6.00,6.00,4.00,9.00,8.25,2.00,2.00,4.00,203,NULL,NULL,'JD TV MORENA','CPO GRANDE','MS',7541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329420,2.00,7.00,2.00,5.00,6.00,8.63,1.00,4.00,3.00,303,NULL,NULL,'PRAIA DO JARDIM II','ANGRA REIS','RJ',11127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329438,2.00,5.00,3.00,4.00,6.00,NULL,1.00,0.00,0.00,415,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6329446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6329454,9.00,7.00,6.00,7.00,10.00,11.25,8.00,9.00,6.00,203,NULL,214,'CANTO','FLORIANÓPOLIS','SC',48,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329462,7.00,7.00,4.00,3.00,9.00,8.25,2.00,8.00,4.00,103,NULL,NULL,'N SENHORA DAS GRAÇAS','MANAUS','AM',5338,2517,NULL,NULL,NULL,NULL,NULL,3,1),(25,6329470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTENÁRIO','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6329489,6.00,8.00,6.00,4.00,9.00,9.75,4.00,6.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329497,8.00,7.00,3.00,5.00,7.00,10.13,4.00,5.00,6.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',3115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329500,7.00,7.00,6.00,7.00,9.00,7.88,7.00,7.00,8.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',607,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6329527,1.00,0.00,0.00,4.00,5.00,5.63,1.00,1.00,1.00,5,NULL,NULL,'JARDIM AMÉRICA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6329535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,423,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6329560,1.00,4.00,1.00,3.00,5.00,NULL,3.00,3.00,0.00,451,NULL,NULL,'CENTRO','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329586,5.00,5.00,4.00,3.00,4.00,7.13,3.00,7.00,1.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6329594,5.00,5.00,1.00,2.00,1.00,NULL,1.00,1.00,0.00,201,NULL,207,'ESTRADA GERAL','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6329616,8.00,7.00,1.00,5.00,8.00,8.63,1.00,6.00,5.00,234,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6329624,6.00,7.00,3.00,5.00,6.00,8.25,0.00,4.00,4.00,212,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',8483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,235,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6329640,2.00,2.00,3.00,6.00,4.00,NULL,0.00,0.00,3.00,5,NULL,NULL,'ITACOBURI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6329659,4.00,7.00,4.00,6.00,6.00,9.00,2.00,4.00,3.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6329667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6329675,5.00,6.00,3.00,5.00,10.00,10.13,4.00,4.00,8.00,216,NULL,211,'JARDIM PITUAÇU','SALVADOR','BA',2409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329683,6.00,6.00,3.00,4.00,5.00,8.63,1.00,7.00,1.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329705,7.00,7.00,2.00,7.00,9.00,9.75,3.00,8.00,5.00,319,NULL,NULL,'BACACHERI','CURITIBA','PR',2659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329721,1.00,5.00,1.00,5.00,6.00,9.38,2.00,4.00,1.00,328,NULL,NULL,'PRÓSPERA','CRICIÚMA','SC',13538,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6329730,7.00,5.00,6.00,6.00,9.00,8.63,6.00,4.00,6.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329756,3.00,3.00,0.00,2.00,4.00,7.13,2.00,3.00,1.00,336,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329764,6.00,4.00,2.00,6.00,8.00,7.13,2.00,8.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6869,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6329772,4.00,5.00,2.00,4.00,7.00,9.00,2.00,3.00,3.00,202,NULL,208,'MONTE VERDE','FLORIANÓPOLIS','SC',11307,363,NULL,192,NULL,NULL,NULL,4,1),(25,6329780,5.00,0.00,2.00,1.00,5.00,NULL,0.00,0.00,0.00,207,NULL,201,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6329799,0.00,0.00,0.00,0.00,0.00,NULL,2.00,1.00,0.00,338,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6329802,4.00,6.00,3.00,5.00,8.00,8.63,1.00,8.00,3.00,425,NULL,424,'BARREIROS','S JOSÉ','SC',9697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329810,5.00,7.00,2.00,6.00,8.00,7.50,3.00,5.00,3.00,317,NULL,NULL,'BELA VISTA III','S JOSÉ','SC',9038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329837,5.00,6.00,2.00,6.00,7.00,6.75,1.00,5.00,3.00,234,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13896,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6329845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6329853,5.00,7.00,2.00,4.00,6.00,10.13,1.00,6.00,5.00,655,NULL,652,'CIDADE ALTA','ARARANGUÁ','SC',8865,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6329861,7.00,7.00,2.00,7.00,11.00,10.13,1.00,6.00,4.00,211,NULL,216,'VILA TOTOLI','FRANCA','SP',3038,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6329870,2.00,3.00,3.00,4.00,6.00,5.63,3.00,2.00,3.00,301,NULL,NULL,'AREIAS','S JOSÉ','SC',16455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329888,5.00,7.00,5.00,8.00,9.00,10.50,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6329900,3.00,4.00,1.00,5.00,4.00,NULL,2.00,1.00,0.00,451,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6329918,3.00,6.00,1.00,6.00,7.00,9.75,2.00,3.00,4.00,5,NULL,NULL,'PRAIA BRAVA','FLORIANÓPOLIS','SC',12249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'EMBARÉ','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6329934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6329942,7.00,8.00,2.00,5.00,7.00,8.25,3.00,7.00,6.00,303,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',4099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329950,5.00,6.00,2.00,7.00,7.00,NULL,0.00,5.00,6.00,999,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329969,5.00,4.00,3.00,3.00,8.00,11.25,1.00,6.00,4.00,103,NULL,NULL,'COLINA SORRISO','CAXIAS SUL','RS',7555,3080,NULL,NULL,NULL,NULL,NULL,2,1),(25,6329977,7.00,5.00,2.00,7.00,8.00,8.63,1.00,5.00,6.00,103,NULL,NULL,'VILA BRASIL','S PAULO','SP',5514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6329985,8.00,5.00,5.00,4.00,5.00,7.13,3.00,5.00,8.00,601,NULL,203,'XAXIM','CURITIBA','PR',4673,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6329993,2.00,4.00,1.00,0.00,2.00,NULL,4.00,4.00,2.00,203,NULL,201,'AGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6330002,2.00,5.00,3.00,2.00,4.00,7.88,1.00,0.00,0.00,9,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',19199,125,NULL,NULL,NULL,NULL,NULL,4,1),(25,6330010,2.00,5.00,4.00,6.00,9.00,6.75,2.00,3.00,5.00,601,NULL,212,'JARDIM MALUCHE','BRUSQUE','SC',12631,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6330029,3.00,3.00,2.00,2.00,3.00,6.75,1.00,2.00,1.00,5,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330037,5.00,6.00,3.00,3.00,6.00,8.63,5.00,5.00,4.00,501,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6330053,4.00,4.00,0.00,3.00,5.00,NULL,1.00,2.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6330070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6330088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CONSTANTINA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6330096,6.00,6.00,1.00,6.00,6.00,NULL,0.00,3.00,4.00,3,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330100,3.00,4.00,3.00,3.00,4.00,8.25,1.00,2.00,4.00,655,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',18720,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6330118,3.00,3.00,2.00,5.00,4.00,7.50,3.00,0.00,2.00,5,NULL,NULL,'LOT MADRI','PALHOÇA','SC',20355,692,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330126,2.00,4.00,1.00,2.00,4.00,0.00,0.00,1.00,0.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6330134,1.00,3.00,1.00,4.00,3.00,NULL,0.00,0.00,2.00,316,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6330142,2.00,6.00,0.00,2.00,5.00,6.75,2.00,3.00,0.00,319,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6330150,1.00,4.00,0.00,4.00,5.00,6.75,0.00,4.00,1.00,327,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18678,53,NULL,NULL,NULL,NULL,NULL,4,1),(25,6330169,3.00,2.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,425,NULL,429,'POÇO FUNDO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6330185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6330193,6.00,9.00,5.00,7.00,11.00,12.38,5.00,9.00,7.00,225,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6330207,2.00,4.00,2.00,4.00,4.00,8.25,3.00,5.00,4.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13320,53,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330215,3.00,6.00,1.00,5.00,5.00,10.50,3.00,2.00,3.00,317,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',14356,64,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6330231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6330240,4.00,4.00,2.00,4.00,6.00,7.88,0.00,4.00,4.00,999,NULL,NULL,'CHICO DE PAULA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6330258,3.00,5.00,1.00,3.00,7.00,NULL,3.00,0.00,1.00,104,NULL,NULL,'CANTA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6330266,7.00,5.00,2.00,5.00,8.00,10.50,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','STA FÉ','PR',4825,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330274,2.00,8.00,5.00,6.00,7.00,8.25,5.00,6.00,4.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',5542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6330282,3.00,1.00,0.00,1.00,2.00,NULL,2.00,3.00,1.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6330290,2.00,3.00,1.00,4.00,2.00,NULL,2.00,0.00,0.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330304,3.00,2.00,2.00,3.00,3.00,6.75,2.00,0.00,1.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21495,113,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330312,2.00,2.00,1.00,2.00,3.00,7.13,2.00,1.00,1.00,551,NULL,NULL,'CAMPO D ÁGUA VERDE','CANOINHAS','SC',21707,86,NULL,NULL,NULL,NULL,NULL,4,17),(25,6330320,3.00,7.00,3.00,3.00,7.00,10.50,0.00,3.00,1.00,102,NULL,NULL,'SÃO MARCOS','BIGUAÇU','SC',13299,150,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330339,2.00,4.00,0.00,4.00,4.00,6.38,1.00,4.00,1.00,308,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',19269,36,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330347,6.00,6.00,3.00,5.00,7.00,6.38,3.00,3.00,4.00,503,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',10795,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6330355,5.00,4.00,2.00,3.00,8.00,8.63,1.00,6.00,3.00,207,NULL,201,'ARMAÇÃO','FLORIANÓPOLIS','SC',13322,715,NULL,1131,NULL,NULL,NULL,2,1),(25,6330363,6.00,4.00,4.00,5.00,7.00,7.13,1.00,5.00,3.00,601,NULL,652,'CENTRO','BAL ARROIO SILVA','SC',11820,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6330371,3.00,6.00,1.00,3.00,7.00,9.00,3.00,4.00,1.00,655,NULL,238,'VARGEM GRANDE','FLORIANÓPOLIS','SC',13705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6330380,0.00,2.00,1.00,2.00,3.00,0.00,2.00,3.00,3.00,655,NULL,653,'SANGÃO MADALENA','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6330398,4.00,5.00,3.00,3.00,8.00,8.25,0.00,4.00,3.00,601,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',14974,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330401,5.00,4.00,3.00,7.00,7.00,8.25,4.00,1.00,4.00,103,NULL,NULL,'STA MARTA','ITAPIRA','SP',7802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6330410,3.00,6.00,6.00,7.00,6.00,11.25,5.00,7.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6330428,3.00,4.00,1.00,6.00,5.00,6.75,4.00,2.00,0.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330436,5.00,4.00,1.00,3.00,8.00,0.00,2.00,4.00,1.00,425,NULL,427,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6330444,7.00,7.00,4.00,5.00,6.00,9.00,2.00,6.00,8.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',3782,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6330452,4.00,0.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,426,NULL,423,'SACOS DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6330460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ELZA','GUAÍBA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6330479,2.00,3.00,2.00,2.00,4.00,9.75,2.00,0.00,2.00,102,NULL,NULL,'VILA ITOUPAVA','BLUMENAU','SC',17601,220,NULL,NULL,NULL,NULL,NULL,4,2),(25,6330487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,426,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6330495,7.00,5.00,6.00,5.00,5.00,9.38,1.00,5.00,2.00,302,NULL,NULL,'CENTRO','CRICIÚMA','SC',9091,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6330509,3.00,3.00,0.00,3.00,5.00,7.88,2.00,0.00,0.00,655,NULL,652,'SÃO JOÃO','TRÊS CACHOEIRAS','RS',21440,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6330517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6330525,5.00,5.00,1.00,5.00,4.00,9.75,2.00,2.00,0.00,324,NULL,NULL,'BARREIROS','S JOSÉ','SC',15857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6330533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6330541,4.00,5.00,3.00,5.00,6.00,8.63,0.00,4.00,3.00,208,NULL,238,'MONTE BELO','JOAÇABA','SC',12215,225,NULL,200,NULL,NULL,NULL,4,7),(25,6330550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6330568,3.00,3.00,0.00,7.00,9.00,NULL,3.00,0.00,2.00,420,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6330584,2.00,2.00,1.00,0.00,2.00,NULL,1.00,3.00,0.00,202,NULL,201,'SÃO CRISTÓVÃO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6330592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,653,'SANGÃO MADALENA','MARACAJÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6330606,4.00,5.00,1.00,5.00,7.00,10.88,2.00,2.00,4.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',9261,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6330614,2.00,5.00,1.00,2.00,7.00,7.88,2.00,4.00,1.00,202,NULL,213,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',18295,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,653,'PEDRO ZANIVAN','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6330630,8.00,7.00,4.00,6.00,9.00,9.38,4.00,7.00,7.00,103,NULL,NULL,'SANTA CATARINA','AMERICANA','SP',1360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6330649,6.00,5.00,0.00,4.00,7.00,9.00,2.00,4.00,8.00,102,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',9447,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330657,2.00,4.00,3.00,3.00,8.00,6.38,4.00,5.00,2.00,329,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6330673,4.00,5.00,1.00,5.00,6.00,7.13,4.00,5.00,5.00,327,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6330703,3.00,5.00,5.00,5.00,4.00,5.25,0.00,1.00,2.00,202,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',19731,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330711,4.00,6.00,2.00,5.00,5.00,7.88,3.00,4.00,2.00,201,NULL,211,'JOAO PAULO','FLORIANÓPOLIS','SC',11028,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330720,8.00,6.00,3.00,6.00,7.00,11.25,1.00,3.00,6.00,103,NULL,NULL,'CENTRO','GUARAMIRIM','SC',4606,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6330754,7.00,7.00,1.00,5.00,8.00,9.75,3.00,4.00,5.00,102,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',6526,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330770,3.00,4.00,4.00,2.00,3.00,6.00,1.00,2.00,3.00,208,NULL,238,'INTERIOR','RIO CAMPO','SC',17647,442,NULL,414,NULL,NULL,NULL,4,9),(25,6330789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,NULL,'CENTRO','DR PEDRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6330797,4.00,7.00,2.00,4.00,9.00,12.00,2.00,6.00,4.00,220,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6800,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330800,2.00,5.00,2.00,4.00,6.00,NULL,1.00,3.00,3.00,201,NULL,NULL,'PRAIA BRAVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,6),(25,6330819,2.00,4.00,1.00,2.00,5.00,0.00,1.00,0.00,1.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6330835,2.00,5.00,2.00,3.00,7.00,8.25,1.00,3.00,2.00,310,NULL,NULL,'POPULAR','LAGES','SC',17617,32,NULL,NULL,NULL,NULL,NULL,4,9),(25,6330843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,213,'PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6330851,6.00,5.00,4.00,6.00,5.00,8.63,2.00,3.00,2.00,201,NULL,203,'CENTRO','CENT SUL','PR',8950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330860,3.00,2.00,1.00,2.00,3.00,4.88,0.00,1.00,1.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6330886,3.00,5.00,1.00,3.00,7.00,7.50,2.00,1.00,1.00,501,NULL,NULL,'CENTRO','S JOSÉ','SC',18171,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330908,2.00,2.00,2.00,3.00,6.00,5.63,0.00,0.00,1.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',21583,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6330916,3.00,2.00,1.00,0.00,4.00,7.50,2.00,3.00,2.00,655,NULL,652,'CENTRO','ARARANGUÁ','SC',21322,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6330924,3.00,8.00,4.00,5.00,9.00,10.13,3.00,7.00,3.00,5,NULL,NULL,'CENTRO','URUBICI','SC',4773,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330932,3.00,2.00,2.00,1.00,6.00,NULL,1.00,0.00,0.00,415,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6330940,5.00,3.00,2.00,3.00,7.00,10.88,1.00,2.00,0.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6330959,4.00,3.00,2.00,4.00,5.00,5.63,0.00,3.00,1.00,999,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6330967,4.00,4.00,1.00,4.00,6.00,NULL,0.00,1.00,1.00,108,NULL,NULL,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6330975,6.00,5.00,1.00,5.00,8.00,7.50,2.00,3.00,3.00,999,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6330983,4.00,5.00,1.00,2.00,6.00,5.63,1.00,0.00,0.00,109,NULL,NULL,'CENTRO','CRICIÚMA','SC',21325,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6331009,0.00,3.00,1.00,0.00,0.00,NULL,1.00,4.00,1.00,453,NULL,NULL,'OURO FINO','BARRA GARÇAS','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331017,7.00,5.00,3.00,6.00,8.00,9.00,2.00,6.00,6.00,202,NULL,238,'MONTE CASTELO','TUBARÃO','SC',5176,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6331025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331033,7.00,4.00,3.00,4.00,9.00,9.75,4.00,6.00,5.00,104,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',5571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331041,5.00,6.00,2.00,7.00,8.00,9.38,0.00,6.00,4.00,207,NULL,215,'ROÇADO','S JOSÉ','SC',5978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331050,3.00,4.00,1.00,4.00,7.00,7.13,1.00,3.00,1.00,336,NULL,NULL,'CENTRO','GUARAMIRIM','SC',19149,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6331076,5.00,4.00,3.00,2.00,6.00,6.75,2.00,0.00,4.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',14392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331084,0.00,3.00,0.00,1.00,0.00,NULL,2.00,1.00,3.00,451,NULL,NULL,'JARDIM CARANDAI','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6331106,6.00,4.00,4.00,5.00,7.00,9.75,2.00,4.00,4.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PETROPÓLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6331122,1.00,7.00,1.00,2.00,3.00,7.13,2.00,1.00,1.00,208,NULL,238,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',20954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331130,3.00,5.00,3.00,4.00,9.00,10.50,1.00,7.00,2.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',11666,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331149,3.00,3.00,0.00,1.00,3.00,7.13,2.00,0.00,1.00,103,NULL,NULL,'FLORESTA','S JOSÉ','SC',21705,4807,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331157,1.00,2.00,0.00,3.00,6.00,NULL,1.00,2.00,0.00,304,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331173,2.00,5.00,2.00,2.00,9.00,10.13,2.00,5.00,2.00,5,NULL,NULL,'VELHA','BLUMENAU','SC',15440,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6331181,4.00,2.00,1.00,3.00,6.00,8.25,0.00,1.00,1.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',18474,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331190,4.00,6.00,1.00,4.00,4.00,7.50,1.00,3.00,0.00,551,NULL,NULL,'RIO MORTO','INDAIAL','SC',20241,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6331203,3.00,5.00,4.00,3.00,5.00,5.25,3.00,6.00,4.00,211,NULL,601,'ARIRIÚ FORMIGA','PALHOÇA','SC',11944,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331211,3.00,6.00,3.00,3.00,8.00,9.75,3.00,1.00,0.00,102,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',16907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331220,2.00,2.00,4.00,1.00,6.00,5.63,2.00,0.00,2.00,502,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331238,5.00,5.00,1.00,6.00,7.00,10.13,1.00,4.00,4.00,103,NULL,NULL,'VERENA','STA CRUZ SUL','RS',9815,3526,NULL,NULL,NULL,NULL,NULL,2,4),(25,6331270,2.00,5.00,1.00,3.00,8.00,7.50,1.00,5.00,0.00,427,NULL,424,'SERRINHA','FLORIANÓPOLIS','SC',17427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331289,4.00,4.00,1.00,2.00,6.00,8.63,1.00,5.00,2.00,207,NULL,235,'CENTRO','SOMBRIO','SC',12902,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6331297,6.00,8.00,3.00,5.00,8.00,8.63,2.00,7.00,7.00,103,NULL,NULL,'NOSSA SENHORA DE FÁT','S JOSÉ R PRETO','SP',2780,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331300,3.00,4.00,6.00,3.00,7.00,5.63,4.00,2.00,5.00,601,NULL,214,'REBOUCAS','CURITIBA','PR',13046,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6331343,6.00,7.00,0.00,5.00,8.00,NULL,1.00,4.00,5.00,103,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6331351,1.00,0.00,2.00,4.00,4.00,6.75,0.00,0.00,0.00,302,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',21781,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331360,2.00,7.00,0.00,2.00,4.00,9.38,4.00,2.00,2.00,103,NULL,NULL,'SERTÃO','STO AMARO IMPERATRIZ','SC',16610,4393,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6331394,1.00,0.00,3.00,1.00,1.00,NULL,2.00,1.00,0.00,201,NULL,NULL,'CAVERAZINHO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6331408,9.00,8.00,8.00,5.00,9.00,10.88,3.00,9.00,9.00,216,NULL,653,'HIDRÁULICA','LAJEADO','RS',385,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6331416,2.00,3.00,0.00,1.00,7.00,9.00,2.00,0.00,1.00,340,NULL,NULL,'CENTRO','GUARAMIRIM','SC',19472,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6331424,1.00,0.00,1.00,1.00,3.00,NULL,2.00,0.00,0.00,404,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','CPO ERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6331459,5.00,4.00,1.00,4.00,7.00,6.38,2.00,5.00,3.00,318,NULL,NULL,'CENTRO','CRICIÚMA','SC',15082,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6331483,6.00,5.00,1.00,7.00,8.00,NULL,0.00,5.00,3.00,340,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6331491,1.00,3.00,1.00,5.00,7.00,7.88,0.00,3.00,2.00,501,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',19958,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331505,3.00,7.00,2.00,4.00,5.00,8.63,3.00,7.00,4.00,303,NULL,NULL,'CENTRO','BIGUAÇU','SC',9513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331521,7.00,5.00,5.00,3.00,7.00,8.25,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6594,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6331530,3.00,4.00,1.00,3.00,5.00,NULL,2.00,0.00,0.00,654,NULL,NULL,'CENTRO','GR PARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6331548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','PAULO LOPES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6331556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,421,'JARDIM ELIANA','ARARAQUARA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6331572,4.00,1.00,1.00,2.00,4.00,6.38,1.00,3.00,1.00,201,NULL,212,'CENTRO','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6331580,8.00,7.00,4.00,3.00,8.00,7.88,3.00,8.00,7.00,103,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',3036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331599,3.00,2.00,2.00,3.00,4.00,6.00,2.00,3.00,2.00,208,NULL,238,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331610,5.00,6.00,4.00,4.00,4.00,6.38,3.00,6.00,4.00,220,NULL,208,'JARDIM RIVA','PRIMAVERA LESTE','MT',9831,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6331645,5.00,5.00,2.00,3.00,8.00,7.13,1.00,4.00,1.00,652,NULL,655,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',14684,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6331653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'SANTO AMARO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6331670,2.00,3.00,1.00,3.00,5.00,6.38,0.00,2.00,1.00,238,NULL,208,'CANASVIEIRAS','FLORIANÓPOLIS','SC',19401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331696,3.00,1.00,0.00,2.00,3.00,NULL,2.00,0.00,1.00,207,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331700,1.00,5.00,2.00,4.00,3.00,7.13,2.00,3.00,2.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331718,4.00,5.00,1.00,6.00,8.00,9.38,2.00,4.00,1.00,340,NULL,NULL,'COLINA DAS ESTRELAS','TATUÍ','SP',10760,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6331726,6.00,6.00,4.00,7.00,8.00,9.75,3.00,8.00,7.00,303,NULL,NULL,'CARANDÁ BOSQUE','CPO GRANDE','MS',2953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331742,4.00,4.00,2.00,1.00,8.00,9.38,2.00,6.00,2.00,225,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331750,8.00,9.00,5.00,6.00,10.00,10.88,2.00,8.00,9.00,103,NULL,NULL,'JD ALVORADA','GUAIÇARA','SP',409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331769,3.00,2.00,1.00,2.00,3.00,4.50,2.00,1.00,1.00,652,NULL,655,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6331777,4.00,7.00,3.00,4.00,6.00,9.00,1.00,6.00,3.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'JARDIM TREMEMBÉ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6331815,4.00,5.00,4.00,6.00,8.00,6.75,3.00,5.00,3.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10602,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331823,5.00,4.00,2.00,4.00,5.00,7.88,1.00,7.00,3.00,425,NULL,428,'ITACORUBI','FLORIANÓPOLIS','SC',13612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331831,4.00,7.00,2.00,7.00,9.00,12.38,2.00,8.00,3.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331840,7.00,6.00,0.00,5.00,8.00,8.25,2.00,6.00,7.00,103,NULL,NULL,'PARAGUAI','JACINTO MACHADO','SC',6957,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6331858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','TUPI PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6331866,4.00,6.00,2.00,7.00,6.00,9.00,2.00,4.00,2.00,340,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',11242,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6331874,4.00,7.00,2.00,4.00,9.00,6.00,2.00,4.00,3.00,103,NULL,NULL,'N S DE FATIMA','IÇARA','SC',12099,3878,NULL,NULL,NULL,NULL,NULL,2,5),(25,6331882,6.00,1.00,0.00,2.00,5.00,6.75,2.00,5.00,3.00,201,NULL,220,'CENTRO','STA MARIA','RS',15246,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331890,4.00,1.00,2.00,4.00,2.00,NULL,0.00,1.00,2.00,301,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6331904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'BALNEARIO ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6331912,6.00,8.00,3.00,5.00,7.00,10.88,2.00,6.00,7.00,103,NULL,NULL,'IPIRANGA','CPO GRANDE','MS',4230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331920,8.00,6.00,4.00,6.00,10.00,12.38,3.00,6.00,8.00,103,NULL,NULL,'VILA GUARANI','S PAULO','SP',751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331947,6.00,5.00,1.00,6.00,9.00,10.88,3.00,8.00,1.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331955,5.00,6.00,5.00,4.00,7.00,10.50,3.00,5.00,7.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',5611,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6331963,2.00,3.00,0.00,3.00,2.00,NULL,1.00,5.00,1.00,202,NULL,215,'CENTRO','TREZE TÍLIAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6331980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6331998,2.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6332005,3.00,4.00,4.00,3.00,4.00,6.00,1.00,4.00,2.00,601,NULL,213,'JOÃO COSTA','JOINVILLE','SC',17684,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6332013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,212,'VILA BELMIRO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6332021,2.00,5.00,2.00,4.00,3.00,8.25,4.00,1.00,1.00,220,NULL,601,'BOA VISTA','JOINVILLE','SC',15791,414,NULL,NULL,NULL,NULL,NULL,4,8),(25,6332030,1.00,1.00,0.00,2.00,3.00,6.00,3.00,0.00,0.00,207,NULL,213,'INGLESES','FLORIANÓPOLIS','SC',21426,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332048,3.00,7.00,3.00,3.00,8.00,NULL,0.00,1.00,0.00,501,NULL,NULL,'ESTREITO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332056,3.00,6.00,3.00,2.00,7.00,6.75,1.00,4.00,1.00,404,NULL,NULL,'CENTRO','SALTO VELOSO','SC',18433,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6332064,1.00,5.00,0.00,3.00,6.00,4.88,3.00,2.00,1.00,235,NULL,208,'CARIANOS','FLORIANÓPOLIS','SC',21109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332072,2.00,3.00,2.00,1.00,5.00,7.50,1.00,1.00,1.00,102,NULL,NULL,'UNIVERSITÁRIO','CURITIBANOS','SC',19634,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6332080,5.00,3.00,0.00,3.00,6.00,NULL,1.00,0.00,4.00,309,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332099,5.00,6.00,3.00,5.00,6.00,9.00,0.00,4.00,4.00,333,NULL,NULL,'CENTRO','ERECHIM','RS',9557,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332102,1.00,2.00,0.00,2.00,3.00,NULL,0.00,0.00,2.00,450,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332110,3.00,5.00,2.00,5.00,5.00,6.38,1.00,2.00,3.00,104,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',18395,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6332137,4.00,6.00,1.00,3.00,7.00,NULL,0.00,6.00,0.00,327,NULL,NULL,'CRIMÉIA OESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332145,2.00,6.00,3.00,3.00,5.00,7.50,2.00,1.00,1.00,338,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19624,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332153,1.00,2.00,4.00,2.00,4.00,NULL,3.00,0.00,1.00,301,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332161,5.00,5.00,1.00,4.00,9.00,11.25,2.00,4.00,3.00,427,NULL,421,'PICADAS DO SUL','S JOSÉ','SC',10987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332170,6.00,5.00,1.00,1.00,5.00,3.75,2.00,3.00,6.00,110,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332188,0.00,1.00,0.00,1.00,2.00,NULL,3.00,1.00,1.00,339,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332196,2.00,3.00,1.00,2.00,7.00,9.00,2.00,3.00,2.00,316,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',19716,234,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332218,7.00,6.00,3.00,7.00,8.00,10.50,1.00,4.00,7.00,103,NULL,NULL,'FANNY','CURITIBA','PR',3668,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6332226,4.00,6.00,0.00,4.00,5.00,9.00,1.00,2.00,4.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332242,3.00,2.00,0.00,4.00,4.00,7.13,2.00,2.00,0.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332269,4.00,3.00,2.00,3.00,6.00,8.25,1.00,2.00,3.00,216,NULL,NULL,'CENTRO','JOAÇABA','SC',19097,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6332277,2.00,2.00,1.00,1.00,5.00,NULL,3.00,0.00,3.00,404,NULL,NULL,'SAO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332285,4.00,7.00,2.00,3.00,8.00,7.13,2.00,7.00,4.00,301,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',8388,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6332307,1.00,3.00,4.00,2.00,3.00,7.88,2.00,1.00,2.00,224,NULL,NULL,'BAIRRO IPIRANGA','S JOSÉ','SC',21198,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332315,3.00,6.00,4.00,6.00,6.00,10.13,4.00,6.00,4.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332323,5.00,6.00,3.00,6.00,9.00,11.25,3.00,6.00,7.00,233,NULL,216,'CENTRO','GR PARÁ','SC',4220,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6332331,4.00,6.00,6.00,7.00,9.00,10.88,3.00,8.00,3.00,450,NULL,NULL,'AMÉRICA','JOINVILLE','SC',4293,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(25,6332340,6.00,4.00,1.00,4.00,7.00,9.38,0.00,0.00,2.00,201,NULL,NULL,'CENTRO','FREDERICO WESTPHALEN','RS',15903,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6332358,3.00,5.00,3.00,3.00,3.00,6.00,2.00,4.00,2.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332366,4.00,4.00,2.00,1.00,4.00,6.75,1.00,2.00,1.00,233,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',20847,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332374,3.00,2.00,0.00,5.00,7.00,9.38,1.00,4.00,2.00,415,NULL,NULL,'FAZENDA','ITAJAÍ','SC',16454,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6332382,2.00,5.00,1.00,2.00,5.00,8.25,1.00,1.00,1.00,308,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332390,2.00,6.00,1.00,3.00,5.00,8.63,1.00,6.00,4.00,332,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',14390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','GUARÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6332412,3.00,4.00,1.00,4.00,6.00,NULL,2.00,1.00,0.00,301,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'BANANAL DO SUL','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6332439,2.00,0.00,1.00,1.00,1.00,NULL,0.00,0.00,0.00,426,NULL,428,'ALTO DAS PALMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,17),(25,6332447,9.00,8.00,4.00,5.00,10.00,7.88,5.00,5.00,7.00,103,NULL,NULL,'JD DOURADOS','MARINGÁ','PR',1375,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6332463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,211,'CENTRO','S LUDGERO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6332498,2.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'VILA GÓES','BOCAÍNA SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,9),(25,6332501,5.00,2.00,2.00,6.00,5.00,9.00,1.00,4.00,1.00,601,NULL,652,'BUCAREIN','JOINVILLE','SC',16104,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6332510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6332528,5.00,6.00,2.00,3.00,9.00,10.13,0.00,2.00,1.00,428,NULL,426,'SANTA LUZIA','CAPÃO CANOA','RS',13901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CANDIDA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6332587,8.00,7.00,3.00,4.00,9.00,9.75,0.00,6.00,6.00,5,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',3672,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6332595,6.00,0.00,2.00,8.00,9.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(25,6332609,4.00,6.00,3.00,3.00,8.00,9.38,3.00,0.00,4.00,653,NULL,233,'INTERIOR','VARGEÃO','SC',10799,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6332617,3.00,4.00,1.00,4.00,6.00,6.38,3.00,1.00,1.00,201,NULL,207,'AMÉRICA','JOINVILLE','SC',20482,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6332625,3.00,5.00,1.00,3.00,2.00,NULL,3.00,3.00,2.00,203,NULL,214,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332633,6.00,6.00,4.00,5.00,5.00,7.13,2.00,4.00,2.00,235,NULL,238,'MONTE CRISTO','FLORIANÓPOLIS','SC',11296,255,NULL,173,NULL,NULL,NULL,2,1),(25,6332650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6332668,5.00,6.00,4.00,8.00,8.00,11.63,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','POMERODE','SC',4871,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(25,6332676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'MONTE ALEGRE','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6332684,5.00,6.00,6.00,6.00,7.00,6.75,3.00,6.00,2.00,452,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',8147,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332692,3.00,7.00,2.00,2.00,4.00,5.25,1.00,4.00,1.00,326,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',20385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332714,1.00,2.00,1.00,1.00,5.00,6.00,1.00,0.00,1.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332722,6.00,5.00,4.00,6.00,8.00,6.75,2.00,5.00,3.00,201,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',7618,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332730,3.00,4.00,1.00,3.00,6.00,8.63,3.00,2.00,0.00,303,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','QTA SOL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6332757,4.00,4.00,1.00,5.00,8.00,9.00,2.00,5.00,3.00,212,NULL,213,'MARIA GORETTI','CHAPECÓ','SC',10986,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6332765,6.00,8.00,4.00,5.00,9.00,10.13,2.00,5.00,5.00,233,NULL,208,'FLORESTA','S JOSÉ','SC',4215,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332773,3.00,3.00,0.00,6.00,7.00,9.00,3.00,5.00,2.00,329,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6332790,3.00,6.00,0.00,4.00,8.00,8.63,0.00,5.00,2.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',11671,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6332803,3.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CASA BRANCA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,6),(25,6332811,5.00,7.00,5.00,0.00,4.00,6.00,1.00,7.00,4.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',12365,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332820,4.00,4.00,3.00,1.00,3.00,6.75,3.00,3.00,1.00,444,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332838,4.00,4.00,4.00,5.00,9.00,7.50,3.00,7.00,2.00,304,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10399,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332846,2.00,6.00,1.00,1.00,4.00,6.00,1.00,1.00,2.00,415,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',20874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332854,3.00,0.00,1.00,7.00,5.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6332862,7.00,8.00,5.00,2.00,7.00,7.50,5.00,6.00,7.00,203,NULL,220,'CENTRO','LAGES','SC',4007,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6332870,2.00,2.00,0.00,2.00,4.00,NULL,1.00,0.00,0.00,337,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332889,3.00,5.00,1.00,6.00,7.00,NULL,1.00,0.00,2.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332897,5.00,5.00,3.00,6.00,6.00,NULL,1.00,1.00,3.00,103,NULL,NULL,'CRUZEIRO','PELOTAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6332900,2.00,4.00,0.00,3.00,7.00,6.75,4.00,2.00,3.00,319,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',19045,401,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332919,3.00,5.00,3.00,2.00,7.00,7.13,4.00,6.00,3.00,302,NULL,NULL,'LOURO','ANTÔNIO CARLOS','SC',11953,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332927,3.00,6.00,2.00,2.00,4.00,7.50,2.00,1.00,3.00,501,NULL,NULL,'REAL PARK','S JOSÉ','SC',20167,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332935,4.00,4.00,3.00,7.00,9.00,9.38,2.00,5.00,6.00,216,NULL,202,'SANTA EFIGÊNIA','BELO HORIZONTE','MG',5025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332943,2.00,3.00,1.00,5.00,4.00,10.88,2.00,4.00,3.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6332951,2.00,1.00,1.00,3.00,1.00,NULL,2.00,1.00,1.00,234,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6332960,3.00,6.00,1.00,4.00,4.00,7.13,1.00,3.00,3.00,301,NULL,NULL,'AMÉRICA','JOINVILLE','SC',18876,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6332978,3.00,6.00,1.00,4.00,7.00,7.88,1.00,1.00,3.00,302,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',15362,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6332994,3.00,3.00,4.00,5.00,5.00,4.88,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',15784,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6333001,7.00,6.00,1.00,7.00,9.00,13.13,3.00,8.00,4.00,202,NULL,235,'JURERÊ','FLORIANÓPOLIS','SC',3478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333028,3.00,8.00,3.00,6.00,7.00,9.38,2.00,6.00,5.00,327,NULL,NULL,'BARREIROS','S JOSÉ','SC',6623,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333044,4.00,4.00,5.00,4.00,8.00,NULL,0.00,5.00,5.00,103,NULL,NULL,'VILA ODETE','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333052,5.00,2.00,3.00,7.00,7.00,7.88,1.00,2.00,2.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13632,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6333079,4.00,3.00,3.00,4.00,9.00,7.88,0.00,2.00,4.00,999,NULL,NULL,'VILA AURORA','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333087,2.00,3.00,0.00,3.00,5.00,NULL,3.00,0.00,2.00,203,NULL,207,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333095,5.00,6.00,4.00,6.00,5.00,9.38,0.00,3.00,4.00,203,NULL,214,'CANISIANAS','IRATI','PR',10517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333109,5.00,4.00,1.00,4.00,6.00,8.25,1.00,4.00,4.00,999,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333117,6.00,6.00,1.00,4.00,7.00,8.25,0.00,5.00,2.00,319,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',13037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333125,8.00,7.00,5.00,6.00,4.00,8.25,1.00,6.00,6.00,103,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',5389,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6333133,4.00,7.00,0.00,6.00,7.00,9.00,2.00,5.00,5.00,103,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',8409,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6333141,4.00,5.00,1.00,3.00,3.00,7.13,3.00,2.00,2.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333150,5.00,6.00,3.00,7.00,10.00,9.38,2.00,8.00,6.00,238,NULL,208,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',4033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333168,5.00,6.00,3.00,7.00,8.00,9.00,2.00,6.00,5.00,103,NULL,NULL,'MORRO ALTO','ITUPEVA','SP',4431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333176,4.00,3.00,0.00,2.00,3.00,7.88,1.00,1.00,3.00,102,NULL,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',19641,249,NULL,NULL,NULL,NULL,NULL,4,10),(25,6333184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6333192,2.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6333206,7.00,7.00,4.00,4.00,9.00,10.50,3.00,4.00,6.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333214,2.00,5.00,1.00,2.00,7.00,7.13,2.00,1.00,1.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333230,8.00,9.00,5.00,6.00,9.00,9.38,7.00,6.00,8.00,215,NULL,220,'GLORIA','JOINVILLE','SC',708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333249,5.00,6.00,5.00,5.00,6.00,8.25,2.00,7.00,6.00,208,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',6311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333257,4.00,3.00,1.00,4.00,6.00,7.13,0.00,1.00,1.00,212,NULL,235,'CORREGO GRANDE','FLORIANÓPOLIS','SC',18416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333265,3.00,4.00,1.00,5.00,8.00,7.13,1.00,2.00,2.00,317,NULL,NULL,'CENTRO','PALHOÇA','SC',14986,77,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6333290,3.00,4.00,3.00,4.00,5.00,8.63,1.00,4.00,2.00,316,NULL,NULL,'ROÇADO','S JOSÉ','SC',17914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333303,1.00,3.00,0.00,3.00,6.00,7.88,0.00,2.00,4.00,203,NULL,233,'MAR GROSSO','LAGUNA','SC',19228,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6333311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'PIATÃ','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',3,1),(25,6333320,2.00,3.00,1.00,5.00,5.00,8.63,1.00,4.00,0.00,425,NULL,421,'BARREIROS','S JOSÉ','SC',19960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333338,5.00,6.00,3.00,3.00,6.00,7.50,1.00,5.00,3.00,235,NULL,655,'CENTRO','JAGUARUNA','SC',14489,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6333346,2.00,6.00,3.00,5.00,9.00,10.88,0.00,4.00,1.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333354,7.00,8.00,1.00,7.00,9.00,9.75,2.00,5.00,6.00,103,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',3040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6333370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'POÇO FUNDO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6333389,2.00,1.00,0.00,5.00,4.00,NULL,0.00,0.00,2.00,309,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6333397,5.00,4.00,1.00,2.00,4.00,8.63,1.00,0.00,2.00,207,NULL,216,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333400,4.00,6.00,2.00,4.00,6.00,10.50,0.00,4.00,1.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11326,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333419,2.00,6.00,0.00,3.00,7.00,6.75,2.00,5.00,2.00,332,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333427,4.00,5.00,1.00,3.00,8.00,8.63,0.00,4.00,1.00,327,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333443,3.00,5.00,1.00,3.00,4.00,8.25,2.00,4.00,1.00,212,NULL,201,'FORQUILHINHAS','S JOSÉ','SC',18801,546,NULL,1546,NULL,NULL,NULL,2,1),(25,6333451,5.00,4.00,1.00,4.00,7.00,11.25,2.00,3.00,3.00,103,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',14853,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6333460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6333478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6333486,4.00,3.00,2.00,4.00,6.00,6.38,1.00,1.00,2.00,308,NULL,NULL,'CAMPINAS','S JOSÉ','SC',19858,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333494,6.00,3.00,3.00,0.00,6.00,6.75,2.00,4.00,3.00,319,NULL,NULL,'CENTRO','JOINVILLE','SC',17474,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6333516,4.00,7.00,1.00,4.00,3.00,5.63,2.00,3.00,2.00,999,NULL,NULL,'RIO MAIOR','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6333540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6333567,8.00,7.00,4.00,6.00,10.00,12.00,3.00,4.00,4.00,207,NULL,201,'HUMAITÁ DE CIMA','TUBARÃO','SC',2050,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6333575,3.00,4.00,0.00,5.00,6.00,9.00,3.00,4.00,2.00,238,NULL,208,'CORREGO GRANDE','FLORIANÓPOLIS','SC',17199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333583,4.00,6.00,2.00,6.00,7.00,9.75,2.00,6.00,2.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6333613,4.00,4.00,3.00,4.00,5.00,8.63,2.00,3.00,4.00,316,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',14447,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333621,4.00,5.00,1.00,5.00,6.00,4.50,3.00,3.00,4.00,340,NULL,NULL,'CENTRO','TANGARÁ','SC',14890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333630,4.00,4.00,6.00,5.00,7.00,7.50,3.00,6.00,5.00,212,NULL,213,'AGRONOMICA','FLORIANÓPOLIS','SC',7595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333648,4.00,7.00,3.00,4.00,8.00,7.88,1.00,2.00,4.00,235,NULL,208,'AGRONÔMICA','FLORIANÓPOLIS','SC',11699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333664,3.00,5.00,2.00,4.00,6.00,9.75,2.00,5.00,2.00,109,NULL,NULL,'BESENELLO','NOVA TRENTO','SC',12769,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333672,3.00,5.00,4.00,6.00,6.00,6.75,2.00,3.00,4.00,104,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',11455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333680,1.00,0.00,3.00,3.00,3.00,6.00,0.00,3.00,1.00,104,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6333699,6.00,7.00,2.00,6.00,8.00,10.13,6.00,5.00,4.00,234,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BARBACENA','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6333710,5.00,3.00,0.00,3.00,5.00,NULL,2.00,2.00,3.00,104,NULL,NULL,'SANTA MARIA','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333729,2.00,2.00,2.00,4.00,7.00,9.00,1.00,1.00,3.00,110,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6333737,2.00,8.00,3.00,6.00,7.00,6.75,1.00,6.00,2.00,316,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',11845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333745,2.00,4.00,2.00,2.00,5.00,NULL,0.00,4.00,3.00,108,NULL,NULL,'PAPAGAIOS','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333770,2.00,2.00,3.00,4.00,5.00,5.63,1.00,1.00,1.00,203,NULL,202,'CENTRO','CÂNDIDO GODÓI','RS',19440,1081,NULL,610,NULL,NULL,NULL,2,4),(25,6333788,7.00,2.00,2.00,3.00,7.00,7.13,1.00,3.00,4.00,203,NULL,214,'FABRICIO','STO AMARO IMPERATRIZ','SC',16051,976,NULL,373,NULL,NULL,NULL,2,1),(25,6333796,5.00,5.00,1.00,3.00,6.00,8.63,2.00,4.00,2.00,110,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',13366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333800,7.00,8.00,6.00,6.00,8.00,8.25,5.00,7.00,8.00,207,NULL,201,'SEMINÁRIO','CHAPECÓ','SC',944,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6333818,0.00,3.00,0.00,3.00,4.00,6.38,3.00,3.00,0.00,208,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333826,2.00,5.00,1.00,3.00,9.00,10.13,2.00,6.00,2.00,5,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',14707,516,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333834,7.00,5.00,1.00,6.00,8.00,10.50,2.00,6.00,4.00,340,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',7019,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6333842,5.00,6.00,4.00,6.00,8.00,10.13,2.00,7.00,4.00,207,NULL,201,'SAIC','CHAPECÓ','SC',6200,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6333850,3.00,7.00,4.00,6.00,7.00,8.25,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','MOREIRA SALES','PR',6560,NULL,NULL,NULL,NULL,NULL,NULL,1,3),(25,6333869,7.00,4.00,7.00,5.00,8.00,9.38,3.00,6.00,7.00,103,NULL,NULL,'CIDADE MINEIRA VELHA','CRICIÚMA','SC',3035,1715,NULL,NULL,NULL,NULL,NULL,2,5),(25,6333885,3.00,5.00,3.00,2.00,8.00,7.13,3.00,4.00,5.00,5,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',11581,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6333893,4.00,4.00,3.00,6.00,7.00,8.63,1.00,3.00,2.00,601,NULL,NULL,'CENTRO','PATO BRANCO','PR',11168,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6333907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,652,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6333915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'HUMAITA','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6333931,5.00,6.00,2.00,5.00,6.00,8.63,3.00,7.00,3.00,102,NULL,NULL,'CENTRO','GASPAR','SC',8394,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6333940,3.00,2.00,3.00,3.00,5.00,8.63,1.00,4.00,4.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',15048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333958,2.00,4.00,2.00,7.00,6.00,0.00,1.00,3.00,3.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6333974,6.00,8.00,3.00,5.00,7.00,7.50,3.00,5.00,4.00,110,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',7069,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6333990,6.00,6.00,2.00,5.00,8.00,7.13,1.00,5.00,4.00,326,NULL,NULL,'MORRO DA GLÓRIA','URUSSANGA','SC',11037,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6334008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6334016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6334024,2.00,3.00,1.00,4.00,5.00,NULL,0.00,1.00,1.00,104,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6334032,5.00,6.00,2.00,5.00,9.00,10.13,0.00,3.00,2.00,5,NULL,NULL,'IGRA NORTE','TORRES','RS',9106,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6334040,2.00,5.00,0.00,4.00,2.00,NULL,2.00,1.00,1.00,103,NULL,NULL,'SANTO ANTÔNIO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6334059,1.00,2.00,1.00,0.00,4.00,5.25,1.00,1.00,0.00,201,NULL,655,'MORRO DO PORTUGUES','STA ROSA SUL','SC',21770,1748,NULL,185,NULL,NULL,NULL,2,15),(25,6334075,2.00,5.00,0.00,4.00,7.00,7.50,2.00,2.00,2.00,238,NULL,235,'CENTRO','STO AMARO IMPERATRIZ','SC',16041,348,NULL,385,NULL,NULL,NULL,4,1),(25,6334091,5.00,6.00,4.00,7.00,7.00,8.63,3.00,8.00,1.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6334113,5.00,5.00,2.00,6.00,8.00,6.75,4.00,1.00,3.00,999,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334121,1.00,3.00,1.00,4.00,7.00,7.88,3.00,4.00,3.00,302,NULL,NULL,'VÁRZEA','ITAPEMA','SC',13090,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6334130,8.00,6.00,6.00,7.00,10.00,10.88,3.00,6.00,9.00,103,NULL,NULL,'CENTRO','JACUPIRANGA','SP',495,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6334148,6.00,7.00,0.00,2.00,8.00,9.75,2.00,4.00,3.00,601,NULL,NULL,'JARDIM GARUVA','GARUVA','SC',8419,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6334156,3.00,3.00,3.00,4.00,8.00,8.25,2.00,3.00,2.00,211,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',12062,308,NULL,NULL,NULL,NULL,NULL,2,9),(25,6334164,5.00,5.00,2.00,3.00,6.00,11.25,2.00,4.00,2.00,999,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334180,3.00,5.00,2.00,4.00,6.00,6.00,2.00,4.00,1.00,331,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',17837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334199,4.00,5.00,2.00,5.00,7.00,7.50,2.00,6.00,3.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334202,4.00,6.00,3.00,3.00,6.00,7.88,1.00,7.00,2.00,316,NULL,NULL,'IPIRANGA','S JOSÉ','SC',11107,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6334210,2.00,2.00,3.00,6.00,7.00,7.88,0.00,4.00,3.00,102,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6334229,4.00,6.00,0.00,5.00,7.00,NULL,0.00,4.00,0.00,332,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6334245,7.00,8.00,4.00,7.00,8.00,9.00,3.00,5.00,6.00,238,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',2952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334253,8.00,6.00,6.00,6.00,8.00,10.50,5.00,8.00,8.00,201,NULL,212,'REAL PARQUE','S JOSÉ','SC',1036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334261,5.00,4.00,0.00,5.00,7.00,10.88,1.00,3.00,3.00,450,NULL,NULL,'VISTA ALEGRE','CONCÓRDIA','SC',11628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334270,7.00,5.00,3.00,6.00,8.00,12.00,1.00,4.00,5.00,653,NULL,201,'CENTRO','GUABIRUBA','SC',4271,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6334296,8.00,6.00,2.00,4.00,8.00,7.88,4.00,6.00,4.00,327,NULL,NULL,'PARQUE SAO JORGE','PALMITAL','SP',6090,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6334300,5.00,5.00,3.00,5.00,6.00,9.00,4.00,4.00,4.00,302,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',10346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6334318,4.00,5.00,0.00,5.00,6.00,7.50,1.00,0.00,4.00,104,NULL,NULL,'CENTRO','MELEIRO','SC',15205,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6334326,3.00,3.00,1.00,3.00,5.00,NULL,2.00,0.00,4.00,302,NULL,NULL,'LOTEAMENTO MADRI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6334334,8.00,6.00,3.00,5.00,9.00,10.13,3.00,5.00,8.00,336,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',2211,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6334342,2.00,5.00,3.00,2.00,7.00,4.50,4.00,2.00,2.00,216,NULL,NULL,'INGLESESRIOVERMELHO','FLORIANÓPOLIS','SC',19652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6334350,3.00,3.00,5.00,2.00,4.00,6.38,1.00,4.00,1.00,235,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',20231,482,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334369,4.00,6.00,3.00,6.00,8.00,10.88,1.00,5.00,1.00,601,NULL,207,'BOM RETIRO','JOINVILLE','SC',9140,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6334377,7.00,6.00,6.00,7.00,9.00,10.50,5.00,7.00,4.00,201,NULL,203,'SÃO LUIS','JARAGUÁ SUL','SC',1512,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6334385,3.00,5.00,1.00,7.00,7.00,9.38,2.00,2.00,3.00,999,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,6),(25,6334393,1.00,3.00,1.00,1.00,6.00,7.50,1.00,1.00,0.00,652,NULL,655,'LAGOÃO','ARARANGUÁ','SC',19963,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6334407,3.00,4.00,2.00,4.00,4.00,7.13,3.00,1.00,3.00,999,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6334423,6.00,6.00,4.00,5.00,8.00,8.63,0.00,2.00,5.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334431,7.00,6.00,3.00,7.00,9.00,6.00,3.00,8.00,5.00,108,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',2762,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6334440,4.00,6.00,3.00,4.00,9.00,9.38,0.00,1.00,1.00,110,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',14670,57,NULL,NULL,NULL,NULL,NULL,2,1),(25,6334458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'JARDIM SANTA ROSA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6334466,4.00,3.00,3.00,4.00,7.00,8.63,2.00,1.00,0.00,303,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',18184,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6334474,6.00,2.00,3.00,5.00,8.00,7.13,3.00,2.00,0.00,108,NULL,NULL,'AREIAS','S JOSÉ','SC',14693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334482,2.00,5.00,2.00,4.00,6.00,8.63,1.00,1.00,2.00,319,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',19150,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6334490,3.00,6.00,0.00,6.00,6.00,7.50,2.00,5.00,4.00,108,NULL,NULL,'AMÉRICA','JOINVILLE','SC',10287,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6334504,5.00,7.00,4.00,5.00,7.00,8.25,3.00,5.00,3.00,103,NULL,NULL,'SANTA CATARINA','CRICIÚMA','SC',6678,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6334512,9.00,7.00,7.00,7.00,10.00,9.00,5.00,8.00,9.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',148,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6334520,3.00,7.00,2.00,4.00,8.00,10.13,2.00,5.00,1.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14073,261,NULL,NULL,NULL,NULL,NULL,2,1),(25,6334547,1.00,4.00,2.00,2.00,4.00,6.75,2.00,2.00,3.00,201,NULL,207,'INDIA','CANELINHA','SC',19503,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6334555,9.00,6.00,8.00,7.00,8.00,8.63,4.00,8.00,6.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',574,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6334563,5.00,6.00,4.00,3.00,7.00,8.63,2.00,3.00,2.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10980,509,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334580,4.00,2.00,2.00,1.00,5.00,NULL,0.00,3.00,0.00,999,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6334598,4.00,6.00,2.00,4.00,4.00,9.75,1.00,5.00,2.00,211,NULL,233,'CENTRO','CHAPECÓ','SC',12553,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6334601,0.00,2.00,3.00,1.00,2.00,NULL,1.00,3.00,2.00,444,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334610,2.00,3.00,3.00,2.00,4.00,7.50,2.00,4.00,2.00,320,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',16927,33,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334628,5.00,6.00,1.00,5.00,7.00,8.63,1.00,6.00,4.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6334636,7.00,6.00,1.00,4.00,8.00,6.75,2.00,4.00,4.00,207,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334644,4.00,5.00,4.00,6.00,10.00,9.38,3.00,4.00,5.00,216,NULL,601,'ATIRADORES','JOINVILLE','SC',6138,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6334652,8.00,7.00,3.00,4.00,7.00,12.38,3.00,6.00,8.00,103,NULL,NULL,'JARDIM MONTE CARLO','MARINGÁ','PR',2673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334660,3.00,6.00,3.00,6.00,6.00,10.50,3.00,5.00,3.00,301,NULL,NULL,'CIDADE NOVA','S JOSÉ R PRETO','SP',7827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334679,3.00,3.00,1.00,2.00,4.00,7.88,2.00,0.00,0.00,201,NULL,208,'AYMORÉ','GUABIRUBA','SC',20697,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6334687,4.00,7.00,4.00,7.00,10.00,8.63,2.00,6.00,7.00,415,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',4221,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6334695,5.00,7.00,3.00,5.00,8.00,7.13,2.00,4.00,3.00,203,NULL,214,'IPIRANGA','S JOSÉ','SC',8209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334709,1.00,4.00,2.00,1.00,6.00,7.50,1.00,5.00,2.00,201,NULL,601,'ARATINGAÚBA','IMARUÍ','SC',17705,1466,NULL,NULL,NULL,NULL,NULL,2,10),(25,6334717,6.00,6.00,1.00,6.00,7.00,9.38,1.00,5.00,5.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',10374,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6334725,2.00,3.00,3.00,5.00,5.00,6.00,2.00,2.00,2.00,101,NULL,NULL,'IPIRANGA','S JOSÉ','SC',17987,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6334733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,427,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6334741,1.00,6.00,1.00,3.00,2.00,NULL,3.00,1.00,3.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334750,3.00,4.00,3.00,5.00,2.00,NULL,0.00,4.00,4.00,212,NULL,208,'FAZENDA SANTO A','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6334768,2.00,5.00,2.00,3.00,9.00,9.75,1.00,8.00,4.00,222,NULL,NULL,'SAO SEBASTIAO','PALHOÇA','SC',11697,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6334784,5.00,3.00,2.00,6.00,7.00,NULL,0.00,1.00,2.00,655,NULL,652,'CENTRO','TRÊS CACHOEIRAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6334792,7.00,6.00,3.00,6.00,9.00,9.00,3.00,5.00,6.00,5,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',3339,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6334806,3.00,6.00,2.00,7.00,3.00,7.50,3.00,5.00,3.00,2,NULL,NULL,'CANASVIERAS','FLORIANÓPOLIS','SC',13199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334814,3.00,3.00,1.00,3.00,6.00,7.50,0.00,2.00,1.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',20987,4759,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334822,3.00,4.00,1.00,4.00,6.00,7.88,1.00,4.00,2.00,103,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',18302,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6334830,2.00,1.00,2.00,2.00,5.00,6.38,2.00,2.00,1.00,238,NULL,208,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6334857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6334865,6.00,3.00,2.00,3.00,6.00,8.25,1.00,0.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18409,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6334873,4.00,7.00,3.00,1.00,2.00,NULL,2.00,4.00,5.00,211,NULL,NULL,'PROGRESSO','TUNÁPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6334881,4.00,3.00,4.00,3.00,5.00,0.00,2.00,2.00,4.00,201,NULL,235,'BELA VISTA','SORRISO','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334890,2.00,3.00,4.00,1.00,3.00,5.63,1.00,0.00,1.00,9,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',21737,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6334903,2.00,5.00,2.00,5.00,4.00,9.75,3.00,5.00,3.00,103,NULL,NULL,'JARDIM PALMARES','TANGARÁ SERRA','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6334920,1.00,5.00,0.00,2.00,2.00,NULL,3.00,5.00,1.00,207,NULL,201,'CENTRO','STA HELENA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6334938,5.00,4.00,1.00,5.00,8.00,8.63,0.00,3.00,5.00,415,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',13435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334946,3.00,4.00,0.00,4.00,7.00,NULL,0.00,2.00,0.00,999,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6334954,6.00,6.00,4.00,7.00,10.00,9.38,2.00,4.00,8.00,5,NULL,NULL,'VILA RÉ','S PAULO','SP',2571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6334970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6334989,0.00,1.00,0.00,3.00,4.00,5.25,4.00,2.00,0.00,453,NULL,NULL,'CENTRO','S BENTO SUL','SC',21744,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6334997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE SAVOY CITY','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6335004,5.00,6.00,0.00,5.00,4.00,7.88,0.00,0.00,2.00,208,NULL,238,'CACUPÉ','FLORIANÓPOLIS','SC',16674,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335012,4.00,4.00,6.00,3.00,6.00,5.63,3.00,4.00,0.00,235,NULL,202,'ARIRIU','PALHOÇA','SC',13899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335039,6.00,5.00,4.00,7.00,8.00,10.13,3.00,6.00,8.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',2936,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6335047,3.00,3.00,2.00,2.00,4.00,7.50,1.00,4.00,2.00,110,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',20536,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6335055,1.00,0.00,0.00,2.00,5.00,NULL,1.00,1.00,1.00,652,NULL,655,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6335063,6.00,4.00,4.00,7.00,5.00,7.88,2.00,5.00,7.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335071,2.00,4.00,0.00,2.00,4.00,NULL,2.00,4.00,1.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335080,1.00,2.00,2.00,3.00,6.00,8.25,0.00,2.00,0.00,318,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6335098,3.00,5.00,3.00,4.00,6.00,7.88,1.00,4.00,4.00,203,NULL,220,'CIDADE ALTA','TURVO','SC',12804,837,NULL,358,NULL,NULL,NULL,2,15),(25,6335101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,216,'SANTA CRUZ','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6335110,6.00,3.00,3.00,4.00,6.00,8.63,2.00,3.00,1.00,420,NULL,NULL,'JARDIM EUROPA','BIGUAÇU','SC',12626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335152,6.00,8.00,3.00,6.00,5.00,7.13,3.00,4.00,7.00,201,NULL,216,'IMIGRANTES','CONCÓRDIA','SC',5225,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6335160,1.00,7.00,2.00,5.00,7.00,9.75,3.00,4.00,1.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335179,4.00,6.00,1.00,5.00,9.00,9.38,2.00,5.00,5.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',8219,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6335187,4.00,5.00,4.00,6.00,8.00,8.25,0.00,6.00,4.00,216,NULL,207,'ZONA QUATRO','MARINGÁ','PR',10740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335195,6.00,6.00,5.00,6.00,7.00,7.88,3.00,6.00,3.00,103,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',6019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335217,0.00,3.00,0.00,0.00,1.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6335225,2.00,3.00,1.00,4.00,6.00,NULL,0.00,0.00,0.00,653,NULL,652,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6335233,4.00,3.00,4.00,6.00,5.00,8.25,1.00,0.00,2.00,317,NULL,NULL,'NS DO ROSÁRIO','S JOSÉ','SC',16855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335241,6.00,7.00,4.00,5.00,9.00,10.13,1.00,6.00,3.00,207,NULL,201,'MORADA DO SOL','MARAVILHA','SC',7822,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6335250,3.00,5.00,3.00,2.00,3.00,6.38,2.00,3.00,2.00,103,NULL,NULL,'VILA NOVA','RIO NEGRINHO','SC',17896,4516,NULL,NULL,NULL,NULL,NULL,2,8),(25,6335268,3.00,2.00,1.00,2.00,5.00,7.13,2.00,3.00,0.00,654,NULL,NULL,'SÃO FCO DE ASSIS','BRAÇO NORTE','SC',19370,55,NULL,NULL,NULL,NULL,NULL,2,10),(25,6335276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'PAGANI II','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6335292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM IMPERIAL II','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6335306,4.00,5.00,0.00,4.00,6.00,NULL,2.00,2.00,3.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6335314,3.00,3.00,3.00,4.00,7.00,NULL,0.00,0.00,4.00,103,NULL,NULL,'VILLA DOS INGLEZES','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335322,1.00,2.00,1.00,4.00,3.00,6.75,1.00,3.00,1.00,5,NULL,NULL,'CENTRO','GALVÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6335330,5.00,4.00,2.00,6.00,6.00,5.25,4.00,4.00,4.00,336,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',13277,94,NULL,NULL,NULL,NULL,NULL,2,1),(25,6335349,2.00,4.00,6.00,4.00,8.00,9.00,2.00,4.00,3.00,5,NULL,NULL,'CENTRO','CHAPECÓ','SC',9110,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6335357,2.00,7.00,2.00,4.00,7.00,8.25,5.00,3.00,3.00,201,NULL,601,'NOSSA SENHORA APAREC','FRANCISCO BELTRÃO','PR',10754,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6335365,2.00,5.00,2.00,3.00,7.00,8.25,0.00,5.00,4.00,201,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',13444,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6335381,3.00,2.00,1.00,3.00,5.00,8.63,1.00,3.00,0.00,201,NULL,207,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',21126,1702,NULL,1149,NULL,NULL,NULL,2,1),(25,6335390,4.00,4.00,4.00,6.00,7.00,4.50,1.00,4.00,0.00,332,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',17623,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6335403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,655,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6335420,8.00,8.00,5.00,6.00,8.00,9.38,2.00,7.00,8.00,201,NULL,NULL,'MICHEL','CRICIÚMA','SC',1549,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6335438,2.00,1.00,1.00,3.00,3.00,6.38,2.00,1.00,1.00,444,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6335454,2.00,2.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'VILA NOVA','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6335462,1.00,4.00,0.00,1.00,7.00,7.50,0.00,1.00,1.00,303,NULL,NULL,'ENCOSTA DO SOL','S LUDGERO','SC',20431,845,NULL,NULL,NULL,NULL,NULL,4,10),(25,6335470,5.00,4.00,2.00,6.00,8.00,8.25,3.00,6.00,4.00,301,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',9331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335489,4.00,3.00,2.00,5.00,6.00,5.63,4.00,3.00,2.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',16309,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6335497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6335500,4.00,5.00,4.00,2.00,7.00,7.88,3.00,4.00,3.00,104,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6335519,9.00,5.00,3.00,7.00,9.00,8.63,1.00,6.00,4.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',5774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6335535,1.00,3.00,0.00,2.00,7.00,8.25,0.00,0.00,2.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6335543,7.00,7.00,6.00,6.00,9.00,11.25,2.00,5.00,7.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',2042,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6335551,2.00,5.00,2.00,3.00,5.00,9.38,2.00,5.00,4.00,212,NULL,213,'FLORESTA','S JOSÉ','SC',15764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335560,2.00,2.00,1.00,1.00,5.00,6.38,0.00,3.00,0.00,601,NULL,NULL,'BOA VISTA','JOINVILLE','SC',21051,601,NULL,NULL,NULL,NULL,NULL,2,8),(25,6335578,3.00,4.00,4.00,4.00,5.00,4.50,2.00,1.00,4.00,202,NULL,653,'MICHEL','CRICIÚMA','SC',19086,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6335586,8.00,6.00,7.00,5.00,7.00,10.13,3.00,4.00,7.00,238,NULL,208,'CAMPINAS','S JOSÉ','SC',3457,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6335594,1.00,3.00,1.00,4.00,4.00,8.63,1.00,2.00,3.00,336,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335608,4.00,3.00,1.00,3.00,5.00,NULL,0.00,4.00,2.00,207,NULL,215,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6335616,2.00,6.00,1.00,4.00,6.00,9.00,3.00,5.00,2.00,501,NULL,NULL,'CENTRO','JACINTO MACHADO','SC',15532,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6335624,3.00,5.00,1.00,5.00,5.00,7.50,1.00,5.00,3.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',17186,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6335632,1.00,4.00,0.00,0.00,5.00,NULL,2.00,1.00,2.00,303,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6335640,2.00,5.00,1.00,4.00,7.00,8.25,0.00,3.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335659,4.00,6.00,2.00,5.00,5.00,7.13,0.00,4.00,1.00,104,NULL,NULL,'CENTRO','CONCÓRDIA','SC',16352,444,NULL,NULL,NULL,NULL,NULL,2,7),(25,6335667,2.00,4.00,3.00,5.00,4.00,NULL,0.00,1.00,1.00,319,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6335683,2.00,2.00,1.00,3.00,5.00,6.75,2.00,3.00,2.00,318,NULL,NULL,'CRUZEIRO DO SUL','JOAÇABA','SC',20958,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6335691,4.00,5.00,3.00,3.00,8.00,7.50,2.00,2.00,3.00,233,NULL,235,'UNIVERSITARIO','VIDEIRA','SC',14107,374,NULL,330,NULL,NULL,NULL,2,7),(25,6335705,4.00,4.00,2.00,5.00,5.00,11.25,2.00,4.00,2.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335713,3.00,4.00,3.00,6.00,9.00,7.88,2.00,4.00,2.00,329,NULL,NULL,'VILA SÔNIA','S PAULO','SP',9999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335721,5.00,6.00,2.00,3.00,9.00,9.00,1.00,2.00,3.00,101,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11034,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6335730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA HEITOR','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6335748,4.00,3.00,1.00,4.00,6.00,8.63,1.00,4.00,2.00,234,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','SANTIAGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6335764,5.00,4.00,4.00,4.00,7.00,8.63,2.00,5.00,5.00,5,NULL,NULL,'SÃO SEBASTIÃO','CAMPOS NOVOS','SC',9021,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6335772,3.00,6.00,5.00,3.00,7.00,9.00,2.00,6.00,1.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335780,4.00,0.00,0.00,2.00,4.00,NULL,0.00,2.00,1.00,333,NULL,NULL,'JARDIM DAS FLORES I','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335799,3.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,601,NULL,202,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6335802,1.00,0.00,2.00,3.00,5.00,8.25,3.00,0.00,0.00,9,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6335810,5.00,6.00,1.00,4.00,7.00,10.88,2.00,8.00,5.00,601,NULL,NULL,'VILA NOVA','JOINVILLE','SC',9095,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6335829,6.00,6.00,5.00,7.00,10.00,9.75,3.00,6.00,7.00,302,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',2191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335837,6.00,6.00,4.00,6.00,8.00,8.25,4.00,6.00,6.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6335845,3.00,5.00,4.00,3.00,7.00,6.75,2.00,4.00,2.00,303,NULL,NULL,'MUNICÍPIOS','BAL CAMBORIÚ','SC',16978,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6335853,3.00,4.00,2.00,4.00,3.00,7.50,2.00,3.00,3.00,317,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6335861,3.00,4.00,3.00,3.00,6.00,6.75,0.00,0.00,0.00,238,NULL,208,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6335870,0.00,4.00,0.00,1.00,3.00,NULL,1.00,2.00,1.00,9,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6335888,5.00,6.00,2.00,4.00,8.00,9.75,4.00,1.00,4.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335896,5.00,3.00,4.00,3.00,4.00,7.13,4.00,3.00,1.00,654,NULL,NULL,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6335900,2.00,5.00,2.00,5.00,3.00,9.38,1.00,1.00,4.00,235,NULL,238,'JARDIM ITÁLIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6335918,2.00,3.00,2.00,1.00,6.00,5.25,1.00,0.00,3.00,201,NULL,212,'FORQUILHAS','S JOSÉ','SC',21433,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6335926,4.00,6.00,3.00,6.00,6.00,9.00,0.00,4.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6335934,5.00,9.00,2.00,7.00,8.00,13.13,4.00,5.00,5.00,319,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',2929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335950,5.00,6.00,3.00,4.00,7.00,NULL,0.00,2.00,1.00,208,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335969,6.00,5.00,6.00,2.00,6.00,8.25,0.00,5.00,5.00,238,NULL,235,'ALTO DA GLÓRIA','CURITIBA','PR',10274,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6335977,8.00,8.00,3.00,7.00,9.00,10.13,5.00,8.00,9.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6335985,3.00,2.00,2.00,1.00,7.00,11.25,1.00,3.00,0.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',16251,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6335993,2.00,3.00,4.00,1.00,7.00,7.88,2.00,1.00,2.00,101,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',17905,115,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336000,4.00,7.00,6.00,7.00,7.00,8.25,3.00,4.00,4.00,202,NULL,201,'RIO VERDE','PNT GROSSA','PR',8590,276,NULL,661,NULL,NULL,NULL,2,3),(25,6336019,5.00,6.00,2.00,5.00,6.00,7.88,2.00,5.00,1.00,999,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6336027,6.00,4.00,3.00,2.00,9.00,10.50,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','GR PARÁ','SC',7388,3040,NULL,NULL,NULL,NULL,NULL,4,10),(25,6336035,7.00,7.00,4.00,7.00,11.00,9.00,3.00,7.00,6.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',1151,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6336043,3.00,2.00,1.00,7.00,6.00,10.50,1.00,3.00,3.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336051,4.00,5.00,5.00,4.00,7.00,9.75,2.00,4.00,5.00,3,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',7787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336060,5.00,7.00,4.00,6.00,6.00,10.13,4.00,5.00,5.00,652,NULL,NULL,'CENTRO','SOMBRIO','SC',5842,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6336078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'AZENHA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6336086,2.00,5.00,3.00,6.00,7.00,8.63,1.00,4.00,3.00,104,NULL,NULL,'CENTRO','LOANDA','PR',14931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336108,8.00,7.00,7.00,6.00,8.00,10.13,7.00,6.00,9.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336116,2.00,4.00,3.00,5.00,7.00,12.75,2.00,4.00,4.00,207,NULL,211,'CENTRO','GUABIRUBA','SC',8579,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6336124,2.00,1.00,1.00,1.00,2.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336132,2.00,3.00,4.00,5.00,6.00,10.13,0.00,4.00,3.00,319,NULL,NULL,'CENTRO','S FRANCISCO PAULA','RS',15123,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336140,3.00,4.00,1.00,4.00,4.00,7.50,2.00,2.00,1.00,318,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',20687,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336159,6.00,6.00,3.00,6.00,8.00,11.63,2.00,6.00,3.00,452,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',5079,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6336167,4.00,6.00,2.00,5.00,7.00,8.63,0.00,7.00,4.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336175,6.00,7.00,2.00,4.00,5.00,9.38,1.00,4.00,5.00,316,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',9875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6336191,6.00,4.00,4.00,6.00,8.00,11.25,4.00,4.00,3.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8119,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6336213,3.00,4.00,1.00,7.00,4.00,7.88,2.00,5.00,5.00,216,NULL,201,'CIRO NARDI','CASCAVEL','PR',10137,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6336221,3.00,3.00,2.00,7.00,5.00,NULL,0.00,2.00,6.00,203,NULL,214,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6336248,3.00,2.00,2.00,4.00,4.00,6.00,2.00,1.00,3.00,202,NULL,203,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336256,4.00,5.00,2.00,5.00,6.00,6.75,0.00,1.00,2.00,9,NULL,NULL,'CENTRO','S JOSÉ','SC',18546,119,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336264,7.00,6.00,1.00,7.00,7.00,6.75,0.00,6.00,4.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',9039,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6336272,3.00,4.00,3.00,1.00,4.00,NULL,2.00,0.00,2.00,102,NULL,NULL,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336280,2.00,5.00,1.00,1.00,4.00,7.88,2.00,2.00,1.00,104,NULL,NULL,'CENTRO','AMETISTA SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6336299,4.00,4.00,3.00,3.00,6.00,9.38,1.00,4.00,1.00,652,NULL,655,'SÃO SEBASTIÃO','CRICIÚMA','SC',16583,40,NULL,NULL,NULL,NULL,NULL,4,5),(25,6336302,3.00,2.00,0.00,3.00,5.00,9.75,2.00,3.00,1.00,101,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6336310,4.00,3.00,2.00,5.00,6.00,7.13,1.00,3.00,1.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336329,1.00,4.00,2.00,4.00,3.00,7.50,3.00,3.00,3.00,319,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',18036,361,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336337,6.00,6.00,3.00,5.00,9.00,7.50,2.00,6.00,4.00,5,NULL,NULL,'PRQ RES AQUARIUS','S JOSÉ CAMPOS','SP',6419,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6336345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'PADRE MARTINHO STEIN','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6336353,1.00,4.00,1.00,3.00,4.00,NULL,1.00,2.00,0.00,201,NULL,212,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336361,4.00,5.00,1.00,6.00,9.00,11.63,0.00,8.00,2.00,103,NULL,NULL,'CLAUDETE','CASCAVEL','PR',6866,2931,NULL,NULL,NULL,NULL,NULL,4,8),(25,6336370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6336388,8.00,8.00,3.00,4.00,7.00,11.63,1.00,7.00,7.00,303,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',2855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336396,1.00,4.00,2.00,2.00,5.00,8.25,1.00,3.00,3.00,302,NULL,NULL,'NORDESTE','IMBÉ','RS',20179,182,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336400,6.00,5.00,3.00,3.00,6.00,7.88,1.00,4.00,2.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336418,2.00,4.00,3.00,1.00,5.00,7.88,1.00,1.00,2.00,203,NULL,601,'MOURA','CANELINHA','SC',20617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336426,0.00,4.00,0.00,0.00,0.00,NULL,3.00,6.00,0.00,301,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336434,2.00,2.00,0.00,3.00,4.00,NULL,3.00,0.00,1.00,501,NULL,NULL,'CENTRO','S MARCOS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6336442,7.00,7.00,6.00,6.00,10.00,11.25,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','ATIBAIA','SP',1040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336450,4.00,5.00,0.00,1.00,6.00,NULL,1.00,0.00,2.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6336477,3.00,6.00,4.00,5.00,5.00,7.88,2.00,7.00,2.00,235,NULL,202,'CENTRO','S JOAQUIM','SC',10768,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6336485,5.00,5.00,0.00,5.00,7.00,NULL,0.00,5.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336493,6.00,6.00,4.00,4.00,7.00,9.38,5.00,7.00,8.00,103,NULL,NULL,'PARQUE ALVORADA','JACAREZINHO','PR',2529,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6336507,4.00,6.00,4.00,6.00,8.00,9.38,1.00,3.00,4.00,207,NULL,601,'CENTRO','S BENTO SUL','SC',7043,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6336515,5.00,0.00,1.00,6.00,9.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6336531,3.00,4.00,4.00,2.00,8.00,6.38,2.00,3.00,2.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336540,4.00,4.00,1.00,3.00,5.00,8.25,3.00,0.00,5.00,207,NULL,NULL,'SANTUÁRIO','PALMAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6336558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6336574,7.00,6.00,3.00,5.00,8.00,9.00,2.00,5.00,7.00,103,NULL,NULL,'JARDIM AMÉRICA','PNT GROSSA','PR',4693,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6336582,4.00,6.00,0.00,3.00,7.00,NULL,2.00,2.00,3.00,238,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,426,'SANTA ANA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6336612,4.00,5.00,2.00,3.00,8.00,9.75,1.00,6.00,3.00,453,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',11563,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6336620,5.00,5.00,4.00,3.00,5.00,7.88,3.00,5.00,5.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',10223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336639,4.00,4.00,2.00,7.00,7.00,NULL,0.00,3.00,5.00,103,NULL,NULL,'INTERIOR','ARROIO TRINTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(25,6336647,2.00,1.00,1.00,2.00,6.00,7.13,1.00,0.00,1.00,102,NULL,NULL,'SÃO JOSE','IJUÍ','RS',20751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'PROGRESSO','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6336663,5.00,4.00,2.00,4.00,5.00,6.00,3.00,4.00,3.00,103,NULL,NULL,'STO ANTONIO','ITUPORANGA','SC',16659,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6336671,3.00,3.00,1.00,2.00,5.00,NULL,0.00,0.00,1.00,110,NULL,NULL,'CANTO DOS ARAÇAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6336701,4.00,7.00,3.00,6.00,6.00,8.25,1.00,4.00,4.00,316,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',8746,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336710,4.00,5.00,1.00,7.00,5.00,10.13,2.00,1.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336728,1.00,4.00,2.00,2.00,7.00,0.00,1.00,2.00,1.00,201,NULL,655,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6336744,3.00,4.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,601,NULL,201,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6336760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,211,'PONTO CHIC','IBIRAMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6336779,6.00,6.00,2.00,7.00,9.00,9.38,1.00,3.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336787,2.00,5.00,0.00,4.00,5.00,8.63,3.00,5.00,3.00,501,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336795,3.00,4.00,4.00,6.00,5.00,9.00,1.00,4.00,3.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336809,4.00,5.00,1.00,3.00,5.00,10.50,1.00,2.00,5.00,103,NULL,NULL,'JARDIM ELDORADO','CAXIAS SUL','RS',12170,3890,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336817,1.00,3.00,2.00,3.00,2.00,NULL,0.00,2.00,0.00,207,NULL,201,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336825,5.00,4.00,1.00,1.00,5.00,7.88,3.00,3.00,2.00,340,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',19373,416,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336833,5.00,5.00,4.00,5.00,8.00,9.75,1.00,5.00,3.00,103,NULL,NULL,'CENTRO','URUBICI','SC',9026,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336841,4.00,6.00,4.00,6.00,9.00,10.50,2.00,4.00,6.00,318,NULL,NULL,'JARDIM ORIENTAL','OSASCO','SP',4906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336850,6.00,6.00,5.00,3.00,8.00,9.75,3.00,2.00,5.00,203,NULL,214,'SANTA MARIA','CHAPECÓ','SC',5993,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6336868,4.00,5.00,2.00,4.00,3.00,8.25,1.00,4.00,3.00,216,NULL,233,'CENTRO','PAPANDUVA','SC',15430,518,NULL,400,NULL,NULL,NULL,2,1),(25,6336876,5.00,4.00,2.00,7.00,6.00,7.88,1.00,2.00,2.00,5,NULL,NULL,'CENTRO','TIMBÓ','SC',14330,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6336884,8.00,6.00,2.00,6.00,8.00,9.38,1.00,5.00,7.00,103,NULL,NULL,'SÃO FRANCISCO','IRATI','PR',4251,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6336892,4.00,5.00,4.00,4.00,7.00,6.38,1.00,4.00,3.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',12237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336906,2.00,5.00,1.00,5.00,5.00,8.25,3.00,3.00,3.00,503,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',17719,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336914,5.00,7.00,1.00,3.00,9.00,9.00,1.00,3.00,6.00,103,NULL,NULL,'IPIRANGA','FREDERICO WESTPHALEN','RS',7889,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6336922,2.00,4.00,1.00,6.00,7.00,7.50,2.00,2.00,3.00,235,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',15801,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336930,3.00,5.00,2.00,3.00,6.00,8.63,2.00,2.00,4.00,301,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',13962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336949,4.00,5.00,2.00,5.00,8.00,9.38,3.00,5.00,6.00,317,NULL,NULL,'PAGANI II','PALHOÇA','SC',8502,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'MATINHO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6336965,0.00,2.00,1.00,1.00,6.00,NULL,0.00,1.00,2.00,336,NULL,NULL,'JARDIM BELVEDERE','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6336973,4.00,3.00,3.00,3.00,7.00,8.25,1.00,3.00,5.00,220,NULL,208,'JARDIM CANADÁ','RIBEIRÃO PRETO','SP',10282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6336981,3.00,4.00,2.00,0.00,5.00,NULL,2.00,5.00,0.00,103,NULL,NULL,'INTERRIOR','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6336990,5.00,6.00,1.00,1.00,4.00,7.50,0.00,3.00,3.00,201,NULL,212,'FORQUILHINHAS','S JOSÉ','SC',16296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337007,8.00,7.00,4.00,5.00,4.00,7.88,4.00,5.00,6.00,103,NULL,NULL,'SÃO CRISTOVÃO','CASCAVEL','PR',4565,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6337023,1.00,3.00,3.00,2.00,1.00,NULL,0.00,1.00,2.00,211,NULL,207,'EFAPI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6337031,7.00,5.00,0.00,5.00,7.00,9.38,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11955,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6337040,0.00,2.00,2.00,1.00,7.00,9.38,1.00,2.00,2.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337058,2.00,2.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6337066,4.00,0.00,0.00,4.00,3.00,8.25,0.00,0.00,2.00,999,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6337074,3.00,2.00,2.00,1.00,4.00,0.00,1.00,4.00,0.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6337082,5.00,5.00,3.00,5.00,3.00,7.13,1.00,1.00,4.00,238,NULL,655,'TABULEIRO','ITAPEMA','SC',17514,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6337090,2.00,3.00,1.00,2.00,5.00,NULL,2.00,0.00,1.00,502,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6337104,4.00,5.00,5.00,5.00,7.00,9.75,1.00,5.00,5.00,336,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8166,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6337112,3.00,3.00,3.00,3.00,8.00,7.88,1.00,4.00,1.00,103,NULL,NULL,'ALTO DA GLORIA','CURITIBA','PR',18502,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6337120,3.00,5.00,1.00,4.00,6.00,7.50,1.00,3.00,2.00,235,NULL,238,'SAMBAQUI','FLORIANÓPOLIS','SC',14937,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6337139,4.00,5.00,3.00,5.00,5.00,8.25,2.00,5.00,2.00,224,NULL,NULL,'SERRARIA','S JOSÉ','SC',13655,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6337147,2.00,3.00,0.00,4.00,4.00,6.38,0.00,1.00,1.00,202,NULL,235,'AGOSTINI','S MIGUEL OESTE','SC',21617,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6337155,7.00,6.00,1.00,7.00,7.00,7.88,3.00,6.00,4.00,235,NULL,215,'BARREIROS','S JOSÉ','SC',7257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337171,4.00,6.00,0.00,5.00,9.00,8.63,1.00,4.00,2.00,425,NULL,426,'ITACORUBI','FLORIANÓPOLIS','SC',13278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337180,2.00,3.00,1.00,2.00,6.00,6.75,4.00,3.00,3.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6337198,4.00,3.00,1.00,2.00,3.00,6.75,2.00,1.00,0.00,301,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',21204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337201,6.00,7.00,5.00,6.00,8.00,6.75,6.00,4.00,7.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',3229,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6337228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6337236,5.00,6.00,4.00,5.00,7.00,9.75,3.00,7.00,0.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7323,344,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337244,6.00,5.00,2.00,4.00,3.00,6.75,1.00,3.00,3.00,452,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',17766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337252,0.00,0.00,1.00,2.00,6.00,4.88,1.00,2.00,2.00,5,NULL,NULL,'CENTRO','MTE CASTELO','SC',21270,717,NULL,NULL,NULL,NULL,NULL,4,17),(25,6337260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6337279,4.00,6.00,0.00,1.00,4.00,8.25,2.00,5.00,1.00,340,NULL,NULL,'CENTRO','BARRA VELHA','SC',17445,384,NULL,NULL,NULL,NULL,NULL,4,8),(25,6337295,7.00,6.00,4.00,7.00,9.00,10.50,6.00,6.00,7.00,203,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337309,6.00,5.00,3.00,7.00,5.00,7.88,1.00,5.00,8.00,214,NULL,216,'JARDIM FLAMBOYANTS','ARARAQUARA','SP',5846,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6337317,2.00,3.00,2.00,3.00,6.00,4.88,1.00,3.00,3.00,207,NULL,NULL,'CENTRO','NONOAI','RS',20243,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6337325,5.00,5.00,1.00,4.00,5.00,NULL,0.00,3.00,2.00,336,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6337341,4.00,5.00,3.00,5.00,9.00,8.25,3.00,7.00,4.00,340,NULL,NULL,'CENTRO','STA CECÍLIA','SC',7355,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6337350,4.00,6.00,2.00,4.00,8.00,9.75,2.00,3.00,1.00,317,NULL,NULL,'CENTRO','CPO MAGRO','PR',11486,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6337376,4.00,3.00,2.00,5.00,5.00,6.38,1.00,1.00,0.00,201,NULL,207,'AREIAS','S JOSÉ','SC',19800,1623,NULL,1080,NULL,NULL,NULL,2,1),(25,6337384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6337392,8.00,5.00,7.00,6.00,10.00,11.63,2.00,7.00,9.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',697,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6337406,6.00,7.00,6.00,7.00,8.00,9.75,4.00,5.00,8.00,201,NULL,203,'BUCAREIN','JOINVILLE','SC',2143,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6337414,4.00,6.00,2.00,5.00,9.00,NULL,0.00,7.00,4.00,319,NULL,NULL,'NOVA BRASÍLIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6337422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6337430,6.00,7.00,3.00,6.00,9.00,7.50,6.00,4.00,7.00,220,NULL,202,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',2799,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337449,6.00,5.00,0.00,2.00,4.00,NULL,1.00,1.00,0.00,428,NULL,426,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337465,4.00,4.00,0.00,2.00,9.00,NULL,0.00,2.00,7.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6337473,6.00,6.00,4.00,8.00,9.00,7.50,2.00,7.00,5.00,328,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6337490,8.00,6.00,2.00,3.00,8.00,9.38,2.00,6.00,8.00,103,NULL,NULL,'JARDIM BELVEDERE','ARARAS','SP',3564,1925,NULL,NULL,NULL,NULL,NULL,4,6),(25,6337503,8.00,7.00,3.00,7.00,9.00,12.38,0.00,6.00,4.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',4002,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6337511,5.00,3.00,3.00,7.00,9.00,7.88,3.00,6.00,5.00,238,NULL,208,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',5383,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6337520,6.00,6.00,0.00,8.00,10.00,8.63,3.00,7.00,5.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',5222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6337546,7.00,8.00,1.00,7.00,7.00,10.88,3.00,6.00,6.00,216,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',3441,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6337554,3.00,4.00,1.00,7.00,8.00,8.63,1.00,2.00,2.00,501,NULL,NULL,'CENTRO','PELOTAS','RS',15762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6337570,5.00,3.00,2.00,6.00,9.00,8.25,1.00,4.00,3.00,320,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10338,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6337589,4.00,4.00,1.00,4.00,8.00,10.13,2.00,1.00,2.00,301,NULL,NULL,'BOA PARADA','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6337597,3.00,6.00,1.00,5.00,5.00,7.50,1.00,4.00,2.00,201,NULL,212,'CANTO DA PRAIA','ITAPEMA','SC',13753,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6337600,2.00,4.00,1.00,0.00,4.00,7.88,3.00,0.00,2.00,601,NULL,202,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6337619,5.00,7.00,4.00,7.00,9.00,9.38,5.00,5.00,6.00,201,NULL,212,'ABRAÃO','FLORIANÓPOLIS','SC',2739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337627,9.00,7.00,4.00,6.00,10.00,8.25,4.00,7.00,9.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',1068,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6337635,3.00,6.00,5.00,2.00,7.00,6.38,2.00,2.00,5.00,223,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',14118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6337651,4.00,2.00,1.00,1.00,2.00,NULL,0.00,3.00,2.00,203,NULL,NULL,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6337660,2.00,3.00,4.00,4.00,4.00,7.13,2.00,1.00,3.00,208,NULL,235,'JARDIM AQUARIUS','PALHOÇA','SC',19471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6337678,7.00,5.00,1.00,2.00,8.00,7.88,2.00,5.00,3.00,654,NULL,NULL,'LOMBA','ORLEANS','SC',14025,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6337686,6.00,5.00,3.00,6.00,9.00,9.75,0.00,6.00,6.00,103,NULL,NULL,'JARDIM VITÓRIA','MARÍLIA','SP',4772,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337694,4.00,2.00,2.00,5.00,4.00,6.75,2.00,0.00,1.00,324,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6337708,2.00,3.00,0.00,1.00,2.00,NULL,1.00,1.00,2.00,308,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6337716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6337724,3.00,6.00,2.00,7.00,9.00,9.38,1.00,4.00,0.00,235,NULL,208,'CAMPECHE','FLORIANÓPOLIS','SC',12039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337732,4.00,6.00,0.00,3.00,6.00,NULL,3.00,1.00,1.00,208,NULL,238,'CENTRO','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6337740,2.00,5.00,2.00,2.00,4.00,9.75,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',18969,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6337759,4.00,4.00,0.00,0.00,0.00,NULL,2.00,3.00,0.00,103,NULL,NULL,'DOS ESTADOS','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6337775,3.00,0.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,425,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6337783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,653,'VILA SÃO JOSE','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6337791,4.00,5.00,3.00,5.00,4.00,7.50,1.00,4.00,5.00,201,NULL,235,'PICADAS DO SUL','S JOSÉ','SC',11304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337805,4.00,4.00,4.00,3.00,6.00,9.00,0.00,2.00,4.00,653,NULL,655,'CIDADE ALTA','ARARANGUÁ','SC',15814,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6337813,8.00,6.00,1.00,6.00,6.00,8.63,3.00,4.00,4.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'KM CINCO','FRANCISCO ALVES','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6337830,4.00,5.00,3.00,4.00,5.00,6.75,3.00,6.00,3.00,102,NULL,NULL,'CENTRO','STA ROSA SUL','SC',14178,163,NULL,NULL,NULL,NULL,NULL,2,15),(25,6337848,3.00,4.00,1.00,2.00,3.00,NULL,1.00,1.00,0.00,309,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6337856,3.00,5.00,2.00,6.00,9.00,11.25,2.00,6.00,0.00,415,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',8286,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337872,4.00,4.00,3.00,4.00,4.00,9.38,2.00,4.00,1.00,103,NULL,NULL,'BELA VISTA','ITUPORANGA','SC',15212,4245,NULL,NULL,NULL,NULL,NULL,2,9),(25,6337880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6337899,4.00,4.00,2.00,3.00,5.00,6.75,3.00,4.00,2.00,109,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6337902,1.00,2.00,2.00,5.00,5.00,NULL,2.00,1.00,0.00,425,NULL,428,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6337910,3.00,6.00,2.00,2.00,7.00,6.38,3.00,2.00,4.00,214,NULL,220,'APARECIDA','TANGARÁ','SC',13480,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6337929,3.00,5.00,4.00,4.00,5.00,6.38,1.00,6.00,2.00,453,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',14555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6337937,2.00,6.00,3.00,4.00,7.00,8.63,1.00,7.00,0.00,317,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',12122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6337945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'STA TERESA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6337961,2.00,4.00,0.00,4.00,3.00,8.25,2.00,2.00,2.00,444,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',19270,122,NULL,NULL,NULL,NULL,NULL,2,1),(25,6337970,3.00,4.00,1.00,4.00,5.00,7.50,1.00,4.00,2.00,234,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',17176,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6337996,4.00,5.00,0.00,5.00,6.00,NULL,2.00,1.00,2.00,999,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6338003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6338020,2.00,2.00,0.00,3.00,8.00,7.88,2.00,2.00,3.00,201,NULL,220,'SANTO ANTONIO','CAMPOS NOVOS','SC',16397,1384,NULL,423,NULL,NULL,NULL,2,7),(25,6338038,7.00,4.00,0.00,7.00,9.00,NULL,0.00,4.00,1.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6338046,5.00,4.00,4.00,4.00,6.00,6.38,0.00,5.00,4.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',14268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338062,6.00,2.00,3.00,1.00,3.00,NULL,1.00,0.00,2.00,5,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6338070,4.00,5.00,3.00,6.00,8.00,7.88,3.00,7.00,5.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',7302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338097,4.00,5.00,2.00,5.00,5.00,8.25,2.00,3.00,1.00,201,NULL,208,'CAMPINAS','S JOSÉ','SC',13502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338100,4.00,4.00,3.00,5.00,6.00,7.13,1.00,3.00,1.00,110,NULL,NULL,'CENTRO','GAROPABA','SC',17044,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6338119,2.00,5.00,1.00,2.00,3.00,6.38,2.00,5.00,0.00,201,NULL,208,'SAO FRANCISCO','CPO ERÊ','SC',20748,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6338127,3.00,6.00,4.00,6.00,6.00,9.75,2.00,5.00,5.00,108,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',5995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338135,1.00,3.00,1.00,1.00,5.00,11.25,2.00,2.00,3.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6338143,1.00,3.00,3.00,3.00,5.00,6.38,1.00,4.00,2.00,104,NULL,NULL,'IMIGRANTES','GUABIRUBA','SC',17500,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6338151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SÃO PEDRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6338160,7.00,7.00,1.00,7.00,6.00,7.88,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',7916,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6338178,1.00,3.00,2.00,0.00,6.00,NULL,0.00,0.00,1.00,211,NULL,207,'N SENHORA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PATRONATO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6338216,2.00,5.00,4.00,4.00,6.00,6.75,3.00,3.00,2.00,601,NULL,235,'BARREIROS','S JOSÉ','SC',14400,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6338224,3.00,1.00,5.00,2.00,4.00,5.63,2.00,4.00,2.00,301,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',20628,298,NULL,NULL,NULL,NULL,NULL,2,1),(25,6338232,5.00,6.00,7.00,7.00,8.00,9.38,5.00,5.00,5.00,202,NULL,220,'TRINDADE','FLORIANÓPOLIS','SC',2758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338240,4.00,4.00,3.00,5.00,7.00,8.25,1.00,4.00,1.00,202,NULL,216,'CENTRO','LAGES','SC',15757,495,NULL,523,NULL,NULL,NULL,4,9),(25,6338259,6.00,7.00,0.00,6.00,8.00,8.25,0.00,3.00,1.00,415,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM VITÓRIA','ARARAQUARA','SP',NULL,NULL,NULL,NULL,'S','S','S',5,7),(25,6338275,4.00,4.00,3.00,4.00,5.00,9.38,1.00,2.00,1.00,502,NULL,NULL,'BELA VISTA','S JOSÉ','SC',16157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6338283,6.00,8.00,4.00,4.00,9.00,7.88,2.00,6.00,3.00,207,NULL,220,'CENTRO','ARAÇOIABA SERRA','SP',5154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6338291,7.00,7.00,1.00,4.00,5.00,9.00,2.00,8.00,5.00,211,NULL,215,'CEARÁ','CRICIÚMA','SC',6030,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6338305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6338313,4.00,2.00,2.00,4.00,5.00,8.25,0.00,5.00,5.00,207,NULL,201,'PRAIA COMPRIDA','S JOSÉ','SC',14607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6338321,8.00,6.00,4.00,6.00,9.00,8.63,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',2224,1363,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338330,6.00,7.00,2.00,6.00,9.00,10.13,2.00,8.00,3.00,5,NULL,NULL,'CENTRO','S MANUEL','SP',4379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338348,5.00,4.00,2.00,1.00,3.00,6.00,1.00,4.00,2.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'CENTRO','VARGEM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6338380,7.00,6.00,4.00,5.00,7.00,6.75,2.00,7.00,5.00,601,NULL,201,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',6454,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6338399,7.00,6.00,4.00,5.00,9.00,11.63,3.00,4.00,5.00,207,NULL,201,'CENTRO','PASSOS','MG',4652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6338402,3.00,2.00,2.00,0.00,3.00,NULL,4.00,2.00,0.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6338410,3.00,2.00,2.00,3.00,6.00,6.75,1.00,1.00,3.00,319,NULL,NULL,'CAVALHADA','PTO ALEGRE','RS',17163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6338429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6338445,4.00,8.00,5.00,7.00,4.00,9.38,3.00,4.00,5.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338453,6.00,7.00,6.00,7.00,7.00,9.75,3.00,8.00,8.00,201,NULL,202,'FLOR DA SERRA','JOAÇABA','SC',1302,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6338461,1.00,1.00,3.00,1.00,0.00,NULL,1.00,0.00,1.00,653,NULL,655,'PONTE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6338488,2.00,6.00,1.00,5.00,7.00,8.25,1.00,5.00,2.00,302,NULL,NULL,'IPIRANGA','S JOSÉ','SC',12665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARIA CÉU','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6338500,3.00,3.00,2.00,3.00,4.00,NULL,2.00,2.00,0.00,101,NULL,NULL,'SANTA CATARINA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6338518,3.00,7.00,4.00,5.00,7.00,7.50,4.00,7.00,4.00,201,NULL,212,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',6377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338526,1.00,4.00,1.00,0.00,4.00,6.75,2.00,0.00,0.00,601,NULL,212,'AMÉRICA','JOINVILLE','SC',21733,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6338534,3.00,6.00,2.00,4.00,7.00,7.50,1.00,5.00,0.00,103,NULL,NULL,'CANECÃO','GUAPORÉ','RS',13327,4043,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338542,2.00,2.00,1.00,1.00,6.00,8.25,1.00,0.00,1.00,207,NULL,208,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6338550,5.00,4.00,2.00,5.00,5.00,7.13,3.00,7.00,6.00,452,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',8045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6338577,5.00,5.00,3.00,7.00,4.00,9.38,2.00,4.00,3.00,450,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',13207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338585,7.00,4.00,3.00,7.00,7.00,9.75,4.00,5.00,4.00,216,NULL,653,'AGRONÔMICA','FLORIANÓPOLIS','SC',5578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'AREIAS DA PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6338615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6338623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'STELLA MARIS','PERUÍBE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6338631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,601,'VALE DO SOL','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6338658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6338666,3.00,4.00,3.00,6.00,9.00,NULL,2.00,1.00,0.00,326,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338674,5.00,6.00,3.00,5.00,6.00,5.63,1.00,4.00,4.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338682,2.00,3.00,2.00,2.00,2.00,NULL,1.00,0.00,1.00,450,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338690,4.00,5.00,3.00,2.00,4.00,7.13,2.00,0.00,2.00,214,NULL,212,'BELA VISTA','BOM RETIRO','SC',20490,440,NULL,575,NULL,NULL,NULL,4,9),(25,6338704,1.00,2.00,0.00,2.00,6.00,6.75,1.00,1.00,2.00,551,NULL,NULL,'COAHB','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6338720,5.00,6.00,1.00,6.00,7.00,9.38,0.00,6.00,4.00,654,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',8512,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6338739,4.00,7.00,0.00,4.00,8.00,10.13,2.00,4.00,2.00,103,NULL,NULL,'TAPAJÓS','INDAIAL','SC',11728,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6338747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6338755,3.00,4.00,2.00,3.00,7.00,7.13,1.00,5.00,2.00,103,NULL,NULL,'SAO JOSE OPERARIO','SANANDUVA','RS',14840,4206,NULL,NULL,NULL,NULL,NULL,2,7),(25,6338763,4.00,0.00,2.00,2.00,7.00,NULL,0.00,0.00,0.00,214,NULL,233,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6338798,3.00,3.00,2.00,4.00,5.00,6.75,2.00,4.00,1.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338801,6.00,7.00,2.00,3.00,7.00,7.50,0.00,8.00,6.00,202,NULL,220,'DONA FRANCISCA','S BENTO SUL','SC',6984,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6338810,7.00,7.00,5.00,7.00,10.00,7.13,4.00,7.00,9.00,203,NULL,201,'SETOR BUENO','GOIÂNIA','GO',1629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338828,1.00,4.00,1.00,2.00,5.00,9.00,2.00,3.00,4.00,329,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',17803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338836,3.00,4.00,3.00,3.00,5.00,7.88,1.00,1.00,0.00,551,NULL,NULL,'JOÃO PAULO II','TRÊS BARRAS','SC',18795,33,NULL,NULL,NULL,NULL,NULL,2,17),(25,6338844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTAL','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6338852,2.00,5.00,1.00,3.00,2.00,NULL,3.00,2.00,3.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6338860,4.00,5.00,3.00,3.00,8.00,10.13,2.00,6.00,4.00,225,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',9399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','VARGEM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6338887,7.00,6.00,2.00,7.00,9.00,9.75,6.00,5.00,9.00,103,NULL,NULL,'CENTRO','CNSO LAFAIETE','MG',1154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338895,8.00,6.00,4.00,7.00,8.00,9.75,5.00,6.00,8.00,220,NULL,203,'SETOR BUENO','GOIÂNIA','GO',1339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338909,3.00,6.00,3.00,3.00,8.00,9.38,1.00,2.00,2.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6338917,0.00,1.00,0.00,0.00,0.00,NULL,0.00,1.00,1.00,425,NULL,424,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338933,4.00,7.00,3.00,4.00,8.00,10.88,3.00,5.00,5.00,329,NULL,NULL,'IRIRIU','JOINVILLE','SC',7369,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6338941,4.00,6.00,0.00,4.00,9.00,4.88,0.00,2.00,3.00,103,NULL,NULL,'VERA CRUZ','CRICIÚMA','SC',18913,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6338950,3.00,0.00,2.00,5.00,7.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6338968,4.00,5.00,3.00,4.00,5.00,5.63,2.00,4.00,2.00,302,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',14775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6338976,4.00,4.00,1.00,2.00,3.00,0.00,2.00,1.00,1.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6338984,3.00,5.00,3.00,4.00,6.00,7.13,2.00,4.00,3.00,444,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',16890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6338992,4.00,0.00,5.00,5.00,7.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6339000,5.00,7.00,3.00,6.00,7.00,8.63,0.00,4.00,0.00,303,NULL,NULL,'CENTRO','MTE CARLO','SC',11503,539,NULL,NULL,NULL,NULL,NULL,4,16),(25,6339018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'JARDIM COPACABANA','PINHALZINHO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6339026,6.00,4.00,3.00,5.00,9.00,9.38,1.00,6.00,7.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',4237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339034,3.00,4.00,2.00,4.00,7.00,8.63,2.00,2.00,2.00,215,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',14561,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6339042,4.00,6.00,1.00,6.00,8.00,8.63,0.00,4.00,1.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6339077,1.00,4.00,0.00,1.00,2.00,NULL,3.00,1.00,1.00,102,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339085,4.00,3.00,2.00,4.00,7.00,8.63,2.00,1.00,3.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',17365,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6339107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6339115,4.00,3.00,3.00,2.00,4.00,NULL,2.00,1.00,0.00,238,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'ZONA RURAL','VARGEM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6339131,4.00,6.00,2.00,6.00,8.00,9.75,1.00,5.00,1.00,420,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',12221,103,NULL,NULL,NULL,NULL,NULL,4,1),(25,6339140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,233,'CACH DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6339158,5.00,5.00,3.00,3.00,5.00,10.50,0.00,5.00,2.00,211,NULL,215,'ESTREITO','FLORIANÓPOLIS','SC',11914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6339166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6339174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COLATTO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6339182,3.00,5.00,3.00,6.00,8.00,NULL,0.00,7.00,3.00,5,NULL,NULL,'RECANTUS','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6339190,3.00,1.00,3.00,3.00,5.00,0.00,0.00,3.00,1.00,309,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339204,1.00,2.00,2.00,3.00,4.00,8.25,1.00,1.00,2.00,211,NULL,207,'ALTO DAS PALMEIRAS','CANOINHAS','SC',20656,544,NULL,1129,NULL,NULL,NULL,2,17),(25,6339220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BATEAS','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6339239,3.00,4.00,0.00,2.00,6.00,NULL,0.00,2.00,2.00,205,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6339255,3.00,3.00,1.00,3.00,7.00,7.88,2.00,1.00,1.00,103,NULL,NULL,'GAMA','GAMA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6339263,2.00,4.00,2.00,3.00,5.00,7.13,2.00,3.00,1.00,316,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6339271,5.00,8.00,0.00,4.00,8.00,NULL,0.00,3.00,1.00,308,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6339298,1.00,2.00,1.00,5.00,4.00,6.75,3.00,2.00,2.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',21197,1152,NULL,1708,NULL,NULL,NULL,2,1),(25,6339301,3.00,5.00,2.00,5.00,6.00,0.00,4.00,6.00,3.00,444,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339310,9.00,6.00,6.00,7.00,9.00,8.25,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',1565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6339328,5.00,7.00,2.00,4.00,5.00,8.25,0.00,8.00,5.00,301,NULL,NULL,'CENTRO','LACERDÓPOLIS','SC',9523,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6339336,8.00,7.00,6.00,7.00,10.00,8.63,5.00,7.00,5.00,104,NULL,NULL,'AMÉRICA','JOINVILLE','SC',1544,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6339344,7.00,5.00,4.00,5.00,6.00,9.75,2.00,7.00,8.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',4640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6339352,3.00,3.00,2.00,4.00,4.00,NULL,0.00,0.00,2.00,201,NULL,235,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339360,7.00,7.00,4.00,5.00,10.00,6.00,4.00,7.00,7.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6339379,4.00,3.00,2.00,5.00,4.00,6.00,1.00,0.00,0.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',20098,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339387,5.00,6.00,1.00,2.00,6.00,9.00,0.00,5.00,5.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',10419,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6339395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO AMARO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6339409,4.00,6.00,2.00,5.00,9.00,11.25,2.00,4.00,3.00,109,NULL,NULL,'GLÓRIA','JOINVILLE','SC',7584,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6339417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6339425,2.00,6.00,3.00,2.00,5.00,7.50,1.00,1.00,1.00,308,NULL,NULL,'PONTE DE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339433,2.00,4.00,2.00,2.00,4.00,4.50,0.00,1.00,1.00,212,NULL,220,'CENTRO','LAGES','SC',21604,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6339441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6339450,6.00,5.00,1.00,7.00,8.00,11.25,0.00,2.00,4.00,104,NULL,NULL,'CENTRO','CASCAVEL','PR',8783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6339468,2.00,6.00,3.00,3.00,7.00,6.75,1.00,2.00,3.00,317,NULL,NULL,'SÃO JORGE','RIO GRANDE','RS',17160,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339476,3.00,6.00,5.00,4.00,7.00,10.13,1.00,6.00,5.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8780,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339484,8.00,8.00,6.00,5.00,9.00,7.88,3.00,6.00,8.00,103,NULL,NULL,'LESTE UNIVERSITARIO','GOIÂNIA','GO',818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6339492,7.00,4.00,2.00,3.00,6.00,4.50,2.00,3.00,4.00,103,NULL,NULL,'JARDIM UNIVERSITÁRIO','MARINGÁ','PR',14689,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339514,7.00,7.00,5.00,7.00,10.00,8.25,5.00,7.00,9.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6339522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'ZONA RURAL','VARGEM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6339530,8.00,7.00,4.00,6.00,9.00,10.88,3.00,8.00,9.00,303,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',772,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6339549,3.00,6.00,1.00,4.00,7.00,NULL,2.00,4.00,0.00,303,NULL,NULL,'PASSA VINTE PAGANI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6339557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6339565,3.00,3.00,1.00,3.00,4.00,NULL,1.00,0.00,1.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339573,4.00,8.00,4.00,4.00,7.00,8.63,1.00,4.00,5.00,203,NULL,214,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339581,5.00,3.00,2.00,5.00,7.00,NULL,0.00,4.00,4.00,201,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6339590,2.00,4.00,1.00,1.00,5.00,NULL,1.00,1.00,0.00,211,NULL,NULL,'SANTA CRUZ','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339611,3.00,6.00,3.00,4.00,6.00,9.38,2.00,3.00,4.00,420,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6339620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'SENHOR BOM JESUS','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6339646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ACARAÍ','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6339654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6339662,3.00,2.00,2.00,4.00,2.00,NULL,1.00,1.00,1.00,201,NULL,202,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6339670,5.00,5.00,3.00,6.00,9.00,7.88,2.00,4.00,3.00,108,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',9084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6339689,2.00,4.00,3.00,3.00,3.00,8.63,0.00,1.00,2.00,234,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18491,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339697,4.00,4.00,0.00,5.00,3.00,NULL,1.00,5.00,1.00,5,NULL,NULL,'SÃO LUÍS','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6339700,1.00,3.00,0.00,1.00,5.00,NULL,1.00,0.00,0.00,444,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339719,5.00,4.00,5.00,7.00,6.00,5.63,2.00,4.00,1.00,203,NULL,220,'MADUREIRA','CAXIAS SUL','RS',10954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6339735,8.00,8.00,4.00,5.00,9.00,11.25,3.00,7.00,5.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',1756,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339743,4.00,4.00,1.00,6.00,6.00,8.63,0.00,3.00,2.00,207,NULL,238,'COPACABANA','LAGES','SC',17398,926,NULL,399,NULL,NULL,NULL,4,9),(25,6339751,2.00,5.00,1.00,3.00,6.00,8.63,1.00,3.00,2.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6339760,2.00,6.00,1.00,6.00,7.00,8.63,1.00,2.00,1.00,207,NULL,201,'ENCRUZILHADA','SANTOS','SP',14654,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6339778,5.00,6.00,0.00,5.00,8.00,9.38,2.00,8.00,5.00,224,NULL,NULL,'IMIGRANTES','GUABIRUBA','SC',6101,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6339786,8.00,7.00,4.00,7.00,8.00,11.25,4.00,6.00,6.00,235,NULL,202,'UBERABA','CURITIBA','PR',1625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6339794,6.00,3.00,2.00,4.00,7.00,8.63,1.00,4.00,6.00,104,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',9906,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6339808,7.00,6.00,6.00,7.00,9.00,11.63,4.00,7.00,7.00,216,NULL,233,'JARDIM PRIMAVERA','BIRIGÜI','SP',797,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6339816,1.00,6.00,2.00,3.00,5.00,9.00,1.00,6.00,1.00,326,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16798,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339824,3.00,8.00,2.00,4.00,5.00,8.63,4.00,4.00,0.00,104,NULL,NULL,'TESTO ALTO','POMERODE','SC',11579,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6339832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6339859,5.00,4.00,2.00,4.00,6.00,9.38,2.00,0.00,3.00,9,NULL,NULL,'CENTRO','GUABIRUBA','SC',14455,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6339867,7.00,7.00,6.00,7.00,8.00,8.25,3.00,8.00,5.00,203,NULL,201,'JARDIM CLAÚDIA','LONDRINA','PR',2792,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6339883,4.00,4.00,2.00,1.00,4.00,8.63,3.00,3.00,2.00,420,NULL,NULL,'BOM RETIRO','CURITIBA','PR',15824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6339891,3.00,5.00,0.00,4.00,7.00,9.38,1.00,3.00,1.00,331,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',17716,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339913,4.00,3.00,1.00,6.00,4.00,7.88,2.00,3.00,1.00,654,NULL,NULL,'ITACURUBI','FLORIANÓPOLIS','SC',18851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6339921,0.00,3.00,1.00,3.00,5.00,NULL,2.00,3.00,0.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6339930,3.00,5.00,2.00,5.00,6.00,6.38,3.00,2.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6339948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6339956,6.00,5.00,3.00,2.00,5.00,8.25,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',7475,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6339964,3.00,4.00,4.00,2.00,6.00,6.75,4.00,4.00,2.00,653,NULL,655,'CENTRO','MARACAJÁ','SC',16727,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6339972,2.00,5.00,1.00,6.00,7.00,9.00,0.00,1.00,2.00,415,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',14711,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(25,6339980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CRUZEIRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6339999,2.00,3.00,2.00,3.00,6.00,8.25,1.00,6.00,1.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18662,798,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340016,5.00,5.00,2.00,4.00,6.00,8.63,2.00,5.00,1.00,332,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15426,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340024,4.00,6.00,4.00,5.00,7.00,7.13,3.00,7.00,6.00,214,NULL,207,'BOM RETIRO','CURITIBA','PR',7574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340032,3.00,3.00,0.00,2.00,5.00,9.38,1.00,0.00,1.00,109,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',20059,142,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340059,3.00,4.00,2.00,5.00,9.00,9.00,2.00,5.00,6.00,211,NULL,215,'COQUEIROS','FLORIANÓPOLIS','SC',8704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340067,4.00,6.00,3.00,4.00,8.00,8.25,2.00,5.00,7.00,103,NULL,NULL,'TERESÓPOLIS','PTO ALEGRE','RS',6562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340075,6.00,4.00,2.00,5.00,8.00,6.75,1.00,3.00,5.00,999,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6340083,7.00,6.00,1.00,4.00,8.00,7.50,1.00,3.00,3.00,207,NULL,201,'JARDIM SUMARÉ','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6340091,3.00,7.00,4.00,1.00,6.00,10.13,2.00,6.00,2.00,108,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',10729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340105,2.00,5.00,0.00,1.00,4.00,NULL,0.00,0.00,2.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340113,2.00,2.00,1.00,3.00,1.00,NULL,3.00,2.00,2.00,201,NULL,212,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6340121,5.00,7.00,1.00,4.00,3.00,9.00,3.00,5.00,3.00,201,NULL,215,'CENTRO','URUBICI','SC',10279,842,NULL,152,NULL,NULL,NULL,2,9),(25,6340130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6340148,5.00,5.00,2.00,6.00,7.00,10.88,3.00,3.00,5.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340172,2.00,4.00,3.00,5.00,7.00,6.75,0.00,1.00,1.00,202,NULL,235,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',19965,628,NULL,476,NULL,NULL,NULL,2,1),(25,6340180,5.00,4.00,1.00,6.00,7.00,9.00,0.00,2.00,3.00,201,NULL,202,'CENTRO','MAL CÂNDIDO RONDON','PR',12088,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6340199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'JD VIVENDAS','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6340229,2.00,3.00,1.00,3.00,6.00,7.13,4.00,2.00,3.00,316,NULL,NULL,'CACUPE','FLORIANÓPOLIS','SC',19702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,215,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6340245,2.00,5.00,3.00,1.00,6.00,NULL,2.00,1.00,0.00,201,NULL,207,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340253,3.00,5.00,2.00,2.00,4.00,7.13,0.00,2.00,1.00,207,NULL,201,'SÃO CRISTOVÃO','LAGES','SC',19808,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6340261,9.00,7.00,1.00,6.00,8.00,9.38,2.00,9.00,5.00,340,NULL,NULL,'VILA CÉLIA','CPO GRANDE','MS',3136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340270,7.00,4.00,1.00,4.00,8.00,8.63,2.00,8.00,6.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',5037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340288,2.00,4.00,1.00,4.00,3.00,8.63,1.00,2.00,1.00,109,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',20942,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6340296,0.00,4.00,2.00,3.00,6.00,6.38,0.00,1.00,2.00,208,NULL,235,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340300,3.00,3.00,2.00,3.00,7.00,9.75,1.00,4.00,1.00,304,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',17762,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6340318,4.00,3.00,0.00,3.00,5.00,8.63,2.00,2.00,2.00,425,NULL,423,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6340326,4.00,5.00,2.00,4.00,6.00,8.25,2.00,5.00,2.00,339,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',16231,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340334,6.00,8.00,3.00,6.00,6.00,7.13,2.00,6.00,5.00,304,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',5431,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6340342,7.00,6.00,7.00,4.00,7.00,8.25,6.00,9.00,7.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',1105,748,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340350,3.00,6.00,2.00,4.00,6.00,7.50,3.00,3.00,5.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11868,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340369,2.00,2.00,1.00,1.00,4.00,7.88,1.00,2.00,2.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',21482,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6340377,3.00,5.00,0.00,4.00,5.00,NULL,2.00,0.00,4.00,415,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340385,4.00,3.00,1.00,3.00,5.00,8.25,2.00,4.00,3.00,426,NULL,425,'SANTA CRUZ DA FIGUEI','ÁGUAS MORNAS','SC',14324,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340393,4.00,1.00,2.00,2.00,2.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'MINUANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6340407,2.00,5.00,3.00,3.00,6.00,6.75,0.00,4.00,0.00,303,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',18455,789,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340415,5.00,4.00,1.00,4.00,6.00,8.25,1.00,2.00,2.00,104,NULL,NULL,'VILA NOVA','BLUMENAU','SC',13342,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340423,7.00,6.00,4.00,5.00,8.00,7.88,2.00,3.00,6.00,201,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',6788,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6340431,6.00,8.00,2.00,4.00,8.00,8.63,2.00,6.00,6.00,9,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',5451,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6340440,3.00,6.00,1.00,6.00,6.00,6.38,2.00,2.00,2.00,339,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',18675,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340466,4.00,3.00,5.00,4.00,8.00,8.63,1.00,1.00,3.00,102,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',14708,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340474,3.00,6.00,4.00,7.00,10.00,10.88,4.00,6.00,5.00,453,NULL,NULL,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',2497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340482,3.00,3.00,2.00,2.00,4.00,6.75,1.00,2.00,3.00,652,NULL,655,'LAGOA DO CAVERA','ARARANGUÁ','SC',20781,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6340490,2.00,5.00,5.00,5.00,7.00,6.75,1.00,2.00,1.00,317,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340512,4.00,6.00,1.00,6.00,8.00,NULL,0.00,3.00,3.00,999,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6340547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6340555,5.00,6.00,3.00,3.00,9.00,10.13,1.00,4.00,5.00,340,NULL,NULL,'JARDIM DAS AMÉRICAS','PATO BRANCO','PR',6958,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6340563,6.00,8.00,3.00,7.00,10.00,8.63,3.00,6.00,6.00,202,NULL,213,'MONTE VERDE','FLORIANÓPOLIS','SC',3307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340571,5.00,4.00,2.00,5.00,8.00,9.38,1.00,4.00,2.00,5,NULL,NULL,'LIDER','CHAPECÓ','SC',11380,404,NULL,NULL,NULL,NULL,NULL,4,4),(25,6340580,2.00,3.00,3.00,3.00,4.00,6.00,0.00,2.00,1.00,421,NULL,429,'CARVOEIRA','FLORIANÓPOLIS','SC',21248,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6340601,5.00,3.00,1.00,5.00,4.00,8.25,1.00,1.00,1.00,222,NULL,NULL,'CENTRO','PALHOÇA','SC',19826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340610,4.00,4.00,3.00,5.00,9.00,5.63,1.00,3.00,4.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340636,4.00,4.00,1.00,4.00,5.00,6.75,2.00,4.00,1.00,103,NULL,NULL,'CENTRO','MACHADINHO','RS',19327,4620,NULL,NULL,NULL,NULL,NULL,2,7),(25,6340652,8.00,7.00,5.00,7.00,7.00,8.63,3.00,9.00,7.00,216,NULL,201,'SANTA MARIA','ANTÔNIO CARLOS','SC',1510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340660,7.00,7.00,2.00,7.00,9.00,9.38,2.00,7.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340679,1.00,1.00,1.00,2.00,3.00,6.75,2.00,1.00,2.00,211,NULL,201,'RIO CAVEIRAS','BIGUAÇU','SC',21373,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CAMPO LIMPO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6340695,6.00,8.00,6.00,4.00,8.00,10.13,2.00,8.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',2102,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6340733,3.00,6.00,0.00,5.00,8.00,9.38,1.00,2.00,2.00,207,NULL,NULL,'SANTANA','RIO SUL','SC',15505,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340741,8.00,6.00,5.00,5.00,7.00,9.75,5.00,4.00,6.00,203,NULL,220,'CONSOLAÇAO','S PAULO','SP',2495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340750,4.00,7.00,3.00,7.00,9.00,11.63,2.00,7.00,5.00,333,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340784,3.00,5.00,2.00,4.00,5.00,7.50,0.00,1.00,3.00,103,NULL,NULL,'SAO DOMINGOS II','NAVEGANTES','SC',16998,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6340792,6.00,5.00,4.00,4.00,7.00,8.63,3.00,2.00,3.00,303,NULL,NULL,'REBOUÇAS','CURITIBA','PR',8808,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6340814,2.00,2.00,1.00,4.00,8.00,7.50,1.00,1.00,1.00,309,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',19563,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6340822,6.00,3.00,1.00,6.00,5.00,6.75,1.00,4.00,1.00,301,NULL,NULL,'STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC',16561,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340830,1.00,2.00,2.00,2.00,4.00,6.00,3.00,4.00,2.00,101,NULL,NULL,'ARREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6340857,6.00,5.00,2.00,6.00,7.00,7.50,1.00,4.00,8.00,104,NULL,NULL,'SAO LUIZ','BRUSQUE','SC',6549,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6340865,5.00,6.00,3.00,7.00,5.00,6.75,2.00,4.00,4.00,108,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',10564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340873,6.00,4.00,3.00,4.00,6.00,6.75,3.00,4.00,5.00,103,NULL,NULL,'JARDIM EUROPA','BRAGANÇA PAULISTA','SP',9707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340881,4.00,4.00,1.00,2.00,5.00,8.25,1.00,2.00,1.00,415,NULL,NULL,'CAMBOA','GOV CELSO RAMOS','SC',17516,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340890,2.00,5.00,1.00,0.00,6.00,7.50,3.00,1.00,0.00,551,NULL,NULL,'CAMPO DA ÁGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6340903,4.00,5.00,2.00,7.00,7.00,9.38,4.00,6.00,3.00,415,NULL,NULL,'SETE DE SETEMBRO','GASPAR','SC',7311,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6340911,3.00,0.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,211,NULL,201,'DISTRITO DE ITAIO','ITAIÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6340920,5.00,6.00,2.00,7.00,5.00,7.50,1.00,4.00,4.00,207,NULL,201,'ORIÇÓ','GRAVATAÍ','RS',11050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340938,3.00,5.00,0.00,2.00,6.00,NULL,0.00,2.00,2.00,653,NULL,652,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6340946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,427,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6340954,4.00,8.00,1.00,4.00,5.00,6.00,1.00,5.00,3.00,453,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',15525,105,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340962,7.00,7.00,0.00,6.00,10.00,10.50,0.00,8.00,7.00,415,NULL,NULL,'ANA JACINTA','PRES PRUDENTE','SP',2551,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6340970,6.00,2.00,2.00,5.00,10.00,11.63,0.00,8.00,1.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6340989,8.00,5.00,4.00,5.00,7.00,9.00,1.00,6.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6340997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6341004,4.00,5.00,2.00,2.00,8.00,6.75,0.00,0.00,3.00,333,NULL,NULL,'SANTO ANTONIO','FLORIANÓPOLIS','SC',16945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341012,2.00,3.00,1.00,2.00,5.00,NULL,0.00,2.00,2.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341020,4.00,6.00,1.00,2.00,5.00,7.13,2.00,1.00,0.00,654,NULL,NULL,'SÃO PEREGRINO','TURVO','SC',20321,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6341039,3.00,4.00,2.00,4.00,6.00,4.88,2.00,2.00,2.00,999,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341047,3.00,4.00,2.00,3.00,5.00,7.88,3.00,1.00,4.00,207,NULL,601,'PARQUE DAS PALMEIRAS','CHAPECÓ','SC',15284,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6341055,3.00,5.00,1.00,2.00,5.00,8.63,1.00,5.00,1.00,329,NULL,NULL,'DAS CAPITAIS','TIMBÓ','SC',18864,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(25,6341063,7.00,7.00,2.00,6.00,7.00,10.13,5.00,5.00,5.00,233,NULL,653,'CENTRO','FLORIANÓPOLIS','SC',3839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341071,4.00,3.00,1.00,5.00,6.00,8.25,0.00,0.00,2.00,999,NULL,NULL,'SÃO BERNARDO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6341080,5.00,7.00,2.00,7.00,7.00,7.50,1.00,5.00,3.00,102,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',10898,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6341098,3.00,3.00,1.00,3.00,4.00,NULL,1.00,1.00,0.00,104,NULL,NULL,'COLATTO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6341101,2.00,2.00,0.00,2.00,2.00,NULL,4.00,1.00,2.00,101,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6341110,1.00,3.00,0.00,2.00,3.00,NULL,4.00,1.00,4.00,317,NULL,NULL,'ZANA RURAL','CAPANEMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341128,5.00,4.00,1.00,2.00,6.00,7.88,1.00,4.00,5.00,3,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',16248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341136,3.00,6.00,0.00,6.00,4.00,NULL,1.00,5.00,2.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341144,2.00,4.00,2.00,3.00,6.00,NULL,2.00,0.00,4.00,420,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6341179,2.00,2.00,1.00,3.00,4.00,6.38,2.00,4.00,2.00,316,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'PILARZINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6341209,3.00,4.00,1.00,2.00,6.00,4.88,0.00,4.00,2.00,238,NULL,652,'RIO TAVARES','FLORIANÓPOLIS','SC',21136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6341217,0.00,4.00,1.00,4.00,4.00,7.88,2.00,3.00,2.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6341225,3.00,6.00,1.00,5.00,10.00,8.25,0.00,5.00,2.00,453,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6341233,1.00,2.00,0.00,2.00,4.00,6.75,3.00,4.00,2.00,501,NULL,NULL,'ALTO DA XV','GUARAPUAVA','PR',21281,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6341241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CRISTO REDENTOR','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6341268,2.00,1.00,2.00,4.00,6.00,NULL,0.00,0.00,3.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6341276,2.00,7.00,3.00,4.00,4.00,8.25,2.00,5.00,3.00,304,NULL,NULL,'AMÉRICA','JOINVILLE','SC',13845,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6341284,4.00,2.00,2.00,4.00,8.00,7.13,0.00,3.00,3.00,103,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',15075,4229,NULL,NULL,NULL,NULL,NULL,2,8),(25,6341292,2.00,5.00,2.00,6.00,6.00,7.88,2.00,2.00,2.00,502,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',18567,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6341306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ANITA GARIBALDE','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6341314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM PAULISTANO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6341322,4.00,6.00,1.00,5.00,4.00,8.63,2.00,6.00,6.00,233,NULL,216,'SAGRADA FAMILIA','NOVA PRATA','RS',12285,331,NULL,436,NULL,NULL,NULL,2,1),(25,6341330,2.00,4.00,0.00,3.00,6.00,0.00,0.00,2.00,1.00,213,NULL,233,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6341357,1.00,3.00,1.00,4.00,7.00,4.88,0.00,3.00,1.00,103,NULL,NULL,'CENTRO','LAGES','SC',21321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6341365,6.00,5.00,5.00,7.00,8.00,8.63,4.00,4.00,5.00,203,NULL,235,'SÃO VICENTE','HERVAL D OESTE','SC',3947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341373,7.00,6.00,3.00,7.00,9.00,7.88,2.00,7.00,8.00,103,NULL,NULL,'SILVEIRA DA MOTTA','S JOSÉ PINHAIS','PR',2715,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6341381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'IMIGRANTES','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6341390,4.00,6.00,3.00,2.00,8.00,11.25,2.00,4.00,6.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9474,344,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6341411,2.00,3.00,0.00,2.00,7.00,NULL,0.00,6.00,2.00,450,NULL,NULL,'SANTA CATARINA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6341420,4.00,1.00,1.00,2.00,3.00,7.13,1.00,1.00,0.00,201,NULL,207,'GARCIA','BLUMENAU','SC',20939,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6341438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MONUMENTO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6341446,1.00,1.00,2.00,1.00,2.00,NULL,3.00,1.00,1.00,101,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6341454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6341462,7.00,4.00,1.00,3.00,8.00,7.13,2.00,5.00,1.00,104,NULL,NULL,'CENTRO','MIRANDÓPOLIS','SP',12741,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6341470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,655,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6341489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6341497,2.00,6.00,2.00,4.00,3.00,8.25,2.00,3.00,4.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',18285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341519,1.00,2.00,0.00,0.00,0.00,NULL,0.00,3.00,0.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6341527,5.00,6.00,2.00,4.00,4.00,9.00,1.00,2.00,3.00,233,NULL,238,'BALNEÁRIO','FLORIANÓPOLIS','SC',16691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6341535,2.00,2.00,0.00,0.00,6.00,NULL,2.00,0.00,0.00,225,NULL,NULL,'CENTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6341543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','MINEIROS','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6341551,4.00,4.00,3.00,5.00,7.00,8.63,3.00,3.00,5.00,999,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6341560,6.00,6.00,3.00,4.00,6.00,10.50,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',6367,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6341578,4.00,5.00,2.00,4.00,6.00,7.88,0.00,4.00,4.00,304,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12526,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6341586,2.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6341594,4.00,7.00,2.00,5.00,9.00,8.63,1.00,6.00,3.00,5,NULL,NULL,'PRADO','BIGUAÇU','SC',7254,272,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341608,6.00,5.00,3.00,6.00,8.00,9.00,2.00,6.00,5.00,201,NULL,207,'COQUEIROS','FLORIANÓPOLIS','SC',5943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341616,6.00,7.00,4.00,7.00,8.00,8.25,2.00,5.00,8.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',3384,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6341632,7.00,7.00,4.00,5.00,9.00,11.25,4.00,5.00,7.00,201,NULL,NULL,'FLORESTA','JOINVILLE','SC',2993,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6341640,7.00,6.00,2.00,3.00,6.00,6.75,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','BARRACÃO','PR',8404,3268,NULL,NULL,NULL,NULL,NULL,4,4),(25,6341659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','MTE APRAZÍVEL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6341675,7.00,8.00,7.00,5.00,10.00,11.63,4.00,7.00,7.00,103,NULL,NULL,'IPIRANGA','S PAULO','SP',438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CAMPO DA LANÇA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6341713,6.00,5.00,0.00,5.00,8.00,6.75,0.00,3.00,3.00,304,NULL,NULL,'JARDIM SERRA DOURADA','MOGI GUAÇU','SP',12253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341721,3.00,5.00,0.00,3.00,7.00,7.13,3.00,0.00,1.00,203,NULL,235,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',18017,1034,NULL,428,NULL,NULL,NULL,2,1),(25,6341730,2.00,3.00,1.00,5.00,7.00,7.13,2.00,2.00,2.00,340,NULL,NULL,'SAO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6341748,3.00,3.00,0.00,2.00,2.00,NULL,3.00,1.00,2.00,317,NULL,NULL,'SAO SEBASTIAO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6341764,5.00,7.00,5.00,7.00,6.00,7.88,2.00,7.00,4.00,340,NULL,NULL,'APARECIDA','SANTOS','SP',6901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341772,8.00,7.00,6.00,2.00,8.00,9.38,6.00,7.00,8.00,103,NULL,NULL,'FRANCISCO GAROFALO','MOCOCA','SP',1325,875,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341780,8.00,7.00,3.00,7.00,9.00,9.38,2.00,8.00,6.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',2036,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6341799,4.00,4.00,2.00,1.00,7.00,8.25,2.00,0.00,3.00,208,NULL,238,'CENTRO','TIMBÓ','SC',16995,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6341802,3.00,6.00,4.00,2.00,3.00,NULL,2.00,3.00,0.00,103,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6341810,1.00,1.00,0.00,2.00,3.00,NULL,0.00,1.00,4.00,103,NULL,NULL,'SÃO CRISTOVÃO','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6341829,5.00,6.00,3.00,3.00,8.00,NULL,0.00,3.00,2.00,303,NULL,NULL,'PARIGOT DE SOUZA','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6341837,1.00,3.00,0.00,2.00,6.00,6.75,3.00,1.00,2.00,319,NULL,NULL,'MORRETES','ITAPEMA','SC',21337,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6341845,8.00,5.00,2.00,6.00,7.00,8.63,1.00,4.00,8.00,203,NULL,201,'ALTO DA COLINA','DOIS VIZINHOS','PR',4676,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6341861,5.00,4.00,1.00,3.00,8.00,8.25,1.00,1.00,2.00,452,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6341870,5.00,4.00,2.00,2.00,7.00,NULL,0.00,1.00,2.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6341888,2.00,3.00,3.00,2.00,6.00,9.00,1.00,5.00,2.00,303,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',19032,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6341896,2.00,7.00,1.00,1.00,5.00,7.50,1.00,1.00,1.00,103,NULL,NULL,'SÃO DOMINGOS','NAVEGANTES','SC',19023,4590,NULL,NULL,NULL,NULL,NULL,4,6),(25,6341900,2.00,5.00,2.00,5.00,3.00,7.88,1.00,5.00,2.00,338,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',18182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341918,4.00,5.00,2.00,4.00,6.00,5.63,4.00,5.00,4.00,332,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',13989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6341934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6341969,2.00,4.00,2.00,4.00,5.00,9.00,2.00,4.00,4.00,551,NULL,NULL,'COHAB','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6341977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CANAÃ','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6341985,4.00,5.00,0.00,4.00,2.00,NULL,2.00,4.00,3.00,220,NULL,211,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6341993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6342000,1.00,3.00,1.00,4.00,6.00,NULL,0.00,1.00,0.00,654,NULL,NULL,'SAO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6342019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6342027,3.00,5.00,3.00,0.00,5.00,7.13,2.00,4.00,2.00,340,NULL,NULL,'UNIVERSITÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6342035,4.00,7.00,2.00,6.00,7.00,10.13,1.00,4.00,3.00,101,NULL,NULL,'CENTRO','IBIRAMA','SC',9068,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6342043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6342051,2.00,3.00,2.00,2.00,2.00,NULL,1.00,3.00,1.00,207,NULL,601,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6342060,2.00,5.00,2.00,0.00,4.00,6.75,2.00,2.00,3.00,238,NULL,208,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',19866,473,NULL,521,NULL,NULL,NULL,4,1),(25,6342086,1.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA ISABEL','ASCURRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,2),(25,6342094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6342108,4.00,4.00,2.00,6.00,5.00,6.38,0.00,5.00,2.00,453,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16508,111,NULL,NULL,NULL,NULL,NULL,2,1),(25,6342116,5.00,7.00,1.00,5.00,5.00,8.63,3.00,5.00,3.00,329,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',11368,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6342124,7.00,6.00,6.00,4.00,10.00,6.75,6.00,7.00,7.00,203,NULL,NULL,'PARAISO','S PAULO','SP',1571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342132,1.00,3.00,0.00,3.00,4.00,NULL,1.00,1.00,0.00,999,NULL,NULL,'N S DE FÁTIMA','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6342140,3.00,2.00,1.00,1.00,4.00,7.13,1.00,0.00,1.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',21500,468,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6342167,2.00,4.00,2.00,1.00,4.00,5.25,1.00,0.00,0.00,216,NULL,201,'MAGALHÃES','LAGUNA','SC',21743,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6342175,4.00,5.00,2.00,5.00,7.00,10.13,3.00,6.00,0.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342183,3.00,5.00,2.00,4.00,6.00,9.38,3.00,4.00,1.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12995,115,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342191,2.00,4.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6342205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6342221,8.00,5.00,5.00,6.00,7.00,9.00,3.00,7.00,7.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',2915,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6342230,3.00,6.00,1.00,5.00,7.00,8.63,2.00,5.00,2.00,102,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',11885,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6342264,3.00,4.00,0.00,3.00,8.00,8.25,2.00,3.00,1.00,319,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',18255,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6342272,3.00,6.00,4.00,4.00,9.00,8.25,1.00,3.00,2.00,201,NULL,601,'BOM JESUS','RIO NEGRO','PR',11081,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6342280,5.00,6.00,2.00,5.00,6.00,11.25,2.00,3.00,4.00,104,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',9678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'TABOLEIRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6342302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'ESTRADA DAS AREIAS','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6342310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'CIDADE MINEIRA NOVA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6342329,3.00,5.00,0.00,3.00,5.00,NULL,2.00,2.00,2.00,654,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6342345,4.00,4.00,2.00,6.00,7.00,9.00,2.00,6.00,3.00,999,NULL,NULL,'TABOÃO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342353,5.00,7.00,3.00,6.00,6.00,NULL,2.00,4.00,5.00,999,NULL,NULL,'SACO DOS LIMÔES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6342370,3.00,5.00,1.00,5.00,5.00,NULL,0.00,3.00,3.00,337,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342388,3.00,3.00,2.00,5.00,7.00,7.50,0.00,1.00,2.00,216,NULL,211,'SANTA CRUZ','CONCÓRDIA','SC',17125,551,NULL,446,NULL,NULL,NULL,2,4),(25,6342396,4.00,6.00,3.00,7.00,8.00,9.75,4.00,8.00,3.00,425,NULL,424,'SAMBAQUI','FLORIANÓPOLIS','SC',5851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342400,5.00,4.00,1.00,5.00,8.00,8.63,2.00,4.00,2.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',12599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342418,2.00,2.00,2.00,2.00,5.00,NULL,3.00,0.00,1.00,999,NULL,NULL,'CENTRO','SALETE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6342426,8.00,7.00,3.00,5.00,8.00,8.63,4.00,8.00,6.00,303,NULL,NULL,'SÃO BRÁS','CURITIBA','PR',2006,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6342434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6342442,3.00,3.00,3.00,5.00,6.00,7.13,2.00,4.00,4.00,319,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',14798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342450,4.00,4.00,0.00,3.00,5.00,7.88,1.00,1.00,1.00,317,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',18219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342469,3.00,5.00,3.00,4.00,7.00,NULL,1.00,0.00,2.00,103,NULL,NULL,'SANTO ANTÔNIO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6342477,6.00,4.00,4.00,7.00,8.00,9.38,2.00,4.00,5.00,103,NULL,NULL,'SANTA CATARINA','CAXIAS SUL','RS',5732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342485,3.00,3.00,3.00,3.00,5.00,6.75,0.00,2.00,3.00,102,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',19838,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6342507,2.00,7.00,0.00,7.00,6.00,6.38,3.00,3.00,2.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',11500,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6342515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6342523,3.00,5.00,3.00,6.00,8.00,9.00,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6342531,5.00,6.00,3.00,5.00,7.00,8.25,2.00,4.00,3.00,220,NULL,655,'CAMPINAS','S JOSÉ','SC',9276,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6342540,2.00,3.00,3.00,2.00,2.00,NULL,2.00,1.00,2.00,225,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6342558,2.00,4.00,0.00,2.00,5.00,5.25,2.00,3.00,2.00,208,NULL,238,'PINGUIRITO','GAROPABA','SC',19312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342566,2.00,6.00,2.00,3.00,6.00,9.00,2.00,2.00,3.00,303,NULL,NULL,'DAS NAÇÕES','BAL CAMBORIÚ','SC',17230,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6342574,2.00,4.00,1.00,1.00,5.00,6.00,0.00,3.00,3.00,317,NULL,NULL,'AREIAS BARREIROS','S JOSÉ','SC',20202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,235,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6342590,2.00,4.00,3.00,5.00,4.00,6.38,3.00,3.00,3.00,999,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342604,8.00,8.00,5.00,7.00,10.00,9.38,4.00,9.00,9.00,201,NULL,601,'AMÉRICA','JOINVILLE','SC',503,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6342620,2.00,4.00,2.00,3.00,8.00,8.25,1.00,2.00,2.00,208,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',16381,384,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342639,3.00,6.00,2.00,6.00,6.00,8.63,0.00,3.00,3.00,216,NULL,235,'MORRETES','ITAPEMA','SC',12788,447,NULL,300,NULL,NULL,NULL,2,3),(25,6342647,7.00,6.00,3.00,5.00,8.00,9.00,0.00,7.00,3.00,601,NULL,235,'BOM JESUS','RIO NEGRO','PR',6463,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6342655,2.00,2.00,0.00,5.00,5.00,NULL,1.00,2.00,1.00,444,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6342663,4.00,4.00,1.00,7.00,8.00,9.75,3.00,5.00,4.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',8293,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6342671,6.00,4.00,3.00,7.00,7.00,8.25,3.00,5.00,2.00,318,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',10761,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6342680,3.00,4.00,1.00,3.00,5.00,7.50,0.00,0.00,3.00,207,NULL,201,'CENTRO','STO AMARO IMPERATRIZ','SC',18173,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6342698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RODEIO BONITO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6342728,4.00,6.00,3.00,5.00,7.00,7.50,2.00,4.00,2.00,201,NULL,NULL,'NOVA BRASILIA','JARAGUÁ SUL','SC',10514,866,NULL,NULL,NULL,NULL,NULL,4,8),(25,6342736,4.00,4.00,0.00,6.00,8.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'BOA VISTA','MARÍLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342752,6.00,7.00,2.00,5.00,9.00,10.13,1.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3983,2073,NULL,NULL,NULL,NULL,NULL,2,1),(25,6342760,4.00,4.00,0.00,3.00,6.00,7.13,0.00,1.00,1.00,110,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6342779,4.00,6.00,3.00,4.00,5.00,6.38,2.00,1.00,3.00,301,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',17882,243,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342787,7.00,5.00,1.00,7.00,6.00,10.50,3.00,7.00,3.00,238,NULL,208,'CANASVIEIRAS','FLORIANÓPOLIS','SC',8311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6342795,2.00,3.00,1.00,3.00,7.00,10.13,1.00,2.00,1.00,216,NULL,655,'CENTRO','SANGÃO','SC',20198,616,NULL,136,NULL,NULL,NULL,2,10),(25,6342809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6342817,6.00,6.00,1.00,6.00,7.00,9.38,1.00,3.00,1.00,450,NULL,NULL,'JARDIM LUTFALLA','S CARLOS','SP',9975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342825,4.00,6.00,5.00,6.00,7.00,9.00,3.00,5.00,5.00,303,NULL,NULL,'CIDADE NOVA II','CAXIAS SUL','RS',5913,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6342833,5.00,6.00,1.00,2.00,6.00,9.00,3.00,4.00,4.00,203,NULL,601,'CENTRO','CRICIÚMA','SC',12376,821,NULL,NULL,NULL,NULL,NULL,2,5),(25,6342841,5.00,4.00,4.00,3.00,4.00,5.63,1.00,5.00,6.00,201,NULL,NULL,'CENTRO','JAÚ','SP',13208,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6342850,2.00,4.00,4.00,3.00,1.00,NULL,2.00,2.00,0.00,601,NULL,203,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6342868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6342876,5.00,4.00,4.00,5.00,5.00,7.50,1.00,3.00,3.00,103,NULL,NULL,'JD NOVO HORIZONTE','MARINGÁ','PR',13280,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6342884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,601,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6342892,8.00,8.00,7.00,7.00,10.00,12.38,6.00,7.00,8.00,203,NULL,214,'DOS ESTADOS','INDAIAL','SC',69,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6342906,1.00,1.00,0.00,2.00,4.00,4.50,0.00,1.00,1.00,102,NULL,NULL,'LUCAS ARAUJO','PASSO FUNDO','RS',21797,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6342914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA ADYANNA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6342922,5.00,4.00,2.00,2.00,3.00,7.50,2.00,4.00,0.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',20315,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6342930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6342957,8.00,8.00,4.00,7.00,9.00,11.25,5.00,4.00,7.00,208,NULL,NULL,'BARREIROS','S JOSÉ','SC',1279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342973,3.00,4.00,1.00,3.00,4.00,NULL,0.00,1.00,3.00,317,NULL,NULL,'TABULEIRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6342981,5.00,8.00,1.00,6.00,9.00,10.13,3.00,5.00,6.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',4621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6342990,2.00,8.00,1.00,3.00,5.00,NULL,1.00,1.00,0.00,104,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6343015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6343023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6343031,4.00,6.00,3.00,7.00,7.00,9.38,3.00,5.00,5.00,316,NULL,NULL,'BELA VISTA','S JOSÉ','SC',7267,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343040,5.00,4.00,3.00,6.00,9.00,7.13,3.00,5.00,1.00,5,NULL,NULL,'CENTRO','CURITIBANOS','SC',9931,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6343058,3.00,4.00,2.00,4.00,6.00,NULL,0.00,5.00,1.00,303,NULL,NULL,'VILA MAMONA','CORUMBÁ','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6343066,6.00,8.00,2.00,6.00,5.00,10.88,1.00,5.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5460,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6343074,7.00,8.00,3.00,8.00,9.00,11.63,3.00,5.00,6.00,336,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6343082,1.00,5.00,1.00,2.00,3.00,7.13,1.00,4.00,2.00,316,NULL,NULL,'FLOR DE NAPOLES','S JOSÉ','SC',20968,260,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343090,6.00,6.00,2.00,6.00,10.00,12.38,1.00,4.00,5.00,303,NULL,NULL,'POMPÉIA','SANTOS','SP',3927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6343104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6343112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','S LUIZ GONZAGA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6343120,3.00,6.00,1.00,5.00,6.00,NULL,1.00,0.00,0.00,999,NULL,NULL,'CAPITAIS','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6343139,6.00,6.00,3.00,7.00,9.00,12.38,2.00,6.00,4.00,333,NULL,NULL,'AUXILIADORA','PTO ALEGRE','RS',4011,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343155,2.00,4.00,1.00,5.00,4.00,8.63,0.00,1.00,2.00,201,NULL,207,'CENTRO','MODELO','SC',17665,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6343163,4.00,4.00,3.00,5.00,7.00,11.63,2.00,5.00,5.00,426,NULL,423,'AGRONÔMICA','FLORIANÓPOLIS','SC',9379,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,238,'PRÓSPERA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6343228,5.00,5.00,2.00,2.00,5.00,7.13,0.00,3.00,1.00,207,NULL,201,'LIVRAMENTO','TURVO','SC',17551,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6343236,8.00,7.00,3.00,5.00,7.00,12.75,4.00,5.00,8.00,103,NULL,NULL,'PREDIAL','TORRES','RS',1769,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343252,5.00,7.00,3.00,5.00,8.00,7.50,2.00,5.00,3.00,425,NULL,427,'SAMBAQUI','FLORIANÓPOLIS','SC',8965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6343260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'XV DE NOVEMBRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6343279,2.00,5.00,2.00,6.00,9.00,9.38,1.00,4.00,1.00,103,NULL,NULL,'ARAPONGAL','REGISTRO','SP',11252,3746,NULL,NULL,NULL,NULL,NULL,2,8),(25,6343287,4.00,6.00,2.00,7.00,8.00,10.88,2.00,5.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6343309,4.00,3.00,1.00,2.00,2.00,NULL,0.00,0.00,2.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6343325,2.00,5.00,1.00,4.00,5.00,NULL,0.00,5.00,2.00,999,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6343333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'NOVA STETTIN','IBIRAMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6343341,4.00,4.00,0.00,5.00,6.00,5.63,2.00,4.00,2.00,211,NULL,653,'PEDRA BRANCA','PALHOÇA','SC',18630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343350,5.00,5.00,1.00,5.00,3.00,7.13,3.00,1.00,4.00,235,NULL,216,'CENTRO','GUARATUBA','PR',15964,383,NULL,525,NULL,NULL,NULL,4,8),(25,6343368,6.00,5.00,1.00,2.00,2.00,NULL,3.00,2.00,4.00,302,NULL,NULL,'CINQUENTENARIO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE NOVA','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6343392,7.00,6.00,2.00,5.00,9.00,11.63,3.00,7.00,6.00,103,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',3395,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6343406,2.00,3.00,2.00,0.00,2.00,NULL,2.00,2.00,3.00,203,NULL,208,'CENTRO','BOM JD SERRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343414,6.00,5.00,1.00,6.00,5.00,8.25,1.00,4.00,4.00,203,NULL,233,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',11147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6343422,6.00,7.00,4.00,4.00,6.00,9.38,3.00,6.00,7.00,201,NULL,601,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',4708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6343430,2.00,4.00,1.00,2.00,5.00,7.88,3.00,3.00,5.00,327,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6343449,5.00,6.00,3.00,6.00,8.00,10.88,0.00,8.00,5.00,103,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',4999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6343473,3.00,2.00,0.00,3.00,4.00,7.88,2.00,1.00,1.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',20377,570,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343490,1.00,0.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,201,NULL,215,'LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6343503,1.00,3.00,3.00,5.00,4.00,7.88,1.00,1.00,0.00,415,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',21151,335,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343511,3.00,7.00,1.00,3.00,4.00,7.13,1.00,3.00,2.00,101,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',19535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6343520,8.00,6.00,7.00,4.00,9.00,9.75,5.00,4.00,9.00,103,NULL,NULL,'VILA FANNY','CURITIBA','PR',869,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6343538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6343554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'DUQUE DE CAXIAS','S LUIZ GONZAGA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6343562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'ENGENHO NOVO','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6343570,2.00,7.00,1.00,3.00,9.00,8.25,1.00,3.00,1.00,302,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',17648,144,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343589,3.00,2.00,2.00,2.00,4.00,7.88,0.00,0.00,2.00,601,NULL,233,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6343597,2.00,3.00,1.00,3.00,7.00,NULL,2.00,1.00,1.00,5,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,2),(25,6343600,3.00,2.00,4.00,3.00,7.00,6.75,2.00,3.00,2.00,316,NULL,NULL,'CACHOEIRA DO BOM JE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343619,4.00,4.00,1.00,4.00,7.00,8.63,1.00,6.00,2.00,109,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',15893,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343627,2.00,2.00,1.00,1.00,2.00,NULL,1.00,0.00,0.00,234,NULL,NULL,'CAPELINHA','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343635,6.00,5.00,1.00,2.00,3.00,6.75,1.00,1.00,2.00,308,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',20800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6343643,3.00,5.00,0.00,1.00,3.00,6.38,1.00,1.00,2.00,9,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',21163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6343651,1.00,2.00,3.00,3.00,4.00,7.13,2.00,1.00,0.00,319,NULL,NULL,'CALHEIROS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343678,6.00,5.00,3.00,5.00,10.00,9.38,0.00,5.00,3.00,207,NULL,215,'KOBRASOL','S JOSÉ','SC',7543,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343686,1.00,2.00,3.00,2.00,3.00,10.50,2.00,4.00,1.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',18346,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6343694,1.00,3.00,0.00,2.00,5.00,6.75,0.00,0.00,0.00,203,NULL,238,'CAMPINAS','S JOSÉ','SC',21713,1173,NULL,544,NULL,NULL,NULL,4,1),(25,6343708,7.00,7.00,0.00,4.00,8.00,NULL,2.00,8.00,3.00,428,NULL,424,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MINAS CAIXA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6343740,2.00,3.00,1.00,2.00,5.00,7.13,1.00,3.00,1.00,652,NULL,655,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6343759,3.00,3.00,2.00,2.00,7.00,6.00,0.00,1.00,1.00,109,NULL,NULL,'CENTRO','PALHOÇA','SC',19244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'NOA SERTAOZINHO','SERTÃOZINHO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6343775,3.00,5.00,3.00,3.00,4.00,7.13,2.00,4.00,3.00,5,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',18072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6343791,3.00,4.00,4.00,4.00,4.00,7.88,2.00,1.00,1.00,301,NULL,NULL,'CENTRO','JOAÇABA','SC',17446,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6343805,3.00,4.00,1.00,2.00,6.00,5.63,2.00,4.00,0.00,339,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6343821,3.00,5.00,1.00,6.00,5.00,7.50,3.00,5.00,3.00,207,NULL,201,'SAO CRISTOVAO','TURVO','SC',11440,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6343830,8.00,4.00,2.00,3.00,6.00,9.38,1.00,5.00,4.00,207,NULL,201,'AGUA VERDE','CURITIBA','PR',9064,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6343848,3.00,4.00,1.00,3.00,6.00,NULL,0.00,3.00,2.00,425,NULL,429,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6343856,2.00,3.00,2.00,1.00,6.00,NULL,0.00,0.00,1.00,103,NULL,NULL,'MARATÁ','S DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6343864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'SINEBALDY','PIEDADE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6343880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'LINHA BARRO PRETO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6343899,2.00,6.00,2.00,5.00,4.00,6.38,2.00,3.00,4.00,653,NULL,601,'CENTRO','ARARANGUÁ','SC',14803,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6343902,6.00,6.00,5.00,7.00,8.00,9.38,1.00,7.00,6.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',2916,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6343937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MELHADO','ARARAQUARA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6343945,2.00,4.00,1.00,2.00,7.00,NULL,4.00,0.00,0.00,310,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6343953,6.00,7.00,4.00,4.00,9.00,9.00,4.00,6.00,5.00,203,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',3566,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343961,5.00,8.00,6.00,7.00,9.00,7.88,3.00,6.00,4.00,420,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',3006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6343970,2.00,4.00,0.00,5.00,7.00,11.25,2.00,6.00,2.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',15589,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6343988,4.00,4.00,0.00,4.00,5.00,NULL,0.00,1.00,3.00,104,NULL,NULL,'CENTRO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6344003,2.00,2.00,1.00,2.00,3.00,5.25,0.00,1.00,1.00,223,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',20791,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6344020,6.00,8.00,3.00,7.00,7.00,9.75,2.00,5.00,5.00,103,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',4802,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6344046,3.00,3.00,0.00,5.00,7.00,7.50,3.00,2.00,3.00,207,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',15733,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344054,2.00,4.00,0.00,4.00,5.00,7.88,1.00,1.00,1.00,308,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',21182,68,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344062,2.00,3.00,0.00,4.00,6.00,7.88,2.00,1.00,0.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',20792,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344070,3.00,3.00,1.00,2.00,6.00,8.63,1.00,4.00,3.00,301,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',19203,267,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA FÉ','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6344097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6344119,5.00,5.00,1.00,2.00,3.00,7.88,1.00,3.00,0.00,202,NULL,653,'RIO KUNTZ','SIDERÓPOLIS','SC',19983,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6344127,4.00,4.00,3.00,5.00,6.00,7.50,4.00,5.00,4.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344135,6.00,6.00,3.00,4.00,5.00,7.88,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344143,3.00,2.00,0.00,1.00,6.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'NOVA BRASILIA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6344160,7.00,5.00,5.00,6.00,9.00,9.75,3.00,8.00,6.00,207,NULL,201,'VILA NOVA','PTO ALEGRE','RS',2233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6344186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,202,'SANTA TEREZA','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6344194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6344208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6344216,4.00,3.00,0.00,6.00,5.00,7.50,1.00,4.00,1.00,201,NULL,238,'AREIAS','S JOSÉ','SC',19101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'VILA ROSSINI','TABATINGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6344232,4.00,3.00,5.00,4.00,5.00,7.50,3.00,3.00,1.00,453,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',16712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,655,'PEREQUE','PTO BELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6344267,5.00,6.00,0.00,5.00,8.00,8.25,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',9412,3464,NULL,NULL,NULL,NULL,NULL,4,3),(25,6344275,3.00,3.00,0.00,7.00,4.00,7.13,1.00,4.00,0.00,108,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',20250,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344283,6.00,5.00,2.00,5.00,8.00,11.25,3.00,1.00,6.00,420,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',7421,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6344291,6.00,8.00,3.00,6.00,5.00,8.63,2.00,7.00,4.00,333,NULL,NULL,'JABAQUARA','S PAULO','SP',6294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344305,2.00,5.00,2.00,3.00,5.00,5.25,1.00,2.00,2.00,423,NULL,428,'CENTRO','FLORIANÓPOLIS','SC',20895,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344313,3.00,4.00,4.00,3.00,5.00,7.13,3.00,1.00,1.00,201,NULL,216,'INTERIOR','RIO ANTAS','SC',18272,1513,NULL,578,NULL,NULL,NULL,4,7),(25,6344321,5.00,5.00,3.00,4.00,8.00,6.38,0.00,2.00,2.00,213,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344330,2.00,2.00,1.00,3.00,4.00,6.00,3.00,1.00,2.00,333,NULL,NULL,'ZONA SETE','MARINGÁ','PR',21569,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6344356,4.00,4.00,1.00,3.00,5.00,9.38,1.00,0.00,2.00,301,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',19933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344364,6.00,6.00,3.00,6.00,8.00,7.50,2.00,5.00,3.00,5,NULL,NULL,'CENTRO','FORQUILHINHA','SC',9255,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6344372,3.00,6.00,2.00,3.00,6.00,NULL,0.00,7.00,4.00,601,NULL,235,'ÁGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6344380,0.00,3.00,3.00,3.00,6.00,NULL,3.00,0.00,3.00,654,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6344399,5.00,3.00,1.00,7.00,5.00,7.13,1.00,5.00,4.00,215,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',13240,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6344402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CINQUENTENARIO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6344410,4.00,5.00,7.00,4.00,9.00,8.63,0.00,2.00,5.00,201,NULL,212,'SÃO JUDAS','BAL CAMBORIÚ','SC',8208,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6344429,6.00,6.00,1.00,3.00,5.00,NULL,1.00,0.00,1.00,302,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6344437,2.00,2.00,2.00,4.00,3.00,7.13,1.00,0.00,2.00,317,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344445,2.00,1.00,0.00,5.00,2.00,NULL,1.00,3.00,1.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344453,3.00,3.00,0.00,1.00,2.00,NULL,2.00,3.00,1.00,316,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344461,2.00,4.00,0.00,1.00,4.00,9.00,1.00,1.00,0.00,324,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344470,4.00,6.00,3.00,6.00,8.00,8.63,5.00,7.00,6.00,238,NULL,235,'CENTRO','VIDEIRA','SC',4250,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6344488,5.00,5.00,3.00,7.00,10.00,10.13,0.00,4.00,5.00,225,NULL,NULL,'MINAS BRASIL','BELO HORIZONTE','MG',6677,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6344496,3.00,5.00,1.00,3.00,3.00,NULL,0.00,0.00,2.00,551,NULL,NULL,'ESTRADA GERAL','ATALANTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6344500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6344526,7.00,7.00,6.00,4.00,9.00,8.25,3.00,7.00,9.00,103,NULL,NULL,'UNIVERSITÁRIO','GOIÂNIA','GO',1984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344534,5.00,5.00,2.00,3.00,9.00,10.13,0.00,4.00,1.00,999,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344542,8.00,5.00,4.00,6.00,8.00,8.25,5.00,6.00,7.00,201,NULL,207,'AMERICA','JOINVILLE','SC',2851,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6344550,1.00,3.00,1.00,4.00,5.00,6.00,2.00,6.00,4.00,103,NULL,NULL,'CAEIRAS DOS SACOS DO','FLORIANÓPOLIS','SC',15906,4315,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344569,2.00,3.00,2.00,4.00,6.00,10.50,1.00,3.00,0.00,109,NULL,NULL,'BARREIROS','S JOSÉ','SC',16654,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344577,9.00,7.00,7.00,7.00,9.00,12.75,4.00,8.00,9.00,103,NULL,NULL,'PASSO DA AREIA','STA MARIA','RS',158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344585,5.00,6.00,5.00,4.00,5.00,11.25,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','BOSSOROCA','RS',5793,2664,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344593,4.00,5.00,2.00,3.00,5.00,6.75,1.00,5.00,2.00,235,NULL,208,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344607,7.00,7.00,5.00,6.00,11.00,7.88,4.00,8.00,7.00,201,NULL,207,'VILA IPIRANGA','LONDRINA','PR',1333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344615,3.00,5.00,2.00,2.00,7.00,7.50,1.00,3.00,3.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',19264,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344623,1.00,5.00,1.00,2.00,0.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'COHAPAR','GUARATUBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6344631,3.00,5.00,0.00,5.00,4.00,6.75,0.00,4.00,1.00,425,NULL,427,'N S DO ROSARIO','S JOSÉ','SC',20423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344640,1.00,3.00,1.00,3.00,4.00,8.25,1.00,5.00,2.00,211,NULL,601,'GANCHOS DE FORA','GOV CELSO RAMOS','SC',19343,506,NULL,545,NULL,NULL,NULL,2,1),(25,6344658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ILHOTA','PEDRAS GRANDES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6344666,0.00,4.00,0.00,0.00,2.00,NULL,1.00,1.00,2.00,309,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344674,7.00,6.00,7.00,5.00,10.00,9.00,3.00,6.00,7.00,104,NULL,NULL,'COSTEIRA DO PIRAJUAE','FLORIANÓPOLIS','SC',2297,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344682,2.00,4.00,2.00,2.00,5.00,6.00,0.00,1.00,1.00,5,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',20176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344704,3.00,7.00,0.00,7.00,6.00,8.25,3.00,4.00,0.00,329,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344712,3.00,3.00,2.00,2.00,6.00,6.00,2.00,1.00,1.00,5,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6344720,6.00,4.00,2.00,7.00,7.00,10.50,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',10334,3602,NULL,NULL,NULL,NULL,NULL,4,5),(25,6344739,4.00,4.00,4.00,4.00,2.00,NULL,2.00,1.00,4.00,601,NULL,203,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6344747,3.00,6.00,2.00,1.00,4.00,6.75,3.00,1.00,3.00,235,NULL,213,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,NULL,'SÃO JOÃO M ESQUERDA','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6344763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6344771,6.00,6.00,3.00,3.00,8.00,8.63,2.00,3.00,5.00,102,NULL,NULL,'SORGATTO','CAÇADOR','SC',8325,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6344780,8.00,5.00,9.00,5.00,7.00,9.75,5.00,5.00,8.00,103,NULL,NULL,'CANISIANAS','IRATI','PR',971,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6344798,5.00,5.00,3.00,7.00,8.00,6.75,1.00,4.00,5.00,103,NULL,NULL,'FLORIDA','GUAÍBA','RS',6962,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6344801,3.00,6.00,0.00,5.00,8.00,NULL,2.00,3.00,2.00,999,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344810,5.00,4.00,4.00,4.00,6.00,7.50,2.00,4.00,1.00,655,NULL,652,'MATO ALTO','ARARANGUÁ','SC',13443,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6344828,5.00,5.00,3.00,6.00,7.00,7.50,0.00,4.00,3.00,999,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344844,3.00,2.00,1.00,3.00,2.00,NULL,1.00,0.00,3.00,201,NULL,212,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344852,4.00,5.00,0.00,3.00,5.00,NULL,2.00,2.00,0.00,415,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6344860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MASCOTE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6344879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(25,6344887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA MARIA','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6344917,4.00,5.00,3.00,4.00,6.00,7.88,1.00,1.00,2.00,212,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',15668,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6344933,4.00,6.00,2.00,5.00,4.00,7.88,0.00,4.00,2.00,103,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',12927,3985,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344941,3.00,4.00,2.00,2.00,5.00,7.13,2.00,4.00,1.00,207,NULL,238,'PACHECOS','PALHOÇA','SC',19891,1086,NULL,475,NULL,NULL,NULL,2,1),(25,6344950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'IMARUÍ','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6344968,1.00,6.00,3.00,1.00,4.00,7.13,1.00,0.00,1.00,203,NULL,202,'DEHON','TUBARÃO','SC',20903,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6344984,6.00,6.00,3.00,5.00,8.00,8.25,3.00,2.00,5.00,211,NULL,235,'AGRONOMICA','FLORIANÓPOLIS','SC',7991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6344992,5.00,0.00,2.00,4.00,2.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6345000,2.00,4.00,2.00,1.00,2.00,NULL,2.00,0.00,3.00,601,NULL,201,'VIEIRAS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6345018,2.00,5.00,0.00,5.00,6.00,NULL,2.00,1.00,0.00,426,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345026,4.00,5.00,2.00,5.00,5.00,9.38,1.00,7.00,3.00,5,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',11768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345042,6.00,6.00,3.00,4.00,9.00,7.13,1.00,7.00,5.00,104,NULL,NULL,'CENTRO','IMBITUBA','SC',6574,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6345069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6345085,2.00,3.00,1.00,3.00,6.00,5.63,1.00,1.00,1.00,9,NULL,NULL,'SAO LUIZ','S JOSÉ','SC',21213,164,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345093,4.00,4.00,2.00,5.00,7.00,8.25,1.00,3.00,2.00,203,NULL,NULL,'SANTA ANA','FORQUILHINHA','SC',16302,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6345107,3.00,5.00,3.00,3.00,6.00,6.75,1.00,2.00,1.00,655,NULL,653,'SOCOPAS','BAL ARROIO SILVA','SC',20001,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6345115,4.00,5.00,2.00,2.00,7.00,9.75,1.00,8.00,3.00,326,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',11165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345123,2.00,7.00,0.00,4.00,4.00,8.63,2.00,2.00,1.00,601,NULL,235,'CENTRO','ÁGUA DOCE','SC',17339,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6345131,3.00,3.00,0.00,3.00,6.00,8.63,1.00,1.00,2.00,102,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6345140,4.00,2.00,3.00,4.00,6.00,NULL,0.00,0.00,1.00,654,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6345158,3.00,6.00,4.00,4.00,6.00,10.50,0.00,5.00,1.00,109,NULL,NULL,'ANA MARIA','CRICIÚMA','SC',13718,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6345174,8.00,7.00,7.00,7.00,10.00,10.88,4.00,8.00,7.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345182,7.00,4.00,3.00,5.00,7.00,7.13,3.00,5.00,4.00,201,NULL,601,'COQUEIROS','FLORIANÓPOLIS','SC',8451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345190,2.00,4.00,1.00,0.00,3.00,NULL,3.00,2.00,0.00,404,NULL,NULL,'MARGEM ESQUERDA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6345204,2.00,6.00,1.00,5.00,7.00,9.00,1.00,4.00,4.00,450,NULL,NULL,'JD BOM TEMPO','TABOÃO SERRA','SP',12833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345212,6.00,4.00,0.00,5.00,7.00,7.50,1.00,1.00,4.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14776,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345220,1.00,1.00,2.00,2.00,5.00,3.38,0.00,4.00,0.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345239,3.00,2.00,3.00,3.00,2.00,NULL,2.00,2.00,0.00,404,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345247,6.00,7.00,5.00,6.00,10.00,9.00,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',3480,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6345255,2.00,4.00,0.00,5.00,5.00,9.38,3.00,2.00,2.00,453,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345271,4.00,6.00,2.00,5.00,7.00,6.00,1.00,5.00,3.00,317,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',14600,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6345298,2.00,3.00,2.00,3.00,6.00,8.25,1.00,0.00,1.00,340,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',19181,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345301,2.00,6.00,2.00,2.00,3.00,6.75,2.00,4.00,1.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18385,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345310,6.00,6.00,5.00,7.00,8.00,10.50,4.00,5.00,5.00,220,NULL,208,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',2874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345328,5.00,6.00,4.00,5.00,10.00,10.50,3.00,7.00,4.00,310,NULL,NULL,'STO ANTÔNIO','FLORIANÓPOLIS','SC',4313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345336,1.00,3.00,2.00,3.00,6.00,7.13,2.00,5.00,2.00,301,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345344,1.00,3.00,2.00,2.00,3.00,NULL,2.00,0.00,1.00,308,NULL,NULL,'JARDIM MANAUS','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6345352,7.00,6.00,4.00,4.00,7.00,9.38,2.00,0.00,7.00,216,NULL,215,'BOM FIM','PTO ALEGRE','RS',6261,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6345360,4.00,5.00,0.00,3.00,5.00,NULL,1.00,5.00,1.00,503,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ITU SABARA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6345387,4.00,4.00,6.00,6.00,7.00,NULL,0.00,6.00,6.00,333,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345395,5.00,5.00,1.00,4.00,7.00,8.63,2.00,3.00,1.00,102,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',13848,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6345409,1.00,0.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6345417,3.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6345425,3.00,3.00,0.00,3.00,6.00,NULL,2.00,5.00,0.00,652,NULL,655,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6345433,8.00,5.00,5.00,3.00,5.00,2.25,1.00,2.00,5.00,999,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345441,2.00,3.00,2.00,3.00,4.00,7.88,1.00,1.00,1.00,404,NULL,NULL,'DOS MUNICÍPIOS','BAL CAMBORIÚ','SC',21106,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6345476,6.00,5.00,3.00,5.00,6.00,4.50,2.00,8.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345484,7.00,6.00,8.00,7.00,9.00,12.00,5.00,7.00,6.00,201,NULL,211,'CENTRO','BRUSQUE','SC',344,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6345492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'INTERIOR','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6345506,4.00,5.00,0.00,3.00,6.00,5.25,1.00,0.00,0.00,551,NULL,NULL,'GASPAR GRANDE','GASPAR','SC',20986,68,NULL,NULL,NULL,NULL,NULL,2,3),(25,6345514,2.00,7.00,3.00,3.00,7.00,8.25,2.00,7.00,2.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10048,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,207,'CENTRO','PIRATUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6345530,2.00,5.00,2.00,2.00,7.00,8.63,1.00,4.00,2.00,320,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',17223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345549,1.00,3.00,2.00,2.00,5.00,5.25,1.00,2.00,1.00,303,NULL,NULL,'CENTRO','QUEDAS IGUAÇU','PR',20723,855,NULL,NULL,NULL,NULL,NULL,2,8),(25,6345557,1.00,6.00,1.00,2.00,3.00,7.88,1.00,1.00,2.00,211,NULL,NULL,'CAMPINAS','S JOSÉ','SC',21272,564,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LOMBA GRANDE','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6345573,5.00,5.00,2.00,5.00,10.00,8.25,0.00,6.00,5.00,103,NULL,NULL,'BOM RETIRO','S PAULO','SP',7493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345581,1.00,2.00,1.00,0.00,2.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345603,2.00,3.00,3.00,7.00,7.00,9.75,0.00,3.00,4.00,109,NULL,NULL,'BELA VISTA III','S JOSÉ','SC',14770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6345620,6.00,5.00,0.00,6.00,7.00,NULL,0.00,6.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6345638,3.00,4.00,1.00,3.00,2.00,NULL,0.00,2.00,0.00,428,NULL,423,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6345654,8.00,8.00,6.00,6.00,9.00,10.50,4.00,6.00,9.00,103,NULL,NULL,'DOS ESTADOS','GUARAPUAVA','PR',724,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6345662,6.00,6.00,7.00,4.00,10.00,9.75,3.00,6.00,8.00,216,NULL,215,'CENTRO','CPO MOURÃO','PR',1874,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6345670,1.00,2.00,1.00,5.00,3.00,6.00,2.00,1.00,1.00,234,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',21622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345689,7.00,7.00,3.00,6.00,9.00,10.88,2.00,6.00,5.00,207,NULL,213,'CACUPÉ','FLORIANÓPOLIS','SC',3578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345697,2.00,2.00,0.00,4.00,4.00,7.13,3.00,1.00,1.00,101,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',19464,143,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345700,6.00,6.00,1.00,7.00,6.00,9.38,1.00,2.00,2.00,601,NULL,201,'CENTRO','ITAPEMA','SC',13449,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6345719,2.00,5.00,4.00,3.00,8.00,6.38,0.00,2.00,1.00,207,NULL,238,'UNIVERSITÁRIO','CHAPECÓ','SC',17265,918,NULL,395,NULL,NULL,NULL,4,4),(25,6345727,2.00,3.00,0.00,1.00,5.00,8.25,1.00,0.00,0.00,452,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345735,7.00,6.00,3.00,5.00,7.00,8.63,2.00,4.00,4.00,317,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',9239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345743,3.00,7.00,3.00,4.00,8.00,7.50,2.00,3.00,0.00,110,NULL,NULL,'JD CARANDAÍ','BIGUAÇU','SC',15954,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345751,7.00,6.00,1.00,5.00,8.00,8.63,1.00,4.00,7.00,214,NULL,212,'CAMBUCI','S PAULO','SP',6734,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6345760,3.00,3.00,0.00,3.00,8.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'MORRO DO FABRICIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345786,7.00,7.00,3.00,6.00,9.00,8.25,1.00,7.00,4.00,340,NULL,NULL,'CENTRO','CASCAVEL','PR',5212,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6345794,2.00,3.00,2.00,1.00,3.00,5.25,0.00,1.00,2.00,207,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'SÃO DIMAS','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6345824,1.00,3.00,2.00,4.00,6.00,7.50,0.00,3.00,1.00,999,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6345840,6.00,4.00,6.00,6.00,7.00,8.25,4.00,5.00,6.00,208,NULL,655,'PARQUE RESID JULIA','S PAULO','SP',4584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345859,3.00,4.00,2.00,3.00,7.00,4.50,1.00,5.00,1.00,319,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',19441,409,NULL,NULL,NULL,NULL,NULL,3,1),(25,6345867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SITIO','VERA C OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6345875,2.00,3.00,3.00,3.00,2.00,NULL,1.00,1.00,1.00,326,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345883,5.00,5.00,2.00,6.00,8.00,8.25,2.00,3.00,0.00,340,NULL,NULL,'CENTRO','JOAÇABA','SC',13867,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6345891,6.00,6.00,3.00,6.00,8.00,9.38,2.00,3.00,7.00,103,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',5312,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6345905,3.00,2.00,2.00,4.00,8.00,9.38,0.00,3.00,2.00,308,NULL,NULL,'CENTRO','PATO BRANCO','PR',13967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345913,8.00,7.00,8.00,6.00,10.00,10.13,6.00,9.00,8.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',87,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345930,3.00,2.00,1.00,2.00,6.00,6.00,3.00,0.00,0.00,655,NULL,652,'MORRO DOS CONVENTOS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6345948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6345956,3.00,5.00,3.00,6.00,6.00,9.75,2.00,2.00,3.00,201,NULL,212,'CAMPINAS','S JOSÉ','SC',9717,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345964,1.00,1.00,1.00,1.00,7.00,7.88,0.00,3.00,3.00,601,NULL,233,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6345972,7.00,7.00,2.00,6.00,9.00,10.50,3.00,7.00,6.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',2748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6345999,3.00,6.00,1.00,5.00,7.00,NULL,0.00,4.00,3.00,207,NULL,201,'CENTRO','LONTRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6346014,9.00,6.00,4.00,7.00,9.00,10.13,2.00,8.00,6.00,103,NULL,NULL,'PITUBA','SALVADOR','BA',2411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346022,2.00,3.00,2.00,6.00,5.00,7.50,2.00,2.00,3.00,208,NULL,238,'CENTRO','IÇARA','SC',19200,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6346030,7.00,7.00,7.00,5.00,7.00,9.75,3.00,6.00,8.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',1244,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6346049,7.00,6.00,1.00,5.00,7.00,6.75,3.00,4.00,4.00,103,NULL,NULL,'LOMBA','ORLEANS','SC',8702,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6346065,3.00,2.00,4.00,4.00,5.00,6.75,3.00,4.00,2.00,238,NULL,208,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346081,5.00,7.00,1.00,6.00,6.00,6.38,1.00,8.00,7.00,216,NULL,214,'CENTRO','BRUSQUE','SC',6126,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6346090,5.00,3.00,1.00,3.00,3.00,8.63,2.00,0.00,1.00,104,NULL,NULL,'BELA VISTA','S JOSÉ','SC',19458,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346103,3.00,4.00,1.00,1.00,7.00,9.00,2.00,3.00,5.00,999,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6346111,5.00,4.00,5.00,5.00,6.00,9.00,0.00,4.00,3.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',9616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'SÃO DOMINGOS','MOCOCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6346138,2.00,3.00,1.00,2.00,4.00,4.88,2.00,2.00,2.00,110,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',20732,142,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346154,2.00,5.00,5.00,3.00,5.00,8.25,2.00,3.00,2.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6346170,4.00,5.00,1.00,6.00,9.00,8.25,1.00,3.00,2.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',15144,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6346189,3.00,3.00,3.00,2.00,5.00,7.88,2.00,0.00,1.00,999,NULL,NULL,'TABULEIRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6346197,5.00,2.00,1.00,4.00,6.00,7.50,0.00,4.00,3.00,999,NULL,NULL,'INDEPENDENCIA','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6346200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,601,'VILA CORALINA','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6346235,2.00,2.00,2.00,2.00,3.00,NULL,1.00,3.00,0.00,201,NULL,203,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346243,3.00,3.00,1.00,0.00,4.00,NULL,1.00,0.00,1.00,207,NULL,211,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346251,8.00,6.00,0.00,5.00,7.00,9.00,0.00,2.00,7.00,102,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9133,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6346260,3.00,7.00,2.00,7.00,8.00,6.38,2.00,3.00,5.00,303,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',11973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346278,4.00,4.00,1.00,3.00,5.00,8.63,0.00,5.00,2.00,104,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',15502,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346286,8.00,5.00,4.00,6.00,8.00,9.00,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','ROLÂNDIA','PR',2630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346294,7.00,7.00,1.00,6.00,8.00,9.38,2.00,7.00,4.00,103,NULL,NULL,'SANTANA','GUARAPUAVA','PR',4259,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6346308,5.00,4.00,4.00,4.00,5.00,5.25,3.00,4.00,5.00,203,NULL,214,'CORREGO GRANDE','FLORIANÓPOLIS','SC',11070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346316,5.00,4.00,3.00,3.00,7.00,6.00,0.00,5.00,3.00,216,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',12436,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6346332,5.00,8.00,6.00,6.00,10.00,9.38,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',2508,1503,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346340,8.00,0.00,5.00,6.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA CONGONHAS','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6346359,5.00,4.00,2.00,4.00,7.00,10.50,4.00,5.00,6.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',5945,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6346367,4.00,4.00,2.00,4.00,6.00,8.63,1.00,3.00,2.00,999,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346375,4.00,5.00,1.00,5.00,8.00,7.50,1.00,2.00,1.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6346391,3.00,2.00,0.00,2.00,5.00,5.25,2.00,1.00,2.00,655,NULL,208,'LIVRAMENTO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6346405,4.00,3.00,1.00,1.00,3.00,5.63,1.00,0.00,0.00,301,NULL,NULL,'MONTE CRSTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346413,1.00,4.00,1.00,2.00,4.00,7.50,0.00,2.00,1.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346421,1.00,6.00,0.00,2.00,2.00,NULL,0.00,5.00,2.00,103,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346430,5.00,5.00,4.00,1.00,7.00,7.88,2.00,6.00,7.00,216,NULL,201,'BELA VISTA','GOIÂNIA','GO',6936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346448,5.00,5.00,2.00,3.00,7.00,9.38,1.00,1.00,2.00,304,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14346,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346456,5.00,1.00,0.00,5.00,6.00,7.13,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346464,2.00,4.00,1.00,3.00,3.00,7.50,0.00,2.00,3.00,601,NULL,NULL,'ACARAI','S FRANCISCO SUL','SC',20848,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6346480,6.00,7.00,0.00,4.00,9.00,10.13,2.00,6.00,7.00,331,NULL,NULL,'GUIOMAR DE FORA','ANTÔNIO CARLOS','SC',4844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346499,5.00,4.00,3.00,2.00,7.00,7.88,1.00,4.00,4.00,238,NULL,233,'VENDAVAL','BIGUAÇU','SC',12504,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PACAEMBU','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6346510,6.00,6.00,5.00,6.00,11.00,9.00,5.00,6.00,8.00,103,NULL,NULL,'SANTO ANTÔNIO','PTO ALEGRE','RS',720,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6346529,2.00,1.00,1.00,4.00,6.00,6.38,2.00,0.00,2.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',21352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346537,3.00,2.00,2.00,7.00,7.00,11.25,2.00,0.00,2.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346545,4.00,4.00,0.00,4.00,6.00,10.13,2.00,1.00,3.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346553,2.00,3.00,1.00,4.00,6.00,7.13,2.00,4.00,1.00,212,NULL,211,'LIRI','IÇARA','SC',20467,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6346570,3.00,5.00,1.00,1.00,6.00,9.75,2.00,1.00,1.00,104,NULL,NULL,'APARECIDA','ALFENAS','MG',19789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346588,2.00,5.00,3.00,5.00,8.00,10.50,2.00,4.00,3.00,453,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346600,4.00,7.00,2.00,2.00,7.00,10.88,1.00,5.00,4.00,999,NULL,NULL,'ALTO RIO FARIAS','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346618,6.00,5.00,3.00,7.00,8.00,12.00,2.00,7.00,5.00,102,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',3122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346626,4.00,6.00,1.00,7.00,9.00,7.50,1.00,3.00,3.00,207,NULL,211,'VILA NOVA','JARAGUÁ SUL','SC',13250,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6346634,1.00,2.00,3.00,3.00,8.00,6.00,3.00,5.00,1.00,109,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',16264,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346642,3.00,5.00,3.00,4.00,6.00,7.88,2.00,4.00,2.00,238,NULL,203,'CAMPECHE','FLORIANÓPOLIS','SC',16009,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346650,2.00,4.00,1.00,2.00,2.00,NULL,2.00,2.00,3.00,329,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346669,5.00,5.00,2.00,4.00,6.00,8.63,1.00,7.00,5.00,316,NULL,NULL,'BAREIROS','S JOSÉ','SC',9833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346677,2.00,2.00,2.00,4.00,5.00,8.63,2.00,2.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346685,6.00,5.00,6.00,6.00,8.00,9.38,4.00,6.00,8.00,220,NULL,202,'V MONTEIRO','ITAPETININGA','SP',2124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'PRESIDENTE MÉDICE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6346715,2.00,3.00,1.00,5.00,5.00,7.88,3.00,3.00,4.00,302,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',16022,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346723,6.00,6.00,3.00,5.00,10.00,10.13,3.00,6.00,7.00,340,NULL,NULL,'IPANEMA','ARAÇATUBA','SP',2903,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6346731,4.00,2.00,0.00,4.00,5.00,8.25,2.00,1.00,2.00,108,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346740,4.00,2.00,2.00,3.00,5.00,7.88,1.00,3.00,1.00,452,NULL,NULL,'VILA NOVA','MAFRA','SC',18018,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346758,5.00,7.00,2.00,3.00,7.00,7.50,1.00,4.00,5.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',9850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346766,2.00,4.00,3.00,0.00,6.00,NULL,0.00,0.00,2.00,333,NULL,NULL,'COLONIA TAQUARAL','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6346774,2.00,3.00,2.00,5.00,7.00,9.00,1.00,3.00,2.00,207,NULL,215,'GUARANI','BRUSQUE','SC',14678,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6346782,1.00,3.00,3.00,4.00,3.00,9.00,1.00,3.00,0.00,333,NULL,NULL,'ATLÂNTIDA','XANGRI-LÁ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346790,3.00,4.00,0.00,0.00,4.00,6.00,3.00,0.00,0.00,333,NULL,NULL,'VILA BUASKI','S MATEUS SUL','PR',21129,173,NULL,NULL,NULL,NULL,NULL,4,17),(25,6346804,5.00,4.00,2.00,5.00,7.00,7.50,0.00,2.00,6.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15121,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346812,3.00,5.00,4.00,3.00,5.00,6.38,2.00,3.00,5.00,655,NULL,NULL,'CENTRO','ARROIO SAL','RS',13314,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6346820,1.00,4.00,0.00,1.00,5.00,5.25,0.00,1.00,0.00,319,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346839,4.00,5.00,2.00,7.00,5.00,8.25,3.00,8.00,2.00,601,NULL,214,'INGLESES','FLORIANÓPOLIS','SC',10166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346855,5.00,7.00,2.00,7.00,10.00,10.88,3.00,6.00,3.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346863,4.00,4.00,1.00,2.00,3.00,6.75,2.00,6.00,3.00,317,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346871,1.00,4.00,3.00,3.00,7.00,6.00,3.00,3.00,3.00,333,NULL,NULL,'NAÇÕES','INDAIAL','SC',16698,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6346880,2.00,4.00,1.00,2.00,4.00,8.63,0.00,2.00,0.00,551,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',19829,52,NULL,NULL,NULL,NULL,NULL,4,16),(25,6346898,3.00,5.00,3.00,4.00,5.00,6.75,1.00,4.00,3.00,220,NULL,235,'PASSO DOS FORTES','CHAPECÓ','SC',18020,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6346901,5.00,8.00,1.00,5.00,8.00,11.25,2.00,5.00,1.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346910,3.00,5.00,1.00,3.00,5.00,7.50,3.00,3.00,1.00,203,NULL,214,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',15272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346928,1.00,1.00,3.00,1.00,2.00,NULL,5.00,0.00,1.00,316,NULL,NULL,'MADRI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346936,2.00,3.00,2.00,6.00,7.00,9.75,3.00,2.00,2.00,503,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346944,5.00,5.00,2.00,7.00,9.00,9.75,3.00,7.00,5.00,340,NULL,NULL,'CENTRO','STA MARIA','RS',4580,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346952,6.00,3.00,1.00,5.00,6.00,10.50,2.00,2.00,3.00,110,NULL,NULL,'BARREIROS','S JOSÉ','SC',15086,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6346960,2.00,4.00,2.00,2.00,4.00,NULL,0.00,2.00,1.00,304,NULL,NULL,'CONDEU','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6346979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6346987,5.00,5.00,3.00,1.00,7.00,7.88,3.00,5.00,2.00,207,NULL,215,'CHACARA PRIMAVERA','CAMPINAS','SP',10908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6346995,2.00,5.00,2.00,4.00,4.00,8.25,1.00,3.00,2.00,201,NULL,207,'LARANJEIRAS','RIO SUL','SC',16089,1366,NULL,865,NULL,NULL,NULL,2,2),(25,6347002,3.00,4.00,4.00,6.00,5.00,7.13,2.00,5.00,3.00,652,NULL,208,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6347029,1.00,7.00,1.00,5.00,6.00,NULL,0.00,3.00,2.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347037,3.00,3.00,1.00,3.00,5.00,NULL,1.00,0.00,1.00,9,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6347045,4.00,5.00,2.00,7.00,8.00,10.50,2.00,3.00,2.00,999,NULL,NULL,'REAL PARK','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6347061,3.00,5.00,3.00,5.00,5.00,8.25,2.00,4.00,2.00,501,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6347070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6347088,3.00,5.00,1.00,5.00,7.00,9.00,2.00,2.00,2.00,5,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6347100,2.00,2.00,2.00,2.00,6.00,6.75,1.00,1.00,2.00,428,NULL,426,'FLORESTA','S JOSÉ','SC',20610,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6347118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'VIVENDAS DO BOSQUE','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6347126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6347142,2.00,3.00,0.00,4.00,5.00,6.75,2.00,1.00,2.00,9,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',21265,166,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347169,5.00,7.00,2.00,5.00,9.00,11.25,2.00,5.00,2.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',6399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347177,4.00,4.00,1.00,3.00,5.00,10.50,2.00,3.00,2.00,999,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347185,3.00,3.00,1.00,3.00,7.00,9.75,0.00,3.00,1.00,318,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347193,3.00,4.00,1.00,1.00,7.00,7.88,2.00,4.00,1.00,207,NULL,NULL,'PRAIA ALEGRE','PENHA','SC',20563,1121,NULL,NULL,NULL,NULL,NULL,4,6),(25,6347207,6.00,7.00,2.00,6.00,9.00,8.25,4.00,5.00,6.00,202,NULL,208,'CAMPINAS','S JOSÉ','SC',4591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347215,3.00,3.00,3.00,4.00,3.00,8.25,2.00,2.00,4.00,212,NULL,201,'GLEBA PALHANO','LONDRINA','PR',18105,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6347231,3.00,2.00,1.00,1.00,4.00,9.00,1.00,1.00,1.00,451,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',21452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6347240,6.00,6.00,3.00,5.00,7.00,8.63,2.00,6.00,5.00,999,NULL,NULL,'CENTRO','GR PARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6347258,6.00,6.00,4.00,6.00,8.00,5.25,1.00,3.00,8.00,103,NULL,NULL,'JDIM DAS HORTÊNSIAS','FRAIBURGO','SC',6106,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6347266,3.00,3.00,1.00,4.00,7.00,6.75,2.00,3.00,4.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6347282,5.00,5.00,5.00,6.00,7.00,6.00,1.00,7.00,3.00,203,NULL,202,'OURO BRANCO','PARANAVAÍ','PR',6946,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6347290,8.00,7.00,3.00,6.00,9.00,11.25,1.00,7.00,7.00,303,NULL,NULL,'N SRA DAS GRAÇAS','CAXIAS SUL','RS',1584,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6347304,5.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,501,NULL,NULL,'ROÇADO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6347312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6347320,1.00,4.00,1.00,3.00,7.00,7.88,2.00,4.00,2.00,551,NULL,NULL,'BOM JESUS','ITAIÓPOLIS','SC',19265,43,NULL,NULL,NULL,NULL,NULL,2,17),(25,6347339,1.00,1.00,3.00,3.00,4.00,7.13,2.00,0.00,1.00,999,NULL,NULL,'GUIOMAR','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347347,3.00,2.00,0.00,3.00,6.00,NULL,1.00,5.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347355,3.00,6.00,4.00,5.00,7.00,8.25,2.00,6.00,4.00,503,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',9655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347363,2.00,3.00,1.00,6.00,6.00,7.50,2.00,2.00,1.00,415,NULL,NULL,'INDUSTRIAL','SALTO VELOSO','SC',18012,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(25,6347371,7.00,6.00,4.00,5.00,8.00,8.25,1.00,6.00,6.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',5360,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6347380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6347398,4.00,6.00,3.00,7.00,8.00,10.13,0.00,5.00,2.00,201,NULL,212,'PETRÓPOLIS','PTO ALEGRE','RS',7397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6347410,4.00,4.00,3.00,3.00,6.00,9.00,0.00,5.00,2.00,444,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',13407,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6347428,3.00,5.00,3.00,1.00,7.00,7.88,3.00,1.00,2.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',17901,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6347436,2.00,3.00,3.00,1.00,3.00,NULL,0.00,0.00,2.00,501,NULL,NULL,'CENTRO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6347444,6.00,5.00,4.00,4.00,6.00,10.50,1.00,6.00,4.00,302,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',7525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347452,5.00,7.00,3.00,3.00,5.00,8.63,1.00,4.00,4.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',12801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347460,3.00,4.00,4.00,5.00,4.00,9.00,2.00,3.00,2.00,207,NULL,238,'UNIVERSITÁRIO','TIJUCAS','SC',13633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347479,2.00,3.00,0.00,1.00,5.00,7.50,1.00,1.00,0.00,425,NULL,421,'BARRA DO ARIRIÚ','PALHOÇA','SC',21702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347487,4.00,5.00,3.00,3.00,10.00,8.63,2.00,5.00,6.00,211,NULL,212,'ITAIGARA','SALVADOR','BA',7349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347495,4.00,5.00,3.00,6.00,8.00,9.75,1.00,5.00,4.00,207,NULL,653,'CRUZEIRO DO SUL','CRICIÚMA','SC',8611,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6347509,6.00,7.00,4.00,7.00,5.00,6.75,0.00,6.00,4.00,316,NULL,NULL,'CENTRO','TIJUCAS','SC',8083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'CENTRO','PETROLÂNDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6347525,7.00,6.00,3.00,7.00,11.00,7.50,4.00,5.00,5.00,203,NULL,201,'RIO VERMELHO','FLORIANÓPOLIS','SC',3682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347533,2.00,4.00,1.00,3.00,5.00,6.75,2.00,1.00,0.00,655,NULL,652,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',20313,140,NULL,93,NULL,NULL,NULL,2,15),(25,6347541,7.00,5.00,3.00,6.00,8.00,10.88,2.00,6.00,6.00,103,NULL,NULL,'PASSO DA AREIA','PTO ALEGRE','RS',6103,2730,NULL,NULL,NULL,NULL,NULL,2,1),(25,6347550,3.00,5.00,3.00,3.00,5.00,NULL,0.00,4.00,1.00,238,NULL,655,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6347568,5.00,4.00,5.00,7.00,7.00,NULL,0.00,1.00,1.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347584,3.00,5.00,2.00,2.00,5.00,8.25,2.00,5.00,3.00,215,NULL,213,'CAPOEIRAS','FLORIANÓPOLIS','SC',17689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347592,4.00,5.00,2.00,8.00,7.00,9.38,2.00,5.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347614,4.00,5.00,2.00,4.00,7.00,8.25,5.00,6.00,4.00,999,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347622,2.00,2.00,3.00,4.00,2.00,NULL,3.00,4.00,2.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6347630,4.00,4.00,2.00,5.00,8.00,7.88,1.00,3.00,3.00,207,NULL,211,'COLONINHA','FLORIANÓPOLIS','SC',11899,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6347649,3.00,8.00,1.00,4.00,6.00,8.63,2.00,3.00,1.00,310,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17742,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6347657,3.00,3.00,0.00,2.00,6.00,NULL,1.00,1.00,2.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6347665,1.00,4.00,0.00,1.00,5.00,7.50,3.00,0.00,1.00,316,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',19855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347673,4.00,4.00,0.00,2.00,8.00,8.63,0.00,3.00,3.00,309,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',15868,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6347681,1.00,4.00,2.00,5.00,8.00,10.50,1.00,4.00,1.00,102,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13163,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6347690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6347703,2.00,3.00,0.00,1.00,2.00,NULL,3.00,1.00,1.00,654,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6347711,3.00,6.00,1.00,3.00,7.00,7.50,2.00,2.00,3.00,999,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347720,1.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOOCA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(25,6347738,2.00,4.00,2.00,3.00,4.00,8.25,0.00,4.00,2.00,404,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347746,2.00,6.00,2.00,6.00,7.00,11.25,0.00,6.00,3.00,332,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',9580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6347762,8.00,7.00,4.00,7.00,8.00,12.00,4.00,7.00,8.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',777,536,NULL,NULL,NULL,NULL,NULL,2,15),(25,6347770,6.00,5.00,2.00,4.00,7.00,11.63,2.00,2.00,5.00,211,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',9329,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6347797,4.00,4.00,2.00,1.00,6.00,6.00,2.00,4.00,1.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347800,4.00,5.00,4.00,1.00,5.00,6.75,1.00,5.00,6.00,201,NULL,203,'AGOSTINI','S MIGUEL OESTE','SC',14990,1273,NULL,927,NULL,NULL,NULL,4,4),(25,6347819,4.00,5.00,4.00,6.00,5.00,9.00,2.00,5.00,4.00,503,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347827,1.00,3.00,2.00,2.00,4.00,6.00,3.00,2.00,3.00,207,NULL,201,'CARIANOS','FLORIANÓPOLIS','SC',19455,1059,NULL,1598,NULL,NULL,NULL,4,1),(25,6347835,5.00,5.00,3.00,6.00,8.00,NULL,0.00,1.00,4.00,316,NULL,NULL,'CANTA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6347843,3.00,4.00,6.00,7.00,5.00,9.00,1.00,6.00,6.00,999,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6347851,5.00,5.00,2.00,7.00,7.00,7.50,1.00,4.00,6.00,214,NULL,213,'FIGUEIRA','URUSSANGA','SC',7928,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6347894,1.00,2.00,0.00,2.00,4.00,6.75,1.00,1.00,3.00,404,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',20887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6347908,4.00,5.00,1.00,3.00,5.00,6.75,4.00,4.00,4.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6347916,3.00,3.00,2.00,4.00,3.00,7.50,3.00,2.00,2.00,202,NULL,213,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6347924,3.00,5.00,2.00,5.00,7.00,9.00,2.00,1.00,3.00,309,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6347932,4.00,3.00,3.00,1.00,5.00,6.38,0.00,3.00,3.00,9,NULL,NULL,'KOBRASOL','S JOSÉ','SC',18717,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6347959,2.00,3.00,1.00,3.00,4.00,5.63,3.00,0.00,1.00,453,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6347967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'CENTRO','MTE CASTELO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6347975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,601,'EFAPI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6347983,5.00,2.00,3.00,5.00,8.00,NULL,0.00,3.00,1.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6348009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6348017,9.00,7.00,2.00,7.00,10.00,11.63,2.00,8.00,8.00,216,NULL,211,'HUMAITÁ','TUBARÃO','SC',917,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6348025,5.00,5.00,2.00,2.00,6.00,6.75,1.00,0.00,5.00,3,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',15794,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348033,3.00,4.00,3.00,7.00,9.00,7.88,3.00,5.00,4.00,216,NULL,233,'CENTRO','CRICIÚMA','SC',7785,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6348050,3.00,4.00,2.00,3.00,6.00,8.63,3.00,4.00,4.00,999,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348084,5.00,6.00,1.00,2.00,7.00,NULL,0.00,0.00,3.00,207,NULL,201,'VILA ITOUPAVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6348092,7.00,6.00,4.00,6.00,9.00,8.25,2.00,3.00,4.00,102,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',5898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6348106,1.00,3.00,1.00,2.00,2.00,NULL,1.00,4.00,3.00,216,NULL,213,'CENTRO','GOIOERÊ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348114,0.00,0.00,1.00,3.00,6.00,6.75,1.00,0.00,0.00,110,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',21766,152,NULL,NULL,NULL,NULL,NULL,2,1),(25,6348122,6.00,6.00,3.00,5.00,8.00,6.75,1.00,4.00,4.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',9750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348130,0.00,1.00,0.00,2.00,2.00,NULL,1.00,2.00,0.00,420,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348149,6.00,7.00,0.00,7.00,6.00,12.00,4.00,6.00,4.00,103,NULL,NULL,'DAMHA','PRES PRUDENTE','SP',5736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348157,6.00,6.00,5.00,6.00,7.00,7.13,4.00,4.00,6.00,653,NULL,211,'CENTRO','CRICIÚMA','SC',6913,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6348165,4.00,3.00,0.00,3.00,5.00,NULL,2.00,2.00,3.00,211,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6348173,5.00,7.00,1.00,3.00,9.00,6.38,3.00,7.00,3.00,205,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',9786,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6348181,3.00,4.00,2.00,5.00,4.00,6.38,2.00,2.00,5.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',16389,159,NULL,NULL,NULL,NULL,NULL,2,1),(25,6348190,3.00,4.00,3.00,2.00,7.00,10.88,2.00,4.00,4.00,2,NULL,NULL,'ITAPEMA DO NORTE','ITAPOÁ','SC',10979,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6348203,2.00,5.00,1.00,5.00,4.00,7.13,1.00,2.00,1.00,999,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6348211,3.00,4.00,3.00,4.00,6.00,7.88,0.00,1.00,3.00,340,NULL,NULL,'JARDIM COQUEIRO','PALHOÇA','SC',17997,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6348220,3.00,3.00,3.00,1.00,9.00,6.38,2.00,5.00,2.00,202,NULL,201,'CENTRO','LAURENTINO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6348238,2.00,4.00,0.00,6.00,5.00,NULL,3.00,0.00,1.00,238,NULL,NULL,'SANTA MARIA GORETTI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348246,2.00,5.00,1.00,4.00,6.00,9.75,1.00,4.00,1.00,103,NULL,NULL,'LAPA','S PAULO','SP',16225,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6348254,5.00,5.00,2.00,3.00,3.00,9.75,2.00,4.00,0.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15650,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6348270,7.00,6.00,2.00,6.00,10.00,8.25,1.00,7.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6968,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6348289,4.00,4.00,0.00,6.00,6.00,5.63,2.00,2.00,2.00,208,NULL,NULL,'BRUSQUE','LAGES','SC',19414,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6348297,7.00,8.00,1.00,7.00,8.00,12.38,3.00,9.00,7.00,303,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',1102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348300,3.00,4.00,1.00,7.00,7.00,NULL,0.00,3.00,2.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348319,2.00,5.00,0.00,4.00,9.00,NULL,2.00,6.00,2.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348327,5.00,2.00,1.00,2.00,8.00,9.00,1.00,0.00,5.00,103,NULL,NULL,'CENTRO','IRACEMÁPOLIS','SP',13075,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6348335,3.00,6.00,3.00,5.00,9.00,7.88,1.00,2.00,5.00,336,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12694,86,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348343,4.00,3.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6348351,1.00,3.00,2.00,2.00,2.00,NULL,5.00,2.00,2.00,404,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6348360,6.00,3.00,4.00,2.00,6.00,NULL,1.00,2.00,0.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6348378,8.00,6.00,3.00,5.00,10.00,9.38,4.00,7.00,7.00,303,NULL,NULL,'CENTRO','TUPÃSSI','PR',1834,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6348386,1.00,1.00,2.00,2.00,2.00,NULL,2.00,2.00,1.00,104,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6348394,0.00,5.00,0.00,0.00,0.00,NULL,2.00,6.00,3.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(25,6348408,4.00,3.00,3.00,4.00,4.00,8.25,2.00,6.00,4.00,423,NULL,421,'TRINDADE','FLORIANÓPOLIS','SC',15103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348416,0.00,1.00,0.00,4.00,2.00,NULL,1.00,5.00,3.00,654,NULL,NULL,'SANGA DO MARCO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6348432,5.00,6.00,2.00,6.00,6.00,9.38,3.00,2.00,3.00,301,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',9209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6348459,3.00,4.00,2.00,2.00,3.00,7.88,2.00,1.00,2.00,309,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',21036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6348467,4.00,4.00,2.00,0.00,3.00,NULL,1.00,0.00,0.00,653,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6348475,6.00,6.00,1.00,3.00,7.00,6.75,0.00,6.00,5.00,5,NULL,NULL,'CENTRO','ITAIÓPOLIS','SC',9510,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6348483,8.00,6.00,8.00,7.00,7.00,8.25,3.00,9.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',1146,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6348491,2.00,2.00,1.00,2.00,1.00,NULL,1.00,2.00,1.00,453,NULL,NULL,'CANTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6348505,5.00,3.00,2.00,3.00,6.00,8.25,2.00,2.00,1.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6348521,4.00,5.00,3.00,4.00,6.00,7.50,2.00,5.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14206,127,NULL,NULL,NULL,NULL,NULL,2,1),(25,6348530,9.00,8.00,6.00,7.00,10.00,12.00,6.00,9.00,9.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',22,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348564,4.00,6.00,4.00,3.00,6.00,NULL,0.00,4.00,3.00,301,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,235,'CENTRO','BIRIGÜI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6348580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,601,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6348599,4.00,4.00,1.00,4.00,6.00,5.25,2.00,6.00,2.00,304,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',16289,119,NULL,NULL,NULL,NULL,NULL,2,1),(25,6348602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TUPARENDI','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6348610,4.00,3.00,1.00,5.00,7.00,6.00,1.00,4.00,1.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',19900,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6348629,2.00,4.00,1.00,5.00,5.00,6.75,0.00,2.00,0.00,415,NULL,NULL,'VILA ALVORADA','IMBITUBA','SC',20965,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6348645,3.00,5.00,5.00,6.00,9.00,7.88,5.00,6.00,4.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',6775,246,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348653,6.00,6.00,5.00,4.00,4.00,8.25,3.00,4.00,6.00,207,NULL,201,'JARDIM AMÉRICA','PARANAVAÍ','PR',9030,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6348661,5.00,3.00,2.00,3.00,7.00,9.38,2.00,3.00,4.00,333,NULL,NULL,'OFICINAS','TUBARÃO','SC',14399,98,NULL,NULL,NULL,NULL,NULL,4,10),(25,6348688,2.00,5.00,1.00,3.00,6.00,7.50,1.00,3.00,1.00,211,NULL,207,'JORDÃO','GOV CELSO RAMOS','SC',19916,522,NULL,1087,NULL,NULL,NULL,4,1),(25,6348696,5.00,5.00,4.00,6.00,8.00,8.63,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',8007,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6348700,7.00,6.00,1.00,7.00,9.00,8.63,4.00,7.00,8.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',3923,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6348718,2.00,6.00,1.00,2.00,6.00,10.13,2.00,3.00,3.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',17654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348726,1.00,3.00,1.00,2.00,3.00,3.75,2.00,0.00,1.00,404,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6348734,5.00,6.00,2.00,4.00,6.00,10.13,2.00,1.00,4.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13058,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6348742,6.00,7.00,4.00,7.00,10.00,7.88,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',2664,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(25,6348750,3.00,3.00,3.00,2.00,4.00,5.25,1.00,0.00,0.00,601,NULL,220,'CENTRO','JOINVILLE','SC',21678,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6348769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6348777,4.00,3.00,1.00,2.00,6.00,6.38,2.00,3.00,1.00,654,NULL,NULL,'CENTRO','MRO GRANDE','SC',20583,73,NULL,NULL,NULL,NULL,NULL,2,15),(25,6348785,3.00,3.00,1.00,5.00,5.00,8.63,3.00,3.00,2.00,420,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6348793,2.00,3.00,1.00,4.00,6.00,9.00,2.00,3.00,1.00,601,NULL,202,'AMÉRICA','JOINVILLE','SC',16345,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6348807,6.00,2.00,3.00,5.00,4.00,9.38,1.00,4.00,4.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',13378,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6348815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6348823,3.00,3.00,1.00,3.00,6.00,7.88,1.00,1.00,2.00,501,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',20861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348831,4.00,6.00,2.00,4.00,4.00,7.88,3.00,5.00,3.00,420,NULL,NULL,'SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC',13304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM PERI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6348858,5.00,7.00,3.00,5.00,4.00,9.75,0.00,3.00,2.00,211,NULL,212,'CORREGO GRANDE','FLORIANÓPOLIS','SC',10533,258,NULL,306,NULL,NULL,NULL,2,1),(25,6348866,4.00,0.00,1.00,6.00,7.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6348874,1.00,2.00,2.00,5.00,5.00,NULL,1.00,0.00,2.00,103,NULL,NULL,'CENTRO','MAXIMILIANO ALMEIDA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6348890,3.00,3.00,0.00,0.00,6.00,10.13,1.00,4.00,0.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',20649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348904,6.00,5.00,5.00,5.00,8.00,9.75,3.00,7.00,7.00,5,NULL,NULL,'BOA VISTA','CURITIBA','PR',2574,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6348912,5.00,4.00,0.00,4.00,6.00,NULL,2.00,3.00,2.00,415,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6348920,3.00,5.00,4.00,3.00,5.00,7.13,3.00,3.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348939,5.00,5.00,2.00,7.00,7.00,9.00,4.00,4.00,2.00,326,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348947,8.00,6.00,4.00,6.00,9.00,9.38,2.00,8.00,6.00,103,NULL,NULL,'VILA OPERARIA','MARINGÁ','PR',2187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348955,3.00,3.00,2.00,4.00,5.00,6.75,2.00,5.00,4.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6348963,1.00,4.00,1.00,2.00,2.00,NULL,2.00,3.00,3.00,201,NULL,212,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348971,2.00,3.00,2.00,0.00,4.00,NULL,1.00,2.00,0.00,225,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348980,3.00,5.00,2.00,7.00,9.00,10.88,3.00,1.00,0.00,421,NULL,427,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6348998,4.00,5.00,0.00,2.00,4.00,6.00,0.00,0.00,3.00,655,NULL,652,'COLONINHA','ARARANGUÁ','SC',20514,144,NULL,98,NULL,NULL,NULL,2,15),(25,6349005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PIRANHAS','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6349013,3.00,5.00,3.00,3.00,5.00,9.00,1.00,1.00,1.00,211,NULL,601,'VILA LENZI','JARAGUÁ SUL','SC',16363,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6349030,3.00,5.00,1.00,5.00,6.00,5.25,1.00,5.00,2.00,601,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',15483,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6349048,5.00,6.00,5.00,7.00,7.00,9.38,1.00,3.00,5.00,238,NULL,211,'JOAO PAULO','FLORIANÓPOLIS','SC',8174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349072,4.00,6.00,3.00,4.00,5.00,6.75,0.00,4.00,2.00,302,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',14954,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6349080,5.00,4.00,1.00,3.00,10.00,9.38,3.00,4.00,1.00,5,NULL,NULL,'CANOAS','RIO SUL','SC',10880,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6349099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SANTA CECILIA','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6349102,7.00,5.00,3.00,6.00,8.00,9.38,1.00,5.00,3.00,999,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349110,3.00,6.00,2.00,1.00,6.00,6.75,0.00,3.00,1.00,303,NULL,NULL,'ESTRAIRO','FLORIANÓPOLIS','SC',20655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349129,3.00,3.00,1.00,6.00,6.00,6.38,2.00,1.00,4.00,999,NULL,NULL,'EXPOSIÇAO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349137,4.00,2.00,2.00,3.00,4.00,7.50,1.00,2.00,1.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',20181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349145,4.00,5.00,1.00,2.00,6.00,9.00,0.00,6.00,2.00,207,NULL,601,'BOA VISTA','JOAÇABA','SC',13391,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6349153,5.00,4.00,1.00,3.00,5.00,9.75,0.00,1.00,1.00,102,NULL,NULL,'NOVA VICENZA','FARROUPILHA','RS',17854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349161,3.00,3.00,1.00,1.00,4.00,NULL,2.00,2.00,0.00,501,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349170,1.00,2.00,2.00,4.00,2.00,NULL,1.00,0.00,1.00,999,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6349188,5.00,5.00,2.00,7.00,7.00,9.75,2.00,3.00,3.00,340,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',9437,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6349196,4.00,7.00,2.00,6.00,5.00,9.00,2.00,2.00,3.00,235,NULL,212,'SANTA TEREZA','S PEDRO ALCÂNTARA','SC',14518,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6349200,5.00,5.00,4.00,6.00,8.00,12.00,3.00,6.00,6.00,308,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349218,2.00,5.00,0.00,2.00,7.00,6.00,2.00,4.00,2.00,308,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6349226,0.00,1.00,2.00,0.00,2.00,NULL,0.00,2.00,3.00,501,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349234,4.00,6.00,5.00,6.00,4.00,8.25,2.00,8.00,4.00,999,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6349250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'ANDRADE','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6349269,4.00,6.00,2.00,6.00,8.00,10.13,2.00,3.00,2.00,340,NULL,NULL,'STELLA MARES','JANDIRA','SP',8982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349277,3.00,3.00,1.00,4.00,8.00,7.88,1.00,7.00,1.00,101,NULL,NULL,'SOMBRIO','SOMBRIO','SC',14285,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6349293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6349307,1.00,4.00,1.00,4.00,5.00,NULL,2.00,0.00,2.00,324,NULL,NULL,'PETRÓPOLIS','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349315,8.00,6.00,6.00,7.00,7.00,8.63,5.00,8.00,8.00,201,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,203,'JARDIM COPACABANA','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6349331,8.00,6.00,5.00,5.00,9.00,7.50,3.00,6.00,3.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6264,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6349340,8.00,7.00,6.00,4.00,9.00,10.50,6.00,6.00,7.00,103,NULL,NULL,'CENTRO','BOTUCATU','SP',744,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349358,8.00,5.00,3.00,7.00,10.00,11.25,4.00,4.00,5.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',2615,79,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6349374,3.00,2.00,4.00,4.00,3.00,6.00,2.00,1.00,3.00,501,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6349382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'GIOPPO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6349390,4.00,7.00,1.00,3.00,7.00,8.63,0.00,5.00,0.00,318,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349412,3.00,4.00,3.00,2.00,4.00,10.50,2.00,3.00,3.00,208,NULL,652,'SÃO CRISTÓVÃO','CONCÓRDIA','SC',14232,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6349420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'ARAÇATUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6349439,8.00,3.00,2.00,5.00,5.00,5.25,3.00,2.00,4.00,201,NULL,601,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',12704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349455,8.00,7.00,1.00,3.00,10.00,9.38,1.00,7.00,8.00,207,NULL,201,'CENTRO','CURITIBA','PR',2921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349463,2.00,4.00,0.00,3.00,7.00,NULL,4.00,2.00,5.00,999,NULL,NULL,'KOBRASSOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349471,1.00,4.00,3.00,0.00,3.00,5.63,4.00,3.00,1.00,207,NULL,215,'INTERIOR','ÁGUAS FRIAS','SC',20267,1101,NULL,324,NULL,NULL,NULL,4,4),(25,6349480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SERTÃO DO IMARUÍ','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6349498,3.00,2.00,1.00,2.00,7.00,10.13,1.00,5.00,1.00,207,NULL,215,'COSTA E SILVA','JOINVILLE','SC',18113,981,NULL,291,NULL,NULL,NULL,4,8),(25,6349501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6349510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'COHAPAR','GUARATUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6349528,4.00,5.00,2.00,4.00,6.00,7.88,3.00,3.00,2.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349536,6.00,7.00,4.00,7.00,8.00,7.88,5.00,7.00,8.00,238,NULL,235,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',1987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349544,4.00,6.00,1.00,3.00,5.00,7.50,3.00,5.00,0.00,653,NULL,655,'SÃO CAMILO','SOMBRIO','SC',14488,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6349579,4.00,6.00,3.00,5.00,7.00,8.25,1.00,3.00,6.00,999,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349587,8.00,7.00,8.00,7.00,9.00,10.50,4.00,6.00,7.00,207,NULL,201,'VILA FIAT LUX','S PAULO','SP',573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6349609,5.00,3.00,2.00,6.00,8.00,7.50,1.00,2.00,2.00,102,NULL,NULL,'N SENHORA DAS GRAÇAS','CANOAS','RS',14016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349617,5.00,6.00,3.00,4.00,7.00,7.50,1.00,4.00,4.00,304,NULL,NULL,'AREIAS','S JOSÉ','SC',10685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6349625,7.00,7.00,6.00,8.00,9.00,9.38,4.00,6.00,5.00,203,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349633,1.00,3.00,3.00,2.00,3.00,6.00,0.00,0.00,2.00,404,NULL,NULL,'TRINADADE','FLORIANÓPOLIS','SC',21439,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349641,3.00,7.00,2.00,3.00,8.00,9.00,2.00,2.00,3.00,304,NULL,NULL,'TESTO ALTO','POMERODE','SC',11071,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6349650,6.00,7.00,5.00,2.00,5.00,7.13,1.00,7.00,7.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',6857,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6349668,5.00,2.00,2.00,3.00,6.00,0.00,2.00,1.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349676,6.00,7.00,4.00,3.00,9.00,8.63,1.00,4.00,6.00,207,NULL,601,'CENTRO','PALHOÇA','SC',7001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349684,8.00,5.00,3.00,5.00,10.00,9.75,1.00,5.00,5.00,301,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',5772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6349692,5.00,6.00,1.00,3.00,8.00,8.63,0.00,4.00,4.00,999,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6349706,7.00,7.00,2.00,6.00,6.00,9.75,2.00,4.00,6.00,103,NULL,NULL,'MOINHOS','LAJEADO','RS',5763,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6349714,7.00,8.00,2.00,5.00,8.00,7.88,2.00,5.00,3.00,207,NULL,201,'TAPERA','FLORIANÓPOLIS','SC',6337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349722,2.00,4.00,2.00,2.00,6.00,5.25,2.00,2.00,5.00,3,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17869,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6349749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6349757,4.00,6.00,4.00,6.00,6.00,8.25,1.00,6.00,3.00,999,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349765,6.00,6.00,1.00,5.00,5.00,7.88,2.00,6.00,3.00,444,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',12930,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6349773,6.00,9.00,1.00,6.00,7.00,11.63,2.00,6.00,6.00,103,NULL,NULL,'JARDIM SANTA MARIA','TOLEDO','PR',3748,1998,NULL,NULL,NULL,NULL,NULL,4,16),(25,6349781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','TATUÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6349790,0.00,2.00,0.00,1.00,2.00,NULL,2.00,1.00,1.00,999,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349803,3.00,4.00,1.00,5.00,6.00,7.50,2.00,3.00,0.00,429,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',17389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349811,5.00,4.00,1.00,5.00,6.00,6.38,2.00,2.00,4.00,301,NULL,NULL,'PARQUE DAS FONTES','TREMEMBÉ','SP',12682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349820,4.00,7.00,2.00,6.00,6.00,7.88,3.00,5.00,6.00,201,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',8066,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6349838,3.00,4.00,0.00,2.00,4.00,NULL,2.00,0.00,1.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6349846,5.00,6.00,2.00,7.00,6.00,11.25,0.00,5.00,4.00,301,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',7943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6349862,5.00,5.00,1.00,5.00,6.00,9.75,2.00,3.00,3.00,103,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',11283,3752,NULL,NULL,NULL,NULL,NULL,2,1),(25,6349870,3.00,5.00,2.00,5.00,6.00,6.75,1.00,1.00,1.00,5,NULL,NULL,'CENTRO','RANCHO A D OESTE','PR',15776,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6349889,4.00,3.00,3.00,4.00,6.00,9.00,3.00,4.00,4.00,340,NULL,NULL,'VILA VICENTE MACEDO','PIRAQUARA','PR',14649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349897,3.00,7.00,1.00,6.00,8.00,7.50,2.00,5.00,3.00,203,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',12043,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6349900,5.00,4.00,0.00,1.00,3.00,9.00,0.00,0.00,3.00,207,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',21032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349919,5.00,8.00,2.00,7.00,9.00,NULL,0.00,8.00,3.00,212,NULL,213,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CANTRO','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6349943,5.00,6.00,2.00,4.00,8.00,7.13,1.00,0.00,1.00,238,NULL,NULL,'CENTRO','COCAL SUL','SC',15871,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6349960,5.00,8.00,3.00,6.00,9.00,10.13,1.00,8.00,3.00,601,NULL,203,'KOBRASOL','S JOSÉ','SC',5333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349978,5.00,4.00,5.00,7.00,6.00,7.13,3.00,6.00,3.00,220,NULL,214,'TERRAS DO PIRACICABA','PIRACICABA','SP',7640,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6349986,7.00,6.00,3.00,3.00,7.00,8.63,3.00,2.00,4.00,207,NULL,201,'LOMBA','ORLEANS','SC',7061,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6350003,2.00,0.00,5.00,6.00,4.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6350011,2.00,2.00,2.00,4.00,5.00,8.25,0.00,1.00,2.00,103,NULL,NULL,'MOOCA','S PAULO','SP',21225,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6350020,5.00,5.00,4.00,6.00,10.00,8.25,2.00,4.00,4.00,102,NULL,NULL,'VILA NOVA','IMBITUBA','SC',6206,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6350038,7.00,6.00,3.00,5.00,10.00,7.13,1.00,3.00,6.00,103,NULL,NULL,'PRAIA VERDE','S JOAQUIM','SC',8672,3319,NULL,NULL,NULL,NULL,NULL,4,9),(25,6350054,5.00,4.00,4.00,5.00,4.00,6.75,2.00,5.00,1.00,999,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6350062,2.00,6.00,0.00,2.00,5.00,6.75,0.00,3.00,3.00,326,NULL,NULL,'JARDIM PORTUGAL','S JOSÉ CAMPOS','SP',20100,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6350089,2.00,1.00,0.00,2.00,2.00,NULL,1.00,0.00,1.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6350097,4.00,4.00,2.00,1.00,6.00,7.50,2.00,1.00,2.00,301,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',16742,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6350100,3.00,6.00,2.00,4.00,7.00,8.25,0.00,2.00,2.00,216,NULL,215,'APARECIDA','CURITIBANOS','SC',13186,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6350119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6350127,2.00,2.00,2.00,2.00,6.00,6.38,1.00,5.00,1.00,202,NULL,235,'JARDIM AMÉRICA','MAFRA','SC',20913,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6350135,4.00,2.00,1.00,2.00,4.00,7.50,2.00,4.00,2.00,551,NULL,NULL,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6350143,3.00,2.00,2.00,3.00,3.00,6.38,1.00,2.00,1.00,201,NULL,212,'BELLA VISTA II','S JOSÉ','SC',21542,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6350151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'SÃO MIGUEL PTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6350160,7.00,6.00,3.00,6.00,7.00,9.00,4.00,6.00,6.00,216,NULL,201,'JARDIM HERIANE','PARANAVAÍ','PR',3832,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6350178,4.00,4.00,0.00,1.00,4.00,NULL,0.00,6.00,2.00,999,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6350186,3.00,2.00,1.00,6.00,4.00,6.38,0.00,2.00,1.00,201,NULL,211,'CENTRO','URUSSANGA','SC',19926,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6350208,4.00,6.00,2.00,4.00,8.00,7.13,2.00,3.00,4.00,104,NULL,NULL,'CENTRO','SOROCABA','SP',9311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6350216,4.00,3.00,2.00,6.00,8.00,9.38,2.00,3.00,2.00,999,NULL,NULL,'CENTRO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6350224,2.00,1.00,0.00,1.00,4.00,NULL,0.00,2.00,0.00,316,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6350232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6350259,3.00,4.00,0.00,3.00,8.00,6.38,2.00,1.00,1.00,101,NULL,NULL,'CALEMBA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6350267,3.00,3.00,2.00,3.00,5.00,6.75,2.00,3.00,1.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6350275,6.00,3.00,3.00,2.00,5.00,7.50,3.00,1.00,2.00,207,NULL,201,'ITAPUÃ','BAL GAIVOTA','SC',14679,792,NULL,1250,NULL,NULL,NULL,2,15),(25,6350291,5.00,6.00,2.00,5.00,7.00,8.63,4.00,2.00,1.00,999,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6350305,3.00,5.00,0.00,6.00,7.00,NULL,0.00,1.00,2.00,340,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6350313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,202,'PITUBA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6350321,1.00,5.00,0.00,2.00,4.00,9.38,0.00,4.00,2.00,415,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',20613,327,NULL,NULL,NULL,NULL,NULL,4,1),(25,6350330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6350348,3.00,5.00,3.00,3.00,4.00,5.63,2.00,4.00,2.00,103,NULL,NULL,'SERRARIA','S JOSÉ','SC',17175,4453,NULL,NULL,NULL,NULL,NULL,2,1),(25,6350356,3.00,4.00,2.00,5.00,6.00,8.63,2.00,2.00,2.00,207,NULL,652,'CENTRO','CAMPOS NOVOS','SC',17475,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6350364,4.00,5.00,2.00,5.00,7.00,8.25,2.00,5.00,6.00,216,NULL,601,'CENTRO','BENEDITO NOVO','SC',10112,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6350372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',5,5),(25,6350380,9.00,7.00,5.00,7.00,9.00,10.88,6.00,6.00,7.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6350399,3.00,4.00,2.00,3.00,4.00,12.00,2.00,4.00,4.00,102,NULL,NULL,'EUGENIO SCHNEIDER','RIO SUL','SC',13259,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6350402,5.00,6.00,2.00,0.00,8.00,7.88,2.00,5.00,1.00,332,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',13588,22,NULL,NULL,NULL,NULL,NULL,4,1),(25,6350410,4.00,2.00,0.00,1.00,7.00,NULL,1.00,2.00,2.00,302,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6350429,3.00,2.00,0.00,4.00,4.00,NULL,3.00,1.00,1.00,102,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6350437,6.00,6.00,4.00,7.00,7.00,5.63,1.00,3.00,7.00,601,NULL,201,'CENTRO','JOINVILLE','SC',9155,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6350445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,216,'NOVO MILÊNIO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6350453,5.00,6.00,3.00,1.00,5.00,6.75,3.00,3.00,4.00,203,NULL,601,'RIO BELO','ORLEANS','SC',14531,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6350461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6350470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'NOVA GUAXUPÉ','GUAXUPÉ','MG',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6350488,2.00,5.00,0.00,1.00,5.00,9.00,4.00,1.00,2.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',20236,245,NULL,NULL,NULL,NULL,NULL,4,1),(25,6350496,8.00,4.00,4.00,4.00,9.00,11.63,3.00,5.00,4.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',3788,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6350500,2.00,2.00,2.00,3.00,5.00,NULL,0.00,0.00,2.00,655,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6350518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PARQUE ASSUNÇÃO','TABOÃO SERRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6350526,5.00,7.00,4.00,4.00,7.00,12.38,3.00,5.00,5.00,201,NULL,212,'CENTRO','URUBICI','SC',5090,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6350534,5.00,3.00,2.00,7.00,3.00,0.00,0.00,3.00,3.00,103,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6350542,4.00,3.00,2.00,7.00,7.00,6.00,1.00,1.00,3.00,208,NULL,238,'CENTRO','IBIRUBÁ','RS',17827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6350550,7.00,4.00,4.00,6.00,9.00,11.25,0.00,9.00,8.00,103,NULL,NULL,'BELA SUÍÇA','LONDRINA','PR',2063,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6350569,2.00,4.00,5.00,6.00,3.00,10.13,2.00,2.00,2.00,329,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',13211,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6350577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','JOSÉ BOITEUX','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6350585,2.00,3.00,2.00,4.00,6.00,6.75,3.00,4.00,3.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18260,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6350593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6350607,3.00,5.00,1.00,4.00,8.00,7.88,2.00,3.00,2.00,220,NULL,233,'PONTE DE IMARUIM','PALHOÇA','SC',17622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6350615,3.00,6.00,2.00,3.00,6.00,6.00,3.00,5.00,2.00,302,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',16259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6350623,7.00,6.00,3.00,3.00,9.00,NULL,0.00,6.00,5.00,216,NULL,601,'JARDIM PÉROLA','MARÍLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6350631,3.00,4.00,1.00,2.00,6.00,9.75,1.00,1.00,2.00,235,NULL,NULL,'CENTRO','S JOAQUIM','SC',19326,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6350640,2.00,5.00,3.00,3.00,6.00,9.00,1.00,3.00,1.00,101,NULL,NULL,'CAPITAIS','TIMBÓ','SC',14320,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6350658,2.00,2.00,1.00,0.00,5.00,NULL,1.00,0.00,0.00,201,NULL,203,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6350666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CHÁCARA DAS FLORES','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6350682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,202,'VILA NOVA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6350690,4.00,6.00,2.00,3.00,6.00,8.25,0.00,2.00,5.00,104,NULL,NULL,'CENTRO','LEBON RÉGIS','SC',12600,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6350704,4.00,3.00,0.00,2.00,6.00,9.38,1.00,1.00,2.00,999,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6350712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','TATUÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6350720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'BAIRRO BORGES','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6350739,2.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,2.00,201,NULL,203,'IGRA','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6350747,5.00,5.00,2.00,4.00,6.00,8.63,0.00,1.00,6.00,104,NULL,NULL,'JABOTICABAL','LARANJEIRAS SUL','PR',11852,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6350755,3.00,3.00,1.00,4.00,4.00,6.00,1.00,3.00,0.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',20918,862,NULL,NULL,NULL,NULL,NULL,4,1),(25,6350763,7.00,8.00,7.00,8.00,10.00,11.63,8.00,9.00,9.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6350780,6.00,5.00,2.00,6.00,8.00,8.25,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',6838,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6350798,1.00,5.00,3.00,6.00,5.00,4.88,3.00,3.00,3.00,201,NULL,235,'CENTRO','CHAPECÓ','SC',17295,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6350801,3.00,5.00,0.00,2.00,4.00,NULL,0.00,1.00,0.00,103,NULL,NULL,'SÃO MARTINHO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6350810,2.00,5.00,1.00,2.00,4.00,NULL,0.00,1.00,1.00,304,NULL,NULL,'JARDIM FLORIANOPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6350828,7.00,6.00,4.00,6.00,9.00,10.13,3.00,7.00,7.00,103,NULL,NULL,'VILA DA RIOCELL','GUAÍBA','RS',2015,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6350836,8.00,8.00,1.00,6.00,9.00,10.88,5.00,5.00,7.00,5,NULL,NULL,'VILA IZABEL','CURITIBA','PR',2005,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6350844,4.00,2.00,3.00,4.00,7.00,9.75,0.00,1.00,1.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',15540,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6350852,1.00,5.00,0.00,1.00,1.00,NULL,2.00,0.00,2.00,302,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6350860,6.00,5.00,6.00,6.00,9.00,10.13,2.00,6.00,5.00,201,NULL,208,'PICADAS DO SUL','S JOSÉ','SC',2922,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6350879,5.00,7.00,2.00,7.00,9.00,9.00,3.00,7.00,5.00,450,NULL,NULL,'OFICINAS','TUBARÃO','SC',4638,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6350887,0.00,3.00,4.00,1.00,2.00,NULL,0.00,0.00,0.00,655,NULL,652,'VILA SÃO JOÃO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6350909,7.00,4.00,2.00,6.00,6.00,5.63,1.00,4.00,2.00,303,NULL,NULL,'UVARANAS','PNT GROSSA','PR',10869,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6350917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,653,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6350925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,655,'PINHEIRINHO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6350933,4.00,5.00,2.00,1.00,4.00,7.13,1.00,3.00,1.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6350941,3.00,6.00,1.00,6.00,8.00,7.88,2.00,5.00,3.00,207,NULL,201,'COLÔNIA SANTANA','S JOSÉ','SC',12588,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6350950,2.00,3.00,2.00,4.00,7.00,6.75,3.00,3.00,2.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18208,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6350968,3.00,5.00,1.00,4.00,4.00,7.13,2.00,3.00,2.00,653,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',18905,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6350976,7.00,5.00,4.00,6.00,10.00,10.13,1.00,5.00,7.00,103,NULL,NULL,'LOURDES','CAXIAS SUL','RS',4076,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6350984,3.00,5.00,3.00,2.00,6.00,6.00,1.00,4.00,2.00,655,NULL,NULL,'ERECHIM','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6351018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6351026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NONOAI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6351034,9.00,5.00,6.00,6.00,7.00,9.00,5.00,6.00,8.00,203,NULL,201,'CENTRO CÍVICO','CURITIBA','PR',1661,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6351042,8.00,6.00,2.00,6.00,6.00,NULL,1.00,8.00,8.00,103,NULL,NULL,'CENTRO','ASTORGA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6351050,3.00,6.00,2.00,3.00,4.00,7.13,3.00,6.00,0.00,426,NULL,428,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',17678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6351069,3.00,4.00,2.00,4.00,4.00,7.88,0.00,2.00,3.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6351077,1.00,3.00,0.00,3.00,2.00,NULL,0.00,1.00,0.00,316,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351085,7.00,6.00,3.00,5.00,5.00,9.38,2.00,4.00,6.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',6881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6351093,4.00,8.00,4.00,6.00,6.00,8.63,0.00,5.00,2.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6351107,5.00,6.00,4.00,6.00,9.00,9.00,1.00,5.00,3.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',6364,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6351115,6.00,8.00,5.00,6.00,8.00,8.25,3.00,8.00,5.00,203,NULL,214,'CAPOEIRAS','FLORIANÓPOLIS','SC',2582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6351123,7.00,6.00,4.00,7.00,8.00,7.88,4.00,5.00,3.00,999,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6351140,9.00,7.00,6.00,7.00,10.00,11.25,5.00,6.00,9.00,303,NULL,NULL,'VELHA','BLUMENAU','SC',317,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6351158,3.00,4.00,0.00,2.00,5.00,NULL,1.00,1.00,4.00,404,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351166,6.00,7.00,5.00,5.00,8.00,9.75,2.00,7.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4139,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6351174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6351182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'SUISSO','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6351190,4.00,3.00,2.00,3.00,6.00,6.38,0.00,2.00,2.00,999,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6351204,3.00,5.00,3.00,6.00,8.00,NULL,1.00,6.00,0.00,5,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351212,4.00,0.00,3.00,7.00,7.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6351220,3.00,5.00,6.00,5.00,2.00,NULL,4.00,5.00,3.00,214,NULL,233,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6351239,3.00,3.00,0.00,3.00,3.00,NULL,0.00,0.00,1.00,501,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6351247,8.00,7.00,5.00,6.00,9.00,10.50,1.00,5.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',1220,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351255,6.00,6.00,3.00,5.00,8.00,10.13,2.00,5.00,6.00,302,NULL,NULL,'STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC',6438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6351263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,652,'JARDIM GUARAITUBA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6351298,1.00,2.00,1.00,2.00,3.00,7.13,1.00,2.00,0.00,653,NULL,652,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6351301,5.00,5.00,2.00,7.00,9.00,9.38,1.00,5.00,3.00,108,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',7750,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM SANTA PAULA','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6351328,5.00,5.00,3.00,5.00,7.00,9.75,3.00,5.00,2.00,103,NULL,NULL,'PROGRESSO','RIO SUL','SC',10813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6351336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6351352,2.00,4.00,2.00,5.00,6.00,8.25,3.00,5.00,4.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14971,217,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351360,3.00,5.00,1.00,5.00,6.00,9.38,0.00,0.00,2.00,211,NULL,215,'CARIANOS','FLORIANÓPOLIS','SC',17233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6351379,2.00,1.00,1.00,2.00,1.00,NULL,0.00,0.00,1.00,444,NULL,NULL,'CENTRO','S DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6351395,3.00,2.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'JD CIDADE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351409,4.00,0.00,2.00,2.00,6.00,NULL,0.00,0.00,0.00,216,NULL,215,'CENTRO','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(25,6351417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'HIGIENÓPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6351425,4.00,4.00,5.00,5.00,7.00,6.75,2.00,1.00,4.00,202,NULL,216,'JARDIM TV MORENA','CPO GRANDE','MS',9956,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6351433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6351441,5.00,6.00,4.00,7.00,7.00,6.75,1.00,6.00,3.00,207,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',9496,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6351450,6.00,5.00,2.00,4.00,7.00,8.63,1.00,0.00,3.00,303,NULL,NULL,'CAPITAIS','TIMBÓ','SC',13025,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6351468,5.00,5.00,0.00,3.00,6.00,8.25,3.00,5.00,3.00,421,NULL,423,'SANTA RITA','BRUSQUE','SC',15036,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6351476,7.00,6.00,2.00,2.00,8.00,11.25,1.00,3.00,2.00,108,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',13484,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6351484,3.00,3.00,1.00,3.00,3.00,6.75,3.00,4.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351492,8.00,8.00,1.00,6.00,9.00,10.88,4.00,4.00,8.00,103,NULL,NULL,'SÃO FRANCISCO','IRATI','PR',1292,851,NULL,NULL,NULL,NULL,NULL,2,3),(25,6351506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CHACARA SANTO ANTONI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6351514,9.00,5.00,2.00,5.00,7.00,6.75,2.00,6.00,8.00,103,NULL,NULL,'SANTA TERESA','S LEOPOLDO','RS',4962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6351522,5.00,6.00,3.00,5.00,6.00,7.50,3.00,3.00,4.00,444,NULL,NULL,'PENHA','PAULO LOPES','SC',12899,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351530,3.00,5.00,1.00,6.00,8.00,NULL,0.00,4.00,5.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6351557,3.00,4.00,0.00,3.00,5.00,NULL,0.00,2.00,0.00,336,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351565,2.00,4.00,0.00,1.00,5.00,7.13,1.00,4.00,0.00,324,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351573,6.00,5.00,3.00,6.00,9.00,10.88,4.00,6.00,8.00,103,NULL,NULL,'SANTO ANTÔNIO','PTO ALEGRE','RS',1389,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6351581,6.00,7.00,2.00,7.00,8.00,9.00,3.00,5.00,8.00,211,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',3146,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6351590,4.00,6.00,2.00,5.00,6.00,8.25,2.00,7.00,6.00,332,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',9020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6351611,3.00,4.00,3.00,4.00,7.00,6.75,3.00,4.00,3.00,214,NULL,213,'MERCÊS','CURITIBA','PR',14140,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6351620,2.00,4.00,1.00,2.00,6.00,6.38,1.00,1.00,0.00,999,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351638,3.00,5.00,2.00,5.00,8.00,4.50,1.00,4.00,5.00,453,NULL,NULL,'JARDIM VALE DO SOL','S JOSÉ CAMPOS','SP',13388,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6351646,2.00,3.00,2.00,1.00,6.00,6.75,0.00,4.00,2.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6351654,3.00,0.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,207,NULL,201,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6351662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'LOMBA DO PINHEIRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6351700,6.00,5.00,2.00,6.00,6.00,8.25,3.00,5.00,4.00,328,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6351727,2.00,6.00,0.00,6.00,8.00,6.00,4.00,6.00,1.00,211,NULL,213,'PONTA DE BAIXO','S JOSÉ','SC',11199,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351735,2.00,3.00,3.00,3.00,3.00,7.50,1.00,0.00,1.00,201,NULL,214,'NUCLEO TRITICOLA','FR ROGÉRIO','SC',20275,1651,NULL,437,NULL,NULL,NULL,4,16),(25,6351743,3.00,4.00,1.00,2.00,3.00,NULL,0.00,3.00,4.00,108,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351751,5.00,2.00,2.00,3.00,7.00,7.88,0.00,3.00,3.00,5,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',17991,616,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351760,6.00,7.00,3.00,4.00,8.00,NULL,0.00,7.00,2.00,420,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6351778,2.00,3.00,1.00,4.00,4.00,7.88,1.00,3.00,0.00,201,NULL,211,'SÃO PEDRO','BRUSQUE','SC',21033,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6351786,5.00,0.00,3.00,3.00,7.00,NULL,0.00,0.00,0.00,212,NULL,213,'NOVA SUIÇA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6351794,6.00,5.00,3.00,5.00,8.00,9.00,0.00,4.00,5.00,103,NULL,NULL,'CENTRO','APIÚNA','SC',7954,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6351808,3.00,2.00,0.00,5.00,5.00,NULL,2.00,1.00,3.00,5,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351816,1.00,4.00,2.00,1.00,2.00,NULL,2.00,0.00,0.00,444,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6351832,6.00,6.00,4.00,4.00,5.00,7.50,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',4645,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6351840,5.00,5.00,5.00,4.00,7.00,8.25,3.00,5.00,4.00,213,NULL,235,'CENTRO','STO CRISTO','RS',6798,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6351859,6.00,8.00,2.00,5.00,8.00,11.25,4.00,4.00,5.00,211,NULL,215,'AUXILIADORA','PTO ALEGRE','RS',4473,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351867,1.00,4.00,1.00,2.00,3.00,5.63,0.00,2.00,2.00,601,NULL,211,'ROCIO PEQUENO','S FRANCISCO SUL','SC',21675,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6351875,2.00,6.00,1.00,4.00,5.00,7.50,3.00,1.00,3.00,453,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6351883,6.00,5.00,2.00,5.00,10.00,6.75,2.00,5.00,5.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',8321,3250,NULL,NULL,NULL,NULL,NULL,2,17),(25,6351891,5.00,5.00,1.00,7.00,7.00,8.25,1.00,2.00,1.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6351905,5.00,7.00,5.00,6.00,5.00,7.88,5.00,5.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4892,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351913,2.00,3.00,1.00,3.00,7.00,8.25,0.00,2.00,4.00,308,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',18159,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351921,5.00,7.00,7.00,5.00,7.00,9.00,1.00,4.00,5.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',5957,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6351930,5.00,3.00,3.00,2.00,5.00,6.38,1.00,1.00,2.00,203,NULL,214,'COSTA E SILVA','JOINVILLE','SC',17578,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6351948,1.00,3.00,2.00,3.00,1.00,NULL,3.00,2.00,1.00,601,NULL,653,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(25,6351956,6.00,7.00,0.00,4.00,9.00,NULL,0.00,5.00,4.00,420,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6351964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'MORRO DOS CONVENTOS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6351972,5.00,3.00,0.00,4.00,7.00,8.63,3.00,4.00,6.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',9405,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6351980,6.00,7.00,3.00,7.00,8.00,6.00,3.00,6.00,6.00,203,NULL,214,'SÃO CRISTOVÃO','CRICIÚMA','SC',6673,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6351999,3.00,2.00,0.00,4.00,4.00,9.75,5.00,2.00,1.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352006,3.00,5.00,1.00,2.00,5.00,8.25,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',16778,4414,NULL,NULL,NULL,NULL,NULL,2,17),(25,6352014,3.00,3.00,2.00,5.00,7.00,9.75,1.00,6.00,3.00,103,NULL,NULL,'SERRARIA','S JOSÉ','SC',10438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352022,0.00,0.00,0.00,2.00,3.00,9.00,1.00,2.00,1.00,9,NULL,NULL,'ROÇADO','S JOSÉ','SC',21755,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352030,4.00,0.00,2.00,2.00,6.00,NULL,0.00,1.00,0.00,212,NULL,215,'SALETE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6352049,3.00,4.00,2.00,3.00,3.00,8.25,2.00,3.00,1.00,302,NULL,NULL,'CENTRO','S BENTO SUL','SC',20327,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6352057,3.00,4.00,1.00,2.00,7.00,6.38,3.00,5.00,0.00,205,NULL,NULL,'SERRARIA','S JOSÉ','SC',19031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352065,4.00,6.00,1.00,6.00,8.00,9.38,2.00,7.00,4.00,103,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',7443,3051,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352073,3.00,5.00,0.00,7.00,5.00,7.50,1.00,7.00,2.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352081,7.00,8.00,5.00,6.00,7.00,8.25,2.00,6.00,5.00,201,NULL,212,'BOQUEIRÃO','CURITIBA','PR',4608,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6352103,6.00,6.00,1.00,5.00,6.00,7.50,3.00,2.00,6.00,103,NULL,NULL,'VILA SÃO VICENTE','PARANAVAÍ','PR',12800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BESENELLO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6352120,3.00,5.00,0.00,4.00,7.00,10.13,1.00,5.00,3.00,340,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',11640,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6352138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'GRUTA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6352154,3.00,0.00,1.00,3.00,6.00,NULL,0.00,0.00,0.00,208,NULL,238,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6352162,5.00,4.00,2.00,4.00,8.00,7.13,1.00,5.00,5.00,104,NULL,NULL,'CENTRO','ARARANGUÁ','SC',9427,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6352170,8.00,7.00,4.00,4.00,8.00,9.75,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352189,4.00,5.00,3.00,6.00,9.00,NULL,0.00,4.00,5.00,211,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352197,6.00,7.00,1.00,3.00,7.00,9.75,3.00,2.00,0.00,103,NULL,NULL,'CENTRO','ARAUCÁRIA','PR',12767,3958,NULL,NULL,NULL,NULL,NULL,2,8),(25,6352200,6.00,8.00,0.00,7.00,8.00,10.50,1.00,3.00,5.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',6424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352219,1.00,5.00,3.00,4.00,5.00,8.25,2.00,1.00,0.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',20284,689,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ANÁPOLIS','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6352235,8.00,7.00,4.00,7.00,9.00,10.88,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',2800,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6352243,4.00,6.00,0.00,7.00,9.00,11.63,4.00,7.00,4.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352251,5.00,6.00,3.00,7.00,6.00,9.75,3.00,5.00,5.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'ALTO DA BOA VISTA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6352278,8.00,6.00,2.00,4.00,8.00,12.00,2.00,6.00,6.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',2685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352286,4.00,2.00,4.00,6.00,4.00,7.88,3.00,3.00,5.00,202,NULL,203,'FLORESTA','VIDEIRA','SC',15071,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6352294,4.00,5.00,4.00,5.00,6.00,8.25,1.00,3.00,3.00,203,NULL,214,'MERCÊS','CURITIBA','PR',14411,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6352308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'RITA VIEIRA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6352324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA MÔNICA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6352332,2.00,4.00,5.00,2.00,2.00,NULL,1.00,2.00,2.00,203,NULL,201,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6352340,5.00,5.00,3.00,5.00,6.00,9.00,0.00,0.00,1.00,109,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15469,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,427,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6352367,6.00,7.00,5.00,5.00,9.00,7.13,3.00,7.00,6.00,203,NULL,212,'ITACOCUBI','FLORIANÓPOLIS','SC',3194,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352375,1.00,2.00,2.00,2.00,2.00,NULL,0.00,1.00,3.00,653,NULL,208,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6352383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'BELA VISTA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6352391,6.00,7.00,1.00,5.00,3.00,8.63,1.00,7.00,5.00,201,NULL,212,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',10917,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6352413,2.00,2.00,0.00,3.00,5.00,NULL,1.00,0.00,2.00,211,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352430,3.00,6.00,4.00,4.00,7.00,8.25,1.00,5.00,6.00,207,NULL,201,'ZONA QUATRO','MARINGÁ','PR',9493,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6352448,8.00,9.00,5.00,7.00,7.00,8.25,5.00,6.00,7.00,5,NULL,NULL,'CENTRO','LAGUNA','SC',1851,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6352456,5.00,4.00,2.00,3.00,7.00,10.13,2.00,1.00,0.00,103,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',13652,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6352464,6.00,5.00,3.00,5.00,6.00,8.25,3.00,4.00,2.00,207,NULL,201,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6352472,4.00,6.00,4.00,6.00,8.00,6.00,3.00,5.00,2.00,233,NULL,208,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',10199,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352502,4.00,7.00,0.00,4.00,8.00,7.50,3.00,4.00,2.00,207,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',12438,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6352529,7.00,6.00,2.00,6.00,8.00,9.00,2.00,5.00,5.00,203,NULL,235,'BARREIROS','S JOSÉ','SC',5299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352545,8.00,7.00,3.00,7.00,9.00,8.63,2.00,4.00,4.00,103,NULL,NULL,'LARSEN','LONDRINA','PR',5244,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6352553,7.00,7.00,3.00,2.00,9.00,9.38,1.00,6.00,6.00,303,NULL,NULL,'PRAIA BRAVA','FLORIANÓPOLIS','SC',6705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352561,2.00,7.00,0.00,2.00,4.00,NULL,0.00,1.00,2.00,319,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352570,5.00,5.00,2.00,5.00,8.00,8.63,0.00,6.00,5.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9989,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352588,6.00,8.00,4.00,5.00,7.00,10.88,2.00,6.00,6.00,5,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',3711,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6352600,4.00,4.00,3.00,6.00,5.00,7.13,2.00,4.00,3.00,999,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352618,4.00,6.00,2.00,2.00,7.00,9.75,1.00,3.00,1.00,551,NULL,NULL,'ITINGA','JOINVILLE','SC',17592,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6352634,3.00,5.00,3.00,3.00,4.00,7.88,1.00,3.00,0.00,601,NULL,207,'BOM JESUS','CURITIBANOS','SC',18597,516,NULL,999,NULL,NULL,NULL,2,16),(25,6352642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PIRES RIO','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6352650,4.00,6.00,5.00,5.00,9.00,9.38,3.00,6.00,5.00,233,NULL,215,'RIO MAINA','CRICIÚMA','SC',4105,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6352669,8.00,7.00,4.00,6.00,8.00,8.63,3.00,4.00,6.00,233,NULL,NULL,'CENTRO','CURITIBA','PR',4276,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6352685,6.00,5.00,2.00,6.00,6.00,7.88,2.00,4.00,4.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10546,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352707,3.00,7.00,3.00,3.00,6.00,NULL,0.00,3.00,3.00,301,NULL,NULL,'RACHADEL','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352715,2.00,5.00,3.00,2.00,6.00,9.00,2.00,5.00,3.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13394,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352723,5.00,6.00,4.00,6.00,9.00,8.63,1.00,7.00,5.00,110,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',4930,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6352731,3.00,6.00,2.00,2.00,5.00,6.00,1.00,2.00,3.00,653,NULL,652,'SÃO LUIZ','SOMBRIO','SC',16278,155,NULL,NULL,NULL,NULL,NULL,4,15),(25,6352740,6.00,6.00,5.00,5.00,7.00,7.13,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','IJUÍ','RS',3491,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6352758,1.00,3.00,0.00,4.00,5.00,6.75,0.00,0.00,1.00,5,NULL,NULL,'ENGENHO BRAUN','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6352766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6352774,4.00,6.00,4.00,6.00,9.00,12.00,2.00,7.00,6.00,452,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DORES','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6352804,7.00,7.00,4.00,4.00,9.00,7.13,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',2480,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6352839,2.00,4.00,1.00,1.00,6.00,NULL,1.00,6.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6352847,7.00,7.00,5.00,7.00,10.00,7.50,6.00,8.00,5.00,203,NULL,214,'ÁGUA VERDE','CURITIBA','PR',1494,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6352855,6.00,7.00,1.00,4.00,5.00,5.63,1.00,3.00,2.00,999,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352863,3.00,4.00,3.00,4.00,7.00,0.00,1.00,5.00,1.00,999,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352871,1.00,2.00,2.00,1.00,4.00,NULL,1.00,2.00,0.00,444,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6352898,5.00,8.00,6.00,0.00,7.00,9.75,4.00,5.00,6.00,211,NULL,215,'JARDIM ESTHER','S PAULO','SP',3952,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6352901,3.00,5.00,3.00,4.00,5.00,7.13,0.00,4.00,1.00,309,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352910,3.00,4.00,1.00,3.00,7.00,8.25,2.00,2.00,2.00,304,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',16646,124,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352928,3.00,5.00,3.00,5.00,5.00,6.75,3.00,5.00,1.00,310,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',16234,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352936,3.00,6.00,0.00,2.00,5.00,NULL,0.00,3.00,0.00,339,NULL,NULL,'CAEIRA SACO DOS LIMO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352944,4.00,5.00,4.00,5.00,7.00,NULL,0.00,4.00,4.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352952,3.00,4.00,2.00,2.00,3.00,6.75,0.00,1.00,1.00,308,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352960,6.00,6.00,1.00,7.00,9.00,8.25,2.00,7.00,3.00,329,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',7715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352979,2.00,5.00,1.00,4.00,8.00,8.25,1.00,1.00,3.00,319,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6352987,5.00,4.00,3.00,6.00,7.00,11.25,2.00,2.00,4.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9232,3427,NULL,NULL,NULL,NULL,NULL,4,1),(25,6352995,3.00,5.00,1.00,3.00,8.00,8.25,1.00,4.00,4.00,331,NULL,NULL,'SERRARIA','S JOSÉ','SC',16237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6353002,2.00,4.00,3.00,2.00,5.00,6.38,3.00,0.00,1.00,452,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353010,4.00,0.00,0.00,3.00,2.00,NULL,0.00,1.00,0.00,101,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6353029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6353037,2.00,2.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6353045,0.00,0.00,0.00,1.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6353053,1.00,1.00,2.00,3.00,4.00,7.13,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',20495,4718,NULL,NULL,NULL,NULL,NULL,2,4),(25,6353061,7.00,7.00,5.00,5.00,9.00,8.63,4.00,7.00,7.00,103,NULL,NULL,'JARDIM ELISA DOIS','FOZ IGUAÇU','PR',1219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6353088,3.00,4.00,2.00,3.00,7.00,9.38,1.00,4.00,2.00,201,NULL,NULL,'CENTRO','PLANALTO','RS',14020,1197,NULL,NULL,NULL,NULL,NULL,2,4),(25,6353100,7.00,7.00,5.00,5.00,8.00,6.38,3.00,6.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3608,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6353118,4.00,3.00,3.00,5.00,7.00,7.50,1.00,0.00,4.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16852,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6353126,3.00,5.00,1.00,4.00,5.00,8.63,2.00,4.00,1.00,103,NULL,NULL,'SÃO LUIZ','S MIGUEL OESTE','SC',13177,4020,NULL,NULL,NULL,NULL,NULL,4,4),(25,6353134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6353142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'FLORES','MANAUS','AM',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6353150,9.00,0.00,3.00,7.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(25,6353177,8.00,6.00,2.00,5.00,8.00,7.13,3.00,7.00,4.00,214,NULL,233,'VILA FORMOSA','S PAULO','SP',5933,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6353193,3.00,2.00,0.00,2.00,5.00,NULL,3.00,1.00,0.00,653,NULL,207,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6353207,1.00,4.00,1.00,4.00,2.00,NULL,2.00,0.00,2.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6353215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SAO LOURENCO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6353223,7.00,5.00,2.00,4.00,8.00,7.50,2.00,4.00,6.00,216,NULL,203,'JARDIM LAR SÃO PAULO','S PAULO','SP',7100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353240,8.00,5.00,5.00,5.00,5.00,8.63,2.00,4.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',4494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'VILA NOVA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6353266,4.00,4.00,0.00,6.00,5.00,NULL,0.00,2.00,1.00,999,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6353274,5.00,6.00,2.00,6.00,5.00,7.88,2.00,7.00,4.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',8616,406,NULL,NULL,NULL,NULL,NULL,2,1),(25,6353282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MIRANTE DA COLÔNIA','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6353290,6.00,7.00,1.00,7.00,10.00,9.75,6.00,4.00,6.00,203,NULL,235,'RATONES','FLORIANÓPOLIS','SC',2894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353312,3.00,6.00,1.00,5.00,6.00,6.38,1.00,1.00,3.00,404,NULL,NULL,'TESTO SALTO','BLUMENAU','SC',15837,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6353320,3.00,4.00,0.00,5.00,8.00,8.25,1.00,5.00,4.00,319,NULL,NULL,'JD PACAEMBÚ','CAMPINAS','SP',10277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353347,3.00,3.00,1.00,5.00,7.00,8.25,1.00,2.00,1.00,103,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',19246,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6353355,6.00,5.00,2.00,5.00,7.00,8.25,0.00,4.00,3.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8310,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6353363,6.00,7.00,3.00,6.00,8.00,9.38,3.00,8.00,7.00,201,NULL,203,'PEDREIRAS','NAVEGANTES','SC',3349,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6353371,4.00,6.00,2.00,3.00,6.00,9.00,0.00,3.00,2.00,999,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6353398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PATRONATO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6353401,4.00,4.00,6.00,6.00,7.00,7.88,1.00,7.00,6.00,207,NULL,208,'VILA VERA CRUZ','APUCARANA','PR',4954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353410,4.00,0.00,4.00,8.00,10.00,NULL,0.00,0.00,0.00,202,NULL,235,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6353428,3.00,3.00,1.00,0.00,4.00,6.38,0.00,1.00,1.00,9,NULL,NULL,'FZNDA DO RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,214,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6353444,1.00,3.00,2.00,3.00,6.00,NULL,0.00,2.00,1.00,652,NULL,207,'NOVA BRASÍLIA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6353452,6.00,6.00,1.00,7.00,7.00,7.50,1.00,3.00,5.00,220,NULL,202,'VILA CARVALHO','SOROCABA','SP',7978,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6353460,4.00,4.00,0.00,3.00,6.00,7.13,3.00,4.00,1.00,503,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6353479,1.00,2.00,2.00,2.00,2.00,NULL,0.00,0.00,3.00,452,NULL,NULL,'PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353487,3.00,2.00,3.00,1.00,5.00,5.25,1.00,3.00,2.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',21203,72,NULL,NULL,NULL,NULL,NULL,4,16),(25,6353495,7.00,6.00,4.00,6.00,10.00,11.25,2.00,3.00,6.00,103,NULL,NULL,'JARDIM PALMEIRAS','S JOSÉ R PRETO','SP',3128,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353509,9.00,7.00,4.00,7.00,8.00,10.88,3.00,7.00,8.00,103,NULL,NULL,'CENTRO','TOMAZINA','PR',1631,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6353517,2.00,4.00,3.00,3.00,7.00,8.25,0.00,3.00,1.00,420,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',18997,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6353533,3.00,4.00,1.00,5.00,5.00,5.63,1.00,2.00,2.00,551,NULL,NULL,'PINHEIRINHO','RIO NEGRINHO','SC',18861,36,NULL,NULL,NULL,NULL,NULL,2,8),(25,6353541,4.00,6.00,0.00,4.00,7.00,12.38,0.00,5.00,3.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',9702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6353568,5.00,5.00,4.00,6.00,7.00,10.13,3.00,8.00,3.00,303,NULL,NULL,'SANTA TEREZA','PTO ALEGRE','RS',5466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6353576,7.00,5.00,1.00,7.00,8.00,9.75,3.00,6.00,4.00,102,NULL,NULL,'VILA SUZANA','S PAULO','SP',4966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353584,6.00,2.00,2.00,6.00,6.00,8.63,1.00,3.00,2.00,104,NULL,NULL,'TROPICAL','CASCAVEL','PR',12781,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6353592,4.00,6.00,0.00,6.00,7.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6353606,7.00,5.00,2.00,4.00,10.00,12.00,2.00,6.00,8.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',2390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353614,8.00,7.00,4.00,5.00,8.00,9.75,3.00,5.00,8.00,216,NULL,211,'CINQUENTENÁRIO','CAXIAS SUL','RS',2360,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6353622,7.00,8.00,2.00,6.00,9.00,8.25,3.00,8.00,8.00,103,NULL,NULL,'JARDIM PAULISTANO','SOROCABA','SP',2765,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353630,4.00,4.00,2.00,5.00,7.00,7.88,1.00,4.00,1.00,103,NULL,NULL,'BELA VISTA','S JOSÉ','SC',16578,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6353649,8.00,6.00,2.00,7.00,9.00,8.63,4.00,7.00,9.00,103,NULL,NULL,'RUI BARBOSA','MONTENEGRO','RS',1803,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6353657,8.00,4.00,1.00,7.00,9.00,7.88,3.00,7.00,9.00,213,NULL,208,'JARDIM DO MAR','S BERNARDO CAMPO','SP',2556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353665,7.00,6.00,4.00,5.00,9.00,9.38,3.00,5.00,5.00,103,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',5702,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6353681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CARANDÁ BOSQUE','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6353690,2.00,5.00,2.00,4.00,9.00,10.50,2.00,4.00,3.00,102,NULL,NULL,'CENTRO','RIO FORTUNA','SC',10975,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6353703,7.00,8.00,4.00,7.00,8.00,10.50,3.00,7.00,7.00,203,NULL,208,'JD BOA VISTA','IBIPORÃ','PR',1145,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6353720,7.00,7.00,5.00,7.00,9.00,9.00,2.00,8.00,6.00,5,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',2315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353738,6.00,6.00,5.00,6.00,7.00,10.50,3.00,3.00,5.00,104,NULL,NULL,'CENTRO','MARINGÁ','PR',6195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353746,5.00,6.00,3.00,5.00,7.00,9.75,2.00,4.00,4.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353754,3.00,5.00,0.00,3.00,7.00,7.13,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','IBICARÉ','SC',18730,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6353762,3.00,5.00,0.00,5.00,8.00,6.00,1.00,4.00,3.00,5,NULL,NULL,'BELA VISTA','MONDAÍ','SC',14316,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6353770,3.00,3.00,2.00,3.00,3.00,6.38,2.00,3.00,0.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6353789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6353797,4.00,3.00,0.00,3.00,5.00,NULL,1.00,6.00,3.00,999,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6353800,4.00,4.00,4.00,4.00,6.00,8.25,3.00,3.00,4.00,302,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',12331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353819,9.00,6.00,4.00,4.00,8.00,11.25,2.00,5.00,6.00,216,NULL,235,'ATIRADORES','JOINVILLE','SC',2710,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6353827,3.00,0.00,3.00,0.00,5.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6353835,4.00,6.00,2.00,7.00,7.00,8.25,2.00,4.00,3.00,201,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',10249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353843,3.00,3.00,2.00,4.00,5.00,NULL,0.00,0.00,2.00,103,NULL,NULL,'SANTA TEREZINHA','ESTRELA D OESTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6353851,4.00,7.00,2.00,7.00,7.00,11.25,3.00,5.00,5.00,108,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',6964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6353860,3.00,4.00,1.00,1.00,9.00,7.50,1.00,2.00,3.00,104,NULL,NULL,'NAÇÕES','TIMBÓ','SC',19104,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6353878,9.00,5.00,3.00,5.00,8.00,10.50,3.00,8.00,7.00,103,NULL,NULL,'RESID AEROPORTO','MARINGÁ','PR',2284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'SANTA CRUZ','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6353894,2.00,5.00,3.00,6.00,8.00,10.13,0.00,3.00,4.00,999,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353916,7.00,4.00,4.00,4.00,9.00,7.88,0.00,6.00,4.00,103,NULL,NULL,'VILA NOVA','ARAPONGAS','PR',7424,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6353924,2.00,3.00,2.00,4.00,5.00,8.25,2.00,1.00,1.00,201,NULL,212,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',20744,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6353932,3.00,6.00,3.00,6.00,7.00,11.25,1.00,6.00,4.00,207,NULL,201,'SACO GRANDE','FLORIANÓPOLIS','SC',7956,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6353967,1.00,6.00,0.00,5.00,7.00,NULL,2.00,3.00,0.00,999,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6353975,7.00,7.00,3.00,4.00,7.00,9.75,1.00,5.00,5.00,212,NULL,213,'CRISTO REDENTOR','PTO ALEGRE','RS',6425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6353991,7.00,6.00,5.00,7.00,10.00,9.38,3.00,4.00,7.00,103,NULL,NULL,'CH STO ANTONIO','S PAULO','SP',1924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354009,6.00,4.00,4.00,5.00,6.00,9.75,1.00,6.00,5.00,302,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',7820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354017,4.00,5.00,3.00,3.00,4.00,5.63,0.00,7.00,5.00,999,NULL,NULL,'ÁGUA BRANCA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(25,6354025,5.00,6.00,7.00,6.00,7.00,10.50,4.00,5.00,4.00,103,NULL,NULL,'JARDIM LANCASTER','FOZ IGUAÇU','PR',4199,2140,NULL,NULL,NULL,NULL,NULL,2,1),(25,6354033,4.00,5.00,1.00,4.00,4.00,6.75,2.00,0.00,3.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6354050,9.00,7.00,8.00,7.00,9.00,10.88,5.00,9.00,9.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',40,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354068,8.00,7.00,2.00,4.00,6.00,8.63,3.00,4.00,8.00,5,NULL,NULL,'LIBERDADE','S PAULO','SP',4881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354076,3.00,4.00,1.00,5.00,6.00,8.63,2.00,4.00,1.00,5,NULL,NULL,'VILA NOVA','BLUMENAU','SC',14871,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6354084,6.00,4.00,0.00,2.00,3.00,0.00,2.00,5.00,1.00,203,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354092,6.00,6.00,5.00,3.00,7.00,7.88,3.00,4.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354106,6.00,5.00,5.00,6.00,9.00,10.13,2.00,7.00,4.00,203,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',3390,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6354114,2.00,6.00,1.00,5.00,7.00,7.50,0.00,1.00,1.00,207,NULL,653,'DIVINÉIA','ARARANGUÁ','SC',16794,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6354122,6.00,5.00,2.00,3.00,5.00,8.25,2.00,3.00,5.00,203,NULL,214,'BOM RETIRO','JOINVILLE','SC',9933,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6354130,2.00,4.00,3.00,6.00,3.00,4.88,0.00,2.00,2.00,444,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',21175,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6354149,7.00,6.00,4.00,5.00,9.00,8.25,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','XAXIM','SC',3994,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6354157,6.00,8.00,1.00,4.00,9.00,9.00,0.00,4.00,3.00,316,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',9478,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6354181,7.00,6.00,5.00,6.00,8.00,11.25,5.00,6.00,8.00,601,NULL,214,'CENTRO','MATINHOS','PR',1209,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6354190,3.00,5.00,4.00,4.00,3.00,8.63,3.00,2.00,3.00,203,NULL,235,'CENTRO','CAMPINA LAGOA','PR',14542,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6354203,0.00,2.00,2.00,2.00,2.00,NULL,2.00,0.00,2.00,103,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6354211,8.00,7.00,5.00,7.00,5.00,8.63,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354238,2.00,3.00,0.00,3.00,2.00,NULL,4.00,2.00,3.00,319,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6354246,4.00,6.00,2.00,5.00,6.00,7.88,4.00,1.00,2.00,103,NULL,NULL,'RIO COMPRIDO','JACAREÍ','SP',11771,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6354254,3.00,4.00,2.00,3.00,7.00,9.00,2.00,4.00,2.00,101,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',16631,92,NULL,NULL,NULL,NULL,NULL,2,1),(25,6354270,4.00,6.00,2.00,4.00,5.00,7.88,1.00,5.00,3.00,303,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',12956,605,NULL,NULL,NULL,NULL,NULL,2,1),(25,6354289,4.00,3.00,0.00,5.00,5.00,NULL,1.00,2.00,4.00,999,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(25,6354297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6354300,3.00,3.00,4.00,5.00,4.00,10.88,1.00,1.00,3.00,207,NULL,212,'ASILO','BLUMENAU','SC',12903,696,NULL,379,NULL,NULL,NULL,2,2),(25,6354319,5.00,4.00,1.00,3.00,5.00,9.75,1.00,3.00,2.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',18153,249,NULL,NULL,NULL,NULL,NULL,2,1),(25,6354327,3.00,3.00,0.00,2.00,3.00,NULL,0.00,1.00,1.00,451,NULL,NULL,'ENCOSTA DO SOL','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6354335,7.00,6.00,2.00,6.00,10.00,9.38,2.00,4.00,7.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',4368,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6354343,4.00,7.00,4.00,6.00,9.00,10.13,4.00,8.00,4.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',4660,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6354351,1.00,4.00,1.00,2.00,4.00,5.25,0.00,0.00,4.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',21648,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6354360,5.00,6.00,3.00,6.00,4.00,8.63,0.00,3.00,4.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354378,2.00,4.00,3.00,4.00,6.00,6.75,1.00,2.00,1.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19511,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6354386,3.00,2.00,4.00,6.00,7.00,10.13,1.00,4.00,1.00,318,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',14673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354394,4.00,5.00,3.00,5.00,6.00,7.50,0.00,1.00,3.00,501,NULL,NULL,'FAXINAL','MAFRA','SC',16200,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6354408,3.00,3.00,0.00,2.00,2.00,NULL,1.00,4.00,2.00,319,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6354416,4.00,5.00,2.00,3.00,6.00,NULL,2.00,1.00,0.00,310,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6354424,4.00,6.00,1.00,6.00,7.00,9.38,3.00,5.00,3.00,201,NULL,215,'BATEIA','GASPAR','SC',7995,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6354432,3.00,4.00,1.00,3.00,5.00,5.63,0.00,4.00,2.00,238,NULL,207,'TRINDADE','FLORIANÓPOLIS','SC',20493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354440,4.00,4.00,2.00,2.00,4.00,10.13,1.00,5.00,4.00,101,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354467,2.00,3.00,1.00,5.00,5.00,6.75,2.00,1.00,3.00,108,NULL,NULL,'CENTRO','CASCAVEL','PR',18608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354475,7.00,5.00,0.00,7.00,7.00,10.50,0.00,3.00,3.00,207,NULL,201,'CENTRO','RIBEIRÃO PRETO','SP',10328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354483,2.00,0.00,3.00,3.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAVEIRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6354491,5.00,6.00,1.00,2.00,7.00,10.50,1.00,5.00,4.00,501,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6354505,3.00,1.00,2.00,2.00,4.00,4.88,3.00,4.00,3.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6354513,3.00,5.00,3.00,6.00,8.00,10.13,3.00,4.00,3.00,220,NULL,214,'JARDIM JEQUITIBA','MARÍLIA','SP',7869,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6354521,1.00,4.00,2.00,3.00,5.00,8.25,1.00,3.00,1.00,444,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',18986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354530,2.00,5.00,2.00,2.00,8.00,9.00,2.00,3.00,2.00,103,NULL,NULL,'NAÇOES','BAL CAMBORIÚ','SC',14687,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6354548,6.00,6.00,3.00,7.00,7.00,11.25,3.00,7.00,2.00,453,NULL,NULL,'SÃO PEDRO','CARAZINHO','RS',7038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354556,6.00,8.00,3.00,6.00,9.00,8.25,1.00,7.00,7.00,5,NULL,NULL,'PROGRESSO','S BENTO SUL','SC',2904,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6354564,9.00,6.00,5.00,7.00,7.00,9.75,3.00,2.00,7.00,103,NULL,NULL,'SANTO INÁCIO','CURITIBA','PR',2503,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6354572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6354580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6354599,2.00,4.00,1.00,3.00,4.00,7.50,2.00,3.00,3.00,404,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6354602,7.00,8.00,6.00,7.00,10.00,12.75,1.00,6.00,8.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',482,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6354629,4.00,3.00,4.00,2.00,6.00,10.50,3.00,3.00,3.00,2,NULL,NULL,'FLORESTA','S JOSÉ','SC',12722,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6354645,4.00,5.00,2.00,5.00,4.00,7.50,4.00,4.00,4.00,202,NULL,235,'CENTRO','JARAGUÁ SUL','SC',10451,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6354653,6.00,6.00,4.00,3.00,7.00,NULL,2.00,6.00,7.00,103,NULL,NULL,'AREAL','PELOTAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6354661,6.00,6.00,3.00,6.00,8.00,8.25,5.00,4.00,6.00,216,NULL,202,'GARCIA','BLUMENAU','SC',4326,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6354670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6354688,1.00,5.00,0.00,2.00,6.00,7.50,0.00,2.00,0.00,109,NULL,NULL,'CENTRO','COCAL SUL','SC',19936,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6354700,2.00,4.00,1.00,4.00,4.00,9.75,3.00,0.00,0.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6354718,9.00,6.00,5.00,7.00,11.00,9.75,2.00,9.00,8.00,201,NULL,212,'EMBARE','SANTOS','SP',417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354726,4.00,5.00,0.00,4.00,5.00,8.25,3.00,2.00,2.00,601,NULL,212,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6354734,7.00,5.00,1.00,5.00,8.00,8.63,1.00,6.00,3.00,5,NULL,NULL,'CENTRO','ASSIS','SP',8741,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6354742,4.00,6.00,3.00,7.00,8.00,7.50,3.00,5.00,3.00,109,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',9703,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6354750,7.00,5.00,5.00,6.00,8.00,9.75,3.00,5.00,7.00,201,NULL,601,'AEROPORTO','MARINGÁ','PR',3858,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6354777,5.00,7.00,4.00,4.00,9.00,7.50,4.00,2.00,2.00,429,NULL,425,'VILA NOVA','LAGES','SC',9340,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6354785,5.00,5.00,3.00,2.00,5.00,0.00,2.00,4.00,2.00,238,NULL,208,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354793,8.00,7.00,2.00,7.00,9.00,10.13,3.00,6.00,6.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',3017,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354807,2.00,4.00,0.00,1.00,4.00,7.13,2.00,1.00,2.00,203,NULL,207,'AGRONOMICA','FLORIANÓPOLIS','SC',21476,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6354815,1.00,2.00,2.00,1.00,1.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'TRÊS RIOS DO NORTE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6354823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SOROCABA DE DENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6354831,3.00,5.00,5.00,2.00,6.00,7.88,1.00,5.00,0.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354840,1.00,5.00,2.00,2.00,3.00,7.13,0.00,2.00,2.00,551,NULL,NULL,'FAXINAL','MAFRA','SC',20105,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6354858,6.00,5.00,2.00,5.00,6.00,NULL,0.00,3.00,5.00,999,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6354866,6.00,5.00,3.00,7.00,9.00,10.13,2.00,5.00,7.00,103,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',4038,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6354882,5.00,5.00,3.00,6.00,7.00,12.00,1.00,4.00,6.00,104,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',7303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354890,2.00,2.00,0.00,3.00,3.00,0.00,2.00,1.00,1.00,207,NULL,202,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6354904,8.00,8.00,4.00,7.00,8.00,10.13,3.00,6.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',1427,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354912,6.00,5.00,2.00,5.00,5.00,8.63,0.00,3.00,4.00,211,NULL,203,'CAPOEIRAS','FLORIANÓPOLIS','SC',13771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354920,4.00,2.00,0.00,1.00,2.00,NULL,1.00,1.00,2.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6354939,5.00,6.00,6.00,5.00,9.00,9.00,3.00,7.00,5.00,207,NULL,216,'ITACORUBI','FLORIANÓPOLIS','SC',2694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6354947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6354955,2.00,0.00,0.00,0.00,6.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'AREIAS DE MACACU','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6354963,3.00,3.00,3.00,7.00,7.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'FÁTIMA','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6354971,4.00,8.00,2.00,5.00,7.00,9.38,2.00,4.00,3.00,104,NULL,NULL,'INTERIOR','CAIÇARA','RS',8099,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6354980,1.00,4.00,2.00,3.00,4.00,8.25,3.00,3.00,2.00,234,NULL,NULL,'PONDE DO IMARUIM','PALHOÇA','SC',17767,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6354998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6355005,5.00,4.00,3.00,6.00,8.00,10.88,3.00,2.00,2.00,999,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355013,2.00,2.00,3.00,2.00,3.00,5.63,1.00,0.00,2.00,444,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355021,8.00,6.00,3.00,5.00,10.00,7.13,3.00,3.00,4.00,220,NULL,214,'BNH SEGUNDO PLANO','DOURADOS','MS',5506,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6355030,6.00,6.00,1.00,4.00,6.00,7.88,3.00,6.00,5.00,201,NULL,211,'CENTRO','BIGUAÇU','SC',8939,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355048,3.00,3.00,1.00,2.00,6.00,8.25,3.00,1.00,1.00,415,NULL,NULL,'FÁTIMA','JOINVILLE','SC',17021,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6355056,3.00,5.00,2.00,5.00,7.00,7.13,1.00,0.00,3.00,302,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',16445,125,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355064,6.00,6.00,4.00,6.00,8.00,10.13,4.00,6.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3555,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355072,6.00,6.00,4.00,6.00,9.00,9.75,1.00,6.00,5.00,103,NULL,NULL,'HIDRÁULICA','LAJEADO','RS',4402,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6355080,4.00,6.00,3.00,5.00,10.00,10.13,3.00,6.00,7.00,102,NULL,NULL,'NOSSA SRA DE FÁTIMA','BRAÇO NORTE','SC',3951,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6355099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6355102,2.00,3.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355110,2.00,3.00,1.00,1.00,5.00,6.75,2.00,2.00,3.00,601,NULL,203,'AGUAS CLARAS','BRUSQUE','SC',21299,614,NULL,1158,NULL,NULL,NULL,4,2),(25,6355129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,601,'JARDIM PAULISTA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6355137,7.00,6.00,5.00,7.00,7.00,NULL,0.00,5.00,6.00,213,NULL,202,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,652,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6355153,7.00,5.00,4.00,5.00,6.00,8.63,3.00,4.00,3.00,220,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',6144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355161,6.00,4.00,2.00,2.00,6.00,8.25,1.00,4.00,1.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',14084,4135,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355170,7.00,8.00,5.00,5.00,8.00,10.88,3.00,6.00,5.00,207,NULL,201,'BOA VISTA','CURITIBA','PR',2633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355188,1.00,5.00,1.00,3.00,6.00,6.75,1.00,3.00,3.00,551,NULL,NULL,'CENTRO','IPIRA','SC',17774,25,NULL,NULL,NULL,NULL,NULL,2,7),(25,6355196,3.00,8.00,5.00,6.00,6.00,8.25,2.00,6.00,1.00,5,NULL,NULL,'CENTRO','VIDEIRA','SC',10824,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6355200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6355218,3.00,4.00,1.00,3.00,3.00,6.38,1.00,0.00,0.00,201,NULL,202,'BARREIROS','S JOSÉ','SC',20362,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,208,'CIDADE NOVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6355234,2.00,2.00,3.00,4.00,3.00,9.38,4.00,4.00,2.00,327,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',19004,57,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355242,4.00,5.00,4.00,5.00,6.00,5.25,2.00,5.00,4.00,310,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355250,2.00,2.00,1.00,0.00,2.00,NULL,3.00,0.00,1.00,103,NULL,NULL,'AGUA VERDE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6355269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355277,4.00,2.00,2.00,5.00,5.00,7.13,0.00,3.00,0.00,324,NULL,NULL,'CENTRO','S JOÃO OESTE','SC',17342,15,NULL,NULL,NULL,NULL,NULL,4,4),(25,6355285,4.00,1.00,1.00,2.00,3.00,8.25,0.00,0.00,1.00,104,NULL,NULL,'IRIRIU','JOINVILLE','SC',21650,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6355293,4.00,7.00,3.00,4.00,7.00,6.00,4.00,7.00,4.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355307,4.00,5.00,2.00,2.00,6.00,4.88,4.00,4.00,2.00,302,NULL,NULL,'CENTRO','PALHOÇA','SC',16082,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'AEROPORTO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6355323,6.00,6.00,3.00,5.00,7.00,9.75,3.00,6.00,4.00,211,NULL,215,'KOBRASOL','S JOSÉ','SC',6235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355331,4.00,6.00,4.00,4.00,5.00,7.13,0.00,7.00,3.00,318,NULL,NULL,'CENTRO','LAURENTINO','SC',12061,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6355340,2.00,5.00,0.00,0.00,5.00,5.63,1.00,6.00,1.00,327,NULL,NULL,'BELA VISTA','GASPAR','SC',20951,71,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355358,6.00,7.00,4.00,2.00,8.00,7.13,3.00,7.00,5.00,103,NULL,NULL,'IPIRANGA','MARMELEIRO','PR',5983,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6355366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'MORRO ALTO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6355374,4.00,6.00,3.00,5.00,5.00,11.25,1.00,4.00,1.00,102,NULL,NULL,'POPULAR','LAGES','SC',11364,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6355382,2.00,5.00,1.00,5.00,7.00,6.75,0.00,1.00,0.00,415,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',20426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355390,3.00,4.00,1.00,3.00,6.00,8.63,2.00,2.00,2.00,601,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',18371,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6355404,2.00,4.00,5.00,3.00,3.00,7.88,2.00,3.00,2.00,207,NULL,201,'CENTRO','HERVAL D OESTE','SC',15133,819,NULL,1286,NULL,NULL,NULL,2,7),(25,6355412,4.00,3.00,2.00,2.00,3.00,NULL,0.00,2.00,0.00,208,NULL,238,'PRAIA JOAO ROSA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355420,2.00,3.00,3.00,4.00,4.00,6.75,3.00,1.00,5.00,220,NULL,202,'COQUEIROS','FLORIANÓPOLIS','SC',19299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6355447,2.00,5.00,2.00,5.00,6.00,4.88,1.00,3.00,4.00,338,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',19070,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355455,4.00,4.00,0.00,2.00,7.00,NULL,1.00,3.00,1.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355463,5.00,7.00,1.00,6.00,6.00,NULL,3.00,7.00,5.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6355471,2.00,4.00,2.00,6.00,4.00,7.13,2.00,2.00,2.00,424,NULL,427,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355480,3.00,2.00,0.00,5.00,4.00,8.25,0.00,1.00,1.00,654,NULL,NULL,'ALTO BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355498,4.00,5.00,2.00,7.00,9.00,8.25,2.00,3.00,1.00,301,NULL,NULL,'CORAL','LAGES','SC',12362,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6355501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6355510,2.00,3.00,0.00,2.00,5.00,6.38,0.00,2.00,3.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355528,3.00,3.00,1.00,1.00,1.00,NULL,1.00,3.00,1.00,203,NULL,214,'PROGRESSO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6355544,6.00,0.00,1.00,7.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA RICA','FELIZ','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(25,6355552,3.00,4.00,0.00,1.00,8.00,NULL,1.00,2.00,2.00,654,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6355560,2.00,4.00,3.00,2.00,2.00,NULL,1.00,4.00,0.00,316,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355579,5.00,6.00,3.00,5.00,8.00,7.50,5.00,6.00,4.00,303,NULL,NULL,'CENTRO','BRUSQUE','SC',6219,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6355587,4.00,4.00,2.00,6.00,5.00,5.25,1.00,3.00,1.00,211,NULL,NULL,'ORIÇÓ','GRAVATAÍ','RS',17149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355609,3.00,3.00,1.00,2.00,3.00,6.00,2.00,1.00,3.00,999,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355617,3.00,3.00,3.00,3.00,5.00,8.63,1.00,3.00,3.00,211,NULL,233,'PORTÃO','CURITIBA','PR',18733,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6355625,7.00,7.00,5.00,6.00,10.00,10.50,2.00,7.00,7.00,103,NULL,NULL,'SANTO ANTONIO','CURITIBANOS','SC',1376,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6355633,1.00,3.00,1.00,1.00,5.00,7.50,3.00,3.00,2.00,999,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6355641,7.00,8.00,4.00,6.00,9.00,11.25,2.00,5.00,6.00,207,NULL,201,'BOM ABRIGO','FLORIANÓPOLIS','SC',3828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355650,2.00,3.00,1.00,4.00,8.00,7.13,0.00,1.00,1.00,202,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',20653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355668,6.00,4.00,2.00,4.00,8.00,7.50,2.00,5.00,2.00,213,NULL,207,'SACO GRANDE','FLORIANÓPOLIS','SC',14040,196,NULL,759,NULL,NULL,NULL,2,1),(25,6355676,7.00,7.00,3.00,6.00,11.00,11.25,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',2523,1509,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355706,3.00,2.00,1.00,1.00,5.00,8.63,1.00,3.00,2.00,301,NULL,NULL,'TRINTA RÉIS','NOVA TRENTO','SC',20708,301,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355714,3.00,3.00,2.00,4.00,8.00,6.75,1.00,4.00,1.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18327,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355722,4.00,6.00,3.00,0.00,6.00,NULL,3.00,4.00,5.00,201,NULL,653,'VILA FORMOSA','BOTUCATU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6355757,6.00,5.00,5.00,6.00,8.00,7.50,2.00,4.00,4.00,450,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355765,3.00,5.00,3.00,4.00,5.00,6.38,0.00,3.00,1.00,201,NULL,601,'UNIVERSITÁRIO','CHAPECÓ','SC',16917,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6355773,3.00,4.00,1.00,4.00,7.00,8.63,1.00,2.00,2.00,214,NULL,203,'NOSSA SR DO ROSÁRIO','S JOSÉ','SC',18140,404,NULL,1038,NULL,NULL,NULL,2,1),(25,6355781,3.00,2.00,0.00,3.00,6.00,6.00,1.00,2.00,2.00,110,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20255,136,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355790,3.00,5.00,2.00,6.00,9.00,8.63,1.00,5.00,3.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355811,6.00,6.00,1.00,0.00,9.00,NULL,1.00,4.00,2.00,5,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6355820,3.00,4.00,2.00,3.00,4.00,9.00,1.00,3.00,3.00,423,NULL,NULL,'JD CIDADE DE FPOLIS','S JOSÉ','SC',18822,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355838,6.00,5.00,1.00,5.00,7.00,9.75,4.00,3.00,3.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',10704,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6355846,4.00,6.00,5.00,4.00,6.00,7.50,2.00,4.00,6.00,102,NULL,NULL,'JARDIM NICOLAU','JACINTO MACHADO','SC',8223,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6355854,4.00,4.00,2.00,4.00,6.00,6.75,1.00,7.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355862,2.00,2.00,3.00,2.00,4.00,NULL,2.00,0.00,1.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6355870,2.00,4.00,3.00,4.00,5.00,5.63,1.00,4.00,3.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355889,5.00,2.00,1.00,3.00,6.00,7.13,3.00,1.00,2.00,502,NULL,NULL,'SERRARIA','S JOSÉ','SC',18286,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355897,3.00,4.00,0.00,1.00,5.00,8.25,2.00,2.00,3.00,310,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',19656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6355900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,202,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6355927,6.00,5.00,0.00,5.00,9.00,10.88,2.00,7.00,5.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6077,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355935,1.00,5.00,0.00,4.00,6.00,9.38,2.00,1.00,2.00,5,NULL,NULL,'NATIVIDADE','STO AMARO IMPERATRIZ','SC',17799,613,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355943,8.00,7.00,2.00,5.00,8.00,9.75,1.00,5.00,5.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',6258,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6355951,2.00,5.00,2.00,5.00,5.00,5.63,1.00,0.00,3.00,427,NULL,428,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6355960,3.00,3.00,2.00,2.00,5.00,NULL,1.00,0.00,0.00,501,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6355978,2.00,4.00,0.00,4.00,3.00,8.25,2.00,0.00,4.00,212,NULL,233,'SÃO VICENTE','ITAJAÍ','SC',18417,536,NULL,451,NULL,NULL,NULL,2,6),(25,6355986,4.00,4.00,0.00,0.00,5.00,NULL,2.00,3.00,1.00,404,NULL,NULL,'CENTRO','SCHROEDER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6355994,5.00,6.00,5.00,7.00,7.00,7.88,2.00,5.00,3.00,302,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6356001,3.00,4.00,3.00,5.00,5.00,NULL,0.00,0.00,3.00,301,NULL,NULL,'CENTRO','SORRISO','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6356010,7.00,3.00,4.00,4.00,7.00,11.63,2.00,2.00,4.00,102,NULL,NULL,'CENTRO','TUBARÃO','SC',8981,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6356036,3.00,5.00,1.00,2.00,4.00,6.38,0.00,2.00,0.00,318,NULL,NULL,'BARREIROS','S JOSÉ','SC',21496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6356044,3.00,5.00,2.00,1.00,4.00,0.00,2.00,1.00,1.00,101,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356052,3.00,5.00,1.00,4.00,6.00,7.88,3.00,2.00,2.00,318,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SAO JOAO DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6356079,4.00,6.00,3.00,4.00,9.00,9.75,2.00,2.00,4.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',9498,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'GLÓRIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6356095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,207,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6356109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6356117,1.00,4.00,0.00,2.00,7.00,NULL,1.00,2.00,1.00,207,NULL,201,'CENTRO','S MARTINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6356125,5.00,6.00,3.00,5.00,4.00,9.00,0.00,3.00,7.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',12197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356133,6.00,7.00,2.00,5.00,7.00,10.50,3.00,6.00,5.00,104,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',4972,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6356150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6356168,6.00,5.00,2.00,3.00,7.00,9.00,1.00,4.00,0.00,238,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6356176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6356184,8.00,8.00,5.00,7.00,9.00,10.88,5.00,9.00,8.00,103,NULL,NULL,'JARDIM PARAISO','BOTUCATU','SP',363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6356206,7.00,6.00,2.00,7.00,7.00,9.00,3.00,4.00,5.00,214,NULL,212,'SANTO ANTONIO','JOINVILLE','SC',5683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6356214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6356222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6356230,3.00,6.00,2.00,4.00,5.00,9.00,1.00,4.00,3.00,103,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',11315,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6356249,2.00,2.00,2.00,4.00,8.00,7.50,1.00,3.00,1.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',16845,328,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356265,4.00,1.00,1.00,5.00,9.00,7.50,2.00,4.00,3.00,999,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356273,3.00,3.00,1.00,0.00,7.00,NULL,0.00,1.00,1.00,103,NULL,NULL,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6356281,4.00,6.00,4.00,4.00,6.00,8.63,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',9576,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356290,3.00,4.00,2.00,0.00,2.00,NULL,1.00,2.00,1.00,329,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6356303,1.00,5.00,2.00,4.00,3.00,6.00,1.00,7.00,3.00,501,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19066,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356311,4.00,3.00,3.00,2.00,3.00,6.00,1.00,5.00,1.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'FABRICIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6356338,3.00,5.00,3.00,5.00,8.00,7.50,2.00,2.00,1.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13761,119,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356346,4.00,6.00,3.00,3.00,7.00,7.88,2.00,2.00,2.00,215,NULL,216,'CENTRO','NOVA VENEZA','SC',12402,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6356354,3.00,4.00,3.00,2.00,3.00,6.75,3.00,5.00,4.00,213,NULL,235,'PONTE DO IMARUIM','PALHOÇA','SC',17683,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6356370,4.00,3.00,1.00,5.00,7.00,8.63,0.00,1.00,3.00,103,NULL,NULL,'ZONA VI','UMUARAMA','PR',15991,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6356389,4.00,4.00,3.00,6.00,8.00,7.88,1.00,6.00,2.00,453,NULL,NULL,'PACHECOS','PALHOÇA','SC',10552,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356397,3.00,4.00,4.00,4.00,6.00,7.88,0.00,3.00,0.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16078,82,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356400,1.00,3.00,2.00,1.00,2.00,NULL,2.00,2.00,2.00,5,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356419,4.00,5.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,335,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6356427,2.00,1.00,1.00,0.00,3.00,4.88,2.00,1.00,2.00,308,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356435,3.00,4.00,3.00,4.00,5.00,9.75,2.00,3.00,1.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14200,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356443,5.00,5.00,0.00,3.00,7.00,9.38,0.00,0.00,2.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6356451,7.00,2.00,1.00,6.00,7.00,NULL,0.00,0.00,5.00,207,NULL,201,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356460,5.00,7.00,1.00,6.00,6.00,10.13,3.00,6.00,2.00,340,NULL,NULL,'CENTRO','ITAJAÍ','SC',6871,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6356486,1.00,2.00,0.00,5.00,8.00,9.38,3.00,1.00,3.00,308,NULL,NULL,'BARREIRROS','S JOSÉ','SC',18572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356494,2.00,2.00,1.00,3.00,4.00,6.38,3.00,0.00,2.00,444,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',20074,140,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356508,6.00,6.00,1.00,4.00,5.00,8.63,2.00,1.00,2.00,238,NULL,208,'NOSSA SR DO ROSÁRIO','S JOSÉ','SC',16645,361,NULL,392,NULL,NULL,NULL,4,1),(25,6356516,4.00,3.00,1.00,3.00,4.00,6.38,0.00,3.00,0.00,335,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6356524,9.00,8.00,1.00,7.00,7.00,13.50,1.00,8.00,5.00,103,NULL,NULL,'ZONA SEIS','MARINGÁ','PR',1938,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6356532,8.00,7.00,3.00,7.00,9.00,12.00,2.00,7.00,8.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',966,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6356540,2.00,4.00,3.00,2.00,3.00,7.50,4.00,4.00,4.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',15353,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6356559,8.00,5.00,7.00,7.00,5.00,9.00,5.00,3.00,8.00,203,NULL,214,'KOBRASOL','S JOSÉ','SC',2947,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356567,9.00,6.00,6.00,7.00,9.00,8.63,4.00,8.00,7.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6356583,7.00,3.00,1.00,5.00,7.00,8.63,3.00,5.00,4.00,202,NULL,601,'BARREIROS','S JOSÉ','SC',9401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6356591,5.00,6.00,5.00,6.00,9.00,9.00,3.00,4.00,4.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',5209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6356605,5.00,5.00,1.00,5.00,10.00,6.75,1.00,2.00,4.00,102,NULL,NULL,'CENTRO','MOGI CRUZES','SP',10506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6356613,6.00,6.00,4.00,4.00,9.00,10.88,2.00,3.00,5.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7402,276,NULL,NULL,NULL,NULL,NULL,4,1),(25,6356621,1.00,4.00,2.00,2.00,4.00,6.75,0.00,0.00,0.00,453,NULL,NULL,'PROGRESSO','LAGUNA','SC',21657,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6356630,7.00,7.00,3.00,6.00,7.00,8.25,2.00,7.00,8.00,103,NULL,NULL,'JARDIM','S JOSÉ CEDRO','SC',2419,1459,NULL,NULL,NULL,NULL,NULL,2,4),(25,6356656,2.00,4.00,1.00,4.00,5.00,5.25,3.00,4.00,4.00,201,NULL,207,'KOBRASOL','S JOSÉ','SC',18309,1517,NULL,988,NULL,NULL,NULL,2,1),(25,6356672,3.00,6.00,3.00,3.00,5.00,7.88,3.00,4.00,3.00,211,NULL,601,'VILA NOVA','IMBITUBA','SC',13341,353,NULL,NULL,NULL,NULL,NULL,2,10),(25,6356680,5.00,6.00,3.00,3.00,6.00,8.63,2.00,6.00,4.00,234,NULL,NULL,'BARREIROS','S JOSÉ','SC',10245,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356702,7.00,6.00,1.00,5.00,9.00,8.25,6.00,7.00,7.00,103,NULL,NULL,'COUNTRY','CASCAVEL','PR',1788,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6356729,7.00,6.00,2.00,6.00,8.00,9.00,2.00,7.00,7.00,318,NULL,NULL,'JD PAULISTA','S JOSÉ CAMPOS','SP',2647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6356745,2.00,3.00,0.00,3.00,5.00,7.88,2.00,2.00,3.00,104,NULL,NULL,'CENTRO','RIO PARDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,202,'MORADA DO SOL','BARRA GARÇAS','MT',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6356761,6.00,7.00,3.00,6.00,8.00,7.88,1.00,6.00,6.00,216,NULL,653,'UNIVERSITÁRIO','LAGES','SC',5797,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6356770,5.00,0.00,5.00,7.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(25,6356788,3.00,4.00,2.00,3.00,7.00,9.75,2.00,4.00,2.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6356796,4.00,5.00,1.00,6.00,8.00,7.88,0.00,4.00,2.00,340,NULL,NULL,'N S DE LOURDES','CAMPOS NOVOS','SC',12303,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6356800,4.00,4.00,2.00,5.00,6.00,9.75,2.00,5.00,2.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',14062,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356818,3.00,6.00,2.00,5.00,7.00,6.00,0.00,5.00,3.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',12350,577,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356826,9.00,6.00,5.00,7.00,10.00,9.75,5.00,7.00,8.00,103,NULL,NULL,'CINCO COLÔNIAS','CANOAS','RS',644,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6356834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'PLANALTO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6356850,3.00,4.00,3.00,5.00,6.00,9.00,1.00,2.00,4.00,207,NULL,201,'CENTRO','LAGES','SC',13121,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6356869,3.00,6.00,2.00,1.00,1.00,NULL,2.00,3.00,1.00,238,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356877,2.00,3.00,4.00,6.00,9.00,8.25,2.00,3.00,3.00,201,NULL,233,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',10730,887,NULL,292,NULL,NULL,NULL,4,1),(25,6356885,4.00,5.00,4.00,4.00,5.00,8.63,1.00,4.00,3.00,104,NULL,NULL,'SANTO ANTONIO','RIO CEDROS','SC',10879,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6356893,2.00,8.00,2.00,5.00,7.00,6.75,2.00,4.00,3.00,601,NULL,235,'CENTRO','S JOAQUIM','SC',14076,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6356907,4.00,5.00,2.00,5.00,9.00,8.63,0.00,2.00,4.00,233,NULL,653,'RIO MAINA','CRICIÚMA','SC',11690,319,NULL,NULL,NULL,NULL,NULL,2,5),(25,6356915,6.00,5.00,2.00,6.00,5.00,6.75,1.00,3.00,3.00,104,NULL,NULL,'CENTRO','MELEIRO','SC',13929,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6356923,4.00,5.00,2.00,3.00,6.00,4.88,2.00,4.00,3.00,201,NULL,208,'PARQUE SAO JORGE','FLORIANÓPOLIS','SC',17008,1424,NULL,416,NULL,NULL,NULL,4,1),(25,6356931,2.00,1.00,3.00,3.00,3.00,NULL,1.00,0.00,0.00,225,NULL,NULL,'PRÓSPERA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6356940,6.00,6.00,3.00,5.00,8.00,7.50,4.00,4.00,7.00,203,NULL,214,'SERRARIA','S JOSÉ','SC',6129,470,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356958,1.00,4.00,2.00,0.00,3.00,4.50,0.00,1.00,2.00,316,NULL,NULL,'IPIRANGA','S JOSÉ','SC',21787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6356966,2.00,3.00,2.00,3.00,3.00,5.25,2.00,5.00,2.00,333,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6356974,6.00,4.00,4.00,6.00,5.00,8.63,3.00,5.00,6.00,208,NULL,201,'FAZENDA DOIS LAPACHO','STA TEREZINHA ITAIPU','PR',6570,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6356982,4.00,4.00,2.00,5.00,5.00,8.25,3.00,6.00,2.00,303,NULL,NULL,'CENTRO','TOLEDO','PR',13437,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6356990,4.00,6.00,2.00,5.00,6.00,8.63,2.00,2.00,2.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6357008,4.00,3.00,3.00,3.00,5.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(25,6357016,1.00,4.00,1.00,2.00,3.00,6.38,3.00,0.00,1.00,201,NULL,202,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6357024,5.00,8.00,0.00,7.00,6.00,9.38,1.00,6.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357040,2.00,3.00,3.00,5.00,3.00,NULL,1.00,0.00,2.00,202,NULL,235,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6357059,5.00,5.00,3.00,4.00,6.00,7.88,1.00,6.00,2.00,501,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',14426,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6357067,4.00,6.00,2.00,7.00,6.00,7.50,1.00,5.00,1.00,208,NULL,238,'SUPER QUADRA SUL','BRASÍLIA','DF',11947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357075,7.00,7.00,5.00,5.00,8.00,7.50,3.00,8.00,6.00,103,NULL,NULL,'CENTRO','TORRES','RS',3361,1844,NULL,NULL,NULL,NULL,NULL,4,15),(25,6357083,2.00,6.00,2.00,7.00,7.00,9.00,0.00,7.00,0.00,425,NULL,424,'PACHECOS','PALHOÇA','SC',13559,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6357091,7.00,6.00,6.00,7.00,9.00,11.63,5.00,7.00,7.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357105,6.00,8.00,7.00,6.00,10.00,11.25,4.00,8.00,9.00,201,NULL,NULL,'MOEMA','S PAULO','SP',197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357113,7.00,4.00,4.00,6.00,7.00,9.38,4.00,5.00,6.00,202,NULL,213,'SETE DE SETEMBRO','GASPAR','SC',3614,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6357121,4.00,4.00,3.00,2.00,6.00,6.75,1.00,1.00,1.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',20226,147,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357148,3.00,4.00,2.00,2.00,6.00,8.63,1.00,5.00,2.00,220,NULL,203,'PETROPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6357172,7.00,7.00,5.00,4.00,8.00,9.00,1.00,6.00,8.00,103,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',2618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FORTALEZA','RIO PARDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6357199,5.00,6.00,1.00,5.00,6.00,7.13,3.00,4.00,3.00,211,NULL,215,'CORREGO GRANDE','FLORIANÓPOLIS','SC',12487,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6357202,6.00,7.00,4.00,7.00,9.00,10.50,5.00,6.00,7.00,202,NULL,213,'COQUEIROS','FLORIANÓPOLIS','SC',1416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357210,2.00,6.00,2.00,4.00,8.00,9.38,2.00,2.00,0.00,238,NULL,208,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',14809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357229,9.00,7.00,6.00,3.00,9.00,7.88,3.00,5.00,7.00,203,NULL,220,'IMIGRANTES','ZORTÉA','SC',3548,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6357237,4.00,3.00,2.00,5.00,7.00,10.50,0.00,3.00,0.00,238,NULL,235,'CENTRO','ITAPEMA','SC',13663,242,NULL,316,NULL,NULL,NULL,4,3),(25,6357245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6357253,4.00,4.00,2.00,5.00,10.00,6.38,2.00,4.00,2.00,208,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',12488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357261,6.00,5.00,3.00,5.00,10.00,9.38,1.00,5.00,4.00,211,NULL,233,'CENTRO','BRAÇO NORTE','SC',5647,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6357270,5.00,6.00,4.00,6.00,7.00,7.50,4.00,3.00,4.00,336,NULL,NULL,'SAG CORAÇAO DE JESUS','LAGES','SC',6598,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6357288,4.00,7.00,0.00,5.00,7.00,9.38,3.00,2.00,2.00,101,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',14457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357296,4.00,6.00,2.00,5.00,7.00,8.63,1.00,4.00,3.00,999,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357300,4.00,6.00,3.00,6.00,6.00,6.38,3.00,6.00,6.00,203,NULL,202,'BOA PARADA','S PEDRO ALCÂNTARA','SC',8523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357318,3.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6357326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','CRUZ ALTA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6357342,2.00,3.00,1.00,4.00,6.00,9.00,1.00,6.00,4.00,501,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',16122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6357350,1.00,4.00,1.00,2.00,4.00,4.88,3.00,0.00,0.00,316,NULL,NULL,'PONTE DE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6357377,8.00,4.00,4.00,6.00,10.00,10.13,4.00,7.00,8.00,103,NULL,NULL,'NOVO HORIZONTE','MARINGÁ','PR',1417,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6357385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'STA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6357393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','URUGUAIANA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6357407,0.00,2.00,1.00,3.00,4.00,5.63,2.00,2.00,2.00,202,NULL,235,'PORTINHO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6357415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6357440,4.00,4.00,4.00,6.00,6.00,9.38,1.00,4.00,3.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357458,3.00,5.00,3.00,4.00,7.00,6.00,1.00,5.00,4.00,319,NULL,NULL,'PRAIA DO SONHO','PALHOÇA','SC',9803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6357466,4.00,2.00,2.00,2.00,5.00,6.75,2.00,4.00,2.00,318,NULL,NULL,'JD VALE VERDE','PALOTINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357474,4.00,3.00,0.00,5.00,6.00,9.38,0.00,5.00,3.00,502,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357482,4.00,6.00,1.00,4.00,6.00,9.38,1.00,6.00,2.00,303,NULL,NULL,'BELA VISTA','PALHOÇA','SC',12015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357504,5.00,6.00,3.00,7.00,7.00,10.13,3.00,5.00,5.00,213,NULL,208,'SERRINHA','FLORIANÓPOLIS','SC',6296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357512,6.00,6.00,3.00,5.00,6.00,8.63,2.00,4.00,5.00,109,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10746,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6357539,2.00,6.00,4.00,2.00,5.00,6.75,0.00,4.00,0.00,316,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',17825,191,NULL,NULL,NULL,NULL,NULL,2,1),(25,6357547,6.00,4.00,2.00,3.00,9.00,9.75,2.00,7.00,3.00,207,NULL,211,'VILA MOEMA','TUBARÃO','SC',7764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357555,2.00,2.00,1.00,0.00,3.00,7.50,1.00,1.00,2.00,207,NULL,233,'IPIRANGA','S JOSÉ','SC',21742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357563,3.00,5.00,2.00,4.00,3.00,NULL,0.00,2.00,0.00,453,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6357580,3.00,2.00,1.00,0.00,4.00,8.63,0.00,0.00,2.00,304,NULL,NULL,'CAMPINAS','S JOSÉ','SC',20102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357598,3.00,2.00,1.00,2.00,4.00,7.88,1.00,1.00,0.00,104,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6357601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'CENTRO','LEOBERTO LEAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6357610,7.00,5.00,5.00,7.00,9.00,7.50,4.00,7.00,5.00,103,NULL,NULL,'JARDIM','IJUÍ','RS',2768,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6357628,2.00,3.00,2.00,1.00,1.00,NULL,1.00,0.00,2.00,551,NULL,NULL,'CENTRO','S CRISTÓVÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6357636,2.00,5.00,3.00,3.00,7.00,8.63,0.00,2.00,1.00,319,NULL,NULL,'SAO SEBASTIAO','PALHOÇA','SC',19802,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6357652,5.00,0.00,2.00,5.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6357660,3.00,5.00,2.00,3.00,8.00,9.38,3.00,5.00,2.00,220,NULL,235,'CACHOEIRA DE EMAS','PIRASSUNUNGA','SP',12486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357687,3.00,4.00,1.00,1.00,9.00,9.75,2.00,3.00,1.00,428,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',13692,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6357695,4.00,3.00,4.00,2.00,4.00,7.88,2.00,1.00,2.00,203,NULL,214,'GUILHERME REICH','CONCÓRDIA','SC',16606,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6357709,2.00,5.00,3.00,2.00,2.00,NULL,2.00,8.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,6),(25,6357717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM OLIVEIRA','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',3,8),(25,6357733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,238,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6357741,8.00,0.00,2.00,2.00,10.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(25,6357750,2.00,2.00,2.00,3.00,4.00,8.25,1.00,3.00,3.00,203,NULL,NULL,'BARREIROS','S JOSÉ','SC',20737,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357768,4.00,3.00,1.00,3.00,4.00,8.25,3.00,2.00,1.00,208,NULL,655,'TABULEIRO','ITAPEMA','SC',16648,393,NULL,79,NULL,NULL,NULL,2,3),(25,6357776,5.00,7.00,3.00,5.00,10.00,10.50,3.00,7.00,4.00,428,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357784,8.00,7.00,6.00,7.00,9.00,9.00,3.00,8.00,9.00,220,NULL,233,'SANTA MÔNICA','FLORIANÓPOLIS','SC',1024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357792,3.00,7.00,2.00,5.00,7.00,11.25,2.00,4.00,4.00,327,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357806,3.00,5.00,0.00,6.00,7.00,NULL,3.00,1.00,2.00,999,NULL,NULL,'SOSSEGO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6357814,3.00,4.00,3.00,2.00,4.00,7.88,4.00,6.00,2.00,503,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357830,8.00,8.00,1.00,5.00,8.00,9.00,3.00,5.00,6.00,207,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',2567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6357849,0.00,0.00,0.00,1.00,1.00,NULL,2.00,2.00,2.00,208,NULL,NULL,'CAEIRA SACO DOS LIMÕ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357857,5.00,3.00,3.00,4.00,9.00,7.13,1.00,5.00,5.00,108,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',8777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357865,2.00,0.00,0.00,0.00,8.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6357873,2.00,5.00,3.00,3.00,4.00,9.75,1.00,1.00,2.00,503,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',19684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,653,'FLANDRIA','POMPÉIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6357903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6357911,4.00,3.00,2.00,2.00,5.00,7.50,1.00,1.00,0.00,220,NULL,202,'JARDIM ITÁLIA','CHAPECÓ','SC',19828,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6357938,7.00,6.00,4.00,2.00,10.00,10.50,4.00,6.00,7.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',3928,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6357946,2.00,5.00,1.00,4.00,5.00,8.63,0.00,2.00,3.00,101,NULL,NULL,'CENTO','FLORIANÓPOLIS','SC',19345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6357962,6.00,7.00,5.00,5.00,9.00,10.13,5.00,6.00,2.00,104,NULL,NULL,'BOA VISTA','JOINVILLE','SC',3898,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6357989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6357997,2.00,3.00,1.00,0.00,4.00,8.25,2.00,1.00,2.00,653,NULL,652,'POLÍCIA RODOVIÁRIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6358004,6.00,6.00,6.00,7.00,9.00,11.25,7.00,6.00,7.00,103,NULL,NULL,'TIRADENTES','CPO GRANDE','MS',706,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358012,4.00,4.00,2.00,4.00,6.00,7.13,4.00,2.00,0.00,2,NULL,NULL,'CENTRO','CASCAVEL','PR',16718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6358020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6358039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,207,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6358047,1.00,4.00,1.00,0.00,4.00,NULL,2.00,4.00,1.00,653,NULL,652,'POLICIA RODOVIARIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6358055,3.00,0.00,0.00,3.00,4.00,NULL,1.00,2.00,0.00,5,NULL,NULL,'GUAIUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6358063,6.00,6.00,5.00,7.00,7.00,8.25,2.00,6.00,5.00,238,NULL,601,'AGRONÔMICA','FLORIANÓPOLIS','SC',5334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6358071,2.00,3.00,1.00,2.00,6.00,5.25,3.00,0.00,4.00,327,NULL,NULL,'PRAINHA','IMARUÍ','SC',20943,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6358080,3.00,3.00,1.00,4.00,6.00,NULL,3.00,0.00,1.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6358098,4.00,1.00,2.00,4.00,4.00,8.25,1.00,1.00,0.00,999,NULL,NULL,'CAMPO DE FORA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358101,1.00,3.00,2.00,5.00,6.00,NULL,1.00,0.00,2.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358110,4.00,5.00,6.00,2.00,5.00,6.75,2.00,2.00,5.00,201,NULL,207,'JARDIM GIRASSOL','DOURADOS','MS',11381,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6358128,4.00,2.00,0.00,4.00,5.00,NULL,2.00,3.00,3.00,332,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'JARDIM DOS PRÍNCIPES','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6358144,4.00,2.00,5.00,6.00,7.00,10.50,1.00,3.00,4.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',9641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6358179,4.00,4.00,1.00,4.00,6.00,8.25,1.00,6.00,4.00,316,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',14874,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6358187,3.00,4.00,1.00,3.00,4.00,8.63,1.00,1.00,2.00,503,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358209,3.00,4.00,0.00,4.00,7.00,NULL,4.00,1.00,1.00,316,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6358217,6.00,5.00,1.00,4.00,6.00,8.25,1.00,6.00,3.00,420,NULL,NULL,'TIFA MARTINS','JARAGUÁ SUL','SC',11724,95,NULL,NULL,NULL,NULL,NULL,4,8),(25,6358225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6358241,5.00,5.00,4.00,4.00,5.00,8.63,4.00,7.00,4.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7885,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6358276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','S GOTARDO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6358284,4.00,2.00,2.00,2.00,3.00,6.75,4.00,1.00,2.00,220,NULL,NULL,'SETOR NOVE','JARU','RO',19546,477,NULL,NULL,NULL,NULL,NULL,2,7),(25,6358292,4.00,7.00,0.00,3.00,8.00,6.75,1.00,4.00,4.00,104,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15576,412,NULL,NULL,NULL,NULL,NULL,4,1),(25,6358306,8.00,5.00,4.00,7.00,9.00,11.25,3.00,9.00,8.00,104,NULL,NULL,'CENTRO','STA MARIA','RS',765,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358314,7.00,8.00,6.00,6.00,8.00,10.13,4.00,6.00,6.00,203,NULL,201,'PORTÃO','CURITIBA','PR',1475,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6358322,4.00,0.00,1.00,4.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZANUZO','VARGEÃO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(25,6358349,7.00,8.00,5.00,6.00,10.00,11.63,1.00,6.00,6.00,104,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',1164,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358357,3.00,3.00,0.00,1.00,3.00,7.50,1.00,0.00,1.00,652,NULL,NULL,'POLICIA RODOVIÁRIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6358373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'BOQUEIRAO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6358381,4.00,3.00,2.00,3.00,3.00,6.38,2.00,1.00,2.00,201,NULL,202,'FORQUILHINHAS','S JOSÉ','SC',19182,1574,NULL,604,NULL,NULL,NULL,2,1),(25,6358403,7.00,6.00,4.00,7.00,8.00,9.75,1.00,4.00,6.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',4543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6358411,4.00,6.00,3.00,1.00,5.00,5.25,2.00,0.00,2.00,502,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',20354,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358420,1.00,2.00,3.00,1.00,6.00,7.88,2.00,2.00,3.00,425,NULL,427,'SANTA LUZIA','CAPÃO CANOA','RS',17897,66,NULL,NULL,NULL,NULL,NULL,4,1),(25,6358438,1.00,4.00,1.00,1.00,6.00,9.38,1.00,4.00,3.00,420,NULL,NULL,'ITINGA','JOINVILLE','SC',17158,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6358446,3.00,5.00,2.00,4.00,7.00,7.13,3.00,6.00,3.00,428,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',11909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358454,2.00,2.00,3.00,3.00,6.00,0.00,1.00,2.00,2.00,5,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6358462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA AMÁLIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6358470,2.00,6.00,0.00,4.00,8.00,10.88,2.00,4.00,1.00,104,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6358489,2.00,3.00,1.00,4.00,5.00,6.75,0.00,1.00,3.00,212,NULL,601,'JARDIM BLUMENAU','BLUMENAU','SC',20695,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6358497,6.00,4.00,0.00,3.00,8.00,NULL,0.00,5.00,2.00,103,NULL,NULL,'CENTRO','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358500,6.00,4.00,2.00,2.00,4.00,8.25,1.00,3.00,3.00,201,NULL,601,'RIO BRANCO','GUARAMIRIM','SC',18741,1541,NULL,524,NULL,NULL,NULL,4,8),(25,6358519,7.00,7.00,5.00,4.00,8.00,11.63,2.00,5.00,7.00,203,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',3886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358535,2.00,7.00,1.00,3.00,7.00,9.75,2.00,6.00,2.00,655,NULL,652,'COMERCIARIO','CRICIÚMA','SC',14619,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6358543,2.00,0.00,2.00,3.00,5.00,7.88,3.00,3.00,1.00,335,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358551,4.00,2.00,1.00,2.00,3.00,6.75,1.00,1.00,3.00,999,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358560,2.00,4.00,3.00,7.00,9.00,7.13,3.00,4.00,4.00,238,NULL,208,'PANTANAL','FLORIANÓPOLIS','SC',10557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6358594,3.00,5.00,4.00,6.00,6.00,NULL,0.00,4.00,3.00,225,NULL,NULL,'CENTRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6358608,6.00,8.00,1.00,7.00,7.00,9.75,3.00,8.00,7.00,340,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',3149,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6358616,2.00,1.00,0.00,3.00,3.00,NULL,1.00,2.00,0.00,551,NULL,NULL,'LIBERDADE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6358632,3.00,4.00,2.00,3.00,7.00,7.13,1.00,3.00,3.00,103,NULL,NULL,'SANTO ANTONIO','CRICIÚMA','SC',17448,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6358640,1.00,4.00,3.00,3.00,6.00,7.50,0.00,4.00,1.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6358659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6358667,7.00,5.00,5.00,7.00,7.00,7.88,4.00,6.00,9.00,103,NULL,NULL,'MOOCA','S PAULO','SP',2291,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6358675,8.00,6.00,1.00,4.00,7.00,9.00,2.00,4.00,5.00,319,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',6817,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358691,8.00,6.00,4.00,6.00,11.00,10.50,1.00,7.00,5.00,420,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',1854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6358705,6.00,6.00,5.00,5.00,8.00,8.63,2.00,6.00,5.00,319,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5592,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358721,1.00,6.00,2.00,1.00,10.00,NULL,0.00,6.00,4.00,9,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(25,6358730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6358748,4.00,5.00,0.00,4.00,7.00,6.75,0.00,4.00,3.00,211,NULL,215,'CARVOEIRA','FLORIANÓPOLIS','SC',15230,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358756,2.00,4.00,0.00,1.00,4.00,8.63,1.00,3.00,2.00,333,NULL,NULL,'BARREIROS','S JOSÉ','SC',19027,148,NULL,NULL,NULL,NULL,NULL,4,1),(25,6358764,2.00,5.00,1.00,2.00,6.00,6.75,4.00,2.00,5.00,335,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19028,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358772,5.00,7.00,5.00,3.00,8.00,7.13,1.00,6.00,5.00,304,NULL,NULL,'AEROPORTO','TUBARÃO','SC',8551,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6358780,3.00,8.00,1.00,5.00,9.00,9.75,2.00,5.00,4.00,303,NULL,NULL,'CENTRO','JAGUARUNA','SC',7404,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6358799,4.00,4.00,2.00,4.00,4.00,10.50,1.00,1.00,5.00,3,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',16683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6358802,2.00,4.00,2.00,1.00,3.00,5.63,1.00,2.00,0.00,551,NULL,NULL,'INTERIOR','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6358829,2.00,3.00,2.00,3.00,4.00,6.38,3.00,5.00,3.00,208,NULL,NULL,'FAZENDA UM','ÁGUAS MORNAS','SC',17460,433,NULL,NULL,NULL,NULL,NULL,4,1),(25,6358837,5.00,5.00,1.00,5.00,9.00,12.75,2.00,7.00,5.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6358845,2.00,4.00,1.00,2.00,4.00,6.00,2.00,4.00,2.00,324,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',18941,18,NULL,NULL,NULL,NULL,NULL,4,1),(25,6358853,5.00,6.00,4.00,5.00,10.00,9.00,1.00,7.00,4.00,211,NULL,207,'CENTRO','STO AMARO IMPERATRIZ','SC',6906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,203,'JARDIM MACEDO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6358870,7.00,6.00,5.00,6.00,8.00,11.63,1.00,6.00,7.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',2817,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6358888,2.00,5.00,2.00,4.00,6.00,6.38,2.00,5.00,2.00,451,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',17593,29,NULL,NULL,NULL,NULL,NULL,4,1),(25,6358896,2.00,2.00,1.00,0.00,3.00,6.38,1.00,0.00,1.00,101,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',21594,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358900,1.00,5.00,2.00,6.00,8.00,9.00,1.00,6.00,2.00,653,NULL,213,'CENTRO','TREZE MAIO','SC',14226,NULL,NULL,NULL,NULL,NULL,NULL,5,10),(25,6358918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6358926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'INTERIOR','PINHEIRO PRETO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6358934,4.00,6.00,3.00,5.00,6.00,9.38,1.00,5.00,1.00,238,NULL,208,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',14860,289,NULL,322,NULL,NULL,NULL,2,1),(25,6358942,2.00,2.00,2.00,2.00,2.00,NULL,0.00,1.00,1.00,335,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6358950,8.00,7.00,5.00,7.00,9.00,12.75,3.00,6.00,7.00,103,NULL,NULL,'REDENTORA','S JOSÉ R PRETO','SP',491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6358969,5.00,6.00,4.00,4.00,6.00,7.50,1.00,5.00,4.00,5,NULL,NULL,'SAO JOÃO','ITAJAÍ','SC',11062,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6358977,6.00,6.00,5.00,5.00,7.00,9.75,3.00,5.00,1.00,201,NULL,202,'CENTRO','JOAÇABA','SC',7258,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6358993,4.00,3.00,0.00,3.00,6.00,9.00,0.00,5.00,1.00,317,NULL,NULL,'CENTRO','PALHOÇA','SC',16746,105,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359000,4.00,4.00,3.00,2.00,6.00,8.25,2.00,4.00,5.00,601,NULL,203,'AVENTUREIRO','JOINVILLE','SC',13582,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6359019,4.00,7.00,1.00,6.00,8.00,10.88,1.00,5.00,5.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',9067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359027,5.00,5.00,1.00,6.00,8.00,10.88,2.00,4.00,2.00,427,NULL,423,'TRINDADE','FLORIANÓPOLIS','SC',11975,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6359043,5.00,5.00,3.00,6.00,5.00,8.25,5.00,3.00,5.00,235,NULL,601,'GLÓRIA','JOINVILLE','SC',6629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359051,4.00,4.00,1.00,4.00,9.00,7.13,2.00,1.00,3.00,404,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',16158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ADRIANÓPOLIS','MANAUS','AM',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6359086,1.00,3.00,1.00,3.00,4.00,8.63,1.00,3.00,1.00,207,NULL,201,'SANTA MARIA','ANTÔNIO CARLOS','SC',18637,1001,NULL,1532,NULL,NULL,NULL,2,1),(25,6359094,5.00,3.00,2.00,2.00,6.00,10.50,1.00,1.00,4.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16974,255,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359108,4.00,5.00,3.00,3.00,6.00,5.63,3.00,4.00,2.00,336,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',13609,101,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359116,3.00,4.00,0.00,7.00,7.00,8.63,1.00,2.00,0.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359124,3.00,6.00,0.00,5.00,8.00,NULL,3.00,3.00,2.00,102,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359132,5.00,7.00,2.00,7.00,6.00,8.25,2.00,5.00,4.00,235,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',8980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359140,7.00,5.00,3.00,4.00,8.00,7.50,1.00,5.00,6.00,601,NULL,216,'BOM RETIRO','JOINVILLE','SC',9368,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6359159,7.00,7.00,4.00,4.00,9.00,7.50,4.00,8.00,6.00,201,NULL,212,'CENTRO','CANELINHA','SC',2401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359167,5.00,7.00,5.00,4.00,6.00,9.38,3.00,6.00,6.00,333,NULL,NULL,'CENTRO','PALHOÇA','SC',6940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359183,4.00,6.00,2.00,7.00,9.00,9.38,2.00,5.00,5.00,207,NULL,208,'CORREGO GRANDE','FLORIANÓPOLIS','SC',7465,332,NULL,NULL,NULL,NULL,NULL,5,1),(25,6359191,1.00,5.00,2.00,3.00,3.00,7.13,3.00,1.00,0.00,316,NULL,NULL,'CENTRO','PR GRANDE','SC',21239,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6359205,5.00,7.00,1.00,4.00,6.00,7.13,2.00,5.00,3.00,207,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',11102,575,NULL,246,NULL,NULL,NULL,4,1),(25,6359213,4.00,5.00,1.00,3.00,5.00,9.00,2.00,3.00,2.00,202,NULL,213,'CANASVIEIRAS','FLORIANÓPOLIS','SC',16256,510,NULL,241,NULL,NULL,NULL,2,1),(25,6359221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'INTERIOR','TIMBÓ GRANDE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6359230,1.00,4.00,1.00,2.00,5.00,7.50,2.00,5.00,0.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',20594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6359256,4.00,5.00,2.00,2.00,9.00,5.25,0.00,7.00,1.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',17041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359264,3.00,2.00,0.00,1.00,4.00,4.88,2.00,0.00,1.00,202,NULL,203,'PRAIA DE FORA','PALHOÇA','SC',21488,679,NULL,1166,NULL,NULL,NULL,2,1),(25,6359272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6359280,1.00,0.00,0.00,1.00,2.00,NULL,2.00,0.00,1.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRUJILLO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6359302,2.00,4.00,2.00,2.00,4.00,9.00,3.00,5.00,2.00,211,NULL,201,'VELHA CENTRAL','BLUMENAU','SC',18922,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6359310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6359329,2.00,7.00,1.00,3.00,5.00,NULL,0.00,3.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6359345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6359353,6.00,4.00,2.00,5.00,8.00,7.88,1.00,5.00,3.00,340,NULL,NULL,'JD PEGOLO','JALES','SP',9757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359361,3.00,3.00,0.00,3.00,6.00,11.25,2.00,4.00,1.00,224,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359370,2.00,0.00,1.00,1.00,2.00,NULL,2.00,1.00,1.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359388,5.00,5.00,2.00,5.00,7.00,6.75,1.00,6.00,4.00,102,NULL,NULL,'CENTRO','CATANDUVAS','SC',8793,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6359400,5.00,7.00,4.00,6.00,9.00,10.13,2.00,6.00,4.00,318,NULL,NULL,'ARÍRIBA','BAL CAMBORIÚ','SC',6759,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6359418,3.00,4.00,2.00,3.00,6.00,6.38,1.00,5.00,1.00,233,NULL,601,'SANTANA','STO AMARO IMPERATRIZ','SC',17202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359434,5.00,4.00,2.00,4.00,7.00,8.25,3.00,2.00,0.00,601,NULL,233,'NAÇÕES','CONCÓRDIA','SC',15680,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6359442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6359450,9.00,7.00,6.00,6.00,9.00,10.50,4.00,8.00,9.00,103,NULL,NULL,'EMBARÉ','SANTOS','SP',572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359469,5.00,3.00,1.00,5.00,6.00,10.50,2.00,4.00,3.00,207,NULL,201,'CERÂMICA','ERECHIM','RS',10735,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6359477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6359485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6359493,2.00,5.00,1.00,6.00,6.00,NULL,0.00,2.00,1.00,999,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(25,6359507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6359515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6359523,4.00,4.00,1.00,3.00,7.00,5.25,2.00,3.00,1.00,203,NULL,235,'TAJUBA II','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359531,2.00,6.00,2.00,2.00,4.00,6.00,1.00,5.00,3.00,207,NULL,201,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','PAIÇANDU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6359566,2.00,5.00,3.00,5.00,3.00,7.13,2.00,4.00,0.00,425,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JD CONTINENTAL','GUARARAPES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6359582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA ANA','OSVALDO CRUZ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6359590,2.00,5.00,1.00,1.00,5.00,8.25,3.00,3.00,2.00,301,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',19876,282,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359604,2.00,3.00,0.00,2.00,3.00,5.63,1.00,1.00,3.00,452,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',21358,133,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359612,5.00,3.00,1.00,3.00,6.00,10.50,0.00,2.00,4.00,207,NULL,211,'CENTRO','JOAÇABA','SC',17282,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6359639,5.00,6.00,1.00,6.00,10.00,9.38,1.00,5.00,1.00,109,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',11948,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359647,8.00,6.00,3.00,7.00,9.00,7.88,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','BOM SUCESSO','PR',2159,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6359655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6359663,5.00,6.00,3.00,3.00,6.00,9.38,1.00,6.00,3.00,316,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',11511,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359671,3.00,5.00,4.00,4.00,6.00,6.38,2.00,4.00,3.00,2,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13403,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359680,5.00,5.00,0.00,3.00,5.00,6.38,1.00,2.00,1.00,234,NULL,NULL,'RIBEIRAÕ DA ILHA','FLORIANÓPOLIS','SC',17102,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359698,5.00,6.00,1.00,6.00,6.00,7.88,2.00,3.00,4.00,234,NULL,NULL,'MOINHOS','LAJEADO','RS',13897,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6359701,5.00,3.00,5.00,5.00,8.00,8.63,0.00,4.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5603,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6359736,2.00,4.00,5.00,3.00,7.00,8.63,3.00,7.00,5.00,453,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359744,4.00,5.00,3.00,2.00,2.00,NULL,3.00,4.00,3.00,233,NULL,655,'REGINA','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6359752,6.00,4.00,2.00,7.00,8.00,6.00,2.00,2.00,5.00,201,NULL,212,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',9780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359760,3.00,7.00,2.00,4.00,4.00,7.88,1.00,1.00,2.00,203,NULL,214,'CENTRO','PINHALZINHO','SC',15804,967,NULL,369,NULL,NULL,NULL,2,4),(25,6359779,1.00,3.00,2.00,3.00,4.00,10.13,1.00,3.00,1.00,208,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',18510,475,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','APIÚNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6359795,2.00,3.00,1.00,1.00,3.00,7.88,2.00,0.00,3.00,601,NULL,203,'CENTRO','BARRA VELHA','SC',19738,554,NULL,1092,NULL,NULL,NULL,2,8),(25,6359809,2.00,3.00,2.00,5.00,6.00,5.25,1.00,1.00,0.00,207,NULL,211,'ALVORADA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6359817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6359825,3.00,4.00,1.00,2.00,4.00,7.50,0.00,2.00,4.00,327,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19902,64,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359833,5.00,6.00,1.00,5.00,6.00,9.75,1.00,7.00,4.00,415,NULL,NULL,'JARDIM IRAJÁ','RIBEIRÃO PRETO','SP',7126,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6359850,0.00,2.00,2.00,3.00,6.00,7.13,2.00,2.00,3.00,427,NULL,423,'AGRONÔMICA','FLORIANÓPOLIS','SC',21069,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359876,2.00,2.00,2.00,2.00,5.00,NULL,1.00,1.00,4.00,324,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6359884,9.00,7.00,6.00,6.00,9.00,9.38,4.00,7.00,8.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',855,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6359892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'RECIFE','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6359906,5.00,4.00,3.00,6.00,7.00,8.63,1.00,4.00,1.00,5,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',15450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359914,5.00,5.00,3.00,5.00,6.00,4.88,4.00,3.00,5.00,551,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359922,5.00,6.00,4.00,5.00,8.00,7.50,1.00,4.00,5.00,327,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',7863,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359930,2.00,2.00,2.00,2.00,4.00,7.50,2.00,2.00,1.00,309,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359949,1.00,3.00,0.00,2.00,2.00,NULL,0.00,0.00,1.00,5,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6359957,1.00,1.00,1.00,1.00,4.00,7.88,2.00,2.00,1.00,104,NULL,NULL,'CENTRO','IMARUÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6359965,3.00,5.00,2.00,2.00,5.00,NULL,0.00,3.00,1.00,5,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6359973,4.00,5.00,2.00,3.00,7.00,10.13,0.00,4.00,2.00,108,NULL,NULL,'CENTRO','POÇOS CALDAS','MG',15492,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6359981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6359990,2.00,4.00,2.00,3.00,7.00,8.25,3.00,3.00,3.00,337,NULL,NULL,'CENTRO','SAUDADES','SC',14185,25,NULL,NULL,NULL,NULL,NULL,2,4),(25,6360009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','IPUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6360017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6360025,3.00,6.00,3.00,6.00,10.00,8.63,1.00,2.00,6.00,415,NULL,NULL,'KOBRASSOL','S JOSÉ','SC',7707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'TERMAS','GRAVATAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6360041,3.00,4.00,1.00,1.00,4.00,NULL,1.00,3.00,0.00,202,NULL,235,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360050,7.00,6.00,1.00,3.00,8.00,9.00,1.00,1.00,3.00,310,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360068,1.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6360076,3.00,3.00,3.00,3.00,6.00,8.63,1.00,3.00,2.00,302,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',17410,139,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360084,6.00,7.00,2.00,5.00,10.00,8.25,2.00,7.00,3.00,301,NULL,NULL,'JARD VICTOR MEIRELES','STA RITA P QUATRO','SP',4787,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360092,5.00,6.00,1.00,5.00,9.00,9.00,3.00,5.00,3.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8848,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6360106,2.00,4.00,1.00,1.00,3.00,4.50,0.00,4.00,3.00,501,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360114,6.00,7.00,1.00,5.00,9.00,9.75,2.00,5.00,5.00,108,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5674,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6360130,3.00,8.00,2.00,4.00,7.00,NULL,0.00,5.00,2.00,238,NULL,208,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6360149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BELMONTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6360157,8.00,7.00,4.00,6.00,9.00,9.00,4.00,6.00,6.00,214,NULL,235,'BAIRRO PETRÓPOLIS','PTO ALEGRE','RS',2363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360165,5.00,3.00,3.00,4.00,7.00,6.00,1.00,2.00,4.00,444,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',16814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360173,4.00,4.00,0.00,4.00,7.00,8.63,1.00,4.00,2.00,453,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',14174,97,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360181,3.00,7.00,3.00,4.00,7.00,8.63,0.00,4.00,3.00,451,NULL,NULL,'ALVORADA','VIDEIRA','SC',10426,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6360203,7.00,6.00,0.00,3.00,8.00,10.13,2.00,4.00,7.00,103,NULL,NULL,'LA SALLE','PATO BRANCO','PR',6245,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6360211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6360220,5.00,5.00,3.00,2.00,3.00,7.13,0.00,2.00,2.00,104,NULL,NULL,'SÃO CAETANO','CONTAGEM','MG',17946,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6360238,4.00,0.00,4.00,3.00,6.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6360246,3.00,7.00,0.00,6.00,10.00,9.00,1.00,4.00,3.00,338,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',11988,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6360254,0.00,4.00,2.00,1.00,2.00,NULL,3.00,1.00,2.00,103,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6360262,2.00,4.00,4.00,6.00,8.00,7.13,3.00,3.00,1.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',14442,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6360270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6360289,4.00,5.00,1.00,5.00,5.00,9.75,0.00,7.00,4.00,319,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',9809,147,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360297,3.00,2.00,0.00,2.00,4.00,NULL,0.00,1.00,1.00,309,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6360300,4.00,3.00,2.00,7.00,8.00,8.25,0.00,3.00,2.00,652,NULL,655,'COMERCIARIO','CRICIÚMA','SC',16101,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6360319,6.00,5.00,0.00,7.00,7.00,9.00,4.00,3.00,6.00,336,NULL,NULL,'CENTRO','LAGES','SC',8356,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6360327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6360335,2.00,4.00,1.00,2.00,3.00,NULL,2.00,0.00,3.00,102,NULL,NULL,'CENTRO','STA HELENA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6360343,6.00,6.00,6.00,5.00,6.00,9.00,3.00,6.00,6.00,450,NULL,NULL,'CENTRO','ARACAJU','SE',5563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FANNY','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6360360,0.00,1.00,0.00,0.00,1.00,NULL,0.00,4.00,0.00,101,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6360378,1.00,3.00,2.00,4.00,5.00,7.50,1.00,2.00,0.00,302,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',21183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6360394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6360408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6360416,5.00,7.00,5.00,5.00,9.00,12.00,3.00,5.00,7.00,3,NULL,NULL,'CENTRO','IMBITUBA','SC',2466,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6360424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6360432,4.00,1.00,3.00,2.00,6.00,7.13,0.00,3.00,0.00,101,NULL,NULL,'FAZENDA','BIGUAÇU','SC',21018,170,NULL,NULL,NULL,NULL,NULL,2,1),(25,6360440,2.00,6.00,1.00,3.00,8.00,7.50,2.00,5.00,1.00,654,NULL,NULL,'SANGA DO ENGENHO','FORQUILHINHA','SC',16013,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6360459,5.00,4.00,0.00,0.00,5.00,NULL,2.00,2.00,1.00,303,NULL,NULL,'ENCANTADA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6360467,4.00,2.00,2.00,2.00,2.00,NULL,2.00,3.00,0.00,233,NULL,235,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360475,2.00,3.00,1.00,1.00,6.00,4.50,2.00,4.00,4.00,999,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6360491,6.00,5.00,2.00,4.00,6.00,9.38,1.00,3.00,4.00,201,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',10233,836,NULL,295,NULL,NULL,NULL,4,1),(25,6360505,4.00,4.00,2.00,3.00,5.00,7.88,1.00,3.00,2.00,551,NULL,NULL,'INTERIOR','IBICARÉ','SC',16305,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6360513,7.00,4.00,5.00,6.00,10.00,10.13,1.00,4.00,6.00,207,NULL,212,'BARREIROS','S JOSÉ','SC',5182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6360521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMÉRICA','VILHENA','RO',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6360530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6360548,5.00,5.00,1.00,5.00,6.00,NULL,0.00,6.00,2.00,103,NULL,NULL,'VERENA','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,6),(25,6360556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6360572,2.00,6.00,3.00,4.00,8.00,8.25,3.00,6.00,4.00,225,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6360580,6.00,6.00,4.00,4.00,6.00,8.25,1.00,6.00,3.00,103,NULL,NULL,'ITACORIBI','FLORIANÓPOLIS','SC',8630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6360599,1.00,4.00,3.00,5.00,2.00,NULL,1.00,4.00,3.00,444,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6360602,2.00,5.00,3.00,2.00,3.00,NULL,3.00,3.00,0.00,319,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360610,5.00,0.00,2.00,5.00,7.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6360629,4.00,7.00,3.00,5.00,7.00,9.38,3.00,5.00,3.00,502,NULL,NULL,'ARVOREDO','CONCÓRDIA','SC',7720,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6360637,5.00,6.00,1.00,7.00,7.00,8.63,3.00,1.00,3.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',12312,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6360645,3.00,4.00,2.00,4.00,6.00,8.63,2.00,3.00,5.00,208,NULL,655,'PRAIA COMPRIDA','S JOSÉ','SC',15499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360653,4.00,4.00,3.00,1.00,4.00,7.50,1.00,2.00,1.00,319,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6360661,3.00,2.00,2.00,3.00,5.00,6.38,2.00,3.00,0.00,214,NULL,213,'PROGRESSO','S PEDRO SERRA','RS',18422,408,NULL,269,NULL,NULL,NULL,4,1),(25,6360670,2.00,1.00,2.00,2.00,0.00,NULL,1.00,2.00,0.00,551,NULL,NULL,'MENINO DEUS','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6360696,3.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,214,NULL,213,'CENTRO','ERVAL GRANDE','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(25,6360700,3.00,5.00,3.00,3.00,7.00,6.75,0.00,1.00,2.00,425,NULL,429,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,207,'PQ BELVEDERE','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6360726,2.00,2.00,3.00,4.00,5.00,7.50,2.00,2.00,3.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',20303,690,NULL,NULL,NULL,NULL,NULL,2,1),(25,6360769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S VICENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6360777,3.00,2.00,3.00,5.00,5.00,7.88,3.00,2.00,1.00,109,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6360785,2.00,2.00,4.00,1.00,3.00,8.25,0.00,3.00,0.00,428,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',21587,56,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360793,5.00,7.00,2.00,7.00,8.00,9.38,2.00,6.00,3.00,429,NULL,426,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360807,8.00,6.00,2.00,7.00,9.00,10.13,3.00,5.00,5.00,103,NULL,NULL,'VILA CERQUEIRA','AMÉRICO BRASILIENSE','SP',2465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360815,1.00,3.00,2.00,3.00,3.00,6.00,1.00,0.00,1.00,316,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',21752,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6360823,2.00,3.00,3.00,3.00,6.00,6.38,1.00,1.00,0.00,453,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',18610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360840,2.00,2.00,3.00,3.00,6.00,6.75,3.00,4.00,3.00,551,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',19266,44,NULL,NULL,NULL,NULL,NULL,2,16),(25,6360858,5.00,4.00,1.00,4.00,5.00,8.25,2.00,6.00,5.00,340,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360866,1.00,5.00,2.00,2.00,5.00,6.75,2.00,5.00,2.00,423,NULL,426,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',18621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6360874,1.00,4.00,2.00,2.00,5.00,9.00,1.00,0.00,1.00,103,NULL,NULL,'CENTRO','VARGEM BONITA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6360882,4.00,6.00,3.00,6.00,5.00,6.00,1.00,2.00,5.00,238,NULL,208,'VILA MOEMA','TUBARÃO','SC',15747,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6360890,1.00,2.00,1.00,2.00,2.00,NULL,2.00,1.00,0.00,319,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6360912,3.00,7.00,1.00,4.00,7.00,6.75,2.00,1.00,2.00,425,NULL,429,'CAMINHO NOVO','PALHOÇA','SC',19359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6360920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6360955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','AT BELA VISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6360963,3.00,4.00,4.00,4.00,4.00,10.13,1.00,4.00,4.00,452,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15533,91,NULL,NULL,NULL,NULL,NULL,2,1),(25,6360971,2.00,2.00,2.00,1.00,5.00,5.25,2.00,4.00,2.00,502,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',21425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6360980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6360998,8.00,7.00,6.00,5.00,8.00,11.25,1.00,7.00,7.00,103,NULL,NULL,'PINEVILLE','PINHAIS','PR',1971,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6361005,5.00,7.00,5.00,7.00,9.00,7.88,3.00,8.00,5.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361021,4.00,4.00,6.00,6.00,8.00,9.75,4.00,5.00,5.00,238,NULL,208,'RIO VERMELHO','FLORIANÓPOLIS','SC',6592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361030,3.00,5.00,3.00,5.00,4.00,8.63,4.00,3.00,4.00,339,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361048,3.00,4.00,0.00,3.00,5.00,NULL,2.00,3.00,0.00,103,NULL,NULL,'CENTRO','IRANI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6361056,0.00,1.00,1.00,2.00,4.00,7.13,0.00,0.00,0.00,316,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6361064,3.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,235,NULL,201,'SEGUNDO PLANO','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6361072,4.00,6.00,1.00,3.00,9.00,10.13,1.00,6.00,2.00,331,NULL,NULL,'BELA VISTA','BRAÇO NORTE','SC',9166,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6361080,4.00,5.00,1.00,4.00,9.00,8.25,2.00,6.00,3.00,338,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6361102,7.00,6.00,4.00,5.00,8.00,8.25,3.00,3.00,8.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',4301,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6361110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PATRICIA','MOGI MIRIM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6361137,5.00,4.00,5.00,5.00,7.00,9.00,2.00,1.00,1.00,238,NULL,212,'FERRAZ','GAROPABA','SC',15193,301,NULL,447,NULL,NULL,NULL,4,1),(25,6361145,0.00,2.00,0.00,3.00,3.00,NULL,2.00,1.00,2.00,423,NULL,424,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6361153,6.00,6.00,0.00,6.00,10.00,9.00,1.00,7.00,6.00,103,NULL,NULL,'VERA CRUZ','PASSO FUNDO','RS',6027,2714,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361161,3.00,5.00,1.00,6.00,7.00,12.00,4.00,4.00,2.00,336,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361170,2.00,4.00,0.00,3.00,7.00,NULL,2.00,1.00,1.00,212,NULL,238,'SANTA TERESA','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6361188,6.00,7.00,3.00,7.00,9.00,8.63,2.00,7.00,4.00,5,NULL,NULL,'CENTRO','CPO GRANDE','MS',3367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6361200,5.00,5.00,2.00,5.00,7.00,10.13,2.00,5.00,3.00,211,NULL,215,'RIO FARIAS','ANTÔNIO CARLOS','SC',10806,263,NULL,163,NULL,NULL,NULL,2,1),(25,6361218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6361234,4.00,5.00,2.00,5.00,7.00,6.38,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',12355,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6361242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARTINHO STEIN','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6361250,6.00,7.00,1.00,5.00,8.00,9.38,2.00,1.00,4.00,216,NULL,215,'BARREIROS','S JOSÉ','SC',11681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361285,0.00,5.00,4.00,7.00,5.00,NULL,3.00,4.00,6.00,235,NULL,208,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361293,3.00,3.00,2.00,2.00,4.00,7.88,2.00,1.00,0.00,551,NULL,NULL,'INTERIOR','CURITIBANOS','SC',21360,76,NULL,NULL,NULL,NULL,NULL,4,16),(25,6361307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6361315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'SANTA CÂNDIDA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6361323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'PASSAGEM MASSIAMBU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6361358,6.00,8.00,3.00,6.00,9.00,10.50,2.00,7.00,3.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',6233,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361366,1.00,6.00,3.00,5.00,6.00,7.50,1.00,1.00,2.00,234,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6361382,1.00,5.00,3.00,6.00,6.00,7.13,0.00,3.00,1.00,429,NULL,425,'AVENTUREIRO','JOINVILLE','SC',14625,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6361390,3.00,4.00,2.00,5.00,8.00,8.63,0.00,4.00,2.00,303,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',16493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6361404,2.00,5.00,0.00,5.00,3.00,7.88,2.00,4.00,1.00,317,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6361412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'ATLÂNTICO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6361420,1.00,3.00,1.00,2.00,3.00,7.50,1.00,0.00,1.00,404,NULL,NULL,'INTERIOR','MAREMA','SC',21099,104,NULL,NULL,NULL,NULL,NULL,4,4),(25,6361439,2.00,6.00,1.00,2.00,4.00,7.13,2.00,3.00,3.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6361447,1.00,6.00,2.00,4.00,5.00,0.00,2.00,1.00,1.00,319,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6361480,3.00,5.00,3.00,4.00,6.00,6.00,3.00,3.00,4.00,653,NULL,655,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6361498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOQUEIRÃO','PR GRANDE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6361501,2.00,2.00,0.00,2.00,5.00,8.63,0.00,4.00,0.00,451,NULL,NULL,'BOQUEIRAO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,208,'CENTRO','IPIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6361528,5.00,4.00,1.00,2.00,7.00,5.25,1.00,3.00,2.00,316,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',19754,236,NULL,NULL,NULL,NULL,NULL,2,1),(25,6361536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6361544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'SAO JOSE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6361560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,427,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(25,6361579,6.00,5.00,3.00,5.00,7.00,7.13,3.00,4.00,2.00,110,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361595,3.00,5.00,2.00,1.00,4.00,7.50,1.00,4.00,1.00,208,NULL,NULL,'RIO CUBATÃO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6361609,4.00,5.00,0.00,4.00,7.00,7.50,1.00,5.00,2.00,110,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',14755,59,NULL,NULL,NULL,NULL,NULL,2,1),(25,6361617,1.00,4.00,2.00,3.00,8.00,7.50,1.00,3.00,3.00,203,NULL,235,'ALTO DA BOA VISTA','SOROCABA','SP',15568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SÃO LUIS','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6361633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'GUARUJÁ','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6361641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6361650,1.00,1.00,2.00,0.00,3.00,6.75,0.00,1.00,0.00,103,NULL,NULL,'ALDEIA PALMEIRA','JOSÉ BOITEUX','SC',21790,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6361668,2.00,2.00,0.00,2.00,3.00,7.13,1.00,1.00,0.00,301,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6361676,4.00,6.00,3.00,5.00,7.00,10.88,1.00,2.00,5.00,451,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',8160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361692,5.00,6.00,2.00,7.00,8.00,8.63,2.00,7.00,4.00,103,NULL,NULL,'CENTRO','CAÇADOR','SC',5574,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6361706,6.00,8.00,7.00,8.00,9.00,8.63,4.00,7.00,7.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361714,4.00,4.00,1.00,2.00,5.00,8.63,1.00,2.00,0.00,224,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',20729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361722,4.00,6.00,2.00,3.00,8.00,9.38,1.00,1.00,1.00,110,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',17731,94,NULL,NULL,NULL,NULL,NULL,2,1),(25,6361730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6361749,2.00,4.00,3.00,2.00,3.00,7.88,0.00,1.00,2.00,444,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6361757,4.00,5.00,4.00,4.00,5.00,8.25,0.00,4.00,4.00,201,NULL,203,'SANTA TEREZA','JOAÇABA','SC',14978,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6361765,3.00,2.00,1.00,2.00,4.00,6.38,1.00,1.00,1.00,551,NULL,NULL,'SAO JOSE','CURITIBANOS','SC',21611,83,NULL,NULL,NULL,NULL,NULL,2,16),(25,6361773,5.00,7.00,3.00,4.00,7.00,7.88,4.00,5.00,4.00,333,NULL,NULL,'CENTRO','PALHOÇA','SC',8717,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6361781,2.00,6.00,0.00,4.00,6.00,7.88,2.00,5.00,2.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18135,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6361790,3.00,5.00,3.00,3.00,3.00,NULL,1.00,0.00,0.00,999,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6361803,4.00,5.00,2.00,2.00,5.00,4.50,3.00,6.00,2.00,327,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',15654,42,NULL,NULL,NULL,NULL,NULL,2,1),(25,6361820,2.00,1.00,3.00,1.00,3.00,7.50,3.00,0.00,1.00,203,NULL,208,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361838,6.00,5.00,3.00,6.00,9.00,7.50,3.00,6.00,6.00,103,NULL,NULL,'BATEL','CURITIBA','PR',5236,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6361846,6.00,7.00,3.00,7.00,6.00,8.25,1.00,4.00,4.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6361862,4.00,3.00,3.00,3.00,5.00,8.25,1.00,3.00,2.00,501,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361889,3.00,4.00,2.00,5.00,3.00,6.75,1.00,3.00,5.00,214,NULL,203,'FORQUILHAS','S JOSÉ','SC',18697,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6361897,4.00,5.00,0.00,6.00,6.00,9.75,2.00,5.00,2.00,452,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',10507,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361900,1.00,1.00,1.00,3.00,4.00,6.38,2.00,4.00,0.00,404,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',20657,95,NULL,NULL,NULL,NULL,NULL,2,1),(25,6361927,4.00,3.00,1.00,1.00,4.00,8.25,2.00,1.00,4.00,551,NULL,NULL,'INTERIOR','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6361935,1.00,4.00,2.00,2.00,5.00,7.88,2.00,0.00,2.00,654,NULL,NULL,'LINHA SÃO PEDRO','JACINTO MACHADO','SC',21097,80,NULL,NULL,NULL,NULL,NULL,4,15),(25,6361943,7.00,7.00,5.00,6.00,8.00,8.25,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','CATUÍPE','RS',1420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6361951,7.00,6.00,3.00,6.00,9.00,9.38,3.00,8.00,7.00,103,NULL,NULL,'AFONSO PENA','S JOSÉ PINHAIS','PR',1907,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6361960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6361994,3.00,3.00,4.00,1.00,1.00,NULL,2.00,2.00,2.00,234,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6362001,0.00,2.00,0.00,1.00,2.00,NULL,0.00,3.00,0.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6362010,4.00,6.00,3.00,4.00,3.00,9.38,1.00,6.00,1.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362028,3.00,5.00,1.00,2.00,3.00,8.25,1.00,4.00,2.00,109,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19615,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6362036,3.00,3.00,0.00,2.00,4.00,8.63,2.00,2.00,2.00,654,NULL,NULL,'IGRA','TORRES','RS',18605,47,NULL,NULL,NULL,NULL,NULL,4,15),(25,6362044,1.00,5.00,2.00,2.00,7.00,6.75,2.00,2.00,0.00,319,NULL,NULL,'VILA NOVA','BRAÇO NORTE','SC',18651,378,NULL,NULL,NULL,NULL,NULL,4,10),(25,6362052,6.00,5.00,5.00,5.00,7.00,9.38,2.00,6.00,6.00,104,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',6325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6362060,6.00,7.00,4.00,5.00,5.00,9.00,3.00,4.00,4.00,216,NULL,201,'JARDIM DAS PALMEIRAS','PALHOÇA','SC',8150,304,NULL,617,NULL,NULL,NULL,4,1),(25,6362079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6362087,7.00,7.00,3.00,5.00,6.00,9.38,1.00,6.00,6.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',6387,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6362095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,652,'VILA RICA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6362109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM NENA','SUZANO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6362117,1.00,0.00,0.00,1.00,6.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'INTERIOR','IPIRA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,7),(25,6362125,6.00,5.00,3.00,6.00,7.00,9.00,3.00,4.00,4.00,103,NULL,NULL,'AREIAS','CAMBORIÚ','SC',7767,3135,NULL,NULL,NULL,NULL,NULL,2,3),(25,6362133,8.00,8.00,6.00,5.00,7.00,9.00,4.00,7.00,9.00,103,NULL,NULL,'PALMITAL','PARANAGUÁ','PR',1033,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6362141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6362150,9.00,6.00,4.00,3.00,8.00,8.25,4.00,6.00,7.00,103,NULL,NULL,'JARDIM ROSSINE','PEDERNEIRAS','SP',2028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362168,7.00,7.00,4.00,6.00,7.00,8.25,3.00,5.00,7.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',3070,1731,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362176,5.00,7.00,3.00,3.00,7.00,8.25,1.00,5.00,2.00,316,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',10802,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6362184,3.00,6.00,2.00,5.00,7.00,8.63,0.00,4.00,1.00,318,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',15712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6362214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PORTO XV','ENCANTADO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6362230,2.00,3.00,4.00,3.00,3.00,8.25,1.00,2.00,1.00,5,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362249,4.00,3.00,3.00,3.00,5.00,9.00,2.00,5.00,1.00,208,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',17407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362257,8.00,7.00,4.00,4.00,9.00,7.88,4.00,7.00,5.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362265,4.00,4.00,2.00,4.00,7.00,8.25,2.00,4.00,2.00,110,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13357,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6362273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','GUAPORÉ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6362281,2.00,3.00,3.00,5.00,1.00,NULL,3.00,3.00,4.00,238,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362290,3.00,6.00,0.00,3.00,7.00,8.63,2.00,3.00,4.00,332,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',15588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362303,7.00,7.00,1.00,5.00,8.00,12.75,2.00,4.00,9.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',2957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362311,6.00,6.00,8.00,7.00,7.00,8.25,4.00,8.00,5.00,203,NULL,220,'ITACORUBI','FLORIANÓPOLIS','SC',2272,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362320,0.00,2.00,1.00,0.00,5.00,NULL,1.00,2.00,1.00,415,NULL,NULL,'CENTRO','S MIGUEL B VISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6362338,3.00,7.00,5.00,4.00,3.00,7.50,4.00,7.00,2.00,317,NULL,NULL,'JARDIM SANTIAGO','S JOSÉ','SC',9864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362354,6.00,7.00,3.00,6.00,9.00,10.88,4.00,6.00,4.00,110,NULL,NULL,'CHÁCARA INGLESA','S PAULO','SP',3090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,426,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6362370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6362389,4.00,7.00,2.00,4.00,9.00,7.50,3.00,4.00,1.00,326,NULL,NULL,'FUNDOS','BIGUAÇU','SC',13114,26,NULL,NULL,NULL,NULL,NULL,2,1),(25,6362397,3.00,5.00,2.00,6.00,3.00,7.88,3.00,1.00,3.00,453,NULL,NULL,'PROGRESSO','S BENTO SUL','SC',17432,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6362400,3.00,0.00,3.00,5.00,7.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6362419,8.00,7.00,3.00,7.00,9.00,10.88,4.00,4.00,6.00,103,NULL,NULL,'BELA VISTA','S JOSÉ','SC',2601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6362435,6.00,6.00,2.00,2.00,5.00,7.88,0.00,2.00,4.00,601,NULL,214,'ITAUM','JOINVILLE','SC',16782,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6362451,7.00,6.00,5.00,6.00,9.00,9.75,4.00,7.00,6.00,201,NULL,202,'PRESIDENTE VARGAS','IÇARA','SC',1508,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6362486,5.00,6.00,2.00,3.00,7.00,7.13,3.00,4.00,2.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362494,4.00,6.00,2.00,5.00,6.00,8.25,1.00,5.00,3.00,207,NULL,201,'PONTA GROSSA','PTO ALEGRE','RS',13376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362508,2.00,4.00,0.00,7.00,6.00,8.63,2.00,2.00,4.00,302,NULL,NULL,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',17520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362524,7.00,5.00,1.00,2.00,9.00,10.13,5.00,4.00,5.00,103,NULL,NULL,'CENTRO','S GABRIEL OESTE','MS',6184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,212,'CIDADE A E CARVALHO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6362559,3.00,2.00,1.00,4.00,7.00,NULL,2.00,3.00,0.00,336,NULL,NULL,'SANTA BARBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6362567,2.00,2.00,2.00,2.00,2.00,NULL,3.00,1.00,2.00,201,NULL,601,'MUNICIPIOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6362583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CARIJÓS','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6362605,3.00,6.00,1.00,3.00,6.00,7.50,3.00,1.00,3.00,551,NULL,NULL,'SÃO CRISTÓVÃO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6362613,8.00,8.00,5.00,5.00,10.00,11.25,5.00,7.00,4.00,103,NULL,NULL,'PANAZZOLO','CAXIAS SUL','RS',907,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6362621,3.00,3.00,3.00,4.00,3.00,9.00,0.00,0.00,4.00,320,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',19908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6362648,8.00,4.00,6.00,7.00,5.00,9.38,3.00,3.00,8.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',2960,1685,NULL,NULL,NULL,NULL,NULL,4,4),(25,6362656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PEREIRA','OLÍMPIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6362664,3.00,3.00,3.00,1.00,6.00,6.75,1.00,5.00,1.00,329,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362672,4.00,7.00,3.00,7.00,11.00,9.00,2.00,8.00,5.00,238,NULL,208,'CENTRO','UNIÃO VITÓRIA','PR',4117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362680,2.00,2.00,0.00,1.00,1.00,NULL,1.00,0.00,3.00,110,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6362699,8.00,8.00,6.00,7.00,7.00,10.88,4.00,8.00,9.00,103,NULL,NULL,'JD PINHEIROS','S JOSÉ R PRETO','SP',584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362702,4.00,3.00,1.00,2.00,7.00,9.38,2.00,2.00,2.00,316,NULL,NULL,'STO ANTONIO LISBOA','FLORIANÓPOLIS','SC',18854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6362710,3.00,6.00,0.00,3.00,5.00,8.25,1.00,4.00,3.00,202,NULL,208,'CANASVIEIRAS','FLORIANÓPOLIS','SC',15866,499,NULL,368,NULL,NULL,NULL,2,1),(25,6362737,2.00,4.00,3.00,7.00,4.00,6.38,1.00,4.00,6.00,5,NULL,NULL,'SÃO PEDRO','PTO UNIÃO','SC',10724,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6362745,7.00,4.00,0.00,6.00,5.00,NULL,2.00,4.00,1.00,104,NULL,NULL,'JARDIM ALEGRE','TELÊMACO BORBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362761,8.00,7.00,6.00,6.00,9.00,9.75,4.00,6.00,8.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',1363,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6362788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DABRIL','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6362796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6362800,3.00,4.00,0.00,5.00,4.00,5.63,1.00,0.00,2.00,108,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',21130,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6362818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6362826,5.00,7.00,3.00,7.00,7.00,6.75,1.00,6.00,6.00,104,NULL,NULL,'SACO LIMÕES','FLORIANÓPOLIS','SC',8114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362834,3.00,5.00,3.00,3.00,8.00,7.50,0.00,8.00,4.00,103,NULL,NULL,'CENTRO','IPIRA','SC',9364,3456,NULL,NULL,NULL,NULL,NULL,4,7),(25,6362842,4.00,5.00,4.00,2.00,6.00,NULL,0.00,5.00,1.00,203,NULL,601,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6362850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,601,'CENTRO','NOVA ANDRADINA','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6362877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6362885,5.00,6.00,3.00,3.00,9.00,7.88,2.00,5.00,4.00,340,NULL,NULL,'BOSQUE','CURITIBANOS','SC',10051,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6362893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6362907,6.00,5.00,3.00,4.00,7.00,8.25,2.00,3.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6362915,2.00,4.00,2.00,4.00,5.00,7.50,4.00,4.00,1.00,238,NULL,652,'ARMAÇÃO DO PANTANO D','FLORIANÓPOLIS','SC',19158,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6362923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6362931,5.00,7.00,5.00,6.00,7.00,10.88,2.00,7.00,8.00,103,NULL,NULL,'MORADA DO SOL','VIDEIRA','SC',3854,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6362940,3.00,2.00,1.00,2.00,2.00,NULL,1.00,2.00,0.00,653,NULL,655,'ESPIGÃO DA PEDRA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6362958,4.00,4.00,2.00,7.00,7.00,10.50,1.00,5.00,2.00,999,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6362974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','IBIPORÃ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6362982,3.00,5.00,2.00,6.00,5.00,7.88,3.00,4.00,4.00,201,NULL,212,'CENTRO','PASSO FUNDO','RS',13119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6362990,2.00,5.00,3.00,3.00,3.00,6.00,0.00,2.00,1.00,303,NULL,NULL,'PACHECO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6363016,1.00,4.00,0.00,4.00,6.00,10.50,2.00,5.00,2.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6363024,2.00,3.00,1.00,3.00,6.00,9.00,1.00,1.00,0.00,316,NULL,NULL,'CENTRO','BIGUAÇU','SC',20990,261,NULL,NULL,NULL,NULL,NULL,2,1),(25,6363032,3.00,5.00,5.00,7.00,6.00,7.50,2.00,7.00,8.00,503,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5503,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6363040,5.00,6.00,1.00,4.00,7.00,5.63,3.00,4.00,3.00,332,NULL,NULL,'MARAJOARA','STO ANDRÉ','SP',10333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6363059,8.00,6.00,2.00,6.00,6.00,11.63,1.00,6.00,6.00,103,NULL,NULL,'UNIVERSITÁRIO','CPO GRANDE','MS',4201,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6363075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'BARRO PRETO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6363083,5.00,4.00,1.00,3.00,1.00,NULL,0.00,1.00,2.00,3,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6363105,6.00,6.00,3.00,6.00,11.00,8.63,2.00,6.00,7.00,215,NULL,211,'ANZOLIN','JOAÇABA','SC',3387,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6363113,3.00,6.00,5.00,5.00,7.00,6.38,0.00,2.00,1.00,202,NULL,235,'JARDIM AMÉRICA','CHAPECÓ','SC',17092,534,NULL,409,NULL,NULL,NULL,2,4),(25,6363121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6363130,6.00,6.00,3.00,6.00,6.00,6.75,3.00,3.00,5.00,203,NULL,201,'CENTRO','RINÓPOLIS','SP',8078,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6363148,4.00,5.00,0.00,3.00,7.00,NULL,3.00,3.00,4.00,999,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6363156,3.00,5.00,3.00,3.00,6.00,7.13,2.00,0.00,1.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6363164,3.00,6.00,1.00,4.00,6.00,9.75,1.00,3.00,2.00,212,NULL,235,'CENTRO','CAMPOS NOVOS','SC',13801,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6363172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S BERNARDINO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6363180,4.00,3.00,2.00,4.00,7.00,9.75,0.00,3.00,3.00,201,NULL,208,'PASSO DOS RAMOS','STO ANTÔNIO PATRULHA','RS',14083,1204,NULL,283,NULL,NULL,NULL,2,1),(25,6363199,3.00,4.00,3.00,2.00,8.00,8.63,1.00,3.00,5.00,103,NULL,NULL,'VILA OLIMPIA','S PAULO','SP',11600,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6363202,0.00,3.00,2.00,4.00,3.00,6.38,1.00,0.00,1.00,309,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',21701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6363210,2.00,4.00,3.00,5.00,6.00,8.63,2.00,1.00,2.00,9,NULL,NULL,'SANTA FÉ','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6363229,2.00,5.00,1.00,1.00,3.00,4.88,2.00,2.00,2.00,336,NULL,NULL,'SÃO SEBASTIÃO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6363237,8.00,6.00,5.00,4.00,8.00,7.13,3.00,5.00,7.00,103,NULL,NULL,'ESTALEIRINHO','BAL CAMBORIÚ','SC',4527,2262,NULL,NULL,NULL,NULL,NULL,2,1),(25,6363245,5.00,6.00,2.00,5.00,8.00,10.88,2.00,6.00,5.00,336,NULL,NULL,'VILA NOGUEIRA','CAMPINAS','SP',6929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6363253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'BOM FIM','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6363261,6.00,6.00,1.00,5.00,8.00,8.63,3.00,6.00,1.00,103,NULL,NULL,'CENTRO','IJUÍ','RS',9291,3441,NULL,NULL,NULL,NULL,NULL,4,1),(25,6363270,3.00,5.00,1.00,3.00,7.00,10.13,2.00,0.00,3.00,103,NULL,NULL,'JD PRIMAVERA','POMPÉIA','SP',14579,4189,NULL,NULL,NULL,NULL,NULL,4,1),(25,6363296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'CENTRO','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6363300,6.00,6.00,2.00,7.00,8.00,8.25,2.00,4.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4920,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6363318,4.00,3.00,1.00,5.00,6.00,8.63,2.00,2.00,3.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6363334,4.00,4.00,3.00,5.00,7.00,7.13,3.00,5.00,3.00,404,NULL,NULL,'SERRARIAS','S JOSÉ','SC',14217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6363350,2.00,4.00,0.00,2.00,6.00,4.50,2.00,4.00,0.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19794,150,NULL,NULL,NULL,NULL,NULL,2,1),(25,6363369,3.00,8.00,3.00,7.00,9.00,9.75,3.00,5.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6363377,4.00,3.00,0.00,4.00,6.00,7.50,2.00,1.00,1.00,201,NULL,212,'VILA PEDRINI','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6363393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'SANTANA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6363407,2.00,3.00,1.00,2.00,3.00,6.75,0.00,1.00,0.00,5,NULL,NULL,'SANTIAGO','LAGUNA','SC',21177,715,NULL,NULL,NULL,NULL,NULL,4,10),(25,6363423,2.00,6.00,3.00,5.00,5.00,8.25,1.00,5.00,5.00,201,NULL,216,'SEMINÁRIO','ITUPORANGA','SC',10316,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6363431,4.00,6.00,1.00,5.00,8.00,10.50,3.00,7.00,7.00,235,NULL,203,'CENTRO','GUAPORÉ','RS',7247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6363440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6363458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6363466,4.00,4.00,2.00,4.00,5.00,7.88,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','ANCHIETA','SC',16353,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6363474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TIRNDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6363482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'SETOR INDUST NORTE','SINOP','MT',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6363490,3.00,4.00,0.00,3.00,7.00,8.25,2.00,5.00,2.00,333,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6363504,2.00,5.00,2.00,3.00,7.00,7.13,3.00,5.00,3.00,327,NULL,NULL,'TAPAJÓS','INDAIAL','SC',15409,40,NULL,NULL,NULL,NULL,NULL,2,2),(25,6363512,4.00,5.00,3.00,4.00,4.00,4.50,4.00,4.00,2.00,444,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',17917,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6363520,6.00,5.00,2.00,4.00,8.00,8.63,2.00,3.00,2.00,601,NULL,NULL,'N SRA APARECIDA','FRANCISCO BELTRÃO','PR',11297,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6363539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','PRIMAVERA LESTE','MT',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6363547,3.00,5.00,0.00,6.00,5.00,7.88,1.00,3.00,1.00,653,NULL,652,'POLICIA RODOVIÁRIA','ARARANGUÁ','SC',19196,199,NULL,83,NULL,NULL,NULL,2,15),(25,6363555,4.00,3.00,1.00,4.00,7.00,7.50,1.00,4.00,2.00,303,NULL,NULL,'CENTRO','CHAPECÓ','SC',15357,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6363563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6363580,4.00,1.00,1.00,4.00,3.00,6.75,1.00,3.00,0.00,205,NULL,NULL,'BAIRRO ANTAS','MONDAÍ','SC',21304,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6363598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6363601,5.00,3.00,3.00,5.00,8.00,7.13,2.00,4.00,6.00,203,NULL,201,'CENTRO SUL','DOIS VIZINHOS','PR',9549,694,NULL,759,NULL,NULL,NULL,4,4),(25,6363610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'BARRO PRETO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6363628,5.00,5.00,1.00,3.00,6.00,8.25,2.00,1.00,2.00,203,NULL,201,'CENTRO','TOLEDO','PR',17752,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6363636,2.00,4.00,0.00,6.00,5.00,8.25,1.00,3.00,2.00,501,NULL,NULL,'APARECIDA','CANOINHAS','SC',19476,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6363644,5.00,4.00,2.00,1.00,7.00,NULL,0.00,2.00,2.00,451,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6363652,2.00,3.00,1.00,3.00,2.00,NULL,3.00,3.00,1.00,301,NULL,NULL,'DONA WANDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6363660,4.00,4.00,4.00,3.00,7.00,12.75,1.00,5.00,3.00,104,NULL,NULL,'CENTO','STA MARIA','RS',8478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6363679,3.00,4.00,3.00,2.00,3.00,8.25,6.00,1.00,1.00,304,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6363687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,235,'BOEHMERWALT','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6363695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6363709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6363717,1.00,5.00,4.00,5.00,2.00,NULL,1.00,5.00,4.00,501,NULL,NULL,'CIDADE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6363725,2.00,6.00,0.00,1.00,3.00,6.75,2.00,3.00,4.00,601,NULL,220,'CENTRO','TUNÁPOLIS','SC',20785,591,NULL,498,NULL,NULL,NULL,4,4),(25,6363733,4.00,5.00,3.00,4.00,4.00,9.38,1.00,4.00,3.00,103,NULL,NULL,'SANTA HELENA','LAGES','SC',13821,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6363741,4.00,4.00,1.00,2.00,6.00,10.13,1.00,3.00,0.00,415,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',19720,314,NULL,NULL,NULL,NULL,NULL,4,1),(25,6363750,3.00,5.00,2.00,5.00,8.00,NULL,0.00,6.00,1.00,207,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6363768,4.00,6.00,4.00,6.00,7.00,9.38,3.00,5.00,3.00,303,NULL,NULL,'CENRO','CPO GRANDE','MS',7123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6363784,3.00,6.00,1.00,7.00,9.00,10.88,1.00,4.00,3.00,424,NULL,428,'CENTRO','FLORIANÓPOLIS','SC',10994,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6363792,4.00,4.00,0.00,3.00,6.00,7.88,0.00,4.00,3.00,601,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',17721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6363806,2.00,6.00,1.00,6.00,6.00,7.50,3.00,1.00,4.00,201,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',12829,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6363822,6.00,4.00,0.00,5.00,7.00,9.75,2.00,4.00,5.00,211,NULL,201,'ABRAAO','FLORIANÓPOLIS','SC',8207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6363849,2.00,2.00,2.00,0.00,2.00,NULL,0.00,0.00,4.00,655,NULL,653,'VILA SÃO JOÃO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6363857,1.00,4.00,0.00,2.00,3.00,7.13,2.00,1.00,0.00,103,NULL,NULL,'CENTRO','MARAVILHA','SC',20804,4748,NULL,NULL,NULL,NULL,NULL,2,4),(25,6363873,7.00,4.00,6.00,5.00,8.00,8.63,3.00,6.00,7.00,302,NULL,NULL,'PAULO DE FRONTIN','CRICIÚMA','SC',3756,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6363881,3.00,4.00,2.00,4.00,6.00,8.25,1.00,4.00,5.00,208,NULL,201,'VILA FELIZ','APUCARANA','PR',12691,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6363890,3.00,6.00,0.00,4.00,7.00,10.50,2.00,5.00,2.00,238,NULL,655,'COQUEIROS','FLORIANÓPOLIS','SC',12514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6363903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA INDEPENDENCIA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6363911,4.00,5.00,3.00,5.00,5.00,7.50,3.00,2.00,1.00,303,NULL,NULL,'AMÉRICA','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6363938,2.00,1.00,3.00,4.00,5.00,5.25,2.00,2.00,0.00,444,NULL,NULL,'BAIRRO IPIRANGA','S JOSÉ','SC',21364,171,NULL,NULL,NULL,NULL,NULL,2,1),(25,6363946,3.00,7.00,1.00,4.00,7.00,9.75,5.00,5.00,3.00,109,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',11398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6363954,2.00,4.00,4.00,4.00,6.00,9.38,1.00,2.00,2.00,212,NULL,201,'SANTO ANTONIO','CAMPOS NOVOS','SC',15368,453,NULL,1309,NULL,NULL,NULL,2,7),(25,6363962,1.00,3.00,1.00,3.00,1.00,NULL,1.00,1.00,3.00,201,NULL,202,'CENTRO','CPO ERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6363970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6363997,7.00,6.00,5.00,5.00,8.00,8.25,0.00,4.00,6.00,103,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',4248,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6364004,4.00,6.00,1.00,6.00,7.00,7.50,2.00,3.00,1.00,340,NULL,NULL,'VILA NERY','S CARLOS','SP',12837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6364039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'SÃO LUIS','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6364047,2.00,4.00,0.00,2.00,5.00,NULL,0.00,3.00,1.00,332,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364055,8.00,5.00,1.00,6.00,7.00,8.25,5.00,6.00,4.00,203,NULL,202,'CENTRO','TUBARÃO','SC',6851,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6364063,0.00,3.00,3.00,3.00,3.00,7.50,2.00,1.00,3.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364071,2.00,4.00,1.00,3.00,6.00,6.75,0.00,1.00,0.00,652,NULL,201,'SÃO MARTINHO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6364080,9.00,6.00,5.00,5.00,8.00,8.63,2.00,4.00,8.00,103,NULL,NULL,'COUNTRY','CASCAVEL','PR',3168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6364101,8.00,7.00,5.00,6.00,7.00,9.00,2.00,6.00,3.00,203,NULL,202,'CAPOEIRAS','FLORIANÓPOLIS','SC',6540,504,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364110,1.00,7.00,5.00,6.00,9.00,10.88,2.00,6.00,4.00,308,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',6232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364128,3.00,2.00,0.00,1.00,3.00,NULL,1.00,0.00,2.00,444,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364136,7.00,5.00,5.00,7.00,8.00,10.50,2.00,7.00,7.00,211,NULL,215,'CENTRO','BRUSQUE','SC',2909,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6364144,4.00,6.00,1.00,1.00,9.00,NULL,0.00,3.00,1.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364152,0.00,3.00,1.00,4.00,5.00,NULL,1.00,5.00,2.00,201,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6364160,4.00,5.00,1.00,6.00,5.00,6.38,2.00,3.00,5.00,203,NULL,214,'CENTRO','CRICIÚMA','SC',14650,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6364179,2.00,4.00,1.00,5.00,6.00,8.25,1.00,4.00,1.00,999,NULL,NULL,'VILA PRATOS','NOVO MACHADO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364187,3.00,5.00,3.00,5.00,6.00,10.13,4.00,5.00,3.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364195,1.00,5.00,0.00,2.00,2.00,NULL,3.00,0.00,1.00,101,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364209,4.00,3.00,4.00,6.00,8.00,11.25,3.00,2.00,4.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',12131,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364217,6.00,5.00,1.00,4.00,8.00,9.38,2.00,9.00,7.00,103,NULL,NULL,'RIO BRANCO','CAXIAS SUL','RS',4128,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6364225,2.00,3.00,2.00,5.00,4.00,NULL,1.00,1.00,0.00,224,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364233,2.00,3.00,2.00,3.00,5.00,4.88,1.00,2.00,3.00,201,NULL,212,'CENTRO','ANITA GARIBALDI','SC',17759,1470,NULL,519,NULL,NULL,NULL,2,9),(25,6364284,5.00,2.00,3.00,4.00,7.00,7.50,2.00,5.00,2.00,104,NULL,NULL,'CENTRO','PALHOÇA','SC',14627,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364292,3.00,6.00,2.00,3.00,6.00,9.38,2.00,4.00,5.00,103,NULL,NULL,'COOPHAVILLA II','CPO GRANDE','MS',10591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364306,6.00,7.00,2.00,3.00,9.00,9.75,3.00,7.00,2.00,103,NULL,NULL,'CENTRO','RIO CAMPO','SC',6617,2862,NULL,NULL,NULL,NULL,NULL,2,9),(25,6364314,2.00,5.00,0.00,3.00,7.00,7.50,4.00,1.00,1.00,319,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',17350,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364322,6.00,7.00,1.00,7.00,8.00,10.50,2.00,7.00,5.00,108,NULL,NULL,'SÃO BERNARDO','TUBARÃO','SC',3413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364330,6.00,4.00,5.00,6.00,5.00,10.50,1.00,4.00,3.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',9107,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6364349,2.00,3.00,2.00,3.00,3.00,NULL,0.00,0.00,4.00,222,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364365,3.00,3.00,3.00,3.00,5.00,6.38,0.00,3.00,1.00,316,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364373,4.00,2.00,3.00,4.00,5.00,9.75,0.00,3.00,0.00,101,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',15720,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364381,4.00,4.00,0.00,3.00,4.00,6.00,2.00,5.00,1.00,655,NULL,NULL,'FIGUEIRA','JACINTO MACHADO','SC',20173,134,NULL,NULL,NULL,NULL,NULL,2,15),(25,6364390,2.00,3.00,0.00,1.00,6.00,6.00,2.00,2.00,0.00,207,NULL,201,'VILA NOVA','BLUMENAU','SC',20335,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6364403,2.00,4.00,1.00,1.00,6.00,6.75,1.00,2.00,2.00,208,NULL,238,'LARANJEIRAS','RIO SUL','SC',20547,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6364420,0.00,5.00,1.00,4.00,4.00,NULL,0.00,0.00,1.00,212,NULL,201,'SANTO ANTONIO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6364438,8.00,6.00,3.00,6.00,7.00,8.25,2.00,7.00,7.00,103,NULL,NULL,'JARDIM NOVO HORIZONT','MARINGÁ','PR',3604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364446,4.00,4.00,2.00,4.00,2.00,NULL,2.00,0.00,2.00,103,NULL,NULL,'ARIRIBA','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6364454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INTERIOR','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6364462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','S JORGE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6364470,4.00,6.00,2.00,2.00,4.00,9.38,1.00,9.00,3.00,103,NULL,NULL,'CENTRO','DIONÍSIO CERQUEIRA','SC',9351,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6364497,1.00,5.00,2.00,3.00,3.00,5.63,1.00,3.00,0.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',21367,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6364500,4.00,5.00,1.00,4.00,8.00,10.13,3.00,6.00,2.00,108,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6364527,4.00,4.00,1.00,5.00,6.00,8.25,0.00,1.00,0.00,207,NULL,201,'SANTA CRUZ','GUARAPUAVA','PR',17791,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6364543,3.00,5.00,2.00,2.00,6.00,8.25,1.00,1.00,2.00,109,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364551,3.00,4.00,1.00,4.00,6.00,6.38,1.00,3.00,0.00,999,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364560,2.00,4.00,1.00,3.00,7.00,6.75,2.00,3.00,1.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364578,5.00,5.00,1.00,3.00,7.00,8.63,1.00,4.00,5.00,109,NULL,NULL,'BARREIROS','S JOSÉ','SC',10866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364586,4.00,6.00,4.00,6.00,7.00,9.00,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',7900,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364594,4.00,4.00,3.00,5.00,4.00,10.50,3.00,4.00,3.00,208,NULL,203,'ITACORUBI','FLORIANÓPOLIS','SC',14159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364608,4.00,2.00,0.00,1.00,4.00,6.38,1.00,3.00,1.00,316,NULL,NULL,'CENTRO','CURITIBANOS','SC',20433,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6364616,4.00,8.00,0.00,6.00,9.00,NULL,1.00,7.00,3.00,421,NULL,426,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364624,4.00,4.00,2.00,5.00,6.00,8.63,1.00,0.00,1.00,501,NULL,NULL,'DO SALTO','SALTO VELOSO','SC',16942,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6364632,4.00,6.00,3.00,2.00,4.00,7.50,0.00,5.00,2.00,207,NULL,238,'JOSÉ MENDES','FLORIANÓPOLIS','SC',16793,894,NULL,371,NULL,NULL,NULL,4,1),(25,6364640,3.00,5.00,3.00,4.00,6.00,8.63,2.00,1.00,4.00,201,NULL,207,'SÃO MIGUEL','BIGUAÇU','SC',14248,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364659,3.00,6.00,3.00,2.00,8.00,9.38,1.00,4.00,1.00,316,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',17034,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6364675,3.00,4.00,5.00,4.00,3.00,NULL,2.00,0.00,2.00,104,NULL,NULL,'CENTRO','BOM JESUS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6364683,8.00,6.00,5.00,4.00,8.00,9.38,5.00,7.00,9.00,103,NULL,NULL,'MADUREIRA','CAXIAS SUL','RS',1063,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364691,5.00,7.00,1.00,5.00,8.00,11.25,1.00,3.00,7.00,103,NULL,NULL,'PASSO DA AREIA','PTO ALEGRE','RS',4967,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6364705,1.00,3.00,2.00,3.00,5.00,6.38,0.00,1.00,0.00,101,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',21154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364713,2.00,6.00,2.00,3.00,6.00,5.25,2.00,3.00,1.00,101,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364721,7.00,7.00,4.00,7.00,8.00,8.25,3.00,5.00,9.00,103,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',1693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'PARQUE LAGUNA II','FORMOSA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6364756,3.00,4.00,2.00,4.00,3.00,NULL,0.00,2.00,1.00,336,NULL,NULL,'INTERIOR','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6364764,5.00,4.00,1.00,7.00,8.00,7.88,1.00,3.00,2.00,208,NULL,238,'BARREIROS','S JOSÉ','SC',11959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364772,4.00,6.00,4.00,7.00,10.00,7.50,2.00,7.00,4.00,5,NULL,NULL,'BELA VISTA','PALHOÇA','SC',5664,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6364802,3.00,5.00,0.00,3.00,4.00,8.63,2.00,4.00,2.00,428,NULL,426,'TRINDADE','FLORIANÓPOLIS','SC',15881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364829,4.00,2.00,0.00,3.00,6.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'ARVOREDO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6364837,4.00,3.00,1.00,2.00,3.00,6.00,1.00,1.00,2.00,444,NULL,NULL,'KOBRASOL','S JOSÉ','SC',20828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364845,5.00,7.00,3.00,7.00,8.00,10.13,2.00,7.00,2.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',5852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364853,3.00,3.00,4.00,4.00,6.00,8.25,2.00,3.00,2.00,332,NULL,NULL,'NOSSA SENHORA DO ROS','S JOSÉ','SC',17915,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364870,1.00,2.00,3.00,1.00,5.00,5.25,2.00,4.00,3.00,502,NULL,NULL,'SERRARIA','S JOSÉ','SC',21073,53,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364896,1.00,4.00,3.00,3.00,3.00,5.63,4.00,5.00,1.00,444,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',20182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364900,7.00,5.00,4.00,4.00,8.00,7.88,0.00,7.00,7.00,9,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',5429,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6364918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6364934,2.00,2.00,1.00,1.00,3.00,NULL,3.00,0.00,0.00,425,NULL,429,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364950,3.00,4.00,0.00,1.00,5.00,NULL,0.00,4.00,1.00,201,NULL,207,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6364969,3.00,5.00,2.00,2.00,5.00,6.38,1.00,0.00,1.00,207,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',21316,1157,NULL,1712,NULL,NULL,NULL,4,1),(25,6364977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6364985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6364993,5.00,7.00,0.00,5.00,6.00,10.13,2.00,7.00,2.00,452,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',9722,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365000,5.00,3.00,5.00,6.00,6.00,6.75,5.00,3.00,6.00,203,NULL,653,'CENTRO','MARINGÁ','PR',8176,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6365019,5.00,2.00,2.00,5.00,7.00,9.38,1.00,2.00,2.00,9,NULL,NULL,'PROGRESSO','POUSO REDONDO','SC',14491,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6365027,3.00,5.00,1.00,2.00,5.00,6.38,0.00,2.00,1.00,444,NULL,NULL,'VILA SANTO ANTÔNIO','IMBITUBA','SC',19411,126,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365035,5.00,7.00,1.00,5.00,7.00,9.00,0.00,7.00,3.00,332,NULL,NULL,'CENTRO','IÇARA','SC',8634,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6365043,2.00,4.00,0.00,1.00,3.00,7.88,3.00,5.00,1.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21079,163,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365051,2.00,4.00,2.00,3.00,8.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365078,7.00,5.00,3.00,4.00,6.00,7.50,0.00,4.00,6.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',7649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365086,5.00,5.00,2.00,1.00,6.00,6.00,2.00,2.00,4.00,235,NULL,202,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6365094,7.00,6.00,6.00,6.00,8.00,6.75,1.00,9.00,5.00,207,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',3820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365124,3.00,5.00,2.00,3.00,6.00,8.25,1.00,2.00,2.00,110,NULL,NULL,'FLORESTA','S JOSÉ','SC',16092,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365132,4.00,4.00,2.00,6.00,8.00,9.75,2.00,4.00,3.00,211,NULL,216,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',11747,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365159,5.00,6.00,4.00,3.00,7.00,NULL,1.00,4.00,4.00,327,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6365167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6365175,1.00,4.00,2.00,3.00,4.00,7.88,1.00,0.00,1.00,303,NULL,NULL,'CENTRO','JOINVILLE','SC',21174,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6365183,1.00,3.00,1.00,2.00,3.00,3.00,1.00,0.00,5.00,104,NULL,NULL,'CENTRO','RIO FORTUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6365191,4.00,5.00,0.00,5.00,8.00,9.75,3.00,4.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365205,5.00,5.00,2.00,5.00,2.00,NULL,1.00,4.00,3.00,317,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365213,5.00,5.00,2.00,2.00,4.00,8.25,0.00,1.00,2.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',20294,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365221,3.00,7.00,0.00,1.00,3.00,7.88,2.00,5.00,2.00,328,NULL,NULL,'ESPLANADA','CHAPECÓ','SC',16325,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6365230,3.00,5.00,2.00,5.00,4.00,6.75,2.00,4.00,1.00,501,NULL,NULL,'CENTRO','S JOAQUIM','SC',18168,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6365248,6.00,7.00,4.00,5.00,10.00,10.88,1.00,9.00,6.00,202,NULL,233,'IPIRANGA','S PAULO','SP',2415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365256,8.00,6.00,3.00,7.00,9.00,8.25,2.00,7.00,6.00,103,NULL,NULL,'CENTRO','S MATEUS SUL','PR',2917,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6365264,5.00,3.00,3.00,4.00,6.00,9.38,2.00,5.00,6.00,104,NULL,NULL,'SANTA CORONA','CAXIAS SUL','RS',8707,168,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365272,1.00,3.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6365299,9.00,6.00,3.00,6.00,9.00,9.75,4.00,5.00,9.00,103,NULL,NULL,'ALTO DA GLÓRIA','CURITIBA','PR',2554,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6365302,2.00,3.00,3.00,5.00,7.00,8.25,1.00,4.00,4.00,601,NULL,214,'ABRAAO','FLORIANÓPOLIS','SC',16103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365310,2.00,0.00,0.00,2.00,2.00,NULL,2.00,0.00,2.00,208,NULL,238,'CENTRO','SALTINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6365329,5.00,5.00,3.00,2.00,7.00,6.75,2.00,4.00,3.00,203,NULL,220,'JARDIM CIDADE DE FPO','S JOSÉ','SC',14976,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365337,3.00,3.00,1.00,5.00,3.00,NULL,2.00,0.00,1.00,337,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365345,0.00,5.00,1.00,1.00,4.00,7.13,3.00,3.00,3.00,208,NULL,207,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365353,8.00,7.00,4.00,4.00,4.00,8.25,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','PALOTINA','PR',6170,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6365370,3.00,3.00,1.00,1.00,3.00,5.63,0.00,0.00,0.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365388,2.00,6.00,0.00,2.00,6.00,NULL,2.00,0.00,1.00,652,NULL,655,'TURIMAR','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6365396,3.00,3.00,0.00,4.00,2.00,NULL,0.00,1.00,0.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365400,3.00,3.00,1.00,3.00,4.00,NULL,0.00,1.00,0.00,238,NULL,NULL,'CENTRO','PIRAQUARA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6365418,6.00,4.00,3.00,4.00,8.00,7.50,2.00,3.00,4.00,999,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6365434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'VILA PROGRESSO','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6365442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAGOINHA','MANDIRITUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6365450,7.00,4.00,4.00,5.00,7.00,8.25,3.00,4.00,8.00,103,NULL,NULL,'JARDIM CLEOPATRA','MARINGÁ','PR',5130,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6365469,3.00,7.00,1.00,5.00,7.00,12.75,2.00,7.00,7.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6610,239,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365485,2.00,3.00,0.00,2.00,4.00,5.25,0.00,1.00,1.00,324,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'BOM RETIRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6365507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6365515,2.00,2.00,1.00,2.00,1.00,NULL,1.00,0.00,2.00,317,NULL,NULL,'VILA NOVA','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'BRASIL','UBERLÂNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6365531,5.00,7.00,2.00,7.00,9.00,8.63,0.00,7.00,4.00,220,NULL,235,'SANTA MÔNICA','FLORIANÓPOLIS','SC',5388,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365558,1.00,1.00,2.00,0.00,1.00,NULL,1.00,2.00,1.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365566,6.00,6.00,3.00,7.00,8.00,7.13,0.00,4.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',9459,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6365574,4.00,7.00,5.00,6.00,7.00,7.88,1.00,1.00,4.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',11954,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,208,'VILA JAURI','S LUIZ GONZAGA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6365604,2.00,4.00,4.00,4.00,7.00,9.75,2.00,4.00,5.00,302,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10278,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6365612,3.00,2.00,1.00,1.00,2.00,NULL,3.00,4.00,0.00,452,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365620,5.00,7.00,5.00,6.00,9.00,10.50,3.00,6.00,7.00,202,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',2123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365639,6.00,3.00,0.00,7.00,8.00,NULL,3.00,3.00,4.00,303,NULL,NULL,'JD BELA VISTA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6365655,0.00,3.00,0.00,0.00,0.00,NULL,1.00,2.00,0.00,103,NULL,NULL,'CENTRO','APIÚNA','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,3),(25,6365663,3.00,4.00,2.00,5.00,7.00,8.25,5.00,3.00,4.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365671,2.00,3.00,1.00,4.00,4.00,7.13,2.00,3.00,2.00,212,NULL,601,'JARDIM VITORIA','MARÍLIA','SP',20742,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6365680,6.00,8.00,1.00,4.00,7.00,10.50,1.00,8.00,3.00,103,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',7098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365698,4.00,4.00,3.00,7.00,9.00,10.50,2.00,5.00,2.00,415,NULL,NULL,'RIO MORTO','INDAIAL','SC',8663,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6365701,3.00,4.00,1.00,4.00,4.00,7.50,1.00,4.00,2.00,654,NULL,NULL,'CENTRO','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6365710,3.00,3.00,1.00,1.00,3.00,4.88,2.00,4.00,0.00,324,NULL,NULL,'AREIAS','PAULO LOPES','SC',21637,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,655,'LAGOINHA','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6365736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6365744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'ESPINHEIROS','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6365752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6365779,3.00,3.00,3.00,2.00,7.00,7.88,2.00,5.00,3.00,5,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',14021,495,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365787,4.00,2.00,0.00,3.00,5.00,NULL,1.00,1.00,1.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365795,7.00,3.00,3.00,6.00,8.00,9.38,1.00,6.00,8.00,103,NULL,NULL,'REBOUCAS','CURITIBA','PR',3586,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6365809,3.00,4.00,2.00,2.00,2.00,NULL,1.00,1.00,2.00,3,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365817,4.00,4.00,3.00,5.00,6.00,8.63,2.00,5.00,2.00,212,NULL,207,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA MANENTI','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6365833,5.00,6.00,0.00,5.00,7.00,10.13,1.00,3.00,3.00,212,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10731,312,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365841,2.00,4.00,0.00,1.00,2.00,NULL,3.00,1.00,2.00,302,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6365868,7.00,7.00,3.00,4.00,4.00,9.38,2.00,3.00,6.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',7448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365876,6.00,4.00,3.00,3.00,5.00,8.63,1.00,3.00,6.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10694,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JARDIM CANADÁ','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6365892,3.00,4.00,2.00,2.00,6.00,6.75,1.00,4.00,1.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',20309,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6365906,6.00,3.00,1.00,3.00,7.00,6.38,4.00,0.00,5.00,220,NULL,208,'JARDIM PAULISTA','ITAPETININGA','SP',13099,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6365914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'VILA PROGRESSO','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6365922,3.00,6.00,4.00,5.00,8.00,7.50,3.00,7.00,6.00,203,NULL,601,'COQUEIROS','FLORIANÓPOLIS','SC',5741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365930,7.00,5.00,5.00,6.00,6.00,8.25,4.00,8.00,6.00,104,NULL,NULL,'CENTRO','STA TEREZA','RS',3718,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6365949,3.00,6.00,3.00,7.00,8.00,9.38,2.00,5.00,4.00,201,NULL,212,'JOÃO PAULO','FLORIANÓPOLIS','SC',9120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365957,6.00,6.00,4.00,6.00,9.00,7.88,2.00,5.00,4.00,337,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',6280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365965,3.00,3.00,1.00,2.00,1.00,NULL,1.00,4.00,0.00,316,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6365973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6365981,3.00,3.00,0.00,4.00,8.00,8.63,0.00,5.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6365990,3.00,4.00,1.00,2.00,4.00,6.75,0.00,4.00,1.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366007,3.00,2.00,3.00,6.00,5.00,6.00,1.00,2.00,2.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',18482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','CUNHATAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6366031,4.00,5.00,3.00,2.00,2.00,NULL,2.00,2.00,3.00,317,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366058,3.00,5.00,1.00,1.00,7.00,7.50,1.00,0.00,0.00,207,NULL,653,'MATO ALTO','ARARANGUÁ','SC',19921,1088,NULL,213,NULL,NULL,NULL,4,15),(25,6366066,4.00,8.00,1.00,5.00,8.00,9.75,0.00,3.00,4.00,428,NULL,425,'CRUZEIRO','RIO NEGRINHO','SC',12142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366074,3.00,3.00,1.00,2.00,4.00,8.63,0.00,2.00,1.00,421,NULL,NULL,'CENTRO','BRUSQUE','SC',21252,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6366082,3.00,7.00,4.00,4.00,6.00,10.13,2.00,5.00,1.00,453,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366090,8.00,6.00,7.00,7.00,9.00,9.75,4.00,7.00,5.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366104,2.00,4.00,0.00,3.00,6.00,7.50,1.00,4.00,2.00,203,NULL,202,'CENTRO','QUILOMBO','SC',15406,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6366112,6.00,6.00,6.00,4.00,7.00,6.00,2.00,5.00,7.00,103,NULL,NULL,'UVARANAS','PNT GROSSA','PR',5754,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6366120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6366139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','TREZE MAIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6366147,3.00,4.00,0.00,5.00,6.00,NULL,0.00,3.00,2.00,999,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6366163,7.00,4.00,4.00,6.00,6.00,8.63,3.00,7.00,9.00,214,NULL,213,'PRÓSPERA','CRICIÚMA','SC',3752,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6366171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6366180,1.00,4.00,0.00,1.00,7.00,8.25,0.00,4.00,0.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',21172,165,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366198,2.00,1.00,2.00,2.00,4.00,9.00,1.00,3.00,2.00,319,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',21107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366201,4.00,4.00,2.00,3.00,5.00,6.75,0.00,6.00,1.00,201,NULL,212,'PAGARA','STO AMARO IMPERATRIZ','SC',18463,1527,NULL,539,NULL,NULL,NULL,2,1),(25,6366210,3.00,4.00,1.00,3.00,3.00,6.38,1.00,1.00,1.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',21469,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366228,5.00,5.00,3.00,6.00,8.00,9.00,6.00,3.00,5.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',5665,2615,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366236,6.00,7.00,3.00,4.00,5.00,7.50,2.00,6.00,4.00,331,NULL,NULL,'BARREIROS','S JOSÉ','SC',10313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366244,2.00,6.00,4.00,6.00,8.00,10.13,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',7477,3063,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366252,6.00,5.00,5.00,5.00,5.00,6.75,3.00,5.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366260,5.00,5.00,3.00,4.00,6.00,9.38,2.00,3.00,3.00,415,NULL,NULL,'ESPERANÇA','ERECHIM','RS',10556,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366279,6.00,5.00,4.00,6.00,10.00,8.63,3.00,5.00,5.00,203,NULL,220,'FREI ROGÉRIO','LAGES','SC',4699,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6366287,7.00,7.00,4.00,5.00,6.00,10.13,2.00,8.00,6.00,202,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',3872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366295,4.00,5.00,4.00,0.00,6.00,7.13,3.00,3.00,1.00,203,NULL,201,'MORROTES','TUBARÃO','SC',18281,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6366309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'STA TEREZINHA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6366317,2.00,2.00,2.00,2.00,5.00,8.63,3.00,0.00,1.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',19857,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6366325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,213,'NOSSA SRA DE LOURDES','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6366333,2.00,4.00,1.00,3.00,5.00,6.75,1.00,1.00,1.00,501,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',20083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366341,0.00,0.00,0.00,0.00,1.00,NULL,1.00,0.00,0.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6366350,1.00,4.00,1.00,3.00,5.00,NULL,2.00,0.00,2.00,319,NULL,NULL,'SÃO DOMINGOS','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6366368,4.00,5.00,1.00,5.00,5.00,8.63,1.00,2.00,1.00,103,NULL,NULL,'FREI ROGERIO','LAGES','SC',19082,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6366376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6366384,2.00,6.00,1.00,5.00,7.00,8.63,2.00,4.00,3.00,104,NULL,NULL,'SANTA CRUZ','ÁGUAS MORNAS','SC',12090,275,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366392,5.00,6.00,2.00,2.00,7.00,9.00,2.00,5.00,3.00,333,NULL,NULL,'ATALAIA','ARACAJU','SE',12774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366406,4.00,5.00,3.00,5.00,7.00,6.75,3.00,7.00,4.00,104,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',10457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366414,5.00,6.00,1.00,4.00,6.00,6.75,2.00,4.00,2.00,234,NULL,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',17694,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6366422,1.00,4.00,0.00,0.00,0.00,NULL,2.00,0.00,3.00,9,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366430,5.00,5.00,2.00,5.00,8.00,6.38,2.00,2.00,4.00,652,NULL,655,'PONTE ALTA','TURVO','SC',12913,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6366449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6366465,4.00,6.00,2.00,4.00,8.00,8.25,2.00,1.00,3.00,216,NULL,207,'CENTRO','S BENTO SUL','SC',11441,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6366473,5.00,5.00,3.00,4.00,7.00,8.25,1.00,6.00,2.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',10453,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','PARAGUAÇU PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6366490,2.00,5.00,3.00,2.00,7.00,7.13,2.00,2.00,2.00,426,NULL,428,'ARIRIU DA FORMIGA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366503,4.00,3.00,2.00,3.00,6.00,6.75,0.00,3.00,2.00,999,NULL,NULL,'CENTRO','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6366520,3.00,6.00,0.00,3.00,4.00,NULL,1.00,5.00,0.00,110,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366538,3.00,7.00,2.00,4.00,5.00,5.63,0.00,4.00,3.00,302,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',15815,114,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366546,4.00,6.00,3.00,2.00,4.00,NULL,0.00,0.00,1.00,5,NULL,NULL,'VILA MARIANA','PRUDENTÓPOLIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6366554,2.00,5.00,3.00,4.00,8.00,10.13,2.00,5.00,2.00,318,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',14338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6366589,3.00,2.00,0.00,4.00,2.00,NULL,3.00,1.00,1.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366597,6.00,7.00,3.00,5.00,9.00,7.50,3.00,6.00,4.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',5761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366600,2.00,2.00,1.00,4.00,7.00,6.75,0.00,2.00,0.00,203,NULL,202,'PARQUE SÃO PAULO','CASCAVEL','PR',20196,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6366619,1.00,7.00,4.00,1.00,5.00,6.75,2.00,3.00,2.00,335,NULL,NULL,'KOBRASOL','S JOSÉ','SC',18916,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366627,4.00,5.00,1.00,4.00,7.00,7.50,1.00,3.00,3.00,333,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',17166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366635,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6366643,4.00,4.00,1.00,2.00,8.00,10.50,1.00,5.00,4.00,425,NULL,429,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',10236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366651,3.00,3.00,3.00,3.00,6.00,6.75,0.00,5.00,5.00,340,NULL,NULL,'SANTO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC',13284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366660,2.00,3.00,1.00,3.00,6.00,6.38,2.00,1.00,1.00,103,NULL,NULL,'VÁRZEA','LAGES','SC',18900,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6366686,1.00,1.00,2.00,4.00,5.00,NULL,0.00,0.00,1.00,601,NULL,202,'LALAU','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6366694,7.00,7.00,2.00,6.00,10.00,NULL,0.00,5.00,6.00,201,NULL,216,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6366708,3.00,5.00,1.00,3.00,6.00,9.00,1.00,2.00,2.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',19763,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366716,5.00,6.00,2.00,5.00,7.00,7.13,2.00,0.00,7.00,220,NULL,233,'IPANEMA','ARAÇATUBA','SP',8732,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6366724,2.00,6.00,4.00,4.00,5.00,7.13,3.00,6.00,2.00,301,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',14006,161,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366732,3.00,4.00,0.00,5.00,6.00,NULL,0.00,1.00,0.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366740,2.00,4.00,2.00,4.00,4.00,8.63,3.00,0.00,3.00,101,NULL,NULL,'ITIBERÊ','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6366759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'BORGES','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6366767,4.00,4.00,2.00,5.00,5.00,8.25,2.00,3.00,0.00,601,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',14939,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6366775,3.00,7.00,5.00,5.00,7.00,7.50,2.00,5.00,5.00,203,NULL,653,'RIO VERMELHO','FLORIANÓPOLIS','SC',8570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366783,8.00,7.00,3.00,5.00,9.00,10.50,5.00,6.00,9.00,103,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',1041,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6366791,5.00,3.00,3.00,6.00,7.00,7.50,5.00,6.00,5.00,214,NULL,213,'CENTRO','CURITIBA','PR',7542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',1,8),(25,6366813,3.00,4.00,2.00,3.00,3.00,9.00,2.00,1.00,1.00,329,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',20745,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6366830,3.00,6.00,3.00,5.00,9.00,9.75,2.00,2.00,4.00,303,NULL,NULL,'BOQUEIRÃO','SANTOS','SP',7391,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6366848,8.00,7.00,5.00,6.00,8.00,8.25,5.00,6.00,8.00,103,NULL,NULL,'TARUMÃ','CURITIBA','PR',1327,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6366856,4.00,3.00,2.00,6.00,10.00,9.75,2.00,5.00,6.00,3,NULL,NULL,'CENTRO','TIJUCAS','SC',7202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366864,5.00,7.00,1.00,7.00,11.00,9.38,1.00,6.00,6.00,415,NULL,NULL,'VISTA ALEGRE','VINHEDO','SP',3290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,655,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6366880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CORVETA','ARAQUARI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6366899,2.00,2.00,2.00,2.00,4.00,6.38,2.00,0.00,3.00,304,NULL,NULL,'KOBRASOL','S JOSÉ','SC',21562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366910,2.00,6.00,4.00,3.00,7.00,NULL,0.00,3.00,0.00,501,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6366929,5.00,8.00,1.00,6.00,8.00,10.13,0.00,6.00,1.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366945,6.00,6.00,6.00,7.00,6.00,9.38,5.00,6.00,6.00,220,NULL,202,'PARQUE ALVORADA','DOURADOS','MS',2372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366953,6.00,6.00,1.00,6.00,10.00,9.38,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','PAIM FILHO','RS',3459,1883,NULL,NULL,NULL,NULL,NULL,2,7),(25,6366961,3.00,2.00,2.00,5.00,3.00,8.25,0.00,0.00,3.00,203,NULL,201,'GLEBA PALHANO','LONDRINA','PR',18661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6366970,3.00,3.00,4.00,3.00,8.00,7.88,1.00,1.00,3.00,102,NULL,NULL,'FAZENDA','ITAJAÍ','SC',18782,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6366996,8.00,5.00,6.00,8.00,8.00,9.00,3.00,5.00,8.00,103,NULL,NULL,'VL MARIANA','S PAULO','SP',1663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367003,2.00,7.00,1.00,7.00,6.00,9.00,2.00,4.00,2.00,316,NULL,NULL,'LAPA','S PAULO','SP',13687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367011,2.00,0.00,3.00,2.00,2.00,NULL,0.00,0.00,1.00,654,NULL,NULL,'CENTRO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6367038,3.00,3.00,2.00,2.00,1.00,NULL,2.00,2.00,1.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6367054,2.00,0.00,1.00,2.00,5.00,NULL,3.00,1.00,2.00,655,NULL,NULL,'SANTA LÍBERA','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6367062,2.00,4.00,0.00,3.00,5.00,5.63,4.00,3.00,1.00,404,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',18362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367070,1.00,4.00,1.00,0.00,5.00,6.75,1.00,1.00,2.00,303,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',20906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367089,4.00,5.00,0.00,4.00,8.00,7.88,1.00,2.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367097,7.00,7.00,2.00,6.00,10.00,8.63,1.00,6.00,7.00,201,NULL,214,'INDEPENDENCIA','CACHOEIRO ITAPEMIRIM','ES',3463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367119,3.00,4.00,0.00,3.00,5.00,NULL,2.00,4.00,1.00,101,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6367127,3.00,5.00,4.00,4.00,2.00,NULL,1.00,2.00,3.00,220,NULL,212,'ZONA DOIS','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','BITURUNA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6367151,5.00,5.00,2.00,5.00,9.00,9.75,2.00,2.00,4.00,316,NULL,NULL,'NOVA BELÉM','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6367160,2.00,5.00,0.00,0.00,4.00,NULL,3.00,4.00,0.00,302,NULL,NULL,'JARDIM C DE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'SANTA CRUZ','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6367208,2.00,4.00,2.00,0.00,3.00,NULL,3.00,0.00,1.00,104,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367216,2.00,5.00,2.00,6.00,8.00,9.38,0.00,4.00,3.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367224,5.00,7.00,0.00,8.00,7.00,9.00,0.00,4.00,4.00,340,NULL,NULL,'SÃO JOÃO','CURITIBA','PR',11106,NULL,NULL,NULL,NULL,NULL,NULL,3,3),(25,6367232,3.00,6.00,1.00,4.00,7.00,9.00,2.00,3.00,1.00,303,NULL,NULL,'CENTRO','CASCAVEL','PR',13759,636,NULL,NULL,NULL,NULL,NULL,4,4),(25,6367240,3.00,4.00,3.00,4.00,3.00,7.13,1.00,5.00,0.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'MONTE CASTELO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6367275,3.00,4.00,2.00,4.00,4.00,NULL,2.00,5.00,2.00,501,NULL,NULL,'BELA VISTA','ARROIO MEIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6367283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,215,'JARDIM NOVA SUIÇA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6367291,2.00,4.00,3.00,2.00,3.00,6.38,1.00,2.00,2.00,238,NULL,652,'CENTRO','STA ROSA SUL','SC',21131,523,NULL,108,NULL,NULL,NULL,4,15),(25,6367305,2.00,5.00,2.00,3.00,4.00,9.00,0.00,3.00,0.00,211,NULL,212,'CENTRO','LAGES','SC',17542,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6367313,3.00,1.00,2.00,2.00,5.00,7.13,3.00,2.00,1.00,211,NULL,653,'CENTRO','PASSO TORRES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6367330,3.00,3.00,2.00,2.00,2.00,NULL,1.00,4.00,1.00,201,NULL,655,'SÃO CRISTÓVÃO','SANTIAGO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6367348,6.00,6.00,7.00,6.00,7.00,7.13,4.00,7.00,6.00,212,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',4041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367356,4.00,3.00,4.00,2.00,7.00,11.25,1.00,5.00,3.00,103,NULL,NULL,'VILA OLÍMPICA','UBERABA','MG',9773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6367380,4.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6367399,3.00,2.00,3.00,4.00,6.00,6.75,2.00,3.00,2.00,104,NULL,NULL,'CENTRO','SANANDUVA','RS',16086,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6367402,5.00,4.00,1.00,3.00,6.00,7.88,2.00,3.00,7.00,103,NULL,NULL,'EXPOSIÇÃO','CAXIAS SUL','RS',10032,3553,NULL,NULL,NULL,NULL,NULL,2,9),(25,6367410,1.00,4.00,0.00,2.00,6.00,NULL,0.00,0.00,1.00,207,NULL,201,'UNIVERSITÁRIO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6367429,4.00,3.00,0.00,3.00,5.00,NULL,1.00,2.00,4.00,333,NULL,NULL,'PARQUE REAL','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6367445,6.00,7.00,2.00,6.00,5.00,10.88,3.00,3.00,2.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367453,9.00,5.00,6.00,7.00,8.00,8.63,3.00,6.00,6.00,103,NULL,NULL,'JUVEVÊ','CURITIBA','PR',1509,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6367461,5.00,5.00,1.00,1.00,6.00,9.00,0.00,4.00,3.00,338,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6367470,5.00,4.00,3.00,3.00,7.00,NULL,0.00,3.00,6.00,103,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6367488,2.00,3.00,1.00,4.00,7.00,8.25,1.00,1.00,1.00,319,NULL,NULL,'TRINTA RÉIS','NOVA TRENTO','SC',17913,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6367496,5.00,6.00,2.00,2.00,8.00,9.38,2.00,3.00,0.00,303,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',14504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367500,4.00,6.00,4.00,5.00,5.00,9.38,3.00,6.00,7.00,216,NULL,220,'GONZAGA','SANTOS','SP',5113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367518,3.00,5.00,1.00,5.00,8.00,9.75,0.00,3.00,3.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12677,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6367526,5.00,5.00,1.00,6.00,6.00,10.13,1.00,1.00,4.00,319,NULL,NULL,'CENTRO','JOAÇABA','SC',14039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367534,3.00,2.00,1.00,1.00,4.00,3.00,1.00,0.00,2.00,551,NULL,NULL,'SÃO LUIS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6367542,6.00,5.00,6.00,6.00,4.00,9.38,0.00,1.00,1.00,223,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',14830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367550,3.00,5.00,0.00,4.00,6.00,NULL,0.00,3.00,4.00,327,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6367569,3.00,6.00,1.00,0.00,7.00,11.25,3.00,3.00,1.00,415,NULL,NULL,'PARQUE AEROPORTO','TAUBATÉ','SP',14081,210,NULL,NULL,NULL,NULL,NULL,4,3),(25,6367577,7.00,2.00,2.00,3.00,6.00,7.50,0.00,1.00,1.00,216,NULL,203,'ITAUM','JOINVILLE','SC',20498,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6367585,4.00,1.00,1.00,2.00,3.00,NULL,2.00,0.00,2.00,654,NULL,NULL,'VILA BATISTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6367593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6367607,7.00,7.00,5.00,6.00,9.00,10.50,1.00,6.00,6.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',2882,1656,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367615,5.00,6.00,1.00,6.00,8.00,7.13,2.00,1.00,5.00,233,NULL,203,'VILA FORMOZA','BLUMENAU','SC',11352,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6367623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6367631,2.00,5.00,1.00,3.00,6.00,9.00,1.00,2.00,0.00,339,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6367640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6367666,6.00,4.00,1.00,0.00,6.00,0.00,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6367682,3.00,6.00,1.00,3.00,5.00,6.75,2.00,2.00,3.00,5,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6367690,6.00,7.00,5.00,5.00,6.00,6.00,2.00,5.00,4.00,211,NULL,213,'CENTRO','BAL CAMBORIÚ','SC',7755,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6367704,2.00,4.00,2.00,5.00,9.00,NULL,0.00,5.00,4.00,5,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367712,4.00,3.00,1.00,6.00,8.00,7.88,1.00,2.00,2.00,103,NULL,NULL,'BOQUEIRÃO','PASSO FUNDO','RS',18224,4540,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367739,4.00,4.00,1.00,3.00,5.00,4.50,1.00,3.00,1.00,340,NULL,NULL,'ROÇADO','S JOSÉ','SC',20998,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367747,3.00,5.00,3.00,2.00,6.00,7.50,0.00,2.00,2.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6367755,4.00,3.00,2.00,4.00,7.00,7.50,2.00,3.00,5.00,102,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12877,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6367763,8.00,7.00,2.00,7.00,10.00,10.50,5.00,8.00,9.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367771,3.00,1.00,4.00,1.00,1.00,NULL,2.00,1.00,0.00,102,NULL,NULL,'AGUAS BRANCAS','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6367780,3.00,7.00,1.00,6.00,7.00,8.25,3.00,7.00,4.00,999,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6367798,8.00,8.00,8.00,5.00,9.00,8.63,4.00,5.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1309,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6367801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CIANORTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6367810,3.00,5.00,1.00,3.00,7.00,10.13,1.00,1.00,0.00,335,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',19339,19,NULL,NULL,NULL,NULL,NULL,2,1),(25,6367844,4.00,3.00,1.00,1.00,1.00,NULL,2.00,2.00,3.00,9,NULL,NULL,'SAO LUIZ','S MARTINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6367852,7.00,6.00,5.00,1.00,8.00,7.50,2.00,7.00,5.00,203,NULL,201,'SANTA FELICIDADE','CURITIBA','PR',8059,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6367860,9.00,7.00,4.00,7.00,6.00,10.50,4.00,6.00,7.00,103,NULL,NULL,'JD MACARENGO','S CARLOS','SP',1397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367879,6.00,3.00,2.00,5.00,6.00,6.00,3.00,5.00,4.00,452,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',12925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367887,4.00,3.00,1.00,4.00,5.00,8.25,1.00,1.00,1.00,301,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',20212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR SUL','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6367909,1.00,5.00,4.00,1.00,3.00,6.38,4.00,1.00,3.00,335,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367917,2.00,3.00,0.00,1.00,4.00,NULL,2.00,1.00,1.00,202,NULL,203,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367925,5.00,6.00,6.00,6.00,10.00,9.00,2.00,5.00,4.00,601,NULL,653,'CRISTO REI','CHAPECÓ','SC',3831,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6367933,5.00,5.00,2.00,6.00,9.00,9.75,2.00,6.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7495,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6367950,2.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(25,6367968,2.00,3.00,5.00,3.00,7.00,8.63,3.00,1.00,3.00,109,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',14432,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6367976,4.00,4.00,3.00,4.00,8.00,9.38,1.00,3.00,3.00,215,NULL,214,'VILA JACON','LIMEIRA','SP',11923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6367984,3.00,1.00,1.00,2.00,2.00,NULL,3.00,0.00,1.00,551,NULL,NULL,'INTERIOR','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6367992,3.00,7.00,1.00,5.00,7.00,9.75,0.00,3.00,3.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6368018,3.00,3.00,1.00,2.00,2.00,NULL,2.00,1.00,0.00,329,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6368026,2.00,3.00,0.00,3.00,4.00,6.38,1.00,0.00,3.00,207,NULL,212,'CENTRO','FOZ IGUAÇU','PR',21646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368034,3.00,5.00,0.00,5.00,8.00,NULL,1.00,2.00,0.00,420,NULL,NULL,'BELA VISTA','RIO CLARO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6368042,6.00,6.00,5.00,7.00,6.00,8.63,2.00,5.00,7.00,220,NULL,653,'CENTRO','FLORIANÓPOLIS','SC',3652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368050,4.00,5.00,1.00,6.00,7.00,12.00,2.00,7.00,4.00,450,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368069,5.00,6.00,0.00,5.00,7.00,8.25,2.00,2.00,3.00,654,NULL,NULL,'PIQUE DO RIO CEDRO','MELEIRO','SC',14933,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6368077,4.00,4.00,3.00,5.00,7.00,9.75,1.00,3.00,2.00,340,NULL,NULL,'GUANABARA','GARÇA','SP',16008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368085,2.00,2.00,0.00,2.00,5.00,10.13,2.00,0.00,0.00,302,NULL,NULL,'CLARAÍBA','NOVA TRENTO','SC',21578,202,NULL,NULL,NULL,NULL,NULL,2,1),(25,6368093,4.00,1.00,1.00,5.00,6.00,NULL,0.00,1.00,2.00,203,NULL,207,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6368107,4.00,7.00,2.00,4.00,6.00,7.50,2.00,3.00,1.00,453,NULL,NULL,'CENTRO','IPUMIRIM','SC',12337,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6368115,3.00,2.00,1.00,4.00,3.00,8.63,1.00,2.00,1.00,208,NULL,238,'CENTRO','BIGUAÇU','SC',20928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368123,4.00,6.00,3.00,5.00,5.00,11.25,1.00,3.00,4.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368131,4.00,6.00,2.00,4.00,7.00,6.00,3.00,2.00,4.00,216,NULL,208,'CENTRO','BAL CAMBORIÚ','SC',14664,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6368140,6.00,2.00,2.00,3.00,6.00,8.63,0.00,3.00,2.00,450,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',15916,106,NULL,NULL,NULL,NULL,NULL,2,1),(25,6368158,4.00,3.00,2.00,3.00,5.00,6.75,2.00,3.00,2.00,108,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',18389,272,NULL,NULL,NULL,NULL,NULL,2,1),(25,6368166,5.00,3.00,0.00,3.00,5.00,7.88,0.00,2.00,0.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',19416,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6368174,6.00,6.00,4.00,6.00,9.00,10.13,1.00,7.00,5.00,201,NULL,601,'VILA NOVA','FRANCISCO BELTRÃO','PR',3402,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6368182,2.00,4.00,2.00,2.00,3.00,7.13,1.00,4.00,1.00,652,NULL,653,'VILA BEATRIZ','MARACAJÁ','SC',19842,77,NULL,NULL,NULL,NULL,NULL,4,15),(25,6368190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PQRES IRMAOS FURQUIM','BEBEDOURO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6368204,4.00,5.00,1.00,6.00,4.00,11.25,1.00,3.00,1.00,103,NULL,NULL,'ESCOLA AGRICOLA','BLUMENAU','SC',16393,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6368212,5.00,3.00,4.00,3.00,5.00,9.00,0.00,4.00,2.00,5,NULL,NULL,'CENTRO','SANTANA PTE PENSA','SP',14306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6368255,7.00,8.00,3.00,7.00,10.00,9.00,6.00,4.00,7.00,2,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',1224,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6368271,5.00,5.00,0.00,7.00,9.00,7.88,1.00,5.00,2.00,2,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13226,33,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368280,2.00,6.00,2.00,4.00,7.00,6.75,4.00,4.00,0.00,404,NULL,NULL,'KOBRASOL','S JOSÉ','SC',17740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368301,7.00,5.00,0.00,5.00,6.00,9.00,2.00,3.00,6.00,103,NULL,NULL,'MORRO DO ESPELHO','S LEOPOLDO','RS',8779,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6368310,7.00,6.00,0.00,7.00,6.00,10.50,4.00,2.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO CRISTÓVÃO','LAJEADO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6368336,1.00,3.00,3.00,1.00,5.00,NULL,0.00,4.00,1.00,9,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6368344,7.00,5.00,6.00,6.00,9.00,8.25,7.00,7.00,8.00,103,NULL,NULL,'CENTRO','JAGUAPITÃ','PR',959,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6368360,3.00,4.00,1.00,2.00,6.00,7.50,1.00,4.00,3.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6368379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6368395,4.00,4.00,0.00,2.00,5.00,NULL,2.00,1.00,1.00,103,NULL,NULL,'CENTRO','S MIGUEL B VISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6368409,4.00,5.00,0.00,7.00,4.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6368425,6.00,7.00,4.00,7.00,9.00,9.38,1.00,7.00,5.00,201,NULL,233,'VL NOVA SIDÉRIA','STA CRUZ R PARDO','SP',2329,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6368433,3.00,4.00,2.00,0.00,3.00,NULL,0.00,3.00,2.00,331,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6368441,2.00,4.00,0.00,0.00,6.00,NULL,2.00,2.00,1.00,328,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6368450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'VILA EMA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6368476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6368484,5.00,3.00,2.00,5.00,7.00,9.75,2.00,2.00,3.00,420,NULL,NULL,'MORADA DO OURO','CUIABÁ','MT',9710,67,NULL,NULL,NULL,NULL,NULL,2,1),(25,6368492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6368506,8.00,5.00,3.00,5.00,9.00,10.88,6.00,5.00,9.00,103,NULL,NULL,'BAIRRO DA LUZ','DOIS VIZINHOS','PR',1301,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6368514,5.00,6.00,0.00,6.00,6.00,7.50,2.00,4.00,4.00,201,NULL,NULL,'CENTRO','CÂNDIDO MOTA','SP',11815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6368522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'SAMUEL SANDRINI','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6368530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'MILANO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6368549,6.00,4.00,4.00,6.00,6.00,10.13,3.00,5.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368557,3.00,4.00,0.00,3.00,4.00,NULL,1.00,1.00,0.00,654,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6368573,3.00,6.00,4.00,3.00,5.00,7.13,0.00,5.00,4.00,601,NULL,201,'EUVIRA REGAZZO','NOVA AURORA','PR',15542,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6368581,5.00,7.00,4.00,7.00,6.00,9.38,3.00,8.00,5.00,202,NULL,235,'SÃO LUIZ','BRUSQUE','SC',3809,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6368590,5.00,6.00,5.00,8.00,8.00,7.88,4.00,8.00,7.00,108,NULL,NULL,'JOAQUINA','FLORIANÓPOLIS','SC',2212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368603,1.00,3.00,0.00,2.00,5.00,8.25,1.00,1.00,4.00,207,NULL,601,'ESTREITO','FLORIANÓPOLIS','SC',21111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6368611,4.00,4.00,2.00,2.00,3.00,7.88,0.00,1.00,2.00,202,NULL,601,'CENTRO','S BENTO SUL','SC',17893,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6368638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'VILA MERCEDEZ','CAÇAPAVA SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6368646,5.00,5.00,2.00,4.00,8.00,6.75,1.00,2.00,5.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368654,2.00,3.00,0.00,2.00,3.00,NULL,0.00,1.00,0.00,202,NULL,220,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6368662,5.00,7.00,2.00,5.00,4.00,7.88,2.00,5.00,0.00,999,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6368670,5.00,6.00,5.00,7.00,8.00,11.63,4.00,6.00,7.00,215,NULL,201,'FLORESTA','PTO ALEGRE','RS',1514,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6368689,5.00,5.00,2.00,5.00,6.00,NULL,0.00,5.00,2.00,213,NULL,214,'VILA MARIETA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6368700,5.00,7.00,3.00,7.00,8.00,5.63,4.00,5.00,3.00,103,NULL,NULL,'UNIVERSITARIO','LAGES','SC',8222,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6368719,1.00,5.00,4.00,5.00,5.00,8.25,2.00,3.00,4.00,9,NULL,NULL,'ZONA SETE','MARINGÁ','PR',17508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368727,3.00,3.00,0.00,2.00,4.00,5.25,2.00,5.00,0.00,301,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',20430,294,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368735,4.00,5.00,2.00,3.00,8.00,11.63,2.00,5.00,3.00,103,NULL,NULL,'JARDIM BOA VISTA','CPO LARGO','PR',8721,3328,NULL,NULL,NULL,NULL,NULL,4,8),(25,6368743,1.00,0.00,0.00,1.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6368751,1.00,2.00,1.00,5.00,4.00,8.63,1.00,2.00,2.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6368760,3.00,5.00,3.00,3.00,7.00,9.75,1.00,4.00,3.00,203,NULL,214,'PIONEIRO','PINHALZINHO','SC',15813,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6368786,2.00,4.00,2.00,4.00,7.00,7.88,0.00,3.00,0.00,319,NULL,NULL,'CENTRO','PARANAVAÍ','PR',15710,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6368794,1.00,7.00,2.00,1.00,5.00,7.13,2.00,4.00,2.00,318,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6368808,4.00,7.00,1.00,3.00,5.00,6.75,0.00,4.00,2.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',17266,39,NULL,NULL,NULL,NULL,NULL,2,15),(25,6368816,4.00,5.00,2.00,3.00,5.00,7.88,2.00,5.00,2.00,202,NULL,213,'ITAIBA','CONCÓRDIA','SC',17390,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6368824,8.00,7.00,7.00,7.00,9.00,10.50,5.00,7.00,7.00,216,NULL,215,'PRAINHA','FLORIANÓPOLIS','SC',202,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368832,4.00,5.00,1.00,5.00,7.00,10.13,1.00,8.00,5.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',8392,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6368840,7.00,6.00,4.00,7.00,8.00,10.50,1.00,5.00,1.00,109,NULL,NULL,'VILA ESPERANÇA','MARINGÁ','PR',6874,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6368859,3.00,2.00,1.00,2.00,4.00,5.63,1.00,1.00,4.00,109,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',21450,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6368867,7.00,5.00,2.00,6.00,10.00,7.88,2.00,7.00,7.00,333,NULL,NULL,'CENTRO','ASTORGA','PR',4372,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6368875,3.00,5.00,4.00,7.00,8.00,9.00,3.00,3.00,5.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',6667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6368891,7.00,4.00,4.00,4.00,6.00,9.00,2.00,4.00,4.00,103,NULL,NULL,'ARTUR ALVIM','S PAULO','SP',8839,3353,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368905,6.00,6.00,3.00,3.00,9.00,7.88,1.00,3.00,4.00,208,NULL,214,'CAMPINAS','S JOSÉ','SC',8530,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6368913,3.00,3.00,2.00,3.00,4.00,8.63,2.00,2.00,2.00,319,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',20374,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368921,3.00,8.00,2.00,5.00,6.00,7.88,1.00,5.00,4.00,336,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368930,7.00,7.00,1.00,2.00,5.00,7.88,3.00,8.00,5.00,655,NULL,653,'TABULEIRO','BARRA VELHA','SC',10536,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6368948,3.00,5.00,2.00,3.00,4.00,8.63,1.00,4.00,3.00,302,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',17932,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6368956,2.00,6.00,5.00,4.00,9.00,10.13,2.00,4.00,3.00,233,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',10022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368964,8.00,8.00,6.00,7.00,10.00,10.88,4.00,5.00,7.00,220,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',962,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6368972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,423,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6368980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6368999,6.00,8.00,5.00,6.00,8.00,9.00,3.00,5.00,7.00,220,NULL,213,'RIO BRANCO','PTO ALEGRE','RS',2417,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6369006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6369014,3.00,5.00,1.00,3.00,4.00,10.13,1.00,5.00,1.00,335,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',17963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369022,2.00,5.00,0.00,6.00,7.00,9.00,3.00,4.00,3.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369030,1.00,5.00,1.00,3.00,5.00,7.50,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','ARVOREDO','SC',16589,4390,NULL,NULL,NULL,NULL,NULL,2,4),(25,6369049,2.00,5.00,1.00,7.00,5.00,5.63,0.00,5.00,2.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18174,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369057,5.00,8.00,2.00,7.00,7.00,7.13,1.00,3.00,4.00,336,NULL,NULL,'CENTRO','PALMAS','PR',7024,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6369065,4.00,6.00,2.00,2.00,5.00,6.00,3.00,3.00,1.00,999,NULL,NULL,'BESENELLO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369073,1.00,7.00,5.00,5.00,7.00,8.63,0.00,6.00,3.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10368,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'JARDIM AMERICA','JALES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6369090,0.00,2.00,0.00,0.00,0.00,NULL,2.00,3.00,3.00,208,NULL,NULL,'MONTE ALEGRE','S CRISTÓVÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6369103,4.00,4.00,3.00,0.00,5.00,10.13,1.00,4.00,0.00,5,NULL,NULL,'VISTA ALEGRE','CONCÓRDIA','SC',17077,596,NULL,NULL,NULL,NULL,NULL,4,7),(25,6369111,5.00,2.00,3.00,6.00,4.00,7.50,1.00,3.00,4.00,103,NULL,NULL,'CARANDÁ BOSQUE','CPO GRANDE','MS',14372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369138,7.00,7.00,6.00,7.00,9.00,9.75,2.00,8.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','IBIÚNA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6369154,3.00,5.00,1.00,2.00,5.00,7.13,2.00,2.00,1.00,303,NULL,NULL,'ROÇADO','S JOSÉ','SC',17646,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369162,2.00,0.00,1.00,5.00,3.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'JARDIM ITAMARATY','GARUVA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6369170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6369189,2.00,3.00,3.00,4.00,5.00,8.25,1.00,2.00,2.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369197,2.00,1.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','LEOBERTO LEAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6369200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CIRÍACO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6369219,3.00,6.00,0.00,5.00,7.00,9.00,3.00,6.00,0.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12851,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369227,3.00,4.00,1.00,4.00,6.00,6.00,2.00,2.00,3.00,317,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',18642,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369235,2.00,5.00,3.00,4.00,6.00,5.63,2.00,1.00,2.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369243,9.00,7.00,7.00,6.00,10.00,10.50,5.00,5.00,9.00,103,NULL,NULL,'AÇOS FINOS PIRATINI','CHARQUEADAS','RS',570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369251,6.00,6.00,0.00,5.00,6.00,NULL,1.00,2.00,5.00,103,NULL,NULL,'CENTRO','CORBÉLIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6369260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6369278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6369286,6.00,5.00,3.00,5.00,7.00,7.13,1.00,5.00,2.00,207,NULL,201,'CENTRO','ENÉAS MARQUES','PR',9109,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6369316,1.00,4.00,1.00,1.00,3.00,6.38,4.00,0.00,2.00,654,NULL,NULL,'CENTRO','MRO GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6369324,2.00,6.00,3.00,4.00,9.00,6.75,4.00,4.00,3.00,329,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',12706,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369340,1.00,4.00,0.00,5.00,6.00,NULL,0.00,3.00,0.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369359,2.00,6.00,1.00,4.00,7.00,9.00,3.00,4.00,6.00,427,NULL,429,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6369375,3.00,5.00,3.00,4.00,5.00,7.13,2.00,1.00,1.00,999,NULL,NULL,'CONGONHAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6369383,0.00,2.00,0.00,2.00,6.00,7.13,2.00,1.00,1.00,308,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',21651,77,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6369405,6.00,7.00,4.00,5.00,9.00,8.63,3.00,8.00,5.00,320,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',5919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,235,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6369421,5.00,5.00,3.00,5.00,7.00,6.75,1.00,4.00,4.00,203,NULL,233,'PARQUE AUTO ESTRADA','PNT GROSSA','PR',9913,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6369430,0.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6369448,9.00,6.00,3.00,4.00,10.00,9.75,5.00,7.00,8.00,103,NULL,NULL,'JARDIM BOTÂNICO','CURITIBA','PR',1691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369456,3.00,5.00,2.00,7.00,7.00,7.13,3.00,7.00,4.00,999,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369464,5.00,4.00,1.00,5.00,5.00,7.50,1.00,1.00,2.00,308,NULL,NULL,'ARMAÇAO P DO SUL','FLORIANÓPOLIS','SC',17608,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'RIO AREIA','LEOBERTO LEAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6369499,1.00,3.00,3.00,1.00,5.00,NULL,2.00,5.00,0.00,308,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369502,3.00,2.00,3.00,3.00,5.00,7.88,0.00,1.00,1.00,551,NULL,NULL,'CENTRO','FR ROGÉRIO','SC',20033,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6369510,3.00,5.00,2.00,6.00,5.00,7.50,2.00,3.00,0.00,415,NULL,NULL,'PÔR DO SOL','MTE CARLO','SC',15575,240,NULL,NULL,NULL,NULL,NULL,2,16),(25,6369529,6.00,5.00,4.00,6.00,6.00,7.13,3.00,6.00,5.00,201,NULL,601,'TAJUBA I','S JOÃO BATISTA','SC',8366,640,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369537,3.00,3.00,3.00,4.00,6.00,NULL,2.00,0.00,0.00,450,NULL,NULL,'PORTAL','SOCORRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369545,7.00,5.00,4.00,6.00,9.00,9.75,4.00,6.00,4.00,203,NULL,202,'CHACARAS CAICARA','BIRIGÜI','SP',2309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369553,4.00,5.00,2.00,3.00,6.00,5.25,2.00,4.00,1.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17495,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369561,5.00,3.00,4.00,4.00,5.00,7.88,1.00,1.00,2.00,551,NULL,NULL,'PIEDADE','CANOINHAS','SC',16134,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6369570,3.00,3.00,2.00,6.00,3.00,6.00,1.00,0.00,1.00,208,NULL,238,'SÃO ROQUE','BENTO GONÇALVES','RS',20663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369588,6.00,4.00,4.00,1.00,8.00,8.63,3.00,7.00,7.00,303,NULL,NULL,'SÃO DIMAS','PIRACICABA','SP',5693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369596,2.00,2.00,2.00,2.00,3.00,0.00,3.00,1.00,1.00,309,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369600,4.00,6.00,7.00,8.00,9.00,NULL,0.00,5.00,6.00,207,NULL,201,'VISTA VERDE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369618,5.00,4.00,1.00,6.00,8.00,7.88,1.00,3.00,5.00,999,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6369634,3.00,2.00,1.00,3.00,3.00,8.25,1.00,1.00,1.00,999,NULL,NULL,'SÃO LUIS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6369642,3.00,7.00,3.00,6.00,9.00,10.13,2.00,6.00,5.00,404,NULL,NULL,'BARREIROS','S JOSÉ','SC',7644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369650,2.00,5.00,2.00,1.00,6.00,5.63,3.00,3.00,2.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369669,5.00,5.00,2.00,6.00,5.00,NULL,0.00,4.00,4.00,303,NULL,NULL,'VILA B','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369685,2.00,5.00,0.00,4.00,3.00,NULL,0.00,1.00,3.00,502,NULL,NULL,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6369693,3.00,5.00,3.00,2.00,7.00,6.38,3.00,2.00,2.00,235,NULL,208,'CARIANOS','FLORIANÓPOLIS','SC',19176,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'ALTOS DE SANTANA II','JACAREÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6369715,4.00,4.00,1.00,2.00,3.00,8.63,1.00,1.00,2.00,340,NULL,NULL,'MARAFON','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6369723,2.00,3.00,3.00,3.00,4.00,6.00,2.00,4.00,4.00,203,NULL,214,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',19776,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369731,2.00,3.00,1.00,2.00,2.00,NULL,0.00,1.00,1.00,654,NULL,NULL,'LINHA SÃO PEDRO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6369740,4.00,4.00,2.00,5.00,8.00,7.88,1.00,4.00,4.00,5,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',13335,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369758,0.00,3.00,0.00,1.00,4.00,NULL,3.00,0.00,0.00,211,NULL,215,'TRES DE MAIO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6369766,4.00,6.00,1.00,6.00,9.00,9.00,3.00,6.00,1.00,208,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',9386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6369782,8.00,7.00,2.00,5.00,7.00,7.50,0.00,7.00,6.00,103,NULL,NULL,'GIOVANE LUNARDELLI','LONDRINA','PR',5697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369790,6.00,7.00,3.00,3.00,7.00,8.63,0.00,5.00,7.00,238,NULL,208,'JARDIM CHAPADÃO','CAMPINAS','SP',7701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369804,5.00,4.00,5.00,6.00,8.00,9.75,0.00,7.00,4.00,103,NULL,NULL,'CENTRO','NAVEGANTES','SC',5944,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6369812,4.00,6.00,0.00,6.00,7.00,8.25,3.00,5.00,2.00,327,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6369839,1.00,5.00,4.00,4.00,6.00,10.88,1.00,4.00,1.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369847,8.00,6.00,4.00,8.00,9.00,11.25,3.00,8.00,7.00,103,NULL,NULL,'PASSO DA AREIA','STA MARIA','RS',796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369855,0.00,2.00,1.00,3.00,2.00,NULL,2.00,4.00,1.00,208,NULL,238,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369863,6.00,4.00,3.00,5.00,7.00,10.50,1.00,5.00,5.00,215,NULL,208,'SANTA TEREZA','JOAÇABA','SC',8556,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6369871,4.00,5.00,2.00,4.00,7.00,8.25,3.00,2.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369880,4.00,6.00,4.00,6.00,9.00,10.50,3.00,5.00,5.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369910,3.00,5.00,3.00,1.00,5.00,8.25,3.00,2.00,2.00,316,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6369928,2.00,2.00,0.00,1.00,5.00,NULL,2.00,3.00,2.00,9,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6369944,6.00,6.00,2.00,3.00,9.00,10.50,4.00,9.00,6.00,329,NULL,NULL,'CIDADE JARDIM','MARINGÁ','PR',4135,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6369952,7.00,3.00,3.00,6.00,7.00,9.75,3.00,8.00,5.00,201,NULL,233,'CENTRO','CRICIÚMA','SC',5427,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6369960,2.00,5.00,2.00,2.00,3.00,5.25,2.00,1.00,2.00,316,NULL,NULL,'JARDIM MODELO','JAPURÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6369979,4.00,5.00,1.00,4.00,6.00,9.00,2.00,2.00,2.00,207,NULL,211,'SACO GRANDE','FLORIANÓPOLIS','SC',16781,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6369987,3.00,3.00,2.00,2.00,7.00,8.25,0.00,3.00,3.00,103,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',18914,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6369995,6.00,5.00,3.00,4.00,7.00,10.13,4.00,4.00,5.00,211,NULL,235,'VILA RICA','CARAZINHO','RS',7000,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6370004,2.00,3.00,2.00,4.00,5.00,6.75,0.00,2.00,1.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',21240,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370012,3.00,2.00,1.00,0.00,4.00,6.38,1.00,0.00,2.00,501,NULL,NULL,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6370020,3.00,3.00,1.00,1.00,4.00,7.88,2.00,1.00,3.00,103,NULL,NULL,'CAMOBI','STA MARIA','RS',19275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6370039,5.00,6.00,0.00,1.00,5.00,9.75,2.00,2.00,3.00,233,NULL,220,'BRUSQUE','LAGES','SC',13833,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6370047,3.00,2.00,1.00,2.00,4.00,7.88,0.00,1.00,0.00,103,NULL,NULL,'ÁGUA SANTA','CURITIBANOS','SC',20530,4724,NULL,NULL,NULL,NULL,NULL,4,16),(25,6370055,6.00,6.00,3.00,7.00,9.00,7.88,3.00,8.00,5.00,203,NULL,202,'CENTRO','ORLEANS','SC',3294,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6370063,3.00,3.00,2.00,4.00,3.00,4.88,2.00,1.00,2.00,9,NULL,NULL,'MORRO DO POSTO','LAGES','SC',21435,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6370071,3.00,3.00,2.00,6.00,6.00,10.50,3.00,4.00,4.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370080,2.00,3.00,1.00,5.00,3.00,6.75,0.00,0.00,1.00,5,NULL,NULL,'INTERIOR','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,4),(25,6370098,3.00,6.00,4.00,5.00,6.00,11.25,1.00,2.00,2.00,332,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',13283,17,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6370110,4.00,7.00,3.00,5.00,8.00,7.50,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','PARANAVAÍ','PR',4395,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6370128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'LISBOA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6370136,4.00,3.00,2.00,4.00,5.00,7.13,1.00,2.00,1.00,207,NULL,208,'CAMPINAS','S JOSÉ','SC',19938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6370144,2.00,4.00,3.00,2.00,5.00,7.13,2.00,2.00,0.00,104,NULL,NULL,'CENTRO','GAROPABA','SC',20578,575,NULL,NULL,NULL,NULL,NULL,4,1),(25,6370152,2.00,6.00,3.00,1.00,6.00,7.88,3.00,1.00,1.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6370195,6.00,5.00,4.00,5.00,7.00,6.38,1.00,4.00,4.00,203,NULL,220,'CENTRO','IPUMIRIM','SC',8360,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6370209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'JARDEIM EUROPA','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6370217,4.00,7.00,3.00,3.00,5.00,7.50,1.00,5.00,3.00,316,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',13257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6370225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA ROSA PIRES','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6370233,3.00,6.00,1.00,1.00,3.00,6.00,0.00,1.00,1.00,551,NULL,NULL,'MAROMBAS','BRUNÓPOLIS','SC',21577,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6370250,5.00,5.00,4.00,4.00,4.00,8.63,0.00,6.00,4.00,331,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',14179,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370268,6.00,5.00,4.00,7.00,7.00,8.63,4.00,5.00,8.00,214,NULL,216,'VILA HARMONIA','ARARAQUARA','SP',2760,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6370284,5.00,5.00,3.00,5.00,7.00,8.63,3.00,2.00,3.00,203,NULL,214,'JARDIM SÃO FRANCISCO','LINS','SP',10064,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6370292,7.00,5.00,2.00,7.00,9.00,9.75,2.00,6.00,6.00,102,NULL,NULL,'PARQUE MONTE ALEGRE','TABOÃO SERRA','SP',3726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6370306,0.00,2.00,0.00,0.00,3.00,NULL,2.00,4.00,0.00,103,NULL,NULL,'CENTRO','ÁGUAS CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6370314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'NOSSA SENHORA DAS GR','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6370322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6370330,6.00,6.00,2.00,4.00,7.00,9.75,2.00,1.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6370349,5.00,5.00,1.00,5.00,8.00,8.63,4.00,5.00,3.00,332,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',8010,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370357,2.00,3.00,1.00,4.00,6.00,6.75,2.00,1.00,2.00,655,NULL,NULL,'SÃO PEREGRINO','TURVO','SC',20457,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6370365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,211,'EMBARÉ','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6370373,1.00,3.00,2.00,3.00,5.00,7.50,1.00,4.00,2.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370381,3.00,5.00,3.00,5.00,7.00,8.25,1.00,7.00,5.00,3,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',11683,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370390,4.00,7.00,2.00,4.00,6.00,6.38,1.00,4.00,4.00,601,NULL,214,'CEDRO ALTO','BRUSQUE','SC',14529,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6370403,6.00,5.00,2.00,4.00,6.00,6.38,2.00,0.00,1.00,203,NULL,202,'CENTRO','BAL CAMBORIÚ','SC',14558,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6370411,1.00,3.00,0.00,2.00,3.00,7.88,0.00,4.00,1.00,653,NULL,655,'DIVINÉIA','ARARANGUÁ','SC',21466,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6370420,1.00,4.00,1.00,3.00,4.00,5.63,2.00,2.00,0.00,101,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',21493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370438,7.00,7.00,3.00,6.00,10.00,12.38,1.00,6.00,6.00,5,NULL,NULL,'CENTRO','PINHALZINHO','SC',2729,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6370446,5.00,8.00,3.00,6.00,7.00,11.63,3.00,5.00,5.00,238,NULL,208,'BALNEÁRIO','FLORIANÓPOLIS','SC',6116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6370454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6370462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6370470,5.00,5.00,5.00,4.00,7.00,7.88,3.00,3.00,4.00,316,NULL,NULL,'JARDIM LUCIANA','MARÍLIA','SP',9309,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6370489,8.00,7.00,8.00,7.00,10.00,10.13,5.00,8.00,10.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',28,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6370497,1.00,3.00,1.00,0.00,4.00,NULL,0.00,0.00,0.00,208,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6370500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6370519,2.00,3.00,1.00,1.00,4.00,6.00,2.00,4.00,1.00,202,NULL,213,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370527,6.00,7.00,5.00,5.00,8.00,8.25,3.00,5.00,4.00,102,NULL,NULL,'NOVA BRASILIA','JARAGUÁ SUL','SC',6614,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6370535,6.00,8.00,3.00,6.00,7.00,9.38,2.00,5.00,5.00,104,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6459,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370543,1.00,3.00,2.00,2.00,4.00,8.25,1.00,0.00,1.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6370551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6370560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ARIZONA','LAURO MÜLLER','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6370578,3.00,4.00,3.00,3.00,4.00,5.63,0.00,5.00,0.00,201,NULL,207,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',18087,1498,NULL,978,NULL,NULL,NULL,4,1),(25,6370586,7.00,5.00,2.00,4.00,6.00,9.38,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',8532,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6370594,7.00,5.00,5.00,4.00,6.00,9.00,2.00,5.00,6.00,103,NULL,NULL,'MORUMBI','CORNÉLIO PROCÓPIO','PR',7104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6370608,8.00,5.00,4.00,2.00,7.00,7.50,2.00,7.00,4.00,103,NULL,NULL,'CENTRO','STA CRUZ MTE CASTELO','PR',6350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6370624,7.00,6.00,3.00,6.00,9.00,13.13,2.00,7.00,5.00,304,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',2867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6370632,2.00,3.00,1.00,2.00,5.00,9.00,4.00,2.00,1.00,652,NULL,655,'CENTRO','MELEIRO','SC',20369,95,NULL,141,NULL,NULL,NULL,2,15),(25,6370640,2.00,5.00,2.00,5.00,8.00,NULL,0.00,5.00,4.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370659,3.00,6.00,1.00,1.00,5.00,6.00,2.00,2.00,1.00,104,NULL,NULL,'JARDIM ZAIRA','GUARULHOS','SP',20984,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6370667,4.00,5.00,1.00,6.00,8.00,10.88,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','GRAVATAÍ','RS',7321,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6370675,4.00,7.00,1.00,6.00,7.00,NULL,2.00,4.00,4.00,999,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,2),(25,6370683,4.00,2.00,3.00,2.00,5.00,7.88,0.00,1.00,1.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',18542,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370691,5.00,3.00,1.00,4.00,9.00,8.63,2.00,3.00,2.00,316,NULL,NULL,'VILA NOVA','BLUMENAU','SC',14416,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6370705,4.00,5.00,0.00,3.00,6.00,6.00,3.00,3.00,3.00,444,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',19740,132,NULL,NULL,NULL,NULL,NULL,4,1),(25,6370713,5.00,5.00,3.00,5.00,5.00,9.38,2.00,5.00,5.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6370721,1.00,3.00,3.00,4.00,6.00,8.63,2.00,4.00,5.00,101,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',15085,66,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6370748,2.00,7.00,3.00,2.00,3.00,7.13,3.00,2.00,2.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',19957,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6370772,2.00,2.00,0.00,2.00,7.00,6.38,0.00,2.00,2.00,223,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19768,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370780,3.00,4.00,1.00,2.00,6.00,6.75,2.00,3.00,4.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',16573,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6370799,2.00,2.00,2.00,5.00,7.00,NULL,0.00,6.00,1.00,999,NULL,NULL,'SÃO LUIS','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6370802,0.00,3.00,1.00,3.00,4.00,6.75,1.00,3.00,2.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6370810,8.00,6.00,2.00,7.00,7.00,8.25,2.00,4.00,4.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8080,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370829,4.00,5.00,2.00,6.00,7.00,10.88,0.00,4.00,1.00,102,NULL,NULL,'FERROVIA','LAGES','SC',10171,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6370837,4.00,4.00,1.00,1.00,5.00,NULL,0.00,0.00,2.00,319,NULL,NULL,'PALHOÇA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6370845,4.00,3.00,0.00,1.00,3.00,NULL,2.00,0.00,2.00,335,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370853,5.00,5.00,3.00,2.00,7.00,7.88,3.00,7.00,2.00,203,NULL,214,'SERTAO DO IMARUI','S JOSÉ','SC',10250,730,NULL,261,NULL,NULL,NULL,2,1),(25,6370870,4.00,5.00,0.00,3.00,3.00,6.38,3.00,4.00,0.00,655,NULL,NULL,'ARMAÇÃO','PENHA','SC',18023,99,NULL,NULL,NULL,NULL,NULL,2,6),(25,6370888,2.00,6.00,1.00,3.00,5.00,NULL,3.00,1.00,0.00,420,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370896,7.00,5.00,3.00,4.00,5.00,9.75,2.00,2.00,1.00,103,NULL,NULL,'EXPOSIÇÃO','PASSOS','MG',11903,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6370900,3.00,3.00,3.00,5.00,6.00,8.63,2.00,4.00,1.00,207,NULL,201,'SÃO CRISTÓVÃO','UNIÃO VITÓRIA','PR',13732,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6370918,3.00,4.00,1.00,3.00,7.00,9.75,2.00,2.00,0.00,601,NULL,220,'RECIFE','TUBARÃO','SC',15476,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6370926,4.00,2.00,2.00,3.00,5.00,6.38,1.00,3.00,1.00,201,NULL,211,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370934,2.00,3.00,0.00,1.00,3.00,4.50,2.00,1.00,0.00,225,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21789,40,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6370950,3.00,5.00,1.00,3.00,7.00,8.25,3.00,5.00,2.00,420,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',15211,145,NULL,NULL,NULL,NULL,NULL,4,1),(25,6370969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CORVETA','ARAQUARI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6370977,2.00,3.00,3.00,4.00,7.00,NULL,0.00,2.00,3.00,223,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6370985,2.00,3.00,3.00,1.00,5.00,6.38,1.00,3.00,2.00,103,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',20806,4749,NULL,NULL,NULL,NULL,NULL,4,4),(25,6370993,2.00,3.00,2.00,3.00,6.00,5.63,2.00,2.00,2.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371019,7.00,4.00,4.00,5.00,5.00,11.25,2.00,4.00,7.00,201,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',5142,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6371035,3.00,6.00,2.00,2.00,7.00,10.88,0.00,1.00,0.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371043,3.00,4.00,3.00,4.00,5.00,7.88,4.00,3.00,5.00,203,NULL,214,'CENTRO','TOLEDO','PR',11893,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6371051,2.00,3.00,0.00,2.00,6.00,8.63,2.00,1.00,2.00,324,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',20871,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6371060,2.00,3.00,2.00,1.00,3.00,NULL,0.00,1.00,0.00,215,NULL,211,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371078,7.00,5.00,6.00,7.00,8.00,NULL,1.00,7.00,8.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6371086,3.00,3.00,1.00,3.00,5.00,7.88,0.00,4.00,2.00,326,NULL,NULL,'BARREIROS','S JOSÉ','SC',19127,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371094,5.00,6.00,4.00,4.00,7.00,7.13,3.00,4.00,7.00,5,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',7046,257,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371108,3.00,6.00,4.00,3.00,5.00,9.00,1.00,4.00,2.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16030,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'VILA ANDRADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6371124,4.00,7.00,3.00,6.00,7.00,8.25,2.00,8.00,4.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371132,4.00,6.00,1.00,6.00,7.00,5.25,1.00,6.00,3.00,450,NULL,NULL,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',11706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371140,3.00,5.00,1.00,3.00,5.00,9.75,3.00,2.00,2.00,201,NULL,211,'INTERIOR','CUNHATAÍ','SC',18108,1501,NULL,478,NULL,NULL,NULL,4,4),(25,6371159,4.00,4.00,4.00,4.00,7.00,7.50,1.00,4.00,4.00,103,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',10115,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6371175,3.00,4.00,1.00,2.00,4.00,6.00,0.00,1.00,2.00,202,NULL,235,'CENTRO','PNT GROSSA','PR',20260,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371191,6.00,6.00,2.00,7.00,10.00,10.13,1.00,5.00,5.00,203,NULL,214,'SOUZA CRUZ','BRUSQUE','SC',3152,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6371205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,233,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6371213,0.00,4.00,0.00,0.00,0.00,NULL,1.00,1.00,1.00,214,NULL,203,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6371221,1.00,3.00,1.00,6.00,6.00,0.00,2.00,0.00,0.00,450,NULL,NULL,'SETOR UNIVERSITÁRIO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371248,9.00,9.00,5.00,6.00,9.00,8.25,2.00,7.00,8.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',1177,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6371264,3.00,4.00,3.00,2.00,5.00,7.50,2.00,4.00,2.00,652,NULL,655,'JARDIM SILVANA','IÇARA','SC',19235,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6371272,5.00,5.00,2.00,6.00,7.00,8.25,2.00,4.00,3.00,233,NULL,216,'CENTRO','BENEDITO NOVO','SC',13057,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6371280,5.00,5.00,2.00,6.00,9.00,9.75,2.00,8.00,4.00,201,NULL,212,'JD DONALISIO','SALTO','SP',6406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371299,3.00,5.00,2.00,6.00,5.00,7.50,2.00,0.00,2.00,309,NULL,NULL,'CENTRO','PALHOÇA','SC',18091,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371302,7.00,6.00,5.00,6.00,8.00,8.63,1.00,8.00,3.00,5,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',6141,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371310,1.00,6.00,4.00,5.00,5.00,8.63,1.00,2.00,3.00,420,NULL,NULL,'VILA REPRESA','S PAULO','SP',16959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371329,2.00,4.00,1.00,3.00,6.00,7.50,2.00,2.00,2.00,601,NULL,202,'CRUZEIRO','S BENTO SUL','SC',16127,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6371337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'JD CASA NOVA','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6371345,2.00,4.00,0.00,0.00,0.00,NULL,0.00,2.00,1.00,655,NULL,652,'PINHEIRINHO ALTO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6371353,2.00,6.00,1.00,3.00,5.00,7.88,0.00,7.00,3.00,601,NULL,203,'SANTA LUZIA','BRUSQUE','SC',14819,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6371361,4.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'INDUSTRIAL','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6371370,5.00,6.00,3.00,6.00,8.00,7.50,1.00,5.00,5.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM BOTÂNICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6371396,4.00,1.00,4.00,2.00,5.00,8.63,3.00,4.00,2.00,104,NULL,NULL,'TRES BARRAS','AGROLÂNDIA','SC',13196,316,NULL,NULL,NULL,NULL,NULL,4,6),(25,6371400,3.00,3.00,0.00,4.00,5.00,7.13,0.00,1.00,2.00,103,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6371418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6371426,5.00,4.00,0.00,5.00,7.00,NULL,2.00,4.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371434,3.00,6.00,5.00,4.00,7.00,7.13,1.00,5.00,3.00,404,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',13631,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371442,2.00,6.00,0.00,6.00,5.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','VARGEM BONITA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6371450,3.00,5.00,1.00,2.00,8.00,8.25,1.00,2.00,0.00,5,NULL,NULL,'RECIFE','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6371469,4.00,6.00,1.00,3.00,7.00,10.13,3.00,7.00,2.00,101,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',12192,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6371477,5.00,6.00,5.00,5.00,5.00,NULL,0.00,3.00,7.00,203,NULL,214,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371485,1.00,1.00,1.00,1.00,7.00,5.63,1.00,0.00,2.00,108,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371493,8.00,7.00,3.00,6.00,8.00,7.13,1.00,7.00,8.00,103,NULL,NULL,'BATEL','CURITIBA','PR',3738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371507,2.00,4.00,3.00,4.00,5.00,NULL,1.00,4.00,0.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371515,2.00,5.00,3.00,3.00,4.00,9.38,2.00,2.00,4.00,208,NULL,214,'REAL PARQUE','S JOSÉ','SC',18727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6371531,5.00,5.00,2.00,6.00,7.00,8.63,3.00,4.00,5.00,301,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',6789,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371540,4.00,6.00,1.00,4.00,6.00,8.25,1.00,3.00,1.00,501,NULL,NULL,'ITAPEMA DO NORTE','ITAPOÁ','SC',17112,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371558,8.00,7.00,5.00,7.00,9.00,7.88,3.00,7.00,8.00,103,NULL,NULL,'JD PORTO ALEGRE','TOLEDO','PR',1161,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6371566,3.00,4.00,1.00,3.00,4.00,5.25,2.00,0.00,2.00,238,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'SAO CRISTOVAO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6371582,4.00,4.00,2.00,4.00,5.00,6.75,2.00,3.00,1.00,316,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371590,4.00,2.00,1.00,2.00,4.00,6.38,2.00,1.00,2.00,9,NULL,NULL,'CENTRO','AURORA','SC',21391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6371620,6.00,4.00,3.00,5.00,7.00,10.88,0.00,6.00,2.00,340,NULL,NULL,'TERESÓPOLIS','PTO ALEGRE','RS',8694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,202,'PARQUE DAS ACÁCIAS','S LUDGERO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6371647,3.00,2.00,0.00,1.00,3.00,NULL,1.00,3.00,0.00,225,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371655,3.00,4.00,0.00,1.00,3.00,6.00,1.00,3.00,3.00,108,NULL,NULL,'COPACABANA','LAGES','SC',21556,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6371663,5.00,7.00,3.00,5.00,7.00,8.63,1.00,2.00,3.00,104,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',12446,286,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371671,5.00,0.00,4.00,1.00,5.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6371680,4.00,4.00,0.00,4.00,5.00,NULL,0.00,4.00,0.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371701,5.00,4.00,0.00,4.00,4.00,6.38,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',16616,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371728,2.00,2.00,1.00,3.00,3.00,7.13,5.00,2.00,0.00,501,NULL,NULL,'SÃO CRISTOVÃO','LAGES','SC',20333,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6371736,1.00,4.00,0.00,2.00,3.00,6.75,2.00,4.00,3.00,415,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371744,1.00,3.00,0.00,1.00,1.00,NULL,1.00,0.00,1.00,104,NULL,NULL,'ENCANO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6371752,7.00,6.00,2.00,4.00,8.00,9.75,2.00,8.00,3.00,103,NULL,NULL,'JARDIM APUCARANA','APUCARANA','PR',6196,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6371760,3.00,6.00,2.00,8.00,6.00,7.88,1.00,3.00,2.00,214,NULL,213,'JOAO PAULO','FLORIANÓPOLIS','SC',12372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAMPINA LAGOA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6371787,4.00,4.00,2.00,2.00,5.00,6.75,0.00,1.00,2.00,234,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',18827,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371795,1.00,6.00,2.00,2.00,4.00,NULL,0.00,1.00,1.00,421,NULL,424,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JAÇANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6371817,1.00,4.00,0.00,2.00,9.00,7.88,1.00,2.00,3.00,309,NULL,NULL,'CENTRO','BIGUAÇU','SC',17539,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371825,2.00,4.00,0.00,4.00,7.00,6.38,1.00,2.00,3.00,104,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',18150,504,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371833,8.00,5.00,4.00,7.00,6.00,8.25,3.00,3.00,8.00,103,NULL,NULL,'CENTRO','JESUÍTAS','PR',3807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371850,4.00,4.00,0.00,6.00,8.00,NULL,2.00,3.00,2.00,999,NULL,NULL,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6371868,3.00,5.00,3.00,3.00,8.00,6.38,2.00,5.00,4.00,211,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',12523,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6371876,4.00,3.00,3.00,7.00,6.00,11.63,2.00,1.00,2.00,207,NULL,201,'ZONA SETE','MARINGÁ','PR',11578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371884,2.00,4.00,4.00,2.00,8.00,8.63,0.00,5.00,2.00,318,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',16025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371892,4.00,4.00,3.00,5.00,9.00,11.25,3.00,5.00,2.00,207,NULL,211,'CENTRO','TUBARÃO','SC',10146,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6371906,4.00,5.00,4.00,4.00,8.00,8.63,3.00,3.00,0.00,103,NULL,NULL,'MINICÍPIOS','BAL CAMBORIÚ','SC',14858,4209,NULL,NULL,NULL,NULL,NULL,2,3),(25,6371914,4.00,7.00,3.00,4.00,5.00,6.75,2.00,4.00,3.00,203,NULL,220,'CENTRO','CANOINHAS','SC',13647,871,NULL,375,NULL,NULL,NULL,2,17),(25,6371922,4.00,3.00,3.00,6.00,7.00,NULL,0.00,1.00,3.00,999,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6371949,5.00,6.00,3.00,6.00,7.00,10.13,1.00,5.00,4.00,104,NULL,NULL,'CENTRO','XANXERÊ','SC',6485,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6371957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'JARDIM PARANÁ','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6371965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA PLANALTO','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6371973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CANDELÁRIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6371981,3.00,6.00,3.00,5.00,7.00,10.50,3.00,3.00,3.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6371990,5.00,5.00,4.00,4.00,5.00,8.25,2.00,5.00,3.00,235,NULL,220,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372007,5.00,7.00,5.00,7.00,6.00,8.63,2.00,5.00,4.00,201,NULL,238,'COQUEIROS','FLORIANÓPOLIS','SC',5224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'JARDIM UNIVERSITÁRIO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6372023,3.00,5.00,4.00,4.00,6.00,8.63,2.00,3.00,0.00,301,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',13393,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6372040,3.00,4.00,2.00,4.00,3.00,6.38,1.00,4.00,4.00,201,NULL,214,'CENTRO','BARRACÃO','RS',16693,1402,NULL,386,NULL,NULL,NULL,2,7),(25,6372058,4.00,6.00,1.00,3.00,8.00,10.13,3.00,1.00,1.00,310,NULL,NULL,'CENTRO','CRICIÚMA','SC',16671,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6372066,5.00,6.00,2.00,3.00,6.00,8.25,1.00,4.00,3.00,9,NULL,NULL,'CANASVIERAS','FLORIANÓPOLIS','SC',14556,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372074,4.00,4.00,1.00,5.00,4.00,9.75,2.00,4.00,3.00,333,NULL,NULL,'FLÔR DE NÁPOLES','S JOSÉ','SC',16613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372082,3.00,2.00,2.00,6.00,9.00,10.13,3.00,2.00,2.00,425,NULL,426,'PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372090,4.00,1.00,2.00,6.00,4.00,3.00,2.00,3.00,2.00,444,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372104,8.00,7.00,4.00,6.00,9.00,8.63,3.00,7.00,4.00,201,NULL,212,'AGRONÔMICA','FLORIANÓPOLIS','SC',2895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372112,2.00,3.00,3.00,4.00,5.00,7.88,0.00,2.00,3.00,234,NULL,NULL,'BARREIROS','S JOSÉ','SC',19281,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372120,6.00,7.00,6.00,7.00,7.00,8.63,4.00,5.00,7.00,238,NULL,208,'JARDIM CIDADE','S JOSÉ','SC',3302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372139,5.00,3.00,3.00,4.00,4.00,6.75,1.00,3.00,1.00,301,NULL,NULL,'BUCAREIN','JOINVILLE','SC',19893,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6372147,3.00,5.00,1.00,3.00,3.00,7.50,0.00,1.00,2.00,103,NULL,NULL,'SANTA CRUZ','GUARAPUAVA','PR',19483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372155,4.00,5.00,2.00,4.00,4.00,8.25,2.00,2.00,1.00,451,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372163,2.00,4.00,2.00,3.00,4.00,6.75,0.00,0.00,2.00,302,NULL,NULL,'PALHOÇA','PALHOÇA','SC',20472,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372171,3.00,5.00,3.00,2.00,5.00,6.75,2.00,1.00,4.00,234,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',19399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372180,5.00,4.00,2.00,5.00,7.00,7.13,1.00,4.00,5.00,601,NULL,203,'CENTRO','LAGES','SC',12313,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6372198,4.00,4.00,1.00,3.00,5.00,6.00,3.00,1.00,1.00,415,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',18609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372201,7.00,7.00,1.00,6.00,9.00,10.50,2.00,4.00,7.00,207,NULL,201,'PINHEIRINHO','CURITIBA','PR',4705,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6372210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6372228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,211,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6372236,4.00,7.00,2.00,5.00,7.00,9.00,3.00,4.00,3.00,999,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6372244,4.00,6.00,0.00,4.00,4.00,NULL,2.00,1.00,0.00,109,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372260,6.00,7.00,2.00,7.00,8.00,7.88,0.00,7.00,6.00,304,NULL,NULL,'CENTRO','PIRACICABA','SP',5117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372287,5.00,5.00,3.00,4.00,6.00,10.13,2.00,3.00,2.00,109,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11800,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6372295,4.00,1.00,1.00,1.00,5.00,8.63,2.00,0.00,2.00,444,NULL,NULL,'JD DOM JOSÉ','EMBU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372309,5.00,7.00,5.00,5.00,9.00,NULL,1.00,8.00,1.00,327,NULL,NULL,'JUSSARA','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,5),(25,6372325,5.00,4.00,0.00,5.00,4.00,7.88,0.00,4.00,2.00,503,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6372368,6.00,6.00,4.00,5.00,7.00,11.25,1.00,4.00,5.00,103,NULL,NULL,'CAIÇARAS','LONDRINA','PR',7783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372376,3.00,5.00,2.00,6.00,7.00,7.13,1.00,4.00,1.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',14594,274,NULL,306,NULL,NULL,NULL,2,1),(25,6372384,3.00,5.00,1.00,4.00,5.00,10.50,0.00,1.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',18612,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6372392,5.00,6.00,1.00,4.00,7.00,8.63,3.00,6.00,1.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372406,2.00,5.00,1.00,4.00,5.00,5.25,0.00,4.00,2.00,238,NULL,203,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372414,8.00,5.00,3.00,5.00,7.00,9.75,1.00,4.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6209,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6372422,5.00,5.00,1.00,3.00,9.00,8.63,1.00,5.00,2.00,110,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372430,3.00,4.00,4.00,3.00,5.00,8.25,0.00,4.00,2.00,309,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',17195,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372449,1.00,3.00,2.00,2.00,5.00,NULL,0.00,5.00,0.00,601,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,10),(25,6372457,4.00,4.00,1.00,2.00,8.00,5.63,2.00,2.00,1.00,103,NULL,NULL,'ORATORIO','ORLEANS','SC',17554,4493,NULL,NULL,NULL,NULL,NULL,2,10),(25,6372465,3.00,3.00,2.00,6.00,5.00,6.75,1.00,5.00,1.00,102,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16743,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372473,6.00,5.00,3.00,5.00,6.00,9.75,0.00,0.00,4.00,104,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',11850,267,NULL,NULL,NULL,NULL,NULL,4,9),(25,6372481,4.00,3.00,1.00,2.00,3.00,5.25,3.00,2.00,2.00,212,NULL,652,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372490,6.00,7.00,4.00,4.00,9.00,8.25,1.00,7.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5256,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA BUARQUE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6372520,4.00,2.00,1.00,3.00,5.00,8.25,2.00,3.00,0.00,202,NULL,201,'PARQUE JARDIM OURO','OURO','SC',17653,551,NULL,1459,NULL,NULL,NULL,2,7),(25,6372538,3.00,1.00,0.00,3.00,3.00,6.75,3.00,2.00,1.00,216,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',21494,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6372546,8.00,6.00,4.00,7.00,9.00,6.75,3.00,2.00,8.00,103,NULL,NULL,'JARDIM FERREIRA DIAS','JAÚ','SP',3995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372554,5.00,5.00,3.00,6.00,8.00,9.00,2.00,5.00,5.00,303,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',6246,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6372562,8.00,6.00,4.00,7.00,7.00,9.75,3.00,6.00,4.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',4897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372570,6.00,5.00,2.00,3.00,3.00,7.13,3.00,4.00,1.00,309,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',16243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372589,6.00,7.00,3.00,5.00,7.00,6.75,0.00,4.00,2.00,212,NULL,211,'PONTA DE BAIXO','S JOSÉ','SC',11573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372597,3.00,3.00,2.00,3.00,4.00,6.38,3.00,3.00,1.00,423,NULL,NULL,'CENTRO','BIGUAÇU','SC',20542,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372600,3.00,4.00,2.00,7.00,3.00,10.13,1.00,4.00,3.00,211,NULL,NULL,'GONZAGA','SANTOS','SP',15204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372619,0.00,2.00,1.00,2.00,4.00,7.13,3.00,2.00,1.00,333,NULL,NULL,'CENTRO','BRUSQUE','SC',20762,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6372627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'QUEDAS DO PALMITAL','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6372643,5.00,4.00,1.00,3.00,5.00,7.13,2.00,3.00,2.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6372660,5.00,6.00,5.00,7.00,9.00,9.00,2.00,6.00,5.00,103,NULL,NULL,'ÁGUAS CLARAS','BRUSQUE','SC',3519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372678,3.00,4.00,3.00,4.00,6.00,NULL,3.00,3.00,0.00,238,NULL,208,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372686,3.00,6.00,3.00,4.00,4.00,6.75,3.00,5.00,3.00,302,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',16214,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372694,4.00,4.00,0.00,3.00,7.00,8.25,4.00,3.00,1.00,327,NULL,NULL,'BELA VISTA IV','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372708,1.00,3.00,1.00,6.00,5.00,7.50,0.00,3.00,1.00,333,NULL,NULL,'CENTRO','LAGES','SC',18129,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6372716,5.00,3.00,2.00,3.00,3.00,7.50,2.00,7.00,2.00,5,NULL,NULL,'CENTRO','CAIBI','SC',15347,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6372724,6.00,6.00,0.00,5.00,5.00,9.00,2.00,4.00,8.00,104,NULL,NULL,'CENTRO','CPO GRANDE','MS',8140,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6372732,6.00,7.00,4.00,6.00,8.00,7.88,3.00,7.00,5.00,211,NULL,212,'CENTRO','S JOSÉ','SC',3588,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372740,8.00,7.00,4.00,4.00,10.00,10.88,2.00,8.00,8.00,103,NULL,NULL,'PETRÓPOLIS','JOINVILLE','SC',1891,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6372759,7.00,7.00,4.00,6.00,10.00,11.25,3.00,4.00,5.00,102,NULL,NULL,'CENTRO','GR PARÁ','SC',2728,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6372783,6.00,5.00,1.00,6.00,7.00,10.13,2.00,7.00,7.00,999,NULL,NULL,'PASSAGEM','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6372791,3.00,2.00,2.00,5.00,6.00,9.00,2.00,1.00,4.00,109,NULL,NULL,'COSTA DE CIMA','FLORIANÓPOLIS','SC',15118,62,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372813,4.00,7.00,3.00,7.00,6.00,9.38,2.00,6.00,1.00,207,NULL,211,'BOM ABRIGO','FLORIANÓPOLIS','SC',7433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372821,7.00,5.00,4.00,3.00,7.00,8.25,2.00,3.00,3.00,301,NULL,NULL,'CANAVIEIRAS','FLORIANÓPOLIS','SC',10646,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6372848,8.00,7.00,4.00,7.00,8.00,11.63,3.00,7.00,7.00,211,NULL,235,'CENTRO','PASSO FUNDO','RS',1234,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6372864,2.00,4.00,1.00,2.00,5.00,6.75,1.00,3.00,3.00,216,NULL,220,'TRINDADE','FLORIANÓPOLIS','SC',17734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372872,2.00,3.00,3.00,3.00,5.00,6.75,0.00,3.00,0.00,415,NULL,NULL,'CENTRO','PARANAVAÍ','PR',20991,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6372880,2.00,6.00,3.00,7.00,7.00,11.25,3.00,6.00,2.00,320,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',7280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372899,3.00,4.00,0.00,2.00,8.00,NULL,1.00,3.00,0.00,309,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6372902,2.00,2.00,1.00,0.00,5.00,6.38,2.00,2.00,2.00,319,NULL,NULL,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372910,1.00,4.00,3.00,4.00,4.00,NULL,2.00,2.00,2.00,999,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6372929,2.00,1.00,0.00,2.00,3.00,1.88,0.00,0.00,0.00,654,NULL,NULL,'CIDADE JARDIM','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6372937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6372945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'VILA ZÉLIA','LORENA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6372953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'MARTIN DE SÁ','CARAGUATATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6372961,2.00,2.00,1.00,2.00,8.00,5.63,3.00,5.00,5.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6372970,8.00,5.00,4.00,4.00,3.00,9.00,5.00,5.00,6.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',5538,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6372996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6373003,4.00,4.00,0.00,5.00,5.00,NULL,1.00,2.00,1.00,336,NULL,NULL,'MORADA DO OURO DOIS','CUIABÁ','MT',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6373011,4.00,4.00,2.00,4.00,6.00,6.75,3.00,5.00,2.00,302,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373020,3.00,2.00,0.00,4.00,8.00,8.25,1.00,2.00,2.00,101,NULL,NULL,'NONOAI','STA MARIA','RS',19980,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373038,3.00,2.00,3.00,4.00,5.00,9.00,0.00,1.00,2.00,655,NULL,652,'COLONINHA','ARARANGUÁ','SC',18117,101,NULL,60,NULL,NULL,NULL,2,15),(25,6373046,3.00,0.00,0.00,5.00,7.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,7),(25,6373062,3.00,3.00,0.00,3.00,6.00,6.00,1.00,1.00,3.00,238,NULL,208,'PONTE DO IMARUIM','PALHOÇA','SC',20891,514,NULL,575,NULL,NULL,NULL,2,1),(25,6373097,4.00,6.00,4.00,3.00,8.00,7.50,1.00,3.00,2.00,302,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',15029,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373100,3.00,3.00,1.00,3.00,7.00,7.13,0.00,3.00,3.00,3,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6373119,3.00,3.00,2.00,6.00,5.00,9.38,1.00,1.00,1.00,220,NULL,655,'CENTRO','FELIZ','RS',18488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6373127,4.00,3.00,1.00,4.00,5.00,7.88,3.00,4.00,2.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',17284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6373135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA TEREZINHA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6373151,4.00,4.00,2.00,3.00,6.00,7.88,1.00,4.00,2.00,601,NULL,NULL,'AMERICA','JOINVILLE','SC',14053,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6373178,5.00,3.00,3.00,6.00,4.00,9.38,0.00,4.00,3.00,425,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',15886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6373186,2.00,3.00,2.00,3.00,6.00,6.38,3.00,2.00,1.00,421,NULL,424,'CAPOEIRAS','FLORIANÓPOLIS','SC',20773,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,601,'SERRARIA DO ROCHA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6373216,2.00,2.00,3.00,2.00,7.00,NULL,1.00,0.00,2.00,654,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6373224,3.00,4.00,4.00,3.00,7.00,NULL,0.00,3.00,4.00,233,NULL,208,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373232,3.00,3.00,3.00,3.00,6.00,8.25,2.00,4.00,4.00,340,NULL,NULL,'SOMMER','CARAZINHO','RS',16293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6373240,4.00,5.00,3.00,2.00,5.00,5.63,2.00,3.00,3.00,220,NULL,208,'ROÇADO','S JOSÉ','SC',18147,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373259,3.00,4.00,0.00,6.00,5.00,NULL,2.00,2.00,0.00,316,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6373267,4.00,6.00,3.00,4.00,8.00,10.13,4.00,6.00,4.00,103,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',6947,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6373283,2.00,6.00,0.00,3.00,7.00,8.25,0.00,3.00,2.00,207,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',19079,1027,NULL,NULL,NULL,NULL,NULL,4,1),(25,6373291,0.00,1.00,1.00,2.00,4.00,8.25,2.00,0.00,0.00,316,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',21780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6373305,2.00,4.00,2.00,3.00,7.00,7.88,1.00,2.00,0.00,103,NULL,NULL,'SANTA LUZIA','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373313,7.00,5.00,5.00,4.00,8.00,6.38,5.00,2.00,4.00,109,NULL,NULL,'PATRONATO','STA MARIA','RS',7687,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373321,4.00,6.00,3.00,5.00,7.00,8.25,3.00,2.00,5.00,340,NULL,NULL,'PANTALEAO','STO ANTÔNIO POSSE','SP',9587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6373330,2.00,4.00,3.00,3.00,3.00,7.50,2.00,5.00,1.00,601,NULL,NULL,'SÃO JOÃO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6373348,3.00,2.00,2.00,0.00,4.00,NULL,2.00,0.00,0.00,101,NULL,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6373356,3.00,3.00,2.00,3.00,4.00,8.63,1.00,4.00,2.00,207,NULL,201,'BOA VISTA','POUSO REDONDO','SC',19190,1036,NULL,1575,NULL,NULL,NULL,2,9),(25,6373364,0.00,5.00,0.00,0.00,0.00,NULL,1.00,4.00,1.00,316,NULL,NULL,'LAGOA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(25,6373372,4.00,2.00,2.00,3.00,5.00,5.25,2.00,1.00,3.00,103,NULL,NULL,'SANTA QUITERIA','CURITIBA','PR',19161,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6373399,5.00,6.00,3.00,4.00,6.00,8.63,1.00,7.00,4.00,108,NULL,NULL,'AREIAS','S JOSÉ','SC',8693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6373402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6373429,6.00,4.00,2.00,6.00,7.00,NULL,0.00,8.00,1.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6373437,3.00,6.00,2.00,3.00,7.00,6.75,1.00,5.00,3.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373445,1.00,3.00,4.00,4.00,6.00,7.13,0.00,0.00,2.00,302,NULL,NULL,'CENTRO','CRICIÚMA','SC',19018,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6373453,8.00,7.00,5.00,5.00,8.00,12.38,2.00,6.00,9.00,103,NULL,NULL,'ALTO DA GLORIA','CURITIBA','PR',946,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6373470,5.00,5.00,4.00,5.00,5.00,6.00,2.00,4.00,5.00,654,NULL,NULL,'CENTRO','RIO SUL','SC',13076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6373488,1.00,2.00,3.00,3.00,4.00,7.88,1.00,0.00,1.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21483,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6373518,5.00,6.00,1.00,4.00,8.00,9.75,1.00,4.00,4.00,233,NULL,216,'SANTA TEREZINHA','BRUSQUE','SC',8893,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6373526,2.00,3.00,0.00,2.00,4.00,NULL,1.00,0.00,1.00,104,NULL,NULL,'JARDIM MOINHO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6373534,5.00,3.00,4.00,3.00,6.00,NULL,2.00,4.00,0.00,233,NULL,601,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373542,2.00,4.00,2.00,4.00,4.00,6.00,3.00,4.00,2.00,2,NULL,NULL,'SANTANA','RIO SUL','SC',19014,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6373550,5.00,8.00,6.00,7.00,10.00,9.75,2.00,5.00,6.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',2778,1615,NULL,NULL,NULL,NULL,NULL,2,15),(25,6373569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6373577,4.00,4.00,3.00,2.00,3.00,6.38,3.00,3.00,2.00,201,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',19460,1599,NULL,1082,NULL,NULL,NULL,4,3),(25,6373593,5.00,5.00,2.00,5.00,8.00,9.00,1.00,4.00,0.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373607,5.00,5.00,2.00,3.00,4.00,7.50,2.00,2.00,4.00,317,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',17824,132,NULL,NULL,NULL,NULL,NULL,4,1),(25,6373615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6373623,8.00,6.00,4.00,7.00,10.00,9.00,0.00,6.00,5.00,201,NULL,212,'LOURDES','CAXIAS SUL','RS',4508,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6373631,3.00,3.00,1.00,3.00,7.00,7.88,1.00,4.00,0.00,999,NULL,NULL,'CABEÇUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6373640,4.00,6.00,3.00,4.00,5.00,10.13,0.00,5.00,5.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373658,3.00,4.00,2.00,2.00,4.00,NULL,0.00,2.00,1.00,110,NULL,NULL,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6373666,3.00,4.00,2.00,3.00,6.00,7.13,1.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6373674,2.00,7.00,1.00,3.00,5.00,6.75,3.00,3.00,1.00,404,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',17388,52,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373682,2.00,4.00,0.00,2.00,2.00,NULL,2.00,2.00,2.00,501,NULL,NULL,'PIONEIROS','ITÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6373704,5.00,7.00,4.00,6.00,9.00,10.50,2.00,8.00,6.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2319,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373712,4.00,5.00,4.00,6.00,10.00,9.00,3.00,7.00,4.00,453,NULL,NULL,'AREIAS','S JOSÉ','SC',5722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6373720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'COPACABANA','UBERLÂNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6373739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6373747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6373763,2.00,5.00,1.00,3.00,8.00,8.25,2.00,0.00,0.00,9,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',17980,114,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373771,4.00,8.00,2.00,2.00,9.00,12.38,1.00,3.00,5.00,104,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',8703,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373780,4.00,4.00,0.00,3.00,4.00,NULL,2.00,5.00,3.00,429,NULL,425,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6373798,3.00,5.00,3.00,2.00,3.00,5.63,3.00,4.00,3.00,503,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,426,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6373810,5.00,4.00,2.00,5.00,8.00,7.88,4.00,4.00,2.00,211,NULL,601,'CENTRO','BRAÇO NORTE','SC',10369,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6373828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6373836,7.00,5.00,4.00,6.00,7.00,11.63,1.00,3.00,1.00,103,NULL,NULL,'CHACARA VENDAS','CPO GRANDE','MS',6421,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6373879,5.00,6.00,4.00,6.00,10.00,10.88,5.00,9.00,5.00,303,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',2300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6373887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6373895,2.00,2.00,2.00,2.00,3.00,6.00,2.00,1.00,2.00,301,NULL,NULL,'CENTRO','PALHOÇA','SC',21565,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA BOA VISTA','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6373925,4.00,0.00,3.00,6.00,5.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'TESTO REGA','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6373933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,429,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6373941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6373950,4.00,8.00,3.00,6.00,8.00,7.88,4.00,5.00,6.00,103,NULL,NULL,'JARDIM ITÁLIA','MELEIRO','SC',5670,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6373968,6.00,7.00,1.00,4.00,7.00,8.25,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',8959,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6373976,2.00,5.00,6.00,1.00,4.00,5.25,2.00,6.00,2.00,202,NULL,NULL,'SANTA BARBARA','ANTÔNIO CARLOS','SC',17924,557,NULL,NULL,NULL,NULL,NULL,2,1),(25,6373984,1.00,1.00,2.00,1.00,2.00,NULL,1.00,1.00,0.00,316,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6373992,6.00,4.00,4.00,4.00,8.00,7.88,0.00,5.00,2.00,316,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',13292,106,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374000,2.00,4.00,3.00,4.00,4.00,6.38,0.00,5.00,3.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',19320,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6374018,2.00,3.00,1.00,3.00,3.00,6.00,1.00,2.00,1.00,301,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',21541,317,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374026,1.00,4.00,1.00,1.00,3.00,NULL,3.00,4.00,0.00,653,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6374034,3.00,7.00,3.00,5.00,5.00,7.50,3.00,5.00,4.00,203,NULL,214,'JARDIM AMÉRICA','CAXIAS SUL','RS',8963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6374050,7.00,6.00,5.00,4.00,8.00,NULL,0.00,4.00,0.00,225,NULL,NULL,'FLOR','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6374069,0.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6374077,3.00,2.00,1.00,3.00,6.00,5.25,3.00,0.00,0.00,319,NULL,NULL,'CENTRO','TIJUCAS','SC',21392,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374085,6.00,7.00,4.00,8.00,9.00,10.50,2.00,7.00,7.00,103,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',2543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6374107,2.00,4.00,3.00,3.00,6.00,6.75,0.00,0.00,1.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',19274,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'INTERIOR','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6374123,5.00,5.00,4.00,6.00,9.00,9.75,4.00,6.00,5.00,428,NULL,426,'REBELO','GARÇA','SP',3574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6374131,4.00,6.00,2.00,5.00,5.00,6.75,2.00,4.00,0.00,101,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,NULL,'FAXINAL','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6374166,2.00,0.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,216,NULL,211,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,7),(25,6374182,1.00,4.00,0.00,2.00,4.00,NULL,1.00,0.00,0.00,108,NULL,NULL,'SÃO FRANCISCO','IRATI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6374204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,207,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6374212,5.00,5.00,2.00,4.00,8.00,NULL,0.00,6.00,3.00,319,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6374220,2.00,4.00,1.00,4.00,4.00,7.88,4.00,2.00,3.00,318,NULL,NULL,'MADRI','PALHOÇA','SC',19645,97,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374239,5.00,4.00,2.00,2.00,8.00,NULL,0.00,4.00,2.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6374247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6374255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'RIO DA PRATA','PAPANDUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6374271,1.00,3.00,1.00,3.00,3.00,NULL,0.00,1.00,1.00,102,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6374280,1.00,3.00,2.00,0.00,3.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6374298,1.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,1.00,404,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374301,7.00,7.00,6.00,6.00,9.00,10.13,5.00,5.00,8.00,214,NULL,207,'IMIRIM','S PAULO','SP',1087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6374310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6374336,2.00,4.00,1.00,4.00,3.00,0.00,1.00,0.00,2.00,999,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TREMEMBÉ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6374352,4.00,7.00,3.00,5.00,4.00,8.25,3.00,3.00,5.00,316,NULL,NULL,'PARQUE DAS AVENIDAS','SOMBRIO','SC',9778,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6374360,2.00,2.00,1.00,1.00,5.00,7.50,0.00,3.00,2.00,201,NULL,207,'ACARAÍ','S FRANCISCO SUL','SC',20491,1669,NULL,1115,NULL,NULL,NULL,4,8),(25,6374379,3.00,3.00,1.00,1.00,5.00,9.75,4.00,3.00,1.00,319,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',19654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6374387,3.00,3.00,3.00,5.00,5.00,7.13,1.00,0.00,2.00,999,NULL,NULL,'CENTRO','LACERDÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6374395,2.00,3.00,2.00,2.00,4.00,10.13,2.00,2.00,1.00,301,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',20624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6374409,6.00,6.00,3.00,5.00,8.00,10.13,1.00,7.00,2.00,207,NULL,212,'SÃO JOSÉ','S JOSÉ','SC',8726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374417,5.00,6.00,2.00,4.00,7.00,NULL,0.00,2.00,3.00,304,NULL,NULL,'MÃE LUZIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6374425,2.00,4.00,4.00,5.00,5.00,NULL,0.00,3.00,4.00,238,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374433,3.00,7.00,3.00,2.00,3.00,7.50,1.00,1.00,1.00,404,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BARRA','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6374468,1.00,3.00,0.00,2.00,2.00,NULL,2.00,3.00,1.00,415,NULL,NULL,'SÃO SEBASTIAO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6374476,4.00,1.00,3.00,3.00,5.00,8.63,3.00,0.00,1.00,999,NULL,NULL,'SÃO MARTINHO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6374484,4.00,6.00,1.00,2.00,7.00,10.88,1.00,4.00,3.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',12585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6374492,2.00,3.00,2.00,1.00,5.00,7.13,0.00,2.00,1.00,238,NULL,208,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6374506,3.00,4.00,3.00,3.00,7.00,6.75,3.00,3.00,1.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',15271,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6374514,7.00,5.00,4.00,5.00,6.00,8.25,3.00,4.00,3.00,201,NULL,207,'ZONA SETE','MARINGÁ','PR',8009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6374522,4.00,6.00,3.00,5.00,4.00,9.75,2.00,6.00,3.00,502,NULL,NULL,'HERCILIO VIEIRA','S JOAQUIM','SC',10049,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6374530,3.00,6.00,2.00,4.00,7.00,7.88,1.00,4.00,2.00,999,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6374549,4.00,4.00,3.00,3.00,8.00,6.75,2.00,6.00,3.00,214,NULL,655,'CENTRO','CURITIBA','PR',12405,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6374557,0.00,4.00,0.00,0.00,0.00,NULL,0.00,3.00,4.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(25,6374573,4.00,3.00,1.00,6.00,5.00,9.00,2.00,2.00,3.00,601,NULL,235,'JARDIM AMÉRICA','RIO SUL','SC',17064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374581,4.00,7.00,2.00,6.00,8.00,9.38,4.00,7.00,4.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6374603,6.00,3.00,0.00,2.00,4.00,8.25,2.00,4.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6374611,2.00,6.00,2.00,4.00,8.00,7.50,1.00,5.00,1.00,337,NULL,NULL,'BOM JESUS','PTO ALEGRE','RS',16708,34,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374620,7.00,6.00,4.00,6.00,6.00,9.00,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','PAROBÉ','RS',3134,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374638,3.00,4.00,2.00,4.00,5.00,4.50,1.00,3.00,0.00,211,NULL,653,'SAO LUIZ','CRICIÚMA','SC',21139,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6374654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6374662,5.00,3.00,1.00,5.00,5.00,NULL,1.00,0.00,1.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374670,8.00,2.00,3.00,2.00,6.00,7.88,4.00,7.00,9.00,103,NULL,NULL,'CENTRO','ALTÔNIA','PR',6227,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6374689,7.00,7.00,3.00,6.00,6.00,9.00,3.00,2.00,7.00,233,NULL,213,'JARDIM','CONCÓRDIA','SC',6664,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374697,6.00,2.00,3.00,5.00,8.00,5.25,3.00,6.00,7.00,216,NULL,208,'CAMPINAS','S JOSÉ','SC',8116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6374700,1.00,4.00,0.00,1.00,3.00,8.25,0.00,1.00,1.00,211,NULL,202,'LAGOÃO','ARARANGUÁ','SC',21691,574,NULL,685,NULL,NULL,NULL,4,15),(25,6374719,1.00,0.00,1.00,0.00,3.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6374727,3.00,5.00,0.00,4.00,6.00,10.13,2.00,1.00,3.00,102,NULL,NULL,'TRAÇADO','URUBICI','SC',14658,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374735,3.00,4.00,1.00,5.00,7.00,NULL,1.00,0.00,1.00,215,NULL,207,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374743,4.00,7.00,4.00,5.00,6.00,10.50,2.00,6.00,4.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',6186,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374751,2.00,4.00,0.00,3.00,5.00,9.00,2.00,1.00,1.00,502,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374760,5.00,5.00,0.00,2.00,8.00,NULL,2.00,4.00,3.00,303,NULL,NULL,'CENTRO','CRUZ ALTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374778,4.00,3.00,1.00,1.00,1.00,NULL,1.00,0.00,0.00,335,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374786,8.00,8.00,4.00,7.00,8.00,9.75,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','ÂNGULO','PR',1460,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6374794,4.00,5.00,0.00,3.00,2.00,NULL,1.00,5.00,2.00,202,NULL,235,'POPULAR','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6374808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6374816,5.00,8.00,4.00,6.00,7.00,10.88,2.00,6.00,5.00,207,NULL,212,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6374824,2.00,5.00,1.00,4.00,5.00,NULL,0.00,4.00,1.00,316,NULL,NULL,'XV DE NOVEMBRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374832,6.00,6.00,5.00,3.00,7.00,8.25,2.00,4.00,6.00,201,NULL,202,'CENTRO','CPO ERÊ','SC',8916,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6374840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'NOSSA SRA DE FÁTIMA','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6374859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6374867,5.00,5.00,3.00,4.00,6.00,8.63,1.00,4.00,5.00,103,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',12727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6374875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6374883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVO JUNDIAI','ANÁPOLIS','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6374891,1.00,3.00,3.00,3.00,3.00,4.88,1.00,1.00,0.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',20801,190,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374905,2.00,4.00,2.00,3.00,6.00,7.88,3.00,4.00,2.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',15488,88,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374913,4.00,4.00,0.00,6.00,5.00,8.63,2.00,3.00,4.00,103,NULL,NULL,'SANTA CRUZ','GUARAPUAVA','PR',14899,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374921,3.00,7.00,1.00,6.00,6.00,6.38,2.00,2.00,2.00,302,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',17580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6374930,3.00,3.00,1.00,2.00,3.00,4.50,4.00,2.00,4.00,201,NULL,207,'SEM BAIRRO','RENASCENÇA','PR',19051,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374948,4.00,3.00,2.00,5.00,6.00,NULL,1.00,1.00,0.00,202,NULL,653,'INTERIOR','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6374972,1.00,4.00,2.00,3.00,5.00,6.75,1.00,0.00,3.00,424,NULL,427,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6374980,3.00,6.00,1.00,7.00,7.00,9.75,2.00,6.00,2.00,425,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',11635,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6374999,2.00,4.00,2.00,3.00,6.00,6.38,0.00,3.00,0.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',21046,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6375006,4.00,4.00,2.00,3.00,7.00,9.00,1.00,1.00,1.00,333,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',19120,151,NULL,NULL,NULL,NULL,NULL,4,8),(25,6375014,3.00,2.00,2.00,1.00,3.00,4.50,2.00,1.00,2.00,338,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',21430,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6375022,4.00,4.00,2.00,4.00,5.00,7.50,1.00,6.00,4.00,654,NULL,NULL,'PARQUE DAS AVENIDAS','SOMBRIO','SC',16315,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6375030,6.00,8.00,3.00,5.00,10.00,8.63,3.00,7.00,7.00,103,NULL,NULL,'MATRIZ','VIDEIRA','SC',2059,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6375049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6375057,5.00,6.00,1.00,5.00,7.00,11.25,2.00,5.00,1.00,327,NULL,NULL,'IPIRANGA','S JOSÉ','SC',10794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6375073,3.00,4.00,1.00,1.00,5.00,NULL,1.00,0.00,0.00,328,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375081,3.00,5.00,4.00,3.00,7.00,10.13,0.00,6.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',12749,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6375090,2.00,4.00,4.00,5.00,5.00,8.63,0.00,6.00,3.00,201,NULL,207,'INGLESES','FLORIANÓPOLIS','SC',12034,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375103,2.00,3.00,2.00,1.00,2.00,NULL,1.00,0.00,2.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6375111,2.00,2.00,0.00,2.00,6.00,7.13,1.00,1.00,0.00,101,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',20527,161,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375120,3.00,3.00,2.00,1.00,6.00,NULL,0.00,0.00,1.00,653,NULL,NULL,'INTER PRAIAS','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6375138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PARQUE MARIANE','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6375146,5.00,3.00,0.00,3.00,3.00,NULL,3.00,1.00,0.00,201,NULL,207,'RIO VERMELHO ESTAÇÃO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6375154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'VISTA VERDE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6375162,3.00,4.00,0.00,3.00,5.00,10.50,0.00,2.00,1.00,316,NULL,NULL,'CENTRO','CANELINHA','SC',17124,174,NULL,NULL,NULL,NULL,NULL,4,1),(25,6375170,3.00,1.00,1.00,3.00,6.00,4.88,2.00,3.00,3.00,215,NULL,212,'BOM PASTOR','CONCÓRDIA','SC',19328,315,NULL,553,NULL,NULL,NULL,2,4),(25,6375189,8.00,7.00,6.00,6.00,8.00,10.88,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','ÂNGULO','PR',532,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6375197,3.00,2.00,1.00,6.00,3.00,7.88,2.00,1.00,2.00,319,NULL,NULL,'JARDIM COQUEIROS','PALHOÇA','SC',20820,447,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375200,3.00,3.00,1.00,3.00,2.00,NULL,0.00,1.00,2.00,340,NULL,NULL,'NOVA BRASÍLIA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6375219,2.00,5.00,3.00,4.00,6.00,4.88,4.00,4.00,3.00,202,NULL,213,'ITACORUBI','FLORIANÓPOLIS','SC',18146,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375227,3.00,6.00,3.00,2.00,7.00,7.88,2.00,4.00,5.00,326,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6375235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6375251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,208,'ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6375260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6375278,6.00,7.00,1.00,3.00,7.00,10.50,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',9431,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6375286,8.00,7.00,6.00,7.00,8.00,10.50,3.00,5.00,7.00,103,NULL,NULL,'JARDIM ESTORIL','BAURU','SP',1152,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6375294,8.00,7.00,3.00,6.00,7.00,7.13,0.00,7.00,5.00,103,NULL,NULL,'JD DA GLORIA','COTIA','SP',5849,2678,NULL,NULL,NULL,NULL,NULL,4,1),(25,6375308,1.00,2.00,0.00,4.00,2.00,NULL,3.00,2.00,0.00,404,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375316,1.00,2.00,1.00,3.00,5.00,6.75,2.00,3.00,0.00,655,NULL,208,'CENTRO','STO AMARO IMPERATRIZ','SC',21222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6375324,2.00,2.00,2.00,2.00,5.00,NULL,2.00,4.00,0.00,309,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375332,5.00,3.00,3.00,4.00,9.00,8.25,3.00,1.00,1.00,319,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'RES SANTA MARINA','RONDONÓPOLIS','MT',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6375367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,423,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6375383,3.00,4.00,2.00,4.00,6.00,10.88,1.00,2.00,3.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6375391,4.00,5.00,0.00,1.00,4.00,NULL,0.00,0.00,1.00,601,NULL,653,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6375405,4.00,5.00,0.00,2.00,9.00,7.50,3.00,2.00,1.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14126,652,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375413,3.00,2.00,1.00,5.00,3.00,10.13,1.00,0.00,1.00,329,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',20865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6375421,3.00,6.00,3.00,4.00,5.00,9.00,1.00,3.00,3.00,101,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375430,6.00,4.00,4.00,4.00,9.00,7.88,2.00,6.00,6.00,999,NULL,NULL,'LIRI','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6375448,3.00,5.00,2.00,3.00,3.00,6.75,4.00,4.00,2.00,421,NULL,428,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375456,6.00,6.00,5.00,5.00,3.00,7.50,5.00,4.00,5.00,207,NULL,238,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6375464,3.00,3.00,0.00,2.00,6.00,NULL,2.00,0.00,1.00,109,NULL,NULL,'CENTRO','MARMELEIRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375529,1.00,4.00,3.00,3.00,6.00,NULL,1.00,0.00,0.00,207,NULL,601,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375537,1.00,2.00,0.00,2.00,0.00,NULL,2.00,0.00,0.00,5,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6375545,7.00,8.00,6.00,6.00,8.00,9.00,2.00,7.00,8.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',1171,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6375553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO NEGRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6375561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6375570,3.00,5.00,1.00,2.00,7.00,9.38,0.00,2.00,1.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6375588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FONTES','SOLEDADE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6375596,4.00,3.00,1.00,3.00,5.00,10.88,0.00,4.00,4.00,102,NULL,NULL,'CENTRO','LEOBERTO LEAL','SC',14731,171,NULL,NULL,NULL,NULL,NULL,2,9),(25,6375600,2.00,4.00,0.00,0.00,5.00,NULL,0.00,2.00,1.00,301,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6375618,6.00,7.00,2.00,5.00,5.00,11.63,0.00,1.00,3.00,332,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12298,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375626,3.00,3.00,1.00,3.00,6.00,10.13,0.00,4.00,0.00,421,NULL,428,'CENTRO','BAL CAMBORIÚ','SC',15340,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6375634,3.00,2.00,2.00,3.00,5.00,7.88,3.00,4.00,3.00,452,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6375642,2.00,5.00,0.00,0.00,5.00,5.63,3.00,4.00,1.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',19329,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6375669,2.00,4.00,0.00,0.00,4.00,NULL,0.00,6.00,1.00,203,NULL,214,'CENTRO','IRINEÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',5,17),(25,6375677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'VILA INDUSTRIAL','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6375685,1.00,6.00,2.00,2.00,4.00,NULL,0.00,0.00,1.00,201,NULL,233,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO FRANCISCO','ASCURRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6375707,3.00,5.00,0.00,5.00,6.00,NULL,1.00,2.00,3.00,999,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6375715,3.00,2.00,2.00,3.00,5.00,7.13,2.00,0.00,3.00,302,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375723,4.00,4.00,0.00,6.00,7.00,10.13,0.00,2.00,4.00,216,NULL,215,'ATIRADORES','JOINVILLE','SC',15304,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6375731,3.00,5.00,1.00,3.00,4.00,10.50,2.00,1.00,1.00,339,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375758,3.00,4.00,2.00,4.00,9.00,9.00,2.00,2.00,1.00,207,NULL,201,'BRASÍLIA','PATO BRANCO','PR',13754,743,NULL,1169,NULL,NULL,NULL,4,4),(25,6375766,7.00,4.00,4.00,5.00,8.00,10.88,2.00,7.00,7.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',2608,1548,NULL,NULL,NULL,NULL,NULL,2,5),(25,6375774,5.00,2.00,0.00,3.00,4.00,9.75,2.00,1.00,1.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',20720,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6375782,3.00,4.00,2.00,5.00,6.00,7.88,1.00,4.00,2.00,203,NULL,655,'PONTA PORÃ','CACHOEIRINHA','RS',12742,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6375790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6375804,2.00,3.00,1.00,4.00,6.00,6.38,3.00,1.00,0.00,415,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',19530,NULL,NULL,NULL,NULL,NULL,NULL,2,5);
INSERT INTO boletim_desempenho VALUES (25,6375812,5.00,5.00,2.00,6.00,8.00,7.88,1.00,3.00,4.00,304,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',8505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6375820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6375839,0.00,6.00,0.00,1.00,6.00,NULL,2.00,3.00,0.00,999,NULL,NULL,'PARQUE SAO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6375847,4.00,6.00,3.00,4.00,6.00,7.13,1.00,3.00,1.00,428,NULL,423,'COQUEIROS','FLORIANÓPOLIS','SC',15538,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375855,5.00,4.00,3.00,1.00,6.00,6.00,1.00,0.00,1.00,225,NULL,NULL,'ALTO FELIZ','ARARANGUÁ','SC',20831,33,NULL,NULL,NULL,NULL,NULL,4,15),(25,6375863,5.00,3.00,1.00,6.00,5.00,7.13,2.00,5.00,4.00,653,NULL,216,'CENTRO','CHAPECÓ','SC',13688,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6375871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,423,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6375880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6375898,2.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,8),(25,6375901,2.00,1.00,2.00,4.00,3.00,NULL,1.00,0.00,1.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375936,3.00,7.00,1.00,6.00,8.00,9.00,3.00,4.00,4.00,220,NULL,238,'COLONINHA','FLORIANÓPOLIS','SC',9279,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375944,3.00,2.00,3.00,3.00,5.00,7.88,3.00,5.00,2.00,428,NULL,425,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',18665,44,NULL,NULL,NULL,NULL,NULL,2,1),(25,6375952,4.00,5.00,2.00,6.00,7.00,7.13,2.00,2.00,6.00,220,NULL,235,'EMBARÉ','SANTOS','SP',10611,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6375960,1.00,3.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6375979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6375987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'BREJARU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6375995,3.00,3.00,1.00,3.00,6.00,NULL,0.00,1.00,2.00,329,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376002,4.00,7.00,0.00,7.00,6.00,8.25,3.00,5.00,7.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',6067,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6376029,6.00,4.00,2.00,6.00,6.00,6.75,1.00,4.00,4.00,213,NULL,211,'TRINTA REIS','NOVA TRENTO','SC',11879,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILLAGE SAINT CLAIRE','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6376053,3.00,3.00,4.00,4.00,6.00,7.13,0.00,1.00,0.00,220,NULL,NULL,'BELLO','CAÇADOR','SC',20404,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6376070,2.00,5.00,1.00,4.00,4.00,8.25,3.00,2.00,3.00,327,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',19267,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376088,3.00,7.00,2.00,3.00,8.00,9.00,0.00,7.00,4.00,234,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',10712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'BOA VISTA','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6376100,7.00,4.00,3.00,4.00,9.00,9.75,2.00,4.00,4.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',7222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','MELEIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6376126,4.00,6.00,1.00,5.00,8.00,12.75,0.00,1.00,4.00,103,NULL,NULL,'JARDIM MAUÁ','NOVO HAMBURGO','RS',12790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376134,1.00,5.00,1.00,3.00,5.00,9.00,1.00,3.00,3.00,5,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376142,1.00,2.00,0.00,1.00,4.00,3.38,0.00,3.00,2.00,653,NULL,655,'SANGA DO MARCO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6376150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6376177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,212,'FORTE','PR GRANDE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6376185,2.00,3.00,1.00,2.00,4.00,5.63,1.00,3.00,1.00,238,NULL,208,'SACO GRANDE','FLORIANÓPOLIS','SC',21518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376193,9.00,6.00,6.00,4.00,8.00,9.38,5.00,8.00,6.00,502,NULL,NULL,'MICHEL','CRICIÚMA','SC',1271,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6376207,1.00,4.00,2.00,2.00,8.00,NULL,0.00,1.00,2.00,308,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6376223,5.00,2.00,1.00,6.00,4.00,8.25,0.00,1.00,2.00,999,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376231,2.00,2.00,0.00,2.00,2.00,NULL,0.00,0.00,1.00,104,NULL,NULL,'CARIJOS','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,2),(25,6376240,2.00,4.00,3.00,3.00,4.00,7.88,0.00,5.00,0.00,238,NULL,NULL,'POTECAS','S JOSÉ','SC',20365,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376258,4.00,4.00,2.00,4.00,6.00,3.00,0.00,1.00,0.00,502,NULL,NULL,'CENTRO','CPO BELO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6376266,2.00,2.00,2.00,3.00,5.00,3.75,3.00,5.00,1.00,551,NULL,NULL,'PEREIRA ALVES','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6376274,3.00,3.00,1.00,2.00,3.00,6.00,3.00,1.00,3.00,203,NULL,212,'ESTREITO','ALFREDO WAGNER','SC',21408,1160,NULL,595,NULL,NULL,NULL,2,1),(25,6376282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6376290,1.00,0.00,2.00,0.00,3.00,NULL,3.00,1.00,0.00,208,NULL,211,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376304,5.00,4.00,3.00,3.00,6.00,6.75,1.00,4.00,2.00,238,NULL,201,'JARDIM MALUCHE','BRUSQUE','SC',13428,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6376312,3.00,3.00,2.00,0.00,4.00,NULL,2.00,0.00,0.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6376320,7.00,6.00,3.00,7.00,6.00,6.75,2.00,7.00,6.00,5,NULL,NULL,'CHACARA INGLESA','S PAULO','SP',6632,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376339,1.00,2.00,3.00,4.00,3.00,8.25,0.00,3.00,3.00,201,NULL,208,'CENTRO','BIGUAÇU','SC',17150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376347,3.00,7.00,1.00,3.00,6.00,7.88,1.00,2.00,0.00,415,NULL,NULL,'CENTRO','PALHOÇA','SC',15923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376371,3.00,6.00,3.00,6.00,7.00,7.88,1.00,6.00,5.00,102,NULL,NULL,'VILA ANDRADE','S PAULO','SP',9122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376380,4.00,5.00,3.00,6.00,7.00,9.00,2.00,5.00,6.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO FRANCISCO','LUZERNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6376401,3.00,5.00,2.00,4.00,5.00,9.75,2.00,0.00,2.00,316,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',17965,194,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376410,1.00,3.00,2.00,4.00,6.00,6.38,1.00,2.00,0.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',20976,160,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376428,5.00,4.00,1.00,4.00,8.00,8.63,1.00,4.00,4.00,301,NULL,NULL,'CANTO DO FORTE','PR GRANDE','SP',11814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6376452,4.00,4.00,6.00,5.00,5.00,7.88,1.00,3.00,1.00,238,NULL,NULL,'JARDIM CIDADE F','S JOSÉ','SC',16233,351,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376460,5.00,6.00,4.00,4.00,7.00,8.25,1.00,5.00,3.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9895,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376479,3.00,6.00,4.00,7.00,8.00,9.38,2.00,4.00,3.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376495,9.00,8.00,2.00,6.00,11.00,11.25,5.00,7.00,9.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376509,2.00,3.00,0.00,1.00,2.00,NULL,1.00,0.00,3.00,104,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6376517,7.00,8.00,6.00,6.00,6.00,11.25,2.00,7.00,8.00,103,NULL,NULL,'PEDANCINO','CAXIAS SUL','RS',1284,846,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376525,5.00,2.00,1.00,0.00,6.00,4.88,1.00,1.00,3.00,601,NULL,235,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',21214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376533,8.00,7.00,2.00,6.00,10.00,6.00,3.00,8.00,4.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',4324,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376541,3.00,5.00,1.00,2.00,5.00,6.75,0.00,5.00,1.00,453,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',17480,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOQUEIRÃO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6376568,5.00,4.00,2.00,6.00,6.00,8.25,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',10194,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6376576,8.00,7.00,3.00,6.00,9.00,7.88,5.00,8.00,8.00,212,NULL,NULL,'PORTAL','VINHEDO','SP',1172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376584,3.00,4.00,4.00,2.00,9.00,8.25,0.00,5.00,2.00,104,NULL,NULL,'GLÓRIA','JOINVILLE','SC',12606,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6376592,1.00,5.00,2.00,4.00,3.00,6.75,1.00,4.00,3.00,655,NULL,652,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6376606,2.00,6.00,2.00,5.00,8.00,7.88,1.00,4.00,0.00,308,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,601,'MONTE CASTELO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6376622,0.00,4.00,0.00,2.00,3.00,NULL,1.00,0.00,2.00,429,NULL,426,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376630,4.00,5.00,4.00,5.00,8.00,8.63,3.00,4.00,3.00,429,NULL,428,'CENTRO','PETROLÂNDIA','SC',9881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6376657,8.00,5.00,6.00,5.00,9.00,8.63,3.00,7.00,4.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',4738,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376665,3.00,6.00,1.00,0.00,5.00,6.75,3.00,2.00,3.00,102,NULL,NULL,'LOMBA','ORLEANS','SC',17140,214,NULL,NULL,NULL,NULL,NULL,2,5),(25,6376673,3.00,7.00,0.00,5.00,7.00,9.00,0.00,5.00,3.00,213,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376681,4.00,6.00,2.00,6.00,6.00,4.88,2.00,1.00,3.00,301,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',13468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6376703,3.00,4.00,2.00,2.00,8.00,7.13,2.00,5.00,0.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',18666,799,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376711,2.00,2.00,2.00,3.00,3.00,9.00,1.00,1.00,1.00,301,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',21292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376738,4.00,4.00,3.00,6.00,6.00,7.13,1.00,4.00,5.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6376754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6376762,5.00,4.00,3.00,2.00,9.00,7.13,3.00,3.00,2.00,319,NULL,NULL,'CENTRO','S MIGUEL IGUAÇU','PR',12579,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6376789,6.00,5.00,5.00,5.00,9.00,10.13,3.00,5.00,7.00,103,NULL,NULL,'VILA PROGRESSO','GUARULHOS','SP',3022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376797,1.00,3.00,2.00,2.00,2.00,NULL,2.00,3.00,3.00,109,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6376800,5.00,7.00,1.00,5.00,9.00,8.63,0.00,4.00,0.00,212,NULL,601,'SANTANA','RIO SUL','SC',14441,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6376819,3.00,3.00,1.00,5.00,6.00,8.63,1.00,5.00,3.00,3,NULL,NULL,'CENTRO','CRICIÚMA','SC',15691,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6376827,3.00,6.00,1.00,6.00,6.00,9.00,0.00,3.00,3.00,340,NULL,NULL,'DEHON','TUBARÃO','SC',13648,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6376835,3.00,4.00,1.00,2.00,7.00,10.13,1.00,3.00,3.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',16709,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6376843,5.00,3.00,2.00,5.00,8.00,10.50,0.00,4.00,3.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',13115,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'PAGANI','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6376886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'JD DAS INDUSTRIAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6376894,2.00,5.00,1.00,3.00,4.00,9.75,2.00,4.00,1.00,444,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',19231,121,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376908,4.00,5.00,2.00,4.00,3.00,9.00,1.00,2.00,1.00,303,NULL,NULL,'JURERE TRADICIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6376916,3.00,4.00,3.00,3.00,6.00,6.75,2.00,2.00,4.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376924,3.00,3.00,0.00,3.00,4.00,6.75,2.00,3.00,0.00,104,NULL,NULL,'PAGANI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376932,3.00,5.00,2.00,4.00,4.00,8.25,2.00,5.00,2.00,207,NULL,208,'CENTRO','ARARANGUÁ','SC',14364,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6376959,3.00,4.00,4.00,4.00,7.00,9.00,1.00,3.00,2.00,103,NULL,NULL,'VILAS DE ICARAÍ','SALTO','SP',12341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6376975,5.00,6.00,5.00,6.00,7.00,7.13,4.00,4.00,6.00,453,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376983,5.00,5.00,2.00,5.00,6.00,9.00,1.00,4.00,0.00,420,NULL,NULL,'CENTRO','S JOSÉ','SC',12758,112,NULL,NULL,NULL,NULL,NULL,4,1),(25,6376991,7.00,8.00,5.00,8.00,9.00,9.38,3.00,9.00,6.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',793,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6377009,3.00,5.00,0.00,4.00,5.00,8.25,3.00,0.00,3.00,317,NULL,NULL,'CENIRO MARTINS','S JOSÉ','SC',18539,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377017,5.00,4.00,3.00,6.00,10.00,9.75,1.00,3.00,4.00,452,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',9540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377025,2.00,2.00,1.00,3.00,1.00,NULL,3.00,1.00,2.00,301,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377033,1.00,1.00,1.00,1.00,2.00,NULL,0.00,0.00,3.00,9,NULL,NULL,'CENTRO','GUAÍRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377041,2.00,3.00,0.00,4.00,2.00,NULL,2.00,3.00,1.00,302,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6377050,4.00,3.00,3.00,4.00,1.00,NULL,1.00,4.00,2.00,5,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6377084,3.00,1.00,1.00,1.00,2.00,NULL,2.00,1.00,0.00,551,NULL,NULL,'CENTRO','GALVÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6377092,4.00,5.00,1.00,5.00,8.00,0.00,3.00,4.00,3.00,203,NULL,653,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6377106,2.00,3.00,1.00,2.00,6.00,NULL,4.00,2.00,0.00,108,NULL,NULL,'CENTRO','BENEDITO NOVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6377114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'RIO BONITO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6377122,6.00,3.00,5.00,5.00,8.00,NULL,0.00,2.00,6.00,201,NULL,216,'CENTRO','MARAU','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377130,5.00,3.00,2.00,1.00,5.00,7.50,2.00,3.00,3.00,333,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19043,149,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'NOVA ESPERANÇA','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6377165,7.00,6.00,6.00,5.00,7.00,7.88,0.00,4.00,6.00,202,NULL,213,'CANTO','FLORIANÓPOLIS','SC',8216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377173,8.00,3.00,1.00,4.00,8.00,7.88,4.00,2.00,5.00,103,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',10359,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6377181,7.00,5.00,0.00,6.00,7.00,7.88,1.00,6.00,6.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',7504,3070,NULL,NULL,NULL,NULL,NULL,4,5),(25,6377190,4.00,8.00,4.00,4.00,8.00,9.38,1.00,5.00,4.00,202,NULL,235,'ITACORUBI','FLORIANÓPOLIS','SC',7020,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377203,3.00,3.00,3.00,3.00,5.00,7.50,1.00,1.00,1.00,340,NULL,NULL,'CENTRO','CAMBORIÚ','SC',19309,413,NULL,NULL,NULL,NULL,NULL,4,3),(25,6377211,4.00,3.00,1.00,2.00,5.00,8.25,2.00,1.00,3.00,420,NULL,NULL,'ARAES','CUIABÁ','MT',19945,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6377220,5.00,5.00,7.00,6.00,7.00,9.38,3.00,4.00,7.00,202,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',3465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6377254,1.00,2.00,1.00,3.00,6.00,8.25,1.00,0.00,1.00,308,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377270,1.00,3.00,3.00,2.00,3.00,NULL,1.00,0.00,0.00,3,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377289,3.00,4.00,2.00,3.00,2.00,NULL,1.00,1.00,1.00,601,NULL,216,'CENTRO','NOVA AURORA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6377297,7.00,6.00,2.00,5.00,6.00,10.88,3.00,7.00,5.00,103,NULL,NULL,'SANTA RITA','BRUSQUE','SC',4865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377300,4.00,2.00,3.00,5.00,5.00,8.63,2.00,1.00,1.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',19003,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6377319,5.00,6.00,2.00,5.00,6.00,9.38,0.00,5.00,2.00,110,NULL,NULL,'AREIAS','S JOSÉ','SC',12098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMERICA','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6377335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PORTINARRI','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6377343,4.00,4.00,5.00,1.00,5.00,6.38,0.00,4.00,2.00,201,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',18123,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377351,5.00,6.00,5.00,6.00,8.00,11.25,2.00,7.00,4.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',3475,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377360,3.00,5.00,3.00,4.00,6.00,7.13,2.00,2.00,0.00,601,NULL,215,'BOM RETIRO','JOINVILLE','SC',19319,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6377378,2.00,4.00,2.00,3.00,4.00,6.00,3.00,1.00,1.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21228,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377386,2.00,3.00,5.00,5.00,6.00,8.25,2.00,4.00,2.00,201,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',13860,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'OURO BRANCO','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6377408,4.00,5.00,2.00,4.00,7.00,8.25,1.00,3.00,1.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377424,4.00,6.00,0.00,4.00,5.00,7.88,2.00,3.00,4.00,5,NULL,NULL,'CENTRO','CHAPECÓ','SC',15859,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6377432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIRO NARDI','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6377440,5.00,4.00,2.00,6.00,5.00,8.63,2.00,6.00,2.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14018,649,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377459,2.00,2.00,1.00,4.00,3.00,7.88,2.00,1.00,2.00,211,NULL,215,'MORRO ESTEVÃO','CRICIÚMA','SC',21365,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6377467,4.00,5.00,6.00,2.00,7.00,6.38,4.00,7.00,5.00,203,NULL,214,'AYMORE','GUABIRUBA','SC',7170,546,NULL,NULL,NULL,NULL,NULL,2,8),(25,6377475,3.00,3.00,1.00,5.00,4.00,8.63,2.00,2.00,3.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16660,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377483,3.00,6.00,2.00,5.00,4.00,NULL,0.00,2.00,0.00,415,NULL,NULL,'CABEÇUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6377505,4.00,5.00,0.00,6.00,8.00,9.38,2.00,1.00,3.00,999,NULL,NULL,'CENTRO','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377513,3.00,3.00,1.00,4.00,7.00,NULL,2.00,0.00,1.00,999,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377521,5.00,8.00,5.00,5.00,8.00,10.50,2.00,4.00,1.00,340,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',7692,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377530,2.00,2.00,2.00,2.00,4.00,6.75,1.00,2.00,1.00,502,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377548,6.00,5.00,0.00,4.00,6.00,10.88,1.00,4.00,2.00,103,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',12002,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6377556,4.00,5.00,2.00,2.00,7.00,6.38,1.00,2.00,2.00,420,NULL,NULL,'MÃE LUZIA','CRICIÚMA','SC',18910,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6377564,2.00,3.00,3.00,3.00,3.00,NULL,0.00,1.00,3.00,999,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377572,2.00,2.00,2.00,2.00,4.00,7.13,2.00,3.00,2.00,201,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',19257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377580,2.00,2.00,2.00,2.00,4.00,6.38,1.00,2.00,2.00,213,NULL,220,'CENTRO','S JOSÉ','SC',21557,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,429,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6377602,4.00,5.00,3.00,7.00,7.00,10.88,2.00,1.00,6.00,451,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377610,8.00,7.00,3.00,6.00,10.00,10.88,1.00,7.00,9.00,103,NULL,NULL,'JARDIM IPIRANGA','MARINGÁ','PR',1658,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6377629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6377645,6.00,4.00,1.00,4.00,7.00,7.88,3.00,4.00,2.00,207,NULL,211,'JARDIM BANDEIRANTES','S CARLOS','SP',14102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377661,8.00,7.00,3.00,6.00,6.00,7.88,2.00,6.00,4.00,220,NULL,202,'VILA BANCÁRIA','CPO LARGO','PR',5498,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6377670,5.00,4.00,2.00,3.00,4.00,8.25,0.00,3.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',15374,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6377688,2.00,4.00,1.00,1.00,7.00,9.38,2.00,2.00,3.00,201,NULL,NULL,'CENTRO','VARGEM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6377696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ESTRELA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6377700,3.00,3.00,4.00,5.00,6.00,7.13,0.00,4.00,3.00,110,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377718,3.00,5.00,1.00,2.00,4.00,4.88,2.00,1.00,1.00,211,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',20312,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6377726,8.00,5.00,0.00,7.00,8.00,10.50,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377734,2.00,3.00,1.00,2.00,4.00,7.88,1.00,2.00,2.00,304,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',20144,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6377742,3.00,6.00,0.00,2.00,4.00,4.50,4.00,5.00,2.00,425,NULL,421,'RIO GRANDE','PALHOÇA','SC',20407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377750,7.00,5.00,2.00,5.00,9.00,8.63,3.00,7.00,5.00,5,NULL,NULL,'NOVA DIVINEIA','PINHALZINHO','SC',5235,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6377769,2.00,7.00,0.00,1.00,2.00,NULL,0.00,2.00,2.00,601,NULL,201,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6377777,6.00,4.00,3.00,3.00,7.00,10.13,2.00,5.00,2.00,425,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',11435,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377785,5.00,3.00,1.00,3.00,6.00,9.00,1.00,3.00,3.00,999,NULL,NULL,'SANTA TEREZA','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377793,2.00,4.00,0.00,0.00,1.00,NULL,3.00,1.00,1.00,5,NULL,NULL,'SANTO INACIO','ESTEIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',1,8),(25,6377815,8.00,6.00,5.00,5.00,6.00,11.25,4.00,8.00,6.00,103,NULL,NULL,'STA TEREZINHA','S PAULO','SP',1966,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377823,3.00,4.00,1.00,3.00,8.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'NOVO ANTARES','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6377831,2.00,3.00,3.00,5.00,9.00,8.25,2.00,2.00,3.00,5,NULL,NULL,'CENTRO','BRUSQUE','SC',15200,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6377840,7.00,5.00,5.00,5.00,8.00,6.75,2.00,5.00,4.00,211,NULL,215,'CARVOEIRA','FLORIANÓPOLIS','SC',6785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377858,4.00,5.00,2.00,4.00,7.00,8.63,4.00,1.00,3.00,201,NULL,216,'RACHASKI','IÇARA','SC',15354,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6377866,3.00,2.00,1.00,2.00,4.00,9.75,2.00,4.00,2.00,424,NULL,NULL,'AREIAS DE CIMA','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377874,5.00,6.00,2.00,8.00,10.00,9.00,4.00,6.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377882,8.00,6.00,3.00,5.00,11.00,7.50,2.00,4.00,4.00,301,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',7656,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'VILA NOVA','BARRA BONITA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6377904,3.00,5.00,0.00,3.00,7.00,NULL,4.00,3.00,1.00,337,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377920,6.00,6.00,3.00,6.00,7.00,10.88,2.00,5.00,7.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377939,3.00,5.00,1.00,4.00,7.00,7.88,3.00,3.00,3.00,999,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6377947,5.00,5.00,1.00,2.00,3.00,NULL,1.00,5.00,0.00,104,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377955,1.00,3.00,2.00,2.00,4.00,NULL,3.00,0.00,0.00,9,NULL,NULL,'FAZ STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6377963,3.00,4.00,0.00,2.00,4.00,6.75,1.00,5.00,0.00,224,NULL,NULL,'SERRARIA','S JOSÉ','SC',21142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377971,2.00,3.00,4.00,3.00,4.00,4.88,3.00,3.00,3.00,336,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',20048,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6377980,1.00,1.00,1.00,3.00,1.00,NULL,2.00,2.00,3.00,502,NULL,NULL,'BARREIROS SAO JOSE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378005,3.00,4.00,0.00,2.00,6.00,7.88,1.00,1.00,3.00,9,NULL,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6378013,3.00,3.00,0.00,5.00,4.00,6.00,1.00,3.00,1.00,304,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',19148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378021,3.00,5.00,1.00,4.00,6.00,8.25,1.00,2.00,2.00,9,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378030,3.00,5.00,0.00,5.00,9.00,NULL,3.00,4.00,1.00,101,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6378048,3.00,2.00,0.00,2.00,0.00,NULL,2.00,3.00,1.00,326,NULL,NULL,'AREIAS DE MACACU','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378064,4.00,2.00,1.00,4.00,4.00,5.63,3.00,0.00,1.00,601,NULL,214,'RANCHO GRANDE','MTE CASTELO','SC',21289,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6378072,4.00,4.00,3.00,5.00,8.00,6.75,1.00,2.00,1.00,415,NULL,NULL,'SAO DIMAS','PIRACICABA','SP',17297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6378080,2.00,5.00,1.00,1.00,4.00,5.63,2.00,5.00,3.00,653,NULL,655,'SAO LUIZ','SOMBRIO','SC',18132,179,NULL,102,NULL,NULL,NULL,4,15),(25,6378099,3.00,2.00,2.00,4.00,5.00,11.25,0.00,1.00,3.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',16272,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6378102,6.00,7.00,3.00,4.00,7.00,8.25,3.00,7.00,4.00,211,NULL,201,'CENTRO','LAURENTINO','SC',6998,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6378110,3.00,3.00,1.00,5.00,6.00,NULL,3.00,2.00,4.00,999,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6378145,1.00,6.00,2.00,2.00,4.00,9.75,2.00,3.00,2.00,103,NULL,NULL,'MORUMBI','CASCAVEL','PR',18221,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6378153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'JARDIM AQUÁRIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6378161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,203,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6378170,5.00,4.00,2.00,6.00,6.00,7.88,0.00,1.00,3.00,211,NULL,601,'AGRONOMICA','FLORIANÓPOLIS','SC',12564,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378200,4.00,4.00,5.00,4.00,7.00,6.00,1.00,4.00,3.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15704,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6378218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6378226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6378234,2.00,5.00,0.00,5.00,6.00,NULL,2.00,4.00,4.00,103,NULL,NULL,'POR DO SOL','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6378242,4.00,4.00,0.00,3.00,6.00,6.75,1.00,2.00,2.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',19520,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6378250,2.00,6.00,3.00,3.00,6.00,10.13,1.00,4.00,1.00,5,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',16192,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6378269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6378277,6.00,5.00,0.00,3.00,5.00,NULL,0.00,1.00,2.00,601,NULL,653,'RIO DA LUZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6378285,2.00,5.00,3.00,6.00,5.00,8.63,1.00,3.00,1.00,207,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',14521,780,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','JOSÉ BOITEUX','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6378315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'VILA NOVA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6378323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6378331,5.00,4.00,3.00,3.00,5.00,7.13,1.00,1.00,2.00,102,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378340,3.00,6.00,2.00,3.00,7.00,6.00,1.00,6.00,6.00,328,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12490,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378358,7.00,7.00,3.00,6.00,9.00,9.75,2.00,6.00,7.00,103,NULL,NULL,'ROSARIO','CAXIAS SUL','RS',2986,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378366,2.00,6.00,2.00,5.00,8.00,6.75,2.00,5.00,1.00,340,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378374,4.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','ILHOTA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(25,6378390,5.00,6.00,3.00,4.00,8.00,9.38,1.00,7.00,4.00,207,NULL,201,'CENTRO','STO ÂNGELO','RS',10097,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6378404,3.00,3.00,2.00,3.00,6.00,7.50,2.00,2.00,4.00,203,NULL,655,'CENTRO','ARARANGUÁ','SC',16228,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6378412,5.00,3.00,3.00,5.00,7.00,10.88,2.00,2.00,2.00,451,NULL,NULL,'PARQUE DAS PALMEIRAS','MARINGÁ','PR',14376,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6378439,3.00,5.00,0.00,3.00,6.00,8.25,2.00,3.00,1.00,999,NULL,NULL,'NAÇÕES','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6378447,2.00,3.00,3.00,6.00,4.00,7.50,0.00,2.00,3.00,304,NULL,NULL,'FLORESTA','CONCÓRDIA','SC',15918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6378455,4.00,4.00,1.00,2.00,7.00,10.50,2.00,4.00,2.00,501,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',13219,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6378463,2.00,4.00,1.00,4.00,5.00,6.75,2.00,1.00,1.00,329,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378471,2.00,5.00,3.00,4.00,5.00,7.88,1.00,3.00,2.00,335,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',16295,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378480,3.00,7.00,1.00,7.00,5.00,12.00,3.00,6.00,6.00,110,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',8061,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOQUEIRAO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6378501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','VARGEM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6378510,2.00,3.00,2.00,2.00,7.00,5.63,1.00,4.00,1.00,415,NULL,NULL,'SÃO CRISTÓVÃO','PAPANDUVA','SC',20810,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6378536,5.00,5.00,3.00,6.00,5.00,10.13,1.00,4.00,1.00,103,NULL,NULL,'CAPITAIS','TIMBÓ','SC',10439,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6378544,6.00,4.00,4.00,5.00,8.00,7.50,1.00,5.00,6.00,340,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',7231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6378552,6.00,7.00,2.00,5.00,8.00,8.25,3.00,4.00,4.00,999,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6378560,2.00,4.00,3.00,4.00,5.00,6.75,2.00,5.00,0.00,316,NULL,NULL,'CENTRO','PALHOÇA','SC',17225,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378579,6.00,7.00,3.00,6.00,9.00,9.75,1.00,8.00,4.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',5850,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378595,3.00,6.00,1.00,2.00,5.00,5.63,2.00,3.00,2.00,110,NULL,NULL,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6378609,2.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TONIAL','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(25,6378617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA MARIA','S CAETANO SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6378625,6.00,5.00,3.00,6.00,6.00,11.25,1.00,5.00,2.00,450,NULL,NULL,'GUATÁ','LAURO MÜLLER','SC',11341,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378633,5.00,5.00,5.00,3.00,7.00,7.50,2.00,5.00,5.00,207,NULL,601,'SAGUAÇU','JOINVILLE','SC',6506,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6378650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'JARDIM ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6378668,8.00,5.00,3.00,5.00,9.00,9.00,4.00,4.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3474,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6378676,4.00,6.00,1.00,5.00,6.00,NULL,0.00,6.00,1.00,420,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'VILA TOGNI','POÇOS CALDAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6378706,4.00,4.00,2.00,4.00,6.00,6.75,1.00,2.00,4.00,452,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',15176,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378714,2.00,4.00,0.00,6.00,3.00,5.25,2.00,5.00,5.00,329,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6378730,4.00,4.00,1.00,5.00,8.00,7.13,1.00,5.00,1.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6378749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6378757,4.00,5.00,3.00,5.00,8.00,10.13,3.00,2.00,3.00,340,NULL,NULL,'CENTRO','PALMEIRA','PR',8085,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6378765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6378773,4.00,6.00,2.00,3.00,6.00,6.38,1.00,5.00,3.00,103,NULL,NULL,'JARDIM SOCIAL','CANTAGALO','PR',13154,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6378781,2.00,6.00,4.00,5.00,8.00,7.88,2.00,5.00,1.00,207,NULL,215,'BOM RETIRO','BLUMENAU','SC',11540,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6378790,5.00,4.00,1.00,3.00,4.00,7.13,3.00,3.00,3.00,102,NULL,NULL,'ITUCURUBI','FLORIANÓPOLIS','SC',16487,202,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378803,5.00,5.00,1.00,2.00,7.00,10.50,1.00,3.00,0.00,104,NULL,NULL,'CENTRO','ITUPORANGA','SC',14381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378820,2.00,6.00,2.00,5.00,8.00,7.88,0.00,4.00,4.00,327,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',14544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6378838,8.00,7.00,6.00,7.00,8.00,7.13,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',1228,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6378854,4.00,4.00,3.00,4.00,7.00,10.13,2.00,2.00,1.00,420,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13112,119,NULL,NULL,NULL,NULL,NULL,4,1),(25,6378862,4.00,4.00,2.00,5.00,4.00,8.25,4.00,2.00,2.00,302,NULL,NULL,'ARIRIU DA FORMIGA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378870,3.00,2.00,3.00,2.00,1.00,NULL,3.00,1.00,3.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378889,1.00,3.00,1.00,3.00,4.00,NULL,2.00,0.00,0.00,303,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6378897,3.00,3.00,1.00,3.00,4.00,6.75,2.00,2.00,0.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19774,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6378900,3.00,5.00,3.00,1.00,3.00,6.00,1.00,2.00,1.00,319,NULL,NULL,'NOSSA SRA DE FATIMA','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6378919,3.00,4.00,1.00,3.00,6.00,9.75,2.00,2.00,2.00,211,NULL,215,'SETOR SUL','ITUIUTABA','MG',18231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6378927,4.00,4.00,0.00,1.00,9.00,NULL,0.00,2.00,1.00,303,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6378935,3.00,5.00,3.00,6.00,8.00,10.50,2.00,5.00,2.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6378943,3.00,3.00,0.00,3.00,8.00,8.25,1.00,3.00,2.00,207,NULL,201,'CANASVIEIRAS','FLORIANÓPOLIS','SC',15802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6378951,4.00,3.00,1.00,3.00,7.00,7.88,1.00,0.00,6.00,601,NULL,653,'RIO DA LUZ','JARAGUÁ SUL','SC',15276,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6378960,5.00,2.00,0.00,0.00,2.00,NULL,2.00,6.00,1.00,308,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6378978,4.00,4.00,2.00,5.00,9.00,9.75,1.00,2.00,4.00,452,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',9375,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6378986,5.00,6.00,0.00,3.00,8.00,9.00,3.00,3.00,4.00,103,NULL,NULL,'CORAL','LAGES','SC',14075,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6379001,8.00,6.00,4.00,6.00,10.00,10.13,1.00,4.00,9.00,103,NULL,NULL,'JD NOVO HORIZONTE','MARINGÁ','PR',2426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6379010,5.00,4.00,4.00,7.00,7.00,10.13,3.00,3.00,4.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6379028,4.00,5.00,7.00,6.00,9.00,9.38,3.00,7.00,5.00,652,NULL,655,'MORRO ESTEVÃO','CRICIÚMA','SC',3819,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6379036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6379044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,653,'ZONA NOVA SUL','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6379052,4.00,5.00,1.00,4.00,6.00,6.00,2.00,4.00,1.00,426,NULL,423,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',19500,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6379060,4.00,5.00,3.00,6.00,10.00,11.25,0.00,1.00,2.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8696,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6379079,4.00,7.00,4.00,5.00,10.00,9.00,1.00,4.00,3.00,999,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6379095,2.00,4.00,1.00,4.00,7.00,7.50,2.00,4.00,2.00,234,NULL,NULL,'CACHOEIRA B JESUS','FLORIANÓPOLIS','SC',17874,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6379109,7.00,8.00,6.00,7.00,9.00,8.25,1.00,8.00,8.00,201,NULL,202,'VILA NOVA','IMBITUBA','SC',1027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6379117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6379125,2.00,5.00,1.00,3.00,5.00,6.75,2.00,2.00,3.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6379133,3.00,4.00,1.00,3.00,5.00,7.13,1.00,2.00,3.00,444,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',20465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6379141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6379150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'BALNEÁRIO DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6379168,1.00,4.00,0.00,4.00,4.00,7.13,2.00,5.00,2.00,316,NULL,NULL,'MICHEL','CRICIÚMA','SC',20180,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6379176,5.00,0.00,2.00,4.00,7.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(25,6379184,0.00,3.00,1.00,2.00,6.00,6.75,1.00,2.00,3.00,423,NULL,424,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',21378,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6379206,2.00,5.00,2.00,4.00,6.00,6.00,0.00,4.00,3.00,214,NULL,601,'BARREIROS','S JOSÉ','SC',16316,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6379214,2.00,5.00,3.00,6.00,8.00,7.50,2.00,0.00,1.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',13523,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6379222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'MORUMBI','IA SOLTEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6379230,8.00,5.00,3.00,7.00,7.00,10.13,1.00,6.00,5.00,415,NULL,NULL,'CENTRO','CPO BOM','RS',4246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6379249,4.00,7.00,1.00,7.00,8.00,6.00,2.00,3.00,4.00,653,NULL,202,'STO ANTONIO DE PÁDUA','TUBARÃO','SC',12520,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6379257,8.00,5.00,3.00,7.00,7.00,9.00,5.00,6.00,8.00,103,NULL,NULL,'SAO SILVESTRE','MARINGÁ','PR',2383,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6379265,3.00,6.00,0.00,5.00,3.00,6.75,2.00,3.00,1.00,109,NULL,NULL,'CENTRO','CRICIÚMA','SC',19811,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6379273,9.00,8.00,5.00,6.00,11.00,12.75,5.00,7.00,9.00,103,NULL,NULL,'NOSSA SRA DAS GRAÇAS','CANOAS','RS',143,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6379281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6379290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6379303,4.00,2.00,2.00,3.00,4.00,NULL,2.00,0.00,2.00,102,NULL,NULL,'ENCRUZILHADA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6379311,2.00,1.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6379320,3.00,5.00,1.00,7.00,7.00,9.00,0.00,3.00,1.00,201,NULL,216,'MEIA PRAIA','ITAPEMA','SC',12896,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6379338,5.00,6.00,0.00,7.00,7.00,NULL,2.00,6.00,6.00,212,NULL,233,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6379346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PARAGUAÇU PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6379354,4.00,5.00,4.00,5.00,8.00,8.63,2.00,1.00,5.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',10480,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6379370,5.00,4.00,3.00,5.00,6.00,7.88,3.00,3.00,4.00,333,NULL,NULL,'MARECHAL RONDON','CANOAS','RS',11605,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6379389,1.00,4.00,4.00,3.00,3.00,NULL,2.00,0.00,1.00,999,NULL,NULL,'DAS NAÇÕES','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6379397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6379400,9.00,7.00,5.00,5.00,9.00,9.00,3.00,7.00,7.00,103,NULL,NULL,'CENTRO','GLÓRIA DOURADOS','MS',1350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6379427,5.00,6.00,2.00,7.00,8.00,11.63,2.00,5.00,4.00,238,NULL,NULL,'IPIRANGA','S JOSÉ','SC',7291,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6379435,7.00,4.00,6.00,7.00,9.00,8.63,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',1911,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6379443,4.00,6.00,2.00,5.00,6.00,9.38,2.00,2.00,0.00,427,NULL,425,'AGRONÔMICA','FLORIANÓPOLIS','SC',16848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6379460,6.00,6.00,3.00,4.00,7.00,8.63,1.00,1.00,3.00,501,NULL,NULL,'CENTRO','IRINEÓPOLIS','SC',10288,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6379478,2.00,3.00,0.00,6.00,5.00,NULL,2.00,2.00,2.00,415,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6379486,3.00,6.00,2.00,5.00,9.00,8.25,2.00,4.00,1.00,109,NULL,NULL,'PASSO DO GADO','TUBARÃO','SC',12033,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6379494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6379508,4.00,4.00,2.00,6.00,8.00,10.88,0.00,6.00,1.00,319,NULL,NULL,'NOVELO','MARIÓPOLIS','PR',9362,134,NULL,NULL,NULL,NULL,NULL,2,4),(25,6379516,2.00,5.00,4.00,3.00,5.00,8.63,1.00,3.00,5.00,452,NULL,NULL,'SEMENÁRIO','CORUPÁ','SC',14511,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6379524,6.00,7.00,2.00,7.00,9.00,9.75,3.00,8.00,5.00,5,NULL,NULL,'MERCES','CURITIBA','PR',2340,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6379532,2.00,4.00,0.00,1.00,6.00,8.63,0.00,1.00,3.00,316,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',19198,221,NULL,NULL,NULL,NULL,NULL,2,1),(25,6379540,5.00,6.00,4.00,4.00,7.00,7.88,2.00,2.00,5.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6379559,4.00,6.00,0.00,4.00,5.00,8.63,0.00,3.00,3.00,319,NULL,NULL,'PALMAS','GOV CELSO RAMOS','SC',14252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6379567,7.00,6.00,6.00,6.00,8.00,9.00,2.00,1.00,6.00,212,NULL,214,'ALTO TARUMÃ','PINHAIS','PR',5357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6379575,8.00,6.00,6.00,5.00,8.00,7.88,2.00,4.00,5.00,216,NULL,215,'ANITA GARIBALDI','JOINVILLE','SC',4328,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6379583,4.00,5.00,0.00,3.00,2.00,NULL,2.00,1.00,0.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6379591,8.00,7.00,4.00,6.00,10.00,NULL,0.00,5.00,4.00,104,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6379605,7.00,5.00,2.00,3.00,8.00,13.13,1.00,3.00,3.00,216,NULL,215,'JARDIM ALEXANDER','RIO SUL','SC',8902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6379613,6.00,5.00,2.00,4.00,7.00,8.63,1.00,2.00,3.00,202,NULL,214,'SANTA MONICA','FRAIBURGO','SC',12231,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6379621,4.00,7.00,2.00,6.00,8.00,10.13,2.00,5.00,3.00,999,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6379630,2.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6379648,0.00,6.00,1.00,4.00,7.00,NULL,4.00,4.00,4.00,303,NULL,NULL,'BEATRIZ','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6379656,8.00,5.00,7.00,6.00,9.00,10.88,6.00,6.00,10.00,103,NULL,NULL,'CENTRO','ASSAÍ','PR',294,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6379672,4.00,6.00,0.00,1.00,5.00,NULL,1.00,3.00,2.00,316,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6379680,2.00,2.00,2.00,3.00,4.00,NULL,3.00,0.00,0.00,101,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6379699,6.00,4.00,1.00,6.00,9.00,8.25,1.00,4.00,2.00,223,NULL,NULL,'CENTRO','PALHOÇA','SC',10483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6379702,2.00,1.00,2.00,4.00,5.00,NULL,1.00,2.00,1.00,208,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6379710,7.00,4.00,1.00,5.00,6.00,5.25,0.00,1.00,3.00,207,NULL,216,'AGUA VERDE','CURITIBA','PR',18911,1015,NULL,589,NULL,NULL,NULL,2,1),(25,6379729,3.00,2.00,2.00,3.00,6.00,NULL,1.00,0.00,1.00,222,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6379737,1.00,3.00,1.00,2.00,2.00,NULL,3.00,0.00,1.00,9,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6379745,3.00,5.00,2.00,4.00,5.00,NULL,2.00,1.00,1.00,309,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6379753,4.00,4.00,1.00,3.00,3.00,7.13,1.00,2.00,2.00,104,NULL,NULL,'CENTRO','MAFRA','SC',18585,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6379761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'SOUSAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6379770,3.00,5.00,0.00,5.00,6.00,NULL,1.00,3.00,6.00,216,NULL,201,'SÃO CRISTÓVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6379788,6.00,6.00,4.00,5.00,8.00,NULL,3.00,3.00,3.00,214,NULL,213,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(25,6379796,4.00,5.00,3.00,4.00,8.00,8.63,2.00,2.00,2.00,207,NULL,NULL,'CRUZEIRO','STA ROSA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6379800,6.00,6.00,2.00,4.00,6.00,8.63,3.00,5.00,5.00,5,NULL,NULL,'UBERABA','CURITIBA','PR',7060,259,NULL,NULL,NULL,NULL,NULL,4,1),(25,6379818,6.00,5.00,2.00,7.00,9.00,9.75,1.00,5.00,5.00,211,NULL,233,'SANTA MÔNICA','FLORIANÓPOLIS','SC',5394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6379826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'ALTO DA BOA VISTA','CAMPOS JORDÃO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6379834,5.00,3.00,5.00,5.00,6.00,9.75,2.00,2.00,5.00,201,NULL,212,'JARDIM EUCALIPTUS','PALHOÇA','SC',9218,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6379842,1.00,1.00,2.00,3.00,4.00,NULL,1.00,1.00,0.00,309,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6379850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6379869,2.00,5.00,1.00,0.00,2.00,NULL,1.00,1.00,0.00,551,NULL,NULL,'NUCLEO TRITICOLA','FR ROGÉRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6379877,4.00,8.00,3.00,4.00,5.00,5.63,1.00,2.00,2.00,999,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6379885,3.00,4.00,2.00,4.00,6.00,9.75,2.00,3.00,4.00,201,NULL,212,'CENTRO','JOAÇABA','SC',15278,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6379893,6.00,3.00,2.00,6.00,8.00,8.25,2.00,3.00,5.00,319,NULL,NULL,'BOA VISTA','CURITIBA','PR',8237,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6379907,6.00,2.00,2.00,3.00,7.00,8.63,1.00,2.00,3.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',13972,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6379915,3.00,5.00,2.00,0.00,5.00,6.00,2.00,1.00,3.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',17526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6379923,6.00,4.00,5.00,4.00,10.00,8.63,4.00,4.00,6.00,101,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',6395,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6379931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'SETOR CASTELO BRANCO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6379940,4.00,3.00,0.00,1.00,3.00,NULL,2.00,0.00,0.00,109,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6379958,2.00,6.00,0.00,1.00,4.00,9.00,2.00,2.00,1.00,452,NULL,NULL,'JARDIM SANTA RITA','INDAIATUBA','SP',20632,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6379966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','S LUDGERO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6379990,4.00,3.00,2.00,2.00,8.00,8.63,1.00,0.00,2.00,999,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6380018,6.00,6.00,5.00,5.00,5.00,7.50,2.00,5.00,4.00,201,NULL,203,'ABRAAO','FLORIANÓPOLIS','SC',9766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6380026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6380034,3.00,3.00,4.00,2.00,8.00,7.50,2.00,3.00,3.00,201,NULL,655,'JARDIM MALUCHE','BRUSQUE','SC',16990,NULL,NULL,NULL,NULL,NULL,NULL,5,6),(25,6380042,2.00,0.00,4.00,3.00,4.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'PARQUE JARDIM OURO','OURO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,7),(25,6380050,3.00,4.00,3.00,6.00,7.00,NULL,0.00,5.00,4.00,5,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6380069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,235,'VÁRZEA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6380077,5.00,4.00,1.00,3.00,5.00,9.75,2.00,5.00,3.00,452,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',15740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6380085,2.00,6.00,0.00,3.00,7.00,NULL,1.00,5.00,2.00,404,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6380093,4.00,0.00,2.00,0.00,1.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',3,1),(25,6380107,4.00,6.00,4.00,4.00,7.00,9.75,3.00,4.00,2.00,213,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11612,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6380115,4.00,2.00,3.00,4.00,5.00,7.88,0.00,2.00,2.00,318,NULL,NULL,'JD NOVO C ELISEOS','CAMPINAS','SP',20097,103,NULL,NULL,NULL,NULL,NULL,2,1),(25,6380123,5.00,4.00,4.00,3.00,4.00,7.50,2.00,2.00,2.00,202,NULL,213,'TAPERA','FLORIANÓPOLIS','SC',16615,523,NULL,245,NULL,NULL,NULL,4,1),(25,6380131,3.00,3.00,2.00,4.00,8.00,9.38,2.00,3.00,1.00,101,NULL,NULL,'CENTRO','COCAL SUL','SC',13497,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6380140,4.00,8.00,3.00,4.00,4.00,6.38,0.00,4.00,3.00,101,NULL,NULL,'ROÇADO','S JOSÉ','SC',14915,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6380158,2.00,4.00,3.00,4.00,8.00,7.88,2.00,1.00,7.00,104,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',10178,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6380166,3.00,5.00,0.00,2.00,5.00,4.50,2.00,2.00,2.00,338,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',20920,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6380174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PAULICEIA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6380182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6380190,1.00,1.00,0.00,0.00,2.00,NULL,2.00,1.00,0.00,309,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6380204,2.00,4.00,1.00,2.00,6.00,9.00,1.00,4.00,4.00,302,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',15876,115,NULL,NULL,NULL,NULL,NULL,2,3),(25,6380212,3.00,6.00,0.00,3.00,6.00,NULL,2.00,2.00,0.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6380220,2.00,5.00,2.00,3.00,6.00,7.13,4.00,8.00,3.00,327,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',14203,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6380239,2.00,5.00,2.00,6.00,4.00,9.00,2.00,5.00,0.00,501,NULL,NULL,'VILA MARIANA','S PAULO','SP',14923,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6380247,3.00,5.00,3.00,5.00,5.00,9.38,2.00,2.00,4.00,235,NULL,202,'INTERIOR','MONDAÍ','SC',12218,280,NULL,389,NULL,NULL,NULL,1,4),(25,6380255,6.00,5.00,3.00,4.00,4.00,9.00,2.00,6.00,4.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',11580,3798,NULL,NULL,NULL,NULL,NULL,2,1),(25,6380271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6380280,7.00,5.00,2.00,5.00,8.00,9.75,3.00,2.00,6.00,216,NULL,203,'CENTRO','TAPEJARA','PR',6334,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6380298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'NOVA CIDADE','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6380301,3.00,0.00,3.00,5.00,8.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6380310,6.00,7.00,2.00,5.00,9.00,9.00,3.00,5.00,4.00,999,NULL,NULL,'QUARTA LINHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6380336,3.00,6.00,0.00,2.00,4.00,6.75,1.00,5.00,1.00,109,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6380344,7.00,7.00,6.00,6.00,9.00,11.63,3.00,6.00,9.00,211,NULL,215,'BOA VISTA','CURITIBA','PR',862,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6380360,7.00,7.00,5.00,6.00,9.00,9.38,4.00,5.00,8.00,5,NULL,NULL,'CENTRO','CURITIBA','PR',2230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6380379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6380409,3.00,5.00,2.00,3.00,5.00,9.00,0.00,3.00,2.00,212,NULL,233,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',18689,543,NULL,458,NULL,NULL,NULL,2,1),(25,6380417,3.00,5.00,3.00,4.00,9.00,8.63,0.00,3.00,2.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',13637,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6380433,4.00,3.00,3.00,7.00,7.00,6.75,2.00,3.00,5.00,203,NULL,201,'VILA ISABEL','CURITIBA','PR',11026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6380441,3.00,7.00,5.00,5.00,7.00,10.13,1.00,5.00,3.00,216,NULL,215,'CANASVIEIRAS','FLORIANÓPOLIS','SC',9181,339,NULL,NULL,NULL,NULL,NULL,2,1),(25,6380450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,423,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6380468,3.00,4.00,0.00,1.00,1.00,NULL,2.00,2.00,2.00,309,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6380476,8.00,6.00,3.00,7.00,5.00,12.00,3.00,7.00,5.00,201,NULL,NULL,'VISTA ALEGRE','CURITIBA','PR',3180,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6380492,6.00,8.00,2.00,7.00,10.00,10.13,1.00,7.00,6.00,103,NULL,NULL,'RIO CERRO II','JARAGUÁ SUL','SC',3712,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6380506,5.00,5.00,0.00,6.00,7.00,NULL,2.00,4.00,2.00,501,NULL,NULL,'MAUÁ','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6380522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6380549,6.00,7.00,1.00,4.00,6.00,6.75,1.00,2.00,1.00,103,NULL,NULL,'MORADA DO SOL','MARAVILHA','SC',17835,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6380557,5.00,4.00,5.00,6.00,7.00,8.63,3.00,3.00,4.00,201,NULL,207,'CENTRO','CAMBÉ','PR',6378,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6380565,5.00,6.00,3.00,6.00,6.00,6.75,4.00,5.00,4.00,653,NULL,655,'GAVEA','JACINTO MACHADO','SC',8734,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6380573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6380581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REPUBLICA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6380590,5.00,7.00,2.00,2.00,4.00,NULL,0.00,1.00,2.00,333,NULL,NULL,'CENTRO','GUAÍRA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6380611,1.00,3.00,3.00,4.00,5.00,8.63,0.00,1.00,5.00,202,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',18338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6380620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'RIBEIRÃO DAS PEDRAS','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6380638,6.00,2.00,1.00,2.00,5.00,8.25,2.00,2.00,4.00,216,NULL,215,'JARDIM SANTA BARBARA','STO ANTÔNIO PLATINA','PR',16012,527,NULL,258,NULL,NULL,NULL,2,1),(25,6380646,6.00,7.00,4.00,3.00,7.00,7.50,1.00,2.00,4.00,233,NULL,235,'BELA VISTA','PTO ALEGRE','RS',10356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6380662,2.00,3.00,1.00,0.00,5.00,7.88,2.00,3.00,1.00,101,NULL,NULL,'ARIRIU','PALHOÇA','SC',21504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6380670,4.00,5.00,3.00,5.00,9.00,6.75,3.00,2.00,3.00,404,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6380689,5.00,4.00,4.00,4.00,6.00,NULL,1.00,0.00,4.00,208,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6380697,2.00,4.00,2.00,1.00,5.00,7.88,1.00,2.00,5.00,201,NULL,208,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6380700,7.00,7.00,5.00,6.00,6.00,9.00,1.00,3.00,6.00,203,NULL,216,'CAMPO COMPRIDO','CURITIBA','PR',6191,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6380727,3.00,4.00,3.00,2.00,8.00,6.38,3.00,4.00,2.00,203,NULL,201,'VALE DAS ARAUCÁRIAS','LONDRINA','PR',12209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6380743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,655,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6380751,6.00,4.00,2.00,3.00,6.00,8.63,2.00,3.00,5.00,103,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',10155,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6380760,4.00,6.00,1.00,5.00,7.00,9.00,0.00,2.00,2.00,415,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6380778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6380786,2.00,4.00,0.00,4.00,5.00,NULL,2.00,2.00,1.00,340,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6380794,0.00,3.00,0.00,2.00,6.00,NULL,2.00,3.00,1.00,319,NULL,NULL,'SANTA APOLONIA','SANGÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6380808,5.00,3.00,3.00,4.00,1.00,NULL,1.00,0.00,3.00,502,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6380816,5.00,4.00,4.00,4.00,8.00,10.88,1.00,3.00,3.00,203,NULL,214,'CENTRO','TAPEJARA','RS',11972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6380824,4.00,2.00,1.00,1.00,5.00,10.13,0.00,1.00,1.00,102,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',21354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6380832,3.00,6.00,0.00,7.00,7.00,7.13,3.00,1.00,0.00,425,NULL,429,'CENTRO','FLORIANÓPOLIS','SC',19096,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6380859,4.00,4.00,5.00,5.00,4.00,10.88,1.00,1.00,5.00,216,NULL,201,'INTERLAGOS','S PAULO','SP',11430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6380867,7.00,7.00,4.00,7.00,9.00,7.50,6.00,6.00,8.00,220,NULL,238,'HUMAITÁ','TUBARÃO','SC',1490,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6380875,4.00,5.00,5.00,7.00,8.00,8.25,1.00,4.00,5.00,203,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6380883,4.00,5.00,1.00,3.00,2.00,NULL,1.00,5.00,3.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6380891,1.00,5.00,3.00,7.00,6.00,8.25,0.00,6.00,4.00,207,NULL,653,'PARTENON','PTO ALEGRE','RS',9231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6380905,3.00,5.00,3.00,4.00,8.00,8.63,2.00,3.00,3.00,208,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',12654,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6380921,6.00,3.00,0.00,6.00,7.00,6.75,1.00,3.00,2.00,238,NULL,208,'CENTRO','CONCÓRDIA','SC',14984,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6380930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'GIRARDELLI','MTE ALEGRE SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6380948,1.00,2.00,3.00,3.00,5.00,5.25,2.00,1.00,0.00,110,NULL,NULL,'PONTAL','PALHOÇA','SC',20535,140,NULL,NULL,NULL,NULL,NULL,2,1),(25,6380956,1.00,5.00,1.00,0.00,2.00,NULL,2.00,3.00,3.00,5,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6380964,2.00,3.00,0.00,4.00,7.00,7.13,2.00,2.00,2.00,601,NULL,203,'CAMPO GRANDE','SANTOS','SP',17573,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6380972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,429,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6380999,2.00,5.00,1.00,3.00,7.00,10.13,2.00,4.00,2.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6381006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6381014,4.00,5.00,2.00,4.00,4.00,8.25,1.00,3.00,3.00,110,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6381022,5.00,5.00,3.00,6.00,8.00,8.63,2.00,6.00,4.00,303,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',7109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6381030,3.00,6.00,3.00,4.00,6.00,NULL,0.00,1.00,1.00,212,NULL,213,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6381049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6381057,2.00,3.00,0.00,1.00,3.00,5.63,1.00,1.00,0.00,551,NULL,NULL,'CENTRO','CAMBORIÚ','SC',21788,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6381065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6381073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6381081,3.00,3.00,0.00,2.00,9.00,8.25,3.00,2.00,1.00,101,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6381103,5.00,5.00,7.00,4.00,7.00,10.13,1.00,6.00,5.00,201,NULL,207,'CENTRO','CAMBÉ','PR',5316,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6381111,3.00,5.00,3.00,6.00,5.00,8.25,3.00,2.00,0.00,415,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6381120,1.00,2.00,1.00,4.00,7.00,9.00,0.00,4.00,1.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',19769,317,NULL,NULL,NULL,NULL,NULL,2,1),(25,6381146,3.00,3.00,3.00,3.00,5.00,6.00,1.00,3.00,2.00,203,NULL,214,'CENTRO','CAMBORIÚ','SC',16267,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6381154,3.00,6.00,4.00,5.00,7.00,7.88,7.00,6.00,7.00,225,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',5759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6381162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6381170,4.00,7.00,0.00,1.00,6.00,NULL,2.00,5.00,1.00,450,NULL,NULL,'PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6381189,4.00,8.00,3.00,2.00,6.00,7.88,0.00,4.00,2.00,104,NULL,NULL,'CENTRO','PALOTINA','PR',16211,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6381197,4.00,4.00,3.00,6.00,7.00,10.88,3.00,4.00,4.00,208,NULL,238,'CANTO DA PRAIA','ITAPEMA','SC',7244,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6381200,3.00,5.00,1.00,5.00,8.00,9.75,1.00,1.00,2.00,415,NULL,NULL,'CENTRO','CPO BELO SUL','SC',17960,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6381219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6381227,5.00,5.00,1.00,2.00,7.00,5.25,1.00,4.00,5.00,103,NULL,NULL,'TUCURUVI','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6381243,6.00,7.00,5.00,4.00,6.00,NULL,0.00,6.00,3.00,238,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6381251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6381260,3.00,5.00,3.00,4.00,7.00,6.75,2.00,4.00,2.00,222,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',14425,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6381278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6381286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PONTE ALTA','APARECIDA','SP',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6381308,5.00,5.00,1.00,6.00,9.00,9.38,0.00,3.00,4.00,103,NULL,NULL,'JARDIM UNIVERSITARIO','MARINGÁ','PR',8546,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6381316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6381324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'NOVA ESPERANÇA','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6381332,4.00,6.00,0.00,4.00,6.00,7.50,1.00,5.00,2.00,103,NULL,NULL,'BOQUEIRÃO','SANTOS','SP',15779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6381340,9.00,8.00,3.00,6.00,5.00,9.38,2.00,8.00,7.00,103,NULL,NULL,'CENTRO','BARRACÃO','PR',1903,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6381359,8.00,4.00,4.00,4.00,9.00,10.50,3.00,6.00,4.00,425,NULL,427,'TRINDADE','FLORIANÓPOLIS','SC',6370,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6381367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,212,'JARDIM PALMEIRAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6381375,6.00,4.00,5.00,3.00,6.00,9.00,4.00,3.00,6.00,201,NULL,203,'CENTRO','ROLÂNDIA','PR',6440,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6381383,6.00,5.00,0.00,3.00,6.00,10.88,1.00,5.00,3.00,201,NULL,207,'PIRAPÓ','APUCARANA','PR',9770,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6381405,9.00,7.00,4.00,5.00,7.00,8.25,4.00,7.00,6.00,203,NULL,202,'ÁGUA VERDE','CURITIBA','PR',1685,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6381413,7.00,8.00,4.00,6.00,8.00,9.38,0.00,1.00,6.00,420,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5917,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6381421,8.00,6.00,1.00,6.00,8.00,11.25,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','GRAMADO','RS',4265,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6381430,3.00,1.00,3.00,2.00,5.00,9.00,2.00,0.00,1.00,5,NULL,NULL,'BELA VISTA','IBIRAMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6381448,2.00,6.00,3.00,7.00,7.00,7.13,4.00,5.00,3.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6381456,3.00,3.00,0.00,1.00,6.00,7.50,1.00,2.00,2.00,319,NULL,NULL,'CAJURU','CURITIBA','PR',18780,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6381464,6.00,4.00,0.00,5.00,6.00,7.88,1.00,4.00,3.00,103,NULL,NULL,'VILA LIANE','PNT GROSSA','PR',12387,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6381480,4.00,5.00,0.00,4.00,8.00,8.63,2.00,5.00,4.00,207,NULL,653,'CENTRO','PLANALTO ALEGRE','SC',8976,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6381499,5.00,7.00,1.00,6.00,9.00,8.63,1.00,5.00,1.00,3,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',8270,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6381502,8.00,7.00,3.00,6.00,9.00,10.88,1.00,7.00,8.00,103,NULL,NULL,'SANTA CRUZ','GUARAPUAVA','PR',1572,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6381529,2.00,3.00,2.00,4.00,5.00,6.75,2.00,1.00,2.00,551,NULL,NULL,'JARDIM ESPERANÇA','CANOINHAS','SC',20856,64,NULL,NULL,NULL,NULL,NULL,2,17),(25,6381545,7.00,7.00,3.00,6.00,6.00,9.75,5.00,5.00,7.00,103,NULL,NULL,'ORLEANS','CURITIBA','PR',2324,1412,NULL,NULL,NULL,NULL,NULL,2,8),(25,6381553,2.00,4.00,1.00,6.00,6.00,8.63,1.00,4.00,2.00,317,NULL,NULL,'CENTRO','FRAIBURGO','SC',17800,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6381561,4.00,5.00,1.00,3.00,8.00,6.38,3.00,4.00,0.00,203,NULL,214,'MONTE VERDE','MRO FUMAÇA','SC',14559,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6381570,5.00,7.00,4.00,7.00,9.00,9.00,0.00,5.00,6.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6381588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6381600,2.00,6.00,4.00,5.00,6.00,9.75,2.00,5.00,5.00,326,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6381618,6.00,6.00,1.00,3.00,5.00,6.38,2.00,2.00,6.00,104,NULL,NULL,'AREAL','PELOTAS','RS',11627,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6381626,5.00,5.00,1.00,6.00,5.00,7.13,0.00,4.00,3.00,999,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6381634,5.00,4.00,1.00,6.00,7.00,7.88,2.00,4.00,2.00,301,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6381642,4.00,3.00,2.00,6.00,8.00,7.13,0.00,5.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16044,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6381669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6381677,4.00,7.00,2.00,4.00,5.00,6.38,3.00,5.00,3.00,101,NULL,NULL,'SERTAO DO IMARUIM','S JOSÉ','SC',16002,80,NULL,NULL,NULL,NULL,NULL,2,1),(25,6381685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'CENTRO','LINHARES','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6381693,7.00,7.00,3.00,6.00,10.00,8.63,2.00,7.00,4.00,103,NULL,NULL,'JARDIM BENITENDE','FRANCO ROCHA','SP',3244,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6381707,3.00,3.00,0.00,3.00,5.00,9.75,1.00,3.00,2.00,501,NULL,NULL,'INTERIOR','RIO ANTAS','SC',19623,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6381715,5.00,4.00,1.00,4.00,5.00,8.63,3.00,2.00,3.00,103,NULL,NULL,'CENTRO','STA CRUZ MTE CASTELO','PR',15105,4231,NULL,NULL,NULL,NULL,NULL,2,1),(25,6381723,3.00,4.00,0.00,3.00,6.00,7.88,2.00,2.00,2.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',20124,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6381731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA QUITÉRIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6381740,4.00,2.00,1.00,4.00,2.00,NULL,1.00,0.00,0.00,108,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6381758,4.00,5.00,2.00,1.00,7.00,6.00,3.00,2.00,1.00,551,NULL,NULL,'BEM MORAR','IBICARÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6381774,2.00,4.00,0.00,3.00,5.00,NULL,2.00,0.00,0.00,318,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6381790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6381804,5.00,7.00,2.00,4.00,8.00,7.13,0.00,6.00,3.00,102,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',12577,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6381812,4.00,6.00,2.00,6.00,7.00,7.50,0.00,4.00,1.00,233,NULL,235,'BOA VISTA','PIÊN','PR',12006,325,NULL,271,NULL,NULL,NULL,4,8),(25,6381820,2.00,4.00,2.00,0.00,3.00,NULL,0.00,2.00,1.00,337,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6381839,4.00,2.00,1.00,3.00,5.00,11.25,0.00,0.00,2.00,104,NULL,NULL,'SÃO LUIZ','FARROUPILHA','RS',18207,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6381863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6381871,3.00,7.00,1.00,5.00,6.00,8.25,3.00,1.00,5.00,303,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',14862,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6381898,7.00,8.00,6.00,6.00,8.00,7.88,2.00,9.00,6.00,301,NULL,NULL,'CENTRO','CRICIÚMA','SC',2600,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6381901,6.00,6.00,3.00,5.00,8.00,9.38,2.00,6.00,6.00,201,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',4709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6381910,4.00,4.00,1.00,3.00,9.00,8.25,0.00,4.00,2.00,340,NULL,NULL,'VILA PINHEIRO','JACAREÍ','SP',13174,303,NULL,NULL,NULL,NULL,NULL,4,1),(25,6381928,3.00,3.00,1.00,3.00,3.00,5.63,2.00,4.00,1.00,203,NULL,214,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6381936,3.00,2.00,3.00,2.00,4.00,NULL,3.00,0.00,3.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6381944,2.00,3.00,2.00,1.00,5.00,8.25,1.00,1.00,1.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6381952,3.00,3.00,4.00,3.00,5.00,7.88,1.00,2.00,3.00,216,NULL,201,'JARDIM CAROLINA','ASSIS CHATEAUBRIAND','PR',14702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6381960,5.00,5.00,0.00,4.00,5.00,9.75,2.00,4.00,2.00,103,NULL,NULL,'POCO RICO','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6381979,2.00,4.00,1.00,3.00,7.00,8.63,2.00,4.00,2.00,654,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6381987,1.00,5.00,3.00,4.00,4.00,3.00,1.00,3.00,3.00,338,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6381995,4.00,4.00,0.00,1.00,6.00,NULL,1.00,3.00,5.00,102,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6382010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6382029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'JD OSWALDO CRUZ','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6382037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6382045,3.00,5.00,3.00,3.00,6.00,6.38,1.00,6.00,3.00,202,NULL,238,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',15844,498,NULL,338,NULL,NULL,NULL,2,1),(25,6382053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','QUILOMBO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6382061,6.00,7.00,4.00,6.00,8.00,10.50,2.00,7.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382070,2.00,4.00,2.00,3.00,6.00,7.88,0.00,3.00,3.00,303,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6382088,6.00,8.00,3.00,5.00,9.00,NULL,0.00,5.00,5.00,303,NULL,NULL,'CARANDÁ BOSQUE','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382096,2.00,4.00,3.00,2.00,2.00,NULL,1.00,1.00,4.00,110,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6382118,3.00,6.00,3.00,1.00,5.00,6.75,2.00,2.00,5.00,203,NULL,201,'PRAIA COMPRIDA','S JOSÉ','SC',17883,1030,NULL,1483,NULL,NULL,NULL,2,1),(25,6382126,5.00,6.00,1.00,5.00,8.00,6.75,1.00,8.00,5.00,238,NULL,601,'MICHEL','CRICIÚMA','SC',7685,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6382134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6382142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'BERGER','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6382150,6.00,5.00,2.00,6.00,9.00,10.88,0.00,5.00,2.00,103,NULL,NULL,'SANTA LUZIA','LUZIÂNIA','GO',6865,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6382169,6.00,5.00,6.00,6.00,8.00,9.38,5.00,4.00,7.00,103,NULL,NULL,'CAJURU','CURITIBA','PR',3157,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6382177,7.00,5.00,2.00,5.00,9.00,8.63,2.00,3.00,5.00,103,NULL,NULL,'SANTA TEREZINHA','S BERNARDO CAMPO','SP',6031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382185,4.00,6.00,2.00,6.00,7.00,8.25,2.00,6.00,1.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382193,4.00,4.00,4.00,4.00,6.00,7.50,0.00,3.00,3.00,208,NULL,238,'ROÇADO','S JOSÉ','SC',17634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6382215,3.00,6.00,3.00,7.00,8.00,9.38,2.00,3.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6382223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6382231,8.00,6.00,8.00,7.00,8.00,9.75,8.00,7.00,8.00,203,NULL,208,'CAMPINAS','S JOSÉ','SC',351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382258,7.00,7.00,2.00,4.00,8.00,12.75,1.00,6.00,5.00,103,NULL,NULL,'CERÂMICA','ERECHIM','RS',7192,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6382266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PRAIA BRAVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6382274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','IJUÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6382312,5.00,8.00,2.00,4.00,8.00,7.13,2.00,4.00,2.00,202,NULL,233,'SANTA MONICA','FLORIANÓPOLIS','SC',9798,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6382339,7.00,6.00,4.00,7.00,7.00,8.25,1.00,2.00,5.00,9,NULL,NULL,'SOSSEGO','CANOINHAS','SC',7226,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6382347,3.00,4.00,0.00,4.00,2.00,NULL,1.00,3.00,0.00,304,NULL,NULL,'JARDIM MENY','S ROQUE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382355,2.00,4.00,2.00,2.00,7.00,7.50,1.00,1.00,2.00,303,NULL,NULL,'PRAIA DO AMORES','BAL CAMBORIÚ','SC',20797,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6382363,2.00,3.00,0.00,2.00,4.00,NULL,2.00,3.00,2.00,104,NULL,NULL,'CENTRO','CEL VIVIDA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,3),(25,6382371,6.00,7.00,4.00,3.00,9.00,7.13,3.00,3.00,6.00,340,NULL,NULL,'DEHON','TUBARÃO','SC',7909,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6382380,7.00,6.00,3.00,7.00,7.00,9.00,2.00,2.00,6.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',6119,2733,NULL,NULL,NULL,NULL,NULL,2,1),(25,6382398,4.00,6.00,5.00,4.00,6.00,10.88,0.00,4.00,4.00,318,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6382401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6382410,1.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6382428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,653,'NOVA DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6382436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SÃO LOURENÇO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6382444,1.00,4.00,1.00,0.00,2.00,NULL,2.00,1.00,1.00,208,NULL,238,'SANTA ANA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382452,8.00,8.00,3.00,5.00,7.00,8.63,4.00,6.00,5.00,201,NULL,211,'CARVOEIRA','FLORIANÓPOLIS','SC',4110,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6382460,7.00,8.00,4.00,3.00,10.00,7.88,2.00,6.00,6.00,103,NULL,NULL,'VILA UNIVERSITARIA','BAURU','SP',3377,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6382479,2.00,1.00,0.00,1.00,4.00,NULL,0.00,1.00,0.00,303,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6382487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM PAQUETA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6382495,1.00,3.00,2.00,3.00,3.00,7.50,3.00,4.00,1.00,999,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382509,4.00,5.00,2.00,3.00,8.00,7.50,1.00,3.00,2.00,214,NULL,208,'CAPITAIS','TIMBÓ','SC',14737,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6382517,6.00,5.00,1.00,5.00,9.00,8.63,1.00,4.00,2.00,340,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',9645,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6382525,4.00,5.00,4.00,6.00,5.00,9.75,1.00,4.00,5.00,233,NULL,203,'VILA ALBERTINA','S PAULO','SP',10415,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382533,3.00,4.00,2.00,3.00,3.00,6.00,2.00,3.00,0.00,220,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382541,1.00,2.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,208,NULL,203,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382568,5.00,6.00,1.00,2.00,5.00,NULL,1.00,1.00,0.00,109,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6382584,8.00,5.00,3.00,3.00,9.00,8.63,2.00,5.00,8.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',3093,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382592,7.00,4.00,3.00,4.00,8.00,8.63,1.00,4.00,3.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',9017,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6382614,8.00,6.00,2.00,4.00,10.00,10.13,3.00,2.00,5.00,103,NULL,NULL,'JARDIM PAULISTA','OURINHOS','SP',5159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382622,3.00,3.00,3.00,4.00,5.00,10.13,0.00,2.00,3.00,999,NULL,NULL,'BARRA DO RIO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6382630,4.00,4.00,1.00,5.00,5.00,8.25,2.00,5.00,5.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',10977,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6382649,5.00,5.00,4.00,3.00,5.00,7.50,2.00,1.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',11506,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6382657,2.00,2.00,2.00,2.00,5.00,6.75,0.00,2.00,1.00,109,NULL,NULL,'BARREIROS','S JOSÉ','SC',20381,147,NULL,NULL,NULL,NULL,NULL,2,1),(25,6382665,6.00,7.00,2.00,7.00,3.00,6.75,4.00,6.00,3.00,203,NULL,220,'AMÉRICA','JOINVILLE','SC',9238,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6382673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESPIRITO SANTO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6382681,2.00,4.00,0.00,5.00,5.00,NULL,2.00,4.00,3.00,340,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6382690,4.00,5.00,0.00,5.00,8.00,NULL,0.00,6.00,4.00,201,NULL,207,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6382720,7.00,7.00,7.00,7.00,10.00,10.13,5.00,4.00,6.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382738,2.00,6.00,2.00,4.00,4.00,7.88,0.00,4.00,1.00,208,NULL,652,'ITACORUBI','FLORIANÓPOLIS','SC',19057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'SETOR COIMBRA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6382762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6382770,3.00,5.00,2.00,5.00,6.00,7.13,1.00,3.00,4.00,233,NULL,238,'CORREGO GRANDE','FLORIANÓPOLIS','SC',15203,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6382789,3.00,5.00,0.00,4.00,5.00,8.63,1.00,4.00,1.00,999,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6382797,4.00,2.00,1.00,4.00,4.00,6.00,2.00,0.00,1.00,108,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',21380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382800,7.00,6.00,4.00,5.00,8.00,12.00,3.00,5.00,5.00,201,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',3379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6382827,5.00,5.00,1.00,5.00,5.00,6.75,1.00,2.00,2.00,999,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6382835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,214,'JARDIM EUROPA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6382843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6382851,2.00,2.00,2.00,1.00,3.00,5.63,2.00,2.00,1.00,319,NULL,NULL,'CENTRO','CEL MARTINS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6382878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'CRUZEIRO DO SUL','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6382886,2.00,2.00,2.00,2.00,5.00,9.38,3.00,0.00,0.00,425,NULL,429,'AGRONÔMICA','FLORIANÓPOLIS','SC',19438,83,NULL,49,NULL,NULL,NULL,2,1),(25,6382894,4.00,4.00,0.00,4.00,5.00,NULL,1.00,5.00,1.00,303,NULL,NULL,'NOVO OSASCO','OSASCO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6382908,3.00,6.00,3.00,5.00,7.00,10.13,2.00,4.00,5.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6382916,3.00,5.00,2.00,5.00,9.00,5.63,2.00,5.00,4.00,203,NULL,216,'CENTRO','CURITIBA','PR',11568,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6382924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6382932,2.00,4.00,1.00,4.00,4.00,7.50,2.00,3.00,1.00,301,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6382940,3.00,3.00,1.00,2.00,4.00,7.50,0.00,3.00,0.00,201,NULL,212,'CENTRO','PALHOÇA','SC',21478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382959,7.00,7.00,2.00,7.00,9.00,6.38,2.00,7.00,6.00,450,NULL,NULL,'JARDIM MONTE CARLO','GUAPIAÇU','SP',4340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6382967,4.00,4.00,2.00,0.00,2.00,NULL,2.00,1.00,3.00,109,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6382975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'OURO PRETO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6382983,3.00,2.00,1.00,1.00,4.00,NULL,2.00,0.00,0.00,207,NULL,202,'PASSARELA','MARMELEIRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6382991,2.00,2.00,3.00,4.00,5.00,7.13,2.00,3.00,2.00,201,NULL,211,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6383009,1.00,3.00,1.00,2.00,4.00,NULL,3.00,3.00,0.00,999,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,655,'VILA GUMERCINDO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6383025,6.00,2.00,1.00,6.00,4.00,8.63,2.00,4.00,1.00,501,NULL,NULL,'INTERIOR','RIO ANTAS','SC',18025,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6383033,6.00,5.00,1.00,5.00,8.00,9.00,2.00,5.00,4.00,103,NULL,NULL,'JARDIM ISMÊNIA','S JOSÉ CAMPOS','SP',8084,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383041,4.00,5.00,1.00,2.00,2.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'TRICOLIM','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6383050,4.00,7.00,1.00,6.00,8.00,7.88,0.00,2.00,3.00,103,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',10226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383068,3.00,6.00,0.00,1.00,7.00,10.88,1.00,3.00,1.00,339,NULL,NULL,'SIMONE','JOAÇABA','SC',18475,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6383084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SAN REMO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6383092,7.00,8.00,8.00,7.00,6.00,9.75,7.00,8.00,8.00,203,NULL,233,'AHUU','CURITIBA','PR',316,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6383106,2.00,8.00,2.00,2.00,5.00,NULL,3.00,3.00,0.00,233,NULL,216,'MORROTES','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6383114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'RIO DA VARZEA','QUITANDINHA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6383122,6.00,5.00,4.00,5.00,6.00,7.50,3.00,1.00,4.00,328,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',13139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383130,8.00,5.00,4.00,7.00,10.00,9.38,3.00,5.00,7.00,103,NULL,NULL,'PETROPOLIS','CAXIAS SUL','RS',1686,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6383149,5.00,6.00,3.00,5.00,9.00,9.75,3.00,5.00,4.00,207,NULL,201,'NOSSA SRA DE LOURDES','STA MARIA','RS',5315,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6383157,5.00,4.00,1.00,6.00,7.00,8.25,2.00,5.00,4.00,999,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383173,6.00,6.00,3.00,6.00,4.00,NULL,2.00,4.00,0.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6383181,5.00,3.00,0.00,1.00,4.00,9.38,4.00,2.00,1.00,999,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE ALTA','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6383203,3.00,3.00,2.00,5.00,7.00,7.50,2.00,3.00,2.00,207,NULL,211,'INGLESES','FLORIANÓPOLIS','SC',18054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6383211,6.00,6.00,3.00,5.00,7.00,12.75,3.00,4.00,5.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',5590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6383246,3.00,4.00,6.00,1.00,3.00,NULL,3.00,0.00,2.00,999,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6383254,3.00,3.00,3.00,1.00,6.00,NULL,4.00,0.00,4.00,220,NULL,203,'JARDIM DOS PRINCIPES','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383262,3.00,3.00,1.00,4.00,8.00,7.88,1.00,1.00,3.00,452,NULL,NULL,'JARDIM MARAVILHA','PETROLINA','PE',16119,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6383270,1.00,5.00,2.00,3.00,8.00,5.63,1.00,3.00,2.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20138,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6383289,2.00,3.00,1.00,2.00,2.00,NULL,0.00,2.00,1.00,332,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6383297,4.00,0.00,0.00,5.00,9.00,NULL,0.00,0.00,0.00,207,NULL,211,'BARRO VERMELHO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(25,6383300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,426,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6383319,5.00,5.00,1.00,4.00,6.00,9.38,1.00,2.00,4.00,202,NULL,601,'FREI ROGÉRIO','LAGES','SC',11439,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6383335,3.00,2.00,3.00,4.00,4.00,7.13,2.00,0.00,1.00,425,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',18886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6383360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6383378,3.00,4.00,4.00,5.00,8.00,8.63,1.00,4.00,2.00,220,NULL,601,'PONTA AGUDA','BLUMENAU','SC',10213,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6383386,5.00,8.00,4.00,5.00,7.00,8.25,1.00,6.00,5.00,214,NULL,233,'SANTA MONICA','FLORIANÓPOLIS','SC',5814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6383408,3.00,5.00,1.00,3.00,6.00,9.75,4.00,6.00,4.00,332,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',10989,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383416,6.00,3.00,0.00,2.00,8.00,9.75,1.00,2.00,1.00,104,NULL,NULL,'BORGES DE MEDEIROS','MARAU','RS',15823,422,NULL,NULL,NULL,NULL,NULL,2,1),(25,6383424,4.00,5.00,6.00,5.00,6.00,9.00,1.00,4.00,5.00,203,NULL,220,'CENTORY PARK','CIANORTE','PR',6897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383432,3.00,3.00,1.00,1.00,5.00,NULL,0.00,2.00,1.00,110,NULL,NULL,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'BARRACÃO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6383459,3.00,4.00,4.00,3.00,6.00,7.13,2.00,3.00,3.00,339,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6383467,8.00,8.00,5.00,6.00,10.00,9.38,2.00,8.00,7.00,103,NULL,NULL,'CENTRO','APUCARANA','PR',1345,886,NULL,NULL,NULL,NULL,NULL,2,1),(25,6383475,5.00,6.00,4.00,5.00,8.00,7.13,2.00,5.00,2.00,201,NULL,601,'ITAGUAÇU','FLORIANÓPOLIS','SC',10164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383483,9.00,7.00,6.00,5.00,8.00,11.25,5.00,8.00,9.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',391,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6383505,3.00,3.00,0.00,6.00,6.00,8.63,1.00,2.00,1.00,104,NULL,NULL,'CAMPO D AGUA VERDE','CANOINHAS','SC',17032,466,NULL,NULL,NULL,NULL,NULL,4,17),(25,6383530,3.00,4.00,2.00,6.00,7.00,6.00,3.00,4.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14243,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383548,3.00,3.00,0.00,5.00,7.00,NULL,2.00,1.00,0.00,109,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6383556,4.00,6.00,4.00,3.00,6.00,7.50,3.00,1.00,2.00,103,NULL,NULL,'BELA VISTA','VOTORANTIM','SP',13658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,220,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6383572,2.00,3.00,2.00,2.00,3.00,9.00,0.00,1.00,1.00,653,NULL,NULL,'SANTANA','ERMO','SC',20452,223,NULL,NULL,NULL,NULL,NULL,2,15),(25,6383580,4.00,3.00,2.00,5.00,8.00,8.63,1.00,4.00,3.00,102,NULL,NULL,'CENTRO','PTO BELO','SC',11860,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383599,7.00,7.00,2.00,8.00,8.00,8.63,4.00,5.00,3.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383602,5.00,6.00,5.00,5.00,8.00,11.25,3.00,3.00,6.00,233,NULL,216,'ESTREITO','FLORIANÓPOLIS','SC',4838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383610,1.00,3.00,3.00,5.00,7.00,8.63,2.00,1.00,0.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IPIRANGA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6383637,1.00,3.00,1.00,0.00,5.00,6.75,0.00,0.00,2.00,5,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6383645,3.00,5.00,0.00,1.00,4.00,8.25,1.00,3.00,0.00,5,NULL,NULL,'VORSTADT','BLUMENAU','SC',20893,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6383653,1.00,3.00,0.00,3.00,3.00,6.38,0.00,0.00,1.00,335,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',21783,27,NULL,NULL,NULL,NULL,NULL,2,1),(25,6383661,7.00,4.00,3.00,4.00,5.00,9.75,2.00,3.00,5.00,201,NULL,212,'JARDIM PROGRESSO','PARANAVAÍ','PR',11721,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6383670,2.00,6.00,0.00,3.00,4.00,NULL,2.00,2.00,2.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383688,2.00,5.00,0.00,3.00,6.00,7.13,2.00,1.00,0.00,324,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6383696,1.00,6.00,2.00,3.00,4.00,7.50,0.00,5.00,3.00,308,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',19315,37,NULL,NULL,NULL,NULL,NULL,2,1),(25,6383700,2.00,5.00,2.00,5.00,4.00,7.88,2.00,5.00,7.00,201,NULL,NULL,'RENASCENÇA','STA CRUZ SUL','RS',11733,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6383726,2.00,0.00,1.00,0.00,3.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6383734,5.00,5.00,3.00,6.00,10.00,13.50,2.00,2.00,2.00,233,NULL,235,'COQUEIROS','FLORIANÓPOLIS','SC',6725,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6383777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6383785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6383793,2.00,2.00,1.00,2.00,1.00,NULL,2.00,2.00,1.00,309,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6383807,4.00,2.00,3.00,2.00,6.00,6.38,2.00,2.00,0.00,308,NULL,NULL,'CAMPINAS','S JOSÉ','SC',20044,51,NULL,NULL,NULL,NULL,NULL,2,1),(25,6383815,3.00,0.00,2.00,2.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(25,6383823,3.00,2.00,2.00,4.00,6.00,9.00,0.00,3.00,6.00,108,NULL,NULL,'CAVALHADA','PTO ALEGRE','RS',15306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383831,3.00,3.00,0.00,2.00,3.00,6.75,1.00,2.00,0.00,203,NULL,201,'SÃO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6383840,4.00,4.00,3.00,5.00,8.00,6.38,2.00,2.00,2.00,104,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',16661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM DAS FLORES','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6383890,4.00,5.00,2.00,3.00,5.00,8.63,2.00,4.00,2.00,207,NULL,215,'CIDADE ALTA','TROMBUDO CENTRAL','SC',16836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383912,5.00,6.00,0.00,1.00,7.00,6.00,0.00,1.00,3.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',16656,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6383920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6383939,5.00,6.00,2.00,7.00,8.00,7.88,1.00,5.00,5.00,5,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',8294,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6383947,3.00,2.00,1.00,6.00,4.00,9.00,1.00,2.00,1.00,201,NULL,235,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',20273,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6383963,5.00,3.00,0.00,7.00,5.00,5.63,1.00,3.00,6.00,999,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6383971,3.00,4.00,2.00,5.00,8.00,8.63,2.00,5.00,3.00,329,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13725,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6383980,3.00,5.00,3.00,2.00,5.00,8.25,3.00,2.00,3.00,103,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',16124,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6383998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'COPACABANA','UBERLÂNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6384005,4.00,4.00,1.00,6.00,8.00,8.63,0.00,5.00,2.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6384013,8.00,6.00,7.00,5.00,7.00,8.25,3.00,5.00,4.00,201,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',3499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6384048,7.00,5.00,1.00,7.00,9.00,10.50,2.00,8.00,6.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',3841,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6384056,3.00,5.00,3.00,6.00,6.00,8.63,5.00,6.00,5.00,999,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6384064,4.00,4.00,0.00,6.00,5.00,6.00,2.00,3.00,3.00,303,NULL,NULL,'TERRAS DE PIRACICABA','PIRACICABA','SP',12789,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6384072,6.00,6.00,6.00,7.00,8.00,9.38,3.00,3.00,6.00,303,NULL,NULL,'MINA BRASIL','CRICIÚMA','SC',5434,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6384099,3.00,4.00,3.00,3.00,6.00,7.50,0.00,5.00,2.00,103,NULL,NULL,'CENTRO','URUGUAIANA','RS',15545,4282,NULL,NULL,NULL,NULL,NULL,4,15),(25,6384110,4.00,6.00,0.00,6.00,8.00,8.63,2.00,0.00,4.00,303,NULL,NULL,'ZONA RURAL','GUARANIAÇU','PR',10129,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6384137,4.00,4.00,0.00,6.00,8.00,10.13,3.00,2.00,1.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',14752,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6384145,5.00,5.00,2.00,7.00,10.00,7.50,1.00,4.00,4.00,103,NULL,NULL,'CENTRO','CANOAS','RS',7130,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6384153,5.00,5.00,3.00,5.00,7.00,9.00,0.00,4.00,5.00,102,NULL,NULL,'BQ DOS EUCALIPTOS','S JOSÉ CAMPOS','SP',9063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6384161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'JD LIBERDADE','JACAREÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6384170,7.00,6.00,4.00,7.00,10.00,9.75,0.00,6.00,6.00,207,NULL,201,'TRIANON','GUARAPUAVA','PR',2790,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6384188,4.00,3.00,3.00,3.00,7.00,7.13,1.00,6.00,3.00,103,NULL,NULL,'NENE GRAEFF','PASSO FUNDO','RS',15463,4275,NULL,NULL,NULL,NULL,NULL,2,4),(25,6384200,4.00,4.00,1.00,5.00,6.00,5.25,0.00,2.00,5.00,103,NULL,NULL,'CAMPINA BELLA','VIDEIRA','SC',16276,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6384218,7.00,6.00,5.00,6.00,8.00,8.25,3.00,6.00,3.00,203,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4628,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6384226,3.00,4.00,3.00,7.00,7.00,NULL,0.00,4.00,3.00,211,NULL,653,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6384234,0.00,3.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6384242,1.00,4.00,0.00,1.00,7.00,9.00,3.00,1.00,2.00,999,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6384250,2.00,3.00,0.00,1.00,4.00,NULL,3.00,3.00,0.00,332,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6384269,5.00,5.00,4.00,6.00,9.00,11.63,3.00,3.00,6.00,103,NULL,NULL,'RINCÃO','NOVO HAMBURGO','RS',5780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6384277,4.00,4.00,2.00,3.00,3.00,6.75,1.00,0.00,2.00,203,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',20834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6384285,1.00,6.00,0.00,3.00,7.00,NULL,0.00,4.00,3.00,501,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6384293,3.00,5.00,2.00,6.00,8.00,9.38,2.00,5.00,2.00,9,NULL,NULL,'FREITAS','PAULO LOPES','SC',10153,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6384307,2.00,6.00,1.00,2.00,5.00,7.50,2.00,2.00,2.00,102,NULL,NULL,'CENTRO','TIJUCAS','SC',17928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6384323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE ALTA','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6384331,4.00,3.00,3.00,2.00,3.00,NULL,3.00,0.00,2.00,215,NULL,216,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6384340,8.00,6.00,1.00,5.00,7.00,9.00,2.00,6.00,5.00,216,NULL,203,'ÁGUAS CLARAS','BRUSQUE','SC',5841,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6384358,6.00,6.00,2.00,6.00,8.00,10.13,2.00,4.00,4.00,104,NULL,NULL,'ALBUQUERQUE','CPO GRANDE','MS',9244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6384366,4.00,5.00,6.00,4.00,5.00,9.00,2.00,4.00,4.00,203,NULL,214,'JARDIM ITALIA','CAMBÉ','PR',8755,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6384374,3.00,5.00,3.00,2.00,4.00,7.50,2.00,3.00,4.00,601,NULL,NULL,'COSTA SILVA','JOINVILLE','SC',19292,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6384382,1.00,1.00,3.00,0.00,3.00,3.75,1.00,1.00,1.00,203,NULL,202,'MORRO DA BINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6384390,9.00,7.00,5.00,5.00,6.00,7.88,4.00,8.00,6.00,103,NULL,NULL,'JARDIM AQUARIOS','ARARUNA','PR',2101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6384404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'VISTA VERDE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6384412,3.00,4.00,2.00,3.00,5.00,6.75,1.00,2.00,2.00,235,NULL,208,'PANTANAL','FLORIANÓPOLIS','SC',20143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6384420,2.00,5.00,2.00,4.00,3.00,8.63,2.00,7.00,4.00,201,NULL,202,'FORQUIHLINHAS','S JOSÉ','SC',14576,1239,NULL,452,NULL,NULL,NULL,2,1),(25,6384439,4.00,5.00,3.00,4.00,6.00,9.00,4.00,2.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',9788,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6384447,6.00,8.00,4.00,7.00,9.00,8.25,4.00,7.00,5.00,5,NULL,NULL,'OFICINAS','TUBARÃO','SC',1958,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6384455,5.00,5.00,2.00,4.00,5.00,7.13,1.00,1.00,0.00,415,NULL,NULL,'CENTRO','PALHOÇA','SC',16050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6384463,7.00,5.00,3.00,6.00,9.00,8.25,2.00,5.00,8.00,233,NULL,211,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',4165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6384471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'JARDIM PARAISO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6384480,2.00,1.00,2.00,3.00,4.00,5.25,1.00,3.00,1.00,208,NULL,202,'PALHOÇA','PALHOÇA','SC',20909,576,NULL,663,NULL,NULL,NULL,2,1),(25,6384498,3.00,5.00,1.00,2.00,4.00,8.63,1.00,3.00,2.00,201,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',20384,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6384501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6384510,6.00,7.00,4.00,3.00,7.00,11.25,4.00,7.00,8.00,103,NULL,NULL,'BARRA DO RIO','ITAJAÍ','SC',2151,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6384536,2.00,4.00,0.00,6.00,6.00,NULL,1.00,1.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6384544,0.00,1.00,3.00,3.00,4.00,4.50,1.00,1.00,0.00,9,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',21582,175,NULL,NULL,NULL,NULL,NULL,2,1),(25,6384552,2.00,4.00,2.00,3.00,3.00,NULL,4.00,0.00,2.00,201,NULL,203,'CENTRO','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6384579,4.00,7.00,1.00,5.00,7.00,9.75,0.00,5.00,3.00,316,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',13224,102,NULL,NULL,NULL,NULL,NULL,2,1),(25,6384587,4.00,2.00,2.00,4.00,4.00,8.25,2.00,4.00,2.00,653,NULL,655,'MATO ALTO','ARARANGUÁ','SC',18537,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6384595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,215,'PROGRESSO','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6384609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SESI','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6384625,3.00,4.00,2.00,0.00,3.00,6.38,1.00,2.00,2.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6384633,3.00,7.00,0.00,2.00,5.00,NULL,0.00,3.00,2.00,326,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6384641,5.00,5.00,1.00,5.00,5.00,8.25,4.00,5.00,3.00,340,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6384650,5.00,6.00,3.00,4.00,8.00,9.00,0.00,5.00,4.00,103,NULL,NULL,'NOSSA S DE LURDES','CAMPOS NOVOS','SC',10173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6384676,0.00,2.00,0.00,2.00,4.00,4.50,1.00,1.00,0.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',21630,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6384692,1.00,5.00,3.00,2.00,4.00,4.88,2.00,4.00,3.00,304,NULL,NULL,'FAZ SANTO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6384706,3.00,2.00,3.00,4.00,6.00,8.63,3.00,1.00,3.00,203,NULL,233,'NAÇÕES','CONCÓRDIA','SC',16138,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6384714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REDENTORA','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6384722,3.00,3.00,2.00,7.00,4.00,7.50,2.00,4.00,3.00,999,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6384749,2.00,3.00,1.00,3.00,3.00,5.63,2.00,1.00,0.00,339,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',21101,28,NULL,NULL,NULL,NULL,NULL,2,1),(25,6384757,3.00,4.00,1.00,2.00,4.00,6.00,0.00,4.00,2.00,234,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',21295,81,NULL,NULL,NULL,NULL,NULL,4,1),(25,6384765,4.00,3.00,2.00,3.00,7.00,9.75,0.00,3.00,2.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',15973,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6384773,3.00,6.00,3.00,5.00,8.00,10.50,0.00,5.00,5.00,103,NULL,NULL,'CENTRO','CAP LEÔNIDAS MARQUES','PR',8440,3276,NULL,NULL,NULL,NULL,NULL,4,7),(25,6384781,4.00,5.00,1.00,4.00,6.00,6.75,0.00,4.00,3.00,452,NULL,NULL,'NAÇÕES','INDAIAL','SC',17383,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6384790,2.00,2.00,0.00,4.00,5.00,5.25,2.00,0.00,4.00,404,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20358,89,NULL,NULL,NULL,NULL,NULL,2,1),(25,6384803,3.00,7.00,0.00,5.00,7.00,7.88,2.00,1.00,1.00,301,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',17856,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6384811,9.00,4.00,1.00,5.00,8.00,7.13,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6316,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6384854,1.00,2.00,1.00,1.00,2.00,NULL,1.00,1.00,3.00,207,NULL,201,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6384862,3.00,3.00,2.00,3.00,6.00,6.38,1.00,1.00,1.00,104,NULL,NULL,'VILA ROSA','NOVO HAMBURGO','RS',17833,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6384870,5.00,5.00,1.00,5.00,8.00,7.88,2.00,4.00,4.00,201,NULL,207,'CAMPO DA LANÇA','MAFRA','SC',10797,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6384889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6384897,1.00,2.00,2.00,5.00,4.00,NULL,0.00,1.00,2.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6384900,2.00,3.00,0.00,5.00,8.00,6.75,1.00,4.00,3.00,110,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',18927,115,NULL,NULL,NULL,NULL,NULL,2,1),(25,6384919,3.00,3.00,1.00,4.00,8.00,7.88,1.00,2.00,0.00,451,NULL,NULL,'CENTRO','ERECHIM','RS',16540,25,NULL,NULL,NULL,NULL,NULL,2,4),(25,6384935,4.00,3.00,0.00,6.00,5.00,8.63,2.00,2.00,4.00,216,NULL,203,'HARMONIA','TELÊMACO BORBA','PR',13429,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6384943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD AMOREIRAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6384951,8.00,8.00,4.00,6.00,9.00,9.75,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',1198,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6384960,2.00,3.00,1.00,4.00,3.00,NULL,1.00,0.00,0.00,238,NULL,601,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6384978,5.00,5.00,1.00,5.00,4.00,9.38,1.00,2.00,3.00,216,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',13175,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6384986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,214,'BATISTA CAMPOS','BELÉM','PA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6384994,3.00,5.00,0.00,6.00,5.00,8.25,0.00,6.00,4.00,333,NULL,NULL,'INDEPENDENCIA','CASCAVEL','PR',13533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385001,4.00,6.00,1.00,5.00,7.00,8.63,2.00,3.00,2.00,999,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6385028,1.00,1.00,3.00,3.00,5.00,7.50,1.00,2.00,2.00,999,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385036,6.00,7.00,3.00,5.00,5.00,6.38,3.00,6.00,4.00,201,NULL,202,'LOURDES','CAXIAS SUL','RS',9093,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6385044,2.00,4.00,2.00,3.00,4.00,5.63,1.00,2.00,2.00,302,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',21275,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6385060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6385079,8.00,5.00,3.00,5.00,7.00,9.00,1.00,6.00,6.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6761,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385087,4.00,7.00,1.00,4.00,4.00,7.13,5.00,2.00,3.00,201,NULL,215,'COSTEIRA','FLORIANÓPOLIS','SC',16741,1405,NULL,267,NULL,NULL,NULL,2,1),(25,6385095,2.00,3.00,3.00,3.00,2.00,NULL,2.00,1.00,0.00,501,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6385109,6.00,8.00,6.00,7.00,8.00,12.75,4.00,3.00,8.00,103,NULL,NULL,'SAO JOAO','MARÍLIA','SP',1225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385117,3.00,4.00,5.00,2.00,5.00,NULL,0.00,2.00,1.00,223,NULL,NULL,'JARDIM AMÉRICA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6385125,5.00,3.00,2.00,4.00,9.00,9.75,0.00,4.00,6.00,235,NULL,216,'SÃO LUIS','S MIGUEL OESTE','SC',8941,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6385133,4.00,6.00,4.00,3.00,3.00,9.75,1.00,3.00,5.00,214,NULL,653,'JURERE','FLORIANÓPOLIS','SC',13553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385150,6.00,6.00,2.00,6.00,7.00,8.25,2.00,6.00,5.00,104,NULL,NULL,'GUIOMAR','ANTÔNIO CARLOS','SC',7340,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385168,4.00,2.00,3.00,7.00,2.00,NULL,1.00,4.00,4.00,103,NULL,NULL,'SANTA CRUZ','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6385176,3.00,5.00,3.00,1.00,5.00,6.75,1.00,2.00,0.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385184,5.00,2.00,4.00,3.00,7.00,6.75,1.00,4.00,5.00,103,NULL,NULL,'SÃO SILVESTRE','MARINGÁ','PR',13541,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6385192,6.00,7.00,3.00,5.00,6.00,7.88,4.00,5.00,7.00,452,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385206,4.00,4.00,3.00,2.00,7.00,5.63,0.00,6.00,3.00,324,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',15534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385214,8.00,5.00,2.00,6.00,8.00,9.38,2.00,6.00,9.00,103,NULL,NULL,'JARDIM AEROPORTO','LAURO FREITAS','BA',2181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385222,1.00,3.00,2.00,1.00,3.00,5.25,1.00,1.00,0.00,452,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385230,2.00,1.00,2.00,0.00,0.00,NULL,0.00,1.00,1.00,102,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6385249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'PARQUE VERDE','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6385257,2.00,4.00,1.00,4.00,7.00,6.75,2.00,4.00,0.00,317,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19505,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,601,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6385303,5.00,6.00,4.00,5.00,8.00,7.13,3.00,2.00,5.00,201,NULL,212,'FONTES','ARUJÁ','SP',9921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385311,2.00,3.00,1.00,2.00,3.00,8.25,2.00,0.00,1.00,999,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6385320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'ALTO DO MUSSI','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6385338,5.00,4.00,2.00,3.00,6.00,7.88,0.00,1.00,3.00,318,NULL,NULL,'CACHOEIRAS','BIGUAÇU','SC',19573,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385346,6.00,7.00,2.00,5.00,7.00,8.63,4.00,7.00,3.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',5889,2689,NULL,NULL,NULL,NULL,NULL,4,8),(25,6385362,3.00,5.00,3.00,4.00,4.00,NULL,0.00,3.00,4.00,3,NULL,NULL,'VILA MARIA','BOTUCATU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385370,1.00,3.00,3.00,4.00,5.00,6.75,2.00,1.00,2.00,452,NULL,NULL,'CENTRO','BIGUAÇU','SC',18530,118,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385389,5.00,3.00,2.00,3.00,9.00,10.88,0.00,2.00,5.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',10193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'INTERIOR','DESCANSO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6385400,1.00,2.00,3.00,2.00,5.00,7.88,3.00,5.00,3.00,103,NULL,NULL,'BAIRRO DOS ESTADOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6385419,6.00,6.00,4.00,7.00,10.00,11.25,1.00,6.00,2.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ANDIRÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6385435,2.00,5.00,0.00,3.00,3.00,NULL,2.00,4.00,2.00,601,NULL,208,'CERRAMARTE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6385443,1.00,1.00,1.00,2.00,7.00,NULL,1.00,3.00,0.00,303,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6385451,8.00,7.00,4.00,6.00,7.00,9.00,1.00,7.00,9.00,103,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',1338,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6385460,5.00,5.00,5.00,5.00,6.00,10.13,2.00,5.00,5.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',6657,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385478,5.00,3.00,3.00,5.00,5.00,NULL,0.00,3.00,2.00,215,NULL,211,'CARIOCA','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6385486,2.00,3.00,1.00,3.00,4.00,7.88,2.00,2.00,1.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21386,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385494,6.00,8.00,0.00,7.00,10.00,NULL,4.00,7.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385516,6.00,5.00,3.00,7.00,8.00,7.50,3.00,5.00,7.00,235,NULL,208,'ARISTOCRATA','S JOSÉ PINHAIS','PR',4655,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6385524,6.00,6.00,4.00,4.00,9.00,8.25,1.00,5.00,3.00,999,NULL,NULL,'BELA VISTA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6385532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6385540,6.00,6.00,4.00,5.00,9.00,8.25,4.00,6.00,6.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',4680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385559,5.00,5.00,0.00,6.00,8.00,12.00,1.00,3.00,6.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',9486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385567,3.00,5.00,3.00,2.00,6.00,10.13,0.00,5.00,0.00,212,NULL,211,'SAUDADE','BIGUAÇU','SC',17741,518,NULL,467,NULL,NULL,NULL,2,1),(25,6385575,4.00,5.00,3.00,3.00,6.00,5.63,0.00,2.00,1.00,452,NULL,NULL,'CAMPINAS','S JOSÉ','SC',19770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385591,3.00,7.00,2.00,4.00,4.00,7.13,0.00,2.00,1.00,101,NULL,NULL,'SÃO FRAMCISCO','STO AMARO IMPERATRIZ','SC',16144,83,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385613,1.00,4.00,5.00,3.00,6.00,7.88,2.00,2.00,0.00,208,NULL,238,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',16563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'SERRARIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6385630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SANTA AURELIANA','STA CRUZ R PARDO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6385648,3.00,4.00,0.00,4.00,6.00,7.13,1.00,1.00,3.00,999,NULL,NULL,'VILA IZABEL','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6385656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6385664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6385672,2.00,2.00,1.00,1.00,2.00,NULL,1.00,2.00,1.00,316,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385680,2.00,0.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6385699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRIANON','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6385702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6385710,6.00,6.00,6.00,6.00,9.00,8.63,3.00,9.00,6.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',2298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385729,5.00,5.00,3.00,5.00,8.00,9.00,3.00,5.00,3.00,201,NULL,207,'NOVO MUNDO','CURITIBA','PR',6662,482,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LOURDES','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6385745,1.00,6.00,1.00,4.00,5.00,9.38,1.00,1.00,3.00,333,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',17131,126,NULL,NULL,NULL,NULL,NULL,2,4),(25,6385753,2.00,5.00,2.00,2.00,3.00,NULL,1.00,0.00,0.00,444,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385761,9.00,7.00,3.00,4.00,6.00,6.75,4.00,7.00,5.00,201,NULL,208,'CENTRO','ITAPEVI','SP',4080,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385770,4.00,4.00,1.00,5.00,7.00,9.75,1.00,4.00,5.00,216,NULL,233,'AREIÃO','CANELINHA','SC',9627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RUDGE RAMOS','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6385796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6385818,2.00,4.00,0.00,4.00,4.00,10.13,0.00,3.00,1.00,317,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19981,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385826,7.00,8.00,1.00,7.00,8.00,10.13,4.00,6.00,9.00,5,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',1928,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6385834,3.00,7.00,2.00,6.00,5.00,9.00,4.00,5.00,4.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9373,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385842,3.00,6.00,0.00,5.00,7.00,NULL,2.00,4.00,0.00,225,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385850,3.00,4.00,3.00,4.00,6.00,7.50,1.00,1.00,4.00,601,NULL,201,'PRAIA COMPRIDA','S JOSÉ','SC',16809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385869,6.00,5.00,2.00,5.00,6.00,7.50,2.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18935,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JD MORADA DO SOL','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6385885,6.00,5.00,2.00,4.00,6.00,9.38,1.00,7.00,6.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6385907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6385915,8.00,6.00,2.00,4.00,10.00,9.75,3.00,6.00,8.00,103,NULL,NULL,'LA SALLE','PATO BRANCO','PR',3363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385923,4.00,6.00,3.00,5.00,8.00,9.75,3.00,5.00,4.00,453,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',7502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385931,4.00,3.00,1.00,4.00,7.00,7.88,0.00,1.00,5.00,203,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',18461,1047,NULL,NULL,NULL,NULL,NULL,2,1),(25,6385966,6.00,6.00,2.00,7.00,9.00,12.00,3.00,3.00,3.00,450,NULL,NULL,'CENTRO','JOINVILLE','SC',4974,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6385974,7.00,6.00,4.00,7.00,7.00,8.25,2.00,8.00,5.00,233,NULL,213,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',3857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6385982,1.00,1.00,1.00,2.00,3.00,7.13,0.00,2.00,0.00,303,NULL,NULL,'PONTO CHIC','IBIRAMA','SC',21041,863,NULL,NULL,NULL,NULL,NULL,2,2),(25,6385990,3.00,4.00,3.00,4.00,6.00,5.63,3.00,2.00,4.00,999,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6386008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6386016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6386024,4.00,8.00,6.00,7.00,8.00,10.88,4.00,5.00,4.00,220,NULL,202,'ITAGUAÇU','FLORIANÓPOLIS','SC',3978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6386032,5.00,2.00,1.00,4.00,7.00,10.13,0.00,2.00,2.00,103,NULL,NULL,'FIDÉLIS','BLUMENAU','SC',16390,4370,NULL,NULL,NULL,NULL,NULL,4,2),(25,6386040,5.00,4.00,4.00,4.00,5.00,5.25,3.00,4.00,4.00,103,NULL,NULL,'CHACARA SAO JOÃO','CARAPICUÍBA','SP',11257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6386059,3.00,3.00,4.00,1.00,4.00,5.63,2.00,3.00,1.00,207,NULL,201,'SÃO LUIS','BRUSQUE','SC',20600,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6386067,3.00,4.00,2.00,2.00,4.00,6.75,3.00,2.00,2.00,444,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',20150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6386075,3.00,0.00,3.00,0.00,4.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6386083,7.00,0.00,5.00,7.00,8.00,NULL,0.00,0.00,0.00,212,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6386091,5.00,7.00,2.00,1.00,7.00,8.25,3.00,5.00,3.00,999,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6386105,4.00,3.00,2.00,5.00,9.00,10.50,3.00,5.00,2.00,301,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',9668,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6386121,4.00,5.00,1.00,7.00,7.00,NULL,2.00,3.00,0.00,450,NULL,NULL,'CAMPINA','BELÉM','PA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6386148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','PEJUÇARA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6386156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6386164,4.00,6.00,3.00,6.00,5.00,8.63,0.00,4.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10566,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6386172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6386180,5.00,7.00,2.00,6.00,9.00,9.75,2.00,6.00,6.00,214,NULL,233,'CENTRO','CRICIÚMA','SC',3435,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6386199,3.00,3.00,0.00,1.00,5.00,8.25,1.00,1.00,1.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',21539,202,NULL,NULL,NULL,NULL,NULL,4,1),(25,6386229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6386237,6.00,4.00,2.00,4.00,6.00,9.00,2.00,5.00,2.00,9,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10751,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6386253,4.00,6.00,4.00,7.00,10.00,11.63,4.00,6.00,7.00,304,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',2819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6386261,4.00,6.00,0.00,2.00,7.00,NULL,1.00,1.00,0.00,201,NULL,207,'CENTRO','MIRANDÓPOLIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6386270,6.00,6.00,4.00,4.00,5.00,8.63,1.00,7.00,5.00,108,NULL,NULL,'BOA VISTA','LONDRINA','PR',7853,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6386288,5.00,4.00,2.00,3.00,7.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6386296,2.00,4.00,1.00,1.00,5.00,6.75,2.00,5.00,2.00,9,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6386300,3.00,6.00,3.00,3.00,6.00,8.63,3.00,1.00,5.00,201,NULL,212,'VISTA ALEGRE CAFÉ','VINHEDO','SP',12624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6386318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6386326,3.00,0.00,0.00,4.00,8.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6386334,4.00,3.00,3.00,4.00,9.00,7.13,0.00,1.00,4.00,104,NULL,NULL,'AMÉRICA','JOINVILLE','SC',17279,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6386342,3.00,4.00,1.00,2.00,7.00,11.25,1.00,5.00,3.00,2,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16129,44,NULL,NULL,NULL,NULL,NULL,4,1),(25,6386350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'AUTO SÃO FRANCISCO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6386369,2.00,7.00,1.00,5.00,10.00,10.50,1.00,5.00,4.00,340,NULL,NULL,'CENTRO','ARAÇOIABA SERRA','SP',7670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6386377,5.00,2.00,7.00,3.00,5.00,7.13,2.00,4.00,2.00,318,NULL,NULL,'BERGER','CAÇADOR','SC',14196,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6386385,8.00,7.00,5.00,7.00,8.00,5.25,5.00,8.00,8.00,103,NULL,NULL,'CIDADE DOS FUNCIONÁR','FORTALEZA','CE',1576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6386393,3.00,6.00,2.00,3.00,6.00,8.25,2.00,6.00,3.00,224,NULL,NULL,'ARIRIU','PALHOÇA','SC',13550,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6386407,5.00,3.00,3.00,6.00,8.00,7.88,2.00,4.00,5.00,303,NULL,NULL,'LAGO AZUL','ITÁ','SC',8467,400,NULL,NULL,NULL,NULL,NULL,2,4),(25,6386415,3.00,1.00,2.00,3.00,3.00,4.88,1.00,0.00,1.00,452,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6386423,3.00,5.00,3.00,3.00,4.00,7.13,2.00,6.00,5.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',16684,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6386431,2.00,3.00,1.00,2.00,7.00,8.63,2.00,2.00,1.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20597,850,NULL,NULL,NULL,NULL,NULL,4,1),(25,6386440,2.00,5.00,3.00,3.00,8.00,7.88,4.00,2.00,3.00,207,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',12302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6386458,6.00,6.00,0.00,4.00,2.00,NULL,1.00,1.00,2.00,110,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6386466,5.00,4.00,2.00,5.00,4.00,10.50,2.00,3.00,4.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6386474,5.00,4.00,0.00,2.00,5.00,7.13,1.00,5.00,1.00,338,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16500,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6386482,5.00,6.00,4.00,7.00,9.00,9.38,3.00,6.00,6.00,5,NULL,NULL,'SANTA CATARINA','TREZE TÍLIAS','SC',3637,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6386490,2.00,1.00,1.00,0.00,2.00,NULL,2.00,0.00,0.00,319,NULL,NULL,'PRESIDENTE MEDICI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6386504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'BREMER','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6386512,6.00,4.00,2.00,1.00,5.00,8.25,3.00,1.00,5.00,104,NULL,NULL,'AMÉRICA','JOINVILLE','SC',16310,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6386520,2.00,5.00,0.00,3.00,2.00,NULL,0.00,2.00,0.00,201,NULL,207,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6386539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,212,'JARDIM PALMARES','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6386547,3.00,3.00,1.00,4.00,7.00,NULL,2.00,0.00,0.00,233,NULL,235,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6386555,2.00,2.00,0.00,1.00,4.00,0.00,2.00,2.00,0.00,238,NULL,207,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6386563,5.00,7.00,3.00,3.00,7.00,7.50,0.00,6.00,4.00,201,NULL,212,'CENTRO','NOVA VENEZA','SC',9462,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6386571,4.00,4.00,2.00,2.00,6.00,7.88,1.00,2.00,3.00,503,NULL,NULL,'CARIOCA','S JOSÉ PINHAIS','PR',15090,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6386580,8.00,8.00,8.00,8.00,9.00,8.63,5.00,5.00,8.00,201,NULL,207,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6386598,3.00,6.00,1.00,5.00,6.00,5.25,0.00,5.00,2.00,424,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18274,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6386601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6386610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6386628,1.00,2.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,238,NULL,207,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6386652,0.00,3.00,1.00,2.00,5.00,8.25,1.00,2.00,1.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6386660,2.00,4.00,3.00,4.00,7.00,7.88,1.00,0.00,3.00,103,NULL,NULL,'CENTRO','CRUZ ALTA','RS',15617,4286,NULL,NULL,NULL,NULL,NULL,4,4),(25,6386687,8.00,5.00,6.00,6.00,9.00,9.75,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2323,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6386695,4.00,5.00,5.00,2.00,5.00,7.13,3.00,3.00,3.00,3,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',16776,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6386709,3.00,4.00,1.00,2.00,4.00,7.13,1.00,1.00,2.00,999,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6386717,6.00,6.00,2.00,7.00,9.00,10.13,0.00,5.00,6.00,103,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',4419,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6386733,6.00,5.00,2.00,2.00,6.00,7.13,2.00,4.00,3.00,999,NULL,NULL,'VILA BECKER','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6386741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6386750,4.00,5.00,2.00,2.00,4.00,8.25,1.00,3.00,2.00,201,NULL,212,'BARREIROS','S JOSÉ','SC',15459,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6386768,9.00,8.00,6.00,7.00,9.00,10.13,6.00,6.00,8.00,601,NULL,202,'AMÉRICA','JOINVILLE','SC',268,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6386776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6386792,6.00,3.00,4.00,7.00,8.00,8.63,3.00,4.00,5.00,103,NULL,NULL,'JARDIM ANGELICA','CRICIÚMA','SC',6882,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6386806,4.00,3.00,1.00,5.00,4.00,6.75,1.00,3.00,2.00,108,NULL,NULL,'TACCA','XANXERÊ','SC',17544,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6386822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA AMÉLIA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6386830,5.00,6.00,2.00,3.00,7.00,9.00,2.00,4.00,1.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',12506,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6386849,4.00,5.00,3.00,4.00,7.00,9.38,2.00,1.00,1.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',15009,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6386857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6386873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6386881,5.00,3.00,2.00,3.00,8.00,8.25,1.00,8.00,4.00,103,NULL,NULL,'CENTRO','FORMOSA OESTE','PR',10251,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6386890,4.00,4.00,1.00,4.00,6.00,7.88,3.00,3.00,3.00,238,NULL,208,'CENTRO','ITAPIRANGA','SC',14785,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6386903,5.00,5.00,2.00,4.00,8.00,10.13,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',5819,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6386920,5.00,6.00,5.00,7.00,9.00,8.25,2.00,5.00,6.00,451,NULL,NULL,'SABIÁ','ARAUCÁRIA','PR',5103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6386938,2.00,2.00,1.00,4.00,5.00,7.88,4.00,4.00,4.00,109,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6386946,2.00,3.00,2.00,3.00,6.00,9.38,1.00,1.00,2.00,103,NULL,NULL,'SÃO GERALDO','IJUÍ','RS',17413,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6386954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6386962,3.00,2.00,2.00,3.00,6.00,NULL,0.00,0.00,3.00,999,NULL,NULL,'PRECIDENTE MEDICI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(25,6386970,5.00,7.00,3.00,4.00,10.00,10.50,1.00,5.00,3.00,104,NULL,NULL,'VILA PEDRINI','JOAÇABA','SC',6299,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6386989,5.00,5.00,2.00,4.00,8.00,7.88,3.00,3.00,1.00,5,NULL,NULL,'DOM FELICIANO','GRAVATAÍ','RS',13440,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6386997,3.00,4.00,4.00,6.00,5.00,7.50,2.00,2.00,2.00,238,NULL,235,'CAMPINAS','S JOSÉ','SC',17316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387004,2.00,3.00,1.00,3.00,3.00,7.88,2.00,1.00,2.00,999,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6387012,4.00,6.00,2.00,7.00,6.00,11.63,1.00,6.00,3.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',9337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387020,3.00,3.00,0.00,4.00,6.00,6.75,2.00,2.00,2.00,101,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387039,3.00,4.00,1.00,5.00,6.00,10.13,2.00,5.00,1.00,103,NULL,NULL,'CENTRO','STA CRUZ SUL','RS',16039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387047,3.00,2.00,3.00,1.00,5.00,8.25,2.00,1.00,2.00,302,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',18992,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387063,2.00,4.00,1.00,6.00,10.00,7.88,0.00,3.00,5.00,415,NULL,NULL,'MINA BRASIL','CRICIÚMA','SC',14351,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6387071,6.00,6.00,5.00,5.00,10.00,9.75,1.00,7.00,7.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387080,3.00,6.00,0.00,4.00,6.00,NULL,0.00,2.00,1.00,220,NULL,215,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387098,2.00,3.00,2.00,2.00,4.00,9.38,2.00,3.00,1.00,309,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387101,3.00,4.00,1.00,3.00,4.00,8.63,1.00,3.00,1.00,308,NULL,NULL,'GAMBOA','GAROPABA','SC',20574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387110,2.00,6.00,3.00,5.00,7.00,7.13,2.00,1.00,2.00,317,NULL,NULL,'CENTRO','CRICIÚMA','SC',18145,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6387128,3.00,2.00,1.00,2.00,5.00,6.75,1.00,0.00,2.00,653,NULL,655,'LAGOÃO','ARARANGUÁ','SC',21619,252,NULL,179,NULL,NULL,NULL,2,15),(25,6387136,5.00,6.00,5.00,6.00,6.00,9.00,2.00,6.00,6.00,421,NULL,427,'TARUMÃ','CURITIBA','PR',4065,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6387152,4.00,5.00,2.00,5.00,7.00,7.88,2.00,1.00,2.00,450,NULL,NULL,'CENTRO','BRUSQUE','SC',14056,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6387160,2.00,5.00,2.00,1.00,5.00,8.63,2.00,3.00,3.00,208,NULL,655,'SANTA TEREZA','JOAÇABA','SC',18519,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6387179,4.00,3.00,1.00,2.00,1.00,NULL,1.00,1.00,0.00,308,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387187,4.00,4.00,0.00,5.00,7.00,NULL,0.00,3.00,2.00,501,NULL,NULL,'CAMPO D ÁGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6387195,5.00,6.00,2.00,4.00,4.00,7.13,2.00,4.00,1.00,109,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387209,9.00,8.00,3.00,6.00,9.00,10.88,5.00,8.00,8.00,103,NULL,NULL,'COUNTRY','CASCAVEL','PR',542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387217,3.00,4.00,2.00,4.00,7.00,7.13,1.00,2.00,2.00,215,NULL,233,'CENTRO','ARMAZÉM','SC',18747,305,NULL,460,NULL,NULL,NULL,2,10),(25,6387241,3.00,5.00,1.00,6.00,5.00,8.25,3.00,7.00,4.00,220,NULL,655,'DEHON','TUBARÃO','SC',12707,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6387250,3.00,3.00,0.00,1.00,7.00,8.25,2.00,2.00,2.00,109,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',17441,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6387268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'STHALBERG','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6387276,4.00,8.00,4.00,7.00,7.00,10.13,2.00,2.00,5.00,220,NULL,208,'BUTANTÃ','S PAULO','SP',5738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PRESIDENTE KENNEDY','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6387292,5.00,6.00,6.00,6.00,8.00,7.88,1.00,6.00,6.00,103,NULL,NULL,'CENTRO','FAXINAL','PR',4601,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387314,3.00,4.00,3.00,3.00,9.00,11.25,1.00,4.00,4.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387322,3.00,3.00,1.00,2.00,5.00,9.75,3.00,0.00,1.00,104,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6387330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6387357,2.00,6.00,2.00,1.00,5.00,6.75,0.00,3.00,2.00,201,NULL,207,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',20952,1693,NULL,1141,NULL,NULL,NULL,2,1),(25,6387381,4.00,7.00,2.00,6.00,7.00,11.25,4.00,7.00,2.00,224,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387390,7.00,5.00,5.00,6.00,10.00,9.75,4.00,7.00,7.00,103,NULL,NULL,'SANTA QUITÉRIA','CURITIBA','PR',1589,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6387403,7.00,4.00,2.00,4.00,6.00,7.50,0.00,3.00,6.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',9653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387411,1.00,3.00,0.00,2.00,4.00,9.00,0.00,2.00,1.00,103,NULL,NULL,'CENTRO','LAGES','SC',20274,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6387420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6387446,3.00,7.00,3.00,5.00,7.00,10.50,2.00,5.00,3.00,318,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',9420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,212,'CENTRO','SEARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6387462,3.00,6.00,2.00,3.00,4.00,5.63,5.00,4.00,4.00,404,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387470,3.00,4.00,2.00,6.00,6.00,6.75,0.00,3.00,3.00,601,NULL,220,'AMÉRICA','JOINVILLE','SC',14828,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6387489,3.00,5.00,1.00,3.00,8.00,7.88,1.00,1.00,2.00,303,NULL,NULL,'CENTRO','PASSO FUNDO','RS',14238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387497,7.00,5.00,5.00,6.00,8.00,8.25,4.00,6.00,8.00,103,NULL,NULL,'VILA NAIR','S JOSÉ CAMPOS','SP',2651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387500,3.00,4.00,1.00,5.00,8.00,9.75,1.00,3.00,4.00,104,NULL,NULL,'CENTRO','UNIÃO OESTE','SC',12429,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6387519,1.00,4.00,3.00,4.00,6.00,8.63,1.00,2.00,2.00,203,NULL,202,'BOEHMERWALD','S BENTO SUL','SC',16067,977,NULL,504,NULL,NULL,NULL,2,1),(25,6387527,3.00,5.00,2.00,2.00,5.00,NULL,0.00,2.00,3.00,201,NULL,207,'JARDIM PORTINARI','DIADEMA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387535,4.00,5.00,4.00,4.00,3.00,7.88,2.00,4.00,2.00,339,NULL,NULL,'REAL PARK','S JOSÉ','SC',14924,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387543,9.00,7.00,4.00,6.00,8.00,10.50,1.00,7.00,7.00,103,NULL,NULL,'BELA VISTA','FRAIBURGO','SC',2002,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'KAYSER','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6387560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6387578,6.00,6.00,5.00,5.00,7.00,6.38,1.00,7.00,2.00,201,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',9304,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387586,8.00,6.00,4.00,6.00,8.00,8.25,6.00,4.00,8.00,203,NULL,201,'VELHA','BLUMENAU','SC',1656,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6387594,3.00,4.00,0.00,1.00,4.00,8.25,2.00,1.00,2.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387608,5.00,7.00,2.00,4.00,7.00,7.88,1.00,3.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387616,7.00,6.00,7.00,7.00,7.00,6.75,6.00,5.00,8.00,203,NULL,220,'COQUEIROS','FLORIANÓPOLIS','SC',1797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387632,3.00,7.00,1.00,5.00,8.00,7.50,3.00,4.00,0.00,999,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6387640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6387659,3.00,3.00,1.00,4.00,6.00,9.75,1.00,3.00,2.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387667,3.00,4.00,3.00,2.00,6.00,9.38,4.00,4.00,3.00,999,NULL,NULL,'VILA TOLENTINO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387675,3.00,0.00,2.00,3.00,6.00,NULL,0.00,1.00,3.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387691,3.00,5.00,1.00,7.00,6.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,17),(25,6387705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6387713,3.00,4.00,4.00,3.00,5.00,10.50,2.00,4.00,0.00,103,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',13672,4089,NULL,NULL,NULL,NULL,NULL,2,5),(25,6387721,6.00,4.00,3.00,2.00,7.00,10.50,1.00,4.00,4.00,103,NULL,NULL,'VILA DOM PEDRO I','S PAULO','SP',8460,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387730,6.00,5.00,5.00,5.00,8.00,10.13,1.00,7.00,3.00,5,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',6111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387748,2.00,1.00,1.00,0.00,4.00,9.00,0.00,1.00,1.00,316,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',21201,265,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387756,2.00,6.00,2.00,4.00,4.00,6.75,1.00,5.00,1.00,309,NULL,NULL,'JARDIM SÃO NICOLAU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387764,8.00,8.00,7.00,7.00,9.00,10.88,5.00,8.00,6.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',313,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387780,2.00,2.00,1.00,1.00,4.00,9.75,0.00,2.00,1.00,303,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387799,3.00,5.00,2.00,2.00,6.00,7.13,3.00,0.00,2.00,101,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',18436,126,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387802,2.00,4.00,2.00,2.00,4.00,5.63,2.00,1.00,1.00,318,NULL,NULL,'PALMAS','GOV CELSO RAMOS','SC',20154,104,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387810,3.00,5.00,1.00,6.00,4.00,9.00,1.00,2.00,5.00,216,NULL,215,'ITAMARATTY','MAL CÂNDIDO RONDON','PR',16032,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6387829,2.00,0.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'LAGOINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6387837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHACARA DA BARRA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6387845,2.00,6.00,2.00,5.00,8.00,7.13,3.00,4.00,1.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13768,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387853,5.00,4.00,1.00,6.00,7.00,10.50,0.00,4.00,4.00,333,NULL,NULL,'CALHEIROS','GOV CELSO RAMOS','SC',10318,60,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387861,4.00,4.00,1.00,2.00,3.00,NULL,1.00,2.00,0.00,999,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6387870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'CENTRO HISTÓRICO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6387888,9.00,4.00,1.00,6.00,10.00,8.63,1.00,4.00,8.00,103,NULL,NULL,'CIDADE CANÇÃO','MARINGÁ','PR',4422,2230,NULL,NULL,NULL,NULL,NULL,2,8),(25,6387900,4.00,6.00,3.00,5.00,7.00,6.75,4.00,5.00,3.00,415,NULL,NULL,'COSTEIRA DOPIRAJUBAE','FLORIANÓPOLIS','SC',12053,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387918,1.00,3.00,0.00,4.00,1.00,NULL,1.00,1.00,3.00,309,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387926,4.00,6.00,3.00,6.00,9.00,13.50,1.00,4.00,5.00,103,NULL,NULL,'SANTA HELENA','LAGES','SC',5325,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6387942,3.00,6.00,1.00,2.00,4.00,8.25,1.00,3.00,2.00,654,NULL,NULL,'SAPIRANGA','MELEIRO','SC',20299,69,NULL,NULL,NULL,NULL,NULL,4,15),(25,6387950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','ROSANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6387969,2.00,3.00,0.00,2.00,3.00,6.38,2.00,1.00,4.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6387977,4.00,4.00,3.00,6.00,8.00,8.63,5.00,3.00,3.00,202,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',10450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6387985,7.00,8.00,6.00,7.00,9.00,11.25,4.00,7.00,7.00,303,NULL,NULL,'CABRAL','CURITIBA','PR',583,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6387993,2.00,5.00,2.00,6.00,7.00,10.88,4.00,2.00,4.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388000,4.00,7.00,2.00,4.00,9.00,7.88,0.00,5.00,3.00,211,NULL,235,'CENTRO','STO AMARO IMPERATRIZ','SC',10877,266,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388019,8.00,6.00,6.00,5.00,9.00,8.25,3.00,5.00,5.00,103,NULL,NULL,'PINHEIRINHO','CURITIBA','PR',2405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388027,4.00,4.00,2.00,3.00,6.00,7.88,2.00,3.00,1.00,201,NULL,207,'VILA NOVA','IMBITUBA','SC',15174,1291,NULL,823,NULL,NULL,NULL,2,1),(25,6388035,3.00,0.00,4.00,2.00,4.00,NULL,0.00,0.00,0.00,238,NULL,208,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6388043,2.00,6.00,1.00,3.00,6.00,7.88,2.00,4.00,4.00,601,NULL,202,'ZONA INDUSTRIAL NORT','JOINVILLE','SC',14774,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6388051,3.00,5.00,2.00,5.00,6.00,7.13,2.00,5.00,2.00,450,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16059,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388060,1.00,2.00,2.00,1.00,3.00,6.38,2.00,1.00,0.00,339,NULL,NULL,'PALHOÇA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388078,8.00,6.00,1.00,6.00,10.00,9.75,2.00,8.00,8.00,103,NULL,NULL,'AURORA','LONDRINA','PR',2004,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6388086,3.00,5.00,1.00,4.00,5.00,6.75,1.00,2.00,2.00,601,NULL,202,'CENTRO','RIO NEGRO','PR',19990,560,NULL,631,NULL,NULL,NULL,2,8),(25,6388094,6.00,5.00,1.00,7.00,9.00,10.13,4.00,5.00,2.00,304,NULL,NULL,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',5595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388108,0.00,2.00,0.00,1.00,4.00,NULL,0.00,1.00,2.00,308,NULL,NULL,'PLANALTO','GUAPORÉ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388116,6.00,5.00,1.00,4.00,7.00,9.75,2.00,3.00,3.00,655,NULL,238,'QUARTA LINHA','CRICIÚMA','SC',10317,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6388124,2.00,3.00,3.00,3.00,5.00,6.00,2.00,2.00,3.00,216,NULL,203,'ESTREITO','FLORIANÓPOLIS','SC',20004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388132,4.00,4.00,0.00,3.00,7.00,7.13,1.00,1.00,3.00,103,NULL,NULL,'SÃO CRISTOVÃO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388140,4.00,4.00,4.00,4.00,5.00,8.25,1.00,6.00,3.00,5,NULL,NULL,'VILA NOVA','PTO ALEGRE','RS',11900,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388159,4.00,5.00,4.00,4.00,5.00,6.00,2.00,3.00,3.00,220,NULL,203,'TAPERA','FLORIANÓPOLIS','SC',14728,396,NULL,919,NULL,NULL,NULL,2,1),(25,6388167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CAMPO AGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6388175,3.00,2.00,3.00,2.00,4.00,6.00,1.00,0.00,3.00,202,NULL,235,'RIO VERMELHO','FLORIANÓPOLIS','SC',21227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388183,5.00,4.00,0.00,5.00,6.00,NULL,1.00,1.00,2.00,503,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BAIXADA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6388205,5.00,8.00,1.00,7.00,8.00,11.25,0.00,4.00,1.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8751,315,NULL,NULL,NULL,NULL,NULL,5,1),(25,6388213,3.00,4.00,4.00,2.00,6.00,7.88,2.00,4.00,1.00,238,NULL,207,'JARDIM CARANDAI','BIGUAÇU','SC',16506,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388221,2.00,3.00,1.00,5.00,6.00,9.38,0.00,4.00,1.00,327,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',19123,59,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388230,5.00,7.00,2.00,7.00,8.00,10.13,2.00,7.00,3.00,428,NULL,426,'BUCAREIN','JOINVILLE','SC',5426,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6388248,8.00,8.00,2.00,4.00,7.00,7.88,3.00,5.00,8.00,103,NULL,NULL,'VILA LARSEN','LONDRINA','PR',4261,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6388256,6.00,7.00,2.00,6.00,8.00,9.00,2.00,4.00,4.00,453,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',5770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388264,2.00,4.00,2.00,1.00,4.00,8.25,1.00,3.00,1.00,335,NULL,NULL,'CENTRO','PALHOÇA','SC',20995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388272,6.00,7.00,0.00,5.00,8.00,NULL,3.00,3.00,1.00,211,NULL,215,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6388299,1.00,4.00,3.00,4.00,5.00,8.25,0.00,4.00,1.00,103,NULL,NULL,'CENTRO','IMARUÍ','SC',18584,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6388302,2.00,5.00,1.00,2.00,5.00,6.75,1.00,3.00,0.00,340,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',19434,418,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388310,3.00,6.00,3.00,6.00,5.00,8.25,2.00,5.00,3.00,238,NULL,202,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12502,207,NULL,400,NULL,NULL,NULL,4,1),(25,6388337,3.00,2.00,2.00,5.00,8.00,NULL,0.00,3.00,5.00,215,NULL,233,'JD BARONEZA','ARAPONGAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388345,0.00,1.00,0.00,0.00,8.00,0.00,0.00,0.00,2.00,404,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388353,2.00,3.00,2.00,3.00,4.00,9.00,1.00,4.00,2.00,104,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',19972,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6388370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VITORIO CEZARINO','RIO PEDRAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6388388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'JARDIN UNIÃO','NAVIRAÍ','MS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6388396,6.00,5.00,6.00,5.00,8.00,7.13,2.00,6.00,4.00,201,NULL,653,'JARDIM CANADÁ','RIBEIRÃO PRETO','SP',5251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388400,4.00,3.00,1.00,4.00,7.00,4.88,0.00,3.00,3.00,999,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388418,6.00,6.00,6.00,4.00,9.00,7.88,3.00,7.00,3.00,317,NULL,NULL,'USINA','ANTÔNIO CARLOS','SC',5109,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388426,9.00,6.00,5.00,7.00,9.00,7.50,5.00,5.00,9.00,103,NULL,NULL,'JARDIM UNIVERSITARIO','MARINGÁ','PR',1679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388434,4.00,5.00,2.00,4.00,10.00,8.63,1.00,7.00,5.00,303,NULL,NULL,'SANTANA','PTO ALEGRE','RS',6153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388442,4.00,7.00,3.00,1.00,4.00,0.00,0.00,7.00,2.00,329,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388450,5.00,5.00,2.00,1.00,4.00,NULL,0.00,6.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6388469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE VITÓRIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6388477,3.00,5.00,0.00,3.00,6.00,NULL,2.00,4.00,4.00,225,NULL,NULL,'TAQUARAÇUTUBA','IMARUÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388485,6.00,5.00,4.00,3.00,8.00,10.13,2.00,4.00,6.00,233,NULL,201,'VILA CARRÃO','S PAULO','SP',6104,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'MOINHOS DE VENTO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6388507,4.00,5.00,2.00,4.00,9.00,10.13,0.00,2.00,2.00,601,NULL,207,'IRIRIU','JOINVILLE','SC',12078,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6388515,5.00,5.00,1.00,7.00,7.00,7.88,0.00,6.00,4.00,207,NULL,238,'COQUEIROS','FLORIANÓPOLIS','SC',10875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388523,7.00,8.00,5.00,6.00,7.00,10.50,2.00,6.00,7.00,103,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',1835,1147,NULL,NULL,NULL,NULL,NULL,2,2),(25,6388531,8.00,6.00,4.00,7.00,7.00,8.25,5.00,5.00,6.00,235,NULL,202,'CARIANOS','FLORIANÓPOLIS','SC',2693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388558,5.00,5.00,3.00,4.00,5.00,9.00,0.00,4.00,2.00,207,NULL,201,'CENTRO','PIÊN','PR',12548,673,NULL,1063,NULL,NULL,NULL,4,8),(25,6388566,4.00,3.00,2.00,1.00,2.00,NULL,1.00,1.00,2.00,202,NULL,213,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6388574,2.00,5.00,2.00,4.00,4.00,NULL,3.00,4.00,3.00,238,NULL,208,'CAMINHO NOVO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6388582,4.00,5.00,2.00,5.00,5.00,5.63,3.00,5.00,3.00,317,NULL,NULL,'POTECAS','S JOSÉ','SC',12858,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BOM RETIRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6388604,2.00,3.00,1.00,1.00,3.00,NULL,0.00,1.00,1.00,653,NULL,NULL,'POLÍCIA RODOVIÁRIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6388612,1.00,3.00,1.00,4.00,2.00,NULL,1.00,0.00,2.00,501,NULL,NULL,'CENTRO','GUABIJU','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'QUINTINO','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6388639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6388647,3.00,4.00,2.00,4.00,6.00,6.75,0.00,0.00,5.00,203,NULL,214,'IPIRANGA','S JOSÉ','SC',19585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388655,6.00,6.00,4.00,6.00,7.00,8.63,2.00,5.00,4.00,212,NULL,207,'BIGORRILHO','CURITIBA','PR',5956,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6388663,0.00,4.00,1.00,3.00,4.00,7.50,1.00,1.00,2.00,309,NULL,NULL,'JARDIM MARISTELA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388671,8.00,4.00,3.00,7.00,9.00,5.25,0.00,4.00,5.00,201,NULL,207,'CECAP','REGISTRO','SP',8594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388680,6.00,5.00,2.00,4.00,8.00,7.50,0.00,2.00,3.00,216,NULL,201,'SESI','VIDEIRA','SC',10832,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6388698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'JARDIM PORTO ALEGRE','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6388701,5.00,6.00,5.00,3.00,6.00,7.13,2.00,3.00,3.00,999,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388710,5.00,4.00,3.00,4.00,7.00,8.25,1.00,1.00,2.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16861,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388728,2.00,5.00,1.00,2.00,4.00,NULL,1.00,0.00,0.00,108,NULL,NULL,'PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388736,3.00,3.00,1.00,2.00,3.00,5.25,2.00,1.00,2.00,426,NULL,423,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388744,2.00,5.00,3.00,0.00,5.00,6.00,4.00,3.00,2.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6388779,4.00,4.00,2.00,4.00,3.00,7.50,1.00,1.00,0.00,109,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',20669,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388787,2.00,5.00,1.00,4.00,7.00,7.88,3.00,6.00,1.00,425,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14640,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388795,4.00,0.00,3.00,7.00,6.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(25,6388817,4.00,0.00,3.00,1.00,3.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6388825,4.00,5.00,3.00,3.00,9.00,9.38,1.00,1.00,2.00,415,NULL,NULL,'DORNELLES','STO ÂNGELO','RS',12232,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6388833,4.00,6.00,2.00,2.00,8.00,8.63,0.00,5.00,3.00,304,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11696,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388841,4.00,7.00,1.00,5.00,6.00,9.00,1.00,4.00,2.00,216,NULL,201,'SAMUEL SANDRINI','ORLEANS','SC',12161,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6388850,2.00,5.00,4.00,5.00,7.00,9.00,4.00,6.00,2.00,310,NULL,NULL,'BELA VISTA','S JOSÉ','SC',8774,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388868,4.00,4.00,1.00,5.00,4.00,8.63,1.00,1.00,1.00,110,NULL,NULL,'VILA NOVA','RIO NEGRINHO','SC',20345,139,NULL,NULL,NULL,NULL,NULL,4,8),(25,6388876,2.00,3.00,1.00,7.00,8.00,7.88,2.00,2.00,1.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',17907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388892,1.00,2.00,3.00,4.00,3.00,NULL,2.00,0.00,1.00,301,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388906,1.00,4.00,2.00,2.00,4.00,6.00,2.00,2.00,2.00,332,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',21375,63,NULL,NULL,NULL,NULL,NULL,2,1),(25,6388914,4.00,7.00,3.00,6.00,5.00,9.38,1.00,3.00,6.00,223,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',11386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388922,3.00,5.00,0.00,4.00,5.00,NULL,0.00,3.00,3.00,653,NULL,202,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6388930,7.00,8.00,3.00,6.00,8.00,8.25,2.00,7.00,6.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',3749,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6388949,5.00,4.00,3.00,6.00,5.00,6.38,5.00,4.00,6.00,601,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',9657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6388957,5.00,4.00,2.00,7.00,6.00,6.75,2.00,4.00,1.00,5,NULL,NULL,'RECIFE','TUBARÃO','SC',15723,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6388965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6388973,2.00,3.00,0.00,2.00,4.00,9.00,2.00,1.00,0.00,316,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6389007,2.00,5.00,0.00,6.00,7.00,9.75,1.00,4.00,3.00,202,NULL,213,'CAMPECHE','FLORIANÓPOLIS','SC',15897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6389015,3.00,5.00,1.00,2.00,4.00,8.25,4.00,2.00,2.00,202,NULL,201,'MEIA PRAIA','ITAPEMA','SC',16396,515,NULL,1383,NULL,NULL,NULL,4,3),(25,6389023,4.00,5.00,4.00,3.00,8.00,6.75,2.00,5.00,3.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6389031,5.00,7.00,2.00,5.00,7.00,9.00,1.00,6.00,2.00,225,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11729,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6389040,4.00,1.00,4.00,1.00,6.00,NULL,2.00,0.00,1.00,201,NULL,NULL,'FUNDO CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6389058,8.00,7.00,1.00,5.00,7.00,6.38,2.00,5.00,8.00,103,NULL,NULL,'VILA LARSEN','LONDRINA','PR',4993,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6389066,2.00,5.00,1.00,4.00,5.00,8.25,3.00,1.00,1.00,551,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',17352,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6389074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6389082,4.00,5.00,0.00,5.00,7.00,8.63,2.00,0.00,4.00,104,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',12644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6389090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'RONDINHA','PTE ALTA NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6389104,2.00,3.00,1.00,2.00,3.00,7.13,0.00,1.00,1.00,502,NULL,NULL,'CENTRO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6389112,2.00,6.00,4.00,4.00,7.00,7.13,4.00,5.00,3.00,329,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6389139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6389147,3.00,2.00,1.00,2.00,2.00,NULL,2.00,2.00,2.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6389155,4.00,5.00,0.00,4.00,9.00,12.00,2.00,5.00,4.00,451,NULL,NULL,'PARQUE ALVORADA','ARARANGUÁ','SC',8643,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6389163,2.00,7.00,2.00,4.00,4.00,6.75,3.00,2.00,3.00,420,NULL,NULL,'DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,15),(25,6389171,4.00,5.00,2.00,5.00,4.00,NULL,3.00,1.00,3.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(25,6389180,1.00,4.00,3.00,4.00,5.00,6.75,2.00,3.00,2.00,5,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',16700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6389198,4.00,5.00,1.00,5.00,7.00,9.38,3.00,2.00,4.00,319,NULL,NULL,'NOVA ITAPIRA','ITAPIRA','SP',12398,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6389201,6.00,7.00,4.00,4.00,6.00,7.50,3.00,5.00,4.00,203,NULL,233,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',7184,547,NULL,NULL,NULL,NULL,NULL,4,1),(25,6389210,3.00,6.00,3.00,2.00,5.00,10.50,2.00,3.00,3.00,102,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',16377,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6389236,5.00,7.00,2.00,4.00,6.00,6.00,0.00,6.00,2.00,203,NULL,201,'PASSO DOS FORTES','CHAPECÓ','SC',10909,753,NULL,904,NULL,NULL,NULL,2,4),(25,6389244,5.00,5.00,2.00,6.00,10.00,10.50,6.00,6.00,9.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',1820,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6389252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,423,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6389260,6.00,5.00,3.00,5.00,4.00,9.00,0.00,4.00,5.00,652,NULL,655,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',10770,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6389279,3.00,4.00,2.00,1.00,7.00,9.38,2.00,1.00,4.00,601,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',17517,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6389287,6.00,8.00,4.00,6.00,11.00,8.25,4.00,6.00,8.00,103,NULL,NULL,'AUXILIADORA','PTO ALEGRE','RS',1442,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6389295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6389309,2.00,5.00,1.00,4.00,6.00,NULL,1.00,4.00,0.00,415,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6389317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6389325,3.00,4.00,0.00,5.00,7.00,6.38,1.00,5.00,0.00,201,NULL,211,'SUMARÉ','RIO SUL','SC',17978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6389333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DUARTE','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6389341,2.00,5.00,2.00,6.00,4.00,6.38,2.00,7.00,2.00,235,NULL,202,'CENTRO','CAXIAS SUL','RS',17466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6389350,4.00,5.00,3.00,4.00,6.00,9.75,2.00,5.00,0.00,212,NULL,601,'AGRONOMICA','FLORIANÓPOLIS','SC',12049,348,NULL,NULL,NULL,NULL,NULL,2,1),(25,6389368,2.00,2.00,1.00,5.00,6.00,5.63,4.00,1.00,1.00,202,NULL,201,'JARDIM DO SOL','PARANAVAÍ','PR',17557,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6389376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM NOVA YORK','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6389384,3.00,3.00,2.00,6.00,6.00,8.25,3.00,1.00,1.00,216,NULL,211,'CRISTO REI','CURITIBA','PR',14873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6389392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6389406,1.00,4.00,2.00,4.00,6.00,3.38,0.00,3.00,1.00,201,NULL,203,'INTERIOR','PLANALTO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6389414,4.00,6.00,3.00,7.00,6.00,9.00,1.00,5.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',9942,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6389422,2.00,3.00,2.00,3.00,5.00,8.63,4.00,4.00,1.00,326,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',15888,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6389430,7.00,7.00,2.00,7.00,9.00,10.50,0.00,2.00,3.00,5,NULL,NULL,'BELA VISTA','OSASCO','SP',6464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6389449,3.00,6.00,2.00,4.00,7.00,7.50,1.00,4.00,5.00,318,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',15004,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6389465,2.00,6.00,1.00,4.00,7.00,7.50,2.00,4.00,4.00,501,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',15179,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6389473,2.00,0.00,4.00,5.00,6.00,7.13,0.00,1.00,1.00,415,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',21330,337,NULL,NULL,NULL,NULL,NULL,2,1),(25,6389481,3.00,5.00,3.00,2.00,5.00,6.75,0.00,4.00,3.00,101,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6389490,4.00,5.00,2.00,5.00,8.00,6.75,2.00,4.00,3.00,238,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6389503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6389520,2.00,7.00,2.00,5.00,10.00,8.25,1.00,4.00,2.00,202,NULL,220,'CAMPECHE','FLORIANÓPOLIS','SC',12748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6389538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6389546,4.00,4.00,1.00,6.00,8.00,7.88,0.00,0.00,1.00,333,NULL,NULL,'ESTRELA','S MIGUEL OESTE','SC',19331,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6389554,8.00,5.00,1.00,7.00,7.00,8.63,2.00,7.00,4.00,303,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6389562,5.00,7.00,1.00,3.00,3.00,8.63,2.00,6.00,4.00,601,NULL,212,'VIEIRAS','JARAGUÁ SUL','SC',11087,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6389570,0.00,3.00,1.00,3.00,3.00,7.50,0.00,2.00,4.00,220,NULL,201,'PACHECO','PALHOÇA','SC',19619,479,NULL,1610,NULL,NULL,NULL,2,1),(25,6389589,5.00,3.00,0.00,5.00,4.00,NULL,0.00,1.00,3.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6389597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VILA MARIA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6389600,2.00,4.00,3.00,3.00,7.00,0.00,0.00,0.00,2.00,203,NULL,NULL,'FLOR','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6389619,2.00,1.00,1.00,0.00,6.00,7.50,1.00,3.00,1.00,999,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6389627,3.00,4.00,1.00,4.00,7.00,10.13,1.00,2.00,2.00,207,NULL,212,'MAGALHÃES','LAGUNA','SC',17455,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6389635,7.00,5.00,6.00,6.00,6.00,10.13,6.00,6.00,7.00,202,NULL,203,'CENTRO','FOZ IGUAÇU','PR',2598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6389643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6389651,3.00,4.00,2.00,4.00,7.00,8.25,0.00,5.00,0.00,103,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',17939,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6389660,7.00,8.00,7.00,6.00,10.00,10.50,4.00,3.00,9.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',536,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6389686,4.00,4.00,4.00,2.00,5.00,7.50,2.00,1.00,1.00,104,NULL,NULL,'CENTRO','ERVAL GRANDE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6389694,3.00,5.00,3.00,5.00,7.00,5.63,2.00,5.00,3.00,655,NULL,652,'GARAPUVU','ERMO','SC',12866,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6389708,3.00,3.00,1.00,4.00,5.00,8.25,2.00,4.00,2.00,450,NULL,NULL,'SANGÃOZINHO','SANGÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6389716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6389724,4.00,6.00,1.00,2.00,3.00,8.25,1.00,1.00,3.00,205,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',20248,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6389732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6389740,2.00,4.00,2.00,5.00,4.00,7.13,3.00,6.00,1.00,208,NULL,238,'SACO GRANDE','FLORIANÓPOLIS','SC',14431,299,NULL,268,NULL,NULL,NULL,2,1),(25,6389759,3.00,5.00,2.00,2.00,4.00,7.50,3.00,2.00,0.00,551,NULL,NULL,'CENTRO','MAJ VIEIRA','SC',19005,41,NULL,NULL,NULL,NULL,NULL,2,17),(25,6389767,3.00,1.00,2.00,3.00,6.00,6.38,2.00,2.00,1.00,444,NULL,NULL,'PILARZINHO','CURITIBA','PR',19462,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6389775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM RETIRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6389791,7.00,4.00,3.00,7.00,10.00,8.63,1.00,5.00,8.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',3490,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6389805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'RONDINHA','PTE ALTA NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6389813,2.00,7.00,1.00,7.00,7.00,9.38,2.00,2.00,3.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',13066,610,NULL,NULL,NULL,NULL,NULL,4,1),(25,6389821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6389830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'SERTÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6389848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6389856,6.00,6.00,2.00,7.00,6.00,9.00,1.00,6.00,2.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6389864,4.00,0.00,5.00,6.00,6.00,NULL,0.00,0.00,0.00,202,NULL,235,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6389872,4.00,5.00,0.00,2.00,4.00,NULL,1.00,3.00,1.00,235,NULL,220,'LOTEAMENTO FERNANDA','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6389880,1.00,4.00,4.00,5.00,7.00,7.50,2.00,4.00,2.00,317,NULL,NULL,'SERRARIA','BIGUAÇU','SC',17473,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6389899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'PROTÁSIO ALVES','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6389902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6389910,4.00,5.00,2.00,2.00,4.00,0.00,3.00,1.00,3.00,551,NULL,NULL,'CENTRO','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6389937,4.00,4.00,0.00,4.00,6.00,7.13,1.00,2.00,2.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6389945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6389953,5.00,6.00,6.00,7.00,8.00,13.50,3.00,8.00,2.00,207,NULL,233,'ITACORUBI','FLORIANÓPOLIS','SC',2471,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6389961,2.00,4.00,1.00,3.00,3.00,NULL,1.00,1.00,0.00,104,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(25,6389996,4.00,6.00,4.00,6.00,7.00,8.25,1.00,6.00,4.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',8316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390005,5.00,4.00,2.00,5.00,4.00,9.00,1.00,6.00,5.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',10547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390013,2.00,2.00,0.00,1.00,5.00,NULL,0.00,0.00,1.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6390021,1.00,4.00,2.00,4.00,6.00,7.88,2.00,6.00,3.00,336,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',16870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390030,3.00,3.00,1.00,5.00,5.00,6.38,3.00,2.00,2.00,104,NULL,NULL,'FERROVIÁRIO','MONTENEGRO','RS',18553,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6390048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'TV MORENA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6390056,4.00,3.00,1.00,2.00,5.00,8.63,3.00,2.00,3.00,338,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',18806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390064,2.00,3.00,3.00,2.00,4.00,9.75,2.00,3.00,1.00,207,NULL,201,'CENTRO','CHAPECÓ','SC',17892,964,NULL,1485,NULL,NULL,NULL,4,4),(25,6390072,5.00,7.00,5.00,5.00,7.00,7.88,2.00,5.00,3.00,212,NULL,238,'CENTRO','GAROPABA','SC',8332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390080,2.00,2.00,1.00,4.00,3.00,6.00,0.00,0.00,0.00,220,NULL,233,'CAMPECHE','FLORIANÓPOLIS','SC',21324,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6390099,4.00,5.00,1.00,2.00,6.00,9.00,0.00,1.00,2.00,601,NULL,203,'COSTA E SILVA','JOINVILLE','SC',19806,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6390102,6.00,8.00,4.00,7.00,8.00,10.50,4.00,7.00,6.00,5,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',2170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390110,2.00,3.00,1.00,2.00,3.00,7.50,1.00,0.00,0.00,109,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',20988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390137,3.00,5.00,4.00,5.00,5.00,9.00,2.00,3.00,0.00,238,NULL,207,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6390145,5.00,5.00,4.00,7.00,5.00,6.38,2.00,4.00,6.00,203,NULL,235,'MARIA IZABEL','MARÍLIA','SP',8144,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6390153,4.00,3.00,1.00,1.00,6.00,7.88,1.00,2.00,2.00,201,NULL,203,'BELA VISTA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6390161,5.00,4.00,1.00,5.00,4.00,6.75,1.00,1.00,5.00,655,NULL,NULL,'MADUREIRA','CAXIAS SUL','RS',14478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390170,3.00,5.00,3.00,1.00,4.00,7.88,2.00,1.00,0.00,404,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',20475,90,NULL,NULL,NULL,NULL,NULL,2,1),(25,6390196,3.00,3.00,1.00,4.00,4.00,7.13,1.00,1.00,1.00,310,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',21244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6390200,2.00,5.00,2.00,2.00,3.00,7.13,0.00,2.00,0.00,444,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',21453,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390218,7.00,5.00,6.00,5.00,4.00,6.00,3.00,5.00,8.00,103,NULL,NULL,'JARDIM TABAETE','MARINGÁ','PR',5116,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6390226,4.00,6.00,4.00,6.00,9.00,9.75,1.00,5.00,2.00,316,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',8573,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6390234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'VILA FRANCISCO MATAR','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6390242,1.00,3.00,1.00,3.00,4.00,9.00,1.00,1.00,3.00,235,NULL,202,'CENTRO','HERVAL D OESTE','SC',21242,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6390250,0.00,5.00,4.00,5.00,5.00,NULL,3.00,3.00,5.00,220,NULL,203,'MATO QUEIMADO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390269,2.00,6.00,1.00,7.00,6.00,8.63,1.00,2.00,5.00,420,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',14495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390277,2.00,7.00,0.00,3.00,5.00,7.13,2.00,3.00,4.00,5,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',14500,510,NULL,NULL,NULL,NULL,NULL,2,15),(25,6390285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,220,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6390307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6390331,3.00,4.00,0.00,5.00,5.00,NULL,1.00,0.00,3.00,9,NULL,NULL,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6390340,1.00,3.00,0.00,3.00,7.00,NULL,1.00,2.00,0.00,207,NULL,201,'MENINO DEUS','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6390358,2.00,3.00,1.00,4.00,7.00,7.13,2.00,6.00,1.00,102,NULL,NULL,'PAGARÁ','STO AMARO IMPERATRIZ','SC',18847,235,NULL,NULL,NULL,NULL,NULL,2,1),(25,6390366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6390374,3.00,3.00,2.00,2.00,5.00,10.13,0.00,2.00,3.00,339,NULL,NULL,'CENTRO','PALHOÇA','SC',20271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','MARIPÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6390390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CRISTO RENDENTOR','MORRINHOS','GO',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,15),(25,6390420,4.00,6.00,4.00,5.00,7.00,9.00,2.00,3.00,3.00,103,NULL,NULL,'TATUAPÉ','S PAULO','SP',10468,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6390439,1.00,1.00,2.00,1.00,4.00,NULL,1.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6390447,2.00,3.00,0.00,1.00,5.00,NULL,2.00,3.00,3.00,207,NULL,NULL,'ENCANTADA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390455,1.00,4.00,4.00,1.00,5.00,6.75,2.00,3.00,2.00,214,NULL,208,'INGLESES','FLORIANÓPOLIS','SC',20208,434,NULL,540,NULL,NULL,NULL,2,1),(25,6390463,5.00,6.00,5.00,7.00,6.00,10.50,1.00,4.00,4.00,211,NULL,201,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',6583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6390498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'VILA BUARQUE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6390501,4.00,3.00,3.00,5.00,7.00,10.88,1.00,2.00,3.00,201,NULL,NULL,'CENTRO','ITAJAÍ','SC',15247,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6390528,6.00,7.00,6.00,6.00,9.00,6.75,3.00,5.00,4.00,2,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'MORRO DO MEIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6390544,4.00,3.00,1.00,6.00,7.00,7.13,1.00,4.00,3.00,404,NULL,NULL,'ROÇADO','S JOSÉ','SC',17312,51,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390552,6.00,6.00,2.00,5.00,8.00,8.25,3.00,5.00,3.00,9,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',8756,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6390560,2.00,6.00,0.00,4.00,4.00,NULL,0.00,4.00,0.00,304,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6390579,2.00,2.00,2.00,3.00,4.00,7.13,1.00,0.00,0.00,103,NULL,NULL,'CENTRO','STO ÂNGELO','RS',21540,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6390587,1.00,1.00,0.00,2.00,4.00,8.25,0.00,1.00,0.00,327,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390595,4.00,7.00,0.00,5.00,7.00,8.25,2.00,3.00,5.00,104,NULL,NULL,'PARQUE DO SOM','PATO BRANCO','PR',12578,289,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6390617,4.00,4.00,2.00,4.00,6.00,NULL,0.00,3.00,2.00,653,NULL,201,'PORTO GRANDE','S SEBASTIÃO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390625,0.00,2.00,0.00,0.00,3.00,NULL,1.00,5.00,0.00,104,NULL,NULL,'BELA VISTA','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6390633,5.00,6.00,5.00,6.00,7.00,8.25,4.00,6.00,6.00,420,NULL,NULL,'ORFÃS','PNT GROSSA','PR',4730,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6390668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6390676,5.00,7.00,1.00,3.00,8.00,10.13,2.00,5.00,2.00,207,NULL,201,'BELA VISTA','PALHOÇA','SC',10094,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390684,6.00,5.00,4.00,5.00,4.00,6.75,2.00,2.00,4.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',10818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'FORQUILINHA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6390722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ESPLANADA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6390730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BAIRRO BAÚ','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6390749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6390781,3.00,4.00,3.00,2.00,4.00,8.25,0.00,3.00,6.00,304,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',13946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390790,4.00,6.00,3.00,3.00,7.00,7.13,2.00,3.00,1.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',12796,443,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390803,2.00,0.00,3.00,4.00,7.00,NULL,0.00,0.00,0.00,425,NULL,423,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6390820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6390838,5.00,6.00,2.00,3.00,7.00,6.75,0.00,3.00,4.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',12612,3945,NULL,NULL,NULL,NULL,NULL,2,10),(25,6390846,4.00,6.00,2.00,6.00,3.00,NULL,2.00,5.00,0.00,238,NULL,202,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390854,5.00,5.00,5.00,6.00,7.00,7.88,3.00,6.00,2.00,220,NULL,653,'CENTRO','STA MARIA','RS',6514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390889,8.00,7.00,7.00,7.00,10.00,9.75,5.00,8.00,7.00,108,NULL,NULL,'FLORESTA','JOINVILLE','SC',270,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6390897,1.00,5.00,3.00,1.00,7.00,NULL,0.00,4.00,1.00,102,NULL,NULL,'OLIVEIRA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6390900,1.00,6.00,1.00,4.00,5.00,7.88,0.00,4.00,0.00,415,NULL,NULL,'CORTICEIRA','GUARAMIRIM','SC',20823,331,NULL,NULL,NULL,NULL,NULL,4,8),(25,6390919,3.00,3.00,2.00,4.00,6.00,6.00,3.00,1.00,2.00,238,NULL,653,'CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC',19648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6390927,4.00,4.00,3.00,3.00,4.00,6.38,2.00,3.00,2.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6390943,8.00,8.00,2.00,5.00,10.00,10.13,2.00,5.00,6.00,103,NULL,NULL,'NOVA CAIEIRAS','CAIEIRAS','SP',2707,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6390960,4.00,8.00,3.00,7.00,8.00,8.63,2.00,6.00,4.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6390978,5.00,5.00,1.00,5.00,6.00,9.38,0.00,4.00,2.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16258,352,NULL,NULL,NULL,NULL,NULL,2,1),(25,6390986,4.00,6.00,1.00,6.00,7.00,7.88,2.00,2.00,3.00,102,NULL,NULL,'CENTRO','MEDIANEIRA','PR',14215,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6390994,3.00,7.00,2.00,5.00,9.00,10.13,0.00,7.00,1.00,103,NULL,NULL,'MEDIANEIRA','STA MARIA','RS',8544,3292,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6391010,2.00,2.00,2.00,1.00,4.00,4.50,3.00,2.00,1.00,655,NULL,NULL,'PRESIDENTE VARGAS','IÇARA','SC',21644,180,NULL,NULL,NULL,NULL,NULL,4,5),(25,6391028,2.00,2.00,1.00,2.00,5.00,NULL,0.00,0.00,1.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391036,2.00,2.00,0.00,1.00,3.00,6.00,0.00,1.00,0.00,203,NULL,201,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391044,6.00,2.00,4.00,6.00,7.00,8.25,3.00,3.00,3.00,301,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',11587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391052,5.00,8.00,1.00,4.00,7.00,11.25,2.00,5.00,2.00,225,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',9698,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391060,5.00,7.00,3.00,6.00,6.00,8.63,1.00,5.00,3.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9143,3412,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391079,2.00,3.00,3.00,1.00,3.00,6.00,2.00,3.00,3.00,216,NULL,215,'BELA VISTA','BAL PIÇARRAS','SC',21336,634,NULL,337,NULL,NULL,NULL,2,8),(25,6391087,1.00,3.00,2.00,3.00,4.00,7.13,0.00,2.00,3.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',20922,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391095,4.00,3.00,2.00,0.00,3.00,3.00,2.00,3.00,2.00,655,NULL,652,'SAPIRANGA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6391109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6391125,2.00,4.00,2.00,4.00,7.00,NULL,0.00,1.00,1.00,310,NULL,NULL,'MOEMA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391133,3.00,6.00,2.00,3.00,4.00,8.63,2.00,5.00,4.00,208,NULL,238,'CARIANOS','FLORIANÓPOLIS','SC',14651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391141,4.00,6.00,4.00,2.00,7.00,7.13,2.00,3.00,3.00,201,NULL,212,'LIMOEIRO','BRUSQUE','SC',15512,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6391150,3.00,3.00,4.00,1.00,2.00,NULL,0.00,2.00,1.00,501,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391184,4.00,2.00,0.00,6.00,7.00,7.13,1.00,3.00,1.00,235,NULL,208,'AGRONÔMICA','FLORIANÓPOLIS','SC',20013,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391192,4.00,5.00,2.00,3.00,3.00,8.63,1.00,4.00,3.00,421,NULL,427,'SACO GRANDE','FLORIANÓPOLIS','SC',18587,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391206,5.00,4.00,2.00,5.00,5.00,6.38,3.00,4.00,2.00,212,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',17465,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391214,3.00,5.00,1.00,5.00,6.00,9.00,2.00,6.00,1.00,331,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',14303,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391230,2.00,4.00,1.00,4.00,8.00,8.25,2.00,5.00,0.00,317,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',18112,140,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391249,2.00,5.00,1.00,3.00,5.00,NULL,0.00,2.00,4.00,104,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,10),(25,6391257,4.00,8.00,0.00,6.00,5.00,9.75,1.00,4.00,1.00,337,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',15351,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,207,'JARDIM SANTA CRUZ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6391281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6391290,7.00,8.00,6.00,7.00,9.00,11.25,4.00,6.00,9.00,203,NULL,202,'CARANDÁ BOSQUE I','CPO GRANDE','MS',224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,202,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6391311,6.00,6.00,3.00,7.00,9.00,8.63,3.00,5.00,7.00,233,NULL,216,'VILA SOFIA','S PAULO','SP',2841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA MENUZZO','SUMARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6391338,2.00,1.00,2.00,3.00,4.00,7.13,2.00,1.00,4.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391354,6.00,7.00,2.00,7.00,5.00,5.25,5.00,5.00,6.00,2,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391362,2.00,6.00,4.00,7.00,6.00,6.75,3.00,5.00,4.00,238,NULL,208,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',11197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391370,3.00,5.00,0.00,4.00,6.00,7.50,0.00,1.00,1.00,310,NULL,NULL,'CANASVIRIRAS','FLORIANÓPOLIS','SC',18269,35,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391389,4.00,5.00,0.00,3.00,4.00,5.25,2.00,1.00,0.00,429,NULL,426,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391397,5.00,3.00,2.00,5.00,5.00,6.38,1.00,5.00,1.00,2,NULL,NULL,'PONTE PRETA','CAMPINAS','SP',14349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391400,5.00,6.00,0.00,5.00,8.00,12.38,2.00,7.00,3.00,424,NULL,423,'CENTRO','FLORIANÓPOLIS','SC',6493,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6391419,3.00,4.00,0.00,1.00,2.00,NULL,1.00,1.00,1.00,202,NULL,213,'SANTA CÂNDIDA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6391427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6391435,2.00,7.00,2.00,5.00,5.00,10.88,2.00,4.00,5.00,318,NULL,NULL,'JARDIM SÃO PEDRO','PTO ALEGRE','RS',11305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6391478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,203,'JARDIM AMÉRICA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6391486,2.00,4.00,4.00,4.00,6.00,4.50,2.00,2.00,1.00,208,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391494,2.00,3.00,0.00,4.00,3.00,NULL,1.00,5.00,1.00,333,NULL,NULL,'ADHEMAR GARCIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6391508,5.00,6.00,6.00,6.00,6.00,8.63,3.00,8.00,3.00,201,NULL,235,'CENTRO','PARANAVAÍ','PR',5293,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391516,3.00,5.00,2.00,4.00,8.00,9.00,2.00,6.00,1.00,110,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',14663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391524,5.00,6.00,2.00,4.00,6.00,7.50,3.00,4.00,3.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10656,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391532,3.00,5.00,7.00,6.00,8.00,6.75,3.00,5.00,3.00,202,NULL,233,'SERRARIA','S JOSÉ','SC',7177,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391540,4.00,4.00,1.00,6.00,7.00,NULL,1.00,0.00,3.00,340,NULL,NULL,'BORTOLON','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6391559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'EUCALIPTOS','FAZ RIO GRANDE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6391567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6391575,7.00,6.00,4.00,6.00,8.00,10.88,3.00,6.00,8.00,103,NULL,NULL,'DISTRITO INDÚSTRIAL','RIO BRANCO','AC',1539,981,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391583,5.00,5.00,4.00,3.00,6.00,8.63,1.00,2.00,3.00,103,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',11662,3808,NULL,NULL,NULL,NULL,NULL,2,10),(25,6391591,3.00,6.00,2.00,4.00,5.00,7.50,2.00,0.00,1.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19849,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391605,3.00,5.00,3.00,4.00,7.00,7.50,3.00,3.00,4.00,999,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6391613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6391621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6391630,5.00,2.00,2.00,1.00,6.00,9.75,1.00,1.00,2.00,999,NULL,NULL,'D E R','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6391648,2.00,7.00,3.00,3.00,5.00,9.00,1.00,3.00,2.00,316,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',17259,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391672,5.00,6.00,2.00,7.00,7.00,11.25,1.00,3.00,1.00,420,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',11003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391680,3.00,4.00,1.00,5.00,5.00,9.00,1.00,1.00,3.00,212,NULL,216,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',19119,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391699,6.00,4.00,3.00,2.00,2.00,NULL,1.00,1.00,2.00,203,NULL,201,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6391702,8.00,7.00,4.00,4.00,9.00,7.13,1.00,7.00,7.00,103,NULL,NULL,'JD IMPERIAL','MARINGÁ','PR',3560,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391710,3.00,4.00,3.00,3.00,4.00,9.38,2.00,4.00,3.00,655,NULL,238,'AREIAS','S JOSÉ','SC',17789,96,NULL,416,NULL,NULL,NULL,2,1),(25,6391729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6391737,3.00,5.00,3.00,5.00,6.00,9.00,2.00,4.00,2.00,109,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',14460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391745,4.00,6.00,3.00,4.00,4.00,10.50,2.00,3.00,1.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',15148,143,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391753,6.00,5.00,1.00,4.00,5.00,7.88,3.00,2.00,1.00,103,NULL,NULL,'JOÃO LEME DO PRADO','MACATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391761,4.00,7.00,4.00,4.00,6.00,9.38,1.00,6.00,2.00,302,NULL,NULL,'GUIOMAR','ANTÔNIO CARLOS','SC',9250,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391770,4.00,4.00,4.00,1.00,4.00,NULL,2.00,2.00,4.00,654,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6391788,3.00,5.00,1.00,3.00,6.00,9.00,2.00,1.00,0.00,303,NULL,NULL,'SANTA TEREZINHA','CAPINZAL','SC',17540,761,NULL,NULL,NULL,NULL,NULL,2,7),(25,6391796,6.00,5.00,4.00,3.00,8.00,8.25,2.00,4.00,4.00,103,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',8680,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6391800,1.00,6.00,2.00,0.00,5.00,NULL,0.00,0.00,1.00,654,NULL,NULL,'SANTA TEREZINHA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6391826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,214,'VILA NOVA','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6391834,7.00,7.00,2.00,5.00,10.00,9.75,3.00,7.00,6.00,303,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',2669,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6391850,6.00,4.00,2.00,4.00,5.00,9.00,2.00,3.00,1.00,233,NULL,216,'RIO TAVARES','FLORIANÓPOLIS','SC',17488,438,NULL,562,NULL,NULL,NULL,2,1),(25,6391869,4.00,6.00,2.00,5.00,6.00,9.38,0.00,1.00,1.00,324,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16764,11,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6391907,3.00,2.00,0.00,3.00,5.00,6.38,2.00,2.00,2.00,425,NULL,423,'PANTANO DO SUL','FLORIANÓPOLIS','SC',21062,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391915,3.00,6.00,1.00,0.00,7.00,8.63,3.00,4.00,2.00,207,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',17984,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6391923,4.00,8.00,4.00,7.00,6.00,9.00,5.00,5.00,3.00,303,NULL,NULL,'CRISTO REI','CURITIBA','PR',7411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6391931,8.00,5.00,1.00,4.00,8.00,12.00,1.00,4.00,9.00,103,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',4456,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6391940,5.00,5.00,2.00,3.00,6.00,8.25,3.00,7.00,3.00,104,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',9909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391958,2.00,6.00,2.00,5.00,5.00,8.25,1.00,6.00,3.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15157,531,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391966,1.00,4.00,0.00,5.00,3.00,NULL,3.00,2.00,0.00,302,NULL,NULL,'ENSEADA DO BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6391974,8.00,5.00,5.00,6.00,7.00,7.13,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4783,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6391982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'CIDADE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6392008,1.00,4.00,1.00,3.00,4.00,5.63,1.00,3.00,1.00,203,NULL,214,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392016,5.00,8.00,3.00,6.00,8.00,9.38,2.00,6.00,5.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',5950,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6392032,2.00,4.00,2.00,4.00,6.00,3.38,2.00,1.00,1.00,224,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392040,2.00,4.00,1.00,1.00,7.00,NULL,3.00,4.00,0.00,5,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6392067,3.00,4.00,1.00,4.00,5.00,11.25,2.00,1.00,1.00,320,NULL,NULL,'CENTRO','RIO OESTE','SC',16470,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392075,6.00,6.00,2.00,3.00,6.00,6.75,1.00,5.00,6.00,201,NULL,212,'CENTRO','RIBEIRÃO PRETO','SP',11756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6392083,2.00,4.00,1.00,1.00,3.00,NULL,2.00,0.00,3.00,238,NULL,655,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6392091,4.00,5.00,5.00,4.00,7.00,7.13,5.00,7.00,3.00,212,NULL,238,'CARIANOS','FLORIANÓPOLIS','SC',10289,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392113,8.00,8.00,3.00,4.00,6.00,5.25,5.00,4.00,6.00,203,NULL,202,'CARIANOS','FLORIANÓPOLIS','SC',7026,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392121,3.00,6.00,3.00,5.00,6.00,9.00,1.00,2.00,2.00,5,NULL,NULL,'PROGRESSO','MARAU','RS',13585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6392130,3.00,2.00,1.00,5.00,5.00,6.38,3.00,2.00,3.00,303,NULL,NULL,'RECANTO DOS PÁSSAROS','CPO GRANDE','MS',16832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392148,5.00,6.00,4.00,5.00,7.00,11.63,2.00,6.00,4.00,302,NULL,NULL,'FLORESTA','S JOSÉ','SC',6471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6392164,4.00,4.00,4.00,4.00,7.00,6.75,1.00,4.00,3.00,201,NULL,212,'BOMFIM','PTO ALEGRE','RS',13556,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392172,3.00,4.00,3.00,5.00,7.00,7.88,0.00,3.00,2.00,309,NULL,NULL,'VILA CARAMELO','STA MARIA','RS',17961,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392199,4.00,4.00,0.00,4.00,6.00,9.00,1.00,0.00,1.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',17988,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6392202,6.00,4.00,2.00,7.00,7.00,NULL,3.00,1.00,1.00,109,NULL,NULL,'MORRO AGUDO','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',5,1),(25,6392210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6392229,4.00,5.00,0.00,1.00,6.00,NULL,3.00,4.00,5.00,235,NULL,203,'PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6392253,4.00,5.00,4.00,5.00,8.00,9.38,3.00,4.00,5.00,333,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',6418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392261,8.00,5.00,3.00,6.00,7.00,12.38,2.00,5.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2088,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6392270,2.00,4.00,5.00,6.00,6.00,7.50,1.00,4.00,3.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6392288,5.00,5.00,2.00,4.00,8.00,10.88,2.00,4.00,5.00,999,NULL,NULL,'VILA ESPERANÇA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6392318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6392326,5.00,5.00,3.00,3.00,9.00,9.75,2.00,3.00,1.00,420,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12274,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6392342,1.00,3.00,3.00,0.00,3.00,5.25,0.00,0.00,3.00,652,NULL,653,'CRISTO REDENTOR','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6392350,4.00,8.00,1.00,6.00,8.00,9.75,1.00,4.00,1.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6392377,4.00,4.00,1.00,3.00,9.00,6.75,1.00,4.00,3.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',13777,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6392385,2.00,1.00,0.00,1.00,4.00,9.75,2.00,0.00,1.00,326,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6392393,4.00,2.00,1.00,5.00,9.00,9.38,1.00,2.00,2.00,212,NULL,601,'CENTRO','TOLEDO','PR',16513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6392407,6.00,6.00,2.00,7.00,9.00,11.25,2.00,7.00,8.00,211,NULL,215,'CENTRO','CAXIAS SUL','RS',2146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6392415,2.00,7.00,3.00,3.00,8.00,NULL,1.00,5.00,0.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6392423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6392431,0.00,5.00,2.00,2.00,4.00,NULL,1.00,0.00,1.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6392458,5.00,5.00,3.00,4.00,5.00,10.13,2.00,2.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392466,0.00,2.00,0.00,0.00,0.00,NULL,2.00,0.00,1.00,309,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','SANANDUVA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6392504,2.00,4.00,3.00,3.00,6.00,8.63,1.00,1.00,0.00,324,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',20184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392520,4.00,6.00,2.00,5.00,7.00,9.00,2.00,4.00,1.00,316,NULL,NULL,'BELA VISTA','S JOSÉ','SC',14256,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392539,1.00,1.00,2.00,0.00,4.00,5.25,1.00,1.00,2.00,203,NULL,214,'SERRARIA','S JOSÉ','SC',21431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6392555,2.00,2.00,1.00,2.00,6.00,8.63,3.00,1.00,0.00,303,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',21472,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392563,3.00,5.00,2.00,5.00,5.00,10.13,1.00,1.00,1.00,316,NULL,NULL,'FUNDOS','BIGUAÇU','SC',16507,162,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392571,6.00,4.00,4.00,4.00,6.00,6.75,1.00,3.00,7.00,207,NULL,201,'UNIVERSITÁRIO','VIDEIRA','SC',9353,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6392580,6.00,6.00,2.00,3.00,9.00,10.13,1.00,7.00,6.00,103,NULL,NULL,'CENTRO','BOMBINHAS','SC',5882,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6392598,1.00,2.00,0.00,4.00,7.00,5.63,2.00,2.00,2.00,103,NULL,NULL,'SÃO JORGE','S MIGUEL OESTE','SC',19987,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6392601,4.00,6.00,4.00,6.00,7.00,11.25,1.00,4.00,0.00,328,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',11025,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392610,2.00,5.00,3.00,6.00,4.00,8.63,1.00,3.00,3.00,208,NULL,601,'ESTREITO','FLORIANÓPOLIS','SC',15605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6392628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6392636,1.00,1.00,1.00,2.00,1.00,NULL,0.00,1.00,0.00,501,NULL,NULL,'MORRO AGUDO','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,220,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6392652,4.00,4.00,2.00,3.00,4.00,6.00,0.00,1.00,1.00,326,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',21475,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6392660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'PRESIDENTE MEDICI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6392679,3.00,5.00,4.00,7.00,9.00,9.75,2.00,5.00,2.00,324,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6392687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6392709,4.00,3.00,1.00,5.00,3.00,NULL,0.00,0.00,3.00,207,NULL,201,'BARREIROS','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6392717,3.00,3.00,2.00,4.00,6.00,7.88,2.00,0.00,2.00,453,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6392725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE DAS PALMEIRAS','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6392733,4.00,3.00,3.00,4.00,5.00,4.50,0.00,2.00,1.00,336,NULL,NULL,'CENTRO','ITAIÓPOLIS','SC',20537,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6392741,8.00,4.00,5.00,5.00,10.00,9.75,2.00,6.00,8.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',2178,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6392750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6392768,4.00,6.00,3.00,3.00,7.00,7.88,4.00,5.00,1.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11590,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392776,5.00,4.00,1.00,3.00,4.00,7.88,1.00,5.00,2.00,316,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',18549,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392784,6.00,5.00,1.00,6.00,6.00,7.13,3.00,3.00,0.00,999,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6392806,6.00,4.00,2.00,4.00,5.00,4.50,4.00,6.00,3.00,211,NULL,215,'JARDIM NAKAMURA','PARANAVAÍ','PR',11115,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6392814,3.00,4.00,0.00,4.00,6.00,NULL,0.00,3.00,3.00,108,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392822,1.00,3.00,0.00,3.00,4.00,NULL,0.00,1.00,1.00,317,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6392830,2.00,4.00,2.00,3.00,6.00,7.13,2.00,5.00,1.00,329,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19069,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392849,2.00,4.00,2.00,1.00,6.00,NULL,2.00,0.00,0.00,201,NULL,601,'VILA FERROVIÁRIA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6392857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6392873,2.00,0.00,4.00,4.00,2.00,NULL,0.00,0.00,0.00,201,NULL,202,'CENTRO','ITANHAÉM','SP',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6392881,3.00,2.00,4.00,3.00,7.00,7.13,2.00,2.00,2.00,428,NULL,426,'INGLESES','FLORIANÓPOLIS','SC',19594,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392903,6.00,7.00,5.00,6.00,6.00,11.25,3.00,6.00,7.00,335,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',3220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6392911,5.00,5.00,2.00,5.00,6.00,7.50,3.00,1.00,2.00,103,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',12116,3881,NULL,NULL,NULL,NULL,NULL,2,8),(25,6392920,1.00,2.00,3.00,3.00,5.00,NULL,3.00,2.00,2.00,452,NULL,NULL,'PINHEIRINHO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(25,6392946,5.00,6.00,0.00,4.00,8.00,NULL,3.00,5.00,3.00,331,NULL,NULL,'JARDIM OURO VERDE','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6392954,3.00,5.00,0.00,3.00,6.00,6.00,1.00,5.00,0.00,652,NULL,655,'RIO DO SALTO','TIMBÉ SUL','SC',20263,92,NULL,139,NULL,NULL,NULL,2,15),(25,6392962,8.00,4.00,6.00,8.00,7.00,10.13,2.00,5.00,7.00,303,NULL,NULL,'CENTRO','PALHOÇA','SC',2961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6392970,5.00,2.00,1.00,3.00,5.00,8.63,3.00,4.00,1.00,101,NULL,NULL,'CENTRO','ITAPEMA','SC',18199,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6392989,6.00,5.00,3.00,2.00,6.00,9.00,3.00,5.00,4.00,202,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',10874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6392997,1.00,0.00,1.00,2.00,4.00,6.38,2.00,2.00,1.00,317,NULL,NULL,'RIO DO CEDRO','ÁGUAS MORNAS','SC',21735,205,NULL,NULL,NULL,NULL,NULL,2,1),(25,6393012,5.00,6.00,5.00,7.00,5.00,9.38,1.00,6.00,6.00,207,NULL,211,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',5391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6393020,8.00,7.00,5.00,6.00,7.00,9.00,7.00,6.00,4.00,103,NULL,NULL,'MORADA DO SOL','IJUÍ','RS',2430,1464,NULL,NULL,NULL,NULL,NULL,2,1),(25,6393039,2.00,1.00,1.00,4.00,4.00,6.75,1.00,3.00,1.00,404,NULL,NULL,'SERRARIA','S JOSÉ','SC',21410,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6393047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PASSAGEM','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6393055,4.00,0.00,0.00,4.00,9.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6393063,3.00,7.00,3.00,2.00,4.00,8.63,3.00,1.00,3.00,653,NULL,211,'CENTRO','COCAL SUL','SC',17754,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6393071,1.00,5.00,2.00,1.00,4.00,7.50,1.00,1.00,0.00,203,NULL,201,'CENTRO','CHAPECÓ','SC',21477,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6393080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6393101,2.00,6.00,1.00,2.00,3.00,6.75,2.00,4.00,1.00,999,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6393110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'BARREIROS SAO JOSE','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6393128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6393136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,235,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6393144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM PANORAMA','UBIRATÃ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6393152,1.00,4.00,1.00,2.00,2.00,NULL,3.00,0.00,2.00,335,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6393160,2.00,1.00,1.00,0.00,5.00,NULL,1.00,2.00,1.00,316,NULL,NULL,'FAZENDA SANTO ANTÔNI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6393179,3.00,6.00,0.00,2.00,4.00,7.88,1.00,4.00,2.00,601,NULL,NULL,'COMASA','JOINVILLE','SC',19334,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6393195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'JARDIM ATLANTINCO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6393217,4.00,7.00,2.00,7.00,7.00,9.38,2.00,3.00,4.00,319,NULL,NULL,'SANTO AMARO','S PAULO','SP',8385,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6393225,2.00,5.00,2.00,2.00,5.00,6.00,2.00,1.00,0.00,301,NULL,NULL,'CENTRO','CANOINHAS','SC',19669,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6393233,4.00,4.00,1.00,5.00,4.00,6.38,3.00,5.00,4.00,308,NULL,NULL,'ARMAÇÃO PANT SUL','FLORIANÓPOLIS','SC',14129,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6393241,3.00,0.00,3.00,2.00,4.00,7.88,1.00,3.00,3.00,211,NULL,233,'CENTRO','IOMERÊ','SC',18430,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6393276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PARADA DO ALTO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6393284,5.00,6.00,3.00,2.00,6.00,9.00,2.00,5.00,3.00,450,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12641,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6393292,2.00,1.00,3.00,1.00,1.00,NULL,0.00,2.00,2.00,502,NULL,NULL,'INTERIOR','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6393306,5.00,6.00,4.00,6.00,7.00,11.25,0.00,4.00,4.00,428,NULL,NULL,'TRÊS RIACHOS','BIGUAÇU','SC',5960,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6393314,3.00,6.00,2.00,2.00,3.00,6.00,1.00,3.00,2.00,501,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',20336,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6393322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6393330,4.00,4.00,0.00,6.00,7.00,7.88,2.00,0.00,2.00,404,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',18341,64,NULL,NULL,NULL,NULL,NULL,5,1),(25,6393349,1.00,4.00,2.00,2.00,6.00,6.00,1.00,0.00,0.00,214,NULL,213,'AREIAS','S JOSÉ','SC',20502,441,NULL,293,NULL,NULL,NULL,2,1),(25,6393357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,220,'VILA DO ENCONTRO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6393365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','GUAÍBA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6393373,4.00,5.00,1.00,3.00,6.00,5.25,4.00,3.00,1.00,301,NULL,NULL,'VISTA ALEGRE','MAFRA','SC',16751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6393381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,233,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6393390,2.00,2.00,1.00,3.00,5.00,7.88,0.00,2.00,3.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19453,4638,NULL,NULL,NULL,NULL,NULL,2,1),(25,6393403,4.00,4.00,2.00,3.00,7.00,9.38,1.00,6.00,3.00,338,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6393411,4.00,5.00,4.00,6.00,7.00,7.88,3.00,2.00,3.00,235,NULL,202,'ARIRIU','PALHOÇA','SC',11248,252,NULL,361,NULL,NULL,NULL,4,1),(25,6393420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6393438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6393454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6393462,2.00,4.00,3.00,5.00,5.00,5.63,6.00,2.00,2.00,328,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6393470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','LOANDA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6393489,5.00,7.00,1.00,2.00,3.00,10.88,1.00,4.00,2.00,653,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6393497,3.00,4.00,6.00,3.00,2.00,NULL,0.00,4.00,3.00,336,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6393519,5.00,5.00,2.00,5.00,7.00,8.25,1.00,3.00,2.00,999,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6393527,3.00,4.00,3.00,3.00,5.00,7.13,0.00,3.00,2.00,103,NULL,NULL,'FIGUEROA','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6393535,4.00,7.00,2.00,4.00,8.00,9.75,1.00,6.00,1.00,202,NULL,652,'CENTRO','PR GRANDE','SC',12347,394,NULL,NULL,NULL,NULL,NULL,2,15),(25,6393543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,NULL,'JARDIM DA AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6393551,4.00,4.00,0.00,3.00,3.00,NULL,2.00,4.00,2.00,444,NULL,NULL,'INDUSTRIAS','ESTRELA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6393560,3.00,4.00,1.00,2.00,5.00,4.88,3.00,4.00,1.00,652,NULL,655,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6393586,5.00,8.00,5.00,7.00,9.00,10.88,5.00,4.00,4.00,202,NULL,235,'JAGUARIBE','SALVADOR','BA',2514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6393594,2.00,3.00,1.00,2.00,6.00,6.75,2.00,5.00,2.00,601,NULL,208,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6393608,2.00,3.00,2.00,4.00,6.00,NULL,3.00,0.00,1.00,207,NULL,201,'ALTOS DE SANTANA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6393616,7.00,7.00,2.00,6.00,7.00,7.88,3.00,3.00,3.00,216,NULL,211,'CENTRO','MASSARANDUBA','SC',8454,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6393624,8.00,7.00,3.00,5.00,8.00,9.38,5.00,8.00,3.00,216,NULL,201,'JOÃO PAULO','FLORIANÓPOLIS','SC',3653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6393632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6393640,3.00,6.00,1.00,5.00,7.00,10.13,0.00,3.00,4.00,331,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',11079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6393667,5.00,7.00,3.00,7.00,8.00,8.63,0.00,2.00,3.00,601,NULL,220,'AMÉRICA','JOINVILLE','SC',10227,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6393675,4.00,5.00,3.00,6.00,6.00,9.38,3.00,7.00,2.00,316,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',9941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6393683,3.00,4.00,2.00,3.00,5.00,NULL,0.00,3.00,4.00,233,NULL,215,'CENTRO','IMARUÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6393691,4.00,7.00,2.00,7.00,7.00,6.38,0.00,3.00,2.00,327,NULL,NULL,'CAMPO BELO','S PAULO','SP',15292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6393705,3.00,6.00,5.00,5.00,8.00,9.38,2.00,5.00,2.00,109,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6393721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA HIGIENOPOLIS','JANDIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6393730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6393748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6393756,3.00,5.00,1.00,4.00,6.00,8.63,4.00,2.00,2.00,340,NULL,NULL,'CENTRO','S BENTO SUL','SC',17404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6393772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,238,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6393799,7.00,7.00,4.00,4.00,6.00,11.25,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3974,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6393802,2.00,6.00,0.00,3.00,2.00,NULL,2.00,4.00,3.00,601,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6393810,9.00,7.00,1.00,5.00,10.00,10.13,3.00,7.00,7.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',2490,1493,NULL,NULL,NULL,NULL,NULL,4,8),(25,6393829,2.00,7.00,1.00,4.00,6.00,NULL,0.00,4.00,4.00,317,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6393837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6393845,4.00,5.00,4.00,3.00,5.00,13.13,2.00,3.00,3.00,309,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',12382,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6393853,5.00,4.00,3.00,5.00,6.00,8.25,5.00,7.00,4.00,601,NULL,212,'VILA PARAISO','CAÇADOR','SC',8165,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6393861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,423,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6393870,2.00,6.00,2.00,4.00,5.00,9.75,0.00,2.00,1.00,108,NULL,NULL,'BARRIEROS','S JOSÉ','SC',19649,291,NULL,NULL,NULL,NULL,NULL,2,1),(25,6393896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'IAPC','ANÁPOLIS','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6393900,2.00,4.00,2.00,2.00,7.00,10.50,1.00,1.00,2.00,211,NULL,216,'JARDIM GUANABARA','S PAULO','SP',17757,470,NULL,571,NULL,NULL,NULL,4,6),(25,6393918,2.00,7.00,4.00,5.00,8.00,9.00,1.00,3.00,2.00,332,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13398,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6393926,3.00,4.00,0.00,1.00,7.00,9.00,0.00,0.00,2.00,319,NULL,NULL,'JABUTICABAL','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6393934,3.00,4.00,3.00,4.00,9.00,11.63,0.00,3.00,3.00,316,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',12378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6393942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6393950,6.00,5.00,3.00,5.00,7.00,9.38,2.00,4.00,5.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6393969,6.00,8.00,1.00,4.00,6.00,7.88,2.00,5.00,2.00,317,NULL,NULL,'SACO OS LIMÕES','FLORIANÓPOLIS','SC',11828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6393977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6393985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'CASA BRANCA','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6393993,3.00,4.00,3.00,2.00,7.00,7.88,1.00,3.00,2.00,110,NULL,NULL,'JARDIM CIDADE FLORIA','S JOSÉ','SC',18919,114,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394000,1.00,0.00,3.00,6.00,5.00,NULL,0.00,0.00,0.00,207,NULL,211,'LOURDES','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(25,6394019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA SUCONASA','ARARAQUARA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6394035,5.00,4.00,1.00,5.00,7.00,8.25,1.00,5.00,3.00,335,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6394043,3.00,5.00,1.00,1.00,4.00,7.50,1.00,2.00,1.00,103,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',19354,4624,NULL,NULL,NULL,NULL,NULL,4,6),(25,6394051,3.00,4.00,2.00,3.00,4.00,4.88,3.00,3.00,1.00,238,NULL,NULL,'CENTRO','CAMBORIÚ','SC',19461,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394060,4.00,5.00,2.00,3.00,6.00,7.88,2.00,3.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6394078,4.00,3.00,2.00,1.00,4.00,7.88,2.00,3.00,3.00,202,NULL,653,'PONTA AGUDA','BLUMENAU','SC',20067,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6394086,4.00,5.00,3.00,3.00,5.00,5.25,2.00,2.00,4.00,551,NULL,NULL,'ARCO IRIS','CAPINZAL','SC',16603,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6394094,5.00,5.00,2.00,4.00,7.00,9.75,0.00,3.00,2.00,428,NULL,426,'AGRONÔMICA','FLORIANÓPOLIS','SC',11958,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394108,1.00,3.00,1.00,1.00,4.00,NULL,0.00,4.00,0.00,453,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6394116,8.00,7.00,3.00,5.00,9.00,9.38,4.00,7.00,8.00,103,NULL,NULL,'DO COLEGIO','APUCARANA','PR',1090,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6394124,6.00,6.00,2.00,5.00,9.00,7.13,1.00,6.00,1.00,653,NULL,233,'COMERCIÁRIO','CRICIÚMA','SC',10429,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6394132,2.00,1.00,0.00,0.00,2.00,NULL,0.00,1.00,0.00,652,NULL,655,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6394140,2.00,3.00,1.00,1.00,7.00,8.25,2.00,4.00,3.00,201,NULL,207,'JARDIM ITÁLIA','CHAPECÓ','SC',16547,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6394159,1.00,1.00,0.00,2.00,5.00,NULL,0.00,1.00,1.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6394175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6394183,2.00,3.00,1.00,3.00,4.00,6.00,1.00,4.00,2.00,404,NULL,NULL,'COSTA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394205,4.00,4.00,0.00,6.00,6.00,NULL,0.00,2.00,2.00,238,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6394213,3.00,3.00,1.00,2.00,7.00,NULL,0.00,1.00,0.00,101,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6394221,2.00,4.00,1.00,5.00,5.00,6.75,0.00,1.00,2.00,103,NULL,NULL,'SETOR CRISTO REDENTO','MORRINHOS','GO',18669,4566,NULL,NULL,NULL,NULL,NULL,2,15),(25,6394230,6.00,6.00,2.00,3.00,9.00,9.00,4.00,6.00,5.00,212,NULL,601,'CENTRO','NOVA VENEZA','SC',7620,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6394256,2.00,5.00,2.00,2.00,3.00,4.50,1.00,0.00,1.00,324,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6394264,4.00,3.00,3.00,6.00,6.00,10.88,1.00,4.00,2.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14218,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394272,3.00,3.00,1.00,4.00,3.00,NULL,2.00,2.00,0.00,404,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394299,3.00,5.00,2.00,2.00,7.00,7.88,2.00,2.00,3.00,420,NULL,NULL,'TIFA MARTINS','JARAGUÁ SUL','SC',14423,135,NULL,NULL,NULL,NULL,NULL,2,6),(25,6394302,6.00,6.00,1.00,3.00,7.00,6.38,2.00,6.00,2.00,108,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',12031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394310,2.00,4.00,2.00,2.00,6.00,6.38,1.00,2.00,1.00,103,NULL,NULL,'FRAGATA','PELOTAS','RS',18111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,453,NULL,NULL,'BOQUEIRÃO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6394337,3.00,8.00,2.00,5.00,8.00,NULL,2.00,6.00,0.00,320,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394345,3.00,4.00,2.00,5.00,6.00,9.38,2.00,2.00,1.00,216,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6394353,3.00,6.00,1.00,6.00,7.00,8.63,2.00,5.00,2.00,304,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6394361,0.00,5.00,6.00,0.00,6.00,NULL,5.00,5.00,6.00,222,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6394370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6394388,3.00,5.00,0.00,1.00,3.00,5.25,3.00,2.00,0.00,451,NULL,NULL,'CENTRO','BLUMENAU','SC',21544,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6394400,5.00,3.00,3.00,6.00,4.00,NULL,1.00,0.00,5.00,103,NULL,NULL,'CENTRO','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6394418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JD ARAXA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6394426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,212,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6394434,5.00,5.00,2.00,6.00,4.00,8.25,1.00,6.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6394442,1.00,3.00,0.00,3.00,3.00,NULL,1.00,1.00,0.00,444,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394450,3.00,4.00,0.00,4.00,7.00,6.00,0.00,4.00,2.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17698,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','QUILOMBO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6394477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6394485,5.00,5.00,3.00,6.00,8.00,9.38,1.00,6.00,1.00,317,NULL,NULL,'ROÇADO','S JOSÉ','SC',11976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6394493,5.00,6.00,3.00,2.00,7.00,NULL,0.00,7.00,3.00,5,NULL,NULL,'MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6394507,8.00,8.00,5.00,6.00,9.00,9.38,4.00,5.00,7.00,201,NULL,216,'ASILO','BLUMENAU','SC',1186,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6394515,2.00,1.00,0.00,3.00,3.00,NULL,0.00,0.00,1.00,654,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,15),(25,6394523,4.00,5.00,2.00,3.00,7.00,8.25,3.00,5.00,4.00,201,NULL,233,'CANTO','FLORIANÓPOLIS','SC',9924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6394540,3.00,5.00,2.00,6.00,8.00,9.75,2.00,6.00,6.00,233,NULL,211,'MEDIANEIRA','CAXIAS SUL','RS',7275,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6394558,3.00,6.00,1.00,5.00,4.00,11.63,2.00,3.00,0.00,328,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16967,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394574,5.00,6.00,1.00,7.00,8.00,8.25,0.00,6.00,6.00,5,NULL,NULL,'CENTRO','LONDRINA','PR',9335,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6394582,3.00,5.00,1.00,5.00,7.00,NULL,1.00,0.00,2.00,404,NULL,NULL,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6394604,6.00,7.00,1.00,1.00,7.00,10.13,1.00,2.00,1.00,326,NULL,NULL,'ABERTA DOS MORROS','PTO ALEGRE','RS',13628,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6394612,4.00,6.00,3.00,1.00,6.00,6.75,1.00,4.00,3.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6394620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6394639,2.00,1.00,0.00,2.00,5.00,7.13,0.00,0.00,0.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394655,4.00,6.00,3.00,7.00,5.00,6.38,2.00,3.00,3.00,332,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',14191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6394663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,601,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6394671,3.00,4.00,0.00,5.00,8.00,10.13,1.00,3.00,3.00,329,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6394698,2.00,3.00,2.00,1.00,3.00,5.63,1.00,0.00,1.00,327,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6394701,4.00,8.00,2.00,6.00,5.00,NULL,1.00,6.00,0.00,207,NULL,201,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6394736,0.00,1.00,1.00,5.00,4.00,6.75,2.00,2.00,1.00,335,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394752,5.00,4.00,3.00,5.00,6.00,7.88,2.00,5.00,6.00,203,NULL,214,'IMIGRANTES','CONCÓRDIA','SC',8526,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6394779,3.00,5.00,0.00,3.00,2.00,NULL,2.00,2.00,3.00,101,NULL,NULL,'COSTA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6394809,1.00,2.00,0.00,2.00,3.00,NULL,1.00,2.00,0.00,102,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394817,7.00,7.00,5.00,5.00,7.00,11.63,4.00,4.00,4.00,103,NULL,NULL,'ROÇADO','S JOSÉ','SC',4633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394825,3.00,5.00,3.00,2.00,5.00,8.25,1.00,4.00,3.00,335,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6394833,3.00,5.00,1.00,2.00,3.00,6.00,4.00,5.00,3.00,501,NULL,NULL,'JARDIM HANTSCHEL','RIO NEGRINHO','SC',17951,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6394850,3.00,4.00,0.00,1.00,5.00,9.75,1.00,4.00,3.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18191,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394868,3.00,5.00,5.00,4.00,8.00,7.88,2.00,5.00,2.00,201,NULL,653,'CENTRO','TANGARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6394876,4.00,5.00,3.00,3.00,7.00,9.38,1.00,2.00,2.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16410,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394884,7.00,5.00,2.00,5.00,6.00,6.00,2.00,3.00,5.00,207,NULL,201,'BOM RETIRO','CURITIBA','PR',13434,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6394892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6394906,3.00,4.00,1.00,4.00,2.00,NULL,3.00,4.00,3.00,652,NULL,655,'LARANJINHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6394914,1.00,3.00,2.00,4.00,4.00,5.25,1.00,2.00,3.00,328,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21220,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,655,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',5,15),(25,6394930,6.00,6.00,7.00,3.00,6.00,11.63,3.00,3.00,7.00,214,NULL,212,'MORRO DA GLÓRIA','URUSSANGA','SC',6181,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6394957,7.00,5.00,2.00,6.00,8.00,11.25,3.00,5.00,6.00,103,NULL,NULL,'JARDIM AMÉRICA','GOIÂNIA','GO',3561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6394965,5.00,4.00,2.00,1.00,10.00,7.50,0.00,5.00,5.00,220,NULL,235,'CHACARA SANTA MARIA','EMBU','SP',14724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6394981,5.00,9.00,4.00,3.00,8.00,10.13,5.00,5.00,5.00,316,NULL,NULL,'SAUDADE','BIGUAÇU','SC',4397,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6394990,2.00,3.00,3.00,3.00,5.00,NULL,1.00,4.00,0.00,223,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'CENTRO','LUZERNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6395023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'PALHOCINHA','ANGELINA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6395031,2.00,4.00,0.00,3.00,3.00,7.88,3.00,2.00,3.00,999,NULL,NULL,'RACHADEL','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6395040,3.00,5.00,1.00,6.00,8.00,9.38,2.00,3.00,2.00,5,NULL,NULL,'HUMAITÁ DE CIMA','TUBARÃO','SC',14817,521,NULL,NULL,NULL,NULL,NULL,4,10),(25,6395066,6.00,5.00,2.00,7.00,6.00,11.63,3.00,5.00,4.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',7204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6395074,3.00,3.00,1.00,0.00,6.00,5.63,3.00,0.00,1.00,404,NULL,NULL,'ZONA RURAL','MAREMA','SC',20341,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6395082,3.00,7.00,4.00,3.00,7.00,6.00,2.00,3.00,0.00,201,NULL,212,'ZONA RURAL','SALTINHO','SC',13828,1178,NULL,403,NULL,NULL,NULL,2,4),(25,6395090,4.00,6.00,2.00,5.00,3.00,7.13,1.00,0.00,1.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395104,7.00,6.00,6.00,3.00,8.00,8.25,2.00,6.00,7.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',5501,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6395120,4.00,7.00,2.00,7.00,7.00,6.38,2.00,4.00,1.00,328,NULL,NULL,'PANAZZOLO','CAXIAS SUL','RS',13465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6395139,7.00,4.00,1.00,6.00,10.00,9.38,4.00,6.00,6.00,201,NULL,207,'PONTA AGUDA','BLUMENAU','SC',3836,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6395147,2.00,4.00,4.00,3.00,4.00,7.50,1.00,2.00,1.00,104,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',18924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6395155,6.00,5.00,6.00,5.00,7.00,11.25,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4427,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6395163,5.00,7.00,4.00,7.00,8.00,10.50,2.00,6.00,4.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4723,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6395180,8.00,7.00,4.00,5.00,9.00,7.50,3.00,6.00,9.00,103,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',1870,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6395198,5.00,5.00,2.00,4.00,8.00,0.00,1.00,5.00,5.00,103,NULL,NULL,'TEÓPOLIS','ESTEIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6395201,3.00,6.00,3.00,6.00,5.00,9.38,1.00,4.00,2.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',13667,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395210,4.00,5.00,4.00,5.00,7.00,9.00,2.00,5.00,4.00,302,NULL,NULL,'COLONIA VINTE','TAQUARI','RS',9041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395228,4.00,6.00,1.00,6.00,10.00,10.50,0.00,5.00,3.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',9762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395236,6.00,0.00,2.00,3.00,3.00,6.38,0.00,1.00,3.00,211,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',21011,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395244,2.00,4.00,2.00,5.00,8.00,9.38,0.00,5.00,3.00,110,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6395252,4.00,3.00,1.00,1.00,7.00,7.13,2.00,4.00,2.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',18010,4525,NULL,NULL,NULL,NULL,NULL,4,5),(25,6395260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PARQUE CHAPADÃO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6395287,1.00,4.00,1.00,5.00,6.00,9.00,4.00,3.00,2.00,220,NULL,203,'CENTRO','ARARANGUÁ','SC',16719,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6395295,7.00,6.00,5.00,7.00,8.00,9.00,2.00,5.00,7.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',2564,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6395309,1.00,3.00,1.00,3.00,5.00,7.88,1.00,0.00,1.00,104,NULL,NULL,'CENTRO','IOMERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6395317,1.00,2.00,1.00,3.00,4.00,9.38,1.00,1.00,1.00,302,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'JOSE MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6395333,4.00,6.00,0.00,2.00,7.00,NULL,0.00,2.00,4.00,102,NULL,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6395350,2.00,5.00,1.00,0.00,5.00,6.38,2.00,4.00,2.00,331,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',20947,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6395368,1.00,3.00,1.00,3.00,3.00,8.63,2.00,0.00,1.00,207,NULL,201,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395376,3.00,5.00,0.00,4.00,6.00,NULL,0.00,2.00,2.00,420,NULL,NULL,'PINGUIRITO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6395392,4.00,5.00,1.00,5.00,9.00,NULL,0.00,3.00,2.00,9,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'ESTADOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(25,6395430,3.00,4.00,4.00,3.00,5.00,8.25,1.00,4.00,3.00,207,NULL,211,'PONTA DE BAIXO','S JOSÉ','SC',16730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6395457,6.00,4.00,3.00,3.00,4.00,9.38,0.00,1.00,5.00,103,NULL,NULL,'JARDIM CARUMBÉ','S PAULO','SP',14315,4158,NULL,NULL,NULL,NULL,NULL,2,8),(25,6395473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,426,'FAZ STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6395481,7.00,5.00,5.00,5.00,7.00,10.50,2.00,6.00,5.00,201,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',5359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6395490,3.00,2.00,2.00,2.00,2.00,NULL,2.00,0.00,0.00,502,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6395503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6395511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6395546,6.00,5.00,3.00,3.00,5.00,7.88,3.00,2.00,4.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13623,250,NULL,NULL,NULL,NULL,NULL,4,1),(25,6395554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'ABADIA','UBERABA','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6395562,4.00,3.00,0.00,4.00,7.00,9.75,1.00,4.00,2.00,216,NULL,NULL,'GARCIA','BLUMENAU','SC',16774,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6395570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,425,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6395589,2.00,1.00,0.00,1.00,2.00,NULL,1.00,0.00,2.00,215,NULL,213,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6395597,4.00,6.00,2.00,3.00,7.00,9.75,2.00,5.00,4.00,329,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',10638,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6395600,4.00,1.00,1.00,1.00,2.00,NULL,2.00,1.00,1.00,404,NULL,NULL,'GLORIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6395619,3.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6395627,2.00,4.00,1.00,4.00,2.00,NULL,2.00,1.00,0.00,110,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395635,4.00,5.00,0.00,4.00,8.00,10.50,0.00,4.00,3.00,104,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',10690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395643,1.00,3.00,1.00,1.00,3.00,8.63,2.00,1.00,1.00,309,NULL,NULL,'CENTRO','TIMBÉ SUL','SC',20827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6395651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6395660,2.00,3.00,2.00,4.00,6.00,6.38,2.00,0.00,2.00,216,NULL,213,'JARDIM JUSSARA','ASSIS CHATEAUBRIAND','PR',18724,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'RIO BONITO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6395686,1.00,2.00,1.00,5.00,6.00,7.88,3.00,2.00,0.00,207,NULL,233,'VILA NOVA ALVORADA','IMBITUBA','SC',20113,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6395694,2.00,6.00,3.00,3.00,4.00,NULL,3.00,3.00,1.00,655,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,15),(25,6395708,3.00,1.00,1.00,4.00,4.00,8.25,1.00,0.00,2.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',21418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6395724,1.00,6.00,2.00,1.00,5.00,8.25,1.00,3.00,3.00,202,NULL,211,'BOM VIVER','BIGUAÇU','SC',19074,599,NULL,499,NULL,NULL,NULL,4,1),(25,6395732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','GUARARAPES','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6395740,2.00,1.00,3.00,0.00,4.00,NULL,2.00,0.00,1.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6395759,5.00,4.00,1.00,4.00,5.00,6.75,1.00,3.00,1.00,9,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',20302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395767,2.00,4.00,0.00,6.00,6.00,6.75,2.00,5.00,1.00,9,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',18282,115,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395783,4.00,2.00,0.00,2.00,2.00,NULL,0.00,0.00,1.00,327,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395791,5.00,5.00,5.00,7.00,4.00,6.00,0.00,5.00,5.00,202,NULL,213,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6395805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6395813,2.00,3.00,2.00,5.00,7.00,7.50,0.00,4.00,0.00,301,NULL,NULL,'FAZENDA','ITAJAÍ','SC',19671,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6395821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6395830,4.00,6.00,3.00,2.00,6.00,7.88,0.00,1.00,1.00,502,NULL,NULL,'BELA VISTA','S JOSÉ','SC',18856,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395848,3.00,4.00,1.00,0.00,6.00,NULL,0.00,6.00,0.00,110,NULL,NULL,'CACHOEIRA DE BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395856,6.00,3.00,2.00,7.00,9.00,10.50,2.00,4.00,7.00,103,NULL,NULL,'NAVEGANTES','PTO ALEGRE','RS',5049,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6395864,1.00,3.00,2.00,2.00,3.00,NULL,1.00,0.00,1.00,308,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,220,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6395899,5.00,6.00,0.00,2.00,8.00,8.63,1.00,2.00,3.00,9,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',14230,71,NULL,NULL,NULL,NULL,NULL,4,1),(25,6395902,3.00,5.00,0.00,5.00,6.00,NULL,0.00,4.00,1.00,208,NULL,238,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6395910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'SALGADO FILHO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6395929,3.00,7.00,2.00,5.00,6.00,10.13,2.00,4.00,3.00,317,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395937,4.00,5.00,2.00,3.00,6.00,7.13,0.00,4.00,3.00,104,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',16282,438,NULL,NULL,NULL,NULL,NULL,2,1),(25,6395945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6395953,1.00,1.00,0.00,2.00,5.00,6.38,5.00,0.00,2.00,220,NULL,208,'ZONA RURAL','SALTINHO','SC',20394,494,NULL,548,NULL,NULL,NULL,2,4),(25,6395961,7.00,5.00,6.00,7.00,9.00,10.13,6.00,7.00,8.00,203,NULL,214,'MANGABEIRA','FRA SANTANA','BA',881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6395970,4.00,6.00,0.00,5.00,6.00,NULL,0.00,4.00,2.00,420,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6395996,2.00,4.00,4.00,2.00,3.00,6.75,0.00,0.00,0.00,208,NULL,238,'IGARAS','OTACÍLIO COSTA','SC',21511,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6396003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6396011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6396020,4.00,4.00,3.00,4.00,9.00,9.75,0.00,2.00,4.00,211,NULL,207,'ESTREITO','FLORIANÓPOLIS','SC',11167,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6396038,4.00,3.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'ESTAÇÃO NOVA','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6396046,7.00,6.00,3.00,4.00,7.00,8.25,3.00,4.00,5.00,5,NULL,NULL,'NOVA BELEM','PAULO LOPES','SC',7859,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6396054,5.00,4.00,2.00,3.00,5.00,6.38,0.00,4.00,2.00,234,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',19848,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6396062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,655,'SAO CRISTOVAO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6396089,6.00,4.00,2.00,4.00,3.00,8.25,1.00,4.00,5.00,202,NULL,213,'CENTRO','BARRACÃO','PR',11622,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6396097,2.00,4.00,0.00,3.00,5.00,NULL,1.00,0.00,1.00,225,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6396100,2.00,6.00,1.00,5.00,5.00,7.50,1.00,5.00,2.00,318,NULL,NULL,'VILA BELA','MORRINHOS','GO',17750,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396119,1.00,2.00,0.00,1.00,1.00,NULL,1.00,2.00,1.00,655,NULL,653,'VILA BITENCOURT','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6396127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'SERRA ALTA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6396135,1.00,3.00,1.00,3.00,4.00,7.13,0.00,4.00,5.00,211,NULL,207,'SERRARIA','S JOSÉ','SC',20730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6396143,2.00,5.00,2.00,2.00,4.00,6.75,2.00,2.00,1.00,101,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',21284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(25,6396178,9.00,6.00,2.00,4.00,9.00,7.88,2.00,5.00,5.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',6096,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6396186,2.00,3.00,3.00,1.00,3.00,5.25,1.00,3.00,3.00,501,NULL,NULL,'AGUA AZUL','MARIÓPOLIS','PR',19337,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6396194,5.00,7.00,0.00,4.00,7.00,9.00,2.00,6.00,2.00,103,NULL,NULL,'BOA VISTA','S JOSÉ R PRETO','SP',8496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396208,6.00,7.00,3.00,7.00,8.00,8.25,2.00,8.00,6.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4864,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6396216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6396224,3.00,2.00,0.00,4.00,5.00,0.00,1.00,1.00,0.00,404,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6396232,2.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6396240,1.00,5.00,3.00,1.00,6.00,4.50,2.00,2.00,2.00,224,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',20222,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396267,8.00,8.00,6.00,7.00,10.00,12.75,6.00,8.00,9.00,103,NULL,NULL,'BONFIM','PTO ALEGRE','RS',21,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6396275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,427,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6396283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'UBATUBA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6396291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6396305,6.00,6.00,3.00,4.00,5.00,6.38,3.00,5.00,6.00,3,NULL,NULL,'ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC',11793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396313,2.00,5.00,2.00,3.00,5.00,8.25,1.00,2.00,1.00,238,NULL,208,'BOM ABRIGO','FLORIANÓPOLIS','SC',20080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396321,4.00,6.00,1.00,5.00,6.00,10.88,2.00,4.00,1.00,452,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6396348,6.00,6.00,2.00,5.00,9.00,10.13,2.00,6.00,5.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',6498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396356,4.00,3.00,3.00,3.00,3.00,6.75,1.00,1.00,0.00,103,NULL,NULL,'INTERIOR','ERVAL GRANDE','RS',19517,4645,NULL,NULL,NULL,NULL,NULL,2,4),(25,6396364,2.00,5.00,2.00,3.00,3.00,8.63,0.00,5.00,4.00,333,NULL,NULL,'BUTIATUVINHA','CURITIBA','PR',13629,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6396372,1.00,5.00,1.00,1.00,3.00,7.50,1.00,3.00,1.00,653,NULL,NULL,'CENTRO','CRICIÚMA','SC',21585,251,NULL,NULL,NULL,NULL,NULL,2,15),(25,6396380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'ITAICI II','CALDAS NOVAS','GO',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6396399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CIDADE JARDIM','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6396402,4.00,3.00,2.00,4.00,5.00,6.00,0.00,2.00,4.00,999,NULL,NULL,'SANTA LUZIA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6396410,5.00,5.00,4.00,1.00,4.00,6.38,0.00,6.00,5.00,203,NULL,233,'CENTRO','CANELINHA','SC',13140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396429,5.00,2.00,1.00,1.00,8.00,10.13,1.00,1.00,1.00,108,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',19837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PILARZINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',5,6),(25,6396453,4.00,5.00,3.00,4.00,6.00,10.13,2.00,8.00,2.00,212,NULL,220,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',11217,324,NULL,324,NULL,NULL,NULL,2,1),(25,6396461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'JARDIM PETRÓPOLIS','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6396470,2.00,0.00,0.00,2.00,8.00,NULL,0.00,0.00,0.00,655,NULL,652,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(25,6396488,3.00,4.00,2.00,4.00,4.00,6.75,0.00,5.00,3.00,501,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',17097,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6396496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6396500,5.00,4.00,4.00,5.00,6.00,9.38,3.00,3.00,9.00,103,NULL,NULL,'BOA VISTA','PNT GROSSA','PR',6057,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6396518,5.00,4.00,0.00,0.00,4.00,NULL,1.00,2.00,2.00,110,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396542,1.00,3.00,1.00,3.00,3.00,5.63,0.00,1.00,0.00,101,NULL,NULL,'SERRARIA','S JOSÉ','SC',21791,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6396550,4.00,3.00,1.00,3.00,5.00,6.75,2.00,1.00,2.00,551,NULL,NULL,'SÃO LUIS','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6396569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETRÓPOLIS','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6396577,4.00,5.00,2.00,5.00,7.00,9.00,0.00,5.00,3.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',12399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396585,2.00,4.00,1.00,3.00,4.00,6.00,0.00,4.00,0.00,404,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',21262,108,NULL,NULL,NULL,NULL,NULL,2,1),(25,6396593,3.00,4.00,0.00,1.00,3.00,9.00,0.00,4.00,2.00,109,NULL,NULL,'VILA NOVA','IMBITUBA','SC',19856,138,NULL,NULL,NULL,NULL,NULL,4,10),(25,6396607,6.00,4.00,1.00,5.00,8.00,10.13,2.00,3.00,2.00,301,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396615,2.00,2.00,2.00,1.00,5.00,6.00,0.00,0.00,1.00,5,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6396623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6396631,7.00,6.00,0.00,7.00,7.00,8.63,1.00,7.00,6.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7395,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6396666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','JARDINÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6396682,1.00,2.00,3.00,1.00,5.00,6.00,0.00,2.00,2.00,225,NULL,NULL,'GLORIA','BLUMENAU','SC',21527,39,NULL,NULL,NULL,NULL,NULL,2,2),(25,6396690,3.00,2.00,3.00,2.00,4.00,7.13,1.00,1.00,0.00,654,NULL,NULL,'VIAMOPOLIS','VIAMÃO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6396704,5.00,5.00,5.00,5.00,5.00,7.50,2.00,6.00,4.00,202,NULL,235,'VILA MOEMA','TUBARÃO','SC',8424,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6396712,5.00,5.00,1.00,4.00,7.00,10.88,2.00,1.00,1.00,444,NULL,NULL,'JARDIM MINUANO','S JOAQUIM','SC',16447,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6396720,7.00,4.00,4.00,3.00,4.00,8.25,2.00,2.00,2.00,103,NULL,NULL,'MARTORANO','S JOAQUIM','SC',16033,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6396747,2.00,4.00,3.00,4.00,3.00,8.25,3.00,1.00,3.00,224,NULL,NULL,'BARREIROS','S JOSÉ','SC',20153,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6396763,3.00,6.00,5.00,5.00,4.00,11.25,4.00,7.00,4.00,222,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6396798,2.00,5.00,0.00,0.00,4.00,9.00,0.00,0.00,2.00,303,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',21652,878,NULL,NULL,NULL,NULL,NULL,4,8),(25,6396801,5.00,6.00,1.00,3.00,7.00,7.13,2.00,4.00,1.00,427,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17294,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6396810,1.00,3.00,4.00,2.00,5.00,5.25,1.00,3.00,3.00,101,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396828,5.00,7.00,1.00,0.00,7.00,NULL,0.00,5.00,1.00,453,NULL,NULL,'CLÉLIA BERNARDES','VIÇOSA','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',3,8),(25,6396844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CARANDÁ BOSQUE','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6396852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'JARDIM IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6396860,3.00,5.00,3.00,6.00,5.00,8.63,1.00,5.00,3.00,215,NULL,216,'BOSQUE','CURITIBANOS','SC',13312,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6396879,1.00,6.00,2.00,7.00,8.00,11.63,0.00,4.00,4.00,207,NULL,201,'CIDADE JARDIM','S JOSÉ R PRETO','SP',8086,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396887,4.00,3.00,1.00,4.00,5.00,6.00,0.00,3.00,2.00,316,NULL,NULL,'ARRAIAL DA JUDA','PTO SEGURO','BA',20839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396895,4.00,4.00,2.00,5.00,7.00,9.75,2.00,3.00,1.00,201,NULL,207,'VILA PROGRESSO','DOURADOS','MS',11526,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6396909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6396925,2.00,3.00,3.00,2.00,5.00,5.63,1.00,4.00,1.00,103,NULL,NULL,'CENTRO','LAGES','SC',18764,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6396941,4.00,6.00,2.00,3.00,4.00,NULL,2.00,1.00,0.00,332,NULL,NULL,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6396950,2.00,3.00,0.00,2.00,2.00,NULL,1.00,0.00,1.00,103,NULL,NULL,'CENTRO','TUNAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6396968,4.00,1.00,0.00,1.00,5.00,6.00,1.00,2.00,0.00,301,NULL,NULL,'VARJEM DO BOM JESUS','FLORIANÓPOLIS','SC',21747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6396976,4.00,7.00,4.00,7.00,10.00,11.25,5.00,7.00,5.00,308,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',2486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6396984,3.00,5.00,1.00,2.00,3.00,8.25,2.00,1.00,3.00,404,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6396992,3.00,6.00,2.00,2.00,7.00,6.75,2.00,3.00,5.00,444,NULL,NULL,'CACHOIERA DO BOM J','FLORIANÓPOLIS','SC',13564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397000,7.00,5.00,1.00,4.00,6.00,7.88,0.00,3.00,3.00,301,NULL,NULL,'BOSQUE DAS MANSÕES','S JOSÉ','SC',16176,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6397018,1.00,2.00,1.00,3.00,4.00,6.75,1.00,3.00,0.00,302,NULL,NULL,'PINHEIRA','PALHOÇA','SC',20946,192,NULL,NULL,NULL,NULL,NULL,2,1),(25,6397026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6397042,5.00,2.00,3.00,5.00,5.00,10.50,1.00,4.00,2.00,215,NULL,233,'ITAGUAÇU','FLORIANÓPOLIS','SC',15201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397069,4.00,0.00,0.00,3.00,7.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6397077,3.00,2.00,1.00,2.00,6.00,7.13,2.00,0.00,0.00,503,NULL,NULL,'OLIVEIRA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6397085,3.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6397093,9.00,6.00,3.00,5.00,8.00,10.50,1.00,6.00,6.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',4613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397107,4.00,4.00,4.00,0.00,4.00,6.38,2.00,0.00,3.00,207,NULL,211,'CENTRO','LAGES','SC',20897,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6397115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOSSUNGUÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6397123,2.00,3.00,4.00,3.00,1.00,NULL,2.00,2.00,1.00,601,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6397131,4.00,4.00,2.00,3.00,4.00,5.63,0.00,3.00,1.00,652,NULL,208,'COLONINHA','FLORIANÓPOLIS','SC',20684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397140,7.00,6.00,3.00,5.00,9.00,9.00,1.00,5.00,6.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',5278,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6397158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'PEREQUÊ','PTO BELO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6397166,2.00,4.00,0.00,3.00,8.00,10.13,2.00,3.00,3.00,340,NULL,NULL,'SITIO','CORBÉLIA','PR',13770,314,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397174,2.00,4.00,1.00,4.00,5.00,NULL,0.00,3.00,2.00,201,NULL,207,'VILA LOPACINSKI','MALLET','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6397190,7.00,7.00,5.00,6.00,9.00,10.88,5.00,8.00,7.00,211,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',874,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397204,4.00,0.00,3.00,2.00,6.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(25,6397212,7.00,7.00,3.00,7.00,8.00,8.25,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',1410,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6397220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,652,'CENTRO','RIO CEDROS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6397239,1.00,0.00,0.00,5.00,7.00,NULL,0.00,0.00,0.00,425,NULL,426,'DE VILLA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(25,6397247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6397255,0.00,1.00,0.00,2.00,3.00,6.00,2.00,1.00,0.00,5,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',21653,721,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397263,2.00,3.00,0.00,2.00,4.00,NULL,1.00,0.00,0.00,302,NULL,NULL,'MORADA DO SOL','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397280,7.00,7.00,3.00,5.00,8.00,9.38,2.00,6.00,4.00,207,NULL,201,'CENTRO','ITAIÓPOLIS','SC',4851,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6397298,6.00,7.00,2.00,6.00,6.00,6.00,4.00,6.00,2.00,420,NULL,NULL,'CENTRO','CRICIÚMA','SC',10035,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6397301,3.00,7.00,0.00,3.00,5.00,NULL,3.00,3.00,2.00,652,NULL,655,'VILA SAO JOSE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6397310,0.00,6.00,1.00,1.00,2.00,NULL,1.00,2.00,0.00,653,NULL,NULL,'JARDIN MARISTELA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6397328,3.00,5.00,1.00,3.00,3.00,NULL,0.00,3.00,1.00,327,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6397336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6397344,2.00,5.00,2.00,2.00,6.00,6.00,2.00,4.00,3.00,653,NULL,652,'MATO ALTO','ARARANGUÁ','SC',19814,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6397360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6397379,6.00,6.00,0.00,5.00,7.00,9.38,2.00,5.00,5.00,108,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',7778,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6397387,5.00,4.00,3.00,7.00,6.00,6.00,2.00,4.00,7.00,103,NULL,NULL,'CATARINA FONTANA','CONCÓRDIA','SC',8079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397395,7.00,7.00,4.00,3.00,6.00,7.88,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','CAXIAS SUL','RS',8678,3320,NULL,NULL,NULL,NULL,NULL,2,9),(25,6397409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,207,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6397417,5.00,7.00,2.00,6.00,6.00,9.38,2.00,2.00,4.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',9442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397425,2.00,4.00,2.00,2.00,5.00,7.13,3.00,3.00,2.00,318,NULL,NULL,'IPIRANGA','S JOSÉ','SC',18206,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6397433,5.00,5.00,3.00,2.00,6.00,10.13,2.00,3.00,3.00,5,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',13167,456,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397441,5.00,6.00,1.00,3.00,6.00,6.00,1.00,4.00,6.00,3,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',13756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397450,6.00,3.00,1.00,6.00,7.00,10.50,1.00,3.00,3.00,333,NULL,NULL,'SANTANA','S PAULO','SP',10868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6397476,2.00,4.00,0.00,5.00,8.00,9.75,2.00,3.00,2.00,319,NULL,NULL,'CAMPACHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6397484,4.00,7.00,1.00,6.00,6.00,10.13,1.00,4.00,3.00,103,NULL,NULL,'CIDADE JARDIM','LIMEIRA','SP',9816,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397492,2.00,0.00,0.00,4.00,8.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(25,6397506,7.00,6.00,6.00,6.00,9.00,9.38,5.00,6.00,8.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',1259,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6397514,0.00,2.00,3.00,3.00,2.00,NULL,2.00,0.00,1.00,103,NULL,NULL,'CENTRO','AGROLÂNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6397522,5.00,4.00,3.00,4.00,6.00,6.75,1.00,2.00,1.00,108,NULL,NULL,'JARDIM DOS AÇORES','BIGUAÇU','SC',18816,278,NULL,NULL,NULL,NULL,NULL,2,1),(25,6397530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6397549,2.00,5.00,3.00,6.00,7.00,7.88,2.00,4.00,2.00,234,NULL,NULL,'SAO JOAO','ITAJAÍ','SC',15968,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6397557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6397565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6397573,8.00,7.00,4.00,6.00,8.00,7.50,0.00,6.00,7.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',3327,1829,NULL,NULL,NULL,NULL,NULL,2,1),(25,6397590,3.00,5.00,3.00,2.00,5.00,8.63,3.00,3.00,3.00,309,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6397603,2.00,6.00,2.00,2.00,5.00,9.38,3.00,1.00,0.00,5,NULL,NULL,'VILA RICA','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6397620,5.00,5.00,3.00,6.00,7.00,9.75,0.00,6.00,5.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',9203,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6397638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM HASTCHEL','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6397646,4.00,5.00,3.00,5.00,5.00,8.25,2.00,1.00,4.00,103,NULL,NULL,'CENTRO','NOVA E SUDOESTE','PR',13185,4025,NULL,NULL,NULL,NULL,NULL,2,4),(25,6397654,6.00,5.00,2.00,4.00,6.00,10.13,0.00,4.00,4.00,216,NULL,215,'CENTRO','S LOURENÇO OESTE','SC',10816,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6397662,4.00,4.00,1.00,4.00,5.00,9.00,3.00,3.00,0.00,450,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397670,2.00,3.00,2.00,2.00,1.00,NULL,3.00,0.00,2.00,426,NULL,428,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397689,6.00,4.00,3.00,2.00,5.00,6.00,1.00,7.00,3.00,103,NULL,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6397697,4.00,1.00,1.00,4.00,7.00,11.63,1.00,2.00,1.00,452,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6397700,3.00,3.00,4.00,5.00,4.00,7.50,3.00,3.00,2.00,999,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397727,4.00,6.00,1.00,5.00,7.00,9.75,3.00,2.00,6.00,999,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397735,5.00,6.00,2.00,5.00,8.00,9.38,1.00,5.00,3.00,103,NULL,NULL,'CENTRO','GUARACIABA','SC',9269,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6397743,4.00,5.00,2.00,1.00,5.00,NULL,0.00,4.00,1.00,333,NULL,NULL,'LIDER','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(25,6397751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6397760,6.00,5.00,0.00,5.00,7.00,9.75,0.00,4.00,4.00,211,NULL,215,'MENINO DEUS','JOAÇABA','SC',12326,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6397778,2.00,4.00,0.00,3.00,8.00,8.63,2.00,3.00,0.00,319,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397786,1.00,5.00,1.00,4.00,5.00,7.50,2.00,1.00,4.00,103,NULL,NULL,'SANGA DA TOCA II','ARARANGUÁ','SC',20293,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6397794,0.00,3.00,1.00,2.00,2.00,NULL,1.00,0.00,1.00,452,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6397816,2.00,6.00,0.00,6.00,5.00,9.75,1.00,3.00,3.00,207,NULL,NULL,'CENTRO','JOAÇABA','SC',12783,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6397832,8.00,4.00,6.00,7.00,10.00,9.75,0.00,6.00,7.00,103,NULL,NULL,'SUMAREZINHO','S PAULO','SP',1648,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6397840,1.00,0.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6397859,3.00,3.00,2.00,3.00,4.00,9.00,0.00,0.00,2.00,427,NULL,425,'INGLESES','FLORIANÓPOLIS','SC',21176,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6397875,3.00,3.00,1.00,3.00,6.00,6.00,3.00,0.00,3.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',20140,143,NULL,NULL,NULL,NULL,NULL,2,1),(25,6397891,3.00,5.00,0.00,4.00,7.00,7.50,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','MONDAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6397905,9.00,6.00,5.00,6.00,8.00,9.75,4.00,5.00,9.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1147,775,NULL,NULL,NULL,NULL,NULL,2,8),(25,6397921,2.00,3.00,0.00,1.00,4.00,7.50,1.00,0.00,3.00,317,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6397930,4.00,2.00,0.00,1.00,6.00,NULL,2.00,5.00,0.00,404,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,7),(25,6397948,4.00,7.00,2.00,8.00,6.00,10.13,2.00,4.00,2.00,429,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',10739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6397956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,238,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6397964,7.00,8.00,4.00,7.00,7.00,10.50,3.00,7.00,8.00,233,NULL,215,'KOBRASOL','S JOSÉ','SC',1883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6397980,4.00,5.00,0.00,2.00,8.00,NULL,4.00,3.00,3.00,420,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6397999,3.00,0.00,2.00,2.00,8.00,NULL,0.00,0.00,0.00,220,NULL,202,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,9),(25,6398006,0.00,0.00,1.00,0.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ILHOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6398014,1.00,4.00,2.00,2.00,3.00,7.50,1.00,2.00,3.00,212,NULL,201,'VILA MOEMA','TUBARÃO','SC',21117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6398030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TANGARÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6398049,2.00,6.00,2.00,3.00,2.00,NULL,2.00,6.00,1.00,339,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6398057,2.00,5.00,3.00,5.00,5.00,8.63,3.00,5.00,0.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6398065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IMPERIAL','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6398073,5.00,6.00,3.00,6.00,4.00,7.50,3.00,2.00,0.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6398081,2.00,3.00,3.00,5.00,7.00,6.75,2.00,1.00,3.00,999,NULL,NULL,'PICANÇO','GUARULHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6398090,2.00,2.00,0.00,2.00,0.00,NULL,0.00,1.00,1.00,201,NULL,203,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6398103,5.00,7.00,2.00,6.00,8.00,11.25,1.00,5.00,6.00,303,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',5487,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6398120,2.00,6.00,3.00,3.00,6.00,9.75,2.00,4.00,2.00,205,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6398138,5.00,6.00,2.00,0.00,9.00,8.63,1.00,4.00,0.00,303,NULL,NULL,'CENTRO','IPIRA','SC',11530,541,NULL,NULL,NULL,NULL,NULL,4,7),(25,6398146,3.00,5.00,2.00,2.00,7.00,7.13,1.00,3.00,3.00,303,NULL,NULL,'LUCAS ARAÚJO','PASSO FUNDO','RS',15547,699,NULL,NULL,NULL,NULL,NULL,3,1),(25,6398154,4.00,5.00,0.00,2.00,5.00,7.50,1.00,5.00,4.00,317,NULL,NULL,'CENTRO','TIJUCAS','SC',15449,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6398170,4.00,4.00,2.00,5.00,6.00,NULL,0.00,3.00,1.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6398189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,233,'VILA GERMER','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6398197,3.00,6.00,3.00,3.00,8.00,9.75,2.00,3.00,5.00,319,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',10920,185,NULL,NULL,NULL,NULL,NULL,4,2),(25,6398219,3.00,5.00,2.00,4.00,6.00,8.25,2.00,3.00,1.00,109,NULL,NULL,'PRAIA DO FORTE','FLORIANÓPOLIS','SC',18448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6398227,7.00,3.00,1.00,2.00,4.00,6.00,1.00,4.00,3.00,5,NULL,NULL,'CENTRO','NOVA E SUDOESTE','PR',16529,580,NULL,NULL,NULL,NULL,NULL,4,4),(25,6398235,5.00,3.00,3.00,4.00,2.00,NULL,1.00,2.00,2.00,2,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6398243,2.00,4.00,5.00,6.00,9.00,9.38,2.00,4.00,0.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11459,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6398251,4.00,6.00,1.00,6.00,5.00,8.25,3.00,2.00,4.00,208,NULL,NULL,'CENTRO','SALTINHO','SC',12430,232,NULL,NULL,NULL,NULL,NULL,2,4),(25,6398260,3.00,6.00,0.00,3.00,8.00,NULL,2.00,5.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6398278,4.00,5.00,2.00,5.00,4.00,9.38,3.00,2.00,2.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',13373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6398286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6398294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,216,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6398316,5.00,5.00,6.00,1.00,8.00,9.75,3.00,2.00,5.00,208,NULL,220,'CERÂMICA','ERECHIM','RS',7834,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6398332,4.00,4.00,2.00,2.00,4.00,9.00,2.00,2.00,3.00,317,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',18890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6398340,2.00,1.00,1.00,4.00,1.00,NULL,1.00,2.00,0.00,423,NULL,425,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6398359,7.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(25,6398367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6398375,6.00,6.00,3.00,6.00,8.00,7.50,1.00,7.00,7.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',5692,2625,NULL,NULL,NULL,NULL,NULL,2,1),(25,6398383,3.00,2.00,0.00,3.00,5.00,NULL,3.00,3.00,2.00,214,NULL,213,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6398391,6.00,7.00,5.00,5.00,7.00,11.25,1.00,5.00,2.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6398405,6.00,7.00,2.00,5.00,8.00,7.13,2.00,7.00,5.00,3,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7638,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6398413,2.00,5.00,2.00,3.00,4.00,7.50,2.00,4.00,2.00,999,NULL,NULL,'BUDAG','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6398421,2.00,4.00,1.00,4.00,6.00,9.38,2.00,3.00,4.00,223,NULL,NULL,'MICHEL','CRICIÚMA','SC',17074,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6398430,1.00,2.00,1.00,3.00,7.00,6.75,0.00,2.00,3.00,201,NULL,212,'CENTRO','LAURENTINO','SC',21234,1709,NULL,593,NULL,NULL,NULL,4,2),(25,6398448,4.00,5.00,3.00,1.00,3.00,8.63,2.00,1.00,3.00,212,NULL,201,'CENTRO','ARROIO TRINTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6398456,3.00,4.00,2.00,2.00,7.00,9.38,2.00,2.00,2.00,101,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',18769,133,NULL,NULL,NULL,NULL,NULL,2,1),(25,6398464,8.00,6.00,3.00,6.00,8.00,10.13,3.00,8.00,5.00,340,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',1915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6398472,1.00,1.00,2.00,4.00,7.00,7.50,1.00,0.00,1.00,103,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6398480,3.00,6.00,2.00,6.00,9.00,8.25,1.00,6.00,5.00,999,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6398502,3.00,5.00,3.00,6.00,7.00,NULL,0.00,4.00,2.00,103,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6398510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'JARDIM NOVA ITALIA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6398529,7.00,6.00,2.00,7.00,8.00,8.63,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','FARROUPILHA','RS',3559,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6398537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CARAVAGGIO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6398545,2.00,5.00,4.00,1.00,6.00,NULL,2.00,1.00,0.00,318,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6398553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'LESTE UNIVERSITARIO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6398588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'COLONIAL','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6398596,0.00,2.00,2.00,3.00,3.00,NULL,2.00,0.00,2.00,203,NULL,201,'TABOÃO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6398600,2.00,2.00,1.00,2.00,3.00,NULL,2.00,0.00,0.00,999,NULL,NULL,'SANTA LÚCIA','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6398618,4.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6398626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'DAS TORRES','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6398634,8.00,7.00,3.00,4.00,9.00,NULL,0.00,9.00,7.00,103,NULL,NULL,'SANTA LUZIA','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6398642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'FABRICIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6398650,3.00,6.00,3.00,6.00,8.00,11.63,2.00,6.00,1.00,320,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6398669,2.00,4.00,0.00,3.00,4.00,NULL,0.00,0.00,1.00,999,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6398677,4.00,6.00,0.00,6.00,7.00,6.00,2.00,1.00,2.00,109,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6398685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6398693,2.00,3.00,0.00,2.00,3.00,6.75,3.00,1.00,0.00,303,NULL,NULL,'IATE CLUBE','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6398707,3.00,5.00,0.00,3.00,3.00,6.00,2.00,1.00,3.00,202,NULL,211,'CENTRO','CAPIVARI BAIXO','SC',21140,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6398715,3.00,6.00,2.00,4.00,7.00,6.75,1.00,5.00,1.00,102,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',13062,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6398723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA MÔNICA','UBERLÂNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6398731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6398740,5.00,4.00,1.00,4.00,6.00,7.88,1.00,2.00,0.00,103,NULL,NULL,'CENTRO','MAFRA','SC',16528,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6398758,5.00,5.00,3.00,6.00,8.00,12.00,3.00,1.00,2.00,303,NULL,NULL,'CENTRO','NAVEGANTES','SC',8907,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6398766,3.00,0.00,2.00,2.00,5.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6398774,2.00,3.00,3.00,2.00,2.00,NULL,2.00,1.00,2.00,653,NULL,NULL,'POLICIA RODOVIARIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6398782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'COLINA','VARGEÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6398790,3.00,3.00,1.00,3.00,4.00,7.13,1.00,0.00,2.00,235,NULL,655,'PRAÇA','TIJUCAS','SC',19660,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6398804,5.00,7.00,3.00,5.00,6.00,7.50,2.00,5.00,3.00,444,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',11963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6398812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CENTRO OU JD BETÂNIA','VARGEM G PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6398839,2.00,4.00,3.00,2.00,3.00,7.50,1.00,0.00,1.00,999,NULL,NULL,'NAÇÕES','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6398855,3.00,4.00,0.00,5.00,6.00,9.38,2.00,3.00,2.00,9,NULL,NULL,'N S DAS GRAÇAS','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6398898,4.00,5.00,3.00,6.00,4.00,8.25,4.00,5.00,6.00,238,NULL,208,'COQUEIROS','FLORIANÓPOLIS','SC',8699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6398901,1.00,2.00,4.00,4.00,6.00,6.00,0.00,2.00,1.00,202,NULL,213,'JARDIM BANDEIRANTES','TELÊMACO BORBA','PR',18583,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6398910,2.00,6.00,2.00,3.00,6.00,NULL,0.00,2.00,1.00,201,NULL,212,'SÃO VICENTE DE PAULA','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6398928,3.00,2.00,2.00,3.00,7.00,5.63,3.00,2.00,3.00,601,NULL,202,'BOA VISTA','JOINVILLE','SC',18616,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6398936,2.00,0.00,1.00,6.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(25,6398944,2.00,5.00,3.00,5.00,3.00,4.88,3.00,3.00,1.00,340,NULL,NULL,'CENTRO','CRICIÚMA','SC',19300,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6398952,2.00,3.00,1.00,3.00,5.00,8.25,0.00,2.00,1.00,201,NULL,207,'CENTRO','S JOÃO OESTE','SC',19480,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6398979,5.00,6.00,3.00,5.00,9.00,9.75,2.00,3.00,2.00,109,NULL,NULL,'AREIAS','S JOSÉ','SC',10534,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6398987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6398995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6399002,3.00,2.00,2.00,3.00,7.00,6.38,3.00,2.00,3.00,502,NULL,NULL,'JARDIM ACAPULCO','S CARLOS','SP',15943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6399010,6.00,5.00,1.00,3.00,7.00,8.25,2.00,6.00,3.00,450,NULL,NULL,'CENTRO','CHAPECÓ','SC',9834,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6399029,7.00,5.00,0.00,2.00,8.00,6.38,3.00,7.00,3.00,5,NULL,NULL,'STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC',11564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6399037,3.00,4.00,5.00,1.00,4.00,7.50,3.00,5.00,2.00,999,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6399045,0.00,6.00,0.00,0.00,0.00,NULL,2.00,7.00,2.00,203,NULL,216,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',4,4),(25,6399053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CASTELO BRANCO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6399061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6399070,7.00,4.00,6.00,7.00,3.00,9.00,2.00,7.00,5.00,203,NULL,214,'AMÉRICA','JOINVILLE','SC',5740,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6399088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6399096,6.00,4.00,1.00,1.00,8.00,10.88,2.00,3.00,4.00,601,NULL,203,'CENTRO','UMUARAMA','PR',10817,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6399100,3.00,2.00,1.00,5.00,6.00,7.13,2.00,0.00,0.00,319,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6399118,6.00,5.00,2.00,4.00,5.00,7.88,2.00,5.00,3.00,103,NULL,NULL,'PRIMEIRO DE MAIO','FARROUPILHA','RS',12286,3898,NULL,NULL,NULL,NULL,NULL,2,1),(25,6399126,7.00,5.00,1.00,5.00,10.00,8.63,2.00,5.00,3.00,999,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6399134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,452,NULL,NULL,'SÃO LUCAS','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6399142,4.00,6.00,4.00,2.00,3.00,5.25,2.00,2.00,3.00,551,NULL,NULL,'ESTREITO','ALFREDO WAGNER','SC',19562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6399150,3.00,3.00,1.00,5.00,6.00,9.00,0.00,4.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6399169,4.00,4.00,0.00,2.00,6.00,6.00,1.00,3.00,0.00,339,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',20789,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6399177,4.00,6.00,3.00,5.00,7.00,7.50,0.00,5.00,3.00,201,NULL,208,'AGRONOMICA','FLORIANÓPOLIS','SC',11171,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6399185,6.00,5.00,2.00,3.00,5.00,8.63,0.00,2.00,2.00,103,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',18568,4560,NULL,NULL,NULL,NULL,NULL,4,17),(25,6399193,5.00,5.00,3.00,3.00,7.00,10.13,2.00,4.00,4.00,211,NULL,201,'ARMAÇÃO','FLORIANÓPOLIS','SC',9476,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6399215,6.00,7.00,1.00,4.00,5.00,8.63,3.00,4.00,2.00,304,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',14112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6399223,0.00,2.00,1.00,2.00,1.00,NULL,1.00,0.00,2.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6399231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6399240,4.00,5.00,2.00,5.00,7.00,8.63,3.00,5.00,2.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6399258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6399266,8.00,7.00,5.00,6.00,9.00,8.63,3.00,4.00,8.00,103,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',1921,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6399274,1.00,0.00,1.00,2.00,3.00,NULL,0.00,2.00,0.00,317,NULL,NULL,'RIO TAVERES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6399282,3.00,3.00,1.00,2.00,4.00,NULL,2.00,0.00,1.00,654,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6399290,2.00,6.00,4.00,7.00,8.00,11.25,1.00,4.00,3.00,108,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8637,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6399304,2.00,5.00,0.00,4.00,5.00,8.25,1.00,3.00,1.00,444,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',19905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6399312,4.00,5.00,2.00,4.00,5.00,7.13,1.00,1.00,0.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18985,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6399320,1.00,4.00,2.00,3.00,2.00,NULL,3.00,2.00,0.00,104,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6399339,3.00,6.00,2.00,5.00,7.00,10.13,0.00,3.00,3.00,999,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6399347,2.00,4.00,0.00,1.00,6.00,NULL,0.00,2.00,0.00,101,NULL,NULL,'RIO SALTO','TREZE MAIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6399355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6399363,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6399371,4.00,5.00,2.00,4.00,4.00,7.88,0.00,4.00,2.00,301,NULL,NULL,'SANTA TEREZA','VIDEIRA','SC',18898,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6399380,2.00,4.00,0.00,2.00,7.00,NULL,1.00,5.00,1.00,328,NULL,NULL,'VIGOLO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6399398,1.00,6.00,0.00,0.00,4.00,6.38,2.00,3.00,2.00,338,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',20980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6399401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6399410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COLONIAL','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6399436,4.00,5.00,2.00,4.00,7.00,6.00,2.00,3.00,2.00,310,NULL,NULL,'CENTRO','S JOSÉ','SC',17208,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6399444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','ABATIÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6399452,7.00,7.00,3.00,7.00,9.00,10.13,2.00,7.00,7.00,216,NULL,215,'PRIMEIRA LINHA','CRICIÚMA','SC',2884,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6399479,3.00,6.00,1.00,3.00,8.00,NULL,0.00,3.00,2.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6399487,5.00,3.00,2.00,3.00,6.00,9.75,1.00,5.00,3.00,103,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',16148,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6399495,6.00,5.00,1.00,6.00,6.00,10.13,1.00,4.00,6.00,104,NULL,NULL,'SAO JOAO','PTO ALEGRE','RS',8461,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6399509,3.00,4.00,2.00,1.00,5.00,7.50,1.00,1.00,1.00,310,NULL,NULL,'ZONA NOVA SUL','BAL ARROIO SILVA','SC',21202,43,NULL,NULL,NULL,NULL,NULL,4,15),(25,6399517,4.00,4.00,4.00,6.00,9.00,6.75,2.00,6.00,3.00,108,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8688,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6399525,2.00,3.00,0.00,5.00,5.00,NULL,3.00,4.00,0.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6399541,4.00,6.00,2.00,2.00,5.00,7.50,2.00,1.00,2.00,110,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6399550,6.00,7.00,5.00,6.00,5.00,7.88,3.00,7.00,4.00,202,NULL,203,'AGRONOMICA','FLORIANÓPOLIS','SC',5716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6399568,4.00,5.00,2.00,6.00,6.00,7.88,0.00,0.00,1.00,211,NULL,601,'CARIANOS','FLORIANÓPOLIS','SC',15616,405,NULL,NULL,NULL,NULL,NULL,4,1),(25,6399576,2.00,3.00,2.00,1.00,3.00,6.00,1.00,0.00,0.00,601,NULL,201,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6399584,5.00,7.00,2.00,4.00,7.00,9.00,2.00,7.00,2.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6399592,5.00,5.00,4.00,7.00,9.00,NULL,0.00,5.00,3.00,303,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6399606,8.00,8.00,2.00,5.00,7.00,9.00,5.00,6.00,6.00,103,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',3988,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6399614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PALMITINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6399622,5.00,4.00,7.00,5.00,7.00,9.75,2.00,4.00,6.00,201,NULL,212,'SANTANA','GUARAPUAVA','PR',5404,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6399649,4.00,4.00,2.00,2.00,7.00,6.38,2.00,3.00,2.00,338,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',19450,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6399665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6399673,3.00,0.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6399681,3.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(25,6399690,4.00,2.00,2.00,4.00,5.00,9.75,2.00,0.00,4.00,5,NULL,NULL,'GARAPUVU','ERMO','SC',15262,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6399703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6399711,8.00,6.00,5.00,5.00,7.00,9.38,4.00,8.00,8.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',2337,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6399720,3.00,6.00,1.00,2.00,6.00,6.75,2.00,4.00,4.00,999,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6399738,3.00,6.00,3.00,3.00,9.00,12.00,0.00,2.00,3.00,211,NULL,215,'LÍDER','CHAPECÓ','SC',9251,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6399746,3.00,4.00,2.00,2.00,5.00,6.38,3.00,4.00,3.00,201,NULL,212,'SÃO LOURENÇO','CURITIBA','PR',15822,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6399754,5.00,4.00,2.00,5.00,3.00,5.25,1.00,3.00,4.00,207,NULL,212,'FLORESTA','CONCÓRDIA','SC',19569,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6399762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','S LUIZ GONZAGA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6399770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM VIRGINIA','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6399789,2.00,4.00,3.00,2.00,3.00,10.50,0.00,1.00,2.00,329,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6399797,4.00,5.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'TIRADENTES','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6399800,1.00,2.00,0.00,2.00,5.00,7.13,2.00,0.00,1.00,316,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6399827,4.00,4.00,2.00,4.00,7.00,8.63,4.00,3.00,1.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',16238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6399835,2.00,2.00,2.00,2.00,3.00,NULL,2.00,0.00,0.00,319,NULL,NULL,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6399843,3.00,6.00,1.00,4.00,9.00,8.25,2.00,2.00,4.00,999,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6399851,2.00,5.00,3.00,2.00,4.00,7.88,1.00,3.00,3.00,235,NULL,213,'JD ATLÂNTICO','FLORIANÓPOLIS','SC',18960,451,NULL,278,NULL,NULL,NULL,4,1),(25,6399860,5.00,7.00,2.00,2.00,7.00,5.63,2.00,4.00,3.00,101,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6399878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6399894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PARAISO','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6399908,7.00,5.00,5.00,5.00,7.00,6.38,2.00,5.00,7.00,108,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',6065,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6399916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6399924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6399940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'SÃO JOSE','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6399959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'INDUSTRIAL','S MARCOS','RS',NULL,NULL,NULL,NULL,'S','S','S',5,8),(25,6399967,2.00,1.00,2.00,3.00,3.00,4.50,2.00,2.00,0.00,238,NULL,208,'SAO SEBASTIAO','PALHOÇA','SC',21001,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6399975,2.00,3.00,1.00,4.00,5.00,9.38,1.00,2.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6399991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,233,'BOSQUE DO REPOUSO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6400000,2.00,6.00,0.00,3.00,8.00,NULL,2.00,0.00,1.00,601,NULL,235,'COLINA VERDE','FARTURA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400019,4.00,2.00,3.00,2.00,6.00,NULL,0.00,4.00,2.00,216,NULL,202,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6400035,4.00,5.00,0.00,2.00,5.00,NULL,1.00,5.00,0.00,208,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400043,2.00,3.00,0.00,3.00,3.00,NULL,0.00,3.00,1.00,451,NULL,NULL,'CENTRO','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6400051,5.00,3.00,2.00,6.00,5.00,NULL,0.00,3.00,0.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6400060,2.00,6.00,3.00,5.00,5.00,7.88,2.00,4.00,3.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17138,114,NULL,NULL,NULL,NULL,NULL,2,1),(25,6400086,2.00,2.00,2.00,4.00,6.00,9.00,4.00,1.00,0.00,103,NULL,NULL,'HUMAÍTA DE CIMA','TUBARÃO','SC',16736,4412,NULL,NULL,NULL,NULL,NULL,4,10),(25,6400094,3.00,6.00,5.00,7.00,8.00,10.50,5.00,8.00,5.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',2654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400108,1.00,4.00,1.00,3.00,2.00,NULL,0.00,4.00,1.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6400124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'GARUVA NOVA','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6400132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6400159,2.00,3.00,1.00,2.00,6.00,8.63,1.00,2.00,1.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',18648,642,NULL,NULL,NULL,NULL,NULL,2,1),(25,6400175,7.00,6.00,2.00,7.00,4.00,8.25,4.00,4.00,5.00,220,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',8468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400183,5.00,6.00,1.00,7.00,5.00,7.88,1.00,4.00,5.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400213,2.00,6.00,1.00,6.00,8.00,9.38,2.00,4.00,3.00,424,NULL,428,'JD NOVA BRAGANÇA','BRAGANÇA PAULISTA','SP',14317,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400221,2.00,5.00,2.00,2.00,7.00,6.38,1.00,3.00,1.00,223,NULL,NULL,'PAGANI','PALHOÇA','SC',18961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400230,3.00,7.00,2.00,3.00,8.00,8.63,3.00,4.00,1.00,238,NULL,208,'ZONA RURAL','MARAVILHA','SC',11403,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6400256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,202,'JARDIM DO SOL','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6400264,4.00,5.00,1.00,7.00,5.00,8.63,1.00,3.00,3.00,212,NULL,213,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',16254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400272,5.00,5.00,2.00,5.00,9.00,10.50,2.00,0.00,4.00,110,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',11610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400280,4.00,5.00,5.00,4.00,9.00,10.50,2.00,5.00,8.00,203,NULL,214,'UBERABA','CURITIBA','PR',5382,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6400299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6400302,2.00,1.00,3.00,2.00,5.00,7.13,0.00,1.00,2.00,304,NULL,NULL,'SANTA RITA','BRUSQUE','SC',20652,149,NULL,NULL,NULL,NULL,NULL,4,2),(25,6400310,2.00,6.00,3.00,6.00,6.00,9.38,2.00,6.00,7.00,201,NULL,207,'MEIA PRAIA','ITAPEMA','SC',8612,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6400329,4.00,3.00,2.00,4.00,4.00,8.63,0.00,2.00,1.00,999,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6400337,5.00,5.00,4.00,6.00,7.00,8.63,1.00,7.00,5.00,999,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6400345,4.00,2.00,0.00,3.00,4.00,8.63,1.00,2.00,2.00,601,NULL,212,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400353,4.00,5.00,5.00,6.00,8.00,10.88,1.00,0.00,2.00,201,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',11456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400361,4.00,0.00,6.00,4.00,6.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(25,6400370,2.00,2.00,2.00,2.00,4.00,NULL,0.00,0.00,1.00,303,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6400388,2.00,2.00,1.00,2.00,3.00,0.00,3.00,4.00,2.00,427,NULL,423,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6400400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6400418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'BOQUEIRAO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6400434,3.00,3.00,2.00,0.00,4.00,NULL,0.00,1.00,1.00,652,NULL,655,'ERECHIN','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6400442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6400450,1.00,5.00,1.00,4.00,6.00,6.38,2.00,2.00,3.00,317,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400477,3.00,4.00,1.00,0.00,6.00,6.38,1.00,1.00,1.00,220,NULL,202,'SERTÃO DOS CORRÊAS','TUBARÃO','SC',21290,508,NULL,674,NULL,NULL,NULL,2,10),(25,6400485,6.00,5.00,3.00,5.00,7.00,7.88,3.00,7.00,5.00,203,NULL,201,'CENTRO','TOLEDO','PR',6159,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6400507,2.00,1.00,0.00,1.00,2.00,NULL,2.00,0.00,0.00,104,NULL,NULL,'COAHB DOIS','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6400531,3.00,2.00,1.00,2.00,3.00,NULL,2.00,3.00,1.00,999,NULL,NULL,'TABOÃO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6400540,1.00,0.00,1.00,3.00,3.00,NULL,1.00,4.00,1.00,654,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400558,2.00,3.00,4.00,5.00,6.00,6.38,3.00,5.00,1.00,427,NULL,425,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',16518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400566,5.00,5.00,1.00,6.00,4.00,7.88,2.00,3.00,3.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400574,5.00,5.00,0.00,5.00,8.00,10.50,2.00,3.00,5.00,103,NULL,NULL,'ANNES','PASSO FUNDO','RS',8339,3254,NULL,NULL,NULL,NULL,NULL,2,4),(25,6400582,3.00,4.00,1.00,1.00,2.00,NULL,2.00,3.00,1.00,213,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400590,3.00,5.00,0.00,1.00,4.00,NULL,1.00,0.00,2.00,425,NULL,NULL,'AGUA VERDE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6400604,3.00,8.00,2.00,5.00,5.00,9.75,2.00,5.00,3.00,450,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',11775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400612,4.00,5.00,1.00,4.00,7.00,NULL,0.00,3.00,1.00,303,NULL,NULL,'SITIO CERCADO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6400620,4.00,4.00,4.00,3.00,7.00,6.75,3.00,1.00,4.00,103,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',16037,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6400639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,238,'CENTRO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6400647,7.00,6.00,2.00,5.00,6.00,7.50,1.00,7.00,4.00,213,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',9128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6400655,3.00,4.00,2.00,5.00,8.00,NULL,0.00,3.00,4.00,207,NULL,215,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6400663,4.00,6.00,0.00,5.00,5.00,NULL,3.00,4.00,4.00,216,NULL,208,'CENTRO','MORMAÇO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400671,1.00,6.00,0.00,4.00,7.00,7.13,0.00,3.00,0.00,211,NULL,216,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6400680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,233,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6400698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6400701,0.00,3.00,1.00,2.00,4.00,NULL,0.00,2.00,0.00,102,NULL,NULL,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6400710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6400728,2.00,6.00,4.00,5.00,7.00,12.38,2.00,5.00,4.00,655,NULL,653,'POLICIA RODOVIARIA','ARARANGUÁ','SC',10509,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6400744,2.00,5.00,2.00,3.00,7.00,9.00,2.00,7.00,0.00,222,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6400760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6400779,6.00,4.00,1.00,6.00,7.00,9.75,2.00,3.00,2.00,201,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',13895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400787,7.00,5.00,3.00,6.00,7.00,7.88,1.00,5.00,5.00,103,NULL,NULL,'PITUBA','SALVADOR','BA',6692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400795,3.00,5.00,1.00,4.00,10.00,9.00,2.00,1.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400809,3.00,3.00,5.00,4.00,6.00,NULL,0.00,1.00,0.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400817,3.00,7.00,3.00,6.00,8.00,9.38,3.00,5.00,4.00,212,NULL,213,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400825,3.00,5.00,3.00,5.00,4.00,NULL,3.00,4.00,0.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6400833,4.00,5.00,0.00,4.00,6.00,NULL,1.00,6.00,4.00,207,NULL,NULL,'CENTRO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6400841,4.00,5.00,1.00,3.00,4.00,7.88,3.00,4.00,2.00,202,NULL,238,'BARREIROS','S JOSÉ','SC',18148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400868,2.00,2.00,1.00,0.00,3.00,NULL,3.00,0.00,1.00,201,NULL,207,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6400876,7.00,7.00,5.00,6.00,9.00,9.00,4.00,7.00,5.00,303,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6400884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ARVOREDO','BOA V BURICÁ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6400892,2.00,4.00,1.00,4.00,6.00,8.25,2.00,3.00,1.00,302,NULL,NULL,'ITAIPU','SALTINHO','SC',17588,143,NULL,NULL,NULL,NULL,NULL,2,4),(25,6400906,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','LAURO MÜLLER','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6400914,3.00,5.00,2.00,5.00,7.00,7.50,0.00,4.00,0.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15648,199,NULL,NULL,NULL,NULL,NULL,2,1),(25,6400922,5.00,6.00,1.00,1.00,7.00,6.75,2.00,1.00,3.00,207,NULL,201,'CENTRO','STA ROSA','RS',17090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6400949,7.00,7.00,0.00,4.00,7.00,NULL,0.00,7.00,5.00,103,NULL,NULL,'LINHA UNIÃO','BELA V CAROBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6400957,1.00,2.00,3.00,4.00,5.00,7.88,2.00,2.00,3.00,308,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6400965,3.00,5.00,3.00,2.00,4.00,5.25,0.00,1.00,2.00,654,NULL,NULL,'CENTRO','JACINTO MACHADO','SC',20258,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6401015,5.00,4.00,3.00,6.00,7.00,9.75,1.00,2.00,1.00,214,NULL,NULL,'VILA SUZANA','CANELA','RS',10701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6401023,6.00,8.00,5.00,3.00,7.00,8.25,2.00,7.00,6.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',4685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6401031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARIA ALICE GOMES','SANTIAGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6401040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,201,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6401058,4.00,2.00,5.00,4.00,6.00,8.63,1.00,1.00,1.00,999,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6401066,4.00,8.00,2.00,5.00,6.00,9.38,2.00,3.00,5.00,999,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6401074,7.00,6.00,3.00,4.00,7.00,9.00,4.00,5.00,4.00,301,NULL,NULL,'BADENFURT','BLUMENAU','SC',7117,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6401082,4.00,4.00,0.00,4.00,4.00,NULL,3.00,2.00,2.00,108,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6401090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6401104,3.00,3.00,4.00,2.00,6.00,10.13,2.00,2.00,5.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6401112,4.00,4.00,1.00,3.00,5.00,6.00,3.00,7.00,3.00,333,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',17357,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6401120,4.00,3.00,1.00,5.00,8.00,7.50,1.00,3.00,1.00,303,NULL,NULL,'MAR GROSSO','LAGUNA','SC',18467,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6401139,1.00,3.00,1.00,2.00,4.00,NULL,0.00,1.00,1.00,104,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6401147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'AGRÔNOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6401163,3.00,2.00,0.00,3.00,3.00,6.38,2.00,4.00,1.00,551,NULL,NULL,'INTERIOR','CANOINHAS','SC',21438,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6401171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,655,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6401180,1.00,3.00,1.00,0.00,4.00,NULL,3.00,0.00,1.00,308,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6401198,5.00,5.00,4.00,5.00,7.00,9.38,0.00,2.00,3.00,207,NULL,201,'GARCIA','BLUMENAU','SC',12614,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6401201,4.00,6.00,1.00,6.00,8.00,10.50,1.00,5.00,2.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6401210,2.00,5.00,1.00,4.00,4.00,NULL,2.00,5.00,0.00,320,NULL,NULL,'PETROPOLIS','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6401228,1.00,3.00,2.00,1.00,3.00,6.38,0.00,2.00,3.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21484,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6401244,5.00,4.00,2.00,6.00,6.00,7.88,1.00,2.00,4.00,203,NULL,601,'SÃO SEBASTIÃO','FRAIBURGO','SC',15021,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6401252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6401260,1.00,4.00,1.00,4.00,8.00,8.25,3.00,3.00,3.00,415,NULL,NULL,'PACHECOS','PALHOÇA','SC',15689,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6401279,9.00,8.00,7.00,7.00,7.00,9.75,5.00,8.00,9.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6401287,5.00,6.00,3.00,5.00,9.00,10.88,2.00,6.00,5.00,103,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',7518,3076,NULL,NULL,NULL,NULL,NULL,2,1),(25,6401295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6401309,6.00,5.00,2.00,7.00,7.00,7.50,3.00,5.00,4.00,999,NULL,NULL,'RIBEIRÃO CLARA','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6401317,4.00,4.00,1.00,3.00,7.00,7.88,2.00,1.00,3.00,999,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6401325,1.00,4.00,1.00,2.00,5.00,7.50,2.00,3.00,0.00,320,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6401333,4.00,6.00,2.00,4.00,9.00,11.63,2.00,6.00,3.00,207,NULL,601,'PONTE DO IMARUIM','PALHOÇA','SC',7648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6401350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6401368,1.00,5.00,0.00,3.00,7.00,9.38,2.00,4.00,4.00,303,NULL,NULL,'ARIRIÚ DA FORMIGA','PALHOÇA','SC',13634,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6401384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','NÃO-ME-TOQUE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6401392,0.00,3.00,1.00,3.00,3.00,NULL,2.00,0.00,3.00,653,NULL,652,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6401430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6401449,4.00,4.00,3.00,6.00,5.00,NULL,2.00,6.00,2.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',5,1),(25,6401457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6401465,1.00,3.00,0.00,5.00,7.00,9.38,1.00,2.00,4.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6401481,3.00,6.00,2.00,3.00,6.00,10.50,2.00,4.00,2.00,316,NULL,NULL,'CARVOEIRA','CRUZ ALTA','RS',12073,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6401490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6401511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6401520,1.00,3.00,1.00,2.00,3.00,5.25,2.00,3.00,1.00,653,NULL,203,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6401538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GRANDE COLORADO','SOBRADINHO','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6401546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'VILA BEATRIZ','MARACAJÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6401570,2.00,2.00,2.00,2.00,3.00,NULL,1.00,0.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6401589,6.00,0.00,3.00,7.00,6.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6401597,3.00,5.00,0.00,5.00,6.00,6.75,3.00,6.00,2.00,223,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6401600,2.00,5.00,1.00,3.00,8.00,NULL,0.00,4.00,1.00,211,NULL,207,'VISTA VERDE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6401635,3.00,0.00,2.00,5.00,7.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6401643,8.00,6.00,3.00,5.00,6.00,8.25,1.00,3.00,7.00,103,NULL,NULL,'LAPA','S PAULO','SP',7112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6401651,3.00,5.00,0.00,4.00,4.00,8.25,2.00,4.00,2.00,238,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6401660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,214,'N SENHORA DA SAÚDE','OURO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6401678,3.00,3.00,1.00,3.00,2.00,NULL,4.00,1.00,0.00,999,NULL,NULL,'PRESIDENTE MEDICE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6401686,3.00,2.00,2.00,3.00,4.00,5.63,1.00,3.00,1.00,103,NULL,NULL,'JARDIM AMÉRICA','CAXIAS SUL','RS',20135,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6401708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CIANORTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6401724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CEBTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6401732,4.00,5.00,5.00,4.00,8.00,7.13,2.00,3.00,1.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14967,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6401740,4.00,2.00,2.00,1.00,2.00,NULL,4.00,0.00,0.00,203,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6401759,4.00,4.00,2.00,1.00,3.00,7.13,1.00,3.00,2.00,208,NULL,238,'CZERNIEWICZ','JARAGUÁ SUL','SC',19357,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6401767,1.00,2.00,0.00,2.00,2.00,NULL,1.00,2.00,0.00,317,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6401775,4.00,6.00,5.00,5.00,6.00,9.00,2.00,6.00,9.00,212,NULL,211,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4810,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6401783,8.00,0.00,5.00,5.00,10.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6401791,4.00,3.00,2.00,4.00,4.00,7.13,0.00,4.00,2.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6401805,3.00,3.00,2.00,1.00,3.00,7.88,2.00,4.00,2.00,5,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6401813,3.00,2.00,2.00,4.00,5.00,7.50,1.00,4.00,3.00,999,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6401821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6401830,3.00,4.00,1.00,2.00,7.00,9.75,1.00,1.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18544,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6401848,3.00,4.00,2.00,3.00,1.00,NULL,1.00,2.00,0.00,201,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6401864,4.00,2.00,0.00,4.00,3.00,7.50,4.00,0.00,2.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6401872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SÃO VICENTE','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6401880,3.00,4.00,3.00,1.00,4.00,6.00,3.00,1.00,3.00,333,NULL,NULL,'CENTRO','TRAMANDAÍ','RS',16375,116,NULL,NULL,NULL,NULL,NULL,2,15),(25,6401899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6401902,5.00,7.00,3.00,6.00,8.00,10.50,2.00,3.00,6.00,215,NULL,207,'SÃO LUIZ','BRUSQUE','SC',5408,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6401910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6401929,6.00,6.00,4.00,7.00,8.00,10.50,3.00,6.00,6.00,316,NULL,NULL,'ANA MARIA','CRICIÚMA','SC',3084,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6401937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6401945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6401953,3.00,4.00,4.00,0.00,3.00,NULL,1.00,3.00,5.00,999,NULL,NULL,'SAO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6401961,3.00,5.00,0.00,3.00,1.00,NULL,2.00,1.00,1.00,207,NULL,NULL,'JARDIM SÃO MIGUEL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6401970,4.00,6.00,1.00,5.00,4.00,7.13,0.00,6.00,2.00,653,NULL,652,'CENTRO','STA ROSA SUL','SC',17081,164,NULL,47,NULL,NULL,NULL,5,15),(25,6402003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6402020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'BARRIL','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6402038,4.00,5.00,3.00,2.00,7.00,8.63,0.00,5.00,3.00,302,NULL,NULL,'SÃO CRISTOVÃO','BARRA VELHA','SC',12403,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6402046,1.00,4.00,1.00,1.00,4.00,3.00,1.00,5.00,0.00,5,NULL,NULL,'JARDIM PARANÁ','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6402054,5.00,6.00,2.00,5.00,3.00,10.13,2.00,4.00,3.00,207,NULL,208,'ÁGUA VERDE','JARAGUÁ SUL','SC',11182,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6402062,8.00,7.00,6.00,8.00,10.00,9.75,6.00,7.00,9.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',196,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6402070,0.00,2.00,0.00,0.00,0.00,NULL,1.00,2.00,2.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(25,6402089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6402097,4.00,2.00,1.00,3.00,3.00,6.38,1.00,1.00,5.00,333,NULL,NULL,'MAGALHAES','LAGUNA','SC',20963,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6402100,4.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','PALMAS','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(25,6402119,4.00,4.00,1.00,4.00,6.00,7.13,0.00,4.00,1.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402127,4.00,6.00,3.00,6.00,7.00,10.50,2.00,6.00,4.00,3,NULL,NULL,'CENTRO','NAVEGANTES','SC',6939,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6402135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6402143,5.00,7.00,3.00,6.00,8.00,9.38,3.00,6.00,7.00,103,NULL,NULL,'JARDIM CRUZEIRO','MOGI GUAÇU','SP',3043,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402151,5.00,6.00,3.00,4.00,7.00,5.63,0.00,2.00,1.00,108,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',15098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402160,2.00,2.00,2.00,2.00,6.00,6.00,1.00,1.00,2.00,302,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',19964,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6402178,3.00,6.00,1.00,3.00,6.00,NULL,0.00,2.00,2.00,332,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6402186,4.00,6.00,4.00,6.00,6.00,6.75,1.00,2.00,4.00,216,NULL,208,'PRIMAVERA','NOVO HAMBURGO','RS',10921,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6402194,2.00,2.00,1.00,2.00,3.00,NULL,1.00,0.00,0.00,317,NULL,NULL,'INTERIOR','IBICARÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6402208,4.00,5.00,1.00,6.00,7.00,8.63,2.00,4.00,1.00,601,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',15852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402224,8.00,5.00,4.00,7.00,8.00,7.50,4.00,2.00,6.00,222,NULL,NULL,'GLÓRIA','JOINVILLE','SC',3719,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6402232,3.00,4.00,3.00,6.00,5.00,7.13,3.00,6.00,3.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402259,3.00,4.00,2.00,4.00,7.00,9.00,3.00,3.00,1.00,655,NULL,652,'SÃO SIMÃO','CRICIÚMA','SC',16853,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6402267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6402275,3.00,4.00,2.00,5.00,7.00,9.75,1.00,2.00,3.00,104,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',14389,368,NULL,NULL,NULL,NULL,NULL,2,4),(25,6402291,5.00,6.00,0.00,3.00,7.00,9.75,2.00,4.00,7.00,340,NULL,NULL,'VILA FÁTIMA','REGISTRO','SP',8122,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6402313,2.00,6.00,2.00,5.00,5.00,7.50,0.00,3.00,3.00,3,NULL,NULL,'CENTRO','LAGES','SC',17999,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6402321,1.00,3.00,1.00,2.00,3.00,7.50,3.00,4.00,0.00,420,NULL,NULL,'NITEROI','SEARA','SC',19785,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6402330,5.00,3.00,2.00,3.00,6.00,7.13,2.00,3.00,3.00,303,NULL,NULL,'CENTRO DE PALHOÇA','PALHOÇA','SC',18929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'VILA SÔNIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6402356,4.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(25,6402364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6402372,6.00,6.00,5.00,6.00,8.00,9.75,2.00,7.00,7.00,5,NULL,NULL,'AMERICA','JOINVILLE','SC',4174,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6402380,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(25,6402399,4.00,6.00,1.00,6.00,6.00,11.25,1.00,4.00,2.00,303,NULL,NULL,'CENTRO','ERVAL GRANDE','RS',10154,477,NULL,NULL,NULL,NULL,NULL,4,4),(25,6402402,4.00,6.00,1.00,4.00,3.00,7.50,2.00,1.00,1.00,104,NULL,NULL,'CENTRO','LAGES','SC',16549,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6402410,2.00,3.00,3.00,3.00,5.00,7.50,0.00,2.00,1.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6402429,4.00,4.00,0.00,4.00,5.00,7.88,1.00,6.00,1.00,108,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',18547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'CENTRO','ITUIUTABA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6402445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6402470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RESIDENCIA UNIÃO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6402488,2.00,3.00,2.00,1.00,5.00,4.88,2.00,4.00,3.00,999,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6402496,6.00,7.00,1.00,6.00,8.00,8.63,1.00,4.00,4.00,208,NULL,233,'ITINGA','TIJUCAS','SC',9367,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402500,2.00,2.00,1.00,3.00,7.00,8.25,1.00,1.00,2.00,212,NULL,201,'PARAÍSO','S PAULO','SP',18790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'SANTA ROSALIA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6402526,5.00,4.00,5.00,1.00,9.00,7.50,4.00,3.00,4.00,220,NULL,201,'JARDIM ALVORADA','S JOSÉ CAMPOS','SP',7811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6402542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6402550,5.00,5.00,5.00,0.00,5.00,NULL,1.00,5.00,1.00,415,NULL,NULL,'PONTE ALTA','APARECIDA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6402577,2.00,0.00,2.00,1.00,1.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6402585,3.00,3.00,0.00,3.00,3.00,6.38,4.00,4.00,0.00,420,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',21207,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6402593,5.00,7.00,1.00,6.00,5.00,9.00,3.00,3.00,3.00,425,NULL,429,'BARRO VERMELHO','ORLEANS','SC',10842,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6402607,5.00,6.00,2.00,5.00,5.00,9.00,4.00,3.00,3.00,420,NULL,NULL,'BARREIROS','S JOSÉ','SC',11818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CIANORTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6402623,2.00,3.00,0.00,4.00,6.00,9.00,1.00,1.00,1.00,503,NULL,NULL,'POÇO FUNDO','STO AMARO IMPERATRIZ','SC',20854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6402631,4.00,5.00,3.00,5.00,5.00,6.75,1.00,0.00,1.00,238,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6402640,6.00,6.00,2.00,7.00,9.00,9.75,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',3846,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6402658,4.00,4.00,5.00,1.00,4.00,7.13,1.00,2.00,1.00,655,NULL,NULL,'URUSANGUINHA','ARARANGUÁ','SC',18907,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6402666,2.00,3.00,3.00,4.00,3.00,9.38,1.00,1.00,3.00,207,NULL,201,'MIRIM','IMBITUBA','SC',19305,1048,NULL,1587,NULL,NULL,NULL,2,1),(25,6402682,3.00,5.00,4.00,7.00,7.00,8.63,1.00,2.00,2.00,340,NULL,NULL,'CENTRO','PNT GROSSA','PR',13111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402690,1.00,4.00,2.00,6.00,6.00,8.63,1.00,1.00,2.00,999,NULL,NULL,'ESTANCIA CAIÇARA','BIRIGÜI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6402712,4.00,5.00,1.00,3.00,4.00,9.00,0.00,2.00,2.00,101,NULL,NULL,'VILA VITÓRIA','LAGUNA','SC',18217,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6402720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,213,'LESTE VILA NOVA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6402739,1.00,5.00,1.00,4.00,6.00,NULL,3.00,1.00,0.00,427,NULL,424,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6402755,5.00,6.00,1.00,2.00,9.00,9.75,1.00,6.00,4.00,103,NULL,NULL,'CENTRO','S JOSÉ CERRITO','SC',8962,3380,NULL,NULL,NULL,NULL,NULL,4,9),(25,6402763,5.00,6.00,2.00,4.00,6.00,10.50,3.00,3.00,2.00,452,NULL,NULL,'CENTRO','MARIÓPOLIS','PR',9746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402771,5.00,6.00,0.00,7.00,9.00,10.88,2.00,7.00,3.00,316,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',7915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'EMBU MIRIM','ITAPECERICA SERRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6402798,5.00,7.00,4.00,6.00,9.00,NULL,0.00,5.00,4.00,214,NULL,212,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402801,5.00,3.00,1.00,3.00,6.00,7.50,2.00,3.00,2.00,999,NULL,NULL,'KM UM','LAURO MÜLLER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6402810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PQ DA IMPRENSA','MOGI MIRIM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6402828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6402836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6402844,5.00,5.00,0.00,2.00,4.00,NULL,0.00,1.00,3.00,601,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6402879,3.00,5.00,2.00,6.00,5.00,7.88,2.00,2.00,2.00,238,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',16628,359,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402895,3.00,4.00,0.00,3.00,7.00,NULL,2.00,0.00,2.00,5,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6402909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,235,'CENTRO','MUÇUM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6402917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6402925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO SILVESTRE','OURINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6402941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'IBIRAPUERA','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6402950,2.00,1.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,425,NULL,428,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6402968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CACHOEIRA SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6402976,4.00,2.00,0.00,3.00,6.00,NULL,0.00,0.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402984,2.00,1.00,2.00,3.00,1.00,NULL,4.00,0.00,2.00,328,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6402992,6.00,7.00,4.00,6.00,5.00,11.63,2.00,7.00,7.00,201,NULL,212,'LOTE SEIS','CRICIÚMA','SC',4661,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6403000,2.00,3.00,3.00,4.00,6.00,NULL,0.00,3.00,2.00,301,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6403026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA RENO','PNT PORÃ','MS',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6403034,7.00,2.00,3.00,1.00,7.00,8.25,1.00,2.00,4.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',12583,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6403042,0.00,1.00,0.00,1.00,1.00,NULL,0.00,0.00,1.00,404,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6403050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAMOBI','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6403069,1.00,3.00,2.00,3.00,1.00,NULL,1.00,2.00,0.00,501,NULL,NULL,'INTERIOR','IBICARÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6403085,2.00,3.00,0.00,3.00,4.00,6.38,2.00,0.00,0.00,224,NULL,NULL,'INGELESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6403093,4.00,6.00,1.00,3.00,8.00,9.38,2.00,5.00,3.00,201,NULL,233,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10829,897,NULL,297,NULL,NULL,NULL,2,1),(25,6403107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6403115,2.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,201,NULL,202,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6403123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6403131,2.00,2.00,2.00,1.00,5.00,6.38,1.00,2.00,0.00,104,NULL,NULL,'CENTRO','PEDRA PRETA','MT',20484,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6403140,2.00,5.00,0.00,5.00,6.00,NULL,0.00,0.00,2.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6403158,3.00,3.00,2.00,5.00,4.00,6.00,2.00,2.00,2.00,225,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',17238,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6403166,2.00,3.00,1.00,5.00,1.00,NULL,2.00,0.00,0.00,654,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6403174,1.00,3.00,1.00,1.00,3.00,5.63,1.00,1.00,3.00,203,NULL,201,'CRUZEIRO DO SUL','CRICIÚMA','SC',21725,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6403182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6403190,5.00,4.00,5.00,4.00,7.00,9.00,1.00,4.00,4.00,213,NULL,601,'DOS ESTADOS','INDAIAL','SC',11834,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6403212,3.00,3.00,0.00,4.00,5.00,6.38,1.00,5.00,4.00,238,NULL,208,'ORIENTAL','CARAZINHO','RS',18762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6403220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,208,'MORUMBI','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6403239,3.00,5.00,0.00,3.00,6.00,NULL,2.00,1.00,0.00,303,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6403247,5.00,2.00,3.00,4.00,5.00,9.38,1.00,4.00,5.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',15175,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6403255,7.00,6.00,6.00,7.00,9.00,9.00,0.00,5.00,5.00,999,NULL,NULL,'PRIMEIRO DE MAIO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6403263,6.00,6.00,2.00,7.00,10.00,9.75,4.00,6.00,6.00,103,NULL,NULL,'ALTO TAQUARAL','CAMPINAS','SP',2379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6403271,6.00,6.00,5.00,5.00,9.00,8.25,3.00,7.00,7.00,103,NULL,NULL,'JARDIM CHAPADAO','CAMPINAS','SP',2394,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6403280,4.00,4.00,1.00,4.00,1.00,NULL,0.00,6.00,5.00,103,NULL,NULL,'CAPAO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6403298,2.00,4.00,2.00,2.00,2.00,NULL,3.00,2.00,3.00,654,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6403310,6.00,4.00,0.00,4.00,8.00,9.38,2.00,5.00,4.00,235,NULL,208,'LUNARDELLI','CATANDUVA','SP',7673,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6403328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,421,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6403336,7.00,4.00,4.00,4.00,4.00,9.00,1.00,2.00,5.00,104,NULL,NULL,'CENTRO','CPO LARGO','PR',9320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6403344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO CRISTOVAO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6403352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'MENINO DEUS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6403360,3.00,5.00,3.00,2.00,8.00,7.50,2.00,3.00,4.00,301,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',12966,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6403379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'KOBRASSOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6403387,6.00,6.00,4.00,3.00,7.00,4.50,3.00,7.00,6.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6403395,2.00,1.00,3.00,3.00,5.00,8.25,1.00,0.00,0.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6403409,4.00,5.00,1.00,5.00,3.00,10.88,1.00,5.00,3.00,450,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11869,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6403417,2.00,1.00,0.00,4.00,3.00,6.38,0.00,2.00,0.00,235,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6403433,4.00,5.00,0.00,3.00,7.00,NULL,1.00,4.00,3.00,404,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6403441,2.00,2.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6403450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6403468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6403476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6403484,3.00,6.00,2.00,2.00,1.00,NULL,2.00,2.00,2.00,327,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6403492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6403506,4.00,4.00,2.00,0.00,7.00,9.38,0.00,2.00,3.00,999,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6403514,5.00,5.00,1.00,6.00,9.00,7.50,2.00,3.00,3.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9035,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6403522,2.00,3.00,0.00,2.00,3.00,6.38,0.00,3.00,2.00,429,NULL,427,'PASSA VINTE','PALHOÇA','SC',20551,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6403530,7.00,6.00,6.00,4.00,8.00,7.88,6.00,8.00,8.00,216,NULL,653,'JARDIM SAO DIMAS','S JOSÉ CAMPOS','SP',1590,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6403549,1.00,4.00,2.00,5.00,4.00,9.38,2.00,0.00,1.00,224,NULL,NULL,'SANTA BARBARA','CRICIÚMA','SC',20205,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6403557,2.00,3.00,3.00,3.00,6.00,9.75,3.00,2.00,3.00,9,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',17281,104,NULL,NULL,NULL,NULL,NULL,2,1),(25,6403565,3.00,2.00,0.00,5.00,5.00,NULL,1.00,0.00,1.00,999,NULL,NULL,'USINA','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6403573,3.00,6.00,1.00,3.00,7.00,6.38,2.00,4.00,0.00,652,NULL,655,'JARDIM CIBELE','ARARANGUÁ','SC',18811,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6403581,5.00,7.00,2.00,7.00,7.00,9.75,2.00,7.00,3.00,999,NULL,NULL,'CAREANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6403590,1.00,4.00,1.00,1.00,5.00,NULL,2.00,1.00,0.00,212,NULL,207,'FOJOCA','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6403611,1.00,3.00,0.00,3.00,3.00,NULL,2.00,0.00,0.00,319,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6403620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA LALAU','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6403638,7.00,7.00,2.00,4.00,6.00,8.63,4.00,6.00,4.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',4669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6403646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6403654,2.00,6.00,1.00,6.00,9.00,7.88,1.00,5.00,3.00,340,NULL,NULL,'NOVA BRASILIA','JOINVILLE','SC',11377,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6403662,1.00,2.00,0.00,1.00,3.00,3.00,3.00,3.00,1.00,308,NULL,NULL,'CACHOEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6403670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'ARIRIBÁ','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6403697,6.00,7.00,4.00,6.00,10.00,10.88,3.00,4.00,6.00,214,NULL,212,'ALTO DO PARQUE','LAJEADO','RS',2744,NULL,NULL,NULL,NULL,NULL,NULL,1,15),(25,6403700,4.00,4.00,2.00,4.00,5.00,NULL,0.00,3.00,1.00,214,NULL,238,'CENTRO','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6403719,2.00,4.00,1.00,0.00,4.00,7.13,3.00,4.00,0.00,655,NULL,652,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6403727,1.00,4.00,1.00,2.00,3.00,6.75,3.00,4.00,3.00,102,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',20577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6403743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6403751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INTERIOR','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6403778,4.00,5.00,1.00,7.00,5.00,9.38,0.00,4.00,3.00,201,NULL,NULL,'CENTRO','S JOSÉ CEDRO','SC',13229,1121,NULL,NULL,NULL,NULL,NULL,4,4),(25,6403786,4.00,5.00,5.00,5.00,7.00,9.00,0.00,1.00,0.00,207,NULL,215,'CENTRO','BLUMENAU','SC',14554,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6403794,4.00,6.00,2.00,5.00,5.00,7.13,3.00,5.00,2.00,450,NULL,NULL,'PRÓSPERA','CRICIÚMA','SC',14189,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(25,6403808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PLANALTO','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6403816,1.00,1.00,3.00,3.00,3.00,8.25,2.00,1.00,4.00,502,NULL,NULL,'CENTRO','S JOÃO','PR',20724,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6403824,4.00,4.00,2.00,1.00,7.00,6.00,3.00,5.00,1.00,301,NULL,NULL,'CENTRO','RIO CEDROS','SC',17109,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6403832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'VILA OPERÁRIA','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6403840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TELÊMACO BORBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6403867,5.00,7.00,2.00,4.00,9.00,9.75,2.00,4.00,2.00,404,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',11433,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6403875,3.00,3.00,0.00,3.00,2.00,NULL,2.00,0.00,0.00,415,NULL,NULL,'JARDIM IPANEMA','REGISTRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6403883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'BORGES','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6403891,4.00,5.00,2.00,7.00,6.00,10.13,2.00,4.00,4.00,3,NULL,NULL,'VILA PARAÍSO','AGUAÍ','SP',8519,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6403905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE ANCHIETA','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6403913,8.00,8.00,8.00,6.00,7.00,10.13,4.00,8.00,8.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',825,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6403948,4.00,4.00,3.00,5.00,5.00,7.13,0.00,2.00,0.00,404,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',19637,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6403956,2.00,1.00,0.00,1.00,6.00,NULL,0.00,2.00,0.00,108,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6403964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6403972,0.00,4.00,0.00,0.00,0.00,NULL,0.00,2.00,0.00,9,NULL,NULL,'COLINA VERDE','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6404014,3.00,0.00,3.00,6.00,7.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6404022,4.00,3.00,1.00,3.00,5.00,7.88,2.00,1.00,2.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',17664,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6404030,2.00,2.00,2.00,5.00,4.00,NULL,1.00,0.00,0.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404049,3.00,3.00,2.00,5.00,7.00,7.88,3.00,4.00,0.00,453,NULL,NULL,'CENTRO','RIO CLARO','SP',14122,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6404057,4.00,3.00,3.00,4.00,6.00,8.63,1.00,2.00,2.00,212,NULL,207,'RIO GRANDE','PALHOÇA','SC',18419,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6404065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRAL','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6404081,2.00,5.00,2.00,6.00,7.00,10.50,0.00,3.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404103,5.00,7.00,3.00,6.00,6.00,9.75,1.00,5.00,2.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',8304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'JD MARIA LUIZA DOIS','JAÚ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6404138,2.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6404146,1.00,3.00,0.00,3.00,4.00,6.38,1.00,0.00,1.00,999,NULL,NULL,'NOSSA SRA DE FATIMA','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6404154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,655,'SÃO CRISTOVÃO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6404170,5.00,3.00,2.00,3.00,6.00,7.13,1.00,5.00,1.00,235,NULL,208,'CANASVIEIRAS','FLORIANÓPOLIS','SC',17730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6404189,3.00,5.00,2.00,3.00,5.00,7.88,2.00,3.00,3.00,654,NULL,NULL,'META','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6404197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'RIO BRANCO','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6404200,6.00,6.00,3.00,4.00,6.00,10.13,2.00,3.00,4.00,207,NULL,208,'MAR GROSSO','LAGUNA','SC',9339,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6404219,2.00,1.00,3.00,3.00,5.00,7.88,1.00,2.00,1.00,999,NULL,NULL,'CINQUENTENARIO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6404227,6.00,7.00,2.00,7.00,7.00,11.63,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',4707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MADALENA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6404243,3.00,6.00,2.00,1.00,3.00,10.88,3.00,6.00,3.00,601,NULL,207,'JOÃO PAULO II','TRÊS BARRAS','SC',11883,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6404251,2.00,5.00,0.00,3.00,6.00,8.25,2.00,6.00,1.00,318,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',16187,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6404260,5.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','FÁTIMA SUL','MS',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,8),(25,6404278,5.00,5.00,0.00,5.00,5.00,8.63,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','ARARUNA','PR',10895,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6404286,2.00,3.00,0.00,1.00,3.00,NULL,0.00,3.00,0.00,302,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6404294,3.00,5.00,1.00,3.00,6.00,NULL,1.00,0.00,0.00,999,NULL,NULL,'CAMPECHE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6404308,4.00,3.00,1.00,3.00,5.00,9.00,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',19436,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6404316,6.00,6.00,3.00,5.00,5.00,6.38,0.00,1.00,4.00,207,NULL,216,'CENTRO','LAGES','SC',12934,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6404324,3.00,4.00,5.00,5.00,7.00,8.63,3.00,2.00,1.00,318,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14634,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6404332,1.00,6.00,0.00,5.00,6.00,NULL,1.00,5.00,2.00,340,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'JARDIM CENTRAL','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6404367,2.00,3.00,0.00,1.00,4.00,8.63,2.00,1.00,0.00,551,NULL,NULL,'CENTRO','CANOINHAS','SC',20075,56,NULL,NULL,NULL,NULL,NULL,4,17),(25,6404375,2.00,2.00,1.00,1.00,4.00,5.63,2.00,4.00,2.00,652,NULL,655,'LAGOAO','ARARANGUÁ','SC',21603,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6404383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TINGUI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6404405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','UBATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6404413,3.00,7.00,4.00,5.00,9.00,11.25,2.00,6.00,3.00,320,NULL,NULL,'CENTRO','CRICIÚMA','SC',6469,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6404421,3.00,4.00,2.00,6.00,4.00,7.50,3.00,5.00,2.00,201,NULL,NULL,'CENTRO','CORREIA PINTO','SC',14311,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6404448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6404456,6.00,6.00,2.00,6.00,6.00,10.88,1.00,5.00,2.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404464,4.00,3.00,0.00,5.00,4.00,NULL,2.00,1.00,0.00,501,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404480,0.00,3.00,0.00,0.00,4.00,NULL,1.00,2.00,1.00,9,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404499,4.00,0.00,4.00,3.00,4.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,16),(25,6404502,2.00,4.00,0.00,7.00,8.00,7.88,4.00,2.00,1.00,326,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404510,2.00,2.00,2.00,2.00,2.00,NULL,0.00,1.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404537,3.00,3.00,2.00,2.00,3.00,6.38,1.00,3.00,3.00,655,NULL,208,'JARDIM IPANEMA','REGISTRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','SERAFINA CORRÊA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6404553,2.00,1.00,1.00,0.00,0.00,NULL,2.00,0.00,1.00,652,NULL,655,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6404561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6404570,2.00,4.00,2.00,2.00,2.00,NULL,3.00,2.00,2.00,652,NULL,601,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6404588,4.00,4.00,3.00,5.00,8.00,7.88,1.00,6.00,4.00,103,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',10651,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'N SENHORA DE FÁTIMA','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6404600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6404618,2.00,3.00,1.00,2.00,4.00,NULL,1.00,4.00,0.00,501,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6404626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6404634,2.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,203,NULL,214,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6404642,3.00,6.00,1.00,5.00,4.00,6.75,4.00,4.00,2.00,104,NULL,NULL,'COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC',17650,485,NULL,NULL,NULL,NULL,NULL,2,1),(25,6404650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,421,'CANASVIEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(25,6404669,2.00,7.00,1.00,2.00,5.00,8.25,3.00,1.00,1.00,336,NULL,NULL,'CENTRO','CANOINHAS','SC',18204,145,NULL,NULL,NULL,NULL,NULL,2,17),(25,6404685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6404693,5.00,8.00,1.00,7.00,10.00,10.50,2.00,5.00,3.00,304,NULL,NULL,'PICANÇO','GUARULHOS','SP',6118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6404723,2.00,4.00,0.00,1.00,5.00,7.13,1.00,2.00,2.00,9,NULL,NULL,'SAMBAQUI','IMBITUBA','SC',18739,122,NULL,NULL,NULL,NULL,NULL,2,1),(25,6404731,7.00,7.00,5.00,2.00,8.00,11.25,1.00,6.00,6.00,203,NULL,220,'JARDIM PANORAMA II','CORNÉLIO PROCÓPIO','PR',3618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404740,2.00,5.00,0.00,7.00,8.00,NULL,3.00,1.00,2.00,453,NULL,NULL,'ESPLANADA DO SOL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6404774,4.00,3.00,2.00,3.00,7.00,10.50,1.00,1.00,2.00,425,NULL,427,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',18514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404782,4.00,5.00,5.00,3.00,5.00,7.88,2.00,6.00,2.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6404790,2.00,7.00,4.00,7.00,10.00,9.75,2.00,6.00,5.00,304,NULL,NULL,'ZONA SUL','IA SOLTEIRA','SP',4026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','SANGÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',5,10),(25,6404812,2.00,2.00,2.00,4.00,6.00,9.00,2.00,1.00,1.00,211,NULL,215,'CENTRO','ITAPIRANGA','SC',18541,488,NULL,302,NULL,NULL,NULL,4,4),(25,6404820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6404839,5.00,7.00,1.00,7.00,7.00,6.38,3.00,6.00,4.00,103,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',9303,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404847,5.00,6.00,4.00,2.00,7.00,8.25,1.00,3.00,4.00,333,NULL,NULL,'JARDIM CENTRAL','DOURADOS','MS',11010,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6404855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,214,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6404863,1.00,3.00,1.00,4.00,5.00,NULL,0.00,0.00,1.00,104,NULL,NULL,'CENTRO','CPO ERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6404871,8.00,7.00,7.00,6.00,10.00,10.13,5.00,9.00,9.00,103,NULL,NULL,'ABADIA','UBERABA','MG',73,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6404880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6404898,1.00,7.00,2.00,5.00,6.00,10.13,2.00,5.00,3.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13495,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6404901,1.00,3.00,0.00,4.00,4.00,6.00,0.00,1.00,3.00,301,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',20699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404910,6.00,7.00,1.00,7.00,9.00,11.63,3.00,7.00,6.00,207,NULL,214,'CAMPECHE','FLORIANÓPOLIS','SC',3154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404928,8.00,8.00,2.00,7.00,10.00,9.75,5.00,8.00,9.00,103,NULL,NULL,'GRUTA DE LOURDES','MACEIÓ','AL',621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6404936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6404944,5.00,5.00,2.00,6.00,7.00,7.13,2.00,5.00,2.00,207,NULL,NULL,'CENTRO','UBIRATÃ','PR',10247,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6404952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6404960,3.00,5.00,3.00,5.00,6.00,NULL,0.00,3.00,5.00,103,NULL,NULL,'FIGUEIRAS','IGREJINHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6404979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'OESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6404987,2.00,4.00,2.00,2.00,4.00,7.50,2.00,2.00,1.00,319,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',20826,448,NULL,NULL,NULL,NULL,NULL,2,1),(25,6404995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6405002,0.00,2.00,2.00,1.00,1.00,NULL,3.00,2.00,0.00,415,NULL,NULL,'BELLO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6405010,5.00,6.00,4.00,7.00,4.00,10.88,3.00,4.00,8.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',5254,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6405029,4.00,3.00,3.00,3.00,5.00,NULL,0.00,6.00,2.00,103,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6405045,2.00,5.00,3.00,4.00,6.00,5.25,1.00,3.00,2.00,332,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',18498,55,NULL,NULL,NULL,NULL,NULL,2,1),(25,6405053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RANCHO A D OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6405061,5.00,7.00,1.00,3.00,6.00,8.25,2.00,5.00,1.00,333,NULL,NULL,'JARDIM AGARUSSI','ITU','SP',13575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6405070,3.00,3.00,0.00,4.00,5.00,4.50,1.00,1.00,4.00,207,NULL,212,'VIGOLO','NOVA TRENTO','SC',21181,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6405088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JD RECREIO DOS BANDE','SERTÃOZINHO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6405118,7.00,8.00,1.00,7.00,9.00,11.63,3.00,4.00,4.00,340,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',4289,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6405126,0.00,3.00,0.00,5.00,6.00,NULL,1.00,0.00,1.00,999,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6405134,3.00,3.00,1.00,2.00,3.00,6.75,3.00,2.00,0.00,103,NULL,NULL,'CENTRO','ROSÁRIO SUL','RS',19949,4683,NULL,NULL,NULL,NULL,NULL,2,6),(25,6405142,4.00,5.00,4.00,5.00,9.00,8.63,1.00,5.00,4.00,5,NULL,NULL,'CENTRO','ARARUNA','PR',7097,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6405169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'METROPOLE','DRACENA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6405177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'OXFORD','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6405185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6405207,4.00,3.00,1.00,1.00,4.00,NULL,0.00,0.00,1.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6405215,2.00,4.00,4.00,3.00,6.00,9.75,2.00,2.00,3.00,999,NULL,NULL,'CENTRO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6405223,4.00,4.00,2.00,0.00,4.00,7.13,0.00,1.00,1.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6405266,3.00,5.00,3.00,4.00,6.00,9.75,3.00,7.00,5.00,207,NULL,211,'TABULEIRO','CAMBORIÚ','SC',8712,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6405274,3.00,4.00,1.00,3.00,5.00,5.25,0.00,3.00,4.00,327,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',20016,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6405282,5.00,4.00,2.00,3.00,4.00,7.50,1.00,2.00,0.00,999,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6405290,3.00,6.00,2.00,3.00,4.00,0.00,2.00,2.00,0.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6405304,3.00,2.00,2.00,4.00,4.00,6.00,1.00,1.00,3.00,103,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',20771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6405312,3.00,4.00,1.00,2.00,6.00,7.88,2.00,5.00,1.00,238,NULL,NULL,'AGRONOMIA','PTO ALEGRE','RS',14901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6405320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,208,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6405347,3.00,4.00,1.00,3.00,3.00,7.88,0.00,2.00,1.00,223,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',21327,26,NULL,NULL,NULL,NULL,NULL,2,1),(25,6405355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','DRACENA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6405363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6405380,2.00,6.00,5.00,5.00,6.00,9.38,2.00,5.00,4.00,452,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',9712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6405398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6405410,4.00,6.00,3.00,1.00,6.00,8.63,1.00,2.00,5.00,213,NULL,202,'CENTRO','PALHOÇA','SC',17355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6405428,6.00,7.00,1.00,3.00,9.00,8.63,2.00,7.00,5.00,201,NULL,NULL,'GARCIA','BLUMENAU','SC',5509,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6405436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RESIDENCIAL JARDINS','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6405452,5.00,0.00,2.00,0.00,3.00,NULL,2.00,2.00,1.00,551,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6405479,4.00,5.00,1.00,6.00,8.00,8.25,1.00,4.00,3.00,109,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',12149,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6405487,3.00,6.00,3.00,3.00,8.00,NULL,1.00,2.00,0.00,2,NULL,NULL,'SÃO PAULO','TAPEJARA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6405495,3.00,6.00,0.00,2.00,6.00,NULL,1.00,6.00,0.00,308,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6405509,2.00,2.00,3.00,2.00,4.00,7.13,1.00,3.00,1.00,654,NULL,NULL,'JARDIM NICOLAU','JACINTO MACHADO','SC',21437,87,NULL,NULL,NULL,NULL,NULL,2,15),(25,6405517,6.00,8.00,4.00,6.00,9.00,10.88,2.00,6.00,2.00,340,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',3687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6405525,4.00,6.00,2.00,7.00,6.00,9.38,2.00,4.00,2.00,999,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6405533,5.00,6.00,0.00,3.00,7.00,5.25,3.00,6.00,2.00,336,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6405550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6405568,3.00,4.00,0.00,2.00,8.00,NULL,0.00,1.00,0.00,415,NULL,NULL,'CENTRO','IBIRUBÁ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6405584,5.00,6.00,0.00,0.00,5.00,NULL,0.00,2.00,2.00,108,NULL,NULL,'ALTO DA XV','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6405592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6405606,5.00,2.00,2.00,3.00,8.00,8.25,4.00,3.00,0.00,301,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',17114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6405614,4.00,5.00,3.00,3.00,4.00,7.50,1.00,4.00,2.00,327,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',18297,50,NULL,NULL,NULL,NULL,NULL,2,1),(25,6405622,4.00,5.00,3.00,4.00,6.00,10.13,3.00,4.00,3.00,208,NULL,201,'CANASVIEIRAS','FLORIANÓPOLIS','SC',12059,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6405630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'JD AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6405649,4.00,4.00,4.00,4.00,6.00,4.50,0.00,5.00,4.00,319,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',17656,354,NULL,NULL,NULL,NULL,NULL,2,1),(25,6405657,2.00,4.00,2.00,4.00,5.00,7.50,1.00,3.00,2.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6405665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6405673,1.00,3.00,1.00,2.00,1.00,NULL,0.00,3.00,2.00,333,NULL,NULL,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6405681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6405690,5.00,6.00,3.00,4.00,6.00,6.38,0.00,3.00,3.00,108,NULL,NULL,'IPIRANGA','S JOSÉ','SC',13960,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6405703,2.00,3.00,2.00,6.00,4.00,8.25,2.00,2.00,2.00,340,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',19859,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6405711,2.00,3.00,3.00,3.00,7.00,8.63,1.00,5.00,3.00,404,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6405720,2.00,6.00,2.00,1.00,0.00,NULL,3.00,3.00,2.00,336,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6405746,3.00,3.00,2.00,1.00,1.00,NULL,2.00,1.00,2.00,653,NULL,202,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6405754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COLINA SORRISO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6405762,3.00,6.00,3.00,4.00,6.00,6.00,1.00,3.00,1.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',17462,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6405770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM VILA RICA','CAMBÉ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6405789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6405800,2.00,5.00,3.00,5.00,6.00,9.00,0.00,2.00,2.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15528,66,NULL,NULL,NULL,NULL,NULL,2,1),(25,6405827,4.00,6.00,2.00,6.00,7.00,5.25,0.00,3.00,3.00,331,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15841,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6405835,5.00,4.00,1.00,4.00,6.00,8.63,2.00,5.00,4.00,999,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6405843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6405851,3.00,7.00,2.00,7.00,8.00,12.38,1.00,6.00,3.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6405860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6405878,7.00,6.00,3.00,6.00,8.00,10.50,2.00,7.00,4.00,108,NULL,NULL,'CENTRO','CURITIBA','PR',3786,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6405886,3.00,6.00,1.00,6.00,9.00,10.88,2.00,4.00,5.00,450,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10804,57,NULL,NULL,NULL,NULL,NULL,2,1),(25,6405916,6.00,5.00,3.00,7.00,9.00,NULL,1.00,1.00,2.00,453,NULL,NULL,'SÍTIO DE BAIXO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6405924,2.00,0.00,3.00,2.00,6.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6405932,6.00,7.00,3.00,6.00,7.00,7.13,2.00,6.00,5.00,999,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6405940,2.00,4.00,2.00,4.00,5.00,0.00,2.00,4.00,3.00,201,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6405959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'MANOEL ALVES','MELEIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6405975,8.00,4.00,3.00,7.00,6.00,10.50,2.00,7.00,4.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',4396,2218,NULL,NULL,NULL,NULL,NULL,2,1),(25,6405983,4.00,5.00,1.00,2.00,9.00,11.25,0.00,3.00,1.00,316,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',13513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6405991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'INTERIOR','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6406009,2.00,2.00,3.00,4.00,3.00,6.75,1.00,0.00,2.00,502,NULL,NULL,'VILA PRADO','QUITANDINHA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6406033,1.00,6.00,2.00,0.00,3.00,7.13,1.00,2.00,2.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21306,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6406041,3.00,3.00,2.00,4.00,7.00,4.50,2.00,5.00,1.00,336,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6406050,2.00,7.00,3.00,3.00,3.00,8.25,2.00,1.00,5.00,451,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6406068,2.00,7.00,6.00,5.00,7.00,8.25,3.00,8.00,6.00,2,NULL,NULL,'BALNEÁRIO','PIRATUBA','SC',6339,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6406076,4.00,4.00,1.00,0.00,1.00,NULL,2.00,4.00,1.00,233,NULL,235,'FAZENDAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6406084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S',NULL,4,1),(25,6406106,5.00,7.00,1.00,6.00,10.00,7.50,2.00,6.00,8.00,103,NULL,NULL,'VILA SANTA TEREZA','GOIÂNIA','GO',4720,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6406114,6.00,4.00,3.00,6.00,7.00,7.13,1.00,6.00,4.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',9000,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6406122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'SAO LUIS','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6406130,2.00,2.00,2.00,2.00,2.00,NULL,0.00,1.00,0.00,444,NULL,NULL,'JARDIN HANTSCHEL','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6406149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'TROPICAL','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6406157,4.00,4.00,2.00,3.00,4.00,5.63,0.00,2.00,1.00,420,NULL,NULL,'CENTRO','IBIRAMA','SC',20960,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6406165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6406173,0.00,3.00,2.00,2.00,7.00,6.38,1.00,1.00,1.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',21421,77,NULL,NULL,NULL,NULL,NULL,2,16),(25,6406181,3.00,7.00,3.00,4.00,8.00,11.25,0.00,6.00,2.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6406203,1.00,5.00,3.00,3.00,3.00,6.38,3.00,4.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6406211,8.00,6.00,3.00,6.00,5.00,7.13,2.00,6.00,6.00,103,NULL,NULL,'CRISTO REI','PATO BRANCO','PR',5411,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6406246,1.00,3.00,1.00,1.00,3.00,8.63,2.00,1.00,2.00,324,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6406254,3.00,2.00,3.00,2.00,5.00,6.00,2.00,3.00,1.00,104,NULL,NULL,'CENTRO','RIQUEZA','SC',17727,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6406262,3.00,5.00,1.00,5.00,5.00,7.50,0.00,3.00,2.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',19607,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6406289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,655,'SÃO LUIZ','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6406297,1.00,2.00,2.00,2.00,1.00,NULL,1.00,3.00,3.00,202,NULL,214,'CENTRO','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6406300,4.00,5.00,3.00,3.00,7.00,8.63,2.00,3.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6406319,4.00,6.00,3.00,4.00,6.00,8.63,0.00,3.00,2.00,103,NULL,NULL,'FÁTIMA','ANTÔNIO PRADO','RS',13230,4030,NULL,NULL,NULL,NULL,NULL,4,1),(25,6406327,3.00,5.00,2.00,3.00,5.00,0.00,1.00,3.00,2.00,999,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6406335,7.00,5.00,1.00,6.00,6.00,9.38,1.00,3.00,2.00,5,NULL,NULL,'SANTA CRUZ','GUARAPUAVA','PR',13485,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6406343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SALESSI','ITATIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6406351,1.00,4.00,0.00,2.00,4.00,7.88,3.00,3.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',21212,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6406378,5.00,6.00,3.00,6.00,9.00,11.63,3.00,4.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6268,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6406386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6406394,1.00,2.00,2.00,2.00,2.00,NULL,0.00,1.00,1.00,309,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6406408,4.00,4.00,1.00,3.00,3.00,7.88,0.00,3.00,0.00,103,NULL,NULL,'SÃO CRISTÓVÃO','CRICIÚMA','SC',20625,4735,NULL,NULL,NULL,NULL,NULL,2,5),(25,6406432,7.00,5.00,1.00,6.00,10.00,9.00,5.00,4.00,5.00,216,NULL,233,'PRAIA BRAVA','ITAJAÍ','SC',5638,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6406440,3.00,3.00,0.00,2.00,5.00,NULL,1.00,1.00,1.00,655,NULL,653,'SÃO CRISTOVÃO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6406459,5.00,5.00,1.00,3.00,8.00,7.13,3.00,1.00,3.00,110,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6406467,4.00,7.00,2.00,4.00,8.00,7.88,0.00,3.00,3.00,208,NULL,202,'FORQUILHINHAS','S JOSÉ','SC',14308,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6406483,2.00,2.00,4.00,2.00,4.00,7.50,1.00,4.00,1.00,654,NULL,NULL,'SÃO LUIS','SOMBRIO','SC',20949,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6406505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6406513,7.00,7.00,3.00,5.00,9.00,7.13,3.00,6.00,6.00,213,NULL,235,'COMERCIÁRIO','CRICIÚMA','SC',4503,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6406521,3.00,3.00,1.00,3.00,4.00,6.38,3.00,2.00,0.00,331,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',18987,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6406530,6.00,6.00,0.00,5.00,8.00,9.75,0.00,4.00,6.00,103,NULL,NULL,'SETOR SUL','GOIÂNIA','GO',6979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6406548,2.00,4.00,3.00,1.00,2.00,NULL,2.00,3.00,0.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6406556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,601,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6406564,3.00,5.00,0.00,2.00,5.00,NULL,0.00,2.00,1.00,444,NULL,NULL,'FAZ SANTO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6406572,4.00,3.00,3.00,3.00,6.00,10.50,2.00,2.00,3.00,425,NULL,423,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',14526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6406580,9.00,6.00,3.00,7.00,7.00,10.13,3.00,9.00,9.00,103,NULL,NULL,'VIRA ROSA','DOURADOS','MS',820,567,NULL,NULL,NULL,NULL,NULL,4,1),(25,6406599,4.00,7.00,1.00,5.00,9.00,8.63,2.00,5.00,2.00,428,NULL,426,'TRINDADE','FLORIANÓPOLIS','SC',11406,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6406602,3.00,5.00,4.00,3.00,5.00,7.50,3.00,5.00,1.00,223,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',16769,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6406610,2.00,4.00,2.00,4.00,5.00,9.75,2.00,1.00,3.00,201,NULL,207,'NOVO','MTE CASTELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6406629,2.00,3.00,1.00,4.00,4.00,7.50,2.00,2.00,3.00,216,NULL,215,'INTERIOR','ÁGUA DOCE','SC',17658,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6406637,2.00,4.00,4.00,2.00,5.00,NULL,0.00,2.00,1.00,207,NULL,601,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6406645,4.00,7.00,1.00,6.00,9.00,10.88,0.00,5.00,3.00,426,NULL,428,'PICADAS DO NORTE','S JOSÉ','SC',9937,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6406661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PRADO VELHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6406670,4.00,2.00,1.00,4.00,8.00,8.63,2.00,1.00,3.00,103,NULL,NULL,'CENTRO','BOSSOROCA','RS',14805,4203,NULL,NULL,NULL,NULL,NULL,2,1),(25,6406688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6406696,2.00,6.00,5.00,2.00,7.00,10.13,2.00,5.00,8.00,203,NULL,214,'PASSO DOS FORTES','CHAPECÓ','SC',7331,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6406700,5.00,5.00,2.00,7.00,8.00,10.13,3.00,4.00,3.00,207,NULL,208,'CARVOEIRA','FLORIANÓPOLIS','SC',8877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6406726,1.00,2.00,0.00,2.00,2.00,NULL,1.00,0.00,1.00,404,NULL,NULL,'INTERIOR','FR ROGÉRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6406734,5.00,4.00,2.00,3.00,5.00,9.00,1.00,0.00,2.00,216,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',17543,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6406742,2.00,5.00,1.00,3.00,4.00,5.25,1.00,3.00,2.00,404,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6406750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PRIMAVERA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6406769,6.00,6.00,2.00,3.00,9.00,8.63,1.00,2.00,5.00,207,NULL,201,'JD AMERICANO','SOROCABA','SP',9281,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6406785,3.00,5.00,4.00,7.00,7.00,10.50,3.00,5.00,2.00,234,NULL,NULL,'PALMAS','GOV CELSO RAMOS','SC',7935,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6406793,5.00,6.00,2.00,6.00,6.00,7.13,1.00,5.00,5.00,203,NULL,220,'VILA BRANDINA','CAMPINAS','SP',11512,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6406807,3.00,6.00,1.00,4.00,6.00,7.50,1.00,5.00,3.00,211,NULL,235,'BARREIROS','S JOSÉ','SC',17356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6406815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6406823,5.00,6.00,4.00,1.00,8.00,10.13,3.00,4.00,3.00,202,NULL,201,'VILA WILLIANS','GARÇA','SP',10261,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6406840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(25,6406858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6406866,1.00,4.00,1.00,5.00,6.00,NULL,1.00,0.00,2.00,316,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6406874,3.00,0.00,3.00,1.00,2.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6406882,2.00,3.00,1.00,5.00,6.00,6.75,1.00,3.00,1.00,223,NULL,NULL,'CENTRO','SALTINHO','SC',17861,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6406890,3.00,6.00,2.00,5.00,5.00,7.13,1.00,2.00,2.00,415,NULL,NULL,'SAIC','CHAPECÓ','SC',16511,259,NULL,NULL,NULL,NULL,NULL,4,4),(25,6406904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6406912,3.00,4.00,2.00,3.00,7.00,9.00,1.00,3.00,1.00,316,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',16395,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6406920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,235,'INTERMARES','CABEDELO','PB',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6406947,1.00,4.00,4.00,2.00,6.00,NULL,0.00,1.00,1.00,999,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6406963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,213,'ALTO DA RUA XV','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6406998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6407005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6407013,5.00,3.00,3.00,5.00,7.00,9.38,0.00,3.00,2.00,104,NULL,NULL,'CENTRO','TAPIRA','PR',13638,331,NULL,NULL,NULL,NULL,NULL,2,4),(25,6407021,1.00,5.00,1.00,4.00,7.00,NULL,2.00,5.00,2.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6407030,5.00,5.00,3.00,6.00,9.00,8.25,1.00,4.00,2.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6407048,2.00,4.00,0.00,2.00,5.00,9.00,3.00,4.00,1.00,201,NULL,NULL,'SÃO PEDRO','BRUSQUE','SC',20459,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407056,2.00,3.00,4.00,1.00,4.00,4.88,2.00,4.00,2.00,327,NULL,NULL,'BOMBAS','BOMBINHAS','SC',20051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6407064,4.00,5.00,1.00,7.00,8.00,7.88,1.00,0.00,6.00,999,NULL,NULL,'SÃO BASÍLIO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6407072,3.00,4.00,2.00,3.00,2.00,NULL,0.00,0.00,3.00,203,NULL,208,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407099,6.00,4.00,6.00,6.00,5.00,5.63,2.00,3.00,5.00,208,NULL,202,'VILA GRANADA','S PAULO','SP',8971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6407129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PARQUE BRASIL','JACAREÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6407137,7.00,6.00,3.00,7.00,9.00,10.88,3.00,8.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6407145,5.00,5.00,0.00,7.00,6.00,12.38,0.00,4.00,3.00,450,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6407161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FORMOSA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6407188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CAMOBI','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6407200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6407218,8.00,7.00,2.00,7.00,8.00,7.88,3.00,6.00,8.00,103,NULL,NULL,'SANTA CATARINA','FARROUPILHA','RS',3830,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407226,3.00,5.00,3.00,5.00,6.00,6.75,2.00,4.00,2.00,338,NULL,NULL,'SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC',17569,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407234,3.00,3.00,1.00,2.00,4.00,6.75,0.00,1.00,2.00,203,NULL,220,'ARIRIBÁ','BAL CAMBORIÚ','SC',21246,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6407242,3.00,4.00,4.00,4.00,7.00,5.25,3.00,3.00,2.00,208,NULL,214,'CENTRO','NOVA TRENTO','SC',15330,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407250,4.00,3.00,3.00,4.00,5.00,6.75,0.00,3.00,0.00,326,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',20555,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407269,3.00,4.00,1.00,2.00,5.00,6.75,2.00,3.00,2.00,326,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',19016,54,NULL,NULL,NULL,NULL,NULL,4,1),(25,6407277,2.00,4.00,1.00,4.00,3.00,7.88,0.00,1.00,1.00,302,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407285,4.00,5.00,2.00,4.00,6.00,10.50,3.00,4.00,3.00,102,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',10759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407293,3.00,2.00,1.00,3.00,6.00,5.63,3.00,1.00,1.00,207,NULL,201,'PARQUE DAS AVENIDAS','SOMBRIO','SC',21353,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6407307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JARDIM CANADÁ','PARAUAPEBAS','PA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6407331,7.00,9.00,7.00,6.00,9.00,10.13,3.00,7.00,9.00,103,NULL,NULL,'CENTRO','S MIGUEL IGUAÇU','PR',358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6407340,4.00,4.00,2.00,6.00,7.00,9.38,3.00,7.00,5.00,109,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',8463,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6407358,8.00,6.00,3.00,6.00,10.00,10.13,4.00,4.00,8.00,103,NULL,NULL,'SANTO AMARO','S PAULO','SP',1402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6407366,2.00,2.00,0.00,3.00,1.00,NULL,1.00,2.00,0.00,655,NULL,208,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITARARÉ','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6407382,4.00,4.00,3.00,3.00,7.00,8.63,2.00,5.00,4.00,653,NULL,203,'CENTRO','CRICIÚMA','SC',11340,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6407390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA LAUCI','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6407404,4.00,4.00,4.00,1.00,5.00,5.63,0.00,2.00,0.00,104,NULL,NULL,'ZONA NORTE','IA SOLTEIRA','SP',18243,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6407420,4.00,5.00,0.00,5.00,4.00,NULL,6.00,2.00,4.00,308,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6407439,1.00,4.00,1.00,3.00,6.00,9.75,1.00,2.00,1.00,104,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',20449,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407447,2.00,6.00,2.00,3.00,5.00,NULL,0.00,0.00,2.00,301,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407455,2.00,2.00,3.00,2.00,6.00,6.00,2.00,2.00,0.00,652,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6407463,2.00,4.00,0.00,0.00,1.00,NULL,1.00,5.00,3.00,207,NULL,212,'CAMILOPOLIS','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6407480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6407498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6407501,8.00,4.00,3.00,7.00,7.00,9.75,1.00,2.00,7.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',8604,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6407510,2.00,6.00,2.00,3.00,5.00,7.88,4.00,5.00,2.00,238,NULL,208,'BANGU','STO ANDRÉ','SP',12910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6407528,1.00,1.00,1.00,3.00,6.00,6.38,2.00,2.00,4.00,551,NULL,NULL,'CIDADE ALTA','SALTO VELOSO','SC',19093,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6407536,3.00,6.00,5.00,5.00,5.00,6.75,3.00,2.00,4.00,238,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6407544,2.00,5.00,3.00,3.00,5.00,6.75,1.00,4.00,2.00,3,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',16373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6407552,1.00,4.00,2.00,3.00,6.00,7.50,2.00,5.00,1.00,404,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',20148,85,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407560,3.00,4.00,1.00,3.00,4.00,7.50,1.00,1.00,1.00,103,NULL,NULL,'VICTOR KONDER','TAIÓ','SC',21184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407579,1.00,5.00,2.00,1.00,6.00,5.63,4.00,1.00,2.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407587,7.00,5.00,4.00,7.00,9.00,10.13,4.00,5.00,6.00,203,NULL,202,'MOINHOS DE VENTO','PTO ALEGRE','RS',3940,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6407595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIN BELA VISTA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6407609,4.00,6.00,3.00,7.00,6.00,6.38,2.00,7.00,3.00,452,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',10815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6407617,1.00,2.00,3.00,4.00,6.00,NULL,0.00,1.00,0.00,303,NULL,NULL,'SEMINARIO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6407625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PIRAJU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6407641,2.00,3.00,3.00,1.00,2.00,NULL,3.00,3.00,2.00,104,NULL,NULL,'ALDEIA PALMEIRA','JOSÉ BOITEUX','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6407668,1.00,5.00,3.00,4.00,6.00,8.25,2.00,4.00,2.00,202,NULL,213,'KOBRASOL','S JOSÉ','SC',17838,554,NULL,258,NULL,NULL,NULL,2,1),(25,6407676,1.00,4.00,0.00,1.00,4.00,7.13,1.00,0.00,3.00,335,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6407706,3.00,7.00,3.00,2.00,3.00,7.50,3.00,4.00,3.00,601,NULL,203,'CENTRO','PENHA','SC',18073,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6407714,3.00,5.00,2.00,6.00,4.00,6.38,4.00,4.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15749,348,NULL,NULL,NULL,NULL,NULL,4,1),(25,6407722,3.00,6.00,5.00,4.00,5.00,8.63,0.00,7.00,3.00,302,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',10612,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407730,8.00,7.00,6.00,6.00,6.00,8.25,5.00,4.00,8.00,333,NULL,NULL,'CENTRO','BAURU','SP',2109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6407749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6407757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'LINDO HORIZONTE','ABADIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6407765,6.00,3.00,2.00,1.00,4.00,9.38,1.00,1.00,0.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6407773,0.00,3.00,2.00,2.00,2.00,NULL,0.00,1.00,0.00,208,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407781,0.00,4.00,4.00,5.00,6.00,8.25,3.00,4.00,4.00,999,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6407811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6407846,4.00,6.00,1.00,6.00,7.00,7.50,1.00,6.00,3.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6407854,0.00,3.00,3.00,3.00,4.00,6.38,2.00,3.00,1.00,238,NULL,208,'SANTA CRUZ','ÁGUAS MORNAS','SC',21311,531,NULL,590,NULL,NULL,NULL,2,1),(25,6407870,3.00,4.00,1.00,1.00,3.00,5.25,3.00,3.00,1.00,999,NULL,NULL,'EUGÊNIO SCHNEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6407889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6407897,3.00,4.00,3.00,5.00,4.00,NULL,1.00,2.00,3.00,426,NULL,425,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6407919,5.00,6.00,4.00,6.00,8.00,8.25,3.00,4.00,2.00,420,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407927,3.00,2.00,3.00,2.00,5.00,4.88,3.00,1.00,3.00,103,NULL,NULL,'VILA ALEMANHA','LUZERNA','SC',19659,4659,NULL,NULL,NULL,NULL,NULL,4,7),(25,6407935,3.00,2.00,0.00,2.00,4.00,NULL,0.00,1.00,0.00,103,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6407951,4.00,3.00,1.00,4.00,8.00,8.25,1.00,1.00,3.00,104,NULL,NULL,'SANTA LUZIA','VOTUPORANGA','SP',13925,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407978,2.00,3.00,2.00,3.00,5.00,NULL,3.00,0.00,2.00,319,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6407986,6.00,6.00,1.00,4.00,8.00,9.75,3.00,4.00,3.00,103,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',8875,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6408001,2.00,6.00,2.00,3.00,3.00,7.88,2.00,5.00,3.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6408028,2.00,3.00,0.00,6.00,7.00,9.00,0.00,4.00,3.00,201,NULL,202,'CENTRO','AMETISTA SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6408044,6.00,7.00,3.00,7.00,10.00,9.38,0.00,5.00,4.00,340,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',5467,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6408052,5.00,2.00,3.00,2.00,5.00,9.75,2.00,6.00,3.00,103,NULL,NULL,'VILA MENCK','OSASCO','SP',10342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6408060,4.00,6.00,0.00,5.00,9.00,10.50,1.00,5.00,3.00,425,NULL,424,'NOSA SRA DO ROSARIO','S JOSÉ','SC',11413,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6408079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'CENTRO','CATANDUVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6408087,8.00,8.00,5.00,5.00,10.00,10.50,6.00,7.00,8.00,103,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',307,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6408095,4.00,6.00,2.00,6.00,8.00,11.63,3.00,6.00,3.00,102,NULL,NULL,'FÁTIMA','CANOAS','RS',5949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6408117,1.00,2.00,2.00,3.00,4.00,7.50,2.00,2.00,1.00,101,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6408125,7.00,7.00,5.00,5.00,8.00,9.00,3.00,5.00,5.00,102,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6408150,2.00,1.00,0.00,2.00,5.00,7.88,2.00,4.00,2.00,301,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6408168,2.00,7.00,2.00,6.00,6.00,7.50,1.00,5.00,6.00,201,NULL,216,'BOMBAS','BOMBINHAS','SC',11920,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6408176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CRISTO REI','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6408184,3.00,4.00,4.00,5.00,7.00,7.50,0.00,2.00,1.00,601,NULL,216,'INDUSTRIAL NORTE','RIO NEGRINHO','SC',17374,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6408222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6408230,2.00,0.00,1.00,2.00,3.00,4.50,0.00,2.00,2.00,335,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',21782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6408257,4.00,6.00,2.00,3.00,6.00,9.00,3.00,3.00,0.00,503,NULL,NULL,'MARMELEIRO','ATIBAIA','SP',14879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6408265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DORIVAL ELOY BRUSCH','IBIPORÃ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6408273,6.00,3.00,1.00,4.00,5.00,6.00,3.00,2.00,2.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',17823,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6408303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'PIRATININGA','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6408311,3.00,5.00,2.00,4.00,3.00,8.63,2.00,6.00,3.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13954,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6408320,6.00,5.00,4.00,5.00,8.00,9.75,1.00,4.00,2.00,420,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',10372,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6408338,3.00,4.00,1.00,2.00,4.00,7.50,2.00,3.00,2.00,317,NULL,NULL,'CENTRO','PALMAS','PR',18314,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6408346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'RIO BLOEMER','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6408354,2.00,2.00,3.00,4.00,4.00,7.50,2.00,1.00,0.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6408370,0.00,0.00,0.00,0.00,1.00,NULL,1.00,0.00,0.00,203,NULL,212,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6408397,2.00,3.00,1.00,4.00,3.00,5.25,0.00,4.00,2.00,444,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6408400,3.00,6.00,1.00,4.00,4.00,NULL,0.00,5.00,1.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6408419,5.00,5.00,1.00,5.00,8.00,7.88,1.00,3.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15851,557,NULL,NULL,NULL,NULL,NULL,4,1),(25,6408427,3.00,3.00,1.00,5.00,7.00,NULL,0.00,1.00,1.00,303,NULL,NULL,'SÃO JOÃO ME','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6408435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6408443,1.00,5.00,3.00,4.00,6.00,0.00,2.00,4.00,3.00,501,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6408451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6408460,0.00,2.00,0.00,0.00,0.00,NULL,0.00,3.00,2.00,5,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,3),(25,6408478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,426,'ALCIDES MODENEZ','IRACEMÁPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6408486,4.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',5,3),(25,6408494,8.00,5.00,4.00,6.00,8.00,10.13,1.00,5.00,6.00,103,NULL,NULL,'BOQUEIRAO','CURITIBA','PR',4111,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6408508,2.00,4.00,0.00,2.00,4.00,NULL,1.00,3.00,3.00,424,NULL,425,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6408532,2.00,3.00,0.00,3.00,4.00,8.25,1.00,3.00,1.00,655,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',21341,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6408540,7.00,6.00,3.00,6.00,9.00,7.50,2.00,4.00,3.00,453,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6408559,3.00,4.00,3.00,6.00,4.00,8.63,2.00,0.00,3.00,502,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',17391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6408575,6.00,6.00,4.00,5.00,8.00,NULL,0.00,6.00,5.00,203,NULL,220,'VILA ENDO','ADAMANTINA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6408591,9.00,8.00,3.00,4.00,8.00,7.50,2.00,5.00,4.00,201,NULL,211,'JARDIM BLUMENAU','BLUMENAU','SC',6672,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6408605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6408648,1.00,6.00,2.00,2.00,7.00,8.63,1.00,4.00,2.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',15978,149,NULL,NULL,NULL,NULL,NULL,4,15),(25,6408656,7.00,5.00,3.00,7.00,9.00,8.25,1.00,4.00,6.00,103,NULL,NULL,'COSTA AZUL','SALVADOR','BA',4478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6408664,2.00,3.00,0.00,2.00,4.00,NULL,0.00,0.00,2.00,223,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6408672,1.00,3.00,2.00,3.00,5.00,7.88,2.00,3.00,0.00,999,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6408680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JACARECICA','MACEIÓ','AL',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6408710,4.00,5.00,2.00,2.00,2.00,NULL,2.00,0.00,2.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6408737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SAN RAFAEL','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6408745,3.00,3.00,1.00,2.00,6.00,NULL,1.00,0.00,0.00,654,NULL,NULL,'CENTRO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6408753,4.00,4.00,2.00,5.00,7.00,12.75,1.00,3.00,1.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',12827,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6408761,1.00,4.00,2.00,3.00,6.00,9.00,1.00,0.00,0.00,201,NULL,202,'CENTRO','URUPEMA','SC',20962,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6408770,7.00,6.00,3.00,6.00,9.00,7.50,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',4918,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6408788,5.00,8.00,2.00,7.00,8.00,8.63,1.00,4.00,4.00,303,NULL,NULL,'CENTRO','PALHOÇA','SC',9646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6408796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SÃO CRISTÓVÃO','LAJEADO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6408800,3.00,7.00,2.00,6.00,8.00,9.75,4.00,8.00,6.00,329,NULL,NULL,'PRADO','BIGUAÇU','SC',6885,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6408818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'BOERMEWALT','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6408826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6408834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'JARDIM SÃO JORGE','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6408850,2.00,3.00,1.00,4.00,7.00,4.50,2.00,4.00,3.00,404,NULL,NULL,'FUNDOS','BIGUAÇU','SC',18735,73,NULL,NULL,NULL,NULL,NULL,2,1),(25,6408869,1.00,4.00,2.00,3.00,4.00,5.25,2.00,4.00,3.00,317,NULL,NULL,'CENTRO','BIGUAÇU','SC',18865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6408877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'BOSQUE','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6408885,6.00,6.00,3.00,4.00,9.00,9.38,1.00,3.00,5.00,2,NULL,NULL,'INTERIOR','S JOÃO OESTE','SC',6547,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6408893,3.00,3.00,0.00,2.00,4.00,NULL,1.00,3.00,0.00,234,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6408907,4.00,5.00,1.00,4.00,7.00,8.63,1.00,1.00,1.00,103,NULL,NULL,'CENTRO','URUGUAIANA','RS',15035,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6408915,3.00,6.00,3.00,5.00,8.00,6.38,3.00,6.00,0.00,423,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',13091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6408923,5.00,5.00,1.00,4.00,7.00,7.13,2.00,6.00,3.00,102,NULL,NULL,'CENTRO','S BENTO SUL','SC',11158,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6408931,2.00,2.00,0.00,4.00,2.00,NULL,2.00,1.00,2.00,207,NULL,211,'JARDIM IPATINGA','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6408958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6408974,3.00,1.00,0.00,3.00,5.00,7.50,3.00,1.00,1.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6408982,6.00,6.00,2.00,2.00,7.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6408990,7.00,6.00,6.00,7.00,8.00,9.38,1.00,5.00,6.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',2249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409008,2.00,5.00,1.00,2.00,3.00,NULL,1.00,0.00,3.00,551,NULL,NULL,'CIDADE JARDIM','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6409016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6409024,1.00,3.00,4.00,4.00,6.00,10.50,2.00,1.00,1.00,338,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6409032,2.00,3.00,1.00,3.00,7.00,8.63,1.00,2.00,1.00,303,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',20378,841,NULL,NULL,NULL,NULL,NULL,2,1),(25,6409040,5.00,5.00,2.00,7.00,9.00,11.63,3.00,3.00,3.00,428,NULL,426,'TRINDADE','FLORIANÓPOLIS','SC',8031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409067,4.00,2.00,1.00,1.00,3.00,5.63,2.00,0.00,1.00,404,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409075,0.00,3.00,1.00,1.00,3.00,NULL,2.00,1.00,0.00,324,NULL,NULL,'ARMAÇAO PANTANO DO S','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6409105,7.00,8.00,1.00,5.00,10.00,9.00,3.00,3.00,5.00,207,NULL,201,'SANTA APOLÔNIA','SANGÃO','SC',5519,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6409113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6409130,5.00,4.00,2.00,5.00,8.00,9.00,4.00,8.00,2.00,316,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',9603,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409148,5.00,5.00,1.00,5.00,7.00,9.75,0.00,2.00,1.00,104,NULL,NULL,'CENTRO','CANOINHAS','SC',14273,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6409156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,235,'ALTO ALEGRE','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6409164,4.00,5.00,4.00,3.00,8.00,9.00,3.00,5.00,4.00,102,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'TRICOLIN','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(25,6409180,2.00,2.00,0.00,2.00,4.00,4.88,0.00,2.00,2.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',21746,4808,NULL,NULL,NULL,NULL,NULL,2,2),(25,6409199,2.00,2.00,0.00,3.00,3.00,NULL,4.00,2.00,0.00,444,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6409210,4.00,7.00,4.00,7.00,6.00,8.63,5.00,5.00,4.00,235,NULL,216,'BARREIROS','S JOSÉ','SC',6781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409229,3.00,5.00,5.00,7.00,9.00,11.25,0.00,3.00,5.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7794,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409237,4.00,6.00,0.00,1.00,5.00,6.00,2.00,4.00,0.00,444,NULL,NULL,'NSA SRA DO ROSARIO','S JOSÉ','SC',20422,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6409253,3.00,4.00,0.00,6.00,6.00,6.75,1.00,2.00,4.00,999,NULL,NULL,'PROGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409261,6.00,7.00,2.00,5.00,4.00,8.63,1.00,7.00,3.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',8469,305,NULL,NULL,NULL,NULL,NULL,2,1),(25,6409270,2.00,0.00,2.00,0.00,7.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6409288,3.00,4.00,3.00,2.00,3.00,NULL,1.00,0.00,0.00,336,NULL,NULL,'JARDIM PRUDENCIA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409296,2.00,3.00,3.00,6.00,8.00,7.50,2.00,4.00,1.00,316,NULL,NULL,'CENTRO','CHAPECÓ','SC',16681,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6409300,8.00,5.00,4.00,4.00,9.00,7.88,2.00,6.00,6.00,103,NULL,NULL,'VILA GRANADA','S PAULO','SP',4512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409318,3.00,2.00,2.00,0.00,5.00,NULL,2.00,2.00,3.00,201,NULL,NULL,'AREIAS','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6409334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6409342,2.00,5.00,2.00,5.00,7.00,8.25,3.00,2.00,2.00,425,NULL,429,'CANASVIEIRAS','FLORIANÓPOLIS','SC',14242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409350,9.00,7.00,6.00,7.00,9.00,10.88,6.00,7.00,6.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409369,3.00,4.00,2.00,6.00,7.00,8.25,2.00,7.00,3.00,450,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6409385,3.00,2.00,2.00,5.00,5.00,7.88,1.00,3.00,3.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6409393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6409407,5.00,7.00,2.00,4.00,7.00,7.50,0.00,5.00,6.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',9889,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6409423,4.00,4.00,2.00,4.00,3.00,7.13,2.00,3.00,1.00,211,NULL,216,'COMERCIÁRIO','CRICIÚMA','SC',16462,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6409431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SANTA BARBARA','APIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6409440,3.00,6.00,2.00,3.00,5.00,5.25,2.00,5.00,4.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6409466,4.00,3.00,0.00,0.00,3.00,NULL,2.00,5.00,2.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6409474,0.00,3.00,2.00,2.00,0.00,NULL,2.00,4.00,3.00,104,NULL,NULL,'SÃO CRITOVÃO','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6409482,3.00,4.00,4.00,4.00,7.00,8.25,2.00,2.00,2.00,317,NULL,NULL,'JRD CD DE FPOLIS','S JOSÉ','SC',16446,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6409504,2.00,4.00,3.00,5.00,8.00,6.38,3.00,2.00,1.00,420,NULL,NULL,'GUARANI','NOVO HAMBURGO','RS',18480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409512,2.00,6.00,2.00,5.00,6.00,8.63,2.00,4.00,1.00,5,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',17105,597,NULL,NULL,NULL,NULL,NULL,1,1),(25,6409520,3.00,5.00,3.00,4.00,7.00,7.88,1.00,3.00,3.00,999,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6409539,6.00,5.00,2.00,7.00,8.00,8.25,1.00,5.00,7.00,103,NULL,NULL,'JARDIM CARAMURU','DOURADOS','MS',5292,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6409547,5.00,7.00,5.00,6.00,8.00,8.25,5.00,7.00,5.00,202,NULL,220,'BARREIROS','S JOSÉ','SC',4515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6409563,5.00,7.00,1.00,6.00,10.00,10.50,1.00,7.00,6.00,340,NULL,NULL,'CENTRO','PASSO FUNDO','RS',4314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409571,4.00,7.00,2.00,5.00,7.00,10.13,2.00,2.00,1.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6409580,2.00,5.00,2.00,4.00,4.00,7.13,2.00,3.00,1.00,501,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',17644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6409598,2.00,4.00,2.00,6.00,5.00,8.25,4.00,0.00,3.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409601,3.00,3.00,1.00,5.00,6.00,12.00,2.00,2.00,0.00,303,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',15508,696,NULL,NULL,NULL,NULL,NULL,2,1),(25,6409628,2.00,7.00,2.00,5.00,7.00,7.13,3.00,4.00,3.00,108,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',11508,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6409636,3.00,6.00,2.00,2.00,6.00,6.75,2.00,0.00,2.00,415,NULL,NULL,'ARMACAO DO PANTANO D','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6409644,7.00,7.00,5.00,6.00,9.00,9.75,4.00,5.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',1455,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6409652,4.00,4.00,0.00,2.00,4.00,NULL,0.00,1.00,1.00,208,NULL,601,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409679,6.00,5.00,4.00,5.00,8.00,6.75,0.00,2.00,7.00,201,NULL,212,'JARDIM CIRANDA','BEBEDOURO','SP',7788,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6409687,2.00,5.00,0.00,4.00,8.00,NULL,3.00,1.00,4.00,103,NULL,NULL,'JARDIM ITAIPÚ','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409695,1.00,4.00,1.00,3.00,7.00,7.88,3.00,3.00,3.00,203,NULL,211,'CENTRO','S LOURENÇO OESTE','SC',15510,954,NULL,402,NULL,NULL,NULL,4,4),(25,6409709,2.00,5.00,2.00,3.00,6.00,6.75,1.00,2.00,2.00,415,NULL,NULL,'ITARARE','STA MARIA','RS',18644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409717,5.00,3.00,1.00,2.00,7.00,8.63,2.00,3.00,2.00,108,NULL,NULL,'MINEIRA NOVA','CRICIÚMA','SC',14060,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6409725,6.00,8.00,2.00,3.00,7.00,10.13,1.00,6.00,3.00,653,NULL,601,'BUENOS AIRES','MAFRA','SC',8436,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6409733,5.00,5.00,4.00,4.00,5.00,11.25,3.00,6.00,3.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409768,3.00,4.00,2.00,1.00,5.00,NULL,3.00,4.00,1.00,426,NULL,423,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6409776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6409792,7.00,6.00,0.00,6.00,7.00,8.63,1.00,3.00,6.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',7740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409806,2.00,2.00,4.00,4.00,4.00,6.38,1.00,1.00,0.00,212,NULL,213,'ESTREITO','ALFREDO WAGNER','SC',21187,592,NULL,301,NULL,NULL,NULL,2,1),(25,6409814,5.00,0.00,0.00,5.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6409822,0.00,4.00,2.00,2.00,4.00,7.13,2.00,2.00,3.00,211,NULL,215,'CENTRO','ÁGUAS MORNAS','SC',21039,557,NULL,335,NULL,NULL,NULL,4,1),(25,6409830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,216,'VILA MARIANA','MOCOCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6409857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6409865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'INTERIOR','S CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',1,4),(25,6409873,5.00,3.00,2.00,6.00,5.00,NULL,0.00,0.00,1.00,5,NULL,NULL,'JURERE TRADICIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6409890,5.00,8.00,4.00,5.00,7.00,8.63,2.00,3.00,3.00,201,NULL,211,'CENTRO','ITAPIRANGA','SC',8566,657,NULL,NULL,NULL,NULL,NULL,4,4),(25,6409903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,429,'ALCIDES MODENEZ','IRACEMÁPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6409911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6409920,5.00,6.00,4.00,7.00,9.00,10.13,3.00,5.00,3.00,202,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',4557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409946,2.00,5.00,2.00,6.00,5.00,7.88,3.00,3.00,2.00,211,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',17483,456,NULL,NULL,NULL,NULL,NULL,2,1),(25,6409954,2.00,6.00,1.00,4.00,5.00,8.25,1.00,3.00,2.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6409962,4.00,6.00,2.00,6.00,7.00,NULL,2.00,5.00,4.00,340,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(25,6410014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IGUAPE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6410022,4.00,6.00,2.00,6.00,5.00,NULL,0.00,4.00,3.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',3,1),(25,6410030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PRESIDENTE VARGAS','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6410049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6410057,4.00,5.00,1.00,4.00,5.00,NULL,5.00,0.00,3.00,999,NULL,NULL,'SÃO CRISTÓVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(25,6410065,2.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(25,6410073,5.00,3.00,2.00,6.00,6.00,9.00,4.00,3.00,5.00,601,NULL,201,'IRIRIÚ','JOINVILLE','SC',11260,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6410081,1.00,5.00,1.00,1.00,5.00,7.13,3.00,1.00,1.00,404,NULL,NULL,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6410090,5.00,6.00,2.00,1.00,5.00,8.63,3.00,4.00,6.00,336,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6410120,3.00,4.00,4.00,5.00,4.00,5.63,2.00,2.00,4.00,208,NULL,652,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6410138,4.00,5.00,1.00,0.00,6.00,7.50,0.00,1.00,3.00,427,NULL,425,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6410146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM BRASÍLIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6410154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6410162,1.00,4.00,3.00,1.00,1.00,NULL,1.00,0.00,3.00,301,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6410170,6.00,3.00,0.00,3.00,6.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'SÃO MARCOS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6410189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,214,'CENTRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6410197,3.00,5.00,2.00,2.00,4.00,8.25,2.00,3.00,3.00,308,NULL,NULL,'CENTRO','S PEDRO ALCÂNTARA','SC',16923,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6410200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6410219,1.00,2.00,0.00,1.00,5.00,0.00,3.00,0.00,0.00,502,NULL,NULL,'RUA NOVA','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6410227,3.00,3.00,4.00,5.00,5.00,6.00,1.00,2.00,3.00,319,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',18631,377,NULL,NULL,NULL,NULL,NULL,2,1),(25,6410235,2.00,4.00,3.00,1.00,1.00,NULL,1.00,3.00,1.00,503,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6410260,8.00,6.00,1.00,6.00,9.00,10.13,2.00,6.00,7.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',2498,1498,NULL,NULL,NULL,NULL,NULL,2,8),(25,6410278,2.00,0.00,0.00,3.00,2.00,NULL,2.00,0.00,1.00,203,NULL,214,'VILA SANTANA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6410286,5.00,7.00,3.00,7.00,9.00,10.50,4.00,6.00,5.00,234,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6410294,1.00,3.00,2.00,4.00,3.00,8.25,2.00,3.00,1.00,207,NULL,601,'ARIRIÚ','PALHOÇA','SC',20549,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6410316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'DIONÍSIO TORRES','FORTALEZA','CE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6410324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6410332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6410340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6410359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM MORUMBI','ITUVERAVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6410367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA TARUMÃ','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6410375,8.00,6.00,4.00,5.00,8.00,10.13,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',3702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6410383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6410391,1.00,1.00,1.00,4.00,5.00,7.88,2.00,2.00,1.00,201,NULL,207,'SÃO CRISTOVÃO','CHAPECÓ','SC',19679,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6410405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,214,'COLINA VERDE','RONDONÓPOLIS','MT',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6410421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6410430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6410456,2.00,6.00,2.00,3.00,9.00,6.00,1.00,1.00,3.00,308,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19349,38,NULL,NULL,NULL,NULL,NULL,2,1),(25,6410464,4.00,2.00,2.00,1.00,4.00,7.13,3.00,1.00,1.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',21309,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6410472,5.00,4.00,2.00,3.00,6.00,7.13,1.00,1.00,1.00,309,NULL,NULL,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6410480,2.00,1.00,0.00,7.00,3.00,7.88,1.00,1.00,1.00,601,NULL,NULL,'KOBRASOL','S JOSÉ','SC',21479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6410499,2.00,4.00,1.00,0.00,9.00,NULL,1.00,4.00,1.00,655,NULL,NULL,'LAGOA DA SERRA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6410502,2.00,5.00,0.00,1.00,5.00,6.00,0.00,3.00,2.00,211,NULL,207,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',19242,504,NULL,1042,NULL,NULL,NULL,4,1),(25,6410510,3.00,6.00,3.00,2.00,2.00,NULL,3.00,4.00,2.00,404,NULL,NULL,'PRAIA MOLE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6410529,3.00,4.00,1.00,2.00,4.00,8.25,1.00,5.00,2.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',14835,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6410537,1.00,0.00,1.00,2.00,3.00,4.88,3.00,0.00,2.00,211,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6410545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','AURORA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6410553,2.00,4.00,0.00,4.00,6.00,NULL,0.00,2.00,2.00,654,NULL,NULL,'SÃO LUIZ','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6410570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'SÃO CRISTÓVÃO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6410588,2.00,6.00,2.00,4.00,7.00,9.38,5.00,3.00,2.00,234,NULL,NULL,'CENTRO','URUBICI','SC',14866,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6410596,0.00,6.00,0.00,2.00,5.00,NULL,1.00,4.00,2.00,9,NULL,NULL,'RIO SALTO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6410600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6410618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6410642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6410650,3.00,3.00,3.00,2.00,6.00,10.13,1.00,4.00,2.00,444,NULL,NULL,'MORRO AGUDO','PAULO LOPES','SC',16498,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6410669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6410677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6410693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6410707,3.00,4.00,1.00,3.00,8.00,8.25,4.00,3.00,0.00,551,NULL,NULL,'ÁGUA SANTA','CURITIBANOS','SC',17770,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6410715,4.00,4.00,2.00,6.00,5.00,7.13,1.00,4.00,3.00,303,NULL,NULL,'CENTRO','CONCÓRDIA','SC',13441,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6410731,6.00,3.00,2.00,6.00,7.00,10.88,3.00,4.00,3.00,234,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',10805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6410766,2.00,2.00,2.00,5.00,2.00,NULL,2.00,1.00,1.00,415,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6410774,4.00,7.00,0.00,4.00,7.00,8.63,0.00,3.00,4.00,108,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',13742,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6410782,2.00,5.00,4.00,4.00,5.00,7.13,1.00,2.00,0.00,308,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19600,42,NULL,NULL,NULL,NULL,NULL,2,1),(25,6410790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6410804,4.00,4.00,1.00,6.00,6.00,7.13,1.00,5.00,2.00,336,NULL,NULL,'JARDIM ESPLANADA II','S JOSÉ CAMPOS','SP',13894,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6410812,3.00,3.00,1.00,4.00,6.00,6.75,1.00,1.00,2.00,201,NULL,NULL,'PONTA AGURA','BLUMENAU','SC',18738,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6410820,4.00,0.00,2.00,1.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(25,6410839,3.00,7.00,1.00,7.00,7.00,10.13,3.00,5.00,4.00,319,NULL,NULL,'CENTRO','ENCANTADO','RS',8052,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6410847,2.00,2.00,2.00,2.00,2.00,NULL,4.00,3.00,0.00,308,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6410855,2.00,3.00,2.00,2.00,3.00,6.75,2.00,2.00,0.00,339,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',21666,29,NULL,NULL,NULL,NULL,NULL,4,1),(25,6410863,4.00,4.00,2.00,7.00,7.00,7.13,2.00,5.00,1.00,301,NULL,NULL,'CENTRO HISTÓRICO','S JOSÉ','SC',11313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6410880,5.00,5.00,3.00,4.00,7.00,10.13,0.00,5.00,1.00,5,NULL,NULL,'SAO SEBASTIAO','PALHOÇA','SC',14234,500,NULL,NULL,NULL,NULL,NULL,2,1),(25,6410898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'JARDIM CALIFORNIA','FORMOSA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6410910,3.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,0.00,207,NULL,201,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6410928,7.00,6.00,4.00,5.00,6.00,12.75,4.00,6.00,5.00,2,NULL,NULL,'BOM RETIRO','CURITIBA','PR',3943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6410936,2.00,3.00,0.00,1.00,4.00,0.00,1.00,0.00,1.00,653,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6410944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,NULL,'JD LIBERDADE II','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6410952,4.00,6.00,2.00,3.00,6.00,NULL,0.00,5.00,4.00,203,NULL,235,'VILA TESOURO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6410960,5.00,5.00,2.00,2.00,5.00,6.75,1.00,7.00,2.00,301,NULL,NULL,'CENTRO','IMBITUBA','SC',13871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6410979,2.00,5.00,0.00,3.00,6.00,NULL,0.00,3.00,1.00,202,NULL,233,'GUARAPIRANGA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'CENTRO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6411010,3.00,5.00,2.00,3.00,7.00,8.25,0.00,3.00,2.00,303,NULL,NULL,'CENTRO','CONCÓRDIA','SC',12884,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6411029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6411037,2.00,7.00,3.00,2.00,7.00,12.38,3.00,4.00,3.00,310,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',11253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411045,4.00,3.00,1.00,4.00,10.00,10.50,1.00,5.00,8.00,104,NULL,NULL,'SANTO ANTÃO','BENTO GONÇALVES','RS',7623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411053,2.00,2.00,0.00,2.00,1.00,NULL,1.00,0.00,2.00,104,NULL,NULL,'LIBERDADE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6411061,3.00,3.00,0.00,5.00,4.00,7.50,4.00,4.00,2.00,601,NULL,NULL,'JARDIM AMÉRICA','MAFRA','SC',17217,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6411070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6411088,2.00,5.00,1.00,5.00,3.00,10.50,2.00,4.00,4.00,201,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',16931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411096,1.00,4.00,0.00,3.00,3.00,NULL,2.00,2.00,0.00,202,NULL,NULL,'ALTO DA GLORIA','IRATI','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411118,2.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'INTERIOR','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',5,4),(25,6411126,2.00,4.00,2.00,4.00,7.00,NULL,2.00,4.00,0.00,308,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411134,6.00,5.00,4.00,7.00,8.00,8.63,3.00,6.00,4.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',5766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,208,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6411150,2.00,4.00,1.00,2.00,3.00,7.13,1.00,2.00,0.00,101,NULL,NULL,'GILBERTO GROCHOVISKI','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6411169,4.00,6.00,1.00,1.00,3.00,7.88,5.00,4.00,1.00,338,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',18698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411193,2.00,4.00,4.00,4.00,8.00,7.88,0.00,1.00,2.00,201,NULL,212,'MARIA TEREZINHA','PINHALZINHO','SC',15892,1353,NULL,471,NULL,NULL,NULL,4,4),(25,6411207,2.00,6.00,2.00,5.00,2.00,NULL,3.00,3.00,3.00,301,NULL,NULL,'PIO CORREIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6411215,3.00,5.00,2.00,3.00,8.00,9.00,2.00,4.00,4.00,308,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',14085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411223,5.00,6.00,1.00,6.00,8.00,10.50,2.00,1.00,4.00,201,NULL,207,'SÃO LUIZ','S MIGUEL OESTE','SC',11863,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6411240,2.00,4.00,1.00,3.00,5.00,NULL,2.00,0.00,1.00,301,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411258,3.00,6.00,1.00,4.00,4.00,NULL,5.00,2.00,0.00,415,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6411282,3.00,4.00,4.00,4.00,6.00,5.63,2.00,6.00,2.00,304,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',15984,116,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411290,2.00,5.00,2.00,1.00,6.00,NULL,0.00,0.00,1.00,5,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6411312,5.00,4.00,1.00,3.00,9.00,10.13,2.00,9.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411320,3.00,4.00,0.00,3.00,5.00,NULL,1.00,0.00,0.00,317,NULL,NULL,'SAO SEBASTIAO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6411339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,201,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6411355,3.00,5.00,3.00,6.00,9.00,9.00,0.00,3.00,5.00,202,NULL,235,'BAEPENDI','JARAGUÁ SUL','SC',8252,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6411363,5.00,4.00,3.00,6.00,7.00,9.00,2.00,4.00,5.00,216,NULL,NULL,'GLÓRIA','JOINVILLE','SC',9294,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6411371,4.00,5.00,2.00,2.00,5.00,7.13,5.00,4.00,1.00,331,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,202,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6411398,5.00,5.00,3.00,6.00,7.00,8.63,3.00,3.00,3.00,207,NULL,201,'AGUA VERDE','CURITIBA','PR',9137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411401,2.00,4.00,0.00,3.00,7.00,6.75,2.00,2.00,2.00,319,NULL,NULL,'JARDIM CLODOALDO','CACOAL','RO',20454,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411428,5.00,5.00,1.00,6.00,7.00,11.25,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',12001,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6411444,2.00,3.00,0.00,3.00,4.00,NULL,2.00,1.00,1.00,202,NULL,207,'VIGOLO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411452,1.00,4.00,3.00,2.00,3.00,5.25,2.00,3.00,4.00,9,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',20674,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411460,3.00,4.00,2.00,7.00,10.00,8.63,2.00,6.00,3.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',9932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411479,4.00,4.00,0.00,5.00,2.00,NULL,0.00,1.00,1.00,319,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411487,3.00,6.00,3.00,5.00,6.00,9.00,2.00,3.00,4.00,424,NULL,427,'COQUEIROS','FLORIANÓPOLIS','SC',12961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'NOVA HIPICA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6411509,8.00,8.00,8.00,7.00,11.00,13.13,5.00,7.00,9.00,103,NULL,NULL,'JARDIM CRISTO REI','MARÍLIA','SP',20,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411517,5.00,4.00,0.00,4.00,6.00,NULL,3.00,7.00,5.00,203,NULL,202,'CENTRO','ASTORGA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6411525,5.00,5.00,4.00,7.00,7.00,8.25,2.00,4.00,4.00,201,NULL,207,'ITARARÉ','S VICENTE','SP',6832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411533,5.00,6.00,4.00,2.00,4.00,7.88,4.00,6.00,3.00,235,NULL,213,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',12764,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411550,1.00,5.00,2.00,5.00,5.00,4.88,1.00,2.00,0.00,601,NULL,215,'CANASVIEIRAS','FLORIANÓPOLIS','SC',20896,594,NULL,334,NULL,NULL,NULL,2,1),(25,6411568,1.00,4.00,0.00,4.00,4.00,NULL,1.00,3.00,1.00,429,NULL,425,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6411584,3.00,5.00,0.00,3.00,6.00,7.88,1.00,2.00,2.00,211,NULL,207,'CAPOEIRAS','FLORIANÓPOLIS','SC',19599,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411592,3.00,4.00,0.00,2.00,8.00,7.13,2.00,1.00,1.00,223,NULL,NULL,'NOVA ESPERANÇA','CRICIÚMA','SC',20420,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6411614,3.00,2.00,3.00,0.00,7.00,NULL,4.00,5.00,1.00,202,NULL,233,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411622,4.00,3.00,4.00,2.00,8.00,9.00,1.00,3.00,2.00,316,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',13991,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,428,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',3,8),(25,6411649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411657,6.00,6.00,5.00,7.00,7.00,9.38,4.00,4.00,7.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411665,9.00,7.00,4.00,7.00,8.00,12.00,6.00,7.00,8.00,303,NULL,NULL,'MORRO DA CEGONHA','ERECHIM','RS',244,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6411681,4.00,6.00,3.00,5.00,7.00,9.00,2.00,3.00,3.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11176,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'RUBEM BERTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6411703,6.00,7.00,4.00,6.00,10.00,7.88,1.00,6.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4194,2138,NULL,NULL,NULL,NULL,NULL,4,6),(25,6411711,3.00,0.00,2.00,7.00,10.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6411720,2.00,3.00,3.00,3.00,6.00,8.25,1.00,2.00,1.00,201,NULL,235,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411738,5.00,6.00,5.00,5.00,7.00,9.00,3.00,5.00,4.00,233,NULL,201,'CENTRO','TUBARÃO','SC',7742,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6411746,3.00,2.00,2.00,7.00,5.00,8.63,2.00,5.00,0.00,999,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411754,3.00,5.00,1.00,3.00,8.00,7.50,1.00,6.00,3.00,420,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',16291,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6411762,6.00,6.00,2.00,6.00,8.00,12.00,2.00,7.00,1.00,331,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411770,2.00,5.00,2.00,5.00,8.00,4.50,2.00,3.00,2.00,202,NULL,214,'GRAGERU','ARACAJU','SE',17298,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6411800,4.00,5.00,1.00,5.00,5.00,0.00,3.00,4.00,3.00,103,NULL,NULL,'JARDIM SAO PEDRO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6411819,4.00,3.00,0.00,2.00,4.00,NULL,1.00,3.00,1.00,653,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,15),(25,6411827,7.00,4.00,4.00,3.00,8.00,6.38,4.00,7.00,7.00,220,NULL,201,'ASTURIAS','GUARUJÁ','SP',3755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411835,4.00,6.00,1.00,4.00,2.00,NULL,2.00,4.00,1.00,238,NULL,233,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM ESPLANADA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6411851,2.00,3.00,3.00,2.00,4.00,NULL,3.00,0.00,1.00,235,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6411860,3.00,4.00,2.00,5.00,6.00,6.00,2.00,3.00,3.00,501,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',18187,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411878,2.00,6.00,2.00,2.00,7.00,7.88,1.00,2.00,2.00,308,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',18867,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411894,4.00,3.00,3.00,3.00,6.00,7.13,0.00,0.00,3.00,212,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,653,'CONQUISTA','TUCURUÍ','PA',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6411916,6.00,6.00,2.00,6.00,7.00,7.13,3.00,2.00,5.00,202,NULL,601,'IPIRANGA','S JOSÉ','SC',11112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411924,4.00,6.00,0.00,4.00,9.00,9.75,1.00,4.00,3.00,207,NULL,233,'BARREIROS','S JOSÉ','SC',11489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6411932,2.00,4.00,2.00,3.00,5.00,6.75,3.00,3.00,4.00,653,NULL,652,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6411940,0.00,2.00,3.00,1.00,4.00,NULL,2.00,0.00,0.00,601,NULL,201,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6411959,7.00,5.00,2.00,4.00,6.00,7.50,2.00,1.00,3.00,202,NULL,213,'FUNDOS','BIGUAÇU','SC',12288,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6411975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6411983,3.00,3.00,1.00,3.00,4.00,7.50,0.00,0.00,2.00,109,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6411991,1.00,2.00,1.00,1.00,4.00,5.25,0.00,2.00,0.00,654,NULL,NULL,'CABEÇUDA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6412017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6412025,3.00,3.00,3.00,5.00,4.00,7.50,2.00,3.00,1.00,318,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',19304,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6412033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6412041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6412050,3.00,3.00,2.00,2.00,4.00,3.00,2.00,0.00,1.00,225,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6412068,6.00,3.00,2.00,7.00,8.00,7.88,3.00,5.00,3.00,103,NULL,NULL,'IPANEMA','RIO JANEIRO','RJ',8300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6412076,0.00,4.00,1.00,2.00,4.00,NULL,0.00,0.00,3.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6412084,3.00,3.00,0.00,4.00,5.00,5.25,2.00,1.00,0.00,319,NULL,NULL,'CENTRO','S JOSÉ','SC',20438,436,NULL,NULL,NULL,NULL,NULL,4,1),(25,6412092,2.00,6.00,4.00,4.00,6.00,7.88,1.00,4.00,2.00,303,NULL,NULL,'MARROCOS','GRAVATAÍ','RS',14922,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6412106,7.00,8.00,4.00,7.00,10.00,10.88,4.00,8.00,4.00,415,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',1557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6412114,3.00,3.00,2.00,3.00,5.00,8.63,0.00,0.00,0.00,109,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',19103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6412122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6412130,1.00,4.00,2.00,3.00,4.00,7.13,3.00,5.00,3.00,335,NULL,NULL,'BALNEÁREO','FLORIANÓPOLIS','SC',18538,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6412149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,423,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6412157,2.00,4.00,1.00,2.00,3.00,4.88,2.00,4.00,1.00,428,NULL,426,'BARRA ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6412165,2.00,5.00,1.00,3.00,6.00,6.00,1.00,4.00,4.00,501,NULL,NULL,'CENTRO','IMBITUBA','SC',15529,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6412173,8.00,7.00,2.00,7.00,7.00,0.00,2.00,3.00,3.00,326,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6412181,4.00,5.00,1.00,6.00,7.00,8.25,3.00,5.00,2.00,235,NULL,213,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',12445,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6412203,7.00,7.00,0.00,4.00,9.00,10.50,2.00,2.00,2.00,214,NULL,212,'PIRITUBA','S PAULO','SP',8617,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6412211,2.00,3.00,2.00,3.00,3.00,10.13,3.00,3.00,0.00,234,NULL,NULL,'CENTRO','BONITO','MS',18131,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6412238,2.00,1.00,1.00,3.00,6.00,3.00,3.00,1.00,1.00,208,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6412254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,202,'JARDIM ADALGISA','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6412262,2.00,5.00,2.00,1.00,2.00,NULL,0.00,1.00,2.00,223,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6412270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,220,'CAMPOS ELÍSEOS','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6412297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','ANITÁPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6412300,3.00,6.00,3.00,2.00,6.00,7.88,3.00,3.00,4.00,316,NULL,NULL,'CENTRO','CHAPECÓ','SC',13446,108,NULL,NULL,NULL,NULL,NULL,2,4),(25,6412319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6412327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIN SANTA MARIA','GUARUJÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6412335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6412343,2.00,3.00,2.00,2.00,4.00,6.75,0.00,3.00,2.00,9,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',19927,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6412360,0.00,5.00,2.00,1.00,4.00,NULL,5.00,1.00,2.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6412386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6412394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NONOAI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6412408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6412416,6.00,6.00,3.00,6.00,7.00,NULL,0.00,1.00,4.00,108,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6412424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6412432,2.00,0.00,1.00,0.00,2.00,NULL,1.00,1.00,1.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6412440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA EUNICE','CACHOEIRINHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6412459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6412467,3.00,4.00,1.00,6.00,3.00,NULL,1.00,1.00,0.00,319,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6412475,3.00,2.00,0.00,5.00,6.00,9.38,1.00,1.00,2.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6412483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'ESTREITO COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6412491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,420,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6412505,2.00,4.00,2.00,2.00,1.00,NULL,2.00,3.00,2.00,324,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6412513,2.00,4.00,1.00,2.00,6.00,8.25,4.00,2.00,2.00,316,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',19144,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6412521,3.00,4.00,2.00,6.00,6.00,7.13,4.00,2.00,1.00,308,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6412530,2.00,2.00,0.00,2.00,5.00,NULL,0.00,0.00,1.00,502,NULL,NULL,'PERPETUO SOCORRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6412556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6412564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','IGARAÇU TIETÊ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6412572,5.00,4.00,4.00,6.00,8.00,7.88,1.00,2.00,3.00,301,NULL,NULL,'CERÂMICA','ERECHIM','RS',12970,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6412599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'DAS NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6412602,1.00,3.00,0.00,3.00,4.00,NULL,1.00,2.00,0.00,601,NULL,207,'PINHEIRINHO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6412610,4.00,3.00,3.00,2.00,6.00,9.75,2.00,3.00,3.00,316,NULL,NULL,'SÍTIO CERCADO','CURITIBA','PR',14459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6412629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6412637,1.00,4.00,2.00,3.00,6.00,6.00,1.00,2.00,1.00,202,NULL,203,'INGLESES','FLORIANÓPOLIS','SC',21008,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6412645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6412653,1.00,3.00,1.00,1.00,5.00,8.63,2.00,3.00,1.00,238,NULL,208,'JARDIM ALVORADA','MOCOCA','SP',21226,526,NULL,587,NULL,NULL,NULL,4,1),(25,6412661,7.00,7.00,4.00,4.00,6.00,7.13,5.00,6.00,2.00,203,NULL,601,'IGREJINHA','APUCARANA','PR',6983,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6412670,1.00,1.00,0.00,3.00,2.00,NULL,3.00,0.00,0.00,453,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6412688,2.00,3.00,1.00,1.00,4.00,NULL,1.00,0.00,1.00,427,NULL,425,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6412696,5.00,7.00,2.00,3.00,7.00,7.88,2.00,4.00,3.00,320,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12632,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6412700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,235,'CENTRO','PEDREIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6412734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA PORTO VELHO','PTO VELHO','RO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6412742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6412750,2.00,7.00,2.00,4.00,6.00,NULL,0.00,3.00,0.00,999,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6412769,2.00,5.00,0.00,2.00,5.00,7.50,2.00,4.00,3.00,424,NULL,427,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',19961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6412777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6412793,4.00,5.00,2.00,2.00,4.00,5.63,2.00,1.00,2.00,202,NULL,203,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6412815,6.00,6.00,2.00,4.00,7.00,9.38,4.00,6.00,7.00,103,NULL,NULL,'TERESÓPOLIS','PTO ALEGRE','RS',4573,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6412831,3.00,4.00,3.00,3.00,3.00,8.63,3.00,1.00,2.00,655,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6412840,2.00,5.00,2.00,4.00,5.00,NULL,2.00,1.00,2.00,224,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6412866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6412882,3.00,7.00,2.00,5.00,7.00,8.25,2.00,2.00,1.00,103,NULL,NULL,'CENTRO','ITUPORANGA','SC',12352,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6412904,0.00,1.00,2.00,3.00,5.00,5.63,2.00,0.00,0.00,9,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6412912,1.00,3.00,2.00,1.00,5.00,7.50,1.00,2.00,2.00,601,NULL,NULL,'SÃO PEDRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6412939,6.00,4.00,1.00,4.00,3.00,5.25,0.00,1.00,1.00,303,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',21125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6412947,3.00,5.00,1.00,5.00,5.00,6.00,1.00,5.00,1.00,203,NULL,NULL,'VÁRZEA','LAGES','SC',18008,1033,NULL,NULL,NULL,NULL,NULL,4,9),(25,6412971,5.00,6.00,3.00,2.00,3.00,9.38,2.00,4.00,1.00,203,NULL,233,'PROGRESSO','S LOURENÇO OESTE','SC',16411,991,NULL,418,NULL,NULL,NULL,4,4),(25,6412980,1.00,5.00,3.00,2.00,5.00,6.00,0.00,3.00,2.00,208,NULL,235,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6412998,6.00,6.00,1.00,3.00,6.00,6.75,3.00,5.00,4.00,502,NULL,NULL,'CENTRO','CAÇADOR','SC',12068,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6413005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6413013,2.00,4.00,1.00,5.00,7.00,7.50,0.00,1.00,3.00,420,NULL,NULL,'OFICINAS','TUBARÃO','SC',16068,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6413056,1.00,3.00,0.00,0.00,3.00,NULL,0.00,1.00,3.00,109,NULL,NULL,'SANTA HELENA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6413072,4.00,6.00,1.00,3.00,4.00,5.63,0.00,1.00,2.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6413080,3.00,5.00,0.00,2.00,6.00,NULL,0.00,2.00,2.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6413099,4.00,5.00,1.00,2.00,7.00,6.75,3.00,2.00,0.00,5,NULL,NULL,'ESTREITO','ALFREDO WAGNER','SC',16851,589,NULL,NULL,NULL,NULL,NULL,4,1),(25,6413102,0.00,2.00,0.00,0.00,0.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'NOVA PORTO VELHO','PTO VELHO','RO',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(25,6413110,4.00,5.00,4.00,3.00,4.00,5.25,3.00,4.00,3.00,333,NULL,NULL,'CIDADE JARDIM','PIRACICABA','SP',15250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6413129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6413137,3.00,6.00,3.00,6.00,10.00,8.63,2.00,3.00,5.00,201,NULL,203,'PANAZZOLO','CAXIAS SUL','RS',8562,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6413145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6413153,4.00,4.00,3.00,7.00,4.00,10.13,1.00,7.00,1.00,450,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',9719,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6413161,5.00,6.00,3.00,6.00,8.00,8.25,3.00,4.00,2.00,103,NULL,NULL,'ALTO','TERESÓPOLIS','RJ',9595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6413170,3.00,5.00,3.00,6.00,7.00,7.88,2.00,2.00,3.00,304,NULL,NULL,'RESSACADA','GAROPABA','SC',14762,104,NULL,NULL,NULL,NULL,NULL,2,1),(25,6413188,6.00,5.00,3.00,5.00,5.00,7.88,5.00,6.00,3.00,2,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10210,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6413196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MORUMBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6413200,5.00,7.00,3.00,6.00,10.00,10.13,3.00,6.00,5.00,337,NULL,NULL,'SÃO FRANCISCO','LUZERNA','SC',4163,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6413218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO PORTO BELO','PTO BELO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6413226,5.00,4.00,2.00,3.00,5.00,NULL,0.00,6.00,4.00,333,NULL,NULL,'MORUMBI','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6413234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6413242,4.00,4.00,2.00,6.00,8.00,11.63,0.00,4.00,5.00,340,NULL,NULL,'JARDIM AMERICA','GOIÂNIA','GO',7345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6413250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6413277,2.00,5.00,2.00,4.00,4.00,9.75,1.00,3.00,1.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15237,534,NULL,NULL,NULL,NULL,NULL,2,1),(25,6413293,3.00,6.00,2.00,6.00,7.00,NULL,2.00,7.00,0.00,327,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6413307,2.00,6.00,3.00,2.00,5.00,7.88,3.00,4.00,0.00,103,NULL,NULL,'CENTRO','ATALANTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6413315,3.00,5.00,3.00,4.00,9.00,NULL,0.00,4.00,2.00,601,NULL,652,'PETRÓPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6413323,5.00,5.00,2.00,2.00,6.00,9.75,2.00,2.00,1.00,324,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13334,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6413331,4.00,3.00,0.00,4.00,2.00,NULL,1.00,2.00,0.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6413340,3.00,7.00,0.00,4.00,7.00,9.75,3.00,4.00,2.00,309,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6413358,4.00,4.00,1.00,5.00,8.00,7.88,1.00,3.00,1.00,104,NULL,NULL,'ATIRADORES','JOINVILLE','SC',17229,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6413366,6.00,6.00,3.00,7.00,8.00,8.25,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',3916,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6413382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,NULL,'TRÊS DE MAIO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6413404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,653,'VILA SAO JOSE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',5,15),(25,6413412,7.00,6.00,6.00,6.00,4.00,9.38,1.00,3.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6413439,4.00,4.00,0.00,2.00,3.00,5.63,1.00,3.00,5.00,102,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6413463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,207,'SAO RAFAEL','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6413471,9.00,7.00,6.00,6.00,8.00,10.50,4.00,8.00,8.00,103,NULL,NULL,'CENTRO','MARAU','RS',496,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6413480,2.00,4.00,1.00,2.00,8.00,9.38,1.00,3.00,3.00,201,NULL,207,'BARRA DO ARIRIU','PALHOÇA','SC',18392,1523,NULL,993,NULL,NULL,NULL,2,1),(25,6413498,1.00,1.00,2.00,0.00,4.00,NULL,2.00,0.00,2.00,203,NULL,214,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6413501,2.00,8.00,3.00,5.00,7.00,9.00,1.00,7.00,5.00,453,NULL,NULL,'MORRETES','ITAPEMA','SC',7484,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6413510,4.00,2.00,3.00,1.00,5.00,6.38,3.00,1.00,1.00,202,NULL,213,'JARDIM CIDADE','S JOSÉ','SC',18834,591,NULL,275,NULL,NULL,NULL,4,1),(25,6413536,5.00,6.00,2.00,6.00,5.00,6.75,3.00,3.00,3.00,201,NULL,212,'PIONEIROS','ITÁ','SC',14190,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6413544,4.00,4.00,2.00,3.00,6.00,7.50,1.00,2.00,3.00,452,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6413552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMAQUA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6413560,3.00,2.00,2.00,6.00,6.00,NULL,0.00,0.00,1.00,999,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6413579,4.00,2.00,3.00,6.00,8.00,9.38,1.00,2.00,2.00,203,NULL,208,'CENTRO','FLORIANÓPOLIS','SC',16007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6413587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6413595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'SÃO JOÃO DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6413609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'VILA ITAPURA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6413617,4.00,6.00,1.00,4.00,5.00,7.50,0.00,6.00,1.00,999,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6413625,3.00,5.00,1.00,2.00,2.00,NULL,1.00,0.00,2.00,216,NULL,238,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6413633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6413641,4.00,5.00,2.00,4.00,6.00,10.50,1.00,1.00,1.00,999,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6413650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6413668,3.00,4.00,1.00,6.00,4.00,7.13,0.00,3.00,0.00,212,NULL,201,'STO ANTÔNIO DE PÁDUA','TUBARÃO','SC',20512,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6413684,2.00,5.00,1.00,1.00,2.00,NULL,1.00,0.00,0.00,444,NULL,NULL,'FAZENDA RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6413706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'LINHA SÃO PEDRO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6413714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(25,6413722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6413730,2.00,4.00,4.00,4.00,5.00,7.50,0.00,2.00,2.00,103,NULL,NULL,'JARDIM ELDORADO','PARANAGUÁ','PR',15663,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6413749,7.00,4.00,5.00,6.00,7.00,10.13,2.00,4.00,5.00,103,NULL,NULL,'PQ SÃO VICENTE','MAUÁ','SP',4995,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6413757,2.00,4.00,0.00,4.00,5.00,8.25,1.00,0.00,0.00,426,NULL,429,'ARIRIU DA FORMIGA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6413765,4.00,5.00,1.00,4.00,7.00,8.25,2.00,1.00,1.00,653,NULL,203,'COMERCIÁRIO','CRICIÚMA','SC',18560,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6413773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6413781,5.00,8.00,3.00,3.00,5.00,6.38,1.00,5.00,3.00,203,NULL,212,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13383,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(25,6413790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,233,'JARDIM DOLALÍSIO','SALTO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6413803,3.00,6.00,3.00,4.00,6.00,8.25,4.00,3.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6413811,2.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,0.00,502,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6413838,5.00,5.00,0.00,5.00,6.00,NULL,1.00,3.00,2.00,212,NULL,207,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6413846,3.00,5.00,2.00,5.00,6.00,7.13,2.00,2.00,2.00,234,NULL,NULL,'CENTRO','CANELINHA','SC',16986,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6413862,3.00,4.00,3.00,4.00,6.00,9.00,1.00,4.00,1.00,211,NULL,215,'VILA RICA','HERVAL D OESTE','SC',17486,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6413870,4.00,4.00,2.00,2.00,7.00,8.25,1.00,3.00,2.00,220,NULL,203,'JARDIM ISMÊNIA','S JOSÉ CAMPOS','SP',15164,403,NULL,939,NULL,NULL,NULL,2,1),(25,6413889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,653,'JARDIM ELIZABETH','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6413897,3.00,0.00,1.00,4.00,3.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6413919,6.00,3.00,2.00,4.00,8.00,7.13,4.00,1.00,4.00,104,NULL,NULL,'CENTRO','CPO TENENTE','PR',14912,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6413927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,208,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6413935,5.00,5.00,1.00,6.00,6.00,12.00,2.00,4.00,5.00,103,NULL,NULL,'RIO DE BRAÇO','S JOÃO BATISTA','SC',9421,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6413943,4.00,3.00,0.00,5.00,6.00,7.50,2.00,5.00,0.00,327,NULL,NULL,'CENTRO','SEBERI','RS',15199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6413951,4.00,5.00,1.00,4.00,6.00,6.75,2.00,5.00,5.00,452,NULL,NULL,'CENTRO','PIRACICABA','SP',13117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6413960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,NULL,'MINEIRA NOVA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6413978,4.00,5.00,3.00,6.00,9.00,5.25,3.00,3.00,4.00,220,NULL,202,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',8920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6413994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6414001,3.00,2.00,0.00,2.00,4.00,NULL,0.00,1.00,1.00,101,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414028,3.00,7.00,1.00,2.00,4.00,7.50,0.00,0.00,1.00,329,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CANDELARIA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6414060,1.00,3.00,3.00,2.00,2.00,NULL,1.00,1.00,0.00,212,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6414079,1.00,5.00,2.00,6.00,6.00,9.38,3.00,2.00,1.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6414109,2.00,4.00,3.00,3.00,3.00,6.75,2.00,5.00,5.00,201,NULL,202,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414117,3.00,3.00,1.00,1.00,5.00,NULL,0.00,0.00,3.00,216,NULL,208,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6414125,3.00,5.00,1.00,6.00,4.00,12.00,0.00,2.00,2.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6414133,4.00,4.00,0.00,3.00,3.00,NULL,1.00,4.00,3.00,444,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414141,2.00,2.00,2.00,1.00,7.00,NULL,0.00,3.00,0.00,238,NULL,208,'DIVINA PROVIDENCIA','STA MARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414150,5.00,6.00,0.00,4.00,6.00,7.50,2.00,4.00,4.00,103,NULL,NULL,'JARDIM AMERICA','CHAPECÓ','SC',15228,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6414168,4.00,3.00,2.00,6.00,5.00,7.13,0.00,3.00,1.00,2,NULL,NULL,'CAMPINAS','S JOSÉ','SC',19444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6414176,1.00,4.00,3.00,5.00,7.00,7.50,1.00,2.00,3.00,999,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6414192,3.00,8.00,0.00,7.00,6.00,10.13,1.00,0.00,0.00,211,NULL,233,'GUANABARA','UBERABA','MG',16881,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6414206,4.00,5.00,0.00,5.00,7.00,NULL,0.00,4.00,2.00,310,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6414222,2.00,3.00,1.00,2.00,1.00,NULL,2.00,1.00,2.00,109,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6414230,2.00,6.00,0.00,3.00,5.00,7.88,3.00,4.00,2.00,655,NULL,652,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6414249,8.00,6.00,4.00,5.00,7.00,9.38,1.00,3.00,8.00,103,NULL,NULL,'CENTRO','ARAPONGAS','PR',5414,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6414257,5.00,2.00,3.00,3.00,2.00,NULL,0.00,0.00,2.00,103,NULL,NULL,'PORTAO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6414265,4.00,4.00,2.00,4.00,6.00,5.25,1.00,4.00,1.00,999,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414273,5.00,5.00,1.00,4.00,9.00,7.50,2.00,3.00,2.00,444,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',13741,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'COND COLINA DO SABIA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6414290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,202,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6414303,2.00,5.00,1.00,2.00,6.00,9.38,0.00,5.00,2.00,453,NULL,NULL,'SERRARIA','S JOSÉ','SC',19033,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6414346,3.00,5.00,1.00,3.00,3.00,7.50,1.00,5.00,0.00,332,NULL,NULL,'PONTE DE IMARUIM','PALHOÇA','SC',20680,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414362,0.00,3.00,2.00,4.00,4.00,NULL,2.00,0.00,0.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(25,6414400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'HIPICA','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6414419,2.00,4.00,2.00,4.00,8.00,7.50,2.00,3.00,1.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18591,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414427,1.00,3.00,1.00,1.00,2.00,NULL,2.00,0.00,1.00,308,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6414435,8.00,6.00,7.00,6.00,6.00,9.75,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','UMUARAMA','PR',2301,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6414451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6414460,2.00,4.00,2.00,2.00,3.00,6.00,3.00,2.00,0.00,316,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6414478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6414486,5.00,2.00,1.00,4.00,5.00,7.50,2.00,2.00,2.00,318,NULL,NULL,'DOS ESTADOS','INDAIAL','SC',19781,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6414508,6.00,5.00,2.00,5.00,6.00,10.13,3.00,8.00,7.00,302,NULL,NULL,'JORDÃO','GOV CELSO RAMOS','SC',5263,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6414516,3.00,6.00,2.00,5.00,6.00,NULL,0.00,2.00,0.00,452,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6414532,3.00,3.00,1.00,2.00,3.00,7.13,4.00,3.00,3.00,551,NULL,NULL,'ITARARÉ','S JOSÉ CERRITO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6414540,3.00,5.00,3.00,5.00,5.00,6.38,0.00,5.00,3.00,110,NULL,NULL,'SERTÃO DO TROMBUDO','ITAPEMA','SC',15436,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6414559,3.00,7.00,3.00,4.00,3.00,9.38,3.00,6.00,3.00,332,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414575,1.00,3.00,1.00,3.00,6.00,5.63,3.00,1.00,1.00,654,NULL,NULL,'SANGA DA TOCA','ARARANGUÁ','SC',21133,81,NULL,NULL,NULL,NULL,NULL,2,15),(25,6414591,7.00,5.00,2.00,6.00,5.00,8.63,3.00,3.00,7.00,202,NULL,653,'SETOR BUENO','GOIÂNIA','GO',6541,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6414613,2.00,3.00,2.00,7.00,7.00,7.13,2.00,3.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16436,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6414648,4.00,5.00,2.00,5.00,7.00,6.75,3.00,4.00,2.00,652,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',16038,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6414656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SÃO GABRIEL','CAP LEÔNIDAS MARQUES','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6414664,1.00,0.00,1.00,2.00,4.00,6.75,1.00,2.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6414672,3.00,6.00,2.00,7.00,5.00,10.50,3.00,4.00,5.00,103,NULL,NULL,'VILA SANTA LUZIA','S BERNARDO CAMPO','SP',7260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6414702,7.00,8.00,3.00,5.00,8.00,13.13,1.00,9.00,4.00,207,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',3577,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','NOVA BASSANO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6414729,3.00,6.00,2.00,5.00,6.00,3.38,2.00,4.00,2.00,203,NULL,235,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414753,3.00,4.00,3.00,3.00,4.00,6.75,3.00,2.00,1.00,203,NULL,202,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',20101,1108,NULL,636,NULL,NULL,NULL,2,1),(25,6414761,3.00,5.00,2.00,4.00,5.00,7.88,1.00,4.00,3.00,104,NULL,NULL,'UNIVERSITARIO','TIJUCAS','SC',13499,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414770,5.00,2.00,1.00,3.00,5.00,7.88,1.00,2.00,5.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414788,0.00,5.00,0.00,0.00,0.00,NULL,3.00,1.00,3.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(25,6414796,2.00,5.00,0.00,3.00,6.00,NULL,2.00,0.00,1.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'VITORIA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6414818,3.00,1.00,0.00,2.00,4.00,7.88,3.00,1.00,1.00,501,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6414842,1.00,4.00,1.00,1.00,2.00,NULL,2.00,0.00,1.00,425,NULL,428,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6414885,3.00,1.00,1.00,2.00,5.00,NULL,2.00,0.00,1.00,207,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6414907,1.00,1.00,0.00,1.00,0.00,NULL,3.00,4.00,1.00,103,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6414915,4.00,6.00,4.00,6.00,7.00,7.50,2.00,6.00,5.00,238,NULL,208,'CORREGO GRANDE','FLORIANÓPOLIS','SC',7032,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6414940,6.00,4.00,3.00,6.00,7.00,6.00,3.00,4.00,3.00,235,NULL,202,'PANTANAL','FLORIANÓPOLIS','SC',12735,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6414958,3.00,5.00,1.00,3.00,8.00,8.25,3.00,7.00,1.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6414966,1.00,6.00,0.00,5.00,6.00,7.13,2.00,3.00,2.00,318,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',19225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6414974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CENTRO','VÁRZEA GRANDE','MT',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6414982,1.00,4.00,2.00,5.00,4.00,7.50,2.00,3.00,3.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',19502,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415008,2.00,4.00,2.00,3.00,4.00,5.63,1.00,2.00,1.00,601,NULL,652,'CENTRO','NOVA ERECHIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6415040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6415075,7.00,7.00,2.00,4.00,6.00,9.38,1.00,5.00,3.00,102,NULL,NULL,'CENTRO','LAGES','SC',9165,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6415083,5.00,3.00,1.00,6.00,7.00,11.25,3.00,2.00,2.00,103,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',13024,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6415091,2.00,3.00,1.00,3.00,2.00,NULL,0.00,2.00,1.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6415105,2.00,5.00,2.00,0.00,5.00,NULL,1.00,6.00,2.00,340,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415113,2.00,2.00,0.00,4.00,2.00,NULL,2.00,2.00,2.00,424,NULL,428,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415121,3.00,2.00,2.00,1.00,4.00,5.63,0.00,5.00,2.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415130,2.00,7.00,3.00,6.00,6.00,11.25,1.00,5.00,4.00,318,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',9893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415148,2.00,2.00,2.00,3.00,5.00,9.75,3.00,0.00,1.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',19077,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ICARAÍ','NITERÓI','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6415172,4.00,5.00,6.00,5.00,5.00,9.00,4.00,5.00,2.00,220,NULL,NULL,'JD ACLIMAÇÃO','MARINGÁ','PR',8241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','NOVA BASSANO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6415210,3.00,4.00,2.00,3.00,6.00,7.50,2.00,3.00,0.00,101,NULL,NULL,'CENTRO','PALHOÇA','SC',15461,72,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415237,8.00,6.00,3.00,6.00,10.00,11.63,3.00,4.00,6.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',2332,1417,NULL,NULL,NULL,NULL,NULL,4,8),(25,6415245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6415253,3.00,2.00,1.00,1.00,5.00,6.75,1.00,3.00,2.00,303,NULL,NULL,'BATEL','CURITIBA','PR',18670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,426,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(25,6415296,8.00,4.00,4.00,7.00,9.00,9.38,2.00,6.00,6.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4161,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6415326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6415334,3.00,7.00,1.00,3.00,7.00,10.13,2.00,3.00,0.00,317,NULL,NULL,'CENTRO','S JOSÉ','SC',16199,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6415350,4.00,7.00,3.00,3.00,7.00,9.00,3.00,3.00,7.00,999,NULL,NULL,'MUNICÍPOS','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(25,6415385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6415407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,215,'GUAIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6415415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ESTAÇÃO NOVA','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6415431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6415440,7.00,6.00,5.00,7.00,8.00,6.00,0.00,8.00,6.00,203,NULL,214,'VILA MARIANA','S PAULO','SP',4160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415474,4.00,5.00,1.00,2.00,4.00,8.63,4.00,2.00,0.00,109,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',20093,143,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415482,4.00,4.00,1.00,3.00,8.00,10.13,2.00,7.00,5.00,201,NULL,212,'SUDOESTE','GOIÂNIA','GO',7771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6415504,2.00,4.00,1.00,2.00,1.00,NULL,2.00,4.00,4.00,339,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415512,2.00,4.00,1.00,5.00,5.00,9.00,2.00,3.00,1.00,214,NULL,213,'PRINCESA DO MAR','ITAPOÁ','SC',18497,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415520,3.00,2.00,1.00,3.00,3.00,NULL,2.00,5.00,0.00,332,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415539,2.00,6.00,1.00,5.00,8.00,6.38,2.00,4.00,2.00,329,NULL,NULL,'COSTA DE DENTRO','FLORIANÓPOLIS','SC',14602,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415547,3.00,5.00,1.00,5.00,6.00,6.00,2.00,4.00,2.00,238,NULL,208,'CAMPINAS','S JOSÉ','SC',13098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415555,4.00,2.00,0.00,2.00,2.00,NULL,2.00,2.00,3.00,101,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415571,3.00,6.00,2.00,3.00,6.00,NULL,2.00,2.00,0.00,101,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6415598,4.00,3.00,2.00,5.00,9.00,6.38,2.00,1.00,1.00,238,NULL,208,'ESTREITO','FLORIANÓPOLIS','SC',18068,423,NULL,461,NULL,NULL,NULL,4,1),(25,6415601,8.00,7.00,4.00,6.00,7.00,11.25,4.00,4.00,6.00,225,NULL,NULL,'FAZENDA','ITAJAÍ','SC',2512,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6415610,1.00,4.00,2.00,4.00,3.00,8.25,0.00,3.00,1.00,335,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21082,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415628,2.00,5.00,2.00,4.00,4.00,8.25,3.00,3.00,1.00,999,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415636,3.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,3.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6415644,5.00,3.00,0.00,4.00,5.00,NULL,0.00,0.00,1.00,333,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415652,2.00,7.00,0.00,4.00,5.00,2.25,2.00,4.00,1.00,309,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415660,2.00,2.00,2.00,3.00,1.00,NULL,1.00,2.00,1.00,316,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'LUCAS ARAÚJO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6415687,4.00,0.00,5.00,8.00,8.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6415695,1.00,3.00,1.00,6.00,6.00,9.00,2.00,4.00,2.00,426,NULL,423,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415717,1.00,4.00,0.00,3.00,3.00,NULL,2.00,5.00,1.00,444,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415750,3.00,3.00,4.00,2.00,6.00,6.75,2.00,2.00,1.00,551,NULL,NULL,'KOBRASOL','S JOSÉ','SC',20545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415768,2.00,2.00,2.00,4.00,1.00,NULL,2.00,0.00,1.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415776,1.00,5.00,2.00,5.00,6.00,9.38,1.00,2.00,1.00,201,NULL,203,'JARDIM BARA','DOURADOS','MS',15716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415784,2.00,1.00,1.00,2.00,3.00,7.88,1.00,2.00,1.00,110,NULL,NULL,'JARDIM EUCALIPTO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415792,1.00,2.00,2.00,1.00,5.00,7.50,2.00,2.00,1.00,238,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',21294,530,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415806,1.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,2.00,404,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415814,3.00,2.00,1.00,6.00,6.00,7.88,3.00,1.00,2.00,103,NULL,NULL,'MORUMBI','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415822,8.00,8.00,4.00,6.00,9.00,10.88,1.00,7.00,4.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',2137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6415849,0.00,4.00,0.00,4.00,5.00,7.88,3.00,0.00,0.00,451,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',20371,37,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415857,3.00,3.00,2.00,2.00,8.00,10.50,2.00,2.00,1.00,316,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',16588,163,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415873,4.00,3.00,2.00,2.00,9.00,10.50,1.00,3.00,2.00,999,NULL,NULL,'TERMAS','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6415881,6.00,4.00,0.00,6.00,7.00,9.75,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','CHARQUEADAS','RS',7545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415890,4.00,5.00,3.00,4.00,4.00,9.38,3.00,2.00,2.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415903,3.00,6.00,4.00,5.00,6.00,7.50,2.00,3.00,4.00,208,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',10687,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6415911,4.00,1.00,2.00,1.00,1.00,NULL,2.00,3.00,0.00,211,NULL,238,'PASSAGEM','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6415920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SION','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6415938,2.00,3.00,1.00,2.00,5.00,7.50,0.00,1.00,2.00,104,NULL,NULL,'CENTRO','LAURENTINO','SC',18512,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6415946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6415954,2.00,4.00,2.00,3.00,6.00,7.13,1.00,3.00,3.00,551,NULL,NULL,'CENTRO','ANGELINA','SC',18812,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6415962,6.00,4.00,1.00,6.00,8.00,NULL,0.00,1.00,0.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6415970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6415989,1.00,3.00,0.00,1.00,1.00,NULL,2.00,0.00,0.00,337,NULL,NULL,'FORQUIHLINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6415997,2.00,5.00,0.00,3.00,7.00,7.88,2.00,1.00,3.00,216,NULL,233,'GUAIRA','CURITIBA','PR',15388,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6416004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'BELA VISTA','SORRISO','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6416012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6416020,8.00,7.00,6.00,5.00,9.00,9.75,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1362,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6416039,4.00,2.00,2.00,2.00,4.00,6.75,2.00,1.00,2.00,317,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6416047,5.00,5.00,0.00,4.00,5.00,NULL,1.00,5.00,4.00,103,NULL,NULL,'VILA NOVA JERUSALEM','PEROBAL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6416055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6416071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ASSAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6416080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6416098,5.00,5.00,4.00,4.00,5.00,NULL,0.00,5.00,4.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6416101,4.00,5.00,4.00,6.00,6.00,8.63,2.00,2.00,2.00,238,NULL,208,'CENTRO','PRES GETÚLIO','SC',14850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6416110,7.00,7.00,5.00,6.00,8.00,10.88,2.00,4.00,7.00,303,NULL,NULL,'ALTO DA RUA XV','CURITIBA','PR',2787,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6416128,2.00,3.00,2.00,2.00,4.00,9.00,2.00,1.00,1.00,999,NULL,NULL,'CENTRO','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6416136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6416144,2.00,3.00,0.00,3.00,4.00,6.38,2.00,3.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6416152,2.00,4.00,2.00,3.00,7.00,NULL,2.00,2.00,5.00,452,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6416179,6.00,5.00,4.00,5.00,8.00,8.25,3.00,4.00,6.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6416195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6416209,2.00,3.00,2.00,2.00,5.00,9.38,2.00,3.00,2.00,420,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16565,160,NULL,NULL,NULL,NULL,NULL,2,1),(25,6416217,7.00,6.00,6.00,7.00,8.00,11.63,3.00,7.00,8.00,103,NULL,NULL,'VILA NOVA','CPO LARGO','PR',936,645,NULL,NULL,NULL,NULL,NULL,4,8),(25,6416225,5.00,4.00,1.00,2.00,7.00,7.88,2.00,3.00,2.00,203,NULL,601,'CENTRO','FRAIBURGO','SC',16255,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6416233,2.00,5.00,0.00,2.00,7.00,NULL,2.00,1.00,1.00,211,NULL,215,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6416241,7.00,7.00,3.00,7.00,9.00,8.25,2.00,6.00,9.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',3231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6416268,6.00,6.00,1.00,4.00,8.00,8.63,3.00,4.00,2.00,317,NULL,NULL,'JARDIM MARISTELA','CRICIÚMA','SC',13222,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6416276,3.00,5.00,2.00,1.00,5.00,7.88,1.00,3.00,1.00,601,NULL,203,'STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC',20398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6416284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'GRACIOSA','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6416292,2.00,4.00,1.00,7.00,4.00,10.13,1.00,4.00,3.00,303,NULL,NULL,'CENTRO','GETÚLIO VARGAS','RS',13203,617,NULL,NULL,NULL,NULL,NULL,4,1),(25,6416306,6.00,6.00,5.00,6.00,10.00,NULL,3.00,7.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6416322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6416330,2.00,3.00,2.00,6.00,3.00,6.00,1.00,4.00,2.00,203,NULL,220,'PRESIDENTE MEDICI','CHAPECÓ','SC',19810,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6416349,2.00,2.00,1.00,2.00,4.00,8.25,5.00,3.00,2.00,103,NULL,NULL,'CZERNIEWICS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6416357,1.00,2.00,2.00,4.00,4.00,0.00,2.00,2.00,1.00,999,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6416365,4.00,3.00,2.00,2.00,6.00,7.88,1.00,0.00,2.00,303,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',20572,848,NULL,NULL,NULL,NULL,NULL,2,1),(25,6416373,1.00,3.00,1.00,2.00,3.00,NULL,0.00,0.00,4.00,5,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6416381,5.00,7.00,1.00,6.00,8.00,8.25,3.00,5.00,1.00,999,NULL,NULL,'PRAIA DE BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6416390,4.00,4.00,0.00,5.00,7.00,8.63,2.00,2.00,1.00,238,NULL,220,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',17250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6416411,5.00,6.00,5.00,3.00,8.00,9.00,3.00,3.00,4.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9160,336,NULL,NULL,NULL,NULL,NULL,4,1),(25,6416420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','TROMBUDO CENTRAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6416438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6416446,3.00,4.00,0.00,4.00,8.00,NULL,0.00,3.00,4.00,207,NULL,233,'TRES VESNDAS','PELOTAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6416454,4.00,3.00,1.00,3.00,5.00,6.75,1.00,0.00,2.00,318,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6416470,3.00,2.00,0.00,1.00,4.00,NULL,1.00,1.00,3.00,999,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6416489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM GUAPORÉ','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6416519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','RIO B IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6416527,6.00,6.00,3.00,6.00,9.00,10.50,1.00,4.00,4.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6247,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6416535,3.00,4.00,2.00,2.00,6.00,6.38,0.00,5.00,2.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',17641,4499,NULL,NULL,NULL,NULL,NULL,4,8),(25,6416543,6.00,6.00,1.00,3.00,6.00,6.00,0.00,4.00,4.00,5,NULL,NULL,'CENTRO','XAMBRÊ','PR',13197,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6416551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CHACARÁ BELA VISTA','JAÚ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6416560,3.00,5.00,5.00,5.00,8.00,7.88,2.00,3.00,8.00,233,NULL,203,'TRINDADE','FLORIANÓPOLIS','SC',6398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6416608,4.00,7.00,4.00,5.00,6.00,9.38,2.00,2.00,2.00,103,NULL,NULL,'JARDIM MAUÁ','NOVO HAMBURGO','RS',9525,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6416632,8.00,4.00,5.00,5.00,8.00,10.88,2.00,6.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3251,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6416640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'BOEHMERWALDT','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6416667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRES FIGUEIRAS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6416683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'ALTO DA BOA VISTA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6416691,5.00,4.00,2.00,5.00,7.00,9.00,2.00,6.00,3.00,104,NULL,NULL,'SANTA TERESA','S PEDRO ALCÂNTARA','SC',10881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6416713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VERENA','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6416748,7.00,7.00,8.00,6.00,8.00,12.75,4.00,8.00,7.00,103,NULL,NULL,'CIRO NARDI','CASCAVEL','PR',257,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6416756,0.00,3.00,2.00,1.00,5.00,7.50,1.00,1.00,3.00,303,NULL,NULL,'PONTAL','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6416764,0.00,1.00,2.00,2.00,4.00,6.75,0.00,0.00,1.00,444,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',21552,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6416772,4.00,7.00,4.00,6.00,8.00,7.50,3.00,3.00,4.00,999,NULL,NULL,'PROGRESSO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6416780,8.00,8.00,2.00,7.00,10.00,13.13,1.00,7.00,6.00,340,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',1208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6416799,3.00,4.00,1.00,2.00,5.00,7.50,0.00,4.00,1.00,5,NULL,NULL,'PONTE DE IMARUIM','PALHOÇA','SC',20795,701,NULL,NULL,NULL,NULL,NULL,2,1),(25,6416802,3.00,5.00,2.00,4.00,6.00,8.63,2.00,1.00,2.00,415,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',18082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6416810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6416829,5.00,5.00,1.00,4.00,7.00,0.00,1.00,5.00,5.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6416837,4.00,4.00,3.00,5.00,5.00,10.88,1.00,4.00,1.00,303,NULL,NULL,'VILA RIBEIROPULIS','REGISTRO','SP',13819,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6416845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,427,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6416888,2.00,3.00,0.00,4.00,6.00,8.25,2.00,0.00,2.00,317,NULL,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6416896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6416900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6416918,3.00,4.00,2.00,3.00,6.00,9.38,1.00,0.00,2.00,103,NULL,NULL,'ITAPAGÉ','FREDERICO WESTPHALEN','RS',19967,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6416926,1.00,4.00,1.00,0.00,2.00,NULL,2.00,0.00,1.00,999,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6416934,7.00,3.00,3.00,4.00,7.00,10.50,4.00,3.00,4.00,211,NULL,653,'TERESÓPOLIS','PTO ALEGRE','RS',8549,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6416950,3.00,1.00,1.00,5.00,6.00,7.88,1.00,3.00,1.00,109,NULL,NULL,'CENTRO','BRUSQUE','SC',20396,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6416985,4.00,2.00,2.00,4.00,7.00,9.00,1.00,4.00,2.00,319,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',15005,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6416993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6417000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,220,'PRAIA DE BOTAFOGO','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6417019,3.00,4.00,0.00,2.00,4.00,4.88,4.00,1.00,4.00,308,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6417027,1.00,6.00,1.00,3.00,8.00,10.13,1.00,2.00,0.00,207,NULL,201,'CENTRO','FREDERICO WESTPHALEN','RS',19467,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6417043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,426,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6417051,4.00,2.00,2.00,6.00,6.00,5.63,1.00,3.00,3.00,201,NULL,655,'CENTRO','TURVO','SC',18209,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6417060,0.00,4.00,0.00,0.00,0.00,NULL,0.00,3.00,6.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(25,6417078,5.00,5.00,3.00,4.00,3.00,NULL,0.00,4.00,1.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6417086,2.00,6.00,1.00,1.00,6.00,7.88,2.00,4.00,2.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',18664,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6417094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,208,'ASA SUL','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6417108,3.00,2.00,0.00,0.00,5.00,NULL,0.00,1.00,0.00,102,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6417116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'INDIA','CANELINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6417124,3.00,3.00,2.00,5.00,6.00,6.38,2.00,1.00,5.00,211,NULL,233,'ROÇADO','S JOSÉ','SC',17399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6417132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6417140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CENTRO','CONDOR','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6417183,5.00,7.00,1.00,7.00,7.00,9.00,1.00,4.00,2.00,404,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',12439,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6417191,6.00,5.00,2.00,5.00,7.00,9.38,1.00,7.00,6.00,103,NULL,NULL,'CENTRO','DIADEMA','SP',4978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6417205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6417221,2.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,6),(25,6417230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','NÃO-ME-TOQUE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6417248,4.00,1.00,0.00,1.00,2.00,NULL,1.00,0.00,0.00,652,NULL,655,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6417280,4.00,5.00,0.00,0.00,4.00,5.25,2.00,4.00,2.00,208,NULL,NULL,'SETE DE SETEMBRO','IVOTI','RS',17776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6417299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6417337,2.00,4.00,1.00,3.00,5.00,6.75,3.00,1.00,1.00,309,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6417345,4.00,5.00,2.00,3.00,3.00,7.13,3.00,3.00,2.00,104,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6417353,2.00,2.00,0.00,3.00,5.00,8.25,2.00,1.00,1.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6417361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6417388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6417396,7.00,6.00,2.00,5.00,5.00,8.25,1.00,6.00,5.00,103,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',10973,3717,NULL,NULL,NULL,NULL,NULL,4,1),(25,6417400,4.00,5.00,2.00,3.00,4.00,7.50,3.00,3.00,1.00,103,NULL,NULL,'SORGATTO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6417426,4.00,4.00,1.00,4.00,8.00,NULL,0.00,2.00,5.00,103,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6417442,3.00,5.00,3.00,4.00,6.00,5.25,3.00,1.00,3.00,208,NULL,202,'VILA JOÃO PESSOA','PTO ALEGRE','RS',16357,383,NULL,513,NULL,NULL,NULL,2,1),(25,6417450,4.00,5.00,5.00,3.00,5.00,7.50,1.00,2.00,8.00,216,NULL,215,'INGLESES','FLORIANÓPOLIS','SC',9945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6417469,4.00,5.00,4.00,7.00,9.00,7.88,3.00,7.00,4.00,103,NULL,NULL,'VILA CLEMENTINO','S PAULO','SP',5028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6417477,2.00,6.00,4.00,2.00,3.00,2.25,4.00,0.00,3.00,238,NULL,235,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6417485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6417493,3.00,7.00,2.00,1.00,8.00,8.25,3.00,6.00,0.00,426,NULL,424,'TRINDADE','FLORIANÓPOLIS','SC',15408,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6417515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'FAZENDINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6417531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6417540,1.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PRAIA MOLE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6417566,1.00,6.00,1.00,3.00,4.00,6.00,1.00,5.00,3.00,103,NULL,NULL,'CENTRO','ERVAL GRANDE','RS',16056,4336,NULL,NULL,NULL,NULL,NULL,2,4),(25,6417574,2.00,4.00,2.00,2.00,7.00,7.88,1.00,3.00,3.00,216,NULL,211,'CENTRO','NOVA TRENTO','SC',17669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6417590,2.00,3.00,1.00,4.00,7.00,7.13,3.00,2.00,0.00,653,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6417612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAN RAFAEL','MARACAJU','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6417620,2.00,4.00,1.00,4.00,6.00,6.38,0.00,4.00,2.00,318,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6417655,1.00,6.00,2.00,5.00,8.00,7.13,1.00,4.00,4.00,452,NULL,NULL,'ALTO DO PARQUE','LAJEADO','RS',11068,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6417671,6.00,7.00,3.00,2.00,7.00,6.00,3.00,5.00,4.00,207,NULL,208,'ZONA SETE','MARINGÁ','PR',11320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6417698,6.00,4.00,2.00,7.00,8.00,10.50,1.00,5.00,4.00,453,NULL,NULL,'BARREIROS','S JOSÉ','SC',6572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6417710,2.00,4.00,1.00,6.00,6.00,7.50,1.00,3.00,1.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6417728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'MONTE ALEGRE','TREZE MAIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6417736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6417752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6417760,6.00,6.00,4.00,4.00,9.00,10.13,2.00,7.00,8.00,103,NULL,NULL,'ABERTA DOS MORROS','PTO ALEGRE','RS',3434,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6417787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6417795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6417809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'PRAIA DOS COQUEIROS','PIMENTA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6417817,1.00,3.00,1.00,2.00,3.00,NULL,2.00,0.00,1.00,451,NULL,NULL,'CENTRO','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6417825,3.00,6.00,1.00,2.00,4.00,7.88,2.00,1.00,2.00,108,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',19496,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6417833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6417868,7.00,6.00,4.00,6.00,8.00,9.38,1.00,5.00,9.00,103,NULL,NULL,'MARECHAL RONDON','CANOAS','RS',3388,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6417876,2.00,5.00,2.00,6.00,7.00,11.25,0.00,2.00,4.00,420,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13834,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6417884,4.00,5.00,1.00,5.00,7.00,NULL,1.00,6.00,2.00,999,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,15),(25,6417914,5.00,5.00,2.00,5.00,4.00,NULL,0.00,3.00,2.00,450,NULL,NULL,'BARAO GERALDO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6417922,7.00,5.00,5.00,6.00,8.00,7.50,4.00,3.00,9.00,201,NULL,213,'PONTE DO IMARUIM','PALHOÇA','SC',3913,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6417949,5.00,5.00,3.00,6.00,7.00,8.63,2.00,4.00,5.00,216,NULL,235,'JARDIM SAO PAULO','AMERICANA','SP',11333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6417957,3.00,5.00,3.00,5.00,5.00,6.38,1.00,3.00,1.00,202,NULL,201,'CENTRO','S MIGUEL OESTE','SC',17956,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6417965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6417973,8.00,7.00,4.00,7.00,8.00,10.13,4.00,5.00,9.00,103,NULL,NULL,'DOM GUANELLA','CANELA','RS',1711,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6417990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'CENTRO','TANGARÁ SERRA','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6418007,5.00,6.00,0.00,6.00,8.00,12.00,3.00,6.00,1.00,327,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',9392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6418015,4.00,5.00,2.00,5.00,9.00,10.50,2.00,4.00,3.00,324,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6418023,3.00,3.00,4.00,5.00,8.00,10.13,1.00,3.00,4.00,103,NULL,NULL,'CURUÇA','STO ANDRÉ','SP',8930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6418031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'OLARIA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6418040,6.00,7.00,1.00,5.00,9.00,8.63,3.00,7.00,4.00,340,NULL,NULL,'SANTA CRUZ','RIBEIRÃO PRETO','SP',6409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6418058,5.00,7.00,1.00,4.00,8.00,NULL,0.00,5.00,7.00,327,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6418066,2.00,5.00,3.00,1.00,6.00,8.25,2.00,0.00,3.00,999,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6418082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'AMIZADE','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6418090,5.00,4.00,2.00,5.00,7.00,8.25,1.00,3.00,1.00,317,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',17167,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6418120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,213,'PRÓSPERA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6418139,5.00,1.00,0.00,2.00,6.00,6.75,0.00,1.00,1.00,201,NULL,207,'JARDIM ELDORADO','PALHOÇA','SC',21499,1728,NULL,1170,NULL,NULL,NULL,2,1),(25,6418147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'DOS ESTADOS','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6418155,3.00,5.00,0.00,3.00,4.00,7.13,2.00,2.00,3.00,201,NULL,207,'VILA DIVINÉIA','PARANAGUÁ','PR',18365,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6418163,3.00,6.00,2.00,3.00,4.00,5.63,3.00,5.00,4.00,235,NULL,208,'LAGOA DA CONECEIÇÃO','FLORIANÓPOLIS','SC',15234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6418201,6.00,4.00,1.00,6.00,7.00,5.25,2.00,2.00,5.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',12782,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6418210,3.00,5.00,2.00,7.00,7.00,NULL,2.00,3.00,2.00,425,NULL,429,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',5,1),(25,6418236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6418252,3.00,4.00,1.00,4.00,7.00,9.38,0.00,6.00,3.00,653,NULL,207,'SANTA ISABEL','FORQUILHINHA','SC',14573,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6418260,3.00,2.00,3.00,5.00,3.00,10.50,2.00,3.00,2.00,5,NULL,NULL,'TRÊS VENDAS','ERECHIM','RS',14596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6418287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PIRITUBA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6418325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'JD GUADALUPE','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6418333,5.00,3.00,2.00,4.00,5.00,7.88,3.00,7.00,2.00,310,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',11225,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6418350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,428,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(25,6418368,6.00,7.00,1.00,1.00,6.00,6.00,2.00,6.00,2.00,211,NULL,215,'CENTRO','ARARANGUÁ','SC',12619,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6418376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6418392,2.00,7.00,3.00,3.00,6.00,NULL,0.00,3.00,1.00,102,NULL,NULL,'JARDIM BANDEIRA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6418406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VISTA ALEGRE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6418414,5.00,6.00,1.00,6.00,9.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'JARDIM BONGIOVANNI','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6418422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,203,'ARMAÇÃO','PENHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6418430,1.00,2.00,0.00,3.00,2.00,NULL,0.00,0.00,2.00,654,NULL,NULL,'JARDIM MARISTELA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6418457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6418473,5.00,5.00,4.00,5.00,7.00,5.63,1.00,7.00,4.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11790,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6418490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6418520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'STO ANTONIO','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6418538,4.00,6.00,6.00,5.00,7.00,7.50,4.00,6.00,3.00,213,NULL,601,'PANTANAL','FLORIANÓPOLIS','SC',6423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6418546,1.00,4.00,0.00,4.00,5.00,NULL,0.00,1.00,1.00,211,NULL,215,'JARDIM DO MOINHO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6418570,0.00,5.00,0.00,0.00,1.00,NULL,2.00,4.00,2.00,404,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6418589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'HIGENOPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6418597,6.00,6.00,1.00,1.00,7.00,9.75,2.00,6.00,1.00,318,NULL,NULL,'CENTRO','PALMARES SUL','RS',10229,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6418600,1.00,2.00,2.00,3.00,4.00,7.50,1.00,0.00,3.00,316,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',21409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6418619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6418627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'INDUSTRIAL','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6418635,4.00,5.00,0.00,3.00,7.00,NULL,3.00,4.00,3.00,450,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6418643,4.00,5.00,0.00,1.00,5.00,NULL,2.00,1.00,2.00,310,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6418651,3.00,7.00,2.00,2.00,8.00,9.75,2.00,3.00,1.00,999,NULL,NULL,'TERMAS','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6418660,5.00,6.00,3.00,6.00,5.00,10.50,2.00,4.00,2.00,319,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',8806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6418678,3.00,5.00,0.00,2.00,4.00,7.13,1.00,1.00,2.00,110,NULL,NULL,'FÁBIO SILVA','TUBARÃO','SC',21370,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6418686,3.00,7.00,3.00,4.00,6.00,7.50,2.00,4.00,2.00,404,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',15590,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6418708,1.00,3.00,0.00,2.00,7.00,6.75,2.00,1.00,3.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6418724,4.00,5.00,2.00,1.00,3.00,7.88,2.00,0.00,1.00,420,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6418732,6.00,4.00,0.00,5.00,6.00,NULL,1.00,8.00,5.00,103,NULL,NULL,'SANTANA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6418740,3.00,2.00,0.00,2.00,2.00,NULL,2.00,4.00,0.00,308,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6418759,5.00,7.00,4.00,5.00,8.00,10.50,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',4624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6418767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'SAMAMBAIA NORTE','SAMAMBAIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6418775,3.00,5.00,2.00,3.00,3.00,7.88,1.00,5.00,2.00,327,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',15552,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6418783,3.00,3.00,1.00,3.00,6.00,9.00,0.00,1.00,3.00,103,NULL,NULL,'MARECHAL RONDON','CANOAS','RS',19692,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6418821,4.00,6.00,1.00,2.00,5.00,7.50,3.00,2.00,3.00,208,NULL,655,'CENTRO','CANELINHA','SC',18024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6418830,3.00,3.00,2.00,2.00,5.00,7.13,2.00,0.00,1.00,108,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',21338,314,NULL,NULL,NULL,NULL,NULL,4,1),(25,6418848,5.00,7.00,3.00,4.00,5.00,8.25,2.00,1.00,6.00,203,NULL,653,'JARDIM SOFIA','JOINVILLE','SC',9639,700,NULL,NULL,NULL,NULL,NULL,2,4),(25,6418864,3.00,2.00,0.00,0.00,6.00,NULL,2.00,0.00,1.00,999,NULL,NULL,'PONTE DE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6418872,6.00,5.00,3.00,3.00,6.00,7.88,2.00,6.00,6.00,103,NULL,NULL,'MOEMA','S PAULO','SP',6546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6418899,6.00,5.00,1.00,3.00,8.00,6.75,0.00,4.00,2.00,326,NULL,NULL,'PALHOÇA','PALHOÇA','SC',17443,49,NULL,NULL,NULL,NULL,NULL,2,1),(25,6418902,8.00,0.00,3.00,3.00,8.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(25,6418910,3.00,6.00,1.00,6.00,6.00,0.00,0.00,5.00,1.00,327,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6418937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6418945,2.00,4.00,3.00,6.00,6.00,7.50,0.00,6.00,2.00,109,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',12460,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6418953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BARRA','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6418961,2.00,4.00,4.00,4.00,5.00,8.63,3.00,3.00,0.00,5,NULL,NULL,'TOBIAS','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6418970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,220,'JOSE MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6418988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6419003,2.00,3.00,2.00,4.00,6.00,10.50,0.00,2.00,5.00,103,NULL,NULL,'SANTO ANDRÉ','CAPIVARI BAIXO','SC',14123,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6419011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6419020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,NULL,'ESPLANADA DO SOL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6419038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6419062,2.00,4.00,3.00,2.00,5.00,9.00,1.00,1.00,0.00,333,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6419089,5.00,4.00,3.00,6.00,9.00,7.88,3.00,6.00,3.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6419097,8.00,7.00,4.00,7.00,8.00,10.13,4.00,7.00,7.00,103,NULL,NULL,'PARTENON','PTO ALEGRE','RS',1660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6419100,3.00,3.00,2.00,1.00,5.00,NULL,1.00,4.00,0.00,601,NULL,220,'MORRO DO MEIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6419127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'JARDIM LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6419135,3.00,4.00,6.00,1.00,3.00,4.50,3.00,2.00,2.00,333,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6419151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(25,6419160,4.00,5.00,2.00,7.00,8.00,9.38,2.00,3.00,2.00,653,NULL,601,'MOSTEIRO DE ITAICI','INDAIATUBA','SP',8869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6419178,3.00,4.00,1.00,6.00,5.00,7.88,1.00,4.00,4.00,103,NULL,NULL,'CENTRO','SORRISO','MT',12377,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6419194,6.00,8.00,4.00,6.00,8.00,12.75,4.00,5.00,8.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',1109,750,NULL,NULL,NULL,NULL,NULL,4,15),(25,6419208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6419216,4.00,3.00,2.00,5.00,3.00,8.63,0.00,3.00,2.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',16916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6419232,0.00,2.00,1.00,0.00,3.00,NULL,3.00,0.00,2.00,5,NULL,NULL,'CEDRO','URUPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6419240,6.00,6.00,4.00,7.00,9.00,NULL,0.00,7.00,5.00,101,NULL,NULL,'JD FLAMBOYANT','BOTUCATU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6419259,2.00,3.00,1.00,6.00,5.00,8.25,2.00,4.00,4.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6419275,1.00,4.00,1.00,3.00,5.00,6.00,2.00,1.00,0.00,652,NULL,653,'POLÍCIA RODOVIARIA','ARARANGUÁ','SC',21543,119,NULL,249,NULL,NULL,NULL,2,15),(25,6419283,2.00,4.00,0.00,3.00,5.00,6.38,1.00,3.00,1.00,308,NULL,NULL,'FORQUILINHAS','S JOSÉ','SC',21180,67,NULL,NULL,NULL,NULL,NULL,2,1),(25,6419291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6419356,2.00,0.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'CENTRO','GARUVA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(25,6419364,4.00,4.00,2.00,6.00,6.00,7.88,1.00,2.00,5.00,212,NULL,201,'REDENTORA','S JOSÉ R PRETO','SP',11891,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6419372,7.00,6.00,2.00,3.00,9.00,8.25,3.00,4.00,7.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',6351,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6419380,9.00,6.00,7.00,7.00,6.00,9.38,5.00,6.00,8.00,103,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6419399,3.00,3.00,2.00,4.00,9.00,6.38,2.00,2.00,4.00,201,NULL,NULL,'AREA INDUSTRIAL','RENASCENÇA','PR',14260,1214,NULL,NULL,NULL,NULL,NULL,2,4),(25,6419402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6419410,6.00,7.00,2.00,6.00,8.00,9.75,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',4697,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6419429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6419437,7.00,8.00,5.00,6.00,9.00,12.38,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6419445,5.00,5.00,2.00,4.00,5.00,6.38,2.00,5.00,2.00,216,NULL,220,'JARDIM PROGRESSO','PARANAVAÍ','PR',16213,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6419453,2.00,3.00,0.00,1.00,4.00,NULL,2.00,0.00,2.00,999,NULL,NULL,'OURO VERDE','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6419461,5.00,7.00,4.00,5.00,9.00,NULL,0.00,5.00,4.00,110,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6419496,5.00,4.00,2.00,2.00,8.00,9.00,3.00,7.00,2.00,103,NULL,NULL,'SAO GENARO','CHOPINZINHO','PR',10276,3594,NULL,NULL,NULL,NULL,NULL,4,4),(25,6419500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6419518,2.00,3.00,2.00,3.00,4.00,NULL,2.00,0.00,2.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6419526,3.00,5.00,0.00,5.00,8.00,7.50,1.00,3.00,4.00,233,NULL,214,'JARDIM GLÓRIA','AMERICANA','SP',13231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6419534,4.00,3.00,0.00,5.00,5.00,6.75,2.00,4.00,0.00,207,NULL,238,'CENTRO','LAGES','SC',20351,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6419542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'VERA CRUZ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(25,6419569,2.00,3.00,1.00,1.00,3.00,NULL,0.00,0.00,1.00,103,NULL,NULL,'CENTRO','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6419577,5.00,5.00,2.00,2.00,4.00,7.13,1.00,2.00,4.00,203,NULL,214,'CENTRO','ITAPIRANGA','SC',17884,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6419585,1.00,2.00,2.00,2.00,7.00,NULL,0.00,1.00,1.00,103,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6419593,5.00,4.00,1.00,5.00,4.00,7.50,4.00,2.00,3.00,999,NULL,NULL,'SÃO PEDRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6419607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6419615,2.00,4.00,3.00,5.00,4.00,7.50,2.00,3.00,1.00,9,NULL,NULL,'CENTRO','SERRA ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6419640,1.00,4.00,0.00,4.00,4.00,NULL,2.00,4.00,4.00,202,NULL,220,'NATUREZA','ITÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6419658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'ESPINHEIROS','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6419674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA COLINA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6419682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,214,'JOQUEI','TERESINA','PI',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6419712,3.00,4.00,0.00,7.00,8.00,6.75,0.00,4.00,1.00,301,NULL,NULL,'CENTRO','ARMAZÉM','SC',17036,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6419739,1.00,0.00,2.00,2.00,2.00,NULL,1.00,1.00,1.00,201,NULL,203,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6419747,2.00,4.00,1.00,0.00,7.00,7.50,3.00,2.00,1.00,999,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6419755,7.00,6.00,2.00,5.00,8.00,9.38,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','JABOTI','PR',6933,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6419763,6.00,7.00,3.00,3.00,7.00,8.63,3.00,7.00,4.00,104,NULL,NULL,'NOVA VARZEA GRANDE','VÁRZEA GRANDE','MT',6124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6419780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CANUDOS','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6419798,0.00,5.00,1.00,1.00,4.00,6.00,2.00,1.00,2.00,317,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',20544,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6419828,5.00,6.00,2.00,3.00,8.00,10.50,3.00,6.00,3.00,5,NULL,NULL,'SÃO JOÃO','CORREIA PINTO','SC',10038,368,NULL,NULL,NULL,NULL,NULL,4,9),(25,6419836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'VILA VERDE','ANÁPOLIS','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6419844,3.00,4.00,3.00,3.00,3.00,0.00,2.00,4.00,3.00,335,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6419852,6.00,5.00,2.00,4.00,7.00,6.00,4.00,4.00,5.00,415,NULL,NULL,'JARDIM HORTÊNCIA','LIMEIRA','SP',11672,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6419860,3.00,5.00,1.00,1.00,6.00,6.00,3.00,1.00,1.00,235,NULL,655,'CENTRO','LACERDÓPOLIS','SC',18415,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6419895,3.00,7.00,2.00,7.00,6.00,NULL,2.00,3.00,0.00,450,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6419917,6.00,2.00,0.00,6.00,4.00,NULL,0.00,4.00,4.00,327,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6419933,6.00,5.00,6.00,6.00,7.00,9.75,1.00,7.00,8.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',1633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6419941,6.00,6.00,2.00,5.00,7.00,6.75,2.00,4.00,2.00,103,NULL,NULL,'SÃO PELEGRINO','CAXIAS SUL','RS',9718,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6419950,4.00,2.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6419968,4.00,4.00,2.00,7.00,6.00,10.13,2.00,5.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6419984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',5,15),(25,6419992,3.00,2.00,3.00,3.00,6.00,7.13,2.00,1.00,3.00,444,NULL,NULL,'FOJOCA','S PEDRO ALCÂNTARA','SC',20018,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6420001,3.00,4.00,0.00,3.00,5.00,NULL,2.00,3.00,3.00,426,NULL,425,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(25,6420028,7.00,7.00,4.00,3.00,6.00,11.63,2.00,5.00,4.00,201,NULL,212,'CENTRO','BAL CAMBORIÚ','SC',6694,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6420036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ENG BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6420044,5.00,4.00,3.00,6.00,5.00,6.38,2.00,5.00,2.00,103,NULL,NULL,'PALHOCINHA','GAROPABA','SC',13613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6420052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6420060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6420087,4.00,6.00,0.00,2.00,2.00,NULL,0.00,2.00,3.00,601,NULL,203,'SANTA HELENA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6420117,4.00,4.00,3.00,6.00,4.00,9.00,0.00,6.00,1.00,5,NULL,NULL,'ALTO DA XV','CURITIBA','PR',12267,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6420125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6420133,1.00,2.00,0.00,6.00,6.00,NULL,4.00,6.00,2.00,452,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6420141,5.00,3.00,1.00,2.00,8.00,6.00,1.00,2.00,1.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',20070,133,NULL,NULL,NULL,NULL,NULL,4,1),(25,6420168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6420176,3.00,4.00,1.00,3.00,5.00,6.00,3.00,2.00,4.00,333,NULL,NULL,'DAMHA I','S JOSÉ R PRETO','SP',16566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6420184,6.00,7.00,4.00,5.00,7.00,7.13,2.00,7.00,4.00,203,NULL,214,'BOM VIVER','BIGUAÇU','SC',5418,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6420192,1.00,3.00,3.00,6.00,5.00,8.25,2.00,3.00,3.00,308,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',17535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6420206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6420214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'JD PACAEMBU','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6420222,6.00,7.00,3.00,6.00,9.00,10.88,0.00,7.00,4.00,303,NULL,NULL,'JARDIM ITATIAIA','LONDRINA','PR',4546,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6420249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6420257,7.00,6.00,2.00,5.00,6.00,8.63,3.00,3.00,8.00,202,NULL,235,'PINEVILLE','PINHAIS','PR',6475,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6420273,2.00,2.00,2.00,4.00,3.00,7.50,1.00,2.00,1.00,652,NULL,655,'BAIRRO FIGUEIRA','JACINTO MACHADO','SC',21460,116,NULL,170,NULL,NULL,NULL,2,15),(25,6420281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ISABEL','CARACOL','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6420290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'TERMAS','GRAVATAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6420311,4.00,5.00,6.00,5.00,6.00,9.38,3.00,5.00,5.00,203,NULL,201,'CENTRO','JAGUARUNA','SC',7227,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6420320,3.00,2.00,1.00,2.00,6.00,6.00,2.00,0.00,1.00,302,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',21501,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6420338,1.00,3.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,207,NULL,201,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6420346,6.00,7.00,2.00,6.00,9.00,9.00,3.00,6.00,6.00,211,NULL,201,'CAMPO COMPRIDO','CURITIBA','PR',5149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6420354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6420370,3.00,5.00,1.00,3.00,7.00,7.50,2.00,4.00,1.00,420,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',18534,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6420397,4.00,4.00,3.00,5.00,6.00,9.00,3.00,6.00,4.00,340,NULL,NULL,'SÃO FRANCISCO','S JOSÉ R PRETO','SP',9273,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6420400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FÁTIMA','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(25,6420419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6420435,2.00,4.00,3.00,4.00,4.00,7.13,1.00,2.00,1.00,104,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',20225,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6420451,3.00,5.00,2.00,6.00,5.00,NULL,0.00,1.00,2.00,329,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6420478,7.00,6.00,3.00,6.00,8.00,9.38,4.00,3.00,7.00,303,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',2866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6420508,2.00,1.00,1.00,2.00,4.00,9.38,2.00,2.00,0.00,999,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6420516,2.00,5.00,2.00,4.00,6.00,7.50,2.00,2.00,2.00,201,NULL,211,'SANTA LUZIA','CRICIÚMA','SC',19528,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6420524,1.00,2.00,1.00,3.00,5.00,NULL,2.00,0.00,0.00,444,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6420532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA PAULISTA','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6420540,1.00,2.00,0.00,1.00,3.00,NULL,1.00,0.00,1.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6420559,5.00,5.00,2.00,4.00,10.00,8.63,2.00,1.00,1.00,207,NULL,201,'CARAVAGGIO','NOVA VENEZA','SC',13948,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6420575,3.00,5.00,1.00,3.00,5.00,9.00,1.00,4.00,1.00,103,NULL,NULL,'INTERIOR','CUNHATAÍ','SC',18104,4533,NULL,NULL,NULL,NULL,NULL,4,4),(25,6420583,6.00,6.00,1.00,6.00,7.00,7.88,2.00,5.00,2.00,212,NULL,215,'CARVOEIRA','FLORIANÓPOLIS','SC',11876,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6420605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6420613,7.00,8.00,2.00,5.00,8.00,10.50,0.00,6.00,6.00,103,NULL,NULL,'PINHEIRINHO','S MATEUS SUL','PR',4857,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6420621,2.00,0.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,211,NULL,215,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6420630,4.00,4.00,2.00,6.00,5.00,7.50,1.00,5.00,2.00,207,NULL,201,'CENTRO','UMUARAMA','PR',14613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6420656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6420664,4.00,2.00,1.00,5.00,1.00,NULL,1.00,2.00,2.00,207,NULL,NULL,'CENTRO','FORTALEZA VALOS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6420672,5.00,7.00,2.00,6.00,8.00,11.25,2.00,5.00,3.00,303,NULL,NULL,'VILA HARMONIA','ARARAQUARA','SP',5471,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6420680,1.00,1.00,0.00,2.00,3.00,NULL,2.00,2.00,2.00,109,NULL,NULL,'INTERIOR','QUILOMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6420702,3.00,3.00,2.00,6.00,6.00,8.25,1.00,4.00,3.00,999,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6420710,4.00,1.00,2.00,4.00,4.00,8.25,1.00,2.00,1.00,208,NULL,238,'AGRONOMICA','FLORIANÓPOLIS','SC',19283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6420729,0.00,4.00,1.00,1.00,2.00,NULL,0.00,4.00,2.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6420745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6420753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6420761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'TRES MARIAS','PERUÍBE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6420788,4.00,5.00,3.00,6.00,8.00,7.13,3.00,3.00,5.00,450,NULL,NULL,'SOUSAS','CAMPINAS','SP',9441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6420796,5.00,7.00,1.00,6.00,9.00,9.75,1.00,4.00,4.00,103,NULL,NULL,'BOA VISTA','ASSIS','SP',8473,3282,NULL,NULL,NULL,NULL,NULL,4,8),(25,6420834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6420842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LINHA MANFROI','S DOMINGOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6420850,2.00,4.00,3.00,4.00,4.00,7.50,0.00,1.00,1.00,235,NULL,213,'INGLESES','FLORIANÓPOLIS','SC',18265,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6420877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'VILA PALMIRA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6420885,5.00,7.00,5.00,5.00,10.00,10.50,4.00,5.00,8.00,235,NULL,655,'FLORESTA I','CRICIÚMA','SC',1793,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6420893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6420915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDINS','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6420923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'BATEAS','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6420931,3.00,5.00,3.00,6.00,6.00,7.50,3.00,4.00,3.00,316,NULL,NULL,'NITERÓI','CANOAS','RS',14369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6420940,3.00,3.00,3.00,3.00,6.00,7.50,1.00,1.00,2.00,103,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',19847,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6420958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR TRES','ARIQUEMES','RO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6420966,3.00,6.00,3.00,2.00,6.00,9.00,3.00,4.00,3.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',15994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6420974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6420982,1.00,1.00,2.00,2.00,5.00,5.25,3.00,2.00,1.00,652,NULL,655,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6421008,6.00,5.00,1.00,3.00,6.00,9.75,4.00,3.00,0.00,110,NULL,NULL,'PAULICÉIA','PIRACICABA','SP',12424,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6421032,2.00,1.00,2.00,3.00,7.00,6.00,1.00,0.00,2.00,234,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6421040,5.00,4.00,1.00,2.00,5.00,9.00,3.00,2.00,5.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',13562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6421083,4.00,5.00,2.00,4.00,6.00,11.63,0.00,3.00,2.00,420,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',11902,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6421091,3.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'NOSSA SR DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6421105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,421,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6421113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6421121,2.00,4.00,2.00,7.00,9.00,9.75,3.00,1.00,4.00,103,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',12437,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6421130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'BELA VISTA','S LUDGERO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6421156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6421164,0.00,3.00,1.00,3.00,4.00,NULL,1.00,0.00,0.00,999,NULL,NULL,'GUIOMAR','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6421172,4.00,3.00,2.00,4.00,6.00,6.75,0.00,2.00,2.00,429,NULL,421,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6421210,4.00,5.00,2.00,2.00,6.00,NULL,0.00,6.00,2.00,201,NULL,NULL,'INTERIOR','LACERDÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6421245,4.00,2.00,1.00,3.00,5.00,6.38,1.00,2.00,1.00,203,NULL,214,'SERRARIA','S JOSÉ','SC',20209,1115,NULL,435,NULL,NULL,NULL,4,1),(25,6421261,3.00,6.00,2.00,3.00,5.00,6.38,1.00,3.00,3.00,331,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6421270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'APARECIDA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6421288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REDENTOR','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6421296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM AMPLIAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6421318,2.00,3.00,0.00,2.00,3.00,NULL,0.00,1.00,1.00,202,NULL,211,'BEVERLY FALLS PARK','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6421326,5.00,4.00,1.00,5.00,7.00,7.13,0.00,1.00,3.00,104,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',18423,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6421334,7.00,7.00,2.00,2.00,8.00,8.63,2.00,4.00,7.00,103,NULL,NULL,'TATUAPE','S PAULO','SP',9029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6421342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6421350,3.00,4.00,2.00,3.00,4.00,NULL,2.00,0.00,2.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6421369,3.00,5.00,2.00,6.00,6.00,9.75,2.00,4.00,2.00,404,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',14204,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6421377,3.00,5.00,1.00,6.00,9.00,9.75,1.00,5.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6421385,8.00,6.00,4.00,4.00,9.00,11.63,2.00,6.00,8.00,103,NULL,NULL,'CENTRO','VERÊ','PR',2093,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6421393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'FIGUEIRA','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6421407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6421415,9.00,7.00,7.00,6.00,9.00,10.13,2.00,7.00,8.00,103,NULL,NULL,'JARDIM BANDEIRANTES','CORNÉLIO PROCÓPIO','PR',1136,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6421423,6.00,5.00,2.00,2.00,7.00,6.75,2.00,2.00,3.00,601,NULL,NULL,'HUMAITA DE CIMA','TUBARÃO','SC',17289,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6421458,3.00,4.00,5.00,4.00,8.00,7.50,2.00,7.00,1.00,421,NULL,423,'RIO TAVARES','FLORIANÓPOLIS','SC',12868,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6421466,3.00,3.00,1.00,4.00,4.00,7.13,0.00,4.00,1.00,201,NULL,NULL,'CENTRO','S JOSÉ CERRITO','SC',20030,1636,NULL,NULL,NULL,NULL,NULL,4,9),(25,6421474,3.00,5.00,0.00,3.00,3.00,6.00,3.00,4.00,1.00,238,NULL,235,'TAPERA','FLORIANÓPOLIS','SC',19946,477,NULL,475,NULL,NULL,NULL,4,1),(25,6421482,6.00,3.00,3.00,6.00,7.00,9.38,1.00,3.00,3.00,102,NULL,NULL,'JARDIM BONFIGLIOLI','S PAULO','SP',9184,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6421490,2.00,4.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6421504,3.00,4.00,1.00,3.00,7.00,10.50,0.00,2.00,3.00,103,NULL,NULL,'CENTRO','FORTALEZA VALOS','RS',14797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6421512,3.00,3.00,2.00,4.00,3.00,7.50,2.00,3.00,1.00,203,NULL,214,'CENTRO','IRATI','PR',20347,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6421520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6421539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM GOIÁS','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6421547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'BOEWMERWALD','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6421555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6421563,2.00,3.00,3.00,3.00,7.00,5.63,3.00,2.00,0.00,216,NULL,215,'CENTRO','GUAÍRA','PR',20066,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6421571,2.00,2.00,2.00,2.00,5.00,5.63,3.00,3.00,2.00,201,NULL,208,'PACHECO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6421598,4.00,2.00,2.00,3.00,4.00,6.00,1.00,3.00,1.00,601,NULL,207,'SÃO BENTO BAIXO','NOVA VENEZA','SC',21232,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6421610,3.00,4.00,2.00,4.00,5.00,8.25,3.00,3.00,1.00,316,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6421652,5.00,5.00,3.00,7.00,10.00,6.75,1.00,2.00,5.00,453,NULL,NULL,'EMBARÉ','SANTOS','SP',9079,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6421679,5.00,3.00,3.00,4.00,8.00,8.63,2.00,4.00,5.00,208,NULL,238,'CENTRO','VACARIA','RS',12501,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6421687,5.00,4.00,1.00,7.00,8.00,10.88,1.00,7.00,4.00,201,NULL,212,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',7709,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6421709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6421717,2.00,3.00,2.00,2.00,2.00,NULL,2.00,4.00,2.00,339,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6421725,2.00,1.00,0.00,3.00,4.00,NULL,2.00,0.00,0.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6421733,6.00,6.00,4.00,7.00,9.00,0.00,0.00,5.00,4.00,999,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6421741,5.00,4.00,1.00,6.00,4.00,7.13,2.00,4.00,3.00,301,NULL,NULL,'CENTRO','BRUSQUE','SC',15507,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6421750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6421768,2.00,5.00,2.00,4.00,6.00,8.25,3.00,3.00,2.00,225,NULL,NULL,'FORQUILINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6421806,3.00,3.00,0.00,3.00,10.00,9.75,3.00,4.00,0.00,999,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6421814,4.00,4.00,3.00,4.00,6.00,8.63,0.00,6.00,4.00,415,NULL,NULL,'SETOR MORAIS','GOIÂNIA','GO',14620,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6421822,5.00,5.00,2.00,6.00,9.00,6.75,1.00,4.00,5.00,103,NULL,NULL,'VILA CURUÇA','STO ANDRÉ','SP',8101,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6421830,4.00,6.00,3.00,5.00,7.00,9.75,3.00,5.00,4.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7833,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6421857,2.00,3.00,1.00,4.00,3.00,NULL,1.00,0.00,0.00,429,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6421873,4.00,4.00,3.00,5.00,8.00,6.75,3.00,3.00,1.00,234,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17062,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6421881,2.00,4.00,3.00,4.00,4.00,7.50,2.00,3.00,0.00,235,NULL,655,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6421911,6.00,3.00,4.00,6.00,7.00,9.38,1.00,2.00,2.00,415,NULL,NULL,'CENTRO','CHAPECÓ','SC',13353,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6421920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PQ PRIMEIRO DE MAIO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6421938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6421946,2.00,2.00,5.00,3.00,3.00,5.25,2.00,0.00,3.00,201,NULL,208,'CENTRO','PALHOÇA','SC',19508,1604,NULL,512,NULL,NULL,NULL,2,1),(25,6421954,4.00,3.00,4.00,5.00,8.00,7.50,3.00,2.00,1.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6421962,1.00,5.00,1.00,2.00,4.00,8.25,3.00,2.00,0.00,309,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6421970,3.00,6.00,4.00,4.00,8.00,6.38,1.00,6.00,4.00,336,NULL,NULL,'TARUMÃ','CURITIBA','PR',12311,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6421989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(25,6422004,1.00,2.00,0.00,2.00,1.00,NULL,2.00,0.00,1.00,110,NULL,NULL,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6422020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6422039,1.00,5.00,0.00,4.00,6.00,NULL,2.00,2.00,0.00,3,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(25,6422047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6422063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6422098,8.00,8.00,3.00,7.00,9.00,9.75,2.00,8.00,9.00,103,NULL,NULL,'CENTRO','BURITAMA','SP',826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6422110,3.00,5.00,5.00,6.00,5.00,9.75,1.00,2.00,5.00,201,NULL,207,'MAGALHÃES','LAGUNA','SC',11303,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6422136,8.00,7.00,4.00,6.00,11.00,10.50,5.00,5.00,6.00,103,NULL,NULL,'CENTRO','BURITAMA','SP',963,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6422152,7.00,6.00,4.00,4.00,8.00,7.50,3.00,6.00,5.00,214,NULL,233,'CENTRO','CURITIBA','PR',5120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6422160,8.00,6.00,4.00,7.00,8.00,7.88,4.00,9.00,7.00,103,NULL,NULL,'CENTRO','STA HELENA','PR',988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6422179,4.00,3.00,2.00,3.00,8.00,6.75,1.00,3.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6422187,4.00,7.00,4.00,6.00,10.00,11.63,5.00,6.00,8.00,220,NULL,202,'PIRATINI','STA CRUZ SUL','RS',1667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6422209,4.00,5.00,2.00,6.00,9.00,6.75,1.00,2.00,3.00,207,NULL,201,'URBANOVA','S JOSÉ CAMPOS','SP',11187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6422217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'CENTRO CÍVICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6422225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6422233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6422268,7.00,7.00,4.00,7.00,9.00,11.25,3.00,8.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6422276,3.00,0.00,4.00,3.00,4.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6422284,2.00,7.00,3.00,2.00,7.00,9.75,0.00,2.00,1.00,5,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',18460,636,NULL,NULL,NULL,NULL,NULL,2,1),(25,6422306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6422314,2.00,3.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6422322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,425,'ALPHAVILLE GOIÁS','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6422349,4.00,4.00,1.00,5.00,6.00,7.88,3.00,2.00,2.00,404,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',16815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6422365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,424,'CENTRO','ARAQUARI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6422373,4.00,3.00,1.00,6.00,4.00,NULL,2.00,0.00,0.00,331,NULL,NULL,'PRESIDENTE MÉDICE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6422390,3.00,6.00,2.00,5.00,8.00,9.38,2.00,4.00,5.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',8250,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6422403,2.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,238,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,1),(25,6422411,8.00,7.00,3.00,5.00,10.00,8.63,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','CHAPADA','RS',1731,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6422420,2.00,3.00,0.00,3.00,3.00,NULL,0.00,2.00,3.00,238,NULL,208,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6422438,3.00,3.00,2.00,3.00,5.00,6.75,1.00,4.00,2.00,205,NULL,NULL,'LINHA MACUCOZINHO','IPORÃ OESTE','SC',17135,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6422446,2.00,1.00,2.00,1.00,5.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6422462,3.00,6.00,4.00,4.00,7.00,7.50,1.00,5.00,0.00,320,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',14047,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6422497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'JD DAS ACÁCIAS','IGARAÇU TIETÊ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6422519,4.00,3.00,1.00,2.00,5.00,7.50,3.00,1.00,0.00,5,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6422527,3.00,5.00,1.00,4.00,5.00,7.13,1.00,1.00,1.00,104,NULL,NULL,'CENTRO','ALEGRIA','RS',18457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6422535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'TRNDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6422543,4.00,4.00,1.00,4.00,5.00,8.25,0.00,0.00,1.00,415,NULL,NULL,'SOSSEGO','CANOINHAS','SC',20485,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6422551,4.00,4.00,3.00,3.00,7.00,7.13,1.00,5.00,4.00,103,NULL,NULL,'CENTRO','IBATÉ','SP',11745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6422586,5.00,7.00,2.00,6.00,9.00,7.88,1.00,7.00,7.00,303,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',3869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6422608,6.00,6.00,5.00,6.00,8.00,6.75,3.00,8.00,4.00,235,NULL,214,'TRINDADDE','FLORIANÓPOLIS','SC',6107,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6422616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,235,'AEROPORTO','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6422624,6.00,3.00,4.00,4.00,7.00,9.38,4.00,3.00,5.00,201,NULL,212,'CENTRO','CAMBÉ','PR',7015,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6422632,4.00,5.00,3.00,4.00,5.00,6.75,3.00,3.00,4.00,104,NULL,NULL,'CENTRO','ASTORGA','PR',15962,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6422640,2.00,2.00,1.00,4.00,4.00,8.63,2.00,2.00,0.00,109,NULL,NULL,'BELA VISTA','S JOSÉ','SC',21132,160,NULL,NULL,NULL,NULL,NULL,2,1),(25,6422659,2.00,4.00,1.00,5.00,4.00,7.13,3.00,2.00,4.00,999,NULL,NULL,'ALVORADA','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6422675,3.00,2.00,5.00,6.00,6.00,11.25,0.00,3.00,2.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15389,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6422683,2.00,4.00,2.00,5.00,4.00,8.63,2.00,1.00,2.00,601,NULL,207,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',17038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6422705,4.00,6.00,0.00,4.00,8.00,8.63,1.00,2.00,1.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13492,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6422721,1.00,3.00,0.00,3.00,5.00,6.38,2.00,2.00,0.00,444,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6422730,2.00,5.00,2.00,3.00,4.00,4.88,1.00,4.00,4.00,318,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',18339,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6422748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6422756,4.00,3.00,2.00,2.00,5.00,6.75,1.00,4.00,1.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',19862,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6422764,2.00,4.00,2.00,5.00,4.00,NULL,0.00,2.00,1.00,332,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6422772,2.00,2.00,0.00,3.00,7.00,9.00,0.00,2.00,0.00,999,NULL,NULL,'CENTRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6422780,7.00,5.00,2.00,5.00,10.00,12.38,2.00,7.00,7.00,103,NULL,NULL,'VIAMÓPOLIS','VIAMÃO','RS',2286,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6422829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6422837,6.00,7.00,3.00,5.00,7.00,8.25,1.00,4.00,5.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',7606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6422853,0.00,2.00,0.00,2.00,7.00,NULL,3.00,0.00,2.00,336,NULL,NULL,'ZONA RURAL','PINHEIRO PRETO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(25,6422861,3.00,6.00,0.00,5.00,7.00,8.63,1.00,5.00,2.00,428,NULL,423,'INGLESES','FLORIANÓPOLIS','SC',15675,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6422870,4.00,2.00,2.00,3.00,4.00,NULL,0.00,2.00,1.00,999,NULL,NULL,'BELCHIOR BAIXO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,2),(25,6422888,4.00,5.00,3.00,4.00,5.00,9.38,2.00,4.00,1.00,317,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',15355,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(25,6422896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6422900,3.00,5.00,1.00,6.00,5.00,10.88,1.00,4.00,1.00,109,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',16958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6422918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(25,6422942,2.00,2.00,0.00,2.00,3.00,NULL,2.00,2.00,2.00,216,NULL,202,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6422950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'N SRA DE LOURDES','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,16),(25,6422969,4.00,4.00,0.00,4.00,3.00,NULL,0.00,2.00,3.00,654,NULL,NULL,'LINHA ROVARIS','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6422977,4.00,5.00,3.00,2.00,2.00,NULL,0.00,0.00,1.00,201,NULL,216,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6422985,7.00,4.00,5.00,5.00,7.00,7.88,0.00,1.00,3.00,103,NULL,NULL,'VILA NOVA','ARAUCÁRIA','PR',11290,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6422993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PAULISTA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6423000,7.00,0.00,4.00,6.00,10.00,NULL,0.00,0.00,0.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6423027,4.00,4.00,0.00,3.00,7.00,10.13,2.00,4.00,2.00,324,NULL,NULL,'GRAMADOS','RIO ANTAS','SC',13096,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6423035,4.00,4.00,1.00,7.00,5.00,8.63,2.00,0.00,1.00,102,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19034,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6423043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,238,'INTERIOR','CUNHATAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6423051,4.00,5.00,5.00,6.00,7.00,9.75,3.00,2.00,2.00,202,NULL,203,'TAPAJÓS','INDAIAL','SC',8501,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6423060,2.00,5.00,0.00,4.00,5.00,7.50,1.00,1.00,0.00,207,NULL,201,'TIJUQUINHAS','BIGUAÇU','SC',19049,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6423078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','QUEDAS IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6423094,2.00,1.00,2.00,3.00,4.00,3.75,4.00,1.00,2.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6423116,1.00,4.00,2.00,1.00,2.00,NULL,3.00,2.00,1.00,216,NULL,203,'CENTRO','NOVA ESPERANÇA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6423124,0.00,4.00,3.00,3.00,3.00,6.00,2.00,0.00,1.00,203,NULL,214,'BAIRRO DE FATIMA','FLORIANÓPOLIS','SC',21576,1168,NULL,NULL,NULL,NULL,NULL,4,1),(25,6423132,2.00,3.00,1.00,0.00,3.00,NULL,0.00,3.00,2.00,308,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6423140,4.00,4.00,1.00,3.00,5.00,7.13,0.00,2.00,2.00,450,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',20802,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6423159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(25,6423167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6423183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,601,'BAIRRO AHÚ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6423205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'FORQUILHAS SAO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6423213,2.00,4.00,1.00,3.00,5.00,8.25,0.00,1.00,2.00,601,NULL,214,'CENTRO','CPO ALEGRE','SC',20768,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6423221,2.00,3.00,2.00,4.00,2.00,NULL,1.00,3.00,1.00,601,NULL,201,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6423230,7.00,7.00,2.00,7.00,10.00,12.00,2.00,8.00,5.00,207,NULL,233,'CAPOEIRAS','FLORIANÓPOLIS','SC',2140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6423264,3.00,5.00,2.00,5.00,5.00,6.38,1.00,1.00,0.00,108,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',20436,302,NULL,NULL,NULL,NULL,NULL,4,1),(25,6423272,3.00,5.00,3.00,7.00,5.00,10.13,0.00,3.00,1.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6423299,3.00,5.00,2.00,3.00,6.00,8.63,1.00,7.00,0.00,326,NULL,NULL,'LÍDER','PLANALTO','RS',15482,35,NULL,NULL,NULL,NULL,NULL,2,4),(25,6423302,4.00,2.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,211,NULL,212,'VILA SUZANA','CANELA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6423310,5.00,5.00,3.00,6.00,8.00,8.63,1.00,4.00,3.00,301,NULL,NULL,'VILA MARIANA','S PAULO','SP',8628,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6423329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6423353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'REGIAO DO LAGO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6423361,1.00,3.00,1.00,3.00,6.00,6.00,0.00,2.00,0.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6423370,3.00,4.00,3.00,3.00,5.00,7.13,2.00,3.00,3.00,331,NULL,NULL,'JARDIM GUARANI','CAMPINAS','SP',18477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6423388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,652,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6423396,3.00,4.00,2.00,3.00,2.00,NULL,1.00,1.00,0.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6423400,0.00,0.00,1.00,0.00,3.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'QUEIMADOS','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6423418,2.00,2.00,0.00,1.00,3.00,5.25,0.00,0.00,0.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6423426,3.00,1.00,2.00,5.00,5.00,7.50,2.00,2.00,1.00,340,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6423434,7.00,7.00,5.00,8.00,7.00,12.00,3.00,8.00,7.00,214,NULL,215,'SANTA TEREZINHA','PATO BRANCO','PR',1506,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6423442,1.00,5.00,1.00,5.00,3.00,9.00,1.00,4.00,2.00,211,NULL,NULL,'JARDIM AMÉRICA','CHAPECÓ','SC',19574,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6423450,3.00,5.00,2.00,1.00,3.00,7.13,2.00,1.00,2.00,5,NULL,NULL,'CENTRO','GUARACIABA','SC',20996,708,NULL,NULL,NULL,NULL,NULL,2,4),(25,6423493,6.00,6.00,4.00,6.00,8.00,8.25,3.00,6.00,8.00,203,NULL,601,'CENTRO','CPO GRANDE','MS',3436,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6423507,7.00,4.00,7.00,5.00,8.00,11.25,2.00,7.00,7.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',2576,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6423515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ADYANA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6423523,5.00,5.00,2.00,4.00,6.00,7.88,1.00,6.00,3.00,201,NULL,212,'CENTRO','BAL CAMBORIÚ','SC',14154,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6423558,3.00,4.00,3.00,1.00,1.00,NULL,0.00,2.00,2.00,203,NULL,214,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6423566,0.00,3.00,0.00,0.00,0.00,NULL,0.00,0.00,2.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(25,6423612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,NULL,'ARAPONGUINHAS','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6423620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6423639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'JORDANÓPOLIS','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6423647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,212,'CENTRO','LUZERNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(25,6423655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,NULL,'ENCANO BAIXO','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6423663,5.00,7.00,0.00,4.00,8.00,7.88,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','PALMITOS','SC',7383,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(25,6423671,5.00,3.00,4.00,6.00,5.00,8.63,3.00,1.00,2.00,420,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15480,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6423680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'NUNES','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6423698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6423710,2.00,0.00,0.00,2.00,6.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6423736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6423744,3.00,4.00,0.00,3.00,5.00,6.38,2.00,2.00,2.00,102,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6423760,3.00,4.00,1.00,2.00,5.00,7.50,2.00,4.00,2.00,319,NULL,NULL,'SANTA ROSA','CUIABÁ','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6423779,5.00,6.00,0.00,3.00,6.00,NULL,0.00,1.00,2.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6423787,6.00,6.00,4.00,4.00,9.00,9.75,3.00,7.00,4.00,201,NULL,208,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',5890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6423825,0.00,3.00,1.00,3.00,5.00,7.50,3.00,1.00,2.00,426,NULL,428,'CAMPECHE','FLORIANÓPOLIS','SC',19088,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6423833,0.00,3.00,1.00,2.00,5.00,NULL,2.00,0.00,1.00,319,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6423850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'SANTO ANTÔNIO','VIÇOSA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6423868,3.00,4.00,1.00,5.00,7.00,10.88,1.00,1.00,3.00,203,NULL,214,'CENTRO','LUZERNA','SC',12916,845,NULL,315,NULL,NULL,NULL,2,7),(25,6423876,1.00,0.00,2.00,3.00,3.00,8.25,0.00,0.00,0.00,101,NULL,NULL,'ITINGA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6423884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(25,6423892,2.00,3.00,2.00,3.00,8.00,9.00,3.00,2.00,2.00,337,NULL,NULL,'BARREIROS','S JOSÉ','SC',17251,36,NULL,NULL,NULL,NULL,NULL,2,1),(25,6423906,1.00,2.00,0.00,2.00,4.00,7.13,0.00,2.00,0.00,238,NULL,208,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',21764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6423914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6423922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','SALTO LONTRA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(25,6423930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6423949,3.00,4.00,0.00,5.00,8.00,8.63,1.00,3.00,4.00,333,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',15386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6423957,5.00,4.00,0.00,4.00,6.00,6.75,1.00,2.00,3.00,652,NULL,653,'JARDIM BELA VISTA','ARARANGUÁ','SC',19135,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6423990,3.00,5.00,1.00,2.00,6.00,8.25,3.00,5.00,4.00,601,NULL,203,'CENTRO','PARANAVAÍ','PR',15770,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6424031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6424058,3.00,3.00,1.00,1.00,2.00,NULL,1.00,2.00,4.00,428,NULL,426,'N SENHORA DE LOURDES','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(25,6424066,4.00,5.00,3.00,6.00,7.00,8.63,2.00,5.00,3.00,202,NULL,211,'CAMPO DO GADO','RIO NEGRO','PR',9896,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6424082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6424104,2.00,3.00,1.00,1.00,5.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6424112,3.00,1.00,0.00,2.00,3.00,7.13,0.00,4.00,2.00,109,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',21579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6424120,5.00,5.00,0.00,4.00,3.00,10.13,1.00,4.00,2.00,238,NULL,208,'AGRONÔMICA','FLORIANÓPOLIS','SC',18528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6424139,2.00,2.00,1.00,3.00,4.00,NULL,3.00,0.00,0.00,653,NULL,214,'CENTRO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6424147,4.00,7.00,3.00,6.00,5.00,8.25,2.00,6.00,2.00,655,NULL,652,'ABRAAO','FLORIANÓPOLIS','SC',11908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6424155,1.00,2.00,2.00,6.00,3.00,6.00,2.00,2.00,0.00,601,NULL,203,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6424163,4.00,4.00,3.00,6.00,7.00,8.63,3.00,5.00,3.00,301,NULL,NULL,'BOA VISTA','JOINVILLE','SC',10034,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6424171,4.00,4.00,0.00,4.00,8.00,10.13,0.00,5.00,0.00,654,NULL,NULL,'CENTRO','PINHAL','RS',13524,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6424198,3.00,5.00,1.00,4.00,3.00,8.63,1.00,3.00,1.00,201,NULL,NULL,'CENTRO','S BENTO SUL','SC',18039,1495,NULL,NULL,NULL,NULL,NULL,2,17),(25,6424201,8.00,5.00,3.00,3.00,8.00,9.38,2.00,7.00,6.00,104,NULL,NULL,'JARDIM PORTO ALEGRE','TOLEDO','PR',5565,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6424210,4.00,6.00,2.00,6.00,5.00,13.50,1.00,3.00,6.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',9111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6424228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6424236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PETROPOLIS','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6424252,4.00,7.00,3.00,5.00,6.00,9.75,0.00,5.00,2.00,207,NULL,214,'NOVA ESPERANÇA','BLUMENAU','SC',12750,685,NULL,310,NULL,NULL,NULL,2,2),(25,6424260,2.00,3.00,2.00,3.00,7.00,8.25,2.00,2.00,1.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6424279,4.00,0.00,3.00,1.00,5.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6424295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,238,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6424317,2.00,4.00,3.00,3.00,3.00,NULL,2.00,0.00,0.00,317,NULL,NULL,'FAZENDA SANTO ANTÔNI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6424325,5.00,6.00,3.00,7.00,7.00,8.25,5.00,2.00,6.00,235,NULL,202,'ATALAIA','ARACAJU','SE',5219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6424333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,235,'SÃO FRANCISCO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6424341,6.00,3.00,2.00,2.00,3.00,4.50,2.00,3.00,1.00,328,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6424350,2.00,2.00,1.00,5.00,4.00,10.13,3.00,3.00,1.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6424376,7.00,4.00,2.00,6.00,8.00,7.13,2.00,4.00,1.00,328,NULL,NULL,'PARTENON','PTO ALEGRE','RS',9332,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(25,6424384,1.00,3.00,3.00,4.00,5.00,7.50,1.00,3.00,1.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6424392,3.00,2.00,2.00,3.00,5.00,NULL,1.00,1.00,2.00,316,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6424406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,423,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(25,6424414,4.00,6.00,2.00,4.00,6.00,7.50,3.00,3.00,4.00,110,NULL,NULL,'PACHECO','PALHOÇA','SC',14609,54,NULL,NULL,NULL,NULL,NULL,2,1),(25,6424430,1.00,0.00,2.00,6.00,7.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6424449,5.00,5.00,1.00,3.00,6.00,9.00,0.00,1.00,2.00,104,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6424465,4.00,5.00,0.00,3.00,4.00,7.88,3.00,1.00,0.00,201,NULL,207,'CENTRO','PRIMAVERA LESTE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6424490,5.00,6.00,0.00,3.00,5.00,10.13,3.00,7.00,4.00,9,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',10851,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6424503,4.00,5.00,2.00,2.00,7.00,8.25,2.00,3.00,1.00,207,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6424511,3.00,4.00,4.00,5.00,5.00,6.38,3.00,4.00,1.00,302,NULL,NULL,'GUARDA DO CUBATAO','PALHOÇA','SC',15260,103,NULL,NULL,NULL,NULL,NULL,2,1),(25,6424520,5.00,4.00,3.00,6.00,9.00,NULL,0.00,0.00,6.00,319,NULL,NULL,'PALMITAL','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6424538,2.00,7.00,4.00,1.00,3.00,6.75,0.00,1.00,1.00,601,NULL,233,'BOM RETIRO','JOINVILLE','SC',19940,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6424562,5.00,4.00,3.00,6.00,8.00,9.00,2.00,4.00,2.00,999,NULL,NULL,'FLORESTA','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6424600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6424627,4.00,4.00,1.00,3.00,5.00,7.13,1.00,1.00,3.00,999,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6424635,3.00,5.00,2.00,5.00,7.00,12.00,2.00,5.00,2.00,327,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',12432,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(25,6424651,1.00,5.00,2.00,2.00,6.00,NULL,1.00,0.00,1.00,203,NULL,653,'PASSÁRGADA','PASSO TORRES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(25,6424660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6424686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6424724,3.00,3.00,3.00,2.00,2.00,NULL,2.00,1.00,1.00,5,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6424732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,233,'VERGUEIRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6424740,1.00,1.00,2.00,2.00,4.00,NULL,3.00,0.00,0.00,9,NULL,NULL,'VILA NOVA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6424775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6424783,2.00,4.00,2.00,3.00,5.00,0.00,0.00,6.00,1.00,201,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6424791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'JOÃO COSTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6424805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESPERANÇA','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6424813,2.00,3.00,4.00,4.00,7.00,10.13,0.00,3.00,3.00,424,NULL,425,'CORREGO GRANDE','FLORIANÓPOLIS','SC',16928,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6424821,2.00,7.00,2.00,6.00,8.00,6.75,1.00,4.00,2.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12497,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6424830,2.00,0.00,1.00,4.00,6.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'NOVA ESPERANÇA','URUGUAIANA','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6424848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6424856,5.00,4.00,1.00,3.00,3.00,6.38,3.00,2.00,2.00,102,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(25,6424910,5.00,6.00,5.00,7.00,8.00,NULL,0.00,6.00,5.00,340,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(25,6424929,7.00,6.00,2.00,7.00,8.00,7.88,1.00,5.00,6.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',6142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6424945,2.00,1.00,3.00,4.00,2.00,NULL,1.00,3.00,0.00,317,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6424953,2.00,2.00,0.00,5.00,5.00,NULL,0.00,0.00,2.00,104,NULL,NULL,'GLÓRIA','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(25,6424961,3.00,6.00,2.00,5.00,7.00,9.75,3.00,5.00,1.00,340,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',12808,296,NULL,NULL,NULL,NULL,NULL,4,1),(25,6424970,3.00,6.00,0.00,5.00,4.00,NULL,1.00,6.00,3.00,208,NULL,233,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6424988,8.00,6.00,4.00,6.00,9.00,9.38,4.00,8.00,9.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',1411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6424996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6425020,2.00,1.00,1.00,2.00,3.00,7.13,1.00,2.00,0.00,224,NULL,NULL,'AREIAS','S JOSÉ','SC',21698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6425038,1.00,6.00,1.00,3.00,5.00,6.75,2.00,3.00,4.00,502,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6425046,2.00,3.00,0.00,1.00,5.00,7.13,4.00,1.00,1.00,207,NULL,214,'NOVA ESPERANÇA','BLUMENAU','SC',21335,1158,NULL,455,NULL,NULL,NULL,2,2),(25,6425054,2.00,5.00,2.00,1.00,5.00,NULL,0.00,4.00,3.00,211,NULL,203,'CENTRO SUL','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6425062,3.00,4.00,2.00,5.00,8.00,9.00,1.00,3.00,1.00,301,NULL,NULL,'BUCAREIN','JOINVILLE','SC',14568,175,NULL,NULL,NULL,NULL,NULL,4,8),(25,6425070,5.00,7.00,4.00,3.00,7.00,8.63,3.00,2.00,4.00,110,NULL,NULL,'PACHECO','PALHOÇA','SC',6889,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6425089,3.00,7.00,1.00,7.00,8.00,8.25,2.00,5.00,2.00,453,NULL,NULL,'BARREIROS','S JOSÉ','SC',12029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6425097,6.00,4.00,0.00,4.00,6.00,9.38,2.00,3.00,2.00,404,NULL,NULL,'BARREIROS','S JOSÉ','SC',15610,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6425119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO ANTÔNIO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(25,6425127,6.00,5.00,5.00,7.00,8.00,12.00,3.00,5.00,6.00,102,NULL,NULL,'JOÃO GUALBERTO','PARANAGUÁ','PR',2628,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6425135,4.00,3.00,1.00,2.00,3.00,7.88,2.00,1.00,2.00,202,NULL,235,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6425151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'POPULAR','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(25,6425160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6425178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETROPOLIS','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(25,6425208,3.00,4.00,1.00,3.00,3.00,6.75,1.00,0.00,3.00,220,NULL,213,'CENTRO','TAPERA','RS',19988,486,NULL,289,NULL,NULL,NULL,2,4),(25,6425216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6425224,1.00,2.00,1.00,0.00,3.00,3.00,1.00,2.00,0.00,502,NULL,NULL,'MARIA CÉU','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6425240,6.00,5.00,1.00,5.00,6.00,7.88,0.00,3.00,0.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',14440,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6425259,5.00,6.00,7.00,3.00,7.00,7.13,2.00,5.00,7.00,202,NULL,235,'PALMITAL','PARANAGUÁ','PR',5591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6425275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD AZTECA','ROLÂNDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6425283,3.00,6.00,0.00,5.00,7.00,9.00,2.00,4.00,2.00,444,NULL,NULL,'PAES LEME','IMBITUBA','SC',13055,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(25,6425291,2.00,2.00,2.00,4.00,3.00,7.13,1.00,1.00,1.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',20639,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6425305,4.00,5.00,4.00,7.00,5.00,7.50,3.00,3.00,7.00,999,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6425313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,208,'ALTO BOA VISTA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(25,6425321,3.00,6.00,3.00,5.00,9.00,6.75,2.00,5.00,0.00,327,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',13606,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6425330,1.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6425348,2.00,3.00,3.00,3.00,4.00,NULL,0.00,3.00,0.00,551,NULL,NULL,'CAMPO DA AGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(25,6425356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'LAGO NORTE','LG NORTE','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6425372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(25,6425380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,208,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6425399,0.00,2.00,0.00,0.00,0.00,NULL,1.00,0.00,1.00,328,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(25,6425402,4.00,1.00,2.00,2.00,9.00,8.63,2.00,4.00,0.00,654,NULL,NULL,'JARAGUÁ NOVENTA NOVE','JARAGUÁ SUL','SC',15643,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6425437,2.00,5.00,1.00,3.00,5.00,7.88,1.00,5.00,2.00,207,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',19787,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6425445,3.00,2.00,2.00,3.00,4.00,6.75,2.00,0.00,2.00,601,NULL,208,'JADIM SOFIA','JOINVILLE','SC',19941,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6425453,1.00,6.00,2.00,2.00,5.00,8.63,3.00,2.00,1.00,317,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',20224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6425461,3.00,7.00,1.00,4.00,8.00,10.50,2.00,6.00,2.00,316,NULL,NULL,'CARAVAGGIO','NOVA VENEZA','SC',9490,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(25,6425470,2.00,7.00,0.00,2.00,5.00,7.50,1.00,5.00,2.00,601,NULL,NULL,'CENTRO','JOINVILLE','SC',17964,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6425488,3.00,3.00,2.00,5.00,6.00,7.88,1.00,5.00,2.00,415,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',15001,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(25,6425496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MUZAMBINHO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6425500,4.00,2.00,1.00,5.00,8.00,9.75,0.00,1.00,2.00,238,NULL,202,'BARREIROS','S JOSÉ','SC',18493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6425518,4.00,4.00,1.00,2.00,3.00,4.50,4.00,5.00,2.00,316,NULL,NULL,'CRISTO REI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(25,6425526,2.00,0.00,1.00,3.00,8.00,NULL,0.00,0.00,0.00,207,NULL,211,'GETAT','AÇAILÂNDIA','MA',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6425534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'COIMBRA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6425542,8.00,5.00,5.00,5.00,7.00,9.00,2.00,5.00,7.00,104,NULL,NULL,'AMERICA','JOINVILLE','SC',3778,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6425550,5.00,4.00,3.00,3.00,5.00,0.00,5.00,7.00,5.00,211,NULL,201,'JOSÉ BONIFÁCIO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(25,6425569,3.00,3.00,1.00,3.00,4.00,NULL,0.00,2.00,0.00,211,NULL,207,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6425585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6425593,2.00,3.00,1.00,5.00,6.00,7.88,2.00,2.00,2.00,655,NULL,201,'URUSSANGUINHA','ARARANGUÁ','SC',16492,78,NULL,1389,NULL,NULL,NULL,2,15),(25,6425607,2.00,2.00,1.00,0.00,4.00,4.88,0.00,3.00,2.00,207,NULL,201,'PRAIA BRAVA','FLORIANÓPOLIS','SC',21732,1185,NULL,1746,NULL,NULL,NULL,2,1),(25,6425615,4.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ZONA V','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(25,6425623,2.00,3.00,4.00,3.00,4.00,8.25,2.00,2.00,0.00,652,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',20195,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(25,6425631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'CENTRO','MELEIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(25,6425640,3.00,6.00,1.00,3.00,3.00,8.25,1.00,5.00,3.00,601,NULL,203,'BOM RETIRO','JOINVILLE','SC',18551,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6425674,2.00,5.00,5.00,2.00,4.00,6.75,2.00,0.00,1.00,212,NULL,220,'CENTRO','MÁGDA','SP',18658,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(25,6425704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6425712,4.00,5.00,3.00,6.00,6.00,8.25,1.00,3.00,3.00,213,NULL,212,'VILA DO CASTELO','S PAULO','SP',11715,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6425720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,653,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6425739,3.00,6.00,1.00,0.00,6.00,6.00,1.00,2.00,2.00,453,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',18081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6425763,3.00,4.00,1.00,4.00,4.00,9.75,1.00,0.00,2.00,238,NULL,233,'JARDIM PALMARES','COLOMBO','PR',18390,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(25,6425771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6425801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PICO DO AMOR','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6425810,3.00,7.00,2.00,5.00,8.00,6.75,1.00,5.00,3.00,328,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6425860,3.00,8.00,3.00,5.00,5.00,8.63,3.00,3.00,1.00,220,NULL,202,'NAVEGANTES','PTO ALEGRE','RS',11238,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(25,6425879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SÃO FRANCISCO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6425895,2.00,2.00,0.00,1.00,1.00,NULL,1.00,1.00,0.00,215,NULL,202,'CENTRO','TREZE TÍLIAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(25,6425917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PALMITAL','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(25,6425925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6425933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,233,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6425941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(25,6425950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'PRESIDENTE MEDICE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6425976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'SANTO ANTONIO','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(25,6425984,5.00,6.00,3.00,6.00,8.00,7.50,2.00,4.00,6.00,303,NULL,NULL,'VILA INDUSTRIAL','S JOSÉ CAMPOS','SP',8072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6425992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(25,6426018,4.00,6.00,3.00,5.00,5.00,7.88,3.00,6.00,4.00,301,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',11155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6426026,2.00,1.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'NOVA ESPERANÇA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(25,6426034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(25,6426042,3.00,5.00,3.00,5.00,2.00,NULL,3.00,2.00,4.00,654,NULL,NULL,'UNIVERSITARIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6426050,2.00,5.00,5.00,5.00,6.00,6.38,2.00,4.00,3.00,223,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6426069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'VILA BOEIRA','CANELA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6426077,7.00,7.00,1.00,4.00,5.00,7.88,2.00,2.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13911,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6426107,1.00,0.00,4.00,3.00,1.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'FORQUETA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(25,6426131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6426166,5.00,4.00,4.00,7.00,7.00,8.63,2.00,4.00,6.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',6715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6426174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PRAIA DE BELAS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6426182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6426204,4.00,5.00,3.00,5.00,5.00,10.50,2.00,5.00,4.00,238,NULL,208,'TRINDADE','FLORIANÓPOLIS','SC',10719,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6426212,2.00,5.00,2.00,2.00,3.00,7.50,0.00,7.00,2.00,429,NULL,424,'AREIAS','S JOSÉ','SC',18176,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6426239,2.00,3.00,3.00,3.00,6.00,8.25,1.00,0.00,0.00,103,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',18484,4553,NULL,NULL,NULL,NULL,NULL,2,4),(25,6426247,3.00,4.00,0.00,1.00,4.00,NULL,3.00,1.00,0.00,335,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6426255,4.00,6.00,4.00,7.00,6.00,8.63,0.00,5.00,6.00,103,NULL,NULL,'ZONA UM','MARINGÁ','PR',8287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6426271,2.00,2.00,1.00,5.00,7.00,7.88,1.00,4.00,1.00,501,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(25,6426280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'IMPERIAL','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(25,6426301,4.00,3.00,1.00,3.00,4.00,6.75,2.00,2.00,4.00,551,NULL,NULL,'RIO DO MEIO','STA ROSA LIMA','SC',20031,54,NULL,NULL,NULL,NULL,NULL,2,3),(25,6426310,4.00,6.00,2.00,6.00,6.00,8.25,3.00,1.00,3.00,303,NULL,NULL,'SEMINÁRIO','ITUPORANGA','SC',15256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6426328,5.00,7.00,3.00,7.00,10.00,9.75,3.00,7.00,5.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',2539,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(25,6426336,4.00,5.00,3.00,4.00,9.00,9.38,1.00,0.00,3.00,104,NULL,NULL,'PORTO DA VILA','IMBITUBA','SC',15743,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(25,6426360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,655,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(25,6426379,5.00,4.00,3.00,5.00,6.00,9.00,2.00,1.00,2.00,103,NULL,NULL,'CENTRO','LAGES','SC',13210,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(25,6426387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM DAS FLORES','TREZE TÍLIAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(25,6426395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(25,6426409,3.00,0.00,4.00,1.00,2.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6426417,3.00,6.00,0.00,6.00,6.00,9.00,2.00,2.00,0.00,212,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',18237,530,NULL,449,NULL,NULL,NULL,2,1),(25,6426433,3.00,3.00,2.00,3.00,2.00,NULL,1.00,3.00,3.00,238,NULL,220,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6426441,2.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'PONTA GROSSA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(25,6426450,4.00,0.00,2.00,2.00,6.00,NULL,0.00,0.00,0.00,601,NULL,233,'BAEPENDI','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(25,6426468,3.00,4.00,2.00,2.00,4.00,8.63,4.00,0.00,2.00,502,NULL,NULL,'BARREIROS','S JOSÉ','SC',17039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6426484,0.00,3.00,0.00,3.00,6.00,NULL,2.00,2.00,0.00,308,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(25,6426492,7.00,5.00,5.00,7.00,8.00,6.00,3.00,4.00,6.00,102,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',5569,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(25,6426514,7.00,7.00,4.00,6.00,9.00,9.00,1.00,4.00,4.00,103,NULL,NULL,'VILA JOÃO VAZ','GOIÂNIA','GO',4691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7000014,1.00,7.00,1.00,4.00,2.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000022,2.00,7.00,0.00,7.00,5.00,9.00,6.00,7.00,3.00,207,NULL,201,'SUIÇO','S BERNARDO CAMPO','SP',6855,319,NULL,NULL,NULL,NULL,NULL,2,1),(28,7000030,4.00,8.00,2.00,6.00,6.00,10.13,6.00,7.00,4.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7227,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000049,1.00,4.00,1.00,1.00,3.00,5.25,3.00,3.00,3.00,224,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7000057,1.00,5.00,1.00,4.00,5.00,9.00,2.00,5.00,3.00,5,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',13230,370,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000065,4.00,7.00,4.00,7.00,7.00,8.25,3.00,8.00,7.00,103,NULL,NULL,'PINHEIRINHO','PATO BRANCO','PR',1099,600,NULL,NULL,NULL,NULL,NULL,4,4),(28,7000073,4.00,6.00,4.00,6.00,8.00,8.63,5.00,6.00,6.00,340,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',5021,128,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000081,3.00,8.00,3.00,7.00,9.00,9.00,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',2034,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7000090,1.00,5.00,2.00,4.00,5.00,8.25,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',12465,2230,NULL,NULL,NULL,NULL,NULL,2,4),(28,7000103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CENTRO','TANGARÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7000111,4.00,5.00,2.00,4.00,7.00,8.25,3.00,5.00,5.00,317,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',14164,87,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000120,3.00,7.00,2.00,5.00,4.00,7.50,4.00,6.00,3.00,203,NULL,214,'DESVIO RIZZO','CAXIAS SUL','RS',6283,404,NULL,193,NULL,NULL,NULL,4,1),(28,7000146,7.00,6.00,2.00,7.00,7.00,8.63,6.00,5.00,3.00,208,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',5092,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000162,3.00,6.00,2.00,6.00,7.00,6.38,4.00,5.00,4.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13906,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7000170,3.00,4.00,1.00,5.00,4.00,7.13,3.00,5.00,4.00,454,NULL,NULL,'FLORESTA','S JOSÉ','SC',17370,353,NULL,NULL,NULL,NULL,NULL,2,1),(28,7000189,5.00,6.00,1.00,7.00,4.00,5.63,2.00,4.00,4.00,501,NULL,NULL,'SCHROEDER I','SCHROEDER','SC',9477,40,NULL,NULL,NULL,NULL,NULL,4,23),(28,7000197,2.00,5.00,2.00,8.00,9.00,8.63,0.00,5.00,4.00,207,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',9217,428,NULL,639,NULL,NULL,NULL,4,1),(28,7000200,2.00,6.00,3.00,5.00,7.00,7.88,3.00,6.00,3.00,238,NULL,652,'SERRARIA','S JOSÉ','SC',9418,135,NULL,14,NULL,NULL,NULL,2,1),(28,7000219,3.00,8.00,1.00,5.00,9.00,9.75,3.00,7.00,4.00,317,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',5250,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000243,6.00,6.00,3.00,7.00,8.00,9.00,2.00,6.00,4.00,450,NULL,NULL,'SANTA PAULA','S CAETANO SUL','SP',2909,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7000278,2.00,5.00,1.00,3.00,3.00,7.50,2.00,5.00,1.00,338,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',19469,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000286,5.00,2.00,2.00,4.00,4.00,8.63,1.00,3.00,1.00,309,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',18961,59,NULL,NULL,NULL,NULL,NULL,2,1),(28,7000294,6.00,9.00,7.00,8.00,11.00,14.25,8.00,8.00,7.00,103,NULL,NULL,'PARQUE CALIFÓRNIA','JACAREÍ','SP',8,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7000316,5.00,7.00,3.00,6.00,7.00,9.75,5.00,8.00,5.00,340,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',2325,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000324,1.00,5.00,1.00,4.00,4.00,6.00,3.00,5.00,2.00,201,NULL,207,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',17037,966,NULL,736,NULL,NULL,NULL,2,1),(28,7000332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,201,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7000359,2.00,8.00,0.00,4.00,10.00,9.00,0.00,8.00,5.00,5,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',11022,319,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000375,3.00,8.00,3.00,5.00,7.00,8.25,3.00,5.00,6.00,207,NULL,201,'VILA FLORESTA','STO ANDRÉ','SP',5438,241,NULL,420,NULL,NULL,NULL,4,2),(28,7000383,3.00,6.00,2.00,7.00,9.00,11.63,1.00,7.00,4.00,214,NULL,212,'SÃO LUIZ','CANOAS','RS',5440,172,NULL,NULL,NULL,NULL,NULL,4,15),(28,7000391,0.00,2.00,2.00,4.00,6.00,6.00,3.00,2.00,3.00,103,NULL,NULL,'LIRI','IÇARA','SC',19531,2520,NULL,NULL,NULL,NULL,NULL,2,5),(28,7000405,3.00,5.00,2.00,6.00,6.00,7.13,1.00,2.00,1.00,207,NULL,201,'CENTRO','LAGES','SC',13861,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7000413,5.00,7.00,5.00,6.00,8.00,7.88,5.00,5.00,7.00,213,NULL,215,'ITOUPAVA NORTE','BLUMENAU','SC',2115,13,NULL,NULL,NULL,NULL,NULL,4,2),(28,7000421,4.00,6.00,2.00,6.00,9.00,9.00,2.00,3.00,2.00,302,NULL,NULL,'JD OLIVEIRAS','CAMPINAS','SP',12443,82,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO VIOR','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7000448,3.00,3.00,2.00,6.00,6.00,10.13,4.00,4.00,4.00,503,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',12839,13,NULL,NULL,NULL,NULL,NULL,2,1),(28,7000456,7.00,8.00,4.00,7.00,8.00,11.25,5.00,8.00,6.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',560,369,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000464,5.00,7.00,5.00,6.00,10.00,11.25,4.00,5.00,4.00,303,NULL,NULL,'PARQUE DAS NAÇÕES','BAURU','SP',1880,90,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000472,5.00,4.00,1.00,4.00,6.00,7.13,1.00,5.00,4.00,104,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',11942,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7000499,2.00,8.00,3.00,6.00,8.00,8.25,5.00,5.00,4.00,202,NULL,220,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',4111,124,NULL,121,NULL,NULL,NULL,4,1),(28,7000502,0.00,3.00,2.00,5.00,3.00,NULL,0.00,5.00,1.00,652,NULL,655,'DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7000510,5.00,8.00,2.00,7.00,8.00,10.88,4.00,8.00,2.00,450,NULL,NULL,'COLÔNIA','JUNDIAÍ','SP',2581,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7000537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'TRICOLIM','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7000545,1.00,4.00,2.00,5.00,7.00,8.25,1.00,3.00,1.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',15244,535,NULL,NULL,NULL,NULL,NULL,2,1),(28,7000553,2.00,5.00,2.00,6.00,6.00,7.50,2.00,3.00,1.00,203,NULL,214,'VILA FORMOSA','S PAULO','SP',11862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7000570,1.00,2.00,1.00,4.00,5.00,4.88,1.00,4.00,2.00,301,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',17653,241,NULL,NULL,NULL,NULL,NULL,2,1),(28,7000588,5.00,6.00,2.00,4.00,7.00,9.75,2.00,6.00,3.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12599,476,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000618,1.00,4.00,1.00,4.00,4.00,8.25,2.00,2.00,1.00,601,NULL,201,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7000634,2.00,2.00,1.00,4.00,2.00,NULL,3.00,2.00,3.00,319,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7000642,2.00,8.00,4.00,4.00,7.00,7.13,3.00,6.00,4.00,201,NULL,601,'SERTÃO DO MARUIM','S JOSÉ','SC',6111,474,NULL,120,NULL,NULL,NULL,2,1),(28,7000650,1.00,5.00,1.00,5.00,4.00,5.63,1.00,4.00,2.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000677,6.00,7.00,4.00,6.00,7.00,10.50,2.00,6.00,6.00,103,NULL,NULL,'FLAMENGO','RIO JANEIRO','RJ',2368,984,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000685,2.00,9.00,4.00,6.00,7.00,7.88,2.00,9.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3203,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7000707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PINEVILLE','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7000715,0.00,4.00,2.00,3.00,3.00,5.25,3.00,3.00,3.00,653,NULL,NULL,'CENTRO','STA ROSA SUL','SC',19914,222,NULL,NULL,NULL,NULL,NULL,2,15),(28,7000731,0.00,5.00,2.00,2.00,4.00,4.50,1.00,2.00,3.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',20091,496,NULL,NULL,NULL,NULL,NULL,2,1),(28,7000740,4.00,7.00,3.00,6.00,7.00,7.50,5.00,7.00,5.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',2509,180,NULL,63,NULL,NULL,NULL,4,1),(28,7000758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'COSTA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7000766,4.00,4.00,1.00,6.00,5.00,7.88,2.00,3.00,1.00,454,NULL,NULL,'HUMAITÁ DE CIMA','TUBARÃO','SC',13065,262,NULL,NULL,NULL,NULL,NULL,4,10),(28,7000774,0.00,1.00,1.00,3.00,6.00,8.25,2.00,5.00,1.00,303,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7000782,0.00,2.00,1.00,6.00,4.00,4.50,3.00,3.00,1.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19980,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7000804,1.00,5.00,2.00,4.00,4.00,8.25,2.00,5.00,5.00,9,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',11505,70,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000812,3.00,4.00,1.00,5.00,6.00,8.63,1.00,5.00,4.00,501,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13453,83,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000820,3.00,6.00,1.00,7.00,6.00,9.38,3.00,6.00,6.00,102,NULL,NULL,'VILA GUARANI','S JOSÉ CAMPOS','SP',6051,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7000839,4.00,4.00,3.00,6.00,9.00,10.13,5.00,6.00,3.00,103,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',5154,1513,NULL,NULL,NULL,NULL,NULL,4,8),(28,7000847,0.00,3.00,1.00,4.00,2.00,NULL,2.00,4.00,3.00,318,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000855,0.00,5.00,1.00,6.00,7.00,NULL,2.00,2.00,2.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7000871,3.00,6.00,4.00,6.00,8.00,9.00,3.00,5.00,7.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',3973,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7000880,4.00,6.00,4.00,6.00,9.00,8.63,3.00,6.00,5.00,207,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4019,160,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000898,1.00,7.00,1.00,6.00,6.00,7.13,3.00,6.00,2.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14899,92,NULL,NULL,NULL,NULL,NULL,2,1),(28,7000944,4.00,7.00,1.00,6.00,3.00,10.13,1.00,5.00,2.00,108,NULL,NULL,'JARDIM PAULISTA','ATIBAIA','SP',10604,140,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000952,6.00,8.00,1.00,8.00,7.00,8.25,4.00,7.00,2.00,103,NULL,NULL,'CRUZEIRO DO SUL','JZ FORA','MG',2764,1077,NULL,NULL,NULL,NULL,NULL,2,6),(28,7000960,3.00,6.00,2.00,6.00,8.00,12.75,2.00,7.00,3.00,340,NULL,NULL,'JARDIM ACAPULCO','S CARLOS','SP',3853,95,NULL,NULL,NULL,NULL,NULL,4,1),(28,7000979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'VILA IVETE','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7000987,0.00,4.00,1.00,2.00,4.00,5.63,3.00,3.00,2.00,201,NULL,601,'BAEPENDI','JARAGUÁ SUL','SC',19882,1053,NULL,558,NULL,NULL,NULL,4,23),(28,7000995,2.00,6.00,2.00,7.00,7.00,7.88,3.00,8.00,5.00,424,NULL,421,'FORQUILHINHAS','S JOSÉ','SC',10471,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001002,0.00,4.00,0.00,6.00,4.00,NULL,1.00,3.00,2.00,5,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7001010,5.00,7.00,3.00,8.00,8.00,9.00,2.00,6.00,4.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',3670,1266,NULL,NULL,NULL,NULL,NULL,4,8),(28,7001029,6.00,9.00,3.00,7.00,6.00,10.88,3.00,6.00,4.00,103,NULL,NULL,'CATETE','RIO JANEIRO','RJ',1999,886,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001037,0.00,2.00,3.00,1.00,3.00,3.00,3.00,2.00,3.00,454,NULL,NULL,'ITAGUACU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7001045,3.00,5.00,2.00,5.00,6.00,9.00,6.00,4.00,3.00,103,NULL,NULL,'CENTRO','CPO ERÊ','SC',12189,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7001053,3.00,3.00,2.00,5.00,5.00,NULL,0.00,5.00,1.00,428,NULL,426,'SÃO BASÍLIO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7001061,2.00,6.00,1.00,7.00,7.00,12.38,4.00,5.00,4.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',10311,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7001070,2.00,8.00,2.00,6.00,7.00,9.38,3.00,6.00,4.00,103,NULL,NULL,'LOURDES','CAXIAS SUL','RS',5518,1573,NULL,NULL,NULL,NULL,NULL,2,1),(28,7001088,5.00,8.00,6.00,6.00,7.00,8.25,5.00,7.00,6.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',1391,36,NULL,NULL,NULL,NULL,NULL,1,1),(28,7001096,4.00,8.00,2.00,7.00,6.00,7.88,3.00,5.00,4.00,201,NULL,203,'GRÃ DUQUESA','GOV VALADARES','MG',4456,341,NULL,313,NULL,NULL,NULL,4,1),(28,7001100,0.00,2.00,2.00,3.00,4.00,6.38,1.00,3.00,1.00,425,NULL,429,'FORQUILHINHAS','S JOSÉ','SC',20025,80,NULL,45,NULL,NULL,NULL,4,1),(28,7001118,3.00,6.00,3.00,5.00,7.00,8.25,3.00,7.00,6.00,233,NULL,238,'VINHEDOS','CAXIAS SUL','RS',4819,127,NULL,33,NULL,NULL,NULL,2,1),(28,7001126,6.00,7.00,4.00,6.00,8.00,9.75,3.00,6.00,7.00,103,NULL,NULL,'CANASVIEIRA','FLORIANÓPOLIS','SC',1540,758,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001142,4.00,7.00,3.00,7.00,7.00,10.13,4.00,5.00,3.00,103,NULL,NULL,'DAS NAÇÕES','BAL CAMBORIÚ','SC',3365,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7001169,1.00,3.00,1.00,4.00,2.00,NULL,1.00,1.00,2.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7001177,5.00,8.00,2.00,5.00,10.00,9.38,4.00,5.00,6.00,211,NULL,215,'CENTRO','CHAPECÓ','SC',2644,45,NULL,NULL,NULL,NULL,NULL,4,4),(28,7001185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7001193,2.00,6.00,4.00,7.00,3.00,8.25,4.00,4.00,3.00,103,NULL,NULL,'ALPHAVILLE','CAMPINAS','SP',7312,1806,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001207,4.00,6.00,2.00,6.00,5.00,7.88,4.00,5.00,3.00,303,NULL,NULL,'ESPLANADA','CHAPECÓ','SC',8642,361,NULL,NULL,NULL,NULL,NULL,2,4),(28,7001215,4.00,6.00,1.00,7.00,7.00,10.13,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','MIRASSOL','SP',2876,1106,NULL,NULL,NULL,NULL,NULL,2,3),(28,7001223,2.00,5.00,2.00,6.00,4.00,7.88,1.00,4.00,1.00,207,NULL,211,'JARAGUÁ NOVENTA E NO','JARAGUÁ SUL','SC',14551,642,NULL,364,NULL,NULL,NULL,2,23),(28,7001231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7001258,5.00,6.00,4.00,7.00,5.00,11.25,4.00,5.00,6.00,103,NULL,NULL,'JD APOLLO II','S JOSÉ CAMPOS','SP',1899,859,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001266,4.00,7.00,3.00,7.00,9.00,11.63,4.00,7.00,7.00,104,NULL,NULL,'JARDIM CIDADE ALTA','JOAÇABA','SC',1882,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001274,1.00,4.00,1.00,1.00,5.00,7.50,1.00,1.00,2.00,319,NULL,NULL,'ARAÇATUBA','IMBITUBA','SC',18401,354,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001282,1.00,3.00,1.00,3.00,3.00,9.00,2.00,6.00,3.00,303,NULL,NULL,'MEDICILÂNDIA','MEDICILÂNDIA','PA',19041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001290,2.00,4.00,3.00,6.00,2.00,NULL,4.00,3.00,1.00,102,NULL,NULL,'CENTRO','ALFENAS','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001304,0.00,4.00,0.00,4.00,5.00,NULL,0.00,2.00,2.00,653,NULL,NULL,'SANTA ROSA DE LIMA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7001312,0.00,1.00,3.00,3.00,2.00,NULL,3.00,3.00,0.00,339,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7001320,7.00,6.00,5.00,5.00,6.00,9.75,4.00,7.00,8.00,103,NULL,NULL,'TIJUCO DAS TELHAS','CAMPINAS','SP',712,433,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001339,3.00,6.00,2.00,5.00,6.00,6.38,5.00,6.00,5.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',12948,360,NULL,NULL,NULL,NULL,NULL,2,1),(28,7001347,2.00,8.00,2.00,6.00,7.00,10.13,5.00,7.00,3.00,319,NULL,NULL,'JARDIM VILA FORMOSA','S PAULO','SP',3899,53,NULL,NULL,NULL,NULL,NULL,2,1),(28,7001355,4.00,7.00,3.00,6.00,8.00,9.00,4.00,4.00,7.00,238,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',6247,64,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001371,3.00,6.00,2.00,2.00,6.00,6.75,2.00,4.00,5.00,103,NULL,NULL,'ARGENTINA','CRICIÚMA','SC',11121,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7001380,4.00,6.00,2.00,7.00,9.00,9.75,5.00,5.00,7.00,340,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',2683,58,NULL,NULL,NULL,NULL,NULL,2,1),(28,7001398,0.00,6.00,1.00,4.00,7.00,7.50,1.00,4.00,3.00,318,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',18357,135,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001401,8.00,6.00,7.00,6.00,10.00,9.38,7.00,8.00,8.00,103,NULL,NULL,'PARQUE AGUA BRANCA','PIRACICABA','SP',139,111,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001410,1.00,8.00,2.00,5.00,5.00,4.50,2.00,4.00,2.00,5,NULL,NULL,'VILA AGUIAR','S ROQUE','SP',12996,364,NULL,NULL,NULL,NULL,NULL,2,1),(28,7001428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,235,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7001436,3.00,6.00,0.00,6.00,2.00,NULL,0.00,2.00,1.00,652,NULL,655,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7001444,1.00,7.00,4.00,5.00,7.00,8.63,5.00,6.00,6.00,318,NULL,NULL,'BELA VISTA','S PAULO','SP',3887,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001452,0.00,5.00,2.00,2.00,5.00,7.13,1.00,2.00,0.00,655,NULL,652,'CENTRO','VACARIA','RS',19966,145,NULL,107,NULL,NULL,NULL,4,15),(28,7001460,2.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7001509,1.00,6.00,3.00,5.00,9.00,8.63,2.00,5.00,3.00,331,NULL,NULL,'SANTANA','S PAULO','SP',7678,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001517,2.00,4.00,1.00,2.00,1.00,NULL,2.00,3.00,1.00,601,NULL,233,'JARDIM PARAISO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7001533,6.00,9.00,5.00,7.00,10.00,11.25,7.00,8.00,7.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',54,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7001568,6.00,8.00,2.00,7.00,10.00,11.25,4.00,6.00,7.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',1824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001584,3.00,4.00,3.00,6.00,7.00,7.13,2.00,6.00,3.00,103,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',9131,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7001592,3.00,5.00,2.00,5.00,4.00,7.88,2.00,4.00,2.00,999,NULL,NULL,'CENTRO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7001622,1.00,4.00,2.00,2.00,4.00,3.00,2.00,3.00,2.00,450,NULL,NULL,'CAPAEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7001630,5.00,7.00,5.00,7.00,9.00,8.25,4.00,5.00,6.00,201,NULL,202,'PASSO MANSO','BLUMENAU','SC',2463,NULL,NULL,67,NULL,NULL,NULL,2,2),(28,7001649,0.00,5.00,1.00,2.00,3.00,4.50,3.00,5.00,3.00,601,NULL,213,'SOLO RICO','MARINGÁ','PR',16829,489,NULL,NULL,NULL,NULL,NULL,4,8),(28,7001657,1.00,7.00,2.00,6.00,8.00,7.88,4.00,5.00,3.00,319,NULL,NULL,'CENTRO','PALHOÇA','SC',13260,248,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001665,3.00,7.00,1.00,6.00,7.00,8.25,4.00,4.00,3.00,220,NULL,201,'GRÃ DUQUESA','GOV VALADARES','MG',5205,158,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001673,3.00,4.00,3.00,5.00,5.00,6.38,3.00,5.00,3.00,425,NULL,421,'RIO GRANDE','PALHOÇA','SC',17383,63,NULL,18,NULL,NULL,NULL,4,1),(28,7001681,3.00,8.00,1.00,5.00,6.00,9.00,1.00,7.00,7.00,304,NULL,NULL,'GARCIA','BLUMENAU','SC',6365,34,NULL,NULL,NULL,NULL,NULL,4,2),(28,7001703,1.00,3.00,2.00,3.00,2.00,NULL,2.00,3.00,3.00,440,NULL,NULL,'FLÁVIO MARQUES LISBO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7001720,4.00,8.00,2.00,7.00,9.00,7.88,3.00,7.00,6.00,202,NULL,235,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',2943,83,NULL,46,NULL,NULL,NULL,4,1),(28,7001738,5.00,7.00,2.00,1.00,3.00,9.00,0.00,5.00,3.00,108,NULL,NULL,'BOM RETIRO','PAULO LOPES','SC',13432,185,NULL,NULL,NULL,NULL,NULL,2,1),(28,7001754,0.00,4.00,1.00,2.00,4.00,4.50,1.00,4.00,3.00,238,NULL,233,'COQUEIROS','FLORIANÓPOLIS','SC',19982,350,NULL,354,NULL,NULL,NULL,4,1),(28,7001770,4.00,8.00,3.00,7.00,7.00,8.63,4.00,7.00,6.00,336,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',2442,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001789,1.00,5.00,3.00,6.00,3.00,6.38,3.00,4.00,1.00,101,NULL,NULL,'FORQUILINHAS','S JOSÉ','SC',16366,103,NULL,NULL,NULL,NULL,NULL,2,1),(28,7001797,2.00,5.00,2.00,7.00,8.00,12.00,4.00,7.00,6.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4304,68,NULL,NULL,NULL,NULL,NULL,2,1),(28,7001800,4.00,6.00,1.00,6.00,5.00,8.25,3.00,5.00,5.00,108,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',12390,171,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001819,0.00,5.00,2.00,4.00,8.00,NULL,2.00,3.00,4.00,207,NULL,211,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7001827,0.00,3.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,655,NULL,653,'DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7001835,0.00,2.00,3.00,5.00,3.00,3.00,1.00,5.00,3.00,104,NULL,NULL,'NOVA ROMA','MRO GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7001843,2.00,5.00,0.00,5.00,5.00,7.88,3.00,6.00,1.00,326,NULL,NULL,'GUILHERME REICH','CONCÓRDIA','SC',11651,37,NULL,NULL,NULL,NULL,NULL,4,26),(28,7001878,2.00,5.00,3.00,6.00,7.00,7.13,2.00,4.00,4.00,501,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10946,53,NULL,NULL,NULL,NULL,NULL,2,1),(28,7001886,3.00,7.00,3.00,7.00,8.00,5.25,4.00,4.00,4.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5729,1592,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7001916,3.00,8.00,2.00,7.00,8.00,9.00,4.00,5.00,6.00,235,NULL,220,'CENTRO','S JOAQUIM','SC',4084,40,NULL,NULL,NULL,NULL,NULL,4,9),(28,7001924,5.00,8.00,5.00,6.00,4.00,8.63,5.00,6.00,7.00,216,NULL,233,'CENTRO','PNT GROSSA','PR',3356,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7001932,1.00,5.00,2.00,4.00,7.00,7.13,3.00,7.00,3.00,216,NULL,233,'CENTRO','NOVO HORIZONTE','SP',8512,281,NULL,212,NULL,NULL,NULL,2,3),(28,7001940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,233,'ARIRIU DA FORMIGA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7001967,2.00,7.00,1.00,4.00,6.00,6.75,6.00,6.00,5.00,201,NULL,203,'GRAGERU','ARACAJU','SE',7087,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001975,1.00,6.00,2.00,4.00,4.00,10.50,0.00,4.00,3.00,451,NULL,NULL,'FUNDO CANOAS','RIO SUL','SC',12010,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001983,1.00,6.00,4.00,5.00,6.00,7.88,2.00,7.00,3.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',9243,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7001991,4.00,7.00,3.00,7.00,10.00,10.88,5.00,6.00,6.00,5,NULL,NULL,'MORRO DA CRUZ','FLORIANÓPOLIS','SC',1530,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7002009,3.00,7.00,2.00,6.00,7.00,12.00,5.00,7.00,5.00,224,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',4745,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002017,0.00,2.00,0.00,5.00,6.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'VILA FLORESTA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7002025,5.00,7.00,1.00,6.00,6.00,10.88,4.00,6.00,4.00,320,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',9577,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'VL OLIVEIRA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7002050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,423,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7002068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,215,'JARDIM CIDADE VERDE','ROLÂNDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7002076,5.00,6.00,2.00,6.00,8.00,13.13,5.00,7.00,6.00,319,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',3354,43,NULL,NULL,NULL,NULL,NULL,2,1),(28,7002084,1.00,4.00,0.00,4.00,3.00,5.25,3.00,2.00,1.00,102,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',18563,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7002122,6.00,8.00,3.00,6.00,7.00,8.25,4.00,7.00,4.00,303,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',2973,137,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7002165,0.00,5.00,1.00,8.00,4.00,10.50,1.00,6.00,2.00,424,NULL,426,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',16704,30,NULL,NULL,NULL,NULL,NULL,3,1),(28,7002173,0.00,4.00,1.00,2.00,4.00,4.50,1.00,2.00,2.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002190,0.00,6.00,3.00,6.00,7.00,9.75,3.00,8.00,3.00,318,NULL,NULL,'SAGRADO','LAGES','SC',7418,33,NULL,NULL,NULL,NULL,NULL,4,9),(28,7002203,4.00,2.00,3.00,3.00,4.00,4.50,2.00,1.00,2.00,308,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002211,0.00,4.00,1.00,1.00,4.00,NULL,2.00,3.00,2.00,301,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002220,1.00,5.00,3.00,7.00,7.00,9.00,2.00,3.00,3.00,502,NULL,NULL,'CRISTO REI','COCAL SUL','SC',11589,16,NULL,NULL,NULL,NULL,NULL,2,5),(28,7002238,4.00,5.00,2.00,4.00,5.00,6.38,3.00,4.00,3.00,202,NULL,235,'VILA AGUIAR','S ROQUE','SP',10603,271,NULL,173,NULL,NULL,NULL,4,1),(28,7002246,1.00,7.00,3.00,7.00,5.00,8.63,2.00,3.00,4.00,101,NULL,NULL,'CENTRO','PATO BRANCO','PR',9649,37,NULL,NULL,NULL,NULL,NULL,4,6),(28,7002262,1.00,5.00,3.00,1.00,6.00,7.88,4.00,2.00,1.00,601,NULL,202,'AMÉRICA','JOINVILLE','SC',15177,450,NULL,NULL,NULL,NULL,NULL,4,8),(28,7002270,0.00,3.00,1.00,5.00,4.00,NULL,1.00,4.00,4.00,424,NULL,425,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(28,7002289,1.00,5.00,2.00,4.00,3.00,7.50,2.00,2.00,3.00,215,NULL,216,'SANGA DA TOCA II','ARARANGUÁ','SC',15218,248,NULL,402,NULL,NULL,NULL,4,15),(28,7002297,1.00,4.00,4.00,1.00,6.00,6.00,2.00,4.00,2.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',18935,75,NULL,NULL,NULL,NULL,NULL,4,15),(28,7002300,7.00,6.00,3.00,7.00,10.00,7.13,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',892,503,NULL,NULL,NULL,NULL,NULL,2,22),(28,7002319,2.00,5.00,3.00,6.00,8.00,7.88,3.00,4.00,3.00,201,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',9067,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7002335,1.00,1.00,1.00,4.00,2.00,NULL,3.00,1.00,1.00,207,NULL,NULL,'CENTRO','BARRA GUARITA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7002343,5.00,8.00,1.00,6.00,3.00,9.38,3.00,6.00,4.00,103,NULL,NULL,'RECREIO D','RIO JANEIRO','RJ',4922,1482,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002351,2.00,3.00,2.00,3.00,4.00,4.50,2.00,3.00,1.00,653,NULL,652,'SANGA DA TOCA','ARARANGUÁ','SC',20034,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7002378,0.00,6.00,2.00,6.00,5.00,NULL,1.00,4.00,2.00,421,NULL,424,'JARDIM ELDORADO','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7002394,4.00,5.00,3.00,6.00,5.00,8.25,1.00,5.00,2.00,655,NULL,238,'VILA ROSA','NOVO HAMBURGO','RS',10474,51,NULL,161,NULL,NULL,NULL,4,15),(28,7002408,1.00,6.00,3.00,2.00,5.00,4.50,2.00,4.00,2.00,601,NULL,214,'FLORESTA','JOINVILLE','SC',15627,460,NULL,NULL,NULL,NULL,NULL,2,8),(28,7002416,2.00,2.00,0.00,3.00,5.00,10.13,2.00,3.00,1.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15869,206,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'LINHA BIGUÁ','IRACEMINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7002440,2.00,5.00,3.00,4.00,9.00,9.38,2.00,4.00,1.00,238,NULL,233,'BALNEÁRIO','FLORIANÓPOLIS','SC',15659,264,NULL,316,NULL,NULL,NULL,4,1),(28,7002459,2.00,2.00,3.00,5.00,3.00,7.50,2.00,3.00,1.00,207,NULL,201,'PONTA DE BAIXO','S JOSÉ','SC',16521,714,NULL,946,NULL,NULL,NULL,2,1),(28,7002467,5.00,8.00,1.00,7.00,8.00,7.88,5.00,6.00,5.00,601,NULL,201,'SAGUAÇU','JOINVILLE','SC',5629,106,NULL,NULL,NULL,NULL,NULL,4,8),(28,7002475,1.00,4.00,0.00,3.00,6.00,6.75,2.00,5.00,3.00,652,NULL,655,'CIDADE ALTA','TURVO','SC',19027,97,NULL,124,NULL,NULL,NULL,4,15),(28,7002483,0.00,6.00,3.00,3.00,4.00,NULL,0.00,3.00,3.00,503,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002491,3.00,5.00,2.00,5.00,8.00,8.25,4.00,6.00,4.00,201,NULL,202,'PRADO','BIGUAÇU','SC',8362,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002505,3.00,7.00,2.00,6.00,8.00,7.50,4.00,3.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8197,72,NULL,NULL,NULL,NULL,NULL,2,1),(28,7002530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,220,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7002548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITAIPU','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7002556,6.00,9.00,3.00,6.00,9.00,10.50,5.00,7.00,2.00,450,NULL,NULL,'RIO PEQUENO','S PAULO','SP',1646,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002564,3.00,7.00,1.00,7.00,8.00,9.38,6.00,6.00,3.00,103,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',2800,1088,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002580,1.00,6.00,1.00,6.00,8.00,9.38,2.00,5.00,2.00,301,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',14855,210,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002599,1.00,4.00,0.00,2.00,5.00,6.75,1.00,2.00,4.00,318,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',19486,144,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002629,0.00,5.00,2.00,3.00,4.00,4.50,4.00,2.00,2.00,655,NULL,220,'CENTRO','ITUPORANGA','SC',15792,91,NULL,318,NULL,NULL,NULL,2,24),(28,7002637,3.00,7.00,5.00,6.00,5.00,10.50,1.00,4.00,5.00,103,NULL,NULL,'BROTAS','SALVADOR','BA',6236,1663,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002645,2.00,7.00,2.00,5.00,8.00,10.50,3.00,5.00,4.00,333,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',6119,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CRISTO REDENTOR','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7002661,1.00,6.00,0.00,6.00,2.00,NULL,0.00,1.00,3.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7002670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7002696,4.00,7.00,2.00,7.00,4.00,8.25,5.00,6.00,3.00,454,NULL,NULL,'SANTA CECILIA','S PAULO','SP',10294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002700,0.00,1.00,1.00,4.00,2.00,NULL,1.00,2.00,1.00,207,NULL,211,'CENTRO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7002718,1.00,4.00,0.00,4.00,5.00,NULL,3.00,3.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7002734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7002750,6.00,4.00,3.00,7.00,6.00,8.25,4.00,7.00,7.00,214,NULL,233,'CAMPO GRANDE','SANTOS','SP',2867,106,NULL,66,NULL,NULL,NULL,4,1),(28,7002777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SEMINARIO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7002785,1.00,7.00,2.00,5.00,6.00,NULL,4.00,3.00,2.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7002807,3.00,6.00,3.00,6.00,8.00,9.75,2.00,4.00,2.00,427,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',13150,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002815,2.00,5.00,3.00,5.00,7.00,8.63,2.00,3.00,4.00,454,NULL,NULL,'ENSEADA DO BRITO','PALHOÇA','SC',11517,226,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002823,4.00,5.00,3.00,5.00,6.00,7.13,6.00,5.00,5.00,601,NULL,202,'BARREIROS','S JOSÉ','SC',5552,103,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002840,4.00,7.00,3.00,7.00,9.00,9.00,2.00,4.00,5.00,203,NULL,233,'SUMARÉ','S PAULO','SP',3585,258,NULL,90,NULL,NULL,NULL,4,8),(28,7002866,7.00,8.00,4.00,6.00,9.00,9.38,4.00,6.00,5.00,103,NULL,NULL,'PETRÓPOLIS','JOINVILLE','SC',1651,789,NULL,NULL,NULL,NULL,NULL,4,8),(28,7002874,0.00,3.00,1.00,3.00,4.00,9.38,3.00,2.00,2.00,5,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',17352,458,NULL,NULL,NULL,NULL,NULL,2,1),(28,7002882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,214,'RESIDENCIAL JARDINS','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7002890,5.00,6.00,2.00,6.00,6.00,12.38,7.00,7.00,3.00,103,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',5227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002912,2.00,6.00,1.00,5.00,4.00,NULL,0.00,2.00,3.00,102,NULL,NULL,'CAIU DO CÉU','OSÓRIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7002920,5.00,8.00,5.00,6.00,7.00,8.63,7.00,8.00,8.00,203,NULL,202,'ESPLANADA DO SOL','S JOSÉ CAMPOS','SP',582,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002939,1.00,5.00,1.00,6.00,5.00,9.38,1.00,2.00,2.00,319,NULL,NULL,'COSTA DO MACACU','GAROPABA','SC',13086,244,NULL,NULL,NULL,NULL,NULL,2,1),(28,7002955,1.00,4.00,0.00,2.00,4.00,NULL,0.00,3.00,1.00,426,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7002963,0.00,4.00,1.00,3.00,3.00,4.50,1.00,2.00,3.00,454,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',20108,401,NULL,NULL,NULL,NULL,NULL,2,1),(28,7002971,4.00,5.00,4.00,6.00,6.00,6.75,2.00,4.00,1.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',10053,2077,NULL,NULL,NULL,NULL,NULL,2,1),(28,7002980,1.00,7.00,2.00,5.00,7.00,6.38,2.00,6.00,3.00,211,NULL,653,'VILA TALARICO','S PAULO','SP',8607,232,NULL,88,NULL,NULL,NULL,2,1),(28,7002998,3.00,5.00,1.00,5.00,7.00,6.38,2.00,4.00,4.00,207,NULL,233,'ITACORUBI','FLORIANÓPOLIS','SC',11619,529,NULL,264,NULL,NULL,NULL,4,1),(28,7003005,3.00,7.00,0.00,3.00,6.00,5.25,2.00,4.00,4.00,103,NULL,NULL,'SANTANA','S JOSÉ CAMPOS','SP',11521,2171,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STO ANTÔNIO SUDOESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7003021,5.00,5.00,2.00,7.00,8.00,10.13,2.00,6.00,4.00,103,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',4489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003048,1.00,5.00,0.00,6.00,6.00,8.63,3.00,3.00,4.00,9,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14107,101,NULL,NULL,NULL,NULL,NULL,2,1),(28,7003056,9.00,7.00,6.00,7.00,10.00,9.75,7.00,8.00,8.00,103,NULL,NULL,'ITAGUACU','FLORIANÓPOLIS','SC',63,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003064,0.00,3.00,1.00,5.00,5.00,NULL,2.00,2.00,2.00,552,NULL,NULL,'CENTRO','CUNHA PORÃ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7003099,4.00,5.00,4.00,5.00,4.00,9.00,2.00,5.00,1.00,108,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',15342,207,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003110,1.00,3.00,2.00,5.00,5.00,7.13,3.00,4.00,0.00,104,NULL,NULL,'AMÉRICA','JOINVILLE','SC',15522,381,NULL,NULL,NULL,NULL,NULL,4,8),(28,7003153,4.00,8.00,3.00,8.00,6.00,8.25,2.00,6.00,2.00,333,NULL,NULL,'VIANELO','JUNDIAÍ','SP',6130,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003161,3.00,6.00,4.00,7.00,7.00,9.00,4.00,5.00,4.00,450,NULL,NULL,'JD LEONOR M BARROS','S PAULO','SP',3835,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003170,2.00,1.00,1.00,2.00,4.00,3.00,0.00,1.00,2.00,5,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7003188,6.00,8.00,4.00,7.00,10.00,11.25,6.00,7.00,5.00,303,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',1509,72,NULL,NULL,NULL,NULL,NULL,4,10),(28,7003196,6.00,8.00,7.00,7.00,10.00,11.25,7.00,6.00,8.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',36,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003200,4.00,6.00,3.00,2.00,7.00,8.63,3.00,4.00,4.00,211,NULL,215,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',6892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003218,5.00,7.00,3.00,6.00,8.00,9.00,2.00,5.00,3.00,207,NULL,201,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8255,386,NULL,593,NULL,NULL,NULL,2,1),(28,7003226,1.00,6.00,1.00,4.00,6.00,9.00,3.00,4.00,6.00,301,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',13565,190,NULL,NULL,NULL,NULL,NULL,4,5),(28,7003234,8.00,9.00,6.00,7.00,10.00,10.50,8.00,7.00,7.00,103,NULL,NULL,'JD SAO PAULO','JACAREÍ','SP',26,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003269,4.00,7.00,2.00,7.00,3.00,10.13,4.00,6.00,4.00,224,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7652,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003277,7.00,8.00,7.00,6.00,10.00,9.38,6.00,7.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',371,267,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003285,1.00,4.00,2.00,1.00,6.00,7.13,2.00,4.00,3.00,104,NULL,NULL,'JARDIM AMÉRICA','ITUPORANGA','SC',14952,NULL,NULL,NULL,NULL,NULL,NULL,1,23),(28,7003293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,652,'CENTRO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7003315,4.00,5.00,2.00,6.00,5.00,5.25,1.00,4.00,1.00,454,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',18317,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7003323,3.00,6.00,2.00,5.00,7.00,6.00,5.00,6.00,3.00,340,NULL,NULL,'VILAS BOAS','CPO GRANDE','MS',13874,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7003331,5.00,4.00,2.00,6.00,5.00,7.88,3.00,3.00,3.00,109,NULL,NULL,'BARREIROS','S JOSÉ','SC',12241,35,NULL,NULL,NULL,NULL,NULL,2,1),(28,7003340,1.00,6.00,3.00,6.00,4.00,9.00,2.00,8.00,4.00,316,NULL,NULL,'FLORESTA','S JOSÉ','SC',13595,158,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003358,0.00,2.00,0.00,3.00,3.00,NULL,1.00,1.00,1.00,552,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7003366,3.00,3.00,3.00,6.00,6.00,7.88,2.00,5.00,2.00,339,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',13662,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7003374,1.00,5.00,2.00,2.00,4.00,7.88,1.00,5.00,2.00,415,NULL,NULL,'ALTO BOQUEIRÃO','CURITIBA','PR',18560,271,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003382,3.00,4.00,2.00,6.00,3.00,4.50,1.00,4.00,2.00,201,NULL,207,'CENTRO','IPORÃ OESTE','SC',14679,898,NULL,651,NULL,NULL,NULL,2,4),(28,7003390,2.00,4.00,1.00,4.00,3.00,6.00,3.00,5.00,1.00,235,NULL,202,'CENTRO','LINDÓIA SUL','SC',19280,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7003412,3.00,6.00,2.00,6.00,7.00,9.38,4.00,5.00,4.00,207,NULL,201,'CENTRO','CRICIÚMA','SC',6302,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7003455,1.00,5.00,3.00,5.00,5.00,8.25,1.00,4.00,4.00,103,NULL,NULL,'VILA JARDIM','PTO ALEGRE','RS',17747,2466,NULL,NULL,NULL,NULL,NULL,2,5),(28,7003463,2.00,4.00,0.00,2.00,7.00,NULL,0.00,4.00,3.00,303,NULL,NULL,'PROGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7003471,0.00,6.00,3.00,2.00,5.00,NULL,1.00,3.00,3.00,214,NULL,213,'TIFA MARTINS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7003480,2.00,5.00,4.00,5.00,3.00,6.00,3.00,3.00,3.00,326,NULL,NULL,'CENTRO','S DOMINGOS','SC',17763,52,NULL,NULL,NULL,NULL,NULL,2,4),(28,7003501,6.00,8.00,3.00,6.00,8.00,9.00,5.00,7.00,7.00,5,NULL,NULL,'CENTRO','PARAISÓPOLIS','MG',1177,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003544,3.00,3.00,3.00,3.00,6.00,7.88,1.00,4.00,2.00,440,NULL,NULL,'LINHARES','JZ FORA','MG',18141,6,NULL,NULL,NULL,NULL,NULL,6,1),(28,7003552,2.00,6.00,1.00,4.00,6.00,7.88,5.00,3.00,3.00,238,NULL,655,'CAPOEIRAS','FLORIANÓPOLIS','SC',17146,295,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003579,1.00,6.00,1.00,6.00,5.00,7.88,2.00,4.00,3.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',12442,134,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003587,0.00,4.00,2.00,4.00,6.00,7.88,3.00,4.00,4.00,324,NULL,NULL,'STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC',13837,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7003609,1.00,3.00,0.00,4.00,2.00,NULL,1.00,2.00,2.00,339,NULL,NULL,'N SRA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7003617,3.00,5.00,0.00,6.00,9.00,11.25,3.00,7.00,5.00,102,NULL,NULL,'CENTRO','TURVO','SC',7193,50,NULL,NULL,NULL,NULL,NULL,2,15),(28,7003625,5.00,7.00,5.00,7.00,9.00,10.13,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',996,553,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003650,3.00,5.00,3.00,4.00,7.00,4.88,2.00,2.00,4.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',18083,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7003668,3.00,6.00,2.00,4.00,8.00,9.00,2.00,4.00,4.00,102,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',9255,76,NULL,NULL,NULL,NULL,NULL,2,1),(28,7003676,6.00,7.00,5.00,7.00,9.00,9.38,5.00,7.00,8.00,207,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',607,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003684,0.00,2.00,2.00,2.00,2.00,NULL,1.00,3.00,2.00,309,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7003692,5.00,7.00,5.00,5.00,4.00,8.25,3.00,6.00,6.00,203,NULL,214,'RIBEIRÂNIA','RIBEIRÃO PRETO','SP',3443,245,NULL,121,NULL,NULL,NULL,4,1),(28,7003706,0.00,4.00,1.00,3.00,7.00,5.25,3.00,4.00,4.00,317,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',15956,120,NULL,NULL,NULL,NULL,NULL,2,1),(28,7003714,0.00,6.00,1.00,2.00,4.00,8.25,2.00,8.00,3.00,304,NULL,NULL,'CENTRO','ITAJAÍ','SC',16578,117,NULL,NULL,NULL,NULL,NULL,4,6),(28,7003722,3.00,6.00,2.00,5.00,4.00,4.50,2.00,5.00,5.00,102,NULL,NULL,'CENTRO','BIGUAÇU','SC',16698,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7003730,5.00,8.00,2.00,6.00,9.00,7.88,2.00,6.00,4.00,340,NULL,NULL,'PONTO NOVO','ARACAJU','SE',4818,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7003749,4.00,5.00,1.00,5.00,7.00,6.00,3.00,4.00,4.00,216,NULL,601,'ARIRIBÁ','BAL CAMBORIÚ','SC',15675,412,NULL,462,NULL,NULL,NULL,2,3),(28,7003765,6.00,6.00,3.00,6.00,7.00,7.88,3.00,2.00,5.00,103,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',4889,1477,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003773,1.00,5.00,2.00,3.00,3.00,7.13,1.00,2.00,2.00,316,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',18039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7003781,1.00,0.00,0.00,3.00,1.00,NULL,0.00,4.00,0.00,319,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7003790,7.00,7.00,4.00,7.00,8.00,8.63,5.00,8.00,7.00,216,NULL,203,'CAMPINAS','S JOSÉ','SC',532,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003803,3.00,7.00,1.00,7.00,8.00,8.25,3.00,4.00,4.00,233,NULL,214,'YOLANDA OPICE','ARARAQUARA','SP',7180,180,NULL,215,NULL,NULL,NULL,4,1),(28,7003811,3.00,4.00,3.00,5.00,5.00,7.88,1.00,4.00,1.00,601,NULL,201,'PRAIA MOLE','FLORIANÓPOLIS','SC',13597,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7003820,3.00,6.00,1.00,5.00,8.00,10.50,4.00,4.00,3.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',6986,1758,NULL,NULL,NULL,NULL,NULL,4,16),(28,7003838,1.00,4.00,1.00,4.00,5.00,3.00,1.00,2.00,2.00,316,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003846,6.00,7.00,1.00,7.00,10.00,8.25,5.00,8.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1298,677,NULL,NULL,NULL,NULL,NULL,2,1),(28,7003862,3.00,7.00,2.00,6.00,6.00,7.88,1.00,6.00,2.00,216,NULL,201,'BALNEÁRIO','PIRATUBA','SC',10092,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7003897,6.00,8.00,3.00,6.00,7.00,9.75,5.00,7.00,6.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',1661,794,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003900,2.00,7.00,1.00,5.00,6.00,10.13,2.00,4.00,4.00,301,NULL,NULL,'CENTRO','CPO GRANDE','MS',8407,91,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003919,2.00,7.00,3.00,5.00,8.00,9.38,4.00,5.00,4.00,103,NULL,NULL,'ABRÃAO','FLORIANÓPOLIS','SC',4659,1439,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003927,2.00,7.00,3.00,2.00,7.00,7.50,1.00,6.00,4.00,202,NULL,220,'CENTRO','CANOINHAS','SC',9061,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7003935,3.00,8.00,2.00,6.00,7.00,NULL,0.00,7.00,3.00,340,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(28,7003943,7.00,9.00,7.00,7.00,10.00,12.00,9.00,9.00,8.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',12,11,NULL,NULL,NULL,NULL,NULL,2,1),(28,7003978,6.00,8.00,3.00,6.00,10.00,6.38,6.00,7.00,5.00,340,NULL,NULL,'CENTRO','PINHAIS','PR',2049,39,NULL,NULL,NULL,NULL,NULL,4,8),(28,7003986,2.00,7.00,2.00,8.00,6.00,9.75,1.00,5.00,4.00,102,NULL,NULL,'VL DORA','STO ANDRÉ','SP',7200,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7003994,3.00,5.00,4.00,5.00,6.00,7.50,5.00,6.00,6.00,233,NULL,NULL,'UNIVERSITARIO','CHAPECÓ','SC',6220,159,NULL,NULL,NULL,NULL,NULL,4,4),(28,7004001,4.00,4.00,3.00,3.00,5.00,7.50,2.00,1.00,2.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7004010,2.00,6.00,2.00,6.00,6.00,7.88,5.00,5.00,3.00,301,NULL,NULL,'CENTRO','TRAMANDAÍ','RS',8357,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7004028,3.00,7.00,3.00,6.00,7.00,6.75,2.00,6.00,4.00,319,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',6790,108,NULL,NULL,NULL,NULL,NULL,4,22),(28,7004036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,425,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7004060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ALIANÇA','STA ROSA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7004079,1.00,8.00,5.00,7.00,9.00,8.25,4.00,6.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3558,85,NULL,NULL,NULL,NULL,NULL,4,1),(28,7004095,5.00,7.00,1.00,7.00,9.00,10.88,2.00,6.00,2.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',9408,168,NULL,NULL,NULL,NULL,NULL,2,1),(28,7004109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,238,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7004117,1.00,5.00,3.00,5.00,4.00,6.00,1.00,4.00,2.00,207,NULL,212,'FORQUILINHAS','S JOSÉ','SC',15742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7004133,0.00,7.00,0.00,6.00,10.00,NULL,3.00,7.00,2.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7004141,2.00,4.00,1.00,4.00,4.00,8.25,1.00,4.00,2.00,338,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',16955,11,NULL,NULL,NULL,NULL,NULL,2,1),(28,7004168,1.00,3.00,2.00,1.00,3.00,6.38,1.00,2.00,3.00,201,NULL,207,'CENTRO','CEL FREITAS','SC',18568,1014,NULL,785,NULL,NULL,NULL,2,4),(28,7004176,2.00,5.00,3.00,4.00,5.00,7.50,4.00,7.00,1.00,338,NULL,NULL,'MONTE VERDE','MRO FUMAÇA','SC',11534,6,NULL,NULL,NULL,NULL,NULL,4,5),(28,7004184,7.00,7.00,3.00,7.00,9.00,11.25,5.00,6.00,2.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',1612,779,NULL,NULL,NULL,NULL,NULL,4,2),(28,7004214,2.00,5.00,2.00,4.00,6.00,6.38,3.00,5.00,4.00,303,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',12529,473,NULL,NULL,NULL,NULL,NULL,4,6),(28,7004222,2.00,8.00,3.00,7.00,7.00,6.75,3.00,4.00,3.00,601,NULL,202,'GUANABARA','JOINVILLE','SC',5944,116,NULL,NULL,NULL,NULL,NULL,4,8),(28,7004230,2.00,6.00,3.00,6.00,5.00,6.75,2.00,2.00,2.00,336,NULL,NULL,'CENTRO','PATO BRANCO','PR',17810,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7004249,0.00,4.00,2.00,3.00,3.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','CAXAMBU SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7004257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA LÚCIA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7004265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7004273,6.00,7.00,2.00,7.00,7.00,8.63,3.00,8.00,3.00,332,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4315,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7004290,2.00,7.00,1.00,6.00,3.00,6.75,0.00,2.00,2.00,319,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',16226,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7004311,2.00,7.00,0.00,4.00,5.00,NULL,2.00,5.00,5.00,103,NULL,NULL,'JD UNIVERSO','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7004320,4.00,5.00,1.00,7.00,9.00,10.13,3.00,4.00,6.00,3,NULL,NULL,'CENTRO','CURITIBANOS','SC',5159,17,NULL,NULL,NULL,NULL,NULL,2,16),(28,7004338,4.00,7.00,5.00,3.00,8.00,9.00,4.00,5.00,7.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',3878,283,NULL,136,NULL,NULL,NULL,4,1),(28,7004354,1.00,3.00,2.00,7.00,6.00,7.88,3.00,5.00,2.00,203,NULL,202,'CAMPINAS','S JOSÉ','SC',12328,NULL,NULL,305,NULL,NULL,NULL,4,1),(28,7004362,1.00,7.00,3.00,7.00,7.00,8.63,3.00,5.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8057,100,NULL,NULL,NULL,NULL,NULL,4,1),(28,7004370,1.00,6.00,1.00,7.00,5.00,8.25,2.00,2.00,1.00,103,NULL,NULL,'CENTRO','CAÇADOR','SC',13118,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7004419,0.00,4.00,1.00,3.00,6.00,NULL,1.00,4.00,2.00,215,NULL,NULL,'MONTE ALEGRE','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7004427,2.00,6.00,0.00,6.00,4.00,NULL,2.00,7.00,3.00,220,NULL,214,'JARDIM ATHENAS','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7004435,3.00,5.00,0.00,6.00,8.00,6.75,2.00,4.00,2.00,110,NULL,NULL,'BARREIROS','S JOSÉ','SC',11405,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7004443,6.00,8.00,2.00,6.00,10.00,8.25,4.00,8.00,7.00,103,NULL,NULL,'ESPINHEIROS','JOINVILLE','SC',1049,576,NULL,NULL,NULL,NULL,NULL,4,8),(28,7004451,1.00,5.00,2.00,6.00,6.00,10.50,4.00,7.00,2.00,230,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',9684,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7004460,6.00,8.00,3.00,7.00,6.00,8.63,5.00,7.00,7.00,103,NULL,NULL,'SÃO LUIZ','BELO HORIZONTE','MG',2914,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7004478,3.00,6.00,1.00,5.00,9.00,8.63,4.00,6.00,3.00,552,NULL,NULL,'CENTRO','ARROIO TRINTA','SC',6097,6,NULL,NULL,NULL,NULL,NULL,5,7),(28,7004494,2.00,7.00,2.00,4.00,2.00,NULL,1.00,2.00,0.00,316,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7004508,0.00,2.00,1.00,3.00,5.00,NULL,2.00,0.00,2.00,104,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7004524,3.00,7.00,3.00,4.00,5.00,6.00,2.00,5.00,6.00,333,NULL,NULL,'MENINO DEUS','PATO BRANCO','PR',8421,46,NULL,NULL,NULL,NULL,NULL,2,4),(28,7004532,3.00,5.00,1.00,6.00,9.00,8.25,2.00,4.00,5.00,207,NULL,201,'FLOR DE NÁPOLIS','S JOSÉ','SC',9728,450,NULL,663,NULL,NULL,NULL,2,1),(28,7004559,0.00,8.00,1.00,6.00,7.00,9.00,6.00,2.00,3.00,201,NULL,212,'BOM ABRIGO','FLORIANÓPOLIS','SC',9129,633,NULL,276,NULL,NULL,NULL,4,1),(28,7004567,4.00,4.00,3.00,5.00,5.00,7.88,2.00,4.00,2.00,552,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7004575,3.00,7.00,3.00,5.00,7.00,9.00,3.00,6.00,6.00,207,NULL,215,'CENTRO','BAL CAMBORIÚ','SC',4419,185,NULL,61,NULL,NULL,NULL,4,6),(28,7004583,7.00,7.00,4.00,6.00,7.00,10.13,7.00,6.00,8.00,5,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',692,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7004591,4.00,9.00,3.00,6.00,7.00,7.88,4.00,6.00,5.00,318,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',7041,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7004605,4.00,6.00,2.00,8.00,5.00,8.63,3.00,3.00,7.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7004613,0.00,4.00,1.00,6.00,4.00,NULL,2.00,3.00,4.00,203,NULL,214,'CENTRO','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7004621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,440,NULL,NULL,'VILA GUARANI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7004630,0.00,2.00,2.00,2.00,5.00,6.75,1.00,4.00,2.00,454,NULL,NULL,'SÃO JOAQUIM','FRANCA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7004648,1.00,6.00,2.00,7.00,7.00,9.75,1.00,4.00,3.00,454,NULL,NULL,'SANTO ANTONIO','CHAPECÓ','SC',8450,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7004656,5.00,7.00,4.00,6.00,8.00,8.25,5.00,5.00,4.00,233,NULL,235,'SANTANA','RIO SUL','SC',3233,55,NULL,NULL,NULL,NULL,NULL,4,24),(28,7004672,3.00,8.00,1.00,5.00,7.00,8.63,4.00,5.00,3.00,104,NULL,NULL,'CENTRO','TIJUCAS','SC',12892,318,NULL,NULL,NULL,NULL,NULL,4,3),(28,7004680,1.00,6.00,3.00,6.00,5.00,6.00,2.00,2.00,2.00,303,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',13999,517,NULL,NULL,NULL,NULL,NULL,2,1),(28,7004702,0.00,4.00,1.00,3.00,6.00,6.38,2.00,2.00,1.00,103,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',17242,2443,NULL,NULL,NULL,NULL,NULL,4,4),(28,7004710,2.00,4.00,3.00,3.00,4.00,5.63,1.00,2.00,0.00,5,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',19936,493,NULL,NULL,NULL,NULL,NULL,2,15),(28,7004737,6.00,8.00,5.00,5.00,7.00,8.25,5.00,3.00,6.00,220,NULL,235,'CRISTO REI','FRANCISCO BELTRÃO','PR',3099,91,NULL,50,NULL,NULL,NULL,4,4),(28,7004753,1.00,5.00,4.00,5.00,4.00,9.00,3.00,4.00,3.00,340,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',10338,286,NULL,NULL,NULL,NULL,NULL,4,1),(28,7004761,0.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(28,7004788,6.00,7.00,3.00,6.00,7.00,8.63,4.00,3.00,5.00,454,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6794,102,NULL,NULL,NULL,NULL,NULL,2,1),(28,7004796,1.00,6.00,1.00,2.00,6.00,9.00,2.00,4.00,1.00,3,NULL,NULL,'VENEZA','XANXERÊ','SC',14951,73,NULL,NULL,NULL,NULL,NULL,4,4),(28,7004800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM COOPAGRO','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7004818,0.00,3.00,1.00,4.00,6.00,NULL,2.00,2.00,1.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7004826,6.00,6.00,4.00,6.00,6.00,9.00,4.00,4.00,4.00,108,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5987,69,NULL,NULL,NULL,NULL,NULL,4,1),(28,7004834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GALO DE OURO','CERQUILHO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7004842,1.00,5.00,4.00,7.00,7.00,9.38,2.00,5.00,2.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',14940,366,NULL,NULL,NULL,NULL,NULL,2,1),(28,7004850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,655,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7004869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7004885,2.00,4.00,1.00,4.00,5.00,6.38,2.00,4.00,3.00,3,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',16097,79,NULL,NULL,NULL,NULL,NULL,4,1),(28,7004893,4.00,4.00,0.00,4.00,6.00,5.25,3.00,3.00,4.00,104,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7004907,3.00,7.00,0.00,6.00,8.00,8.25,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','JABOTICABAL','SP',5334,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7004923,4.00,7.00,3.00,3.00,6.00,7.88,5.00,6.00,6.00,201,NULL,212,'BALNEÁRIO','FLORIANÓPOLIS','SC',10088,683,NULL,NULL,NULL,NULL,NULL,4,1),(28,7004931,5.00,8.00,4.00,5.00,10.00,6.38,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',1745,818,NULL,NULL,NULL,NULL,NULL,4,5),(28,7004940,2.00,7.00,2.00,6.00,8.00,8.63,2.00,5.00,2.00,319,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',9679,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7004958,2.00,4.00,3.00,6.00,7.00,8.25,1.00,5.00,2.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',9385,229,NULL,NULL,NULL,NULL,NULL,2,5),(28,7004966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7004982,0.00,1.00,1.00,2.00,1.00,NULL,3.00,3.00,1.00,340,NULL,NULL,'CENTRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7004990,0.00,5.00,2.00,5.00,8.00,8.25,3.00,5.00,2.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',16312,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7005008,2.00,6.00,2.00,7.00,7.00,6.38,1.00,5.00,3.00,316,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',16240,217,NULL,NULL,NULL,NULL,NULL,2,1),(28,7005016,4.00,0.00,4.00,7.00,10.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(28,7005024,4.00,8.00,3.00,7.00,9.00,10.50,5.00,7.00,7.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2113,68,NULL,NULL,NULL,NULL,NULL,2,3),(28,7005032,6.00,8.00,5.00,7.00,9.00,9.38,8.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',274,208,NULL,NULL,NULL,NULL,NULL,4,1),(28,7005059,1.00,9.00,1.00,6.00,10.00,8.25,2.00,5.00,3.00,340,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',7316,199,NULL,NULL,NULL,NULL,NULL,4,3),(28,7005075,3.00,4.00,1.00,4.00,8.00,8.25,2.00,2.00,3.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',12539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7005083,2.00,4.00,1.00,4.00,5.00,6.75,1.00,2.00,3.00,444,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',17901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7005091,1.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7005113,1.00,6.00,4.00,6.00,5.00,7.88,3.00,4.00,5.00,203,NULL,216,'CORVOEIRA','FLORIANÓPOLIS','SC',8484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7005121,4.00,7.00,4.00,6.00,8.00,9.75,6.00,7.00,5.00,202,NULL,235,'SÃO LUIZ','JARAGUÁ SUL','SC',3744,109,NULL,NULL,NULL,NULL,NULL,4,23),(28,7005130,1.00,8.00,2.00,7.00,7.00,10.50,1.00,7.00,2.00,331,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11349,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7005148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'JARDIM PARAISO','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7005156,6.00,5.00,2.00,5.00,8.00,8.25,3.00,6.00,5.00,216,NULL,215,'UNIVERSITÁRIO','TIJUCAS','SC',4593,176,NULL,64,NULL,NULL,NULL,4,3),(28,7005164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7005172,2.00,8.00,2.00,6.00,8.00,10.13,3.00,6.00,5.00,220,NULL,203,'CENTRO','UNIÃO VITÓRIA','PR',4156,122,NULL,304,NULL,NULL,NULL,4,17),(28,7005180,1.00,4.00,3.00,7.00,7.00,7.50,3.00,7.00,4.00,454,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',8700,159,NULL,NULL,NULL,NULL,NULL,4,6),(28,7005199,5.00,5.00,3.00,6.00,8.00,8.63,1.00,6.00,3.00,103,NULL,NULL,'BEATRIZ','LAGES','SC',6167,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7005210,6.00,7.00,5.00,6.00,9.00,10.88,4.00,5.00,7.00,103,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',711,432,NULL,NULL,NULL,NULL,NULL,4,1),(28,7005237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BERGER','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,25),(28,7005245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'INTERIOR','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7005261,0.00,1.00,1.00,2.00,2.00,NULL,4.00,3.00,2.00,601,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7005270,3.00,5.00,6.00,6.00,6.00,8.25,6.00,5.00,6.00,203,NULL,214,'CENTRO','SOMBRIO','SC',8328,489,NULL,235,NULL,NULL,NULL,2,1),(28,7005288,8.00,9.00,4.00,7.00,6.00,7.88,3.00,8.00,7.00,103,NULL,NULL,'JARDIM BOTANICO','RIO JANEIRO','RJ',656,413,NULL,NULL,NULL,NULL,NULL,2,1),(28,7005300,1.00,3.00,1.00,5.00,3.00,8.63,3.00,5.00,4.00,201,NULL,220,'CENTRO','CRICIÚMA','SC',18348,NULL,NULL,336,NULL,NULL,NULL,4,5),(28,7005326,3.00,8.00,1.00,6.00,9.00,9.75,3.00,6.00,5.00,220,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',4040,120,NULL,67,NULL,NULL,NULL,4,1),(28,7005334,3.00,6.00,1.00,7.00,6.00,6.75,2.00,4.00,4.00,653,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',10585,109,NULL,NULL,NULL,NULL,NULL,2,6),(28,7005342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IDEAL','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7005350,4.00,8.00,2.00,7.00,9.00,7.88,3.00,7.00,6.00,103,NULL,NULL,'SÃO CRISTOVÃO','CHAPECÓ','SC',2073,902,NULL,NULL,NULL,NULL,NULL,4,4),(28,7005369,1.00,6.00,4.00,3.00,4.00,7.88,1.00,5.00,2.00,999,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7005393,1.00,5.00,1.00,4.00,3.00,8.25,2.00,4.00,3.00,601,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',14573,435,NULL,366,NULL,NULL,NULL,4,1),(28,7005407,2.00,4.00,2.00,6.00,3.00,NULL,0.00,2.00,2.00,101,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,23),(28,7005415,4.00,5.00,2.00,7.00,9.00,8.25,5.00,4.00,5.00,601,NULL,203,'BARREIROS','S JOSÉ','SC',4918,89,NULL,NULL,NULL,NULL,NULL,4,1),(28,7005423,0.00,1.00,2.00,1.00,3.00,4.50,1.00,2.00,1.00,222,NULL,NULL,'JARDIM SOLEMAR','S JOSÉ','SC',20174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7005431,0.00,3.00,3.00,6.00,7.00,6.75,1.00,4.00,3.00,109,NULL,NULL,'BARREIROS','S JOSÉ','SC',14813,56,NULL,NULL,NULL,NULL,NULL,2,1),(28,7005458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7005474,2.00,2.00,2.00,4.00,2.00,NULL,0.00,2.00,1.00,316,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7005482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7005490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7005504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7005512,2.00,6.00,2.00,3.00,5.00,6.75,1.00,2.00,2.00,238,NULL,652,'CENTRO','FLORIANÓPOLIS','SC',18457,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7005547,0.00,4.00,3.00,6.00,4.00,7.88,4.00,6.00,2.00,340,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',12527,342,NULL,NULL,NULL,NULL,NULL,4,1),(28,7005555,0.00,3.00,0.00,1.00,5.00,NULL,0.00,2.00,1.00,454,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7005563,5.00,8.00,2.00,7.00,9.00,7.50,3.00,7.00,6.00,303,NULL,NULL,'CENTRO HISTÓRICO','LAGUNA','SC',3393,156,NULL,NULL,NULL,NULL,NULL,4,10),(28,7005601,3.00,7.00,2.00,2.00,3.00,7.50,4.00,6.00,3.00,601,NULL,653,'FLORESTA','JOINVILLE','SC',13415,405,NULL,NULL,NULL,NULL,NULL,2,8),(28,7005610,5.00,6.00,0.00,6.00,6.00,6.00,4.00,6.00,2.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14252,289,NULL,NULL,NULL,NULL,NULL,4,1),(28,7005628,2.00,5.00,1.00,6.00,9.00,8.63,4.00,5.00,6.00,102,NULL,NULL,'CAMOBI','STA MARIA','RS',5704,34,NULL,NULL,NULL,NULL,NULL,4,2),(28,7005644,1.00,6.00,0.00,4.00,3.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'JD PRIMAVERA','BRAGANÇA PAULISTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7005660,2.00,5.00,2.00,6.00,8.00,9.00,2.00,6.00,4.00,207,NULL,211,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',9421,439,NULL,256,NULL,NULL,NULL,2,1),(28,7005687,2.00,5.00,3.00,7.00,7.00,7.88,2.00,6.00,4.00,207,NULL,201,'VILA INDUSTRIAL','CAMPINAS','SP',7084,334,NULL,NULL,NULL,NULL,NULL,4,1),(28,7005695,7.00,8.00,7.00,7.00,10.00,8.63,7.00,8.00,6.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',190,149,NULL,NULL,NULL,NULL,NULL,4,1),(28,7005709,3.00,8.00,4.00,5.00,8.00,8.25,2.00,6.00,6.00,203,NULL,201,'HIGIENÓPOLIS','PIRACICABA','SP',4326,306,NULL,335,NULL,NULL,NULL,4,1),(28,7005717,1.00,7.00,3.00,7.00,6.00,6.75,1.00,3.00,2.00,220,NULL,216,'SÃO JOÃO','ITAJAÍ','SC',11661,273,NULL,346,NULL,NULL,NULL,4,6),(28,7005733,5.00,7.00,5.00,6.00,8.00,12.00,3.00,5.00,7.00,415,NULL,NULL,'PRINCESA ISABEL','FRUTAL','MG',3324,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7005741,2.00,6.00,2.00,4.00,5.00,6.38,2.00,2.00,3.00,5,NULL,NULL,'CENTRO','SERTÃO','RS',15198,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7005750,2.00,3.00,3.00,5.00,3.00,6.00,2.00,3.00,3.00,202,NULL,203,'SÃO PEDRO','PTO UNIÃO','SC',16750,372,NULL,670,NULL,NULL,NULL,2,17),(28,7005768,0.00,3.00,1.00,5.00,6.00,9.00,1.00,3.00,1.00,316,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',19407,285,NULL,NULL,NULL,NULL,NULL,2,1),(28,7005776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM ALVORADA','CAMBÉ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7005792,2.00,4.00,2.00,2.00,3.00,NULL,3.00,5.00,3.00,404,NULL,NULL,'JARDIM AMÉRICA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(28,7005806,1.00,4.00,0.00,4.00,4.00,8.25,3.00,3.00,1.00,601,NULL,201,'CENTRO','SORRISO','MT',14011,416,NULL,NULL,NULL,NULL,NULL,2,1),(28,7005814,3.00,0.00,3.00,2.00,3.00,NULL,0.00,2.00,2.00,319,NULL,NULL,'ESPLANADA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(28,7005822,4.00,6.00,2.00,5.00,7.00,7.13,4.00,5.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12436,472,NULL,NULL,NULL,NULL,NULL,2,1),(28,7005830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','TAIÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,24),(28,7005857,1.00,8.00,2.00,8.00,10.00,9.38,3.00,5.00,2.00,340,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',5671,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7005873,3.00,6.00,2.00,6.00,6.00,7.50,0.00,5.00,2.00,212,NULL,214,'CENTRO HISTORICO','S JOSÉ','SC',16937,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7005881,1.00,7.00,2.00,7.00,10.00,10.50,2.00,5.00,2.00,104,NULL,NULL,'INDUSTRIÁRIOS','CONCÓRDIA','SC',5416,101,NULL,NULL,NULL,NULL,NULL,2,4),(28,7005890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7005903,7.00,7.00,5.00,7.00,5.00,6.75,6.00,6.00,6.00,201,NULL,212,'CHACARA CACHOEIRA','CPO GRANDE','MS',2604,192,NULL,70,NULL,NULL,NULL,2,1),(28,7005911,5.00,9.00,2.00,7.00,11.00,10.13,5.00,8.00,4.00,303,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',1010,43,NULL,NULL,NULL,NULL,NULL,2,1),(28,7005920,5.00,7.00,3.00,7.00,10.00,10.50,5.00,6.00,3.00,454,NULL,NULL,'CENTRO','CRICIÚMA','SC',2640,17,NULL,NULL,NULL,NULL,NULL,4,5),(28,7005938,4.00,4.00,2.00,5.00,4.00,5.25,1.00,3.00,1.00,9,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',17795,143,NULL,NULL,NULL,NULL,NULL,2,1),(28,7005946,3.00,6.00,2.00,0.00,4.00,7.13,1.00,5.00,4.00,415,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7005954,2.00,5.00,4.00,4.00,5.00,9.75,3.00,3.00,1.00,216,NULL,211,'CENTRO','JOAÇABA','SC',11567,345,NULL,304,NULL,NULL,NULL,4,4),(28,7005989,5.00,7.00,0.00,8.00,7.00,7.13,3.00,6.00,2.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6956,1752,NULL,NULL,NULL,NULL,NULL,4,1),(28,7005997,0.00,4.00,1.00,3.00,3.00,NULL,2.00,1.00,3.00,331,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006004,5.00,8.00,0.00,6.00,7.00,7.88,3.00,8.00,4.00,103,NULL,NULL,'BELA VISTA','ERECHIM','RS',3538,1249,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006012,0.00,0.00,3.00,3.00,3.00,NULL,3.00,2.00,1.00,235,NULL,202,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7006020,4.00,5.00,1.00,6.00,5.00,9.00,2.00,4.00,1.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',13047,320,NULL,NULL,NULL,NULL,NULL,2,5),(28,7006039,2.00,3.00,1.00,3.00,4.00,8.25,3.00,4.00,1.00,223,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19168,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006047,0.00,6.00,2.00,2.00,2.00,NULL,3.00,3.00,3.00,201,NULL,202,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006055,3.00,7.00,2.00,5.00,7.00,10.13,2.00,3.00,5.00,104,NULL,NULL,'CENTRO','PASSO FUNDO','RS',8353,197,NULL,NULL,NULL,NULL,NULL,2,4),(28,7006071,3.00,7.00,3.00,5.00,8.00,9.38,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',4559,1427,NULL,NULL,NULL,NULL,NULL,4,9),(28,7006080,5.00,7.00,2.00,6.00,8.00,7.13,3.00,5.00,6.00,103,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',2757,1075,NULL,NULL,NULL,NULL,NULL,4,4),(28,7006098,3.00,5.00,3.00,3.00,3.00,7.50,1.00,3.00,1.00,601,NULL,NULL,'JOÃO COSTA','JOINVILLE','SC',19105,540,NULL,NULL,NULL,NULL,NULL,4,8),(28,7006101,0.00,4.00,1.00,4.00,4.00,NULL,3.00,5.00,2.00,203,NULL,214,'RIBANCEIRA SUL','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7006110,2.00,5.00,1.00,5.00,6.00,9.75,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',10371,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7006128,0.00,7.00,3.00,6.00,6.00,NULL,0.00,5.00,1.00,303,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7006136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7006144,1.00,6.00,2.00,4.00,5.00,8.63,3.00,4.00,3.00,201,NULL,212,'JARDIM ALVORADA','S CARLOS','SC',10980,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7006152,1.00,4.00,2.00,3.00,3.00,4.88,2.00,4.00,2.00,220,NULL,235,'VELHA','BLUMENAU','SC',18030,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7006160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,601,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7006179,5.00,9.00,3.00,6.00,11.00,11.25,4.00,7.00,4.00,103,NULL,NULL,'CENTRO','ITUPORANGA','SC',2769,1079,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006187,4.00,6.00,2.00,7.00,4.00,6.75,3.00,5.00,4.00,415,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',9132,146,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006209,6.00,7.00,6.00,5.00,6.00,11.63,6.00,7.00,6.00,340,NULL,NULL,'VILA INDUSTRIAL','TOLEDO','PR',484,4,NULL,NULL,NULL,NULL,NULL,4,3),(28,7006217,2.00,6.00,3.00,6.00,9.00,10.13,2.00,5.00,5.00,201,NULL,207,'JD CARVALHO','PNT GROSSA','PR',5555,426,NULL,246,NULL,NULL,NULL,4,1),(28,7006241,3.00,6.00,2.00,7.00,7.00,10.13,2.00,4.00,2.00,999,NULL,NULL,'SÃO DEFENDE','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7006250,7.00,7.00,3.00,6.00,11.00,9.75,6.00,7.00,7.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',752,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006268,0.00,1.00,3.00,3.00,2.00,NULL,0.00,2.00,1.00,319,NULL,NULL,'RIO NEGRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7006276,2.00,4.00,1.00,2.00,5.00,6.75,2.00,3.00,4.00,5,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',15857,431,NULL,NULL,NULL,NULL,NULL,4,23),(28,7006284,3.00,8.00,5.00,7.00,8.00,6.75,5.00,3.00,6.00,203,NULL,220,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4952,338,NULL,144,NULL,NULL,NULL,2,1),(28,7006292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,655,'SANTA BARBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7006306,3.00,5.00,2.00,2.00,6.00,7.88,2.00,6.00,2.00,5,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',17170,454,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7006322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,235,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7006330,5.00,8.00,1.00,4.00,6.00,9.38,3.00,5.00,5.00,340,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',7081,191,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006365,2.00,4.00,3.00,4.00,5.00,7.13,5.00,5.00,4.00,551,NULL,NULL,'CENTRO','CRICIÚMA','SC',16235,30,NULL,NULL,NULL,NULL,NULL,4,5),(28,7006373,2.00,5.00,0.00,3.00,6.00,NULL,1.00,5.00,3.00,102,NULL,NULL,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006381,4.00,6.00,3.00,7.00,8.00,7.13,5.00,6.00,5.00,104,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',4629,76,NULL,NULL,NULL,NULL,NULL,2,1),(28,7006390,8.00,7.00,5.00,8.00,7.00,10.50,6.00,6.00,7.00,103,NULL,NULL,'VILA UNIVERSITÁRIA','BAURU','SP',305,226,NULL,NULL,NULL,NULL,NULL,4,8),(28,7006411,6.00,8.00,3.00,7.00,9.00,10.13,4.00,7.00,5.00,215,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',1340,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006420,1.00,4.00,1.00,7.00,7.00,12.38,1.00,5.00,1.00,340,NULL,NULL,'JARDIM NAZARETH','S JOSÉ R PRETO','SP',11040,308,NULL,NULL,NULL,NULL,NULL,3,1),(28,7006438,6.00,9.00,0.00,7.00,9.00,10.13,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',1398,711,NULL,NULL,NULL,NULL,NULL,4,9),(28,7006446,3.00,4.00,3.00,5.00,5.00,5.25,2.00,4.00,2.00,238,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14215,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7006454,0.00,4.00,1.00,4.00,3.00,NULL,2.00,4.00,2.00,454,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,15),(28,7006462,3.00,7.00,1.00,5.00,8.00,10.88,1.00,5.00,5.00,103,NULL,NULL,'FREI ROGERIO','LAGES','SC',7478,1829,NULL,NULL,NULL,NULL,NULL,4,9),(28,7006470,5.00,5.00,5.00,6.00,5.00,7.50,2.00,4.00,4.00,103,NULL,NULL,'JARDIM PLANALTO','STA CRUZ R PARDO','SP',7259,1793,NULL,NULL,NULL,NULL,NULL,4,8),(28,7006489,2.00,4.00,2.00,6.00,9.00,8.25,0.00,3.00,1.00,104,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',14007,342,NULL,NULL,NULL,NULL,NULL,2,1),(28,7006497,0.00,6.00,1.00,3.00,2.00,NULL,2.00,2.00,0.00,454,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006519,7.00,8.00,2.00,7.00,9.00,7.13,4.00,7.00,5.00,103,NULL,NULL,'IPIRANGA','S PAULO','SP',1323,687,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006535,2.00,6.00,1.00,6.00,6.00,8.25,3.00,2.00,6.00,103,NULL,NULL,'BARÃO GERALDO','CAMPINAS','SP',14046,2304,NULL,NULL,NULL,NULL,NULL,2,1),(28,7006543,4.00,5.00,2.00,4.00,5.00,7.50,5.00,3.00,4.00,104,NULL,NULL,'ITAUM','JOINVILLE','SC',13968,338,NULL,NULL,NULL,NULL,NULL,2,8),(28,7006560,0.00,6.00,0.00,0.00,0.00,NULL,2.00,5.00,4.00,429,NULL,426,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,9),(28,7006578,0.00,3.00,2.00,3.00,5.00,NULL,3.00,4.00,3.00,654,NULL,NULL,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7006586,4.00,8.00,1.00,4.00,7.00,10.13,1.00,6.00,7.00,601,NULL,203,'JD DAS HORTÊNCIAS','JUNDIAÍ','SP',4431,77,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006594,3.00,7.00,3.00,7.00,9.00,7.88,2.00,2.00,4.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9242,223,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006608,0.00,5.00,3.00,6.00,3.00,8.25,2.00,3.00,1.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19005,481,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006616,2.00,7.00,3.00,5.00,6.00,8.25,3.00,5.00,4.00,220,NULL,235,'PARQUE NOVO MUNDO','AMERICANA','SP',9763,239,NULL,159,NULL,NULL,NULL,4,1),(28,7006624,1.00,6.00,2.00,2.00,3.00,7.50,2.00,6.00,3.00,502,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',14721,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006632,0.00,4.00,1.00,2.00,8.00,7.88,2.00,4.00,2.00,103,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',14995,2351,NULL,NULL,NULL,NULL,NULL,4,5),(28,7006640,3.00,5.00,3.00,5.00,8.00,6.38,2.00,5.00,2.00,552,NULL,NULL,'CENTRO','LAGUNA','SC',8318,15,NULL,NULL,NULL,NULL,NULL,4,10),(28,7006667,5.00,7.00,4.00,8.00,9.00,11.25,4.00,5.00,5.00,201,NULL,211,'CORDEIROS','ITAJAÍ','SC',1735,NULL,NULL,17,NULL,NULL,NULL,4,6),(28,7006675,1.00,4.00,1.00,7.00,5.00,7.50,4.00,2.00,3.00,5,NULL,NULL,'CENTRO','CHAPECÓ','SC',17321,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7006683,0.00,4.00,0.00,3.00,4.00,NULL,2.00,6.00,2.00,109,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7006691,6.00,7.00,4.00,7.00,7.00,9.00,3.00,7.00,8.00,340,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',2886,64,NULL,NULL,NULL,NULL,NULL,4,2),(28,7006705,3.00,7.00,4.00,7.00,7.00,8.63,5.00,8.00,5.00,208,NULL,NULL,'VILA NOVA','BLUMENAU','SC',2493,13,NULL,NULL,NULL,NULL,NULL,4,2),(28,7006713,3.00,4.00,3.00,4.00,5.00,7.88,2.00,5.00,3.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14136,519,NULL,NULL,NULL,NULL,NULL,2,1),(28,7006730,6.00,8.00,3.00,7.00,9.00,10.50,4.00,7.00,6.00,202,NULL,601,'VILA BAEPENDI','JARAGUÁ SUL','SC',491,6,NULL,NULL,NULL,NULL,NULL,4,23),(28,7006748,1.00,7.00,2.00,6.00,4.00,7.50,4.00,4.00,2.00,999,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7006756,2.00,7.00,3.00,5.00,6.00,8.25,4.00,7.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',6632,1717,NULL,NULL,NULL,NULL,NULL,4,9),(28,7006764,7.00,8.00,4.00,5.00,7.00,11.25,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',1059,580,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006772,0.00,3.00,1.00,4.00,4.00,9.75,2.00,4.00,3.00,104,NULL,NULL,'RODOVIA','XANXERÊ','SC',19209,452,NULL,NULL,NULL,NULL,NULL,2,4),(28,7006780,4.00,6.00,1.00,6.00,7.00,7.88,2.00,4.00,2.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12083,77,NULL,NULL,NULL,NULL,NULL,2,1),(28,7006799,3.00,6.00,2.00,6.00,7.00,7.88,2.00,7.00,5.00,103,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',6112,1646,NULL,NULL,NULL,NULL,NULL,2,1),(28,7006810,5.00,5.00,2.00,4.00,6.00,9.75,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',11928,2199,NULL,NULL,NULL,NULL,NULL,2,1),(28,7006837,0.00,1.00,0.00,1.00,4.00,NULL,1.00,1.00,3.00,5,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006845,1.00,7.00,2.00,7.00,7.00,10.13,2.00,4.00,2.00,207,NULL,201,'CENTRO','CRICIÚMA','SC',9510,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7006853,4.00,7.00,2.00,7.00,8.00,11.25,4.00,5.00,3.00,207,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',7753,355,NULL,198,NULL,NULL,NULL,3,1),(28,7006861,2.00,5.00,4.00,4.00,6.00,4.88,2.00,3.00,2.00,653,NULL,211,'CENTRO','CRICIÚMA','SC',15598,166,NULL,386,NULL,NULL,NULL,4,5),(28,7006870,1.00,5.00,3.00,5.00,2.00,NULL,2.00,2.00,3.00,220,NULL,201,'VISTA ALEGRE','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7006896,1.00,5.00,1.00,7.00,3.00,7.50,2.00,6.00,1.00,203,NULL,220,'CENTRO','ITAIÓPOLIS','SC',12705,NULL,NULL,288,NULL,NULL,NULL,2,17),(28,7006900,2.00,4.00,4.00,2.00,5.00,6.75,2.00,5.00,2.00,502,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',18667,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7006926,1.00,7.00,2.00,6.00,5.00,7.13,1.00,3.00,0.00,238,NULL,211,'PRADO','BIGUAÇU','SC',14320,236,NULL,NULL,NULL,NULL,NULL,2,1),(28,7006934,3.00,7.00,2.00,6.00,7.00,9.75,3.00,4.00,3.00,103,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',7022,1762,NULL,NULL,NULL,NULL,NULL,4,2),(28,7006942,1.00,1.00,0.00,3.00,6.00,5.63,0.00,1.00,2.00,319,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7006950,3.00,5.00,4.00,3.00,2.00,NULL,1.00,4.00,2.00,216,NULL,207,'JARDIM LEONOR','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7006969,2.00,6.00,2.00,6.00,2.00,NULL,2.00,4.00,3.00,335,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7006977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7006985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','EREBANGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7006993,3.00,9.00,3.00,7.00,7.00,6.75,3.00,6.00,6.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8951,101,NULL,NULL,NULL,NULL,NULL,2,1),(28,7007000,4.00,8.00,1.00,6.00,8.00,5.63,5.00,7.00,6.00,207,NULL,201,'AZAMBUJA','BRUSQUE','SC',4394,183,NULL,NULL,NULL,NULL,NULL,4,22),(28,7007027,3.00,4.00,0.00,7.00,7.00,5.63,1.00,4.00,1.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12784,177,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007035,2.00,5.00,2.00,7.00,7.00,8.63,0.00,5.00,2.00,415,NULL,NULL,'BAETA NEVES','S BERNARDO CAMPO','SP',8474,133,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007051,3.00,7.00,6.00,8.00,10.00,6.75,2.00,7.00,5.00,103,NULL,NULL,'VILA ADYANNA','S JOSÉ CAMPOS','SP',4822,1467,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007060,2.00,8.00,0.00,4.00,5.00,7.88,2.00,3.00,3.00,207,NULL,201,'CENTRO','MARMELEIRO','PR',13513,606,NULL,NULL,NULL,NULL,NULL,2,4),(28,7007078,3.00,3.00,0.00,7.00,7.00,6.00,2.00,6.00,2.00,233,NULL,216,'PRAIA DE FORA','PALHOÇA','SC',16994,332,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007086,1.00,6.00,1.00,5.00,6.00,8.63,0.00,3.00,1.00,454,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',18551,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7007116,1.00,5.00,1.00,7.00,6.00,5.63,1.00,5.00,2.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007124,4.00,4.00,3.00,2.00,4.00,6.75,2.00,6.00,2.00,104,NULL,NULL,'ROCIO','CANANÉIA','SP',18643,444,NULL,NULL,NULL,NULL,NULL,4,3),(28,7007140,1.00,4.00,1.00,6.00,5.00,6.38,3.00,6.00,1.00,207,NULL,235,'CENTRO','CAPIVARI BAIXO','SC',13485,603,NULL,220,NULL,NULL,NULL,2,10),(28,7007159,3.00,6.00,2.00,5.00,8.00,7.50,5.00,4.00,4.00,5,NULL,NULL,'CENTRO','URUSSANGA','SC',7924,242,NULL,NULL,NULL,NULL,NULL,2,5),(28,7007175,2.00,4.00,1.00,5.00,7.00,7.50,2.00,4.00,2.00,503,NULL,NULL,'IPIRANGA','S JOSÉ','SC',13820,17,NULL,NULL,NULL,NULL,NULL,2,1),(28,7007183,3.00,6.00,2.00,6.00,6.00,6.75,3.00,4.00,6.00,9,NULL,NULL,'POMPEIA','SANTOS','SP',7892,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007205,2.00,9.00,3.00,6.00,6.00,9.00,5.00,7.00,6.00,203,NULL,220,'PEDRO LUDOVICO','GOIÂNIA','GO',2755,210,NULL,79,NULL,NULL,NULL,4,1),(28,7007213,1.00,3.00,1.00,1.00,2.00,NULL,2.00,3.00,1.00,601,NULL,203,'IMIGRANTES','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7007221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7007230,4.00,5.00,3.00,7.00,6.00,10.13,4.00,6.00,2.00,502,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10515,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007256,6.00,8.00,2.00,7.00,7.00,7.13,4.00,8.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',2130,917,NULL,NULL,NULL,NULL,NULL,4,4),(28,7007264,1.00,3.00,3.00,4.00,3.00,8.63,2.00,5.00,1.00,103,NULL,NULL,'SILVEIRA','BELO HORIZONTE','MG',18816,2497,NULL,NULL,NULL,NULL,NULL,2,1),(28,7007272,2.00,6.00,3.00,6.00,6.00,6.00,2.00,4.00,3.00,201,NULL,211,'SÃO VICENTE','HERVAL D OESTE','SC',11518,747,NULL,303,NULL,NULL,NULL,2,7),(28,7007280,5.00,6.00,2.00,4.00,6.00,10.13,4.00,4.00,4.00,103,NULL,NULL,'ICARAÍ','SALTO','SP',5343,1549,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COPACABANA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7007302,4.00,7.00,1.00,3.00,3.00,6.38,0.00,6.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',17189,2442,NULL,NULL,NULL,NULL,NULL,2,6),(28,7007310,3.00,6.00,1.00,4.00,5.00,8.63,3.00,4.00,1.00,601,NULL,216,'CENTRO','LAGES','SC',11664,343,NULL,NULL,NULL,NULL,NULL,4,9),(28,7007329,2.00,7.00,1.00,6.00,6.00,6.38,3.00,4.00,3.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11430,2164,NULL,NULL,NULL,NULL,NULL,2,1),(28,7007337,4.00,7.00,3.00,7.00,6.00,8.63,5.00,5.00,3.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',10123,134,NULL,NULL,NULL,NULL,NULL,2,1),(28,7007345,3.00,7.00,3.00,5.00,9.00,9.75,3.00,3.00,5.00,340,NULL,NULL,'CENTRO','CRICIÚMA','SC',6521,169,NULL,NULL,NULL,NULL,NULL,4,5),(28,7007353,4.00,5.00,3.00,4.00,6.00,7.50,3.00,7.00,3.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',9017,415,NULL,627,NULL,NULL,NULL,4,1),(28,7007361,3.00,6.00,3.00,5.00,7.00,6.38,6.00,4.00,5.00,336,NULL,NULL,'PIO CORREIA','CRICIÚMA','SC',7109,35,NULL,NULL,NULL,NULL,NULL,4,5),(28,7007370,2.00,2.00,2.00,7.00,6.00,5.25,1.00,4.00,3.00,502,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',15861,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007388,0.00,2.00,1.00,4.00,4.00,NULL,1.00,1.00,0.00,5,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7007396,2.00,7.00,4.00,5.00,7.00,9.38,2.00,5.00,3.00,104,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8225,192,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007400,4.00,8.00,4.00,7.00,7.00,9.00,4.00,7.00,6.00,201,NULL,212,'ITAGUAÇU','FLORIANÓPOLIS','SC',2184,154,NULL,46,NULL,NULL,NULL,4,1),(28,7007418,3.00,5.00,1.00,6.00,6.00,9.00,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007426,2.00,6.00,3.00,4.00,5.00,7.13,4.00,4.00,3.00,233,NULL,220,'JARDIM ELDORADO','PALHOÇA','SC',9939,234,NULL,244,NULL,NULL,NULL,2,1),(28,7007434,1.00,6.00,2.00,6.00,6.00,7.13,1.00,4.00,2.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16943,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007442,2.00,6.00,3.00,6.00,4.00,6.38,5.00,6.00,4.00,999,NULL,NULL,'GUIOMAR','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007450,5.00,9.00,2.00,5.00,7.00,9.75,4.00,8.00,6.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',1458,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7007469,5.00,7.00,3.00,4.00,7.00,8.63,3.00,4.00,5.00,224,NULL,NULL,'CENTRO','PALHOÇA','SC',5824,2,NULL,NULL,NULL,NULL,NULL,2,1),(28,7007477,2.00,5.00,1.00,6.00,6.00,5.63,5.00,4.00,2.00,208,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',12022,133,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007493,0.00,6.00,3.00,3.00,6.00,5.63,4.00,2.00,5.00,103,NULL,NULL,'SÃO JOÃO ME','TUBARÃO','SC',11143,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7007507,2.00,5.00,3.00,4.00,7.00,6.00,2.00,5.00,3.00,319,NULL,NULL,'CENTRO','TIMBÓ','SC',11604,212,NULL,NULL,NULL,NULL,NULL,4,2),(28,7007515,4.00,6.00,2.00,6.00,7.00,8.25,3.00,4.00,3.00,454,NULL,NULL,'CANTO DOS ARAÇÁS','FLORIANÓPOLIS','SC',9770,181,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007540,0.00,4.00,4.00,3.00,5.00,6.75,3.00,4.00,1.00,208,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',14887,162,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007566,0.00,2.00,2.00,5.00,4.00,NULL,2.00,3.00,4.00,9,NULL,NULL,'CENTRO','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7007574,4.00,5.00,3.00,7.00,8.00,8.25,3.00,6.00,3.00,104,NULL,NULL,'CENTRO','LAGUNA','SC',6752,151,NULL,NULL,NULL,NULL,NULL,4,10),(28,7007582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7007590,1.00,4.00,0.00,1.00,2.00,NULL,0.00,1.00,0.00,211,NULL,201,'NOVA CAMPO GRANDE','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7007620,2.00,4.00,2.00,4.00,8.00,7.50,2.00,3.00,4.00,230,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12901,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7007639,0.00,5.00,3.00,3.00,4.00,NULL,1.00,6.00,1.00,9,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007647,5.00,8.00,3.00,6.00,10.00,12.75,3.00,7.00,4.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1644,787,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007655,3.00,4.00,2.00,1.00,7.00,7.88,1.00,2.00,1.00,234,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',19649,66,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007663,3.00,6.00,3.00,6.00,6.00,8.63,2.00,4.00,4.00,999,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7007698,5.00,7.00,2.00,6.00,7.00,7.13,3.00,4.00,4.00,202,NULL,213,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8315,225,NULL,NULL,NULL,NULL,NULL,2,1),(28,7007701,3.00,7.00,4.00,5.00,6.00,7.50,3.00,4.00,5.00,454,NULL,NULL,'CENTRO','CAMPINAS SUL','RS',5382,75,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007710,0.00,4.00,1.00,3.00,3.00,9.00,0.00,3.00,1.00,601,NULL,207,'PROGRESSO','S BENTO SUL','SC',19782,556,NULL,NULL,NULL,NULL,NULL,4,8),(28,7007728,4.00,8.00,6.00,7.00,8.00,9.75,8.00,7.00,7.00,201,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',734,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007736,1.00,5.00,2.00,5.00,3.00,0.00,1.00,2.00,3.00,340,NULL,NULL,'STEFFEN','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7007744,2.00,6.00,3.00,7.00,5.00,9.00,1.00,5.00,4.00,454,NULL,NULL,'JARDIM SÃO ROQUE','S JOSÉ R PARDO','SP',8436,156,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007752,2.00,2.00,2.00,5.00,5.00,4.88,1.00,2.00,2.00,5,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7007760,4.00,7.00,6.00,6.00,8.00,7.13,6.00,5.00,5.00,202,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',3938,118,NULL,62,NULL,NULL,NULL,2,1),(28,7007779,4.00,8.00,1.00,7.00,8.00,10.13,3.00,7.00,6.00,108,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2375,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007787,5.00,8.00,4.00,7.00,9.00,10.88,6.00,8.00,7.00,202,NULL,235,'VILA VICENTINA','GUARULHOS','SP',445,5,NULL,NULL,NULL,NULL,NULL,4,8),(28,7007809,1.00,4.00,3.00,4.00,5.00,7.88,3.00,6.00,2.00,601,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',17227,496,NULL,NULL,NULL,NULL,NULL,2,8),(28,7007817,2.00,6.00,0.00,3.00,8.00,NULL,1.00,5.00,1.00,9,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7007825,4.00,5.00,0.00,6.00,7.00,7.88,1.00,5.00,4.00,303,NULL,NULL,'CENTRO','JOINVILLE','SC',13683,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7007833,1.00,6.00,2.00,5.00,4.00,8.63,6.00,5.00,4.00,207,NULL,201,'CENTRO','IÇARA','SC',12838,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7007850,2.00,6.00,1.00,7.00,8.00,9.38,2.00,5.00,4.00,211,NULL,233,'COLONIA SANTANA','S JOSÉ','SC',9503,257,NULL,228,NULL,NULL,NULL,2,1),(28,7007892,4.00,6.00,2.00,6.00,9.00,9.75,6.00,6.00,3.00,203,NULL,233,'PONTE DO IMARUIM','PALHOÇA','SC',4118,299,NULL,108,NULL,NULL,NULL,4,1),(28,7007906,2.00,7.00,4.00,7.00,8.00,9.00,4.00,5.00,5.00,216,NULL,215,'PARQUE VERDE','CASCAVEL','PR',5025,190,NULL,71,NULL,NULL,NULL,4,3),(28,7007914,7.00,8.00,8.00,7.00,9.00,7.13,6.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',338,250,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007922,5.00,8.00,2.00,7.00,6.00,9.00,5.00,6.00,6.00,203,NULL,214,'COLINAS DO PIRACICAB','PIRACICABA','SP',2652,203,NULL,96,NULL,NULL,NULL,4,1),(28,7007930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7007949,0.00,4.00,1.00,4.00,5.00,10.13,0.00,2.00,1.00,415,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',17192,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7007957,3.00,6.00,4.00,5.00,6.00,7.50,4.00,6.00,5.00,203,NULL,214,'AGUA VERDE','CURITIBA','PR',4438,311,NULL,149,NULL,NULL,NULL,4,5),(28,7007965,8.00,9.00,5.00,7.00,10.00,9.75,5.00,8.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',237,183,NULL,NULL,NULL,NULL,NULL,4,1),(28,7007973,3.00,5.00,1.00,5.00,6.00,7.13,2.00,4.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17109,235,NULL,NULL,NULL,NULL,NULL,2,1),(28,7007981,0.00,6.00,2.00,6.00,10.00,9.38,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',12032,2202,NULL,NULL,NULL,NULL,NULL,4,3),(28,7007990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CANTO DO MORRO','IGUAPE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7008007,0.00,2.00,2.00,5.00,1.00,NULL,0.00,4.00,2.00,335,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008015,8.00,9.00,4.00,7.00,9.00,10.88,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','PITANGA','PR',223,173,NULL,NULL,NULL,NULL,NULL,4,8),(28,7008023,0.00,5.00,1.00,5.00,6.00,9.75,2.00,3.00,3.00,201,NULL,NULL,'ATIRADORES','JOINVILLE','SC',17123,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7008031,1.00,2.00,1.00,6.00,6.00,6.00,1.00,3.00,3.00,101,NULL,NULL,'JARDIM CIDADE DE FPO','S JOSÉ','SC',16045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7008040,1.00,2.00,2.00,5.00,5.00,7.13,1.00,3.00,2.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',19596,93,NULL,NULL,NULL,NULL,NULL,2,1),(28,7008058,2.00,6.00,2.00,6.00,8.00,12.00,2.00,5.00,2.00,320,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11476,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008066,2.00,6.00,2.00,5.00,5.00,11.63,2.00,3.00,5.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10219,414,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008074,3.00,7.00,3.00,1.00,8.00,7.13,4.00,7.00,3.00,999,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7008090,3.00,6.00,1.00,7.00,7.00,7.50,6.00,6.00,5.00,202,NULL,238,'CAMPINAS','S JOSÉ','SC',5005,NULL,NULL,37,NULL,NULL,NULL,4,1),(28,7008104,1.00,6.00,2.00,6.00,7.00,9.75,4.00,3.00,1.00,320,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15720,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7008120,7.00,8.00,6.00,7.00,9.00,7.88,6.00,8.00,6.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',372,268,NULL,NULL,NULL,NULL,NULL,4,8),(28,7008147,0.00,3.00,3.00,4.00,3.00,NULL,3.00,3.00,1.00,203,NULL,202,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7008155,2.00,2.00,3.00,3.00,4.00,7.88,3.00,3.00,2.00,104,NULL,NULL,'CENTRO','PTO ALEGRE','RS',15766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7008163,4.00,6.00,2.00,6.00,8.00,9.00,4.00,6.00,3.00,415,NULL,NULL,'VILA PALMIRA','CPO GRANDE','MS',10533,167,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008171,1.00,3.00,2.00,6.00,4.00,7.88,2.00,4.00,2.00,103,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',18228,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008198,2.00,4.00,3.00,6.00,6.00,8.25,0.00,5.00,2.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11433,223,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','ITAIÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7008210,3.00,5.00,1.00,5.00,8.00,9.75,2.00,4.00,4.00,101,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14365,89,NULL,NULL,NULL,NULL,NULL,2,1),(28,7008228,3.00,6.00,0.00,7.00,9.00,9.75,4.00,5.00,6.00,454,NULL,NULL,'IPIRANGA','LAGES','SC',7483,124,NULL,NULL,NULL,NULL,NULL,4,9),(28,7008236,3.00,6.00,2.00,7.00,9.00,12.00,1.00,5.00,4.00,103,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',8880,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008260,4.00,6.00,2.00,5.00,4.00,8.25,5.00,6.00,6.00,9,NULL,NULL,'CENTRO','PALHOÇA','SC',6905,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7008279,2.00,6.00,2.00,6.00,6.00,10.88,2.00,5.00,0.00,421,NULL,426,'BARREIROS','S JOSÉ','SC',15241,12,NULL,NULL,NULL,NULL,NULL,2,1),(28,7008287,9.00,9.00,3.00,7.00,10.00,7.88,6.00,7.00,6.00,220,NULL,235,'CENTRO','FRANCISCO BELTRÃO','PR',203,3,NULL,NULL,NULL,NULL,NULL,4,4),(28,7008295,0.00,1.00,5.00,4.00,5.00,0.00,0.00,3.00,1.00,103,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7008309,2.00,6.00,2.00,6.00,6.00,NULL,0.00,6.00,3.00,301,NULL,NULL,'ZONA SUL','IA SOLTEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008317,0.00,6.00,3.00,7.00,6.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','LAURENTINO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7008325,3.00,8.00,3.00,6.00,5.00,8.25,1.00,4.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008333,4.00,6.00,3.00,6.00,8.00,12.38,4.00,6.00,4.00,415,NULL,NULL,'KOBRASOL','S JOSÉ','SC',4175,62,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008341,0.00,8.00,1.00,5.00,6.00,4.88,3.00,6.00,4.00,103,NULL,NULL,'JD FREGADOLLI','MARINGÁ','PR',9592,2046,NULL,NULL,NULL,NULL,NULL,4,2),(28,7008350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7008368,0.00,4.00,3.00,3.00,4.00,4.88,0.00,2.00,2.00,103,NULL,NULL,'VILA MELHADO','ARARAQUARA','SP',17633,2460,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008376,5.00,3.00,2.00,2.00,5.00,7.50,3.00,4.00,5.00,102,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',12737,119,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008384,4.00,6.00,3.00,6.00,8.00,9.75,3.00,5.00,3.00,319,NULL,NULL,'CENTRO','URUSSANGA','SC',6903,110,NULL,NULL,NULL,NULL,NULL,4,5),(28,7008422,2.00,3.00,1.00,6.00,3.00,7.13,4.00,5.00,1.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15759,2390,NULL,NULL,NULL,NULL,NULL,2,10),(28,7008430,6.00,7.00,2.00,7.00,7.00,8.25,2.00,4.00,4.00,340,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',11057,309,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008473,4.00,4.00,0.00,7.00,6.00,NULL,2.00,3.00,2.00,238,NULL,235,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008481,1.00,4.00,0.00,6.00,8.00,7.50,3.00,5.00,1.00,444,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',13834,67,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008503,1.00,5.00,1.00,3.00,6.00,7.50,0.00,4.00,3.00,108,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',13945,192,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008511,4.00,7.00,3.00,7.00,8.00,8.63,4.00,7.00,4.00,601,NULL,201,'SÃO MARCOS','JOINVILLE','SC',7176,157,NULL,NULL,NULL,NULL,NULL,4,8),(28,7008520,1.00,4.00,1.00,4.00,2.00,NULL,2.00,3.00,1.00,318,NULL,NULL,'VILA GERMER','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7008538,2.00,4.00,1.00,7.00,6.00,9.38,2.00,3.00,2.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16606,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008554,3.00,8.00,3.00,5.00,7.00,8.63,4.00,6.00,3.00,5,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',8824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008562,3.00,7.00,3.00,4.00,8.00,9.38,3.00,5.00,4.00,303,NULL,NULL,'BELA VISTA','GOIÂNIA','GO',4897,225,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','REALEZA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7008597,4.00,7.00,1.00,4.00,4.00,7.88,4.00,6.00,3.00,207,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11083,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008600,7.00,7.00,4.00,6.00,9.00,9.75,6.00,7.00,6.00,103,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',936,526,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008619,2.00,7.00,0.00,4.00,6.00,6.75,0.00,3.00,2.00,103,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',18781,2496,NULL,NULL,NULL,NULL,NULL,4,4),(28,7008627,2.00,5.00,1.00,5.00,6.00,7.50,2.00,3.00,2.00,214,NULL,212,'JARDIM BELA VISTA','ITAPIRANGA','SC',12323,293,NULL,339,NULL,NULL,NULL,2,4),(28,7008635,8.00,8.00,4.00,6.00,10.00,8.63,7.00,6.00,7.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',677,422,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008643,0.00,7.00,2.00,4.00,4.00,NULL,2.00,7.00,2.00,424,NULL,426,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(28,7008651,8.00,8.00,5.00,5.00,9.00,12.75,7.00,7.00,7.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',188,147,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008660,2.00,5.00,2.00,5.00,5.00,5.63,1.00,2.00,5.00,208,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',15131,165,NULL,NULL,NULL,NULL,NULL,2,1),(28,7008678,1.00,6.00,2.00,3.00,4.00,10.13,2.00,4.00,1.00,999,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7008686,8.00,8.00,3.00,8.00,9.00,9.75,8.00,8.00,7.00,103,NULL,NULL,'CENTRO','STO ANDRÉ','SP',222,172,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008694,6.00,9.00,3.00,7.00,10.00,12.38,4.00,6.00,6.00,5,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',834,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008716,1.00,5.00,0.00,4.00,5.00,NULL,3.00,4.00,3.00,999,NULL,NULL,'CENTRO','BELA V TOLDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008724,5.00,8.00,1.00,7.00,6.00,12.38,5.00,7.00,3.00,319,NULL,NULL,'COLÔNIA','JUNDIAÍ','SP',2270,27,NULL,NULL,NULL,NULL,NULL,2,1),(28,7008732,3.00,8.00,4.00,7.00,9.00,11.63,6.00,7.00,8.00,203,NULL,202,'BARREIROS','S JOSÉ','SC',1077,102,NULL,23,NULL,NULL,NULL,4,1),(28,7008740,1.00,7.00,0.00,6.00,7.00,NULL,1.00,4.00,5.00,415,NULL,NULL,'PARADA INGLESA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008759,0.00,4.00,3.00,7.00,4.00,7.88,2.00,7.00,3.00,103,NULL,NULL,'CENTRO','CAMBORIÚ','SC',12713,2247,NULL,NULL,NULL,NULL,NULL,2,3),(28,7008767,1.00,4.00,1.00,6.00,5.00,5.63,2.00,4.00,3.00,319,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008775,2.00,8.00,3.00,4.00,2.00,NULL,4.00,7.00,2.00,222,NULL,NULL,'POLITEAMA','SALVADOR','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7008783,1.00,6.00,2.00,6.00,8.00,6.75,0.00,5.00,5.00,103,NULL,NULL,'PORTINHO','LAGUNA','SC',9889,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7008791,3.00,4.00,4.00,5.00,7.00,10.13,1.00,3.00,3.00,108,NULL,NULL,'JD N S DE FÁTIMA','NOVA ODESSA','SP',15474,211,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008813,4.00,8.00,4.00,6.00,6.00,10.50,3.00,5.00,5.00,103,NULL,NULL,'QUITAÚNA','OSASCO','SP',4122,1347,NULL,NULL,NULL,NULL,NULL,4,8),(28,7008821,2.00,5.00,1.00,2.00,4.00,6.38,3.00,4.00,1.00,102,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',19581,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7008830,1.00,5.00,3.00,2.00,4.00,5.63,1.00,2.00,0.00,552,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7008848,0.00,5.00,2.00,2.00,3.00,NULL,2.00,3.00,3.00,503,NULL,NULL,'SANTA CRUZ','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7008856,6.00,7.00,3.00,6.00,9.00,7.13,3.00,5.00,4.00,303,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',5123,235,NULL,NULL,NULL,NULL,NULL,4,23),(28,7008864,3.00,7.00,1.00,8.00,7.00,7.13,2.00,6.00,4.00,501,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10849,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008872,2.00,7.00,4.00,7.00,9.00,10.50,3.00,6.00,3.00,5,NULL,NULL,'VILA NOEMY','BAURU','SP',2952,102,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008880,1.00,8.00,2.00,6.00,6.00,6.75,3.00,4.00,2.00,303,NULL,NULL,'BOM RETIRO','BLUMENAU','SC',10135,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7008899,8.00,8.00,4.00,7.00,10.00,9.38,4.00,6.00,7.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',363,262,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008902,1.00,4.00,1.00,5.00,7.00,NULL,0.00,3.00,5.00,319,NULL,NULL,'RONDINHA','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7008937,1.00,6.00,3.00,6.00,7.00,8.63,4.00,3.00,3.00,220,NULL,203,'COQUEIROS','FLORIANÓPOLIS','SC',14125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008945,3.00,6.00,3.00,7.00,6.00,10.50,3.00,4.00,2.00,415,NULL,NULL,'ESPRAIADO','NOVA TRENTO','SC',7997,126,NULL,NULL,NULL,NULL,NULL,2,1),(28,7008970,2.00,7.00,2.00,4.00,11.00,10.50,2.00,5.00,4.00,333,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4537,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7008988,1.00,5.00,1.00,7.00,5.00,7.50,3.00,5.00,4.00,340,NULL,NULL,'CENTRO','CONCÓRDIA','SC',8828,242,NULL,NULL,NULL,NULL,NULL,4,4),(28,7008996,5.00,7.00,1.00,6.00,9.00,10.88,5.00,7.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3504,131,NULL,NULL,NULL,NULL,NULL,4,1),(28,7009003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'COUNTRY','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7009011,5.00,8.00,3.00,6.00,8.00,8.25,2.00,7.00,2.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',6308,76,NULL,NULL,NULL,NULL,NULL,2,1),(28,7009038,0.00,4.00,1.00,6.00,4.00,7.50,2.00,5.00,4.00,216,NULL,215,'CENTRO','TIMBÉ SUL','SC',17652,436,NULL,280,NULL,NULL,NULL,2,15),(28,7009046,1.00,6.00,3.00,5.00,5.00,8.63,2.00,5.00,3.00,216,NULL,235,'JARDIM DAS NAÇÕES','TAUBATÉ','SP',9342,300,NULL,152,NULL,NULL,NULL,2,1),(28,7009054,2.00,8.00,3.00,6.00,6.00,7.13,4.00,5.00,4.00,203,NULL,214,'CAMPECHE','FLORIANÓPOLIS','SC',7133,433,NULL,213,NULL,NULL,NULL,2,1),(28,7009070,6.00,8.00,6.00,8.00,9.00,9.75,6.00,7.00,7.00,201,NULL,207,'JARDINS FLORENÇA','GOIÂNIA','GO',240,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7009089,2.00,5.00,3.00,5.00,5.00,6.00,3.00,6.00,3.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11796,121,NULL,NULL,NULL,NULL,NULL,2,1),(28,7009100,1.00,7.00,3.00,1.00,7.00,8.63,1.00,8.00,4.00,202,NULL,213,'CENTRO','GUABIRUBA','SC',14170,NULL,NULL,NULL,NULL,NULL,NULL,1,22),(28,7009119,0.00,4.00,1.00,6.00,5.00,NULL,0.00,3.00,2.00,5,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7009127,1.00,3.00,0.00,2.00,4.00,NULL,2.00,2.00,2.00,207,NULL,201,'CENTRO','S CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7009135,2.00,5.00,2.00,5.00,2.00,NULL,2.00,4.00,2.00,999,NULL,NULL,'VILA NOVA','TROMBUDO CENTRAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7009151,1.00,4.00,1.00,6.00,4.00,5.63,3.00,5.00,1.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',18871,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7009178,4.00,8.00,2.00,5.00,6.00,8.63,2.00,5.00,3.00,303,NULL,NULL,'BOSQUE DOS EUCALITOS','S JOSÉ CAMPOS','SP',7647,338,NULL,NULL,NULL,NULL,NULL,4,1),(28,7009186,0.00,3.00,2.00,5.00,5.00,NULL,1.00,3.00,2.00,201,NULL,207,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7009194,6.00,8.00,3.00,7.00,5.00,7.88,4.00,5.00,3.00,207,NULL,201,'CENTRO','TATUÍ','SP',5213,231,NULL,NULL,NULL,NULL,NULL,4,1),(28,7009208,8.00,8.00,4.00,7.00,10.00,10.50,7.00,7.00,6.00,103,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',358,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7009216,0.00,6.00,2.00,4.00,3.00,6.38,1.00,4.00,0.00,328,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',17948,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7009224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRUZEIRO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7009232,5.00,6.00,5.00,7.00,9.00,8.63,5.00,6.00,5.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2792,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7009240,1.00,6.00,2.00,6.00,4.00,9.38,2.00,5.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11836,191,NULL,NULL,NULL,NULL,NULL,4,1),(28,7009267,3.00,8.00,3.00,4.00,6.00,6.38,1.00,2.00,6.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11011,438,NULL,NULL,NULL,NULL,NULL,4,1),(28,7009275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,NULL,'VILA PROGREDIOR','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7009283,0.00,6.00,2.00,4.00,6.00,NULL,0.00,3.00,3.00,201,NULL,211,'NAÇÕES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7009291,5.00,9.00,2.00,7.00,9.00,10.13,6.00,7.00,7.00,104,NULL,NULL,'AMÉRICA','JOINVILLE','SC',1042,3,NULL,NULL,NULL,NULL,NULL,4,8),(28,7009305,2.00,2.00,0.00,1.00,4.00,6.00,2.00,2.00,0.00,207,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7009321,3.00,6.00,0.00,5.00,5.00,7.13,1.00,5.00,1.00,552,NULL,NULL,'SÃO SEBASTIÃO','CAMPOS NOVOS','SC',12158,53,NULL,NULL,NULL,NULL,NULL,4,7),(28,7009330,1.00,3.00,3.00,3.00,3.00,6.38,6.00,1.00,4.00,202,NULL,213,'CENTRO','S BENTO SUL','SC',18535,389,NULL,274,NULL,NULL,NULL,4,1),(28,7009348,3.00,5.00,1.00,6.00,6.00,7.88,1.00,6.00,2.00,216,NULL,215,'DOM BOSCO','ITAJAÍ','SC',11424,342,NULL,197,NULL,NULL,NULL,4,6),(28,7009356,3.00,7.00,1.00,5.00,4.00,6.00,3.00,5.00,4.00,333,NULL,NULL,'JD ALVORADA','MAL CÂNDIDO RONDON','PR',16777,105,NULL,NULL,NULL,NULL,NULL,2,27),(28,7009364,4.00,8.00,6.00,5.00,5.00,9.00,7.00,6.00,7.00,201,NULL,203,'CENTRAL','GOIÂNIA','GO',3961,302,NULL,287,NULL,NULL,NULL,4,1),(28,7009372,2.00,7.00,2.00,8.00,9.00,10.88,1.00,7.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7882,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(28,7009380,1.00,2.00,1.00,4.00,5.00,7.50,1.00,3.00,2.00,223,NULL,NULL,'VASGEM DO BOM JESUS','FLORIANÓPOLIS','SC',19139,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7009399,1.00,2.00,1.00,5.00,3.00,NULL,0.00,3.00,2.00,211,NULL,207,'ROSELY','PARIQUERA-AÇU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7009402,0.00,2.00,0.00,7.00,3.00,4.50,1.00,2.00,1.00,223,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',18441,41,NULL,NULL,NULL,NULL,NULL,2,1),(28,7009410,0.00,7.00,1.00,5.00,5.00,8.25,1.00,3.00,0.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7009429,0.00,5.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,303,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7009437,2.00,4.00,3.00,5.00,5.00,8.63,3.00,4.00,0.00,5,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7009445,6.00,8.00,4.00,7.00,9.00,9.00,6.00,8.00,7.00,103,NULL,NULL,'CENTRO','CAMAQUÃ','RS',212,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7009453,7.00,8.00,5.00,7.00,7.00,9.00,4.00,7.00,6.00,203,NULL,201,'PIO CORREA','CRICIÚMA','SC',998,NULL,NULL,44,NULL,NULL,NULL,4,5),(28,7009470,3.00,7.00,2.00,7.00,4.00,9.38,4.00,4.00,5.00,450,NULL,NULL,'PARQUE JATIBAIA','CAMPINAS','SP',5697,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7009496,0.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7009500,2.00,5.00,1.00,4.00,7.00,10.13,3.00,5.00,3.00,207,NULL,601,'GUANABARA','JOINVILLE','SC',10265,468,NULL,290,NULL,NULL,NULL,4,8),(28,7009526,1.00,6.00,1.00,3.00,2.00,NULL,1.00,3.00,0.00,303,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7009534,1.00,5.00,1.00,6.00,2.00,NULL,5.00,3.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7009542,3.00,7.00,1.00,7.00,8.00,10.88,3.00,6.00,5.00,340,NULL,NULL,'JS PAULISTA','AMERICANA','SP',4649,113,NULL,NULL,NULL,NULL,NULL,4,1),(28,7009569,1.00,4.00,1.00,5.00,3.00,6.00,2.00,4.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15457,379,NULL,NULL,NULL,NULL,NULL,2,1),(28,7009585,7.00,8.00,4.00,6.00,10.00,10.88,6.00,7.00,7.00,103,NULL,NULL,'PORTAL DO SOL','GOIÂNIA','GO',369,265,NULL,NULL,NULL,NULL,NULL,4,1),(28,7009607,4.00,4.00,1.00,7.00,8.00,9.38,4.00,6.00,5.00,454,NULL,NULL,'BARREIROS','S JOSÉ','SC',7094,112,NULL,NULL,NULL,NULL,NULL,4,1),(28,7009615,0.00,5.00,0.00,5.00,6.00,NULL,2.00,6.00,3.00,201,NULL,NULL,'CENTRO','S DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7009623,0.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7009631,4.00,7.00,2.00,7.00,6.00,7.13,6.00,5.00,4.00,235,NULL,655,'CENTRO','BAL CAMBORIÚ','SC',9303,150,NULL,41,NULL,NULL,NULL,4,6),(28,7009640,3.00,7.00,3.00,7.00,9.00,8.63,2.00,6.00,8.00,333,NULL,NULL,'CENTRO','CURITIBA','PR',3178,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7009658,5.00,8.00,1.00,6.00,7.00,6.75,4.00,3.00,3.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',6599,1712,NULL,NULL,NULL,NULL,NULL,4,10),(28,7009674,1.00,4.00,1.00,4.00,7.00,7.50,3.00,3.00,1.00,109,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7009682,4.00,8.00,5.00,6.00,7.00,7.13,3.00,6.00,5.00,212,NULL,601,'JARDIM VIVENDAS','S JOSÉ R PRETO','SP',4068,NULL,NULL,68,NULL,NULL,NULL,4,1),(28,7009704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','BOM JESUS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7009712,7.00,8.00,5.00,7.00,9.00,7.88,6.00,7.00,7.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',947,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7009739,1.00,4.00,2.00,7.00,5.00,7.50,2.00,2.00,0.00,999,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7009755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALVORADA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7009763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'PARQUE DAS NAÇÕES','PINDAMONHANGABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7009771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ESTEIO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7009780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7009798,3.00,7.00,5.00,5.00,5.00,11.25,7.00,7.00,3.00,214,NULL,213,'CHÁCARA DO VISCONDES','TAUBATÉ','SP',3613,128,NULL,44,NULL,NULL,NULL,4,1),(28,7009801,5.00,8.00,4.00,7.00,7.00,NULL,2.00,6.00,4.00,999,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,9),(28,7009810,1.00,6.00,2.00,5.00,7.00,9.38,2.00,4.00,3.00,304,NULL,NULL,'SUBSTAÇÃO','FAXINAL GUEDES','SC',9228,72,NULL,NULL,NULL,NULL,NULL,4,4),(28,7009828,0.00,4.00,2.00,6.00,5.00,NULL,0.00,4.00,3.00,502,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7009844,3.00,5.00,2.00,4.00,6.00,7.88,2.00,4.00,5.00,103,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',8497,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7009852,1.00,6.00,2.00,6.00,4.00,6.75,3.00,4.00,2.00,101,NULL,NULL,'VILA GERMER','TIMBÓ','SC',17835,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7009860,1.00,6.00,1.00,5.00,9.00,7.13,2.00,4.00,4.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12975,2257,NULL,NULL,NULL,NULL,NULL,2,1),(28,7009879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7009887,0.00,5.00,1.00,4.00,5.00,7.50,2.00,2.00,3.00,207,NULL,201,'PASSO DOS FORTES','CHAPECÓ','SC',18158,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7009895,1.00,2.00,4.00,3.00,3.00,6.75,0.00,3.00,2.00,5,NULL,NULL,'ÁGUAS CLARAS','BRUSQUE','SC',16830,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7009909,3.00,7.00,1.00,7.00,9.00,12.38,3.00,7.00,5.00,340,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',3170,75,NULL,NULL,NULL,NULL,NULL,4,1),(28,7009933,0.00,2.00,3.00,6.00,4.00,8.25,2.00,3.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14138,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7009968,6.00,8.00,3.00,7.00,10.00,10.50,8.00,7.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',243,186,NULL,NULL,NULL,NULL,NULL,4,9),(28,7009976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,201,'CENTRO','CÉU AZUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7009984,0.00,2.00,2.00,3.00,4.00,5.63,1.00,3.00,4.00,104,NULL,NULL,'CENTRO','FRAIBURGO','SC',20000,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7009992,0.00,3.00,1.00,2.00,4.00,4.50,0.00,1.00,1.00,654,NULL,NULL,'JARDIM ITALIA','MELEIRO','SC',20165,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7010001,0.00,4.00,3.00,5.00,2.00,NULL,2.00,4.00,1.00,653,NULL,652,'GARAPUVU','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7010010,4.00,6.00,2.00,7.00,7.00,9.75,3.00,5.00,4.00,999,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7010028,1.00,5.00,0.00,3.00,3.00,8.63,3.00,3.00,2.00,415,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',19421,277,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010044,4.00,3.00,3.00,6.00,6.00,11.25,4.00,4.00,2.00,103,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',7932,1894,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010052,2.00,6.00,2.00,7.00,6.00,7.50,1.00,4.00,3.00,103,NULL,NULL,'VILA NOVA CINTRA','MOGI CRUZES','SP',8473,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7010060,1.00,7.00,2.00,6.00,6.00,NULL,1.00,7.00,3.00,103,NULL,NULL,'CENTRO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,2),(28,7010079,0.00,5.00,5.00,6.00,5.00,8.25,1.00,5.00,3.00,428,NULL,423,'BREJARU','PALHOÇA','SC',15972,46,NULL,NULL,NULL,NULL,NULL,2,1),(28,7010095,5.00,7.00,2.00,6.00,9.00,12.00,5.00,6.00,5.00,108,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',1970,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010117,0.00,5.00,2.00,3.00,4.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'INDUSTRIAL','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7010125,3.00,6.00,3.00,5.00,6.00,9.00,1.00,5.00,4.00,103,NULL,NULL,'ITAPAGÉ','FREDERICO WESTPHALEN','RS',12172,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7010133,2.00,5.00,4.00,6.00,7.00,8.25,5.00,5.00,4.00,303,NULL,NULL,'SERRARIA','S JOSÉ','SC',7791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7010150,2.00,7.00,2.00,7.00,5.00,9.00,1.00,5.00,4.00,216,NULL,201,'PONTE SECA','CARAGUATATUBA','SP',7920,264,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010168,0.00,6.00,2.00,6.00,5.00,6.00,3.00,3.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7010176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7010184,0.00,3.00,2.00,2.00,5.00,6.38,0.00,3.00,3.00,220,NULL,653,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7010206,0.00,5.00,1.00,7.00,8.00,NULL,2.00,4.00,2.00,201,NULL,211,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7010214,1.00,5.00,1.00,6.00,3.00,NULL,3.00,2.00,3.00,103,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,2),(28,7010222,1.00,4.00,2.00,7.00,5.00,8.25,2.00,6.00,2.00,450,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10942,88,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010230,2.00,5.00,2.00,7.00,5.00,6.75,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','AMPÉRE','PR',8669,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7010249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'VILA OLIVEIRA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7010257,1.00,5.00,3.00,2.00,5.00,8.25,2.00,7.00,3.00,319,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',13297,250,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010265,1.00,4.00,4.00,3.00,6.00,6.38,4.00,3.00,3.00,503,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14001,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010281,2.00,7.00,2.00,7.00,9.00,7.50,1.00,6.00,4.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',6856,310,NULL,NULL,NULL,NULL,NULL,4,5),(28,7010303,1.00,6.00,1.00,5.00,9.00,9.75,2.00,6.00,4.00,302,NULL,NULL,'CALHEIROS','GOV CELSO RAMOS','SC',9346,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7010311,3.00,7.00,4.00,6.00,6.00,10.50,6.00,6.00,6.00,238,NULL,652,'BARREIROS','S JOSÉ','SC',3440,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010320,3.00,7.00,3.00,5.00,6.00,8.63,4.00,4.00,5.00,216,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',7432,252,NULL,98,NULL,NULL,NULL,4,1),(28,7010338,4.00,6.00,5.00,6.00,8.00,9.75,4.00,7.00,5.00,319,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',3416,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7010346,3.00,6.00,3.00,6.00,5.00,4.50,4.00,3.00,2.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',16858,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7010354,2.00,5.00,2.00,2.00,5.00,7.50,3.00,6.00,1.00,207,NULL,201,'RIO VERMELHO','FLORIANÓPOLIS','SC',18534,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7010362,7.00,8.00,6.00,7.00,9.00,11.25,3.00,7.00,7.00,103,NULL,NULL,'SANTA RITA','BRUSQUE','SC',387,277,NULL,NULL,NULL,NULL,NULL,2,22),(28,7010389,4.00,8.00,1.00,4.00,9.00,11.63,4.00,6.00,4.00,415,NULL,NULL,'JARDIM ZAÍRA','MAUÁ','SP',3573,49,NULL,NULL,NULL,NULL,NULL,4,8),(28,7010400,4.00,2.00,2.00,1.00,4.00,6.75,0.00,2.00,2.00,326,NULL,NULL,'CENTRO','S JOSÉ','SC',17708,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010419,3.00,7.00,2.00,6.00,8.00,10.50,5.00,5.00,6.00,103,NULL,NULL,'HIDRÁULICA','LAJEADO','RS',1758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010427,5.00,8.00,4.00,7.00,7.00,8.25,3.00,6.00,7.00,103,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',2012,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7010443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7010451,3.00,7.00,4.00,4.00,8.00,8.63,3.00,6.00,5.00,216,NULL,215,'CENTRO','BILAC','SP',4170,158,NULL,57,NULL,NULL,NULL,4,8),(28,7010460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'ALVORADA','MARMELEIRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7010478,1.00,0.00,0.00,3.00,2.00,NULL,1.00,0.00,1.00,340,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010486,2.00,6.00,2.00,2.00,3.00,7.13,1.00,5.00,1.00,338,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19309,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010494,2.00,6.00,2.00,5.00,6.00,9.00,3.00,5.00,4.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010508,0.00,4.00,4.00,2.00,5.00,6.75,4.00,3.00,3.00,9,NULL,NULL,'BREMER','RIO SUL','SC',16204,120,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010516,5.00,6.00,2.00,6.00,6.00,7.13,4.00,6.00,3.00,203,NULL,202,'CINQÜENTAENÁRIO','CONCÓRDIA','SC',6723,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7010524,0.00,0.00,0.00,3.00,0.00,NULL,1.00,3.00,2.00,333,NULL,NULL,'VERA CRUZ','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7010532,3.00,6.00,2.00,2.00,8.00,6.00,2.00,4.00,3.00,103,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',17343,2452,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010540,2.00,7.00,1.00,4.00,6.00,9.00,1.00,6.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8337,1932,NULL,NULL,NULL,NULL,NULL,4,3),(28,7010559,1.00,4.00,1.00,7.00,7.00,8.25,1.00,6.00,2.00,211,NULL,601,'BOM RETIRO','JOINVILLE','SC',9656,261,NULL,262,NULL,NULL,NULL,4,8),(28,7010567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JD JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7010575,3.00,7.00,0.00,7.00,6.00,9.75,2.00,5.00,3.00,108,NULL,NULL,'MARY DOTA','BAURU','SP',6595,80,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010591,4.00,6.00,3.00,6.00,9.00,6.00,3.00,5.00,3.00,5,NULL,NULL,'VILA NOVA','BLUMENAU','SC',7390,227,NULL,NULL,NULL,NULL,NULL,4,2),(28,7010605,3.00,6.00,3.00,6.00,6.00,8.25,3.00,7.00,5.00,207,NULL,201,'CENTRO','CRICIÚMA','SC',6701,312,NULL,515,NULL,NULL,NULL,2,5),(28,7010613,2.00,5.00,2.00,4.00,7.00,6.75,2.00,2.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13752,163,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010630,2.00,5.00,2.00,3.00,8.00,7.50,3.00,3.00,3.00,201,NULL,238,'RIO TAVARES','FLORIANÓPOLIS','SC',14142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010648,2.00,6.00,3.00,5.00,7.00,8.25,3.00,4.00,5.00,235,NULL,213,'BOA VISTA','RIO SUL','SC',8118,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7010664,2.00,7.00,0.00,6.00,7.00,8.25,1.00,7.00,1.00,103,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',9170,2011,NULL,NULL,NULL,NULL,NULL,2,5),(28,7010672,3.00,7.00,3.00,3.00,6.00,9.38,2.00,5.00,2.00,220,NULL,235,'FREI ROGERIO','LAGES','SC',12121,278,NULL,196,NULL,NULL,NULL,4,4),(28,7010680,4.00,7.00,2.00,6.00,7.00,12.00,7.00,6.00,3.00,203,NULL,233,'CAMPINAS','S JOSÉ','SC',3179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010702,2.00,2.00,2.00,6.00,3.00,7.50,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',16724,2425,NULL,NULL,NULL,NULL,NULL,2,4),(28,7010710,2.00,7.00,2.00,6.00,8.00,9.00,2.00,8.00,4.00,207,NULL,211,'JARDIM DO TREVO','CAMPINAS','SP',5119,226,NULL,126,NULL,NULL,NULL,4,1),(28,7010729,0.00,4.00,2.00,6.00,2.00,NULL,1.00,4.00,0.00,426,NULL,429,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7010737,0.00,7.00,1.00,6.00,5.00,7.88,2.00,3.00,4.00,202,NULL,203,'BARREIROS','S JOSÉ','SC',11537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010745,6.00,6.00,2.00,7.00,7.00,9.00,4.00,4.00,2.00,340,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',9564,272,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010753,2.00,8.00,3.00,6.00,10.00,11.63,5.00,6.00,4.00,214,NULL,213,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4673,157,NULL,69,NULL,NULL,NULL,4,1),(28,7010770,1.00,7.00,0.00,6.00,6.00,NULL,2.00,5.00,2.00,103,NULL,NULL,'ITOUPAVA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7010788,6.00,7.00,3.00,6.00,7.00,11.25,5.00,7.00,7.00,103,NULL,NULL,'SAO RAFAEL','RIO NEGRINHO','SC',1150,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7010796,4.00,6.00,6.00,7.00,7.00,9.38,4.00,6.00,7.00,216,NULL,203,'ANÁPOLIS CITY','ANÁPOLIS','GO',2106,67,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010800,0.00,1.00,2.00,0.00,1.00,NULL,2.00,2.00,1.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010818,0.00,6.00,1.00,5.00,1.00,NULL,2.00,4.00,2.00,5,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7010826,3.00,7.00,1.00,7.00,9.00,10.13,4.00,4.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3787,1284,NULL,NULL,NULL,NULL,NULL,2,4),(28,7010834,1.00,6.00,1.00,6.00,5.00,6.38,3.00,7.00,2.00,235,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',15770,253,NULL,NULL,NULL,NULL,NULL,2,1),(28,7010869,4.00,6.00,2.00,4.00,6.00,7.13,1.00,6.00,3.00,211,NULL,653,'NOVA PETRÓPOLIS','S BERNARDO CAMPO','SP',10081,274,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7010893,0.00,5.00,3.00,6.00,4.00,8.25,3.00,3.00,4.00,203,NULL,220,'PRAIA COMPRIDA','S JOSÉ','SC',9740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7010907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,212,'CENTRAL PARK','BATATAIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7010915,3.00,5.00,4.00,4.00,7.00,8.63,3.00,5.00,3.00,207,NULL,201,'BARCELONA','S CAETANO SUL','SP',12778,577,NULL,819,NULL,NULL,NULL,4,1),(28,7010923,0.00,7.00,2.00,7.00,7.00,7.13,3.00,6.00,3.00,211,NULL,653,'GUAIANASES','S PAULO','SP',13809,348,NULL,NULL,NULL,NULL,NULL,4,1),(28,7010958,5.00,8.00,4.00,8.00,8.00,7.50,4.00,6.00,6.00,201,NULL,601,'MEIA PRAIA','ITAPEMA','SC',2585,188,NULL,28,NULL,NULL,NULL,2,3),(28,7010966,2.00,9.00,1.00,2.00,7.00,10.50,3.00,8.00,2.00,207,NULL,201,'MORRO DO MEIO','JOINVILLE','SC',7540,345,NULL,NULL,NULL,NULL,NULL,4,8),(28,7010982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7010990,4.00,8.00,4.00,7.00,7.00,9.38,3.00,4.00,4.00,333,NULL,NULL,'JD COLINAS','S JOSÉ CAMPOS','SP',3467,12,NULL,NULL,NULL,NULL,NULL,4,8),(28,7011008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'JD GUAPORE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7011016,3.00,5.00,1.00,7.00,7.00,8.25,3.00,5.00,3.00,333,NULL,NULL,'SÃO JOSÉ','BOM DESPACHO','MG',7786,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011024,3.00,6.00,1.00,5.00,6.00,9.75,3.00,2.00,4.00,428,NULL,426,'PASSAGEM','TUBARÃO','SC',11145,20,NULL,NULL,NULL,NULL,NULL,4,10),(28,7011040,0.00,1.00,1.00,5.00,4.00,7.88,1.00,3.00,3.00,110,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7011059,1.00,6.00,1.00,6.00,5.00,5.25,3.00,1.00,4.00,5,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',13680,380,NULL,NULL,NULL,NULL,NULL,2,1),(28,7011075,5.00,6.00,2.00,5.00,6.00,7.50,4.00,3.00,5.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12700,68,NULL,NULL,NULL,NULL,NULL,2,1),(28,7011083,3.00,5.00,1.00,5.00,4.00,7.88,2.00,2.00,5.00,3,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',14122,66,NULL,NULL,NULL,NULL,NULL,2,1),(28,7011091,4.00,7.00,3.00,6.00,6.00,8.63,2.00,5.00,4.00,103,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',12173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011105,1.00,5.00,3.00,0.00,4.00,4.50,1.00,2.00,1.00,999,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011113,5.00,6.00,3.00,6.00,7.00,9.75,4.00,5.00,6.00,103,NULL,NULL,'RESSACADA','ITAJAÍ','SC',3327,1211,NULL,NULL,NULL,NULL,NULL,4,6),(28,7011130,3.00,7.00,3.00,6.00,7.00,6.00,4.00,5.00,2.00,653,NULL,201,'MONTE CASTELO','CRICIÚMA','SC',13648,148,NULL,NULL,NULL,NULL,NULL,2,5),(28,7011156,3.00,6.00,3.00,5.00,7.00,9.00,2.00,6.00,4.00,340,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',7558,203,NULL,NULL,NULL,NULL,NULL,4,2),(28,7011164,5.00,5.00,3.00,4.00,8.00,10.50,3.00,4.00,2.00,211,NULL,215,'SANTANA','S PAULO','SP',8103,220,NULL,136,NULL,NULL,NULL,4,1),(28,7011172,6.00,7.00,3.00,7.00,9.00,9.75,5.00,6.00,5.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',2507,1024,NULL,NULL,NULL,NULL,NULL,4,8),(28,7011180,2.00,5.00,3.00,6.00,7.00,9.75,2.00,7.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7405,121,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011199,1.00,5.00,2.00,5.00,3.00,7.88,2.00,3.00,4.00,9,NULL,NULL,'GUANABARA','JOINVILLE','SC',12417,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7011202,3.00,9.00,1.00,6.00,8.00,6.75,2.00,4.00,1.00,319,NULL,NULL,'CENTRO','CARAGUATATUBA','SP',9550,173,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'GONZAGA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7011229,2.00,4.00,1.00,2.00,4.00,8.63,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','PLANALTO','RS',17422,2455,NULL,NULL,NULL,NULL,NULL,4,4),(28,7011237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7011245,2.00,6.00,2.00,5.00,6.00,9.75,1.00,3.00,1.00,103,NULL,NULL,'CENTRO','INHUMAS','GO',16747,2427,NULL,NULL,NULL,NULL,NULL,2,1),(28,7011253,4.00,8.00,2.00,5.00,11.00,7.50,3.00,6.00,5.00,103,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',3169,1175,NULL,NULL,NULL,NULL,NULL,4,8),(28,7011261,0.00,6.00,1.00,4.00,7.00,8.25,1.00,2.00,3.00,340,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',15002,392,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011270,2.00,7.00,2.00,7.00,9.00,10.88,4.00,7.00,3.00,207,NULL,201,'GOIABEIRAS','CUIABÁ','MT',2481,86,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7011296,5.00,6.00,1.00,3.00,4.00,5.25,0.00,5.00,3.00,202,NULL,203,'INGLESES','FLORIANÓPOLIS','SC',18873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011300,4.00,8.00,5.00,5.00,7.00,10.88,3.00,5.00,7.00,213,NULL,212,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',2394,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011318,5.00,0.00,3.00,6.00,8.00,NULL,0.00,0.00,0.00,201,NULL,203,'JARDIM SAO BENTO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(28,7011326,0.00,5.00,2.00,5.00,7.00,NULL,1.00,6.00,4.00,104,NULL,NULL,'ZONA NOVA','CAPÃO CANOA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7011334,3.00,6.00,3.00,7.00,10.00,8.25,4.00,7.00,6.00,5,NULL,NULL,'PRÓSPERA','CRICIÚMA','SC',3098,110,NULL,NULL,NULL,NULL,NULL,4,5),(28,7011342,2.00,6.00,1.00,4.00,5.00,5.63,2.00,4.00,2.00,454,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',15312,312,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011350,0.00,4.00,0.00,5.00,6.00,NULL,3.00,4.00,3.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7011377,2.00,8.00,3.00,2.00,4.00,5.63,4.00,6.00,6.00,203,NULL,202,'CENTRO','CURITIBA','PR',9011,508,NULL,236,NULL,NULL,NULL,4,6),(28,7011385,1.00,5.00,4.00,1.00,5.00,9.38,3.00,4.00,4.00,202,NULL,653,'ITAUM','JOINVILLE','SC',16185,365,NULL,171,NULL,NULL,NULL,4,8),(28,7011393,6.00,8.00,4.00,5.00,9.00,7.88,5.00,4.00,6.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',1627,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011407,1.00,4.00,1.00,5.00,4.00,5.63,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','PARIQUERA-AÇU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7011423,2.00,5.00,1.00,5.00,5.00,7.88,4.00,5.00,1.00,104,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',16903,410,NULL,NULL,NULL,NULL,NULL,2,8),(28,7011431,3.00,7.00,5.00,5.00,9.00,11.63,4.00,4.00,8.00,201,NULL,NULL,'SETOR BELA VISTA','GOIÂNIA','GO',1406,80,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011440,0.00,5.00,0.00,3.00,3.00,NULL,0.00,5.00,1.00,5,NULL,NULL,'CENTRO','IBIRAMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7011458,5.00,7.00,2.00,4.00,8.00,9.75,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3138,1164,NULL,NULL,NULL,NULL,NULL,4,8),(28,7011466,3.00,8.00,2.00,7.00,6.00,7.13,2.00,5.00,2.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6676,148,NULL,NULL,NULL,NULL,NULL,4,3),(28,7011474,1.00,5.00,2.00,5.00,6.00,9.38,4.00,4.00,5.00,415,NULL,NULL,'CENTRO','GRAMADO','RS',7694,122,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011482,6.00,8.00,3.00,6.00,8.00,8.63,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',2200,933,NULL,NULL,NULL,NULL,NULL,4,24),(28,7011490,1.00,5.00,4.00,4.00,2.00,NULL,2.00,3.00,3.00,655,NULL,215,'CENTRO','PALMA SOLA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7011504,0.00,4.00,2.00,6.00,3.00,NULL,5.00,3.00,2.00,103,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7011512,8.00,9.00,1.00,5.00,8.00,10.88,4.00,8.00,6.00,103,NULL,NULL,'JUNDIAÍ','ANÁPOLIS','GO',983,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7011520,5.00,7.00,1.00,5.00,7.00,9.00,4.00,7.00,6.00,103,NULL,NULL,'VILA NOVA BOTUCATU','BOTUCATU','SP',2885,1109,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011539,4.00,7.00,3.00,7.00,6.00,6.75,6.00,5.00,5.00,201,NULL,NULL,'PACAEMBU','CASCAVEL','PR',8019,579,NULL,NULL,NULL,NULL,NULL,4,4),(28,7011547,2.00,4.00,1.00,4.00,4.00,7.50,1.00,4.00,3.00,207,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7011563,0.00,3.00,2.00,5.00,1.00,NULL,0.00,4.00,1.00,340,NULL,NULL,'TOMÁS COELHO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7011571,2.00,7.00,4.00,7.00,9.00,9.38,7.00,5.00,6.00,207,NULL,211,'CENTRO','BRUSQUE','SC',2075,70,NULL,32,NULL,NULL,NULL,4,1),(28,7011580,2.00,6.00,2.00,5.00,8.00,9.75,4.00,6.00,3.00,103,NULL,NULL,'JD IMPERADOR','S PAULO','SP',7358,1815,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011598,1.00,4.00,2.00,4.00,5.00,6.00,4.00,5.00,5.00,317,NULL,NULL,'PRIA COMPRIDA','S JOSÉ','SC',17761,146,NULL,NULL,NULL,NULL,NULL,2,1),(28,7011601,2.00,6.00,2.00,1.00,3.00,5.25,2.00,3.00,2.00,103,NULL,NULL,'SÃO LUIZ','CAPINZAL','SC',19874,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7011610,1.00,8.00,5.00,7.00,5.00,11.25,3.00,8.00,4.00,332,NULL,NULL,'ROSÁRIO','S JOÃO B VISTA','SP',4117,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011628,5.00,8.00,3.00,7.00,8.00,7.13,3.00,7.00,5.00,103,NULL,NULL,'CANTO DO FORTE','PR GRANDE','SP',2461,1014,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011636,5.00,7.00,1.00,6.00,7.00,7.88,3.00,5.00,5.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6497,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011660,6.00,7.00,3.00,7.00,10.00,9.75,3.00,6.00,5.00,207,NULL,201,'GLÓRIA','JOINVILLE','SC',1208,26,NULL,NULL,NULL,NULL,NULL,4,8),(28,7011679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7011687,2.00,7.00,2.00,2.00,5.00,5.63,1.00,3.00,1.00,233,NULL,216,'SÃO PEDRO','CELSO RAMOS','SC',15826,319,NULL,414,NULL,NULL,NULL,4,1),(28,7011695,5.00,7.00,2.00,6.00,7.00,5.25,4.00,6.00,3.00,108,NULL,NULL,'AGUA VERDE','CURITIBA','PR',4179,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011709,3.00,6.00,3.00,6.00,8.00,7.88,3.00,5.00,6.00,207,NULL,215,'ITACORUBI','FLORIANÓPOLIS','SC',4930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011725,0.00,5.00,0.00,5.00,5.00,NULL,3.00,4.00,4.00,309,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7011733,2.00,5.00,1.00,7.00,5.00,7.50,4.00,4.00,2.00,108,NULL,NULL,'JARDIM MONTE LIBANO','MOGI CRUZES','SP',16500,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011741,0.00,6.00,4.00,3.00,5.00,7.13,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','MARAVILHA','SC',16081,2405,NULL,NULL,NULL,NULL,NULL,4,4),(28,7011750,4.00,7.00,4.00,7.00,7.00,6.38,4.00,8.00,5.00,103,NULL,NULL,'PROCHNOW','BENEDITO NOVO','SC',3656,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7011768,4.00,4.00,1.00,6.00,9.00,8.63,3.00,4.00,5.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',7128,114,NULL,NULL,NULL,NULL,NULL,2,1),(28,7011784,4.00,8.00,2.00,3.00,7.00,7.50,3.00,3.00,3.00,102,NULL,NULL,'ANO BOM','CORUPÁ','SC',9150,75,NULL,NULL,NULL,NULL,NULL,4,23),(28,7011792,5.00,8.00,1.00,6.00,7.00,9.00,3.00,7.00,6.00,103,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',3782,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7011806,1.00,6.00,2.00,6.00,6.00,8.63,2.00,6.00,2.00,999,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011814,3.00,6.00,1.00,5.00,6.00,9.38,5.00,5.00,4.00,201,NULL,212,'CENTRO','FAXINAL GUEDES','SC',8488,606,NULL,255,NULL,NULL,NULL,2,9),(28,7011822,3.00,6.00,2.00,5.00,8.00,7.50,2.00,4.00,2.00,202,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',11497,288,NULL,177,NULL,NULL,NULL,4,1),(28,7011830,4.00,9.00,3.00,7.00,9.00,10.88,5.00,6.00,7.00,202,NULL,213,'RECREIO CAFEZAIS','VALINHOS','SP',1100,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REDENTOR','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7011865,4.00,5.00,1.00,5.00,8.00,5.63,3.00,5.00,6.00,104,NULL,NULL,'CENTRO','CHAPECÓ','SC',8141,189,NULL,NULL,NULL,NULL,NULL,4,4),(28,7011881,0.00,4.00,1.00,6.00,6.00,7.88,2.00,2.00,2.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011903,0.00,3.00,2.00,3.00,6.00,8.63,3.00,5.00,2.00,428,NULL,429,'RIO VERMELHO','FLORIANÓPOLIS','SC',14603,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011911,4.00,7.00,2.00,6.00,7.00,10.88,2.00,6.00,3.00,303,NULL,NULL,'SANTO ANTÔNIO','ITATIBA','SP',3572,167,NULL,NULL,NULL,NULL,NULL,4,8),(28,7011920,8.00,8.00,5.00,6.00,8.00,7.88,7.00,8.00,8.00,203,NULL,220,'ITOUPAVA CENTRAL','BLUMENAU','SC',375,36,NULL,NULL,NULL,NULL,NULL,4,2),(28,7011946,1.00,6.00,1.00,4.00,3.00,6.00,2.00,4.00,1.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7011954,1.00,5.00,4.00,5.00,6.00,4.88,2.00,6.00,2.00,101,NULL,NULL,'AREIAS','S JOSÉ','SC',12549,64,NULL,NULL,NULL,NULL,NULL,2,1),(28,7011962,2.00,7.00,3.00,6.00,6.00,8.25,3.00,8.00,4.00,303,NULL,NULL,'CAMPUS DO CTA','S JOSÉ CAMPOS','SP',6091,275,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011970,2.00,8.00,2.00,7.00,7.00,9.38,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','S CARLOS','SP',4270,1377,NULL,NULL,NULL,NULL,NULL,4,1),(28,7011989,1.00,4.00,2.00,3.00,2.00,NULL,0.00,5.00,2.00,501,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7011997,0.00,1.00,0.00,2.00,2.00,NULL,0.00,1.00,0.00,102,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7012012,3.00,6.00,3.00,4.00,8.00,7.50,2.00,5.00,7.00,216,NULL,NULL,'SANTA OLÍVIA','MARÍLIA','SP',5070,192,NULL,NULL,NULL,NULL,NULL,4,2),(28,7012039,5.00,7.00,0.00,7.00,7.00,11.25,2.00,6.00,2.00,327,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',9973,15,NULL,NULL,NULL,NULL,NULL,2,1),(28,7012047,7.00,8.00,6.00,6.00,8.00,6.75,6.00,7.00,5.00,203,NULL,202,'DOM JOAQUIM','BRUSQUE','SC',1286,119,NULL,28,NULL,NULL,NULL,4,22),(28,7012055,1.00,3.00,0.00,5.00,2.00,NULL,0.00,2.00,0.00,601,NULL,216,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7012063,0.00,5.00,1.00,6.00,7.00,9.38,4.00,5.00,1.00,424,NULL,429,'RIO TAVARES','FLORIANÓPOLIS','SC',16212,28,NULL,NULL,NULL,NULL,NULL,3,1),(28,7012080,2.00,4.00,3.00,6.00,8.00,7.50,3.00,4.00,3.00,552,NULL,NULL,'CENTRO','LAGES','SC',15173,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7012098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7012101,8.00,8.00,2.00,7.00,10.00,10.13,4.00,8.00,7.00,103,NULL,NULL,'ALTO DA TIJJUCA','CANOINHAS','SC',499,339,NULL,NULL,NULL,NULL,NULL,4,17),(28,7012110,5.00,6.00,5.00,7.00,8.00,8.63,5.00,5.00,6.00,5,NULL,NULL,'CENTRO','MASSARANDUBA','SC',1356,34,NULL,NULL,NULL,NULL,NULL,4,2),(28,7012128,4.00,5.00,2.00,3.00,7.00,5.63,2.00,5.00,2.00,501,NULL,NULL,'BELA VISTA','CPO GRANDE','MS',12438,71,NULL,NULL,NULL,NULL,NULL,4,1),(28,7012136,0.00,3.00,1.00,2.00,4.00,4.50,2.00,1.00,2.00,238,NULL,655,'FRANCISCO EING','S MARTINHO','SC',19173,333,NULL,NULL,NULL,NULL,NULL,4,10),(28,7012144,0.00,3.00,2.00,3.00,5.00,NULL,2.00,3.00,4.00,223,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7012152,1.00,3.00,2.00,3.00,5.00,6.00,2.00,4.00,0.00,103,NULL,NULL,'BOA VISTA','IÇARA','SC',18149,2478,NULL,NULL,NULL,NULL,NULL,2,5),(28,7012160,4.00,8.00,2.00,7.00,11.00,10.13,5.00,7.00,6.00,103,NULL,NULL,'PRIMEIRO DE MAIO','IÇARA','SC',634,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7012179,2.00,5.00,2.00,6.00,6.00,7.88,4.00,4.00,3.00,333,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',15741,99,NULL,NULL,NULL,NULL,NULL,2,6),(28,7012187,4.00,4.00,2.00,4.00,5.00,7.13,1.00,4.00,3.00,552,NULL,NULL,'BOA VISTA','RIO SUL','SC',17899,133,NULL,NULL,NULL,NULL,NULL,2,16),(28,7012195,2.00,3.00,4.00,3.00,6.00,6.38,4.00,1.00,2.00,319,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',19083,365,NULL,NULL,NULL,NULL,NULL,4,1),(28,7012209,3.00,5.00,1.00,7.00,7.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7012217,2.00,5.00,1.00,4.00,6.00,7.88,4.00,4.00,2.00,319,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',12361,223,NULL,NULL,NULL,NULL,NULL,4,1),(28,7012225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PINUS PARK','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7012233,1.00,4.00,2.00,7.00,7.00,10.13,2.00,3.00,1.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7012241,2.00,7.00,2.00,8.00,9.00,9.75,6.00,5.00,1.00,2,NULL,NULL,'VILA NOVA','BLUMENAU','SC',9491,27,NULL,NULL,NULL,NULL,NULL,4,2),(28,7012250,2.00,7.00,2.00,5.00,7.00,10.88,3.00,5.00,4.00,103,NULL,NULL,'PLANALTO','VACARIA','RS',5369,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7012284,0.00,5.00,1.00,5.00,3.00,6.75,4.00,3.00,1.00,207,NULL,653,'UNIVERSITÁRIO','LAGES','SC',19157,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7012292,1.00,6.00,3.00,6.00,7.00,9.00,2.00,6.00,1.00,424,NULL,421,'ITACORUBI','FLORIANÓPOLIS','SC',9537,3,NULL,NULL,NULL,NULL,NULL,2,1),(28,7012330,2.00,4.00,2.00,5.00,4.00,6.38,3.00,5.00,4.00,225,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',17525,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7012349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAJURÚ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7012357,4.00,7.00,3.00,7.00,6.00,7.50,2.00,8.00,3.00,340,NULL,NULL,'JD STA GERTRUDES','JUNDIAÍ','SP',6030,153,NULL,NULL,NULL,NULL,NULL,4,1),(28,7012365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'JARDIM SÃO JOSÉ','ITATIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7012373,8.00,8.00,7.00,6.00,11.00,12.00,8.00,7.00,8.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',19,16,NULL,NULL,NULL,NULL,NULL,4,4),(28,7012390,5.00,8.00,4.00,8.00,9.00,7.88,5.00,7.00,5.00,108,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',1536,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7012403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,233,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',1,8),(28,7012411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7012420,2.00,4.00,1.00,4.00,3.00,4.50,1.00,4.00,2.00,320,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',19792,61,NULL,NULL,NULL,NULL,NULL,2,1),(28,7012438,5.00,7.00,2.00,5.00,8.00,9.00,3.00,4.00,5.00,454,NULL,NULL,'PALHOÇA','PALHOÇA','SC',5611,80,NULL,NULL,NULL,NULL,NULL,4,1),(28,7012446,4.00,9.00,4.00,6.00,8.00,10.13,5.00,7.00,4.00,203,NULL,214,'SANTA TEREZA','JOAÇABA','SC',1870,163,NULL,60,NULL,NULL,NULL,4,7),(28,7012454,0.00,4.00,2.00,3.00,3.00,6.00,1.00,3.00,2.00,104,NULL,NULL,'SAO PEDRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7012470,4.00,5.00,3.00,6.00,6.00,7.50,2.00,6.00,3.00,552,NULL,NULL,'BOSQUE','CURITIBANOS','SC',14236,84,NULL,NULL,NULL,NULL,NULL,4,16),(28,7012489,5.00,6.00,3.00,5.00,8.00,13.13,3.00,4.00,5.00,103,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',3870,1299,NULL,NULL,NULL,NULL,NULL,4,7),(28,7012497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','IVAIPORÃ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7012500,2.00,7.00,4.00,3.00,6.00,8.25,0.00,4.00,4.00,233,NULL,216,'MARIA STELLA FAGÁ','S CARLOS','SP',9165,219,NULL,299,NULL,NULL,NULL,4,1),(28,7012519,2.00,7.00,0.00,6.00,5.00,NULL,2.00,4.00,2.00,316,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7012527,2.00,5.00,1.00,6.00,6.00,8.63,1.00,4.00,4.00,101,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',16712,108,NULL,NULL,NULL,NULL,NULL,2,1),(28,7012535,6.00,8.00,5.00,7.00,10.00,9.38,7.00,6.00,9.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',317,30,NULL,NULL,NULL,NULL,NULL,5,1),(28,7012543,0.00,4.00,2.00,5.00,4.00,7.88,0.00,2.00,2.00,653,NULL,201,'CENTRO','MARACAJÁ','SC',17257,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7012551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'APARECIDA','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7012560,3.00,7.00,2.00,6.00,7.00,9.75,1.00,6.00,4.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7004,185,NULL,NULL,NULL,NULL,NULL,2,1),(28,7012578,4.00,8.00,2.00,7.00,8.00,7.88,6.00,5.00,5.00,212,NULL,201,'BELA VISTA','ERECHIM','RS',3133,92,NULL,236,NULL,NULL,NULL,2,1),(28,7012594,2.00,8.00,3.00,6.00,7.00,8.63,2.00,6.00,5.00,318,NULL,NULL,'JARDIM JATAY','CAÇAPAVA','SP',4861,17,NULL,NULL,NULL,NULL,NULL,4,8),(28,7012608,4.00,6.00,2.00,6.00,6.00,7.50,2.00,3.00,3.00,207,NULL,212,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10941,501,NULL,NULL,NULL,NULL,NULL,2,1),(28,7012624,1.00,6.00,1.00,7.00,6.00,7.13,3.00,6.00,2.00,9,NULL,NULL,'VILA INDUSTRIAL','BAURU','SP',11169,66,NULL,NULL,NULL,NULL,NULL,4,1),(28,7012640,2.00,5.00,2.00,6.00,7.00,6.38,2.00,4.00,4.00,9,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',11525,71,NULL,NULL,NULL,NULL,NULL,4,1),(28,7012659,1.00,3.00,3.00,1.00,2.00,NULL,2.00,2.00,2.00,339,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7012667,3.00,7.00,4.00,7.00,8.00,9.00,2.00,5.00,4.00,201,NULL,601,'SAGUAÇÚ','JOINVILLE','SC',8694,NULL,NULL,220,NULL,NULL,NULL,2,8),(28,7012675,0.00,3.00,1.00,1.00,2.00,NULL,0.00,1.00,2.00,207,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7012683,0.00,3.00,2.00,6.00,5.00,7.88,0.00,5.00,4.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15573,305,NULL,NULL,NULL,NULL,NULL,2,1),(28,7012691,5.00,7.00,4.00,6.00,9.00,10.50,7.00,4.00,7.00,211,NULL,215,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1512,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7012705,0.00,3.00,1.00,4.00,7.00,9.75,4.00,5.00,3.00,215,NULL,216,'ITACORUBI','FLORIANÓPOLIS','SC',14198,237,NULL,387,NULL,NULL,NULL,4,1),(28,7012713,1.00,4.00,1.00,6.00,7.00,9.00,2.00,3.00,4.00,999,NULL,NULL,'FUNDO CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7012721,4.00,8.00,2.00,5.00,8.00,10.13,6.00,7.00,5.00,318,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',1460,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7012730,0.00,8.00,3.00,5.00,6.00,7.88,3.00,4.00,3.00,238,NULL,235,'JD CRUZEIRO','FRANCO ROCHA','SP',15631,261,NULL,250,NULL,NULL,NULL,4,1),(28,7012748,2.00,6.00,1.00,4.00,6.00,9.00,1.00,4.00,4.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',17289,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7012772,0.00,4.00,4.00,6.00,4.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7012780,1.00,3.00,3.00,7.00,6.00,5.63,1.00,4.00,1.00,201,NULL,202,'CENTRO','PALMAS','TO',18765,1022,NULL,392,NULL,NULL,NULL,2,1),(28,7012799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'UBATUBA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7012802,3.00,6.00,1.00,7.00,6.00,8.25,2.00,5.00,5.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',7672,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7012829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7012837,1.00,5.00,2.00,5.00,2.00,NULL,4.00,4.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7012845,5.00,8.00,2.00,3.00,7.00,8.25,6.00,6.00,7.00,201,NULL,203,'VICTOR KONDER','BLUMENAU','SC',3628,280,NULL,NULL,NULL,NULL,NULL,4,2),(28,7012861,4.00,5.00,5.00,6.00,7.00,9.38,5.00,4.00,2.00,301,NULL,NULL,'BOA VISTA','JOINVILLE','SC',6417,56,NULL,NULL,NULL,NULL,NULL,4,8),(28,7012870,4.00,7.00,2.00,5.00,8.00,7.13,3.00,4.00,4.00,303,NULL,NULL,'PRÓSPERA','CRICIÚMA','SC',6370,287,NULL,NULL,NULL,NULL,NULL,4,5),(28,7012896,2.00,7.00,1.00,7.00,6.00,9.75,5.00,5.00,3.00,319,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',12145,220,NULL,NULL,NULL,NULL,NULL,4,8),(28,7012900,3.00,7.00,3.00,6.00,7.00,7.88,2.00,4.00,3.00,601,NULL,203,'BOM RETIRO','JOINVILLE','SC',7919,189,NULL,NULL,NULL,NULL,NULL,4,8),(28,7012918,6.00,7.00,2.00,3.00,7.00,8.25,6.00,5.00,4.00,235,NULL,213,'VENDAVAL','BIGUAÇU','SC',4797,82,NULL,76,NULL,NULL,NULL,4,1),(28,7012926,1.00,7.00,2.00,6.00,4.00,7.50,3.00,5.00,2.00,238,NULL,213,'TONIAL','XANXERÊ','SC',11957,192,NULL,NULL,NULL,NULL,NULL,4,4),(28,7012934,3.00,5.00,2.00,4.00,8.00,9.75,1.00,7.00,2.00,215,NULL,601,'ADHEMAR GARCIA','JOINVILLE','SC',14730,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7012942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'FLORIANÓPOLIS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7012950,4.00,8.00,4.00,7.00,8.00,8.25,4.00,5.00,3.00,454,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',4604,55,NULL,NULL,NULL,NULL,NULL,2,1),(28,7012969,0.00,4.00,4.00,5.00,4.00,NULL,2.00,1.00,2.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7012993,6.00,8.00,4.00,7.00,9.00,9.00,6.00,8.00,7.00,103,NULL,NULL,'SANTA CATARINA','AMERICANA','SP',370,266,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013000,2.00,5.00,2.00,7.00,8.00,5.25,2.00,6.00,3.00,110,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',10443,31,NULL,NULL,NULL,NULL,NULL,2,15),(28,7013019,2.00,6.00,2.00,2.00,8.00,8.25,2.00,4.00,5.00,303,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',10532,426,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013035,1.00,4.00,0.00,1.00,5.00,7.50,0.00,5.00,2.00,103,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',17011,2436,NULL,NULL,NULL,NULL,NULL,4,22),(28,7013043,3.00,6.00,1.00,5.00,8.00,6.00,4.00,4.00,2.00,308,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',11160,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013051,6.00,7.00,6.00,6.00,8.00,11.63,6.00,7.00,6.00,103,NULL,NULL,'CHICO DE PAULA','JARAGUÁ SUL','SC',502,342,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013060,5.00,8.00,3.00,7.00,7.00,9.75,3.00,5.00,4.00,103,NULL,NULL,'JARDIM RAPOSO TAVARE','S PAULO','SP',3775,1281,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013078,3.00,6.00,2.00,7.00,6.00,10.50,2.00,4.00,5.00,103,NULL,NULL,'MOEMA','S PAULO','SP',7142,1784,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013086,1.00,7.00,2.00,7.00,5.00,7.13,3.00,4.00,1.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',16731,446,NULL,NULL,NULL,NULL,NULL,2,1),(28,7013116,6.00,7.00,4.00,7.00,8.00,8.25,6.00,6.00,7.00,103,NULL,NULL,'PORTAL DA VILA RICA','ITU','SP',1032,568,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013132,1.00,6.00,2.00,4.00,5.00,9.38,1.00,5.00,0.00,104,NULL,NULL,'BRUSQUE','LAGES','SC',16439,404,NULL,NULL,NULL,NULL,NULL,2,9),(28,7013140,0.00,5.00,2.00,6.00,3.00,7.13,5.00,6.00,0.00,655,NULL,238,'ARCO ÍRIS','CAPINZAL','SC',18051,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7013159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'IMBAÚBAS','IPATINGA','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7013167,3.00,7.00,4.00,7.00,7.00,9.75,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5852,1605,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013205,3.00,5.00,0.00,7.00,6.00,5.63,5.00,5.00,5.00,423,NULL,427,'VARGEM GRANDE','FLORIANÓPOLIS','SC',14277,15,NULL,NULL,NULL,NULL,NULL,2,1),(28,7013213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM SILVANA','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7013221,2.00,6.00,2.00,6.00,7.00,7.13,4.00,5.00,3.00,340,NULL,NULL,'VILA BUARQUE','S PAULO','SP',8850,245,NULL,NULL,NULL,NULL,NULL,2,1),(28,7013230,0.00,5.00,2.00,2.00,4.00,7.50,3.00,4.00,3.00,235,NULL,213,'CAMPECHE','FLORIANÓPOLIS','SC',19070,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013256,5.00,5.00,3.00,5.00,7.00,7.50,1.00,4.00,5.00,333,NULL,NULL,'IPIRANGA','RIBEIRÃO PRETO','SP',6470,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013272,4.00,7.00,3.00,7.00,9.00,10.50,4.00,7.00,3.00,222,NULL,NULL,'SÃO PEDRO','BRUSQUE','SC',2726,5,NULL,NULL,NULL,NULL,NULL,2,22),(28,7013280,4.00,6.00,4.00,5.00,8.00,8.25,3.00,3.00,3.00,454,NULL,NULL,'CENTRO','S BENTO SUL','SC',8424,155,NULL,NULL,NULL,NULL,NULL,4,8),(28,7013299,0.00,3.00,2.00,2.00,3.00,5.25,2.00,5.00,2.00,104,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',17864,424,NULL,NULL,NULL,NULL,NULL,4,4),(28,7013302,2.00,8.00,1.00,5.00,6.00,8.63,4.00,7.00,3.00,103,NULL,NULL,'CIDADE JARDIM','CATANDUVAS','SC',5726,1591,NULL,NULL,NULL,NULL,NULL,4,7),(28,7013329,1.00,5.00,0.00,5.00,6.00,NULL,0.00,3.00,1.00,454,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7013337,2.00,6.00,0.00,4.00,6.00,NULL,3.00,4.00,2.00,110,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7013345,0.00,0.00,2.00,2.00,5.00,NULL,0.00,0.00,0.00,425,NULL,424,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',6,1),(28,7013353,2.00,5.00,2.00,6.00,5.00,5.63,3.00,3.00,1.00,654,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',18323,68,NULL,NULL,NULL,NULL,NULL,2,1),(28,7013361,0.00,6.00,1.00,6.00,5.00,7.50,2.00,6.00,1.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7013370,0.00,5.00,2.00,6.00,4.00,6.75,1.00,5.00,2.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13806,191,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013388,2.00,6.00,2.00,7.00,8.00,8.25,4.00,6.00,4.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7013396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SÃO JOAQUIM','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7013400,4.00,9.00,3.00,4.00,6.00,6.38,3.00,6.00,3.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',6771,1731,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,201,'SÃO JOSÉ','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7013442,3.00,5.00,3.00,4.00,6.00,6.75,2.00,3.00,3.00,319,NULL,NULL,'CENTRO','PALHOÇA','SC',14113,267,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013450,1.00,3.00,1.00,2.00,7.00,10.13,4.00,4.00,3.00,601,NULL,212,'MORRO DO MEIO','JOINVILLE','SC',12768,383,NULL,350,NULL,NULL,NULL,4,8),(28,7013469,4.00,8.00,5.00,6.00,7.00,12.75,5.00,7.00,6.00,103,NULL,NULL,'VILA SUZANA','S PAULO','SP',541,359,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013477,0.00,5.00,2.00,5.00,7.00,9.38,2.00,5.00,6.00,207,NULL,201,'CENTRO','BRUSQUE','SC',9998,460,NULL,678,NULL,NULL,NULL,4,22),(28,7013485,0.00,2.00,3.00,4.00,5.00,7.50,2.00,3.00,4.00,207,NULL,NULL,'VILA NOVA','BLUMENAU','SC',15963,695,NULL,NULL,NULL,NULL,NULL,4,2),(28,7013493,4.00,6.00,2.00,7.00,8.00,8.63,3.00,4.00,4.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4255,199,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013515,1.00,7.00,2.00,6.00,6.00,9.75,0.00,5.00,2.00,303,NULL,NULL,'CRISTO REI','CHAPECÓ','SC',9787,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7013523,4.00,6.00,1.00,7.00,6.00,7.13,4.00,5.00,2.00,333,NULL,NULL,'NOVA SUIÇA','GOIÂNIA','GO',8378,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7013531,3.00,5.00,1.00,6.00,5.00,5.25,5.00,2.00,3.00,202,NULL,213,'CENTRO','GUARACIABA','SC',12668,309,NULL,216,NULL,NULL,NULL,4,27),(28,7013558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,426,'VILA ROSA','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7013566,0.00,7.00,2.00,4.00,6.00,NULL,2.00,5.00,2.00,303,NULL,NULL,'CENTRO','PIRATUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7013574,1.00,7.00,2.00,6.00,7.00,9.38,2.00,4.00,3.00,102,NULL,NULL,'SANTA RITA','BRUSQUE','SC',8174,61,NULL,NULL,NULL,NULL,NULL,4,22),(28,7013582,3.00,6.00,1.00,7.00,7.00,10.88,1.00,6.00,2.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13058,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013590,0.00,6.00,2.00,2.00,6.00,7.88,1.00,6.00,2.00,335,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',18347,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013604,1.00,7.00,2.00,6.00,9.00,9.38,1.00,7.00,2.00,340,NULL,NULL,'PARQUE DEZ','MANAUS','AM',6222,158,NULL,NULL,NULL,NULL,NULL,2,1),(28,7013612,3.00,7.00,1.00,6.00,6.00,9.75,1.00,7.00,3.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13627,160,NULL,NULL,NULL,NULL,NULL,2,1),(28,7013620,4.00,7.00,4.00,6.00,8.00,7.88,5.00,7.00,6.00,303,NULL,NULL,'CHICO DE PAULA','JARAGUÁ SUL','SC',2794,128,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013639,0.00,2.00,2.00,3.00,4.00,5.25,2.00,2.00,0.00,9,NULL,NULL,'CRISTO REI','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7013647,2.00,6.00,1.00,4.00,8.00,8.63,4.00,3.00,5.00,202,NULL,213,'SÃO LUIZ','CRICIÚMA','SC',12343,306,NULL,211,NULL,NULL,NULL,4,5),(28,7013655,1.00,7.00,1.00,7.00,7.00,9.75,5.00,6.00,6.00,104,NULL,NULL,'ITAUM','JOINVILLE','SC',4439,73,NULL,NULL,NULL,NULL,NULL,4,8),(28,7013663,0.00,3.00,0.00,1.00,5.00,NULL,0.00,3.00,2.00,333,NULL,NULL,'SÃO GERALDO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013671,3.00,6.00,1.00,5.00,8.00,10.88,2.00,5.00,3.00,454,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11622,228,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013710,0.00,2.00,1.00,4.00,4.00,NULL,2.00,2.00,2.00,415,NULL,NULL,'AMBRÓSIO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7013728,2.00,7.00,4.00,7.00,8.00,10.88,4.00,4.00,5.00,454,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',4878,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013736,3.00,6.00,2.00,7.00,8.00,7.50,5.00,7.00,6.00,207,NULL,201,'VARGEM GRANDE','FLORIANÓPOLIS','SC',5293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013744,5.00,8.00,1.00,6.00,9.00,10.88,4.00,5.00,3.00,103,NULL,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',3368,1219,NULL,NULL,NULL,NULL,NULL,2,7),(28,7013752,1.00,0.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SANTO ANTONIO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7013779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7013787,2.00,8.00,2.00,6.00,9.00,11.25,3.00,6.00,5.00,207,NULL,211,'CENTRO','BRUSQUE','SC',3660,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7013795,5.00,7.00,2.00,6.00,9.00,8.25,4.00,5.00,4.00,103,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',4088,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7013817,2.00,7.00,0.00,5.00,6.00,8.63,3.00,3.00,2.00,207,NULL,201,'SOUZA CRUZ','BRUSQUE','SC',10613,485,NULL,NULL,NULL,NULL,NULL,2,22),(28,7013825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DIONISIO TORRES','FORTALEZA','CE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7013833,0.00,5.00,2.00,3.00,4.00,NULL,1.00,3.00,2.00,207,NULL,211,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7013841,3.00,7.00,3.00,5.00,7.00,8.25,3.00,4.00,6.00,601,NULL,203,'BOQUEIRÃO','SANTOS','SP',4522,79,NULL,NULL,NULL,NULL,NULL,4,6),(28,7013850,5.00,5.00,2.00,5.00,7.00,8.63,4.00,5.00,2.00,301,NULL,NULL,'MICHEL','CRICIÚMA','SC',13028,181,NULL,NULL,NULL,NULL,NULL,4,15),(28,7013868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7013876,5.00,7.00,1.00,5.00,7.00,9.75,0.00,7.00,6.00,103,NULL,NULL,'S PEDRO LUDOVICO','GOIÂNIA','GO',5357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013884,1.00,8.00,0.00,8.00,9.00,9.75,4.00,7.00,6.00,340,NULL,NULL,'BOQUEIRAO','PASSO FUNDO','RS',2334,51,NULL,NULL,NULL,NULL,NULL,4,6),(28,7013892,0.00,2.00,2.00,2.00,5.00,NULL,1.00,3.00,4.00,501,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7013930,4.00,6.00,2.00,7.00,7.00,9.38,4.00,6.00,4.00,340,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7013949,0.00,5.00,2.00,7.00,3.00,NULL,2.00,5.00,1.00,203,NULL,235,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7013957,1.00,8.00,1.00,2.00,7.00,8.63,4.00,5.00,2.00,601,NULL,216,'CENTRO','URUAÇU','GO',9473,251,NULL,NULL,NULL,NULL,NULL,2,8),(28,7013965,3.00,5.00,1.00,5.00,4.00,8.63,1.00,4.00,4.00,9,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',13114,89,NULL,NULL,NULL,NULL,NULL,4,3),(28,7013981,4.00,7.00,4.00,7.00,10.00,9.38,3.00,5.00,6.00,207,NULL,233,'SANTANA','PINDAMONHANGABA','SP',2265,78,NULL,35,NULL,NULL,NULL,4,1),(28,7013990,3.00,6.00,4.00,4.00,6.00,8.25,2.00,4.00,2.00,215,NULL,233,'VILA ROSELY','PARIQUERA-AÇU','SP',9445,162,NULL,227,NULL,NULL,NULL,2,8),(28,7014007,3.00,4.00,0.00,7.00,5.00,NULL,2.00,5.00,1.00,552,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7014015,0.00,1.00,1.00,2.00,2.00,NULL,1.00,2.00,1.00,216,NULL,233,'SALTO DO NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7014023,1.00,4.00,1.00,7.00,6.00,8.25,1.00,6.00,2.00,208,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11384,123,NULL,NULL,NULL,NULL,NULL,2,1),(28,7014040,2.00,5.00,4.00,5.00,6.00,9.38,2.00,4.00,2.00,207,NULL,601,'PANTANAL','FLORIANÓPOLIS','SC',10783,NULL,NULL,316,NULL,NULL,NULL,4,1),(28,7014066,4.00,8.00,1.00,4.00,9.00,8.25,3.00,8.00,4.00,333,NULL,NULL,'VELHA','BLUMENAU','SC',3742,14,NULL,NULL,NULL,NULL,NULL,4,2),(28,7014074,1.00,6.00,2.00,7.00,6.00,7.13,3.00,5.00,1.00,601,NULL,203,'SENHORA DAS GRAÇAS','NAVEGANTES','SC',12679,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7014082,3.00,4.00,0.00,5.00,7.00,5.25,4.00,5.00,4.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',10214,689,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014120,3.00,8.00,2.00,5.00,9.00,9.38,4.00,7.00,7.00,201,NULL,601,'DOS ESTADOS','TIMBÓ','SC',2127,148,NULL,23,NULL,NULL,NULL,4,2),(28,7014139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7014147,0.00,3.00,1.00,2.00,4.00,NULL,2.00,3.00,0.00,101,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7014155,7.00,9.00,4.00,7.00,7.00,8.25,3.00,7.00,7.00,103,NULL,NULL,'SANTA CLARA','VIÇOSA','MG',860,489,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7014171,2.00,0.00,1.00,1.00,2.00,NULL,1.00,1.00,3.00,302,NULL,NULL,'BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7014180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7014198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'AGOSTINI','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7014201,0.00,3.00,1.00,6.00,6.00,6.38,1.00,4.00,1.00,551,NULL,NULL,'CENTRO','STA CECÍLIA','SC',17500,45,NULL,NULL,NULL,NULL,NULL,2,16),(28,7014210,1.00,2.00,0.00,0.00,4.00,NULL,1.00,2.00,0.00,339,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7014228,0.00,2.00,1.00,1.00,1.00,NULL,2.00,2.00,1.00,336,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014236,0.00,5.00,2.00,6.00,7.00,8.63,1.00,2.00,4.00,216,NULL,215,'CAPÃO','GAROPABA','SC',12753,363,NULL,219,NULL,NULL,NULL,2,1),(28,7014252,2.00,4.00,2.00,2.00,0.00,NULL,1.00,2.00,1.00,238,NULL,235,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7014260,2.00,6.00,2.00,7.00,5.00,8.25,3.00,5.00,3.00,501,NULL,NULL,'VILA NOVA CONCEIÇAO','S PAULO','SP',14701,90,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MATELÂNDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7014295,3.00,6.00,2.00,4.00,7.00,9.38,2.00,2.00,1.00,601,NULL,213,'RURAL','BATAGUASSU','MS',12481,367,NULL,214,NULL,NULL,NULL,4,1),(28,7014309,2.00,7.00,2.00,6.00,8.00,10.13,2.00,4.00,1.00,102,NULL,NULL,'DOIS PINHEIROS','VIDEIRA','SC',7091,48,NULL,NULL,NULL,NULL,NULL,4,25),(28,7014341,0.00,4.00,2.00,2.00,7.00,7.13,0.00,5.00,1.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',16036,219,NULL,NULL,NULL,NULL,NULL,2,1),(28,7014368,3.00,4.00,1.00,5.00,6.00,7.13,2.00,4.00,3.00,216,NULL,202,'CENTRO','S MIGUEL OESTE','SC',18198,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7014376,5.00,7.00,1.00,7.00,7.00,9.38,3.00,6.00,6.00,214,NULL,203,'INTEIROR','IOMERÊ','SC',3071,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7014406,8.00,8.00,4.00,4.00,6.00,10.50,4.00,6.00,3.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',2773,1082,NULL,NULL,NULL,NULL,NULL,4,8),(28,7014414,4.00,3.00,2.00,6.00,5.00,5.63,2.00,3.00,3.00,207,NULL,201,'CENTRO','LONDRINA','PR',13753,614,NULL,857,NULL,NULL,NULL,2,4),(28,7014430,1.00,4.00,0.00,5.00,2.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'ZONA I','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7014449,5.00,8.00,5.00,6.00,6.00,10.13,6.00,6.00,7.00,220,NULL,235,'CENTRO','DOURADOS','MS',681,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014465,2.00,5.00,2.00,6.00,6.00,6.00,2.00,5.00,2.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10864,100,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014473,4.00,8.00,4.00,7.00,8.00,7.50,5.00,7.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2108,66,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014481,3.00,2.00,2.00,5.00,3.00,6.75,2.00,3.00,2.00,552,NULL,NULL,'CENTRO','CURITIBANOS','SC',16834,125,NULL,NULL,NULL,NULL,NULL,2,16),(28,7014490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7014511,4.00,5.00,1.00,6.00,6.00,9.38,5.00,6.00,6.00,601,NULL,653,'BELCHIOR BAIXO','GASPAR','SC',5139,95,NULL,NULL,NULL,NULL,NULL,2,2),(28,7014520,1.00,6.00,2.00,5.00,9.00,7.88,3.00,6.00,2.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',7893,1885,NULL,NULL,NULL,NULL,NULL,2,26),(28,7014538,3.00,5.00,2.00,5.00,4.00,9.75,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','BARRA VELHA','SC',12856,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7014554,4.00,6.00,0.00,7.00,8.00,6.75,4.00,6.00,5.00,214,NULL,203,'CENTRO','VOTUPORANGA','SP',5194,168,NULL,354,NULL,NULL,NULL,4,1),(28,7014562,7.00,8.00,6.00,6.00,8.00,11.25,4.00,7.00,7.00,207,NULL,201,'CIDADE PARQUELÂNDIA','MOGI CRUZES','SP',707,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014570,2.00,6.00,1.00,7.00,9.00,10.88,0.00,8.00,4.00,415,NULL,NULL,'RAIZ','MANAUS','AM',5120,75,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014589,4.00,6.00,2.00,7.00,8.00,9.00,4.00,7.00,4.00,103,NULL,NULL,'VILA GUARANI','S PAULO','SP',3101,1159,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014597,2.00,8.00,1.00,7.00,10.00,10.88,5.00,4.00,5.00,103,NULL,NULL,'SÃO MIGUEL','BIGUAÇU','SC',4668,1440,NULL,NULL,NULL,NULL,NULL,2,1),(28,7014619,2.00,5.00,1.00,5.00,6.00,9.38,3.00,6.00,2.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',13206,2270,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014627,1.00,4.00,1.00,5.00,6.00,7.13,2.00,2.00,2.00,425,NULL,429,'JANUÁRIA','SOMBRIO','SC',14499,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7014635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILARINHO','AMAMBAÍ','MS',NULL,NULL,NULL,NULL,'S','S','S',4,27),(28,7014643,2.00,4.00,1.00,3.00,0.00,NULL,2.00,4.00,2.00,404,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7014660,4.00,5.00,3.00,5.00,6.00,9.00,3.00,5.00,4.00,201,NULL,212,'CARIANOS','FLORIANÓPOLIS','SC',10574,699,NULL,311,NULL,NULL,NULL,2,1),(28,7014686,2.00,6.00,2.00,5.00,4.00,6.38,4.00,3.00,2.00,238,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',14392,237,NULL,NULL,NULL,NULL,NULL,2,1),(28,7014694,0.00,5.00,1.00,4.00,3.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014708,5.00,8.00,5.00,6.00,6.00,4.88,2.00,6.00,6.00,103,NULL,NULL,'CAMBUI','CAMPINAS','SP',3330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014724,1.00,4.00,1.00,2.00,5.00,10.50,4.00,3.00,4.00,216,NULL,215,'WIETNÃ','VÍTOR MEIRELES','SC',13607,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7014732,3.00,7.00,1.00,6.00,9.00,7.50,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',4566,1429,NULL,NULL,NULL,NULL,NULL,4,5),(28,7014759,4.00,7.00,2.00,6.00,7.00,8.63,2.00,5.00,3.00,110,NULL,NULL,'GUANABARA','JOINVILLE','SC',12554,42,NULL,NULL,NULL,NULL,NULL,2,8),(28,7014767,7.00,7.00,3.00,4.00,9.00,11.25,4.00,7.00,8.00,103,NULL,NULL,'GUARÁ I','GUARÁ','DF',800,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7014775,5.00,6.00,2.00,6.00,9.00,9.38,6.00,6.00,6.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',2547,1032,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014783,0.00,4.00,1.00,0.00,7.00,NULL,6.00,4.00,4.00,203,NULL,220,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,2),(28,7014791,2.00,5.00,1.00,7.00,9.00,10.50,2.00,5.00,2.00,318,NULL,NULL,'JARDIM SÃO PAULO','S JOÃO BATISTA','SC',7513,34,NULL,NULL,NULL,NULL,NULL,2,22),(28,7014805,2.00,4.00,1.00,5.00,3.00,6.75,1.00,4.00,3.00,552,NULL,NULL,'INTERIOR','ÁGUA DOCE','SC',15025,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7014813,0.00,5.00,2.00,6.00,4.00,NULL,1.00,2.00,2.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014821,5.00,6.00,2.00,7.00,8.00,10.13,6.00,7.00,6.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2235,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014830,0.00,2.00,0.00,6.00,3.00,NULL,2.00,2.00,1.00,425,NULL,429,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7014848,4.00,5.00,1.00,6.00,5.00,8.63,4.00,4.00,4.00,425,NULL,423,'ESTREITO','FLORIANÓPOLIS','SC',7616,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014856,4.00,6.00,1.00,6.00,6.00,10.88,3.00,5.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6334,134,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014872,0.00,5.00,1.00,5.00,3.00,5.25,1.00,4.00,0.00,503,NULL,NULL,'CENTRO','IOMERÊ','SC',17697,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7014880,3.00,7.00,5.00,7.00,8.00,9.38,5.00,6.00,3.00,207,NULL,203,'LOURDES','BELO HORIZONTE','MG',1706,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014899,1.00,3.00,1.00,7.00,5.00,5.63,0.00,5.00,3.00,444,NULL,NULL,'AREIAS','S JOSÉ','SC',16004,93,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014902,2.00,6.00,2.00,7.00,8.00,6.75,4.00,4.00,3.00,203,NULL,233,'CENTRO','BOA E SUL','SP',12258,589,NULL,275,NULL,NULL,NULL,4,1),(28,7014910,0.00,7.00,2.00,6.00,5.00,8.63,3.00,6.00,1.00,450,NULL,NULL,'PARQUE SANTO ANTONIO','GUARULHOS','SP',10316,84,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014929,6.00,6.00,8.00,6.00,7.00,7.13,6.00,6.00,6.00,216,NULL,203,'CENTRO','DOURADOS','MS',1448,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7014937,3.00,4.00,3.00,5.00,5.00,8.63,3.00,4.00,5.00,211,NULL,207,'MONTE VERDE','FLORIANÓPOLIS','SC',11955,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7014961,5.00,7.00,3.00,6.00,7.00,9.00,2.00,6.00,5.00,216,NULL,203,'INGLESES','FLORIANÓPOLIS','SC',3118,112,NULL,NULL,NULL,NULL,NULL,2,1),(28,7014970,4.00,7.00,2.00,6.00,6.00,8.25,4.00,5.00,3.00,203,NULL,233,'JARDIM CARVALHO','PNT GROSSA','PR',5816,382,NULL,153,NULL,NULL,NULL,2,3),(28,7014988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7014996,2.00,5.00,1.00,7.00,7.00,7.88,2.00,5.00,5.00,502,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',9814,10,NULL,NULL,NULL,NULL,NULL,2,8),(28,7015003,0.00,3.00,1.00,6.00,1.00,NULL,1.00,2.00,0.00,655,NULL,653,'PARQUE DAS AVENIDAS','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7015011,3.00,6.00,4.00,5.00,6.00,9.00,5.00,6.00,6.00,304,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',3978,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015038,1.00,5.00,2.00,4.00,4.00,7.13,1.00,4.00,1.00,415,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',15744,238,NULL,NULL,NULL,NULL,NULL,2,1),(28,7015046,2.00,4.00,3.00,6.00,3.00,8.63,5.00,5.00,2.00,552,NULL,NULL,'VISTA ALEGRE','SERRA ALTA','SC',11665,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7015054,2.00,4.00,3.00,5.00,5.00,7.88,6.00,2.00,2.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',11694,2185,NULL,NULL,NULL,NULL,NULL,2,2),(28,7015070,1.00,8.00,1.00,6.00,6.00,9.00,2.00,3.00,3.00,201,NULL,601,'CENTRO','TIMBÉ SUL','SC',11644,752,NULL,342,NULL,NULL,NULL,4,15),(28,7015097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'ERECHIM','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7015100,4.00,8.00,1.00,6.00,8.00,11.63,2.00,8.00,6.00,108,NULL,NULL,'VOLTA GRANDE','BRUSQUE','SC',2635,22,NULL,NULL,NULL,NULL,NULL,4,22),(28,7015119,1.00,4.00,2.00,6.00,3.00,5.25,2.00,4.00,1.00,5,NULL,NULL,'RIO HERN','SCHROEDER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7015127,5.00,7.00,6.00,6.00,8.00,8.63,5.00,5.00,7.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',1560,142,NULL,44,NULL,NULL,NULL,4,1),(28,7015143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'JARDIM IPIRANGA','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7015160,2.00,6.00,3.00,5.00,6.00,8.25,2.00,4.00,4.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',7443,1826,NULL,NULL,NULL,NULL,NULL,4,8),(28,7015178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,655,'GRUTA DE LURDES','MACEIÓ','AL',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7015186,4.00,7.00,2.00,7.00,6.00,8.25,5.00,5.00,2.00,2,NULL,NULL,'SÃO CRISTÓVÃO','VIDEIRA','SC',5808,15,NULL,NULL,NULL,NULL,NULL,2,25),(28,7015194,4.00,7.00,3.00,7.00,6.00,7.50,3.00,3.00,6.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',5127,236,NULL,NULL,NULL,NULL,NULL,2,5),(28,7015208,4.00,8.00,0.00,6.00,7.00,8.25,5.00,7.00,7.00,340,NULL,NULL,'PQ SANTANA','MOGI CRUZES','SP',2313,48,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015216,7.00,7.00,5.00,3.00,5.00,6.00,4.00,7.00,6.00,103,NULL,NULL,'INCONFIDENTES','CONTAGEM','MG',2676,1059,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015224,0.00,5.00,2.00,6.00,7.00,6.38,3.00,5.00,2.00,654,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',17085,62,NULL,NULL,NULL,NULL,NULL,2,8),(28,7015232,6.00,6.00,4.00,7.00,7.00,11.63,4.00,7.00,4.00,340,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',4684,116,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015240,1.00,4.00,1.00,4.00,2.00,NULL,0.00,3.00,1.00,308,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7015267,5.00,8.00,2.00,6.00,7.00,7.88,5.00,6.00,5.00,216,NULL,215,'CENTRO','RIO FORTUNA','SC',4614,177,NULL,66,NULL,NULL,NULL,2,10),(28,7015283,4.00,8.00,5.00,7.00,9.00,12.00,6.00,7.00,4.00,103,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',2092,909,NULL,NULL,NULL,NULL,NULL,2,1),(28,7015291,3.00,6.00,2.00,5.00,4.00,9.38,3.00,5.00,6.00,103,NULL,NULL,'SUIÇA','RIBEIRÃO PIRES','SP',5782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015305,5.00,8.00,3.00,6.00,10.00,6.38,3.00,6.00,5.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',3807,1289,NULL,NULL,NULL,NULL,NULL,4,2),(28,7015313,5.00,7.00,2.00,7.00,7.00,8.25,5.00,6.00,7.00,2,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',2477,7,NULL,NULL,NULL,NULL,NULL,4,2),(28,7015348,7.00,6.00,1.00,7.00,8.00,9.00,5.00,7.00,6.00,310,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',1997,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015356,3.00,6.00,1.00,6.00,4.00,6.75,1.00,5.00,3.00,304,NULL,NULL,'CENTRO','S CARLOS','SP',11876,89,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7015402,8.00,8.00,6.00,7.00,9.00,13.50,9.00,8.00,7.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',15,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015410,3.00,8.00,3.00,6.00,7.00,NULL,0.00,4.00,2.00,108,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015429,1.00,6.00,3.00,4.00,6.00,6.00,2.00,5.00,3.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12177,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015437,2.00,6.00,4.00,5.00,6.00,8.25,2.00,4.00,4.00,201,NULL,653,'KOBRASOL','S JOSÉ','SC',10087,682,NULL,102,NULL,NULL,NULL,2,1),(28,7015445,0.00,6.00,2.00,6.00,4.00,8.63,2.00,4.00,2.00,103,NULL,NULL,'RIO FIORITA','SIDERÓPOLIS','SC',18337,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7015453,4.00,7.00,3.00,7.00,5.00,7.13,2.00,6.00,4.00,103,NULL,NULL,'VILA OCEANIA','POÁ','SP',6290,1673,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015461,1.00,5.00,4.00,5.00,5.00,7.13,2.00,6.00,3.00,104,NULL,NULL,'JD EUROPA','DOURADOS','MS',11380,278,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015488,5.00,8.00,5.00,6.00,10.00,8.63,5.00,6.00,6.00,202,NULL,213,'INGLESES','FLORIANÓPOLIS','SC',1587,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015496,2.00,5.00,1.00,2.00,4.00,6.38,0.00,5.00,1.00,5,NULL,NULL,'CENTRO','BRUSQUE','SC',19734,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7015500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA PIONEIRO','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7015518,5.00,8.00,3.00,6.00,9.00,9.38,5.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1482,734,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015526,2.00,5.00,0.00,6.00,7.00,10.50,1.00,2.00,1.00,303,NULL,NULL,'FERRAZ','GAROPABA','SC',13717,506,NULL,NULL,NULL,NULL,NULL,2,1),(28,7015534,5.00,7.00,3.00,7.00,7.00,9.75,4.00,6.00,4.00,108,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',3534,31,NULL,NULL,NULL,NULL,NULL,3,3),(28,7015542,5.00,8.00,3.00,6.00,8.00,8.63,4.00,7.00,2.00,301,NULL,NULL,'VILA MARIANA','S PAULO','SP',2437,6,NULL,NULL,NULL,NULL,NULL,3,1),(28,7015550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7015569,0.00,4.00,2.00,2.00,5.00,NULL,0.00,2.00,3.00,207,NULL,215,'FORQUILHINHA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7015585,3.00,6.00,2.00,5.00,5.00,6.75,2.00,3.00,2.00,415,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',17110,254,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015607,4.00,7.00,0.00,7.00,8.00,10.13,3.00,7.00,5.00,207,NULL,201,'CENTRO','ÁGUAS FRIAS','SC',3016,108,NULL,NULL,NULL,NULL,NULL,4,4),(28,7015615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7015623,5.00,8.00,3.00,4.00,6.00,10.13,3.00,8.00,3.00,108,NULL,NULL,'SAN CONRADO','CAMPINAS','SP',3794,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015631,7.00,7.00,3.00,7.00,8.00,10.88,6.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',455,319,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015640,4.00,8.00,4.00,6.00,6.00,9.75,4.00,4.00,3.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',5680,377,NULL,438,NULL,NULL,NULL,2,1),(28,7015658,2.00,5.00,1.00,6.00,7.00,7.13,2.00,4.00,4.00,108,NULL,NULL,'CENTRO','CORREIA PINTO','SC',12148,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7015666,4.00,7.00,1.00,6.00,9.00,9.00,4.00,6.00,4.00,454,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6802,103,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015674,3.00,8.00,3.00,7.00,8.00,9.00,3.00,7.00,3.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5398,76,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015682,3.00,7.00,1.00,7.00,6.00,8.63,3.00,5.00,5.00,303,NULL,NULL,'CENTRO','CASCAVEL','PR',5265,243,NULL,NULL,NULL,NULL,NULL,4,7),(28,7015704,1.00,3.00,1.00,4.00,1.00,NULL,0.00,5.00,0.00,404,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7015720,1.00,6.00,1.00,4.00,6.00,5.63,2.00,4.00,3.00,502,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',18340,51,NULL,NULL,NULL,NULL,NULL,2,1),(28,7015739,2.00,7.00,1.00,3.00,5.00,12.00,2.00,6.00,2.00,103,NULL,NULL,'JARDIM APUCARANA','APUCARANA','PR',7809,1868,NULL,NULL,NULL,NULL,NULL,4,8),(28,7015747,1.00,3.00,2.00,4.00,4.00,5.25,0.00,4.00,3.00,454,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7015755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SÃO BRAZ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7015763,0.00,5.00,1.00,2.00,4.00,NULL,1.00,6.00,1.00,222,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7015780,3.00,6.00,3.00,5.00,9.00,11.25,4.00,7.00,4.00,428,NULL,426,'ESTREITO','S JOSÉ','SC',7306,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015798,3.00,8.00,2.00,5.00,6.00,8.25,6.00,6.00,2.00,238,NULL,207,'PASSA VINTE','PALHOÇA','SC',9805,137,NULL,455,NULL,NULL,NULL,4,1),(28,7015801,3.00,6.00,2.00,6.00,7.00,11.63,4.00,6.00,4.00,454,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',8001,137,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015810,1.00,6.00,1.00,5.00,7.00,6.38,5.00,3.00,3.00,654,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',12432,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7015828,6.00,8.00,3.00,7.00,8.00,10.50,6.00,7.00,8.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',570,376,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015836,0.00,3.00,3.00,4.00,6.00,7.13,3.00,3.00,3.00,201,NULL,238,'CENTRO','BAL CAMBORIÚ','SC',18492,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7015852,1.00,3.00,2.00,3.00,5.00,5.63,3.00,2.00,3.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7015860,3.00,6.00,2.00,4.00,6.00,7.13,3.00,4.00,3.00,108,NULL,NULL,'ENGENHO NOVO','RIO JANEIRO','RJ',9459,127,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015879,4.00,8.00,3.00,5.00,4.00,8.25,2.00,7.00,4.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',6186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015887,1.00,6.00,2.00,6.00,7.00,9.00,3.00,3.00,3.00,999,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015895,1.00,5.00,4.00,6.00,6.00,8.63,3.00,4.00,5.00,501,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',10410,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7015933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARCILIANO FERNANDEZ','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7015941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7015950,6.00,8.00,2.00,7.00,7.00,10.13,2.00,6.00,5.00,103,NULL,NULL,'PORTAL DO MORUMBI','PNT PORÃ','MS',2628,1054,NULL,NULL,NULL,NULL,NULL,2,1),(28,7015968,2.00,7.00,2.00,6.00,8.00,7.88,1.00,4.00,3.00,110,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',14859,65,NULL,NULL,NULL,NULL,NULL,4,1),(28,7015976,0.00,5.00,1.00,4.00,3.00,NULL,0.00,4.00,0.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7015992,2.00,6.00,2.00,2.00,7.00,8.25,2.00,5.00,3.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',11829,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BRASIL','STA HELENA GOIÁS','GO',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7016042,2.00,8.00,1.00,5.00,7.00,7.88,4.00,5.00,2.00,316,NULL,NULL,'IPIRANGA','S JOSÉ','SC',8815,81,NULL,NULL,NULL,NULL,NULL,2,1),(28,7016050,1.00,6.00,1.00,5.00,5.00,7.13,3.00,6.00,4.00,223,NULL,NULL,'VELHA','BLUMENAU','SC',10869,12,NULL,NULL,NULL,NULL,NULL,4,2),(28,7016077,1.00,3.00,1.00,3.00,5.00,7.13,2.00,3.00,2.00,201,NULL,216,'BARREIROS','S JOSÉ','SC',19461,1042,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016085,3.00,7.00,3.00,6.00,7.00,7.88,2.00,7.00,3.00,103,NULL,NULL,'BARRO VERMELHO','ORLEANS','SC',5881,1612,NULL,NULL,NULL,NULL,NULL,4,5),(28,7016093,1.00,5.00,2.00,4.00,5.00,10.50,3.00,5.00,3.00,9,NULL,NULL,'CENTRO','NOVA ERECHIM','SC',9377,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7016107,1.00,6.00,2.00,6.00,9.00,11.25,2.00,6.00,2.00,203,NULL,202,'CENTRO','ITAJAÍ','SC',7864,472,NULL,213,NULL,NULL,NULL,4,6),(28,7016115,3.00,7.00,2.00,6.00,7.00,10.13,1.00,6.00,2.00,340,NULL,NULL,'ARIRIU','PALHOÇA','SC',7875,209,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016123,0.00,5.00,0.00,3.00,3.00,NULL,0.00,3.00,4.00,404,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7016131,0.00,4.00,1.00,2.00,2.00,NULL,0.00,1.00,1.00,5,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7016140,4.00,7.00,2.00,7.00,9.00,7.50,2.00,6.00,4.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5990,93,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016158,3.00,6.00,0.00,6.00,9.00,7.50,2.00,5.00,3.00,415,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10246,163,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016174,1.00,0.00,4.00,7.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ESTER','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7016182,3.00,9.00,2.00,6.00,8.00,9.38,3.00,6.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4357,69,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016190,3.00,5.00,1.00,4.00,5.00,7.13,3.00,5.00,2.00,317,NULL,NULL,'AREIAS','S JOSÉ','SC',14334,91,NULL,NULL,NULL,NULL,NULL,2,1),(28,7016204,5.00,9.00,2.00,6.00,9.00,12.75,4.00,8.00,6.00,103,NULL,NULL,'VILA IPIRANGA','PTO ALEGRE','RS',899,504,NULL,NULL,NULL,NULL,NULL,2,1),(28,7016212,0.00,6.00,1.00,4.00,3.00,8.63,2.00,3.00,1.00,212,NULL,201,'CENTRO','BRUSQUE','SC',18865,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7016220,0.00,5.00,2.00,6.00,6.00,7.50,3.00,4.00,2.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12487,135,NULL,NULL,NULL,NULL,NULL,2,1),(28,7016239,4.00,7.00,3.00,7.00,7.00,7.88,4.00,7.00,3.00,304,NULL,NULL,'RES VILA VERDE','CAMPINAS','SP',2967,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016247,0.00,2.00,1.00,1.00,2.00,NULL,1.00,4.00,2.00,304,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7016263,4.00,6.00,2.00,6.00,7.00,9.75,4.00,6.00,6.00,207,NULL,212,'CACUPÉ','FLORIANÓPOLIS','SC',3976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016271,5.00,8.00,4.00,7.00,8.00,11.25,3.00,5.00,3.00,103,NULL,NULL,'SUMAREZINHO','RIBEIRÃO PRETO','SP',3288,1202,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016280,1.00,3.00,2.00,2.00,5.00,9.75,3.00,2.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13759,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016298,3.00,6.00,3.00,5.00,7.00,8.25,2.00,5.00,2.00,207,NULL,211,'CAPOEIRAS','FLORIANÓPOLIS','SC',14905,659,NULL,375,NULL,NULL,NULL,2,1),(28,7016310,5.00,9.00,5.00,6.00,6.00,11.63,5.00,6.00,8.00,103,NULL,NULL,'JARDIM DAS NAÇÕES','TAUBATÉ','SP',782,463,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'CENTRO','CORUPÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7016336,3.00,5.00,2.00,4.00,2.00,NULL,2.00,6.00,1.00,201,NULL,207,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7016344,3.00,8.00,4.00,5.00,7.00,9.00,3.00,6.00,5.00,301,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',5166,41,NULL,NULL,NULL,NULL,NULL,4,8),(28,7016360,0.00,4.00,0.00,4.00,4.00,NULL,0.00,3.00,0.00,327,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7016379,5.00,7.00,2.00,5.00,9.00,11.63,4.00,7.00,5.00,109,NULL,NULL,'CIDADE JARDIM','CATANDUVAS','SC',2865,1,NULL,NULL,NULL,NULL,NULL,4,7),(28,7016387,3.00,5.00,4.00,7.00,8.00,9.00,1.00,5.00,4.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',9162,424,NULL,637,NULL,NULL,NULL,4,1),(28,7016409,0.00,5.00,3.00,6.00,2.00,NULL,2.00,5.00,2.00,552,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7016425,2.00,4.00,1.00,6.00,5.00,7.88,3.00,3.00,4.00,503,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',12945,15,NULL,NULL,NULL,NULL,NULL,2,1),(28,7016441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'VILA CLEMENTINO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7016450,1.00,4.00,0.00,6.00,5.00,7.50,2.00,4.00,3.00,233,NULL,NULL,'RESIDENCIAL ANDRADE','PINDAMONHANGABA','SP',12523,278,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016468,0.00,2.00,1.00,6.00,2.00,NULL,4.00,3.00,2.00,444,NULL,NULL,'COSTA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7016476,4.00,7.00,3.00,7.00,7.00,6.75,3.00,6.00,3.00,303,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',4662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016484,5.00,7.00,4.00,7.00,6.00,8.25,4.00,5.00,5.00,201,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',4493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016492,0.00,4.00,1.00,3.00,2.00,NULL,0.00,3.00,1.00,601,NULL,201,'UBATUBA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7016506,4.00,7.00,4.00,7.00,7.00,7.88,5.00,4.00,6.00,103,NULL,NULL,'CENTRO','MOREIRA SALES','PR',3127,1162,NULL,NULL,NULL,NULL,NULL,4,5),(28,7016514,4.00,6.00,4.00,6.00,8.00,7.50,4.00,7.00,5.00,303,NULL,NULL,'CENTRO','SOMBRIO','SC',3067,143,NULL,NULL,NULL,NULL,NULL,4,15),(28,7016522,3.00,6.00,1.00,7.00,6.00,7.88,4.00,6.00,6.00,203,NULL,214,'KOBRASOL','S JOSÉ','SC',9226,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7016530,4.00,7.00,1.00,7.00,8.00,10.50,4.00,5.00,6.00,104,NULL,NULL,'FLORESTA','S JOSÉ','SC',3805,55,NULL,NULL,NULL,NULL,NULL,2,1),(28,7016549,2.00,5.00,1.00,4.00,3.00,6.00,2.00,2.00,1.00,451,NULL,NULL,'JARDIM AMÉRICA','CHAPECÓ','SC',17814,43,NULL,NULL,NULL,NULL,NULL,2,4),(28,7016557,7.00,9.00,4.00,7.00,10.00,10.88,5.00,7.00,7.00,103,NULL,NULL,'CIDADE NOVA','RIO GRANDE','RS',183,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7016573,5.00,6.00,2.00,6.00,9.00,7.13,2.00,5.00,2.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016590,5.00,6.00,2.00,6.00,5.00,6.00,1.00,5.00,3.00,340,NULL,NULL,'CIDADE ALTA','VIDEIRA','SC',9556,271,NULL,NULL,NULL,NULL,NULL,3,7),(28,7016603,1.00,5.00,1.00,3.00,5.00,6.38,0.00,5.00,1.00,552,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',16202,118,NULL,NULL,NULL,NULL,NULL,2,8),(28,7016611,2.00,4.00,1.00,4.00,7.00,7.88,3.00,4.00,1.00,999,NULL,NULL,'CENTRO','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7016620,8.00,8.00,7.00,7.00,10.00,9.38,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',167,130,NULL,NULL,NULL,NULL,NULL,2,15),(28,7016638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7016646,5.00,9.00,2.00,6.00,7.00,8.25,5.00,5.00,7.00,103,NULL,NULL,'MIRAGEM','LAURO FREITAS','BA',2700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016654,5.00,9.00,2.00,0.00,6.00,7.88,4.00,6.00,1.00,203,NULL,220,'JD THOMAZ','S PAULO','SP',10630,550,NULL,255,NULL,NULL,NULL,4,1),(28,7016662,4.00,8.00,3.00,4.00,8.00,7.50,5.00,6.00,6.00,203,NULL,214,'CENTRO','IÇARA','SC',4094,297,NULL,NULL,NULL,NULL,NULL,4,5),(28,7016670,1.00,6.00,2.00,7.00,4.00,6.00,2.00,6.00,2.00,444,NULL,NULL,'LIBERDADE','TROMBUDO CENTRAL','SC',16482,101,NULL,NULL,NULL,NULL,NULL,2,24),(28,7016689,0.00,5.00,2.00,7.00,7.00,NULL,1.00,5.00,3.00,327,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,652,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7016719,2.00,7.00,2.00,7.00,10.00,9.75,2.00,4.00,4.00,310,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10112,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016727,2.00,6.00,4.00,6.00,6.00,10.13,3.00,6.00,1.00,103,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',7492,1830,NULL,NULL,NULL,NULL,NULL,2,1),(28,7016735,1.00,8.00,2.00,7.00,7.00,9.75,3.00,3.00,3.00,301,NULL,NULL,'JD ESPLANADA','S JOSÉ CAMPOS','SP',7556,80,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016743,2.00,7.00,1.00,7.00,5.00,10.88,2.00,6.00,4.00,999,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7016760,2.00,6.00,1.00,7.00,5.00,6.75,3.00,5.00,2.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11993,239,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016786,3.00,7.00,0.00,6.00,8.00,NULL,5.00,6.00,5.00,302,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7016794,5.00,8.00,2.00,6.00,8.00,9.75,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',2138,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7016808,1.00,3.00,2.00,2.00,3.00,4.50,2.00,2.00,0.00,207,NULL,201,'CENTRO','NOVA PORTEIRINHA','MG',20134,820,NULL,1060,NULL,NULL,NULL,2,1),(28,7016816,1.00,7.00,3.00,4.00,5.00,5.63,4.00,6.00,6.00,201,NULL,203,'CENTRO','CHAPADINHA','MA',9208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016824,5.00,8.00,3.00,6.00,10.00,9.75,4.00,7.00,4.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2116,96,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016832,2.00,7.00,2.00,7.00,9.00,7.88,3.00,8.00,5.00,207,NULL,212,'GARCIA','BLUMENAU','SC',2816,98,NULL,83,NULL,NULL,NULL,4,2),(28,7016840,5.00,7.00,4.00,5.00,10.00,9.38,6.00,7.00,8.00,103,NULL,NULL,'VILA JARDINI','SOROCABA','SP',807,470,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7016875,4.00,6.00,2.00,4.00,4.00,8.63,2.00,4.00,5.00,301,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10332,134,NULL,NULL,NULL,NULL,NULL,2,6),(28,7016883,5.00,6.00,3.00,6.00,8.00,10.88,3.00,5.00,5.00,207,NULL,233,'CENTRO','ITAJAÍ','SC',5937,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7016891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM AMERICA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7016905,3.00,8.00,2.00,6.00,6.00,4.50,2.00,5.00,4.00,103,NULL,NULL,'JARDIM ANDRADE','LONDRINA','PR',8444,1943,NULL,NULL,NULL,NULL,NULL,4,3),(28,7016913,2.00,7.00,2.00,3.00,6.00,7.50,0.00,6.00,4.00,601,NULL,213,'CENTRO','JARAGUÁ SUL','SC',11873,350,NULL,203,NULL,NULL,NULL,4,23),(28,7016921,1.00,5.00,1.00,4.00,2.00,NULL,1.00,2.00,2.00,208,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7016930,2.00,6.00,2.00,6.00,7.00,8.25,5.00,7.00,4.00,103,NULL,NULL,'HUMAITÁ DE CIMA','TUBARÃO','SC',5868,1608,NULL,NULL,NULL,NULL,NULL,4,10),(28,7016948,6.00,6.00,6.00,6.00,8.00,9.75,5.00,7.00,5.00,5,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',1438,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016956,0.00,2.00,1.00,4.00,1.00,NULL,1.00,3.00,0.00,440,NULL,NULL,'COHAFUMA','S LUÍS','MA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7016964,7.00,7.00,6.00,5.00,7.00,9.75,6.00,6.00,7.00,103,NULL,NULL,'JARDIM AMERICA','SOROCABA','SP',442,311,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016972,8.00,9.00,4.00,7.00,8.00,12.38,5.00,8.00,8.00,103,NULL,NULL,'PRADO','BELO HORIZONTE','MG',35,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7016980,0.00,4.00,1.00,5.00,3.00,7.50,0.00,3.00,2.00,104,NULL,NULL,'CENTRO','S JOSÉ CEDRO','SC',17927,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7016999,6.00,6.00,2.00,7.00,7.00,10.13,3.00,8.00,6.00,340,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1467,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017014,1.00,5.00,1.00,2.00,7.00,8.63,4.00,2.00,3.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',18097,2475,NULL,NULL,NULL,NULL,NULL,2,1),(28,7017022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'VILA AZENHA','NOVA ODESSA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7017030,3.00,1.00,1.00,2.00,3.00,4.50,2.00,2.00,0.00,316,NULL,NULL,'FUNDOS','BIGUAÇU','SC',19475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017049,1.00,3.00,0.00,4.00,7.00,NULL,2.00,2.00,1.00,319,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7017057,6.00,8.00,4.00,6.00,10.00,9.38,5.00,6.00,6.00,303,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',962,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017073,1.00,4.00,2.00,7.00,4.00,9.75,3.00,5.00,2.00,425,NULL,421,'BELA VISTA','S JOSÉ','SC',16435,58,NULL,16,NULL,NULL,NULL,4,1),(28,7017081,4.00,9.00,3.00,7.00,6.00,8.25,3.00,7.00,5.00,9,NULL,NULL,'VILA CLEMENTINO','S PAULO','SP',2950,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017090,2.00,5.00,2.00,2.00,6.00,6.00,2.00,5.00,3.00,304,NULL,NULL,'JARDIM BOM TEMPO','TABOÃO SERRA','SP',13434,101,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017111,1.00,2.00,2.00,5.00,4.00,9.00,2.00,3.00,1.00,103,NULL,NULL,'JARDIM ATLÂNTICO','S JOSÉ','SC',16949,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7017120,8.00,7.00,2.00,8.00,8.00,10.88,6.00,6.00,7.00,103,NULL,NULL,'CENTRO','MAFRA','SC',793,466,NULL,NULL,NULL,NULL,NULL,2,17),(28,7017138,4.00,7.00,5.00,4.00,4.00,9.75,2.00,7.00,5.00,211,NULL,601,'VARGEM GRANDE','FLORIANÓPOLIS','SC',5319,132,NULL,100,NULL,NULL,NULL,4,1),(28,7017146,3.00,6.00,3.00,6.00,4.00,10.50,1.00,4.00,5.00,103,NULL,NULL,'DESVIO RIZZO','CAXIAS SUL','RS',7272,1798,NULL,NULL,NULL,NULL,NULL,2,1),(28,7017154,4.00,9.00,2.00,7.00,6.00,8.25,4.00,7.00,5.00,201,NULL,601,'ATIRADORES','JOINVILLE','SC',3637,281,NULL,54,NULL,NULL,NULL,4,8),(28,7017162,0.00,4.00,0.00,3.00,4.00,NULL,0.00,1.00,1.00,108,NULL,NULL,'PASSO MANSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7017170,0.00,4.00,3.00,4.00,8.00,NULL,2.00,4.00,3.00,303,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7017189,3.00,5.00,1.00,5.00,3.00,6.75,2.00,6.00,4.00,340,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',13482,361,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017197,2.00,8.00,3.00,7.00,8.00,7.88,3.00,7.00,5.00,213,NULL,235,'CENTRO','RIBEIRÃO PRETO','SP',3056,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017200,1.00,4.00,2.00,3.00,6.00,8.63,3.00,4.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17261,333,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017227,3.00,7.00,1.00,7.00,8.00,9.00,3.00,8.00,5.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',6798,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7017235,0.00,4.00,3.00,4.00,3.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'RIO MORTO','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7017251,5.00,7.00,4.00,7.00,9.00,9.00,5.00,7.00,6.00,340,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',1891,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017260,0.00,3.00,1.00,7.00,4.00,7.13,2.00,5.00,1.00,238,NULL,203,'KOBRASOL','S JOSÉ','SC',19392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017278,2.00,4.00,3.00,4.00,2.00,NULL,2.00,3.00,3.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017286,1.00,7.00,2.00,6.00,7.00,8.63,4.00,4.00,4.00,654,NULL,NULL,'ANDREATA','S MIGUEL OESTE','SC',8899,11,NULL,NULL,NULL,NULL,NULL,4,27),(28,7017308,0.00,3.00,2.00,7.00,6.00,7.50,3.00,4.00,3.00,333,NULL,NULL,'NOVA JABOTICABAL','JABOTICABAL','SP',12928,73,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017316,6.00,7.00,2.00,8.00,9.00,10.13,3.00,8.00,7.00,103,NULL,NULL,'VILA SANTA ISABEL','MARINGÁ','PR',985,546,NULL,NULL,NULL,NULL,NULL,4,8),(28,7017332,0.00,4.00,3.00,3.00,6.00,7.13,1.00,4.00,1.00,103,NULL,NULL,'JARDIM PANORAMA','RIBEIRÃO PIRES','SP',15405,2371,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017340,0.00,5.00,3.00,5.00,4.00,NULL,1.00,3.00,1.00,502,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7017359,2.00,6.00,2.00,7.00,9.00,8.25,2.00,6.00,5.00,104,NULL,NULL,'PRÓSPERA','CRICIÚMA','SC',4896,90,NULL,NULL,NULL,NULL,NULL,4,5),(28,7017367,1.00,4.00,3.00,7.00,2.00,NULL,3.00,4.00,2.00,333,NULL,NULL,'VILA FELIZ','ALM TAMANDARÉ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7017383,0.00,7.00,1.00,4.00,7.00,9.38,5.00,6.00,5.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',5039,1495,NULL,NULL,NULL,NULL,NULL,4,4),(28,7017391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7017405,6.00,8.00,7.00,7.00,7.00,11.25,7.00,7.00,8.00,103,NULL,NULL,'PARQUE VITÓRIA','S PAULO','SP',73,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017421,7.00,6.00,6.00,5.00,9.00,10.13,5.00,8.00,7.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',311,232,NULL,NULL,NULL,NULL,NULL,4,8),(28,7017430,1.00,2.00,3.00,6.00,4.00,7.50,2.00,4.00,3.00,203,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',14634,634,NULL,319,NULL,NULL,NULL,2,6),(28,7017448,1.00,8.00,2.00,7.00,7.00,7.13,2.00,7.00,4.00,216,NULL,215,'BADENFURT','BLUMENAU','SC',6077,215,NULL,88,NULL,NULL,NULL,4,2),(28,7017472,4.00,8.00,1.00,7.00,4.00,8.25,4.00,7.00,2.00,213,NULL,233,'JARDIM ELDORADO','PALHOÇA','SC',7016,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017480,2.00,6.00,2.00,7.00,6.00,7.50,3.00,4.00,6.00,201,NULL,211,'ABRAÃO','FLORIANÓPOLIS','SC',6498,NULL,NULL,176,NULL,NULL,NULL,4,1),(28,7017499,5.00,8.00,4.00,8.00,10.00,9.75,5.00,7.00,5.00,319,NULL,NULL,'SANTO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC',2251,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017502,0.00,4.00,1.00,6.00,3.00,9.38,2.00,4.00,1.00,326,NULL,NULL,'BARREIROS','S JOSÉ','SC',18907,58,NULL,NULL,NULL,NULL,NULL,2,1),(28,7017510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7017529,5.00,8.00,3.00,5.00,9.00,7.50,1.00,5.00,7.00,207,NULL,201,'ITOUPAVA NORTE','BLUMENAU','SC',4274,178,NULL,332,NULL,NULL,NULL,4,2),(28,7017545,1.00,5.00,0.00,6.00,4.00,NULL,2.00,6.00,3.00,999,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7017570,2.00,5.00,3.00,6.00,6.00,7.50,3.00,5.00,3.00,340,NULL,NULL,'CENTRO','PALHOÇA','SC',10119,282,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017588,7.00,8.00,4.00,7.00,10.00,10.88,6.00,8.00,7.00,103,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',187,146,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'INTERIOR','FAXINALZINHO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7017634,2.00,7.00,2.00,2.00,6.00,9.00,2.00,8.00,3.00,319,NULL,NULL,'LOEFFELSCHEIDT','ÁGUAS MORNAS','SC',14545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'VILA MARIA','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7017650,1.00,7.00,2.00,7.00,6.00,9.75,2.00,5.00,3.00,201,NULL,211,'SAO LOURENCO','CURITIBA','PR',7075,527,NULL,197,NULL,NULL,NULL,4,1),(28,7017669,5.00,7.00,2.00,6.00,6.00,6.75,5.00,4.00,4.00,109,NULL,NULL,'CAIEIRA DA BARRA DO','FLORIANÓPOLIS','SC',12852,42,NULL,NULL,NULL,NULL,NULL,2,1),(28,7017677,1.00,8.00,3.00,7.00,7.00,9.75,5.00,6.00,5.00,203,NULL,601,'BOM RETIRO','JOINVILLE','SC',3720,272,NULL,56,NULL,NULL,NULL,4,8),(28,7017685,3.00,6.00,1.00,7.00,6.00,9.00,2.00,7.00,1.00,318,NULL,NULL,'PRAIA DO CANTO','VITÓRIA','ES',7666,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017693,1.00,5.00,0.00,6.00,4.00,8.63,4.00,5.00,2.00,320,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',17172,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017707,3.00,8.00,3.00,6.00,9.00,8.25,6.00,6.00,4.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',3499,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7017715,1.00,3.00,2.00,4.00,5.00,6.00,2.00,5.00,2.00,601,NULL,216,'SAO CRISTOVAO','MEDIANEIRA','PR',15569,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7017723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7017740,5.00,6.00,0.00,7.00,9.00,7.88,4.00,6.00,7.00,216,NULL,233,'FLORESTA','JOINVILLE','SC',5088,193,NULL,137,NULL,NULL,NULL,4,8),(28,7017758,5.00,8.00,1.00,5.00,6.00,8.25,3.00,5.00,3.00,444,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13424,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7017766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,424,'BREMER','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7017782,2.00,5.00,2.00,3.00,8.00,9.38,4.00,5.00,6.00,207,NULL,201,'PQ PRIMEIRO DE MAIO','PIRACICABA','SP',7575,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7017790,2.00,5.00,2.00,6.00,3.00,6.38,1.00,5.00,2.00,216,NULL,215,'PARQUE DA IMPRENSA','MOGI MIRIM','SP',13179,370,NULL,225,NULL,NULL,NULL,4,1),(28,7017804,6.00,6.00,3.00,4.00,8.00,7.50,5.00,5.00,5.00,317,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4844,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017812,5.00,6.00,1.00,5.00,5.00,6.75,2.00,5.00,3.00,333,NULL,NULL,'ZONA RURAL','JUSSARA','PR',9818,55,NULL,NULL,NULL,NULL,NULL,2,1),(28,7017847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'AREAL','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7017855,3.00,4.00,2.00,5.00,5.00,6.75,5.00,3.00,3.00,211,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',16814,404,NULL,398,NULL,NULL,NULL,2,1),(28,7017863,4.00,6.00,2.00,6.00,9.00,10.50,5.00,6.00,3.00,318,NULL,NULL,'CINTRA GORDINHO','ARAÇARIGUAMA','SP',3521,11,NULL,NULL,NULL,NULL,NULL,4,22),(28,7017880,5.00,8.00,3.00,7.00,4.00,8.63,4.00,5.00,4.00,203,NULL,235,'PRAIA BRAVA','FLORIANÓPOLIS','SC',10203,NULL,NULL,167,NULL,NULL,NULL,5,1),(28,7017898,2.00,7.00,3.00,5.00,6.00,9.75,2.00,4.00,3.00,331,NULL,NULL,'FARROUPILHA','PTO ALEGRE','RS',10748,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7017910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,653,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7017928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SÃO CRISTÓVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7017936,0.00,5.00,2.00,4.00,4.00,NULL,0.00,3.00,2.00,999,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7017944,1.00,0.00,1.00,1.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(28,7017952,4.00,6.00,2.00,7.00,6.00,9.75,4.00,6.00,6.00,103,NULL,NULL,'MIRANDÓPOLIS','S PAULO','SP',2963,1131,NULL,NULL,NULL,NULL,NULL,4,1),(28,7017979,5.00,8.00,2.00,2.00,6.00,9.38,3.00,8.00,2.00,501,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',6436,16,NULL,NULL,NULL,NULL,NULL,4,17),(28,7017995,4.00,7.00,2.00,6.00,8.00,9.75,4.00,7.00,5.00,201,NULL,211,'CASTELO BRANCO','ITAPEMA','SC',2711,203,NULL,47,NULL,NULL,NULL,2,3),(28,7018002,7.00,7.00,5.00,7.00,10.00,9.38,7.00,7.00,5.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',735,445,NULL,NULL,NULL,NULL,NULL,2,1),(28,7018010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,NULL,'LIRI','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7018029,2.00,6.00,0.00,5.00,9.00,NULL,0.00,4.00,2.00,316,NULL,NULL,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7018037,4.00,7.00,3.00,6.00,9.00,8.63,4.00,6.00,5.00,319,NULL,NULL,'BOSQUE','CURITIBANOS','SC',3648,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018045,2.00,6.00,2.00,2.00,4.00,7.13,3.00,6.00,3.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12332,346,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018053,1.00,6.00,2.00,5.00,8.00,12.38,4.00,6.00,6.00,216,NULL,214,'PARQUE TAMANDARÉ','CAMPOS GOYTACAZES','RJ',4576,175,NULL,153,NULL,NULL,NULL,4,1),(28,7018061,2.00,4.00,3.00,6.00,4.00,10.13,0.00,4.00,2.00,340,NULL,NULL,'JARDIM MARINGÁ','SINOP','MT',14116,377,NULL,NULL,NULL,NULL,NULL,4,8),(28,7018088,0.00,4.00,2.00,6.00,9.00,NULL,1.00,3.00,3.00,303,NULL,NULL,'VILA BEATRIZ','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7018096,1.00,3.00,3.00,3.00,4.00,7.13,2.00,4.00,1.00,652,NULL,655,'DIVINÉIA','ARARANGUÁ','SC',19379,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7018100,0.00,3.00,2.00,2.00,5.00,5.25,2.00,2.00,1.00,216,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018118,7.00,6.00,5.00,5.00,8.00,8.25,4.00,6.00,7.00,201,NULL,214,'MIRANDOPOLIS','S PAULO','SP',1281,71,NULL,NULL,NULL,NULL,NULL,4,4),(28,7018126,1.00,5.00,2.00,7.00,6.00,7.88,1.00,2.00,2.00,415,NULL,NULL,'PINHEIRA','PALHOÇA','SC',13141,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7018142,1.00,3.00,0.00,6.00,3.00,4.88,1.00,6.00,0.00,103,NULL,NULL,'CENTRO','PTE SERRADA','SC',18108,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7018150,0.00,5.00,3.00,3.00,4.00,6.00,1.00,3.00,2.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018169,3.00,5.00,2.00,4.00,4.00,7.50,4.00,3.00,4.00,208,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',13115,146,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018177,4.00,7.00,1.00,7.00,7.00,9.75,5.00,6.00,5.00,103,NULL,NULL,'JARDIM DAS ROSAS','ESPÍRITO STO PINHAL','SP',3398,1224,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'VILA BELMIRO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7018193,2.00,5.00,3.00,4.00,8.00,7.50,2.00,5.00,1.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',16706,564,NULL,NULL,NULL,NULL,NULL,2,1),(28,7018207,1.00,6.00,2.00,6.00,7.00,8.25,3.00,5.00,2.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018215,6.00,5.00,5.00,6.00,6.00,7.50,8.00,5.00,5.00,216,NULL,233,'VILA FORMOSA','BLUMENAU','SC',3075,110,NULL,72,NULL,NULL,NULL,4,2),(28,7018223,3.00,7.00,3.00,7.00,8.00,10.88,4.00,7.00,3.00,103,NULL,NULL,'CENTRO','MASSARANDUBA','SC',4425,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7018231,1.00,5.00,1.00,3.00,6.00,9.75,3.00,6.00,4.00,233,NULL,214,'CENTRO','TANABI','SP',10462,247,NULL,265,NULL,NULL,NULL,4,1),(28,7018240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA CLARO','STO ANTÔNIO PLATINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7018258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'LINHA FRASSON','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7018266,1.00,6.00,0.00,4.00,9.00,9.38,1.00,5.00,3.00,203,NULL,202,'PIONEIROS CATARINENS','CASCAVEL','PR',11586,574,NULL,292,NULL,NULL,NULL,2,4),(28,7018274,4.00,7.00,0.00,6.00,9.00,8.63,4.00,6.00,5.00,207,NULL,233,'SANTA FELÍCIA','S CARLOS','SP',3951,159,NULL,103,NULL,NULL,NULL,5,1),(28,7018282,4.00,8.00,4.00,6.00,8.00,9.00,4.00,7.00,4.00,207,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',3332,127,NULL,56,NULL,NULL,NULL,4,1),(28,7018290,3.00,7.00,2.00,6.00,9.00,8.25,1.00,6.00,3.00,326,NULL,NULL,'VISTA ALEGRE','ERMO','SC',5670,12,NULL,NULL,NULL,NULL,NULL,2,15),(28,7018304,3.00,8.00,2.00,4.00,6.00,7.50,3.00,6.00,7.00,216,NULL,215,'OFICINAS','TUBARÃO','SC',6287,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7018312,4.00,7.00,2.00,6.00,7.00,9.75,3.00,7.00,5.00,999,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7018339,1.00,8.00,1.00,3.00,4.00,6.38,2.00,6.00,2.00,216,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',13394,373,NULL,290,NULL,NULL,NULL,4,1),(28,7018347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'VILA IDEPENDENCIA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7018355,0.00,3.00,1.00,6.00,4.00,9.38,1.00,3.00,2.00,102,NULL,NULL,'BELA BISTA','S JOAQUIM','SC',19022,179,NULL,NULL,NULL,NULL,NULL,2,9),(28,7018363,4.00,7.00,4.00,5.00,7.00,9.00,4.00,5.00,5.00,5,NULL,NULL,'VILA REZENDE','PIRACICABA','SP',3013,106,NULL,NULL,NULL,NULL,NULL,2,1),(28,7018371,5.00,6.00,3.00,6.00,8.00,10.13,7.00,6.00,7.00,216,NULL,235,'JARDIM AMÉRICA','RIO SUL','SC',3286,121,NULL,54,NULL,NULL,NULL,2,24),(28,7018401,5.00,7.00,2.00,5.00,6.00,8.63,2.00,5.00,3.00,203,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6849,421,NULL,NULL,NULL,NULL,NULL,4,6),(28,7018410,1.00,4.00,0.00,6.00,2.00,NULL,6.00,2.00,3.00,3,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7018428,3.00,9.00,1.00,7.00,10.00,9.00,3.00,5.00,5.00,103,NULL,NULL,'PAES LEME','IMBITUBA','SC',3148,1169,NULL,NULL,NULL,NULL,NULL,4,10),(28,7018436,2.00,8.00,2.00,6.00,6.00,10.50,4.00,4.00,5.00,303,NULL,NULL,'JA ALAMO','GUARULHOS','SP',5826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018444,3.00,9.00,4.00,7.00,9.00,9.00,2.00,5.00,7.00,303,NULL,NULL,'FREI ROGÉRIO','LAGES','SC',2544,108,NULL,NULL,NULL,NULL,NULL,4,9),(28,7018452,2.00,4.00,2.00,6.00,5.00,7.50,1.00,2.00,1.00,317,NULL,NULL,'CENTRO','GALVÃO','SC',15160,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7018460,1.00,6.00,3.00,7.00,5.00,6.38,1.00,5.00,2.00,203,NULL,201,'JARDIM AMERICA','ITUPORANGA','SC',17114,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7018479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7018487,3.00,7.00,3.00,7.00,6.00,9.00,2.00,5.00,6.00,103,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',7898,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7018495,0.00,1.00,1.00,3.00,5.00,5.63,3.00,3.00,2.00,5,NULL,NULL,'CINQUENTENARIO','CONCÓRDIA','SC',16423,439,NULL,NULL,NULL,NULL,NULL,2,4),(28,7018509,4.00,7.00,2.00,5.00,8.00,8.25,3.00,6.00,4.00,454,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5472,78,NULL,NULL,NULL,NULL,NULL,1,1),(28,7018517,3.00,4.00,3.00,6.00,5.00,7.50,3.00,5.00,3.00,102,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',15914,148,NULL,NULL,NULL,NULL,NULL,2,1),(28,7018525,5.00,0.00,1.00,7.00,9.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(28,7018533,0.00,6.00,3.00,3.00,5.00,7.13,0.00,5.00,3.00,316,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',13878,168,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018550,2.00,6.00,3.00,6.00,7.00,10.13,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',2636,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7018568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7018576,0.00,2.00,4.00,4.00,6.00,5.63,2.00,3.00,4.00,404,NULL,NULL,'PROGRESSO','LAGUNA','SC',18226,60,NULL,NULL,NULL,NULL,NULL,2,1),(28,7018584,4.00,7.00,3.00,5.00,7.00,10.50,4.00,5.00,7.00,207,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',3041,111,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018592,3.00,5.00,2.00,5.00,7.00,7.50,4.00,7.00,4.00,301,NULL,NULL,'CENTRO','GAROPABA','SC',8910,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7018606,1.00,4.00,1.00,6.00,5.00,6.75,1.00,4.00,1.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',15406,302,NULL,NULL,NULL,NULL,NULL,2,1),(28,7018614,3.00,8.00,0.00,7.00,9.00,11.25,4.00,7.00,2.00,415,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',8365,132,NULL,NULL,NULL,NULL,NULL,2,1),(28,7018622,5.00,7.00,1.00,7.00,8.00,10.13,4.00,5.00,5.00,220,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',2969,85,NULL,84,NULL,NULL,NULL,4,1),(28,7018630,3.00,6.00,1.00,7.00,6.00,9.38,4.00,4.00,3.00,319,NULL,NULL,'JARDIM TROPICAL','OURINHOS','SP',8746,150,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018649,3.00,7.00,2.00,7.00,8.00,7.13,3.00,5.00,7.00,104,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',5089,94,NULL,NULL,NULL,NULL,NULL,2,1),(28,7018657,2.00,3.00,1.00,2.00,4.00,8.25,4.00,1.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16594,444,NULL,NULL,NULL,NULL,NULL,2,1),(28,7018665,0.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','ARVOREDO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(28,7018673,7.00,7.00,6.00,6.00,8.00,7.13,5.00,6.00,7.00,203,NULL,202,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1433,133,NULL,35,NULL,NULL,NULL,4,1),(28,7018681,4.00,4.00,4.00,6.00,6.00,10.50,2.00,4.00,3.00,999,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7018690,5.00,8.00,2.00,6.00,7.00,4.50,5.00,6.00,3.00,108,NULL,NULL,'VALPARAISO','BLUMENAU','SC',6291,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7018703,7.00,6.00,4.00,5.00,7.00,7.13,4.00,6.00,3.00,303,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',5485,255,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018711,4.00,7.00,0.00,7.00,9.00,4.88,2.00,4.00,2.00,450,NULL,NULL,'INTERCAP','TABOÃO SERRA','SP',9773,79,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018720,0.00,2.00,2.00,3.00,5.00,5.25,3.00,2.00,2.00,224,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7018738,4.00,5.00,4.00,6.00,8.00,7.88,6.00,6.00,7.00,213,NULL,233,'GONZAGA','SANTOS','SP',3200,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018746,1.00,7.00,1.00,6.00,8.00,9.38,5.00,2.00,2.00,301,NULL,NULL,'CENTRO','CHAPECÓ','SC',8496,93,NULL,NULL,NULL,NULL,NULL,2,4),(28,7018754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ANDRADINA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7018770,4.00,6.00,2.00,7.00,9.00,9.00,4.00,5.00,6.00,303,NULL,NULL,'PALMITAL','CHAPECÓ','SC',4694,217,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018789,1.00,3.00,1.00,4.00,3.00,8.25,0.00,3.00,2.00,102,NULL,NULL,'SANTO ANTONIO','CRICIÚMA','SC',19830,184,NULL,NULL,NULL,NULL,NULL,5,5),(28,7018797,3.00,7.00,2.00,7.00,5.00,6.75,3.00,6.00,2.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14992,103,NULL,NULL,NULL,NULL,NULL,2,1),(28,7018800,5.00,7.00,3.00,7.00,9.00,9.38,4.00,6.00,6.00,207,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',2781,96,NULL,50,NULL,NULL,NULL,4,1),(28,7018819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,601,'BARRA SUL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7018827,5.00,8.00,5.00,3.00,7.00,9.38,3.00,6.00,7.00,5,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',3112,112,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018835,3.00,7.00,5.00,4.00,5.00,7.88,4.00,5.00,2.00,110,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',14058,56,NULL,NULL,NULL,NULL,NULL,2,1),(28,7018843,2.00,3.00,0.00,2.00,4.00,6.38,2.00,4.00,2.00,301,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PARQUE BITARU','S VICENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7018860,2.00,3.00,2.00,4.00,3.00,6.00,1.00,5.00,3.00,301,NULL,NULL,'CENTRO','CHAPECÓ','SC',18809,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7018878,3.00,8.00,3.00,7.00,7.00,9.00,5.00,7.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3006,140,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018894,5.00,5.00,3.00,6.00,6.00,9.75,1.00,6.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7112,116,NULL,NULL,NULL,NULL,NULL,2,1),(28,7018908,4.00,7.00,6.00,6.00,8.00,8.25,5.00,4.00,4.00,201,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',3370,254,NULL,74,NULL,NULL,NULL,4,1),(28,7018916,0.00,4.00,0.00,0.00,0.00,NULL,2.00,5.00,2.00,999,NULL,NULL,'LAGOA DA CCONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7018932,7.00,8.00,9.00,6.00,10.00,10.13,8.00,8.00,8.00,103,NULL,NULL,'JARDIM ESPLENDOR','INDAIATUBA','SP',24,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7018959,6.00,8.00,1.00,5.00,9.00,8.25,4.00,7.00,5.00,303,NULL,NULL,'SANTANA','RIO SUL','SC',2739,125,NULL,NULL,NULL,NULL,NULL,4,24),(28,7018967,0.00,2.00,1.00,3.00,2.00,NULL,0.00,2.00,1.00,601,NULL,NULL,'CENTRO','CASTRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7018991,2.00,4.00,3.00,6.00,5.00,7.13,2.00,5.00,3.00,336,NULL,NULL,'JARDIM TENDÁ','PTO FELIZ','SP',10794,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019017,3.00,4.00,2.00,6.00,6.00,7.13,4.00,4.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9202,120,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019025,3.00,4.00,2.00,5.00,5.00,6.75,2.00,4.00,4.00,102,NULL,NULL,'SERRARIA','S JOSÉ','SC',13651,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7019041,6.00,7.00,3.00,7.00,7.00,10.13,5.00,6.00,7.00,103,NULL,NULL,'CUMBICA','GUARULHOS','SP',1571,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7019076,0.00,4.00,3.00,4.00,6.00,NULL,1.00,4.00,2.00,207,NULL,201,'JARDIM ICARAÍ','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7019084,5.00,8.00,4.00,7.00,8.00,9.75,5.00,7.00,6.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',747,449,NULL,NULL,NULL,NULL,NULL,4,5),(28,7019092,5.00,8.00,4.00,7.00,6.00,8.25,4.00,5.00,7.00,201,NULL,207,'ITACORUBI','FLORIANÓPOLIS','SC',3551,273,NULL,140,NULL,NULL,NULL,4,1),(28,7019106,5.00,6.00,3.00,7.00,9.00,10.13,3.00,6.00,6.00,319,NULL,NULL,'BELA VISTA III','S JOSÉ','SC',2975,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SOSSEGO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7019122,1.00,6.00,4.00,7.00,5.00,9.38,1.00,5.00,5.00,999,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7019149,0.00,7.00,2.00,6.00,8.00,4.50,4.00,6.00,3.00,103,NULL,NULL,'SÃO MARCOS','JOINVILLE','SC',10679,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7019157,3.00,5.00,3.00,4.00,2.00,NULL,1.00,3.00,1.00,207,NULL,211,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7019165,1.00,5.00,1.00,2.00,3.00,6.75,2.00,4.00,1.00,999,NULL,NULL,'TAPAJÓS','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7019173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7019181,4.00,7.00,3.00,7.00,8.00,9.75,5.00,7.00,7.00,103,NULL,NULL,'CAMPO DE FORA','LAGUNA','SC',2054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7019190,4.00,8.00,6.00,6.00,7.00,10.13,5.00,6.00,6.00,201,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',2373,170,NULL,54,NULL,NULL,NULL,4,1),(28,7019203,2.00,4.00,2.00,4.00,5.00,6.75,3.00,4.00,2.00,215,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',18416,286,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019211,5.00,6.00,1.00,6.00,8.00,10.13,3.00,4.00,5.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',4465,1416,NULL,NULL,NULL,NULL,NULL,4,8),(28,7019220,2.00,6.00,3.00,4.00,8.00,9.00,0.00,6.00,2.00,207,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',15517,683,NULL,255,NULL,NULL,NULL,2,1),(28,7019254,5.00,8.00,3.00,7.00,7.00,10.88,3.00,6.00,5.00,103,NULL,NULL,'JARDIM OURO VERDE','OURINHOS','SP',1698,806,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019262,5.00,4.00,4.00,7.00,5.00,12.38,1.00,6.00,3.00,340,NULL,NULL,'VILA CLEMENTINO','S PAULO','SP',4828,120,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019270,1.00,4.00,4.00,5.00,5.00,7.13,2.00,5.00,2.00,208,NULL,NULL,'GUARDA','TUBARÃO','SC',14200,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7019289,5.00,8.00,1.00,7.00,10.00,12.00,3.00,7.00,5.00,103,NULL,NULL,'CERQUEIRA CÉSAR','S PAULO','SP',2406,995,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019297,5.00,7.00,1.00,6.00,8.00,8.63,2.00,7.00,5.00,207,NULL,211,'MEIA PRAIA','ITAPEMA','SC',3535,138,NULL,83,NULL,NULL,NULL,4,3),(28,7019319,1.00,5.00,1.00,6.00,4.00,8.25,2.00,5.00,2.00,238,NULL,211,'CENTRO','URUBICI','SC',17826,310,NULL,415,NULL,NULL,NULL,2,1),(28,7019327,4.00,5.00,6.00,6.00,6.00,7.13,5.00,5.00,5.00,234,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',5304,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019335,6.00,8.00,4.00,7.00,10.00,9.00,5.00,6.00,8.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',586,385,NULL,NULL,NULL,NULL,NULL,4,8),(28,7019343,3.00,6.00,2.00,4.00,5.00,7.88,3.00,3.00,2.00,450,NULL,NULL,'TIJUCO DAS TELHAS','CAMPINAS','SP',9437,73,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019351,7.00,8.00,4.00,6.00,10.00,11.25,5.00,7.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',227,175,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019378,1.00,4.00,3.00,7.00,3.00,8.25,3.00,6.00,1.00,303,NULL,NULL,'SALTO','BLUMENAU','SC',17437,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7019386,1.00,3.00,1.00,3.00,4.00,4.50,1.00,3.00,2.00,101,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',18774,124,NULL,NULL,NULL,NULL,NULL,2,1),(28,7019394,1.00,5.00,3.00,4.00,7.00,7.13,3.00,5.00,3.00,999,NULL,NULL,'COLATTO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7019408,4.00,6.00,4.00,6.00,6.00,7.13,5.00,5.00,7.00,336,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',5128,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7019416,3.00,5.00,2.00,3.00,8.00,9.00,2.00,4.00,5.00,216,NULL,215,'DISTRITO INDUSTRIAL','CARAZINHO','RS',8648,283,NULL,149,NULL,NULL,NULL,4,1),(28,7019424,2.00,5.00,3.00,6.00,8.00,8.63,4.00,3.00,4.00,5,NULL,NULL,'CENTRO','CHAPECÓ','SC',8547,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7019432,0.00,5.00,3.00,2.00,5.00,NULL,2.00,2.00,1.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7019440,5.00,6.00,2.00,5.00,6.00,7.13,3.00,4.00,4.00,552,NULL,NULL,'FAZENDA','ITAJAÍ','SC',7332,11,NULL,NULL,NULL,NULL,NULL,4,6),(28,7019475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7019491,2.00,4.00,1.00,3.00,7.00,7.88,3.00,3.00,2.00,601,NULL,216,'BOA VISTA','JOINVILLE','SC',12628,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7019505,0.00,4.00,2.00,7.00,5.00,NULL,1.00,6.00,2.00,454,NULL,NULL,'JARDIM PRIMVAVERA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7019513,4.00,8.00,1.00,4.00,4.00,7.88,3.00,6.00,4.00,201,NULL,655,'CENTRO','CAMPOS NOVOS','SC',6879,519,NULL,22,NULL,NULL,NULL,4,7),(28,7019521,5.00,6.00,3.00,6.00,6.00,7.88,5.00,4.00,3.00,601,NULL,NULL,'BOA VISTA','JOINVILLE','SC',6919,149,NULL,NULL,NULL,NULL,NULL,4,8),(28,7019530,4.00,4.00,1.00,7.00,5.00,7.88,1.00,3.00,3.00,203,NULL,201,'VILA JONES','AMERICANA','SP',11368,566,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019548,1.00,6.00,4.00,6.00,8.00,10.50,3.00,6.00,4.00,415,NULL,NULL,'KOBRASOL','S JOSÉ','SC',5701,87,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019556,0.00,7.00,1.00,2.00,6.00,7.88,2.00,2.00,3.00,216,NULL,201,'FREI ROGERIO','LAGES','SC',15470,408,NULL,NULL,NULL,NULL,NULL,2,9),(28,7019564,1.00,8.00,2.00,6.00,8.00,8.63,2.00,6.00,4.00,340,NULL,NULL,'GUANABARA','LONDRINA','PR',6503,168,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019572,2.00,1.00,2.00,2.00,3.00,2.63,3.00,2.00,2.00,999,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7019599,5.00,6.00,3.00,7.00,6.00,7.88,5.00,4.00,6.00,999,NULL,NULL,'BOSQUE DAS MANSÕES','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019602,3.00,7.00,2.00,7.00,6.00,8.63,3.00,7.00,4.00,655,NULL,653,'TERMAS DO GRAVATAL','GRAVATAL','SC',10039,47,NULL,101,NULL,NULL,NULL,4,10),(28,7019629,0.00,3.00,1.00,6.00,5.00,7.88,1.00,4.00,2.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14503,296,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019637,2.00,3.00,1.00,3.00,3.00,6.38,1.00,5.00,3.00,103,NULL,NULL,'SÃO JOÃO','CORREIA PINTO','SC',18331,2483,NULL,NULL,NULL,NULL,NULL,4,23),(28,7019645,3.00,7.00,3.00,6.00,6.00,9.38,3.00,5.00,3.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019653,0.00,3.00,3.00,5.00,2.00,NULL,1.00,3.00,2.00,440,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7019661,4.00,5.00,3.00,5.00,5.00,7.88,4.00,3.00,1.00,103,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',12309,2219,NULL,NULL,NULL,NULL,NULL,4,23),(28,7019688,1.00,2.00,1.00,5.00,3.00,6.75,3.00,3.00,3.00,215,NULL,601,'SÃO JUDAS','ITAJAÍ','SC',19393,296,NULL,546,NULL,NULL,NULL,2,6),(28,7019696,4.00,3.00,3.00,6.00,5.00,7.88,1.00,3.00,5.00,454,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',10762,206,NULL,NULL,NULL,NULL,NULL,2,1),(28,7019700,0.00,6.00,2.00,6.00,6.00,8.25,3.00,3.00,3.00,201,NULL,203,'CENTRO','PALMITOS','SC',10633,703,NULL,551,NULL,NULL,NULL,4,4),(28,7019718,3.00,4.00,3.00,6.00,6.00,7.13,1.00,4.00,4.00,454,NULL,NULL,'CENTRO','TIJUCAS','SC',9512,176,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019726,1.00,5.00,1.00,4.00,6.00,8.63,1.00,4.00,2.00,415,NULL,NULL,'CENTRO','MIRASSOL','SP',13477,220,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019734,2.00,5.00,1.00,6.00,8.00,9.00,2.00,5.00,2.00,9,NULL,NULL,'CHACARA FABIANA','BIGUAÇU','SC',8936,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7019742,4.00,5.00,2.00,6.00,8.00,7.50,1.00,4.00,3.00,104,NULL,NULL,'LINHA PROGRESSO','CUNHA PORÃ','SC',9250,224,NULL,NULL,NULL,NULL,NULL,4,4),(28,7019750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NAÇÕES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,25),(28,7019769,1.00,7.00,1.00,5.00,10.00,7.88,1.00,5.00,4.00,211,NULL,202,'CENTRO','RIO SUL','SC',13359,341,NULL,NULL,NULL,NULL,NULL,2,24),(28,7019777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7019785,4.00,8.00,4.00,2.00,7.00,7.88,7.00,7.00,4.00,207,NULL,201,'RIO TAVARES','FLORIANÓPOLIS','SC',3193,117,NULL,240,NULL,NULL,NULL,4,1),(28,7019793,2.00,7.00,4.00,8.00,6.00,9.38,4.00,6.00,4.00,238,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',8812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019807,8.00,8.00,6.00,6.00,10.00,9.00,6.00,6.00,6.00,216,NULL,601,'ANITA GARIBALDI','JOINVILLE','SC',648,13,NULL,NULL,NULL,NULL,NULL,4,8),(28,7019815,5.00,4.00,2.00,3.00,5.00,6.75,3.00,3.00,3.00,601,NULL,203,'PROGRESSO','S BENTO SUL','SC',13395,404,NULL,NULL,NULL,NULL,NULL,4,8),(28,7019823,4.00,6.00,3.00,4.00,5.00,7.13,2.00,6.00,4.00,238,NULL,655,'JOÃO PAULO','FLORIANÓPOLIS','SC',10140,143,NULL,49,NULL,NULL,NULL,4,1),(28,7019831,8.00,8.00,7.00,7.00,8.00,9.00,6.00,8.00,7.00,201,NULL,203,'PERDIZES','S PAULO','SP',107,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019840,0.00,2.00,2.00,4.00,3.00,NULL,2.00,4.00,0.00,601,NULL,215,'BUAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7019858,4.00,7.00,4.00,5.00,6.00,6.75,4.00,4.00,3.00,212,NULL,213,'CENTRO','PALHOÇA','SC',7117,222,NULL,119,NULL,NULL,NULL,2,1),(28,7019866,1.00,5.00,3.00,7.00,5.00,NULL,4.00,6.00,0.00,235,NULL,220,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019912,5.00,6.00,4.00,7.00,7.00,8.63,4.00,6.00,6.00,103,NULL,NULL,'JARDIM LUCIANA','S JOSÉ R PARDO','SP',1441,725,NULL,NULL,NULL,NULL,NULL,4,1),(28,7019920,1.00,5.00,2.00,6.00,5.00,6.38,1.00,3.00,1.00,103,NULL,NULL,'JARDIM DOS EUCALIPTO','MUCURI','BA',14797,2341,NULL,NULL,NULL,NULL,NULL,4,6),(28,7019947,1.00,4.00,2.00,7.00,8.00,7.13,0.00,4.00,3.00,415,NULL,NULL,'MAR GROSSO','LAGUNA','SC',12017,196,NULL,NULL,NULL,NULL,NULL,4,10),(28,7019955,4.00,6.00,4.00,6.00,8.00,6.75,3.00,6.00,6.00,216,NULL,233,'FLORESTA','JOINVILLE','SC',5436,NULL,NULL,145,NULL,NULL,NULL,4,8),(28,7019963,5.00,5.00,2.00,4.00,8.00,9.38,5.00,4.00,6.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',4325,1390,NULL,NULL,NULL,NULL,NULL,4,8),(28,7019971,3.00,8.00,1.00,7.00,3.00,10.50,3.00,4.00,4.00,211,NULL,233,'CENTRO','S JOÃO BATISTA','SC',13803,347,NULL,294,NULL,NULL,NULL,2,1),(28,7019980,4.00,6.00,1.00,6.00,8.00,8.25,3.00,6.00,5.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5689,144,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020015,1.00,5.00,0.00,2.00,3.00,6.00,3.00,4.00,1.00,454,NULL,NULL,'JARDIM BELA VISTA','MARINGÁ','PR',19928,397,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020023,5.00,8.00,4.00,8.00,8.00,9.38,3.00,8.00,7.00,103,NULL,NULL,'PEDRINHAS','PTO VELHO','RO',1142,617,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020031,7.00,8.00,3.00,5.00,8.00,12.00,4.00,7.00,7.00,103,NULL,NULL,'PARAÍSO','S PAULO','SP',580,382,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020040,3.00,7.00,1.00,6.00,8.00,9.38,2.00,3.00,4.00,301,NULL,NULL,'SENHORA APARECIDA','S JOSÉ R PRETO','SP',6456,58,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020058,1.00,6.00,4.00,6.00,6.00,11.25,2.00,6.00,3.00,337,NULL,NULL,'CENTRO','ITUPORANGA','SC',7040,8,NULL,NULL,NULL,NULL,NULL,4,24),(28,7020074,1.00,5.00,4.00,3.00,3.00,7.50,3.00,3.00,4.00,202,NULL,201,'PRAIA DE FORA','PALHOÇA','SC',18061,386,NULL,NULL,NULL,NULL,NULL,2,1),(28,7020082,2.00,7.00,1.00,7.00,6.00,9.00,4.00,5.00,3.00,110,NULL,NULL,'SANTOS DUMMONT','S JOSÉ','SC',8721,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020090,6.00,7.00,5.00,7.00,9.00,8.63,7.00,7.00,6.00,203,NULL,235,'LOTE SEIS','CRICIÚMA','SC',804,78,NULL,1,NULL,NULL,NULL,4,5),(28,7020112,6.00,7.00,3.00,6.00,8.00,6.38,4.00,7.00,5.00,235,NULL,213,'SACO DO LIMÕES','FLORIANÓPOLIS','SC',2991,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020139,4.00,6.00,4.00,7.00,8.00,7.88,5.00,7.00,7.00,103,NULL,NULL,'BOSQUE DAS MANSÕES','S JOSÉ','SC',1339,692,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020147,5.00,8.00,2.00,8.00,8.00,7.50,3.00,5.00,3.00,207,NULL,201,'JARDIM SEVILHA','BRAGANÇA PAULISTA','SP',4404,184,NULL,NULL,NULL,NULL,NULL,3,1),(28,7020155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'COHAB I','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7020163,2.00,0.00,2.00,5.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(28,7020171,6.00,7.00,3.00,6.00,6.00,7.50,3.00,7.00,5.00,201,NULL,601,'CENTRO','JARAGUÁ SUL','SC',3889,299,NULL,60,NULL,NULL,NULL,2,23),(28,7020180,4.00,5.00,4.00,5.00,4.00,7.88,3.00,4.00,3.00,552,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7020198,8.00,7.00,2.00,6.00,9.00,11.63,4.00,6.00,7.00,207,NULL,NULL,'GLÓRIA','JOINVILLE','SC',1220,28,NULL,NULL,NULL,NULL,NULL,4,8),(28,7020210,0.00,3.00,2.00,5.00,5.00,9.75,2.00,4.00,2.00,215,NULL,238,'CENTRO','CAXIAS SUL','RS',15509,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7020228,7.00,8.00,5.00,6.00,6.00,7.50,3.00,7.00,5.00,103,NULL,NULL,'CHACARA INGLESA','S PAULO','SP',1604,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7020236,0.00,8.00,3.00,4.00,4.00,NULL,6.00,7.00,4.00,201,NULL,207,'SETE DE SETEMBRO','IVOTI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020244,0.00,6.00,3.00,4.00,7.00,6.38,1.00,3.00,1.00,203,NULL,235,'NAÇÕES','BAL CAMBORIÚ','SC',18868,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7020252,2.00,0.00,3.00,4.00,3.00,1.88,3.00,4.00,1.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7020279,3.00,7.00,3.00,7.00,7.00,8.63,2.00,5.00,2.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5873,116,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020287,5.00,6.00,3.00,5.00,7.00,8.63,4.00,6.00,4.00,444,NULL,NULL,'VILA AMÁLIA','S PAULO','SP',4558,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020295,3.00,6.00,0.00,7.00,5.00,NULL,3.00,6.00,3.00,203,NULL,235,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020309,0.00,2.00,3.00,6.00,6.00,NULL,2.00,2.00,1.00,303,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020317,4.00,5.00,1.00,5.00,3.00,8.63,3.00,2.00,2.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13673,65,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020325,3.00,5.00,1.00,4.00,5.00,7.13,2.00,5.00,4.00,202,NULL,233,'CENTRO','ITAJAÍ','SC',16828,373,NULL,330,NULL,NULL,NULL,2,6),(28,7020333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'SOL NASCENTE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7020341,1.00,5.00,3.00,6.00,6.00,6.00,1.00,7.00,3.00,450,NULL,NULL,'JARDIM NOVA ITÁLIA','LIMEIRA','SP',16375,119,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020350,3.00,7.00,4.00,7.00,8.00,10.13,5.00,7.00,6.00,216,NULL,203,'AGUDOS','BRAGANÇA PAULISTA','SP',1074,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020368,0.00,0.00,0.00,5.00,7.00,NULL,0.00,0.00,0.00,428,NULL,426,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7020376,1.00,1.00,2.00,1.00,4.00,6.75,0.00,2.00,2.00,9,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(28,7020384,1.00,4.00,3.00,5.00,5.00,7.88,2.00,4.00,2.00,103,NULL,NULL,'VILA NOVA','NOVO HAMBURGO','RS',14352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7020392,6.00,8.00,3.00,6.00,7.00,8.63,3.00,7.00,5.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',2254,949,NULL,NULL,NULL,NULL,NULL,2,3),(28,7020406,2.00,3.00,1.00,3.00,3.00,9.38,3.00,2.00,2.00,104,NULL,NULL,'IPIRANGA','S JOSÉ CEDRO','SC',19599,461,NULL,NULL,NULL,NULL,NULL,4,27),(28,7020414,6.00,7.00,2.00,6.00,7.00,7.13,5.00,4.00,5.00,207,NULL,211,'CARVOEIRA','FLORIANÓPOLIS','SC',5514,245,NULL,139,NULL,NULL,NULL,4,1),(28,7020422,1.00,2.00,2.00,5.00,0.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'CENTRO','BRASNORTE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020430,0.00,5.00,0.00,6.00,6.00,7.50,2.00,4.00,3.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',13303,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7020449,3.00,7.00,2.00,6.00,8.00,6.75,1.00,6.00,2.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9755,119,NULL,NULL,NULL,NULL,NULL,2,1),(28,7020457,1.00,6.00,2.00,6.00,5.00,9.38,5.00,3.00,3.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',8580,1960,NULL,NULL,NULL,NULL,NULL,4,8),(28,7020465,6.00,5.00,2.00,6.00,5.00,8.25,2.00,4.00,3.00,999,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7020481,1.00,4.00,0.00,2.00,5.00,8.63,1.00,3.00,1.00,108,NULL,NULL,'PASSAGEM','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7020490,4.00,7.00,1.00,7.00,8.00,6.75,2.00,4.00,4.00,216,NULL,215,'SOUZA CRUZ','BRUSQUE','SC',7347,247,NULL,117,NULL,NULL,NULL,2,22),(28,7020503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7020511,2.00,6.00,1.00,5.00,3.00,8.25,2.00,3.00,2.00,211,NULL,601,'SANTA CANDIDA','LAGES','SC',15779,391,NULL,467,NULL,NULL,NULL,2,9),(28,7020538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PEDRINHAS','PTO VELHO','RO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7020546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7020554,2.00,4.00,1.00,7.00,7.00,9.75,3.00,4.00,2.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14336,380,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020562,3.00,5.00,1.00,3.00,5.00,8.25,3.00,5.00,2.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12285,80,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020589,0.00,4.00,4.00,1.00,1.00,NULL,2.00,2.00,2.00,201,NULL,207,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7020597,1.00,3.00,2.00,5.00,7.00,9.00,1.00,4.00,3.00,103,NULL,NULL,'SANTO ANDRÉ','CAPIVARI BAIXO','SC',12708,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7020600,3.00,7.00,3.00,8.00,8.00,8.25,4.00,7.00,5.00,207,NULL,216,'CENTRO','CHAPECÓ','SC',3392,132,NULL,123,NULL,NULL,NULL,4,4),(28,7020627,6.00,8.00,3.00,6.00,9.00,11.63,4.00,8.00,6.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',930,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020635,3.00,4.00,4.00,6.00,7.00,7.50,4.00,4.00,6.00,202,NULL,213,'CAPOEIRAS','FLORIANÓPOLIS','SC',8231,221,NULL,146,NULL,NULL,NULL,4,1),(28,7020643,2.00,5.00,0.00,3.00,2.00,NULL,2.00,3.00,2.00,238,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7020651,1.00,5.00,2.00,7.00,5.00,10.13,3.00,4.00,2.00,9,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10253,58,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020660,2.00,3.00,2.00,2.00,4.00,0.00,0.00,2.00,1.00,303,NULL,NULL,'ARIRIBA','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7020678,1.00,1.00,3.00,5.00,2.00,NULL,0.00,3.00,1.00,601,NULL,201,'PIRABEIRABA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7020686,0.00,5.00,2.00,7.00,7.00,9.38,3.00,5.00,2.00,103,NULL,NULL,'CENTRO','VARGEÃO','SC',16379,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7020694,5.00,7.00,3.00,7.00,5.00,7.88,2.00,6.00,0.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13974,98,NULL,NULL,NULL,NULL,NULL,2,1),(28,7020716,4.00,7.00,5.00,5.00,6.00,9.00,3.00,6.00,4.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',3917,1309,NULL,NULL,NULL,NULL,NULL,2,2),(28,7020724,0.00,5.00,0.00,6.00,4.00,NULL,2.00,3.00,3.00,601,NULL,201,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7020732,1.00,2.00,1.00,3.00,5.00,6.75,5.00,4.00,1.00,340,NULL,NULL,'VILA NOVA','BRAÇO NORTE','SC',19337,427,NULL,NULL,NULL,NULL,NULL,2,10),(28,7020759,3.00,5.00,2.00,5.00,5.00,8.63,4.00,4.00,6.00,552,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',9738,32,NULL,NULL,NULL,NULL,NULL,2,1),(28,7020767,1.00,6.00,1.00,6.00,8.00,11.63,1.00,5.00,1.00,104,NULL,NULL,'SÃO MIGUEL','BIGUAÇU','SC',11429,280,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020775,3.00,5.00,2.00,5.00,7.00,9.00,5.00,5.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6383,1683,NULL,NULL,NULL,NULL,NULL,4,4),(28,7020783,3.00,6.00,3.00,6.00,8.00,8.63,3.00,6.00,3.00,103,NULL,NULL,'CENTRO','STA CRUZ SUL','RS',6006,1627,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020791,3.00,8.00,4.00,7.00,10.00,10.13,4.00,5.00,3.00,319,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',3609,48,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020805,0.00,3.00,2.00,4.00,2.00,NULL,3.00,1.00,1.00,440,NULL,NULL,'APEADOURO','S LUÍS','MA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7020813,4.00,7.00,0.00,6.00,10.00,8.63,2.00,4.00,3.00,340,NULL,NULL,'BOSQUE','PRES PRUDENTE','SP',5620,143,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020821,6.00,7.00,4.00,5.00,5.00,9.75,3.00,7.00,3.00,450,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',4291,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020848,4.00,8.00,1.00,6.00,7.00,10.50,2.00,7.00,4.00,320,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3401,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020856,4.00,5.00,2.00,7.00,8.00,6.75,1.00,5.00,5.00,999,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,215,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7020872,5.00,6.00,3.00,5.00,11.00,9.75,3.00,6.00,8.00,303,NULL,NULL,'ATIRADORES','JOINVILLE','SC',2091,95,NULL,NULL,NULL,NULL,NULL,4,8),(28,7020880,1.00,4.00,1.00,6.00,3.00,10.88,4.00,5.00,3.00,220,NULL,202,'SANTA ISABEL','PNT PORÃ','MS',9817,242,NULL,NULL,NULL,NULL,NULL,2,1),(28,7020899,2.00,5.00,2.00,7.00,7.00,7.13,1.00,5.00,3.00,999,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7020902,4.00,6.00,1.00,6.00,6.00,6.75,3.00,2.00,6.00,208,NULL,NULL,'JD MARCOS ANTONIO','BIGUAÇU','SC',11187,119,NULL,NULL,NULL,NULL,NULL,2,1),(28,7020910,0.00,4.00,3.00,2.00,3.00,6.75,3.00,3.00,2.00,303,NULL,NULL,'VIEIRA','JARAGUÁ SUL','SC',16015,549,NULL,NULL,NULL,NULL,NULL,4,23),(28,7020929,4.00,9.00,3.00,6.00,7.00,13.50,2.00,7.00,6.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1677,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020937,3.00,5.00,2.00,6.00,5.00,NULL,0.00,4.00,1.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7020945,4.00,6.00,4.00,6.00,10.00,11.25,2.00,7.00,5.00,5,NULL,NULL,'CENTRO','PALHOÇA','SC',2993,104,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020953,6.00,9.00,6.00,7.00,10.00,8.63,5.00,7.00,7.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',216,168,NULL,NULL,NULL,NULL,NULL,2,5),(28,7020970,1.00,6.00,3.00,7.00,9.00,7.50,2.00,4.00,1.00,319,NULL,NULL,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',9169,162,NULL,NULL,NULL,NULL,NULL,4,1),(28,7020996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ALDEOTA','FORTALEZA','CE',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7021003,3.00,6.00,0.00,4.00,4.00,8.25,6.00,5.00,2.00,601,NULL,203,'AMERICA','JOINVILLE','SC',15602,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7021011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SANTA REGINA','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7021020,2.00,6.00,1.00,6.00,6.00,7.13,3.00,5.00,2.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10475,2105,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021038,2.00,6.00,2.00,8.00,7.00,7.13,2.00,2.00,4.00,208,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',15363,167,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021054,2.00,3.00,0.00,2.00,5.00,NULL,0.00,3.00,1.00,319,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7021062,2.00,4.00,2.00,1.00,5.00,9.00,2.00,4.00,3.00,308,NULL,NULL,'FLOR DE NAPOLES','S JOSÉ','SC',18766,77,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021070,3.00,6.00,0.00,5.00,7.00,9.00,2.00,5.00,4.00,5,NULL,NULL,'CENTRO','PALHOÇA','SC',14534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021089,6.00,7.00,4.00,7.00,9.00,10.13,6.00,7.00,6.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',664,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7021097,4.00,7.00,3.00,6.00,7.00,7.13,4.00,7.00,4.00,103,NULL,NULL,'JD AQUARIUS','S JOSÉ CAMPOS','SP',4708,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7021119,0.00,2.00,3.00,4.00,4.00,NULL,2.00,2.00,2.00,110,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7021127,3.00,7.00,4.00,7.00,7.00,8.63,3.00,6.00,7.00,103,NULL,NULL,'VILA FLAMBOYANT','APUCARANA','PR',2524,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7021135,1.00,3.00,4.00,6.00,6.00,6.38,2.00,4.00,1.00,340,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',14232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021143,6.00,7.00,3.00,5.00,6.00,10.13,4.00,6.00,3.00,336,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4983,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021151,4.00,4.00,2.00,3.00,7.00,7.50,2.00,6.00,2.00,103,NULL,NULL,'MARGEM ESQUERDA','GASPAR','SC',16572,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7021160,4.00,5.00,1.00,7.00,9.00,10.13,4.00,3.00,6.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',5378,99,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021178,2.00,7.00,3.00,7.00,5.00,7.88,1.00,6.00,2.00,301,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',14106,200,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021194,2.00,5.00,1.00,5.00,4.00,7.88,1.00,4.00,2.00,303,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',17925,582,NULL,NULL,NULL,NULL,NULL,2,8),(28,7021208,4.00,7.00,2.00,6.00,9.00,9.00,4.00,5.00,3.00,301,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8551,94,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021216,2.00,6.00,2.00,7.00,6.00,7.88,2.00,3.00,3.00,102,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',16114,149,NULL,NULL,NULL,NULL,NULL,2,1),(28,7021224,3.00,7.00,1.00,1.00,4.00,10.13,3.00,6.00,5.00,333,NULL,NULL,'GLORIA','JOINVILLE','SC',7722,41,NULL,NULL,NULL,NULL,NULL,4,8),(28,7021232,4.00,7.00,2.00,4.00,8.00,6.75,3.00,6.00,5.00,319,NULL,NULL,'CENTRO','ITAPEMA','SC',5814,90,NULL,NULL,NULL,NULL,NULL,4,3),(28,7021240,5.00,9.00,4.00,7.00,9.00,12.38,5.00,6.00,6.00,103,NULL,NULL,'SUDOESTE','GOIÂNIA','GO',533,356,NULL,NULL,NULL,NULL,NULL,2,1),(28,7021259,3.00,7.00,2.00,6.00,6.00,11.63,3.00,6.00,5.00,201,NULL,211,'CENTRO','GOIÂNIA','GO',3559,274,NULL,85,NULL,NULL,NULL,4,1),(28,7021267,1.00,7.00,1.00,5.00,5.00,7.88,3.00,6.00,4.00,104,NULL,NULL,'CENTRO','TUBARÃO','SC',9946,242,NULL,NULL,NULL,NULL,NULL,2,10),(28,7021275,6.00,5.00,3.00,7.00,7.00,10.13,3.00,5.00,6.00,103,NULL,NULL,'SETOR BELA VISTA','GOIÂNIA','GO',4738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7021305,0.00,1.00,2.00,5.00,4.00,8.63,0.00,1.00,3.00,207,NULL,211,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7021330,6.00,6.00,4.00,5.00,7.00,8.25,6.00,4.00,7.00,103,NULL,NULL,'VILA LEONOR','S PAULO','SP',2456,1011,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021364,1.00,3.00,2.00,4.00,6.00,8.25,2.00,4.00,2.00,216,NULL,215,'POÇO RICO','OTACÍLIO COSTA','SC',12991,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7021372,1.00,4.00,3.00,4.00,7.00,9.00,1.00,6.00,4.00,415,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15769,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7021380,4.00,6.00,2.00,6.00,10.00,9.00,3.00,6.00,3.00,203,NULL,214,'PARQUE JARDIM OURO','OURO','SC',7018,430,NULL,210,NULL,NULL,NULL,4,7),(28,7021399,2.00,6.00,1.00,7.00,8.00,8.63,1.00,6.00,5.00,207,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',8049,370,NULL,248,NULL,NULL,NULL,2,1),(28,7021402,2.00,6.00,3.00,6.00,7.00,7.88,2.00,5.00,5.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',6977,219,NULL,NULL,NULL,NULL,NULL,4,5),(28,7021410,2.00,6.00,1.00,3.00,5.00,9.00,1.00,6.00,5.00,212,NULL,201,'BRUSQUE','LAGES','SC',10337,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7021429,1.00,6.00,2.00,6.00,6.00,7.50,3.00,5.00,2.00,9,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',9239,46,NULL,NULL,NULL,NULL,NULL,2,1),(28,7021437,3.00,6.00,2.00,7.00,4.00,7.88,3.00,3.00,5.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021445,3.00,7.00,6.00,7.00,6.00,8.63,4.00,7.00,4.00,216,NULL,203,'JARDIM BELA VISTA','AMPARO','SP',3544,131,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021453,4.00,8.00,3.00,6.00,10.00,10.50,6.00,5.00,7.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',1791,833,NULL,NULL,NULL,NULL,NULL,4,16),(28,7021461,3.00,6.00,1.00,4.00,6.00,6.75,4.00,8.00,3.00,104,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',9174,221,NULL,NULL,NULL,NULL,NULL,4,8),(28,7021496,2.00,4.00,1.00,4.00,6.00,8.25,1.00,3.00,1.00,653,NULL,655,'SAPIRANGA','MELEIRO','SC',15686,167,NULL,89,NULL,NULL,NULL,2,15),(28,7021500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM APIPEMA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7021518,1.00,5.00,3.00,4.00,2.00,NULL,3.00,4.00,0.00,552,NULL,NULL,'SESI','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7021550,1.00,7.00,3.00,6.00,7.00,9.00,5.00,5.00,2.00,415,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11724,190,NULL,NULL,NULL,NULL,NULL,2,6),(28,7021569,4.00,6.00,2.00,4.00,6.00,5.63,2.00,3.00,4.00,104,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',12426,307,NULL,NULL,NULL,NULL,NULL,2,1),(28,7021577,6.00,8.00,6.00,4.00,7.00,11.25,6.00,8.00,7.00,103,NULL,NULL,'VILA FRUGOLI','S PAULO','SP',451,316,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021585,3.00,6.00,2.00,6.00,4.00,9.00,3.00,3.00,4.00,103,NULL,NULL,'MORUMBI','S PAULO','SP',8358,1934,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021593,1.00,7.00,3.00,4.00,7.00,7.50,5.00,5.00,4.00,601,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',7495,173,NULL,NULL,NULL,NULL,NULL,4,8),(28,7021607,0.00,6.00,2.00,5.00,5.00,8.25,2.00,4.00,2.00,303,NULL,NULL,'PORTINHO','LAGUNA','SC',16891,568,NULL,NULL,NULL,NULL,NULL,2,10),(28,7021615,6.00,8.00,5.00,6.00,10.00,12.00,4.00,8.00,7.00,303,NULL,NULL,'JARDINS','ARACAJU','SE',219,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021631,3.00,8.00,3.00,7.00,8.00,11.25,3.00,7.00,4.00,340,NULL,NULL,'PORTÃO','CURITIBA','PR',2852,63,NULL,NULL,NULL,NULL,NULL,4,23),(28,7021640,3.00,8.00,4.00,7.00,8.00,9.00,5.00,4.00,3.00,208,NULL,NULL,'FORTALEZA','BLUMENAU','SC',3096,17,NULL,NULL,NULL,NULL,NULL,4,2),(28,7021658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7021666,1.00,5.00,2.00,5.00,6.00,8.25,2.00,5.00,2.00,215,NULL,211,'COOPERLOTES','PAULÍNIA','SP',12234,208,NULL,320,NULL,NULL,NULL,2,1),(28,7021674,5.00,6.00,1.00,6.00,10.00,9.75,4.00,8.00,3.00,415,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',6842,112,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7021690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'HAUER','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7021704,3.00,6.00,2.00,7.00,7.00,9.00,4.00,6.00,3.00,208,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5679,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'EUCLIDES MIRANDA','SUMARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7021720,7.00,6.00,4.00,6.00,8.00,7.13,6.00,6.00,5.00,235,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',3632,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021739,6.00,7.00,4.00,5.00,5.00,9.38,4.00,5.00,4.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',4310,1383,NULL,NULL,NULL,NULL,NULL,2,1),(28,7021747,1.00,6.00,3.00,4.00,5.00,6.75,3.00,5.00,3.00,552,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',13194,71,NULL,NULL,NULL,NULL,NULL,4,5),(28,7021755,5.00,7.00,6.00,7.00,10.00,12.00,4.00,7.00,7.00,201,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',323,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021763,6.00,8.00,5.00,7.00,9.00,11.25,8.00,7.00,7.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',218,170,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021771,1.00,4.00,4.00,5.00,4.00,9.75,0.00,3.00,0.00,454,NULL,NULL,'JARDIM JANAÍNA','BIGUAÇU','SC',14372,295,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021780,3.00,7.00,3.00,5.00,5.00,8.63,3.00,8.00,4.00,214,NULL,213,'BOSQUE DA SAUDE','CUIABÁ','MT',4007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021798,0.00,7.00,2.00,6.00,2.00,NULL,2.00,4.00,4.00,501,NULL,NULL,'BIAXADA','S JOAQUIM BARRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021801,8.00,7.00,5.00,6.00,7.00,9.38,5.00,7.00,6.00,103,NULL,NULL,'JARDIM SÃO CAETANO','S CAETANO SUL','SP',679,423,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'NOVO HORIZONTE','JANDIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7021828,0.00,3.00,1.00,2.00,3.00,NULL,2.00,4.00,5.00,238,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7021844,6.00,8.00,3.00,7.00,10.00,10.88,3.00,6.00,5.00,108,NULL,NULL,'TABOÃO','RIO SUL','SC',1153,1,NULL,NULL,NULL,NULL,NULL,2,24),(28,7021852,4.00,6.00,3.00,6.00,6.00,7.88,2.00,4.00,5.00,9,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',13613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021879,6.00,7.00,2.00,4.00,7.00,6.75,3.00,8.00,4.00,201,NULL,601,'ABRAÃO','FLORIANÓPOLIS','SC',4938,378,NULL,91,NULL,NULL,NULL,4,1),(28,7021887,1.00,6.00,2.00,6.00,3.00,7.50,3.00,3.00,4.00,302,NULL,NULL,'ALTO BONITO','CAÇADOR','SC',11561,75,NULL,NULL,NULL,NULL,NULL,2,25),(28,7021895,3.00,8.00,3.00,7.00,8.00,8.63,2.00,7.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021909,2.00,5.00,4.00,7.00,8.00,9.00,3.00,3.00,3.00,207,NULL,201,'CENTRO','TURVO','SC',12372,559,NULL,NULL,NULL,NULL,NULL,2,15),(28,7021917,4.00,7.00,2.00,5.00,8.00,9.38,4.00,4.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',4205,1364,NULL,NULL,NULL,NULL,NULL,4,5),(28,7021925,5.00,7.00,3.00,6.00,8.00,9.00,6.00,3.00,6.00,303,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',3062,142,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021950,4.00,6.00,2.00,6.00,7.00,10.50,4.00,6.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4150,144,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021968,7.00,7.00,5.00,6.00,9.00,9.38,5.00,7.00,4.00,103,NULL,NULL,'VILA SANTANA II','CAMPINAS','SP',1272,663,NULL,NULL,NULL,NULL,NULL,4,1),(28,7021984,1.00,6.00,2.00,7.00,7.00,8.63,3.00,6.00,4.00,203,NULL,202,'CENTRO','S JOSÉ CEDRO','SC',6729,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7021992,2.00,3.00,3.00,5.00,7.00,6.75,3.00,4.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11566,286,NULL,NULL,NULL,NULL,NULL,2,1),(28,7022000,2.00,6.00,3.00,5.00,7.00,6.38,4.00,5.00,4.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7961,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022018,3.00,6.00,3.00,7.00,7.00,7.88,1.00,5.00,4.00,444,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',12647,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022034,5.00,4.00,3.00,5.00,7.00,6.38,3.00,3.00,4.00,203,NULL,220,'SANTA MÔNICA','FLORIANÓPOLIS','SC',9235,513,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022042,2.00,7.00,2.00,7.00,9.00,11.63,3.00,8.00,4.00,103,NULL,NULL,'ALPHAVILLE FLAMBOYAN','GOIÂNIA','GO',2421,1000,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022069,1.00,4.00,2.00,2.00,2.00,NULL,0.00,2.00,1.00,203,NULL,214,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7022077,2.00,7.00,6.00,5.00,8.00,10.13,3.00,6.00,5.00,201,NULL,207,'CENTRO','NOVA TRENTO','SC',3125,235,NULL,116,NULL,NULL,NULL,4,22),(28,7022085,3.00,5.00,1.00,5.00,5.00,7.88,2.00,4.00,3.00,551,NULL,NULL,'INTERIOR','ITAIÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7022115,4.00,9.00,2.00,8.00,8.00,12.75,6.00,8.00,2.00,320,NULL,NULL,'PARK WAY','NUC BANDEIRANTE','DF',4491,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022123,0.00,5.00,1.00,0.00,6.00,NULL,4.00,2.00,4.00,103,NULL,NULL,'JARAGUÁ','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022131,3.00,6.00,2.00,7.00,1.00,NULL,2.00,5.00,4.00,201,NULL,601,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022140,5.00,6.00,1.00,5.00,7.00,7.50,5.00,7.00,3.00,104,NULL,NULL,'BEZENELLO','NOVA TRENTO','SC',7323,167,NULL,NULL,NULL,NULL,NULL,2,22),(28,7022158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM DAS BANDEIRAS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7022166,2.00,6.00,1.00,5.00,6.00,7.50,2.00,5.00,2.00,340,NULL,NULL,'SUMAREZINHO','S PAULO','SP',16380,404,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022174,3.00,8.00,3.00,4.00,5.00,9.00,4.00,7.00,6.00,601,NULL,203,'JARDIM SÃO LUIS','SANTANA PARNAÍBA','SP',4171,72,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM BONGIOVANI','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7022212,6.00,8.00,6.00,7.00,9.00,11.25,4.00,7.00,6.00,103,NULL,NULL,'SANTANNA','PTO ALEGRE','RS',513,349,NULL,NULL,NULL,NULL,NULL,2,10),(28,7022220,1.00,4.00,1.00,6.00,9.00,8.25,2.00,3.00,3.00,207,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',11708,536,NULL,329,NULL,NULL,NULL,2,1),(28,7022239,1.00,7.00,0.00,4.00,7.00,NULL,1.00,5.00,2.00,201,NULL,203,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022247,3.00,4.00,3.00,6.00,5.00,7.50,2.00,3.00,4.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12274,139,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022255,2.00,6.00,0.00,5.00,4.00,7.13,1.00,3.00,1.00,208,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',15599,171,NULL,NULL,NULL,NULL,NULL,2,1),(28,7022263,2.00,7.00,3.00,6.00,5.00,8.25,2.00,6.00,3.00,214,NULL,213,'VILA UBERABINHA','S PAULO','SP',9183,240,NULL,160,NULL,NULL,NULL,4,1),(28,7022280,4.00,7.00,1.00,7.00,9.00,8.25,3.00,6.00,4.00,319,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',4320,62,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'JARDIM ALVORADA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7022301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7022310,4.00,7.00,2.00,5.00,7.00,10.13,3.00,7.00,7.00,201,NULL,216,'TONIAL','XANXERÊ','SC',4488,345,NULL,172,NULL,NULL,NULL,4,4),(28,7022328,3.00,8.00,4.00,6.00,8.00,8.63,3.00,5.00,6.00,103,NULL,NULL,'SETOR CAMPESTRE','RIO VERDE','GO',4375,1400,NULL,NULL,NULL,NULL,NULL,4,9),(28,7022336,8.00,8.00,6.00,6.00,10.00,13.50,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',33,27,NULL,NULL,NULL,NULL,NULL,4,3),(28,7022344,3.00,8.00,1.00,7.00,6.00,5.63,4.00,7.00,4.00,5,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',9883,294,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7022360,4.00,5.00,2.00,5.00,6.00,9.75,3.00,5.00,3.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8582,136,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022379,1.00,4.00,2.00,3.00,2.00,NULL,1.00,1.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022387,4.00,6.00,3.00,5.00,8.00,7.88,5.00,6.00,6.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',2940,1123,NULL,NULL,NULL,NULL,NULL,4,2),(28,7022409,0.00,3.00,2.00,6.00,6.00,7.50,2.00,3.00,2.00,309,NULL,NULL,'CENTRO','ITAPEJARA D OESTE','PR',18959,58,NULL,NULL,NULL,NULL,NULL,2,1),(28,7022417,1.00,6.00,0.00,5.00,7.00,7.13,4.00,5.00,2.00,340,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',11304,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022425,6.00,9.00,2.00,7.00,10.00,8.63,4.00,8.00,7.00,340,NULL,NULL,'SANTA BÁRBARA','CRICIÚMA','SC',619,7,NULL,NULL,NULL,NULL,NULL,4,5),(28,7022441,3.00,6.00,1.00,7.00,7.00,7.13,4.00,7.00,6.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022450,1.00,3.00,3.00,2.00,5.00,5.63,1.00,3.00,1.00,502,NULL,NULL,'ROÇADO','S JOSÉ','SC',19894,71,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022484,2.00,5.00,2.00,8.00,6.00,5.63,2.00,5.00,3.00,207,NULL,201,'CENTRO','ESPUMOSO','RS',11535,525,NULL,749,NULL,NULL,NULL,2,4),(28,7022492,3.00,5.00,2.00,6.00,9.00,9.38,1.00,5.00,2.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6786,306,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022506,5.00,9.00,1.00,8.00,7.00,7.50,6.00,6.00,4.00,103,NULL,NULL,'VILA YARA','OSASCO','SP',2927,1118,NULL,NULL,NULL,NULL,NULL,4,22),(28,7022514,6.00,8.00,2.00,5.00,6.00,7.13,3.00,6.00,6.00,103,NULL,NULL,'TRIBESS','BLUMENAU','SC',3941,1313,NULL,NULL,NULL,NULL,NULL,4,2),(28,7022522,0.00,4.00,0.00,2.00,4.00,7.50,1.00,4.00,2.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022530,1.00,5.00,3.00,5.00,9.00,6.38,3.00,5.00,4.00,303,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',14635,523,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022549,1.00,7.00,4.00,6.00,4.00,8.63,3.00,6.00,1.00,225,NULL,NULL,'JARDIM AMÉRICA','S LEOPOLDO','RS',9036,12,NULL,NULL,NULL,NULL,NULL,4,3),(28,7022557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,NULL,'SÃO LUIZ','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7022573,2.00,8.00,5.00,6.00,9.00,8.63,7.00,7.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',883,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7022581,4.00,7.00,2.00,6.00,5.00,8.25,3.00,5.00,4.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022603,1.00,7.00,2.00,5.00,4.00,9.75,6.00,4.00,3.00,201,NULL,233,'SAGUAÇU','JOINVILLE','SC',9365,NULL,NULL,223,NULL,NULL,NULL,4,8),(28,7022611,1.00,6.00,3.00,7.00,7.00,6.38,3.00,4.00,1.00,340,NULL,NULL,'VILA GUSTAVO','S PAULO','SP',16176,402,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022638,4.00,8.00,2.00,7.00,6.00,6.00,3.00,7.00,4.00,310,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10686,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BANCÁRIOS','BATATAIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7022654,5.00,8.00,3.00,5.00,8.00,11.25,5.00,8.00,7.00,103,NULL,NULL,'PEDRO LUDOVICO','GOIÂNIA','GO',553,367,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022670,5.00,6.00,4.00,7.00,6.00,9.00,4.00,7.00,6.00,201,NULL,216,'SETOR JAÓ','GOIÂNIA','GO',2006,133,NULL,65,NULL,NULL,NULL,4,1),(28,7022689,4.00,7.00,0.00,6.00,7.00,8.25,3.00,3.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8392,358,NULL,NULL,NULL,NULL,NULL,2,1),(28,7022700,2.00,7.00,5.00,5.00,6.00,11.25,5.00,6.00,6.00,201,NULL,207,'FORTALEZA','BLUMENAU','SC',4174,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7022719,4.00,7.00,1.00,7.00,5.00,10.88,2.00,7.00,5.00,303,NULL,NULL,'JARDIM DR LESSA','PINDAMONHANGABA','SP',4138,194,NULL,NULL,NULL,NULL,NULL,4,3),(28,7022727,1.00,5.00,1.00,5.00,3.00,7.88,0.00,5.00,2.00,207,NULL,201,'FARROUPILHA','VIDEIRA','SC',10992,504,NULL,NULL,NULL,NULL,NULL,4,9),(28,7022735,3.00,5.00,0.00,3.00,4.00,5.63,3.00,1.00,2.00,104,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',17315,415,NULL,NULL,NULL,NULL,NULL,2,1),(28,7022743,8.00,8.00,6.00,7.00,10.00,7.88,7.00,8.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',176,137,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022751,1.00,6.00,4.00,5.00,6.00,7.88,3.00,4.00,4.00,5,NULL,NULL,'BOSQUE','PRES PRUDENTE','SP',10812,316,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022760,0.00,4.00,2.00,2.00,6.00,6.38,1.00,3.00,2.00,9,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',16338,122,NULL,NULL,NULL,NULL,NULL,4,6),(28,7022778,0.00,5.00,1.00,3.00,4.00,NULL,1.00,6.00,2.00,5,NULL,NULL,'VILLAGE','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7022786,0.00,3.00,2.00,4.00,2.00,NULL,1.00,4.00,3.00,415,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022794,8.00,9.00,4.00,6.00,10.00,12.00,7.00,6.00,8.00,104,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',110,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022816,1.00,3.00,3.00,3.00,8.00,4.88,2.00,3.00,0.00,502,NULL,NULL,'CAMPINAS','S JOSÉ','SC',19271,60,NULL,NULL,NULL,NULL,NULL,2,1),(28,7022832,3.00,1.00,1.00,6.00,7.00,NULL,0.00,3.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7022840,1.00,6.00,1.00,6.00,2.00,NULL,1.00,4.00,3.00,5,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7022859,5.00,5.00,4.00,5.00,7.00,4.50,5.00,5.00,6.00,202,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',7195,191,NULL,123,NULL,NULL,NULL,4,1),(28,7022875,5.00,9.00,3.00,7.00,11.00,6.75,3.00,7.00,6.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1331,62,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022883,1.00,4.00,0.00,3.00,3.00,7.13,2.00,5.00,0.00,338,NULL,NULL,'TRÊS RIOS DO NORTE','JARAGUÁ SUL','SC',19841,23,NULL,NULL,NULL,NULL,NULL,2,23),(28,7022891,6.00,7.00,6.00,6.00,10.00,10.13,7.00,8.00,9.00,203,NULL,202,'PROGRESSO','S BENTO SUL','SC',108,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022905,1.00,2.00,4.00,1.00,2.00,NULL,1.00,3.00,2.00,238,NULL,201,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022913,5.00,8.00,3.00,6.00,9.00,6.75,4.00,5.00,7.00,201,NULL,235,'KOBRASOL','S JOSÉ','SC',3876,NULL,NULL,63,NULL,NULL,NULL,4,1),(28,7022921,3.00,8.00,1.00,7.00,8.00,9.38,2.00,6.00,2.00,326,NULL,NULL,'BARRA DO RIO MOLHA','JARAGUÁ SUL','SC',5134,8,NULL,NULL,NULL,NULL,NULL,2,1),(28,7022956,2.00,4.00,2.00,3.00,5.00,6.00,2.00,5.00,4.00,502,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18498,53,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022964,2.00,6.00,0.00,6.00,7.00,7.13,4.00,3.00,4.00,208,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9315,101,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022972,4.00,6.00,3.00,7.00,9.00,10.50,5.00,6.00,6.00,337,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1890,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7022980,4.00,7.00,2.00,7.00,11.00,8.63,4.00,7.00,6.00,415,NULL,NULL,'VILA NOVA','ILHOTA','SC',1541,14,NULL,NULL,NULL,NULL,NULL,4,2),(28,7022999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM DOS ESTADOS','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7023014,3.00,7.00,2.00,6.00,8.00,7.50,3.00,5.00,6.00,317,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',4984,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023022,3.00,6.00,3.00,7.00,3.00,9.75,1.00,4.00,3.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',9060,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7023030,7.00,9.00,5.00,6.00,9.00,6.00,6.00,5.00,5.00,203,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',1284,118,NULL,31,NULL,NULL,NULL,4,1),(28,7023057,2.00,3.00,0.00,4.00,5.00,8.25,1.00,3.00,3.00,9,NULL,NULL,'POPULAR','LAGES','SC',13400,91,NULL,NULL,NULL,NULL,NULL,4,9),(28,7023065,3.00,8.00,0.00,7.00,4.00,6.75,1.00,6.00,2.00,423,NULL,427,'ITACORUBI','FLORIANÓPOLIS','SC',16591,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7023090,1.00,4.00,1.00,2.00,0.00,NULL,1.00,3.00,2.00,203,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7023111,3.00,6.00,1.00,7.00,2.00,NULL,4.00,5.00,7.00,303,NULL,NULL,'ALDEIA DA SERRA','SANTANA PARNAÍBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023120,2.00,3.00,1.00,4.00,6.00,6.75,3.00,4.00,2.00,103,NULL,NULL,'PROGRESSO','FRUTAL','MG',14119,2309,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023138,1.00,6.00,1.00,7.00,4.00,5.63,2.00,3.00,5.00,103,NULL,NULL,'MORRO DO ESPELHO','S LEOPOLDO','RS',10674,2116,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023146,2.00,7.00,2.00,5.00,9.00,10.88,4.00,8.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3250,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023154,1.00,3.00,2.00,2.00,6.00,5.63,2.00,4.00,2.00,110,NULL,NULL,'MAGALHÃES','LAGUNA','SC',19274,100,NULL,NULL,NULL,NULL,NULL,4,10),(28,7023162,0.00,6.00,2.00,3.00,4.00,6.38,3.00,3.00,0.00,215,NULL,NULL,'EUGÊNIO SCHNEIDER','RIO SUL','SC',19352,295,NULL,NULL,NULL,NULL,NULL,2,24),(28,7023170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,1.00,0.00,552,NULL,NULL,'CENTRO','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7023189,0.00,5.00,0.00,5.00,4.00,NULL,3.00,3.00,1.00,601,NULL,216,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7023197,5.00,7.00,2.00,7.00,7.00,10.88,4.00,6.00,3.00,303,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',6692,302,NULL,NULL,NULL,NULL,NULL,4,8),(28,7023200,1.00,5.00,0.00,1.00,4.00,6.38,0.00,5.00,3.00,238,NULL,235,'INGLESES','FLORIANÓPOLIS','SC',19838,345,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023219,4.00,8.00,4.00,6.00,9.00,11.63,7.00,7.00,7.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',389,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023227,4.00,5.00,3.00,7.00,9.00,7.13,3.00,5.00,2.00,103,NULL,NULL,'CENTRO','JAGUAPITÃ','PR',6013,1630,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023243,0.00,6.00,2.00,5.00,1.00,NULL,2.00,5.00,3.00,303,NULL,NULL,'BELA VISTA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7023251,6.00,7.00,1.00,6.00,9.00,8.63,4.00,5.00,4.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',2979,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7023260,7.00,8.00,6.00,7.00,7.00,11.63,5.00,7.00,7.00,5,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',708,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023278,3.00,6.00,1.00,4.00,5.00,NULL,0.00,1.00,2.00,207,NULL,215,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023286,4.00,4.00,1.00,5.00,6.00,9.00,5.00,5.00,5.00,202,NULL,653,'CENTRO','TUBARÃO','SC',11339,287,NULL,118,NULL,NULL,NULL,4,1),(28,7023294,0.00,4.00,2.00,3.00,4.00,6.38,2.00,2.00,1.00,102,NULL,NULL,'PARQUE DAS AVENIDAS','SOMBRIO','SC',18291,170,NULL,NULL,NULL,NULL,NULL,2,15),(28,7023316,3.00,5.00,1.00,6.00,6.00,8.25,3.00,5.00,4.00,215,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8634,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7023332,0.00,0.00,2.00,6.00,1.00,NULL,1.00,2.00,0.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7023340,2.00,7.00,2.00,7.00,6.00,8.25,0.00,6.00,1.00,215,NULL,233,'JD SANTA TEREZA','JUNDIAÍ','SP',9069,158,NULL,NULL,NULL,NULL,NULL,2,1),(28,7023359,0.00,3.00,3.00,6.00,6.00,7.88,1.00,3.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023367,1.00,8.00,3.00,4.00,7.00,9.75,2.00,6.00,5.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',6916,1747,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023375,0.00,6.00,2.00,6.00,6.00,8.63,2.00,6.00,2.00,104,NULL,NULL,'APARECIDA','ABELARDO LUZ','SC',16665,407,NULL,NULL,NULL,NULL,NULL,2,4),(28,7023391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7023405,3.00,6.00,5.00,5.00,7.00,9.75,6.00,8.00,5.00,203,NULL,220,'PEDRA BRANCA','PALHOÇA','SC',2499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023421,0.00,3.00,3.00,0.00,2.00,NULL,2.00,3.00,1.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7023430,5.00,6.00,4.00,6.00,4.00,9.00,1.00,4.00,2.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10412,63,NULL,NULL,NULL,NULL,NULL,2,1),(28,7023456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ATUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7023464,1.00,3.00,0.00,5.00,6.00,NULL,0.00,5.00,3.00,110,NULL,NULL,'VILAGE','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023472,2.00,4.00,3.00,5.00,4.00,NULL,0.00,4.00,1.00,108,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7023480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,214,'PARQUE NOVO MUNDO','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7023499,5.00,9.00,8.00,7.00,9.00,10.13,6.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',97,81,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023502,0.00,6.00,2.00,3.00,2.00,NULL,3.00,6.00,3.00,216,NULL,233,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023510,1.00,8.00,1.00,7.00,7.00,8.25,1.00,4.00,2.00,104,NULL,NULL,'CENTRO','IBIRUBÁ','RS',13160,325,NULL,NULL,NULL,NULL,NULL,2,4),(28,7023529,1.00,5.00,2.00,4.00,7.00,7.50,2.00,3.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023537,6.00,8.00,3.00,3.00,8.00,10.13,3.00,6.00,7.00,103,NULL,NULL,'TIJUCAL','CUIABÁ','MT',3025,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023545,0.00,6.00,2.00,4.00,7.00,10.50,1.00,4.00,2.00,333,NULL,NULL,'ITAPIRUBÁ','IMBITUBA','SC',17473,108,NULL,NULL,NULL,NULL,NULL,4,10),(28,7023553,0.00,2.00,0.00,2.00,2.00,NULL,2.00,2.00,1.00,302,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7023561,1.00,5.00,1.00,4.00,4.00,5.25,2.00,5.00,3.00,318,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19232,141,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023570,2.00,6.00,0.00,4.00,10.00,9.75,2.00,7.00,5.00,103,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',7715,1855,NULL,NULL,NULL,NULL,NULL,4,15),(28,7023588,4.00,5.00,3.00,6.00,9.00,9.75,3.00,4.00,4.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3991,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023596,6.00,9.00,8.00,7.00,11.00,11.25,7.00,7.00,8.00,103,NULL,NULL,'VILA INAH','S PAULO','SP',22,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023600,6.00,8.00,3.00,5.00,8.00,9.75,6.00,7.00,6.00,201,NULL,211,'CANASVIEIRAS','FLORIANÓPOLIS','SC',1948,126,NULL,26,NULL,NULL,NULL,4,1),(28,7023634,0.00,5.00,0.00,5.00,4.00,9.75,2.00,3.00,4.00,238,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',17945,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7023650,2.00,5.00,2.00,5.00,6.00,7.13,2.00,5.00,3.00,103,NULL,NULL,'SÃO CRISTÓVÃO','CHAPECÓ','SC',10328,2093,NULL,NULL,NULL,NULL,NULL,2,4),(28,7023669,5.00,6.00,3.00,7.00,9.00,9.75,5.00,6.00,6.00,203,NULL,216,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',3833,277,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023677,0.00,3.00,2.00,2.00,3.00,NULL,0.00,4.00,1.00,109,NULL,NULL,'SÃO F DE ASSIS','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7023685,0.00,1.00,0.00,3.00,2.00,NULL,0.00,4.00,1.00,103,NULL,NULL,'MENINO DEUS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7023707,5.00,8.00,3.00,6.00,6.00,9.38,3.00,5.00,6.00,202,NULL,213,'ALTO DA BOA VISTA','RIBEIRÃO PRETO','SP',3546,101,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023723,2.00,8.00,4.00,7.00,9.00,7.50,3.00,7.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4538,156,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023731,7.00,8.00,6.00,8.00,7.00,6.75,4.00,5.00,7.00,203,NULL,NULL,'URBANOVA IV','S JOSÉ CAMPOS','SP',1667,150,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023740,3.00,6.00,1.00,6.00,5.00,10.88,3.00,2.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8523,262,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023758,6.00,6.00,3.00,7.00,9.00,9.75,3.00,7.00,5.00,212,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',2220,48,NULL,161,NULL,NULL,NULL,4,1),(28,7023766,5.00,6.00,4.00,6.00,7.00,8.63,3.00,5.00,5.00,215,NULL,214,'JOSÉ MENINO','SANTOS','SP',3594,27,NULL,NULL,NULL,NULL,NULL,2,1),(28,7023774,2.00,8.00,3.00,6.00,7.00,7.50,3.00,8.00,5.00,103,NULL,NULL,'PLANO DIRETOR SUL','PALMAS','TO',4105,1343,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7023790,1.00,7.00,1.00,4.00,2.00,NULL,3.00,6.00,4.00,310,NULL,NULL,'SÃO CRISTOVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7023804,5.00,8.00,3.00,7.00,8.00,8.25,2.00,8.00,2.00,103,NULL,NULL,'JARDIM SÃO PAULO','SOROCABA','SP',3282,1198,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023812,4.00,8.00,2.00,6.00,7.00,7.50,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',2436,1006,NULL,NULL,NULL,NULL,NULL,4,5),(28,7023820,2.00,4.00,3.00,7.00,8.00,6.38,4.00,6.00,4.00,101,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',7878,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023839,0.00,7.00,2.00,5.00,8.00,9.00,4.00,6.00,2.00,601,NULL,233,'COSTA E SILVA','JOINVILLE','SC',13144,398,NULL,287,NULL,NULL,NULL,4,8),(28,7023847,3.00,4.00,2.00,6.00,4.00,8.25,2.00,3.00,3.00,424,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',14131,17,NULL,NULL,NULL,NULL,NULL,3,1),(28,7023855,2.00,6.00,1.00,7.00,6.00,9.75,3.00,4.00,4.00,207,NULL,601,'PONTE DO IMARUIM','PALHOÇA','SC',8540,396,NULL,211,NULL,NULL,NULL,2,1),(28,7023863,0.00,3.00,2.00,5.00,5.00,8.25,2.00,4.00,0.00,653,NULL,655,'JARDIM AMÉRICA','MELEIRO','SC',18767,200,NULL,120,NULL,NULL,NULL,2,15),(28,7023871,2.00,8.00,2.00,5.00,8.00,8.25,4.00,6.00,4.00,211,NULL,233,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',5143,127,NULL,139,NULL,NULL,NULL,4,1),(28,7023898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'NOVA AMÉRICA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7023901,0.00,4.00,2.00,3.00,3.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023910,4.00,5.00,3.00,5.00,8.00,6.75,3.00,5.00,4.00,454,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13215,268,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023936,3.00,6.00,4.00,7.00,8.00,7.50,4.00,6.00,4.00,454,NULL,NULL,'CENTRO','NOVO HAMBURGO','RS',4831,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023944,3.00,9.00,4.00,7.00,4.00,7.88,4.00,5.00,5.00,201,NULL,212,'CHACARAS AREAL','INDAIATUBA','SP',4072,NULL,NULL,128,NULL,NULL,NULL,4,1),(28,7023952,6.00,9.00,2.00,7.00,7.00,6.75,4.00,7.00,3.00,203,NULL,233,'PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP',3977,288,NULL,104,NULL,NULL,NULL,4,1),(28,7023960,4.00,7.00,2.00,6.00,5.00,9.00,4.00,6.00,6.00,216,NULL,214,'SANTO AMARO','S PAULO','SP',4027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023979,3.00,7.00,3.00,7.00,7.00,5.25,4.00,5.00,5.00,9,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',6173,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7023987,0.00,5.00,1.00,3.00,6.00,6.75,2.00,2.00,2.00,310,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7024029,3.00,7.00,4.00,6.00,9.00,9.00,6.00,5.00,8.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2293,76,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024045,7.00,7.00,4.00,4.00,8.00,10.13,5.00,6.00,4.00,303,NULL,NULL,'ESPLANADA','CHAPECÓ','SC',1715,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7024053,0.00,4.00,1.00,6.00,2.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7024061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7024070,6.00,9.00,4.00,8.00,10.00,11.25,4.00,7.00,6.00,327,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1516,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024088,5.00,8.00,4.00,8.00,9.00,9.38,5.00,7.00,6.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',663,416,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024096,3.00,5.00,2.00,6.00,6.00,7.50,0.00,5.00,3.00,202,NULL,NULL,'VELHA','BLUMENAU','SC',11572,291,NULL,NULL,NULL,NULL,NULL,4,2),(28,7024100,5.00,7.00,4.00,6.00,9.00,12.75,5.00,6.00,7.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',1383,705,NULL,NULL,NULL,NULL,NULL,2,1),(28,7024118,0.00,4.00,3.00,4.00,4.00,7.13,1.00,5.00,0.00,601,NULL,215,'CENTRO','CURITIBANOS','SC',17428,502,NULL,277,NULL,NULL,NULL,4,16),(28,7024126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7024134,3.00,7.00,2.00,7.00,8.00,7.50,2.00,6.00,6.00,233,NULL,215,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4597,118,NULL,65,NULL,NULL,NULL,4,1),(28,7024142,7.00,7.00,5.00,8.00,10.00,8.25,6.00,7.00,6.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',340,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7024150,2.00,6.00,1.00,7.00,7.00,8.25,2.00,2.00,3.00,104,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',9927,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7024169,1.00,6.00,0.00,5.00,6.00,10.13,0.00,4.00,4.00,454,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13073,263,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024177,2.00,7.00,2.00,6.00,6.00,6.38,2.00,5.00,4.00,301,NULL,NULL,'VILLE DE CHAMONIX','ITATIBA','SP',9766,121,NULL,NULL,NULL,NULL,NULL,2,1),(28,7024185,3.00,6.00,2.00,5.00,2.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','WITMARSUM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7024193,3.00,5.00,0.00,3.00,3.00,9.38,1.00,4.00,1.00,999,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7024207,6.00,9.00,2.00,7.00,9.00,10.50,6.00,6.00,7.00,303,NULL,NULL,'CONDOMINIO MARAMBAIA','VINHEDO','SP',1000,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024215,4.00,8.00,2.00,5.00,4.00,7.13,3.00,5.00,4.00,552,NULL,NULL,'CENTRO','POMERODE','SC',13062,69,NULL,NULL,NULL,NULL,NULL,4,2),(28,7024231,2.00,7.00,2.00,6.00,6.00,7.13,3.00,4.00,5.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12381,170,NULL,NULL,NULL,NULL,NULL,2,1),(28,7024240,4.00,6.00,4.00,7.00,9.00,11.63,4.00,5.00,5.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',3019,109,NULL,226,NULL,NULL,NULL,2,1),(28,7024258,1.00,6.00,1.00,7.00,5.00,6.38,4.00,3.00,4.00,653,NULL,652,'CENTRO','SOMBRIO','SC',10996,114,NULL,27,NULL,NULL,NULL,4,15),(28,7024266,0.00,5.00,1.00,5.00,5.00,5.25,2.00,3.00,3.00,454,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',16473,333,NULL,NULL,NULL,NULL,NULL,2,1),(28,7024274,5.00,6.00,2.00,6.00,8.00,9.00,4.00,5.00,6.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',3649,1264,NULL,NULL,NULL,NULL,NULL,4,8),(28,7024290,1.00,6.00,3.00,5.00,3.00,8.63,1.00,5.00,3.00,215,NULL,211,'CENTRO','CRICIÚMA','SC',17742,282,NULL,NULL,NULL,NULL,NULL,2,5),(28,7024312,0.00,4.00,1.00,6.00,3.00,NULL,0.00,4.00,2.00,102,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7024320,2.00,8.00,3.00,6.00,8.00,8.25,3.00,7.00,4.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4333,1393,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024339,3.00,7.00,4.00,6.00,7.00,8.63,2.00,6.00,1.00,303,NULL,NULL,'CENTRO','BRASILÉIA','AC',6440,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7024347,3.00,9.00,2.00,7.00,10.00,10.50,2.00,7.00,5.00,415,NULL,NULL,'PORTÃO','LAURO FREITAS','BA',2384,28,NULL,NULL,NULL,NULL,NULL,3,1),(28,7024355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7024363,1.00,4.00,1.00,7.00,4.00,9.38,1.00,4.00,1.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024371,4.00,6.00,3.00,7.00,8.00,9.38,3.00,6.00,2.00,999,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024380,8.00,7.00,6.00,7.00,11.00,12.38,4.00,8.00,6.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',120,96,NULL,NULL,NULL,NULL,NULL,4,8),(28,7024398,2.00,6.00,2.00,4.00,6.00,7.50,2.00,7.00,3.00,207,NULL,212,'PRÓSPERA','CRICIÚMA','SC',10342,472,NULL,300,NULL,NULL,NULL,5,5),(28,7024410,0.00,4.00,2.00,7.00,7.00,10.13,3.00,4.00,2.00,340,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',11666,322,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024428,3.00,4.00,2.00,3.00,8.00,7.13,2.00,5.00,5.00,212,NULL,233,'KOBRASOL','S JOSÉ','SC',10216,NULL,NULL,241,NULL,NULL,NULL,2,1),(28,7024436,1.00,5.00,2.00,6.00,4.00,3.00,3.00,2.00,1.00,207,NULL,NULL,'SAMUEL SANDRINI','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7024444,3.00,5.00,2.00,7.00,8.00,7.50,2.00,5.00,2.00,999,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7024479,6.00,7.00,2.00,7.00,7.00,7.50,7.00,6.00,6.00,203,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',2878,NULL,NULL,67,NULL,NULL,NULL,4,1),(28,7024487,1.00,3.00,3.00,7.00,4.00,6.38,2.00,1.00,2.00,454,NULL,NULL,'MORRO DA BINA','BIGUAÇU','SC',16871,342,NULL,NULL,NULL,NULL,NULL,2,1),(28,7024495,2.00,5.00,1.00,5.00,5.00,6.38,1.00,5.00,1.00,340,NULL,NULL,'CENTRO','VALPARAÍSO','SP',14605,386,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024509,3.00,8.00,1.00,8.00,6.00,7.50,3.00,5.00,7.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4293,66,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024517,4.00,6.00,1.00,7.00,5.00,11.25,2.00,7.00,4.00,301,NULL,NULL,'VILA CELIA','CPO GRANDE','MS',3581,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024525,6.00,7.00,3.00,6.00,9.00,11.25,6.00,6.00,5.00,233,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',1974,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MONTE CARLOS','COCAL SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7024541,5.00,7.00,3.00,6.00,7.00,7.50,6.00,5.00,5.00,216,NULL,215,'CENTRO','CRICIÚMA','SC',2778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024550,1.00,4.00,2.00,1.00,8.00,6.38,2.00,3.00,2.00,104,NULL,NULL,'CENTRO','CLEVELÂNDIA','PR',19454,455,NULL,NULL,NULL,NULL,NULL,4,4),(28,7024568,0.00,4.00,3.00,5.00,4.00,NULL,3.00,3.00,2.00,328,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7024576,4.00,7.00,3.00,6.00,8.00,7.13,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',5386,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7024584,1.00,6.00,3.00,7.00,7.00,9.00,2.00,4.00,3.00,319,NULL,NULL,'CENTRO','URUSSANGA','SC',13437,254,NULL,NULL,NULL,NULL,NULL,4,5),(28,7024592,3.00,5.00,1.00,5.00,8.00,7.88,3.00,3.00,3.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11960,56,NULL,NULL,NULL,NULL,NULL,2,1),(28,7024606,3.00,6.00,3.00,5.00,4.00,8.25,3.00,4.00,2.00,216,NULL,211,'COSTA E SILVA','JOINVILLE','SC',15682,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7024614,2.00,5.00,4.00,4.00,4.00,6.38,2.00,5.00,4.00,404,NULL,NULL,'CENTRO','GAROPABA','SC',13848,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7024622,3.00,6.00,3.00,5.00,8.00,7.13,4.00,6.00,2.00,207,NULL,215,'RIO GRANDE','PALHOÇA','SC',8630,402,NULL,148,NULL,NULL,NULL,4,1),(28,7024630,0.00,2.00,2.00,4.00,4.00,NULL,0.00,3.00,0.00,102,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7024649,0.00,4.00,1.00,4.00,2.00,NULL,2.00,4.00,1.00,108,NULL,NULL,'JARDIM ELITE','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024657,1.00,7.00,2.00,7.00,7.00,11.25,1.00,5.00,4.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',11082,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024665,1.00,2.00,1.00,5.00,2.00,NULL,2.00,2.00,1.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7024681,3.00,7.00,2.00,6.00,7.00,8.63,3.00,6.00,5.00,454,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',6883,106,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024690,3.00,7.00,3.00,6.00,9.00,10.88,2.00,5.00,5.00,415,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',3672,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024703,1.00,5.00,1.00,5.00,5.00,6.75,3.00,2.00,3.00,207,NULL,201,'JARDIM ITÁLIA','CHAPECÓ','SC',13036,592,NULL,834,NULL,NULL,NULL,4,4),(28,7024746,0.00,3.00,2.00,2.00,4.00,NULL,3.00,3.00,3.00,109,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024754,2.00,5.00,1.00,3.00,4.00,4.88,2.00,4.00,4.00,454,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14912,305,NULL,NULL,NULL,NULL,NULL,2,1),(28,7024762,6.00,8.00,6.00,7.00,7.00,9.75,6.00,6.00,6.00,203,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',646,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024789,3.00,8.00,4.00,8.00,9.00,10.88,5.00,7.00,6.00,233,NULL,235,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1014,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024800,1.00,7.00,5.00,4.00,9.00,6.00,5.00,4.00,6.00,655,NULL,652,'CORAL','LAGES','SC',6573,18,NULL,NULL,NULL,NULL,NULL,4,9),(28,7024819,1.00,6.00,2.00,7.00,5.00,8.63,4.00,4.00,4.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7565,1833,NULL,NULL,NULL,NULL,NULL,2,1),(28,7024827,4.00,5.00,3.00,5.00,5.00,9.38,6.00,4.00,5.00,203,NULL,214,'CAPOEIRAS','FLORIANÓPOLIS','SC',6577,414,NULL,200,NULL,NULL,NULL,4,1),(28,7024843,6.00,9.00,2.00,7.00,9.00,9.00,4.00,6.00,7.00,103,NULL,NULL,'ALPHAVILLE','BARUERI','SP',1350,695,NULL,NULL,NULL,NULL,NULL,4,3),(28,7024851,0.00,6.00,3.00,5.00,7.00,7.50,2.00,6.00,1.00,103,NULL,NULL,'JARDIM ZAIRA','MAUÁ','SP',16147,2407,NULL,NULL,NULL,NULL,NULL,2,1),(28,7024860,3.00,7.00,2.00,8.00,3.00,7.50,1.00,6.00,3.00,201,NULL,207,'PARQUE BRASIL','JACAREÍ','SP',9625,655,NULL,447,NULL,NULL,NULL,4,1),(28,7024878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'JARDINÓPOLIS','JARDINÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7024886,4.00,7.00,4.00,6.00,5.00,10.50,6.00,5.00,3.00,999,NULL,NULL,'ÁGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7024894,5.00,7.00,2.00,7.00,10.00,7.13,5.00,6.00,6.00,201,NULL,211,'CENTRO','LAGES','SC',2899,219,NULL,55,NULL,NULL,NULL,4,9),(28,7024908,4.00,7.00,1.00,6.00,9.00,13.13,4.00,7.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1699,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024916,1.00,4.00,1.00,5.00,3.00,4.50,0.00,3.00,0.00,9,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7024924,2.00,6.00,3.00,7.00,6.00,8.63,5.00,6.00,4.00,653,NULL,652,'CENTRO','ARARANGUÁ','SC',10129,103,NULL,21,NULL,NULL,NULL,2,15),(28,7024932,0.00,7.00,1.00,1.00,6.00,7.50,1.00,4.00,3.00,999,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024940,1.00,7.00,3.00,6.00,6.00,8.25,4.00,6.00,4.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8685,96,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024959,4.00,8.00,4.00,7.00,10.00,14.25,5.00,6.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',417,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7024967,0.00,3.00,1.00,4.00,5.00,10.13,2.00,3.00,2.00,207,NULL,201,'GUANABARA','JOINVILLE','SC',19011,797,NULL,1030,NULL,NULL,NULL,4,8),(28,7024975,2.00,6.00,1.00,6.00,6.00,8.25,1.00,5.00,1.00,552,NULL,NULL,'BOA VISTA','RIO SUL','SC',12953,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7024983,5.00,8.00,3.00,7.00,9.00,7.50,7.00,7.00,6.00,203,NULL,201,'ITOUPAVA CENTRAL','BLUMENAU','SC',2082,175,NULL,143,NULL,NULL,NULL,4,2),(28,7024991,0.00,4.00,2.00,5.00,4.00,7.50,1.00,2.00,2.00,601,NULL,213,'DAS NAÇÕES','BAL CAMBORIÚ','SC',19557,552,NULL,284,NULL,NULL,NULL,2,6),(28,7025009,3.00,5.00,2.00,5.00,7.00,9.75,4.00,5.00,5.00,201,NULL,233,'SAO JUDAS','ITAJAÍ','SC',6388,492,NULL,160,NULL,NULL,NULL,4,6),(28,7025017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM AMÉRICA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7025025,3.00,8.00,5.00,7.00,8.00,9.00,5.00,5.00,7.00,216,NULL,652,'BUTANTÃ','S PAULO','SP',1716,54,NULL,1,NULL,NULL,NULL,4,1),(28,7025033,0.00,3.00,3.00,3.00,2.00,NULL,4.00,4.00,3.00,502,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7025041,4.00,8.00,1.00,7.00,8.00,8.25,3.00,4.00,2.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',10727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025050,1.00,3.00,1.00,2.00,6.00,7.50,2.00,3.00,3.00,108,NULL,NULL,'HUMAITA DE CIMA','TUBARÃO','SC',15600,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7025068,3.00,7.00,2.00,6.00,10.00,7.50,3.00,7.00,4.00,310,NULL,NULL,'VILA URUPÊS','SUZANO','SP',4064,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025076,1.00,6.00,0.00,4.00,4.00,6.75,0.00,4.00,3.00,104,NULL,NULL,'HUMAITA','RIO JANEIRO','RJ',13984,339,NULL,NULL,NULL,NULL,NULL,2,1),(28,7025084,1.00,6.00,1.00,4.00,6.00,7.50,2.00,3.00,4.00,203,NULL,202,'SÃO LUIZ','BRUSQUE','SC',17578,686,NULL,NULL,NULL,NULL,NULL,2,22),(28,7025092,2.00,4.00,2.00,6.00,7.00,7.50,2.00,4.00,2.00,5,NULL,NULL,'SEMINÁRIO','ITUPORANGA','SC',9782,291,NULL,NULL,NULL,NULL,NULL,2,24),(28,7025106,4.00,4.00,1.00,5.00,7.00,8.25,2.00,3.00,3.00,103,NULL,NULL,'ESTRELA','PNT GROSSA','PR',10940,2136,NULL,NULL,NULL,NULL,NULL,2,1),(28,7025114,4.00,7.00,0.00,8.00,4.00,8.25,1.00,7.00,4.00,999,NULL,NULL,'CENTRO','APIÚNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7025122,5.00,6.00,4.00,7.00,9.00,7.88,3.00,5.00,6.00,216,NULL,233,'BARREIROS','S JOSÉ','SC',3548,132,NULL,86,NULL,NULL,NULL,2,1),(28,7025130,4.00,7.00,3.00,7.00,7.00,10.88,5.00,4.00,6.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',2701,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025149,0.00,5.00,1.00,5.00,5.00,6.75,4.00,3.00,2.00,104,NULL,NULL,'JARDIM DEL REY','POÇOS CALDAS','MG',13507,333,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025157,1.00,1.00,3.00,4.00,2.00,NULL,1.00,2.00,2.00,999,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7025165,4.00,7.00,3.00,7.00,8.00,8.25,3.00,5.00,4.00,5,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',5169,172,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025173,5.00,8.00,0.00,6.00,7.00,8.63,4.00,7.00,7.00,212,NULL,214,'PARAÍSO','S PAULO','SP',2083,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025181,1.00,7.00,2.00,6.00,6.00,9.38,2.00,5.00,4.00,5,NULL,NULL,'ATIRADORES','JOINVILLE','SC',14719,401,NULL,NULL,NULL,NULL,NULL,4,8),(28,7025190,3.00,4.00,1.00,4.00,7.00,12.38,3.00,4.00,2.00,103,NULL,NULL,'SERRARIA','S JOSÉ','SC',10365,2096,NULL,NULL,NULL,NULL,NULL,2,4),(28,7025203,3.00,5.00,2.00,4.00,3.00,7.50,4.00,5.00,2.00,103,NULL,NULL,'CENTRO','S PEDRO ALCÂNTARA','SC',13582,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7025211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',3,8),(28,7025220,6.00,6.00,1.00,6.00,6.00,7.88,4.00,4.00,2.00,454,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',7596,125,NULL,NULL,NULL,NULL,NULL,2,1),(28,7025238,1.00,4.00,3.00,3.00,4.00,6.75,3.00,6.00,5.00,336,NULL,NULL,'SÃO CRISTOVÃO','LAGES','SC',14025,70,NULL,NULL,NULL,NULL,NULL,4,9),(28,7025246,3.00,6.00,3.00,6.00,6.00,8.25,5.00,5.00,2.00,207,NULL,202,'MONTE VERDE','FLORIANÓPOLIS','SC',9470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025254,1.00,6.00,1.00,2.00,4.00,5.63,2.00,5.00,3.00,208,NULL,NULL,'BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC',19388,215,NULL,NULL,NULL,NULL,NULL,2,1),(28,7025270,2.00,5.00,3.00,7.00,3.00,9.00,2.00,7.00,1.00,5,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',16645,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7025289,3.00,6.00,3.00,6.00,4.00,12.75,4.00,5.00,5.00,220,NULL,201,'AREIAS','S JOSÉ','SC',9784,241,NULL,666,NULL,NULL,NULL,4,1),(28,7025297,1.00,7.00,1.00,4.00,9.00,7.88,2.00,5.00,5.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9360,46,NULL,NULL,NULL,NULL,NULL,2,1),(28,7025319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7025327,2.00,8.00,2.00,7.00,7.00,8.25,2.00,7.00,3.00,415,NULL,NULL,'SÃO JOSÉ','TRAMANDAÍ','RS',6830,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7025335,3.00,5.00,2.00,7.00,6.00,8.25,5.00,5.00,4.00,102,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10570,94,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025360,3.00,6.00,1.00,6.00,6.00,9.00,4.00,5.00,2.00,340,NULL,NULL,'JARDIM DAS INDUSTRIA','S JOSÉ CAMPOS','SP',8945,248,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025378,4.00,8.00,3.00,7.00,4.00,7.50,3.00,7.00,4.00,207,NULL,201,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',6374,296,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025394,7.00,6.00,3.00,5.00,5.00,8.63,6.00,6.00,4.00,103,NULL,NULL,'CENTRO','ASSIS CHATEAUBRIAND','PR',3322,1210,NULL,NULL,NULL,NULL,NULL,2,25),(28,7025408,4.00,6.00,1.00,6.00,7.00,8.25,4.00,1.00,5.00,201,NULL,211,'JARDIM BLUMENAU','BLUMENAU','SC',5204,401,NULL,129,NULL,NULL,NULL,4,2),(28,7025416,6.00,7.00,5.00,7.00,9.00,10.50,4.00,6.00,6.00,104,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1548,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7025424,2.00,5.00,3.00,4.00,6.00,6.38,1.00,3.00,4.00,601,NULL,203,'NOVA BRASÍLIA','JARAGUÁ SUL','SC',12654,377,NULL,596,NULL,NULL,NULL,2,23),(28,7025432,2.00,6.00,3.00,5.00,8.00,9.38,2.00,4.00,5.00,415,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',6631,110,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025440,1.00,3.00,1.00,5.00,3.00,10.50,2.00,5.00,2.00,454,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',18830,384,NULL,NULL,NULL,NULL,NULL,4,10),(28,7025459,6.00,9.00,3.00,4.00,7.00,9.38,5.00,5.00,5.00,108,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',1741,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025467,0.00,2.00,2.00,6.00,5.00,NULL,1.00,1.00,1.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7025483,5.00,8.00,3.00,8.00,8.00,11.25,5.00,6.00,4.00,207,NULL,201,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',1451,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7025513,5.00,8.00,2.00,7.00,11.00,8.25,4.00,5.00,3.00,303,NULL,NULL,'CENTRO','RIO SUL','SC',2705,121,NULL,NULL,NULL,NULL,NULL,2,24),(28,7025521,4.00,8.00,5.00,6.00,9.00,8.63,5.00,5.00,8.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2365,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7025548,0.00,4.00,2.00,5.00,5.00,NULL,1.00,4.00,1.00,5,NULL,NULL,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,15),(28,7025556,2.00,6.00,2.00,4.00,6.00,7.50,4.00,5.00,4.00,103,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',9472,2033,NULL,NULL,NULL,NULL,NULL,4,4),(28,7025564,6.00,8.00,3.00,7.00,6.00,7.50,5.00,7.00,6.00,203,NULL,216,'MENINO DEUS','PTO ALEGRE','RS',1319,123,NULL,37,NULL,NULL,NULL,4,5),(28,7025572,2.00,1.00,2.00,0.00,1.00,NULL,1.00,2.00,2.00,303,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7025580,4.00,5.00,4.00,7.00,9.00,9.75,5.00,7.00,5.00,203,NULL,220,'VELHA','BLUMENAU','SC',2423,191,NULL,72,NULL,NULL,NULL,4,2),(28,7025602,2.00,7.00,3.00,5.00,7.00,6.75,3.00,5.00,4.00,301,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8918,100,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025610,3.00,5.00,2.00,7.00,6.00,7.88,2.00,4.00,3.00,9,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',15050,111,NULL,NULL,NULL,NULL,NULL,4,8),(28,7025629,3.00,6.00,2.00,6.00,8.00,10.50,5.00,6.00,6.00,203,NULL,601,'IRIRIÚ','JOINVILLE','SC',6558,413,NULL,139,NULL,NULL,NULL,4,8),(28,7025637,2.00,7.00,2.00,6.00,7.00,6.00,3.00,5.00,3.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',9548,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025670,3.00,7.00,3.00,6.00,8.00,10.13,3.00,7.00,5.00,216,NULL,212,'SAO JOAO BATISTA','BELO HORIZONTE','MG',2828,101,NULL,84,NULL,NULL,NULL,4,1),(28,7025688,2.00,5.00,3.00,3.00,3.00,7.50,1.00,3.00,2.00,601,NULL,220,'SAGUAÇU','JOINVILLE','SC',19357,545,NULL,343,NULL,NULL,NULL,4,8),(28,7025696,6.00,7.00,3.00,6.00,8.00,6.75,7.00,5.00,5.00,233,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',6184,157,NULL,167,NULL,NULL,NULL,4,1),(28,7025700,8.00,8.00,3.00,7.00,8.00,12.00,5.00,7.00,7.00,103,NULL,NULL,'PEDRO LUDOVICO','GOIÂNIA','GO',378,271,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025718,0.00,6.00,1.00,6.00,8.00,7.13,2.00,4.00,2.00,316,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',11146,109,NULL,NULL,NULL,NULL,NULL,2,1),(28,7025726,3.00,8.00,3.00,6.00,8.00,10.50,4.00,7.00,5.00,5,NULL,NULL,'BEZENELLO','NOVA TRENTO','SC',2716,92,NULL,NULL,NULL,NULL,NULL,4,22),(28,7025734,2.00,5.00,1.00,6.00,9.00,9.75,2.00,4.00,3.00,450,NULL,NULL,'GLÓRIA','JOINVILLE','SC',8843,68,NULL,NULL,NULL,NULL,NULL,4,8),(28,7025742,4.00,7.00,5.00,5.00,7.00,9.00,4.00,5.00,6.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',2571,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025750,4.00,9.00,3.00,7.00,8.00,10.13,5.00,8.00,5.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',1132,613,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025769,4.00,7.00,4.00,7.00,8.00,10.13,6.00,6.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1221,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025777,3.00,7.00,1.00,6.00,9.00,12.75,2.00,3.00,4.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',5459,253,NULL,NULL,NULL,NULL,NULL,2,1),(28,7025785,2.00,5.00,4.00,4.00,6.00,8.63,4.00,5.00,3.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13894,369,NULL,NULL,NULL,NULL,NULL,1,1),(28,7025793,2.00,4.00,1.00,4.00,1.00,NULL,2.00,3.00,2.00,238,NULL,NULL,'CENTRO','S BERNARDINO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7025807,2.00,8.00,2.00,7.00,5.00,8.25,3.00,5.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8883,1990,NULL,NULL,NULL,NULL,NULL,2,1),(28,7025815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7025823,7.00,8.00,3.00,7.00,8.00,12.38,7.00,7.00,7.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',259,196,NULL,NULL,NULL,NULL,NULL,2,1),(28,7025831,4.00,6.00,2.00,3.00,4.00,6.75,2.00,5.00,3.00,601,NULL,233,'SAGUAÇU','JOINVILLE','SC',16656,486,NULL,NULL,NULL,NULL,NULL,4,8),(28,7025840,2.00,7.00,3.00,7.00,3.00,9.38,3.00,6.00,3.00,214,NULL,213,'ALPHAVILLE DOM PEDRO','CAMPINAS','SP',6591,201,NULL,109,NULL,NULL,NULL,4,1),(28,7025858,0.00,7.00,0.00,5.00,7.00,8.25,3.00,3.00,4.00,601,NULL,201,'N SRA APARECIDA','CURITIBANOS','SC',10206,288,NULL,NULL,NULL,NULL,NULL,4,16),(28,7025866,5.00,7.00,2.00,7.00,6.00,6.00,5.00,7.00,4.00,108,NULL,NULL,'VILA CHAD','S ROQUE','SP',3942,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7025874,2.00,5.00,1.00,6.00,6.00,7.13,2.00,3.00,4.00,207,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7025882,1.00,2.00,3.00,7.00,6.00,10.88,1.00,4.00,2.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',12479,227,NULL,NULL,NULL,NULL,NULL,2,1),(28,7025890,1.00,7.00,4.00,7.00,7.00,8.63,6.00,6.00,6.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6285,75,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7025912,7.00,7.00,1.00,7.00,10.00,10.13,5.00,8.00,8.00,103,NULL,NULL,'SANTA CECILIA','S PAULO','SP',316,237,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025920,2.00,7.00,4.00,6.00,6.00,6.75,5.00,6.00,3.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8409,92,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025939,3.00,8.00,1.00,7.00,6.00,7.88,3.00,8.00,5.00,415,NULL,NULL,'PARQUE BRASIL','JACAREÍ','SP',3556,48,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025963,0.00,6.00,2.00,5.00,8.00,6.75,3.00,8.00,4.00,454,NULL,NULL,'CRUZEIRO','RIO CEDROS','SC',14309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025971,2.00,7.00,4.00,6.00,7.00,9.38,1.00,5.00,2.00,302,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',8405,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025980,1.00,5.00,1.00,3.00,6.00,7.88,1.00,3.00,3.00,335,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',17026,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7025998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'REAL CENTER','COSMÓPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7026005,3.00,7.00,1.00,6.00,7.00,8.25,2.00,5.00,2.00,425,NULL,423,'PARQUE DOS PRÍNCIPES','S PAULO','SP',14464,NULL,NULL,16,NULL,NULL,NULL,4,1),(28,7026013,2.00,8.00,2.00,3.00,3.00,8.25,4.00,4.00,4.00,103,NULL,NULL,'JARDIM AEROPORTO','S PAULO','SP',8011,1902,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026021,3.00,6.00,3.00,6.00,8.00,9.00,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',5038,1494,NULL,NULL,NULL,NULL,NULL,4,4),(28,7026030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'AREAL','PELOTAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7026048,7.00,8.00,3.00,7.00,6.00,10.13,6.00,8.00,6.00,103,NULL,NULL,'JABOTIANA','ARACAJU','SE',554,368,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026056,2.00,4.00,1.00,5.00,4.00,7.50,2.00,5.00,1.00,331,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',14505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026064,4.00,6.00,4.00,4.00,7.00,8.25,2.00,5.00,4.00,309,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13043,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7026072,4.00,6.00,3.00,5.00,6.00,8.25,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',13204,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7026080,1.00,7.00,4.00,6.00,8.00,8.25,1.00,6.00,2.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026099,1.00,6.00,1.00,5.00,6.00,9.38,2.00,5.00,2.00,101,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',12574,65,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026102,5.00,8.00,5.00,6.00,9.00,10.13,7.00,7.00,7.00,220,NULL,235,'ESCOLA AGRÍCOLA','BLUMENAU','SC',450,9,NULL,NULL,NULL,NULL,NULL,4,2),(28,7026110,4.00,6.00,4.00,6.00,8.00,9.00,2.00,6.00,5.00,450,NULL,NULL,'ARIRIBÁ','BAL CAMBORIÚ','SC',8340,61,NULL,NULL,NULL,NULL,NULL,4,6),(28,7026129,3.00,5.00,3.00,6.00,6.00,9.00,3.00,3.00,4.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8970,114,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026137,1.00,6.00,5.00,6.00,7.00,10.50,4.00,4.00,2.00,103,NULL,NULL,'SANTO ANTONIO','TUBARÃO','SC',7066,1770,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026145,0.00,3.00,0.00,5.00,6.00,NULL,0.00,2.00,4.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7026153,2.00,4.00,1.00,4.00,4.00,5.25,1.00,3.00,4.00,208,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',16958,188,NULL,NULL,NULL,NULL,NULL,2,1),(28,7026170,5.00,7.00,3.00,7.00,7.00,8.25,5.00,6.00,5.00,201,NULL,212,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4079,NULL,NULL,129,NULL,NULL,NULL,4,1),(28,7026188,7.00,9.00,6.00,7.00,9.00,9.38,7.00,7.00,7.00,103,NULL,NULL,'IPIRANGA','S PAULO','SP',245,188,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026196,4.00,8.00,2.00,6.00,9.00,12.38,6.00,7.00,5.00,103,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',1385,707,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026218,6.00,6.00,5.00,8.00,10.00,9.75,7.00,6.00,5.00,201,NULL,212,'PRES MÉDICI','CHAPECÓ','SC',667,27,NULL,NULL,NULL,NULL,NULL,4,4),(28,7026226,4.00,4.00,2.00,4.00,3.00,6.00,1.00,4.00,5.00,109,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7026234,0.00,2.00,2.00,3.00,6.00,4.50,1.00,4.00,2.00,207,NULL,201,'CENTRO','CONCÓRDIA','SC',18418,782,NULL,1009,NULL,NULL,NULL,4,4),(28,7026242,4.00,6.00,2.00,5.00,7.00,10.13,2.00,5.00,5.00,216,NULL,233,'BARÃO GERALDO','CAMPINAS','SP',6508,225,NULL,161,NULL,NULL,NULL,2,1),(28,7026277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CERQUEIRA CESAR','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7026285,3.00,6.00,2.00,7.00,8.00,10.13,3.00,4.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6479,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026293,1.00,3.00,2.00,7.00,7.00,9.75,1.00,3.00,3.00,102,NULL,NULL,'VELHA','BLUMENAU','SC',16362,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7026307,2.00,4.00,3.00,4.00,7.00,8.63,4.00,3.00,3.00,326,NULL,NULL,'SERRARIA','S JOSÉ','SC',12775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7026315,1.00,6.00,2.00,4.00,5.00,6.38,3.00,4.00,3.00,333,NULL,NULL,'JABOTIANA','ARACAJU','SE',14857,92,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026323,0.00,6.00,4.00,2.00,2.00,NULL,0.00,4.00,2.00,501,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026331,2.00,7.00,3.00,5.00,7.00,10.13,2.00,5.00,3.00,103,NULL,NULL,'JARDIM PRUDENCIA','BAURU','SP',5775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7026340,3.00,6.00,4.00,5.00,7.00,8.25,6.00,7.00,6.00,220,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',2799,80,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026366,5.00,6.00,4.00,3.00,6.00,6.38,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','S JOÃO TRIUNFO','PR',7080,1773,NULL,NULL,NULL,NULL,NULL,4,17),(28,7026374,4.00,8.00,7.00,7.00,7.00,12.00,7.00,7.00,8.00,216,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',514,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026382,2.00,4.00,3.00,4.00,8.00,9.00,2.00,6.00,5.00,207,NULL,201,'BOA VISTA','S JOSÉ R PRETO','SP',7745,354,NULL,565,NULL,NULL,NULL,4,1),(28,7026390,2.00,6.00,1.00,5.00,8.00,8.63,2.00,6.00,2.00,108,NULL,NULL,'PALMITAL','GARUVA','SC',9594,128,NULL,NULL,NULL,NULL,NULL,2,8),(28,7026404,4.00,8.00,1.00,7.00,8.00,8.25,2.00,6.00,3.00,303,NULL,NULL,'LUCAS ARAÚJO','PASSO FUNDO','RS',9198,380,NULL,NULL,NULL,NULL,NULL,2,1),(28,7026412,1.00,6.00,1.00,6.00,6.00,6.75,3.00,6.00,1.00,601,NULL,201,'BARRO PRETO','RIO NEGRINHO','SC',11568,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7026420,3.00,8.00,3.00,7.00,8.00,11.63,3.00,5.00,5.00,415,NULL,NULL,'ATIRADORES','JOINVILLE','SC',3298,44,NULL,NULL,NULL,NULL,NULL,4,8),(28,7026447,4.00,6.00,4.00,7.00,7.00,10.88,6.00,6.00,4.00,331,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2586,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026463,3.00,4.00,1.00,2.00,7.00,7.13,2.00,5.00,1.00,316,NULL,NULL,'NOVA BRASILIA','JOINVILLE','SC',18522,272,NULL,NULL,NULL,NULL,NULL,2,8),(28,7026471,5.00,8.00,2.00,7.00,6.00,7.13,4.00,7.00,5.00,201,NULL,212,'CENTRO','CRICIÚMA','SC',7497,554,NULL,232,NULL,NULL,NULL,2,5),(28,7026498,5.00,6.00,3.00,7.00,5.00,7.88,4.00,4.00,6.00,220,NULL,202,'JARDIM SANTO AMARO','CAMBÉ','PR',5100,150,NULL,146,NULL,NULL,NULL,2,1),(28,7026501,2.00,7.00,1.00,5.00,8.00,9.38,3.00,4.00,2.00,110,NULL,NULL,'JARDIM ELITE','PIRACICABA','SP',8336,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026510,2.00,5.00,0.00,6.00,6.00,8.63,0.00,4.00,1.00,999,NULL,NULL,'MONTE CASTELO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7026528,1.00,5.00,1.00,2.00,7.00,8.25,1.00,3.00,2.00,207,NULL,233,'COQUEIROS','FLORIANÓPOLIS','SC',15927,693,NULL,323,NULL,NULL,NULL,4,1),(28,7026536,7.00,8.00,5.00,8.00,9.00,10.50,8.00,8.00,8.00,103,NULL,NULL,'SETOR SOL NASCENTE','GOIÂNIA','GO',66,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026544,4.00,6.00,2.00,5.00,8.00,7.13,3.00,3.00,3.00,454,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',10147,190,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026552,0.00,5.00,3.00,5.00,3.00,NULL,2.00,3.00,2.00,425,NULL,429,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026560,5.00,7.00,4.00,7.00,7.00,8.25,3.00,5.00,5.00,203,NULL,202,'DOM BOSCO','ITAJAÍ','SC',3086,227,NULL,88,NULL,NULL,NULL,4,6),(28,7026579,2.00,4.00,3.00,5.00,4.00,8.25,3.00,3.00,0.00,103,NULL,NULL,'JD DO LAGO','LIMEIRA','SP',12857,2254,NULL,NULL,NULL,NULL,NULL,2,1),(28,7026587,3.00,9.00,0.00,7.00,7.00,NULL,4.00,7.00,2.00,108,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7026595,2.00,5.00,2.00,8.00,9.00,10.13,4.00,5.00,5.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',7956,359,NULL,574,NULL,NULL,NULL,2,1),(28,7026609,6.00,7.00,3.00,7.00,5.00,7.50,5.00,6.00,6.00,103,NULL,NULL,'JARDIM FOGAÇA','ITAPETININGA','SP',3279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026617,1.00,3.00,3.00,6.00,3.00,7.13,1.00,5.00,3.00,207,NULL,233,'JARDIM CIDADE FLORIA','S JOSÉ','SC',18130,769,NULL,346,NULL,NULL,NULL,2,1),(28,7026625,3.00,8.00,4.00,7.00,7.00,7.50,6.00,6.00,5.00,2,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',2655,9,NULL,NULL,NULL,NULL,NULL,4,2),(28,7026633,1.00,5.00,0.00,6.00,4.00,8.25,1.00,5.00,5.00,319,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',10546,196,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026641,3.00,5.00,2.00,7.00,8.00,8.63,3.00,5.00,4.00,216,NULL,202,'NOVA BRASÍLIA','JARAGUÁ SUL','SC',10918,333,NULL,276,NULL,NULL,NULL,4,23),(28,7026650,3.00,6.00,2.00,5.00,5.00,7.88,0.00,7.00,2.00,103,NULL,NULL,'CENTRO','CAPINZAL','SC',11631,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7026668,6.00,7.00,1.00,7.00,8.00,9.38,5.00,5.00,3.00,203,NULL,220,'ROÇADO','S JOSÉ','SC',4702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7026676,4.00,8.00,3.00,7.00,9.00,9.00,3.00,3.00,4.00,303,NULL,NULL,'SANTA TEREZINHA','BRUSQUE','SC',5174,239,NULL,NULL,NULL,NULL,NULL,2,22),(28,7026684,1.00,7.00,3.00,7.00,8.00,7.50,2.00,4.00,4.00,103,NULL,NULL,'FLOR DO VALE','TREMEMBÉ','SP',7849,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7026692,2.00,6.00,2.00,4.00,8.00,7.13,2.00,4.00,3.00,5,NULL,NULL,'JARDIM SANTA MARIA','JACAREÍ','SP',10657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMBUI','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7026714,3.00,3.00,2.00,4.00,6.00,7.88,1.00,4.00,1.00,303,NULL,NULL,'CENTRO','LAGES','SC',15070,530,NULL,NULL,NULL,NULL,NULL,4,9),(28,7026730,0.00,6.00,0.00,4.00,4.00,8.25,1.00,2.00,2.00,655,NULL,653,'LINHA CONTESSI','TURVO','SC',16187,100,NULL,NULL,NULL,NULL,NULL,2,15),(28,7026749,5.00,4.00,2.00,6.00,8.00,8.63,4.00,5.00,5.00,552,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',8262,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7026757,5.00,8.00,4.00,7.00,7.00,8.63,6.00,7.00,6.00,333,NULL,NULL,'RIVIERA','S PAULO','SP',1687,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026765,3.00,6.00,2.00,3.00,7.00,6.75,3.00,5.00,3.00,303,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',12383,470,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026790,2.00,7.00,1.00,7.00,4.00,5.63,1.00,7.00,2.00,336,NULL,NULL,'CENTRO','JOINVILLE','SC',16242,85,NULL,NULL,NULL,NULL,NULL,4,8),(28,7026803,4.00,5.00,1.00,5.00,7.00,7.88,3.00,3.00,4.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',11556,74,NULL,NULL,NULL,NULL,NULL,2,1),(28,7026811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7026820,3.00,4.00,1.00,5.00,8.00,6.75,2.00,6.00,1.00,108,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',16774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026838,3.00,7.00,0.00,4.00,7.00,10.50,2.00,6.00,4.00,303,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',5540,256,NULL,NULL,NULL,NULL,NULL,4,4),(28,7026846,4.00,4.00,1.00,7.00,8.00,8.63,2.00,5.00,2.00,333,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',10617,62,NULL,NULL,NULL,NULL,NULL,2,1),(28,7026854,6.00,9.00,4.00,8.00,10.00,13.88,2.00,9.00,7.00,415,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',252,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026862,5.00,7.00,3.00,5.00,8.00,11.25,4.00,6.00,4.00,415,NULL,NULL,'IPIRANGA','S JOSÉ','SC',3592,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026870,1.00,4.00,2.00,4.00,6.00,9.00,0.00,6.00,2.00,215,NULL,214,'KOBRASOL','S JOSÉ','SC',17840,283,NULL,349,NULL,NULL,NULL,2,1),(28,7026889,2.00,7.00,2.00,5.00,3.00,6.00,3.00,7.00,7.00,220,NULL,202,'PITUBA','SALVADOR','BA',7168,191,NULL,188,NULL,NULL,NULL,4,1),(28,7026919,1.00,5.00,4.00,3.00,4.00,9.00,3.00,3.00,3.00,102,NULL,NULL,'AMÉRICA','JOINVILLE','SC',14777,132,NULL,NULL,NULL,NULL,NULL,4,8),(28,7026927,0.00,5.00,4.00,4.00,4.00,8.25,2.00,4.00,1.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14736,402,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026935,1.00,7.00,2.00,5.00,8.00,9.38,3.00,5.00,2.00,5,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',10558,311,NULL,NULL,NULL,NULL,NULL,4,1),(28,7026943,8.00,7.00,3.00,6.00,7.00,8.25,3.00,5.00,6.00,201,NULL,212,'SETOR BUENO','GOIÂNIA','GO',5217,402,NULL,170,NULL,NULL,NULL,4,1),(28,7026951,0.00,3.00,2.00,4.00,4.00,8.25,2.00,0.00,2.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',17949,2470,NULL,NULL,NULL,NULL,NULL,2,1),(28,7026986,1.00,7.00,1.00,6.00,6.00,6.75,4.00,5.00,4.00,999,NULL,NULL,'SÃO PEDRO','GUABIRUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,22),(28,7027036,2.00,6.00,1.00,5.00,7.00,5.25,2.00,6.00,4.00,103,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',11716,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027044,2.00,4.00,1.00,6.00,4.00,8.25,2.00,5.00,3.00,238,NULL,652,'CENTRO','PALHOÇA','SC',12348,203,NULL,36,NULL,NULL,NULL,2,1),(28,7027052,5.00,8.00,6.00,6.00,8.00,7.50,4.00,8.00,6.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1488,736,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027060,1.00,4.00,1.00,2.00,3.00,6.00,5.00,5.00,3.00,502,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',18826,56,NULL,NULL,NULL,NULL,NULL,4,3),(28,7027079,1.00,4.00,5.00,5.00,7.00,10.13,4.00,5.00,4.00,601,NULL,203,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',12208,364,NULL,587,NULL,NULL,NULL,2,1),(28,7027087,2.00,7.00,1.00,6.00,6.00,8.63,3.00,5.00,4.00,319,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',7703,128,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027109,4.00,6.00,3.00,4.00,8.00,8.25,5.00,6.00,6.00,216,NULL,202,'CENTRO','CAPIVARI BAIXO','SC',4331,161,NULL,125,NULL,NULL,NULL,4,10),(28,7027117,4.00,7.00,2.00,6.00,6.00,8.63,3.00,3.00,2.00,201,NULL,203,'SERTÃO DO TROMBUDO','ITAPEMA','SC',8125,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7027141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'TRICOLIN','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7027150,1.00,6.00,0.00,6.00,7.00,8.25,2.00,4.00,4.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15952,113,NULL,NULL,NULL,NULL,NULL,2,1),(28,7027168,4.00,5.00,2.00,6.00,7.00,9.00,1.00,6.00,4.00,104,NULL,NULL,'VILA NOVA','BLUMENAU','SC',7538,173,NULL,NULL,NULL,NULL,NULL,4,2),(28,7027176,2.00,4.00,1.00,5.00,4.00,6.75,4.00,3.00,3.00,220,NULL,601,'PRESIDENTE MEDICI','CHAPECÓ','SC',18306,335,NULL,521,NULL,NULL,NULL,4,4),(28,7027192,4.00,6.00,3.00,5.00,6.00,6.75,5.00,4.00,5.00,211,NULL,216,'CENTRO','POMERODE','SC',5585,144,NULL,NULL,NULL,NULL,NULL,1,2),(28,7027206,3.00,6.00,2.00,6.00,5.00,9.75,3.00,4.00,3.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11998,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027214,3.00,6.00,3.00,6.00,5.00,7.50,4.00,5.00,4.00,3,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',9134,32,NULL,NULL,NULL,NULL,NULL,2,23),(28,7027222,1.00,3.00,2.00,6.00,4.00,NULL,2.00,4.00,0.00,207,NULL,201,'WARNOW','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7027230,0.00,6.00,5.00,7.00,4.00,NULL,2.00,5.00,3.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027249,3.00,6.00,0.00,2.00,4.00,NULL,1.00,7.00,2.00,503,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027257,1.00,7.00,1.00,7.00,5.00,10.88,5.00,5.00,4.00,201,NULL,203,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',5247,406,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027265,4.00,3.00,1.00,4.00,7.00,9.00,0.00,3.00,2.00,108,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',18182,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027273,7.00,7.00,3.00,7.00,10.00,9.38,5.00,7.00,7.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',875,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027290,1.00,5.00,2.00,6.00,3.00,7.88,0.00,4.00,2.00,653,NULL,655,'CENTRO','ARARANGUÁ','SC',19002,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7027303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7027311,5.00,9.00,1.00,3.00,10.00,10.50,4.00,8.00,3.00,319,NULL,NULL,'CENTRO','TUBARÃO','SC',4755,67,NULL,NULL,NULL,NULL,NULL,2,10),(28,7027320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'SANTA TEREZINHA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7027338,5.00,8.00,3.00,7.00,10.00,10.13,5.00,6.00,8.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027346,3.00,5.00,1.00,6.00,6.00,7.50,1.00,5.00,3.00,103,NULL,NULL,'JARDIM SATELITE','S JOSÉ CAMPOS','SP',9955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027354,2.00,6.00,3.00,6.00,6.00,8.63,2.00,5.00,6.00,303,NULL,NULL,'BOA VISTA','S CAETANO SUL','SP',6844,309,NULL,NULL,NULL,NULL,NULL,4,8),(28,7027362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7027370,3.00,5.00,1.00,6.00,7.00,6.75,2.00,4.00,3.00,340,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',10239,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7027397,3.00,6.00,3.00,5.00,3.00,7.13,6.00,2.00,3.00,655,NULL,652,'JAQUELINE','IÇARA','SC',15994,95,NULL,63,NULL,NULL,NULL,4,5),(28,7027400,1.00,0.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7027419,6.00,6.00,1.00,7.00,8.00,9.38,5.00,5.00,4.00,202,NULL,213,'CARIANOS','FLORIANÓPOLIS','SC',6662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027427,4.00,5.00,3.00,6.00,5.00,5.63,3.00,3.00,3.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',12085,2205,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027435,0.00,5.00,2.00,4.00,8.00,NULL,3.00,6.00,4.00,216,NULL,211,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7027443,3.00,6.00,4.00,6.00,6.00,8.25,4.00,7.00,3.00,301,NULL,NULL,'ESPLANADA DO SOL','S JOSÉ CAMPOS','SP',9682,117,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027460,1.00,6.00,2.00,4.00,7.00,9.38,0.00,3.00,2.00,207,NULL,201,'KOBRASOL','S JOSÉ','SC',17596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7027486,3.00,5.00,1.00,7.00,5.00,9.00,2.00,3.00,4.00,5,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',11470,331,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027494,1.00,5.00,1.00,4.00,7.00,7.50,0.00,4.00,2.00,415,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',14039,227,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027508,2.00,3.00,1.00,3.00,5.00,7.13,3.00,5.00,3.00,301,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',15594,221,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027516,5.00,7.00,3.00,7.00,8.00,9.38,6.00,5.00,7.00,104,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',1831,10,NULL,NULL,NULL,NULL,NULL,2,1),(28,7027524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA SANTANA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7027532,6.00,8.00,1.00,7.00,10.00,6.38,4.00,6.00,6.00,454,NULL,NULL,'BOM RETIRO','BLUMENAU','SC',1977,8,NULL,NULL,NULL,NULL,NULL,4,2),(28,7027540,2.00,7.00,2.00,7.00,9.00,9.00,2.00,3.00,4.00,201,NULL,202,'CENTRO','CRICIÚMA','SC',6414,493,NULL,174,NULL,NULL,NULL,4,5),(28,7027559,5.00,6.00,2.00,5.00,5.00,5.63,3.00,4.00,5.00,216,NULL,201,'VILA MADALENA','S PAULO','SP',8584,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(28,7027567,3.00,4.00,2.00,5.00,6.00,8.25,6.00,4.00,2.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027583,3.00,9.00,1.00,5.00,10.00,11.25,2.00,7.00,5.00,655,NULL,653,'RIO CANOAS','PR GRANDE','SC',1956,1,NULL,NULL,NULL,NULL,NULL,2,15),(28,7027591,4.00,7.00,1.00,6.00,8.00,8.25,4.00,6.00,4.00,454,NULL,NULL,'FORTALEZA DA BARRA','FLORIANÓPOLIS','SC',6804,104,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027605,3.00,6.00,3.00,6.00,7.00,8.25,2.00,5.00,3.00,102,NULL,NULL,'GLORIA','JOINVILLE','SC',11881,112,NULL,NULL,NULL,NULL,NULL,2,8),(28,7027613,3.00,6.00,2.00,6.00,3.00,6.75,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',10404,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7027621,3.00,6.00,3.00,7.00,5.00,9.38,2.00,6.00,3.00,103,NULL,NULL,'CHACARA SANTO ANTONI','S PAULO','SP',6897,1744,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027630,4.00,8.00,1.00,5.00,4.00,9.38,2.00,6.00,3.00,216,NULL,233,'CENTRO','ITAPORANGA','SP',7559,258,NULL,195,NULL,NULL,NULL,4,2),(28,7027648,3.00,5.00,3.00,6.00,7.00,6.38,4.00,4.00,4.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',7374,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7027656,2.00,7.00,4.00,7.00,8.00,6.38,6.00,6.00,6.00,103,NULL,NULL,'PIO CORREIA','CRICIÚMA','SC',4669,1441,NULL,NULL,NULL,NULL,NULL,4,5),(28,7027680,2.00,4.00,2.00,3.00,4.00,6.00,0.00,3.00,1.00,201,NULL,NULL,'SERRARIA','S JOSÉ','SC',16862,957,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027699,3.00,5.00,1.00,5.00,7.00,9.00,1.00,4.00,2.00,234,NULL,NULL,'JARDIM ELDORADO','PARANAGUÁ','PR',11038,15,NULL,NULL,NULL,NULL,NULL,2,6),(28,7027702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE CAMPOLIM','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7027710,3.00,6.00,3.00,7.00,8.00,9.75,4.00,5.00,5.00,211,NULL,215,'CAPOEIRAS','FLORIANÓPOLIS','SC',3990,98,NULL,54,NULL,NULL,NULL,4,1),(28,7027729,3.00,3.00,2.00,5.00,6.00,8.25,3.00,5.00,5.00,502,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14104,27,NULL,NULL,NULL,NULL,NULL,2,1),(28,7027745,3.00,4.00,3.00,5.00,2.00,NULL,2.00,3.00,2.00,201,NULL,207,'BAIRRO LUZ','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7027753,6.00,5.00,4.00,6.00,6.00,8.25,4.00,4.00,5.00,318,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',9463,59,NULL,NULL,NULL,NULL,NULL,4,8),(28,7027761,1.00,6.00,2.00,7.00,6.00,6.75,3.00,4.00,2.00,216,NULL,238,'PARQUE JABAQUARA','S PAULO','SP',10468,324,NULL,160,NULL,NULL,NULL,4,22),(28,7027770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,238,'PAGARA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7027788,2.00,4.00,4.00,6.00,8.00,7.50,3.00,5.00,3.00,319,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',8219,133,NULL,NULL,NULL,NULL,NULL,2,15),(28,7027796,5.00,4.00,4.00,6.00,6.00,8.25,2.00,6.00,6.00,207,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',6121,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7027800,1.00,4.00,2.00,6.00,7.00,11.63,4.00,2.00,2.00,110,NULL,NULL,'JARDIM SABARÁ','S PAULO','SP',7169,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027818,4.00,7.00,3.00,6.00,8.00,8.63,4.00,6.00,6.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2379,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027834,5.00,8.00,3.00,7.00,9.00,9.00,3.00,6.00,6.00,214,NULL,213,'PIRABEIRABA','JOINVILLE','SC',2173,76,NULL,15,NULL,NULL,NULL,4,8),(28,7027842,7.00,8.00,3.00,6.00,8.00,10.13,4.00,6.00,6.00,203,NULL,216,'CAMPINAS','S JOSÉ','SC',658,63,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027869,5.00,7.00,2.00,5.00,6.00,7.88,2.00,5.00,6.00,203,NULL,202,'COUNTRY','CASCAVEL','PR',5978,398,NULL,164,NULL,NULL,NULL,4,4),(28,7027877,1.00,4.00,1.00,5.00,4.00,5.25,2.00,3.00,3.00,202,NULL,213,'CANTO','FLORIANÓPOLIS','SC',16710,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7027885,0.00,2.00,1.00,4.00,4.00,6.00,2.00,3.00,0.00,319,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',20070,379,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027893,4.00,6.00,1.00,5.00,8.00,9.00,3.00,6.00,4.00,103,NULL,NULL,'TAMBORÉ','BARUERI','SP',10309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027907,3.00,7.00,1.00,5.00,6.00,7.13,2.00,6.00,4.00,207,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8467,394,NULL,NULL,NULL,NULL,NULL,2,1),(28,7027923,5.00,5.00,0.00,3.00,5.00,6.38,3.00,3.00,5.00,103,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',11318,2158,NULL,NULL,NULL,NULL,NULL,2,8),(28,7027931,0.00,2.00,3.00,4.00,2.00,NULL,1.00,4.00,3.00,220,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7027958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7027966,4.00,7.00,3.00,5.00,5.00,7.13,4.00,5.00,1.00,340,NULL,NULL,'CENTRO','S JOSÉ','SC',10224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027974,8.00,7.00,4.00,7.00,7.00,10.50,4.00,7.00,5.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',1719,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7027982,2.00,8.00,4.00,6.00,9.00,9.38,5.00,7.00,3.00,208,NULL,NULL,'CENTRO','RODEIO','SC',3418,20,NULL,NULL,NULL,NULL,NULL,4,2),(28,7028008,3.00,6.00,5.00,3.00,9.00,6.75,2.00,5.00,4.00,203,NULL,214,'PASSA VINTE','PALHOÇA','SC',8209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028016,5.00,7.00,4.00,4.00,2.00,NULL,5.00,6.00,6.00,220,NULL,235,'NOVA RUSSIA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028024,3.00,6.00,1.00,4.00,8.00,7.50,4.00,6.00,3.00,336,NULL,NULL,'VILA BRASILIA','S CARLOS','SP',9179,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028040,2.00,3.00,2.00,2.00,4.00,6.00,1.00,5.00,3.00,207,NULL,201,'PONTA AGUDA','BLUMENAU','SC',16536,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7028067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM JOÃO XXIII','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7028083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7028091,0.00,3.00,2.00,2.00,4.00,NULL,0.00,4.00,0.00,303,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7028105,2.00,6.00,4.00,4.00,4.00,7.50,2.00,6.00,2.00,212,NULL,201,'CANAAN','SETE LAGOAS','MG',9990,292,NULL,676,NULL,NULL,NULL,4,1),(28,7028113,4.00,6.00,4.00,6.00,6.00,7.50,3.00,7.00,2.00,212,NULL,213,'SÃO JOSÉ','S JOSÉ','SC',6721,209,NULL,115,NULL,NULL,NULL,2,1),(28,7028121,2.00,5.00,1.00,5.00,7.00,9.00,2.00,5.00,1.00,201,NULL,212,'ANITA GARIBALDI','JOINVILLE','SC',10416,NULL,NULL,NULL,NULL,NULL,NULL,1,8),(28,7028148,4.00,6.00,2.00,5.00,5.00,7.88,3.00,5.00,4.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',13960,NULL,NULL,310,NULL,NULL,NULL,2,1),(28,7028156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7028164,0.00,5.00,1.00,7.00,5.00,6.00,0.00,3.00,2.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',19215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM EUROPA','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7028180,0.00,5.00,2.00,3.00,4.00,7.88,3.00,4.00,5.00,201,NULL,207,'CENTRO','CHAPECÓ','SC',14231,874,NULL,630,NULL,NULL,NULL,4,4),(28,7028199,1.00,8.00,2.00,5.00,8.00,6.38,5.00,7.00,4.00,201,NULL,207,'BELA VISTA','GASPAR','SC',6150,477,NULL,284,NULL,NULL,NULL,4,2),(28,7028202,4.00,7.00,2.00,7.00,8.00,10.13,6.00,6.00,7.00,319,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',2205,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028210,6.00,6.00,5.00,5.00,6.00,7.88,4.00,6.00,5.00,207,NULL,212,'CORREGO GRANDE','FLORIANÓPOLIS','SC',3864,155,NULL,117,NULL,NULL,NULL,4,1),(28,7028229,6.00,7.00,2.00,5.00,9.00,13.50,5.00,7.00,7.00,340,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',761,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028237,0.00,3.00,3.00,2.00,4.00,NULL,2.00,4.00,1.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028253,0.00,3.00,2.00,3.00,3.00,NULL,1.00,1.00,1.00,654,NULL,NULL,'DIVINEIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7028270,4.00,7.00,4.00,7.00,9.00,10.13,4.00,6.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3309,150,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028288,1.00,6.00,0.00,3.00,8.00,5.25,2.00,5.00,1.00,454,NULL,NULL,'MAR GROSSO','LAGUNA','SC',18420,376,NULL,NULL,NULL,NULL,NULL,2,10),(28,7028296,0.00,5.00,0.00,6.00,5.00,7.13,1.00,3.00,1.00,207,NULL,201,'CENTRO','IPIRA','SC',18398,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7028300,2.00,3.00,2.00,4.00,7.00,6.00,2.00,6.00,4.00,324,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',17642,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7028334,2.00,3.00,2.00,2.00,7.00,4.88,0.00,4.00,1.00,999,NULL,NULL,'CENTRO','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7028342,6.00,7.00,6.00,7.00,6.00,10.50,5.00,6.00,6.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',1115,605,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028350,5.00,7.00,1.00,5.00,6.00,8.25,5.00,6.00,6.00,333,NULL,NULL,'PARQUE IMPERIAL','S PAULO','SP',4275,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028377,2.00,4.00,1.00,3.00,1.00,NULL,2.00,4.00,3.00,203,NULL,214,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7028385,1.00,4.00,0.00,5.00,6.00,6.38,0.00,5.00,3.00,340,NULL,NULL,'SAN FERNANDO','LONDRINA','PR',14382,381,NULL,NULL,NULL,NULL,NULL,2,3),(28,7028393,4.00,5.00,4.00,5.00,3.00,8.25,4.00,3.00,3.00,103,NULL,NULL,'JARDIM ESPLANADA','S JOSÉ CAMPOS','SP',8965,1995,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028407,0.00,3.00,2.00,1.00,3.00,NULL,0.00,3.00,1.00,201,NULL,207,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7028415,4.00,4.00,1.00,4.00,7.00,6.00,3.00,4.00,4.00,101,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',12326,62,NULL,NULL,NULL,NULL,NULL,2,1),(28,7028423,2.00,8.00,2.00,6.00,6.00,8.25,2.00,6.00,2.00,999,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7028440,0.00,3.00,1.00,4.00,3.00,NULL,0.00,3.00,1.00,502,NULL,NULL,'CANASVIEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7028458,4.00,6.00,3.00,5.00,6.00,6.75,2.00,6.00,4.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',9104,12,NULL,NULL,NULL,NULL,NULL,2,15),(28,7028482,8.00,8.00,5.00,8.00,11.00,11.25,6.00,8.00,8.00,103,NULL,NULL,'ZONA IA','UMUARAMA','PR',20,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028490,6.00,6.00,5.00,6.00,10.00,10.13,6.00,5.00,7.00,207,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',1314,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028504,4.00,7.00,2.00,5.00,5.00,7.88,5.00,4.00,5.00,208,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',11506,126,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028512,1.00,0.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SÃO MIGUEL','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,16),(28,7028520,0.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,201,NULL,212,'FERRUGEM','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7028539,2.00,6.00,3.00,6.00,7.00,8.63,3.00,4.00,6.00,201,NULL,NULL,'CENTRO','CRICIÚMA','SC',9995,677,NULL,NULL,NULL,NULL,NULL,4,5),(28,7028547,2.00,4.00,0.00,4.00,8.00,6.75,5.00,4.00,4.00,108,NULL,NULL,'JOAIA','TIJUCAS','SC',11969,166,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028555,3.00,5.00,1.00,3.00,6.00,9.75,4.00,7.00,3.00,103,NULL,NULL,'SANTA MARIA','S CAETANO SUL','SP',6596,1711,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'VILA CLEMENTINA','PARIQUERA-AÇU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7028571,3.00,4.00,1.00,5.00,5.00,4.50,2.00,3.00,3.00,309,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',16520,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7028580,4.00,5.00,1.00,5.00,10.00,6.00,4.00,7.00,4.00,303,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',7143,320,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028598,3.00,4.00,2.00,1.00,3.00,5.25,4.00,4.00,2.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19404,91,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028601,3.00,8.00,0.00,6.00,3.00,9.38,3.00,5.00,6.00,216,NULL,215,'PANTANAL','FLORIANÓPOLIS','SC',6458,222,NULL,NULL,NULL,NULL,NULL,2,1),(28,7028610,1.00,4.00,1.00,6.00,7.00,7.13,2.00,4.00,2.00,109,NULL,NULL,'SÃO BASÍLIO','BRAÇO NORTE','SC',12829,41,NULL,NULL,NULL,NULL,NULL,2,10),(28,7028628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'TANGUA','ALM TAMANDARÉ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7028636,0.00,2.00,1.00,6.00,4.00,5.25,1.00,2.00,1.00,451,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7028644,2.00,5.00,3.00,7.00,6.00,8.63,1.00,4.00,3.00,216,NULL,201,'JARDIM PINDORAMA','RONDONÓPOLIS','MT',14298,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7028652,4.00,6.00,3.00,7.00,5.00,8.25,4.00,4.00,3.00,653,NULL,NULL,'SÃO CRISTÓVÃO','TURVO','SC',12094,128,NULL,NULL,NULL,NULL,NULL,5,15),(28,7028660,1.00,4.00,3.00,6.00,8.00,9.00,2.00,3.00,0.00,340,NULL,NULL,'CARAVAGGIO','NOVA VENEZA','SC',15843,401,NULL,NULL,NULL,NULL,NULL,2,5),(28,7028679,7.00,8.00,6.00,7.00,9.00,9.00,9.00,8.00,8.00,203,NULL,202,'CANGO','FRANCISCO BELTRÃO','PR',60,6,NULL,NULL,NULL,NULL,NULL,4,4),(28,7028687,1.00,2.00,3.00,1.00,3.00,7.50,1.00,3.00,1.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028695,1.00,6.00,2.00,6.00,6.00,8.63,5.00,6.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7948,85,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028709,8.00,9.00,6.00,7.00,11.00,9.75,6.00,8.00,7.00,203,NULL,NULL,'SANTA TEREZINHA','PATO BRANCO','PR',98,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028717,2.00,6.00,2.00,1.00,6.00,8.25,4.00,4.00,3.00,207,NULL,201,'KM SESSENTA','TUBARÃO','SC',12457,564,NULL,798,NULL,NULL,NULL,4,10),(28,7028725,1.00,8.00,3.00,7.00,9.00,9.38,6.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2737,1071,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028733,3.00,5.00,3.00,6.00,8.00,6.38,3.00,4.00,4.00,207,NULL,NULL,'SÃO JOÃO','PTO ALEGRE','RS',9752,454,NULL,NULL,NULL,NULL,NULL,2,1),(28,7028741,1.00,8.00,0.00,5.00,8.00,9.75,3.00,7.00,3.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',9949,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028768,3.00,3.00,2.00,4.00,2.00,NULL,3.00,5.00,3.00,552,NULL,NULL,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7028776,8.00,8.00,2.00,7.00,8.00,12.75,5.00,6.00,7.00,103,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',470,327,NULL,NULL,NULL,NULL,NULL,4,16),(28,7028792,0.00,6.00,1.00,2.00,4.00,5.63,6.00,3.00,2.00,216,NULL,215,'SALTO WEISSBACH','BLUMENAU','SC',15549,410,NULL,252,NULL,NULL,NULL,4,2),(28,7028806,2.00,7.00,1.00,6.00,4.00,7.50,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14465,2330,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028814,6.00,6.00,5.00,5.00,8.00,9.75,6.00,7.00,6.00,207,NULL,601,'CANGO','FRANCISCO BELTRÃO','PR',1645,47,NULL,NULL,NULL,NULL,NULL,2,1),(28,7028822,3.00,7.00,3.00,6.00,7.00,6.00,4.00,4.00,3.00,454,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8189,148,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028830,2.00,7.00,2.00,6.00,8.00,10.13,6.00,4.00,5.00,104,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',6254,129,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028849,1.00,5.00,1.00,6.00,5.00,7.13,3.00,5.00,3.00,207,NULL,NULL,'MICHEL','CRICIÚMA','SC',17431,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7028857,3.00,8.00,1.00,5.00,7.00,8.25,4.00,2.00,4.00,208,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8263,84,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028865,2.00,6.00,0.00,5.00,6.00,6.75,2.00,5.00,3.00,601,NULL,202,'SANTA MÔNICA','UBERLÂNDIA','MG',10619,301,NULL,NULL,NULL,NULL,NULL,4,27),(28,7028881,6.00,8.00,3.00,5.00,4.00,9.00,4.00,7.00,8.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',1973,880,NULL,NULL,NULL,NULL,NULL,2,8),(28,7028890,1.00,5.00,1.00,3.00,2.00,NULL,1.00,1.00,0.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028903,7.00,8.00,2.00,6.00,7.00,10.13,5.00,7.00,7.00,203,NULL,202,'JUVEVÊ','CURITIBA','PR',837,82,NULL,15,NULL,NULL,NULL,4,3),(28,7028911,2.00,7.00,1.00,5.00,4.00,9.00,3.00,7.00,1.00,327,NULL,NULL,'TRANSURB','ITAPEVI','SP',10672,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028920,2.00,5.00,0.00,6.00,7.00,6.38,3.00,4.00,4.00,207,NULL,NULL,'JARDIM BELA VISTA','S JOSÉ CAMPOS','SP',10652,488,NULL,NULL,NULL,NULL,NULL,2,1),(28,7028938,4.00,5.00,3.00,4.00,6.00,9.00,3.00,3.00,3.00,450,NULL,NULL,'CENTRO','STO ANDRÉ','SP',8092,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7028946,1.00,7.00,0.00,7.00,6.00,8.63,3.00,7.00,3.00,201,NULL,203,'CENTRO','ITAJAÍ','SC',7546,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7028954,2.00,4.00,1.00,3.00,5.00,9.00,2.00,2.00,3.00,216,NULL,NULL,'BELVEDERE','CHAPECÓ','SC',16336,423,NULL,NULL,NULL,NULL,NULL,4,4),(28,7028962,6.00,8.00,1.00,6.00,6.00,9.38,4.00,8.00,4.00,203,NULL,202,'SETOR SUL','GOIANÉSIA','GO',4102,298,NULL,123,NULL,NULL,NULL,2,1),(28,7028970,2.00,2.00,0.00,5.00,4.00,4.50,0.00,3.00,2.00,652,NULL,655,'KOBRASOL','S JOSÉ','SC',20039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7028989,4.00,5.00,1.00,4.00,7.00,9.75,3.00,4.00,3.00,207,NULL,201,'AREIAS','S JOSÉ','SC',11364,523,NULL,739,NULL,NULL,NULL,5,1),(28,7028997,6.00,7.00,3.00,5.00,7.00,13.50,2.00,7.00,5.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',1621,782,NULL,NULL,NULL,NULL,NULL,4,1),(28,7029004,2.00,4.00,1.00,6.00,6.00,6.00,2.00,3.00,1.00,216,NULL,220,'ESTREITO','FLORIANÓPOLIS','SC',16023,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7029039,2.00,5.00,2.00,5.00,7.00,7.88,1.00,3.00,1.00,552,NULL,NULL,'PRIMAVERA','XAXIM','SC',14424,88,NULL,NULL,NULL,NULL,NULL,2,4),(28,7029047,4.00,7.00,0.00,7.00,8.00,8.63,4.00,7.00,6.00,203,NULL,233,'CLAUDETE','CASCAVEL','PR',6400,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7029055,3.00,5.00,3.00,5.00,4.00,4.50,1.00,3.00,1.00,108,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',15760,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7029071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,201,'AGOSTINI','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7029080,8.00,8.00,4.00,7.00,9.00,11.63,5.00,6.00,3.00,201,NULL,207,'CENTRO','ESPÍRITO STO PINHAL','SP',881,40,NULL,NULL,NULL,NULL,NULL,4,6),(28,7029098,3.00,4.00,1.00,7.00,4.00,9.75,2.00,3.00,2.00,207,NULL,NULL,'CENTRO','NOVA TRENTO','SC',13489,604,NULL,NULL,NULL,NULL,NULL,2,22),(28,7029101,1.00,4.00,1.00,4.00,3.00,6.38,1.00,2.00,4.00,207,NULL,201,'VILA NOVA','BLUMENAU','SC',16721,720,NULL,952,NULL,NULL,NULL,4,2),(28,7029110,2.00,8.00,2.00,7.00,10.00,8.63,2.00,5.00,2.00,303,NULL,NULL,'BERGER','CAÇADOR','SC',8939,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7029136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,601,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7029144,0.00,7.00,1.00,5.00,6.00,9.00,3.00,5.00,4.00,212,NULL,214,'JARDIM HOLIDAY','S PEDRO','SP',13677,361,NULL,307,NULL,NULL,NULL,4,8),(28,7029152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','GUARATUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7029160,0.00,4.00,1.00,6.00,6.00,6.75,0.00,4.00,1.00,101,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',19191,128,NULL,NULL,NULL,NULL,NULL,2,1),(28,7029179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','FLORES CUNHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7029195,0.00,1.00,2.00,5.00,3.00,6.38,3.00,2.00,3.00,212,NULL,NULL,'CEARÁ','CRICIÚMA','SC',19800,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7029209,2.00,6.00,0.00,6.00,8.00,8.25,3.00,4.00,3.00,427,NULL,421,'CAMPINAS','S JOSÉ','SC',16211,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7029217,3.00,6.00,3.00,6.00,3.00,6.75,5.00,6.00,4.00,601,NULL,652,'CZERNIEWICZ','JARAGUÁ SUL','SC',13529,407,NULL,45,NULL,NULL,NULL,4,23),(28,7029233,5.00,6.00,3.00,6.00,6.00,8.25,5.00,4.00,7.00,103,NULL,NULL,'JARDINS FLORENCA','GOIÂNIA','GO',3145,1168,NULL,NULL,NULL,NULL,NULL,4,1),(28,7029241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7029268,7.00,7.00,3.00,6.00,8.00,8.63,6.00,6.00,5.00,103,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',1901,860,NULL,NULL,NULL,NULL,NULL,4,1),(28,7029276,1.00,5.00,1.00,5.00,5.00,6.00,3.00,4.00,2.00,203,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',14389,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7029284,0.00,6.00,2.00,6.00,8.00,NULL,4.00,6.00,2.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7029292,2.00,8.00,6.00,7.00,7.00,13.13,1.00,7.00,4.00,340,NULL,NULL,'BIGORRILHO','CURITIBA','PR',2613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7029306,1.00,0.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7029314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'PARQUE INTERLAGOS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7029322,2.00,8.00,4.00,4.00,8.00,9.00,4.00,5.00,3.00,303,NULL,NULL,'TESTO REGA','POMERODE','SC',5690,262,NULL,NULL,NULL,NULL,NULL,1,2),(28,7029330,1.00,4.00,1.00,2.00,3.00,4.50,1.00,1.00,1.00,301,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',19450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7029349,0.00,0.00,4.00,3.00,3.00,4.50,0.00,3.00,2.00,440,NULL,NULL,'CAÇADOR','CAPIVARI BAIXO','SC',20145,16,NULL,NULL,NULL,NULL,NULL,6,1),(28,7029357,4.00,6.00,1.00,6.00,10.00,9.75,5.00,5.00,5.00,333,NULL,NULL,'FLORESTA','BELO HORIZONTE','MG',3945,15,NULL,NULL,NULL,NULL,NULL,2,1),(28,7029365,4.00,7.00,2.00,7.00,9.00,9.38,3.00,5.00,2.00,5,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',5381,176,NULL,NULL,NULL,NULL,NULL,2,1),(28,7029373,0.00,2.00,1.00,6.00,4.00,NULL,0.00,2.00,2.00,444,NULL,NULL,'JD CIDADE DE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7029381,2.00,7.00,2.00,5.00,4.00,7.88,3.00,5.00,2.00,201,NULL,207,'AZAMBUJA','BRUSQUE','SC',9725,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7029403,4.00,5.00,3.00,6.00,4.00,NULL,3.00,7.00,0.00,238,NULL,652,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7029411,4.00,7.00,2.00,8.00,6.00,7.88,4.00,7.00,6.00,216,NULL,203,'CHACARA DO PAIVA','SETE LAGOAS','MG',2351,74,NULL,187,NULL,NULL,NULL,4,1),(28,7029420,6.00,8.00,3.00,7.00,7.00,5.25,6.00,7.00,6.00,220,NULL,202,'SETOR BUENO','GOIÂNIA','GO',1311,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7029438,1.00,6.00,3.00,6.00,8.00,7.13,4.00,3.00,5.00,211,NULL,233,'RIO CAVEIRAS','BIGUAÇU','SC',8649,233,NULL,214,NULL,NULL,NULL,2,1),(28,7029446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PARQUE NOVA JANDIRA','JANDIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7029454,5.00,8.00,3.00,6.00,5.00,9.00,5.00,5.00,6.00,203,NULL,202,'JARDIM SANTA MARIA','JACAREÍ','SP',3045,224,NULL,86,NULL,NULL,NULL,4,1),(28,7029462,1.00,5.00,1.00,7.00,10.00,9.38,2.00,3.00,1.00,5,NULL,NULL,'SÃO LUIZ','SOMBRIO','SC',9938,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7029470,4.00,7.00,3.00,7.00,9.00,10.50,3.00,6.00,3.00,454,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',3100,23,NULL,NULL,NULL,NULL,NULL,4,10),(28,7029489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7029497,4.00,7.00,2.00,5.00,9.00,11.25,1.00,5.00,6.00,303,NULL,NULL,'BUCAREIN','JOINVILLE','SC',4919,226,NULL,NULL,NULL,NULL,NULL,4,8),(28,7029500,3.00,7.00,1.00,5.00,7.00,9.38,4.00,4.00,2.00,304,NULL,NULL,'BARREIROS','S JOSÉ','SC',8110,60,NULL,NULL,NULL,NULL,NULL,2,1),(28,7029519,2.00,5.00,3.00,4.00,0.00,NULL,1.00,3.00,3.00,303,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7029527,1.00,5.00,0.00,6.00,4.00,8.25,0.00,2.00,4.00,404,NULL,NULL,'IPIRANGA','S JOSÉ','SC',16005,41,NULL,NULL,NULL,NULL,NULL,2,1),(28,7029535,4.00,5.00,1.00,6.00,9.00,8.63,2.00,4.00,3.00,109,NULL,NULL,'SANTO ANDRÉ','CAPIVARI BAIXO','SC',7394,3,NULL,NULL,NULL,NULL,NULL,2,10),(28,7029543,5.00,4.00,1.00,6.00,7.00,11.25,4.00,2.00,3.00,999,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7029551,1.00,5.00,2.00,2.00,4.00,NULL,1.00,4.00,0.00,102,NULL,NULL,'CENTRO','ITAIÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7029560,3.00,7.00,5.00,5.00,5.00,7.88,4.00,5.00,2.00,201,NULL,203,'ARUÃ ECO PARK','MOGI CRUZES','SP',5770,449,NULL,380,NULL,NULL,NULL,2,1),(28,7029578,1.00,4.00,2.00,6.00,2.00,NULL,3.00,3.00,1.00,9,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7029586,1.00,4.00,4.00,6.00,6.00,7.13,1.00,3.00,2.00,425,NULL,426,'SERTAO DO MARUIM','S JOSÉ','SC',14214,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7029594,4.00,7.00,1.00,2.00,8.00,7.88,3.00,4.00,5.00,203,NULL,202,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',11547,572,NULL,290,NULL,NULL,NULL,4,1),(28,7029608,7.00,9.00,5.00,5.00,10.00,8.25,5.00,8.00,6.00,201,NULL,203,'ANITA GARIBALDI','JOINVILLE','SC',665,26,NULL,NULL,NULL,NULL,NULL,4,8),(28,7029616,2.00,7.00,2.00,5.00,6.00,6.38,3.00,3.00,4.00,207,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',10291,471,NULL,299,NULL,NULL,NULL,4,1),(28,7029632,1.00,3.00,4.00,6.00,7.00,10.13,6.00,4.00,2.00,337,NULL,NULL,'SÃO LUIZ','AMERICANA','SP',8603,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7029640,0.00,7.00,2.00,6.00,4.00,10.50,3.00,6.00,1.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7029659,0.00,2.00,2.00,3.00,2.00,NULL,1.00,5.00,3.00,440,NULL,NULL,'SETOR CENTRAL','S LUÍS M BELOS','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7029675,3.00,7.00,3.00,4.00,7.00,6.38,5.00,5.00,5.00,220,NULL,207,'ITACURUBI','FLORIANÓPOLIS','SC',8006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7029683,6.00,8.00,5.00,4.00,6.00,5.25,4.00,7.00,3.00,213,NULL,214,'JARDIM ALVORADA','S JOSÉ CAMPOS','SP',3625,45,NULL,129,NULL,NULL,NULL,4,1),(28,7029691,5.00,8.00,3.00,7.00,10.00,10.50,5.00,7.00,6.00,103,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',1310,684,NULL,NULL,NULL,NULL,NULL,4,6),(28,7029705,3.00,7.00,3.00,5.00,8.00,9.75,5.00,5.00,6.00,316,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3106,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7029713,4.00,7.00,5.00,7.00,5.00,8.63,4.00,5.00,7.00,201,NULL,212,'CENTRO','JOINVILLE','SC',6063,470,NULL,194,NULL,NULL,NULL,4,8),(28,7029721,0.00,3.00,2.00,4.00,6.00,NULL,4.00,3.00,2.00,999,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7029748,5.00,7.00,2.00,7.00,7.00,9.38,1.00,5.00,4.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6267,101,NULL,NULL,NULL,NULL,NULL,2,1),(28,7029756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'VILA PARAIBA','GUARATINGUETÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7029764,2.00,8.00,3.00,6.00,7.00,9.38,4.00,5.00,4.00,201,NULL,211,'FREZARIN','AMERICANA','SP',4021,309,NULL,100,NULL,NULL,NULL,4,1),(28,7029780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PARQUE CIDADE JARDIM','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7029802,5.00,5.00,3.00,4.00,7.00,9.38,3.00,6.00,8.00,103,NULL,NULL,'SANTA AUGUSTA','CRICIÚMA','SC',2875,1105,NULL,NULL,NULL,NULL,NULL,4,5),(28,7029810,1.00,6.00,0.00,4.00,6.00,7.50,2.00,7.00,3.00,601,NULL,214,'AVENTUREIRO','JOINVILLE','SC',11173,327,NULL,275,NULL,NULL,NULL,4,8),(28,7029829,4.00,6.00,3.00,7.00,5.00,9.00,4.00,6.00,3.00,340,NULL,NULL,'ALPHAVILLE','BARUERI','SP',10486,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7029853,2.00,5.00,1.00,1.00,4.00,7.50,4.00,2.00,2.00,501,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',17039,104,NULL,NULL,NULL,NULL,NULL,4,1),(28,7029861,1.00,4.00,2.00,6.00,3.00,9.38,1.00,1.00,1.00,655,NULL,NULL,'CENTRO','LGA VERMELHA','RS',19494,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7029888,0.00,3.00,2.00,5.00,5.00,6.00,3.00,4.00,2.00,340,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',16833,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7029896,0.00,5.00,1.00,3.00,5.00,9.38,1.00,4.00,3.00,653,NULL,655,'CENTRO','ARARANGUÁ','SC',14109,153,NULL,78,NULL,NULL,NULL,4,15),(28,7029918,0.00,4.00,4.00,6.00,7.00,8.25,4.00,5.00,3.00,340,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',13275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7029926,3.00,0.00,0.00,8.00,7.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7029934,4.00,1.00,2.00,5.00,2.00,NULL,1.00,2.00,1.00,207,NULL,201,'CRISTO REI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7029950,3.00,6.00,1.00,6.00,7.00,7.88,5.00,3.00,5.00,215,NULL,211,'TERMAS','GRAVATAL','SC',6330,90,NULL,171,NULL,NULL,NULL,4,10),(28,7029969,6.00,7.00,4.00,6.00,7.00,9.75,4.00,4.00,6.00,103,NULL,NULL,'VILA CLÁUDIA','S PAULO','SP',2501,1022,NULL,NULL,NULL,NULL,NULL,4,1),(28,7029977,3.00,3.00,2.00,7.00,4.00,7.50,4.00,2.00,3.00,340,NULL,NULL,'ÁGUA VERDE','JARAGUÁ SUL','SC',14546,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7029985,8.00,7.00,5.00,7.00,6.00,9.38,6.00,7.00,6.00,103,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',616,399,NULL,NULL,NULL,NULL,NULL,4,6),(28,7029993,2.00,6.00,4.00,5.00,7.00,8.63,2.00,5.00,4.00,303,NULL,NULL,'JARDIM AMERICA','GOIÂNIA','GO',11808,455,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030010,4.00,5.00,4.00,5.00,6.00,9.00,4.00,5.00,4.00,319,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',5925,93,NULL,NULL,NULL,NULL,NULL,2,1),(28,7030029,5.00,7.00,2.00,6.00,6.00,6.38,5.00,4.00,4.00,213,NULL,202,'PONTA AGUDA','BLUMENAU','SC',7704,132,NULL,207,NULL,NULL,NULL,4,2),(28,7030037,1.00,2.00,1.00,5.00,4.00,4.88,0.00,3.00,2.00,308,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7030045,1.00,5.00,4.00,6.00,8.00,5.63,2.00,3.00,2.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12447,173,NULL,NULL,NULL,NULL,NULL,2,1),(28,7030061,5.00,5.00,3.00,5.00,6.00,7.50,2.00,6.00,3.00,108,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',9894,130,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030070,6.00,8.00,2.00,6.00,9.00,7.13,3.00,8.00,8.00,220,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',1960,54,NULL,NULL,NULL,NULL,NULL,4,2),(28,7030096,3.00,5.00,2.00,5.00,6.00,7.50,1.00,5.00,4.00,336,NULL,NULL,'FLORESTA','S JOSÉ','SC',12620,65,NULL,NULL,NULL,NULL,NULL,2,1),(28,7030100,2.00,5.00,3.00,3.00,5.00,8.63,2.00,2.00,4.00,108,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',18100,243,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030118,1.00,3.00,4.00,4.00,3.00,7.13,1.00,1.00,1.00,324,NULL,NULL,'SERRARIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030126,1.00,7.00,3.00,6.00,5.00,8.25,3.00,5.00,4.00,103,NULL,NULL,'ECOVILLE','CURITIBA','PR',9133,2008,NULL,NULL,NULL,NULL,NULL,4,3),(28,7030142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7030150,5.00,7.00,5.00,5.00,9.00,9.38,6.00,7.00,6.00,103,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',2296,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7030177,4.00,5.00,3.00,7.00,7.00,7.88,5.00,5.00,4.00,340,NULL,NULL,'JARDIM SÃO PAULO','AMERICANA','SP',5843,147,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030185,4.00,3.00,2.00,4.00,5.00,6.75,2.00,6.00,3.00,201,NULL,203,'GUABIROTUBA','CURITIBA','PR',12080,774,NULL,583,NULL,NULL,NULL,4,23),(28,7030193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,601,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7030207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SANTA TERESINHA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7030215,9.00,9.00,7.00,7.00,7.00,6.75,5.00,6.00,6.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',633,405,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030223,1.00,6.00,3.00,7.00,7.00,8.25,4.00,5.00,3.00,316,NULL,NULL,'GLÓRIA','JOINVILLE','SC',10713,99,NULL,NULL,NULL,NULL,NULL,4,8),(28,7030240,5.00,6.00,3.00,7.00,9.00,12.00,4.00,7.00,3.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2944,4,NULL,NULL,NULL,NULL,NULL,3,1),(28,7030258,7.00,8.00,4.00,7.00,5.00,8.63,3.00,6.00,4.00,207,NULL,201,'VILA SUZANA','S PAULO','SP',3786,151,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030266,2.00,6.00,1.00,6.00,4.00,7.13,1.00,7.00,2.00,415,NULL,NULL,'MARIA DO CARMO','S BORJA','RS',11435,185,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAIÇARAS','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7030290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7030304,2.00,9.00,1.00,6.00,5.00,8.63,3.00,6.00,2.00,316,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',13888,169,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030320,1.00,6.00,1.00,7.00,5.00,8.63,1.00,5.00,3.00,103,NULL,NULL,'JARDIM PAULISTA','OURINHOS','SP',10221,2088,NULL,NULL,NULL,NULL,NULL,4,8),(28,7030339,2.00,5.00,1.00,5.00,3.00,6.38,2.00,3.00,2.00,303,NULL,NULL,'FUNDOS','BIGUAÇU','SC',14614,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7030347,6.00,8.00,3.00,7.00,7.00,9.00,4.00,6.00,5.00,207,NULL,201,'PAIQUERÊ','VALINHOS','SP',2407,81,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030355,0.00,5.00,2.00,7.00,6.00,NULL,5.00,4.00,2.00,318,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7030363,2.00,5.00,2.00,2.00,4.00,6.75,1.00,2.00,3.00,211,NULL,216,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',15200,378,NULL,401,NULL,NULL,NULL,4,8),(28,7030371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA FRIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7030380,7.00,8.00,8.00,8.00,9.00,11.63,7.00,8.00,7.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',4,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030398,4.00,6.00,3.00,6.00,5.00,5.63,4.00,4.00,3.00,202,NULL,235,'NS DA SALETE','CRICIÚMA','SC',9310,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7030401,3.00,7.00,2.00,5.00,8.00,12.00,5.00,6.00,3.00,426,NULL,423,'EFAPI','CHAPECÓ','SC',3338,1,NULL,NULL,NULL,NULL,NULL,2,4),(28,7030410,2.00,8.00,2.00,4.00,6.00,6.00,2.00,6.00,4.00,203,NULL,212,'PLANALTO VERDE','RIBEIRÃO PRETO','SP',8175,482,NULL,252,NULL,NULL,NULL,4,1),(28,7030436,4.00,8.00,5.00,8.00,7.00,9.38,5.00,6.00,6.00,202,NULL,201,'CENTRO','PTO UNIÃO','SC',898,18,NULL,NULL,NULL,NULL,NULL,2,17),(28,7030444,5.00,5.00,4.00,7.00,8.00,7.88,4.00,6.00,3.00,211,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',9062,243,NULL,129,NULL,NULL,NULL,4,1),(28,7030452,1.00,3.00,3.00,5.00,4.00,6.00,2.00,0.00,2.00,317,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',17395,142,NULL,NULL,NULL,NULL,NULL,2,1),(28,7030479,6.00,7.00,5.00,3.00,6.00,9.75,5.00,6.00,7.00,103,NULL,NULL,'JARDIM CONTINENTAL','MARÍLIA','SP',1682,801,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030487,2.00,7.00,1.00,6.00,9.00,8.25,6.00,4.00,4.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',4251,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030509,5.00,8.00,5.00,6.00,11.00,8.63,4.00,7.00,4.00,203,NULL,601,'SANTA RITA','BRUSQUE','SC',2609,NULL,NULL,29,NULL,NULL,NULL,4,22),(28,7030517,2.00,5.00,2.00,5.00,6.00,8.63,3.00,5.00,2.00,103,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',15228,2366,NULL,NULL,NULL,NULL,NULL,2,1),(28,7030525,2.00,4.00,0.00,3.00,2.00,NULL,0.00,4.00,3.00,108,NULL,NULL,'SETOR SUDOESTE','CRUZEIRO','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7030533,2.00,5.00,1.00,5.00,6.00,11.25,5.00,7.00,2.00,421,NULL,424,'VILA AURORA','S PAULO','SP',8323,3,NULL,NULL,NULL,NULL,NULL,2,1),(28,7030541,1.00,5.00,4.00,5.00,8.00,9.38,2.00,6.00,4.00,303,NULL,NULL,'ALPHAVILLE','BARUERI','SP',5270,244,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030550,0.00,4.00,1.00,5.00,6.00,6.00,1.00,2.00,3.00,102,NULL,NULL,'JOÃO TOZINI','CORUPÁ','SC',19414,181,NULL,NULL,NULL,NULL,NULL,4,23),(28,7030568,2.00,4.00,1.00,6.00,6.00,8.63,2.00,4.00,4.00,235,NULL,213,'CAPOEIRAS','FLORIANÓPOLIS','SC',9935,162,NULL,174,NULL,NULL,NULL,4,1),(28,7030592,5.00,9.00,3.00,5.00,11.00,14.25,3.00,6.00,7.00,103,NULL,NULL,'JARDIM ANÁLIA FRANCO','S PAULO','SP',613,396,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'MARGEM ESQUERDA','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7030614,6.00,6.00,2.00,5.00,7.00,8.25,3.00,4.00,3.00,444,NULL,NULL,'AREIAS','S JOSÉ','SC',13907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'CENTRO','BRAGANÇA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7030630,5.00,7.00,2.00,6.00,8.00,10.50,6.00,6.00,5.00,201,NULL,238,'SERRARIA','S JOSÉ','SC',3360,253,NULL,13,NULL,NULL,NULL,4,1),(28,7030649,5.00,8.00,1.00,4.00,7.00,7.88,4.00,6.00,3.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9835,124,NULL,NULL,NULL,NULL,NULL,2,1),(28,7030657,6.00,8.00,4.00,7.00,11.00,11.25,4.00,7.00,8.00,201,NULL,207,'CAMPINAS','S JOSÉ','SC',426,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030665,5.00,6.00,2.00,3.00,6.00,7.88,5.00,6.00,4.00,201,NULL,207,'VILA SÃO JOSÉ','ARARANGUÁ','SC',6900,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7030673,3.00,5.00,1.00,4.00,6.00,9.38,1.00,6.00,5.00,201,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',15475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030681,6.00,5.00,1.00,5.00,7.00,9.00,4.00,5.00,5.00,340,NULL,NULL,'VILA NOVA','BLUMENAU','SC',5430,136,NULL,NULL,NULL,NULL,NULL,4,2),(28,7030690,4.00,5.00,2.00,7.00,7.00,9.38,2.00,4.00,5.00,454,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',12919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030703,0.00,2.00,1.00,1.00,3.00,NULL,3.00,1.00,1.00,601,NULL,201,'PIRABEIRABA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7030720,3.00,7.00,2.00,6.00,8.00,9.75,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5278,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7030738,3.00,5.00,1.00,6.00,2.00,NULL,3.00,5.00,2.00,203,NULL,214,'CENTRO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7030746,5.00,7.00,5.00,5.00,9.00,11.63,5.00,6.00,7.00,211,NULL,201,'SANTA TEREZA','PTO ALEGRE','RS',649,3,NULL,NULL,NULL,NULL,NULL,2,1),(28,7030754,4.00,6.00,0.00,5.00,5.00,9.75,3.00,5.00,3.00,211,NULL,601,'CENTRO','ITAPIRANGA','SC',10662,288,NULL,NULL,NULL,NULL,NULL,2,4),(28,7030762,0.00,2.00,2.00,3.00,3.00,7.50,1.00,3.00,2.00,215,NULL,NULL,'SÃO LUIZ','AMERICANA','SP',18867,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7030789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7030797,4.00,5.00,3.00,7.00,6.00,6.00,5.00,5.00,5.00,235,NULL,238,'CARIANOS','FLORIANÓPOLIS','SC',10425,171,NULL,157,NULL,NULL,NULL,4,1),(28,7030800,4.00,7.00,3.00,7.00,8.00,8.25,3.00,6.00,5.00,301,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',4037,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7030819,2.00,4.00,1.00,5.00,8.00,9.00,2.00,5.00,6.00,201,NULL,601,'IRIRIÚ','JOINVILLE','SC',12631,808,NULL,376,NULL,NULL,NULL,2,8),(28,7030835,2.00,7.00,2.00,6.00,7.00,6.75,1.00,4.00,4.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',10372,420,NULL,NULL,NULL,NULL,NULL,2,1),(28,7030851,7.00,8.00,6.00,6.00,8.00,8.63,7.00,7.00,7.00,103,NULL,NULL,'MOOCA','S PAULO','SP',353,258,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030878,4.00,8.00,2.00,7.00,9.00,11.63,5.00,6.00,3.00,5,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',3021,107,NULL,NULL,NULL,NULL,NULL,4,23),(28,7030894,5.00,8.00,3.00,6.00,9.00,7.50,5.00,7.00,7.00,103,NULL,NULL,'SÃO JUDAS','S PAULO','SP',1035,569,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030908,3.00,7.00,4.00,6.00,8.00,7.88,4.00,6.00,7.00,207,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',3766,149,NULL,114,NULL,NULL,NULL,4,1),(28,7030916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'HIGIENÓPOLIS','CATANDUVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7030924,5.00,7.00,3.00,5.00,5.00,7.13,5.00,4.00,6.00,103,NULL,NULL,'JARDIM PAULISTA','OURINHOS','SP',4141,1351,NULL,NULL,NULL,NULL,NULL,4,8),(28,7030932,2.00,5.00,2.00,7.00,6.00,4.50,2.00,4.00,3.00,103,NULL,NULL,'NOVO CENTRO','MARINGÁ','PR',12424,2226,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030940,0.00,6.00,2.00,6.00,5.00,7.50,4.00,4.00,1.00,234,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',17355,54,NULL,NULL,NULL,NULL,NULL,2,1),(28,7030959,3.00,5.00,0.00,5.00,7.00,7.50,1.00,4.00,3.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12474,174,NULL,NULL,NULL,NULL,NULL,4,1),(28,7030967,3.00,7.00,3.00,5.00,8.00,9.38,5.00,4.00,5.00,201,NULL,212,'ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC',5951,NULL,NULL,192,NULL,NULL,NULL,2,1),(28,7030983,4.00,9.00,2.00,6.00,8.00,12.75,4.00,8.00,7.00,103,NULL,NULL,'SETOR CAMPESTRE','RIO VERDE','GO',805,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7030991,3.00,6.00,1.00,3.00,8.00,4.88,2.00,6.00,2.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',10222,2089,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031009,6.00,8.00,4.00,6.00,9.00,8.25,6.00,5.00,5.00,103,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',2231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031017,3.00,3.00,1.00,6.00,7.00,12.00,2.00,5.00,5.00,103,NULL,NULL,'BELA VISTA','FRAIBURGO','SC',9578,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7031025,0.00,4.00,2.00,3.00,4.00,NULL,1.00,3.00,1.00,415,NULL,NULL,'SÃO DEFENDE','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7031033,5.00,9.00,2.00,6.00,6.00,9.75,2.00,6.00,7.00,303,NULL,NULL,'CENTRO','CHAPECÓ','SC',3124,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7031041,6.00,7.00,2.00,6.00,7.00,7.13,5.00,3.00,4.00,450,NULL,NULL,'PIRITUBA','S PAULO','SP',5306,39,NULL,NULL,NULL,NULL,NULL,2,1),(28,7031050,2.00,6.00,1.00,5.00,5.00,9.00,2.00,5.00,3.00,103,NULL,NULL,'EFAPI','CHAPECÓ','SC',11327,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7031068,2.00,6.00,5.00,5.00,6.00,7.50,5.00,5.00,5.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',5481,244,NULL,422,NULL,NULL,NULL,4,1),(28,7031076,2.00,7.00,5.00,7.00,7.00,7.88,6.00,6.00,3.00,223,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',3631,1,NULL,NULL,NULL,NULL,NULL,4,23),(28,7031084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SCHRAMM','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7031092,3.00,7.00,3.00,7.00,9.00,7.88,5.00,4.00,7.00,220,NULL,655,'CENTRO','CRICIÚMA','SC',4479,134,NULL,8,NULL,NULL,NULL,4,5),(28,7031106,7.00,9.00,5.00,7.00,7.00,6.75,4.00,7.00,7.00,319,NULL,NULL,'VILA PROGRÉDIOR','S PAULO','SP',1015,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031114,1.00,4.00,1.00,3.00,3.00,6.38,2.00,3.00,1.00,302,NULL,NULL,'JARDIM ATLÂNTICO','S JOSÉ','SC',19911,147,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031122,1.00,3.00,2.00,4.00,6.00,5.25,0.00,4.00,4.00,207,NULL,233,'CENTRO','ITAJAÍ','SC',14990,662,NULL,309,NULL,NULL,NULL,2,6),(28,7031130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDINS','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7031149,5.00,8.00,1.00,5.00,9.00,6.00,3.00,5.00,4.00,340,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',8238,220,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031157,5.00,9.00,4.00,5.00,7.00,9.75,4.00,3.00,5.00,201,NULL,216,'JARDIM PAULISTA','S PAULO','SP',2391,172,NULL,76,NULL,NULL,NULL,4,1),(28,7031173,3.00,3.00,2.00,3.00,5.00,7.50,2.00,2.00,3.00,108,NULL,NULL,'CENTRO','SOMBRIO','SC',14866,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7031181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,238,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7031211,7.00,6.00,4.00,7.00,9.00,8.25,5.00,7.00,6.00,220,NULL,NULL,'CENTRO','MARAVILHA','SC',497,10,NULL,NULL,NULL,NULL,NULL,4,4),(28,7031220,0.00,3.00,4.00,3.00,5.00,NULL,2.00,1.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031238,4.00,6.00,2.00,6.00,4.00,6.38,1.00,3.00,5.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',9739,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7031246,2.00,5.00,3.00,6.00,5.00,8.25,1.00,2.00,2.00,303,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',14826,527,NULL,NULL,NULL,NULL,NULL,4,8),(28,7031254,1.00,6.00,0.00,4.00,5.00,6.75,1.00,4.00,3.00,316,NULL,NULL,'HUMAITÁ DE CIMA','TUBARÃO','SC',18358,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7031262,4.00,6.00,3.00,7.00,7.00,10.13,4.00,3.00,6.00,2,NULL,NULL,'VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC',7870,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031270,2.00,5.00,1.00,5.00,4.00,8.25,2.00,3.00,2.00,101,NULL,NULL,'TREZE DE JULHO','ARACAJU','SE',18363,121,NULL,NULL,NULL,NULL,NULL,2,1),(28,7031289,2.00,7.00,3.00,7.00,7.00,10.13,3.00,5.00,3.00,653,NULL,220,'PARTENON','PTO ALEGRE','RS',4028,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031297,9.00,8.00,8.00,7.00,10.00,10.13,8.00,7.00,7.00,203,NULL,214,'ANITA GARIBALDI','JOINVILLE','SC',31,3,NULL,NULL,NULL,NULL,NULL,4,8),(28,7031300,1.00,5.00,1.00,3.00,5.00,NULL,0.00,3.00,2.00,319,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031327,3.00,4.00,2.00,4.00,4.00,7.50,2.00,3.00,2.00,317,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',16209,129,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031335,5.00,7.00,1.00,6.00,8.00,7.50,6.00,6.00,7.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',2179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031343,1.00,6.00,2.00,4.00,7.00,7.88,3.00,3.00,4.00,333,NULL,NULL,'VILLAGE DUNAS','BAL GAIVOTA','SC',10740,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7031351,0.00,4.00,0.00,7.00,6.00,8.25,1.00,5.00,4.00,9,NULL,NULL,'CENTRO','S JOSÉ','SC',10724,62,NULL,NULL,NULL,NULL,NULL,2,1),(28,7031360,5.00,6.00,1.00,7.00,7.00,9.00,3.00,7.00,4.00,201,NULL,203,'AREIAS','CAMBORIÚ','SC',4725,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7031386,7.00,8.00,7.00,6.00,8.00,11.25,5.00,7.00,6.00,220,NULL,235,'ANITA GARIBALDI','JOINVILLE','SC',362,6,NULL,NULL,NULL,NULL,NULL,4,8),(28,7031394,2.00,8.00,2.00,5.00,6.00,7.88,3.00,7.00,2.00,5,NULL,NULL,'LIBERDADE','CONCÓRDIA','SC',8089,245,NULL,NULL,NULL,NULL,NULL,4,4),(28,7031408,6.00,8.00,5.00,7.00,8.00,6.75,4.00,7.00,8.00,103,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',1476,732,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031416,5.00,8.00,3.00,6.00,8.00,12.00,4.00,7.00,7.00,303,NULL,NULL,'VILA INDUSTRIAL','CAMPINAS','SP',781,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031424,1.00,3.00,4.00,3.00,2.00,NULL,2.00,2.00,1.00,502,NULL,NULL,'JARDIM ALVORADA','BOA ESPERANÇA','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7031432,1.00,4.00,3.00,2.00,5.00,7.88,2.00,5.00,2.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',18570,137,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031440,3.00,7.00,3.00,7.00,5.00,7.50,1.00,4.00,2.00,340,NULL,NULL,'CENTRO','FERNANDÓPOLIS','SP',8974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031459,7.00,8.00,2.00,6.00,8.00,9.00,4.00,6.00,4.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',2271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031467,0.00,6.00,2.00,4.00,4.00,6.38,1.00,5.00,2.00,501,NULL,NULL,'MINA BRASIL','CRICIÚMA','SC',13626,85,NULL,NULL,NULL,NULL,NULL,4,5),(28,7031475,7.00,8.00,5.00,7.00,7.00,10.13,6.00,7.00,6.00,103,NULL,NULL,'VILA AMÉLIA','RIBEIRÃO PRETO','SP',430,303,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'BELA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7031491,0.00,2.00,3.00,3.00,5.00,5.63,4.00,4.00,1.00,5,NULL,NULL,'VILA NOVA','IMBITUBA','SC',17919,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7031521,5.00,7.00,4.00,6.00,6.00,8.25,5.00,7.00,6.00,203,NULL,201,'MATA DA PRAIA','VITÓRIA','ES',2176,177,NULL,152,NULL,NULL,NULL,4,1),(28,7031548,1.00,4.00,2.00,5.00,2.00,NULL,4.00,3.00,1.00,653,NULL,655,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7031556,3.00,7.00,3.00,4.00,6.00,5.63,3.00,7.00,4.00,601,NULL,233,'ASILO','BLUMENAU','SC',14210,421,NULL,301,NULL,NULL,NULL,4,2),(28,7031564,3.00,8.00,2.00,5.00,8.00,6.75,2.00,5.00,4.00,601,NULL,203,'AVENTUREIRO','JOINVILLE','SC',6709,143,NULL,NULL,NULL,NULL,NULL,4,8),(28,7031572,3.00,7.00,3.00,5.00,7.00,8.25,2.00,6.00,4.00,103,NULL,NULL,'TRIBESS','BLUMENAU','SC',5906,1618,NULL,NULL,NULL,NULL,NULL,4,2),(28,7031580,4.00,7.00,4.00,5.00,9.00,10.50,5.00,7.00,6.00,203,NULL,211,'CAMPINAS','S JOSÉ','SC',1570,144,NULL,14,NULL,NULL,NULL,4,1),(28,7031599,3.00,7.00,2.00,6.00,4.00,7.88,3.00,6.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031602,2.00,5.00,1.00,4.00,6.00,4.50,4.00,4.00,1.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',18728,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7031610,2.00,7.00,4.00,6.00,9.00,8.63,4.00,7.00,2.00,450,NULL,NULL,'JARDIM SATÉLITE','S JOSÉ CAMPOS','SP',4418,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031629,4.00,7.00,4.00,6.00,8.00,10.50,7.00,5.00,6.00,303,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',1503,70,NULL,NULL,NULL,NULL,NULL,4,2),(28,7031637,1.00,4.00,0.00,6.00,5.00,6.00,2.00,2.00,1.00,208,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',17400,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7031645,2.00,7.00,3.00,6.00,5.00,9.00,3.00,4.00,4.00,103,NULL,NULL,'SANTO ANTONIO','ITU','SP',7154,1786,NULL,NULL,NULL,NULL,NULL,2,1),(28,7031653,4.00,6.00,3.00,3.00,5.00,9.75,2.00,4.00,1.00,108,NULL,NULL,'CENTRO','PR GRANDE','SC',11842,162,NULL,NULL,NULL,NULL,NULL,2,15),(28,7031661,4.00,7.00,3.00,7.00,7.00,10.13,3.00,6.00,5.00,454,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4376,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031670,4.00,9.00,2.00,6.00,9.00,7.13,4.00,7.00,3.00,653,NULL,216,'RIO DE DENTRO','JACINTO MACHADO','SC',4000,27,NULL,NULL,NULL,NULL,NULL,2,15),(28,7031688,6.00,6.00,3.00,6.00,2.00,NULL,4.00,6.00,6.00,203,NULL,220,'CASTROLANDA','CASTRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7031696,0.00,6.00,1.00,6.00,6.00,NULL,3.00,3.00,1.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7031718,3.00,3.00,1.00,3.00,6.00,6.38,1.00,5.00,1.00,102,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',15703,143,NULL,NULL,NULL,NULL,NULL,2,10),(28,7031726,1.00,6.00,1.00,4.00,6.00,7.88,3.00,4.00,3.00,552,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12175,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031734,8.00,7.00,4.00,7.00,9.00,9.75,7.00,7.00,7.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',379,272,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031742,7.00,9.00,5.00,7.00,9.00,9.75,6.00,8.00,8.00,214,NULL,203,'CAMPO BELO','S PAULO','SP',204,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031750,0.00,4.00,1.00,2.00,3.00,6.00,4.00,5.00,2.00,211,NULL,653,'INTERIOR','CONCÓRDIA','SC',19654,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7031769,4.00,6.00,2.00,5.00,4.00,6.00,2.00,4.00,2.00,207,NULL,211,'FLORESTA','S JOSÉ','SC',15075,669,NULL,NULL,NULL,NULL,NULL,2,1),(28,7031785,2.00,6.00,3.00,3.00,4.00,6.00,2.00,4.00,2.00,653,NULL,203,'EMBARÉ','SANTOS','SP',14918,161,NULL,641,NULL,NULL,NULL,4,3),(28,7031793,0.00,3.00,3.00,4.00,3.00,NULL,0.00,1.00,2.00,451,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7031807,1.00,3.00,1.00,4.00,4.00,4.50,1.00,2.00,2.00,215,NULL,601,'AGRONÔMICA','FLORIANÓPOLIS','SC',20110,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7031815,4.00,6.00,3.00,5.00,8.00,8.63,4.00,3.00,6.00,203,NULL,202,'TAPERA','FLORIANÓPOLIS','SC',4409,309,NULL,129,NULL,NULL,NULL,4,1),(28,7031831,3.00,6.00,1.00,7.00,7.00,7.88,4.00,5.00,2.00,109,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8449,5,NULL,NULL,NULL,NULL,NULL,2,1),(28,7031840,8.00,9.00,5.00,7.00,5.00,9.75,6.00,7.00,7.00,203,NULL,216,'ADALGISA','OSASCO','SP',564,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,235,'VILA YARA','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7031866,5.00,6.00,3.00,6.00,7.00,8.63,5.00,4.00,3.00,212,NULL,213,'PONTE DO IMARUIM','PALHOÇA','SC',7342,226,NULL,123,NULL,NULL,NULL,2,1),(28,7031874,4.00,5.00,3.00,3.00,4.00,7.50,2.00,5.00,3.00,201,NULL,212,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7031882,4.00,8.00,4.00,7.00,6.00,7.88,5.00,7.00,7.00,103,NULL,NULL,'SÃO JOÃO','CURITIBA','PR',2626,1053,NULL,NULL,NULL,NULL,NULL,4,6),(28,7031890,2.00,7.00,2.00,7.00,5.00,9.00,4.00,6.00,3.00,207,NULL,601,'SANTO ANTONIO','JOINVILLE','SC',6588,305,NULL,142,NULL,NULL,NULL,4,8),(28,7031904,5.00,6.00,3.00,7.00,2.00,NULL,7.00,5.00,5.00,108,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7031939,0.00,4.00,3.00,4.00,5.00,6.38,1.00,3.00,3.00,404,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',18332,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7031947,5.00,8.00,2.00,7.00,10.00,7.88,5.00,7.00,8.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',1013,559,NULL,NULL,NULL,NULL,NULL,2,1),(28,7031955,0.00,6.00,1.00,1.00,6.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7031963,3.00,6.00,4.00,7.00,8.00,7.50,4.00,6.00,3.00,215,NULL,216,'SÃO LUIZ','CRICIÚMA','SC',5541,39,NULL,NULL,NULL,NULL,NULL,2,5),(28,7031971,7.00,6.00,5.00,7.00,6.00,9.00,6.00,5.00,7.00,214,NULL,212,'PORTAL DO PARAÍSO II','JUNDIAÍ','SP',1491,NULL,NULL,11,NULL,NULL,NULL,4,1),(28,7031980,2.00,6.00,3.00,6.00,6.00,9.38,2.00,6.00,2.00,103,NULL,NULL,'CENTRO','COMODORO','MT',13105,2266,NULL,NULL,NULL,NULL,NULL,4,3),(28,7031998,3.00,6.00,1.00,5.00,3.00,8.63,2.00,3.00,2.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18733,2495,NULL,NULL,NULL,NULL,NULL,2,1),(28,7032005,3.00,4.00,0.00,5.00,5.00,6.00,3.00,3.00,5.00,214,NULL,213,'VILA MARIANA','S PAULO','SP',11879,285,NULL,204,NULL,NULL,NULL,4,1),(28,7032030,5.00,7.00,3.00,3.00,9.00,7.13,3.00,7.00,7.00,201,NULL,216,'CENTRO','RONDONÓPOLIS','MT',3426,260,NULL,126,NULL,NULL,NULL,4,1),(28,7032048,0.00,5.00,1.00,5.00,6.00,NULL,2.00,3.00,4.00,601,NULL,216,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7032056,3.00,8.00,2.00,6.00,7.00,7.88,2.00,6.00,6.00,326,NULL,NULL,'QUIRIRIM','TAUBATÉ','SP',5257,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032064,2.00,5.00,2.00,6.00,6.00,5.25,1.00,3.00,3.00,211,NULL,216,'JARDIM ITALIA','JUNDIAÍ','SP',11731,308,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032072,5.00,7.00,3.00,6.00,9.00,6.38,4.00,8.00,3.00,211,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3755,94,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032080,5.00,8.00,1.00,5.00,6.00,7.50,2.00,6.00,6.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',6462,1692,NULL,NULL,NULL,NULL,NULL,2,8),(28,7032099,3.00,6.00,3.00,7.00,6.00,8.25,2.00,5.00,5.00,211,NULL,233,'CENTRO','ARARANGUÁ','SC',6998,193,NULL,NULL,NULL,NULL,NULL,4,15),(28,7032102,4.00,9.00,3.00,7.00,10.00,11.63,3.00,7.00,6.00,238,NULL,213,'ROÇADO','S JOSÉ','SC',1836,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032110,2.00,5.00,0.00,5.00,6.00,8.25,0.00,3.00,2.00,101,NULL,NULL,'ESTRADA DAS AREIAS','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7032129,3.00,8.00,4.00,6.00,9.00,7.88,5.00,4.00,4.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',3844,1296,NULL,NULL,NULL,NULL,NULL,4,5),(28,7032137,4.00,7.00,2.00,6.00,6.00,9.38,2.00,5.00,5.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9876,2066,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032145,3.00,7.00,2.00,6.00,8.00,11.25,2.00,7.00,5.00,103,NULL,NULL,'CENTRO HISTORICO','PTO ALEGRE','RS',5375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032161,0.00,3.00,3.00,5.00,6.00,7.50,1.00,5.00,1.00,5,NULL,NULL,'PICADAS DO NORTE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032170,2.00,6.00,2.00,5.00,5.00,7.13,3.00,4.00,3.00,999,NULL,NULL,'VORSTARDT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7032188,2.00,7.00,4.00,4.00,7.00,7.88,3.00,6.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6778,214,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7032218,0.00,7.00,4.00,6.00,5.00,9.38,3.00,4.00,4.00,207,NULL,NULL,'BOSQUE DA SAÚDE','CUIABÁ','MT',8958,410,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032226,5.00,9.00,4.00,7.00,11.00,11.25,3.00,6.00,7.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',462,323,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CASCATA','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7032242,1.00,3.00,1.00,1.00,4.00,7.13,1.00,2.00,0.00,308,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',18831,78,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ARATIBA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7032269,6.00,8.00,3.00,6.00,9.00,10.13,3.00,7.00,6.00,340,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',1631,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032277,1.00,7.00,2.00,6.00,7.00,6.75,4.00,5.00,5.00,501,NULL,NULL,'ARIRIU','PALHOÇA','SC',12600,72,NULL,NULL,NULL,NULL,NULL,2,1),(28,7032285,2.00,5.00,2.00,6.00,8.00,9.00,2.00,5.00,3.00,317,NULL,NULL,'AREIAS','TIJUCAS','SC',9222,25,NULL,NULL,NULL,NULL,NULL,2,6),(28,7032293,2.00,7.00,4.00,5.00,8.00,7.88,4.00,7.00,6.00,201,NULL,212,'BOA VISTA','CRICIÚMA','SC',3201,241,NULL,96,NULL,NULL,NULL,4,5),(28,7032307,2.00,8.00,2.00,5.00,9.00,7.50,5.00,5.00,3.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7055,1767,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032315,6.00,8.00,3.00,6.00,8.00,10.13,4.00,7.00,8.00,552,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',701,1,NULL,NULL,NULL,NULL,NULL,2,1),(28,7032323,3.00,3.00,1.00,3.00,6.00,5.63,3.00,4.00,4.00,5,NULL,NULL,'SÃO MARCOS','JOINVILLE','SC',14188,389,NULL,NULL,NULL,NULL,NULL,4,8),(28,7032358,5.00,8.00,4.00,6.00,9.00,5.63,4.00,6.00,5.00,203,NULL,235,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',3240,238,NULL,52,NULL,NULL,NULL,4,1),(28,7032366,1.00,6.00,2.00,6.00,6.00,9.00,4.00,4.00,0.00,304,NULL,NULL,'VILA ANDRADE','S PAULO','SP',10664,76,NULL,NULL,NULL,NULL,NULL,4,6),(28,7032374,0.00,0.00,2.00,1.00,1.00,NULL,0.00,0.00,0.00,201,NULL,215,'SANTA TEREZINHA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,2),(28,7032382,4.00,6.00,2.00,7.00,6.00,7.88,1.00,4.00,3.00,109,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',9158,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032390,4.00,6.00,5.00,7.00,5.00,10.50,7.00,5.00,6.00,201,NULL,212,'BARREIROS','S JOSÉ','SC',4739,368,NULL,151,NULL,NULL,NULL,4,1),(28,7032404,3.00,8.00,5.00,2.00,6.00,8.25,4.00,8.00,5.00,216,NULL,211,'CENTRO','IRECÊ','BA',4410,166,NULL,109,NULL,NULL,NULL,2,1),(28,7032412,5.00,7.00,4.00,6.00,8.00,9.75,6.00,7.00,5.00,207,NULL,NULL,'MORADA DO SOL','MARAVILHA','SC',1212,27,NULL,NULL,NULL,NULL,NULL,4,4),(28,7032420,8.00,7.00,7.00,6.00,11.00,9.38,7.00,7.00,8.00,103,NULL,NULL,'IPIRANGA','S PAULO','SP',76,64,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032447,2.00,5.00,1.00,3.00,6.00,8.63,2.00,3.00,2.00,5,NULL,NULL,'CENTRO','ITAPETININGA','SP',14466,395,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032463,2.00,5.00,2.00,6.00,5.00,6.75,4.00,5.00,3.00,216,NULL,233,'CHACARA DO VISCONDE','TAUBATÉ','SP',11354,341,NULL,260,NULL,NULL,NULL,2,1),(28,7032480,5.00,8.00,2.00,4.00,7.00,9.75,2.00,5.00,4.00,233,NULL,215,'PQ DAS UNIVERSIDADES','CAMPINAS','SP',4776,125,NULL,68,NULL,NULL,NULL,4,1),(28,7032501,3.00,4.00,2.00,5.00,6.00,9.75,2.00,3.00,2.00,109,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12627,39,NULL,NULL,NULL,NULL,NULL,2,1),(28,7032510,4.00,5.00,1.00,4.00,5.00,6.38,1.00,3.00,1.00,501,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',17461,107,NULL,NULL,NULL,NULL,NULL,2,1),(28,7032528,8.00,7.00,4.00,7.00,10.00,10.88,4.00,7.00,8.00,103,NULL,NULL,'VILA MIRIAM','GUARULHOS','SP',349,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7032536,0.00,5.00,1.00,2.00,3.00,10.88,3.00,3.00,2.00,103,NULL,NULL,'SANTANA','RIO CLARO','SP',15970,2401,NULL,NULL,NULL,NULL,NULL,4,5),(28,7032544,7.00,8.00,3.00,7.00,10.00,9.38,6.00,8.00,4.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',671,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032552,1.00,6.00,1.00,6.00,6.00,11.63,3.00,5.00,1.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14079,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7032560,4.00,7.00,1.00,6.00,8.00,9.75,2.00,6.00,5.00,216,NULL,215,'CENTRO','CANOINHAS','SC',3822,147,NULL,51,NULL,NULL,NULL,4,17),(28,7032587,3.00,7.00,2.00,5.00,5.00,9.00,4.00,4.00,5.00,220,NULL,601,'JARDIM ESPLANADA','INDAIATUBA','SP',6785,185,NULL,146,NULL,NULL,NULL,2,8),(28,7032595,1.00,6.00,0.00,0.00,5.00,NULL,0.00,4.00,1.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,2),(28,7032617,7.00,7.00,5.00,5.00,9.00,10.50,4.00,6.00,5.00,103,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',1279,667,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032625,1.00,4.00,2.00,5.00,1.00,NULL,1.00,4.00,2.00,234,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7032633,6.00,7.00,2.00,6.00,7.00,7.88,3.00,5.00,3.00,308,NULL,NULL,'PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP',5491,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032641,3.00,5.00,3.00,6.00,9.00,9.75,4.00,7.00,4.00,216,NULL,NULL,'CENTRO','ITAJAÍ','SC',3927,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7032676,0.00,3.00,1.00,4.00,2.00,NULL,1.00,2.00,2.00,301,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7032684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GONZAGA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7032692,4.00,7.00,2.00,5.00,6.00,6.75,5.00,6.00,7.00,202,NULL,213,'CITY RIBEIRÃO','RIBEIRÃO PRETO','SP',9057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032706,6.00,8.00,3.00,6.00,8.00,12.00,5.00,7.00,6.00,207,NULL,233,'CENTRO','ARARANGUÁ','SC',1004,21,NULL,NULL,NULL,NULL,NULL,4,15),(28,7032722,0.00,7.00,2.00,7.00,6.00,NULL,3.00,7.00,4.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032730,5.00,7.00,3.00,8.00,8.00,9.38,4.00,6.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3981,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032749,4.00,5.00,3.00,5.00,9.00,8.63,2.00,4.00,5.00,203,NULL,233,'MILANESE','CRICIÚMA','SC',8070,479,NULL,206,NULL,NULL,NULL,2,5),(28,7032765,3.00,6.00,1.00,5.00,4.00,4.50,1.00,5.00,5.00,216,NULL,233,'PERDIZES','S PAULO','SP',15860,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7032773,1.00,2.00,1.00,4.00,5.00,4.50,2.00,2.00,2.00,207,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',20043,818,NULL,NULL,NULL,NULL,NULL,2,1),(28,7032781,3.00,7.00,4.00,6.00,9.00,8.63,7.00,6.00,8.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',868,492,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032790,5.00,8.00,4.00,7.00,9.00,10.88,2.00,7.00,6.00,207,NULL,NULL,'CAMOBI','STA MARIA','RS',1819,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032803,4.00,5.00,1.00,6.00,4.00,7.13,2.00,3.00,3.00,201,NULL,213,'CENTRO','S LEOPOLDO','RS',10822,712,NULL,190,NULL,NULL,NULL,2,1),(28,7032811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITAIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7032820,3.00,8.00,5.00,7.00,8.00,11.63,3.00,6.00,6.00,202,NULL,213,'VILA ADYANA','S JOSÉ CAMPOS','SP',1797,48,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032838,5.00,7.00,3.00,6.00,9.00,7.88,2.00,8.00,4.00,103,NULL,NULL,'CAMPO DOS ALEMÃES','S JOSÉ CAMPOS','SP',3898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7032846,4.00,8.00,6.00,6.00,9.00,7.88,4.00,4.00,4.00,103,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',6263,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7032854,0.00,5.00,1.00,3.00,6.00,4.50,1.00,5.00,3.00,653,NULL,207,'CIDADE ALTA','ARARANGUÁ','SC',16503,179,NULL,713,NULL,NULL,NULL,4,15),(28,7032862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,440,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7032870,4.00,6.00,2.00,6.00,4.00,7.13,5.00,5.00,4.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,216,'VILA MADALENA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7032897,3.00,8.00,3.00,7.00,7.00,8.25,4.00,4.00,4.00,301,NULL,NULL,'SAO DIMAS','S JOSÉ CAMPOS','SP',5506,45,NULL,NULL,NULL,NULL,NULL,5,1),(28,7032919,5.00,6.00,2.00,7.00,3.00,9.00,4.00,6.00,6.00,340,NULL,NULL,'GUARANI','BRUSQUE','SC',6475,166,NULL,NULL,NULL,NULL,NULL,4,22),(28,7032935,3.00,7.00,1.00,7.00,6.00,9.75,3.00,5.00,3.00,454,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9111,167,NULL,NULL,NULL,NULL,NULL,2,1),(28,7032943,6.00,8.00,6.00,5.00,7.00,10.50,6.00,8.00,6.00,303,NULL,NULL,'PQ ANHANGUERA','GOIÂNIA','GO',919,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032951,5.00,8.00,1.00,7.00,8.00,8.63,4.00,7.00,4.00,103,NULL,NULL,'TESTO CENTRAL','POMERODE','SC',3783,1282,NULL,NULL,NULL,NULL,NULL,4,2),(28,7032978,1.00,5.00,1.00,2.00,2.00,NULL,3.00,5.00,3.00,501,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7032986,0.00,3.00,0.00,2.00,4.00,4.50,1.00,2.00,2.00,207,NULL,201,'PARQUE ALVORADA','ARARANGUÁ','SC',19000,794,NULL,1028,NULL,NULL,NULL,4,15),(28,7032994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7033001,3.00,8.00,3.00,6.00,8.00,9.75,4.00,6.00,5.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',5175,1516,NULL,NULL,NULL,NULL,NULL,2,1),(28,7033028,0.00,7.00,2.00,5.00,8.00,9.00,3.00,5.00,2.00,5,NULL,NULL,'OESTE','GOIÂNIA','GO',7823,239,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033044,8.00,8.00,3.00,7.00,8.00,11.63,4.00,8.00,6.00,103,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',549,363,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033052,5.00,8.00,3.00,7.00,8.00,7.88,5.00,7.00,6.00,333,NULL,NULL,'MEIRELES','FORTALEZA','CE',3319,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033060,6.00,7.00,3.00,6.00,8.00,4.88,7.00,7.00,8.00,5,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',2410,80,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033079,5.00,6.00,0.00,7.00,6.00,6.38,3.00,3.00,3.00,104,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',15129,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7033087,4.00,7.00,2.00,6.00,6.00,10.50,6.00,6.00,3.00,454,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',5210,70,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033095,5.00,8.00,1.00,7.00,8.00,11.25,4.00,4.00,2.00,454,NULL,NULL,'JARDIM IRAJÁ','RIBEIRÃO PRETO','SP',4885,60,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITAIM BIBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7033117,2.00,3.00,3.00,6.00,5.00,9.75,1.00,3.00,1.00,454,NULL,NULL,'CENTRO','S JOAQUIM','SC',17890,365,NULL,NULL,NULL,NULL,NULL,4,9),(28,7033125,5.00,8.00,5.00,7.00,6.00,8.25,4.00,7.00,6.00,103,NULL,NULL,'SAUDADE','ARAÇATUBA','SP',2209,935,NULL,NULL,NULL,NULL,NULL,4,3),(28,7033141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PARAÍSO NORTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7033150,0.00,5.00,3.00,4.00,8.00,7.50,3.00,2.00,2.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',12862,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7033168,0.00,6.00,2.00,3.00,5.00,5.63,2.00,2.00,1.00,201,NULL,207,'INGLESES','FLORIANÓPOLIS','SC',16758,955,NULL,725,NULL,NULL,NULL,2,1),(28,7033176,7.00,7.00,4.00,8.00,12.00,10.88,5.00,8.00,6.00,103,NULL,NULL,'VILA RESENDE','PIRACICABA','SP',171,133,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033184,0.00,5.00,0.00,2.00,4.00,8.63,1.00,3.00,2.00,103,NULL,NULL,'JARDIM VILA RICA','MARINGÁ','PR',14891,2346,NULL,NULL,NULL,NULL,NULL,4,8),(28,7033192,4.00,7.00,5.00,5.00,8.00,8.25,4.00,5.00,4.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',5465,242,NULL,178,NULL,NULL,NULL,4,1),(28,7033222,2.00,4.00,2.00,7.00,7.00,7.88,2.00,6.00,3.00,454,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',8782,162,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033230,3.00,8.00,2.00,7.00,6.00,7.88,2.00,7.00,6.00,207,NULL,NULL,'VILA MADALENA','S PAULO','SP',3788,152,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033257,4.00,8.00,3.00,8.00,5.00,8.63,6.00,7.00,7.00,216,NULL,214,'JARDIM MARAJOARA','S PAULO','SP',904,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033265,4.00,7.00,1.00,5.00,4.00,9.00,2.00,6.00,3.00,211,NULL,215,'ITAGUAÇU','FLORIANÓPOLIS','SC',14881,374,NULL,245,NULL,NULL,NULL,5,1),(28,7033290,1.00,6.00,0.00,6.00,4.00,4.88,2.00,2.00,0.00,303,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7033303,4.00,6.00,0.00,7.00,8.00,7.50,2.00,3.00,2.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10154,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033311,2.00,6.00,0.00,7.00,8.00,5.63,1.00,4.00,1.00,999,NULL,NULL,'CABEÇUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7033320,1.00,7.00,3.00,4.00,7.00,11.25,2.00,8.00,5.00,303,NULL,NULL,'BARRA','BAL CAMBORIÚ','SC',6122,279,NULL,NULL,NULL,NULL,NULL,1,3),(28,7033338,3.00,5.00,2.00,6.00,6.00,9.75,4.00,5.00,6.00,216,NULL,NULL,'CAMBUCI','S PAULO','SP',5845,212,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033346,3.00,7.00,0.00,7.00,7.00,10.50,2.00,6.00,3.00,104,NULL,NULL,'ATIRADORES','JOINVILLE','SC',5724,112,NULL,NULL,NULL,NULL,NULL,2,8),(28,7033354,5.00,7.00,2.00,6.00,7.00,6.75,6.00,5.00,3.00,450,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',6559,48,NULL,NULL,NULL,NULL,NULL,3,1),(28,7033362,0.00,3.00,2.00,4.00,3.00,NULL,0.00,1.00,1.00,404,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033370,1.00,5.00,2.00,6.00,3.00,6.38,3.00,5.00,2.00,211,NULL,NULL,'CENTRO','PARANHOS','MS',14150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7033389,0.00,0.00,0.00,7.00,3.00,NULL,0.00,0.00,0.00,201,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7033397,3.00,7.00,5.00,8.00,7.00,6.00,4.00,6.00,7.00,214,NULL,207,'JARDIM DA SAUDE','S PAULO','SP',5022,164,NULL,217,NULL,NULL,NULL,4,1),(28,7033400,6.00,8.00,3.00,7.00,8.00,10.50,3.00,6.00,7.00,201,NULL,203,'FAZENDA','ITAJAÍ','SC',1200,65,NULL,NULL,NULL,NULL,NULL,4,6),(28,7033427,2.00,8.00,4.00,7.00,7.00,9.00,5.00,7.00,6.00,203,NULL,214,'BUENO','GOIÂNIA','GO',1943,168,NULL,66,NULL,NULL,NULL,4,1),(28,7033443,1.00,3.00,1.00,5.00,7.00,7.50,3.00,5.00,1.00,999,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7033451,7.00,7.00,7.00,7.00,5.00,10.88,7.00,8.00,8.00,203,NULL,220,'VILA TONANI','DOURADOS','MS',161,17,NULL,NULL,NULL,NULL,NULL,4,3),(28,7033460,4.00,7.00,1.00,6.00,6.00,10.88,3.00,5.00,5.00,303,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',5828,265,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033478,3.00,7.00,3.00,4.00,7.00,12.00,2.00,4.00,3.00,441,NULL,NULL,'JD CAMPESTRE','ITÁPOLIS','SP',12720,3,NULL,NULL,NULL,NULL,NULL,6,1),(28,7033486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,601,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7033494,2.00,7.00,2.00,6.00,6.00,9.75,3.00,7.00,2.00,103,NULL,NULL,'CENTRO','CAÇADOR','SC',7308,1804,NULL,NULL,NULL,NULL,NULL,4,25),(28,7033508,0.00,5.00,1.00,1.00,5.00,NULL,0.00,2.00,3.00,302,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033516,1.00,3.00,2.00,3.00,4.00,7.50,0.00,3.00,1.00,304,NULL,NULL,'VILA SÃO PEDRO','S BERNARDO CAMPO','SP',18665,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033532,2.00,6.00,2.00,6.00,9.00,7.88,5.00,5.00,1.00,303,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',7757,346,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033540,5.00,6.00,4.00,6.00,6.00,8.25,3.00,5.00,4.00,454,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',6853,105,NULL,NULL,NULL,NULL,NULL,2,1),(28,7033559,2.00,5.00,1.00,6.00,4.00,8.25,3.00,2.00,3.00,201,NULL,212,'CENTRO','LONDRINA','PR',12730,815,NULL,348,NULL,NULL,NULL,2,1),(28,7033567,0.00,5.00,3.00,6.00,4.00,6.75,3.00,3.00,3.00,340,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',18278,418,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033575,3.00,7.00,1.00,4.00,5.00,10.13,0.00,5.00,0.00,337,NULL,NULL,'JARAGUA ESQUERDO','JARAGUÁ SUL','SC',11319,19,NULL,NULL,NULL,NULL,NULL,2,23),(28,7033583,5.00,5.00,2.00,5.00,2.00,NULL,3.00,4.00,2.00,337,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7033605,3.00,7.00,3.00,5.00,9.00,8.63,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',3571,1255,NULL,NULL,NULL,NULL,NULL,4,8),(28,7033613,8.00,8.00,4.00,7.00,7.00,8.63,5.00,7.00,7.00,103,NULL,NULL,'NOVA PETROPOLIS','S BERNARDO CAMPO','SP',726,442,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033621,1.00,6.00,1.00,2.00,5.00,6.38,4.00,6.00,3.00,601,NULL,213,'SÃO MARTINHO','TUBARÃO','SC',12984,391,NULL,220,NULL,NULL,NULL,4,10),(28,7033630,2.00,6.00,1.00,5.00,6.00,10.88,3.00,7.00,3.00,415,NULL,NULL,'TRÊS BARRAS','CONTAGEM','MG',12359,202,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033648,2.00,6.00,3.00,7.00,8.00,9.00,2.00,6.00,4.00,5,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',10635,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7033656,1.00,6.00,0.00,6.00,4.00,5.25,3.00,4.00,2.00,208,NULL,NULL,'CAMPINAS','S JOSÉ','SC',18783,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7033664,9.00,8.00,4.00,6.00,9.00,7.88,4.00,7.00,6.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',984,545,NULL,NULL,NULL,NULL,NULL,2,1),(28,7033672,0.00,8.00,3.00,6.00,8.00,10.13,3.00,6.00,2.00,415,NULL,NULL,'UNIVERSITÁRIO','VIDEIRA','SC',5570,84,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033680,4.00,8.00,7.00,7.00,10.00,12.38,8.00,7.00,8.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',41,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033702,3.00,4.00,3.00,4.00,5.00,10.13,0.00,4.00,0.00,104,NULL,NULL,'SAYONARA','CATANDUVAS','SC',18344,435,NULL,NULL,NULL,NULL,NULL,4,7),(28,7033710,4.00,7.00,6.00,7.00,8.00,12.75,5.00,6.00,8.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',592,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033729,1.00,5.00,1.00,5.00,6.00,7.88,1.00,3.00,2.00,102,NULL,NULL,'TERMAS','GRAVATAL','SC',13371,123,NULL,NULL,NULL,NULL,NULL,2,10),(28,7033737,5.00,4.00,2.00,5.00,6.00,9.75,5.00,5.00,4.00,103,NULL,NULL,'VILA PRADO','S CARLOS','SP',5208,1527,NULL,NULL,NULL,NULL,NULL,4,2),(28,7033745,3.00,6.00,2.00,5.00,4.00,4.50,1.00,6.00,2.00,214,NULL,203,'CENTRO','RIO PEDRAS','SP',17062,337,NULL,675,NULL,NULL,NULL,4,1),(28,7033753,4.00,8.00,3.00,6.00,11.00,8.63,5.00,6.00,6.00,103,NULL,NULL,'CHACARA MALOTA','JUNDIAÍ','SP',871,495,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033761,4.00,5.00,2.00,7.00,6.00,7.50,2.00,4.00,2.00,235,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',16241,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(28,7033770,5.00,8.00,1.00,6.00,10.00,10.50,5.00,6.00,5.00,104,NULL,NULL,'SALTO','BLUMENAU','SC',1922,14,NULL,NULL,NULL,NULL,NULL,4,2),(28,7033788,2.00,4.00,2.00,4.00,7.00,NULL,0.00,2.00,2.00,501,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033796,3.00,8.00,3.00,7.00,8.00,9.75,4.00,7.00,4.00,454,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',4571,53,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033800,5.00,7.00,2.00,7.00,10.00,7.88,4.00,6.00,2.00,340,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',4707,117,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033834,4.00,7.00,2.00,3.00,3.00,8.25,1.00,3.00,2.00,102,NULL,NULL,'NOSSA SENHORA DO ROS','S JOSÉ','SC',13983,129,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033842,4.00,8.00,3.00,5.00,8.00,10.88,5.00,6.00,6.00,103,NULL,NULL,'PARQUE DAS NAÇOES','AMERICANA','SP',878,500,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7033869,7.00,8.00,5.00,7.00,8.00,10.50,6.00,6.00,5.00,201,NULL,212,'JARDIM GOIÁS','GOIÂNIA','GO',492,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033877,3.00,6.00,3.00,5.00,7.00,6.75,3.00,6.00,7.00,316,NULL,NULL,'JARDIM SÃO PAULO','S CARLOS','SP',6934,57,NULL,NULL,NULL,NULL,NULL,4,6),(28,7033885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'JARDIM CAMPININHA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7033893,0.00,4.00,2.00,2.00,3.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'VILA ZILDA','GUARUJÁ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7033915,6.00,7.00,3.00,7.00,8.00,9.00,5.00,5.00,6.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',2392,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7033923,2.00,3.00,2.00,5.00,5.00,8.63,2.00,4.00,2.00,203,NULL,212,'CENTRO','TIMBÉ SUL','SC',17910,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7033931,6.00,7.00,5.00,7.00,9.00,10.13,7.00,7.00,7.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',851,487,NULL,NULL,NULL,NULL,NULL,4,5),(28,7033940,6.00,7.00,2.00,6.00,7.00,7.13,3.00,7.00,7.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',2889,1111,NULL,NULL,NULL,NULL,NULL,4,17),(28,7033982,5.00,7.00,4.00,5.00,7.00,5.25,4.00,3.00,6.00,201,NULL,NULL,'SERRA','BELO HORIZONTE','MG',4935,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034008,5.00,9.00,4.00,7.00,10.00,10.13,9.00,7.00,7.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',266,202,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034016,2.00,3.00,0.00,5.00,2.00,NULL,0.00,4.00,4.00,317,NULL,NULL,'SERRARIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7034024,2.00,5.00,1.00,5.00,5.00,6.75,2.00,4.00,1.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',14598,2335,NULL,NULL,NULL,NULL,NULL,4,5),(28,7034032,0.00,4.00,0.00,2.00,6.00,NULL,3.00,2.00,4.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7034059,5.00,8.00,6.00,7.00,9.00,8.63,6.00,6.00,6.00,203,NULL,216,'CAPOEIRAS','FLORIANÓPOLIS','SC',1542,139,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034075,3.00,7.00,3.00,6.00,9.00,6.75,5.00,3.00,2.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11890,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034083,1.00,5.00,1.00,5.00,6.00,7.88,2.00,5.00,2.00,9,NULL,NULL,'JARDIM ALZIRA','PEDREIRA','SP',11527,72,NULL,NULL,NULL,NULL,NULL,2,8),(28,7034091,1.00,6.00,3.00,6.00,3.00,6.38,2.00,2.00,3.00,215,NULL,211,'CORAL','LAGES','SC',18107,285,NULL,NULL,NULL,NULL,NULL,2,9),(28,7034105,2.00,8.00,5.00,5.00,7.00,13.88,3.00,7.00,6.00,415,NULL,NULL,'JARDIM CENTENÁRIO','S CARLOS','SP',1599,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034113,4.00,6.00,3.00,8.00,7.00,7.50,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',5251,1534,NULL,NULL,NULL,NULL,NULL,4,4),(28,7034121,1.00,6.00,3.00,5.00,4.00,8.25,2.00,4.00,3.00,103,NULL,NULL,'VILA SANTA ISABEL','CAÇAPAVA','SP',13646,2283,NULL,NULL,NULL,NULL,NULL,2,1),(28,7034130,1.00,7.00,1.00,6.00,5.00,7.13,1.00,5.00,3.00,340,NULL,NULL,'CENTRO','CONTENDA','PR',12322,339,NULL,NULL,NULL,NULL,NULL,1,8),(28,7034156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM PAULISTA','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7034199,6.00,7.00,4.00,6.00,8.00,10.13,3.00,6.00,5.00,103,NULL,NULL,'ITANHANGÁ PARK','CPO GRANDE','MS',2537,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7034210,1.00,6.00,4.00,6.00,7.00,9.38,5.00,4.00,4.00,337,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',9674,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034229,0.00,4.00,2.00,2.00,2.00,NULL,1.00,2.00,1.00,652,NULL,655,'RAICHASKI','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7034237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','JATAIZINHO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7034245,3.00,4.00,2.00,6.00,8.00,7.88,3.00,3.00,5.00,316,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',13315,149,NULL,NULL,NULL,NULL,NULL,2,1),(28,7034253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','GUARUJÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7034261,4.00,5.00,1.00,5.00,4.00,6.00,3.00,5.00,5.00,201,NULL,203,'CENTRO','XANXERÊ','SC',11814,761,NULL,580,NULL,NULL,NULL,2,4),(28,7034270,4.00,7.00,1.00,5.00,7.00,6.75,3.00,5.00,5.00,235,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',12683,203,NULL,330,NULL,NULL,NULL,4,1),(28,7034288,1.00,2.00,2.00,2.00,2.00,NULL,2.00,2.00,1.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034296,4.00,5.00,2.00,5.00,7.00,9.00,2.00,4.00,6.00,211,NULL,201,'PEDRA BRANCA','PALHOÇA','SC',7470,209,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7034318,0.00,2.00,1.00,2.00,6.00,NULL,1.00,2.00,0.00,340,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7034326,0.00,3.00,2.00,1.00,4.00,2.25,1.00,3.00,3.00,319,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7034334,1.00,4.00,2.00,5.00,3.00,6.75,0.00,2.00,2.00,203,NULL,202,'CENTRO','ALECRIM','RS',17166,678,NULL,379,NULL,NULL,NULL,2,23),(28,7034342,4.00,5.00,2.00,7.00,6.00,7.50,4.00,6.00,4.00,304,NULL,NULL,'BUENO','GOIÂNIA','GO',6269,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034350,8.00,7.00,4.00,6.00,8.00,10.13,6.00,7.00,7.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',636,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034369,7.00,7.00,2.00,6.00,9.00,8.63,3.00,6.00,5.00,212,NULL,207,'SANTA MÔNICA','FLORIANÓPOLIS','SC',3281,99,NULL,125,NULL,NULL,NULL,4,1),(28,7034377,2.00,6.00,1.00,7.00,8.00,10.13,5.00,6.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4302,149,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7034393,1.00,3.00,1.00,6.00,3.00,6.00,0.00,3.00,1.00,102,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',18414,174,NULL,NULL,NULL,NULL,NULL,2,9),(28,7034407,3.00,5.00,1.00,3.00,4.00,6.38,0.00,4.00,1.00,234,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',16478,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7034423,2.00,5.00,2.00,5.00,7.00,7.88,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',7925,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7034431,2.00,7.00,2.00,5.00,7.00,9.75,4.00,7.00,6.00,303,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',4249,198,NULL,NULL,NULL,NULL,NULL,4,8),(28,7034440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CENTRO','GUARUJÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7034458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7034466,5.00,8.00,5.00,5.00,9.00,7.50,5.00,6.00,5.00,216,NULL,215,'ITOUPAVA NORTE','BLUMENAU','SC',2673,95,NULL,40,NULL,NULL,NULL,4,2),(28,7034474,4.00,6.00,4.00,7.00,7.00,10.50,6.00,3.00,6.00,5,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',2928,101,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034482,7.00,6.00,4.00,7.00,8.00,7.13,3.00,6.00,4.00,203,NULL,201,'SANTA MONICA','FLORIANÓPOLIS','SC',3410,244,NULL,258,NULL,NULL,NULL,4,1),(28,7034490,1.00,6.00,2.00,7.00,4.00,8.25,2.00,4.00,1.00,653,NULL,655,'NOVA BRASILIA','SOMBRIO','SC',10831,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7034504,4.00,6.00,0.00,5.00,7.00,8.63,5.00,7.00,7.00,101,NULL,NULL,'CACHOEIRA B JESUS','FLORIANÓPOLIS','SC',7448,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7034512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,423,'TRÊS RIACHOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7034520,2.00,6.00,3.00,7.00,3.00,6.75,0.00,6.00,3.00,220,NULL,NULL,'JARDIN ACLIMAÇÃO','MARINGÁ','PR',10970,260,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034539,3.00,6.00,2.00,7.00,10.00,8.25,4.00,7.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4867,223,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034547,1.00,3.00,2.00,6.00,4.00,6.75,2.00,2.00,3.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',18387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034555,1.00,6.00,3.00,6.00,6.00,8.63,2.00,3.00,3.00,216,NULL,215,'JARDIM CAMPO GRANDE','CAÇAPAVA','SP',14926,397,NULL,246,NULL,NULL,NULL,4,1),(28,7034563,7.00,8.00,5.00,6.00,6.00,7.13,7.00,6.00,5.00,220,NULL,235,'CENTRO','ITAJAÍ','SC',2033,56,NULL,16,NULL,NULL,NULL,4,1),(28,7034571,6.00,7.00,5.00,7.00,9.00,10.13,5.00,5.00,7.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',467,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034580,4.00,6.00,1.00,7.00,6.00,7.13,4.00,5.00,5.00,103,NULL,NULL,'SEMINÁRIO','CURITIBA','PR',7123,1780,NULL,NULL,NULL,NULL,NULL,2,8),(28,7034598,3.00,4.00,3.00,2.00,2.00,NULL,1.00,2.00,1.00,9,NULL,NULL,'BAIRRO DE FATIMA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034610,2.00,5.00,3.00,4.00,6.00,8.25,2.00,3.00,4.00,216,NULL,601,'TABULEIRO','ITAPEMA','SC',15700,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7034628,1.00,4.00,4.00,7.00,5.00,6.38,4.00,5.00,5.00,201,NULL,203,'VILA PARAÍBA','GUARATINGUETÁ','SP',8326,598,NULL,488,NULL,NULL,NULL,2,1),(28,7034636,4.00,7.00,2.00,7.00,8.00,8.25,4.00,6.00,6.00,216,NULL,233,'PERDIZES','S PAULO','SP',3372,122,NULL,78,NULL,NULL,NULL,4,1),(28,7034644,1.00,3.00,5.00,5.00,2.00,NULL,1.00,3.00,2.00,201,NULL,212,'SÃO SEBASTIÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7034652,5.00,8.00,3.00,7.00,9.00,12.00,5.00,6.00,6.00,238,NULL,235,'PICADAS DO SUL','S JOSÉ','SC',1361,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034660,8.00,9.00,6.00,5.00,9.00,10.88,8.00,8.00,8.00,203,NULL,233,'VILA NOVA','BLUMENAU','SC',114,13,NULL,NULL,NULL,NULL,NULL,4,2),(28,7034679,5.00,7.00,1.00,7.00,9.00,9.75,4.00,6.00,4.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4245,65,NULL,NULL,NULL,NULL,NULL,2,1),(28,7034687,2.00,7.00,5.00,6.00,5.00,7.88,3.00,3.00,3.00,216,NULL,655,'TACCA','XANXERÊ','SC',13217,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7034695,2.00,5.00,1.00,4.00,7.00,9.00,6.00,7.00,5.00,103,NULL,NULL,'POÇÃO','CUIABÁ','MT',6814,1736,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034725,1.00,4.00,1.00,4.00,6.00,8.63,2.00,3.00,2.00,326,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034768,0.00,5.00,3.00,2.00,5.00,6.38,1.00,2.00,1.00,415,NULL,NULL,'STEFFEN','BRUSQUE','SC',16614,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7034776,1.00,5.00,1.00,5.00,7.00,6.38,5.00,3.00,5.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10857,43,NULL,NULL,NULL,NULL,NULL,2,1),(28,7034784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'FLODOALDO P PINTO','PTO VELHO','RO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7034792,0.00,3.00,2.00,4.00,2.00,NULL,3.00,4.00,1.00,214,NULL,202,'LA SALLE','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7034806,1.00,6.00,2.00,7.00,5.00,9.75,3.00,5.00,4.00,999,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034814,2.00,6.00,2.00,6.00,7.00,9.00,3.00,6.00,4.00,207,NULL,601,'CAPOEIRAS','FLORIANÓPOLIS','SC',8329,388,NULL,203,NULL,NULL,NULL,4,1),(28,7034830,1.00,6.00,3.00,2.00,2.00,NULL,1.00,4.00,3.00,202,NULL,653,'SÃO DEFENDE','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7034849,1.00,5.00,4.00,3.00,4.00,4.50,1.00,4.00,2.00,103,NULL,NULL,'BELA VISTA','PALHOÇA','SC',17767,2467,NULL,NULL,NULL,NULL,NULL,2,1),(28,7034857,2.00,5.00,2.00,5.00,7.00,8.25,1.00,6.00,2.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',10553,168,NULL,NULL,NULL,NULL,NULL,2,1),(28,7034865,1.00,7.00,1.00,7.00,7.00,8.25,1.00,2.00,4.00,102,NULL,NULL,'ZONA RURAL','BELA V TOLDO','SC',10997,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7034873,0.00,3.00,3.00,8.00,6.00,7.50,2.00,4.00,3.00,102,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',13078,122,NULL,NULL,NULL,NULL,NULL,2,1),(28,7034881,2.00,6.00,4.00,6.00,4.00,6.00,2.00,3.00,3.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',17297,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7034890,1.00,4.00,2.00,5.00,9.00,8.63,4.00,6.00,6.00,601,NULL,220,'BUCAREIN','JOINVILLE','SC',6925,150,NULL,NULL,NULL,NULL,NULL,4,8),(28,7034903,3.00,7.00,1.00,5.00,4.00,4.88,2.00,5.00,5.00,238,NULL,235,'SÃO JOSE','S CAETANO SUL','SP',11562,180,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'VILA NOVA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7034938,1.00,4.00,3.00,4.00,5.00,8.25,1.00,3.00,3.00,215,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',15330,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7034946,5.00,8.00,4.00,7.00,9.00,9.75,3.00,5.00,6.00,303,NULL,NULL,'SAGRADO','LAGES','SC',1572,73,NULL,NULL,NULL,NULL,NULL,4,9),(28,7034954,5.00,8.00,3.00,6.00,9.00,10.13,4.00,6.00,6.00,220,NULL,214,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1852,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7034962,1.00,4.00,2.00,2.00,3.00,6.00,2.00,3.00,3.00,552,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7034989,2.00,7.00,3.00,4.00,7.00,8.25,3.00,6.00,4.00,233,NULL,214,'JARDIM SAO LUIZ','RIBEIRÃO PRETO','SP',5463,146,NULL,173,NULL,NULL,NULL,4,8),(28,7034997,3.00,6.00,2.00,6.00,6.00,8.63,4.00,5.00,3.00,454,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',8166,147,NULL,NULL,NULL,NULL,NULL,4,1),(28,7035004,0.00,5.00,0.00,4.00,3.00,6.38,1.00,2.00,1.00,502,NULL,NULL,'TRINTA REIS','NOVA TRENTO','SC',18645,54,NULL,NULL,NULL,NULL,NULL,2,3),(28,7035012,2.00,5.00,2.00,4.00,4.00,7.13,2.00,4.00,0.00,423,NULL,428,'FAZ SANTO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7035020,7.00,8.00,3.00,5.00,7.00,7.88,3.00,8.00,6.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4877,224,NULL,NULL,NULL,NULL,NULL,4,6),(28,7035039,2.00,6.00,1.00,7.00,7.00,9.75,5.00,4.00,4.00,214,NULL,220,'BUCAREIN','JOINVILLE','SC',7036,NULL,NULL,190,NULL,NULL,NULL,2,8),(28,7035047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,440,NULL,NULL,'PINHEIRINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7035063,0.00,4.00,3.00,3.00,4.00,8.25,2.00,3.00,2.00,551,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',19250,61,NULL,NULL,NULL,NULL,NULL,2,9),(28,7035071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,216,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7035101,3.00,6.00,2.00,6.00,4.00,9.38,2.00,3.00,4.00,454,NULL,NULL,'JARDIM ELDORADO','PARANAGUÁ','PR',11128,212,NULL,NULL,NULL,NULL,NULL,2,6),(28,7035110,6.00,7.00,3.00,7.00,8.00,9.00,4.00,8.00,4.00,202,NULL,203,'ITOUPAVA SECA','BLUMENAU','SC',2848,78,NULL,NULL,NULL,NULL,NULL,4,2),(28,7035128,2.00,8.00,2.00,7.00,8.00,12.00,5.00,8.00,3.00,454,NULL,NULL,'PIEDADE','SALVADOR','BA',3186,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7035136,4.00,7.00,3.00,4.00,6.00,6.38,3.00,5.00,4.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',11258,274,NULL,NULL,NULL,NULL,NULL,2,5),(28,7035144,5.00,6.00,4.00,5.00,3.00,9.75,4.00,5.00,5.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',4617,1434,NULL,NULL,NULL,NULL,NULL,4,1),(28,7035152,2.00,4.00,1.00,5.00,5.00,10.50,1.00,4.00,4.00,216,NULL,220,'BELA VISTA','S JOSÉ','SC',12311,352,NULL,283,NULL,NULL,NULL,2,1),(28,7035179,1.00,6.00,0.00,6.00,7.00,7.50,1.00,5.00,2.00,3,NULL,NULL,'PARQUE DAS AVENIDAS','SOMBRIO','SC',11495,49,NULL,NULL,NULL,NULL,NULL,2,15),(28,7035187,5.00,7.00,4.00,7.00,4.00,6.75,3.00,4.00,3.00,201,NULL,202,'JD PERNAMBUCO II','GUARUJÁ','SP',7544,556,NULL,199,NULL,NULL,NULL,4,1),(28,7035195,0.00,3.00,3.00,2.00,4.00,7.50,0.00,2.00,3.00,202,NULL,235,'TRÊS DE MAIO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7035217,4.00,6.00,1.00,5.00,8.00,8.63,4.00,4.00,5.00,333,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5539,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7035225,5.00,7.00,4.00,6.00,7.00,7.88,4.00,7.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4795,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7035233,0.00,5.00,0.00,5.00,4.00,8.63,2.00,4.00,4.00,202,NULL,213,'URIAS MAGALHAES','GOIÂNIA','GO',13603,322,NULL,225,NULL,NULL,NULL,2,1),(28,7035250,8.00,8.00,3.00,6.00,8.00,9.38,7.00,9.00,7.00,103,NULL,NULL,'PARADA INGLESA','S PAULO','SP',249,192,NULL,NULL,NULL,NULL,NULL,4,1),(28,7035276,2.00,5.00,1.00,5.00,5.00,7.13,2.00,6.00,3.00,211,NULL,214,'CAMPECHE','FLORIANÓPOLIS','SC',17263,409,NULL,342,NULL,NULL,NULL,4,1),(28,7035284,3.00,8.00,2.00,6.00,9.00,7.13,3.00,9.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4305,103,NULL,NULL,NULL,NULL,NULL,4,1),(28,7035292,6.00,6.00,2.00,6.00,6.00,8.63,3.00,7.00,5.00,203,NULL,220,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',3555,257,NULL,104,NULL,NULL,NULL,4,1),(28,7035314,1.00,5.00,1.00,6.00,8.00,9.38,2.00,3.00,3.00,208,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',11762,129,NULL,NULL,NULL,NULL,NULL,2,1),(28,7035330,2.00,7.00,2.00,5.00,7.00,7.88,3.00,6.00,6.00,103,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',4705,1446,NULL,NULL,NULL,NULL,NULL,4,2),(28,7035349,3.00,7.00,2.00,7.00,10.00,9.38,2.00,4.00,1.00,103,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',6660,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7035357,3.00,7.00,1.00,3.00,4.00,7.88,4.00,7.00,4.00,103,NULL,NULL,'VILA FORMOSA','S PAULO','SP',9285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7035365,3.00,7.00,3.00,5.00,5.00,7.88,4.00,6.00,4.00,2,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12222,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7035373,5.00,7.00,2.00,7.00,9.00,7.88,3.00,6.00,7.00,103,NULL,NULL,'MEDITERRÂNEO','LONDRINA','PR',2358,980,NULL,NULL,NULL,NULL,NULL,4,1),(28,7035381,1.00,3.00,2.00,5.00,6.00,NULL,0.00,3.00,1.00,101,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7035390,2.00,7.00,4.00,6.00,3.00,7.13,2.00,4.00,3.00,999,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,2),(28,7035403,1.00,4.00,2.00,5.00,3.00,7.88,2.00,2.00,1.00,304,NULL,NULL,'CENTRO','IÇARA','SC',15615,112,NULL,NULL,NULL,NULL,NULL,2,5),(28,7035411,1.00,4.00,1.00,4.00,5.00,NULL,1.00,4.00,3.00,104,NULL,NULL,'NOSSA SENHORA DA PAZ','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,6),(28,7035438,6.00,7.00,4.00,6.00,9.00,9.75,6.00,6.00,6.00,103,NULL,NULL,'ARAXA DOIS','LONDRINA','PR',968,536,NULL,NULL,NULL,NULL,NULL,4,1),(28,7035454,5.00,6.00,3.00,6.00,6.00,7.13,4.00,5.00,4.00,319,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',6226,100,NULL,NULL,NULL,NULL,NULL,3,1),(28,7035497,7.00,8.00,3.00,5.00,8.00,10.50,8.00,8.00,7.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',428,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7035519,4.00,7.00,2.00,6.00,8.00,10.13,4.00,6.00,3.00,216,NULL,214,'TUCURUVI','S PAULO','SP',3882,150,NULL,137,NULL,NULL,NULL,4,1),(28,7035527,4.00,7.00,7.00,6.00,6.00,9.38,5.00,3.00,6.00,201,NULL,216,'JARDIM ESPLANADA','CERQUILHO','SP',3053,229,NULL,108,NULL,NULL,NULL,4,1),(28,7035535,4.00,8.00,4.00,6.00,9.00,8.63,6.00,7.00,5.00,201,NULL,215,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',2105,146,NULL,17,NULL,NULL,NULL,2,1),(28,7035543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'SOBRADINHO DF','SOBRADINHO','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7035551,7.00,7.00,3.00,6.00,9.00,9.75,3.00,8.00,7.00,340,NULL,NULL,'BIGORRILHO','CURITIBA','PR',1166,18,NULL,NULL,NULL,NULL,NULL,4,8),(28,7035560,4.00,8.00,3.00,7.00,8.00,12.00,7.00,8.00,4.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1308,682,NULL,NULL,NULL,NULL,NULL,2,1),(28,7035578,2.00,4.00,3.00,7.00,5.00,10.50,2.00,5.00,3.00,103,NULL,NULL,'PERDIZES','S PAULO','SP',7709,1853,NULL,NULL,NULL,NULL,NULL,4,1),(28,7035586,1.00,8.00,1.00,5.00,5.00,7.50,3.00,3.00,4.00,211,NULL,213,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',14312,361,NULL,232,NULL,NULL,NULL,4,1),(28,7035594,1.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'ZANETTE','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7035608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'SANTA TEREZA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,25),(28,7035616,1.00,7.00,0.00,6.00,7.00,7.13,3.00,6.00,5.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13199,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7035640,2.00,5.00,1.00,7.00,5.00,7.88,1.00,5.00,3.00,211,NULL,653,'VL PENTEADO','S PAULO','SP',10798,290,NULL,NULL,NULL,NULL,NULL,4,1),(28,7035659,0.00,0.00,3.00,4.00,3.00,NULL,0.00,0.00,0.00,429,NULL,426,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7035667,0.00,4.00,3.00,6.00,4.00,NULL,2.00,4.00,1.00,201,NULL,213,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7035675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7035691,2.00,7.00,1.00,3.00,6.00,8.63,2.00,5.00,3.00,201,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',16824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7035705,0.00,5.00,1.00,5.00,3.00,NULL,1.00,2.00,2.00,317,NULL,NULL,'VIGOLO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7035721,5.00,6.00,5.00,5.00,8.00,7.88,5.00,5.00,6.00,103,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',4653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7035730,3.00,7.00,4.00,7.00,7.00,10.13,4.00,7.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3949,1314,NULL,NULL,NULL,NULL,NULL,2,1),(28,7035748,4.00,7.00,4.00,7.00,9.00,9.75,4.00,5.00,5.00,207,NULL,211,'CENTRO','LAGES','SC',3117,NULL,NULL,64,NULL,NULL,NULL,4,9),(28,7035756,3.00,7.00,3.00,6.00,7.00,5.25,3.00,4.00,2.00,203,NULL,202,'CENTRO','S JOAQUIM','SC',9616,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7035780,1.00,5.00,1.00,6.00,6.00,6.75,2.00,3.00,3.00,104,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',17770,421,NULL,NULL,NULL,NULL,NULL,2,15),(28,7035799,5.00,5.00,3.00,7.00,3.00,9.75,2.00,4.00,3.00,220,NULL,203,'SANTANA','S PAULO','SP',7702,206,NULL,465,NULL,NULL,NULL,4,1),(28,7035802,4.00,7.00,2.00,6.00,7.00,7.50,7.00,6.00,5.00,201,NULL,211,'CARVOEIRA','FLORIANÓPOLIS','SC',4023,310,NULL,101,NULL,NULL,NULL,4,1),(28,7035829,3.00,6.00,1.00,6.00,6.00,6.38,2.00,6.00,3.00,207,NULL,213,'BARREIROS','S JOSÉ','SC',9650,NULL,NULL,170,NULL,NULL,NULL,2,1),(28,7035837,5.00,6.00,3.00,6.00,6.00,9.75,3.00,6.00,4.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4396,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7035845,4.00,7.00,2.00,6.00,9.00,8.63,3.00,4.00,6.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3655,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7035853,1.00,7.00,1.00,7.00,7.00,8.25,4.00,4.00,3.00,108,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',8198,103,NULL,NULL,NULL,NULL,NULL,4,1),(28,7035870,2.00,5.00,1.00,4.00,3.00,4.88,2.00,6.00,4.00,202,NULL,235,'JARDIM DAS FLORES I','APUCARANA','PR',14038,327,NULL,226,NULL,NULL,NULL,2,23),(28,7035896,5.00,6.00,3.00,4.00,7.00,7.88,4.00,5.00,4.00,316,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',10378,97,NULL,NULL,NULL,NULL,NULL,4,1),(28,7035900,0.00,4.00,2.00,5.00,5.00,8.63,2.00,5.00,1.00,336,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',14257,72,NULL,NULL,NULL,NULL,NULL,2,1),(28,7035934,2.00,2.00,2.00,5.00,3.00,7.13,2.00,3.00,4.00,214,NULL,203,'MEIA PRAIA','ITAPEMA','SC',17335,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7035950,0.00,2.00,2.00,2.00,6.00,3.00,0.00,2.00,1.00,104,NULL,NULL,'CEARÁ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7035969,5.00,7.00,3.00,7.00,9.00,11.25,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2078,904,NULL,NULL,NULL,NULL,NULL,2,1),(28,7035977,6.00,9.00,1.00,8.00,10.00,10.50,6.00,7.00,5.00,5,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',2292,75,NULL,NULL,NULL,NULL,NULL,4,1),(28,7035993,4.00,6.00,3.00,5.00,9.00,8.63,3.00,6.00,3.00,333,NULL,NULL,'VILA NASCENTE','CPO GRANDE','MS',6813,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036019,0.00,3.00,0.00,3.00,2.00,NULL,1.00,2.00,1.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036027,4.00,7.00,1.00,7.00,8.00,10.50,4.00,6.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3522,165,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036035,0.00,7.00,5.00,5.00,10.00,8.25,4.00,4.00,4.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',9081,159,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036043,3.00,6.00,0.00,8.00,7.00,7.13,4.00,3.00,5.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036051,3.00,7.00,2.00,7.00,4.00,6.38,3.00,5.00,5.00,211,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',8805,239,NULL,NULL,NULL,NULL,NULL,2,1),(28,7036060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,424,'SERTAO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7036078,0.00,6.00,3.00,5.00,5.00,NULL,4.00,7.00,2.00,104,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7036086,2.00,5.00,3.00,6.00,4.00,10.88,1.00,4.00,2.00,333,NULL,NULL,'CORONEL ANTONINO','CPO GRANDE','MS',16117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036094,5.00,7.00,2.00,7.00,5.00,12.00,4.00,6.00,7.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036108,7.00,8.00,8.00,7.00,9.00,9.75,7.00,8.00,8.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',74,62,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036116,1.00,3.00,4.00,1.00,2.00,NULL,2.00,3.00,3.00,552,NULL,NULL,'BELA VISTA','LEBON RÉGIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7036124,1.00,5.00,3.00,5.00,9.00,8.25,2.00,7.00,1.00,103,NULL,NULL,'CIDADE NOVA','ITAJAÍ','SC',15480,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7036132,2.00,5.00,5.00,6.00,5.00,7.88,3.00,2.00,2.00,302,NULL,NULL,'IPIRANGA','S JOSÉ','SC',11994,76,NULL,NULL,NULL,NULL,NULL,2,1),(28,7036140,4.00,8.00,2.00,1.00,5.00,7.50,1.00,6.00,2.00,203,NULL,201,'CENTRO','CORUMBATAÍ SUL','PR',10725,553,NULL,708,NULL,NULL,NULL,4,1),(28,7036159,1.00,0.00,0.00,6.00,2.00,NULL,0.00,0.00,0.00,655,NULL,NULL,'SANTA AUGUSTA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(28,7036167,3.00,4.00,1.00,6.00,6.00,7.13,3.00,3.00,1.00,101,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',16119,101,NULL,NULL,NULL,NULL,NULL,2,1),(28,7036175,4.00,4.00,4.00,4.00,3.00,8.25,5.00,3.00,2.00,109,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',14831,57,NULL,NULL,NULL,NULL,NULL,2,1),(28,7036183,1.00,5.00,3.00,3.00,7.00,8.25,6.00,4.00,1.00,211,NULL,NULL,'JOÃO CORRADINE','ITATIBA','SP',9800,267,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036191,3.00,7.00,3.00,6.00,7.00,8.63,5.00,5.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6610,145,NULL,NULL,NULL,NULL,NULL,2,1),(28,7036205,0.00,5.00,0.00,6.00,5.00,6.00,3.00,3.00,2.00,340,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19268,426,NULL,NULL,NULL,NULL,NULL,2,1),(28,7036213,0.00,7.00,3.00,6.00,6.00,NULL,3.00,4.00,2.00,212,NULL,652,'CENTRO','CRISTALINA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7036221,4.00,7.00,4.00,5.00,8.00,7.88,3.00,7.00,5.00,331,NULL,NULL,'CENTRO','NOVA TRENTO','SC',4366,7,NULL,NULL,NULL,NULL,NULL,2,22),(28,7036230,5.00,7.00,4.00,7.00,9.00,9.75,4.00,5.00,6.00,654,NULL,NULL,'BARRA FUNDA','S PAULO','SP',1597,1,NULL,NULL,NULL,NULL,NULL,4,5),(28,7036248,1.00,4.00,1.00,7.00,3.00,7.88,1.00,3.00,0.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16084,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7036256,5.00,7.00,2.00,7.00,8.00,7.88,3.00,5.00,5.00,501,NULL,NULL,'VILA ALBERTINA','S PAULO','SP',4765,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036272,3.00,5.00,3.00,5.00,4.00,7.13,3.00,5.00,4.00,233,NULL,211,'FORQUILHINHAS','S JOSÉ','SC',11396,262,NULL,298,NULL,NULL,NULL,4,1),(28,7036280,2.00,6.00,3.00,6.00,7.00,10.88,3.00,6.00,5.00,207,NULL,233,'CENTRO','LAGES','SC',4361,180,NULL,115,NULL,NULL,NULL,4,9),(28,7036299,1.00,4.00,2.00,4.00,6.00,8.25,1.00,5.00,1.00,104,NULL,NULL,'SETOR DOS AFONSOS','GOIÂNIA','GO',14895,364,NULL,NULL,NULL,NULL,NULL,2,1),(28,7036302,6.00,7.00,3.00,6.00,9.00,10.50,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',1120,607,NULL,NULL,NULL,NULL,NULL,2,4),(28,7036310,3.00,5.00,4.00,6.00,4.00,9.00,2.00,3.00,4.00,103,NULL,NULL,'TATUAPÉ','S PAULO','SP',8949,1994,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036329,1.00,3.00,1.00,2.00,5.00,7.13,4.00,4.00,1.00,103,NULL,NULL,'DOS ESTADOS','BAL CAMBORIÚ','SC',16878,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7036337,6.00,7.00,4.00,7.00,7.00,10.50,4.00,6.00,7.00,220,NULL,202,'CAMPINAS','S JOSÉ','SC',3503,103,NULL,99,NULL,NULL,NULL,4,1),(28,7036345,4.00,6.00,1.00,5.00,7.00,6.75,5.00,6.00,3.00,601,NULL,203,'GLORIA','JOINVILLE','SC',7539,176,NULL,NULL,NULL,NULL,NULL,4,8),(28,7036353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'INOCOP','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7036361,6.00,7.00,2.00,6.00,9.00,8.63,5.00,6.00,4.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3278,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036388,0.00,4.00,3.00,4.00,3.00,NULL,2.00,2.00,2.00,309,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7036400,3.00,5.00,2.00,4.00,4.00,8.63,2.00,4.00,3.00,601,NULL,207,'SAGUAÇU','JOINVILLE','SC',16877,490,NULL,NULL,NULL,NULL,NULL,4,8),(28,7036418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA OPERÁRIA','RONDONÓPOLIS','MT',NULL,NULL,NULL,NULL,'S','S','S',4,27),(28,7036434,1.00,2.00,2.00,2.00,5.00,NULL,0.00,2.00,4.00,454,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7036442,3.00,6.00,1.00,5.00,6.00,10.50,1.00,4.00,2.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036450,7.00,7.00,5.00,5.00,7.00,9.75,6.00,5.00,6.00,203,NULL,601,'BARREIROS','S JOSÉ','SC',1770,155,NULL,14,NULL,NULL,NULL,4,1),(28,7036469,0.00,4.00,2.00,2.00,2.00,NULL,1.00,4.00,0.00,552,NULL,NULL,'VILA WEBER','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7036477,4.00,7.00,0.00,8.00,7.00,9.00,3.00,5.00,4.00,340,NULL,NULL,'SANTANA','S JOSÉ CAMPOS','SP',4854,121,NULL,NULL,NULL,NULL,NULL,4,8),(28,7036485,0.00,3.00,0.00,4.00,4.00,6.00,1.00,3.00,2.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',18388,2485,NULL,NULL,NULL,NULL,NULL,2,1),(28,7036493,4.00,6.00,0.00,6.00,5.00,10.50,1.00,6.00,2.00,212,NULL,214,'SETOR G','ALTA FLORESTA','MT',6781,210,NULL,205,NULL,NULL,NULL,4,1),(28,7036507,2.00,5.00,1.00,6.00,5.00,7.50,2.00,5.00,1.00,103,NULL,NULL,'CENTRO','MARIÓPOLIS','PR',17211,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7036515,4.00,7.00,1.00,6.00,8.00,7.88,3.00,6.00,2.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10848,140,NULL,NULL,NULL,NULL,NULL,2,1),(28,7036523,0.00,0.00,1.00,4.00,8.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,23),(28,7036531,3.00,6.00,4.00,5.00,7.00,6.75,2.00,7.00,3.00,207,NULL,201,'VILA ROSA','GOIÂNIA','GO',9727,449,NULL,662,NULL,NULL,NULL,2,1),(28,7036558,0.00,4.00,2.00,6.00,4.00,6.00,0.00,5.00,0.00,302,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7036566,5.00,8.00,2.00,7.00,10.00,9.75,5.00,7.00,6.00,103,NULL,NULL,'VILA MARIZA','LAGES','SC',1879,854,NULL,NULL,NULL,NULL,NULL,4,4),(28,7036574,5.00,7.00,3.00,7.00,8.00,9.75,4.00,5.00,5.00,103,NULL,NULL,'SETOR JAO','GOIÂNIA','GO',2600,1044,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036582,4.00,7.00,3.00,7.00,7.00,7.88,4.00,6.00,6.00,238,NULL,652,'BRUSQUE','LAGES','SC',4899,36,NULL,NULL,NULL,NULL,NULL,2,9),(28,7036590,5.00,7.00,3.00,7.00,10.00,9.00,4.00,6.00,6.00,319,NULL,NULL,'CENTRO','RIO SUL','SC',2223,22,NULL,NULL,NULL,NULL,NULL,2,24),(28,7036604,1.00,7.00,2.00,6.00,2.00,NULL,3.00,5.00,4.00,222,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7036612,4.00,7.00,4.00,7.00,7.00,8.25,3.00,6.00,7.00,201,NULL,212,'CENTRO','JOINVILLE','SC',4025,311,NULL,126,NULL,NULL,NULL,4,8),(28,7036620,0.00,5.00,1.00,7.00,5.00,9.38,3.00,5.00,2.00,2,NULL,NULL,'CENTRO','CRICIÚMA','SC',11912,34,NULL,NULL,NULL,NULL,NULL,4,5),(28,7036639,5.00,7.00,4.00,6.00,9.00,9.00,5.00,6.00,4.00,103,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',2698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036655,1.00,2.00,1.00,5.00,4.00,6.38,1.00,2.00,2.00,319,NULL,NULL,'ARIRÍU','PALHOÇA','SC',19992,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7036680,0.00,4.00,2.00,5.00,4.00,NULL,3.00,2.00,2.00,552,NULL,NULL,'ARVOREDO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7036698,8.00,7.00,6.00,5.00,8.00,8.25,5.00,7.00,6.00,103,NULL,NULL,'CRUZEIRO NOVO','CRUZEIRO','DF',935,525,NULL,NULL,NULL,NULL,NULL,4,8),(28,7036701,6.00,9.00,4.00,7.00,10.00,10.50,8.00,7.00,7.00,5,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',400,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036710,3.00,5.00,2.00,4.00,3.00,7.88,2.00,4.00,4.00,333,NULL,NULL,'NOVA PETROPOLIS','S BERNARDO CAMPO','SP',18048,114,NULL,NULL,NULL,NULL,NULL,2,1),(28,7036728,2.00,7.00,2.00,5.00,6.00,7.50,3.00,5.00,2.00,238,NULL,652,'TRINDADE','FLORIANÓPOLIS','SC',10322,152,NULL,22,NULL,NULL,NULL,4,1),(28,7036744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7036752,4.00,4.00,2.00,5.00,7.00,10.88,2.00,6.00,3.00,303,NULL,NULL,'CENTRO','CONCÓRDIA','SC',7403,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7036760,3.00,6.00,1.00,3.00,7.00,9.00,5.00,5.00,5.00,108,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',7563,96,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036779,1.00,2.00,1.00,5.00,6.00,10.13,2.00,4.00,0.00,2,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',18822,55,NULL,NULL,NULL,NULL,NULL,2,3),(28,7036787,3.00,8.00,1.00,4.00,7.00,8.25,6.00,7.00,5.00,203,NULL,201,'KOBRASOL','S JOSÉ','SC',5879,386,NULL,460,NULL,NULL,NULL,4,1),(28,7036795,1.00,1.00,0.00,2.00,4.00,5.25,1.00,3.00,1.00,501,NULL,NULL,'PENHA','PAULO LOPES','SC',19510,127,NULL,NULL,NULL,NULL,NULL,2,1),(28,7036817,3.00,5.00,1.00,7.00,7.00,9.00,2.00,6.00,5.00,450,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',11211,90,NULL,NULL,NULL,NULL,NULL,4,8),(28,7036825,5.00,7.00,3.00,6.00,7.00,7.50,5.00,7.00,5.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',2180,931,NULL,NULL,NULL,NULL,NULL,4,2),(28,7036833,0.00,2.00,2.00,4.00,5.00,6.75,1.00,3.00,3.00,327,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',19607,67,NULL,NULL,NULL,NULL,NULL,2,1),(28,7036841,6.00,7.00,4.00,7.00,8.00,9.38,5.00,5.00,5.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3081,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036868,5.00,7.00,2.00,7.00,8.00,12.38,4.00,6.00,4.00,201,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',2448,NULL,NULL,43,NULL,NULL,NULL,4,3),(28,7036876,1.00,6.00,2.00,7.00,5.00,7.13,2.00,4.00,2.00,216,NULL,201,'VISTA ALEGRE','CONCÓRDIA','SC',12478,355,NULL,799,NULL,NULL,NULL,2,26),(28,7036884,0.00,1.00,3.00,3.00,3.00,3.00,1.00,2.00,3.00,216,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7036906,2.00,5.00,2.00,4.00,6.00,9.38,1.00,4.00,2.00,340,NULL,NULL,'SCHREIBER','SALETE','SC',12970,348,NULL,NULL,NULL,NULL,NULL,2,24),(28,7036914,7.00,7.00,5.00,5.00,9.00,8.63,5.00,7.00,7.00,201,NULL,212,'JARDIM AMERICA','GOIÂNIA','GO',1092,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036922,6.00,5.00,3.00,3.00,4.00,6.75,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',15640,2383,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036930,3.00,7.00,2.00,6.00,5.00,9.38,3.00,6.00,2.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12589,250,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036949,2.00,8.00,5.00,5.00,8.00,10.50,3.00,5.00,6.00,653,NULL,601,'DOM BOSCO','ITAJAÍ','SC',3944,26,NULL,NULL,NULL,NULL,NULL,4,6),(28,7036957,0.00,4.00,2.00,1.00,6.00,8.63,1.00,3.00,2.00,103,NULL,NULL,'DISTRITO','ARABUTÃ','SC',19612,NULL,NULL,NULL,NULL,NULL,NULL,1,26),(28,7036965,9.00,8.00,5.00,7.00,9.00,9.75,5.00,7.00,7.00,103,NULL,NULL,'VILA MADALENA','S PAULO','SP',116,92,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036973,7.00,4.00,3.00,6.00,6.00,7.88,4.00,5.00,5.00,216,NULL,215,'AE CARVALHO','S PAULO','SP',4013,155,NULL,55,NULL,NULL,NULL,2,1),(28,7036981,1.00,6.00,4.00,7.00,9.00,9.38,4.00,7.00,3.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',5121,75,NULL,NULL,NULL,NULL,NULL,4,1),(28,7036990,5.00,8.00,3.00,6.00,6.00,7.13,4.00,7.00,6.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',2275,101,NULL,NULL,NULL,NULL,NULL,4,10),(28,7037007,0.00,5.00,2.00,6.00,5.00,8.63,5.00,4.00,3.00,308,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15451,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037023,1.00,2.00,3.00,3.00,4.00,7.13,1.00,5.00,1.00,552,NULL,NULL,'ÁGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7037031,0.00,6.00,1.00,3.00,7.00,NULL,3.00,5.00,1.00,3,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7037066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7037082,1.00,7.00,2.00,3.00,6.00,10.50,3.00,5.00,3.00,317,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',15652,115,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037104,3.00,7.00,3.00,6.00,7.00,9.00,4.00,5.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6361,135,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'SÃO CRISTÓVÃO','CAPANEMA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7037147,5.00,6.00,2.00,8.00,10.00,10.50,4.00,5.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3999,98,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037155,5.00,9.00,2.00,7.00,9.00,7.88,3.00,6.00,7.00,201,NULL,203,'NITERÓI','SEARA','SC',1912,122,NULL,NULL,NULL,NULL,NULL,4,26),(28,7037163,5.00,7.00,4.00,6.00,8.00,10.13,5.00,7.00,7.00,203,NULL,201,'BOM RETIRO','JOINVILLE','SC',2263,183,NULL,164,NULL,NULL,NULL,2,8),(28,7037171,3.00,9.00,2.00,6.00,4.00,9.00,3.00,3.00,1.00,340,NULL,NULL,'CENTRO','CACHOEIRA SUL','RS',8616,232,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037180,5.00,7.00,5.00,7.00,9.00,9.75,4.00,6.00,6.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',3208,1183,NULL,NULL,NULL,NULL,NULL,4,8),(28,7037198,2.00,8.00,2.00,7.00,5.00,12.38,3.00,8.00,2.00,203,NULL,201,'BARRA DO RIO','ITAJAÍ','SC',7203,437,NULL,536,NULL,NULL,NULL,4,6),(28,7037201,5.00,7.00,3.00,7.00,4.00,8.63,2.00,5.00,4.00,216,NULL,214,'MATADOURO','ESPÍRITO STO PINHAL','SP',6861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037210,5.00,6.00,3.00,5.00,6.00,9.75,4.00,6.00,3.00,318,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8098,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037228,5.00,7.00,4.00,6.00,8.00,9.00,6.00,7.00,7.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',2010,889,NULL,NULL,NULL,NULL,NULL,4,22),(28,7037236,2.00,2.00,1.00,3.00,4.00,5.25,2.00,1.00,0.00,301,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037244,1.00,3.00,0.00,4.00,5.00,NULL,1.00,3.00,2.00,207,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7037252,1.00,3.00,2.00,2.00,3.00,7.88,1.00,3.00,2.00,324,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037260,0.00,6.00,0.00,6.00,4.00,NULL,2.00,5.00,2.00,235,NULL,655,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7037279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARIA ANTONIETA','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7037287,0.00,5.00,0.00,4.00,4.00,NULL,2.00,2.00,2.00,552,NULL,NULL,'JGUÁ NOVENTA E NOVE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7037295,3.00,6.00,4.00,6.00,7.00,7.88,5.00,5.00,4.00,207,NULL,211,'CANTO','FLORIANÓPOLIS','SC',6262,289,NULL,169,NULL,NULL,NULL,4,1),(28,7037309,8.00,8.00,6.00,7.00,7.00,8.25,7.00,8.00,7.00,103,NULL,NULL,'CENTRO','JACAREÍ','SP',329,242,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037317,2.00,4.00,2.00,4.00,5.00,4.50,3.00,4.00,1.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',16817,410,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037325,3.00,7.00,0.00,4.00,6.00,10.13,2.00,6.00,2.00,303,NULL,NULL,'ZONA SETE','MARINGÁ','PR',9483,391,NULL,NULL,NULL,NULL,NULL,4,8),(28,7037333,0.00,3.00,2.00,2.00,3.00,NULL,4.00,3.00,2.00,235,NULL,601,'VILA TEIXEIRA','SALTO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037341,0.00,1.00,1.00,2.00,4.00,NULL,1.00,4.00,1.00,102,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7037350,2.00,3.00,1.00,3.00,3.00,6.00,2.00,4.00,2.00,202,NULL,235,'BARREIROS','S JOSÉ','SC',17637,382,NULL,273,NULL,NULL,NULL,4,1),(28,7037368,0.00,3.00,0.00,0.00,0.00,NULL,1.00,2.00,0.00,102,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037376,5.00,8.00,7.00,7.00,10.00,9.38,2.00,6.00,8.00,214,NULL,212,'JARDIM AQUÁRIUS','S JOSÉ CAMPOS','SP',722,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037384,6.00,8.00,3.00,5.00,6.00,10.50,5.00,6.00,6.00,220,NULL,201,'BOSQUE DA SAÚDE','CUIABÁ','MT',2145,65,NULL,149,NULL,NULL,NULL,2,1),(28,7037392,2.00,7.00,3.00,5.00,9.00,6.00,2.00,5.00,3.00,3,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10145,39,NULL,NULL,NULL,NULL,NULL,2,1),(28,7037414,4.00,8.00,4.00,7.00,7.00,7.13,4.00,7.00,5.00,303,NULL,NULL,'CENTRO','ITAJAÍ','SC',3722,177,NULL,NULL,NULL,NULL,NULL,4,6),(28,7037422,0.00,4.00,3.00,3.00,3.00,8.63,2.00,6.00,3.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',13313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037430,4.00,5.00,2.00,5.00,8.00,4.50,2.00,3.00,3.00,211,NULL,207,'CAMPINAS','S JOSÉ','SC',14033,355,NULL,622,NULL,NULL,NULL,2,1),(28,7037449,3.00,7.00,3.00,6.00,7.00,8.63,3.00,8.00,3.00,220,NULL,201,'MIGUEL SUTIL','CUIABÁ','MT',4202,123,NULL,325,NULL,NULL,NULL,4,1),(28,7037457,0.00,4.00,1.00,5.00,4.00,7.13,2.00,5.00,1.00,220,NULL,203,'ITOUPAVA','RIO SUL','SC',15384,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7037465,0.00,6.00,2.00,5.00,5.00,6.38,2.00,4.00,2.00,103,NULL,NULL,'LIDER','CHAPECÓ','SC',14226,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7037473,4.00,7.00,3.00,4.00,7.00,4.88,5.00,6.00,4.00,203,NULL,214,'ESTREITO','FLORIANÓPOLIS','SC',6854,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037481,4.00,5.00,1.00,2.00,3.00,7.13,4.00,4.00,4.00,235,NULL,220,'JARDIM ELDORADO','CAXIAS SUL','RS',17159,272,NULL,326,NULL,NULL,NULL,2,9),(28,7037490,3.00,6.00,5.00,4.00,4.00,6.75,4.00,5.00,7.00,220,NULL,235,'CENTRO','CANOINHAS','SC',6277,175,NULL,105,NULL,NULL,NULL,4,1),(28,7037503,4.00,8.00,1.00,7.00,8.00,9.00,1.00,9.00,4.00,450,NULL,NULL,'MORADA DO VALE I','GRAVATAÍ','RS',3921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CIDADE ALTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7037520,4.00,8.00,1.00,6.00,9.00,9.00,3.00,6.00,3.00,103,NULL,NULL,'GREEN VILLE','PRES PRUDENTE','SP',5066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037538,2.00,2.00,2.00,6.00,3.00,8.63,1.00,5.00,3.00,425,NULL,429,'JURERÊ','FLORIANÓPOLIS','SC',18285,69,NULL,41,NULL,NULL,NULL,4,1),(28,7037546,0.00,5.00,1.00,6.00,6.00,6.38,1.00,3.00,3.00,238,NULL,214,'CAMPECHE','FLORIANÓPOLIS','SC',15332,253,NULL,323,NULL,NULL,NULL,2,1),(28,7037554,2.00,6.00,2.00,5.00,4.00,9.75,4.00,2.00,3.00,238,NULL,201,'CENTRO','URUSSANGA','SC',16703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037562,4.00,5.00,2.00,6.00,5.00,8.25,1.00,6.00,2.00,303,NULL,NULL,'CENTRO','IMARUÍ','SC',12347,469,NULL,NULL,NULL,NULL,NULL,4,10),(28,7037570,2.00,5.00,2.00,6.00,5.00,8.63,2.00,3.00,3.00,327,NULL,NULL,'TAPAJÓS','INDAIAL','SC',16827,49,NULL,NULL,NULL,NULL,NULL,2,2),(28,7037589,3.00,7.00,2.00,6.00,6.00,5.63,3.00,5.00,8.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6912,107,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037597,1.00,4.00,1.00,4.00,4.00,5.25,2.00,4.00,2.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7037619,6.00,5.00,1.00,7.00,8.00,8.25,5.00,7.00,6.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',2548,87,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037627,3.00,4.00,3.00,6.00,2.00,NULL,6.00,5.00,3.00,201,NULL,202,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037635,1.00,5.00,3.00,4.00,5.00,7.88,1.00,7.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13557,376,NULL,NULL,NULL,NULL,NULL,2,1),(28,7037643,0.00,1.00,3.00,3.00,4.00,NULL,1.00,3.00,1.00,552,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7037660,6.00,6.00,1.00,6.00,7.00,8.63,7.00,7.00,7.00,336,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',2183,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037678,4.00,6.00,2.00,6.00,8.00,8.25,2.00,4.00,5.00,108,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',7355,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7037686,7.00,7.00,1.00,6.00,6.00,7.50,4.00,7.00,7.00,103,NULL,NULL,'PENHA','CORBÉLIA','PR',4982,1490,NULL,NULL,NULL,NULL,NULL,2,4),(28,7037694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GABIROBA','RIO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,24),(28,7037708,2.00,6.00,2.00,7.00,7.00,8.25,1.00,4.00,1.00,110,NULL,NULL,'CALHEIROS','GOV CELSO RAMOS','SC',16616,82,NULL,NULL,NULL,NULL,NULL,2,1),(28,7037716,0.00,5.00,5.00,3.00,3.00,NULL,0.00,4.00,2.00,601,NULL,211,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7037724,3.00,5.00,1.00,3.00,3.00,7.13,1.00,5.00,2.00,101,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',19100,127,NULL,NULL,NULL,NULL,NULL,2,1),(28,7037732,1.00,3.00,2.00,5.00,2.00,NULL,1.00,3.00,1.00,3,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037740,2.00,6.00,1.00,6.00,7.00,9.00,2.00,4.00,2.00,207,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',15680,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7037783,1.00,5.00,2.00,7.00,6.00,10.13,1.00,4.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16296,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7037791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'JARDIM EUROPA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7037805,4.00,6.00,2.00,8.00,9.00,9.38,2.00,6.00,4.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7713,342,NULL,NULL,NULL,NULL,NULL,1,1),(28,7037813,2.00,4.00,2.00,4.00,7.00,8.63,2.00,6.00,2.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12174,221,NULL,NULL,NULL,NULL,NULL,2,1),(28,7037821,1.00,5.00,1.00,5.00,7.00,8.25,2.00,3.00,2.00,340,NULL,NULL,'JARDIM EUCALIPTO','PALHOÇA','SC',14530,385,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037830,5.00,6.00,5.00,5.00,7.00,7.88,7.00,6.00,6.00,202,NULL,203,'TRINDADE','FLORIANÓPOLIS','SC',6234,172,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037856,3.00,4.00,0.00,6.00,6.00,8.25,2.00,4.00,4.00,108,NULL,NULL,'INDEPENDÊNCIA','TAUBATÉ','SP',15201,205,NULL,NULL,NULL,NULL,NULL,2,1),(28,7037864,0.00,5.00,1.00,5.00,3.00,6.00,2.00,2.00,3.00,316,NULL,NULL,'CENTRO','IGUAPE','SP',19698,286,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037899,5.00,5.00,2.00,5.00,6.00,10.13,4.00,4.00,4.00,211,NULL,215,'BELA VISTA I','S JOSÉ','SC',5639,147,NULL,85,NULL,NULL,NULL,4,1),(28,7037902,0.00,4.00,3.00,3.00,2.00,NULL,3.00,6.00,3.00,339,NULL,NULL,'JARDIM DA PENHA','VITÓRIA','ES',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7037910,0.00,3.00,1.00,4.00,2.00,NULL,1.00,1.00,2.00,211,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7037929,3.00,6.00,3.00,5.00,9.00,6.75,4.00,5.00,2.00,108,NULL,NULL,'BOA VISTA','JOINVILLE','SC',7410,93,NULL,NULL,NULL,NULL,NULL,2,8),(28,7037937,6.00,7.00,0.00,6.00,7.00,9.75,4.00,7.00,6.00,104,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3840,58,NULL,NULL,NULL,NULL,NULL,4,1),(28,7037945,5.00,7.00,4.00,4.00,9.00,10.88,6.00,7.00,5.00,450,NULL,NULL,'ATIRADORES','JOINVILLE','SC',1581,6,NULL,NULL,NULL,NULL,NULL,4,8),(28,7037953,1.00,7.00,3.00,3.00,6.00,NULL,1.00,5.00,2.00,326,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7037961,3.00,4.00,1.00,6.00,6.00,8.25,4.00,4.00,2.00,316,NULL,NULL,'CENTRO','BIGUAÇU','SC',16761,231,NULL,NULL,NULL,NULL,NULL,2,1),(28,7037970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,220,'CENTRO','LORENA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7037988,3.00,7.00,4.00,4.00,9.00,8.63,4.00,5.00,7.00,201,NULL,653,'QUARTA LINHA','CRICIÚMA','SC',4153,322,NULL,31,NULL,NULL,NULL,4,5),(28,7037996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,601,'CENTRO','GUARATUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7038011,3.00,3.00,2.00,6.00,4.00,7.50,1.00,6.00,2.00,303,NULL,NULL,'SITIO CERCADO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038020,0.00,5.00,2.00,4.00,6.00,NULL,2.00,5.00,3.00,340,NULL,NULL,'VILA IMPERADOR','FRANCA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038038,4.00,5.00,3.00,5.00,6.00,8.25,5.00,5.00,4.00,601,NULL,216,'BOM RETIRO','JOINVILLE','SC',6488,135,NULL,NULL,NULL,NULL,NULL,4,8),(28,7038046,1.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7038054,3.00,8.00,0.00,7.00,6.00,11.25,4.00,6.00,3.00,404,NULL,NULL,'JARDIM ATLÂNTICO','S JOSÉ','SC',8374,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7038070,0.00,0.00,4.00,3.00,5.00,NULL,2.00,4.00,2.00,319,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038089,2.00,6.00,2.00,5.00,2.00,NULL,2.00,2.00,2.00,601,NULL,215,'GIOPPO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7038127,2.00,6.00,3.00,6.00,9.00,8.25,2.00,6.00,5.00,104,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',6589,142,NULL,NULL,NULL,NULL,NULL,2,1),(28,7038135,3.00,3.00,0.00,3.00,5.00,NULL,1.00,3.00,3.00,339,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038143,3.00,6.00,0.00,7.00,6.00,NULL,2.00,7.00,5.00,320,NULL,NULL,'CERQUEIRA CÉSAR','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038151,3.00,4.00,3.00,2.00,1.00,NULL,1.00,2.00,1.00,101,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038160,5.00,6.00,1.00,6.00,8.00,7.88,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',4564,1428,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038178,1.00,6.00,0.00,5.00,6.00,7.88,3.00,4.00,4.00,308,NULL,NULL,'KOBRASOL','S JOSÉ','SC',17169,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038194,5.00,7.00,1.00,5.00,5.00,9.38,4.00,5.00,4.00,332,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',5420,5,NULL,NULL,NULL,NULL,NULL,4,8),(28,7038208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7038216,0.00,3.00,1.00,5.00,6.00,NULL,1.00,2.00,3.00,207,NULL,211,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7038224,0.00,6.00,0.00,4.00,3.00,NULL,2.00,2.00,1.00,5,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7038232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,440,NULL,NULL,'JARDIM MONTE ALEGRE','TABOÃO SERRA','SP',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7038267,2.00,4.00,1.00,2.00,4.00,8.25,2.00,4.00,1.00,2,NULL,NULL,'BELA VISTA','PALHOÇA','SC',19227,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038275,3.00,5.00,1.00,7.00,6.00,8.25,3.00,6.00,7.00,104,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',4260,67,NULL,NULL,NULL,NULL,NULL,2,1),(28,7038283,4.00,7.00,3.00,6.00,4.00,9.75,3.00,6.00,3.00,212,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',10564,310,NULL,NULL,NULL,NULL,NULL,2,1),(28,7038291,1.00,4.00,2.00,4.00,2.00,NULL,2.00,4.00,3.00,652,NULL,655,'JARDIM INGA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7038305,2.00,7.00,1.00,5.00,6.00,7.88,2.00,6.00,4.00,601,NULL,202,'CAJUS','JUSCIMEIRA','MT',9407,249,NULL,NULL,NULL,NULL,NULL,4,27),(28,7038313,1.00,6.00,1.00,5.00,3.00,5.63,3.00,4.00,2.00,333,NULL,NULL,'VL CHRISTINO','MARINGÁ','PR',18846,118,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038321,2.00,3.00,2.00,4.00,3.00,5.25,2.00,2.00,2.00,207,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',19915,815,NULL,711,NULL,NULL,NULL,2,1),(28,7038330,3.00,5.00,1.00,8.00,8.00,13.13,5.00,5.00,3.00,450,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4715,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038348,4.00,7.00,3.00,7.00,8.00,9.38,5.00,7.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2543,86,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038356,2.00,7.00,2.00,7.00,7.00,8.25,2.00,6.00,2.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13243,147,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'BOSQUE DOS IPÊS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7038372,1.00,4.00,1.00,4.00,5.00,6.00,1.00,2.00,2.00,201,NULL,235,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7038402,5.00,6.00,2.00,7.00,9.00,9.00,7.00,7.00,4.00,211,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',2070,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038429,5.00,7.00,1.00,1.00,4.00,7.13,3.00,5.00,4.00,601,NULL,203,'SANTA CATARINA','JOINVILLE','SC',10164,285,NULL,NULL,NULL,NULL,NULL,4,8),(28,7038445,2.00,6.00,2.00,6.00,9.00,9.38,4.00,5.00,4.00,454,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',7266,118,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038461,3.00,4.00,3.00,6.00,8.00,7.88,3.00,6.00,3.00,216,NULL,207,'CAMPECHE','FLORIANÓPOLIS','SC',13042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038470,0.00,4.00,3.00,5.00,7.00,NULL,0.00,5.00,4.00,3,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038496,2.00,5.00,1.00,5.00,3.00,7.50,2.00,4.00,5.00,211,NULL,202,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',14678,368,NULL,338,NULL,NULL,NULL,2,1),(28,7038518,5.00,8.00,3.00,4.00,6.00,6.38,3.00,7.00,4.00,201,NULL,233,'VILA RÉ','S PAULO','SP',5182,400,NULL,141,NULL,NULL,NULL,4,1),(28,7038526,2.00,4.00,2.00,5.00,6.00,7.13,1.00,3.00,4.00,333,NULL,NULL,'SANTA CÂNDIDA','CURITIBA','PR',18153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038542,5.00,8.00,4.00,5.00,8.00,10.13,4.00,8.00,6.00,216,NULL,203,'VILA PEDRO MOREIRA','GUARULHOS','SP',3647,138,NULL,267,NULL,NULL,NULL,4,8),(28,7038550,0.00,7.00,4.00,2.00,5.00,NULL,1.00,4.00,2.00,108,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7038569,2.00,8.00,4.00,6.00,7.00,11.63,5.00,5.00,5.00,340,NULL,NULL,'CENTRO','LAGES','SC',3860,96,NULL,NULL,NULL,NULL,NULL,4,9),(28,7038577,6.00,7.00,4.00,6.00,6.00,10.13,2.00,7.00,6.00,103,NULL,NULL,'BAETA NEVES','S BERNARDO CAMPO','SP',2694,1062,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038615,3.00,7.00,3.00,7.00,6.00,9.00,3.00,6.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6942,180,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038623,3.00,6.00,1.00,5.00,8.00,6.38,4.00,6.00,5.00,216,NULL,215,'JD CAROLINA','ASSIS CHATEAUBRIAND','PR',6671,230,NULL,95,NULL,NULL,NULL,4,8),(28,7038631,1.00,7.00,0.00,6.00,6.00,NULL,2.00,4.00,2.00,999,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038640,7.00,7.00,4.00,7.00,8.00,10.88,4.00,8.00,7.00,103,NULL,NULL,'OURO VERDE','CEL FREITAS','SC',620,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7038658,1.00,4.00,1.00,4.00,3.00,8.25,3.00,5.00,2.00,324,NULL,NULL,'JOÃO COSTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7038674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IPANEMA','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7038704,3.00,5.00,2.00,6.00,7.00,6.38,5.00,5.00,6.00,213,NULL,235,'CENTRO','XAXIM','SC',13294,222,NULL,216,NULL,NULL,NULL,4,4),(28,7038712,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7038747,2.00,8.00,3.00,7.00,9.00,8.25,4.00,7.00,3.00,103,NULL,NULL,'CENTRO','S JOSÉ CEDRO','SC',4613,1433,NULL,NULL,NULL,NULL,NULL,2,1),(28,7038755,3.00,7.00,3.00,6.00,7.00,9.00,3.00,6.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11126,441,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038763,0.00,3.00,2.00,4.00,3.00,NULL,2.00,3.00,2.00,339,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7038771,2.00,6.00,3.00,5.00,7.00,8.63,3.00,6.00,2.00,103,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',10287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7038798,3.00,4.00,1.00,7.00,7.00,7.88,5.00,2.00,3.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038801,2.00,5.00,2.00,5.00,6.00,6.38,6.00,6.00,4.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',11988,330,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038810,1.00,5.00,0.00,6.00,5.00,11.25,3.00,4.00,2.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',17124,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038836,4.00,6.00,3.00,6.00,8.00,7.13,3.00,5.00,4.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',6606,144,NULL,NULL,NULL,NULL,NULL,2,5),(28,7038844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7038852,0.00,1.00,0.00,0.00,0.00,NULL,2.00,2.00,2.00,654,NULL,NULL,'SAO LUIZ','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,15),(28,7038860,5.00,7.00,5.00,6.00,8.00,8.25,4.00,5.00,6.00,207,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',2989,105,NULL,58,NULL,NULL,NULL,2,1),(28,7038887,2.00,2.00,3.00,4.00,6.00,7.13,3.00,3.00,3.00,207,NULL,201,'CRISTO REI','CURITIBA','PR',17112,740,NULL,NULL,NULL,NULL,NULL,2,2),(28,7038895,0.00,3.00,1.00,4.00,3.00,8.63,3.00,2.00,2.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',19807,2524,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038917,0.00,5.00,0.00,4.00,4.00,5.25,1.00,4.00,3.00,203,NULL,214,'MEIA PRAIA','ITAPEMA','SC',16670,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7038933,3.00,8.00,3.00,6.00,4.00,9.38,4.00,5.00,3.00,316,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',10985,105,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038941,3.00,6.00,4.00,5.00,4.00,5.63,3.00,6.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14624,397,NULL,NULL,NULL,NULL,NULL,2,1),(28,7038950,5.00,9.00,2.00,6.00,9.00,6.75,5.00,7.00,6.00,207,NULL,201,'CENTRO','RIO NEGRINHO','SC',1249,29,NULL,NULL,NULL,NULL,NULL,4,3),(28,7038968,5.00,4.00,0.00,6.00,4.00,6.75,3.00,5.00,2.00,317,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',16118,124,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038976,5.00,4.00,2.00,1.00,5.00,8.25,4.00,4.00,1.00,108,NULL,NULL,'JARDIM MURILO','MOGI GUAÇU','SP',10764,143,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038984,1.00,7.00,2.00,5.00,8.00,6.38,5.00,6.00,4.00,316,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',11885,126,NULL,NULL,NULL,NULL,NULL,4,1),(28,7038992,3.00,7.00,1.00,6.00,7.00,6.75,3.00,7.00,2.00,601,NULL,NULL,'ESTADOS','TIMBÓ','SC',9046,237,NULL,NULL,NULL,NULL,NULL,4,2),(28,7039000,1.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,4.00,552,NULL,NULL,'INTERIOR','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7039018,7.00,8.00,4.00,6.00,10.00,12.00,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','GOIÂNIA','GO',105,85,NULL,NULL,NULL,NULL,NULL,4,1),(28,7039026,0.00,2.00,2.00,6.00,6.00,9.38,2.00,5.00,3.00,454,NULL,NULL,'MONTE CASTELO','TERESINA','PI',17151,346,NULL,NULL,NULL,NULL,NULL,4,3),(28,7039042,0.00,6.00,1.00,5.00,9.00,NULL,1.00,5.00,4.00,415,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7039069,1.00,6.00,5.00,6.00,4.00,8.63,2.00,3.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13542,503,NULL,NULL,NULL,NULL,NULL,2,1),(28,7039077,5.00,6.00,5.00,5.00,8.00,9.00,2.00,6.00,4.00,102,NULL,NULL,'SANTA TEREZINHA','BRUSQUE','SC',4585,24,NULL,NULL,NULL,NULL,NULL,4,22),(28,7039093,4.00,6.00,3.00,2.00,3.00,6.75,3.00,2.00,2.00,103,NULL,NULL,'BATEL','GUARAPUAVA','PR',12427,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7039107,1.00,7.00,3.00,7.00,9.00,9.38,2.00,7.00,5.00,450,NULL,NULL,'CENTRO','TUBARÃO','SC',4080,28,NULL,NULL,NULL,NULL,NULL,4,10),(28,7039115,4.00,5.00,1.00,4.00,7.00,5.25,1.00,3.00,4.00,454,NULL,NULL,'VILA MAZZEI','S PAULO','SP',17829,364,NULL,NULL,NULL,NULL,NULL,4,1),(28,7039123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PRAIA DOS NAMORADOS','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7039131,3.00,5.00,3.00,5.00,4.00,7.13,2.00,4.00,5.00,502,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15789,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7039140,2.00,5.00,2.00,5.00,4.00,7.88,1.00,3.00,4.00,212,NULL,601,'CAMPINAS','S JOSÉ','SC',17547,405,NULL,504,NULL,NULL,NULL,2,1),(28,7039158,0.00,0.00,3.00,2.00,3.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(28,7039166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7039174,0.00,2.00,2.00,0.00,3.00,NULL,1.00,1.00,3.00,552,NULL,NULL,'CENTRO','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7039182,2.00,8.00,1.00,7.00,7.00,8.25,3.00,6.00,5.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',10859,263,NULL,NULL,NULL,NULL,NULL,4,5),(28,7039190,4.00,6.00,1.00,7.00,6.00,8.25,2.00,8.00,2.00,454,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6305,94,NULL,NULL,NULL,NULL,NULL,4,1),(28,7039204,3.00,6.00,0.00,5.00,7.00,NULL,2.00,7.00,2.00,655,NULL,652,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7039212,4.00,6.00,4.00,4.00,9.00,7.13,5.00,6.00,5.00,303,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',5259,242,NULL,NULL,NULL,NULL,NULL,4,1),(28,7039220,4.00,6.00,2.00,6.00,9.00,9.75,2.00,7.00,4.00,103,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',4168,1359,NULL,NULL,NULL,NULL,NULL,4,3),(28,7039239,3.00,5.00,1.00,5.00,9.00,8.25,2.00,4.00,2.00,333,NULL,NULL,'CENTRO','CURITIBA','PR',15020,96,NULL,NULL,NULL,NULL,NULL,4,17),(28,7039247,0.00,2.00,2.00,3.00,3.00,6.38,3.00,4.00,2.00,233,NULL,216,'ESTREITO','FLORIANÓPOLIS','SC',17377,337,NULL,432,NULL,NULL,NULL,2,1),(28,7039255,3.00,7.00,3.00,4.00,9.00,10.88,5.00,6.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',2697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7039298,5.00,7.00,3.00,7.00,7.00,14.25,2.00,7.00,3.00,103,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',4876,1474,NULL,NULL,NULL,NULL,NULL,4,1),(28,7039310,0.00,3.00,3.00,2.00,4.00,4.88,0.00,5.00,1.00,213,NULL,212,'SANTA MÔNICA','FLORIANÓPOLIS','SC',17613,261,NULL,407,NULL,NULL,NULL,4,1),(28,7039328,4.00,6.00,4.00,7.00,6.00,11.63,2.00,6.00,3.00,207,NULL,NULL,'JD D ABRIL','OSASCO','SP',6000,276,NULL,NULL,NULL,NULL,NULL,4,1),(28,7039344,3.00,7.00,1.00,5.00,7.00,7.13,2.00,6.00,3.00,450,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',16355,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7039352,0.00,4.00,1.00,6.00,3.00,NULL,2.00,3.00,0.00,103,NULL,NULL,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7039360,3.00,5.00,0.00,6.00,8.00,8.25,2.00,6.00,4.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13037,182,NULL,NULL,NULL,NULL,NULL,2,1),(28,7039379,2.00,7.00,2.00,7.00,9.00,7.50,4.00,7.00,3.00,332,NULL,NULL,'ITAUM','JOINVILLE','SC',7618,8,NULL,NULL,NULL,NULL,NULL,4,8),(28,7039387,4.00,7.00,3.00,7.00,7.00,10.50,6.00,6.00,3.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',5186,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7039409,0.00,5.00,2.00,3.00,3.00,NULL,2.00,4.00,3.00,501,NULL,NULL,'CABEÇUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7039417,0.00,4.00,1.00,3.00,4.00,8.25,1.00,4.00,0.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',19707,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7039425,3.00,5.00,0.00,6.00,4.00,9.00,2.00,4.00,1.00,335,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',18242,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7039506,1.00,7.00,3.00,4.00,8.00,8.63,3.00,4.00,3.00,415,NULL,NULL,'FATIMA','JOINVILLE','SC',10401,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7039514,4.00,7.00,2.00,6.00,7.00,11.25,4.00,5.00,6.00,201,NULL,216,'LA SALLE','XANXERÊ','SC',2896,218,NULL,104,NULL,NULL,NULL,4,4),(28,7039530,2.00,4.00,0.00,6.00,6.00,7.50,1.00,3.00,2.00,309,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',15777,30,NULL,NULL,NULL,NULL,NULL,2,1),(28,7039565,1.00,5.00,1.00,4.00,1.00,NULL,0.00,3.00,3.00,552,NULL,NULL,'REUNIDAS','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7039573,0.00,7.00,2.00,5.00,7.00,9.00,2.00,4.00,5.00,103,NULL,NULL,'ARMAÇÃO','PENHA','SC',9747,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7039590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MACUCO','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,22),(28,7039603,4.00,6.00,3.00,4.00,5.00,9.38,6.00,6.00,7.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5335,62,NULL,NULL,NULL,NULL,NULL,2,1),(28,7039611,2.00,3.00,1.00,5.00,4.00,7.88,0.00,3.00,2.00,335,NULL,NULL,'JARDIM COQUEIROS','PALHOÇA','SC',14644,4,NULL,NULL,NULL,NULL,NULL,2,1),(28,7039620,2.00,8.00,2.00,6.00,6.00,7.50,4.00,6.00,6.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',4753,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7039638,4.00,6.00,1.00,3.00,8.00,9.00,6.00,5.00,6.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',7812,65,NULL,NULL,NULL,NULL,NULL,4,1),(28,7039646,4.00,9.00,1.00,5.00,10.00,7.13,5.00,7.00,4.00,238,NULL,235,'ROÇADO','S JOSÉ','SC',3950,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7039654,1.00,4.00,3.00,4.00,4.00,5.63,1.00,1.00,2.00,103,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',19666,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7039662,4.00,6.00,4.00,3.00,8.00,9.38,4.00,4.00,6.00,211,NULL,233,'BARREIROS','S JOSÉ','SC',7841,213,NULL,NULL,NULL,NULL,NULL,4,1),(28,7039670,7.00,8.00,5.00,7.00,9.00,9.38,9.00,8.00,8.00,103,NULL,NULL,'NAZARÉ','BELÉM','PA',154,123,NULL,NULL,NULL,NULL,NULL,4,1),(28,7039689,4.00,7.00,1.00,7.00,9.00,7.88,2.00,5.00,3.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',5289,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7039735,2.00,5.00,3.00,5.00,3.00,6.75,5.00,5.00,1.00,655,NULL,653,'RIO MAINA','CRICIÚMA','SC',13177,71,NULL,NULL,NULL,NULL,NULL,4,5),(28,7039743,3.00,4.00,1.00,6.00,9.00,7.13,1.00,5.00,2.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',15479,421,NULL,NULL,NULL,NULL,NULL,4,1),(28,7039751,5.00,0.00,2.00,2.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PERITIBA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,7),(28,7039760,3.00,6.00,2.00,5.00,5.00,5.63,4.00,3.00,3.00,211,NULL,207,'JARIVATUBA','JOINVILLE','SC',11070,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7039778,0.00,6.00,3.00,4.00,4.00,5.63,3.00,5.00,2.00,601,NULL,203,'CENTRO','GARUVA','SC',18187,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7039786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BALNEÁRIO RINCÃO','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7039794,0.00,7.00,4.00,7.00,5.00,NULL,5.00,5.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7039832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'LOMBA GRANDE','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7039840,3.00,8.00,0.00,7.00,7.00,8.63,2.00,7.00,3.00,319,NULL,NULL,'RIO VERMELHO ESTAÇÃO','S BENTO SUL','SC',12103,218,NULL,NULL,NULL,NULL,NULL,4,1),(28,7039875,3.00,0.00,3.00,6.00,5.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(28,7039883,0.00,2.00,2.00,6.00,4.00,NULL,0.00,4.00,1.00,109,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7039891,1.00,7.00,0.00,6.00,4.00,NULL,2.00,5.00,2.00,103,NULL,NULL,'FRINAPE','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7039905,9.00,8.00,5.00,7.00,9.00,11.25,7.00,8.00,7.00,103,NULL,NULL,'CERÂMICA','ERECHIM','RS',17,14,NULL,NULL,NULL,NULL,NULL,2,4),(28,7039921,2.00,6.00,0.00,5.00,7.00,9.00,2.00,6.00,3.00,337,NULL,NULL,'CENTRO','URUSSANGA','SC',15740,30,NULL,NULL,NULL,NULL,NULL,4,5),(28,7039930,0.00,2.00,4.00,2.00,2.00,NULL,0.00,3.00,3.00,454,NULL,NULL,'SÃO CRISTOVÃO','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7039964,4.00,8.00,2.00,6.00,5.00,9.38,1.00,4.00,3.00,454,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',9261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7039980,2.00,6.00,1.00,5.00,4.00,6.00,3.00,6.00,2.00,103,NULL,NULL,'LISBOA','S JOSÉ','SC',13444,2281,NULL,NULL,NULL,NULL,NULL,4,1),(28,7039999,1.00,4.00,0.00,2.00,6.00,9.38,1.00,4.00,1.00,103,NULL,NULL,'PEDREIRAS','IÇARA','SC',19141,2507,NULL,NULL,NULL,NULL,NULL,2,5),(28,7040016,4.00,6.00,2.00,2.00,5.00,6.38,2.00,4.00,2.00,216,NULL,211,'PRAIA DO ERVINO','S FRANCISCO SUL','SC',12415,354,NULL,322,NULL,NULL,NULL,4,8),(28,7040024,3.00,6.00,2.00,7.00,8.00,10.13,4.00,5.00,3.00,303,NULL,NULL,'COQUEIRO ALTO','D PEDRO ALCÂNTARA','RS',4533,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7040032,2.00,7.00,1.00,6.00,7.00,7.50,1.00,5.00,4.00,201,NULL,220,'CENTRO','NONOAI','RS',9440,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7040040,1.00,5.00,1.00,7.00,6.00,7.50,3.00,3.00,0.00,308,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18218,64,NULL,NULL,NULL,NULL,NULL,2,1),(28,7040059,5.00,6.00,2.00,5.00,8.00,10.13,3.00,5.00,5.00,303,NULL,NULL,'CENTRO','BARRA VELHA','SC',5408,251,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040083,4.00,6.00,2.00,7.00,8.00,9.38,4.00,6.00,4.00,103,NULL,NULL,'ESTADOS','INDAIAL','SC',8915,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7040091,6.00,7.00,3.00,6.00,8.00,8.25,5.00,6.00,8.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',2457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7040105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7040113,2.00,7.00,1.00,4.00,5.00,NULL,0.00,3.00,2.00,999,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7040121,1.00,5.00,2.00,5.00,5.00,6.00,2.00,4.00,0.00,9,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',15782,119,NULL,NULL,NULL,NULL,NULL,2,1),(28,7040130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7040148,3.00,6.00,3.00,7.00,9.00,6.38,1.00,6.00,4.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',6265,1669,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040156,5.00,6.00,4.00,7.00,10.00,9.75,4.00,7.00,6.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',1989,60,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7040180,5.00,6.00,2.00,6.00,8.00,5.25,5.00,6.00,5.00,5,NULL,NULL,'N SRA DO ROSÁRIO','S JOSÉ','SC',5708,189,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7040202,4.00,5.00,0.00,6.00,6.00,6.75,1.00,2.00,1.00,238,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15577,259,NULL,NULL,NULL,NULL,NULL,2,1);
INSERT INTO boletim_desempenho VALUES (28,7040210,3.00,8.00,2.00,5.00,6.00,7.50,4.00,6.00,4.00,208,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8290,87,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040229,3.00,7.00,1.00,6.00,6.00,9.38,4.00,6.00,6.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',5150,229,NULL,397,NULL,NULL,NULL,4,1),(28,7040237,1.00,3.00,3.00,4.00,5.00,9.75,3.00,2.00,2.00,339,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',18554,53,NULL,NULL,NULL,NULL,NULL,2,1),(28,7040245,0.00,6.00,3.00,5.00,2.00,NULL,0.00,4.00,0.00,601,NULL,NULL,'NOVA BRASILIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7040253,1.00,7.00,2.00,4.00,4.00,5.25,3.00,3.00,1.00,552,NULL,NULL,'SAO FRANCISCO','CURITIBANOS','SC',19039,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7040261,5.00,8.00,4.00,4.00,8.00,7.88,8.00,9.00,7.00,103,NULL,NULL,'JARDIM CHACARA AULER','JAÚ','SP',1204,640,NULL,NULL,NULL,NULL,NULL,4,17),(28,7040270,1.00,4.00,0.00,5.00,7.00,7.88,4.00,4.00,1.00,103,NULL,NULL,'PROGRESSO','RIO SUL','SC',16935,2433,NULL,NULL,NULL,NULL,NULL,4,24),(28,7040288,3.00,3.00,3.00,2.00,4.00,10.50,2.00,3.00,2.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15316,300,NULL,NULL,NULL,NULL,NULL,2,1),(28,7040300,0.00,7.00,1.00,5.00,7.00,NULL,0.00,4.00,3.00,425,NULL,428,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040318,2.00,3.00,3.00,6.00,3.00,7.88,4.00,4.00,2.00,110,NULL,NULL,'CENTRO','ITAJAÍ','SC',17983,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7040326,2.00,7.00,1.00,5.00,6.00,12.00,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040334,7.00,8.00,6.00,6.00,10.00,9.75,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',403,288,NULL,NULL,NULL,NULL,NULL,2,1),(28,7040342,3.00,4.00,3.00,4.00,4.00,9.00,1.00,2.00,4.00,103,NULL,NULL,'CENTENARIO','S BENTO SUL','SC',13679,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7040377,1.00,2.00,0.00,4.00,0.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','ILHOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7040385,5.00,7.00,3.00,7.00,9.00,10.13,5.00,5.00,4.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',2787,1087,NULL,NULL,NULL,NULL,NULL,2,1),(28,7040415,2.00,5.00,2.00,2.00,3.00,7.88,2.00,4.00,2.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7040423,0.00,5.00,2.00,4.00,3.00,7.50,2.00,6.00,2.00,103,NULL,NULL,'TRICOLIM','CANOINHAS','SC',15028,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7040440,4.00,9.00,2.00,6.00,8.00,7.88,5.00,7.00,6.00,103,NULL,NULL,'SAO LUIZ','CRICIÚMA','SC',2916,1115,NULL,NULL,NULL,NULL,NULL,2,5),(28,7040458,4.00,8.00,4.00,7.00,7.00,10.88,4.00,7.00,6.00,103,NULL,NULL,'JD SÃO DIMAS','S JOSÉ CAMPOS','SP',1278,666,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040466,1.00,5.00,2.00,6.00,6.00,7.88,3.00,5.00,3.00,317,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',11161,47,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040474,2.00,5.00,1.00,6.00,8.00,9.75,3.00,4.00,5.00,201,NULL,215,'BARREIRINHA','CURITIBA','PR',13149,838,NULL,223,NULL,NULL,NULL,4,6),(28,7040482,5.00,7.00,4.00,6.00,9.00,11.25,4.00,5.00,6.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',1803,86,NULL,NULL,NULL,NULL,NULL,2,1),(28,7040490,1.00,6.00,3.00,6.00,4.00,6.38,1.00,3.00,3.00,103,NULL,NULL,'CAMPESTRE','MTE ALTO','SP',17706,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040504,2.00,6.00,3.00,5.00,6.00,8.63,5.00,5.00,0.00,238,NULL,213,'CANASVIEIRAS','FLORIANÓPOLIS','SC',9012,128,NULL,158,NULL,NULL,NULL,4,1),(28,7040512,0.00,5.00,1.00,4.00,3.00,5.25,2.00,3.00,2.00,503,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7040520,1.00,5.00,0.00,3.00,2.00,NULL,3.00,4.00,3.00,238,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040547,0.00,5.00,2.00,6.00,3.00,NULL,1.00,6.00,1.00,211,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7040555,4.00,7.00,3.00,7.00,7.00,12.00,3.00,7.00,4.00,103,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',2734,1070,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040563,1.00,4.00,1.00,4.00,6.00,4.88,3.00,4.00,3.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16415,119,NULL,NULL,NULL,NULL,NULL,2,1),(28,7040571,5.00,9.00,1.00,6.00,8.00,5.63,2.00,6.00,3.00,207,NULL,201,'OFICINAS','TUBARÃO','SC',7726,351,NULL,NULL,NULL,NULL,NULL,2,10),(28,7040580,2.00,4.00,2.00,6.00,8.00,6.38,1.00,6.00,0.00,110,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',12658,43,NULL,NULL,NULL,NULL,NULL,2,1),(28,7040598,1.00,6.00,1.00,3.00,8.00,8.25,2.00,4.00,2.00,102,NULL,NULL,'CENTRO','TUBARÃO','SC',18004,167,NULL,NULL,NULL,NULL,NULL,4,10),(28,7040601,6.00,6.00,3.00,6.00,4.00,6.38,5.00,5.00,4.00,336,NULL,NULL,'CENTRO','LAGES','SC',6035,30,NULL,NULL,NULL,NULL,NULL,4,9),(28,7040610,3.00,6.00,1.00,5.00,6.00,10.50,4.00,6.00,4.00,201,NULL,212,'SANTINHO','FLORIANÓPOLIS','SC',6838,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040628,2.00,5.00,1.00,5.00,6.00,7.13,1.00,6.00,1.00,207,NULL,238,'PRAIA COMPRIDA','S JOSÉ','SC',18055,764,NULL,316,NULL,NULL,NULL,4,1),(28,7040636,3.00,7.00,4.00,4.00,8.00,11.25,3.00,7.00,6.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',2551,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7040644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA LARSEN','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7040660,3.00,5.00,3.00,6.00,7.00,6.00,4.00,5.00,6.00,303,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',9355,387,NULL,NULL,NULL,NULL,NULL,2,1),(28,7040679,2.00,3.00,3.00,5.00,5.00,6.38,2.00,2.00,2.00,319,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',14305,273,NULL,NULL,NULL,NULL,NULL,2,22),(28,7040687,4.00,6.00,6.00,6.00,9.00,8.63,6.00,6.00,5.00,214,NULL,213,'CENTRO','LARANJAL PAULISTA','SP',1778,55,NULL,8,NULL,NULL,NULL,2,1),(28,7040717,2.00,7.00,0.00,7.00,8.00,10.50,4.00,6.00,3.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',9526,286,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7040741,2.00,5.00,2.00,7.00,8.00,10.13,4.00,5.00,2.00,108,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',11675,155,NULL,NULL,NULL,NULL,NULL,2,1),(28,7040750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7040768,4.00,7.00,2.00,5.00,7.00,7.88,6.00,5.00,3.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',9092,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7040776,3.00,6.00,1.00,4.00,5.00,8.63,3.00,4.00,3.00,340,NULL,NULL,'BOSQUE DOS IPÊS','S JOSÉ CAMPOS','SP',12280,337,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040784,1.00,4.00,3.00,4.00,7.00,7.88,1.00,5.00,1.00,316,NULL,NULL,'JD CID FLORIANÓPOLIS','S JOSÉ','SC',13460,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040792,4.00,5.00,3.00,5.00,6.00,9.75,4.00,3.00,5.00,208,NULL,NULL,'BARREIROS','S JOSÉ','SC',7853,76,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040814,7.00,7.00,3.00,5.00,7.00,10.50,4.00,4.00,6.00,103,NULL,NULL,'GRUTA DE LOURDES','MACEIÓ','AL',2253,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040830,3.00,6.00,1.00,5.00,5.00,6.75,1.00,6.00,3.00,333,NULL,NULL,'CONDOMÍNIO ITAPARK','VARGEM G PAULISTA','SP',11588,66,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040849,5.00,8.00,1.00,6.00,9.00,10.13,4.00,5.00,7.00,216,NULL,212,'ESTAÇÃO','URUSSANGA','SC',2990,106,NULL,89,NULL,NULL,NULL,2,5),(28,7040873,0.00,4.00,3.00,2.00,2.00,NULL,2.00,3.00,2.00,444,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7040903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7040911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'BOM JESUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7040920,2.00,7.00,2.00,3.00,5.00,7.50,2.00,4.00,2.00,205,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',18174,22,NULL,NULL,NULL,NULL,NULL,2,1),(28,7040946,6.00,8.00,4.00,6.00,6.00,12.38,5.00,7.00,7.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7040954,4.00,7.00,4.00,5.00,4.00,9.38,4.00,6.00,3.00,316,NULL,NULL,'COND IBITI DO PAÇO','SOROCABA','SP',7417,60,NULL,NULL,NULL,NULL,NULL,2,1),(28,7040970,5.00,6.00,1.00,5.00,8.00,7.50,6.00,6.00,3.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5818,67,NULL,NULL,NULL,NULL,NULL,4,1),(28,7040989,0.00,5.00,3.00,3.00,6.00,6.75,2.00,2.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041004,6.00,6.00,1.00,3.00,7.00,9.75,2.00,6.00,4.00,103,NULL,NULL,'PARAÍSO','CAÇADOR','SC',10746,2122,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041012,5.00,5.00,3.00,5.00,4.00,9.38,3.00,6.00,3.00,601,NULL,214,'BOA VISTA','JOINVILLE','SC',12827,385,NULL,NULL,NULL,NULL,NULL,2,8),(28,7041047,6.00,6.00,4.00,6.00,7.00,7.88,4.00,6.00,5.00,103,NULL,NULL,'FLORESTA','S JOSÉ','SC',5803,1602,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041055,3.00,5.00,3.00,5.00,9.00,12.00,5.00,5.00,5.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3449,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041071,4.00,8.00,5.00,6.00,10.00,9.00,1.00,5.00,4.00,201,NULL,207,'CENTRO','BAL CAMBORIÚ','SC',3732,289,NULL,NULL,NULL,NULL,NULL,4,3),(28,7041080,0.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,207,NULL,211,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7041098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,203,'SANTA CRUZ','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7041101,0.00,4.00,1.00,5.00,1.00,NULL,2.00,1.00,2.00,234,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7041110,1.00,3.00,2.00,4.00,2.00,NULL,0.00,3.00,0.00,601,NULL,207,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7041136,1.00,8.00,2.00,7.00,8.00,11.25,4.00,6.00,5.00,302,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',3686,5,NULL,NULL,NULL,NULL,NULL,2,22),(28,7041152,5.00,8.00,3.00,6.00,8.00,10.50,5.00,5.00,6.00,103,NULL,NULL,'SAO LUIS','BRUSQUE','SC',2129,916,NULL,NULL,NULL,NULL,NULL,2,22),(28,7041160,5.00,7.00,4.00,7.00,7.00,8.25,3.00,7.00,3.00,103,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',3283,1199,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041179,0.00,3.00,2.00,2.00,3.00,6.38,2.00,5.00,3.00,655,NULL,201,'RAICHASKI','IÇARA','SC',19858,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7041187,3.00,7.00,3.00,3.00,5.00,3.00,3.00,2.00,4.00,333,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041195,3.00,7.00,3.00,6.00,7.00,7.88,4.00,5.00,4.00,103,NULL,NULL,'BUCAREIN','JOINVILLE','SC',10128,2081,NULL,NULL,NULL,NULL,NULL,2,8),(28,7041209,4.00,7.00,2.00,6.00,7.00,7.88,4.00,6.00,4.00,216,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',6882,237,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041225,6.00,8.00,2.00,7.00,8.00,8.63,4.00,7.00,6.00,108,NULL,NULL,'PRAIA DOS NAMORADOS','AMERICANA','SP',1463,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD MARINGÁ','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7041276,0.00,2.00,3.00,1.00,5.00,NULL,0.00,2.00,3.00,552,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7041330,2.00,7.00,2.00,4.00,8.00,9.38,4.00,5.00,6.00,201,NULL,233,'CENTRO','OSÓRIO','RS',6018,467,NULL,NULL,NULL,NULL,NULL,2,15),(28,7041349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7041357,2.00,4.00,2.00,4.00,6.00,7.13,2.00,4.00,2.00,103,NULL,NULL,'PINHEIRINHO','CURITIBA','PR',12995,2260,NULL,NULL,NULL,NULL,NULL,4,8),(28,7041365,0.00,6.00,2.00,6.00,5.00,NULL,0.00,3.00,3.00,214,NULL,601,'SÃO DOMINGOS','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7041373,5.00,6.00,4.00,6.00,7.00,8.63,4.00,8.00,7.00,103,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',4459,1415,NULL,NULL,NULL,NULL,NULL,4,23),(28,7041403,3.00,4.00,1.00,7.00,4.00,8.25,2.00,2.00,3.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13455,80,NULL,NULL,NULL,NULL,NULL,2,1),(28,7041411,3.00,6.00,1.00,5.00,7.00,6.75,3.00,7.00,5.00,238,NULL,211,'BARREIROS','S JOSÉ','SC',13344,218,NULL,340,NULL,NULL,NULL,4,1),(28,7041438,2.00,4.00,2.00,3.00,2.00,NULL,2.00,5.00,1.00,238,NULL,207,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041454,4.00,4.00,3.00,4.00,8.00,9.38,3.00,6.00,5.00,601,NULL,201,'COPACABANA','LAGES','SC',9612,259,NULL,NULL,NULL,NULL,NULL,2,9),(28,7041470,5.00,8.00,2.00,7.00,9.00,9.38,4.00,7.00,8.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',1307,681,NULL,NULL,NULL,NULL,NULL,2,8),(28,7041497,4.00,6.00,3.00,5.00,6.00,10.13,4.00,3.00,6.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',5885,1614,NULL,NULL,NULL,NULL,NULL,2,1),(28,7041519,4.00,5.00,5.00,5.00,6.00,12.00,4.00,4.00,8.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',3061,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041527,1.00,5.00,1.00,6.00,3.00,7.13,0.00,3.00,2.00,110,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19577,104,NULL,NULL,NULL,NULL,NULL,2,1),(28,7041535,1.00,1.00,3.00,1.00,2.00,NULL,0.00,4.00,2.00,317,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041543,1.00,2.00,3.00,5.00,2.00,NULL,2.00,2.00,2.00,552,NULL,NULL,'CENTRO','FR ROGÉRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7041551,5.00,8.00,3.00,7.00,10.00,7.50,4.00,7.00,6.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',3706,137,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041560,5.00,8.00,1.00,6.00,8.00,7.13,2.00,5.00,6.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6505,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041578,0.00,5.00,3.00,6.00,3.00,7.50,2.00,5.00,1.00,205,NULL,NULL,'JARDIM DAS FLORES','S PAULO','SP',12522,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041594,4.00,4.00,2.00,3.00,5.00,8.25,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',11513,2170,NULL,NULL,NULL,NULL,NULL,4,4),(28,7041608,5.00,7.00,3.00,7.00,7.00,7.50,3.00,4.00,3.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',6215,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7041616,0.00,5.00,1.00,2.00,6.00,NULL,0.00,5.00,1.00,654,NULL,NULL,'SÃO PEREGRINO','VERANÓPOLIS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041632,1.00,5.00,2.00,2.00,7.00,9.00,2.00,4.00,2.00,5,NULL,NULL,'SANTA TEREZINHA','CAPINZAL','SC',12552,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7041640,4.00,5.00,3.00,7.00,8.00,10.13,5.00,6.00,4.00,327,NULL,NULL,'CENTRO','ANITÁPOLIS','SC',2868,3,NULL,NULL,NULL,NULL,NULL,2,1),(28,7041659,5.00,6.00,2.00,3.00,7.00,10.50,4.00,5.00,4.00,238,NULL,202,'CENTRO','PALHOÇA','SC',6337,66,NULL,NULL,NULL,NULL,NULL,2,1),(28,7041683,5.00,0.00,3.00,7.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELVEDERE','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7041691,6.00,8.00,4.00,5.00,8.00,6.75,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',5413,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7041713,6.00,7.00,1.00,7.00,5.00,8.63,3.00,8.00,5.00,103,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',4230,1370,NULL,NULL,NULL,NULL,NULL,2,24),(28,7041730,4.00,8.00,1.00,6.00,9.00,9.00,2.00,7.00,4.00,103,NULL,NULL,'NUNES','LGA VERMELHA','RS',4005,1326,NULL,NULL,NULL,NULL,NULL,2,1),(28,7041748,2.00,5.00,1.00,4.00,2.00,NULL,3.00,3.00,0.00,999,NULL,NULL,'ESTREITO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041756,2.00,5.00,2.00,2.00,6.00,NULL,0.00,7.00,2.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041772,4.00,6.00,1.00,5.00,8.00,11.25,5.00,4.00,4.00,201,NULL,203,'INGLESES','FLORIANÓPOLIS','SC',5173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041799,1.00,6.00,3.00,5.00,4.00,9.38,3.00,6.00,2.00,601,NULL,214,'AMÉRICA','JOINVILLE','SC',11055,321,NULL,274,NULL,NULL,NULL,4,8),(28,7041802,5.00,7.00,4.00,8.00,8.00,8.25,6.00,6.00,5.00,235,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',1477,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'NASPOLINI','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7041845,4.00,7.00,3.00,7.00,7.00,7.88,4.00,7.00,6.00,103,NULL,NULL,'ALTO DA BOA VISTA','ITUMBIARA','GO',2157,926,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041853,3.00,3.00,1.00,5.00,6.00,7.50,3.00,4.00,3.00,208,NULL,NULL,'SERRARIA','S JOSÉ','SC',12131,135,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041861,3.00,6.00,3.00,5.00,9.00,10.88,2.00,5.00,3.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',7237,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7041888,4.00,5.00,0.00,5.00,5.00,6.00,4.00,4.00,4.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13032,55,NULL,NULL,NULL,NULL,NULL,2,1),(28,7041896,0.00,4.00,2.00,6.00,7.00,8.25,1.00,5.00,3.00,110,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',12760,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7041900,3.00,5.00,4.00,6.00,2.00,NULL,2.00,5.00,2.00,424,NULL,423,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7041918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7041926,2.00,5.00,3.00,1.00,2.00,NULL,2.00,5.00,2.00,202,NULL,NULL,'CENTRO','CATUÍPE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7041934,4.00,6.00,1.00,5.00,7.00,6.00,3.00,4.00,4.00,108,NULL,NULL,'CANOAS','RIO SUL','SC',11035,146,NULL,NULL,NULL,NULL,NULL,2,24),(28,7041950,3.00,4.00,2.00,5.00,4.00,5.63,1.00,4.00,1.00,502,NULL,NULL,'ALTO DO GINASIO','SERTÃOZINHO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7041969,6.00,7.00,5.00,7.00,9.00,8.25,7.00,6.00,7.00,103,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',562,370,NULL,NULL,NULL,NULL,NULL,4,1),(28,7041977,5.00,7.00,3.00,6.00,7.00,6.75,3.00,7.00,6.00,212,NULL,213,'SAO FRANCISCO','CPO GRANDE','MS',4700,NULL,NULL,73,NULL,NULL,NULL,4,1),(28,7042000,3.00,4.00,1.00,7.00,4.00,8.63,3.00,5.00,2.00,450,NULL,NULL,'CENTRO','ANTÔNIO PRADO','RS',17171,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7042019,1.00,4.00,1.00,4.00,5.00,6.00,2.00,3.00,3.00,9,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15463,117,NULL,NULL,NULL,NULL,NULL,4,1),(28,7042027,0.00,4.00,1.00,4.00,1.00,NULL,2.00,3.00,0.00,601,NULL,201,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7042035,6.00,8.00,3.00,6.00,7.00,8.25,2.00,7.00,5.00,103,NULL,NULL,'TAGUATINGA','TAGUATINGA','DF',3661,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7042043,7.00,7.00,3.00,5.00,6.00,8.25,3.00,6.00,6.00,103,NULL,NULL,'TINGUI','CURITIBA','PR',2412,996,NULL,NULL,NULL,NULL,NULL,2,1),(28,7042051,1.00,3.00,1.00,2.00,4.00,9.00,2.00,4.00,3.00,601,NULL,202,'COMASA','JOINVILLE','SC',18953,535,NULL,NULL,NULL,NULL,NULL,4,8),(28,7042060,3.00,5.00,1.00,7.00,6.00,8.25,2.00,7.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7042078,7.00,8.00,5.00,7.00,10.00,10.88,4.00,7.00,7.00,103,NULL,NULL,'FORTE','PR GRANDE','SP',205,160,NULL,NULL,NULL,NULL,NULL,4,1),(28,7042094,3.00,7.00,3.00,3.00,5.00,6.00,3.00,7.00,6.00,203,NULL,235,'SANTA MÔNICA','FLORIANÓPOLIS','SC',7688,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7042108,1.00,4.00,1.00,6.00,2.00,NULL,1.00,4.00,1.00,424,NULL,423,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7042124,3.00,6.00,2.00,4.00,3.00,5.63,2.00,5.00,3.00,202,NULL,220,'CENTRO','S MATEUS SUL','PR',13035,315,NULL,292,NULL,NULL,NULL,4,17),(28,7042132,0.00,4.00,1.00,7.00,3.00,11.25,1.00,4.00,2.00,104,NULL,NULL,'SAIC','CHAPECÓ','SC',16427,403,NULL,NULL,NULL,NULL,NULL,2,4),(28,7042140,0.00,4.00,3.00,3.00,2.00,NULL,3.00,4.00,1.00,214,NULL,202,'SANTA CATARINA','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7042175,0.00,4.00,3.00,3.00,4.00,5.25,2.00,3.00,0.00,238,NULL,203,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',17389,302,NULL,NULL,NULL,NULL,NULL,4,1),(28,7042183,1.00,5.00,1.00,7.00,8.00,9.75,2.00,5.00,1.00,451,NULL,NULL,'JARDIM SANTA ELIZA','PRES PRUDENTE','SP',9724,18,NULL,NULL,NULL,NULL,NULL,2,17),(28,7042191,2.00,6.00,1.00,6.00,5.00,7.50,1.00,5.00,2.00,211,NULL,215,'INGLESES','FLORIANÓPOLIS','SC',11294,295,NULL,194,NULL,NULL,NULL,2,1),(28,7042213,2.00,6.00,0.00,3.00,7.00,6.75,2.00,4.00,3.00,201,NULL,233,'SÃO SEBASTIÃO','PALHOÇA','SC',12060,NULL,NULL,271,NULL,NULL,NULL,4,1),(28,7042221,3.00,6.00,1.00,2.00,4.00,10.50,1.00,5.00,3.00,318,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',17236,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7042230,4.00,5.00,4.00,5.00,5.00,6.75,0.00,3.00,3.00,110,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',13264,48,NULL,NULL,NULL,NULL,NULL,4,1),(28,7042248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM GUADALAJARA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7042256,3.00,5.00,2.00,6.00,8.00,8.25,3.00,4.00,2.00,201,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',14867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7042264,2.00,6.00,3.00,6.00,4.00,11.25,6.00,5.00,5.00,234,NULL,NULL,'COLONIA CACHOEIRA','S MATEUS SUL','PR',4920,1,NULL,NULL,NULL,NULL,NULL,4,17),(28,7042272,2.00,6.00,0.00,4.00,4.00,7.88,1.00,3.00,3.00,203,NULL,202,'SORGATTO','CAÇADOR','SC',15219,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7042280,2.00,6.00,3.00,5.00,3.00,9.00,3.00,7.00,3.00,551,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',14818,17,NULL,NULL,NULL,NULL,NULL,2,1),(28,7042299,0.00,3.00,4.00,1.00,5.00,6.75,2.00,1.00,1.00,429,NULL,426,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7042302,5.00,7.00,3.00,6.00,9.00,12.38,5.00,6.00,5.00,211,NULL,215,'PIO X','CAXIAS SUL','RS',946,7,NULL,NULL,NULL,NULL,NULL,4,15),(28,7042310,6.00,8.00,3.00,7.00,10.00,7.88,3.00,7.00,7.00,103,NULL,NULL,'BATEL','CURITIBA','PR',2933,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7042329,5.00,7.00,1.00,1.00,4.00,4.50,2.00,4.00,1.00,235,NULL,220,'CACHOERAS','BIGUAÇU','SC',15511,247,NULL,316,NULL,NULL,NULL,4,1),(28,7042337,3.00,5.00,2.00,7.00,6.00,11.25,3.00,5.00,4.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7042370,3.00,4.00,2.00,4.00,8.00,7.88,2.00,4.00,2.00,108,NULL,NULL,'CENTRO','CONCÓRDIA','SC',11684,157,NULL,NULL,NULL,NULL,NULL,4,26),(28,7042388,3.00,6.00,2.00,7.00,8.00,8.25,4.00,5.00,5.00,214,NULL,213,'DAMHA I','PRES PRUDENTE','SP',4405,148,NULL,60,NULL,NULL,NULL,4,9),(28,7042396,0.00,2.00,0.00,3.00,2.00,NULL,0.00,3.00,1.00,104,NULL,NULL,'HUMAITA DE CIMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7042418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'BALNEÁRIO DO ESTREIT','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7042426,5.00,7.00,1.00,5.00,3.00,5.25,1.00,6.00,2.00,454,NULL,NULL,'IPANEMA','LONDRINA','PR',11783,233,NULL,NULL,NULL,NULL,NULL,4,1),(28,7042434,6.00,7.00,4.00,6.00,8.00,9.00,7.00,6.00,6.00,201,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',1872,118,NULL,23,NULL,NULL,NULL,4,1),(28,7042450,2.00,2.00,1.00,4.00,3.00,7.13,2.00,3.00,2.00,109,NULL,NULL,'ÁGUA VERDE','CANOINHAS','SC',19886,96,NULL,NULL,NULL,NULL,NULL,2,17),(28,7042469,2.00,6.00,1.00,6.00,3.00,5.63,2.00,5.00,3.00,202,NULL,216,'SANTO ANTONIO','FRAIBURGO','SC',17958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7042477,0.00,2.00,2.00,5.00,5.00,5.25,1.00,2.00,5.00,223,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17707,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7042493,7.00,7.00,5.00,6.00,9.00,9.75,8.00,7.00,6.00,207,NULL,201,'MONTE VERDE','FLORIANÓPOLIS','SC',961,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7042507,6.00,6.00,4.00,7.00,8.00,9.38,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','PTO BELO','SC',3297,1205,NULL,NULL,NULL,NULL,NULL,4,3),(28,7042515,1.00,4.00,2.00,2.00,3.00,4.88,2.00,4.00,0.00,318,NULL,NULL,'SANTA REGINA','CAMBORIÚ','SC',19867,145,NULL,NULL,NULL,NULL,NULL,2,3),(28,7042531,6.00,8.00,2.00,6.00,7.00,10.13,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',2326,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7042540,4.00,5.00,0.00,4.00,7.00,8.25,4.00,3.00,5.00,110,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',14512,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7042582,2.00,2.00,2.00,6.00,7.00,9.75,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','DIVINÓPOLIS','MG',12588,2242,NULL,NULL,NULL,NULL,NULL,4,1),(28,7042590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7042604,3.00,6.00,1.00,4.00,4.00,7.88,1.00,4.00,4.00,234,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',17385,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7042612,2.00,3.00,3.00,7.00,5.00,7.50,3.00,4.00,4.00,552,NULL,NULL,'SANTO ANTONIO DE PAD','TUBARÃO','SC',11068,39,NULL,NULL,NULL,NULL,NULL,2,10),(28,7042620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SCHREIBER','SALETE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,24),(28,7042639,2.00,4.00,2.00,1.00,4.00,8.25,1.00,4.00,2.00,333,NULL,NULL,'OFICINAS','TUBARÃO','SC',19487,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7042647,4.00,5.00,3.00,5.00,7.00,7.88,3.00,5.00,6.00,203,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',10779,554,NULL,NULL,NULL,NULL,NULL,2,3),(28,7042655,3.00,6.00,2.00,4.00,5.00,7.50,3.00,4.00,4.00,108,NULL,NULL,'NOVA ESPERANÇA','GUARAMIRIM','SC',15379,210,NULL,NULL,NULL,NULL,NULL,4,8),(28,7042663,4.00,6.00,3.00,6.00,7.00,7.88,3.00,6.00,4.00,201,NULL,207,'RIO CAVEIRAS','BIGUAÇU','SC',6848,518,NULL,318,NULL,NULL,NULL,4,1),(28,7042680,3.00,6.00,1.00,7.00,4.00,6.75,3.00,6.00,1.00,552,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',16010,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7042698,1.00,4.00,1.00,2.00,6.00,6.75,3.00,5.00,2.00,999,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7042710,3.00,2.00,2.00,4.00,5.00,7.88,1.00,4.00,2.00,211,NULL,207,'JARDIM CARADAÍ','BIGUAÇU','SC',15436,385,NULL,680,NULL,NULL,NULL,2,1),(28,7042728,1.00,1.00,0.00,4.00,5.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7042752,6.00,8.00,8.00,6.00,9.00,9.38,6.00,5.00,7.00,201,NULL,203,'TRINDADE','FLORIANÓPOLIS','SC',382,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7042760,2.00,6.00,1.00,4.00,5.00,6.38,0.00,5.00,3.00,103,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',18321,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7042787,1.00,2.00,0.00,4.00,2.00,NULL,2.00,5.00,0.00,444,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7042795,2.00,5.00,2.00,6.00,5.00,6.38,4.00,6.00,3.00,208,NULL,NULL,'CENTRO','CERQUILHO','SP',10442,108,NULL,NULL,NULL,NULL,NULL,4,1),(28,7042809,0.00,3.00,1.00,2.00,4.00,7.50,3.00,4.00,0.00,552,NULL,NULL,'BOSQUE','CURITIBANOS','SC',19949,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7042817,6.00,7.00,3.00,6.00,7.00,7.50,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',9921,2070,NULL,NULL,NULL,NULL,NULL,2,4),(28,7042825,2.00,5.00,1.00,6.00,5.00,6.00,4.00,6.00,2.00,222,NULL,NULL,'CENTRO','ITAJAÍ','SC',16776,31,NULL,NULL,NULL,NULL,NULL,4,6),(28,7042833,3.00,7.00,3.00,5.00,7.00,7.13,3.00,5.00,3.00,233,NULL,653,'SÃO LUIZ','CRICIÚMA','SC',7488,189,NULL,82,NULL,NULL,NULL,2,5),(28,7042841,4.00,6.00,2.00,5.00,7.00,9.75,2.00,5.00,3.00,211,NULL,653,'OFICINAS','TUBARÃO','SC',7590,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7042850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,235,'CRUZEIRO','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7042868,2.00,4.00,4.00,6.00,8.00,9.75,3.00,3.00,3.00,207,NULL,201,'ARIRIÚ DA FORMIGA','PALHOÇA','SC',7419,341,NULL,547,NULL,NULL,NULL,2,1),(28,7042876,6.00,9.00,2.00,6.00,9.00,10.13,4.00,8.00,6.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',862,490,NULL,NULL,NULL,NULL,NULL,4,10),(28,7042892,1.00,2.00,1.00,6.00,5.00,8.63,3.00,5.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7042906,0.00,2.00,1.00,4.00,1.00,NULL,3.00,1.00,3.00,551,NULL,NULL,'CENTRO','S JOÃO URTIGA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7042922,2.00,3.00,1.00,3.00,3.00,NULL,2.00,4.00,1.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7042965,1.00,7.00,2.00,4.00,7.00,8.63,4.00,6.00,3.00,103,NULL,NULL,'ESCOLA AGRICOLA','BLUMENAU','SC',8439,1941,NULL,NULL,NULL,NULL,NULL,2,2),(28,7042973,6.00,9.00,3.00,5.00,9.00,7.50,5.00,8.00,7.00,203,NULL,201,'PETROPOLIS','PTO ALEGRE','RS',1411,130,NULL,81,NULL,NULL,NULL,4,1),(28,7042981,1.00,4.00,2.00,4.00,4.00,8.25,1.00,4.00,1.00,211,NULL,212,'CAMPINAS','S JOSÉ','SC',15267,381,NULL,NULL,NULL,NULL,NULL,2,1),(28,7042990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7043007,4.00,6.00,1.00,8.00,8.00,10.50,3.00,6.00,1.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7765,123,NULL,NULL,NULL,NULL,NULL,4,1),(28,7043015,1.00,5.00,2.00,6.00,3.00,6.00,2.00,3.00,1.00,103,NULL,NULL,'CENTRO','CARLOS BARBOSA','RS',15548,2379,NULL,NULL,NULL,NULL,NULL,4,1),(28,7043058,0.00,7.00,5.00,7.00,6.00,11.25,5.00,5.00,4.00,108,NULL,NULL,'LAPA','S PAULO','SP',4346,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7043066,3.00,5.00,5.00,4.00,4.00,6.75,3.00,5.00,5.00,444,NULL,NULL,'CAMPINHAS','S JOSÉ','SC',15208,82,NULL,NULL,NULL,NULL,NULL,2,1),(28,7043074,3.00,5.00,2.00,5.00,6.00,7.88,5.00,6.00,4.00,238,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',13466,223,NULL,NULL,NULL,NULL,NULL,4,1),(28,7043082,6.00,8.00,3.00,7.00,7.00,8.25,4.00,7.00,8.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',1674,799,NULL,NULL,NULL,NULL,NULL,4,15),(28,7043104,4.00,5.00,1.00,7.00,6.00,7.50,3.00,4.00,3.00,202,NULL,213,'SÃO CRISTÓVÃO','CONCÓRDIA','SC',10192,263,NULL,179,NULL,NULL,NULL,4,26),(28,7043112,2.00,7.00,1.00,7.00,7.00,7.88,4.00,6.00,4.00,340,NULL,NULL,'CENTRO','CAXIAS SUL','RS',6399,163,NULL,NULL,NULL,NULL,NULL,4,1),(28,7043139,5.00,7.00,3.00,5.00,9.00,9.38,4.00,7.00,6.00,103,NULL,NULL,'SÃO CRISTÓVAO','CHAPECÓ','SC',1524,749,NULL,NULL,NULL,NULL,NULL,4,4),(28,7043147,1.00,7.00,3.00,7.00,4.00,8.63,4.00,8.00,3.00,652,NULL,655,'CENTRO','POMERODE','SC',6227,6,NULL,NULL,NULL,NULL,NULL,4,2),(28,7043155,2.00,5.00,4.00,4.00,7.00,7.13,2.00,2.00,3.00,301,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',12321,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7043163,5.00,7.00,3.00,2.00,8.00,9.75,4.00,6.00,4.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',5837,268,NULL,456,NULL,NULL,NULL,4,1),(28,7043171,4.00,8.00,3.00,7.00,5.00,7.88,5.00,6.00,2.00,216,NULL,203,'SÃO MIGUEL','CONCÓRDIA','SC',6027,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7043180,3.00,9.00,2.00,6.00,9.00,10.13,6.00,5.00,5.00,340,NULL,NULL,'ARIRIU','PALHOÇA','SC',3004,68,NULL,NULL,NULL,NULL,NULL,4,1),(28,7043198,1.00,7.00,0.00,1.00,1.00,NULL,2.00,4.00,2.00,203,NULL,202,'JARDIM ITALIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(28,7043201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7043210,2.00,4.00,0.00,5.00,7.00,6.75,2.00,3.00,3.00,5,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',18694,477,NULL,NULL,NULL,NULL,NULL,2,1),(28,7043236,0.00,4.00,2.00,2.00,5.00,5.25,2.00,4.00,4.00,425,NULL,424,'COSTEIRA DO RIBEIRÃO','FLORIANÓPOLIS','SC',16971,61,NULL,32,NULL,NULL,NULL,4,1),(28,7043244,3.00,5.00,2.00,7.00,6.00,8.25,4.00,5.00,3.00,336,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',7648,39,NULL,NULL,NULL,NULL,NULL,2,1),(28,7043252,5.00,6.00,1.00,6.00,8.00,9.75,2.00,4.00,2.00,103,NULL,NULL,'RIO BONITO','IRATI','PR',7359,1816,NULL,NULL,NULL,NULL,NULL,4,8),(28,7043260,4.00,6.00,3.00,6.00,9.00,9.75,4.00,6.00,5.00,216,NULL,201,'CENTRO','XANXERÊ','SC',2895,103,NULL,217,NULL,NULL,NULL,4,4),(28,7043279,1.00,3.00,3.00,5.00,4.00,8.63,0.00,4.00,3.00,450,NULL,NULL,'PARAÍSO','RESENDE','RJ',18527,127,NULL,NULL,NULL,NULL,NULL,4,1),(28,7043287,5.00,7.00,2.00,6.00,5.00,6.75,2.00,4.00,4.00,207,NULL,211,'CANASVIEIRAS','FLORIANÓPOLIS','SC',11801,540,NULL,311,NULL,NULL,NULL,2,1),(28,7043295,3.00,7.00,3.00,7.00,11.00,9.75,3.00,5.00,5.00,108,NULL,NULL,'CENTRO','TUBARÃO','SC',3382,29,NULL,NULL,NULL,NULL,NULL,4,10),(28,7043325,3.00,6.00,0.00,6.00,6.00,NULL,2.00,3.00,3.00,999,NULL,NULL,'SEMINÁRIO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(28,7043333,1.00,3.00,1.00,6.00,3.00,NULL,1.00,2.00,0.00,552,NULL,NULL,'BORTOLANDIA','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7043341,3.00,8.00,4.00,7.00,5.00,7.13,3.00,7.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8825,241,NULL,NULL,NULL,NULL,NULL,4,1),(28,7043376,3.00,8.00,1.00,7.00,7.00,7.13,3.00,6.00,4.00,211,NULL,207,'DIONÍSIO TORRES','FORTALEZA','CE',5599,145,NULL,249,NULL,NULL,NULL,4,1),(28,7043384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7043406,1.00,3.00,1.00,2.00,4.00,8.63,3.00,2.00,1.00,223,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',17368,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7043414,1.00,7.00,2.00,6.00,6.00,6.75,2.00,7.00,1.00,201,NULL,207,'AMIZADE','JARAGUÁ SUL','SC',10654,705,NULL,489,NULL,NULL,NULL,4,23),(28,7043422,4.00,5.00,5.00,6.00,4.00,7.88,3.00,2.00,4.00,104,NULL,NULL,'OFICINAS','TUBARÃO','SC',10177,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7043430,3.00,5.00,3.00,6.00,7.00,9.00,4.00,5.00,4.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',6053,1636,NULL,NULL,NULL,NULL,NULL,2,1),(28,7043449,3.00,4.00,1.00,0.00,4.00,8.63,2.00,3.00,0.00,601,NULL,NULL,'PROFIPO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7043457,4.00,6.00,2.00,6.00,8.00,8.63,4.00,7.00,5.00,317,NULL,NULL,'SAGRADO CORAÇÃO DE J','LAGES','SC',3879,7,NULL,NULL,NULL,NULL,NULL,2,9),(28,7043473,5.00,2.00,3.00,4.00,7.00,9.00,3.00,2.00,3.00,601,NULL,201,'SANTO ANTÔNIO','JOINVILLE','SC',16203,476,NULL,NULL,NULL,NULL,NULL,4,8),(28,7043490,3.00,7.00,5.00,7.00,7.00,10.50,6.00,6.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3024,1143,NULL,NULL,NULL,NULL,NULL,4,1),(28,7043503,2.00,3.00,1.00,6.00,6.00,NULL,0.00,3.00,4.00,216,NULL,NULL,'RAICHASKI','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7043511,5.00,8.00,7.00,4.00,6.00,9.75,7.00,5.00,7.00,103,NULL,NULL,'JARDIM SÃO LUIZ','RIBEIRÃO PRETO','SP',1113,604,NULL,NULL,NULL,NULL,NULL,4,1),(28,7043520,4.00,7.00,2.00,6.00,8.00,8.63,5.00,4.00,4.00,211,NULL,235,'KOBRASOL','S JOSÉ','SC',5288,130,NULL,91,NULL,NULL,NULL,4,1),(28,7043546,6.00,8.00,3.00,6.00,9.00,8.25,3.00,5.00,6.00,203,NULL,202,'PONTE GRANDE','GUARULHOS','SP',1955,170,NULL,54,NULL,NULL,NULL,4,1),(28,7043570,4.00,8.00,3.00,7.00,8.00,9.75,4.00,7.00,4.00,454,NULL,NULL,'SÃO PEDRO','BRUSQUE','SC',5458,77,NULL,NULL,NULL,NULL,NULL,4,1),(28,7043589,1.00,6.00,3.00,6.00,3.00,6.75,3.00,4.00,3.00,404,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',11847,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7043597,6.00,7.00,5.00,6.00,8.00,9.00,4.00,5.00,7.00,202,NULL,235,'BARREIROS','S JOSÉ','SC',1418,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7043600,0.00,4.00,1.00,2.00,4.00,6.00,2.00,1.00,0.00,9,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7043619,0.00,1.00,1.00,5.00,4.00,NULL,0.00,1.00,0.00,208,NULL,NULL,'VILA NOVA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7043627,2.00,8.00,2.00,3.00,5.00,9.38,1.00,5.00,4.00,103,NULL,NULL,'MATRIZ','VIDEIRA','SC',10057,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7043635,3.00,7.00,2.00,3.00,8.00,6.75,3.00,4.00,6.00,201,NULL,212,'HUMAITÁ DE CIMA','TUBARÃO','SC',7908,571,NULL,240,NULL,NULL,NULL,2,10),(28,7043643,2.00,3.00,1.00,4.00,7.00,11.63,6.00,4.00,3.00,601,NULL,213,'CENTRO','GARUVA','SC',10408,296,NULL,NULL,NULL,NULL,NULL,4,8),(28,7043651,2.00,6.00,2.00,6.00,7.00,9.00,3.00,5.00,3.00,238,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',14197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7043678,3.00,7.00,2.00,4.00,8.00,7.88,4.00,6.00,3.00,103,NULL,NULL,'CENTRO OESTE','CATANDUVAS','SC',6791,1734,NULL,NULL,NULL,NULL,NULL,4,7),(28,7043686,2.00,7.00,1.00,6.00,8.00,9.00,2.00,4.00,3.00,104,NULL,NULL,'CENTRO','LGA VERMELHA','RS',7680,178,NULL,NULL,NULL,NULL,NULL,4,4),(28,7043694,7.00,9.00,5.00,5.00,8.00,11.25,5.00,8.00,7.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7043708,4.00,6.00,3.00,3.00,9.00,7.13,0.00,6.00,4.00,201,NULL,207,'BARRA DO ARIRIÚ','PALHOÇA','SC',8292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7043716,2.00,5.00,2.00,6.00,5.00,6.38,3.00,3.00,1.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',18600,786,NULL,1015,NULL,NULL,NULL,2,1),(28,7043724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7043732,1.00,6.00,3.00,7.00,6.00,6.75,2.00,5.00,4.00,201,NULL,213,'NAÇÕES','FRAIBURGO','SC',9251,641,NULL,161,NULL,NULL,NULL,2,25),(28,7043759,2.00,5.00,2.00,5.00,7.00,8.63,4.00,4.00,3.00,302,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',14806,102,NULL,NULL,NULL,NULL,NULL,2,1),(28,7043767,5.00,7.00,3.00,5.00,9.00,11.63,6.00,5.00,6.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1911,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7043783,5.00,8.00,4.00,6.00,6.00,7.88,3.00,5.00,4.00,9,NULL,NULL,'BUCAREIN','JOINVILLE','SC',7232,29,NULL,NULL,NULL,NULL,NULL,2,8),(28,7043791,4.00,4.00,1.00,3.00,6.00,8.25,2.00,2.00,4.00,601,NULL,201,'FLORESTA','JOINVILLE','SC',12754,381,NULL,817,NULL,NULL,NULL,4,8),(28,7043805,3.00,4.00,2.00,7.00,2.00,NULL,1.00,4.00,1.00,203,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7043830,4.00,8.00,1.00,5.00,9.00,10.88,4.00,5.00,2.00,103,NULL,NULL,'PASSO DAREIA','PTO ALEGRE','RS',3429,1229,NULL,NULL,NULL,NULL,NULL,4,9),(28,7043856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'NAZARÉ','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,27),(28,7043864,5.00,8.00,4.00,7.00,8.00,9.75,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',1930,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7043899,2.00,6.00,1.00,6.00,3.00,6.75,3.00,3.00,3.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',18007,2472,NULL,NULL,NULL,NULL,NULL,2,10),(28,7043902,2.00,6.00,3.00,7.00,7.00,7.50,4.00,5.00,5.00,303,NULL,NULL,'CENTRO','S BENTO SUL','SC',5674,261,NULL,NULL,NULL,NULL,NULL,4,1),(28,7043910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'ENSEADA DO BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7043929,4.00,3.00,2.00,7.00,6.00,7.50,1.00,3.00,3.00,340,NULL,NULL,'SALTO','BLUMENAU','SC',16782,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7043945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'BELA VISTA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7043953,4.00,7.00,1.00,6.00,6.00,6.38,3.00,4.00,3.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7043961,1.00,5.00,1.00,7.00,7.00,9.38,1.00,4.00,3.00,110,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',16201,78,NULL,NULL,NULL,NULL,NULL,2,1),(28,7043970,6.00,7.00,4.00,5.00,7.00,8.25,5.00,5.00,7.00,201,NULL,207,'FLORESTA','S JOSÉ','SC',4516,347,NULL,191,NULL,NULL,NULL,2,1),(28,7043988,2.00,4.00,4.00,6.00,5.00,7.88,3.00,5.00,3.00,203,NULL,201,'JARDIM COLINA','ITANHANDU','MG',9264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7043996,4.00,6.00,3.00,6.00,9.00,10.13,4.00,5.00,5.00,317,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',4904,10,NULL,NULL,NULL,NULL,NULL,2,1),(28,7044003,4.00,6.00,1.00,6.00,6.00,7.13,0.00,3.00,3.00,103,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',10808,2130,NULL,NULL,NULL,NULL,NULL,2,1),(28,7044020,3.00,7.00,5.00,6.00,8.00,6.38,6.00,7.00,4.00,202,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',4554,133,NULL,66,NULL,NULL,NULL,2,1),(28,7044038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7044046,2.00,5.00,1.00,5.00,6.00,6.00,4.00,3.00,4.00,552,NULL,NULL,'CENTRO','LAGES','SC',15917,112,NULL,NULL,NULL,NULL,NULL,2,9),(28,7044054,5.00,5.00,3.00,5.00,7.00,8.25,3.00,4.00,6.00,207,NULL,201,'CENTRO','LAGES','SC',5791,262,NULL,NULL,NULL,NULL,NULL,4,9),(28,7044062,6.00,8.00,5.00,6.00,7.00,6.75,5.00,7.00,6.00,214,NULL,220,'CAMPO BELO','S PAULO','SP',1172,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7044089,0.00,3.00,1.00,6.00,3.00,NULL,2.00,5.00,1.00,552,NULL,NULL,'CIDADE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7044097,1.00,6.00,1.00,6.00,8.00,6.00,0.00,5.00,2.00,454,NULL,NULL,'CENTRO','CAXIAS SUL','RS',12466,247,NULL,NULL,NULL,NULL,NULL,4,1),(28,7044100,5.00,8.00,2.00,7.00,6.00,10.13,5.00,7.00,7.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',1188,632,NULL,NULL,NULL,NULL,NULL,4,1),(28,7044119,6.00,8.00,3.00,7.00,10.00,7.88,4.00,5.00,7.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1747,28,NULL,NULL,NULL,NULL,NULL,4,6),(28,7044135,5.00,4.00,1.00,1.00,5.00,6.00,0.00,4.00,2.00,425,NULL,427,'ABRAÃO','FLORIANÓPOLIS','SC',16531,NULL,NULL,14,NULL,NULL,NULL,4,1),(28,7044143,4.00,6.00,2.00,7.00,10.00,10.50,4.00,6.00,6.00,103,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',3547,1251,NULL,NULL,NULL,NULL,NULL,2,1),(28,7044151,3.00,0.00,1.00,6.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7044160,5.00,7.00,0.00,4.00,8.00,9.75,2.00,7.00,6.00,303,NULL,NULL,'UNIVERSITÁRIO','CHAPECÓ','SC',4504,208,NULL,NULL,NULL,NULL,NULL,4,4),(28,7044186,3.00,5.00,4.00,6.00,7.00,11.63,5.00,4.00,5.00,454,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4450,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7044208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7044224,4.00,6.00,3.00,4.00,6.00,9.75,5.00,5.00,3.00,601,NULL,NULL,'SUMARÉ','RIO SUL','SC',8361,205,NULL,NULL,NULL,NULL,NULL,4,24),(28,7044232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7044259,2.00,3.00,3.00,6.00,7.00,8.63,3.00,3.00,1.00,454,NULL,NULL,'CENTRO','PALHOÇA','SC',13870,280,NULL,NULL,NULL,NULL,NULL,2,1),(28,7044267,7.00,9.00,2.00,7.00,6.00,9.38,3.00,5.00,6.00,103,NULL,NULL,'GRANVILLE','LONDRINA','PR',2647,1055,NULL,NULL,NULL,NULL,NULL,2,8),(28,7044275,5.00,7.00,3.00,7.00,9.00,10.50,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','CANELA','RS',3785,1283,NULL,NULL,NULL,NULL,NULL,2,4),(28,7044283,2.00,7.00,2.00,6.00,6.00,9.38,3.00,4.00,4.00,216,NULL,202,'LUCAS ARAUJO','PASSO FUNDO','RS',5442,204,NULL,NULL,NULL,NULL,NULL,4,4),(28,7044291,3.00,7.00,4.00,7.00,5.00,8.63,4.00,6.00,3.00,340,NULL,NULL,'SAGRADO CORAÇÃO JESU','LAGES','SC',6075,155,NULL,NULL,NULL,NULL,NULL,4,9),(28,7044305,6.00,8.00,5.00,5.00,8.00,10.13,5.00,7.00,7.00,103,NULL,NULL,'CERQUEIRA CÉSAR','S PAULO','SP',638,407,NULL,NULL,NULL,NULL,NULL,4,1),(28,7044321,0.00,8.00,1.00,6.00,8.00,10.50,1.00,6.00,3.00,327,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',13873,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7044330,2.00,7.00,2.00,5.00,3.00,9.00,2.00,5.00,3.00,104,NULL,NULL,'JARDIM PATRICIA','QUATRO BARRAS','PR',12459,309,NULL,NULL,NULL,NULL,NULL,2,8),(28,7044348,0.00,5.00,0.00,7.00,5.00,6.75,1.00,3.00,2.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',14258,2319,NULL,NULL,NULL,NULL,NULL,2,3),(28,7044356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,238,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7044364,1.00,7.00,4.00,5.00,8.00,6.75,3.00,6.00,0.00,103,NULL,NULL,'INDEPENDÊNCIA','PIRACICABA','SP',7839,1873,NULL,NULL,NULL,NULL,NULL,2,1),(28,7044372,5.00,7.00,4.00,7.00,10.00,8.25,3.00,5.00,3.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',5171,1514,NULL,NULL,NULL,NULL,NULL,4,23),(28,7044399,4.00,3.00,1.00,4.00,6.00,7.88,3.00,3.00,3.00,317,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',13270,76,NULL,NULL,NULL,NULL,NULL,4,15),(28,7044402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'CENTRO','MAL CÂNDIDO RONDON','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7044410,0.00,4.00,0.00,2.00,6.00,NULL,2.00,3.00,1.00,303,NULL,NULL,'FORQUILHINHA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7044429,2.00,6.00,1.00,5.00,4.00,5.25,2.00,6.00,2.00,444,NULL,NULL,'CENTRO','PALHOÇA','SC',14596,72,NULL,NULL,NULL,NULL,NULL,4,1),(28,7044437,6.00,9.00,4.00,6.00,7.00,9.38,3.00,8.00,7.00,103,NULL,NULL,'CENTRO','LIMEIRA','SP',847,486,NULL,NULL,NULL,NULL,NULL,4,1),(28,7044445,0.00,2.00,5.00,5.00,2.00,NULL,0.00,1.00,4.00,404,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7044453,3.00,8.00,4.00,7.00,8.00,7.88,5.00,7.00,7.00,220,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',1576,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7044461,1.00,2.00,4.00,3.00,5.00,7.13,2.00,2.00,1.00,201,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',17034,965,NULL,NULL,NULL,NULL,NULL,4,6),(28,7044470,1.00,7.00,2.00,6.00,10.00,8.63,2.00,5.00,2.00,319,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',8854,153,NULL,NULL,NULL,NULL,NULL,4,1),(28,7044488,0.00,4.00,3.00,2.00,4.00,NULL,2.00,3.00,1.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7044496,3.00,8.00,3.00,5.00,6.00,7.50,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',5060,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7044526,2.00,5.00,3.00,6.00,7.00,7.50,2.00,4.00,1.00,110,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',10728,34,NULL,NULL,NULL,NULL,NULL,2,25),(28,7044534,1.00,7.00,2.00,6.00,8.00,9.38,3.00,8.00,6.00,203,NULL,601,'VÍGOLO','NOVA TRENTO','SC',4767,329,NULL,NULL,NULL,NULL,NULL,4,22),(28,7044542,6.00,8.00,3.00,6.00,9.00,11.63,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','PALMA SOLA','SC',1620,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7044577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7044585,6.00,8.00,3.00,7.00,9.00,9.75,5.00,9.00,5.00,103,NULL,NULL,'JARDIM PANORAMA','BAURU','SP',385,276,NULL,NULL,NULL,NULL,NULL,4,17),(28,7044607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7044623,6.00,8.00,2.00,6.00,9.00,10.13,4.00,7.00,7.00,214,NULL,212,'CHAC CACHOEIRA','CPO GRANDE','MS',1039,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7044631,0.00,4.00,3.00,7.00,7.00,0.00,1.00,5.00,2.00,110,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7044658,3.00,7.00,1.00,3.00,9.00,NULL,0.00,4.00,5.00,207,NULL,601,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7044666,2.00,6.00,3.00,7.00,4.00,7.88,4.00,4.00,6.00,207,NULL,201,'CENTRO','CAXIAS SUL','RS',8866,408,NULL,NULL,NULL,NULL,NULL,4,1),(28,7044674,1.00,1.00,2.00,5.00,5.00,NULL,3.00,3.00,0.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7044682,3.00,7.00,2.00,7.00,5.00,9.38,2.00,6.00,4.00,220,NULL,202,'BANCÁRIA MUNHOZ','S PAULO','SP',10301,251,NULL,264,NULL,NULL,NULL,4,1),(28,7044690,4.00,6.00,0.00,3.00,8.00,NULL,3.00,5.00,3.00,102,NULL,NULL,'FREI ROGERIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7044712,0.00,7.00,0.00,2.00,7.00,7.13,2.00,4.00,4.00,208,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13140,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7044720,4.00,7.00,1.00,5.00,5.00,10.13,2.00,5.00,2.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14708,98,NULL,NULL,NULL,NULL,NULL,2,1),(28,7044739,2.00,6.00,1.00,7.00,6.00,12.00,3.00,5.00,2.00,319,NULL,NULL,'CENTRO','ARARAQUARA','SP',9283,165,NULL,NULL,NULL,NULL,NULL,4,1),(28,7044747,1.00,3.00,0.00,4.00,5.00,10.13,1.00,6.00,3.00,653,NULL,NULL,'JARDIM PANTANAL','DOURADOS','MS',14858,159,NULL,NULL,NULL,NULL,NULL,4,5),(28,7044755,2.00,2.00,0.00,2.00,3.00,6.00,2.00,3.00,1.00,211,NULL,201,'CENTRO','CAP LEÔNIDAS MARQUES','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7044763,1.00,4.00,1.00,5.00,7.00,7.13,2.00,3.00,1.00,101,NULL,NULL,'ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC',14552,91,NULL,NULL,NULL,NULL,NULL,2,1),(28,7044771,5.00,5.00,2.00,0.00,8.00,10.13,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','LAURO MÜLLER','SC',15007,2353,NULL,NULL,NULL,NULL,NULL,4,4),(28,7044780,0.00,6.00,0.00,5.00,6.00,NULL,3.00,6.00,2.00,425,NULL,427,'NOSSA SRA DE FÁTIMA','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7044798,0.00,5.00,2.00,1.00,3.00,8.63,2.00,3.00,2.00,202,NULL,213,'BOA VISTA','JOINVILLE','SC',19794,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7044810,3.00,6.00,3.00,3.00,7.00,8.25,2.00,3.00,1.00,551,NULL,NULL,'FLORESTA','VIDEIRA','SC',17162,39,NULL,NULL,NULL,NULL,NULL,4,16),(28,7044828,1.00,5.00,2.00,5.00,8.00,9.00,4.00,6.00,2.00,303,NULL,NULL,'CENTRO','SARANDI','RS',9704,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7044836,3.00,7.00,4.00,5.00,9.00,11.25,4.00,8.00,6.00,316,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',2393,7,NULL,NULL,NULL,NULL,NULL,2,1),(28,7044844,1.00,4.00,2.00,4.00,7.00,5.25,3.00,5.00,4.00,201,NULL,NULL,'CENTRO','ITAUÇU','GO',14354,880,NULL,NULL,NULL,NULL,NULL,2,1),(28,7044852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,26),(28,7044860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,202,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7044879,5.00,8.00,6.00,1.00,7.00,7.50,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2723,1066,NULL,NULL,NULL,NULL,NULL,4,1),(28,7044887,2.00,3.00,1.00,6.00,5.00,6.00,2.00,3.00,3.00,108,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',15669,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7044895,2.00,3.00,2.00,7.00,3.00,8.25,2.00,3.00,2.00,207,NULL,601,'PALHOÇA','PALHOÇA','SC',15372,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7044909,5.00,6.00,3.00,7.00,4.00,7.88,2.00,3.00,3.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8999,116,NULL,NULL,NULL,NULL,NULL,4,1),(28,7044917,6.00,7.00,2.00,7.00,10.00,9.00,7.00,7.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',934,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7044925,1.00,7.00,2.00,5.00,10.00,9.38,3.00,5.00,3.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11959,341,NULL,NULL,NULL,NULL,NULL,2,1),(28,7044933,4.00,7.00,3.00,3.00,9.00,7.88,4.00,4.00,4.00,653,NULL,203,'VILA SÃO JOSÉ','ARARANGUÁ','SC',5046,42,NULL,NULL,NULL,NULL,NULL,4,15),(28,7044941,7.00,8.00,4.00,5.00,8.00,6.38,5.00,5.00,6.00,212,NULL,201,'VILA PROGRESSO','DOURADOS','MS',2766,79,NULL,NULL,NULL,NULL,NULL,4,1),(28,7044950,4.00,8.00,2.00,7.00,8.00,8.63,3.00,7.00,4.00,340,NULL,NULL,'CENTRO','LAGES','SC',3119,73,NULL,NULL,NULL,NULL,NULL,4,9),(28,7044968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITAGUAÇU','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7044976,2.00,7.00,1.00,6.00,6.00,4.50,1.00,3.00,2.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',14633,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7044984,1.00,4.00,2.00,5.00,4.00,7.50,3.00,3.00,2.00,230,NULL,NULL,'SÃO FRANCISCO','IRATI','PR',13956,12,NULL,NULL,NULL,NULL,NULL,2,1),(28,7044992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VICTOR KONDER','TAIÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7045000,3.00,7.00,2.00,4.00,6.00,7.50,1.00,5.00,2.00,454,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13083,264,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045018,0.00,4.00,1.00,4.00,4.00,8.63,1.00,4.00,3.00,303,NULL,NULL,'VARZEA','LAGES','SC',15679,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7045026,2.00,6.00,4.00,5.00,7.00,7.88,2.00,5.00,4.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',12090,59,NULL,NULL,NULL,NULL,NULL,2,1),(28,7045034,1.00,5.00,1.00,4.00,4.00,9.75,3.00,4.00,3.00,214,NULL,212,'CENTRO','IPUMIRIM','SC',10923,273,NULL,319,NULL,NULL,NULL,2,4),(28,7045042,4.00,7.00,1.00,7.00,10.00,7.88,5.00,6.00,6.00,303,NULL,NULL,'CENTRO','LAGES','SC',3020,141,NULL,NULL,NULL,NULL,NULL,4,9),(28,7045050,1.00,4.00,1.00,1.00,4.00,5.25,2.00,3.00,0.00,9,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045069,4.00,7.00,4.00,4.00,8.00,7.88,4.00,6.00,4.00,201,NULL,212,'CENTRO','BIGUAÇU','SC',5763,447,NULL,187,NULL,NULL,NULL,4,1),(28,7045085,1.00,5.00,2.00,5.00,3.00,5.63,1.00,3.00,2.00,327,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',19511,66,NULL,NULL,NULL,NULL,NULL,2,1),(28,7045093,1.00,7.00,2.00,5.00,6.00,7.88,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',15102,2357,NULL,NULL,NULL,NULL,NULL,2,9),(28,7045107,0.00,5.00,2.00,2.00,4.00,NULL,1.00,2.00,1.00,310,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045131,7.00,5.00,2.00,7.00,6.00,10.88,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5559,1576,NULL,NULL,NULL,NULL,NULL,2,1),(28,7045140,1.00,4.00,0.00,3.00,3.00,7.50,0.00,3.00,3.00,426,NULL,428,'RIO ALFA','ANITÁPOLIS','SC',17342,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045166,3.00,6.00,4.00,5.00,7.00,8.25,4.00,6.00,3.00,454,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',8868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045182,3.00,7.00,2.00,5.00,6.00,9.00,4.00,6.00,4.00,216,NULL,233,'CENTRO','UBIRAJARA','SP',7181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045190,3.00,6.00,4.00,6.00,5.00,7.88,4.00,4.00,3.00,201,NULL,212,'COLONINHA','FLORIANÓPOLIS','SC',13817,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7045204,4.00,5.00,4.00,5.00,10.00,9.00,4.00,4.00,5.00,104,NULL,NULL,'CENTRO','MELEIRO','SC',5753,113,NULL,NULL,NULL,NULL,NULL,4,5),(28,7045212,1.00,2.00,2.00,6.00,4.00,7.50,0.00,2.00,3.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',19556,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7045239,1.00,5.00,2.00,7.00,5.00,7.13,3.00,3.00,3.00,201,NULL,211,'ÁGUA VERDE','JARAGUÁ SUL','SC',12399,794,NULL,321,NULL,NULL,NULL,4,23),(28,7045247,5.00,5.00,0.00,6.00,8.00,7.50,3.00,7.00,3.00,238,NULL,601,'BARREIROS','S JOSÉ','SC',7240,93,NULL,159,NULL,NULL,NULL,4,1),(28,7045263,2.00,4.00,1.00,4.00,7.00,8.63,3.00,3.00,2.00,303,NULL,NULL,'AMÉRICA','JOINVILLE','SC',17489,577,NULL,NULL,NULL,NULL,NULL,4,8),(28,7045280,2.00,5.00,3.00,2.00,5.00,7.88,3.00,4.00,3.00,327,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18033,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045298,0.00,5.00,4.00,4.00,3.00,NULL,2.00,4.00,1.00,211,NULL,215,'JARDIM ESPLANADA','ITAPETININGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7045310,5.00,9.00,6.00,6.00,7.00,11.25,5.00,6.00,8.00,203,NULL,202,'SANTA MARIA','CHAPECÓ','SC',505,46,NULL,NULL,NULL,NULL,NULL,4,4),(28,7045328,3.00,7.00,3.00,4.00,8.00,10.50,4.00,7.00,4.00,103,NULL,NULL,'ARMAÇÃO','SALVADOR','BA',3741,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045336,4.00,7.00,2.00,6.00,8.00,6.38,3.00,4.00,5.00,207,NULL,653,'CENTRO','FLORIANÓPOLIS','SC',5713,NULL,NULL,51,NULL,NULL,NULL,2,1),(28,7045344,3.00,6.00,1.00,5.00,7.00,6.75,3.00,5.00,5.00,425,NULL,427,'PONTE DO IMARUIM','PALHOÇA','SC',8531,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045352,1.00,2.00,2.00,5.00,3.00,8.25,2.00,3.00,0.00,319,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',19962,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7045360,3.00,3.00,1.00,6.00,7.00,7.13,4.00,5.00,0.00,454,NULL,NULL,'PRESIDENTE MÉDICE','CHAPECÓ','SC',12656,251,NULL,NULL,NULL,NULL,NULL,2,4),(28,7045409,4.00,7.00,4.00,6.00,6.00,7.50,5.00,5.00,6.00,103,NULL,NULL,'TREZE DE JULHO','ARACAJU','SE',3850,1298,NULL,NULL,NULL,NULL,NULL,2,1),(28,7045417,6.00,8.00,4.00,7.00,8.00,9.00,6.00,6.00,5.00,303,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',1243,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045425,1.00,5.00,1.00,5.00,4.00,6.75,2.00,4.00,3.00,454,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',18878,385,NULL,NULL,NULL,NULL,NULL,4,8),(28,7045450,1.00,2.00,1.00,4.00,5.00,NULL,0.00,1.00,0.00,5,NULL,NULL,'PETRÓPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7045468,3.00,7.00,1.00,6.00,8.00,8.25,3.00,7.00,5.00,653,NULL,652,'BRUSQUE','LAGES','SC',6694,72,NULL,7,NULL,NULL,NULL,4,9),(28,7045476,0.00,5.00,2.00,2.00,4.00,NULL,1.00,1.00,3.00,303,NULL,NULL,'VILA SALETE','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045484,1.00,4.00,4.00,5.00,6.00,4.50,3.00,3.00,2.00,104,NULL,NULL,'CENTRO','SOMBRIO','SC',11878,293,NULL,NULL,NULL,NULL,NULL,2,15),(28,7045492,3.00,8.00,5.00,7.00,9.00,12.38,4.00,8.00,2.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2765,95,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045506,0.00,1.00,2.00,3.00,3.00,NULL,0.00,1.00,1.00,601,NULL,NULL,'ULISSES GUIMARAES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7045514,2.00,6.00,3.00,7.00,7.00,9.38,5.00,7.00,5.00,201,NULL,202,'BOA VISTA','JOINVILLE','SC',6751,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7045522,7.00,7.00,5.00,7.00,10.00,9.75,7.00,7.00,5.00,103,NULL,NULL,'CORAL','LAGES','SC',293,220,NULL,NULL,NULL,NULL,NULL,4,9),(28,7045530,2.00,6.00,2.00,5.00,7.00,9.00,2.00,4.00,2.00,103,NULL,NULL,'JARDIM AMERICANO','LINS','SP',10199,2086,NULL,NULL,NULL,NULL,NULL,4,8),(28,7045549,2.00,8.00,2.00,5.00,5.00,8.25,2.00,5.00,1.00,454,NULL,NULL,'CENTRO','RIO CEDROS','SC',16438,332,NULL,NULL,NULL,NULL,NULL,4,2),(28,7045557,1.00,3.00,1.00,4.00,4.00,6.75,2.00,3.00,2.00,103,NULL,NULL,'CORAL','LAGES','SC',17132,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7045565,7.00,8.00,3.00,7.00,8.00,10.50,7.00,8.00,8.00,203,NULL,214,'VILA FLAMBOYANT','APUCARANA','PR',195,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045581,0.00,5.00,3.00,2.00,5.00,5.25,1.00,2.00,2.00,454,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7045590,2.00,5.00,3.00,5.00,5.00,7.50,1.00,3.00,6.00,3,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11066,45,NULL,NULL,NULL,NULL,NULL,4,6),(28,7045603,4.00,6.00,2.00,4.00,6.00,6.38,4.00,5.00,4.00,207,NULL,201,'AGRONÔMICA','FLORIANÓPOLIS','SC',9072,418,NULL,630,NULL,NULL,NULL,2,1),(28,7045620,2.00,5.00,1.00,6.00,5.00,7.50,2.00,5.00,2.00,336,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',13948,69,NULL,NULL,NULL,NULL,NULL,2,1),(28,7045638,0.00,1.00,2.00,4.00,1.00,NULL,1.00,2.00,1.00,404,NULL,NULL,'COSTA DE DENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7045662,3.00,8.00,2.00,4.00,4.00,9.75,5.00,5.00,6.00,601,NULL,201,'CENTRO','BRUSQUE','SC',5086,94,NULL,NULL,NULL,NULL,NULL,4,22),(28,7045670,0.00,7.00,4.00,4.00,5.00,7.13,3.00,1.00,2.00,220,NULL,601,'REDENTORA','S JOSÉ R PRETO','SP',13196,294,NULL,401,NULL,NULL,NULL,2,1),(28,7045689,1.00,4.00,3.00,5.00,6.00,8.25,4.00,4.00,4.00,316,NULL,NULL,'SÃO CRISTÓVÃO','TURVO','SC',11010,106,NULL,NULL,NULL,NULL,NULL,2,15),(28,7045700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7045719,0.00,4.00,1.00,0.00,2.00,NULL,1.00,4.00,3.00,203,NULL,214,'PASSARGADA','PASSO TORRES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7045727,2.00,6.00,1.00,4.00,8.00,7.88,1.00,6.00,1.00,214,NULL,212,'CENTRO','IPUMIRIM','SC',11953,286,NULL,NULL,NULL,NULL,NULL,2,4),(28,7045735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7045760,3.00,6.00,2.00,3.00,5.00,6.00,0.00,4.00,2.00,203,NULL,220,'CANASVIEIRAS','FLORIANÓPOLIS','SC',18990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045778,4.00,6.00,0.00,7.00,6.00,7.88,4.00,6.00,5.00,5,NULL,NULL,'ESPLANADA DO SOL','S JOSÉ CAMPOS','SP',5290,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045786,5.00,7.00,2.00,6.00,7.00,9.75,4.00,3.00,6.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',4956,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7045794,4.00,6.00,2.00,7.00,8.00,8.25,4.00,6.00,5.00,999,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7045808,0.00,3.00,2.00,6.00,3.00,7.88,0.00,4.00,1.00,103,NULL,NULL,'CENTRO','CLEVELÂNDIA','PR',16560,2423,NULL,NULL,NULL,NULL,NULL,2,25),(28,7045816,0.00,7.00,2.00,6.00,9.00,5.63,5.00,6.00,2.00,340,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',8997,250,NULL,NULL,NULL,NULL,NULL,4,8),(28,7045832,0.00,3.00,1.00,4.00,5.00,NULL,2.00,4.00,2.00,333,NULL,NULL,'SANTO ONOFRE','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7045859,1.00,8.00,2.00,7.00,7.00,8.63,4.00,6.00,5.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5068,170,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7045875,0.00,4.00,2.00,5.00,3.00,7.88,1.00,4.00,1.00,320,NULL,NULL,'JARDIM DOUTOR PINHEI','ITAPEVA','SP',19397,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045883,3.00,4.00,2.00,7.00,6.00,7.88,3.00,5.00,5.00,318,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13875,96,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045891,3.00,7.00,2.00,5.00,3.00,6.00,3.00,3.00,5.00,318,NULL,NULL,'CENTRO','PRUDENTÓPOLIS','PR',17334,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7045905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'CHACARA DAS ROSAS','JACUPIRANGA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7045913,2.00,4.00,0.00,3.00,3.00,NULL,1.00,6.00,3.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(28,7045930,3.00,6.00,0.00,5.00,9.00,10.88,2.00,4.00,2.00,415,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',6646,111,NULL,NULL,NULL,NULL,NULL,2,1),(28,7045948,2.00,5.00,4.00,4.00,4.00,5.25,1.00,2.00,2.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',16294,230,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045956,6.00,8.00,5.00,6.00,10.00,12.38,6.00,6.00,8.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',307,228,NULL,NULL,NULL,NULL,NULL,4,8),(28,7045972,0.00,6.00,2.00,4.00,2.00,NULL,2.00,4.00,4.00,655,NULL,220,'JK NOVA CAPITAL','ANÁPOLIS','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7045980,4.00,8.00,3.00,7.00,8.00,7.88,3.00,3.00,2.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6737,101,NULL,NULL,NULL,NULL,NULL,4,1),(28,7045999,0.00,5.00,2.00,4.00,4.00,7.50,3.00,5.00,1.00,220,NULL,601,'CENTRO','POÇO ANTAS','RS',13142,293,NULL,397,NULL,NULL,NULL,4,4),(28,7046014,4.00,7.00,2.00,5.00,7.00,6.75,3.00,4.00,3.00,303,NULL,NULL,'ATIRADORES','JOINVILLE','SC',9484,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7046022,1.00,5.00,2.00,5.00,7.00,7.50,4.00,3.00,2.00,103,NULL,NULL,'NEREU RAMOS','JARAGUÁ SUL','SC',11256,2154,NULL,NULL,NULL,NULL,NULL,2,23),(28,7046030,3.00,5.00,1.00,7.00,9.00,10.13,1.00,3.00,3.00,207,NULL,201,'NOSSA SENHORA DO ROS','S JOSÉ','SC',9474,445,NULL,NULL,NULL,NULL,NULL,2,1),(28,7046057,1.00,6.00,1.00,7.00,5.00,NULL,0.00,3.00,4.00,319,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7046065,5.00,6.00,2.00,3.00,6.00,7.50,2.00,7.00,2.00,103,NULL,NULL,'JARDIM GUAPORÉ','MARINGÁ','PR',9363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7046081,2.00,8.00,4.00,7.00,8.00,9.75,3.00,5.00,2.00,316,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',6038,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7046090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,202,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7046103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7046111,2.00,4.00,2.00,3.00,3.00,7.88,1.00,3.00,0.00,207,NULL,215,'REGIAO DO LAGO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7046138,3.00,6.00,2.00,5.00,8.00,9.00,4.00,6.00,4.00,301,NULL,NULL,'CENTRO','PASSOS','MG',6181,51,NULL,NULL,NULL,NULL,NULL,2,1),(28,7046146,0.00,5.00,1.00,4.00,2.00,NULL,0.00,2.00,1.00,102,NULL,NULL,'BARRAGEM','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7046154,1.00,4.00,1.00,5.00,5.00,9.38,1.00,4.00,2.00,302,NULL,NULL,'CENTRO','PALHOÇA','SC',14833,104,NULL,NULL,NULL,NULL,NULL,2,1),(28,7046162,1.00,7.00,2.00,6.00,8.00,5.63,3.00,7.00,2.00,454,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7046189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7046197,8.00,7.00,4.00,7.00,8.00,12.75,5.00,7.00,8.00,103,NULL,NULL,'ERMELINO MATARAZZO','S PAULO','SP',125,101,NULL,NULL,NULL,NULL,NULL,4,1),(28,7046200,0.00,5.00,4.00,3.00,2.00,NULL,1.00,5.00,2.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7046219,2.00,3.00,1.00,6.00,4.00,6.75,2.00,4.00,1.00,5,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',18782,479,NULL,NULL,NULL,NULL,NULL,4,7),(28,7046227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7046235,3.00,8.00,1.00,5.00,5.00,9.38,2.00,4.00,3.00,454,NULL,NULL,'PRINCESA ISABEL','FRUTAL','MG',9688,179,NULL,NULL,NULL,NULL,NULL,4,1),(28,7046243,6.00,7.00,3.00,7.00,9.00,9.75,6.00,6.00,4.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',1675,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7046260,0.00,3.00,0.00,4.00,4.00,6.38,1.00,3.00,2.00,301,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',19877,267,NULL,NULL,NULL,NULL,NULL,2,1),(28,7046286,2.00,4.00,2.00,5.00,5.00,9.00,3.00,2.00,4.00,108,NULL,NULL,'CENTRO','IMBITUBA','SC',12110,167,NULL,NULL,NULL,NULL,NULL,2,10),(28,7046294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7046308,0.00,5.00,2.00,5.00,4.00,NULL,0.00,2.00,1.00,201,NULL,203,'ANHANGUERA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7046324,0.00,3.00,4.00,2.00,2.00,NULL,2.00,3.00,2.00,207,NULL,NULL,'SÃO LUIS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7046340,4.00,6.00,5.00,5.00,6.00,9.75,4.00,5.00,2.00,601,NULL,653,'PASSA VINTE','PALHOÇA','SC',8785,223,NULL,NULL,NULL,NULL,NULL,2,1),(28,7046359,2.00,6.00,3.00,5.00,6.00,6.38,3.00,4.00,2.00,654,NULL,NULL,'SÃO LUIZ','SOMBRIO','SC',16547,60,NULL,NULL,NULL,NULL,NULL,4,15),(28,7046367,2.00,6.00,1.00,6.00,5.00,6.75,2.00,4.00,7.00,216,NULL,202,'JARDIM TERRAS DO SUL','S JOSÉ CAMPOS','SP',12885,366,NULL,312,NULL,NULL,NULL,4,1),(28,7046375,5.00,7.00,2.00,6.00,8.00,13.88,5.00,7.00,6.00,214,NULL,220,'SÃO CRISTÓVÃO','CRICIÚMA','SC',1025,16,NULL,NULL,NULL,NULL,NULL,4,5),(28,7046383,0.00,4.00,1.00,1.00,4.00,NULL,2.00,5.00,1.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7046391,7.00,9.00,2.00,8.00,10.00,10.88,5.00,8.00,8.00,5,NULL,NULL,'CENTRO','XAXIM','SC',295,3,NULL,NULL,NULL,NULL,NULL,2,4),(28,7046405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'CENTRO','PEDRO AFONSO','TO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7046413,3.00,8.00,4.00,7.00,7.00,8.25,5.00,9.00,7.00,216,NULL,233,'VILA TATETUBA','S JOSÉ CAMPOS','SP',1400,40,NULL,20,NULL,NULL,NULL,4,1),(28,7046430,1.00,4.00,0.00,3.00,3.00,7.50,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','GUABIRUBA','SC',17091,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7046448,3.00,4.00,2.00,7.00,5.00,9.75,1.00,3.00,4.00,415,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',11183,182,NULL,NULL,NULL,NULL,NULL,2,5),(28,7046464,7.00,8.00,5.00,5.00,10.00,10.13,6.00,6.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',359,260,NULL,NULL,NULL,NULL,NULL,4,1),(28,7046480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'LAGOINHA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7046499,5.00,6.00,0.00,6.00,8.00,7.88,3.00,5.00,5.00,208,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',7210,67,NULL,NULL,NULL,NULL,NULL,4,1),(28,7046502,4.00,4.00,1.00,4.00,10.00,9.00,5.00,6.00,4.00,425,NULL,426,'SAGUAÇU','JOINVILLE','SC',5619,7,NULL,NULL,NULL,NULL,NULL,4,8),(28,7046529,0.00,3.00,3.00,3.00,2.00,NULL,0.00,3.00,1.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7046537,4.00,8.00,3.00,3.00,7.00,7.13,1.00,6.00,1.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',8806,624,NULL,NULL,NULL,NULL,NULL,2,1),(28,7046545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7046553,4.00,7.00,5.00,7.00,5.00,7.50,6.00,5.00,6.00,201,NULL,203,'PEREQUE','PTO BELO','SC',5985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7046570,4.00,6.00,3.00,5.00,6.00,8.63,3.00,6.00,2.00,208,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6666,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7046588,0.00,2.00,1.00,4.00,5.00,NULL,0.00,3.00,3.00,335,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7046596,4.00,7.00,2.00,6.00,6.00,6.75,4.00,6.00,2.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7046600,0.00,3.00,2.00,2.00,2.00,NULL,2.00,3.00,1.00,552,NULL,NULL,'CAMPINAS','MIRIM DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7046618,5.00,6.00,1.00,6.00,9.00,8.25,4.00,2.00,3.00,103,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',7868,1879,NULL,NULL,NULL,NULL,NULL,4,8),(28,7046626,0.00,4.00,1.00,3.00,3.00,5.25,3.00,2.00,4.00,451,NULL,NULL,'PALMITAL','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7046634,3.00,5.00,0.00,5.00,5.00,NULL,0.00,5.00,2.00,340,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7046642,3.00,5.00,3.00,6.00,8.00,8.25,3.00,4.00,4.00,201,NULL,207,'MORRETES','ITAPEMA','SC',7111,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7046669,1.00,6.00,0.00,6.00,5.00,10.13,1.00,4.00,4.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',16637,226,NULL,NULL,NULL,NULL,NULL,4,1),(28,7046685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7046693,6.00,8.00,2.00,6.00,10.00,8.25,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',1518,745,NULL,NULL,NULL,NULL,NULL,2,22),(28,7046707,0.00,2.00,3.00,1.00,3.00,4.50,0.00,2.00,1.00,238,NULL,212,'CORAL','LAGES','SC',19953,348,NULL,423,NULL,NULL,NULL,4,9),(28,7046715,5.00,4.00,1.00,4.00,5.00,9.75,3.00,4.00,1.00,234,NULL,NULL,'CANTO DOS ARAÇAS','FLORIANÓPOLIS','SC',13640,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7046723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GOIABEIRAS','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7046740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'SANTO ANTONIO','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7046758,0.00,5.00,1.00,5.00,2.00,NULL,2.00,4.00,0.00,9,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7046766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7046782,9.00,7.00,4.00,5.00,8.00,9.38,5.00,7.00,6.00,202,NULL,203,'ITACORUBI','FLORIANÓPOLIS','SC',1334,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7046812,4.00,7.00,1.00,5.00,7.00,9.75,2.00,5.00,4.00,103,NULL,NULL,'JARDIM ROSELÂNDIA','FRANCA','SP',10494,2107,NULL,NULL,NULL,NULL,NULL,2,1),(28,7046820,2.00,7.00,2.00,5.00,7.00,5.25,4.00,4.00,3.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13347,74,NULL,NULL,NULL,NULL,NULL,2,1),(28,7046847,0.00,6.00,1.00,3.00,5.00,NULL,2.00,3.00,1.00,207,NULL,201,'NOVA ESPERANÇA','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7046855,4.00,7.00,3.00,7.00,5.00,8.63,3.00,5.00,3.00,103,NULL,NULL,'REAL PARQUE','S PAULO','SP',5800,1599,NULL,NULL,NULL,NULL,NULL,4,8),(28,7046871,4.00,6.00,1.00,5.00,8.00,9.38,2.00,7.00,1.00,214,NULL,213,'CAPOEIRAS','FLORIANÓPOLIS','SC',14179,316,NULL,230,NULL,NULL,NULL,4,1),(28,7046880,2.00,7.00,2.00,6.00,5.00,10.50,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',6408,1685,NULL,NULL,NULL,NULL,NULL,4,9),(28,7046910,4.00,7.00,2.00,6.00,7.00,8.63,3.00,5.00,8.00,103,NULL,NULL,'SANTA TEREZINHA','S BERNARDO CAMPO','SP',3986,1323,NULL,NULL,NULL,NULL,NULL,4,1),(28,7046928,5.00,7.00,1.00,6.00,8.00,9.38,3.00,5.00,7.00,108,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',3868,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7046936,6.00,8.00,2.00,7.00,8.00,11.63,5.00,5.00,5.00,103,NULL,NULL,'SANTANA','S PAULO','SP',1326,688,NULL,NULL,NULL,NULL,NULL,4,1),(28,7046952,3.00,7.00,3.00,6.00,10.00,7.50,3.00,6.00,3.00,333,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',4873,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7046979,2.00,1.00,1.00,6.00,6.00,8.63,3.00,4.00,2.00,216,NULL,233,'NITERÓI','CANOAS','RS',13902,381,NULL,298,NULL,NULL,NULL,2,1),(28,7046995,3.00,6.00,1.00,7.00,8.00,10.50,2.00,5.00,2.00,208,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',11657,127,NULL,NULL,NULL,NULL,NULL,4,1),(28,7047002,7.00,8.00,5.00,8.00,6.00,7.50,5.00,7.00,7.00,303,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',1037,45,NULL,NULL,NULL,NULL,NULL,4,2),(28,7047010,5.00,8.00,1.00,5.00,8.00,4.88,3.00,7.00,3.00,103,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',6326,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7047029,6.00,8.00,5.00,7.00,10.00,11.25,7.00,6.00,8.00,201,NULL,212,'CENTRO','RIBEIRÃO PRETO','SP',213,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7047037,3.00,6.00,0.00,5.00,6.00,8.63,1.00,3.00,0.00,207,NULL,211,'CENTRO','RIBEIRÃO PRETO','SP',13815,616,NULL,349,NULL,NULL,NULL,2,1),(28,7047045,7.00,9.00,4.00,6.00,9.00,9.38,8.00,7.00,6.00,203,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',320,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7047070,5.00,7.00,0.00,5.00,5.00,NULL,2.00,4.00,7.00,201,NULL,233,'VILA TIBERIO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7047088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM CALIFORNIA','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7047096,3.00,4.00,0.00,5.00,5.00,9.00,1.00,2.00,2.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',18921,160,NULL,NULL,NULL,NULL,NULL,2,1),(28,7047118,4.00,5.00,1.00,5.00,5.00,6.00,5.00,3.00,4.00,238,NULL,652,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',11615,184,NULL,34,NULL,NULL,NULL,2,1),(28,7047126,7.00,7.00,1.00,7.00,7.00,10.50,5.00,6.00,5.00,5,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',4449,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7047134,4.00,7.00,3.00,4.00,8.00,7.88,5.00,7.00,6.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',4345,152,NULL,NULL,NULL,NULL,NULL,4,1),(28,7047142,3.00,8.00,1.00,7.00,6.00,6.75,3.00,6.00,5.00,225,NULL,NULL,'SANTOS DUMOND','S JOSÉ','SC',12382,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7047150,4.00,8.00,3.00,6.00,9.00,13.13,6.00,6.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',854,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7047169,2.00,4.00,1.00,6.00,6.00,9.00,4.00,4.00,2.00,429,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',15953,32,NULL,52,NULL,NULL,NULL,4,1),(28,7047177,5.00,7.00,3.00,7.00,8.00,7.50,6.00,6.00,5.00,303,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',2744,126,NULL,NULL,NULL,NULL,NULL,1,1),(28,7047193,3.00,7.00,3.00,3.00,6.00,12.38,3.00,5.00,4.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',6516,208,NULL,NULL,NULL,NULL,NULL,5,1),(28,7047207,3.00,3.00,1.00,6.00,3.00,6.75,3.00,3.00,4.00,202,NULL,213,'BELA VISTA I','S JOSÉ','SC',18274,387,NULL,NULL,NULL,NULL,NULL,2,1),(28,7047215,8.00,9.00,5.00,5.00,10.00,11.25,8.00,6.00,7.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',53,44,NULL,NULL,NULL,NULL,NULL,2,1),(28,7047231,5.00,7.00,2.00,4.00,7.00,7.88,3.00,3.00,4.00,302,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',10364,62,NULL,NULL,NULL,NULL,NULL,4,1),(28,7047258,2.00,8.00,2.00,5.00,4.00,9.00,2.00,4.00,4.00,103,NULL,NULL,'PEREQUÊ','PTO BELO','SC',10109,2079,NULL,NULL,NULL,NULL,NULL,2,6),(28,7047266,4.00,8.00,3.00,5.00,8.00,7.50,4.00,8.00,4.00,202,NULL,235,'CENTRO','CHAPECÓ','SC',4946,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7047274,3.00,3.00,1.00,6.00,4.00,9.00,1.00,3.00,2.00,304,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',19304,127,NULL,NULL,NULL,NULL,NULL,2,1),(28,7047282,1.00,6.00,1.00,7.00,7.00,7.13,0.00,3.00,2.00,207,NULL,201,'LOURDES','BELO HORIZONTE','MG',17168,741,NULL,970,NULL,NULL,NULL,4,1),(28,7047304,0.00,3.00,2.00,5.00,4.00,6.75,0.00,3.00,3.00,319,NULL,NULL,'IPANEMA','MONDAÍ','SC',19733,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7047312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'JARDIM BELA VISTA','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7047355,7.00,7.00,4.00,5.00,7.00,7.13,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','GARUVA','SC',2611,1048,NULL,NULL,NULL,NULL,NULL,2,8),(28,7047371,2.00,5.00,1.00,3.00,3.00,7.88,0.00,3.00,0.00,207,NULL,201,'IPIRANGA','S JOSÉ','SC',19852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7047380,0.00,4.00,2.00,4.00,4.00,6.00,2.00,2.00,2.00,208,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',19311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7047398,2.00,6.00,3.00,8.00,7.00,9.00,3.00,3.00,4.00,207,NULL,201,'JARDIM PRIMAVERA','PATO BRANCO','PR',12287,555,NULL,NULL,NULL,NULL,NULL,4,4),(28,7047401,2.00,7.00,1.00,7.00,7.00,7.88,2.00,6.00,3.00,103,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',7286,1800,NULL,NULL,NULL,NULL,NULL,5,1),(28,7047410,4.00,6.00,3.00,6.00,8.00,10.88,2.00,6.00,6.00,102,NULL,NULL,'SANTA CRUZ','CONCÓRDIA','SC',3489,11,NULL,NULL,NULL,NULL,NULL,2,4),(28,7047428,0.00,6.00,2.00,2.00,5.00,6.75,2.00,4.00,1.00,655,NULL,653,'PRAIA DO SOL','LAGUNA','SC',16106,97,NULL,NULL,NULL,NULL,NULL,4,10),(28,7047452,0.00,4.00,2.00,7.00,6.00,NULL,2.00,5.00,0.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7047460,5.00,7.00,4.00,6.00,7.00,8.63,3.00,6.00,4.00,103,NULL,NULL,'JABAQUARA','S PAULO','SP',3496,1241,NULL,NULL,NULL,NULL,NULL,2,4),(28,7047479,3.00,8.00,2.00,7.00,4.00,7.88,5.00,6.00,3.00,216,NULL,202,'MAUA','S CAETANO SUL','SP',9797,310,NULL,250,NULL,NULL,NULL,4,1),(28,7047487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7047495,5.00,7.00,1.00,6.00,7.00,10.88,7.00,5.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3817,139,NULL,NULL,NULL,NULL,NULL,4,1),(28,7047509,3.00,4.00,3.00,5.00,6.00,6.75,2.00,4.00,4.00,238,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',16403,287,NULL,NULL,NULL,NULL,NULL,2,1),(28,7047517,3.00,5.00,2.00,1.00,2.00,NULL,3.00,4.00,3.00,999,NULL,NULL,'ZONA DOIS','CIANORTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7047525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7047533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA JAGUARI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7047541,5.00,7.00,5.00,7.00,8.00,10.50,6.00,7.00,4.00,220,NULL,203,'BOSQUE DA SAUDE','CUIABÁ','MT',1262,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7047550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7047568,2.00,7.00,3.00,3.00,5.00,7.88,3.00,6.00,5.00,203,NULL,233,'SAIC','CHAPECÓ','SC',8151,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7047576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'VILA MADALENA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7047584,2.00,4.00,3.00,7.00,8.00,10.13,2.00,2.00,2.00,201,NULL,235,'NAÇÕES','BAL CAMBORIÚ','SC',11375,740,NULL,184,NULL,NULL,NULL,4,3),(28,7047592,4.00,8.00,2.00,7.00,9.00,10.50,5.00,7.00,6.00,103,NULL,NULL,'GRAGERU','ARACAJU','SE',908,510,NULL,NULL,NULL,NULL,NULL,4,1),(28,7047606,5.00,7.00,2.00,6.00,7.00,8.25,3.00,8.00,4.00,201,NULL,207,'PAPILON PARK','APARECIDA GOIÂNIA','GO',4082,314,NULL,NULL,NULL,NULL,NULL,4,1),(28,7047630,5.00,3.00,2.00,2.00,4.00,5.25,4.00,2.00,3.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',12401,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7047649,1.00,5.00,2.00,5.00,9.00,12.38,3.00,7.00,3.00,201,NULL,212,'VILA CONDE DO PINHAL','S PAULO','SP',4356,336,NULL,139,NULL,NULL,NULL,4,1),(28,7047665,3.00,5.00,2.00,4.00,6.00,7.50,1.00,3.00,5.00,101,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11503,55,NULL,NULL,NULL,NULL,NULL,2,1),(28,7047673,1.00,6.00,2.00,1.00,7.00,6.75,4.00,3.00,2.00,201,NULL,216,'NAZARÉ','CONCÓRDIA','SC',13585,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7047681,4.00,6.00,5.00,6.00,8.00,8.63,5.00,5.00,6.00,201,NULL,207,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',3036,227,NULL,110,NULL,NULL,NULL,4,1),(28,7047690,1.00,7.00,2.00,6.00,1.00,NULL,0.00,2.00,3.00,213,NULL,202,'SAN IZIDRO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7047711,6.00,7.00,2.00,7.00,10.00,10.13,4.00,6.00,4.00,103,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',1849,849,NULL,NULL,NULL,NULL,NULL,2,1),(28,7047720,4.00,5.00,3.00,5.00,8.00,6.75,2.00,3.00,3.00,214,NULL,203,'JARDIM CIDADE','S JOSÉ','SC',15085,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7047738,4.00,7.00,3.00,5.00,6.00,6.75,4.00,4.00,2.00,203,NULL,233,'JARDIM AMÉRICA','RIO SUL','SC',7641,462,NULL,NULL,NULL,NULL,NULL,4,24),(28,7047754,1.00,4.00,1.00,6.00,4.00,5.63,2.00,4.00,1.00,216,NULL,207,'GLORINHA','STA ROSA SUL','SC',16029,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7047770,3.00,8.00,2.00,7.00,10.00,6.75,3.00,7.00,2.00,601,NULL,NULL,'COMASA','JOINVILLE','SC',5362,101,NULL,NULL,NULL,NULL,NULL,2,8),(28,7047789,2.00,6.00,2.00,4.00,4.00,7.13,3.00,3.00,1.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18931,35,NULL,NULL,NULL,NULL,NULL,2,1),(28,7047797,3.00,8.00,2.00,7.00,8.00,10.50,2.00,6.00,4.00,5,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',8924,273,NULL,NULL,NULL,NULL,NULL,4,1),(28,7047819,0.00,4.00,2.00,6.00,5.00,6.38,3.00,5.00,4.00,203,NULL,652,'CENTRO','LEBON RÉGIS','SC',13747,619,NULL,47,NULL,NULL,NULL,2,25),(28,7047827,1.00,7.00,2.00,6.00,5.00,8.63,2.00,7.00,4.00,303,NULL,NULL,'CENTRO','FAXINAL','PR',7376,325,NULL,NULL,NULL,NULL,NULL,4,1),(28,7047835,3.00,5.00,1.00,4.00,6.00,8.63,1.00,6.00,3.00,201,NULL,203,'SETOR MARISTA','GOIÂNIA','GO',8987,626,NULL,507,NULL,NULL,NULL,4,1),(28,7047851,0.00,8.00,1.00,6.00,9.00,8.63,4.00,7.00,5.00,203,NULL,NULL,'CENTRO','LAGES','SC',5455,365,NULL,NULL,NULL,NULL,NULL,4,9),(28,7047860,1.00,1.00,2.00,4.00,3.00,5.63,3.00,1.00,2.00,101,NULL,NULL,'CENTRO SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7047878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA FORMOSA','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7047886,2.00,5.00,2.00,5.00,3.00,7.88,2.00,6.00,4.00,316,NULL,NULL,'VILA RUTHES','MAFRA','SC',12334,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7047908,4.00,7.00,4.00,6.00,8.00,8.25,3.00,5.00,3.00,202,NULL,233,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6828,184,NULL,167,NULL,NULL,NULL,2,1),(28,7047916,2.00,5.00,3.00,7.00,7.00,6.38,2.00,3.00,2.00,552,NULL,NULL,'INLGESES','FLORIANÓPOLIS','SC',13652,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7047924,2.00,1.00,0.00,4.00,3.00,5.25,1.00,2.00,1.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7047932,4.00,8.00,2.00,4.00,8.00,6.00,4.00,7.00,7.00,220,NULL,202,'ALTO DA GLORIA','GOIÂNIA','GO',3576,105,NULL,102,NULL,NULL,NULL,4,1),(28,7047959,1.00,3.00,3.00,7.00,6.00,7.13,2.00,3.00,3.00,108,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7047967,4.00,7.00,1.00,7.00,9.00,9.75,2.00,7.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4817,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7047983,5.00,5.00,3.00,6.00,5.00,10.88,5.00,4.00,4.00,103,NULL,NULL,'SANTA TEREZINHA','S BERNARDO CAMPO','SP',5429,1560,NULL,NULL,NULL,NULL,NULL,4,8),(28,7048017,1.00,5.00,2.00,4.00,3.00,8.25,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','LGA VERMELHA','RS',15188,2363,NULL,NULL,NULL,NULL,NULL,4,3),(28,7048025,4.00,7.00,3.00,6.00,7.00,10.88,3.00,7.00,2.00,2,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',8066,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7048041,0.00,6.00,2.00,5.00,5.00,8.25,0.00,6.00,4.00,211,NULL,201,'BOQUEIRÂO','SANTOS','SP',10687,289,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048050,3.00,5.00,2.00,7.00,7.00,10.88,3.00,5.00,1.00,454,NULL,NULL,'JARDIM SÃO JOSÉ','ITATIBA','SP',7738,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7048068,3.00,5.00,3.00,5.00,6.00,7.50,2.00,4.00,1.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',13650,79,NULL,NULL,NULL,NULL,NULL,2,1),(28,7048076,1.00,6.00,2.00,6.00,8.00,7.88,2.00,5.00,4.00,201,NULL,207,'CENTRO','XANXERÊ','SC',9382,646,NULL,434,NULL,NULL,NULL,4,4),(28,7048084,4.00,7.00,2.00,8.00,9.00,9.75,3.00,5.00,3.00,415,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',2724,31,NULL,NULL,NULL,NULL,NULL,4,5),(28,7048092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAIÇARA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7048106,5.00,8.00,4.00,7.00,6.00,9.38,4.00,6.00,6.00,201,NULL,212,'BARÃO GERALDO','CAMPINAS','SP',1761,107,NULL,29,NULL,NULL,NULL,4,1),(28,7048114,0.00,9.00,2.00,7.00,6.00,13.50,1.00,7.00,4.00,201,NULL,207,'POÇO DANTA','CORUPÁ','SC',6266,484,NULL,290,NULL,NULL,NULL,4,23),(28,7048122,0.00,5.00,1.00,6.00,4.00,7.50,0.00,3.00,2.00,450,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',15516,114,NULL,NULL,NULL,NULL,NULL,2,1),(28,7048149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7048157,0.00,1.00,0.00,1.00,0.00,NULL,0.00,1.00,0.00,552,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7048165,4.00,6.00,2.00,6.00,8.00,6.00,3.00,6.00,5.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9851,2063,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048173,7.00,6.00,4.00,4.00,8.00,8.63,5.00,6.00,8.00,103,NULL,NULL,'CENTRO','GARUVA','SC',2219,939,NULL,NULL,NULL,NULL,NULL,4,8),(28,7048181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BONFIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7048203,4.00,8.00,3.00,7.00,10.00,9.75,5.00,6.00,8.00,303,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',929,39,NULL,NULL,NULL,NULL,NULL,2,1),(28,7048220,7.00,6.00,6.00,5.00,8.00,12.38,5.00,7.00,7.00,103,NULL,NULL,'JARDIM','CONCÓRDIA','SC',639,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7048238,3.00,7.00,3.00,5.00,7.00,6.38,2.00,6.00,3.00,326,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13669,42,NULL,NULL,NULL,NULL,NULL,2,1),(28,7048246,2.00,7.00,3.00,7.00,7.00,9.75,3.00,5.00,2.00,319,NULL,NULL,'VILA ELDIZIA','STO ANDRÉ','SP',7197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048289,3.00,5.00,1.00,4.00,5.00,10.50,4.00,4.00,1.00,654,NULL,NULL,'CENTRO','TIMBÉ SUL','SC',11975,25,NULL,NULL,NULL,NULL,NULL,2,15),(28,7048297,5.00,7.00,3.00,7.00,8.00,11.63,2.00,6.00,5.00,415,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',2680,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048300,3.00,5.00,1.00,4.00,5.00,5.25,1.00,6.00,2.00,340,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',18461,421,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048319,3.00,7.00,1.00,4.00,5.00,7.13,4.00,5.00,2.00,103,NULL,NULL,'DO SOL','INDAIAL','SC',15130,2358,NULL,NULL,NULL,NULL,NULL,2,2),(28,7048335,4.00,9.00,2.00,5.00,9.00,9.75,5.00,6.00,4.00,319,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',3434,46,NULL,NULL,NULL,NULL,NULL,2,1),(28,7048343,5.00,6.00,1.00,7.00,8.00,6.38,4.00,5.00,3.00,233,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',7534,193,NULL,555,NULL,NULL,NULL,4,1),(28,7048351,3.00,7.00,3.00,6.00,7.00,8.63,4.00,8.00,6.00,207,NULL,233,'CORREGO GRANDE','FLORIANÓPOLIS','SC',3073,112,NULL,71,NULL,NULL,NULL,3,1),(28,7048360,0.00,5.00,1.00,2.00,4.00,NULL,1.00,1.00,1.00,999,NULL,NULL,'NOSSA SENHORA LOURDE','PLANALTO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7048378,5.00,7.00,3.00,7.00,7.00,10.50,4.00,7.00,6.00,103,NULL,NULL,'PARAISO','S PAULO','SP',1434,721,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048386,2.00,9.00,3.00,6.00,4.00,8.25,3.00,4.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048394,6.00,8.00,3.00,7.00,7.00,11.25,5.00,9.00,8.00,103,NULL,NULL,'BARRA FUNDA','S PAULO','SP',348,254,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048416,1.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7048424,3.00,8.00,4.00,7.00,7.00,9.38,4.00,6.00,4.00,450,NULL,NULL,'VELHA','BLUMENAU','SC',3644,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7048432,4.00,6.00,5.00,7.00,4.00,6.00,2.00,5.00,2.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15156,79,NULL,NULL,NULL,NULL,NULL,2,1),(28,7048467,2.00,4.00,1.00,3.00,6.00,6.38,1.00,3.00,2.00,999,NULL,NULL,'RIO MORTO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7048483,4.00,8.00,7.00,4.00,4.00,7.13,4.00,5.00,6.00,104,NULL,NULL,'JARDIM NOVA SÃO JOÃO','S JOÃO B VISTA','SP',4486,74,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048491,7.00,8.00,2.00,7.00,8.00,10.88,4.00,7.00,7.00,216,NULL,233,'SETOR CENTRAL','GOIÂNIA','GO',971,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048505,6.00,7.00,4.00,7.00,9.00,11.25,4.00,6.00,5.00,207,NULL,NULL,'JD KAROLYNE','VOTORANTIM','SP',2506,87,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,214,'IPANEMA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7048521,0.00,3.00,1.00,5.00,2.00,NULL,2.00,1.00,2.00,203,NULL,238,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048530,6.00,8.00,1.00,6.00,7.00,9.00,5.00,6.00,7.00,207,NULL,601,'TRINDADE','FLORIANÓPOLIS','SC',2938,101,NULL,37,NULL,NULL,NULL,2,1),(28,7048548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7048556,1.00,4.00,1.00,6.00,6.00,5.63,2.00,5.00,4.00,108,NULL,NULL,'SAO JOSE','S JOSÉ','SC',16445,223,NULL,NULL,NULL,NULL,NULL,2,1),(28,7048564,4.00,6.00,2.00,4.00,7.00,7.88,3.00,5.00,4.00,238,NULL,233,'BARRA DO ARIRIU','PALHOÇA','SC',8672,121,NULL,215,NULL,NULL,NULL,4,1),(28,7048572,2.00,8.00,1.00,7.00,5.00,8.25,3.00,6.00,2.00,320,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13788,31,NULL,NULL,NULL,NULL,NULL,2,1),(28,7048599,4.00,6.00,2.00,5.00,7.00,8.25,3.00,5.00,6.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4598,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048602,4.00,7.00,3.00,7.00,10.00,8.63,5.00,5.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3675,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048610,1.00,3.00,1.00,4.00,3.00,5.25,0.00,2.00,2.00,109,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',18927,88,NULL,NULL,NULL,NULL,NULL,2,1),(28,7048629,5.00,7.00,3.00,6.00,7.00,10.50,5.00,5.00,5.00,201,NULL,220,'SAO CRISTOVAO','LAGES','SC',3719,288,NULL,110,NULL,NULL,NULL,4,9),(28,7048661,3.00,5.00,3.00,7.00,4.00,6.75,4.00,4.00,4.00,211,NULL,235,'AREIAS','S JOSÉ','SC',10411,283,NULL,170,NULL,NULL,NULL,2,1),(28,7048670,4.00,5.00,0.00,6.00,8.00,9.75,3.00,4.00,3.00,415,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6894,113,NULL,NULL,NULL,NULL,NULL,2,1),(28,7048688,0.00,4.00,2.00,5.00,2.00,NULL,2.00,4.00,2.00,404,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7048696,2.00,8.00,4.00,6.00,8.00,9.38,4.00,5.00,6.00,450,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',4624,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048700,5.00,9.00,2.00,7.00,9.00,8.25,3.00,7.00,4.00,5,NULL,NULL,'VILA ASWSUNÇÃO','STO ANDRÉ','SP',3269,120,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048718,2.00,8.00,1.00,3.00,5.00,6.00,6.00,6.00,6.00,208,NULL,NULL,'BELA VISTA UM','S JOSÉ','SC',13213,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048726,1.00,4.00,2.00,4.00,3.00,8.25,2.00,3.00,2.00,104,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',15685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048734,1.00,4.00,4.00,6.00,3.00,6.00,3.00,5.00,2.00,426,NULL,423,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7048742,4.00,6.00,3.00,6.00,9.00,9.75,5.00,6.00,6.00,203,NULL,601,'IRIRIU','JOINVILLE','SC',3308,242,NULL,43,NULL,NULL,NULL,4,8),(28,7048750,1.00,8.00,1.00,5.00,7.00,9.38,5.00,6.00,2.00,207,NULL,201,'CENTRO','QUILOMBO','SC',7026,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7048769,2.00,4.00,2.00,1.00,4.00,8.63,1.00,2.00,5.00,102,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',15642,142,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048785,2.00,6.00,1.00,6.00,6.00,4.50,2.00,6.00,2.00,110,NULL,NULL,'PARAÍSO','S PAULO','SP',10194,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7048793,1.00,5.00,2.00,6.00,5.00,5.63,3.00,7.00,3.00,336,NULL,NULL,'BUENO','GOIÂNIA','GO',11330,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BELA ALIANÇA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7048815,5.00,7.00,3.00,7.00,7.00,9.75,1.00,4.00,5.00,336,NULL,NULL,'MONT SERRAT','PTO ALEGRE','RS',9769,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048823,4.00,7.00,1.00,7.00,8.00,8.63,2.00,7.00,3.00,203,NULL,220,'CENTRO','NERÓPOLIS','GO',8586,498,NULL,222,NULL,NULL,NULL,4,1),(28,7048831,3.00,5.00,2.00,4.00,2.00,NULL,1.00,3.00,4.00,203,NULL,214,'CENTRO','REGISTRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7048858,0.00,3.00,4.00,5.00,4.00,NULL,0.00,2.00,0.00,317,NULL,NULL,'CAPEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7048874,2.00,5.00,2.00,6.00,6.00,5.25,4.00,4.00,3.00,336,NULL,NULL,'CENTRO','XAVANTINA','SC',16928,87,NULL,NULL,NULL,NULL,NULL,2,4),(28,7048882,5.00,7.00,4.00,7.00,8.00,8.25,6.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3303,1206,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,421,'CENTRO','S BERNARDINO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7048904,2.00,6.00,1.00,6.00,5.00,9.00,4.00,4.00,3.00,104,NULL,NULL,'CASA VERDE','S PAULO','SP',14287,345,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7048939,3.00,6.00,2.00,6.00,4.00,6.75,5.00,3.00,6.00,201,NULL,216,'COLATTO','XANXERÊ','SC',14514,891,NULL,390,NULL,NULL,NULL,2,4),(28,7048947,3.00,7.00,3.00,7.00,6.00,7.13,6.00,7.00,6.00,319,NULL,NULL,'DOIS CORREGOS','VALINHOS','SP',2756,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048955,1.00,6.00,1.00,7.00,10.00,7.13,3.00,5.00,4.00,340,NULL,NULL,'PEREQUÊ','PTO BELO','SC',8397,224,NULL,NULL,NULL,NULL,NULL,4,3),(28,7048963,1.00,6.00,2.00,5.00,5.00,6.38,4.00,5.00,2.00,110,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',13549,50,NULL,NULL,NULL,NULL,NULL,2,1),(28,7048971,5.00,8.00,1.00,7.00,8.00,10.50,3.00,8.00,4.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',1781,84,NULL,NULL,NULL,NULL,NULL,4,1),(28,7048998,8.00,9.00,2.00,7.00,10.00,10.88,6.00,7.00,7.00,103,NULL,NULL,'BOTAFOGO','BENTO GONÇALVES','RS',319,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7049005,6.00,6.00,3.00,6.00,7.00,8.63,1.00,3.00,3.00,653,NULL,NULL,'VILA SANTANA','VARGEM G SUL','SP',7436,80,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049048,3.00,7.00,3.00,7.00,7.00,9.38,2.00,5.00,3.00,108,NULL,NULL,'MARUIPE','VITÓRIA','ES',10485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049056,5.00,7.00,2.00,7.00,7.00,7.13,4.00,6.00,6.00,103,NULL,NULL,'CONSOLAÇÃO','S PAULO','SP',4441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049064,3.00,6.00,3.00,5.00,4.00,9.38,1.00,5.00,1.00,331,NULL,NULL,'BARREIROS','S JOSÉ','SC',12869,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7049072,7.00,8.00,2.00,4.00,6.00,9.00,5.00,6.00,6.00,103,NULL,NULL,'MARIA LUIZA','CASCAVEL','PR',2984,1134,NULL,NULL,NULL,NULL,NULL,4,27),(28,7049080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TUCURUVI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7049099,7.00,7.00,5.00,7.00,7.00,10.88,8.00,7.00,7.00,207,NULL,203,'CZERNIEWICZ','JARAGUÁ SUL','SC',482,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049102,6.00,9.00,6.00,7.00,10.00,11.25,6.00,8.00,6.00,103,NULL,NULL,'JARDIM ALZIRA','S PAULO','SP',309,230,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049110,3.00,6.00,1.00,4.00,5.00,8.63,3.00,3.00,4.00,201,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',16995,962,NULL,400,NULL,NULL,NULL,2,1),(28,7049129,4.00,7.00,2.00,6.00,7.00,8.63,2.00,5.00,2.00,552,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',8391,16,NULL,NULL,NULL,NULL,NULL,2,7),(28,7049137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,235,'JARDIM BOA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7049145,6.00,7.00,3.00,6.00,10.00,7.88,4.00,3.00,4.00,103,NULL,NULL,'VILA VERDE','LEME','SP',6072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049153,2.00,2.00,1.00,7.00,5.00,9.38,0.00,4.00,0.00,3,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',14570,71,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049161,6.00,7.00,2.00,6.00,8.00,6.75,4.00,6.00,5.00,102,NULL,NULL,'BAEPENDI','JARAGUÁ SUL','SC',3969,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049170,1.00,6.00,3.00,6.00,6.00,6.75,3.00,4.00,3.00,202,NULL,203,'JARDIM ITÁLIA','CHAPECÓ','SC',10702,272,NULL,NULL,NULL,NULL,NULL,4,4),(28,7049188,1.00,4.00,3.00,3.00,6.00,8.63,3.00,2.00,1.00,601,NULL,211,'SAGUAÇU','JOINVILLE','SC',15404,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7049200,2.00,6.00,1.00,5.00,3.00,6.00,2.00,4.00,4.00,501,NULL,NULL,'MACHADOS','NAVEGANTES','SC',14945,93,NULL,NULL,NULL,NULL,NULL,2,8),(28,7049218,1.00,3.00,1.00,2.00,3.00,4.88,1.00,2.00,2.00,454,NULL,NULL,'BARREIROS','S JOSÉ','SC',20152,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7049234,1.00,3.00,1.00,5.00,3.00,7.50,1.00,4.00,2.00,601,NULL,NULL,'COMASA','JOINVILLE','SC',15093,448,NULL,NULL,NULL,NULL,NULL,2,8),(28,7049242,5.00,6.00,4.00,7.00,8.00,9.00,5.00,4.00,7.00,108,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',2617,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049250,4.00,7.00,2.00,6.00,8.00,12.75,2.00,6.00,4.00,415,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',3215,42,NULL,NULL,NULL,NULL,NULL,4,8),(28,7049269,4.00,6.00,3.00,7.00,10.00,9.75,3.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049277,3.00,7.00,1.00,7.00,8.00,10.13,4.00,5.00,5.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049285,0.00,3.00,1.00,5.00,6.00,NULL,0.00,1.00,1.00,302,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7049293,0.00,5.00,3.00,5.00,6.00,NULL,2.00,2.00,3.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7049307,0.00,4.00,3.00,6.00,5.00,5.25,4.00,2.00,1.00,101,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',16493,106,NULL,NULL,NULL,NULL,NULL,2,1),(28,7049315,4.00,9.00,4.00,7.00,7.00,9.00,5.00,6.00,5.00,230,NULL,NULL,'CARIOCA','S JOSÉ PINHAIS','PR',2555,1,NULL,NULL,NULL,NULL,NULL,4,6),(28,7049323,2.00,5.00,2.00,2.00,7.00,6.75,2.00,4.00,3.00,207,NULL,NULL,'GLÓRIA','JOINVILLE','SC',12715,574,NULL,NULL,NULL,NULL,NULL,4,8),(28,7049331,3.00,0.00,3.00,5.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(28,7049340,2.00,3.00,1.00,7.00,4.00,6.75,1.00,5.00,2.00,201,NULL,207,'CENTRO','S JOSÉ','SC',12762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7049366,1.00,5.00,1.00,5.00,4.00,8.63,4.00,3.00,3.00,201,NULL,212,'CENTRO','S DOMINGOS','SC',17495,975,NULL,404,NULL,NULL,NULL,2,4),(28,7049382,6.00,9.00,3.00,7.00,9.00,12.00,6.00,8.00,7.00,103,NULL,NULL,'SETOR JAÓ','GOIÂNIA','GO',93,78,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049404,4.00,7.00,1.00,4.00,9.00,8.25,3.00,6.00,4.00,207,NULL,212,'FUNDOS','BIGUAÇU','SC',4583,193,NULL,146,NULL,NULL,NULL,4,1),(28,7049412,1.00,6.00,2.00,4.00,6.00,7.50,3.00,6.00,3.00,103,NULL,NULL,'COHAB TARUMÃ','TANGARÁ SERRA','MT',9568,2044,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049420,3.00,4.00,1.00,5.00,5.00,10.50,2.00,3.00,2.00,203,NULL,202,'SÃO SEBASTIÃO','PALHOÇA','SC',17931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CRUZEIRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7049455,2.00,6.00,1.00,5.00,4.00,9.38,2.00,2.00,2.00,5,NULL,NULL,'CENTRO','BIGUAÇU','SC',15001,407,NULL,NULL,NULL,NULL,NULL,2,1),(28,7049471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7049480,3.00,6.00,3.00,6.00,4.00,7.50,4.00,4.00,5.00,216,NULL,211,'JARDIM LAS PALMAS','GUARUJÁ','SP',12751,362,NULL,331,NULL,NULL,NULL,4,6),(28,7049501,2.00,6.00,2.00,2.00,3.00,4.50,2.00,4.00,3.00,303,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',19586,604,NULL,NULL,NULL,NULL,NULL,2,1),(28,7049510,2.00,7.00,1.00,7.00,9.00,8.25,2.00,5.00,3.00,211,NULL,215,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',8223,223,NULL,140,NULL,NULL,NULL,2,1),(28,7049528,1.00,4.00,1.00,4.00,2.00,NULL,2.00,3.00,1.00,104,NULL,NULL,'JARDIM','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7049544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7049552,3.00,6.00,1.00,7.00,8.00,11.63,4.00,5.00,1.00,424,NULL,428,'ABRAÃO','FLORIANÓPOLIS','SC',11776,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049560,3.00,6.00,1.00,6.00,7.00,11.25,4.00,5.00,7.00,214,NULL,601,'CENTRO','S BENTO SUL','SC',3525,126,NULL,49,NULL,NULL,NULL,4,8),(28,7049579,4.00,7.00,3.00,7.00,6.00,8.25,3.00,4.00,6.00,104,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',6513,140,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PARQUE TAQUARAL','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7049595,1.00,4.00,3.00,5.00,6.00,8.25,1.00,3.00,3.00,223,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14230,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049617,0.00,4.00,3.00,6.00,5.00,7.13,2.00,5.00,2.00,101,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7049625,0.00,3.00,2.00,4.00,4.00,NULL,2.00,3.00,2.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7049633,1.00,5.00,3.00,4.00,7.00,6.75,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','TANGARÁ SERRA','MT',13773,2288,NULL,NULL,NULL,NULL,NULL,2,1),(28,7049668,1.00,8.00,2.00,4.00,5.00,7.88,7.00,4.00,5.00,238,NULL,235,'FLORIANÓPOLIS CENTRO','FLORIANÓPOLIS','SC',12572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049684,5.00,5.00,1.00,6.00,8.00,9.38,4.00,4.00,7.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8487,143,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049692,6.00,7.00,6.00,6.00,7.00,6.75,5.00,7.00,7.00,216,NULL,233,'CENTRO','ROLÂNDIA','PR',1483,45,NULL,22,NULL,NULL,NULL,4,1),(28,7049706,5.00,6.00,2.00,7.00,8.00,8.63,3.00,5.00,7.00,103,NULL,NULL,'JD LEA LEAL','MARINGÁ','PR',3563,1254,NULL,NULL,NULL,NULL,NULL,4,6),(28,7049714,1.00,5.00,2.00,3.00,8.00,6.75,1.00,3.00,1.00,424,NULL,NULL,'FLORESTA','JOINVILLE','SC',14827,22,NULL,NULL,NULL,NULL,NULL,4,8),(28,7049722,0.00,6.00,4.00,3.00,5.00,NULL,2.00,6.00,1.00,552,NULL,NULL,'RIO SALTO','TREZE MAIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7049730,2.00,5.00,2.00,6.00,6.00,7.88,4.00,5.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9878,182,NULL,NULL,NULL,NULL,NULL,2,1),(28,7049749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD PAULICEIA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7049757,4.00,4.00,3.00,4.00,5.00,7.13,1.00,5.00,3.00,326,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',16914,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049765,3.00,5.00,2.00,7.00,7.00,10.13,2.00,4.00,4.00,303,NULL,NULL,'ATIRADORES','JOINVILLE','SC',10714,431,NULL,NULL,NULL,NULL,NULL,4,8),(28,7049773,0.00,4.00,1.00,6.00,4.00,7.50,3.00,4.00,1.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',18954,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049781,5.00,9.00,3.00,4.00,8.00,6.00,4.00,7.00,6.00,5,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',4667,159,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049803,2.00,4.00,2.00,7.00,4.00,9.38,1.00,3.00,5.00,999,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049811,0.00,4.00,3.00,4.00,4.00,NULL,2.00,2.00,3.00,336,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7049838,3.00,7.00,3.00,4.00,5.00,7.88,6.00,5.00,6.00,201,NULL,203,'AMIZADE','JARAGUÁ SUL','SC',10954,720,NULL,557,NULL,NULL,NULL,4,8),(28,7049846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7049854,5.00,7.00,3.00,7.00,9.00,9.75,2.00,7.00,3.00,310,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4939,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049862,5.00,5.00,2.00,3.00,7.00,9.38,4.00,6.00,5.00,3,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6911,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049870,1.00,5.00,1.00,5.00,3.00,4.88,2.00,1.00,4.00,316,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',19680,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7049889,2.00,6.00,4.00,7.00,6.00,9.00,3.00,6.00,6.00,201,NULL,212,'PENHA','S PAULO','SP',3800,292,NULL,115,NULL,NULL,NULL,4,1),(28,7049897,4.00,7.00,1.00,5.00,8.00,9.38,4.00,6.00,3.00,340,NULL,NULL,'JARDIM CARANDAI','BIGUAÇU','SC',8895,246,NULL,NULL,NULL,NULL,NULL,2,1),(28,7049919,5.00,7.00,3.00,6.00,8.00,7.50,4.00,5.00,5.00,220,NULL,213,'BARREIROS','S JOSÉ','SC',5453,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7049927,3.00,6.00,1.00,6.00,8.00,8.63,2.00,3.00,1.00,103,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',10178,2085,NULL,NULL,NULL,NULL,NULL,2,4),(28,7049935,1.00,3.00,0.00,6.00,5.00,6.38,1.00,5.00,2.00,999,NULL,NULL,'TARUMÃ','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049951,5.00,8.00,3.00,7.00,7.00,10.88,4.00,6.00,5.00,214,NULL,212,'JARDIM EUROPA','PIRACICABA','SP',1662,52,NULL,17,NULL,NULL,NULL,4,1),(28,7049960,1.00,2.00,1.00,2.00,5.00,9.00,0.00,4.00,3.00,308,NULL,NULL,'PONTE DO IMAUIM','PALHOÇA','SC',19683,95,NULL,NULL,NULL,NULL,NULL,2,1),(28,7049978,2.00,6.00,2.00,6.00,4.00,7.13,3.00,4.00,2.00,318,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',16566,118,NULL,NULL,NULL,NULL,NULL,4,1),(28,7049986,9.00,9.00,6.00,7.00,9.00,10.50,8.00,8.00,7.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',11,10,NULL,NULL,NULL,NULL,NULL,4,6),(28,7050011,2.00,6.00,1.00,7.00,5.00,6.75,2.00,5.00,2.00,303,NULL,NULL,'CENTRO','NOVA PRATA','RS',10703,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7050046,0.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7050054,0.00,4.00,3.00,1.00,2.00,NULL,3.00,3.00,1.00,601,NULL,212,'JARDIM EUCALIPTUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7050062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'KOLLER','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7050100,0.00,4.00,3.00,5.00,4.00,NULL,0.00,4.00,0.00,223,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7050119,0.00,1.00,1.00,3.00,6.00,7.50,1.00,3.00,2.00,454,NULL,NULL,'BUCAREIN','JOINVILLE','SC',19730,393,NULL,NULL,NULL,NULL,NULL,4,8),(28,7050127,2.00,4.00,2.00,6.00,6.00,8.25,1.00,4.00,2.00,216,NULL,207,'SÃO VICENTE','ITAJAÍ','SC',12112,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7050143,0.00,6.00,2.00,4.00,6.00,7.50,5.00,2.00,3.00,337,NULL,NULL,'SAÚDE','S PAULO','SP',15422,28,NULL,NULL,NULL,NULL,NULL,2,1),(28,7050151,2.00,5.00,1.00,7.00,5.00,7.88,2.00,4.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17657,343,NULL,NULL,NULL,NULL,NULL,4,1),(28,7050160,6.00,9.00,1.00,7.00,9.00,10.13,5.00,6.00,5.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',1304,680,NULL,NULL,NULL,NULL,NULL,4,8),(28,7050178,2.00,5.00,1.00,6.00,9.00,6.00,2.00,4.00,3.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',16175,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7050194,2.00,4.00,3.00,5.00,6.00,7.88,1.00,3.00,3.00,303,NULL,NULL,'SANGA DO COQUEIRO','FORQUILHINHA','SC',17380,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7050208,1.00,4.00,0.00,5.00,3.00,7.88,2.00,2.00,3.00,203,NULL,220,'COLONINHA','FLORIANÓPOLIS','SC',17402,683,NULL,329,NULL,NULL,NULL,2,1),(28,7050216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COPACABANA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7050232,4.00,8.00,6.00,7.00,9.00,9.38,4.00,7.00,6.00,211,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',2196,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7050267,6.00,6.00,2.00,5.00,6.00,9.75,6.00,6.00,6.00,103,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',2487,1019,NULL,NULL,NULL,NULL,NULL,2,4),(28,7050275,3.00,6.00,0.00,5.00,8.00,7.50,1.00,6.00,6.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',6625,1716,NULL,NULL,NULL,NULL,NULL,2,4),(28,7050283,4.00,6.00,4.00,4.00,6.00,7.13,4.00,6.00,3.00,202,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',7976,214,NULL,576,NULL,NULL,NULL,2,1),(28,7050291,0.00,4.00,3.00,1.00,4.00,NULL,3.00,2.00,3.00,999,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7050305,3.00,7.00,2.00,5.00,4.00,8.63,3.00,6.00,5.00,201,NULL,653,'VILA MOEMA','TUBARÃO','SC',10925,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7050313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CASA BRANCA','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7050321,2.00,4.00,1.00,7.00,8.00,7.88,5.00,6.00,4.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',9750,2056,NULL,NULL,NULL,NULL,NULL,4,17),(28,7050356,1.00,5.00,0.00,2.00,4.00,7.13,1.00,4.00,2.00,552,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7050372,2.00,6.00,4.00,3.00,7.00,7.50,3.00,6.00,4.00,104,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',10952,267,NULL,NULL,NULL,NULL,NULL,4,1),(28,7050380,1.00,4.00,1.00,5.00,5.00,6.00,2.00,3.00,2.00,207,NULL,201,'CENTRO','CHAPECÓ','SC',18862,789,NULL,NULL,NULL,NULL,NULL,4,4),(28,7050399,2.00,5.00,2.00,5.00,8.00,6.38,3.00,4.00,2.00,317,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',16778,138,NULL,NULL,NULL,NULL,NULL,2,5),(28,7050410,4.00,4.00,1.00,6.00,5.00,8.63,4.00,7.00,4.00,223,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',13152,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7050429,1.00,6.00,1.00,5.00,3.00,8.25,2.00,4.00,3.00,425,NULL,427,'CENTRO','PALHOÇA','SC',15588,NULL,NULL,10,NULL,NULL,NULL,4,1),(28,7050437,1.00,5.00,3.00,6.00,8.00,7.13,4.00,5.00,2.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7050445,4.00,6.00,2.00,7.00,7.00,10.50,4.00,7.00,7.00,207,NULL,212,'CAMPINAS','S JOSÉ','SC',2648,91,NULL,72,NULL,NULL,NULL,4,1),(28,7050453,6.00,6.00,3.00,4.00,7.00,9.38,6.00,7.00,5.00,214,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',3256,NULL,NULL,75,NULL,NULL,NULL,4,1),(28,7050461,0.00,3.00,2.00,3.00,2.00,NULL,3.00,3.00,2.00,103,NULL,NULL,'CENTRO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7050470,0.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(28,7050488,4.00,6.00,2.00,5.00,8.00,7.50,6.00,6.00,6.00,220,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7619,204,NULL,NULL,NULL,NULL,NULL,4,1),(28,7050496,1.00,5.00,0.00,4.00,7.00,6.00,2.00,6.00,2.00,220,NULL,235,'CENTRO','BAL CAMBORIÚ','SC',11937,276,NULL,193,NULL,NULL,NULL,4,6),(28,7050500,2.00,7.00,3.00,6.00,7.00,10.13,0.00,6.00,1.00,103,NULL,NULL,'CIDADE VARGAS','S PAULO','SP',12411,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7050518,1.00,4.00,3.00,2.00,3.00,7.50,2.00,3.00,1.00,103,NULL,NULL,'LEÔNIDAS MOREIRA','S PAULO','SP',17118,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7050526,2.00,4.00,1.00,2.00,4.00,8.25,0.00,3.00,2.00,224,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',17586,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7050534,0.00,4.00,4.00,0.00,1.00,NULL,1.00,3.00,1.00,601,NULL,201,'CENTRO','SALETE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7050542,3.00,5.00,1.00,6.00,6.00,8.63,2.00,3.00,3.00,303,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',9562,393,NULL,NULL,NULL,NULL,NULL,4,2),(28,7050569,5.00,7.00,2.00,7.00,4.00,7.50,4.00,7.00,6.00,103,NULL,NULL,'AGUAS CLARAS','TAGUATINGA','DF',8144,1913,NULL,NULL,NULL,NULL,NULL,4,1),(28,7050577,1.00,6.00,3.00,3.00,3.00,6.00,1.00,3.00,4.00,205,NULL,NULL,'INTERIOR','S JOÃO OESTE','SC',14615,14,NULL,NULL,NULL,NULL,NULL,2,4),(28,7050593,1.00,7.00,3.00,5.00,5.00,7.88,4.00,5.00,3.00,655,NULL,652,'PRAIA DA META','BAL ARROIO SILVA','SC',15202,NULL,NULL,54,NULL,NULL,NULL,2,15),(28,7050607,1.00,6.00,1.00,4.00,4.00,6.00,1.00,4.00,5.00,203,NULL,238,'SANTINHO','FLORIANÓPOLIS','SC',17423,684,NULL,305,NULL,NULL,NULL,4,1),(28,7050615,3.00,8.00,2.00,4.00,8.00,6.75,2.00,4.00,3.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11182,110,NULL,NULL,NULL,NULL,NULL,4,1),(28,7050623,1.00,3.00,2.00,2.00,4.00,6.38,1.00,3.00,3.00,201,NULL,214,'AREIAS','S JOSÉ','SC',17632,980,NULL,344,NULL,NULL,NULL,4,1),(28,7050631,0.00,6.00,4.00,5.00,4.00,7.13,3.00,2.00,1.00,208,NULL,NULL,'FLORESTA','S JOSÉ','SC',14764,160,NULL,NULL,NULL,NULL,NULL,4,1),(28,7050658,1.00,4.00,2.00,1.00,2.00,NULL,1.00,3.00,4.00,316,NULL,NULL,'COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7050666,2.00,4.00,2.00,2.00,5.00,NULL,0.00,3.00,2.00,440,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7050674,6.00,9.00,4.00,7.00,9.00,8.63,5.00,7.00,7.00,203,NULL,214,'MOEMA','S PAULO','SP',644,60,NULL,NULL,NULL,NULL,NULL,4,1),(28,7050682,3.00,7.00,3.00,7.00,7.00,5.63,6.00,4.00,5.00,201,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',6472,498,NULL,202,NULL,NULL,NULL,2,1),(28,7050690,2.00,6.00,1.00,3.00,6.00,7.13,4.00,2.00,2.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',14469,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7050704,1.00,7.00,4.00,7.00,5.00,10.13,4.00,6.00,4.00,201,NULL,211,'SÃO DIMAS','PIRACICABA','SP',4548,352,NULL,NULL,NULL,NULL,NULL,4,3),(28,7050712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(28,7050720,4.00,8.00,4.00,6.00,8.00,11.25,4.00,7.00,2.00,104,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',3270,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7050739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7050747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AYMORÉ','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7050780,2.00,7.00,1.00,6.00,7.00,7.88,3.00,2.00,4.00,104,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',9481,231,NULL,NULL,NULL,NULL,NULL,4,1),(28,7050801,2.00,6.00,4.00,3.00,5.00,5.63,2.00,7.00,4.00,999,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7050810,3.00,5.00,1.00,4.00,6.00,9.00,2.00,2.00,4.00,103,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',17709,2464,NULL,NULL,NULL,NULL,NULL,4,4),(28,7050828,5.00,7.00,3.00,5.00,8.00,9.00,4.00,7.00,5.00,104,NULL,NULL,'ALTO BIGUAÇU','BIGUAÇU','SC',2777,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7050836,0.00,5.00,0.00,4.00,5.00,8.63,4.00,3.00,2.00,454,NULL,NULL,'MAR GROSSO','LAGUNA','SC',11722,232,NULL,NULL,NULL,NULL,NULL,2,10),(28,7050844,6.00,7.00,3.00,6.00,10.00,8.63,5.00,5.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1537,757,NULL,NULL,NULL,NULL,NULL,4,4),(28,7050852,0.00,1.00,2.00,7.00,4.00,6.38,3.00,2.00,1.00,203,NULL,NULL,'GRANJA VIANA','COTIA','SP',16402,665,NULL,NULL,NULL,NULL,NULL,4,1),(28,7050860,5.00,7.00,2.00,7.00,8.00,8.63,3.00,5.00,5.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',3772,54,NULL,NULL,NULL,NULL,NULL,2,1),(28,7050879,5.00,8.00,4.00,7.00,10.00,8.25,4.00,8.00,7.00,207,NULL,201,'RECREIO DOS CAFEZAIS','VALINHOS','SP',695,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7050887,2.00,7.00,3.00,7.00,8.00,9.75,2.00,7.00,2.00,207,NULL,238,'JARDIM CIDADE DE FLO','S JOSÉ','SC',5422,240,NULL,45,NULL,NULL,NULL,4,1),(28,7050895,5.00,7.00,1.00,5.00,7.00,10.13,6.00,6.00,6.00,108,NULL,NULL,'COLONINHA','GASPAR','SC',5249,59,NULL,NULL,NULL,NULL,NULL,4,2),(28,7050909,3.00,8.00,1.00,7.00,9.00,5.63,5.00,5.00,5.00,220,NULL,235,'RIO CAVEIRAS','BIGUAÇU','SC',4747,140,NULL,81,NULL,NULL,NULL,4,1),(28,7050917,4.00,5.00,3.00,5.00,9.00,15.00,4.00,7.00,3.00,207,NULL,233,'UBATUBA','S FRANCISCO SUL','SC',2428,83,NULL,41,NULL,NULL,NULL,2,8),(28,7050925,3.00,8.00,2.00,4.00,6.00,10.50,3.00,7.00,4.00,103,NULL,NULL,'ZONA RURAL','IRACEMINHA','SC',4318,1387,NULL,NULL,NULL,NULL,NULL,4,4),(28,7050933,2.00,7.00,3.00,6.00,6.00,5.63,3.00,4.00,4.00,213,NULL,214,'CENTRO','ARAPONGAS','PR',9450,167,NULL,244,NULL,NULL,NULL,4,8),(28,7050941,5.00,8.00,3.00,6.00,8.00,9.75,4.00,7.00,7.00,103,NULL,NULL,'SANTA MENA','GUARULHOS','SP',1884,855,NULL,NULL,NULL,NULL,NULL,2,1),(28,7050950,0.00,3.00,1.00,1.00,3.00,5.25,2.00,4.00,1.00,501,NULL,NULL,'ZONA RURAL','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7050968,2.00,2.00,1.00,6.00,2.00,NULL,2.00,5.00,0.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7050984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CARMO CACHOEIRA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7050992,1.00,4.00,2.00,2.00,4.00,6.75,2.00,3.00,0.00,501,NULL,NULL,'FAZENDO DO MAX','S JOSÉ','SC',17432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051000,2.00,5.00,2.00,7.00,8.00,8.63,5.00,4.00,2.00,201,NULL,238,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',12434,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7051018,3.00,7.00,3.00,5.00,9.00,7.13,3.00,5.00,6.00,201,NULL,207,'CAMPINAS','S JOSÉ','SC',5036,389,NULL,220,NULL,NULL,NULL,2,1),(28,7051026,3.00,7.00,1.00,5.00,8.00,9.38,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9570,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7051034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7051050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7051069,1.00,4.00,3.00,4.00,4.00,6.00,3.00,3.00,1.00,203,NULL,201,'LAGOÃO','ARARANGUÁ','SC',15238,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7051077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7051093,7.00,8.00,5.00,7.00,7.00,9.38,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',941,528,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051107,3.00,7.00,1.00,7.00,7.00,NULL,3.00,5.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7051115,3.00,7.00,2.00,6.00,7.00,6.38,3.00,6.00,4.00,318,NULL,NULL,'KOBRASOL','S JOSÉ','SC',7130,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051123,1.00,5.00,2.00,7.00,8.00,6.75,5.00,6.00,4.00,203,NULL,233,'ZONA SUL','IA SOLTEIRA','SP',7480,453,NULL,188,NULL,NULL,NULL,4,1),(28,7051131,4.00,7.00,3.00,7.00,5.00,6.75,1.00,5.00,4.00,201,NULL,215,'SERTÃO DO MARUIM','S JOSÉ','SC',7318,541,NULL,116,NULL,NULL,NULL,4,1),(28,7051140,1.00,7.00,3.00,5.00,5.00,6.38,3.00,5.00,4.00,201,NULL,203,'JARDIM AMÉRICA','ITUPORANGA','SC',10732,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7051158,1.00,4.00,2.00,5.00,6.00,8.63,2.00,4.00,2.00,999,NULL,NULL,'CENTRO','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7051174,4.00,4.00,3.00,3.00,5.00,7.88,5.00,5.00,4.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',7802,1867,NULL,NULL,NULL,NULL,NULL,2,4),(28,7051182,3.00,7.00,2.00,5.00,7.00,7.50,2.00,4.00,3.00,340,NULL,NULL,'CENTRO','CAÇADOR','SC',9376,262,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051190,0.00,4.00,1.00,4.00,5.00,NULL,1.00,2.00,2.00,415,NULL,NULL,'SÃO LUIS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7051204,6.00,8.00,0.00,8.00,8.00,9.75,4.00,7.00,5.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',1866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051212,0.00,0.00,3.00,3.00,2.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CORRÉGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7051220,0.00,3.00,1.00,7.00,5.00,NULL,3.00,4.00,2.00,207,NULL,201,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051239,3.00,6.00,2.00,7.00,7.00,8.63,3.00,7.00,4.00,201,NULL,211,'CENTRO','ASSIS','SP',7141,531,NULL,202,NULL,NULL,NULL,4,1),(28,7051247,2.00,5.00,3.00,5.00,2.00,NULL,0.00,2.00,3.00,109,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7051255,0.00,3.00,2.00,3.00,2.00,NULL,1.00,3.00,2.00,301,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7051263,7.00,8.00,5.00,8.00,9.00,12.38,6.00,8.00,6.00,103,NULL,NULL,'CENTRO','PIRACICABA','SP',172,134,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051271,0.00,0.00,1.00,4.00,1.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'JARDIM BELA VISTA','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7051301,7.00,5.00,4.00,7.00,8.00,7.88,5.00,6.00,7.00,216,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1508,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051310,6.00,7.00,2.00,5.00,9.00,9.00,3.00,5.00,6.00,110,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',3361,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051328,3.00,5.00,1.00,6.00,5.00,6.00,2.00,4.00,2.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',12755,236,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051336,5.00,8.00,5.00,7.00,6.00,8.63,7.00,8.00,8.00,203,NULL,216,'CAMBUI','CAMPINAS','SP',325,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051344,1.00,4.00,3.00,5.00,7.00,7.50,2.00,5.00,4.00,207,NULL,601,'SANTO ANTONIO','JOINVILLE','SC',10885,499,NULL,318,NULL,NULL,NULL,4,8),(28,7051352,3.00,7.00,4.00,7.00,5.00,7.50,4.00,5.00,6.00,216,NULL,211,'JD ALTOS DO ESPLANAD','S JOSÉ CAMPOS','SP',4568,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051360,5.00,7.00,3.00,7.00,5.00,7.13,4.00,8.00,6.00,201,NULL,235,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',3253,246,NULL,53,NULL,NULL,NULL,4,1),(28,7051379,3.00,6.00,2.00,5.00,3.00,7.13,4.00,8.00,2.00,103,NULL,NULL,'CENTRO','TANGARÁ SERRA','MT',8491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051395,0.00,4.00,3.00,6.00,3.00,7.13,4.00,7.00,5.00,304,NULL,NULL,'JARDIM ITÁLIA','MELEIRO','SC',11322,84,NULL,NULL,NULL,NULL,NULL,2,15),(28,7051417,1.00,4.00,2.00,3.00,4.00,3.00,1.00,2.00,2.00,552,NULL,NULL,'LINHA SÃO LUIS','IPIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7051425,3.00,3.00,0.00,3.00,2.00,NULL,1.00,2.00,1.00,319,NULL,NULL,'INTERIOR','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7051441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7051468,2.00,5.00,1.00,6.00,5.00,6.75,3.00,3.00,3.00,425,NULL,428,'INGLESES','FLORIANÓPOLIS','SC',18013,66,NULL,63,NULL,NULL,NULL,4,1),(28,7051476,2.00,7.00,1.00,4.00,5.00,8.25,3.00,6.00,2.00,451,NULL,NULL,'LOMBA','ORLEANS','SC',12921,27,NULL,NULL,NULL,NULL,NULL,4,5),(28,7051506,1.00,4.00,3.00,1.00,6.00,6.00,1.00,3.00,0.00,302,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',19888,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7051522,0.00,7.00,1.00,4.00,5.00,NULL,3.00,6.00,3.00,201,NULL,202,'JOÃO WINCKLER','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(28,7051530,2.00,6.00,2.00,7.00,4.00,7.13,1.00,6.00,2.00,340,NULL,NULL,'AGRONOMIA','PTO ALEGRE','RS',16784,409,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051549,3.00,5.00,4.00,7.00,6.00,9.75,7.00,5.00,5.00,201,NULL,212,'KOBRASOL','S JOSÉ','SC',4018,308,NULL,125,NULL,NULL,NULL,4,1),(28,7051557,2.00,6.00,2.00,6.00,7.00,7.13,0.00,6.00,3.00,331,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',11188,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051573,5.00,3.00,1.00,2.00,3.00,1.50,2.00,2.00,2.00,440,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7051581,5.00,8.00,5.00,6.00,8.00,9.38,6.00,9.00,7.00,203,NULL,201,'VILA NOVA','JOINVILLE','SC',409,37,NULL,NULL,NULL,NULL,NULL,4,8),(28,7051590,1.00,6.00,1.00,5.00,5.00,9.00,0.00,4.00,2.00,332,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',14843,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7051603,5.00,5.00,4.00,5.00,8.00,9.00,3.00,3.00,5.00,103,NULL,NULL,'ITAIBA','CONCÓRDIA','SC',9886,2067,NULL,NULL,NULL,NULL,NULL,4,26),(28,7051611,3.00,3.00,2.00,6.00,5.00,7.50,1.00,3.00,3.00,337,NULL,NULL,'CAMPINAS','S JOSÉ','SC',18057,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7051620,2.00,8.00,2.00,6.00,4.00,6.75,2.00,5.00,4.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',11557,2174,NULL,NULL,NULL,NULL,NULL,2,1),(28,7051638,5.00,7.00,4.00,5.00,8.00,11.63,4.00,7.00,5.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',1446,727,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051662,1.00,6.00,2.00,2.00,3.00,NULL,0.00,7.00,1.00,101,NULL,NULL,'AMBROSIO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051670,2.00,4.00,2.00,4.00,5.00,8.25,2.00,2.00,1.00,454,NULL,NULL,'CEARA','CRICIÚMA','SC',15120,308,NULL,NULL,NULL,NULL,NULL,2,5),(28,7051689,3.00,7.00,3.00,7.00,6.00,7.13,2.00,7.00,3.00,340,NULL,NULL,'VILA ADYANNA','S JOSÉ CAMPOS','SP',10668,295,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051697,1.00,6.00,4.00,5.00,7.00,10.13,3.00,5.00,6.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5601,66,NULL,NULL,NULL,NULL,NULL,2,1),(28,7051727,6.00,7.00,2.00,7.00,9.00,7.88,3.00,6.00,6.00,3,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',2452,6,NULL,NULL,NULL,NULL,NULL,2,1),(28,7051735,3.00,7.00,4.00,7.00,8.00,8.25,3.00,7.00,7.00,319,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',3403,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051751,0.00,6.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,302,NULL,NULL,'CENTRO','JUNQUEIRÓPOLIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051778,5.00,7.00,5.00,5.00,7.00,8.25,6.00,5.00,3.00,203,NULL,211,'PARQUE DOS PÁSSAROS','S BERNARDO CAMPO','SP',8760,501,NULL,238,NULL,NULL,NULL,4,1),(28,7051786,2.00,3.00,2.00,5.00,6.00,4.88,4.00,1.00,2.00,451,NULL,NULL,'FLORESTA','S JOSÉ','SC',19131,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051808,2.00,6.00,3.00,3.00,2.00,NULL,3.00,3.00,3.00,214,NULL,NULL,'VL TODOS OS SANTOS','INDAIATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051816,1.00,6.00,6.00,6.00,7.00,6.75,7.00,7.00,3.00,203,NULL,NULL,'ANCHIETA','RIO JANEIRO','RJ',6217,402,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051824,3.00,7.00,3.00,4.00,6.00,8.25,6.00,5.00,5.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',6768,1730,NULL,NULL,NULL,NULL,NULL,4,8),(28,7051832,0.00,5.00,3.00,6.00,6.00,7.88,2.00,5.00,3.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12456,246,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051859,2.00,4.00,1.00,7.00,4.00,7.50,4.00,2.00,5.00,601,NULL,NULL,'GLORIA','JOINVILLE','SC',16431,482,NULL,NULL,NULL,NULL,NULL,4,8),(28,7051867,2.00,7.00,2.00,4.00,4.00,6.75,1.00,3.00,1.00,101,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',13378,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7051875,0.00,2.00,1.00,4.00,4.00,NULL,0.00,2.00,0.00,502,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7051883,5.00,8.00,5.00,5.00,8.00,12.75,5.00,5.00,5.00,103,NULL,NULL,'BROTAS','PIRAÍ SUL','PR',1533,754,NULL,NULL,NULL,NULL,NULL,4,8),(28,7051891,5.00,5.00,2.00,6.00,9.00,7.13,0.00,4.00,3.00,304,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10320,74,NULL,NULL,NULL,NULL,NULL,4,6),(28,7051905,1.00,6.00,1.00,6.00,7.00,9.75,2.00,4.00,3.00,319,NULL,NULL,'CASTELO BRANCO','ITAPEMA','SC',9847,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7051913,1.00,3.00,2.00,5.00,2.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'RAICHASKI','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7051921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7051930,4.00,6.00,2.00,5.00,6.00,7.13,3.00,4.00,3.00,201,NULL,212,'PEDRA BRANCA','PALHOÇA','SC',8570,613,NULL,257,NULL,NULL,NULL,4,1),(28,7051948,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',1,4),(28,7051956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7051964,1.00,2.00,2.00,5.00,2.00,NULL,1.00,2.00,1.00,238,NULL,235,'INGLESES SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7051972,6.00,8.00,2.00,8.00,5.00,7.13,3.00,5.00,5.00,301,NULL,NULL,'CHAMONIX I','ITATIBA','SP',4696,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7051999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'MONT SERRAT','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7052006,4.00,6.00,2.00,7.00,4.00,8.63,5.00,7.00,3.00,653,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',10955,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7052014,1.00,3.00,2.00,4.00,4.00,4.88,4.00,3.00,3.00,552,NULL,NULL,'GRUTA','LEBON RÉGIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7052049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7052065,5.00,6.00,1.00,7.00,7.00,5.25,6.00,3.00,3.00,203,NULL,213,'BARREIROS','S JOSÉ','SC',8192,483,NULL,145,NULL,NULL,NULL,2,1),(28,7052073,1.00,3.00,3.00,4.00,4.00,4.50,1.00,3.00,2.00,451,NULL,NULL,'FLORESTA','S JOSÉ','SC',18335,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7052081,1.00,3.00,2.00,4.00,6.00,8.25,3.00,3.00,1.00,503,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7052090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7052103,3.00,6.00,4.00,6.00,7.00,6.75,4.00,5.00,4.00,212,NULL,601,'IPIRANGA','S JOSÉ','SC',8876,269,NULL,227,NULL,NULL,NULL,2,1),(28,7052111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'STO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7052120,0.00,6.00,4.00,6.00,6.00,9.75,1.00,3.00,4.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12196,464,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052138,1.00,6.00,2.00,5.00,2.00,NULL,0.00,6.00,2.00,316,NULL,NULL,'JARDIM ITÁLIA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7052154,4.00,6.00,3.00,7.00,6.00,7.88,4.00,5.00,3.00,235,NULL,220,'RIO FERREIRA','TREVISO','SC',9690,158,NULL,237,NULL,NULL,NULL,4,5),(28,7052162,1.00,4.00,1.00,3.00,8.00,7.13,3.00,6.00,1.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10880,301,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052170,3.00,4.00,1.00,1.00,5.00,7.88,2.00,4.00,3.00,415,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052189,7.00,8.00,5.00,6.00,9.00,10.13,6.00,8.00,7.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',178,139,NULL,NULL,NULL,NULL,NULL,4,8),(28,7052197,0.00,3.00,2.00,6.00,8.00,7.88,0.00,2.00,2.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7052219,4.00,4.00,2.00,4.00,6.00,7.88,3.00,5.00,3.00,101,NULL,NULL,'ROÇADO','S JOSÉ','SC',11835,57,NULL,NULL,NULL,NULL,NULL,2,1),(28,7052227,0.00,2.00,1.00,4.00,2.00,NULL,2.00,2.00,1.00,238,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7052243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7052251,0.00,4.00,2.00,6.00,5.00,NULL,3.00,2.00,4.00,207,NULL,233,'JARDIM CARANDAÍ','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7052260,3.00,8.00,3.00,7.00,5.00,7.88,3.00,4.00,2.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',9588,395,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052278,6.00,8.00,5.00,5.00,8.00,7.50,6.00,5.00,5.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2269,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052286,1.00,7.00,1.00,3.00,5.00,7.13,2.00,5.00,1.00,999,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7052294,2.00,7.00,2.00,6.00,8.00,10.50,2.00,7.00,4.00,319,NULL,NULL,'HIGIENÓPOLIS','S PAULO','SP',3931,55,NULL,NULL,NULL,NULL,NULL,2,1),(28,7052308,1.00,5.00,2.00,2.00,4.00,9.38,0.00,1.00,2.00,235,NULL,214,'CENTRO','S JOSÉ R PRETO','SP',19701,293,NULL,363,NULL,NULL,NULL,2,1),(28,7052316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA REZENDE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7052324,5.00,7.00,5.00,6.00,10.00,10.50,7.00,7.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',264,200,NULL,NULL,NULL,NULL,NULL,4,5),(28,7052332,3.00,8.00,4.00,7.00,9.00,11.63,4.00,7.00,4.00,450,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',1628,7,NULL,NULL,NULL,NULL,NULL,4,15),(28,7052340,3.00,5.00,2.00,7.00,10.00,9.75,2.00,5.00,4.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052367,2.00,4.00,3.00,4.00,4.00,5.63,1.00,4.00,5.00,601,NULL,652,'GUANABARA','JOINVILLE','SC',15756,465,NULL,59,NULL,NULL,NULL,2,8),(28,7052391,8.00,9.00,5.00,5.00,9.00,10.88,6.00,7.00,8.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',474,328,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052405,3.00,7.00,3.00,7.00,7.00,10.88,4.00,4.00,4.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',5188,1519,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052421,0.00,3.00,1.00,4.00,5.00,NULL,2.00,2.00,0.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7052430,5.00,6.00,6.00,6.00,5.00,4.50,1.00,6.00,2.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',9846,2061,NULL,NULL,NULL,NULL,NULL,4,8),(28,7052448,6.00,8.00,4.00,8.00,8.00,12.00,4.00,8.00,6.00,319,NULL,NULL,'CENTRO','PALHOÇA','SC',822,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052456,4.00,6.00,3.00,7.00,7.00,NULL,0.00,6.00,4.00,203,NULL,213,'PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052464,1.00,7.00,3.00,6.00,7.00,7.88,4.00,6.00,4.00,201,NULL,207,'ESCOLA AGRÍCOLA','BLUMENAU','SC',6540,503,NULL,302,NULL,NULL,NULL,4,2),(28,7052480,3.00,6.00,4.00,5.00,7.00,9.38,3.00,7.00,3.00,336,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052499,3.00,8.00,2.00,6.00,8.00,9.00,2.00,3.00,1.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14217,102,NULL,NULL,NULL,NULL,NULL,2,1),(28,7052510,2.00,4.00,2.00,5.00,7.00,6.38,3.00,6.00,5.00,450,NULL,NULL,'VISTA VERDE','S JOSÉ CAMPOS','SP',9515,75,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052529,4.00,8.00,2.00,6.00,8.00,9.38,3.00,5.00,6.00,103,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',3971,1318,NULL,NULL,NULL,NULL,NULL,2,23),(28,7052545,4.00,6.00,3.00,5.00,5.00,9.75,2.00,5.00,4.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',7846,358,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052553,0.00,7.00,3.00,5.00,7.00,10.13,3.00,4.00,2.00,655,NULL,NULL,'ZONA NOVA','CAPÃO CANOA','RS',13714,75,NULL,NULL,NULL,NULL,NULL,4,15),(28,7052561,3.00,6.00,2.00,7.00,5.00,9.38,3.00,6.00,6.00,415,NULL,NULL,'JARDIM MESQUIETA','JACAREÍ','SP',5886,90,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052570,1.00,3.00,1.00,5.00,3.00,6.38,3.00,2.00,1.00,999,NULL,NULL,'TESTO CENTRAL','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(28,7052596,6.00,5.00,4.00,7.00,7.00,9.00,5.00,5.00,2.00,207,NULL,212,'CAMPINAS','S JOSÉ','SC',8216,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052600,2.00,7.00,1.00,3.00,7.00,10.13,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','GALVÃO','SC',4727,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7052618,4.00,5.00,0.00,4.00,5.00,10.13,1.00,6.00,4.00,109,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',9880,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7052626,1.00,3.00,2.00,4.00,2.00,NULL,1.00,2.00,1.00,999,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7052634,5.00,8.00,3.00,5.00,7.00,9.38,4.00,5.00,3.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',3979,1320,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052642,3.00,7.00,2.00,7.00,7.00,11.63,4.00,7.00,6.00,211,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',4046,102,NULL,127,NULL,NULL,NULL,4,1),(28,7052650,1.00,6.00,3.00,6.00,6.00,4.50,3.00,5.00,3.00,213,NULL,202,'CARMO','SETE LAGOAS','MG',12217,207,NULL,NULL,NULL,NULL,NULL,2,1),(28,7052685,1.00,6.00,2.00,3.00,5.00,7.88,2.00,2.00,3.00,203,NULL,NULL,'CENTRO','MAJ VIEIRA','SC',15882,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7052693,3.00,8.00,2.00,7.00,8.00,8.25,2.00,7.00,4.00,207,NULL,201,'CENTRO','BIGUAÇU','SC',5272,234,NULL,408,NULL,NULL,NULL,2,1),(28,7052707,4.00,8.00,2.00,6.00,8.00,9.00,7.00,6.00,5.00,220,NULL,203,'BOSQUE DA SAÚDE','CUIABÁ','MT',2112,62,NULL,176,NULL,NULL,NULL,4,1),(28,7052723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE VERDE','BELÉM','PA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7052731,4.00,4.00,3.00,6.00,7.00,11.25,5.00,3.00,4.00,207,NULL,238,'COSTA E SILVA','JOINVILLE','SC',5981,274,NULL,61,NULL,NULL,NULL,4,8),(28,7052740,3.00,6.00,1.00,5.00,9.00,8.63,5.00,6.00,5.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',6512,1698,NULL,NULL,NULL,NULL,NULL,4,4),(28,7052766,2.00,8.00,3.00,5.00,7.00,7.88,0.00,4.00,3.00,212,NULL,233,'CENTRO','PINDAMONHANGABA','SP',12569,346,NULL,279,NULL,NULL,NULL,4,1),(28,7052774,5.00,7.00,2.00,3.00,8.00,8.25,3.00,3.00,3.00,501,NULL,NULL,'BARREIROS','S JOSÉ','SC',8536,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052790,6.00,7.00,1.00,6.00,11.00,10.13,5.00,6.00,5.00,207,NULL,233,'BARREIROS','S JOSÉ','SC',4192,173,NULL,112,NULL,NULL,NULL,4,1),(28,7052804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','GUARUJÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7052812,2.00,5.00,2.00,2.00,4.00,6.38,1.00,4.00,4.00,339,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',18926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052820,4.00,7.00,4.00,7.00,9.00,8.63,5.00,5.00,6.00,340,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',3466,81,NULL,NULL,NULL,NULL,NULL,4,8),(28,7052847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'JARDIM DAS FLORES','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7052855,0.00,3.00,3.00,5.00,5.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7052863,4.00,7.00,6.00,8.00,5.00,7.88,2.00,4.00,4.00,202,NULL,211,'BAIRRO ITAMARACA','VALINHOS','SP',4792,141,NULL,118,NULL,NULL,NULL,4,1),(28,7052871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,440,NULL,NULL,'SEMINARIO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7052880,0.00,4.00,2.00,4.00,5.00,NULL,1.00,1.00,1.00,999,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7052898,6.00,8.00,4.00,6.00,8.00,6.75,5.00,6.00,7.00,103,NULL,NULL,'MORADA VERDE','CERES','GO',1268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052901,7.00,7.00,4.00,7.00,9.00,9.75,2.00,6.00,5.00,103,NULL,NULL,'SANTO ANTONIO','S CAETANO SUL','SP',1389,708,NULL,NULL,NULL,NULL,NULL,4,2),(28,7052928,1.00,5.00,1.00,4.00,6.00,8.25,1.00,7.00,3.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10929,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052936,5.00,7.00,3.00,7.00,7.00,7.13,2.00,6.00,3.00,415,NULL,NULL,'SUMARÉ','S PAULO','SP',5584,85,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052944,5.00,7.00,4.00,6.00,7.00,11.63,4.00,5.00,5.00,238,NULL,652,'CENTRO','FLORIANÓPOLIS','SC',3680,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052952,6.00,8.00,5.00,6.00,7.00,9.38,6.00,7.00,7.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',1016,560,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052960,2.00,6.00,1.00,4.00,4.00,8.25,2.00,2.00,2.00,110,NULL,NULL,'SÃO JERÔNIMO','ORLEANS','SC',14683,62,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052979,1.00,3.00,0.00,2.00,3.00,4.88,3.00,3.00,1.00,309,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052987,2.00,6.00,0.00,4.00,6.00,7.13,1.00,6.00,3.00,104,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',10910,265,NULL,NULL,NULL,NULL,NULL,4,1),(28,7052995,2.00,7.00,3.00,6.00,4.00,10.13,1.00,5.00,4.00,212,NULL,214,'VILA ARENS','JUNDIAÍ','SP',5637,182,NULL,176,NULL,NULL,NULL,4,1),(28,7053010,6.00,8.00,3.00,7.00,8.00,12.38,4.00,9.00,6.00,5,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',284,2,NULL,NULL,NULL,NULL,NULL,4,2),(28,7053029,0.00,6.00,1.00,6.00,4.00,7.88,1.00,6.00,1.00,338,NULL,NULL,'NOVA MARILIA','MARÍLIA','SP',16043,8,NULL,NULL,NULL,NULL,NULL,4,3),(28,7053045,3.00,7.00,4.00,7.00,5.00,9.38,3.00,4.00,2.00,340,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',8903,247,NULL,NULL,NULL,NULL,NULL,2,1),(28,7053053,4.00,5.00,5.00,7.00,8.00,9.75,6.00,6.00,4.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',2241,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7053061,4.00,8.00,4.00,6.00,8.00,10.13,4.00,7.00,6.00,301,NULL,NULL,'ENGORDADOURO','JUNDIAÍ','SP',1665,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053088,2.00,5.00,1.00,5.00,5.00,6.75,3.00,5.00,2.00,201,NULL,211,'AREIAS','S JOSÉ','SC',14400,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7053096,0.00,1.00,3.00,3.00,4.00,6.00,0.00,4.00,3.00,9,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',19990,174,NULL,NULL,NULL,NULL,NULL,4,23),(28,7053100,1.00,4.00,1.00,5.00,3.00,8.25,4.00,5.00,5.00,212,NULL,213,'JD SÃO DIMAS','S JOSÉ CAMPOS','SP',10367,302,NULL,183,NULL,NULL,NULL,4,1),(28,7053118,0.00,5.00,2.00,2.00,3.00,NULL,3.00,4.00,3.00,327,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7053126,3.00,5.00,2.00,4.00,8.00,6.00,3.00,4.00,2.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',15783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053134,1.00,5.00,2.00,5.00,4.00,7.50,3.00,5.00,3.00,108,NULL,NULL,'JARDIM REGINALICE','BARUERI','SP',16772,228,NULL,NULL,NULL,NULL,NULL,4,3),(28,7053142,4.00,4.00,2.00,4.00,5.00,7.13,1.00,4.00,3.00,301,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7053150,4.00,7.00,1.00,6.00,8.00,6.75,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',6486,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7053169,2.00,2.00,1.00,2.00,3.00,5.25,2.00,3.00,1.00,102,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',18967,178,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053177,0.00,5.00,0.00,5.00,4.00,7.50,4.00,5.00,5.00,238,NULL,NULL,'CENTRO','CAXIAS SUL','RS',10815,165,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053185,4.00,7.00,4.00,5.00,9.00,5.63,3.00,6.00,5.00,203,NULL,220,'VILA MOEMA','TUBARÃO','SC',5789,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7053193,1.00,6.00,3.00,7.00,6.00,10.13,4.00,5.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8623,204,NULL,NULL,NULL,NULL,NULL,2,1),(28,7053207,3.00,5.00,1.00,7.00,9.00,7.13,1.00,5.00,7.00,999,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7053223,2.00,7.00,0.00,6.00,7.00,6.75,3.00,5.00,2.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',15840,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(28,7053231,1.00,3.00,3.00,6.00,3.00,4.50,2.00,4.00,1.00,601,NULL,212,'ÁGUA VERDE','CURITIBA','PR',19716,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7053240,1.00,3.00,2.00,1.00,7.00,4.88,1.00,2.00,1.00,501,NULL,NULL,'AREIAS','S JOSÉ','SC',18861,122,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053258,0.00,1.00,2.00,2.00,5.00,NULL,2.00,4.00,2.00,208,NULL,NULL,'JARDIM AQUÁRIUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7053274,4.00,7.00,3.00,6.00,9.00,7.50,3.00,7.00,5.00,340,NULL,NULL,'CENTRO','ARAPONGAS','PR',3476,83,NULL,NULL,NULL,NULL,NULL,4,8),(28,7053282,3.00,5.00,0.00,5.00,3.00,7.88,3.00,3.00,2.00,205,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',14224,13,NULL,NULL,NULL,NULL,NULL,2,1),(28,7053290,2.00,5.00,2.00,5.00,5.00,9.38,1.00,2.00,4.00,233,NULL,601,'INGLESES','FLORIANÓPOLIS','SC',12722,284,NULL,NULL,NULL,NULL,NULL,2,1),(28,7053312,1.00,4.00,3.00,5.00,5.00,7.13,0.00,4.00,4.00,999,NULL,NULL,'DO SOL','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7053320,1.00,7.00,2.00,7.00,7.00,6.00,3.00,6.00,2.00,303,NULL,NULL,'VERGUEIRO','PASSO FUNDO','RS',13808,509,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053339,1.00,4.00,1.00,3.00,3.00,7.88,0.00,3.00,2.00,103,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',17865,2468,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053347,2.00,6.00,2.00,7.00,9.00,7.50,2.00,7.00,4.00,103,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',10105,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7053355,1.00,7.00,1.00,6.00,8.00,10.50,4.00,2.00,4.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',8667,146,NULL,NULL,NULL,NULL,NULL,2,1),(28,7053363,4.00,5.00,2.00,7.00,10.00,7.13,3.00,6.00,4.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5256,1536,NULL,NULL,NULL,NULL,NULL,2,1),(28,7053371,4.00,5.00,0.00,6.00,6.00,8.63,6.00,6.00,3.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6384,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(28,7053380,2.00,5.00,3.00,7.00,8.00,8.25,2.00,4.00,5.00,201,NULL,601,'ARI LUNARDI','XAXIM','SC',6506,501,NULL,137,NULL,NULL,NULL,4,4),(28,7053401,2.00,7.00,1.00,6.00,6.00,9.00,3.00,3.00,3.00,201,NULL,216,'SÃO SIMÃO','CRICIÚMA','SC',8356,601,NULL,276,NULL,NULL,NULL,4,5),(28,7053410,1.00,5.00,1.00,4.00,4.00,7.50,1.00,2.00,1.00,316,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',16660,228,NULL,NULL,NULL,NULL,NULL,2,1),(28,7053436,2.00,4.00,1.00,4.00,6.00,6.38,2.00,1.00,2.00,207,NULL,201,'CENTRO','CAMBORIÚ','SC',19351,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7053444,4.00,8.00,2.00,4.00,7.00,8.25,3.00,8.00,3.00,601,NULL,233,'FLORESTA','JOINVILLE','SC',10544,299,NULL,NULL,NULL,NULL,NULL,4,8),(28,7053452,3.00,7.00,2.00,7.00,7.00,9.38,4.00,6.00,6.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4267,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7053487,4.00,7.00,2.00,6.00,8.00,9.00,2.00,4.00,2.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',8588,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7053495,4.00,6.00,3.00,6.00,6.00,10.88,2.00,4.00,6.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',6240,1664,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053509,1.00,4.00,1.00,3.00,7.00,8.63,2.00,2.00,2.00,207,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',19007,796,NULL,NULL,NULL,NULL,NULL,4,8),(28,7053517,0.00,4.00,1.00,4.00,3.00,NULL,2.00,5.00,1.00,308,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM CALIFÓRNIA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7053533,3.00,7.00,1.00,7.00,8.00,8.63,0.00,7.00,5.00,102,NULL,NULL,'RIO TIGRE','BENEDITO NOVO','SC',4542,23,NULL,NULL,NULL,NULL,NULL,4,2),(28,7053541,5.00,8.00,1.00,4.00,9.00,9.38,2.00,7.00,4.00,454,NULL,NULL,'ESTREITO','S JOSÉ','SC',5669,83,NULL,NULL,NULL,NULL,NULL,2,1),(28,7053550,3.00,6.00,3.00,4.00,4.00,10.13,4.00,5.00,2.00,339,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',14937,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','SINOP','MT',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7053576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,220,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7053584,0.00,1.00,2.00,3.00,2.00,NULL,0.00,2.00,0.00,404,NULL,NULL,'LISBOA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7053592,2.00,7.00,2.00,7.00,6.00,7.88,1.00,4.00,3.00,215,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',14411,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053606,1.00,8.00,0.00,6.00,6.00,10.50,3.00,4.00,4.00,999,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053614,1.00,3.00,1.00,4.00,6.00,7.13,1.00,2.00,3.00,207,NULL,211,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7053622,4.00,6.00,0.00,5.00,5.00,7.88,3.00,3.00,0.00,302,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7053630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDINS MILÃO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7053649,4.00,3.00,1.00,3.00,5.00,4.88,3.00,5.00,3.00,201,NULL,238,'CENTRO','PIRACICABA','SP',17080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053657,2.00,4.00,0.00,6.00,4.00,8.63,3.00,4.00,4.00,207,NULL,216,'BATEL','CURITIBA','PR',10504,481,NULL,326,NULL,NULL,NULL,2,22),(28,7053665,4.00,5.00,2.00,3.00,6.00,10.50,4.00,3.00,5.00,333,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',7770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053673,3.00,7.00,2.00,5.00,8.00,12.00,5.00,6.00,5.00,326,NULL,NULL,'JARDIM PAULISTA','PRES PRUDENTE','SP',3040,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7053690,0.00,4.00,3.00,5.00,3.00,6.00,3.00,4.00,4.00,309,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7053703,5.00,8.00,5.00,6.00,10.00,7.88,5.00,6.00,7.00,103,NULL,NULL,'SAO CRISTOVAO','CRICIÚMA','SC',809,471,NULL,NULL,NULL,NULL,NULL,4,5),(28,7053711,3.00,5.00,1.00,5.00,2.00,NULL,4.00,2.00,2.00,552,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7053720,1.00,4.00,3.00,3.00,6.00,6.38,3.00,4.00,1.00,5,NULL,NULL,'CENTRO','GUATAMBÚ','SC',13913,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7053738,7.00,8.00,6.00,5.00,8.00,10.88,4.00,6.00,5.00,103,NULL,NULL,'MIRANDÓPOLIS','S PAULO','SP',637,406,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053762,2.00,6.00,1.00,7.00,7.00,8.25,2.00,4.00,2.00,340,NULL,NULL,'COMINHO NOVO','PALHOÇA','SC',10865,299,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053789,1.00,4.00,1.00,6.00,6.00,6.38,3.00,4.00,3.00,999,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053797,1.00,7.00,3.00,5.00,10.00,11.63,2.00,6.00,2.00,340,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',9698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053800,3.00,7.00,4.00,6.00,7.00,6.75,4.00,6.00,6.00,340,NULL,NULL,'BOSQUE DAS MANSÕES','S JOSÉ','SC',3346,77,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053819,5.00,8.00,5.00,7.00,7.00,8.63,4.00,7.00,7.00,211,NULL,213,'CENTRO','BAL ARROIO SILVA','SC',1817,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053827,3.00,5.00,2.00,6.00,5.00,8.25,4.00,4.00,4.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7053843,1.00,2.00,1.00,2.00,3.00,9.38,2.00,6.00,0.00,238,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053860,1.00,5.00,2.00,4.00,3.00,9.38,1.00,4.00,2.00,207,NULL,211,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053878,1.00,2.00,2.00,2.00,3.00,10.88,1.00,1.00,1.00,303,NULL,NULL,'SÃO JOÃO MARGEM DIRE','TUBARÃO','SC',18452,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7053886,6.00,6.00,4.00,5.00,7.00,8.63,4.00,7.00,3.00,203,NULL,233,'JOÃO PAULO','FLORIANÓPOLIS','SC',4615,321,NULL,119,NULL,NULL,NULL,4,1),(28,7053894,4.00,7.00,2.00,7.00,10.00,10.13,3.00,8.00,3.00,454,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',2357,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053916,0.00,3.00,1.00,1.00,4.00,NULL,3.00,3.00,1.00,415,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053932,0.00,0.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,202,NULL,235,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7053940,5.00,8.00,2.00,7.00,7.00,9.38,4.00,7.00,6.00,216,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',2576,89,NULL,59,NULL,NULL,NULL,4,1),(28,7053959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BROOKLIN','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7053967,2.00,6.00,3.00,4.00,7.00,7.13,3.00,5.00,1.00,104,NULL,NULL,'CENTRO','XANXERÊ','SC',11934,296,NULL,NULL,NULL,NULL,NULL,4,4),(28,7053975,7.00,7.00,5.00,6.00,9.00,6.38,7.00,8.00,7.00,203,NULL,653,'CAMPECHE','FLORIANÓPOLIS','SC',282,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7053983,6.00,6.00,2.00,7.00,6.00,10.13,3.00,6.00,4.00,103,NULL,NULL,'PADRE MIGUEL','RIO JANEIRO','RJ',7003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7053991,5.00,7.00,5.00,7.00,7.00,8.25,4.00,6.00,6.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',2674,92,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054009,6.00,6.00,4.00,7.00,8.00,10.13,6.00,6.00,6.00,201,NULL,212,'SOSSEGO','CANOINHAS','SC',2041,139,NULL,39,NULL,NULL,NULL,2,1),(28,7054017,1.00,6.00,2.00,6.00,8.00,8.25,4.00,5.00,6.00,207,NULL,201,'KOBRASOL','S JOSÉ','SC',6196,287,NULL,481,NULL,NULL,NULL,2,1),(28,7054025,2.00,0.00,0.00,4.00,4.00,7.50,0.00,1.00,1.00,999,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054033,1.00,3.00,1.00,7.00,7.00,8.25,0.00,2.00,4.00,104,NULL,NULL,'MUNICÍPIOS','CAÇADOR','SC',13337,329,NULL,NULL,NULL,NULL,NULL,4,25),(28,7054041,4.00,7.00,5.00,4.00,6.00,5.63,1.00,5.00,3.00,454,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8853,164,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054068,0.00,5.00,1.00,5.00,5.00,7.13,2.00,5.00,1.00,103,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',18530,2490,NULL,NULL,NULL,NULL,NULL,2,6),(28,7054076,8.00,8.00,2.00,7.00,10.00,9.38,4.00,5.00,7.00,103,NULL,NULL,'MATINHO','XANXERÊ','SC',1011,557,NULL,NULL,NULL,NULL,NULL,4,4),(28,7054084,1.00,4.00,2.00,5.00,8.00,6.38,0.00,5.00,1.00,201,NULL,207,'BATEL','CURITIBA','PR',14242,875,NULL,631,NULL,NULL,NULL,4,22),(28,7054092,2.00,8.00,2.00,7.00,6.00,8.63,3.00,7.00,4.00,207,NULL,238,'CAMPINAS','S JOSÉ','SC',6859,NULL,NULL,82,NULL,NULL,NULL,4,1),(28,7054106,1.00,5.00,3.00,4.00,3.00,9.38,2.00,4.00,1.00,215,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',18580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054114,3.00,7.00,2.00,5.00,7.00,10.13,6.00,5.00,3.00,201,NULL,203,'JARDIM SANTA CRUZ','S PAULO','SP',3866,298,NULL,NULL,NULL,NULL,NULL,4,8),(28,7054122,1.00,2.00,2.00,5.00,2.00,NULL,2.00,2.00,1.00,215,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7054130,2.00,6.00,4.00,6.00,6.00,9.38,1.00,4.00,1.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',9672,176,NULL,NULL,NULL,NULL,NULL,2,1),(28,7054149,4.00,8.00,4.00,7.00,10.00,8.63,4.00,8.00,6.00,214,NULL,212,'ALPHAVILLE FLAMBOYAN','GOIÂNIA','GO',794,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054157,0.00,4.00,2.00,4.00,4.00,NULL,0.00,3.00,1.00,303,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7054165,3.00,5.00,1.00,5.00,5.00,8.25,3.00,4.00,1.00,208,NULL,NULL,'IPIRANGA','S JOSÉ','SC',10607,112,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE DAS FLORES','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7054181,7.00,9.00,5.00,7.00,10.00,8.25,7.00,8.00,8.00,103,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',115,91,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054190,2.00,5.00,0.00,6.00,6.00,10.13,3.00,5.00,4.00,104,NULL,NULL,'CABREUVA','CPO GRANDE','MS',8762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054211,1.00,4.00,2.00,5.00,6.00,7.88,3.00,5.00,1.00,333,NULL,NULL,'CENTRO','CAIÇARA','RS',12005,68,NULL,NULL,NULL,NULL,NULL,2,4),(28,7054220,4.00,7.00,1.00,5.00,7.00,6.75,3.00,6.00,4.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13531,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7054238,4.00,8.00,4.00,5.00,9.00,11.63,6.00,8.00,7.00,215,NULL,211,'CARIRU','IPATINGA','MG',367,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054246,1.00,6.00,2.00,6.00,2.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054262,0.00,4.00,3.00,6.00,5.00,7.50,1.00,3.00,0.00,340,NULL,NULL,'VILA OLIVEIRA','MOGI CRUZES','SP',19013,425,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054270,4.00,7.00,1.00,6.00,7.00,9.75,1.00,5.00,5.00,216,NULL,233,'CENTRO','CURITIBA','PR',4721,182,NULL,124,NULL,NULL,NULL,4,25),(28,7054289,3.00,9.00,2.00,7.00,8.00,8.25,2.00,7.00,4.00,103,NULL,NULL,'VORSTADT','BLUMENAU','SC',2988,1137,NULL,NULL,NULL,NULL,NULL,4,2),(28,7054297,0.00,5.00,1.00,4.00,5.00,7.13,0.00,5.00,3.00,340,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',19178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054300,1.00,5.00,3.00,6.00,4.00,7.88,3.00,3.00,3.00,601,NULL,212,'PARQUE GUARANI','JOINVILLE','SC',12845,386,NULL,352,NULL,NULL,NULL,4,8),(28,7054319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,NULL,'CENTRO','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7054327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA STER','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7054335,3.00,5.00,1.00,4.00,4.00,6.00,3.00,4.00,2.00,454,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7054343,4.00,7.00,0.00,6.00,6.00,7.50,4.00,4.00,6.00,201,NULL,203,'CENTRO','MARIALVA','PR',7000,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054351,4.00,5.00,3.00,6.00,7.00,9.00,4.00,6.00,3.00,103,NULL,NULL,'CABEÇUDA','LAGUNA','SC',5493,1569,NULL,NULL,NULL,NULL,NULL,4,10),(28,7054378,4.00,6.00,5.00,4.00,9.00,11.25,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',2239,946,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054386,0.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7054408,5.00,8.00,5.00,7.00,7.00,12.38,6.00,7.00,7.00,216,NULL,201,'CAMINHO DAS ARVORES','SALVADOR','BA',835,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054416,4.00,5.00,0.00,3.00,7.00,4.88,2.00,3.00,2.00,331,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',16749,43,NULL,NULL,NULL,NULL,NULL,2,1),(28,7054424,3.00,5.00,3.00,6.00,8.00,7.50,4.00,6.00,3.00,450,NULL,NULL,'JARDIM ANGELICA','CRICIÚMA','SC',6872,51,NULL,NULL,NULL,NULL,NULL,4,5),(28,7054432,3.00,2.00,2.00,5.00,4.00,7.50,1.00,5.00,0.00,104,NULL,NULL,'CAVALHADA','PTO ALEGRE','RS',15719,386,NULL,NULL,NULL,NULL,NULL,2,1),(28,7054440,3.00,6.00,3.00,1.00,5.00,5.63,2.00,3.00,1.00,103,NULL,NULL,'VILA BARTH','ITAPETININGA','SP',16337,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7054459,0.00,4.00,0.00,3.00,3.00,7.88,0.00,4.00,0.00,9,NULL,NULL,'IPIRANGA','S JOSÉ','SC',18365,153,NULL,NULL,NULL,NULL,NULL,2,1),(28,7054467,1.00,4.00,1.00,4.00,2.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'JARDIM AMÉRICA','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7054475,4.00,8.00,5.00,7.00,8.00,9.00,5.00,8.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1724,812,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054483,3.00,5.00,3.00,5.00,9.00,9.00,3.00,6.00,3.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',6309,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7054491,4.00,5.00,1.00,6.00,6.00,10.50,1.00,3.00,3.00,999,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7054505,4.00,8.00,6.00,7.00,8.00,9.38,4.00,6.00,7.00,103,NULL,NULL,'HIGIENÓPOLIS','S PAULO','SP',1012,558,NULL,NULL,NULL,NULL,NULL,4,8),(28,7054530,1.00,6.00,2.00,5.00,6.00,6.00,4.00,3.00,4.00,429,NULL,425,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',12802,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054548,5.00,8.00,3.00,7.00,6.00,6.75,5.00,7.00,6.00,214,NULL,212,'ALPHAVILLE','BARUERI','SP',1801,57,NULL,30,NULL,NULL,NULL,4,8),(28,7054556,1.00,3.00,0.00,4.00,3.00,5.25,3.00,2.00,4.00,102,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',19973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054564,3.00,7.00,4.00,7.00,6.00,10.13,4.00,7.00,2.00,201,NULL,213,'JARDIM SANTA RITA','INDAIATUBA','SP',3262,247,NULL,40,NULL,NULL,NULL,4,1),(28,7054572,5.00,7.00,2.00,6.00,8.00,4.50,4.00,6.00,5.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',5538,1575,NULL,NULL,NULL,NULL,NULL,4,4),(28,7054580,0.00,3.00,0.00,5.00,3.00,4.50,0.00,3.00,3.00,308,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',19334,88,NULL,NULL,NULL,NULL,NULL,2,1),(28,7054599,2.00,5.00,2.00,5.00,7.00,9.00,1.00,2.00,6.00,108,NULL,NULL,'SEMINÁRIO','CORUPÁ','SC',11253,150,NULL,NULL,NULL,NULL,NULL,2,23),(28,7054602,2.00,6.00,3.00,6.00,8.00,6.75,4.00,4.00,4.00,318,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10659,70,NULL,NULL,NULL,NULL,NULL,2,1),(28,7054610,4.00,5.00,1.00,6.00,3.00,7.50,2.00,5.00,3.00,211,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',11452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7054629,3.00,6.00,2.00,7.00,10.00,10.88,5.00,5.00,6.00,337,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',2167,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054637,2.00,7.00,3.00,6.00,8.00,8.25,3.00,7.00,3.00,303,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',5454,252,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054653,7.00,8.00,3.00,6.00,10.00,8.63,4.00,8.00,8.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',917,516,NULL,NULL,NULL,NULL,NULL,4,8),(28,7054661,4.00,7.00,1.00,7.00,9.00,9.75,5.00,7.00,5.00,319,NULL,NULL,'FLORESTA','JOINVILLE','SC',2178,20,NULL,NULL,NULL,NULL,NULL,4,8),(28,7054670,0.00,4.00,1.00,6.00,6.00,5.63,3.00,4.00,2.00,316,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',14903,190,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7054696,3.00,5.00,2.00,4.00,4.00,8.25,3.00,5.00,2.00,238,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',12440,204,NULL,797,NULL,NULL,NULL,2,1),(28,7054700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ALDEIA DO VALE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7054726,5.00,7.00,2.00,8.00,8.00,7.50,5.00,7.00,6.00,103,NULL,NULL,'JOÃO GUALBERTO','PARANAGUÁ','PR',1980,881,NULL,NULL,NULL,NULL,NULL,4,8),(28,7054734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM POTIGUAR','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7054742,8.00,6.00,3.00,7.00,8.00,8.63,2.00,6.00,8.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',2835,1099,NULL,NULL,NULL,NULL,NULL,4,8),(28,7054750,4.00,8.00,2.00,6.00,8.00,9.75,4.00,7.00,2.00,207,NULL,201,'CENTRO','BLUMENAU','SC',3448,134,NULL,263,NULL,NULL,NULL,4,2),(28,7054769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM COLOMBO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7054777,0.00,3.00,2.00,2.00,2.00,NULL,0.00,4.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7054793,3.00,7.00,1.00,4.00,8.00,7.88,4.00,6.00,7.00,103,NULL,NULL,'SERRARIA','S JOSÉ','SC',5402,1558,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054815,1.00,3.00,2.00,4.00,3.00,7.13,2.00,4.00,0.00,415,NULL,NULL,'OZELAME','FAXINAL GUEDES','SC',15875,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7054823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'INDUSTRIAL','PTO VELHO','RO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7054858,6.00,8.00,3.00,8.00,8.00,10.88,7.00,7.00,6.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',821,478,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054866,3.00,6.00,1.00,6.00,8.00,8.63,7.00,3.00,6.00,203,NULL,601,'MAR GROSSO','LAGUNA','SC',4608,NULL,NULL,81,NULL,NULL,NULL,4,4),(28,7054874,3.00,7.00,3.00,5.00,6.00,7.50,4.00,4.00,3.00,103,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',8052,1906,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054882,2.00,6.00,3.00,6.00,7.00,6.75,0.00,5.00,2.00,202,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',15890,358,NULL,256,NULL,NULL,NULL,2,1),(28,7054890,2.00,6.00,1.00,5.00,5.00,8.25,2.00,4.00,2.00,101,NULL,NULL,'JARDIM FLORESTA','PTO ALEGRE','RS',13691,80,NULL,NULL,NULL,NULL,NULL,2,1),(28,7054904,1.00,2.00,1.00,3.00,4.00,6.00,0.00,4.00,2.00,340,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',20037,432,NULL,NULL,NULL,NULL,NULL,2,1),(28,7054912,4.00,7.00,4.00,8.00,9.00,9.75,6.00,6.00,5.00,211,NULL,215,'CÓRREGO GRANCE','FLORIANÓPOLIS','SC',1854,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054920,0.00,3.00,2.00,2.00,4.00,5.63,1.00,2.00,2.00,319,NULL,NULL,'RIO MORTO','INDAIAL','SC',20135,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7054939,0.00,5.00,3.00,4.00,8.00,8.63,2.00,5.00,1.00,552,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',16102,115,NULL,NULL,NULL,NULL,NULL,4,3),(28,7054947,0.00,2.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7054955,6.00,8.00,2.00,7.00,9.00,9.75,5.00,7.00,6.00,203,NULL,202,'CERAMARTE','RIO NEGRINHO','SC',813,79,NULL,14,NULL,NULL,NULL,4,1),(28,7054963,4.00,6.00,3.00,5.00,7.00,10.13,2.00,6.00,4.00,202,NULL,220,'JARDIM PAULISTA','S JOSÉ CAMPOS','SP',4660,137,NULL,137,NULL,NULL,NULL,4,1),(28,7054971,6.00,8.00,2.00,7.00,10.00,12.00,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',944,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7054980,3.00,7.00,3.00,6.00,4.00,8.25,5.00,5.00,5.00,203,NULL,202,'JARDIM MORADA DO SOL','INDAIATUBA','SP',4880,334,NULL,144,NULL,NULL,NULL,4,1),(28,7054998,2.00,8.00,2.00,5.00,5.00,4.88,4.00,4.00,3.00,454,NULL,NULL,'JARDIM ESPLANADA LL','S JOSÉ CAMPOS','SP',9619,177,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055005,3.00,7.00,2.00,5.00,6.00,6.75,5.00,4.00,4.00,203,NULL,201,'PARQUE DAS NAÇÕES','INDAIATUBA','SP',6656,415,NULL,511,NULL,NULL,NULL,4,1),(28,7055013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'ESPLANADA','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7055021,2.00,7.00,2.00,5.00,6.00,11.63,3.00,6.00,2.00,223,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',6010,4,NULL,NULL,NULL,NULL,NULL,4,4),(28,7055030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,27),(28,7055048,2.00,7.00,0.00,6.00,9.00,9.00,1.00,4.00,3.00,201,NULL,212,'RIO CAVEIRAS','BIGUAÇU','SC',15162,916,NULL,378,NULL,NULL,NULL,2,1),(28,7055056,7.00,7.00,3.00,6.00,3.00,8.25,5.00,4.00,7.00,203,NULL,216,'DAS BANDEIRAS','ARAÇATUBA','SP',2815,213,NULL,100,NULL,NULL,NULL,4,3),(28,7055064,6.00,7.00,1.00,5.00,7.00,8.25,2.00,6.00,5.00,103,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',8088,1910,NULL,NULL,NULL,NULL,NULL,2,1),(28,7055072,0.00,2.00,2.00,3.00,5.00,8.63,2.00,3.00,3.00,201,NULL,207,'VILA NOVA','BLUMENAU','SC',19258,1035,NULL,803,NULL,NULL,NULL,4,2),(28,7055080,3.00,7.00,4.00,7.00,7.00,7.88,1.00,5.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055099,6.00,7.00,4.00,5.00,7.00,7.88,5.00,8.00,6.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',2804,1090,NULL,NULL,NULL,NULL,NULL,2,1),(28,7055102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7055110,1.00,6.00,2.00,3.00,2.00,NULL,4.00,4.00,2.00,303,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7055137,2.00,5.00,1.00,4.00,7.00,9.38,3.00,2.00,4.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11908,2198,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055145,3.00,3.00,2.00,3.00,4.00,3.00,3.00,2.00,3.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7055153,1.00,5.00,3.00,7.00,7.00,6.75,2.00,5.00,3.00,201,NULL,601,'GARCIA','BLUMENAU','SC',11931,NULL,NULL,351,NULL,NULL,NULL,2,2),(28,7055170,5.00,6.00,4.00,2.00,4.00,7.13,4.00,4.00,4.00,103,NULL,NULL,'JARDIM PAULISTA','JUNDIAÍ','SP',7326,1809,NULL,NULL,NULL,NULL,NULL,4,8),(28,7055188,2.00,6.00,2.00,7.00,7.00,9.75,5.00,6.00,3.00,103,NULL,NULL,'COOPHEMA','CUIABÁ','MT',4400,1405,NULL,NULL,NULL,NULL,NULL,2,1),(28,7055196,3.00,6.00,5.00,7.00,7.00,10.50,7.00,7.00,7.00,203,NULL,212,'PONTA NEGRA','NATAL','RN',1802,NULL,NULL,31,NULL,NULL,NULL,5,1),(28,7055200,7.00,9.00,4.00,7.00,5.00,9.00,3.00,7.00,8.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1318,685,NULL,NULL,NULL,NULL,NULL,4,3),(28,7055218,5.00,6.00,0.00,6.00,9.00,9.00,2.00,6.00,5.00,211,NULL,207,'CENTRO','RIO SUL','SC',4246,107,NULL,177,NULL,NULL,NULL,2,24),(28,7055226,4.00,5.00,1.00,6.00,7.00,8.63,2.00,4.00,5.00,302,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',9966,55,NULL,NULL,NULL,NULL,NULL,2,1),(28,7055234,3.00,7.00,3.00,7.00,4.00,7.88,5.00,7.00,4.00,215,NULL,216,'VILA PROGREDIROR','S PAULO','SP',4312,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055242,1.00,2.00,2.00,2.00,3.00,0.00,0.00,2.00,2.00,103,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7055250,0.00,7.00,2.00,7.00,6.00,NULL,3.00,5.00,3.00,201,NULL,233,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7055269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7055277,0.00,3.00,0.00,2.00,4.00,NULL,2.00,2.00,2.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055285,3.00,6.00,1.00,6.00,8.00,7.88,1.00,4.00,4.00,601,NULL,653,'CENTRO','NAVEGANTES','SC',9597,257,NULL,NULL,NULL,NULL,NULL,2,3),(28,7055293,4.00,5.00,1.00,6.00,6.00,6.38,4.00,5.00,2.00,340,NULL,NULL,'AMADORI','PATO BRANCO','PR',9730,277,NULL,NULL,NULL,NULL,NULL,4,4),(28,7055307,0.00,5.00,3.00,4.00,5.00,7.88,0.00,3.00,2.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',15618,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7055315,3.00,8.00,2.00,6.00,9.00,8.25,5.00,7.00,7.00,103,NULL,NULL,'INTERLAGOS','S PAULO','SP',2413,997,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055331,4.00,6.00,1.00,5.00,6.00,5.25,3.00,5.00,2.00,653,NULL,202,'ITOUPAVA SECA','BLUMENAU','SC',11413,119,NULL,NULL,NULL,NULL,NULL,2,2),(28,7055340,6.00,4.00,3.00,3.00,7.00,9.38,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','PEROBAL','PR',6303,1676,NULL,NULL,NULL,NULL,NULL,4,3),(28,7055358,1.00,3.00,1.00,3.00,4.00,5.25,1.00,2.00,2.00,336,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',20053,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7055366,2.00,5.00,1.00,7.00,8.00,9.38,4.00,6.00,4.00,5,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',5572,184,NULL,NULL,NULL,NULL,NULL,4,5),(28,7055374,0.00,5.00,2.00,7.00,4.00,7.88,2.00,6.00,1.00,340,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',17526,414,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055382,1.00,5.00,1.00,6.00,5.00,9.38,2.00,4.00,1.00,999,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7055390,2.00,4.00,2.00,2.00,3.00,6.75,2.00,3.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7055404,3.00,6.00,1.00,7.00,6.00,7.88,3.00,5.00,3.00,450,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',8786,67,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CAMPO DA ÁGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7055420,4.00,6.00,3.00,7.00,8.00,9.75,4.00,4.00,4.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5327,247,NULL,NULL,NULL,NULL,NULL,2,1),(28,7055447,1.00,2.00,0.00,5.00,1.00,NULL,0.00,2.00,2.00,601,NULL,207,'SÃO PEDRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7055455,4.00,7.00,2.00,6.00,6.00,7.13,4.00,6.00,1.00,318,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8384,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055471,0.00,1.00,3.00,1.00,4.00,6.38,0.00,2.00,2.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055498,3.00,6.00,2.00,4.00,7.00,8.63,6.00,6.00,3.00,9,NULL,NULL,'JARDIM EMÍLIA','SOROCABA','SP',7469,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055501,3.00,0.00,3.00,6.00,8.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7055510,2.00,8.00,0.00,6.00,7.00,8.25,2.00,5.00,4.00,103,NULL,NULL,'SANTO ANTÔNIO','CRICIÚMA','SC',7934,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7055528,1.00,7.00,1.00,2.00,3.00,4.50,1.00,6.00,1.00,238,NULL,NULL,'BREJARU','PALHOÇA','SC',17152,296,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055536,2.00,5.00,0.00,3.00,4.00,7.13,0.00,2.00,2.00,552,NULL,NULL,'CENTRO','PIRATUBA','SC',18611,139,NULL,NULL,NULL,NULL,NULL,2,16),(28,7055544,6.00,9.00,4.00,6.00,11.00,10.88,8.00,7.00,7.00,203,NULL,601,'BOM RETIRO','JOINVILLE','SC',322,32,NULL,NULL,NULL,NULL,NULL,4,8),(28,7055552,3.00,7.00,4.00,5.00,7.00,5.63,2.00,6.00,4.00,103,NULL,NULL,'AVAREÍ','JACAREÍ','SP',8768,1982,NULL,NULL,NULL,NULL,NULL,2,23),(28,7055587,5.00,6.00,2.00,6.00,7.00,6.75,5.00,7.00,6.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',4866,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055595,7.00,8.00,5.00,6.00,7.00,9.00,4.00,5.00,8.00,201,NULL,212,'KOBRASOL','S JOSÉ','SC',1250,70,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055609,1.00,6.00,3.00,6.00,4.00,9.75,2.00,4.00,4.00,601,NULL,201,'ALDEIA DA SERRA','SANTANA PARNAÍBA','SP',9826,267,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055617,5.00,5.00,2.00,5.00,8.00,8.25,4.00,4.00,5.00,503,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',8896,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',1,8),(28,7055633,3.00,5.00,2.00,7.00,7.00,10.13,2.00,4.00,2.00,108,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',12672,176,NULL,NULL,NULL,NULL,NULL,2,10),(28,7055650,5.00,8.00,3.00,6.00,7.00,10.13,5.00,8.00,4.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',4835,70,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055676,2.00,6.00,3.00,7.00,6.00,9.00,5.00,3.00,5.00,103,NULL,NULL,'NOVA MACAÉ','MACAÉ','RJ',5508,1571,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055692,2.00,5.00,3.00,3.00,7.00,7.88,0.00,3.00,4.00,102,NULL,NULL,'CENTRO','OURO VERDE','SC',16936,158,NULL,NULL,NULL,NULL,NULL,2,4),(28,7055706,4.00,8.00,4.00,5.00,5.00,8.25,6.00,7.00,6.00,201,NULL,202,'GUANABARA','JOINVILLE','SC',3047,228,NULL,87,NULL,NULL,NULL,4,8),(28,7055714,6.00,7.00,4.00,6.00,8.00,9.00,3.00,8.00,7.00,303,NULL,NULL,'JARDIM BELA VISTA','STO ANDRÉ','SP',2656,115,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055722,5.00,7.00,2.00,6.00,9.00,11.25,2.00,6.00,4.00,103,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',2149,924,NULL,NULL,NULL,NULL,NULL,4,23),(28,7055730,2.00,4.00,3.00,6.00,5.00,4.88,2.00,6.00,1.00,302,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',17752,138,NULL,NULL,NULL,NULL,NULL,2,1),(28,7055749,2.00,4.00,0.00,5.00,2.00,NULL,1.00,3.00,3.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7055765,3.00,6.00,3.00,6.00,5.00,5.63,2.00,4.00,4.00,202,NULL,213,'ESTREITO','FLORIANÓPOLIS','SC',11618,293,NULL,196,NULL,NULL,NULL,4,1),(28,7055773,3.00,6.00,1.00,5.00,6.00,10.88,2.00,5.00,3.00,303,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',10721,432,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055781,2.00,7.00,3.00,4.00,8.00,10.50,2.00,5.00,4.00,303,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',7585,335,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055790,2.00,5.00,0.00,6.00,6.00,6.38,1.00,5.00,2.00,340,NULL,NULL,'LIBRA','FOZ IGUAÇU','PR',13899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055811,2.00,8.00,1.00,6.00,8.00,9.00,4.00,5.00,3.00,201,NULL,207,'PONTE DO IMARUIM','PALHOÇA','SC',6738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055846,1.00,5.00,2.00,7.00,5.00,4.50,3.00,5.00,1.00,303,NULL,NULL,'COOPHEMA','CUIABÁ','MT',12941,488,NULL,NULL,NULL,NULL,NULL,2,1),(28,7055854,4.00,6.00,2.00,4.00,6.00,6.75,3.00,5.00,4.00,235,NULL,213,'MORRO DA BINA','BIGUAÇU','SC',9004,147,NULL,157,NULL,NULL,NULL,2,1),(28,7055862,1.00,4.00,3.00,5.00,3.00,8.63,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',12880,2256,NULL,NULL,NULL,NULL,NULL,4,9),(28,7055870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7055889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,235,'ALVORADA','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7055897,3.00,6.00,0.00,5.00,5.00,5.25,3.00,5.00,3.00,653,NULL,655,'LINHA SÃO JOSÉ','MELEIRO','SC',13612,147,NULL,NULL,NULL,NULL,NULL,2,15),(28,7055900,3.00,7.00,1.00,6.00,7.00,9.38,4.00,6.00,3.00,103,NULL,NULL,'CENTRO','CAMPINAS','SP',4253,1373,NULL,NULL,NULL,NULL,NULL,2,1),(28,7055919,5.00,6.00,2.00,4.00,6.00,7.88,2.00,5.00,2.00,454,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055927,2.00,2.00,2.00,3.00,4.00,4.50,1.00,2.00,1.00,309,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7055943,0.00,4.00,1.00,5.00,5.00,8.63,3.00,5.00,0.00,425,NULL,426,'AGRONÔMICA','FLORIANÓPOLIS','SC',18832,75,NULL,38,NULL,NULL,NULL,4,1),(28,7055960,7.00,7.00,3.00,6.00,5.00,7.88,6.00,4.00,6.00,103,NULL,NULL,'CONJUNTO LIBRA','FOZ IGUAÇU','PR',6953,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7055978,4.00,8.00,2.00,3.00,6.00,7.50,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',8448,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7056001,2.00,5.00,3.00,4.00,2.00,NULL,1.00,4.00,4.00,235,NULL,238,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7056010,2.00,6.00,2.00,6.00,8.00,9.38,3.00,3.00,2.00,103,NULL,NULL,'GRAMA','GAROPABA','SC',9147,2010,NULL,NULL,NULL,NULL,NULL,2,1),(28,7056036,3.00,6.00,2.00,7.00,6.00,8.63,1.00,5.00,5.00,214,NULL,212,'BEIRA MAR','FLORIANÓPOLIS','SC',7045,211,NULL,219,NULL,NULL,NULL,2,1),(28,7056044,5.00,7.00,3.00,7.00,8.00,7.13,3.00,5.00,3.00,211,NULL,NULL,'JARDIM CASTELO','SANTOS','SP',5918,154,NULL,NULL,NULL,NULL,NULL,4,3),(28,7056060,1.00,6.00,2.00,5.00,6.00,7.13,2.00,4.00,2.00,207,NULL,238,'CENTRO','AGROLÂNDIA','SC',18227,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7056079,3.00,6.00,2.00,6.00,5.00,9.00,2.00,4.00,5.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056087,1.00,6.00,1.00,5.00,5.00,7.50,3.00,6.00,3.00,552,NULL,NULL,'BUCAREIN','JOINVILLE','SC',15135,98,NULL,NULL,NULL,NULL,NULL,2,3),(28,7056095,1.00,5.00,3.00,4.00,1.00,NULL,2.00,4.00,1.00,999,NULL,NULL,'STO ANT DE LISBOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7056109,4.00,8.00,5.00,5.00,9.00,10.88,4.00,6.00,6.00,216,NULL,220,'JARDIM AMERICA','GOIÂNIA','GO',1636,50,NULL,43,NULL,NULL,NULL,4,1),(28,7056117,2.00,3.00,3.00,6.00,3.00,7.50,1.00,2.00,4.00,9,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',16284,121,NULL,NULL,NULL,NULL,NULL,2,1),(28,7056125,7.00,8.00,2.00,7.00,7.00,9.00,4.00,5.00,5.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2941,134,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056133,6.00,7.00,4.00,7.00,10.00,8.63,6.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1346,694,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056141,2.00,6.00,2.00,6.00,4.00,8.63,3.00,5.00,3.00,207,NULL,NULL,'JARDIM AMERICA','DOURADOS','MS',15389,675,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056150,4.00,4.00,3.00,7.00,7.00,8.63,3.00,5.00,5.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',6743,150,NULL,NULL,NULL,NULL,NULL,2,1),(28,7056176,5.00,7.00,6.00,7.00,10.00,10.50,6.00,6.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',444,313,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056184,3.00,6.00,2.00,6.00,8.00,13.88,4.00,6.00,3.00,340,NULL,NULL,'CENTRO','GAROPABA','SC',4422,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056192,2.00,8.00,1.00,6.00,7.00,7.88,4.00,4.00,3.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',8973,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7056206,4.00,6.00,2.00,4.00,7.00,6.00,2.00,5.00,3.00,103,NULL,NULL,'ITAUM','JOINVILLE','SC',11053,2141,NULL,NULL,NULL,NULL,NULL,4,8),(28,7056214,5.00,8.00,4.00,7.00,9.00,9.00,5.00,6.00,6.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1574,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7056222,6.00,6.00,5.00,6.00,9.00,9.00,7.00,5.00,7.00,454,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',2170,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056230,1.00,3.00,3.00,0.00,4.00,7.50,1.00,2.00,1.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',18984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056249,6.00,7.00,5.00,6.00,9.00,9.00,5.00,7.00,7.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',850,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7056273,6.00,8.00,1.00,6.00,6.00,9.75,4.00,8.00,5.00,103,NULL,NULL,'CENTRO','TOLEDO','PR',3261,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7056281,2.00,7.00,5.00,7.00,8.00,7.13,4.00,6.00,3.00,340,NULL,NULL,'TREZE DE JULHO','ARACAJU','SE',5008,126,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056290,3.00,6.00,4.00,7.00,7.00,9.00,1.00,8.00,4.00,103,NULL,NULL,'JARDIM ESPERANÇA','CANOINHAS','SC',3767,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(28,7056303,4.00,4.00,4.00,5.00,5.00,8.63,3.00,6.00,5.00,103,NULL,NULL,'PARQUE ÁGUA BRANCA','PIRACICABA','SP',6592,1710,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056320,6.00,8.00,7.00,7.00,8.00,10.13,7.00,8.00,7.00,103,NULL,NULL,'SANTA MARIA','S CAETANO SUL','SP',306,227,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056338,5.00,6.00,4.00,7.00,8.00,10.88,4.00,7.00,5.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',1283,72,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'DIONISIO TORRES','FORTALEZA','CE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7056354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7056362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7056389,2.00,5.00,4.00,7.00,7.00,5.25,5.00,6.00,2.00,203,NULL,201,'JOÃO PAULO','FLORIANÓPOLIS','SC',13736,618,NULL,856,NULL,NULL,NULL,4,1),(28,7056397,3.00,5.00,2.00,4.00,5.00,6.75,1.00,4.00,1.00,999,NULL,NULL,'BELA VISTA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7056400,3.00,7.00,1.00,6.00,7.00,8.25,1.00,5.00,5.00,303,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',6549,295,NULL,NULL,NULL,NULL,NULL,2,1),(28,7056419,0.00,4.00,1.00,5.00,4.00,6.00,1.00,3.00,1.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7056435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA HELENA','CHARQUEADA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7056443,2.00,5.00,0.00,5.00,5.00,7.13,3.00,4.00,3.00,104,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',18157,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7056451,3.00,7.00,3.00,7.00,10.00,7.13,5.00,7.00,7.00,601,NULL,653,'CENTRO','JOINVILLE','SC',1455,7,NULL,NULL,NULL,NULL,NULL,4,8),(28,7056460,6.00,6.00,4.00,5.00,7.00,9.00,4.00,8.00,5.00,211,NULL,214,'JD ITALIA','JUNDIAÍ','SP',3653,89,NULL,130,NULL,NULL,NULL,2,1),(28,7056478,3.00,7.00,2.00,5.00,8.00,9.38,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',5299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056486,6.00,8.00,5.00,5.00,10.00,12.38,4.00,6.00,5.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',702,429,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056494,6.00,8.00,3.00,6.00,9.00,9.75,4.00,5.00,6.00,201,NULL,202,'SAGUAÇU','JOINVILLE','SC',1634,102,NULL,41,NULL,NULL,NULL,4,8),(28,7056508,3.00,5.00,0.00,4.00,6.00,6.38,3.00,8.00,3.00,201,NULL,212,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',16285,945,NULL,391,NULL,NULL,NULL,4,1),(28,7056524,2.00,4.00,2.00,5.00,5.00,NULL,0.00,3.00,2.00,999,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056532,4.00,8.00,3.00,7.00,9.00,4.50,2.00,8.00,5.00,340,NULL,NULL,'CENTRO','CAMBUÍ','MG',3651,88,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056540,5.00,2.00,1.00,2.00,2.00,NULL,3.00,3.00,2.00,102,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056559,2.00,6.00,3.00,4.00,7.00,7.88,1.00,2.00,4.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',10482,2106,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056567,1.00,3.00,1.00,5.00,2.00,NULL,2.00,4.00,1.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056575,5.00,8.00,1.00,7.00,8.00,9.00,3.00,7.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,203,'VILA YOLANDA','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7056591,1.00,5.00,4.00,4.00,4.00,8.25,1.00,4.00,2.00,454,NULL,NULL,'ESCOLA AGRICOLA','BLUMENAU','SC',17303,351,NULL,NULL,NULL,NULL,NULL,4,2),(28,7056605,4.00,7.00,3.00,4.00,7.00,8.25,3.00,5.00,3.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',7827,1871,NULL,NULL,NULL,NULL,NULL,4,8),(28,7056613,2.00,3.00,1.00,6.00,2.00,NULL,1.00,3.00,2.00,426,NULL,423,'JARDIM ELDORADO II','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7056621,3.00,7.00,4.00,5.00,8.00,8.63,5.00,6.00,4.00,303,NULL,NULL,'CENTRO','FREDERICO WESTPHALEN','RS',3000,139,NULL,NULL,NULL,NULL,NULL,4,4),(28,7056630,8.00,8.00,3.00,6.00,7.00,8.63,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','CPO MOURÃO','PR',669,417,NULL,NULL,NULL,NULL,NULL,4,3),(28,7056648,3.00,5.00,0.00,6.00,8.00,6.75,1.00,5.00,3.00,103,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',16323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056664,3.00,4.00,1.00,6.00,5.00,7.88,0.00,4.00,1.00,201,NULL,601,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',15089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7056672,2.00,5.00,1.00,5.00,5.00,6.75,1.00,6.00,4.00,216,NULL,211,'IPEROBA','S FRANCISCO SUL','SC',12637,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7056680,5.00,6.00,4.00,4.00,9.00,7.88,6.00,4.00,6.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',1968,878,NULL,NULL,NULL,NULL,NULL,4,8),(28,7056699,2.00,4.00,3.00,6.00,7.00,7.88,4.00,5.00,5.00,201,NULL,207,'PETRÓPOLIS','CAXIAS SUL','RS',8242,591,NULL,384,NULL,NULL,NULL,2,1),(28,7056737,1.00,6.00,2.00,6.00,6.00,7.13,3.00,6.00,3.00,303,NULL,NULL,'VILA NOVA','BLUMENAU','SC',8985,375,NULL,NULL,NULL,NULL,NULL,4,2),(28,7056753,3.00,8.00,1.00,7.00,10.00,7.88,4.00,5.00,5.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',3575,276,NULL,107,NULL,NULL,NULL,4,1),(28,7056761,5.00,7.00,5.00,7.00,6.00,11.25,6.00,6.00,5.00,201,NULL,212,'COSTA E SILVA','JOINVILLE','SC',1327,75,NULL,NULL,NULL,NULL,NULL,4,8),(28,7056770,2.00,6.00,1.00,7.00,8.00,9.38,4.00,6.00,4.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7001,184,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056788,1.00,5.00,3.00,7.00,4.00,6.00,3.00,4.00,3.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17408,459,NULL,NULL,NULL,NULL,NULL,2,1),(28,7056796,1.00,3.00,2.00,5.00,4.00,7.88,3.00,4.00,3.00,214,NULL,213,'CENTRO','SERRA NEGRA','SP',17836,348,NULL,265,NULL,NULL,NULL,2,4),(28,7056800,8.00,8.00,5.00,7.00,9.00,12.38,8.00,8.00,8.00,103,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',34,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056818,5.00,7.00,1.00,5.00,7.00,10.50,6.00,7.00,6.00,104,NULL,NULL,'FLORESTA','JOINVILLE','SC',3428,45,NULL,NULL,NULL,NULL,NULL,4,8),(28,7056826,4.00,7.00,1.00,7.00,2.00,NULL,1.00,6.00,2.00,340,NULL,NULL,'MANGABEIRA','CARAMBEÍ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7056834,7.00,8.00,4.00,6.00,8.00,11.63,3.00,8.00,7.00,103,NULL,NULL,'FLORESTA','BELO HORIZONTE','MG',352,257,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056842,7.00,8.00,7.00,6.00,10.00,9.75,7.00,8.00,8.00,201,NULL,203,'FLORESTA','JOINVILLE','SC',27,1,NULL,NULL,NULL,NULL,NULL,4,8),(28,7056850,5.00,5.00,3.00,6.00,8.00,9.75,6.00,6.00,5.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',3819,1292,NULL,NULL,NULL,NULL,NULL,2,1),(28,7056869,5.00,7.00,1.00,5.00,8.00,8.63,4.00,5.00,5.00,103,NULL,NULL,'PARQUE TRINDADE I','APARECIDA GOIÂNIA','GO',4644,1438,NULL,NULL,NULL,NULL,NULL,4,8),(28,7056877,5.00,7.00,4.00,7.00,5.00,7.50,4.00,5.00,5.00,203,NULL,214,'FAZENDINHA','CARAPICUÍBA','SP',3452,246,NULL,122,NULL,NULL,NULL,4,1),(28,7056885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BELA VISÃO','ILHÉUS','BA',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7056893,3.00,6.00,1.00,7.00,2.00,NULL,3.00,2.00,5.00,103,NULL,NULL,'CENTRAL','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056907,7.00,7.00,2.00,6.00,7.00,9.75,5.00,5.00,5.00,233,NULL,216,'PAULICEIA','S BERNARDO CAMPO','SP',2147,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056915,3.00,8.00,2.00,7.00,8.00,11.63,4.00,6.00,5.00,415,NULL,NULL,'PINGUIRITO','GAROPABA','SC',3738,53,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056923,2.00,4.00,2.00,4.00,3.00,6.38,3.00,5.00,0.00,9,NULL,NULL,'CENTRO','LEBON RÉGIS','SC',16398,124,NULL,NULL,NULL,NULL,NULL,4,25),(28,7056931,5.00,8.00,3.00,7.00,10.00,9.75,3.00,5.00,4.00,220,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',1575,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7056958,5.00,7.00,4.00,7.00,5.00,6.38,3.00,5.00,4.00,201,NULL,203,'JARDIM LONDRILAR','LONDRINA','PR',5019,387,NULL,344,NULL,NULL,NULL,4,23),(28,7056966,1.00,6.00,3.00,7.00,5.00,4.88,3.00,5.00,4.00,235,NULL,202,'LÍDER','CHAPECÓ','SC',9530,155,NULL,NULL,NULL,NULL,NULL,2,4),(28,7056974,3.00,7.00,2.00,7.00,4.00,11.25,4.00,7.00,7.00,212,NULL,213,'JARDIM VILA PARADISO','INDAIATUBA','SP',2510,64,NULL,22,NULL,NULL,NULL,4,1),(28,7056982,0.00,3.00,1.00,3.00,4.00,7.50,3.00,2.00,1.00,103,NULL,NULL,'CENTRO','CLEVELÂNDIA','PR',20002,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7056990,5.00,7.00,0.00,5.00,9.00,9.38,2.00,4.00,6.00,303,NULL,NULL,'MARISTA','GOIÂNIA','GO',10083,412,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057008,2.00,3.00,1.00,3.00,5.00,6.00,1.00,3.00,2.00,102,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',16692,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057016,1.00,4.00,3.00,7.00,5.00,7.88,3.00,4.00,2.00,340,NULL,NULL,'BELA VISTA','S JOSÉ','SC',12642,346,NULL,NULL,NULL,NULL,NULL,2,1),(28,7057024,2.00,6.00,0.00,5.00,5.00,6.38,5.00,5.00,4.00,220,NULL,653,'NOSSA SENHORA DE FÁT','IÇARA','SC',9039,229,NULL,92,NULL,NULL,NULL,4,5),(28,7057032,3.00,4.00,2.00,2.00,3.00,7.50,3.00,5.00,1.00,316,NULL,NULL,'GUARDA DO CUBATAO','PALHOÇA','SC',15576,204,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057040,2.00,7.00,2.00,6.00,7.00,10.13,4.00,6.00,5.00,103,NULL,NULL,'JARDIM ANGÉLICA','CRICIÚMA','SC',5446,1561,NULL,NULL,NULL,NULL,NULL,4,5),(28,7057059,7.00,8.00,5.00,7.00,11.00,9.75,4.00,7.00,6.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',424,301,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057067,4.00,6.00,2.00,6.00,7.00,8.63,4.00,6.00,5.00,302,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',5977,12,NULL,NULL,NULL,NULL,NULL,2,1),(28,7057075,3.00,8.00,2.00,6.00,7.00,7.50,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',11668,2180,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057083,3.00,4.00,3.00,6.00,5.00,5.63,2.00,5.00,4.00,216,NULL,211,'POTECAS','S JOSÉ','SC',16532,426,NULL,400,NULL,NULL,NULL,2,1),(28,7057091,1.00,4.00,3.00,6.00,7.00,8.25,2.00,4.00,3.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',13098,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7057105,3.00,6.00,1.00,2.00,2.00,NULL,3.00,6.00,4.00,201,NULL,216,'POUSO ALTO','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7057113,5.00,7.00,2.00,5.00,8.00,7.88,5.00,6.00,4.00,202,NULL,213,'CAMPECHE','FLORIANÓPOLIS','SC',7897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057121,6.00,7.00,6.00,7.00,9.00,9.00,5.00,6.00,6.00,233,NULL,215,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',1694,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057130,3.00,6.00,1.00,6.00,8.00,7.88,3.00,4.00,1.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8638,266,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057156,3.00,7.00,4.00,7.00,8.00,10.88,4.00,6.00,6.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2153,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7057164,6.00,8.00,4.00,7.00,7.00,8.25,5.00,7.00,7.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',2004,888,NULL,NULL,NULL,NULL,NULL,4,8),(28,7057172,2.00,5.00,3.00,3.00,2.00,NULL,1.00,3.00,3.00,220,NULL,NULL,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7057180,4.00,7.00,2.00,7.00,7.00,8.25,6.00,6.00,4.00,340,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4073,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(28,7057199,6.00,6.00,2.00,5.00,6.00,8.63,4.00,6.00,4.00,103,NULL,NULL,'ABADIA','UBERABA','MG',9318,2020,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057210,3.00,6.00,4.00,7.00,6.00,8.63,3.00,2.00,3.00,216,NULL,NULL,'CENTRO','PEDREIRA','SP',12974,369,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057229,5.00,7.00,2.00,7.00,8.00,10.50,5.00,5.00,4.00,103,NULL,NULL,'MEDIANEIRA','PTO ALEGRE','RS',4053,1335,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057237,4.00,7.00,1.00,7.00,7.00,8.63,5.00,5.00,7.00,318,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',6750,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7057245,4.00,8.00,2.00,6.00,6.00,8.63,5.00,6.00,6.00,216,NULL,215,'CARVOEIRA','FLORIANÓPOLIS','SC',3873,NULL,NULL,52,NULL,NULL,NULL,4,1),(28,7057253,1.00,3.00,1.00,3.00,3.00,NULL,1.00,2.00,0.00,552,NULL,NULL,'BOA VISTA','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7057261,6.00,8.00,4.00,7.00,9.00,8.63,7.00,7.00,7.00,103,NULL,NULL,'JD BELA VISTA','FOZ IGUAÇU','PR',439,308,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057270,2.00,7.00,2.00,5.00,6.00,10.13,4.00,7.00,4.00,203,NULL,216,'GARCIA','SALVADOR','BA',5030,345,NULL,191,NULL,NULL,NULL,4,6),(28,7057288,1.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(28,7057296,5.00,7.00,3.00,8.00,9.00,8.25,3.00,7.00,5.00,303,NULL,NULL,'REAL PARK','S JOSÉ','SC',2486,105,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7057318,2.00,6.00,2.00,7.00,8.00,9.00,2.00,6.00,5.00,303,NULL,NULL,'JARDIM ITÁLIA','ITAPETININGA','SP',6246,285,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057326,6.00,7.00,5.00,6.00,10.00,10.13,6.00,6.00,7.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',217,169,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057334,0.00,5.00,0.00,6.00,4.00,NULL,2.00,4.00,2.00,339,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7057342,1.00,3.00,4.00,3.00,4.00,6.00,3.00,3.00,2.00,502,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7057350,4.00,8.00,3.00,5.00,8.00,10.13,2.00,7.00,6.00,201,NULL,211,'CENTRO','CRICIÚMA','SC',2217,160,NULL,37,NULL,NULL,NULL,4,5),(28,7057369,4.00,8.00,6.00,7.00,9.00,8.25,5.00,7.00,7.00,201,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',1553,94,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057385,3.00,5.00,3.00,7.00,6.00,9.38,3.00,5.00,2.00,104,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',13518,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7057393,4.00,7.00,4.00,7.00,8.00,7.50,5.00,6.00,5.00,103,NULL,NULL,'SERRA ALTA','S BENTO SUL','SC',5452,1563,NULL,NULL,NULL,NULL,NULL,4,8),(28,7057415,4.00,7.00,5.00,6.00,8.00,8.63,6.00,7.00,6.00,201,NULL,212,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2774,207,NULL,80,NULL,NULL,NULL,2,1),(28,7057423,2.00,5.00,2.00,7.00,5.00,7.88,2.00,4.00,3.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7057431,5.00,5.00,2.00,7.00,11.00,4.50,6.00,5.00,6.00,303,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',4184,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057440,4.00,7.00,5.00,6.00,9.00,9.00,5.00,6.00,6.00,201,NULL,203,'PQ ESMERALDA','AGUDOS','SP',1905,121,NULL,165,NULL,NULL,NULL,4,1),(28,7057458,6.00,7.00,1.00,7.00,7.00,7.88,4.00,6.00,7.00,203,NULL,202,'CENTRO SUL','DOIS VIZINHOS','PR',3225,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057466,0.00,5.00,3.00,2.00,5.00,6.00,2.00,2.00,4.00,552,NULL,NULL,'PLANALTO','VACARIA','RS',15300,103,NULL,NULL,NULL,NULL,NULL,4,9),(28,7057474,5.00,6.00,4.00,2.00,6.00,8.63,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',7887,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7057482,7.00,7.00,4.00,6.00,10.00,6.00,8.00,6.00,8.00,216,NULL,220,'GARCIA','BLUMENAU','SC',1020,27,NULL,NULL,NULL,NULL,NULL,4,2),(28,7057490,2.00,4.00,3.00,2.00,4.00,6.75,5.00,4.00,3.00,653,NULL,202,'SAO SIMAO','CRICIÚMA','SC',16913,182,NULL,NULL,NULL,NULL,NULL,4,5),(28,7057504,3.00,8.00,0.00,7.00,7.00,8.63,3.00,5.00,4.00,203,NULL,235,'SETOR AEROPORTO','GOIÂNIA','GO',5832,383,NULL,100,NULL,NULL,NULL,4,1),(28,7057512,0.00,7.00,2.00,5.00,7.00,9.75,1.00,4.00,2.00,201,NULL,NULL,'BAIRRO PIONEIRO','PINHALZINHO','SC',9874,673,NULL,NULL,NULL,NULL,NULL,2,4),(28,7057520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7057539,2.00,4.00,2.00,6.00,7.00,6.75,3.00,4.00,3.00,454,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',12165,240,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057547,8.00,9.00,3.00,7.00,10.00,10.88,4.00,9.00,6.00,303,NULL,NULL,'CENTRO HISTÓRICO','PTO ALEGRE','RS',347,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057555,3.00,4.00,2.00,5.00,8.00,9.38,2.00,4.00,3.00,999,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057563,4.00,5.00,4.00,6.00,8.00,8.63,6.00,7.00,3.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4109,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057571,3.00,7.00,2.00,5.00,9.00,9.00,4.00,5.00,7.00,103,NULL,NULL,'JARDIM EUROPA','ITAPEVA','SP',3352,1216,NULL,NULL,NULL,NULL,NULL,2,8),(28,7057580,2.00,4.00,2.00,4.00,4.00,9.75,2.00,4.00,2.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057601,0.00,5.00,2.00,5.00,4.00,9.00,2.00,4.00,2.00,425,NULL,428,'CENTRO','SEARA','SC',18542,72,NULL,65,NULL,NULL,NULL,4,4),(28,7057610,2.00,5.00,3.00,6.00,9.00,9.38,4.00,5.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12634,351,NULL,NULL,NULL,NULL,NULL,2,1),(28,7057636,2.00,3.00,4.00,4.00,5.00,NULL,2.00,2.00,5.00,319,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7057652,0.00,6.00,2.00,6.00,3.00,NULL,0.00,5.00,3.00,301,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057679,4.00,8.00,2.00,1.00,7.00,8.25,2.00,4.00,4.00,216,NULL,211,'MUNICIPIOS','CAÇADOR','SC',8780,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7057695,3.00,4.00,3.00,3.00,6.00,8.25,2.00,5.00,1.00,454,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057709,6.00,7.00,1.00,4.00,8.00,6.38,4.00,7.00,4.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9831,2058,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057717,3.00,7.00,2.00,5.00,6.00,4.88,3.00,7.00,4.00,552,NULL,NULL,'CENTRO','LEBON RÉGIS','SC',8752,19,NULL,NULL,NULL,NULL,NULL,2,25),(28,7057725,6.00,7.00,4.00,6.00,8.00,11.25,3.00,7.00,4.00,5,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',3331,125,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057733,4.00,7.00,2.00,6.00,9.00,10.88,3.00,6.00,5.00,303,NULL,NULL,'BUCAREIN','JOINVILLE','SC',2858,133,NULL,NULL,NULL,NULL,NULL,4,8),(28,7057741,2.00,8.00,3.00,5.00,10.00,8.63,4.00,5.00,4.00,333,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',5048,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057750,3.00,6.00,2.00,7.00,8.00,10.50,3.00,5.00,5.00,999,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7057768,5.00,8.00,3.00,5.00,8.00,9.75,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',2415,998,NULL,NULL,NULL,NULL,NULL,2,5),(28,7057776,4.00,6.00,3.00,6.00,7.00,8.63,3.00,5.00,5.00,5,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',5542,183,NULL,NULL,NULL,NULL,NULL,4,4),(28,7057784,5.00,5.00,3.00,6.00,7.00,9.00,5.00,5.00,4.00,220,NULL,235,'TAPERA','FLORIANÓPOLIS','SC',6824,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7057792,3.00,7.00,2.00,6.00,7.00,7.13,2.00,5.00,4.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057806,4.00,8.00,3.00,7.00,8.00,9.38,5.00,7.00,7.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1225,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057814,4.00,6.00,3.00,6.00,8.00,8.25,3.00,6.00,8.00,233,NULL,601,'BOMBAS','BOMBINHAS','SC',3570,88,NULL,50,NULL,NULL,NULL,4,3),(28,7057830,6.00,7.00,3.00,6.00,8.00,7.50,6.00,7.00,5.00,214,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',1624,50,NULL,6,NULL,NULL,NULL,4,1),(28,7057857,1.00,4.00,1.00,5.00,5.00,NULL,3.00,2.00,2.00,340,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,27),(28,7057873,5.00,7.00,4.00,5.00,8.00,11.25,6.00,6.00,4.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',1800,85,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,235,'LESTE UNIVERSITARIO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7057903,3.00,7.00,2.00,6.00,9.00,11.63,2.00,6.00,3.00,319,NULL,NULL,'NOVA BRASÍLIA','JOINVILLE','SC',5655,85,NULL,NULL,NULL,NULL,NULL,4,8),(28,7057911,1.00,7.00,2.00,6.00,3.00,10.13,1.00,4.00,2.00,216,NULL,215,'CENTRO','PINHALZINHO','SC',13099,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7057946,3.00,6.00,1.00,7.00,7.00,NULL,0.00,4.00,2.00,319,NULL,NULL,'SACO DOS LIMÔES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057970,2.00,5.00,1.00,5.00,6.00,8.63,0.00,3.00,3.00,655,NULL,235,'CENTRO','LAURO FREITAS','BA',14425,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7057989,4.00,6.00,2.00,7.00,7.00,9.75,4.00,7.00,5.00,450,NULL,NULL,'NONOAI','PTO ALEGRE','RS',2579,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7057997,3.00,5.00,1.00,4.00,5.00,6.00,0.00,6.00,4.00,203,NULL,214,'SÃO BASÍLIO','BRAÇO NORTE','SC',12169,584,NULL,290,NULL,NULL,NULL,2,10),(28,7058004,3.00,8.00,3.00,7.00,7.00,10.88,5.00,7.00,6.00,103,NULL,NULL,'VOLTA GRANDE','RIO NEGRINHO','SC',1654,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7058020,3.00,6.00,1.00,4.00,5.00,7.88,1.00,5.00,2.00,234,NULL,NULL,'BARREIROS','S JOSÉ','SC',12933,26,NULL,NULL,NULL,NULL,NULL,2,1),(28,7058039,5.00,4.00,2.00,4.00,5.00,8.63,4.00,5.00,5.00,207,NULL,215,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',10677,491,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058047,1.00,8.00,1.00,7.00,6.00,6.75,3.00,6.00,4.00,999,NULL,NULL,'MOSSUNGUÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058055,3.00,7.00,4.00,5.00,9.00,7.13,3.00,7.00,6.00,203,NULL,601,'N SR DE LOURDES','CAMPOS NOVOS','SC',2977,NULL,NULL,38,NULL,NULL,NULL,2,8),(28,7058063,7.00,7.00,3.00,5.00,8.00,6.75,4.00,7.00,6.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058071,5.00,5.00,3.00,6.00,4.00,7.88,6.00,4.00,5.00,212,NULL,601,'JURERE','FLORIANÓPOLIS','SC',5147,167,NULL,96,NULL,NULL,NULL,4,1),(28,7058080,6.00,9.00,5.00,7.00,11.00,7.88,5.00,7.00,7.00,103,NULL,NULL,'JARDINS','ARACAJU','SE',184,143,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058098,2.00,8.00,3.00,7.00,7.00,9.75,3.00,7.00,5.00,331,NULL,NULL,'CENTRO','RIO SUL','SC',4224,6,NULL,NULL,NULL,NULL,NULL,4,24),(28,7058101,6.00,7.00,2.00,5.00,10.00,8.63,4.00,5.00,6.00,103,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',4207,1365,NULL,NULL,NULL,NULL,NULL,2,1),(28,7058128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PENHA','CARIÚS','CE',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7058136,2.00,7.00,2.00,6.00,9.00,8.63,5.00,5.00,6.00,103,NULL,NULL,'VILA RICA','SIDERÓPOLIS','SC',4519,1422,NULL,NULL,NULL,NULL,NULL,4,5),(28,7058144,3.00,7.00,2.00,5.00,6.00,10.50,4.00,3.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',12092,2206,NULL,NULL,NULL,NULL,NULL,4,6),(28,7058160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM JAMAICA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7058179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7058187,4.00,7.00,2.00,7.00,6.00,8.25,2.00,4.00,5.00,214,NULL,212,'PARQUE DOS JEQUITIBA','S JOÃO B VISTA','SP',8168,232,NULL,251,NULL,NULL,NULL,4,8),(28,7058195,0.00,1.00,3.00,4.00,4.00,NULL,2.00,3.00,0.00,552,NULL,NULL,'HERCILIO V DO AMARAL','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7058209,8.00,7.00,5.00,7.00,9.00,10.88,8.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',118,94,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058225,6.00,7.00,7.00,7.00,9.00,9.00,7.00,7.00,7.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',278,211,NULL,NULL,NULL,NULL,NULL,4,8),(28,7058233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7058241,4.00,7.00,3.00,7.00,9.00,12.38,6.00,7.00,6.00,103,NULL,NULL,'CENTRO','ITUMBIARA','GO',778,462,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058250,6.00,7.00,6.00,7.00,9.00,8.25,4.00,8.00,7.00,212,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',360,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058276,6.00,8.00,3.00,7.00,6.00,8.25,5.00,7.00,6.00,103,NULL,NULL,'MOOCA','S PAULO','SP',1717,810,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058284,3.00,7.00,3.00,6.00,7.00,9.00,3.00,4.00,0.00,202,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',8873,234,NULL,144,NULL,NULL,NULL,4,1),(28,7058292,4.00,7.00,1.00,7.00,10.00,12.38,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',1291,672,NULL,NULL,NULL,NULL,NULL,4,10),(28,7058306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7058314,0.00,5.00,2.00,5.00,4.00,7.88,2.00,4.00,4.00,203,NULL,214,'CENTRO','COCAL SUL','SC',13483,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7058322,6.00,7.00,4.00,7.00,10.00,14.63,7.00,8.00,6.00,103,NULL,NULL,'VILA NASSER','CPO GRANDE','MS',57,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058330,5.00,5.00,4.00,6.00,5.00,8.63,2.00,3.00,4.00,339,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13467,11,NULL,NULL,NULL,NULL,NULL,2,1),(28,7058349,4.00,8.00,4.00,7.00,7.00,9.00,5.00,5.00,8.00,214,NULL,NULL,'VILA ROBERTO','MOGI GUAÇU','SP',1885,63,NULL,NULL,NULL,NULL,NULL,4,7),(28,7058357,4.00,8.00,2.00,6.00,6.00,10.50,3.00,4.00,5.00,103,NULL,NULL,'FAZENDA IMPERIAL','SOROCABA','SP',7884,1883,NULL,NULL,NULL,NULL,NULL,4,6),(28,7058365,7.00,6.00,4.00,4.00,9.00,10.13,3.00,7.00,8.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',1664,795,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058373,3.00,6.00,2.00,7.00,8.00,10.13,5.00,5.00,5.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4664,78,NULL,NULL,NULL,NULL,NULL,2,1),(28,7058381,2.00,7.00,0.00,6.00,4.00,NULL,2.00,3.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7058390,3.00,7.00,0.00,4.00,4.00,NULL,3.00,3.00,3.00,211,NULL,238,'GANCHOS DE FORA','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7058403,9.00,6.00,8.00,7.00,8.00,8.25,5.00,7.00,7.00,212,NULL,214,'VILA MARIANA','S PAULO','SP',258,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058420,1.00,6.00,2.00,7.00,7.00,9.75,2.00,6.00,3.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13328,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058438,4.00,7.00,1.00,7.00,8.00,9.38,3.00,6.00,5.00,653,NULL,213,'PASSAGEM','TUBARÃO','SC',3886,25,NULL,NULL,NULL,NULL,NULL,4,10),(28,7058446,2.00,5.00,1.00,7.00,5.00,10.50,2.00,1.00,2.00,340,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',10457,291,NULL,NULL,NULL,NULL,NULL,4,8),(28,7058454,7.00,7.00,3.00,6.00,7.00,10.50,7.00,6.00,2.00,601,NULL,203,'SÃO LOURENÇO','CURITIBA','PR',1734,13,NULL,NULL,NULL,NULL,NULL,4,8),(28,7058462,1.00,2.00,1.00,5.00,3.00,5.25,2.00,4.00,1.00,404,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',18604,62,NULL,NULL,NULL,NULL,NULL,2,1),(28,7058470,0.00,6.00,1.00,5.00,7.00,6.75,2.00,5.00,3.00,652,NULL,653,'CENTRO','SOMBRIO','SC',17213,77,NULL,NULL,NULL,NULL,NULL,4,15),(28,7058489,0.00,5.00,2.00,3.00,4.00,6.00,1.00,3.00,1.00,502,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',19072,57,NULL,NULL,NULL,NULL,NULL,2,1),(28,7058500,6.00,7.00,3.00,7.00,9.00,10.88,5.00,6.00,7.00,108,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',1343,4,NULL,NULL,NULL,NULL,NULL,4,8),(28,7058527,4.00,6.00,2.00,7.00,6.00,11.25,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',4151,1353,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058535,1.00,0.00,1.00,6.00,6.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(28,7058543,1.00,4.00,3.00,2.00,3.00,7.50,2.00,4.00,0.00,324,NULL,NULL,'INAJÁ','MATINHOS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7058551,2.00,4.00,2.00,6.00,3.00,NULL,2.00,6.00,2.00,308,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7058560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM COLOMBO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7058578,5.00,6.00,3.00,7.00,7.00,9.75,4.00,7.00,5.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',3703,174,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7058594,0.00,5.00,3.00,5.00,5.00,9.75,2.00,3.00,3.00,340,NULL,NULL,'CENTRO','JUNQUEIRÓPOLIS','SP',12532,343,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058608,3.00,8.00,2.00,7.00,7.00,9.38,2.00,6.00,4.00,202,NULL,213,'PARQUE MARISTA','S BENTO SUL','SC',3854,113,NULL,49,NULL,NULL,NULL,4,8),(28,7058616,3.00,8.00,3.00,5.00,6.00,8.25,4.00,6.00,4.00,203,NULL,201,'JARDIM FLÓRIDA','JACAREÍ','SP',5428,364,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA PETROPOLIS','ATIBAIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7058640,2.00,8.00,3.00,4.00,8.00,10.88,7.00,6.00,6.00,202,NULL,213,'VARGEM GRANDE','FLORIANÓPOLIS','SC',4606,135,NULL,68,NULL,NULL,NULL,4,1),(28,7058659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,655,'CENTRO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7058667,3.00,6.00,4.00,7.00,8.00,7.88,4.00,7.00,6.00,303,NULL,NULL,'ÁGUAS','IPATINGA','MG',3147,145,NULL,NULL,NULL,NULL,NULL,4,26),(28,7058675,1.00,4.00,1.00,3.00,5.00,6.75,1.00,3.00,1.00,5,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',19738,490,NULL,NULL,NULL,NULL,NULL,2,1),(28,7058683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7058705,5.00,5.00,2.00,5.00,8.00,7.13,3.00,6.00,5.00,104,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',7012,157,NULL,NULL,NULL,NULL,NULL,4,8),(28,7058713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CAMPO BELO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',1,8),(28,7058748,5.00,9.00,5.00,7.00,7.00,9.75,5.00,7.00,7.00,203,NULL,214,'MORUMBI','S PAULO','SP',1147,106,NULL,20,NULL,NULL,NULL,4,1),(28,7058756,7.00,7.00,6.00,6.00,8.00,9.75,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',977,540,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MATA DA PRAIA','VITÓRIA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7058772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,652,'SÃO CRISTOVÃO','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7058780,6.00,8.00,5.00,7.00,9.00,10.13,5.00,6.00,4.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',1090,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058799,2.00,6.00,4.00,3.00,8.00,10.13,4.00,5.00,4.00,104,NULL,NULL,'COSTEIRA DOPIRAJUBAE','FLORIANÓPOLIS','SC',6244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058802,4.00,8.00,1.00,4.00,7.00,6.38,4.00,5.00,5.00,201,NULL,233,'FLORESTA','S JOSÉ','SC',5757,446,NULL,151,NULL,NULL,NULL,4,1),(28,7058829,2.00,5.00,2.00,4.00,5.00,7.50,3.00,4.00,1.00,653,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',14335,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7058837,7.00,8.00,6.00,7.00,11.00,10.13,5.00,8.00,8.00,103,NULL,NULL,'PIRITUBA','S PAULO','SP',149,120,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058845,3.00,6.00,2.00,6.00,7.00,7.50,4.00,5.00,1.00,316,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',11442,114,NULL,NULL,NULL,NULL,NULL,2,1),(28,7058870,6.00,7.00,3.00,6.00,9.00,12.00,4.00,4.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1810,839,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058888,4.00,7.00,3.00,5.00,9.00,10.88,6.00,7.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2031,62,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058896,5.00,6.00,4.00,6.00,8.00,8.25,4.00,5.00,4.00,220,NULL,235,'JARDIM CIDADE MONÇÕE','MARINGÁ','PR',2953,83,NULL,47,NULL,NULL,NULL,4,8),(28,7058900,2.00,7.00,1.00,6.00,7.00,7.50,1.00,5.00,3.00,103,NULL,NULL,'SAGRADO','LAGES','SC',9992,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7058934,2.00,6.00,5.00,6.00,7.00,7.13,2.00,4.00,6.00,211,NULL,207,'AGRONOMIA','PTO ALEGRE','RS',6229,168,NULL,NULL,NULL,NULL,NULL,4,1),(28,7058969,3.00,6.00,4.00,6.00,8.00,9.00,4.00,5.00,5.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',5082,1502,NULL,NULL,NULL,NULL,NULL,2,1),(28,7058977,3.00,7.00,2.00,5.00,4.00,7.13,0.00,5.00,1.00,454,NULL,NULL,'LANGUIRU','TEUTÔNIA','RS',13572,274,NULL,NULL,NULL,NULL,NULL,2,1),(28,7058985,1.00,7.00,2.00,5.00,7.00,8.25,1.00,6.00,1.00,320,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16220,41,NULL,NULL,NULL,NULL,NULL,2,1),(28,7058993,2.00,5.00,1.00,3.00,4.00,6.75,2.00,2.00,2.00,103,NULL,NULL,'PARQUE JOÃO RAMALHO','STO ANDRÉ','SP',14454,2329,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059027,4.00,5.00,1.00,5.00,6.00,7.50,2.00,6.00,2.00,103,NULL,NULL,'COPACABANA','LAGES','SC',12752,2250,NULL,NULL,NULL,NULL,NULL,2,9),(28,7059035,1.00,6.00,3.00,7.00,8.00,6.75,2.00,6.00,2.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8869,98,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'CAMPO GRANDE','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7059051,1.00,4.00,2.00,1.00,3.00,8.63,1.00,3.00,2.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059060,2.00,6.00,3.00,6.00,6.00,7.13,4.00,3.00,5.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',8063,1907,NULL,NULL,NULL,NULL,NULL,4,22),(28,7059086,5.00,6.00,3.00,7.00,10.00,9.00,3.00,6.00,5.00,103,NULL,NULL,'BELA VISTA','IBIRAMA','SC',2568,1039,NULL,NULL,NULL,NULL,NULL,4,24),(28,7059094,0.00,6.00,2.00,4.00,5.00,6.00,2.00,4.00,2.00,302,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',18741,144,NULL,NULL,NULL,NULL,NULL,2,1),(28,7059108,7.00,8.00,3.00,6.00,9.00,7.88,7.00,8.00,6.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',833,483,NULL,NULL,NULL,NULL,NULL,4,8),(28,7059116,3.00,4.00,1.00,3.00,3.00,6.00,4.00,1.00,2.00,316,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',19565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059124,0.00,4.00,0.00,1.00,4.00,NULL,3.00,3.00,3.00,201,NULL,212,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059132,2.00,4.00,4.00,7.00,6.00,8.25,3.00,5.00,7.00,202,NULL,653,'INDEPENDENCIA','PTO ALEGRE','RS',7173,189,NULL,79,NULL,NULL,NULL,4,4),(28,7059140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'LAPA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7059167,5.00,7.00,3.00,4.00,7.00,9.75,6.00,7.00,4.00,103,NULL,NULL,'JARDIM INDEPENDENCIA','RIBEIRÃO PRETO','SP',5153,1512,NULL,NULL,NULL,NULL,NULL,2,1),(28,7059175,4.00,6.00,3.00,6.00,8.00,6.75,4.00,7.00,4.00,653,NULL,202,'JURERE','FLORIANÓPOLIS','SC',5193,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059183,6.00,8.00,5.00,7.00,6.00,6.75,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','CORDEIRÓPOLIS','SP',1740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059191,3.00,3.00,2.00,6.00,8.00,NULL,2.00,4.00,3.00,9,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7059205,5.00,6.00,3.00,5.00,8.00,10.13,3.00,6.00,4.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',7843,1875,NULL,NULL,NULL,NULL,NULL,2,1),(28,7059221,8.00,8.00,4.00,7.00,9.00,11.63,8.00,7.00,9.00,203,NULL,201,'CANTO','FLORIANÓPOLIS','SC',82,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059230,1.00,5.00,2.00,5.00,6.00,6.00,2.00,3.00,2.00,211,NULL,215,'INGLESES','FLORIANÓPOLIS','SC',14834,373,NULL,244,NULL,NULL,NULL,4,1),(28,7059248,3.00,7.00,1.00,4.00,7.00,8.25,4.00,5.00,3.00,501,NULL,NULL,'PRESIDENTE VARGAS','IÇARA','SC',8944,33,NULL,NULL,NULL,NULL,NULL,2,5),(28,7059256,1.00,4.00,4.00,4.00,5.00,6.38,2.00,1.00,3.00,309,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7059264,1.00,8.00,2.00,7.00,5.00,8.25,5.00,1.00,1.00,454,NULL,NULL,'CIDADE ALTA','VIDEIRA','SC',11655,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7059272,1.00,7.00,3.00,6.00,5.00,7.13,3.00,4.00,5.00,999,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7059280,6.00,8.00,5.00,6.00,10.00,11.25,8.00,8.00,8.00,203,NULL,202,'NEVA','CASCAVEL','PR',77,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059299,2.00,4.00,1.00,6.00,7.00,6.00,4.00,6.00,3.00,451,NULL,NULL,'RECANTO VERDE','CRICIÚMA','SC',15221,34,NULL,NULL,NULL,NULL,NULL,2,5),(28,7059302,1.00,5.00,2.00,4.00,4.00,4.50,4.00,4.00,4.00,653,NULL,601,'CENTRO','CHAPECÓ','SC',15902,169,NULL,469,NULL,NULL,NULL,4,4),(28,7059329,3.00,4.00,2.00,6.00,9.00,8.25,4.00,5.00,3.00,207,NULL,201,'KOBRASOL','S JOSÉ','SC',12699,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059345,4.00,7.00,1.00,8.00,9.00,10.13,4.00,7.00,2.00,207,NULL,233,'ITACORUBI','FLORIANÓPOLIS','SC',5024,218,NULL,135,NULL,NULL,NULL,4,1),(28,7059353,3.00,6.00,2.00,6.00,6.00,7.88,1.00,7.00,4.00,201,NULL,203,'CENTRO','CANOINHAS','SC',8206,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7059361,1.00,4.00,3.00,3.00,4.00,6.75,2.00,3.00,2.00,655,NULL,652,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7059388,2.00,5.00,1.00,6.00,5.00,7.13,4.00,3.00,3.00,999,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059400,3.00,5.00,1.00,7.00,4.00,NULL,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,23),(28,7059418,2.00,7.00,3.00,3.00,5.00,7.50,2.00,4.00,4.00,108,NULL,NULL,'CENTRO','CAMBORIÚ','SC',11438,152,NULL,NULL,NULL,NULL,NULL,4,3),(28,7059426,6.00,7.00,3.00,5.00,8.00,9.75,5.00,5.00,5.00,103,NULL,NULL,'EMILIANO PERNETA','PINHAIS','PR',3129,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7059434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDINS FLORENCA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7059442,4.00,6.00,0.00,5.00,8.00,8.25,2.00,4.00,4.00,102,NULL,NULL,'ÁGUAS CLARAS','BRUSQUE','SC',8399,64,NULL,NULL,NULL,NULL,NULL,4,22),(28,7059469,3.00,7.00,1.00,5.00,5.00,5.25,3.00,5.00,4.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',11012,2138,NULL,NULL,NULL,NULL,NULL,4,8),(28,7059477,0.00,3.00,2.00,5.00,6.00,6.75,3.00,5.00,1.00,5,NULL,NULL,'ESCOLA AGRICOLA','BLUMENAU','SC',15386,417,NULL,NULL,NULL,NULL,NULL,2,2),(28,7059485,1.00,1.00,0.00,0.00,2.00,NULL,1.00,1.00,3.00,444,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7059507,7.00,8.00,3.00,5.00,7.00,10.88,5.00,7.00,6.00,103,NULL,NULL,'BAIRRO PETRÓPOLIS','PTO ALEGRE','RS',1417,717,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059515,1.00,6.00,3.00,3.00,6.00,7.88,2.00,5.00,2.00,103,NULL,NULL,'BUGAD','RIO SUL','SC',12130,2208,NULL,NULL,NULL,NULL,NULL,4,24),(28,7059523,2.00,4.00,1.00,6.00,5.00,5.63,2.00,4.00,2.00,601,NULL,NULL,'AVAÍ','GUARAMIRIM','SC',13358,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7059531,4.00,8.00,2.00,8.00,6.00,10.50,5.00,6.00,6.00,999,NULL,NULL,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7059566,3.00,8.00,3.00,3.00,3.00,7.88,5.00,6.00,3.00,103,NULL,NULL,'CAMPO DE FORA','LAGUNA','SC',7404,1823,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059582,2.00,6.00,5.00,7.00,5.00,8.25,1.00,5.00,2.00,333,NULL,NULL,'SETOR NOVA QUERÊNCIA','QUERÊNCIA','MT',15608,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7059590,6.00,9.00,4.00,7.00,6.00,9.38,2.00,6.00,6.00,103,NULL,NULL,'CASCATINHA','CURITIBA','PR',3315,1208,NULL,NULL,NULL,NULL,NULL,4,3),(28,7059604,1.00,1.00,1.00,4.00,5.00,NULL,0.00,3.00,0.00,207,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059612,0.00,2.00,0.00,5.00,5.00,NULL,2.00,4.00,2.00,224,NULL,NULL,'CARIJÓS','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7059647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'JARDIM MANSUR','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7059655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7059663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ANA MARIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7059680,3.00,3.00,3.00,6.00,7.00,9.38,5.00,4.00,2.00,319,NULL,NULL,'REVOREDO','TUBARÃO','SC',13966,266,NULL,NULL,NULL,NULL,NULL,2,10),(28,7059698,3.00,5.00,2.00,4.00,7.00,7.88,2.00,5.00,5.00,301,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',10810,138,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059701,0.00,3.00,1.00,2.00,4.00,2.63,0.00,5.00,1.00,5,NULL,NULL,'FORQUILINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7059728,3.00,5.00,2.00,6.00,2.00,NULL,1.00,3.00,2.00,202,NULL,201,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7059736,1.00,5.00,2.00,5.00,6.00,5.25,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','S JOSÉ','SC',14185,2313,NULL,NULL,NULL,NULL,NULL,2,1),(28,7059744,2.00,7.00,2.00,3.00,5.00,9.00,2.00,5.00,4.00,425,NULL,428,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',15864,50,NULL,45,NULL,NULL,NULL,4,1),(28,7059752,3.00,6.00,2.00,8.00,5.00,9.38,4.00,4.00,3.00,999,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7059760,7.00,6.00,3.00,2.00,4.00,NULL,5.00,7.00,2.00,103,NULL,NULL,'VILA PLANALTO','BRASÍLIA','DF',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7059787,3.00,6.00,1.00,3.00,8.00,5.63,1.00,3.00,3.00,103,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',12243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7059809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7059825,2.00,7.00,3.00,7.00,5.00,9.75,4.00,5.00,5.00,207,NULL,201,'CHACARA CAICHOEIRA','CPO GRANDE','MS',5218,232,NULL,403,NULL,NULL,NULL,4,1),(28,7059833,3.00,7.00,1.00,7.00,10.00,11.63,2.00,4.00,3.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',5122,131,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059841,7.00,8.00,4.00,8.00,10.00,11.25,6.00,8.00,7.00,103,NULL,NULL,'ALTO DA BOA VISTA','S PAULO','SP',80,67,NULL,NULL,NULL,NULL,NULL,4,26),(28,7059850,4.00,7.00,5.00,6.00,9.00,8.63,5.00,6.00,8.00,303,NULL,NULL,'ALTO DA BOA VISTA','SOROCABA','SP',1224,53,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059868,0.00,4.00,3.00,4.00,7.00,5.25,0.00,3.00,1.00,319,NULL,NULL,'GUARUJÁ','PTO ALEGRE','RS',16950,327,NULL,NULL,NULL,NULL,NULL,2,1),(28,7059876,2.00,7.00,2.00,7.00,3.00,9.00,3.00,4.00,5.00,601,NULL,201,'GUANABARA','JOINVILLE','SC',12853,387,NULL,822,NULL,NULL,NULL,4,8),(28,7059892,5.00,7.00,3.00,3.00,7.00,7.88,5.00,6.00,4.00,103,NULL,NULL,'INTERIOR','MARAVILHA','SC',5443,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7059906,2.00,7.00,2.00,7.00,8.00,10.13,4.00,6.00,5.00,303,NULL,NULL,'CENTRO','PALHOÇA','SC',4949,228,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059914,2.00,3.00,1.00,2.00,4.00,8.25,2.00,3.00,4.00,223,NULL,NULL,'SANTA TEREZA','S PEDRO ALCÂNTARA','SC',16100,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059922,2.00,4.00,3.00,5.00,7.00,7.13,2.00,3.00,3.00,215,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',15304,249,NULL,403,NULL,NULL,NULL,2,1),(28,7059949,0.00,4.00,1.00,6.00,4.00,8.25,3.00,4.00,5.00,201,NULL,202,'LINHA SÃO JOSÉ','QUILOMBO','SC',12559,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7059957,0.00,3.00,3.00,1.00,3.00,5.63,1.00,2.00,2.00,207,NULL,NULL,'CENTRO','PIRAÍ SUL','PR',18986,793,NULL,NULL,NULL,NULL,NULL,4,1),(28,7059965,1.00,6.00,3.00,7.00,8.00,9.75,3.00,4.00,1.00,109,NULL,NULL,'ROÇADO','S JOSÉ','SC',14892,58,NULL,NULL,NULL,NULL,NULL,2,1),(28,7059981,0.00,5.00,1.00,7.00,3.00,NULL,0.00,5.00,2.00,208,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7059990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ROSA MARIA','GRAVATAÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7060009,0.00,1.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,203,NULL,214,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7060017,0.00,4.00,1.00,6.00,2.00,NULL,4.00,3.00,2.00,426,NULL,428,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7060025,1.00,5.00,3.00,7.00,3.00,5.63,1.00,3.00,1.00,319,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',17615,342,NULL,NULL,NULL,NULL,NULL,2,1),(28,7060041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7060050,4.00,7.00,1.00,6.00,7.00,9.00,5.00,5.00,5.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',4574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7060068,4.00,8.00,3.00,5.00,2.00,NULL,1.00,6.00,1.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7060076,2.00,4.00,1.00,4.00,7.00,9.00,4.00,5.00,2.00,655,NULL,238,'JARDIM DAS INDUSTRIA','S JOSÉ CAMPOS','SP',9540,43,NULL,NULL,NULL,NULL,NULL,2,1),(28,7060084,0.00,2.00,2.00,4.00,0.00,NULL,1.00,3.00,2.00,317,NULL,NULL,'SÃO JOÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7060092,3.00,4.00,2.00,6.00,7.00,8.63,3.00,4.00,2.00,216,NULL,NULL,'REBOUÇAS','CURITIBA','PR',9117,293,NULL,NULL,NULL,NULL,NULL,4,1),(28,7060106,1.00,4.00,0.00,4.00,1.00,NULL,0.00,2.00,1.00,309,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7060122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'CHÁCARA BELENZINHO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7060130,8.00,7.00,2.00,7.00,7.00,9.00,5.00,8.00,6.00,103,NULL,NULL,'ALPHAVILLE','GOIÂNIA','GO',836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7060149,2.00,5.00,1.00,4.00,5.00,7.13,1.00,4.00,3.00,201,NULL,202,'PONTE DO IMARUIM','PALHOÇA','SC',12707,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7060157,1.00,4.00,2.00,3.00,4.00,4.50,1.00,4.00,2.00,303,NULL,NULL,'CENTRO','GAROPABA','SC',19785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7060173,6.00,6.00,4.00,7.00,6.00,9.75,6.00,7.00,6.00,214,NULL,203,'INÁCIO BARBOSA','ARACAJU','SE',2077,71,NULL,NULL,NULL,NULL,NULL,2,1),(28,7060181,3.00,6.00,4.00,7.00,9.00,9.00,5.00,5.00,4.00,212,NULL,213,'CAMPINAS','S JOSÉ','SC',7642,233,NULL,128,NULL,NULL,NULL,2,1),(28,7060190,3.00,7.00,1.00,6.00,5.00,10.50,2.00,5.00,2.00,454,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',8961,166,NULL,NULL,NULL,NULL,NULL,2,1),(28,7060203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7060211,3.00,6.00,3.00,4.00,7.00,7.13,2.00,5.00,6.00,207,NULL,212,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8804,406,NULL,265,NULL,NULL,NULL,4,1),(28,7060220,4.00,7.00,2.00,6.00,5.00,7.88,3.00,7.00,3.00,203,NULL,201,'COSTEIRA','FLORIANÓPOLIS','SC',12766,598,NULL,NULL,NULL,NULL,NULL,4,1),(28,7060246,1.00,5.00,3.00,7.00,8.00,9.00,3.00,5.00,4.00,303,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',6371,288,NULL,NULL,NULL,NULL,NULL,4,1),(28,7060254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,207,'ITINGA','ARAQUARI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7060262,5.00,6.00,1.00,4.00,5.00,9.38,3.00,4.00,4.00,213,NULL,233,'BARRA DO ARIRIÚ','PALHOÇA','SC',9411,166,NULL,NULL,NULL,NULL,NULL,4,1),(28,7060270,2.00,5.00,2.00,6.00,7.00,10.13,3.00,4.00,4.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5861,267,NULL,NULL,NULL,NULL,NULL,2,1),(28,7060289,1.00,4.00,2.00,1.00,7.00,5.63,1.00,4.00,4.00,104,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7060300,2.00,4.00,1.00,7.00,8.00,7.13,2.00,6.00,4.00,103,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',10296,2092,NULL,NULL,NULL,NULL,NULL,2,1),(28,7060351,2.00,7.00,3.00,5.00,8.00,7.13,6.00,5.00,4.00,211,NULL,202,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5575,143,NULL,157,NULL,NULL,NULL,4,1),(28,7060360,4.00,5.00,4.00,5.00,6.00,13.50,0.00,4.00,4.00,207,NULL,NULL,'COMASA','JOINVILLE','SC',6886,320,NULL,NULL,NULL,NULL,NULL,4,8),(28,7060378,6.00,8.00,3.00,6.00,10.00,9.75,6.00,7.00,6.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',973,537,NULL,NULL,NULL,NULL,NULL,4,1),(28,7060386,3.00,7.00,3.00,3.00,6.00,10.88,2.00,7.00,4.00,302,NULL,NULL,'JARDIM ANGÉLICA','CRICIÚMA','SC',11275,70,NULL,NULL,NULL,NULL,NULL,2,5),(28,7060394,3.00,9.00,0.00,7.00,8.00,6.00,1.00,6.00,3.00,104,NULL,NULL,'JARDIM AMÉRICA','ITUPORANGA','SC',6369,136,NULL,NULL,NULL,NULL,NULL,4,24),(28,7060408,1.00,4.00,1.00,3.00,6.00,7.50,1.00,6.00,3.00,103,NULL,NULL,'UNIVERSITARIO','CAXIAS SUL','RS',13798,2289,NULL,NULL,NULL,NULL,NULL,2,1),(28,7060424,4.00,5.00,4.00,6.00,7.00,6.75,5.00,5.00,4.00,103,NULL,NULL,'MICHEL','CRICIÚMA','SC',7580,1836,NULL,NULL,NULL,NULL,NULL,2,5),(28,7060459,0.00,2.00,0.00,3.00,5.00,NULL,2.00,2.00,0.00,552,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7060467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'CENTRO','PASSOS MAIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7060475,1.00,5.00,2.00,2.00,5.00,NULL,0.00,6.00,0.00,319,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7060491,4.00,6.00,2.00,7.00,8.00,8.63,5.00,5.00,5.00,214,NULL,213,'JARDIM SANTANA','DOURADOS','MS',2743,NULL,NULL,37,NULL,NULL,NULL,4,1),(28,7060505,0.00,1.00,0.00,3.00,5.00,NULL,1.00,2.00,3.00,207,NULL,201,'BOA VISTA','S VICENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7060513,3.00,7.00,1.00,5.00,6.00,10.50,4.00,4.00,3.00,415,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9094,145,NULL,NULL,NULL,NULL,NULL,2,1),(28,7060521,6.00,8.00,1.00,7.00,6.00,11.25,5.00,8.00,2.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7060530,3.00,9.00,2.00,7.00,9.00,8.63,5.00,5.00,4.00,102,NULL,NULL,'DEHON','TUBARÃO','SC',3762,13,NULL,NULL,NULL,NULL,NULL,4,10),(28,7060548,3.00,5.00,1.00,4.00,7.00,8.25,3.00,7.00,2.00,999,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7060556,5.00,5.00,0.00,4.00,5.00,7.50,2.00,3.00,1.00,552,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',12467,57,NULL,NULL,NULL,NULL,NULL,2,3),(28,7060564,1.00,5.00,3.00,6.00,6.00,8.25,3.00,8.00,4.00,208,NULL,NULL,'CARDOSO','S JOÃO BATISTA','SC',8687,91,NULL,NULL,NULL,NULL,NULL,2,22),(28,7060572,0.00,1.00,1.00,4.00,3.00,NULL,1.00,3.00,3.00,440,NULL,NULL,'SANTO AMARO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7060580,4.00,6.00,5.00,6.00,8.00,6.75,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','S MIGUEL IGUAÇU','PR',3076,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7060599,3.00,7.00,4.00,5.00,7.00,9.38,5.00,7.00,8.00,203,NULL,202,'MAGALHÃES','LAGUNA','SC',1160,108,NULL,26,NULL,NULL,NULL,4,10),(28,7060602,0.00,5.00,1.00,5.00,3.00,8.63,1.00,5.00,2.00,238,NULL,216,'MONTE VERDE','FLORIANÓPOLIS','SC',18712,327,NULL,NULL,NULL,NULL,NULL,4,1),(28,7060610,1.00,7.00,2.00,6.00,5.00,7.50,2.00,5.00,2.00,302,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',10908,69,NULL,NULL,NULL,NULL,NULL,2,1),(28,7060637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'JANUARIA','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7060645,4.00,6.00,4.00,6.00,7.00,6.75,3.00,5.00,4.00,444,NULL,NULL,'JARDIM SATÉLITE','S JOSÉ CAMPOS','SP',13216,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7060653,1.00,4.00,3.00,2.00,2.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'CENTRO','APIÚNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7060661,3.00,3.00,3.00,3.00,6.00,10.88,0.00,4.00,1.00,451,NULL,NULL,'CENTRO','CONCÓRDIA','SC',14426,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7060670,3.00,3.00,2.00,4.00,4.00,4.50,2.00,4.00,0.00,201,NULL,207,'BELA VISTA I','S JOSÉ','SC',19715,1051,NULL,811,NULL,NULL,NULL,2,1),(28,7060696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DOM AQUINO','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7060700,0.00,4.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,224,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7060726,6.00,6.00,6.00,6.00,10.00,10.88,5.00,7.00,6.00,103,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7060734,0.00,3.00,2.00,3.00,2.00,NULL,2.00,2.00,1.00,444,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7060742,5.00,5.00,2.00,6.00,7.00,11.25,5.00,5.00,4.00,203,NULL,220,'IPIRANGA','S JOSÉ','SC',4607,320,NULL,136,NULL,NULL,NULL,2,1),(28,7060750,0.00,4.00,2.00,4.00,3.00,NULL,0.00,2.00,0.00,5,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7060769,0.00,4.00,3.00,3.00,7.00,7.13,3.00,4.00,1.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7060815,2.00,2.00,0.00,1.00,4.00,4.50,1.00,3.00,2.00,103,NULL,NULL,'ARIRIU','PALHOÇA','SC',20157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7060840,3.00,6.00,2.00,6.00,7.00,8.63,3.00,6.00,4.00,207,NULL,601,'SANTA ROSA','NITERÓI','RJ',10626,NULL,NULL,302,NULL,NULL,NULL,4,6),(28,7060858,1.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7060866,1.00,4.00,1.00,2.00,2.00,NULL,3.00,4.00,3.00,238,NULL,233,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7060882,2.00,4.00,3.00,5.00,4.00,6.00,1.00,3.00,4.00,5,NULL,NULL,'CENTRO','BAL PINHAL','RS',19119,483,NULL,NULL,NULL,NULL,NULL,2,5),(28,7060890,0.00,6.00,2.00,5.00,8.00,12.00,2.00,5.00,4.00,104,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',9514,232,NULL,NULL,NULL,NULL,NULL,2,1),(28,7060904,0.00,5.00,1.00,7.00,6.00,NULL,2.00,4.00,0.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7060912,2.00,4.00,2.00,7.00,7.00,7.13,2.00,3.00,3.00,503,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',16216,33,NULL,NULL,NULL,NULL,NULL,2,1),(28,7060920,3.00,8.00,0.00,6.00,8.00,7.88,2.00,7.00,4.00,207,NULL,212,'VARZEA','LAGES','SC',8403,389,NULL,254,NULL,NULL,NULL,2,9),(28,7060947,2.00,4.00,4.00,3.00,4.00,6.00,2.00,3.00,1.00,104,NULL,NULL,'BOM JESUS','CAÇADOR','SC',19687,463,NULL,NULL,NULL,NULL,NULL,4,1),(28,7060980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM CALIFORNIA','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7060998,2.00,3.00,1.00,1.00,4.00,8.63,2.00,5.00,2.00,5,NULL,NULL,'PROGRESSO','CRICIÚMA','SC',17324,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7061005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','JABOTICABA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7061013,8.00,9.00,5.00,7.00,9.00,11.63,8.00,7.00,7.00,103,NULL,NULL,'JABAQUARA','S PAULO','SP',69,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7061021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'ALTO DO IPIRANGA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7061030,3.00,7.00,2.00,6.00,6.00,8.25,1.00,4.00,3.00,454,NULL,NULL,'SERRARIA','BIGUAÇU','SC',9908,185,NULL,NULL,NULL,NULL,NULL,2,1),(28,7061048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'JARDIM ESMERALDA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7061056,3.00,5.00,4.00,6.00,6.00,9.38,3.00,5.00,6.00,208,NULL,NULL,'SERRARIAS','S JOSÉ','SC',8837,94,NULL,NULL,NULL,NULL,NULL,4,1),(28,7061080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7061129,4.00,9.00,4.00,6.00,5.00,7.13,3.00,6.00,5.00,203,NULL,201,'BOA VISTA','S VICENTE','SP',4894,335,NULL,NULL,NULL,NULL,NULL,4,8),(28,7061137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRAL','MACAPÁ','AP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7061153,2.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7061170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TAPANÃ','BELÉM','PA',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7061188,5.00,7.00,4.00,6.00,7.00,6.00,4.00,5.00,6.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',5790,453,NULL,189,NULL,NULL,NULL,4,1),(28,7061200,5.00,6.00,1.00,7.00,10.00,7.50,1.00,6.00,4.00,425,NULL,424,'PANTANAL','FLORIANÓPOLIS','SC',9153,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7061218,8.00,8.00,1.00,6.00,9.00,10.88,4.00,8.00,7.00,103,NULL,NULL,'PITIMBU','NATAL','RN',688,424,NULL,NULL,NULL,NULL,NULL,2,1),(28,7061226,4.00,7.00,3.00,7.00,5.00,6.00,4.00,5.00,3.00,444,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10975,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7061242,5.00,7.00,3.00,6.00,6.00,8.63,6.00,6.00,6.00,301,NULL,NULL,'CABEÇUDAS','ITAJAÍ','SC',5057,39,NULL,NULL,NULL,NULL,NULL,4,6),(28,7061269,3.00,6.00,1.00,4.00,6.00,7.13,3.00,6.00,2.00,208,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',8891,95,NULL,NULL,NULL,NULL,NULL,4,8),(28,7061277,4.00,6.00,2.00,5.00,8.00,10.88,4.00,4.00,5.00,201,NULL,212,'CENTRO','PALHOÇA','SC',4953,380,NULL,160,NULL,NULL,NULL,4,1),(28,7061285,4.00,6.00,3.00,3.00,2.00,NULL,2.00,5.00,1.00,601,NULL,201,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7061293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7061307,1.00,3.00,1.00,2.00,4.00,7.88,2.00,3.00,1.00,551,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',19956,67,NULL,NULL,NULL,NULL,NULL,4,16),(28,7061315,4.00,6.00,3.00,6.00,7.00,6.38,6.00,6.00,5.00,220,NULL,235,'RIO VERMELHO','FLORIANÓPOLIS','SC',3859,112,NULL,61,NULL,NULL,NULL,4,1),(28,7061323,2.00,5.00,1.00,5.00,6.00,8.63,1.00,4.00,2.00,317,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',13729,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7061331,1.00,5.00,2.00,4.00,7.00,4.88,0.00,3.00,2.00,238,NULL,655,'ARMAÇÃO DA PIEDADE','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7061374,4.00,7.00,4.00,6.00,6.00,7.50,1.00,5.00,1.00,304,NULL,NULL,'IDEAL','NOVO HAMBURGO','RS',10741,78,NULL,NULL,NULL,NULL,NULL,5,1),(28,7061382,0.00,2.00,1.00,0.00,2.00,NULL,2.00,2.00,4.00,316,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7061412,6.00,7.00,4.00,6.00,9.00,9.75,5.00,6.00,7.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',1195,28,NULL,NULL,NULL,NULL,NULL,2,1),(28,7061420,5.00,7.00,1.00,7.00,7.00,10.13,4.00,4.00,3.00,450,NULL,NULL,'JD VIVENDAS','S JOSÉ R PRETO','SP',4147,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7061439,2.00,5.00,1.00,1.00,1.00,NULL,0.00,2.00,4.00,207,NULL,201,'SERTÃO DO MARUÍM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7061455,1.00,4.00,1.00,3.00,8.00,5.63,1.00,5.00,3.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7061463,6.00,8.00,7.00,7.00,9.00,11.63,7.00,7.00,8.00,103,NULL,NULL,'JARDIM APOLO','S JOSÉ CAMPOS','SP',58,47,NULL,NULL,NULL,NULL,NULL,4,1),(28,7061471,3.00,8.00,2.00,7.00,8.00,9.00,3.00,6.00,4.00,316,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',5520,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7061480,0.00,4.00,2.00,6.00,5.00,6.75,1.00,4.00,3.00,327,NULL,NULL,'SERRARIA','S JOSÉ','SC',18969,63,NULL,NULL,NULL,NULL,NULL,2,1),(28,7061498,2.00,6.00,1.00,7.00,8.00,9.38,4.00,5.00,5.00,340,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',5484,139,NULL,NULL,NULL,NULL,NULL,4,1),(28,7061510,0.00,3.00,3.00,4.00,1.00,NULL,1.00,4.00,2.00,303,NULL,NULL,'JARAGUA ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7061552,1.00,3.00,1.00,3.00,4.00,6.38,1.00,3.00,2.00,103,NULL,NULL,'VILA REBELO','GARÇA','SP',18653,2492,NULL,NULL,NULL,NULL,NULL,4,3),(28,7061560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA IVETE','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7061579,3.00,4.00,2.00,6.00,6.00,7.88,2.00,8.00,4.00,302,NULL,NULL,'PLANALTO','CONCÓRDIA','SC',9083,39,NULL,NULL,NULL,NULL,NULL,2,26),(28,7061595,1.00,2.00,2.00,1.00,3.00,7.13,2.00,2.00,2.00,101,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',20047,136,NULL,NULL,NULL,NULL,NULL,2,7),(28,7061617,7.00,7.00,4.00,6.00,10.00,8.25,5.00,6.00,7.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',1029,565,NULL,NULL,NULL,NULL,NULL,4,1),(28,7061641,2.00,3.00,3.00,3.00,4.00,5.63,2.00,3.00,1.00,103,NULL,NULL,'BAEPENDI','JARAGUÁ SUL','SC',16331,2416,NULL,NULL,NULL,NULL,NULL,2,23),(28,7061650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7061668,5.00,8.00,2.00,4.00,7.00,9.00,2.00,5.00,5.00,304,NULL,NULL,'JARDIM BELA VISTA','LUÍS ANTÔNIO','SP',7790,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7061676,1.00,6.00,4.00,6.00,7.00,9.38,2.00,4.00,4.00,102,NULL,NULL,'CENTRO','SANANDUVA','RS',8510,65,NULL,NULL,NULL,NULL,NULL,2,1),(28,7061684,5.00,7.00,2.00,6.00,7.00,8.25,3.00,4.00,5.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',5462,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7061692,1.00,5.00,1.00,5.00,2.00,NULL,2.00,3.00,3.00,303,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7061714,2.00,6.00,2.00,6.00,7.00,8.63,1.00,5.00,2.00,5,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',10464,308,NULL,NULL,NULL,NULL,NULL,2,1),(28,7061722,4.00,6.00,3.00,6.00,9.00,10.88,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3791,1285,NULL,NULL,NULL,NULL,NULL,4,1),(28,7061730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOSSUNGUÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7061757,3.00,6.00,6.00,7.00,7.00,7.50,1.00,5.00,4.00,303,NULL,NULL,'DISTRITO DE PLANALTO','CONCÓRDIA','SC',8950,373,NULL,NULL,NULL,NULL,NULL,2,26),(28,7061773,0.00,3.00,0.00,0.00,2.00,NULL,1.00,1.00,0.00,201,NULL,212,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7061811,8.00,8.00,5.00,7.00,10.00,10.88,6.00,8.00,7.00,203,NULL,201,'CENTRO','STO ANDRÉ','SP',175,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7061820,1.00,3.00,2.00,7.00,1.00,NULL,0.00,3.00,2.00,5,NULL,NULL,'SAGRADA FAMILIA','NOVA PRATA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7061838,1.00,5.00,3.00,3.00,6.00,7.13,3.00,3.00,1.00,653,NULL,655,'GARAPUVU','ERMO','SC',18614,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7061846,6.00,7.00,2.00,4.00,10.00,8.63,3.00,8.00,4.00,201,NULL,207,'JD CID FLORIANOPOLIS','S JOSÉ','SC',2951,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7061862,1.00,5.00,1.00,3.00,6.00,7.50,3.00,3.00,2.00,552,NULL,NULL,'INTERIOR','VIDEIRA','SC',18714,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7061870,6.00,9.00,6.00,7.00,9.00,6.38,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','ARAPOTI','PR',596,389,NULL,NULL,NULL,NULL,NULL,2,8),(28,7061889,1.00,3.00,2.00,6.00,6.00,6.38,2.00,5.00,2.00,444,NULL,NULL,'SAO LUIS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7061897,2.00,6.00,2.00,5.00,5.00,NULL,0.00,4.00,2.00,230,NULL,NULL,'PINHEIRINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7061900,1.00,3.00,1.00,6.00,2.00,NULL,3.00,3.00,2.00,203,NULL,214,'CEDRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7061935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7061943,1.00,4.00,2.00,4.00,9.00,6.00,2.00,3.00,2.00,223,NULL,NULL,'SERRARIA','S JOSÉ','SC',12018,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7061951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7061960,0.00,4.00,3.00,4.00,8.00,NULL,1.00,3.00,2.00,303,NULL,NULL,'CASAN','SALETE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7061978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7061994,3.00,8.00,2.00,4.00,6.00,9.00,3.00,5.00,6.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',4188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062001,5.00,5.00,3.00,6.00,7.00,7.88,4.00,4.00,7.00,302,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',6651,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7062010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'SÃO BRAZ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7062028,5.00,9.00,7.00,7.00,7.00,7.50,7.00,5.00,7.00,103,NULL,NULL,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',494,338,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062036,0.00,3.00,0.00,0.00,4.00,NULL,1.00,0.00,1.00,108,NULL,NULL,'CENTRO','VARGEÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7062044,0.00,1.00,2.00,2.00,5.00,NULL,2.00,3.00,2.00,319,NULL,NULL,'BREMER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7062052,2.00,2.00,0.00,1.00,3.00,6.75,3.00,4.00,1.00,5,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062060,0.00,5.00,2.00,4.00,6.00,NULL,1.00,3.00,1.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062079,2.00,2.00,4.00,5.00,5.00,7.88,1.00,4.00,3.00,104,NULL,NULL,'MACEDO TELES I','S JOSÉ R PRETO','SP',12847,316,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062087,1.00,6.00,3.00,2.00,5.00,6.75,3.00,4.00,3.00,551,NULL,NULL,'INTERIOR','VIDEIRA','SC',18191,50,NULL,NULL,NULL,NULL,NULL,4,25),(28,7062095,4.00,7.00,4.00,7.00,10.00,9.38,4.00,7.00,5.00,450,NULL,NULL,'SÃO DIMAS','S JOSÉ CAMPOS','SP',2291,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062117,5.00,7.00,5.00,7.00,9.00,7.50,7.00,7.00,8.00,203,NULL,207,'PONTA AGUDA','BLUMENAU','SC',504,45,NULL,NULL,NULL,NULL,NULL,4,2),(28,7062141,1.00,6.00,2.00,4.00,7.00,8.63,3.00,7.00,4.00,220,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',7996,209,NULL,204,NULL,NULL,NULL,4,1),(28,7062150,3.00,9.00,4.00,6.00,8.00,7.88,5.00,6.00,6.00,201,NULL,202,'CENTRO','S JOSÉ CEDRO','SC',2657,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7062168,0.00,0.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO DAS PEDRAS','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,25),(28,7062176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7062206,0.00,3.00,2.00,5.00,4.00,9.00,0.00,3.00,1.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19417,276,NULL,NULL,NULL,NULL,NULL,2,1),(28,7062249,2.00,7.00,1.00,6.00,5.00,12.38,3.00,6.00,3.00,103,NULL,NULL,'MANSUR DAUD','S JOSÉ R PRETO','SP',7264,1795,NULL,NULL,NULL,NULL,NULL,2,1),(28,7062257,1.00,6.00,1.00,4.00,4.00,7.50,1.00,5.00,1.00,415,NULL,NULL,'SÃO DOMINGOS','NAVEGANTES','SC',15856,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7062281,6.00,6.00,2.00,8.00,2.00,NULL,2.00,5.00,3.00,208,NULL,NULL,'NOVA MOGILAR','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062290,7.00,7.00,5.00,5.00,8.00,10.50,6.00,6.00,8.00,103,NULL,NULL,'AGUDO ROMAO','CATANDUVA','SP',1116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062311,3.00,5.00,1.00,6.00,8.00,8.25,3.00,5.00,3.00,454,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',14023,285,NULL,NULL,NULL,NULL,NULL,4,2),(28,7062320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM GUARAITUBA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7062338,5.00,7.00,2.00,7.00,4.00,7.13,5.00,6.00,4.00,304,NULL,NULL,'ZONA SETE','MARINGÁ','PR',5359,25,NULL,NULL,NULL,NULL,NULL,4,8),(28,7062346,6.00,8.00,4.00,7.00,10.00,10.88,5.00,7.00,6.00,316,NULL,NULL,'VILA MARIANA','S PAULO','SP',521,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062354,4.00,8.00,4.00,6.00,8.00,7.88,4.00,8.00,5.00,304,NULL,NULL,'IGARA','CANOAS','RS',2795,8,NULL,NULL,NULL,NULL,NULL,4,4),(28,7062362,0.00,7.00,1.00,5.00,7.00,9.00,4.00,7.00,2.00,320,NULL,NULL,'JARDIM NOVA IGUAÇU','PIRACICABA','SP',8993,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7062370,5.00,7.00,4.00,7.00,8.00,5.63,6.00,6.00,8.00,211,NULL,215,'COMERCIARIO','CRICIÚMA','SC',3210,68,NULL,43,NULL,NULL,NULL,4,5),(28,7062389,3.00,8.00,2.00,4.00,5.00,7.88,3.00,5.00,2.00,340,NULL,NULL,'RES TERRA VERDE','FERNANDÓPOLIS','SP',10426,289,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'SAN REMO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7062400,2.00,8.00,3.00,3.00,7.00,9.00,4.00,6.00,4.00,103,NULL,NULL,'CAÇA E TIRO','LAGES','SC',9783,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7062419,2.00,7.00,2.00,7.00,9.00,6.75,3.00,4.00,2.00,103,NULL,NULL,'VILA NOVA','LAGES','SC',8989,1997,NULL,NULL,NULL,NULL,NULL,2,9),(28,7062427,4.00,7.00,3.00,6.00,5.00,6.75,3.00,4.00,3.00,103,NULL,NULL,'CAMBOINHAS','NITERÓI','RJ',8894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7062435,3.00,7.00,2.00,3.00,6.00,5.63,4.00,6.00,2.00,103,NULL,NULL,'PROGRESSO','BLUMENAU','SC',11159,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7062443,0.00,5.00,1.00,6.00,3.00,NULL,3.00,3.00,3.00,202,NULL,235,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7062451,1.00,5.00,0.00,4.00,5.00,6.38,0.00,3.00,2.00,103,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',16605,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7062486,4.00,7.00,2.00,6.00,6.00,9.75,4.00,6.00,6.00,103,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',4248,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7062494,2.00,5.00,3.00,5.00,5.00,6.75,3.00,5.00,3.00,225,NULL,NULL,'FZNDA SANTO ANTONIO','S JOSÉ','SC',12806,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062508,0.00,3.00,0.00,6.00,4.00,7.88,1.00,2.00,3.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19457,2517,NULL,NULL,NULL,NULL,NULL,2,1),(28,7062516,1.00,5.00,4.00,6.00,4.00,7.13,3.00,7.00,2.00,2,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',15612,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM MALUCE','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7062540,0.00,4.00,2.00,1.00,5.00,7.50,2.00,3.00,3.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19447,173,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062567,5.00,8.00,3.00,7.00,4.00,8.63,4.00,4.00,4.00,103,NULL,NULL,'CANTO DA VÁRZEA','PICOS','PI',8134,1912,NULL,NULL,NULL,NULL,NULL,2,1),(28,7062575,4.00,6.00,1.00,4.00,5.00,9.75,2.00,5.00,4.00,454,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',9748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062591,4.00,5.00,1.00,2.00,4.00,7.13,5.00,3.00,6.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12445,66,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062605,2.00,4.00,2.00,5.00,5.00,8.25,3.00,3.00,3.00,424,NULL,429,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',18005,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7062613,0.00,4.00,2.00,6.00,4.00,7.13,1.00,3.00,4.00,303,NULL,NULL,'EFAPI','CHAPECÓ','SC',15354,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7062630,2.00,0.00,3.00,5.00,5.00,7.13,1.00,3.00,3.00,212,NULL,215,'KOBRASOL','S JOSÉ','SC',15166,379,NULL,NULL,NULL,NULL,NULL,2,1),(28,7062648,1.00,6.00,2.00,7.00,8.00,10.50,1.00,4.00,3.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',14419,92,NULL,NULL,NULL,NULL,NULL,2,1),(28,7062656,5.00,7.00,2.00,7.00,8.00,9.00,2.00,4.00,4.00,235,NULL,601,'BARREIROS','S JOSÉ','SC',7834,NULL,NULL,187,NULL,NULL,NULL,4,1),(28,7062664,6.00,8.00,3.00,5.00,6.00,6.00,5.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5314,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7062672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7062680,1.00,5.00,2.00,7.00,6.00,8.25,3.00,6.00,5.00,301,NULL,NULL,'REPUBLICA','RIBEIRÃO PRETO','SP',11641,154,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062729,3.00,4.00,2.00,3.00,4.00,6.00,3.00,3.00,3.00,103,NULL,NULL,'SÃO JOSÉ DO LARANJAL','IRACEMINHA','SC',16785,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7062737,2.00,5.00,3.00,2.00,6.00,8.63,4.00,4.00,3.00,213,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',14478,235,NULL,240,NULL,NULL,NULL,4,1),(28,7062745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO CRISTOVÃO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7062753,0.00,3.00,1.00,6.00,4.00,NULL,0.00,3.00,4.00,110,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7062761,0.00,3.00,1.00,3.00,5.00,NULL,1.00,1.00,3.00,324,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062770,0.00,8.00,1.00,6.00,6.00,11.63,4.00,8.00,0.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12495,47,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062796,4.00,7.00,3.00,4.00,8.00,8.25,5.00,6.00,8.00,201,NULL,211,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',3480,266,NULL,81,NULL,NULL,NULL,4,1),(28,7062826,3.00,6.00,2.00,7.00,5.00,6.00,5.00,6.00,6.00,235,NULL,213,'ROÇADO','S JOSÉ','SC',5577,97,NULL,90,NULL,NULL,NULL,4,1),(28,7062834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7062842,6.00,6.00,2.00,6.00,8.00,7.88,4.00,7.00,7.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2425,82,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTADOS','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,26),(28,7062877,1.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,24),(28,7062885,2.00,5.00,1.00,6.00,6.00,10.88,1.00,5.00,3.00,103,NULL,NULL,'CARNIEL','GRAMADO','RS',9538,2040,NULL,NULL,NULL,NULL,NULL,2,1),(28,7062893,7.00,7.00,3.00,5.00,9.00,13.13,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',380,273,NULL,NULL,NULL,NULL,NULL,4,1),(28,7062907,1.00,5.00,1.00,4.00,5.00,7.13,2.00,6.00,4.00,501,NULL,NULL,'CENTRO','PTO UNIÃO','SC',17636,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7062923,5.00,4.00,3.00,2.00,4.00,3.00,3.00,5.00,2.00,303,NULL,NULL,'VILA ALEMANHA','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7062931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7062940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LARANJEIRAS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7062958,1.00,3.00,2.00,5.00,6.00,6.38,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','CORREIA PINTO','SC',19377,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7062974,5.00,8.00,4.00,7.00,8.00,9.00,6.00,7.00,7.00,103,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',982,544,NULL,NULL,NULL,NULL,NULL,2,1),(28,7062982,7.00,8.00,5.00,7.00,10.00,11.63,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',610,394,NULL,NULL,NULL,NULL,NULL,4,6),(28,7063008,3.00,4.00,1.00,6.00,4.00,5.25,2.00,2.00,1.00,304,NULL,NULL,'VILA BELVEDERE','AMERICANA','SP',19672,130,NULL,NULL,NULL,NULL,NULL,2,1),(28,7063016,1.00,5.00,4.00,6.00,7.00,9.38,2.00,6.00,3.00,5,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',8590,264,NULL,NULL,NULL,NULL,NULL,2,1),(28,7063032,2.00,6.00,1.00,6.00,8.00,9.38,1.00,5.00,5.00,225,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8271,8,NULL,NULL,NULL,NULL,NULL,2,1),(28,7063067,2.00,0.00,1.00,3.00,4.00,3.00,4.00,3.00,1.00,335,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7063075,5.00,9.00,2.00,5.00,5.00,6.75,2.00,6.00,6.00,103,NULL,NULL,'JARDIM OURO VERDE','OURINHOS','SP',9053,2001,NULL,NULL,NULL,NULL,NULL,4,8),(28,7063091,4.00,6.00,0.00,6.00,5.00,NULL,2.00,4.00,6.00,235,NULL,202,'URBANOVA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063105,0.00,4.00,4.00,4.00,6.00,7.50,1.00,3.00,1.00,303,NULL,NULL,'FANNY','CURITIBA','PR',15490,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7063113,7.00,8.00,5.00,7.00,8.00,8.63,5.00,7.00,8.00,103,NULL,NULL,'BOEHMERWALD','JOINVILLE','SC',651,410,NULL,NULL,NULL,NULL,NULL,4,8),(28,7063121,7.00,6.00,4.00,6.00,8.00,8.63,4.00,7.00,7.00,444,NULL,NULL,'CASTELO BRANCO','CAMPINAS','SP',1139,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063130,6.00,9.00,4.00,6.00,7.00,6.38,5.00,9.00,8.00,103,NULL,NULL,'TRINTA E UM DE MARÇO','BOA VISTA','RR',1082,592,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063172,0.00,6.00,2.00,6.00,8.00,NULL,0.00,6.00,2.00,207,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7063180,1.00,7.00,1.00,5.00,3.00,7.13,3.00,4.00,2.00,207,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18270,775,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063199,3.00,6.00,2.00,6.00,6.00,6.75,5.00,4.00,5.00,316,NULL,NULL,'JARDIM CARANDAI','BIGUAÇU','SC',12728,141,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063202,7.00,8.00,5.00,7.00,8.00,8.25,7.00,7.00,7.00,233,NULL,235,'PRAIA COMPRIDA','S JOSÉ','SC',953,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7063229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7063253,1.00,2.00,2.00,3.00,3.00,9.75,0.00,5.00,2.00,440,NULL,NULL,'CAPUCHINHOS','FRA SANTANA','BA',18211,8,NULL,NULL,NULL,NULL,NULL,6,1),(28,7063270,1.00,7.00,3.00,6.00,5.00,7.13,4.00,6.00,1.00,601,NULL,216,'FLORESTA','JOINVILLE','SC',10753,306,NULL,NULL,NULL,NULL,NULL,2,8),(28,7063296,0.00,0.00,3.00,3.00,2.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'HUMAITÁ','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7063326,2.00,7.00,1.00,5.00,5.00,11.63,3.00,7.00,3.00,450,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',11296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063334,5.00,8.00,0.00,5.00,7.00,7.50,3.00,5.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4011,1328,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063342,4.00,7.00,3.00,6.00,7.00,7.50,5.00,7.00,6.00,103,NULL,NULL,'SANTO AMARO','RECIFE','PE',2962,1130,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063350,8.00,8.00,2.00,6.00,10.00,10.50,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',869,493,NULL,NULL,NULL,NULL,NULL,4,23),(28,7063369,4.00,7.00,1.00,6.00,7.00,9.00,3.00,7.00,6.00,454,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7974,135,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063377,3.00,8.00,3.00,7.00,8.00,11.63,3.00,5.00,5.00,103,NULL,NULL,'BUDAG','RIO SUL','SC',3377,1222,NULL,NULL,NULL,NULL,NULL,2,24),(28,7063393,2.00,4.00,1.00,7.00,7.00,6.75,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',15959,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7063407,0.00,6.00,3.00,6.00,5.00,9.38,3.00,7.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063415,1.00,6.00,1.00,5.00,2.00,NULL,2.00,5.00,2.00,203,NULL,214,'CENTRO','LACERDÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,7),(28,7063423,0.00,6.00,1.00,1.00,3.00,5.25,0.00,5.00,3.00,224,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20003,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AMÉRICA','BRAGANÇA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7063440,3.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,203,NULL,601,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,17),(28,7063458,3.00,6.00,2.00,6.00,7.00,9.38,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',10850,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7063466,5.00,8.00,1.00,7.00,6.00,8.25,4.00,7.00,5.00,203,NULL,202,'PRAIA DA COSTA','VL VELHA','ES',2669,NULL,NULL,76,NULL,NULL,NULL,4,1),(28,7063482,1.00,6.00,2.00,6.00,7.00,8.25,2.00,6.00,6.00,216,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',5632,210,NULL,84,NULL,NULL,NULL,4,1),(28,7063490,0.00,6.00,3.00,3.00,7.00,6.00,1.00,2.00,2.00,320,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19145,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063512,2.00,8.00,2.00,2.00,7.00,5.25,2.00,6.00,4.00,238,NULL,207,'SANTOS DUMONT','S JOSÉ','SC',11554,179,NULL,527,NULL,NULL,NULL,4,1),(28,7063520,0.00,3.00,1.00,3.00,2.00,NULL,0.00,4.00,2.00,208,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063539,5.00,7.00,4.00,6.00,8.00,10.13,5.00,4.00,4.00,201,NULL,211,'CAMPINAS','S JOSÉ','SC',3737,290,NULL,93,NULL,NULL,NULL,4,1),(28,7063555,4.00,5.00,2.00,6.00,6.00,7.13,3.00,4.00,2.00,238,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15532,257,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063563,5.00,9.00,4.00,8.00,11.00,10.50,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063580,5.00,6.00,4.00,5.00,4.00,6.00,5.00,6.00,3.00,203,NULL,214,'JARDIM PAULISTA','S PAULO','SP',11236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063598,2.00,7.00,1.00,5.00,7.00,6.38,1.00,5.00,4.00,9,NULL,NULL,'PAGANI','PALHOÇA','SC',13876,97,NULL,NULL,NULL,NULL,NULL,2,1),(28,7063601,3.00,4.00,4.00,4.00,6.00,7.13,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',8351,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7063610,4.00,6.00,1.00,5.00,7.00,9.75,4.00,4.00,4.00,103,NULL,NULL,'ANTARES','LONDRINA','PR',11658,2179,NULL,NULL,NULL,NULL,NULL,2,4),(28,7063628,0.00,2.00,0.00,3.00,3.00,7.50,0.00,1.00,2.00,302,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7063652,3.00,8.00,3.00,6.00,4.00,7.13,4.00,6.00,4.00,103,NULL,NULL,'JARDIM SANTA MENA','GUARULHOS','SP',6257,1668,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063679,4.00,7.00,4.00,7.00,6.00,8.25,5.00,6.00,3.00,207,NULL,201,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',4642,199,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063687,3.00,7.00,2.00,5.00,5.00,6.38,2.00,6.00,1.00,415,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',10917,176,NULL,NULL,NULL,NULL,NULL,2,1),(28,7063717,3.00,6.00,3.00,3.00,4.00,6.38,2.00,5.00,3.00,108,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',17604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063725,1.00,5.00,3.00,7.00,5.00,8.25,3.00,4.00,7.00,207,NULL,601,'CENTRO','TURVO','SC',8996,414,NULL,235,NULL,NULL,NULL,2,5),(28,7063733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7063741,3.00,7.00,2.00,5.00,7.00,11.63,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',7152,1785,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063750,2.00,5.00,3.00,6.00,4.00,7.13,1.00,4.00,4.00,301,NULL,NULL,'CENTRO','CONCÓRDIA','SC',17847,244,NULL,NULL,NULL,NULL,NULL,2,26),(28,7063768,4.00,8.00,3.00,7.00,6.00,10.13,3.00,5.00,3.00,104,NULL,NULL,'CENTRO','BLUMENAU','SC',7095,161,NULL,NULL,NULL,NULL,NULL,2,2),(28,7063776,4.00,7.00,3.00,6.00,8.00,7.50,4.00,5.00,5.00,301,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',10059,129,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063784,1.00,5.00,4.00,4.00,8.00,6.75,3.00,5.00,5.00,207,NULL,211,'BALNEARIO','FLORIANÓPOLIS','SC',10276,469,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063806,1.00,3.00,2.00,3.00,5.00,7.13,2.00,4.00,4.00,319,NULL,NULL,'CENTRO','CURITIBANOS','SC',18693,360,NULL,NULL,NULL,NULL,NULL,4,16),(28,7063814,5.00,6.00,2.00,6.00,7.00,7.88,0.00,3.00,6.00,999,NULL,NULL,'VILA INDUSTRIAL','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7063822,2.00,8.00,2.00,7.00,6.00,7.50,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',6001,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063830,1.00,4.00,3.00,1.00,5.00,6.38,1.00,3.00,2.00,101,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',16882,111,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063849,1.00,5.00,0.00,5.00,4.00,5.25,2.00,2.00,2.00,201,NULL,235,'MADRI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7063857,0.00,4.00,2.00,4.00,3.00,10.13,2.00,4.00,1.00,308,NULL,NULL,'JARDIM APARECIDA','ALVORADA','RS',15510,34,NULL,NULL,NULL,NULL,NULL,2,15),(28,7063865,6.00,6.00,5.00,6.00,8.00,10.50,5.00,5.00,7.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',2213,77,NULL,159,NULL,NULL,NULL,2,1),(28,7063873,1.00,3.00,2.00,3.00,3.00,7.50,1.00,3.00,2.00,415,NULL,NULL,'CERRO NEGRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7063881,6.00,6.00,2.00,5.00,7.00,10.50,6.00,5.00,4.00,103,NULL,NULL,'JARDIM TIJUCA I','CPO GRANDE','MS',3057,1150,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063903,5.00,7.00,4.00,6.00,10.00,9.75,5.00,6.00,6.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',1341,693,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063911,2.00,4.00,3.00,2.00,6.00,4.50,4.00,4.00,3.00,101,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',16417,105,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063938,3.00,2.00,2.00,3.00,2.00,NULL,1.00,3.00,2.00,203,NULL,202,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7063946,4.00,6.00,0.00,4.00,6.00,7.50,2.00,5.00,3.00,404,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',13623,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7063954,0.00,6.00,1.00,4.00,4.00,6.38,2.00,6.00,1.00,103,NULL,NULL,'PORTO DO ITINGA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7063989,1.00,5.00,0.00,6.00,7.00,4.50,3.00,5.00,4.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',12088,164,NULL,NULL,NULL,NULL,NULL,2,1),(28,7063997,2.00,7.00,2.00,7.00,6.00,9.38,5.00,7.00,3.00,213,NULL,203,'CENTRO','PALHOÇA','SC',9861,173,NULL,NULL,NULL,NULL,NULL,4,1),(28,7064004,4.00,7.00,1.00,2.00,6.00,9.00,3.00,7.00,3.00,202,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',8870,233,NULL,156,NULL,NULL,NULL,4,1),(28,7064020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','ITAÚNA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7064047,3.00,8.00,4.00,7.00,8.00,10.13,6.00,6.00,5.00,203,NULL,214,'FLORESTA','S JOSÉ','SC',2022,173,NULL,70,NULL,NULL,NULL,4,1),(28,7064055,3.00,2.00,1.00,2.00,4.00,6.38,1.00,4.00,1.00,415,NULL,NULL,'BOA VISTA','ITUPORANGA','SC',17907,265,NULL,NULL,NULL,NULL,NULL,4,24),(28,7064063,3.00,7.00,1.00,7.00,7.00,9.38,1.00,6.00,0.00,103,NULL,NULL,'CENTRO','LACERDÓPOLIS','SC',9073,2003,NULL,NULL,NULL,NULL,NULL,4,4),(28,7064071,0.00,1.00,0.00,2.00,1.00,NULL,1.00,3.00,2.00,502,NULL,NULL,'NOVO HORIZONTE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7064080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7064098,6.00,5.00,2.00,5.00,6.00,12.00,3.00,5.00,5.00,103,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',5388,1556,NULL,NULL,NULL,NULL,NULL,4,23),(28,7064144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7064152,0.00,3.00,1.00,3.00,3.00,NULL,1.00,4.00,0.00,104,NULL,NULL,'CENTRO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7064160,3.00,5.00,2.00,6.00,8.00,9.38,4.00,4.00,3.00,212,NULL,213,'RIO VERMELHO','FLORIANÓPOLIS','SC',8090,249,NULL,141,NULL,NULL,NULL,4,1),(28,7064179,1.00,4.00,1.00,5.00,7.00,4.50,3.00,4.00,4.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',12256,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7064187,4.00,3.00,3.00,5.00,5.00,7.50,2.00,4.00,2.00,454,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',17748,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7064195,1.00,3.00,3.00,2.00,7.00,6.00,4.00,1.00,4.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',15765,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7064209,3.00,7.00,1.00,8.00,7.00,7.88,2.00,4.00,2.00,235,NULL,202,'AGRÔNOMICA','FLORIANÓPOLIS','SC',15442,245,NULL,352,NULL,NULL,NULL,4,1),(28,7064225,2.00,6.00,3.00,3.00,5.00,10.13,1.00,5.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7064233,2.00,8.00,2.00,7.00,5.00,5.25,1.00,6.00,4.00,203,NULL,235,'NOSSA SENHORA DE FAT','BRAÇO NORTE','SC',11230,562,NULL,180,NULL,NULL,NULL,2,5),(28,7064250,3.00,6.00,0.00,7.00,5.00,NULL,2.00,5.00,2.00,450,NULL,NULL,'VILA OPERARIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7064306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7064314,2.00,5.00,0.00,4.00,4.00,NULL,1.00,1.00,2.00,201,NULL,212,'INTERIOR','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7064322,3.00,7.00,0.00,5.00,7.00,7.88,2.00,6.00,3.00,103,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',14660,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7064330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','BRAÇO TROMBUDO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,24),(28,7064357,3.00,5.00,3.00,2.00,8.00,12.38,4.00,5.00,5.00,101,NULL,NULL,'JARDIM EUROPA','SOROCABA','SP',6376,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7064365,1.00,7.00,2.00,7.00,4.00,8.25,2.00,6.00,2.00,999,NULL,NULL,'BUCAREN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7064373,2.00,4.00,1.00,4.00,1.00,NULL,2.00,3.00,1.00,201,NULL,207,'TESTO REGA','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7064381,7.00,10.00,5.00,7.00,10.00,10.88,5.00,8.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',52,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7064390,2.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7064411,3.00,7.00,6.00,6.00,6.00,6.38,2.00,4.00,6.00,203,NULL,220,'BELA VISTA','LONDRINA','PR',5185,353,NULL,155,NULL,NULL,NULL,4,1),(28,7064420,0.00,3.00,1.00,6.00,6.00,4.88,3.00,3.00,4.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',19154,367,NULL,NULL,NULL,NULL,NULL,4,1),(28,7064438,1.00,5.00,3.00,4.00,7.00,9.75,2.00,5.00,3.00,421,NULL,425,'CENTRO','CAMANDUCAIA','MG',10348,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7064454,7.00,7.00,5.00,7.00,8.00,8.63,3.00,8.00,5.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',1927,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7064462,3.00,8.00,2.00,4.00,7.00,10.88,1.00,7.00,2.00,103,NULL,NULL,'JARDIM TRES MARIAS','GUARUJÁ','SP',8447,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7064470,0.00,3.00,2.00,4.00,1.00,NULL,1.00,3.00,3.00,110,NULL,NULL,'SERTÃO DE TROMBUDO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7064489,4.00,7.00,3.00,7.00,9.00,10.50,5.00,7.00,6.00,201,NULL,212,'PRAIA COMPRIDA','S JOSÉ','SC',1703,105,NULL,18,NULL,NULL,NULL,2,1),(28,7064527,4.00,7.00,2.00,7.00,5.00,9.00,4.00,5.00,2.00,109,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',9022,11,NULL,NULL,NULL,NULL,NULL,2,1),(28,7064551,1.00,6.00,1.00,6.00,4.00,9.00,4.00,6.00,5.00,203,NULL,601,'AGUAS CLARAS','BRUSQUE','SC',8010,476,NULL,197,NULL,NULL,NULL,4,22),(28,7064578,4.00,7.00,4.00,6.00,9.00,7.88,5.00,7.00,5.00,213,NULL,235,'JARDIM SOFIA','JOINVILLE','SC',5528,87,NULL,96,NULL,NULL,NULL,2,8),(28,7064586,3.00,7.00,2.00,6.00,7.00,11.25,2.00,7.00,5.00,328,NULL,NULL,'SANTA MARIA','LAGES','SC',9248,5,NULL,NULL,NULL,NULL,NULL,4,9),(28,7064594,4.00,7.00,1.00,7.00,6.00,6.38,4.00,7.00,2.00,201,NULL,212,'VILA NOVA','IMBITUBA','SC',8000,578,NULL,245,NULL,NULL,NULL,4,10),(28,7064616,2.00,5.00,5.00,7.00,7.00,9.38,4.00,4.00,3.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',6727,107,NULL,NULL,NULL,NULL,NULL,2,1),(28,7064624,4.00,4.00,2.00,4.00,3.00,7.50,2.00,5.00,3.00,552,NULL,NULL,'GEORGEA PAULA','GARUVA','SC',13353,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7064632,7.00,9.00,5.00,7.00,9.00,12.38,7.00,6.00,8.00,103,NULL,NULL,'CIDADE JARDIM','LIMEIRA','SP',38,32,NULL,NULL,NULL,NULL,NULL,4,8),(28,7064640,2.00,4.00,2.00,6.00,7.00,5.63,2.00,4.00,3.00,444,NULL,NULL,'ITINGA','JOINVILLE','SC',13610,64,NULL,NULL,NULL,NULL,NULL,2,8),(28,7064667,1.00,4.00,1.00,5.00,2.00,NULL,3.00,1.00,1.00,212,NULL,201,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7064675,2.00,5.00,2.00,5.00,7.00,10.50,2.00,5.00,4.00,103,NULL,NULL,'PÁTRIA NOVA','NOVO HAMBURGO','RS',7591,1838,NULL,NULL,NULL,NULL,NULL,2,4),(28,7064683,0.00,6.00,1.00,6.00,5.00,NULL,1.00,3.00,1.00,601,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7064691,3.00,4.00,2.00,7.00,7.00,8.63,2.00,3.00,4.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7064705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'BELA VISTA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7064713,3.00,6.00,2.00,7.00,6.00,9.00,4.00,4.00,5.00,220,NULL,201,'FORQUILHAS','S JOSÉ','SC',11050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7064721,2.00,5.00,2.00,5.00,5.00,5.63,3.00,3.00,4.00,999,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7064730,7.00,8.00,6.00,8.00,8.00,9.38,5.00,5.00,7.00,103,NULL,NULL,'JARDIM ESPLANADA','S JOSÉ CAMPOS','SP',475,329,NULL,NULL,NULL,NULL,NULL,4,1),(28,7064748,4.00,6.00,3.00,6.00,6.00,8.25,4.00,5.00,2.00,220,NULL,202,'SOUZA','BELÉM','PA',7246,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7064756,2.00,7.00,1.00,6.00,8.00,9.00,1.00,4.00,4.00,319,NULL,NULL,'SANTOS SARAIVA','S JOSÉ','SC',9280,164,NULL,NULL,NULL,NULL,NULL,2,1),(28,7064764,3.00,4.00,1.00,3.00,4.00,6.75,2.00,4.00,4.00,238,NULL,202,'BAIRRO IPIRANGA','S JOSÉ','SC',12986,213,NULL,NULL,NULL,NULL,NULL,4,1),(28,7064772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7064799,3.00,7.00,2.00,7.00,5.00,10.50,6.00,6.00,4.00,216,NULL,220,'CENTRO','LAGES','SC',4730,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7064802,3.00,8.00,2.00,6.00,8.00,8.25,3.00,6.00,1.00,103,NULL,NULL,'VILA SANTA TEREZINHA','STA BÁRBARA D OESTE','SP',6115,1647,NULL,NULL,NULL,NULL,NULL,2,1),(28,7064810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','ITAIÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7064829,1.00,4.00,3.00,6.00,3.00,6.38,1.00,4.00,2.00,340,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',14609,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7064837,0.00,4.00,2.00,2.00,5.00,NULL,0.00,2.00,3.00,999,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7064845,3.00,5.00,1.00,6.00,6.00,8.25,3.00,5.00,2.00,319,NULL,NULL,'AMÉRICA','JOINVILLE','SC',16525,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7064853,0.00,6.00,3.00,6.00,7.00,6.00,1.00,4.00,5.00,454,NULL,NULL,'GLORIA','JOINVILLE','SC',16399,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7064870,1.00,4.00,1.00,5.00,4.00,6.75,1.00,2.00,2.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',19456,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7064888,3.00,6.00,3.00,7.00,5.00,9.38,0.00,5.00,2.00,207,NULL,601,'CENTENARIO','TORRES','RS',11114,514,NULL,NULL,NULL,NULL,NULL,4,9),(28,7064900,4.00,7.00,3.00,6.00,8.00,10.88,6.00,7.00,5.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',1775,827,NULL,NULL,NULL,NULL,NULL,4,1),(28,7064926,0.00,6.00,3.00,4.00,4.00,7.13,2.00,3.00,3.00,333,NULL,NULL,'N S DAS GRAÇAS','CANOAS','RS',15258,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7064934,1.00,2.00,1.00,5.00,2.00,NULL,0.00,3.00,1.00,552,NULL,NULL,'CENTRO','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7064942,9.00,7.00,2.00,7.00,9.00,9.00,4.00,5.00,7.00,444,NULL,NULL,'KOBRASOL','S JOSÉ','SC',2582,2,NULL,NULL,NULL,NULL,NULL,2,1),(28,7064950,1.00,7.00,3.00,7.00,4.00,8.63,3.00,7.00,3.00,304,NULL,NULL,'CARIOBINHA','AMERICANA','SP',7586,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7064969,4.00,4.00,2.00,5.00,3.00,7.50,2.00,6.00,1.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',13459,153,NULL,NULL,NULL,NULL,NULL,4,1),(28,7064977,2.00,6.00,2.00,5.00,8.00,7.50,3.00,5.00,4.00,207,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',9854,457,NULL,671,NULL,NULL,NULL,4,1),(28,7064985,6.00,8.00,5.00,7.00,9.00,8.63,6.00,6.00,8.00,203,NULL,216,'BURAQUINHO','LAURO FREITAS','BA',783,75,NULL,NULL,NULL,NULL,NULL,4,1),(28,7064993,3.00,3.00,1.00,8.00,8.00,9.00,2.00,4.00,2.00,103,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',9490,2035,NULL,NULL,NULL,NULL,NULL,2,4),(28,7065000,2.00,4.00,2.00,4.00,5.00,6.38,5.00,4.00,2.00,318,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18085,134,NULL,NULL,NULL,NULL,NULL,2,1),(28,7065035,4.00,7.00,2.00,6.00,7.00,10.13,6.00,6.00,5.00,303,NULL,NULL,'FLORESTA','JOINVILLE','SC',2853,132,NULL,NULL,NULL,NULL,NULL,4,8),(28,7065043,5.00,6.00,3.00,5.00,8.00,8.25,4.00,6.00,6.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8194,57,NULL,NULL,NULL,NULL,NULL,2,1),(28,7065051,2.00,2.00,4.00,5.00,2.00,NULL,1.00,3.00,1.00,552,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7065060,2.00,6.00,1.00,7.00,7.00,7.13,3.00,5.00,4.00,301,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',6979,65,NULL,NULL,NULL,NULL,NULL,4,1),(28,7065078,3.00,8.00,3.00,6.00,7.00,11.63,3.00,7.00,6.00,212,NULL,214,'ITARARÉ','S VICENTE','SP',1932,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7065086,1.00,5.00,3.00,3.00,5.00,7.88,2.00,5.00,3.00,201,NULL,216,'CENTRO','FAXINAL GUEDES','SC',11494,745,NULL,343,NULL,NULL,NULL,2,4),(28,7065094,4.00,4.00,1.00,5.00,4.00,6.38,1.00,2.00,2.00,333,NULL,NULL,'JARDIM SÃO PAULO','S PAULO','SP',17038,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7065116,5.00,8.00,4.00,7.00,10.00,10.88,4.00,7.00,7.00,103,NULL,NULL,'AEROPORTO','GOIÂNIA','GO',415,297,NULL,NULL,NULL,NULL,NULL,4,1),(28,7065124,0.00,1.00,1.00,7.00,4.00,NULL,0.00,5.00,1.00,223,NULL,NULL,'CENTENARIO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7065159,8.00,8.00,3.00,7.00,8.00,12.00,2.00,6.00,6.00,103,NULL,NULL,'BUTANTÃ','S PAULO','SP',831,482,NULL,NULL,NULL,NULL,NULL,4,1),(28,7065167,2.00,7.00,1.00,7.00,8.00,11.25,3.00,4.00,1.00,207,NULL,NULL,'HUMAITÁ DE CIMA','TUBARÃO','SC',6058,281,NULL,NULL,NULL,NULL,NULL,4,10),(28,7065175,6.00,7.00,5.00,5.00,9.00,10.50,4.00,5.00,5.00,5,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',1823,53,NULL,NULL,NULL,NULL,NULL,4,8),(28,7065183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'VILA CARVALHO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7065191,4.00,8.00,4.00,6.00,8.00,7.88,4.00,7.00,8.00,302,NULL,NULL,'CAMPO BELO','S PAULO','SP',3900,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7065205,2.00,4.00,1.00,5.00,4.00,7.13,3.00,4.00,1.00,201,NULL,601,'BARREIROS','S JOSÉ','SC',17988,991,NULL,NULL,NULL,NULL,NULL,4,1),(28,7065213,1.00,3.00,0.00,3.00,2.00,NULL,0.00,2.00,0.00,502,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7065221,6.00,6.00,3.00,7.00,6.00,11.25,4.00,6.00,7.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2294,960,NULL,NULL,NULL,NULL,NULL,4,1),(28,7065230,2.00,7.00,3.00,6.00,7.00,6.38,3.00,6.00,5.00,601,NULL,202,'CENTRO','BAL CAMBORIÚ','SC',5812,111,NULL,NULL,NULL,NULL,NULL,4,3),(28,7065256,4.00,6.00,3.00,6.00,6.00,6.00,5.00,7.00,6.00,220,NULL,653,'INTERIOR','XANXERÊ','SC',4985,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7065272,4.00,7.00,4.00,5.00,5.00,6.75,5.00,4.00,3.00,425,NULL,429,'CAPOEIRAS','FLORIANÓPOLIS','SC',12759,38,NULL,17,NULL,NULL,NULL,4,1),(28,7065280,3.00,5.00,2.00,6.00,7.00,8.63,2.00,3.00,4.00,601,NULL,203,'IRIRIU','JOINVILLE','SC',13892,413,NULL,NULL,NULL,NULL,NULL,4,8),(28,7065299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'PIRITUBA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7065302,0.00,4.00,3.00,5.00,6.00,7.13,3.00,2.00,2.00,102,NULL,NULL,'ÁGUA VERDE','JARAGUÁ SUL','SC',13527,125,NULL,NULL,NULL,NULL,NULL,2,23),(28,7065329,2.00,5.00,1.00,4.00,8.00,4.88,3.00,4.00,5.00,104,NULL,NULL,'CENTRO','CHAPECÓ','SC',12932,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7065337,4.00,0.00,2.00,5.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHACARA SANTO ANTONI','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7065353,3.00,6.00,3.00,7.00,5.00,8.63,2.00,4.00,3.00,340,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',8420,226,NULL,NULL,NULL,NULL,NULL,4,8),(28,7065370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,220,'RESTINGA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7065388,4.00,2.00,2.00,2.00,4.00,8.25,0.00,2.00,1.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7065396,2.00,6.00,1.00,6.00,7.00,7.88,2.00,4.00,4.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9001,85,NULL,NULL,NULL,NULL,NULL,2,1),(28,7065418,3.00,5.00,3.00,5.00,3.00,7.88,0.00,5.00,4.00,216,NULL,201,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',17597,435,NULL,978,NULL,NULL,NULL,2,1),(28,7065450,3.00,7.00,2.00,5.00,6.00,8.25,3.00,4.00,3.00,429,NULL,425,'MONTE VERDE','FLORIANÓPOLIS','SC',9959,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7065469,2.00,6.00,3.00,7.00,6.00,7.13,6.00,6.00,4.00,203,NULL,214,'CENTRO','IBIRUBÁ','RS',5915,388,NULL,186,NULL,NULL,NULL,4,1),(28,7065477,1.00,5.00,1.00,6.00,8.00,7.13,1.00,3.00,1.00,454,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',18569,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7065485,2.00,6.00,2.00,6.00,7.00,9.00,2.00,5.00,6.00,303,NULL,NULL,'OFICINAS','TUBARÃO','SC',6547,294,NULL,NULL,NULL,NULL,NULL,4,10),(28,7065493,0.00,0.00,1.00,6.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(28,7065515,0.00,4.00,1.00,3.00,4.00,NULL,2.00,2.00,1.00,333,NULL,NULL,'CENTRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7065523,5.00,7.00,3.00,7.00,6.00,10.50,4.00,7.00,4.00,214,NULL,220,'HIGIENOPOLIS','S JOSÉ R PRETO','SP',5434,170,NULL,161,NULL,NULL,NULL,4,1),(28,7065531,0.00,4.00,2.00,6.00,5.00,NULL,4.00,2.00,4.00,207,NULL,215,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7065540,7.00,9.00,1.00,6.00,8.00,10.88,4.00,6.00,4.00,319,NULL,NULL,'JARDIM MARIANA','SOROCABA','SP',2226,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7065566,1.00,4.00,2.00,4.00,3.00,4.50,1.00,5.00,3.00,208,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',18256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7065574,3.00,7.00,4.00,6.00,10.00,9.75,4.00,8.00,5.00,5,NULL,NULL,'RECIFE','TUBARÃO','SC',2418,81,NULL,NULL,NULL,NULL,NULL,4,10),(28,7065590,1.00,2.00,2.00,4.00,4.00,7.88,1.00,3.00,1.00,333,NULL,NULL,'NEREU RAMOS','JARAGUÁ SUL','SC',19879,120,NULL,NULL,NULL,NULL,NULL,2,23),(28,7065604,0.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COOPHARÁDIO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7065639,4.00,7.00,2.00,7.00,10.00,9.38,4.00,7.00,6.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',1777,828,NULL,NULL,NULL,NULL,NULL,4,1),(28,7065647,0.00,7.00,1.00,6.00,5.00,NULL,1.00,5.00,2.00,454,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7065655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7065663,0.00,6.00,2.00,5.00,2.00,NULL,3.00,6.00,3.00,304,NULL,NULL,'TERMAS','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7065671,3.00,7.00,1.00,3.00,5.00,7.13,2.00,3.00,2.00,331,NULL,NULL,'CENTRO','PALHOÇA','SC',17929,46,NULL,NULL,NULL,NULL,NULL,2,1),(28,7065680,2.00,5.00,2.00,6.00,8.00,7.50,4.00,5.00,5.00,201,NULL,207,'SÃO FRANCISCO DE ASS','STO AMARO IMPERATRIZ','SC',5600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7065701,0.00,2.00,1.00,6.00,4.00,6.75,2.00,2.00,2.00,203,NULL,201,'CENTRO','XANXERÊ','SC',17058,674,NULL,NULL,NULL,NULL,NULL,2,4),(28,7065710,3.00,2.00,2.00,5.00,4.00,5.25,4.00,4.00,4.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',18243,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7065728,4.00,8.00,0.00,7.00,9.00,10.13,3.00,8.00,5.00,203,NULL,220,'CENTRO','HERVAL D OESTE','SC',5076,349,NULL,149,NULL,NULL,NULL,4,7),(28,7065736,1.00,7.00,3.00,7.00,5.00,12.38,3.00,5.00,4.00,103,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',4264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7065744,3.00,3.00,1.00,3.00,4.00,3.00,2.00,1.00,2.00,440,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7065752,7.00,7.00,5.00,7.00,9.00,9.38,5.00,5.00,6.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1526,8,NULL,NULL,NULL,NULL,NULL,2,1),(28,7065787,0.00,6.00,2.00,2.00,6.00,6.38,3.00,3.00,2.00,320,NULL,NULL,'BARRA DO TROMBUDO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7065795,1.00,1.00,3.00,1.00,3.00,7.50,1.00,2.00,2.00,201,NULL,214,'SÃO MATEUS','BIGUAÇU','SC',19287,1036,NULL,361,NULL,NULL,NULL,2,1),(28,7065825,3.00,6.00,2.00,6.00,6.00,8.63,5.00,6.00,5.00,214,NULL,212,'CENTRO','BAL CAMBORIÚ','SC',8830,238,NULL,266,NULL,NULL,NULL,4,6),(28,7065833,3.00,7.00,2.00,7.00,8.00,12.38,5.00,6.00,8.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',956,531,NULL,NULL,NULL,NULL,NULL,4,1),(28,7065841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7065868,1.00,4.00,3.00,3.00,6.00,7.50,3.00,3.00,1.00,301,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',19025,254,NULL,NULL,NULL,NULL,NULL,2,1),(28,7065884,2.00,8.00,0.00,7.00,6.00,8.25,4.00,5.00,2.00,340,NULL,NULL,'CENTRO','XANXERÊ','SC',9587,273,NULL,NULL,NULL,NULL,NULL,4,4),(28,7065892,2.00,6.00,3.00,2.00,5.00,8.25,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',12547,2238,NULL,NULL,NULL,NULL,NULL,4,6),(28,7065906,3.00,7.00,5.00,7.00,8.00,10.50,5.00,7.00,6.00,203,NULL,235,'CENTRO','BAL CAMBORIÚ','SC',1544,140,NULL,12,NULL,NULL,NULL,4,3),(28,7065922,2.00,6.00,2.00,6.00,10.00,5.63,1.00,4.00,3.00,319,NULL,NULL,'VALDIR DELAI','IPUMIRIM','SC',9414,170,NULL,NULL,NULL,NULL,NULL,2,4),(28,7065930,5.00,8.00,5.00,5.00,8.00,7.13,5.00,8.00,7.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',1598,775,NULL,NULL,NULL,NULL,NULL,4,1),(28,7065949,3.00,6.00,2.00,5.00,4.00,9.00,2.00,7.00,5.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8235,73,NULL,NULL,NULL,NULL,NULL,4,1),(28,7065957,0.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,2.00,215,NULL,653,'RESIDENCIAL DA ILHAS','BRAGANÇA PAULISTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7065973,2.00,6.00,0.00,5.00,6.00,8.63,3.00,6.00,5.00,203,NULL,220,'CRISTINA II','TRINDADE','GO',7692,463,NULL,205,NULL,NULL,NULL,4,1),(28,7065990,5.00,7.00,3.00,6.00,10.00,11.63,4.00,6.00,3.00,303,NULL,NULL,'CENTRO','CHAPECÓ','SC',2367,103,NULL,NULL,NULL,NULL,NULL,4,4),(28,7066007,2.00,5.00,4.00,6.00,8.00,6.00,2.00,4.00,2.00,654,NULL,NULL,'DIVINÉIA','ARARANGUÁ','SC',11555,21,NULL,NULL,NULL,NULL,NULL,2,15),(28,7066015,7.00,8.00,5.00,7.00,9.00,11.63,8.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',221,171,NULL,NULL,NULL,NULL,NULL,4,1),(28,7066058,1.00,5.00,2.00,6.00,3.00,NULL,0.00,3.00,3.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7066066,5.00,6.00,1.00,7.00,6.00,7.88,2.00,4.00,3.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',13760,615,NULL,NULL,NULL,NULL,NULL,2,8),(28,7066074,1.00,6.00,1.00,5.00,5.00,8.25,0.00,5.00,1.00,5,NULL,NULL,'RENASCER','CRICIÚMA','SC',15489,423,NULL,NULL,NULL,NULL,NULL,2,15),(28,7066090,0.00,4.00,0.00,3.00,1.00,NULL,2.00,4.00,4.00,238,NULL,201,'CAMPO D UNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7066104,8.00,8.00,4.00,7.00,7.00,9.38,5.00,7.00,6.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',568,374,NULL,NULL,NULL,NULL,NULL,4,8),(28,7066112,6.00,7.00,3.00,6.00,8.00,7.50,5.00,7.00,7.00,304,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',3008,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7066120,1.00,4.00,2.00,5.00,3.00,7.88,2.00,4.00,2.00,207,NULL,601,'PAULAS','S FRANCISCO SUL','SC',17111,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7066139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA DUBUS','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7066155,3.00,8.00,4.00,7.00,6.00,5.63,4.00,5.00,3.00,203,NULL,202,'SÃO MARTINHO','TUBARÃO','SC',6837,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7066163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7066171,2.00,3.00,0.00,2.00,4.00,7.13,0.00,3.00,2.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19328,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7066180,4.00,7.00,2.00,6.00,7.00,9.38,1.00,4.00,2.00,303,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7066210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7066228,6.00,6.00,2.00,7.00,9.00,9.38,3.00,6.00,4.00,454,NULL,NULL,'AMÉRICA','JOINVILLE','SC',4285,47,NULL,NULL,NULL,NULL,NULL,4,8),(28,7066252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7066260,9.00,8.00,4.00,6.00,8.00,8.25,4.00,6.00,5.00,103,NULL,NULL,'JARDIM MARIO COVAS','CPO GRANDE','MS',1404,712,NULL,NULL,NULL,NULL,NULL,2,1),(28,7066287,1.00,6.00,1.00,1.00,7.00,6.00,0.00,3.00,3.00,654,NULL,NULL,'LEÃO','PR GRANDE','SC',16544,59,NULL,NULL,NULL,NULL,NULL,2,15),(28,7066295,1.00,3.00,3.00,5.00,5.00,7.13,5.00,3.00,1.00,601,NULL,235,'SAO CRISTÓVAO','CHAPECÓ','SC',13764,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7066309,7.00,7.00,3.00,6.00,7.00,8.25,5.00,6.00,4.00,302,NULL,NULL,'CENTRO','PALHOÇA','SC',3158,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7066317,0.00,5.00,1.00,5.00,7.00,9.00,4.00,4.00,4.00,303,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',9018,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7066325,3.00,4.00,2.00,6.00,6.00,NULL,1.00,1.00,2.00,208,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7066333,2.00,8.00,4.00,6.00,6.00,9.38,2.00,7.00,3.00,103,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',11458,2168,NULL,NULL,NULL,NULL,NULL,4,1),(28,7066341,4.00,8.00,4.00,6.00,5.00,9.38,4.00,3.00,4.00,203,NULL,220,'JARDIM TV MORENA','CPO GRANDE','MS',5844,384,NULL,168,NULL,NULL,NULL,4,1),(28,7066368,1.00,5.00,3.00,5.00,6.00,6.75,3.00,5.00,4.00,203,NULL,220,'MEIA PRAIA','ITAPEMA','SC',10220,NULL,NULL,248,NULL,NULL,NULL,4,3),(28,7066392,2.00,4.00,2.00,1.00,1.00,NULL,3.00,3.00,1.00,444,NULL,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7066406,5.00,7.00,4.00,5.00,7.00,7.13,4.00,7.00,6.00,216,NULL,233,'SÃO JOÃO','ITAJAÍ','SC',3578,134,NULL,89,NULL,NULL,NULL,4,6),(28,7066430,3.00,0.00,1.00,6.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(28,7066449,3.00,6.00,3.00,5.00,4.00,6.75,4.00,4.00,3.00,208,NULL,NULL,'BARREIROS','S JOSÉ','SC',11426,124,NULL,NULL,NULL,NULL,NULL,4,1),(28,7066457,4.00,7.00,3.00,5.00,6.00,8.25,2.00,8.00,8.00,601,NULL,653,'IRIRIÚ','JOINVILLE','SC',3349,46,NULL,NULL,NULL,NULL,NULL,4,8),(28,7066465,2.00,5.00,2.00,5.00,5.00,6.75,4.00,5.00,2.00,340,NULL,NULL,'FLORESTA','VIDEIRA','SC',11190,313,NULL,NULL,NULL,NULL,NULL,4,7),(28,7066473,5.00,7.00,4.00,6.00,8.00,7.50,3.00,7.00,8.00,333,NULL,NULL,'ALTO DE PINHEIROS','S PAULO','SP',2097,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7066490,2.00,8.00,1.00,7.00,10.00,10.13,2.00,7.00,4.00,450,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',2605,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7066503,1.00,5.00,4.00,5.00,5.00,6.75,3.00,5.00,4.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',15125,915,NULL,376,NULL,NULL,NULL,2,1),(28,7066511,5.00,7.00,1.00,6.00,9.00,9.75,5.00,5.00,5.00,9,NULL,NULL,'KOBRASOL','S JOSÉ','SC',3479,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7066520,1.00,6.00,4.00,6.00,5.00,6.75,1.00,4.00,3.00,104,NULL,NULL,'CENTRO','STA CECÍLIA','SC',10499,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7066538,7.00,9.00,2.00,7.00,9.00,11.25,6.00,6.00,5.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',645,409,NULL,NULL,NULL,NULL,NULL,4,1),(28,7066546,0.00,4.00,1.00,0.00,5.00,6.38,0.00,1.00,3.00,316,NULL,NULL,'PENHA','PAULO LOPES','SC',18248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7066554,5.00,7.00,2.00,7.00,10.00,10.50,5.00,8.00,5.00,103,NULL,NULL,'SANTA LUZIA','LUZIÂNIA','GO',1393,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7066562,2.00,5.00,3.00,7.00,5.00,7.13,2.00,3.00,3.00,303,NULL,NULL,'CENTRO','ORLEANS','SC',11086,439,NULL,NULL,NULL,NULL,NULL,4,5),(28,7066570,2.00,4.00,2.00,5.00,6.00,9.00,2.00,3.00,1.00,203,NULL,202,'CIDADE ALTA','SALTO VELOSO','SC',14919,642,NULL,343,NULL,NULL,NULL,2,7),(28,7066600,1.00,4.00,1.00,4.00,6.00,6.75,2.00,3.00,2.00,104,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7066619,3.00,8.00,4.00,6.00,7.00,8.63,2.00,6.00,5.00,203,NULL,220,'VILA VALENÇA','S VICENTE','SP',4678,323,NULL,138,NULL,NULL,NULL,4,1),(28,7066627,5.00,6.00,3.00,3.00,10.00,8.25,4.00,6.00,5.00,103,NULL,NULL,'CAMPO LIMPO','S PAULO','SP',3455,1234,NULL,NULL,NULL,NULL,NULL,4,1),(28,7066635,2.00,3.00,0.00,2.00,8.00,6.75,1.00,5.00,2.00,454,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',14956,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7066643,3.00,6.00,2.00,7.00,6.00,10.88,4.00,6.00,3.00,238,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5071,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7066651,2.00,5.00,2.00,5.00,3.00,4.50,1.00,5.00,4.00,201,NULL,235,'JARDIM CERRO AZUL','MARINGÁ','PR',12782,820,NULL,204,NULL,NULL,NULL,4,1),(28,7066660,3.00,8.00,2.00,6.00,7.00,7.88,3.00,5.00,5.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',5002,1492,NULL,NULL,NULL,NULL,NULL,4,2),(28,7066678,0.00,3.00,1.00,2.00,2.00,NULL,0.00,2.00,0.00,552,NULL,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7066694,6.00,7.00,2.00,6.00,8.00,10.88,2.00,4.00,4.00,202,NULL,201,'BOA VISTA','JOINVILLE','SC',6201,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7066716,2.00,6.00,3.00,5.00,7.00,9.38,2.00,5.00,3.00,233,NULL,238,'CAMINHO NOVO','PALHOÇA','SC',12692,282,NULL,NULL,NULL,NULL,NULL,2,1),(28,7066724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7066732,2.00,6.00,2.00,4.00,1.00,NULL,4.00,4.00,6.00,655,NULL,652,'INTERIOR','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7066740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7066767,1.00,5.00,5.00,3.00,8.00,6.00,2.00,5.00,3.00,454,NULL,NULL,'MOOCA','S PAULO','SP',9850,183,NULL,NULL,NULL,NULL,NULL,4,1),(28,7066783,2.00,5.00,0.00,6.00,5.00,9.75,2.00,4.00,1.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',13606,504,NULL,NULL,NULL,NULL,NULL,2,1),(28,7066791,5.00,7.00,3.00,7.00,9.00,8.25,4.00,6.00,4.00,207,NULL,212,'CORREGO GRANDE','FLORIANÓPOLIS','SC',2710,93,NULL,77,NULL,NULL,NULL,2,1),(28,7066805,5.00,6.00,1.00,5.00,7.00,7.13,3.00,7.00,1.00,103,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',9701,2051,NULL,NULL,NULL,NULL,NULL,2,1),(28,7066813,5.00,8.00,2.00,7.00,6.00,10.50,4.00,8.00,6.00,201,NULL,202,'GARCIA','BLUMENAU','SC',1232,69,NULL,NULL,NULL,NULL,NULL,4,2),(28,7066821,4.00,5.00,2.00,5.00,6.00,7.13,3.00,4.00,4.00,336,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11812,63,NULL,NULL,NULL,NULL,NULL,2,1),(28,7066856,3.00,5.00,2.00,6.00,5.00,9.38,1.00,4.00,3.00,319,NULL,NULL,'SANTANA','S JOSÉ CAMPOS','SP',11753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7066864,7.00,8.00,3.00,8.00,10.00,13.88,5.00,8.00,8.00,103,NULL,NULL,'SETOR SUDOESTE','GOIÂNIA','GO',78,65,NULL,NULL,NULL,NULL,NULL,4,1),(28,7066899,1.00,3.00,4.00,2.00,4.00,7.50,2.00,2.00,3.00,5,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',17268,456,NULL,NULL,NULL,NULL,NULL,2,1),(28,7066902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7066929,0.00,5.00,1.00,6.00,5.00,6.38,3.00,5.00,2.00,103,NULL,NULL,'JARDIM PRIMAVERA','MAUÁ','SP',13667,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7066937,2.00,6.00,2.00,7.00,8.00,6.75,6.00,5.00,5.00,207,NULL,216,'CAMPECHE','FLORIANÓPOLIS','SC',7632,347,NULL,NULL,NULL,NULL,NULL,2,1),(28,7066953,2.00,5.00,3.00,6.00,3.00,9.75,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','POÇOS CALDAS','MG',9848,2062,NULL,NULL,NULL,NULL,NULL,4,1),(28,7066970,3.00,3.00,3.00,7.00,6.00,9.00,5.00,4.00,3.00,101,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',8922,33,NULL,NULL,NULL,NULL,NULL,2,1),(28,7066996,3.00,4.00,1.00,1.00,3.00,7.50,1.00,3.00,3.00,104,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',19604,462,NULL,NULL,NULL,NULL,NULL,4,22),(28,7067003,4.00,8.00,4.00,7.00,7.00,7.88,4.00,7.00,7.00,103,NULL,NULL,'ALTO DA SAUDADE','ARAÇATUBA','SP',1673,798,NULL,NULL,NULL,NULL,NULL,4,1),(28,7067011,5.00,6.00,3.00,5.00,7.00,9.00,6.00,5.00,6.00,3,NULL,NULL,'SUMARÉ','RIO SUL','SC',3078,7,NULL,NULL,NULL,NULL,NULL,4,24),(28,7067020,3.00,7.00,5.00,6.00,8.00,9.00,2.00,6.00,4.00,601,NULL,653,'OPERÁRIA NOVA','CRICIÚMA','SC',7935,191,NULL,NULL,NULL,NULL,NULL,2,5),(28,7067038,4.00,5.00,2.00,6.00,9.00,6.00,3.00,4.00,1.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11238,217,NULL,NULL,NULL,NULL,NULL,4,17),(28,7067046,7.00,6.00,4.00,7.00,8.00,10.88,3.00,7.00,7.00,201,NULL,207,'PINHEIROS','S PAULO','SP',1373,76,NULL,NULL,NULL,NULL,NULL,4,2),(28,7067054,1.00,5.00,1.00,7.00,5.00,7.50,4.00,3.00,3.00,214,NULL,212,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',13961,311,NULL,364,NULL,NULL,NULL,4,1),(28,7067062,2.00,5.00,0.00,5.00,4.00,8.63,4.00,5.00,5.00,216,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',10463,323,NULL,307,NULL,NULL,NULL,2,1),(28,7067089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'AGAPEAMA','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7067100,2.00,5.00,2.00,4.00,6.00,7.13,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','LARANJEIRAS SUL','PR',10537,2111,NULL,NULL,NULL,NULL,NULL,2,8),(28,7067119,4.00,6.00,1.00,6.00,7.00,9.38,1.00,4.00,3.00,601,NULL,213,'CENTRO','BIGUAÇU','SC',14376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7067127,7.00,8.00,4.00,6.00,9.00,10.50,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','PARANAVAÍ','PR',2030,893,NULL,NULL,NULL,NULL,NULL,4,8),(28,7067135,1.00,6.00,2.00,6.00,5.00,8.25,2.00,5.00,1.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12342,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7067151,2.00,3.00,3.00,3.00,5.00,9.00,2.00,5.00,2.00,503,NULL,NULL,'CENTRO','JUNDIAÍ','SP',12499,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7067160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7067186,5.00,7.00,1.00,6.00,5.00,9.38,4.00,6.00,3.00,425,NULL,426,'BARREIROS','S JOSÉ','SC',11281,34,NULL,9,NULL,NULL,NULL,4,1),(28,7067194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','ITÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7067208,5.00,5.00,2.00,6.00,5.00,6.00,1.00,5.00,1.00,404,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13602,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7067216,0.00,2.00,1.00,3.00,4.00,7.13,2.00,4.00,2.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7067224,5.00,7.00,4.00,6.00,7.00,10.13,5.00,7.00,6.00,201,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',3901,300,NULL,120,NULL,NULL,NULL,4,1),(28,7067232,0.00,4.00,1.00,4.00,2.00,NULL,2.00,5.00,2.00,999,NULL,NULL,'BELA VISTA','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7067259,2.00,6.00,4.00,7.00,5.00,9.00,4.00,6.00,2.00,238,NULL,233,'PARQUE ALVES DE LIMA','S PAULO','SP',7157,89,NULL,178,NULL,NULL,NULL,4,1),(28,7067275,3.00,9.00,2.00,6.00,6.00,7.88,2.00,7.00,3.00,317,NULL,NULL,'PACHECOS','PALHOÇA','SC',10643,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7067283,2.00,6.00,2.00,7.00,7.00,9.00,1.00,7.00,3.00,109,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',9329,15,NULL,NULL,NULL,NULL,NULL,2,1),(28,7067291,2.00,7.00,2.00,4.00,6.00,8.25,5.00,6.00,6.00,201,NULL,203,'SÃO NICOLAU','PENHA','SC',6866,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7067313,1.00,7.00,1.00,3.00,5.00,8.25,2.00,5.00,2.00,303,NULL,NULL,'INTERIOR','MODELO','SC',13849,511,NULL,NULL,NULL,NULL,NULL,2,4),(28,7067321,1.00,5.00,1.00,8.00,6.00,9.75,2.00,4.00,4.00,425,NULL,429,'REAL PARQUE','S JOSÉ','SC',15929,51,NULL,31,NULL,NULL,NULL,4,1),(28,7067330,2.00,2.00,2.00,3.00,5.00,NULL,0.00,1.00,2.00,103,NULL,NULL,'PIRATINI','PANAMBI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7067348,2.00,5.00,2.00,5.00,6.00,6.75,4.00,5.00,3.00,234,NULL,NULL,'JARDIM GUARAITUBA','PARANAGUÁ','PR',11237,16,NULL,NULL,NULL,NULL,NULL,2,8),(28,7067356,2.00,5.00,3.00,5.00,4.00,7.13,3.00,5.00,2.00,207,NULL,NULL,'GETÚLIO VARGAS','TORRES','RS',12441,562,NULL,NULL,NULL,NULL,NULL,2,15),(28,7067364,5.00,5.00,2.00,3.00,5.00,4.50,1.00,3.00,2.00,208,NULL,NULL,'JARDIM AMÉRICA','CAXIAS SUL','RS',19122,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7067372,7.00,8.00,4.00,6.00,6.00,7.13,5.00,7.00,7.00,103,NULL,NULL,'RECANTO DOS PÁSSAROS','CUIABÁ','MT',1702,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7067380,5.00,7.00,2.00,7.00,10.00,9.75,5.00,6.00,7.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1236,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7067399,0.00,6.00,2.00,7.00,4.00,6.75,2.00,4.00,2.00,333,NULL,NULL,'BAIRRO NASPOLINI','MRO FUMAÇA','SC',17005,106,NULL,NULL,NULL,NULL,NULL,4,5),(28,7067410,0.00,4.00,1.00,3.00,4.00,NULL,1.00,4.00,2.00,211,NULL,NULL,'MONTE CASTELO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7067453,1.00,4.00,2.00,4.00,9.00,8.63,2.00,6.00,1.00,503,NULL,NULL,'ZONA RURAL','BOM J OESTE','SC',10641,10,NULL,NULL,NULL,NULL,NULL,4,4),(28,7067461,2.00,8.00,2.00,5.00,7.00,9.00,4.00,5.00,3.00,103,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',6012,1629,NULL,NULL,NULL,NULL,NULL,2,4),(28,7067470,5.00,7.00,1.00,8.00,7.00,12.75,5.00,7.00,6.00,103,NULL,NULL,'DALBÉRGIA','IBIRAMA','SC',1265,661,NULL,NULL,NULL,NULL,NULL,2,24),(28,7067488,0.00,3.00,0.00,6.00,4.00,NULL,1.00,2.00,0.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7067496,8.00,6.00,2.00,7.00,7.00,7.13,1.00,6.00,6.00,103,NULL,NULL,'TERRANOVA I','S BERNARDO CAMPO','SP',4113,1345,NULL,NULL,NULL,NULL,NULL,4,2),(28,7067500,1.00,4.00,2.00,4.00,6.00,7.13,2.00,3.00,1.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',16428,440,NULL,NULL,NULL,NULL,NULL,2,1),(28,7067526,6.00,6.00,1.00,3.00,2.00,NULL,3.00,3.00,3.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7067542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,207,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7067550,1.00,4.00,2.00,5.00,4.00,7.88,4.00,4.00,3.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7067577,2.00,4.00,3.00,5.00,3.00,7.13,2.00,4.00,3.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',18598,160,NULL,NULL,NULL,NULL,NULL,2,1),(28,7067585,1.00,4.00,0.00,5.00,7.00,7.50,1.00,4.00,1.00,454,NULL,NULL,'CENTRO','TUBARÃO','SC',15831,322,NULL,NULL,NULL,NULL,NULL,4,10),(28,7067593,5.00,7.00,2.00,6.00,6.00,7.13,3.00,3.00,3.00,601,NULL,NULL,'VILA RIO BRANCO','JUNDIAÍ','SP',8383,206,NULL,NULL,NULL,NULL,NULL,2,8),(28,7067607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA DE FURNAS','ITUMBIARA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7067615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7067623,1.00,5.00,1.00,5.00,7.00,6.38,2.00,5.00,1.00,104,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7067631,0.00,3.00,1.00,3.00,1.00,NULL,0.00,4.00,1.00,450,NULL,NULL,'CENTRO','VERANÓPOLIS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7067658,3.00,3.00,3.00,5.00,7.00,6.00,3.00,2.00,3.00,444,NULL,NULL,'SANTOS SARAIVA','S JOSÉ','SC',17008,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7067666,1.00,5.00,3.00,5.00,6.00,9.00,1.00,2.00,1.00,310,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',18486,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7067682,3.00,5.00,1.00,5.00,5.00,10.88,1.00,4.00,1.00,319,NULL,NULL,'CENTRO','CANOAS','RS',15969,310,NULL,NULL,NULL,NULL,NULL,2,1),(28,7067704,4.00,6.00,2.00,6.00,7.00,8.25,4.00,5.00,2.00,503,NULL,NULL,'CENTRO','BOM J OESTE','SC',6765,2,NULL,NULL,NULL,NULL,NULL,4,4),(28,7067739,6.00,7.00,5.00,7.00,6.00,9.00,5.00,6.00,6.00,5,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',1359,35,NULL,NULL,NULL,NULL,NULL,4,5),(28,7067747,6.00,7.00,4.00,6.00,7.00,7.13,4.00,6.00,4.00,201,NULL,213,'CENTRO','CONCÓRDIA','SC',4051,313,NULL,56,NULL,NULL,NULL,4,26),(28,7067755,1.00,5.00,3.00,5.00,9.00,8.25,1.00,4.00,1.00,309,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12484,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7067763,8.00,8.00,7.00,6.00,8.00,7.13,7.00,8.00,7.00,203,NULL,235,'VELHA','BLUMENAU','SC',1058,100,NULL,7,NULL,NULL,NULL,4,2),(28,7067771,7.00,7.00,2.00,5.00,5.00,10.13,0.00,4.00,6.00,220,NULL,235,'CELINA','BARRETOS','SP',5884,170,NULL,102,NULL,NULL,NULL,4,1),(28,7067798,3.00,8.00,3.00,7.00,9.00,7.50,5.00,6.00,4.00,104,NULL,NULL,'CENTRO','TURVO','SC',4069,64,NULL,NULL,NULL,NULL,NULL,2,1),(28,7067801,2.00,7.00,1.00,7.00,8.00,6.00,3.00,5.00,2.00,201,NULL,212,'CABEÇUDAS','ITAJAÍ','SC',10191,687,NULL,297,NULL,NULL,NULL,4,6),(28,7067810,3.00,4.00,3.00,4.00,4.00,6.38,3.00,4.00,4.00,214,NULL,601,'ITAGUAÇU','FLORIANÓPOLIS','SC',17799,346,NULL,510,NULL,NULL,NULL,4,1),(28,7067828,2.00,3.00,2.00,5.00,3.00,7.88,1.00,3.00,1.00,101,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7067836,4.00,6.00,4.00,6.00,5.00,7.13,3.00,5.00,8.00,220,NULL,201,'GLEBA PALHANO','LONDRINA','PR',5936,172,NULL,464,NULL,NULL,NULL,4,8),(28,7067844,2.00,5.00,1.00,1.00,5.00,8.63,3.00,4.00,4.00,444,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',17545,114,NULL,NULL,NULL,NULL,NULL,4,1),(28,7067852,5.00,6.00,2.00,7.00,8.00,9.38,4.00,6.00,7.00,103,NULL,NULL,'IRIRIU','JOINVILLE','SC',2517,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7067860,5.00,6.00,2.00,5.00,5.00,6.38,2.00,5.00,4.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9471,47,NULL,NULL,NULL,NULL,NULL,2,1),(28,7067879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7067895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7067909,2.00,4.00,2.00,6.00,6.00,7.13,4.00,4.00,1.00,201,NULL,212,'PRAIA BRAVA','ITAJAÍ','SC',13145,837,NULL,356,NULL,NULL,NULL,4,1),(28,7067917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7067933,0.00,6.00,3.00,3.00,5.00,6.00,1.00,4.00,1.00,103,NULL,NULL,'DA LUZ','DOIS VIZINHOS','PR',16325,2415,NULL,NULL,NULL,NULL,NULL,4,4),(28,7067950,2.00,2.00,2.00,4.00,4.00,7.50,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',19103,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7067968,5.00,6.00,3.00,4.00,8.00,9.38,3.00,6.00,6.00,203,NULL,601,'CENTRO','NOVA TRENTO','SC',3877,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7067976,1.00,2.00,0.00,1.00,1.00,NULL,2.00,3.00,1.00,215,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7067984,5.00,8.00,1.00,7.00,8.00,10.50,3.00,6.00,6.00,103,NULL,NULL,'MOEMA','S PAULO','SP',2827,1097,NULL,NULL,NULL,NULL,NULL,4,1),(28,7067992,1.00,6.00,0.00,6.00,7.00,NULL,0.00,5.00,3.00,110,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068000,2.00,5.00,1.00,6.00,7.00,7.13,2.00,5.00,3.00,999,NULL,NULL,'BAIRRO SÃO CRISTÓVÃO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7068018,7.00,8.00,4.00,7.00,8.00,9.75,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',2100,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7068026,2.00,5.00,1.00,5.00,6.00,10.50,2.00,3.00,2.00,303,NULL,NULL,'SANTANA','RIO SUL','SC',10712,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7068050,3.00,5.00,3.00,5.00,7.00,7.88,1.00,3.00,1.00,415,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',11466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068069,3.00,3.00,2.00,3.00,2.00,NULL,2.00,6.00,2.00,201,NULL,203,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068077,1.00,3.00,2.00,6.00,2.00,NULL,4.00,2.00,3.00,234,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7068085,6.00,8.00,2.00,5.00,9.00,7.50,4.00,6.00,3.00,201,NULL,233,'ESPRAIADO I','NOVA TRENTO','SC',4816,371,NULL,126,NULL,NULL,NULL,4,22),(28,7068093,0.00,5.00,2.00,6.00,2.00,NULL,2.00,6.00,2.00,3,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7068107,6.00,8.00,1.00,6.00,6.00,5.63,3.00,7.00,3.00,451,NULL,NULL,'LAUZANE PAULISTA','S PAULO','SP',5234,5,NULL,NULL,NULL,NULL,NULL,2,1),(28,7068115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,23),(28,7068131,8.00,7.00,4.00,6.00,8.00,6.75,7.00,5.00,6.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',774,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068140,0.00,2.00,2.00,6.00,4.00,6.00,2.00,2.00,3.00,454,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7068158,4.00,6.00,3.00,4.00,8.00,7.88,3.00,4.00,4.00,238,NULL,652,'ARMAÇÃO','FLORIANÓPOLIS','SC',10013,NULL,NULL,19,NULL,NULL,NULL,4,1),(28,7068174,2.00,0.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,16),(28,7068182,5.00,6.00,1.00,6.00,7.00,8.63,6.00,5.00,4.00,101,NULL,NULL,'JARDIM BRASIL','MARINGÁ','PR',6551,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068190,3.00,8.00,4.00,7.00,9.00,6.00,4.00,6.00,5.00,201,NULL,202,'CINQUENTENARIO','CONCÓRDIA','SC',3114,NULL,NULL,89,NULL,NULL,NULL,4,4),(28,7068204,1.00,5.00,0.00,4.00,3.00,5.25,2.00,4.00,2.00,999,NULL,NULL,'STO ANTONIO LISBOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068212,3.00,6.00,3.00,5.00,7.00,9.00,4.00,6.00,4.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6983,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7068220,3.00,7.00,4.00,5.00,5.00,7.13,1.00,6.00,3.00,601,NULL,655,'ANITA GARIBALDI','JOINVILLE','SC',12571,373,NULL,66,NULL,NULL,NULL,4,8),(28,7068247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'WANEL VILLE','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7068255,2.00,3.00,1.00,4.00,4.00,6.75,3.00,4.00,3.00,427,NULL,423,'SACO GRANDE','FLORIANÓPOLIS','SC',16474,13,NULL,NULL,NULL,NULL,NULL,2,1),(28,7068271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELO HORIZONTE','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7068298,7.00,8.00,5.00,6.00,11.00,10.50,3.00,7.00,5.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1782,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068301,2.00,4.00,2.00,5.00,3.00,5.63,1.00,3.00,2.00,207,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',15562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7068310,3.00,5.00,4.00,4.00,9.00,8.25,3.00,4.00,3.00,207,NULL,212,'CARIANOS','FLORIANÓPOLIS','SC',9573,446,NULL,282,NULL,NULL,NULL,2,1),(28,7068328,9.00,8.00,7.00,6.00,8.00,11.25,5.00,7.00,7.00,103,NULL,NULL,'SAGUACU','JOINVILLE','SC',166,129,NULL,NULL,NULL,NULL,NULL,4,8),(28,7068336,1.00,3.00,2.00,6.00,3.00,NULL,0.00,2.00,0.00,444,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7068379,1.00,5.00,2.00,6.00,3.00,5.63,3.00,4.00,4.00,319,NULL,NULL,'VILA MASCOTE','S PAULO','SP',15195,297,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,207,'CENTRO','ESTRELA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7068395,1.00,7.00,1.00,7.00,6.00,7.88,2.00,5.00,4.00,202,NULL,235,'MATRIZ','VIDEIRA','SC',8259,222,NULL,135,NULL,NULL,NULL,2,25),(28,7068409,6.00,8.00,2.00,7.00,10.00,10.88,1.00,8.00,3.00,5,NULL,NULL,'LIMOEIRO','BRUSQUE','SC',4941,165,NULL,NULL,NULL,NULL,NULL,4,22),(28,7068417,2.00,6.00,1.00,5.00,4.00,7.13,3.00,3.00,1.00,208,NULL,NULL,'CENTRO','CAÇADOR','SC',12488,142,NULL,NULL,NULL,NULL,NULL,2,25),(28,7068425,5.00,5.00,2.00,6.00,7.00,7.50,4.00,4.00,3.00,3,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',10502,43,NULL,NULL,NULL,NULL,NULL,2,1),(28,7068433,0.00,3.00,1.00,6.00,7.00,NULL,2.00,2.00,1.00,303,NULL,NULL,'LIDER','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7068441,4.00,8.00,4.00,6.00,9.00,9.75,5.00,7.00,6.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1592,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7068468,1.00,3.00,1.00,3.00,7.00,9.38,1.00,4.00,2.00,331,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',15302,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068476,6.00,6.00,3.00,6.00,8.00,6.75,2.00,5.00,6.00,216,NULL,601,'AGRONOMICA','FLORIANÓPOLIS','SC',4871,187,NULL,87,NULL,NULL,NULL,4,1),(28,7068492,0.00,2.00,1.00,5.00,4.00,3.00,1.00,2.00,2.00,303,NULL,NULL,'GRANJA OLGA','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068514,5.00,6.00,1.00,6.00,6.00,6.75,5.00,6.00,5.00,202,NULL,238,'RIO TAVARES','FLORIANÓPOLIS','SC',4971,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7068522,0.00,4.00,1.00,3.00,4.00,NULL,2.00,4.00,3.00,5,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7068549,0.00,3.00,0.00,6.00,1.00,NULL,1.00,3.00,1.00,652,NULL,655,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7068565,4.00,7.00,2.00,4.00,4.00,7.50,3.00,4.00,4.00,601,NULL,201,'CENTRO','ITAPETININGA','SP',8243,200,NULL,NULL,NULL,NULL,NULL,4,8),(28,7068581,5.00,5.00,1.00,6.00,6.00,7.88,4.00,6.00,4.00,103,NULL,NULL,'MICHEL','CRICIÚMA','SC',10497,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7068590,4.00,7.00,2.00,7.00,7.00,10.13,4.00,5.00,4.00,216,NULL,212,'JARDIM PAULISTA','S PAULO','SP',3956,154,NULL,122,NULL,NULL,NULL,4,1),(28,7068603,3.00,6.00,3.00,6.00,3.00,6.00,5.00,8.00,4.00,214,NULL,220,'DOIS CORREGOS','VALINHOS','SP',7214,217,NULL,195,NULL,NULL,NULL,4,1),(28,7068611,2.00,6.00,1.00,6.00,9.00,8.63,3.00,7.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6364,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7068620,0.00,7.00,3.00,7.00,3.00,9.38,5.00,7.00,4.00,103,NULL,NULL,'MANDAQUI','S PAULO','SP',7107,1776,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068638,3.00,7.00,0.00,7.00,9.00,9.75,4.00,6.00,1.00,502,NULL,NULL,'CRUZEIRO','RIO NEGRINHO','SC',8758,3,NULL,NULL,NULL,NULL,NULL,4,8),(28,7068646,1.00,6.00,1.00,4.00,8.00,9.38,2.00,3.00,2.00,103,NULL,NULL,'JOAIA','TIJUCAS','SC',11772,2189,NULL,NULL,NULL,NULL,NULL,2,3),(28,7068662,2.00,7.00,2.00,7.00,4.00,8.63,3.00,6.00,3.00,222,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',12507,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068670,1.00,5.00,2.00,7.00,5.00,7.50,2.00,5.00,2.00,601,NULL,212,'VILA UNIVERSITÁRIA','BAURU','SP',16385,480,NULL,393,NULL,NULL,NULL,4,1),(28,7068689,5.00,8.00,2.00,7.00,9.00,10.50,2.00,7.00,4.00,103,NULL,NULL,'FORTALEZA','BLUMENAU','SC',1730,814,NULL,NULL,NULL,NULL,NULL,4,2),(28,7068700,3.00,7.00,2.00,6.00,8.00,7.13,4.00,7.00,3.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',9627,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7068727,4.00,5.00,2.00,7.00,7.00,7.13,2.00,0.00,2.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13535,88,NULL,NULL,NULL,NULL,NULL,2,1),(28,7068735,2.00,7.00,1.00,7.00,8.00,9.75,0.00,4.00,5.00,999,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7068743,2.00,7.00,2.00,3.00,4.00,5.63,2.00,4.00,2.00,999,NULL,NULL,'NAÇOES','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(28,7068760,2.00,4.00,1.00,5.00,4.00,7.13,1.00,3.00,2.00,201,NULL,207,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068778,1.00,7.00,2.00,7.00,4.00,8.63,3.00,4.00,4.00,103,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',14484,2331,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068786,2.00,6.00,1.00,4.00,2.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7068808,5.00,7.00,2.00,7.00,6.00,6.00,4.00,6.00,5.00,213,NULL,202,'ITACORUBI','FLORIANÓPOLIS','SC',10162,178,NULL,262,NULL,NULL,NULL,2,1),(28,7068824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'RIBEIRÃO DOS LOBOS','TAIÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,24),(28,7068832,6.00,8.00,1.00,4.00,4.00,8.63,5.00,6.00,2.00,103,NULL,NULL,'LIMÃO','S PAULO','SP',7196,1789,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068840,5.00,7.00,2.00,7.00,5.00,8.25,3.00,7.00,3.00,207,NULL,203,'PONTA NEGRA','MANAUS','AM',4238,176,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068859,2.00,4.00,2.00,7.00,5.00,7.50,2.00,5.00,3.00,450,NULL,NULL,'VILA ISOLINA MAZZEI','S PAULO','SP',11834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7068867,7.00,7.00,6.00,5.00,7.00,6.75,8.00,4.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1040,571,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068875,5.00,7.00,4.00,6.00,8.00,10.50,6.00,7.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',1392,709,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068891,5.00,7.00,3.00,8.00,5.00,6.75,3.00,7.00,4.00,220,NULL,214,'JAGUARÉ','S PAULO','SP',3034,89,NULL,110,NULL,NULL,NULL,4,8),(28,7068913,2.00,7.00,1.00,5.00,7.00,12.38,1.00,6.00,0.00,337,NULL,NULL,'ASA SUL','BRASÍLIA','DF',14740,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7068921,1.00,4.00,4.00,6.00,6.00,7.13,4.00,6.00,2.00,201,NULL,212,'TAPERA','FLORIANÓPOLIS','SC',14839,902,NULL,373,NULL,NULL,NULL,4,1),(28,7068930,3.00,7.00,3.00,5.00,9.00,8.63,2.00,5.00,2.00,340,NULL,NULL,'PERDIZES RES PARQUE','BIRIGÜI','SP',8428,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7068948,3.00,6.00,2.00,5.00,4.00,5.25,3.00,5.00,2.00,103,NULL,NULL,'VILA PRUDENCIO','PARANAVAÍ','PR',17366,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7068956,1.00,4.00,0.00,5.00,5.00,6.38,2.00,4.00,1.00,238,NULL,201,'VARGEM GRANDE','FLORIANÓPOLIS','SC',19620,339,NULL,1047,NULL,NULL,NULL,2,1),(28,7068964,0.00,7.00,2.00,2.00,2.00,NULL,1.00,5.00,4.00,601,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7068972,3.00,5.00,3.00,5.00,4.00,NULL,2.00,3.00,2.00,9,NULL,NULL,'CANASVIERIA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7068980,0.00,7.00,3.00,6.00,7.00,7.13,5.00,4.00,7.00,201,NULL,212,'IMIGRANTES','CONCÓRDIA','SC',6598,507,NULL,204,NULL,NULL,NULL,4,4),(28,7068999,0.00,1.00,3.00,5.00,4.00,NULL,2.00,3.00,0.00,318,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7069006,3.00,6.00,4.00,5.00,8.00,8.63,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',3905,1304,NULL,NULL,NULL,NULL,NULL,2,3),(28,7069022,0.00,4.00,0.00,0.00,3.00,NULL,1.00,2.00,3.00,309,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069030,0.00,1.00,2.00,2.00,2.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7069049,4.00,8.00,4.00,7.00,9.00,9.75,5.00,6.00,7.00,103,NULL,NULL,'JD ANA LUCIA','GOIÂNIA','GO',757,454,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069057,1.00,7.00,2.00,6.00,6.00,6.75,2.00,4.00,4.00,104,NULL,NULL,'CAMPO BELO','S PAULO','SP',11120,271,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069065,2.00,4.00,4.00,2.00,4.00,7.13,2.00,5.00,6.00,108,NULL,NULL,'CENTRO','LORENA','SP',11802,161,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069081,2.00,6.00,3.00,4.00,3.00,10.13,3.00,6.00,3.00,103,NULL,NULL,'VILLE DE CHAMINIX','ITATIBA','SP',8879,1988,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7069103,5.00,6.00,3.00,7.00,9.00,10.50,6.00,4.00,6.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',1296,676,NULL,NULL,NULL,NULL,NULL,4,3),(28,7069120,2.00,2.00,1.00,4.00,6.00,8.25,3.00,6.00,3.00,552,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',11489,46,NULL,NULL,NULL,NULL,NULL,4,22),(28,7069146,3.00,7.00,1.00,5.00,7.00,7.13,4.00,5.00,2.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',7720,1857,NULL,NULL,NULL,NULL,NULL,4,8),(28,7069154,1.00,2.00,3.00,5.00,3.00,7.13,0.00,4.00,2.00,336,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7069162,1.00,4.00,1.00,4.00,3.00,3.00,2.00,4.00,5.00,104,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7069170,0.00,0.00,3.00,2.00,2.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CABEÇUDA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(28,7069197,5.00,8.00,3.00,5.00,8.00,10.50,7.00,8.00,6.00,214,NULL,NULL,'JARDIM SÃO CAETANO','JAÚ','SP',593,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069235,1.00,4.00,2.00,5.00,6.00,7.13,1.00,2.00,2.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19055,274,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'OCEANIA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7069251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA AUXILIADORA','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7069260,2.00,7.00,1.00,4.00,6.00,7.88,2.00,7.00,3.00,653,NULL,207,'CENTRO','SOMBRIO','SC',10866,111,NULL,NULL,NULL,NULL,NULL,2,5),(28,7069286,2.00,4.00,1.00,2.00,5.00,7.88,2.00,4.00,2.00,207,NULL,202,'VILA NOVA','JARAGUÁ SUL','SC',16317,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7069308,2.00,6.00,1.00,6.00,3.00,4.88,4.00,7.00,3.00,203,NULL,214,'PRESIDENTE MEDICE','CHAPECÓ','SC',11306,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7069316,0.00,5.00,5.00,7.00,5.00,7.88,2.00,5.00,4.00,304,NULL,NULL,'VILA MARIANA','S PAULO','SP',7774,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069332,0.00,6.00,3.00,6.00,8.00,NULL,2.00,4.00,5.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069340,3.00,5.00,1.00,6.00,4.00,7.88,2.00,4.00,1.00,207,NULL,238,'BARREIROS','S JOSÉ','SC',13027,591,NULL,214,NULL,NULL,NULL,4,1),(28,7069359,1.00,5.00,2.00,7.00,8.00,10.13,3.00,5.00,3.00,207,NULL,211,'BUCAREIN','JOINVILLE','SC',7048,328,NULL,195,NULL,NULL,NULL,4,8),(28,7069367,3.00,7.00,5.00,7.00,9.00,9.00,4.00,7.00,5.00,203,NULL,214,'JARDINS','ARACAJU','SE',2288,185,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069375,3.00,8.00,3.00,7.00,9.00,8.63,3.00,8.00,4.00,415,NULL,NULL,'CENTRO','VINHEDO','SP',2356,24,NULL,NULL,NULL,NULL,NULL,4,8),(28,7069391,1.00,6.00,4.00,4.00,8.00,10.88,5.00,3.00,4.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5444,179,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069405,0.00,5.00,1.00,5.00,5.00,7.88,4.00,4.00,4.00,102,NULL,NULL,'ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC',17302,161,NULL,NULL,NULL,NULL,NULL,2,1),(28,7069421,2.00,6.00,3.00,7.00,7.00,10.88,4.00,7.00,3.00,304,NULL,NULL,'GRAMA','GAROPABA','SC',7449,49,NULL,NULL,NULL,NULL,NULL,2,1),(28,7069430,7.00,8.00,2.00,6.00,8.00,12.00,4.00,5.00,7.00,340,NULL,NULL,'JARDIM IPIRANGA','PTO ALEGRE','RS',897,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069456,7.00,8.00,6.00,8.00,9.00,9.75,8.00,6.00,8.00,103,NULL,NULL,'BELENZINHO','S PAULO','SP',75,63,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069464,5.00,8.00,2.00,5.00,2.00,NULL,3.00,4.00,2.00,301,NULL,NULL,'JD MARAJOARA','PILAR SUL','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7069472,2.00,5.00,2.00,5.00,7.00,9.38,3.00,5.00,3.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10916,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7069480,3.00,8.00,4.00,7.00,9.00,9.75,6.00,7.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',2008,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069499,4.00,7.00,3.00,7.00,7.00,11.25,5.00,5.00,5.00,203,NULL,214,'BUTANTÃ','S PAULO','SP',1580,145,NULL,46,NULL,NULL,NULL,4,1),(28,7069502,3.00,8.00,2.00,7.00,9.00,7.50,5.00,8.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3490,47,NULL,NULL,NULL,NULL,NULL,2,1),(28,7069510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'LIBERDADE','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7069537,1.00,7.00,3.00,7.00,6.00,7.88,2.00,7.00,4.00,214,NULL,203,'LAGO PARQUE','LONDRINA','PR',4728,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7069545,2.00,6.00,2.00,8.00,6.00,10.50,3.00,6.00,4.00,304,NULL,NULL,'SANTO ANTÔNIO','CACHOEIRA SUL','RS',3907,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069553,4.00,6.00,5.00,6.00,8.00,9.75,6.00,4.00,4.00,203,NULL,214,'CENTRO','JOINVILLE','SC',2310,186,NULL,80,NULL,NULL,NULL,4,8),(28,7069561,2.00,6.00,1.00,5.00,8.00,5.25,3.00,4.00,4.00,421,NULL,424,'SÃO MARTINHO','TUBARÃO','SC',11667,7,NULL,NULL,NULL,NULL,NULL,2,10),(28,7069570,3.00,5.00,3.00,7.00,4.00,9.75,4.00,5.00,4.00,103,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',7852,1876,NULL,NULL,NULL,NULL,NULL,2,1),(28,7069588,3.00,5.00,3.00,5.00,6.00,11.25,1.00,4.00,2.00,601,NULL,211,'CENTRO','JOINVILLE','SC',15502,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7069600,0.00,6.00,2.00,6.00,5.00,6.38,1.00,5.00,2.00,103,NULL,NULL,'RAMOS','VIÇOSA','MG',12025,2201,NULL,NULL,NULL,NULL,NULL,2,1),(28,7069626,4.00,6.00,2.00,5.00,6.00,8.63,2.00,7.00,5.00,214,NULL,212,'CENTRO','RIBEIRÃO PRETO','SP',4594,154,NULL,148,NULL,NULL,NULL,4,1),(28,7069634,0.00,3.00,4.00,6.00,6.00,9.00,2.00,2.00,1.00,454,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',14949,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7069642,0.00,3.00,2.00,2.00,4.00,NULL,1.00,5.00,2.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7069650,3.00,4.00,1.00,6.00,6.00,8.63,3.00,4.00,4.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',10920,500,NULL,NULL,NULL,NULL,NULL,2,1),(28,7069685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7069707,5.00,5.00,3.00,5.00,7.00,7.88,5.00,5.00,3.00,336,NULL,NULL,'VILA OLÍMPIA','S PAULO','SP',5810,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IPACARAI','TRÊS LAGOAS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7069723,3.00,7.00,3.00,4.00,4.00,11.63,1.00,5.00,2.00,601,NULL,238,'COSTA E SILVA','JOINVILLE','SC',8615,217,NULL,NULL,NULL,NULL,NULL,4,8),(28,7069731,7.00,9.00,7.00,6.00,9.00,13.50,7.00,8.00,8.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',45,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069740,4.00,7.00,5.00,7.00,8.00,9.38,5.00,7.00,5.00,201,NULL,207,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',2578,187,NULL,90,NULL,NULL,NULL,2,1),(28,7069758,5.00,7.00,3.00,7.00,10.00,8.63,5.00,8.00,6.00,103,NULL,NULL,'UMUARAMA','OSASCO','SP',1036,570,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069782,0.00,4.00,2.00,4.00,6.00,NULL,4.00,4.00,2.00,103,NULL,NULL,'CENTRO','AURORA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7069804,0.00,3.00,4.00,6.00,2.00,NULL,1.00,4.00,1.00,108,NULL,NULL,'QUATRO ILHAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7069812,2.00,6.00,2.00,5.00,6.00,6.75,2.00,3.00,2.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12598,312,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7069839,0.00,3.00,3.00,4.00,3.00,NULL,1.00,4.00,0.00,425,NULL,427,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7069855,1.00,6.00,2.00,7.00,4.00,8.25,1.00,6.00,2.00,103,NULL,NULL,'BELA VISTA','PALHOÇA','SC',12113,2207,NULL,NULL,NULL,NULL,NULL,2,1),(28,7069863,1.00,4.00,4.00,6.00,6.00,7.88,3.00,6.00,3.00,104,NULL,NULL,'FAZENDA ST ANTONIO','S JOSÉ','SC',11827,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7069871,4.00,6.00,4.00,4.00,6.00,7.88,2.00,5.00,4.00,454,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',10572,201,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069880,2.00,6.00,0.00,6.00,9.00,9.00,2.00,4.00,5.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7487,331,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069901,6.00,9.00,6.00,6.00,8.00,10.13,4.00,8.00,5.00,103,NULL,NULL,'SANTA TERESINHA','S PAULO','SP',991,551,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069910,2.00,4.00,0.00,4.00,3.00,9.75,0.00,5.00,2.00,207,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',15426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7069928,3.00,6.00,3.00,6.00,5.00,8.63,3.00,5.00,3.00,9,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12681,84,NULL,NULL,NULL,NULL,NULL,2,1),(28,7069936,4.00,6.00,1.00,7.00,6.00,6.00,3.00,5.00,4.00,203,NULL,601,'VILA NOVA','BLUMENAU','SC',8571,497,NULL,214,NULL,NULL,NULL,4,2),(28,7069960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7069979,2.00,3.00,2.00,5.00,3.00,6.00,1.00,3.00,1.00,316,NULL,NULL,'PARQUE ENSEADA','GUARUJÁ','SP',16693,230,NULL,NULL,NULL,NULL,NULL,2,1),(28,7069987,0.00,3.00,1.00,6.00,4.00,7.50,2.00,3.00,3.00,404,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',19257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7069995,4.00,8.00,2.00,7.00,8.00,10.13,4.00,7.00,5.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',2811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070004,1.00,2.00,4.00,3.00,5.00,7.88,2.00,3.00,2.00,211,NULL,215,'BARRA DO ARIRIÚ','PALHOÇA','SC',17096,408,NULL,274,NULL,NULL,NULL,2,1),(28,7070012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'INTERIOR','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,26),(28,7070020,4.00,6.00,5.00,6.00,8.00,12.00,7.00,6.00,6.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1796,836,NULL,NULL,NULL,NULL,NULL,2,1),(28,7070047,3.00,3.00,1.00,6.00,5.00,6.38,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','STO ANTÔNIO SUDOESTE','PR',14599,2336,NULL,NULL,NULL,NULL,NULL,2,27),(28,7070055,4.00,7.00,2.00,6.00,5.00,7.88,5.00,6.00,5.00,201,NULL,212,'JARDIM BRASILIA','S PAULO','SP',4256,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7070071,5.00,8.00,1.00,4.00,8.00,6.00,5.00,6.00,5.00,201,NULL,207,'PRESIDENTE MEDICE','CHAPECÓ','SC',9760,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7070098,4.00,6.00,2.00,2.00,6.00,7.88,4.00,4.00,5.00,203,NULL,214,'ESTREITO','FLORIANÓPOLIS','SC',9853,NULL,NULL,253,NULL,NULL,NULL,4,1),(28,7070136,4.00,6.00,3.00,6.00,7.00,11.63,4.00,7.00,4.00,340,NULL,NULL,'GOIBEIRAS','CUIABÁ','MT',3671,90,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070144,3.00,6.00,2.00,6.00,7.00,8.63,2.00,7.00,3.00,103,NULL,NULL,'MONTE CARLO','CPO GRANDE','MS',6534,1702,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070152,4.00,1.00,4.00,6.00,8.00,NULL,1.00,2.00,2.00,301,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(28,7070160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE HORTENCIA','GUAÍRA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7070179,6.00,7.00,5.00,7.00,8.00,9.00,4.00,5.00,7.00,303,NULL,NULL,'ATALAIA','ARACAJU','SE',1241,56,NULL,NULL,NULL,NULL,NULL,2,1),(28,7070187,7.00,8.00,6.00,6.00,7.00,11.25,6.00,6.00,7.00,340,NULL,NULL,'CENTRO','BRUSQUE','SC',816,13,NULL,NULL,NULL,NULL,NULL,4,22),(28,7070209,6.00,7.00,3.00,7.00,8.00,8.25,6.00,7.00,6.00,216,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',993,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070225,0.00,4.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,339,NULL,NULL,'CENTRO','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7070241,3.00,5.00,3.00,4.00,6.00,8.25,2.00,2.00,3.00,301,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',12611,178,NULL,NULL,NULL,NULL,NULL,2,1),(28,7070268,1.00,3.00,3.00,4.00,5.00,9.75,1.00,4.00,2.00,9,NULL,NULL,'MONTE CARLO','S JOAQUIM','SC',18250,151,NULL,NULL,NULL,NULL,NULL,4,9),(28,7070276,3.00,6.00,4.00,4.00,6.00,NULL,2.00,2.00,2.00,104,NULL,NULL,'CENTRO','COLÍDER','MT',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7070284,7.00,8.00,1.00,6.00,7.00,10.50,4.00,7.00,5.00,329,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',2484,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070292,6.00,8.00,4.00,7.00,8.00,11.63,3.00,6.00,6.00,103,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',863,491,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070306,1.00,5.00,0.00,3.00,1.00,NULL,0.00,3.00,2.00,324,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070314,5.00,9.00,4.00,4.00,7.00,9.38,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1913,863,NULL,NULL,NULL,NULL,NULL,2,1),(28,7070322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,601,'ST ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7070330,1.00,2.00,3.00,2.00,2.00,NULL,0.00,4.00,1.00,333,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7070349,0.00,2.00,1.00,6.00,5.00,7.88,2.00,3.00,0.00,552,NULL,NULL,'LOTEAMENTO IGUAÇU','CAMPOS NOVOS','SC',17073,128,NULL,NULL,NULL,NULL,NULL,2,16),(28,7070357,1.00,6.00,1.00,7.00,7.00,12.38,2.00,6.00,2.00,319,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12867,240,NULL,NULL,NULL,NULL,NULL,2,1),(28,7070365,1.00,3.00,2.00,1.00,3.00,3.00,0.00,4.00,2.00,444,NULL,NULL,'SANTO ANTONIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7070373,4.00,7.00,3.00,6.00,6.00,10.13,5.00,6.00,4.00,103,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',4825,1468,NULL,NULL,NULL,NULL,NULL,4,4),(28,7070381,5.00,7.00,2.00,7.00,5.00,10.88,3.00,4.00,4.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',5103,1508,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070390,1.00,1.00,0.00,3.00,4.00,NULL,1.00,4.00,0.00,999,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070403,4.00,5.00,2.00,6.00,5.00,8.63,4.00,3.00,5.00,103,NULL,NULL,'OURO BRANCO','PARANAVAÍ','PR',6343,1679,NULL,NULL,NULL,NULL,NULL,4,8),(28,7070411,2.00,5.00,1.00,6.00,3.00,7.50,0.00,4.00,1.00,450,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',15251,112,NULL,NULL,NULL,NULL,NULL,2,1),(28,7070420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'MATINHO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7070438,1.00,4.00,0.00,6.00,9.00,NULL,3.00,6.00,2.00,201,NULL,207,'CENTRO','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7070462,1.00,3.00,1.00,3.00,4.00,5.25,2.00,3.00,5.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',17415,2454,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070470,2.00,7.00,1.00,4.00,5.00,7.88,3.00,6.00,4.00,303,NULL,NULL,'JARDIM CAMPO GRANDE','CAÇAPAVA','SP',15051,529,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070489,5.00,6.00,2.00,6.00,7.00,8.63,2.00,5.00,3.00,301,NULL,NULL,'AMÉRICA','JOINVILLE','SC',10217,133,NULL,NULL,NULL,NULL,NULL,4,8),(28,7070500,3.00,6.00,2.00,6.00,5.00,7.88,3.00,6.00,4.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITAPEMA DO NORTE','ITAPOÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7070527,6.00,7.00,6.00,5.00,9.00,9.75,6.00,7.00,7.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',933,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070535,6.00,6.00,1.00,6.00,8.00,9.38,4.00,6.00,3.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',3906,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070543,0.00,1.00,1.00,5.00,1.00,NULL,0.00,4.00,0.00,429,NULL,425,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7070560,4.00,5.00,2.00,6.00,8.00,7.50,3.00,4.00,4.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',7452,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7070578,1.00,6.00,3.00,5.00,7.00,8.63,4.00,5.00,3.00,211,NULL,213,'ESTREITO','FLORIANÓPOLIS','SC',12568,327,NULL,215,NULL,NULL,NULL,4,1),(28,7070586,3.00,6.00,4.00,6.00,3.00,9.00,2.00,4.00,1.00,103,NULL,NULL,'PIONEIRO','PINHALZINHO','SC',13090,2265,NULL,NULL,NULL,NULL,NULL,2,4),(28,7070608,5.00,8.00,4.00,8.00,9.00,9.38,6.00,8.00,7.00,103,NULL,NULL,'PARQUE BANDEIRANTES','PETROLINA','PE',308,229,NULL,NULL,NULL,NULL,NULL,4,2),(28,7070616,5.00,7.00,2.00,5.00,8.00,7.13,4.00,6.00,3.00,103,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',5731,1593,NULL,NULL,NULL,NULL,NULL,4,4),(28,7070624,3.00,5.00,5.00,7.00,7.00,7.50,4.00,4.00,3.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6612,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070632,9.00,8.00,9.00,8.00,10.00,7.88,9.00,7.00,6.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',25,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070667,4.00,6.00,2.00,5.00,4.00,9.38,3.00,3.00,3.00,207,NULL,201,'VILA MARIANA','S PAULO','SP',8875,409,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070675,5.00,6.00,1.00,7.00,8.00,10.13,2.00,5.00,3.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5244,241,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070683,3.00,4.00,1.00,3.00,3.00,8.63,4.00,3.00,4.00,207,NULL,201,'ITAGUAÇU','FLORIANÓPOLIS','SC',11856,543,NULL,763,NULL,NULL,NULL,4,1),(28,7070691,2.00,5.00,1.00,6.00,5.00,8.63,2.00,4.00,4.00,216,NULL,215,'PASSO DO GADO','TUBARÃO','SC',15900,415,NULL,257,NULL,NULL,NULL,2,10),(28,7070705,6.00,8.00,1.00,7.00,7.00,9.38,3.00,8.00,6.00,220,NULL,203,'BOSQUE DA SAUDE II','CUIABÁ','MT',1442,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070713,2.00,3.00,4.00,4.00,8.00,7.50,3.00,6.00,3.00,454,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11129,213,NULL,NULL,NULL,NULL,NULL,2,1),(28,7070721,6.00,6.00,5.00,6.00,10.00,10.88,5.00,7.00,5.00,103,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',1149,619,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070730,2.00,6.00,2.00,4.00,7.00,7.50,4.00,6.00,1.00,207,NULL,215,'BARRA DO ARIRIÚ','PALHOÇA','SC',11037,508,NULL,190,NULL,NULL,NULL,4,1),(28,7070748,3.00,5.00,2.00,5.00,6.00,5.25,2.00,5.00,3.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11519,15,NULL,NULL,NULL,NULL,NULL,2,1),(28,7070756,8.00,8.00,6.00,6.00,9.00,10.50,7.00,6.00,7.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',180,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7070764,6.00,7.00,4.00,6.00,7.00,12.00,6.00,6.00,7.00,207,NULL,213,'PARQUE NOVO MUNDO','AMERICANA','SP',606,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070772,0.00,5.00,1.00,1.00,4.00,8.25,1.00,5.00,3.00,223,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',19349,50,NULL,NULL,NULL,NULL,NULL,2,1),(28,7070780,6.00,6.00,5.00,6.00,8.00,9.00,4.00,6.00,5.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',3725,53,NULL,NULL,NULL,NULL,NULL,2,1),(28,7070799,4.00,7.00,2.00,6.00,7.00,8.63,4.00,7.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5310,1546,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070802,5.00,8.00,3.00,7.00,7.00,9.00,4.00,6.00,5.00,331,NULL,NULL,'BARREIROIS','S JOSÉ','SC',6068,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070810,0.00,6.00,4.00,4.00,4.00,6.38,3.00,5.00,1.00,202,NULL,213,'SERRARIA','S JOSÉ','SC',13594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070829,7.00,8.00,5.00,7.00,8.00,13.50,5.00,8.00,8.00,103,NULL,NULL,'JD LINDOIA','PTO ALEGRE','RS',37,31,NULL,NULL,NULL,NULL,NULL,2,1),(28,7070845,4.00,6.00,3.00,6.00,7.00,7.88,4.00,5.00,6.00,207,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',4218,175,NULL,327,NULL,NULL,NULL,2,1),(28,7070853,3.00,7.00,0.00,6.00,8.00,9.38,3.00,6.00,3.00,104,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6819,154,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070861,2.00,4.00,1.00,4.00,3.00,4.88,1.00,2.00,2.00,9,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',18374,154,NULL,NULL,NULL,NULL,NULL,2,1),(28,7070870,2.00,3.00,1.00,6.00,7.00,10.88,1.00,1.00,0.00,207,NULL,212,'SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC',18304,778,NULL,412,NULL,NULL,NULL,2,1),(28,7070888,2.00,8.00,4.00,4.00,6.00,7.88,4.00,3.00,6.00,207,NULL,201,'CENTRO','PTO SEGURO','BA',8516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7070900,2.00,8.00,2.00,8.00,7.00,8.63,5.00,4.00,5.00,108,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',9559,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070926,1.00,5.00,2.00,2.00,2.00,NULL,1.00,2.00,3.00,424,NULL,426,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070934,0.00,5.00,2.00,4.00,7.00,7.88,1.00,6.00,4.00,201,NULL,214,'GUARDA DO EMBAU','PALHOÇA','SC',12313,790,NULL,292,NULL,NULL,NULL,4,1),(28,7070942,4.00,8.00,1.00,4.00,9.00,9.75,3.00,5.00,7.00,103,NULL,NULL,'ELDORADO','GOIÂNIA','GO',3171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PENÁPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7070969,4.00,7.00,2.00,7.00,6.00,9.00,2.00,7.00,5.00,103,NULL,NULL,'JD AEROPORTO','ITU','SP',4737,1449,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070977,2.00,5.00,3.00,7.00,9.00,9.00,0.00,6.00,3.00,211,NULL,214,'RIO TAVARES','FLORIANÓPOLIS','SC',7270,206,NULL,NULL,NULL,NULL,NULL,4,1),(28,7070993,3.00,7.00,2.00,7.00,9.00,7.88,6.00,7.00,6.00,203,NULL,601,'AGRONÔMICA','FLORIANÓPOLIS','SC',3626,265,NULL,52,NULL,NULL,NULL,4,1),(28,7071027,0.00,8.00,0.00,7.00,6.00,NULL,2.00,6.00,2.00,310,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071035,0.00,5.00,2.00,7.00,7.00,7.50,1.00,4.00,4.00,104,NULL,NULL,'CENTRO','MISSAL','PR',15696,385,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071043,4.00,7.00,0.00,7.00,9.00,10.13,5.00,7.00,3.00,201,NULL,211,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',7741,564,NULL,211,NULL,NULL,NULL,2,1),(28,7071060,2.00,3.00,3.00,5.00,3.00,5.25,1.00,4.00,2.00,454,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',18583,379,NULL,NULL,NULL,NULL,NULL,2,1),(28,7071078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TABOAO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,24),(28,7071086,5.00,7.00,2.00,5.00,7.00,8.25,5.00,6.00,6.00,653,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',4808,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071094,2.00,6.00,2.00,6.00,7.00,9.00,5.00,4.00,0.00,340,NULL,NULL,'JARDIM PARAISO','SINOP','MT',13599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071108,0.00,2.00,2.00,4.00,3.00,4.88,1.00,3.00,2.00,404,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7071124,0.00,2.00,2.00,3.00,4.00,7.50,1.00,1.00,3.00,9,NULL,NULL,'IPIRANGA','S JOSÉ','SC',18173,149,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071132,2.00,7.00,2.00,5.00,8.00,6.38,2.00,5.00,5.00,103,NULL,NULL,'NOVO ORATORIO','STO ANDRÉ','SP',8363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071140,1.00,5.00,1.00,2.00,3.00,6.38,0.00,5.00,4.00,454,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',17965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071159,1.00,8.00,1.00,7.00,3.00,6.75,2.00,6.00,2.00,203,NULL,201,'VILVA SÃO CRISTÓVÃO','STA ROSA SUL','SC',11768,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7071167,0.00,6.00,1.00,7.00,8.00,8.25,1.00,5.00,1.00,207,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12028,545,NULL,NULL,NULL,NULL,NULL,2,1),(28,7071175,0.00,4.00,2.00,3.00,2.00,NULL,0.00,3.00,1.00,5,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071183,4.00,4.00,5.00,1.00,5.00,6.38,4.00,6.00,5.00,203,NULL,214,'CENTRO','FAXINAL GUEDES','SC',9816,528,NULL,252,NULL,NULL,NULL,2,4),(28,7071205,3.00,6.00,2.00,5.00,6.00,9.38,2.00,5.00,1.00,319,NULL,NULL,'ITAUM','JOINVILLE','SC',10545,195,NULL,NULL,NULL,NULL,NULL,4,8),(28,7071213,0.00,6.00,2.00,7.00,5.00,4.50,2.00,4.00,2.00,317,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',14874,101,NULL,NULL,NULL,NULL,NULL,2,15),(28,7071221,0.00,6.00,2.00,5.00,4.00,NULL,1.00,5.00,2.00,551,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7071230,3.00,6.00,2.00,3.00,7.00,5.25,2.00,5.00,4.00,3,NULL,NULL,'LUCAS ARAÚJO','PASSO FUNDO','RS',11516,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071248,3.00,7.00,3.00,7.00,10.00,7.50,1.00,5.00,4.00,5,NULL,NULL,'STO ANTÔNIO DE PÁDUA','TUBARÃO','SC',5220,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7071256,2.00,5.00,1.00,6.00,7.00,8.25,2.00,3.00,5.00,207,NULL,215,'CAMPO GRANDE','SANTOS','SP',8425,390,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071264,6.00,5.00,2.00,5.00,7.00,7.13,3.00,6.00,5.00,211,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',7301,NULL,NULL,115,NULL,NULL,NULL,4,1),(28,7071280,4.00,7.00,3.00,6.00,8.00,10.88,5.00,7.00,5.00,340,NULL,NULL,'SANTA AUGUSTA','CRICIÚMA','SC',1892,33,NULL,NULL,NULL,NULL,NULL,4,5),(28,7071299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7071310,5.00,7.00,4.00,7.00,8.00,11.25,6.00,7.00,6.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',824,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071345,5.00,6.00,6.00,6.00,6.00,10.13,6.00,4.00,6.00,103,NULL,NULL,'RUDGE RAMOS','S BERNARDO CAMPO','SP',1420,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7071361,7.00,7.00,3.00,7.00,9.00,10.88,4.00,7.00,6.00,216,NULL,203,'GLÓRIA','JOINVILLE','SC',918,23,NULL,NULL,NULL,NULL,NULL,4,8),(28,7071370,2.00,6.00,3.00,7.00,5.00,10.50,4.00,5.00,2.00,5,NULL,NULL,'MARIO PAIVA ARANTES','RIBEIRÃO PRETO','SP',9102,280,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071388,2.00,5.00,1.00,7.00,7.00,8.25,4.00,6.00,3.00,310,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',9647,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7071396,3.00,4.00,4.00,5.00,3.00,6.75,3.00,4.00,2.00,201,NULL,212,'CENTRO','POÇOS CALDAS','MG',11916,766,NULL,331,NULL,NULL,NULL,4,1),(28,7071418,3.00,6.00,3.00,6.00,5.00,8.63,2.00,4.00,4.00,319,NULL,NULL,'ENSEADA','S FRANCISCO SUL','SC',15068,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7071434,3.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7071442,6.00,7.00,4.00,7.00,6.00,9.00,4.00,5.00,5.00,340,NULL,NULL,'GLÓRIA','JOINVILLE','SC',2714,60,NULL,NULL,NULL,NULL,NULL,4,8),(28,7071450,2.00,7.00,2.00,6.00,6.00,9.38,4.00,5.00,4.00,216,NULL,201,'PINHEIRINHO','CRICIÚMA','SC',5621,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7071469,4.00,3.00,2.00,5.00,3.00,9.00,2.00,4.00,3.00,103,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7071477,3.00,7.00,5.00,4.00,8.00,9.75,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6681,1722,NULL,NULL,NULL,NULL,NULL,4,3),(28,7071485,3.00,6.00,3.00,6.00,5.00,8.63,2.00,7.00,4.00,235,NULL,211,'SAPOPEMBA','S PAULO','SP',6753,116,NULL,189,NULL,NULL,NULL,4,8),(28,7071507,6.00,6.00,5.00,6.00,7.00,6.38,6.00,6.00,4.00,201,NULL,207,'FLORESTA','S JOSÉ','SC',4159,324,NULL,169,NULL,NULL,NULL,2,1),(28,7071515,4.00,6.00,3.00,5.00,5.00,6.00,2.00,4.00,2.00,216,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',16764,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7071523,3.00,2.00,2.00,2.00,5.00,6.00,2.00,1.00,4.00,104,NULL,NULL,'FUNDOS','BIGUAÇU','SC',18010,428,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071531,2.00,8.00,2.00,5.00,8.00,10.13,6.00,6.00,6.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6347,48,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071540,4.00,5.00,2.00,7.00,7.00,10.50,2.00,3.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6652,211,NULL,NULL,NULL,NULL,NULL,2,1),(28,7071566,3.00,5.00,2.00,4.00,8.00,5.25,1.00,3.00,4.00,502,NULL,NULL,'IPIRANGA','S JOSÉ','SC',17998,48,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071574,3.00,6.00,1.00,5.00,5.00,9.00,5.00,3.00,4.00,104,NULL,NULL,'MICHEL','CRICIÚMA','SC',15318,375,NULL,NULL,NULL,NULL,NULL,4,5),(28,7071582,1.00,2.00,4.00,2.00,6.00,5.63,0.00,2.00,0.00,999,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7071612,2.00,4.00,2.00,4.00,8.00,10.50,3.00,4.00,1.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',10835,2132,NULL,NULL,NULL,NULL,NULL,2,1),(28,7071620,0.00,2.00,1.00,3.00,2.00,NULL,3.00,3.00,3.00,103,NULL,NULL,'JARIVATUBA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7071639,3.00,8.00,2.00,7.00,5.00,8.25,4.00,6.00,4.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PALMEIRA I','DRACENA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7071655,3.00,5.00,4.00,6.00,7.00,9.00,2.00,4.00,2.00,224,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',9436,7,NULL,NULL,NULL,NULL,NULL,2,1),(28,7071680,0.00,2.00,0.00,4.00,4.00,NULL,0.00,1.00,3.00,999,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7071710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7071736,2.00,6.00,2.00,6.00,7.00,8.25,3.00,4.00,5.00,502,NULL,NULL,'LIBERDADE','TROMBUDO CENTRAL','SC',11006,14,NULL,NULL,NULL,NULL,NULL,4,24),(28,7071760,2.00,3.00,2.00,4.00,3.00,7.50,1.00,4.00,3.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',15905,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7071779,7.00,7.00,1.00,5.00,5.00,5.63,4.00,7.00,4.00,444,NULL,NULL,'JD NOVA PETROPOLIS','S BERNARDO CAMPO','SP',11007,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7071787,4.00,3.00,0.00,5.00,2.00,NULL,0.00,5.00,2.00,333,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7071809,2.00,4.00,1.00,4.00,5.00,8.25,4.00,2.00,3.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18525,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7071817,5.00,6.00,2.00,6.00,9.00,11.63,2.00,4.00,4.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4190,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071825,1.00,6.00,0.00,6.00,6.00,11.25,3.00,6.00,4.00,999,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7071833,3.00,6.00,1.00,4.00,5.00,7.88,2.00,2.00,3.00,302,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17059,129,NULL,NULL,NULL,NULL,NULL,3,1),(28,7071841,5.00,7.00,5.00,6.00,5.00,6.00,6.00,6.00,5.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',2856,1103,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7071876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7071892,0.00,5.00,3.00,6.00,6.00,6.38,2.00,4.00,1.00,415,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7071914,1.00,4.00,1.00,5.00,5.00,8.25,2.00,1.00,2.00,207,NULL,211,'RUBEM BERTA','PTO ALEGRE','RS',13862,618,NULL,NULL,NULL,NULL,NULL,2,1),(28,7071930,4.00,8.00,3.00,6.00,8.00,10.13,5.00,7.00,6.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',2005,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071957,6.00,7.00,3.00,7.00,7.00,10.88,4.00,5.00,5.00,415,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2751,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7071981,0.00,3.00,1.00,3.00,5.00,5.25,1.00,2.00,0.00,552,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7071990,0.00,4.00,2.00,5.00,5.00,4.50,2.00,4.00,2.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16910,234,NULL,NULL,NULL,NULL,NULL,2,1),(28,7072007,1.00,5.00,1.00,4.00,6.00,5.63,1.00,4.00,3.00,109,NULL,NULL,'CENTRO','CAPINZAL','SC',15793,64,NULL,NULL,NULL,NULL,NULL,4,7),(28,7072015,4.00,5.00,2.00,5.00,6.00,8.63,2.00,3.00,1.00,211,NULL,215,'CARIANOS','FLORIANÓPOLIS','SC',16505,399,NULL,265,NULL,NULL,NULL,2,1),(28,7072023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'SOUSAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7072031,5.00,6.00,1.00,6.00,8.00,8.25,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072040,1.00,6.00,2.00,6.00,5.00,9.00,4.00,3.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7072058,2.00,6.00,3.00,3.00,6.00,7.50,5.00,5.00,6.00,201,NULL,212,'SÃO LUIZ','BRUSQUE','SC',7005,524,NULL,218,NULL,NULL,NULL,4,22),(28,7072066,1.00,0.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7072074,3.00,6.00,1.00,6.00,7.00,9.00,5.00,5.00,4.00,454,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',7423,121,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072082,4.00,5.00,2.00,6.00,7.00,9.00,2.00,6.00,5.00,5,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',6197,201,NULL,NULL,NULL,NULL,NULL,4,15),(28,7072090,5.00,7.00,3.00,7.00,8.00,9.00,6.00,6.00,7.00,2,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',1416,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072104,3.00,3.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7072112,1.00,7.00,3.00,6.00,10.00,10.88,6.00,4.00,3.00,999,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072120,6.00,8.00,4.00,6.00,8.00,9.38,6.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1465,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072155,1.00,3.00,0.00,6.00,7.00,10.88,0.00,4.00,3.00,601,NULL,201,'FLORESTA','JOINVILLE','SC',11958,352,NULL,NULL,NULL,NULL,NULL,4,8),(28,7072163,5.00,7.00,3.00,4.00,9.00,7.13,5.00,6.00,7.00,103,NULL,NULL,'PARQUE VERDE','CAFELÂNDIA','PR',2381,987,NULL,NULL,NULL,NULL,NULL,2,4),(28,7072171,2.00,7.00,2.00,5.00,6.00,7.13,4.00,5.00,4.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',7466,79,NULL,NULL,NULL,NULL,NULL,2,1),(28,7072180,3.00,6.00,3.00,6.00,8.00,8.63,4.00,5.00,5.00,103,NULL,NULL,'APARECIDA','SANTOS','SP',3468,1236,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072198,3.00,7.00,4.00,5.00,7.00,8.25,2.00,5.00,5.00,216,NULL,214,'VILLA BRANCA','JACAREÍ','SP',4631,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072201,1.00,5.00,0.00,4.00,8.00,5.25,1.00,2.00,2.00,501,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7072210,4.00,7.00,5.00,5.00,3.00,5.25,2.00,4.00,4.00,203,NULL,601,'VILA SAO JOAO','ARAPONGAS','PR',8819,505,NULL,225,NULL,NULL,NULL,4,1),(28,7072228,1.00,5.00,2.00,6.00,4.00,7.50,2.00,4.00,3.00,102,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',17571,164,NULL,NULL,NULL,NULL,NULL,2,1),(28,7072236,7.00,7.00,5.00,6.00,8.00,12.38,7.00,8.00,7.00,201,NULL,601,'FREI ROGÉRIO','LAGES','SC',354,13,NULL,NULL,NULL,NULL,NULL,2,9),(28,7072244,3.00,5.00,2.00,6.00,6.00,7.13,1.00,3.00,3.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10990,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072260,2.00,4.00,2.00,3.00,3.00,4.50,1.00,2.00,4.00,319,NULL,NULL,'CENTRO','GAROPABA','SC',17820,347,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072279,2.00,6.00,2.00,2.00,4.00,7.88,3.00,4.00,3.00,104,NULL,NULL,'BARRA DO RIO MOLHA','JARAGUÁ SUL','SC',11261,275,NULL,NULL,NULL,NULL,NULL,4,23),(28,7072295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'HELVETIA','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7072309,1.00,2.00,1.00,4.00,4.00,NULL,3.00,4.00,0.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072317,1.00,5.00,2.00,4.00,4.00,6.75,1.00,4.00,2.00,319,NULL,NULL,'LAGUINHO','MACAPÁ','AP',18946,364,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072333,6.00,8.00,4.00,7.00,9.00,9.75,4.00,7.00,6.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',827,480,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072341,1.00,3.00,0.00,3.00,2.00,NULL,2.00,1.00,2.00,201,NULL,238,'FAZENDO STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SAMAMBAIA','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7072376,2.00,6.00,1.00,5.00,4.00,6.38,3.00,5.00,2.00,108,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',17762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7072392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BARIRI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7072414,1.00,6.00,1.00,4.00,4.00,8.63,2.00,6.00,4.00,108,NULL,NULL,'VARZEA','ITAPEMA','SC',16651,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7072430,4.00,4.00,3.00,5.00,6.00,7.13,2.00,3.00,2.00,502,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17217,43,NULL,NULL,NULL,NULL,NULL,2,1),(28,7072457,2.00,7.00,0.00,5.00,7.00,9.75,2.00,4.00,3.00,552,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14361,85,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072473,2.00,3.00,1.00,4.00,6.00,7.50,1.00,6.00,4.00,303,NULL,NULL,'PRAÇA','URUBICI','SC',12832,486,NULL,NULL,NULL,NULL,NULL,2,1),(28,7072481,3.00,6.00,2.00,6.00,8.00,9.38,3.00,6.00,5.00,303,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',5630,260,NULL,NULL,NULL,NULL,NULL,4,8),(28,7072490,0.00,6.00,1.00,6.00,5.00,8.63,3.00,3.00,1.00,999,NULL,NULL,'BESENELO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7072503,1.00,4.00,2.00,4.00,7.00,9.75,2.00,5.00,2.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11074,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7072511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESPINHEIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7072520,2.00,4.00,0.00,7.00,4.00,7.13,3.00,5.00,3.00,208,NULL,NULL,'CANASVEIRAS','FLORIANÓPOLIS','SC',14427,158,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072538,1.00,5.00,2.00,3.00,7.00,10.50,0.00,4.00,1.00,450,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18200,126,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072562,5.00,7.00,3.00,7.00,8.00,10.50,4.00,7.00,6.00,212,NULL,213,'GRAÇAS','RECIFE','PE',1125,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072570,2.00,5.00,2.00,6.00,6.00,7.13,4.00,3.00,3.00,103,NULL,NULL,'CORAL','LAGES','SC',9406,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7072589,2.00,5.00,1.00,7.00,8.00,9.00,4.00,5.00,4.00,310,NULL,NULL,'VALE DO RENO','LONDRINA','PR',7435,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072597,4.00,6.00,0.00,4.00,8.00,NULL,1.00,3.00,4.00,103,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072600,3.00,5.00,2.00,6.00,7.00,6.38,4.00,4.00,5.00,235,NULL,220,'BALNEÁRIO','FLORIANÓPOLIS','SC',14146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072619,3.00,0.00,1.00,2.00,4.00,6.38,1.00,2.00,1.00,109,NULL,NULL,'FUNDOS','BIGUAÇU','SC',20148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072635,8.00,8.00,4.00,7.00,8.00,9.00,6.00,7.00,7.00,319,NULL,NULL,'BUTANTÃ','S PAULO','SP',535,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072643,0.00,4.00,1.00,5.00,4.00,6.38,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','SORRISO','MT',15217,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7072651,6.00,5.00,1.00,7.00,6.00,8.63,5.00,5.00,4.00,655,NULL,220,'COQUEIROS','FLORIANÓPOLIS','SC',6281,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072660,7.00,8.00,4.00,7.00,7.00,7.50,6.00,6.00,6.00,103,NULL,NULL,'LOMBA','ORLEANS','SC',1161,623,NULL,NULL,NULL,NULL,NULL,2,1),(28,7072678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM ALVORADA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7072686,2.00,7.00,3.00,4.00,5.00,10.13,2.00,3.00,2.00,502,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11984,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072694,6.00,8.00,3.00,6.00,8.00,10.88,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',1064,584,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072708,0.00,5.00,0.00,4.00,4.00,7.13,2.00,5.00,2.00,238,NULL,601,'CORREGO GRANDE','FLORIANÓPOLIS','SC',14753,242,NULL,442,NULL,NULL,NULL,4,1),(28,7072716,5.00,7.00,4.00,6.00,7.00,7.50,6.00,6.00,7.00,202,NULL,235,'PRIMEIRO DE MAIO','BRUSQUE','SC',2186,62,NULL,NULL,NULL,NULL,NULL,4,22),(28,7072759,2.00,5.00,2.00,7.00,5.00,6.75,3.00,4.00,1.00,102,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7072767,6.00,7.00,1.00,5.00,7.00,9.75,3.00,4.00,4.00,207,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',10549,484,NULL,NULL,NULL,NULL,NULL,4,8),(28,7072783,1.00,7.00,2.00,6.00,9.00,7.50,3.00,6.00,4.00,103,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',7711,1854,NULL,NULL,NULL,NULL,NULL,2,1),(28,7072791,5.00,5.00,1.00,6.00,7.00,8.63,2.00,4.00,5.00,220,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',8050,213,NULL,133,NULL,NULL,NULL,4,1),(28,7072805,4.00,7.00,4.00,6.00,8.00,13.50,3.00,7.00,2.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',2234,943,NULL,NULL,NULL,NULL,NULL,2,1),(28,7072813,2.00,4.00,3.00,7.00,4.00,7.13,2.00,5.00,2.00,654,NULL,NULL,'SÃO BRAZ','TORRES','RS',12393,28,NULL,NULL,NULL,NULL,NULL,2,15),(28,7072830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA PIRAJUSSARA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7072848,0.00,6.00,2.00,4.00,3.00,7.50,0.00,5.00,4.00,415,NULL,NULL,'JARDIM ITÚ SABARA','PTO ALEGRE','RS',14504,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7072856,2.00,6.00,1.00,4.00,4.00,4.50,4.00,4.00,3.00,999,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072864,3.00,3.00,1.00,6.00,6.00,6.38,2.00,4.00,3.00,654,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',11399,19,NULL,NULL,NULL,NULL,NULL,2,15),(28,7072872,0.00,5.00,2.00,4.00,4.00,NULL,3.00,2.00,1.00,203,NULL,220,'BREMER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7072880,2.00,6.00,2.00,5.00,5.00,10.13,1.00,5.00,3.00,201,NULL,207,'PINHEIROS','PATO BRANCO','PR',14368,881,NULL,635,NULL,NULL,NULL,4,4),(28,7072902,4.00,6.00,1.00,4.00,2.00,NULL,2.00,2.00,1.00,336,NULL,NULL,'MORRO DO CRISTO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7072910,5.00,6.00,3.00,6.00,5.00,9.75,2.00,5.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072929,6.00,7.00,1.00,5.00,9.00,12.00,3.00,6.00,6.00,214,NULL,212,'LIBERDADE','S PAULO','SP',2526,92,NULL,65,NULL,NULL,NULL,4,1),(28,7072937,4.00,5.00,2.00,7.00,8.00,9.38,3.00,7.00,5.00,103,NULL,NULL,'JARDIM VILA BOA','GOIÂNIA','GO',3266,1195,NULL,NULL,NULL,NULL,NULL,4,1),(28,7072953,1.00,3.00,3.00,1.00,5.00,7.50,2.00,3.00,1.00,103,NULL,NULL,'CENTRO','CAMBORIÚ','SC',19809,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7072961,0.00,5.00,3.00,3.00,4.00,4.50,3.00,5.00,2.00,655,NULL,652,'CENTRO','JACINTO MACHADO','SC',19383,NULL,NULL,102,NULL,NULL,NULL,4,15),(28,7072970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ARROIO TEIXEIRA','CAPÃO CANOA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7072988,7.00,8.00,2.00,8.00,10.00,9.38,4.00,8.00,6.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1397,66,NULL,NULL,NULL,NULL,NULL,2,1),(28,7073011,1.00,5.00,1.00,4.00,8.00,8.25,2.00,5.00,2.00,103,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',12446,2229,NULL,NULL,NULL,NULL,NULL,2,8),(28,7073020,3.00,7.00,2.00,7.00,4.00,9.75,4.00,7.00,1.00,201,NULL,207,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',6059,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7073038,2.00,0.00,3.00,3.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7073046,0.00,2.00,1.00,3.00,2.00,NULL,1.00,2.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7073062,3.00,6.00,1.00,5.00,5.00,11.25,3.00,3.00,5.00,103,NULL,NULL,'PRAÇA','TIJUCAS','SC',7566,1834,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073089,1.00,3.00,1.00,4.00,6.00,6.00,2.00,2.00,1.00,317,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',17411,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7073100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,427,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7073119,4.00,6.00,4.00,6.00,8.00,9.38,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',2362,982,NULL,NULL,NULL,NULL,NULL,4,5),(28,7073127,0.00,2.00,1.00,6.00,3.00,6.75,2.00,3.00,3.00,320,NULL,NULL,'CENTRO','PELOTAS','RS',17459,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073135,0.00,4.00,3.00,7.00,5.00,7.13,2.00,5.00,4.00,9,NULL,NULL,'VILA ADYANA','S JOSÉ CAMPOS','SP',12138,77,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073143,3.00,4.00,1.00,6.00,1.00,NULL,3.00,4.00,5.00,108,NULL,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7073151,2.00,5.00,2.00,3.00,3.00,5.63,2.00,5.00,3.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073160,0.00,3.00,3.00,1.00,4.00,4.88,2.00,2.00,2.00,999,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7073178,1.00,3.00,2.00,5.00,5.00,9.38,3.00,2.00,3.00,654,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',18318,67,NULL,NULL,NULL,NULL,NULL,2,1),(28,7073186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7073194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'CACH DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7073216,7.00,8.00,4.00,7.00,9.00,8.63,4.00,6.00,6.00,454,NULL,NULL,'CENTRO','MAFRA','SC',1066,3,NULL,NULL,NULL,NULL,NULL,4,17),(28,7073224,2.00,4.00,1.00,7.00,8.00,7.50,1.00,5.00,5.00,454,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',9671,178,NULL,NULL,NULL,NULL,NULL,2,1),(28,7073240,0.00,4.00,2.00,3.00,3.00,7.13,0.00,3.00,1.00,319,NULL,NULL,'SESI','VIDEIRA','SC',18571,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7073259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM DA PENHA','VITÓRIA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7073267,2.00,3.00,2.00,7.00,2.00,NULL,3.00,3.00,3.00,999,NULL,NULL,'RODOVIA DAS PRIMAVER','LAURENTINO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7073283,6.00,7.00,3.00,7.00,5.00,7.13,6.00,8.00,6.00,202,NULL,655,'VILA ZAIRA','GUARULHOS','SP',2595,74,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073291,4.00,5.00,3.00,4.00,5.00,8.25,3.00,5.00,4.00,207,NULL,201,'MONTE ALEGRE','CAMBORIÚ','SC',11365,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7073313,8.00,9.00,3.00,6.00,10.00,10.88,4.00,7.00,7.00,103,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',394,283,NULL,NULL,NULL,NULL,NULL,4,2),(28,7073321,2.00,5.00,2.00,4.00,4.00,6.00,2.00,2.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17601,463,NULL,NULL,NULL,NULL,NULL,2,1),(28,7073330,0.00,4.00,2.00,2.00,5.00,7.50,0.00,5.00,2.00,207,NULL,215,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073348,1.00,4.00,2.00,5.00,4.00,6.38,1.00,1.00,4.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7073356,5.00,7.00,5.00,7.00,6.00,10.50,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',1440,724,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073364,8.00,9.00,3.00,6.00,8.00,10.13,6.00,8.00,7.00,103,NULL,NULL,'ALTO DO MANDAQUI','S PAULO','SP',210,164,NULL,NULL,NULL,NULL,NULL,2,1),(28,7073372,3.00,7.00,4.00,7.00,6.00,7.50,4.00,5.00,5.00,103,NULL,NULL,'URABANOVA','S JOSÉ CAMPOS','SP',4931,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073402,4.00,7.00,2.00,6.00,6.00,7.88,4.00,7.00,5.00,220,NULL,NULL,'HIGIENÓPOLIS','STA CRUZ SUL','RS',3404,102,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073410,1.00,4.00,1.00,6.00,8.00,9.38,2.00,4.00,3.00,654,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',11528,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7073429,6.00,7.00,5.00,8.00,6.00,9.00,6.00,7.00,7.00,319,NULL,NULL,'JACAREPAGUÁ','RIO JANEIRO','RJ',416,1,NULL,NULL,NULL,NULL,NULL,4,9),(28,7073437,1.00,3.00,1.00,6.00,4.00,6.75,2.00,2.00,4.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',15176,137,NULL,NULL,NULL,NULL,NULL,2,1),(28,7073445,1.00,4.00,1.00,4.00,5.00,8.25,4.00,3.00,3.00,102,NULL,NULL,'CENTRO','MASSARANDUBA','SC',13451,124,NULL,NULL,NULL,NULL,NULL,4,2),(28,7073453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'LOURDES','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7073470,4.00,6.00,4.00,6.00,7.00,7.50,4.00,6.00,4.00,238,NULL,235,'SANTA MONICA','FLORIANÓPOLIS','SC',8695,122,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073488,2.00,8.00,2.00,5.00,8.00,8.25,5.00,6.00,7.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4042,99,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073518,1.00,4.00,3.00,2.00,6.00,9.00,2.00,1.00,3.00,428,NULL,426,'PRAIA COMPRIDA','S JOSÉ','SC',15082,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073526,0.00,3.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,203,NULL,NULL,'NOVA BELEM','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073542,2.00,6.00,1.00,5.00,5.00,7.88,1.00,5.00,4.00,340,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',17015,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7073569,2.00,6.00,2.00,6.00,8.00,7.88,4.00,5.00,3.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12915,79,NULL,NULL,NULL,NULL,NULL,2,1),(28,7073577,0.00,6.00,2.00,4.00,4.00,5.63,1.00,4.00,3.00,102,NULL,NULL,'HELENA CRISTINA','SOROCABA','SP',13891,127,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073585,3.00,4.00,2.00,4.00,6.00,7.88,2.00,3.00,5.00,425,NULL,428,'LOT JD SÃO MIGUEL','BIGUAÇU','SC',11207,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073593,4.00,6.00,5.00,5.00,10.00,9.38,6.00,7.00,8.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',2343,976,NULL,NULL,NULL,NULL,NULL,4,10),(28,7073615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'VILAS BOAS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7073631,1.00,3.00,0.00,2.00,7.00,6.75,1.00,3.00,1.00,653,NULL,655,'SANGA DA AREIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7073640,2.00,8.00,2.00,6.00,6.00,7.50,3.00,6.00,5.00,103,NULL,NULL,'JARDIM ITU','PTO ALEGRE','RS',6143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7073658,2.00,5.00,3.00,6.00,7.00,5.25,2.00,3.00,3.00,454,NULL,NULL,'BARREIROS','S JOSÉ','SC',12962,259,NULL,NULL,NULL,NULL,NULL,2,1),(28,7073666,2.00,5.00,2.00,4.00,6.00,6.75,4.00,6.00,4.00,333,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13276,76,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073674,3.00,7.00,1.00,8.00,5.00,8.63,3.00,8.00,4.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7073690,5.00,6.00,3.00,3.00,7.00,6.38,4.00,6.00,6.00,104,NULL,NULL,'CANCELLI','CASCAVEL','PR',9296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073704,0.00,5.00,1.00,4.00,3.00,5.25,3.00,7.00,4.00,601,NULL,203,'ENSEADA','S FRANCISCO SUL','SC',14981,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7073712,2.00,2.00,1.00,5.00,5.00,8.63,1.00,3.00,3.00,303,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',14118,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7073720,1.00,0.00,2.00,5.00,6.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7073739,5.00,8.00,3.00,6.00,8.00,7.50,4.00,6.00,4.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4211,197,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073747,4.00,7.00,3.00,6.00,6.00,7.50,5.00,6.00,5.00,216,NULL,220,'CAMBUI','CAMPINAS','SP',2910,105,NULL,82,NULL,NULL,NULL,4,1),(28,7073755,4.00,6.00,1.00,5.00,8.00,7.88,5.00,4.00,3.00,304,NULL,NULL,'NOSSA SENHORA DO ROS','S JOSÉ','SC',8840,69,NULL,NULL,NULL,NULL,NULL,2,1),(28,7073771,3.00,7.00,3.00,6.00,8.00,9.38,4.00,6.00,6.00,303,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',2947,135,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073780,2.00,5.00,1.00,5.00,4.00,9.00,4.00,5.00,6.00,216,NULL,235,'INTERIOR','OURO VERDE','SC',9136,295,NULL,148,NULL,NULL,NULL,4,4),(28,7073798,4.00,7.00,0.00,6.00,10.00,10.50,3.00,6.00,6.00,303,NULL,NULL,'SÃO MARCOS','JOINVILLE','SC',2650,114,NULL,NULL,NULL,NULL,NULL,4,8),(28,7073801,2.00,7.00,3.00,7.00,7.00,9.00,3.00,5.00,5.00,215,NULL,NULL,'VILA FÁTIMA','S VICENTE','SP',4962,36,NULL,NULL,NULL,NULL,NULL,4,6),(28,7073810,1.00,6.00,2.00,6.00,6.00,8.25,6.00,6.00,4.00,304,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7206,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073836,2.00,6.00,3.00,6.00,7.00,9.38,5.00,5.00,4.00,223,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',10895,13,NULL,NULL,NULL,NULL,NULL,4,23),(28,7073852,4.00,7.00,4.00,4.00,8.00,4.88,7.00,6.00,6.00,336,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3988,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'TRINTA E UM DE MARÇO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7073909,6.00,7.00,4.00,7.00,8.00,7.88,6.00,6.00,4.00,103,NULL,NULL,'MONTE ALEGRE','PIRACICABA','SP',2732,1068,NULL,NULL,NULL,NULL,NULL,2,1),(28,7073925,4.00,5.00,1.00,6.00,6.00,9.00,0.00,4.00,2.00,101,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',11786,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7073950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SUL DO RIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7073968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PARQUE DAS NAÇÕES','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7073984,4.00,9.00,3.00,7.00,6.00,6.00,2.00,8.00,6.00,310,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',7622,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7073992,0.00,4.00,4.00,4.00,2.00,NULL,0.00,1.00,2.00,104,NULL,NULL,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7074000,4.00,5.00,2.00,7.00,5.00,9.00,2.00,5.00,4.00,999,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7074018,7.00,8.00,4.00,7.00,8.00,12.00,6.00,7.00,7.00,103,NULL,NULL,'ESTRELA DALVA','CARAGUATATUBA','SP',612,395,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074026,2.00,5.00,1.00,4.00,7.00,7.88,3.00,3.00,2.00,3,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',13889,64,NULL,NULL,NULL,NULL,NULL,2,6),(28,7074034,5.00,6.00,3.00,6.00,8.00,6.00,2.00,6.00,5.00,552,NULL,NULL,'BARREIROS','S JOSÉ','SC',9304,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7074042,0.00,8.00,3.00,7.00,7.00,9.00,4.00,6.00,2.00,203,NULL,214,'CENTRO','ITAPEMA','SC',11725,577,NULL,281,NULL,NULL,NULL,4,3),(28,7074050,6.00,7.00,4.00,7.00,10.00,9.38,5.00,7.00,6.00,203,NULL,214,'BOM ABRIGO','FLORIANÓPOLIS','SC',1085,103,NULL,18,NULL,NULL,NULL,4,1),(28,7074069,1.00,6.00,3.00,6.00,6.00,6.75,4.00,4.00,4.00,207,NULL,201,'FLORESTAL','LAJEADO','RS',10006,461,NULL,NULL,NULL,NULL,NULL,2,1),(28,7074077,4.00,7.00,4.00,6.00,9.00,9.75,5.00,4.00,5.00,201,NULL,212,'CENTRO','S JOSÉ CAMPOS','SP',2212,158,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074085,2.00,7.00,2.00,3.00,5.00,6.00,3.00,5.00,5.00,207,NULL,238,'PONTE DO IMARUIM','PALHOÇA','SC',12293,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074093,4.00,6.00,2.00,5.00,7.00,8.63,3.00,6.00,6.00,201,NULL,216,'AMÉRICA','JOINVILLE','SC',9109,631,NULL,292,NULL,NULL,NULL,4,8),(28,7074107,0.00,3.00,2.00,5.00,4.00,7.13,0.00,1.00,3.00,201,NULL,655,'VELHA','BLUMENAU','SC',17879,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7074131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'JD LEONOR','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7074140,2.00,6.00,1.00,7.00,8.00,11.25,2.00,8.00,5.00,340,NULL,NULL,'CENTRO','LAGES','SC',4203,100,NULL,NULL,NULL,NULL,NULL,4,9),(28,7074158,6.00,8.00,2.00,7.00,10.00,9.75,3.00,7.00,7.00,103,NULL,NULL,'VILA MARTINHO','FRANCO ROCHA','SP',1210,642,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074166,1.00,4.00,2.00,4.00,2.00,NULL,5.00,3.00,1.00,308,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7074174,7.00,8.00,6.00,6.00,7.00,10.13,4.00,6.00,6.00,201,NULL,NULL,'VILA MADALENA','S PAULO','SP',1123,58,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074182,1.00,6.00,1.00,2.00,5.00,8.63,0.00,5.00,3.00,304,NULL,NULL,'CENTRO','PALHOÇA','SC',11748,86,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074190,1.00,7.00,1.00,4.00,5.00,8.25,5.00,4.00,5.00,104,NULL,NULL,'SÃO JOSÉ','S PAULO','SP',9523,233,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074204,3.00,6.00,3.00,6.00,7.00,9.00,2.00,5.00,5.00,238,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',6940,84,NULL,324,NULL,NULL,NULL,4,1),(28,7074212,3.00,8.00,1.00,5.00,6.00,9.00,6.00,8.00,4.00,340,NULL,NULL,'CENTRO','PAIAL','SC',4261,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7074220,5.00,7.00,1.00,6.00,7.00,11.63,2.00,7.00,6.00,220,NULL,214,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',2748,78,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7074247,3.00,6.00,2.00,7.00,8.00,8.25,4.00,4.00,3.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',6784,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7074255,3.00,7.00,2.00,5.00,7.00,8.25,2.00,6.00,6.00,454,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',5268,72,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074263,2.00,5.00,1.00,5.00,6.00,7.50,2.00,2.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13163,495,NULL,NULL,NULL,NULL,NULL,2,1),(28,7074271,4.00,5.00,3.00,7.00,7.00,7.88,4.00,6.00,3.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074298,3.00,6.00,3.00,7.00,7.00,7.50,3.00,3.00,3.00,9,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',8410,42,NULL,NULL,NULL,NULL,NULL,2,1),(28,7074310,3.00,5.00,4.00,7.00,6.00,6.75,3.00,6.00,6.00,304,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8486,62,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074328,0.00,3.00,1.00,3.00,5.00,6.38,1.00,1.00,1.00,303,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7074336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'MOSSINGUÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',6,8),(28,7074344,6.00,7.00,4.00,7.00,10.00,10.88,6.00,8.00,8.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',162,128,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074352,0.00,4.00,2.00,7.00,4.00,7.88,2.00,5.00,1.00,999,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074379,8.00,7.00,4.00,7.00,9.00,9.75,7.00,6.00,5.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',817,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074387,2.00,7.00,2.00,7.00,8.00,12.00,6.00,5.00,5.00,233,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',2730,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074395,4.00,7.00,1.00,5.00,6.00,9.00,2.00,5.00,2.00,108,NULL,NULL,'BARRA FUNDA','S PAULO','SP',8633,111,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074409,1.00,3.00,3.00,4.00,6.00,9.00,2.00,4.00,2.00,103,NULL,NULL,'IGARA','CANOAS','RS',13021,2262,NULL,NULL,NULL,NULL,NULL,2,1),(28,7074417,4.00,7.00,3.00,7.00,8.00,8.63,2.00,6.00,6.00,215,NULL,216,'JARDIM DAS PRAIAS','S PAULO','SP',2807,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074433,4.00,7.00,4.00,7.00,6.00,6.75,2.00,6.00,5.00,340,NULL,NULL,'CENTRO','TUBARÃO','SC',10031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074441,2.00,4.00,0.00,6.00,5.00,8.25,2.00,3.00,2.00,103,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',12514,2236,NULL,NULL,NULL,NULL,NULL,4,4),(28,7074450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM DOS ESTADOS','POÇOS CALDAS','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7074468,0.00,4.00,2.00,3.00,4.00,NULL,3.00,5.00,3.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074476,0.00,0.00,3.00,2.00,2.00,NULL,2.00,2.00,1.00,404,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,4),(28,7074484,3.00,4.00,3.00,1.00,5.00,7.13,2.00,1.00,3.00,108,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074492,5.00,6.00,2.00,4.00,6.00,6.75,3.00,3.00,3.00,103,NULL,NULL,'ZONA V','UMUARAMA','PR',12265,2215,NULL,NULL,NULL,NULL,NULL,2,8),(28,7074506,4.00,7.00,2.00,4.00,7.00,7.13,4.00,4.00,7.00,454,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',6565,96,NULL,NULL,NULL,NULL,NULL,4,23),(28,7074514,1.00,6.00,5.00,6.00,7.00,5.63,3.00,7.00,5.00,203,NULL,202,'CENTRO','POMERODE','SC',7360,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7074530,2.00,7.00,3.00,5.00,7.00,8.63,2.00,5.00,4.00,215,NULL,601,'AREIAS','S JOSÉ','SC',6949,106,NULL,151,NULL,NULL,NULL,4,1),(28,7074549,5.00,6.00,3.00,7.00,7.00,10.13,4.00,5.00,3.00,340,NULL,NULL,'CLEILIA BERNARDES','VIÇOSA','MG',3560,86,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074557,3.00,8.00,1.00,5.00,8.00,9.75,2.00,7.00,5.00,340,NULL,NULL,'CENTRO','CHAPECÓ','SC',7913,211,NULL,NULL,NULL,NULL,NULL,4,4),(28,7074565,3.00,7.00,2.00,6.00,7.00,7.13,4.00,6.00,4.00,304,NULL,NULL,'WERNER PLAAS','AMERICANA','SP',4723,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074573,0.00,5.00,3.00,3.00,3.00,9.00,4.00,4.00,2.00,333,NULL,NULL,'PRIMEIRA LINHA','CRICIÚMA','SC',13539,79,NULL,NULL,NULL,NULL,NULL,4,5),(28,7074581,3.00,6.00,1.00,5.00,7.00,8.25,2.00,4.00,3.00,425,NULL,429,'JARDIM ELDORADO','PALHOÇA','SC',9601,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074590,1.00,5.00,2.00,6.00,7.00,7.13,3.00,3.00,3.00,103,NULL,NULL,'PETRÓPOLIS','JOINVILLE','SC',12379,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7074603,2.00,8.00,1.00,6.00,7.00,7.88,4.00,6.00,3.00,235,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6711,114,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074620,6.00,8.00,4.00,6.00,7.00,5.63,5.00,8.00,6.00,999,NULL,NULL,'JARDIM MONTE BELO','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074638,2.00,7.00,3.00,7.00,9.00,8.63,2.00,7.00,4.00,336,NULL,NULL,'BARREIROS','S JOSÉ','SC',4472,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7074646,0.00,4.00,4.00,0.00,2.00,NULL,2.00,5.00,1.00,5,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7074662,3.00,7.00,3.00,7.00,8.00,6.38,5.00,7.00,4.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',5903,119,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074670,3.00,7.00,3.00,7.00,8.00,7.88,5.00,6.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4234,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074689,5.00,5.00,1.00,4.00,4.00,9.75,4.00,4.00,6.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',10437,47,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074697,7.00,8.00,5.00,6.00,8.00,9.38,5.00,7.00,7.00,103,NULL,NULL,'ASSUNÇÃO','S BERNARDO CAMPO','SP',706,431,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074700,3.00,6.00,4.00,2.00,3.00,4.50,4.00,3.00,4.00,208,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',16303,183,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074719,5.00,8.00,3.00,8.00,10.00,7.50,4.00,6.00,4.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',1902,91,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074735,4.00,5.00,3.00,5.00,6.00,9.75,0.00,5.00,6.00,340,NULL,NULL,'CIDADE JARDIM','S JOSÉ R PRETO','SP',7160,195,NULL,NULL,NULL,NULL,NULL,2,1),(28,7074743,5.00,7.00,4.00,5.00,8.00,12.00,4.00,5.00,5.00,103,NULL,NULL,'AUGUSTO JOSÉ VALENTE','POSSE','GO',2345,977,NULL,NULL,NULL,NULL,NULL,2,1),(28,7074760,0.00,4.00,1.00,3.00,3.00,6.00,3.00,4.00,3.00,332,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19708,40,NULL,NULL,NULL,NULL,NULL,2,1),(28,7074778,1.00,4.00,2.00,5.00,5.00,7.13,3.00,6.00,5.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16527,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7074786,3.00,6.00,1.00,5.00,7.00,9.00,3.00,4.00,2.00,429,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',10618,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074794,0.00,5.00,1.00,5.00,3.00,6.75,0.00,2.00,3.00,551,NULL,NULL,'SÃO CRISTOVÃO','STA CECÍLIA','SC',17611,46,NULL,NULL,NULL,NULL,NULL,2,16),(28,7074808,2.00,4.00,1.00,1.00,3.00,8.25,0.00,4.00,4.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',15908,309,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ESCOLA AGRICOLA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7074832,6.00,6.00,3.00,7.00,7.00,11.25,3.00,5.00,6.00,216,NULL,233,'ALTO','PIRACICABA','SP',2411,78,NULL,40,NULL,NULL,NULL,4,1),(28,7074840,6.00,8.00,6.00,7.00,4.00,7.88,6.00,7.00,7.00,203,NULL,235,'IMIRIM','S PAULO','SP',1328,125,NULL,9,NULL,NULL,NULL,4,1),(28,7074859,5.00,6.00,3.00,6.00,9.00,6.38,6.00,6.00,5.00,203,NULL,220,'CENTRO','PALHOÇA','SC',3958,286,NULL,116,NULL,NULL,NULL,2,1),(28,7074867,9.00,8.00,6.00,7.00,11.00,12.38,8.00,9.00,8.00,103,NULL,NULL,'LOT FERNANDA','CAPINZAL','SC',3,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074875,3.00,7.00,3.00,4.00,7.00,8.25,2.00,6.00,5.00,211,NULL,201,'JARDIM PROGRESSO','ALUMÍNIO','SP',6515,177,NULL,502,NULL,NULL,NULL,4,1),(28,7074883,4.00,7.00,4.00,4.00,8.00,11.25,6.00,6.00,7.00,203,NULL,233,'ITAIPAVA','ITAJAÍ','SC',3478,251,NULL,82,NULL,NULL,NULL,4,6),(28,7074905,2.00,8.00,1.00,4.00,2.00,NULL,3.00,6.00,7.00,203,NULL,214,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7074913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JOAQUIM EGIDIO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7074921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'JD MONTE CARLO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7074948,0.00,3.00,1.00,1.00,5.00,5.25,2.00,3.00,2.00,654,NULL,NULL,'POTECAS','S JOSÉ','SC',20106,84,NULL,NULL,NULL,NULL,NULL,2,1),(28,7074956,2.00,2.00,2.00,5.00,2.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','BARRA GUARITA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7074964,0.00,5.00,2.00,4.00,2.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'JARDIM DAS INDUSTRIA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7074972,6.00,7.00,4.00,6.00,10.00,8.25,4.00,4.00,5.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',3608,1260,NULL,NULL,NULL,NULL,NULL,4,1),(28,7074980,4.00,7.00,2.00,3.00,3.00,7.50,4.00,4.00,6.00,103,NULL,NULL,'PRESIDENTE KENNEDY','FRANCISCO BELTRÃO','PR',9344,2023,NULL,NULL,NULL,NULL,NULL,4,4),(28,7074999,0.00,3.00,2.00,3.00,5.00,9.00,2.00,4.00,2.00,207,NULL,201,'IPIRANGA','S JOSÉ','SC',17417,749,NULL,974,NULL,NULL,NULL,4,1),(28,7075006,3.00,4.00,2.00,6.00,5.00,8.63,2.00,3.00,3.00,454,NULL,NULL,'SUMARE','RIO SUL','SC',16247,329,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7075049,1.00,4.00,2.00,2.00,2.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'CENTRO','IRANI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7075065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARAÍSO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7075073,5.00,8.00,1.00,8.00,8.00,9.75,4.00,7.00,5.00,303,NULL,NULL,'MANSÕES STO ANTÔNIO','CAMPINAS','SP',2722,123,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'KM DOIS','S LUDGERO','SC',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7075090,3.00,5.00,2.00,6.00,3.00,6.38,0.00,3.00,3.00,238,NULL,NULL,'AMÉRICA','JOINVILLE','SC',18432,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7075103,4.00,5.00,3.00,7.00,8.00,10.13,3.00,4.00,3.00,207,NULL,201,'ALVORADA','XAXIM','SC',5979,273,NULL,NULL,NULL,NULL,NULL,4,4),(28,7075111,5.00,7.00,4.00,7.00,8.00,0.00,5.00,6.00,6.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075138,2.00,4.00,3.00,5.00,3.00,7.50,2.00,3.00,4.00,317,NULL,NULL,'IPIRANGA','S JOSÉ','SC',14602,96,NULL,NULL,NULL,NULL,NULL,2,1),(28,7075146,2.00,3.00,0.00,2.00,3.00,5.63,1.00,5.00,1.00,501,NULL,NULL,'INTERIOR','SAUDADES','SC',18592,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7075154,5.00,8.00,1.00,5.00,6.00,9.00,2.00,6.00,2.00,207,NULL,601,'SANTA LUZIA','ABELARDO LUZ','SC',7654,349,NULL,181,NULL,NULL,NULL,4,4),(28,7075162,0.00,3.00,2.00,4.00,4.00,4.88,2.00,3.00,2.00,201,NULL,202,'SÃO MARTINHO','TUBARÃO','SC',17843,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7075170,4.00,6.00,2.00,6.00,7.00,7.13,5.00,5.00,4.00,103,NULL,NULL,'GUAIRA','CURITIBA','PR',10012,2075,NULL,NULL,NULL,NULL,NULL,2,23),(28,7075197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7075200,1.00,6.00,0.00,3.00,8.00,NULL,4.00,3.00,2.00,104,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075219,0.00,4.00,1.00,3.00,3.00,4.50,2.00,3.00,1.00,215,NULL,201,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7075227,7.00,8.00,5.00,5.00,5.00,7.50,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','IRATI','PR',4015,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7075235,3.00,5.00,2.00,2.00,5.00,8.25,2.00,3.00,3.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',18263,2480,NULL,NULL,NULL,NULL,NULL,2,8),(28,7075243,0.00,7.00,3.00,7.00,6.00,7.88,2.00,4.00,4.00,999,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7075251,0.00,3.00,2.00,6.00,7.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7075260,3.00,8.00,4.00,6.00,8.00,7.88,4.00,5.00,6.00,103,NULL,NULL,'JARDIM SÃO PAULO','S PAULO','SP',3070,1153,NULL,NULL,NULL,NULL,NULL,2,1),(28,7075278,3.00,5.00,3.00,4.00,6.00,6.75,1.00,3.00,3.00,444,NULL,NULL,'ROÇADO','S JOSÉ','SC',17728,117,NULL,NULL,NULL,NULL,NULL,2,1),(28,7075286,1.00,5.00,2.00,1.00,7.00,8.25,2.00,5.00,2.00,319,NULL,NULL,'IBIRAQUERA','GAROPABA','SC',14971,294,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075294,2.00,8.00,2.00,6.00,7.00,10.13,1.00,5.00,4.00,318,NULL,NULL,'CENTRO','TUBARÃO','SC',7777,42,NULL,NULL,NULL,NULL,NULL,4,10),(28,7075316,9.00,9.00,7.00,7.00,8.00,9.38,7.00,8.00,8.00,203,NULL,220,'JARDIM CALIFÓRNIA','JACAREÍ','SP',101,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075324,1.00,3.00,2.00,6.00,3.00,6.75,0.00,3.00,0.00,208,NULL,NULL,'KOBRASSOL','S JOSÉ','SC',19931,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7075332,4.00,7.00,2.00,8.00,10.00,9.75,0.00,8.00,7.00,303,NULL,NULL,'CENTRO','POÇOS CALDAS','MG',4575,210,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075340,3.00,6.00,3.00,7.00,6.00,9.00,2.00,4.00,0.00,425,NULL,429,'KOBRASOL','S JOSÉ','SC',10646,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075359,2.00,5.00,3.00,5.00,6.00,6.00,1.00,4.00,1.00,201,NULL,NULL,'CENTRO','SALETE','SC',14416,884,NULL,NULL,NULL,NULL,NULL,2,24),(28,7075367,6.00,8.00,4.00,7.00,10.00,8.25,6.00,7.00,7.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',408,292,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075375,6.00,8.00,2.00,6.00,7.00,9.75,3.00,7.00,5.00,212,NULL,214,'VILA MASCOTE','S PAULO','SP',2467,60,NULL,90,NULL,NULL,NULL,4,1),(28,7075413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,216,'CENTRO','S JORGE IVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7075421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,214,'CENTRO','MTE ALTO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7075430,4.00,5.00,2.00,6.00,6.00,9.75,2.00,4.00,4.00,203,NULL,220,'CENTRO','PINHALZINHO','SC',9496,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7075448,5.00,7.00,5.00,7.00,6.00,10.13,2.00,6.00,7.00,103,NULL,NULL,'SUISSA','ARACAJU','SE',3747,1274,NULL,NULL,NULL,NULL,NULL,2,1),(28,7075456,2.00,7.00,3.00,6.00,8.00,8.25,4.00,5.00,3.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',6024,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7075464,4.00,6.00,4.00,5.00,6.00,7.50,5.00,6.00,2.00,327,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10924,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7075472,7.00,8.00,7.00,7.00,9.00,9.75,9.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',142,114,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7075502,5.00,7.00,5.00,6.00,8.00,8.63,5.00,6.00,6.00,201,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',2198,157,NULL,47,NULL,NULL,NULL,4,1),(28,7075510,4.00,6.00,4.00,6.00,11.00,9.38,5.00,5.00,5.00,103,NULL,NULL,'VILA BELMIRO','SANTOS','SP',1713,809,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075529,4.00,7.00,2.00,4.00,8.00,8.63,6.00,5.00,5.00,601,NULL,201,'SAGUAÇU','JOINVILLE','SC',4169,71,NULL,NULL,NULL,NULL,NULL,4,8),(28,7075545,4.00,7.00,2.00,0.00,6.00,7.88,2.00,4.00,5.00,201,NULL,212,'INTERIOR','GUARACIABA','SC',10144,686,NULL,296,NULL,NULL,NULL,4,27),(28,7075553,3.00,4.00,1.00,4.00,5.00,6.75,2.00,4.00,2.00,9,NULL,NULL,'CAMPINAS','S JOSÉ','SC',18993,162,NULL,NULL,NULL,NULL,NULL,2,1),(28,7075561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7075588,0.00,2.00,0.00,3.00,4.00,NULL,2.00,4.00,2.00,5,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075596,6.00,6.00,2.00,7.00,5.00,11.63,4.00,6.00,3.00,222,NULL,NULL,'VILA NASTRI','ITAPETININGA','SP',3345,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075600,5.00,6.00,3.00,5.00,4.00,7.13,3.00,3.00,4.00,454,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10036,188,NULL,NULL,NULL,NULL,NULL,2,1),(28,7075618,1.00,6.00,0.00,4.00,6.00,6.00,2.00,5.00,4.00,9,NULL,NULL,'LIBERDADE','NOVO HAMBURGO','RS',11329,69,NULL,NULL,NULL,NULL,NULL,2,1),(28,7075626,1.00,4.00,1.00,5.00,3.00,NULL,0.00,3.00,4.00,999,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7075642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7075650,7.00,6.00,1.00,6.00,9.00,8.63,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3367,1218,NULL,NULL,NULL,NULL,NULL,4,8),(28,7075669,1.00,6.00,2.00,3.00,4.00,7.88,3.00,4.00,1.00,5,NULL,NULL,'ASILO','BLUMENAU','SC',13851,382,NULL,NULL,NULL,NULL,NULL,4,2),(28,7075677,2.00,5.00,2.00,6.00,4.00,6.00,2.00,5.00,5.00,103,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',10813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075685,6.00,7.00,4.00,6.00,8.00,8.63,6.00,7.00,5.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1097,598,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075693,0.00,3.00,0.00,5.00,3.00,NULL,3.00,2.00,3.00,203,NULL,235,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7075707,5.00,6.00,2.00,5.00,6.00,5.63,4.00,4.00,4.00,202,NULL,213,'JARDIM ELDORADO','PALHOÇA','SC',9856,251,NULL,172,NULL,NULL,NULL,4,1),(28,7075715,2.00,6.00,3.00,7.00,5.00,8.63,2.00,6.00,5.00,601,NULL,216,'JOINVILLE','JOINVILLE','SC',11449,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7075723,4.00,7.00,3.00,7.00,5.00,9.00,4.00,5.00,5.00,203,NULL,202,'SANTA CECÍLIA','S PAULO','SP',3769,275,NULL,110,NULL,NULL,NULL,4,1),(28,7075740,2.00,7.00,1.00,6.00,10.00,9.75,2.00,6.00,2.00,319,NULL,NULL,'ASILO','BLUMENAU','SC',10127,185,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075766,2.00,6.00,1.00,7.00,7.00,6.38,1.00,4.00,1.00,454,NULL,NULL,'JD CIDADE FLORIANOPL','S JOSÉ','SC',12413,245,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075790,3.00,5.00,3.00,4.00,7.00,11.25,2.00,5.00,4.00,303,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',7960,349,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075804,3.00,3.00,2.00,3.00,5.00,5.25,3.00,3.00,2.00,999,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,425,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7075839,6.00,5.00,3.00,7.00,7.00,12.75,2.00,4.00,4.00,103,NULL,NULL,'PRADO VELHO','CURITIBA','PR',3197,1181,NULL,NULL,NULL,NULL,NULL,4,23),(28,7075847,5.00,7.00,4.00,5.00,8.00,10.13,4.00,7.00,7.00,216,NULL,215,'BARRA DO RIO','ITAJAÍ','SC',2230,72,NULL,20,NULL,NULL,NULL,4,6),(28,7075863,2.00,5.00,0.00,5.00,7.00,6.75,2.00,3.00,3.00,103,NULL,NULL,'SÃO GOTARDO','S MIGUEL OESTE','SC',11262,2155,NULL,NULL,NULL,NULL,NULL,4,27),(28,7075871,2.00,7.00,2.00,6.00,8.00,11.25,5.00,6.00,6.00,235,NULL,220,'IPIRANGA','S JOSÉ','SC',2981,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075880,0.00,6.00,5.00,5.00,7.00,8.25,4.00,3.00,3.00,302,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8249,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075898,4.00,7.00,6.00,6.00,8.00,10.13,6.00,5.00,7.00,202,NULL,203,'FLOR DA SERRA','JOAÇABA','SC',684,9,NULL,NULL,NULL,NULL,NULL,4,7),(28,7075901,1.00,5.00,1.00,5.00,5.00,9.38,2.00,6.00,4.00,104,NULL,NULL,'PETRÓPOLIS','CAXIAS SUL','RS',10011,245,NULL,NULL,NULL,NULL,NULL,2,4),(28,7075910,2.00,4.00,1.00,3.00,3.00,4.50,1.00,5.00,3.00,302,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7075936,2.00,7.00,2.00,4.00,4.00,8.25,5.00,5.00,2.00,202,NULL,213,'FLORESTA','JOINVILLE','SC',9593,246,NULL,169,NULL,NULL,NULL,4,8),(28,7075944,4.00,8.00,5.00,4.00,7.00,9.00,2.00,7.00,6.00,9,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',4133,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075952,4.00,4.00,1.00,2.00,5.00,8.25,4.00,5.00,1.00,104,NULL,NULL,'STO ANTONIO DE PADUA','TUBARÃO','SC',13991,340,NULL,NULL,NULL,NULL,NULL,4,10),(28,7075960,8.00,6.00,2.00,7.00,10.00,12.75,7.00,7.00,7.00,103,NULL,NULL,'CACHOEIRA','ALM TAMANDARÉ','PR',386,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7075979,1.00,6.00,2.00,5.00,2.00,NULL,4.00,3.00,6.00,220,NULL,NULL,'CENTRO','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7075987,4.00,8.00,0.00,7.00,8.00,9.38,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',3160,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7075995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(28,7076002,6.00,8.00,4.00,5.00,7.00,8.63,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','IMBITUVA','PR',1266,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7076010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'CENTRO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7076029,7.00,8.00,5.00,6.00,11.00,10.88,5.00,7.00,6.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',168,131,NULL,NULL,NULL,NULL,NULL,4,1),(28,7076045,2.00,4.00,1.00,5.00,2.00,NULL,1.00,2.00,3.00,203,NULL,201,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7076061,1.00,7.00,1.00,6.00,9.00,6.38,1.00,4.00,2.00,5,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',16320,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7076070,6.00,4.00,2.00,4.00,8.00,9.38,3.00,4.00,4.00,103,NULL,NULL,'COPACABANA','UBERLÂNDIA','MG',6218,1660,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076088,0.00,4.00,1.00,6.00,6.00,4.50,1.00,3.00,3.00,502,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',19550,66,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076096,0.00,3.00,4.00,4.00,3.00,4.88,2.00,3.00,3.00,102,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17505,163,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076100,5.00,7.00,5.00,7.00,9.00,8.63,6.00,8.00,7.00,203,NULL,233,'VILA NOVA','BLUMENAU','SC',512,47,NULL,NULL,NULL,NULL,NULL,4,1),(28,7076126,1.00,4.00,1.00,1.00,4.00,9.38,0.00,5.00,3.00,103,NULL,NULL,'CENTRO','NAVEGANTES','SC',15734,2388,NULL,NULL,NULL,NULL,NULL,4,6),(28,7076134,2.00,2.00,4.00,5.00,3.00,6.38,2.00,4.00,2.00,104,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7076142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7076150,2.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,220,NULL,203,'CRUZEIRO DO SUL','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,7),(28,7076169,2.00,6.00,2.00,5.00,5.00,8.63,3.00,4.00,3.00,223,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11983,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076177,3.00,5.00,4.00,5.00,7.00,10.50,3.00,3.00,5.00,201,NULL,212,'NOVA BELEM','PAULO LOPES','SC',6514,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076185,5.00,6.00,2.00,7.00,10.00,12.00,6.00,7.00,7.00,202,NULL,215,'CENTRO','OSASCO','SP',573,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7076193,6.00,8.00,3.00,7.00,8.00,7.88,6.00,7.00,7.00,233,NULL,212,'JD AQUARIUS','S JOSÉ CAMPOS','SP',1017,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7076207,5.00,8.00,4.00,7.00,9.00,10.50,5.00,7.00,7.00,103,NULL,NULL,'SANTA FÉ','CPO GRANDE','MS',500,340,NULL,NULL,NULL,NULL,NULL,4,1),(28,7076215,3.00,7.00,1.00,7.00,8.00,8.63,1.00,8.00,5.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9642,116,NULL,NULL,NULL,NULL,NULL,4,1),(28,7076231,1.00,4.00,1.00,2.00,6.00,7.88,1.00,2.00,2.00,303,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',16440,558,NULL,NULL,NULL,NULL,NULL,4,6),(28,7076240,7.00,7.00,3.00,4.00,9.00,7.13,4.00,7.00,7.00,103,NULL,NULL,'UNIVERSITARIO','VIDEIRA','SC',3924,1311,NULL,NULL,NULL,NULL,NULL,4,1),(28,7076258,1.00,3.00,3.00,4.00,2.00,NULL,3.00,1.00,2.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076266,3.00,7.00,3.00,7.00,9.00,7.88,6.00,7.00,4.00,208,NULL,NULL,'FAZENDA','ITAJAÍ','SC',3776,22,NULL,NULL,NULL,NULL,NULL,4,6),(28,7076274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,203,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7076282,1.00,7.00,0.00,6.00,7.00,NULL,4.00,6.00,4.00,103,NULL,NULL,'BAIRRO PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076290,2.00,7.00,2.00,6.00,6.00,6.38,3.00,3.00,2.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11813,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INDIANÓPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7076312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,216,'PRADO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',5,1),(28,7076320,4.00,5.00,2.00,6.00,8.00,9.38,3.00,5.00,3.00,319,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076347,2.00,4.00,2.00,7.00,6.00,9.38,1.00,3.00,3.00,303,NULL,NULL,'SANTO ANT DE LISBOA','FLORIANÓPOLIS','SC',11274,445,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076355,4.00,5.00,1.00,6.00,7.00,8.25,4.00,5.00,2.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',7983,363,NULL,577,NULL,NULL,NULL,4,1),(28,7076363,6.00,8.00,4.00,7.00,8.00,7.50,5.00,8.00,8.00,103,NULL,NULL,'SETOR AEROPORTO','GOIÂNIA','GO',469,326,NULL,NULL,NULL,NULL,NULL,4,1),(28,7076371,2.00,7.00,3.00,6.00,10.00,12.38,3.00,5.00,4.00,333,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4235,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7076380,1.00,0.00,2.00,3.00,2.00,NULL,0.00,1.00,2.00,101,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076410,4.00,7.00,2.00,5.00,5.00,7.88,4.00,6.00,2.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',7768,1863,NULL,NULL,NULL,NULL,NULL,2,4),(28,7076428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COLÔNIA HOLANDESA','ARAPOTI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7076436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7076452,3.00,5.00,3.00,6.00,1.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7076460,5.00,7.00,2.00,3.00,7.00,6.75,3.00,3.00,3.00,303,NULL,NULL,'BELA VISTA','S JOSÉ','SC',8919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7076479,1.00,5.00,3.00,5.00,6.00,9.75,1.00,4.00,3.00,201,NULL,202,'CABRALZINHO','MACAPÁ','AP',16042,934,NULL,361,NULL,NULL,NULL,4,1),(28,7076487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,601,'VILA ALTA','TANGARÁ SERRA','MT',NULL,NULL,NULL,NULL,'S','S','S',2,26),(28,7076517,0.00,4.00,3.00,3.00,4.00,6.75,6.00,3.00,2.00,216,NULL,203,'BOM ABRIGO','FLORIANÓPOLIS','SC',18428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076525,2.00,4.00,1.00,5.00,5.00,8.63,2.00,3.00,2.00,444,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',18582,125,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076533,0.00,1.00,1.00,6.00,4.00,NULL,1.00,2.00,1.00,429,NULL,424,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7076541,1.00,9.00,1.00,2.00,5.00,5.63,5.00,7.00,4.00,233,NULL,203,'TRINDADE','FLORIANÓPOLIS','SC',14279,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076550,4.00,8.00,3.00,6.00,9.00,6.75,2.00,7.00,3.00,340,NULL,NULL,'NUCLEO BANDEIRANTE','NUC BANDEIRANTE','DF',8797,239,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076576,3.00,4.00,1.00,7.00,7.00,NULL,2.00,3.00,1.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7076584,1.00,6.00,1.00,6.00,3.00,8.25,1.00,3.00,2.00,444,NULL,NULL,'MOOCA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076592,0.00,3.00,1.00,2.00,2.00,NULL,1.00,3.00,2.00,5,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7076606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PALMITAL','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7076614,6.00,8.00,3.00,5.00,8.00,8.63,4.00,7.00,7.00,216,NULL,233,'COLONINHA','ARARANGUÁ','SC',1683,52,NULL,27,NULL,NULL,NULL,4,15),(28,7076649,7.00,7.00,1.00,7.00,9.00,10.13,3.00,7.00,5.00,454,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',3869,39,NULL,NULL,NULL,NULL,NULL,4,8),(28,7076665,1.00,4.00,2.00,5.00,3.00,5.25,5.00,5.00,2.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14814,103,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076673,5.00,6.00,2.00,4.00,4.00,5.63,1.00,3.00,3.00,234,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',18150,56,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076681,2.00,6.00,2.00,5.00,5.00,8.25,2.00,8.00,2.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15979,91,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,207,'SÃO BRAZ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7076703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'FLORESRA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7076711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PAULAS','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7076720,0.00,4.00,2.00,3.00,5.00,10.13,2.00,4.00,2.00,302,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',14618,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7076738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AUXILIADORA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7076746,1.00,4.00,3.00,2.00,4.00,7.88,2.00,3.00,3.00,207,NULL,201,'CENTRO','CRICIÚMA','SC',18857,788,NULL,1024,NULL,NULL,NULL,4,5),(28,7076754,4.00,5.00,4.00,5.00,4.00,9.00,4.00,3.00,1.00,301,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',15835,225,NULL,NULL,NULL,NULL,NULL,4,1),(28,7076770,0.00,0.00,4.00,3.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BREMER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,24),(28,7076797,3.00,5.00,3.00,6.00,5.00,6.38,4.00,4.00,4.00,208,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',12264,137,NULL,NULL,NULL,NULL,NULL,4,3),(28,7076800,0.00,4.00,2.00,5.00,3.00,NULL,0.00,2.00,2.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076819,0.00,4.00,2.00,4.00,5.00,NULL,3.00,5.00,4.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076827,1.00,7.00,1.00,3.00,3.00,6.38,4.00,5.00,2.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',18467,2489,NULL,NULL,NULL,NULL,NULL,2,8),(28,7076843,1.00,7.00,2.00,6.00,8.00,9.75,4.00,6.00,3.00,303,NULL,NULL,'CANOAS','RIO SUL','SC',10160,413,NULL,NULL,NULL,NULL,NULL,4,24),(28,7076851,2.00,4.00,2.00,4.00,6.00,6.00,1.00,3.00,3.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16691,340,NULL,NULL,NULL,NULL,NULL,4,1),(28,7076894,4.00,7.00,6.00,7.00,6.00,6.75,4.00,5.00,4.00,235,NULL,201,'CAMBUCI','S PAULO','SP',3263,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7076916,4.00,8.00,1.00,4.00,7.00,7.50,4.00,6.00,6.00,207,NULL,201,'JD DONA MARIA','PITANGA','PR',6288,292,NULL,NULL,NULL,NULL,NULL,2,6),(28,7076924,0.00,8.00,2.00,2.00,3.00,9.38,3.00,7.00,1.00,5,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',17472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7076940,2.00,8.00,5.00,5.00,6.00,9.75,4.00,5.00,5.00,220,NULL,203,'SANTA CRUZ','CUIABÁ','MT',3366,100,NULL,NULL,NULL,NULL,NULL,4,1),(28,7076959,3.00,4.00,2.00,6.00,8.00,11.25,3.00,6.00,4.00,601,NULL,201,'AVENTUREIRO','JOINVILLE','SC',8913,230,NULL,NULL,NULL,NULL,NULL,2,8),(28,7076967,2.00,8.00,3.00,5.00,6.00,9.00,3.00,5.00,5.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',6982,220,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076975,2.00,4.00,3.00,4.00,4.00,7.88,4.00,3.00,1.00,450,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7076983,3.00,7.00,1.00,4.00,6.00,8.63,2.00,5.00,4.00,426,NULL,428,'CENTRO','STO AMARO IMPERATRIZ','SC',11999,15,NULL,NULL,NULL,NULL,NULL,2,1),(28,7077009,5.00,7.00,2.00,7.00,5.00,7.88,3.00,4.00,3.00,213,NULL,202,'VARGEM GRANDE','FLORIANÓPOLIS','SC',10738,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7077017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','SALTO JACUÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7077033,5.00,7.00,2.00,7.00,7.00,7.50,4.00,5.00,6.00,103,NULL,NULL,'COND EU','ORLEANS','SC',5427,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7077041,1.00,0.00,1.00,4.00,3.00,7.88,3.00,2.00,2.00,415,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7077050,5.00,5.00,3.00,4.00,5.00,8.25,5.00,7.00,6.00,103,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',7794,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7077068,1.00,3.00,0.00,5.00,5.00,NULL,1.00,3.00,3.00,108,NULL,NULL,'SOCOPAS','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7077076,1.00,4.00,3.00,5.00,5.00,7.88,4.00,4.00,2.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',16601,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7077084,4.00,7.00,4.00,7.00,6.00,10.50,4.00,4.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4193,1362,NULL,NULL,NULL,NULL,NULL,4,6),(28,7077092,2.00,6.00,3.00,6.00,5.00,5.63,3.00,4.00,2.00,207,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',12454,563,NULL,276,NULL,NULL,NULL,2,1),(28,7077106,3.00,5.00,2.00,7.00,8.00,6.75,4.00,5.00,5.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7863,68,NULL,NULL,NULL,NULL,NULL,2,1),(28,7077114,2.00,6.00,1.00,5.00,4.00,6.75,1.00,2.00,3.00,331,NULL,NULL,'CENTRO','NOVA VENEZA','SC',19015,48,NULL,NULL,NULL,NULL,NULL,4,5),(28,7077130,0.00,2.00,2.00,1.00,4.00,6.38,3.00,5.00,1.00,213,NULL,655,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',18556,275,NULL,118,NULL,NULL,NULL,4,1),(28,7077149,3.00,9.00,3.00,7.00,8.00,9.00,2.00,7.00,2.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5758,190,NULL,NULL,NULL,NULL,NULL,4,3),(28,7077165,8.00,9.00,1.00,7.00,8.00,10.50,3.00,7.00,8.00,103,NULL,NULL,'JARDIM FLÓRIDA','JACAREÍ','SP',775,461,NULL,NULL,NULL,NULL,NULL,4,1),(28,7077181,2.00,4.00,1.00,3.00,5.00,3.00,2.00,2.00,4.00,454,NULL,NULL,'SERTÃO DO IMARUI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7077190,2.00,7.00,2.00,4.00,6.00,8.25,2.00,2.00,2.00,214,NULL,216,'FORQUILHINHAS','S JOSÉ','SC',17121,338,NULL,NULL,NULL,NULL,NULL,4,1),(28,7077203,3.00,6.00,5.00,6.00,4.00,5.25,4.00,5.00,6.00,103,NULL,NULL,'BOSQUE DA SAUDE','S PAULO','SP',5967,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7077211,0.00,8.00,2.00,1.00,7.00,7.88,3.00,7.00,5.00,318,NULL,NULL,'GUARUJA PARK','TRINDADE','GO',8482,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7077220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PARQUE JAMBEIRO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7077246,1.00,5.00,2.00,1.00,2.00,NULL,1.00,5.00,0.00,238,NULL,220,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7077262,3.00,6.00,5.00,7.00,7.00,10.50,6.00,6.00,3.00,454,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',3227,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7077270,3.00,9.00,2.00,7.00,6.00,11.25,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','ITAPEMA','SC',4299,1382,NULL,NULL,NULL,NULL,NULL,4,3),(28,7077378,4.00,5.00,1.00,7.00,4.00,10.13,2.00,6.00,6.00,303,NULL,NULL,'PROGRESSO','LAGUNA','SC',7335,323,NULL,NULL,NULL,NULL,NULL,2,10),(28,7077386,0.00,4.00,3.00,5.00,3.00,6.00,2.00,6.00,3.00,454,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',17409,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7077394,1.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',3,1),(28,7077408,2.00,5.00,0.00,7.00,3.00,NULL,3.00,4.00,2.00,203,NULL,212,'PQ CIRAS','ITAPEVI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7077416,2.00,8.00,3.00,4.00,9.00,7.88,4.00,8.00,3.00,202,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',6647,179,NULL,113,NULL,NULL,NULL,4,1),(28,7077432,6.00,6.00,4.00,6.00,7.00,7.13,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9487,2034,NULL,NULL,NULL,NULL,NULL,2,1),(28,7077440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COLONIAL','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7077467,2.00,7.00,4.00,7.00,6.00,8.63,6.00,6.00,3.00,203,NULL,601,'MARGON','CATALÃO','GO',8726,NULL,NULL,222,NULL,NULL,NULL,1,1),(28,7077475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7077491,6.00,7.00,2.00,7.00,4.00,9.00,3.00,3.00,6.00,103,NULL,NULL,'VALE DAS ARAUCÁRIAS','LONDRINA','PR',4651,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7077513,4.00,8.00,4.00,4.00,5.00,9.38,6.00,7.00,4.00,214,NULL,213,'VILA CAMPACCI','LARANJAL PAULISTA','SP',2717,102,NULL,36,NULL,NULL,NULL,4,1),(28,7077530,5.00,9.00,2.00,6.00,8.00,13.88,4.00,8.00,4.00,108,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',2610,20,NULL,NULL,NULL,NULL,NULL,5,1),(28,7077556,0.00,1.00,1.00,2.00,0.00,NULL,2.00,3.00,0.00,324,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7077564,1.00,5.00,1.00,5.00,6.00,6.38,3.00,3.00,2.00,327,NULL,NULL,'ARIRÚ','PALHOÇA','SC',17782,53,NULL,NULL,NULL,NULL,NULL,2,1),(28,7077572,2.00,3.00,1.00,4.00,3.00,6.75,1.00,3.00,3.00,324,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7077599,2.00,9.00,1.00,6.00,6.00,9.00,3.00,5.00,3.00,340,NULL,NULL,'ZONA NORTE','CAPÃO CANOA','RS',8311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7077602,0.00,5.00,2.00,3.00,3.00,7.13,1.00,1.00,2.00,552,NULL,NULL,'CIDADE ALTA','TROMBUDO CENTRAL','SC',18703,140,NULL,NULL,NULL,NULL,NULL,2,24),(28,7077610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'BOSQUE DA SAUDE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7077629,1.00,2.00,2.00,1.00,5.00,6.38,1.00,2.00,2.00,101,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',18485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7077637,6.00,8.00,3.00,4.00,6.00,6.75,5.00,8.00,6.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',3450,1232,NULL,NULL,NULL,NULL,NULL,4,1),(28,7077661,7.00,8.00,3.00,7.00,10.00,9.75,4.00,7.00,6.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',468,13,NULL,NULL,NULL,NULL,NULL,2,4),(28,7077670,2.00,7.00,4.00,7.00,5.00,9.00,4.00,6.00,5.00,216,NULL,202,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',3885,151,NULL,116,NULL,NULL,NULL,4,1),(28,7077688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7077700,8.00,9.00,6.00,7.00,9.00,10.88,8.00,8.00,6.00,103,NULL,NULL,'SAMAMBAIA','BAURU','SP',48,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7077734,2.00,4.00,4.00,4.00,4.00,6.38,3.00,5.00,1.00,201,NULL,202,'JARDIM ITÁLIA','CHAPECÓ','SC',18702,1021,NULL,390,NULL,NULL,NULL,4,4),(28,7077777,1.00,5.00,4.00,5.00,5.00,7.13,4.00,3.00,4.00,208,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16074,179,NULL,NULL,NULL,NULL,NULL,4,1),(28,7077785,0.00,4.00,2.00,4.00,6.00,6.38,2.00,4.00,0.00,103,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',19373,2515,NULL,NULL,NULL,NULL,NULL,2,22),(28,7077793,2.00,5.00,1.00,7.00,4.00,5.63,0.00,3.00,2.00,336,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',17565,89,NULL,NULL,NULL,NULL,NULL,2,1),(28,7077807,5.00,9.00,2.00,6.00,6.00,12.75,0.00,7.00,2.00,337,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9268,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7077823,5.00,5.00,3.00,5.00,9.00,8.63,4.00,4.00,5.00,215,NULL,216,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',5149,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7077840,3.00,7.00,2.00,7.00,5.00,6.75,3.00,5.00,6.00,103,NULL,NULL,'IPANEMA','RIO JANEIRO','RJ',5941,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7077858,2.00,5.00,1.00,6.00,5.00,10.50,3.00,7.00,3.00,326,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8656,22,NULL,NULL,NULL,NULL,NULL,4,3),(28,7077866,2.00,8.00,5.00,5.00,9.00,9.75,6.00,6.00,6.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',2498,106,NULL,NULL,NULL,NULL,NULL,4,1),(28,7077874,2.00,6.00,3.00,7.00,9.00,8.25,5.00,5.00,3.00,103,NULL,NULL,'CENTRO','LONTRAS','SC',6194,1657,NULL,NULL,NULL,NULL,NULL,2,24),(28,7077882,6.00,6.00,2.00,6.00,7.00,7.13,3.00,4.00,3.00,450,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',13479,102,NULL,NULL,NULL,NULL,NULL,4,1),(28,7077904,2.00,8.00,1.00,5.00,9.00,8.63,2.00,4.00,3.00,404,NULL,NULL,'BARREIROS','S JOSÉ','SC',14321,30,NULL,NULL,NULL,NULL,NULL,2,1),(28,7077912,6.00,9.00,2.00,5.00,11.00,10.88,6.00,6.00,7.00,103,NULL,NULL,'CAMPO DAS FLORES','IMBUIA','SC',987,547,NULL,NULL,NULL,NULL,NULL,4,24),(28,7077920,2.00,5.00,1.00,5.00,6.00,6.75,2.00,3.00,2.00,320,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',14395,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7077939,7.00,8.00,5.00,7.00,11.00,10.88,7.00,8.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',67,55,NULL,NULL,NULL,NULL,NULL,4,5),(28,7077947,1.00,4.00,3.00,5.00,5.00,7.50,2.00,1.00,3.00,601,NULL,NULL,'ATIRADORES','JOINVILLE','SC',19063,539,NULL,NULL,NULL,NULL,NULL,2,8),(28,7077955,7.00,8.00,4.00,7.00,9.00,11.25,6.00,7.00,6.00,201,NULL,203,'ÁGUAS CLARAS','TAGUATINGA','DF',452,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7077971,4.00,8.00,1.00,8.00,9.00,6.75,4.00,7.00,4.00,238,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7077980,3.00,5.00,3.00,5.00,9.00,10.50,5.00,5.00,2.00,340,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',6141,157,NULL,NULL,NULL,NULL,NULL,4,1),(28,7078005,1.00,5.00,2.00,6.00,5.00,8.25,0.00,6.00,0.00,331,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',18376,47,NULL,NULL,NULL,NULL,NULL,2,1),(28,7078013,7.00,7.00,2.00,7.00,9.00,8.25,4.00,8.00,6.00,103,NULL,NULL,'SÃO BERNARDO','TUBARÃO','SC',1285,670,NULL,NULL,NULL,NULL,NULL,4,1),(28,7078021,3.00,6.00,2.00,4.00,6.00,9.00,4.00,5.00,4.00,104,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',7057,159,NULL,NULL,NULL,NULL,NULL,4,1),(28,7078056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'FATIMA','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7078072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,426,'CENTRO','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7078080,4.00,5.00,2.00,6.00,8.00,10.88,4.00,4.00,4.00,454,NULL,NULL,'KOBRASOL','S JOSÉ','SC',4929,61,NULL,NULL,NULL,NULL,NULL,2,1),(28,7078099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPOLIM','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7078102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7078129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','STA HELENA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,27),(28,7078137,0.00,2.00,1.00,4.00,4.00,7.88,1.00,2.00,3.00,207,NULL,238,'RIO DA PRATA','RIO CAMPO','SC',17928,760,NULL,312,NULL,NULL,NULL,2,24),(28,7078161,0.00,3.00,2.00,2.00,4.00,4.50,2.00,3.00,2.00,319,NULL,NULL,'CENTRO','BIGUAÇU','SC',20109,380,NULL,NULL,NULL,NULL,NULL,2,1),(28,7078170,2.00,3.00,2.00,5.00,3.00,5.25,1.00,2.00,1.00,104,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7078188,0.00,1.00,3.00,6.00,3.00,NULL,1.00,2.00,2.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7078196,3.00,6.00,2.00,6.00,7.00,6.38,6.00,6.00,4.00,238,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10459,159,NULL,NULL,NULL,NULL,NULL,4,1),(28,7078200,0.00,5.00,1.00,6.00,4.00,7.13,4.00,6.00,4.00,5,NULL,NULL,'VALVERDE','VERANÓPOLIS','RS',10138,299,NULL,NULL,NULL,NULL,NULL,2,9),(28,7078218,2.00,5.00,0.00,5.00,5.00,9.00,1.00,4.00,2.00,102,NULL,NULL,'FIGUEROA','CAÇADOR','SC',13799,126,NULL,NULL,NULL,NULL,NULL,2,25),(28,7078226,2.00,4.00,1.00,5.00,5.00,7.13,5.00,4.00,3.00,425,NULL,429,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',17372,NULL,NULL,40,NULL,NULL,NULL,4,1),(28,7078234,4.00,4.00,2.00,6.00,7.00,7.50,3.00,5.00,2.00,235,NULL,233,'CAMPINAS','S JOSÉ','SC',10333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7078242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7078250,5.00,7.00,0.00,7.00,7.00,7.88,5.00,7.00,4.00,103,NULL,NULL,'MORADA DO OURO','CUIABÁ','MT',3845,1297,NULL,NULL,NULL,NULL,NULL,2,1),(28,7078269,5.00,4.00,3.00,6.00,5.00,7.50,1.00,3.00,2.00,654,NULL,NULL,'CAPISTRANO','BOM RETIRO','SC',13304,32,NULL,NULL,NULL,NULL,NULL,2,9),(28,7078277,3.00,0.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7078285,0.00,6.00,2.00,6.00,6.00,NULL,3.00,2.00,3.00,317,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7078315,3.00,7.00,2.00,6.00,8.00,10.50,2.00,7.00,5.00,216,NULL,653,'CENTRO','VIADUTOS','RS',4243,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7078323,5.00,0.00,3.00,6.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ITAPURA','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7078382,1.00,3.00,0.00,3.00,5.00,NULL,2.00,7.00,0.00,207,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7078390,9.00,9.00,2.00,8.00,7.00,8.63,5.00,8.00,6.00,103,NULL,NULL,'VILA ZIZINHA','S JOSÉ CAMPOS','SP',393,282,NULL,NULL,NULL,NULL,NULL,4,1),(28,7078404,0.00,3.00,2.00,2.00,3.00,8.63,2.00,3.00,1.00,451,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',19938,56,NULL,NULL,NULL,NULL,NULL,4,4),(28,7078420,5.00,8.00,3.00,6.00,9.00,8.25,7.00,6.00,6.00,103,NULL,NULL,'BELA VISTA','PINHALZINHO','SC',2101,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7078439,6.00,8.00,3.00,6.00,8.00,10.13,4.00,7.00,5.00,103,NULL,NULL,'CIDADE JARDIM','CPO GRANDE','MS',2344,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7078447,0.00,4.00,1.00,7.00,5.00,9.38,2.00,3.00,2.00,238,NULL,652,'VILA DAS MERCES','S PAULO','SP',14066,232,NULL,84,NULL,NULL,NULL,4,1),(28,7078455,4.00,5.00,5.00,6.00,6.00,9.75,4.00,5.00,4.00,238,NULL,202,'JURERE','FLORIANÓPOLIS','SC',7322,97,NULL,195,NULL,NULL,NULL,4,1),(28,7078471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM PALMEIRAS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7078498,1.00,7.00,2.00,6.00,5.00,10.13,2.00,4.00,2.00,425,NULL,427,'BARRIEIROS','S JOSÉ','SC',12895,40,NULL,4,NULL,NULL,NULL,4,1),(28,7078501,8.00,7.00,5.00,6.00,7.00,7.13,6.00,7.00,7.00,103,NULL,NULL,'MEDIANEIRA','PTO ALEGRE','RS',698,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7078510,1.00,6.00,1.00,3.00,9.00,7.88,3.00,6.00,4.00,202,NULL,235,'COSTA E SILVA','JOINVILLE','SC',13675,323,NULL,224,NULL,NULL,NULL,4,8),(28,7078528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,220,'IGUATEMI','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7078536,5.00,7.00,2.00,6.00,9.00,9.00,2.00,6.00,5.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',3422,1227,NULL,NULL,NULL,NULL,NULL,4,1),(28,7078544,3.00,6.00,2.00,6.00,7.00,7.13,3.00,6.00,4.00,104,NULL,NULL,'CORAL','LAGES','SC',7682,179,NULL,NULL,NULL,NULL,NULL,4,9),(28,7078579,2.00,8.00,1.00,6.00,9.00,11.63,1.00,5.00,3.00,319,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',10778,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7078587,1.00,5.00,3.00,4.00,5.00,9.00,2.00,4.00,2.00,309,NULL,NULL,'KOBRASOL','S JOSÉ','SC',17381,42,NULL,NULL,NULL,NULL,NULL,2,1),(28,7078609,8.00,8.00,2.00,8.00,11.00,10.50,5.00,7.00,6.00,415,NULL,NULL,'VILA MEDON','AMERICANA','SP',759,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7078617,2.00,6.00,2.00,5.00,7.00,8.63,3.00,6.00,3.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',11225,2152,NULL,NULL,NULL,NULL,NULL,2,22),(28,7078650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'JARDIM VILA FORMOSA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7078668,4.00,4.00,2.00,7.00,5.00,6.00,2.00,3.00,2.00,108,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',11922,164,NULL,NULL,NULL,NULL,NULL,4,1),(28,7078676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7078684,8.00,8.00,7.00,7.00,10.00,11.25,7.00,7.00,7.00,103,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',5,4,NULL,NULL,NULL,NULL,NULL,4,8),(28,7078706,3.00,7.00,4.00,6.00,9.00,9.38,7.00,8.00,5.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',1519,746,NULL,NULL,NULL,NULL,NULL,4,5),(28,7078714,1.00,6.00,2.00,4.00,3.00,7.88,2.00,4.00,3.00,203,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',18183,691,NULL,999,NULL,NULL,NULL,4,1),(28,7078730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7078749,1.00,4.00,0.00,3.00,2.00,NULL,2.00,4.00,1.00,224,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7078765,3.00,5.00,1.00,7.00,3.00,5.25,3.00,3.00,2.00,201,NULL,212,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7078773,5.00,5.00,2.00,2.00,4.00,7.13,4.00,5.00,3.00,331,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',14350,35,NULL,NULL,NULL,NULL,NULL,2,1),(28,7078790,6.00,7.00,2.00,7.00,8.00,10.13,3.00,4.00,5.00,454,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5377,74,NULL,NULL,NULL,NULL,NULL,4,1),(28,7078811,3.00,7.00,3.00,6.00,5.00,8.63,6.00,6.00,3.00,103,NULL,NULL,'CENTRO','CATANDUVAS','SC',7121,1779,NULL,NULL,NULL,NULL,NULL,4,7),(28,7078820,2.00,5.00,1.00,4.00,5.00,10.50,4.00,5.00,2.00,103,NULL,NULL,'CENTRO','GRAVATAL','SC',10248,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7078838,4.00,8.00,2.00,5.00,7.00,NULL,4.00,8.00,4.00,103,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7078846,5.00,7.00,1.00,6.00,8.00,8.63,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','TANGARÁ','SC',7076,1772,NULL,NULL,NULL,NULL,NULL,2,7),(28,7078854,1.00,6.00,3.00,1.00,2.00,NULL,2.00,5.00,2.00,552,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7078870,1.00,5.00,4.00,6.00,3.00,7.13,2.00,3.00,0.00,303,NULL,NULL,'CENTRO','POMERODE','SC',15847,544,NULL,NULL,NULL,NULL,NULL,1,2),(28,7078897,0.00,3.00,2.00,4.00,3.00,7.13,2.00,3.00,3.00,110,NULL,NULL,'RIBANCEIRA DO SIL','S JOÃO BATISTA','SC',17150,86,NULL,NULL,NULL,NULL,NULL,2,22),(28,7078900,7.00,6.00,3.00,6.00,7.00,7.50,6.00,6.00,6.00,103,NULL,NULL,'CENTRO','MTE APRAZÍVEL','SP',1692,804,NULL,NULL,NULL,NULL,NULL,4,1),(28,7078927,1.00,5.00,0.00,6.00,4.00,6.75,2.00,4.00,2.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18395,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7078935,7.00,8.00,5.00,7.00,7.00,7.50,4.00,6.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2565,88,NULL,NULL,NULL,NULL,NULL,3,1),(28,7078943,2.00,5.00,2.00,6.00,2.00,NULL,0.00,3.00,1.00,319,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7078960,4.00,4.00,4.00,5.00,7.00,6.75,3.00,6.00,3.00,9,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',9951,55,NULL,NULL,NULL,NULL,NULL,2,1),(28,7078978,4.00,4.00,2.00,4.00,8.00,6.75,1.00,4.00,3.00,109,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16997,76,NULL,NULL,NULL,NULL,NULL,4,1),(28,7078986,0.00,3.00,1.00,6.00,3.00,7.13,1.00,4.00,2.00,201,NULL,211,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',16568,949,NULL,401,NULL,NULL,NULL,2,1),(28,7078994,5.00,7.00,5.00,6.00,6.00,6.75,4.00,5.00,5.00,233,NULL,215,'CENTRO','MRO FUMAÇA','SC',7177,179,NULL,111,NULL,NULL,NULL,2,5),(28,7079001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'SANTA TERESA','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7079028,6.00,7.00,2.00,7.00,8.00,9.00,4.00,6.00,3.00,103,NULL,NULL,'BUTIATUVINHA','CURITIBA','PR',3545,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7079036,3.00,4.00,3.00,6.00,5.00,8.25,2.00,3.00,3.00,201,NULL,238,'FORQUILINHAS','S JOSÉ','SC',12609,NULL,NULL,206,NULL,NULL,NULL,2,1),(28,7079044,3.00,4.00,2.00,3.00,4.00,7.50,2.00,2.00,3.00,205,NULL,NULL,'CENTRO','PALMITOS','SC',18837,23,NULL,NULL,NULL,NULL,NULL,2,4),(28,7079052,1.00,6.00,1.00,5.00,4.00,9.00,1.00,3.00,3.00,319,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',14238,270,NULL,NULL,NULL,NULL,NULL,2,1),(28,7079095,3.00,6.00,2.00,6.00,7.00,6.75,6.00,6.00,4.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',10161,2083,NULL,NULL,NULL,NULL,NULL,2,1),(28,7079133,4.00,6.00,3.00,5.00,7.00,10.13,3.00,6.00,6.00,201,NULL,212,'JARDIM NOVA ALIANÇA','RIBEIRÃO PRETO','SP',3580,277,NULL,108,NULL,NULL,NULL,4,1),(28,7079150,3.00,4.00,1.00,6.00,7.00,8.63,2.00,4.00,1.00,109,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11081,27,NULL,NULL,NULL,NULL,NULL,2,1),(28,7079192,4.00,8.00,3.00,7.00,6.00,6.75,6.00,7.00,7.00,201,NULL,216,'PETROPOLIS','PTO ALEGRE','RS',2044,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7079206,2.00,4.00,2.00,5.00,4.00,9.38,3.00,6.00,3.00,424,NULL,427,'ESTREITO','FLORIANÓPOLIS','SC',13271,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7079214,3.00,6.00,2.00,5.00,6.00,6.75,3.00,6.00,3.00,320,NULL,NULL,'SÃO JOÃO DO RIO VERM','FLORIANÓPOLIS','SC',13786,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7079222,5.00,8.00,2.00,7.00,9.00,6.38,3.00,9.00,3.00,333,NULL,NULL,'JABAQUARA','S PAULO','SP',2742,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7079230,5.00,7.00,3.00,7.00,7.00,8.25,4.00,7.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7079249,2.00,6.00,0.00,4.00,5.00,9.00,1.00,6.00,3.00,454,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11512,225,NULL,NULL,NULL,NULL,NULL,4,1),(28,7079257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7079273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7079290,5.00,5.00,2.00,6.00,8.00,7.88,3.00,6.00,3.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',6984,1757,NULL,NULL,NULL,NULL,NULL,2,8),(28,7079303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7079311,0.00,6.00,1.00,6.00,5.00,5.25,0.00,6.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14225,204,NULL,NULL,NULL,NULL,NULL,2,1),(28,7079338,1.00,4.00,3.00,7.00,7.00,10.50,2.00,2.00,2.00,454,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11104,211,NULL,NULL,NULL,NULL,NULL,4,1),(28,7079354,0.00,5.00,3.00,3.00,3.00,6.00,0.00,4.00,2.00,404,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',19780,76,NULL,NULL,NULL,NULL,NULL,4,1),(28,7079362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOSÉ','GUAPORÉ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7079370,3.00,5.00,4.00,7.00,5.00,8.25,2.00,3.00,3.00,214,NULL,601,'JARDIM KENNEDY','RIO CLARO','SP',12420,294,NULL,366,NULL,NULL,NULL,4,8),(28,7079389,0.00,0.00,0.00,5.00,2.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7079400,1.00,3.00,2.00,3.00,4.00,6.75,3.00,3.00,1.00,415,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7079427,1.00,2.00,0.00,1.00,4.00,6.75,0.00,3.00,1.00,316,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7079443,0.00,4.00,1.00,4.00,7.00,NULL,2.00,4.00,2.00,5,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7079451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,425,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7079478,3.00,4.00,1.00,4.00,4.00,4.50,1.00,3.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19790,375,NULL,NULL,NULL,NULL,NULL,2,1),(28,7079486,0.00,1.00,3.00,1.00,4.00,NULL,2.00,4.00,1.00,424,NULL,427,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(28,7079494,5.00,6.00,3.00,6.00,9.00,10.50,4.00,6.00,8.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',2156,925,NULL,NULL,NULL,NULL,NULL,4,8),(28,7079508,0.00,3.00,2.00,2.00,5.00,NULL,1.00,2.00,2.00,316,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7079516,6.00,7.00,6.00,7.00,8.00,5.25,6.00,6.00,9.00,203,NULL,220,'CENTRO','TUBARÃO','SC',1505,NULL,NULL,36,NULL,NULL,NULL,4,10),(28,7079524,6.00,8.00,1.00,6.00,9.00,8.63,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',1432,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7079540,1.00,6.00,3.00,6.00,3.00,6.75,3.00,6.00,2.00,202,NULL,233,'PANTANAL','FLORIANÓPOLIS','SC',10133,259,NULL,239,NULL,NULL,NULL,2,1),(28,7079559,0.00,5.00,1.00,4.00,3.00,NULL,0.00,5.00,2.00,502,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7079567,4.00,8.00,1.00,6.00,5.00,8.25,2.00,6.00,2.00,326,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13645,41,NULL,NULL,NULL,NULL,NULL,2,1),(28,7079575,0.00,2.00,2.00,5.00,3.00,3.00,3.00,5.00,2.00,201,NULL,235,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7079583,1.00,6.00,2.00,7.00,7.00,8.25,2.00,3.00,6.00,216,NULL,215,'CENTRO','PALMITOS','SC',11112,337,NULL,NULL,NULL,NULL,NULL,4,4),(28,7079591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PONTE PRETA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7079613,3.00,5.00,1.00,5.00,4.00,8.63,0.00,6.00,3.00,215,NULL,653,'MEIA PRAIA','ITAPEMA','SC',10904,187,NULL,113,NULL,NULL,NULL,4,3),(28,7079621,6.00,8.00,5.00,7.00,6.00,8.63,2.00,6.00,4.00,103,NULL,NULL,'JARDIM SANTA TERESA','JUNDIAÍ','SP',2785,1085,NULL,NULL,NULL,NULL,NULL,4,1),(28,7079630,1.00,5.00,3.00,5.00,6.00,8.25,4.00,4.00,3.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',15464,99,NULL,NULL,NULL,NULL,NULL,2,1),(28,7079664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PINHEIRINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7079672,2.00,7.00,3.00,5.00,5.00,8.25,2.00,5.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7079680,2.00,7.00,2.00,6.00,7.00,8.25,5.00,5.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8678,267,NULL,NULL,NULL,NULL,NULL,4,1),(28,7079699,3.00,3.00,0.00,2.00,5.00,7.88,1.00,6.00,1.00,216,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',19058,450,NULL,290,NULL,NULL,NULL,4,1),(28,7079702,3.00,5.00,3.00,3.00,5.00,8.63,4.00,6.00,3.00,207,NULL,201,'AREIAS','S JOSÉ','SC',13502,605,NULL,847,NULL,NULL,NULL,4,1),(28,7079710,3.00,7.00,4.00,7.00,6.00,9.75,4.00,5.00,6.00,202,NULL,235,'VILA MONTEIRO','PIRACICABA','SP',3328,95,NULL,55,NULL,NULL,NULL,4,1),(28,7079737,1.00,5.00,1.00,2.00,5.00,5.63,3.00,4.00,3.00,601,NULL,NULL,'JARDIM SOFIA','JOINVILLE','SC',19256,543,NULL,NULL,NULL,NULL,NULL,4,8),(28,7079745,1.00,4.00,2.00,5.00,3.00,3.00,1.00,4.00,4.00,424,NULL,421,'CENTRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7079753,1.00,3.00,3.00,3.00,3.00,6.75,0.00,5.00,2.00,203,NULL,201,'CENTRO','TORRES','RS',19537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7079761,3.00,6.00,3.00,5.00,7.00,8.63,2.00,3.00,4.00,201,NULL,207,'JARDIM SÃO BENTO','CPO GRANDE','MS',9130,634,NULL,421,NULL,NULL,NULL,4,1),(28,7079770,0.00,3.00,3.00,2.00,4.00,10.50,2.00,3.00,1.00,235,NULL,207,'ALTO DAS PALMEIRAS','CANOINHAS','SC',19396,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7079796,3.00,8.00,2.00,6.00,7.00,8.25,3.00,5.00,3.00,203,NULL,233,'MEIA PRAIA','ITAPEMA','SC',4887,NULL,NULL,129,NULL,NULL,NULL,4,3),(28,7079800,6.00,5.00,3.00,7.00,7.00,10.88,4.00,5.00,7.00,103,NULL,NULL,'VILA OPERARIA','MARINGÁ','PR',2299,963,NULL,NULL,NULL,NULL,NULL,2,1),(28,7079826,6.00,8.00,1.00,8.00,9.00,8.63,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',4901,1479,NULL,NULL,NULL,NULL,NULL,4,6),(28,7079834,3.00,7.00,1.00,5.00,6.00,8.25,2.00,6.00,3.00,103,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',9565,2042,NULL,NULL,NULL,NULL,NULL,4,4),(28,7079842,6.00,6.00,4.00,6.00,8.00,10.50,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',2563,1037,NULL,NULL,NULL,NULL,NULL,2,1),(28,7079850,6.00,7.00,3.00,7.00,8.00,7.88,6.00,5.00,5.00,103,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',2385,988,NULL,NULL,NULL,NULL,NULL,2,10),(28,7079869,0.00,5.00,0.00,0.00,0.00,NULL,2.00,2.00,2.00,501,NULL,NULL,'CENTRO','SETE BARRAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7079877,4.00,6.00,3.00,6.00,9.00,8.25,4.00,5.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5328,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7079885,6.00,6.00,3.00,5.00,6.00,9.38,4.00,6.00,5.00,201,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',4547,351,NULL,144,NULL,NULL,NULL,2,1),(28,7079893,3.00,9.00,2.00,7.00,10.00,11.25,5.00,8.00,5.00,415,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',1358,10,NULL,NULL,NULL,NULL,NULL,2,8),(28,7079907,4.00,6.00,3.00,6.00,7.00,7.88,4.00,4.00,4.00,203,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10548,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7079915,2.00,4.00,4.00,3.00,6.00,6.75,2.00,4.00,3.00,211,NULL,NULL,'INTERIOR','ITAPIRANGA','SC',14548,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7079923,2.00,6.00,3.00,4.00,7.00,8.25,2.00,3.00,1.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',16690,128,NULL,NULL,NULL,NULL,NULL,4,1),(28,7079931,1.00,7.00,1.00,7.00,7.00,7.50,2.00,7.00,2.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9281,260,NULL,NULL,NULL,NULL,NULL,4,1),(28,7079940,4.00,6.00,2.00,5.00,8.00,10.13,3.00,6.00,2.00,208,NULL,NULL,'INTERIOR','S JOÃO OESTE','SC',7213,68,NULL,NULL,NULL,NULL,NULL,2,4),(28,7079958,0.00,3.00,2.00,3.00,5.00,6.38,3.00,4.00,3.00,202,NULL,203,'VELHA','NOVA TRENTO','SC',16735,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7079966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7079974,2.00,7.00,2.00,6.00,9.00,9.38,2.00,5.00,2.00,109,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',11600,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7079982,1.00,5.00,2.00,4.00,4.00,7.13,1.00,4.00,2.00,202,NULL,235,'RANCHO DOS BUGRES','URUSSANGA','SC',16034,360,NULL,258,NULL,NULL,NULL,4,5),(28,7079990,3.00,5.00,1.00,4.00,5.00,6.38,3.00,6.00,3.00,203,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',16930,NULL,NULL,293,NULL,NULL,NULL,2,1),(28,7080000,4.00,6.00,2.00,7.00,6.00,6.38,5.00,6.00,3.00,211,NULL,216,'SÃO JOÃO','ITAJAÍ','SC',6530,179,NULL,226,NULL,NULL,NULL,4,6),(28,7080018,0.00,3.00,0.00,3.00,2.00,NULL,1.00,2.00,1.00,303,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7080034,3.00,4.00,0.00,3.00,6.00,7.88,3.00,7.00,3.00,238,NULL,NULL,'CENTRO','CRICIÚMA','SC',11926,189,NULL,NULL,NULL,NULL,NULL,4,5),(28,7080042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7080050,3.00,8.00,3.00,5.00,8.00,12.38,5.00,5.00,4.00,103,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',3285,1200,NULL,NULL,NULL,NULL,NULL,4,1),(28,7080069,1.00,7.00,3.00,6.00,4.00,7.88,2.00,6.00,1.00,303,NULL,NULL,'CENTRO','EMBU','SP',10387,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7080085,1.00,7.00,2.00,5.00,2.00,NULL,3.00,4.00,4.00,336,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7080093,3.00,8.00,3.00,6.00,7.00,11.63,5.00,7.00,3.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7313,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7080123,6.00,8.00,5.00,7.00,11.00,10.50,5.00,8.00,6.00,103,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',228,176,NULL,NULL,NULL,NULL,NULL,4,4),(28,7080131,0.00,3.00,2.00,1.00,5.00,NULL,2.00,1.00,2.00,451,NULL,NULL,'SUL DO RIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7080140,1.00,3.00,3.00,4.00,5.00,8.63,2.00,3.00,2.00,9,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',14281,103,NULL,NULL,NULL,NULL,NULL,2,1),(28,7080158,1.00,6.00,1.00,3.00,5.00,6.75,3.00,6.00,0.00,3,NULL,NULL,'CENTRO','LACERDÓPOLIS','SC',13461,59,NULL,NULL,NULL,NULL,NULL,4,7),(28,7080166,6.00,7.00,6.00,7.00,10.00,8.63,5.00,8.00,6.00,201,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',1072,53,NULL,NULL,NULL,NULL,NULL,2,1),(28,7080174,3.00,5.00,3.00,5.00,6.00,0.00,2.00,5.00,1.00,103,NULL,NULL,'PRAIA DE BELAS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7080190,2.00,6.00,1.00,5.00,5.00,9.38,2.00,5.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7080204,1.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,207,NULL,211,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7080220,2.00,6.00,2.00,4.00,5.00,8.25,3.00,3.00,4.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11444,330,NULL,NULL,NULL,NULL,NULL,2,1),(28,7080239,4.00,6.00,2.00,3.00,5.00,7.50,3.00,2.00,2.00,203,NULL,NULL,'ARIRIU','PALHOÇA','SC',12205,586,NULL,NULL,NULL,NULL,NULL,4,1),(28,7080247,5.00,8.00,4.00,6.00,8.00,7.50,5.00,6.00,5.00,101,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',6206,13,NULL,NULL,NULL,NULL,NULL,2,1),(28,7080255,1.00,5.00,2.00,6.00,7.00,9.38,4.00,3.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9218,257,NULL,NULL,NULL,NULL,NULL,4,1),(28,7080263,7.00,8.00,2.00,7.00,8.00,10.50,5.00,8.00,7.00,103,NULL,NULL,'COMERCIAÁRIO','CRICIÚMA','SC',1081,591,NULL,NULL,NULL,NULL,NULL,2,5),(28,7080271,6.00,8.00,0.00,5.00,9.00,10.13,5.00,7.00,7.00,340,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',2014,36,NULL,NULL,NULL,NULL,NULL,4,2),(28,7080280,3.00,7.00,1.00,4.00,9.00,8.63,5.00,4.00,5.00,601,NULL,203,'CENTRO','S FRANCISCO SUL','SC',6065,119,NULL,NULL,NULL,NULL,NULL,4,8),(28,7080298,1.00,5.00,1.00,6.00,4.00,7.50,2.00,3.00,3.00,316,NULL,NULL,'SÃO CRISTÓVÃO','LAJEADO','RS',13563,155,NULL,NULL,NULL,NULL,NULL,2,1),(28,7080301,0.00,4.00,4.00,1.00,3.00,7.13,3.00,1.00,0.00,308,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',18607,74,NULL,NULL,NULL,NULL,NULL,2,1),(28,7080310,7.00,7.00,3.00,6.00,7.00,10.13,5.00,6.00,6.00,3,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',1924,4,NULL,NULL,NULL,NULL,NULL,4,2),(28,7080344,4.00,6.00,4.00,6.00,10.00,8.63,4.00,7.00,5.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',2976,138,NULL,NULL,NULL,NULL,NULL,4,1),(28,7080360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'SANTA ROSA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7080379,3.00,6.00,3.00,4.00,8.00,10.88,3.00,6.00,4.00,215,NULL,216,'FREGUESIA DO Ó','S PAULO','SP',6682,96,NULL,NULL,NULL,NULL,NULL,4,1),(28,7080387,0.00,2.00,0.00,5.00,3.00,NULL,2.00,2.00,0.00,234,NULL,NULL,'JARDIM OURO FINO','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7080395,2.00,4.00,2.00,4.00,3.00,8.63,2.00,2.00,3.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',19033,133,NULL,NULL,NULL,NULL,NULL,2,1),(28,7080409,2.00,7.00,4.00,5.00,7.00,7.88,4.00,2.00,2.00,104,NULL,NULL,'CENTRO','TIJUCAS','SC',9238,222,NULL,NULL,NULL,NULL,NULL,4,1),(28,7080417,3.00,8.00,4.00,6.00,9.00,8.63,4.00,8.00,5.00,203,NULL,215,'VALE DO ITAMARACÁ','VALINHOS','SP',1552,141,NULL,5,NULL,NULL,NULL,1,1),(28,7080425,5.00,7.00,3.00,5.00,9.00,7.13,5.00,5.00,7.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',3982,1322,NULL,NULL,NULL,NULL,NULL,2,1),(28,7080433,3.00,5.00,3.00,6.00,8.00,7.13,1.00,4.00,4.00,3,NULL,NULL,'AREIAS','S JOSÉ','SC',10380,41,NULL,NULL,NULL,NULL,NULL,2,1),(28,7080441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CANUDOS','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7080484,2.00,5.00,2.00,3.00,6.00,4.88,4.00,4.00,1.00,103,NULL,NULL,'SUMARÉ','RIO SUL','SC',14006,2300,NULL,NULL,NULL,NULL,NULL,4,24),(28,7080492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7080514,2.00,4.00,2.00,5.00,3.00,6.75,2.00,1.00,2.00,108,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',19087,250,NULL,NULL,NULL,NULL,NULL,2,26),(28,7080530,2.00,7.00,1.00,6.00,2.00,NULL,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7080557,3.00,9.00,3.00,7.00,6.00,6.38,2.00,7.00,3.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',5975,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7080565,2.00,7.00,3.00,4.00,7.00,7.50,2.00,7.00,5.00,103,NULL,NULL,'SERRARIA','S JOSÉ','SC',6356,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7080573,4.00,7.00,2.00,6.00,9.00,9.38,4.00,6.00,6.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2426,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7080581,9.00,7.00,2.00,7.00,6.00,8.25,4.00,8.00,6.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',1489,737,NULL,NULL,NULL,NULL,NULL,2,5),(28,7080590,1.00,4.00,2.00,4.00,9.00,6.38,2.00,5.00,4.00,207,NULL,211,'VILA N S DE LOURDES','STO AMARO IMPERATRIZ','SC',12979,589,NULL,333,NULL,NULL,NULL,4,1),(28,7080611,2.00,4.00,4.00,5.00,3.00,6.38,2.00,1.00,0.00,211,NULL,215,'BOM RETIRO','JOINVILLE','SC',19694,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7080620,4.00,5.00,3.00,6.00,7.00,7.13,3.00,7.00,4.00,340,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',5738,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7080638,3.00,5.00,3.00,7.00,7.00,NULL,3.00,7.00,4.00,216,NULL,215,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7080654,3.00,4.00,1.00,3.00,7.00,9.38,5.00,3.00,2.00,235,NULL,213,'PONTE DO IMARUIM','PALHOÇA','SC',11899,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7080662,2.00,5.00,2.00,3.00,8.00,6.00,2.00,5.00,2.00,201,NULL,601,'CENTRO','ARROIO TRINTA','SC',12126,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7080670,1.00,4.00,2.00,5.00,6.00,8.63,1.00,2.00,2.00,108,NULL,NULL,'PRADO','BIGUAÇU','SC',16219,220,NULL,NULL,NULL,NULL,NULL,2,1),(28,7080697,1.00,5.00,2.00,3.00,4.00,5.25,2.00,2.00,3.00,110,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',19530,103,NULL,NULL,NULL,NULL,NULL,4,1),(28,7080727,5.00,7.00,4.00,4.00,7.00,8.63,6.00,8.00,7.00,220,NULL,214,'CENTRO','TIJUCAS','SC',2671,76,NULL,NULL,NULL,NULL,NULL,4,1),(28,7080751,3.00,4.00,2.00,6.00,6.00,9.00,0.00,4.00,3.00,303,NULL,NULL,'INTERIOR','CONCÓRDIA','SC',15396,537,NULL,NULL,NULL,NULL,NULL,2,26),(28,7080760,2.00,4.00,1.00,4.00,7.00,7.50,3.00,5.00,2.00,102,NULL,NULL,'CENTRO','BRUSQUE','SC',11954,114,NULL,NULL,NULL,NULL,NULL,4,22),(28,7080778,4.00,8.00,4.00,1.00,8.00,8.63,3.00,6.00,5.00,103,NULL,NULL,'OESTE','GOIÂNIA','GO',4236,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7080786,6.00,9.00,4.00,6.00,11.00,11.25,4.00,7.00,6.00,303,NULL,NULL,'CENTRO','ERECHIM','RS',803,32,NULL,NULL,NULL,NULL,NULL,4,4),(28,7080808,1.00,4.00,3.00,7.00,5.00,9.75,3.00,5.00,0.00,223,NULL,NULL,'VILA NOVA','PTO ALEGRE','RS',16080,30,NULL,NULL,NULL,NULL,NULL,4,15),(28,7080816,2.00,5.00,1.00,5.00,6.00,6.75,1.00,4.00,4.00,309,NULL,NULL,'CAMPINAS','S JOSÉ','SC',18490,54,NULL,NULL,NULL,NULL,NULL,2,1),(28,7080840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7080859,3.00,7.00,4.00,5.00,2.00,NULL,3.00,7.00,2.00,238,NULL,235,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7080867,1.00,4.00,1.00,5.00,9.00,10.50,2.00,2.00,3.00,340,NULL,NULL,'RETIRO DA LAGOA','FLORIANÓPOLIS','SC',16571,406,NULL,NULL,NULL,NULL,NULL,2,1),(28,7080875,0.00,5.00,1.00,7.00,2.00,NULL,1.00,5.00,3.00,415,NULL,NULL,'CENTRO','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7080883,2.00,3.00,3.00,4.00,5.00,7.88,2.00,5.00,3.00,203,NULL,214,'CENTRO','CONCÓRDIA','SC',17228,680,NULL,341,NULL,NULL,NULL,2,26),(28,7080913,3.00,6.00,3.00,5.00,3.00,7.88,3.00,5.00,1.00,502,NULL,NULL,'CENTRO','JOAÇABA','SC',16335,37,NULL,NULL,NULL,NULL,NULL,2,7),(28,7080921,6.00,8.00,5.00,5.00,10.00,9.38,5.00,6.00,5.00,103,NULL,NULL,'JARDIM EUROPA','ASSIS','SP',457,320,NULL,NULL,NULL,NULL,NULL,4,1),(28,7080948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7080956,0.00,1.00,2.00,0.00,3.00,5.63,0.00,2.00,2.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7080972,1.00,1.00,0.00,3.00,6.00,NULL,1.00,3.00,0.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7080980,7.00,6.00,4.00,6.00,9.00,9.00,4.00,7.00,5.00,5,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',2192,70,NULL,NULL,NULL,NULL,NULL,2,5),(28,7080999,2.00,7.00,3.00,6.00,9.00,7.88,3.00,6.00,4.00,999,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7081006,0.00,4.00,3.00,4.00,5.00,8.25,2.00,4.00,2.00,238,NULL,NULL,'CENTRO','S JOSÉ','SC',18943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081022,0.00,3.00,3.00,2.00,4.00,6.38,1.00,4.00,3.00,103,NULL,NULL,'VILA SAO PAULO','CPO LIMPO PAULISTA','SP',15649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081030,4.00,6.00,5.00,7.00,7.00,11.25,4.00,6.00,6.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',1431,720,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081049,2.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,1.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7081057,3.00,6.00,2.00,6.00,4.00,7.13,3.00,4.00,4.00,230,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15214,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081081,3.00,5.00,2.00,5.00,4.00,4.50,2.00,5.00,3.00,214,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',13880,309,NULL,297,NULL,NULL,NULL,4,1),(28,7081103,3.00,5.00,2.00,3.00,3.00,6.00,0.00,4.00,2.00,309,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16437,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081111,3.00,9.00,1.00,7.00,6.00,7.13,4.00,5.00,4.00,304,NULL,NULL,'PARAISO','S PAULO','SP',7236,47,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081120,2.00,5.00,2.00,7.00,9.00,7.88,2.00,4.00,4.00,101,NULL,NULL,'IPIRANGA','S JOSÉ','SC',9852,39,NULL,NULL,NULL,NULL,NULL,2,1),(28,7081146,3.00,5.00,3.00,4.00,9.00,7.13,3.00,5.00,3.00,303,NULL,NULL,'GLÓRIA','JOINVILLE','SC',12638,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7081154,3.00,4.00,2.00,4.00,3.00,5.25,2.00,4.00,3.00,426,NULL,429,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7081170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TARUMÃ','VIAMÃO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7081189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7081197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7081200,6.00,7.00,4.00,6.00,7.00,6.75,3.00,6.00,6.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',6550,171,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7081251,4.00,4.00,3.00,4.00,6.00,6.00,3.00,4.00,0.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7081278,2.00,4.00,0.00,6.00,6.00,NULL,0.00,4.00,2.00,103,NULL,NULL,'SETOR LESTE','GAMA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7081286,0.00,5.00,2.00,3.00,5.00,5.25,3.00,7.00,3.00,552,NULL,NULL,'N SENHORA DE LURDES','CAMPOS NOVOS','SC',13719,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7081294,3.00,7.00,1.00,5.00,9.00,8.63,4.00,4.00,5.00,316,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',5717,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081308,1.00,3.00,2.00,4.00,3.00,6.38,1.00,4.00,4.00,5,NULL,NULL,'NOSSA SENHORA APAREC','AT BELA VISTA','SC',17341,457,NULL,NULL,NULL,NULL,NULL,2,26),(28,7081316,3.00,3.00,1.00,7.00,7.00,8.63,3.00,4.00,3.00,104,NULL,NULL,'DAS NAÇÕES','INDAIAL','SC',10487,253,NULL,NULL,NULL,NULL,NULL,4,2),(28,7081324,0.00,1.00,1.00,2.00,2.00,NULL,1.00,3.00,1.00,316,NULL,NULL,'FORQUILINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081332,4.00,7.00,2.00,6.00,8.00,8.25,4.00,5.00,4.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',3913,1308,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7081359,6.00,7.00,2.00,4.00,9.00,6.75,3.00,7.00,6.00,102,NULL,NULL,'JARDIM DAS ACÁCIAS','S JOSÉ','SC',7414,53,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081367,4.00,7.00,2.00,5.00,8.00,10.13,5.00,6.00,5.00,103,NULL,NULL,'RIO BONITO','JOINVILLE','SC',3103,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7081375,7.00,8.00,1.00,7.00,10.00,8.25,5.00,5.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1696,78,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081391,4.00,4.00,1.00,5.00,8.00,5.63,1.00,5.00,3.00,101,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',14377,90,NULL,NULL,NULL,NULL,NULL,2,8),(28,7081405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7081421,2.00,5.00,2.00,7.00,6.00,7.13,3.00,5.00,4.00,201,NULL,214,'MEIA PRAIA','ITAPEMA','SC',14724,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7081448,7.00,8.00,3.00,6.00,6.00,7.13,4.00,6.00,7.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',5108,1509,NULL,NULL,NULL,NULL,NULL,4,8),(28,7081456,2.00,8.00,1.00,6.00,6.00,9.75,1.00,4.00,2.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7081464,1.00,4.00,1.00,4.00,8.00,8.63,4.00,4.00,2.00,303,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',15985,547,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081472,7.00,8.00,2.00,6.00,10.00,12.75,3.00,8.00,6.00,103,NULL,NULL,'JARDIM DE CRESCI','S CARLOS','SP',330,243,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081480,4.00,7.00,5.00,5.00,9.00,10.50,4.00,5.00,7.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',2553,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081499,3.00,5.00,3.00,3.00,5.00,5.63,1.00,4.00,3.00,301,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',13938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081502,0.00,0.00,2.00,1.00,3.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'MACIEIRA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,16),(28,7081510,6.00,7.00,2.00,5.00,6.00,7.50,2.00,6.00,4.00,336,NULL,NULL,'MUNICÍPIOS','BAL CAMBORIÚ','SC',6481,34,NULL,NULL,NULL,NULL,NULL,4,3),(28,7081537,6.00,7.00,3.00,7.00,9.00,11.25,3.00,5.00,6.00,207,NULL,211,'GLÓRIA','JOINVILLE','SC',1421,37,NULL,NULL,NULL,NULL,NULL,4,8),(28,7081545,3.00,6.00,3.00,5.00,7.00,9.38,3.00,4.00,3.00,601,NULL,202,'ACLIMAÇÃO','S PAULO','SP',8528,210,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081561,2.00,7.00,3.00,6.00,5.00,5.63,6.00,5.00,3.00,304,NULL,NULL,'JARDIM EUROPA','SANTANA LIVRAMENTO','RS',7764,52,NULL,NULL,NULL,NULL,NULL,2,1),(28,7081570,4.00,6.00,6.00,7.00,8.00,9.00,6.00,6.00,6.00,103,NULL,NULL,'BOA ESPERANÇA','CUIABÁ','MT',1242,653,NULL,NULL,NULL,NULL,NULL,2,1),(28,7081588,5.00,5.00,2.00,6.00,8.00,9.00,4.00,5.00,5.00,319,NULL,NULL,'IGRA','TORRES','RS',4578,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7081596,3.00,6.00,3.00,3.00,4.00,7.13,2.00,5.00,3.00,201,NULL,215,'SANTA MONICA','UBERLÂNDIA','MG',12166,781,NULL,205,NULL,NULL,NULL,4,1),(28,7081600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'CENTRO','PAIÇANDU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7081618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'ABRAAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7081626,4.00,7.00,3.00,7.00,9.00,10.13,5.00,7.00,6.00,5,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',3049,108,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081634,6.00,8.00,4.00,6.00,10.00,10.50,4.00,8.00,7.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',1779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081642,4.00,5.00,2.00,6.00,7.00,9.00,4.00,4.00,6.00,336,NULL,NULL,'AGUA VERDE','CURITIBA','PR',9333,47,NULL,NULL,NULL,NULL,NULL,2,6),(28,7081650,4.00,7.00,3.00,5.00,7.00,8.63,2.00,5.00,5.00,205,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',6340,1,NULL,NULL,NULL,NULL,NULL,2,1),(28,7081669,5.00,7.00,1.00,7.00,5.00,7.13,6.00,4.00,3.00,999,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081677,4.00,7.00,2.00,7.00,7.00,13.13,6.00,6.00,5.00,238,NULL,207,'COQUEIROS','FLORIANÓPOLIS','SC',5136,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081685,1.00,4.00,1.00,1.00,2.00,NULL,2.00,3.00,2.00,502,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7081693,2.00,7.00,2.00,6.00,7.00,9.38,2.00,6.00,3.00,201,NULL,601,'VILA LALAU','JARAGUÁ SUL','SC',7364,NULL,NULL,166,NULL,NULL,NULL,2,23),(28,7081707,2.00,7.00,1.00,7.00,9.00,9.38,2.00,4.00,6.00,102,NULL,NULL,'JARDIM AUGUSTA','S JOSÉ CAMPOS','SP',4529,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081715,0.00,3.00,1.00,3.00,1.00,NULL,3.00,3.00,3.00,9,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081723,1.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,0.00,303,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081731,0.00,3.00,2.00,4.00,2.00,NULL,0.00,3.00,2.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7081740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7081758,2.00,7.00,1.00,6.00,6.00,7.13,3.00,6.00,3.00,103,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',8554,1955,NULL,NULL,NULL,NULL,NULL,2,1),(28,7081774,2.00,5.00,2.00,5.00,4.00,9.00,4.00,4.00,4.00,212,NULL,601,'PACHECO','PALHOÇA','SC',10838,318,NULL,317,NULL,NULL,NULL,2,1),(28,7081782,7.00,7.00,0.00,7.00,7.00,7.50,2.00,2.00,3.00,999,NULL,NULL,'JD NOVO HORIZONTE','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7081804,6.00,7.00,5.00,5.00,7.00,9.00,8.00,7.00,8.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',528,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081812,5.00,9.00,3.00,7.00,8.00,10.13,3.00,6.00,7.00,304,NULL,NULL,'JARDIM PORTUGAL','S JOSÉ CAMPOS','SP',1788,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7081855,2.00,1.00,2.00,3.00,2.00,NULL,1.00,3.00,1.00,652,NULL,238,'TABULEIRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7081863,8.00,8.00,2.00,7.00,8.00,9.75,5.00,8.00,7.00,207,NULL,201,'PINHEIRINHOS','PASSA QUATRO','MG',693,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081910,2.00,3.00,1.00,5.00,5.00,7.50,1.00,4.00,2.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15246,413,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081928,1.00,5.00,0.00,2.00,1.00,NULL,0.00,5.00,2.00,340,NULL,NULL,'CEDRINHO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7081944,4.00,8.00,4.00,7.00,10.00,10.88,7.00,9.00,7.00,203,NULL,214,'CANTO','FLORIANÓPOLIS','SC',194,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7081952,6.00,6.00,3.00,7.00,9.00,10.13,4.00,5.00,6.00,601,NULL,201,'CENTRO','FOZ IGUAÇU','PR',2684,34,NULL,NULL,NULL,NULL,NULL,4,8),(28,7081960,3.00,5.00,3.00,5.00,6.00,8.25,5.00,4.00,5.00,552,NULL,NULL,'CENTRO','CURITIBANOS','SC',10433,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7081979,1.00,4.00,3.00,6.00,6.00,6.75,2.00,3.00,3.00,999,NULL,NULL,'PROGRESSO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7081987,2.00,0.00,3.00,6.00,5.00,NULL,0.00,0.00,0.00,214,NULL,203,'JARDIM ADALGIZA','OSASCO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7081995,2.00,7.00,2.00,7.00,4.00,7.50,0.00,5.00,5.00,220,NULL,214,'VILA PREL','S PAULO','SP',7836,208,NULL,226,NULL,NULL,NULL,4,1),(28,7082010,1.00,2.00,4.00,3.00,3.00,8.63,1.00,3.00,1.00,425,NULL,424,'SÃO JOÃO','DOIS IRMÃOS','RS',18235,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7082029,5.00,7.00,2.00,6.00,6.00,8.25,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',3207,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7082037,2.00,2.00,0.00,4.00,6.00,NULL,4.00,2.00,2.00,319,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7082053,2.00,5.00,2.00,4.00,4.00,8.63,0.00,3.00,3.00,333,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',16012,100,NULL,NULL,NULL,NULL,NULL,4,1),(28,7082061,3.00,7.00,1.00,7.00,8.00,8.25,3.00,6.00,4.00,201,NULL,212,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',5151,398,NULL,168,NULL,NULL,NULL,4,1),(28,7082070,3.00,6.00,2.00,7.00,8.00,8.63,3.00,4.00,2.00,304,NULL,NULL,'ARIRIBA','BAL CAMBORIÚ','SC',13591,103,NULL,NULL,NULL,NULL,NULL,4,3),(28,7082088,0.00,3.00,1.00,5.00,3.00,NULL,2.00,1.00,0.00,303,NULL,NULL,'ACARAÍ','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7082096,4.00,6.00,2.00,5.00,8.00,10.13,3.00,4.00,5.00,108,NULL,NULL,'PRAIA MOLE','FLORIANÓPOLIS','SC',8128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7082118,5.00,6.00,3.00,7.00,8.00,9.75,5.00,5.00,4.00,108,NULL,NULL,'ESTALEIRINHO','BAL CAMBORIÚ','SC',3231,28,NULL,NULL,NULL,NULL,NULL,2,3),(28,7082126,0.00,7.00,2.00,6.00,5.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'NAÇÕES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7082134,4.00,7.00,3.00,8.00,6.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,5),(28,7082142,1.00,8.00,1.00,7.00,6.00,8.63,3.00,3.00,0.00,425,NULL,424,'CENTRO','SIDERÓPOLIS','SC',9634,22,NULL,NULL,NULL,NULL,NULL,4,5),(28,7082150,3.00,2.00,2.00,0.00,2.00,NULL,1.00,3.00,0.00,303,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7082169,2.00,4.00,2.00,6.00,8.00,8.25,3.00,3.00,1.00,203,NULL,235,'CRUZEIRO DO SUL','CRICIÚMA','SC',16924,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7082185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'SAN CONRADO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7082193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'BUTIATUVINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7082207,2.00,6.00,0.00,3.00,6.00,8.25,3.00,4.00,4.00,302,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',12284,79,NULL,NULL,NULL,NULL,NULL,4,1),(28,7082215,2.00,7.00,0.00,6.00,5.00,10.13,2.00,4.00,2.00,103,NULL,NULL,'SÃO PEDRO','PTO UNIÃO','SC',11682,2181,NULL,NULL,NULL,NULL,NULL,4,17),(28,7082223,5.00,7.00,4.00,6.00,8.00,7.13,5.00,7.00,7.00,208,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',1377,8,NULL,NULL,NULL,NULL,NULL,4,3),(28,7082231,3.00,7.00,1.00,6.00,4.00,6.75,2.00,6.00,3.00,201,NULL,653,'CENTRO','INDAIATUBA','SP',9373,NULL,NULL,97,NULL,NULL,NULL,4,1),(28,7082240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'MARIA IZABEL','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7082258,3.00,5.00,0.00,6.00,8.00,6.38,2.00,4.00,2.00,104,NULL,NULL,'NAÇÕES','TIMBÓ','SC',8907,213,NULL,NULL,NULL,NULL,NULL,2,2),(28,7082266,6.00,8.00,5.00,7.00,8.00,10.88,4.00,6.00,8.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',763,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7082282,6.00,8.00,5.00,7.00,9.00,10.88,5.00,6.00,7.00,103,NULL,NULL,'PARAISO','S PAULO','SP',479,331,NULL,NULL,NULL,NULL,NULL,4,1),(28,7082304,5.00,4.00,3.00,5.00,8.00,6.75,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','LAURENTINO','SC',6437,1689,NULL,NULL,NULL,NULL,NULL,2,24),(28,7082312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,601,'VILA MARIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7082339,2.00,6.00,1.00,7.00,1.00,NULL,4.00,4.00,2.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7082347,1.00,7.00,0.00,6.00,2.00,NULL,1.00,5.00,3.00,421,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7082355,2.00,5.00,2.00,6.00,6.00,7.13,2.00,6.00,4.00,450,NULL,NULL,'RIO BRANCO','CAXIAS SUL','RS',10775,86,NULL,NULL,NULL,NULL,NULL,2,1),(28,7082363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7082371,1.00,4.00,4.00,7.00,7.00,6.75,3.00,6.00,3.00,601,NULL,201,'ENSEADA PRAINHA','S FRANCISCO SUL','SC',14329,429,NULL,879,NULL,NULL,NULL,4,8),(28,7082398,2.00,6.00,3.00,5.00,8.00,9.38,3.00,6.00,3.00,5,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',12100,342,NULL,NULL,NULL,NULL,NULL,4,5),(28,7082401,3.00,7.00,1.00,5.00,6.00,9.38,2.00,6.00,3.00,601,NULL,216,'COMASA','JOINVILLE','SC',13541,409,NULL,NULL,NULL,NULL,NULL,2,8),(28,7082410,6.00,8.00,4.00,7.00,9.00,10.13,3.00,6.00,6.00,214,NULL,215,'LAGO NORTE','LG NORTE','DF',1650,51,NULL,8,NULL,NULL,NULL,4,1),(28,7082428,6.00,8.00,5.00,7.00,9.00,8.63,5.00,7.00,6.00,203,NULL,214,'AMÉRICA','JOINVILLE','SC',767,71,NULL,NULL,NULL,NULL,NULL,4,1),(28,7082436,0.00,6.00,2.00,7.00,4.00,NULL,2.00,3.00,2.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7082444,0.00,2.00,2.00,5.00,2.00,NULL,3.00,3.00,2.00,454,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7082460,1.00,5.00,2.00,6.00,4.00,7.13,2.00,6.00,2.00,103,NULL,NULL,'LAUSANE PAULISTA','S PAULO','SP',11699,2187,NULL,NULL,NULL,NULL,NULL,4,1),(28,7082479,3.00,5.00,2.00,7.00,4.00,9.00,3.00,6.00,3.00,220,NULL,235,'TATUAPÉ','S PAULO','SP',8835,228,NULL,143,NULL,NULL,NULL,4,1),(28,7082487,5.00,7.00,4.00,7.00,6.00,9.75,4.00,7.00,5.00,652,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',2735,4,NULL,NULL,NULL,NULL,NULL,4,15),(28,7082495,5.00,6.00,4.00,7.00,5.00,7.88,5.00,4.00,6.00,319,NULL,NULL,'CENTRO','LAGES','SC',6959,111,NULL,NULL,NULL,NULL,NULL,4,1),(28,7082509,4.00,4.00,0.00,4.00,6.00,8.63,4.00,3.00,2.00,552,NULL,NULL,'VILA DOS MÉDICOS','BOTUCATU','SP',9353,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7082517,4.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,203,NULL,220,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7082525,6.00,6.00,2.00,6.00,8.00,11.63,2.00,4.00,6.00,340,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',6394,161,NULL,NULL,NULL,NULL,NULL,4,22),(28,7082533,6.00,7.00,3.00,6.00,10.00,9.75,4.00,7.00,7.00,201,NULL,214,'ABRAÃO','FLORIANÓPOLIS','SC',1563,95,NULL,45,NULL,NULL,NULL,4,1),(28,7082541,2.00,6.00,1.00,6.00,6.00,7.50,0.00,4.00,2.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',14908,292,NULL,NULL,NULL,NULL,NULL,2,1),(28,7082576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7082584,4.00,5.00,0.00,6.00,3.00,NULL,1.00,1.00,2.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7082592,4.00,7.00,2.00,7.00,8.00,8.63,1.00,7.00,3.00,103,NULL,NULL,'JARDIM MARIA CANDIDA','CAÇAPAVA','SP',5466,1564,NULL,NULL,NULL,NULL,NULL,4,1),(28,7082606,0.00,2.00,2.00,5.00,3.00,4.50,3.00,5.00,2.00,655,NULL,NULL,'JANUARIA','SOMBRIO','SC',19606,131,NULL,NULL,NULL,NULL,NULL,2,15),(28,7082622,4.00,6.00,4.00,5.00,7.00,9.00,3.00,5.00,5.00,317,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',5486,13,NULL,NULL,NULL,NULL,NULL,2,1),(28,7082649,1.00,7.00,0.00,6.00,3.00,NULL,4.00,5.00,3.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7082665,0.00,3.00,2.00,1.00,3.00,NULL,1.00,2.00,1.00,552,NULL,NULL,'PARIZOTTO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7082673,2.00,4.00,2.00,3.00,5.00,5.63,2.00,4.00,4.00,317,NULL,NULL,'FÁTIMA','VACARIA','RS',13754,83,NULL,NULL,NULL,NULL,NULL,2,9),(28,7082703,6.00,8.00,5.00,6.00,10.00,10.50,6.00,7.00,6.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',674,420,NULL,NULL,NULL,NULL,NULL,4,10),(28,7082711,7.00,9.00,0.00,7.00,7.00,NULL,3.00,8.00,6.00,103,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7082720,2.00,7.00,2.00,3.00,5.00,7.13,5.00,4.00,3.00,201,NULL,202,'JARDIN MARILIZA','GOIÂNIA','GO',11206,734,NULL,284,NULL,NULL,NULL,2,1),(28,7082738,4.00,8.00,3.00,4.00,8.00,11.63,3.00,7.00,3.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4009,1327,NULL,NULL,NULL,NULL,NULL,4,1),(28,7082746,1.00,3.00,2.00,5.00,4.00,7.13,3.00,4.00,3.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',18449,472,NULL,NULL,NULL,NULL,NULL,2,1),(28,7082762,4.00,8.00,4.00,7.00,8.00,6.00,2.00,7.00,4.00,211,NULL,212,'PROGRESSO','S BENTO SUL','SC',4363,108,NULL,NULL,NULL,NULL,NULL,4,1),(28,7082770,5.00,5.00,3.00,7.00,9.00,11.25,2.00,3.00,3.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8776,6,NULL,NULL,NULL,NULL,NULL,2,1),(28,7082789,4.00,9.00,2.00,8.00,8.00,10.13,4.00,8.00,4.00,324,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',4507,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7082797,1.00,7.00,2.00,5.00,8.00,8.63,4.00,7.00,1.00,454,NULL,NULL,'ITAIPAVA','ITAJAÍ','SC',10529,198,NULL,NULL,NULL,NULL,NULL,4,6),(28,7082800,4.00,7.00,4.00,2.00,4.00,7.50,3.00,6.00,2.00,103,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',15655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7082819,1.00,7.00,3.00,4.00,4.00,8.25,2.00,5.00,3.00,224,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',17509,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7082827,2.00,4.00,1.00,5.00,6.00,7.88,2.00,3.00,3.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',12872,2255,NULL,NULL,NULL,NULL,NULL,4,8),(28,7082835,7.00,8.00,6.00,7.00,9.00,9.75,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',192,151,NULL,NULL,NULL,NULL,NULL,3,1),(28,7082851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CENTRO','S MANUEL','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7082878,3.00,6.00,2.00,3.00,3.00,8.63,2.00,4.00,2.00,999,NULL,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7082886,1.00,2.00,2.00,2.00,4.00,0.00,2.00,2.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7082894,1.00,7.00,2.00,6.00,6.00,9.00,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',14219,2316,NULL,NULL,NULL,NULL,NULL,2,9),(28,7082924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7082940,2.00,7.00,2.00,5.00,7.00,8.25,2.00,7.00,2.00,425,NULL,424,'KOBRASOL','S JOSÉ','SC',14553,46,NULL,19,NULL,NULL,NULL,4,1),(28,7082959,4.00,6.00,1.00,5.00,7.00,6.75,3.00,4.00,3.00,9,NULL,NULL,'VILA MARIA','S JOSÉ CAMPOS','SP',9802,53,NULL,NULL,NULL,NULL,NULL,2,1),(28,7083009,1.00,6.00,3.00,6.00,10.00,7.13,2.00,6.00,2.00,303,NULL,NULL,'CENTENARIO','TORRES','RS',7186,322,NULL,NULL,NULL,NULL,NULL,2,15),(28,7083017,2.00,6.00,0.00,7.00,10.00,6.75,4.00,6.00,4.00,451,NULL,NULL,'BAEPENDI','JARAGUÁ SUL','SC',7216,15,NULL,NULL,NULL,NULL,NULL,4,23),(28,7083025,1.00,5.00,3.00,2.00,4.00,6.75,2.00,4.00,2.00,108,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',15761,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7083033,0.00,7.00,1.00,6.00,8.00,NULL,2.00,6.00,3.00,425,NULL,426,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7083041,8.00,8.00,7.00,5.00,8.00,10.88,5.00,7.00,7.00,103,NULL,NULL,'IPIRANGA','S PAULO','SP',202,159,NULL,NULL,NULL,NULL,NULL,4,1),(28,7083050,2.00,5.00,2.00,6.00,6.00,6.00,1.00,5.00,0.00,340,NULL,NULL,'SANTO ANTONIO','PATO BRANCO','PR',14558,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7083068,2.00,4.00,3.00,6.00,7.00,NULL,3.00,3.00,2.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7083084,2.00,4.00,1.00,4.00,6.00,7.88,1.00,3.00,1.00,601,NULL,652,'CENTRO','AGROLÂNDIA','SC',19239,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7083092,6.00,8.00,4.00,6.00,7.00,7.50,6.00,6.00,7.00,103,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',1303,679,NULL,NULL,NULL,NULL,NULL,2,1),(28,7083106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'SÃO PAULO','ELÓI MENDES','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7083114,1.00,4.00,3.00,2.00,7.00,10.13,1.00,4.00,4.00,104,NULL,NULL,'CENTENÁRIO','MONTENEGRO','RS',11284,276,NULL,NULL,NULL,NULL,NULL,4,4),(28,7083130,3.00,6.00,4.00,6.00,4.00,7.13,1.00,4.00,3.00,216,NULL,NULL,'CENTRO','VILHENA','RO',9138,296,NULL,NULL,NULL,NULL,NULL,2,4),(28,7083149,1.00,4.00,2.00,4.00,7.00,5.63,4.00,5.00,4.00,454,NULL,NULL,'ARMAÇÃO DO PTO SUL','FLORIANÓPOLIS','SC',15450,316,NULL,NULL,NULL,NULL,NULL,4,1),(28,7083165,4.00,7.00,2.00,6.00,7.00,9.75,4.00,5.00,4.00,318,NULL,NULL,'PARQUE DA REPRESA','JUNDIAÍ','SP',3751,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7083173,1.00,6.00,1.00,5.00,2.00,NULL,3.00,4.00,2.00,444,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7083181,1.00,3.00,1.00,6.00,7.00,5.25,3.00,4.00,3.00,450,NULL,NULL,'BARREIROS','S JOSÉ','SC',14610,108,NULL,NULL,NULL,NULL,NULL,2,1),(28,7083190,0.00,5.00,1.00,1.00,6.00,NULL,0.00,1.00,0.00,303,NULL,NULL,'PORTINHO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7083211,3.00,7.00,4.00,8.00,8.00,11.63,4.00,6.00,5.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',2612,1049,NULL,NULL,NULL,NULL,NULL,4,8),(28,7083220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FÁTIMA','BOM JESUS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7083238,4.00,6.00,3.00,7.00,8.00,9.38,6.00,3.00,6.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',3511,1244,NULL,NULL,NULL,NULL,NULL,4,1),(28,7083246,5.00,6.00,1.00,5.00,5.00,7.88,3.00,5.00,6.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13286,249,NULL,NULL,NULL,NULL,NULL,2,1),(28,7083254,1.00,3.00,2.00,6.00,4.00,7.50,1.00,2.00,1.00,601,NULL,201,'AVENTUREIRO','JOINVILLE','SC',15822,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7083262,1.00,3.00,2.00,5.00,4.00,5.25,2.00,5.00,2.00,423,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19382,35,NULL,NULL,NULL,NULL,NULL,2,1),(28,7083270,2.00,4.00,3.00,6.00,7.00,5.63,4.00,5.00,2.00,9,NULL,NULL,'CENTRO','RIO SUL','SC',9914,54,NULL,NULL,NULL,NULL,NULL,4,6),(28,7083297,2.00,5.00,1.00,3.00,2.00,NULL,0.00,5.00,1.00,450,NULL,NULL,'ESTEVAM CARRARO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7083300,0.00,2.00,1.00,5.00,1.00,NULL,2.00,2.00,2.00,339,NULL,NULL,'BARREIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7083319,0.00,4.00,0.00,3.00,3.00,NULL,2.00,5.00,0.00,415,NULL,NULL,'RIO DO TIGRE','RIO RUFINO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7083327,3.00,6.00,5.00,7.00,6.00,10.13,6.00,6.00,6.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',1545,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7083335,1.00,7.00,2.00,7.00,6.00,8.63,5.00,4.00,3.00,201,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',7959,NULL,NULL,105,NULL,NULL,NULL,4,1),(28,7083351,5.00,7.00,2.00,5.00,6.00,6.75,2.00,5.00,4.00,238,NULL,216,'PASSA VINTE','PALHOÇA','SC',7063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7083360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,202,'SETOR PEDRO LUDOVICO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7083378,1.00,6.00,0.00,6.00,5.00,8.25,1.00,6.00,3.00,235,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',13135,212,NULL,NULL,NULL,NULL,NULL,4,6),(28,7083386,2.00,5.00,1.00,4.00,4.00,7.50,2.00,4.00,2.00,655,NULL,238,'MAGALHAES','LAGUNA','SC',19029,125,NULL,NULL,NULL,NULL,NULL,4,10),(28,7083394,5.00,8.00,5.00,5.00,8.00,8.25,6.00,8.00,7.00,103,NULL,NULL,'VILA ANTARTICA','BAURU','SP',988,548,NULL,NULL,NULL,NULL,NULL,4,1),(28,7083408,0.00,5.00,0.00,3.00,6.00,NULL,4.00,6.00,3.00,303,NULL,NULL,'ÁGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7083416,0.00,6.00,2.00,7.00,8.00,NULL,1.00,4.00,3.00,207,NULL,201,'CONGONHAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7083424,5.00,6.00,1.00,5.00,5.00,8.63,2.00,7.00,4.00,319,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',9369,167,NULL,NULL,NULL,NULL,NULL,4,23),(28,7083440,3.00,4.00,2.00,7.00,5.00,NULL,0.00,4.00,4.00,415,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7083459,0.00,5.00,3.00,2.00,4.00,NULL,2.00,3.00,2.00,207,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7083475,3.00,6.00,3.00,6.00,6.00,7.13,3.00,5.00,5.00,104,NULL,NULL,'CENTRO','PTO ALEGRE','RS',6562,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7083483,2.00,5.00,1.00,6.00,5.00,7.88,0.00,3.00,2.00,324,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',18626,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7083491,1.00,6.00,4.00,5.00,8.00,9.75,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',7499,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7083505,2.00,4.00,1.00,3.00,7.00,7.88,2.00,3.00,6.00,102,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',11202,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7083513,2.00,5.00,0.00,5.00,8.00,6.75,0.00,4.00,4.00,318,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',17479,125,NULL,NULL,NULL,NULL,NULL,4,1),(28,7083521,0.00,4.00,1.00,5.00,5.00,5.25,2.00,4.00,3.00,655,NULL,653,'CENTRO','JACINTO MACHADO','SC',16436,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7083556,4.00,7.00,0.00,7.00,9.00,9.00,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',5200,1523,NULL,NULL,NULL,NULL,NULL,2,7),(28,7083564,3.00,5.00,1.00,5.00,4.00,7.50,0.00,3.00,2.00,502,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',14693,28,NULL,NULL,NULL,NULL,NULL,2,3),(28,7083572,4.00,8.00,3.00,5.00,9.00,7.50,3.00,5.00,7.00,103,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',4241,1371,NULL,NULL,NULL,NULL,NULL,2,1),(28,7083580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BOCA DO RIO','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7083599,4.00,6.00,4.00,6.00,4.00,NULL,1.00,4.00,4.00,235,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,6),(28,7083602,3.00,3.00,2.00,3.00,8.00,7.50,3.00,4.00,4.00,440,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7083629,1.00,5.00,1.00,4.00,6.00,7.88,2.00,4.00,2.00,205,NULL,NULL,'BARREIROS','S JOSÉ','SC',12942,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7083637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7083645,7.00,7.00,1.00,7.00,8.00,7.88,6.00,7.00,8.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1024,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7083653,6.00,7.00,5.00,7.00,10.00,10.13,5.00,7.00,7.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',551,365,NULL,NULL,NULL,NULL,NULL,4,1),(28,7083661,3.00,9.00,1.00,6.00,6.00,9.38,4.00,5.00,2.00,207,NULL,211,'SÃO CRISTÓVÃO','CRICIÚMA','SC',10983,503,NULL,291,NULL,NULL,NULL,4,5),(28,7083670,6.00,7.00,4.00,6.00,10.00,8.25,4.00,7.00,6.00,201,NULL,233,'KOBRASOL','S JOSÉ','SC',1449,86,NULL,21,NULL,NULL,NULL,4,1),(28,7083688,0.00,4.00,0.00,5.00,4.00,5.25,1.00,3.00,2.00,5,NULL,NULL,'CENTRO','MONDAÍ','SC',19771,491,NULL,NULL,NULL,NULL,NULL,4,4),(28,7083700,2.00,7.00,2.00,7.00,9.00,8.25,2.00,8.00,3.00,326,NULL,NULL,'PENHA','LAGES','SC',9358,27,NULL,NULL,NULL,NULL,NULL,2,9),(28,7083718,2.00,5.00,2.00,7.00,7.00,8.25,4.00,4.00,2.00,444,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',10803,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7083726,0.00,6.00,1.00,5.00,5.00,5.25,1.00,5.00,1.00,110,NULL,NULL,'AREIAS','S JOSÉ','SC',19292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7083742,0.00,6.00,1.00,5.00,7.00,9.00,3.00,4.00,0.00,301,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',12214,167,NULL,NULL,NULL,NULL,NULL,4,7),(28,7083769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'OLINDA','UBERABA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7083777,3.00,7.00,2.00,6.00,8.00,8.63,2.00,6.00,5.00,316,NULL,NULL,'PENHA DE FRANÇA','S PAULO','SP',5380,28,NULL,NULL,NULL,NULL,NULL,4,8),(28,7083785,1.00,4.00,2.00,3.00,2.00,NULL,5.00,4.00,1.00,502,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7083793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PQ GUARANI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7083807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA OPERARIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7083815,3.00,4.00,3.00,4.00,7.00,9.75,4.00,4.00,1.00,450,NULL,NULL,'BARREIROS','S JOSÉ','SC',11259,91,NULL,NULL,NULL,NULL,NULL,4,1),(28,7083823,1.00,4.00,3.00,3.00,6.00,6.75,1.00,3.00,2.00,103,NULL,NULL,'ESCOLAR','SALTO VELOSO','SC',14544,2334,NULL,NULL,NULL,NULL,NULL,4,1),(28,7083858,3.00,2.00,3.00,4.00,3.00,4.50,2.00,2.00,3.00,103,NULL,NULL,'BOEHMERWALD','S BENTO SUL','SC',19866,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7083866,4.00,8.00,4.00,7.00,9.00,10.50,5.00,7.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1768,82,NULL,NULL,NULL,NULL,NULL,4,1),(28,7083882,0.00,7.00,2.00,7.00,6.00,NULL,4.00,4.00,3.00,454,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7083904,7.00,7.00,4.00,7.00,10.00,13.88,4.00,6.00,7.00,233,NULL,216,'BARREIROS','S JOSÉ','SC',291,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7083912,1.00,5.00,0.00,5.00,4.00,6.38,3.00,5.00,0.00,501,NULL,NULL,'CENTRO','STA MARIANA','PR',15811,98,NULL,NULL,NULL,NULL,NULL,4,1),(28,7083920,3.00,7.00,2.00,6.00,5.00,9.00,3.00,6.00,1.00,201,NULL,212,'JARDIN JANAINA','BIGUAÇU','SC',14314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7083939,4.00,6.00,4.00,4.00,4.00,4.88,1.00,5.00,2.00,235,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',14399,229,NULL,431,NULL,NULL,NULL,4,6),(28,7083947,4.00,6.00,2.00,7.00,9.00,10.50,4.00,4.00,0.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',5203,1525,NULL,NULL,NULL,NULL,NULL,4,10),(28,7083955,1.00,8.00,1.00,7.00,5.00,6.75,1.00,4.00,1.00,303,NULL,NULL,'CRUZEIRO DO SUL','JOAÇABA','SC',10911,435,NULL,NULL,NULL,NULL,NULL,4,7),(28,7083980,2.00,7.00,2.00,7.00,4.00,9.38,3.00,5.00,4.00,203,NULL,214,'ESTREITO','FLORIANÓPOLIS','SC',7824,471,NULL,225,NULL,NULL,NULL,4,1),(28,7083998,0.00,4.00,2.00,5.00,4.00,NULL,1.00,4.00,1.00,308,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7084005,0.00,4.00,2.00,5.00,3.00,6.38,1.00,3.00,2.00,215,NULL,211,'IPIRANGA','S JOSÉ','SC',17850,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7084013,3.00,9.00,1.00,7.00,6.00,9.38,5.00,5.00,5.00,303,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',4032,188,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084021,1.00,4.00,1.00,6.00,5.00,4.50,2.00,5.00,1.00,101,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',15941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7084030,0.00,3.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7084048,3.00,6.00,1.00,7.00,7.00,8.63,2.00,4.00,5.00,201,NULL,238,'JARDIM CARANDAÍ','BIGUAÇU','SC',11219,735,NULL,171,NULL,NULL,NULL,4,1),(28,7084064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7084072,3.00,8.00,2.00,8.00,9.00,9.75,3.00,6.00,6.00,340,NULL,NULL,'JARDIM AMÉRICA','SOROCABA','SP',4732,119,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084080,2.00,7.00,2.00,8.00,7.00,8.63,3.00,6.00,2.00,303,NULL,NULL,'VILA NOVA','IMBITUBA','SC',12116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084099,1.00,4.00,3.00,3.00,1.00,NULL,2.00,3.00,1.00,201,NULL,212,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084102,1.00,4.00,0.00,2.00,3.00,7.50,0.00,3.00,0.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',20136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084110,2.00,7.00,2.00,7.00,6.00,6.38,2.00,4.00,4.00,216,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',10230,317,NULL,149,NULL,NULL,NULL,4,1),(28,7084129,5.00,8.00,3.00,3.00,7.00,NULL,6.00,8.00,3.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7084137,4.00,6.00,3.00,6.00,6.00,9.75,3.00,4.00,2.00,999,NULL,NULL,'BOSQUE DAS MANSÕES','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7084145,3.00,5.00,3.00,5.00,8.00,7.88,6.00,7.00,4.00,213,NULL,601,'SÃO MARCOS','JOINVILLE','SC',9316,163,NULL,244,NULL,NULL,NULL,4,8),(28,7084161,1.00,3.00,2.00,5.00,3.00,9.00,1.00,3.00,2.00,207,NULL,201,'SANTA MARIA','ANTÔNIO CARLOS','SC',17173,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7084170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO CRISTÓVÃO','SINOP','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7084188,5.00,8.00,5.00,7.00,8.00,10.50,6.00,7.00,6.00,214,NULL,203,'JARDIM SANTA ANGELA','RIBEIRÃO PRETO','SP',642,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084196,1.00,7.00,3.00,3.00,6.00,9.75,4.00,7.00,3.00,653,NULL,655,'MATO ALTO','ARARANGUÁ','SC',13010,141,NULL,69,NULL,NULL,NULL,4,15),(28,7084200,5.00,8.00,2.00,4.00,5.00,4.88,1.00,7.00,7.00,601,NULL,235,'GARCIA','BLUMENAU','SC',8084,198,NULL,NULL,NULL,NULL,NULL,2,2),(28,7084226,6.00,7.00,3.00,6.00,5.00,8.25,5.00,5.00,4.00,214,NULL,NULL,'OLINDA','UBERABA','MG',4454,150,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084242,3.00,8.00,2.00,5.00,7.00,7.50,4.00,8.00,3.00,601,NULL,214,'ESCOLA AGRICOLA','BLUMENAU','SC',10369,294,NULL,NULL,NULL,NULL,NULL,4,2),(28,7084269,4.00,8.00,2.00,7.00,8.00,11.63,5.00,7.00,4.00,103,NULL,NULL,'CENTRO','SANGÃO','SC',2203,934,NULL,NULL,NULL,NULL,NULL,2,10),(28,7084293,2.00,4.00,2.00,5.00,6.00,6.00,4.00,5.00,3.00,302,NULL,NULL,'IPIRANGA','S JOSÉ','SC',16743,124,NULL,NULL,NULL,NULL,NULL,2,1),(28,7084307,0.00,6.00,3.00,7.00,7.00,NULL,7.00,6.00,3.00,220,NULL,201,'HUMAITÁ','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084315,0.00,2.00,0.00,3.00,1.00,NULL,1.00,2.00,3.00,551,NULL,NULL,'CENTRO','QUITANDINHA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7084331,5.00,7.00,0.00,7.00,5.00,11.63,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','NAVEGANTES','SC',8102,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7084340,3.00,6.00,2.00,7.00,7.00,9.00,2.00,4.00,2.00,999,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7084358,3.00,6.00,1.00,6.00,3.00,7.13,2.00,6.00,4.00,201,NULL,214,'CAMPECHE','FLORIANÓPOLIS','SC',11816,762,NULL,284,NULL,NULL,NULL,2,1),(28,7084366,1.00,8.00,1.00,6.00,7.00,9.00,2.00,6.00,4.00,207,NULL,235,'CENTRO','S JOÃO BATISTA','SC',7344,340,NULL,126,NULL,NULL,NULL,4,22),(28,7084374,3.00,5.00,0.00,6.00,6.00,7.50,5.00,3.00,3.00,319,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',16344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084382,2.00,4.00,0.00,2.00,3.00,NULL,0.00,4.00,0.00,103,NULL,NULL,'INDUSTRIAL','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7084420,5.00,7.00,2.00,5.00,7.00,10.88,2.00,3.00,3.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084447,7.00,6.00,2.00,6.00,7.00,6.75,7.00,6.00,7.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',3549,1252,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084471,4.00,5.00,0.00,5.00,4.00,4.50,2.00,2.00,2.00,338,NULL,NULL,'AREÃO','CANELINHA','SC',16418,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7084498,1.00,7.00,2.00,6.00,8.00,6.38,3.00,5.00,6.00,211,NULL,NULL,'CENTRO','PALMITAL','SP',6180,166,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7084528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'VILA ROSÁLIA','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7084544,4.00,5.00,5.00,5.00,7.00,9.75,2.00,7.00,4.00,201,NULL,212,'JARDIM GOIAS','GOIÂNIA','GO',6348,486,NULL,NULL,NULL,NULL,NULL,4,8),(28,7084560,0.00,6.00,1.00,2.00,5.00,10.88,1.00,3.00,1.00,999,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7084579,2.00,4.00,1.00,4.00,5.00,6.75,1.00,1.00,1.00,109,NULL,NULL,'CENTRO','PTO ALEGRE','RS',16941,75,NULL,NULL,NULL,NULL,NULL,2,4),(28,7084587,0.00,2.00,2.00,3.00,4.00,3.00,0.00,2.00,0.00,208,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7084595,1.00,5.00,1.00,3.00,3.00,4.50,3.00,3.00,3.00,202,NULL,203,'LARANJEIRAS','RIO SUL','SC',17045,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7084609,3.00,6.00,0.00,6.00,9.00,7.88,2.00,3.00,4.00,201,NULL,207,'CENTRO','BAL CAMBORIÚ','SC',9469,651,NULL,444,NULL,NULL,NULL,2,3),(28,7084625,3.00,7.00,3.00,7.00,4.00,6.75,3.00,4.00,3.00,238,NULL,211,'ABRAAO','FLORIANÓPOLIS','SC',13661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084633,1.00,3.00,3.00,4.00,5.00,7.13,2.00,3.00,1.00,415,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',16094,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7084650,4.00,6.00,3.00,7.00,9.00,10.13,4.00,4.00,8.00,336,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1583,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084668,1.00,4.00,2.00,3.00,4.00,5.25,2.00,2.00,2.00,207,NULL,201,'CENTRO','PALHOÇA','SC',18566,784,NULL,1013,NULL,NULL,NULL,4,1),(28,7084676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,26),(28,7084684,6.00,7.00,3.00,6.00,6.00,7.50,3.00,7.00,3.00,201,NULL,212,'NOVA SUIÇA','GOIÂNIA','GO',2177,153,NULL,45,NULL,NULL,NULL,4,1),(28,7084706,4.00,6.00,1.00,5.00,6.00,10.50,1.00,5.00,2.00,220,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',13869,303,NULL,862,NULL,NULL,NULL,2,6),(28,7084749,3.00,5.00,2.00,4.00,8.00,NULL,0.00,4.00,1.00,108,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7084757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SÃO CRISTÓVÃO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7084765,1.00,6.00,1.00,5.00,5.00,9.75,3.00,3.00,5.00,207,NULL,201,'SÃO DIMAS','S JOSÉ CAMPOS','SP',9143,422,NULL,635,NULL,NULL,NULL,2,1),(28,7084781,0.00,4.00,2.00,3.00,1.00,NULL,3.00,5.00,3.00,317,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084790,8.00,9.00,7.00,5.00,10.00,11.63,7.00,7.00,6.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',87,72,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084803,1.00,6.00,2.00,7.00,8.00,7.13,3.00,5.00,3.00,103,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',8147,1915,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084811,5.00,7.00,6.00,6.00,10.00,10.50,6.00,6.00,7.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',517,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084838,4.00,6.00,4.00,4.00,7.00,10.13,3.00,5.00,5.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',5962,1624,NULL,NULL,NULL,NULL,NULL,4,6),(28,7084846,2.00,7.00,1.00,6.00,8.00,6.00,3.00,2.00,4.00,454,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',10137,189,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084854,4.00,6.00,2.00,7.00,2.00,NULL,3.00,4.00,6.00,233,NULL,220,'SÃO CRISTÓVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7084870,5.00,8.00,2.00,6.00,5.00,8.25,4.00,6.00,4.00,212,NULL,213,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',4436,NULL,NULL,63,NULL,NULL,NULL,4,1),(28,7084889,0.00,4.00,2.00,5.00,5.00,6.38,2.00,4.00,3.00,428,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16149,49,NULL,NULL,NULL,NULL,NULL,2,1),(28,7084897,2.00,4.00,0.00,2.00,4.00,5.63,2.00,2.00,1.00,454,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',17981,369,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084919,2.00,7.00,1.00,5.00,8.00,5.63,3.00,4.00,2.00,203,NULL,216,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',12197,585,NULL,351,NULL,NULL,NULL,4,1),(28,7084927,4.00,8.00,3.00,5.00,6.00,9.38,3.00,4.00,5.00,202,NULL,203,'CENTRO','FOZ IGUAÇU','PR',6198,170,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084935,0.00,5.00,2.00,7.00,1.00,NULL,0.00,4.00,2.00,332,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7084951,1.00,5.00,1.00,5.00,6.00,12.75,2.00,4.00,2.00,320,NULL,NULL,'PARTENON','PTO ALEGRE','RS',17043,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7084960,3.00,0.00,2.00,6.00,10.00,NULL,0.00,0.00,0.00,201,NULL,601,'ESPINHEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(28,7084978,1.00,4.00,1.00,6.00,5.00,6.75,3.00,3.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18192,431,NULL,NULL,NULL,NULL,NULL,2,1),(28,7084994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,235,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7085036,2.00,5.00,2.00,6.00,5.00,6.75,2.00,4.00,3.00,338,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13492,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085052,0.00,4.00,2.00,4.00,3.00,NULL,2.00,3.00,4.00,103,NULL,NULL,'VITOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7085060,4.00,6.00,0.00,6.00,8.00,8.63,4.00,6.00,5.00,207,NULL,201,'ALTO DA BOA VISTA','ITUMBIARA','GO',5104,224,NULL,393,NULL,NULL,NULL,4,4),(28,7085079,1.00,4.00,1.00,3.00,5.00,6.38,4.00,4.00,2.00,328,NULL,NULL,'SERRARIA','S JOSÉ','SC',15804,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085087,7.00,7.00,1.00,7.00,7.00,9.75,3.00,8.00,3.00,207,NULL,201,'AREIAS','S JOSÉ','SC',2918,100,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085095,3.00,5.00,3.00,3.00,5.00,6.00,2.00,3.00,4.00,444,NULL,NULL,'CENTRO','PENHA','SC',15626,87,NULL,NULL,NULL,NULL,NULL,2,2),(28,7085117,4.00,5.00,2.00,5.00,8.00,7.88,3.00,6.00,5.00,201,NULL,212,'COMERCIÁRIO','CRICIÚMA','SC',6022,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7085133,4.00,7.00,1.00,7.00,7.00,7.50,4.00,6.00,3.00,999,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085141,4.00,5.00,1.00,6.00,8.00,9.75,5.00,6.00,4.00,108,NULL,NULL,'CENTRO','BIGUAÇU','SC',6079,71,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085150,1.00,6.00,3.00,3.00,5.00,4.50,1.00,5.00,3.00,201,NULL,202,'GUARITUBA','PIRAQUARA','PR',15862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085176,3.00,8.00,3.00,6.00,7.00,9.00,2.00,6.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6221,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085184,3.00,6.00,1.00,6.00,8.00,7.88,4.00,4.00,2.00,103,NULL,NULL,'VILA CAMPO GRANDE','S PAULO','SP',8091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085192,0.00,5.00,2.00,6.00,5.00,NULL,3.00,3.00,2.00,425,NULL,424,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085206,1.00,7.00,1.00,3.00,6.00,6.00,3.00,7.00,6.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10602,2115,NULL,NULL,NULL,NULL,NULL,4,4),(28,7085214,0.00,3.00,3.00,2.00,3.00,7.13,1.00,2.00,1.00,333,NULL,NULL,'SETOR SAMAMBAIA','GOIÂNIA','GO',20068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085230,6.00,5.00,3.00,5.00,6.00,6.38,4.00,4.00,4.00,601,NULL,220,'CENTRO','JARAGUÁ SUL','SC',12582,374,NULL,287,NULL,NULL,NULL,2,1),(28,7085257,4.00,6.00,3.00,6.00,7.00,9.38,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6466,1694,NULL,NULL,NULL,NULL,NULL,4,8),(28,7085273,5.00,7.00,3.00,7.00,9.00,10.50,6.00,6.00,5.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1378,64,NULL,NULL,NULL,NULL,NULL,2,1),(28,7085281,7.00,8.00,7.00,6.00,9.00,6.75,5.00,7.00,8.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',459,321,NULL,NULL,NULL,NULL,NULL,4,8),(28,7085290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7085303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'TERRA ROCHA UM','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7085311,4.00,6.00,4.00,7.00,6.00,9.75,4.00,8.00,5.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',6918,1748,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085320,0.00,3.00,2.00,1.00,5.00,4.50,3.00,3.00,1.00,329,NULL,NULL,'SÃO CRISTOVÃO','VIDEIRA','SC',20040,30,NULL,NULL,NULL,NULL,NULL,4,7),(28,7085338,5.00,6.00,4.00,5.00,7.00,4.50,4.00,4.00,6.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',6435,1688,NULL,NULL,NULL,NULL,NULL,2,4),(28,7085354,2.00,4.00,3.00,6.00,5.00,6.00,2.00,5.00,2.00,202,NULL,235,'JARDIM SANTA RITA','BAL GAIVOTA','SC',12304,304,NULL,201,NULL,NULL,NULL,2,15),(28,7085362,0.00,5.00,2.00,7.00,7.00,6.75,3.00,4.00,4.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',12307,2217,NULL,NULL,NULL,NULL,NULL,4,10),(28,7085370,4.00,6.00,0.00,3.00,5.00,NULL,5.00,6.00,3.00,201,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085400,2.00,7.00,4.00,6.00,7.00,9.38,5.00,5.00,5.00,201,NULL,212,'COMERCIÁRIO','CRICIÚMA','SC',4417,338,NULL,NULL,NULL,NULL,NULL,2,5),(28,7085419,0.00,5.00,1.00,4.00,3.00,NULL,3.00,2.00,1.00,654,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7085427,1.00,5.00,1.00,5.00,4.00,NULL,2.00,5.00,1.00,329,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7085443,2.00,8.00,3.00,7.00,6.00,10.13,3.00,4.00,2.00,425,NULL,424,'ITACORUBI','FLORIANÓPOLIS','SC',12075,NULL,NULL,11,NULL,NULL,NULL,4,1),(28,7085451,4.00,9.00,2.00,6.00,9.00,7.88,3.00,5.00,3.00,415,NULL,NULL,'MENINO JESUS','MTE ALEGRE SUL','SP',4804,72,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085460,1.00,6.00,3.00,7.00,8.00,9.38,3.00,8.00,3.00,340,NULL,NULL,'SAN IZIDRO','LONDRINA','PR',9052,253,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085478,0.00,4.00,1.00,3.00,4.00,NULL,1.00,2.00,0.00,601,NULL,207,'NOSSA SRA FATIMA','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7085486,6.00,8.00,4.00,7.00,8.00,9.00,5.00,6.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1299,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085494,6.00,6.00,1.00,5.00,7.00,9.75,3.00,5.00,4.00,333,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',7275,40,NULL,NULL,NULL,NULL,NULL,2,1),(28,7085508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7085516,1.00,5.00,0.00,4.00,7.00,NULL,2.00,2.00,2.00,319,NULL,NULL,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7085524,5.00,7.00,6.00,6.00,9.00,10.13,5.00,7.00,6.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085532,4.00,7.00,3.00,3.00,10.00,8.63,6.00,7.00,5.00,203,NULL,235,'BAIRRO PETRÓPOLIS','PTO ALEGRE','RS',3770,276,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085540,2.00,7.00,3.00,4.00,8.00,9.00,1.00,8.00,2.00,103,NULL,NULL,'GUADALUPE','LAGES','SC',7628,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7085559,3.00,3.00,2.00,4.00,3.00,7.13,2.00,2.00,2.00,214,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085567,1.00,7.00,3.00,6.00,8.00,11.63,3.00,4.00,4.00,230,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12259,8,NULL,NULL,NULL,NULL,NULL,2,1),(28,7085575,6.00,7.00,1.00,6.00,8.00,7.88,3.00,7.00,6.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',2211,937,NULL,NULL,NULL,NULL,NULL,4,8),(28,7085583,6.00,9.00,5.00,7.00,7.00,9.00,7.00,7.00,7.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',643,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085591,2.00,3.00,2.00,5.00,4.00,7.50,4.00,4.00,3.00,104,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',12864,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7085605,2.00,6.00,3.00,5.00,5.00,6.00,2.00,5.00,5.00,208,NULL,NULL,'RESIDENCIAL FERNANDA','PENÁPOLIS','SP',10244,107,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085613,7.00,7.00,5.00,6.00,9.00,10.13,5.00,7.00,7.00,103,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',608,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7085621,4.00,7.00,3.00,5.00,8.00,9.00,3.00,7.00,5.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4654,7,NULL,NULL,NULL,NULL,NULL,2,1),(28,7085630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'COND CHACARA FLORA','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7085648,4.00,6.00,3.00,7.00,6.00,9.00,0.00,5.00,3.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8385,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085656,2.00,8.00,1.00,7.00,8.00,5.63,2.00,6.00,3.00,207,NULL,NULL,'CENTRO','VACARIA','RS',8135,377,NULL,NULL,NULL,NULL,NULL,4,24),(28,7085664,4.00,7.00,0.00,6.00,9.00,10.13,3.00,6.00,3.00,303,NULL,NULL,'AMÉRICA','JOINVILLE','SC',5578,257,NULL,NULL,NULL,NULL,NULL,4,8),(28,7085672,3.00,7.00,1.00,5.00,7.00,7.13,2.00,6.00,5.00,215,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',12660,217,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085680,2.00,4.00,0.00,4.00,5.00,5.63,2.00,2.00,3.00,201,NULL,207,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7085699,0.00,5.00,2.00,4.00,3.00,8.25,0.00,4.00,2.00,454,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',17196,348,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085702,4.00,9.00,5.00,7.00,8.00,9.38,6.00,7.00,6.00,201,NULL,233,'CAPOEIRAS','FLORIANÓPOLIS','SC',1008,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085737,1.00,9.00,1.00,4.00,6.00,5.63,2.00,7.00,4.00,601,NULL,203,'PINHEIRINHO','BARRACÃO','PR',10765,307,NULL,NULL,NULL,NULL,NULL,2,27),(28,7085745,4.00,5.00,3.00,3.00,7.00,10.13,4.00,6.00,4.00,103,NULL,NULL,'GRANJA VIANA','COTIA','SP',6509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085753,4.00,7.00,3.00,6.00,8.00,8.63,3.00,4.00,6.00,203,NULL,214,'CENTRO','SUMARÉ','SP',3590,261,NULL,127,NULL,NULL,NULL,4,1),(28,7085761,3.00,6.00,3.00,5.00,9.00,11.25,2.00,4.00,8.00,220,NULL,201,'FORQUILHINHAS','S JOSÉ','SC',3388,101,NULL,256,NULL,NULL,NULL,4,1),(28,7085788,1.00,6.00,1.00,6.00,7.00,8.25,5.00,7.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7420,328,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085796,7.00,8.00,2.00,7.00,8.00,10.50,4.00,7.00,7.00,103,NULL,NULL,'ANCHIETA','BELO HORIZONTE','MG',483,333,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085800,3.00,6.00,3.00,7.00,9.00,7.50,2.00,6.00,3.00,424,NULL,427,'PANTANAL','FLORIANÓPOLIS','SC',6716,1,NULL,NULL,NULL,NULL,NULL,2,1),(28,7085818,4.00,6.00,3.00,6.00,8.00,8.25,3.00,5.00,3.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',4821,1466,NULL,NULL,NULL,NULL,NULL,4,8),(28,7085826,6.00,7.00,3.00,7.00,8.00,9.75,7.00,5.00,6.00,103,NULL,NULL,'MEDIANEIRA','PTO ALEGRE','RS',1556,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7085834,7.00,8.00,5.00,7.00,8.00,7.13,5.00,6.00,5.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1353,697,NULL,NULL,NULL,NULL,NULL,2,1),(28,7085842,0.00,5.00,2.00,3.00,3.00,5.25,1.00,3.00,1.00,655,NULL,653,'BOA VISTINHA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7085850,1.00,5.00,1.00,7.00,7.00,9.00,3.00,5.00,3.00,211,NULL,601,'KOBRASOL','S JOSÉ','SC',11848,NULL,NULL,348,NULL,NULL,NULL,2,1),(28,7085869,2.00,5.00,1.00,5.00,3.00,6.38,3.00,4.00,2.00,235,NULL,202,'CARVOEIRA','FLORIANÓPOLIS','SC',18675,284,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085877,0.00,6.00,1.00,4.00,4.00,NULL,4.00,4.00,4.00,203,NULL,207,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7085893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7085907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PRAIA DA COSTA','VL VELHA','ES',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7085915,7.00,6.00,4.00,6.00,7.00,8.63,6.00,7.00,8.00,201,NULL,207,'ANHANGABAÚ','JUNDIAÍ','SP',2036,137,NULL,68,NULL,NULL,NULL,4,1),(28,7085923,0.00,3.00,3.00,4.00,4.00,NULL,3.00,3.00,1.00,203,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7085931,1.00,4.00,1.00,4.00,8.00,NULL,3.00,2.00,1.00,208,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,2),(28,7085958,0.00,3.00,2.00,1.00,5.00,6.00,0.00,2.00,2.00,303,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',19162,599,NULL,NULL,NULL,NULL,NULL,4,1),(28,7085974,1.00,2.00,1.00,4.00,3.00,7.50,2.00,2.00,0.00,440,NULL,NULL,'VILA INDUSTRIAL','TOLEDO','PR',20105,15,NULL,NULL,NULL,NULL,NULL,6,1),(28,7085990,6.00,7.00,6.00,6.00,7.00,9.00,6.00,7.00,7.00,203,NULL,201,'CAMPINAS','S JOSÉ','SC',1192,NULL,NULL,64,NULL,NULL,NULL,4,1),(28,7086008,7.00,7.00,5.00,8.00,9.00,7.88,7.00,7.00,9.00,202,NULL,203,'ZONA IND NORTE','JOINVILLE','SC',398,3,NULL,NULL,NULL,NULL,NULL,4,8),(28,7086016,6.00,8.00,3.00,6.00,8.00,8.25,3.00,6.00,7.00,211,NULL,201,'HUGO LANGE','CURITIBA','PR',1173,8,NULL,NULL,NULL,NULL,NULL,5,1),(28,7086024,5.00,8.00,4.00,7.00,10.00,11.25,4.00,7.00,5.00,415,NULL,NULL,'TRIANON','GUARAPUAVA','PR',1248,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7086032,3.00,7.00,4.00,7.00,9.00,10.13,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',1531,752,NULL,NULL,NULL,NULL,NULL,4,8),(28,7086040,4.00,6.00,3.00,7.00,9.00,11.63,4.00,6.00,3.00,207,NULL,211,'AMÉRICA','JOINVILLE','SC',5718,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7086091,1.00,2.00,2.00,4.00,3.00,6.75,2.00,3.00,4.00,215,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',19459,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7086113,3.00,7.00,1.00,5.00,3.00,7.88,3.00,4.00,3.00,203,NULL,214,'SÃO CRISTOVÃO','CHAPECÓ','SC',12626,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7086130,5.00,9.00,4.00,6.00,9.00,11.25,3.00,7.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',879,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7086148,2.00,7.00,2.00,6.00,7.00,4.50,0.00,5.00,4.00,104,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',8585,202,NULL,NULL,NULL,NULL,NULL,4,1),(28,7086156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,655,'JARDIM SÃO MIGUEL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7086172,5.00,6.00,1.00,7.00,5.00,5.25,5.00,3.00,2.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',9224,2016,NULL,NULL,NULL,NULL,NULL,4,1),(28,7086180,5.00,5.00,3.00,6.00,6.00,7.13,4.00,5.00,3.00,102,NULL,NULL,'GRANJA VIANA','CARAPICUÍBA','SP',6023,36,NULL,NULL,NULL,NULL,NULL,4,8),(28,7086199,4.00,6.00,3.00,3.00,6.00,6.75,2.00,4.00,0.00,207,NULL,215,'SAGUAÇU','JOINVILLE','SC',18523,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7086210,6.00,7.00,3.00,7.00,7.00,12.00,6.00,6.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1660,793,NULL,NULL,NULL,NULL,NULL,2,1),(28,7086237,3.00,7.00,2.00,7.00,6.00,8.25,1.00,5.00,4.00,303,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',8293,356,NULL,NULL,NULL,NULL,NULL,4,1),(28,7086253,1.00,6.00,1.00,4.00,2.00,NULL,3.00,4.00,2.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7086270,0.00,3.00,2.00,2.00,4.00,8.25,2.00,3.00,3.00,428,NULL,425,'CENTRO','CPO ERÊ','SC',19415,71,NULL,NULL,NULL,NULL,NULL,4,27),(28,7086300,1.00,5.00,3.00,5.00,6.00,6.75,3.00,6.00,3.00,104,NULL,NULL,'CAMOBI','STA MARIA','RS',11578,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7086326,0.00,4.00,2.00,3.00,3.00,NULL,2.00,1.00,0.00,5,NULL,NULL,'CENTRO','LAURO MÜLLER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7086334,4.00,9.00,4.00,7.00,7.00,11.25,6.00,7.00,4.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1235,649,NULL,NULL,NULL,NULL,NULL,2,1),(28,7086342,6.00,6.00,3.00,6.00,7.00,8.63,2.00,4.00,6.00,103,NULL,NULL,'VILA OLÍMPIA','S PAULO','SP',3799,1287,NULL,NULL,NULL,NULL,NULL,4,1),(28,7086350,0.00,4.00,3.00,2.00,5.00,NULL,2.00,4.00,3.00,216,NULL,215,'SANTA RITA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7086369,2.00,3.00,2.00,2.00,4.00,7.88,2.00,4.00,3.00,333,NULL,NULL,'AMARANTE','VIDEIRA','SC',19086,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7086377,3.00,6.00,1.00,4.00,4.00,7.88,2.00,5.00,3.00,203,NULL,601,'RIO NEGRO','S BENTO SUL','SC',16104,NULL,NULL,475,NULL,NULL,NULL,4,8),(28,7086393,0.00,4.00,2.00,5.00,4.00,6.75,2.00,2.00,2.00,552,NULL,NULL,'BARRO PRETO','STA ROSA SUL','SC',16919,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7086407,6.00,8.00,8.00,8.00,9.00,10.50,5.00,7.00,9.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',61,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7086415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7086423,1.00,5.00,1.00,6.00,6.00,NULL,0.00,4.00,2.00,340,NULL,NULL,'JARDIM SATÉLITE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7086431,2.00,4.00,0.00,4.00,3.00,7.50,2.00,4.00,1.00,324,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16129,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7086440,0.00,3.00,2.00,4.00,3.00,6.38,0.00,3.00,1.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18620,475,NULL,NULL,NULL,NULL,NULL,2,1),(28,7086458,1.00,8.00,0.00,7.00,5.00,7.88,1.00,5.00,2.00,340,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',11047,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7086466,0.00,5.00,3.00,7.00,7.00,7.50,1.00,4.00,2.00,319,NULL,NULL,'MEDIANEIRA','PTO ALEGRE','RS',16850,322,NULL,NULL,NULL,NULL,NULL,2,1),(28,7086474,2.00,6.00,3.00,6.00,8.00,7.50,4.00,7.00,4.00,450,NULL,NULL,'TERRAS DE SÃO CARLOS','JUNDIAÍ','SP',4580,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7086482,3.00,6.00,3.00,6.00,5.00,10.50,2.00,4.00,4.00,303,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',13104,492,NULL,NULL,NULL,NULL,NULL,2,1),(28,7086490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'AGRONOMIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7086504,4.00,8.00,4.00,5.00,4.00,6.75,4.00,5.00,2.00,999,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7086520,3.00,7.00,1.00,5.00,7.00,9.75,2.00,6.00,4.00,211,NULL,601,'SÃO SEBASTIÃO','PALHOÇA','SC',7646,210,NULL,NULL,NULL,NULL,NULL,4,1),(28,7086547,6.00,7.00,4.00,5.00,5.00,10.50,1.00,5.00,5.00,319,NULL,NULL,'MARAPÉ','SANTOS','SP',5364,79,NULL,NULL,NULL,NULL,NULL,4,1),(28,7086563,1.00,1.00,0.00,3.00,2.00,NULL,1.00,2.00,0.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7086571,3.00,6.00,3.00,6.00,9.00,7.50,4.00,4.00,3.00,103,NULL,NULL,'CENTRO','LAURO MÜLLER','SC',7545,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7086580,4.00,4.00,2.00,3.00,5.00,8.25,3.00,3.00,1.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18625,359,NULL,NULL,NULL,NULL,NULL,2,1),(28,7086598,1.00,5.00,0.00,4.00,6.00,7.50,2.00,7.00,2.00,220,NULL,202,'CENTRO','LAGES','SC',11740,275,NULL,297,NULL,NULL,NULL,4,9),(28,7086610,2.00,2.00,2.00,3.00,2.00,NULL,3.00,5.00,3.00,340,NULL,NULL,'CIDADE ALTA','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7086628,7.00,6.00,4.00,5.00,10.00,9.38,1.00,6.00,8.00,103,NULL,NULL,'JD SORAIA','S PAULO','SP',1128,610,NULL,NULL,NULL,NULL,NULL,2,5),(28,7086636,7.00,7.00,4.00,7.00,8.00,10.13,6.00,7.00,7.00,203,NULL,202,'CENTRO','LAURENTINO','SC',890,89,NULL,17,NULL,NULL,NULL,4,1),(28,7086644,4.00,6.00,2.00,6.00,5.00,9.75,3.00,7.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7086652,2.00,4.00,4.00,8.00,7.00,10.50,2.00,5.00,1.00,103,NULL,NULL,'FLORENÇA','VIAMÃO','RS',7829,1872,NULL,NULL,NULL,NULL,NULL,2,10),(28,7086660,4.00,7.00,3.00,7.00,7.00,10.13,3.00,7.00,6.00,203,NULL,235,'CENTRO','S JOSÉ CAMPOS','SP',2750,NULL,NULL,29,NULL,NULL,NULL,4,1),(28,7086679,2.00,3.00,3.00,5.00,4.00,5.25,4.00,4.00,3.00,216,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',13684,376,NULL,292,NULL,NULL,NULL,4,6),(28,7086687,2.00,7.00,1.00,7.00,5.00,NULL,2.00,6.00,4.00,601,NULL,652,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,10),(28,7086695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'JARDIM AMERICA','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7086709,4.00,7.00,6.00,6.00,6.00,9.00,3.00,5.00,7.00,235,NULL,216,'GLEBA PALHANO','LONDRINA','PR',6914,119,NULL,239,NULL,NULL,NULL,4,8),(28,7086717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM EUROPA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7086725,5.00,6.00,3.00,5.00,6.00,7.50,3.00,5.00,5.00,216,NULL,NULL,'BOSQUE DA SAÚDE','CUIABÁ','MT',8509,280,NULL,NULL,NULL,NULL,NULL,4,6),(28,7086733,4.00,7.00,3.00,6.00,6.00,11.25,5.00,8.00,7.00,203,NULL,NULL,'JARDIM ESPLANADA','S JOSÉ CAMPOS','SP',861,85,NULL,NULL,NULL,NULL,NULL,4,1),(28,7086741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'SENHOR BOM JESUS','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7086768,0.00,5.00,4.00,7.00,8.00,5.25,2.00,7.00,4.00,207,NULL,201,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',14653,650,NULL,NULL,NULL,NULL,NULL,2,1),(28,7086776,4.00,9.00,2.00,7.00,9.00,10.13,4.00,7.00,5.00,203,NULL,201,'CENTRO','ÁGUAS CHAPECÓ','SC',1626,147,NULL,101,NULL,NULL,NULL,4,4),(28,7086784,7.00,8.00,5.00,7.00,10.00,8.25,9.00,7.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',200,157,NULL,NULL,NULL,NULL,NULL,4,5),(28,7086792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM SABARÁ','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7086814,0.00,4.00,2.00,6.00,3.00,7.13,3.00,5.00,3.00,216,NULL,233,'VILA ADYANNA','S JOSÉ CAMPOS','SP',13346,NULL,NULL,289,NULL,NULL,NULL,4,1),(28,7086822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'MARGEM ESQUERDA','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7086830,2.00,7.00,3.00,3.00,4.00,9.00,3.00,6.00,5.00,203,NULL,216,'PIATÃ','SALVADOR','BA',7222,438,NULL,245,NULL,NULL,NULL,4,1),(28,7086849,7.00,6.00,1.00,5.00,9.00,11.25,4.00,6.00,7.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',2140,920,NULL,NULL,NULL,NULL,NULL,4,4),(28,7086857,3.00,9.00,2.00,7.00,5.00,9.75,1.00,7.00,3.00,333,NULL,NULL,'CENTRO','LAGES','SC',10157,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7086865,4.00,6.00,4.00,5.00,6.00,6.00,2.00,4.00,1.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7086890,1.00,5.00,1.00,4.00,4.00,9.00,0.00,2.00,2.00,108,NULL,NULL,'JARDIM PORTUGAL','S JOSÉ CAMPOS','SP',14752,200,NULL,NULL,NULL,NULL,NULL,4,1),(28,7086911,1.00,4.00,2.00,0.00,5.00,7.88,2.00,2.00,4.00,308,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',19520,91,NULL,NULL,NULL,NULL,NULL,4,1),(28,7086920,1.00,4.00,2.00,3.00,2.00,NULL,1.00,3.00,0.00,654,NULL,NULL,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7086938,0.00,4.00,3.00,5.00,3.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7086954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SOCORRO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7086962,4.00,4.00,3.00,4.00,5.00,6.75,1.00,2.00,4.00,103,NULL,NULL,'FAXINAL','MAFRA','SC',11823,2192,NULL,NULL,NULL,NULL,NULL,4,17),(28,7086970,0.00,6.00,2.00,4.00,3.00,NULL,2.00,2.00,1.00,303,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7086989,5.00,6.00,1.00,6.00,4.00,9.00,3.00,5.00,3.00,235,NULL,213,'ITACORUBI','FLORIANÓPOLIS','SC',13600,223,NULL,224,NULL,NULL,NULL,4,1),(28,7086997,0.00,8.00,0.00,2.00,4.00,6.75,3.00,7.00,2.00,320,NULL,NULL,'JD LAGO AZUL','LIMEIRA','SP',18277,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7087004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ARROIO TEIRXEIRA','CAPÃO CANOA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7087012,7.00,8.00,5.00,6.00,8.00,12.00,6.00,6.00,7.00,203,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',496,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7087020,1.00,2.00,1.00,1.00,3.00,6.75,2.00,3.00,3.00,654,NULL,NULL,'CIDADE ALTA','VIDEIRA','SC',18881,73,NULL,NULL,NULL,NULL,NULL,4,25),(28,7087039,5.00,8.00,8.00,6.00,3.00,8.63,3.00,7.00,6.00,203,NULL,220,'JARDIM LEONOR','CAMPINAS','SP',1564,143,NULL,38,NULL,NULL,NULL,4,1),(28,7087055,3.00,7.00,1.00,5.00,6.00,6.38,2.00,5.00,4.00,238,NULL,655,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15937,274,NULL,94,NULL,NULL,NULL,4,1),(28,7087063,4.00,6.00,3.00,8.00,7.00,8.25,3.00,5.00,5.00,203,NULL,214,'VILA BRANCA','JACAREÍ','SP',4401,308,NULL,147,NULL,NULL,NULL,4,1),(28,7087071,1.00,3.00,2.00,2.00,6.00,8.63,2.00,6.00,4.00,223,NULL,NULL,'ZIMBROS','BOMBINHAS','SC',11805,15,NULL,NULL,NULL,NULL,NULL,4,3),(28,7087080,0.00,2.00,2.00,5.00,5.00,7.50,2.00,4.00,3.00,319,NULL,NULL,'CALHEIROS','GOV CELSO RAMOS','SC',19221,368,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7087101,6.00,5.00,1.00,6.00,9.00,8.25,3.00,5.00,3.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087136,5.00,8.00,0.00,7.00,8.00,10.13,2.00,6.00,2.00,103,NULL,NULL,'CENTRO','ARAUCÁRIA','PR',4049,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7087144,3.00,6.00,2.00,5.00,4.00,6.00,4.00,4.00,2.00,503,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13833,18,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7087187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7087195,0.00,2.00,3.00,2.00,5.00,7.13,1.00,3.00,1.00,319,NULL,NULL,'CENTRO HISTORICO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087209,2.00,5.00,2.00,5.00,7.00,9.75,2.00,4.00,3.00,327,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',10405,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7087225,0.00,5.00,3.00,3.00,6.00,7.50,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','ITUPORANGA','SC',13727,2287,NULL,NULL,NULL,NULL,NULL,4,6),(28,7087241,6.00,9.00,2.00,6.00,7.00,10.13,3.00,6.00,4.00,201,NULL,212,'VILA BRASÍLIA','APARECIDA GOIÂNIA','GO',3136,237,NULL,NULL,NULL,NULL,NULL,4,1),(28,7087250,2.00,3.00,1.00,5.00,5.00,6.00,4.00,5.00,3.00,501,NULL,NULL,'CENTRO','CAÇADOR','SC',12738,76,NULL,NULL,NULL,NULL,NULL,4,25),(28,7087268,0.00,4.00,2.00,4.00,4.00,7.13,3.00,3.00,3.00,102,NULL,NULL,'SÃO FRANCISCO','BENTO GONÇALVES','RS',15527,140,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087276,3.00,3.00,4.00,5.00,5.00,7.13,1.00,3.00,1.00,5,NULL,NULL,'VILA OLIVEIRA','MOGI CRUZES','SP',13306,373,NULL,NULL,NULL,NULL,NULL,4,1),(28,7087284,1.00,7.00,1.00,6.00,5.00,6.38,5.00,5.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087292,3.00,4.00,1.00,6.00,4.00,8.63,2.00,4.00,2.00,444,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',15390,85,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087314,2.00,3.00,1.00,4.00,5.00,7.88,1.00,4.00,2.00,101,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',19347,130,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087322,9.00,8.00,6.00,7.00,10.00,11.63,7.00,7.00,7.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',28,24,NULL,NULL,NULL,NULL,NULL,4,3),(28,7087330,8.00,8.00,4.00,6.00,7.00,10.50,5.00,6.00,7.00,203,NULL,233,'JARDIM CARDINALI','S CARLOS','SP',591,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7087349,3.00,6.00,4.00,6.00,8.00,6.38,4.00,6.00,6.00,103,NULL,NULL,'BELA VISTA','GASPAR','SC',5260,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7087365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PQ SÃO PAULO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7087373,3.00,7.00,4.00,6.00,7.00,7.88,6.00,5.00,7.00,220,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',6402,177,NULL,109,NULL,NULL,NULL,4,1),(28,7087381,1.00,5.00,4.00,3.00,2.00,NULL,0.00,3.00,0.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7087403,2.00,6.00,1.00,6.00,4.00,6.75,4.00,4.00,2.00,208,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',12349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7087411,4.00,6.00,3.00,6.00,6.00,7.13,5.00,5.00,5.00,201,NULL,215,'SANTA TEREZINHA','BRUSQUE','SC',5457,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7087420,4.00,5.00,3.00,4.00,6.00,9.75,2.00,5.00,2.00,326,NULL,NULL,'CENTRO','PALHOÇA','SC',9881,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7087438,1.00,5.00,1.00,3.00,4.00,6.75,1.00,5.00,0.00,215,NULL,201,'CENTRO','CEL FREITAS','SC',16289,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7087446,2.00,6.00,2.00,6.00,8.00,5.63,3.00,4.00,3.00,208,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12299,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SANTA LÍDIA','MAUÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7087470,3.00,5.00,3.00,4.00,5.00,11.63,4.00,5.00,4.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12671,353,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087497,2.00,5.00,3.00,5.00,5.00,5.25,1.00,6.00,5.00,301,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',16122,229,NULL,NULL,NULL,NULL,NULL,2,10),(28,7087519,0.00,3.00,2.00,3.00,4.00,6.38,0.00,2.00,1.00,211,NULL,601,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',18749,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087535,6.00,7.00,7.00,7.00,10.00,11.63,7.00,6.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',141,113,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087543,1.00,4.00,3.00,1.00,4.00,6.75,1.00,2.00,2.00,9,NULL,NULL,'PINHEIRA','PALHOÇA','SC',17994,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087551,5.00,8.00,5.00,7.00,9.00,9.75,6.00,7.00,6.00,203,NULL,214,'PANTANAL','FLORIANÓPOLIS','SC',1608,146,NULL,47,NULL,NULL,NULL,4,1),(28,7087560,4.00,8.00,3.00,7.00,8.00,9.75,5.00,6.00,3.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3561,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7087578,2.00,4.00,2.00,5.00,3.00,6.75,1.00,5.00,5.00,207,NULL,201,'SÃO CRISTOVÃO','CHAPECÓ','SC',15428,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7087586,3.00,6.00,3.00,6.00,9.00,9.75,6.00,7.00,7.00,201,NULL,212,'CENTRO','CRICIÚMA','SC',2152,150,NULL,43,NULL,NULL,NULL,4,5),(28,7087594,3.00,7.00,1.00,4.00,5.00,7.88,1.00,6.00,3.00,454,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11978,238,NULL,NULL,NULL,NULL,NULL,4,1),(28,7087608,1.00,5.00,2.00,6.00,6.00,9.00,5.00,4.00,3.00,103,NULL,NULL,'CENTRO','LACERDÓPOLIS','SC',8852,1985,NULL,NULL,NULL,NULL,NULL,4,4),(28,7087616,5.00,4.00,1.00,5.00,6.00,5.25,2.00,5.00,4.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11872,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087624,0.00,3.00,2.00,6.00,5.00,6.00,2.00,2.00,2.00,201,NULL,211,'NOSSA SRA DE LURDES','JOAÇABA','SC',15232,NULL,NULL,380,NULL,NULL,NULL,2,7),(28,7087632,4.00,4.00,2.00,4.00,5.00,7.88,2.00,3.00,3.00,211,NULL,601,'PANTANAL','FLORIANÓPOLIS','SC',18518,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'PIEDADE','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7087667,1.00,4.00,2.00,5.00,7.00,10.88,6.00,4.00,5.00,203,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',6439,409,NULL,NULL,NULL,NULL,NULL,2,4),(28,7087675,2.00,7.00,3.00,3.00,7.00,9.38,4.00,5.00,5.00,213,NULL,215,'ESTREITO','FLORIANÓPOLIS','SC',9308,162,NULL,159,NULL,NULL,NULL,4,1),(28,7087683,9.00,8.00,4.00,5.00,9.00,9.75,3.00,8.00,6.00,103,NULL,NULL,'JARDIM SANTA CRUZ','S PAULO','SP',626,402,NULL,NULL,NULL,NULL,NULL,4,1),(28,7087691,0.00,2.00,2.00,4.00,4.00,8.63,1.00,2.00,0.00,601,NULL,203,'VL SAO LUIZ','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7087705,3.00,9.00,4.00,7.00,8.00,9.00,4.00,7.00,6.00,207,NULL,NULL,'CENTRO','PALHOÇA','SC',3224,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087713,1.00,6.00,3.00,6.00,6.00,5.63,1.00,6.00,3.00,103,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',16725,2426,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087721,3.00,4.00,3.00,6.00,6.00,8.63,2.00,5.00,2.00,552,NULL,NULL,'CENTRO','POUSO REDONDO','SC',11810,51,NULL,NULL,NULL,NULL,NULL,2,8),(28,7087730,0.00,4.00,1.00,6.00,3.00,6.38,1.00,3.00,3.00,655,NULL,653,'MAGALHÃES','LAGUNA','SC',17399,107,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087748,3.00,7.00,2.00,5.00,10.00,10.88,2.00,5.00,4.00,303,NULL,NULL,'VILA ANAHY','CPO GRANDE','MS',4923,227,NULL,NULL,NULL,NULL,NULL,4,1),(28,7087756,0.00,4.00,0.00,5.00,4.00,NULL,0.00,4.00,2.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7087764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'VILA VITÓRIA','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7087772,2.00,8.00,3.00,6.00,7.00,4.50,4.00,5.00,3.00,444,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',13052,56,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087802,3.00,7.00,4.00,7.00,8.00,10.88,2.00,4.00,5.00,103,NULL,NULL,'GLÓRIA','BLUMENAU','SC',3154,1170,NULL,NULL,NULL,NULL,NULL,4,2),(28,7087810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AVENIDA CENTRAL','GRAMADO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7087829,3.00,7.00,4.00,6.00,5.00,8.63,6.00,5.00,3.00,319,NULL,NULL,'VILA LUIZA','PASSO FUNDO','RS',7671,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7087845,0.00,7.00,2.00,5.00,6.00,7.13,2.00,7.00,2.00,220,NULL,201,'SAO SEBASTIAO','PALHOÇA','SC',10560,253,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087853,2.00,7.00,0.00,4.00,5.00,4.88,4.00,4.00,2.00,319,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',13698,264,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087861,2.00,5.00,2.00,5.00,6.00,3.00,3.00,4.00,2.00,201,NULL,212,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087870,3.00,5.00,3.00,4.00,6.00,5.63,3.00,4.00,2.00,201,NULL,NULL,'CENTRO','PEDRINHAS PAULISTA','SP',11947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7087896,0.00,4.00,0.00,4.00,2.00,NULL,0.00,3.00,1.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087900,2.00,4.00,2.00,5.00,5.00,7.13,3.00,4.00,3.00,214,NULL,211,'JOSE RUPP','HERVAL D OESTE','SC',13970,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7087926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO BENEDITO','CAMBUÍ','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7087934,1.00,7.00,3.00,7.00,9.00,9.75,4.00,5.00,3.00,216,NULL,211,'CENTRO','CONCÓRDIA','SC',3912,153,NULL,NULL,NULL,NULL,NULL,4,26),(28,7087942,1.00,5.00,1.00,4.00,3.00,8.25,1.00,5.00,3.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13779,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087969,1.00,4.00,2.00,3.00,5.00,8.63,1.00,2.00,3.00,103,NULL,NULL,'VILA A','FOZ IGUAÇU','PR',15634,2381,NULL,NULL,NULL,NULL,NULL,2,1),(28,7087977,5.00,7.00,3.00,7.00,9.00,9.75,3.00,7.00,5.00,5,NULL,NULL,'VILA NOVA','IMBITUBA','SC',2094,65,NULL,NULL,NULL,NULL,NULL,4,10),(28,7087985,1.00,5.00,3.00,5.00,7.00,8.63,1.00,3.00,2.00,104,NULL,NULL,'PRADINHO','S JOAQUIM','SC',12182,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7088027,1.00,5.00,1.00,6.00,8.00,8.63,2.00,5.00,3.00,655,NULL,652,'JANSEN','GRAVATAÍ','RS',9993,NULL,NULL,18,NULL,NULL,NULL,4,15),(28,7088051,6.00,5.00,1.00,6.00,7.00,8.63,3.00,7.00,4.00,601,NULL,203,'BOM RETIRO','JOINVILLE','SC',6195,126,NULL,NULL,NULL,NULL,NULL,4,8),(28,7088060,6.00,6.00,2.00,6.00,8.00,9.00,3.00,5.00,4.00,450,NULL,NULL,'CONCEIÇÃO','LONDRINA','PR',9031,69,NULL,NULL,NULL,NULL,NULL,4,1),(28,7088078,7.00,8.00,1.00,6.00,7.00,11.63,4.00,6.00,1.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4078,1340,NULL,NULL,NULL,NULL,NULL,4,1),(28,7088086,3.00,7.00,4.00,1.00,5.00,9.00,1.00,3.00,2.00,202,NULL,235,'NATUREZA','CONCÓRDIA','SC',16929,374,NULL,268,NULL,NULL,NULL,4,26),(28,7088094,4.00,6.00,3.00,4.00,5.00,7.88,3.00,6.00,2.00,319,NULL,NULL,'VILA BELA','TAUBATÉ','SP',14871,289,NULL,NULL,NULL,NULL,NULL,4,8),(28,7088108,0.00,3.00,2.00,2.00,3.00,NULL,0.00,3.00,2.00,201,NULL,202,'CONTE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7088124,1.00,7.00,5.00,6.00,8.00,7.88,4.00,6.00,3.00,201,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',4464,342,NULL,170,NULL,NULL,NULL,2,1),(28,7088167,6.00,9.00,6.00,6.00,9.00,8.25,5.00,8.00,7.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',327,240,NULL,NULL,NULL,NULL,NULL,4,1),(28,7088205,1.00,6.00,1.00,5.00,6.00,9.75,3.00,5.00,3.00,103,NULL,NULL,'FLAMENGO','CONCÓRDIA','SC',9274,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7088213,1.00,3.00,3.00,3.00,4.00,6.75,2.00,4.00,2.00,415,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',19574,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7088221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7088248,5.00,7.00,5.00,6.00,7.00,8.25,4.00,5.00,5.00,203,NULL,233,'CARVOEIRA','FLORIANÓPOLIS','SC',3383,NULL,NULL,79,NULL,NULL,NULL,4,1),(28,7088256,2.00,7.00,4.00,7.00,7.00,7.13,1.00,7.00,6.00,203,NULL,201,'CENTRO','ITAJAÍ','SC',8817,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7088264,0.00,4.00,4.00,5.00,7.00,8.63,3.00,4.00,3.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',11171,518,NULL,733,NULL,NULL,NULL,4,1),(28,7088272,5.00,7.00,3.00,5.00,7.00,10.50,2.00,6.00,5.00,450,NULL,NULL,'PONTA COMPRIDA','GUARAMIRIM','SC',4089,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7088280,3.00,5.00,2.00,6.00,4.00,8.25,4.00,8.00,2.00,202,NULL,203,'BARREIROS','S JOSÉ','SC',8053,216,NULL,NULL,NULL,NULL,NULL,4,1),(28,7088299,1.00,4.00,1.00,5.00,1.00,NULL,0.00,5.00,1.00,201,NULL,207,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7088302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7088310,0.00,3.00,3.00,3.00,2.00,NULL,2.00,3.00,1.00,552,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7088337,4.00,8.00,2.00,6.00,5.00,8.63,1.00,5.00,3.00,9,NULL,NULL,'SANTA RITA','BRUSQUE','SC',12431,79,NULL,NULL,NULL,NULL,NULL,2,22),(28,7088345,4.00,5.00,1.00,5.00,10.00,9.75,2.00,6.00,2.00,999,NULL,NULL,'SNTO ANTÔNIO DE PÁDU','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7088388,3.00,4.00,3.00,6.00,7.00,6.00,2.00,3.00,4.00,103,NULL,NULL,'REVOREDO','TUBARÃO','SC',11059,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7088396,5.00,7.00,1.00,7.00,8.00,11.25,5.00,7.00,3.00,302,NULL,NULL,'FLORESTA','S JOSÉ','SC',6734,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7088400,2.00,7.00,3.00,5.00,4.00,7.13,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',15645,2384,NULL,NULL,NULL,NULL,NULL,2,24),(28,7088418,5.00,7.00,1.00,6.00,7.00,10.13,3.00,5.00,7.00,302,NULL,NULL,'JARDIM ITAGUAÇU','FLORIANÓPOLIS','SC',7928,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7088426,1.00,6.00,2.00,2.00,3.00,6.00,3.00,5.00,0.00,207,NULL,201,'SANTA TEREZINHA','BRUSQUE','SC',15628,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7088442,0.00,7.00,5.00,7.00,6.00,7.88,1.00,7.00,3.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12546,231,NULL,NULL,NULL,NULL,NULL,4,1),(28,7088450,2.00,7.00,3.00,6.00,6.00,9.00,2.00,6.00,4.00,317,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',7485,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7088477,2.00,6.00,2.00,6.00,3.00,7.50,2.00,3.00,2.00,552,NULL,NULL,'CENTRO','S LUDGERO','SC',13233,73,NULL,NULL,NULL,NULL,NULL,2,5),(28,7088493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7088507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7088515,0.00,2.00,2.00,3.00,4.00,7.50,2.00,1.00,0.00,101,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',19434,132,NULL,NULL,NULL,NULL,NULL,4,1),(28,7088523,4.00,7.00,1.00,6.00,10.00,10.88,1.00,7.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',2966,1132,NULL,NULL,NULL,NULL,NULL,4,9),(28,7088531,0.00,3.00,1.00,4.00,7.00,8.25,0.00,3.00,3.00,109,NULL,NULL,'COSTEIRA DO PIRAJUB','FLORIANÓPOLIS','SC',15308,62,NULL,NULL,NULL,NULL,NULL,2,1),(28,7088540,5.00,7.00,2.00,7.00,6.00,8.25,6.00,6.00,5.00,216,NULL,215,'CIDADE MONÇÕES','S PAULO','SP',3257,118,NULL,44,NULL,NULL,NULL,4,2),(28,7088558,8.00,8.00,4.00,8.00,6.00,10.13,5.00,9.00,6.00,103,NULL,NULL,'ALTO DA LAPA','S PAULO','SP',728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7088566,1.00,3.00,2.00,5.00,2.00,NULL,2.00,3.00,1.00,502,NULL,NULL,'SANTO ANDRÉ','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7088574,2.00,2.00,2.00,4.00,3.00,5.25,2.00,2.00,2.00,552,NULL,NULL,'INTERIOR','NOVA ERECHIM','SC',20028,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7088582,0.00,1.00,0.00,4.00,1.00,NULL,0.00,2.00,2.00,201,NULL,203,'CENTRO','GALVÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7088590,6.00,7.00,3.00,7.00,7.00,8.25,5.00,6.00,5.00,216,NULL,215,'MEIA PRAIA','ITAPEMA','SC',2229,71,NULL,19,NULL,NULL,NULL,4,3),(28,7088604,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,17),(28,7088612,3.00,8.00,3.00,7.00,8.00,6.75,3.00,7.00,4.00,336,NULL,NULL,'ATALAIA','ARACAJU','SE',5650,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7088620,3.00,4.00,1.00,5.00,7.00,9.38,3.00,4.00,6.00,201,NULL,212,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',14190,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7088639,2.00,8.00,2.00,1.00,4.00,6.00,3.00,5.00,3.00,207,NULL,655,'CENTRO','CORREIA PINTO','SC',11013,NULL,NULL,57,NULL,NULL,NULL,4,4),(28,7088647,1.00,7.00,4.00,6.00,9.00,8.63,4.00,7.00,3.00,301,NULL,NULL,'CENTRO','CRICIÚMA','SC',4827,32,NULL,NULL,NULL,NULL,NULL,4,5),(28,7088655,4.00,4.00,4.00,3.00,2.00,NULL,2.00,3.00,3.00,208,NULL,NULL,'CENTRO','PALMA SOLA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7088680,0.00,4.00,3.00,2.00,5.00,7.88,3.00,5.00,1.00,601,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',18688,529,NULL,NULL,NULL,NULL,NULL,4,8),(28,7088698,3.00,6.00,5.00,3.00,5.00,3.00,4.00,5.00,4.00,215,NULL,203,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7088701,5.00,5.00,1.00,5.00,7.00,8.25,4.00,4.00,4.00,454,NULL,NULL,'BARREIROS','S JOSÉ','SC',8100,144,NULL,NULL,NULL,NULL,NULL,2,1),(28,7088728,4.00,7.00,1.00,8.00,9.00,8.25,3.00,6.00,5.00,319,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',5187,78,NULL,NULL,NULL,NULL,NULL,4,1),(28,7088736,1.00,6.00,1.00,5.00,8.00,7.13,2.00,5.00,1.00,450,NULL,NULL,'BOA VISTA','JOINVILLE','SC',16545,120,NULL,NULL,NULL,NULL,NULL,4,8),(28,7088744,6.00,5.00,1.00,6.00,5.00,5.63,5.00,4.00,3.00,104,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',9899,240,NULL,NULL,NULL,NULL,NULL,2,1),(28,7088752,0.00,2.00,2.00,3.00,3.00,7.13,2.00,4.00,2.00,104,NULL,NULL,'IMBIRAPUERA','MRO FUMAÇA','SC',19979,465,NULL,NULL,NULL,NULL,NULL,2,10),(28,7088760,3.00,6.00,3.00,4.00,5.00,7.88,3.00,6.00,3.00,201,NULL,202,'CENTRO','S JOSÉ R PRETO','SP',7125,NULL,NULL,187,NULL,NULL,NULL,4,1),(28,7088779,6.00,8.00,2.00,6.00,9.00,10.50,4.00,6.00,7.00,103,NULL,NULL,'TESTO CENTRAL','POMERODE','SC',1337,691,NULL,NULL,NULL,NULL,NULL,2,2),(28,7088787,6.00,7.00,2.00,1.00,6.00,9.75,4.00,6.00,5.00,216,NULL,214,'VILA BANDEIRANTES','CPO GRANDE','MS',4462,169,NULL,NULL,NULL,NULL,NULL,4,8),(28,7088795,5.00,7.00,2.00,6.00,10.00,7.50,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','ITUPORANGA','SC',5890,1615,NULL,NULL,NULL,NULL,NULL,4,24),(28,7088809,4.00,7.00,4.00,6.00,6.00,8.63,5.00,6.00,7.00,203,NULL,214,'INÁCIO BARBOSA','ARACAJU','SE',6445,410,NULL,195,NULL,NULL,NULL,4,1),(28,7088825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7088833,1.00,5.00,1.00,4.00,7.00,7.13,3.00,1.00,0.00,9,NULL,NULL,'CENTRO','PALHOÇA','SC',14583,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7088841,3.00,4.00,1.00,4.00,2.00,NULL,0.00,2.00,2.00,429,NULL,421,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7088850,1.00,6.00,1.00,6.00,4.00,6.75,4.00,5.00,4.00,220,NULL,212,'CENTRO','CONCÓRDIA','SC',10290,250,NULL,298,NULL,NULL,NULL,4,4),(28,7088868,2.00,1.00,2.00,2.00,4.00,7.88,5.00,2.00,2.00,502,NULL,NULL,'PAULICEIA','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7088876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SÃO JOSÉ','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7088884,1.00,6.00,2.00,4.00,3.00,6.00,3.00,4.00,0.00,601,NULL,203,'NOVA BRASILIA','JOINVILLE','SC',18917,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7088892,0.00,4.00,3.00,4.00,4.00,6.75,0.00,3.00,3.00,110,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',16884,84,NULL,NULL,NULL,NULL,NULL,2,1),(28,7088914,2.00,6.00,2.00,5.00,7.00,7.88,2.00,4.00,2.00,319,NULL,NULL,'PONTE DE IMARUIM','PALHOÇA','SC',13110,246,NULL,NULL,NULL,NULL,NULL,2,1),(28,7088922,0.00,0.00,2.00,6.00,7.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SETE DE SETEMBRO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(28,7088930,0.00,5.00,2.00,5.00,9.00,6.38,3.00,7.00,4.00,208,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',8014,80,NULL,NULL,NULL,NULL,NULL,4,1),(28,7088949,6.00,7.00,5.00,6.00,11.00,11.63,4.00,7.00,7.00,103,NULL,NULL,'JARDIM LEBLON','CPO GRANDE','MS',546,361,NULL,NULL,NULL,NULL,NULL,4,1),(28,7088957,2.00,8.00,2.00,5.00,8.00,9.00,3.00,7.00,4.00,340,NULL,NULL,'PETRÓPOLIS','CAXIAS SUL','RS',5243,133,NULL,NULL,NULL,NULL,NULL,4,4),(28,7088965,5.00,6.00,2.00,5.00,8.00,5.63,3.00,7.00,6.00,203,NULL,235,'JD VISTA ALEGRE','PAULÍNIA','SP',5177,352,NULL,89,NULL,NULL,NULL,4,1),(28,7088973,3.00,5.00,2.00,6.00,7.00,7.50,3.00,6.00,5.00,104,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',12291,306,NULL,NULL,NULL,NULL,NULL,4,6),(28,7088981,2.00,7.00,3.00,8.00,5.00,8.63,3.00,6.00,6.00,214,NULL,212,'ESTIVA','TAUBATÉ','SP',6043,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7088990,2.00,3.00,1.00,1.00,0.00,NULL,2.00,2.00,0.00,444,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7089007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7089015,1.00,3.00,2.00,6.00,5.00,9.38,1.00,3.00,3.00,501,NULL,NULL,'PAULICÉIA','PIRACICABA','SP',18491,118,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089023,7.00,7.00,2.00,6.00,10.00,12.75,5.00,8.00,3.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',923,520,NULL,NULL,NULL,NULL,NULL,4,8),(28,7089031,2.00,6.00,2.00,7.00,6.00,10.13,2.00,5.00,5.00,109,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8977,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7089040,0.00,2.00,3.00,5.00,3.00,NULL,0.00,4.00,2.00,208,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089074,1.00,2.00,4.00,3.00,2.00,NULL,0.00,1.00,2.00,654,NULL,NULL,'COLONINHA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7089082,2.00,7.00,4.00,3.00,4.00,8.25,1.00,6.00,4.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089090,2.00,4.00,0.00,6.00,5.00,8.25,2.00,5.00,3.00,207,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',12803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7089112,0.00,4.00,3.00,1.00,4.00,NULL,1.00,3.00,2.00,235,NULL,203,'ABRAAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089120,3.00,5.00,1.00,5.00,7.00,9.75,4.00,5.00,4.00,301,NULL,NULL,'NOVA BELÉM','PAULO LOPES','SC',7979,86,NULL,NULL,NULL,NULL,NULL,2,1),(28,7089139,1.00,4.00,4.00,5.00,4.00,7.88,1.00,4.00,5.00,207,NULL,238,'ALVORADA','HORIZONTINA','RS',11822,542,NULL,186,NULL,NULL,NULL,4,1),(28,7089147,4.00,7.00,1.00,6.00,7.00,10.13,4.00,6.00,4.00,450,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',5242,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7089155,2.00,6.00,3.00,5.00,8.00,7.88,1.00,6.00,6.00,319,NULL,NULL,'JARDIM ITÚ SABARÁ','PTO ALEGRE','RS',6867,109,NULL,NULL,NULL,NULL,NULL,4,10),(28,7089163,2.00,5.00,2.00,6.00,7.00,6.38,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',8520,1952,NULL,NULL,NULL,NULL,NULL,4,7),(28,7089180,1.00,5.00,2.00,4.00,7.00,9.00,3.00,2.00,4.00,444,NULL,NULL,'PACHECO','PALHOÇA','SC',13581,63,NULL,NULL,NULL,NULL,NULL,2,1),(28,7089198,5.00,8.00,3.00,6.00,9.00,8.63,2.00,7.00,7.00,207,NULL,216,'PRAIA BRAVA','ITAJAÍ','SC',2558,89,NULL,88,NULL,NULL,NULL,4,6),(28,7089210,1.00,4.00,3.00,2.00,5.00,7.88,2.00,5.00,2.00,234,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15269,42,NULL,NULL,NULL,NULL,NULL,5,1),(28,7089228,4.00,6.00,0.00,7.00,6.00,7.88,3.00,3.00,2.00,103,NULL,NULL,'CENTRO','LAGES','SC',10079,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7089244,3.00,6.00,2.00,3.00,4.00,5.25,3.00,4.00,2.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',17825,511,NULL,NULL,NULL,NULL,NULL,2,8),(28,7089252,2.00,6.00,3.00,6.00,6.00,7.88,0.00,6.00,2.00,230,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',11659,6,NULL,NULL,NULL,NULL,NULL,2,1),(28,7089260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7089279,6.00,7.00,5.00,4.00,6.00,7.88,5.00,7.00,6.00,201,NULL,207,'JARDIM NOVA ERA','CAIEIRAS','SP',2045,140,NULL,69,NULL,NULL,NULL,4,3),(28,7089287,3.00,6.00,3.00,6.00,8.00,8.25,3.00,4.00,6.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7056,188,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089295,1.00,4.00,2.00,5.00,3.00,4.88,2.00,4.00,2.00,339,NULL,NULL,'IPIRANGA','S JOSÉ','SC',19547,63,NULL,NULL,NULL,NULL,NULL,2,1),(28,7089309,1.00,2.00,3.00,5.00,4.00,5.63,1.00,1.00,2.00,654,NULL,NULL,'OPERARIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7089317,5.00,7.00,3.00,7.00,9.00,13.50,6.00,5.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1369,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089325,2.00,6.00,4.00,5.00,9.00,7.13,4.00,4.00,5.00,202,NULL,220,'HUMAITÁ DE CIMA','TUBARÃO','SC',5860,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7089333,3.00,7.00,2.00,7.00,6.00,8.63,5.00,6.00,5.00,303,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',7127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089341,6.00,8.00,6.00,6.00,9.00,9.00,6.00,7.00,7.00,216,NULL,202,'AMERICA','JOINVILLE','SC',465,7,NULL,NULL,NULL,NULL,NULL,4,8),(28,7089350,3.00,7.00,0.00,6.00,7.00,6.00,2.00,4.00,3.00,999,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7089368,4.00,4.00,4.00,5.00,7.00,8.63,2.00,5.00,5.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8501,261,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089376,4.00,4.00,2.00,3.00,6.00,6.00,2.00,5.00,3.00,331,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',13184,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089392,1.00,5.00,2.00,6.00,6.00,6.38,2.00,5.00,1.00,302,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',14567,97,NULL,NULL,NULL,NULL,NULL,2,1),(28,7089414,7.00,7.00,2.00,7.00,7.00,6.75,3.00,5.00,6.00,103,NULL,NULL,'VILA BOA VISTA','STO ANDRÉ','SP',2678,1060,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089430,4.00,7.00,3.00,7.00,6.00,8.25,3.00,4.00,4.00,425,NULL,426,'IBIRAQUERA','IMBITUBA','SC',5451,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMBUI','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7089457,1.00,6.00,2.00,2.00,5.00,7.50,1.00,6.00,3.00,552,NULL,NULL,'CENTRO','LAGES','SC',17630,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7089465,5.00,7.00,2.00,8.00,4.00,7.88,6.00,5.00,5.00,108,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',5330,61,NULL,NULL,NULL,NULL,NULL,4,8),(28,7089481,3.00,4.00,3.00,4.00,3.00,6.75,3.00,4.00,4.00,653,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',13554,146,NULL,NULL,NULL,NULL,NULL,2,5),(28,7089503,3.00,5.00,3.00,6.00,5.00,6.75,2.00,6.00,1.00,444,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',12236,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7089511,2.00,6.00,4.00,4.00,4.00,0.00,1.00,4.00,1.00,326,NULL,NULL,'CAREANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7089520,2.00,4.00,3.00,5.00,6.00,6.75,3.00,3.00,2.00,108,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',17859,238,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089538,1.00,4.00,0.00,6.00,5.00,NULL,3.00,4.00,1.00,552,NULL,NULL,'BOSQUE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7089546,0.00,4.00,1.00,2.00,5.00,6.75,3.00,2.00,1.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',17681,420,NULL,NULL,NULL,NULL,NULL,4,5),(28,7089554,1.00,3.00,2.00,3.00,2.00,NULL,0.00,1.00,3.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7089589,5.00,5.00,2.00,5.00,5.00,9.00,1.00,4.00,5.00,103,NULL,NULL,'IMIGRANTES','CONCÓRDIA','SC',13082,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7089597,8.00,7.00,3.00,5.00,7.00,7.88,3.00,6.00,7.00,212,NULL,601,'CENTRO','BOMBINHAS','SC',2133,28,NULL,NULL,NULL,NULL,NULL,4,3),(28,7089600,3.00,8.00,2.00,1.00,4.00,9.75,3.00,7.00,1.00,318,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',16196,115,NULL,NULL,NULL,NULL,NULL,3,1),(28,7089627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BOA VISTA','JUARA','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7089635,2.00,5.00,2.00,4.00,6.00,11.63,3.00,2.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11704,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7089643,1.00,7.00,3.00,6.00,3.00,NULL,1.00,4.00,0.00,310,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7089660,2.00,6.00,1.00,6.00,6.00,7.50,2.00,5.00,4.00,207,NULL,220,'PRAIA COMPRIDA','S JOSÉ','SC',14755,652,NULL,310,NULL,NULL,NULL,4,1),(28,7089678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7089686,2.00,5.00,1.00,4.00,5.00,7.88,2.00,4.00,1.00,5,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',18638,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7089694,5.00,7.00,5.00,7.00,9.00,9.00,5.00,6.00,8.00,203,NULL,233,'VICTOR KONDER','BLUMENAU','SC',1069,101,NULL,16,NULL,NULL,NULL,4,2),(28,7089708,0.00,5.00,1.00,2.00,4.00,NULL,0.00,3.00,0.00,235,NULL,202,'ESTEVÃO CARRARO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7089716,6.00,7.00,3.00,6.00,6.00,10.88,3.00,5.00,5.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',4222,146,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089724,2.00,5.00,1.00,7.00,7.00,8.25,2.00,3.00,2.00,454,NULL,NULL,'ÁGUA BRANCA','S FRANCISCO SUL','SC',14586,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7089732,0.00,3.00,1.00,5.00,3.00,NULL,0.00,3.00,2.00,308,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7089740,5.00,4.00,4.00,3.00,6.00,6.00,3.00,4.00,3.00,303,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',11560,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089759,4.00,6.00,2.00,6.00,8.00,8.63,5.00,5.00,5.00,9,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',4012,7,NULL,NULL,NULL,NULL,NULL,2,24),(28,7089767,3.00,6.00,1.00,5.00,5.00,4.50,3.00,4.00,2.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',13819,2290,NULL,NULL,NULL,NULL,NULL,2,1),(28,7089791,1.00,5.00,1.00,5.00,6.00,6.38,3.00,4.00,2.00,318,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',18442,136,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089805,1.00,7.00,3.00,6.00,5.00,7.50,3.00,6.00,4.00,601,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',13011,394,NULL,NULL,NULL,NULL,NULL,4,23),(28,7089813,6.00,8.00,3.00,8.00,9.00,8.25,6.00,8.00,6.00,235,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',1763,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089830,2.00,6.00,0.00,7.00,6.00,9.00,1.00,4.00,4.00,415,NULL,NULL,'BATEL','CURITIBA','PR',9247,147,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089848,2.00,7.00,4.00,4.00,7.00,5.63,4.00,6.00,6.00,201,NULL,203,'BNH III PLANO','DOURADOS','MS',5324,415,NULL,358,NULL,NULL,NULL,4,1),(28,7089856,1.00,4.00,2.00,5.00,6.00,6.00,2.00,2.00,2.00,108,NULL,NULL,'PATRIMÔNIO','MASSARANDUBA','SC',18272,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7089864,5.00,5.00,2.00,7.00,6.00,7.50,4.00,4.00,4.00,203,NULL,201,'JARDIM MARAJOARA','S PAULO','SP',7425,448,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089872,2.00,2.00,1.00,2.00,3.00,5.25,0.00,1.00,2.00,201,NULL,212,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7089880,3.00,6.00,2.00,6.00,5.00,11.25,3.00,5.00,3.00,216,NULL,215,'PONTA DA PRAIA','SANTOS','SP',8165,271,NULL,137,NULL,NULL,NULL,4,1),(28,7089899,7.00,5.00,5.00,6.00,8.00,8.25,6.00,6.00,7.00,208,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',2693,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089902,0.00,4.00,4.00,5.00,5.00,3.00,1.00,5.00,1.00,552,NULL,NULL,'HAUER','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7089910,2.00,2.00,1.00,4.00,5.00,6.00,2.00,3.00,2.00,102,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',18088,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7089929,7.00,8.00,4.00,8.00,7.00,8.63,4.00,7.00,6.00,999,NULL,NULL,'SÃO JOSÉ','ARACAJU','SE',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089937,4.00,6.00,0.00,6.00,8.00,6.75,3.00,4.00,4.00,654,NULL,NULL,'CORAL','LAGES','SC',8152,9,NULL,NULL,NULL,NULL,NULL,2,9),(28,7089945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7089953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7089970,2.00,5.00,2.00,4.00,3.00,5.63,1.00,2.00,3.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7089996,5.00,8.00,4.00,5.00,7.00,11.25,6.00,6.00,6.00,999,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7090005,3.00,7.00,5.00,6.00,8.00,9.75,5.00,6.00,5.00,102,NULL,NULL,'JARDIM TAQUARAL','S PAULO','SP',2942,6,NULL,NULL,NULL,NULL,NULL,4,10),(28,7090013,5.00,8.00,5.00,4.00,7.00,7.88,5.00,7.00,5.00,202,NULL,653,'ANA MARIA','CRICIÚMA','SC',2591,72,NULL,NULL,NULL,NULL,NULL,4,5),(28,7090021,1.00,2.00,0.00,1.00,0.00,NULL,0.00,1.00,1.00,601,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7090030,2.00,4.00,2.00,4.00,5.00,6.38,1.00,3.00,2.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15607,114,NULL,NULL,NULL,NULL,NULL,2,1),(28,7090048,5.00,7.00,3.00,6.00,9.00,8.25,5.00,6.00,5.00,212,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',2661,73,NULL,198,NULL,NULL,NULL,4,1),(28,7090056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM AMERICA','REGISTRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7090072,4.00,5.00,3.00,6.00,9.00,7.88,1.00,4.00,3.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14031,286,NULL,NULL,NULL,NULL,NULL,4,1),(28,7090080,5.00,6.00,2.00,5.00,3.00,8.63,4.00,4.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7090099,2.00,4.00,3.00,1.00,3.00,4.50,0.00,3.00,3.00,552,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7090102,6.00,8.00,4.00,6.00,10.00,10.88,7.00,8.00,7.00,103,NULL,NULL,'JARDIM LAVINIA','S BERNARDO CAMPO','SP',199,156,NULL,NULL,NULL,NULL,NULL,4,1),(28,7090129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'JARDIM PARAVENTI','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7090137,3.00,6.00,3.00,5.00,7.00,9.38,4.00,3.00,8.00,223,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',10106,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7090145,5.00,7.00,2.00,6.00,7.00,10.50,5.00,7.00,7.00,340,NULL,NULL,'PRAIA DE BELAS','PTO ALEGRE','RS',1798,29,NULL,NULL,NULL,NULL,NULL,4,3),(28,7090153,6.00,6.00,3.00,6.00,6.00,6.38,3.00,6.00,5.00,201,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',3696,286,NULL,112,NULL,NULL,NULL,4,1),(28,7090161,3.00,5.00,2.00,7.00,5.00,8.25,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','SAUDADES','SC',8778,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7090170,3.00,5.00,3.00,5.00,8.00,8.63,3.00,5.00,4.00,220,NULL,202,'AGRONOMICA','FLORIANÓPOLIS','SC',7577,202,NULL,204,NULL,NULL,NULL,4,1),(28,7090188,1.00,4.00,2.00,5.00,1.00,NULL,2.00,4.00,0.00,303,NULL,NULL,'LINHA GUARANI','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7090200,3.00,4.00,1.00,5.00,7.00,6.00,2.00,3.00,4.00,213,NULL,601,'CAMPECHE','FLORIANÓPOLIS','SC',17845,NULL,NULL,512,NULL,NULL,NULL,2,1),(28,7090218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'NOVA BRASILIA','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7090226,2.00,8.00,0.00,3.00,7.00,9.38,3.00,4.00,4.00,552,NULL,NULL,'LAR IMÓVEIS','CAPINZAL','SC',11077,40,NULL,NULL,NULL,NULL,NULL,4,7),(28,7090234,0.00,4.00,1.00,1.00,3.00,6.38,1.00,3.00,3.00,331,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',20056,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7090242,3.00,8.00,2.00,5.00,7.00,6.38,1.00,5.00,4.00,203,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',7700,464,NULL,NULL,NULL,NULL,NULL,4,3),(28,7090250,5.00,8.00,3.00,5.00,10.00,9.75,4.00,7.00,5.00,103,NULL,NULL,'BOM JESUS','S JOSÉ PINHAIS','PR',1271,662,NULL,NULL,NULL,NULL,NULL,2,4),(28,7090269,3.00,9.00,1.00,4.00,8.00,8.63,1.00,7.00,5.00,501,NULL,NULL,'CENTRO','BOMBINHAS','SC',6041,14,NULL,NULL,NULL,NULL,NULL,4,6),(28,7090285,4.00,5.00,1.00,5.00,4.00,6.00,4.00,5.00,7.00,216,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',13847,380,NULL,861,NULL,NULL,NULL,2,1),(28,7090307,6.00,8.00,1.00,6.00,9.00,9.38,4.00,6.00,5.00,302,NULL,NULL,'VILA MAZZEI','S PAULO','SP',2247,1,NULL,NULL,NULL,NULL,NULL,4,8),(28,7090315,1.00,5.00,1.00,5.00,6.00,9.75,0.00,3.00,1.00,426,NULL,428,'CENTRO','FLORIANÓPOLIS','SC',18633,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7090323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7090331,2.00,6.00,3.00,2.00,5.00,7.13,2.00,3.00,3.00,425,NULL,429,'SÃO BONIFÁCIO','NOVA VENEZA','SC',14575,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7090340,4.00,8.00,1.00,7.00,8.00,8.25,3.00,7.00,7.00,214,NULL,212,'BOSQUE LUCAS ARAUJO','PASSO FUNDO','RS',3212,118,NULL,97,NULL,NULL,NULL,4,2),(28,7090358,3.00,5.00,2.00,5.00,6.00,7.50,3.00,7.00,4.00,103,NULL,NULL,'PARQUE DAS PALMEIRAS','CHAPECÓ','SC',8348,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7090366,3.00,4.00,2.00,4.00,5.00,6.75,4.00,5.00,4.00,316,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',12320,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7090374,3.00,6.00,1.00,6.00,7.00,6.38,2.00,6.00,3.00,104,NULL,NULL,'SÃO ROQUE','NOVA TRENTO','SC',11563,285,NULL,NULL,NULL,NULL,NULL,2,2),(28,7090404,4.00,7.00,2.00,5.00,5.00,10.13,4.00,5.00,6.00,220,NULL,203,'JARDIM MARCO ZERO','MACAPÁ','AP',5988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7090412,0.00,4.00,3.00,4.00,8.00,NULL,1.00,4.00,2.00,601,NULL,201,'VILA LALAU','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7090420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITINGA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7090439,7.00,7.00,4.00,6.00,10.00,11.25,6.00,7.00,6.00,225,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',472,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7090447,0.00,0.00,2.00,2.00,5.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'BARRA','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(28,7090463,1.00,6.00,3.00,4.00,1.00,NULL,0.00,2.00,1.00,327,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7090471,3.00,4.00,2.00,5.00,5.00,9.75,1.00,4.00,2.00,303,NULL,NULL,'CENTRO','IPUMIRIM','SC',12216,466,NULL,NULL,NULL,NULL,NULL,4,4),(28,7090480,7.00,8.00,0.00,5.00,3.00,10.13,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','ROLÂNDIA','PR',6868,1741,NULL,NULL,NULL,NULL,NULL,4,1),(28,7090498,0.00,6.00,4.00,3.00,5.00,NULL,4.00,3.00,3.00,104,NULL,NULL,'SANTA LÚCIA','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7090501,2.00,5.00,0.00,5.00,5.00,8.63,1.00,3.00,1.00,103,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',15023,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7090510,6.00,8.00,7.00,7.00,8.00,10.13,8.00,6.00,7.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',297,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7090528,0.00,4.00,2.00,6.00,3.00,6.38,2.00,4.00,0.00,207,NULL,201,'VIGOLO','NOVA TRENTO','SC',17853,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7090552,7.00,8.00,4.00,6.00,8.00,9.38,5.00,6.00,7.00,103,NULL,NULL,'COESTER','FERNANDÓPOLIS','SP',615,398,NULL,NULL,NULL,NULL,NULL,4,1),(28,7090560,4.00,6.00,3.00,2.00,5.00,6.38,1.00,5.00,1.00,208,NULL,NULL,'REGINA','CATANDUVAS','SC',13250,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7090587,1.00,4.00,2.00,6.00,6.00,NULL,0.00,4.00,2.00,213,NULL,216,'PARAISO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7090595,1.00,6.00,5.00,6.00,4.00,7.13,2.00,5.00,2.00,454,NULL,NULL,'SÃO LUIS','S MIGUEL OESTE','SC',10393,195,NULL,NULL,NULL,NULL,NULL,2,27),(28,7090609,1.00,7.00,2.00,4.00,7.00,6.75,2.00,5.00,2.00,103,NULL,NULL,'JARDIM ALVORADA','ALVORADA','RS',12015,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7090617,3.00,6.00,3.00,4.00,5.00,4.50,3.00,6.00,4.00,201,NULL,207,'VILA ISABEL','CRICIÚMA','SC',15000,913,NULL,664,NULL,NULL,NULL,2,5),(28,7090633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'SANTA FÉ','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7090650,2.00,6.00,1.00,5.00,6.00,12.38,2.00,3.00,4.00,103,NULL,NULL,'COLORAU','SOROCABA','SP',8443,1942,NULL,NULL,NULL,NULL,NULL,4,1),(28,7090668,6.00,7.00,2.00,6.00,9.00,9.75,2.00,6.00,6.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',2280,956,NULL,NULL,NULL,NULL,NULL,4,7),(28,7090676,6.00,9.00,5.00,7.00,11.00,9.00,5.00,6.00,6.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',508,346,NULL,NULL,NULL,NULL,NULL,4,8),(28,7090692,1.00,4.00,1.00,7.00,3.00,10.13,1.00,3.00,1.00,450,NULL,NULL,'MAR GROSSO','LAGUNA','SC',18854,131,NULL,NULL,NULL,NULL,NULL,4,1),(28,7090714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RIBEIRANIA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7090722,3.00,8.00,2.00,6.00,6.00,8.25,3.00,6.00,4.00,999,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7090730,3.00,7.00,1.00,4.00,6.00,12.38,3.00,7.00,4.00,103,NULL,NULL,'SANTANA','S PAULO','SP',4271,1378,NULL,NULL,NULL,NULL,NULL,4,6),(28,7090757,1.00,2.00,0.00,3.00,5.00,5.63,2.00,1.00,1.00,238,NULL,201,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7090765,9.00,8.00,6.00,7.00,11.00,9.00,6.00,8.00,8.00,103,NULL,NULL,'ALTOS DO ESPLANADA','S JOSÉ CAMPOS','SP',68,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7090773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7090790,1.00,3.00,3.00,4.00,5.00,6.75,0.00,2.00,0.00,238,NULL,213,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7090803,2.00,6.00,3.00,7.00,7.00,6.00,7.00,8.00,4.00,203,NULL,214,'JARDIM PRESIDENTE','RIO VERDE','GO',5338,359,NULL,169,NULL,NULL,NULL,4,1),(28,7090811,2.00,2.00,0.00,6.00,5.00,7.88,3.00,3.00,3.00,503,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7090820,0.00,4.00,1.00,6.00,4.00,9.38,2.00,5.00,2.00,104,NULL,NULL,'MAGALHÃES','LAGUNA','SC',15063,368,NULL,NULL,NULL,NULL,NULL,2,10),(28,7090846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,425,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7090854,3.00,4.00,2.00,4.00,7.00,8.63,1.00,3.00,3.00,104,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',17567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7090889,0.00,4.00,2.00,1.00,0.00,NULL,2.00,5.00,6.00,108,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7090900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7090919,2.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,202,NULL,220,'CENTRO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(28,7090927,3.00,7.00,2.00,3.00,3.00,6.38,1.00,6.00,2.00,103,NULL,NULL,'MARGEM ESQUERDA','GASPAR','SC',13239,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7090935,4.00,7.00,1.00,5.00,8.00,10.88,2.00,4.00,4.00,211,NULL,214,'FORQUILHAS','S JOSÉ','SC',7171,203,NULL,214,NULL,NULL,NULL,4,1),(28,7090943,4.00,5.00,2.00,4.00,5.00,7.13,4.00,7.00,5.00,653,NULL,601,'TRÊS RIOS DO NORTE','JARAGUÁ SUL','SC',8142,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7090951,5.00,6.00,1.00,6.00,6.00,12.00,3.00,7.00,4.00,103,NULL,NULL,'JARDIM BOA VISTA','ASSIS','SP',3619,1261,NULL,NULL,NULL,NULL,NULL,4,1),(28,7090960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7090986,3.00,6.00,1.00,5.00,5.00,7.88,3.00,6.00,3.00,104,NULL,NULL,'BOM JESUS','PTO ALEGRE','RS',15747,387,NULL,NULL,NULL,NULL,NULL,2,1),(28,7090994,7.00,6.00,4.00,6.00,9.00,11.25,3.00,4.00,7.00,103,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',1502,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7091001,4.00,8.00,3.00,7.00,8.00,9.38,3.00,6.00,4.00,207,NULL,203,'SANTA LUZIA','JARAGUÁ SUL','SC',4595,194,NULL,NULL,NULL,NULL,NULL,4,23),(28,7091010,2.00,7.00,3.00,5.00,6.00,8.25,2.00,3.00,6.00,104,NULL,NULL,'RIO BRANCO','S LEOPOLDO','RS',7848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7091028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ADALGISA','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7091036,5.00,9.00,3.00,7.00,8.00,9.00,4.00,6.00,5.00,103,NULL,NULL,'SANTA AUGUSTA','BRAÇO NORTE','SC',2834,1098,NULL,NULL,NULL,NULL,NULL,4,4),(28,7091044,2.00,3.00,0.00,4.00,4.00,NULL,4.00,5.00,2.00,202,NULL,601,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7091052,1.00,4.00,2.00,2.00,1.00,NULL,2.00,5.00,4.00,653,NULL,655,'CENTRO','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7091060,1.00,6.00,3.00,7.00,4.00,6.38,2.00,3.00,2.00,999,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7091079,6.00,9.00,3.00,3.00,9.00,10.50,6.00,7.00,7.00,103,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',621,401,NULL,NULL,NULL,NULL,NULL,4,1),(28,7091087,1.00,5.00,1.00,7.00,6.00,11.25,2.00,4.00,2.00,340,NULL,NULL,'HUMAITA','TUBARÃO','SC',11551,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7091109,2.00,7.00,3.00,7.00,5.00,7.88,2.00,4.00,1.00,203,NULL,233,'CENTRO','ITAPEMA','SC',15039,NULL,NULL,311,NULL,NULL,NULL,4,6),(28,7091150,0.00,5.00,1.00,4.00,2.00,NULL,1.00,3.00,4.00,501,NULL,NULL,'RIBEIRAO MATILDE','ATALANTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7091168,2.00,8.00,2.00,6.00,6.00,8.25,2.00,6.00,5.00,216,NULL,215,'VILA MARIANA','S PAULO','SP',4536,174,NULL,63,NULL,NULL,NULL,4,1),(28,7091176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITAIM BIBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7091184,1.00,7.00,1.00,2.00,7.00,7.13,2.00,4.00,5.00,216,NULL,207,'SANTA ISABEL','ÁGUAS MORNAS','SC',16053,420,NULL,700,NULL,NULL,NULL,4,1),(28,7091192,2.00,4.00,1.00,5.00,6.00,6.00,2.00,2.00,3.00,426,NULL,423,'CENTRO','FLORIANÓPOLIS','SC',16270,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7091214,2.00,5.00,0.00,3.00,7.00,8.25,1.00,4.00,1.00,337,NULL,NULL,'BOSQUE','CURITIBANOS','SC',15327,27,NULL,NULL,NULL,NULL,NULL,2,16),(28,7091222,0.00,3.00,2.00,3.00,3.00,7.50,3.00,3.00,2.00,201,NULL,NULL,'SERRARIA','S JOSÉ','SC',19717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7091230,0.00,2.00,1.00,3.00,4.00,7.13,2.00,1.00,0.00,654,NULL,NULL,'MORRO DOS CONVENTOS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7091249,1.00,2.00,0.00,5.00,5.00,10.13,0.00,3.00,2.00,601,NULL,214,'FLORESTA','JOINVILLE','SC',19474,549,NULL,362,NULL,NULL,NULL,4,8),(28,7091265,2.00,6.00,3.00,7.00,7.00,7.50,2.00,5.00,2.00,999,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7091273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'BELA VISTA II','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7091281,3.00,5.00,2.00,7.00,9.00,10.13,3.00,4.00,5.00,207,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',5131,228,NULL,166,NULL,NULL,NULL,4,1),(28,7091290,1.00,7.00,3.00,7.00,7.00,7.50,6.00,6.00,4.00,203,NULL,NULL,'JARDIM BOTÂNICO','LG SUL','DF',5394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7091303,7.00,6.00,3.00,5.00,8.00,10.88,3.00,7.00,5.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',2783,1084,NULL,NULL,NULL,NULL,NULL,4,8),(28,7091311,4.00,7.00,2.00,7.00,7.00,11.25,2.00,5.00,4.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',2864,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7091320,3.00,4.00,3.00,2.00,5.00,6.38,3.00,4.00,3.00,552,NULL,NULL,'SÃO GABRIEL','FORQUILHINHA','SC',15797,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7091338,4.00,4.00,2.00,4.00,3.00,7.50,2.00,6.00,4.00,601,NULL,207,'PARANAGUAMIRIM','JOINVILLE','SC',14746,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7091346,6.00,8.00,4.00,6.00,10.00,10.88,7.00,7.00,7.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',421,299,NULL,NULL,NULL,NULL,NULL,4,4),(28,7091354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'NOVA HIGIENOPOLIS','JANDIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7091370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA VERDE','PNT PORÃ','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7091400,5.00,4.00,1.00,6.00,5.00,5.63,3.00,4.00,2.00,220,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',12541,286,NULL,212,NULL,NULL,NULL,2,1),(28,7091419,2.00,4.00,0.00,7.00,7.00,9.38,2.00,4.00,4.00,103,NULL,NULL,'IMPERIAL','CONCÓRDIA','SC',14629,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7091427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'GUAJUVIRAS','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7091435,0.00,3.00,2.00,2.00,3.00,NULL,1.00,3.00,2.00,451,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7091443,1.00,7.00,2.00,5.00,9.00,10.88,3.00,6.00,3.00,201,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',11270,737,NULL,294,NULL,NULL,NULL,4,1),(28,7091478,7.00,6.00,5.00,7.00,7.00,7.50,4.00,5.00,5.00,216,NULL,233,'AMÉRICA','JOINVILLE','SC',3598,135,NULL,91,NULL,NULL,NULL,4,8),(28,7091486,2.00,5.00,3.00,8.00,7.00,10.13,2.00,6.00,2.00,303,NULL,NULL,'STO ATONIO DE PÁDUA','TUBARÃO','SC',6920,312,NULL,NULL,NULL,NULL,NULL,4,10),(28,7091494,2.00,5.00,3.00,5.00,7.00,9.38,2.00,6.00,2.00,109,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',9088,12,NULL,NULL,NULL,NULL,NULL,2,1),(28,7091532,3.00,5.00,3.00,3.00,4.00,6.38,3.00,4.00,2.00,207,NULL,215,'CENTRO','FOZ IGUAÇU','PR',15041,665,NULL,NULL,NULL,NULL,NULL,4,1),(28,7091540,2.00,2.00,3.00,4.00,3.00,5.63,1.00,3.00,2.00,207,NULL,NULL,'CIDADE NOVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7091559,3.00,7.00,4.00,7.00,8.00,9.75,3.00,6.00,4.00,103,NULL,NULL,'VILA BRASIL','LONDRINA','PR',6067,1638,NULL,NULL,NULL,NULL,NULL,4,1),(28,7091567,4.00,9.00,3.00,8.00,9.00,13.50,6.00,7.00,6.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',489,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7091575,3.00,6.00,3.00,7.00,8.00,8.25,5.00,5.00,6.00,208,NULL,NULL,'CENTRO','ITAJAÍ','SC',4746,32,NULL,NULL,NULL,NULL,NULL,4,6),(28,7091591,0.00,4.00,1.00,2.00,2.00,NULL,2.00,4.00,5.00,444,NULL,NULL,'MORRO DA BINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7091605,2.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'MONTE CRISTO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7091613,0.00,1.00,1.00,3.00,4.00,NULL,0.00,5.00,2.00,9,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7091621,0.00,2.00,1.00,5.00,6.00,7.88,0.00,3.00,1.00,201,NULL,216,'CENTRO','PTE ALTA','SC',19551,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7091630,1.00,6.00,1.00,4.00,4.00,7.13,4.00,3.00,3.00,214,NULL,201,'ALPHAVILLE','SANTANA PARNAÍBA','SP',11594,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7091656,3.00,5.00,4.00,5.00,7.00,8.63,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','PTO UNIÃO','SC',7872,1880,NULL,NULL,NULL,NULL,NULL,2,1),(28,7091664,0.00,2.00,3.00,7.00,1.00,NULL,3.00,1.00,1.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7091672,7.00,8.00,3.00,7.00,8.00,9.38,6.00,6.00,6.00,103,NULL,NULL,'SÃO MIGUEL','CONCÓRDIA','SC',795,467,NULL,NULL,NULL,NULL,NULL,4,1),(28,7091710,3.00,6.00,2.00,2.00,4.00,7.88,2.00,3.00,1.00,653,NULL,655,'CRISTO RREDENTOR','CRICIÚMA','SC',18978,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7091745,3.00,5.00,3.00,5.00,6.00,9.00,2.00,5.00,1.00,454,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7091753,1.00,6.00,2.00,5.00,5.00,7.88,1.00,3.00,1.00,454,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',13119,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7091761,3.00,7.00,2.00,4.00,8.00,6.75,2.00,5.00,4.00,207,NULL,201,'CENTRO','S DOMINGOS','SC',7058,330,NULL,526,NULL,NULL,NULL,4,4),(28,7091770,1.00,5.00,2.00,6.00,6.00,6.38,3.00,1.00,2.00,999,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7091796,0.00,1.00,3.00,6.00,4.00,NULL,0.00,2.00,1.00,428,NULL,423,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7091818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BOSUCESSO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,26),(28,7091826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7091834,2.00,4.00,2.00,5.00,2.00,NULL,1.00,3.00,1.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7091842,7.00,8.00,7.00,7.00,10.00,9.38,7.00,8.00,8.00,103,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',43,37,NULL,NULL,NULL,NULL,NULL,4,5),(28,7091869,1.00,5.00,1.00,2.00,2.00,NULL,0.00,4.00,2.00,404,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7091877,0.00,8.00,1.00,4.00,5.00,6.75,1.00,5.00,2.00,316,NULL,NULL,'CENTRO','TIJUCAS','SC',18503,271,NULL,NULL,NULL,NULL,NULL,4,1),(28,7091885,0.00,4.00,2.00,1.00,5.00,NULL,2.00,2.00,2.00,444,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7091893,7.00,9.00,5.00,7.00,8.00,9.38,4.00,7.00,5.00,214,NULL,212,'MOEMA','S PAULO','SP',738,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7091907,3.00,7.00,3.00,5.00,4.00,8.25,2.00,4.00,1.00,601,NULL,214,'SÃO RAFAEL','RIO NEGRINHO','SC',13169,400,NULL,NULL,NULL,NULL,NULL,4,8),(28,7091923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7091931,3.00,6.00,1.00,5.00,6.00,6.75,6.00,5.00,4.00,233,NULL,201,'AREIAS','S JOSÉ','SC',9321,220,NULL,NULL,NULL,NULL,NULL,2,1),(28,7091940,2.00,4.00,1.00,6.00,4.00,10.13,3.00,3.00,1.00,999,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7091958,1.00,4.00,2.00,5.00,4.00,5.25,2.00,4.00,2.00,211,NULL,NULL,'NAÇOES','BAL CAMBORIÚ','SC',19375,428,NULL,NULL,NULL,NULL,NULL,2,3),(28,7091966,7.00,9.00,3.00,8.00,9.00,10.13,5.00,7.00,5.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',792,465,NULL,NULL,NULL,NULL,NULL,4,1),(28,7091982,2.00,8.00,2.00,7.00,6.00,9.00,3.00,8.00,4.00,207,NULL,601,'CANASVIEIRAS','FLORIANÓPOLIS','SC',4954,NULL,NULL,92,NULL,NULL,NULL,2,1),(28,7091990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7092008,1.00,3.00,1.00,7.00,3.00,7.88,3.00,3.00,5.00,233,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',18330,NULL,NULL,319,NULL,NULL,NULL,2,1),(28,7092016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7092024,4.00,8.00,3.00,5.00,8.00,9.75,6.00,7.00,5.00,336,NULL,NULL,'BELA VISTA','S JOAQUIM','SC',2974,10,NULL,NULL,NULL,NULL,NULL,2,9),(28,7092032,2.00,6.00,3.00,6.00,5.00,6.00,2.00,4.00,4.00,999,NULL,NULL,'BARRA SUL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7092059,3.00,7.00,2.00,4.00,5.00,6.38,3.00,6.00,6.00,103,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',12163,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7092067,2.00,6.00,1.00,3.00,7.00,8.25,4.00,6.00,1.00,104,NULL,NULL,'CENTRO','POMERODE','SC',9299,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(28,7092075,1.00,5.00,1.00,6.00,8.00,7.88,1.00,4.00,5.00,108,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',8975,115,NULL,NULL,NULL,NULL,NULL,2,1),(28,7092083,3.00,8.00,2.00,8.00,8.00,11.63,5.00,7.00,2.00,340,NULL,NULL,'CURSINO','S PAULO','SP',2702,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(28,7092091,0.00,5.00,1.00,5.00,4.00,5.63,1.00,6.00,1.00,207,NULL,NULL,'CIDADE SÃO JORGE','STO ANDRÉ','SP',19509,807,NULL,NULL,NULL,NULL,NULL,4,8),(28,7092105,3.00,7.00,1.00,7.00,9.00,9.00,2.00,7.00,2.00,454,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7258,117,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092130,1.00,3.00,1.00,6.00,5.00,7.88,2.00,3.00,1.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7092148,3.00,6.00,2.00,5.00,6.00,8.25,4.00,5.00,3.00,220,NULL,203,'JARDIM JEQUITIBA','MARÍLIA','SP',8834,227,NULL,506,NULL,NULL,NULL,4,3),(28,7092164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7092172,1.00,2.00,0.00,2.00,6.00,NULL,3.00,4.00,1.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7092180,0.00,6.00,2.00,6.00,9.00,8.63,2.00,6.00,3.00,103,NULL,NULL,'GRANJA VIANA','COTIA','SP',7584,1837,NULL,NULL,NULL,NULL,NULL,4,8),(28,7092199,1.00,8.00,1.00,6.00,7.00,11.25,0.00,4.00,4.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',9528,2039,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092202,4.00,8.00,6.00,6.00,7.00,10.50,6.00,7.00,5.00,202,NULL,235,'GRAÇA','SALVADOR','BA',764,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092245,0.00,2.00,1.00,1.00,5.00,6.00,1.00,3.00,0.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7092253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM TERRAS DE SAN','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7092261,4.00,7.00,3.00,7.00,9.00,10.50,2.00,5.00,2.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9048,252,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092270,1.00,6.00,2.00,6.00,6.00,12.00,1.00,6.00,3.00,207,NULL,238,'JORDÃO','GOV CELSO RAMOS','SC',8295,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7092288,2.00,7.00,3.00,2.00,7.00,7.50,1.00,5.00,4.00,654,NULL,NULL,'CENTRO','TUBARÃO','SC',10264,14,NULL,NULL,NULL,NULL,NULL,4,10),(28,7092296,5.00,9.00,5.00,7.00,9.00,6.75,4.00,7.00,6.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1506,742,NULL,NULL,NULL,NULL,NULL,2,1),(28,7092318,7.00,7.00,4.00,3.00,7.00,8.25,3.00,5.00,3.00,415,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',6611,108,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092334,6.00,9.00,5.00,6.00,9.00,8.63,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',1276,664,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092350,4.00,8.00,1.00,6.00,9.00,8.25,4.00,7.00,4.00,340,NULL,NULL,'CENTRO','TUBARÃO','SC',8076,214,NULL,NULL,NULL,NULL,NULL,4,10),(28,7092369,1.00,3.00,0.00,1.00,4.00,7.50,1.00,3.00,0.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18813,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7092407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7092423,1.00,7.00,2.00,6.00,8.00,6.00,3.00,6.00,4.00,207,NULL,201,'BROOKLIN','S PAULO','SP',8112,374,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092431,2.00,5.00,2.00,7.00,2.00,NULL,0.00,4.00,0.00,552,NULL,NULL,'DAS NAÇÕES','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7092440,0.00,6.00,1.00,4.00,6.00,NULL,5.00,6.00,2.00,329,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092458,0.00,4.00,2.00,5.00,5.00,NULL,1.00,1.00,4.00,340,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7092466,2.00,7.00,4.00,7.00,4.00,NULL,4.00,5.00,1.00,9,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7092474,0.00,3.00,2.00,2.00,4.00,4.50,1.00,4.00,1.00,451,NULL,NULL,'SANTIAGO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7092482,4.00,7.00,2.00,7.00,8.00,9.75,4.00,7.00,3.00,201,NULL,207,'CAMPECHE','FLORIANÓPOLIS','SC',3202,242,NULL,118,NULL,NULL,NULL,2,1),(28,7092490,5.00,7.00,1.00,7.00,9.00,11.25,3.00,7.00,4.00,103,NULL,NULL,'BOM JESUS','RIO NEGRO','PR',2502,1023,NULL,NULL,NULL,NULL,NULL,2,17),(28,7092504,2.00,5.00,2.00,5.00,6.00,8.63,2.00,4.00,0.00,328,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17665,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092520,0.00,4.00,2.00,1.00,3.00,0.00,3.00,2.00,2.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092539,1.00,5.00,5.00,4.00,7.00,3.00,3.00,3.00,3.00,108,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7092547,4.00,7.00,2.00,6.00,8.00,8.25,4.00,7.00,4.00,2,NULL,NULL,'PAES LEME','IMBITUBA','SC',3768,11,NULL,NULL,NULL,NULL,NULL,4,10),(28,7092555,0.00,5.00,0.00,7.00,2.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7092563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM PIRATININGA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7092571,3.00,7.00,1.00,7.00,6.00,6.75,2.00,6.00,4.00,103,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',12380,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092580,5.00,8.00,3.00,5.00,8.00,11.63,6.00,7.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1181,631,NULL,NULL,NULL,NULL,NULL,4,6),(28,7092598,6.00,8.00,6.00,7.00,7.00,8.63,1.00,8.00,6.00,220,NULL,202,'VILA LAVINIA','MOGI CRUZES','SP',1234,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092601,3.00,8.00,2.00,7.00,7.00,7.88,5.00,7.00,7.00,303,NULL,NULL,'JARDIM TROPICAL','MARÍLIA','SP',2798,129,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092610,0.00,3.00,1.00,2.00,3.00,NULL,0.00,5.00,0.00,316,NULL,NULL,'CENTRO','ITAPECERICA SERRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092628,4.00,5.00,1.00,6.00,8.00,8.25,2.00,5.00,5.00,9,NULL,NULL,'BOA VISTA','CURITIBA','PR',8408,41,NULL,NULL,NULL,NULL,NULL,2,8),(28,7092636,2.00,4.00,1.00,4.00,3.00,8.63,1.00,2.00,1.00,238,NULL,235,'CAPOEIRAS','FLORIANÓPOLIS','SC',17188,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7092644,5.00,7.00,2.00,6.00,6.00,8.25,3.00,8.00,5.00,201,NULL,202,'JARDIM AMÉRICA','GOIÂNIA','GO',3229,244,NULL,91,NULL,NULL,NULL,2,1),(28,7092660,3.00,4.00,2.00,5.00,4.00,7.13,2.00,5.00,2.00,102,NULL,NULL,'TATUAPÉ','S PAULO','SP',12310,115,NULL,NULL,NULL,NULL,NULL,4,3),(28,7092679,4.00,8.00,3.00,5.00,8.00,10.50,3.00,7.00,5.00,216,NULL,220,'CENTRO','CAPINZAL','SC',2124,69,NULL,63,NULL,NULL,NULL,4,7),(28,7092687,1.00,1.00,1.00,2.00,1.00,NULL,3.00,3.00,1.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7092695,0.00,3.00,4.00,5.00,5.00,NULL,2.00,4.00,3.00,222,NULL,NULL,'RIBEIRÃO CAVALO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7092709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7092725,1.00,6.00,1.00,5.00,4.00,6.00,2.00,3.00,2.00,214,NULL,NULL,'DIVINÉIA','PARANAGUÁ','PR',19179,360,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092733,4.00,7.00,2.00,6.00,7.00,7.88,3.00,7.00,4.00,336,NULL,NULL,'CENTRO','NAVEGANTES','SC',5035,24,NULL,NULL,NULL,NULL,NULL,2,6),(28,7092741,1.00,4.00,1.00,3.00,7.00,9.75,1.00,5.00,2.00,101,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',13898,86,NULL,NULL,NULL,NULL,NULL,2,1),(28,7092768,3.00,2.00,3.00,2.00,3.00,7.88,1.00,3.00,2.00,110,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',18425,94,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092776,6.00,8.00,3.00,5.00,8.00,8.25,3.00,8.00,7.00,103,NULL,NULL,'SANTA CRUZ','RIBEIRÃO PRETO','SP',1351,696,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092784,7.00,8.00,6.00,7.00,7.00,10.13,7.00,9.00,7.00,103,NULL,NULL,'JARDIM DA GLORIA','COTIA','SP',314,235,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092792,1.00,4.00,0.00,5.00,4.00,3.00,2.00,5.00,1.00,9,NULL,NULL,'CENTRO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7092806,4.00,7.00,3.00,7.00,7.00,11.63,4.00,8.00,5.00,104,NULL,NULL,'CAMPO DO GADO','RIO NEGRO','PR',2945,34,NULL,NULL,NULL,NULL,NULL,4,8),(28,7092814,7.00,7.00,2.00,6.00,10.00,12.38,2.00,6.00,3.00,303,NULL,NULL,'BOTAFOGO','RIO JANEIRO','RJ',4724,219,NULL,NULL,NULL,NULL,NULL,4,6),(28,7092822,4.00,8.00,3.00,7.00,8.00,9.75,4.00,6.00,7.00,5,NULL,NULL,'OPERÁRIA NOVA','CRICIÚMA','SC',1528,44,NULL,NULL,NULL,NULL,NULL,2,5),(28,7092830,4.00,6.00,4.00,6.00,8.00,8.25,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5876,1611,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092865,8.00,8.00,4.00,7.00,8.00,11.25,5.00,7.00,5.00,108,NULL,NULL,'CENTRO','NOVA PETRÓPOLIS','RS',1755,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,202,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7092890,5.00,7.00,5.00,7.00,8.00,10.13,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',771,459,NULL,NULL,NULL,NULL,NULL,2,5),(28,7092903,1.00,5.00,4.00,4.00,3.00,7.88,0.00,2.00,3.00,223,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',19207,47,NULL,NULL,NULL,NULL,NULL,2,1),(28,7092911,4.00,5.00,1.00,7.00,7.00,9.00,1.00,4.00,3.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092920,2.00,5.00,1.00,5.00,4.00,6.38,1.00,2.00,2.00,208,NULL,NULL,'PEREQUE','PTO BELO','SC',19361,214,NULL,NULL,NULL,NULL,NULL,2,3),(28,7092954,7.00,8.00,3.00,7.00,6.00,10.13,7.00,7.00,8.00,601,NULL,220,'JARDIM ITÁLIA','ITAPETININGA','SP',555,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7092962,5.00,6.00,3.00,7.00,5.00,10.13,3.00,6.00,5.00,103,NULL,NULL,'PRIMO TACCA','XANXERÊ','SC',3228,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7092970,2.00,2.00,2.00,3.00,5.00,7.88,2.00,1.00,1.00,102,NULL,NULL,'SANTO ANTÔNIO','TAIÓ','SC',19848,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7092989,1.00,6.00,2.00,6.00,6.00,4.50,1.00,5.00,4.00,238,NULL,220,'FLORESTA','S JOSÉ','SC',13443,221,NULL,298,NULL,NULL,NULL,4,1),(28,7092997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PQ NOVO MUNDO','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7093004,3.00,6.00,3.00,5.00,8.00,8.25,3.00,6.00,1.00,302,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',8140,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093012,6.00,7.00,2.00,6.00,8.00,12.00,5.00,5.00,5.00,220,NULL,213,'BALNEÁRIO','FLORIANÓPOLIS','SC',3929,115,NULL,52,NULL,NULL,NULL,4,1),(28,7093020,1.00,6.00,4.00,6.00,4.00,8.25,3.00,3.00,3.00,201,NULL,233,'MADRI','PALHOÇA','SC',14829,901,NULL,308,NULL,NULL,NULL,2,1),(28,7093047,5.00,7.00,2.00,6.00,6.00,7.88,3.00,7.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093055,7.00,9.00,5.00,7.00,10.00,8.25,8.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',112,89,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093063,3.00,7.00,2.00,4.00,8.00,10.88,4.00,6.00,5.00,103,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',5802,1601,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093071,6.00,8.00,1.00,7.00,9.00,8.25,3.00,8.00,5.00,216,NULL,601,'FLORESTA','JOINVILLE','SC',1900,60,NULL,16,NULL,NULL,NULL,4,8),(28,7093080,3.00,7.00,1.00,6.00,8.00,7.50,4.00,6.00,5.00,340,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',6825,176,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093098,1.00,2.00,1.00,6.00,4.00,7.13,3.00,3.00,2.00,317,NULL,NULL,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7093101,4.00,7.00,2.00,6.00,5.00,6.00,1.00,5.00,2.00,233,NULL,601,'CAMPOS DO IGUAÇU','FOZ IGUAÇU','PR',11069,256,NULL,323,NULL,NULL,NULL,4,2),(28,7093110,1.00,2.00,4.00,3.00,3.00,5.63,1.00,2.00,3.00,110,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093144,3.00,7.00,3.00,7.00,7.00,7.88,3.00,5.00,4.00,203,NULL,601,'ESCOLA AGRÍCOLA','BLUMENAU','SC',9199,512,NULL,241,NULL,NULL,NULL,2,2),(28,7093160,4.00,8.00,1.00,7.00,9.00,11.25,3.00,5.00,5.00,103,NULL,NULL,'JARDIM BARONEZA','ARAPONGAS','PR',3187,1179,NULL,NULL,NULL,NULL,NULL,4,8),(28,7093179,4.00,8.00,3.00,7.00,5.00,8.63,2.00,4.00,3.00,340,NULL,NULL,'ESTREITO','S JOSÉ','SC',7204,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7093195,3.00,5.00,2.00,4.00,3.00,3.00,2.00,3.00,4.00,451,NULL,NULL,'TAPERA DA BASE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7093209,6.00,5.00,5.00,7.00,6.00,10.50,5.00,5.00,5.00,203,NULL,216,'SÃO GABRIEL','CAP LEÔNIDAS MARQUES','PR',2420,190,NULL,79,NULL,NULL,NULL,2,1),(28,7093217,1.00,5.00,2.00,4.00,8.00,9.00,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','NOVA TRENTO','SC',12351,2221,NULL,NULL,NULL,NULL,NULL,2,1),(28,7093225,1.00,6.00,2.00,7.00,5.00,6.75,2.00,4.00,3.00,999,NULL,NULL,'CACUPE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093233,5.00,8.00,4.00,3.00,8.00,8.63,4.00,6.00,7.00,103,NULL,NULL,'BELA VISTA','GOIÂNIA','GO',2620,1052,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093241,0.00,7.00,2.00,5.00,7.00,8.63,1.00,4.00,2.00,340,NULL,NULL,'BELA ALIANCA','RIO SUL','SC',17144,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7093250,5.00,8.00,3.00,6.00,5.00,8.25,3.00,4.00,5.00,202,NULL,235,'GONZAGA','SANTOS','SP',3867,114,NULL,62,NULL,NULL,NULL,4,1),(28,7093268,2.00,7.00,2.00,5.00,6.00,10.13,3.00,5.00,2.00,207,NULL,NULL,'JARDIM IMPERIAL','SINOP','MT',7049,329,NULL,NULL,NULL,NULL,NULL,2,1),(28,7093276,7.00,8.00,5.00,7.00,8.00,9.75,7.00,7.00,6.00,216,NULL,212,'VILA AREAL','INDAIATUBA','SP',261,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093284,3.00,5.00,1.00,3.00,3.00,3.00,2.00,2.00,3.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7093314,2.00,5.00,1.00,5.00,6.00,10.13,2.00,6.00,2.00,454,NULL,NULL,'CENTRO','CRICIÚMA','SC',10321,194,NULL,NULL,NULL,NULL,NULL,4,5),(28,7093322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TATUAPÉ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7093330,1.00,5.00,1.00,4.00,6.00,7.88,2.00,3.00,2.00,450,NULL,NULL,'SÃO JOSÉ','TRAMANDAÍ','RS',14803,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7093349,1.00,7.00,4.00,5.00,7.00,6.75,3.00,3.00,4.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8887,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093357,2.00,4.00,1.00,6.00,3.00,8.25,2.00,5.00,4.00,203,NULL,201,'CENTRO','PALMEIRA','SC',11154,560,NULL,NULL,NULL,NULL,NULL,4,9),(28,7093365,0.00,4.00,3.00,5.00,7.00,NULL,2.00,6.00,2.00,302,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7093373,0.00,2.00,2.00,1.00,3.00,NULL,0.00,3.00,2.00,502,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093381,3.00,8.00,3.00,6.00,8.00,11.63,1.00,6.00,6.00,333,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4836,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7093390,2.00,6.00,2.00,5.00,5.00,9.38,2.00,4.00,3.00,207,NULL,NULL,'SANTA CRUZ','VALINHOS','SP',10697,493,NULL,NULL,NULL,NULL,NULL,2,1),(28,7093403,7.00,8.00,2.00,7.00,6.00,11.25,4.00,8.00,6.00,103,NULL,NULL,'CENTRO','STA CRUZ R PARDO','SP',810,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093411,1.00,4.00,3.00,6.00,3.00,8.25,1.00,4.00,1.00,103,NULL,NULL,'CENTRO','PALMAS','PR',15646,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7093420,2.00,2.00,1.00,2.00,2.00,NULL,3.00,3.00,2.00,103,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7093438,3.00,4.00,2.00,6.00,4.00,6.75,3.00,4.00,4.00,202,NULL,201,'JURERÊ','FLORIANÓPOLIS','SC',16141,364,NULL,939,NULL,NULL,NULL,4,1),(28,7093454,3.00,6.00,0.00,4.00,7.00,NULL,0.00,2.00,2.00,102,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7093462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOSSUNGUÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7093470,6.00,7.00,5.00,5.00,7.00,10.50,6.00,7.00,7.00,103,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',751,452,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PAULISTA','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7093497,0.00,4.00,1.00,6.00,4.00,NULL,2.00,3.00,2.00,654,NULL,NULL,'JARDIM EUROPA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7093500,0.00,3.00,0.00,4.00,2.00,NULL,2.00,3.00,1.00,9,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7093527,2.00,6.00,3.00,5.00,5.00,6.75,2.00,4.00,4.00,238,NULL,652,'AREIAS','S JOSÉ','SC',16573,289,NULL,68,NULL,NULL,NULL,4,1),(28,7093535,5.00,8.00,3.00,6.00,7.00,10.13,2.00,6.00,6.00,103,NULL,NULL,'MORADA DA COLINA','VOLTA REDONDA','RJ',5864,1606,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093543,4.00,7.00,4.00,5.00,7.00,8.63,4.00,6.00,6.00,233,NULL,203,'COSTA E SILVA','JOINVILLE','SC',2542,49,NULL,NULL,NULL,NULL,NULL,4,8),(28,7093551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA SUÍÇA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7093560,0.00,5.00,1.00,5.00,7.00,7.13,2.00,5.00,3.00,552,NULL,NULL,'PROGRESSO','LAGUNA','SC',13232,72,NULL,NULL,NULL,NULL,NULL,4,10),(28,7093586,2.00,6.00,1.00,6.00,7.00,9.00,2.00,4.00,2.00,425,NULL,424,'CENTRO','ITAPETININGA','SP',10979,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093594,5.00,6.00,2.00,6.00,7.00,7.88,4.00,5.00,2.00,104,NULL,NULL,'CENTRO','SOMBRIO','SC',6697,149,NULL,NULL,NULL,NULL,NULL,4,15),(28,7093608,2.00,6.00,3.00,4.00,6.00,11.25,2.00,5.00,5.00,103,NULL,NULL,'IMPERIAL','CONCÓRDIA','SC',6715,1726,NULL,NULL,NULL,NULL,NULL,2,26),(28,7093616,1.00,6.00,4.00,5.00,7.00,6.75,2.00,5.00,4.00,999,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7093624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7093632,1.00,6.00,4.00,7.00,7.00,9.75,6.00,5.00,5.00,103,NULL,NULL,'CENTRO','IVAÍ','PR',4811,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7093640,5.00,5.00,5.00,5.00,5.00,7.50,3.00,4.00,8.00,203,NULL,220,'VILA NOVA','TRÊS LAGOAS','MS',4440,NULL,NULL,132,NULL,NULL,NULL,4,1),(28,7093675,2.00,6.00,1.00,7.00,8.00,NULL,0.00,3.00,2.00,319,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093683,5.00,7.00,3.00,6.00,7.00,7.88,5.00,7.00,5.00,201,NULL,207,'DOM BOSCO','ITAJAÍ','SC',3804,293,NULL,153,NULL,NULL,NULL,4,6),(28,7093691,6.00,7.00,4.00,6.00,8.00,9.38,5.00,7.00,8.00,103,NULL,NULL,'CENTRO','CIANORTE','PR',912,513,NULL,NULL,NULL,NULL,NULL,2,4),(28,7093713,5.00,7.00,1.00,7.00,9.00,7.50,4.00,7.00,6.00,207,NULL,653,'CENTRO','CAPINZAL','SC',3221,119,NULL,13,NULL,NULL,NULL,4,7),(28,7093730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'JARDIM CAMBURI','VITÓRIA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7093748,3.00,5.00,1.00,5.00,5.00,6.00,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',12038,2203,NULL,NULL,NULL,NULL,NULL,4,5),(28,7093756,2.00,4.00,3.00,3.00,3.00,5.63,3.00,6.00,2.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7093764,6.00,6.00,3.00,7.00,9.00,9.75,6.00,6.00,6.00,108,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',2052,15,NULL,NULL,NULL,NULL,NULL,2,1),(28,7093772,1.00,4.00,3.00,7.00,5.00,7.88,2.00,3.00,1.00,103,NULL,NULL,'CENTRO','VIADUTOS','RS',14742,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7093780,4.00,7.00,4.00,7.00,7.00,8.63,4.00,6.00,7.00,104,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',2246,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093799,8.00,7.00,6.00,7.00,9.00,6.38,8.00,7.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',290,218,NULL,NULL,NULL,NULL,NULL,4,5),(28,7093802,1.00,5.00,2.00,5.00,3.00,6.38,4.00,2.00,4.00,201,NULL,NULL,'CAIXA D ÁGUA','GUARAMIRIM','SC',13694,854,NULL,NULL,NULL,NULL,NULL,4,23),(28,7093810,0.00,6.00,4.00,6.00,3.00,4.50,0.00,4.00,4.00,203,NULL,202,'MADRE','TUBARÃO','SC',18786,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7093829,1.00,3.00,0.00,6.00,5.00,9.00,2.00,4.00,1.00,339,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',19320,62,NULL,NULL,NULL,NULL,NULL,2,1),(28,7093837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM CARVALHO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7093845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'GUARANI','CAPÃO CANOA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7093853,4.00,8.00,1.00,7.00,6.00,10.13,2.00,7.00,2.00,310,NULL,NULL,'PRAIA DE ITAPARICA','VL VELHA','ES',9013,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093870,6.00,7.00,0.00,5.00,8.00,7.88,3.00,6.00,4.00,201,NULL,216,'ITOUPAVA SECA','BLUMENAU','SC',10038,680,NULL,314,NULL,NULL,NULL,4,2),(28,7093888,0.00,3.00,2.00,5.00,5.00,5.63,2.00,3.00,2.00,601,NULL,NULL,'VILA NOVA','JOINVILLE','SC',19529,550,NULL,NULL,NULL,NULL,NULL,2,8),(28,7093896,0.00,4.00,4.00,6.00,5.00,7.88,1.00,2.00,2.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',18855,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7093900,0.00,8.00,2.00,3.00,6.00,NULL,2.00,2.00,4.00,501,NULL,NULL,'CENTRO','ITAIÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7093926,4.00,6.00,4.00,7.00,8.00,6.75,2.00,6.00,5.00,102,NULL,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',4968,27,NULL,NULL,NULL,NULL,NULL,2,10),(28,7093934,6.00,7.00,4.00,6.00,8.00,12.00,4.00,6.00,7.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',949,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7093969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,653,'MEDEIROS','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7093993,0.00,5.00,2.00,5.00,3.00,6.38,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','VIADUTOS','RS',16918,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7094027,2.00,6.00,1.00,7.00,7.00,8.25,5.00,4.00,4.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8171,1917,NULL,NULL,NULL,NULL,NULL,4,1),(28,7094035,0.00,1.00,1.00,1.00,2.00,NULL,2.00,1.00,1.00,9,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094043,5.00,8.00,3.00,7.00,10.00,12.00,5.00,7.00,7.00,201,NULL,233,'VILA ESPERANÇA','TUBARÃO','SC',584,23,NULL,NULL,NULL,NULL,NULL,4,10),(28,7094051,6.00,6.00,2.00,7.00,9.00,11.25,3.00,6.00,7.00,3,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',1640,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7094060,3.00,4.00,2.00,5.00,6.00,7.13,2.00,3.00,5.00,552,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',9687,31,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094078,3.00,4.00,3.00,3.00,4.00,7.50,2.00,4.00,3.00,309,NULL,NULL,'PONTO CENTRAL','FRA SANTANA','BA',15454,27,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094086,2.00,4.00,2.00,6.00,4.00,9.75,2.00,4.00,3.00,202,NULL,235,'INGLESES','FLORIANÓPOLIS','SC',13290,318,NULL,215,NULL,NULL,NULL,4,1),(28,7094094,2.00,6.00,2.00,6.00,6.00,6.75,5.00,6.00,4.00,318,NULL,NULL,'CENTRO','PALHOÇA','SC',7938,43,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094116,1.00,6.00,2.00,2.00,5.00,7.50,2.00,5.00,1.00,103,NULL,NULL,'VILA NOVA','MAFRA','SC',14203,2314,NULL,NULL,NULL,NULL,NULL,4,17),(28,7094124,5.00,8.00,0.00,7.00,8.00,10.13,3.00,5.00,4.00,319,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',4869,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7094132,1.00,5.00,0.00,3.00,5.00,6.38,1.00,5.00,3.00,320,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',19175,58,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094159,2.00,5.00,2.00,5.00,5.00,10.13,2.00,4.00,2.00,102,NULL,NULL,'BELA VISTA','CHAPECÓ','SC',11201,105,NULL,NULL,NULL,NULL,NULL,4,4),(28,7094167,3.00,5.00,2.00,1.00,3.00,6.38,2.00,3.00,3.00,310,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',16845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7094175,4.00,6.00,5.00,7.00,5.00,9.00,3.00,4.00,6.00,203,NULL,601,'ALPHAVILLE','BARUERI','SP',4062,295,NULL,67,NULL,NULL,NULL,4,4),(28,7094205,2.00,5.00,3.00,6.00,5.00,8.63,1.00,6.00,3.00,502,NULL,NULL,'PARQUE DAS ROSAS','ROSEIRA','SP',10297,12,NULL,NULL,NULL,NULL,NULL,2,8),(28,7094213,1.00,6.00,2.00,6.00,6.00,10.13,3.00,5.00,1.00,339,NULL,NULL,'RIO DO OURO','CARAGUATATUBA','SP',15931,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7094230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7094248,1.00,4.00,0.00,5.00,2.00,NULL,3.00,2.00,2.00,238,NULL,235,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7094256,6.00,6.00,3.00,7.00,8.00,7.50,2.00,5.00,2.00,5,NULL,NULL,'INDUSTRIAL','NOVO HAMBURGO','RS',4198,145,NULL,NULL,NULL,NULL,NULL,4,3),(28,7094264,0.00,2.00,2.00,6.00,8.00,NULL,2.00,2.00,3.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,216,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7094280,4.00,5.00,5.00,7.00,6.00,7.13,3.00,5.00,6.00,104,NULL,NULL,'MATINHO','XANXERÊ','SC',6961,156,NULL,NULL,NULL,NULL,NULL,4,4),(28,7094299,4.00,7.00,3.00,7.00,8.00,10.50,4.00,7.00,7.00,999,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7094310,6.00,8.00,3.00,7.00,10.00,7.13,4.00,8.00,7.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',1001,554,NULL,NULL,NULL,NULL,NULL,4,4),(28,7094329,3.00,9.00,4.00,8.00,11.00,10.13,5.00,7.00,5.00,208,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',924,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7094337,7.00,9.00,3.00,7.00,11.00,10.13,4.00,7.00,7.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',588,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094345,4.00,8.00,0.00,7.00,1.00,NULL,5.00,6.00,3.00,501,NULL,NULL,'QUINTA DA BOA VISTA','MAIRIPORÃ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7094353,1.00,6.00,2.00,4.00,3.00,10.50,4.00,5.00,2.00,303,NULL,NULL,'SANTA CÂNDIDA','LAGES','SC',16213,552,NULL,NULL,NULL,NULL,NULL,2,9),(28,7094361,1.00,8.00,1.00,6.00,4.00,6.75,2.00,8.00,3.00,238,NULL,220,'ITACORUBI','FLORIANÓPOLIS','SC',15421,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094370,3.00,3.00,2.00,4.00,5.00,4.88,0.00,5.00,2.00,424,NULL,425,'TRINDADE','FLORIANÓPOLIS','SC',19479,45,NULL,79,NULL,NULL,NULL,4,1),(28,7094388,3.00,6.00,4.00,6.00,7.00,10.88,5.00,5.00,3.00,336,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4087,15,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094400,3.00,7.00,1.00,7.00,8.00,9.00,4.00,6.00,3.00,101,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6699,17,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094418,0.00,4.00,3.00,2.00,5.00,3.38,3.00,2.00,3.00,103,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7094426,1.00,2.00,1.00,2.00,4.00,5.25,2.00,3.00,0.00,551,NULL,NULL,'N SENHORA APARECIDA','CURITIBANOS','SC',20139,73,NULL,NULL,NULL,NULL,NULL,4,16),(28,7094442,2.00,3.00,2.00,4.00,3.00,7.88,3.00,5.00,3.00,110,NULL,NULL,'JURRE INTERNACIONAL','FLORIANÓPOLIS','SC',19044,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094450,6.00,7.00,4.00,7.00,8.00,11.25,8.00,5.00,7.00,203,NULL,214,'CARIANOS','FLORIANÓPOLIS','SC',493,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7094469,3.00,8.00,3.00,7.00,9.00,6.75,4.00,7.00,7.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2160,927,NULL,NULL,NULL,NULL,NULL,4,1),(28,7094477,0.00,6.00,2.00,5.00,4.00,8.25,2.00,1.00,1.00,326,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094485,4.00,7.00,2.00,6.00,9.00,10.88,2.00,6.00,4.00,108,NULL,NULL,'PARTENON','PTO ALEGRE','RS',4749,53,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094493,1.00,3.00,2.00,3.00,3.00,7.50,0.00,4.00,0.00,999,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7094507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7094523,2.00,5.00,2.00,5.00,4.00,8.25,2.00,3.00,3.00,999,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7094531,5.00,8.00,3.00,8.00,5.00,9.75,5.00,6.00,5.00,999,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7094566,0.00,3.00,1.00,4.00,3.00,3.00,0.00,2.00,3.00,102,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094574,3.00,9.00,2.00,7.00,7.00,8.63,2.00,6.00,7.00,303,NULL,NULL,'MORRO DO ESPELHO','S LEOPOLDO','RS',2682,118,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094604,6.00,5.00,3.00,8.00,7.00,6.75,3.00,5.00,7.00,215,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',4891,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7094612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM AGÚ','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7094620,1.00,4.00,2.00,2.00,8.00,7.88,1.00,4.00,3.00,201,NULL,207,'CENTRO','GR PARÁ','SC',13971,863,NULL,620,NULL,NULL,NULL,4,10),(28,7094647,0.00,3.00,2.00,5.00,2.00,NULL,0.00,1.00,0.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094655,4.00,8.00,3.00,5.00,8.00,11.25,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','PR GRANDE','SC',7937,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7094663,2.00,3.00,2.00,5.00,2.00,NULL,0.00,1.00,2.00,502,NULL,NULL,'JD PAULISTA','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094671,7.00,7.00,4.00,7.00,9.00,9.38,4.00,6.00,7.00,340,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',746,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7094680,0.00,5.00,1.00,5.00,4.00,6.38,2.00,5.00,2.00,207,NULL,216,'INTERIOR','SALETE','SC',19130,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7094698,1.00,5.00,2.00,6.00,5.00,5.25,2.00,4.00,4.00,3,NULL,NULL,'VILA AURORA','S PAULO','SP',12194,54,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094701,8.00,8.00,4.00,7.00,10.00,6.38,5.00,8.00,7.00,103,NULL,NULL,'CARANDÁ BOSQUE','CPO GRANDE','MS',345,252,NULL,NULL,NULL,NULL,NULL,4,1),(28,7094710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',1,1),(28,7094728,4.00,2.00,2.00,5.00,5.00,6.75,1.00,2.00,2.00,109,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',15307,61,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094744,6.00,8.00,2.00,6.00,5.00,12.00,5.00,8.00,6.00,103,NULL,NULL,'GARCIA','SALVADOR','BA',1726,813,NULL,NULL,NULL,NULL,NULL,4,1),(28,7094752,3.00,7.00,2.00,6.00,5.00,7.13,3.00,4.00,5.00,303,NULL,NULL,'VILA SÃO JOAO','S BERNARDO CAMPO','SP',8681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7094760,2.00,6.00,1.00,4.00,4.00,8.25,3.00,4.00,2.00,454,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',14613,298,NULL,NULL,NULL,NULL,NULL,3,1),(28,7094795,1.00,5.00,1.00,6.00,2.00,NULL,0.00,5.00,2.00,415,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7094809,2.00,3.00,2.00,5.00,5.00,7.13,1.00,1.00,3.00,304,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',19310,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7094817,2.00,5.00,1.00,5.00,5.00,7.88,2.00,3.00,2.00,425,NULL,429,'PONTA DE BAIXO','S JOSÉ','SC',15158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7094841,6.00,9.00,5.00,7.00,6.00,10.13,5.00,8.00,7.00,203,NULL,220,'VILA SÃO LUIZ','DOURADOS','MS',543,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7094850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7094868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7094876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM VALDIBIA','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7094884,4.00,6.00,4.00,4.00,8.00,5.25,5.00,5.00,4.00,303,NULL,NULL,'ATIRADORES','JOINVILLE','SC',8566,359,NULL,NULL,NULL,NULL,NULL,4,8),(28,7094892,4.00,7.00,0.00,3.00,6.00,9.00,4.00,5.00,6.00,103,NULL,NULL,'SANTA RITA','BRUSQUE','SC',6282,1671,NULL,NULL,NULL,NULL,NULL,4,22),(28,7094906,0.00,5.00,1.00,3.00,7.00,7.50,0.00,3.00,3.00,5,NULL,NULL,'ZANTÃO','BRUSQUE','SC',15907,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7094922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ITUMBIARA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7094930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7094965,5.00,8.00,6.00,7.00,10.00,9.00,5.00,8.00,7.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',617,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7094973,5.00,8.00,3.00,6.00,5.00,7.13,4.00,6.00,6.00,216,NULL,203,'CENTRO','LIMEIRA','SP',2651,94,NULL,202,NULL,NULL,NULL,4,1),(28,7094981,0.00,4.00,1.00,5.00,4.00,NULL,2.00,5.00,3.00,444,NULL,NULL,'FLORESTA','MONDAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7095023,2.00,5.00,4.00,7.00,3.00,7.50,5.00,6.00,3.00,208,NULL,NULL,'CENTRO','CONCÓRDIA','SC',13707,153,NULL,NULL,NULL,NULL,NULL,4,26),(28,7095040,3.00,8.00,1.00,5.00,8.00,9.75,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',6537,1704,NULL,NULL,NULL,NULL,NULL,2,4),(28,7095066,2.00,6.00,2.00,5.00,7.00,7.88,2.00,3.00,2.00,201,NULL,207,'ALBERTINA','RIO SUL','SC',10500,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7095090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7095112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,220,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7095147,0.00,2.00,2.00,5.00,6.00,NULL,1.00,3.00,2.00,211,NULL,238,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7095155,3.00,4.00,1.00,5.00,5.00,NULL,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','BAL BARRA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(28,7095163,1.00,6.00,4.00,7.00,9.00,7.50,2.00,4.00,4.00,319,NULL,NULL,'CENTRO','CHAPECÓ','SC',7521,125,NULL,NULL,NULL,NULL,NULL,4,4),(28,7095198,3.00,5.00,2.00,5.00,4.00,7.13,3.00,4.00,5.00,220,NULL,202,'BUDAG','RIO SUL','SC',10187,247,NULL,NULL,NULL,NULL,NULL,4,24),(28,7095201,3.00,5.00,3.00,6.00,8.00,7.13,4.00,4.00,4.00,201,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',11485,744,NULL,325,NULL,NULL,NULL,2,1),(28,7095210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM LUANDA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7095228,3.00,3.00,3.00,3.00,6.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7095244,8.00,8.00,4.00,7.00,10.00,10.13,3.00,8.00,6.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',709,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7095252,3.00,6.00,2.00,6.00,5.00,8.63,3.00,5.00,3.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13782,194,NULL,NULL,NULL,NULL,NULL,2,1),(28,7095279,4.00,8.00,1.00,7.00,8.00,5.63,2.00,5.00,4.00,310,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',6748,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7095287,4.00,5.00,3.00,5.00,6.00,10.13,4.00,2.00,5.00,203,NULL,233,'BARREIROS','S JOSÉ','SC',7871,473,NULL,201,NULL,NULL,NULL,4,1),(28,7095295,0.00,2.00,5.00,2.00,4.00,NULL,3.00,3.00,2.00,201,NULL,212,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7095317,3.00,6.00,3.00,6.00,4.00,5.63,4.00,5.00,3.00,423,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15446,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7095333,5.00,8.00,3.00,6.00,7.00,7.13,5.00,6.00,4.00,302,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',7944,25,NULL,NULL,NULL,NULL,NULL,4,5),(28,7095341,2.00,5.00,2.00,7.00,5.00,10.88,2.00,4.00,0.00,451,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16857,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7095350,0.00,5.00,1.00,0.00,1.00,NULL,1.00,6.00,1.00,331,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7095376,6.00,9.00,1.00,6.00,11.00,10.50,7.00,7.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',715,436,NULL,NULL,NULL,NULL,NULL,4,1),(28,7095392,2.00,6.00,2.00,6.00,6.00,7.88,3.00,4.00,3.00,103,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',16364,2417,NULL,NULL,NULL,NULL,NULL,4,1),(28,7095406,1.00,3.00,1.00,3.00,3.00,6.75,0.00,2.00,1.00,454,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',20142,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7095414,4.00,6.00,2.00,5.00,4.00,8.63,3.00,3.00,6.00,103,NULL,NULL,'CENTRO','SAUDADES','SC',7773,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7095422,1.00,4.00,3.00,3.00,3.00,6.75,2.00,3.00,3.00,103,NULL,NULL,'PLANALTO VERDE','MOGI GUAÇU','SP',15098,2356,NULL,NULL,NULL,NULL,NULL,2,6),(28,7095430,2.00,6.00,2.00,3.00,5.00,7.50,1.00,6.00,4.00,5,NULL,NULL,'BARRA DO TROMBUDO','RIO SUL','SC',13018,365,NULL,NULL,NULL,NULL,NULL,2,24),(28,7095457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BREJO ALEGRE','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7095465,3.00,4.00,2.00,4.00,3.00,NULL,0.00,2.00,2.00,319,NULL,NULL,'VILA INDUSTRIAL','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7095473,0.00,3.00,3.00,4.00,5.00,9.00,4.00,3.00,1.00,103,NULL,NULL,'CENTRO','XAXIM','SC',16262,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7095481,5.00,7.00,4.00,6.00,7.00,7.88,5.00,6.00,7.00,214,NULL,201,'PORTÃO','LAURO FREITAS','BA',4676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7095490,3.00,8.00,2.00,6.00,7.00,7.88,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','POÇOS CALDAS','MG',6025,1633,NULL,NULL,NULL,NULL,NULL,4,1),(28,7095503,6.00,7.00,2.00,7.00,5.00,7.13,3.00,6.00,5.00,203,NULL,214,'SÃO JOSÉ','JOSÉ BONIFÁCIO','SP',5000,340,NULL,161,NULL,NULL,NULL,4,1),(28,7095511,0.00,5.00,4.00,6.00,4.00,8.25,2.00,4.00,3.00,202,NULL,235,'CENTRO','TUBARÃO','SC',15717,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7095520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,215,'SÃO DOMINGOS','MOCOCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7095538,0.00,4.00,2.00,5.00,4.00,NULL,2.00,4.00,0.00,303,NULL,NULL,'AGOSTINI','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7095546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7095554,3.00,7.00,3.00,6.00,10.00,10.50,3.00,7.00,6.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1807,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7095562,5.00,8.00,5.00,7.00,9.00,10.88,7.00,6.00,7.00,220,NULL,202,'SETOR MARISTA','GOIÂNIA','GO',418,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7095570,4.00,8.00,4.00,6.00,8.00,9.00,6.00,6.00,6.00,207,NULL,NULL,'JARDIM DAS NAÇÕES','TAUBATÉ','SP',3387,130,NULL,NULL,NULL,NULL,NULL,4,1),(28,7095589,0.00,5.00,0.00,2.00,4.00,5.25,1.00,3.00,1.00,235,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',18415,281,NULL,NULL,NULL,NULL,NULL,2,1),(28,7095619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CIDADE OCIAN','PR GRANDE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7095627,6.00,7.00,2.00,7.00,4.00,NULL,4.00,6.00,6.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7095660,0.00,3.00,1.00,6.00,4.00,7.13,1.00,3.00,3.00,207,NULL,201,'VILA REAL','BAL CAMBORIÚ','SC',16121,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7095678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO INÁCIO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7095686,3.00,3.00,2.00,5.00,5.00,7.13,4.00,3.00,2.00,503,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15210,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7095694,6.00,7.00,5.00,7.00,6.00,7.50,5.00,7.00,6.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1439,723,NULL,NULL,NULL,NULL,NULL,4,1),(28,7095708,1.00,3.00,2.00,3.00,2.00,NULL,0.00,1.00,2.00,308,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7095732,3.00,6.00,1.00,7.00,5.00,9.38,2.00,5.00,4.00,999,NULL,NULL,'SÃO JOSÉ','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7095759,2.00,6.00,3.00,3.00,8.00,9.38,2.00,4.00,8.00,216,NULL,202,'FAZENDA','ITAJAÍ','SC',5909,213,NULL,161,NULL,NULL,NULL,4,6),(28,7095767,2.00,4.00,0.00,5.00,6.00,9.00,0.00,2.00,1.00,333,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15092,97,NULL,NULL,NULL,NULL,NULL,2,1),(28,7095783,6.00,8.00,3.00,7.00,9.00,10.50,4.00,8.00,5.00,103,NULL,NULL,'JARDIM ANGELICA','CRICIÚMA','SC',808,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7095791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7095805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,23),(28,7095813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7095821,4.00,4.00,3.00,4.00,4.00,4.50,3.00,4.00,1.00,104,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',15250,373,NULL,NULL,NULL,NULL,NULL,2,1),(28,7095830,2.00,6.00,2.00,4.00,7.00,6.38,3.00,7.00,4.00,450,NULL,NULL,'VILA NOVA','IMBITUBA','SC',8542,62,NULL,NULL,NULL,NULL,NULL,4,10),(28,7095848,2.00,7.00,1.00,6.00,6.00,9.00,5.00,6.00,6.00,201,NULL,202,'CENTRO','GUAPORÉ','RS',3419,259,NULL,98,NULL,NULL,NULL,2,26),(28,7095864,5.00,7.00,2.00,5.00,4.00,5.25,5.00,6.00,5.00,201,NULL,202,'CENTRO','CHAPECÓ','SC',11788,759,NULL,298,NULL,NULL,NULL,4,4),(28,7095872,4.00,7.00,2.00,5.00,7.00,8.63,2.00,7.00,3.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',6029,1634,NULL,NULL,NULL,NULL,NULL,2,4),(28,7095880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,202,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7095902,2.00,7.00,0.00,5.00,7.00,9.38,3.00,5.00,5.00,552,NULL,NULL,'CANTA GALO','RIO SUL','SC',11166,41,NULL,NULL,NULL,NULL,NULL,2,24),(28,7095910,3.00,6.00,1.00,5.00,5.00,7.50,2.00,7.00,3.00,103,NULL,NULL,'PERUS','S PAULO','SP',8763,1981,NULL,NULL,NULL,NULL,NULL,2,1),(28,7095929,1.00,3.00,3.00,1.00,5.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'CENTRP','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7095945,4.00,4.00,4.00,5.00,8.00,7.13,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',5350,1550,NULL,NULL,NULL,NULL,NULL,4,5),(28,7095953,6.00,8.00,2.00,6.00,5.00,6.75,5.00,6.00,5.00,103,NULL,NULL,'VILA GUARANI','S PAULO','SP',4602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7095970,3.00,6.00,4.00,5.00,6.00,7.13,2.00,4.00,4.00,104,NULL,NULL,'CENTRO','PAPANDUVA','SC',7854,186,NULL,NULL,NULL,NULL,NULL,2,1),(28,7095988,5.00,7.00,1.00,5.00,8.00,8.25,2.00,4.00,3.00,103,NULL,NULL,'IRIRIU','JOINVILLE','SC',6352,1681,NULL,NULL,NULL,NULL,NULL,4,8),(28,7095996,1.00,7.00,2.00,6.00,9.00,6.75,4.00,6.00,6.00,203,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',6960,425,NULL,120,NULL,NULL,NULL,4,1),(28,7096003,1.00,5.00,2.00,6.00,5.00,9.00,4.00,6.00,4.00,655,NULL,NULL,'SÃO BENTO BAIXO','NOVA VENEZA','SC',10067,48,NULL,NULL,NULL,NULL,NULL,5,5),(28,7096011,2.00,4.00,1.00,5.00,4.00,5.63,2.00,2.00,1.00,109,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7096020,6.00,8.00,5.00,6.00,10.00,7.50,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','PERUÍBE','SP',1288,671,NULL,NULL,NULL,NULL,NULL,4,8),(28,7096038,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,211,NULL,216,'SANTA LUCIA','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(28,7096046,3.00,7.00,1.00,6.00,7.00,8.25,4.00,6.00,5.00,202,NULL,201,'GANCHOS DE FORA','GOV CELSO RAMOS','SC',7624,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7096054,1.00,3.00,2.00,3.00,2.00,NULL,4.00,4.00,1.00,103,NULL,NULL,'BARRO VERMELHO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7096070,4.00,9.00,3.00,6.00,11.00,7.88,2.00,7.00,5.00,108,NULL,NULL,'CENTRO','CPO ERÊ','SC',2281,17,NULL,NULL,NULL,NULL,NULL,4,4),(28,7096089,4.00,5.00,4.00,1.00,3.00,9.00,4.00,5.00,2.00,234,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10729,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7096097,4.00,5.00,1.00,6.00,6.00,7.50,4.00,4.00,4.00,103,NULL,NULL,'JARDIM COLOMBO','S PAULO','SP',7190,1788,NULL,NULL,NULL,NULL,NULL,4,8),(28,7096100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',1,8),(28,7096119,2.00,5.00,2.00,4.00,5.00,9.00,2.00,4.00,3.00,207,NULL,653,'OFICINAS','TUBARÃO','SC',12706,NULL,NULL,137,NULL,NULL,NULL,4,10),(28,7096127,3.00,6.00,4.00,5.00,6.00,5.25,2.00,5.00,3.00,103,NULL,NULL,'VORSTADT','BLUMENAU','SC',14677,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7096135,4.00,6.00,2.00,5.00,5.00,5.25,4.00,6.00,4.00,203,NULL,214,'VILA NOVA FLORINEA','ASSIS','SP',8137,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7096151,5.00,9.00,2.00,6.00,8.00,3.00,3.00,5.00,6.00,103,NULL,NULL,'BARRANCEIRA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7096160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'VILA NOVA','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7096178,0.00,7.00,1.00,1.00,5.00,10.13,1.00,3.00,3.00,301,NULL,NULL,'PRADO','BIGUAÇU','SC',14440,207,NULL,NULL,NULL,NULL,NULL,4,1),(28,7096186,0.00,5.00,3.00,3.00,1.00,NULL,2.00,4.00,1.00,653,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7096208,8.00,6.00,2.00,6.00,9.00,10.13,5.00,7.00,6.00,103,NULL,NULL,'BELO HORIZONTE','CPO ALEGRE','SC',1144,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7096216,4.00,7.00,3.00,5.00,9.00,8.25,5.00,5.00,2.00,202,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',8431,228,NULL,117,NULL,NULL,NULL,4,1),(28,7096224,2.00,4.00,1.00,6.00,6.00,8.63,5.00,0.00,4.00,216,NULL,215,'CENTRO','SORRISO','MT',11285,340,NULL,193,NULL,NULL,NULL,4,1),(28,7096240,1.00,5.00,1.00,3.00,2.00,NULL,0.00,3.00,0.00,999,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7096267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CARMO SION','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7096275,1.00,2.00,3.00,3.00,4.00,5.63,1.00,2.00,0.00,317,NULL,NULL,'RIBEIRÃO','PAULO LOPES','SC',18803,163,NULL,NULL,NULL,NULL,NULL,2,1),(28,7096283,3.00,7.00,0.00,7.00,5.00,10.13,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',6404,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7096305,2.00,4.00,2.00,7.00,7.00,6.75,0.00,5.00,4.00,103,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',10402,2099,NULL,NULL,NULL,NULL,NULL,2,3),(28,7096313,0.00,2.00,1.00,6.00,3.00,NULL,0.00,2.00,2.00,9,NULL,NULL,'MATÃO','VARGEM G PAULISTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7096330,3.00,6.00,2.00,4.00,6.00,8.25,2.00,5.00,2.00,101,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10082,41,NULL,NULL,NULL,NULL,NULL,2,1),(28,7096348,1.00,4.00,0.00,5.00,4.00,6.00,1.00,4.00,1.00,201,NULL,207,'FORQUILHAS','S JOSÉ','SC',17042,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7096356,1.00,2.00,1.00,2.00,5.00,8.63,3.00,5.00,1.00,654,NULL,NULL,'JARDIM CIBELE','ARARANGUÁ','SC',15687,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7096364,6.00,6.00,6.00,6.00,10.00,8.63,3.00,6.00,6.00,319,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',1464,13,NULL,NULL,NULL,NULL,NULL,4,2),(28,7096372,3.00,7.00,3.00,5.00,8.00,9.00,1.00,5.00,1.00,338,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',10182,5,NULL,NULL,NULL,NULL,NULL,2,1),(28,7096380,2.00,4.00,2.00,3.00,6.00,8.25,3.00,4.00,2.00,316,NULL,NULL,'CENTRO','CRICIÚMA','SC',18003,256,NULL,NULL,NULL,NULL,NULL,2,5),(28,7096410,7.00,7.00,3.00,7.00,10.00,9.00,6.00,7.00,6.00,9,NULL,NULL,'BOA VISTA','JOINVILLE','SC',1386,1,NULL,NULL,NULL,NULL,NULL,4,8),(28,7096429,2.00,5.00,3.00,6.00,5.00,8.25,1.00,3.00,3.00,454,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',11172,216,NULL,NULL,NULL,NULL,NULL,2,1),(28,7096437,6.00,7.00,5.00,4.00,8.00,8.63,2.00,8.00,4.00,103,NULL,NULL,'VILA VERDE','LEME','SP',4908,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7096445,2.00,7.00,2.00,7.00,10.00,13.50,3.00,6.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2470,104,NULL,NULL,NULL,NULL,NULL,4,1),(28,7096453,4.00,6.00,3.00,4.00,7.00,7.88,3.00,4.00,3.00,203,NULL,220,'ITACORUBI','FLORIANÓPOLIS','SC',8394,491,NULL,219,NULL,NULL,NULL,2,1),(28,7096461,5.00,7.00,2.00,7.00,8.00,10.50,4.00,7.00,5.00,201,NULL,203,'OLARIA','SALTO LONTRA','PR',2224,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7096470,0.00,0.00,2.00,4.00,3.00,NULL,0.00,2.00,0.00,211,NULL,216,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7096488,3.00,6.00,3.00,6.00,6.00,7.88,3.00,3.00,2.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',11195,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7096496,7.00,9.00,5.00,7.00,9.00,9.38,8.00,6.00,7.00,214,NULL,213,'GLÓRIA','JOINVILLE','SC',102,1,NULL,NULL,NULL,NULL,NULL,4,8),(28,7096526,2.00,2.00,2.00,3.00,5.00,5.25,3.00,1.00,2.00,103,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',19789,2523,NULL,NULL,NULL,NULL,NULL,2,1),(28,7096534,2.00,7.00,2.00,7.00,4.00,9.00,2.00,4.00,3.00,203,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',15338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7096542,7.00,8.00,4.00,6.00,10.00,13.50,4.00,7.00,7.00,103,NULL,NULL,'IDEAL','NOVO HAMBURGO','RS',148,119,NULL,NULL,NULL,NULL,NULL,2,1),(28,7096550,3.00,7.00,3.00,6.00,7.00,9.00,4.00,7.00,3.00,216,NULL,211,'GLÓRIA','OSÓRIO','RS',4107,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7096569,5.00,8.00,4.00,6.00,9.00,10.13,7.00,7.00,6.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',550,364,NULL,NULL,NULL,NULL,NULL,4,1),(28,7096593,8.00,8.00,3.00,6.00,9.00,10.50,5.00,5.00,8.00,103,NULL,NULL,'CENTRO','PALMAS','TO',1479,733,NULL,NULL,NULL,NULL,NULL,4,2),(28,7096607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7096623,4.00,6.00,2.00,3.00,5.00,8.63,1.00,5.00,4.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',16182,2410,NULL,NULL,NULL,NULL,NULL,4,10),(28,7096631,2.00,8.00,3.00,3.00,7.00,7.50,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','PÉROLA','PR',6708,1725,NULL,NULL,NULL,NULL,NULL,2,1),(28,7096640,3.00,6.00,1.00,7.00,9.00,8.63,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',5074,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7096658,3.00,7.00,2.00,6.00,6.00,7.50,0.00,5.00,0.00,327,NULL,NULL,'CENTRO','CHAPECÓ','SC',17190,52,NULL,NULL,NULL,NULL,NULL,2,4),(28,7096674,9.00,9.00,5.00,7.00,11.00,14.25,7.00,7.00,8.00,103,NULL,NULL,'PARQUE ALVORADA','DOURADOS','MS',2,1,NULL,NULL,NULL,NULL,NULL,2,1),(28,7096682,2.00,7.00,2.00,7.00,10.00,6.38,3.00,5.00,6.00,601,NULL,201,'AVENTUREIRO','JOINVILLE','SC',9166,240,NULL,NULL,NULL,NULL,NULL,4,8),(28,7096690,3.00,5.00,1.00,5.00,5.00,6.75,2.00,3.00,3.00,104,NULL,NULL,'RIBEIRAO DA IHA','FLORIANÓPOLIS','SC',16022,393,NULL,NULL,NULL,NULL,NULL,2,1),(28,7096712,3.00,5.00,2.00,3.00,5.00,9.38,2.00,4.00,4.00,3,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',15846,78,NULL,NULL,NULL,NULL,NULL,4,1),(28,7096720,3.00,8.00,2.00,5.00,10.00,9.00,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','VACARIA','RS',1895,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7096739,4.00,5.00,0.00,3.00,8.00,6.00,3.00,3.00,2.00,5,NULL,NULL,'IPIRANGA','S JOSÉ','SC',12982,363,NULL,NULL,NULL,NULL,NULL,4,1),(28,7096755,0.00,4.00,2.00,7.00,5.00,8.25,3.00,6.00,3.00,103,NULL,NULL,'SAGRADA FAMILIA','BELO HORIZONTE','MG',16064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7096771,3.00,6.00,2.00,6.00,8.00,5.63,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','MTE CASTELO','SC',8069,1908,NULL,NULL,NULL,NULL,NULL,2,17),(28,7096798,6.00,6.00,5.00,6.00,8.00,8.25,4.00,5.00,6.00,103,NULL,NULL,'SANTANA','RIO SUL','SC',2935,1121,NULL,NULL,NULL,NULL,NULL,4,1),(28,7096801,4.00,6.00,4.00,6.00,9.00,11.25,5.00,7.00,6.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1121,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7096810,7.00,8.00,4.00,7.00,6.00,7.88,5.00,7.00,7.00,103,NULL,NULL,'JD PROENÇA','CAMPINAS','SP',2786,1086,NULL,NULL,NULL,NULL,NULL,4,3),(28,7096828,7.00,7.00,4.00,7.00,10.00,9.75,6.00,7.00,7.00,103,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',233,179,NULL,NULL,NULL,NULL,NULL,2,1),(28,7096836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7096844,2.00,7.00,2.00,6.00,8.00,10.50,2.00,4.00,4.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',6779,305,NULL,NULL,NULL,NULL,NULL,4,1),(28,7096852,4.00,7.00,5.00,5.00,8.00,7.13,3.00,7.00,8.00,202,NULL,201,'CENTRO','JACAREÍ','SP',4612,136,NULL,360,NULL,NULL,NULL,4,1),(28,7096879,2.00,7.00,1.00,5.00,5.00,6.75,5.00,6.00,5.00,235,NULL,653,'SANTA BARBARA','CRICIÚMA','SC',9590,156,NULL,98,NULL,NULL,NULL,2,5),(28,7096887,2.00,7.00,4.00,7.00,8.00,10.13,3.00,7.00,5.00,999,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7096909,3.00,5.00,2.00,6.00,6.00,7.50,3.00,4.00,2.00,333,NULL,NULL,'JD IMPÉRIO DO SOL','LONDRINA','PR',16394,102,NULL,NULL,NULL,NULL,NULL,4,1),(28,7096917,1.00,3.00,2.00,7.00,7.00,6.75,1.00,4.00,1.00,552,NULL,NULL,'BUDAG','RIO SUL','SC',15361,105,NULL,NULL,NULL,NULL,NULL,2,24),(28,7096933,6.00,7.00,2.00,3.00,7.00,8.63,2.00,5.00,4.00,201,NULL,211,'BELA VISTA','PALHOÇA','SC',8489,607,NULL,229,NULL,NULL,NULL,4,1),(28,7096941,1.00,2.00,1.00,2.00,4.00,3.00,2.00,3.00,2.00,211,NULL,212,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7096950,9.00,8.00,3.00,6.00,9.00,9.38,6.00,6.00,7.00,103,NULL,NULL,'JD LOS ANGELES','MARINGÁ','PR',256,195,NULL,NULL,NULL,NULL,NULL,4,8),(28,7096976,2.00,6.00,1.00,7.00,5.00,7.13,3.00,4.00,2.00,340,NULL,NULL,'SÃO DIMAS','PIRACICABA','SP',11920,329,NULL,NULL,NULL,NULL,NULL,4,24),(28,7096984,6.00,8.00,4.00,5.00,9.00,9.00,4.00,5.00,5.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',2122,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'RODEIO DA AREIA','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7097026,5.00,6.00,4.00,4.00,9.00,8.63,4.00,4.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4330,1392,NULL,NULL,NULL,NULL,NULL,2,6),(28,7097042,6.00,7.00,5.00,7.00,8.00,10.88,4.00,5.00,6.00,220,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',888,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7097069,0.00,3.00,1.00,2.00,1.00,NULL,2.00,2.00,1.00,317,NULL,NULL,'INTERIOR','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7097077,6.00,7.00,4.00,7.00,10.00,8.63,5.00,5.00,5.00,208,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1329,7,NULL,NULL,NULL,NULL,NULL,4,3),(28,7097093,2.00,8.00,4.00,7.00,9.00,11.25,3.00,7.00,4.00,301,NULL,NULL,'CTA','S JOSÉ CAMPOS','SP',2790,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097107,1.00,0.00,3.00,2.00,4.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','ARROIO TRINTA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,7),(28,7097115,1.00,4.00,2.00,1.00,2.00,NULL,0.00,5.00,3.00,317,NULL,NULL,'S JOÃO RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097123,3.00,8.00,3.00,7.00,6.00,7.13,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',5263,1537,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097140,4.00,8.00,2.00,7.00,5.00,7.13,2.00,7.00,1.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',7904,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097158,0.00,7.00,2.00,7.00,5.00,8.63,1.00,4.00,4.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097166,0.00,6.00,0.00,6.00,6.00,7.88,0.00,5.00,0.00,319,NULL,NULL,'ALEXANDRA','PARANAGUÁ','PR',18913,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7097190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7097204,4.00,7.00,1.00,4.00,6.00,11.25,3.00,3.00,4.00,999,NULL,NULL,'VILA YARA','OSASCO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7097212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'JARDIM PARAISO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7097220,4.00,7.00,2.00,3.00,7.00,6.38,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','BANDEIRANTES','PR',11412,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7097239,7.00,8.00,4.00,7.00,8.00,9.38,5.00,6.00,5.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1727,80,NULL,NULL,NULL,NULL,NULL,5,1),(28,7097263,6.00,8.00,3.00,8.00,7.00,9.38,3.00,6.00,3.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',7759,566,NULL,236,NULL,NULL,NULL,4,1),(28,7097271,2.00,6.00,2.00,4.00,6.00,NULL,0.00,3.00,2.00,339,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097280,6.00,8.00,4.00,6.00,8.00,11.63,4.00,6.00,5.00,303,NULL,NULL,'VILA JUSTINA','TIETÊ','SP',1486,69,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097298,5.00,8.00,3.00,7.00,8.00,10.88,5.00,5.00,5.00,501,NULL,NULL,'NOVA ITÁLIA','URUSSANGA','SC',1725,1,NULL,NULL,NULL,NULL,NULL,4,5),(28,7097301,3.00,7.00,1.00,6.00,8.00,10.13,4.00,5.00,3.00,999,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7097310,6.00,7.00,2.00,6.00,7.00,9.38,4.00,6.00,2.00,424,NULL,427,'CAPOEIRAS','FLORIANÓPOLIS','SC',9700,4,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097336,7.00,8.00,6.00,6.00,10.00,10.88,7.00,7.00,7.00,103,NULL,NULL,'VILA LEOPOLDINA','S PAULO','SP',285,215,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097344,5.00,6.00,2.00,7.00,8.00,12.75,5.00,7.00,4.00,303,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',1656,76,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097352,0.00,4.00,3.00,2.00,5.00,NULL,1.00,2.00,2.00,216,NULL,NULL,'POÇO RICO','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7097379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA RURAL','JACIARA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,27),(28,7097387,4.00,7.00,5.00,6.00,6.00,10.13,4.00,5.00,6.00,103,NULL,NULL,'DOM CABRAL','BELO HORIZONTE','MG',2569,1040,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097395,4.00,5.00,2.00,3.00,4.00,6.75,2.00,2.00,2.00,235,NULL,202,'PLANALTO BELA VISTA','S VICENTE','SP',19338,289,NULL,396,NULL,NULL,NULL,4,1),(28,7097409,2.00,7.00,1.00,6.00,6.00,7.13,2.00,4.00,2.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7097425,0.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','ARROIO TRINTA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,7),(28,7097433,1.00,5.00,3.00,5.00,7.00,6.38,2.00,2.00,2.00,207,NULL,201,'CENTRO','FORMOSA SUL','SC',14115,627,NULL,868,NULL,NULL,NULL,2,4),(28,7097441,3.00,6.00,4.00,7.00,10.00,9.00,5.00,4.00,2.00,208,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',7455,69,NULL,NULL,NULL,NULL,NULL,4,6),(28,7097450,0.00,2.00,3.00,2.00,3.00,NULL,0.00,3.00,1.00,303,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097468,6.00,8.00,2.00,7.00,8.00,8.63,4.00,6.00,5.00,220,NULL,601,'CEDRO ALTO','BRUSQUE','SC',2679,77,NULL,33,NULL,NULL,NULL,2,22),(28,7097476,6.00,8.00,2.00,7.00,10.00,9.75,4.00,8.00,7.00,103,NULL,NULL,'VILA ALMEIDA','CPO GRANDE','MS',579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097484,2.00,7.00,3.00,4.00,6.00,8.25,2.00,3.00,4.00,552,NULL,NULL,'BARRAGEM','RIO SUL','SC',14111,83,NULL,NULL,NULL,NULL,NULL,2,24),(28,7097492,3.00,5.00,2.00,4.00,5.00,8.63,1.00,5.00,2.00,309,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',15061,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097506,3.00,6.00,1.00,6.00,6.00,10.88,4.00,4.00,3.00,450,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',12819,99,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097514,6.00,5.00,4.00,6.00,7.00,8.63,4.00,7.00,5.00,103,NULL,NULL,'BATEL','CURITIBA','PR',3252,1194,NULL,NULL,NULL,NULL,NULL,4,8),(28,7097522,1.00,4.00,3.00,5.00,4.00,9.00,0.00,5.00,4.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17436,113,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097530,2.00,5.00,2.00,7.00,7.00,9.00,3.00,5.00,3.00,303,NULL,NULL,'IMIGRANTES','TURVO','SC',8791,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097549,0.00,1.00,2.00,0.00,1.00,NULL,2.00,3.00,4.00,429,NULL,428,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097557,5.00,6.00,2.00,3.00,5.00,9.00,2.00,4.00,4.00,201,NULL,203,'ALTO BOQUEIRÃO','CURITIBA','PR',7902,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7097565,1.00,5.00,2.00,3.00,10.00,9.38,1.00,4.00,1.00,415,NULL,NULL,'MORADA DO SOL','MARAVILHA','SC',11307,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7097573,0.00,4.00,2.00,5.00,4.00,7.13,2.00,4.00,4.00,320,NULL,NULL,'BARREIROS','S JOSÉ','SC',15926,40,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097581,5.00,8.00,6.00,5.00,8.00,8.63,5.00,7.00,6.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',670,418,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097590,3.00,5.00,1.00,7.00,7.00,9.00,2.00,3.00,4.00,207,NULL,233,'PAGANI','PALHOÇA','SC',10473,479,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097603,1.00,6.00,1.00,6.00,8.00,9.75,2.00,5.00,3.00,5,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',11072,320,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097638,3.00,7.00,3.00,7.00,10.00,11.63,7.00,7.00,7.00,202,NULL,235,'CENTRO','GR PARÁ','SC',787,13,NULL,NULL,NULL,NULL,NULL,4,10),(28,7097646,0.00,5.00,1.00,5.00,5.00,NULL,0.00,2.00,1.00,101,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097654,0.00,3.00,1.00,3.00,4.00,7.50,2.00,2.00,0.00,654,NULL,NULL,'CENTRO','TORRES','RS',20024,83,NULL,NULL,NULL,NULL,NULL,4,15),(28,7097670,8.00,8.00,4.00,7.00,11.00,9.75,5.00,6.00,5.00,103,NULL,NULL,'CONSOLAÇÃO','S PAULO','SP',247,190,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097697,5.00,7.00,5.00,5.00,7.00,7.13,4.00,7.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4327,203,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097700,2.00,7.00,1.00,7.00,8.00,11.25,2.00,7.00,1.00,108,NULL,NULL,'CENTRO','IJUÍ','RS',6333,77,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097719,0.00,5.00,2.00,4.00,6.00,NULL,3.00,5.00,2.00,208,NULL,NULL,'SANVITTO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097727,1.00,5.00,1.00,5.00,5.00,7.13,2.00,5.00,5.00,201,NULL,213,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12376,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097735,2.00,5.00,0.00,5.00,7.00,7.13,1.00,5.00,5.00,552,NULL,NULL,'CENTRO','FRAIBURGO','SC',11492,47,NULL,NULL,NULL,NULL,NULL,2,25),(28,7097743,1.00,5.00,3.00,3.00,3.00,8.63,2.00,1.00,3.00,336,NULL,NULL,'JARDIM PLANALTO','PAULÍNIA','SP',18597,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7097786,4.00,7.00,1.00,5.00,6.00,8.25,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097794,4.00,6.00,0.00,5.00,8.00,9.38,1.00,5.00,2.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9399,151,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097808,7.00,5.00,6.00,6.00,10.00,14.25,6.00,6.00,7.00,103,NULL,NULL,'BELA VISTA','IBIRAMA','SC',179,140,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097816,2.00,7.00,2.00,7.00,6.00,7.88,4.00,6.00,3.00,104,NULL,NULL,'MICHEL','CRICIÚMA','SC',7433,170,NULL,NULL,NULL,NULL,NULL,4,5),(28,7097824,2.00,6.00,3.00,2.00,8.00,8.63,0.00,4.00,3.00,303,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',11888,457,NULL,NULL,NULL,NULL,NULL,4,3),(28,7097832,1.00,2.00,0.00,3.00,2.00,NULL,2.00,2.00,3.00,233,NULL,201,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097859,3.00,2.00,1.00,5.00,6.00,7.88,1.00,3.00,3.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14461,280,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097867,4.00,6.00,2.00,2.00,6.00,7.50,2.00,7.00,4.00,103,NULL,NULL,'LINHA FERREIRA PONTE','COCAL SUL','SC',13639,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7097875,0.00,5.00,2.00,6.00,2.00,NULL,2.00,1.00,2.00,202,NULL,655,'ANZOLIN','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7097883,0.00,5.00,1.00,5.00,5.00,6.00,2.00,4.00,0.00,103,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',16969,2434,NULL,NULL,NULL,NULL,NULL,2,24),(28,7097905,0.00,5.00,1.00,3.00,3.00,7.13,4.00,4.00,1.00,303,NULL,NULL,'CENTRO','COCAL SUL','SC',15763,542,NULL,NULL,NULL,NULL,NULL,2,5),(28,7097921,3.00,7.00,2.00,7.00,7.00,9.00,2.00,4.00,3.00,340,NULL,NULL,'CENTRO','CRICIÚMA','SC',8456,227,NULL,NULL,NULL,NULL,NULL,4,5),(28,7097948,3.00,7.00,3.00,7.00,7.00,6.75,6.00,7.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5225,240,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097956,2.00,7.00,3.00,6.00,5.00,7.88,4.00,7.00,5.00,207,NULL,211,'CAMPECHE','FLORIANÓPOLIS','SC',5827,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7097972,6.00,9.00,2.00,7.00,10.00,7.13,4.00,8.00,6.00,216,NULL,211,'ATIRADORES','JOINVILLE','SC',1915,62,NULL,25,NULL,NULL,NULL,4,8),(28,7097980,7.00,8.00,7.00,5.00,9.00,9.00,6.00,7.00,7.00,103,NULL,NULL,'FREGUESIA DO Ó','S PAULO','SP',576,379,NULL,NULL,NULL,NULL,NULL,4,1),(28,7097999,2.00,7.00,3.00,5.00,5.00,7.88,2.00,3.00,3.00,340,NULL,NULL,'CENTRO','IPUMIRIM','SC',13361,359,NULL,NULL,NULL,NULL,NULL,4,26),(28,7098006,2.00,5.00,1.00,7.00,6.00,9.38,2.00,6.00,3.00,303,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8822,369,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098014,3.00,5.00,2.00,4.00,7.00,10.13,4.00,4.00,3.00,109,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',8992,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098022,4.00,7.00,2.00,6.00,8.00,8.63,4.00,6.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5387,250,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098030,0.00,3.00,3.00,2.00,4.00,4.88,2.00,3.00,2.00,303,NULL,NULL,'CENTRO','GAROPABA','SC',17371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098049,3.00,7.00,3.00,6.00,9.00,10.13,4.00,5.00,6.00,207,NULL,601,'PIRABEIRABA','JOINVILLE','SC',2619,NULL,NULL,30,NULL,NULL,NULL,2,8),(28,7098057,3.00,5.00,1.00,6.00,5.00,4.88,4.00,5.00,2.00,203,NULL,201,'ARMAÇÃO','FLORIANÓPOLIS','SC',13229,608,NULL,839,NULL,NULL,NULL,2,1),(28,7098065,3.00,8.00,1.00,5.00,7.00,9.00,2.00,7.00,2.00,103,NULL,NULL,'INTERIOR','ÁGUA DOCE','SC',8281,1927,NULL,NULL,NULL,NULL,NULL,2,7),(28,7098090,5.00,9.00,3.00,5.00,8.00,8.63,6.00,7.00,6.00,214,NULL,212,'GONZAGA','SANTOS','SP',2104,NULL,NULL,41,NULL,NULL,NULL,2,1),(28,7098103,5.00,6.00,2.00,8.00,9.00,8.63,3.00,5.00,3.00,415,NULL,NULL,'SUMARÉ','RIO SUL','SC',6208,100,NULL,NULL,NULL,NULL,NULL,4,24),(28,7098111,2.00,2.00,2.00,5.00,4.00,4.88,1.00,1.00,2.00,208,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',18710,207,NULL,NULL,NULL,NULL,NULL,2,4),(28,7098120,2.00,7.00,4.00,7.00,5.00,8.25,4.00,6.00,1.00,103,NULL,NULL,'JARDIM LONGATO','MOGI MIRIM','SP',5851,1604,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098138,4.00,5.00,3.00,7.00,4.00,7.88,3.00,5.00,5.00,215,NULL,216,'PEDRO DO RIO','PETRÓPOLIS','RJ',7866,125,NULL,NULL,NULL,NULL,NULL,2,8),(28,7098146,5.00,7.00,2.00,7.00,5.00,8.63,3.00,6.00,5.00,999,NULL,NULL,'PETRÓPOLIS','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7098154,4.00,6.00,2.00,6.00,5.00,6.38,3.00,5.00,4.00,235,NULL,220,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10932,174,NULL,259,NULL,NULL,NULL,2,1),(28,7098162,5.00,6.00,2.00,5.00,6.00,9.00,4.00,6.00,5.00,999,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7098189,5.00,7.00,4.00,8.00,11.00,9.75,5.00,8.00,4.00,103,NULL,NULL,'BOQUEIRÃO','PR GRANDE','SP',1027,564,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098197,4.00,6.00,2.00,6.00,7.00,9.75,5.00,5.00,5.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',4427,1410,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7098235,5.00,8.00,2.00,6.00,8.00,8.63,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','UMUARAMA','PR',1876,853,NULL,NULL,NULL,NULL,NULL,4,4),(28,7098251,2.00,8.00,3.00,6.00,7.00,8.63,4.00,8.00,3.00,202,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',4782,140,NULL,75,NULL,NULL,NULL,4,1),(28,7098260,1.00,6.00,2.00,2.00,3.00,6.00,2.00,4.00,2.00,213,NULL,214,'KOBRASOL','S JOSÉ','SC',15179,241,NULL,321,NULL,NULL,NULL,4,1),(28,7098278,1.00,8.00,1.00,5.00,6.00,7.50,4.00,5.00,2.00,207,NULL,201,'SÃO MIGUEL','LAGES','SC',9887,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7098286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'VILA OLIVEIRA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7098308,3.00,6.00,1.00,7.00,7.00,7.13,2.00,5.00,3.00,203,NULL,220,'CENTO','S JOSÉ CAMPOS','SP',8593,499,NULL,223,NULL,NULL,NULL,4,1),(28,7098324,3.00,7.00,1.00,6.00,4.00,7.13,5.00,5.00,5.00,203,NULL,214,'OFICINAS','PNT GROSSA','PR',7338,444,NULL,220,NULL,NULL,NULL,4,17),(28,7098332,8.00,6.00,4.00,7.00,5.00,11.25,4.00,7.00,5.00,103,NULL,NULL,'SANTO ANOTONIO','FRAIBURGO','SC',2087,907,NULL,NULL,NULL,NULL,NULL,2,16),(28,7098340,3.00,4.00,1.00,6.00,5.00,5.25,3.00,4.00,2.00,238,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',14528,240,NULL,332,NULL,NULL,NULL,2,1),(28,7098367,4.00,7.00,4.00,8.00,10.00,9.00,1.00,6.00,3.00,340,NULL,NULL,'GLORIA','JOINVILLE','SC',7798,207,NULL,NULL,NULL,NULL,NULL,1,8),(28,7098383,2.00,5.00,0.00,7.00,5.00,7.50,2.00,5.00,1.00,454,NULL,NULL,'VILA NOVA','BLUMENAU','SC',12586,249,NULL,NULL,NULL,NULL,NULL,4,2),(28,7098391,7.00,8.00,4.00,7.00,6.00,8.25,5.00,6.00,6.00,216,NULL,201,'VILA M GENOVEVA','JUNDIAÍ','SP',1609,48,NULL,99,NULL,NULL,NULL,4,1),(28,7098413,3.00,7.00,4.00,7.00,10.00,10.50,3.00,7.00,6.00,5,NULL,NULL,'RECANTOS','S JOAQUIM','SC',1365,36,NULL,NULL,NULL,NULL,NULL,2,9),(28,7098421,1.00,5.00,3.00,5.00,5.00,7.88,3.00,5.00,3.00,201,NULL,212,'CENTRO','PALMITOS','SC',10270,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7098430,4.00,7.00,6.00,6.00,7.00,8.63,2.00,5.00,7.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',3335,152,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098448,7.00,8.00,4.00,6.00,10.00,10.88,7.00,9.00,6.00,103,NULL,NULL,'TONIAL','XANXERÊ','SC',91,76,NULL,NULL,NULL,NULL,NULL,4,8),(28,7098456,6.00,6.00,2.00,7.00,10.00,9.75,2.00,6.00,4.00,3,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',5072,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098464,3.00,7.00,0.00,7.00,9.00,7.13,4.00,5.00,2.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',7458,78,NULL,NULL,NULL,NULL,NULL,2,1),(28,7098480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7098499,1.00,2.00,2.00,2.00,3.00,5.63,2.00,1.00,1.00,552,NULL,NULL,'RESTINGA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7098502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7098510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'JARDIM','STA RITA P QUATRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7098529,1.00,5.00,3.00,4.00,5.00,8.63,0.00,6.00,1.00,339,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',15625,27,NULL,NULL,NULL,NULL,NULL,2,1),(28,7098545,3.00,9.00,4.00,5.00,6.00,7.50,3.00,6.00,7.00,203,NULL,214,'JD DAS ORQUIDEAS','BARRA BONITA','SP',3935,284,NULL,139,NULL,NULL,NULL,4,1),(28,7098553,4.00,6.00,2.00,6.00,4.00,10.13,2.00,4.00,3.00,340,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',8643,233,NULL,NULL,NULL,NULL,NULL,2,8),(28,7098561,6.00,8.00,3.00,6.00,8.00,4.88,3.00,7.00,4.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',5744,1595,NULL,NULL,NULL,NULL,NULL,4,2),(28,7098570,7.00,7.00,5.00,7.00,8.00,8.25,2.00,8.00,8.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',714,435,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098596,0.00,8.00,4.00,6.00,9.00,8.25,2.00,5.00,4.00,104,NULL,NULL,'CENTRO','SOMBRIO','SC',6132,127,NULL,NULL,NULL,NULL,NULL,4,15),(28,7098618,0.00,2.00,4.00,5.00,6.00,NULL,2.00,4.00,2.00,303,NULL,NULL,'BARRA DO ARÍRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7098634,3.00,5.00,3.00,5.00,6.00,10.50,1.00,4.00,0.00,104,NULL,NULL,'BUCAREIN','JOINVILLE','SC',16541,406,NULL,NULL,NULL,NULL,NULL,4,8),(28,7098650,3.00,8.00,1.00,2.00,8.00,9.38,3.00,5.00,4.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',7838,66,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098669,3.00,8.00,1.00,7.00,5.00,10.88,4.00,5.00,5.00,238,NULL,233,'BARREIROS','S JOSÉ','SC',4813,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098685,5.00,5.00,2.00,4.00,7.00,6.38,5.00,7.00,2.00,238,NULL,220,'CARVOEIRA','FLORIANÓPOLIS','SC',12818,208,NULL,289,NULL,NULL,NULL,4,1),(28,7098693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7098723,4.00,8.00,5.00,7.00,10.00,8.63,5.00,7.00,6.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1060,581,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098731,7.00,8.00,2.00,7.00,8.00,8.25,6.00,7.00,7.00,103,NULL,NULL,'JARDIM PALERMO','S BERNARDO CAMPO','SP',741,446,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098758,3.00,7.00,1.00,2.00,7.00,7.88,2.00,6.00,3.00,104,NULL,NULL,'CENTRO','JOINVILLE','SC',14449,348,NULL,NULL,NULL,NULL,NULL,4,8),(28,7098766,5.00,7.00,5.00,7.00,8.00,11.63,5.00,5.00,7.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',1251,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7098782,4.00,3.00,2.00,7.00,2.00,NULL,1.00,2.00,1.00,201,NULL,207,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7098804,1.00,4.00,1.00,0.00,5.00,NULL,0.00,2.00,1.00,238,NULL,235,'JARDM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098812,1.00,4.00,3.00,6.00,4.00,7.50,3.00,4.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12731,356,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098820,0.00,6.00,3.00,5.00,4.00,8.63,1.00,3.00,2.00,601,NULL,201,'FLORESTA','JOINVILLE','SC',13713,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7098839,0.00,4.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,223,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7098847,6.00,8.00,3.00,5.00,8.00,10.88,5.00,6.00,4.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',1335,690,NULL,NULL,NULL,NULL,NULL,4,4),(28,7098863,4.00,5.00,4.00,4.00,5.00,9.38,2.00,5.00,7.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',6907,1746,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098871,1.00,3.00,3.00,6.00,3.00,8.25,1.00,4.00,2.00,216,NULL,653,'COND JARDINS DO SUL','BAURU','SP',18919,447,NULL,202,NULL,NULL,NULL,2,8),(28,7098880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7098898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VISTA ALEGRE','VINHEDO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7098901,1.00,4.00,0.00,4.00,6.00,NULL,0.00,3.00,1.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098910,3.00,7.00,4.00,4.00,6.00,10.13,3.00,6.00,3.00,103,NULL,NULL,'BOQUEIRÃO','SANTOS','SP',10557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098928,4.00,8.00,2.00,7.00,7.00,10.88,2.00,6.00,4.00,301,NULL,NULL,'PARQUE ALTO TAQUARAL','CAMPINAS','SP',3105,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098936,0.00,2.00,2.00,2.00,3.00,5.25,2.00,2.00,2.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7098944,0.00,3.00,0.00,0.00,0.00,NULL,2.00,3.00,2.00,203,NULL,220,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',4,10),(28,7098952,3.00,5.00,3.00,4.00,5.00,7.50,3.00,8.00,1.00,103,NULL,NULL,'IGUAÇU','ARAUCÁRIA','PR',13487,2282,NULL,NULL,NULL,NULL,NULL,2,1),(28,7098960,7.00,7.00,2.00,7.00,9.00,10.88,6.00,7.00,6.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',829,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7098979,2.00,1.00,3.00,5.00,3.00,7.13,1.00,4.00,2.00,415,NULL,NULL,'CENTRO','CIANORTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7098987,2.00,6.00,2.00,6.00,7.00,6.00,3.00,4.00,2.00,9,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',12729,85,NULL,NULL,NULL,NULL,NULL,2,1),(28,7099002,0.00,3.00,1.00,6.00,3.00,NULL,2.00,3.00,3.00,999,NULL,NULL,'SANTO ANTONIO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7099010,2.00,3.00,1.00,5.00,4.00,NULL,0.00,2.00,2.00,207,NULL,233,'TRINDANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7099029,1.00,6.00,1.00,6.00,8.00,9.38,4.00,5.00,4.00,340,NULL,NULL,'FUNDOS','BIGUAÇU','SC',8733,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7099037,0.00,4.00,2.00,6.00,5.00,8.25,1.00,2.00,2.00,999,NULL,NULL,'SÃO SIMÃO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7099045,0.00,4.00,1.00,5.00,7.00,7.13,3.00,4.00,2.00,102,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',14306,130,NULL,NULL,NULL,NULL,NULL,4,1),(28,7099053,2.00,8.00,3.00,7.00,7.00,7.88,2.00,7.00,5.00,103,NULL,NULL,'VISTA VERDE','S JOSÉ CAMPOS','SP',4166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7099061,0.00,1.00,1.00,3.00,4.00,9.00,2.00,2.00,2.00,103,NULL,NULL,'TAGUATINGA','TAGUATINGA','DF',19827,2525,NULL,NULL,NULL,NULL,NULL,2,1),(28,7099070,5.00,7.00,4.00,6.00,8.00,7.88,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',3734,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7099088,3.00,6.00,1.00,5.00,9.00,7.88,3.00,6.00,6.00,653,NULL,201,'CENTRO','CHAPECÓ','SC',5391,46,NULL,NULL,NULL,NULL,NULL,4,4),(28,7099096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7099100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM BRASIL','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7099118,4.00,6.00,3.00,5.00,6.00,9.75,4.00,4.00,5.00,201,NULL,212,'CENTRO','TUBARÃO','SC',5230,405,NULL,171,NULL,NULL,NULL,2,10),(28,7099134,3.00,7.00,3.00,6.00,7.00,10.13,5.00,5.00,5.00,203,NULL,214,'PQ DOS PRINCIPES','S PAULO','SP',3512,253,NULL,125,NULL,NULL,NULL,4,1),(28,7099150,5.00,8.00,4.00,7.00,8.00,7.88,7.00,7.00,8.00,216,NULL,215,'JD MADALENA','CAMPINAS','SP',823,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7099169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'COND JARDINS VIENA','APARECIDA GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7099177,4.00,6.00,4.00,7.00,5.00,8.63,4.00,6.00,3.00,103,NULL,NULL,'BOSQUE','S JOSÉ CAMPOS','SP',4155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7099193,5.00,6.00,5.00,6.00,6.00,4.50,6.00,6.00,5.00,216,NULL,202,'SAGUACU','JOINVILLE','SC',5565,208,NULL,155,NULL,NULL,NULL,4,8),(28,7099207,1.00,3.00,2.00,5.00,5.00,6.00,2.00,2.00,1.00,104,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',16873,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7099215,2.00,4.00,1.00,7.00,7.00,6.75,2.00,4.00,4.00,454,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',12521,248,NULL,NULL,NULL,NULL,NULL,2,1),(28,7099240,7.00,7.00,3.00,7.00,8.00,9.75,3.00,6.00,5.00,211,NULL,233,'BOSQUE DAS MANSÕES','S JOSÉ','SC',3539,84,NULL,85,NULL,NULL,NULL,4,1),(28,7099266,8.00,8.00,7.00,7.00,10.00,12.00,7.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7099274,2.00,0.00,4.00,1.00,2.00,NULL,2.00,4.00,0.00,441,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7099290,6.00,8.00,2.00,6.00,8.00,10.50,4.00,8.00,5.00,103,NULL,NULL,'CENTRO','IBIRAMA','SC',4314,1385,NULL,NULL,NULL,NULL,NULL,4,6),(28,7099304,6.00,8.00,3.00,7.00,9.00,10.88,6.00,8.00,7.00,5,NULL,NULL,'VL NV CDE UNIVERSITA','BAURU','SP',95,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7099320,1.00,4.00,0.00,2.00,1.00,NULL,2.00,1.00,3.00,102,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7099339,7.00,6.00,3.00,7.00,4.00,7.13,4.00,5.00,5.00,216,NULL,215,'VILA SÃO JOSÉ','INDAIATUBA','SP',4446,168,NULL,62,NULL,NULL,NULL,4,1),(28,7099347,0.00,3.00,2.00,6.00,2.00,NULL,1.00,3.00,1.00,208,NULL,NULL,'HERCILIO VIEIRA DO A','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7099363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'BSQUE DOS EUCALIPTOS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7099371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BROOKLIN NOVO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7099380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BOSQ DOS EUCALIPTOS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7099398,2.00,3.00,2.00,4.00,6.00,9.00,2.00,3.00,1.00,103,NULL,NULL,'VILA ISABEL','CRICIÚMA','SC',13668,2285,NULL,NULL,NULL,NULL,NULL,4,5),(28,7099401,2.00,9.00,2.00,6.00,4.00,8.63,6.00,7.00,6.00,201,NULL,202,'SETOR OESTE','GOIÂNIA','GO',2513,181,NULL,69,NULL,NULL,NULL,4,1),(28,7099410,5.00,5.00,4.00,6.00,7.00,7.50,2.00,4.00,3.00,301,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',9260,107,NULL,NULL,NULL,NULL,NULL,4,1),(28,7099428,5.00,8.00,4.00,6.00,7.00,7.88,5.00,8.00,7.00,103,NULL,NULL,'JARDIM SANTA RITA','S JOÃO B VISTA','SP',1669,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7099436,5.00,7.00,1.00,4.00,7.00,9.00,4.00,6.00,5.00,103,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',5623,1584,NULL,NULL,NULL,NULL,NULL,4,6),(28,7099444,1.00,4.00,0.00,3.00,3.00,5.63,3.00,5.00,1.00,103,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',19546,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7099452,4.00,0.00,3.00,2.00,5.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,17),(28,7099460,2.00,7.00,1.00,5.00,5.00,10.50,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',11627,2178,NULL,NULL,NULL,NULL,NULL,2,1),(28,7099479,1.00,4.00,0.00,3.00,6.00,7.88,3.00,3.00,4.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15344,97,NULL,NULL,NULL,NULL,NULL,2,1),(28,7099487,2.00,7.00,2.00,7.00,7.00,6.00,3.00,6.00,5.00,203,NULL,214,'SAIC','CHAPECÓ','SC',6732,418,NULL,204,NULL,NULL,NULL,4,4),(28,7099495,4.00,7.00,0.00,6.00,9.00,9.00,2.00,3.00,4.00,103,NULL,NULL,'SALTO','BLUMENAU','SC',6523,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7099509,1.00,5.00,1.00,2.00,6.00,6.00,0.00,3.00,2.00,104,NULL,NULL,'CENTRO','CEL FREITAS','SC',17012,412,NULL,NULL,NULL,NULL,NULL,4,4),(28,7099517,6.00,8.00,3.00,6.00,6.00,8.63,3.00,6.00,4.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',5198,1522,NULL,NULL,NULL,NULL,NULL,4,8),(28,7099533,2.00,5.00,1.00,4.00,5.00,9.00,2.00,6.00,5.00,213,NULL,214,'VILA SOARES','OURINHOS','SP',7662,129,NULL,223,NULL,NULL,NULL,2,3),(28,7099541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7099550,2.00,4.00,2.00,5.00,4.00,5.25,2.00,4.00,5.00,216,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',13503,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7099568,6.00,8.00,2.00,7.00,7.00,13.50,5.00,7.00,6.00,203,NULL,233,'CENTRO','ITAJAÍ','SC',966,93,NULL,10,NULL,NULL,NULL,4,6),(28,7099576,3.00,7.00,1.00,6.00,6.00,5.63,4.00,5.00,4.00,104,NULL,NULL,'CENTRO','TUNÁPOLIS','SC',8277,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7099584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7099592,0.00,3.00,2.00,7.00,5.00,NULL,1.00,2.00,1.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7099606,4.00,6.00,1.00,7.00,6.00,7.88,3.00,4.00,4.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7099614,4.00,6.00,4.00,7.00,7.00,7.88,2.00,6.00,4.00,316,NULL,NULL,'BEIRA RIO','S LUDGERO','SC',6805,54,NULL,NULL,NULL,NULL,NULL,2,10),(28,7099622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7099649,3.00,7.00,6.00,7.00,7.00,8.25,2.00,5.00,5.00,202,NULL,238,'SERRINHA','GOIÂNIA','GO',4565,134,NULL,31,NULL,NULL,NULL,4,6),(28,7099665,5.00,5.00,4.00,4.00,9.00,7.88,5.00,4.00,5.00,238,NULL,653,'BARREIROS','S JOSÉ','SC',6658,75,NULL,71,NULL,NULL,NULL,4,1),(28,7099673,6.00,7.00,1.00,7.00,8.00,9.75,3.00,6.00,5.00,103,NULL,NULL,'MONTE CASTELO','S JOSÉ CAMPOS','SP',3532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7099681,0.00,4.00,2.00,4.00,3.00,NULL,0.00,2.00,0.00,425,NULL,NULL,'CANTA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7099690,8.00,9.00,5.00,7.00,10.00,8.63,7.00,8.00,8.00,103,NULL,NULL,'PONTE PRETA','CAMPINAS','SP',86,71,NULL,NULL,NULL,NULL,NULL,4,1),(28,7099703,1.00,8.00,2.00,4.00,7.00,6.38,3.00,3.00,5.00,207,NULL,201,'CRISTO REI','FRANCISCO BELTRÃO','PR',8228,383,NULL,590,NULL,NULL,NULL,4,4),(28,7099711,1.00,2.00,1.00,2.00,6.00,7.88,1.00,4.00,2.00,9,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',16791,130,NULL,NULL,NULL,NULL,NULL,4,8),(28,7099738,1.00,3.00,2.00,4.00,1.00,NULL,1.00,2.00,2.00,503,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7099746,3.00,7.00,3.00,4.00,6.00,10.13,3.00,4.00,2.00,202,NULL,235,'VELHA','BLUMENAU','SC',9913,253,NULL,NULL,NULL,NULL,NULL,4,2),(28,7099754,5.00,8.00,1.00,5.00,6.00,6.38,5.00,6.00,1.00,203,NULL,NULL,'CENTRO','INDAIAL','SC',7816,469,NULL,NULL,NULL,NULL,NULL,4,1),(28,7099762,1.00,6.00,2.00,6.00,8.00,8.63,2.00,7.00,4.00,103,NULL,NULL,'OURO FINO PAULISTA','RIBEIRÃO PIRES','SP',6476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7099770,4.00,7.00,2.00,7.00,6.00,7.88,2.00,5.00,3.00,103,NULL,NULL,'ITANHANGÁ','CPO GRANDE','MS',6590,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7099789,2.00,5.00,2.00,1.00,7.00,6.75,4.00,4.00,2.00,415,NULL,NULL,'COMASA','JOINVILLE','SC',13720,222,NULL,NULL,NULL,NULL,NULL,2,8),(28,7099797,3.00,6.00,1.00,7.00,8.00,10.13,3.00,3.00,1.00,601,NULL,207,'ATIRADORES','JOINVILLE','SC',13008,393,NULL,NULL,NULL,NULL,NULL,4,8),(28,7099800,5.00,4.00,4.00,5.00,6.00,9.38,5.00,6.00,3.00,212,NULL,211,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',9156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7099819,5.00,8.00,4.00,6.00,8.00,8.25,3.00,7.00,5.00,303,NULL,NULL,'CENTRO','ITAJAÍ','SC',2606,111,NULL,NULL,NULL,NULL,NULL,4,6),(28,7099827,5.00,7.00,1.00,6.00,5.00,9.00,4.00,6.00,4.00,303,NULL,NULL,'PLANALTO','CPO GRANDE','MS',4131,193,NULL,NULL,NULL,NULL,NULL,4,1),(28,7099843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'QUITINO','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7099851,2.00,5.00,2.00,6.00,4.00,6.38,4.00,6.00,3.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11229,323,NULL,NULL,NULL,NULL,NULL,4,1),(28,7099860,3.00,7.00,3.00,5.00,7.00,8.25,5.00,4.00,3.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7099878,4.00,6.00,2.00,6.00,7.00,9.75,0.00,4.00,4.00,103,NULL,NULL,'SETOR UNIÃO','GOIÂNIA','GO',6580,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7099894,8.00,9.00,5.00,6.00,8.00,10.13,7.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',103,83,NULL,NULL,NULL,NULL,NULL,4,1),(28,7099908,2.00,9.00,1.00,5.00,9.00,10.50,1.00,7.00,6.00,999,NULL,NULL,'BOA VISTA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,24),(28,7099916,5.00,7.00,1.00,5.00,9.00,9.00,5.00,6.00,5.00,104,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',3715,52,NULL,NULL,NULL,NULL,NULL,2,1),(28,7099924,5.00,7.00,1.00,6.00,8.00,9.75,4.00,5.00,5.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7327,226,NULL,NULL,NULL,NULL,NULL,2,1),(28,7099932,6.00,8.00,3.00,6.00,8.00,10.88,3.00,6.00,6.00,601,NULL,203,'CENTRO','LACERDÓPOLIS','SC',1639,11,NULL,NULL,NULL,NULL,NULL,4,7),(28,7099940,1.00,4.00,4.00,6.00,3.00,6.00,1.00,4.00,1.00,340,NULL,NULL,'FAZENDA SANTOANTONIO','S JOSÉ','SC',16310,403,NULL,NULL,NULL,NULL,NULL,2,1),(28,7099959,4.00,6.00,3.00,5.00,8.00,8.25,4.00,3.00,5.00,207,NULL,212,'CIDADE ALTA','TROMBUDO CENTRAL','SC',6847,317,NULL,212,NULL,NULL,NULL,4,24),(28,7099975,5.00,6.00,4.00,5.00,5.00,9.75,4.00,7.00,3.00,203,NULL,NULL,'BELA SUICA','LONDRINA','PR',5063,348,NULL,NULL,NULL,NULL,NULL,4,1),(28,7099983,0.00,4.00,3.00,5.00,4.00,3.00,3.00,4.00,2.00,215,NULL,216,'BUTIATUVINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7100000,5.00,8.00,4.00,7.00,10.00,11.63,5.00,8.00,6.00,340,NULL,NULL,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',623,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100019,2.00,3.00,0.00,5.00,7.00,7.88,1.00,5.00,3.00,319,NULL,NULL,'FURADINHO','PALHOÇA','SC',18336,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7100027,2.00,4.00,2.00,2.00,4.00,7.13,2.00,4.00,2.00,103,NULL,NULL,'SÃO JOSÉ DO PANTANO','POUSO ALEGRE','MG',13630,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7100043,6.00,8.00,3.00,6.00,10.00,8.63,6.00,6.00,8.00,203,NULL,233,'MEIA PRAIA','ITAPEMA','SC',889,88,NULL,6,NULL,NULL,NULL,4,3),(28,7100051,1.00,3.00,2.00,3.00,8.00,6.38,1.00,4.00,3.00,211,NULL,213,'PASSO DO GADO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7100060,0.00,5.00,1.00,7.00,6.00,7.88,3.00,6.00,1.00,999,NULL,NULL,'N SENHORA APARECIDA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7100078,0.00,2.00,0.00,4.00,5.00,NULL,2.00,4.00,3.00,108,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100086,3.00,2.00,0.00,4.00,3.00,6.00,4.00,3.00,0.00,440,NULL,NULL,'MOOCA','S PAULO','SP',19985,13,NULL,NULL,NULL,NULL,NULL,6,1),(28,7100094,2.00,7.00,3.00,5.00,8.00,10.13,6.00,5.00,7.00,103,NULL,NULL,'CENTRO','JABOTICABAL','SP',2187,932,NULL,NULL,NULL,NULL,NULL,4,3),(28,7100108,4.00,6.00,3.00,5.00,5.00,9.75,4.00,4.00,3.00,208,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7825,75,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100116,1.00,3.00,3.00,6.00,9.00,8.63,2.00,4.00,5.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',9504,2037,NULL,NULL,NULL,NULL,NULL,2,1),(28,7100124,2.00,6.00,2.00,7.00,5.00,7.50,2.00,5.00,4.00,317,NULL,NULL,'CENTRO','ARARANGUÁ','SC',14261,88,NULL,NULL,NULL,NULL,NULL,2,15),(28,7100132,3.00,5.00,3.00,5.00,9.00,10.13,2.00,5.00,3.00,104,NULL,NULL,'MAGALHÃES','LAGUNA','SC',8898,211,NULL,NULL,NULL,NULL,NULL,4,10),(28,7100140,6.00,8.00,1.00,6.00,9.00,7.13,3.00,7.00,7.00,103,NULL,NULL,'VALE DO SOL','COLORADO','PR',2459,1012,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100159,3.00,6.00,3.00,5.00,7.00,7.88,1.00,5.00,2.00,102,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10266,88,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100167,2.00,4.00,1.00,0.00,6.00,7.88,3.00,4.00,2.00,108,NULL,NULL,'ERMELINO MATARAZZO','S PAULO','SP',15547,213,NULL,NULL,NULL,NULL,NULL,2,1),(28,7100175,1.00,4.00,0.00,4.00,4.00,5.25,0.00,3.00,1.00,207,NULL,NULL,'CENTRO','CHAPECÓ','SC',17351,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7100183,4.00,7.00,3.00,5.00,9.00,7.50,5.00,5.00,4.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5365,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100191,1.00,6.00,2.00,6.00,8.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7100205,7.00,7.00,5.00,7.00,10.00,9.38,4.00,5.00,6.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',1154,622,NULL,NULL,NULL,NULL,NULL,4,8),(28,7100213,2.00,6.00,3.00,7.00,8.00,9.75,4.00,5.00,4.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',4339,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7100230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SARANDI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7100248,0.00,6.00,0.00,2.00,5.00,NULL,1.00,6.00,1.00,5,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7100256,2.00,7.00,1.00,7.00,9.00,10.13,3.00,6.00,3.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',4589,212,NULL,NULL,NULL,NULL,NULL,2,5),(28,7100272,4.00,5.00,3.00,6.00,7.00,7.13,3.00,7.00,4.00,203,NULL,601,'J PORTAL DO LAGO','APUCARANA','PR',8803,NULL,NULL,224,NULL,NULL,NULL,2,8),(28,7100280,2.00,6.00,4.00,5.00,9.00,10.13,2.00,3.00,5.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',8366,31,NULL,NULL,NULL,NULL,NULL,2,1),(28,7100299,1.00,4.00,2.00,4.00,5.00,6.00,1.00,4.00,3.00,444,NULL,NULL,'INDEPÊNCIA','CRUZ ALTA','RS',16861,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100302,7.00,7.00,5.00,7.00,7.00,9.38,3.00,6.00,1.00,225,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',8499,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100310,7.00,9.00,4.00,7.00,9.00,9.75,4.00,8.00,6.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',312,233,NULL,NULL,NULL,NULL,NULL,4,8),(28,7100329,1.00,5.00,1.00,6.00,7.00,9.38,1.00,3.00,3.00,317,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12046,58,NULL,NULL,NULL,NULL,NULL,2,1),(28,7100353,1.00,3.00,3.00,2.00,3.00,4.50,3.00,3.00,2.00,502,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',19955,72,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100361,2.00,6.00,2.00,7.00,7.00,6.75,1.00,4.00,2.00,340,NULL,NULL,'CIDADE NAUTICA','S VICENTE','SP',11526,319,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100370,5.00,5.00,1.00,6.00,4.00,4.50,2.00,3.00,2.00,999,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7100388,4.00,8.00,6.00,5.00,9.00,9.75,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','XAXIM','SC',2366,983,NULL,NULL,NULL,NULL,NULL,4,4),(28,7100396,7.00,4.00,4.00,6.00,4.00,7.50,6.00,5.00,5.00,103,NULL,NULL,'SÃO JOSÉ DO PANTANO','POUSO ALEGRE','MG',4038,1329,NULL,NULL,NULL,NULL,NULL,4,8),(28,7100400,3.00,7.00,2.00,7.00,8.00,9.38,4.00,4.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',3823,1293,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100418,4.00,7.00,4.00,7.00,6.00,11.25,4.00,5.00,4.00,207,NULL,201,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',3635,145,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7100434,2.00,6.00,2.00,5.00,9.00,9.75,4.00,6.00,4.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',6316,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7100442,2.00,4.00,1.00,5.00,4.00,4.50,2.00,2.00,2.00,104,NULL,NULL,'REVOLVER','PRES GETÚLIO','SC',17940,426,NULL,NULL,NULL,NULL,NULL,2,24),(28,7100450,4.00,7.00,2.00,4.00,7.00,9.75,3.00,6.00,3.00,654,NULL,NULL,'LINHA FRAGNANI','TREZE MAIO','SC',7234,7,NULL,NULL,NULL,NULL,NULL,2,10),(28,7100469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7100477,3.00,6.00,1.00,6.00,7.00,8.25,5.00,4.00,5.00,102,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',9547,80,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100485,8.00,8.00,6.00,7.00,11.00,12.00,6.00,8.00,7.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',42,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100493,2.00,2.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,238,NULL,201,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100507,7.00,8.00,5.00,7.00,8.00,11.25,4.00,8.00,4.00,103,NULL,NULL,'VORSTADT','BLUMENAU','SC',2718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100515,6.00,7.00,3.00,8.00,9.00,9.75,5.00,6.00,4.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',2013,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7100523,0.00,5.00,3.00,2.00,2.00,NULL,1.00,2.00,1.00,207,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100531,5.00,9.00,7.00,7.00,9.00,12.00,6.00,6.00,7.00,103,NULL,NULL,'VILA BRASILANDIA','S PAULO','SP',90,75,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100540,1.00,6.00,3.00,5.00,6.00,9.00,5.00,6.00,4.00,104,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',8217,191,NULL,NULL,NULL,NULL,NULL,2,1),(28,7100558,5.00,7.00,4.00,7.00,7.00,7.13,4.00,6.00,6.00,454,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',3507,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100566,7.00,8.00,5.00,8.00,8.00,8.63,6.00,7.00,7.00,103,NULL,NULL,'CAMPO BELO','S PAULO','SP',958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100574,3.00,6.00,1.00,1.00,3.00,7.88,4.00,6.00,4.00,201,NULL,NULL,'PINHEIRINHO','RIO NEGRINHO','SC',11273,738,NULL,NULL,NULL,NULL,NULL,4,8),(28,7100582,1.00,6.00,2.00,5.00,5.00,9.75,3.00,2.00,4.00,103,NULL,NULL,'VALE DO ITAMARACA','VALINHOS','SP',9941,2072,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100590,8.00,7.00,5.00,7.00,8.00,9.00,6.00,6.00,7.00,103,NULL,NULL,'LAGO SUL','LG SUL','DF',873,496,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100612,3.00,4.00,2.00,6.00,8.00,8.25,3.00,4.00,3.00,201,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',10802,710,NULL,317,NULL,NULL,NULL,2,1),(28,7100620,3.00,6.00,2.00,5.00,6.00,9.38,2.00,3.00,1.00,653,NULL,201,'CENTRO','ARARANGUÁ','SC',10498,107,NULL,NULL,NULL,NULL,NULL,4,15),(28,7100639,5.00,8.00,3.00,7.00,6.00,7.50,7.00,5.00,6.00,203,NULL,202,'COLONINHA','ARARANGUÁ','SC',2455,192,NULL,66,NULL,NULL,NULL,4,4),(28,7100647,3.00,7.00,5.00,8.00,7.00,9.00,5.00,6.00,7.00,653,NULL,216,'VILA SCHELL','TRÊS COROAS','RS',3232,14,NULL,NULL,NULL,NULL,NULL,4,15),(28,7100663,3.00,5.00,3.00,5.00,5.00,7.13,3.00,4.00,3.00,301,NULL,NULL,'BRASÍLIA','COCAL SUL','SC',15667,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7100671,5.00,7.00,6.00,7.00,7.00,10.50,5.00,7.00,4.00,203,NULL,214,'GLÓRIA','JOINVILLE','SC',1493,138,NULL,43,NULL,NULL,NULL,4,8),(28,7100680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,220,'CENTRO','LEOPOLDINA','MG',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7100698,3.00,7.00,3.00,7.00,6.00,8.25,4.00,4.00,1.00,319,NULL,NULL,'JD SÃO MARCO','S JOSÉ R PRETO','SP',5943,94,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100701,1.00,7.00,2.00,5.00,8.00,5.25,2.00,4.00,5.00,303,NULL,NULL,'CIDADE VISTA VERDE','S JOSÉ CAMPOS','SP',8766,366,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100710,6.00,5.00,1.00,5.00,5.00,8.25,3.00,3.00,2.00,103,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',11565,2176,NULL,NULL,NULL,NULL,NULL,2,23),(28,7100728,0.00,1.00,0.00,2.00,2.00,NULL,1.00,1.00,1.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7100752,0.00,6.00,0.00,6.00,7.00,8.25,3.00,4.00,3.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',15806,2394,NULL,NULL,NULL,NULL,NULL,2,10),(28,7100760,4.00,7.00,3.00,7.00,7.00,NULL,0.00,4.00,2.00,999,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7100779,3.00,4.00,2.00,3.00,5.00,6.75,1.00,4.00,2.00,5,NULL,NULL,'IPIRANGA','S JOSÉ','SC',15829,430,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100787,1.00,4.00,2.00,2.00,4.00,5.25,0.00,4.00,2.00,9,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100795,5.00,7.00,3.00,7.00,9.00,8.63,5.00,8.00,6.00,211,NULL,213,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',1561,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7100825,2.00,4.00,0.00,2.00,3.00,8.25,2.00,3.00,1.00,203,NULL,214,'CANTO','FLORIANÓPOLIS','SC',19870,710,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100841,1.00,4.00,3.00,5.00,3.00,7.50,1.00,2.00,1.00,340,NULL,NULL,'SANTANA','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7100850,0.00,5.00,0.00,3.00,2.00,NULL,3.00,3.00,1.00,328,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILAS DO ATLÂNTICO','LAURO FREITAS','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7100884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PALMEIRA MISSÕES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7100892,2.00,7.00,2.00,4.00,3.00,7.50,0.00,4.00,1.00,454,NULL,NULL,'MORRO AGUDO','PAULO LOPES','SC',15387,313,NULL,NULL,NULL,NULL,NULL,2,1),(28,7100914,4.00,6.00,1.00,6.00,8.00,6.75,2.00,4.00,5.00,331,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',8754,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7100922,2.00,7.00,3.00,6.00,9.00,10.13,2.00,6.00,6.00,103,NULL,NULL,'GABIROBA','RIO OESTE','SC',3017,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7100930,2.00,6.00,2.00,5.00,7.00,8.25,2.00,6.00,4.00,214,NULL,652,'CENTRO','PEDREIRA','SP',9715,251,NULL,15,NULL,NULL,NULL,4,1),(28,7100949,1.00,2.00,2.00,5.00,4.00,6.75,2.00,3.00,4.00,9,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7100957,3.00,6.00,1.00,5.00,4.00,8.63,3.00,5.00,3.00,101,NULL,NULL,'CENTRO','ATALANTA','SC',12137,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7100973,2.00,4.00,3.00,5.00,6.00,7.50,1.00,6.00,3.00,316,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',16233,216,NULL,NULL,NULL,NULL,NULL,2,1),(28,7100981,1.00,2.00,1.00,1.00,6.00,8.25,2.00,4.00,2.00,207,NULL,215,'HUMAITÁ DE CIMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7100990,6.00,6.00,1.00,6.00,6.00,10.50,5.00,6.00,6.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7101007,3.00,7.00,1.00,3.00,5.00,12.00,5.00,5.00,5.00,103,NULL,NULL,'SARANDI','PTO ALEGRE','RS',6377,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101015,3.00,7.00,3.00,6.00,6.00,12.00,0.00,6.00,5.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',6762,1728,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VILA NOVA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7101031,3.00,8.00,3.00,6.00,10.00,10.13,4.00,7.00,4.00,103,NULL,NULL,'CENTRO','MARIALVA','PR',1820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101040,3.00,6.00,1.00,7.00,8.00,8.25,3.00,5.00,4.00,501,NULL,NULL,'COQUEIROS','IÇARA','SC',12143,67,NULL,NULL,NULL,NULL,NULL,4,5),(28,7101058,5.00,7.00,2.00,6.00,8.00,10.13,6.00,7.00,7.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',1522,747,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101066,1.00,7.00,3.00,6.00,6.00,7.50,3.00,7.00,4.00,340,NULL,NULL,'ZONA NOVA','CAPÃO CANOA','RS',13366,360,NULL,NULL,NULL,NULL,NULL,4,6),(28,7101074,3.00,7.00,2.00,7.00,8.00,9.75,1.00,8.00,2.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10139,300,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101082,2.00,4.00,0.00,5.00,5.00,6.38,3.00,3.00,2.00,310,NULL,NULL,'ARIRIU','PALHOÇA','SC',19111,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101090,1.00,6.00,1.00,3.00,3.00,9.75,1.00,4.00,5.00,207,NULL,201,'IPIRANGA','S JOSÉ','SC',12151,551,NULL,779,NULL,NULL,NULL,2,1),(28,7101112,7.00,8.00,2.00,8.00,9.00,11.25,4.00,7.00,7.00,207,NULL,211,'AMÉRICA','JOINVILLE','SC',914,18,NULL,NULL,NULL,NULL,NULL,4,8),(28,7101120,5.00,9.00,4.00,7.00,10.00,10.50,6.00,7.00,6.00,216,NULL,215,'CENTRO','BAL CAMBORIÚ','SC',524,9,NULL,NULL,NULL,NULL,NULL,4,3),(28,7101139,4.00,7.00,5.00,7.00,6.00,7.50,5.00,6.00,3.00,201,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',4798,370,NULL,152,NULL,NULL,NULL,4,1),(28,7101147,0.00,4.00,1.00,5.00,3.00,NULL,2.00,2.00,1.00,9,NULL,NULL,'CENTRO HISTÓRICO','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101155,2.00,6.00,3.00,4.00,5.00,10.50,0.00,6.00,2.00,303,NULL,NULL,'BAIRRO IPIRANGA','S JOSÉ','SC',15653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101163,0.00,5.00,0.00,6.00,7.00,7.88,1.00,3.00,1.00,207,NULL,201,'CENTRO','ITAPEMA','SC',15083,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7101171,4.00,7.00,4.00,6.00,8.00,9.00,6.00,5.00,6.00,202,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',2019,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101180,1.00,5.00,2.00,6.00,7.00,6.00,2.00,5.00,2.00,404,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',16711,47,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101198,4.00,8.00,3.00,7.00,7.00,9.00,6.00,7.00,8.00,203,NULL,214,'CENTRO','ANTÔNIO CARLOS','SC',1325,124,NULL,35,NULL,NULL,NULL,2,1),(28,7101201,1.00,3.00,4.00,0.00,3.00,5.25,0.00,4.00,1.00,501,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',20120,131,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101210,4.00,5.00,1.00,6.00,2.00,NULL,3.00,5.00,2.00,999,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7101228,2.00,8.00,3.00,6.00,8.00,9.38,6.00,7.00,5.00,331,NULL,NULL,'J NOVA AMERICA','S JOSÉ CAMPOS','SP',2327,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101236,4.00,6.00,4.00,7.00,9.00,10.50,5.00,6.00,4.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2236,944,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101244,6.00,7.00,5.00,8.00,5.00,9.38,6.00,7.00,3.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101252,4.00,6.00,2.00,6.00,8.00,9.75,5.00,8.00,4.00,103,NULL,NULL,'ARMAÇÂO','FLORIANÓPOLIS','SC',3289,1203,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101260,0.00,4.00,4.00,5.00,4.00,6.38,1.00,2.00,2.00,108,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',16589,226,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101279,6.00,6.00,4.00,6.00,9.00,12.00,3.00,5.00,6.00,103,NULL,NULL,'IMIRIM','S PAULO','SP',1689,802,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101287,1.00,4.00,1.00,5.00,6.00,5.63,1.00,3.00,4.00,207,NULL,215,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',16033,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101295,3.00,5.00,2.00,3.00,7.00,10.50,5.00,6.00,4.00,302,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',7134,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101309,4.00,8.00,4.00,3.00,8.00,9.38,2.00,5.00,2.00,207,NULL,211,'JD AMERICANO','SOROCABA','SP',6740,315,NULL,188,NULL,NULL,NULL,2,1),(28,7101317,3.00,6.00,2.00,7.00,5.00,12.00,3.00,6.00,3.00,999,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7101325,5.00,8.00,3.00,6.00,6.00,9.75,3.00,5.00,4.00,103,NULL,NULL,'JARDIM PRIMAVERA','ARARAQUARA','SP',3292,1204,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101333,2.00,5.00,2.00,7.00,7.00,5.25,2.00,3.00,2.00,5,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',14457,394,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101341,7.00,7.00,4.00,7.00,9.00,9.38,5.00,7.00,6.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',590,387,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101350,3.00,5.00,3.00,4.00,6.00,4.88,2.00,4.00,5.00,999,NULL,NULL,'PASSAGEM','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7101368,2.00,4.00,1.00,7.00,4.00,9.38,2.00,4.00,2.00,202,NULL,220,'PASSAGEM','TUBARÃO','SC',17588,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7101376,2.00,6.00,1.00,6.00,6.00,8.25,2.00,6.00,3.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10071,183,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101384,6.00,6.00,4.00,7.00,9.00,10.88,3.00,7.00,6.00,214,NULL,212,'SETOR BUENO','GOIÂNIA','GO',1213,28,NULL,NULL,NULL,NULL,NULL,2,8),(28,7101406,3.00,5.00,0.00,6.00,7.00,12.38,3.00,4.00,2.00,320,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13015,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101414,0.00,5.00,0.00,0.00,2.00,NULL,0.00,1.00,3.00,104,NULL,NULL,'NOVA BRASILIA','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7101430,0.00,3.00,1.00,5.00,4.00,NULL,2.00,4.00,2.00,207,NULL,201,'JD CIDADE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7101457,5.00,7.00,2.00,5.00,9.00,10.50,5.00,5.00,5.00,340,NULL,NULL,'N SENHORA DE LOURDES','CAXIAS SUL','RS',2120,42,NULL,NULL,NULL,NULL,NULL,4,4),(28,7101465,0.00,3.00,2.00,4.00,6.00,6.38,0.00,4.00,3.00,238,NULL,220,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101473,3.00,6.00,1.00,7.00,8.00,7.88,2.00,2.00,4.00,316,NULL,NULL,'ROÇADO','S JOSÉ','SC',9114,88,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101490,2.00,5.00,2.00,3.00,6.00,7.50,1.00,2.00,3.00,216,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',12930,367,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101511,4.00,7.00,1.00,6.00,7.00,7.50,3.00,6.00,3.00,601,NULL,NULL,'IRIRÍU','JOINVILLE','SC',6780,145,NULL,NULL,NULL,NULL,NULL,4,8),(28,7101520,0.00,5.00,1.00,4.00,6.00,9.00,1.00,2.00,2.00,303,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',19265,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101538,3.00,8.00,4.00,7.00,8.00,5.25,3.00,5.00,4.00,201,NULL,653,'CENTRO','IBIRAMA','SC',6124,NULL,NULL,59,NULL,NULL,NULL,4,24),(28,7101554,4.00,5.00,1.00,6.00,7.00,7.50,1.00,3.00,5.00,211,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',10430,284,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101570,3.00,5.00,0.00,7.00,6.00,6.75,2.00,5.00,4.00,220,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',15163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101589,1.00,5.00,3.00,5.00,5.00,7.88,3.00,3.00,3.00,501,NULL,NULL,'ESTAÇÃO','URUSSANGA','SC',17373,106,NULL,NULL,NULL,NULL,NULL,2,5),(28,7101597,0.00,0.00,0.00,1.00,1.00,NULL,0.00,0.00,1.00,302,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101600,0.00,3.00,3.00,4.00,3.00,NULL,1.00,1.00,1.00,316,NULL,NULL,'PÔR DO SOL','VERANÓPOLIS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101619,3.00,6.00,4.00,7.00,5.00,5.63,5.00,4.00,4.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6948,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101627,1.00,5.00,1.00,6.00,5.00,7.50,3.00,3.00,1.00,101,NULL,NULL,'CENTRO','BIGUAÇU','SC',13881,85,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7101643,0.00,6.00,2.00,5.00,7.00,9.38,4.00,3.00,4.00,9,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',11246,68,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101651,3.00,6.00,2.00,3.00,5.00,9.00,0.00,5.00,1.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101660,3.00,6.00,2.00,5.00,7.00,7.88,3.00,6.00,6.00,216,NULL,212,'ANDORINHA','ITAPEMA','SC',8027,268,NULL,247,NULL,NULL,NULL,4,6),(28,7101678,3.00,6.00,2.00,7.00,4.00,7.13,2.00,4.00,5.00,303,NULL,NULL,'CENTRO','CAÇADOR','SC',9444,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7101686,3.00,4.00,3.00,5.00,7.00,8.25,4.00,3.00,3.00,425,NULL,429,'CARIANOS','FLORIANÓPOLIS','SC',11228,NULL,NULL,12,NULL,NULL,NULL,4,1),(28,7101716,6.00,8.00,5.00,5.00,10.00,7.88,5.00,7.00,7.00,208,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1180,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101724,5.00,7.00,1.00,7.00,8.00,9.75,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',3217,1187,NULL,NULL,NULL,NULL,NULL,4,5),(28,7101732,5.00,8.00,2.00,7.00,7.00,11.25,4.00,6.00,5.00,340,NULL,NULL,'VILA ROSA','APARECIDA GOIÂNIA','GO',1875,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101740,0.00,6.00,3.00,6.00,4.00,6.75,1.00,3.00,1.00,317,NULL,NULL,'CENTRO','TIJUCAS','SC',15867,117,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101767,5.00,6.00,4.00,4.00,7.00,5.63,6.00,4.00,5.00,454,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',10258,192,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101775,1.00,4.00,2.00,2.00,6.00,8.63,4.00,4.00,2.00,208,NULL,NULL,'CLARAÍBA','NOVA TRENTO','SC',18115,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7101783,1.00,5.00,4.00,3.00,3.00,4.50,2.00,5.00,2.00,309,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',19241,65,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7101805,2.00,6.00,2.00,6.00,7.00,7.88,3.00,5.00,2.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',9561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101813,3.00,6.00,1.00,5.00,8.00,9.38,1.00,5.00,4.00,654,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',12502,30,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101821,1.00,5.00,3.00,5.00,7.00,6.75,3.00,5.00,4.00,303,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',13647,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7101864,2.00,7.00,1.00,6.00,6.00,9.00,2.00,5.00,4.00,5,NULL,NULL,'ATUBA','PINHAIS','PR',8423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101899,8.00,7.00,4.00,8.00,7.00,10.50,4.00,8.00,8.00,103,NULL,NULL,'VILA SOFIA','S PAULO','SP',569,375,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'ALTO TARUMÃ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7101910,3.00,6.00,2.00,5.00,5.00,9.75,2.00,6.00,5.00,216,NULL,233,'CENTRO','LAGES','SC',7543,257,NULL,194,NULL,NULL,NULL,4,9),(28,7101929,2.00,7.00,2.00,5.00,6.00,8.63,5.00,5.00,4.00,233,NULL,653,'ABRAÃO','FLORIANÓPOLIS','SC',7156,NULL,NULL,78,NULL,NULL,NULL,4,1),(28,7101937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'SÃO BERNARDO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7101945,7.00,8.00,6.00,5.00,5.00,9.00,5.00,5.00,7.00,103,NULL,NULL,'COND DELFIM VERDE','ITAPECERICA SERRA','SP',1840,847,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101953,6.00,7.00,3.00,6.00,9.00,7.13,6.00,6.00,6.00,220,NULL,203,'JD AQUARIUS','S JOSÉ CAMPOS','SP',1254,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7101961,2.00,2.00,5.00,4.00,6.00,7.50,2.00,3.00,3.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14612,355,NULL,NULL,NULL,NULL,NULL,2,1),(28,7101988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ESPRAIADO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7102011,7.00,8.00,2.00,7.00,6.00,7.88,3.00,7.00,4.00,203,NULL,214,'BOA VISTA','CURITIBA','PR',3183,233,NULL,117,NULL,NULL,NULL,4,1),(28,7102020,3.00,6.00,4.00,7.00,8.00,4.50,3.00,5.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7069,316,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102038,1.00,7.00,3.00,4.00,6.00,6.75,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',9244,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7102046,1.00,4.00,1.00,6.00,4.00,7.13,0.00,3.00,1.00,999,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7102054,1.00,6.00,2.00,4.00,4.00,7.50,3.00,3.00,1.00,5,NULL,NULL,'INDEPENDÊNCIA','PIRACICABA','SP',17741,467,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102089,4.00,6.00,2.00,5.00,7.00,7.88,4.00,6.00,3.00,601,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8831,226,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102119,6.00,8.00,4.00,5.00,7.00,13.13,7.00,7.00,8.00,103,NULL,NULL,'CENTRO','JACAREÍ','SP',111,88,NULL,NULL,NULL,NULL,NULL,2,1),(28,7102127,6.00,8.00,6.00,7.00,7.00,10.13,5.00,6.00,7.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',536,17,NULL,NULL,NULL,NULL,NULL,2,1),(28,7102135,2.00,6.00,1.00,5.00,5.00,8.63,2.00,4.00,3.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16851,567,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102143,2.00,7.00,1.00,5.00,6.00,8.63,3.00,5.00,2.00,454,NULL,NULL,'CIDADE JARDIM','RIO CLARO','SP',11791,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7102151,7.00,7.00,0.00,5.00,7.00,8.25,1.00,3.00,3.00,201,NULL,212,'PALMAS','GOV CELSO RAMOS','SC',9100,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7102160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,424,'JARDIM ELDORADO','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7102178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','PALMEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7102186,4.00,8.00,1.00,7.00,7.00,10.13,4.00,5.00,4.00,103,NULL,NULL,'BATEL','CURITIBA','PR',3910,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7102194,4.00,8.00,4.00,8.00,9.00,9.00,4.00,7.00,5.00,103,NULL,NULL,'FELIZ','GOIÂNIA','GO',1157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7102216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7102224,0.00,4.00,1.00,2.00,3.00,NULL,0.00,3.00,1.00,9,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7102232,0.00,5.00,3.00,5.00,6.00,4.88,2.00,2.00,1.00,207,NULL,201,'CENTRO','NOVA TRENTO','SC',16890,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7102240,0.00,6.00,3.00,7.00,5.00,7.88,3.00,6.00,0.00,415,NULL,NULL,'PARQUE DOS PRÍNCIPES','OSASCO','SP',10298,165,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102275,4.00,8.00,4.00,8.00,8.00,10.50,4.00,7.00,2.00,235,NULL,202,'CAMPECHE','FLORIANÓPOLIS','SC',2862,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102283,2.00,5.00,3.00,6.00,9.00,9.00,4.00,6.00,8.00,216,NULL,202,'SANTO ANTÔNIO PÁDUA','TUBARÃO','SC',3396,124,NULL,97,NULL,NULL,NULL,2,10),(28,7102291,0.00,5.00,3.00,1.00,4.00,4.50,1.00,4.00,4.00,451,NULL,NULL,'CENTRO','ÁGUAS S PEDRO','SP',17699,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102305,5.00,7.00,5.00,4.00,8.00,7.50,6.00,5.00,7.00,319,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',2076,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102313,5.00,7.00,5.00,7.00,9.00,12.75,5.00,8.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',598,390,NULL,NULL,NULL,NULL,NULL,2,1),(28,7102330,1.00,3.00,2.00,2.00,3.00,6.75,2.00,5.00,2.00,301,NULL,NULL,'PINHEIRAL','BRAÇO NORTE','SC',15376,216,NULL,NULL,NULL,NULL,NULL,4,10),(28,7102348,4.00,8.00,2.00,8.00,9.00,12.38,3.00,7.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1240,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102356,3.00,8.00,4.00,7.00,10.00,12.75,4.00,8.00,7.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',909,511,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102364,5.00,8.00,5.00,7.00,10.00,10.13,8.00,7.00,6.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',257,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102372,1.00,4.00,2.00,1.00,3.00,3.00,2.00,4.00,3.00,3,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102399,2.00,8.00,3.00,7.00,7.00,10.13,2.00,6.00,2.00,999,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7102410,4.00,8.00,2.00,7.00,8.00,6.75,4.00,7.00,6.00,103,NULL,NULL,'SÃO MIGUEL','BIGUAÇU','SC',3909,1306,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102429,5.00,6.00,2.00,7.00,7.00,9.00,4.00,7.00,5.00,5,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',4268,147,NULL,NULL,NULL,NULL,NULL,2,1),(28,7102445,2.00,5.00,1.00,7.00,8.00,7.88,2.00,4.00,2.00,215,NULL,216,'BEZENELO','NOVA TRENTO','SC',12701,218,NULL,361,NULL,NULL,NULL,2,1),(28,7102453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7102461,2.00,7.00,3.00,4.00,6.00,6.75,3.00,4.00,2.00,303,NULL,NULL,'CENTRO','BARRA VELHA','SC',10017,409,NULL,NULL,NULL,NULL,NULL,4,6),(28,7102470,3.00,7.00,3.00,7.00,5.00,9.75,5.00,5.00,2.00,201,NULL,214,'CENTRO','MANGUEIRINHA','PR',5907,462,NULL,184,NULL,NULL,NULL,4,4),(28,7102488,4.00,8.00,2.00,5.00,4.00,4.88,3.00,4.00,2.00,211,NULL,215,'VILA AURORA','S PAULO','SP',11914,313,NULL,201,NULL,NULL,NULL,4,1),(28,7102496,7.00,6.00,2.00,4.00,7.00,6.00,5.00,6.00,4.00,207,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',10495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102500,4.00,8.00,4.00,6.00,6.00,11.25,3.00,4.00,4.00,454,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',8201,149,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102526,4.00,9.00,1.00,4.00,8.00,10.50,6.00,6.00,4.00,454,NULL,NULL,'CENTRO','CONCHAL','SP',2897,21,NULL,NULL,NULL,NULL,NULL,4,8),(28,7102534,6.00,7.00,2.00,7.00,9.00,9.75,4.00,7.00,7.00,201,NULL,202,'JARDIM BLUMENAU','BLUMENAU','SC',1071,52,NULL,NULL,NULL,NULL,NULL,4,2),(28,7102542,1.00,4.00,4.00,5.00,5.00,7.50,3.00,5.00,3.00,502,NULL,NULL,'FREITAS','PAULO LOPES','SC',9391,8,NULL,NULL,NULL,NULL,NULL,2,1),(28,7102550,1.00,3.00,2.00,6.00,5.00,3.00,3.00,3.00,2.00,201,NULL,601,'PALERMO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102569,4.00,7.00,2.00,7.00,9.00,10.13,3.00,6.00,5.00,216,NULL,211,'VALPARAÍSO','STO ANDRÉ','SP',3733,142,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102577,0.00,6.00,0.00,3.00,6.00,NULL,4.00,4.00,3.00,203,NULL,653,'HUMAITA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7102585,7.00,5.00,3.00,6.00,6.00,8.63,6.00,5.00,5.00,202,NULL,235,'CAMPINAS','S JOSÉ','SC',3975,121,NULL,65,NULL,NULL,NULL,2,1),(28,7102593,2.00,5.00,5.00,3.00,5.00,6.38,2.00,4.00,3.00,451,NULL,NULL,'PALMAS','GOV CELSO RAMOS','SC',18050,44,NULL,NULL,NULL,NULL,NULL,2,1),(28,7102607,3.00,4.00,4.00,7.00,8.00,8.63,3.00,4.00,6.00,238,NULL,201,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',10208,147,NULL,688,NULL,NULL,NULL,4,1),(28,7102615,1.00,6.00,1.00,5.00,6.00,9.00,2.00,3.00,3.00,415,NULL,NULL,'PAULISTA','PIRACICABA','SP',16063,239,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102623,1.00,4.00,1.00,7.00,4.00,7.88,2.00,5.00,4.00,205,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',11026,8,NULL,NULL,NULL,NULL,NULL,2,6),(28,7102631,4.00,6.00,3.00,5.00,4.00,7.88,2.00,3.00,3.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102640,5.00,7.00,3.00,6.00,8.00,9.38,5.00,5.00,5.00,103,NULL,NULL,'VILA FORMOSA','MAFRA','SC',3037,1146,NULL,NULL,NULL,NULL,NULL,4,17),(28,7102658,3.00,6.00,3.00,4.00,5.00,7.50,4.00,8.00,5.00,233,NULL,601,'CENTRO','CHAPECÓ','SC',9644,230,NULL,261,NULL,NULL,NULL,5,4),(28,7102666,3.00,6.00,2.00,6.00,7.00,8.25,3.00,7.00,4.00,999,NULL,NULL,'NOVA ESPERANÇA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7102674,5.00,6.00,1.00,7.00,7.00,7.50,0.00,5.00,4.00,202,NULL,235,'CENTRO','STO AMARO IMPERATRIZ','SC',11137,282,NULL,178,NULL,NULL,NULL,2,1),(28,7102690,7.00,7.00,4.00,7.00,6.00,8.63,4.00,5.00,5.00,301,NULL,NULL,'CAMPO BELO','S PAULO','SP',1342,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102704,1.00,7.00,3.00,3.00,4.00,9.00,3.00,6.00,1.00,454,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',11853,235,NULL,NULL,NULL,NULL,NULL,4,16),(28,7102712,7.00,7.00,3.00,6.00,9.00,10.88,7.00,6.00,6.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',660,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102720,5.00,5.00,1.00,6.00,6.00,10.50,2.00,5.00,5.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',6789,1733,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102739,1.00,5.00,2.00,3.00,7.00,4.88,1.00,6.00,1.00,215,NULL,216,'SANTA CATARINA','BIGUAÇU','SC',15003,247,NULL,398,NULL,NULL,NULL,2,1),(28,7102747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,216,'PRIMO TACCA','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7102755,0.00,0.00,0.00,5.00,4.00,NULL,0.00,3.00,1.00,552,NULL,NULL,'SÃO MIGUEL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7102763,2.00,6.00,1.00,3.00,7.00,NULL,0.00,5.00,4.00,327,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102771,4.00,6.00,3.00,7.00,10.00,9.75,5.00,7.00,4.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2863,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7102798,8.00,5.00,2.00,3.00,7.00,7.13,4.00,7.00,4.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',5183,1518,NULL,NULL,NULL,NULL,NULL,4,8),(28,7102801,0.00,3.00,1.00,4.00,4.00,7.13,2.00,2.00,1.00,333,NULL,NULL,'CENTRO','DELFIM MOREIRA','MG',17628,110,NULL,NULL,NULL,NULL,NULL,2,1),(28,7102828,5.00,6.00,1.00,5.00,9.00,6.38,5.00,3.00,2.00,601,NULL,207,'COSTA E SILVA','JOINVILLE','SC',10400,295,NULL,NULL,NULL,NULL,NULL,4,8),(28,7102844,3.00,6.00,1.00,7.00,7.00,7.88,4.00,7.00,6.00,601,NULL,203,'CENTRO','ITAJAÍ','SC',8934,233,NULL,NULL,NULL,NULL,NULL,4,6),(28,7102852,1.00,5.00,2.00,6.00,4.00,8.63,2.00,3.00,4.00,653,NULL,655,'CENTRO','CRICIÚMA','SC',13796,150,NULL,76,NULL,NULL,NULL,2,5),(28,7102860,0.00,4.00,1.00,7.00,5.00,7.50,3.00,3.00,2.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14686,97,NULL,NULL,NULL,NULL,NULL,2,1),(28,7102879,0.00,1.00,1.00,1.00,3.00,5.63,2.00,2.00,2.00,316,NULL,NULL,'MORAR BEM','S JOSÉ','SC',20171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'GRANJA VIANA','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7102909,2.00,3.00,2.00,6.00,4.00,6.00,0.00,4.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',19327,2513,NULL,NULL,NULL,NULL,NULL,4,8),(28,7102925,5.00,7.00,5.00,6.00,10.00,10.50,7.00,6.00,8.00,201,NULL,233,'BARREIROS','S JOSÉ','SC',498,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102933,3.00,6.00,4.00,5.00,8.00,7.88,5.00,8.00,1.00,316,NULL,NULL,'FUNDO CANOAS','RIO SUL','SC',10930,104,NULL,NULL,NULL,NULL,NULL,4,24),(28,7102941,5.00,6.00,0.00,5.00,8.00,8.25,5.00,5.00,6.00,201,NULL,203,'SETOR JARDIM AMÉRICA','GOIÂNIA','GO',3473,265,NULL,250,NULL,NULL,NULL,2,1),(28,7102950,4.00,5.00,3.00,6.00,7.00,8.63,2.00,6.00,3.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',5498,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7102968,2.00,8.00,1.00,5.00,10.00,7.88,3.00,6.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5219,95,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102976,0.00,5.00,2.00,6.00,4.00,7.88,4.00,5.00,4.00,214,NULL,213,'NUCLEO TRITICOLA','FR ROGÉRIO','SC',11859,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7102984,5.00,8.00,3.00,7.00,8.00,7.50,3.00,7.00,6.00,103,NULL,NULL,'SANTANA','S JOSÉ CAMPOS','SP',3141,1165,NULL,NULL,NULL,NULL,NULL,4,1),(28,7102992,0.00,6.00,2.00,5.00,6.00,7.13,2.00,6.00,4.00,302,NULL,NULL,'FUNDOS','BIGUAÇU','SC',13824,91,NULL,NULL,NULL,NULL,NULL,2,1),(28,7103000,0.00,4.00,3.00,7.00,6.00,NULL,0.00,3.00,2.00,415,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7103018,0.00,4.00,2.00,4.00,4.00,NULL,2.00,3.00,2.00,9,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7103026,5.00,4.00,2.00,6.00,5.00,9.38,3.00,4.00,3.00,207,NULL,NULL,'ALTO TARUMÃ','VIAMÃO','RS',7504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103034,5.00,6.00,4.00,3.00,4.00,7.13,3.00,5.00,3.00,220,NULL,653,'PONTE ALTA','TURVO','SC',13419,296,NULL,NULL,NULL,NULL,NULL,4,15),(28,7103042,4.00,6.00,2.00,4.00,4.00,6.75,1.00,6.00,1.00,653,NULL,655,'SANGA DA TOCA','ARARANGUÁ','SC',17957,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7103050,5.00,8.00,5.00,7.00,8.00,11.63,6.00,8.00,7.00,103,NULL,NULL,'SUDOESTE','CRUZEIRO','DF',334,247,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103069,2.00,8.00,3.00,5.00,8.00,6.75,1.00,6.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6446,1690,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM RICETTI','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7103085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7103093,6.00,6.00,1.00,6.00,4.00,8.63,5.00,6.00,4.00,303,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',10881,434,NULL,NULL,NULL,NULL,NULL,4,2),(28,7103107,1.00,6.00,1.00,7.00,4.00,4.88,1.00,5.00,5.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103115,5.00,6.00,1.00,7.00,6.00,9.00,2.00,5.00,4.00,238,NULL,201,'PALMAS','GOV CELSO RAMOS','SC',8881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7103123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'JARDIM ITÁLIA','MELEIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7103131,2.00,6.00,2.00,5.00,7.00,7.50,3.00,6.00,3.00,428,NULL,425,'CANASVIERAS','FLORIANÓPOLIS','SC',13429,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103140,3.00,6.00,1.00,4.00,2.00,NULL,2.00,2.00,3.00,316,NULL,NULL,'VILA SONIA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103158,0.00,2.00,1.00,4.00,4.00,5.63,1.00,7.00,2.00,3,NULL,NULL,'BOTAFOGO','BENTO GONÇALVES','RS',19493,91,NULL,NULL,NULL,NULL,NULL,2,1),(28,7103166,5.00,8.00,3.00,5.00,8.00,10.50,2.00,7.00,3.00,211,NULL,216,'CAMPO GRANDE','SANTOS','SP',3325,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7103174,3.00,7.00,0.00,5.00,8.00,9.00,4.00,7.00,3.00,319,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',7512,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103182,6.00,8.00,4.00,6.00,6.00,10.50,4.00,7.00,4.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',2466,55,NULL,NULL,NULL,NULL,NULL,1,1),(28,7103190,4.00,8.00,2.00,6.00,9.00,10.13,4.00,7.00,5.00,103,NULL,NULL,'PINHEIROS','OTACÍLIO COSTA','SC',2397,992,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103212,4.00,8.00,3.00,5.00,6.00,9.00,4.00,4.00,4.00,203,NULL,653,'PRESIDENTE MEDICI','CHAPECÓ','SC',4903,NULL,NULL,40,NULL,NULL,NULL,4,4),(28,7103239,2.00,7.00,3.00,7.00,6.00,10.13,4.00,5.00,5.00,207,NULL,201,'BRUSQUE','LAGES','SC',4845,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7103247,0.00,1.00,3.00,3.00,4.00,6.00,1.00,1.00,3.00,324,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103255,3.00,6.00,2.00,6.00,8.00,9.75,4.00,5.00,3.00,454,NULL,NULL,'AMÉRICA','JOINVILLE','SC',9479,175,NULL,NULL,NULL,NULL,NULL,4,8),(28,7103263,4.00,8.00,4.00,3.00,5.00,10.13,6.00,8.00,6.00,302,NULL,NULL,'CAMPO BELO','S PAULO','SP',2665,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103271,5.00,7.00,3.00,1.00,5.00,9.00,4.00,6.00,4.00,212,NULL,233,'JARDIM JACIRA','ITAPECERICA SERRA','SP',5392,176,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103298,1.00,5.00,1.00,6.00,4.00,6.38,5.00,3.00,2.00,318,NULL,NULL,'CENTRO','S BERNARDO CAMPO','SP',16839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103301,5.00,6.00,2.00,5.00,6.00,7.13,2.00,4.00,4.00,207,NULL,NULL,'NOVA BRASÍLIA','BRUSQUE','SC',9187,425,NULL,NULL,NULL,NULL,NULL,4,22),(28,7103310,4.00,8.00,7.00,6.00,9.00,8.25,6.00,6.00,7.00,214,NULL,213,'SANTOS DUMONT','S JOSÉ R PRETO','SP',1789,56,NULL,9,NULL,NULL,NULL,4,1),(28,7103328,2.00,7.00,0.00,6.00,4.00,8.25,2.00,6.00,6.00,201,NULL,203,'BUENO','GOIÂNIA','GO',9164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103344,0.00,3.00,1.00,4.00,4.00,NULL,3.00,5.00,2.00,451,NULL,NULL,'NONOAI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7103352,4.00,6.00,4.00,6.00,8.00,10.50,3.00,6.00,5.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',3705,147,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103360,1.00,5.00,4.00,5.00,9.00,8.25,5.00,4.00,2.00,201,NULL,202,'INDEPENDÊNCIA','POUSO REDONDO','SC',7250,537,NULL,193,NULL,NULL,NULL,4,24),(28,7103379,4.00,6.00,6.00,7.00,6.00,7.50,6.00,6.00,5.00,201,NULL,203,'CARANDA BOSQUE I','CPO GRANDE','MS',2587,189,NULL,196,NULL,NULL,NULL,4,1),(28,7103387,0.00,5.00,1.00,4.00,7.00,6.75,2.00,5.00,2.00,108,NULL,NULL,'PENHA','IMBITUBA','SC',14801,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7103395,4.00,7.00,2.00,6.00,7.00,7.88,3.00,6.00,2.00,340,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',6223,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7103409,5.00,8.00,2.00,7.00,8.00,9.75,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2525,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103417,3.00,7.00,3.00,6.00,5.00,8.25,3.00,6.00,3.00,212,NULL,601,'AMÉRICA','JOINVILLE','SC',7406,228,NULL,168,NULL,NULL,NULL,4,8),(28,7103425,2.00,8.00,0.00,6.00,7.00,6.38,3.00,4.00,4.00,304,NULL,NULL,'SANTA CATARINA','CAÇADOR','SC',8986,71,NULL,NULL,NULL,NULL,NULL,4,25),(28,7103433,0.00,3.00,3.00,4.00,4.00,9.75,2.00,2.00,1.00,303,NULL,NULL,'VILA AURORA','RONDONÓPOLIS','MT',19056,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7103441,3.00,7.00,4.00,6.00,8.00,7.50,3.00,5.00,6.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',6679,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7103450,0.00,1.00,1.00,2.00,4.00,NULL,0.00,3.00,2.00,552,NULL,NULL,'SÃO MIGUEL','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7103476,2.00,7.00,1.00,7.00,9.00,10.50,2.00,6.00,4.00,340,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',6423,165,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103484,3.00,0.00,1.00,7.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DISTRITO INDUSTRIAL','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(28,7103492,4.00,9.00,3.00,7.00,9.00,10.88,3.00,7.00,7.00,216,NULL,215,'PEDRO ZANIVAN','CRICIÚMA','SC',1808,58,NULL,11,NULL,NULL,NULL,2,5),(28,7103506,1.00,5.00,1.00,5.00,7.00,6.75,3.00,3.00,5.00,302,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',11298,71,NULL,NULL,NULL,NULL,NULL,2,1),(28,7103514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7103522,5.00,9.00,0.00,8.00,8.00,11.25,3.00,8.00,2.00,415,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6936,114,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103530,5.00,5.00,3.00,5.00,7.00,9.75,2.00,5.00,5.00,9,NULL,NULL,'CENTRO','CURITIBANOS','SC',5971,17,NULL,NULL,NULL,NULL,NULL,4,16),(28,7103549,3.00,6.00,2.00,6.00,9.00,8.63,2.00,8.00,6.00,303,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',2659,116,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103565,6.00,8.00,4.00,6.00,6.00,8.63,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1006,555,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103573,1.00,4.00,3.00,4.00,3.00,8.25,4.00,4.00,4.00,104,NULL,NULL,'CENTRO','NOVA LONDRINA','PR',12253,303,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103581,5.00,6.00,1.00,6.00,8.00,8.25,5.00,5.00,3.00,104,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',7090,160,NULL,NULL,NULL,NULL,NULL,2,1),(28,7103590,2.00,3.00,1.00,2.00,2.00,NULL,1.00,1.00,0.00,423,NULL,428,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7103603,3.00,6.00,2.00,4.00,5.00,7.13,3.00,5.00,3.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15027,110,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103611,3.00,6.00,1.00,7.00,4.00,9.38,2.00,5.00,1.00,103,NULL,NULL,'JARDIM DAS INDÚSTRIA','S JOSÉ CAMPOS','SP',9961,2074,NULL,NULL,NULL,NULL,NULL,2,1),(28,7103620,6.00,5.00,5.00,5.00,7.00,8.25,3.00,6.00,7.00,552,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',4474,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103638,2.00,6.00,2.00,5.00,9.00,12.75,3.00,6.00,2.00,501,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',10594,47,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103646,4.00,7.00,3.00,5.00,8.00,8.63,3.00,5.00,4.00,104,NULL,NULL,'GRUTA','ITUPORANGA','SC',7685,180,NULL,NULL,NULL,NULL,NULL,4,9),(28,7103654,4.00,7.00,2.00,5.00,6.00,8.63,5.00,5.00,8.00,103,NULL,NULL,'IPIRANGA','LAGES','SC',4492,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7103662,1.00,4.00,4.00,3.00,4.00,8.63,1.00,5.00,3.00,340,NULL,NULL,'VILA SAO GERALDO','TAUBATÉ','SP',11919,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7103670,4.00,8.00,1.00,7.00,9.00,9.75,2.00,8.00,6.00,9,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',5410,13,NULL,NULL,NULL,NULL,NULL,4,9),(28,7103689,0.00,2.00,2.00,0.00,4.00,NULL,3.00,1.00,1.00,551,NULL,NULL,'INTERIOR','FR ROGÉRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7103697,0.00,6.00,2.00,6.00,6.00,NULL,0.00,3.00,3.00,332,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7103700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7103719,4.00,8.00,4.00,5.00,8.00,10.50,3.00,5.00,6.00,216,NULL,211,'CERÂMICA','S CAETANO SUL','SP',2117,68,NULL,33,NULL,NULL,NULL,4,1),(28,7103727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,238,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7103735,2.00,6.00,2.00,6.00,5.00,7.88,3.00,4.00,2.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',16155,2408,NULL,NULL,NULL,NULL,NULL,4,8),(28,7103743,3.00,8.00,3.00,5.00,9.00,11.25,2.00,6.00,7.00,303,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',1830,87,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103751,7.00,9.00,5.00,8.00,6.00,9.38,2.00,6.00,6.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',1238,651,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103760,6.00,8.00,3.00,7.00,9.00,10.50,2.00,7.00,4.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'SANTA MONICA','OSVALDO CRUZ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7103794,0.00,4.00,2.00,4.00,6.00,7.13,1.00,4.00,1.00,444,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',19188,137,NULL,NULL,NULL,NULL,NULL,2,1),(28,7103816,4.00,6.00,2.00,6.00,8.00,6.75,4.00,4.00,4.00,215,NULL,653,'CENTRO','SIDERÓPOLIS','SC',7930,128,NULL,85,NULL,NULL,NULL,2,5),(28,7103824,2.00,7.00,3.00,6.00,7.00,7.88,2.00,6.00,3.00,201,NULL,207,'CENTRO','NOVA TRENTO','SC',8020,580,NULL,368,NULL,NULL,NULL,2,22),(28,7103832,3.00,6.00,1.00,6.00,6.00,7.13,4.00,3.00,1.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',10797,2129,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103840,6.00,7.00,2.00,7.00,7.00,8.63,4.00,7.00,5.00,103,NULL,NULL,'PARQUE IMPERADOR','CAMPINAS','SP',2338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103859,5.00,6.00,5.00,7.00,6.00,9.00,6.00,6.00,5.00,211,NULL,216,'VILA PAULISTA','S PAULO','SP',2401,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103867,2.00,7.00,3.00,7.00,8.00,9.38,4.00,6.00,4.00,203,NULL,220,'VILA PEDRINI','JOAÇABA','SC',4269,NULL,NULL,124,NULL,NULL,NULL,4,7),(28,7103875,6.00,7.00,5.00,6.00,9.00,7.88,5.00,4.00,7.00,216,NULL,215,'CENTRO','CRICIÚMA','SC',2497,84,NULL,23,NULL,NULL,NULL,4,5),(28,7103883,7.00,7.00,4.00,6.00,8.00,9.75,4.00,6.00,6.00,207,NULL,201,'CRUZEIRO DO SUL','CRICIÚMA','SC',1601,43,NULL,NULL,NULL,NULL,NULL,4,5),(28,7103891,6.00,7.00,4.00,3.00,7.00,9.00,4.00,6.00,4.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',4091,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7103905,5.00,7.00,2.00,5.00,8.00,7.50,3.00,5.00,4.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',6134,1650,NULL,NULL,NULL,NULL,NULL,2,2),(28,7103913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,202,'VILA BEATRIZ','MARACAJÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7103921,2.00,4.00,1.00,2.00,7.00,7.50,3.00,3.00,1.00,303,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',14373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103930,5.00,6.00,4.00,6.00,7.00,10.13,6.00,5.00,7.00,212,NULL,211,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',3615,109,NULL,87,NULL,NULL,NULL,2,1),(28,7103948,6.00,6.00,3.00,6.00,9.00,10.13,7.00,6.00,6.00,303,NULL,NULL,'OFICINAS','TUBARÃO','SC',798,31,NULL,NULL,NULL,NULL,NULL,4,10),(28,7103956,2.00,6.00,3.00,6.00,8.00,9.00,5.00,4.00,4.00,301,NULL,NULL,'SANTO ANTÔNIO','RIO CEDROS','SC',5736,47,NULL,NULL,NULL,NULL,NULL,4,2),(28,7103972,5.00,7.00,1.00,8.00,6.00,12.00,3.00,6.00,3.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',9903,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7103980,1.00,7.00,1.00,7.00,8.00,9.00,1.00,4.00,3.00,454,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',12981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7103999,4.00,7.00,1.00,3.00,5.00,7.13,3.00,4.00,3.00,340,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',10132,283,NULL,NULL,NULL,NULL,NULL,4,7),(28,7104006,4.00,6.00,1.00,6.00,8.00,9.38,3.00,5.00,5.00,454,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',4303,48,NULL,NULL,NULL,NULL,NULL,4,4),(28,7104014,5.00,7.00,4.00,7.00,8.00,9.75,3.00,7.00,5.00,601,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',3206,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104022,3.00,7.00,2.00,5.00,7.00,9.38,3.00,5.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',8204,251,NULL,NULL,NULL,NULL,NULL,2,1),(28,7104030,3.00,7.00,3.00,4.00,4.00,4.50,4.00,4.00,5.00,104,NULL,NULL,'CENTRO','NOVA LONDRINA','PR',10851,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7104049,1.00,5.00,2.00,5.00,8.00,6.38,1.00,4.00,1.00,104,NULL,NULL,'CENTRO','ITAJAÍ','SC',12133,300,NULL,NULL,NULL,NULL,NULL,4,6),(28,7104057,1.00,5.00,1.00,2.00,3.00,6.38,0.00,4.00,2.00,655,NULL,NULL,'RIO DO PEIXE','LUIZ ALVES','SC',17052,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7104065,2.00,7.00,4.00,6.00,7.00,8.25,3.00,6.00,7.00,216,NULL,201,'COSTA E SILVA','JOINVILLE','SC',3710,140,NULL,287,NULL,NULL,NULL,4,8),(28,7104081,0.00,3.00,1.00,4.00,5.00,7.88,2.00,2.00,2.00,5,NULL,NULL,'COPACABANA','LAGES','SC',17655,465,NULL,NULL,NULL,NULL,NULL,2,9),(28,7104090,2.00,7.00,2.00,7.00,5.00,7.50,2.00,7.00,3.00,201,NULL,212,'ROÇADO','S JOSÉ','SC',14322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104111,0.00,3.00,2.00,4.00,3.00,6.38,2.00,2.00,1.00,102,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',20010,187,NULL,NULL,NULL,NULL,NULL,2,1),(28,7104120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7104138,1.00,4.00,2.00,3.00,4.00,NULL,1.00,2.00,1.00,303,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7104146,2.00,4.00,2.00,6.00,3.00,0.00,2.00,3.00,3.00,999,NULL,NULL,'IPIRANGA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7104154,4.00,6.00,4.00,7.00,9.00,7.50,6.00,7.00,6.00,303,NULL,NULL,'MINA DO MATO','CRICIÚMA','SC',4014,187,NULL,NULL,NULL,NULL,NULL,4,5),(28,7104162,4.00,4.00,3.00,5.00,3.00,8.63,4.00,5.00,6.00,103,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',9447,2030,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7104189,5.00,7.00,4.00,6.00,8.00,9.75,8.00,6.00,7.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',471,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104197,3.00,7.00,2.00,4.00,8.00,12.38,3.00,6.00,4.00,103,NULL,NULL,'CENTRO CÍVICO','CURITIBA','PR',5231,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7104200,8.00,8.00,5.00,4.00,7.00,10.88,6.00,6.00,6.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',867,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104219,3.00,3.00,1.00,5.00,5.00,9.75,1.00,4.00,3.00,327,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',18146,55,NULL,NULL,NULL,NULL,NULL,2,1),(28,7104227,5.00,7.00,8.00,7.00,8.00,9.75,6.00,7.00,7.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',405,290,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104235,5.00,7.00,2.00,6.00,8.00,7.88,7.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7104251,5.00,6.00,3.00,7.00,7.00,9.38,4.00,6.00,7.00,303,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',2666,117,NULL,NULL,NULL,NULL,NULL,4,15),(28,7104260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'BOM RETIRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',1,1),(28,7104278,5.00,8.00,7.00,7.00,7.00,9.75,5.00,8.00,7.00,103,NULL,NULL,'ALTO','CURITIBA','PR',391,280,NULL,NULL,NULL,NULL,NULL,4,8),(28,7104286,6.00,8.00,4.00,6.00,8.00,7.13,6.00,7.00,6.00,233,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',1034,14,NULL,NULL,NULL,NULL,NULL,4,4),(28,7104308,3.00,6.00,2.00,5.00,8.00,8.63,3.00,6.00,5.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',5759,1598,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104332,6.00,6.00,6.00,6.00,8.00,10.13,4.00,5.00,7.00,103,NULL,NULL,'BROOKLIN','S PAULO','SP',1076,588,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104340,0.00,7.00,1.00,5.00,4.00,6.00,2.00,6.00,2.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',13579,13,NULL,NULL,NULL,NULL,NULL,2,16),(28,7104359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CERQUEIRA CESAR','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7104367,5.00,8.00,3.00,6.00,7.00,9.75,6.00,8.00,6.00,201,NULL,212,'JOÃO PAULO','FLORIANÓPOLIS','SC',1521,93,NULL,13,NULL,NULL,NULL,4,1),(28,7104375,4.00,7.00,4.00,6.00,9.00,12.00,6.00,7.00,7.00,207,NULL,212,'CENTRO','PALHOÇA','SC',680,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104391,6.00,7.00,5.00,5.00,7.00,8.25,5.00,5.00,4.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3731,1271,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104413,5.00,7.00,2.00,5.00,9.00,8.63,3.00,7.00,6.00,214,NULL,233,'BONFIM','CAMPINAS','SP',6648,202,NULL,164,NULL,NULL,NULL,4,1),(28,7104430,5.00,6.00,3.00,5.00,6.00,9.38,4.00,5.00,3.00,454,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',7033,111,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104456,1.00,7.00,1.00,5.00,7.00,7.50,1.00,4.00,3.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',17226,243,NULL,NULL,NULL,NULL,NULL,2,1),(28,7104464,4.00,6.00,4.00,7.00,5.00,4.88,2.00,5.00,5.00,234,NULL,NULL,'CASTROLANDA','CASTRO','PR',8354,7,NULL,NULL,NULL,NULL,NULL,4,8),(28,7104480,3.00,5.00,1.00,1.00,3.00,7.88,3.00,3.00,3.00,552,NULL,NULL,'CORAL','LAGES','SC',13904,80,NULL,NULL,NULL,NULL,NULL,2,9),(28,7104499,5.00,7.00,3.00,6.00,6.00,5.25,4.00,6.00,8.00,103,NULL,NULL,'PARQUE ANHANGUERA','GOIÂNIA','GO',3357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104502,2.00,3.00,3.00,6.00,7.00,7.50,2.00,4.00,3.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15909,90,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'VILA POMPÉIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7104529,2.00,5.00,3.00,2.00,5.00,8.25,1.00,5.00,2.00,303,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',14648,525,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104537,5.00,7.00,1.00,6.00,7.00,10.50,2.00,6.00,4.00,207,NULL,201,'CENTRO','PARANAVAÍ','PR',5823,267,NULL,455,NULL,NULL,NULL,4,1),(28,7104545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'CAPIVARI','CAMPOS JORDÃO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7104553,2.00,6.00,3.00,5.00,9.00,8.25,6.00,5.00,4.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',5610,109,NULL,NULL,NULL,NULL,NULL,4,5),(28,7104561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,601,'ARACA','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7104570,3.00,6.00,2.00,2.00,6.00,10.13,2.00,7.00,3.00,201,NULL,601,'ITAJUBA','BARRA VELHA','SC',7985,NULL,NULL,196,NULL,NULL,NULL,4,8),(28,7104588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ITATIAIA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7104596,3.00,5.00,1.00,3.00,3.00,7.88,1.00,2.00,3.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',17251,2444,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104600,5.00,8.00,2.00,7.00,7.00,10.50,5.00,5.00,4.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',3260,122,NULL,71,NULL,NULL,NULL,4,1),(28,7104626,3.00,5.00,3.00,7.00,5.00,7.50,0.00,6.00,1.00,103,NULL,NULL,'BOM JESUS','RIO NEGRO','PR',12661,2245,NULL,NULL,NULL,NULL,NULL,2,17),(28,7104634,2.00,4.00,0.00,5.00,5.00,7.88,1.00,2.00,2.00,501,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',14139,88,NULL,NULL,NULL,NULL,NULL,2,1),(28,7104642,4.00,4.00,1.00,6.00,4.00,7.88,2.00,5.00,4.00,202,NULL,211,'MEIA PRAIA','ITAPEMA','SC',9983,255,NULL,NULL,NULL,NULL,NULL,2,6),(28,7104650,3.00,7.00,3.00,7.00,4.00,8.63,2.00,7.00,3.00,108,NULL,NULL,'RINCÃO','NOVO HAMBURGO','RS',10747,142,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104669,2.00,4.00,1.00,4.00,4.00,4.88,2.00,3.00,1.00,201,NULL,NULL,'GRIZA','IRANI','SC',17854,986,NULL,NULL,NULL,NULL,NULL,2,26),(28,7104677,1.00,5.00,2.00,2.00,5.00,7.13,3.00,4.00,2.00,103,NULL,NULL,'CORAL','LAGES','SC',14924,2347,NULL,NULL,NULL,NULL,NULL,2,9),(28,7104685,3.00,4.00,3.00,4.00,5.00,7.13,1.00,2.00,2.00,215,NULL,NULL,'JARDIM DAS NACOES','TAUBATÉ','SP',14396,239,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104693,2.00,6.00,2.00,4.00,5.00,7.50,3.00,4.00,4.00,103,NULL,NULL,'SAGRADO COR DE JESUS','LAGES','SC',11841,2193,NULL,NULL,NULL,NULL,NULL,2,9),(28,7104707,8.00,7.00,8.00,5.00,9.00,13.13,7.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',50,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104715,5.00,8.00,5.00,7.00,10.00,9.75,7.00,8.00,8.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',59,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7104723,5.00,8.00,3.00,6.00,8.00,8.25,3.00,8.00,5.00,103,NULL,NULL,'ESPINHEIRO','RECIFE','PE',2079,905,NULL,NULL,NULL,NULL,NULL,2,1),(28,7104740,5.00,8.00,3.00,7.00,10.00,6.75,2.00,6.00,7.00,103,NULL,NULL,'FATIMA','JOINVILLE','SC',1811,840,NULL,NULL,NULL,NULL,NULL,4,8),(28,7104782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RECANTO DO SALTO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7104790,4.00,7.00,5.00,7.00,8.00,12.00,6.00,5.00,5.00,235,NULL,202,'UNIVERSITÁRIO','LAGES','SC',999,5,NULL,NULL,NULL,NULL,NULL,4,9),(28,7104804,3.00,6.00,1.00,5.00,6.00,7.13,3.00,4.00,4.00,238,NULL,203,'TRINDADE','FLORIANÓPOLIS','SC',11571,181,NULL,573,NULL,NULL,NULL,4,1),(28,7104812,1.00,6.00,1.00,2.00,1.00,NULL,3.00,4.00,1.00,207,NULL,201,'SANTA QUITERIA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7104820,1.00,4.00,0.00,6.00,5.00,NULL,3.00,4.00,0.00,451,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7104839,3.00,8.00,4.00,6.00,7.00,7.88,3.00,7.00,5.00,319,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',7708,129,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104847,0.00,6.00,2.00,5.00,3.00,7.88,3.00,4.00,3.00,212,NULL,201,'MONTE LIBANO','CPO GRANDE','MS',10951,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7104863,4.00,9.00,4.00,6.00,7.00,6.38,5.00,6.00,5.00,201,NULL,216,'JARDIM CAIEIRAS','LIMEIRA','SP',5107,394,NULL,194,NULL,NULL,NULL,4,1),(28,7104871,2.00,3.00,2.00,5.00,6.00,5.25,1.00,3.00,4.00,316,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',15260,197,NULL,NULL,NULL,NULL,NULL,2,1),(28,7104880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO CONRADO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7104910,3.00,6.00,1.00,5.00,8.00,9.38,2.00,6.00,3.00,601,NULL,220,'ESTREITO','FLORIANÓPOLIS','SC',8932,232,NULL,NULL,NULL,NULL,NULL,4,1),(28,7104928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VAREJÃO','ITU','SP',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7104952,6.00,5.00,2.00,4.00,4.00,NULL,0.00,4.00,3.00,110,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7104960,1.00,4.00,1.00,4.00,5.00,5.25,1.00,3.00,1.00,213,NULL,653,'NOVA BRASILIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7104979,5.00,7.00,4.00,4.00,8.00,6.38,3.00,6.00,4.00,208,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6754,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105002,0.00,1.00,2.00,2.00,5.00,7.13,1.00,2.00,3.00,207,NULL,211,'CANTA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7105010,3.00,7.00,0.00,4.00,4.00,5.63,2.00,5.00,3.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',12717,379,NULL,NULL,NULL,NULL,NULL,4,8),(28,7105029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,214,'FREI ROGÉRIO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7105037,1.00,4.00,3.00,5.00,4.00,9.00,4.00,3.00,3.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11361,318,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105045,0.00,5.00,3.00,5.00,5.00,10.50,0.00,6.00,3.00,320,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16353,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105053,4.00,7.00,2.00,4.00,8.00,8.25,8.00,7.00,5.00,103,NULL,NULL,'LESTE UNIVERSITARIO','GOIÂNIA','GO',2472,1017,NULL,NULL,NULL,NULL,NULL,4,4),(28,7105070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','S JOÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7105088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'JARDIM SAO LOURENÇO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7105096,7.00,7.00,5.00,5.00,8.00,12.00,5.00,7.00,4.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',820,477,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7105118,3.00,7.00,3.00,4.00,7.00,9.75,2.00,3.00,3.00,203,NULL,233,'MONTE BELO','JOAÇABA','SC',9128,511,NULL,218,NULL,NULL,NULL,4,1),(28,7105126,3.00,7.00,2.00,7.00,5.00,8.25,4.00,6.00,5.00,208,NULL,NULL,'CIDADE ALTA','MEDIANEIRA','PR',5835,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105142,3.00,8.00,1.00,5.00,6.00,7.13,3.00,4.00,4.00,336,NULL,NULL,'SEMINÁRIO','CURITIBA','PR',9033,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7105150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,214,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7105177,6.00,8.00,4.00,7.00,8.00,10.50,5.00,7.00,6.00,203,NULL,214,'RIO PEQUENO','S PAULO','SP',1002,96,NULL,15,NULL,NULL,NULL,4,1),(28,7105185,4.00,8.00,2.00,6.00,7.00,8.25,3.00,4.00,5.00,215,NULL,NULL,'CENTER SANTA GENEBRA','CAMPINAS','SP',6910,104,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105193,3.00,6.00,3.00,7.00,5.00,4.50,1.00,6.00,4.00,304,NULL,NULL,'JARDIM COLINAS','S JOSÉ CAMPOS','SP',8730,67,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105207,5.00,7.00,2.00,6.00,7.00,7.88,5.00,6.00,6.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',3435,159,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7105223,2.00,5.00,2.00,4.00,5.00,5.63,0.00,2.00,2.00,103,NULL,NULL,'TABULEIRO','CAMBORIÚ','SC',15356,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7105231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7105240,2.00,8.00,3.00,6.00,7.00,9.38,5.00,5.00,3.00,103,NULL,NULL,'IGUAÇU','ARAUCÁRIA','PR',8714,1977,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105258,7.00,7.00,3.00,6.00,7.00,7.50,7.00,8.00,7.00,103,NULL,NULL,'CIDADE DUTRA','S PAULO','SP',1087,594,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105266,6.00,7.00,4.00,7.00,9.00,10.13,6.00,8.00,8.00,103,NULL,NULL,'CENTRO','ÂNGULO','PR',304,225,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105274,3.00,7.00,3.00,6.00,8.00,10.50,6.00,5.00,5.00,303,NULL,NULL,'DEHON','TUBARÃO','SC',5994,274,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105290,2.00,3.00,2.00,6.00,4.00,10.13,1.00,4.00,2.00,101,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',14735,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7105312,5.00,6.00,2.00,6.00,9.00,9.38,6.00,6.00,4.00,415,NULL,NULL,'JARDIM DAS FLORES','S JOSÉ CAMPOS','SP',2359,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105339,4.00,8.00,2.00,4.00,7.00,10.13,3.00,6.00,3.00,301,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',7416,77,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MARIA AMÉLIA','JACAREÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7105355,6.00,7.00,4.00,6.00,7.00,9.75,6.00,7.00,6.00,201,NULL,203,'ATIRADORES','JOINVILLE','SC',3307,250,NULL,241,NULL,NULL,NULL,4,8),(28,7105363,1.00,6.00,2.00,6.00,5.00,6.75,2.00,4.00,3.00,501,NULL,NULL,'SÃO CRISTÓVÃO','TURVO','SC',13697,86,NULL,NULL,NULL,NULL,NULL,4,15),(28,7105371,4.00,5.00,1.00,6.00,6.00,7.88,3.00,4.00,2.00,238,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',12056,196,NULL,195,NULL,NULL,NULL,4,1),(28,7105380,3.00,2.00,2.00,2.00,2.00,NULL,1.00,4.00,2.00,102,NULL,NULL,'TRÊS DE MAIO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7105398,1.00,2.00,2.00,3.00,5.00,7.88,1.00,5.00,2.00,454,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',16469,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7105401,4.00,6.00,2.00,5.00,8.00,8.25,4.00,4.00,2.00,304,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',13225,97,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105410,3.00,6.00,3.00,5.00,10.00,11.25,4.00,8.00,5.00,103,NULL,NULL,'CENTRO','PINHEIRO PRETO','SC',3023,1142,NULL,NULL,NULL,NULL,NULL,2,7),(28,7105436,1.00,7.00,3.00,1.00,6.00,5.63,1.00,5.00,2.00,201,NULL,207,'FLOR DA SERRA','JOAÇABA','SC',18529,1012,NULL,783,NULL,NULL,NULL,2,7),(28,7105444,4.00,7.00,2.00,5.00,6.00,9.38,4.00,5.00,5.00,207,NULL,212,'ITAGUAÇU','FLORIANÓPOLIS','SC',8976,412,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105452,0.00,3.00,3.00,3.00,6.00,6.75,0.00,4.00,1.00,103,NULL,NULL,'RIO DOS BUGRES','RANCHO QUEIMADO','SC',17337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105460,1.00,7.00,2.00,6.00,10.00,13.50,2.00,6.00,1.00,999,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7105479,3.00,8.00,3.00,6.00,6.00,9.00,4.00,5.00,5.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',4868,204,NULL,154,NULL,NULL,NULL,4,1),(28,7105487,4.00,6.00,2.00,4.00,7.00,8.25,2.00,5.00,2.00,454,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10419,196,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105509,6.00,9.00,3.00,6.00,6.00,10.50,5.00,6.00,6.00,220,NULL,202,'CEARA','CRICIÚMA','SC',1897,53,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105517,3.00,7.00,1.00,3.00,6.00,9.75,3.00,4.00,2.00,444,NULL,NULL,'JARDIM FLORESTA','LAVRAS','MG',11018,39,NULL,NULL,NULL,NULL,NULL,2,1),(28,7105525,3.00,7.00,3.00,6.00,8.00,9.75,4.00,7.00,5.00,502,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5237,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105533,6.00,9.00,5.00,6.00,9.00,11.25,6.00,8.00,8.00,103,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',119,95,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105550,3.00,8.00,2.00,7.00,9.00,6.75,4.00,5.00,4.00,454,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',3684,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7105568,2.00,6.00,1.00,6.00,3.00,9.75,0.00,4.00,3.00,5,NULL,NULL,'CENTRO','JUNQUEIRÓPOLIS','SP',11662,336,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105576,4.00,7.00,3.00,4.00,6.00,7.88,4.00,4.00,5.00,220,NULL,NULL,'BARREIROS','S JOSÉ','SC',9221,232,NULL,NULL,NULL,NULL,NULL,2,1),(28,7105592,3.00,5.00,1.00,1.00,5.00,9.00,1.00,4.00,2.00,207,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',13586,609,NULL,850,NULL,NULL,NULL,4,1),(28,7105606,0.00,4.00,2.00,4.00,2.00,NULL,4.00,4.00,2.00,999,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7105614,1.00,2.00,2.00,3.00,3.00,7.50,1.00,2.00,2.00,444,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',18999,131,NULL,NULL,NULL,NULL,NULL,2,1),(28,7105622,5.00,7.00,3.00,7.00,8.00,9.75,4.00,6.00,4.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5891,118,NULL,NULL,NULL,NULL,NULL,2,1),(28,7105649,1.00,7.00,3.00,5.00,10.00,11.25,2.00,4.00,2.00,302,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',6160,13,NULL,NULL,NULL,NULL,NULL,4,8),(28,7105657,6.00,7.00,6.00,6.00,7.00,11.63,8.00,8.00,5.00,201,NULL,203,'VILA SAO LUIZ','S PAULO','SP',397,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105665,5.00,7.00,1.00,6.00,9.00,9.38,3.00,4.00,2.00,9,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',7172,27,NULL,NULL,NULL,NULL,NULL,4,23),(28,7105673,3.00,7.00,2.00,7.00,7.00,6.75,2.00,4.00,3.00,454,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',13791,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7105703,9.00,8.00,4.00,7.00,9.00,9.38,5.00,6.00,7.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',454,318,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'SÃO JOÃO','TAQUARI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7105720,0.00,5.00,1.00,2.00,4.00,7.50,3.00,3.00,2.00,201,NULL,207,'CENTRO','ANGELINA','SC',16922,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7105738,1.00,5.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,238,NULL,652,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7105746,5.00,8.00,2.00,5.00,7.00,9.00,4.00,6.00,4.00,201,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',7462,550,NULL,231,NULL,NULL,NULL,4,1),(28,7105770,0.00,8.00,3.00,7.00,7.00,7.50,1.00,4.00,3.00,999,NULL,NULL,'BOM RETIRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7105789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PAULICÉIA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7105797,2.00,6.00,1.00,8.00,9.00,8.25,2.00,7.00,4.00,303,NULL,NULL,'SANTANA','S PAULO','SP',5240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105800,1.00,5.00,1.00,7.00,5.00,7.88,1.00,3.00,0.00,201,NULL,202,'PRIMEIRO DE MAIO','IÇARA','SC',18245,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7105827,0.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7105835,6.00,7.00,3.00,6.00,4.00,10.50,4.00,6.00,3.00,216,NULL,233,'CENTRO','CAMPINAS','SP',3721,141,NULL,95,NULL,NULL,NULL,4,1),(28,7105843,3.00,4.00,0.00,6.00,9.00,8.25,5.00,6.00,3.00,201,NULL,NULL,'ROÇADO','S JOSÉ','SC',8355,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7105851,1.00,6.00,0.00,6.00,5.00,9.75,4.00,7.00,1.00,238,NULL,NULL,'CENTRO','URUGUAIANA','RS',8775,124,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105860,2.00,5.00,0.00,6.00,4.00,9.00,3.00,3.00,4.00,109,NULL,NULL,'SÃO CRISTOVÃO','LAGES','SC',11240,28,NULL,NULL,NULL,NULL,NULL,2,9),(28,7105878,2.00,6.00,2.00,3.00,7.00,10.50,1.00,2.00,1.00,440,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',18225,9,NULL,NULL,NULL,NULL,NULL,6,1),(28,7105886,3.00,5.00,2.00,7.00,7.00,7.13,3.00,4.00,4.00,212,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',9398,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7105894,0.00,2.00,4.00,4.00,5.00,5.63,2.00,3.00,2.00,999,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105908,0.00,2.00,1.00,7.00,6.00,6.00,2.00,3.00,3.00,104,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',18840,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7105916,4.00,7.00,3.00,7.00,6.00,7.13,1.00,5.00,3.00,319,NULL,NULL,'CENTRO','PTO ALEGRE','RS',8485,142,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105924,3.00,5.00,0.00,4.00,4.00,NULL,0.00,5.00,2.00,201,NULL,211,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7105932,3.00,8.00,1.00,5.00,7.00,8.63,4.00,8.00,5.00,103,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',4944,1487,NULL,NULL,NULL,NULL,NULL,4,15),(28,7105940,4.00,7.00,4.00,5.00,5.00,9.38,2.00,4.00,6.00,103,NULL,NULL,'JOAO COSTA','JOINVILLE','SC',6203,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7105967,1.00,7.00,3.00,4.00,7.00,6.75,3.00,5.00,2.00,9,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',12675,82,NULL,NULL,NULL,NULL,NULL,2,1),(28,7105991,2.00,5.00,3.00,2.00,4.00,8.63,2.00,3.00,3.00,108,NULL,NULL,'ALPHAVILLE CAMPINAS','CAMPINAS','SP',11775,160,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106009,5.00,9.00,4.00,6.00,5.00,7.13,3.00,3.00,6.00,201,NULL,212,'JARDIM ANA MARIA','JUNDIAÍ','SP',4130,320,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106017,4.00,6.00,2.00,7.00,9.00,10.88,4.00,7.00,4.00,103,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',2146,923,NULL,NULL,NULL,NULL,NULL,4,4),(28,7106025,0.00,1.00,3.00,7.00,4.00,NULL,2.00,2.00,1.00,425,NULL,429,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106050,0.00,3.00,0.00,5.00,7.00,9.38,4.00,4.00,3.00,551,NULL,NULL,'CENTRO','CONCÓRDIA','SC',12517,9,NULL,NULL,NULL,NULL,NULL,4,26),(28,7106068,0.00,3.00,1.00,2.00,5.00,NULL,1.00,4.00,2.00,336,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7106076,6.00,9.00,5.00,7.00,5.00,7.50,3.00,8.00,3.00,103,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',2474,1018,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106092,0.00,6.00,3.00,2.00,3.00,NULL,2.00,2.00,2.00,551,NULL,NULL,'SÃO CRISTÓVÃO','SANANDUVA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7106106,4.00,5.00,2.00,5.00,4.00,8.63,4.00,4.00,5.00,103,NULL,NULL,'JARDIM MARCELA','PARANAVAÍ','PR',9431,2028,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106114,1.00,3.00,1.00,1.00,2.00,NULL,0.00,0.00,2.00,104,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106122,3.00,5.00,3.00,3.00,5.00,6.38,3.00,5.00,4.00,216,NULL,235,'BOM VIVER','BIGUAÇU','SC',10397,322,NULL,169,NULL,NULL,NULL,4,1),(28,7106130,5.00,7.00,2.00,4.00,7.00,8.63,6.00,6.00,6.00,203,NULL,202,'CENTRO','CAÇADOR','SC',3385,NULL,NULL,96,NULL,NULL,NULL,4,1),(28,7106149,4.00,8.00,5.00,6.00,9.00,11.25,7.00,7.00,5.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1333,33,NULL,NULL,NULL,NULL,NULL,2,1),(28,7106165,1.00,4.00,2.00,6.00,3.00,8.25,2.00,2.00,3.00,415,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',15087,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7106181,4.00,5.00,1.00,6.00,6.00,9.38,3.00,3.00,4.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',9345,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106190,3.00,2.00,3.00,5.00,5.00,5.63,0.00,3.00,2.00,308,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',17749,57,NULL,NULL,NULL,NULL,NULL,2,1),(28,7106203,2.00,7.00,1.00,6.00,6.00,7.88,6.00,5.00,1.00,999,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7106238,5.00,7.00,2.00,6.00,6.00,8.63,2.00,4.00,4.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7106246,6.00,7.00,5.00,6.00,8.00,8.25,3.00,7.00,7.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',1523,748,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106254,3.00,4.00,1.00,3.00,3.00,6.00,1.00,3.00,1.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',19851,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7106262,0.00,4.00,2.00,4.00,6.00,7.88,2.00,3.00,3.00,9,NULL,NULL,'IPIRANGA','S JOSÉ','SC',15465,118,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106270,0.00,5.00,2.00,3.00,3.00,6.75,2.00,4.00,1.00,551,NULL,NULL,'VILA NOVA DOIS','SANANDUVA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7106297,1.00,4.00,1.00,3.00,2.00,NULL,0.00,2.00,3.00,652,NULL,655,'COLINA','GUAÍBA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7106300,4.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(28,7106327,4.00,7.00,2.00,7.00,9.00,9.00,3.00,4.00,5.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',3463,1235,NULL,NULL,NULL,NULL,NULL,2,1),(28,7106335,3.00,7.00,3.00,7.00,7.00,8.63,6.00,6.00,5.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6207,202,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'CENTRO','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7106351,5.00,6.00,2.00,7.00,7.00,11.25,2.00,7.00,2.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7106360,3.00,7.00,1.00,7.00,10.00,8.25,5.00,5.00,4.00,238,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4273,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'PADRE ULRICO','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7106394,2.00,7.00,4.00,7.00,7.00,10.88,4.00,4.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4974,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7106408,5.00,8.00,2.00,4.00,8.00,6.38,4.00,7.00,7.00,203,NULL,220,'CHÁCARA JOSEFINA','CONCEIÇÃO OUROS','MG',3758,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7106416,2.00,2.00,1.00,3.00,3.00,6.75,1.00,2.00,4.00,552,NULL,NULL,'SÃO CRISTÓVÃO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7106424,6.00,9.00,5.00,6.00,10.00,8.63,4.00,7.00,7.00,103,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',796,468,NULL,NULL,NULL,NULL,NULL,4,22),(28,7106432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM AMÉRICA','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7106459,3.00,4.00,1.00,6.00,6.00,7.88,4.00,3.00,2.00,404,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',13772,27,NULL,NULL,NULL,NULL,NULL,2,1),(28,7106467,4.00,6.00,4.00,4.00,6.00,5.25,4.00,4.00,3.00,207,NULL,NULL,'TAQUARAÇU','LAGUNA','SC',12273,554,NULL,NULL,NULL,NULL,NULL,2,10),(28,7106475,2.00,6.00,3.00,5.00,6.00,7.50,2.00,5.00,4.00,332,NULL,NULL,'CANABARRO','TEUTÔNIA','RS',10373,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7106491,0.00,5.00,1.00,3.00,3.00,NULL,3.00,2.00,3.00,655,NULL,203,'JARDIM CIBELE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7106505,6.00,7.00,3.00,5.00,8.00,7.13,5.00,5.00,6.00,201,NULL,212,'CENTRO','IMBITUBA','SC',4643,363,NULL,149,NULL,NULL,NULL,2,1),(28,7106513,4.00,7.00,3.00,7.00,10.00,8.63,5.00,7.00,6.00,103,NULL,NULL,'PIRITUBA','S PAULO','SP',1532,753,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106530,1.00,3.00,1.00,1.00,5.00,6.00,1.00,4.00,0.00,233,NULL,201,'CENTRO','MANGUEIRINHA','PR',20080,355,NULL,NULL,NULL,NULL,NULL,4,4),(28,7106548,4.00,7.00,3.00,6.00,4.00,7.13,5.00,7.00,5.00,2,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',7473,20,NULL,NULL,NULL,NULL,NULL,4,3),(28,7106572,4.00,7.00,0.00,6.00,7.00,7.50,6.00,6.00,5.00,319,NULL,NULL,'UMARIZAL','BELÉM','PA',4987,74,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106599,5.00,9.00,1.00,7.00,8.00,9.38,4.00,7.00,5.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',1370,699,NULL,NULL,NULL,NULL,NULL,2,8),(28,7106602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,220,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7106610,1.00,8.00,3.00,5.00,6.00,6.38,4.00,6.00,5.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',4743,1451,NULL,NULL,NULL,NULL,NULL,4,8),(28,7106629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VISTA VERDE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7106637,5.00,8.00,2.00,5.00,8.00,7.88,3.00,7.00,5.00,601,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',2285,24,NULL,NULL,NULL,NULL,NULL,4,8),(28,7106645,3.00,7.00,3.00,7.00,6.00,6.75,4.00,8.00,3.00,103,NULL,NULL,'COSTÃO','GUARAREMA','SP',8647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106653,4.00,7.00,0.00,6.00,7.00,10.13,3.00,6.00,4.00,101,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',5283,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106661,2.00,6.00,3.00,4.00,3.00,8.25,3.00,6.00,3.00,601,NULL,653,'INGLESSES','FLORIANÓPOLIS','SC',11715,345,NULL,123,NULL,NULL,NULL,4,1),(28,7106670,2.00,5.00,0.00,4.00,5.00,7.88,3.00,3.00,5.00,211,NULL,215,'GIRASSOL','AMERICANA','SP',9614,260,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106688,2.00,3.00,2.00,5.00,6.00,8.25,3.00,5.00,3.00,201,NULL,212,'CENTRO','CURITIBANOS','SC',9719,661,NULL,NULL,NULL,NULL,NULL,4,16),(28,7106696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA A','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7106700,5.00,7.00,6.00,5.00,9.00,9.00,9.00,7.00,8.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',131,105,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106726,1.00,4.00,2.00,5.00,2.00,NULL,1.00,3.00,2.00,201,NULL,202,'DISTRITO DE IGUATEMI','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7106750,4.00,8.00,2.00,7.00,8.00,10.50,5.00,6.00,4.00,303,NULL,NULL,'CENTRO','MANDAGUARI','PR',2444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106769,3.00,5.00,1.00,5.00,8.00,6.75,2.00,2.00,2.00,201,NULL,233,'NOSSA S DO ROSÁRIO','S JOSÉ','SC',17828,984,NULL,341,NULL,NULL,NULL,2,1),(28,7106777,4.00,5.00,2.00,6.00,7.00,7.50,2.00,5.00,3.00,103,NULL,NULL,'EMBARÉ','SANTOS','SP',7482,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7106785,5.00,7.00,4.00,6.00,4.00,9.38,2.00,6.00,6.00,103,NULL,NULL,'CIDADE SÃO FRANCISCO','S PAULO','SP',4286,1381,NULL,NULL,NULL,NULL,NULL,2,9),(28,7106807,3.00,5.00,3.00,6.00,5.00,9.75,2.00,5.00,4.00,234,NULL,NULL,'POTECAS','S JOSÉ','SC',13061,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106815,1.00,5.00,0.00,5.00,3.00,7.13,2.00,3.00,3.00,238,NULL,220,'CENTRO','MARAVILHA','SC',19124,332,NULL,341,NULL,NULL,NULL,2,1),(28,7106823,0.00,2.00,2.00,4.00,3.00,5.25,1.00,4.00,0.00,501,NULL,NULL,'JARDIM ESPERANÇA','CANOINHAS','SC',20088,130,NULL,NULL,NULL,NULL,NULL,2,17),(28,7106831,4.00,7.00,3.00,6.00,7.00,7.88,3.00,6.00,5.00,201,NULL,601,'COSTA E SILVA','JOINVILLE','SC',6518,NULL,NULL,138,NULL,NULL,NULL,4,8),(28,7106858,0.00,3.00,2.00,4.00,8.00,7.88,4.00,6.00,2.00,103,NULL,NULL,'JARDIM ANGELICA','CRICIÚMA','SC',13033,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7106874,5.00,7.00,2.00,7.00,8.00,10.50,2.00,7.00,3.00,216,NULL,215,'SANTINHO','FLORIANÓPOLIS','SC',7429,251,NULL,119,NULL,NULL,NULL,2,1),(28,7106890,4.00,7.00,3.00,4.00,4.00,7.13,1.00,6.00,3.00,5,NULL,NULL,'CENTRO','CANARANA','MT',8764,270,NULL,NULL,NULL,NULL,NULL,2,1),(28,7106904,4.00,5.00,3.00,7.00,5.00,9.38,5.00,5.00,4.00,103,NULL,NULL,'CENTRO','PARANAVAÍ','PR',8799,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7106939,0.00,5.00,2.00,3.00,3.00,7.13,1.00,5.00,2.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',15876,2397,NULL,NULL,NULL,NULL,NULL,4,8),(28,7106947,4.00,6.00,2.00,6.00,8.00,9.75,5.00,6.00,7.00,215,NULL,211,'SANTA MÔNICA','FLORIANÓPOLIS','SC',2260,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7106955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7106963,4.00,5.00,2.00,7.00,7.00,9.38,2.00,5.00,2.00,319,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',8610,144,NULL,NULL,NULL,NULL,NULL,4,1),(28,7106998,6.00,4.00,0.00,5.00,6.00,6.75,3.00,5.00,4.00,220,NULL,202,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',15181,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7107005,1.00,3.00,1.00,5.00,4.00,4.50,3.00,3.00,2.00,454,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19753,394,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107013,6.00,8.00,1.00,6.00,8.00,8.25,4.00,8.00,4.00,103,NULL,NULL,'JARDIM NOVA ESPERANÇ','GOIÂNIA','GO',1617,781,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'JACANÃ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7107048,3.00,8.00,5.00,5.00,5.00,8.25,4.00,5.00,3.00,203,NULL,213,'PETROPOLIS','PTO ALEGRE','RS',10956,NULL,NULL,191,NULL,NULL,NULL,4,15),(28,7107064,3.00,7.00,1.00,6.00,8.00,7.88,6.00,6.00,4.00,238,NULL,220,'BELA VISTA I','S JOSÉ','SC',6783,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107080,4.00,7.00,2.00,6.00,7.00,7.50,3.00,4.00,3.00,103,NULL,NULL,'INTERIOR','QUILOMBO','SC',9683,2050,NULL,NULL,NULL,NULL,NULL,2,9),(28,7107099,6.00,7.00,5.00,8.00,8.00,10.13,7.00,6.00,3.00,320,NULL,NULL,'NOVO CAMPECHE','FLORIANÓPOLIS','SC',2453,1,NULL,NULL,NULL,NULL,NULL,1,1),(28,7107110,4.00,7.00,2.00,6.00,7.00,8.63,2.00,5.00,3.00,601,NULL,214,'GUANABARA','JOINVILLE','SC',11408,334,NULL,277,NULL,NULL,NULL,4,8),(28,7107129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7107137,4.00,6.00,4.00,7.00,8.00,7.50,3.00,4.00,1.00,103,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',8003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7107145,5.00,7.00,4.00,5.00,10.00,8.25,6.00,8.00,6.00,415,NULL,NULL,'SUMARÉ','RIO SUL','SC',1111,6,NULL,NULL,NULL,NULL,NULL,4,24),(28,7107153,3.00,0.00,2.00,6.00,7.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7107161,4.00,6.00,2.00,7.00,7.00,8.25,3.00,7.00,2.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',7468,1827,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107188,3.00,5.00,0.00,2.00,3.00,NULL,0.00,3.00,1.00,501,NULL,NULL,'JARDIM SAO FRANCISCO','JAÚ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107196,5.00,7.00,4.00,7.00,5.00,8.25,5.00,7.00,5.00,103,NULL,NULL,'ALTO BIGUAÇU','BIGUAÇU','SC',4095,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107200,1.00,5.00,1.00,6.00,6.00,7.88,2.00,4.00,4.00,655,NULL,201,'CENTRO','S JOÃO OESTE','SC',9917,46,NULL,NULL,NULL,NULL,NULL,4,4),(28,7107226,0.00,3.00,2.00,4.00,2.00,NULL,0.00,2.00,2.00,501,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107234,0.00,3.00,0.00,3.00,4.00,5.63,3.00,2.00,2.00,316,NULL,NULL,'VIAL NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7107242,2.00,7.00,3.00,7.00,8.00,9.75,2.00,7.00,3.00,303,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',9400,389,NULL,NULL,NULL,NULL,NULL,4,1),(28,7107250,3.00,6.00,3.00,5.00,6.00,8.63,3.00,4.00,2.00,208,NULL,NULL,'JD CIDADE DE FPOLIS','S JOSÉ','SC',14443,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107277,2.00,7.00,1.00,6.00,8.00,10.50,5.00,6.00,2.00,203,NULL,220,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',4385,307,NULL,129,NULL,NULL,NULL,4,1),(28,7107285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,202,'JARDIM PRIMAVERA','CAÇAPAVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7107293,0.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7107307,1.00,6.00,2.00,2.00,5.00,6.00,1.00,5.00,1.00,331,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',14307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7107340,4.00,6.00,2.00,6.00,7.00,6.75,3.00,6.00,4.00,501,NULL,NULL,'SANTO ANTÔNIO','CONCÓRDIA','SC',9141,34,NULL,NULL,NULL,NULL,NULL,2,26),(28,7107374,5.00,7.00,2.00,6.00,7.00,6.00,4.00,7.00,6.00,310,NULL,NULL,'SÃO DOMINGOS','PAULÍNIA','SP',4017,7,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107382,2.00,5.00,1.00,4.00,7.00,7.50,2.00,6.00,3.00,601,NULL,NULL,'TABULEIRO','BARRA VELHA','SC',10900,309,NULL,NULL,NULL,NULL,NULL,4,1),(28,7107390,2.00,6.00,3.00,6.00,5.00,7.50,1.00,5.00,1.00,201,NULL,207,'CENTRO','MANGUEIRINHA','PR',11807,760,NULL,541,NULL,NULL,NULL,4,4),(28,7107404,1.00,4.00,4.00,4.00,6.00,8.25,1.00,5.00,4.00,652,NULL,655,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',17294,79,NULL,NULL,NULL,NULL,NULL,2,15),(28,7107439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,213,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7107447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CAIEIRA SACO LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7107455,7.00,8.00,3.00,7.00,8.00,9.00,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','GASPAR','SC',3064,1152,NULL,NULL,NULL,NULL,NULL,4,2),(28,7107463,1.00,5.00,1.00,5.00,7.00,9.75,4.00,5.00,4.00,109,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',11309,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7107471,4.00,6.00,3.00,6.00,8.00,8.25,2.00,5.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6888,217,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7107501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CARVALHO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7107510,2.00,5.00,3.00,5.00,6.00,5.25,1.00,5.00,3.00,404,NULL,NULL,'SÃO FRANCISCO','MISSAL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107552,0.00,4.00,1.00,2.00,5.00,5.25,3.00,3.00,3.00,110,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107560,0.00,2.00,1.00,2.00,1.00,NULL,1.00,3.00,0.00,551,NULL,NULL,'INTERIOR','S JOSÉ CERRITO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7107587,3.00,6.00,3.00,4.00,2.00,NULL,3.00,4.00,4.00,601,NULL,211,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7107609,0.00,4.00,3.00,5.00,4.00,NULL,3.00,3.00,3.00,324,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107617,1.00,3.00,1.00,6.00,4.00,6.75,1.00,2.00,1.00,9,NULL,NULL,'ZONA RURAL','AT BELA VISTA','SC',18360,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107625,3.00,7.00,0.00,7.00,8.00,7.13,0.00,4.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15564,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7107641,1.00,3.00,3.00,6.00,5.00,6.00,3.00,4.00,1.00,208,NULL,NULL,'RURAL','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7107668,3.00,7.00,3.00,5.00,9.00,12.38,2.00,5.00,4.00,211,NULL,215,'CAPOEIRAS','FLORIANÓPOLIS','SC',5513,138,NULL,81,NULL,NULL,NULL,4,1),(28,7107676,7.00,8.00,4.00,6.00,9.00,9.00,3.00,6.00,6.00,3,NULL,NULL,'SÃO JOÃO CLÍMACO','S PAULO','SP',1921,3,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107706,0.00,5.00,3.00,2.00,3.00,6.75,1.00,5.00,1.00,328,NULL,NULL,'FORTALEZA DA BARRA','FLORIANÓPOLIS','SC',19735,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7107714,2.00,5.00,1.00,7.00,7.00,9.75,3.00,3.00,4.00,201,NULL,NULL,'ESPINHEIROS','ITAJAÍ','SC',9798,668,NULL,NULL,NULL,NULL,NULL,2,6),(28,7107749,3.00,7.00,4.00,6.00,7.00,8.63,2.00,6.00,3.00,212,NULL,653,'RIO TAVARES','FLORIANÓPOLIS','SC',7451,229,NULL,81,NULL,NULL,NULL,4,1),(28,7107757,0.00,4.00,1.00,3.00,1.00,NULL,2.00,1.00,3.00,302,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107765,1.00,4.00,0.00,3.00,3.00,NULL,0.00,2.00,2.00,203,NULL,601,'CENTRO','S DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7107773,5.00,6.00,2.00,6.00,7.00,7.50,3.00,6.00,4.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9254,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7107781,1.00,4.00,1.00,6.00,3.00,6.75,2.00,4.00,1.00,211,NULL,238,'IPIRANGA','S JOSÉ','SC',18998,423,NULL,329,NULL,NULL,NULL,2,1),(28,7107790,4.00,6.00,0.00,5.00,6.00,7.13,3.00,3.00,3.00,103,NULL,NULL,'JARDIM IRAJA','S BERNARDO CAMPO','SP',9655,2048,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107811,2.00,6.00,1.00,6.00,7.00,6.75,1.00,7.00,2.00,103,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',10444,2102,NULL,NULL,NULL,NULL,NULL,2,5),(28,7107820,5.00,6.00,3.00,6.00,4.00,9.75,5.00,4.00,2.00,318,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13309,92,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107838,1.00,4.00,1.00,4.00,8.00,9.00,2.00,5.00,4.00,340,NULL,NULL,'IPIRANGA','S JOSÉ','SC',11633,321,NULL,NULL,NULL,NULL,NULL,4,1),(28,7107846,2.00,7.00,1.00,7.00,6.00,7.50,3.00,7.00,2.00,601,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',8900,229,NULL,NULL,NULL,NULL,NULL,2,8),(28,7107854,3.00,5.00,1.00,5.00,3.00,7.88,3.00,5.00,4.00,233,NULL,235,'JARDIM SÃO MIGUEL','BIGUAÇU','SC',16549,328,NULL,263,NULL,NULL,NULL,2,1),(28,7107862,6.00,8.00,5.00,6.00,9.00,9.38,4.00,6.00,4.00,103,NULL,NULL,'MOEMA','ITAIÓPOLIS','SC',1752,819,NULL,NULL,NULL,NULL,NULL,2,2),(28,7107870,3.00,8.00,5.00,5.00,9.00,8.25,4.00,6.00,4.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7321,119,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7107897,1.00,6.00,3.00,6.00,7.00,8.63,5.00,6.00,3.00,5,NULL,NULL,'SÃO JOÃO CLIMACO','S PAULO','SP',6945,218,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107900,4.00,7.00,1.00,7.00,8.00,11.63,2.00,5.00,4.00,104,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5316,98,NULL,NULL,NULL,NULL,NULL,4,1),(28,7107935,0.00,6.00,1.00,4.00,5.00,10.88,2.00,6.00,3.00,427,NULL,424,'CAMPECHE','FLORIANÓPOLIS','SC',16548,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7107943,2.00,6.00,1.00,4.00,4.00,9.00,2.00,2.00,3.00,216,NULL,233,'LUZITANI','QUEDAS IGUAÇU','PR',10726,330,NULL,253,NULL,NULL,NULL,4,4),(28,7107951,1.00,6.00,4.00,5.00,8.00,8.25,6.00,4.00,3.00,503,NULL,NULL,'CENTRO','CRICIÚMA','SC',7235,3,NULL,NULL,NULL,NULL,NULL,2,5),(28,7107960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7107978,1.00,4.00,1.00,5.00,7.00,7.13,1.00,2.00,3.00,333,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18589,117,NULL,NULL,NULL,NULL,NULL,2,1),(28,7107986,1.00,0.00,4.00,1.00,2.00,NULL,0.00,1.00,1.00,308,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7108010,4.00,6.00,2.00,6.00,6.00,9.75,3.00,4.00,5.00,102,NULL,NULL,'CORVETA','ARAQUARI','SC',10636,96,NULL,NULL,NULL,NULL,NULL,2,1),(28,7108036,2.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,213,NULL,233,'BALNEARIO ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7108044,3.00,5.00,3.00,6.00,5.00,6.00,4.00,4.00,4.00,207,NULL,201,'FLORESTA','CONCÓRDIA','SC',11677,532,NULL,755,NULL,NULL,NULL,2,1),(28,7108052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7108060,7.00,7.00,4.00,6.00,9.00,11.25,5.00,6.00,6.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',1201,638,NULL,NULL,NULL,NULL,NULL,4,1),(28,7108079,3.00,6.00,3.00,6.00,7.00,10.13,5.00,5.00,3.00,318,NULL,NULL,'CENTRO','CRICIÚMA','SC',10685,71,NULL,NULL,NULL,NULL,NULL,4,5),(28,7108087,1.00,3.00,2.00,2.00,6.00,8.63,2.00,4.00,3.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',18658,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7108095,1.00,4.00,3.00,2.00,5.00,6.00,3.00,3.00,0.00,655,NULL,653,'AGOSTINI','S MIGUEL OESTE','SC',19655,132,NULL,212,NULL,NULL,NULL,4,27),(28,7108109,2.00,8.00,4.00,6.00,7.00,9.00,3.00,7.00,4.00,451,NULL,NULL,'PRAIA BRAVA','FLORIANÓPOLIS','SC',8591,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7108117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,601,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7108125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM AMÉRICA','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7108133,4.00,5.00,1.00,5.00,4.00,7.88,1.00,5.00,3.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16714,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7108150,4.00,7.00,5.00,6.00,5.00,6.75,3.00,5.00,5.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',4605,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7108184,1.00,2.00,2.00,6.00,6.00,8.25,2.00,2.00,0.00,340,NULL,NULL,'CENTRO','BAL PINHAL','RS',14652,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7108192,0.00,3.00,3.00,2.00,4.00,NULL,0.00,3.00,3.00,652,NULL,NULL,'CANIVETE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7108230,2.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7108249,4.00,7.00,2.00,5.00,8.00,7.88,3.00,6.00,2.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',7137,1781,NULL,NULL,NULL,NULL,NULL,4,8),(28,7108265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7108273,1.00,3.00,1.00,5.00,3.00,5.63,1.00,4.00,2.00,201,NULL,207,'INDIANÓPOLIS','TRAMANDAÍ','RS',17866,987,NULL,757,NULL,NULL,NULL,2,1),(28,7108281,0.00,5.00,2.00,5.00,5.00,6.75,2.00,5.00,2.00,207,NULL,211,'BOM VIVER','BIGUAÇU','SC',14554,643,NULL,365,NULL,NULL,NULL,2,1),(28,7108290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7108303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7108311,5.00,8.00,2.00,6.00,8.00,6.00,6.00,5.00,4.00,207,NULL,211,'PRIMEIRO DE MAIO','BRUSQUE','SC',4460,188,NULL,110,NULL,NULL,NULL,2,22),(28,7108320,3.00,3.00,2.00,1.00,3.00,4.88,1.00,4.00,3.00,220,NULL,235,'JABOTIANA','ARACAJU','SE',19919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7108338,0.00,1.00,2.00,3.00,2.00,NULL,0.00,2.00,3.00,655,NULL,235,'KOBRASOL II','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7108346,6.00,7.00,5.00,7.00,7.00,8.63,7.00,6.00,6.00,212,NULL,201,'UNIVERSITARIO','LAGES','SC',853,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7108362,4.00,6.00,1.00,6.00,7.00,6.38,5.00,5.00,5.00,211,NULL,213,'BAIRRO IPIRANGA','S JOSÉ','SC',7140,NULL,NULL,120,NULL,NULL,NULL,4,1),(28,7108370,3.00,5.00,3.00,6.00,5.00,7.50,1.00,4.00,3.00,316,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',17435,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7108397,6.00,8.00,1.00,7.00,10.00,10.13,4.00,7.00,5.00,103,NULL,NULL,'JARDIM BELA VISTA','ITAPIRANGA','SC',1151,620,NULL,NULL,NULL,NULL,NULL,4,4),(28,7108419,5.00,8.00,0.00,7.00,10.00,6.75,2.00,5.00,4.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',6770,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7108427,0.00,1.00,3.00,3.00,4.00,NULL,1.00,3.00,0.00,203,NULL,214,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7108443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7108460,4.00,5.00,1.00,5.00,8.00,10.13,2.00,7.00,3.00,318,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',7550,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7108478,0.00,4.00,1.00,4.00,3.00,NULL,0.00,5.00,1.00,415,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7108494,3.00,5.00,1.00,5.00,8.00,8.63,3.00,4.00,5.00,216,NULL,201,'CENTRO','VIDAL RAMOS','SC',7998,266,NULL,NULL,NULL,NULL,NULL,2,24),(28,7108516,3.00,4.00,3.00,6.00,6.00,7.13,5.00,5.00,3.00,327,NULL,NULL,'FLORESTA','S JOSÉ','SC',10622,22,NULL,NULL,NULL,NULL,NULL,2,1),(28,7108532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7108540,5.00,8.00,2.00,4.00,6.00,9.75,3.00,6.00,2.00,103,NULL,NULL,'SANTA HELENA','PRES PRUDENTE','SP',6843,1738,NULL,NULL,NULL,NULL,NULL,4,1),(28,7108559,5.00,4.00,3.00,3.00,4.00,5.25,1.00,4.00,2.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',18193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7108567,5.00,7.00,4.00,4.00,9.00,7.13,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',2088,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7108575,3.00,5.00,5.00,4.00,5.00,9.00,4.00,5.00,2.00,451,NULL,NULL,'SÃO CRISTÓVÃO','PLANALTO','RS',13846,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7108613,0.00,3.00,1.00,6.00,3.00,3.00,0.00,5.00,2.00,552,NULL,NULL,'EUG SCHENEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7108630,5.00,4.00,4.00,4.00,5.00,8.63,3.00,5.00,4.00,201,NULL,601,'ITACORUBI','FLORIANÓPOLIS','SC',10005,NULL,NULL,275,NULL,NULL,NULL,2,1),(28,7108648,1.00,3.00,2.00,5.00,4.00,8.25,2.00,6.00,3.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',17651,262,NULL,NULL,NULL,NULL,NULL,2,1),(28,7108656,3.00,6.00,2.00,6.00,8.00,11.63,5.00,6.00,3.00,207,NULL,201,'JARDIM PORTO ALEGRE','TOLEDO','PR',3094,113,NULL,233,NULL,NULL,NULL,4,4),(28,7108664,3.00,6.00,0.00,7.00,8.00,9.75,3.00,5.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6235,203,NULL,NULL,NULL,NULL,NULL,4,1),(28,7108672,5.00,7.00,3.00,7.00,9.00,12.00,5.00,8.00,7.00,303,NULL,NULL,'SANTA MARIA','LAGES','SC',1586,74,NULL,NULL,NULL,NULL,NULL,4,9),(28,7108680,4.00,8.00,1.00,5.00,5.00,7.13,3.00,7.00,5.00,552,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',6250,7,NULL,NULL,NULL,NULL,NULL,2,1),(28,7108702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JD PAULISTA','STA BÁRBARA D OESTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7108710,3.00,6.00,3.00,6.00,8.00,10.88,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','ESPIGÃO AT IGUAÇU','PR',3701,1268,NULL,NULL,NULL,NULL,NULL,2,8),(28,7108729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM TROPICAL','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7108745,0.00,9.00,2.00,2.00,8.00,6.38,4.00,8.00,2.00,213,NULL,601,'SANTA RITA','LAGES','SC',9024,159,NULL,236,NULL,NULL,NULL,4,9),(28,7108753,1.00,4.00,0.00,7.00,3.00,5.25,3.00,5.00,3.00,340,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',18433,420,NULL,NULL,NULL,NULL,NULL,2,1),(28,7108761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'VARZEA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7108770,3.00,8.00,2.00,7.00,8.00,8.25,4.00,5.00,4.00,303,NULL,NULL,'NOSSA SR DO ROSÁRIO','S JOSÉ','SC',5138,237,NULL,NULL,NULL,NULL,NULL,4,1),(28,7108796,2.00,2.00,2.00,1.00,1.00,NULL,0.00,2.00,1.00,238,NULL,652,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7108800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7108818,1.00,4.00,2.00,1.00,5.00,6.00,2.00,4.00,2.00,212,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',19862,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7108834,0.00,1.00,1.00,1.00,2.00,NULL,0.00,1.00,2.00,652,NULL,655,'VILA BEATRIZ','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,15),(28,7108850,2.00,4.00,3.00,5.00,5.00,10.50,1.00,5.00,2.00,103,NULL,NULL,'INTERIOR','RONDINHA','RS',11333,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7108869,4.00,5.00,2.00,7.00,7.00,11.25,1.00,6.00,3.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5162,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7108885,4.00,6.00,2.00,6.00,2.00,NULL,2.00,6.00,6.00,220,NULL,235,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7108893,0.00,4.00,1.00,5.00,5.00,NULL,2.00,5.00,0.00,207,NULL,201,'OPERÁRIA','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(28,7108907,6.00,7.00,1.00,5.00,8.00,7.88,5.00,8.00,6.00,103,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',4778,1459,NULL,NULL,NULL,NULL,NULL,4,1),(28,7108915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LARANJEIRAS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7108940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7108958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'GONZAGA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7108974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7108982,0.00,0.00,2.00,4.00,2.00,NULL,1.00,3.00,1.00,203,NULL,220,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7108990,1.00,1.00,0.00,0.00,3.00,NULL,0.00,2.00,0.00,109,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109008,0.00,7.00,3.00,3.00,5.00,6.75,0.00,5.00,2.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109024,2.00,6.00,1.00,6.00,5.00,8.25,4.00,5.00,4.00,333,NULL,NULL,'AREIAS','S JOSÉ','SC',10978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109059,2.00,4.00,1.00,5.00,7.00,8.63,1.00,4.00,2.00,202,NULL,214,'PONTE DO IMARUIM','PALHOÇA','SC',13197,317,NULL,302,NULL,NULL,NULL,4,1),(28,7109075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7109083,3.00,4.00,2.00,5.00,3.00,5.25,3.00,4.00,3.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109113,2.00,4.00,0.00,2.00,4.00,8.25,2.00,4.00,2.00,310,NULL,NULL,'CENTRO','OLÍMPIA','SP',19435,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109121,1.00,5.00,4.00,6.00,7.00,7.13,4.00,6.00,3.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13705,2286,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109130,2.00,6.00,1.00,7.00,4.00,7.50,3.00,4.00,3.00,303,NULL,NULL,'INTERIOR','CAXAMBU SUL','SC',10665,430,NULL,NULL,NULL,NULL,NULL,2,4),(28,7109148,3.00,7.00,2.00,5.00,5.00,9.38,3.00,6.00,4.00,103,NULL,NULL,'BATEL','CURITIBA','PR',5746,1596,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109156,0.00,6.00,1.00,3.00,3.00,NULL,2.00,3.00,2.00,207,NULL,201,'ARVORE GRANDE','POUSO ALEGRE','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7109164,1.00,5.00,0.00,2.00,7.00,8.25,4.00,5.00,3.00,552,NULL,NULL,'IPIRA','IPIRA','SC',13370,75,NULL,NULL,NULL,NULL,NULL,2,26),(28,7109199,5.00,5.00,2.00,6.00,5.00,7.50,5.00,6.00,5.00,319,NULL,NULL,'AREIAS','S JOSÉ','SC',6054,97,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109210,3.00,7.00,1.00,7.00,9.00,10.50,4.00,5.00,2.00,104,NULL,NULL,'GLÓRIA','JOINVILLE','SC',8693,207,NULL,NULL,NULL,NULL,NULL,4,8),(28,7109237,0.00,4.00,2.00,5.00,7.00,4.88,0.00,3.00,3.00,234,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',19578,65,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109253,1.00,6.00,2.00,6.00,3.00,6.00,2.00,5.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18880,480,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109261,1.00,7.00,1.00,5.00,5.00,7.50,3.00,5.00,1.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17480,126,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109270,6.00,8.00,1.00,7.00,10.00,6.75,2.00,7.00,4.00,415,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',3894,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109288,2.00,5.00,3.00,6.00,6.00,6.75,1.00,4.00,2.00,5,NULL,NULL,'JARDIM SÃO CARLOS','SOROCABA','SP',11861,339,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109296,4.00,6.00,2.00,7.00,7.00,9.38,4.00,8.00,2.00,404,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',8829,2,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109300,2.00,6.00,1.00,6.00,8.00,9.00,3.00,5.00,2.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',8398,108,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,23),(28,7109350,0.00,4.00,5.00,5.00,2.00,NULL,3.00,3.00,1.00,212,NULL,235,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109369,5.00,9.00,2.00,8.00,7.00,5.63,4.00,8.00,5.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',5477,1567,NULL,NULL,NULL,NULL,NULL,4,6),(28,7109377,6.00,6.00,3.00,6.00,7.00,10.13,5.00,6.00,6.00,201,NULL,203,'CENTRO','MEDIANEIRA','PR',2095,145,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109407,1.00,5.00,2.00,6.00,4.00,5.63,2.00,4.00,3.00,203,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',18470,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7109431,3.00,6.00,0.00,7.00,8.00,0.00,5.00,7.00,3.00,103,NULL,NULL,'AMARANTE','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109440,2.00,6.00,5.00,4.00,8.00,8.63,5.00,6.00,7.00,216,NULL,233,'PALMAS DO TREMEMBÉ','S PAULO','SP',4467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109458,0.00,5.00,2.00,6.00,6.00,8.63,3.00,3.00,5.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',10661,490,NULL,314,NULL,NULL,NULL,2,1),(28,7109466,2.00,8.00,2.00,6.00,7.00,8.25,3.00,7.00,1.00,201,NULL,203,'VISTA ALEGRE','CONCÓRDIA','SC',13396,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7109474,2.00,3.00,2.00,5.00,7.00,6.38,1.00,5.00,3.00,501,NULL,NULL,'BARNABÉ','VIDAL RAMOS','SC',14531,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7109490,0.00,4.00,1.00,2.00,4.00,NULL,0.00,3.00,2.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109512,3.00,6.00,2.00,3.00,7.00,7.50,2.00,6.00,4.00,103,NULL,NULL,'SAO PEDRO','BRUSQUE','SC',13807,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7109520,4.00,8.00,0.00,5.00,8.00,7.88,2.00,6.00,3.00,303,NULL,NULL,'TOBIAS','JOAÇABA','SC',7687,340,NULL,NULL,NULL,NULL,NULL,4,7),(28,7109539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7109563,6.00,7.00,3.00,6.00,9.00,9.38,3.00,5.00,7.00,415,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',2194,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109571,4.00,8.00,2.00,7.00,8.00,7.88,4.00,7.00,4.00,211,NULL,NULL,'CENTRO','CAÇADOR','SC',4001,99,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109580,1.00,6.00,2.00,5.00,4.00,6.00,1.00,3.00,3.00,316,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',19125,281,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109598,5.00,6.00,1.00,5.00,8.00,8.25,3.00,6.00,5.00,104,NULL,NULL,'CENTRO','CHAPECÓ','SC',5856,115,NULL,NULL,NULL,NULL,NULL,4,4),(28,7109628,5.00,9.00,3.00,5.00,6.00,9.75,5.00,8.00,3.00,303,NULL,NULL,'CENTRO','ARARANGUÁ','SC',5277,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7109636,2.00,7.00,2.00,6.00,4.00,9.00,2.00,6.00,2.00,3,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14193,67,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109644,1.00,6.00,1.00,5.00,6.00,6.75,3.00,7.00,2.00,326,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',16278,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109652,4.00,7.00,1.00,5.00,4.00,3.00,2.00,7.00,5.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109660,1.00,4.00,2.00,7.00,6.00,NULL,1.00,4.00,0.00,201,NULL,207,'CENTRO','IMARUÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7109709,1.00,3.00,3.00,4.00,4.00,6.00,1.00,1.00,2.00,303,NULL,NULL,'CENTRO','TRÊS CACHOEIRAS','RS',17717,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7109717,2.00,3.00,3.00,4.00,5.00,6.75,3.00,3.00,4.00,336,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17004,88,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109725,6.00,8.00,3.00,6.00,7.00,7.50,2.00,4.00,3.00,108,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',7803,97,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109733,2.00,4.00,0.00,2.00,2.00,NULL,5.00,4.00,2.00,103,NULL,NULL,'SEM BAIRRO','IPUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7109741,2.00,6.00,4.00,6.00,5.00,7.13,2.00,3.00,3.00,454,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',16048,325,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109776,0.00,6.00,1.00,3.00,6.00,5.25,0.00,5.00,1.00,3,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',19651,92,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109784,1.00,3.00,3.00,3.00,4.00,5.25,1.00,2.00,2.00,301,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109792,2.00,2.00,2.00,6.00,3.00,4.50,0.00,5.00,3.00,203,NULL,235,'CENTRO','FRANCISCO BELTRÃO','PR',14403,630,NULL,230,NULL,NULL,NULL,4,1),(28,7109806,3.00,6.00,3.00,5.00,7.00,9.00,6.00,6.00,6.00,5,NULL,NULL,'MATO QUEIMADO','NOVA TRENTO','SC',3593,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109814,0.00,2.00,0.00,2.00,4.00,NULL,0.00,5.00,1.00,999,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109822,1.00,5.00,3.00,5.00,8.00,8.63,2.00,5.00,1.00,316,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',16059,211,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109830,1.00,4.00,1.00,6.00,5.00,9.00,3.00,5.00,2.00,211,NULL,207,'RIO BRANCO','S LEOPOLDO','RS',15858,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7109849,1.00,6.00,3.00,7.00,8.00,8.63,2.00,5.00,4.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',6851,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7109857,3.00,5.00,2.00,6.00,7.00,7.50,3.00,5.00,4.00,207,NULL,201,'DAS NAÇÕES','TIMBÓ','SC',7952,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7109865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7109873,2.00,5.00,3.00,5.00,9.00,10.50,3.00,3.00,4.00,203,NULL,235,'PONTE DO IMARUIM','PALHOÇA','SC',6306,406,NULL,108,NULL,NULL,NULL,4,1),(28,7109881,2.00,2.00,0.00,5.00,1.00,NULL,1.00,4.00,3.00,450,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7109890,3.00,6.00,3.00,7.00,7.00,9.00,5.00,7.00,4.00,212,NULL,201,'BARREIROS','S JOSÉ','SC',8689,260,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109903,3.00,7.00,4.00,7.00,10.00,9.75,5.00,6.00,5.00,201,NULL,207,'RIO BRANCO','PTO ALEGRE','RS',1507,92,NULL,42,NULL,NULL,NULL,2,26),(28,7109911,2.00,6.00,2.00,6.00,4.00,7.50,4.00,5.00,6.00,203,NULL,NULL,'CENTRO','RIO SUL','SC',12451,594,NULL,NULL,NULL,NULL,NULL,2,24),(28,7109920,2.00,9.00,1.00,6.00,5.00,NULL,0.00,4.00,2.00,235,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7109938,2.00,7.00,2.00,6.00,4.00,7.88,0.00,5.00,2.00,103,NULL,NULL,'BRÁS','S PAULO','SP',10331,2094,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109946,3.00,6.00,3.00,5.00,6.00,10.13,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4337,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7109954,2.00,7.00,4.00,7.00,8.00,8.25,4.00,6.00,3.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109962,5.00,7.00,3.00,6.00,8.00,10.13,3.00,6.00,6.00,340,NULL,NULL,'MICHEL','CRICIÚMA','SC',2272,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109970,1.00,5.00,1.00,3.00,5.00,7.13,2.00,3.00,1.00,203,NULL,201,'CENTRO','CRICIÚMA','SC',15916,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7109989,3.00,7.00,2.00,7.00,7.00,10.13,7.00,7.00,5.00,450,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',3311,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7109997,4.00,5.00,2.00,3.00,6.00,3.00,2.00,4.00,3.00,208,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110006,1.00,4.00,0.00,4.00,4.00,6.75,2.00,3.00,1.00,454,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19545,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110014,1.00,2.00,1.00,5.00,4.00,4.50,3.00,1.00,2.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',17737,243,NULL,NULL,NULL,NULL,NULL,2,1),(28,7110022,2.00,7.00,2.00,6.00,6.00,9.00,2.00,4.00,5.00,421,NULL,424,'CENTRO','CRICIÚMA','SC',7294,1,NULL,NULL,NULL,NULL,NULL,4,5),(28,7110049,3.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7110057,4.00,7.00,1.00,7.00,9.00,5.63,4.00,6.00,4.00,104,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',6582,141,NULL,NULL,NULL,NULL,NULL,2,1),(28,7110065,2.00,8.00,4.00,4.00,6.00,7.13,2.00,1.00,2.00,201,NULL,202,'JARDIM ITALIA','IPORÃ OESTE','SC',13280,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7110073,0.00,6.00,1.00,3.00,5.00,7.50,1.00,2.00,1.00,103,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',16848,2430,NULL,NULL,NULL,NULL,NULL,4,2),(28,7110081,1.00,4.00,1.00,3.00,4.00,4.88,1.00,2.00,2.00,203,NULL,NULL,'NAÇÕES','FRAIBURGO','SC',19968,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7110090,1.00,5.00,1.00,4.00,3.00,7.13,2.00,4.00,2.00,216,NULL,NULL,'GLÓRIA','BLUMENAU','SC',19342,451,NULL,NULL,NULL,NULL,NULL,4,2),(28,7110103,4.00,7.00,2.00,7.00,6.00,7.50,2.00,6.00,3.00,404,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',11626,11,NULL,NULL,NULL,NULL,NULL,2,1),(28,7110111,3.00,8.00,3.00,5.00,5.00,10.13,2.00,5.00,3.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11378,151,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110138,2.00,6.00,4.00,7.00,10.00,10.88,6.00,7.00,5.00,415,NULL,NULL,'KOBRASOL','S JOSÉ','SC',1452,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110146,5.00,6.00,3.00,6.00,4.00,6.00,4.00,5.00,5.00,203,NULL,233,'CENTRO','MARINGÁ','PR',10234,541,NULL,242,NULL,NULL,NULL,4,3),(28,7110154,1.00,4.00,2.00,5.00,5.00,8.63,1.00,4.00,3.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',17943,583,NULL,NULL,NULL,NULL,NULL,2,1),(28,7110170,2.00,4.00,2.00,6.00,5.00,6.38,2.00,3.00,3.00,552,NULL,NULL,'CIDADE ALTA','STA HELENA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7110189,2.00,7.00,3.00,6.00,8.00,9.00,3.00,6.00,6.00,304,NULL,NULL,'CENTRO','CPO BOM','RS',4543,17,NULL,NULL,NULL,NULL,NULL,4,4),(28,7110197,3.00,7.00,3.00,6.00,7.00,9.38,4.00,7.00,5.00,203,NULL,214,'VILA ROSA','NOVO HAMBURGO','RS',3137,229,NULL,113,NULL,NULL,NULL,4,15),(28,7110200,4.00,9.00,2.00,7.00,8.00,9.75,4.00,6.00,5.00,426,NULL,425,'ANA LÚCIA','SABARÁ','MG',4295,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110219,2.00,4.00,1.00,7.00,6.00,8.25,1.00,6.00,3.00,340,NULL,NULL,'JD VIOLETAS','SINOP','MT',10825,298,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110227,1.00,5.00,3.00,7.00,4.00,7.88,0.00,3.00,3.00,503,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',17963,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7110235,1.00,7.00,4.00,7.00,6.00,8.25,6.00,6.00,5.00,235,NULL,202,'SÃO JOSÉ','ARACAJU','SE',3501,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110243,1.00,5.00,1.00,6.00,4.00,7.13,5.00,5.00,4.00,201,NULL,203,'JARDIN DAS PAINEIRAS','MAL CÂNDIDO RONDON','PR',9788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110251,2.00,6.00,2.00,4.00,4.00,9.38,3.00,4.00,4.00,104,NULL,NULL,'BANZATO','MARÍLIA','SP',9267,226,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110278,4.00,2.00,3.00,6.00,6.00,7.50,0.00,4.00,3.00,425,NULL,429,'CAMPECHE','FLORIANÓPOLIS','SC',17754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7110286,4.00,6.00,4.00,7.00,6.00,9.38,3.00,6.00,6.00,104,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',3757,54,NULL,NULL,NULL,NULL,NULL,2,1),(28,7110308,0.00,2.00,3.00,4.00,3.00,NULL,2.00,5.00,3.00,316,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7110324,6.00,7.00,1.00,6.00,7.00,8.25,5.00,5.00,4.00,319,NULL,NULL,'MARAPÉ','SANTOS','SP',3916,54,NULL,NULL,NULL,NULL,NULL,4,8),(28,7110332,5.00,8.00,2.00,7.00,7.00,9.00,5.00,4.00,8.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',2894,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110340,2.00,6.00,1.00,6.00,4.00,7.88,2.00,3.00,1.00,207,NULL,201,'CENTRO','ALFREDO WAGNER','SC',14527,641,NULL,NULL,NULL,NULL,NULL,4,2),(28,7110359,5.00,6.00,2.00,6.00,8.00,7.50,4.00,6.00,5.00,340,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',8622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110367,5.00,8.00,5.00,7.00,5.00,8.25,4.00,6.00,7.00,318,NULL,NULL,'JARDIM PAULISTA','RIBEIRÃO PRETO','SP',2431,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110375,7.00,8.00,3.00,6.00,7.00,9.00,5.00,8.00,7.00,5,NULL,NULL,'JARDIM PAULISTA','RIBEIRÃO PRETO','SP',1133,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110383,1.00,5.00,2.00,2.00,5.00,6.38,2.00,5.00,4.00,211,NULL,207,'MAR GROSSO','LAGUNA','SC',13927,352,NULL,619,NULL,NULL,NULL,4,10),(28,7110391,1.00,3.00,1.00,6.00,8.00,6.75,2.00,5.00,4.00,104,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',16163,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7110405,3.00,4.00,2.00,2.00,3.00,5.63,1.00,5.00,3.00,601,NULL,216,'COSTA E SILVA','JOINVILLE','SC',19143,542,NULL,NULL,NULL,NULL,NULL,4,8),(28,7110413,2.00,8.00,3.00,6.00,6.00,8.25,6.00,5.00,6.00,220,NULL,203,'COQUEIROS','FLORIANÓPOLIS','SC',4977,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM ELITE','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7110430,1.00,4.00,1.00,2.00,3.00,0.00,3.00,1.00,1.00,308,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110448,1.00,4.00,2.00,6.00,5.00,5.25,3.00,4.00,3.00,451,NULL,NULL,'JOSÉ AMANDIO','BOMBINHAS','SC',16514,36,NULL,NULL,NULL,NULL,NULL,2,6),(28,7110456,5.00,8.00,2.00,6.00,2.00,NULL,6.00,7.00,5.00,212,NULL,NULL,'JARDIM DEL REY','POÇOS CALDAS','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110464,3.00,3.00,0.00,7.00,5.00,8.63,3.00,3.00,0.00,319,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',13422,253,NULL,NULL,NULL,NULL,NULL,4,6),(28,7110472,3.00,5.00,3.00,5.00,6.00,7.13,5.00,8.00,7.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',4815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7110480,0.00,5.00,2.00,3.00,5.00,4.88,5.00,1.00,1.00,552,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7110499,5.00,7.00,6.00,6.00,7.00,12.00,5.00,6.00,6.00,103,NULL,NULL,'PLAZA ATHENEE','ITU','SP',906,508,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110502,3.00,8.00,2.00,6.00,9.00,8.25,2.00,3.00,4.00,303,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',7385,326,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110510,4.00,8.00,1.00,6.00,9.00,3.00,5.00,6.00,3.00,552,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110529,2.00,4.00,2.00,7.00,9.00,7.50,5.00,6.00,2.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',8761,238,NULL,NULL,NULL,NULL,NULL,2,1),(28,7110537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'III PLANO','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7110553,6.00,6.00,2.00,4.00,5.00,7.88,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',9842,2060,NULL,NULL,NULL,NULL,NULL,2,10),(28,7110570,1.00,5.00,3.00,3.00,3.00,6.00,4.00,4.00,3.00,404,NULL,NULL,'CENTRO','PALHOÇA','SC',18189,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110588,2.00,7.00,3.00,6.00,8.00,6.38,4.00,8.00,7.00,103,NULL,NULL,'ITARARE','S VICENTE','SP',2884,1108,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110600,3.00,7.00,1.00,4.00,3.00,6.75,3.00,6.00,4.00,203,NULL,601,'CENTRO','CAMBORIÚ','SC',16206,NULL,NULL,477,NULL,NULL,NULL,4,3),(28,7110618,2.00,7.00,1.00,6.00,8.00,8.63,5.00,6.00,4.00,999,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7110626,4.00,8.00,2.00,6.00,9.00,10.50,3.00,8.00,6.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',2332,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7110634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'BARRO VERMELHO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7110642,3.00,4.00,3.00,2.00,1.00,NULL,2.00,2.00,3.00,109,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CENTRO','GUABIJU','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7110677,3.00,6.00,2.00,5.00,8.00,8.25,3.00,7.00,5.00,103,NULL,NULL,'SAO LUIZ','BRUSQUE','SC',6100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110707,0.00,3.00,2.00,3.00,3.00,5.25,1.00,3.00,2.00,9,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',18140,147,NULL,NULL,NULL,NULL,NULL,2,1),(28,7110723,1.00,2.00,3.00,4.00,6.00,NULL,0.00,4.00,2.00,103,NULL,NULL,'PEDRA DE AMOLAR','ILHOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7110731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'JARDIM TIJUCA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7110740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,214,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7110758,3.00,6.00,6.00,7.00,5.00,9.00,5.00,6.00,7.00,103,NULL,NULL,'PQ STA TEREZA','STA ISABEL','SP',1226,646,NULL,NULL,NULL,NULL,NULL,4,22),(28,7110766,1.00,4.00,1.00,4.00,4.00,7.13,1.00,2.00,2.00,3,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',19049,89,NULL,NULL,NULL,NULL,NULL,2,1),(28,7110774,1.00,4.00,4.00,2.00,7.00,NULL,0.00,5.00,2.00,104,NULL,NULL,'BERGER','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7110782,7.00,7.00,4.00,6.00,10.00,8.63,3.00,8.00,6.00,319,NULL,NULL,'BOQUEIRÃO','SANTOS','SP',799,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110790,2.00,5.00,0.00,5.00,8.00,6.00,1.00,5.00,4.00,203,NULL,653,'SANTA LUZIA','TUBARÃO','SC',10254,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7110804,4.00,6.00,0.00,7.00,8.00,NULL,2.00,6.00,2.00,216,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7110812,7.00,9.00,4.00,6.00,9.00,11.63,5.00,7.00,6.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',986,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110820,0.00,5.00,2.00,4.00,3.00,NULL,0.00,5.00,5.00,339,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7110839,0.00,7.00,2.00,7.00,7.00,10.13,3.00,5.00,4.00,201,NULL,202,'VILA MOEMA','TUBARÃO','SC',5140,396,NULL,147,NULL,NULL,NULL,4,10),(28,7110847,0.00,4.00,2.00,2.00,2.00,NULL,2.00,4.00,2.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7110855,1.00,7.00,5.00,3.00,5.00,8.25,4.00,7.00,2.00,103,NULL,NULL,'AVAÍ','GUARAMIRIM','SC',9521,2038,NULL,NULL,NULL,NULL,NULL,2,23),(28,7110863,2.00,3.00,2.00,2.00,2.00,NULL,0.00,4.00,2.00,454,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110871,5.00,7.00,2.00,6.00,8.00,8.63,5.00,5.00,3.00,214,NULL,601,'BOM RETIRO','JOINVILLE','SC',3946,NULL,NULL,63,NULL,NULL,NULL,4,8),(28,7110880,0.00,6.00,0.00,5.00,6.00,NULL,0.00,5.00,2.00,319,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7110901,0.00,4.00,3.00,4.00,4.00,6.38,2.00,2.00,1.00,316,NULL,NULL,'BARRREIROS','S JOSÉ','SC',18082,261,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110910,2.00,9.00,1.00,7.00,8.00,10.88,4.00,7.00,3.00,340,NULL,NULL,'PIEDADE','SALVADOR','BA',7052,187,NULL,NULL,NULL,NULL,NULL,2,1),(28,7110928,4.00,6.00,3.00,7.00,7.00,10.13,2.00,6.00,4.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',7547,1832,NULL,NULL,NULL,NULL,NULL,2,9),(28,7110936,1.00,6.00,3.00,7.00,6.00,9.00,3.00,2.00,3.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7110944,0.00,5.00,2.00,2.00,2.00,NULL,2.00,3.00,4.00,5,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7110952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7110960,0.00,2.00,2.00,2.00,4.00,8.63,0.00,3.00,1.00,655,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',20021,147,NULL,108,NULL,NULL,NULL,4,15),(28,7110979,1.00,5.00,3.00,7.00,9.00,7.13,1.00,3.00,3.00,552,NULL,NULL,'CENTRO','CURITIBANOS','SC',14488,89,NULL,NULL,NULL,NULL,NULL,4,16),(28,7110987,0.00,3.00,2.00,3.00,4.00,8.25,0.00,1.00,0.00,319,NULL,NULL,'NOVA BRASÍLIA','JARAGUÁ SUL','SC',20045,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7111002,0.00,5.00,2.00,2.00,0.00,NULL,1.00,2.00,4.00,444,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7111029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7111037,1.00,6.00,1.00,7.00,6.00,7.50,3.00,5.00,1.00,415,NULL,NULL,'ATIRADORES','JOINVILLE','SC',16870,251,NULL,NULL,NULL,NULL,NULL,4,8),(28,7111045,2.00,2.00,2.00,3.00,2.00,NULL,3.00,2.00,2.00,999,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7111053,6.00,8.00,1.00,7.00,10.00,7.88,3.00,6.00,7.00,103,NULL,NULL,'JARDIM SÃO TOMAS','LONDRINA','PR',1473,731,NULL,NULL,NULL,NULL,NULL,4,3),(28,7111061,1.00,3.00,1.00,6.00,3.00,7.88,1.00,4.00,1.00,109,NULL,NULL,'RIO DAS ANTAS','RANCHO QUEIMADO','SC',16092,66,NULL,NULL,NULL,NULL,NULL,2,1),(28,7111070,3.00,6.00,2.00,5.00,7.00,6.38,2.00,6.00,3.00,203,NULL,214,'CENTRO','CHAPECÓ','SC',10118,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7111088,3.00,7.00,2.00,4.00,7.00,11.25,0.00,7.00,3.00,102,NULL,NULL,'BOSQUE','S JOSÉ CAMPOS','SP',6803,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111096,3.00,5.00,4.00,7.00,5.00,7.50,2.00,6.00,5.00,653,NULL,NULL,'JD PORT DAS ROSAS','LIMEIRA','SP',12397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111100,3.00,6.00,2.00,4.00,6.00,10.13,5.00,4.00,3.00,103,NULL,NULL,'JD SANTA CRUZ','S PAULO','SP',7062,1768,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111118,0.00,1.00,1.00,5.00,4.00,3.00,0.00,2.00,4.00,102,NULL,NULL,'JARDIM PAINERAS','APUCARANA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7111126,5.00,8.00,6.00,5.00,7.00,8.63,5.00,5.00,5.00,201,NULL,207,'SÃO FRANCISCO','CURITIBA','PR',2350,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7111134,7.00,5.00,3.00,7.00,6.00,7.50,5.00,7.00,5.00,203,NULL,235,'PINHEIROS','PATO BRANCO','PR',3761,274,NULL,59,NULL,NULL,NULL,4,1),(28,7111142,0.00,6.00,4.00,4.00,4.00,7.50,1.00,2.00,2.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',18941,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7111150,6.00,7.00,3.00,6.00,9.00,9.00,5.00,7.00,6.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',2199,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7111169,4.00,7.00,1.00,7.00,5.00,7.88,4.00,6.00,4.00,203,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',6238,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7111177,1.00,3.00,2.00,5.00,5.00,9.00,2.00,5.00,2.00,208,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',17924,199,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'MONTE CASTELO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7111207,3.00,5.00,1.00,5.00,6.00,7.13,3.00,3.00,4.00,201,NULL,212,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',11231,736,NULL,322,NULL,NULL,NULL,2,1),(28,7111223,3.00,5.00,2.00,4.00,3.00,6.00,2.00,2.00,2.00,108,NULL,NULL,'MARAMBAIA','VINHEDO','SP',13129,184,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111231,2.00,5.00,2.00,3.00,6.00,9.75,2.00,6.00,3.00,103,NULL,NULL,'CORAL','LAGES','SC',10327,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7111240,1.00,2.00,0.00,5.00,3.00,7.50,4.00,2.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16509,2421,NULL,NULL,NULL,NULL,NULL,2,1),(28,7111258,5.00,6.00,3.00,7.00,10.00,11.25,3.00,7.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2430,1003,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111266,3.00,5.00,2.00,7.00,5.00,7.13,3.00,5.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15859,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111274,2.00,6.00,3.00,6.00,8.00,7.88,3.00,7.00,5.00,103,NULL,NULL,'JARDIM ANGELICA','CRICIÚMA','SC',8503,1949,NULL,NULL,NULL,NULL,NULL,4,5),(28,7111282,2.00,5.00,4.00,7.00,7.00,7.50,2.00,6.00,2.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15180,105,NULL,NULL,NULL,NULL,NULL,2,1),(28,7111290,3.00,4.00,2.00,5.00,4.00,4.88,4.00,2.00,3.00,317,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15456,111,NULL,NULL,NULL,NULL,NULL,2,1),(28,7111304,1.00,5.00,1.00,7.00,3.00,7.50,4.00,5.00,3.00,652,NULL,NULL,'CIDADE JARDIM','CATANDUVAS','SC',15553,57,NULL,NULL,NULL,NULL,NULL,4,7),(28,7111320,2.00,3.00,3.00,2.00,4.00,5.25,2.00,5.00,2.00,454,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',18148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7111347,1.00,6.00,3.00,5.00,6.00,7.88,2.00,7.00,3.00,303,NULL,NULL,'ENSEADA DO BRITO','PALHOÇA','SC',9904,404,NULL,NULL,NULL,NULL,NULL,2,1),(28,7111363,6.00,7.00,5.00,6.00,10.00,11.63,4.00,8.00,6.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',713,434,NULL,NULL,NULL,NULL,NULL,3,1),(28,7111371,1.00,0.00,3.00,3.00,2.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO PARANÁ','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(28,7111398,4.00,6.00,1.00,3.00,5.00,8.25,3.00,3.00,2.00,552,NULL,NULL,'CENTRO','ABDON BATISTA','SC',12902,66,NULL,NULL,NULL,NULL,NULL,4,16),(28,7111410,1.00,3.00,3.00,5.00,5.00,5.25,3.00,2.00,2.00,444,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',19378,138,NULL,NULL,NULL,NULL,NULL,2,1),(28,7111428,4.00,7.00,2.00,7.00,9.00,7.88,3.00,4.00,5.00,233,NULL,215,'CAMPECHE','FLORIANÓPOLIS','SC',7832,200,NULL,124,NULL,NULL,NULL,4,1),(28,7111436,1.00,7.00,3.00,6.00,3.00,7.13,2.00,8.00,1.00,329,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16621,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111444,5.00,7.00,6.00,6.00,7.00,7.88,5.00,6.00,7.00,203,NULL,214,'CARVOEIRA','FLORIANÓPOLIS','SC',1976,171,NULL,67,NULL,NULL,NULL,4,1),(28,7111452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7111460,0.00,3.00,2.00,1.00,4.00,7.13,2.00,3.00,2.00,454,NULL,NULL,'BARREIROS','S JOSÉ','SC',19954,399,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111487,2.00,5.00,3.00,4.00,8.00,8.25,2.00,4.00,2.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',10788,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111495,1.00,2.00,3.00,1.00,1.00,NULL,2.00,1.00,1.00,308,NULL,NULL,'VARGEM GRANDE','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111509,6.00,7.00,4.00,7.00,7.00,8.63,3.00,5.00,5.00,103,NULL,NULL,'CIDADE UNIVERSITARIA','CAMPINAS','SP',4149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111517,0.00,4.00,2.00,0.00,4.00,7.50,4.00,4.00,3.00,207,NULL,201,'CAMILÓPOLIS','STO ANDRÉ','SP',19001,795,NULL,1029,NULL,NULL,NULL,4,1),(28,7111533,3.00,6.00,2.00,5.00,8.00,8.25,2.00,3.00,1.00,429,NULL,NULL,'SERRARIA','S JOSÉ','SC',15482,28,NULL,NULL,NULL,NULL,NULL,2,1),(28,7111576,2.00,8.00,2.00,7.00,9.00,6.00,3.00,4.00,5.00,309,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',11224,6,NULL,NULL,NULL,NULL,NULL,2,1),(28,7111592,3.00,6.00,3.00,6.00,7.00,9.38,3.00,7.00,3.00,103,NULL,NULL,'CENTRO','PALMAS','TO',5284,1539,NULL,NULL,NULL,NULL,NULL,2,8),(28,7111606,2.00,5.00,2.00,3.00,4.00,8.25,3.00,1.00,1.00,207,NULL,215,'MENINO DEUS','LUCAS R VERDE','MT',18962,792,NULL,287,NULL,NULL,NULL,2,1),(28,7111614,1.00,2.00,2.00,2.00,4.00,9.38,4.00,2.00,2.00,216,NULL,NULL,'INDUSTRIAL','SEARA','SC',16037,419,NULL,NULL,NULL,NULL,NULL,4,4),(28,7111622,2.00,7.00,4.00,8.00,7.00,9.00,2.00,7.00,5.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4277,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111649,7.00,8.00,4.00,7.00,11.00,12.00,5.00,8.00,8.00,103,NULL,NULL,'JARDIM ALVORADA','ESTRELA D OESTE','SP',71,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111657,6.00,7.00,0.00,7.00,9.00,7.88,2.00,6.00,4.00,999,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7111681,5.00,8.00,2.00,7.00,7.00,12.00,1.00,7.00,3.00,103,NULL,NULL,'NOVA SUIÇA','GOIÂNIA','GO',2823,1095,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111690,6.00,7.00,2.00,7.00,7.00,7.50,3.00,7.00,6.00,104,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',3562,48,NULL,NULL,NULL,NULL,NULL,2,4),(28,7111703,2.00,6.00,0.00,5.00,6.00,5.63,3.00,5.00,2.00,208,NULL,NULL,'GURIRI NORTE','S MATEUS','ES',17893,197,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111711,5.00,8.00,3.00,6.00,6.00,7.88,4.00,7.00,2.00,103,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',5509,1572,NULL,NULL,NULL,NULL,NULL,2,3),(28,7111738,0.00,1.00,2.00,3.00,3.00,NULL,2.00,2.00,2.00,3,NULL,NULL,'SAO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7111746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7111754,1.00,5.00,3.00,4.00,7.00,8.63,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','S CARLOS','SC',12855,2253,NULL,NULL,NULL,NULL,NULL,4,4),(28,7111762,0.00,7.00,0.00,7.00,5.00,7.88,2.00,3.00,4.00,316,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',16370,219,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111770,0.00,4.00,2.00,2.00,5.00,NULL,0.00,2.00,2.00,104,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7111800,7.00,8.00,1.00,7.00,9.00,8.25,6.00,6.00,6.00,216,NULL,NULL,'BOM RETIRO','CURITIBA','PR',900,20,NULL,NULL,NULL,NULL,NULL,3,3),(28,7111819,1.00,5.00,3.00,6.00,6.00,7.50,2.00,3.00,4.00,101,NULL,NULL,'POÇO FUNDO','STO AMARO IMPERATRIZ','SC',13867,84,NULL,NULL,NULL,NULL,NULL,2,1),(28,7111827,1.00,2.00,3.00,5.00,3.00,NULL,1.00,3.00,0.00,207,NULL,201,'SANTO ANTONIO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7111835,3.00,2.00,1.00,1.00,5.00,4.50,0.00,2.00,4.00,211,NULL,215,'ANCHIETA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111860,0.00,2.00,0.00,5.00,3.00,NULL,1.00,2.00,1.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7111878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7111894,7.00,7.00,4.00,8.00,10.00,10.88,5.00,3.00,7.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',969,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111908,1.00,9.00,2.00,6.00,7.00,8.63,2.00,6.00,4.00,201,NULL,202,'MENINO DEUS','LUCAS R VERDE','MT',10496,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7111940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7111959,1.00,4.00,3.00,4.00,6.00,6.75,3.00,3.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14572,353,NULL,NULL,NULL,NULL,NULL,4,1),(28,7111967,0.00,2.00,1.00,2.00,3.00,NULL,0.00,0.00,1.00,552,NULL,NULL,'CIDADE JARDIM','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7112009,3.00,8.00,4.00,5.00,6.00,9.75,2.00,7.00,4.00,450,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6788,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112017,1.00,4.00,2.00,2.00,6.00,8.63,2.00,4.00,4.00,202,NULL,216,'ALTO RIBEIRÃO','FLORIANÓPOLIS','SC',17685,383,NULL,438,NULL,NULL,NULL,4,1),(28,7112033,1.00,4.00,3.00,5.00,5.00,6.75,3.00,5.00,1.00,5,NULL,NULL,'TOBIAS','JOAÇABA','SC',18224,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7112041,5.00,7.00,2.00,7.00,9.00,9.00,3.00,5.00,4.00,415,NULL,NULL,'LINHA GRAMADINHO','S LOURENÇO OESTE','SC',3235,43,NULL,NULL,NULL,NULL,NULL,2,4),(28,7112050,2.00,6.00,0.00,6.00,7.00,6.00,2.00,2.00,2.00,454,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112068,0.00,4.00,4.00,2.00,5.00,NULL,2.00,4.00,3.00,444,NULL,NULL,'CENTRO','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','PRES VENCESLAU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7112084,5.00,8.00,2.00,7.00,9.00,11.25,4.00,7.00,3.00,340,NULL,NULL,'CANTO GRANDE','BOMBINHAS','SC',3421,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7112106,3.00,4.00,2.00,2.00,5.00,6.75,2.00,3.00,2.00,552,NULL,NULL,'SANTA CATARINA','ARARANGUÁ','SC',14836,94,NULL,NULL,NULL,NULL,NULL,4,15),(28,7112114,7.00,7.00,5.00,7.00,7.00,12.00,7.00,6.00,7.00,103,NULL,NULL,'JD GUAIO','SUZANO','SP',244,187,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112122,2.00,7.00,3.00,6.00,8.00,9.38,1.00,5.00,2.00,415,NULL,NULL,'SANGÃO','CRICIÚMA','SC',7245,117,NULL,NULL,NULL,NULL,NULL,2,5),(28,7112130,2.00,6.00,1.00,6.00,6.00,6.00,1.00,5.00,2.00,317,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',18020,151,NULL,NULL,NULL,NULL,NULL,2,1),(28,7112149,0.00,5.00,0.00,4.00,4.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'ALVORADA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7112157,7.00,7.00,3.00,7.00,8.00,9.00,7.00,8.00,6.00,103,NULL,NULL,'POÇO FUNDO','STO AMARO IMPERATRIZ','SC',547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7112173,1.00,5.00,2.00,6.00,4.00,6.00,2.00,3.00,4.00,101,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7112190,3.00,7.00,2.00,7.00,6.00,6.38,3.00,7.00,4.00,601,NULL,202,'BOA VISTA','JOINVILLE','SC',11669,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7112203,0.00,5.00,3.00,2.00,3.00,6.75,2.00,4.00,2.00,207,NULL,216,'OFICINAS','TUBARÃO','SC',17869,758,NULL,441,NULL,NULL,NULL,2,10),(28,7112211,7.00,8.00,2.00,6.00,9.00,10.13,4.00,7.00,4.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',3967,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7112220,1.00,4.00,3.00,2.00,3.00,3.00,1.00,2.00,2.00,102,NULL,NULL,'SÃO CRISTÓVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7112238,2.00,7.00,1.00,6.00,3.00,7.13,2.00,5.00,2.00,103,NULL,NULL,'JOÃO BATISTA TONIAL','XANXERÊ','SC',10890,2135,NULL,NULL,NULL,NULL,NULL,4,4),(28,7112254,7.00,8.00,3.00,7.00,10.00,14.25,8.00,7.00,7.00,103,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',10,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112270,3.00,8.00,1.00,5.00,3.00,6.38,7.00,6.00,5.00,3,NULL,NULL,'VELHA','BLUMENAU','SC',6995,25,NULL,NULL,NULL,NULL,NULL,2,2),(28,7112300,2.00,4.00,2.00,3.00,4.00,10.88,0.00,3.00,1.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',18807,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7112319,2.00,6.00,2.00,7.00,5.00,8.63,3.00,3.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112335,1.00,5.00,2.00,7.00,7.00,7.13,2.00,4.00,2.00,103,NULL,NULL,'JARDIM VILA GALVÃO','GUARULHOS','SP',11335,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7112343,6.00,7.00,3.00,8.00,9.00,11.63,5.00,5.00,7.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',301,224,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112351,1.00,4.00,1.00,5.00,5.00,8.63,2.00,5.00,1.00,108,NULL,NULL,'CENTRO','NAVEGANTES','SC',18528,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7112360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7112378,6.00,9.00,5.00,7.00,7.00,6.75,7.00,7.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',603,392,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112394,0.00,3.00,1.00,7.00,5.00,NULL,2.00,4.00,1.00,404,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7112416,3.00,3.00,0.00,4.00,5.00,NULL,3.00,3.00,0.00,337,NULL,NULL,'CID UNIV PEDRA BRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7112424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7112432,2.00,7.00,2.00,5.00,8.00,7.88,1.00,5.00,2.00,340,NULL,NULL,'MACEDO TELES','S JOSÉ R PRETO','SP',10669,296,NULL,NULL,NULL,NULL,NULL,2,1),(28,7112459,0.00,3.00,2.00,0.00,3.00,0.00,2.00,3.00,0.00,415,NULL,NULL,'GRAZIELA','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7112467,4.00,6.00,1.00,7.00,6.00,8.25,3.00,6.00,5.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5323,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112475,6.00,7.00,4.00,4.00,8.00,12.75,5.00,6.00,6.00,415,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',1107,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112491,7.00,8.00,3.00,7.00,10.00,8.63,5.00,9.00,7.00,207,NULL,215,'BOM ABRIGO','FLORIANÓPOLIS','SC',635,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112513,0.00,6.00,4.00,6.00,5.00,9.00,4.00,5.00,1.00,303,NULL,NULL,'ASA SUL','BRASÍLIA','DF',10415,424,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112521,3.00,6.00,2.00,7.00,8.00,9.75,2.00,6.00,2.00,9,NULL,NULL,'ATIRADORES','JOINVILLE','SC',7511,34,NULL,NULL,NULL,NULL,NULL,2,8),(28,7112530,2.00,5.00,3.00,5.00,6.00,6.38,1.00,7.00,4.00,104,NULL,NULL,'AREIAS','S JOSÉ','SC',11603,289,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112548,4.00,6.00,2.00,6.00,7.00,10.88,4.00,4.00,7.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',4121,1346,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112556,1.00,6.00,3.00,6.00,7.00,8.25,3.00,3.00,2.00,104,NULL,NULL,'SANTO ANTONIO','BAL PIÇARRAS','SC',10799,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7112572,2.00,6.00,1.00,4.00,5.00,9.75,1.00,5.00,2.00,319,NULL,NULL,'BOM JESUS','RIO NEGRO','PR',11481,211,NULL,NULL,NULL,NULL,NULL,4,17),(28,7112580,4.00,8.00,3.00,7.00,10.00,10.13,4.00,8.00,7.00,201,NULL,NULL,'SAGRADA FAMÍLIA','CAXIAS SUL','RS',832,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112610,4.00,6.00,2.00,7.00,9.00,8.25,3.00,8.00,3.00,450,NULL,NULL,'IPIRANGA','S PAULO','SP',3614,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112637,7.00,9.00,2.00,7.00,9.00,9.38,5.00,6.00,6.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',1309,683,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112653,1.00,3.00,1.00,4.00,5.00,8.25,3.00,5.00,1.00,440,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',18988,10,NULL,NULL,NULL,NULL,NULL,6,1),(28,7112661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7112670,1.00,6.00,2.00,6.00,7.00,7.13,3.00,5.00,2.00,211,NULL,202,'JARDIM DAS AMÉRICAS','CURITIBA','PR',15222,379,NULL,348,NULL,NULL,NULL,4,1),(28,7112688,3.00,5.00,1.00,6.00,7.00,10.50,0.00,4.00,4.00,450,NULL,NULL,'VILA NOVA','LAGES','SC',15556,115,NULL,NULL,NULL,NULL,NULL,4,9),(28,7112696,3.00,7.00,3.00,6.00,7.00,7.50,5.00,7.00,2.00,201,NULL,203,'SOUZA CRUZ','BRUSQUE','SC',6295,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7112718,1.00,3.00,2.00,1.00,7.00,6.38,3.00,3.00,3.00,205,NULL,NULL,'CENTRO','PALHOÇA','SC',19326,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112734,2.00,4.00,1.00,6.00,7.00,7.50,3.00,6.00,3.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11283,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7112742,6.00,8.00,2.00,6.00,4.00,7.88,1.00,5.00,5.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',4744,1452,NULL,NULL,NULL,NULL,NULL,4,3),(28,7112750,2.00,6.00,3.00,4.00,8.00,5.25,5.00,5.00,3.00,339,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',15220,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7112777,2.00,7.00,3.00,7.00,8.00,8.63,4.00,6.00,3.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6228,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7112793,1.00,8.00,5.00,6.00,8.00,8.63,5.00,6.00,5.00,203,NULL,653,'SÃO JOSÉ','FRAIBURGO','SC',3588,259,NULL,21,NULL,NULL,NULL,2,25),(28,7112807,2.00,6.00,0.00,4.00,2.00,NULL,2.00,4.00,2.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7112815,0.00,2.00,4.00,2.00,3.00,5.63,2.00,2.00,2.00,652,NULL,655,'URUSSANGUINHA','ARARANGUÁ','SC',20103,109,NULL,149,NULL,NULL,NULL,4,15),(28,7112823,3.00,7.00,2.00,3.00,4.00,9.38,2.00,3.00,4.00,216,NULL,201,'CENTRO','TREZE TÍLIAS','SC',10805,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7112831,2.00,7.00,1.00,2.00,3.00,4.50,1.00,2.00,2.00,501,NULL,NULL,'CENTRO','POLONI','SP',17598,108,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112840,3.00,4.00,4.00,5.00,5.00,10.13,2.00,5.00,3.00,103,NULL,NULL,'IPIRANGA','S JOSÉ','SC',10023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112882,2.00,8.00,2.00,7.00,7.00,7.88,4.00,7.00,6.00,301,NULL,NULL,'CENTRO','ORLEANS','SC',3780,17,NULL,NULL,NULL,NULL,NULL,4,5),(28,7112890,0.00,6.00,3.00,4.00,6.00,5.63,1.00,6.00,7.00,104,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',14343,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7112912,5.00,7.00,5.00,4.00,8.00,10.50,4.00,5.00,6.00,103,NULL,NULL,'VILA OLIVEIRA','ITAPETININGA','SP',2851,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112920,3.00,6.00,2.00,7.00,4.00,7.50,0.00,6.00,1.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7112939,3.00,8.00,3.00,7.00,5.00,7.13,3.00,5.00,5.00,207,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',5820,266,NULL,190,NULL,NULL,NULL,4,1),(28,7112947,2.00,4.00,4.00,2.00,6.00,7.13,2.00,5.00,4.00,318,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',17839,131,NULL,NULL,NULL,NULL,NULL,2,1),(28,7112955,2.00,6.00,3.00,3.00,2.00,NULL,3.00,4.00,4.00,104,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7112971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7113005,1.00,3.00,1.00,4.00,7.00,7.13,2.00,6.00,2.00,211,NULL,214,'CENTRO','ERECHIM','RS',13604,343,NULL,306,NULL,NULL,NULL,2,4),(28,7113021,0.00,2.00,2.00,1.00,1.00,NULL,3.00,3.00,1.00,320,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7113030,4.00,7.00,2.00,6.00,6.00,9.75,1.00,6.00,4.00,501,NULL,NULL,'MERCES','CURITIBA','PR',11652,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7113048,4.00,7.00,2.00,5.00,8.00,7.88,5.00,5.00,4.00,319,NULL,NULL,'CENTRO','CAJOBI','SP',4428,64,NULL,NULL,NULL,NULL,NULL,4,1),(28,7113056,1.00,7.00,2.00,5.00,5.00,7.50,4.00,5.00,3.00,317,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',14323,90,NULL,NULL,NULL,NULL,NULL,4,1),(28,7113064,2.00,4.00,3.00,7.00,9.00,9.00,1.00,4.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6645,146,NULL,NULL,NULL,NULL,NULL,4,1),(28,7113080,4.00,7.00,1.00,7.00,6.00,8.63,4.00,7.00,3.00,216,NULL,211,'APARECIDA','SANTOS','SP',5505,205,NULL,137,NULL,NULL,NULL,4,1),(28,7113099,2.00,7.00,1.00,5.00,5.00,9.00,2.00,3.00,3.00,202,NULL,213,'COLÔNIA SANTANA','S JOSÉ','SC',13034,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7113110,3.00,5.00,1.00,5.00,6.00,6.38,1.00,3.00,1.00,9,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15245,114,NULL,NULL,NULL,NULL,NULL,2,1),(28,7113129,4.00,7.00,2.00,5.00,7.00,7.50,0.00,5.00,3.00,201,NULL,212,'CENTRO','ÁGUAS MORNAS','SC',12392,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7113137,3.00,3.00,3.00,7.00,5.00,7.13,3.00,3.00,2.00,333,NULL,NULL,'REBOUÇAS','CURITIBA','PR',11400,63,NULL,NULL,NULL,NULL,NULL,4,3),(28,7113145,0.00,4.00,1.00,3.00,5.00,NULL,1.00,5.00,1.00,5,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7113153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'TERRA BONITA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7113161,1.00,7.00,0.00,5.00,5.00,9.00,2.00,5.00,1.00,102,NULL,NULL,'IPIRANGA','S PAULO','SP',16853,156,NULL,NULL,NULL,NULL,NULL,4,1),(28,7113170,6.00,8.00,5.00,6.00,8.00,10.88,7.00,6.00,8.00,201,NULL,213,'VILA ESPERANÇA','TUBARÃO','SC',779,35,NULL,NULL,NULL,NULL,NULL,4,10),(28,7113196,1.00,6.00,0.00,6.00,4.00,6.00,2.00,4.00,1.00,336,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',15820,80,NULL,NULL,NULL,NULL,NULL,2,5),(28,7113226,4.00,6.00,1.00,5.00,6.00,9.00,4.00,5.00,5.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7113242,1.00,3.00,1.00,6.00,3.00,11.25,4.00,5.00,3.00,303,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',10394,422,NULL,NULL,NULL,NULL,NULL,4,1),(28,7113250,1.00,4.00,0.00,6.00,5.00,9.00,2.00,7.00,1.00,337,NULL,NULL,'MACHADOS','NAVEGANTES','SC',12567,22,NULL,NULL,NULL,NULL,NULL,2,6),(28,7113277,6.00,7.00,5.00,6.00,6.00,9.75,5.00,7.00,7.00,214,NULL,216,'MOEMA','S PAULO','SP',1117,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7113285,1.00,6.00,2.00,2.00,2.00,NULL,1.00,2.00,0.00,103,NULL,NULL,'BRAS','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7113293,1.00,4.00,3.00,5.00,6.00,7.50,0.00,2.00,2.00,303,NULL,NULL,'GUANABARA','JOINVILLE','SC',19293,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7113307,2.00,4.00,2.00,6.00,6.00,7.88,3.00,4.00,2.00,201,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',15715,NULL,NULL,318,NULL,NULL,NULL,2,3),(28,7113315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7113323,2.00,7.00,1.00,6.00,7.00,7.50,3.00,5.00,4.00,3,NULL,NULL,'SANTO ANTÔNIO DE PÁD','TUBARÃO','SC',8937,31,NULL,NULL,NULL,NULL,NULL,2,10),(28,7113340,5.00,7.00,4.00,6.00,8.00,8.63,6.00,5.00,7.00,303,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',1655,75,NULL,NULL,NULL,NULL,NULL,4,1),(28,7113358,4.00,6.00,1.00,7.00,9.00,10.13,3.00,5.00,5.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',4126,192,NULL,NULL,NULL,NULL,NULL,4,1),(28,7113366,0.00,2.00,2.00,4.00,3.00,3.00,0.00,2.00,1.00,207,NULL,201,'PALHOÇA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7113374,0.00,4.00,2.00,2.00,2.00,NULL,0.00,4.00,3.00,424,NULL,427,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7113382,2.00,6.00,1.00,5.00,6.00,8.63,2.00,6.00,1.00,454,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',17157,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7113390,1.00,6.00,1.00,5.00,2.00,NULL,3.00,5.00,3.00,201,NULL,NULL,'JARDIM SILVANA','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7113404,4.00,7.00,1.00,7.00,7.00,9.75,2.00,7.00,3.00,454,NULL,NULL,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',6259,93,NULL,NULL,NULL,NULL,NULL,4,1),(28,7113439,2.00,8.00,1.00,6.00,3.00,6.38,1.00,2.00,3.00,108,NULL,NULL,'CENTRO','BIGUAÇU','SC',18465,244,NULL,NULL,NULL,NULL,NULL,4,1),(28,7113447,1.00,3.00,2.00,1.00,3.00,6.38,1.00,3.00,1.00,230,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',20143,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7113455,4.00,7.00,1.00,7.00,9.00,11.25,3.00,8.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7113471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'IV CENTENARIO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7113480,4.00,6.00,2.00,5.00,6.00,8.25,3.00,4.00,5.00,238,NULL,201,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',9864,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7113498,3.00,2.00,1.00,4.00,7.00,7.50,3.00,4.00,4.00,104,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',16504,405,NULL,NULL,NULL,NULL,NULL,2,4),(28,7113501,3.00,3.00,1.00,3.00,5.00,6.75,4.00,4.00,4.00,552,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',16802,124,NULL,NULL,NULL,NULL,NULL,2,15),(28,7113528,3.00,6.00,5.00,5.00,10.00,5.25,5.00,4.00,2.00,203,NULL,235,'ROÇADO','S JOSÉ','SC',7151,434,NULL,122,NULL,NULL,NULL,2,1),(28,7113536,1.00,6.00,1.00,7.00,6.00,9.75,2.00,5.00,3.00,316,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',13263,148,NULL,NULL,NULL,NULL,NULL,2,1),(28,7113544,3.00,4.00,2.00,5.00,6.00,10.50,3.00,3.00,0.00,5,NULL,NULL,'INTERIOR','XAXIM','SC',12877,359,NULL,NULL,NULL,NULL,NULL,4,4),(28,7113552,1.00,5.00,2.00,6.00,3.00,9.00,2.00,2.00,2.00,415,NULL,NULL,'AFONSO PENA','S JOSÉ PINHAIS','PR',13428,218,NULL,NULL,NULL,NULL,NULL,2,1),(28,7113560,2.00,5.00,4.00,5.00,5.00,7.13,3.00,3.00,3.00,319,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',12333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7113595,0.00,6.00,0.00,1.00,3.00,NULL,0.00,2.00,2.00,207,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7113625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7113633,0.00,0.00,2.00,7.00,5.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7113641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA DA GLÓRIA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7113650,2.00,8.00,3.00,7.00,3.00,10.13,2.00,6.00,3.00,207,NULL,652,'KOBRASOL','S JOSÉ','SC',12405,561,NULL,38,NULL,NULL,NULL,2,1),(28,7113668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7113676,4.00,7.00,3.00,8.00,9.00,10.13,5.00,7.00,7.00,103,NULL,NULL,'VILA ALZIRA','STO ANDRÉ','SP',653,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7113684,5.00,8.00,4.00,7.00,7.00,9.75,6.00,7.00,7.00,214,NULL,212,'GUANABARA','CAMPINAS','SP',641,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7113706,3.00,6.00,1.00,7.00,6.00,8.25,4.00,6.00,3.00,319,NULL,NULL,'JARDIM SEMINÁRIO','FRANCISCO BELTRÃO','PR',9095,160,NULL,NULL,NULL,NULL,NULL,4,4),(28,7113714,0.00,1.00,1.00,3.00,1.00,NULL,1.00,2.00,1.00,203,NULL,215,'CENTRO','QUEDAS IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7113730,8.00,6.00,2.00,5.00,7.00,8.63,5.00,7.00,8.00,601,NULL,216,'NOVA BRASÍLIA','JOINVILLE','SC',1964,19,NULL,NULL,NULL,NULL,NULL,4,8),(28,7113749,1.00,7.00,2.00,7.00,9.00,9.38,7.00,6.00,4.00,238,NULL,235,'CENTRO','PEDRAS GRANDES','SC',4416,29,NULL,NULL,NULL,NULL,NULL,2,10),(28,7113757,2.00,6.00,0.00,5.00,8.00,8.63,1.00,4.00,5.00,999,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7113765,4.00,5.00,2.00,8.00,7.00,9.75,3.00,4.00,5.00,235,NULL,653,'GUARANI','BRUSQUE','SC',6906,118,NULL,73,NULL,NULL,NULL,4,22),(28,7113773,5.00,8.00,3.00,7.00,9.00,12.00,4.00,7.00,5.00,103,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',1122,608,NULL,NULL,NULL,NULL,NULL,2,1),(28,7113781,1.00,5.00,1.00,4.00,5.00,NULL,0.00,4.00,1.00,501,NULL,NULL,'CENTRO','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7113803,1.00,6.00,0.00,5.00,9.00,8.25,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',11239,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7113811,2.00,5.00,2.00,3.00,5.00,9.38,3.00,4.00,2.00,207,NULL,216,'PICADAS DO SUL','S JOSÉ','SC',13272,599,NULL,372,NULL,NULL,NULL,2,1),(28,7113820,4.00,7.00,2.00,6.00,7.00,11.25,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2331,970,NULL,NULL,NULL,NULL,NULL,4,3),(28,7113838,3.00,4.00,2.00,6.00,7.00,11.25,1.00,7.00,2.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',7479,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7113846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7113862,5.00,7.00,4.00,5.00,8.00,7.50,6.00,7.00,5.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',1410,716,NULL,NULL,NULL,NULL,NULL,4,4),(28,7113870,0.00,6.00,1.00,7.00,6.00,7.88,0.00,5.00,4.00,340,NULL,NULL,'REALENGO','RIO JANEIRO','RJ',16674,407,NULL,NULL,NULL,NULL,NULL,2,10),(28,7113897,5.00,6.00,2.00,4.00,7.00,7.13,3.00,4.00,4.00,201,NULL,212,'REAL PARK','S JOSÉ','SC',7471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7113919,0.00,4.00,0.00,0.00,0.00,NULL,1.00,2.00,3.00,211,NULL,201,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(28,7113927,6.00,7.00,3.00,7.00,7.00,10.88,2.00,7.00,6.00,103,NULL,NULL,'CENTRO','MERIDIANO','SP',2559,1035,NULL,NULL,NULL,NULL,NULL,2,1),(28,7113935,0.00,6.00,0.00,3.00,2.00,NULL,2.00,3.00,1.00,109,NULL,NULL,'SANTO ANTONIO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7113943,1.00,4.00,3.00,5.00,6.00,7.88,0.00,3.00,2.00,108,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',15042,204,NULL,NULL,NULL,NULL,NULL,2,27),(28,7113951,3.00,6.00,1.00,6.00,6.00,7.50,1.00,3.00,2.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7113960,4.00,7.00,3.00,5.00,7.00,8.25,4.00,4.00,5.00,202,NULL,203,'FORQUILHAS','S JOSÉ','SC',10209,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7113978,3.00,7.00,2.00,6.00,4.00,4.50,1.00,6.00,4.00,214,NULL,213,'CENTRO','TAUBATÉ','SP',10238,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7113986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7113994,4.00,6.00,2.00,6.00,8.00,7.88,1.00,5.00,3.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11635,213,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114001,4.00,8.00,3.00,5.00,7.00,8.63,6.00,7.00,7.00,202,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2172,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114010,7.00,9.00,1.00,7.00,9.00,9.00,3.00,6.00,6.00,103,NULL,NULL,'CONDOMÍNIO DAHMA III','S JOSÉ R PRETO','SP',1496,739,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114036,2.00,9.00,4.00,5.00,8.00,9.38,4.00,6.00,5.00,103,NULL,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',4226,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7114044,6.00,7.00,4.00,6.00,9.00,10.88,5.00,8.00,4.00,103,NULL,NULL,'VILA DOS JEQUITIBÁS','CAMPINAS','SP',1176,628,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114052,4.00,7.00,3.00,6.00,9.00,7.50,4.00,7.00,7.00,207,NULL,601,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',3113,115,NULL,40,NULL,NULL,NULL,4,1),(28,7114060,4.00,6.00,3.00,7.00,9.00,4.50,3.00,5.00,6.00,220,NULL,601,'ZONA I','UMUARAMA','PR',4124,NULL,NULL,70,NULL,NULL,NULL,2,4),(28,7114079,5.00,7.00,3.00,7.00,10.00,10.13,2.00,4.00,3.00,103,NULL,NULL,'MORRETES','ITAPEMA','SC',3028,1144,NULL,NULL,NULL,NULL,NULL,4,3),(28,7114087,3.00,4.00,2.00,5.00,7.00,6.75,3.00,5.00,3.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',16169,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7114095,4.00,5.00,1.00,1.00,8.00,6.00,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','MARAVILHA','SC',12983,2258,NULL,NULL,NULL,NULL,NULL,2,4),(28,7114109,6.00,8.00,4.00,7.00,8.00,9.00,2.00,7.00,8.00,220,NULL,213,'MONTE CASTELO','S JOSÉ CAMPOS','SP',1568,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7114133,1.00,6.00,2.00,5.00,7.00,8.63,5.00,5.00,2.00,303,NULL,NULL,'LARANJEIRAS','LAGUNA','SC',7421,329,NULL,NULL,NULL,NULL,NULL,2,10),(28,7114141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7114176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7114184,2.00,4.00,1.00,6.00,5.00,11.25,3.00,1.00,6.00,203,NULL,214,'MICHEL','CRICIÚMA','SC',15365,NULL,NULL,324,NULL,NULL,NULL,4,5),(28,7114206,0.00,5.00,1.00,7.00,6.00,9.00,1.00,3.00,3.00,601,NULL,214,'ATIRADORES','JOINVILLE','SC',12977,390,NULL,300,NULL,NULL,NULL,4,8),(28,7114214,1.00,6.00,1.00,6.00,5.00,5.63,3.00,5.00,4.00,216,NULL,233,'MEIA PRAIA','ITAPEMA','SC',10655,329,NULL,251,NULL,NULL,NULL,2,3),(28,7114230,2.00,1.00,0.00,1.00,3.00,NULL,0.00,3.00,2.00,9,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114249,2.00,4.00,2.00,7.00,7.00,9.00,1.00,4.00,2.00,9,NULL,NULL,'SERRARIA','S JOSÉ','SC',16479,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7114257,4.00,6.00,2.00,6.00,6.00,6.75,2.00,6.00,4.00,103,NULL,NULL,'AMERICANÓPOLIS','S PAULO','SP',11448,2167,NULL,NULL,NULL,NULL,NULL,2,1),(28,7114273,9.00,7.00,8.00,7.00,9.00,9.75,8.00,6.00,7.00,202,NULL,235,'GLÓRIA','JOINVILLE','SC',13,1,NULL,NULL,NULL,NULL,NULL,4,8),(28,7114281,7.00,9.00,3.00,6.00,8.00,12.00,4.00,8.00,7.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',673,419,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114303,4.00,6.00,3.00,6.00,7.00,9.00,5.00,5.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5064,233,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114311,0.00,8.00,2.00,7.00,6.00,7.88,4.00,5.00,3.00,302,NULL,NULL,'JARDIM LINDOIA','PTO ALEGRE','RS',12524,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114320,2.00,5.00,1.00,6.00,7.00,6.75,2.00,6.00,3.00,202,NULL,653,'CENTRO','TUBARÃO','SC',12250,NULL,NULL,131,NULL,NULL,NULL,2,10),(28,7114338,4.00,7.00,4.00,5.00,7.00,7.88,4.00,5.00,4.00,216,NULL,233,'FORTALEZA','BLUMENAU','SC',6836,NULL,NULL,168,NULL,NULL,NULL,4,2),(28,7114346,1.00,5.00,2.00,4.00,4.00,7.88,2.00,4.00,1.00,552,NULL,NULL,'APARECIDA','ERVAL VELHO','SC',18899,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7114362,3.00,8.00,4.00,6.00,6.00,6.38,2.00,6.00,4.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',7218,222,NULL,NULL,NULL,NULL,NULL,2,1),(28,7114370,7.00,9.00,2.00,7.00,9.00,9.75,5.00,9.00,5.00,103,NULL,NULL,'SANTA TEREZA','BELO HORIZONTE','MG',1633,784,NULL,NULL,NULL,NULL,NULL,4,2),(28,7114397,3.00,8.00,4.00,7.00,7.00,6.00,3.00,8.00,5.00,103,NULL,NULL,'SAO VICENTE','PARANAVAÍ','PR',3841,1295,NULL,NULL,NULL,NULL,NULL,4,3),(28,7114400,1.00,3.00,3.00,4.00,4.00,10.13,2.00,4.00,1.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',14229,2318,NULL,NULL,NULL,NULL,NULL,4,6),(28,7114419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'SÃO JORGE','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',5,27),(28,7114427,0.00,3.00,3.00,5.00,4.00,NULL,2.00,6.00,1.00,454,NULL,NULL,'CENTRO','TREZE MAIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7114435,1.00,6.00,1.00,6.00,6.00,7.50,1.00,5.00,1.00,444,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',17870,119,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114451,4.00,7.00,2.00,6.00,7.00,7.88,4.00,6.00,2.00,103,NULL,NULL,'MORUMBI','S PAULO','SP',11181,NULL,NULL,NULL,NULL,NULL,NULL,5,3),(28,7114460,1.00,6.00,1.00,6.00,5.00,7.13,2.00,5.00,1.00,653,NULL,233,'SANTA LUZIA','CAPÃO CANOA','RS',13100,143,NULL,NULL,NULL,NULL,NULL,2,15),(28,7114478,1.00,4.00,0.00,6.00,4.00,6.00,2.00,4.00,4.00,108,NULL,NULL,'JARDIM DA SAÚDE','S PAULO','SP',12470,174,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114486,3.00,4.00,2.00,5.00,4.00,5.63,1.00,2.00,3.00,454,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',19291,389,NULL,NULL,NULL,NULL,NULL,2,1),(28,7114494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7114516,5.00,8.00,6.00,7.00,7.00,10.50,6.00,8.00,5.00,303,NULL,NULL,'JARDIM APOLLO II','S JOSÉ CAMPOS','SP',321,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114524,3.00,7.00,1.00,4.00,6.00,6.00,3.00,4.00,2.00,215,NULL,235,'RIO TAVARES','FLORIANÓPOLIS','SC',17470,278,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114532,2.00,4.00,0.00,5.00,5.00,5.25,1.00,5.00,0.00,103,NULL,NULL,'PINGUIRITO','GAROPABA','SC',17285,2446,NULL,NULL,NULL,NULL,NULL,2,1),(28,7114540,4.00,8.00,4.00,5.00,9.00,8.25,4.00,5.00,4.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',3168,1174,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114567,2.00,6.00,3.00,6.00,3.00,7.50,4.00,4.00,2.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16179,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114583,6.00,8.00,3.00,6.00,10.00,10.88,4.00,8.00,5.00,202,NULL,214,'GARCIA','BLUMENAU','SC',1459,37,NULL,NULL,NULL,NULL,NULL,4,2),(28,7114591,0.00,4.00,2.00,2.00,5.00,NULL,1.00,1.00,1.00,103,NULL,NULL,'AMBRÓSIO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7114605,4.00,7.00,2.00,7.00,7.00,8.63,4.00,5.00,4.00,201,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',4951,379,NULL,159,NULL,NULL,NULL,4,1),(28,7114613,2.00,5.00,1.00,7.00,6.00,7.50,3.00,4.00,3.00,238,NULL,235,'CORREGO GRANDE','FLORIANÓPOLIS','SC',12292,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114621,5.00,6.00,2.00,6.00,8.00,8.25,4.00,7.00,2.00,207,NULL,211,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',3523,136,NULL,82,NULL,NULL,NULL,4,1),(28,7114630,1.00,5.00,2.00,7.00,7.00,8.25,4.00,5.00,3.00,104,NULL,NULL,'NOSSA SRA DE FATIMA','BRAÇO NORTE','SC',8917,214,NULL,NULL,NULL,NULL,NULL,2,10),(28,7114656,5.00,5.00,3.00,6.00,9.00,9.38,2.00,6.00,5.00,340,NULL,NULL,'VILA PARAÍSO','CAÇADOR','SC',3066,70,NULL,NULL,NULL,NULL,NULL,4,25),(28,7114664,8.00,8.00,4.00,8.00,10.00,8.63,6.00,8.00,8.00,103,NULL,NULL,'BELA VISTA','PTO ALEGRE','RS',144,116,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,655,'SAO VINCENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7114680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MIRANDÓPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7114699,0.00,2.00,1.00,3.00,3.00,5.63,1.00,3.00,2.00,454,NULL,NULL,'CENTRO','S BONIFÁCIO','SC',20128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7114702,1.00,3.00,2.00,4.00,7.00,6.38,0.00,3.00,3.00,201,NULL,212,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',18938,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BALNEÁRIO CAMBURIU','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7114729,1.00,4.00,1.00,7.00,6.00,11.25,2.00,4.00,0.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14135,268,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114737,7.00,7.00,3.00,7.00,10.00,9.00,6.00,8.00,8.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114745,4.00,6.00,1.00,6.00,9.00,9.75,2.00,5.00,5.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',6363,207,NULL,NULL,NULL,NULL,NULL,2,1),(28,7114753,0.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7114770,4.00,5.00,3.00,3.00,7.00,8.63,1.00,4.00,3.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11498,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114796,2.00,7.00,2.00,4.00,5.00,5.63,3.00,5.00,3.00,104,NULL,NULL,'CEARÁ','CRICIÚMA','SC',12437,308,NULL,NULL,NULL,NULL,NULL,4,5),(28,7114800,5.00,8.00,2.00,5.00,8.00,9.00,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3143,1167,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7114826,4.00,5.00,2.00,7.00,6.00,8.63,2.00,4.00,3.00,103,NULL,NULL,'BARRA FUNDA','APUCARANA','PR',8704,1975,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOEMA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7114850,1.00,6.00,2.00,6.00,4.00,3.00,2.00,4.00,1.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7114869,1.00,6.00,2.00,3.00,4.00,7.50,3.00,2.00,1.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114877,3.00,8.00,5.00,6.00,7.00,9.00,5.00,6.00,5.00,203,NULL,235,'ZONA UM','CIANORTE','PR',2902,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7114885,5.00,5.00,2.00,6.00,9.00,8.25,2.00,4.00,5.00,238,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6432,73,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7114923,0.00,2.00,2.00,5.00,3.00,NULL,1.00,3.00,2.00,211,NULL,215,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7114931,0.00,2.00,3.00,2.00,3.00,NULL,0.00,2.00,2.00,9,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7114940,7.00,7.00,6.00,6.00,8.00,9.00,6.00,7.00,7.00,103,NULL,NULL,'PARQUE TAQUARAL','CAMPINAS','SP',540,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114958,3.00,7.00,2.00,5.00,8.00,9.38,2.00,7.00,2.00,340,NULL,NULL,'JARDIM SAMAMBAIA','BARRA BONITA','SP',7038,186,NULL,NULL,NULL,NULL,NULL,4,1),(28,7114966,4.00,6.00,4.00,6.00,7.00,10.88,5.00,6.00,4.00,999,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7114990,5.00,5.00,2.00,5.00,7.00,7.50,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','GOIANIRA','GO',5102,1507,NULL,NULL,NULL,NULL,NULL,2,1),(28,7115008,2.00,8.00,2.00,6.00,4.00,4.50,3.00,3.00,4.00,501,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',12662,75,NULL,NULL,NULL,NULL,NULL,2,1),(28,7115016,4.00,7.00,1.00,0.00,3.00,10.50,1.00,6.00,8.00,304,NULL,NULL,'CENTRO','LIMEIRA','SP',8559,65,NULL,NULL,NULL,NULL,NULL,6,1),(28,7115024,4.00,5.00,2.00,7.00,5.00,6.75,2.00,6.00,3.00,110,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15052,70,NULL,NULL,NULL,NULL,NULL,2,1),(28,7115040,6.00,8.00,7.00,5.00,6.00,6.00,4.00,6.00,6.00,220,NULL,202,'DEMARCHI','S BERNARDO CAMPO','SP',2109,61,NULL,59,NULL,NULL,NULL,4,8),(28,7115067,3.00,5.00,2.00,4.00,7.00,NULL,0.00,4.00,4.00,9,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7115075,5.00,9.00,4.00,7.00,10.00,5.63,4.00,7.00,6.00,103,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',2549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115083,4.00,6.00,2.00,4.00,6.00,7.88,2.00,4.00,3.00,503,NULL,NULL,'TESTO SALTO','BLUMENAU','SC',14086,21,NULL,NULL,NULL,NULL,NULL,1,2),(28,7115091,6.00,7.00,5.00,7.00,8.00,9.38,3.00,7.00,7.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',926,522,NULL,NULL,NULL,NULL,NULL,4,8),(28,7115105,1.00,6.00,3.00,2.00,4.00,5.25,2.00,5.00,2.00,238,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',18791,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7115113,7.00,8.00,4.00,7.00,8.00,7.88,6.00,7.00,5.00,340,NULL,NULL,'ALTO DA BOA VISTA','S PAULO','SP',1618,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115121,6.00,8.00,3.00,6.00,10.00,11.63,3.00,8.00,2.00,303,NULL,NULL,'JD CHAMPAGNAT','LONDRINA','PR',1774,83,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115130,0.00,3.00,2.00,1.00,3.00,NULL,0.00,2.00,2.00,454,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7115156,1.00,5.00,1.00,3.00,4.00,5.25,3.00,2.00,1.00,454,NULL,NULL,'SANTO ANTONIO','JARAGUÁ SUL','SC',19885,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7115199,1.00,7.00,3.00,7.00,5.00,6.00,3.00,5.00,4.00,203,NULL,212,'ALPHAVILLE CRUZEIRO','GOIÂNIA','GO',8757,NULL,NULL,264,NULL,NULL,NULL,4,1),(28,7115202,3.00,8.00,1.00,7.00,7.00,6.75,3.00,7.00,5.00,201,NULL,216,'VILA EMA','S JOSÉ CAMPOS','SP',5224,404,NULL,200,NULL,NULL,NULL,4,1),(28,7115210,5.00,7.00,3.00,7.00,10.00,9.75,5.00,7.00,5.00,201,NULL,207,'ROÇADO','S JOSÉ','SC',1869,117,NULL,59,NULL,NULL,NULL,4,1),(28,7115245,0.00,2.00,3.00,4.00,5.00,NULL,0.00,2.00,2.00,302,NULL,NULL,'CAMIPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7115253,4.00,6.00,3.00,5.00,7.00,7.50,6.00,6.00,7.00,211,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',3220,69,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115261,1.00,7.00,0.00,6.00,5.00,NULL,3.00,6.00,1.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7115288,1.00,8.00,3.00,7.00,5.00,6.75,2.00,6.00,4.00,235,NULL,202,'SÃO LUIZ','CRICIÚMA','SC',11280,182,NULL,285,NULL,NULL,NULL,4,5),(28,7115300,5.00,5.00,3.00,5.00,6.00,5.63,3.00,3.00,3.00,103,NULL,NULL,'VILA HAUER','CURITIBA','PR',10148,2082,NULL,NULL,NULL,NULL,NULL,4,8),(28,7115318,3.00,8.00,3.00,7.00,6.00,7.50,3.00,3.00,4.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',8673,1974,NULL,NULL,NULL,NULL,NULL,2,1),(28,7115326,1.00,5.00,1.00,6.00,6.00,8.25,1.00,4.00,3.00,450,NULL,NULL,'MEDEIROS','JUNDIAÍ','SP',9822,80,NULL,NULL,NULL,NULL,NULL,4,8),(28,7115334,4.00,6.00,3.00,4.00,6.00,9.75,2.00,5.00,1.00,319,NULL,NULL,'CHICO DE PAULA','JARAGUÁ SUL','SC',10957,201,NULL,NULL,NULL,NULL,NULL,2,23),(28,7115342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM ELIANA','ARARAQUARA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7115350,1.00,3.00,2.00,3.00,1.00,NULL,1.00,2.00,1.00,552,NULL,NULL,'SANTA MONICA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7115369,5.00,7.00,3.00,5.00,6.00,9.00,1.00,5.00,3.00,302,NULL,NULL,'FLORESTA','S JOSÉ','SC',8493,34,NULL,NULL,NULL,NULL,NULL,2,1),(28,7115377,0.00,5.00,3.00,3.00,3.00,0.00,2.00,4.00,2.00,319,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115393,5.00,6.00,4.00,6.00,8.00,11.25,4.00,5.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1991,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'REDIM','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,26),(28,7115415,3.00,4.00,2.00,1.00,3.00,5.25,0.00,3.00,1.00,308,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',18483,68,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115423,5.00,8.00,3.00,7.00,9.00,7.88,5.00,7.00,5.00,103,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',1962,877,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115431,1.00,3.00,3.00,4.00,4.00,6.75,0.00,1.00,2.00,652,NULL,655,'NOVA DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7115440,5.00,8.00,1.00,7.00,6.00,8.25,5.00,8.00,5.00,203,NULL,202,'LAGO SUL','LG SUL','DF',2741,NULL,NULL,77,NULL,NULL,NULL,4,1),(28,7115458,3.00,6.00,3.00,6.00,6.00,8.25,2.00,4.00,4.00,216,NULL,211,'AZAMBUJA','BRUSQUE','SC',6826,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7115466,4.00,8.00,6.00,6.00,9.00,10.13,7.00,7.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1031,567,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115474,5.00,8.00,1.00,6.00,8.00,7.88,6.00,6.00,7.00,203,NULL,201,'CENTRO','LAGES','SC',2813,212,NULL,211,NULL,NULL,NULL,4,9),(28,7115482,1.00,3.00,1.00,5.00,4.00,4.88,2.00,5.00,3.00,999,NULL,NULL,'CENTRO','GR PARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7115504,2.00,4.00,3.00,6.00,6.00,9.38,1.00,4.00,5.00,103,NULL,NULL,'CENTRO','RIO VERDE','GO',13406,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7115520,9.00,8.00,7.00,7.00,6.00,12.00,8.00,7.00,8.00,103,NULL,NULL,'VILA SÔNIA','S PAULO','SP',7,6,NULL,NULL,NULL,NULL,NULL,2,1),(28,7115539,2.00,7.00,3.00,7.00,3.00,6.75,4.00,6.00,2.00,653,NULL,655,'VILA NOVA','IÇARA','SC',10489,106,NULL,52,NULL,NULL,NULL,4,5),(28,7115547,1.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAIC','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(28,7115555,1.00,0.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SÃO SEBASTIÃO','PTE SERRADA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(28,7115571,3.00,5.00,1.00,7.00,9.00,8.25,3.00,4.00,3.00,340,NULL,NULL,'CENTRO','APIÚNA','SC',13257,355,NULL,NULL,NULL,NULL,NULL,4,2),(28,7115580,0.00,3.00,2.00,5.00,3.00,6.38,3.00,3.00,1.00,207,NULL,201,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',19776,812,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115598,2.00,5.00,2.00,5.00,5.00,7.50,2.00,7.00,2.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',9557,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7115601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,211,'ALTO DO MANDAQUI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7115610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7115636,2.00,5.00,0.00,5.00,6.00,6.00,1.00,2.00,0.00,207,NULL,201,'PAGANI','PALHOÇA','SC',16957,733,NULL,961,NULL,NULL,NULL,4,1),(28,7115644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'COND VILLA DO SOL','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7115660,7.00,7.00,4.00,7.00,10.00,7.88,4.00,7.00,4.00,415,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',1766,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115679,2.00,6.00,1.00,6.00,3.00,8.63,3.00,5.00,3.00,303,NULL,NULL,'VILA RESENDE','CAÇAPAVA','SP',10035,410,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115717,7.00,7.00,4.00,5.00,8.00,9.38,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','MAIRINQUE','SP',1360,698,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115725,5.00,6.00,2.00,4.00,9.00,9.38,3.00,6.00,4.00,211,NULL,215,'ITACORUBI','FLORIANÓPOLIS','SC',5191,128,NULL,74,NULL,NULL,NULL,2,1),(28,7115733,1.00,7.00,1.00,7.00,7.00,7.50,2.00,7.00,4.00,340,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',9448,264,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115741,7.00,5.00,3.00,8.00,3.00,7.88,5.00,4.00,4.00,201,NULL,202,'VELHA','BLUMENAU','SC',6689,514,NULL,182,NULL,NULL,NULL,2,2),(28,7115750,2.00,5.00,3.00,7.00,5.00,8.63,4.00,4.00,4.00,208,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13940,154,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115776,4.00,7.00,2.00,6.00,7.00,9.38,3.00,7.00,1.00,454,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',11289,219,NULL,NULL,NULL,NULL,NULL,2,1),(28,7115784,4.00,6.00,5.00,6.00,4.00,7.88,3.00,4.00,6.00,201,NULL,203,'ALPHAVILLE CRUZEIRO','GOIÂNIA','GO',5419,419,NULL,362,NULL,NULL,NULL,4,1),(28,7115806,3.00,7.00,3.00,3.00,7.00,7.88,4.00,5.00,4.00,601,NULL,NULL,'GUANABARA','JOINVILLE','SC',10931,310,NULL,NULL,NULL,NULL,NULL,4,8),(28,7115814,2.00,7.00,2.00,7.00,8.00,11.25,1.00,6.00,3.00,319,NULL,NULL,'JD AQUARIUS','S JOSÉ CAMPOS','SP',4851,71,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115822,6.00,7.00,3.00,6.00,6.00,7.88,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',4610,1431,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115830,0.00,5.00,1.00,6.00,5.00,7.13,3.00,4.00,2.00,552,NULL,NULL,'DOIS PINHEIROS','VIDEIRA','SC',14497,91,NULL,NULL,NULL,NULL,NULL,4,25),(28,7115849,6.00,7.00,2.00,5.00,8.00,7.88,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6183,1656,NULL,NULL,NULL,NULL,NULL,2,1),(28,7115865,4.00,5.00,2.00,6.00,6.00,9.38,5.00,4.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5437,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115873,3.00,6.00,0.00,2.00,5.00,6.75,3.00,3.00,5.00,503,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',13710,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7115890,4.00,6.00,2.00,6.00,7.00,9.75,2.00,6.00,7.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',4959,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7115903,4.00,7.00,3.00,6.00,8.00,8.25,3.00,4.00,3.00,208,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',7082,66,NULL,NULL,NULL,NULL,NULL,4,6),(28,7115911,2.00,7.00,2.00,6.00,6.00,7.88,2.00,6.00,4.00,454,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8030,141,NULL,NULL,NULL,NULL,NULL,2,1),(28,7115920,1.00,1.00,2.00,6.00,5.00,NULL,2.00,4.00,0.00,502,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7115938,3.00,6.00,2.00,5.00,7.00,10.13,5.00,4.00,3.00,109,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9305,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7115946,7.00,7.00,3.00,7.00,8.00,8.63,7.00,7.00,6.00,103,NULL,NULL,'CENTRO','IMBITUBA','SC',1214,643,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115954,2.00,6.00,4.00,6.00,8.00,9.00,5.00,6.00,5.00,216,NULL,215,'PIO X','CAXIAS SUL','RS',5236,201,NULL,77,NULL,NULL,NULL,1,1),(28,7115962,3.00,4.00,6.00,4.00,5.00,8.25,2.00,4.00,2.00,203,NULL,201,'GLEBA FAZ PALLHANO','LONDRINA','PR',15036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7115970,1.00,7.00,3.00,5.00,5.00,8.25,4.00,6.00,2.00,202,NULL,653,'MICHEL','CRICIÚMA','SC',13039,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7116020,5.00,8.00,7.00,6.00,9.00,9.75,5.00,5.00,7.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',675,421,NULL,NULL,NULL,NULL,NULL,4,8),(28,7116039,0.00,5.00,2.00,2.00,7.00,NULL,0.00,5.00,1.00,320,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116047,5.00,7.00,3.00,6.00,8.00,8.25,5.00,6.00,6.00,104,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',2934,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116055,2.00,6.00,4.00,6.00,9.00,7.88,3.00,4.00,4.00,336,NULL,NULL,'JACOB BIEZUS','CONCÓRDIA','SC',7298,36,NULL,NULL,NULL,NULL,NULL,2,26),(28,7116063,3.00,9.00,3.00,6.00,4.00,9.00,5.00,8.00,4.00,201,NULL,212,'CENTRO','LAGES','SC',3374,255,NULL,101,NULL,NULL,NULL,4,9),(28,7116071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7116080,1.00,6.00,2.00,1.00,5.00,4.50,2.00,2.00,3.00,103,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',18203,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7116098,2.00,7.00,2.00,3.00,4.00,7.50,3.00,4.00,3.00,318,NULL,NULL,'SERRARIA','S JOSÉ','SC',12179,86,NULL,NULL,NULL,NULL,NULL,2,1),(28,7116101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VILA SANTA MARIA','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7116110,5.00,7.00,1.00,3.00,3.00,8.63,3.00,4.00,3.00,108,NULL,NULL,'CIDADE JARDIM','UBERLÂNDIA','MG',11720,158,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116128,7.00,7.00,2.00,6.00,3.00,8.63,3.00,3.00,3.00,215,NULL,207,'CENTRO','S JOSÉ R PRETO','SP',12211,207,NULL,NULL,NULL,NULL,NULL,2,1),(28,7116136,0.00,3.00,1.00,5.00,4.00,NULL,1.00,2.00,1.00,404,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7116144,1.00,5.00,1.00,5.00,5.00,11.25,4.00,4.00,2.00,207,NULL,233,'AGRONÔMICA','FLORIANÓPOLIS','SC',15968,696,NULL,324,NULL,NULL,NULL,4,1),(28,7116152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,212,'CENTRO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7116160,4.00,6.00,1.00,5.00,6.00,9.38,1.00,8.00,1.00,336,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',13768,68,NULL,NULL,NULL,NULL,NULL,2,1),(28,7116179,6.00,8.00,4.00,7.00,10.00,9.38,5.00,7.00,7.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',364,263,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116187,2.00,6.00,3.00,2.00,7.00,5.25,4.00,5.00,4.00,203,NULL,214,'INTERIOR','VIDEIRA','SC',9872,533,NULL,254,NULL,NULL,NULL,4,25),(28,7116217,4.00,7.00,2.00,7.00,8.00,4.50,4.00,5.00,4.00,201,NULL,203,'VILA MARIA','S JOSÉ CAMPOS','SP',5728,442,NULL,378,NULL,NULL,NULL,4,1),(28,7116233,2.00,5.00,1.00,4.00,5.00,8.25,3.00,4.00,1.00,601,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',18018,517,NULL,NULL,NULL,NULL,NULL,4,8),(28,7116241,5.00,8.00,3.00,4.00,8.00,11.25,3.00,8.00,4.00,5,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',2369,79,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116268,6.00,8.00,3.00,7.00,5.00,6.75,3.00,6.00,6.00,212,NULL,653,'CHACARA INGLESA','S PAULO','SP',3630,110,NULL,23,NULL,NULL,NULL,4,1),(28,7116276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,212,'PITUBA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7116284,2.00,6.00,1.00,5.00,5.00,8.25,2.00,4.00,2.00,207,NULL,211,'UNIVERSITÁRIO','TIJUCAS','SC',12031,547,NULL,318,NULL,NULL,NULL,4,3),(28,7116292,2.00,6.00,2.00,4.00,4.00,10.50,3.00,4.00,6.00,104,NULL,NULL,'BRASÍLIA','COCAL SUL','SC',10060,246,NULL,NULL,NULL,NULL,NULL,2,5),(28,7116306,4.00,7.00,2.00,5.00,8.00,7.88,2.00,3.00,5.00,301,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8169,88,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116314,4.00,6.00,3.00,6.00,7.00,8.63,4.00,5.00,2.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7116322,1.00,5.00,2.00,7.00,5.00,7.50,2.00,4.00,2.00,331,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',15343,39,NULL,NULL,NULL,NULL,NULL,2,1),(28,7116330,2.00,7.00,1.00,7.00,7.00,6.75,3.00,7.00,3.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7858,241,NULL,NULL,NULL,NULL,NULL,2,1),(28,7116349,0.00,3.00,1.00,6.00,6.00,NULL,2.00,4.00,3.00,207,NULL,215,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7116365,0.00,4.00,1.00,3.00,3.00,7.88,2.00,3.00,1.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',18204,246,NULL,NULL,NULL,NULL,NULL,2,1),(28,7116381,1.00,5.00,1.00,7.00,5.00,8.63,4.00,5.00,3.00,336,NULL,NULL,'RAICHASKI','IÇARA','SC',14452,74,NULL,NULL,NULL,NULL,NULL,4,5),(28,7116390,2.00,8.00,0.00,6.00,5.00,NULL,2.00,6.00,4.00,103,NULL,NULL,'SANTA ROSA','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7116403,0.00,6.00,2.00,6.00,5.00,7.88,3.00,6.00,3.00,5,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',10104,298,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116411,3.00,8.00,2.00,6.00,9.00,7.13,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4549,1426,NULL,NULL,NULL,NULL,NULL,4,6),(28,7116420,4.00,7.00,1.00,7.00,5.00,7.13,1.00,4.00,5.00,454,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',13023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116438,3.00,9.00,3.00,7.00,9.00,7.88,5.00,6.00,5.00,340,NULL,NULL,'CENTRO','BRASÓPOLIS','MG',2317,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116446,4.00,7.00,2.00,7.00,7.00,9.75,3.00,7.00,1.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',7284,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116454,1.00,3.00,2.00,2.00,3.00,8.25,3.00,5.00,3.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',15333,109,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116462,5.00,7.00,1.00,4.00,7.00,6.38,1.00,6.00,2.00,601,NULL,203,'MADALOZZO','CEL VIVIDA','PR',10085,282,NULL,NULL,NULL,NULL,NULL,5,4),(28,7116470,5.00,7.00,3.00,7.00,9.00,9.75,4.00,5.00,5.00,207,NULL,201,'CENTRO','SIDERÓPOLIS','SC',3097,114,NULL,NULL,NULL,NULL,NULL,2,5),(28,7116489,7.00,7.00,6.00,6.00,9.00,10.13,4.00,8.00,4.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116497,1.00,7.00,1.00,6.00,7.00,9.75,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','IMBITUBA','SC',6821,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7116500,2.00,5.00,3.00,6.00,6.00,5.25,1.00,6.00,1.00,201,NULL,202,'OESTE','GOIÂNIA','GO',9947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116519,3.00,0.00,1.00,7.00,8.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO HISTÓRICO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(28,7116527,5.00,7.00,3.00,6.00,6.00,9.75,3.00,5.00,4.00,303,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',4501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7116535,7.00,6.00,3.00,5.00,7.00,8.25,3.00,5.00,3.00,103,NULL,NULL,'ALTO DA GLORIA','GOIÂNIA','GO',6286,1672,NULL,NULL,NULL,NULL,NULL,2,1),(28,7116543,5.00,7.00,2.00,4.00,8.00,10.13,4.00,6.00,6.00,102,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',4628,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116551,5.00,8.00,2.00,5.00,7.00,10.50,6.00,7.00,7.00,201,NULL,212,'IPIRANGA','S JOSÉ','SC',2222,162,NULL,49,NULL,NULL,NULL,4,1),(28,7116560,3.00,7.00,1.00,4.00,6.00,9.00,3.00,7.00,3.00,429,NULL,425,'ZONA RURAL','FAXINAL GUEDES','SC',13413,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116578,0.00,3.00,1.00,3.00,2.00,NULL,2.00,1.00,2.00,316,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7116586,1.00,4.00,1.00,4.00,5.00,6.38,2.00,3.00,3.00,336,NULL,NULL,'CENTRO','BRAGANÇA PAULISTA','SP',15440,78,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116594,1.00,4.00,2.00,5.00,4.00,6.75,2.00,5.00,2.00,203,NULL,NULL,'JARDIM SILVANA','IÇARA','SC',14896,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7116608,4.00,7.00,4.00,7.00,6.00,8.25,5.00,7.00,3.00,103,NULL,NULL,'BOTAFOGO','RIO JANEIRO','RJ',4063,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7116616,4.00,6.00,1.00,5.00,4.00,9.38,1.00,5.00,4.00,303,NULL,NULL,'UNIVERSITARIO','VIDEIRA','SC',8706,364,NULL,NULL,NULL,NULL,NULL,4,25),(28,7116624,3.00,8.00,0.00,8.00,10.00,NULL,2.00,6.00,5.00,454,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116632,2.00,6.00,2.00,7.00,7.00,7.50,3.00,4.00,3.00,303,NULL,NULL,'JARDIM SANTA MARINA','S JOSÉ R PARDO','SP',8382,357,NULL,NULL,NULL,NULL,NULL,2,1),(28,7116659,1.00,6.00,1.00,5.00,7.00,8.63,0.00,3.00,0.00,999,NULL,NULL,'CENTRO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7116667,4.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7116675,4.00,5.00,3.00,6.00,8.00,4.88,4.00,5.00,5.00,302,NULL,NULL,'IPIRANGA','S JOSÉ','SC',9785,53,NULL,NULL,NULL,NULL,NULL,2,1),(28,7116683,0.00,3.00,1.00,3.00,4.00,NULL,0.00,2.00,1.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116691,7.00,8.00,2.00,7.00,11.00,10.88,8.00,9.00,6.00,303,NULL,NULL,'MAR GROSSO','LAGUNA','SC',150,3,NULL,NULL,NULL,NULL,NULL,4,10),(28,7116705,4.00,8.00,3.00,5.00,8.00,9.00,5.00,7.00,2.00,108,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',4288,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116713,1.00,5.00,3.00,6.00,6.00,6.00,5.00,6.00,2.00,425,NULL,429,'BELA VISTA','PALHOÇA','SC',10653,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'IPORANGA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7116748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM IMPERADOR','PEREIRA BARRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7116764,3.00,5.00,4.00,6.00,9.00,10.13,5.00,7.00,5.00,211,NULL,601,'CARVOEIRA','FLORIANÓPOLIS','SC',3394,76,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7116799,2.00,5.00,3.00,7.00,7.00,7.88,1.00,6.00,5.00,601,NULL,201,'FIGUEIRA','URUSSANGA','SC',5849,113,NULL,NULL,NULL,NULL,NULL,4,5),(28,7116802,2.00,7.00,3.00,5.00,8.00,8.25,2.00,6.00,4.00,601,NULL,NULL,'CENTRO','CRICIÚMA','SC',7660,182,NULL,NULL,NULL,NULL,NULL,4,5),(28,7116810,2.00,0.00,1.00,5.00,7.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(28,7116829,6.00,7.00,5.00,5.00,9.00,7.88,6.00,6.00,3.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',2911,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7116837,3.00,7.00,2.00,6.00,7.00,10.13,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',5090,1503,NULL,NULL,NULL,NULL,NULL,2,9),(28,7116845,4.00,7.00,1.00,5.00,8.00,7.88,5.00,5.00,4.00,203,NULL,202,'CENTRO','XAXIM','SC',5548,369,NULL,153,NULL,NULL,NULL,4,1),(28,7116853,5.00,7.00,3.00,7.00,6.00,10.50,4.00,5.00,5.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4510,154,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7116888,7.00,8.00,5.00,6.00,9.00,8.63,5.00,7.00,7.00,103,NULL,NULL,'VILA CARRÃO','S PAULO','SP',583,384,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7116918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM NOVO BONGIOVA','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7116926,0.00,6.00,3.00,3.00,3.00,NULL,3.00,5.00,2.00,101,NULL,NULL,'PRAIA DA PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116942,0.00,5.00,2.00,3.00,3.00,NULL,0.00,2.00,4.00,201,NULL,233,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116950,1.00,8.00,1.00,6.00,7.00,6.00,5.00,7.00,4.00,304,NULL,NULL,'CENTRO','BIGUAÇU','SC',6769,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116969,3.00,7.00,1.00,4.00,9.00,9.38,3.00,7.00,4.00,304,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',6744,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116977,5.00,7.00,3.00,7.00,10.00,9.00,4.00,5.00,5.00,201,NULL,212,'PONTA DE BAIXO','S JOSÉ','SC',2907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7116985,1.00,4.00,2.00,6.00,7.00,11.25,0.00,4.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10215,2087,NULL,NULL,NULL,NULL,NULL,2,3),(28,7116993,1.00,4.00,0.00,3.00,5.00,6.00,1.00,4.00,1.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7117000,1.00,3.00,3.00,5.00,6.00,8.63,1.00,2.00,2.00,999,NULL,NULL,'INTERIOR','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7117019,4.00,7.00,2.00,7.00,9.00,7.50,4.00,6.00,5.00,238,NULL,235,'ROÇADO','S JOSÉ','SC',2438,7,NULL,NULL,NULL,NULL,NULL,4,5),(28,7117027,2.00,6.00,2.00,6.00,8.00,7.13,4.00,4.00,3.00,103,NULL,NULL,'ALTO FELIZ','ARARANGUÁ','SC',8246,1924,NULL,NULL,NULL,NULL,NULL,4,15),(28,7117035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'BARÃO GERALDO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7117051,4.00,6.00,2.00,4.00,5.00,11.25,1.00,4.00,3.00,103,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',8943,1992,NULL,NULL,NULL,NULL,NULL,4,3),(28,7117060,2.00,3.00,1.00,1.00,6.00,7.88,0.00,3.00,1.00,454,NULL,NULL,'CAMPINAS','S JOSÉ','SC',17783,363,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA MARINA','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7117086,6.00,8.00,4.00,7.00,8.00,7.88,6.00,7.00,5.00,203,NULL,216,'CENTRO','JOINVILLE','SC',1776,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7117094,4.00,6.00,3.00,3.00,6.00,9.00,5.00,7.00,2.00,203,NULL,201,'SÃO PEDRO','GUABIRUBA','SC',9863,532,NULL,NULL,NULL,NULL,NULL,2,22),(28,7117108,6.00,9.00,4.00,6.00,8.00,9.38,5.00,8.00,5.00,601,NULL,216,'JARDIM IRIRIÚ','JOINVILLE','SC',1101,4,NULL,NULL,NULL,NULL,NULL,4,8),(28,7117116,2.00,5.00,1.00,5.00,6.00,5.25,3.00,4.00,2.00,340,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',14775,389,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117132,4.00,6.00,0.00,5.00,7.00,7.13,2.00,4.00,5.00,552,NULL,NULL,'CENTRO','ANTÔNIO PRADO','RS',9574,29,NULL,NULL,NULL,NULL,NULL,4,9),(28,7117140,2.00,7.00,3.00,3.00,7.00,7.50,5.00,7.00,3.00,2,NULL,NULL,'VILA NOVA','BLUMENAU','SC',6971,19,NULL,NULL,NULL,NULL,NULL,4,2),(28,7117159,4.00,6.00,2.00,6.00,8.00,6.75,5.00,8.00,4.00,201,NULL,212,'JD SANTA CATARINA','BIGUAÇU','SC',4301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117167,0.00,3.00,0.00,4.00,4.00,7.50,1.00,3.00,2.00,309,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',18281,53,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117175,0.00,5.00,1.00,4.00,3.00,10.50,2.00,4.00,2.00,110,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117183,4.00,5.00,2.00,6.00,7.00,10.13,3.00,6.00,3.00,301,NULL,NULL,'MOEMA','S PAULO','SP',5467,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117205,3.00,6.00,5.00,7.00,8.00,8.63,2.00,5.00,5.00,215,NULL,601,'CENTRO','BIGUAÇU','SC',4858,34,NULL,NULL,NULL,NULL,NULL,2,1),(28,7117213,6.00,8.00,4.00,7.00,9.00,12.00,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','CARAGUATATUBA','SP',446,314,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117230,3.00,6.00,3.00,5.00,4.00,6.75,4.00,5.00,5.00,208,NULL,NULL,'FLORESTA','S JOSÉ','SC',9142,97,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117248,4.00,8.00,0.00,3.00,7.00,7.88,3.00,4.00,1.00,208,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',10846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7117264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7117272,3.00,4.00,0.00,2.00,5.00,4.88,3.00,5.00,1.00,308,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117280,2.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CAETANO BRANCO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,7),(28,7117299,6.00,5.00,1.00,4.00,6.00,9.00,3.00,5.00,4.00,110,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',7438,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117310,3.00,5.00,2.00,7.00,7.00,7.13,6.00,3.00,4.00,303,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',13494,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7117337,4.00,7.00,2.00,6.00,9.00,8.25,3.00,6.00,5.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8789,271,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117345,6.00,7.00,5.00,7.00,8.00,8.63,6.00,5.00,6.00,202,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',1199,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117361,6.00,6.00,4.00,7.00,8.00,10.13,7.00,5.00,4.00,103,NULL,NULL,'TAGUATINGA SUL','TAGUATINGA','DF',1839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117370,2.00,2.00,2.00,3.00,5.00,7.13,2.00,2.00,2.00,423,NULL,427,'CAMPECHE','FLORIANÓPOLIS','SC',19491,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7117388,1.00,5.00,4.00,6.00,5.00,7.50,3.00,2.00,3.00,103,NULL,NULL,'CENTRO','RIO CLARO','SP',11124,2144,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117396,4.00,7.00,2.00,5.00,7.00,8.63,5.00,6.00,5.00,208,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',8524,89,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117400,0.00,1.00,3.00,3.00,6.00,6.00,1.00,3.00,0.00,303,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',18596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117418,2.00,4.00,1.00,6.00,7.00,8.63,1.00,3.00,5.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16430,2419,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','GRAVATAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7117434,3.00,6.00,1.00,5.00,6.00,7.13,3.00,4.00,3.00,333,NULL,NULL,'SONHO NOSSO I','BARRA BONITA','SP',10293,60,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7117450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','S MANUEL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7117469,3.00,7.00,2.00,5.00,8.00,7.50,4.00,7.00,4.00,653,NULL,655,'MARELI','IÇARA','SC',5682,49,NULL,NULL,NULL,NULL,NULL,4,5),(28,7117477,0.00,4.00,3.00,3.00,7.00,7.13,2.00,3.00,4.00,302,NULL,NULL,'STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC',13942,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117493,1.00,6.00,1.00,7.00,8.00,8.63,4.00,7.00,6.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',8725,269,NULL,NULL,NULL,NULL,NULL,2,1),(28,7117507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM CHAPADÃO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7117515,1.00,6.00,1.00,5.00,8.00,8.63,5.00,6.00,3.00,103,NULL,NULL,'LOTE SEIS','CRICIÚMA','SC',7350,1814,NULL,NULL,NULL,NULL,NULL,4,5),(28,7117531,1.00,5.00,2.00,4.00,8.00,7.13,1.00,5.00,3.00,454,NULL,NULL,'CENTRO','TIJUCAS','SC',13278,269,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117540,0.00,5.00,2.00,7.00,7.00,7.50,3.00,5.00,2.00,999,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7117558,7.00,8.00,4.00,7.00,6.00,7.88,5.00,7.00,7.00,103,NULL,NULL,'JARDIM ELDORADO','ARARAQUARA','SP',1022,562,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117566,6.00,8.00,4.00,7.00,9.00,10.88,4.00,8.00,7.00,103,NULL,NULL,'JARDINS VIENA','APARECIDA GOIÂNIA','GO',563,371,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117574,3.00,6.00,2.00,4.00,4.00,8.63,0.00,4.00,3.00,103,NULL,NULL,'SERTÃO','STO AMARO IMPERATRIZ','SC',13917,2294,NULL,NULL,NULL,NULL,NULL,2,1),(28,7117582,0.00,5.00,2.00,3.00,3.00,5.25,2.00,5.00,1.00,238,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',19630,340,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117604,2.00,4.00,3.00,2.00,3.00,8.25,2.00,4.00,2.00,601,NULL,201,'PANAZZOLO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7117612,1.00,4.00,3.00,5.00,5.00,9.00,1.00,4.00,1.00,5,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',12193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117620,7.00,8.00,3.00,6.00,10.00,12.38,6.00,8.00,7.00,103,NULL,NULL,'EMBARÉ','SANTOS','SP',207,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7117639,1.00,4.00,3.00,7.00,6.00,7.50,2.00,3.00,1.00,421,NULL,425,'MONTE VERDE','FLORIANÓPOLIS','SC',17629,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117647,2.00,4.00,1.00,4.00,2.00,NULL,2.00,2.00,2.00,301,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7117671,6.00,7.00,5.00,6.00,5.00,6.75,4.00,6.00,6.00,203,NULL,214,'VILA AMÉRICA','S PAULO','SP',3149,231,NULL,114,NULL,NULL,NULL,4,8),(28,7117680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'ARAPONGUINHAS','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7117698,5.00,7.00,2.00,6.00,8.00,7.13,3.00,3.00,6.00,216,NULL,233,'TRIÂNGULO','ERECHIM','RS',6274,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7117701,9.00,8.00,4.00,7.00,10.00,7.50,7.00,8.00,7.00,103,NULL,NULL,'PEDRO LUDOVICO','GOIÂNIA','GO',374,269,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117710,4.00,6.00,3.00,6.00,7.00,8.63,4.00,5.00,5.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',3955,285,NULL,119,NULL,NULL,NULL,4,1),(28,7117728,2.00,4.00,1.00,7.00,2.00,NULL,1.00,4.00,3.00,450,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7117736,2.00,6.00,4.00,6.00,6.00,10.13,4.00,5.00,5.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6172,99,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117744,0.00,7.00,3.00,6.00,8.00,NULL,2.00,6.00,4.00,333,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117760,4.00,8.00,2.00,6.00,10.00,8.25,6.00,6.00,7.00,216,NULL,201,'SANTO ANTONIO','CHAPECÓ','SC',1270,34,NULL,NULL,NULL,NULL,NULL,4,4),(28,7117779,1.00,5.00,2.00,6.00,5.00,6.38,4.00,7.00,2.00,444,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',10360,31,NULL,NULL,NULL,NULL,NULL,2,1),(28,7117795,1.00,7.00,3.00,6.00,5.00,6.38,2.00,6.00,3.00,103,NULL,NULL,'VILA PEDRINI','JOAÇABA','SC',15886,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7117809,1.00,4.00,0.00,6.00,3.00,NULL,1.00,4.00,1.00,201,NULL,203,'INTERIOR','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7117825,2.00,6.00,3.00,5.00,6.00,8.63,4.00,6.00,4.00,999,NULL,NULL,'CENTRO','GR PARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7117876,0.00,5.00,3.00,0.00,1.00,NULL,0.00,1.00,2.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7117884,3.00,5.00,1.00,4.00,2.00,NULL,2.00,4.00,1.00,207,NULL,201,'CARANDÁ BOSQUE','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117892,3.00,6.00,2.00,6.00,6.00,9.00,5.00,6.00,4.00,202,NULL,213,'CENTRO','JARAGUÁ SUL','SC',5581,158,NULL,91,NULL,NULL,NULL,4,1),(28,7117906,0.00,5.00,2.00,6.00,8.00,9.75,3.00,6.00,3.00,423,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',7064,1,NULL,NULL,NULL,NULL,NULL,2,1),(28,7117914,1.00,6.00,2.00,5.00,8.00,9.38,1.00,7.00,3.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',9341,284,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117922,3.00,6.00,4.00,4.00,8.00,7.13,5.00,4.00,5.00,207,NULL,233,'PINHEIRA','PALHOÇA','SC',6174,285,NULL,156,NULL,NULL,NULL,4,1),(28,7117949,1.00,4.00,2.00,0.00,2.00,NULL,0.00,3.00,2.00,9,NULL,NULL,'SANTA CATARINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117957,4.00,5.00,4.00,4.00,6.00,7.13,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','MARAU','RS',8990,1998,NULL,NULL,NULL,NULL,NULL,4,4),(28,7117965,3.00,6.00,3.00,6.00,3.00,6.38,1.00,5.00,3.00,201,NULL,207,'VILA ÍRIS','S BERNARDO CAMPO','SP',13211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7117973,4.00,7.00,1.00,7.00,7.00,8.25,0.00,5.00,3.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',7223,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7117981,2.00,6.00,3.00,6.00,8.00,6.38,2.00,3.00,3.00,103,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',10261,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7117990,4.00,7.00,1.00,5.00,8.00,7.50,2.00,4.00,4.00,103,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',6958,1753,NULL,NULL,NULL,NULL,NULL,4,7),(28,7118015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PAULO MACHADO','HORIZONTINA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,26),(28,7118023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7118031,2.00,7.00,1.00,5.00,7.00,9.00,3.00,4.00,5.00,303,NULL,NULL,'GUANABARA','JOINVILLE','SC',7578,334,NULL,NULL,NULL,NULL,NULL,2,8),(28,7118040,3.00,5.00,2.00,7.00,4.00,9.00,2.00,3.00,5.00,319,NULL,NULL,'ALTO DE PINHEIROS','S PAULO','SP',8998,157,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118058,4.00,8.00,2.00,6.00,9.00,9.00,3.00,7.00,6.00,103,NULL,NULL,'CONDOMÍNIO GLEBA UM','MAIRIPORÃ','SP',4406,1406,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118066,3.00,7.00,2.00,6.00,8.00,9.38,2.00,5.00,4.00,415,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',6092,96,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118074,5.00,7.00,3.00,6.00,7.00,10.13,6.00,7.00,7.00,203,NULL,220,'VILA IZABEL','CURITIBA','PR',849,84,NULL,18,NULL,NULL,NULL,4,8),(28,7118082,2.00,6.00,1.00,7.00,6.00,9.00,1.00,4.00,2.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11105,89,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118090,1.00,7.00,1.00,6.00,5.00,5.25,2.00,4.00,2.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18524,273,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118104,5.00,7.00,1.00,5.00,8.00,8.63,5.00,6.00,5.00,233,NULL,216,'BUENO','GOIÂNIA','GO',3460,81,NULL,127,NULL,NULL,NULL,4,1),(28,7118112,4.00,5.00,2.00,7.00,8.00,9.00,2.00,6.00,5.00,213,NULL,653,'IPIRANGA','S JOSÉ','SC',6869,117,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118120,4.00,7.00,1.00,4.00,3.00,10.88,5.00,7.00,6.00,303,NULL,NULL,'COND GUAPORÉ I','RIBEIRÃO PRETO','SP',8602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118139,5.00,7.00,4.00,7.00,6.00,6.75,5.00,6.00,7.00,203,NULL,216,'PANTANAL','FLORIANÓPOLIS','SC',3641,266,NULL,137,NULL,NULL,NULL,4,1),(28,7118171,1.00,4.00,1.00,3.00,3.00,5.25,2.00,5.00,3.00,208,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118201,5.00,7.00,4.00,4.00,6.00,9.75,5.00,5.00,4.00,211,NULL,201,'AGRONÔMICA','FLORIANÓPOLIS','SC',4860,119,NULL,373,NULL,NULL,NULL,4,1),(28,7118210,4.00,5.00,2.00,7.00,6.00,7.88,2.00,3.00,2.00,102,NULL,NULL,'SORGATTO','CAÇADOR','SC',8723,67,NULL,NULL,NULL,NULL,NULL,2,25),(28,7118244,6.00,8.00,6.00,7.00,8.00,7.88,7.00,7.00,8.00,201,NULL,202,'JARDIM GOIAS','GOIÂNIA','GO',396,16,NULL,NULL,NULL,NULL,NULL,4,8),(28,7118252,3.00,7.00,5.00,5.00,4.00,6.75,3.00,4.00,4.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9829,92,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118260,1.00,2.00,5.00,5.00,4.00,4.88,0.00,3.00,2.00,336,NULL,NULL,'CENTRO','RIO NEGRO','PR',16167,83,NULL,NULL,NULL,NULL,NULL,2,17),(28,7118279,3.00,7.00,3.00,5.00,9.00,7.50,4.00,7.00,6.00,104,NULL,NULL,'VILA MARIANA','TAIÓ','SC',5384,100,NULL,NULL,NULL,NULL,NULL,2,1),(28,7118287,4.00,5.00,2.00,6.00,7.00,10.13,3.00,3.00,4.00,103,NULL,NULL,'COPACABANA','LAGES','SC',6924,1749,NULL,NULL,NULL,NULL,NULL,4,9),(28,7118309,6.00,8.00,2.00,8.00,8.00,9.75,4.00,7.00,5.00,201,NULL,207,'SALTO DO NORTE','BLUMENAU','SC',1487,90,NULL,41,NULL,NULL,NULL,4,2),(28,7118317,6.00,7.00,3.00,6.00,8.00,10.13,5.00,6.00,6.00,103,NULL,NULL,'NEREIDAS','GUARATUBA','PR',1347,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7118325,3.00,9.00,2.00,7.00,7.00,8.25,4.00,7.00,4.00,103,NULL,NULL,'TERMAS','GRAVATAL','SC',4389,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7118333,5.00,7.00,4.00,6.00,5.00,10.13,3.00,4.00,5.00,103,NULL,NULL,'GIOCONDO ORSI','CPO GRANDE','MS',7899,1887,NULL,NULL,NULL,NULL,NULL,4,3),(28,7118341,3.00,2.00,2.00,5.00,8.00,8.25,1.00,4.00,3.00,552,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',16729,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7118350,5.00,6.00,2.00,7.00,5.00,8.63,5.00,7.00,1.00,208,NULL,NULL,'VELHA','BLUMENAU','SC',5580,40,NULL,NULL,NULL,NULL,NULL,4,2),(28,7118368,2.00,7.00,3.00,6.00,9.00,9.00,3.00,6.00,2.00,340,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',6088,156,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118376,5.00,5.00,3.00,7.00,9.00,10.13,2.00,6.00,5.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',4067,142,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118384,6.00,6.00,1.00,7.00,9.00,7.88,5.00,6.00,4.00,302,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',7170,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7118392,4.00,7.00,2.00,5.00,10.00,10.88,3.00,7.00,6.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',2349,979,NULL,NULL,NULL,NULL,NULL,4,2),(28,7118430,5.00,8.00,4.00,7.00,8.00,9.00,4.00,5.00,4.00,333,NULL,NULL,'JARDIM UMUARAMA','TRÊS CORAÇÕES','MG',2554,7,NULL,NULL,NULL,NULL,NULL,4,3),(28,7118449,0.00,3.00,1.00,7.00,4.00,NULL,2.00,4.00,2.00,316,NULL,NULL,'SANTA CRUZ','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7118465,2.00,3.00,3.00,5.00,2.00,NULL,2.00,2.00,2.00,211,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7118473,6.00,8.00,4.00,5.00,9.00,8.25,7.00,8.00,7.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',589,386,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118481,0.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,3.00,238,NULL,NULL,'JARDIM ANA ESTELA','CARAPICUÍBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118490,0.00,4.00,2.00,6.00,3.00,8.25,2.00,6.00,1.00,207,NULL,201,'OLIVEIRA','STO ÂNGELO','RS',15004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118503,3.00,7.00,3.00,7.00,9.00,6.75,6.00,6.00,6.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4814,69,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118520,4.00,6.00,1.00,4.00,7.00,6.75,2.00,5.00,4.00,102,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11552,110,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118538,4.00,6.00,3.00,6.00,8.00,9.00,4.00,7.00,6.00,207,NULL,201,'ÁGUA VERDE','BLUMENAU','SC',2986,104,NULL,224,NULL,NULL,NULL,4,2),(28,7118546,3.00,8.00,3.00,7.00,3.00,9.75,3.00,6.00,3.00,601,NULL,233,'PRAIA COMPRIDA','S JOSÉ','SC',6391,133,NULL,NULL,NULL,NULL,NULL,2,1),(28,7118554,3.00,4.00,1.00,3.00,7.00,6.00,3.00,6.00,3.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12999,350,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118562,0.00,2.00,0.00,4.00,4.00,NULL,2.00,5.00,3.00,316,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7118570,0.00,6.00,3.00,5.00,5.00,NULL,2.00,3.00,2.00,230,NULL,NULL,'SÃO VICENTE','ITAPIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'FAZENDA S ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7118619,6.00,7.00,2.00,6.00,6.00,7.50,4.00,6.00,3.00,109,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',8802,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118635,3.00,6.00,2.00,7.00,4.00,6.00,2.00,6.00,1.00,238,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',11471,175,NULL,NULL,NULL,NULL,NULL,2,1),(28,7118643,0.00,3.00,3.00,6.00,8.00,9.75,2.00,3.00,2.00,207,NULL,202,'BOM JESUS','LAGES','SC',17551,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7118651,1.00,5.00,1.00,1.00,0.00,NULL,2.00,3.00,0.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7118678,2.00,8.00,2.00,7.00,8.00,8.63,3.00,6.00,2.00,201,NULL,233,'COQUEIROS','FLORIANÓPOLIS','SC',6474,499,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118686,5.00,7.00,5.00,6.00,4.00,10.13,4.00,7.00,5.00,201,NULL,220,'VILA CANEVARI','CRUZEIRO','SP',3244,245,NULL,95,NULL,NULL,NULL,4,1),(28,7118694,5.00,7.00,5.00,6.00,7.00,10.88,2.00,7.00,6.00,303,NULL,NULL,'JARDIM INDEPENDÊNCIA','TAUBATÉ','SP',1850,88,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118708,2.00,2.00,0.00,4.00,3.00,8.25,1.00,3.00,2.00,208,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',17031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118732,1.00,3.00,1.00,4.00,5.00,6.75,2.00,4.00,3.00,601,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',15115,449,NULL,NULL,NULL,NULL,NULL,2,8),(28,7118759,4.00,7.00,5.00,6.00,8.00,9.38,5.00,6.00,5.00,207,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',3518,135,NULL,106,NULL,NULL,NULL,4,1),(28,7118767,4.00,7.00,3.00,4.00,7.00,7.50,3.00,7.00,4.00,103,NULL,NULL,'MIRINZINHO','MIRIM DOCE','SC',6255,1667,NULL,NULL,NULL,NULL,NULL,4,24),(28,7118783,3.00,6.00,1.00,6.00,5.00,10.88,0.00,6.00,2.00,450,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15086,110,NULL,NULL,NULL,NULL,NULL,2,1),(28,7118805,6.00,7.00,4.00,6.00,5.00,10.88,5.00,6.00,6.00,212,NULL,233,'CENTRO','URUBICI','SC',1844,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7118813,5.00,6.00,3.00,7.00,5.00,5.25,4.00,5.00,4.00,202,NULL,235,'JARDIM FACULDADE','SOROCABA','SP',7730,208,NULL,132,NULL,NULL,NULL,4,1),(28,7118821,1.00,4.00,4.00,3.00,1.00,NULL,1.00,5.00,3.00,552,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,16),(28,7118830,0.00,3.00,0.00,1.00,4.00,8.25,2.00,1.00,1.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',20101,562,NULL,NULL,NULL,NULL,NULL,6,8),(28,7118848,1.00,7.00,1.00,5.00,3.00,10.13,3.00,5.00,5.00,108,NULL,NULL,'CENTRO','PTO ALEGRE','RS',14194,196,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118856,1.00,8.00,0.00,6.00,7.00,NULL,2.00,5.00,3.00,233,NULL,215,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7118864,4.00,6.00,5.00,6.00,3.00,8.25,5.00,3.00,6.00,103,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',9870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118880,2.00,5.00,2.00,6.00,6.00,4.88,5.00,2.00,4.00,211,NULL,201,'COLÔNIA SANTANA','S JOSÉ','SC',13841,350,NULL,860,NULL,NULL,NULL,2,1),(28,7118899,1.00,6.00,2.00,4.00,6.00,9.38,0.00,5.00,2.00,454,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',13166,266,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118910,3.00,5.00,4.00,4.00,7.00,7.88,4.00,3.00,1.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118937,2.00,6.00,2.00,4.00,5.00,5.63,2.00,4.00,3.00,329,NULL,NULL,'NOSSA SRA DA SALETE','CRICIÚMA','SC',18499,26,NULL,NULL,NULL,NULL,NULL,4,5),(28,7118945,2.00,6.00,0.00,7.00,5.00,5.25,2.00,6.00,4.00,340,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',17392,412,NULL,NULL,NULL,NULL,NULL,4,1),(28,7118953,2.00,6.00,2.00,5.00,4.00,7.50,2.00,4.00,3.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',17136,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7118961,1.00,3.00,2.00,7.00,4.00,4.88,3.00,3.00,4.00,223,NULL,NULL,'MINA BRASIL','CRICIÚMA','SC',19030,43,NULL,NULL,NULL,NULL,NULL,4,5),(28,7118988,2.00,4.00,2.00,6.00,5.00,6.00,0.00,6.00,3.00,207,NULL,655,'SAO CRISTOVAO','CRICIÚMA','SC',18438,NULL,NULL,115,NULL,NULL,NULL,2,5),(28,7118996,4.00,6.00,2.00,6.00,7.00,10.13,6.00,5.00,5.00,215,NULL,213,'JARDIM SANTA GENEBRA','CAMPINAS','SP',4527,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119011,3.00,6.00,1.00,5.00,6.00,7.88,3.00,4.00,2.00,316,NULL,NULL,'MINA BRASIL','CRICIÚMA','SC',16024,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7119020,3.00,6.00,1.00,6.00,5.00,9.00,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',14014,2302,NULL,NULL,NULL,NULL,NULL,4,5),(28,7119038,5.00,9.00,3.00,6.00,6.00,9.75,4.00,7.00,8.00,201,NULL,652,'PIO CORREA','CRICIÚMA','SC',1731,106,NULL,2,NULL,NULL,NULL,4,5),(28,7119046,5.00,7.00,3.00,7.00,7.00,8.25,5.00,7.00,6.00,214,NULL,213,'MUARAMA','PASSOS','MG',1848,NULL,NULL,10,NULL,NULL,NULL,4,1),(28,7119054,1.00,6.00,2.00,5.00,5.00,8.63,2.00,6.00,3.00,333,NULL,NULL,'CENTRO','CRICIÚMA','SC',16841,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7119070,0.00,6.00,1.00,3.00,3.00,6.75,2.00,5.00,4.00,444,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',19017,132,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'STIEP','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7119097,0.00,4.00,1.00,5.00,4.00,NULL,1.00,2.00,3.00,110,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119100,4.00,7.00,4.00,7.00,7.00,7.88,5.00,6.00,2.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4569,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,503,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7119135,2.00,4.00,2.00,5.00,7.00,10.50,2.00,5.00,2.00,103,NULL,NULL,'MARTELLO','CAÇADOR','SC',15152,2361,NULL,NULL,NULL,NULL,NULL,2,25),(28,7119143,1.00,8.00,3.00,5.00,8.00,8.25,3.00,7.00,2.00,318,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12718,87,NULL,NULL,NULL,NULL,NULL,5,1),(28,7119151,2.00,7.00,4.00,6.00,7.00,0.00,3.00,7.00,2.00,207,NULL,201,'TOBIAS','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119160,2.00,7.00,4.00,5.00,8.00,7.50,5.00,5.00,4.00,235,NULL,220,'ESTREITO','FLORIANÓPOLIS','SC',6258,104,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'PARQUE SAO PAULO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7119194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,235,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7119216,0.00,3.00,0.00,3.00,4.00,NULL,1.00,5.00,1.00,110,NULL,NULL,'SANTA ISABEL','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119224,1.00,4.00,3.00,6.00,4.00,7.88,2.00,4.00,4.00,324,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17130,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119232,1.00,3.00,0.00,1.00,3.00,NULL,0.00,3.00,3.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7119240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'INTERIOR','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7119259,3.00,5.00,2.00,7.00,8.00,4.50,2.00,4.00,4.00,201,NULL,212,'COMERCIÁRIO','CRICIÚMA','SC',8885,NULL,NULL,270,NULL,NULL,NULL,4,5),(28,7119291,4.00,6.00,5.00,4.00,10.00,6.75,3.00,7.00,4.00,5,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',4323,150,NULL,NULL,NULL,NULL,NULL,4,5),(28,7119313,1.00,2.00,0.00,4.00,4.00,NULL,1.00,2.00,0.00,102,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7119321,1.00,7.00,1.00,7.00,6.00,8.63,2.00,5.00,2.00,216,NULL,212,'PIO CORREA','CRICIÚMA','SC',10481,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7119330,2.00,2.00,2.00,4.00,4.00,4.88,2.00,2.00,1.00,601,NULL,203,'BOA VISTA','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7119364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7119380,4.00,7.00,2.00,5.00,6.00,8.25,4.00,5.00,4.00,220,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',6393,176,NULL,NULL,NULL,NULL,NULL,4,15),(28,7119399,6.00,8.00,5.00,7.00,9.00,7.50,3.00,8.00,7.00,303,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',1878,89,NULL,NULL,NULL,NULL,NULL,4,5),(28,7119402,2.00,4.00,1.00,5.00,6.00,7.88,4.00,4.00,3.00,316,NULL,NULL,'PIO CORREIA','CRICIÚMA','SC',16153,214,NULL,NULL,NULL,NULL,NULL,2,5),(28,7119410,6.00,5.00,2.00,5.00,4.00,8.25,1.00,3.00,4.00,404,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',10877,7,NULL,NULL,NULL,NULL,NULL,2,1),(28,7119429,3.00,8.00,2.00,8.00,7.00,7.88,3.00,4.00,3.00,340,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',5258,134,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119437,6.00,6.00,3.00,5.00,8.00,9.00,5.00,6.00,5.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3390,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119445,7.00,9.00,4.00,6.00,9.00,7.88,3.00,8.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2572,89,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119453,1.00,5.00,1.00,6.00,6.00,NULL,4.00,3.00,2.00,333,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,5),(28,7119461,1.00,7.00,4.00,6.00,9.00,8.25,3.00,7.00,4.00,339,NULL,NULL,'CENTRO','CRICIÚMA','SC',4789,1,NULL,NULL,NULL,NULL,NULL,4,5),(28,7119496,4.00,7.00,3.00,5.00,7.00,6.75,4.00,5.00,2.00,102,NULL,NULL,'CENTRO','PAPANDUVA','SC',8980,72,NULL,NULL,NULL,NULL,NULL,2,17),(28,7119500,0.00,0.00,3.00,6.00,7.00,NULL,0.00,0.00,0.00,207,NULL,216,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(28,7119518,0.00,5.00,3.00,4.00,5.00,7.13,2.00,2.00,2.00,340,NULL,NULL,'CAJURU','CURITIBA','PR',15595,400,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119534,2.00,7.00,2.00,6.00,7.00,6.38,3.00,4.00,1.00,5,NULL,NULL,'MICHEL','CRICIÚMA','SC',9027,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7119542,0.00,5.00,1.00,5.00,4.00,6.38,4.00,3.00,4.00,214,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',18798,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7119550,3.00,6.00,2.00,5.00,7.00,8.63,3.00,7.00,4.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',9527,113,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119569,5.00,7.00,4.00,6.00,8.00,8.63,5.00,6.00,6.00,318,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2840,7,NULL,NULL,NULL,NULL,NULL,2,1),(28,7119577,1.00,2.00,2.00,3.00,2.00,NULL,1.00,2.00,3.00,316,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7119593,5.00,8.00,1.00,7.00,9.00,11.63,6.00,7.00,5.00,454,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1647,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119607,2.00,7.00,3.00,5.00,8.00,6.75,4.00,5.00,3.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7119623,0.00,5.00,1.00,3.00,1.00,NULL,2.00,5.00,1.00,234,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7119631,5.00,7.00,1.00,7.00,8.00,10.50,3.00,6.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6050,125,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119658,1.00,4.00,2.00,5.00,3.00,7.50,2.00,6.00,2.00,224,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',17534,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7119666,4.00,7.00,2.00,7.00,8.00,7.88,3.00,4.00,4.00,207,NULL,201,'CENTRO','LAGES','SC',5681,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7119674,3.00,8.00,1.00,7.00,7.00,10.50,3.00,6.00,2.00,326,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10325,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119690,0.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7119712,1.00,2.00,1.00,4.00,0.00,NULL,3.00,2.00,2.00,201,NULL,212,'INTERIOR','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7119720,3.00,6.00,3.00,4.00,9.00,7.13,2.00,3.00,3.00,103,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',14429,2328,NULL,NULL,NULL,NULL,NULL,2,1),(28,7119739,1.00,5.00,1.00,6.00,5.00,5.25,3.00,5.00,4.00,317,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11075,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119747,3.00,6.00,2.00,3.00,5.00,5.25,4.00,4.00,3.00,201,NULL,207,'SACO GRANDE','FLORIANÓPOLIS','SC',11917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119755,3.00,7.00,1.00,5.00,7.00,9.75,3.00,5.00,4.00,216,NULL,233,'INGLESES','FLORIANÓPOLIS','SC',5901,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119771,0.00,2.00,2.00,4.00,4.00,5.63,3.00,6.00,2.00,999,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7119798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S',NULL,4,1),(28,7119801,4.00,7.00,3.00,6.00,6.00,6.75,2.00,6.00,3.00,203,NULL,201,'JD CIDADE MONÇÕES','MARINGÁ','PR',11343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119810,0.00,5.00,2.00,7.00,6.00,NULL,2.00,4.00,2.00,201,NULL,233,'JORDÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7119836,4.00,6.00,0.00,5.00,6.00,7.50,3.00,6.00,3.00,103,NULL,NULL,'NOVA DIVINÉIA','PINHALZINHO','SC',8657,1971,NULL,NULL,NULL,NULL,NULL,2,4),(28,7119852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CIDADE GAÚCHA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7119860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VILA ANTONIO VENDAS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7119895,1.00,4.00,3.00,3.00,7.00,6.75,0.00,3.00,1.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7119917,0.00,3.00,2.00,3.00,2.00,NULL,0.00,5.00,4.00,101,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119925,2.00,2.00,0.00,5.00,5.00,NULL,0.00,4.00,1.00,551,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7119933,1.00,7.00,2.00,7.00,3.00,10.50,3.00,5.00,4.00,103,NULL,NULL,'PALMITAL','MARÍLIA','SP',8612,1963,NULL,NULL,NULL,NULL,NULL,2,23),(28,7119941,7.00,7.00,4.00,6.00,9.00,11.25,3.00,7.00,6.00,103,NULL,NULL,'VILA MADALENA','S PAULO','SP',719,438,NULL,NULL,NULL,NULL,NULL,4,1),(28,7119950,1.00,4.00,3.00,5.00,5.00,7.13,2.00,4.00,3.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17787,346,NULL,NULL,NULL,NULL,NULL,2,1),(28,7119968,1.00,4.00,2.00,1.00,7.00,6.75,1.00,5.00,1.00,655,NULL,653,'LINHA JUNDIÁ','TURVO','SC',19335,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7119984,0.00,4.00,1.00,4.00,3.00,5.25,0.00,2.00,1.00,5,NULL,NULL,'HUMAITA DE CIMA','TUBARÃO','SC',20124,497,NULL,NULL,NULL,NULL,NULL,2,10),(28,7120028,3.00,8.00,1.00,7.00,5.00,8.25,4.00,5.00,4.00,214,NULL,213,'PARQUE DOS PÁSSAROS','S BERNARDO CAMPO','SP',5439,171,NULL,86,NULL,NULL,NULL,4,1),(28,7120036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,220,'BOSQUE DA SAUDE','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7120044,1.00,5.00,4.00,6.00,6.00,7.50,3.00,3.00,2.00,308,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',15930,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7120052,2.00,3.00,2.00,6.00,5.00,8.25,1.00,5.00,1.00,340,NULL,NULL,'CENTRO','OSÓRIO','RS',13943,372,NULL,NULL,NULL,NULL,NULL,4,1),(28,7120087,3.00,7.00,3.00,6.00,5.00,7.13,3.00,5.00,6.00,220,NULL,NULL,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',5133,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7120095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7120109,3.00,3.00,3.00,4.00,6.00,4.50,1.00,3.00,1.00,551,NULL,NULL,'CENTRO','FRAIBURGO','SC',19549,63,NULL,NULL,NULL,NULL,NULL,2,16),(28,7120117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'ÁGUAS CLARAS','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7120125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7120133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7120141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7120150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7120168,1.00,6.00,3.00,3.00,4.00,7.88,3.00,5.00,2.00,304,NULL,NULL,'CENTRO','CRICIÚMA','SC',16687,119,NULL,NULL,NULL,NULL,NULL,4,1),(28,7120184,4.00,5.00,1.00,3.00,5.00,6.75,1.00,4.00,3.00,552,NULL,NULL,'PAES LEME','IMBITUBA','SC',14520,92,NULL,NULL,NULL,NULL,NULL,2,10),(28,7120192,1.00,5.00,2.00,2.00,6.00,5.63,3.00,4.00,4.00,201,NULL,238,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',14526,892,NULL,239,NULL,NULL,NULL,4,1),(28,7120214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PEPERIGUAÇU','DIONÍSIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7120230,4.00,9.00,0.00,4.00,10.00,11.25,1.00,5.00,7.00,103,NULL,NULL,'SAÚDE','S PAULO','SP',3629,1263,NULL,NULL,NULL,NULL,NULL,4,8),(28,7120257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7120265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7120273,1.00,6.00,2.00,4.00,5.00,3.00,4.00,7.00,3.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7120281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7120290,3.00,6.00,1.00,6.00,9.00,8.25,3.00,4.00,4.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7309,198,NULL,NULL,NULL,NULL,NULL,4,1),(28,7120303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(28,7120311,2.00,2.00,1.00,3.00,4.00,6.38,1.00,1.00,1.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7120320,0.00,7.00,3.00,7.00,4.00,10.50,3.00,5.00,3.00,327,NULL,NULL,'CAMOBI','STA MARIA','RS',14053,40,NULL,NULL,NULL,NULL,NULL,2,1),(28,7120338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'PINHAL PRETO','XAVANTINA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7120346,1.00,6.00,2.00,7.00,5.00,9.38,1.00,6.00,2.00,999,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7120354,6.00,8.00,3.00,6.00,7.00,7.13,7.00,7.00,6.00,201,NULL,212,'CENTRO','IÇARA','SC',1941,124,NULL,34,NULL,NULL,NULL,4,5),(28,7120370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,233,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7120397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7120419,4.00,6.00,2.00,5.00,5.00,8.25,2.00,2.00,7.00,238,NULL,235,'RIO VERMELHO','FLORIANÓPOLIS','SC',8543,118,NULL,138,NULL,NULL,NULL,2,1),(28,7120427,5.00,7.00,3.00,6.00,8.00,8.25,3.00,7.00,2.00,103,NULL,NULL,'MARIA GORETI','CHAPECÓ','SC',4071,1338,NULL,NULL,NULL,NULL,NULL,4,4),(28,7120435,2.00,8.00,2.00,5.00,4.00,0.00,5.00,4.00,2.00,3,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7120451,3.00,7.00,1.00,6.00,8.00,10.13,2.00,7.00,3.00,319,NULL,NULL,'CENTRO','TUBARÃO','SC',7826,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7120478,6.00,6.00,2.00,6.00,6.00,7.13,6.00,6.00,5.00,201,NULL,203,'JARDIM SANTA CRUZ','RIBEIRÃO PRETO','SP',3359,252,NULL,243,NULL,NULL,NULL,4,1),(28,7120494,9.00,7.00,2.00,7.00,9.00,7.88,7.00,8.00,8.00,103,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7120508,1.00,7.00,1.00,6.00,8.00,7.50,4.00,6.00,3.00,999,NULL,NULL,'TESTO CENTRAL ALTO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7120516,1.00,4.00,2.00,5.00,2.00,NULL,0.00,4.00,2.00,338,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7120532,0.00,5.00,2.00,5.00,3.00,7.88,2.00,5.00,4.00,233,NULL,201,'JARDIM ALVORADA','OURO PRETO','MG',11118,257,NULL,730,NULL,NULL,NULL,2,1),(28,7120567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PQ SAO LUIS','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7120583,4.00,7.00,2.00,7.00,8.00,7.13,5.00,7.00,5.00,308,NULL,NULL,'BOA VISTA','JOINVILLE','SC',7695,6,NULL,NULL,NULL,NULL,NULL,4,8),(28,7120613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,203,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7120621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'INTERIOR','TRÊS ARROIOS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,26),(28,7120630,1.00,5.00,2.00,2.00,5.00,6.00,4.00,6.00,1.00,207,NULL,201,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',14594,648,NULL,894,NULL,NULL,NULL,4,1),(28,7120648,2.00,6.00,3.00,7.00,9.00,7.50,4.00,7.00,4.00,201,NULL,214,'TABOÃO','RIO SUL','SC',8279,NULL,NULL,234,NULL,NULL,NULL,4,24),(28,7120656,3.00,8.00,1.00,4.00,7.00,5.25,2.00,5.00,3.00,214,NULL,212,'INACIO BARBOSA','ARACAJU','SE',15721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7120664,4.00,8.00,2.00,7.00,10.00,11.25,5.00,6.00,4.00,337,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',3505,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7120680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'LOURO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7120702,2.00,6.00,2.00,5.00,5.00,6.75,7.00,4.00,3.00,213,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',10861,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7120710,6.00,7.00,5.00,5.00,9.00,7.88,4.00,6.00,7.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',2143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7120729,5.00,8.00,1.00,7.00,11.00,12.00,1.00,8.00,5.00,104,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',2536,26,NULL,NULL,NULL,NULL,NULL,2,15),(28,7120737,3.00,7.00,2.00,5.00,7.00,7.88,5.00,5.00,5.00,201,NULL,653,'JOÃO PAULO','FLORIANÓPOLIS','SC',5780,452,NULL,53,NULL,NULL,NULL,4,1),(28,7120761,3.00,3.00,2.00,7.00,7.00,7.50,2.00,5.00,2.00,103,NULL,NULL,'PARQUE MANDAQUI','S PAULO','SP',14680,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7120770,2.00,2.00,2.00,4.00,6.00,5.25,1.00,3.00,3.00,104,NULL,NULL,'PASSA VINTE','FLORIANÓPOLIS','SC',19478,457,NULL,NULL,NULL,NULL,NULL,2,1),(28,7120788,2.00,5.00,1.00,6.00,8.00,11.25,4.00,5.00,2.00,103,NULL,NULL,'VILA DO BOSQUE','S PAULO','SP',6011,1628,NULL,NULL,NULL,NULL,NULL,2,8),(28,7120796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7120818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7120826,3.00,4.00,3.00,2.00,6.00,7.13,3.00,3.00,1.00,319,NULL,NULL,'ITACOLOMI','BAL PIÇARRAS','SC',14339,276,NULL,NULL,NULL,NULL,NULL,4,6),(28,7120842,2.00,1.00,3.00,4.00,4.00,4.50,2.00,5.00,4.00,404,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',19552,74,NULL,NULL,NULL,NULL,NULL,2,1),(28,7120850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7120877,1.00,5.00,3.00,2.00,3.00,6.75,1.00,3.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19611,488,NULL,NULL,NULL,NULL,NULL,4,1),(28,7120893,1.00,5.00,1.00,6.00,4.00,6.75,2.00,2.00,1.00,301,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',15788,224,NULL,NULL,NULL,NULL,NULL,4,1),(28,7120907,0.00,2.00,1.00,3.00,4.00,6.75,1.00,2.00,0.00,9,NULL,NULL,'INTERIOR','JUPIÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7120915,1.00,4.00,2.00,3.00,7.00,6.75,2.00,4.00,2.00,303,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',18804,594,NULL,NULL,NULL,NULL,NULL,4,7),(28,7120923,5.00,8.00,5.00,5.00,10.00,12.75,7.00,6.00,8.00,103,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',811,472,NULL,NULL,NULL,NULL,NULL,4,1),(28,7120958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'CENTRO','MATINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7120974,2.00,3.00,4.00,3.00,8.00,8.63,4.00,3.00,5.00,207,NULL,203,'JARDIM ALTLÂNTICO','FLORIANÓPOLIS','SC',14758,653,NULL,635,NULL,NULL,NULL,4,1),(28,7120982,3.00,6.00,1.00,6.00,8.00,8.63,3.00,7.00,4.00,303,NULL,NULL,'MONT SERRAT','PTO ALEGRE','RS',5878,268,NULL,NULL,NULL,NULL,NULL,4,1),(28,7120990,0.00,3.00,1.00,6.00,3.00,9.00,1.00,2.00,1.00,103,NULL,NULL,'CENTRO','MARAVILHA','SC',19768,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7121008,3.00,7.00,1.00,5.00,8.00,10.13,1.00,5.00,2.00,238,NULL,220,'ESTREITO','FLORIANÓPOLIS','SC',13509,225,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121016,0.00,2.00,2.00,3.00,3.00,7.13,1.00,1.00,1.00,109,NULL,NULL,'CENTRO','BIGUAÇU','SC',19273,90,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121024,0.00,6.00,2.00,1.00,3.00,NULL,0.00,3.00,0.00,201,NULL,212,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7121032,2.00,6.00,3.00,3.00,3.00,5.25,3.00,4.00,2.00,501,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',14187,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7121040,6.00,5.00,3.00,4.00,5.00,7.50,3.00,2.00,2.00,222,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',13235,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121067,4.00,7.00,1.00,5.00,10.00,9.38,2.00,5.00,2.00,201,NULL,214,'MUNICÍPIOS','CAÇADOR','SC',6504,500,NULL,196,NULL,NULL,NULL,4,25),(28,7121075,1.00,4.00,0.00,5.00,6.00,7.50,4.00,5.00,1.00,999,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7121083,4.00,6.00,2.00,6.00,6.00,9.00,2.00,5.00,5.00,103,NULL,NULL,'SHANGRILA A','LONDRINA','PR',5734,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121091,0.00,6.00,2.00,3.00,5.00,NULL,0.00,2.00,4.00,551,NULL,NULL,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7121105,3.00,6.00,1.00,7.00,8.00,6.75,5.00,3.00,4.00,211,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',8978,NULL,NULL,156,NULL,NULL,NULL,2,1),(28,7121113,0.00,3.00,3.00,1.00,3.00,4.88,1.00,3.00,1.00,502,NULL,NULL,'PINHEIRAL','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7121121,5.00,7.00,3.00,7.00,8.00,12.38,4.00,7.00,8.00,201,NULL,601,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',1790,109,NULL,15,NULL,NULL,NULL,4,1),(28,7121156,1.00,6.00,1.00,6.00,3.00,7.50,1.00,5.00,3.00,327,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',18279,58,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121164,7.00,8.00,3.00,7.00,8.00,8.63,7.00,8.00,5.00,201,NULL,212,'CENTRO','S JOÃO BATISTA','SC',1401,79,NULL,10,NULL,NULL,NULL,4,22),(28,7121172,4.00,4.00,4.00,6.00,5.00,7.88,4.00,5.00,4.00,202,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',9120,238,NULL,NULL,NULL,NULL,NULL,4,4),(28,7121180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'JARDIM SELMA','MOGI GUAÇU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7121199,2.00,4.00,1.00,3.00,6.00,6.75,3.00,4.00,2.00,654,NULL,NULL,'CENTRO','CRICIÚMA','SC',15906,56,NULL,NULL,NULL,NULL,NULL,4,5),(28,7121210,7.00,7.00,6.00,8.00,10.00,12.00,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',215,167,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121229,2.00,6.00,2.00,6.00,6.00,10.13,3.00,7.00,3.00,103,NULL,NULL,'VILA SAO JORGE','GUARULHOS','SP',5340,1547,NULL,NULL,NULL,NULL,NULL,2,1),(28,7121237,0.00,6.00,1.00,7.00,6.00,7.88,2.00,3.00,2.00,601,NULL,215,'CENTRO','FOZ IGUAÇU','PR',12184,363,NULL,206,NULL,NULL,NULL,4,8),(28,7121245,4.00,7.00,5.00,6.00,8.00,7.88,4.00,5.00,8.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',1762,822,NULL,NULL,NULL,NULL,NULL,4,5),(28,7121253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7121261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,203,'CEILÂNDIA NORTE','CEILÂNDIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7121270,8.00,8.00,6.00,7.00,9.00,10.13,6.00,8.00,7.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',145,117,NULL,NULL,NULL,NULL,NULL,4,2),(28,7121288,3.00,6.00,2.00,6.00,6.00,9.00,6.00,6.00,4.00,201,NULL,212,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',10600,701,NULL,312,NULL,NULL,NULL,4,1),(28,7121296,3.00,7.00,1.00,5.00,3.00,9.75,2.00,5.00,4.00,303,NULL,NULL,'CENTRO','TAQUARITUBA','SP',9776,401,NULL,NULL,NULL,NULL,NULL,4,8),(28,7121318,0.00,2.00,2.00,3.00,4.00,NULL,2.00,2.00,0.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7121326,6.00,7.00,2.00,5.00,8.00,6.75,4.00,6.00,5.00,103,NULL,NULL,'ITAJUBA','BARRA VELHA','SC',5109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121342,3.00,5.00,1.00,4.00,4.00,7.13,5.00,3.00,4.00,211,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',13219,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7121350,1.00,2.00,2.00,4.00,3.00,5.63,1.00,2.00,0.00,208,NULL,NULL,'CENTRO','CEL VIVIDA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7121385,1.00,3.00,0.00,4.00,3.00,NULL,1.00,3.00,1.00,207,NULL,201,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'BESSA','JOÃO PESSOA','PB',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7121415,3.00,5.00,1.00,6.00,4.00,7.88,3.00,4.00,4.00,5,NULL,NULL,'INTERIOR','CONCÓRDIA','SC',11499,332,NULL,NULL,NULL,NULL,NULL,2,4),(28,7121431,3.00,7.00,1.00,5.00,5.00,7.88,5.00,4.00,3.00,216,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',9607,NULL,NULL,163,NULL,NULL,NULL,4,1),(28,7121458,1.00,7.00,1.00,7.00,5.00,7.13,3.00,5.00,1.00,201,NULL,214,'INTERIOR','LACERDÓPOLIS','SC',10362,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7121466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,215,'CENTRO','CORUMBÁ','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7121474,0.00,4.00,1.00,4.00,6.00,NULL,2.00,6.00,3.00,302,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7121482,1.00,6.00,2.00,4.00,5.00,6.38,1.00,6.00,2.00,327,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121504,4.00,8.00,2.00,7.00,5.00,7.13,5.00,4.00,5.00,103,NULL,NULL,'SANTO ANTÔNIO','CHAPECÓ','SC',10020,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7121512,2.00,8.00,3.00,7.00,10.00,9.38,3.00,6.00,4.00,5,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',5423,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7121520,3.00,6.00,2.00,5.00,6.00,9.00,2.00,7.00,3.00,202,NULL,213,'MAR GROSSO','LAGUNA','SC',9753,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7121539,5.00,6.00,0.00,7.00,8.00,8.63,3.00,5.00,6.00,103,NULL,NULL,'ALTO DA XV','GUARAPUAVA','PR',6128,1648,NULL,NULL,NULL,NULL,NULL,4,8),(28,7121547,3.00,7.00,5.00,8.00,6.00,8.25,4.00,5.00,6.00,212,NULL,211,'VILA MARIANA','S PAULO','SP',3126,NULL,NULL,65,NULL,NULL,NULL,4,1),(28,7121555,1.00,2.00,2.00,2.00,1.00,NULL,2.00,3.00,3.00,653,NULL,201,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7121563,2.00,7.00,2.00,6.00,4.00,7.13,2.00,5.00,2.00,601,NULL,207,'CENTRO','NAVEGANTES','SC',11971,354,NULL,NULL,NULL,NULL,NULL,2,6),(28,7121571,2.00,7.00,4.00,7.00,10.00,9.75,2.00,4.00,5.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',4711,118,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121598,5.00,8.00,3.00,6.00,9.00,10.50,4.00,7.00,5.00,319,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',1573,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121601,7.00,8.00,6.00,7.00,9.00,10.13,7.00,7.00,6.00,103,NULL,NULL,'SÃO LUIS','ITU','SP',122,98,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121610,3.00,7.00,3.00,7.00,8.00,10.50,5.00,6.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2603,90,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121628,5.00,4.00,4.00,6.00,6.00,7.88,3.00,4.00,4.00,5,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',6644,210,NULL,NULL,NULL,NULL,NULL,4,5),(28,7121636,5.00,8.00,4.00,7.00,7.00,7.13,5.00,7.00,6.00,238,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2171,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121644,1.00,2.00,0.00,2.00,3.00,NULL,0.00,4.00,1.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7121652,2.00,5.00,2.00,7.00,9.00,10.13,3.00,4.00,2.00,425,NULL,428,'CENTRO','TIJUCAS','SC',7953,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121660,2.00,6.00,2.00,6.00,9.00,8.63,6.00,7.00,3.00,415,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',4497,68,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121679,3.00,6.00,1.00,4.00,6.00,9.38,2.00,4.00,1.00,201,NULL,601,'JD CIDADE DE FPOLIS','S JOSÉ','SC',11870,764,NULL,349,NULL,NULL,NULL,2,1),(28,7121687,4.00,5.00,3.00,4.00,6.00,5.25,1.00,2.00,2.00,5,NULL,NULL,'MAGALHAES','LAGUNA','SC',15286,414,NULL,NULL,NULL,NULL,NULL,4,10),(28,7121695,3.00,8.00,2.00,7.00,6.00,9.38,2.00,7.00,5.00,340,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5997,152,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121717,5.00,6.00,2.00,5.00,9.00,10.13,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1873,852,NULL,NULL,NULL,NULL,NULL,4,6),(28,7121725,5.00,7.00,4.00,7.00,8.00,9.38,4.00,6.00,5.00,303,NULL,NULL,'JARDIM EUROPA','SOROCABA','SP',1998,94,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA VELHA','RIO B SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7121741,1.00,8.00,1.00,8.00,7.00,9.00,1.00,8.00,2.00,216,NULL,202,'CENTRO','PASSO FUNDO','RS',7509,254,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,233,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7121768,3.00,6.00,2.00,7.00,6.00,7.13,1.00,5.00,3.00,340,NULL,NULL,'JARDIM PANORAMICO','LAGES','SC',15153,394,NULL,NULL,NULL,NULL,NULL,4,9),(28,7121776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7121784,5.00,8.00,3.00,6.00,7.00,9.00,4.00,6.00,6.00,201,NULL,653,'CARANDA BOSQUE','CPO GRANDE','MS',5741,444,NULL,52,NULL,NULL,NULL,4,1),(28,7121792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'VILA NOVA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',5,4),(28,7121806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PIONEIROS','OURO BRANCO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7121814,0.00,6.00,3.00,2.00,2.00,NULL,4.00,3.00,4.00,103,NULL,NULL,'CENTRO','AGROLÂNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7121830,2.00,6.00,2.00,5.00,8.00,7.13,4.00,5.00,3.00,103,NULL,NULL,'REGINA','CATANDUVAS','SC',7895,1886,NULL,NULL,NULL,NULL,NULL,4,7),(28,7121849,1.00,4.00,2.00,3.00,4.00,7.50,3.00,3.00,3.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',15019,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7121857,4.00,8.00,1.00,7.00,8.00,9.75,3.00,6.00,4.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',3487,84,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7121881,0.00,4.00,1.00,1.00,4.00,NULL,3.00,3.00,3.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7121890,6.00,8.00,6.00,7.00,7.00,8.25,5.00,7.00,7.00,214,NULL,212,'BARREIROS','S JOSÉ','SC',1388,38,NULL,8,NULL,NULL,NULL,4,1),(28,7121903,0.00,7.00,3.00,5.00,5.00,8.25,2.00,3.00,1.00,332,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',14221,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7121911,0.00,3.00,1.00,2.00,3.00,3.00,2.00,2.00,3.00,203,NULL,201,'JARDIM MARISEI','ALM TAMANDARÉ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121920,5.00,8.00,2.00,6.00,10.00,8.63,3.00,7.00,3.00,340,NULL,NULL,'CENTRO','PASSO FUNDO','RS',3060,69,NULL,NULL,NULL,NULL,NULL,4,15),(28,7121938,2.00,5.00,5.00,6.00,5.00,9.00,3.00,5.00,3.00,303,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',13915,515,NULL,NULL,NULL,NULL,NULL,2,8),(28,7121946,2.00,7.00,1.00,7.00,6.00,10.13,0.00,4.00,3.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',14856,2343,NULL,NULL,NULL,NULL,NULL,2,10),(28,7121954,3.00,6.00,3.00,7.00,4.00,7.88,3.00,6.00,4.00,201,NULL,NULL,'VILA OLIVEIRA','MOGI CRUZES','SP',7941,572,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121962,2.00,5.00,3.00,4.00,5.00,6.75,1.00,3.00,2.00,216,NULL,233,'VARGINHA','ITAJUBÁ','MG',17990,443,NULL,344,NULL,NULL,NULL,4,1),(28,7121970,3.00,8.00,6.00,7.00,8.00,6.75,5.00,7.00,6.00,214,NULL,201,'VILA MARIANA','S PAULO','SP',1196,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121989,2.00,4.00,1.00,5.00,5.00,9.38,1.00,6.00,2.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',17786,345,NULL,NULL,NULL,NULL,NULL,4,1),(28,7121997,6.00,8.00,3.00,5.00,1.00,NULL,4.00,6.00,3.00,601,NULL,203,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7122004,4.00,6.00,0.00,7.00,5.00,8.25,1.00,4.00,2.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',17010,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122020,3.00,6.00,3.00,6.00,6.00,7.13,0.00,4.00,2.00,303,NULL,NULL,'JARDIM DAS ROSAS','PRES PRUDENTE','SP',11139,443,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122047,1.00,4.00,2.00,5.00,7.00,6.00,1.00,4.00,3.00,5,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',17999,471,NULL,NULL,NULL,NULL,NULL,2,1),(28,7122055,7.00,8.00,4.00,6.00,10.00,11.25,7.00,7.00,8.00,201,NULL,212,'PONTA AGUDA','BLUMENAU','SC',134,3,NULL,NULL,NULL,NULL,NULL,4,2),(28,7122063,5.00,8.00,3.00,8.00,8.00,8.25,4.00,6.00,3.00,238,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',7281,95,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122071,0.00,7.00,3.00,6.00,5.00,10.50,1.00,4.00,2.00,109,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15726,63,NULL,NULL,NULL,NULL,NULL,2,1),(28,7122080,0.00,2.00,2.00,2.00,2.00,NULL,2.00,2.00,2.00,551,NULL,NULL,'BOSQUE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7122098,2.00,7.00,3.00,0.00,6.00,6.75,2.00,4.00,4.00,601,NULL,201,'FLORESTA','JOINVILLE','SC',12665,378,NULL,NULL,NULL,NULL,NULL,4,8),(28,7122101,5.00,8.00,4.00,7.00,9.00,8.25,5.00,6.00,8.00,203,NULL,601,'COSTA E SILVA','JOINVILLE','SC',687,65,NULL,NULL,NULL,NULL,NULL,4,8),(28,7122128,3.00,6.00,3.00,7.00,5.00,10.88,4.00,3.00,5.00,103,NULL,NULL,'JARDIM BRASIL','ARAÇATUBA','SP',5158,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122136,1.00,8.00,2.00,6.00,6.00,9.38,2.00,5.00,0.00,203,NULL,214,'CENTRO','ERVAL VELHO','SC',9718,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7122144,3.00,6.00,1.00,6.00,4.00,6.75,3.00,6.00,3.00,454,NULL,NULL,'CENTRO','JOAÇABA','SC',10566,200,NULL,NULL,NULL,NULL,NULL,2,7),(28,7122152,5.00,7.00,0.00,5.00,7.00,7.50,5.00,6.00,4.00,103,NULL,NULL,'JARDIM AMÉRICA','CRUZEIRO','SP',4414,1409,NULL,NULL,NULL,NULL,NULL,4,8),(28,7122160,4.00,7.00,2.00,5.00,4.00,6.38,3.00,4.00,3.00,207,NULL,201,'BOSQUE DAS MANSÕES','S JOSÉ','SC',15359,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122179,2.00,5.00,2.00,5.00,4.00,6.75,1.00,3.00,4.00,201,NULL,202,'CARMELO','S JOÃO BATISTA','SC',18453,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7122187,4.00,8.00,3.00,5.00,7.00,8.63,5.00,7.00,4.00,319,NULL,NULL,'SANTO ANTÔNIO DE LIS','FLORIANÓPOLIS','SC',2662,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122209,0.00,1.00,2.00,5.00,4.00,4.88,0.00,4.00,3.00,654,NULL,NULL,'TENENTE','JACINTO MACHADO','SC',17902,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7122217,3.00,8.00,1.00,7.00,8.00,9.00,1.00,5.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122225,3.00,5.00,3.00,6.00,6.00,7.88,3.00,5.00,5.00,103,NULL,NULL,'JARDIM DA SAUDE','S PAULO','SP',6946,1751,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MTE APRAZÍVEL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7122241,3.00,5.00,2.00,3.00,2.00,NULL,3.00,3.00,5.00,201,NULL,601,'ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7122268,4.00,6.00,2.00,6.00,5.00,6.38,4.00,3.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10451,2103,NULL,NULL,NULL,NULL,NULL,4,6),(28,7122276,6.00,6.00,1.00,7.00,7.00,11.25,4.00,7.00,6.00,108,NULL,NULL,'JARDIM BOA ESPERANÇA','CAMPINAS','SP',1497,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122284,4.00,7.00,4.00,7.00,7.00,9.38,4.00,5.00,6.00,601,NULL,213,'COSTA E SILVA','JOINVILLE','SC',3182,41,NULL,NULL,NULL,NULL,NULL,4,8),(28,7122292,3.00,6.00,0.00,6.00,8.00,7.50,0.00,5.00,4.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',7126,318,NULL,NULL,NULL,NULL,NULL,2,8),(28,7122306,5.00,7.00,4.00,6.00,8.00,8.63,4.00,6.00,5.00,211,NULL,215,'RIO VERMELHO','FLORIANÓPOLIS','SC',2831,53,NULL,NULL,NULL,NULL,NULL,2,1),(28,7122314,2.00,2.00,3.00,2.00,2.00,NULL,3.00,3.00,1.00,440,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7122322,2.00,5.00,1.00,3.00,6.00,6.75,2.00,3.00,2.00,104,NULL,NULL,'NOSSA SENHORA','S JOSÉ','SC',15767,388,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122330,3.00,3.00,2.00,4.00,2.00,NULL,1.00,3.00,1.00,444,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7122349,4.00,6.00,4.00,4.00,7.00,9.00,6.00,6.00,5.00,211,NULL,215,'ABRAÃO','FLORIANÓPOLIS','SC',4779,117,NULL,69,NULL,NULL,NULL,2,1),(28,7122357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7122365,3.00,3.00,1.00,3.00,5.00,5.63,3.00,2.00,2.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',16964,229,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122373,6.00,8.00,2.00,7.00,10.00,11.25,5.00,8.00,6.00,233,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',948,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122381,3.00,5.00,4.00,3.00,6.00,6.75,2.00,4.00,3.00,440,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',17475,4,NULL,NULL,NULL,NULL,NULL,6,1),(28,7122403,1.00,6.00,3.00,6.00,4.00,8.63,3.00,3.00,5.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122411,6.00,6.00,1.00,4.00,5.00,10.13,4.00,5.00,4.00,220,NULL,NULL,'CRUZEIRO','CAJURU','SP',8661,224,NULL,NULL,NULL,NULL,NULL,2,1),(28,7122420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'ATUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7122438,1.00,4.00,2.00,1.00,4.00,5.63,3.00,4.00,2.00,652,NULL,655,'CENTRO','BAL ARROIO SILVA','SC',16781,73,NULL,NULL,NULL,NULL,NULL,4,15),(28,7122446,4.00,5.00,2.00,5.00,6.00,9.75,3.00,4.00,4.00,303,NULL,NULL,'SÃO FRANCISCO','CPO GRANDE','MS',12230,467,NULL,NULL,NULL,NULL,NULL,4,8),(28,7122454,0.00,6.00,2.00,4.00,6.00,NULL,1.00,5.00,4.00,207,NULL,NULL,'NOSSA SRA ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7122462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'ANCHIETA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',5,1),(28,7122470,4.00,7.00,3.00,6.00,8.00,6.75,2.00,7.00,4.00,201,NULL,212,'CENTRO','BIGUAÇU','SC',4592,NULL,NULL,147,NULL,NULL,NULL,4,1),(28,7122489,2.00,5.00,1.00,7.00,5.00,7.50,1.00,5.00,4.00,207,NULL,201,'GUARITA','SOMBRIO','SC',10172,465,NULL,NULL,NULL,NULL,NULL,2,15),(28,7122497,2.00,6.00,2.00,3.00,5.00,6.38,1.00,6.00,2.00,203,NULL,601,'ALTO DAS PALMEIRAS','CANOINHAS','SC',13298,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7122500,4.00,6.00,3.00,7.00,7.00,11.25,4.00,8.00,6.00,216,NULL,215,'FORTALEZA','LINS','SP',1738,55,NULL,9,NULL,NULL,NULL,4,1),(28,7122519,1.00,7.00,2.00,7.00,7.00,10.13,3.00,6.00,2.00,501,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11042,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122527,4.00,7.00,2.00,6.00,9.00,10.13,5.00,4.00,6.00,333,NULL,NULL,'PONTA DA BARRA','LAGUNA','SC',3052,9,NULL,NULL,NULL,NULL,NULL,4,10),(28,7122535,4.00,6.00,3.00,6.00,7.00,7.50,3.00,5.00,2.00,201,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',7476,552,NULL,120,NULL,NULL,NULL,2,1),(28,7122543,3.00,5.00,3.00,1.00,3.00,7.50,1.00,4.00,1.00,101,NULL,NULL,'LINHA ARAÇA','SAUDADES','SC',17209,113,NULL,NULL,NULL,NULL,NULL,2,4),(28,7122551,1.00,5.00,2.00,6.00,2.00,NULL,1.00,3.00,1.00,5,NULL,NULL,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7122578,3.00,7.00,4.00,6.00,6.00,8.63,6.00,7.00,4.00,216,NULL,NULL,'CRUZEIRO DO SUL','JOAÇABA','SC',4359,163,NULL,NULL,NULL,NULL,NULL,4,7),(28,7122586,0.00,7.00,2.00,7.00,3.00,7.13,1.00,5.00,3.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12937,72,NULL,NULL,NULL,NULL,NULL,2,1),(28,7122594,2.00,8.00,3.00,7.00,5.00,8.63,1.00,6.00,3.00,340,NULL,NULL,'QUINTA DAS PAINEIRAS','S JOSÉ R PRETO','SP',6410,164,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122608,3.00,5.00,2.00,6.00,6.00,8.63,3.00,3.00,2.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',16109,2406,NULL,NULL,NULL,NULL,NULL,2,10),(28,7122640,7.00,7.00,2.00,6.00,8.00,10.50,4.00,7.00,6.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',3826,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7122659,0.00,5.00,1.00,6.00,3.00,4.88,2.00,4.00,4.00,202,NULL,220,'ALTO DA GLÓRIA','TANGARÁ','SC',15298,350,NULL,315,NULL,NULL,NULL,2,7),(28,7122667,2.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7122675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'JARDIM AMÉRICA','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7122683,0.00,3.00,2.00,6.00,6.00,6.00,4.00,5.00,2.00,454,NULL,NULL,'VILA NOVA','IMBITUBA','SC',13897,282,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122691,0.00,1.00,4.00,1.00,3.00,NULL,0.00,4.00,2.00,502,NULL,NULL,'JARDIM EUROPA','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122705,2.00,4.00,2.00,4.00,4.00,6.75,0.00,3.00,2.00,328,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19488,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7122713,0.00,5.00,2.00,0.00,4.00,6.38,1.00,2.00,3.00,502,NULL,NULL,'VILA NOVA','STA ROSA SUL','SC',18342,52,NULL,NULL,NULL,NULL,NULL,5,15),(28,7122730,5.00,7.00,2.00,7.00,9.00,8.25,4.00,7.00,2.00,103,NULL,NULL,'MINA BRASIL','CRICIÚMA','SC',4499,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7122748,4.00,6.00,1.00,6.00,7.00,9.00,3.00,4.00,3.00,207,NULL,201,'VILA SOFIA','S PAULO','SP',13009,590,NULL,833,NULL,NULL,NULL,2,1),(28,7122756,6.00,7.00,5.00,7.00,10.00,8.63,6.00,6.00,7.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',432,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122772,1.00,2.00,2.00,5.00,6.00,7.13,1.00,4.00,1.00,450,NULL,NULL,'PORTÃO','CURITIBA','PR',15983,117,NULL,NULL,NULL,NULL,NULL,4,8),(28,7122780,3.00,7.00,1.00,7.00,8.00,10.13,4.00,7.00,7.00,214,NULL,212,'JARDIM YARA I','BANDEIRANTES','PR',3029,109,NULL,90,NULL,NULL,NULL,4,1),(28,7122799,4.00,3.00,3.00,6.00,5.00,6.38,2.00,3.00,2.00,207,NULL,216,'CENTRO','SOMBRIO','SC',14042,625,NULL,384,NULL,NULL,NULL,2,15),(28,7122802,0.00,4.00,2.00,4.00,4.00,7.50,0.00,3.00,3.00,230,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7122810,4.00,8.00,3.00,6.00,7.00,8.63,4.00,4.00,3.00,316,NULL,NULL,'CENTRO','CANOAS','RS',5269,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122829,0.00,5.00,2.00,2.00,7.00,9.75,1.00,5.00,3.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',15989,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7122837,5.00,7.00,4.00,7.00,8.00,9.75,2.00,6.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6073,95,NULL,NULL,NULL,NULL,NULL,2,1),(28,7122853,2.00,7.00,3.00,5.00,7.00,9.75,4.00,5.00,4.00,103,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',5114,1510,NULL,NULL,NULL,NULL,NULL,4,15),(28,7122861,0.00,5.00,2.00,5.00,9.00,7.50,4.00,5.00,2.00,234,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',12020,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122870,1.00,4.00,2.00,5.00,3.00,4.50,2.00,1.00,2.00,201,NULL,233,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',18411,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7122888,5.00,7.00,1.00,4.00,8.00,8.25,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',7911,1892,NULL,NULL,NULL,NULL,NULL,4,9),(28,7122896,1.00,5.00,2.00,6.00,7.00,8.63,3.00,2.00,2.00,103,NULL,NULL,'SANTA TEREZINHA','GUARACIABA','SC',13050,2263,NULL,NULL,NULL,NULL,NULL,2,27),(28,7122900,1.00,4.00,2.00,5.00,5.00,6.75,2.00,6.00,1.00,601,NULL,220,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7122918,1.00,6.00,2.00,4.00,7.00,10.88,3.00,5.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6151,97,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122926,0.00,4.00,3.00,6.00,6.00,6.75,2.00,6.00,3.00,331,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14456,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7122934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7122942,1.00,7.00,2.00,7.00,8.00,10.50,1.00,5.00,0.00,501,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14659,89,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122969,4.00,5.00,3.00,3.00,6.00,7.50,2.00,6.00,1.00,208,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10644,113,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122977,0.00,4.00,2.00,3.00,3.00,4.50,3.00,4.00,4.00,201,NULL,203,'CENTRO','BIGUAÇU','SC',16773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7122985,0.00,6.00,2.00,5.00,2.00,NULL,0.00,5.00,2.00,551,NULL,NULL,'MARGEM ESQUERDA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7122993,3.00,6.00,3.00,6.00,7.00,7.13,1.00,3.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14578,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7123000,2.00,6.00,1.00,6.00,5.00,8.63,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10704,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7123019,3.00,3.00,1.00,3.00,3.00,5.63,2.00,2.00,1.00,451,NULL,NULL,'CENTRO','PALMA SOLA','SC',20023,58,NULL,NULL,NULL,NULL,NULL,2,1),(28,7123027,5.00,6.00,2.00,7.00,5.00,7.13,2.00,5.00,3.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123035,2.00,7.00,0.00,7.00,6.00,7.88,1.00,5.00,3.00,340,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',13088,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7123043,0.00,7.00,2.00,5.00,4.00,9.00,1.00,4.00,3.00,201,NULL,220,'CENTRO','PALHOÇA','SC',12150,778,NULL,280,NULL,NULL,NULL,4,1),(28,7123060,2.00,5.00,4.00,4.00,6.00,7.50,0.00,5.00,5.00,220,NULL,601,'MEIA PRAIA','ITAPEMA','SC',11314,266,NULL,333,NULL,NULL,NULL,4,3),(28,7123086,1.00,3.00,2.00,6.00,5.00,7.50,1.00,3.00,3.00,319,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',16165,313,NULL,NULL,NULL,NULL,NULL,2,1),(28,7123094,5.00,6.00,5.00,6.00,9.00,8.25,2.00,5.00,5.00,103,NULL,NULL,'JARDIM BOTANICO','LG SUL','DF',3723,1269,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123124,4.00,8.00,2.00,5.00,8.00,8.63,5.00,5.00,4.00,214,NULL,213,'CENTRO','CAPIVARI BAIXO','SC',8413,236,NULL,149,NULL,NULL,NULL,4,10),(28,7123132,4.00,5.00,1.00,6.00,7.00,10.13,2.00,7.00,3.00,103,NULL,NULL,'VILA LARSEN','LONDRINA','PR',12916,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7123140,5.00,8.00,0.00,6.00,4.00,11.25,3.00,5.00,4.00,999,NULL,NULL,'ENSEADA DO BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123159,3.00,7.00,5.00,7.00,10.00,8.25,6.00,8.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123167,3.00,8.00,2.00,7.00,7.00,10.50,3.00,7.00,6.00,216,NULL,653,'ASA SUL','BRASÍLIA','DF',2779,99,NULL,11,NULL,NULL,NULL,4,1),(28,7123183,1.00,2.00,1.00,4.00,1.00,NULL,1.00,3.00,1.00,502,NULL,NULL,'BAIRRO FIGUEIRA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7123191,2.00,3.00,2.00,4.00,2.00,NULL,2.00,4.00,1.00,339,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7123213,1.00,4.00,2.00,5.00,4.00,7.50,1.00,3.00,0.00,340,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',17387,411,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123230,2.00,4.00,0.00,3.00,4.00,7.88,2.00,6.00,3.00,213,NULL,235,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123256,1.00,8.00,4.00,4.00,4.00,8.63,4.00,6.00,3.00,203,NULL,220,'PONTA AGUDA','BLUMENAU','SC',12640,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7123264,3.00,4.00,2.00,6.00,6.00,7.13,3.00,2.00,2.00,103,NULL,NULL,'CENTRO','CELSO RAMOS','SC',14090,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7123272,1.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,1.00,5,NULL,NULL,'FREI BRUNO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7123280,4.00,5.00,3.00,5.00,5.00,8.25,3.00,5.00,5.00,301,NULL,NULL,'VIGOLO','NOVA TRENTO','SC',8909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7123302,2.00,7.00,0.00,6.00,7.00,10.88,1.00,6.00,3.00,109,NULL,NULL,'LINHA GRANDO','SERRA ALTA','SC',6957,2,NULL,NULL,NULL,NULL,NULL,2,4),(28,7123310,2.00,2.00,1.00,4.00,3.00,6.00,1.00,1.00,1.00,103,NULL,NULL,'SÃO LUIS','JARAGUÁ SUL','SC',18957,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7123329,4.00,6.00,3.00,5.00,4.00,7.88,6.00,6.00,5.00,454,NULL,NULL,'PINHEIROS','OTACÍLIO COSTA','SC',6468,95,NULL,NULL,NULL,NULL,NULL,2,9),(28,7123337,3.00,4.00,1.00,7.00,4.00,8.25,0.00,5.00,3.00,308,NULL,NULL,'SERTÃO MARUÍ','S JOSÉ','SC',17280,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123345,2.00,6.00,0.00,7.00,8.00,9.00,3.00,7.00,3.00,207,NULL,212,'JD CIDADE FPOLIS','S JOSÉ','SC',7305,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7123353,2.00,9.00,5.00,6.00,6.00,10.13,3.00,6.00,5.00,203,NULL,220,'LIBERDADE','S PAULO','SP',2580,195,NULL,75,NULL,NULL,NULL,4,1),(28,7123370,0.00,7.00,1.00,4.00,7.00,10.13,4.00,6.00,2.00,222,NULL,NULL,'SANTOS DUMONT','VIDEIRA','SC',9175,15,NULL,NULL,NULL,NULL,NULL,2,25),(28,7123388,1.00,5.00,1.00,5.00,2.00,NULL,3.00,5.00,1.00,103,NULL,NULL,'UNIVERSITÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7123396,6.00,9.00,3.00,6.00,10.00,9.00,4.00,7.00,6.00,103,NULL,NULL,'SÃO FRANCISCO','BOA VISTA','RR',609,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7123400,0.00,2.00,2.00,1.00,3.00,NULL,3.00,3.00,0.00,103,NULL,NULL,'CENTRO','BOCAÍNA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7123418,3.00,8.00,2.00,7.00,8.00,8.63,3.00,7.00,2.00,5,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',6070,197,NULL,NULL,NULL,NULL,NULL,4,24),(28,7123426,0.00,4.00,1.00,6.00,3.00,NULL,0.00,3.00,2.00,109,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7123469,6.00,7.00,4.00,6.00,8.00,9.00,5.00,6.00,3.00,211,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',6691,NULL,NULL,98,NULL,NULL,NULL,4,1),(28,7123477,1.00,5.00,2.00,4.00,4.00,5.25,2.00,5.00,0.00,319,NULL,NULL,'BOQUEIRÃO','PR GRANDE','SP',16295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123485,1.00,3.00,1.00,4.00,3.00,5.63,3.00,4.00,3.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19555,256,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123493,3.00,6.00,2.00,6.00,3.00,5.25,3.00,6.00,4.00,203,NULL,655,'VISTA VERDE','S JOSÉ CAMPOS','SP',11359,565,NULL,60,NULL,NULL,NULL,2,1),(28,7123523,5.00,9.00,2.00,8.00,5.00,8.25,2.00,8.00,5.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7296,119,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123531,5.00,8.00,4.00,6.00,8.00,8.63,6.00,5.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1135,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,653,'MOOCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7123574,2.00,5.00,1.00,5.00,8.00,11.25,1.00,4.00,4.00,303,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',13096,491,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123582,2.00,5.00,0.00,1.00,4.00,8.25,3.00,5.00,3.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',13853,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7123639,3.00,5.00,2.00,6.00,4.00,8.63,2.00,5.00,3.00,201,NULL,212,'JARDIM ITÁLIA','CHAPECÓ','SC',10018,NULL,NULL,293,NULL,NULL,NULL,4,4),(28,7123655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7123663,3.00,7.00,2.00,3.00,5.00,8.25,2.00,4.00,4.00,213,NULL,233,'NOVA OLINDA','PIEDADE','SP',9777,171,NULL,231,NULL,NULL,NULL,4,1),(28,7123671,4.00,6.00,2.00,4.00,3.00,7.13,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',12486,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7123680,3.00,3.00,2.00,6.00,5.00,9.38,2.00,3.00,3.00,238,NULL,235,'FLORESTA','CONCÓRDIA','SC',17502,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7123698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7123701,3.00,5.00,3.00,6.00,8.00,10.50,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',9498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123710,3.00,6.00,2.00,6.00,7.00,8.63,3.00,5.00,3.00,207,NULL,211,'SÃO JUDAS','PIRACICABA','SP',6279,291,NULL,170,NULL,NULL,NULL,4,1),(28,7123728,4.00,8.00,2.00,4.00,3.00,10.50,5.00,4.00,5.00,303,NULL,NULL,'SANTA RITA','APARECIDA','SP',5303,246,NULL,NULL,NULL,NULL,NULL,2,1),(28,7123736,8.00,7.00,4.00,4.00,10.00,9.00,6.00,7.00,7.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',487,336,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123744,5.00,6.00,2.00,6.00,7.00,11.25,3.00,6.00,7.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',2738,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123752,3.00,4.00,2.00,5.00,5.00,5.25,1.00,2.00,2.00,503,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15345,26,NULL,NULL,NULL,NULL,NULL,2,1),(28,7123760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PALMITAL','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7123779,2.00,2.00,5.00,1.00,2.00,NULL,3.00,2.00,2.00,101,NULL,NULL,'AREIAS BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123787,1.00,6.00,3.00,4.00,5.00,7.50,2.00,4.00,2.00,203,NULL,653,'CENTRO','VIADUTOS','RS',12946,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7123809,2.00,7.00,1.00,5.00,8.00,7.88,2.00,5.00,1.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15986,218,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123825,4.00,8.00,2.00,5.00,4.00,7.13,3.00,6.00,4.00,238,NULL,211,'SANTINHO','FLORIANÓPOLIS','SC',13866,231,NULL,351,NULL,NULL,NULL,4,1),(28,7123833,4.00,7.00,8.00,7.00,9.00,11.63,4.00,8.00,8.00,303,NULL,NULL,'CAMPO BELO','S PAULO','SP',159,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123841,0.00,1.00,2.00,4.00,3.00,6.75,2.00,5.00,2.00,316,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',19820,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7123850,3.00,6.00,2.00,7.00,6.00,8.63,4.00,6.00,7.00,601,NULL,203,'JARDIM SOFIA','JOINVILLE','SC',4934,90,NULL,NULL,NULL,NULL,NULL,2,8),(28,7123868,3.00,7.00,2.00,7.00,9.00,10.88,2.00,4.00,5.00,340,NULL,NULL,'CENTRO','JOAÇABA','SC',4655,114,NULL,NULL,NULL,NULL,NULL,2,7),(28,7123876,3.00,5.00,0.00,6.00,9.00,6.75,2.00,5.00,5.00,552,NULL,NULL,'CENTRO','GUARACIABA','SC',8708,17,NULL,NULL,NULL,NULL,NULL,4,4),(28,7123906,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'NOSSA SENHORA DA PAZ','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7123914,4.00,8.00,2.00,5.00,6.00,12.00,3.00,7.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3438,160,NULL,NULL,NULL,NULL,NULL,2,1),(28,7123922,4.00,7.00,3.00,6.00,7.00,7.13,2.00,4.00,4.00,5,NULL,NULL,'RENASCENÇA','BELO HORIZONTE','MG',7247,224,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123930,5.00,7.00,4.00,7.00,7.00,12.00,5.00,5.00,5.00,235,NULL,202,'CENTRO','IBIRAMA','SC',1821,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123949,4.00,5.00,1.00,4.00,7.00,7.50,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','IPUMIRIM','SC',7627,1843,NULL,NULL,NULL,NULL,NULL,4,26),(28,7123957,6.00,8.00,7.00,5.00,5.00,13.13,6.00,6.00,7.00,103,NULL,NULL,'JARDIM ESTORIL','BAURU','SP',640,408,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123965,4.00,7.00,2.00,6.00,6.00,8.25,3.00,6.00,3.00,103,NULL,NULL,'NOSSA SRA ROSÁRIO','S JOSÉ','SC',8505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7123981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,216,'CENTRO','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7123990,1.00,5.00,2.00,7.00,6.00,7.88,2.00,6.00,1.00,207,NULL,238,'CENTRO','LAGUNA','SC',11316,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7124007,2.00,1.00,2.00,2.00,1.00,NULL,2.00,4.00,1.00,303,NULL,NULL,'LINHA BAESSO','SERRA ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7124023,3.00,5.00,2.00,5.00,5.00,7.50,2.00,4.00,4.00,215,NULL,212,'JARDIM PETRÓPOLIS','PRES PRUDENTE','SP',10386,178,NULL,304,NULL,NULL,NULL,4,1),(28,7124031,2.00,5.00,2.00,3.00,3.00,5.63,1.00,2.00,3.00,220,NULL,601,'ÁGUA VERDE','CURITIBA','PR',19718,348,NULL,554,NULL,NULL,NULL,2,8),(28,7124058,6.00,7.00,4.00,7.00,8.00,7.50,7.00,7.00,7.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1193,635,NULL,NULL,NULL,NULL,NULL,4,1),(28,7124066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7124074,4.00,5.00,2.00,3.00,6.00,4.88,5.00,5.00,3.00,318,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10999,75,NULL,NULL,NULL,NULL,NULL,4,1),(28,7124082,3.00,8.00,1.00,6.00,8.00,8.63,3.00,6.00,2.00,201,NULL,211,'NASPOLINI','CRICIÚMA','SC',6444,497,NULL,173,NULL,NULL,NULL,2,5),(28,7124104,3.00,5.00,2.00,6.00,8.00,9.00,3.00,3.00,2.00,454,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8481,157,NULL,NULL,NULL,NULL,NULL,2,1),(28,7124120,0.00,4.00,2.00,5.00,3.00,6.38,1.00,3.00,3.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7124139,1.00,4.00,0.00,1.00,4.00,8.25,1.00,3.00,2.00,207,NULL,201,'RATONES','FLORIANÓPOLIS','SC',19945,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7124147,5.00,7.00,4.00,6.00,7.00,9.75,5.00,5.00,5.00,316,NULL,NULL,'PQ VIVAMAR','UBATUBA','SP',4766,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7124155,4.00,6.00,2.00,6.00,8.00,9.38,2.00,6.00,3.00,999,NULL,NULL,'JARDIM ITÁLIA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7124171,1.00,5.00,0.00,7.00,5.00,8.25,2.00,4.00,3.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',12576,2239,NULL,NULL,NULL,NULL,NULL,4,6),(28,7124180,0.00,2.00,1.00,3.00,6.00,5.63,0.00,5.00,1.00,222,NULL,NULL,'JD CIDADE FLORIANOPO','S JOSÉ','SC',18521,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7124201,1.00,6.00,1.00,4.00,9.00,11.25,3.00,6.00,4.00,654,NULL,NULL,'COMASA','JOINVILLE','SC',7013,6,NULL,NULL,NULL,NULL,NULL,4,8),(28,7124210,5.00,9.00,1.00,8.00,9.00,8.63,2.00,6.00,5.00,103,NULL,NULL,'JARDIM ATLÂNTICO','BAL ARROIO SILVA','SC',3600,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7124236,5.00,8.00,3.00,5.00,7.00,8.25,5.00,6.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7124244,5.00,8.00,3.00,7.00,5.00,7.13,3.00,5.00,5.00,601,NULL,212,'BOA VISTA','RIO SUL','SC',7594,177,NULL,NULL,NULL,NULL,NULL,2,24),(28,7124252,2.00,3.00,1.00,4.00,5.00,8.25,1.00,5.00,1.00,109,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',16172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7124260,4.00,8.00,3.00,6.00,7.00,10.50,5.00,8.00,5.00,207,NULL,238,'ITACORUBI','FLORIANÓPOLIS','SC',4189,172,NULL,25,NULL,NULL,NULL,4,1),(28,7124279,2.00,6.00,1.00,5.00,7.00,8.63,3.00,0.00,5.00,201,NULL,NULL,'VALPARAÍSO','BLUMENAU','SC',9849,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7124309,4.00,7.00,2.00,2.00,9.00,10.50,4.00,8.00,5.00,103,NULL,NULL,'ALTOS DE SANTANA','JACAREÍ','SP',2956,1125,NULL,NULL,NULL,NULL,NULL,4,1),(28,7124317,1.00,6.00,2.00,6.00,5.00,6.38,4.00,5.00,3.00,108,NULL,NULL,'IPIRANGA','S JOSÉ','SC',11925,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7124325,0.00,3.00,2.00,5.00,5.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7124333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7124341,2.00,6.00,3.00,4.00,7.00,6.38,6.00,5.00,5.00,212,NULL,214,'JARDIM SAO DIMAS','S JOSÉ CAMPOS','SP',6136,197,NULL,191,NULL,NULL,NULL,4,1),(28,7124350,7.00,9.00,3.00,7.00,10.00,9.38,4.00,7.00,6.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',566,373,NULL,NULL,NULL,NULL,NULL,2,1),(28,7124384,6.00,8.00,3.00,7.00,9.00,9.38,5.00,5.00,7.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',2424,1001,NULL,NULL,NULL,NULL,NULL,4,1),(28,7124392,4.00,7.00,3.00,7.00,10.00,10.88,4.00,6.00,5.00,428,NULL,423,'CENTRO','BAL CAMBORIÚ','SC',1939,1,NULL,NULL,NULL,NULL,NULL,4,6),(28,7124406,6.00,7.00,5.00,6.00,9.00,8.25,7.00,6.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2646,91,NULL,NULL,NULL,NULL,NULL,4,1),(28,7124414,2.00,5.00,1.00,5.00,7.00,8.25,2.00,4.00,5.00,103,NULL,NULL,'PADRE REUS','S LEOPOLDO','RS',9378,2026,NULL,NULL,NULL,NULL,NULL,4,1),(28,7124422,0.00,1.00,2.00,2.00,4.00,NULL,0.00,2.00,2.00,415,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7124430,1.00,5.00,2.00,6.00,5.00,6.38,3.00,3.00,1.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18385,140,NULL,NULL,NULL,NULL,NULL,2,1),(28,7124449,6.00,7.00,4.00,6.00,8.00,7.50,6.00,6.00,7.00,201,NULL,601,'FLORESTA','JOINVILLE','SC',2021,135,NULL,20,NULL,NULL,NULL,4,8),(28,7124457,1.00,8.00,1.00,6.00,9.00,10.88,4.00,7.00,4.00,340,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',8298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7124473,4.00,7.00,4.00,7.00,8.00,11.25,3.00,7.00,6.00,201,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',1984,132,NULL,36,NULL,NULL,NULL,2,1),(28,7124481,3.00,5.00,5.00,6.00,6.00,4.50,5.00,4.00,5.00,319,NULL,NULL,'PONTAL DO SUL','PONTAL PARANÁ','PR',13188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7124511,1.00,6.00,2.00,5.00,3.00,8.25,1.00,8.00,1.00,110,NULL,NULL,'AREIAS','S JOSÉ','SC',17914,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7124520,3.00,7.00,2.00,4.00,6.00,9.75,3.00,6.00,2.00,415,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',8701,139,NULL,NULL,NULL,NULL,NULL,2,1),(28,7124538,9.00,7.00,4.00,6.00,9.00,7.88,7.00,7.00,8.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',666,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7124562,1.00,7.00,1.00,3.00,8.00,7.50,4.00,4.00,2.00,653,NULL,202,'CENTRO','PTO ALEGRE','RS',11820,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7124570,4.00,7.00,4.00,8.00,11.00,10.50,5.00,8.00,5.00,203,NULL,235,'GRAGERU','ARACAJU','SE',826,80,NULL,2,NULL,NULL,NULL,4,1),(28,7124589,3.00,7.00,2.00,4.00,6.00,9.38,2.00,4.00,3.00,601,NULL,207,'SANTA CATARINA','JOINVILLE','SC',8719,221,NULL,NULL,NULL,NULL,NULL,4,8),(28,7124597,2.00,5.00,2.00,6.00,2.00,NULL,4.00,3.00,3.00,216,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,3),(28,7124600,1.00,5.00,2.00,6.00,4.00,5.63,2.00,3.00,3.00,319,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',15199,298,NULL,NULL,NULL,NULL,NULL,2,1),(28,7124627,4.00,6.00,3.00,6.00,7.00,6.75,2.00,6.00,3.00,238,NULL,220,'ESTREITO','FLORIANÓPOLIS','SC',11192,170,NULL,NULL,NULL,NULL,NULL,4,1),(28,7124635,6.00,5.00,0.00,7.00,7.00,9.38,4.00,6.00,4.00,653,NULL,233,'CRISTAL','PTO ALEGRE','RS',5588,48,NULL,NULL,NULL,NULL,NULL,2,15),(28,7124643,1.00,5.00,1.00,6.00,6.00,6.75,2.00,2.00,2.00,552,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',14955,97,NULL,NULL,NULL,NULL,NULL,2,22),(28,7124651,2.00,5.00,3.00,4.00,3.00,8.25,3.00,4.00,3.00,220,NULL,235,'BALNEÁRIO','FLORIANÓPOLIS','SC',12312,284,NULL,202,NULL,NULL,NULL,4,1),(28,7124660,3.00,6.00,3.00,4.00,6.00,7.88,4.00,4.00,1.00,301,NULL,NULL,'MICHEL','CRICIÚMA','SC',12540,177,NULL,NULL,NULL,NULL,NULL,2,5),(28,7124732,1.00,4.00,0.00,4.00,4.00,NULL,2.00,3.00,1.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7124740,2.00,4.00,1.00,5.00,0.00,NULL,1.00,1.00,1.00,303,NULL,NULL,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7124759,1.00,4.00,3.00,2.00,3.00,7.13,2.00,3.00,2.00,301,NULL,NULL,'CENTRO','CRICIÚMA','SC',19816,265,NULL,NULL,NULL,NULL,NULL,4,1),(28,7124767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7124783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO AREADO','AGRONÔMICA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7124805,4.00,8.00,2.00,5.00,6.00,8.25,4.00,6.00,5.00,103,NULL,NULL,'PARQUE VERDE','CASCAVEL','PR',4044,1332,NULL,NULL,NULL,NULL,NULL,4,1),(28,7124813,5.00,5.00,2.00,6.00,5.00,6.38,2.00,5.00,2.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',15337,201,NULL,NULL,NULL,NULL,NULL,2,1),(28,7124821,1.00,6.00,3.00,7.00,5.00,7.50,2.00,3.00,4.00,109,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',12476,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7124830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7124848,0.00,5.00,1.00,6.00,6.00,9.38,1.00,2.00,2.00,103,NULL,NULL,'CENTRO HISTÓRICO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7124856,0.00,3.00,2.00,2.00,1.00,NULL,3.00,4.00,2.00,320,NULL,NULL,'RIO TAVRES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7124864,6.00,8.00,4.00,7.00,7.00,10.13,5.00,7.00,6.00,201,NULL,235,'PARQUE ALVORADA','DOURADOS','MS',772,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7124872,0.00,5.00,1.00,5.00,5.00,7.50,2.00,3.00,4.00,999,NULL,NULL,'NOSSA SENHORA DO ROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7124880,1.00,2.00,2.00,2.00,2.00,NULL,0.00,3.00,3.00,501,NULL,NULL,'RIO DO PEIXE','LUIZ ALVES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7124899,5.00,7.00,1.00,7.00,6.00,6.75,4.00,5.00,6.00,104,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',7209,164,NULL,NULL,NULL,NULL,NULL,2,1),(28,7124902,1.00,3.00,1.00,4.00,3.00,7.50,1.00,2.00,1.00,5,NULL,NULL,'BOA VISTA','RIO SUL','SC',19972,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7124910,0.00,0.00,1.00,6.00,5.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(28,7124937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,216,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7124945,0.00,2.00,1.00,1.00,3.00,7.50,1.00,4.00,1.00,103,NULL,NULL,'SÃO LUIS','SOMBRIO','SC',19051,2502,NULL,NULL,NULL,NULL,NULL,4,15),(28,7124961,4.00,7.00,3.00,7.00,7.00,8.25,4.00,6.00,5.00,9,NULL,NULL,'INDEPENDENCIA','POUSO REDONDO','SC',4316,10,NULL,NULL,NULL,NULL,NULL,2,24),(28,7124970,4.00,9.00,0.00,6.00,10.00,NULL,3.00,6.00,4.00,326,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7124988,6.00,6.00,4.00,6.00,3.00,9.00,6.00,6.00,5.00,208,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7035,64,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125003,3.00,7.00,1.00,5.00,6.00,10.13,4.00,6.00,5.00,207,NULL,212,'AGRONÔMICA','FLORIANÓPOLIS','SC',4882,207,NULL,156,NULL,NULL,NULL,4,1),(28,7125020,5.00,8.00,2.00,6.00,8.00,9.38,4.00,7.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125038,4.00,8.00,1.00,7.00,5.00,7.50,6.00,5.00,2.00,201,NULL,212,'CENTRO','SALTO VELOSO','SC',6120,475,NULL,196,NULL,NULL,NULL,2,7),(28,7125046,3.00,6.00,1.00,7.00,6.00,8.25,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9430,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7125070,7.00,8.00,3.00,5.00,10.00,8.25,4.00,9.00,7.00,103,NULL,NULL,'JARDIM PAULISTA','RIBEIRÃO PRETO','SP',877,499,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125089,0.00,3.00,1.00,7.00,5.00,6.00,1.00,3.00,1.00,319,NULL,NULL,'TERRAS DE PIRACICABA','PIRACICABA','SP',15590,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125097,5.00,8.00,1.00,6.00,7.00,8.63,5.00,7.00,2.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',4639,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7125100,4.00,6.00,3.00,7.00,8.00,7.88,5.00,5.00,4.00,303,NULL,NULL,'NOSSA SRA DA SALETE','CRICIÚMA','SC',4010,186,NULL,NULL,NULL,NULL,NULL,2,5),(28,7125119,3.00,5.00,2.00,6.00,5.00,10.50,1.00,5.00,0.00,999,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7125127,1.00,5.00,1.00,6.00,6.00,4.88,3.00,4.00,3.00,328,NULL,NULL,'CENTRO HISTÓRICO','S JOSÉ','SC',14568,10,NULL,NULL,NULL,NULL,NULL,2,1),(28,7125151,4.00,6.00,2.00,5.00,6.00,9.00,6.00,6.00,6.00,208,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',4740,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125160,1.00,4.00,2.00,4.00,3.00,5.63,2.00,2.00,2.00,652,NULL,653,'SANGA DA TOCA','ARARANGUÁ','SC',19560,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7125186,0.00,2.00,1.00,3.00,1.00,NULL,1.00,1.00,3.00,551,NULL,NULL,'CENTRO','S CRISTÓVÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7125194,1.00,7.00,0.00,5.00,6.00,11.25,2.00,5.00,3.00,9,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',15336,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7125208,0.00,5.00,2.00,7.00,5.00,7.13,2.00,4.00,4.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17198,47,NULL,NULL,NULL,NULL,NULL,2,1),(28,7125216,3.00,5.00,3.00,7.00,4.00,10.88,2.00,5.00,5.00,201,NULL,207,'ESTREITO','FLORIANÓPOLIS','SC',9958,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125224,3.00,6.00,1.00,6.00,7.00,7.88,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','IÇARA','SC',7527,1831,NULL,NULL,NULL,NULL,NULL,4,4),(28,7125240,2.00,8.00,3.00,5.00,9.00,10.50,4.00,6.00,5.00,201,NULL,212,'SQN','BRASÍLIA','DF',3510,268,NULL,104,NULL,NULL,NULL,4,1),(28,7125259,6.00,6.00,2.00,5.00,4.00,9.00,4.00,4.00,5.00,207,NULL,201,'VELHA','BLUMENAU','SC',11642,531,NULL,751,NULL,NULL,NULL,2,2),(28,7125267,2.00,6.00,4.00,6.00,3.00,6.38,3.00,5.00,1.00,102,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',16652,154,NULL,NULL,NULL,NULL,NULL,2,8),(28,7125275,6.00,7.00,2.00,4.00,7.00,7.13,3.00,6.00,4.00,103,NULL,NULL,'BOA VISTA','S JOSÉ R PRETO','SP',6673,1720,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7125291,0.00,5.00,2.00,5.00,5.00,8.25,1.00,3.00,3.00,319,NULL,NULL,'ALTO DA BOA VISTA','RIBEIRÃO PRETO','SP',14595,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOEMA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7125313,6.00,7.00,5.00,7.00,10.00,9.00,9.00,7.00,7.00,201,NULL,212,'JARDIM BLUMENAU','BLUMENAU','SC',495,21,NULL,NULL,NULL,NULL,NULL,4,2),(28,7125330,2.00,4.00,1.00,6.00,4.00,7.50,2.00,3.00,2.00,653,NULL,655,'MINHA BRASIL','CRICIÚMA','SC',14946,162,NULL,82,NULL,NULL,NULL,4,5),(28,7125348,7.00,8.00,1.00,6.00,10.00,9.75,3.00,6.00,4.00,310,NULL,NULL,'CENTRO','PTO UNIÃO','SC',2032,3,NULL,NULL,NULL,NULL,NULL,2,1),(28,7125364,4.00,8.00,4.00,5.00,6.00,5.63,3.00,5.00,5.00,211,NULL,216,'JARDIM MALUCHE','BRUSQUE','SC',7083,199,NULL,244,NULL,NULL,NULL,4,22),(28,7125372,5.00,7.00,2.00,4.00,6.00,10.50,3.00,7.00,5.00,103,NULL,NULL,'CATOLÉ','CAMPINA GRANDE','PB',4353,1397,NULL,NULL,NULL,NULL,NULL,2,1),(28,7125380,0.00,2.00,2.00,5.00,6.00,6.38,1.00,4.00,2.00,552,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',17527,131,NULL,NULL,NULL,NULL,NULL,2,23),(28,7125399,4.00,5.00,1.00,4.00,6.00,10.50,2.00,5.00,5.00,336,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',13267,67,NULL,NULL,NULL,NULL,NULL,4,8),(28,7125402,1.00,6.00,2.00,6.00,8.00,6.75,6.00,4.00,3.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10090,248,NULL,NULL,NULL,NULL,NULL,2,1),(28,7125437,6.00,5.00,1.00,5.00,5.00,7.50,4.00,4.00,4.00,454,NULL,NULL,'OESTE','GOIÂNIA','GO',8073,142,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'JD SUISSA','S ROQUE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7125453,0.00,2.00,1.00,7.00,4.00,NULL,1.00,3.00,2.00,340,NULL,NULL,'PROTASIO ALVES','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7125470,0.00,6.00,4.00,5.00,4.00,7.50,4.00,5.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12242,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7125488,1.00,2.00,1.00,2.00,3.00,7.88,0.00,3.00,0.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',19229,166,NULL,NULL,NULL,NULL,NULL,2,1),(28,7125496,2.00,5.00,2.00,1.00,9.00,4.50,3.00,3.00,5.00,5,NULL,NULL,'BRASILIA','S BENTO SUL','SC',14212,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7125518,1.00,4.00,1.00,5.00,6.00,9.38,2.00,4.00,2.00,319,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',14249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125526,4.00,7.00,3.00,5.00,5.00,10.88,2.00,4.00,5.00,103,NULL,NULL,'JARDIM UMARIZAL','S PAULO','SP',7014,1761,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125534,4.00,7.00,2.00,6.00,6.00,9.00,2.00,6.00,4.00,653,NULL,652,'SÃO SIMÃO','CRICIÚMA','SC',11227,116,NULL,29,NULL,NULL,NULL,4,15),(28,7125542,2.00,3.00,1.00,4.00,3.00,NULL,0.00,3.00,2.00,654,NULL,NULL,'VILA ALVORADA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7125550,7.00,8.00,6.00,7.00,10.00,8.63,8.00,7.00,7.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',56,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125569,2.00,8.00,0.00,8.00,9.00,10.50,4.00,8.00,5.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',5603,1580,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7125593,1.00,6.00,1.00,5.00,2.00,NULL,3.00,2.00,3.00,308,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7125607,0.00,7.00,0.00,3.00,6.00,9.38,4.00,7.00,2.00,103,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',14344,2325,NULL,NULL,NULL,NULL,NULL,4,8),(28,7125615,5.00,6.00,3.00,6.00,8.00,10.13,5.00,3.00,4.00,207,NULL,233,'CENTRO','CHAPECÓ','SC',3781,150,NULL,97,NULL,NULL,NULL,4,4),(28,7125623,5.00,7.00,1.00,5.00,4.00,11.25,3.00,5.00,4.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9272,109,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125631,1.00,5.00,1.00,6.00,6.00,6.00,3.00,4.00,2.00,316,NULL,NULL,'ATIRADORES','JOINVILLE','SC',13333,151,NULL,NULL,NULL,NULL,NULL,4,8),(28,7125658,2.00,9.00,5.00,7.00,8.00,7.13,5.00,6.00,3.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',2803,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125666,2.00,2.00,1.00,0.00,2.00,NULL,0.00,3.00,0.00,201,NULL,233,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125682,5.00,9.00,4.00,6.00,10.00,7.88,3.00,8.00,5.00,203,NULL,214,'JARDIM DELTA','LONDRINA','PR',3104,228,NULL,112,NULL,NULL,NULL,4,1),(28,7125690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,202,'ARIRIRU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7125704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,425,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7125712,1.00,5.00,1.00,7.00,6.00,4.88,1.00,3.00,2.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',16150,97,NULL,NULL,NULL,NULL,NULL,2,1),(28,7125739,0.00,1.00,3.00,4.00,3.00,6.00,1.00,3.00,2.00,201,NULL,212,'MENINO DEUS','JOAÇABA','SC',19937,1055,NULL,422,NULL,NULL,NULL,4,7),(28,7125747,3.00,7.00,5.00,6.00,5.00,9.00,3.00,6.00,4.00,415,NULL,NULL,'APARECIDA','SANTOS','SP',4470,67,NULL,NULL,NULL,NULL,NULL,2,6),(28,7125755,0.00,5.00,0.00,3.00,4.00,0.00,2.00,4.00,3.00,316,NULL,NULL,'SAO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7125763,5.00,7.00,6.00,7.00,8.00,7.13,5.00,6.00,6.00,202,NULL,216,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',2249,64,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125771,4.00,6.00,1.00,7.00,5.00,9.75,4.00,7.00,5.00,203,NULL,201,'CENTRO','NOVA ANDRADINA','MS',4210,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125780,5.00,8.00,2.00,6.00,6.00,9.75,3.00,5.00,2.00,103,NULL,NULL,'NEVA','CASCAVEL','PR',5659,1585,NULL,NULL,NULL,NULL,NULL,4,4),(28,7125801,0.00,6.00,2.00,4.00,3.00,4.88,3.00,4.00,3.00,201,NULL,216,'SAGUAÇU','JOINVILLE','SC',19109,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7125810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7125828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7125836,0.00,4.00,2.00,2.00,0.00,NULL,2.00,3.00,2.00,601,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7125844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7125852,0.00,3.00,2.00,2.00,2.00,NULL,1.00,2.00,4.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7125860,1.00,6.00,5.00,5.00,8.00,10.50,4.00,7.00,2.00,340,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',3947,97,NULL,NULL,NULL,NULL,NULL,4,8),(28,7125887,1.00,5.00,2.00,6.00,5.00,7.13,0.00,6.00,3.00,999,NULL,NULL,'LA SALLE','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7125895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','JACAREZINHO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,22),(28,7125909,1.00,5.00,1.00,5.00,7.00,8.25,5.00,4.00,3.00,215,NULL,213,'CENTRO','ANGELINA','SC',9603,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7125917,0.00,3.00,0.00,4.00,5.00,8.25,2.00,2.00,4.00,9,NULL,NULL,'MOSQUITO','AGRONÔMICA','SC',17165,135,NULL,NULL,NULL,NULL,NULL,2,24),(28,7125925,3.00,6.00,2.00,5.00,8.00,9.38,2.00,6.00,3.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6319,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125933,7.00,8.00,4.00,7.00,8.00,10.50,6.00,7.00,8.00,103,NULL,NULL,'SANTO AMARO','S PAULO','SP',198,155,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125941,5.00,8.00,4.00,7.00,7.00,7.88,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2770,1080,NULL,NULL,NULL,NULL,NULL,4,4),(28,7125950,4.00,7.00,5.00,6.00,6.00,8.63,4.00,6.00,3.00,415,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',5870,89,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125968,4.00,9.00,4.00,7.00,9.00,9.38,0.00,5.00,5.00,9,NULL,NULL,'CENTRO','BLUMENAU','SC',2538,3,NULL,NULL,NULL,NULL,NULL,4,2),(28,7125976,4.00,6.00,3.00,5.00,7.00,11.63,4.00,7.00,3.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',4399,1404,NULL,NULL,NULL,NULL,NULL,4,1),(28,7125984,6.00,7.00,2.00,7.00,9.00,7.50,2.00,7.00,5.00,211,NULL,601,'HUMAITÁ','TUBARÃO','SC',3026,60,NULL,NULL,NULL,NULL,NULL,4,10),(28,7125992,0.00,3.00,1.00,5.00,2.00,NULL,1.00,1.00,1.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7126000,4.00,6.00,3.00,7.00,7.00,6.38,1.00,4.00,4.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',13385,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7126026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,653,'HAMBURGO VELHO','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7126034,3.00,6.00,4.00,7.00,5.00,9.00,1.00,5.00,4.00,207,NULL,201,'CENTRO','S VICENTE','SP',6339,294,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126042,4.00,7.00,3.00,6.00,10.00,10.50,5.00,7.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1695,77,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126050,4.00,6.00,5.00,7.00,9.00,9.38,3.00,5.00,6.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3214,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126069,6.00,3.00,7.00,6.00,4.00,8.63,6.00,6.00,6.00,203,NULL,213,'JARDINS FLORENÇA','GOIÂNIA','GO',2598,198,NULL,24,NULL,NULL,NULL,4,1),(28,7126085,1.00,4.00,1.00,7.00,5.00,6.75,4.00,4.00,1.00,207,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',13886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126093,4.00,7.00,5.00,8.00,8.00,8.63,3.00,4.00,6.00,308,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',7560,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126107,0.00,4.00,1.00,4.00,5.00,8.25,1.00,3.00,3.00,999,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126115,0.00,2.00,5.00,3.00,4.00,NULL,1.00,2.00,2.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7126123,7.00,8.00,6.00,7.00,8.00,7.88,6.00,7.00,7.00,216,NULL,201,'VILA SANTANA','SOROCABA','SP',377,5,NULL,NULL,NULL,NULL,NULL,4,8),(28,7126131,7.00,6.00,4.00,5.00,6.00,6.75,5.00,5.00,7.00,202,NULL,235,'AGRONÔMICA','FLORIANÓPOLIS','SC',4367,127,NULL,70,NULL,NULL,NULL,4,1),(28,7126140,3.00,5.00,1.00,3.00,6.00,8.25,1.00,2.00,2.00,208,NULL,NULL,'BOA VISTA','BIGUAÇU','SC',18974,209,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126158,2.00,7.00,2.00,6.00,6.00,10.13,6.00,6.00,3.00,316,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9020,86,NULL,NULL,NULL,NULL,NULL,2,1),(28,7126166,5.00,7.00,3.00,7.00,9.00,8.63,4.00,6.00,7.00,303,NULL,NULL,'JD AQUARIUS','S JOSÉ CAMPOS','SP',1093,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126174,2.00,5.00,0.00,6.00,5.00,NULL,3.00,3.00,3.00,450,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7126182,0.00,7.00,1.00,6.00,6.00,5.63,1.00,5.00,2.00,212,NULL,214,'ILHA','JOAÇABA','SC',18079,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7126204,6.00,6.00,5.00,7.00,9.00,11.25,3.00,5.00,7.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',1112,603,NULL,NULL,NULL,NULL,NULL,2,8),(28,7126220,3.00,7.00,1.00,8.00,7.00,11.63,4.00,5.00,3.00,104,NULL,NULL,'CENTRO','LAGES','SC',4879,89,NULL,NULL,NULL,NULL,NULL,4,9),(28,7126239,3.00,4.00,2.00,6.00,7.00,7.13,2.00,3.00,5.00,214,NULL,233,'AGRONÔMICA','FLORIANÓPOLIS','SC',9898,255,NULL,233,NULL,NULL,NULL,4,1),(28,7126255,3.00,6.00,1.00,5.00,4.00,5.63,3.00,3.00,1.00,310,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14655,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126263,0.00,4.00,1.00,2.00,3.00,NULL,0.00,4.00,3.00,201,NULL,207,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126271,3.00,6.00,1.00,6.00,9.00,7.50,3.00,7.00,6.00,203,NULL,220,'BOA ESPERANÇA','CUIABÁ','MT',4435,310,NULL,131,NULL,NULL,NULL,4,1),(28,7126280,4.00,8.00,4.00,7.00,7.00,9.38,5.00,6.00,4.00,201,NULL,207,'AGRONÔMICA','FLORIANÓPOLIS','SC',1945,125,NULL,64,NULL,NULL,NULL,2,1),(28,7126298,1.00,4.00,1.00,1.00,4.00,5.63,2.00,2.00,3.00,301,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',19907,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126301,1.00,4.00,0.00,6.00,2.00,NULL,0.00,3.00,0.00,454,NULL,NULL,'PARQUE VERDE','CAFELÂNDIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7126310,0.00,6.00,0.00,6.00,7.00,NULL,4.00,3.00,3.00,201,NULL,203,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7126328,4.00,4.00,3.00,5.00,3.00,8.25,2.00,3.00,3.00,233,NULL,215,'PACHECO','PALHOÇA','SC',13154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7126352,0.00,1.00,3.00,2.00,2.00,NULL,3.00,2.00,2.00,103,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126360,4.00,5.00,3.00,5.00,8.00,8.25,6.00,6.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4647,77,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126387,2.00,6.00,1.00,6.00,5.00,6.75,1.00,5.00,4.00,303,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',11907,458,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126395,0.00,2.00,1.00,3.00,3.00,4.50,2.00,3.00,1.00,333,NULL,NULL,'IGRA NORTE','TORRES','RS',20138,121,NULL,NULL,NULL,NULL,NULL,2,1),(28,7126409,0.00,4.00,2.00,5.00,4.00,6.75,4.00,1.00,2.00,103,NULL,NULL,'CENTRO','S MATEUS SUL','PR',19391,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7126425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,216,'ABRANCHES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7126441,4.00,6.00,5.00,5.00,7.00,9.38,4.00,6.00,6.00,201,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',4258,331,NULL,136,NULL,NULL,NULL,4,1),(28,7126450,3.00,4.00,2.00,7.00,7.00,7.13,2.00,3.00,2.00,108,NULL,NULL,'BOMBAS','BOMBINHAS','SC',17140,231,NULL,NULL,NULL,NULL,NULL,4,6),(28,7126468,3.00,7.00,1.00,7.00,8.00,11.63,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',3058,1151,NULL,NULL,NULL,NULL,NULL,4,17),(28,7126484,2.00,6.00,3.00,2.00,4.00,3.00,1.00,7.00,1.00,340,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7126514,4.00,7.00,3.00,7.00,5.00,6.38,3.00,5.00,6.00,3,NULL,NULL,'SÃO JOAQUIM','VINHEDO','SP',4181,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126522,6.00,7.00,5.00,7.00,9.00,9.75,5.00,5.00,6.00,104,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',2873,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126530,0.00,5.00,4.00,5.00,4.00,8.25,2.00,4.00,1.00,317,NULL,NULL,'CENTRO','S BONIFÁCIO','SC',12950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7126549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7126557,5.00,8.00,1.00,5.00,7.00,11.25,5.00,5.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3194,116,NULL,NULL,NULL,NULL,NULL,2,1),(28,7126565,5.00,7.00,2.00,6.00,9.00,8.63,3.00,5.00,5.00,303,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',3865,183,NULL,NULL,NULL,NULL,NULL,4,8),(28,7126581,4.00,4.00,2.00,6.00,4.00,7.13,2.00,2.00,0.00,340,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',18364,419,NULL,NULL,NULL,NULL,NULL,2,8),(28,7126590,4.00,6.00,2.00,6.00,7.00,6.75,4.00,4.00,4.00,208,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',7043,65,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126611,2.00,6.00,3.00,5.00,9.00,7.88,4.00,4.00,3.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',9745,235,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126620,6.00,8.00,4.00,8.00,10.00,8.63,3.00,5.00,5.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',1557,763,NULL,NULL,NULL,NULL,NULL,2,8),(28,7126638,4.00,7.00,2.00,7.00,8.00,7.88,3.00,4.00,5.00,207,NULL,238,'ITACURUBI','FLORIANÓPOLIS','SC',5721,256,NULL,50,NULL,NULL,NULL,4,1),(28,7126646,5.00,6.00,2.00,6.00,7.00,7.88,2.00,5.00,1.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9038,279,NULL,NULL,NULL,NULL,NULL,2,1),(28,7126654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7126670,0.00,4.00,2.00,2.00,2.00,NULL,4.00,3.00,2.00,201,NULL,203,'CENTRO','ITÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7126697,2.00,7.00,3.00,6.00,6.00,4.50,2.00,7.00,5.00,201,NULL,211,'ACLIMAÇÃO','S PAULO','SP',6171,479,NULL,164,NULL,NULL,NULL,4,1),(28,7126700,0.00,5.00,3.00,4.00,5.00,6.75,3.00,4.00,1.00,233,NULL,203,'CENTRO','VARGEÃO','SC',15393,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7126719,6.00,7.00,4.00,7.00,6.00,9.75,4.00,6.00,7.00,103,NULL,NULL,'VILA LÍDIA','CAMPINAS','SP',1641,786,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126727,5.00,5.00,2.00,6.00,7.00,9.00,3.00,6.00,5.00,340,NULL,NULL,'FERRAZ','GAROPABA','SC',5017,127,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126735,0.00,3.00,3.00,2.00,2.00,NULL,0.00,5.00,0.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7126760,4.00,7.00,3.00,6.00,10.00,10.50,3.00,5.00,2.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',5085,171,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126778,2.00,4.00,1.00,4.00,5.00,7.13,2.00,4.00,4.00,454,NULL,NULL,'CENTRO','POMERODE','SC',14133,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7126786,3.00,7.00,4.00,7.00,6.00,6.75,5.00,6.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5271,245,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126816,3.00,6.00,2.00,6.00,7.00,7.88,2.00,3.00,3.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',10366,419,NULL,NULL,NULL,NULL,NULL,2,1),(28,7126824,3.00,5.00,1.00,6.00,7.00,7.88,3.00,6.00,3.00,340,NULL,NULL,'JD MURILO','MOGI GUAÇU','SP',11891,327,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126832,1.00,5.00,2.00,5.00,5.00,9.00,2.00,4.00,2.00,9,NULL,NULL,'NOSSA S APARECIDA','CURITIBANOS','SC',11056,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7126840,5.00,8.00,3.00,6.00,7.00,11.63,3.00,6.00,3.00,103,NULL,NULL,'NOVO HORIZONTE','MARINGÁ','PR',7407,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126859,6.00,8.00,4.00,6.00,6.00,7.88,4.00,7.00,4.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',6099,50,NULL,NULL,NULL,NULL,NULL,2,1),(28,7126875,4.00,7.00,3.00,6.00,9.00,7.13,4.00,5.00,5.00,301,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',5181,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126883,0.00,5.00,2.00,6.00,5.00,6.75,2.00,4.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126891,4.00,7.00,0.00,7.00,7.00,10.13,4.00,7.00,4.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',5638,250,NULL,433,NULL,NULL,NULL,2,1),(28,7126905,2.00,6.00,2.00,3.00,10.00,6.75,3.00,6.00,3.00,207,NULL,201,'SÃO LUIS','SOMBRIO','SC',8170,379,NULL,587,NULL,NULL,NULL,4,15),(28,7126930,4.00,2.00,1.00,4.00,7.00,6.75,0.00,5.00,3.00,654,NULL,NULL,'SANTA CATARINA','ARARANGUÁ','SC',15730,54,NULL,NULL,NULL,NULL,NULL,2,15),(28,7126948,0.00,4.00,1.00,3.00,7.00,9.00,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','RIO FORTUNA','SC',12771,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7126956,2.00,7.00,3.00,7.00,8.00,10.88,4.00,5.00,6.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3091,71,NULL,NULL,NULL,NULL,NULL,2,1),(28,7126964,4.00,5.00,1.00,3.00,3.00,10.13,2.00,2.00,2.00,203,NULL,207,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',18509,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126972,4.00,8.00,3.00,5.00,8.00,8.25,3.00,3.00,5.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4283,201,NULL,NULL,NULL,NULL,NULL,4,1),(28,7126980,1.00,5.00,1.00,4.00,4.00,7.50,0.00,3.00,4.00,207,NULL,201,'UMBARÁ','CURITIBA','PR',19181,NULL,NULL,1033,NULL,NULL,NULL,2,1),(28,7126999,4.00,7.00,1.00,3.00,9.00,9.00,3.00,7.00,7.00,103,NULL,NULL,'VILA SOUTO','BAURU','SP',2768,1078,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127006,3.00,8.00,3.00,5.00,7.00,9.00,4.00,4.00,3.00,207,NULL,201,'COND FLORAIS CUIABÁ','CUIABÁ','MT',6603,307,NULL,NULL,NULL,NULL,NULL,2,1),(28,7127014,0.00,4.00,0.00,5.00,5.00,NULL,2.00,4.00,2.00,201,NULL,216,'ALTO BENEDITO','BENEDITO NOVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7127022,1.00,7.00,1.00,7.00,5.00,9.00,2.00,4.00,2.00,238,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15911,271,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127030,3.00,4.00,0.00,2.00,2.00,NULL,4.00,4.00,2.00,601,NULL,213,'BAIRRO IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7127049,1.00,4.00,1.00,1.00,5.00,8.25,2.00,5.00,2.00,103,NULL,NULL,'SARANDI','PTO ALEGRE','RS',12965,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7127057,0.00,3.00,1.00,2.00,3.00,6.38,0.00,4.00,2.00,238,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',17469,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127065,1.00,6.00,2.00,4.00,6.00,6.75,2.00,5.00,3.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17254,350,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127073,3.00,8.00,3.00,7.00,5.00,7.88,4.00,5.00,4.00,201,NULL,212,'JUNDIAÍ MIRIM','JUNDIAÍ','SP',11386,741,NULL,324,NULL,NULL,NULL,4,1),(28,7127081,0.00,2.00,1.00,4.00,4.00,NULL,2.00,1.00,1.00,552,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7127090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA MONTEIRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7127103,0.00,6.00,2.00,3.00,3.00,NULL,0.00,4.00,3.00,999,NULL,NULL,'MELLER SUL','STO ÂNGELO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127111,6.00,7.00,4.00,5.00,8.00,9.75,3.00,6.00,6.00,340,NULL,NULL,'LAPA','S PAULO','SP',2754,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127120,3.00,4.00,3.00,6.00,5.00,7.50,3.00,3.00,3.00,208,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',11189,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7127138,5.00,0.00,3.00,7.00,9.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(28,7127154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,235,'FAZENDINHA','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7127162,3.00,4.00,1.00,6.00,5.00,7.13,2.00,4.00,1.00,238,NULL,201,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',14663,241,NULL,896,NULL,NULL,NULL,2,1),(28,7127170,2.00,5.00,2.00,6.00,7.00,7.13,3.00,4.00,2.00,103,NULL,NULL,'OURO VERDE','CEL FREITAS','SC',11445,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7127189,1.00,6.00,5.00,7.00,5.00,8.63,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','BIGUAÇU','SC',5872,1609,NULL,NULL,NULL,NULL,NULL,2,1),(28,7127197,4.00,3.00,3.00,6.00,10.00,7.50,3.00,5.00,4.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7187,116,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127200,6.00,5.00,4.00,5.00,9.00,7.13,4.00,4.00,6.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5635,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7127235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7127243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,601,'ITAJUBA','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7127251,4.00,6.00,2.00,6.00,7.00,9.00,3.00,4.00,1.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',7970,1896,NULL,NULL,NULL,NULL,NULL,4,8),(28,7127260,1.00,3.00,1.00,6.00,6.00,8.63,3.00,2.00,2.00,207,NULL,215,'SANTA BARBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7127286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'AREIAS','PAULO LOPES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7127294,4.00,6.00,2.00,4.00,6.00,7.50,1.00,5.00,5.00,203,NULL,601,'IRIRIU','JOINVILLE','SC',13730,NULL,NULL,411,NULL,NULL,NULL,4,8),(28,7127308,2.00,4.00,1.00,3.00,3.00,8.25,2.00,3.00,1.00,201,NULL,653,'SÃO CRISTOVÃO','CAÇADOR','SC',16468,NULL,NULL,178,NULL,NULL,NULL,4,25),(28,7127316,2.00,4.00,2.00,5.00,7.00,9.00,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','PTE ALTA','SC',14096,2307,NULL,NULL,NULL,NULL,NULL,2,1),(28,7127324,1.00,6.00,0.00,6.00,2.00,NULL,3.00,3.00,3.00,3,NULL,NULL,'PEREQUÊ','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7127340,0.00,4.00,0.00,1.00,5.00,NULL,1.00,1.00,1.00,428,NULL,425,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127367,5.00,7.00,2.00,6.00,8.00,10.50,5.00,7.00,7.00,203,NULL,235,'CENTRO','GR PARÁ','SC',1119,104,NULL,8,NULL,NULL,NULL,4,10),(28,7127375,5.00,6.00,2.00,6.00,6.00,9.75,3.00,3.00,5.00,202,NULL,213,'CENTRO','ITAJAÍ','SC',6624,178,NULL,112,NULL,NULL,NULL,4,6),(28,7127391,2.00,6.00,3.00,6.00,4.00,4.88,3.00,4.00,3.00,999,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7127405,0.00,6.00,4.00,3.00,5.00,7.88,4.00,5.00,2.00,103,NULL,NULL,'AGUAS CLARAS','BRUSQUE','SC',9357,2024,NULL,NULL,NULL,NULL,NULL,4,22),(28,7127413,1.00,6.00,4.00,3.00,5.00,9.38,3.00,7.00,3.00,211,NULL,216,'CENTRO','ANGELINA','SC',9394,254,NULL,302,NULL,NULL,NULL,2,1),(28,7127421,0.00,5.00,0.00,6.00,10.00,10.50,2.00,4.00,3.00,450,NULL,NULL,'CENTRO','S JOAQUIM','SC',9506,74,NULL,NULL,NULL,NULL,NULL,4,9),(28,7127430,5.00,6.00,2.00,5.00,6.00,9.75,3.00,5.00,6.00,103,NULL,NULL,'SÃO JUDAS','S PAULO','SP',3424,1228,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127448,1.00,6.00,1.00,3.00,6.00,5.25,0.00,2.00,3.00,301,NULL,NULL,'GUARANI MIRIM','MASSARANDUBA','SC',19692,262,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127456,0.00,4.00,3.00,1.00,3.00,4.50,2.00,1.00,1.00,444,NULL,NULL,'FABRICIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7127472,4.00,7.00,2.00,7.00,6.00,8.25,2.00,4.00,4.00,502,NULL,NULL,'CENTRO','AGROLÂNDIA','SC',13737,26,NULL,NULL,NULL,NULL,NULL,2,3),(28,7127480,2.00,6.00,1.00,6.00,9.00,10.13,0.00,6.00,2.00,454,NULL,NULL,'MINA DO MATO','CRICIÚMA','SC',12786,253,NULL,NULL,NULL,NULL,NULL,4,5),(28,7127499,9.00,8.00,3.00,8.00,10.00,10.13,6.00,7.00,7.00,110,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',841,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127502,1.00,5.00,1.00,7.00,4.00,7.88,0.00,3.00,4.00,303,NULL,NULL,'CENTRO','S JOAQUIM','SC',13826,510,NULL,NULL,NULL,NULL,NULL,2,9),(28,7127537,1.00,6.00,4.00,6.00,8.00,7.50,6.00,7.00,6.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',4247,330,NULL,135,NULL,NULL,NULL,2,1),(28,7127545,1.00,3.00,0.00,5.00,6.00,NULL,3.00,4.00,2.00,999,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7127570,0.00,6.00,2.00,7.00,6.00,4.88,1.00,6.00,3.00,999,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127588,1.00,1.00,1.00,3.00,1.00,NULL,2.00,2.00,2.00,234,NULL,NULL,'CENTRO','CAFELÂNDIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7127596,0.00,3.00,3.00,2.00,3.00,NULL,1.00,4.00,0.00,234,NULL,NULL,'CENTRO','ETN VELHA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127626,4.00,6.00,3.00,6.00,6.00,7.13,4.00,5.00,3.00,202,NULL,211,'BOM SUCESSO','PALMITOS','SC',7032,186,NULL,194,NULL,NULL,NULL,4,4),(28,7127634,2.00,6.00,1.00,7.00,9.00,9.75,4.00,4.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5479,138,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127677,2.00,6.00,1.00,3.00,5.00,5.63,2.00,3.00,1.00,653,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',19496,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7127693,7.00,8.00,7.00,6.00,8.00,10.88,8.00,6.00,8.00,201,NULL,233,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',146,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127707,0.00,8.00,4.00,7.00,7.00,9.00,4.00,6.00,5.00,207,NULL,201,'JARDIM CARANDAÍ','BIGUAÇU','SC',5648,253,NULL,434,NULL,NULL,NULL,2,1),(28,7127715,4.00,8.00,3.00,6.00,9.00,8.63,4.00,6.00,4.00,415,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',3515,47,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127723,2.00,6.00,3.00,6.00,4.00,8.63,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',11014,2139,NULL,NULL,NULL,NULL,NULL,4,22),(28,7127731,4.00,7.00,1.00,6.00,8.00,9.00,7.00,6.00,5.00,303,NULL,NULL,'CENTRO','PALHOÇA','SC',2522,107,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127758,3.00,6.00,1.00,7.00,5.00,7.13,4.00,5.00,4.00,454,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',9425,173,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127766,9.00,7.00,3.00,5.00,9.00,9.00,5.00,7.00,7.00,103,NULL,NULL,'STA TEREZINHA','S PAULO','SP',481,332,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127774,5.00,8.00,1.00,7.00,10.00,7.50,4.00,5.00,4.00,415,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',3213,41,NULL,NULL,NULL,NULL,NULL,4,15),(28,7127782,1.00,5.00,3.00,5.00,4.00,7.13,0.00,3.00,2.00,450,NULL,NULL,'INTERIOR','ITAPIRANGA','SC',15276,113,NULL,NULL,NULL,NULL,NULL,2,27),(28,7127790,1.00,5.00,2.00,7.00,7.00,10.13,0.00,5.00,3.00,415,NULL,NULL,'CABRAL','CURITIBA','PR',10819,174,NULL,NULL,NULL,NULL,NULL,2,8),(28,7127804,4.00,8.00,3.00,7.00,9.00,9.75,5.00,6.00,5.00,207,NULL,233,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',1471,40,NULL,NULL,NULL,NULL,NULL,2,1),(28,7127812,1.00,7.00,1.00,7.00,4.00,7.88,2.00,3.00,2.00,103,NULL,NULL,'JARDIM SAO FRANCISCO','MARÍLIA','SP',13941,2296,NULL,NULL,NULL,NULL,NULL,4,8),(28,7127820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PASSO DA AREIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7127839,2.00,7.00,3.00,7.00,7.00,7.88,2.00,3.00,4.00,102,NULL,NULL,'CENTRO','AGROLÂNDIA','SC',9710,82,NULL,NULL,NULL,NULL,NULL,2,24),(28,7127847,1.00,4.00,2.00,1.00,2.00,NULL,1.00,5.00,3.00,316,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7127855,6.00,6.00,2.00,6.00,8.00,10.50,4.00,7.00,6.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',3121,113,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127863,3.00,4.00,4.00,4.00,7.00,7.88,2.00,1.00,2.00,201,NULL,203,'SANTA BÁRBARA','CRICIÚMA','SC',14842,903,NULL,638,NULL,NULL,NULL,4,5),(28,7127880,3.00,4.00,5.00,7.00,3.00,8.63,3.00,5.00,3.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',7747,181,NULL,NULL,NULL,NULL,NULL,4,5),(28,7127901,6.00,6.00,2.00,6.00,7.00,9.75,4.00,4.00,6.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',5199,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7127910,2.00,7.00,0.00,6.00,5.00,8.25,4.00,3.00,1.00,428,NULL,424,'PONTE DO IMARUIM','PALHOÇA','SC',11986,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7127928,0.00,2.00,2.00,2.00,2.00,NULL,0.00,3.00,3.00,501,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7127936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILLAGIO CAPRICCIO','LOUVEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7127944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,655,'VL OTÁCILIO CARDOSO','XAMBIOÁ','TO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7127952,4.00,6.00,2.00,7.00,7.00,10.88,5.00,5.00,3.00,207,NULL,235,'COMERCIÁRIO','CRICIÚMA','SC',9167,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7127979,2.00,2.00,2.00,4.00,3.00,4.50,2.00,3.00,1.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18652,276,NULL,NULL,NULL,NULL,NULL,2,1),(28,7127995,2.00,6.00,2.00,6.00,4.00,9.00,2.00,2.00,1.00,201,NULL,211,'JARDIM ELDORADO','PALHOÇA','SC',17855,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7128002,4.00,6.00,1.00,5.00,9.00,9.75,3.00,5.00,8.00,208,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',3825,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'NOVO HORIZONTE','MARABÁ','PA',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7128029,0.00,2.00,0.00,5.00,4.00,5.25,1.00,3.00,1.00,327,NULL,NULL,'PACHECOS','PALHOÇA','SC',19984,69,NULL,NULL,NULL,NULL,NULL,2,1),(28,7128037,2.00,7.00,3.00,5.00,4.00,9.38,3.00,3.00,3.00,319,NULL,NULL,'VILA LEÃO','SOROCABA','SP',10086,184,NULL,NULL,NULL,NULL,NULL,4,8),(28,7128045,4.00,5.00,2.00,4.00,7.00,6.38,3.00,3.00,5.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12822,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128061,4.00,6.00,1.00,4.00,5.00,5.63,4.00,4.00,3.00,103,NULL,NULL,'VILA ALBA','CPO GRANDE','MS',17262,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7128070,4.00,5.00,3.00,6.00,3.00,7.88,2.00,3.00,1.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',17646,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7128088,2.00,6.00,1.00,5.00,4.00,8.63,4.00,6.00,5.00,203,NULL,601,'SÃO JOSÉ','FRAIBURGO','SC',9833,530,NULL,268,NULL,NULL,NULL,4,25),(28,7128096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','TOLEDO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7128100,1.00,4.00,1.00,2.00,1.00,NULL,2.00,5.00,3.00,502,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,10),(28,7128118,2.00,5.00,2.00,2.00,4.00,6.75,3.00,1.00,3.00,444,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',19420,139,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128142,3.00,6.00,3.00,6.00,8.00,6.75,2.00,6.00,4.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',5711,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128150,1.00,5.00,4.00,7.00,3.00,7.88,3.00,3.00,3.00,208,NULL,NULL,'IRIRIU','JOINVILLE','SC',15492,170,NULL,NULL,NULL,NULL,NULL,4,8),(28,7128177,3.00,6.00,1.00,6.00,5.00,4.88,1.00,5.00,2.00,999,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7128185,8.00,6.00,4.00,5.00,6.00,5.63,7.00,5.00,7.00,203,NULL,233,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5031,346,NULL,136,NULL,NULL,NULL,2,1),(28,7128207,7.00,8.00,6.00,6.00,8.00,9.00,7.00,6.00,7.00,207,NULL,212,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',544,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128215,3.00,7.00,2.00,6.00,7.00,10.50,5.00,5.00,5.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',4713,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128231,1.00,5.00,1.00,5.00,5.00,6.75,3.00,3.00,3.00,552,NULL,NULL,'BARREIROS','S JOSÉ','SC',17512,129,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128266,2.00,4.00,2.00,5.00,6.00,8.63,3.00,4.00,4.00,319,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',10285,189,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128274,5.00,8.00,8.00,7.00,5.00,7.88,6.00,7.00,8.00,103,NULL,NULL,'INTERLAGOS','S PAULO','SP',720,439,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128282,3.00,5.00,1.00,6.00,6.00,7.50,2.00,3.00,2.00,202,NULL,213,'KOBRASOL','S JOSÉ','SC',11328,286,NULL,194,NULL,NULL,NULL,2,1),(28,7128290,4.00,4.00,2.00,6.00,8.00,6.38,2.00,4.00,3.00,108,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11152,149,NULL,NULL,NULL,NULL,NULL,2,1),(28,7128304,2.00,5.00,2.00,5.00,6.00,7.88,0.00,3.00,3.00,208,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',11249,122,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7128339,1.00,6.00,0.00,7.00,11.00,10.50,5.00,7.00,4.00,103,NULL,NULL,'CENTRO','BELMONTE','SC',3343,1214,NULL,NULL,NULL,NULL,NULL,2,27),(28,7128347,2.00,6.00,1.00,1.00,4.00,7.13,1.00,3.00,2.00,308,NULL,NULL,'PALHOCA','PALHOÇA','SC',19584,92,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128355,1.00,6.00,1.00,4.00,1.00,NULL,2.00,4.00,1.00,999,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128363,2.00,2.00,3.00,3.00,4.00,9.00,1.00,1.00,1.00,444,NULL,NULL,'CENTRO','S JOAQUIM','SC',17688,116,NULL,NULL,NULL,NULL,NULL,2,9),(28,7128371,3.00,6.00,4.00,3.00,8.00,9.00,2.00,4.00,5.00,233,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',7434,187,NULL,548,NULL,NULL,NULL,2,3),(28,7128380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'DAS DAMAS','URUSSANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7128398,1.00,0.00,2.00,5.00,3.00,5.63,2.00,3.00,3.00,101,NULL,NULL,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7128410,1.00,7.00,0.00,7.00,8.00,9.38,3.00,6.00,2.00,319,NULL,NULL,'CENTRO','CURITIBA','PR',7500,122,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128428,7.00,7.00,3.00,5.00,7.00,8.25,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',1896,858,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128436,0.00,3.00,2.00,1.00,3.00,6.00,0.00,1.00,3.00,104,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7128452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PONTE DO IMARUIN','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7128460,2.00,6.00,1.00,7.00,8.00,6.38,5.00,3.00,3.00,225,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',10461,14,NULL,NULL,NULL,NULL,NULL,4,23),(28,7128487,3.00,6.00,1.00,5.00,6.00,4.50,4.00,4.00,3.00,203,NULL,601,'ROÇADA','S JOSÉ','SC',15692,653,NULL,463,NULL,NULL,NULL,2,1),(28,7128495,1.00,4.00,1.00,6.00,4.00,6.75,2.00,3.00,2.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128509,2.00,5.00,3.00,6.00,7.00,NULL,5.00,3.00,3.00,5,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7128517,4.00,5.00,1.00,3.00,8.00,10.50,2.00,3.00,3.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',9195,282,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128525,7.00,8.00,6.00,7.00,9.00,12.38,6.00,7.00,8.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',79,66,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128533,0.00,3.00,3.00,2.00,2.00,NULL,1.00,2.00,2.00,5,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7128541,0.00,3.00,1.00,4.00,4.00,10.13,1.00,4.00,1.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15903,392,NULL,NULL,NULL,NULL,NULL,2,1),(28,7128568,2.00,1.00,0.00,2.00,5.00,3.38,1.00,3.00,2.00,503,NULL,NULL,'KOBRASSOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7128576,2.00,5.00,0.00,6.00,9.00,NULL,2.00,3.00,1.00,5,NULL,NULL,'LOTE SEIS','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7128584,3.00,5.00,1.00,5.00,6.00,6.38,3.00,6.00,4.00,216,NULL,220,'PIO CORREA','CRICIÚMA','SC',11025,336,NULL,262,NULL,NULL,NULL,4,5),(28,7128592,6.00,7.00,4.00,8.00,3.00,8.63,5.00,6.00,5.00,103,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',3084,1155,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7128614,2.00,4.00,1.00,2.00,5.00,7.50,1.00,6.00,1.00,207,NULL,215,'CENTRO','ANTÔNIO CARLOS','SC',16642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128630,2.00,5.00,2.00,3.00,5.00,NULL,2.00,6.00,3.00,5,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,3),(28,7128649,4.00,9.00,3.00,6.00,8.00,10.13,4.00,7.00,8.00,103,NULL,NULL,'ALTO RIO CANOAS','LUIZ ALVES','SC',1118,606,NULL,NULL,NULL,NULL,NULL,4,6),(28,7128657,8.00,9.00,6.00,7.00,9.00,10.50,5.00,8.00,7.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',163,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128665,1.00,6.00,2.00,7.00,6.00,4.88,2.00,3.00,3.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13310,497,NULL,NULL,NULL,NULL,NULL,2,1),(28,7128673,3.00,7.00,2.00,3.00,6.00,7.50,1.00,5.00,4.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14422,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7128690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7128703,0.00,2.00,3.00,4.00,5.00,4.50,0.00,2.00,0.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128711,4.00,7.00,1.00,6.00,4.00,7.13,2.00,6.00,3.00,999,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7128720,4.00,7.00,3.00,6.00,9.00,10.50,4.00,6.00,5.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2494,1020,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128738,0.00,5.00,2.00,3.00,4.00,6.38,2.00,6.00,2.00,319,NULL,NULL,'ZONA RURAL','STO ANTÔNIO SUDOESTE','PR',15606,306,NULL,NULL,NULL,NULL,NULL,4,27),(28,7128746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7128754,6.00,6.00,5.00,7.00,7.00,8.63,5.00,8.00,7.00,103,NULL,NULL,'TREZA DE JULHO','ARACAJU','SE',1141,616,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128762,2.00,3.00,1.00,5.00,4.00,7.50,2.00,4.00,3.00,9,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7128789,2.00,5.00,3.00,6.00,3.00,5.25,2.00,4.00,4.00,5,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',15460,419,NULL,NULL,NULL,NULL,NULL,2,1),(28,7128800,6.00,7.00,2.00,6.00,9.00,10.50,4.00,6.00,6.00,303,NULL,NULL,'CENTRO','CHAPECÓ','SC',2692,120,NULL,NULL,NULL,NULL,NULL,4,4),(28,7128819,4.00,5.00,3.00,5.00,6.00,10.13,3.00,6.00,2.00,201,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',8624,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7128827,4.00,6.00,1.00,6.00,5.00,8.63,4.00,5.00,5.00,233,NULL,601,'PRAIA BRAVA','ITAJAÍ','SC',5833,154,NULL,112,NULL,NULL,NULL,2,3),(28,7128835,4.00,7.00,4.00,6.00,7.00,8.25,6.00,6.00,3.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5317,73,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128851,4.00,6.00,1.00,7.00,6.00,9.38,3.00,6.00,6.00,203,NULL,216,'CIDADE NOVA','PTO UNIÃO','SC',5922,391,NULL,214,NULL,NULL,NULL,4,17),(28,7128860,1.00,5.00,3.00,6.00,4.00,10.88,1.00,4.00,3.00,214,NULL,233,'AGRONÔMICA','FLORIANÓPOLIS','SC',10075,261,NULL,238,NULL,NULL,NULL,2,1),(28,7128878,7.00,8.00,5.00,6.00,10.00,8.25,6.00,8.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',239,184,NULL,NULL,NULL,NULL,NULL,2,1),(28,7128886,6.00,7.00,4.00,8.00,11.00,9.00,6.00,7.00,8.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',351,256,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128894,4.00,7.00,3.00,4.00,7.00,9.00,7.00,6.00,3.00,103,NULL,NULL,'MATA DO JACINTO','CPO GRANDE','MS',2826,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128908,2.00,7.00,0.00,5.00,8.00,7.88,2.00,6.00,4.00,103,NULL,NULL,'JARDIM LAR SÃO PAULO','S PAULO','SP',13171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128916,3.00,7.00,1.00,6.00,8.00,7.13,2.00,7.00,2.00,653,NULL,NULL,'VILA FRANCESA','CRICIÚMA','SC',8034,86,NULL,NULL,NULL,NULL,NULL,4,5),(28,7128924,2.00,2.00,2.00,1.00,4.00,6.75,1.00,4.00,1.00,201,NULL,653,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',19989,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7128932,5.00,7.00,5.00,6.00,9.00,10.50,5.00,7.00,5.00,415,NULL,NULL,'CASA BRANCA','ITAPEMA','SC',1595,15,NULL,NULL,NULL,NULL,NULL,4,3),(28,7128940,2.00,6.00,2.00,3.00,5.00,4.50,1.00,4.00,1.00,233,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',16522,327,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128959,1.00,6.00,1.00,5.00,5.00,9.00,0.00,2.00,2.00,213,NULL,233,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7128967,4.00,7.00,1.00,6.00,7.00,9.75,4.00,5.00,5.00,238,NULL,220,'CAMPECHE','FLORIANÓPOLIS','SC',6403,71,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128975,1.00,7.00,2.00,4.00,6.00,6.00,3.00,6.00,5.00,220,NULL,601,'CLAUDETE','CASCAVEL','PR',9696,238,NULL,263,NULL,NULL,NULL,2,5),(28,7128983,0.00,1.00,2.00,2.00,3.00,7.13,0.00,4.00,2.00,308,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',20137,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7128991,3.00,8.00,3.00,6.00,8.00,8.63,6.00,6.00,3.00,201,NULL,212,'CENTRO','TUBARÃO','SC',3665,282,NULL,111,NULL,NULL,NULL,4,10),(28,7129009,4.00,6.00,2.00,6.00,4.00,6.75,3.00,2.00,3.00,203,NULL,201,'CENTRO','BRUSQUE','SC',11439,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7129017,6.00,6.00,2.00,6.00,8.00,6.75,6.00,6.00,7.00,103,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',2915,1114,NULL,NULL,NULL,NULL,NULL,4,23),(28,7129025,1.00,3.00,2.00,6.00,5.00,9.00,2.00,2.00,2.00,211,NULL,215,'CONTA DINHEIRO','LAGES','SC',18252,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7129033,0.00,2.00,1.00,6.00,5.00,NULL,1.00,1.00,2.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7129041,2.00,5.00,1.00,6.00,5.00,8.63,3.00,5.00,4.00,103,NULL,NULL,'DALBÉRGIA','IBIRAMA','SC',16831,2428,NULL,NULL,NULL,NULL,NULL,2,1),(28,7129050,5.00,7.00,2.00,6.00,9.00,9.00,3.00,6.00,5.00,303,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',3110,144,NULL,NULL,NULL,NULL,NULL,4,8),(28,7129076,5.00,7.00,3.00,6.00,7.00,8.63,4.00,7.00,6.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',2752,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7129084,1.00,3.00,2.00,2.00,2.00,NULL,2.00,1.00,1.00,309,NULL,NULL,'SANTA TERESINHA','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7129092,6.00,6.00,2.00,6.00,5.00,9.38,2.00,5.00,5.00,103,NULL,NULL,'JARDIM AMERICA','GOIÂNIA','GO',4857,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7129106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7129122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GAVEA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7129130,8.00,7.00,2.00,7.00,7.00,8.25,5.00,7.00,7.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',1255,656,NULL,NULL,NULL,NULL,NULL,4,8),(28,7129149,6.00,7.00,2.00,6.00,8.00,10.13,3.00,6.00,4.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',5720,1590,NULL,NULL,NULL,NULL,NULL,2,1),(28,7129157,2.00,5.00,1.00,6.00,7.00,9.75,3.00,6.00,4.00,104,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',13103,324,NULL,NULL,NULL,NULL,NULL,4,10),(28,7129165,5.00,5.00,2.00,7.00,7.00,6.38,5.00,7.00,4.00,108,NULL,NULL,'ITACORUBÍ','FLORIANÓPOLIS','SC',5235,58,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129173,0.00,3.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,203,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7129181,2.00,7.00,3.00,6.00,7.00,9.00,4.00,5.00,4.00,207,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4992,213,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129190,2.00,7.00,2.00,6.00,4.00,8.63,2.00,3.00,3.00,201,NULL,202,'BUTANTÃ','S PAULO','SP',12154,780,NULL,303,NULL,NULL,NULL,2,3),(28,7129203,5.00,8.00,3.00,6.00,6.00,7.88,5.00,6.00,6.00,214,NULL,212,'CAMBUI','CAMPINAS','SP',2404,86,NULL,55,NULL,NULL,NULL,4,1),(28,7129211,0.00,2.00,1.00,2.00,4.00,NULL,1.00,3.00,1.00,999,NULL,NULL,'SOSSEGO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7129220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'AMARAL RIBEIRO','SAPIRANGA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7129238,1.00,4.00,2.00,5.00,5.00,7.13,1.00,3.00,2.00,102,NULL,NULL,'PRAIA BRAVA','ITAJAÍ','SC',15472,139,NULL,NULL,NULL,NULL,NULL,4,6),(28,7129246,4.00,7.00,3.00,7.00,7.00,9.00,4.00,5.00,3.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',8916,272,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7129270,4.00,7.00,4.00,4.00,8.00,9.38,6.00,4.00,6.00,102,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4200,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129289,4.00,6.00,2.00,4.00,7.00,10.50,2.00,7.00,5.00,304,NULL,NULL,'ERMELINO MATARAZZO','S PAULO','SP',4265,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129297,7.00,7.00,2.00,6.00,6.00,8.25,4.00,5.00,3.00,5,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',7219,223,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129319,0.00,2.00,3.00,6.00,5.00,7.50,2.00,2.00,2.00,317,NULL,NULL,'INTERIOR','CEL FREITAS','SC',16534,134,NULL,NULL,NULL,NULL,NULL,2,4),(28,7129327,6.00,6.00,4.00,4.00,7.00,6.38,5.00,7.00,3.00,201,NULL,207,'CARIANOS','FLORIANÓPOLIS','SC',6427,495,NULL,299,NULL,NULL,NULL,2,1),(28,7129335,3.00,6.00,5.00,6.00,9.00,6.00,3.00,6.00,3.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',6620,1715,NULL,NULL,NULL,NULL,NULL,4,8),(28,7129343,5.00,9.00,3.00,5.00,10.00,10.13,4.00,7.00,5.00,216,NULL,214,'MADUREIRA','CAXIAS SUL','RS',1883,59,NULL,NULL,NULL,NULL,NULL,1,1),(28,7129351,1.00,5.00,0.00,7.00,8.00,10.88,2.00,6.00,3.00,454,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',8579,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129360,4.00,6.00,3.00,6.00,7.00,6.75,1.00,5.00,3.00,201,NULL,207,'ALTO ARIRIU','PALHOÇA','SC',14052,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129378,5.00,7.00,5.00,5.00,8.00,9.75,6.00,6.00,6.00,211,NULL,215,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2000,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129386,1.00,7.00,2.00,2.00,6.00,7.50,5.00,4.00,2.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129394,2.00,7.00,4.00,7.00,5.00,7.88,4.00,6.00,2.00,339,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12613,6,NULL,NULL,NULL,NULL,NULL,2,1),(28,7129408,1.00,6.00,2.00,7.00,9.00,10.50,2.00,6.00,2.00,450,NULL,NULL,'ÁGUA VERDE','JARAGUÁ SUL','SC',11880,95,NULL,NULL,NULL,NULL,NULL,4,23),(28,7129416,2.00,5.00,1.00,5.00,2.00,NULL,0.00,6.00,0.00,601,NULL,215,'JARDIM HANTSCHEL','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7129432,3.00,7.00,0.00,6.00,7.00,8.63,2.00,4.00,6.00,444,NULL,NULL,'AMÉRICA','JOINVILLE','SC',7815,16,NULL,NULL,NULL,NULL,NULL,4,8),(28,7129440,4.00,6.00,2.00,5.00,7.00,9.00,2.00,3.00,2.00,304,NULL,NULL,'SÂO LUIZ','BRUSQUE','SC',11299,82,NULL,NULL,NULL,NULL,NULL,2,22),(28,7129467,3.00,8.00,3.00,6.00,7.00,8.25,4.00,3.00,4.00,103,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',6891,1743,NULL,NULL,NULL,NULL,NULL,4,23),(28,7129475,1.00,5.00,2.00,0.00,4.00,6.00,1.00,3.00,4.00,201,NULL,212,'CENTRO','CURITIBANOS','SC',19583,1045,NULL,421,NULL,NULL,NULL,4,16),(28,7129483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'STA CRUZ','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7129491,2.00,7.00,2.00,5.00,5.00,8.63,2.00,4.00,3.00,310,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',10933,25,NULL,NULL,NULL,NULL,NULL,2,8),(28,7129505,1.00,5.00,0.00,4.00,2.00,NULL,2.00,2.00,1.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7129513,1.00,4.00,1.00,0.00,3.00,3.00,1.00,3.00,0.00,207,NULL,203,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129521,3.00,7.00,2.00,4.00,6.00,6.38,1.00,4.00,3.00,201,NULL,NULL,'CENTRO','CHAPECÓ','SC',11803,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7129530,1.00,3.00,2.00,7.00,6.00,6.75,1.00,4.00,3.00,428,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14206,33,NULL,NULL,NULL,NULL,NULL,2,1),(28,7129548,3.00,8.00,2.00,5.00,7.00,10.50,2.00,7.00,4.00,102,NULL,NULL,'ASA SUL','BRASÍLIA','DF',4214,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129564,3.00,2.00,1.00,6.00,7.00,10.13,4.00,5.00,6.00,9,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',7656,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7129572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA GABRIEL','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7129580,1.00,8.00,5.00,7.00,11.00,12.00,6.00,5.00,5.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',921,518,NULL,NULL,NULL,NULL,NULL,4,10),(28,7129599,3.00,6.00,1.00,2.00,3.00,NULL,0.00,4.00,1.00,654,NULL,NULL,'PARQUE DAS AVENIDAS','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7129602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,426,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7129610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,216,'NOVOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7129629,4.00,6.00,4.00,5.00,6.00,4.50,4.00,6.00,5.00,208,NULL,NULL,'PROGRESSO','RIO SUL','SC',9803,103,NULL,NULL,NULL,NULL,NULL,2,24),(28,7129637,4.00,7.00,1.00,7.00,6.00,7.50,4.00,6.00,5.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10354,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7129661,3.00,8.00,4.00,7.00,7.00,9.38,4.00,6.00,6.00,216,NULL,214,'PANTANAL','MOGI GUAÇU','SP',1414,42,NULL,41,NULL,NULL,NULL,4,1),(28,7129688,0.00,5.00,1.00,3.00,4.00,NULL,3.00,5.00,2.00,104,NULL,NULL,'SUFIATTI','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7129718,4.00,6.00,3.00,5.00,8.00,9.38,3.00,6.00,7.00,104,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',3408,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129726,1.00,4.00,3.00,3.00,6.00,10.13,2.00,2.00,3.00,208,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',11868,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7129734,1.00,5.00,3.00,5.00,4.00,6.38,2.00,3.00,0.00,302,NULL,NULL,'GUIOMAR','ANTÔNIO CARLOS','SC',17068,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129742,0.00,3.00,0.00,2.00,6.00,NULL,0.00,2.00,0.00,301,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7129769,1.00,1.00,2.00,2.00,3.00,7.50,1.00,2.00,3.00,104,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',20031,466,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129777,5.00,5.00,0.00,7.00,8.00,10.88,4.00,5.00,5.00,454,NULL,NULL,'AGENOR DE CARVALHO','PTO VELHO','RO',3989,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129785,0.00,3.00,3.00,4.00,3.00,NULL,4.00,2.00,1.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7129793,7.00,8.00,6.00,6.00,9.00,10.88,5.00,5.00,7.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',260,197,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129807,1.00,2.00,2.00,5.00,4.00,7.13,0.00,1.00,1.00,551,NULL,NULL,'SUNTI','CONCÓRDIA','SC',20066,69,NULL,NULL,NULL,NULL,NULL,2,26),(28,7129823,4.00,8.00,2.00,6.00,5.00,7.13,4.00,6.00,3.00,999,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129831,3.00,7.00,1.00,6.00,8.00,6.38,3.00,6.00,5.00,103,NULL,NULL,'JARDIM CAIÇARAS','LONDRINA','PR',10167,2084,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129840,1.00,6.00,2.00,5.00,6.00,7.13,2.00,6.00,1.00,319,NULL,NULL,'CENTRO','S CARLOS','SP',17248,332,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129858,1.00,7.00,2.00,6.00,5.00,8.63,2.00,5.00,5.00,201,NULL,233,'PLANALTO VERDE','MOGI GUAÇU','SP',7351,542,NULL,183,NULL,NULL,NULL,4,1),(28,7129866,3.00,8.00,2.00,6.00,8.00,9.75,6.00,5.00,5.00,216,NULL,653,'CATLÉRIA','CPO BOM','RS',2550,87,NULL,9,NULL,NULL,NULL,4,5),(28,7129882,3.00,6.00,2.00,2.00,5.00,6.38,4.00,6.00,5.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9953,2073,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129890,0.00,3.00,0.00,1.00,3.00,NULL,0.00,3.00,1.00,220,NULL,235,'CANAVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129904,6.00,8.00,4.00,7.00,10.00,9.00,7.00,6.00,7.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',697,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129912,2.00,8.00,4.00,7.00,9.00,8.25,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2289,959,NULL,NULL,NULL,NULL,NULL,4,4),(28,7129920,3.00,9.00,1.00,6.00,7.00,6.75,4.00,5.00,2.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8572,158,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129939,1.00,2.00,1.00,1.00,2.00,NULL,2.00,3.00,2.00,9,NULL,NULL,'CENTRO FLORIANOPLIS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7129955,4.00,7.00,3.00,3.00,6.00,5.63,2.00,5.00,4.00,304,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',9678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7129971,0.00,7.00,2.00,6.00,2.00,NULL,0.00,5.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7129980,5.00,7.00,3.00,8.00,8.00,11.25,6.00,7.00,7.00,103,NULL,NULL,'BUCAREIN','JOINVILLE','SC',595,388,NULL,NULL,NULL,NULL,NULL,4,8),(28,7129998,1.00,6.00,3.00,6.00,6.00,6.38,4.00,4.00,3.00,220,NULL,203,'AGOSTINI','S MIGUEL OESTE','SC',15284,313,NULL,648,NULL,NULL,NULL,4,27),(28,7130007,4.00,6.00,0.00,6.00,8.00,6.75,4.00,4.00,4.00,454,NULL,NULL,'PASSO DA AREIA','PTO ALEGRE','RS',7162,114,NULL,NULL,NULL,NULL,NULL,2,1),(28,7130015,0.00,2.00,2.00,4.00,4.00,NULL,2.00,2.00,1.00,5,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7130023,0.00,1.00,2.00,6.00,3.00,6.75,1.00,3.00,1.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7130031,8.00,8.00,4.00,7.00,8.00,8.63,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',1194,636,NULL,NULL,NULL,NULL,NULL,2,4),(28,7130058,2.00,7.00,2.00,7.00,5.00,11.25,2.00,4.00,3.00,235,NULL,213,'MENINO DEUS','PTO ALEGRE','RS',7549,130,NULL,127,NULL,NULL,NULL,4,1),(28,7130074,2.00,8.00,1.00,6.00,6.00,6.75,1.00,6.00,2.00,332,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16192,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7130082,4.00,5.00,2.00,7.00,8.00,11.25,3.00,5.00,4.00,319,NULL,NULL,'CENTRO','PIRACICABA','SP',6042,96,NULL,NULL,NULL,NULL,NULL,2,1),(28,7130090,3.00,6.00,1.00,7.00,6.00,7.88,1.00,3.00,2.00,654,NULL,NULL,'SANTA CATARINA','ARARANGUÁ','SC',11109,17,NULL,NULL,NULL,NULL,NULL,2,15),(28,7130104,1.00,8.00,1.00,2.00,5.00,6.00,3.00,4.00,3.00,501,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',18064,111,NULL,NULL,NULL,NULL,NULL,4,1),(28,7130112,2.00,7.00,4.00,6.00,8.00,12.00,5.00,7.00,8.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',1437,135,NULL,34,NULL,NULL,NULL,4,1),(28,7130120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITOUPAVA CEMTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7130147,0.00,5.00,2.00,5.00,5.00,7.88,2.00,2.00,3.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',18462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7130171,0.00,3.00,3.00,3.00,3.00,NULL,0.00,5.00,2.00,655,NULL,652,'JD VITÓRIA','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7130180,5.00,8.00,5.00,7.00,7.00,8.25,5.00,7.00,6.00,233,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',2630,50,NULL,NULL,NULL,NULL,NULL,2,1),(28,7130198,6.00,7.00,3.00,5.00,4.00,5.25,2.00,6.00,6.00,103,NULL,NULL,'SAO LUIS','AVARÉ','SP',6159,1654,NULL,NULL,NULL,NULL,NULL,2,1),(28,7130201,6.00,7.00,5.00,5.00,6.00,11.25,3.00,8.00,7.00,203,NULL,202,'VILA SÃO FRANSISCO','S PAULO','SP',1348,126,NULL,33,NULL,NULL,NULL,4,1),(28,7130210,5.00,5.00,3.00,6.00,5.00,10.13,1.00,5.00,7.00,103,NULL,NULL,'COPACABANA','RIO JANEIRO','RJ',4447,1414,NULL,NULL,NULL,NULL,NULL,2,1),(28,7130228,5.00,7.00,2.00,6.00,5.00,10.88,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','GASPAR','SC',8959,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7130236,1.00,3.00,2.00,4.00,4.00,11.63,0.00,4.00,4.00,207,NULL,655,'CENTRO','CAMPOS NOVOS','SC',11522,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7130244,6.00,7.00,2.00,7.00,8.00,9.38,5.00,6.00,7.00,336,NULL,NULL,'PIO X','CAXIAS SUL','RS',1767,5,NULL,NULL,NULL,NULL,NULL,4,3),(28,7130252,5.00,7.00,1.00,6.00,8.00,7.50,6.00,6.00,5.00,102,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',3509,12,NULL,NULL,NULL,NULL,NULL,4,8),(28,7130260,3.00,6.00,3.00,7.00,9.00,9.00,6.00,7.00,5.00,207,NULL,215,'CAPOEIRAS','FLORIANÓPOLIS','SC',2857,99,NULL,41,NULL,NULL,NULL,2,1),(28,7130279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7130287,5.00,8.00,2.00,7.00,5.00,6.75,5.00,7.00,5.00,212,NULL,211,'GLEBA PALHANO','LONDRINA','PR',3284,100,NULL,72,NULL,NULL,NULL,4,1),(28,7130295,0.00,6.00,2.00,5.00,6.00,NULL,2.00,6.00,3.00,326,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7130309,4.00,7.00,5.00,6.00,7.00,7.88,4.00,6.00,7.00,201,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',3432,NULL,NULL,80,NULL,NULL,NULL,4,1),(28,7130317,1.00,5.00,1.00,6.00,5.00,7.50,1.00,4.00,3.00,102,NULL,NULL,'CENTRO','ANGELINA','SC',16803,155,NULL,NULL,NULL,NULL,NULL,2,1),(28,7130325,1.00,4.00,2.00,5.00,4.00,9.00,0.00,4.00,2.00,454,NULL,NULL,'CACH DO BOM JESUS','FLORIANÓPOLIS','SC',18771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7130333,1.00,5.00,4.00,3.00,6.00,8.63,2.00,3.00,2.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',17069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7130341,2.00,7.00,2.00,5.00,7.00,10.13,3.00,5.00,1.00,103,NULL,NULL,'ITU SABARA','PTO ALEGRE','RS',8047,1905,NULL,NULL,NULL,NULL,NULL,2,1),(28,7130350,1.00,4.00,1.00,4.00,3.00,7.13,3.00,4.00,3.00,220,NULL,202,'CARRIANOS','FLORIANÓPOLIS','SC',14537,308,NULL,333,NULL,NULL,NULL,4,1),(28,7130368,6.00,8.00,3.00,7.00,9.00,8.63,4.00,7.00,6.00,103,NULL,NULL,'BROOKLIN','S PAULO','SP',1245,654,NULL,NULL,NULL,NULL,NULL,4,8),(28,7130376,4.00,6.00,5.00,6.00,9.00,NULL,4.00,4.00,5.00,201,NULL,212,'CENTRO','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(28,7130384,5.00,6.00,4.00,5.00,5.00,7.13,2.00,4.00,4.00,234,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14430,41,NULL,NULL,NULL,NULL,NULL,2,1),(28,7130392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7130414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'SÃO DIMAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7130449,4.00,7.00,2.00,4.00,5.00,10.13,6.00,6.00,5.00,203,NULL,214,'VILA INDEPENDENCIA','VALINHOS','SP',4670,322,NULL,156,NULL,NULL,NULL,4,1),(28,7130457,0.00,4.00,4.00,3.00,2.00,NULL,0.00,2.00,0.00,440,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7130465,5.00,7.00,3.00,7.00,8.00,8.63,5.00,6.00,5.00,326,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',2920,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7130473,1.00,7.00,2.00,7.00,7.00,8.63,2.00,7.00,4.00,5,NULL,NULL,'VILA IPIRANGA','PTO ALEGRE','RS',6271,204,NULL,NULL,NULL,NULL,NULL,4,1),(28,7130481,3.00,7.00,3.00,7.00,9.00,10.88,5.00,7.00,5.00,340,NULL,NULL,'CENTRO','ILHÉUS','BA',3456,80,NULL,NULL,NULL,NULL,NULL,4,1),(28,7130490,3.00,7.00,4.00,6.00,6.00,8.25,4.00,5.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6450,138,NULL,NULL,NULL,NULL,NULL,4,1),(28,7130503,3.00,7.00,2.00,5.00,4.00,NULL,0.00,4.00,2.00,444,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7130511,2.00,2.00,1.00,2.00,4.00,4.50,0.00,2.00,2.00,230,NULL,NULL,'IGRA','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7130520,0.00,3.00,2.00,2.00,4.00,6.38,1.00,5.00,2.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19558,278,NULL,NULL,NULL,NULL,NULL,2,1),(28,7130538,3.00,5.00,2.00,5.00,4.00,7.13,4.00,5.00,2.00,340,NULL,NULL,'DO CAFE','VOTUPORANGA','SP',12270,336,NULL,NULL,NULL,NULL,NULL,2,1),(28,7130554,1.00,8.00,1.00,6.00,9.00,7.88,4.00,6.00,3.00,301,NULL,NULL,'PORTAL DAS VIDEIRAS','VIDEIRA','SC',4979,37,NULL,NULL,NULL,NULL,NULL,4,7),(28,7130570,1.00,3.00,3.00,3.00,4.00,NULL,0.00,4.00,1.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7130589,5.00,7.00,2.00,7.00,9.00,9.38,5.00,6.00,4.00,202,NULL,203,'VISTA VERDE','S JOSÉ CAMPOS','SP',2204,63,NULL,NULL,NULL,NULL,NULL,4,1),(28,7130597,3.00,5.00,2.00,4.00,6.00,6.38,1.00,5.00,4.00,317,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13351,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7130600,8.00,8.00,3.00,6.00,10.00,10.50,7.00,7.00,7.00,103,NULL,NULL,'VILAS BOAS','CPO GRANDE','MS',123,99,NULL,NULL,NULL,NULL,NULL,4,8),(28,7130619,5.00,8.00,4.00,7.00,8.00,10.13,7.00,8.00,6.00,212,NULL,201,'BOM ABRIGO','FLORIANÓPOLIS','SC',1547,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7130635,1.00,6.00,2.00,5.00,6.00,9.75,3.00,5.00,3.00,203,NULL,202,'ROSÁRIO DE FÁTIMA','BRAGANÇA PAULISTA','SP',7367,445,NULL,196,NULL,NULL,NULL,4,1),(28,7130643,6.00,8.00,3.00,5.00,6.00,9.75,6.00,8.00,7.00,203,NULL,601,'MAR GROSSO','LAGUNA','SC',1367,127,NULL,6,NULL,NULL,NULL,4,1),(28,7130651,1.00,5.00,0.00,7.00,3.00,7.50,1.00,6.00,1.00,103,NULL,NULL,'SAGRADA FAMÍLIA','BELO HORIZONTE','MG',13864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7130678,5.00,4.00,1.00,2.00,5.00,6.00,2.00,3.00,2.00,238,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',18975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7130686,3.00,5.00,1.00,6.00,3.00,7.88,4.00,6.00,1.00,103,NULL,NULL,'JD DAS INDUSTRIAS','S JOSÉ CAMPOS','SP',11529,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7130694,2.00,4.00,3.00,4.00,3.00,5.25,1.00,4.00,4.00,444,NULL,NULL,'CANTO DA LAGA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7130716,5.00,7.00,1.00,7.00,7.00,10.13,5.00,5.00,3.00,201,NULL,212,'CHÁCARA CNEO','CAMPINAS','SP',4453,340,NULL,143,NULL,NULL,NULL,4,1),(28,7130724,4.00,4.00,2.00,6.00,5.00,7.50,2.00,3.00,4.00,234,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',12453,24,NULL,NULL,NULL,NULL,NULL,4,6),(28,7130732,1.00,4.00,1.00,4.00,4.00,10.13,0.00,3.00,1.00,208,NULL,NULL,'CENTRO','GUARACIABA','SC',16168,180,NULL,NULL,NULL,NULL,NULL,4,27),(28,7130740,1.00,5.00,2.00,3.00,5.00,7.88,2.00,4.00,2.00,309,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',13356,15,NULL,NULL,NULL,NULL,NULL,2,1),(28,7130767,5.00,7.00,3.00,5.00,5.00,7.50,4.00,7.00,7.00,216,NULL,212,'LUZIA','ARACAJU','SE',3462,128,NULL,102,NULL,NULL,NULL,4,1),(28,7130775,2.00,7.00,2.00,6.00,1.00,NULL,3.00,5.00,4.00,450,NULL,NULL,'VILA SUICA','INDAIATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7130783,5.00,9.00,2.00,5.00,9.00,6.75,5.00,6.00,6.00,201,NULL,235,'CAMPINAS','S JOSÉ','SC',2462,NULL,NULL,24,NULL,NULL,NULL,4,1),(28,7130791,6.00,8.00,5.00,7.00,7.00,8.25,6.00,7.00,6.00,103,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',2065,901,NULL,NULL,NULL,NULL,NULL,4,10),(28,7130848,3.00,7.00,1.00,6.00,4.00,6.75,1.00,4.00,5.00,301,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',13097,184,NULL,NULL,NULL,NULL,NULL,2,1),(28,7130856,0.00,4.00,3.00,5.00,3.00,NULL,0.00,4.00,0.00,319,NULL,NULL,'SAO CRISTOVAO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7130864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BOSQUE DA SAUDE','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7130899,0.00,3.00,1.00,5.00,4.00,NULL,2.00,3.00,2.00,108,NULL,NULL,'ANDRINO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7130902,3.00,5.00,2.00,7.00,5.00,7.50,2.00,4.00,5.00,201,NULL,207,'JARDIM AMERICA','RIO SUL','SC',8749,619,NULL,405,NULL,NULL,NULL,2,24),(28,7130910,1.00,8.00,4.00,1.00,5.00,7.50,4.00,7.00,2.00,203,NULL,NULL,'JARDIM DANFER','S PAULO','SP',10627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7130929,1.00,4.00,1.00,3.00,4.00,6.75,3.00,3.00,2.00,203,NULL,202,'PIONEIRO','PINHALZINHO','SC',17388,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7130937,4.00,8.00,3.00,4.00,8.00,9.75,6.00,6.00,5.00,103,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',2643,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7130953,4.00,7.00,3.00,7.00,6.00,8.25,0.00,5.00,3.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',8500,1947,NULL,NULL,NULL,NULL,NULL,2,1),(28,7130970,7.00,7.00,5.00,7.00,9.00,9.75,7.00,7.00,7.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',435,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7130988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7130996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,220,'JD ROSÁRIA ALCOLEA','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7131003,2.00,6.00,3.00,5.00,6.00,7.50,1.00,3.00,3.00,216,NULL,NULL,'TESTO REGA','POMERODE','SC',11995,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7131011,7.00,9.00,5.00,7.00,7.00,9.00,4.00,8.00,7.00,103,NULL,NULL,'JARDIM COLOMBO','S PAULO','SP',552,366,NULL,NULL,NULL,NULL,NULL,4,2),(28,7131020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7131038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TREZE DE JULHO','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7131046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA TEREZA OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7131070,4.00,2.00,1.00,6.00,7.00,8.63,1.00,4.00,2.00,655,NULL,207,'URUSSANGUINHA','ARARANGUÁ','SC',13514,74,NULL,NULL,NULL,NULL,NULL,2,15),(28,7131097,4.00,7.00,1.00,6.00,7.00,5.25,5.00,6.00,7.00,203,NULL,202,'NO SENHORA DE FATIMA','BRAÇO NORTE','SC',5009,341,NULL,NULL,NULL,NULL,NULL,4,10),(28,7131100,6.00,8.00,1.00,4.00,8.00,9.75,2.00,7.00,4.00,331,NULL,NULL,'JARDIM BATISTA','EMBU','SP',8164,12,NULL,NULL,NULL,NULL,NULL,2,1),(28,7131119,4.00,7.00,1.00,6.00,10.00,10.50,2.00,8.00,3.00,319,NULL,NULL,'FAZ SANTO ANTÔNIO','S JOSÉ','SC',7518,124,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131127,1.00,1.00,1.00,6.00,2.00,NULL,2.00,4.00,2.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7131135,1.00,6.00,2.00,7.00,4.00,8.63,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',9508,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7131143,6.00,7.00,6.00,7.00,10.00,10.88,5.00,7.00,7.00,203,NULL,214,'JARDINS','ARACAJU','SE',559,53,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131151,5.00,9.00,3.00,7.00,7.00,8.63,5.00,6.00,5.00,201,NULL,203,'VILA MARIANA','S PAULO','SP',1424,83,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131160,0.00,1.00,1.00,6.00,2.00,NULL,3.00,4.00,3.00,454,NULL,NULL,'MORADA DO VALE UM','GRAVATAÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'TERRA NOVA','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7131186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ROSEIRA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7131194,0.00,2.00,3.00,3.00,4.00,8.25,3.00,3.00,0.00,326,NULL,NULL,'PASSO DO GADO','TUBARÃO','SC',19671,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7131208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'JARDIM LAR SÃO PAULO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7131216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,220,'JABAQUARA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7131224,1.00,6.00,1.00,6.00,3.00,6.38,2.00,6.00,1.00,224,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',13007,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131259,0.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7131267,3.00,3.00,2.00,5.00,3.00,5.63,2.00,6.00,3.00,214,NULL,203,'CENTRO','S JOSÉ CAMPOS','SP',13228,303,NULL,607,NULL,NULL,NULL,4,1),(28,7131275,0.00,3.00,0.00,1.00,4.00,4.88,1.00,4.00,2.00,102,NULL,NULL,'SANTA TEREZA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7131283,3.00,7.00,2.00,6.00,11.00,5.63,3.00,6.00,4.00,340,NULL,NULL,'CENTRO','SOROCABA','SP',5044,129,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131291,6.00,7.00,4.00,6.00,8.00,9.75,7.00,8.00,6.00,203,NULL,235,'AEROPORTO SUL','ARAGUARI','MG',865,86,NULL,3,NULL,NULL,NULL,4,1),(28,7131305,6.00,8.00,3.00,7.00,9.00,9.38,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1780,829,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131313,5.00,6.00,3.00,5.00,8.00,10.50,6.00,6.00,5.00,233,NULL,213,'AREIAS','S JOSÉ','SC',3132,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131321,0.00,4.00,1.00,1.00,3.00,7.50,3.00,4.00,2.00,101,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',19720,134,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131330,2.00,6.00,5.00,5.00,7.00,7.13,1.00,5.00,5.00,203,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',6930,424,NULL,208,NULL,NULL,NULL,4,6),(28,7131348,0.00,5.00,4.00,2.00,5.00,7.88,5.00,4.00,2.00,316,NULL,NULL,'PEREQUE','PTO BELO','SC',14265,179,NULL,NULL,NULL,NULL,NULL,4,6),(28,7131356,1.00,7.00,5.00,7.00,9.00,7.50,4.00,6.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3897,60,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131364,2.00,2.00,1.00,4.00,5.00,7.13,0.00,2.00,3.00,223,NULL,NULL,'CENTRO','PALHOÇA','SC',17822,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131372,5.00,5.00,2.00,6.00,7.00,8.25,2.00,6.00,2.00,340,NULL,NULL,'CATARINA FONTANA','CONCÓRDIA','SC',8120,218,NULL,NULL,NULL,NULL,NULL,4,4),(28,7131380,0.00,5.00,3.00,7.00,4.00,NULL,3.00,3.00,2.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7131399,2.00,5.00,1.00,5.00,5.00,9.38,4.00,4.00,3.00,428,NULL,423,'ESTREITO','FLORIANÓPOLIS','SC',11376,22,NULL,NULL,NULL,NULL,NULL,2,1),(28,7131402,6.00,5.00,2.00,6.00,8.00,7.13,5.00,5.00,6.00,103,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',4886,1475,NULL,NULL,NULL,NULL,NULL,4,8),(28,7131410,0.00,5.00,4.00,5.00,4.00,7.13,2.00,2.00,1.00,208,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16543,184,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131437,5.00,9.00,2.00,7.00,9.00,10.88,8.00,7.00,7.00,203,NULL,201,'CAMBUÍ','CAMPINAS','SP',1227,114,NULL,67,NULL,NULL,NULL,4,1),(28,7131453,2.00,5.00,3.00,5.00,7.00,7.88,4.00,4.00,3.00,211,NULL,201,'CANASVIEIRAS','FLORIANÓPOLIS','SC',14162,357,NULL,NULL,NULL,NULL,NULL,2,1),(28,7131461,0.00,5.00,2.00,3.00,2.00,NULL,3.00,4.00,1.00,201,NULL,202,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131470,3.00,5.00,2.00,6.00,3.00,6.38,2.00,3.00,1.00,454,NULL,NULL,'JARDIM PARAÍSO','ITU','SP',18956,386,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131488,1.00,3.00,2.00,6.00,2.00,NULL,2.00,1.00,1.00,502,NULL,NULL,'COLONINHA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7131496,1.00,0.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7131500,4.00,4.00,2.00,6.00,2.00,NULL,0.00,3.00,2.00,5,NULL,NULL,'ERECHIM','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7131526,0.00,4.00,2.00,6.00,3.00,NULL,2.00,3.00,3.00,216,NULL,212,'PADRE ANTONIO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7131542,6.00,8.00,5.00,8.00,10.00,10.13,7.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',83,68,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131550,2.00,7.00,3.00,6.00,9.00,9.38,2.00,5.00,2.00,238,NULL,207,'ROCADO','S JOSÉ','SC',7101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7131569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,235,'CALAFATE','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7131577,4.00,8.00,2.00,7.00,7.00,9.00,1.00,6.00,3.00,332,NULL,NULL,'INGLESES DO SANTINHO','FLORIANÓPOLIS','SC',10614,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131585,4.00,6.00,2.00,4.00,7.00,6.75,3.00,6.00,2.00,207,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',10389,475,NULL,305,NULL,NULL,NULL,4,1),(28,7131607,2.00,6.00,4.00,5.00,8.00,9.38,2.00,6.00,5.00,333,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',7850,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7131623,0.00,3.00,1.00,1.00,4.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7131631,1.00,4.00,3.00,3.00,4.00,6.00,0.00,4.00,2.00,238,NULL,202,'TAPERA','FLORIANÓPOLIS','SC',17231,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7131640,0.00,3.00,3.00,5.00,3.00,4.88,2.00,1.00,1.00,104,NULL,NULL,'CENTRO','MAXIMILIANO ALMEIDA','RS',18236,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7131666,5.00,5.00,2.00,3.00,5.00,10.88,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',13268,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7131674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'BELA VISTA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7131682,5.00,8.00,1.00,7.00,6.00,8.63,6.00,5.00,4.00,211,NULL,NULL,'JARDIM SAO DIMAS','S JOSÉ CAMPOS','SP',4152,106,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131690,2.00,5.00,2.00,6.00,7.00,8.25,4.00,5.00,3.00,238,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',6338,67,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131739,1.00,4.00,3.00,3.00,6.00,10.50,3.00,4.00,2.00,310,NULL,NULL,'JD AMÉRICA','AMPARO','SP',17070,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131747,0.00,8.00,2.00,6.00,7.00,9.75,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',7268,1797,NULL,NULL,NULL,NULL,NULL,4,9),(28,7131763,1.00,4.00,2.00,6.00,4.00,5.63,1.00,6.00,2.00,238,NULL,201,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7131771,3.00,8.00,4.00,3.00,7.00,4.88,3.00,8.00,2.00,212,NULL,214,'POTECAS','S JOSÉ','SC',9458,279,NULL,245,NULL,NULL,NULL,4,1),(28,7131798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7131810,3.00,6.00,3.00,6.00,7.00,7.50,5.00,6.00,5.00,201,NULL,203,'CENTRO','JARAGUÁ SUL','SC',9932,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7131852,4.00,7.00,5.00,7.00,5.00,6.38,4.00,7.00,6.00,220,NULL,214,'CONSIL','CUIABÁ','MT',6528,179,NULL,197,NULL,NULL,NULL,4,1),(28,7131879,0.00,5.00,1.00,6.00,6.00,9.75,2.00,3.00,2.00,201,NULL,202,'NITERÓI','SEARA','SC',11475,743,NULL,NULL,NULL,NULL,NULL,4,4),(28,7131895,2.00,8.00,3.00,6.00,5.00,6.75,1.00,8.00,2.00,331,NULL,NULL,'CENTRO','CASCAVEL','PR',8441,13,NULL,NULL,NULL,NULL,NULL,4,4),(28,7131925,0.00,5.00,2.00,2.00,5.00,7.50,3.00,4.00,2.00,103,NULL,NULL,'UNIVERSITARIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7131933,3.00,6.00,2.00,7.00,7.00,8.63,4.00,4.00,1.00,303,NULL,NULL,'SANTA CECILIA','S PAULO','SP',13464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7131950,0.00,5.00,3.00,4.00,3.00,9.38,0.00,4.00,0.00,429,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'BARRA DA TIJUCA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7131976,0.00,7.00,2.00,3.00,5.00,6.75,3.00,5.00,2.00,340,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',11576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7131984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7131992,4.00,5.00,3.00,5.00,8.00,9.75,5.00,5.00,5.00,202,NULL,655,'BELA VISTA','S JOSÉ','SC',4478,NULL,NULL,7,NULL,NULL,NULL,2,1),(28,7132000,1.00,4.00,1.00,4.00,4.00,6.75,2.00,4.00,1.00,551,NULL,NULL,'CENTRO','MTE CARLO','SC',16926,35,NULL,NULL,NULL,NULL,NULL,2,26),(28,7132026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'VILA DAS ACÁCIAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7132034,2.00,6.00,2.00,5.00,7.00,9.75,4.00,5.00,2.00,201,NULL,216,'BOM RETIRO','JOINVILLE','SC',12544,804,NULL,357,NULL,NULL,NULL,2,8),(28,7132042,0.00,5.00,3.00,3.00,3.00,NULL,3.00,5.00,1.00,301,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7132069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,207,'JARDIM MARIA LUIZA I','JAÚ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7132077,3.00,7.00,3.00,6.00,7.00,6.75,2.00,6.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9078,87,NULL,NULL,NULL,NULL,NULL,2,1),(28,7132093,3.00,4.00,2.00,5.00,4.00,9.00,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',12139,2209,NULL,NULL,NULL,NULL,NULL,4,24),(28,7132115,0.00,5.00,3.00,4.00,4.00,6.75,1.00,6.00,3.00,317,NULL,NULL,'FORTALEZA','BLUMENAU','SC',17862,148,NULL,NULL,NULL,NULL,NULL,4,2),(28,7132131,6.00,8.00,7.00,7.00,11.00,11.63,9.00,8.00,7.00,203,NULL,NULL,'CANDEAL','SALVADOR','BA',30,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7132158,3.00,7.00,2.00,4.00,4.00,6.75,3.00,3.00,3.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14081,68,NULL,NULL,NULL,NULL,NULL,2,1),(28,7132166,5.00,7.00,2.00,6.00,7.00,8.25,4.00,6.00,4.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',7088,1774,NULL,NULL,NULL,NULL,NULL,4,2),(28,7132174,3.00,6.00,1.00,5.00,4.00,8.25,2.00,8.00,2.00,450,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',9311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7132182,0.00,3.00,3.00,1.00,2.00,NULL,2.00,3.00,1.00,652,NULL,655,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,15),(28,7132190,4.00,7.00,4.00,7.00,7.00,10.50,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',1485,735,NULL,NULL,NULL,NULL,NULL,2,4),(28,7132204,2.00,4.00,4.00,4.00,4.00,5.25,0.00,2.00,1.00,552,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7132212,6.00,7.00,4.00,4.00,8.00,12.00,7.00,6.00,5.00,103,NULL,NULL,'BARRA DO RIO','ITAJAÍ','SC',1908,861,NULL,NULL,NULL,NULL,NULL,4,6),(28,7132220,6.00,8.00,2.00,7.00,8.00,8.25,4.00,6.00,5.00,207,NULL,201,'CENTRO','PETROLINA','PE',2761,95,NULL,NULL,NULL,NULL,NULL,4,1),(28,7132239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,216,'CONTORNO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7132247,1.00,0.00,1.00,3.00,5.00,6.75,1.00,3.00,0.00,203,NULL,201,'CRUZEIRO DO SUL','CRICIÚMA','SC',18471,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7132263,4.00,6.00,3.00,7.00,5.00,6.75,2.00,5.00,5.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13480,81,NULL,NULL,NULL,NULL,NULL,2,1),(28,7132280,0.00,8.00,2.00,7.00,9.00,8.25,1.00,5.00,5.00,340,NULL,NULL,'CENTRO','BARRACÃO','PR',6575,172,NULL,NULL,NULL,NULL,NULL,4,27),(28,7132298,6.00,7.00,4.00,7.00,6.00,6.38,6.00,4.00,3.00,233,NULL,235,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',4701,123,NULL,79,NULL,NULL,NULL,4,1),(28,7132328,6.00,8.00,6.00,6.00,10.00,10.50,6.00,7.00,6.00,201,NULL,203,'SANTA CATARINA','S LOURENÇO OESTE','SC',339,12,NULL,NULL,NULL,NULL,NULL,4,25),(28,7132336,3.00,7.00,4.00,5.00,8.00,7.88,5.00,5.00,4.00,220,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',4379,126,NULL,128,NULL,NULL,NULL,4,1),(28,7132352,0.00,4.00,1.00,6.00,2.00,NULL,1.00,2.00,2.00,324,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7132379,0.00,3.00,1.00,3.00,3.00,6.75,1.00,2.00,0.00,224,NULL,NULL,'CENTRO','S BONIFÁCIO','SC',20119,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7132387,1.00,6.00,2.00,5.00,4.00,5.63,3.00,4.00,4.00,3,NULL,NULL,'VARGEM PINHEIROS','STO AMARO IMPERATRIZ','SC',12081,52,NULL,NULL,NULL,NULL,NULL,2,1),(28,7132409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7132417,4.00,6.00,3.00,7.00,6.00,10.13,3.00,5.00,2.00,108,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',10066,131,NULL,NULL,NULL,NULL,NULL,2,1),(28,7132425,1.00,7.00,2.00,5.00,1.00,NULL,3.00,5.00,3.00,324,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7132433,2.00,4.00,1.00,1.00,5.00,7.50,4.00,3.00,4.00,415,NULL,NULL,'JARDIM AQUÁRIUS','PALHOÇA','SC',18609,272,NULL,NULL,NULL,NULL,NULL,4,1),(28,7132441,5.00,8.00,1.00,7.00,6.00,10.13,3.00,7.00,6.00,454,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',3152,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7132450,2.00,5.00,4.00,5.00,5.00,8.63,1.00,3.00,3.00,212,NULL,207,'MONTE SERRAT','FLORIANÓPOLIS','SC',14588,372,NULL,646,NULL,NULL,NULL,2,1),(28,7132468,4.00,6.00,4.00,6.00,7.00,8.25,1.00,5.00,4.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11030,40,NULL,NULL,NULL,NULL,NULL,2,1),(28,7132476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO BOQUEIRAO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7132484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'VILA SANTO ESTEFANO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7132506,3.00,5.00,4.00,5.00,7.00,5.25,6.00,5.00,2.00,238,NULL,235,'RIO VERMELHO','FLORIANÓPOLIS','SC',9223,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7132522,3.00,7.00,4.00,6.00,8.00,9.00,5.00,6.00,6.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',2111,67,NULL,NULL,NULL,NULL,NULL,2,1),(28,7132530,5.00,5.00,0.00,5.00,4.00,7.88,1.00,2.00,1.00,103,NULL,NULL,'BREJARU','PALHOÇA','SC',14696,2338,NULL,NULL,NULL,NULL,NULL,4,1),(28,7132549,2.00,3.00,0.00,4.00,4.00,4.50,1.00,2.00,1.00,552,NULL,NULL,'CENTRO','CURITIBANOS','SC',18792,141,NULL,NULL,NULL,NULL,NULL,2,16),(28,7132557,2.00,4.00,1.00,3.00,7.00,9.38,2.00,5.00,3.00,101,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',13409,75,NULL,NULL,NULL,NULL,NULL,4,6),(28,7132565,2.00,5.00,0.00,6.00,4.00,NULL,4.00,4.00,3.00,999,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7132573,1.00,2.00,1.00,5.00,6.00,7.50,2.00,3.00,3.00,427,NULL,424,'CIDADE NOVA','MANAUS','AM',18776,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7132581,1.00,6.00,3.00,3.00,5.00,7.13,2.00,6.00,3.00,211,NULL,215,'CARVOEIRA','FLORIANÓPOLIS','SC',13381,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7132590,0.00,1.00,1.00,2.00,3.00,4.88,2.00,3.00,1.00,308,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',20169,102,NULL,NULL,NULL,NULL,NULL,4,1),(28,7132611,3.00,4.00,1.00,7.00,5.00,7.13,2.00,3.00,2.00,234,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',13775,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7132654,0.00,3.00,2.00,5.00,3.00,6.75,4.00,1.00,2.00,208,NULL,NULL,'PIÇARRAS','GUARATUBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7132662,0.00,2.00,1.00,1.00,5.00,5.63,2.00,2.00,0.00,333,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7132697,1.00,3.00,2.00,3.00,4.00,6.00,2.00,5.00,1.00,444,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7132727,4.00,3.00,1.00,6.00,5.00,7.13,4.00,3.00,2.00,454,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',17975,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7132786,2.00,5.00,0.00,3.00,3.00,6.75,3.00,4.00,1.00,552,NULL,NULL,'CENTRO','S JOSÉ CERRITO','SC',17056,127,NULL,NULL,NULL,NULL,NULL,2,9),(28,7132808,3.00,6.00,2.00,5.00,7.00,7.88,4.00,5.00,1.00,303,NULL,NULL,'IRIRIU','JOINVILLE','SC',14853,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7132816,4.00,6.00,1.00,4.00,8.00,7.50,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',8711,1976,NULL,NULL,NULL,NULL,NULL,2,4),(28,7132859,4.00,7.00,3.00,6.00,9.00,8.25,3.00,7.00,3.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',5355,1552,NULL,NULL,NULL,NULL,NULL,4,6),(28,7132867,1.00,2.00,0.00,1.00,3.00,4.88,2.00,6.00,1.00,326,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',20104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7132875,4.00,8.00,3.00,5.00,6.00,7.50,3.00,5.00,6.00,211,NULL,213,'PONTE DO IMARUIM','PALHOÇA','SC',6639,184,NULL,113,NULL,NULL,NULL,4,1),(28,7132883,2.00,2.00,3.00,4.00,3.00,7.50,1.00,2.00,3.00,303,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7132891,3.00,1.00,4.00,4.00,3.00,6.00,4.00,5.00,2.00,207,NULL,220,'AREAIS','S JOSÉ','SC',18770,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7132930,0.00,2.00,2.00,4.00,4.00,5.25,1.00,3.00,1.00,316,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',19068,280,NULL,NULL,NULL,NULL,NULL,2,1),(28,7132956,1.00,6.00,2.00,3.00,5.00,NULL,0.00,4.00,2.00,103,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7132964,2.00,6.00,2.00,7.00,6.00,7.88,2.00,6.00,3.00,238,NULL,NULL,'PACHECOS','PALHOÇA','SC',13893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7132972,5.00,7.00,2.00,5.00,7.00,9.00,4.00,3.00,6.00,103,NULL,NULL,'CAMPOLIM','SOROCABA','SP',4783,1460,NULL,NULL,NULL,NULL,NULL,4,1),(28,7132980,1.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'KLAINUBING','OURO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,7),(28,7132999,3.00,7.00,4.00,6.00,8.00,10.13,5.00,5.00,4.00,201,NULL,212,'CENTRO','LAGES','SC',4154,323,NULL,NULL,NULL,NULL,NULL,4,9),(28,7133006,6.00,7.00,1.00,5.00,5.00,9.00,5.00,5.00,2.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',11377,2159,NULL,NULL,NULL,NULL,NULL,2,2),(28,7133014,1.00,8.00,2.00,7.00,8.00,9.75,1.00,6.00,2.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12435,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7133030,0.00,0.00,0.00,5.00,5.00,NULL,0.00,1.00,0.00,316,NULL,NULL,'SANTA CRUZ FIGUEIRA','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7133049,1.00,5.00,4.00,5.00,6.00,10.13,1.00,6.00,3.00,502,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',10121,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7133057,0.00,3.00,4.00,6.00,6.00,NULL,1.00,2.00,2.00,223,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,10),(28,7133065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','ILHOTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7133073,5.00,8.00,2.00,7.00,8.00,11.63,4.00,6.00,5.00,454,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4225,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7133103,4.00,5.00,3.00,5.00,4.00,6.75,1.00,3.00,2.00,425,NULL,421,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',18238,67,NULL,22,NULL,NULL,NULL,4,1),(28,7133111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7133120,8.00,6.00,4.00,7.00,8.00,11.63,7.00,5.00,7.00,207,NULL,211,'ITACORUBI','FLORIANÓPOLIS','SC',725,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7133138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'MARAPÉ','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7133146,4.00,7.00,4.00,7.00,9.00,10.13,4.00,5.00,5.00,207,NULL,212,'COLÔNIA SANTANA','S JOSÉ','SC',3420,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7133170,1.00,6.00,1.00,3.00,5.00,6.75,2.00,5.00,2.00,601,NULL,NULL,'SANTO ANTÔNIO','CONCÓRDIA','SC',15771,466,NULL,NULL,NULL,NULL,NULL,4,26),(28,7133189,0.00,2.00,2.00,1.00,4.00,NULL,3.00,3.00,3.00,5,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7133200,0.00,0.00,2.00,6.00,6.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'SAO LUIZ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(28,7133219,1.00,6.00,0.00,3.00,3.00,5.25,1.00,1.00,2.00,318,NULL,NULL,'PEREQUE','PTO BELO','SC',20100,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7133235,3.00,7.00,2.00,6.00,8.00,10.13,5.00,6.00,3.00,454,NULL,NULL,'JARDIM ACHIETA','FLORIANÓPOLIS','SC',6633,97,NULL,NULL,NULL,NULL,NULL,4,1),(28,7133243,4.00,7.00,5.00,6.00,6.00,7.50,6.00,6.00,5.00,103,NULL,NULL,'SANTA MÕNICA','FLORIANÓPOLIS','SC',3809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7133251,0.00,1.00,1.00,1.00,3.00,NULL,0.00,2.00,1.00,101,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7133260,1.00,6.00,1.00,7.00,4.00,8.25,3.00,4.00,5.00,103,NULL,NULL,'BELA VISTA','S JOAQUIM','SC',16461,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7133278,3.00,3.00,3.00,4.00,6.00,6.00,4.00,5.00,3.00,235,NULL,NULL,'PAE CARÁ','GUARUJÁ','SP',14542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7133286,3.00,6.00,0.00,4.00,5.00,7.13,0.00,2.00,4.00,104,NULL,NULL,'CENTRO','ITAPORANGA','SP',15670,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7133294,3.00,6.00,3.00,6.00,8.00,8.25,5.00,5.00,3.00,301,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',4083,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7133308,4.00,8.00,1.00,7.00,9.00,10.88,4.00,6.00,5.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7133316,2.00,5.00,1.00,7.00,5.00,7.88,2.00,2.00,2.00,424,NULL,427,'CAMPECHE','FLORIANÓPOLIS','SC',18707,39,NULL,22,NULL,NULL,NULL,2,1),(28,7133324,4.00,7.00,2.00,7.00,8.00,8.63,5.00,5.00,6.00,214,NULL,233,'HIGIENOPOLIS','S PAULO','SP',3824,NULL,NULL,100,NULL,NULL,NULL,4,1),(28,7133340,7.00,7.00,5.00,7.00,9.00,7.13,6.00,5.00,6.00,201,NULL,235,'MALUCHE','BRUSQUE','SC',1813,110,NULL,14,NULL,NULL,NULL,4,22),(28,7133359,5.00,7.00,3.00,5.00,7.00,8.63,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','CORBÉLIA','PR',6581,1709,NULL,NULL,NULL,NULL,NULL,4,27),(28,7133367,1.00,3.00,0.00,0.00,1.00,NULL,3.00,5.00,2.00,308,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7133375,5.00,7.00,3.00,8.00,7.00,12.00,2.00,8.00,3.00,103,NULL,NULL,'CH MACHADINHO','AMERICANA','SP',2386,989,NULL,NULL,NULL,NULL,NULL,4,6),(28,7133383,2.00,6.00,3.00,7.00,4.00,7.50,3.00,5.00,4.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',9582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7133391,3.00,6.00,2.00,4.00,8.00,9.00,5.00,4.00,3.00,223,NULL,NULL,'BARREIROS','S JOSÉ','SC',13699,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7133405,1.00,5.00,2.00,7.00,4.00,7.88,5.00,4.00,3.00,326,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7133413,2.00,7.00,3.00,6.00,5.00,7.13,5.00,5.00,3.00,103,NULL,NULL,'SANTA BARBARA','CRICIÚMA','SC',13985,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7133421,2.00,6.00,5.00,3.00,8.00,9.38,4.00,7.00,3.00,601,NULL,201,'PETROPÓLIS','JOINVILLE','SC',9930,272,NULL,NULL,NULL,NULL,NULL,4,8),(28,7133430,2.00,4.00,1.00,4.00,3.00,7.50,1.00,5.00,1.00,303,NULL,NULL,'SÃO CRISTOVÃO','LAGES','SC',15528,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7133448,0.00,4.00,2.00,4.00,6.00,6.38,2.00,3.00,3.00,223,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',19303,49,NULL,NULL,NULL,NULL,NULL,2,1),(28,7133456,3.00,6.00,4.00,6.00,10.00,9.75,4.00,6.00,6.00,203,NULL,NULL,'TAQUARA','RIO JANEIRO','RJ',4996,339,NULL,NULL,NULL,NULL,NULL,4,1),(28,7133464,3.00,7.00,2.00,5.00,8.00,11.25,5.00,4.00,3.00,208,NULL,NULL,'RECIFE','TUBARÃO','SC',8060,81,NULL,NULL,NULL,NULL,NULL,2,10),(28,7133472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,425,'JARDIM MARILU','ITAPECERICA SERRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7133480,2.00,7.00,4.00,6.00,8.00,7.13,1.00,6.00,1.00,552,NULL,NULL,'MARTORANO','S JOAQUIM','SC',8809,22,NULL,NULL,NULL,NULL,NULL,4,9),(28,7133502,2.00,7.00,4.00,6.00,6.00,7.50,4.00,6.00,3.00,320,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11200,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7133510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7133529,0.00,7.00,2.00,6.00,6.00,6.00,2.00,6.00,1.00,310,NULL,NULL,'JARDIM BONANZA','STA RITA P QUATRO','SP',12616,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7133537,1.00,4.00,1.00,3.00,3.00,7.88,2.00,4.00,2.00,444,NULL,NULL,'SERRARIA','S JOSÉ','SC',16537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7133553,3.00,2.00,2.00,2.00,4.00,5.25,1.00,1.00,2.00,103,NULL,NULL,'EFAPI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7133561,1.00,3.00,4.00,6.00,5.00,NULL,0.00,2.00,3.00,450,NULL,NULL,'AGENOR DE CARVALHO','PTO VELHO','RO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7133588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,429,'JARDIM GLAUCIA','ITAJOBI','SP',NULL,NULL,NULL,NULL,'S','S','S',1,2),(28,7133600,2.00,7.00,1.00,6.00,8.00,6.75,5.00,4.00,4.00,220,NULL,655,'TRINDADE','FLORIANÓPOLIS','SC',7179,192,NULL,23,NULL,NULL,NULL,4,1),(28,7133618,1.00,3.00,1.00,5.00,4.00,7.13,1.00,3.00,3.00,428,NULL,426,'MEIA PRAIA','ITAPEMA','SC',19259,69,NULL,NULL,NULL,NULL,NULL,4,3),(28,7133626,6.00,7.00,2.00,7.00,8.00,11.63,5.00,6.00,6.00,103,NULL,NULL,'MARIA STELLA FAGÁ','S CARLOS','SP',2274,954,NULL,NULL,NULL,NULL,NULL,4,2),(28,7133634,2.00,4.00,3.00,7.00,4.00,10.13,2.00,3.00,0.00,303,NULL,NULL,'CENTRO','LAGES','SC',11717,452,NULL,NULL,NULL,NULL,NULL,4,9),(28,7133642,0.00,5.00,1.00,3.00,9.00,6.00,3.00,4.00,2.00,404,NULL,NULL,'KOBRASOL','S JOSÉ','SC',18180,58,NULL,NULL,NULL,NULL,NULL,4,1),(28,7133677,1.00,5.00,3.00,5.00,2.00,NULL,1.00,1.00,3.00,319,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,3),(28,7133685,2.00,5.00,1.00,5.00,5.00,5.25,4.00,5.00,4.00,301,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12468,173,NULL,NULL,NULL,NULL,NULL,2,1),(28,7133693,2.00,6.00,2.00,6.00,7.00,6.38,1.00,6.00,3.00,999,NULL,NULL,'CENTRO','IMARUÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7133715,3.00,9.00,2.00,6.00,9.00,6.00,4.00,5.00,5.00,216,NULL,233,'GRAVATÁ','NAVEGANTES','SC',5180,197,NULL,140,NULL,NULL,NULL,4,6),(28,7133723,0.00,3.00,1.00,2.00,4.00,6.00,2.00,1.00,4.00,203,NULL,214,'POTECAS','S JOSÉ','SC',19050,704,NULL,359,NULL,NULL,NULL,4,1),(28,7133731,0.00,7.00,4.00,4.00,5.00,9.38,0.00,6.00,3.00,238,NULL,211,'CENTRO','PAULO LOPES','SC',9326,133,NULL,249,NULL,NULL,NULL,4,1),(28,7133766,5.00,7.00,2.00,6.00,8.00,8.63,4.00,6.00,5.00,5,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',3871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7133782,1.00,5.00,2.00,5.00,6.00,7.13,2.00,3.00,5.00,654,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',11943,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7133790,1.00,5.00,1.00,3.00,7.00,8.63,2.00,3.00,3.00,450,NULL,NULL,'RIO BONITO','BRAÇO NORTE','SC',13320,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7133804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7133812,0.00,5.00,0.00,3.00,7.00,10.13,1.00,2.00,1.00,429,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19307,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7133820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7133855,3.00,4.00,2.00,7.00,7.00,6.75,4.00,6.00,3.00,216,NULL,212,'PASSO DA AREIA','PTO ALEGRE','RS',9146,297,NULL,277,NULL,NULL,NULL,2,1),(28,7133898,2.00,5.00,1.00,5.00,3.00,7.13,1.00,3.00,3.00,317,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',19149,167,NULL,NULL,NULL,NULL,NULL,2,1),(28,7133910,6.00,7.00,6.00,6.00,8.00,10.88,5.00,7.00,8.00,103,NULL,NULL,'VILA LAVÍNIA','MOGI CRUZES','SP',262,198,NULL,NULL,NULL,NULL,NULL,4,1),(28,7133936,3.00,4.00,2.00,4.00,2.00,NULL,0.00,5.00,4.00,108,NULL,NULL,'CENTRO','ESPUMOSO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7133944,3.00,6.00,5.00,7.00,6.00,9.38,6.00,5.00,6.00,203,NULL,220,'VILA ESPERANÇA','MARINGÁ','PR',3611,262,NULL,106,NULL,NULL,NULL,4,1),(28,7133952,6.00,0.00,1.00,3.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7133960,2.00,4.00,3.00,3.00,5.00,6.38,3.00,5.00,5.00,216,NULL,233,'SÃO VICENTE','ITAJAÍ','SC',17079,429,NULL,334,NULL,NULL,NULL,4,6),(28,7133979,0.00,2.00,1.00,5.00,6.00,NULL,1.00,4.00,2.00,201,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7133995,2.00,7.00,1.00,5.00,5.00,5.63,1.00,4.00,4.00,238,NULL,NULL,'JASLISCO','TROMBUDO CENTRAL','SC',17460,308,NULL,NULL,NULL,NULL,NULL,4,24),(28,7134002,2.00,8.00,0.00,5.00,6.00,10.13,3.00,3.00,3.00,303,NULL,NULL,'CENTRO','CONCÓRDIA','SC',8808,368,NULL,NULL,NULL,NULL,NULL,4,4),(28,7134010,0.00,6.00,1.00,1.00,6.00,7.13,0.00,5.00,3.00,201,NULL,238,'TAPERA','FLORIANÓPOLIS','SC',19385,1038,NULL,NULL,NULL,NULL,NULL,4,1),(28,7134029,1.00,6.00,3.00,6.00,3.00,7.13,1.00,4.00,1.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',13844,2293,NULL,NULL,NULL,NULL,NULL,4,4),(28,7134037,1.00,5.00,3.00,7.00,7.00,9.00,4.00,5.00,3.00,454,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',7971,134,NULL,NULL,NULL,NULL,NULL,4,1),(28,7134045,6.00,7.00,0.00,6.00,6.00,7.13,5.00,6.00,5.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',4541,27,NULL,NULL,NULL,NULL,NULL,2,1),(28,7134053,2.00,6.00,1.00,5.00,5.00,NULL,2.00,3.00,4.00,238,NULL,203,'ESPINHEIROS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(28,7134061,2.00,4.00,2.00,5.00,8.00,8.25,1.00,5.00,1.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',16313,2414,NULL,NULL,NULL,NULL,NULL,4,8),(28,7134070,1.00,6.00,6.00,7.00,9.00,12.75,5.00,6.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1330,689,NULL,NULL,NULL,NULL,NULL,2,1),(28,7134088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7134096,0.00,7.00,2.00,5.00,5.00,6.38,2.00,4.00,3.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14114,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7134100,6.00,7.00,4.00,8.00,5.00,10.13,6.00,7.00,6.00,202,NULL,203,'ALTOS DE SANTANA','S JOSÉ CAMPOS','SP',2520,70,NULL,NULL,NULL,NULL,NULL,4,1),(28,7134118,0.00,5.00,2.00,7.00,5.00,8.25,1.00,3.00,2.00,326,NULL,NULL,'CENTRO','NOVA TRENTO','SC',14671,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7134126,3.00,6.00,2.00,7.00,8.00,7.50,3.00,5.00,2.00,207,NULL,212,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',7995,365,NULL,244,NULL,NULL,NULL,4,1),(28,7134134,3.00,5.00,2.00,7.00,7.00,7.13,3.00,4.00,3.00,303,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',14600,522,NULL,NULL,NULL,NULL,NULL,4,1),(28,7134142,6.00,7.00,3.00,6.00,5.00,7.50,4.00,6.00,6.00,201,NULL,212,'CENTRO','BAL CAMBORIÚ','SC',4123,317,NULL,NULL,NULL,NULL,NULL,4,4),(28,7134150,2.00,5.00,2.00,6.00,6.00,4.50,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','IMBITUBA','SC',11970,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7134177,0.00,3.00,1.00,6.00,5.00,8.25,2.00,3.00,3.00,230,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',18639,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7134185,3.00,4.00,1.00,6.00,6.00,6.38,3.00,4.00,1.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',17028,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7134223,2.00,7.00,1.00,6.00,5.00,5.63,3.00,2.00,3.00,216,NULL,220,'CENTRO','S MATEUS SUL','PR',12183,350,NULL,281,NULL,NULL,NULL,4,17),(28,7134231,4.00,4.00,1.00,4.00,5.00,3.00,2.00,4.00,4.00,224,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7134266,0.00,7.00,3.00,1.00,7.00,7.88,4.00,4.00,3.00,220,NULL,601,'APARECIDA','CURITIBANOS','SC',11108,263,NULL,325,NULL,NULL,NULL,4,16),(28,7134274,0.00,2.00,1.00,1.00,2.00,NULL,1.00,3.00,1.00,428,NULL,426,'VILA ESPERANÇA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7134282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOQUEIRAO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7134290,6.00,6.00,2.00,7.00,8.00,9.75,4.00,4.00,6.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',4966,1488,NULL,NULL,NULL,NULL,NULL,4,3),(28,7134320,3.00,4.00,1.00,5.00,5.00,9.00,3.00,3.00,3.00,103,NULL,NULL,'BOQUEIRAO','PASSO FUNDO','RS',12455,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7134339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7134347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO PEDRO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7134355,1.00,6.00,2.00,5.00,4.00,6.00,3.00,5.00,2.00,103,NULL,NULL,'SANTO DIAS','XANXERÊ','SC',18440,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7134363,3.00,5.00,2.00,4.00,5.00,6.75,3.00,1.00,2.00,233,NULL,216,'CENTRO','CRICIÚMA','SC',14750,306,NULL,393,NULL,NULL,NULL,4,5),(28,7134380,1.00,6.00,0.00,5.00,5.00,10.13,3.00,2.00,2.00,316,NULL,NULL,'SHANGRILA','BAURU','SP',12714,140,NULL,NULL,NULL,NULL,NULL,4,1),(28,7134398,1.00,4.00,0.00,3.00,6.00,8.25,2.00,7.00,2.00,5,NULL,NULL,'SCHERRAMM','S BENTO SUL','SC',11491,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7134410,1.00,5.00,1.00,4.00,5.00,8.63,2.00,3.00,2.00,208,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',18799,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7134428,2.00,6.00,1.00,5.00,7.00,7.88,1.00,3.00,2.00,340,NULL,NULL,'FIGUEIRA','JACINTO MACHADO','SC',13980,373,NULL,NULL,NULL,NULL,NULL,2,15),(28,7134436,3.00,7.00,2.00,6.00,8.00,8.63,6.00,6.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5783,192,NULL,NULL,NULL,NULL,NULL,2,1),(28,7134444,3.00,7.00,1.00,7.00,7.00,9.75,3.00,4.00,4.00,207,NULL,212,'BALNEÁRIO','FLORIANÓPOLIS','SC',6702,313,NULL,208,NULL,NULL,NULL,2,1),(28,7134452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7134460,1.00,0.00,3.00,2.00,2.00,NULL,0.00,3.00,2.00,444,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7134487,0.00,3.00,1.00,5.00,4.00,6.75,4.00,3.00,4.00,454,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',15410,314,NULL,NULL,NULL,NULL,NULL,4,1),(28,7134495,2.00,7.00,3.00,5.00,4.00,8.63,3.00,5.00,1.00,207,NULL,201,'BRABANCIA','AVARÉ','SP',9466,442,NULL,650,NULL,NULL,NULL,2,3),(28,7134509,5.00,5.00,2.00,7.00,5.00,11.25,5.00,6.00,4.00,216,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',7520,256,NULL,191,NULL,NULL,NULL,4,1),(28,7134517,3.00,6.00,3.00,5.00,5.00,7.13,1.00,6.00,3.00,301,NULL,NULL,'CENTRO','IMBITUBA','SC',9192,104,NULL,NULL,NULL,NULL,NULL,2,1),(28,7134525,2.00,3.00,3.00,5.00,7.00,7.50,3.00,5.00,2.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',16759,227,NULL,NULL,NULL,NULL,NULL,4,1),(28,7134533,4.00,4.00,1.00,2.00,5.00,3.00,1.00,5.00,6.00,207,NULL,201,'QUINTINO','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7134541,8.00,9.00,3.00,7.00,9.00,9.75,2.00,6.00,7.00,103,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',954,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7134550,1.00,4.00,2.00,5.00,5.00,6.38,1.00,5.00,5.00,201,NULL,212,'CINQUENTENÁRIO','CONCÓRDIA','SC',12070,770,NULL,334,NULL,NULL,NULL,4,26),(28,7134568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'SÃO FRANCISCO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7134584,3.00,6.00,1.00,6.00,7.00,4.88,3.00,6.00,5.00,216,NULL,215,'CENTRO','BAL PIÇARRAS','SC',8598,282,NULL,147,NULL,NULL,NULL,4,6),(28,7134592,5.00,6.00,3.00,5.00,6.00,9.38,3.00,5.00,3.00,102,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11531,109,NULL,NULL,NULL,NULL,NULL,2,1),(28,7134606,2.00,4.00,3.00,6.00,7.00,7.50,3.00,3.00,3.00,207,NULL,201,'PAES LEME','IMBITUBA','SC',9940,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7134614,3.00,6.00,2.00,6.00,8.00,7.88,3.00,5.00,2.00,110,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8845,22,NULL,NULL,NULL,NULL,NULL,2,1),(28,7134622,5.00,7.00,1.00,5.00,5.00,7.88,3.00,6.00,4.00,108,NULL,NULL,'REPÚBLICA','RIBEIRÃO PRETO','SP',7174,89,NULL,NULL,NULL,NULL,NULL,4,1),(28,7134630,0.00,3.00,0.00,5.00,5.00,10.13,2.00,4.00,1.00,425,NULL,429,'BARREIROS','S JOSÉ','SC',18753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7134649,5.00,6.00,3.00,6.00,8.00,6.75,6.00,7.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',2997,1139,NULL,NULL,NULL,NULL,NULL,4,9),(28,7134657,2.00,3.00,2.00,2.00,5.00,7.88,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','ARVOREDO','SC',14963,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7134673,6.00,7.00,1.00,5.00,6.00,8.63,0.00,4.00,3.00,103,NULL,NULL,'LAGOUA DOURADA','LONDRINA','PR',8359,1935,NULL,NULL,NULL,NULL,NULL,2,1),(28,7134681,3.00,4.00,3.00,3.00,4.00,8.63,3.00,4.00,4.00,216,NULL,214,'CENTRO','MTE CASTELO','SC',9633,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7134703,2.00,4.00,1.00,6.00,4.00,9.38,3.00,3.00,5.00,333,NULL,NULL,'ITAPOÃ','VL VELHA','ES',11241,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7134711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7134720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'JD NOVO PORTUGUAL','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7134762,4.00,7.00,4.00,6.00,5.00,10.88,3.00,8.00,5.00,202,NULL,233,'CENTRO','TOLEDO','PR',2978,85,NULL,69,NULL,NULL,NULL,4,8),(28,7134789,3.00,6.00,1.00,3.00,8.00,6.75,3.00,4.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17413,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7134797,4.00,6.00,1.00,6.00,6.00,7.50,4.00,5.00,3.00,103,NULL,NULL,'CANAA','NOVO HORIZONTE','SP',8146,1914,NULL,NULL,NULL,NULL,NULL,2,1),(28,7134819,2.00,4.00,1.00,4.00,7.00,6.38,3.00,5.00,2.00,444,NULL,NULL,'SERRARIA','S JOSÉ','SC',18271,124,NULL,NULL,NULL,NULL,NULL,2,1),(28,7134827,2.00,5.00,4.00,7.00,4.00,7.88,5.00,3.00,3.00,203,NULL,201,'BARRA SUL','BAL CAMBORIÚ','SC',15504,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7134843,3.00,8.00,1.00,7.00,5.00,5.25,2.00,3.00,0.00,109,NULL,NULL,'JARDIM MORADA DO SOL','INDAIATUBA','SP',12315,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7134851,5.00,7.00,1.00,6.00,4.00,9.75,5.00,6.00,4.00,103,NULL,NULL,'SAO MATEUS','JZ FORA','MG',7422,1824,NULL,NULL,NULL,NULL,NULL,4,1),(28,7134860,5.00,7.00,1.00,6.00,7.00,9.75,4.00,5.00,6.00,319,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',5760,89,NULL,NULL,NULL,NULL,NULL,2,1),(28,7134878,4.00,7.00,4.00,7.00,7.00,8.63,3.00,7.00,5.00,220,NULL,202,'JARDIM SANTA MARIA','JACAREÍ','SP',3247,96,NULL,92,NULL,NULL,NULL,4,3),(28,7134886,3.00,5.00,3.00,6.00,10.00,7.88,3.00,5.00,3.00,428,NULL,424,'ITACORUBI','FLORIANÓPOLIS','SC',11370,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7134894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'CENTRO','QUEDAS IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7134908,6.00,7.00,1.00,6.00,8.00,7.13,3.00,5.00,4.00,319,NULL,NULL,'FLORESTA','S JOSÉ','SC',8713,148,NULL,NULL,NULL,NULL,NULL,4,1),(28,7134932,5.00,8.00,3.00,6.00,9.00,10.13,2.00,8.00,5.00,201,NULL,212,'BARREIROS','S JOSÉ','SC',2297,167,NULL,50,NULL,NULL,NULL,4,1),(28,7134940,5.00,6.00,3.00,6.00,6.00,8.25,1.00,7.00,5.00,103,NULL,NULL,'CENTRO','NOVA P IGUAÇU','PR',6969,1755,NULL,NULL,NULL,NULL,NULL,4,4),(28,7134959,3.00,7.00,3.00,6.00,9.00,9.75,3.00,7.00,6.00,303,NULL,NULL,'VALE DO ARVOREDO','LONDRINA','PR',3610,168,NULL,NULL,NULL,NULL,NULL,4,1),(28,7134967,2.00,6.00,2.00,7.00,6.00,7.50,2.00,5.00,2.00,454,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',10922,208,NULL,NULL,NULL,NULL,NULL,2,9),(28,7134975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7134983,4.00,6.00,3.00,7.00,5.00,12.75,2.00,5.00,7.00,201,NULL,212,'SANTA FÉ','CPO GRANDE','MS',2667,199,NULL,74,NULL,NULL,NULL,4,8),(28,7135009,2.00,6.00,2.00,2.00,5.00,4.50,3.00,7.00,3.00,5,NULL,NULL,'PEDRA BRANCA','S PAULO','SP',11639,335,NULL,NULL,NULL,NULL,NULL,4,1),(28,7135017,0.00,4.00,4.00,2.00,3.00,4.88,1.00,2.00,3.00,102,NULL,NULL,'PROCASA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7135025,0.00,4.00,1.00,5.00,7.00,NULL,2.00,3.00,1.00,444,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7135033,0.00,5.00,0.00,5.00,5.00,7.50,3.00,3.00,4.00,601,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',18476,525,NULL,NULL,NULL,NULL,NULL,4,23),(28,7135041,5.00,5.00,2.00,6.00,3.00,10.88,2.00,3.00,0.00,601,NULL,233,'KOBRASOL','S JOSÉ','SC',17299,498,NULL,336,NULL,NULL,NULL,2,1),(28,7135068,0.00,6.00,1.00,2.00,5.00,NULL,2.00,5.00,1.00,207,NULL,201,'BOEHMERWALD','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7135092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7135114,5.00,4.00,2.00,5.00,4.00,7.50,3.00,2.00,3.00,317,NULL,NULL,'CENTRO','PALHOÇA','SC',17548,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7135122,3.00,5.00,2.00,5.00,5.00,8.25,0.00,5.00,2.00,319,NULL,NULL,'CENTRO','LAGES','SC',17464,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7135130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7135149,3.00,6.00,2.00,4.00,7.00,9.00,1.00,5.00,5.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14103,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7135157,1.00,8.00,6.00,3.00,2.00,NULL,2.00,2.00,2.00,201,NULL,211,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7135165,1.00,3.00,3.00,4.00,3.00,7.50,2.00,2.00,1.00,211,NULL,212,'CONSOLAÇÃO','URUBICI','SC',16210,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7135181,2.00,5.00,3.00,4.00,3.00,7.13,1.00,2.00,1.00,110,NULL,NULL,'FAZ SANTO ANTÔNIO','S JOSÉ','SC',16275,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7135203,1.00,5.00,3.00,5.00,5.00,6.00,0.00,2.00,0.00,103,NULL,NULL,'VILA ALEMANHA','LUZERNA','SC',19594,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7135211,0.00,5.00,2.00,4.00,6.00,7.50,0.00,3.00,0.00,208,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',16018,178,NULL,NULL,NULL,NULL,NULL,4,1),(28,7135220,2.00,5.00,3.00,6.00,4.00,7.88,2.00,3.00,1.00,109,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18066,81,NULL,NULL,NULL,NULL,NULL,2,1),(28,7135238,1.00,2.00,1.00,3.00,3.00,5.63,2.00,3.00,1.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7135262,2.00,3.00,1.00,6.00,6.00,6.38,4.00,4.00,4.00,203,NULL,233,'BARREIROS','S JOSÉ','SC',13733,617,NULL,NULL,NULL,NULL,NULL,2,1),(28,7135270,4.00,6.00,1.00,6.00,9.00,10.50,4.00,5.00,7.00,211,NULL,216,'ALTO DE PINHEIROS','S PAULO','SP',3399,78,NULL,NULL,NULL,NULL,NULL,4,1),(28,7135289,4.00,4.00,1.00,7.00,5.00,10.50,3.00,6.00,1.00,336,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',11372,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7135297,2.00,2.00,1.00,3.00,2.00,NULL,1.00,3.00,1.00,424,NULL,428,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7135319,7.00,6.00,3.00,6.00,7.00,8.63,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',2574,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7135327,6.00,8.00,3.00,7.00,9.00,7.88,2.00,7.00,3.00,102,NULL,NULL,'DE CARLI','VIDEIRA','SC',3306,8,NULL,NULL,NULL,NULL,NULL,4,25),(28,7135335,5.00,7.00,2.00,7.00,7.00,10.50,3.00,7.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6074,98,NULL,NULL,NULL,NULL,NULL,4,1),(28,7135378,3.00,6.00,2.00,7.00,4.00,4.50,3.00,6.00,2.00,216,NULL,203,'KOBRASOL','S JOSÉ','SC',17255,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7135386,3.00,5.00,2.00,6.00,3.00,NULL,0.00,5.00,1.00,326,NULL,NULL,'JARDIM SÃO LUIZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7135394,6.00,8.00,2.00,7.00,9.00,10.13,5.00,9.00,5.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',724,441,NULL,NULL,NULL,NULL,NULL,4,5),(28,7135408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,201,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7135440,3.00,7.00,3.00,5.00,7.00,10.88,3.00,7.00,6.00,450,NULL,NULL,'VILA REZENDE','PIRACICABA','SP',3218,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7135459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,207,'CENTRO','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7135467,2.00,2.00,2.00,2.00,3.00,NULL,0.00,2.00,1.00,201,NULL,202,'CAMPO D UNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7135475,1.00,7.00,3.00,4.00,6.00,8.25,2.00,7.00,1.00,327,NULL,NULL,'BARREIROS','S JOSÉ','SC',10488,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7135491,5.00,8.00,1.00,6.00,6.00,11.25,5.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4227,1369,NULL,NULL,NULL,NULL,NULL,4,1),(28,7135505,2.00,2.00,1.00,4.00,4.00,NULL,0.00,2.00,1.00,216,NULL,207,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7135513,1.00,5.00,3.00,5.00,7.00,NULL,0.00,3.00,2.00,340,NULL,NULL,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7135599,1.00,7.00,1.00,6.00,9.00,7.50,3.00,5.00,4.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',8727,1978,NULL,NULL,NULL,NULL,NULL,3,10),(28,7135602,3.00,5.00,2.00,5.00,6.00,7.50,4.00,5.00,4.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10267,18,NULL,NULL,NULL,NULL,NULL,2,1),(28,7135610,2.00,9.00,2.00,6.00,5.00,8.25,2.00,6.00,3.00,999,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7135629,3.00,7.00,4.00,6.00,9.00,9.75,3.00,6.00,2.00,652,NULL,655,'SANTA LUZIA','CRICIÚMA','SC',7444,9,NULL,NULL,NULL,NULL,NULL,4,5),(28,7135645,6.00,8.00,2.00,7.00,7.00,9.38,5.00,6.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2821,1094,NULL,NULL,NULL,NULL,NULL,4,6),(28,7135661,1.00,5.00,2.00,4.00,7.00,7.88,0.00,3.00,3.00,108,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',14950,202,NULL,NULL,NULL,NULL,NULL,2,1),(28,7135696,1.00,3.00,2.00,3.00,4.00,7.13,1.00,2.00,3.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19662,170,NULL,NULL,NULL,NULL,NULL,2,1),(28,7135718,4.00,5.00,2.00,5.00,5.00,9.38,4.00,3.00,4.00,552,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12820,64,NULL,NULL,NULL,NULL,NULL,4,1),(28,7135726,3.00,6.00,0.00,7.00,4.00,10.13,0.00,4.00,1.00,103,NULL,NULL,'JARDIM ESTORIL','BAURU','SP',11135,2146,NULL,NULL,NULL,NULL,NULL,2,1),(28,7135742,1.00,5.00,1.00,2.00,5.00,5.25,2.00,3.00,2.00,102,NULL,NULL,'VISTA ALEGRE','QUILOMBO','SC',18372,173,NULL,NULL,NULL,NULL,NULL,4,4),(28,7135750,7.00,7.00,3.00,7.00,7.00,7.13,4.00,8.00,7.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4056,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7135769,1.00,4.00,2.00,3.00,2.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7135777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7135785,4.00,6.00,0.00,2.00,4.00,5.63,2.00,5.00,3.00,5,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',13829,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7135807,0.00,5.00,2.00,6.00,7.00,NULL,0.00,4.00,3.00,301,NULL,NULL,'LINHA SEMINARIO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7135831,4.00,5.00,3.00,7.00,5.00,6.00,4.00,4.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9845,239,NULL,NULL,NULL,NULL,NULL,2,1),(28,7135840,1.00,6.00,1.00,5.00,5.00,7.50,1.00,4.00,2.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18307,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7135858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA GUILHERME','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7135874,0.00,7.00,2.00,0.00,4.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'RIO BONITO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7135882,4.00,7.00,0.00,6.00,9.00,8.63,2.00,7.00,2.00,451,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',6561,11,NULL,NULL,NULL,NULL,NULL,2,1),(28,7135904,3.00,4.00,2.00,5.00,5.00,7.13,2.00,3.00,3.00,101,NULL,NULL,'MORAR BEM','S JOSÉ','SC',14137,88,NULL,NULL,NULL,NULL,NULL,4,1),(28,7135920,0.00,3.00,0.00,4.00,6.00,7.13,3.00,5.00,3.00,2,NULL,NULL,'CAMPINAS','S JOSÉ','SC',18533,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7135939,1.00,6.00,1.00,4.00,5.00,7.50,0.00,6.00,2.00,551,NULL,NULL,'INTERIOR','FR ROGÉRIO','SC',18273,53,NULL,NULL,NULL,NULL,NULL,2,16),(28,7135947,5.00,7.00,2.00,5.00,5.00,8.63,1.00,5.00,2.00,999,NULL,NULL,'POMERODE FUNOS','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(28,7135963,0.00,6.00,2.00,7.00,3.00,7.50,3.00,7.00,3.00,207,NULL,201,'BOA ESPERANÇA','CUIABÁ','MT',7728,352,NULL,561,NULL,NULL,NULL,4,1),(28,7135971,1.00,7.00,2.00,4.00,3.00,7.13,4.00,4.00,2.00,201,NULL,212,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7135998,3.00,7.00,1.00,4.00,5.00,9.75,2.00,3.00,3.00,9,NULL,NULL,'CENTRO','PALHOÇA','SC',9948,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7136013,1.00,4.00,1.00,3.00,7.00,8.25,1.00,3.00,3.00,235,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',15399,244,NULL,NULL,NULL,NULL,NULL,4,1),(28,7136021,3.00,7.00,2.00,7.00,10.00,10.50,5.00,7.00,5.00,5,NULL,NULL,'RIO BRANCO','BRUSQUE','SC',1812,52,NULL,NULL,NULL,NULL,NULL,4,22),(28,7136030,4.00,4.00,2.00,5.00,3.00,8.63,1.00,3.00,3.00,202,NULL,213,'PENHA','PAULO LOPES','SC',14272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7136048,5.00,7.00,3.00,7.00,7.00,7.13,3.00,6.00,3.00,211,NULL,653,'MOOCA','S PAULO','SP',5702,149,NULL,50,NULL,NULL,NULL,4,1),(28,7136072,3.00,7.00,3.00,6.00,4.00,10.13,2.00,8.00,1.00,318,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',11826,82,NULL,NULL,NULL,NULL,NULL,4,1),(28,7136080,0.00,2.00,3.00,4.00,2.00,NULL,0.00,1.00,2.00,308,NULL,NULL,'FAZENDA ST ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7136099,1.00,6.00,3.00,5.00,6.00,7.88,3.00,4.00,2.00,454,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',16583,335,NULL,NULL,NULL,NULL,NULL,2,1),(28,7136102,2.00,7.00,2.00,6.00,5.00,7.50,5.00,4.00,0.00,331,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',13012,31,NULL,NULL,NULL,NULL,NULL,2,1),(28,7136145,0.00,3.00,1.00,3.00,4.00,7.88,2.00,3.00,2.00,207,NULL,NULL,'RIO BONITO','BRAÇO NORTE','SC',16539,715,NULL,NULL,NULL,NULL,NULL,4,10),(28,7136161,5.00,8.00,3.00,6.00,10.00,11.25,5.00,7.00,5.00,103,NULL,NULL,'JARDIM LONGATO','MOGI MIRIM','SP',1222,644,NULL,NULL,NULL,NULL,NULL,4,1),(28,7136188,0.00,4.00,2.00,6.00,2.00,NULL,2.00,4.00,1.00,340,NULL,NULL,'SÃO BERNARDO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7136196,5.00,8.00,3.00,6.00,8.00,10.88,3.00,5.00,6.00,103,NULL,NULL,'ASA SUL','BRASÍLIA','DF',2784,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7136200,1.00,7.00,1.00,3.00,5.00,NULL,0.00,4.00,2.00,320,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7136218,4.00,7.00,5.00,6.00,8.00,9.38,6.00,7.00,4.00,653,NULL,655,'MENINO DEUS','PTO ALEGRE','RS',1566,4,NULL,NULL,NULL,NULL,NULL,4,4),(28,7136226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7136234,2.00,7.00,1.00,6.00,9.00,11.63,2.00,6.00,5.00,415,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4532,69,NULL,NULL,NULL,NULL,NULL,4,1),(28,7136242,1.00,5.00,3.00,4.00,7.00,7.88,1.00,5.00,3.00,319,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',11178,206,NULL,NULL,NULL,NULL,NULL,2,1),(28,7136250,0.00,2.00,2.00,5.00,4.00,4.50,2.00,5.00,1.00,319,NULL,NULL,'SANTO ANTÔNIO','PATO BRANCO','PR',17394,336,NULL,NULL,NULL,NULL,NULL,2,4),(28,7136269,2.00,3.00,2.00,2.00,3.00,5.25,4.00,2.00,1.00,501,NULL,NULL,'IPIRANGA','S JOSÉ','SC',18719,120,NULL,NULL,NULL,NULL,NULL,4,1),(28,7136285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM RENASCENÇA','MIRASSOL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7136293,6.00,8.00,6.00,7.00,8.00,7.88,6.00,8.00,7.00,103,NULL,NULL,'JARDIM SAO PAULO','SOROCABA','SP',507,345,NULL,NULL,NULL,NULL,NULL,4,1),(28,7136315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'CENTRO','CUNHA PORÃ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7136358,5.00,0.00,2.00,6.00,6.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7136366,8.00,6.00,4.00,7.00,9.00,9.38,6.00,7.00,5.00,216,NULL,233,'CORREGO GRANDE','FLORIANÓPOLIS','SC',1332,39,NULL,19,NULL,NULL,NULL,4,1),(28,7136374,4.00,8.00,1.00,6.00,8.00,4.88,3.00,5.00,2.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',6163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7136382,0.00,3.00,2.00,3.00,3.00,4.50,0.00,2.00,3.00,235,NULL,NULL,'BELA VISTA','S JOSÉ','SC',19110,287,NULL,NULL,NULL,NULL,NULL,4,1),(28,7136390,2.00,4.00,1.00,5.00,6.00,7.13,1.00,2.00,3.00,110,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',18054,91,NULL,NULL,NULL,NULL,NULL,4,1),(28,7136412,3.00,5.00,3.00,7.00,8.00,7.13,1.00,5.00,2.00,3,NULL,NULL,'CENTRO','CRICIÚMA','SC',14868,72,NULL,NULL,NULL,NULL,NULL,2,5),(28,7136420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'CENTRO','TUPÃSSI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7136439,5.00,7.00,3.00,5.00,6.00,9.38,5.00,7.00,5.00,103,NULL,NULL,'JARDINS','ARACAJU','SE',5195,1521,NULL,NULL,NULL,NULL,NULL,2,1),(28,7136447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PAROBE','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7136471,3.00,4.00,1.00,2.00,4.00,5.63,2.00,7.00,3.00,103,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',18885,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7136480,0.00,4.00,1.00,2.00,1.00,NULL,3.00,4.00,2.00,109,NULL,NULL,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7136498,2.00,4.00,2.00,4.00,5.00,8.25,6.00,3.00,3.00,655,NULL,653,'QUARTA LINHA','CRICIÚMA','SC',17147,106,NULL,184,NULL,NULL,NULL,2,15),(28,7136501,1.00,4.00,4.00,5.00,2.00,NULL,0.00,1.00,2.00,203,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7136528,5.00,5.00,1.00,7.00,10.00,10.88,3.00,8.00,5.00,415,NULL,NULL,'MONTE CARLOS','COCAL SUL','SC',2333,23,NULL,NULL,NULL,NULL,NULL,4,5),(28,7136536,6.00,6.00,2.00,5.00,6.00,5.25,6.00,5.00,6.00,103,NULL,NULL,'CENTRO','GUARANIAÇU','PR',5400,1557,NULL,NULL,NULL,NULL,NULL,2,27),(28,7136544,4.00,6.00,1.00,1.00,6.00,7.13,2.00,4.00,3.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',17873,988,NULL,410,NULL,NULL,NULL,4,1),(28,7136552,7.00,7.00,5.00,6.00,8.00,7.88,6.00,6.00,7.00,103,NULL,NULL,'FABIOSILVA','TUBARÃO','SC',1048,575,NULL,NULL,NULL,NULL,NULL,2,10);
INSERT INTO boletim_desempenho VALUES (28,7136587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7136609,2.00,5.00,1.00,7.00,8.00,11.63,3.00,5.00,2.00,319,NULL,NULL,'TERRAS DE PIRACICABA','PIRACICABA','SP',12410,226,NULL,NULL,NULL,NULL,NULL,2,1),(28,7136625,4.00,7.00,4.00,7.00,8.00,8.25,4.00,5.00,4.00,202,NULL,235,'CANTO','FLORIANÓPOLIS','SC',4535,132,NULL,73,NULL,NULL,NULL,4,1),(28,7136633,6.00,7.00,4.00,7.00,10.00,8.25,6.00,7.00,6.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1313,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7136641,3.00,4.00,1.00,5.00,6.00,7.88,2.00,4.00,2.00,201,NULL,207,'VILA NOVA','BLUMENAU','SC',18487,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7136650,0.00,3.00,5.00,3.00,4.00,7.13,3.00,3.00,3.00,319,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7136668,8.00,7.00,2.00,7.00,10.00,8.63,5.00,8.00,6.00,303,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',1252,58,NULL,NULL,NULL,NULL,NULL,4,4),(28,7136676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7136684,1.00,1.00,3.00,1.00,3.00,6.38,2.00,3.00,2.00,308,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7136692,0.00,3.00,2.00,5.00,6.00,NULL,1.00,3.00,1.00,201,NULL,203,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7136706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TANCREDO NEVES','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7136722,2.00,5.00,2.00,5.00,8.00,6.38,3.00,4.00,6.00,102,NULL,NULL,'VARZEA DO RANCHINHO','CAMBORIÚ','SC',12859,120,NULL,NULL,NULL,NULL,NULL,2,3),(28,7136730,0.00,3.00,1.00,7.00,3.00,NULL,2.00,3.00,2.00,318,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7136749,5.00,6.00,4.00,7.00,9.00,10.13,6.00,7.00,8.00,211,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',1216,10,NULL,NULL,NULL,NULL,NULL,2,1),(28,7136765,2.00,0.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,6,1),(28,7136773,1.00,3.00,4.00,0.00,5.00,NULL,1.00,3.00,1.00,551,NULL,NULL,'SAO FLORIANO','IBICARÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7136781,5.00,5.00,1.00,3.00,6.00,4.88,3.00,3.00,2.00,203,NULL,213,'VILA PARAIZO','CAÇADOR','SC',17639,NULL,NULL,262,NULL,NULL,NULL,4,25),(28,7136790,4.00,6.00,3.00,5.00,5.00,8.25,3.00,6.00,5.00,211,NULL,601,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5722,150,NULL,108,NULL,NULL,NULL,2,1),(28,7136803,4.00,5.00,3.00,4.00,6.00,9.75,2.00,5.00,5.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',8061,244,NULL,NULL,NULL,NULL,NULL,2,1),(28,7136811,1.00,6.00,1.00,6.00,4.00,NULL,0.00,1.00,3.00,552,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7136820,6.00,7.00,2.00,4.00,5.00,8.25,3.00,6.00,5.00,103,NULL,NULL,'SANTA RITA','OLÍMPIA','SP',6096,1641,NULL,NULL,NULL,NULL,NULL,4,1),(28,7136838,5.00,6.00,2.00,5.00,7.00,8.63,3.00,6.00,4.00,316,NULL,NULL,'CENTRO','CRICIÚMA','SC',5573,31,NULL,NULL,NULL,NULL,NULL,2,5),(28,7136846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'ZONA I','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7136862,0.00,4.00,3.00,4.00,6.00,7.50,1.00,2.00,1.00,211,NULL,207,'ITACORUBI','FLORIANÓPOLIS','SC',16885,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7136870,3.00,4.00,1.00,7.00,4.00,10.50,2.00,4.00,3.00,340,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11896,328,NULL,NULL,NULL,NULL,NULL,4,1),(28,7136889,2.00,5.00,3.00,5.00,5.00,8.63,2.00,5.00,5.00,103,NULL,NULL,'VILA SÃO FRANCISCO','S PAULO','SP',8994,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7136897,2.00,7.00,0.00,5.00,7.00,7.88,1.00,5.00,4.00,108,NULL,NULL,'NOVA BRASÍLIA','IMBITUBA','SC',9098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7136919,0.00,2.00,2.00,5.00,3.00,NULL,3.00,4.00,2.00,211,NULL,238,'PAULICÉIA','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7136927,2.00,6.00,1.00,4.00,4.00,6.38,4.00,6.00,1.00,207,NULL,201,'JARDIM','MARAVILHA','SC',14266,632,NULL,876,NULL,NULL,NULL,4,4),(28,7136935,2.00,4.00,1.00,7.00,3.00,6.38,1.00,3.00,2.00,423,NULL,427,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7136951,6.00,8.00,4.00,6.00,8.00,9.75,3.00,7.00,6.00,340,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',1705,26,NULL,NULL,NULL,NULL,NULL,4,15),(28,7136960,0.00,4.00,2.00,6.00,3.00,4.50,4.00,3.00,2.00,203,NULL,201,'MAR GROSSO','LAGUNA','SC',19079,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7136978,4.00,5.00,2.00,7.00,8.00,7.88,4.00,6.00,5.00,211,NULL,207,'INGLESES','FLORIANÓPOLIS','SC',5634,146,NULL,NULL,NULL,NULL,NULL,4,1),(28,7136986,2.00,8.00,4.00,7.00,8.00,8.63,5.00,6.00,6.00,103,NULL,NULL,'SAO CRISTOVAO','LAGES','SC',2802,1089,NULL,NULL,NULL,NULL,NULL,4,9),(28,7137010,0.00,3.00,0.00,2.00,2.00,NULL,2.00,2.00,2.00,319,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137028,2.00,4.00,2.00,6.00,3.00,4.50,3.00,2.00,3.00,238,NULL,213,'CORREGO GRANDE','FLORIANÓPOLIS','SC',16250,282,NULL,252,NULL,NULL,NULL,4,1),(28,7137036,6.00,8.00,5.00,7.00,10.00,10.50,6.00,8.00,6.00,103,NULL,NULL,'JARDIM MARIN','VOTUPORANGA','SP',275,209,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137044,1.00,3.00,3.00,5.00,2.00,NULL,3.00,3.00,2.00,103,NULL,NULL,'JARDIM NAZARETH','MOGI MIRIM','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7137052,3.00,7.00,1.00,6.00,4.00,6.00,2.00,7.00,3.00,336,NULL,NULL,'JARDIM SUL','S JOSÉ CAMPOS','SP',10420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137060,3.00,7.00,0.00,4.00,6.00,10.13,2.00,6.00,4.00,102,NULL,NULL,'MONTE CASTELO','S JOSÉ CAMPOS','SP',7551,55,NULL,NULL,NULL,NULL,NULL,2,1),(28,7137079,6.00,6.00,1.00,7.00,7.00,8.63,2.00,4.00,3.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7498,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7137087,4.00,8.00,1.00,7.00,7.00,10.88,2.00,6.00,4.00,207,NULL,233,'ENSEADA DE BRITO','PALHOÇA','SC',3693,146,NULL,94,NULL,NULL,NULL,4,1),(28,7137109,0.00,6.00,3.00,6.00,2.00,NULL,1.00,5.00,3.00,234,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7137117,5.00,7.00,1.00,4.00,9.00,6.75,5.00,5.00,7.00,5,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',4826,162,NULL,NULL,NULL,NULL,NULL,4,10),(28,7137125,1.00,3.00,2.00,4.00,2.00,NULL,0.00,3.00,1.00,308,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7137133,3.00,8.00,1.00,7.00,6.00,6.00,6.00,8.00,3.00,104,NULL,NULL,'CENTRO','SOROCABA','SP',3992,62,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137141,2.00,5.00,3.00,6.00,6.00,7.50,1.00,5.00,3.00,203,NULL,233,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',12792,599,NULL,285,NULL,NULL,NULL,4,1),(28,7137150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'VILA RICCI','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7137168,3.00,5.00,1.00,7.00,6.00,7.13,0.00,4.00,3.00,999,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7137184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','BEBEDOURO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7137192,0.00,6.00,2.00,5.00,2.00,NULL,1.00,4.00,2.00,216,NULL,207,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(28,7137206,3.00,6.00,3.00,2.00,3.00,7.50,3.00,7.00,2.00,653,NULL,211,'SANTO ANDRÉ','CAPIVARI BAIXO','SC',12414,133,NULL,NULL,NULL,NULL,NULL,4,10),(28,7137214,3.00,6.00,2.00,5.00,8.00,7.13,6.00,4.00,5.00,203,NULL,220,'PRESIDENTE MEDICI','CHAPECÓ','SC',6806,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7137222,0.00,6.00,2.00,1.00,3.00,NULL,2.00,3.00,1.00,5,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137230,2.00,6.00,3.00,5.00,5.00,7.88,2.00,3.00,2.00,654,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',13293,31,NULL,NULL,NULL,NULL,NULL,2,15),(28,7137257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7137265,2.00,4.00,2.00,3.00,3.00,9.00,0.00,4.00,3.00,201,NULL,NULL,'LOURO','ANTÔNIO CARLOS','SC',14371,882,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137281,0.00,8.00,2.00,6.00,6.00,NULL,5.00,4.00,3.00,340,NULL,NULL,'JARDIM PANORAMA','IPATINGA','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137290,2.00,6.00,3.00,4.00,6.00,10.88,3.00,5.00,5.00,201,NULL,212,'ITOUPAVA NORTE','BLUMENAU','SC',7251,538,NULL,225,NULL,NULL,NULL,4,2),(28,7137320,3.00,6.00,3.00,6.00,6.00,8.63,5.00,4.00,5.00,319,NULL,NULL,'CENTRO','ITAPETININGA','SP',7285,118,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137338,0.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',5,1),(28,7137346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,425,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7137370,2.00,6.00,4.00,5.00,7.00,7.13,2.00,3.00,3.00,104,NULL,NULL,'INDEPENDÊNCIA','PTO ALEGRE','RS',15660,384,NULL,NULL,NULL,NULL,NULL,2,1),(28,7137389,3.00,6.00,4.00,6.00,8.00,8.63,4.00,6.00,2.00,108,NULL,NULL,'JARDIM GOIÁS','GOIÂNIA','GO',5079,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137397,2.00,7.00,3.00,7.00,7.00,8.25,2.00,6.00,5.00,5,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',10180,301,NULL,NULL,NULL,NULL,NULL,4,2),(28,7137400,1.00,7.00,2.00,6.00,6.00,7.88,4.00,3.00,3.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11564,2175,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137427,0.00,3.00,1.00,2.00,4.00,NULL,2.00,5.00,1.00,104,NULL,NULL,'RIO BRANCO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7137435,3.00,7.00,2.00,6.00,7.00,10.13,3.00,6.00,6.00,340,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',3441,78,NULL,NULL,NULL,NULL,NULL,4,2),(28,7137443,0.00,4.00,2.00,5.00,7.00,8.25,0.00,5.00,4.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17577,361,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137451,5.00,0.00,2.00,7.00,5.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(28,7137460,2.00,5.00,5.00,5.00,6.00,4.50,5.00,4.00,6.00,216,NULL,215,'ALVORADA','VIDEIRA','SC',10479,325,NULL,180,NULL,NULL,NULL,4,6),(28,7137478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7137486,0.00,5.00,0.00,3.00,4.00,6.75,2.00,4.00,2.00,303,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',17726,580,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'CENTRO','VITÓRIA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7137540,2.00,3.00,1.00,6.00,5.00,6.75,1.00,2.00,3.00,999,NULL,NULL,'CANTA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7137559,5.00,7.00,4.00,7.00,7.00,10.13,6.00,6.00,6.00,235,NULL,202,'JARDIM DA GRANJA','S JOSÉ CAMPOS','SP',1474,10,NULL,NULL,NULL,NULL,NULL,2,1),(28,7137567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7137575,4.00,6.00,1.00,7.00,8.00,NULL,0.00,6.00,7.00,205,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7137583,3.00,6.00,2.00,7.00,8.00,9.00,3.00,5.00,3.00,329,NULL,NULL,'NOVA ESPERANÇA','BAL CAMBORIÚ','SC',6726,3,NULL,NULL,NULL,NULL,NULL,2,6),(28,7137591,1.00,6.00,2.00,7.00,8.00,9.00,0.00,4.00,3.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',11095,181,NULL,NULL,NULL,NULL,NULL,2,1),(28,7137613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CANESIANAS','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7137621,5.00,7.00,2.00,1.00,9.00,9.38,4.00,6.00,6.00,103,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',3079,1154,NULL,NULL,NULL,NULL,NULL,4,8),(28,7137630,0.00,6.00,2.00,3.00,4.00,NULL,2.00,6.00,3.00,552,NULL,NULL,'INTERIOR','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7137648,1.00,5.00,3.00,6.00,6.00,8.63,3.00,4.00,1.00,201,NULL,211,'CENTRO','CANELINHA','SC',9229,640,NULL,246,NULL,NULL,NULL,4,1),(28,7137664,4.00,8.00,2.00,6.00,8.00,7.13,4.00,4.00,4.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',7922,212,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137680,1.00,4.00,2.00,5.00,4.00,8.25,0.00,4.00,0.00,201,NULL,202,'INTERIOR','PALMITOS','SC',16108,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7137702,0.00,4.00,0.00,2.00,3.00,6.00,2.00,4.00,1.00,201,NULL,212,'FORQUILINHAS','S JOSÉ','SC',18605,1016,NULL,415,NULL,NULL,NULL,4,1),(28,7137710,1.00,6.00,1.00,4.00,4.00,5.63,2.00,4.00,4.00,202,NULL,235,'CABEÇUDA','LAGUNA','SC',18454,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7137729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BATISTA CAMPOS','BELÉM','PA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7137737,3.00,6.00,3.00,5.00,5.00,5.25,2.00,5.00,2.00,454,NULL,NULL,'SANTANA','S JOSÉ CAMPOS','SP',11630,229,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137745,5.00,8.00,3.00,6.00,7.00,9.38,5.00,7.00,6.00,233,NULL,213,'SANTA RITA','STA BÁRBARA D OESTE','SP',2364,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137761,8.00,8.00,5.00,6.00,8.00,8.25,7.00,7.00,7.00,207,NULL,212,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',630,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137788,3.00,8.00,3.00,6.00,9.00,4.88,6.00,7.00,7.00,203,NULL,201,'CORDEIROS','ITAJAÍ','SC',4691,325,NULL,365,NULL,NULL,NULL,4,6),(28,7137796,1.00,3.00,1.00,7.00,5.00,5.63,3.00,4.00,2.00,302,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',14003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7137800,4.00,8.00,2.00,7.00,6.00,9.75,5.00,6.00,4.00,201,NULL,NULL,'CENTRO','CRICIÚMA','SC',6407,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7137818,2.00,4.00,1.00,4.00,2.00,NULL,0.00,3.00,3.00,201,NULL,212,'VILA BARTH','ITAPETININGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7137834,2.00,6.00,4.00,7.00,8.00,6.00,3.00,4.00,3.00,454,NULL,NULL,'CENTRO','CORUPÁ','SC',7667,126,NULL,NULL,NULL,NULL,NULL,2,23),(28,7137842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,235,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7137869,2.00,8.00,3.00,5.00,9.00,9.38,5.00,4.00,7.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',3627,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7137877,6.00,7.00,3.00,6.00,8.00,7.88,3.00,6.00,6.00,103,NULL,NULL,'PANTANTAL','FLORIANÓPOLIS','SC',2690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137885,5.00,8.00,3.00,6.00,6.00,7.50,5.00,7.00,6.00,233,NULL,203,'CAMBUI','CAMPINAS','SP',4183,111,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137893,3.00,3.00,3.00,5.00,5.00,6.00,4.00,5.00,2.00,103,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',11895,2197,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137923,0.00,2.00,4.00,5.00,7.00,7.88,3.00,2.00,0.00,103,NULL,NULL,'CABEÇUDAS','LAGUNA','SC',15419,2373,NULL,NULL,NULL,NULL,NULL,2,10),(28,7137931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7137940,4.00,4.00,3.00,7.00,10.00,10.13,3.00,5.00,2.00,450,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',7714,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137958,8.00,8.00,6.00,7.00,9.00,12.00,5.00,7.00,7.00,103,NULL,NULL,'JARDIM ESPLANADA','S JOSÉ CAMPOS','SP',132,106,NULL,NULL,NULL,NULL,NULL,4,1),(28,7137974,2.00,7.00,2.00,4.00,5.00,9.38,5.00,5.00,1.00,333,NULL,NULL,'CHICO DE PAULO','JARAGUÁ SUL','SC',10303,61,NULL,NULL,NULL,NULL,NULL,2,23),(28,7137990,1.00,3.00,3.00,6.00,7.00,9.00,4.00,4.00,1.00,104,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',12200,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7138008,2.00,5.00,3.00,7.00,5.00,5.25,3.00,6.00,3.00,208,NULL,NULL,'SAÚDE','S PAULO','SP',10453,109,NULL,NULL,NULL,NULL,NULL,4,6),(28,7138032,5.00,9.00,7.00,6.00,9.00,10.88,7.00,7.00,8.00,203,NULL,214,'ESPLANADA DO SOL','S JOSÉ CAMPOS','SP',138,14,NULL,NULL,NULL,NULL,NULL,4,8),(28,7138040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,207,'CENTRO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7138067,1.00,7.00,4.00,6.00,8.00,8.63,1.00,5.00,4.00,212,NULL,213,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',10675,315,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7138083,5.00,8.00,3.00,6.00,10.00,9.38,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',1637,785,NULL,NULL,NULL,NULL,NULL,2,10),(28,7138091,1.00,4.00,2.00,1.00,2.00,NULL,3.00,0.00,2.00,444,NULL,NULL,'SAIC','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7138105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,NULL,'COAB','TIMBÓ GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7138113,3.00,6.00,1.00,7.00,9.00,7.13,3.00,6.00,5.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5801,1600,NULL,NULL,NULL,NULL,NULL,2,1),(28,7138121,4.00,7.00,2.00,7.00,9.00,11.63,4.00,7.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2309,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138130,5.00,8.00,2.00,6.00,7.00,8.25,5.00,7.00,3.00,103,NULL,NULL,'JD DAS INDUSTRIAS','S JOSÉ CAMPOS','SP',6649,1718,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138148,2.00,4.00,3.00,3.00,5.00,11.63,2.00,2.00,2.00,338,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',17930,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138156,2.00,7.00,2.00,4.00,5.00,6.00,3.00,3.00,1.00,999,NULL,NULL,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7138164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7138172,7.00,7.00,5.00,7.00,9.00,12.75,6.00,7.00,7.00,103,NULL,NULL,'MONTE BELO','JOAÇABA','SC',361,261,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138180,3.00,7.00,1.00,6.00,7.00,8.63,3.00,3.00,3.00,428,NULL,426,'NOSSA SENHORA DO ROS','S JOSÉ','SC',14102,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138199,4.00,6.00,3.00,5.00,3.00,10.13,2.00,6.00,6.00,336,NULL,NULL,'JARDIM TAQUARAL','S PAULO','SP',7389,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138202,0.00,4.00,1.00,7.00,5.00,9.75,3.00,5.00,1.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138229,3.00,6.00,0.00,6.00,6.00,8.25,3.00,3.00,4.00,203,NULL,235,'BOMBAS','BOMBINHAS','SC',8796,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7138237,2.00,4.00,0.00,2.00,3.00,9.38,0.00,6.00,2.00,103,NULL,NULL,'ESTRADA NOVA','JARAGUÁ SUL','SC',18842,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7138245,4.00,8.00,1.00,5.00,6.00,10.13,2.00,5.00,5.00,415,NULL,NULL,'VILA INDUSTRIAL','CAMPINAS','SP',6153,98,NULL,NULL,NULL,NULL,NULL,2,1),(28,7138253,0.00,6.00,2.00,6.00,3.00,NULL,0.00,5.00,2.00,502,NULL,NULL,'CENTRO','CRUZ ALTA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138288,1.00,5.00,3.00,5.00,3.00,NULL,2.00,4.00,0.00,208,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7138296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'URBANOVA II','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7138318,5.00,6.00,4.00,7.00,6.00,6.00,4.00,4.00,6.00,103,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',4625,1436,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138326,4.00,5.00,1.00,4.00,5.00,5.25,2.00,3.00,3.00,234,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',15879,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7138342,5.00,6.00,1.00,5.00,9.00,9.00,2.00,5.00,5.00,653,NULL,211,'CENTRO','LAGES','SC',4965,41,NULL,NULL,NULL,NULL,NULL,4,9),(28,7138350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7138377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MORUMBI','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7138385,5.00,7.00,3.00,6.00,5.00,10.50,5.00,6.00,2.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138393,4.00,4.00,3.00,4.00,4.00,8.63,3.00,5.00,6.00,103,NULL,NULL,'FLORESTA','CONCÓRDIA','SC',13975,2297,NULL,NULL,NULL,NULL,NULL,4,26),(28,7138407,1.00,6.00,1.00,5.00,4.00,5.63,2.00,2.00,3.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15791,389,NULL,NULL,NULL,NULL,NULL,2,1),(28,7138415,0.00,8.00,2.00,5.00,7.00,NULL,1.00,5.00,1.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138423,2.00,6.00,2.00,7.00,8.00,9.00,3.00,4.00,3.00,101,NULL,NULL,'BOM FIM','STA CRUZ SUL','RS',12099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,233,'MERCES','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7138458,2.00,5.00,2.00,1.00,4.00,6.75,3.00,4.00,1.00,339,NULL,NULL,'IPIRANGA','S JOSÉ','SC',19390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138466,0.00,6.00,2.00,1.00,6.00,12.00,0.00,5.00,1.00,999,NULL,NULL,'FLORES','MANAUS','AM',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138474,5.00,6.00,4.00,7.00,8.00,8.63,6.00,6.00,7.00,203,NULL,216,'KOBRASOL','S JOSÉ','SC',3268,NULL,NULL,120,NULL,NULL,NULL,4,1),(28,7138490,1.00,6.00,2.00,6.00,5.00,7.50,2.00,5.00,1.00,317,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',14264,89,NULL,NULL,NULL,NULL,NULL,2,1),(28,7138512,0.00,4.00,2.00,6.00,5.00,7.88,3.00,5.00,1.00,235,NULL,203,'CENTRO','CAMPOS NOVOS','SC',13128,211,NULL,NULL,NULL,NULL,NULL,4,7),(28,7138520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'JARDIM CARVALHO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7138539,6.00,8.00,3.00,7.00,10.00,13.50,3.00,6.00,6.00,103,NULL,NULL,'VILAS BOAS','CPO GRANDE','MS',785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138547,1.00,3.00,0.00,4.00,5.00,9.75,3.00,3.00,2.00,326,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',18692,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7138563,4.00,7.00,3.00,6.00,4.00,7.13,3.00,5.00,3.00,999,NULL,NULL,'JARDIM LANCASTER','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7138571,2.00,5.00,3.00,6.00,5.00,6.75,2.00,5.00,3.00,211,NULL,NULL,'CASTELO BRANCO','ITAPEMA','SC',16472,398,NULL,NULL,NULL,NULL,NULL,2,3),(28,7138580,2.00,3.00,1.00,6.00,7.00,4.50,1.00,4.00,5.00,502,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',18276,50,NULL,NULL,NULL,NULL,NULL,2,1),(28,7138598,4.00,7.00,0.00,5.00,6.00,7.88,5.00,6.00,4.00,653,NULL,202,'JARDIM DO SOL','PARANAVAÍ','PR',6487,67,NULL,176,NULL,NULL,NULL,4,3),(28,7138601,1.00,7.00,1.00,5.00,6.00,7.88,3.00,5.00,5.00,213,NULL,202,'OESTE','GOIÂNIA','GO',8679,152,NULL,229,NULL,NULL,NULL,4,1),(28,7138628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'GLÓRIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7138636,4.00,8.00,6.00,4.00,6.00,9.75,4.00,7.00,8.00,216,NULL,202,'RESIDENCIAL UNIÃO','S JOSÉ CAMPOS','SP',1773,57,NULL,47,NULL,NULL,NULL,2,1),(28,7138660,5.00,6.00,3.00,6.00,7.00,9.75,2.00,4.00,4.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',6182,286,NULL,480,NULL,NULL,NULL,2,1),(28,7138679,3.00,7.00,3.00,6.00,8.00,10.50,1.00,7.00,5.00,552,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',8759,20,NULL,NULL,NULL,NULL,NULL,2,7),(28,7138687,3.00,2.00,2.00,2.00,3.00,7.50,0.00,2.00,2.00,102,NULL,NULL,'CENTRO','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138695,1.00,6.00,2.00,2.00,3.00,NULL,0.00,3.00,0.00,653,NULL,201,'CENTRO','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138709,3.00,5.00,1.00,7.00,5.00,9.00,1.00,4.00,2.00,327,NULL,NULL,'TABULEIRO','ITAPEMA','SC',11574,29,NULL,NULL,NULL,NULL,NULL,2,3),(28,7138733,1.00,2.00,1.00,5.00,4.00,7.13,2.00,4.00,2.00,101,NULL,NULL,'SANTOS SARAIVA','S JOSÉ','SC',19600,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7138768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7138776,6.00,6.00,4.00,5.00,5.00,7.50,3.00,5.00,5.00,104,NULL,NULL,'VILA NOVA','BLUMENAU','SC',7602,177,NULL,NULL,NULL,NULL,NULL,2,2),(28,7138784,0.00,2.00,2.00,1.00,3.00,6.38,2.00,3.00,0.00,552,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',20163,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7138792,4.00,9.00,3.00,4.00,5.00,7.13,6.00,7.00,4.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',5370,1555,NULL,NULL,NULL,NULL,NULL,4,2),(28,7138806,3.00,7.00,2.00,7.00,8.00,6.75,3.00,8.00,3.00,220,NULL,203,'BELA VISTA','S PAULO','SP',5069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138849,3.00,5.00,3.00,4.00,4.00,6.00,3.00,4.00,2.00,653,NULL,655,'MORRO ESTEVÃO','CRICIÚMA','SC',17830,189,NULL,112,NULL,NULL,NULL,2,5),(28,7138857,3.00,2.00,1.00,5.00,4.00,7.13,2.00,4.00,2.00,103,NULL,NULL,'JARDIM AMÉRICA','CHAPECÓ','SC',18845,2498,NULL,NULL,NULL,NULL,NULL,2,4),(28,7138865,3.00,4.00,2.00,3.00,4.00,8.63,1.00,5.00,2.00,304,NULL,NULL,'CENTRO','S JOSÉ','SC',12785,94,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138873,4.00,5.00,0.00,4.00,5.00,6.75,3.00,3.00,4.00,601,NULL,212,'FLORESTA','JOINVILLE','SC',12557,371,NULL,345,NULL,NULL,NULL,4,8),(28,7138881,3.00,7.00,2.00,5.00,10.00,9.75,0.00,7.00,5.00,415,NULL,NULL,'MORROTES','TUBARÃO','SC',9657,154,NULL,NULL,NULL,NULL,NULL,4,1),(28,7138903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'VILA BASTOS','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7138946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7138954,1.00,5.00,0.00,3.00,7.00,9.38,1.00,6.00,3.00,203,NULL,233,'RIO NEGRO','S BENTO SUL','SC',11223,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7138962,3.00,5.00,2.00,6.00,6.00,10.13,3.00,6.00,3.00,103,NULL,NULL,'CRUZEIRO DO SUL','JOAÇABA','SC',5661,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7138970,0.00,5.00,1.00,4.00,4.00,6.38,0.00,4.00,2.00,303,NULL,NULL,'CENTRO','AMERICANA','SP',18184,586,NULL,NULL,NULL,NULL,NULL,2,1),(28,7138989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'SOQUE','TANGARÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7138997,1.00,6.00,2.00,6.00,6.00,7.13,3.00,2.00,1.00,203,NULL,NULL,'OFICINIAS','TUBARÃO','SC',11336,564,NULL,NULL,NULL,NULL,NULL,2,10),(28,7139004,1.00,4.00,1.00,4.00,5.00,8.63,2.00,5.00,3.00,999,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7139012,3.00,5.00,3.00,4.00,6.00,6.00,3.00,5.00,4.00,655,NULL,238,'CENTRO','STO AMARO IMPERATRIZ','SC',9263,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139039,3.00,5.00,0.00,4.00,5.00,9.00,3.00,4.00,2.00,316,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',17667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139047,4.00,4.00,2.00,6.00,7.00,8.25,1.00,5.00,3.00,104,NULL,NULL,'COROADOS','FAXINALZINHO','RS',11033,268,NULL,NULL,NULL,NULL,NULL,2,4),(28,7139055,4.00,8.00,3.00,3.00,6.00,6.38,4.00,5.00,3.00,104,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7762,182,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139063,3.00,6.00,5.00,5.00,8.00,8.63,3.00,4.00,2.00,5,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',5815,193,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139098,5.00,7.00,4.00,5.00,8.00,7.13,7.00,6.00,8.00,5,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',3601,133,NULL,NULL,NULL,NULL,NULL,2,1),(28,7139110,1.00,7.00,0.00,7.00,6.00,7.13,1.00,7.00,4.00,208,NULL,NULL,'BARRO VERMELHO','ORLEANS','SC',15395,168,NULL,NULL,NULL,NULL,NULL,4,5),(28,7139128,2.00,6.00,1.00,3.00,5.00,8.63,2.00,7.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',9796,2057,NULL,NULL,NULL,NULL,NULL,4,5),(28,7139136,5.00,6.00,4.00,4.00,4.00,9.75,3.00,6.00,3.00,103,NULL,NULL,'LESTE VILA NOVA','GOIÂNIA','GO',9869,2064,NULL,NULL,NULL,NULL,NULL,2,1),(28,7139144,2.00,3.00,3.00,3.00,2.00,NULL,2.00,3.00,2.00,440,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7139152,0.00,3.00,2.00,1.00,2.00,NULL,0.00,3.00,2.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139160,1.00,3.00,1.00,2.00,3.00,7.88,2.00,1.00,1.00,451,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139187,0.00,3.00,1.00,2.00,3.00,4.50,2.00,3.00,2.00,108,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',20126,260,NULL,NULL,NULL,NULL,NULL,2,1),(28,7139195,2.00,8.00,2.00,4.00,6.00,9.75,3.00,7.00,3.00,207,NULL,201,'CENTRO','VIRADOURO','SP',5561,247,NULL,428,NULL,NULL,NULL,4,1),(28,7139217,5.00,5.00,4.00,6.00,10.00,7.13,5.00,4.00,7.00,216,NULL,201,'AGUA VERDE','CURITIBA','PR',3779,144,NULL,291,NULL,NULL,NULL,3,1),(28,7139225,0.00,3.00,1.00,5.00,3.00,NULL,2.00,2.00,2.00,233,NULL,214,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7139233,2.00,5.00,0.00,6.00,2.00,NULL,3.00,4.00,0.00,999,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7139241,1.00,4.00,1.00,3.00,5.00,4.50,5.00,3.00,2.00,216,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',16844,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7139250,1.00,4.00,3.00,6.00,3.00,6.75,3.00,1.00,2.00,317,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7139268,2.00,3.00,2.00,1.00,4.00,6.75,0.00,1.00,0.00,202,NULL,207,'BARRA DO ARIRIÚ','PALHOÇA','SC',18916,393,NULL,790,NULL,NULL,NULL,4,1),(28,7139276,2.00,5.00,1.00,7.00,4.00,7.50,1.00,5.00,3.00,340,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',17322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139284,4.00,9.00,2.00,7.00,11.00,12.75,5.00,7.00,3.00,303,NULL,NULL,'BOM JESUS','CAÇADOR','SC',1041,47,NULL,NULL,NULL,NULL,NULL,4,25),(28,7139292,4.00,6.00,3.00,5.00,6.00,7.88,2.00,6.00,2.00,3,NULL,NULL,'VILA LEOPOLDINA','S PAULO','SP',7340,27,NULL,NULL,NULL,NULL,NULL,4,8),(28,7139314,6.00,9.00,4.00,7.00,7.00,8.63,3.00,6.00,6.00,103,NULL,NULL,'SAN CONRADO','CAMPINAS','SP',2575,1041,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139330,6.00,8.00,5.00,3.00,11.00,11.25,3.00,7.00,7.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',1080,590,NULL,NULL,NULL,NULL,NULL,4,8),(28,7139349,2.00,7.00,2.00,6.00,7.00,5.63,3.00,5.00,2.00,333,NULL,NULL,'CENTRO','IBEMA','PR',11098,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139357,3.00,6.00,1.00,6.00,5.00,8.63,4.00,6.00,3.00,103,NULL,NULL,'VELHA CENTRAL','BLUMENAU','SC',11750,2188,NULL,NULL,NULL,NULL,NULL,4,2),(28,7139365,2.00,7.00,2.00,5.00,8.00,6.75,3.00,4.00,4.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',7754,345,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139381,3.00,5.00,3.00,5.00,8.00,10.13,2.00,5.00,3.00,428,NULL,425,'CAMPINAS','S JOSÉ','SC',8926,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139390,3.00,5.00,1.00,7.00,6.00,7.13,0.00,3.00,2.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17877,264,NULL,NULL,NULL,NULL,NULL,2,1),(28,7139403,5.00,6.00,3.00,5.00,3.00,7.50,1.00,5.00,2.00,110,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16160,76,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139420,1.00,5.00,1.00,7.00,8.00,NULL,0.00,4.00,3.00,303,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139438,2.00,5.00,1.00,4.00,6.00,8.25,1.00,3.00,4.00,233,NULL,215,'CENTRO','ITATIBA','SP',13804,295,NULL,233,NULL,NULL,NULL,4,1),(28,7139454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7139462,1.00,5.00,3.00,6.00,6.00,7.13,5.00,5.00,4.00,214,NULL,235,'DOIS PINHEIROS','VIDEIRA','SC',9356,243,NULL,153,NULL,NULL,NULL,2,25),(28,7139489,3.00,8.00,2.00,6.00,9.00,12.00,4.00,6.00,3.00,415,NULL,NULL,'MONTE ALEGRE','CAMBORIÚ','SC',4185,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7139497,4.00,6.00,1.00,4.00,6.00,8.25,6.00,5.00,5.00,216,NULL,233,'SANTA TEREZA','VIDEIRA','SC',9862,311,NULL,232,NULL,NULL,NULL,2,25),(28,7139500,4.00,6.00,2.00,4.00,7.00,8.25,2.00,5.00,3.00,103,NULL,NULL,'ITAPERI','FORTALEZA','CE',9279,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7139519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'VILA SÃO PEDRO','PEDREIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7139535,0.00,3.00,4.00,6.00,5.00,7.13,2.00,3.00,3.00,207,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',14431,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7139543,2.00,6.00,2.00,6.00,5.00,8.25,1.00,5.00,1.00,601,NULL,235,'CENTRO','TUBARÃO','SC',12498,368,NULL,NULL,NULL,NULL,NULL,2,10),(28,7139560,2.00,3.00,2.00,3.00,7.00,8.25,2.00,3.00,3.00,552,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',11263,44,NULL,NULL,NULL,NULL,NULL,4,22),(28,7139578,1.00,7.00,4.00,5.00,6.00,7.88,3.00,4.00,6.00,303,NULL,NULL,'JD IPEVILLE','MAIRIPORÃ','SP',5942,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7139586,3.00,8.00,3.00,7.00,6.00,7.50,5.00,3.00,7.00,103,NULL,NULL,'VILA MASCOTE','S PAULO','SP',3908,1305,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139594,1.00,6.00,2.00,7.00,7.00,8.63,3.00,4.00,1.00,5,NULL,NULL,'VILA ROMANA','S PAULO','SP',14997,406,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139616,0.00,8.00,3.00,3.00,7.00,11.25,2.00,3.00,5.00,415,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',8364,131,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139624,0.00,7.00,3.00,7.00,6.00,10.13,4.00,7.00,6.00,207,NULL,211,'PACAEMBU','S PAULO','SP',4306,179,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139640,1.00,3.00,2.00,2.00,6.00,6.75,2.00,2.00,5.00,104,NULL,NULL,'MINA BRASIL','CRICIÚMA','SC',19561,459,NULL,NULL,NULL,NULL,NULL,4,5),(28,7139659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7139667,4.00,7.00,2.00,4.00,7.00,11.63,1.00,4.00,2.00,207,NULL,201,'IBITI DO PAÇO','SOROCABA','SP',9298,431,NULL,644,NULL,NULL,NULL,4,1),(28,7139675,1.00,6.00,2.00,6.00,6.00,6.38,2.00,4.00,2.00,319,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',17507,338,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139683,4.00,7.00,2.00,6.00,7.00,8.25,4.00,6.00,5.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4840,1472,NULL,NULL,NULL,NULL,NULL,2,1),(28,7139691,2.00,6.00,2.00,6.00,10.00,NULL,5.00,5.00,5.00,454,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7139705,0.00,5.00,0.00,1.00,3.00,NULL,1.00,3.00,2.00,5,NULL,NULL,'SERRARIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139713,5.00,6.00,1.00,6.00,6.00,10.50,3.00,4.00,4.00,104,NULL,NULL,'CENTRO','PALHOÇA','SC',7851,185,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139721,0.00,1.00,2.00,4.00,5.00,5.25,2.00,2.00,0.00,201,NULL,207,'CAMPO DA AVIAÇÃO','IMBITUBA','SC',20089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7139730,5.00,7.00,3.00,7.00,7.00,7.88,1.00,4.00,4.00,220,NULL,212,'VILA SANDANO','OURINHOS','SP',4415,130,NULL,141,NULL,NULL,NULL,4,1),(28,7139748,4.00,6.00,2.00,6.00,9.00,11.25,6.00,6.00,4.00,207,NULL,601,'BARREIROS','S JOSÉ','SC',3391,131,NULL,48,NULL,NULL,NULL,4,1),(28,7139764,1.00,2.00,2.00,5.00,3.00,NULL,0.00,2.00,1.00,338,NULL,NULL,'CASA VERDE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139780,4.00,5.00,1.00,7.00,7.00,7.88,2.00,6.00,3.00,203,NULL,214,'CENTRO','CURITIBANOS','SC',8081,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7139802,2.00,6.00,2.00,6.00,5.00,9.00,3.00,4.00,3.00,211,NULL,601,'PANTANAL','FLORIANÓPOLIS','SC',9915,NULL,NULL,271,NULL,NULL,NULL,4,1),(28,7139829,4.00,7.00,1.00,5.00,6.00,7.88,4.00,8.00,3.00,103,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',11809,2191,NULL,NULL,NULL,NULL,NULL,4,2),(28,7139837,3.00,6.00,4.00,6.00,7.00,6.00,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139845,6.00,7.00,2.00,6.00,8.00,10.13,5.00,7.00,3.00,103,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',3035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139870,7.00,8.00,5.00,7.00,10.00,12.75,7.00,6.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',133,107,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139896,4.00,6.00,0.00,7.00,9.00,7.13,5.00,7.00,6.00,103,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',2398,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7139900,2.00,6.00,3.00,6.00,8.00,7.13,7.00,7.00,3.00,216,NULL,233,'SANTA TEREZA','VIDEIRA','SC',4848,186,NULL,128,NULL,NULL,NULL,4,9),(28,7139926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÓRFÃS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7139934,0.00,4.00,1.00,5.00,3.00,6.75,2.00,3.00,4.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15193,211,NULL,NULL,NULL,NULL,NULL,4,1),(28,7139942,3.00,7.00,2.00,4.00,7.00,8.25,3.00,4.00,1.00,203,NULL,214,'DOM JOAQUIM','BRUSQUE','SC',15030,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7139950,2.00,6.00,0.00,7.00,6.00,8.25,1.00,6.00,4.00,102,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',9438,78,NULL,NULL,NULL,NULL,NULL,4,7),(28,7139969,1.00,3.00,2.00,1.00,3.00,3.00,2.00,4.00,2.00,317,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7139977,3.00,7.00,3.00,6.00,8.00,9.38,3.00,4.00,5.00,216,NULL,202,'CENTRO','PATO BRANCO','PR',3803,146,NULL,111,NULL,NULL,NULL,4,4),(28,7139993,3.00,7.00,3.00,6.00,6.00,7.50,3.00,4.00,7.00,203,NULL,220,'PITUBA','SALVADOR','BA',5111,350,NULL,151,NULL,NULL,NULL,4,1),(28,7140002,2.00,6.00,2.00,5.00,5.00,7.50,4.00,5.00,3.00,220,NULL,601,'SAMBAQUI','FLORIANÓPOLIS','SC',15109,312,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140010,0.00,2.00,2.00,2.00,4.00,6.38,1.00,2.00,4.00,319,NULL,NULL,'SOMBRIO','STO AMARO IMPERATRIZ','SC',19998,378,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140029,0.00,3.00,2.00,2.00,4.00,7.50,1.00,4.00,3.00,220,NULL,235,'SACO DOS LIMÇÕES','FLORIANÓPOLIS','SC',19754,350,NULL,294,NULL,NULL,NULL,4,1),(28,7140037,4.00,7.00,3.00,7.00,10.00,11.25,5.00,6.00,4.00,5,NULL,NULL,'CENTRO','PINHALZINHO','SC',2193,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7140045,1.00,5.00,1.00,4.00,5.00,6.75,1.00,4.00,1.00,104,NULL,NULL,'SAIC','CHAPECÓ','SC',16138,398,NULL,NULL,NULL,NULL,NULL,4,4),(28,7140061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7140070,3.00,6.00,3.00,5.00,6.00,9.38,3.00,5.00,6.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',8646,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140088,3.00,7.00,3.00,7.00,10.00,10.13,4.00,5.00,6.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',4483,1418,NULL,NULL,NULL,NULL,NULL,4,2),(28,7140096,4.00,7.00,3.00,7.00,8.00,9.75,4.00,6.00,4.00,203,NULL,601,'GLORIA','JOINVILLE','SC',4577,318,NULL,80,NULL,NULL,NULL,4,8),(28,7140118,7.00,8.00,4.00,7.00,7.00,7.13,4.00,6.00,5.00,103,NULL,NULL,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',2527,1028,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140126,6.00,8.00,5.00,7.00,8.00,13.13,7.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',272,206,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140134,9.00,8.00,5.00,6.00,9.00,7.13,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',839,484,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140150,2.00,5.00,4.00,4.00,5.00,6.75,7.00,5.00,6.00,444,NULL,NULL,'PACHECOS','PALHOÇA','SC',9042,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140177,4.00,7.00,4.00,6.00,5.00,12.00,3.00,6.00,5.00,211,NULL,653,'JARDIM PLANALTO','PTO ALEGRE','RS',4127,104,NULL,30,NULL,NULL,NULL,4,2),(28,7140185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7140193,0.00,4.00,2.00,5.00,6.00,NULL,1.00,4.00,2.00,207,NULL,NULL,'GARCIA','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7140207,4.00,8.00,1.00,5.00,6.00,9.75,2.00,8.00,5.00,601,NULL,202,'TIJUCA','RIO JANEIRO','RJ',3350,47,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140215,1.00,7.00,3.00,6.00,3.00,7.88,3.00,5.00,4.00,203,NULL,216,'CENTRO','SALTO','SP',7400,447,NULL,250,NULL,NULL,NULL,4,1),(28,7140223,6.00,6.00,3.00,5.00,7.00,9.00,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','MIRACATU','SP',6081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140240,0.00,5.00,3.00,3.00,3.00,7.13,0.00,4.00,1.00,653,NULL,220,'JARDIM PANORAMA','PASSOS','MG',19638,211,NULL,347,NULL,NULL,NULL,4,23),(28,7140258,2.00,4.00,3.00,3.00,4.00,5.63,0.00,4.00,2.00,425,NULL,423,'JARDIM JANAINA','BIGUAÇU','SC',19693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140274,1.00,6.00,2.00,6.00,7.00,5.25,4.00,6.00,6.00,451,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5645,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140282,3.00,7.00,2.00,7.00,8.00,11.63,3.00,4.00,4.00,216,NULL,215,'SANTA RITA','BRUSQUE','SC',5607,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7140290,3.00,6.00,2.00,6.00,7.00,9.38,4.00,4.00,4.00,215,NULL,601,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',7274,114,NULL,161,NULL,NULL,NULL,2,1),(28,7140312,2.00,6.00,3.00,4.00,9.00,8.63,6.00,5.00,5.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',5905,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7140320,2.00,7.00,0.00,6.00,7.00,6.00,4.00,5.00,3.00,454,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',14675,300,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140363,3.00,7.00,4.00,6.00,8.00,9.75,3.00,4.00,5.00,303,NULL,NULL,'CENTRO','CONCHAL','SP',6241,284,NULL,NULL,NULL,NULL,NULL,4,8),(28,7140380,4.00,6.00,2.00,5.00,6.00,6.38,3.00,5.00,5.00,201,NULL,203,'CENTRO','TAPEJARA','RS',6252,483,NULL,403,NULL,NULL,NULL,4,3),(28,7140401,2.00,6.00,2.00,7.00,7.00,8.63,3.00,7.00,3.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140410,1.00,4.00,2.00,3.00,4.00,5.25,2.00,0.00,1.00,404,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',18684,63,NULL,NULL,NULL,NULL,NULL,2,1),(28,7140428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GRAGERU','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7140436,6.00,7.00,6.00,5.00,8.00,8.63,5.00,6.00,6.00,220,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',1638,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140452,0.00,2.00,1.00,2.00,4.00,NULL,3.00,1.00,1.00,303,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140495,2.00,5.00,0.00,3.00,5.00,8.25,1.00,5.00,1.00,551,NULL,NULL,'LIBERATA','FRAIBURGO','SC',15589,25,NULL,NULL,NULL,NULL,NULL,4,16),(28,7140509,5.00,6.00,4.00,7.00,6.00,11.25,2.00,7.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',8400,1938,NULL,NULL,NULL,NULL,NULL,4,5),(28,7140517,5.00,6.00,2.00,1.00,2.00,NULL,1.00,4.00,1.00,5,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140541,0.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,1.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140550,1.00,0.00,4.00,4.00,5.00,NULL,0.00,0.00,0.00,425,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7140584,5.00,8.00,3.00,6.00,8.00,10.13,3.00,6.00,4.00,326,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',5152,10,NULL,NULL,NULL,NULL,NULL,4,2),(28,7140606,7.00,7.00,6.00,7.00,10.00,11.25,6.00,7.00,8.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',152,121,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140614,0.00,5.00,0.00,5.00,4.00,NULL,3.00,3.00,2.00,999,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140622,0.00,3.00,2.00,5.00,4.00,NULL,1.00,2.00,1.00,201,NULL,203,'ITACOLOMI','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7140649,6.00,8.00,2.00,7.00,11.00,10.50,6.00,8.00,6.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',456,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7140657,6.00,9.00,3.00,7.00,9.00,8.63,6.00,8.00,6.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',503,343,NULL,NULL,NULL,NULL,NULL,4,2),(28,7140665,3.00,7.00,4.00,6.00,6.00,7.13,3.00,6.00,3.00,3,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11363,48,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140673,3.00,6.00,2.00,1.00,4.00,7.13,3.00,4.00,3.00,655,NULL,NULL,'CENTRO','LAURO FREITAS','BA',17061,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7140681,2.00,6.00,4.00,6.00,8.00,10.13,2.00,5.00,3.00,415,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',8082,127,NULL,NULL,NULL,NULL,NULL,2,1),(28,7140703,4.00,4.00,1.00,7.00,6.00,9.38,1.00,2.00,0.00,207,NULL,211,'GUANABARA','JOINVILLE','SC',17938,761,NULL,416,NULL,NULL,NULL,4,8),(28,7140711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LUÍS E MAGALHÃES','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7140720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA QUIRINO','CAÇAPAVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7140738,1.00,6.00,2.00,5.00,4.00,9.00,5.00,7.00,5.00,222,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',12639,20,NULL,NULL,NULL,NULL,NULL,2,23),(28,7140746,6.00,8.00,4.00,5.00,9.00,7.88,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',2758,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7140762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'SETOR MARISTA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7140770,5.00,5.00,1.00,7.00,8.00,5.25,4.00,5.00,3.00,302,NULL,NULL,'BELA VISTA','S JOSÉ','SC',8172,27,NULL,NULL,NULL,NULL,NULL,2,1),(28,7140797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'JARDIM PLANALTO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7140800,6.00,7.00,4.00,7.00,7.00,9.00,7.00,6.00,7.00,203,NULL,220,'JARDIM GLÓRIA','AMERICANA','SP',975,95,NULL,24,NULL,NULL,NULL,4,1),(28,7140819,6.00,8.00,5.00,6.00,10.00,10.50,2.00,7.00,5.00,103,NULL,NULL,'CONSOLAÇÃO','S PAULO','SP',1258,657,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140827,2.00,4.00,2.00,2.00,5.00,6.00,1.00,1.00,3.00,326,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',18319,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140835,5.00,6.00,2.00,6.00,6.00,10.88,4.00,6.00,5.00,103,NULL,NULL,'JARDIM GUANABARA','GOIÂNIA','GO',3983,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7140843,2.00,6.00,3.00,6.00,7.00,6.75,3.00,5.00,3.00,552,NULL,NULL,'CENTRO','LAGES','SC',13973,81,NULL,NULL,NULL,NULL,NULL,2,9),(28,7140851,4.00,6.00,4.00,6.00,9.00,11.63,3.00,6.00,6.00,333,NULL,NULL,'ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC',2511,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140860,5.00,8.00,3.00,6.00,8.00,7.13,5.00,7.00,7.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',1658,792,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PETRÓPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7140908,3.00,8.00,2.00,6.00,7.00,9.00,4.00,6.00,4.00,415,NULL,NULL,'LIBERDADE','S PAULO','SP',4004,60,NULL,NULL,NULL,NULL,NULL,5,1),(28,7140916,2.00,7.00,1.00,4.00,8.00,7.88,3.00,6.00,5.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',6366,104,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'NAVEGANTES','OURO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7140932,3.00,9.00,3.00,7.00,8.00,10.13,4.00,4.00,5.00,214,NULL,202,'GONZAGA','SANTOS','SP',1871,61,NULL,52,NULL,NULL,NULL,4,8),(28,7140940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,233,'CENTRO','PIÊN','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7140959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'LAGOA DE TRAZ','PIUMHI','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7140967,1.00,4.00,1.00,3.00,1.00,NULL,0.00,2.00,1.00,404,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140975,5.00,7.00,1.00,4.00,6.00,8.25,4.00,6.00,4.00,316,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',7104,58,NULL,NULL,NULL,NULL,NULL,4,1),(28,7140983,4.00,0.00,3.00,7.00,7.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7140991,3.00,9.00,0.00,7.00,5.00,7.88,4.00,7.00,4.00,655,NULL,652,'JARDIM ELIZABETH','COCAL SUL','SC',4498,9,NULL,NULL,NULL,NULL,NULL,4,5),(28,7141009,3.00,5.00,1.00,6.00,4.00,6.75,4.00,4.00,4.00,301,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',13376,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7141017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7141025,2.00,3.00,2.00,3.00,5.00,6.00,2.00,1.00,2.00,202,NULL,213,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',19787,401,NULL,286,NULL,NULL,NULL,2,1),(28,7141033,3.00,4.00,1.00,5.00,4.00,7.88,4.00,4.00,2.00,317,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',18129,156,NULL,NULL,NULL,NULL,NULL,2,1),(28,7141041,1.00,5.00,0.00,5.00,4.00,NULL,0.00,3.00,2.00,102,NULL,NULL,'FAZENDA SNTO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7141050,3.00,6.00,1.00,5.00,7.00,8.25,6.00,6.00,6.00,207,NULL,601,'CRUZEIRO','RIO NEGRINHO','SC',9387,435,NULL,247,NULL,NULL,NULL,4,8),(28,7141076,1.00,4.00,3.00,2.00,1.00,NULL,2.00,4.00,1.00,303,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141084,2.00,0.00,1.00,3.00,3.00,4.88,0.00,1.00,0.00,303,NULL,NULL,'JARDIM SAVEIRO','BIGUAÇU','SC',20175,608,NULL,NULL,NULL,NULL,NULL,2,1),(28,7141106,1.00,5.00,3.00,4.00,8.00,9.38,5.00,5.00,2.00,103,NULL,NULL,'CHÁCARA SÃO SILVESTR','S PAULO','SP',7630,1845,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141114,7.00,8.00,4.00,5.00,8.00,9.75,7.00,5.00,6.00,103,NULL,NULL,'RECANTO DOS MAGNATAS','MARINGÁ','PR',1094,596,NULL,NULL,NULL,NULL,NULL,4,8),(28,7141122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,207,'VILA IPIRANGA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7141149,4.00,5.00,3.00,4.00,4.00,4.50,2.00,3.00,4.00,501,NULL,NULL,'JARDIM AMÉRICA','ITUPORANGA','SC',18103,112,NULL,NULL,NULL,NULL,NULL,2,24),(28,7141165,2.00,6.00,2.00,6.00,5.00,7.50,1.00,4.00,2.00,999,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141181,6.00,7.00,4.00,7.00,9.00,9.75,6.00,6.00,7.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',769,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141190,3.00,6.00,4.00,7.00,7.00,7.88,2.00,7.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7610,336,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141203,2.00,7.00,1.00,6.00,6.00,6.75,2.00,6.00,2.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',11393,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141238,1.00,5.00,1.00,5.00,5.00,5.63,2.00,3.00,4.00,428,NULL,423,'ESTREITO','FLORIANÓPOLIS','SC',16105,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7141246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7141254,1.00,3.00,1.00,5.00,7.00,6.75,3.00,3.00,2.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7141270,6.00,7.00,4.00,6.00,9.00,9.75,4.00,7.00,7.00,203,NULL,216,'ROYAL PARK','CPO GRANDE','MS',710,67,NULL,NULL,NULL,NULL,NULL,4,8),(28,7141289,3.00,7.00,3.00,5.00,4.00,9.38,3.00,5.00,1.00,207,NULL,215,'ZONA SEIS','MARINGÁ','PR',9960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141297,1.00,5.00,3.00,5.00,4.00,7.50,1.00,5.00,2.00,104,NULL,NULL,'UNIVERSITÁRIO','CHAPECÓ','SC',14726,360,NULL,NULL,NULL,NULL,NULL,4,4),(28,7141300,4.00,6.00,3.00,3.00,4.00,6.38,3.00,4.00,4.00,202,NULL,235,'OPERARIA NOVA','CRICIÚMA','SC',16351,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7141327,6.00,7.00,2.00,7.00,5.00,10.50,3.00,7.00,5.00,340,NULL,NULL,'JARDIM PINHEIRO','LONDRINA','PR',4278,102,NULL,NULL,NULL,NULL,NULL,4,8),(28,7141335,4.00,6.00,3.00,7.00,6.00,8.25,2.00,7.00,4.00,216,NULL,215,'VILA LALAU','JARAGUÁ SUL','SC',5223,199,NULL,76,NULL,NULL,NULL,4,23),(28,7141343,5.00,7.00,5.00,5.00,6.00,9.38,6.00,6.00,5.00,203,NULL,214,'EMBRÉ','SANTOS','SP',1877,164,NULL,62,NULL,NULL,NULL,4,1),(28,7141351,3.00,8.00,5.00,6.00,10.00,9.38,4.00,7.00,7.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',1083,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141378,1.00,3.00,1.00,4.00,6.00,5.63,2.00,4.00,3.00,104,NULL,NULL,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7141386,2.00,7.00,3.00,6.00,5.00,7.13,4.00,7.00,2.00,454,NULL,NULL,'BOA VISTA','CARAZINHO','RS',14211,288,NULL,NULL,NULL,NULL,NULL,2,1),(28,7141394,2.00,8.00,2.00,5.00,5.00,6.75,4.00,4.00,3.00,203,NULL,214,'JARDIM CARVALHO','PNT GROSSA','PR',9507,522,NULL,247,NULL,NULL,NULL,4,3),(28,7141408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM VERÃO','SARANDI','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7141424,3.00,6.00,2.00,5.00,8.00,9.38,3.00,5.00,5.00,207,NULL,601,'CENTRO','GUAÍRA','PR',5409,239,NULL,102,NULL,NULL,NULL,2,1),(28,7141432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'SAO JOAO DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7141440,5.00,0.00,5.00,6.00,8.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7141459,0.00,3.00,2.00,3.00,1.00,NULL,2.00,2.00,2.00,102,NULL,NULL,'STO ANTO DE LISBOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141467,5.00,8.00,3.00,7.00,7.00,6.75,1.00,5.00,3.00,103,NULL,NULL,'CHACARA MONTE ALEGRE','S PAULO','SP',5980,1626,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141475,3.00,6.00,0.00,7.00,8.00,NULL,2.00,7.00,3.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141505,1.00,3.00,2.00,2.00,2.00,NULL,1.00,2.00,1.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141513,0.00,6.00,1.00,3.00,6.00,NULL,0.00,1.00,4.00,601,NULL,653,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141521,3.00,7.00,2.00,6.00,6.00,10.13,4.00,7.00,2.00,220,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',10028,245,NULL,163,NULL,NULL,NULL,4,1),(28,7141530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7141548,1.00,7.00,2.00,5.00,7.00,9.00,3.00,5.00,5.00,212,NULL,213,'ALPHAVILLE','SANTANA PARNAÍBA','SP',7457,230,NULL,125,NULL,NULL,NULL,4,6),(28,7141564,0.00,4.00,1.00,4.00,5.00,NULL,1.00,2.00,1.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7141580,3.00,7.00,4.00,5.00,8.00,7.88,2.00,6.00,5.00,103,NULL,NULL,'VILA SANTANA','STO AMARO IMPERATRIZ','SC',5927,1619,NULL,NULL,NULL,NULL,NULL,2,1),(28,7141599,7.00,8.00,5.00,6.00,6.00,9.75,3.00,8.00,7.00,201,NULL,203,'SETOR OESTE','GOIÂNIA','GO',736,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141602,0.00,3.00,3.00,2.00,4.00,7.50,3.00,3.00,1.00,222,NULL,NULL,'CENTRO','CORREIA PINTO','SC',16689,29,NULL,NULL,NULL,NULL,NULL,4,9),(28,7141629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PRIMAVERA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7141645,1.00,3.00,2.00,3.00,9.00,6.00,1.00,5.00,3.00,339,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',13859,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141653,3.00,8.00,1.00,5.00,10.00,8.63,4.00,7.00,5.00,108,NULL,NULL,'CENTRO','S JOÃO OESTE','SC',3636,32,NULL,NULL,NULL,NULL,NULL,4,27),(28,7141661,3.00,6.00,2.00,6.00,7.00,8.25,2.00,4.00,3.00,653,NULL,238,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',9475,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARISTA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7141688,3.00,6.00,1.00,5.00,9.00,8.25,4.00,5.00,3.00,333,NULL,NULL,'CENTRO','DOURADOS','MS',6600,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7141700,3.00,2.00,1.00,4.00,5.00,NULL,0.00,2.00,5.00,451,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7141726,2.00,5.00,2.00,7.00,7.00,7.13,1.00,5.00,4.00,103,NULL,NULL,'UNIVERSITÁRIO','CHAPECÓ','SC',11570,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7141734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7141769,2.00,3.00,2.00,4.00,2.00,NULL,4.00,3.00,3.00,238,NULL,601,'VILA FORMOSA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7141777,0.00,4.00,2.00,1.00,4.00,NULL,1.00,2.00,0.00,301,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141815,0.00,1.00,3.00,1.00,4.00,NULL,0.00,0.00,1.00,324,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141823,6.00,9.00,2.00,7.00,6.00,9.75,5.00,6.00,3.00,212,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',3939,121,NULL,53,NULL,NULL,NULL,4,1),(28,7141840,0.00,4.00,1.00,5.00,5.00,8.25,2.00,4.00,3.00,339,NULL,NULL,'BELA VISTA III','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7141858,3.00,5.00,2.00,5.00,7.00,10.50,0.00,6.00,3.00,103,NULL,NULL,'MORRO DO MEIO','JOINVILLE','SC',9112,2006,NULL,NULL,NULL,NULL,NULL,4,8),(28,7141866,1.00,0.00,0.00,0.00,0.00,NULL,1.00,0.00,1.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7141874,0.00,5.00,3.00,5.00,2.00,NULL,2.00,3.00,3.00,201,NULL,233,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7141882,0.00,5.00,0.00,2.00,2.00,NULL,0.00,3.00,1.00,601,NULL,NULL,'JARDIM SOFIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7141890,4.00,7.00,3.00,5.00,9.00,8.25,6.00,6.00,7.00,201,NULL,601,'SAGUAÇU','JOINVILLE','SC',4915,376,NULL,88,NULL,NULL,NULL,4,8),(28,7141904,3.00,6.00,1.00,5.00,5.00,7.88,3.00,5.00,2.00,501,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',11464,58,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141912,5.00,5.00,1.00,7.00,8.00,8.63,2.00,4.00,3.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9799,278,NULL,NULL,NULL,NULL,NULL,2,1),(28,7141947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,238,'ABERTA DOS MORROS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7141955,1.00,5.00,1.00,7.00,3.00,7.13,3.00,5.00,2.00,3,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',17779,86,NULL,NULL,NULL,NULL,NULL,4,1),(28,7141963,2.00,0.00,3.00,2.00,3.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'NEREU RAMOS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,23),(28,7141998,0.00,5.00,1.00,6.00,5.00,NULL,2.00,4.00,1.00,601,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7142005,0.00,4.00,2.00,2.00,5.00,NULL,1.00,2.00,1.00,421,NULL,425,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7142013,0.00,1.00,1.00,3.00,4.00,6.75,0.00,3.00,2.00,110,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7142021,4.00,7.00,3.00,2.00,6.00,7.13,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',5641,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7142030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'GUARDA DO EMBAÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7142048,6.00,7.00,4.00,6.00,8.00,6.75,3.00,7.00,4.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',7009,1759,NULL,NULL,NULL,NULL,NULL,4,4),(28,7142056,4.00,6.00,4.00,3.00,4.00,9.38,5.00,4.00,4.00,110,NULL,NULL,'ARAÇATUBA','IMBITUBA','SC',11745,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7142064,3.00,7.00,2.00,6.00,7.00,9.38,6.00,5.00,6.00,220,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',3107,92,NULL,NULL,NULL,NULL,NULL,4,2),(28,7142072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'TRINADADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7142099,1.00,7.00,0.00,7.00,8.00,7.50,2.00,8.00,4.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11287,315,NULL,NULL,NULL,NULL,NULL,4,1),(28,7142110,1.00,5.00,2.00,5.00,5.00,6.00,3.00,6.00,1.00,454,NULL,NULL,'KOBRASOL','S JOSÉ','SC',17935,367,NULL,NULL,NULL,NULL,NULL,4,1),(28,7142129,4.00,6.00,3.00,6.00,10.00,9.00,2.00,5.00,3.00,220,NULL,601,'SÃO VICENTE','ITAJAÍ','SC',4344,125,NULL,NULL,NULL,NULL,NULL,4,6),(28,7142137,4.00,5.00,3.00,5.00,8.00,9.75,2.00,4.00,4.00,108,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',8256,104,NULL,NULL,NULL,NULL,NULL,2,1),(28,7142145,1.00,6.00,2.00,7.00,6.00,8.63,4.00,5.00,3.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9969,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7142153,3.00,3.00,2.00,5.00,4.00,6.38,3.00,5.00,2.00,653,NULL,652,'LAGOÃO','ARARANGUÁ','SC',14027,NULL,NULL,48,NULL,NULL,NULL,2,15),(28,7142170,0.00,5.00,1.00,6.00,6.00,5.63,2.00,3.00,1.00,234,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18641,60,NULL,NULL,NULL,NULL,NULL,2,1),(28,7142188,3.00,7.00,1.00,6.00,8.00,7.50,3.00,6.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11854,326,NULL,NULL,NULL,NULL,NULL,2,1),(28,7142196,5.00,8.00,3.00,5.00,8.00,7.88,4.00,6.00,5.00,336,NULL,NULL,'CENTRO','BIGUAÇU','SC',4998,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7142218,5.00,6.00,4.00,5.00,9.00,8.63,5.00,6.00,4.00,454,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5144,66,NULL,NULL,NULL,NULL,NULL,4,1),(28,7142234,2.00,6.00,1.00,5.00,6.00,8.63,2.00,2.00,5.00,316,NULL,NULL,'JD ATLÂNTICO','FLORIANÓPOLIS','SC',15991,209,NULL,NULL,NULL,NULL,NULL,2,1),(28,7142242,1.00,6.00,2.00,1.00,5.00,6.00,2.00,4.00,3.00,319,NULL,NULL,'SÃO JOSÉ DO LARANJAL','IRACEMINHA','SC',16797,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7142250,3.00,7.00,4.00,6.00,6.00,12.00,5.00,7.00,6.00,103,NULL,NULL,'PARALELA','SALVADOR','BA',1322,686,NULL,NULL,NULL,NULL,NULL,4,1),(28,7142269,2.00,8.00,2.00,5.00,2.00,NULL,0.00,5.00,3.00,9,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7142277,3.00,8.00,3.00,6.00,8.00,9.75,3.00,5.00,3.00,318,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10382,68,NULL,NULL,NULL,NULL,NULL,2,1),(28,7142285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7142293,2.00,5.00,3.00,5.00,3.00,7.13,0.00,5.00,4.00,214,NULL,213,'CENTRO','GUABIRUBA','SC',18008,350,NULL,267,NULL,NULL,NULL,2,22),(28,7142307,1.00,5.00,1.00,5.00,2.00,NULL,2.00,1.00,2.00,203,NULL,NULL,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7142323,0.00,4.00,0.00,6.00,5.00,NULL,3.00,4.00,2.00,108,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7142331,0.00,0.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,213,NULL,214,'AGUAS CLARA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,22),(28,7142366,4.00,3.00,2.00,1.00,4.00,4.50,1.00,2.00,3.00,201,NULL,655,'ENCRUZO','S JOÃO SUL','SC',19993,1056,NULL,146,NULL,NULL,NULL,4,15),(28,7142374,0.00,2.00,0.00,1.00,2.00,NULL,2.00,1.00,2.00,653,NULL,207,'SANTA CATARINA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7142382,1.00,5.00,2.00,2.00,1.00,NULL,3.00,5.00,2.00,655,NULL,652,'ZONA NOVA','CAPÃO CANOA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7142390,1.00,2.00,0.00,4.00,5.00,3.00,2.00,3.00,4.00,319,NULL,NULL,'CANASVIEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7142404,5.00,7.00,1.00,5.00,6.00,9.38,3.00,5.00,6.00,103,NULL,NULL,'ATUBA','COLOMBO','PR',4717,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7142420,2.00,4.00,2.00,6.00,2.00,NULL,3.00,3.00,3.00,208,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7142447,1.00,5.00,3.00,6.00,5.00,7.50,2.00,5.00,2.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7142455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA JULIETA','RESENDE','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7142463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7142471,0.00,2.00,1.00,4.00,2.00,NULL,0.00,5.00,2.00,308,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7142480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'PROSPERA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7142510,5.00,7.00,2.00,8.00,9.00,9.00,3.00,6.00,6.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',4632,1437,NULL,NULL,NULL,NULL,NULL,1,1),(28,7142536,3.00,7.00,5.00,4.00,5.00,8.63,2.00,8.00,4.00,224,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10300,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7142552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7142560,3.00,7.00,4.00,6.00,6.00,6.00,2.00,6.00,4.00,101,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',8463,28,NULL,NULL,NULL,NULL,NULL,2,10),(28,7142579,4.00,6.00,2.00,6.00,8.00,10.88,5.00,5.00,3.00,5,NULL,NULL,'CENTRO','LAGES','SC',3329,124,NULL,NULL,NULL,NULL,NULL,2,9),(28,7142609,2.00,6.00,1.00,5.00,5.00,7.88,2.00,5.00,3.00,108,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',12793,178,NULL,NULL,NULL,NULL,NULL,4,8),(28,7142625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'LOURDES','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7142633,2.00,6.00,1.00,6.00,7.00,10.50,2.00,4.00,3.00,104,NULL,NULL,'IGARA','CANOAS','RS',12260,304,NULL,NULL,NULL,NULL,NULL,2,15),(28,7142641,1.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'MORRO DOS CONVENTOS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(28,7142650,1.00,6.00,0.00,5.00,7.00,6.38,3.00,4.00,1.00,415,NULL,NULL,'CANASVIEIRA','FLORIANÓPOLIS','SC',17616,261,NULL,NULL,NULL,NULL,NULL,4,1),(28,7142668,2.00,5.00,1.00,6.00,7.00,10.13,2.00,6.00,2.00,319,NULL,NULL,'ESTRADA NOVA','JARAGUÁ SUL','SC',8683,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7142676,0.00,6.00,3.00,2.00,4.00,9.75,2.00,3.00,2.00,601,NULL,NULL,'ITAUM','JOINVILLE','SC',18754,531,NULL,NULL,NULL,NULL,NULL,4,8),(28,7142684,2.00,2.00,2.00,2.00,3.00,6.38,2.00,4.00,3.00,202,NULL,213,'VORSTADT','BLUMENAU','SC',19569,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7142692,7.00,4.00,2.00,7.00,7.00,10.13,3.00,5.00,6.00,103,NULL,NULL,'SALTO WEISSBACH','BLUMENAU','SC',7257,1792,NULL,NULL,NULL,NULL,NULL,4,2),(28,7142706,6.00,6.00,2.00,7.00,8.00,10.13,1.00,3.00,2.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7142722,2.00,8.00,1.00,4.00,7.00,7.88,1.00,5.00,5.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',9648,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7142757,4.00,6.00,2.00,5.00,6.00,10.13,2.00,4.00,2.00,340,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',15185,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7142765,1.00,4.00,1.00,6.00,5.00,NULL,3.00,1.00,2.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(28,7142773,1.00,1.00,1.00,4.00,4.00,7.13,2.00,1.00,3.00,103,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',17775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7142781,5.00,7.00,4.00,6.00,8.00,8.63,7.00,8.00,7.00,203,NULL,214,'BALNEÁRIO','FLORIANÓPOLIS','SC',2202,NULL,NULL,78,NULL,NULL,NULL,4,1),(28,7142820,0.00,5.00,2.00,2.00,4.00,NULL,1.00,3.00,4.00,223,NULL,NULL,'MARISA','S PEDRO IVAÍ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7142838,0.00,3.00,0.00,6.00,4.00,5.63,0.00,5.00,2.00,654,NULL,NULL,'CENTRO','ERMO','SC',19854,81,NULL,NULL,NULL,NULL,NULL,2,15),(28,7142846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'FUNCIONÁRIOS','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7142854,6.00,9.00,3.00,7.00,7.00,7.88,6.00,6.00,5.00,235,NULL,233,'CAPOEIRAS','FLORIANÓPOLIS','SC',2166,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7142862,4.00,6.00,1.00,7.00,9.00,9.75,2.00,6.00,3.00,653,NULL,202,'VILA MOEMA','TUBARÃO','SC',6052,58,NULL,NULL,NULL,NULL,NULL,4,10),(28,7142897,2.00,3.00,1.00,6.00,4.00,7.13,4.00,3.00,2.00,3,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',15320,75,NULL,NULL,NULL,NULL,NULL,2,1),(28,7142919,2.00,2.00,1.00,6.00,5.00,7.50,2.00,5.00,3.00,5,NULL,NULL,'PAULO LOPES','PAULO LOPES','SC',16558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7142927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7142943,3.00,6.00,3.00,7.00,3.00,6.00,2.00,3.00,3.00,213,NULL,214,'ESTREITO','FLORIANÓPOLIS','SC',12888,219,NULL,297,NULL,NULL,NULL,4,1),(28,7142951,4.00,7.00,2.00,5.00,3.00,7.88,4.00,5.00,2.00,202,NULL,220,'CORRIDAS','ORLEANS','SC',9722,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7142960,3.00,5.00,1.00,5.00,8.00,6.38,5.00,3.00,1.00,9,NULL,NULL,'PROGRESSO','POUSO REDONDO','SC',11004,65,NULL,NULL,NULL,NULL,NULL,4,24),(28,7142978,4.00,5.00,3.00,2.00,8.00,7.50,2.00,4.00,4.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15134,104,NULL,NULL,NULL,NULL,NULL,4,1),(28,7142986,2.00,2.00,2.00,5.00,4.00,10.50,1.00,3.00,0.00,415,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17307,257,NULL,NULL,NULL,NULL,NULL,2,1),(28,7142994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,441,NULL,NULL,'VILA RIOD','S LUÍS','MA',NULL,NULL,NULL,NULL,'S','S','S',6,8),(28,7143001,2.00,7.00,2.00,5.00,8.00,9.00,3.00,6.00,5.00,211,NULL,207,'ARIRIÚ','PALHOÇA','SC',7533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7143010,4.00,5.00,1.00,6.00,6.00,10.50,3.00,7.00,3.00,454,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6947,109,NULL,NULL,NULL,NULL,NULL,2,1),(28,7143028,0.00,4.00,2.00,6.00,5.00,7.88,5.00,5.00,3.00,2,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',15352,44,NULL,NULL,NULL,NULL,NULL,4,8),(28,7143036,2.00,8.00,1.00,4.00,7.00,7.13,3.00,5.00,4.00,213,NULL,211,'ITACORUBI','FLORIANÓPOLIS','SC',10050,176,NULL,273,NULL,NULL,NULL,4,1),(28,7143044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7143052,0.00,1.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,NULL,'IMIGRANTES','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7143060,0.00,3.00,4.00,6.00,6.00,8.25,3.00,5.00,3.00,301,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7143079,3.00,3.00,0.00,5.00,3.00,7.13,0.00,3.00,1.00,429,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',19446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7143087,1.00,2.00,0.00,5.00,2.00,NULL,1.00,3.00,1.00,338,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7143117,3.00,8.00,4.00,6.00,7.00,7.50,4.00,4.00,6.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',4338,1394,NULL,NULL,NULL,NULL,NULL,4,5),(28,7143141,6.00,7.00,2.00,6.00,6.00,10.88,4.00,5.00,3.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4469,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7143150,1.00,8.00,2.00,7.00,7.00,9.38,2.00,6.00,2.00,238,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',5811,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7143168,5.00,9.00,2.00,7.00,5.00,8.63,5.00,8.00,7.00,103,NULL,NULL,'SUISSA','ARACAJU','SE',1720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7143176,1.00,6.00,2.00,2.00,3.00,6.00,2.00,3.00,2.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',18012,122,NULL,NULL,NULL,NULL,NULL,4,1),(28,7143206,0.00,7.00,1.00,6.00,10.00,12.00,5.00,8.00,6.00,2,NULL,NULL,'CENTRO','NAVEGANTES','SC',1613,3,NULL,NULL,NULL,NULL,NULL,4,6),(28,7143257,0.00,5.00,4.00,5.00,8.00,4.50,1.00,7.00,3.00,104,NULL,NULL,'CAPAO RASO','CURITIBA','PR',10559,254,NULL,NULL,NULL,NULL,NULL,2,3),(28,7143265,1.00,8.00,1.00,6.00,7.00,7.50,2.00,5.00,3.00,340,NULL,NULL,'CENTRO','CAFELÂNDIA','PR',8480,228,NULL,NULL,NULL,NULL,NULL,4,4),(28,7143290,3.00,7.00,2.00,5.00,7.00,9.00,6.00,4.00,4.00,103,NULL,NULL,'SAGRADO CORAÇÃO DE J','LAGES','SC',5617,1582,NULL,NULL,NULL,NULL,NULL,4,4),(28,7143303,1.00,5.00,2.00,1.00,3.00,6.38,1.00,4.00,1.00,5,NULL,NULL,'CENTRO','TROMBUDO CENTRAL','SC',17980,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7143338,1.00,4.00,2.00,6.00,4.00,6.00,3.00,4.00,2.00,450,NULL,NULL,'BOM JARDIM','IVOTI','RS',18649,129,NULL,NULL,NULL,NULL,NULL,2,1),(28,7143346,0.00,7.00,3.00,6.00,5.00,7.13,1.00,6.00,2.00,304,NULL,NULL,'ABICINIA','BRAÇO NORTE','SC',12069,91,NULL,NULL,NULL,NULL,NULL,4,10),(28,7143362,2.00,6.00,2.00,6.00,4.00,9.00,3.00,6.00,2.00,318,NULL,NULL,'CAMPINA DO SIQUEIRA','CURITIBA','PR',10289,66,NULL,NULL,NULL,NULL,NULL,4,8),(28,7143389,6.00,6.00,2.00,2.00,6.00,6.00,2.00,3.00,5.00,333,NULL,NULL,'VILA SOBRINHO','CPO GRANDE','MS',10158,58,NULL,NULL,NULL,NULL,NULL,2,1),(28,7143397,0.00,4.00,1.00,5.00,2.00,NULL,3.00,4.00,2.00,208,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7143400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,426,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7143427,1.00,4.00,1.00,4.00,4.00,5.63,2.00,3.00,2.00,502,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',19643,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7143435,3.00,7.00,1.00,7.00,6.00,8.25,3.00,6.00,3.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8587,109,NULL,NULL,NULL,NULL,NULL,4,1),(28,7143451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7143460,1.00,6.00,1.00,6.00,4.00,8.25,2.00,6.00,4.00,108,NULL,NULL,'CENTRO','ERECHIM','RS',8639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7143478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRES MARIAS','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7143494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7143508,0.00,5.00,3.00,6.00,5.00,NULL,3.00,4.00,2.00,327,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7143524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,NULL,'AHÚU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7143540,1.00,5.00,3.00,2.00,6.00,8.63,3.00,4.00,3.00,103,NULL,NULL,'CAÇADOR','CAPIVARI BAIXO','SC',14047,2305,NULL,NULL,NULL,NULL,NULL,4,10),(28,7143583,1.00,1.00,2.00,5.00,1.00,NULL,2.00,3.00,3.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7143591,5.00,7.00,1.00,4.00,5.00,6.00,6.00,7.00,3.00,203,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',7582,460,NULL,NULL,NULL,NULL,NULL,2,1),(28,7143613,3.00,3.00,0.00,0.00,5.00,NULL,0.00,4.00,1.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7143621,3.00,5.00,3.00,5.00,5.00,7.88,5.00,6.00,3.00,238,NULL,652,'JARDIM ELDORADO','PALHOÇA','SC',9388,134,NULL,13,NULL,NULL,NULL,4,1),(28,7143648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,213,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7143656,3.00,6.00,3.00,4.00,6.00,7.88,2.00,2.00,6.00,601,NULL,216,'ÁGUA BRANCA','S FRANCISCO SUL','SC',8890,228,NULL,NULL,NULL,NULL,NULL,4,8),(28,7143672,7.00,8.00,4.00,7.00,9.00,10.50,6.00,7.00,6.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',856,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7143680,3.00,8.00,0.00,6.00,8.00,8.63,2.00,4.00,2.00,999,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7143699,5.00,8.00,3.00,7.00,6.00,9.75,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2218,938,NULL,NULL,NULL,NULL,NULL,4,1),(28,7143710,2.00,7.00,1.00,5.00,8.00,7.88,4.00,6.00,3.00,5,NULL,NULL,'CENTRO','ARARANGUÁ','SC',8596,265,NULL,NULL,NULL,NULL,NULL,2,15),(28,7143737,3.00,6.00,1.00,4.00,4.00,10.88,3.00,4.00,2.00,5,NULL,NULL,'PERDIZES','S PAULO','SP',16904,452,NULL,NULL,NULL,NULL,NULL,2,1),(28,7143745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PINHEIRINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7143753,0.00,2.00,3.00,3.00,4.00,NULL,2.00,3.00,2.00,552,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7143761,3.00,8.00,4.00,7.00,10.00,8.63,4.00,6.00,4.00,207,NULL,201,'VILA CONCEIÇÃO','S JOÃO SUL','SC',2162,74,NULL,151,NULL,NULL,NULL,2,15),(28,7143770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CENTRO','GUARATUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7143788,4.00,6.00,1.00,4.00,8.00,9.00,1.00,6.00,5.00,601,NULL,203,'VILA NOVA','JOINVILLE','SC',12210,365,NULL,NULL,NULL,NULL,NULL,4,8),(28,7143796,2.00,4.00,3.00,5.00,4.00,NULL,0.00,3.00,2.00,101,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7143818,2.00,2.00,2.00,4.00,4.00,5.63,3.00,3.00,4.00,215,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',19088,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7143826,6.00,7.00,2.00,7.00,10.00,6.38,2.00,8.00,4.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',6677,1721,NULL,NULL,NULL,NULL,NULL,2,2),(28,7143834,2.00,2.00,3.00,2.00,4.00,6.75,1.00,3.00,1.00,203,NULL,238,'JARDIN JANAINA','BIGUAÇU','SC',19806,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7143850,0.00,8.00,4.00,3.00,4.00,8.25,2.00,8.00,1.00,326,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',16584,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7143869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'CENTRO','NAVIRAÍ','MS',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7143877,6.00,8.00,1.00,7.00,5.00,7.50,2.00,6.00,6.00,216,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',6757,231,NULL,165,NULL,NULL,NULL,2,6),(28,7143885,4.00,3.00,2.00,6.00,4.00,5.63,1.00,3.00,2.00,316,NULL,NULL,'FLORESTA','S JOSÉ','SC',19314,284,NULL,NULL,NULL,NULL,NULL,2,1),(28,7143915,3.00,4.00,4.00,3.00,4.00,4.88,2.00,2.00,3.00,208,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',19416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7143923,1.00,6.00,2.00,2.00,3.00,5.63,1.00,4.00,2.00,203,NULL,214,'PARQUE DA TORRE','PIEDADE','SP',15441,NULL,NULL,325,NULL,NULL,NULL,4,1),(28,7143931,3.00,2.00,1.00,3.00,3.00,7.50,2.00,4.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19366,485,NULL,NULL,NULL,NULL,NULL,4,1),(28,7143940,5.00,7.00,3.00,6.00,7.00,7.50,0.00,5.00,2.00,601,NULL,655,'CENTRO','LAPA','PR',12553,370,NULL,NULL,NULL,NULL,NULL,2,8),(28,7143958,1.00,5.00,1.00,6.00,3.00,8.63,1.00,4.00,0.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',19012,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7143966,2.00,3.00,3.00,5.00,1.00,NULL,3.00,3.00,2.00,316,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7143974,4.00,7.00,4.00,8.00,9.00,10.50,4.00,7.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7143982,2.00,6.00,0.00,2.00,6.00,11.25,2.00,7.00,2.00,103,NULL,NULL,'CENTRO','GARUVA','SC',10074,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7143990,2.00,6.00,1.00,6.00,5.00,11.63,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','FORMOSA SUL','SC',6386,1684,NULL,NULL,NULL,NULL,NULL,2,4),(28,7144008,0.00,6.00,0.00,0.00,0.00,NULL,2.00,3.00,3.00,999,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,5),(28,7144016,2.00,7.00,1.00,5.00,6.00,9.38,4.00,5.00,4.00,318,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',8180,47,NULL,NULL,NULL,NULL,NULL,4,5),(28,7144024,1.00,3.00,1.00,3.00,4.00,6.38,2.00,3.00,2.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',19857,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7144075,1.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,207,NULL,201,'PRICUMÃ','BOA VISTA','RR',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7144091,4.00,6.00,2.00,5.00,5.00,11.25,1.00,4.00,4.00,999,NULL,NULL,'CENTRO','LONTRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7144105,6.00,7.00,5.00,7.00,10.00,9.75,7.00,7.00,7.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',281,213,NULL,NULL,NULL,NULL,NULL,2,1),(28,7144121,1.00,4.00,4.00,4.00,6.00,7.50,5.00,4.00,2.00,201,NULL,215,'CENTRO','S DOMINGOS','SC',12119,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7144130,1.00,5.00,2.00,7.00,6.00,8.25,2.00,4.00,3.00,104,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13089,322,NULL,NULL,NULL,NULL,NULL,2,1),(28,7144148,2.00,6.00,1.00,6.00,9.00,8.25,4.00,7.00,3.00,203,NULL,233,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',6519,411,NULL,162,NULL,NULL,NULL,5,1),(28,7144164,0.00,5.00,2.00,3.00,3.00,7.50,2.00,3.00,1.00,601,NULL,235,'POÇO CLARO','ITAIÓPOLIS','SC',17176,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7144172,3.00,2.00,1.00,2.00,3.00,7.88,3.00,4.00,3.00,339,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7144199,3.00,5.00,3.00,4.00,6.00,7.13,2.00,4.00,4.00,601,NULL,203,'PAULAS','S FRANCISCO SUL','SC',13155,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7144202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVO HORIZONTE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7144210,0.00,2.00,2.00,3.00,3.00,7.88,3.00,3.00,2.00,213,NULL,202,'AGRONOMICA','FLORIANÓPOLIS','SC',17510,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7144229,4.00,7.00,2.00,4.00,6.00,7.50,3.00,8.00,5.00,203,NULL,202,'CENTRO','UNIÃO VITÓRIA','PR',5596,372,NULL,NULL,NULL,NULL,NULL,4,3),(28,7144245,1.00,5.00,5.00,4.00,6.00,7.13,4.00,4.00,4.00,103,NULL,NULL,'SAMUEL SANDRINI','ORLEANS','SC',11789,2190,NULL,NULL,NULL,NULL,NULL,2,5),(28,7144253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOÃO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7144270,2.00,5.00,2.00,4.00,8.00,7.50,0.00,4.00,3.00,104,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',14841,363,NULL,NULL,NULL,NULL,NULL,2,15),(28,7144296,1.00,5.00,2.00,5.00,5.00,10.13,2.00,4.00,2.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7144300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7144326,1.00,6.00,3.00,5.00,4.00,9.75,1.00,5.00,5.00,3,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15641,76,NULL,NULL,NULL,NULL,NULL,4,1),(28,7144334,4.00,7.00,2.00,4.00,5.00,6.38,1.00,7.00,1.00,103,NULL,NULL,'CENTRO','MAFRA','SC',11440,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7144342,2.00,8.00,1.00,7.00,9.00,8.63,3.00,7.00,3.00,211,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',5973,NULL,NULL,60,NULL,NULL,NULL,4,1),(28,7144350,0.00,6.00,0.00,5.00,5.00,5.63,3.00,8.00,6.00,104,NULL,NULL,'CENTRO','PLANALTO ALEGRE','SC',10792,262,NULL,NULL,NULL,NULL,NULL,2,4),(28,7144393,0.00,3.00,3.00,1.00,1.00,NULL,0.00,3.00,1.00,444,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7144415,6.00,7.00,1.00,6.00,7.00,5.63,3.00,5.00,4.00,201,NULL,NULL,'CENTRO','STO ANTÔNIO PLATINA','PR',6066,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7144423,0.00,5.00,2.00,5.00,6.00,7.50,2.00,1.00,3.00,203,NULL,NULL,'TABULEIRO','CAMBORIÚ','SC',14428,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7144440,5.00,5.00,1.00,6.00,6.00,9.00,1.00,6.00,2.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10228,2090,NULL,NULL,NULL,NULL,NULL,4,1),(28,7144466,6.00,7.00,5.00,6.00,9.00,9.75,3.00,4.00,6.00,207,NULL,201,'AMÉRICA','JOINVILLE','SC',1967,66,NULL,NULL,NULL,NULL,NULL,4,8),(28,7144474,2.00,5.00,4.00,4.00,3.00,6.75,3.00,3.00,2.00,999,NULL,NULL,'CARAVÁGIO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7144482,0.00,2.00,1.00,4.00,2.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'CENTRO','LEOBERTO LEAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7144490,2.00,4.00,2.00,6.00,5.00,6.75,2.00,2.00,2.00,9,NULL,NULL,'PROGRESSO','POUSO REDONDO','SC',18451,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7144504,4.00,8.00,1.00,6.00,9.00,7.50,4.00,6.00,5.00,104,NULL,NULL,'CENTRO','GR PARÁ','SC',3407,43,NULL,NULL,NULL,NULL,NULL,4,10),(28,7144512,3.00,6.00,1.00,7.00,4.00,7.13,2.00,4.00,3.00,101,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',12058,58,NULL,NULL,NULL,NULL,NULL,2,1),(28,7144520,1.00,5.00,2.00,7.00,7.00,7.13,4.00,7.00,3.00,333,NULL,NULL,'PARQUE DAS ACACIAS','S LUDGERO','SC',10260,59,NULL,NULL,NULL,NULL,NULL,4,5),(28,7144539,1.00,4.00,2.00,5.00,7.00,9.75,4.00,3.00,5.00,103,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',9186,2013,NULL,NULL,NULL,NULL,NULL,2,9),(28,7144547,0.00,6.00,1.00,4.00,2.00,NULL,1.00,2.00,2.00,336,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7144555,5.00,7.00,3.00,6.00,7.00,8.63,2.00,7.00,2.00,415,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',9301,148,NULL,NULL,NULL,NULL,NULL,2,1),(28,7144601,3.00,4.00,1.00,4.00,3.00,8.25,2.00,5.00,3.00,601,NULL,203,'ALTO DAS PALMEIRAS','CANOINHAS','SC',14715,441,NULL,NULL,NULL,NULL,NULL,4,17),(28,7144610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,23),(28,7144628,3.00,6.00,2.00,2.00,5.00,6.38,2.00,6.00,3.00,234,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13860,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7144644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7144652,3.00,7.00,4.00,7.00,7.00,9.38,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','MTE CARLO','SC',4788,1461,NULL,NULL,NULL,NULL,NULL,4,25),(28,7144679,4.00,8.00,3.00,7.00,7.00,8.25,3.00,5.00,3.00,601,NULL,214,'ANITA GARIBALDI','JOINVILLE','SC',6005,117,NULL,NULL,NULL,NULL,NULL,4,8),(28,7144687,2.00,8.00,1.00,6.00,7.00,6.75,1.00,5.00,3.00,203,NULL,233,'CENTRO','LACERDÓPOLIS','SC',8712,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7144709,5.00,5.00,3.00,5.00,8.00,8.63,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',8156,1916,NULL,NULL,NULL,NULL,NULL,4,8),(28,7144717,3.00,3.00,2.00,5.00,5.00,5.25,2.00,2.00,1.00,444,NULL,NULL,'SOMBRIO','STO AMARO IMPERATRIZ','SC',16050,94,NULL,NULL,NULL,NULL,NULL,2,1),(28,7144725,1.00,6.00,3.00,5.00,4.00,7.13,2.00,3.00,4.00,211,NULL,215,'TRES FIGUEIRAS','PTO ALEGRE','RS',14654,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7144733,4.00,5.00,2.00,1.00,5.00,7.50,2.00,4.00,2.00,207,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7144741,3.00,5.00,1.00,2.00,5.00,7.88,5.00,6.00,3.00,103,NULL,NULL,'SÃO PEDRO','GUABIRUBA','SC',14662,2337,NULL,NULL,NULL,NULL,NULL,4,22),(28,7144750,2.00,6.00,2.00,6.00,4.00,7.13,1.00,3.00,2.00,999,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7144768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'MEDIANEIRA','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7144776,4.00,6.00,1.00,6.00,7.00,7.88,2.00,5.00,1.00,103,NULL,NULL,'SANTA AUGUSTA','CRICIÚMA','SC',14397,2327,NULL,NULL,NULL,NULL,NULL,2,5),(28,7144784,2.00,7.00,3.00,5.00,7.00,10.50,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',7907,1890,NULL,NULL,NULL,NULL,NULL,4,9),(28,7144792,3.00,6.00,3.00,3.00,4.00,9.38,2.00,2.00,1.00,103,NULL,NULL,'CENTRO','GUARAMIRIM','SC',14082,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7144814,1.00,4.00,1.00,6.00,6.00,9.38,3.00,5.00,3.00,333,NULL,NULL,'OFICINAS','TUBARÃO','SC',12281,69,NULL,NULL,NULL,NULL,NULL,4,10),(28,7144822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA AVIAÇÃO','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7144830,0.00,3.00,2.00,7.00,3.00,6.38,4.00,2.00,3.00,601,NULL,203,'CENTAURO','ARAPONGAS','PR',18773,532,NULL,697,NULL,NULL,NULL,4,8),(28,7144849,0.00,7.00,4.00,3.00,4.00,9.00,3.00,4.00,3.00,999,NULL,NULL,'CENTRO','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7144857,2.00,7.00,3.00,5.00,6.00,8.25,0.00,5.00,3.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7144865,5.00,8.00,1.00,3.00,6.00,7.88,4.00,6.00,6.00,102,NULL,NULL,'CENTRO','PALHOÇA','SC',6429,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7144873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,203,'ZIMBROS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7144881,3.00,7.00,2.00,5.00,8.00,10.50,2.00,5.00,3.00,303,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',7785,348,NULL,NULL,NULL,NULL,NULL,4,4),(28,7144890,2.00,6.00,1.00,6.00,9.00,8.25,3.00,5.00,1.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7144903,5.00,6.00,7.00,5.00,8.00,9.00,7.00,5.00,7.00,201,NULL,202,'TIMBEZINHO','S JOÃO BATISTA','SC',1320,74,NULL,NULL,NULL,NULL,NULL,4,22),(28,7144911,3.00,7.00,2.00,6.00,4.00,9.00,4.00,5.00,5.00,216,NULL,201,'ALPHAVILLE','CAMPINAS','SP',4432,167,NULL,339,NULL,NULL,NULL,4,1),(28,7144920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'BELA VISTA','COCAL SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7144938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7144946,2.00,5.00,3.00,2.00,3.00,5.63,2.00,3.00,2.00,201,NULL,655,'CENTRO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7144954,0.00,5.00,0.00,0.00,0.00,NULL,3.00,5.00,2.00,5,NULL,NULL,'CENTRO','ERVAL VELHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7144989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,423,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7145004,1.00,5.00,2.00,6.00,6.00,7.88,5.00,5.00,4.00,207,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10678,492,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145012,3.00,5.00,1.00,3.00,6.00,8.63,1.00,5.00,1.00,303,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',17894,581,NULL,NULL,NULL,NULL,NULL,4,5),(28,7145039,0.00,1.00,3.00,4.00,5.00,0.00,0.00,1.00,3.00,319,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7145047,0.00,2.00,0.00,0.00,3.00,5.63,1.00,2.00,2.00,201,NULL,NULL,'BORGES','ANITA GARIBALDI','SC',19704,1050,NULL,NULL,NULL,NULL,NULL,2,9),(28,7145055,1.00,7.00,0.00,1.00,4.00,5.25,1.00,5.00,1.00,211,NULL,212,'JD ALVORADA','S CARLOS','SP',16449,397,NULL,394,NULL,NULL,NULL,4,1),(28,7145080,1.00,5.00,2.00,4.00,6.00,6.75,1.00,6.00,5.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12374,2222,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145098,0.00,8.00,0.00,4.00,8.00,8.25,3.00,5.00,1.00,205,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15611,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7145110,3.00,6.00,3.00,6.00,5.00,7.50,3.00,3.00,6.00,216,NULL,233,'ITOUPAVA SECA','BLUMENAU','SC',8040,269,NULL,205,NULL,NULL,NULL,4,2),(28,7145136,3.00,8.00,0.00,6.00,6.00,8.63,2.00,7.00,6.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5931,121,NULL,NULL,NULL,NULL,NULL,2,6),(28,7145152,0.00,5.00,3.00,2.00,3.00,8.63,3.00,5.00,3.00,653,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',14065,152,NULL,NULL,NULL,NULL,NULL,2,15),(28,7145160,6.00,6.00,2.00,6.00,6.00,7.13,5.00,6.00,4.00,441,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10032,2,NULL,NULL,NULL,NULL,NULL,6,1),(28,7145187,4.00,8.00,1.00,7.00,6.00,7.88,1.00,5.00,2.00,318,NULL,NULL,'MATRIZ','VIDEIRA','SC',9101,55,NULL,NULL,NULL,NULL,NULL,4,25),(28,7145209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7145225,5.00,8.00,5.00,7.00,8.00,9.00,5.00,6.00,5.00,220,NULL,233,'CANTRO','FLORIANÓPOLIS','SC',1832,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145233,1.00,4.00,1.00,5.00,2.00,NULL,2.00,3.00,1.00,207,NULL,201,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7145241,2.00,4.00,2.00,2.00,5.00,9.00,3.00,1.00,3.00,207,NULL,215,'CONSOLAÇÃO','URUBICI','SC',15800,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7145250,1.00,7.00,0.00,6.00,10.00,8.63,5.00,6.00,3.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6055,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JARDIM LIMERANEA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7145284,5.00,7.00,1.00,5.00,3.00,5.25,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','S MARCOS','RS',11397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145292,1.00,4.00,1.00,2.00,4.00,6.75,3.00,2.00,3.00,201,NULL,213,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145314,1.00,5.00,2.00,4.00,5.00,7.88,4.00,5.00,4.00,238,NULL,207,'SAGUAÇU','JOINVILLE','SC',10742,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7145322,4.00,6.00,2.00,5.00,5.00,9.75,3.00,4.00,5.00,234,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',12444,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145330,6.00,7.00,3.00,6.00,5.00,8.25,2.00,4.00,4.00,235,NULL,233,'SANTA MÔNICA','FLORIANÓPOLIS','SC',12288,200,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145349,0.00,2.00,2.00,2.00,3.00,NULL,0.00,1.00,2.00,208,NULL,NULL,'SOMBRIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145357,3.00,6.00,3.00,5.00,8.00,4.88,4.00,6.00,1.00,238,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145373,6.00,7.00,5.00,7.00,9.00,12.75,6.00,6.00,7.00,216,NULL,201,'KOBRASOL','S JOSÉ','SC',561,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145390,1.00,6.00,1.00,6.00,4.00,7.13,1.00,2.00,2.00,207,NULL,212,'VELHA','BLUMENAU','SC',15539,684,NULL,381,NULL,NULL,NULL,4,2),(28,7145403,5.00,7.00,3.00,6.00,6.00,10.13,6.00,7.00,7.00,103,NULL,NULL,'SANTA CRUZ','IÇARA','SC',1864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145411,0.00,4.00,2.00,6.00,3.00,NULL,1.00,3.00,2.00,102,NULL,NULL,'CIDADE NOVA','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7145420,2.00,4.00,0.00,5.00,7.00,6.38,1.00,2.00,2.00,216,NULL,NULL,'VILA MARIA JOSÉ','GOIÂNIA','GO',19054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7145438,3.00,6.00,2.00,6.00,6.00,7.13,1.00,3.00,1.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17260,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7145446,0.00,7.00,2.00,5.00,5.00,NULL,2.00,5.00,3.00,103,NULL,NULL,'LAGO NORTE','LG NORTE','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145454,6.00,8.00,3.00,7.00,8.00,7.50,7.00,6.00,6.00,203,NULL,214,'COMERCIÁRIO','CRICIÚMA','SC',2352,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7145462,4.00,8.00,2.00,5.00,4.00,7.13,5.00,6.00,3.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',8387,1937,NULL,NULL,NULL,NULL,NULL,2,9),(28,7145470,5.00,6.00,2.00,7.00,7.00,7.50,2.00,6.00,3.00,108,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',7365,91,NULL,NULL,NULL,NULL,NULL,2,1),(28,7145489,3.00,8.00,2.00,7.00,7.00,10.13,3.00,7.00,4.00,103,NULL,NULL,'LÍDER','CHAPECÓ','SC',3659,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7145497,1.00,6.00,3.00,6.00,8.00,9.75,2.00,6.00,2.00,451,NULL,NULL,'CENTRO','TUBARÃO','SC',13322,29,NULL,NULL,NULL,NULL,NULL,4,10),(28,7145519,1.00,1.00,3.00,3.00,3.00,6.00,1.00,1.00,1.00,101,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7145527,1.00,7.00,3.00,6.00,7.00,8.25,2.00,6.00,1.00,415,NULL,NULL,'MONTE ALEGRE','CAMBORIÚ','SC',15106,234,NULL,NULL,NULL,NULL,NULL,2,3),(28,7145535,8.00,8.00,5.00,8.00,11.00,11.63,8.00,8.00,8.00,103,NULL,NULL,'CORAL','LAGES','SC',9,8,NULL,NULL,NULL,NULL,NULL,4,9),(28,7145560,5.00,9.00,4.00,7.00,8.00,9.75,4.00,7.00,5.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1316,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145578,2.00,7.00,2.00,5.00,5.00,9.00,3.00,3.00,3.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',9838,2059,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145586,4.00,5.00,3.00,5.00,6.00,7.13,3.00,4.00,2.00,207,NULL,211,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7145608,3.00,7.00,2.00,7.00,8.00,9.38,0.00,6.00,3.00,415,NULL,NULL,'CENTRO','CRICIÚMA','SC',7288,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7145616,2.00,8.00,2.00,7.00,10.00,10.13,3.00,8.00,3.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',7276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145624,3.00,4.00,2.00,6.00,8.00,8.63,1.00,6.00,2.00,303,NULL,NULL,'PARQUE DEZ DE NOVEMB','MANAUS','AM',10002,408,NULL,NULL,NULL,NULL,NULL,2,4),(28,7145632,2.00,4.00,2.00,4.00,6.00,12.00,3.00,6.00,3.00,5,NULL,NULL,'GAMBOA','GAROPABA','SC',9659,290,NULL,NULL,NULL,NULL,NULL,2,1),(28,7145659,1.00,3.00,1.00,6.00,5.00,6.38,5.00,4.00,2.00,207,NULL,238,'BAREIROS','S JOSÉ','SC',18367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7145675,4.00,7.00,4.00,5.00,6.00,8.25,4.00,4.00,4.00,203,NULL,215,'CENTRO','RIBEIRÃO PRETO','SP',8202,484,NULL,139,NULL,NULL,NULL,4,1),(28,7145691,2.00,8.00,4.00,7.00,7.00,6.75,2.00,6.00,5.00,103,NULL,NULL,'RECANTO VERDE','CRICIÚMA','SC',6864,1740,NULL,NULL,NULL,NULL,NULL,2,5),(28,7145705,2.00,6.00,1.00,5.00,3.00,6.00,3.00,4.00,3.00,201,NULL,NULL,'INTERIOR','IRANI','SC',18288,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7145713,1.00,6.00,3.00,6.00,5.00,7.50,4.00,5.00,3.00,423,NULL,426,'MORRO DA BINA','BIGUAÇU','SC',8893,4,NULL,NULL,NULL,NULL,NULL,2,1),(28,7145721,7.00,7.00,5.00,7.00,9.00,12.75,4.00,7.00,7.00,201,NULL,207,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',1162,60,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145730,5.00,5.00,2.00,7.00,7.00,11.63,3.00,5.00,4.00,103,NULL,NULL,'CARDOSO','BELO HORIZONTE','MG',4382,1401,NULL,NULL,NULL,NULL,NULL,2,1),(28,7145748,1.00,2.00,0.00,4.00,1.00,NULL,3.00,2.00,3.00,102,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7145756,1.00,4.00,1.00,4.00,3.00,5.63,1.00,3.00,0.00,208,NULL,NULL,'FORQUILHINAHS','S JOSÉ','SC',20072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7145764,1.00,6.00,1.00,7.00,9.00,6.75,3.00,4.00,2.00,303,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',9824,402,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145780,4.00,6.00,4.00,5.00,9.00,8.25,5.00,6.00,6.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3643,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145802,0.00,4.00,2.00,6.00,4.00,NULL,3.00,3.00,4.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7145829,0.00,2.00,2.00,0.00,4.00,7.50,2.00,3.00,2.00,317,NULL,NULL,'AREIAS','S JOSÉ','SC',19991,181,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145845,5.00,6.00,1.00,7.00,7.00,10.88,3.00,6.00,3.00,303,NULL,NULL,'PARQUE ALTO TAQUARAL','CAMPINAS','SP',3280,149,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','STA MARIANA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7145861,2.00,5.00,2.00,4.00,6.00,7.13,3.00,6.00,2.00,103,NULL,NULL,'VIEIRA','JARAGUÁ SUL','SC',11702,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7145896,4.00,6.00,2.00,5.00,7.00,9.00,3.00,3.00,1.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9386,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145900,2.00,4.00,1.00,2.00,5.00,NULL,0.00,3.00,4.00,319,NULL,NULL,'JARDIM VALERI','REGISTRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7145918,4.00,7.00,3.00,5.00,8.00,8.25,4.00,6.00,6.00,3,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',3754,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145926,3.00,5.00,1.00,5.00,7.00,10.88,2.00,6.00,5.00,207,NULL,215,'CENTRO','LAGES','SC',7744,353,NULL,122,NULL,NULL,NULL,4,9),(28,7145942,2.00,6.00,2.00,6.00,7.00,5.63,4.00,5.00,3.00,110,NULL,NULL,'BARREIROS','S JOSÉ','SC',10467,32,NULL,NULL,NULL,NULL,NULL,2,1),(28,7145950,4.00,6.00,3.00,6.00,9.00,10.13,3.00,5.00,4.00,415,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',5267,76,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145969,2.00,7.00,3.00,6.00,7.00,NULL,1.00,3.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7145977,0.00,4.00,1.00,1.00,4.00,NULL,0.00,4.00,1.00,303,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7145985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JAQUELINE','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7145993,3.00,6.00,4.00,3.00,3.00,4.50,4.00,4.00,1.00,331,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13939,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146000,2.00,7.00,0.00,5.00,4.00,8.25,4.00,6.00,5.00,222,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13649,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7146043,0.00,8.00,2.00,4.00,8.00,9.38,3.00,7.00,3.00,999,NULL,NULL,'BUCAREN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7146051,3.00,8.00,2.00,7.00,8.00,8.63,4.00,8.00,5.00,203,NULL,201,'RIO TAVAREZ','FLORIANÓPOLIS','SC',2691,206,NULL,201,NULL,NULL,NULL,4,1),(28,7146078,2.00,6.00,1.00,7.00,6.00,9.38,2.00,6.00,4.00,653,NULL,652,'BELÉM NOVO','PTO ALEGRE','RS',12860,139,NULL,40,NULL,NULL,NULL,4,15),(28,7146086,0.00,2.00,2.00,2.00,5.00,NULL,0.00,3.00,0.00,235,NULL,213,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7146094,1.00,6.00,2.00,2.00,2.00,NULL,3.00,5.00,0.00,425,NULL,426,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7146108,4.00,7.00,2.00,6.00,5.00,9.75,4.00,7.00,5.00,103,NULL,NULL,'VILA DAS BELEZAS','S PAULO','SP',2772,1081,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146116,1.00,4.00,1.00,3.00,3.00,7.13,0.00,2.00,1.00,601,NULL,207,'ESPRAIADO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7146132,2.00,5.00,1.00,5.00,7.00,8.25,3.00,5.00,2.00,552,NULL,NULL,'CENTRO','FRAIBURGO','SC',15705,109,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'SANTA CATARINA','NOVA PRATA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7146167,0.00,2.00,3.00,5.00,3.00,NULL,0.00,2.00,0.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7146175,1.00,5.00,1.00,4.00,6.00,5.25,2.00,4.00,2.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',16116,702,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146183,4.00,7.00,3.00,4.00,9.00,11.25,5.00,7.00,5.00,103,NULL,NULL,'CANADA','CASCAVEL','PR',1863,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7146205,6.00,7.00,2.00,7.00,8.00,7.13,3.00,7.00,4.00,202,NULL,235,'COLONINHA','GASPAR','SC',6418,175,NULL,111,NULL,NULL,NULL,4,2),(28,7146213,3.00,7.00,2.00,6.00,8.00,7.88,5.00,7.00,5.00,207,NULL,201,'CENTRO','SUL BRASIL','SC',5677,255,NULL,NULL,NULL,NULL,NULL,2,4),(28,7146221,2.00,5.00,1.00,6.00,6.00,8.63,1.00,5.00,4.00,207,NULL,201,'VELHA','BLUMENAU','SC',8307,387,NULL,597,NULL,NULL,NULL,4,2),(28,7146230,2.00,5.00,2.00,6.00,6.00,7.88,3.00,5.00,3.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14915,365,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'JARDIM AMÉRICA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7146256,8.00,7.00,6.00,7.00,8.00,4.50,6.00,6.00,7.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',1827,158,NULL,111,NULL,NULL,NULL,4,1),(28,7146264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7146272,4.00,7.00,4.00,6.00,7.00,8.25,3.00,6.00,5.00,216,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',8190,273,NULL,138,NULL,NULL,NULL,4,1),(28,7146280,9.00,7.00,4.00,8.00,5.00,9.75,3.00,8.00,8.00,103,NULL,NULL,'BOSQUE DE BARÃO','CAMPINAS','SP',531,355,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,429,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7146302,4.00,8.00,4.00,7.00,6.00,9.00,5.00,7.00,4.00,415,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',1981,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146310,1.00,1.00,1.00,3.00,3.00,NULL,0.00,3.00,0.00,654,NULL,NULL,'SANTA AUGUSTA','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7146329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7146337,0.00,4.00,3.00,1.00,3.00,7.13,2.00,3.00,2.00,654,NULL,NULL,'SANTA BARBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7146345,0.00,3.00,3.00,0.00,2.00,NULL,2.00,3.00,2.00,404,NULL,NULL,'BETÂNIA','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7146388,7.00,9.00,6.00,6.00,9.00,8.63,6.00,7.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',208,162,NULL,NULL,NULL,NULL,NULL,4,3),(28,7146396,1.00,1.00,2.00,2.00,6.00,NULL,0.00,3.00,2.00,428,NULL,426,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7146426,0.00,4.00,2.00,3.00,2.00,NULL,0.00,2.00,0.00,339,NULL,NULL,'NSA SRA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146434,3.00,2.00,2.00,4.00,4.00,4.88,1.00,3.00,4.00,301,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146450,5.00,6.00,3.00,6.00,8.00,5.63,4.00,5.00,6.00,503,NULL,NULL,'COLONIA HOLANDESA','ARAPOTI','PR',5854,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146469,3.00,7.00,4.00,2.00,5.00,8.63,4.00,5.00,4.00,216,NULL,202,'CENTRO','CATANDUVAS','SC',8703,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7146477,2.00,6.00,3.00,7.00,5.00,NULL,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,7),(28,7146485,3.00,8.00,3.00,7.00,8.00,8.63,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',4443,1412,NULL,NULL,NULL,NULL,NULL,4,4),(28,7146493,5.00,6.00,2.00,5.00,8.00,9.38,7.00,7.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2399,993,NULL,NULL,NULL,NULL,NULL,4,6),(28,7146507,2.00,6.00,3.00,7.00,3.00,6.75,1.00,6.00,2.00,326,NULL,NULL,'TATUAPÉ','S PAULO','SP',9916,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146523,2.00,3.00,4.00,3.00,5.00,6.75,3.00,3.00,0.00,9,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146531,4.00,6.00,2.00,6.00,8.00,7.50,7.00,6.00,4.00,201,NULL,212,'COLONINHA','FLORIANÓPOLIS','SC',4392,337,NULL,140,NULL,NULL,NULL,4,1),(28,7146566,0.00,5.00,2.00,5.00,2.00,NULL,3.00,2.00,2.00,9,NULL,NULL,'JD COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146574,0.00,3.00,0.00,2.00,4.00,6.75,1.00,1.00,2.00,309,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',19204,62,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146582,0.00,5.00,3.00,3.00,3.00,5.63,2.00,1.00,1.00,425,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',20060,81,NULL,NULL,NULL,NULL,NULL,2,1),(28,7146604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'RIO BRANCO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7146647,0.00,6.00,2.00,4.00,4.00,4.50,2.00,3.00,2.00,454,NULL,NULL,'JD ROSA DE FRANÇA','GUARULHOS','SP',16368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146655,1.00,4.00,0.00,4.00,6.00,7.13,2.00,3.00,2.00,104,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',16093,397,NULL,NULL,NULL,NULL,NULL,2,1),(28,7146663,3.00,6.00,0.00,3.00,8.00,5.25,5.00,6.00,3.00,104,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',7830,184,NULL,NULL,NULL,NULL,NULL,4,4),(28,7146671,2.00,3.00,2.00,5.00,4.00,9.75,1.00,4.00,1.00,601,NULL,NULL,'IRIRIU','JOINVILLE','SC',18726,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7146698,1.00,3.00,3.00,2.00,4.00,9.00,2.00,3.00,2.00,203,NULL,214,'CENTRO','RIO SUL','SC',15523,652,NULL,NULL,NULL,NULL,NULL,4,24),(28,7146701,3.00,7.00,3.00,7.00,6.00,7.50,3.00,7.00,2.00,101,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',12545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7146710,2.00,6.00,3.00,4.00,4.00,6.75,2.00,5.00,3.00,220,NULL,213,'VELHA','BLUMENAU','SC',10777,257,NULL,189,NULL,NULL,NULL,4,2),(28,7146728,2.00,6.00,6.00,4.00,5.00,7.13,2.00,7.00,3.00,303,NULL,NULL,'FLORESTA','GRAMADO','RS',12980,489,NULL,NULL,NULL,NULL,NULL,5,1),(28,7146736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'LINHA BECKER','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7146744,4.00,5.00,2.00,4.00,7.00,7.13,3.00,5.00,2.00,501,NULL,NULL,'CANUDOS','ANTÔNIO CARLOS','SC',10837,51,NULL,NULL,NULL,NULL,NULL,2,1),(28,7146752,3.00,5.00,3.00,5.00,5.00,8.63,2.00,5.00,2.00,207,NULL,NULL,'JARDIM BELA VISTA','OSASCO','SP',8601,400,NULL,NULL,NULL,NULL,NULL,4,22),(28,7146760,1.00,6.00,2.00,6.00,7.00,6.75,3.00,7.00,4.00,213,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',13552,223,NULL,321,NULL,NULL,NULL,2,1),(28,7146779,2.00,7.00,3.00,5.00,8.00,8.25,3.00,5.00,6.00,203,NULL,220,'CANASVIEIRAS','FLORIANÓPOLIS','SC',6735,419,NULL,183,NULL,NULL,NULL,4,1),(28,7146787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PINHEIROS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7146795,0.00,5.00,1.00,7.00,4.00,8.63,1.00,4.00,1.00,316,NULL,NULL,'JARDIM ARPOADOR','S PAULO','SP',18695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146817,1.00,2.00,2.00,1.00,1.00,NULL,2.00,2.00,2.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','PIÊN','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7146833,4.00,4.00,2.00,4.00,5.00,8.25,2.00,3.00,3.00,333,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',18047,113,NULL,NULL,NULL,NULL,NULL,2,1),(28,7146841,1.00,2.00,2.00,1.00,3.00,3.00,2.00,1.00,2.00,201,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146850,3.00,8.00,2.00,5.00,6.00,8.25,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',3537,1248,NULL,NULL,NULL,NULL,NULL,4,8),(28,7146868,0.00,3.00,0.00,3.00,3.00,NULL,1.00,1.00,3.00,102,NULL,NULL,'VISTA ALEGRE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7146884,4.00,8.00,6.00,5.00,8.00,11.25,3.00,6.00,6.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1853,11,NULL,NULL,NULL,NULL,NULL,4,3),(28,7146892,5.00,8.00,3.00,4.00,7.00,8.63,4.00,6.00,2.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',5502,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7146906,2.00,4.00,2.00,5.00,3.00,7.50,2.00,3.00,3.00,601,NULL,NULL,'AMERICA','JOINVILLE','SC',18475,524,NULL,NULL,NULL,NULL,NULL,4,8),(28,7146914,3.00,7.00,2.00,5.00,4.00,6.75,1.00,5.00,3.00,316,NULL,NULL,'BELA VISTA','S JOSÉ','SC',16492,224,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7146930,1.00,5.00,4.00,6.00,5.00,8.63,5.00,5.00,4.00,216,NULL,213,'NOVA PIRACICABA','PIRACICABA','SP',6728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146957,2.00,5.00,3.00,5.00,7.00,9.00,1.00,6.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9359,124,NULL,NULL,NULL,NULL,NULL,2,1),(28,7146973,5.00,7.00,2.00,4.00,7.00,6.38,5.00,4.00,4.00,454,NULL,NULL,'ROÇADO','S JOSÉ','SC',8015,138,NULL,NULL,NULL,NULL,NULL,4,1),(28,7146981,0.00,5.00,0.00,0.00,0.00,NULL,2.00,3.00,4.00,214,NULL,220,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(28,7146990,1.00,7.00,0.00,6.00,6.00,7.50,2.00,5.00,3.00,303,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',16981,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147007,5.00,7.00,4.00,7.00,8.00,9.00,5.00,6.00,6.00,303,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',2155,97,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147015,1.00,0.00,1.00,6.00,2.00,NULL,0.00,0.00,0.00,207,NULL,201,'PLANALTO PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7147031,4.00,6.00,2.00,7.00,7.00,12.38,3.00,6.00,5.00,103,NULL,NULL,'IPIRANGA','S JOSÉ','SC',7283,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147040,3.00,6.00,5.00,5.00,7.00,7.88,4.00,5.00,3.00,220,NULL,235,'CENTRO','TUBARÃO','SC',11371,267,NULL,183,NULL,NULL,NULL,4,10),(28,7147074,5.00,7.00,5.00,5.00,9.00,10.13,6.00,6.00,6.00,103,NULL,NULL,'CENTRO','CPO BELO SUL','SC',1765,823,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147082,1.00,2.00,1.00,5.00,6.00,8.63,1.00,5.00,0.00,423,NULL,426,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',15718,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7147090,0.00,4.00,2.00,4.00,3.00,NULL,1.00,2.00,0.00,404,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7147104,2.00,5.00,3.00,6.00,7.00,8.63,5.00,5.00,4.00,212,NULL,601,'KOBRASOL','S JOSÉ','SC',7050,220,NULL,154,NULL,NULL,NULL,2,1),(28,7147112,3.00,7.00,2.00,5.00,9.00,6.38,4.00,5.00,3.00,102,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',9015,73,NULL,NULL,NULL,NULL,NULL,2,1),(28,7147120,3.00,8.00,2.00,7.00,8.00,10.50,4.00,5.00,6.00,207,NULL,201,'VILA INDEPENDÊNCIA','PIRACICABA','SP',2165,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147139,1.00,5.00,2.00,5.00,6.00,7.13,0.00,4.00,4.00,302,NULL,NULL,'ARREIAS','S JOSÉ','SC',15402,110,NULL,NULL,NULL,NULL,NULL,2,1),(28,7147147,2.00,4.00,1.00,5.00,6.00,7.13,1.00,4.00,3.00,333,NULL,NULL,'CENTRO','ITAJAÍ','SC',15216,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7147155,5.00,6.00,2.00,4.00,7.00,9.00,5.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4768,1457,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VILA MORSE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7147171,2.00,6.00,1.00,7.00,4.00,4.50,2.00,5.00,3.00,103,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',13728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147198,2.00,4.00,4.00,5.00,4.00,6.75,2.00,3.00,4.00,201,NULL,212,'CAMBUÍ','CAMPINAS','SP',16953,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7147201,1.00,5.00,1.00,4.00,6.00,7.13,3.00,5.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147210,3.00,6.00,3.00,7.00,6.00,6.75,2.00,5.00,4.00,999,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147228,4.00,6.00,4.00,5.00,6.00,7.13,4.00,5.00,4.00,213,NULL,216,'BOA VISTA','BLUMENAU','SC',7491,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7147252,6.00,8.00,4.00,7.00,9.00,10.88,5.00,8.00,6.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',392,281,NULL,NULL,NULL,NULL,NULL,4,4),(28,7147260,1.00,3.00,1.00,5.00,7.00,6.38,1.00,3.00,1.00,104,NULL,NULL,'VILA NOVA','IMBITUBA','SC',16836,408,NULL,NULL,NULL,NULL,NULL,2,10),(28,7147279,2.00,6.00,2.00,6.00,8.00,7.50,3.00,4.00,3.00,425,NULL,424,'CENTRO','SIDERÓPOLIS','SC',8740,18,NULL,NULL,NULL,NULL,NULL,4,5),(28,7147287,6.00,7.00,3.00,6.00,9.00,9.75,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IBIÚNA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7147317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7147325,1.00,2.00,2.00,2.00,4.00,9.00,0.00,3.00,3.00,101,NULL,NULL,'FACHINAL PRETO','RANCHO QUEIMADO','SC',17815,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147333,5.00,7.00,7.00,5.00,10.00,10.13,6.00,7.00,8.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',230,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147341,4.00,9.00,2.00,5.00,5.00,9.38,4.00,5.00,6.00,103,NULL,NULL,'VILA BURU','SALTO','SP',4054,1336,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147350,4.00,7.00,1.00,6.00,7.00,9.75,6.00,7.00,5.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',3358,129,NULL,251,NULL,NULL,NULL,4,1),(28,7147368,6.00,7.00,5.00,5.00,10.00,10.88,7.00,8.00,7.00,103,NULL,NULL,'ESTANCIA DAS FLORES','JAGUARIÚNA','SP',299,222,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147384,2.00,4.00,1.00,7.00,6.00,5.63,6.00,3.00,4.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',16031,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147406,1.00,4.00,0.00,6.00,8.00,7.88,1.00,3.00,4.00,109,NULL,NULL,'GUARITA','SOMBRIO','SC',12115,34,NULL,NULL,NULL,NULL,NULL,2,15),(28,7147430,6.00,9.00,3.00,5.00,10.00,7.88,7.00,7.00,7.00,103,NULL,NULL,'CENTRO','VITÓRIA','ES',556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147449,1.00,5.00,1.00,6.00,3.00,6.00,2.00,6.00,2.00,999,NULL,NULL,'CENTRO','TAIÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7147457,0.00,3.00,2.00,4.00,6.00,7.50,0.00,3.00,1.00,303,NULL,NULL,'AGUA BRANCA','S FRANCISCO SUL','SC',16610,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7147465,2.00,2.00,1.00,4.00,3.00,7.50,3.00,4.00,4.00,103,NULL,NULL,'LINHA SERAFIM','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(28,7147473,2.00,7.00,1.00,6.00,9.00,10.50,2.00,6.00,4.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9620,288,NULL,NULL,NULL,NULL,NULL,2,1),(28,7147481,0.00,4.00,0.00,4.00,2.00,NULL,1.00,6.00,4.00,303,NULL,NULL,'SAGRADO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7147490,1.00,7.00,2.00,4.00,7.00,8.25,2.00,6.00,4.00,211,NULL,215,'CAMPINAS','S JOSÉ','SC',10027,270,NULL,171,NULL,NULL,NULL,4,1),(28,7147503,1.00,3.00,3.00,3.00,5.00,6.00,3.00,4.00,2.00,201,NULL,207,'VILA NOVA ALVORADA','IMBITUBA','SC',16559,948,NULL,717,NULL,NULL,NULL,2,1),(28,7147511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CAMPOS ELISEOS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7147546,1.00,4.00,2.00,5.00,3.00,NULL,0.00,4.00,2.00,454,NULL,NULL,'GANCHOS DE FORA','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7147554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'TABOÃO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7147562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7147570,2.00,6.00,0.00,6.00,9.00,9.38,3.00,6.00,4.00,450,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10737,85,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147589,5.00,7.00,6.00,7.00,10.00,5.63,8.00,7.00,8.00,214,NULL,203,'JARDIM AMÉRICA','GOIÂNIA','GO',585,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147597,1.00,6.00,1.00,7.00,8.00,8.25,2.00,4.00,3.00,3,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',14965,74,NULL,NULL,NULL,NULL,NULL,2,1),(28,7147600,1.00,5.00,0.00,3.00,4.00,7.50,2.00,3.00,1.00,5,NULL,NULL,'MONTE CASTELO','TUBARÃO','SC',17442,460,NULL,NULL,NULL,NULL,NULL,2,10),(28,7147619,0.00,5.00,1.00,5.00,7.00,4.50,0.00,2.00,4.00,317,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',15814,116,NULL,NULL,NULL,NULL,NULL,2,1),(28,7147627,5.00,6.00,3.00,5.00,7.00,11.25,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4511,1420,NULL,NULL,NULL,NULL,NULL,4,8),(28,7147635,3.00,5.00,2.00,5.00,8.00,9.75,5.00,4.00,3.00,101,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7977,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7147651,4.00,6.00,1.00,1.00,6.00,8.25,2.00,6.00,5.00,103,NULL,NULL,'POMPEIA','S PAULO','SP',13418,2279,NULL,NULL,NULL,NULL,NULL,4,2),(28,7147660,2.00,5.00,3.00,2.00,6.00,7.88,2.00,5.00,1.00,220,NULL,653,'JARDIN ELIZABETE','IÇARA','SC',17406,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7147678,4.00,3.00,3.00,7.00,4.00,8.63,2.00,3.00,2.00,653,NULL,655,'QUARTA LINHA','CRICIÚMA','SC',16666,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7147686,3.00,8.00,2.00,5.00,9.00,7.50,3.00,7.00,4.00,303,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',6325,286,NULL,NULL,NULL,NULL,NULL,2,1),(28,7147716,4.00,4.00,2.00,1.00,3.00,3.00,3.00,4.00,5.00,655,NULL,652,'SANGÃO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7147732,0.00,6.00,3.00,6.00,4.00,7.50,1.00,1.00,0.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147740,4.00,6.00,4.00,6.00,4.00,9.00,3.00,6.00,6.00,316,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',5095,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SERRA DA GARGANTA','STA TEREZINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7147767,1.00,4.00,2.00,5.00,3.00,6.00,0.00,2.00,1.00,109,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7147775,4.00,7.00,2.00,6.00,8.00,9.00,3.00,7.00,4.00,211,NULL,215,'JURERÊ','FLORIANÓPOLIS','SC',3586,86,NULL,47,NULL,NULL,NULL,4,1),(28,7147783,1.00,2.00,1.00,6.00,5.00,6.75,3.00,5.00,3.00,601,NULL,203,'BOEHMERWALD','JOINVILLE','SC',17913,514,NULL,NULL,NULL,NULL,NULL,2,8),(28,7147791,1.00,4.00,1.00,1.00,2.00,NULL,2.00,1.00,3.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147813,0.00,6.00,0.00,2.00,4.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'AREIAS DE MACACU','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147821,0.00,3.00,4.00,5.00,6.00,7.50,2.00,4.00,3.00,207,NULL,201,'CENTRO','CRICIÚMA','SC',14569,644,NULL,NULL,NULL,NULL,NULL,4,5),(28,7147830,5.00,7.00,2.00,5.00,8.00,10.88,5.00,6.00,7.00,303,NULL,NULL,'ROÇADO','S JOSÉ','SC',3482,163,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147848,1.00,3.00,0.00,1.00,5.00,7.88,0.00,5.00,1.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147856,5.00,6.00,3.00,6.00,6.00,6.38,3.00,5.00,3.00,501,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13465,84,NULL,NULL,NULL,NULL,NULL,2,1),(28,7147872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,601,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7147880,6.00,5.00,3.00,7.00,7.00,8.63,4.00,5.00,4.00,201,NULL,207,'CARIANOS','FLORIANÓPOLIS','SC',5700,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7147902,2.00,4.00,2.00,1.00,5.00,6.75,1.00,4.00,4.00,108,NULL,NULL,'CENTRO','BIGUAÇU','SC',18997,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147910,1.00,6.00,0.00,5.00,4.00,NULL,2.00,5.00,0.00,205,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7147929,0.00,5.00,2.00,6.00,6.00,7.88,1.00,2.00,3.00,655,NULL,653,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7147937,0.00,5.00,0.00,7.00,2.00,NULL,2.00,4.00,1.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147953,6.00,7.00,3.00,6.00,8.00,9.38,6.00,6.00,5.00,103,NULL,NULL,'JARDIM LUANDA','S PAULO','SP',1837,846,NULL,NULL,NULL,NULL,NULL,4,1),(28,7147961,7.00,7.00,4.00,6.00,11.00,10.88,5.00,9.00,8.00,103,NULL,NULL,'SANTANA','PTO ALEGRE','RS',100,82,NULL,NULL,NULL,NULL,NULL,4,4),(28,7147970,2.00,5.00,1.00,6.00,6.00,NULL,0.00,4.00,3.00,319,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7147988,4.00,6.00,1.00,5.00,7.00,7.50,2.00,5.00,1.00,103,NULL,NULL,'JURERÊ INTERNACIONA','FLORIANÓPOLIS','SC',9987,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148003,1.00,4.00,3.00,5.00,4.00,8.63,3.00,4.00,2.00,653,NULL,216,'CENTRO','GUARAPUAVA','PR',18151,192,NULL,NULL,NULL,NULL,NULL,2,8),(28,7148011,1.00,5.00,2.00,7.00,6.00,10.88,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','S PEDRO ALCÂNTARA','SC',7098,1775,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148020,4.00,7.00,6.00,7.00,5.00,8.63,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','STO ANDRÉ','SP',2009,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148038,4.00,8.00,5.00,6.00,7.00,10.13,4.00,7.00,5.00,201,NULL,203,'TREZE DE JULHO','ARACAJU','SE',3128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7148046,3.00,6.00,1.00,6.00,6.00,5.25,2.00,4.00,2.00,201,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7148054,0.00,5.00,2.00,6.00,6.00,6.75,4.00,4.00,2.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',11747,158,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148062,2.00,5.00,3.00,3.00,8.00,6.38,2.00,3.00,1.00,9,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',17809,145,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'JARDIM PENFIGO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7148097,6.00,6.00,0.00,6.00,4.00,7.13,3.00,5.00,2.00,333,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',10080,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148119,0.00,2.00,1.00,4.00,4.00,4.50,3.00,3.00,1.00,104,NULL,NULL,'SANGA GRANDE','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7148127,0.00,1.00,0.00,0.00,3.00,NULL,0.00,1.00,2.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7148135,2.00,2.00,0.00,6.00,4.00,6.00,2.00,1.00,1.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148143,5.00,9.00,1.00,7.00,7.00,9.38,5.00,6.00,8.00,220,NULL,202,'PANTANAL','FLORIANÓPOLIS','SC',1106,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148151,4.00,6.00,3.00,6.00,9.00,11.63,5.00,6.00,5.00,337,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',2024,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148186,0.00,5.00,1.00,7.00,5.00,9.38,1.00,5.00,1.00,308,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',17609,54,NULL,NULL,NULL,NULL,NULL,2,1),(28,7148194,8.00,9.00,3.00,7.00,10.00,8.25,5.00,8.00,6.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',558,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7148208,2.00,6.00,1.00,7.00,8.00,7.88,1.00,6.00,4.00,304,NULL,NULL,'JARDIM MARAVILHA','GUARUJÁ','SP',8465,61,NULL,NULL,NULL,NULL,NULL,2,1),(28,7148216,8.00,6.00,6.00,7.00,6.00,9.75,6.00,8.00,6.00,214,NULL,212,'URIAS MAGALHÃES','GOIÂNIA','GO',461,3,NULL,NULL,NULL,NULL,NULL,2,1),(28,7148232,4.00,8.00,1.00,3.00,8.00,8.25,2.00,7.00,2.00,103,NULL,NULL,'VILA NOVA','MAFRA','SC',6535,1703,NULL,NULL,NULL,NULL,NULL,4,17),(28,7148240,1.00,4.00,3.00,6.00,4.00,4.50,2.00,3.00,2.00,601,NULL,203,'NOVA BRASÍLIA','JARAGUÁ SUL','SC',15448,455,NULL,NULL,NULL,NULL,NULL,2,23),(28,7148259,3.00,7.00,1.00,6.00,8.00,7.88,2.00,5.00,3.00,303,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',8658,363,NULL,NULL,NULL,NULL,NULL,2,22),(28,7148267,2.00,8.00,1.00,4.00,6.00,9.75,2.00,4.00,2.00,551,NULL,NULL,'INTERIOR','CAMPOS NOVOS','SC',10606,4,NULL,NULL,NULL,NULL,NULL,4,16),(28,7148275,2.00,5.00,1.00,7.00,7.00,7.13,4.00,5.00,4.00,203,NULL,202,'CENTRO','SAUDADES','SC',7256,440,NULL,194,NULL,NULL,NULL,4,4),(28,7148291,2.00,7.00,2.00,7.00,9.00,9.75,3.00,6.00,5.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',3892,1302,NULL,NULL,NULL,NULL,NULL,4,10),(28,7148305,0.00,4.00,3.00,5.00,3.00,5.63,3.00,3.00,0.00,601,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7148321,7.00,7.00,5.00,7.00,10.00,11.63,8.00,7.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',94,79,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148364,2.00,5.00,2.00,4.00,4.00,7.88,3.00,6.00,2.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11071,2142,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148372,2.00,8.00,4.00,3.00,8.00,7.50,5.00,5.00,3.00,201,NULL,653,'PRADINHO','S JOAQUIM','SC',7006,525,NULL,75,NULL,NULL,NULL,2,9),(28,7148380,2.00,5.00,3.00,7.00,6.00,7.88,1.00,7.00,6.00,103,NULL,NULL,'SAO MARCOS','MACAÉ','RJ',5353,1551,NULL,NULL,NULL,NULL,NULL,2,1),(28,7148399,4.00,6.00,4.00,5.00,8.00,8.63,1.00,5.00,2.00,415,NULL,NULL,'CENTRO','S LEOPOLDO','RS',12329,201,NULL,NULL,NULL,NULL,NULL,1,1),(28,7148402,6.00,8.00,2.00,7.00,8.00,7.50,5.00,8.00,6.00,214,NULL,213,'SANTA MÔNICA','FLORIANÓPOLIS','SC',1253,31,NULL,1,NULL,NULL,NULL,4,1),(28,7148410,4.00,7.00,2.00,4.00,6.00,7.88,1.00,4.00,4.00,202,NULL,201,'SAO LUIZ','BRUSQUE','SC',14005,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7148429,5.00,7.00,1.00,5.00,5.00,7.88,3.00,4.00,2.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8781,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148437,4.00,6.00,1.00,5.00,7.00,7.50,4.00,5.00,4.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12358,140,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148445,4.00,8.00,3.00,6.00,7.00,8.63,3.00,6.00,4.00,220,NULL,203,'SÃO LUIZ','SOMBRIO','SC',4384,128,NULL,NULL,NULL,NULL,NULL,2,15),(28,7148453,5.00,7.00,5.00,7.00,7.00,9.38,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','NOVA FRIBURGO','RJ',5882,1613,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148461,1.00,5.00,0.00,7.00,6.00,NULL,3.00,5.00,1.00,319,NULL,NULL,'AGUA VERDE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7148488,3.00,5.00,2.00,6.00,5.00,5.25,5.00,6.00,4.00,203,NULL,220,'CAMINHO DAS ÁRVORES','SALVADOR','BA',8051,478,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SANTA ISABEL','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7148500,7.00,7.00,4.00,8.00,9.00,9.00,3.00,7.00,6.00,220,NULL,235,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',951,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148518,3.00,4.00,2.00,5.00,6.00,9.75,4.00,5.00,4.00,238,NULL,201,'CENTRO','TUBARÃO','SC',8390,116,NULL,NULL,NULL,NULL,NULL,4,10),(28,7148526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,207,'ARIRIBÁ','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7148534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'INDEPENDENCIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7148542,0.00,1.00,1.00,1.00,2.00,NULL,1.00,1.00,0.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148550,6.00,8.00,4.00,7.00,9.00,8.63,6.00,6.00,6.00,203,NULL,220,'JOÃO PAULO','FLORIANÓPOLIS','SC',828,81,NULL,17,NULL,NULL,NULL,4,1),(28,7148585,6.00,7.00,2.00,7.00,7.00,8.63,4.00,5.00,4.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',5164,10,NULL,NULL,NULL,NULL,NULL,2,1),(28,7148593,0.00,2.00,2.00,3.00,1.00,NULL,2.00,2.00,1.00,9,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7148607,5.00,6.00,3.00,6.00,4.00,6.00,4.00,3.00,4.00,220,NULL,203,'JARDIM VALE VERDE','ROLÂNDIA','PR',8519,221,NULL,NULL,NULL,NULL,NULL,1,3),(28,7148615,0.00,4.00,2.00,7.00,5.00,5.63,1.00,3.00,2.00,303,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',19163,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7148623,3.00,6.00,1.00,6.00,11.00,9.00,4.00,4.00,3.00,428,NULL,426,'MAR GROSSO','LAGUNA','SC',10477,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7148631,0.00,3.00,2.00,4.00,4.00,NULL,1.00,3.00,4.00,102,NULL,NULL,'CENTRO','FORMOSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7148658,4.00,6.00,3.00,5.00,7.00,9.00,7.00,4.00,4.00,233,NULL,601,'MONTE CASTELO','TUBARÃO','SC',5214,142,NULL,97,NULL,NULL,NULL,2,10),(28,7148666,1.00,3.00,2.00,5.00,7.00,8.63,3.00,5.00,1.00,208,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',13544,151,NULL,NULL,NULL,NULL,NULL,2,1),(28,7148674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7148682,2.00,5.00,0.00,7.00,6.00,7.88,3.00,4.00,2.00,319,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',10202,188,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148712,2.00,7.00,2.00,7.00,6.00,7.50,4.00,6.00,5.00,238,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6422,72,NULL,NULL,NULL,NULL,NULL,2,1),(28,7148739,1.00,4.00,2.00,4.00,3.00,0.00,3.00,3.00,1.00,429,NULL,425,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7148747,0.00,3.00,2.00,4.00,3.00,6.00,2.00,3.00,3.00,333,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',18052,115,NULL,NULL,NULL,NULL,NULL,2,1),(28,7148763,2.00,6.00,2.00,7.00,10.00,8.25,3.00,6.00,5.00,201,NULL,211,'CENTRO','PALHOÇA','SC',4471,343,NULL,112,NULL,NULL,NULL,4,1),(28,7148771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM CENTENÁRIO','POÇOS CALDAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7148780,1.00,3.00,1.00,1.00,3.00,5.63,1.00,1.00,1.00,201,NULL,601,'PEDRA BRANCA','PALHOÇA','SC',20162,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148798,3.00,5.00,2.00,4.00,5.00,6.38,4.00,6.00,5.00,501,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',9149,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CHACARA JAFET','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7148810,2.00,6.00,1.00,6.00,9.00,10.88,2.00,5.00,3.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',5672,86,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148828,2.00,5.00,2.00,4.00,5.00,6.00,1.00,4.00,1.00,444,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',18952,129,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148836,5.00,6.00,2.00,5.00,8.00,9.00,3.00,5.00,6.00,303,NULL,NULL,'CARANDA BOSQUE','CPO GRANDE','MS',3472,162,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148844,4.00,8.00,3.00,7.00,8.00,7.88,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','S JERÔNIMO','RS',2377,986,NULL,NULL,NULL,NULL,NULL,2,1),(28,7148852,6.00,8.00,3.00,7.00,9.00,9.75,7.00,7.00,6.00,103,NULL,NULL,'CENTRO','LEOBERTO LEAL','SC',750,451,NULL,NULL,NULL,NULL,NULL,2,1),(28,7148860,3.00,6.00,4.00,7.00,6.00,8.25,3.00,6.00,6.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148895,7.00,9.00,3.00,7.00,9.00,9.38,5.00,8.00,8.00,103,NULL,NULL,'BUTANTÃ','S PAULO','SP',565,372,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148917,2.00,3.00,1.00,3.00,5.00,6.75,2.00,4.00,4.00,655,NULL,NULL,'CENTRO','JAGUARUNA','SC',16681,103,NULL,NULL,NULL,NULL,NULL,4,10),(28,7148933,0.00,2.00,2.00,2.00,3.00,3.00,0.00,1.00,1.00,9,NULL,NULL,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7148941,3.00,4.00,2.00,4.00,1.00,NULL,1.00,4.00,2.00,454,NULL,NULL,'BREJARU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7148968,2.00,1.00,3.00,5.00,5.00,6.75,5.00,6.00,1.00,331,NULL,NULL,'ASILO','BLUMENAU','SC',18044,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7148976,2.00,4.00,3.00,6.00,7.00,8.63,3.00,6.00,3.00,5,NULL,NULL,'CENTRO','GAROPABA','SC',13643,378,NULL,NULL,NULL,NULL,NULL,2,1),(28,7148984,3.00,6.00,2.00,6.00,5.00,8.25,2.00,6.00,3.00,203,NULL,601,'CAPOEIRAS','FLORIANÓPOLIS','SC',14864,639,NULL,446,NULL,NULL,NULL,4,1),(28,7149018,0.00,5.00,3.00,4.00,7.00,9.38,3.00,4.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11679,214,NULL,NULL,NULL,NULL,NULL,2,1),(28,7149026,2.00,2.00,2.00,4.00,4.00,9.00,1.00,1.00,3.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15948,433,NULL,NULL,NULL,NULL,NULL,2,1),(28,7149034,0.00,4.00,2.00,2.00,5.00,6.00,2.00,1.00,2.00,9,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',18557,158,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149042,3.00,3.00,2.00,4.00,5.00,9.00,0.00,4.00,2.00,211,NULL,215,'JARDIM CIDADE','S JOSÉ','SC',15236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7149050,7.00,6.00,1.00,5.00,4.00,8.63,3.00,5.00,4.00,238,NULL,213,'MEIA PRAIA','ITAPEMA','SC',13205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149069,1.00,5.00,5.00,6.00,7.00,6.75,3.00,7.00,2.00,340,NULL,NULL,'CENTRO','LAGES','SC',7086,192,NULL,NULL,NULL,NULL,NULL,4,9),(28,7149077,0.00,5.00,4.00,1.00,4.00,NULL,1.00,3.00,0.00,207,NULL,201,'GUARANI','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7149085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7149107,4.00,8.00,2.00,6.00,10.00,8.25,3.00,4.00,3.00,104,NULL,NULL,'PRESIDENTE MÉDICE','CHAPECÓ','SC',4770,84,NULL,NULL,NULL,NULL,NULL,4,4),(28,7149115,3.00,7.00,2.00,4.00,7.00,9.00,2.00,3.00,4.00,213,NULL,601,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',7943,137,NULL,192,NULL,NULL,NULL,4,1),(28,7149123,4.00,8.00,2.00,7.00,10.00,9.38,4.00,6.00,4.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2164,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149131,1.00,4.00,2.00,5.00,3.00,NULL,1.00,2.00,2.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7149140,2.00,6.00,3.00,6.00,6.00,9.38,2.00,5.00,5.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9911,241,NULL,NULL,NULL,NULL,NULL,2,1),(28,7149158,5.00,6.00,2.00,7.00,5.00,7.13,5.00,3.00,4.00,999,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149166,4.00,7.00,2.00,3.00,6.00,6.38,4.00,6.00,3.00,220,NULL,235,'NOVA YORK','CASCAVEL','PR',8111,214,NULL,134,NULL,NULL,NULL,2,4),(28,7149190,2.00,5.00,1.00,6.00,6.00,9.75,0.00,6.00,2.00,103,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',12202,2213,NULL,NULL,NULL,NULL,NULL,2,3),(28,7149204,2.00,8.00,4.00,7.00,8.00,9.00,6.00,7.00,7.00,233,NULL,653,'CIDADE ALTA','TURVO','SC',1606,24,NULL,NULL,NULL,NULL,NULL,4,15),(28,7149212,8.00,7.00,7.00,7.00,11.00,10.13,7.00,6.00,7.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',92,77,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149220,5.00,6.00,2.00,4.00,5.00,8.63,5.00,6.00,3.00,208,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',7635,73,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149239,0.00,3.00,2.00,4.00,3.00,NULL,5.00,3.00,3.00,999,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149255,4.00,9.00,5.00,7.00,7.00,9.38,4.00,7.00,4.00,340,NULL,NULL,'BUCAREIN','JOINVILLE','SC',2252,44,NULL,NULL,NULL,NULL,NULL,4,8),(28,7149263,3.00,3.00,2.00,4.00,7.00,7.50,2.00,6.00,2.00,103,NULL,NULL,'CENTRO','GUARACIABA','SC',12308,2218,NULL,NULL,NULL,NULL,NULL,2,27),(28,7149271,0.00,6.00,3.00,6.00,3.00,11.25,2.00,5.00,1.00,203,NULL,220,'CENTRO','NAVEGANTES','SC',16602,667,NULL,324,NULL,NULL,NULL,4,6),(28,7149280,5.00,7.00,3.00,6.00,8.00,7.88,5.00,6.00,6.00,316,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2637,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149298,0.00,4.00,0.00,5.00,4.00,NULL,3.00,2.00,2.00,109,NULL,NULL,'BOM JESUS','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7149301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'VILA MATILDE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7149310,2.00,5.00,2.00,4.00,8.00,7.50,2.00,4.00,4.00,425,NULL,428,'CAMINHO NOVO','PALHOÇA','SC',16523,NULL,NULL,53,NULL,NULL,NULL,4,1),(28,7149336,1.00,4.00,2.00,7.00,8.00,7.88,1.00,6.00,1.00,324,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',16585,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149344,0.00,5.00,1.00,3.00,2.00,NULL,3.00,4.00,2.00,317,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7149360,1.00,7.00,1.00,7.00,8.00,7.50,1.00,4.00,2.00,301,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',9875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149379,4.00,6.00,2.00,5.00,6.00,6.75,4.00,4.00,5.00,301,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',7756,83,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149387,7.00,7.00,4.00,6.00,6.00,9.75,4.00,7.00,3.00,203,NULL,202,'AMIZADE','JARAGUÁ SUL','SC',3219,235,NULL,90,NULL,NULL,NULL,4,23),(28,7149395,1.00,4.00,4.00,4.00,3.00,7.50,2.00,4.00,2.00,424,NULL,421,'BOMVIVER','BIGUAÇU','SC',18908,NULL,NULL,27,NULL,NULL,NULL,2,1),(28,7149409,0.00,4.00,2.00,3.00,3.00,8.25,3.00,4.00,1.00,216,NULL,215,'SANTA TEREZINHA','SOROCABA','SP',15773,413,NULL,256,NULL,NULL,NULL,4,2),(28,7149417,6.00,9.00,4.00,7.00,10.00,10.50,8.00,7.00,8.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',88,73,NULL,NULL,NULL,NULL,NULL,2,1),(28,7149425,2.00,3.00,3.00,6.00,4.00,8.25,2.00,6.00,2.00,501,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',12368,69,NULL,NULL,NULL,NULL,NULL,2,10),(28,7149450,0.00,6.00,1.00,6.00,6.00,7.50,1.00,7.00,4.00,999,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7149476,2.00,6.00,1.00,5.00,6.00,9.75,1.00,5.00,4.00,319,NULL,NULL,'CENTRO','CPO MOURÃO','PR',9460,171,NULL,NULL,NULL,NULL,NULL,2,17),(28,7149484,3.00,6.00,2.00,5.00,5.00,7.88,4.00,5.00,2.00,302,NULL,NULL,'FUNDOS','BIGUAÇU','SC',9531,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7149506,0.00,3.00,0.00,4.00,3.00,6.00,2.00,3.00,3.00,103,NULL,NULL,'AGUA BRANCA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7149514,6.00,7.00,4.00,5.00,9.00,10.50,5.00,6.00,8.00,216,NULL,215,'VENDAVAL','BIGUAÇU','SC',896,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149530,5.00,6.00,2.00,6.00,7.00,6.00,2.00,5.00,4.00,319,NULL,NULL,'JARDIM FRANÇA','S PAULO','SP',8458,141,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149549,6.00,7.00,2.00,6.00,9.00,10.50,5.00,6.00,5.00,454,NULL,NULL,'CAMPINAS','S JOSÉ','SC',2516,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7149557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'GIOCONDO ORSI','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7149565,5.00,7.00,3.00,6.00,4.00,7.13,4.00,5.00,6.00,103,NULL,NULL,'CHÁCARA FLORA','S PAULO','SP',10709,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149573,3.00,7.00,2.00,7.00,9.00,11.25,1.00,4.00,3.00,454,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',5192,69,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149603,5.00,7.00,5.00,4.00,9.00,10.50,5.00,6.00,7.00,216,NULL,233,'CENTRO','LONDRINA','PR',1170,31,NULL,NULL,NULL,NULL,NULL,4,3),(28,7149620,6.00,9.00,3.00,7.00,9.00,9.00,7.00,7.00,6.00,211,NULL,216,'SACO GRANDE','FLORIANÓPOLIS','SC',466,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149638,5.00,8.00,7.00,6.00,9.00,10.88,5.00,7.00,7.00,103,NULL,NULL,'SÃO MIGUEL PAULISTA','S PAULO','SP',206,161,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149646,2.00,7.00,1.00,3.00,9.00,7.88,2.00,4.00,4.00,302,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',10237,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149654,0.00,3.00,3.00,3.00,3.00,NULL,0.00,3.00,0.00,108,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149662,3.00,8.00,2.00,5.00,9.00,10.50,2.00,6.00,3.00,5,NULL,NULL,'PINHEIROS','S PAULO','SP',7552,231,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149670,4.00,7.00,4.00,5.00,7.00,8.63,3.00,6.00,6.00,303,NULL,NULL,'CIDADE VARGAS','S PAULO','SP',4162,195,NULL,NULL,NULL,NULL,NULL,4,8),(28,7149697,4.00,7.00,4.00,7.00,8.00,10.13,6.00,7.00,4.00,203,NULL,601,'CENTRO','JOINVILLE','SC',4035,294,NULL,65,NULL,NULL,NULL,2,8),(28,7149700,0.00,4.00,2.00,4.00,1.00,NULL,2.00,4.00,2.00,302,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7149735,0.00,5.00,3.00,5.00,6.00,NULL,1.00,4.00,3.00,5,NULL,NULL,'MIRIM','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7149743,6.00,7.00,6.00,7.00,6.00,5.25,6.00,7.00,6.00,203,NULL,235,'RECANTO TROPICAL','CASCAVEL','PR',2830,214,NULL,43,NULL,NULL,NULL,2,22),(28,7149751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA LEOPOLDINA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7149760,1.00,5.00,2.00,5.00,3.00,6.75,5.00,5.00,1.00,601,NULL,203,'CENTRO','PRES GETÚLIO','SC',13890,412,NULL,NULL,NULL,NULL,NULL,2,24),(28,7149778,3.00,7.00,4.00,7.00,9.00,8.25,6.00,7.00,6.00,103,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',2259,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7149786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'VILA GUILHERME','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7149794,4.00,7.00,4.00,5.00,10.00,10.13,6.00,8.00,5.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',2283,74,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149808,8.00,8.00,5.00,6.00,9.00,13.50,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','ITUMBIARA','GO',109,87,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149824,4.00,7.00,2.00,4.00,3.00,6.75,5.00,3.00,3.00,207,NULL,201,'SANTA MÔNICA','FLORIANÓPOLIS','SC',13388,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(28,7149832,5.00,6.00,2.00,5.00,6.00,7.88,3.00,6.00,4.00,601,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',9213,243,NULL,NULL,NULL,NULL,NULL,2,1),(28,7149840,1.00,5.00,3.00,4.00,6.00,6.38,3.00,2.00,1.00,238,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',13852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149867,4.00,4.00,0.00,6.00,7.00,8.25,0.00,5.00,4.00,216,NULL,NULL,'CENTRO','PNT GROSSA','PR',9509,306,NULL,NULL,NULL,NULL,NULL,2,1),(28,7149875,1.00,2.00,1.00,6.00,2.00,NULL,3.00,1.00,2.00,454,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7149883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'CENTRO','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7149891,2.00,5.00,2.00,7.00,6.00,7.50,0.00,3.00,3.00,102,NULL,NULL,'TABULEIRO','ITAPEMA','SC',17471,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7149905,0.00,2.00,3.00,4.00,2.00,NULL,0.00,4.00,2.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7149964,2.00,5.00,1.00,5.00,5.00,8.63,3.00,6.00,3.00,201,NULL,211,'INTERIOR','MONDAÍ','SC',11739,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7149972,0.00,3.00,4.00,5.00,5.00,NULL,2.00,0.00,2.00,224,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7149980,4.00,8.00,3.00,6.00,8.00,7.50,2.00,6.00,5.00,201,NULL,207,'UNIVERSITÁRIO','TIJUCAS','SC',4468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7149999,4.00,6.00,2.00,5.00,9.00,8.25,4.00,7.00,4.00,501,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',5407,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7150016,6.00,8.00,4.00,7.00,10.00,10.13,6.00,8.00,8.00,103,NULL,NULL,'ITAIM BIBI','S PAULO','SP',384,275,NULL,NULL,NULL,NULL,NULL,4,1),(28,7150024,3.00,2.00,0.00,6.00,5.00,8.63,2.00,2.00,0.00,319,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',16339,315,NULL,NULL,NULL,NULL,NULL,4,1),(28,7150040,4.00,5.00,1.00,7.00,4.00,8.25,1.00,4.00,5.00,103,NULL,NULL,'SÃO JOSÉ','PTO REAL','RJ',14799,2342,NULL,NULL,NULL,NULL,NULL,2,1),(28,7150067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7150075,6.00,9.00,5.00,7.00,10.00,9.75,3.00,6.00,7.00,201,NULL,211,'AGRONOMICA','FLORIANÓPOLIS','SC',601,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7150083,7.00,8.00,7.00,6.00,9.00,11.63,6.00,7.00,6.00,103,NULL,NULL,'PISCINA','ANDRADINA','SP',169,132,NULL,NULL,NULL,NULL,NULL,4,8),(28,7150091,3.00,4.00,1.00,4.00,8.00,6.38,1.00,2.00,2.00,203,NULL,601,'ITAUM','JOINVILLE','SC',12987,603,NULL,392,NULL,NULL,NULL,2,8),(28,7150105,6.00,8.00,4.00,7.00,9.00,7.88,5.00,7.00,7.00,103,NULL,NULL,'ESTALEIRINHO','BAL CAMBORIÚ','SC',1686,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7150148,3.00,7.00,1.00,6.00,9.00,9.00,3.00,5.00,4.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7362,32,NULL,NULL,NULL,NULL,NULL,2,1),(28,7150172,1.00,4.00,3.00,4.00,6.00,NULL,0.00,3.00,3.00,326,NULL,NULL,'BREHMER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7150180,5.00,6.00,3.00,3.00,9.00,9.38,1.00,6.00,6.00,9,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',5165,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7150199,5.00,7.00,0.00,6.00,8.00,9.00,3.00,6.00,5.00,102,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4239,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7150210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'ENGORDADOURO','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7150229,2.00,3.00,3.00,4.00,5.00,8.25,0.00,5.00,2.00,333,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7150237,1.00,5.00,1.00,4.00,3.00,7.13,3.00,3.00,3.00,203,NULL,220,'MICHEL','CRICIÚMA','SC',15849,655,NULL,319,NULL,NULL,NULL,2,5),(28,7150253,5.00,7.00,2.00,5.00,8.00,8.63,2.00,6.00,3.00,207,NULL,201,'VILA TATETUBA','S JOSÉ CAMPOS','SP',5880,271,NULL,461,NULL,NULL,NULL,4,1),(28,7150261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,235,'MORRO DO MEIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7150270,3.00,5.00,4.00,7.00,5.00,3.00,2.00,5.00,5.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7150288,4.00,5.00,2.00,5.00,2.00,NULL,5.00,6.00,8.00,202,NULL,201,'NOVO HORIZONTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7150296,4.00,8.00,5.00,6.00,9.00,8.25,4.00,6.00,6.00,216,NULL,211,'GUANABARA','JOINVILLE','SC',3425,125,NULL,80,NULL,NULL,NULL,4,8),(28,7150300,2.00,3.00,0.00,6.00,5.00,NULL,1.00,3.00,2.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7150318,3.00,6.00,0.00,5.00,5.00,NULL,2.00,7.00,3.00,104,NULL,NULL,'GRANJA OLGA II','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7150334,8.00,7.00,5.00,7.00,9.00,11.25,7.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',136,109,NULL,NULL,NULL,NULL,NULL,2,1),(28,7150377,4.00,7.00,1.00,4.00,8.00,10.50,2.00,4.00,2.00,201,NULL,214,'SANTA RITA','LAGES','SC',12073,771,NULL,287,NULL,NULL,NULL,2,9),(28,7150393,2.00,7.00,1.00,7.00,8.00,8.25,1.00,5.00,2.00,303,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',9670,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7150407,3.00,5.00,2.00,6.00,9.00,10.13,3.00,5.00,5.00,207,NULL,212,'GUARANI','BRUSQUE','SC',5727,257,NULL,185,NULL,NULL,NULL,4,22),(28,7150415,4.00,7.00,0.00,6.00,6.00,NULL,5.00,2.00,2.00,319,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7150423,5.00,8.00,2.00,7.00,7.00,10.50,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',2319,968,NULL,NULL,NULL,NULL,NULL,4,8),(28,7150431,0.00,2.00,1.00,4.00,0.00,NULL,0.00,1.00,2.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7150440,0.00,3.00,2.00,6.00,2.00,NULL,2.00,3.00,3.00,5,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7150458,1.00,3.00,3.00,5.00,4.00,7.13,3.00,2.00,0.00,216,NULL,201,'COSTA DA LAGOA','JAGUARUNA','SC',15084,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7150466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CHACARA DAS PEDRAS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7150482,0.00,4.00,4.00,5.00,5.00,5.25,1.00,5.00,2.00,450,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18850,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7150490,4.00,4.00,4.00,5.00,4.00,5.63,4.00,3.00,1.00,454,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7150504,4.00,7.00,3.00,4.00,8.00,6.75,5.00,3.00,6.00,203,NULL,214,'JD COLINAS','S JOSÉ CAMPOS','SP',5755,379,NULL,181,NULL,NULL,NULL,4,1),(28,7150539,0.00,6.00,2.00,6.00,8.00,6.75,4.00,5.00,3.00,212,NULL,235,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',8680,259,NULL,139,NULL,NULL,NULL,2,1),(28,7150547,6.00,7.00,5.00,7.00,9.00,9.00,5.00,7.00,7.00,220,NULL,233,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1063,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7150555,3.00,5.00,2.00,7.00,6.00,6.75,4.00,5.00,5.00,653,NULL,652,'ALTO FELIZ','ARARANGUÁ','SC',11608,121,NULL,33,NULL,NULL,NULL,2,15),(28,7150571,0.00,0.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','TANGARÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,7),(28,7150580,3.00,8.00,2.00,7.00,7.00,9.00,2.00,5.00,5.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5709,1589,NULL,NULL,NULL,NULL,NULL,2,1),(28,7150598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JDM BRANDINA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7150601,3.00,3.00,1.00,2.00,5.00,6.75,3.00,4.00,1.00,211,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7150610,5.00,6.00,6.00,7.00,6.00,7.50,3.00,7.00,6.00,103,NULL,NULL,'SANTO AMARO','S PAULO','SP',2924,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7150636,2.00,3.00,2.00,2.00,6.00,9.00,2.00,4.00,3.00,309,NULL,NULL,'AREIAS','S JOSÉ','SC',14670,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7150644,3.00,7.00,2.00,7.00,8.00,9.38,4.00,8.00,6.00,310,NULL,NULL,'CASA VERDE','S PAULO','SP',2312,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7150652,0.00,2.00,1.00,0.00,4.00,5.25,5.00,3.00,0.00,201,NULL,215,'CABEÇUDA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7150687,0.00,2.00,3.00,4.00,4.00,NULL,1.00,3.00,2.00,428,NULL,426,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7150695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ALTO DA LAPA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7150709,4.00,5.00,2.00,6.00,5.00,8.63,6.00,5.00,4.00,202,NULL,213,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',10029,257,NULL,175,NULL,NULL,NULL,4,1),(28,7150717,1.00,3.00,2.00,3.00,6.00,7.88,3.00,5.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15455,2375,NULL,NULL,NULL,NULL,NULL,2,1),(28,7150733,5.00,8.00,2.00,5.00,5.00,6.75,3.00,4.00,2.00,340,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',12618,345,NULL,NULL,NULL,NULL,NULL,4,5),(28,7150741,5.00,7.00,2.00,4.00,9.00,7.50,4.00,7.00,4.00,103,NULL,NULL,'ANDORINHA','ITAPEMA','SC',8346,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7150750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SÃO MARCOS','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7150768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'PARQUE CAMPOLIM','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',5,1),(28,7150792,2.00,2.00,1.00,4.00,6.00,8.63,0.00,3.00,2.00,308,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',19190,86,NULL,NULL,NULL,NULL,NULL,2,1),(28,7150806,3.00,8.00,2.00,7.00,8.00,7.88,5.00,6.00,3.00,5,NULL,NULL,'PENHA','PAULO LOPES','SC',5673,188,NULL,NULL,NULL,NULL,NULL,2,1),(28,7150822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SANTANA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7150830,1.00,2.00,3.00,3.00,3.00,3.00,0.00,4.00,3.00,332,NULL,NULL,'IGUAÇU','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7150849,1.00,6.00,3.00,6.00,5.00,8.25,4.00,3.00,3.00,207,NULL,211,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',9415,NULL,NULL,255,NULL,NULL,NULL,2,1),(28,7150890,4.00,7.00,4.00,5.00,10.00,11.25,2.00,4.00,4.00,216,NULL,203,'CAMPECHE','FLORIANÓPOLIS','SC',5239,202,NULL,357,NULL,NULL,NULL,2,1),(28,7150920,2.00,5.00,5.00,6.00,6.00,7.88,2.00,5.00,2.00,655,NULL,652,'LAGOA DOS FRAITAS','IÇARA','SC',13122,70,NULL,NULL,NULL,NULL,NULL,2,5),(28,7150954,5.00,6.00,4.00,5.00,7.00,10.13,4.00,7.00,7.00,201,NULL,215,'PASSA VINTE','PALHOÇA','SC',1569,96,NULL,7,NULL,NULL,NULL,2,1),(28,7150962,1.00,0.00,2.00,6.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(28,7150970,4.00,4.00,3.00,4.00,5.00,8.63,1.00,4.00,4.00,201,NULL,NULL,'LAGO NORTE','LG NORTE','DF',9665,657,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151004,9.00,8.00,8.00,6.00,8.00,7.50,8.00,9.00,8.00,103,NULL,NULL,'VILA IRACEMA','S JOSÉ CAMPOS','SP',32,26,NULL,NULL,NULL,NULL,NULL,2,1),(28,7151012,2.00,5.00,2.00,6.00,5.00,7.50,3.00,2.00,3.00,104,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',12636,314,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151020,1.00,6.00,2.00,4.00,5.00,7.13,4.00,6.00,3.00,327,NULL,NULL,'CENTRO','CRICIÚMA','SC',12135,34,NULL,NULL,NULL,NULL,NULL,2,5),(28,7151039,2.00,5.00,2.00,5.00,5.00,6.00,3.00,5.00,2.00,653,NULL,NULL,'LINHA SÃO JOSÉ','MELEIRO','SC',17797,188,NULL,NULL,NULL,NULL,NULL,2,15),(28,7151047,2.00,4.00,3.00,4.00,4.00,6.38,2.00,4.00,2.00,320,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',18911,55,NULL,NULL,NULL,NULL,NULL,2,1),(28,7151055,1.00,6.00,2.00,2.00,8.00,6.38,4.00,5.00,2.00,652,NULL,655,'SANTA BARBARA','CRICIÚMA','SC',17319,80,NULL,NULL,NULL,NULL,NULL,4,5),(28,7151063,4.00,6.00,3.00,7.00,7.00,6.75,4.00,6.00,2.00,450,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',11611,94,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151071,3.00,4.00,3.00,4.00,5.00,0.00,2.00,4.00,3.00,999,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151080,2.00,5.00,2.00,6.00,4.00,7.88,1.00,5.00,3.00,309,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',17592,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7151098,0.00,2.00,0.00,1.00,3.00,6.00,2.00,2.00,4.00,404,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7151110,2.00,7.00,2.00,4.00,5.00,11.25,5.00,4.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6980,314,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151128,1.00,2.00,4.00,4.00,3.00,2.63,1.00,4.00,2.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7151136,3.00,7.00,3.00,6.00,6.00,7.13,3.00,4.00,5.00,454,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',8313,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7151144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7151152,3.00,8.00,3.00,4.00,10.00,7.50,2.00,6.00,4.00,103,NULL,NULL,'BOM PASTOR','TUBARÃO','SC',4733,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7151160,8.00,8.00,4.00,6.00,9.00,9.38,6.00,7.00,8.00,203,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',302,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151179,0.00,2.00,2.00,4.00,4.00,8.63,1.00,2.00,2.00,309,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',17425,44,NULL,NULL,NULL,NULL,NULL,2,1),(28,7151195,0.00,4.00,1.00,4.00,2.00,NULL,2.00,4.00,3.00,404,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7151217,3.00,9.00,3.00,7.00,5.00,11.63,3.00,6.00,8.00,103,NULL,NULL,'MERCES','CURITIBA','PR',2301,964,NULL,NULL,NULL,NULL,NULL,4,25),(28,7151225,1.00,7.00,1.00,7.00,7.00,7.50,4.00,6.00,3.00,316,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',6614,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151233,1.00,7.00,2.00,7.00,4.00,9.38,3.00,4.00,3.00,450,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15148,111,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151241,3.00,5.00,4.00,6.00,4.00,6.75,2.00,3.00,3.00,110,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',14271,57,NULL,NULL,NULL,NULL,NULL,2,1),(28,7151250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JD BELA VISTA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7151284,2.00,5.00,3.00,7.00,8.00,7.88,2.00,5.00,4.00,103,NULL,NULL,'NAÇOES','CONCÓRDIA','SC',7891,1884,NULL,NULL,NULL,NULL,NULL,2,4),(28,7151292,1.00,7.00,2.00,4.00,5.00,7.50,2.00,4.00,1.00,207,NULL,202,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',14241,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7151322,6.00,7.00,1.00,7.00,10.00,9.00,4.00,5.00,6.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',2348,78,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'SANTA RITA','MACAPÁ','AP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7151373,1.00,4.00,4.00,2.00,5.00,6.38,0.00,3.00,1.00,319,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7151381,3.00,5.00,4.00,6.00,8.00,9.75,2.00,5.00,4.00,203,NULL,238,'BELA VISTA I','S JOSÉ','SC',6962,426,NULL,85,NULL,NULL,NULL,4,1),(28,7151390,7.00,8.00,3.00,7.00,7.00,7.50,5.00,7.00,5.00,201,NULL,212,'CENTRO','URUSSANGA','SC',2616,193,NULL,71,NULL,NULL,NULL,4,5),(28,7151403,3.00,0.00,2.00,4.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TIO HUGO','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(28,7151411,6.00,9.00,5.00,6.00,10.00,11.63,6.00,8.00,6.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',376,270,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SOARES','OURINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7151446,2.00,3.00,1.00,3.00,0.00,NULL,0.00,2.00,2.00,104,NULL,NULL,'RIO DAS PEDRAS','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7151462,2.00,4.00,0.00,3.00,5.00,7.13,0.00,3.00,3.00,102,NULL,NULL,'SANTINI','S MARCOS','RS',16152,151,NULL,NULL,NULL,NULL,NULL,2,3),(28,7151489,6.00,9.00,3.00,7.00,8.00,8.25,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3216,1186,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151497,3.00,4.00,3.00,3.00,4.00,8.63,0.00,3.00,2.00,317,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',15349,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7151500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7151519,3.00,6.00,4.00,7.00,8.00,10.13,3.00,7.00,4.00,337,NULL,NULL,'JARDIM SOFIA','JOINVILLE','SC',9317,16,NULL,NULL,NULL,NULL,NULL,4,8),(28,7151535,2.00,5.00,2.00,1.00,3.00,6.00,3.00,3.00,3.00,552,NULL,NULL,'ARROIOS','CANOINHAS','SC',19576,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7151543,0.00,5.00,1.00,5.00,4.00,8.25,2.00,4.00,3.00,201,NULL,207,'CENTRO','CAMBORIÚ','SC',14960,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7151551,0.00,5.00,0.00,7.00,4.00,8.63,3.00,2.00,0.00,301,NULL,NULL,'JARDIM EUCALIPTUS','PALHOÇA','SC',19224,256,NULL,NULL,NULL,NULL,NULL,2,1),(28,7151616,0.00,4.00,1.00,3.00,3.00,NULL,3.00,5.00,2.00,202,NULL,213,'PADROEIRA','OSASCO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151640,1.00,5.00,3.00,7.00,6.00,7.88,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14259,2320,NULL,NULL,NULL,NULL,NULL,3,1),(28,7151667,3.00,6.00,3.00,6.00,8.00,8.25,3.00,5.00,5.00,103,NULL,NULL,'BRASILIA I','CASCAVEL','PR',4716,1447,NULL,NULL,NULL,NULL,NULL,2,1),(28,7151675,1.00,2.00,3.00,4.00,6.00,5.63,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','TANGARÁ','SC',15674,2387,NULL,NULL,NULL,NULL,NULL,2,7),(28,7151683,4.00,6.00,2.00,6.00,6.00,11.25,4.00,5.00,2.00,238,NULL,233,'BARREIROS','S JOSÉ','SC',6140,62,NULL,NULL,NULL,NULL,NULL,2,1),(28,7151691,3.00,5.00,1.00,4.00,8.00,4.50,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','LAGUNA','SC',15449,2374,NULL,NULL,NULL,NULL,NULL,4,10),(28,7151705,4.00,7.00,3.00,6.00,7.00,7.88,2.00,7.00,5.00,212,NULL,214,'ROÇADO','S JOSÉ','SC',7621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151713,1.00,2.00,2.00,4.00,4.00,6.75,1.00,3.00,0.00,225,NULL,NULL,'MORRO DO FABRICIO','STO AMARO IMPERATRIZ','SC',19974,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7151721,1.00,7.00,1.00,5.00,8.00,10.88,1.00,7.00,2.00,304,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',7207,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151730,0.00,3.00,2.00,3.00,2.00,NULL,1.00,4.00,3.00,104,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7151748,1.00,5.00,2.00,4.00,4.00,6.00,2.00,5.00,2.00,318,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',14674,103,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151756,2.00,5.00,2.00,4.00,6.00,8.25,2.00,3.00,1.00,308,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',12834,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151764,3.00,6.00,3.00,7.00,5.00,12.75,2.00,4.00,3.00,404,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11864,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151780,2.00,4.00,2.00,6.00,7.00,6.75,2.00,4.00,2.00,211,NULL,216,'CENTRO','CASCAVEL','PR',16378,396,NULL,424,NULL,NULL,NULL,4,4),(28,7151799,2.00,5.00,1.00,6.00,4.00,7.13,0.00,5.00,2.00,222,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',18787,39,NULL,NULL,NULL,NULL,NULL,2,1),(28,7151810,1.00,4.00,3.00,4.00,5.00,7.88,3.00,3.00,4.00,104,NULL,NULL,'CENTRO','IPUMIRIM','SC',14510,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7151829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,207,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7151837,1.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,421,NULL,427,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7151870,0.00,1.00,4.00,6.00,5.00,9.75,2.00,4.00,2.00,109,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',18186,84,NULL,NULL,NULL,NULL,NULL,2,1),(28,7151888,4.00,7.00,4.00,6.00,6.00,7.13,5.00,6.00,4.00,238,NULL,655,'CENTRO','FLORIANÓPOLIS','SC',4865,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151896,4.00,8.00,4.00,6.00,9.00,8.63,3.00,6.00,7.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',4262,1375,NULL,NULL,NULL,NULL,NULL,2,8),(28,7151950,3.00,2.00,3.00,4.00,5.00,5.63,1.00,2.00,1.00,404,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',19516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7151977,2.00,7.00,3.00,5.00,8.00,9.00,2.00,4.00,4.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',11997,161,NULL,NULL,NULL,NULL,NULL,4,1),(28,7151985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'VILA GUSTAVO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7151993,4.00,4.00,2.00,6.00,5.00,7.50,2.00,6.00,3.00,333,NULL,NULL,'CENTRO','CURITIBA','PR',13996,84,NULL,NULL,NULL,NULL,NULL,4,1),(28,7152000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA JARDIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7152019,4.00,6.00,4.00,5.00,8.00,6.75,4.00,5.00,6.00,207,NULL,201,'ROÇADO','S JOSÉ','SC',8113,375,NULL,583,NULL,NULL,NULL,2,1),(28,7152027,0.00,6.00,2.00,2.00,3.00,NULL,3.00,6.00,1.00,202,NULL,235,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7152035,0.00,7.00,4.00,7.00,8.00,NULL,1.00,6.00,4.00,207,NULL,211,'DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7152051,1.00,3.00,1.00,3.00,2.00,NULL,2.00,0.00,4.00,301,NULL,NULL,'CAMPOLIM','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7152060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,233,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7152078,0.00,7.00,2.00,7.00,3.00,8.25,1.00,6.00,2.00,103,NULL,NULL,'SÃO SEBASTIÃO','S MIGUEL OESTE','SC',16720,2424,NULL,NULL,NULL,NULL,NULL,4,27),(28,7152086,3.00,7.00,2.00,6.00,8.00,8.25,4.00,4.00,4.00,454,NULL,NULL,'ARMAÇÃO PÂNTANO SUL','FLORIANÓPOLIS','SC',11147,215,NULL,NULL,NULL,NULL,NULL,2,1),(28,7152108,2.00,4.00,2.00,6.00,6.00,7.88,3.00,3.00,2.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',12142,333,NULL,NULL,NULL,NULL,NULL,4,1),(28,7152116,7.00,7.00,5.00,7.00,9.00,10.13,7.00,8.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',464,325,NULL,NULL,NULL,NULL,NULL,4,1),(28,7152124,6.00,6.00,3.00,7.00,5.00,5.63,3.00,4.00,4.00,203,NULL,214,'JARDIM BLUMENAU','BLUMENAU','SC',7453,449,NULL,221,NULL,NULL,NULL,4,2),(28,7152132,5.00,6.00,2.00,6.00,7.00,5.63,4.00,7.00,7.00,201,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',4774,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7152140,0.00,2.00,2.00,4.00,3.00,NULL,3.00,0.00,1.00,109,NULL,NULL,'ARAUCARIA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7152159,2.00,8.00,4.00,3.00,4.00,9.75,1.00,5.00,8.00,103,NULL,NULL,'CARVALHO','CPO GRANDE','MS',8522,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7152167,3.00,4.00,4.00,2.00,7.00,7.13,1.00,5.00,3.00,103,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',14222,2317,NULL,NULL,NULL,NULL,NULL,4,1),(28,7152183,1.00,7.00,2.00,3.00,5.00,6.00,1.00,2.00,2.00,104,NULL,NULL,'PICADAS DO NORTE','S JOSÉ','SC',16488,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7152191,3.00,7.00,3.00,7.00,8.00,6.75,5.00,7.00,5.00,238,NULL,652,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4360,28,NULL,NULL,NULL,NULL,NULL,2,1),(28,7152205,0.00,6.00,2.00,6.00,8.00,7.88,1.00,4.00,2.00,427,NULL,421,'CANASVIEIRAS','FLORIANÓPOLIS','SC',13249,6,NULL,NULL,NULL,NULL,NULL,2,1),(28,7152221,0.00,7.00,1.00,4.00,6.00,NULL,3.00,7.00,3.00,235,NULL,653,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7152248,8.00,9.00,6.00,7.00,9.00,8.63,8.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',346,253,NULL,NULL,NULL,NULL,NULL,2,1),(28,7152264,0.00,4.00,2.00,6.00,2.00,NULL,3.00,4.00,1.00,202,NULL,220,'JARDIM ORIENTE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7152272,3.00,5.00,2.00,1.00,5.00,6.75,1.00,3.00,3.00,601,NULL,201,'BOA VISTA','JOINVILLE','SC',19182,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7152280,1.00,7.00,4.00,4.00,6.00,10.50,0.00,4.00,2.00,316,NULL,NULL,'SÃO PEDRO','GUABIRUBA','SC',15357,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7152299,4.00,5.00,2.00,6.00,5.00,4.50,4.00,5.00,4.00,104,NULL,NULL,'CENTRO','BRUSQUE','SC',15520,380,NULL,NULL,NULL,NULL,NULL,4,22),(28,7152302,2.00,8.00,1.00,1.00,4.00,4.50,2.00,4.00,0.00,110,NULL,NULL,'SÃO PEDRO','BRUSQUE','SC',19810,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7152310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'SÃO SEBASTIÃO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7152337,1.00,6.00,2.00,6.00,7.00,8.63,3.00,4.00,3.00,216,NULL,201,'CENTRO','LAGES','SC',12797,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7152345,1.00,4.00,2.00,2.00,4.00,5.25,2.00,4.00,2.00,5,NULL,NULL,'ESTREITO','ALFREDO WAGNER','SC',16512,442,NULL,NULL,NULL,NULL,NULL,4,1),(28,7152353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7152388,2.00,7.00,2.00,7.00,8.00,0.00,4.00,5.00,4.00,103,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7152396,5.00,6.00,3.00,7.00,8.00,9.75,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','VERANÓPOLIS','RS',2888,1110,NULL,NULL,NULL,NULL,NULL,2,1),(28,7152400,0.00,4.00,1.00,5.00,1.00,NULL,2.00,3.00,0.00,320,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7152418,5.00,6.00,1.00,7.00,9.00,8.25,2.00,4.00,2.00,653,NULL,601,'CENTRO','LAURENTINO','SC',9204,93,NULL,242,NULL,NULL,NULL,4,24),(28,7152450,2.00,8.00,3.00,6.00,7.00,6.75,4.00,5.00,2.00,208,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',13186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7152469,3.00,6.00,2.00,7.00,10.00,8.25,2.00,6.00,6.00,303,NULL,NULL,'JARDIM ANDRADE','LONDRINA','PR',3993,185,NULL,NULL,NULL,NULL,NULL,4,1),(28,7152477,4.00,7.00,2.00,7.00,6.00,6.75,5.00,5.00,5.00,301,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',4579,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7152485,3.00,7.00,2.00,7.00,8.00,9.00,3.00,6.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4343,1396,NULL,NULL,NULL,NULL,NULL,4,1),(28,7152493,4.00,7.00,3.00,7.00,5.00,6.00,5.00,5.00,5.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6335,206,NULL,NULL,NULL,NULL,NULL,2,1),(28,7152507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7152515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'GLEBA PALHANO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7152523,6.00,8.00,2.00,6.00,7.00,7.13,3.00,7.00,4.00,201,NULL,203,'BOA VISTA','RIO SUL','SC',5916,463,NULL,389,NULL,NULL,NULL,4,24),(28,7152531,4.00,5.00,2.00,5.00,4.00,7.50,3.00,5.00,4.00,601,NULL,238,'FLORESTA','JOINVILLE','SC',15639,461,NULL,263,NULL,NULL,NULL,4,8),(28,7152540,3.00,7.00,0.00,7.00,6.00,9.38,4.00,6.00,5.00,2,NULL,NULL,'CENTRO','CURITIBANOS','SC',5875,16,NULL,NULL,NULL,NULL,NULL,4,16),(28,7152558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7152566,4.00,7.00,4.00,4.00,7.00,9.00,5.00,5.00,5.00,235,NULL,202,'CENTRO','LAGES','SC',4619,76,NULL,NULL,NULL,NULL,NULL,4,9),(28,7152582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','STO ÂNGELO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7152590,0.00,4.00,0.00,5.00,4.00,NULL,1.00,2.00,3.00,502,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7152604,4.00,7.00,2.00,6.00,8.00,8.63,3.00,5.00,4.00,216,NULL,203,'VORSTADT','BLUMENAU','SC',3236,115,NULL,237,NULL,NULL,NULL,4,2),(28,7152612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA CIDADE','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,27),(28,7152620,4.00,5.00,3.00,6.00,7.00,9.75,4.00,6.00,5.00,208,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',4075,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7152639,1.00,3.00,3.00,4.00,8.00,7.50,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',11849,2194,NULL,NULL,NULL,NULL,NULL,4,17),(28,7152647,4.00,7.00,3.00,5.00,10.00,11.25,3.00,5.00,4.00,3,NULL,NULL,'SANTA TERESA','S PEDRO ALCÂNTARA','SC',7054,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7152655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7152663,1.00,4.00,3.00,4.00,4.00,6.00,2.00,2.00,2.00,201,NULL,601,'CENTRO','LACERDÓPOLIS','SC',15247,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7152680,0.00,7.00,1.00,4.00,7.00,NULL,1.00,6.00,0.00,211,NULL,216,'CENTRO','PEDRAS GRANDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7152698,2.00,6.00,1.00,4.00,8.00,6.38,2.00,4.00,3.00,340,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12621,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7152701,3.00,8.00,3.00,6.00,8.00,12.75,4.00,6.00,6.00,235,NULL,601,'SÃO JOÃO','ITAJAÍ','SC',2323,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7152728,3.00,5.00,0.00,3.00,4.00,6.00,0.00,2.00,2.00,415,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7152736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7152744,4.00,7.00,3.00,7.00,7.00,6.00,4.00,5.00,5.00,214,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',5126,166,NULL,138,NULL,NULL,NULL,2,1),(28,7152787,0.00,4.00,2.00,2.00,4.00,6.75,0.00,1.00,2.00,654,NULL,NULL,'AMOLA FACA','TIMBÉ SUL','SC',19077,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7152817,2.00,8.00,2.00,6.00,6.00,10.13,3.00,5.00,3.00,213,NULL,235,'JARDIM MATILDE','OURINHOS','SP',6464,105,NULL,112,NULL,NULL,NULL,2,1),(28,7152825,6.00,7.00,3.00,7.00,9.00,8.63,5.00,7.00,5.00,203,NULL,NULL,'ZONA SETE','MARINGÁ','PR',1643,149,NULL,NULL,NULL,NULL,NULL,4,8),(28,7152841,2.00,4.00,1.00,5.00,4.00,11.63,3.00,4.00,0.00,103,NULL,NULL,'MAGALHÃES','LAGUNA','SC',13314,2273,NULL,NULL,NULL,NULL,NULL,2,10),(28,7152850,2.00,3.00,2.00,3.00,4.00,9.00,2.00,4.00,1.00,215,NULL,202,'CENTRO','CATANDUVAS','SC',19400,297,NULL,397,NULL,NULL,NULL,2,4),(28,7152868,4.00,4.00,0.00,7.00,6.00,7.50,2.00,4.00,4.00,9,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',11932,74,NULL,NULL,NULL,NULL,NULL,2,1),(28,7152892,2.00,7.00,1.00,4.00,2.00,NULL,3.00,5.00,2.00,201,NULL,212,'VILA PAULISTA','CRUZEIRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7152914,0.00,4.00,4.00,4.00,6.00,NULL,0.00,2.00,1.00,654,NULL,NULL,'CENTRO','CAPÃO CANOA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7152922,3.00,6.00,4.00,7.00,5.00,6.75,1.00,5.00,3.00,301,NULL,NULL,'JARDIM OSWALDO CRUZ','S JOSÉ CAMPOS','SP',8181,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7152949,1.00,4.00,2.00,4.00,5.00,NULL,0.00,2.00,1.00,109,NULL,NULL,'VILA MARGARIDA','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7152957,4.00,7.00,1.00,6.00,5.00,6.38,2.00,5.00,3.00,101,NULL,NULL,'IRIRIU','JOINVILLE','SC',12907,68,NULL,NULL,NULL,NULL,NULL,2,8),(28,7152965,1.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INDUSTRIAL NORTE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,23),(28,7152990,4.00,6.00,1.00,4.00,6.00,9.75,4.00,3.00,4.00,108,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',10538,139,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153007,0.00,5.00,2.00,2.00,4.00,NULL,0.00,2.00,3.00,103,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7153015,1.00,6.00,1.00,5.00,5.00,12.00,2.00,8.00,2.00,440,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',14024,1,NULL,NULL,NULL,NULL,NULL,6,1),(28,7153023,1.00,5.00,3.00,6.00,3.00,9.38,2.00,4.00,3.00,340,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',12156,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153031,1.00,4.00,3.00,6.00,4.00,8.63,0.00,3.00,3.00,207,NULL,201,'VILA NOVA','ASSAÍ','PR',18199,772,NULL,1000,NULL,NULL,NULL,4,1),(28,7153040,6.00,5.00,2.00,6.00,5.00,10.13,3.00,4.00,8.00,203,NULL,201,'JARDIM DOS ESTADOS','CPO GRANDE','MS',7644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153058,0.00,5.00,2.00,3.00,5.00,8.25,0.00,1.00,0.00,339,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7153074,2.00,7.00,5.00,7.00,6.00,7.88,1.00,5.00,2.00,207,NULL,653,'COLONINHA','ARARANGUÁ','SC',10773,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7153090,2.00,2.00,2.00,3.00,4.00,10.50,0.00,2.00,5.00,327,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',19097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153104,0.00,0.00,1.00,1.00,1.00,NULL,0.00,1.00,1.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153112,4.00,6.00,4.00,5.00,7.00,8.25,4.00,6.00,4.00,103,NULL,NULL,'BARRA DO SAÍ','GUARATUBA','PR',4849,1473,NULL,NULL,NULL,NULL,NULL,4,2),(28,7153120,2.00,7.00,3.00,6.00,6.00,8.63,3.00,7.00,3.00,324,NULL,NULL,'JARDIM CLAUDIA','LONDRINA','PR',12430,5,NULL,NULL,NULL,NULL,NULL,2,8),(28,7153139,0.00,4.00,2.00,5.00,6.00,6.38,2.00,3.00,3.00,103,NULL,NULL,'INTERIOR','IPUAÇU','SC',15977,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7153147,2.00,4.00,1.00,5.00,4.00,9.00,1.00,3.00,3.00,327,NULL,NULL,'CENTRO','S LUDGERO','SC',18209,56,NULL,NULL,NULL,NULL,NULL,2,10),(28,7153155,2.00,5.00,3.00,6.00,6.00,9.38,2.00,6.00,1.00,340,NULL,NULL,'CENTRO','UMUARAMA','PR',10909,302,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153171,2.00,4.00,3.00,5.00,6.00,0.00,2.00,4.00,2.00,999,NULL,NULL,'SAO FRANCISCO DE ASS','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153180,0.00,6.00,4.00,6.00,4.00,6.75,3.00,5.00,3.00,326,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',16300,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153198,0.00,8.00,2.00,4.00,4.00,7.13,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','IMBUIA','SC',11656,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7153210,2.00,6.00,1.00,7.00,8.00,11.25,3.00,3.00,7.00,3,NULL,NULL,'CENTRO','VACARIA','RS',4309,12,NULL,NULL,NULL,NULL,NULL,4,9),(28,7153228,1.00,8.00,1.00,7.00,8.00,10.50,1.00,7.00,4.00,333,NULL,NULL,'CENTRO','GUARANI MISSÕES','RS',6149,30,NULL,NULL,NULL,NULL,NULL,4,27),(28,7153252,0.00,5.00,3.00,4.00,3.00,6.75,2.00,4.00,1.00,108,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',19344,253,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153260,2.00,5.00,4.00,3.00,5.00,6.75,3.00,5.00,1.00,324,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',18099,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153279,1.00,6.00,1.00,4.00,4.00,6.00,0.00,3.00,1.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17203,136,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153287,2.00,7.00,2.00,4.00,5.00,8.63,0.00,6.00,1.00,103,NULL,NULL,'SAÚDE','RIO CLARO','SP',16587,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7153295,2.00,6.00,1.00,4.00,4.00,9.75,2.00,4.00,3.00,203,NULL,201,'GABIROBA','ITUPORANGA','SC',12191,NULL,NULL,783,NULL,NULL,NULL,4,24),(28,7153309,0.00,3.00,2.00,4.00,3.00,9.38,0.00,2.00,2.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153333,3.00,5.00,1.00,5.00,4.00,6.75,4.00,6.00,4.00,999,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7153341,6.00,8.00,3.00,7.00,9.00,9.38,4.00,7.00,4.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',2114,913,NULL,NULL,NULL,NULL,NULL,2,4),(28,7153368,2.00,6.00,3.00,4.00,5.00,4.50,3.00,4.00,2.00,104,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',17895,425,NULL,NULL,NULL,NULL,NULL,2,1),(28,7153384,5.00,8.00,3.00,3.00,5.00,9.38,5.00,4.00,5.00,213,NULL,653,'CENTRO','GUARATINGUETÁ','SP',4481,65,NULL,35,NULL,NULL,NULL,4,1),(28,7153406,4.00,8.00,2.00,7.00,9.00,8.63,6.00,6.00,8.00,203,NULL,201,'INTERLAGOS','S JOSÉ CAMPOS','SP',1415,131,NULL,82,NULL,NULL,NULL,4,1),(28,7153414,1.00,7.00,2.00,5.00,4.00,8.63,1.00,5.00,3.00,109,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',16517,71,NULL,NULL,NULL,NULL,NULL,2,1),(28,7153430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'SANTA INES','TRÊS PASSOS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7153449,0.00,6.00,1.00,5.00,6.00,NULL,2.00,5.00,4.00,415,NULL,NULL,'NOVA PARNAÍBA','PARNAÍBA','PI',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7153473,0.00,1.00,2.00,5.00,2.00,NULL,0.00,1.00,1.00,601,NULL,201,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7153481,3.00,3.00,2.00,5.00,3.00,5.63,2.00,4.00,3.00,552,NULL,NULL,'CENTRO','STA CECÍLIA','SC',18869,143,NULL,NULL,NULL,NULL,NULL,2,16),(28,7153503,1.00,3.00,0.00,4.00,3.00,5.63,2.00,3.00,3.00,104,NULL,NULL,'INCONFIDENTES','OURO BRANCO','MG',16393,402,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153511,1.00,4.00,1.00,5.00,5.00,6.00,1.00,6.00,2.00,207,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',18877,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7153538,3.00,7.00,3.00,7.00,7.00,9.75,3.00,7.00,6.00,220,NULL,202,'JARDIM OKINAWA','PAULÍNIA','SP',2531,74,NULL,71,NULL,NULL,NULL,2,8),(28,7153554,4.00,8.00,3.00,7.00,8.00,7.50,4.00,7.00,2.00,303,NULL,NULL,'CENTRO','MTE CARLO','SC',5902,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7153570,1.00,2.00,2.00,4.00,3.00,4.50,2.00,2.00,2.00,404,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7153589,4.00,7.00,2.00,6.00,8.00,7.50,7.00,5.00,5.00,220,NULL,214,'PRAIA COMPRIDA','S JOSÉ','SC',3254,97,NULL,120,NULL,NULL,NULL,4,1),(28,7153597,1.00,4.00,3.00,5.00,7.00,4.50,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',17320,2450,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153619,3.00,5.00,2.00,5.00,6.00,8.25,2.00,4.00,4.00,207,NULL,201,'AMBRÓSIO','GAROPABA','SC',15147,670,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'PIRATININGA','NITERÓI','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7153635,3.00,7.00,3.00,4.00,9.00,7.88,5.00,4.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',4611,1432,NULL,NULL,NULL,NULL,NULL,4,5),(28,7153651,1.00,2.00,2.00,5.00,5.00,9.38,3.00,3.00,1.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14591,297,NULL,NULL,NULL,NULL,NULL,2,1),(28,7153660,1.00,5.00,5.00,3.00,4.00,6.75,2.00,4.00,4.00,203,NULL,202,'CENTRO','BAL CAMBORIÚ','SC',13716,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7153686,4.00,7.00,2.00,7.00,6.00,4.88,4.00,8.00,3.00,301,NULL,NULL,'SÃO JOSÉ','MIRASSOL','SP',7019,66,NULL,NULL,NULL,NULL,NULL,2,1),(28,7153708,1.00,4.00,0.00,7.00,5.00,5.25,2.00,3.00,4.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15605,425,NULL,NULL,NULL,NULL,NULL,2,1),(28,7153716,4.00,7.00,2.00,6.00,8.00,9.00,2.00,4.00,3.00,207,NULL,201,'GARCIA','BLUMENAU','SC',10981,502,NULL,721,NULL,NULL,NULL,4,2),(28,7153724,3.00,5.00,1.00,7.00,8.00,7.88,3.00,7.00,5.00,216,NULL,201,'FONSECA','NITERÓI','RJ',6622,228,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153732,2.00,4.00,0.00,7.00,7.00,8.25,1.00,4.00,2.00,340,NULL,NULL,'JARDIM TOPÁZIO','S JOSÉ CAMPOS','SP',9546,269,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153759,0.00,4.00,2.00,2.00,4.00,6.38,1.00,5.00,2.00,302,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153767,4.00,7.00,2.00,4.00,7.00,7.88,1.00,8.00,7.00,302,NULL,NULL,'CENTRO','XANXERÊ','SC',5125,9,NULL,NULL,NULL,NULL,NULL,4,4),(28,7153775,4.00,7.00,2.00,6.00,8.00,7.50,5.00,6.00,5.00,103,NULL,NULL,'JARDINS VIENA','APARECIDA GOIÂNIA','GO',7369,1817,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153783,2.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,216,NULL,235,'PLACAS','RIO BRANCO','AC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7153791,4.00,8.00,5.00,8.00,10.00,9.00,5.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',974,538,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153805,5.00,7.00,2.00,7.00,9.00,10.50,4.00,5.00,5.00,303,NULL,NULL,'CENTRO','LAGES','SC',2819,131,NULL,NULL,NULL,NULL,NULL,4,9),(28,7153813,2.00,6.00,2.00,6.00,7.00,7.13,2.00,5.00,4.00,454,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9801,182,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153821,3.00,6.00,3.00,6.00,7.00,7.50,2.00,3.00,2.00,216,NULL,215,'VILA FLORESTA','CRICIÚMA','SC',11508,344,NULL,198,NULL,NULL,NULL,2,5),(28,7153848,4.00,7.00,6.00,5.00,9.00,8.63,6.00,7.00,7.00,235,NULL,215,'INGLESES','FLORIANÓPOLIS','SC',3849,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153856,3.00,6.00,1.00,4.00,7.00,6.75,2.00,6.00,3.00,216,NULL,220,'CENTRO','BAL CAMBORIÚ','SC',10977,334,NULL,261,NULL,NULL,NULL,4,3),(28,7153864,0.00,6.00,2.00,7.00,8.00,8.63,5.00,6.00,3.00,201,NULL,212,'CANTO','FLORIANÓPOLIS','SC',9572,652,NULL,281,NULL,NULL,NULL,2,1),(28,7153872,0.00,2.00,2.00,0.00,0.00,NULL,1.00,4.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7153880,0.00,4.00,0.00,6.00,5.00,NULL,2.00,3.00,1.00,308,NULL,NULL,'CAMPECHE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7153899,3.00,7.00,1.00,6.00,9.00,11.63,5.00,6.00,3.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5326,77,NULL,NULL,NULL,NULL,NULL,2,1),(28,7153902,0.00,7.00,1.00,2.00,7.00,5.63,3.00,5.00,4.00,201,NULL,203,'CENTRO','BRAÇO TROMBUDO','SC',13006,832,NULL,604,NULL,NULL,NULL,4,24),(28,7153910,3.00,4.00,2.00,3.00,3.00,6.75,2.00,3.00,1.00,201,NULL,203,'SERRARIA','S JOSÉ','SC',16112,938,NULL,660,NULL,NULL,NULL,4,1),(28,7153937,2.00,5.00,2.00,4.00,4.00,10.88,4.00,2.00,1.00,415,NULL,NULL,'SANTA CÂNDIDA','CURITIBA','PR',13224,213,NULL,NULL,NULL,NULL,NULL,4,8),(28,7153945,5.00,7.00,4.00,6.00,6.00,8.63,6.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7153953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7153961,3.00,6.00,0.00,7.00,10.00,9.00,3.00,7.00,3.00,999,NULL,NULL,'BREMER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7153988,3.00,0.00,3.00,4.00,7.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7154011,2.00,7.00,2.00,7.00,9.00,8.25,3.00,8.00,4.00,216,NULL,203,'CENTRO','MARCELINO RAMOS','RS',4020,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7154020,2.00,7.00,2.00,7.00,8.00,9.75,2.00,5.00,2.00,201,NULL,207,'CENTRO','XAXIM','SC',7025,NULL,NULL,327,NULL,NULL,NULL,4,4),(28,7154038,1.00,7.00,1.00,4.00,9.00,7.13,3.00,5.00,6.00,102,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',8904,69,NULL,NULL,NULL,NULL,NULL,2,10),(28,7154046,7.00,8.00,2.00,6.00,7.00,10.50,6.00,6.00,6.00,103,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',1207,641,NULL,NULL,NULL,NULL,NULL,4,1),(28,7154070,6.00,8.00,3.00,5.00,9.00,9.38,5.00,5.00,6.00,108,NULL,NULL,'JARDIM C DE FPOLIS','S JOSÉ','SC',1862,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7154089,3.00,7.00,2.00,7.00,7.00,12.75,4.00,5.00,3.00,220,NULL,235,'MARECHAL RONDON','GOIÂNIA','GO',6406,178,NULL,110,NULL,NULL,NULL,4,1),(28,7154097,0.00,5.00,1.00,4.00,3.00,6.75,3.00,2.00,1.00,308,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',17119,48,NULL,NULL,NULL,NULL,NULL,4,1),(28,7154100,4.00,6.00,1.00,6.00,8.00,9.38,6.00,4.00,5.00,451,NULL,NULL,'BARREIROS','S JOSÉ','SC',5354,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7154119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','ÁGUAS FRIAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7154127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7154143,6.00,6.00,3.00,6.00,10.00,7.50,4.00,6.00,5.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',1874,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7154151,4.00,8.00,3.00,7.00,9.00,9.38,7.00,6.00,5.00,214,NULL,235,'PONTA AGUDA','BLUMENAU','SC',2336,82,NULL,23,NULL,NULL,NULL,4,2),(28,7154160,2.00,6.00,2.00,4.00,4.00,NULL,1.00,3.00,0.00,108,NULL,NULL,'COHAB','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7154178,1.00,4.00,2.00,6.00,5.00,10.50,4.00,4.00,3.00,103,NULL,NULL,'CENTRO','RIO GRANDE','RS',9555,2041,NULL,NULL,NULL,NULL,NULL,4,9),(28,7154186,0.00,5.00,3.00,3.00,5.00,6.75,1.00,4.00,1.00,108,NULL,NULL,'CENTRO','MARAVILHA','SC',16603,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7154194,1.00,4.00,0.00,5.00,5.00,NULL,0.00,3.00,0.00,999,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7154208,3.00,5.00,3.00,7.00,5.00,6.00,1.00,3.00,3.00,415,NULL,NULL,'IPIRANGA','S JOSÉ','SC',13641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7154224,1.00,5.00,1.00,7.00,4.00,7.88,1.00,4.00,1.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14022,374,NULL,NULL,NULL,NULL,NULL,4,1),(28,7154232,4.00,7.00,1.00,7.00,3.00,9.75,3.00,5.00,5.00,2,NULL,NULL,'CENTO','FLORIANÓPOLIS','SC',11346,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7154267,4.00,6.00,1.00,7.00,5.00,6.75,2.00,6.00,1.00,999,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7154283,2.00,5.00,5.00,4.00,3.00,4.88,2.00,4.00,4.00,211,NULL,233,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',15424,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7154291,5.00,8.00,4.00,7.00,8.00,9.00,3.00,6.00,4.00,201,NULL,212,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',6857,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7154321,1.00,4.00,2.00,6.00,3.00,10.50,2.00,5.00,2.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7154330,0.00,4.00,3.00,2.00,4.00,NULL,2.00,2.00,2.00,654,NULL,NULL,'DIVINEIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7154356,1.00,4.00,3.00,2.00,3.00,6.38,1.00,1.00,3.00,211,NULL,NULL,'ESPLANADA','CHAPECÓ','SC',18015,418,NULL,NULL,NULL,NULL,NULL,4,4),(28,7154372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'COLINA VERDE','RONDONÓPOLIS','MT',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7154402,5.00,7.00,3.00,7.00,9.00,9.75,6.00,6.00,6.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1711,79,NULL,NULL,NULL,NULL,NULL,4,1),(28,7154410,8.00,8.00,3.00,6.00,7.00,10.50,5.00,6.00,5.00,103,NULL,NULL,'LOT RESID FAZ S JOSE','VALINHOS','SP',1055,578,NULL,NULL,NULL,NULL,NULL,4,8),(28,7154437,2.00,4.00,3.00,4.00,5.00,5.63,2.00,3.00,1.00,238,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',14805,246,NULL,340,NULL,NULL,NULL,4,1),(28,7154445,0.00,4.00,3.00,4.00,3.00,NULL,2.00,2.00,0.00,203,NULL,201,'IPIRANGA','URUGUAIANA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7154461,4.00,6.00,1.00,5.00,7.00,7.13,2.00,5.00,3.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15174,309,NULL,NULL,NULL,NULL,NULL,4,1),(28,7154488,4.00,6.00,3.00,5.00,5.00,9.38,4.00,6.00,3.00,238,NULL,213,'BARREIROS','S JOSÉ','SC',12330,202,NULL,NULL,NULL,NULL,NULL,4,1),(28,7154496,0.00,8.00,2.00,3.00,4.00,NULL,3.00,4.00,3.00,999,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7154500,2.00,7.00,1.00,5.00,8.00,7.13,4.00,5.00,5.00,104,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',10089,247,NULL,NULL,NULL,NULL,NULL,2,1),(28,7154518,8.00,7.00,2.00,7.00,8.00,9.00,5.00,5.00,5.00,238,NULL,235,'CANASVIEIRAS','FLORIANÓPOLIS','SC',3415,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7154534,5.00,6.00,4.00,5.00,7.00,7.13,2.00,7.00,4.00,303,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',6811,307,NULL,NULL,NULL,NULL,NULL,4,6),(28,7154542,3.00,6.00,2.00,4.00,7.00,7.88,4.00,4.00,3.00,320,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',14879,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7154550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7154569,2.00,3.00,3.00,6.00,5.00,6.75,2.00,4.00,1.00,303,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7154577,2.00,6.00,3.00,5.00,7.00,9.38,1.00,5.00,4.00,108,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',9290,122,NULL,NULL,NULL,NULL,NULL,4,1),(28,7154607,0.00,2.00,2.00,3.00,5.00,7.88,2.00,3.00,1.00,552,NULL,NULL,'CENTRO','CATUÍPE','RS',19619,149,NULL,NULL,NULL,NULL,NULL,2,3),(28,7154640,6.00,8.00,3.00,7.00,8.00,7.88,5.00,4.00,6.00,220,NULL,214,'MARIA ISABEL','MARÍLIA','SP',2142,64,NULL,74,NULL,NULL,NULL,4,1),(28,7154658,4.00,6.00,4.00,6.00,8.00,9.75,3.00,6.00,5.00,103,NULL,NULL,'JD LANCASTER','FOZ IGUAÇU','PR',2782,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7154666,2.00,6.00,1.00,4.00,7.00,7.13,4.00,5.00,2.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',15794,2392,NULL,NULL,NULL,NULL,NULL,2,3),(28,7154674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ALVORADA SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7154682,2.00,4.00,2.00,6.00,5.00,8.25,3.00,7.00,0.00,450,NULL,NULL,'SÃO PEDRO','TIETÊ','SP',15816,116,NULL,NULL,NULL,NULL,NULL,4,1),(28,7154690,2.00,4.00,2.00,3.00,2.00,NULL,5.00,2.00,2.00,203,NULL,214,'CENTRO','PETROLÂNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7154704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,213,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7154739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7154771,2.00,5.00,1.00,5.00,2.00,NULL,2.00,5.00,2.00,503,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7154780,8.00,7.00,6.00,7.00,8.00,9.75,5.00,5.00,6.00,103,NULL,NULL,'CENTRO','ARAPONGAS','PR',534,357,NULL,NULL,NULL,NULL,NULL,4,3),(28,7154798,1.00,3.00,0.00,4.00,3.00,7.50,3.00,3.00,3.00,309,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',18035,50,NULL,NULL,NULL,NULL,NULL,2,1),(28,7154810,2.00,4.00,2.00,1.00,7.00,NULL,4.00,6.00,1.00,214,NULL,203,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,10),(28,7154836,1.00,6.00,2.00,5.00,6.00,7.50,1.00,4.00,3.00,415,NULL,NULL,'VILA BOA VISTA','BARUERI','SP',12871,209,NULL,NULL,NULL,NULL,NULL,4,8),(28,7154844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7154852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7154879,0.00,3.00,3.00,3.00,1.00,NULL,3.00,2.00,2.00,238,NULL,202,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7154887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'INTERIOR','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7154895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'LARANJEIRAS','LUIZ ALVES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7154925,2.00,5.00,2.00,5.00,5.00,8.63,3.00,6.00,2.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',11163,2148,NULL,NULL,NULL,NULL,NULL,4,8),(28,7154933,0.00,5.00,3.00,4.00,7.00,5.63,1.00,4.00,1.00,999,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7154941,5.00,6.00,3.00,6.00,8.00,9.38,4.00,5.00,4.00,103,NULL,NULL,'PQ CARLOTA REHDER','AGUAÍ','SP',3386,1223,NULL,NULL,NULL,NULL,NULL,4,1),(28,7154950,1.00,4.00,2.00,5.00,2.00,NULL,1.00,6.00,2.00,215,NULL,211,'NACOES','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7154976,2.00,5.00,2.00,6.00,5.00,8.25,1.00,5.00,4.00,329,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',16299,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7154984,4.00,0.00,2.00,6.00,7.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7154992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'AREIAS DE CIMA','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7155000,0.00,6.00,1.00,6.00,5.00,7.50,2.00,3.00,1.00,450,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',18651,130,NULL,NULL,NULL,NULL,NULL,2,1),(28,7155026,1.00,5.00,1.00,6.00,2.00,NULL,2.00,6.00,3.00,202,NULL,216,'VILA MADALENA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7155034,2.00,7.00,3.00,4.00,5.00,4.50,2.00,7.00,4.00,333,NULL,NULL,'LAGOA DOURADA','CRUZEIRO','SP',9494,54,NULL,NULL,NULL,NULL,NULL,5,1),(28,7155042,4.00,6.00,2.00,5.00,7.00,6.38,2.00,4.00,3.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15928,119,NULL,NULL,NULL,NULL,NULL,2,1),(28,7155050,2.00,8.00,3.00,5.00,4.00,11.63,1.00,7.00,2.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7155085,1.00,4.00,1.00,2.00,3.00,9.75,1.00,2.00,0.00,426,NULL,428,'CENTRO','CAMPOS NOVOS','SC',18654,36,NULL,NULL,NULL,NULL,NULL,4,7),(28,7155115,5.00,9.00,5.00,7.00,6.00,4.88,5.00,6.00,4.00,2,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',4308,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7155123,5.00,7.00,4.00,7.00,9.00,NULL,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(28,7155131,1.00,7.00,2.00,4.00,5.00,9.75,2.00,7.00,4.00,238,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14263,234,NULL,NULL,NULL,NULL,NULL,4,1),(28,7155166,0.00,4.00,1.00,5.00,4.00,NULL,0.00,2.00,1.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7155174,0.00,4.00,2.00,5.00,5.00,NULL,2.00,3.00,1.00,316,NULL,NULL,'BAIRRO ALTO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7155182,3.00,4.00,3.00,6.00,3.00,5.63,4.00,3.00,2.00,999,NULL,NULL,'CABEÇUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7155190,2.00,6.00,4.00,5.00,8.00,7.88,2.00,4.00,2.00,340,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',10480,292,NULL,NULL,NULL,NULL,NULL,2,1),(28,7155204,1.00,2.00,1.00,3.00,5.00,6.75,2.00,1.00,1.00,201,NULL,212,'PEDRO ZANIVAN','CRICIÚMA','SC',19940,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7155212,2.00,5.00,3.00,4.00,4.00,9.00,2.00,4.00,2.00,424,NULL,427,'CENTRO','BIGUAÇU','SC',17695,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7155239,5.00,8.00,4.00,7.00,9.00,10.13,7.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7155247,4.00,7.00,2.00,7.00,7.00,7.88,2.00,5.00,3.00,207,NULL,211,'PINHEIROS','VALINHOS','SP',4932,209,NULL,121,NULL,NULL,NULL,4,1),(28,7155255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,NULL,'MINEIRA VELHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7155263,3.00,4.00,2.00,7.00,6.00,10.13,3.00,4.00,4.00,101,NULL,NULL,'RECIFE','TUBARÃO','SC',8349,27,NULL,NULL,NULL,NULL,NULL,2,10),(28,7155280,3.00,4.00,0.00,5.00,3.00,5.63,0.00,4.00,2.00,999,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7155298,3.00,2.00,2.00,2.00,3.00,3.00,2.00,3.00,3.00,223,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7155301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'COLATTO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7155310,1.00,4.00,0.00,3.00,7.00,8.63,1.00,2.00,2.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',17978,150,NULL,NULL,NULL,NULL,NULL,2,1),(28,7155328,5.00,3.00,3.00,5.00,9.00,9.00,1.00,5.00,3.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8576,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7155344,0.00,5.00,2.00,7.00,7.00,NULL,1.00,6.00,1.00,301,NULL,NULL,'VISTA ALEGRE','VINHEDO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7155352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7155387,5.00,6.00,3.00,6.00,7.00,5.25,6.00,5.00,6.00,103,NULL,NULL,'VILA GOMES','S PAULO','SP',3620,1262,NULL,NULL,NULL,NULL,NULL,4,1),(28,7155395,2.00,6.00,1.00,7.00,4.00,10.50,4.00,5.00,4.00,601,NULL,201,'AMÉRICA','JOINVILLE','SC',7343,165,NULL,NULL,NULL,NULL,NULL,4,8),(28,7155409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7155425,2.00,8.00,1.00,5.00,8.00,5.25,2.00,4.00,3.00,999,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7155441,3.00,7.00,2.00,5.00,6.00,9.00,2.00,3.00,6.00,205,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',6368,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7155450,0.00,3.00,0.00,5.00,5.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7155468,5.00,7.00,4.00,6.00,10.00,10.13,3.00,6.00,3.00,454,NULL,NULL,'MIRANTE DAS ESTRELAS','VINHEDO','SP',2037,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7155506,4.00,9.00,3.00,6.00,10.00,10.13,4.00,8.00,6.00,303,NULL,NULL,'CENTRO','PALHOÇA','SC',1274,60,NULL,NULL,NULL,NULL,NULL,4,1),(28,7155522,2.00,6.00,2.00,3.00,3.00,NULL,3.00,4.00,0.00,203,NULL,201,'UNIVERSITÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7155530,5.00,8.00,1.00,7.00,9.00,8.63,3.00,6.00,6.00,301,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',5011,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7155549,1.00,6.00,4.00,6.00,6.00,4.50,5.00,5.00,2.00,999,NULL,NULL,'SANTA LUZIA','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7155557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'MONT SERRAT','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7155565,5.00,7.00,2.00,6.00,7.00,10.50,4.00,5.00,4.00,207,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8266,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7155581,2.00,7.00,4.00,7.00,8.00,6.75,6.00,4.00,5.00,207,NULL,NULL,'URBANOVA V','S JOSÉ CAMPOS','SP',3274,124,NULL,NULL,NULL,NULL,NULL,2,1),(28,7155590,2.00,6.00,1.00,7.00,7.00,7.13,3.00,4.00,4.00,426,NULL,428,'CENTRO','CURITIBANOS','SC',14934,22,NULL,NULL,NULL,NULL,NULL,4,16),(28,7155603,0.00,5.00,2.00,2.00,4.00,NULL,2.00,2.00,0.00,551,NULL,NULL,'SÃO SEBASTIÃO','PTE ALTA NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7155611,4.00,7.00,3.00,7.00,5.00,7.88,2.00,7.00,2.00,316,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',6205,47,NULL,NULL,NULL,NULL,NULL,2,1),(28,7155620,0.00,5.00,1.00,5.00,5.00,NULL,2.00,5.00,2.00,552,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7155646,7.00,7.00,5.00,7.00,7.00,9.38,7.00,8.00,7.00,103,NULL,NULL,'SANTO ANTÔNIO','CRICIÚMA','SC',229,177,NULL,NULL,NULL,NULL,NULL,4,5),(28,7155654,0.00,6.00,1.00,3.00,3.00,11.25,3.00,3.00,3.00,415,NULL,NULL,'CENTRO','BASTOS','SP',12817,208,NULL,NULL,NULL,NULL,NULL,4,8),(28,7155689,0.00,2.00,3.00,1.00,2.00,NULL,2.00,2.00,2.00,201,NULL,220,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7155697,2.00,4.00,5.00,6.00,7.00,7.13,3.00,2.00,3.00,104,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',10927,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7155719,5.00,8.00,4.00,7.00,8.00,10.13,6.00,8.00,8.00,201,NULL,233,'MATO ALTO','ARARANGUÁ','SC',864,39,NULL,NULL,NULL,NULL,NULL,2,15),(28,7155727,6.00,8.00,2.00,7.00,10.00,6.38,4.00,6.00,6.00,216,NULL,215,'ATIRADORES','JOINVILLE','SC',2625,92,NULL,24,NULL,NULL,NULL,2,8),(28,7155743,4.00,5.00,4.00,6.00,0.00,NULL,3.00,5.00,4.00,999,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7155751,3.00,7.00,4.00,5.00,5.00,8.25,2.00,6.00,4.00,454,NULL,NULL,'BARREIROS','S JOSÉ','SC',12905,256,NULL,NULL,NULL,NULL,NULL,2,1),(28,7155760,1.00,8.00,2.00,6.00,6.00,9.00,4.00,6.00,6.00,220,NULL,653,'CENTRO','TUBARÃO','SC',4703,139,NULL,37,NULL,NULL,NULL,4,10),(28,7155778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7155786,1.00,6.00,2.00,5.00,6.00,6.38,3.00,4.00,4.00,203,NULL,235,'APARECIDA','CURITIBANOS','SC',11024,558,NULL,176,NULL,NULL,NULL,4,16),(28,7155794,1.00,6.00,2.00,4.00,3.00,6.75,1.00,6.00,4.00,201,NULL,203,'CARANDA BOSQUE','CPO GRANDE','MS',11900,765,NULL,581,NULL,NULL,NULL,4,3),(28,7155808,0.00,4.00,2.00,3.00,3.00,NULL,2.00,4.00,4.00,336,NULL,NULL,'GRAGERU','ARACAJU','SE',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7155816,0.00,4.00,1.00,5.00,6.00,NULL,0.00,3.00,2.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7155824,0.00,3.00,0.00,3.00,1.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7155832,1.00,6.00,1.00,4.00,5.00,6.00,3.00,5.00,2.00,201,NULL,207,'CATARINA FONTANA','CONCÓRDIA','SC',12732,816,NULL,575,NULL,NULL,NULL,2,26),(28,7155840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'COSTA AZUL','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7155867,4.00,8.00,3.00,7.00,9.00,12.00,5.00,5.00,5.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',1436,134,NULL,36,NULL,NULL,NULL,4,1),(28,7155875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'JARDIM BATISTA','EMBU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7155883,1.00,2.00,2.00,2.00,3.00,5.63,3.00,4.00,2.00,319,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',19996,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7155891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7155905,1.00,0.00,1.00,5.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE HIPOLITO','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7155921,3.00,8.00,2.00,5.00,6.00,8.25,2.00,4.00,3.00,450,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',8676,64,NULL,NULL,NULL,NULL,NULL,4,1),(28,7155930,1.00,6.00,4.00,7.00,5.00,6.75,3.00,5.00,2.00,2,NULL,NULL,'CUBATÃO','JOINVILLE','SC',14825,41,NULL,NULL,NULL,NULL,NULL,4,8),(28,7155948,4.00,7.00,4.00,7.00,8.00,9.00,4.00,5.00,4.00,207,NULL,201,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',4635,197,NULL,362,NULL,NULL,NULL,4,1),(28,7155956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7155972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7155980,3.00,4.00,0.00,5.00,3.00,4.50,2.00,4.00,3.00,454,NULL,NULL,'IRMÃO COLONATA','CEL FREITAS','SC',19603,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7155999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SANTO ANTÔNIO','MONTES CLAROS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7156006,3.00,5.00,4.00,7.00,7.00,5.63,5.00,6.00,6.00,202,NULL,213,'JD PREVIDÊNCIA','S PAULO','SP',4430,130,NULL,61,NULL,NULL,NULL,4,1),(28,7156014,0.00,3.00,1.00,5.00,6.00,8.63,1.00,3.00,3.00,301,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',19418,258,NULL,NULL,NULL,NULL,NULL,2,1),(28,7156022,6.00,8.00,5.00,7.00,8.00,11.25,3.00,7.00,7.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',581,383,NULL,NULL,NULL,NULL,NULL,4,4),(28,7156030,7.00,7.00,3.00,7.00,9.00,7.88,6.00,6.00,7.00,103,NULL,NULL,'BOA VISTA','COCAL SUL','SC',819,476,NULL,NULL,NULL,NULL,NULL,4,5),(28,7156049,3.00,7.00,3.00,4.00,8.00,7.13,4.00,7.00,3.00,333,NULL,NULL,'BAETA NEVES','S BERNARDO CAMPO','SP',6161,31,NULL,NULL,NULL,NULL,NULL,2,1),(28,7156065,0.00,4.00,2.00,2.00,4.00,6.75,3.00,2.00,1.00,225,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7156090,0.00,4.00,3.00,1.00,1.00,NULL,2.00,2.00,2.00,302,NULL,NULL,'ENCRUZILHADA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156154,1.00,6.00,2.00,7.00,7.00,9.00,3.00,5.00,3.00,454,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7789,128,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156170,1.00,6.00,2.00,4.00,6.00,7.13,4.00,2.00,2.00,207,NULL,211,'CENTRO','BAL CAMBORIÚ','SC',14592,647,NULL,367,NULL,NULL,NULL,4,3),(28,7156189,2.00,6.00,1.00,6.00,7.00,5.63,2.00,5.00,3.00,207,NULL,NULL,'BELA VISTA','S JOSÉ','SC',11002,505,NULL,NULL,NULL,NULL,NULL,2,1),(28,7156197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'DAS NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7156200,3.00,4.00,2.00,5.00,5.00,8.25,1.00,5.00,4.00,429,NULL,428,'PRAIA COMPRIDA','S JOSÉ','SC',13369,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156227,4.00,5.00,2.00,6.00,7.00,8.25,2.00,6.00,3.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10758,101,NULL,NULL,NULL,NULL,NULL,2,1),(28,7156235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'TAROBA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7156243,5.00,7.00,0.00,8.00,6.00,6.38,2.00,6.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13500,501,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156251,1.00,2.00,2.00,1.00,2.00,NULL,2.00,3.00,0.00,201,NULL,211,'PALMITAL','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7156260,2.00,7.00,2.00,5.00,6.00,7.13,4.00,5.00,7.00,340,NULL,NULL,'CENTRO','NAVEGANTES','SC',5507,140,NULL,NULL,NULL,NULL,NULL,4,6),(28,7156294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7156308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,220,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7156316,6.00,8.00,4.00,8.00,11.00,8.25,5.00,7.00,6.00,5,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',1642,47,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156324,2.00,6.00,1.00,5.00,7.00,7.13,4.00,6.00,5.00,601,NULL,235,'COSTA E SILVA','JOINVILLE','SC',12947,389,NULL,NULL,NULL,NULL,NULL,2,8),(28,7156332,0.00,5.00,3.00,4.00,7.00,NULL,1.00,5.00,1.00,201,NULL,207,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156359,0.00,6.00,3.00,5.00,5.00,6.75,1.00,1.00,1.00,108,NULL,NULL,'AREIAS','S JOSÉ','SC',16232,222,NULL,NULL,NULL,NULL,NULL,2,1),(28,7156367,2.00,3.00,4.00,3.00,7.00,6.75,3.00,4.00,3.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',12471,310,NULL,NULL,NULL,NULL,NULL,4,5),(28,7156391,5.00,7.00,2.00,7.00,8.00,8.63,4.00,6.00,5.00,211,NULL,207,'ASA NORTE','BRASÍLIA','DF',5684,148,NULL,NULL,NULL,NULL,NULL,2,8),(28,7156405,3.00,3.00,1.00,5.00,7.00,11.63,3.00,4.00,2.00,109,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10440,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7156421,1.00,2.00,0.00,3.00,3.00,6.75,1.00,4.00,2.00,999,NULL,NULL,'CENTRO','CPO ERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7156430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7156448,5.00,6.00,3.00,6.00,8.00,7.13,5.00,5.00,2.00,208,NULL,NULL,'CENTRO','TUBARÃO','SC',6954,63,NULL,NULL,NULL,NULL,NULL,4,10),(28,7156464,4.00,6.00,0.00,7.00,8.00,10.50,4.00,4.00,3.00,215,NULL,216,'CAMPINAS','S JOSÉ','SC',8026,132,NULL,267,NULL,NULL,NULL,2,1),(28,7156472,3.00,8.00,2.00,6.00,9.00,8.25,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','PAIM FILHO','RS',1814,841,NULL,NULL,NULL,NULL,NULL,2,4),(28,7156480,3.00,8.00,3.00,7.00,9.00,8.25,2.00,9.00,8.00,5,NULL,NULL,'SAO CRISTOVAO','MEDIANEIRA','PR',3238,119,NULL,NULL,NULL,NULL,NULL,4,8),(28,7156502,1.00,6.00,3.00,6.00,5.00,6.75,3.00,4.00,1.00,303,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',17446,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7156510,0.00,5.00,2.00,3.00,6.00,NULL,0.00,5.00,3.00,331,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156529,0.00,4.00,3.00,5.00,5.00,4.50,0.00,2.00,3.00,654,NULL,NULL,'CENTRO','PALHOÇA','SC',18137,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7156537,4.00,9.00,4.00,5.00,8.00,11.25,3.00,4.00,2.00,340,NULL,NULL,'PARQUE PARAISO','ITAPECERICA SERRA','SP',3724,94,NULL,NULL,NULL,NULL,NULL,4,8),(28,7156545,6.00,9.00,6.00,7.00,8.00,9.75,6.00,9.00,7.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',177,138,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156561,5.00,9.00,1.00,7.00,7.00,10.88,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',1607,778,NULL,NULL,NULL,NULL,NULL,4,9),(28,7156588,0.00,4.00,1.00,4.00,2.00,NULL,3.00,4.00,1.00,203,NULL,214,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156596,0.00,2.00,1.00,5.00,3.00,3.00,1.00,4.00,1.00,428,NULL,423,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7156600,5.00,8.00,2.00,5.00,8.00,9.00,4.00,8.00,7.00,336,NULL,NULL,'VILA LEOPOLDINA','S PAULO','SP',3376,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156618,1.00,4.00,3.00,5.00,6.00,6.38,2.00,2.00,3.00,208,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',18185,203,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156626,2.00,7.00,2.00,6.00,5.00,5.63,3.00,5.00,5.00,211,NULL,215,'AQUARIUS','S JOSÉ CAMPOS','SP',9322,248,NULL,160,NULL,NULL,NULL,4,1),(28,7156650,4.00,9.00,2.00,4.00,8.00,7.13,5.00,7.00,3.00,201,NULL,212,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5495,423,NULL,NULL,NULL,NULL,NULL,2,1),(28,7156669,2.00,6.00,2.00,7.00,5.00,NULL,3.00,4.00,4.00,216,NULL,213,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(28,7156677,5.00,7.00,0.00,6.00,7.00,9.75,6.00,5.00,4.00,336,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5298,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156693,1.00,4.00,1.00,5.00,5.00,NULL,1.00,3.00,0.00,203,NULL,233,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7156707,6.00,9.00,4.00,7.00,10.00,10.50,4.00,7.00,7.00,103,NULL,NULL,'SANTA RITA','JABOTICABAL','SP',429,302,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',1,2),(28,7156731,2.00,5.00,1.00,6.00,7.00,9.00,3.00,5.00,2.00,601,NULL,202,'FORQUILHINHAS','S JOSÉ','SC',8619,218,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156740,6.00,6.00,6.00,7.00,6.00,11.25,3.00,6.00,7.00,103,NULL,NULL,'SOCORRO','S PAULO','SP',1178,629,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156758,4.00,7.00,4.00,5.00,9.00,10.88,6.00,6.00,7.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',1399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156766,3.00,6.00,3.00,4.00,8.00,11.25,4.00,4.00,5.00,303,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',4540,209,NULL,NULL,NULL,NULL,NULL,4,22),(28,7156774,4.00,6.00,3.00,4.00,7.00,9.75,2.00,6.00,6.00,103,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',3115,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7156782,0.00,2.00,1.00,2.00,3.00,NULL,1.00,2.00,1.00,317,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7156790,8.00,7.00,4.00,7.00,8.00,12.38,6.00,6.00,7.00,201,NULL,216,'JD FONTE DO MORUMBI','S PAULO','SP',255,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156804,2.00,8.00,2.00,7.00,9.00,10.88,5.00,6.00,6.00,319,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',3083,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156812,6.00,8.00,3.00,6.00,9.00,12.75,4.00,6.00,3.00,103,NULL,NULL,'CHÁCARA CACHOEIRA','CPO GRANDE','MS',3277,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7156820,7.00,8.00,2.00,7.00,8.00,8.63,4.00,7.00,8.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',830,481,NULL,NULL,NULL,NULL,NULL,4,17),(28,7156839,2.00,4.00,3.00,3.00,6.00,8.25,1.00,5.00,4.00,211,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',11941,314,NULL,269,NULL,NULL,NULL,4,1),(28,7156855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7156871,5.00,8.00,1.00,2.00,6.00,10.13,4.00,7.00,5.00,201,NULL,202,'PRESIDENTE MÉDICI','CHAPECÓ','SC',4720,NULL,NULL,138,NULL,NULL,NULL,4,4),(28,7156880,2.00,6.00,3.00,7.00,6.00,5.63,2.00,4.00,3.00,207,NULL,652,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156898,2.00,5.00,4.00,6.00,8.00,8.63,0.00,3.00,4.00,238,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15636,262,NULL,NULL,NULL,NULL,NULL,2,1),(28,7156910,4.00,7.00,3.00,7.00,6.00,9.75,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',2295,961,NULL,NULL,NULL,NULL,NULL,4,8),(28,7156928,4.00,7.00,4.00,6.00,7.00,9.75,5.00,4.00,4.00,103,NULL,NULL,'INTERIOR','CRUZEIRO IGUAÇU','PR',3802,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7156944,1.00,6.00,2.00,7.00,7.00,8.63,2.00,6.00,4.00,999,NULL,NULL,'JARDIM ITÁLIA','CUIABÁ','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156952,0.00,2.00,3.00,2.00,4.00,NULL,0.00,4.00,2.00,103,NULL,NULL,'ARAUCARIA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7156960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'ALTO DA XV','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7156979,4.00,7.00,2.00,6.00,8.00,7.13,3.00,6.00,6.00,235,NULL,238,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4517,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7156987,4.00,4.00,1.00,5.00,4.00,9.00,4.00,4.00,4.00,454,NULL,NULL,'ITATIAIA','EMBU','SP',11504,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7156995,5.00,8.00,5.00,7.00,10.00,10.88,5.00,6.00,5.00,303,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',1443,67,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157002,2.00,6.00,2.00,7.00,7.00,6.00,4.00,4.00,5.00,201,NULL,212,'BOA VISTA','RIO SUL','SC',7131,529,NULL,223,NULL,NULL,NULL,4,24),(28,7157010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','UBIRATÃ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7157029,0.00,5.00,2.00,5.00,8.00,NULL,3.00,6.00,2.00,415,NULL,NULL,'APARECIDA','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7157037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7157045,0.00,5.00,1.00,2.00,4.00,7.88,1.00,3.00,3.00,202,NULL,235,'POPULAR','LAGES','SC',17077,375,NULL,270,NULL,NULL,NULL,4,9),(28,7157061,1.00,5.00,4.00,3.00,3.00,5.63,4.00,4.00,3.00,202,NULL,653,'QUARTA LINHA','CRICIÚMA','SC',18697,NULL,NULL,199,NULL,NULL,NULL,4,5),(28,7157070,6.00,8.00,4.00,7.00,8.00,9.38,5.00,6.00,8.00,450,NULL,NULL,'BOA VISTA','RIO SUL','SC',1019,2,NULL,NULL,NULL,NULL,NULL,4,24),(28,7157088,1.00,4.00,1.00,5.00,3.00,7.88,2.00,3.00,2.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7157096,5.00,7.00,2.00,6.00,5.00,9.00,5.00,5.00,4.00,224,NULL,NULL,'JARDIM PETRÓPOLIS','CUIABÁ','MT',6531,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157118,6.00,0.00,3.00,5.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SÃO DIMAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7157142,1.00,4.00,0.00,3.00,5.00,NULL,0.00,3.00,1.00,303,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157169,0.00,2.00,1.00,3.00,6.00,5.63,1.00,5.00,0.00,104,NULL,NULL,'CENTRO','SOMBRIO','SC',18526,441,NULL,NULL,NULL,NULL,NULL,2,15),(28,7157177,4.00,6.00,1.00,7.00,8.00,9.75,3.00,5.00,4.00,429,NULL,425,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',8995,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157207,5.00,6.00,3.00,5.00,7.00,7.88,4.00,6.00,6.00,104,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',6044,124,NULL,NULL,NULL,NULL,NULL,5,1),(28,7157215,4.00,8.00,2.00,4.00,8.00,10.13,2.00,7.00,6.00,230,NULL,NULL,'SAO SEBASTIAO','JACIARA','MT',6442,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157223,1.00,6.00,2.00,5.00,4.00,9.75,0.00,4.00,4.00,215,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',10353,177,NULL,263,NULL,NULL,NULL,4,1),(28,7157231,4.00,7.00,3.00,4.00,8.00,8.25,3.00,6.00,5.00,303,NULL,NULL,'CENTRO','PALMITOS','SC',4719,218,NULL,NULL,NULL,NULL,NULL,4,4),(28,7157240,2.00,3.00,2.00,4.00,3.00,6.38,2.00,5.00,3.00,3,NULL,NULL,'TAPAJOS','INDAIAL','SC',19060,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7157258,2.00,5.00,3.00,2.00,5.00,6.75,3.00,3.00,4.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',18042,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157266,0.00,4.00,1.00,6.00,1.00,NULL,0.00,3.00,2.00,303,NULL,NULL,'VORSTADT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7157290,5.00,6.00,1.00,5.00,6.00,7.88,2.00,3.00,2.00,203,NULL,216,'JARDIM SOLEMAR','S JOSÉ','SC',16629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157312,2.00,3.00,1.00,5.00,5.00,6.75,1.00,3.00,3.00,103,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',18511,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7157320,4.00,7.00,4.00,7.00,7.00,6.38,5.00,7.00,7.00,203,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',4132,300,NULL,321,NULL,NULL,NULL,4,1),(28,7157339,2.00,3.00,1.00,7.00,4.00,NULL,0.00,3.00,2.00,319,NULL,NULL,'POMERANOS','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7157347,5.00,7.00,2.00,5.00,5.00,9.38,6.00,7.00,6.00,220,NULL,235,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3027,88,NULL,49,NULL,NULL,NULL,4,1),(28,7157355,3.00,8.00,3.00,7.00,8.00,8.25,4.00,4.00,5.00,454,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',7837,130,NULL,NULL,NULL,NULL,NULL,4,9),(28,7157363,4.00,7.00,3.00,7.00,9.00,9.00,5.00,7.00,3.00,108,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',3861,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157398,4.00,7.00,0.00,6.00,9.00,6.38,3.00,5.00,6.00,103,NULL,NULL,'LAGO PARQUE','LONDRINA','PR',4424,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7157401,1.00,6.00,1.00,7.00,3.00,9.38,1.00,6.00,3.00,207,NULL,201,'CENTRO','ARARANGUÁ','SC',10466,478,NULL,NULL,NULL,NULL,NULL,4,15),(28,7157428,1.00,4.00,0.00,5.00,3.00,9.75,4.00,3.00,2.00,339,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',15940,31,NULL,NULL,NULL,NULL,NULL,2,1),(28,7157436,4.00,6.00,2.00,6.00,7.00,6.75,2.00,2.00,2.00,211,NULL,207,'PANTANAL','FLORIANÓPOLIS','SC',11686,307,NULL,533,NULL,NULL,NULL,4,1),(28,7157444,3.00,6.00,2.00,4.00,4.00,7.13,2.00,5.00,2.00,103,NULL,NULL,'JD TROPICAL','UMUARAMA','PR',17266,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7157487,3.00,7.00,2.00,7.00,5.00,7.88,3.00,7.00,4.00,222,NULL,NULL,'TIJUCA','RIO JANEIRO','RJ',11559,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157517,3.00,4.00,0.00,4.00,8.00,8.25,3.00,5.00,1.00,303,NULL,NULL,'VILA ADELAIDE','POUSO REDONDO','SC',11088,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7157525,2.00,5.00,3.00,3.00,6.00,8.63,3.00,6.00,3.00,326,NULL,NULL,'ALTO FELIZ','ARARANGUÁ','SC',15746,46,NULL,NULL,NULL,NULL,NULL,2,15),(28,7157541,1.00,3.00,2.00,6.00,4.00,4.50,2.00,3.00,3.00,9,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',16564,126,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157550,4.00,7.00,1.00,6.00,7.00,9.75,0.00,7.00,3.00,103,NULL,NULL,'CRISTO REI','S CARLOS','SC',5558,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7157568,1.00,4.00,2.00,3.00,5.00,6.00,1.00,3.00,2.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19579,217,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'SALGADO FILHO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7157606,2.00,6.00,2.00,3.00,6.00,8.25,2.00,4.00,3.00,201,NULL,653,'PEDREIRAS','IÇARA','SC',11763,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7157622,0.00,6.00,2.00,4.00,5.00,NULL,1.00,5.00,2.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7157630,5.00,6.00,2.00,6.00,5.00,7.50,4.00,3.00,2.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10510,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157649,1.00,4.00,0.00,6.00,1.00,NULL,1.00,3.00,1.00,310,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157657,2.00,5.00,2.00,5.00,4.00,7.88,2.00,6.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10947,143,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157690,7.00,7.00,4.00,7.00,9.00,8.25,5.00,7.00,6.00,103,NULL,NULL,'LAGO NORTE','LG NORTE','DF',1138,615,NULL,NULL,NULL,NULL,NULL,2,1),(28,7157703,4.00,5.00,2.00,4.00,3.00,7.13,4.00,7.00,4.00,444,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',10130,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157746,2.00,7.00,1.00,5.00,4.00,9.00,2.00,5.00,4.00,454,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',11290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7157762,3.00,7.00,1.00,7.00,8.00,10.88,3.00,6.00,3.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4957,166,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157789,7.00,8.00,4.00,7.00,9.00,10.50,6.00,7.00,8.00,103,NULL,NULL,'PROGRESSO','S BENTO SUL','SC',174,136,NULL,NULL,NULL,NULL,NULL,4,8),(28,7157800,1.00,3.00,2.00,3.00,6.00,6.00,2.00,3.00,2.00,5,NULL,NULL,'SÃO DOMINGOS','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7157819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PROGRESSO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7157827,5.00,7.00,2.00,4.00,7.00,10.88,5.00,5.00,7.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',3395,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7157835,4.00,8.00,4.00,7.00,8.00,9.38,3.00,8.00,7.00,999,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7157843,4.00,8.00,3.00,6.00,8.00,11.25,7.00,6.00,7.00,220,NULL,235,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',955,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157860,4.00,6.00,2.00,5.00,9.00,9.00,5.00,3.00,5.00,102,NULL,NULL,'CALEMBA','STO AMARO IMPERATRIZ','SC',10025,86,NULL,NULL,NULL,NULL,NULL,2,1),(28,7157878,4.00,4.00,1.00,5.00,5.00,5.63,4.00,5.00,1.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157894,2.00,6.00,2.00,6.00,5.00,10.13,0.00,5.00,1.00,338,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',17128,12,NULL,NULL,NULL,NULL,NULL,3,1),(28,7157908,1.00,7.00,2.00,7.00,7.00,11.63,1.00,8.00,4.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10731,199,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157916,5.00,8.00,2.00,7.00,10.00,8.25,3.00,7.00,3.00,415,NULL,NULL,'CANTA GALO','RIO SUL','SC',7508,121,NULL,NULL,NULL,NULL,NULL,4,24),(28,7157932,2.00,4.00,3.00,6.00,8.00,6.38,3.00,4.00,3.00,444,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',14860,77,NULL,NULL,NULL,NULL,NULL,2,1),(28,7157940,3.00,5.00,3.00,7.00,8.00,7.50,5.00,5.00,2.00,208,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',12229,136,NULL,NULL,NULL,NULL,NULL,4,1),(28,7157967,7.00,8.00,0.00,5.00,7.00,8.25,4.00,4.00,4.00,202,NULL,213,'CENTRO','URUSSANGA','SC',5403,148,NULL,85,NULL,NULL,NULL,2,5),(28,7157975,0.00,4.00,3.00,3.00,5.00,NULL,2.00,6.00,2.00,999,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,17),(28,7158009,8.00,8.00,4.00,5.00,8.00,12.38,4.00,7.00,6.00,103,NULL,NULL,'BANCÁRIOS','S PAULO','SP',762,457,NULL,NULL,NULL,NULL,NULL,4,1),(28,7158017,1.00,5.00,3.00,6.00,4.00,6.00,1.00,5.00,1.00,201,NULL,207,'SUNTI','CONCÓRDIA','SC',13944,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7158033,4.00,7.00,3.00,6.00,7.00,8.25,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','IPORÃ','PR',1754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7158041,3.00,5.00,1.00,7.00,6.00,9.00,7.00,6.00,6.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7643,206,NULL,NULL,NULL,NULL,NULL,4,6),(28,7158050,1.00,3.00,2.00,2.00,3.00,NULL,0.00,1.00,2.00,9,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7158076,2.00,7.00,1.00,6.00,7.00,9.00,1.00,6.00,2.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7158084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM EUROPA','MACATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7158106,0.00,5.00,3.00,3.00,7.00,7.50,3.00,4.00,4.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',13986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7158114,4.00,8.00,4.00,7.00,9.00,9.75,2.00,6.00,4.00,103,NULL,NULL,'ERNANE MURAD','PRES VENCESLAU','SP',5248,1533,NULL,NULL,NULL,NULL,NULL,4,8),(28,7158122,5.00,7.00,6.00,7.00,6.00,7.13,3.00,6.00,3.00,220,NULL,203,'REVOREDO','TUBARÃO','SC',3624,107,NULL,264,NULL,NULL,NULL,4,10),(28,7158130,6.00,6.00,5.00,7.00,8.00,7.50,3.00,4.00,5.00,211,NULL,213,'AREIAS','S JOSÉ','SC',4967,122,NULL,79,NULL,NULL,NULL,2,1),(28,7158149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'JARDIM VALPARAIBA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7158157,4.00,8.00,2.00,6.00,7.00,8.25,4.00,7.00,5.00,653,NULL,652,'CENTRO','CRICIÚMA','SC',3342,16,NULL,NULL,NULL,NULL,NULL,2,5),(28,7158165,0.00,4.00,2.00,2.00,2.00,NULL,2.00,3.00,1.00,316,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7158181,3.00,6.00,2.00,7.00,6.00,8.63,1.00,6.00,6.00,102,NULL,NULL,'IPIRANGA','S JOSÉ','SC',7027,47,NULL,NULL,NULL,NULL,NULL,2,1),(28,7158190,2.00,4.00,2.00,4.00,6.00,7.88,2.00,3.00,2.00,999,NULL,NULL,'JARDIM CID FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7158203,2.00,7.00,2.00,5.00,8.00,10.13,4.00,6.00,6.00,9,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7623,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7158238,1.00,6.00,4.00,6.00,5.00,10.50,5.00,7.00,5.00,326,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',6713,15,NULL,NULL,NULL,NULL,NULL,2,1),(28,7158262,4.00,6.00,1.00,8.00,9.00,10.13,3.00,7.00,3.00,421,NULL,428,'GLÓRIA','JOINVILLE','SC',8261,2,NULL,NULL,NULL,NULL,NULL,1,8),(28,7158270,0.00,3.00,2.00,4.00,4.00,6.75,1.00,3.00,2.00,207,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',19921,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7158289,5.00,7.00,3.00,3.00,4.00,10.88,2.00,8.00,2.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11113,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7158297,5.00,7.00,4.00,6.00,4.00,10.50,2.00,6.00,4.00,235,NULL,202,'CHACARA PRIMAVERA','CAMPINAS','SP',3237,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7158300,5.00,8.00,1.00,7.00,9.00,8.63,4.00,5.00,6.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',3134,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7158327,4.00,5.00,2.00,5.00,3.00,9.75,3.00,5.00,2.00,202,NULL,NULL,'CHÁCARAS CAIÇARA','BIRIGÜI','SP',15865,356,NULL,NULL,NULL,NULL,NULL,4,1),(28,7158335,1.00,2.00,0.00,5.00,3.00,5.63,0.00,4.00,1.00,552,NULL,NULL,'INTERIOR','MTE CARLO','SC',20122,155,NULL,NULL,NULL,NULL,NULL,2,16),(28,7158351,1.00,7.00,1.00,3.00,6.00,8.63,4.00,3.00,3.00,103,NULL,NULL,'CENTRO','ATALANTA','SC',16980,2435,NULL,NULL,NULL,NULL,NULL,4,24),(28,7158360,5.00,6.00,3.00,7.00,5.00,9.38,4.00,5.00,3.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',5794,264,NULL,NULL,NULL,NULL,NULL,4,10),(28,7158378,2.00,3.00,2.00,5.00,4.00,7.50,2.00,3.00,3.00,207,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17792,755,NULL,NULL,NULL,NULL,NULL,2,1),(28,7158394,0.00,5.00,4.00,3.00,4.00,5.63,1.00,5.00,3.00,301,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',19225,257,NULL,NULL,NULL,NULL,NULL,2,1),(28,7158432,0.00,4.00,3.00,5.00,5.00,8.63,2.00,4.00,2.00,201,NULL,211,'SÃO DEFENDE','CRICIÚMA','SC',18000,995,NULL,417,NULL,NULL,NULL,4,5),(28,7158440,5.00,9.00,4.00,7.00,5.00,6.00,5.00,6.00,4.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',4674,115,NULL,NULL,NULL,NULL,NULL,4,1),(28,7158459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,429,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7158483,3.00,6.00,2.00,6.00,7.00,8.25,1.00,3.00,3.00,202,NULL,203,'CENTRO','PATO BRANCO','PR',10016,256,NULL,537,NULL,NULL,NULL,2,4),(28,7158505,5.00,9.00,1.00,6.00,8.00,NULL,2.00,9.00,2.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7158530,6.00,7.00,1.00,7.00,7.00,9.75,5.00,6.00,5.00,201,NULL,601,'BOA VISTA','JOINVILLE','SC',6192,NULL,NULL,125,NULL,NULL,NULL,4,8),(28,7158548,5.00,8.00,6.00,8.00,11.00,10.50,7.00,8.00,7.00,207,NULL,NULL,'PONTO CENTRAL','FRA SANTANA','BA',81,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7158556,0.00,6.00,1.00,4.00,3.00,8.63,5.00,4.00,1.00,235,NULL,214,'RIO TAVARES','FLORIANÓPOLIS','SC',14418,231,NULL,318,NULL,NULL,NULL,4,1),(28,7158564,2.00,7.00,3.00,6.00,7.00,10.13,4.00,7.00,4.00,503,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',7528,4,NULL,NULL,NULL,NULL,NULL,3,1),(28,7158580,0.00,3.00,3.00,5.00,7.00,7.50,2.00,4.00,4.00,102,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',12345,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7158629,1.00,3.00,2.00,3.00,4.00,8.63,1.00,3.00,0.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7158653,4.00,8.00,3.00,7.00,8.00,8.63,4.00,6.00,7.00,212,NULL,213,'PRAINHA','FLORIANÓPOLIS','SC',3255,98,NULL,39,NULL,NULL,NULL,2,1),(28,7158670,4.00,5.00,1.00,7.00,9.00,7.50,4.00,5.00,3.00,454,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',6690,99,NULL,NULL,NULL,NULL,NULL,4,1),(28,7158696,4.00,5.00,2.00,5.00,6.00,6.00,3.00,4.00,6.00,310,NULL,NULL,'CAEIRA DO SACO DOS L','FLORIANÓPOLIS','SC',9778,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7158700,0.00,5.00,1.00,5.00,4.00,NULL,1.00,3.00,2.00,331,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7158718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7158726,2.00,3.00,1.00,6.00,5.00,6.38,2.00,5.00,3.00,318,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15117,108,NULL,NULL,NULL,NULL,NULL,2,1),(28,7158734,0.00,4.00,3.00,3.00,6.00,7.13,1.00,1.00,0.00,103,NULL,NULL,'CENTRO','PENHA','SC',17566,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7158742,5.00,6.00,3.00,4.00,7.00,6.00,3.00,4.00,4.00,103,NULL,NULL,'JARDIM AMÉRICA','S LEOPOLDO','RS',8036,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7158769,4.00,7.00,5.00,7.00,6.00,9.00,3.00,6.00,6.00,216,NULL,653,'IDEAL','NOVO HAMBURGO','RS',5842,NULL,NULL,54,NULL,NULL,NULL,4,4),(28,7158777,1.00,7.00,2.00,3.00,7.00,8.63,2.00,5.00,4.00,428,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10351,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7158793,3.00,6.00,4.00,4.00,8.00,10.88,3.00,4.00,4.00,207,NULL,201,'ITAGUAÇU','FLORIANÓPOLIS','SC',6877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7158807,0.00,1.00,2.00,1.00,2.00,NULL,0.00,2.00,1.00,552,NULL,NULL,'BOA ESPERANÇA','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7158823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7158831,7.00,6.00,1.00,2.00,4.00,9.75,5.00,6.00,7.00,103,NULL,NULL,'JARDIM CONSTANTINO','CPO MOURÃO','PR',5096,1505,NULL,NULL,NULL,NULL,NULL,4,3),(28,7158858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'JARDIM SATELITE','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7158874,0.00,6.00,2.00,6.00,4.00,NULL,3.00,5.00,3.00,425,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7158882,1.00,5.00,2.00,5.00,6.00,6.00,4.00,6.00,2.00,208,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',11944,131,NULL,NULL,NULL,NULL,NULL,2,1),(28,7158904,2.00,6.00,4.00,6.00,8.00,8.63,3.00,6.00,3.00,211,NULL,601,'IRIRIU','JOINVILLE','SC',6260,NULL,NULL,130,NULL,NULL,NULL,2,8),(28,7158912,0.00,4.00,2.00,5.00,2.00,NULL,1.00,3.00,0.00,329,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7158920,2.00,3.00,1.00,1.00,5.00,6.75,0.00,4.00,2.00,303,NULL,NULL,'JD CIDADE FLORIANOPO','S JOSÉ','SC',16257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7158939,1.00,6.00,2.00,6.00,4.00,4.50,1.00,4.00,4.00,216,NULL,215,'CENTRO','S JOAQUIM','SC',13771,377,NULL,231,NULL,NULL,NULL,2,9),(28,7158947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7158955,0.00,4.00,3.00,2.00,5.00,NULL,1.00,2.00,3.00,5,NULL,NULL,'CENTRO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7158963,4.00,7.00,2.00,7.00,7.00,7.50,3.00,5.00,5.00,316,NULL,NULL,'NONOAI','PTO ALEGRE','RS',5184,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7158980,0.00,4.00,2.00,5.00,4.00,5.25,2.00,2.00,0.00,415,NULL,NULL,'JOÃO PESSOA','JARAGUÁ SUL','SC',20017,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7158998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALPHAVILLE','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7159005,0.00,6.00,2.00,6.00,6.00,NULL,1.00,4.00,2.00,201,NULL,601,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159013,2.00,7.00,3.00,4.00,6.00,11.63,5.00,7.00,5.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4077,1339,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159021,5.00,7.00,2.00,5.00,5.00,8.25,5.00,7.00,6.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',7514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159030,5.00,7.00,1.00,6.00,7.00,6.38,5.00,4.00,6.00,207,NULL,NULL,'CENTRO','AGRONÔMICA','SC',5311,236,NULL,NULL,NULL,NULL,NULL,2,24),(28,7159048,6.00,7.00,2.00,5.00,7.00,7.13,3.00,6.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159056,2.00,4.00,1.00,5.00,3.00,9.00,4.00,5.00,4.00,999,NULL,NULL,'BELA ALIANÇA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7159064,2.00,4.00,1.00,7.00,6.00,7.50,0.00,3.00,2.00,319,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7159072,3.00,4.00,1.00,4.00,1.00,NULL,3.00,4.00,2.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7159099,1.00,6.00,2.00,3.00,4.00,7.13,5.00,5.00,3.00,208,NULL,NULL,'VELHA','BLUMENAU','SC',17088,189,NULL,NULL,NULL,NULL,NULL,2,2),(28,7159102,0.00,3.00,1.00,5.00,3.00,6.00,1.00,3.00,5.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7159129,3.00,8.00,2.00,4.00,7.00,6.38,5.00,4.00,4.00,201,NULL,213,'FIEGUEIRA','URUSSANGA','SC',8753,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7159137,1.00,6.00,1.00,6.00,6.00,7.88,2.00,6.00,1.00,340,NULL,NULL,'JARDIM DA LUZ','GOIÂNIA','GO',10345,288,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159145,7.00,7.00,7.00,5.00,4.00,12.75,4.00,7.00,7.00,103,NULL,NULL,'JARDIM BOA ESPERANÇA','CAMPINAS','SP',1685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159161,0.00,4.00,1.00,6.00,3.00,5.25,1.00,7.00,2.00,101,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',19272,129,NULL,NULL,NULL,NULL,NULL,2,1),(28,7159170,4.00,6.00,1.00,6.00,7.00,6.75,4.00,6.00,6.00,108,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',5279,60,NULL,NULL,NULL,NULL,NULL,2,1),(28,7159196,4.00,6.00,0.00,3.00,4.00,7.50,4.00,6.00,2.00,103,NULL,NULL,'INDUSTRIAL','ARAGUARI','MG',16513,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159218,2.00,5.00,1.00,3.00,2.00,NULL,3.00,5.00,3.00,999,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7159234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'RIO RAFAEL','IBIRAMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7159242,1.00,5.00,2.00,6.00,5.00,6.38,2.00,4.00,2.00,304,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',15011,108,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159277,2.00,5.00,3.00,7.00,6.00,8.25,5.00,4.00,5.00,207,NULL,201,'JARDIM CONSOLAÇÃO','FRANCA','SP',8577,399,NULL,614,NULL,NULL,NULL,4,1),(28,7159285,2.00,6.00,3.00,2.00,2.00,NULL,3.00,3.00,2.00,103,NULL,NULL,'TRICOLIN','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7159293,3.00,6.00,2.00,4.00,6.00,9.00,4.00,5.00,5.00,220,NULL,203,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',7531,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159307,1.00,6.00,1.00,5.00,5.00,5.63,4.00,4.00,5.00,216,NULL,653,'SANGA DA TOCA','ARARANGUÁ','SC',11991,349,NULL,126,NULL,NULL,NULL,4,15),(28,7159323,0.00,4.00,2.00,4.00,3.00,NULL,1.00,5.00,1.00,216,NULL,213,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159340,0.00,6.00,2.00,6.00,10.00,8.63,3.00,7.00,2.00,103,NULL,NULL,'ALTO BONITO','CAÇADOR','SC',10827,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7159358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA VIRGINIA','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7159366,4.00,5.00,1.00,5.00,7.00,9.75,4.00,3.00,4.00,207,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',7153,336,NULL,110,NULL,NULL,NULL,2,1),(28,7159374,0.00,3.00,2.00,3.00,2.00,NULL,1.00,2.00,1.00,654,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7159382,2.00,4.00,3.00,3.00,3.00,6.75,2.00,3.00,2.00,551,NULL,NULL,'INDUSTRIAL','SEARA','SC',19729,65,NULL,NULL,NULL,NULL,NULL,4,26),(28,7159390,0.00,3.00,2.00,0.00,2.00,NULL,1.00,2.00,2.00,225,NULL,NULL,'PENHA','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159404,1.00,5.00,2.00,7.00,6.00,11.25,2.00,7.00,2.00,423,NULL,424,'KOBRASOL','S JOSÉ','SC',13350,11,NULL,NULL,NULL,NULL,NULL,2,1),(28,7159412,5.00,7.00,3.00,5.00,6.00,9.38,4.00,6.00,6.00,5,NULL,NULL,'VILA MARIA LUIZA','RIBEIRÃO PRETO','SP',4545,157,NULL,NULL,NULL,NULL,NULL,2,1),(28,7159420,8.00,8.00,2.00,6.00,8.00,9.38,3.00,6.00,5.00,103,NULL,NULL,'GABIROBA','ITUPORANGA','SC',2371,985,NULL,NULL,NULL,NULL,NULL,4,24),(28,7159439,2.00,7.00,4.00,5.00,7.00,9.00,5.00,5.00,4.00,103,NULL,NULL,'SANTA LUZIA','JARAGUÁ SUL','SC',4408,1407,NULL,NULL,NULL,NULL,NULL,4,23),(28,7159455,2.00,4.00,1.00,1.00,3.00,6.38,1.00,2.00,2.00,551,NULL,NULL,'CENTRO','PTE SERRADA','SC',20094,70,NULL,NULL,NULL,NULL,NULL,4,26),(28,7159480,2.00,6.00,2.00,4.00,3.00,12.38,3.00,6.00,2.00,103,NULL,NULL,'JARDIM BRASÍLIA','ARAÇATUBA','SP',10520,2110,NULL,NULL,NULL,NULL,NULL,4,8),(28,7159498,3.00,8.00,2.00,7.00,9.00,9.75,3.00,5.00,3.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5431,178,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159501,3.00,7.00,2.00,5.00,5.00,7.13,2.00,5.00,7.00,103,NULL,NULL,'VILA OPERARIA','ITAJAÍ','SC',7806,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7159510,2.00,6.00,2.00,6.00,7.00,7.88,0.00,5.00,3.00,454,NULL,NULL,'CENTRO','LONDRINA','PR',9287,170,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159536,1.00,6.00,1.00,2.00,5.00,10.13,5.00,3.00,4.00,102,NULL,NULL,'RIO PRATINHA','PAPANDUVA','SC',11650,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7159544,1.00,6.00,1.00,5.00,4.00,11.25,2.00,4.00,4.00,102,NULL,NULL,'VILA MAZZEI','S PAULO','SP',9347,77,NULL,NULL,NULL,NULL,NULL,2,1),(28,7159552,3.00,7.00,4.00,6.00,7.00,9.38,4.00,7.00,6.00,103,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',2528,1029,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159560,4.00,9.00,2.00,5.00,7.00,9.75,6.00,8.00,7.00,216,NULL,201,'SANTO ANTÔNIO','PTO ALEGRE','RS',1466,44,NULL,89,NULL,NULL,NULL,4,10),(28,7159579,0.00,7.00,2.00,6.00,5.00,NULL,4.00,6.00,0.00,336,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7159587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD DAS NAÇÕES','DRACENA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7159595,4.00,6.00,2.00,7.00,8.00,5.25,3.00,6.00,4.00,214,NULL,212,'JARDIM BONFIGLIOLI','S PAULO','SP',5848,183,NULL,191,NULL,NULL,NULL,4,1),(28,7159609,1.00,7.00,3.00,6.00,2.00,NULL,4.00,6.00,2.00,234,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7159617,5.00,8.00,3.00,5.00,8.00,9.00,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','SUL BRASIL','SC',3189,1180,NULL,NULL,NULL,NULL,NULL,2,1),(28,7159633,2.00,5.00,2.00,3.00,4.00,6.38,3.00,6.00,1.00,201,NULL,207,'CENTRO','GALVÃO','SC',12678,812,NULL,571,NULL,NULL,NULL,4,4),(28,7159641,2.00,7.00,2.00,7.00,8.00,7.13,3.00,5.00,3.00,238,NULL,655,'CENTRO','S JOAQUIM','SC',6367,70,NULL,NULL,NULL,NULL,NULL,2,9),(28,7159650,5.00,5.00,1.00,5.00,6.00,9.75,3.00,6.00,5.00,601,NULL,220,'MEIA PRAIA','ITAPEMA','SC',6572,141,NULL,NULL,NULL,NULL,NULL,4,6),(28,7159668,7.00,5.00,3.00,6.00,7.00,9.38,6.00,6.00,6.00,220,NULL,601,'CIDADE JARDIM','CATANDUVAS','SC',5604,165,NULL,105,NULL,NULL,NULL,4,7),(28,7159676,3.00,5.00,3.00,6.00,4.00,9.00,3.00,5.00,3.00,103,NULL,NULL,'NOVA PETRÓPOLES','S BERNARDO CAMPO','SP',7333,1811,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159684,4.00,7.00,1.00,7.00,8.00,9.75,5.00,7.00,4.00,201,NULL,207,'SALTO DO NORTE','BLUMENAU','SC',4128,319,NULL,167,NULL,NULL,NULL,4,2),(28,7159692,5.00,6.00,3.00,6.00,8.00,9.75,4.00,6.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2316,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7159730,6.00,7.00,2.00,6.00,8.00,10.50,3.00,6.00,7.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',2248,948,NULL,NULL,NULL,NULL,NULL,2,1),(28,7159749,6.00,6.00,1.00,5.00,8.00,6.75,3.00,4.00,7.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6706,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159757,2.00,3.00,3.00,6.00,6.00,7.50,2.00,3.00,2.00,999,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7159781,5.00,8.00,3.00,7.00,11.00,8.63,3.00,8.00,4.00,5,NULL,NULL,'VILA PEDRINI','JOAÇABA','SC',1603,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159790,5.00,8.00,5.00,7.00,10.00,9.00,6.00,8.00,7.00,5,NULL,NULL,'SÃO BASÍLIO MAGNO','UNIÃO VITÓRIA','PR',303,4,NULL,NULL,NULL,NULL,NULL,4,17),(28,7159803,1.00,4.00,2.00,3.00,3.00,6.75,2.00,1.00,3.00,654,NULL,NULL,'TENENTE','JACINTO MACHADO','SC',16822,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7159811,1.00,5.00,0.00,1.00,3.00,NULL,0.00,3.00,0.00,601,NULL,NULL,'CENTRO','PIRATUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7159838,0.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7159846,5.00,8.00,2.00,7.00,9.00,11.63,5.00,6.00,4.00,337,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4823,6,NULL,NULL,NULL,NULL,NULL,2,1),(28,7159870,2.00,3.00,4.00,1.00,1.00,NULL,2.00,4.00,2.00,213,NULL,202,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(28,7159889,1.00,3.00,1.00,3.00,5.00,6.38,2.00,2.00,1.00,552,NULL,NULL,'INTERIOR','SALETE','SC',20050,154,NULL,NULL,NULL,NULL,NULL,2,24),(28,7159897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTENÁRIO','PALMEIRA MISSÕES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7159900,2.00,8.00,3.00,7.00,7.00,9.75,6.00,4.00,4.00,201,NULL,212,'FORQUILHINHAS','S JOSÉ','SC',5363,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7159919,4.00,8.00,3.00,7.00,8.00,8.25,4.00,7.00,6.00,216,NULL,233,'CENTRO','CRICIÚMA','SC',2339,73,NULL,37,NULL,NULL,NULL,4,5),(28,7159927,3.00,7.00,4.00,6.00,4.00,9.75,5.00,4.00,3.00,601,NULL,653,'CENTRO','FLORIANÓPOLIS','SC',12536,369,NULL,134,NULL,NULL,NULL,4,1),(28,7159935,3.00,4.00,4.00,5.00,6.00,9.00,5.00,5.00,4.00,103,NULL,NULL,'FREI ROGÉRIO','LAGES','SC',9691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159943,0.00,4.00,2.00,2.00,3.00,NULL,1.00,3.00,4.00,208,NULL,NULL,'PACHECO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7159951,1.00,6.00,1.00,7.00,8.00,9.75,1.00,6.00,6.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',6375,1682,NULL,NULL,NULL,NULL,NULL,4,10),(28,7159960,0.00,5.00,3.00,5.00,5.00,9.00,3.00,4.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12684,139,NULL,NULL,NULL,NULL,NULL,2,1),(28,7159986,6.00,7.00,2.00,5.00,8.00,6.75,6.00,5.00,6.00,103,NULL,NULL,'ALTO DA BOA VISTA','PRES PRUDENTE','SP',3828,1294,NULL,NULL,NULL,NULL,NULL,3,1),(28,7159994,1.00,4.00,0.00,2.00,1.00,NULL,1.00,5.00,2.00,319,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7160003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7160011,5.00,7.00,2.00,5.00,9.00,8.63,4.00,5.00,6.00,103,NULL,NULL,'VILA ESTER','S JOSÉ CAMPOS','SP',2614,1050,NULL,NULL,NULL,NULL,NULL,4,1),(28,7160020,1.00,4.00,1.00,6.00,3.00,5.25,3.00,2.00,1.00,207,NULL,216,'CAMPECHE','FLORIANÓPOLIS','SC',19656,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7160038,3.00,5.00,1.00,7.00,3.00,8.25,3.00,5.00,2.00,340,NULL,NULL,'ITARARÉ','S VICENTE','SP',16779,408,NULL,NULL,NULL,NULL,NULL,4,1),(28,7160046,3.00,8.00,1.00,5.00,8.00,9.00,4.00,5.00,2.00,303,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',7736,344,NULL,NULL,NULL,NULL,NULL,4,27),(28,7160054,4.00,7.00,2.00,3.00,5.00,6.00,5.00,5.00,1.00,415,NULL,NULL,'GETULIO VARGAS','CURITIBANOS','SC',11898,193,NULL,NULL,NULL,NULL,NULL,4,16),(28,7160062,4.00,5.00,0.00,1.00,4.00,6.75,0.00,5.00,3.00,201,NULL,207,'CENTRO','HERVAL D OESTE','SC',14977,911,NULL,661,NULL,NULL,NULL,4,4),(28,7160070,0.00,6.00,2.00,6.00,3.00,7.50,3.00,5.00,2.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',17531,461,NULL,NULL,NULL,NULL,NULL,4,5),(28,7160089,2.00,6.00,2.00,6.00,2.00,NULL,0.00,5.00,3.00,450,NULL,NULL,'JOSE AMANDIO','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7160097,7.00,8.00,3.00,6.00,5.00,6.38,3.00,5.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4913,74,NULL,NULL,NULL,NULL,NULL,2,1),(28,7160119,2.00,8.00,2.00,2.00,7.00,7.88,4.00,6.00,3.00,203,NULL,202,'INTERLAGOS','CASCAVEL','PR',8276,486,NULL,223,NULL,NULL,NULL,4,4),(28,7160127,3.00,5.00,2.00,4.00,3.00,4.88,2.00,5.00,2.00,999,NULL,NULL,'LAGO SUL','LG SUL','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7160135,2.00,6.00,2.00,6.00,6.00,6.75,2.00,4.00,3.00,340,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',11790,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7160143,3.00,5.00,2.00,7.00,6.00,5.25,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',16009,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7160151,5.00,8.00,1.00,5.00,7.00,9.00,5.00,4.00,5.00,653,NULL,601,'BELA VISTA','S LUDGERO','SC',6327,62,NULL,NULL,NULL,NULL,NULL,2,10),(28,7160160,2.00,6.00,1.00,2.00,2.00,NULL,3.00,4.00,3.00,999,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7160194,4.00,5.00,3.00,4.00,5.00,8.25,5.00,2.00,2.00,216,NULL,201,'PARAISO','CAÇADOR','SC',14907,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7160208,5.00,7.00,3.00,6.00,7.00,6.38,5.00,6.00,7.00,203,NULL,202,'SERTÃO DO MARUIM','S JOSÉ','SC',1635,148,NULL,42,NULL,NULL,NULL,4,1),(28,7160224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,212,'JARDIM DAS HORTENCIA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7160232,0.00,3.00,4.00,2.00,4.00,NULL,0.00,3.00,0.00,207,NULL,216,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7160240,5.00,9.00,1.00,6.00,10.00,10.88,5.00,7.00,7.00,303,NULL,NULL,'TABOÃO','RIO SUL','SC',1143,51,NULL,NULL,NULL,NULL,NULL,4,24),(28,7160259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,23),(28,7160275,3.00,7.00,2.00,7.00,7.00,9.00,4.00,6.00,1.00,223,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',10599,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7160283,5.00,7.00,3.00,6.00,8.00,8.63,3.00,5.00,4.00,202,NULL,201,'DOM BOSCO','ITAJAÍ','SC',8107,218,NULL,NULL,NULL,NULL,NULL,4,6),(28,7160291,6.00,7.00,3.00,7.00,8.00,6.75,4.00,5.00,2.00,319,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9552,174,NULL,NULL,NULL,NULL,NULL,2,6),(28,7160305,0.00,2.00,2.00,2.00,4.00,NULL,0.00,3.00,5.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7160313,5.00,8.00,4.00,6.00,9.00,9.75,3.00,5.00,5.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',3109,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7160321,5.00,6.00,4.00,5.00,7.00,9.38,5.00,5.00,4.00,317,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',3323,4,NULL,NULL,NULL,NULL,NULL,4,27),(28,7160330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7160348,2.00,6.00,2.00,6.00,6.00,7.88,3.00,6.00,6.00,329,NULL,NULL,'JD VENEZA','LONDRINA','PR',10218,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7160356,0.00,1.00,3.00,2.00,4.00,NULL,2.00,3.00,2.00,301,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7160364,0.00,1.00,1.00,2.00,5.00,3.00,3.00,2.00,1.00,415,NULL,NULL,'FORGUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7160372,2.00,5.00,2.00,7.00,7.00,8.63,3.00,5.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14205,178,NULL,NULL,NULL,NULL,NULL,4,1),(28,7160380,6.00,7.00,1.00,6.00,6.00,8.25,2.00,7.00,6.00,999,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7160410,2.00,7.00,1.00,7.00,10.00,9.00,4.00,7.00,7.00,201,NULL,212,'CENTRO','BRUSQUE','SC',4936,377,NULL,158,NULL,NULL,NULL,2,22),(28,7160437,5.00,7.00,2.00,6.00,9.00,7.88,3.00,6.00,2.00,225,NULL,NULL,'SÃO CRITÓVÃO','MARACAJÁ','SC',6889,5,NULL,NULL,NULL,NULL,NULL,2,15),(28,7160445,7.00,7.00,2.00,6.00,7.00,9.00,6.00,6.00,1.00,203,NULL,220,'PONTA AGUDA','BLUMENAU','SC',7415,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7160461,1.00,0.00,3.00,4.00,4.00,NULL,0.00,0.00,0.00,212,NULL,201,'SEMINARIO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(28,7160470,2.00,5.00,1.00,5.00,6.00,6.75,1.00,5.00,3.00,319,NULL,NULL,'CENTRO','S JOSÉ','SC',17746,344,NULL,NULL,NULL,NULL,NULL,4,1),(28,7160488,3.00,4.00,2.00,3.00,3.00,4.50,4.00,4.00,2.00,552,NULL,NULL,'CENTRO','FRAIBURGO','SC',15237,101,NULL,NULL,NULL,NULL,NULL,2,25),(28,7160496,1.00,5.00,2.00,5.00,3.00,5.25,5.00,4.00,2.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7160518,6.00,8.00,4.00,7.00,9.00,9.75,6.00,8.00,8.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',232,178,NULL,NULL,NULL,NULL,NULL,4,3),(28,7160526,4.00,6.00,1.00,5.00,6.00,10.50,6.00,4.00,5.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',5797,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7160542,0.00,6.00,3.00,5.00,3.00,NULL,2.00,6.00,1.00,999,NULL,NULL,'CENTRO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,2),(28,7160550,4.00,6.00,3.00,6.00,6.00,9.75,4.00,7.00,5.00,303,NULL,NULL,'SANTA REGINA','CAMBORIÚ','SC',3500,164,NULL,NULL,NULL,NULL,NULL,4,3),(28,7160569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7160577,0.00,5.00,1.00,4.00,6.00,9.00,1.00,2.00,1.00,238,NULL,652,'RIO TAVARES','FLORIANÓPOLIS','SC',19230,334,NULL,99,NULL,NULL,NULL,4,1),(28,7160593,1.00,4.00,1.00,6.00,7.00,8.25,3.00,3.00,2.00,233,NULL,215,'SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC',17641,339,NULL,NULL,NULL,NULL,NULL,2,1),(28,7160607,3.00,5.00,0.00,7.00,5.00,8.63,1.00,4.00,2.00,999,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7160615,3.00,7.00,1.00,6.00,7.00,4.88,2.00,6.00,3.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',15408,2372,NULL,NULL,NULL,NULL,NULL,4,8),(28,7160623,6.00,9.00,2.00,7.00,10.00,9.38,6.00,9.00,7.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',404,289,NULL,NULL,NULL,NULL,NULL,4,4),(28,7160640,3.00,7.00,2.00,7.00,8.00,8.63,3.00,6.00,6.00,303,NULL,NULL,'SÃO SIMÃO','CRICIÚMA','SC',4663,214,NULL,NULL,NULL,NULL,NULL,4,5),(28,7160666,3.00,3.00,1.00,4.00,4.00,11.25,2.00,5.00,1.00,601,NULL,212,'CAJURU','CURITIBA','PR',17661,508,NULL,408,NULL,NULL,NULL,4,8),(28,7160674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'ARIRIU FORMIGA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7160690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SANTANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7160704,4.00,6.00,1.00,6.00,3.00,8.25,2.00,6.00,4.00,5,NULL,NULL,'SANTO ANDRÉ','ANÁPOLIS','GO',9362,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7160712,2.00,8.00,2.00,5.00,7.00,9.38,3.00,7.00,3.00,201,NULL,212,'MINEIRA NOVA','CRICIÚMA','SC',5312,412,NULL,NULL,NULL,NULL,NULL,4,5),(28,7160720,1.00,4.00,2.00,4.00,4.00,8.25,2.00,3.00,1.00,335,NULL,NULL,'AREIAS','S JOSÉ','SC',19308,13,NULL,NULL,NULL,NULL,NULL,2,1),(28,7160747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7160763,0.00,5.00,2.00,4.00,6.00,8.25,2.00,7.00,3.00,235,NULL,202,'VILA VITÓRIA','MAUÁ','SP',10577,172,NULL,269,NULL,NULL,NULL,4,1),(28,7160771,2.00,4.00,2.00,6.00,7.00,7.50,5.00,3.00,3.00,201,NULL,NULL,'SANTA ROSA','CUIABÁ','MT',15828,929,NULL,NULL,NULL,NULL,NULL,4,1),(28,7160780,2.00,4.00,2.00,2.00,3.00,6.38,2.00,4.00,0.00,454,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7160798,5.00,7.00,5.00,7.00,9.00,10.13,3.00,7.00,3.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',2594,190,NULL,68,NULL,NULL,NULL,4,1),(28,7160801,3.00,6.00,5.00,6.00,4.00,6.00,4.00,4.00,2.00,211,NULL,214,'LAPA','S PAULO','SP',10173,279,NULL,262,NULL,NULL,NULL,4,1),(28,7160810,0.00,1.00,1.00,7.00,4.00,5.25,1.00,4.00,1.00,552,NULL,NULL,'SANTA REGINA QUATRO','CAMBORIÚ','SC',20058,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7160828,6.00,8.00,1.00,6.00,8.00,7.13,5.00,5.00,5.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',4943,1486,NULL,NULL,NULL,NULL,NULL,4,8),(28,7160836,2.00,1.00,2.00,5.00,3.00,4.50,2.00,4.00,2.00,203,NULL,214,'UNIVERSITARIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7160852,2.00,5.00,2.00,6.00,8.00,9.00,2.00,4.00,2.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10582,170,NULL,NULL,NULL,NULL,NULL,2,1),(28,7160860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'SÃO CRISTÓVÃO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7160879,6.00,7.00,1.00,5.00,8.00,8.25,2.00,7.00,4.00,108,NULL,NULL,'VILA ADELAIDE','POUSO REDONDO','SC',4423,47,NULL,NULL,NULL,NULL,NULL,4,24),(28,7160887,0.00,6.00,2.00,5.00,7.00,9.00,1.00,6.00,1.00,201,NULL,207,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',10814,711,NULL,496,NULL,NULL,NULL,2,1),(28,7160909,2.00,8.00,2.00,7.00,5.00,11.25,5.00,7.00,3.00,318,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',8159,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7160917,6.00,8.00,1.00,7.00,7.00,6.00,3.00,8.00,6.00,203,NULL,601,'GLÓRIA','JOINVILLE','SC',2629,201,NULL,31,NULL,NULL,NULL,4,8),(28,7160925,3.00,5.00,2.00,4.00,7.00,8.63,3.00,1.00,2.00,340,NULL,NULL,'CENTRO','GAROPABA','SC',13326,357,NULL,NULL,NULL,NULL,NULL,4,1),(28,7160933,0.00,4.00,3.00,1.00,3.00,NULL,1.00,3.00,2.00,601,NULL,203,'LUCENA','ITAIÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7160950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7160976,6.00,8.00,6.00,7.00,10.00,10.50,3.00,7.00,7.00,233,NULL,235,'KOBRASSOL','S JOSÉ','SC',632,4,NULL,NULL,NULL,NULL,NULL,2,1),(28,7160984,3.00,8.00,2.00,7.00,6.00,7.50,2.00,4.00,6.00,203,NULL,202,'HUMAITA','TUBARÃO','SC',7561,456,NULL,200,NULL,NULL,NULL,2,10),(28,7160992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7161018,1.00,5.00,1.00,3.00,7.00,6.75,1.00,5.00,4.00,551,NULL,NULL,'COHAB I','CURITIBANOS','SC',11902,6,NULL,NULL,NULL,NULL,NULL,4,16),(28,7161026,2.00,7.00,3.00,5.00,6.00,6.38,5.00,6.00,7.00,103,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',5291,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7161042,6.00,7.00,1.00,7.00,9.00,9.00,5.00,8.00,5.00,103,NULL,NULL,'AREIAS','CAMBORIÚ','SC',1805,838,NULL,NULL,NULL,NULL,NULL,4,3),(28,7161069,0.00,5.00,1.00,5.00,4.00,9.75,1.00,5.00,2.00,102,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',15018,135,NULL,NULL,NULL,NULL,NULL,2,26),(28,7161077,2.00,6.00,1.00,4.00,3.00,5.63,4.00,6.00,2.00,207,NULL,201,'CENTRO','JARAGUÁ SUL','SC',17481,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7161085,3.00,7.00,3.00,7.00,8.00,7.88,5.00,6.00,5.00,202,NULL,213,'PRADO','BIGUAÇU','SC',3304,94,NULL,41,NULL,NULL,NULL,2,1),(28,7161107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'LEONTINA BREDER','AT JEQUITIBÁ','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7161115,1.00,3.00,1.00,1.00,4.00,7.50,3.00,1.00,2.00,103,NULL,NULL,'MARTELLO','CAÇADOR','SC',19969,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7161123,4.00,7.00,4.00,3.00,8.00,9.75,2.00,6.00,6.00,220,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',4839,142,NULL,331,NULL,NULL,NULL,4,3),(28,7161140,3.00,6.00,3.00,4.00,3.00,6.75,3.00,5.00,4.00,203,NULL,201,'INTERIOR','GUARACIABA','SC',10514,546,NULL,697,NULL,NULL,NULL,4,27),(28,7161158,1.00,4.00,0.00,6.00,5.00,10.13,2.00,5.00,1.00,421,NULL,429,'JARDIM AEROPORTO','S PAULO','SP',18029,20,NULL,NULL,NULL,NULL,NULL,1,1),(28,7161166,5.00,6.00,4.00,5.00,9.00,8.25,2.00,6.00,5.00,208,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7489,70,NULL,NULL,NULL,NULL,NULL,4,1),(28,7161174,2.00,8.00,3.00,5.00,9.00,9.75,3.00,6.00,4.00,207,NULL,212,'DEHON','TUBARÃO','SC',4114,163,NULL,131,NULL,NULL,NULL,4,10),(28,7161182,1.00,3.00,2.00,7.00,4.00,5.25,3.00,3.00,1.00,444,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7161190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7161204,0.00,3.00,2.00,5.00,5.00,NULL,0.00,3.00,2.00,415,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7161212,3.00,6.00,2.00,3.00,6.00,8.63,3.00,5.00,5.00,207,NULL,211,'COLONINHA','FLORIANÓPOLIS','SC',9077,419,NULL,245,NULL,NULL,NULL,1,1),(28,7161220,1.00,2.00,0.00,3.00,4.00,3.00,2.00,1.00,3.00,207,NULL,201,'CENTRO','JAGUARUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7161247,2.00,6.00,1.00,1.00,5.00,7.50,1.00,6.00,4.00,552,NULL,NULL,'CRISTO REI','S CARLOS','SC',13158,70,NULL,NULL,NULL,NULL,NULL,4,4),(28,7161255,6.00,8.00,5.00,6.00,9.00,10.13,5.00,7.00,6.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',1708,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7161263,3.00,8.00,2.00,4.00,7.00,9.00,2.00,6.00,5.00,103,NULL,NULL,'BARRA DO RIO MOLHA','JARAGUÁ SUL','SC',6381,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7161271,7.00,7.00,4.00,6.00,8.00,9.38,4.00,7.00,5.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',3948,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7161298,5.00,7.00,3.00,5.00,10.00,10.13,8.00,7.00,7.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',928,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7161301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7161310,7.00,8.00,6.00,7.00,8.00,7.88,5.00,6.00,7.00,207,NULL,201,'CORREGO GRANDE','FLORIANÓPOLIS','SC',884,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7161328,3.00,5.00,2.00,4.00,5.00,9.00,0.00,5.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14893,290,NULL,NULL,NULL,NULL,NULL,2,1),(28,7161336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUAIRA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7161344,5.00,8.00,2.00,7.00,8.00,9.38,3.00,7.00,4.00,207,NULL,201,'CENTRO','URUSSANGA','SC',3226,120,NULL,243,NULL,NULL,NULL,4,5),(28,7161352,2.00,6.00,2.00,7.00,8.00,8.25,1.00,5.00,4.00,207,NULL,201,'CENTRO','RIO GRANDE','RS',10302,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7161360,1.00,6.00,2.00,5.00,7.00,10.13,4.00,4.00,4.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',6447,1691,NULL,NULL,NULL,NULL,NULL,4,2),(28,7161379,3.00,5.00,2.00,7.00,7.00,9.38,5.00,3.00,3.00,102,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',7124,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7161387,5.00,7.00,1.00,5.00,7.00,10.88,4.00,6.00,5.00,104,NULL,NULL,'ATIRADORES','JOINVILLE','SC',3351,41,NULL,NULL,NULL,NULL,NULL,4,8),(28,7161395,7.00,8.00,4.00,8.00,7.00,9.38,1.00,7.00,5.00,103,NULL,NULL,'TATUAPÉ','S PAULO','SP',1585,769,NULL,NULL,NULL,NULL,NULL,2,1),(28,7161409,2.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7161417,2.00,6.00,3.00,7.00,6.00,9.75,4.00,6.00,1.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7161425,4.00,8.00,2.00,7.00,8.00,10.13,2.00,7.00,5.00,201,NULL,207,'CAMPO GRANDE','SANTOS','SP',2026,136,NULL,NULL,NULL,NULL,NULL,4,1),(28,7161433,2.00,4.00,2.00,3.00,4.00,6.00,2.00,3.00,1.00,104,NULL,NULL,'VALPARAISO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7161468,1.00,5.00,2.00,3.00,4.00,7.13,4.00,3.00,1.00,235,NULL,213,'BOM VIVER','BIGUAÇU','SC',15123,239,NULL,239,NULL,NULL,NULL,2,1),(28,7161476,2.00,6.00,3.00,6.00,8.00,8.25,4.00,5.00,5.00,211,NULL,207,'PONTA DA PRAIA','SANTOS','SP',9492,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7161484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CHACARAS AREAL','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7161522,2.00,7.00,0.00,5.00,7.00,8.25,3.00,5.00,4.00,223,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15420,28,NULL,NULL,NULL,NULL,NULL,2,1),(28,7161530,3.00,6.00,1.00,3.00,7.00,7.50,3.00,3.00,4.00,238,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',11614,183,NULL,NULL,NULL,NULL,NULL,4,1),(28,7161549,4.00,6.00,3.00,7.00,6.00,5.63,3.00,5.00,3.00,108,NULL,NULL,'JARDIM DONA SINHÁ','S PAULO','SP',8605,110,NULL,NULL,NULL,NULL,NULL,4,1),(28,7161557,4.00,0.00,2.00,6.00,7.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(28,7161565,4.00,6.00,2.00,5.00,9.00,10.13,2.00,4.00,2.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8640,138,NULL,NULL,NULL,NULL,NULL,2,1),(28,7161573,1.00,5.00,1.00,4.00,5.00,7.13,2.00,3.00,4.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',12858,83,NULL,NULL,NULL,NULL,NULL,2,1),(28,7161581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'CIDADE INDUSTRIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7161611,5.00,9.00,4.00,7.00,8.00,9.38,2.00,7.00,6.00,216,NULL,213,'CENTRO','FRAIBURGO','SC',2201,70,NULL,16,NULL,NULL,NULL,4,16),(28,7161646,0.00,7.00,1.00,5.00,7.00,6.00,2.00,4.00,3.00,340,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',13167,353,NULL,NULL,NULL,NULL,NULL,2,6),(28,7161654,1.00,4.00,2.00,5.00,5.00,9.38,1.00,3.00,3.00,203,NULL,601,'CENTRO','CAMPOS NOVOS','SC',14770,636,NULL,443,NULL,NULL,NULL,2,4),(28,7161662,1.00,3.00,3.00,5.00,5.00,9.75,3.00,5.00,3.00,108,NULL,NULL,'GUARUJÁ','PTO ALEGRE','RS',11683,156,NULL,NULL,NULL,NULL,NULL,2,1),(28,7161670,1.00,6.00,3.00,5.00,5.00,7.88,3.00,3.00,3.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7161689,3.00,5.00,1.00,6.00,8.00,6.75,4.00,5.00,3.00,103,NULL,NULL,'SITIO CERCADO','CURITIBA','PR',14004,2299,NULL,NULL,NULL,NULL,NULL,4,8),(28,7161697,2.00,8.00,1.00,6.00,7.00,11.63,3.00,8.00,2.00,103,NULL,NULL,'ANDORINHAS','ZORTÉA','SC',4888,1476,NULL,NULL,NULL,NULL,NULL,2,7),(28,7161700,1.00,7.00,2.00,4.00,6.00,8.63,3.00,7.00,3.00,9,NULL,NULL,'BARRA FUNDA','GUARUJÁ','SP',8471,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7161719,6.00,6.00,3.00,8.00,9.00,7.88,3.00,7.00,7.00,454,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2085,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7161727,6.00,6.00,1.00,7.00,9.00,12.75,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',1499,740,NULL,NULL,NULL,NULL,NULL,4,1),(28,7161735,2.00,3.00,4.00,3.00,4.00,6.38,4.00,5.00,2.00,653,NULL,655,'RIO MAINA','CRICIÚMA','SC',15054,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7161743,7.00,8.00,4.00,7.00,9.00,11.63,2.00,7.00,8.00,103,NULL,NULL,'PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP',1110,602,NULL,NULL,NULL,NULL,NULL,4,1),(28,7161751,5.00,7.00,6.00,6.00,8.00,10.13,6.00,7.00,6.00,203,NULL,201,'JARDIM ALVORADA','JAÚ','SP',786,76,NULL,NULL,NULL,NULL,NULL,4,1),(28,7161760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VILA FRANCISCO M','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7161778,4.00,7.00,2.00,6.00,9.00,7.50,5.00,4.00,4.00,301,NULL,NULL,'INTERIOR','CONCÓRDIA','SC',5792,49,NULL,NULL,NULL,NULL,NULL,2,4),(28,7161786,4.00,6.00,3.00,6.00,8.00,10.88,2.00,5.00,2.00,303,NULL,NULL,'PARQUE DOS PRÍNCIPES','OSASCO','SP',10262,416,NULL,NULL,NULL,NULL,NULL,2,1),(28,7161794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TATUAPÉ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7161808,7.00,8.00,4.00,4.00,8.00,10.13,3.00,6.00,3.00,103,NULL,NULL,'ACARAÍ','S FRANCISCO SUL','SC',6355,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7161824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM PRIMAVERA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7161832,4.00,5.00,1.00,6.00,7.00,9.00,0.00,6.00,4.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',13929,92,NULL,NULL,NULL,NULL,NULL,2,1),(28,7161840,3.00,2.00,2.00,1.00,2.00,NULL,1.00,3.00,3.00,415,NULL,NULL,'CENTRO','VARGEÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7161859,4.00,7.00,4.00,5.00,6.00,8.63,4.00,9.00,7.00,203,NULL,202,'TABOÃO','S BERNARDO CAMPO','SP',1806,NULL,NULL,49,NULL,NULL,NULL,4,1),(28,7161875,6.00,5.00,3.00,5.00,7.00,7.88,2.00,5.00,4.00,319,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',7735,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7161883,1.00,3.00,2.00,2.00,4.00,9.38,1.00,2.00,2.00,333,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',17550,109,NULL,NULL,NULL,NULL,NULL,4,1),(28,7161891,4.00,8.00,2.00,6.00,8.00,8.63,4.00,8.00,3.00,318,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',3569,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7161913,4.00,6.00,3.00,7.00,7.00,8.25,4.00,8.00,3.00,2,NULL,NULL,'MARIA CÉU','CRICIÚMA','SC',5261,14,NULL,NULL,NULL,NULL,NULL,4,5),(28,7161921,2.00,5.00,3.00,2.00,5.00,7.88,2.00,4.00,2.00,108,NULL,NULL,'ROÇADO','S JOSÉ','SC',18742,247,NULL,NULL,NULL,NULL,NULL,4,1),(28,7161930,4.00,6.00,1.00,5.00,9.00,9.00,3.00,5.00,3.00,454,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',8314,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7161948,0.00,4.00,2.00,4.00,6.00,9.00,2.00,4.00,2.00,109,NULL,NULL,'BARREIROS','S JOSÉ','SC',14159,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7161956,2.00,3.00,1.00,5.00,5.00,8.25,2.00,3.00,3.00,552,NULL,NULL,'INTERIOR','CONCÓRDIA','SC',13839,79,NULL,NULL,NULL,NULL,NULL,2,26),(28,7161964,1.00,6.00,4.00,5.00,5.00,5.25,3.00,5.00,2.00,203,NULL,NULL,'SÃO BENTO ALTO','NOVA VENEZA','SC',16876,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7161999,1.00,3.00,1.00,4.00,4.00,7.13,2.00,3.00,2.00,303,NULL,NULL,'IMPERIAL','CONCÓRDIA','SC',16590,562,NULL,NULL,NULL,NULL,NULL,4,4),(28,7162014,7.00,7.00,4.00,6.00,8.00,10.13,6.00,7.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1422,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162022,4.00,7.00,2.00,5.00,4.00,4.50,5.00,2.00,5.00,238,NULL,235,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',14800,245,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162030,6.00,7.00,3.00,5.00,6.00,8.25,3.00,4.00,5.00,552,NULL,NULL,'CENTRO','AGRONÔMICA','SC',11226,42,NULL,NULL,NULL,NULL,NULL,2,24),(28,7162049,3.00,6.00,2.00,6.00,7.00,9.00,3.00,4.00,4.00,654,NULL,NULL,'PITUBA','SALVADOR','BA',11825,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162057,0.00,3.00,1.00,3.00,6.00,6.38,4.00,3.00,2.00,238,NULL,NULL,'BARREIROS','S JOSÉ','SC',16422,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7162065,0.00,5.00,2.00,3.00,3.00,NULL,3.00,3.00,2.00,203,NULL,601,'GRAVATÁ','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7162073,3.00,9.00,2.00,5.00,6.00,9.00,2.00,3.00,3.00,103,NULL,NULL,'ROSA PIRES','CPO GRANDE','MS',13706,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7162081,2.00,7.00,2.00,7.00,6.00,4.88,2.00,8.00,5.00,2,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',13367,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162103,4.00,5.00,0.00,4.00,5.00,7.13,3.00,2.00,2.00,220,NULL,235,'BARREIROS','S JOSÉ','SC',14672,309,NULL,234,NULL,NULL,NULL,4,1),(28,7162120,1.00,0.00,3.00,2.00,5.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7162146,2.00,7.00,2.00,5.00,7.00,7.88,2.00,5.00,3.00,208,NULL,NULL,'CENTRO','PALHOÇA','SC',9193,98,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162154,4.00,8.00,3.00,6.00,7.00,11.25,4.00,7.00,8.00,454,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',1468,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162170,1.00,5.00,5.00,4.00,6.00,6.75,3.00,4.00,3.00,201,NULL,212,'VARJEM DO BOM JESUS','FLORIANÓPOLIS','SC',12213,785,NULL,337,NULL,NULL,NULL,2,1),(28,7162189,5.00,8.00,2.00,6.00,8.00,8.63,4.00,5.00,8.00,103,NULL,NULL,'DAMHA','PRES PRUDENTE','SP',4313,1384,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162197,3.00,6.00,3.00,4.00,3.00,5.63,3.00,2.00,2.00,202,NULL,201,'CENTRO','MERCEDES','PR',14792,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162243,4.00,5.00,4.00,6.00,5.00,7.50,4.00,6.00,6.00,203,NULL,220,'TRINDADE','FLORIANÓPOLIS','SC',7729,466,NULL,207,NULL,NULL,NULL,4,1),(28,7162251,4.00,4.00,2.00,3.00,6.00,8.25,2.00,4.00,2.00,104,NULL,NULL,'INDUSTRIAL II','NOVA ERECHIM','SC',17674,419,NULL,NULL,NULL,NULL,NULL,4,4),(28,7162260,1.00,5.00,3.00,6.00,7.00,7.88,4.00,5.00,5.00,318,NULL,NULL,'CENTRO','PALHOÇA','SC',9636,60,NULL,NULL,NULL,NULL,NULL,2,1),(28,7162278,2.00,5.00,5.00,5.00,3.00,7.13,2.00,5.00,4.00,304,NULL,NULL,'CENTRO','CHAPECÓ','SC',10525,75,NULL,NULL,NULL,NULL,NULL,4,4),(28,7162286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7162308,3.00,9.00,5.00,7.00,6.00,9.38,5.00,6.00,4.00,201,NULL,NULL,'JARDIM ACLIMAÇÃO','S JOSÉ R PRETO','SP',2040,138,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162332,2.00,7.00,2.00,2.00,4.00,11.25,4.00,4.00,3.00,331,NULL,NULL,'GUARÁ II','GUARÁ','DF',16021,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162340,4.00,7.00,4.00,5.00,7.00,10.88,4.00,6.00,6.00,203,NULL,653,'PASSO DO GADO','TUBARÃO','SC',3526,NULL,NULL,20,NULL,NULL,NULL,4,10),(28,7162359,1.00,3.00,4.00,4.00,5.00,8.25,1.00,4.00,2.00,301,NULL,NULL,'CENTRO','MARAU','RS',15273,213,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162375,2.00,5.00,3.00,7.00,6.00,7.13,4.00,3.00,4.00,201,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9858,672,NULL,NULL,NULL,NULL,NULL,2,1),(28,7162383,4.00,8.00,4.00,7.00,9.00,9.75,4.00,6.00,7.00,203,NULL,201,'JARDIM PETRÓPOLIS','LONDRINA','PR',2267,184,NULL,166,NULL,NULL,NULL,4,1),(28,7162391,2.00,5.00,2.00,3.00,8.00,9.00,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','LEOBERTO LEAL','SC',7570,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162405,0.00,2.00,2.00,4.00,5.00,5.25,2.00,5.00,1.00,238,NULL,207,'FUNDO CANOAS','RIO SUL','SC',16736,292,NULL,NULL,NULL,NULL,NULL,2,24),(28,7162413,3.00,6.00,1.00,2.00,4.00,8.63,2.00,7.00,6.00,103,NULL,NULL,'CURICICA','RIO JANEIRO','RJ',7339,1812,NULL,NULL,NULL,NULL,NULL,2,22),(28,7162448,2.00,4.00,2.00,6.00,6.00,9.00,0.00,4.00,2.00,207,NULL,211,'HUMAITÁ','TUBARÃO','SC',11821,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7162456,2.00,6.00,1.00,6.00,4.00,9.00,2.00,5.00,3.00,2,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10967,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162464,0.00,3.00,3.00,3.00,2.00,NULL,0.00,3.00,0.00,551,NULL,NULL,'QUADRA DO MAR','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7162472,1.00,6.00,1.00,5.00,5.00,8.63,1.00,4.00,2.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',18060,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7162480,7.00,8.00,5.00,7.00,10.00,9.75,7.00,8.00,9.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',140,112,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162499,5.00,7.00,3.00,7.00,9.00,9.38,5.00,5.00,6.00,5,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',1949,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162510,4.00,7.00,4.00,6.00,7.00,7.88,4.00,5.00,5.00,214,NULL,212,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4300,145,NULL,137,NULL,NULL,NULL,4,1),(28,7162529,1.00,4.00,0.00,6.00,5.00,NULL,1.00,5.00,2.00,424,NULL,421,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162537,3.00,6.00,5.00,5.00,4.00,6.75,4.00,5.00,5.00,415,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',8864,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162545,3.00,9.00,3.00,7.00,6.00,8.25,4.00,5.00,2.00,340,NULL,NULL,'VILA GUARANI','JUNDIAÍ','SP',9554,270,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162553,3.00,5.00,3.00,6.00,5.00,8.25,3.00,5.00,5.00,222,NULL,NULL,'PARQUE SÃO VICENTE','S VICENTE','SP',6323,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'TRIBESS','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7162588,0.00,2.00,2.00,6.00,3.00,9.38,3.00,3.00,3.00,201,NULL,601,'CENTRO','FRAIBURGO','SC',18922,1025,NULL,534,NULL,NULL,NULL,4,25),(28,7162618,3.00,7.00,3.00,6.00,4.00,9.00,4.00,7.00,2.00,303,NULL,NULL,'CAMPO BELO','PINDAMONHANGABA','SP',5694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162626,2.00,7.00,2.00,4.00,3.00,8.63,1.00,5.00,3.00,415,NULL,NULL,'BELA VISTA','S JOSÉ','SC',14199,228,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162634,1.00,9.00,1.00,5.00,7.00,9.00,5.00,7.00,2.00,201,NULL,207,'BELA VISTA','LEBON RÉGIS','SC',6542,504,NULL,NULL,NULL,NULL,NULL,2,25),(28,7162642,4.00,7.00,2.00,6.00,5.00,8.25,4.00,6.00,8.00,203,NULL,202,'VILA MARIA','LAGES','SC',4853,333,NULL,143,NULL,NULL,NULL,4,8),(28,7162650,3.00,6.00,1.00,3.00,6.00,4.50,5.00,6.00,3.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7162669,6.00,6.00,2.00,7.00,8.00,10.50,5.00,5.00,7.00,103,NULL,NULL,'CHÁCARA CACHOEIRA','CPO GRANDE','MS',2818,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7162685,7.00,7.00,5.00,7.00,9.00,10.50,2.00,7.00,6.00,103,NULL,NULL,'SANTA CLARA','QUATRO PONTES','PR',1494,738,NULL,NULL,NULL,NULL,NULL,2,1),(28,7162693,4.00,4.00,1.00,4.00,4.00,10.88,3.00,4.00,2.00,102,NULL,NULL,'EMBARÉ','SANTOS','SP',9074,74,NULL,NULL,NULL,NULL,NULL,4,2),(28,7162707,3.00,7.00,2.00,6.00,7.00,11.63,1.00,5.00,1.00,110,NULL,NULL,'VILLA YARA','OSASCO','SP',6493,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162715,0.00,4.00,0.00,4.00,3.00,NULL,1.00,3.00,2.00,318,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7162731,0.00,3.00,2.00,3.00,6.00,NULL,2.00,4.00,3.00,423,NULL,425,'RONDINHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7162740,2.00,3.00,3.00,2.00,6.00,7.50,4.00,3.00,4.00,203,NULL,220,'CAMPINAS','S JOSÉ','SC',13617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162758,5.00,4.00,3.00,6.00,5.00,4.50,3.00,3.00,3.00,552,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',16025,114,NULL,NULL,NULL,NULL,NULL,4,4),(28,7162766,3.00,5.00,2.00,7.00,6.00,NULL,4.00,4.00,3.00,103,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(28,7162774,2.00,6.00,2.00,5.00,4.00,8.25,2.00,5.00,5.00,316,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',12190,131,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162782,3.00,6.00,2.00,3.00,8.00,7.13,3.00,5.00,5.00,316,NULL,NULL,'NAÇÕES','INDAIAL','SC',13401,152,NULL,NULL,NULL,NULL,NULL,4,2),(28,7162790,4.00,6.00,3.00,5.00,4.00,8.63,1.00,5.00,2.00,108,NULL,NULL,'CENTRO','IBIRAMA','SC',10315,137,NULL,NULL,NULL,NULL,NULL,4,24),(28,7162804,2.00,5.00,1.00,3.00,5.00,6.75,0.00,3.00,2.00,103,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',15922,2399,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162812,0.00,6.00,2.00,5.00,4.00,NULL,0.00,5.00,0.00,301,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7162820,4.00,6.00,1.00,7.00,9.00,6.38,6.00,8.00,4.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8327,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162839,0.00,4.00,2.00,3.00,6.00,NULL,1.00,4.00,2.00,999,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162847,1.00,6.00,2.00,2.00,2.00,NULL,1.00,5.00,3.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7162855,1.00,6.00,1.00,4.00,6.00,8.25,0.00,2.00,3.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18764,446,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7162871,2.00,4.00,1.00,2.00,5.00,6.38,2.00,5.00,4.00,203,NULL,214,'CORAL','LAGES','SC',18176,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7162880,4.00,8.00,1.00,5.00,9.00,8.25,5.00,8.00,5.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',4100,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7162898,5.00,6.00,1.00,6.00,6.00,7.50,1.00,6.00,4.00,207,NULL,212,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',8517,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7162901,4.00,8.00,4.00,5.00,7.00,7.50,5.00,6.00,3.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',6139,280,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162910,2.00,6.00,3.00,5.00,2.00,NULL,3.00,5.00,1.00,212,NULL,220,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7162928,4.00,7.00,0.00,6.00,7.00,8.63,3.00,6.00,1.00,655,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',8121,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162936,5.00,7.00,2.00,5.00,9.00,7.88,3.00,7.00,6.00,220,NULL,601,'BELA VISTA III','S JOSÉ','SC',4475,133,NULL,78,NULL,NULL,NULL,4,1),(28,7162944,4.00,8.00,1.00,7.00,5.00,10.13,3.00,5.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4434,205,NULL,NULL,NULL,NULL,NULL,2,1),(28,7162952,4.00,5.00,1.00,7.00,5.00,4.50,2.00,6.00,2.00,318,NULL,NULL,'CENTRO','CAXIAS SUL','RS',17701,128,NULL,NULL,NULL,NULL,NULL,2,1),(28,7162960,1.00,5.00,2.00,7.00,4.00,9.38,4.00,4.00,1.00,207,NULL,NULL,'NOVO CENTRO','MARINGÁ','PR',16620,719,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162979,5.00,7.00,6.00,6.00,7.00,11.25,8.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',402,287,NULL,NULL,NULL,NULL,NULL,4,1),(28,7162987,6.00,8.00,7.00,7.00,11.00,11.63,7.00,7.00,7.00,103,NULL,NULL,'VILLAGE','IMBITUBA','SC',46,39,NULL,NULL,NULL,NULL,NULL,2,10),(28,7163002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7163010,5.00,7.00,4.00,6.00,8.00,9.00,3.00,6.00,6.00,415,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',3542,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163029,5.00,8.00,4.00,7.00,10.00,13.50,3.00,7.00,7.00,103,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',344,251,NULL,NULL,NULL,NULL,NULL,2,1),(28,7163037,1.00,5.00,3.00,6.00,5.00,7.50,3.00,7.00,2.00,999,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7163045,4.00,7.00,1.00,6.00,7.00,7.13,1.00,4.00,5.00,317,NULL,NULL,'ROÇADO','S JOSÉ','SC',10043,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7163053,5.00,7.00,4.00,7.00,10.00,11.25,5.00,7.00,5.00,103,NULL,NULL,'JARDIM ITAPUAN','MARINGÁ','PR',902,506,NULL,NULL,NULL,NULL,NULL,2,4),(28,7163061,2.00,5.00,0.00,7.00,4.00,10.13,3.00,4.00,3.00,109,NULL,NULL,'SOSSEGO','CANOINHAS','SC',16159,67,NULL,NULL,NULL,NULL,NULL,2,17),(28,7163070,2.00,5.00,2.00,7.00,3.00,7.88,2.00,5.00,3.00,333,NULL,NULL,'JARDIM HANTSCHEL','RIO NEGRINHO','SC',14333,88,NULL,NULL,NULL,NULL,NULL,2,8),(28,7163088,7.00,8.00,5.00,7.00,6.00,9.38,3.00,7.00,7.00,103,NULL,NULL,'VILA LEOPOLDINA','S PAULO','SP',915,514,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163096,1.00,6.00,2.00,6.00,2.00,NULL,1.00,5.00,3.00,999,NULL,NULL,'LAGOA DA CONÇEICÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163100,1.00,5.00,1.00,2.00,1.00,NULL,3.00,4.00,3.00,501,NULL,NULL,'BOA VISTA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7163118,4.00,8.00,2.00,6.00,9.00,8.63,2.00,6.00,3.00,336,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',5766,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7163126,4.00,7.00,3.00,5.00,8.00,6.00,4.00,8.00,4.00,203,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',6123,400,NULL,476,NULL,NULL,NULL,4,1),(28,7163134,6.00,6.00,1.00,6.00,5.00,4.88,4.00,7.00,5.00,201,NULL,212,'FAZENDA STO ANTONIO','S JOSÉ','SC',7381,544,NULL,227,NULL,NULL,NULL,2,1),(28,7163142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'PACHECO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7163150,2.00,7.00,3.00,5.00,8.00,8.63,5.00,5.00,6.00,220,NULL,653,'SÃO SIMÃO','CRICIÚMA','SC',2468,73,NULL,8,NULL,NULL,NULL,4,5),(28,7163169,0.00,2.00,1.00,3.00,4.00,5.63,2.00,3.00,1.00,424,NULL,427,'TRINDADE','FLORIANÓPOLIS','SC',20123,46,NULL,30,NULL,NULL,NULL,4,1),(28,7163177,3.00,6.00,1.00,4.00,6.00,9.75,0.00,5.00,3.00,104,NULL,NULL,'GLORIA','JOINVILLE','SC',12254,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7163185,2.00,7.00,3.00,6.00,2.00,NULL,4.00,4.00,1.00,215,NULL,233,'VILA BRASIL','S JOSÉ R PARDO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'JARDIM PARANA','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7163215,6.00,8.00,3.00,6.00,6.00,10.13,6.00,5.00,6.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',1969,879,NULL,NULL,NULL,NULL,NULL,4,6),(28,7163223,0.00,2.00,2.00,1.00,4.00,5.25,1.00,3.00,2.00,502,NULL,NULL,'BONANÇA','JARINU','SP',19345,64,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163231,6.00,8.00,0.00,6.00,6.00,9.00,1.00,4.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163240,4.00,6.00,3.00,3.00,6.00,9.75,3.00,5.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8526,1953,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163258,3.00,6.00,3.00,6.00,7.00,10.13,5.00,4.00,4.00,203,NULL,214,'ESTREITO','FLORIANÓPOLIS','SC',5970,397,NULL,189,NULL,NULL,NULL,4,1),(28,7163274,4.00,7.00,3.00,5.00,8.00,10.13,2.00,7.00,3.00,216,NULL,211,'CORREGO GRANDE','FLORIANÓPOLIS','SC',8688,285,NULL,234,NULL,NULL,NULL,4,1),(28,7163290,0.00,5.00,2.00,6.00,6.00,NULL,4.00,4.00,4.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7163312,6.00,7.00,2.00,7.00,6.00,9.38,6.00,4.00,6.00,214,NULL,213,'GRAMADO','CAMPINAS','SP',2099,72,NULL,12,NULL,NULL,NULL,4,8),(28,7163320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7163339,6.00,6.00,4.00,7.00,9.00,8.63,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','JAGUARUNA','SC',3493,1239,NULL,NULL,NULL,NULL,NULL,2,10),(28,7163347,7.00,8.00,4.00,6.00,9.00,9.75,7.00,7.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',548,362,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163355,0.00,5.00,2.00,4.00,5.00,NULL,1.00,5.00,2.00,5,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7163363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,202,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7163371,0.00,6.00,1.00,6.00,7.00,10.13,2.00,5.00,3.00,203,NULL,601,'CANTA GALO','RIO SUL','SC',9384,NULL,NULL,246,NULL,NULL,NULL,2,24),(28,7163380,3.00,5.00,5.00,0.00,4.00,6.00,4.00,3.00,1.00,207,NULL,215,'PANTANAL','FLORIANÓPOLIS','SC',14943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163398,7.00,8.00,4.00,8.00,9.00,8.63,5.00,7.00,7.00,103,NULL,NULL,'JARDIM CHAPADÃO','CAMPINAS','SP',1426,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163401,6.00,7.00,4.00,6.00,8.00,9.00,4.00,6.00,5.00,216,NULL,233,'ITAUM','JOINVILLE','SC',2490,83,NULL,45,NULL,NULL,NULL,4,8),(28,7163410,2.00,6.00,1.00,4.00,5.00,9.00,0.00,7.00,2.00,102,NULL,NULL,'CENTRO','LEOBERTO LEAL','SC',9834,83,NULL,NULL,NULL,NULL,NULL,2,24),(28,7163428,1.00,5.00,3.00,6.00,2.00,NULL,2.00,3.00,3.00,454,NULL,NULL,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7163436,1.00,5.00,1.00,3.00,5.00,7.50,1.00,3.00,2.00,404,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',17539,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7163444,2.00,6.00,2.00,6.00,10.00,8.25,3.00,4.00,4.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7373,48,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163452,4.00,8.00,6.00,7.00,6.00,8.63,5.00,7.00,7.00,203,NULL,214,'VILA EMA','S JOSÉ CAMPOS','SP',1168,109,NULL,22,NULL,NULL,NULL,4,1),(28,7163479,4.00,4.00,4.00,4.00,10.00,11.25,4.00,5.00,5.00,426,NULL,428,'CENTRO','CANOINHAS','SC',5825,3,NULL,NULL,NULL,NULL,NULL,4,17),(28,7163487,2.00,8.00,1.00,6.00,3.00,6.38,2.00,4.00,2.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',13185,2269,NULL,NULL,NULL,NULL,NULL,4,8),(28,7163495,4.00,6.00,4.00,6.00,6.00,8.25,5.00,6.00,4.00,202,NULL,220,'JURERÊ','FLORIANÓPOLIS','SC',4586,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163509,3.00,8.00,2.00,6.00,3.00,7.13,2.00,5.00,5.00,340,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',10062,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7163517,1.00,6.00,0.00,5.00,8.00,8.63,2.00,6.00,2.00,454,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',11678,230,NULL,NULL,NULL,NULL,NULL,2,1),(28,7163525,3.00,0.00,2.00,5.00,8.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7163533,3.00,5.00,2.00,4.00,2.00,NULL,1.00,5.00,1.00,235,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7163541,1.00,3.00,3.00,3.00,4.00,7.50,2.00,5.00,1.00,101,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',18168,120,NULL,NULL,NULL,NULL,NULL,2,1),(28,7163550,4.00,5.00,3.00,1.00,5.00,6.75,4.00,4.00,4.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',15143,2360,NULL,NULL,NULL,NULL,NULL,4,8),(28,7163568,2.00,6.00,2.00,7.00,5.00,6.00,3.00,4.00,4.00,999,NULL,NULL,'CANTA GALO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7163576,3.00,8.00,3.00,5.00,7.00,12.00,5.00,6.00,5.00,216,NULL,215,'ÁGUA DAS ANTAS','LUCIANÓPOLIS','SP',2068,66,NULL,15,NULL,NULL,NULL,4,1),(28,7163592,2.00,6.00,0.00,5.00,6.00,NULL,3.00,6.00,2.00,5,NULL,NULL,'GRAVATÁ','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7163606,2.00,6.00,1.00,7.00,8.00,6.75,1.00,4.00,1.00,552,NULL,NULL,'JARDIM DA SERRA','CAPINZAL','SC',10329,37,NULL,NULL,NULL,NULL,NULL,2,7),(28,7163630,4.00,7.00,2.00,3.00,7.00,7.50,3.00,5.00,4.00,333,NULL,NULL,'ANA ROSA','CRUZEIRO','SP',7167,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163665,0.00,6.00,1.00,6.00,3.00,NULL,1.00,4.00,4.00,103,NULL,NULL,'NAÇOES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7163673,7.00,7.00,4.00,5.00,7.00,7.13,5.00,5.00,8.00,336,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1721,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163690,1.00,7.00,3.00,7.00,7.00,8.63,3.00,6.00,6.00,303,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',4098,191,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163703,4.00,8.00,2.00,7.00,8.00,6.00,4.00,6.00,4.00,999,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163711,4.00,5.00,1.00,4.00,7.00,7.50,1.00,4.00,3.00,454,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',14325,294,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163720,1.00,0.00,3.00,8.00,7.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','GOV VALADARES','MG',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(28,7163738,3.00,7.00,2.00,5.00,2.00,NULL,3.00,6.00,2.00,201,NULL,216,'LINHA PEDRA LISA','RIO ANTAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7163746,8.00,7.00,3.00,6.00,9.00,8.63,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',2175,930,NULL,NULL,NULL,NULL,NULL,2,22),(28,7163754,3.00,6.00,4.00,6.00,9.00,9.38,3.00,5.00,3.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',5522,1574,NULL,NULL,NULL,NULL,NULL,4,5),(28,7163789,4.00,8.00,1.00,5.00,7.00,7.88,5.00,7.00,4.00,103,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',4136,1349,NULL,NULL,NULL,NULL,NULL,4,17),(28,7163797,1.00,4.00,2.00,6.00,3.00,0.00,1.00,2.00,3.00,451,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163800,4.00,8.00,3.00,5.00,5.00,9.00,4.00,3.00,6.00,101,NULL,NULL,'VILA MARIANA','S PAULO','SP',5348,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163819,2.00,5.00,1.00,6.00,5.00,8.25,1.00,4.00,2.00,999,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7163827,0.00,4.00,2.00,5.00,4.00,6.75,1.00,5.00,0.00,319,NULL,NULL,'CARDOSO','S JOÃO BATISTA','SC',16515,318,NULL,NULL,NULL,NULL,NULL,2,22),(28,7163835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'JARDIM FOREST','CARAGUATATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7163851,0.00,4.00,0.00,5.00,7.00,10.13,0.00,3.00,2.00,326,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15411,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163860,5.00,7.00,4.00,5.00,8.00,6.75,5.00,6.00,5.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6974,110,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163878,2.00,7.00,4.00,5.00,7.00,6.75,4.00,6.00,5.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',4775,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163886,1.00,8.00,2.00,4.00,7.00,8.25,5.00,5.00,3.00,318,NULL,NULL,'SÃO PEDRO','XANXERÊ','SC',9201,57,NULL,NULL,NULL,NULL,NULL,4,4),(28,7163894,0.00,6.00,3.00,4.00,3.00,6.75,0.00,3.00,0.00,340,NULL,NULL,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7163908,5.00,7.00,5.00,5.00,9.00,9.00,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',1579,767,NULL,NULL,NULL,NULL,NULL,4,5),(28,7163916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'JARDIM JUDITH','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7163924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7163932,5.00,7.00,3.00,7.00,6.00,8.25,6.00,6.00,4.00,202,NULL,216,'CENTRO','CONCÓRDIA','SC',3920,117,NULL,NULL,NULL,NULL,NULL,4,26),(28,7163940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7163959,2.00,7.00,3.00,5.00,7.00,8.63,2.00,6.00,2.00,318,NULL,NULL,'BARREIROS','FLORIANÓPOLIS','SC',8234,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7163967,0.00,3.00,1.00,1.00,6.00,5.25,1.00,3.00,3.00,451,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',20004,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7163975,3.00,7.00,3.00,7.00,10.00,10.13,6.00,6.00,5.00,201,NULL,215,'PICADAS DO SUL','S JOSÉ','SC',2055,141,NULL,14,NULL,NULL,NULL,4,1),(28,7163983,5.00,6.00,3.00,2.00,7.00,7.88,3.00,4.00,4.00,203,NULL,214,'BARRANCEIRA','LAGUNA','SC',9664,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7163991,2.00,6.00,2.00,5.00,7.00,8.25,2.00,5.00,1.00,207,NULL,201,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',12922,584,NULL,826,NULL,NULL,NULL,4,1),(28,7164009,6.00,7.00,4.00,5.00,8.00,5.25,6.00,7.00,7.00,201,NULL,202,'CARIANOS','FLORIANÓPOLIS','SC',3296,248,NULL,93,NULL,NULL,NULL,4,1),(28,7164017,2.00,5.00,3.00,6.00,9.00,8.25,2.00,4.00,3.00,201,NULL,207,'COQUEIROS','FLORIANÓPOLIS','SC',7822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164025,2.00,7.00,2.00,5.00,6.00,7.88,3.00,6.00,3.00,999,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164033,4.00,6.00,3.00,7.00,7.00,9.38,5.00,6.00,2.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5710,263,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164041,4.00,7.00,1.00,7.00,5.00,7.13,3.00,5.00,3.00,103,NULL,NULL,'CENTENÁRIO','FORMIGA','MG',6146,1652,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164050,5.00,7.00,2.00,6.00,10.00,12.00,4.00,7.00,5.00,303,NULL,NULL,'JD NOVO HORIZONTE','VÁRZEA GRANDE','MT',3378,155,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7164084,6.00,8.00,1.00,7.00,9.00,9.38,3.00,7.00,5.00,103,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',2016,890,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164106,2.00,6.00,0.00,5.00,8.00,10.88,1.00,7.00,6.00,302,NULL,NULL,'MOURA','CANELINHA','SC',6169,14,NULL,NULL,NULL,NULL,NULL,4,22),(28,7164122,2.00,8.00,1.00,5.00,3.00,8.25,1.00,6.00,3.00,999,NULL,NULL,'JARDIM CIDADE ALTA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7164130,5.00,5.00,3.00,7.00,7.00,7.50,3.00,5.00,5.00,3,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',8476,30,NULL,NULL,NULL,NULL,NULL,2,1),(28,7164149,2.00,6.00,0.00,5.00,9.00,8.63,3.00,5.00,3.00,207,NULL,201,'CENTRO','MALLET','PR',8549,398,NULL,611,NULL,NULL,NULL,2,17),(28,7164165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'JARDIM PANAMA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7164173,2.00,7.00,3.00,3.00,4.00,9.75,3.00,4.00,3.00,444,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',10671,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164181,6.00,6.00,3.00,5.00,10.00,6.75,1.00,6.00,5.00,103,NULL,NULL,'CENTRO','IBICARÉ','SC',3832,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7164203,4.00,6.00,3.00,5.00,6.00,8.25,4.00,6.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8784,151,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164211,3.00,7.00,3.00,6.00,5.00,6.00,2.00,6.00,5.00,201,NULL,212,'BELA VISTA','S PAULO','SP',5560,427,NULL,NULL,NULL,NULL,NULL,2,1),(28,7164220,1.00,5.00,3.00,1.00,3.00,7.13,3.00,4.00,1.00,104,NULL,NULL,'BELA VISTA','CORDILHEIRA ALTA','SC',19503,458,NULL,NULL,NULL,NULL,NULL,4,4),(28,7164238,4.00,6.00,2.00,3.00,6.00,8.25,5.00,5.00,4.00,103,NULL,NULL,'COHAPAR','NOVA CANTU','PR',6224,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7164246,3.00,2.00,1.00,4.00,1.00,NULL,2.00,4.00,2.00,203,NULL,213,'CENTRO','ITAPUCÁ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7164262,4.00,9.00,2.00,6.00,7.00,9.75,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',8877,1987,NULL,NULL,NULL,NULL,NULL,2,9),(28,7164270,4.00,5.00,2.00,2.00,9.00,8.25,3.00,5.00,7.00,654,NULL,NULL,'TONIAL','XANXERÊ','SC',6629,5,NULL,NULL,NULL,NULL,NULL,4,4),(28,7164319,2.00,4.00,2.00,3.00,3.00,9.75,1.00,2.00,1.00,999,NULL,NULL,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7164327,4.00,8.00,5.00,7.00,10.00,8.25,5.00,8.00,5.00,340,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2190,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164335,9.00,7.00,6.00,7.00,11.00,7.88,6.00,8.00,9.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',49,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164343,2.00,3.00,1.00,5.00,5.00,5.25,1.00,3.00,4.00,235,NULL,202,'IPIRANGA','S JOSÉ','SC',19374,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7164351,1.00,9.00,3.00,4.00,6.00,9.00,3.00,5.00,3.00,201,NULL,601,'FÁTIMA','JOINVILLE','SC',12591,NULL,NULL,375,NULL,NULL,NULL,2,8),(28,7164360,4.00,8.00,5.00,6.00,7.00,8.25,5.00,7.00,6.00,201,NULL,207,'VILA VITORIA','INDAIATUBA','SP',2118,147,NULL,72,NULL,NULL,NULL,4,1),(28,7164394,4.00,4.00,2.00,4.00,3.00,NULL,3.00,2.00,1.00,303,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,6),(28,7164408,2.00,6.00,1.00,5.00,3.00,5.25,3.00,4.00,2.00,999,NULL,NULL,'AREAIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7164416,3.00,6.00,2.00,6.00,7.00,9.75,5.00,3.00,5.00,216,NULL,211,'CANASVIEIRAS','FLORIANÓPOLIS','SC',4731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164424,1.00,7.00,2.00,2.00,4.00,8.25,4.00,6.00,3.00,103,NULL,NULL,'JARDIM SÃO MANOEL','SANTOS','SP',10694,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164432,0.00,7.00,3.00,5.00,4.00,NULL,1.00,1.00,1.00,220,NULL,202,'CENTRO','IBIRAREMA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7164440,1.00,7.00,2.00,2.00,7.00,5.63,4.00,4.00,1.00,2,NULL,NULL,'INTERIOR','ITAPIRANGA','SC',16016,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7164467,8.00,8.00,5.00,7.00,8.00,10.13,5.00,8.00,7.00,203,NULL,214,'PANTANAL','FLORIANÓPOLIS','SC',253,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164483,1.00,2.00,1.00,4.00,4.00,4.50,1.00,5.00,1.00,552,NULL,NULL,'MARTELLI','VIDEIRA','SC',18123,135,NULL,NULL,NULL,NULL,NULL,2,25),(28,7164491,0.00,4.00,1.00,3.00,1.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7164505,2.00,8.00,4.00,5.00,6.00,6.75,6.00,4.00,6.00,202,NULL,213,'SANTA MÔNICA','FLORIANÓPOLIS','SC',3687,107,NULL,46,NULL,NULL,NULL,4,1),(28,7164513,4.00,7.00,3.00,7.00,5.00,5.25,4.00,8.00,4.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',10098,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7164530,6.00,7.00,3.00,6.00,8.00,8.63,2.00,5.00,3.00,216,NULL,215,'ITOUPAVA SECA','BLUMENAU','SC',5118,196,NULL,73,NULL,NULL,NULL,2,2),(28,7164548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'PÉROLA','CORNÉLIO PROCÓPIO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7164572,3.00,8.00,1.00,7.00,9.00,7.50,4.00,6.00,3.00,999,NULL,NULL,'NOSSA S DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164599,3.00,5.00,2.00,6.00,7.00,6.38,2.00,5.00,2.00,404,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',13387,22,NULL,NULL,NULL,NULL,NULL,2,1),(28,7164602,3.00,6.00,0.00,3.00,5.00,6.75,4.00,3.00,1.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',13981,193,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164610,3.00,6.00,3.00,6.00,8.00,7.50,3.00,3.00,4.00,201,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',9125,632,NULL,275,NULL,NULL,NULL,2,1),(28,7164637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA EFIGENIA','NIQUELÂNDIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7164645,3.00,5.00,3.00,6.00,7.00,9.75,0.00,4.00,2.00,454,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',11705,231,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164653,4.00,7.00,1.00,6.00,6.00,8.25,4.00,6.00,4.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11696,155,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164661,2.00,5.00,3.00,4.00,6.00,6.38,6.00,4.00,3.00,654,NULL,NULL,'CENTRO','ARARANGUÁ','SC',12034,26,NULL,NULL,NULL,NULL,NULL,2,15),(28,7164670,1.00,4.00,2.00,4.00,5.00,NULL,3.00,4.00,1.00,103,NULL,NULL,'VILA PROHMANN','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,17),(28,7164688,5.00,8.00,4.00,6.00,10.00,8.25,5.00,8.00,5.00,103,NULL,NULL,'SAO VICENTE','ITAJAÍ','SC',1167,626,NULL,NULL,NULL,NULL,NULL,2,6),(28,7164696,2.00,7.00,0.00,6.00,9.00,NULL,3.00,7.00,4.00,327,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7164700,3.00,9.00,2.00,6.00,10.00,11.63,2.00,7.00,6.00,340,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',945,16,NULL,NULL,NULL,NULL,NULL,4,5),(28,7164718,5.00,6.00,1.00,5.00,9.00,9.75,3.00,2.00,5.00,103,NULL,NULL,'SÃO CRISTÓVÃO','CHAPECÓ','SC',6860,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7164726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7164734,3.00,5.00,2.00,6.00,5.00,7.88,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',9566,2043,NULL,NULL,NULL,NULL,NULL,4,17),(28,7164742,5.00,4.00,2.00,7.00,9.00,12.00,3.00,7.00,5.00,415,NULL,NULL,'RIO DO PEIXE','LUIZ ALVES','SC',2370,27,NULL,NULL,NULL,NULL,NULL,4,6),(28,7164750,0.00,4.00,4.00,1.00,6.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'JABUTICABAL','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7164769,6.00,7.00,4.00,6.00,9.00,9.38,6.00,6.00,3.00,212,NULL,215,'CENTRO','TUBARÃO','SC',2126,27,NULL,NULL,NULL,NULL,NULL,4,10),(28,7164785,2.00,7.00,2.00,5.00,7.00,9.75,2.00,6.00,4.00,103,NULL,NULL,'JARDIM CALIFORNIA','LONDRINA','PR',11251,2153,NULL,NULL,NULL,NULL,NULL,4,3),(28,7164793,5.00,4.00,3.00,7.00,7.00,7.50,4.00,4.00,6.00,103,NULL,NULL,'JARDIM DAS FLORES','FOZ IGUAÇU','PR',5813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,220,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7164815,1.00,5.00,2.00,6.00,3.00,9.00,1.00,4.00,2.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164823,0.00,2.00,2.00,4.00,2.00,NULL,2.00,5.00,4.00,339,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7164831,1.00,5.00,4.00,6.00,7.00,6.75,4.00,6.00,1.00,103,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',9732,2055,NULL,NULL,NULL,NULL,NULL,4,10),(28,7164840,2.00,5.00,3.00,4.00,3.00,0.00,4.00,5.00,2.00,316,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'INTERIOR','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7164874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'INTERIOR','SEARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,26),(28,7164890,0.00,4.00,3.00,4.00,6.00,7.50,1.00,4.00,2.00,238,NULL,213,'CAMPINAS','S JOSÉ','SC',16238,280,NULL,251,NULL,NULL,NULL,2,1),(28,7164904,5.00,6.00,4.00,7.00,6.00,9.38,4.00,6.00,6.00,103,NULL,NULL,'PROGRESSO','S BENTO SUL','SC',2972,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7164912,3.00,4.00,2.00,1.00,4.00,4.88,2.00,4.00,2.00,319,NULL,NULL,'CHICO DE PAULO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7164939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'C DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7164963,2.00,6.00,1.00,6.00,6.00,7.88,2.00,5.00,5.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14513,106,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164971,1.00,2.00,1.00,2.00,5.00,6.38,2.00,4.00,1.00,324,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7164980,2.00,7.00,2.00,7.00,7.00,7.50,3.00,8.00,2.00,103,NULL,NULL,'CENTRO','PARAÍSO TOCANTINS','TO',6809,1735,NULL,NULL,NULL,NULL,NULL,4,8),(28,7164998,1.00,6.00,0.00,5.00,5.00,7.13,2.00,4.00,5.00,108,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',15545,212,NULL,NULL,NULL,NULL,NULL,2,1),(28,7165005,6.00,6.00,3.00,6.00,8.00,6.75,5.00,5.00,3.00,208,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',10696,114,NULL,NULL,NULL,NULL,NULL,2,1),(28,7165021,0.00,0.00,0.00,1.00,0.00,NULL,0.00,0.00,0.00,212,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7165030,2.00,8.00,2.00,5.00,7.00,7.88,4.00,6.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6831,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7165048,3.00,6.00,2.00,7.00,6.00,8.63,3.00,5.00,3.00,999,NULL,NULL,'JARDIM CIDADE FLORIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165056,1.00,4.00,2.00,3.00,4.00,5.63,2.00,4.00,2.00,103,NULL,NULL,'BOM JESUS','ITAIÓPOLIS','SC',17680,2463,NULL,NULL,NULL,NULL,NULL,4,17),(28,7165064,0.00,2.00,1.00,5.00,4.00,NULL,2.00,4.00,1.00,103,NULL,NULL,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7165072,2.00,6.00,2.00,2.00,4.00,6.38,4.00,3.00,3.00,303,NULL,NULL,'CRUZEIRO','S LOURENÇO OESTE','SC',12649,479,NULL,NULL,NULL,NULL,NULL,4,4),(28,7165080,1.00,8.00,3.00,2.00,5.00,7.88,2.00,6.00,2.00,103,NULL,NULL,'PEREQUE','PTO BELO','SC',12048,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7165102,2.00,4.00,0.00,3.00,5.00,6.38,1.00,3.00,1.00,9,NULL,NULL,'N SENHORA DE LOURDES','STO AMARO IMPERATRIZ','SC',19875,172,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CENTRO','ARARUNA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7165129,7.00,8.00,5.00,6.00,9.00,10.13,7.00,8.00,7.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',368,264,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7165153,5.00,8.00,5.00,7.00,9.00,7.88,5.00,7.00,3.00,201,NULL,203,'VILA MILITAR','HERVAL D OESTE','SC',1430,85,NULL,132,NULL,NULL,NULL,4,7),(28,7165161,4.00,7.00,2.00,6.00,6.00,8.25,4.00,7.00,4.00,103,NULL,NULL,'SANTA TEREZINHA','BRUSQUE','SC',4520,1423,NULL,NULL,NULL,NULL,NULL,4,22),(28,7165170,0.00,5.00,0.00,3.00,6.00,NULL,1.00,3.00,1.00,103,NULL,NULL,'PASSAGEM','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7165188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7165196,3.00,4.00,3.00,6.00,6.00,6.00,4.00,6.00,2.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',9424,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7165200,4.00,6.00,1.00,6.00,3.00,9.00,4.00,5.00,4.00,103,NULL,NULL,'FRAGATA','PELOTAS','RS',6232,1662,NULL,NULL,NULL,NULL,NULL,2,4),(28,7165234,5.00,8.00,3.00,6.00,7.00,9.38,4.00,5.00,4.00,454,NULL,NULL,'VILA BRASILEIRA','ITATIBA','SP',3536,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165242,5.00,8.00,1.00,5.00,6.00,8.63,3.00,5.00,1.00,202,NULL,215,'CENTRO HISTÓRICO','S JOSÉ','SC',7758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165250,2.00,6.00,3.00,4.00,5.00,7.88,1.00,2.00,4.00,655,NULL,238,'PASSAGEM','TUBARÃO','SC',12629,67,NULL,207,NULL,NULL,NULL,4,10),(28,7165269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'EMBARÉ','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7165285,1.00,7.00,1.00,7.00,8.00,6.75,2.00,3.00,2.00,3,NULL,NULL,'FURNAS','SOMBRIO','SC',11232,47,NULL,NULL,NULL,NULL,NULL,2,15),(28,7165293,2.00,6.00,3.00,4.00,2.00,NULL,3.00,5.00,4.00,999,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7165307,4.00,6.00,1.00,5.00,6.00,7.50,0.00,5.00,3.00,3,NULL,NULL,'CENTRO','CANELINHA','SC',10307,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165315,6.00,7.00,4.00,6.00,9.00,7.50,7.00,5.00,6.00,202,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',1529,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165323,0.00,4.00,4.00,2.00,3.00,NULL,4.00,2.00,3.00,301,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165340,4.00,3.00,3.00,6.00,7.00,6.00,1.00,4.00,1.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',13399,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7165358,2.00,8.00,3.00,5.00,6.00,5.25,2.00,4.00,6.00,203,NULL,201,'SANTA MÔNICA','FLORIANÓPOLIS','SC',9534,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165366,2.00,6.00,0.00,6.00,5.00,10.50,3.00,6.00,7.00,205,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10188,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165374,6.00,8.00,5.00,7.00,11.00,9.75,4.00,7.00,6.00,216,NULL,233,'PRAIA BRAVA','ITAJAÍ','SC',622,12,NULL,NULL,NULL,NULL,NULL,4,6),(28,7165382,7.00,8.00,6.00,6.00,9.00,9.75,8.00,8.00,7.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',185,144,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165404,0.00,4.00,3.00,2.00,5.00,9.00,2.00,3.00,2.00,207,NULL,211,'INGLESES','FLORIANÓPOLIS','SC',19078,799,NULL,424,NULL,NULL,NULL,2,1),(28,7165420,1.00,5.00,1.00,7.00,5.00,6.75,3.00,3.00,2.00,207,NULL,652,'HUMAITA','TUBARÃO','SC',13265,598,NULL,43,NULL,NULL,NULL,2,10),(28,7165439,1.00,7.00,2.00,6.00,6.00,7.88,2.00,4.00,2.00,653,NULL,202,'QUARTA LINHA','CRICIÚMA','SC',16388,175,NULL,368,NULL,NULL,NULL,2,5),(28,7165455,6.00,8.00,2.00,7.00,8.00,7.13,4.00,8.00,5.00,203,NULL,201,'SANTA MONICA','FLORIANÓPOLIS','SC',4692,326,NULL,366,NULL,NULL,NULL,4,1),(28,7165471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7165480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7165498,2.00,5.00,1.00,7.00,6.00,8.63,0.00,6.00,3.00,214,NULL,213,'OPERARIA NOVA','CRICIÚMA','SC',10867,272,NULL,NULL,NULL,NULL,NULL,2,5),(28,7165501,3.00,5.00,3.00,3.00,7.00,8.63,2.00,6.00,2.00,216,NULL,601,'CENTRO','MARAVILHA','SC',14769,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7165510,3.00,6.00,3.00,4.00,4.00,9.00,6.00,6.00,3.00,201,NULL,207,'CLAUDETE','CASCAVEL','PR',7271,539,NULL,339,NULL,NULL,NULL,4,1),(28,7165528,1.00,5.00,1.00,4.00,4.00,8.63,1.00,4.00,2.00,601,NULL,201,'CRUZEIRO','S BENTO SUL','SC',18668,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7165544,6.00,8.00,3.00,5.00,7.00,8.25,6.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1454,728,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165560,1.00,6.00,2.00,5.00,7.00,8.63,4.00,4.00,1.00,301,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10889,142,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165579,7.00,7.00,2.00,7.00,5.00,4.50,6.00,6.00,4.00,225,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',10528,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165595,0.00,5.00,1.00,5.00,6.00,8.25,4.00,5.00,3.00,404,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11691,12,NULL,NULL,NULL,NULL,NULL,2,1),(28,7165609,2.00,4.00,3.00,4.00,5.00,3.00,0.00,3.00,2.00,308,NULL,NULL,'FURADINHO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7165617,8.00,7.00,6.00,7.00,9.00,11.25,7.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',104,84,NULL,NULL,NULL,NULL,NULL,2,1),(28,7165625,5.00,6.00,1.00,8.00,6.00,8.63,1.00,4.00,5.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6893,63,NULL,NULL,NULL,NULL,NULL,2,1),(28,7165633,1.00,7.00,2.00,7.00,6.00,7.88,3.00,2.00,3.00,201,NULL,202,'GLÓRIA','OSÓRIO','RS',9681,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7165641,1.00,2.00,1.00,6.00,3.00,4.50,2.00,0.00,3.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7165668,1.00,5.00,0.00,5.00,2.00,NULL,3.00,3.00,1.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7165676,2.00,6.00,3.00,5.00,9.00,7.13,4.00,7.00,6.00,213,NULL,233,'FIGUEIRA','URUSSANGA','SC',4697,72,NULL,122,NULL,NULL,NULL,2,1),(28,7165684,4.00,6.00,3.00,6.00,4.00,7.50,4.00,5.00,1.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',14565,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165706,4.00,5.00,3.00,5.00,4.00,9.00,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','ITAPETININGA','SP',9497,2036,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CENTRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7165722,0.00,6.00,2.00,6.00,2.00,NULL,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7165730,0.00,3.00,0.00,3.00,2.00,NULL,0.00,4.00,1.00,225,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7165749,3.00,7.00,4.00,7.00,8.00,9.00,4.00,5.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3431,158,NULL,NULL,NULL,NULL,NULL,3,1),(28,7165757,2.00,7.00,0.00,6.00,8.00,8.63,3.00,5.00,5.00,103,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',12989,2259,NULL,NULL,NULL,NULL,NULL,4,23),(28,7165765,2.00,8.00,2.00,4.00,6.00,6.00,1.00,4.00,1.00,102,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',14774,131,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165773,2.00,7.00,0.00,7.00,5.00,9.38,3.00,4.00,0.00,201,NULL,207,'CENTRO','ITAPETININGA','SP',11076,724,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165781,2.00,4.00,3.00,6.00,7.00,7.88,3.00,4.00,2.00,201,NULL,207,'ITOUPAVAZINHA','BLUMENAU','SC',10642,704,NULL,486,NULL,NULL,NULL,4,2),(28,7165790,5.00,8.00,4.00,5.00,9.00,11.25,5.00,6.00,7.00,103,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',690,425,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165803,3.00,7.00,1.00,6.00,8.00,5.63,1.00,5.00,4.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9019,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165811,4.00,7.00,1.00,5.00,7.00,11.25,5.00,5.00,1.00,454,NULL,NULL,'CENTRO','PALHOÇA','SC',11133,214,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165820,0.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7165838,4.00,5.00,4.00,6.00,8.00,8.63,3.00,5.00,2.00,224,NULL,NULL,'CENTRO','ANCHIETA','SC',7450,4,NULL,NULL,NULL,NULL,NULL,4,4),(28,7165846,4.00,7.00,1.00,3.00,7.00,9.00,2.00,7.00,0.00,301,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10716,137,NULL,NULL,NULL,NULL,NULL,4,6),(28,7165854,1.00,6.00,2.00,6.00,4.00,5.63,2.00,5.00,2.00,424,NULL,421,'CENTRO','FLORIANÓPOLIS','SC',14643,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165862,6.00,7.00,4.00,6.00,7.00,7.50,4.00,8.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165870,3.00,4.00,2.00,4.00,5.00,5.25,2.00,5.00,2.00,104,NULL,NULL,'SÃO JOÃO','AGROLÂNDIA','SC',15334,376,NULL,NULL,NULL,NULL,NULL,2,24),(28,7165889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7165900,5.00,8.00,5.00,8.00,9.00,12.38,4.00,7.00,6.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',453,317,NULL,NULL,NULL,NULL,NULL,3,1),(28,7165919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7165927,1.00,5.00,4.00,6.00,5.00,7.88,3.00,4.00,4.00,9,NULL,NULL,'VILA INDUSTRIAL','S JOSÉ CAMPOS','SP',8236,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165943,7.00,8.00,5.00,7.00,8.00,9.75,7.00,6.00,7.00,103,NULL,NULL,'JARDINS','ARACAJU','SE',242,185,NULL,NULL,NULL,NULL,NULL,2,1),(28,7165951,1.00,4.00,1.00,4.00,6.00,7.88,1.00,5.00,3.00,303,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',13672,505,NULL,NULL,NULL,NULL,NULL,4,1),(28,7165960,4.00,7.00,3.00,6.00,9.00,7.13,2.00,6.00,3.00,333,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',9070,50,NULL,NULL,NULL,NULL,NULL,3,1),(28,7165978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7165986,0.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7165994,3.00,3.00,4.00,2.00,3.00,6.00,2.00,5.00,3.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',17753,468,NULL,NULL,NULL,NULL,NULL,4,1),(28,7166001,4.00,7.00,2.00,6.00,6.00,8.63,0.00,7.00,3.00,220,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13810,302,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166010,0.00,6.00,3.00,5.00,5.00,8.63,2.00,4.00,1.00,110,NULL,NULL,'COLONIAL','CRICIÚMA','SC',14036,55,NULL,NULL,NULL,NULL,NULL,2,5),(28,7166028,4.00,6.00,1.00,6.00,8.00,7.50,3.00,5.00,4.00,301,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',7679,81,NULL,NULL,NULL,NULL,NULL,4,1),(28,7166036,2.00,8.00,5.00,6.00,8.00,8.63,3.00,5.00,5.00,216,NULL,214,'HIGIENÓPOLIS','RIBEIRÃO PRETO','SP',2708,96,NULL,99,NULL,NULL,NULL,4,1),(28,7166044,3.00,5.00,4.00,5.00,4.00,5.63,1.00,5.00,5.00,501,NULL,NULL,'VILA SÃO FRANCISCO','S PAULO','SP',10605,48,NULL,NULL,NULL,NULL,NULL,4,3),(28,7166052,3.00,4.00,3.00,3.00,3.00,6.38,0.00,4.00,1.00,308,NULL,NULL,'FURADINHO','PALHOÇA','SC',17353,51,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166079,4.00,7.00,2.00,6.00,8.00,7.13,5.00,5.00,6.00,104,NULL,NULL,'CENTRO','TUBARÃO','SC',5308,97,NULL,NULL,NULL,NULL,NULL,2,10),(28,7166087,2.00,5.00,2.00,5.00,3.00,8.25,4.00,7.00,4.00,327,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',11197,26,NULL,NULL,NULL,NULL,NULL,2,6),(28,7166095,3.00,4.00,1.00,5.00,3.00,4.88,2.00,2.00,1.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19673,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166109,3.00,6.00,1.00,5.00,6.00,8.63,6.00,6.00,5.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11155,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7166117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7166150,3.00,6.00,3.00,7.00,8.00,10.50,4.00,4.00,4.00,316,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',9190,89,NULL,NULL,NULL,NULL,NULL,4,1),(28,7166168,0.00,5.00,2.00,5.00,4.00,8.25,1.00,3.00,2.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19198,168,NULL,NULL,NULL,NULL,NULL,4,1),(28,7166184,4.00,6.00,2.00,5.00,8.00,8.63,4.00,6.00,7.00,103,NULL,NULL,'JD SATÉLITE','S JOSÉ CAMPOS','SP',3090,1156,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166192,2.00,5.00,3.00,6.00,5.00,7.50,4.00,6.00,3.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166206,0.00,4.00,4.00,2.00,5.00,7.88,2.00,4.00,2.00,427,NULL,421,'CENTRO','STO AMARO IMPERATRIZ','SC',18976,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7166214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SANTA CRUZ','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7166222,0.00,4.00,2.00,5.00,3.00,7.13,2.00,2.00,2.00,552,NULL,NULL,'CENTRO','S JOSÉ OURO','RS',15586,107,NULL,NULL,NULL,NULL,NULL,2,9),(28,7166249,1.00,3.00,2.00,1.00,3.00,5.25,1.00,3.00,1.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20117,99,NULL,NULL,NULL,NULL,NULL,4,1),(28,7166257,4.00,6.00,4.00,5.00,6.00,9.00,3.00,5.00,3.00,5,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',6654,212,NULL,NULL,NULL,NULL,NULL,4,1),(28,7166265,7.00,6.00,2.00,4.00,4.00,7.13,4.00,6.00,4.00,454,NULL,NULL,'VALE DO SOL','S JOSÉ CAMPOS','SP',12277,242,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166273,2.00,7.00,3.00,3.00,7.00,8.63,3.00,4.00,4.00,303,NULL,NULL,'SANTA LUZIA','TUBARÃO','SC',8325,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7166281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7166290,3.00,5.00,5.00,6.00,1.00,NULL,2.00,2.00,2.00,203,NULL,202,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166303,5.00,6.00,3.00,6.00,3.00,8.25,3.00,7.00,4.00,201,NULL,653,'VELHA','BLUMENAU','SC',6926,522,NULL,74,NULL,NULL,NULL,4,2),(28,7166311,0.00,5.00,2.00,6.00,5.00,7.50,2.00,4.00,2.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14098,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166354,6.00,8.00,2.00,6.00,6.00,7.13,4.00,5.00,5.00,103,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',4810,1465,NULL,NULL,NULL,NULL,NULL,4,1),(28,7166370,7.00,7.00,3.00,6.00,6.00,8.63,5.00,7.00,6.00,103,NULL,NULL,'CENTRO CIVICO','CURITIBA','PR',4093,1341,NULL,NULL,NULL,NULL,NULL,4,6),(28,7166389,4.00,7.00,2.00,4.00,5.00,6.38,6.00,5.00,5.00,216,NULL,215,'PACHECOS','PALHOÇA','SC',7914,263,NULL,127,NULL,NULL,NULL,4,1),(28,7166397,5.00,8.00,6.00,6.00,8.00,9.38,6.00,7.00,7.00,103,NULL,NULL,'PARQUE JARDIM OURO','OURO','SC',310,231,NULL,NULL,NULL,NULL,NULL,4,4),(28,7166400,2.00,3.00,2.00,4.00,4.00,5.25,1.00,1.00,0.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166427,5.00,8.00,1.00,6.00,8.00,7.50,5.00,8.00,5.00,103,NULL,NULL,'PARQUE DAS NAÇÕES','TUPÃ','SP',3074,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7166435,1.00,5.00,2.00,4.00,4.00,8.63,2.00,5.00,1.00,340,NULL,NULL,'BAIRRO BNH','PNT PORÃ','MS',13972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7166443,7.00,6.00,1.00,5.00,6.00,10.13,5.00,5.00,6.00,201,NULL,601,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',7396,NULL,NULL,167,NULL,NULL,NULL,2,23),(28,7166451,3.00,6.00,5.00,6.00,6.00,7.50,4.00,5.00,3.00,203,NULL,214,'IPIRANGA','S JOSÉ','SC',10004,536,NULL,259,NULL,NULL,NULL,4,1),(28,7166460,6.00,6.00,1.00,5.00,8.00,7.88,3.00,5.00,5.00,207,NULL,233,'CAMINHO NOVO','PALHOÇA','SC',6261,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166478,1.00,5.00,2.00,7.00,6.00,8.63,4.00,5.00,4.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',13172,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7166486,3.00,7.00,2.00,6.00,5.00,6.75,5.00,5.00,4.00,103,NULL,NULL,'TUCANOS','LONDRINA','PR',8274,1926,NULL,NULL,NULL,NULL,NULL,4,3),(28,7166494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7166508,3.00,6.00,0.00,5.00,5.00,7.50,3.00,4.00,2.00,207,NULL,201,'HIGIENOPOLIS','PTO ALEGRE','RS',13430,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7166516,2.00,8.00,3.00,4.00,5.00,6.00,1.00,3.00,2.00,207,NULL,201,'AMÉRICA','JOINVILLE','SC',13481,602,NULL,NULL,NULL,NULL,NULL,4,8),(28,7166524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CAÇADOR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7166532,1.00,3.00,0.00,7.00,6.00,6.38,2.00,5.00,1.00,303,NULL,NULL,'CIDADE ALTA','TURVO','SC',16682,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7166540,0.00,2.00,1.00,4.00,4.00,NULL,2.00,5.00,4.00,233,NULL,202,'SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7166559,0.00,6.00,0.00,3.00,3.00,NULL,2.00,2.00,2.00,601,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7166575,0.00,3.00,4.00,5.00,4.00,3.00,5.00,3.00,2.00,201,NULL,212,'MOSQUEIRO','ARACAJU','SE',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166583,1.00,7.00,0.00,6.00,7.00,7.88,3.00,6.00,4.00,207,NULL,211,'DAS NAÇÕES','BAL CAMBORIÚ','SC',12491,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7166591,1.00,6.00,4.00,7.00,7.00,10.88,4.00,4.00,4.00,214,NULL,213,'VILA SÃO FRANCISCO','S PAULO','SP',5716,180,NULL,94,NULL,NULL,NULL,4,1),(28,7166605,0.00,3.00,4.00,3.00,7.00,NULL,3.00,3.00,2.00,233,NULL,203,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7166613,6.00,7.00,3.00,7.00,10.00,8.25,5.00,8.00,7.00,202,NULL,213,'AMÉRICA','JOINVILLE','SC',913,19,NULL,NULL,NULL,NULL,NULL,4,8),(28,7166621,1.00,8.00,1.00,7.00,5.00,11.25,3.00,7.00,2.00,424,NULL,427,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',11252,8,NULL,NULL,NULL,NULL,NULL,3,1),(28,7166648,4.00,8.00,2.00,5.00,10.00,9.38,2.00,4.00,4.00,214,NULL,211,'CENTRO','POMERODE','SC',3847,134,NULL,96,NULL,NULL,NULL,4,2),(28,7166656,0.00,3.00,1.00,4.00,2.00,NULL,0.00,3.00,2.00,655,NULL,652,'ZONA NOVA SUL','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7166664,1.00,3.00,0.00,1.00,0.00,NULL,2.00,4.00,0.00,301,NULL,NULL,'SÃO BONIFACIO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7166672,2.00,5.00,5.00,6.00,6.00,7.50,4.00,5.00,6.00,203,NULL,235,'VILA BUARQUE','S PAULO','SP',8401,492,NULL,137,NULL,NULL,NULL,4,1),(28,7166680,6.00,8.00,3.00,7.00,8.00,7.88,4.00,5.00,7.00,103,NULL,NULL,'JARDIM ALVORADA','LONDRINA','PR',2753,1074,NULL,NULL,NULL,NULL,NULL,4,1),(28,7166699,2.00,4.00,3.00,1.00,3.00,7.13,1.00,0.00,2.00,5,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166702,2.00,4.00,1.00,6.00,4.00,6.38,4.00,5.00,2.00,317,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',15235,107,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166710,8.00,6.00,6.00,6.00,8.00,9.38,5.00,7.00,8.00,201,NULL,207,'SETE DE SETEMBRO','GASPAR','SC',1052,49,NULL,NULL,NULL,NULL,NULL,4,2),(28,7166729,3.00,6.00,2.00,7.00,8.00,7.50,3.00,6.00,5.00,235,NULL,238,'CENTRO','CHAPECÓ','SC',5207,90,NULL,41,NULL,NULL,NULL,4,4),(28,7166737,6.00,7.00,3.00,7.00,9.00,8.25,6.00,7.00,6.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',2051,896,NULL,NULL,NULL,NULL,NULL,4,1),(28,7166745,4.00,7.00,5.00,6.00,7.00,7.50,5.00,7.00,7.00,103,NULL,NULL,'CIDADE MINEIRA VELHA','CRICIÚMA','SC',2820,1093,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166753,3.00,8.00,2.00,7.00,6.00,7.50,5.00,7.00,3.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',8810,1983,NULL,NULL,NULL,NULL,NULL,4,8),(28,7166761,0.00,5.00,1.00,1.00,4.00,NULL,1.00,2.00,1.00,444,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7166770,8.00,8.00,1.00,6.00,9.00,8.25,4.00,5.00,3.00,211,NULL,202,'VELHA','BLUMENAU','SC',2983,57,NULL,NULL,NULL,NULL,NULL,4,2),(28,7166796,2.00,3.00,4.00,8.00,8.00,10.50,2.00,5.00,3.00,454,NULL,NULL,'CENTRO','JOINVILLE','SC',6635,98,NULL,NULL,NULL,NULL,NULL,4,8),(28,7166800,2.00,3.00,3.00,5.00,4.00,5.63,2.00,3.00,3.00,404,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',19156,68,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166818,1.00,2.00,2.00,6.00,5.00,7.88,1.00,2.00,1.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16818,321,NULL,NULL,NULL,NULL,NULL,4,1),(28,7166834,1.00,5.00,3.00,5.00,4.00,9.38,1.00,4.00,1.00,201,NULL,212,'AGOSTINI','S MIGUEL OESTE','SC',18409,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7166842,2.00,2.00,0.00,5.00,4.00,8.25,1.00,7.00,3.00,319,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',15471,303,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7166869,4.00,6.00,2.00,5.00,8.00,7.88,3.00,7.00,4.00,601,NULL,653,'SÃO BENTO BAIXO','NOVA VENEZA','SC',5636,107,NULL,NULL,NULL,NULL,NULL,4,5),(28,7166877,5.00,7.00,3.00,6.00,6.00,7.50,5.00,6.00,6.00,103,NULL,NULL,'SAN FERNANDO','LONDRINA','PR',3691,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7166885,2.00,7.00,3.00,6.00,7.00,7.88,2.00,5.00,3.00,214,NULL,220,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',12129,289,NULL,279,NULL,NULL,NULL,2,1),(28,7166893,0.00,4.00,2.00,3.00,4.00,6.75,1.00,3.00,1.00,501,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',19887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166907,6.00,5.00,4.00,6.00,8.00,11.63,5.00,6.00,6.00,211,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',1182,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7166931,3.00,3.00,1.00,3.00,3.00,6.38,3.00,3.00,2.00,201,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',19405,1039,NULL,NULL,NULL,NULL,NULL,4,2),(28,7166940,2.00,7.00,1.00,7.00,7.00,8.25,0.00,4.00,1.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10870,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7166958,8.00,6.00,3.00,8.00,8.00,10.88,3.00,6.00,5.00,103,NULL,NULL,'COHAFABA III PLANO','DOURADOS','MS',994,552,NULL,NULL,NULL,NULL,NULL,4,1),(28,7166966,2.00,3.00,2.00,6.00,4.00,7.88,2.00,1.00,1.00,101,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166974,3.00,7.00,1.00,6.00,6.00,7.50,3.00,4.00,5.00,652,NULL,655,'VILA SÃO JOSÉ','ARARANGUÁ','SC',9716,16,NULL,NULL,NULL,NULL,NULL,4,15),(28,7166982,3.00,4.00,2.00,2.00,3.00,8.63,2.00,2.00,4.00,404,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',17239,51,NULL,NULL,NULL,NULL,NULL,2,1),(28,7166990,4.00,6.00,0.00,5.00,7.00,NULL,3.00,4.00,6.00,103,NULL,NULL,'SANTO ANTÔNIO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7167016,2.00,4.00,1.00,5.00,5.00,6.00,0.00,4.00,4.00,308,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',19010,83,NULL,NULL,NULL,NULL,NULL,2,1),(28,7167024,5.00,8.00,5.00,7.00,5.00,7.50,3.00,6.00,6.00,216,NULL,233,'ALPHAVILLE','SANTANA PARNAÍBA','SP',3089,111,NULL,74,NULL,NULL,NULL,4,1),(28,7167032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ITABAIANA','SE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7167040,0.00,3.00,1.00,4.00,3.00,NULL,0.00,1.00,3.00,601,NULL,NULL,'ENSEADA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7167059,3.00,5.00,0.00,6.00,7.00,9.38,3.00,4.00,4.00,211,NULL,201,'SANTA TEREZA','JOAÇABA','SC',7860,214,NULL,NULL,NULL,NULL,NULL,2,7),(28,7167075,1.00,7.00,5.00,4.00,6.00,6.75,2.00,6.00,4.00,340,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',9544,268,NULL,NULL,NULL,NULL,NULL,4,2),(28,7167083,1.00,7.00,2.00,6.00,7.00,4.50,2.00,6.00,4.00,415,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',10628,171,NULL,NULL,NULL,NULL,NULL,2,15),(28,7167091,5.00,8.00,4.00,6.00,8.00,10.50,6.00,6.00,5.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',2602,1046,NULL,NULL,NULL,NULL,NULL,4,23),(28,7167105,4.00,7.00,4.00,6.00,7.00,6.38,4.00,6.00,6.00,214,NULL,213,'CANTO','FLORIANÓPOLIS','SC',6943,209,NULL,118,NULL,NULL,NULL,4,1),(28,7167113,2.00,7.00,4.00,7.00,7.00,7.50,4.00,4.00,5.00,214,NULL,212,'PARQUE DOS PÁSSAROS','S BERNARDO CAMPO','SP',4881,159,NULL,155,NULL,NULL,NULL,4,6),(28,7167121,2.00,6.00,2.00,6.00,7.00,5.25,3.00,4.00,1.00,999,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7167130,1.00,7.00,1.00,5.00,4.00,7.88,2.00,3.00,4.00,999,NULL,NULL,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7167148,5.00,5.00,5.00,6.00,8.00,9.38,5.00,5.00,5.00,601,NULL,220,'SAGUAÇU','JOINVILLE','SC',7320,163,NULL,NULL,NULL,NULL,NULL,2,8),(28,7167156,7.00,8.00,5.00,7.00,10.00,11.25,8.00,8.00,8.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',40,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167164,2.00,4.00,2.00,4.00,5.00,9.38,1.00,4.00,2.00,207,NULL,215,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7167172,3.00,6.00,2.00,5.00,8.00,8.63,3.00,4.00,3.00,109,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',14310,51,NULL,NULL,NULL,NULL,NULL,2,1),(28,7167180,4.00,5.00,2.00,4.00,5.00,8.25,3.00,2.00,3.00,102,NULL,NULL,'CENTRO','ARMAZÉM','SC',17003,159,NULL,NULL,NULL,NULL,NULL,2,10),(28,7167199,3.00,8.00,4.00,6.00,7.00,7.13,4.00,7.00,7.00,303,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',3890,184,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167210,5.00,8.00,3.00,5.00,6.00,6.00,5.00,4.00,7.00,5,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',8697,268,NULL,NULL,NULL,NULL,NULL,2,1),(28,7167229,1.00,3.00,3.00,3.00,6.00,5.25,3.00,3.00,3.00,308,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167237,8.00,8.00,4.00,7.00,9.00,7.50,3.00,9.00,7.00,103,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',574,378,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167245,3.00,6.00,3.00,6.00,8.00,10.13,5.00,6.00,5.00,211,NULL,233,'BREJARÚ','PALHOÇA','SC',5946,158,NULL,NULL,NULL,NULL,NULL,2,1),(28,7167253,6.00,8.00,3.00,7.00,10.00,12.38,5.00,7.00,7.00,103,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',449,315,NULL,NULL,NULL,NULL,NULL,4,4),(28,7167261,1.00,5.00,3.00,5.00,7.00,8.25,4.00,7.00,5.00,103,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',7028,1765,NULL,NULL,NULL,NULL,NULL,2,1),(28,7167300,2.00,7.00,2.00,6.00,6.00,11.25,2.00,5.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5478,254,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,653,'PANAMBI','STA BÁRBARA D OESTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7167326,3.00,7.00,0.00,6.00,4.00,7.50,1.00,4.00,4.00,103,NULL,NULL,'BROOKLIN','S PAULO','SP',10396,2098,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167342,6.00,7.00,9.00,7.00,10.00,13.13,8.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',21,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167350,0.00,5.00,1.00,4.00,4.00,7.13,0.00,4.00,2.00,551,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',19439,62,NULL,NULL,NULL,NULL,NULL,2,17),(28,7167369,2.00,6.00,5.00,7.00,9.00,7.13,2.00,4.00,3.00,108,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',5652,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7167377,3.00,6.00,3.00,6.00,5.00,5.63,4.00,4.00,4.00,104,NULL,NULL,'PONTA FINA NORTE','NOVA TRENTO','SC',11596,288,NULL,NULL,NULL,NULL,NULL,2,1),(28,7167385,4.00,6.00,2.00,2.00,7.00,6.75,0.00,5.00,7.00,552,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',11266,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7167393,0.00,4.00,2.00,6.00,2.00,NULL,3.00,2.00,2.00,425,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167407,0.00,3.00,2.00,6.00,6.00,5.63,1.00,5.00,2.00,308,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',19009,82,NULL,NULL,NULL,NULL,NULL,2,1),(28,7167415,3.00,5.00,4.00,3.00,6.00,7.88,4.00,5.00,4.00,201,NULL,655,'CIDADE ALTA','ARARANGUÁ','SC',11643,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7167423,2.00,7.00,1.00,6.00,7.00,10.13,3.00,8.00,5.00,203,NULL,216,'CANTO','FLORIANÓPOLIS','SC',9500,521,NULL,305,NULL,NULL,NULL,4,1),(28,7167431,3.00,5.00,3.00,6.00,7.00,9.75,3.00,6.00,5.00,3,NULL,NULL,'COMASA','JOINVILLE','SC',4656,14,NULL,NULL,NULL,NULL,NULL,4,8),(28,7167440,3.00,4.00,0.00,5.00,5.00,7.50,5.00,1.00,1.00,333,NULL,NULL,'MONTE CARLO','IA COMPRIDA','SP',18175,116,NULL,NULL,NULL,NULL,NULL,2,1),(28,7167458,3.00,5.00,1.00,7.00,4.00,7.50,3.00,6.00,1.00,304,NULL,NULL,'BOA VISTA','AMERICANA','SP',10826,79,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167466,5.00,5.00,3.00,5.00,4.00,6.38,4.00,6.00,4.00,601,NULL,201,'IRIRIU','JOINVILLE','SC',14280,426,NULL,NULL,NULL,NULL,NULL,2,8),(28,7167474,2.00,4.00,1.00,3.00,6.00,5.63,3.00,4.00,4.00,336,NULL,NULL,'SANTANA','RIO SUL','SC',14417,73,NULL,NULL,NULL,NULL,NULL,4,24),(28,7167482,2.00,6.00,2.00,6.00,8.00,8.63,4.00,5.00,3.00,103,NULL,NULL,'ÁGUAS CLARAS','TAGUATINGA','DF',6839,1737,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167490,5.00,7.00,5.00,6.00,5.00,9.00,6.00,7.00,7.00,201,NULL,203,'JARDINS MILÃO','GOIÂNIA','GO',1462,88,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167504,4.00,7.00,3.00,3.00,8.00,11.63,3.00,6.00,5.00,103,NULL,NULL,'ALTOS DE SANTANA','S JOSÉ CAMPOS','SP',3491,1238,NULL,NULL,NULL,NULL,NULL,2,1),(28,7167520,4.00,6.00,5.00,6.00,8.00,8.25,5.00,6.00,6.00,203,NULL,207,'CANTO','FLORIANÓPOLIS','SC',5685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167539,1.00,6.00,2.00,6.00,6.00,7.88,1.00,5.00,3.00,3,NULL,NULL,'CENTRO','TUBARÃO','SC',10448,42,NULL,NULL,NULL,NULL,NULL,2,10),(28,7167547,2.00,6.00,3.00,5.00,5.00,9.38,1.00,4.00,1.00,426,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',11222,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167555,6.00,8.00,0.00,7.00,8.00,12.00,3.00,9.00,6.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',2898,100,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167571,5.00,8.00,1.00,5.00,9.00,9.75,5.00,6.00,6.00,103,NULL,NULL,'PARQUE DA FAZENDA','ITATIBA','SP',2131,918,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167580,6.00,8.00,3.00,6.00,8.00,10.13,4.00,6.00,5.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',1787,832,NULL,NULL,NULL,NULL,NULL,4,8),(28,7167598,6.00,7.00,4.00,7.00,9.00,11.25,6.00,8.00,7.00,103,NULL,NULL,'BOQUEIRAO','SANTOS','SP',209,163,NULL,NULL,NULL,NULL,NULL,4,6),(28,7167601,5.00,7.00,3.00,6.00,5.00,7.13,6.00,6.00,8.00,201,NULL,NULL,'PRAIA DO CANTO','VITÓRIA','ES',2266,165,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167610,6.00,9.00,4.00,6.00,9.00,7.88,3.00,7.00,7.00,103,NULL,NULL,'CENTRO','NOVA STA BÁRBARA','PR',1408,714,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167628,6.00,6.00,2.00,7.00,10.00,8.25,5.00,5.00,7.00,216,NULL,215,'AGRONÔMICA','FLORIANÓPOLIS','SC',1986,64,NULL,13,NULL,NULL,NULL,4,1),(28,7167636,6.00,8.00,7.00,7.00,11.00,10.88,6.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',72,60,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167644,2.00,5.00,4.00,6.00,7.00,11.25,3.00,3.00,2.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',9396,230,NULL,NULL,NULL,NULL,NULL,2,1),(28,7167652,2.00,6.00,1.00,5.00,7.00,6.75,1.00,3.00,2.00,318,NULL,NULL,'ESTADOS','CONCÓRDIA','SC',13364,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7167660,2.00,5.00,2.00,6.00,5.00,6.75,3.00,4.00,5.00,216,NULL,233,'RIO PEQUENO','GR PARÁ','SC',13818,378,NULL,296,NULL,NULL,NULL,2,10),(28,7167679,5.00,6.00,2.00,7.00,9.00,7.50,4.00,6.00,3.00,319,NULL,NULL,'LAGOA','PTO VELHO','RO',5529,83,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167687,6.00,7.00,1.00,5.00,10.00,7.88,3.00,5.00,5.00,103,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',2936,1122,NULL,NULL,NULL,NULL,NULL,4,24),(28,7167695,2.00,6.00,2.00,4.00,5.00,7.88,2.00,5.00,3.00,108,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',16467,224,NULL,NULL,NULL,NULL,NULL,2,1),(28,7167709,6.00,6.00,4.00,7.00,5.00,7.88,4.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167725,5.00,5.00,2.00,4.00,5.00,6.00,3.00,4.00,2.00,333,NULL,NULL,'PALMITAL','CHAPECÓ','SC',12464,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7167741,6.00,9.00,2.00,7.00,7.00,7.88,3.00,8.00,6.00,103,NULL,NULL,'SANTA CANDIDA','CURITIBA','PR',1663,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7167750,1.00,5.00,1.00,4.00,3.00,6.38,2.00,2.00,1.00,224,NULL,NULL,'LADO DA UNIÃO','BRAÇO NORTE','SC',17167,21,NULL,NULL,NULL,NULL,NULL,4,10),(28,7167768,1.00,8.00,1.00,7.00,9.00,9.00,1.00,4.00,3.00,303,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',8079,353,NULL,NULL,NULL,NULL,NULL,4,8),(28,7167776,7.00,8.00,1.00,6.00,9.00,7.88,6.00,6.00,7.00,601,NULL,201,'PRESIDENTE MÉDICE','CHAPECÓ','SC',2478,27,NULL,NULL,NULL,NULL,NULL,2,4),(28,7167792,2.00,5.00,2.00,4.00,6.00,10.13,1.00,5.00,1.00,601,NULL,201,'AMÉRICA','JOINVILLE','SC',17197,494,NULL,NULL,NULL,NULL,NULL,2,8),(28,7167822,2.00,6.00,0.00,5.00,8.00,9.00,2.00,4.00,4.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13831,265,NULL,NULL,NULL,NULL,NULL,2,1),(28,7167830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7167849,5.00,6.00,4.00,6.00,7.00,10.13,5.00,3.00,4.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',4485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167857,2.00,6.00,1.00,4.00,4.00,10.88,3.00,6.00,4.00,102,NULL,NULL,'JARDIM BRASILIA','JAÚ','SP',6602,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167865,4.00,6.00,2.00,5.00,4.00,7.50,3.00,4.00,5.00,214,NULL,220,'SETOR BUENO','GOIÂNIA','GO',8037,230,NULL,211,NULL,NULL,NULL,4,1),(28,7167873,4.00,7.00,4.00,6.00,9.00,8.63,6.00,6.00,7.00,201,NULL,212,'SANTA MONICA','FLORIANÓPOLIS','SC',1859,116,NULL,33,NULL,NULL,NULL,4,1),(28,7167881,4.00,6.00,4.00,4.00,7.00,6.00,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167890,4.00,7.00,4.00,7.00,8.00,7.13,4.00,6.00,4.00,203,NULL,233,'BARREIROS','S JOSÉ','SC',7352,NULL,NULL,184,NULL,NULL,NULL,2,1),(28,7167903,3.00,5.00,1.00,7.00,7.00,9.75,5.00,5.00,4.00,216,NULL,215,'MINA BRASIL','CRICIÚMA','SC',5526,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7167911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7167920,5.00,8.00,3.00,4.00,8.00,7.13,4.00,6.00,3.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',9000,117,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167938,1.00,5.00,1.00,5.00,5.00,7.13,1.00,6.00,2.00,653,NULL,655,'CENTRO','TURVO','SC',18480,197,NULL,117,NULL,NULL,NULL,2,15),(28,7167946,3.00,2.00,2.00,2.00,3.00,7.88,2.00,5.00,3.00,201,NULL,238,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167954,5.00,9.00,4.00,5.00,10.00,7.13,4.00,7.00,6.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',1795,835,NULL,NULL,NULL,NULL,NULL,1,8),(28,7167989,4.00,7.00,2.00,6.00,9.00,7.88,2.00,4.00,2.00,301,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',12286,170,NULL,NULL,NULL,NULL,NULL,4,1),(28,7167997,4.00,5.00,4.00,7.00,7.00,11.25,4.00,4.00,3.00,238,NULL,201,'CAPOEIRAS','FLORIANÓPOLIS','SC',5929,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'BUENOS AIRES','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7168020,1.00,4.00,2.00,3.00,6.00,8.63,3.00,3.00,1.00,999,NULL,NULL,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7168039,0.00,2.00,1.00,5.00,4.00,NULL,1.00,3.00,2.00,207,NULL,201,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7168063,0.00,4.00,2.00,3.00,3.00,6.00,0.00,3.00,2.00,653,NULL,655,'VILA FRANCA','FORQUILHINHA','SC',19759,216,NULL,136,NULL,NULL,NULL,2,15),(28,7168071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'SAO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7168080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ALAMAR','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7168098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD DAS AMÉRICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7168110,2.00,3.00,4.00,4.00,5.00,7.50,2.00,3.00,3.00,203,NULL,601,'SÃO VICENTE','ITAJAÍ','SC',13688,615,NULL,410,NULL,NULL,NULL,2,6),(28,7168128,4.00,8.00,4.00,3.00,8.00,12.00,6.00,5.00,6.00,211,NULL,203,'ESTREITO','FLORIANÓPOLIS','SC',2011,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7168152,1.00,4.00,1.00,2.00,7.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7168160,5.00,9.00,5.00,7.00,11.00,11.25,5.00,6.00,8.00,216,NULL,203,'CENTRO','CPO GRANDE','MS',341,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168187,1.00,3.00,1.00,6.00,4.00,4.88,2.00,3.00,1.00,201,NULL,601,'REDIN','CONCÓRDIA','SC',19591,1046,NULL,553,NULL,NULL,NULL,2,26),(28,7168195,5.00,8.00,8.00,7.00,8.00,8.63,9.00,8.00,6.00,202,NULL,203,'TRINDADE','FLORIANÓPOLIS','SC',433,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168209,1.00,7.00,1.00,7.00,5.00,6.75,4.00,6.00,4.00,203,NULL,202,'AMADORI','PATO BRANCO','PR',7567,457,NULL,202,NULL,NULL,NULL,2,4),(28,7168217,7.00,8.00,4.00,7.00,6.00,6.00,4.00,7.00,8.00,103,NULL,NULL,'JARDIM IRAJÁ','RIBEIRÃO PRETO','SP',1061,582,NULL,NULL,NULL,NULL,NULL,4,8),(28,7168233,4.00,7.00,5.00,8.00,9.00,9.38,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168268,6.00,8.00,7.00,7.00,7.00,9.00,5.00,6.00,5.00,203,NULL,235,'VILA NOVA','BLUMENAU','SC',939,91,NULL,4,NULL,NULL,NULL,4,2),(28,7168284,0.00,3.00,0.00,5.00,3.00,8.63,3.00,3.00,1.00,601,NULL,235,'ALTO DA TIJUCA','CANOINHAS','SC',16786,487,NULL,266,NULL,NULL,NULL,2,17),(28,7168306,0.00,4.00,2.00,5.00,3.00,NULL,2.00,5.00,1.00,103,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168314,1.00,5.00,3.00,2.00,3.00,6.00,3.00,3.00,3.00,999,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'TONAIL','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7168330,1.00,3.00,3.00,2.00,1.00,NULL,1.00,4.00,1.00,103,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7168349,2.00,5.00,1.00,4.00,5.00,6.38,4.00,6.00,3.00,333,NULL,NULL,'BALDICERO FILOMENO','FLORIANÓPOLIS','SC',13731,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168357,5.00,5.00,2.00,5.00,6.00,5.63,1.00,5.00,2.00,501,NULL,NULL,'JARDIM PRIMAVERA','S PAULO','SP',9454,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168365,4.00,5.00,3.00,7.00,5.00,7.88,2.00,4.00,4.00,415,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',11811,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7168373,7.00,6.00,4.00,7.00,10.00,11.63,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',333,246,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168381,7.00,7.00,4.00,6.00,8.00,9.38,5.00,7.00,5.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',1527,751,NULL,NULL,NULL,NULL,NULL,4,8),(28,7168390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7168403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'MATINHO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7168411,0.00,4.00,2.00,7.00,4.00,NULL,0.00,3.00,1.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7168420,4.00,7.00,4.00,5.00,7.00,7.13,5.00,5.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168438,3.00,7.00,3.00,6.00,7.00,9.38,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',5739,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7168446,1.00,5.00,1.00,3.00,3.00,7.13,1.00,4.00,3.00,104,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',19570,460,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168454,2.00,5.00,4.00,2.00,5.00,7.88,1.00,5.00,4.00,5,NULL,NULL,'ITAIBA','CONCÓRDIA','SC',12666,352,NULL,NULL,NULL,NULL,NULL,4,26),(28,7168462,1.00,7.00,1.00,7.00,7.00,12.38,1.00,6.00,3.00,340,NULL,NULL,'MANGUEIRÃO','BELÉM','PA',4807,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168470,3.00,4.00,3.00,5.00,5.00,7.13,4.00,6.00,5.00,220,NULL,238,'CAMPECHE','FLORIANÓPOLIS','SC',9145,231,NULL,131,NULL,NULL,NULL,4,1),(28,7168489,5.00,8.00,3.00,6.00,8.00,9.38,3.00,6.00,7.00,103,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',2107,911,NULL,NULL,NULL,NULL,NULL,4,2),(28,7168497,2.00,4.00,0.00,3.00,5.00,NULL,1.00,3.00,3.00,202,NULL,213,'VILA RICA','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7168500,3.00,6.00,2.00,7.00,8.00,9.75,2.00,5.00,6.00,203,NULL,201,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5866,385,NULL,459,NULL,NULL,NULL,2,1),(28,7168527,1.00,6.00,0.00,0.00,2.00,NULL,0.00,4.00,1.00,328,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168543,5.00,7.00,3.00,6.00,9.00,7.88,6.00,7.00,8.00,203,NULL,214,'JARDIM INDAIA','EMBU','SP',1407,129,NULL,39,NULL,NULL,NULL,4,1),(28,7168551,2.00,5.00,2.00,7.00,5.00,7.13,4.00,4.00,4.00,101,NULL,NULL,'JD CIDADE FPOLIS','S JOSÉ','SC',10278,44,NULL,NULL,NULL,NULL,NULL,2,1),(28,7168560,1.00,7.00,2.00,4.00,5.00,4.50,1.00,4.00,1.00,201,NULL,207,'INTERIOR','PINHEIRO PRETO','SC',14816,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7168578,4.00,3.00,2.00,6.00,5.00,7.50,2.00,3.00,3.00,5,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',10096,297,NULL,NULL,NULL,NULL,NULL,2,27),(28,7168586,8.00,7.00,3.00,5.00,7.00,10.50,5.00,6.00,6.00,103,NULL,NULL,'HIGIENÓPOLIS','S PAULO','SP',1535,756,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168594,2.00,8.00,1.00,7.00,5.00,12.75,3.00,6.00,5.00,331,NULL,NULL,'MANDAQUI','S PAULO','SP',3760,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168608,3.00,7.00,3.00,6.00,8.00,6.75,4.00,3.00,3.00,303,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',7767,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7168616,4.00,6.00,1.00,4.00,7.00,9.00,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3353,1217,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168624,5.00,9.00,1.00,6.00,8.00,8.25,2.00,8.00,5.00,201,NULL,211,'OLIVEIRA','TIJUCAS','SC',3389,257,NULL,75,NULL,NULL,NULL,4,3),(28,7168632,0.00,5.00,2.00,5.00,4.00,6.00,0.00,4.00,2.00,333,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',16494,103,NULL,NULL,NULL,NULL,NULL,2,1),(28,7168640,4.00,7.00,2.00,5.00,7.00,7.13,4.00,3.00,3.00,102,NULL,NULL,'CENTRO','TUBARÃO','SC',7881,58,NULL,NULL,NULL,NULL,NULL,2,10),(28,7168659,3.00,7.00,1.00,6.00,7.00,9.00,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',7889,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7168667,8.00,9.00,7.00,7.00,7.00,6.38,6.00,6.00,6.00,103,NULL,NULL,'SANTA CRUZ','BOITUVA','SP',434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168675,0.00,6.00,3.00,7.00,6.00,7.88,2.00,5.00,1.00,426,NULL,423,'MILANESE','CRICIÚMA','SC',11831,12,NULL,NULL,NULL,NULL,NULL,4,5),(28,7168683,4.00,6.00,4.00,7.00,7.00,8.63,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',2471,1016,NULL,NULL,NULL,NULL,NULL,4,5),(28,7168691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM ALVORADA','STA RITA P QUATRO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7168705,7.00,9.00,3.00,5.00,8.00,8.25,4.00,5.00,7.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',1982,882,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168713,0.00,3.00,2.00,1.00,6.00,NULL,0.00,2.00,1.00,303,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168721,1.00,7.00,1.00,6.00,5.00,7.13,1.00,3.00,2.00,999,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7168730,1.00,6.00,0.00,3.00,3.00,7.13,2.00,3.00,4.00,999,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','SEARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7168756,4.00,6.00,2.00,6.00,7.00,6.00,2.00,6.00,5.00,211,NULL,216,'CAMPINAS','S JOSÉ','SC',6087,161,NULL,NULL,NULL,NULL,NULL,2,1),(28,7168772,3.00,6.00,3.00,6.00,4.00,8.25,3.00,6.00,5.00,203,NULL,202,'VILA LEOPOLDINA','S PAULO','SP',5376,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168780,1.00,5.00,4.00,3.00,2.00,NULL,3.00,5.00,4.00,653,NULL,655,'CAIU DO CÉU','OSÓRIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7168799,0.00,6.00,2.00,6.00,4.00,NULL,0.00,4.00,3.00,5,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168802,0.00,3.00,0.00,2.00,2.00,NULL,3.00,1.00,3.00,5,NULL,NULL,'SANTO SARAIVA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7168810,0.00,3.00,4.00,4.00,6.00,NULL,1.00,1.00,1.00,220,NULL,601,'VILA WEBER','GARUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7168829,0.00,3.00,0.00,0.00,0.00,NULL,1.00,4.00,4.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,9),(28,7168837,1.00,9.00,3.00,3.00,5.00,6.75,4.00,8.00,4.00,220,NULL,201,'SENHOR DOS PASSOS','CUIABÁ','MT',6003,173,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168845,3.00,7.00,3.00,3.00,4.00,7.88,1.00,5.00,2.00,999,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168853,2.00,7.00,1.00,4.00,7.00,5.63,2.00,6.00,4.00,216,NULL,214,'CAMPECHE','FLORIANÓPOLIS','SC',9952,312,NULL,258,NULL,NULL,NULL,2,1),(28,7168861,4.00,7.00,2.00,6.00,7.00,9.00,3.00,5.00,2.00,999,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7168870,0.00,5.00,1.00,1.00,3.00,10.13,3.00,5.00,1.00,454,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15950,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7168888,1.00,7.00,2.00,4.00,5.00,9.75,1.00,5.00,3.00,103,NULL,NULL,'SORGATTO','CAÇADOR','SC',10046,2076,NULL,NULL,NULL,NULL,NULL,4,25),(28,7168896,0.00,4.00,1.00,5.00,8.00,7.88,2.00,2.00,1.00,216,NULL,211,'FAZENDA','ITAJAÍ','SC',13953,382,NULL,353,NULL,NULL,NULL,4,6),(28,7168900,5.00,7.00,4.00,6.00,9.00,7.88,5.00,5.00,5.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',3904,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168918,2.00,6.00,2.00,6.00,7.00,8.25,2.00,5.00,1.00,654,NULL,NULL,'CENTRO','IMARUÍ','SC',16200,57,NULL,NULL,NULL,NULL,NULL,2,10),(28,7168934,1.00,5.00,1.00,3.00,6.00,7.50,3.00,4.00,4.00,404,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',13556,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7168942,1.00,4.00,0.00,1.00,4.00,4.88,1.00,3.00,0.00,425,NULL,424,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7168969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PESCARIA','S JOSÉ B VISTA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7168985,6.00,6.00,1.00,5.00,5.00,11.63,4.00,5.00,5.00,103,NULL,NULL,'JARDIM ESPLANADA','S JOSÉ CAMPOS','SP',3965,1317,NULL,NULL,NULL,NULL,NULL,4,1),(28,7168993,0.00,4.00,2.00,4.00,5.00,7.88,2.00,3.00,2.00,207,NULL,NULL,'SESI','VIDEIRA','SC',15515,682,NULL,NULL,NULL,NULL,NULL,4,25),(28,7169000,6.00,7.00,6.00,7.00,7.00,5.25,6.00,7.00,7.00,203,NULL,216,'CENTRO','CURITIBA','PR',1317,122,NULL,36,NULL,NULL,NULL,2,8),(28,7169035,2.00,6.00,1.00,6.00,6.00,7.50,5.00,5.00,2.00,454,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',11019,210,NULL,NULL,NULL,NULL,NULL,4,7),(28,7169060,7.00,7.00,5.00,5.00,8.00,10.50,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',859,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7169078,2.00,5.00,2.00,3.00,6.00,6.75,4.00,3.00,4.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',13190,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7169094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,212,'ITINGA','ARAQUARI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7169108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CENTRO','TREZE TÍLIAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7169116,3.00,5.00,1.00,5.00,5.00,8.25,2.00,4.00,0.00,203,NULL,220,'CENTRO','LAGUNA','SC',12228,588,NULL,282,NULL,NULL,NULL,4,10),(28,7169124,4.00,5.00,1.00,6.00,6.00,8.25,2.00,5.00,4.00,5,NULL,NULL,'ALTO','PIRACICABA','SP',8495,259,NULL,NULL,NULL,NULL,NULL,4,1),(28,7169159,1.00,5.00,2.00,6.00,3.00,9.00,2.00,2.00,3.00,203,NULL,207,'PASSA VINTE','PALHOÇA','SC',12909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7169167,4.00,5.00,2.00,7.00,6.00,8.25,2.00,5.00,5.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',9480,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7169175,1.00,3.00,1.00,3.00,2.00,NULL,1.00,3.00,1.00,415,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7169183,2.00,8.00,2.00,6.00,9.00,7.88,5.00,7.00,5.00,207,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3621,143,NULL,NULL,NULL,NULL,NULL,4,1),(28,7169191,4.00,6.00,1.00,4.00,9.00,9.75,4.00,5.00,2.00,203,NULL,207,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',7962,475,NULL,360,NULL,NULL,NULL,4,1),(28,7169205,2.00,3.00,3.00,7.00,5.00,4.88,5.00,5.00,2.00,444,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',17060,109,NULL,NULL,NULL,NULL,NULL,2,1),(28,7169213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,235,'JARDIM ELDORADO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7169221,1.00,7.00,3.00,3.00,4.00,7.50,3.00,5.00,1.00,201,NULL,211,'MEIA PRAIA','ITAPEMA','SC',17605,979,NULL,412,NULL,NULL,NULL,4,6),(28,7169230,3.00,3.00,3.00,6.00,4.00,6.38,1.00,2.00,4.00,201,NULL,220,'ARIRIBA','BAL CAMBORIÚ','SC',14378,883,NULL,305,NULL,NULL,NULL,2,6),(28,7169248,3.00,7.00,2.00,6.00,6.00,5.63,4.00,5.00,4.00,201,NULL,213,'JOÃO PAULO','FLORIANÓPOLIS','SC',8275,594,NULL,147,NULL,NULL,NULL,2,1),(28,7169264,2.00,5.00,2.00,6.00,5.00,8.25,4.00,7.00,2.00,238,NULL,203,'SERRINHA','FLORIANÓPOLIS','SC',10146,144,NULL,539,NULL,NULL,NULL,2,1),(28,7169272,2.00,4.00,0.00,5.00,5.00,NULL,1.00,2.00,2.00,201,NULL,212,'EFAPI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7169280,3.00,8.00,1.00,5.00,4.00,8.63,3.00,3.00,1.00,207,NULL,201,'GUARANI','BRUSQUE','SC',11434,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7169299,7.00,6.00,4.00,6.00,7.00,9.38,5.00,7.00,6.00,103,NULL,NULL,'JD DAS PALMEIRAS','CAMPINAS','SP',1145,618,NULL,NULL,NULL,NULL,NULL,4,1),(28,7169302,6.00,8.00,4.00,7.00,7.00,8.63,2.00,7.00,7.00,103,NULL,NULL,'JUVEVE','CURITIBA','PR',1495,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7169310,3.00,7.00,3.00,6.00,8.00,7.13,3.00,5.00,3.00,425,NULL,426,'SÃO PEDRO','GUABIRUBA','SC',7651,12,NULL,NULL,NULL,NULL,NULL,4,22),(28,7169329,4.00,4.00,2.00,5.00,6.00,7.13,2.00,4.00,1.00,328,NULL,NULL,'GANCHOS DE FORA','GOV CELSO RAMOS','SC',14152,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7169345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,233,'JARDIM COLINA','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7169353,0.00,4.00,1.00,1.00,4.00,7.13,2.00,3.00,1.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',20030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7169361,2.00,2.00,1.00,4.00,4.00,NULL,2.00,2.00,0.00,303,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7169396,4.00,6.00,3.00,5.00,4.00,7.88,2.00,5.00,2.00,201,NULL,203,'AGUAS FRIAS','ALFREDO WAGNER','SC',11388,742,NULL,NULL,NULL,NULL,NULL,2,24),(28,7169400,3.00,6.00,3.00,7.00,8.00,6.75,3.00,6.00,6.00,415,NULL,NULL,'RIO MOLHA','JARAGUÁ SUL','SC',8914,144,NULL,NULL,NULL,NULL,NULL,4,23),(28,7169418,0.00,5.00,0.00,0.00,6.00,5.25,2.00,4.00,4.00,319,NULL,NULL,'TERMAS','GRAVATAL','SC',19501,374,NULL,NULL,NULL,NULL,NULL,4,10),(28,7169426,2.00,3.00,1.00,7.00,4.00,3.00,3.00,2.00,1.00,340,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7169469,6.00,7.00,4.00,7.00,8.00,8.63,4.00,6.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3488,130,NULL,NULL,NULL,NULL,NULL,4,1),(28,7169485,2.00,6.00,3.00,7.00,4.00,8.63,4.00,4.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7169493,2.00,4.00,5.00,3.00,4.00,7.13,3.00,3.00,1.00,104,NULL,NULL,'CENTRO','CAÇADOR','SC',13300,327,NULL,NULL,NULL,NULL,NULL,4,25),(28,7169507,0.00,8.00,0.00,0.00,0.00,NULL,4.00,4.00,3.00,999,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(28,7169523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7169531,6.00,6.00,5.00,5.00,10.00,7.50,2.00,7.00,9.00,103,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',1555,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7169540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7169558,3.00,7.00,1.00,6.00,5.00,7.50,6.00,6.00,5.00,501,NULL,NULL,'CENTRO','JOAÇABA','SC',6746,19,NULL,NULL,NULL,NULL,NULL,4,7),(28,7169566,4.00,8.00,1.00,6.00,8.00,6.00,4.00,4.00,2.00,203,NULL,202,'CENTRO','CAPIVARI BAIXO','SC',7304,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7169574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,233,'ALTO DA BOA VISTA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7169582,4.00,6.00,4.00,4.00,7.00,5.63,4.00,6.00,6.00,201,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',7975,575,NULL,194,NULL,NULL,NULL,2,1),(28,7169590,4.00,5.00,1.00,5.00,7.00,7.13,2.00,5.00,3.00,213,NULL,201,'JD DAS PRAIAS','S PAULO','SP',14638,236,NULL,NULL,NULL,NULL,NULL,4,8),(28,7169612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA QUITÉRIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7169620,3.00,5.00,2.00,7.00,6.00,9.38,2.00,5.00,4.00,235,NULL,601,'CAMPINAS','S JOSÉ','SC',13348,NULL,NULL,403,NULL,NULL,NULL,2,1),(28,7169639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7169655,4.00,7.00,3.00,5.00,6.00,8.63,4.00,6.00,7.00,203,NULL,202,'SANTO ANTÔNIO','JOINVILLE','SC',6823,420,NULL,183,NULL,NULL,NULL,4,8),(28,7169663,1.00,1.00,3.00,4.00,2.00,NULL,2.00,3.00,2.00,201,NULL,207,'J CIDADE DE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7169671,5.00,8.00,3.00,6.00,7.00,9.00,3.00,8.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1931,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7169680,6.00,8.00,2.00,6.00,6.00,6.75,2.00,6.00,3.00,108,NULL,NULL,'VILA AURORA','S PAULO','SP',6056,70,NULL,NULL,NULL,NULL,NULL,4,1),(28,7169698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COLINAS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7169701,1.00,6.00,2.00,4.00,1.00,NULL,1.00,6.00,0.00,224,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7169710,6.00,6.00,3.00,6.00,5.00,7.88,4.00,4.00,5.00,207,NULL,233,'CENTRO','S JOSÉ','SC',5229,233,NULL,NULL,NULL,NULL,NULL,4,1),(28,7169728,7.00,8.00,3.00,7.00,9.00,11.25,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',530,354,NULL,NULL,NULL,NULL,NULL,4,3),(28,7169736,4.00,5.00,1.00,6.00,5.00,5.25,4.00,2.00,4.00,202,NULL,220,'NATUREZA','ITÁ','SC',12632,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7169760,4.00,2.00,3.00,1.00,2.00,NULL,5.00,3.00,1.00,317,NULL,NULL,'CAPISTRANO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7169779,3.00,5.00,2.00,7.00,8.00,10.50,1.00,5.00,3.00,5,NULL,NULL,'COMASA','JOINVILLE','SC',5450,181,NULL,NULL,NULL,NULL,NULL,4,8),(28,7169787,3.00,5.00,3.00,6.00,8.00,8.25,4.00,4.00,3.00,216,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',8178,272,NULL,NULL,NULL,NULL,NULL,2,1),(28,7169795,3.00,6.00,1.00,5.00,4.00,6.75,4.00,5.00,4.00,203,NULL,235,'BAIRRO DO ARIRIU','PALHOÇA','SC',16072,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7169809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S DOMINGOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7169817,1.00,7.00,5.00,6.00,7.00,10.13,3.00,6.00,7.00,201,NULL,211,'BOM VIVER','BIGUAÇU','SC',5313,413,NULL,131,NULL,NULL,NULL,4,1),(28,7169825,2.00,6.00,2.00,3.00,5.00,6.75,2.00,3.00,2.00,429,NULL,425,'RIO GRANDE','PALHOÇA','SC',15264,26,NULL,NULL,NULL,NULL,NULL,2,1),(28,7169833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7169841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'CENTRO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7169850,8.00,7.00,4.00,7.00,8.00,9.38,6.00,7.00,6.00,103,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',1047,574,NULL,NULL,NULL,NULL,NULL,4,1),(28,7169868,0.00,5.00,1.00,6.00,5.00,8.25,2.00,3.00,2.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7169884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,212,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7169892,2.00,6.00,2.00,4.00,7.00,9.00,3.00,5.00,4.00,103,NULL,NULL,'SANTA CATARINA','ARARANGUÁ','SC',8952,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7169906,1.00,4.00,2.00,4.00,5.00,6.75,3.00,5.00,4.00,601,NULL,NULL,'ITAUM','JOINVILLE','SC',17872,513,NULL,NULL,NULL,NULL,NULL,2,8),(28,7169914,6.00,8.00,4.00,7.00,7.00,9.00,5.00,8.00,5.00,103,NULL,NULL,'PORTAO','CURITIBA','PR',721,440,NULL,NULL,NULL,NULL,NULL,4,1),(28,7169922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'ITINGA','ARAQUARI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7169930,5.00,8.00,1.00,7.00,5.00,7.13,3.00,8.00,6.00,103,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',7307,1803,NULL,NULL,NULL,NULL,NULL,2,1),(28,7169949,3.00,7.00,2.00,4.00,9.00,9.00,4.00,4.00,6.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6937,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7169965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','IRAÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7169981,0.00,5.00,4.00,5.00,1.00,NULL,2.00,3.00,1.00,440,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7169990,1.00,6.00,2.00,7.00,5.00,9.00,1.00,4.00,3.00,999,NULL,NULL,'SAGRADO CORAÇÃO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7170009,2.00,5.00,2.00,3.00,6.00,8.25,4.00,4.00,3.00,415,NULL,NULL,'SANTA MARIA','LAGES','SC',12422,203,NULL,NULL,NULL,NULL,NULL,2,9),(28,7170017,2.00,7.00,2.00,6.00,8.00,8.63,3.00,5.00,2.00,303,NULL,NULL,'CENTRO','XANXERÊ','SC',12630,478,NULL,NULL,NULL,NULL,NULL,2,4),(28,7170025,3.00,5.00,0.00,7.00,5.00,NULL,3.00,4.00,5.00,103,NULL,NULL,'MARIA DA GRAÇA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170033,6.00,8.00,3.00,7.00,8.00,9.75,4.00,7.00,6.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',870,494,NULL,NULL,NULL,NULL,NULL,4,4),(28,7170041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'ALTO CAFEZAL','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7170050,5.00,7.00,5.00,5.00,5.00,10.88,6.00,6.00,6.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3181,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170068,3.00,6.00,3.00,7.00,7.00,9.38,2.00,8.00,5.00,331,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4648,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170076,2.00,6.00,1.00,6.00,8.00,8.63,5.00,4.00,3.00,999,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7170084,4.00,6.00,1.00,5.00,6.00,9.00,3.00,3.00,4.00,238,NULL,211,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',10175,145,NULL,280,NULL,NULL,NULL,2,1),(28,7170092,3.00,7.00,3.00,5.00,5.00,10.50,0.00,6.00,3.00,213,NULL,601,'DESVIO RIZZO','CAXIAS SUL','RS',7927,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7170114,1.00,6.00,1.00,7.00,7.00,10.13,1.00,5.00,1.00,212,NULL,207,'CERAMICA','ERECHIM','RS',12412,342,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170122,6.00,8.00,3.00,6.00,7.00,10.50,3.00,7.00,7.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',1733,815,NULL,NULL,NULL,NULL,NULL,4,8),(28,7170130,2.00,5.00,1.00,6.00,5.00,8.63,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','GUARAMIRIM','SC',9182,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7170157,0.00,5.00,2.00,2.00,4.00,7.13,1.00,4.00,4.00,203,NULL,214,'ESTREITO','ALFREDO WAGNER','SC',15848,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170165,8.00,8.00,4.00,5.00,10.00,12.75,5.00,7.00,7.00,103,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',156,125,NULL,NULL,NULL,NULL,NULL,4,27),(28,7170173,1.00,8.00,1.00,3.00,7.00,10.50,5.00,3.00,4.00,103,NULL,NULL,'VILA LALAU','JARAGUÁ SUL','SC',7689,1852,NULL,NULL,NULL,NULL,NULL,4,23),(28,7170181,0.00,3.00,2.00,7.00,6.00,7.13,2.00,3.00,3.00,9,NULL,NULL,'DESVIO RIZZO','CAXIAS SUL','RS',12677,83,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170190,6.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARRA DO RIO MOLHA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,23),(28,7170203,4.00,7.00,0.00,5.00,5.00,10.50,3.00,7.00,4.00,108,NULL,NULL,'EMBARÉ','SANTOS','SP',9452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170220,1.00,5.00,2.00,7.00,8.00,7.13,1.00,4.00,4.00,552,NULL,NULL,'AMÉRICA','JOINVILLE','SC',9936,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7170246,2.00,4.00,3.00,4.00,5.00,5.25,5.00,4.00,2.00,201,NULL,214,'HIDRÁULICA','LAJEADO','RS',14008,864,NULL,312,NULL,NULL,NULL,2,3),(28,7170254,2.00,5.00,3.00,6.00,8.00,8.25,5.00,6.00,3.00,208,NULL,NULL,'CENTRO','SAUDADES','SC',8155,82,NULL,NULL,NULL,NULL,NULL,4,4),(28,7170262,0.00,7.00,2.00,3.00,4.00,6.00,2.00,5.00,3.00,317,NULL,NULL,'ARIRIU','PALHOÇA','SC',16107,123,NULL,NULL,NULL,NULL,NULL,2,1),(28,7170270,3.00,7.00,3.00,7.00,3.00,9.00,4.00,4.00,2.00,601,NULL,655,'VILLA FLORES','SUMARÉ','SP',8545,212,NULL,NULL,NULL,NULL,NULL,4,8),(28,7170289,2.00,4.00,2.00,5.00,4.00,5.63,2.00,6.00,3.00,220,NULL,203,'PARQUE REAL','VLE REAL','RS',12938,290,NULL,602,NULL,NULL,NULL,2,1),(28,7170297,3.00,4.00,4.00,5.00,7.00,9.75,3.00,5.00,4.00,103,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',7378,1819,NULL,NULL,NULL,NULL,NULL,4,8),(28,7170319,5.00,8.00,5.00,6.00,8.00,7.88,7.00,6.00,6.00,103,NULL,NULL,'SAO MARTINHO','TUBARÃO','SC',1511,743,NULL,NULL,NULL,NULL,NULL,2,10),(28,7170327,2.00,5.00,2.00,4.00,4.00,7.13,1.00,3.00,2.00,336,NULL,NULL,'CENTRO','ITAJAÍ','SC',19117,95,NULL,NULL,NULL,NULL,NULL,4,6),(28,7170335,0.00,5.00,4.00,6.00,8.00,NULL,3.00,5.00,3.00,444,NULL,NULL,'AREIAS','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7170343,0.00,6.00,2.00,3.00,5.00,7.13,2.00,4.00,3.00,502,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','SORRISO','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7170360,0.00,5.00,3.00,3.00,6.00,NULL,0.00,3.00,1.00,302,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7170378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,440,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7170386,3.00,6.00,4.00,7.00,7.00,8.25,3.00,3.00,2.00,502,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',8954,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170394,1.00,7.00,1.00,5.00,4.00,6.00,1.00,4.00,6.00,216,NULL,220,'VILA ANTONIO AUGUSTO','CAÇAPAVA','SP',16183,422,NULL,321,NULL,NULL,NULL,4,1),(28,7170416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','LARANJEIRAS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7170424,2.00,4.00,3.00,6.00,6.00,6.75,3.00,6.00,3.00,201,NULL,653,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',9361,645,NULL,95,NULL,NULL,NULL,2,15),(28,7170432,5.00,8.00,4.00,7.00,9.00,10.88,4.00,8.00,7.00,340,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',557,5,NULL,NULL,NULL,NULL,NULL,4,5),(28,7170440,1.00,7.00,2.00,5.00,4.00,7.13,2.00,3.00,3.00,104,NULL,NULL,'INTERIOR','PINHALZINHO','SC',14550,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7170459,1.00,5.00,2.00,4.00,7.00,7.88,3.00,4.00,2.00,552,NULL,NULL,'DO SALTO','SALTO VELOSO','SC',12371,55,NULL,NULL,NULL,NULL,NULL,2,7),(28,7170467,6.00,8.00,6.00,7.00,8.00,10.50,6.00,8.00,6.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',292,219,NULL,NULL,NULL,NULL,NULL,2,1),(28,7170475,5.00,9.00,2.00,7.00,9.00,7.88,4.00,7.00,6.00,103,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',1514,744,NULL,NULL,NULL,NULL,NULL,2,1),(28,7170483,2.00,8.00,2.00,5.00,9.00,9.75,3.00,6.00,5.00,3,NULL,NULL,'SAGRADO CORAÇÃO DE J','LAGES','SC',5512,21,NULL,NULL,NULL,NULL,NULL,4,9),(28,7170491,1.00,3.00,0.00,6.00,2.00,NULL,0.00,1.00,3.00,225,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7170505,2.00,3.00,2.00,7.00,4.00,8.25,1.00,4.00,3.00,302,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',14201,93,NULL,NULL,NULL,NULL,NULL,2,1),(28,7170513,6.00,8.00,1.00,8.00,8.00,10.50,4.00,6.00,5.00,2,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',2300,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170521,5.00,7.00,2.00,7.00,8.00,7.88,5.00,5.00,5.00,233,NULL,215,'SANTA MÔNICA','FLORIANÓPOLIS','SC',2994,53,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170530,0.00,6.00,2.00,5.00,4.00,8.25,1.00,2.00,3.00,202,NULL,235,'VILA GERMER','TIMBÓ','SC',13094,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7170548,1.00,6.00,1.00,6.00,7.00,10.13,3.00,4.00,2.00,340,NULL,NULL,'CENTRO','SCHROEDER','SC',15094,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7170564,3.00,6.00,1.00,2.00,5.00,9.38,1.00,4.00,5.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10610,95,NULL,NULL,NULL,NULL,NULL,4,4),(28,7170572,1.00,4.00,1.00,3.00,8.00,6.75,2.00,2.00,0.00,109,NULL,NULL,'CENTRO','MTE CARLO','SC',15585,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7170580,2.00,5.00,2.00,2.00,4.00,8.25,0.00,5.00,3.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',13800,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170599,2.00,8.00,2.00,7.00,5.00,7.13,0.00,6.00,4.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170602,4.00,8.00,2.00,7.00,7.00,8.25,5.00,6.00,6.00,102,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3436,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,216,'CENTRO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7170629,4.00,7.00,3.00,6.00,8.00,8.25,5.00,7.00,5.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',7115,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170637,3.00,8.00,2.00,7.00,6.00,6.38,6.00,5.00,4.00,203,NULL,201,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',8811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170645,4.00,7.00,5.00,5.00,8.00,13.13,6.00,7.00,5.00,303,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',1078,48,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170653,3.00,7.00,2.00,5.00,7.00,8.25,4.00,5.00,5.00,104,NULL,NULL,'CENTRO','LAGES','SC',6787,153,NULL,NULL,NULL,NULL,NULL,2,1),(28,7170661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'CAMPESTRE','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7170670,2.00,8.00,2.00,4.00,9.00,7.13,2.00,5.00,1.00,211,NULL,NULL,'TERMAS','GRAVATAL','SC',9988,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7170688,1.00,4.00,2.00,5.00,5.00,6.00,3.00,4.00,0.00,108,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',19160,251,NULL,NULL,NULL,NULL,NULL,2,1),(28,7170696,1.00,5.00,5.00,5.00,3.00,7.88,2.00,3.00,2.00,327,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',12896,36,NULL,NULL,NULL,NULL,NULL,2,5),(28,7170700,0.00,6.00,2.00,6.00,2.00,NULL,2.00,3.00,4.00,999,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7170718,1.00,6.00,0.00,5.00,5.00,0.00,2.00,4.00,4.00,220,NULL,NULL,'CENTRO','SARANDI','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7170726,3.00,3.00,1.00,4.00,3.00,7.50,2.00,3.00,2.00,109,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',19527,92,NULL,NULL,NULL,NULL,NULL,2,1),(28,7170734,3.00,6.00,5.00,5.00,8.00,10.88,3.00,5.00,5.00,201,NULL,207,'CENTRO','BAL CAMBORIÚ','SC',3305,249,NULL,126,NULL,NULL,NULL,4,1),(28,7170742,4.00,6.00,3.00,7.00,7.00,9.00,3.00,7.00,5.00,601,NULL,NULL,'CENTRO','CRICIÚMA','SC',4229,74,NULL,NULL,NULL,NULL,NULL,4,5),(28,7170777,4.00,5.00,3.00,5.00,3.00,6.38,3.00,5.00,3.00,317,NULL,NULL,'COSTEIRA DO PIRAJUBE','FLORIANÓPOLIS','SC',12813,70,NULL,NULL,NULL,NULL,NULL,2,1),(28,7170807,1.00,6.00,3.00,3.00,6.00,8.63,3.00,4.00,2.00,103,NULL,NULL,'HUMAITÁ DE CIMA','TUBARÃO','SC',11582,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7170815,4.00,7.00,3.00,6.00,8.00,10.13,6.00,7.00,6.00,207,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',2314,79,NULL,52,NULL,NULL,NULL,4,1),(28,7170831,6.00,8.00,4.00,6.00,9.00,10.50,4.00,5.00,6.00,103,NULL,NULL,'BOA VISTA','JOINVILLE','SC',2601,1045,NULL,NULL,NULL,NULL,NULL,4,8),(28,7170840,3.00,7.00,0.00,5.00,7.00,6.75,3.00,5.00,5.00,211,NULL,233,'MONTE VERDE','FLORIANÓPOLIS','SC',8272,225,NULL,NULL,NULL,NULL,NULL,2,1),(28,7170858,1.00,5.00,1.00,5.00,5.00,9.75,3.00,5.00,1.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170866,4.00,6.00,3.00,6.00,7.00,9.00,5.00,5.00,5.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',6040,280,NULL,469,NULL,NULL,NULL,4,1),(28,7170874,2.00,0.00,2.00,6.00,5.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7170882,3.00,6.00,4.00,5.00,6.00,9.75,5.00,6.00,4.00,5,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',6801,215,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170890,4.00,8.00,4.00,6.00,7.00,9.00,4.00,6.00,4.00,303,NULL,NULL,'RODRIGUES','PASSO FUNDO','RS',3316,151,NULL,NULL,NULL,NULL,NULL,4,4),(28,7170904,3.00,4.00,1.00,5.00,6.00,8.63,6.00,4.00,4.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10581,202,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALVORADA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7170939,0.00,2.00,1.00,3.00,2.00,NULL,0.00,2.00,2.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7170955,0.00,7.00,2.00,5.00,4.00,NULL,1.00,5.00,2.00,340,NULL,NULL,'JD PAULISTANO','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170971,7.00,8.00,4.00,7.00,10.00,10.88,7.00,7.00,7.00,103,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',143,115,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170980,3.00,7.00,1.00,6.00,5.00,7.13,4.00,7.00,4.00,304,NULL,NULL,'PAULICEIA','PIRACICABA','SP',8953,70,NULL,NULL,NULL,NULL,NULL,4,1),(28,7170998,0.00,6.00,2.00,7.00,5.00,0.00,3.00,7.00,3.00,216,NULL,202,'PONTA DA PRAIA','SANTOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171005,5.00,7.00,3.00,5.00,9.00,9.00,4.00,6.00,4.00,201,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',1858,115,NULL,22,NULL,NULL,NULL,4,1),(28,7171021,5.00,6.00,6.00,6.00,9.00,9.75,4.00,7.00,5.00,207,NULL,211,'COSTA E SILVA','JOINVILLE','SC',1909,62,NULL,24,NULL,NULL,NULL,4,8),(28,7171030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'SÃO MARCOS','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7171048,0.00,5.00,3.00,3.00,6.00,7.88,4.00,4.00,1.00,317,NULL,NULL,'ENCRUZO','JAGUARUNA','SC',13937,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7171056,4.00,9.00,1.00,6.00,8.00,10.88,4.00,5.00,6.00,103,NULL,NULL,'CONSOLAÇÃO','S PAULO','SP',2762,1076,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171064,0.00,1.00,0.00,4.00,3.00,NULL,0.00,4.00,4.00,201,NULL,212,'VILA GERMER','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7171072,6.00,8.00,4.00,7.00,11.00,8.63,6.00,6.00,6.00,203,NULL,220,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',458,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171080,3.00,6.00,2.00,7.00,5.00,9.38,2.00,6.00,2.00,215,NULL,601,'URUSSANGUINHA','ARARANGUÁ','SC',8344,142,NULL,204,NULL,NULL,NULL,4,15),(28,7171102,6.00,9.00,3.00,6.00,5.00,8.25,5.00,6.00,5.00,110,NULL,NULL,'SÃO JOAQUIM','STA GERTRUDES','SP',3557,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171110,0.00,3.00,3.00,4.00,2.00,NULL,3.00,3.00,1.00,552,NULL,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7171129,6.00,7.00,2.00,4.00,10.00,8.63,4.00,3.00,6.00,108,NULL,NULL,'CENTRO','PALHOÇA','SC',4530,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171145,2.00,9.00,5.00,8.00,9.00,10.50,7.00,7.00,6.00,203,NULL,233,'ITACORUBI','FLORIANÓPOLIS','SC',447,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171188,6.00,7.00,4.00,7.00,8.00,9.00,5.00,6.00,4.00,203,NULL,214,'CANTO','FLORIANÓPOLIS','SC',1490,137,NULL,42,NULL,NULL,NULL,4,1),(28,7171196,2.00,4.00,3.00,6.00,4.00,9.38,2.00,2.00,2.00,302,NULL,NULL,'BELA VISTA','S JOSÉ','SC',18136,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7171200,1.00,6.00,2.00,7.00,5.00,9.75,3.00,5.00,3.00,103,NULL,NULL,'VILA ADYANA','S JOSÉ CAMPOS','SP',14260,2321,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171218,2.00,6.00,1.00,4.00,7.00,7.50,2.00,4.00,1.00,103,NULL,NULL,'PASSO MANSSO','BLUMENAU','SC',12844,2252,NULL,NULL,NULL,NULL,NULL,2,2),(28,7171226,3.00,6.00,4.00,4.00,7.00,6.38,3.00,5.00,2.00,333,NULL,NULL,'SERRARIA','S JOSÉ','SC',11779,67,NULL,NULL,NULL,NULL,NULL,2,1),(28,7171234,4.00,7.00,2.00,6.00,8.00,11.63,4.00,6.00,3.00,211,NULL,213,'CAMPINAS','S JOSÉ','SC',2681,46,NULL,NULL,NULL,NULL,NULL,2,1),(28,7171242,1.00,5.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,335,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7171250,1.00,6.00,2.00,2.00,3.00,6.75,2.00,3.00,1.00,552,NULL,NULL,'VARZEA','LAGES','SC',19795,151,NULL,NULL,NULL,NULL,NULL,4,9),(28,7171269,4.00,6.00,2.00,6.00,7.00,8.25,4.00,8.00,3.00,208,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5390,39,NULL,NULL,NULL,NULL,NULL,4,3),(28,7171277,2.00,4.00,0.00,5.00,5.00,NULL,0.00,5.00,2.00,5,NULL,NULL,'FORQUILINHAS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7171293,1.00,2.00,2.00,4.00,3.00,7.88,1.00,2.00,2.00,454,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',17078,344,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171315,4.00,7.00,2.00,6.00,8.00,5.25,1.00,7.00,5.00,103,NULL,NULL,'CENTRO','S JOSÉ R PARDO','SP',4429,1411,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171323,0.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,201,NULL,202,'LINHA SAO PEDRO','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(28,7171340,2.00,4.00,2.00,6.00,5.00,4.50,3.00,5.00,2.00,999,NULL,NULL,'FORTALEZA DA BARRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7171358,3.00,4.00,0.00,3.00,7.00,8.63,2.00,4.00,3.00,601,NULL,203,'BOA VISTA','JOINVILLE','SC',17002,492,NULL,673,NULL,NULL,NULL,4,8),(28,7171366,0.00,3.00,2.00,6.00,4.00,8.25,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',19123,2506,NULL,NULL,NULL,NULL,NULL,2,9),(28,7171374,3.00,6.00,4.00,4.00,8.00,7.88,3.00,7.00,4.00,201,NULL,216,'JARDIM PLANALTO','DOURADOS','MS',4757,369,NULL,184,NULL,NULL,NULL,4,27),(28,7171382,7.00,8.00,1.00,6.00,9.00,8.25,6.00,6.00,5.00,454,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',2721,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171404,2.00,7.00,3.00,3.00,9.00,9.38,3.00,4.00,3.00,5,NULL,NULL,'CENTRO','GUARAREMA','SP',11257,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171412,2.00,9.00,5.00,5.00,8.00,10.50,4.00,7.00,5.00,211,NULL,235,'ABRAÃO','FLORIANÓPOLIS','SC',2780,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171420,1.00,6.00,1.00,5.00,2.00,NULL,0.00,2.00,2.00,501,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7171447,3.00,3.00,2.00,2.00,5.00,7.88,1.00,5.00,1.00,211,NULL,233,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171455,5.00,7.00,3.00,6.00,8.00,9.00,6.00,6.00,6.00,203,NULL,220,'MOSQUEIRO','ARACAJU','SE',3638,NULL,NULL,108,NULL,NULL,NULL,4,1),(28,7171463,3.00,6.00,3.00,3.00,4.00,6.00,3.00,5.00,2.00,216,NULL,NULL,'CENTRO','MARIÓPOLIS','PR',13222,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7171471,4.00,8.00,2.00,7.00,6.00,7.88,5.00,5.00,3.00,601,NULL,655,'SORGATTO','CAÇADOR','SC',7072,155,NULL,NULL,NULL,NULL,NULL,4,25),(28,7171480,3.00,5.00,4.00,7.00,8.00,9.38,3.00,5.00,5.00,201,NULL,601,'BARREIROS','S JOSÉ','SC',7855,569,NULL,188,NULL,NULL,NULL,4,1),(28,7171498,0.00,7.00,3.00,6.00,7.00,NULL,2.00,7.00,1.00,211,NULL,NULL,'SAN FERNANDO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7171501,4.00,7.00,3.00,4.00,4.00,7.13,3.00,6.00,5.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',11735,120,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171528,4.00,9.00,3.00,7.00,5.00,9.38,6.00,7.00,4.00,103,NULL,NULL,'JARDIM ITALIA','CUIABÁ','MT',5062,1501,NULL,NULL,NULL,NULL,NULL,4,3),(28,7171544,5.00,9.00,2.00,6.00,10.00,8.25,4.00,6.00,7.00,207,NULL,201,'AREIAS','S JOSÉ','SC',1898,60,NULL,120,NULL,NULL,NULL,4,1),(28,7171552,6.00,6.00,4.00,7.00,9.00,8.25,2.00,4.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4110,1344,NULL,NULL,NULL,NULL,NULL,2,4),(28,7171560,2.00,7.00,1.00,6.00,7.00,7.50,3.00,6.00,4.00,316,NULL,NULL,'CENTRO','STA MARIA','RS',12041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7171579,6.00,8.00,4.00,7.00,7.00,12.00,7.00,8.00,6.00,214,NULL,212,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',894,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171587,1.00,6.00,3.00,3.00,6.00,7.50,6.00,6.00,2.00,310,NULL,NULL,'PONTA FINA NORTE','NOVA TRENTO','SC',13887,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171595,7.00,7.00,2.00,6.00,8.00,7.88,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','MAJ VIEIRA','SC',4374,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7171609,1.00,4.00,3.00,6.00,5.00,9.38,4.00,4.00,2.00,104,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',17129,414,NULL,NULL,NULL,NULL,NULL,4,4),(28,7171617,4.00,8.00,2.00,7.00,7.00,9.38,4.00,7.00,6.00,201,NULL,212,'RIO TAVARES','FLORIANÓPOLIS','SC',2860,214,NULL,86,NULL,NULL,NULL,4,1),(28,7171625,7.00,7.00,1.00,7.00,8.00,6.75,4.00,8.00,7.00,202,NULL,655,'URBANOVA','S JOSÉ CAMPOS','SP',2861,80,NULL,2,NULL,NULL,NULL,4,1),(28,7171641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7171650,3.00,3.00,4.00,4.00,3.00,6.75,2.00,3.00,1.00,601,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',19166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171668,5.00,7.00,1.00,6.00,8.00,8.63,2.00,8.00,6.00,601,NULL,NULL,'PETRÓPOLIS','LAGES','SC',3015,39,NULL,NULL,NULL,NULL,NULL,4,9),(28,7171676,3.00,6.00,3.00,6.00,5.00,7.13,3.00,4.00,4.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14130,104,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171684,6.00,8.00,4.00,6.00,7.00,11.25,4.00,7.00,7.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',1129,611,NULL,NULL,NULL,NULL,NULL,2,3),(28,7171714,1.00,5.00,0.00,6.00,8.00,7.13,6.00,6.00,4.00,203,NULL,202,'MAR GROSSO','LAGUNA','SC',8769,502,NULL,230,NULL,NULL,NULL,4,10),(28,7171722,2.00,6.00,2.00,5.00,4.00,8.63,3.00,2.00,3.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171730,4.00,7.00,3.00,7.00,6.00,6.38,2.00,3.00,5.00,203,NULL,233,'ITACORUBI','FLORIANÓPOLIS','SC',7044,431,NULL,176,NULL,NULL,NULL,4,1),(28,7171757,5.00,7.00,3.00,8.00,7.00,12.75,4.00,6.00,5.00,601,NULL,203,'BOM RETIRO','JOINVILLE','SC',4358,75,NULL,NULL,NULL,NULL,NULL,4,8),(28,7171765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7171773,1.00,5.00,3.00,4.00,3.00,6.00,1.00,6.00,1.00,102,NULL,NULL,'SANTA FELICIDADE','S JOSÉ','SC',19419,182,NULL,NULL,NULL,NULL,NULL,2,1),(28,7171781,4.00,6.00,2.00,6.00,8.00,8.25,1.00,6.00,6.00,201,NULL,601,'ITAUM','JOINVILLE','SC',10892,717,NULL,319,NULL,NULL,NULL,2,8),(28,7171790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'PILARZINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7171803,1.00,5.00,2.00,1.00,3.00,6.38,3.00,5.00,4.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15801,39,NULL,NULL,NULL,NULL,NULL,2,1),(28,7171811,2.00,7.00,2.00,5.00,8.00,6.75,5.00,6.00,6.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6467,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171820,3.00,6.00,2.00,2.00,4.00,6.75,3.00,6.00,2.00,601,NULL,214,'SANTO ANTONIO','JOINVILLE','SC',17484,503,NULL,NULL,NULL,NULL,NULL,4,8),(28,7171838,3.00,5.00,2.00,7.00,7.00,6.38,5.00,4.00,4.00,501,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8312,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171854,2.00,7.00,4.00,6.00,7.00,8.63,3.00,6.00,4.00,103,NULL,NULL,'SANTA HELENA','LAGES','SC',5212,1528,NULL,NULL,NULL,NULL,NULL,4,9),(28,7171889,1.00,3.00,1.00,0.00,3.00,NULL,2.00,1.00,0.00,332,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7171897,2.00,6.00,1.00,6.00,4.00,7.88,4.00,6.00,2.00,339,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',15776,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7171900,5.00,6.00,3.00,6.00,6.00,5.63,5.00,5.00,4.00,5,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',11743,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171919,1.00,3.00,1.00,3.00,4.00,3.00,1.00,0.00,0.00,319,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7171927,0.00,3.00,3.00,5.00,5.00,NULL,2.00,3.00,4.00,319,NULL,NULL,'SÃO LUIZ','STA HELENA','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(28,7171935,3.00,8.00,2.00,7.00,10.00,12.38,3.00,7.00,4.00,415,NULL,NULL,'LA SALLE','TOLEDO','PR',3010,36,NULL,NULL,NULL,NULL,NULL,2,4),(28,7171943,1.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,201,NULL,212,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,22),(28,7171951,2.00,7.00,1.00,7.00,9.00,8.25,3.00,6.00,5.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',5065,169,NULL,NULL,NULL,NULL,NULL,4,1),(28,7171986,0.00,5.00,1.00,6.00,4.00,9.38,1.00,5.00,2.00,102,NULL,NULL,'CENTRO','UNIÃO OESTE','SC',18229,169,NULL,NULL,NULL,NULL,NULL,2,4),(28,7171994,3.00,7.00,2.00,2.00,7.00,10.13,3.00,6.00,3.00,103,NULL,NULL,'SANTO ANTONIO','CHAPECÓ','SC',8469,1945,NULL,NULL,NULL,NULL,NULL,4,4),(28,7172010,4.00,6.00,1.00,1.00,6.00,7.88,2.00,5.00,4.00,601,NULL,216,'BOM RETIRO','JOINVILLE','SC',13156,399,NULL,NULL,NULL,NULL,NULL,4,8),(28,7172028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,427,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7172036,6.00,8.00,3.00,8.00,9.00,8.25,6.00,7.00,6.00,201,NULL,212,'BELCHIOR ALTO','GASPAR','SC',1056,51,NULL,NULL,NULL,NULL,NULL,4,2),(28,7172044,5.00,6.00,2.00,6.00,9.00,8.63,5.00,8.00,5.00,103,NULL,NULL,'CENTRO','QUILOMBO','SC',2227,942,NULL,NULL,NULL,NULL,NULL,2,1),(28,7172052,2.00,7.00,2.00,2.00,6.00,8.25,2.00,2.00,2.00,103,NULL,NULL,'SAO BENTO ALTO','NOVA VENEZA','SC',14317,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7172060,0.00,6.00,2.00,6.00,4.00,7.88,2.00,3.00,2.00,428,NULL,424,'NAÇÕES','TIMBÓ','SC',18851,66,NULL,NULL,NULL,NULL,NULL,4,2),(28,7172079,2.00,3.00,1.00,6.00,3.00,9.75,1.00,2.00,1.00,333,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',19037,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7172087,1.00,5.00,1.00,5.00,6.00,8.63,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',15254,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7172117,2.00,4.00,0.00,6.00,7.00,10.13,0.00,4.00,2.00,207,NULL,NULL,'CENTRO','ITUPORANGA','SC',11541,526,NULL,NULL,NULL,NULL,NULL,2,24),(28,7172125,0.00,5.00,1.00,3.00,4.00,NULL,1.00,4.00,3.00,552,NULL,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7172133,7.00,7.00,3.00,6.00,7.00,7.50,5.00,7.00,5.00,214,NULL,213,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',4371,146,NULL,59,NULL,NULL,NULL,2,1),(28,7172141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7172176,4.00,8.00,3.00,7.00,10.00,11.63,6.00,7.00,4.00,425,NULL,421,'CENTRO','FLORIANÓPOLIS','SC',2064,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7172184,1.00,2.00,1.00,7.00,6.00,5.25,4.00,4.00,2.00,428,NULL,426,'ESTREITO','FLORIANÓPOLIS','SC',14559,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7172192,1.00,8.00,1.00,6.00,6.00,6.38,1.00,6.00,3.00,552,NULL,NULL,'CENTRO','ITAJAÍ','SC',16181,117,NULL,NULL,NULL,NULL,NULL,3,6),(28,7172206,0.00,7.00,0.00,0.00,0.00,NULL,2.00,4.00,5.00,999,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,2),(28,7172222,3.00,7.00,3.00,6.00,7.00,10.13,3.00,6.00,4.00,103,NULL,NULL,'JUVEVE','CURITIBA','PR',5643,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7172249,2.00,6.00,2.00,4.00,8.00,7.88,3.00,3.00,2.00,207,NULL,201,'CARIANOS','FLORIANÓPOLIS','SC',11097,512,NULL,727,NULL,NULL,NULL,4,1),(28,7172257,0.00,3.00,1.00,3.00,5.00,NULL,2.00,3.00,0.00,103,NULL,NULL,'CAPUTERA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7172265,1.00,5.00,2.00,3.00,4.00,6.38,1.00,2.00,0.00,423,NULL,425,'AGRONÔMICA','FLORIANÓPOLIS','SC',19960,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7172273,0.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7172281,2.00,7.00,1.00,8.00,5.00,9.00,3.00,5.00,3.00,425,NULL,424,'LOANDA','ATIBAIA','SP',13218,43,NULL,13,NULL,NULL,NULL,4,1),(28,7172290,1.00,4.00,2.00,4.00,7.00,7.88,2.00,2.00,1.00,301,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',18964,253,NULL,NULL,NULL,NULL,NULL,4,1),(28,7172303,4.00,7.00,2.00,7.00,8.00,9.00,3.00,6.00,4.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',5344,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7172311,3.00,5.00,3.00,4.00,7.00,12.38,2.00,5.00,4.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',6431,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7172338,2.00,5.00,0.00,4.00,4.00,NULL,3.00,2.00,0.00,454,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7172354,0.00,3.00,0.00,4.00,3.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','NOVA ERECHIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7172362,3.00,6.00,3.00,4.00,6.00,7.88,3.00,5.00,6.00,201,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',8367,602,NULL,136,NULL,NULL,NULL,4,1),(28,7172370,2.00,7.00,2.00,7.00,5.00,9.75,3.00,5.00,4.00,303,NULL,NULL,'PAIQUERÊ','VALINHOS','SP',6615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7172397,1.00,3.00,3.00,5.00,6.00,5.25,2.00,2.00,3.00,235,NULL,213,'BALNEÁRIO','FLORIANÓPOLIS','SC',18261,280,NULL,271,NULL,NULL,NULL,4,1),(28,7172400,3.00,6.00,2.00,4.00,7.00,9.00,2.00,5.00,6.00,652,NULL,NULL,'CENTRO','SOMBRIO','SC',10791,25,NULL,NULL,NULL,NULL,NULL,4,15),(28,7172427,0.00,4.00,3.00,5.00,4.00,7.13,3.00,3.00,4.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',18074,260,NULL,NULL,NULL,NULL,NULL,2,1),(28,7172435,0.00,6.00,0.00,6.00,4.00,NULL,0.00,5.00,1.00,551,NULL,NULL,'VILA NOVA','PTE ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7172443,0.00,8.00,2.00,5.00,5.00,5.63,3.00,5.00,2.00,201,NULL,202,'CENTRO','CPO GRANDE','MS',12024,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7172451,5.00,8.00,3.00,6.00,10.00,11.25,2.00,6.00,5.00,216,NULL,214,'BOM RETIRO','JOINVILLE','SC',4640,178,NULL,155,NULL,NULL,NULL,4,1),(28,7172494,0.00,6.00,2.00,7.00,5.00,NULL,3.00,3.00,3.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7172508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7172516,4.00,7.00,4.00,6.00,7.00,6.75,3.00,4.00,7.00,238,NULL,201,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',5678,48,NULL,NULL,NULL,NULL,NULL,4,1),(28,7172524,1.00,7.00,3.00,2.00,3.00,6.00,1.00,6.00,2.00,318,NULL,NULL,'ROÇADO','S JOSÉ','SC',18995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7172532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'CENTRO','MALLET','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7172559,2.00,3.00,3.00,6.00,5.00,5.25,3.00,2.00,2.00,427,NULL,424,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7172575,7.00,8.00,7.00,5.00,8.00,9.00,8.00,7.00,7.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',117,93,NULL,NULL,NULL,NULL,NULL,4,1),(28,7172583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AFONSO PENA','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7172591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'ZONA SETE','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7172605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'CENTRO','NONOAI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7172613,3.00,6.00,1.00,2.00,8.00,7.50,3.00,7.00,2.00,336,NULL,NULL,'OXFORD','S BENTO SUL','SC',9511,48,NULL,NULL,NULL,NULL,NULL,3,8),(28,7172630,4.00,9.00,3.00,7.00,10.00,10.13,5.00,6.00,6.00,104,NULL,NULL,'JARDIM DAS HORTÊNCIA','RIO OESTE','SC',1302,6,NULL,NULL,NULL,NULL,NULL,2,24),(28,7172648,2.00,3.00,2.00,5.00,6.00,9.38,4.00,3.00,4.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',12886,84,NULL,NULL,NULL,NULL,NULL,2,1),(28,7172656,0.00,4.00,3.00,5.00,2.00,NULL,2.00,2.00,2.00,309,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7172664,5.00,7.00,3.00,7.00,9.00,7.88,5.00,7.00,7.00,103,NULL,NULL,'JARDIM FERRARI','ITAPEVA','SP',978,541,NULL,NULL,NULL,NULL,NULL,4,1),(28,7172672,1.00,6.00,2.00,4.00,5.00,7.50,3.00,3.00,3.00,317,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',16745,137,NULL,NULL,NULL,NULL,NULL,2,1),(28,7172680,2.00,4.00,3.00,2.00,2.00,NULL,3.00,4.00,3.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,8),(28,7172699,7.00,7.00,3.00,6.00,8.00,13.50,5.00,7.00,5.00,327,NULL,NULL,'BELA VISTA','S PAULO','SP',964,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7172702,1.00,4.00,0.00,6.00,6.00,NULL,0.00,3.00,2.00,454,NULL,NULL,'SAGRADO CORAÇÃO DE J','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7172710,3.00,5.00,1.00,7.00,4.00,8.63,2.00,4.00,3.00,238,NULL,655,'CINQUENTENÁRIO','CAXIAS SUL','RS',10707,164,NULL,56,NULL,NULL,NULL,4,1),(28,7172729,3.00,7.00,1.00,4.00,6.00,6.00,3.00,5.00,1.00,653,NULL,655,'CIDADE ALTA','ARARANGUÁ','SC',11990,125,NULL,63,NULL,NULL,NULL,4,15),(28,7172737,3.00,4.00,2.00,5.00,9.00,7.88,3.00,6.00,6.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',5793,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7172745,1.00,4.00,3.00,2.00,5.00,4.50,2.00,3.00,2.00,425,NULL,424,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7172753,6.00,7.00,1.00,7.00,7.00,5.63,3.00,8.00,5.00,201,NULL,601,'CENTRO','ITAJAÍ','SC',8427,NULL,NULL,207,NULL,NULL,NULL,4,6),(28,7172770,6.00,6.00,4.00,7.00,9.00,9.38,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1886,856,NULL,NULL,NULL,NULL,NULL,2,1),(28,7172788,1.00,5.00,0.00,2.00,7.00,9.75,1.00,6.00,3.00,207,NULL,212,'PENHA','PAULO LOPES','SC',12733,576,NULL,349,NULL,NULL,NULL,4,1),(28,7172818,1.00,5.00,4.00,7.00,9.00,11.25,2.00,8.00,2.00,404,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',9611,3,NULL,NULL,NULL,NULL,NULL,2,1),(28,7172826,2.00,6.00,1.00,2.00,3.00,5.25,0.00,3.00,1.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7172834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'UNIÃO','IMPERATRIZ','MA',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7172842,5.00,8.00,4.00,8.00,9.00,11.25,3.00,8.00,8.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',516,350,NULL,NULL,NULL,NULL,NULL,4,1),(28,7172869,4.00,7.00,4.00,6.00,5.00,8.63,5.00,4.00,3.00,203,NULL,214,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',5933,393,NULL,188,NULL,NULL,NULL,4,1),(28,7172885,7.00,6.00,3.00,7.00,7.00,10.13,6.00,3.00,4.00,103,NULL,NULL,'TAJUBA','S JOÃO BATISTA','SC',2505,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7172915,5.00,9.00,2.00,5.00,8.00,9.38,2.00,6.00,6.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',2400,994,NULL,NULL,NULL,NULL,NULL,2,1),(28,7172931,0.00,3.00,2.00,1.00,4.00,NULL,0.00,4.00,2.00,335,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7172940,3.00,7.00,1.00,8.00,8.00,8.63,6.00,6.00,5.00,454,NULL,NULL,'CENTRO','ITAJAÍ','SC',7733,127,NULL,NULL,NULL,NULL,NULL,4,6),(28,7172966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VILA DOURADOS','TARUMÃ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7172974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VILA GUARANI','COLOMBO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7172982,2.00,6.00,1.00,4.00,5.00,7.50,2.00,3.00,1.00,450,NULL,NULL,'BORBA GATO','MARINGÁ','PR',18576,128,NULL,NULL,NULL,NULL,NULL,4,1),(28,7172990,2.00,4.00,1.00,2.00,3.00,6.38,2.00,5.00,4.00,552,NULL,NULL,'TRIBUTO','LAGES','SC',18615,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7173008,3.00,5.00,3.00,6.00,5.00,5.63,2.00,4.00,1.00,103,NULL,NULL,'MARIA CÉU','CRICIÚMA','SC',18019,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7173016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7173024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','BOM JD SERRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7173032,5.00,7.00,3.00,7.00,7.00,7.50,4.00,4.00,4.00,103,NULL,NULL,'BATES','LAGES','SC',4187,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7173040,5.00,7.00,2.00,5.00,7.00,7.88,4.00,5.00,3.00,213,NULL,235,'BOM RETIRO','JOINVILLE','SC',6289,101,NULL,106,NULL,NULL,NULL,4,8),(28,7173067,8.00,8.00,4.00,8.00,5.00,10.13,4.00,6.00,7.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',943,530,NULL,NULL,NULL,NULL,NULL,4,1),(28,7173083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7173091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7173105,7.00,7.00,4.00,6.00,8.00,9.75,4.00,7.00,4.00,103,NULL,NULL,'MATRIZ','VIDEIRA','SC',1602,777,NULL,NULL,NULL,NULL,NULL,4,25),(28,7173113,4.00,6.00,2.00,6.00,5.00,7.88,4.00,6.00,2.00,235,NULL,655,'MEIA PRAIA','ITAPEMA','SC',13812,225,NULL,NULL,NULL,NULL,NULL,4,1),(28,7173130,1.00,6.00,4.00,7.00,9.00,9.00,5.00,5.00,1.00,304,NULL,NULL,'CENTRO','CORDEIRÓPOLIS','SP',4994,21,NULL,NULL,NULL,NULL,NULL,4,8),(28,7173148,2.00,0.00,2.00,3.00,7.00,NULL,0.00,0.00,0.00,426,NULL,428,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(28,7173156,2.00,4.00,3.00,5.00,6.00,8.25,4.00,3.00,4.00,208,NULL,NULL,'FLORESTA','MONDAÍ','SC',11148,118,NULL,NULL,NULL,NULL,NULL,2,1),(28,7173164,6.00,8.00,3.00,6.00,7.00,8.63,2.00,7.00,6.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',2264,953,NULL,NULL,NULL,NULL,NULL,4,26),(28,7173180,4.00,4.00,0.00,4.00,7.00,9.00,1.00,4.00,1.00,102,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',12543,117,NULL,NULL,NULL,NULL,NULL,2,9),(28,7173199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7173202,3.00,5.00,2.00,4.00,1.00,NULL,1.00,5.00,2.00,601,NULL,NULL,'NAÇÕES','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7173210,1.00,5.00,3.00,4.00,3.00,5.25,3.00,4.00,1.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7173237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7173245,3.00,6.00,2.00,7.00,7.00,6.38,5.00,6.00,6.00,216,NULL,233,'VILA OPERARIA','ITAJAÍ','SC',7921,NULL,NULL,202,NULL,NULL,NULL,4,6),(28,7173253,0.00,4.00,4.00,4.00,3.00,NULL,1.00,3.00,1.00,203,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7173261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA XV','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7173270,2.00,2.00,2.00,6.00,2.00,NULL,2.00,2.00,2.00,999,NULL,NULL,'PRAIA BRAVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7173288,3.00,7.00,3.00,5.00,8.00,10.13,3.00,6.00,3.00,103,NULL,NULL,'CENTRO','RIO FORTUNA','SC',9211,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7173296,3.00,3.00,2.00,3.00,5.00,7.50,1.00,2.00,1.00,104,NULL,NULL,'SÃO FRANCISCO','BRAÇO NORTE','SC',17648,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7173300,2.00,5.00,1.00,6.00,7.00,7.88,0.00,5.00,1.00,428,NULL,425,'GUIOMAR DE FORA','ANTÔNIO CARLOS','SC',17759,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7173318,2.00,4.00,2.00,5.00,5.00,6.00,0.00,3.00,3.00,220,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',18942,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7173326,1.00,1.00,1.00,5.00,4.00,4.50,3.00,4.00,2.00,233,NULL,213,'CENTRO','ERMO','SC',18780,349,NULL,278,NULL,NULL,NULL,2,15),(28,7173334,6.00,6.00,3.00,7.00,10.00,8.25,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','RIO FORTUNA','SC',2355,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7173342,1.00,5.00,2.00,7.00,7.00,8.25,4.00,6.00,3.00,103,NULL,NULL,'SÃO CRISTOVÃO','CHAPECÓ','SC',11624,2177,NULL,NULL,NULL,NULL,NULL,2,4),(28,7173350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,NULL,'COND SANTA MONICA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7173369,0.00,6.00,2.00,7.00,3.00,7.13,2.00,5.00,2.00,999,NULL,NULL,'CENTRO','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7173377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'CENTRO','CPO BELO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7173385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,214,'CARLOS BORELLA','ITATIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7173393,3.00,6.00,0.00,4.00,5.00,NULL,2.00,5.00,3.00,208,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7173407,6.00,8.00,4.00,8.00,10.00,11.25,6.00,7.00,8.00,201,NULL,601,'CENTRO','TURVO','SC',164,5,NULL,NULL,NULL,NULL,NULL,2,5),(28,7173423,1.00,7.00,3.00,3.00,5.00,8.25,2.00,4.00,5.00,104,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',9982,244,NULL,NULL,NULL,NULL,NULL,4,5),(28,7173431,5.00,7.00,0.00,6.00,9.00,6.75,4.00,4.00,5.00,104,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',4709,81,NULL,NULL,NULL,NULL,NULL,2,4),(28,7173440,2.00,6.00,2.00,5.00,5.00,6.00,0.00,5.00,3.00,216,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',17312,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7173458,3.00,5.00,0.00,4.00,5.00,6.75,4.00,5.00,3.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',16702,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7173466,2.00,5.00,2.00,6.00,2.00,NULL,3.00,5.00,2.00,999,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7173482,0.00,3.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,503,NULL,NULL,'SÃO BENTO BAIXO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7173490,5.00,8.00,2.00,6.00,6.00,9.75,2.00,7.00,4.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',3540,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7173504,6.00,5.00,1.00,5.00,6.00,6.75,6.00,3.00,3.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',9879,125,NULL,NULL,NULL,NULL,NULL,4,1),(28,7173512,5.00,8.00,3.00,7.00,10.00,10.13,4.00,5.00,7.00,216,NULL,215,'BATEL','CURITIBA','PR',1324,38,NULL,3,NULL,NULL,NULL,4,1),(28,7173520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,653,'SÃO CRISTÓVÃO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7173539,0.00,6.00,2.00,4.00,5.00,7.13,1.00,6.00,1.00,450,NULL,NULL,'CANJICA','TIRADENTES','MG',13491,103,NULL,NULL,NULL,NULL,NULL,4,2),(28,7173547,2.00,5.00,4.00,7.00,7.00,9.00,2.00,3.00,2.00,303,NULL,NULL,'AEROPORTO','TUBARÃO','SC',10251,415,NULL,NULL,NULL,NULL,NULL,4,1),(28,7173555,1.00,5.00,1.00,8.00,5.00,9.00,4.00,4.00,4.00,601,NULL,212,'ATIRADORES','JOINVILLE','SC',14564,434,NULL,371,NULL,NULL,NULL,4,8),(28,7173563,2.00,6.00,2.00,5.00,3.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,3),(28,7173580,5.00,7.00,2.00,7.00,8.00,11.25,2.00,6.00,4.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',3300,121,NULL,NULL,NULL,NULL,NULL,5,6),(28,7173598,7.00,7.00,3.00,6.00,7.00,10.88,5.00,8.00,7.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',1498,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7173652,5.00,8.00,3.00,7.00,6.00,10.88,3.00,7.00,2.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',4588,211,NULL,NULL,NULL,NULL,NULL,4,1),(28,7173660,7.00,7.00,6.00,6.00,9.00,12.75,6.00,6.00,8.00,201,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',241,8,NULL,NULL,NULL,NULL,NULL,4,10),(28,7173679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7173687,3.00,5.00,0.00,6.00,6.00,10.13,3.00,4.00,2.00,238,NULL,213,'VILA AMORIM','AMERICANA','SP',15853,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7173695,1.00,7.00,3.00,7.00,7.00,9.38,4.00,6.00,5.00,454,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',8321,152,NULL,NULL,NULL,NULL,NULL,2,1),(28,7173709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','ESTAÇÃO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,26),(28,7173717,0.00,5.00,1.00,5.00,8.00,7.13,2.00,2.00,3.00,502,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17832,46,NULL,NULL,NULL,NULL,NULL,2,1),(28,7173725,3.00,7.00,3.00,6.00,8.00,5.25,3.00,6.00,5.00,103,NULL,NULL,'JARDINS','ARACAJU','SE',4518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7173741,1.00,7.00,1.00,1.00,6.00,7.50,4.00,5.00,3.00,103,NULL,NULL,'CENTRO','LONTRAS','SC',12227,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7173750,5.00,7.00,2.00,7.00,9.00,7.50,4.00,4.00,3.00,450,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',9827,81,NULL,NULL,NULL,NULL,NULL,4,1),(28,7173768,4.00,6.00,2.00,7.00,8.00,9.00,4.00,6.00,4.00,304,NULL,NULL,'CENTRO','AGROLÂNDIA','SC',5871,29,NULL,NULL,NULL,NULL,NULL,2,24),(28,7173776,0.00,6.00,3.00,2.00,4.00,6.75,1.00,2.00,4.00,552,NULL,NULL,'SÃO CARLOS','MTE CARLO','SC',19240,145,NULL,NULL,NULL,NULL,NULL,2,16),(28,7173784,4.00,6.00,0.00,3.00,5.00,5.63,3.00,5.00,2.00,203,NULL,233,'CENTRO','GAROPABA','SC',18122,689,NULL,345,NULL,NULL,NULL,4,10),(28,7173792,6.00,7.00,7.00,7.00,10.00,8.25,6.00,7.00,7.00,103,NULL,NULL,'SANTA BÁRBARA','CRICIÚMA','SC',431,304,NULL,NULL,NULL,NULL,NULL,2,5),(28,7173806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7173814,2.00,6.00,2.00,2.00,4.00,8.63,3.00,5.00,2.00,103,NULL,NULL,'DAS NAÇÕES','CONCÓRDIA','SC',17265,2445,NULL,NULL,NULL,NULL,NULL,2,26),(28,7173822,3.00,7.00,4.00,6.00,8.00,7.50,5.00,8.00,5.00,203,NULL,220,'CENTRO','ARARANGUÁ','SC',3735,NULL,NULL,111,NULL,NULL,NULL,2,15),(28,7173830,4.00,8.00,0.00,4.00,9.00,8.25,3.00,5.00,5.00,103,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',5246,1532,NULL,NULL,NULL,NULL,NULL,4,1),(28,7173849,5.00,7.00,3.00,7.00,8.00,10.13,3.00,6.00,5.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',7328,2,NULL,NULL,NULL,NULL,NULL,4,16),(28,7173881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ÁGUA VERDE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7173890,3.00,5.00,0.00,4.00,6.00,7.88,2.00,5.00,2.00,110,NULL,NULL,'FLORESTA','S JOSÉ','SC',14035,54,NULL,NULL,NULL,NULL,NULL,2,1),(28,7173911,3.00,6.00,2.00,6.00,6.00,7.88,3.00,5.00,4.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',7188,337,NULL,533,NULL,NULL,NULL,4,1),(28,7173938,5.00,7.00,4.00,6.00,8.00,7.88,4.00,4.00,6.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',3205,118,NULL,NULL,NULL,NULL,NULL,4,1),(28,7173954,1.00,7.00,3.00,6.00,4.00,5.25,1.00,5.00,2.00,202,NULL,235,'CENTRO','LAGUNA','SC',13064,316,NULL,210,NULL,NULL,NULL,2,10),(28,7173962,4.00,7.00,3.00,5.00,8.00,9.38,2.00,5.00,5.00,103,NULL,NULL,'STO ANTÔNIO DE PÁDUA','TUBARÃO','SC',9726,2054,NULL,NULL,NULL,NULL,NULL,4,10),(28,7173970,3.00,6.00,3.00,4.00,8.00,8.63,5.00,4.00,4.00,104,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',7015,158,NULL,NULL,NULL,NULL,NULL,4,8),(28,7173989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA BARBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7173997,2.00,7.00,2.00,5.00,5.00,7.13,1.00,4.00,4.00,333,NULL,NULL,'BORBA GATO','MARINGÁ','PR',13703,82,NULL,NULL,NULL,NULL,NULL,4,1),(28,7174004,2.00,4.00,2.00,5.00,2.00,NULL,1.00,4.00,2.00,328,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7174012,6.00,7.00,2.00,6.00,6.00,8.63,2.00,6.00,7.00,103,NULL,NULL,'JARDIM LIRIO','TATUÍ','SP',2707,1064,NULL,NULL,NULL,NULL,NULL,4,1),(28,7174039,2.00,2.00,1.00,5.00,5.00,8.63,3.00,4.00,1.00,238,NULL,NULL,'COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC',13478,224,NULL,NULL,NULL,NULL,NULL,2,1),(28,7174055,4.00,7.00,4.00,7.00,7.00,7.13,5.00,6.00,6.00,9,NULL,NULL,'CAMPINAS','S JOSÉ','SC',4209,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7174063,2.00,6.00,1.00,5.00,6.00,3.00,1.00,5.00,1.00,211,NULL,235,'CENTRO SUL','DOIS VIZINHOS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7174071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,233,'VISTA ALEGRE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7174080,3.00,7.00,3.00,7.00,9.00,8.63,3.00,7.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5982,151,NULL,NULL,NULL,NULL,NULL,4,1),(28,7174098,0.00,0.00,3.00,3.00,3.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'CENTRO','GUAMIRANGA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7174101,0.00,6.00,2.00,3.00,5.00,NULL,1.00,6.00,1.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7174110,2.00,8.00,2.00,8.00,8.00,10.13,4.00,6.00,3.00,319,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5846,91,NULL,NULL,NULL,NULL,NULL,4,6),(28,7174136,0.00,2.00,2.00,5.00,6.00,9.75,1.00,2.00,2.00,9,NULL,NULL,'IPIRANGA','S JOSÉ','SC',19253,167,NULL,NULL,NULL,NULL,NULL,2,1),(28,7174144,4.00,5.00,0.00,5.00,7.00,7.88,4.00,4.00,2.00,207,NULL,201,'JD ESPERANÇA','CANOINHAS','SC',10399,476,NULL,694,NULL,NULL,NULL,2,17),(28,7174160,0.00,4.00,0.00,4.00,4.00,NULL,0.00,5.00,2.00,999,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7174179,5.00,6.00,2.00,7.00,6.00,10.88,3.00,6.00,5.00,103,NULL,NULL,'CHACARA CACHOEIRA','CPO GRANDE','MS',3092,1157,NULL,NULL,NULL,NULL,NULL,4,1),(28,7174187,2.00,2.00,1.00,6.00,4.00,5.25,1.00,1.00,1.00,103,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',19948,2527,NULL,NULL,NULL,NULL,NULL,4,1),(28,7174195,3.00,7.00,2.00,7.00,7.00,10.13,2.00,5.00,2.00,103,NULL,NULL,'BELA VISTA','GOIÂNIA','GO',7297,1801,NULL,NULL,NULL,NULL,NULL,4,1),(28,7174209,1.00,5.00,2.00,3.00,4.00,5.25,0.00,3.00,2.00,501,NULL,NULL,'JARDIM ELITE','PIRACICABA','SP',18320,116,NULL,NULL,NULL,NULL,NULL,2,1),(28,7174225,2.00,5.00,3.00,5.00,5.00,8.25,3.00,4.00,4.00,203,NULL,214,'FLORESTA','JOINVILLE','SC',9629,525,NULL,249,NULL,NULL,NULL,4,8),(28,7174233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7174241,5.00,6.00,2.00,7.00,8.00,9.00,4.00,6.00,3.00,201,NULL,207,'CENTRO','XANXERÊ','SC',4601,358,NULL,195,NULL,NULL,NULL,4,4),(28,7174250,1.00,5.00,1.00,2.00,5.00,5.63,4.00,3.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19243,2510,NULL,NULL,NULL,NULL,NULL,4,1),(28,7174276,4.00,5.00,1.00,6.00,6.00,8.63,4.00,5.00,5.00,213,NULL,238,'ITACORUBI','FLORIANÓPOLIS','SC',7888,136,NULL,104,NULL,NULL,NULL,2,1),(28,7174284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7174292,7.00,7.00,4.00,7.00,9.00,10.50,7.00,6.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',527,352,NULL,NULL,NULL,NULL,NULL,4,1),(28,7174306,3.00,4.00,2.00,7.00,7.00,6.75,3.00,5.00,4.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',13658,2284,NULL,NULL,NULL,NULL,NULL,4,5),(28,7174314,0.00,1.00,3.00,2.00,2.00,NULL,1.00,2.00,1.00,319,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7174322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,212,'SÃO CRISTOVÃO','NOVA PRATA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7174349,4.00,7.00,2.00,7.00,9.00,11.25,7.00,7.00,6.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',965,535,NULL,NULL,NULL,NULL,NULL,4,1),(28,7174365,5.00,7.00,1.00,7.00,10.00,9.00,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','JACINTO MACHADO','SC',2922,1117,NULL,NULL,NULL,NULL,NULL,4,4),(28,7174373,0.00,5.00,3.00,1.00,3.00,7.13,1.00,2.00,0.00,653,NULL,203,'CIDADE ALTA','ARARANGUÁ','SC',17205,185,NULL,679,NULL,NULL,NULL,4,15),(28,7174381,1.00,4.00,1.00,2.00,3.00,6.38,1.00,2.00,2.00,319,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7174390,3.00,6.00,3.00,7.00,10.00,9.38,3.00,6.00,3.00,214,NULL,215,'CENTRO','BIGUAÇU','SC',3893,138,NULL,53,NULL,NULL,NULL,2,1),(28,7174403,2.00,6.00,4.00,4.00,4.00,8.25,4.00,4.00,1.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12235,169,NULL,NULL,NULL,NULL,NULL,2,1),(28,7174411,1.00,4.00,4.00,4.00,3.00,5.25,2.00,1.00,2.00,331,NULL,NULL,'FAZENDA RIO TAVARES','FLORIANÓPOLIS','SC',19863,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7174420,5.00,7.00,3.00,5.00,9.00,9.00,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',1732,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7174438,1.00,3.00,4.00,2.00,5.00,8.63,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','MODELO','SC',17082,2437,NULL,NULL,NULL,NULL,NULL,4,4),(28,7174446,2.00,8.00,2.00,5.00,6.00,7.88,4.00,7.00,6.00,655,NULL,238,'OPERARIA NOVA','CRICIÚMA','SC',4666,10,NULL,NULL,NULL,NULL,NULL,4,5),(28,7174454,3.00,4.00,2.00,6.00,7.00,9.38,3.00,5.00,5.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',10875,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7174462,2.00,4.00,1.00,6.00,5.00,5.63,4.00,4.00,4.00,3,NULL,NULL,'CAPÃO','GAROPABA','SC',17514,85,NULL,NULL,NULL,NULL,NULL,2,1),(28,7174489,3.00,5.00,3.00,5.00,5.00,10.13,3.00,4.00,4.00,103,NULL,NULL,'SAO FRANCISCO','LAGES','SC',12998,2261,NULL,NULL,NULL,NULL,NULL,2,9),(28,7174497,0.00,6.00,2.00,3.00,6.00,NULL,3.00,3.00,2.00,552,NULL,NULL,'SALETE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7174500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'ZONA RURAL','BOM J OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7174535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','AT BELA VISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,26),(28,7174543,1.00,4.00,4.00,5.00,5.00,8.25,2.00,2.00,1.00,9,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',19102,165,NULL,NULL,NULL,NULL,NULL,2,7),(28,7174551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'XV DE NOVEMBRO','FRUTAL','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7174560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7174578,3.00,5.00,4.00,4.00,4.00,6.38,2.00,5.00,2.00,101,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',13745,81,NULL,NULL,NULL,NULL,NULL,2,25),(28,7174586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'SANTA MONICA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7174594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BENASSI','MATÃO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7174608,4.00,8.00,2.00,6.00,8.00,7.88,4.00,6.00,4.00,110,NULL,NULL,'CENTRO','BIGUAÇU','SC',7519,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7174616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'INTERIOR','S JORGE D OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7174624,4.00,8.00,2.00,5.00,9.00,8.25,4.00,5.00,3.00,203,NULL,220,'CENTRO','QUILOMBO','SC',5930,392,NULL,171,NULL,NULL,NULL,4,4),(28,7174640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7174659,4.00,6.00,3.00,8.00,8.00,7.88,1.00,4.00,3.00,103,NULL,NULL,'AREIÃO','CANELINHA','SC',6110,1645,NULL,NULL,NULL,NULL,NULL,2,1),(28,7174675,4.00,7.00,2.00,7.00,8.00,11.63,3.00,6.00,3.00,103,NULL,NULL,'NOVA RÚSSIA','PNT GROSSA','PR',2921,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7174683,0.00,2.00,0.00,3.00,2.00,NULL,2.00,4.00,1.00,317,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7174691,5.00,7.00,4.00,7.00,10.00,10.13,5.00,6.00,8.00,202,NULL,235,'CARIANOS','FLORIANÓPOLIS','SC',1091,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7174705,2.00,7.00,4.00,7.00,7.00,10.13,4.00,6.00,2.00,340,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9486,265,NULL,NULL,NULL,NULL,NULL,5,1),(28,7174713,3.00,5.00,1.00,5.00,6.00,8.63,1.00,3.00,3.00,213,NULL,653,'BOA VISTA','JOINVILLE','SC',16400,254,NULL,176,NULL,NULL,NULL,4,8),(28,7174721,0.00,3.00,0.00,1.00,2.00,NULL,1.00,0.00,0.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7174730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7174748,1.00,6.00,3.00,3.00,7.00,6.75,2.00,3.00,3.00,999,NULL,NULL,'SAIC','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7174756,1.00,4.00,5.00,4.00,4.00,8.25,4.00,4.00,1.00,201,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17624,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7174764,6.00,7.00,1.00,5.00,6.00,11.25,4.00,6.00,5.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5047,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7174799,3.00,6.00,2.00,7.00,5.00,8.63,3.00,3.00,4.00,208,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8644,90,NULL,NULL,NULL,NULL,NULL,4,1),(28,7174802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ACLIMAMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7174845,4.00,7.00,2.00,5.00,5.00,9.00,3.00,5.00,2.00,110,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14848,64,NULL,NULL,NULL,NULL,NULL,2,1),(28,7174853,4.00,5.00,2.00,5.00,6.00,7.88,1.00,5.00,5.00,103,NULL,NULL,'VILA MARIA','S PAULO','SP',6965,1754,NULL,NULL,NULL,NULL,NULL,4,1),(28,7174870,0.00,4.00,1.00,5.00,5.00,8.25,0.00,4.00,2.00,309,NULL,NULL,'ITACURUBI','FLORIANÓPOLIS','SC',19394,67,NULL,NULL,NULL,NULL,NULL,2,1),(28,7174888,2.00,5.00,4.00,6.00,3.00,7.13,1.00,5.00,3.00,101,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7174900,2.00,5.00,1.00,6.00,4.00,7.50,1.00,1.00,2.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16680,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7174918,0.00,5.00,3.00,3.00,6.00,5.25,2.00,4.00,3.00,303,NULL,NULL,'PRESIDENTE MEDICE','CHAPECÓ','SC',18642,593,NULL,NULL,NULL,NULL,NULL,4,4),(28,7174934,2.00,5.00,0.00,6.00,2.00,NULL,2.00,4.00,3.00,426,NULL,429,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7174942,0.00,4.00,1.00,6.00,6.00,11.63,0.00,3.00,0.00,415,NULL,NULL,'POÇO RICO','OTACÍLIO COSTA','SC',14435,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7174985,9.00,8.00,4.00,7.00,6.00,7.13,6.00,8.00,6.00,216,NULL,NULL,'MARAPÉ','SANTOS','SP',1073,29,NULL,NULL,NULL,NULL,NULL,4,6),(28,7175000,5.00,7.00,1.00,5.00,5.00,7.88,4.00,6.00,4.00,213,NULL,211,'CENTRO','RIO SUL','SC',6739,116,NULL,187,NULL,NULL,NULL,4,24),(28,7175019,1.00,3.00,1.00,4.00,3.00,5.63,1.00,2.00,2.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19031,125,NULL,NULL,NULL,NULL,NULL,2,1),(28,7175035,4.00,7.00,3.00,7.00,10.00,12.00,4.00,8.00,4.00,551,NULL,NULL,'SANTO ANTONIO','CURITIBANOS','SC',2330,1,NULL,NULL,NULL,NULL,NULL,4,16),(28,7175060,4.00,5.00,2.00,6.00,5.00,6.38,5.00,6.00,2.00,104,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',10998,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7175078,4.00,8.00,5.00,5.00,8.00,7.88,6.00,7.00,6.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',3175,238,NULL,94,NULL,NULL,NULL,4,1),(28,7175086,5.00,6.00,2.00,6.00,6.00,10.13,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',5056,1500,NULL,NULL,NULL,NULL,NULL,4,1),(28,7175094,1.00,7.00,2.00,4.00,5.00,7.13,0.00,5.00,2.00,318,NULL,NULL,'CENTRO','LAGES','SC',17705,129,NULL,NULL,NULL,NULL,NULL,4,9),(28,7175116,2.00,4.00,2.00,5.00,4.00,5.25,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',18022,2473,NULL,NULL,NULL,NULL,NULL,4,3),(28,7175132,1.00,2.00,2.00,5.00,4.00,NULL,1.00,4.00,4.00,222,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7175140,5.00,8.00,2.00,6.00,5.00,10.13,3.00,5.00,5.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',6636,309,NULL,510,NULL,NULL,NULL,4,1),(28,7175159,0.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7175167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7175191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'SÃO JOÃO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7175205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BAIRRO JAÓ','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7175213,2.00,5.00,3.00,2.00,4.00,6.00,2.00,3.00,1.00,108,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',19466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7175230,1.00,7.00,0.00,3.00,2.00,NULL,0.00,3.00,2.00,207,NULL,201,'PRIMEIRO DE MAIO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7175248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7175256,5.00,7.00,1.00,6.00,7.00,8.63,3.00,6.00,4.00,450,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',9288,70,NULL,NULL,NULL,NULL,NULL,4,8),(28,7175264,4.00,8.00,5.00,6.00,11.00,10.13,7.00,8.00,6.00,103,NULL,NULL,'DEHON','TUBARÃO','SC',395,284,NULL,NULL,NULL,NULL,NULL,2,10),(28,7175272,1.00,8.00,4.00,6.00,5.00,7.88,2.00,7.00,3.00,340,NULL,NULL,'CENTRO','CLEVELÂNDIA','PR',8690,237,NULL,NULL,NULL,NULL,NULL,1,3),(28,7175299,1.00,5.00,0.00,2.00,2.00,NULL,2.00,1.00,0.00,552,NULL,NULL,'CENTRO','FR ROGÉRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7175302,4.00,5.00,3.00,4.00,6.00,9.00,1.00,5.00,3.00,201,NULL,212,'MEIA PRAIA','ITAPEMA','SC',10921,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7175310,0.00,3.00,1.00,6.00,4.00,4.88,3.00,1.00,3.00,303,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7175329,1.00,2.00,2.00,4.00,4.00,7.13,1.00,4.00,3.00,552,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',19519,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7175345,4.00,7.00,1.00,5.00,4.00,7.88,5.00,5.00,3.00,216,NULL,214,'COLINA','GUAÍBA','RS',6913,238,NULL,207,NULL,NULL,NULL,4,1),(28,7175353,7.00,8.00,2.00,7.00,6.00,9.38,6.00,7.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1381,703,NULL,NULL,NULL,NULL,NULL,4,1),(28,7175361,7.00,9.00,4.00,6.00,10.00,11.25,3.00,7.00,7.00,103,NULL,NULL,'VILA MARIN','VOTUPORANGA','SP',460,322,NULL,NULL,NULL,NULL,NULL,4,3),(28,7175370,0.00,4.00,1.00,5.00,6.00,9.00,2.00,3.00,3.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13458,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7175388,2.00,4.00,2.00,6.00,5.00,8.63,5.00,3.00,4.00,214,NULL,213,'MORADA DO OURO','CUIABÁ','MT',9476,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7175396,4.00,6.00,2.00,6.00,8.00,9.00,4.00,5.00,2.00,104,NULL,NULL,'BOSQUE DAS MANÇÕES','S JOSÉ','SC',5779,114,NULL,NULL,NULL,NULL,NULL,4,1),(28,7175400,2.00,5.00,2.00,4.00,3.00,8.25,3.00,6.00,2.00,238,NULL,202,'FORQUILINHAS','S JOSÉ','SC',12925,211,NULL,313,NULL,NULL,NULL,2,1),(28,7175426,0.00,5.00,2.00,5.00,5.00,8.63,0.00,4.00,5.00,216,NULL,653,'SAO JOAO','CORREIA PINTO','SC',12565,358,NULL,135,NULL,NULL,NULL,4,4),(28,7175434,2.00,5.00,2.00,3.00,4.00,7.50,1.00,3.00,3.00,110,NULL,NULL,'HARMONIA','CANOAS','RS',14809,63,NULL,NULL,NULL,NULL,NULL,2,1),(28,7175442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM CALIFÓRNIA','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7175450,5.00,9.00,4.00,6.00,8.00,9.75,6.00,7.00,6.00,201,NULL,207,'JARDIM CANADA','RIBEIRÃO PRETO','SP',685,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7175469,2.00,3.00,2.00,1.00,5.00,9.75,1.00,3.00,2.00,303,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',19082,598,NULL,NULL,NULL,NULL,NULL,4,1),(28,7175477,1.00,3.00,3.00,6.00,1.00,NULL,2.00,4.00,1.00,207,NULL,NULL,'VIVENDAS','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7175485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM AMÉRICA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7175493,6.00,7.00,4.00,5.00,6.00,9.38,4.00,6.00,4.00,103,NULL,NULL,'VILA RICA','CARAZINHO','RS',3241,1190,NULL,NULL,NULL,NULL,NULL,2,9),(28,7175507,2.00,4.00,1.00,3.00,3.00,7.50,3.00,3.00,1.00,203,NULL,220,'CENTRO','FRANCISCO BELTRÃO','PR',19462,708,NULL,345,NULL,NULL,NULL,4,4),(28,7175515,3.00,5.00,2.00,6.00,4.00,5.63,3.00,3.00,3.00,203,NULL,202,'TAINHA','CARAMBEÍ','PR',14254,627,NULL,329,NULL,NULL,NULL,4,1),(28,7175531,4.00,4.00,1.00,4.00,3.00,8.25,2.00,5.00,2.00,502,NULL,NULL,'DOM FELICIANO','GRAVATAÍ','RS',15118,32,NULL,NULL,NULL,NULL,NULL,2,3),(28,7175540,0.00,4.00,3.00,4.00,3.00,9.38,2.00,4.00,3.00,207,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',19057,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7175558,0.00,6.00,1.00,5.00,2.00,NULL,2.00,3.00,2.00,316,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7175566,4.00,7.00,3.00,5.00,5.00,6.38,3.00,6.00,3.00,318,NULL,NULL,'JARDIM VERA CRUZ','S BERNARDO CAMPO','SP',9457,58,NULL,NULL,NULL,NULL,NULL,4,1),(28,7175574,3.00,5.00,2.00,7.00,6.00,4.50,3.00,5.00,2.00,207,NULL,NULL,'CENTRO','CURITIBA','PR',12319,557,NULL,NULL,NULL,NULL,NULL,4,1),(28,7175582,5.00,5.00,4.00,3.00,6.00,7.13,3.00,5.00,5.00,201,NULL,203,'SÃO DEOCLECIANO','S JOSÉ R PRETO','SP',6724,516,NULL,417,NULL,NULL,NULL,4,1),(28,7175590,5.00,6.00,3.00,6.00,7.00,11.25,3.00,5.00,6.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3764,1279,NULL,NULL,NULL,NULL,NULL,4,1),(28,7175604,2.00,7.00,1.00,7.00,8.00,7.88,2.00,4.00,4.00,201,NULL,220,'KOBRASOL','S JOSÉ','SC',6619,509,NULL,181,NULL,NULL,NULL,4,1),(28,7175612,4.00,7.00,2.00,7.00,6.00,6.38,5.00,6.00,3.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11321,72,NULL,NULL,NULL,NULL,NULL,2,1),(28,7175620,0.00,2.00,0.00,3.00,4.00,NULL,0.00,4.00,1.00,425,NULL,423,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7175639,2.00,4.00,1.00,6.00,8.00,8.25,1.00,3.00,4.00,103,NULL,NULL,'CORAL','LAGES','SC',11140,2147,NULL,NULL,NULL,NULL,NULL,4,4),(28,7175647,1.00,6.00,2.00,5.00,6.00,6.00,2.00,6.00,3.00,303,NULL,NULL,'BELA VISTA','S JOSÉ','SC',16695,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7175655,4.00,6.00,2.00,7.00,8.00,10.50,6.00,4.00,3.00,319,NULL,NULL,'PERDIZES','S PAULO','SP',5167,77,NULL,NULL,NULL,NULL,NULL,4,1),(28,7175663,5.00,8.00,2.00,7.00,8.00,9.00,7.00,6.00,4.00,340,NULL,NULL,'BELA VISTA','ERECHIM','RS',2050,40,NULL,NULL,NULL,NULL,NULL,4,26),(28,7175671,0.00,4.00,2.00,3.00,3.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'RESSACADA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7175680,1.00,3.00,2.00,5.00,1.00,NULL,3.00,4.00,2.00,333,NULL,NULL,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7175710,0.00,5.00,1.00,6.00,5.00,7.88,2.00,2.00,1.00,450,NULL,NULL,'SANTA RITA','OLÍMPIA','SP',16816,121,NULL,NULL,NULL,NULL,NULL,4,1),(28,7175728,1.00,2.00,1.00,3.00,4.00,5.25,4.00,2.00,3.00,319,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',19217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7175744,5.00,5.00,3.00,6.00,5.00,8.25,1.00,3.00,4.00,207,NULL,NULL,'HIGIENÓPOLIS','STA CRUZ SUL','RS',9005,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7175752,1.00,2.00,1.00,0.00,3.00,5.63,1.00,4.00,2.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',20158,74,NULL,NULL,NULL,NULL,NULL,4,16),(28,7175760,2.00,2.00,1.00,2.00,3.00,4.88,4.00,3.00,1.00,208,NULL,NULL,'CENTRO','PINHALZINHO','SC',20096,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7175779,1.00,7.00,3.00,2.00,5.00,7.50,2.00,5.00,2.00,9,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12846,87,NULL,NULL,NULL,NULL,NULL,2,1),(28,7175795,1.00,4.00,0.00,2.00,3.00,6.00,0.00,2.00,2.00,202,NULL,201,'JARDIM DAS FLORES','TREZE TÍLIAS','SC',20147,405,NULL,1061,NULL,NULL,NULL,1,7),(28,7175809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'JD SIRIEMA','ATIBAIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7175817,1.00,1.00,2.00,2.00,6.00,4.88,1.00,3.00,1.00,201,NULL,233,'FAZENDA','ITAJAÍ','SC',19246,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7175825,0.00,5.00,1.00,5.00,3.00,NULL,3.00,3.00,4.00,655,NULL,652,'VILA INDUSTRIAL','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7175833,0.00,6.00,2.00,2.00,7.00,6.00,4.00,2.00,3.00,103,NULL,NULL,'CENTRO','IBIRAMA','SC',14013,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7175841,0.00,4.00,2.00,1.00,4.00,NULL,3.00,3.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7175868,1.00,3.00,2.00,4.00,5.00,NULL,0.00,4.00,0.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7175876,2.00,5.00,1.00,2.00,3.00,5.25,3.00,2.00,2.00,440,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7175892,4.00,7.00,3.00,6.00,9.00,9.75,3.00,6.00,6.00,211,NULL,601,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',1987,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7175906,2.00,7.00,2.00,7.00,7.00,8.63,3.00,5.00,4.00,999,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7175914,2.00,4.00,2.00,5.00,3.00,9.00,2.00,4.00,3.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7175922,1.00,3.00,3.00,5.00,5.00,7.88,3.00,3.00,4.00,207,NULL,215,'VILA NOVA','IMBITUBA','SC',18164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7175930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7175949,0.00,4.00,1.00,3.00,4.00,9.00,1.00,5.00,3.00,5,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',19112,482,NULL,NULL,NULL,NULL,NULL,2,5),(28,7175973,0.00,3.00,2.00,5.00,5.00,7.88,0.00,3.00,2.00,340,NULL,NULL,'BUCAREIN','JOINVILLE','SC',17764,416,NULL,NULL,NULL,NULL,NULL,4,8),(28,7175990,3.00,7.00,4.00,8.00,6.00,6.00,3.00,5.00,5.00,208,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11194,120,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176007,0.00,2.00,1.00,3.00,1.00,NULL,2.00,1.00,1.00,102,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7176015,0.00,4.00,1.00,3.00,4.00,6.75,3.00,2.00,2.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19801,141,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'COOPHAMIL','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7176031,2.00,2.00,2.00,2.00,3.00,7.50,1.00,3.00,1.00,207,NULL,201,'BOM VIVER','BIGUAÇU','SC',20033,817,NULL,1057,NULL,NULL,NULL,4,1),(28,7176040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7176058,0.00,2.00,1.00,2.00,3.00,4.88,2.00,4.00,3.00,104,NULL,NULL,'ARI BORTOLI','S DOMINGOS','SC',18933,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7176066,0.00,2.00,1.00,5.00,4.00,NULL,0.00,2.00,3.00,201,NULL,211,'CENTRO','TANGARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7176074,1.00,0.00,1.00,7.00,11.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(28,7176082,3.00,5.00,2.00,6.00,5.00,7.50,0.00,4.00,3.00,104,NULL,NULL,'CIDADE ALTA','TURVO','SC',13049,321,NULL,NULL,NULL,NULL,NULL,2,15),(28,7176090,5.00,8.00,1.00,6.00,10.00,8.25,5.00,7.00,5.00,5,NULL,NULL,'PRAIA BRAVA','FLORIANÓPOLIS','SC',2061,63,NULL,NULL,NULL,NULL,NULL,2,1),(28,7176112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7176139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'VILA ANGLO BRASILEIR','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7176147,3.00,6.00,1.00,5.00,5.00,5.63,2.00,4.00,3.00,234,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',12663,25,NULL,NULL,NULL,NULL,NULL,5,1),(28,7176163,2.00,6.00,2.00,7.00,7.00,11.63,3.00,5.00,2.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',12153,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176171,0.00,5.00,2.00,4.00,5.00,NULL,1.00,3.00,0.00,502,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7176180,1.00,3.00,3.00,3.00,8.00,NULL,0.00,5.00,1.00,103,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176198,3.00,6.00,3.00,5.00,6.00,6.00,3.00,5.00,3.00,110,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',9422,25,NULL,NULL,NULL,NULL,NULL,2,23),(28,7176201,1.00,3.00,2.00,2.00,5.00,7.88,3.00,4.00,1.00,503,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7176210,0.00,4.00,2.00,4.00,3.00,4.88,2.00,3.00,5.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',16806,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176236,4.00,6.00,2.00,6.00,5.00,8.25,4.00,5.00,3.00,104,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',7968,188,NULL,NULL,NULL,NULL,NULL,2,1),(28,7176260,3.00,4.00,1.00,2.00,6.00,7.13,2.00,4.00,2.00,108,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',18836,248,NULL,NULL,NULL,NULL,NULL,2,1),(28,7176279,3.00,8.00,3.00,5.00,8.00,10.13,5.00,7.00,5.00,103,NULL,NULL,'CENTRO','BIGUAÇU','SC',2980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176287,2.00,6.00,2.00,5.00,4.00,9.75,3.00,3.00,3.00,103,NULL,NULL,'JARDIM SANTA ROSA','FOZ IGUAÇU','PR',10926,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7176295,3.00,5.00,3.00,4.00,5.00,7.50,4.00,3.00,1.00,101,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7176309,3.00,7.00,5.00,6.00,6.00,11.63,5.00,7.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3668,89,NULL,NULL,NULL,NULL,NULL,2,1),(28,7176317,7.00,8.00,7.00,6.00,9.00,9.75,8.00,7.00,7.00,103,NULL,NULL,'SANTA BÁRBARA','CRICIÚMA','SC',214,166,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176325,2.00,6.00,2.00,6.00,8.00,10.13,3.00,6.00,3.00,103,NULL,NULL,'MORRETES','ITAPEMA','SC',6251,1666,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA INAH','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7176341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7176350,2.00,5.00,2.00,5.00,5.00,5.25,2.00,4.00,1.00,103,NULL,NULL,'JARDIM DAS NAÇÕES','TAUBATÉ','SP',12772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7176368,3.00,6.00,2.00,6.00,8.00,10.13,2.00,4.00,2.00,426,NULL,428,'JARDIM AQUÁRIUS','PALHOÇA','SC',14204,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7176384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INTERIOR','ERVAL SECO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7176392,1.00,5.00,4.00,7.00,8.00,6.75,3.00,3.00,1.00,425,NULL,421,'RIO NEGRO','S BENTO SUL','SC',11342,36,NULL,6,NULL,NULL,NULL,4,23),(28,7176414,6.00,7.00,2.00,3.00,4.00,7.50,3.00,5.00,6.00,235,NULL,202,'CENTRO','S BENTO SUL','SC',11950,194,NULL,300,NULL,NULL,NULL,4,23),(28,7176422,6.00,8.00,6.00,7.00,9.00,10.13,6.00,7.00,7.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',226,174,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7176449,4.00,8.00,0.00,6.00,6.00,NULL,3.00,8.00,2.00,238,NULL,211,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176457,1.00,4.00,2.00,6.00,4.00,7.88,2.00,2.00,3.00,104,NULL,NULL,'NENHUM','AT BELA VISTA','SC',15145,370,NULL,NULL,NULL,NULL,NULL,2,26),(28,7176481,1.00,4.00,2.00,5.00,4.00,9.38,2.00,6.00,2.00,207,NULL,201,'CENTRO','SANGÃO','SC',13427,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7176490,2.00,7.00,2.00,7.00,7.00,10.50,5.00,4.00,3.00,601,NULL,201,'IRIRIU','JOINVILLE','SC',9499,252,NULL,NULL,NULL,NULL,NULL,4,8),(28,7176503,2.00,4.00,1.00,5.00,4.00,7.13,1.00,5.00,3.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18494,69,NULL,NULL,NULL,NULL,NULL,2,1),(28,7176511,3.00,7.00,1.00,6.00,7.00,9.75,3.00,5.00,4.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7176538,4.00,5.00,0.00,4.00,4.00,4.88,2.00,4.00,2.00,999,NULL,NULL,'JARDIM EUROPA','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7176546,1.00,7.00,1.00,4.00,6.00,6.75,3.00,5.00,1.00,202,NULL,601,'ITAUM','JOINVILLE','SC',17560,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7176554,0.00,4.00,3.00,3.00,6.00,NULL,4.00,3.00,3.00,415,NULL,NULL,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7176562,3.00,6.00,4.00,5.00,6.00,9.75,2.00,5.00,3.00,454,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',7428,123,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176570,3.00,7.00,2.00,5.00,8.00,9.38,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',5949,1622,NULL,NULL,NULL,NULL,NULL,2,5),(28,7176589,1.00,6.00,0.00,4.00,6.00,9.38,2.00,6.00,2.00,320,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17664,52,NULL,NULL,NULL,NULL,NULL,2,1),(28,7176597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'LURDES','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7176600,2.00,6.00,3.00,6.00,8.00,6.75,4.00,4.00,2.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9045,158,NULL,NULL,NULL,NULL,NULL,2,1),(28,7176619,4.00,5.00,3.00,5.00,7.00,6.75,4.00,4.00,3.00,207,NULL,211,'PAGANI','PALHOÇA','SC',9809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7176627,1.00,5.00,0.00,6.00,5.00,8.63,3.00,2.00,5.00,502,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',13497,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176635,6.00,8.00,4.00,5.00,10.00,7.50,7.00,8.00,7.00,203,NULL,233,'ITACORUBI','FLORIANÓPOLIS','SC',838,83,NULL,5,NULL,NULL,NULL,4,1),(28,7176660,3.00,8.00,5.00,7.00,10.00,9.38,4.00,4.00,5.00,103,NULL,NULL,'JARDIM ELDORADO','JABOTICABAL','SP',1756,820,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176686,4.00,7.00,3.00,6.00,8.00,9.38,6.00,4.00,5.00,201,NULL,207,'ESTREITO','FLORIANÓPOLIS','SC',5097,392,NULL,223,NULL,NULL,NULL,4,1),(28,7176708,6.00,7.00,3.00,7.00,8.00,10.88,3.00,8.00,4.00,9,NULL,NULL,'AHU DE CIMA','CURITIBA','PR',5840,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176716,5.00,9.00,5.00,7.00,9.00,12.38,3.00,8.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',313,234,NULL,NULL,NULL,NULL,NULL,4,4),(28,7176724,1.00,3.00,1.00,7.00,3.00,8.25,3.00,2.00,1.00,238,NULL,655,'CENTRO','FLORIANÓPOLIS','SC',19174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176732,0.00,2.00,0.00,0.00,0.00,NULL,0.00,3.00,2.00,333,NULL,NULL,'OURO VERDE','PINDAMONHANGABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7176740,2.00,7.00,1.00,6.00,8.00,8.63,5.00,7.00,3.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',5888,117,NULL,NULL,NULL,NULL,NULL,4,5),(28,7176759,1.00,6.00,3.00,4.00,5.00,8.63,2.00,2.00,3.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',14802,201,NULL,NULL,NULL,NULL,NULL,2,1),(28,7176767,3.00,3.00,1.00,3.00,5.00,6.75,1.00,4.00,0.00,303,NULL,NULL,'INTERIOR','FRAIBURGO','SC',19448,602,NULL,NULL,NULL,NULL,NULL,2,16),(28,7176775,2.00,3.00,3.00,4.00,4.00,4.88,1.00,2.00,2.00,317,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',19681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176791,5.00,8.00,1.00,5.00,6.00,12.75,1.00,5.00,4.00,103,NULL,NULL,'BARRANCA','ARARANGUÁ','SC',8635,1968,NULL,NULL,NULL,NULL,NULL,4,15),(28,7176805,2.00,3.00,2.00,4.00,5.00,7.88,2.00,4.00,3.00,201,NULL,601,'NAÇÕES','BAL CAMBORIÚ','SC',17281,NULL,NULL,497,NULL,NULL,NULL,4,6),(28,7176813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'VILA MENUZZO','SUMARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7176821,2.00,5.00,1.00,3.00,5.00,6.38,0.00,6.00,0.00,302,NULL,NULL,'CENTRO','PALHOÇA','SC',16889,126,NULL,NULL,NULL,NULL,NULL,2,1),(28,7176848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'ALTO BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7176856,3.00,5.00,2.00,7.00,6.00,6.38,3.00,4.00,4.00,304,NULL,NULL,'CENTRO','CAMPINAS','SP',8718,66,NULL,NULL,NULL,NULL,NULL,4,8),(28,7176872,1.00,8.00,2.00,5.00,8.00,11.25,2.00,5.00,4.00,101,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',7099,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176880,4.00,7.00,2.00,7.00,7.00,9.00,5.00,5.00,4.00,331,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4030,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176899,4.00,5.00,1.00,6.00,6.00,11.25,4.00,4.00,4.00,207,NULL,NULL,'CENTRO','CPO ALEGRE','SC',6634,308,NULL,NULL,NULL,NULL,NULL,2,8),(28,7176902,4.00,6.00,2.00,5.00,5.00,9.75,4.00,5.00,3.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176910,1.00,5.00,0.00,6.00,3.00,NULL,1.00,3.00,3.00,999,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7176929,3.00,4.00,3.00,3.00,5.00,0.00,2.00,2.00,2.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7176937,2.00,4.00,2.00,6.00,7.00,10.13,2.00,5.00,3.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7176945,4.00,5.00,5.00,6.00,8.00,7.50,5.00,7.00,8.00,203,NULL,220,'JOÃO PAULO','FLORIANÓPOLIS','SC',3011,221,NULL,86,NULL,NULL,NULL,4,1),(28,7176953,6.00,8.00,4.00,5.00,10.00,7.50,5.00,8.00,6.00,203,NULL,220,'PIO CORREA','CRICIÚMA','SC',3302,240,NULL,99,NULL,NULL,NULL,4,5),(28,7176961,4.00,8.00,4.00,6.00,9.00,11.25,3.00,5.00,6.00,207,NULL,201,'AMERICA','JOINVILLE','SC',1809,53,NULL,NULL,NULL,NULL,NULL,4,8),(28,7176970,3.00,6.00,2.00,4.00,5.00,7.88,2.00,4.00,1.00,225,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12400,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7176988,5.00,8.00,5.00,8.00,10.00,8.25,5.00,9.00,8.00,103,NULL,NULL,'CRISTO REDENTOR','CAXIAS SUL','RS',235,181,NULL,NULL,NULL,NULL,NULL,4,4),(28,7176996,7.00,8.00,5.00,7.00,7.00,6.75,4.00,6.00,7.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',1114,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177003,3.00,6.00,3.00,4.00,5.00,9.38,3.00,6.00,3.00,103,NULL,NULL,'BARRO BRANCO','S PAULO','SP',7310,1805,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177011,4.00,8.00,3.00,6.00,8.00,9.38,3.00,6.00,5.00,207,NULL,601,'BALNEÁRIO','FLORIANÓPOLIS','SC',4050,162,NULL,66,NULL,NULL,NULL,4,1),(28,7177020,3.00,6.00,1.00,7.00,7.00,7.88,1.00,5.00,2.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177038,1.00,4.00,2.00,6.00,4.00,7.88,2.00,3.00,5.00,103,NULL,NULL,'TARUMÃ','CURITIBA','PR',11663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7177054,6.00,4.00,1.00,3.00,3.00,7.13,3.00,4.00,1.00,103,NULL,NULL,'AGUA RASA','S PAULO','SP',12883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177062,0.00,4.00,1.00,7.00,7.00,8.25,3.00,4.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,NULL,'COPACABANA','UBERLÂNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7177097,3.00,5.00,2.00,5.00,10.00,6.75,3.00,4.00,2.00,104,NULL,NULL,'CARANDÁ BOSQUE','CPO GRANDE','MS',7427,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7177119,3.00,4.00,1.00,5.00,7.00,6.00,3.00,4.00,1.00,340,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',14910,391,NULL,NULL,NULL,NULL,NULL,2,1),(28,7177127,2.00,7.00,1.00,4.00,7.00,8.25,4.00,5.00,6.00,454,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7426,122,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177135,4.00,6.00,3.00,6.00,6.00,8.63,7.00,7.00,7.00,203,NULL,235,'RIO VERMELHO','FLORIANÓPOLIS','SC',2596,197,NULL,26,NULL,NULL,NULL,4,1),(28,7177143,5.00,4.00,3.00,5.00,5.00,6.38,5.00,5.00,4.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',9813,180,NULL,NULL,NULL,NULL,NULL,2,1),(28,7177151,6.00,7.00,2.00,5.00,4.00,7.13,2.00,4.00,3.00,233,NULL,220,'CENTRO','BAL CAMBORIÚ','SC',14363,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7177160,7.00,6.00,1.00,5.00,8.00,8.63,4.00,4.00,4.00,212,NULL,213,'AGRONÔMICA','FLORIANÓPOLIS','SC',6449,201,NULL,104,NULL,NULL,NULL,2,1),(28,7177186,4.00,0.00,4.00,5.00,5.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(28,7177194,4.00,7.00,3.00,7.00,8.00,7.88,5.00,5.00,4.00,454,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',9451,174,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177216,1.00,7.00,2.00,6.00,5.00,6.38,3.00,6.00,3.00,224,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',15993,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7177232,1.00,5.00,1.00,7.00,8.00,10.13,2.00,5.00,4.00,108,NULL,NULL,'IGARA','CANOAS','RS',8779,112,NULL,NULL,NULL,NULL,NULL,2,4),(28,7177240,4.00,6.00,3.00,7.00,4.00,9.75,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','LUZERNA','SC',6674,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7177259,7.00,7.00,2.00,7.00,8.00,9.00,3.00,7.00,4.00,201,NULL,212,'VILA SILVIANIA','CARAPICUÍBA','SP',2793,209,NULL,81,NULL,NULL,NULL,2,1),(28,7177267,1.00,5.00,3.00,3.00,3.00,NULL,0.00,5.00,0.00,201,NULL,215,'JARDIM','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7177283,7.00,9.00,4.00,7.00,7.00,10.88,4.00,5.00,5.00,203,NULL,216,'TATUAPÉ','S PAULO','SP',1709,154,NULL,53,NULL,NULL,NULL,4,1),(28,7177291,1.00,5.00,3.00,2.00,5.00,4.88,3.00,4.00,2.00,208,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177305,3.00,3.00,2.00,6.00,6.00,5.25,2.00,5.00,2.00,103,NULL,NULL,'SÃO JORGE','S MIGUEL OESTE','SC',17686,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7177313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'SÃO PEDRO','ITABIRA','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7177330,1.00,2.00,1.00,3.00,3.00,4.50,3.00,3.00,2.00,319,NULL,NULL,'LINHA SEGALIM','FORMOSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7177348,0.00,6.00,2.00,3.00,3.00,NULL,2.00,4.00,2.00,332,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'TIVOLI','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7177372,3.00,7.00,2.00,6.00,8.00,10.13,3.00,6.00,4.00,103,NULL,NULL,'JARDIM MARILIZA','GOIÂNIA','GO',4581,1430,NULL,NULL,NULL,NULL,NULL,5,4),(28,7177399,2.00,8.00,3.00,5.00,6.00,9.38,2.00,4.00,6.00,103,NULL,NULL,'COLONIAL','S BENTO SUL','SC',6415,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7177402,2.00,7.00,1.00,5.00,4.00,8.63,3.00,5.00,2.00,201,NULL,215,'CAMBUI','CAMPINAS','SP',10058,681,NULL,175,NULL,NULL,NULL,4,1),(28,7177410,0.00,5.00,1.00,3.00,1.00,NULL,4.00,4.00,3.00,316,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177429,2.00,6.00,3.00,2.00,4.00,7.88,4.00,3.00,2.00,208,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',12669,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177437,3.00,5.00,1.00,5.00,5.00,11.25,3.00,3.00,2.00,208,NULL,NULL,'CENTRO','PTO ALEGRE','RS',10001,104,NULL,NULL,NULL,NULL,NULL,2,1),(28,7177453,6.00,7.00,1.00,5.00,8.00,12.00,5.00,7.00,7.00,203,NULL,202,'CENTRO','XANXERÊ','SC',1290,120,NULL,29,NULL,NULL,NULL,4,4),(28,7177461,8.00,7.00,1.00,6.00,9.00,9.38,5.00,7.00,4.00,235,NULL,220,'CENTRO','MAFRA','SC',4955,85,NULL,145,NULL,NULL,NULL,4,17),(28,7177470,5.00,7.00,4.00,5.00,3.00,9.00,4.00,7.00,5.00,201,NULL,NULL,'PARQUE XANGRILÁ','CAMPINAS','SP',4280,333,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177488,4.00,3.00,0.00,6.00,3.00,NULL,0.00,3.00,1.00,450,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177500,1.00,4.00,2.00,3.00,3.00,6.75,6.00,3.00,4.00,201,NULL,207,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',18139,997,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177518,6.00,7.00,5.00,4.00,11.00,10.88,6.00,7.00,7.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',283,214,NULL,NULL,NULL,NULL,NULL,4,10),(28,7177534,2.00,3.00,2.00,4.00,5.00,9.75,1.00,2.00,4.00,103,NULL,NULL,'JARDIM CAMPO ALEGRE','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7177542,3.00,5.00,3.00,5.00,6.00,7.50,6.00,6.00,7.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',5917,270,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177550,2.00,5.00,2.00,4.00,4.00,9.75,2.00,4.00,3.00,340,NULL,NULL,'STO ANTONIO LISBOA','FLORIANÓPOLIS','SC',17556,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177577,0.00,3.00,3.00,6.00,6.00,NULL,1.00,4.00,3.00,238,NULL,652,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177585,0.00,5.00,1.00,3.00,2.00,NULL,0.00,2.00,1.00,201,NULL,203,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7177607,4.00,5.00,3.00,4.00,5.00,6.75,0.00,4.00,3.00,238,NULL,201,'FUNDOS','BIGUAÇU','SC',17414,303,NULL,973,NULL,NULL,NULL,2,1),(28,7177615,1.00,6.00,1.00,6.00,5.00,7.50,2.00,7.00,5.00,207,NULL,653,'CENTRO','UNIÃO OESTE','SC',8912,NULL,NULL,90,NULL,NULL,NULL,2,4),(28,7177623,0.00,8.00,2.00,7.00,7.00,10.88,3.00,6.00,4.00,318,NULL,NULL,'VILA SUICA','INDAIATUBA','SP',6667,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177640,5.00,7.00,1.00,8.00,7.00,9.75,2.00,7.00,5.00,340,NULL,NULL,'SANTANA','S PAULO','SP',6657,174,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177658,3.00,8.00,3.00,4.00,8.00,6.38,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6463,1693,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'COLONIAL','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7177682,6.00,7.00,3.00,6.00,9.00,10.50,4.00,7.00,6.00,103,NULL,NULL,'VILA BIANCHI','MOGI MIRIM','SP',1405,713,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177690,1.00,3.00,3.00,7.00,3.00,6.00,1.00,3.00,3.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177704,0.00,5.00,1.00,2.00,2.00,NULL,0.00,4.00,3.00,3,NULL,NULL,'CENTRO','IMARUÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7177712,0.00,4.00,2.00,3.00,5.00,7.88,3.00,3.00,3.00,999,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177720,7.00,8.00,2.00,7.00,8.00,10.50,3.00,7.00,6.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',2801,96,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESMERALDA PARQUE','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7177747,2.00,8.00,2.00,7.00,5.00,8.63,3.00,4.00,4.00,103,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',7776,1865,NULL,NULL,NULL,NULL,NULL,2,4),(28,7177755,3.00,3.00,1.00,5.00,2.00,NULL,2.00,3.00,3.00,318,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7177763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'LUZIA','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7177771,2.00,5.00,2.00,6.00,5.00,8.63,2.00,4.00,1.00,238,NULL,201,'JARDIM AQUARIUS','PALHOÇA','SC',17434,307,NULL,NULL,NULL,NULL,NULL,2,1),(28,7177780,0.00,4.00,1.00,6.00,6.00,NULL,1.00,3.00,2.00,234,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7177798,2.00,6.00,2.00,7.00,9.00,9.38,2.00,6.00,5.00,340,NULL,NULL,'CENTRO','URUSSANGA','SC',4354,106,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177801,1.00,8.00,1.00,5.00,6.00,9.00,3.00,6.00,4.00,450,NULL,NULL,'JARDIM ZAIRA','GUARULHOS','SP',7051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177810,1.00,5.00,2.00,6.00,5.00,7.50,2.00,5.00,4.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',11893,2196,NULL,NULL,NULL,NULL,NULL,2,25),(28,7177836,1.00,3.00,1.00,2.00,3.00,6.00,0.00,4.00,2.00,302,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',18396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177844,0.00,6.00,1.00,6.00,4.00,NULL,1.00,6.00,3.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177852,6.00,7.00,2.00,4.00,10.00,11.63,0.00,6.00,5.00,103,NULL,NULL,'CENTRO','CRAVINHOS','SP',3513,1245,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177860,1.00,7.00,2.00,6.00,8.00,9.00,1.00,5.00,4.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',9258,106,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177879,0.00,7.00,2.00,4.00,4.00,6.75,2.00,5.00,1.00,551,NULL,NULL,'NS APARECIDA','CURITIBANOS','SC',18738,59,NULL,NULL,NULL,NULL,NULL,4,16),(28,7177895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'POÇO FUNDO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7177909,2.00,7.00,3.00,6.00,8.00,9.75,2.00,5.00,2.00,103,NULL,NULL,'PARQUE','RIO GRANDE','RS',7255,1791,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'INTERIOR','CHARRUA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7177925,6.00,8.00,5.00,6.00,10.00,9.75,7.00,8.00,6.00,103,NULL,NULL,'IPIRANGA','S JOSÉ','SC',510,348,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7177941,0.00,2.00,3.00,1.00,5.00,NULL,0.00,3.00,0.00,208,NULL,NULL,'LINHA SEGALIM','FORMOSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7177950,2.00,6.00,3.00,4.00,4.00,5.63,4.00,3.00,3.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7177968,2.00,8.00,2.00,7.00,6.00,9.75,3.00,7.00,3.00,235,NULL,213,'BARREIROS','S JOSÉ','SC',9327,151,NULL,164,NULL,NULL,NULL,4,1),(28,7177976,3.00,6.00,2.00,6.00,8.00,11.63,0.00,7.00,4.00,999,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7177984,0.00,4.00,2.00,5.00,6.00,NULL,2.00,2.00,1.00,319,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7177992,0.00,6.00,3.00,6.00,3.00,NULL,1.00,5.00,1.00,202,NULL,601,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7178000,3.00,6.00,2.00,6.00,8.00,9.38,0.00,6.00,2.00,303,NULL,NULL,'CENTRO','MARAVILHA','SC',7413,327,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178018,1.00,2.00,2.00,4.00,5.00,5.63,2.00,4.00,2.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',19688,2522,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178026,8.00,9.00,3.00,7.00,9.00,11.25,7.00,7.00,7.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',130,104,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178034,3.00,4.00,1.00,7.00,8.00,11.63,4.00,4.00,5.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11029,180,NULL,NULL,NULL,NULL,NULL,2,1),(28,7178050,1.00,4.00,1.00,6.00,6.00,7.13,2.00,3.00,2.00,108,NULL,NULL,'FUNDOS','BIGUAÇU','SC',15872,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7178069,5.00,8.00,4.00,7.00,10.00,8.63,5.00,6.00,5.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',3516,269,NULL,105,NULL,NULL,NULL,4,1),(28,7178077,2.00,5.00,2.00,4.00,6.00,9.75,3.00,5.00,2.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11453,54,NULL,NULL,NULL,NULL,NULL,2,1),(28,7178085,7.00,7.00,4.00,6.00,9.00,6.75,5.00,7.00,5.00,104,NULL,NULL,'VILA ISOLINA MAZZEI','S PAULO','SP',1889,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,212,'BUTANTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7178107,2.00,8.00,1.00,2.00,6.00,8.63,1.00,3.00,2.00,103,NULL,NULL,'REUNIDAS','CAÇADOR','SC',12251,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7178115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7178123,2.00,6.00,0.00,7.00,4.00,7.88,2.00,6.00,4.00,501,NULL,NULL,'GRAMADO','CAMPINAS','SP',9692,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7178140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7178158,2.00,6.00,1.00,3.00,7.00,7.13,3.00,6.00,3.00,653,NULL,203,'TRISTEZA','PTO ALEGRE','RS',10150,104,NULL,540,NULL,NULL,NULL,4,1),(28,7178166,4.00,7.00,6.00,6.00,7.00,7.88,3.00,5.00,5.00,103,NULL,NULL,'SÃO SEBASTIÃO','CAMPOS NOVOS','SC',4108,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7178174,5.00,8.00,1.00,7.00,6.00,9.00,5.00,6.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3759,1277,NULL,NULL,NULL,NULL,NULL,4,4),(28,7178182,1.00,4.00,0.00,2.00,1.00,NULL,2.00,4.00,3.00,502,NULL,NULL,'VALE DO SOL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7178190,3.00,5.00,2.00,3.00,5.00,8.25,4.00,6.00,5.00,208,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',8316,88,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178212,1.00,4.00,1.00,5.00,1.00,NULL,3.00,3.00,3.00,551,NULL,NULL,'CENTRO','LEBON RÉGIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7178220,1.00,4.00,2.00,4.00,6.00,9.00,2.00,3.00,3.00,215,NULL,211,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7178239,1.00,5.00,1.00,5.00,5.00,8.25,5.00,4.00,3.00,5,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',16576,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7178247,2.00,7.00,2.00,6.00,7.00,7.13,2.00,3.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178255,2.00,4.00,3.00,3.00,4.00,6.00,0.00,3.00,3.00,304,NULL,NULL,'BARREIROS','S JOSÉ','SC',18731,125,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178271,3.00,7.00,1.00,7.00,9.00,7.50,2.00,6.00,3.00,104,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',10586,256,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178298,2.00,3.00,1.00,4.00,6.00,6.75,2.00,3.00,3.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',16411,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7178301,2.00,4.00,1.00,4.00,6.00,10.13,4.00,5.00,5.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',7989,1898,NULL,NULL,NULL,NULL,NULL,4,22),(28,7178310,6.00,6.00,1.00,6.00,8.00,11.25,5.00,5.00,5.00,340,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',2627,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178328,4.00,7.00,2.00,5.00,7.00,9.75,4.00,4.00,5.00,303,NULL,NULL,'AUTONOMISTA','CPO GRANDE','MS',3458,161,NULL,NULL,NULL,NULL,NULL,4,8),(28,7178336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7178344,0.00,4.00,1.00,3.00,3.00,7.50,3.00,3.00,2.00,103,NULL,NULL,'MONTE CARLOS','COCAL SUL','SC',17410,2453,NULL,NULL,NULL,NULL,NULL,4,5),(28,7178352,3.00,7.00,3.00,7.00,8.00,9.00,4.00,8.00,5.00,216,NULL,212,'COMERCIÁRIO','CRICIÚMA','SC',2451,82,NULL,59,NULL,NULL,NULL,4,5),(28,7178360,2.00,6.00,2.00,7.00,8.00,10.13,2.00,5.00,4.00,104,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',9812,237,NULL,NULL,NULL,NULL,NULL,2,1),(28,7178379,1.00,7.00,4.00,7.00,8.00,9.38,2.00,7.00,3.00,103,NULL,NULL,'BAIRRO VENEZA','XANXERÊ','SC',5503,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7178387,0.00,4.00,3.00,1.00,3.00,4.50,1.00,4.00,3.00,444,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7178395,0.00,3.00,2.00,4.00,3.00,NULL,0.00,2.00,1.00,601,NULL,238,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7178409,4.00,5.00,2.00,4.00,8.00,9.38,3.00,7.00,5.00,201,NULL,233,'SÃO LUIZ','BRUSQUE','SC',5395,417,NULL,144,NULL,NULL,NULL,4,22),(28,7178417,4.00,8.00,1.00,6.00,7.00,7.50,0.00,4.00,4.00,337,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',7831,11,NULL,NULL,NULL,NULL,NULL,2,1),(28,7178433,4.00,7.00,2.00,6.00,6.00,7.88,4.00,5.00,6.00,501,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',5352,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,25),(28,7178450,2.00,4.00,1.00,4.00,3.00,6.00,2.00,3.00,2.00,336,NULL,NULL,'NOVO HORIZONTE','ITAÍ','SP',15942,82,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178468,6.00,6.00,4.00,6.00,6.00,9.75,4.00,5.00,5.00,201,NULL,212,'KABRASOL','S JOSÉ','SC',4232,329,NULL,134,NULL,NULL,NULL,2,1),(28,7178476,3.00,7.00,0.00,7.00,7.00,4.50,4.00,6.00,1.00,202,NULL,601,'REVOREDO','TUBARÃO','SC',10579,270,NULL,300,NULL,NULL,NULL,2,10),(28,7178484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7178492,0.00,3.00,1.00,2.00,3.00,6.75,2.00,2.00,1.00,454,NULL,NULL,'CENTRO','MAFRA','SC',17430,356,NULL,NULL,NULL,NULL,NULL,2,17),(28,7178506,0.00,4.00,2.00,4.00,8.00,9.00,3.00,4.00,3.00,214,NULL,233,'NOVA SANTA CRUZ','MOGI MIRIM','SP',11379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178514,4.00,8.00,2.00,7.00,9.00,8.25,4.00,6.00,4.00,207,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',4195,174,NULL,73,NULL,NULL,NULL,4,1),(28,7178522,2.00,2.00,3.00,2.00,4.00,5.63,2.00,3.00,2.00,308,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7178530,1.00,6.00,1.00,4.00,5.00,7.50,3.00,4.00,2.00,109,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',18322,85,NULL,NULL,NULL,NULL,NULL,2,1),(28,7178549,4.00,6.00,1.00,3.00,6.00,7.88,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',5449,1562,NULL,NULL,NULL,NULL,NULL,4,6),(28,7178557,4.00,5.00,1.00,6.00,7.00,11.25,1.00,5.00,1.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10049,296,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178565,0.00,3.00,2.00,3.00,3.00,4.50,2.00,1.00,2.00,502,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7178573,3.00,7.00,2.00,6.00,10.00,7.88,3.00,6.00,2.00,103,NULL,NULL,'CENTRO','LAGES','SC',7659,1848,NULL,NULL,NULL,NULL,NULL,4,9),(28,7178581,5.00,5.00,1.00,3.00,5.00,6.00,2.00,4.00,0.00,451,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',18262,47,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178590,0.00,5.00,1.00,6.00,6.00,10.13,1.00,4.00,3.00,415,NULL,NULL,'CARLOS WILKENS','CACHOEIRINHA','RS',12181,200,NULL,NULL,NULL,NULL,NULL,4,5),(28,7178603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PORECATU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7178611,6.00,8.00,2.00,7.00,8.00,7.50,1.00,3.00,5.00,207,NULL,233,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',5106,225,NULL,NULL,NULL,NULL,NULL,2,1),(28,7178620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7178638,5.00,6.00,1.00,7.00,7.00,11.25,5.00,4.00,4.00,238,NULL,216,'AGRONOMICA','FLORIANÓPOLIS','SC',8195,114,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178646,0.00,3.00,0.00,6.00,6.00,7.88,6.00,4.00,3.00,101,NULL,NULL,'BIGUAÇU','BIGUAÇU','SC',13525,77,NULL,NULL,NULL,NULL,NULL,2,1),(28,7178654,1.00,4.00,3.00,4.00,1.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'SÃO FRANS DE PAULA','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7178662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'RIO BONITO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7178689,2.00,4.00,1.00,6.00,6.00,8.25,3.00,6.00,2.00,201,NULL,601,'FLORESTA','JOINVILLE','SC',16395,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7178697,4.00,3.00,0.00,4.00,3.00,NULL,3.00,0.00,1.00,2,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178700,5.00,6.00,2.00,5.00,8.00,6.75,4.00,5.00,4.00,454,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',5660,82,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7178727,3.00,8.00,4.00,7.00,8.00,9.00,3.00,7.00,3.00,454,NULL,NULL,'VILA ZEZÉ','JACAREÍ','SP',3406,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SÃO SEBASTIÃO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7178751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7178760,6.00,8.00,3.00,6.00,9.00,6.75,7.00,5.00,7.00,103,NULL,NULL,'LIRI','IÇARA','SC',1500,741,NULL,NULL,NULL,NULL,NULL,2,5),(28,7178778,0.00,4.00,4.00,1.00,5.00,6.38,3.00,5.00,3.00,101,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7178786,4.00,6.00,3.00,5.00,8.00,9.00,3.00,6.00,5.00,203,NULL,214,'SÃO DIMAS','PIRACICABA','SP',4455,312,NULL,151,NULL,NULL,NULL,4,1),(28,7178794,3.00,6.00,5.00,4.00,8.00,9.00,3.00,6.00,6.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',5435,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178808,4.00,9.00,2.00,4.00,6.00,9.00,3.00,7.00,6.00,104,NULL,NULL,'MANDACARÚ','JEQUIÉ','BA',9964,243,NULL,NULL,NULL,NULL,NULL,2,1),(28,7178816,1.00,6.00,3.00,6.00,7.00,8.63,0.00,5.00,2.00,327,NULL,NULL,'DONA WANDA','S JOSÉ','SC',10055,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7178824,4.00,7.00,4.00,3.00,7.00,10.88,4.00,7.00,3.00,215,NULL,233,'SÃO PEDRO','BRUSQUE','SC',6932,105,NULL,171,NULL,NULL,NULL,4,22),(28,7178832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'RESIDENCIAL GAIVOTA','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7178840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,211,'BUENOS AIRES','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7178859,6.00,8.00,4.00,6.00,8.00,9.00,6.00,6.00,5.00,101,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',4334,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178867,1.00,4.00,2.00,6.00,6.00,6.75,3.00,6.00,3.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',16883,233,NULL,NULL,NULL,NULL,NULL,2,1),(28,7178875,1.00,2.00,2.00,5.00,3.00,8.63,0.00,2.00,1.00,340,NULL,NULL,'MIRANTE','ITÁ','SC',17887,417,NULL,NULL,NULL,NULL,NULL,4,26),(28,7178883,1.00,5.00,5.00,4.00,7.00,7.13,4.00,4.00,5.00,203,NULL,235,'RIO TAVARES','FLORIANÓPOLIS','SC',7991,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7178891,3.00,1.00,0.00,4.00,4.00,9.38,2.00,2.00,3.00,103,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7178913,3.00,6.00,2.00,5.00,6.00,9.00,2.00,4.00,4.00,319,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',9323,166,NULL,NULL,NULL,NULL,NULL,2,1),(28,7178921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7178930,3.00,6.00,2.00,5.00,7.00,8.25,2.00,5.00,3.00,415,NULL,NULL,'BRÁS','S PAULO','SP',7847,124,NULL,NULL,NULL,NULL,NULL,4,8),(28,7178948,3.00,6.00,3.00,7.00,5.00,6.75,2.00,6.00,4.00,216,NULL,233,'SAGUAÇU','JOINVILLE','SC',8963,290,NULL,216,NULL,NULL,NULL,2,8),(28,7178956,3.00,5.00,3.00,3.00,6.00,7.50,2.00,6.00,3.00,201,NULL,653,'CIDADE ALTA','ARARANGUÁ','SC',9609,654,NULL,99,NULL,NULL,NULL,4,15),(28,7178964,2.00,5.00,1.00,6.00,6.00,8.25,1.00,2.00,3.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',12633,570,NULL,809,NULL,NULL,NULL,4,1),(28,7178972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7178980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7179006,1.00,3.00,2.00,4.00,5.00,7.13,0.00,4.00,1.00,316,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',19829,287,NULL,NULL,NULL,NULL,NULL,2,1),(28,7179014,4.00,6.00,4.00,6.00,5.00,8.63,2.00,5.00,3.00,103,NULL,NULL,'JARDIM TAQUARAL','S PAULO','SP',7061,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7179022,3.00,6.00,2.00,6.00,8.00,10.50,3.00,5.00,4.00,301,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',7158,70,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179057,3.00,6.00,2.00,6.00,8.00,9.00,4.00,6.00,5.00,208,NULL,NULL,'ARIRIU','PALHOÇA','SC',6761,58,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179090,3.00,4.00,2.00,6.00,7.00,5.25,3.00,6.00,3.00,233,NULL,211,'FREI DAMINHÃO','MARAVILHA','SC',11752,266,NULL,309,NULL,NULL,NULL,2,27),(28,7179103,1.00,3.00,4.00,6.00,4.00,7.88,1.00,3.00,2.00,655,NULL,653,'CENTENÁRIO','TORRES','RS',14875,81,NULL,160,NULL,NULL,NULL,4,15),(28,7179111,0.00,6.00,3.00,3.00,4.00,NULL,2.00,6.00,0.00,203,NULL,214,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179120,0.00,1.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,324,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7179138,5.00,6.00,0.00,7.00,5.00,7.88,3.00,3.00,4.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',7608,1841,NULL,NULL,NULL,NULL,NULL,2,1),(28,7179146,1.00,4.00,1.00,6.00,3.00,5.25,1.00,6.00,3.00,999,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7179154,1.00,8.00,2.00,7.00,4.00,4.88,2.00,3.00,2.00,203,NULL,201,'BARREIROS','S JOSÉ','SC',17776,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179162,3.00,2.00,1.00,1.00,3.00,NULL,0.00,4.00,0.00,202,NULL,653,'VILA NOVA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7179170,0.00,3.00,1.00,6.00,4.00,4.88,2.00,3.00,1.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7179189,3.00,5.00,1.00,3.00,3.00,9.00,1.00,3.00,3.00,223,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',19120,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179197,8.00,8.00,4.00,7.00,10.00,9.75,5.00,7.00,7.00,216,NULL,215,'PQ CRUZEIRO DO SUL','S PAULO','SP',238,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179200,0.00,3.00,2.00,4.00,2.00,NULL,3.00,4.00,3.00,340,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,601,'BELA VISTA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7179235,0.00,2.00,2.00,3.00,4.00,3.00,0.00,2.00,1.00,333,NULL,NULL,'JARDIM ALGARVE','ALVORADA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179243,5.00,8.00,0.00,7.00,11.00,10.50,4.00,5.00,5.00,601,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',2850,36,NULL,NULL,NULL,NULL,NULL,4,8),(28,7179251,2.00,5.00,3.00,6.00,5.00,7.13,3.00,5.00,3.00,104,NULL,NULL,'CENTRO','JOINVILLE','SC',9840,238,NULL,NULL,NULL,NULL,NULL,4,8),(28,7179260,2.00,8.00,2.00,5.00,6.00,7.50,4.00,4.00,2.00,207,NULL,201,'CENTRO','CAMBORIÚ','SC',14413,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7179286,4.00,7.00,3.00,7.00,7.00,8.63,2.00,6.00,6.00,203,NULL,207,'CAMPINAS','S JOSÉ','SC',5956,395,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179294,6.00,7.00,2.00,3.00,6.00,6.75,5.00,6.00,6.00,202,NULL,213,'ITACURUBI','FLORIANÓPOLIS','SC',7681,206,NULL,130,NULL,NULL,NULL,4,1),(28,7179308,5.00,7.00,3.00,8.00,6.00,9.38,4.00,8.00,6.00,454,NULL,NULL,'CENTRO','ITAJAÍ','SC',2488,15,NULL,NULL,NULL,NULL,NULL,4,6),(28,7179324,0.00,5.00,0.00,0.00,0.00,NULL,4.00,6.00,2.00,999,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,8),(28,7179332,4.00,7.00,3.00,6.00,4.00,6.38,2.00,3.00,4.00,208,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',15808,175,NULL,NULL,NULL,NULL,NULL,4,3),(28,7179340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CAPÃO DA IMBUIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7179359,1.00,2.00,2.00,6.00,2.00,NULL,1.00,2.00,3.00,208,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7179367,5.00,4.00,2.00,6.00,7.00,10.13,7.00,4.00,2.00,303,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',6106,277,NULL,NULL,NULL,NULL,NULL,4,10),(28,7179375,2.00,7.00,2.00,5.00,8.00,9.00,3.00,6.00,4.00,428,NULL,426,'COSTEIRA','FLORIANÓPOLIS','SC',10156,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179383,6.00,4.00,3.00,5.00,8.00,9.00,3.00,6.00,6.00,303,NULL,NULL,'SEMINÁRIO','TAIÓ','SC',5346,248,NULL,NULL,NULL,NULL,NULL,4,24),(28,7179391,3.00,5.00,1.00,4.00,4.00,4.50,4.00,4.00,2.00,202,NULL,201,'REBOUÇAS','CURITIBA','PR',13951,325,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179405,2.00,3.00,0.00,5.00,6.00,7.88,1.00,3.00,4.00,502,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15046,31,NULL,NULL,NULL,NULL,NULL,2,1),(28,7179413,1.00,2.00,1.00,2.00,3.00,9.38,0.00,2.00,2.00,234,NULL,NULL,'LAS VEGAS','PONTAL PARANÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7179421,2.00,6.00,1.00,4.00,6.00,7.50,2.00,7.00,2.00,999,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179430,2.00,4.00,3.00,6.00,4.00,7.50,3.00,5.00,2.00,211,NULL,238,'CENTRO','PALHOÇA','SC',16982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179456,0.00,5.00,0.00,4.00,5.00,10.13,4.00,7.00,1.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17544,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179464,1.00,5.00,2.00,7.00,7.00,7.13,3.00,6.00,2.00,203,NULL,220,'TAPERA','FLORIANÓPOLIS','SC',14412,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7179472,4.00,7.00,1.00,7.00,5.00,10.88,1.00,4.00,2.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13030,367,NULL,NULL,NULL,NULL,NULL,2,1),(28,7179499,0.00,4.00,1.00,3.00,4.00,NULL,0.00,3.00,1.00,333,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179502,1.00,5.00,1.00,4.00,4.00,6.38,1.00,2.00,3.00,201,NULL,207,'CENTRO','GETÚLIO VARGAS','RS',15616,925,NULL,NULL,NULL,NULL,NULL,4,26),(28,7179510,1.00,3.00,2.00,6.00,5.00,6.75,3.00,3.00,3.00,234,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',18312,58,NULL,NULL,NULL,NULL,NULL,2,1),(28,7179529,0.00,3.00,3.00,2.00,6.00,6.38,2.00,5.00,2.00,652,NULL,655,'POLICIA RODOVIÁRIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7179537,0.00,2.00,1.00,4.00,4.00,7.13,0.00,1.00,2.00,319,NULL,NULL,'CRISTO REDENTOR','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7179553,1.00,6.00,2.00,7.00,7.00,7.88,3.00,3.00,2.00,207,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',9830,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7179570,5.00,8.00,3.00,7.00,8.00,9.00,5.00,7.00,5.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',2874,1104,NULL,NULL,NULL,NULL,NULL,2,1),(28,7179588,2.00,6.00,1.00,5.00,4.00,6.38,2.00,5.00,3.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179596,1.00,4.00,2.00,4.00,8.00,8.63,2.00,2.00,3.00,339,NULL,NULL,'KOBRASOL','S JOSÉ','SC',12480,5,NULL,NULL,NULL,NULL,NULL,2,1),(28,7179626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VITÓRIA I','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,26),(28,7179634,4.00,7.00,3.00,6.00,7.00,9.38,2.00,5.00,4.00,211,NULL,207,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5516,140,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179642,5.00,7.00,4.00,4.00,9.00,10.50,3.00,8.00,3.00,103,NULL,NULL,'CENTRO','IPORÁ','GO',2930,1119,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179650,3.00,7.00,1.00,7.00,6.00,9.38,2.00,5.00,3.00,454,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',8793,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179677,3.00,7.00,3.00,6.00,7.00,7.88,5.00,5.00,5.00,214,NULL,213,'JARDIM ESPLANADA','S JOSÉ CAMPOS','SP',5349,NULL,NULL,83,NULL,NULL,NULL,4,1),(28,7179685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'LAGOINHA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7179693,3.00,4.00,1.00,5.00,9.00,10.13,5.00,4.00,3.00,104,NULL,NULL,'FÁBIO SILVA','TUBARÃO','SC',9127,219,NULL,NULL,NULL,NULL,NULL,2,10),(28,7179707,5.00,6.00,4.00,1.00,5.00,7.88,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','S MARTINHO','SC',6098,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7179715,2.00,4.00,2.00,7.00,8.00,10.13,4.00,6.00,4.00,304,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',5582,27,NULL,NULL,NULL,NULL,NULL,2,1),(28,7179723,4.00,7.00,2.00,4.00,4.00,9.75,4.00,5.00,4.00,108,NULL,NULL,'UNIVERSITARIO','GOIÂNIA','GO',7136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179731,4.00,7.00,3.00,3.00,5.00,7.13,4.00,4.00,4.00,999,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179740,6.00,8.00,4.00,7.00,7.00,9.38,7.00,7.00,6.00,207,NULL,601,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',1126,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'PITUBA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7179774,5.00,8.00,3.00,6.00,7.00,5.25,3.00,7.00,5.00,103,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',4393,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179782,3.00,5.00,2.00,7.00,6.00,7.13,3.00,3.00,2.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179790,1.00,4.00,2.00,6.00,4.00,6.38,1.00,5.00,2.00,451,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',18757,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179804,2.00,7.00,3.00,5.00,3.00,6.38,6.00,2.00,4.00,207,NULL,203,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',16948,732,NULL,671,NULL,NULL,NULL,4,1),(28,7179812,3.00,3.00,5.00,5.00,5.00,8.25,2.00,5.00,3.00,216,NULL,215,'REBOUÇAS','CURITIBA','PR',9364,301,NULL,161,NULL,NULL,NULL,2,16),(28,7179820,4.00,6.00,2.00,7.00,5.00,10.50,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',5613,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7179839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7179847,1.00,3.00,3.00,3.00,6.00,7.50,0.00,4.00,1.00,109,NULL,NULL,'CENTRO','FRAIBURGO','SC',14969,59,NULL,NULL,NULL,NULL,NULL,4,25),(28,7179855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7179871,0.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,1.00,444,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7179880,3.00,3.00,3.00,6.00,7.00,NULL,2.00,5.00,4.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7179898,3.00,6.00,2.00,4.00,7.00,6.75,5.00,4.00,4.00,333,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',8021,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179901,7.00,8.00,5.00,7.00,9.00,8.25,6.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1152,621,NULL,NULL,NULL,NULL,NULL,4,1),(28,7179910,1.00,7.00,1.00,6.00,6.00,6.38,1.00,4.00,2.00,653,NULL,655,'SÃO CRISTÓVÃO','TURVO','SC',11721,124,NULL,NULL,NULL,NULL,NULL,2,15),(28,7179928,3.00,4.00,3.00,4.00,5.00,7.88,2.00,3.00,4.00,304,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',17798,123,NULL,NULL,NULL,NULL,NULL,4,6),(28,7179936,1.00,2.00,3.00,3.00,4.00,6.75,1.00,2.00,1.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7179944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7179952,1.00,3.00,0.00,2.00,4.00,NULL,1.00,4.00,1.00,9,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7179960,5.00,7.00,4.00,6.00,9.00,7.13,2.00,5.00,4.00,216,NULL,215,'SANTA BÁRBARA','CRICIÚMA','SC',4718,181,NULL,67,NULL,NULL,NULL,2,5),(28,7179979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VITÓRIA I','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,26),(28,7179987,0.00,6.00,2.00,7.00,7.00,7.50,2.00,7.00,6.00,203,NULL,201,'CENTRO','ARARANGUÁ','SC',6899,422,NULL,521,NULL,NULL,NULL,4,15),(28,7179995,1.00,5.00,2.00,6.00,7.00,10.13,3.00,4.00,5.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',7807,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180004,2.00,7.00,4.00,6.00,6.00,12.00,2.00,4.00,4.00,103,NULL,NULL,'GUANABARA','FRANCISCO BELTRÃO','PR',5356,1553,NULL,NULL,NULL,NULL,NULL,2,4),(28,7180039,4.00,5.00,5.00,8.00,9.00,10.50,3.00,6.00,7.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1771,825,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180047,3.00,5.00,3.00,4.00,4.00,8.25,1.00,3.00,3.00,999,NULL,NULL,'UNIVERSITÁRIO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7180055,2.00,6.00,2.00,4.00,8.00,8.25,3.00,6.00,3.00,601,NULL,207,'ITAUM','JOINVILLE','SC',9967,273,NULL,NULL,NULL,NULL,NULL,2,8),(28,7180080,1.00,2.00,0.00,2.00,2.00,NULL,1.00,4.00,0.00,208,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180110,8.00,7.00,4.00,8.00,7.00,10.88,6.00,7.00,8.00,203,NULL,233,'ITAUM','JOINVILLE','SC',1050,99,NULL,15,NULL,NULL,NULL,4,1),(28,7180128,5.00,7.00,3.00,5.00,10.00,9.38,5.00,7.00,6.00,5,NULL,NULL,'ITAUM','JOINVILLE','SC',3050,109,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMBUI','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7180144,5.00,7.00,4.00,7.00,6.00,8.63,3.00,3.00,4.00,211,NULL,NULL,'CENTRO','JOINVILLE','SC',10580,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7180152,3.00,2.00,1.00,4.00,5.00,6.00,1.00,1.00,3.00,104,NULL,NULL,'HUMAITÁ DE CIMA','TUBARÃO','SC',17774,422,NULL,NULL,NULL,NULL,NULL,2,10),(28,7180179,1.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'PASSO DA AREIA','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7180187,4.00,6.00,2.00,7.00,9.00,9.00,6.00,4.00,7.00,9,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',5544,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7180209,4.00,8.00,4.00,6.00,8.00,9.38,5.00,7.00,5.00,319,NULL,NULL,'JARDIM FORMOSA','POÇOS CALDAS','MG',4683,66,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180276,1.00,5.00,3.00,7.00,9.00,7.50,2.00,3.00,2.00,109,NULL,NULL,'CENTRO','BIGUAÇU','SC',10781,22,NULL,NULL,NULL,NULL,NULL,2,1),(28,7180284,3.00,6.00,4.00,3.00,3.00,7.13,2.00,3.00,3.00,216,NULL,233,'RIO MAINA','CRICIÚMA','SC',17453,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7180292,0.00,8.00,2.00,5.00,6.00,7.88,2.00,5.00,4.00,104,NULL,NULL,'SÃO CRISTÓVÃO','LAJEADO','RS',9126,218,NULL,NULL,NULL,NULL,NULL,4,3),(28,7180306,1.00,5.00,1.00,4.00,5.00,7.13,3.00,4.00,1.00,999,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180314,2.00,6.00,3.00,5.00,9.00,6.75,4.00,6.00,4.00,201,NULL,216,'CENTRO','LUZERNA','SC',6321,485,NULL,NULL,NULL,NULL,NULL,2,7),(28,7180322,0.00,4.00,3.00,6.00,7.00,7.13,3.00,3.00,2.00,501,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',17784,110,NULL,NULL,NULL,NULL,NULL,2,1),(28,7180330,4.00,8.00,2.00,7.00,8.00,8.25,4.00,5.00,6.00,207,NULL,211,'CARVOEIRA','FLORIANÓPOLIS','SC',5850,269,NULL,152,NULL,NULL,NULL,2,1),(28,7180349,5.00,7.00,2.00,6.00,8.00,9.38,3.00,6.00,4.00,336,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',3616,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180357,4.00,7.00,2.00,7.00,8.00,9.75,3.00,7.00,4.00,214,NULL,NULL,'PARQUE SANTA MARTA','S CARLOS','SP',3457,123,NULL,NULL,NULL,NULL,NULL,4,8),(28,7180373,1.00,8.00,1.00,6.00,7.00,6.75,2.00,6.00,4.00,104,NULL,NULL,'PIONEIRO','PINHALZINHO','SC',7792,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7180390,3.00,3.00,2.00,3.00,6.00,8.63,2.00,5.00,4.00,320,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13911,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180403,5.00,7.00,1.00,8.00,10.00,7.88,4.00,6.00,4.00,303,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',2955,136,NULL,NULL,NULL,NULL,NULL,4,8),(28,7180420,2.00,3.00,1.00,3.00,3.00,6.75,3.00,3.00,1.00,203,NULL,202,'JARDIM ELDORADO','PALHOÇA','SC',19814,709,NULL,403,NULL,NULL,NULL,2,1),(28,7180438,4.00,6.00,2.00,7.00,7.00,8.63,2.00,6.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8618,203,NULL,NULL,NULL,NULL,NULL,2,1),(28,7180454,7.00,8.00,2.00,7.00,5.00,9.00,2.00,7.00,6.00,207,NULL,201,'JD SÃO CARLOS','SOROCABA','SP',1838,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180462,0.00,2.00,4.00,1.00,2.00,NULL,2.00,2.00,0.00,426,NULL,428,'CENTRO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7180470,6.00,8.00,4.00,6.00,8.00,6.38,6.00,6.00,2.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3940,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180489,3.00,7.00,1.00,6.00,9.00,9.00,3.00,4.00,5.00,444,NULL,NULL,'CENTRO','S JOAQUIM','SC',5756,9,NULL,NULL,NULL,NULL,NULL,4,9),(28,7180497,0.00,4.00,3.00,2.00,3.00,NULL,2.00,4.00,3.00,208,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180500,4.00,7.00,2.00,7.00,6.00,4.88,3.00,5.00,5.00,214,NULL,203,'JARDIM MATARAZZO','S PAULO','SP',5651,177,NULL,375,NULL,NULL,NULL,4,1),(28,7180519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'PRÓSPERA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7180527,1.00,4.00,1.00,6.00,5.00,8.25,1.00,6.00,2.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13922,196,NULL,NULL,NULL,NULL,NULL,2,1),(28,7180535,5.00,7.00,2.00,7.00,6.00,5.25,5.00,7.00,5.00,104,NULL,NULL,'ASILO','BLUMENAU','SC',5083,93,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180543,5.00,7.00,2.00,6.00,5.00,9.75,5.00,6.00,4.00,207,NULL,201,'CENTRO','GAROPABA','SC',4473,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7180560,4.00,7.00,3.00,7.00,7.00,9.00,6.00,7.00,3.00,108,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',4085,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180586,5.00,7.00,2.00,5.00,6.00,11.25,3.00,6.00,6.00,103,NULL,NULL,'RECANTO DOS SONHOS','S PAULO','SP',3055,1149,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180608,7.00,8.00,5.00,5.00,4.00,7.13,5.00,8.00,7.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',3123,1161,NULL,NULL,NULL,NULL,NULL,4,8),(28,7180616,7.00,7.00,2.00,6.00,8.00,10.13,6.00,8.00,6.00,214,NULL,212,'JUNDIAÍ','ANÁPOLIS','GO',683,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180624,6.00,9.00,4.00,7.00,6.00,9.38,4.00,6.00,6.00,303,NULL,NULL,'VILA OLIVEIRA','MOGI CRUZES','SP',1264,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180632,6.00,5.00,4.00,7.00,4.00,6.38,6.00,4.00,7.00,655,NULL,220,'PONTA DA PRAIA','SANTOS','SP',3679,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180640,0.00,6.00,2.00,7.00,5.00,NULL,3.00,4.00,1.00,104,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7180659,0.00,3.00,2.00,1.00,6.00,6.38,1.00,2.00,1.00,108,NULL,NULL,'CNTRO','HORIZONTINA','RS',18599,245,NULL,NULL,NULL,NULL,NULL,4,5),(28,7180675,1.00,5.00,2.00,7.00,5.00,8.25,1.00,3.00,2.00,423,NULL,429,'FAZENDA','ITAJAÍ','SC',18065,28,NULL,NULL,NULL,NULL,NULL,2,6),(28,7180683,5.00,9.00,3.00,2.00,7.00,7.50,3.00,4.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9374,2025,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180691,5.00,7.00,2.00,7.00,9.00,7.50,5.00,6.00,5.00,201,NULL,233,'BARREIROS','S JOSÉ','SC',4016,307,NULL,106,NULL,NULL,NULL,4,1),(28,7180705,0.00,4.00,3.00,7.00,4.00,NULL,3.00,3.00,1.00,102,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7180713,4.00,5.00,1.00,4.00,5.00,6.00,3.00,5.00,1.00,303,NULL,NULL,'CENTRO','JAGUARUNA','SC',15077,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7180721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7180730,3.00,7.00,5.00,6.00,6.00,12.00,4.00,6.00,5.00,212,NULL,214,'JARDIM DAS PALMEIRAS','CAMPINAS','SP',2306,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180748,2.00,4.00,0.00,3.00,5.00,NULL,2.00,1.00,2.00,552,NULL,NULL,'LÍDER','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7180756,3.00,5.00,3.00,5.00,2.00,NULL,2.00,4.00,2.00,208,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180764,1.00,6.00,2.00,2.00,5.00,10.88,2.00,3.00,0.00,207,NULL,201,'CENTRO','S MARTINHO','SC',14763,654,NULL,NULL,NULL,NULL,NULL,4,10),(28,7180772,2.00,5.00,1.00,2.00,3.00,5.63,1.00,2.00,1.00,999,NULL,NULL,'VELHA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(28,7180780,3.00,8.00,2.00,5.00,7.00,5.63,2.00,5.00,4.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8247,355,NULL,NULL,NULL,NULL,NULL,2,1),(28,7180802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7180810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAPANEMA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7180829,0.00,3.00,2.00,3.00,5.00,NULL,2.00,3.00,1.00,110,NULL,NULL,'SAMUEL SANDRINI','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7180837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARRA DO RIO MOLHA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,23),(28,7180845,1.00,8.00,2.00,5.00,9.00,9.00,4.00,4.00,4.00,301,NULL,NULL,'CENTRO','LAGES','SC',7699,82,NULL,NULL,NULL,NULL,NULL,2,9),(28,7180853,0.00,2.00,0.00,3.00,4.00,NULL,2.00,3.00,2.00,216,NULL,201,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,8),(28,7180861,5.00,6.00,3.00,6.00,7.00,7.13,4.00,6.00,4.00,207,NULL,233,'SANTA MÔNICA','FLORIANÓPOLIS','SC',6931,323,NULL,170,NULL,NULL,NULL,2,1),(28,7180888,5.00,7.00,2.00,6.00,8.00,6.75,5.00,3.00,7.00,216,NULL,215,'CENTRO','LAGES','SC',5197,198,NULL,75,NULL,NULL,NULL,4,9),(28,7180900,1.00,3.00,2.00,3.00,1.00,NULL,1.00,2.00,2.00,552,NULL,NULL,'SÃO CRISTÓVÃO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7180918,2.00,6.00,2.00,5.00,5.00,3.00,4.00,5.00,4.00,601,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180934,1.00,8.00,3.00,7.00,9.00,7.50,3.00,9.00,5.00,103,NULL,NULL,'BOQUEIRÃO','PASSO FUNDO','RS',3717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7180942,3.00,7.00,3.00,6.00,8.00,7.13,5.00,7.00,4.00,203,NULL,214,'CAPOEIRAS','FLORIANÓPOLIS','SC',4135,301,NULL,142,NULL,NULL,NULL,4,1),(28,7180969,3.00,7.00,3.00,6.00,6.00,6.75,2.00,3.00,4.00,207,NULL,201,'CENTRO','CAÇADOR','SC',8130,376,NULL,584,NULL,NULL,NULL,4,25),(28,7180977,2.00,5.00,1.00,6.00,6.00,9.00,3.00,5.00,5.00,103,NULL,NULL,'ANGELO GUOLLO','COCAL SUL','SC',8502,1948,NULL,NULL,NULL,NULL,NULL,2,5),(28,7180985,4.00,7.00,2.00,7.00,7.00,9.38,5.00,7.00,5.00,201,NULL,216,'CENTRO','CASCAVEL','PR',2387,171,NULL,NULL,NULL,NULL,NULL,4,4),(28,7180993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'GUARANI MIRIM','MASSARANDUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7181019,2.00,5.00,1.00,6.00,4.00,7.50,1.00,5.00,2.00,213,NULL,235,'SANTA MONICA','FRAIBURGO','SC',18232,270,NULL,279,NULL,NULL,NULL,2,25),(28,7181027,6.00,8.00,2.00,5.00,7.00,11.25,4.00,7.00,7.00,216,NULL,215,'SANTO ANTÔNIO','JOINVILLE','SC',1749,56,NULL,10,NULL,NULL,NULL,4,8),(28,7181035,3.00,8.00,4.00,7.00,7.00,10.13,1.00,7.00,2.00,333,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',5366,25,NULL,NULL,NULL,NULL,NULL,2,8),(28,7181043,3.00,8.00,2.00,7.00,7.00,8.63,4.00,6.00,4.00,233,NULL,212,'ABRAÃO','FLORIANÓPOLIS','SC',4329,114,NULL,138,NULL,NULL,NULL,4,1),(28,7181060,3.00,7.00,3.00,6.00,4.00,6.00,6.00,5.00,8.00,203,NULL,214,'SETOR BUENO','GOIÂNIA','GO',3746,273,NULL,132,NULL,NULL,NULL,4,1),(28,7181086,6.00,5.00,4.00,6.00,4.00,7.13,3.00,5.00,3.00,216,NULL,203,'CHACARA MONTE ALEGRE','S PAULO','SP',14041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ASA SUL','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7181108,6.00,7.00,2.00,7.00,9.00,9.38,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','POMERODE','SC',1935,871,NULL,NULL,NULL,NULL,NULL,4,2),(28,7181132,2.00,5.00,1.00,6.00,4.00,9.00,0.00,5.00,1.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',18459,2488,NULL,NULL,NULL,NULL,NULL,2,1),(28,7181167,3.00,5.00,5.00,6.00,5.00,8.25,4.00,4.00,5.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',8755,621,NULL,263,NULL,NULL,NULL,4,1),(28,7181175,2.00,5.00,1.00,6.00,5.00,7.50,4.00,4.00,2.00,108,NULL,NULL,'BUCAREIN','JOINVILLE','SC',17520,236,NULL,NULL,NULL,NULL,NULL,2,8),(28,7181191,3.00,8.00,2.00,7.00,8.00,10.13,2.00,6.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8416,140,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181205,1.00,4.00,1.00,6.00,9.00,9.00,0.00,4.00,6.00,101,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',9639,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181221,1.00,5.00,2.00,5.00,6.00,9.75,1.00,5.00,2.00,339,NULL,NULL,'TABOÃO','RIO SUL','SC',17126,40,NULL,NULL,NULL,NULL,NULL,4,24),(28,7181230,0.00,4.00,1.00,4.00,4.00,NULL,2.00,5.00,2.00,415,NULL,NULL,'DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7181256,8.00,7.00,1.00,7.00,6.00,8.63,4.00,7.00,5.00,103,NULL,NULL,'JARDIM SÃO MARCOS','JABOTICABAL','SP',2261,951,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181264,0.00,4.00,4.00,3.00,5.00,7.88,0.00,3.00,0.00,220,NULL,235,'JOSÉ MENDES','FLORIANÓPOLIS','SC',19518,346,NULL,292,NULL,NULL,NULL,4,1),(28,7181272,4.00,7.00,3.00,5.00,8.00,7.50,2.00,5.00,3.00,207,NULL,215,'LOT JARDIM SÃO MIGUE','BIGUAÇU','SC',5807,265,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181280,2.00,4.00,3.00,3.00,6.00,7.88,1.00,4.00,2.00,208,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13410,150,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181299,0.00,4.00,1.00,3.00,5.00,7.88,2.00,3.00,0.00,999,NULL,NULL,'COLONIAL','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7181310,8.00,8.00,4.00,7.00,9.00,12.00,5.00,8.00,7.00,103,NULL,NULL,'SAO DIMAS','S JOSÉ CAMPOS','SP',147,118,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181329,5.00,6.00,1.00,6.00,7.00,6.75,4.00,6.00,5.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',5525,182,NULL,NULL,NULL,NULL,NULL,2,1),(28,7181345,0.00,3.00,1.00,3.00,2.00,NULL,0.00,2.00,2.00,454,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7181361,3.00,7.00,3.00,6.00,5.00,6.00,4.00,5.00,3.00,220,NULL,203,'MIHEL NEME','PEDERNEIRAS','SP',6747,184,NULL,NULL,NULL,NULL,NULL,2,8),(28,7181370,2.00,6.00,4.00,5.00,6.00,6.00,2.00,6.00,5.00,310,NULL,NULL,'ITACORUBÍ','FLORIANÓPOLIS','SC',8923,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181388,5.00,9.00,0.00,7.00,6.00,8.63,3.00,4.00,4.00,201,NULL,601,'FLORESTA','S JOSÉ','SC',9635,656,NULL,260,NULL,NULL,NULL,4,1),(28,7181396,0.00,5.00,1.00,5.00,6.00,7.50,5.00,4.00,3.00,444,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',13019,54,NULL,NULL,NULL,NULL,NULL,2,1),(28,7181400,2.00,4.00,0.00,4.00,4.00,9.38,2.00,4.00,4.00,501,NULL,NULL,'CENTRO','CAJOBI','SP',11500,60,NULL,NULL,NULL,NULL,NULL,2,1),(28,7181418,1.00,5.00,3.00,6.00,8.00,9.38,4.00,4.00,2.00,601,NULL,220,'BOM RETIRO','JOINVILLE','SC',13261,402,NULL,NULL,NULL,NULL,NULL,2,8),(28,7181434,4.00,6.00,0.00,7.00,2.00,NULL,4.00,5.00,3.00,203,NULL,220,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7181450,0.00,3.00,0.00,3.00,4.00,NULL,3.00,2.00,2.00,426,NULL,428,'SAO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7181469,3.00,3.00,1.00,3.00,3.00,5.25,3.00,2.00,4.00,601,NULL,NULL,'ROCIO PEQUENO','S FRANCISCO SUL','SC',19728,555,NULL,NULL,NULL,NULL,NULL,4,8),(28,7181477,5.00,7.00,1.00,7.00,6.00,9.38,3.00,6.00,3.00,454,NULL,NULL,'VILA CARRÃO','S PAULO','SP',4945,62,NULL,NULL,NULL,NULL,NULL,4,8),(28,7181493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO MOURÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7181515,1.00,5.00,0.00,6.00,6.00,9.00,1.00,5.00,2.00,211,NULL,215,'PINHEIRINHO','CRICIÚMA','SC',17645,413,NULL,NULL,NULL,NULL,NULL,4,5),(28,7181523,5.00,7.00,4.00,7.00,9.00,9.38,7.00,6.00,6.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',515,48,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,26),(28,7181558,0.00,6.00,2.00,6.00,3.00,10.13,2.00,5.00,4.00,308,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10314,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181574,4.00,7.00,3.00,5.00,8.00,8.63,2.00,6.00,4.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4790,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181582,3.00,3.00,0.00,6.00,5.00,6.38,2.00,4.00,2.00,207,NULL,201,'SÃO CRISTÓVÃO','PLANALTO','RS',15810,691,NULL,927,NULL,NULL,NULL,2,4),(28,7181590,2.00,7.00,1.00,6.00,7.00,6.75,3.00,3.00,3.00,207,NULL,201,'CENTRO','ÁGUAS MORNAS','SC',10226,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181612,4.00,7.00,2.00,5.00,7.00,7.13,4.00,4.00,4.00,102,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6346,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181620,4.00,8.00,4.00,8.00,9.00,6.75,4.00,6.00,4.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',3341,1213,NULL,NULL,NULL,NULL,NULL,2,22),(28,7181639,2.00,5.00,3.00,6.00,4.00,5.25,3.00,3.00,3.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14687,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7181647,1.00,3.00,0.00,5.00,3.00,NULL,2.00,4.00,4.00,337,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7181655,3.00,6.00,3.00,7.00,8.00,9.00,3.00,5.00,3.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',7645,234,NULL,NULL,NULL,NULL,NULL,2,1),(28,7181663,4.00,5.00,1.00,4.00,4.00,7.13,3.00,3.00,2.00,601,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',14501,433,NULL,NULL,NULL,NULL,NULL,4,8),(28,7181671,6.00,9.00,4.00,7.00,11.00,10.13,4.00,6.00,5.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',1293,674,NULL,NULL,NULL,NULL,NULL,2,1),(28,7181680,3.00,4.00,1.00,5.00,8.00,9.75,4.00,6.00,4.00,454,NULL,NULL,'CENTRO','IÇARA','SC',11185,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7181701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ALPHAVILLE','SANTANA PARNAÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7181728,3.00,6.00,5.00,7.00,8.00,7.88,3.00,7.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5361,249,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181736,5.00,6.00,3.00,6.00,8.00,7.88,3.00,5.00,5.00,301,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',4961,36,NULL,NULL,NULL,NULL,NULL,4,5),(28,7181744,1.00,5.00,3.00,6.00,4.00,9.38,2.00,3.00,2.00,108,NULL,NULL,'JARDIM ORIENTE','S JOSÉ CAMPOS','SP',17485,235,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7181760,2.00,3.00,2.00,6.00,7.00,8.63,1.00,3.00,4.00,9,NULL,NULL,'CENTRO','CHAPECÓ','SC',12059,76,NULL,NULL,NULL,NULL,NULL,4,4),(28,7181779,2.00,6.00,1.00,4.00,3.00,9.00,2.00,5.00,3.00,203,NULL,214,'CARAVAGGIO','NOVA VENEZA','SC',17614,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7181787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DISTRITO DE SÃO LUIZ','CAPANEMA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7181795,2.00,7.00,2.00,7.00,4.00,7.13,4.00,6.00,2.00,999,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7181809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM APOLO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7181817,4.00,7.00,4.00,7.00,8.00,10.88,4.00,5.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2495,83,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181825,0.00,1.00,2.00,2.00,3.00,7.13,0.00,2.00,0.00,601,NULL,212,'CENTRO','ITAPOÁ','SC',19621,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7181841,4.00,8.00,2.00,4.00,9.00,13.50,3.00,6.00,4.00,207,NULL,NULL,'CENTRO','JOINVILLE','SC',2949,102,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181850,6.00,7.00,2.00,7.00,7.00,10.50,3.00,6.00,5.00,103,NULL,NULL,'TIROL','NATAL','RN',6015,1631,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181876,3.00,7.00,2.00,6.00,6.00,6.75,2.00,4.00,1.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',16887,323,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181884,1.00,5.00,3.00,3.00,4.00,4.88,3.00,5.00,3.00,230,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18680,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181906,4.00,4.00,3.00,3.00,4.00,8.63,1.00,4.00,4.00,319,NULL,NULL,'SANTA ROSÁLIA','POÇOS CALDAS','MG',17295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7181914,6.00,8.00,3.00,7.00,7.00,8.63,4.00,7.00,7.00,103,NULL,NULL,'IMIGRANTES','CONCÓRDIA','SC',1577,765,NULL,NULL,NULL,NULL,NULL,2,26),(28,7181922,2.00,7.00,4.00,6.00,9.00,10.13,4.00,7.00,6.00,103,NULL,NULL,'TRAVESSÃO','BRAÇO NORTE','SC',2320,969,NULL,NULL,NULL,NULL,NULL,2,10),(28,7181930,2.00,5.00,4.00,4.00,2.00,NULL,3.00,2.00,3.00,201,NULL,212,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7181965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7181990,2.00,5.00,2.00,4.00,4.00,6.38,2.00,2.00,1.00,202,NULL,201,'SANTINHO','FLORIANÓPOLIS','SC',19554,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7182007,0.00,6.00,2.00,5.00,3.00,10.50,4.00,4.00,3.00,999,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7182015,4.00,7.00,8.00,6.00,5.00,9.38,5.00,7.00,5.00,203,NULL,653,'PARQUE SÃO DOMINGOS','S PAULO','SP',1484,136,NULL,2,NULL,NULL,NULL,4,1),(28,7182023,0.00,2.00,2.00,1.00,3.00,4.88,2.00,3.00,3.00,427,NULL,424,'COBRE','CANELINHA','SC',20114,29,NULL,NULL,NULL,NULL,NULL,5,1),(28,7182031,1.00,4.00,2.00,6.00,6.00,7.13,2.00,3.00,2.00,415,NULL,NULL,'COLATTO','XANXERÊ','SC',15592,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7182040,2.00,5.00,1.00,5.00,4.00,8.25,1.00,3.00,5.00,212,NULL,601,'PROGRESSO','PALMITOS','SC',10324,NULL,NULL,291,NULL,NULL,NULL,4,4),(28,7182066,0.00,3.00,0.00,2.00,2.00,NULL,1.00,1.00,0.00,212,NULL,215,'RIO CAVEIRA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7182082,4.00,6.00,2.00,6.00,8.00,7.88,5.00,7.00,6.00,203,NULL,201,'PASSO DA AREIA','CEL FREITAS','SC',3622,263,NULL,NULL,NULL,NULL,NULL,2,4),(28,7182090,5.00,8.00,4.00,8.00,7.00,11.25,4.00,7.00,7.00,211,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',857,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7182104,6.00,8.00,3.00,6.00,7.00,9.38,5.00,6.00,6.00,213,NULL,235,'ASILO','BLUMENAU','SC',2390,18,NULL,NULL,NULL,NULL,NULL,4,2),(28,7182112,1.00,3.00,2.00,3.00,3.00,NULL,0.00,3.00,2.00,234,NULL,NULL,'SANTO ANTONIO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7182120,0.00,4.00,2.00,0.00,4.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7182139,3.00,8.00,2.00,4.00,2.00,NULL,2.00,6.00,4.00,201,NULL,NULL,'DESPRAIADO','CUIABÁ','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7182147,1.00,0.00,2.00,7.00,5.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,17),(28,7182155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7182163,0.00,6.00,2.00,4.00,6.00,NULL,1.00,1.00,4.00,103,NULL,NULL,'DOS MUNICIPIOS','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7182180,7.00,7.00,5.00,6.00,8.00,8.25,8.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',441,310,NULL,NULL,NULL,NULL,NULL,4,1),(28,7182198,1.00,6.00,2.00,6.00,7.00,6.38,1.00,3.00,4.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',13291,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7182236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7182244,3.00,5.00,3.00,3.00,8.00,7.50,0.00,5.00,3.00,5,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',11214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7182252,2.00,5.00,2.00,5.00,6.00,NULL,2.00,4.00,2.00,303,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,17),(28,7182260,0.00,4.00,1.00,4.00,2.00,NULL,3.00,4.00,1.00,203,NULL,NULL,'VENEZA','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7182279,4.00,6.00,3.00,5.00,8.00,8.25,2.00,4.00,6.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',4764,1456,NULL,NULL,NULL,NULL,NULL,4,8),(28,7182287,4.00,6.00,2.00,5.00,7.00,9.00,2.00,6.00,4.00,326,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',8301,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7182295,3.00,8.00,3.00,5.00,7.00,9.75,2.00,7.00,5.00,317,NULL,NULL,'FLORESTA','VIDEIRA','SC',7295,17,NULL,NULL,NULL,NULL,NULL,4,16),(28,7182317,3.00,6.00,1.00,7.00,8.00,9.00,4.00,4.00,3.00,212,NULL,211,'COQUEIROS','FLORIANÓPOLIS','SC',7787,238,NULL,212,NULL,NULL,NULL,3,1),(28,7182325,1.00,8.00,1.00,7.00,7.00,8.25,1.00,6.00,4.00,203,NULL,NULL,'MONTE CARLO','CPO GRANDE','MS',10894,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(28,7182333,4.00,4.00,3.00,5.00,3.00,6.00,4.00,5.00,3.00,224,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',16658,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7182341,4.00,8.00,3.00,2.00,4.00,7.88,7.00,4.00,6.00,203,NULL,220,'PARQUE ALVORADA','DOURADOS','MS',5211,355,NULL,159,NULL,NULL,NULL,4,3),(28,7182368,6.00,7.00,3.00,3.00,3.00,9.00,5.00,8.00,4.00,201,NULL,203,'CENTRO','XANXERÊ','SC',3475,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7182384,4.00,7.00,0.00,6.00,4.00,7.50,2.00,4.00,4.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',7746,1859,NULL,NULL,NULL,NULL,NULL,4,1),(28,7182392,5.00,7.00,5.00,7.00,7.00,8.25,5.00,6.00,7.00,203,NULL,214,'CENTRO','PALOTINA','PR',1942,NULL,NULL,65,NULL,NULL,NULL,4,1),(28,7182406,5.00,6.00,2.00,4.00,7.00,7.88,5.00,7.00,6.00,340,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',5093,130,NULL,NULL,NULL,NULL,NULL,4,1),(28,7182414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7182430,1.00,3.00,3.00,4.00,3.00,6.75,1.00,6.00,2.00,212,NULL,233,'PICADAS DO SUL','S JOSÉ','SC',17116,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7182449,5.00,7.00,2.00,4.00,8.00,9.00,3.00,6.00,5.00,104,NULL,NULL,'CENTRO','MARMELEIRO','PR',4413,72,NULL,NULL,NULL,NULL,NULL,4,4),(28,7182465,2.00,2.00,3.00,4.00,3.00,7.88,2.00,3.00,1.00,103,NULL,NULL,'GUANABARA','JOINVILLE','SC',19601,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7182473,3.00,4.00,1.00,7.00,6.00,7.88,4.00,5.00,2.00,3,NULL,NULL,'SÃO JOÃO','PTO ALEGRE','RS',16251,80,NULL,NULL,NULL,NULL,NULL,4,1),(28,7182481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7182503,4.00,6.00,2.00,6.00,6.00,7.13,3.00,5.00,3.00,103,NULL,NULL,'PINHEIROS','OTACÍLIO COSTA','SC',9216,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7182511,2.00,3.00,1.00,5.00,5.00,4.50,3.00,2.00,4.00,302,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',19134,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7182520,5.00,7.00,4.00,8.00,9.00,8.25,4.00,6.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2414,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7182538,2.00,6.00,3.00,5.00,6.00,10.13,1.00,4.00,4.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',9413,152,NULL,NULL,NULL,NULL,NULL,4,1),(28,7182546,0.00,6.00,1.00,2.00,2.00,NULL,1.00,4.00,0.00,207,NULL,238,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7182570,0.00,2.00,4.00,5.00,2.00,NULL,1.00,3.00,4.00,502,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7182597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7182619,0.00,4.00,1.00,5.00,4.00,7.50,2.00,1.00,2.00,203,NULL,207,'FÁTIMA','JOINVILLE','SC',19712,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7182627,1.00,7.00,2.00,7.00,3.00,11.25,2.00,6.00,3.00,202,NULL,213,'SERRARIA','S JOSÉ','SC',9370,241,NULL,165,NULL,NULL,NULL,4,1),(28,7182635,4.00,5.00,6.00,7.00,8.00,7.50,4.00,3.00,3.00,103,NULL,NULL,'CENTRO','LAGES','SC',9931,2071,NULL,NULL,NULL,NULL,NULL,4,9),(28,7182643,2.00,7.00,1.00,6.00,7.00,7.13,4.00,6.00,2.00,109,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8308,4,NULL,NULL,NULL,NULL,NULL,2,1),(28,7182651,6.00,7.00,5.00,6.00,4.00,7.13,5.00,6.00,8.00,214,NULL,212,'JARDIM FERNANDES','S JOSÉ R PRETO','SP',1834,58,NULL,32,NULL,NULL,NULL,4,1),(28,7182660,2.00,6.00,2.00,4.00,7.00,6.38,4.00,4.00,4.00,319,NULL,NULL,'CENTRO','PALHOÇA','SC',13031,242,NULL,NULL,NULL,NULL,NULL,2,1),(28,7182678,2.00,3.00,2.00,3.00,3.00,6.00,2.00,2.00,2.00,454,NULL,NULL,'BONECA DO IGUAÇU','S JOSÉ PINHAIS','PR',19933,398,NULL,NULL,NULL,NULL,NULL,4,8),(28,7182694,2.00,6.00,3.00,6.00,6.00,7.13,3.00,5.00,4.00,319,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',8377,138,NULL,NULL,NULL,NULL,NULL,4,24),(28,7182708,4.00,7.00,0.00,4.00,8.00,8.63,3.00,5.00,3.00,319,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',12719,234,NULL,NULL,NULL,NULL,NULL,4,1),(28,7182716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,233,'JARDIM SANTA CÂNDIDA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7182724,4.00,4.00,2.00,6.00,5.00,3.00,2.00,4.00,3.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7182740,6.00,8.00,3.00,7.00,8.00,7.88,4.00,7.00,6.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',3464,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7182759,2.00,6.00,1.00,6.00,5.00,2.25,2.00,5.00,1.00,450,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7182775,0.00,5.00,1.00,6.00,5.00,8.25,2.00,3.00,2.00,301,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',18368,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7182791,2.00,7.00,1.00,4.00,6.00,6.00,1.00,3.00,3.00,207,NULL,211,'BARRA DO ARIRIÚ','PALHOÇA','SC',15403,677,NULL,384,NULL,NULL,NULL,2,1),(28,7182805,5.00,6.00,4.00,5.00,7.00,7.88,5.00,5.00,4.00,101,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8594,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7182813,0.00,7.00,3.00,5.00,4.00,6.38,2.00,6.00,5.00,216,NULL,NULL,'JOÃO COSTA','JOINVILLE','SC',14817,394,NULL,NULL,NULL,NULL,NULL,2,8),(28,7182821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7182848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,233,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7182864,3.00,7.00,2.00,7.00,7.00,8.63,4.00,5.00,5.00,216,NULL,214,'CENTRO','CPO LARGO','PR',4829,185,NULL,158,NULL,NULL,NULL,4,1),(28,7182902,2.00,2.00,2.00,2.00,5.00,8.25,3.00,3.00,2.00,654,NULL,NULL,'VILA SÃO JOSE','ARARANGUÁ','SC',19226,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7182910,6.00,7.00,5.00,7.00,8.00,9.38,8.00,8.00,6.00,214,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',1231,30,NULL,6,NULL,NULL,NULL,4,1),(28,7182929,1.00,2.00,0.00,4.00,3.00,4.50,2.00,4.00,2.00,304,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7182937,1.00,2.00,1.00,2.00,3.00,NULL,0.00,5.00,2.00,501,NULL,NULL,'PAGARÁ','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7182953,3.00,6.00,1.00,7.00,4.00,7.88,3.00,4.00,2.00,428,NULL,424,'ITACORUBI','FLORIANÓPOLIS','SC',16065,47,NULL,NULL,NULL,NULL,NULL,4,1),(28,7182961,5.00,0.00,5.00,6.00,5.00,NULL,0.00,0.00,0.00,203,NULL,233,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7182970,5.00,7.00,3.00,6.00,7.00,6.75,4.00,7.00,2.00,103,NULL,NULL,'INTERIOR','SUL BRASIL','SC',6766,1729,NULL,NULL,NULL,NULL,NULL,2,4),(28,7182996,4.00,6.00,3.00,5.00,7.00,9.00,2.00,6.00,3.00,5,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',11320,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183003,1.00,5.00,2.00,5.00,5.00,9.00,3.00,4.00,4.00,208,NULL,NULL,'SERRARIA','S JOSÉ','SC',10554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183011,3.00,4.00,2.00,5.00,3.00,9.00,1.00,6.00,1.00,208,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',18210,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183020,2.00,5.00,2.00,3.00,6.00,9.38,3.00,5.00,4.00,426,NULL,NULL,'SANTA ISABEL','ÁGUAS MORNAS','SC',9825,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183062,2.00,6.00,3.00,6.00,7.00,7.13,2.00,5.00,3.00,104,NULL,NULL,'CENTRO','MELEIRO','SC',9706,234,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183097,2.00,3.00,1.00,5.00,4.00,8.25,2.00,2.00,3.00,999,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183100,5.00,9.00,4.00,6.00,9.00,11.63,4.00,9.00,7.00,203,NULL,233,'ÁGUA VERDE','BLUMENAU','SC',952,92,NULL,8,NULL,NULL,NULL,4,2),(28,7183119,4.00,7.00,3.00,7.00,6.00,9.75,2.00,4.00,3.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183127,2.00,6.00,3.00,4.00,7.00,8.25,4.00,5.00,4.00,340,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',8264,221,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183135,2.00,7.00,1.00,7.00,5.00,7.13,2.00,6.00,5.00,201,NULL,211,'COQUEIROS','FLORIANÓPOLIS','SC',7903,570,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183151,1.00,1.00,3.00,6.00,5.00,5.25,3.00,3.00,2.00,319,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7183186,0.00,0.00,2.00,5.00,6.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7183194,1.00,4.00,2.00,5.00,6.00,6.38,0.00,2.00,3.00,317,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19329,171,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183208,3.00,4.00,1.00,5.00,6.00,9.00,1.00,4.00,3.00,101,NULL,NULL,'CENTRO','PAULO LOPES','SC',13534,78,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183216,1.00,6.00,2.00,4.00,5.00,7.50,1.00,6.00,1.00,340,NULL,NULL,'AREIAS','FLORIANÓPOLIS','SC',15476,398,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183224,1.00,6.00,2.00,6.00,5.00,9.38,3.00,4.00,3.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',15644,426,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183232,2.00,8.00,2.00,6.00,5.00,9.38,2.00,6.00,1.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9030,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183240,1.00,3.00,1.00,4.00,6.00,7.13,2.00,3.00,2.00,5,NULL,NULL,'SERTAO DO MARUIM','S JOSÉ','SC',16507,441,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183259,2.00,5.00,1.00,3.00,3.00,NULL,0.00,4.00,2.00,203,NULL,201,'CENTRO','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7183267,2.00,6.00,4.00,3.00,5.00,10.88,6.00,6.00,2.00,222,NULL,NULL,'PENHA','PAULO LOPES','SC',10595,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183275,3.00,6.00,2.00,5.00,8.00,9.38,6.00,4.00,3.00,5,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',12246,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183283,2.00,5.00,1.00,4.00,6.00,5.63,2.00,4.00,4.00,444,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',18024,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183305,1.00,4.00,1.00,4.00,2.00,NULL,2.00,3.00,1.00,310,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183313,1.00,7.00,0.00,7.00,7.00,7.13,5.00,5.00,5.00,216,NULL,215,'CENTRO','ITAJAÍ','SC',10897,332,NULL,186,NULL,NULL,NULL,4,6),(28,7183321,2.00,4.00,1.00,4.00,4.00,7.50,4.00,4.00,2.00,339,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',18458,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183348,4.00,6.00,3.00,5.00,9.00,9.38,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3446,1231,NULL,NULL,NULL,NULL,NULL,4,17),(28,7183356,0.00,3.00,2.00,2.00,4.00,5.63,3.00,1.00,1.00,654,NULL,NULL,'SITIO PETERS','POUSO REDONDO','SC',18427,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7183364,3.00,4.00,3.00,6.00,5.00,9.75,3.00,4.00,4.00,104,NULL,NULL,'DEHON','TUBARÃO','SC',9168,220,NULL,NULL,NULL,NULL,NULL,2,10),(28,7183372,0.00,6.00,1.00,6.00,7.00,6.38,1.00,8.00,4.00,336,NULL,NULL,'HARMONIA','CANOAS','RS',10517,53,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183380,1.00,3.00,1.00,4.00,8.00,8.63,2.00,3.00,2.00,317,NULL,NULL,'AREIAS','PAULO LOPES','SC',12704,69,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'VILA RAU','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7183402,2.00,5.00,2.00,4.00,4.00,7.13,1.00,5.00,3.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15196,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183410,0.00,1.00,4.00,1.00,5.00,7.50,0.00,1.00,2.00,109,NULL,NULL,'JARDIM SAO MIGUEL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183429,1.00,5.00,2.00,7.00,4.00,NULL,2.00,3.00,1.00,238,NULL,213,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7183437,1.00,3.00,1.00,5.00,3.00,6.38,0.00,2.00,2.00,601,NULL,203,'SAGUAÇU','JOINVILLE','SC',19981,559,NULL,713,NULL,NULL,NULL,2,8),(28,7183445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'CENTO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7183470,1.00,7.00,1.00,4.00,9.00,10.13,2.00,8.00,4.00,207,NULL,238,'FORQUILHAS','S JOSÉ','SC',5771,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183488,6.00,7.00,1.00,6.00,8.00,9.75,4.00,5.00,5.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3739,1273,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183496,3.00,4.00,3.00,5.00,5.00,5.63,2.00,4.00,5.00,212,NULL,238,'CAMINHO NOVO','PALHOÇA','SC',12180,336,NULL,198,NULL,NULL,NULL,2,1),(28,7183518,4.00,1.00,1.00,1.00,2.00,NULL,1.00,3.00,2.00,104,NULL,NULL,'SÃO CRISTOVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7183526,2.00,3.00,3.00,3.00,2.00,NULL,3.00,3.00,2.00,110,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183534,4.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,202,NULL,220,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7183542,0.00,2.00,1.00,2.00,4.00,3.00,1.00,4.00,1.00,451,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183550,5.00,7.00,3.00,6.00,9.00,8.25,2.00,6.00,4.00,340,NULL,NULL,'ZONA','UMUARAMA','PR',7617,205,NULL,NULL,NULL,NULL,NULL,4,4),(28,7183569,4.00,5.00,3.00,6.00,8.00,8.63,5.00,5.00,4.00,301,NULL,NULL,'GARCIA','BLUMENAU','SC',8230,89,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183577,0.00,4.00,1.00,6.00,4.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'TROPICAL','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183585,0.00,6.00,2.00,6.00,9.00,6.75,0.00,4.00,3.00,109,NULL,NULL,'SANTO ANTÔNIO','JANDIRA','SP',11046,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183607,4.00,7.00,3.00,4.00,8.00,8.25,5.00,6.00,4.00,201,NULL,233,'SÃO SEBASTIÃO','PALHOÇA','SC',4989,385,NULL,133,NULL,NULL,NULL,4,1),(28,7183615,1.00,0.00,4.00,7.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA RURAL','ACREÚNA','GO',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(28,7183623,1.00,3.00,0.00,4.00,5.00,6.00,2.00,3.00,1.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19964,65,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7183658,2.00,8.00,3.00,6.00,4.00,7.13,3.00,4.00,0.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183666,6.00,8.00,3.00,7.00,10.00,13.13,4.00,8.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',350,255,NULL,NULL,NULL,NULL,NULL,4,4),(28,7183682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7183690,5.00,7.00,1.00,4.00,7.00,6.38,4.00,8.00,7.00,215,NULL,216,'VILA MACARINI','CRICIÚMA','SC',3884,29,NULL,NULL,NULL,NULL,NULL,4,5),(28,7183704,1.00,3.00,3.00,5.00,6.00,5.63,4.00,3.00,2.00,316,NULL,NULL,'GANCHOS DO MEIO','GOV CELSO RAMOS','SC',18197,263,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183712,6.00,7.00,4.00,5.00,7.00,11.63,5.00,6.00,6.00,103,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',2508,1025,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183739,3.00,5.00,2.00,5.00,3.00,8.25,2.00,3.00,2.00,444,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183747,0.00,4.00,3.00,6.00,5.00,7.50,1.00,4.00,2.00,201,NULL,207,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',14467,887,NULL,637,NULL,NULL,NULL,2,1),(28,7183755,0.00,4.00,2.00,3.00,4.00,9.38,1.00,2.00,1.00,207,NULL,212,'CENTRO','JAÚ','SP',15512,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7183763,2.00,5.00,3.00,5.00,3.00,7.13,3.00,2.00,1.00,501,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',15271,96,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183771,1.00,6.00,0.00,5.00,5.00,7.13,3.00,3.00,4.00,333,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',13910,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183798,3.00,4.00,3.00,2.00,3.00,5.25,2.00,2.00,0.00,601,NULL,203,'CENTRO','S DOMINGOS','SC',18025,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7183810,4.00,6.00,3.00,5.00,8.00,9.75,3.00,5.00,3.00,424,NULL,425,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',11636,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183836,0.00,4.00,1.00,4.00,6.00,7.13,2.00,5.00,3.00,301,NULL,NULL,'STOANTONIO DE LISBOA','FLORIANÓPOLIS','SC',15939,226,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183844,1.00,5.00,0.00,6.00,6.00,8.25,3.00,3.00,3.00,103,NULL,NULL,'VILA HORTENCIA','SOROCABA','SP',10519,2109,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7183860,2.00,3.00,4.00,4.00,7.00,6.75,1.00,6.00,5.00,319,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',17074,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7183887,7.00,6.00,3.00,6.00,7.00,9.38,4.00,4.00,4.00,110,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4812,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183895,3.00,8.00,3.00,5.00,7.00,7.88,3.00,6.00,4.00,207,NULL,201,'RACHADEL','ANTÔNIO CARLOS','SC',9028,416,NULL,628,NULL,NULL,NULL,2,1),(28,7183909,3.00,4.00,1.00,5.00,6.00,8.25,2.00,5.00,4.00,319,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',13053,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7183917,3.00,7.00,0.00,7.00,7.00,7.88,3.00,6.00,4.00,303,NULL,NULL,'IPIRANGA','S JOSÉ','SC',7046,315,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183925,0.00,2.00,1.00,2.00,3.00,NULL,0.00,1.00,0.00,317,NULL,NULL,'SERTÃO DO IMARUI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183950,0.00,2.00,1.00,4.00,3.00,6.38,0.00,4.00,0.00,552,NULL,NULL,'CENTRO','JOAÇABA','SC',20116,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7183968,3.00,6.00,1.00,6.00,7.00,8.63,1.00,4.00,4.00,103,NULL,NULL,'VITOR DANTAS','CORNÉLIO PROCÓPIO','PR',13405,2277,NULL,NULL,NULL,NULL,NULL,4,8),(28,7183976,3.00,8.00,1.00,5.00,5.00,7.13,2.00,5.00,3.00,201,NULL,212,'CALEMBA','STO AMARO IMPERATRIZ','SC',9669,658,NULL,284,NULL,NULL,NULL,2,1),(28,7183984,2.00,2.00,1.00,7.00,4.00,6.38,0.00,5.00,2.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7183992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7184000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7184026,6.00,7.00,5.00,7.00,9.00,7.13,5.00,8.00,5.00,103,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',2402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7184034,6.00,7.00,1.00,6.00,7.00,10.50,2.00,6.00,4.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4587,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184042,3.00,6.00,3.00,5.00,6.00,6.00,4.00,5.00,6.00,317,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',7411,18,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184050,1.00,5.00,2.00,1.00,5.00,5.25,2.00,5.00,1.00,501,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184077,3.00,0.00,4.00,3.00,3.00,12.75,3.00,2.00,0.00,222,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16968,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7184085,0.00,5.00,1.00,2.00,5.00,6.00,2.00,4.00,2.00,308,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',19517,90,NULL,NULL,NULL,NULL,NULL,4,1),(28,7184093,1.00,5.00,2.00,5.00,4.00,6.00,2.00,5.00,4.00,103,NULL,NULL,'WARNOW','INDAIAL','SC',14097,2308,NULL,NULL,NULL,NULL,NULL,2,2),(28,7184107,0.00,4.00,1.00,0.00,1.00,NULL,2.00,3.00,0.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7184115,6.00,7.00,6.00,6.00,6.00,13.50,6.00,6.00,7.00,103,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',463,324,NULL,NULL,NULL,NULL,NULL,4,1),(28,7184123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7184131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,NULL,'CANAS VIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7184140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'JARDIM PRIMAVERA','RANCHARIA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7184158,3.00,3.00,2.00,6.00,4.00,8.25,1.00,4.00,1.00,316,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',15321,200,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184166,2.00,7.00,4.00,6.00,6.00,9.00,3.00,6.00,4.00,103,NULL,NULL,'NOVA GERTY','S CAETANO SUL','SP',7267,1796,NULL,NULL,NULL,NULL,NULL,4,8),(28,7184174,4.00,5.00,1.00,5.00,3.00,7.13,3.00,5.00,3.00,220,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',13794,301,NULL,230,NULL,NULL,NULL,2,1),(28,7184182,3.00,7.00,2.00,3.00,7.00,8.25,4.00,5.00,1.00,319,NULL,NULL,'PALHOÇA CENTRO','PALHOÇA','SC',10422,192,NULL,NULL,NULL,NULL,NULL,4,1),(28,7184190,5.00,7.00,4.00,7.00,8.00,8.25,6.00,6.00,7.00,207,NULL,201,'SALTO','BLUMENAU','SC',1387,35,NULL,NULL,NULL,NULL,NULL,4,2),(28,7184204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7184212,3.00,3.00,3.00,6.00,4.00,7.88,4.00,4.00,3.00,202,NULL,235,'CENTRO','LAGUNA','SC',11403,NULL,NULL,185,NULL,NULL,NULL,2,10),(28,7184220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7184255,5.00,8.00,0.00,8.00,10.00,12.00,3.00,7.00,2.00,5,NULL,NULL,'CENTRO','CANOINHAS','SC',2982,103,NULL,NULL,NULL,NULL,NULL,4,17),(28,7184263,2.00,7.00,2.00,6.00,6.00,8.63,2.00,5.00,5.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7184271,3.00,5.00,1.00,6.00,7.00,8.25,1.00,3.00,3.00,108,NULL,NULL,'JARDIM CARANDAI','BIGUAÇU','SC',12353,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CAMOBI','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7184301,2.00,7.00,2.00,2.00,4.00,8.63,2.00,4.00,1.00,318,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16049,114,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184310,3.00,6.00,2.00,4.00,6.00,9.38,4.00,6.00,4.00,103,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',7859,1877,NULL,NULL,NULL,NULL,NULL,2,4),(28,7184328,3.00,5.00,2.00,5.00,8.00,9.00,5.00,6.00,5.00,5,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',4097,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7184336,2.00,5.00,1.00,4.00,7.00,8.25,2.00,3.00,2.00,211,NULL,207,'ALTO ARIRIU','PALHOÇA','SC',13383,342,NULL,600,NULL,NULL,NULL,4,1),(28,7184344,4.00,7.00,1.00,6.00,7.00,5.25,1.00,7.00,3.00,303,NULL,NULL,'VILA SÃO PEDRO','S JOSÉ CAMPOS','SP',8207,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7184360,5.00,6.00,4.00,4.00,8.00,7.13,5.00,5.00,2.00,103,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',6421,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7184387,3.00,5.00,3.00,7.00,6.00,9.75,4.00,3.00,3.00,601,NULL,203,'BOEHMERWALD','JOINVILLE','SC',13832,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7184409,2.00,9.00,2.00,7.00,11.00,10.88,2.00,8.00,3.00,103,NULL,NULL,'STO ANTÔNIO DE PÁDUA','TUBARÃO','SC',2959,1128,NULL,NULL,NULL,NULL,NULL,4,10),(28,7184417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'PARQUE AGARI','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7184425,3.00,7.00,5.00,6.00,9.00,9.00,1.00,5.00,0.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',9227,381,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184433,1.00,4.00,3.00,6.00,3.00,6.75,2.00,1.00,2.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16128,328,NULL,NULL,NULL,NULL,NULL,4,1),(28,7184441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7184450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',5,2),(28,7184468,4.00,6.00,5.00,6.00,8.00,8.63,6.00,7.00,6.00,103,NULL,NULL,'BELA VISTA','RIO PEDRAS','SP',1975,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184476,5.00,7.00,2.00,6.00,7.00,8.63,3.00,6.00,5.00,5,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',5142,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184484,2.00,6.00,2.00,5.00,5.00,7.88,2.00,4.00,1.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12657,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184492,1.00,6.00,2.00,6.00,4.00,9.75,2.00,3.00,2.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11877,55,NULL,NULL,NULL,NULL,NULL,5,1),(28,7184506,4.00,4.00,4.00,6.00,8.00,8.25,5.00,4.00,4.00,212,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',6609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184514,0.00,4.00,2.00,2.00,5.00,NULL,0.00,4.00,0.00,3,NULL,NULL,'CENTRO','S JOÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7184522,4.00,3.00,4.00,5.00,3.00,8.25,0.00,4.00,4.00,450,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',12767,97,NULL,NULL,NULL,NULL,NULL,4,1),(28,7184530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'VILA NOVA','COCAL SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7184549,2.00,6.00,3.00,3.00,6.00,7.13,0.00,3.00,2.00,308,NULL,NULL,'FLORESTA','S JOSÉ','SC',14100,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7184557,4.00,8.00,4.00,7.00,5.00,13.13,5.00,7.00,5.00,653,NULL,655,'CENTRO','CURITIBA','PR',3603,22,NULL,NULL,NULL,NULL,NULL,4,4),(28,7184565,2.00,8.00,1.00,7.00,8.00,12.38,5.00,4.00,4.00,207,NULL,211,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',4480,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184573,2.00,4.00,0.00,5.00,7.00,6.75,2.00,4.00,4.00,601,NULL,201,'AVENTUREIRO','JOINVILLE','SC',12854,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7184581,6.00,8.00,3.00,4.00,9.00,9.00,2.00,7.00,7.00,103,NULL,NULL,'CASCATINHA','PTE SERRADA','SC',2058,898,NULL,NULL,NULL,NULL,NULL,2,4),(28,7184611,3.00,6.00,3.00,3.00,4.00,6.00,3.00,4.00,1.00,340,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',15204,396,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184620,1.00,4.00,2.00,6.00,5.00,5.63,2.00,6.00,2.00,329,NULL,NULL,'BELA VISTA','PALHOÇA','SC',18223,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184646,2.00,7.00,2.00,7.00,3.00,5.25,4.00,3.00,2.00,302,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',17868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7184654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'LINHA RIO DO MEIO','LEBON RÉGIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7184662,3.00,8.00,2.00,6.00,6.00,9.38,4.00,6.00,6.00,3,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',4341,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7184670,3.00,4.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7184689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7184697,1.00,7.00,3.00,5.00,6.00,7.88,2.00,5.00,4.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184700,3.00,7.00,2.00,6.00,5.00,7.88,2.00,6.00,3.00,303,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',14148,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7184719,2.00,7.00,3.00,4.00,8.00,7.88,1.00,6.00,6.00,215,NULL,207,'VILA RICA','HERVAL D OESTE','SC',10286,176,NULL,470,NULL,NULL,NULL,4,7),(28,7184735,2.00,5.00,5.00,7.00,3.00,4.50,4.00,3.00,3.00,207,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',17904,759,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184743,3.00,7.00,3.00,6.00,8.00,9.75,3.00,5.00,2.00,552,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',11501,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184751,1.00,3.00,2.00,3.00,5.00,8.25,4.00,3.00,3.00,317,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7184778,3.00,6.00,3.00,7.00,9.00,7.50,3.00,6.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6357,102,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184794,2.00,6.00,1.00,6.00,5.00,7.88,2.00,5.00,3.00,316,NULL,NULL,'AREIAS','PAULO LOPES','SC',17347,245,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184816,0.00,3.00,1.00,0.00,2.00,NULL,1.00,2.00,0.00,101,NULL,NULL,'DONA VANDA SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7184832,1.00,2.00,1.00,4.00,3.00,8.25,0.00,4.00,0.00,101,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',17838,117,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184859,0.00,2.00,1.00,5.00,7.00,NULL,0.00,5.00,1.00,104,NULL,NULL,'CENTRO','OSÓRIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7184867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CAMPOS ELÍSEOS','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7184875,0.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'JOAIA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7184883,3.00,4.00,0.00,3.00,8.00,6.38,4.00,5.00,3.00,319,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',12799,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184891,2.00,7.00,2.00,8.00,6.00,7.13,3.00,5.00,3.00,201,NULL,203,'PRIMAVERA','NOVO HAMBURGO','RS',10936,718,NULL,556,NULL,NULL,NULL,4,3),(28,7184905,1.00,2.00,2.00,4.00,5.00,7.50,2.00,2.00,1.00,415,NULL,NULL,'AREIAS','S JOSÉ','SC',18162,268,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184913,2.00,7.00,2.00,6.00,7.00,6.38,3.00,6.00,6.00,203,NULL,214,'CARVOEIRA','FLORIANÓPOLIS','SC',9563,523,NULL,248,NULL,NULL,NULL,4,1),(28,7184921,6.00,7.00,4.00,6.00,8.00,8.25,1.00,5.00,5.00,216,NULL,653,'JD SATÉLITE','S JOSÉ CAMPOS','SP',2729,98,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184930,1.00,3.00,1.00,6.00,6.00,6.75,2.00,4.00,1.00,317,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184948,3.00,7.00,2.00,7.00,7.00,7.50,5.00,5.00,5.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5004,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7184956,3.00,6.00,1.00,6.00,7.00,7.13,3.00,6.00,3.00,211,NULL,207,'JD STA CRUZ','S PAULO','SP',13404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7184964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PARAÍSO','CATALÃO','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7184972,2.00,7.00,2.00,7.00,5.00,6.75,2.00,4.00,4.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',9685,398,NULL,NULL,NULL,NULL,NULL,4,5),(28,7184980,1.00,0.00,2.00,2.00,1.00,NULL,0.00,0.00,0.00,201,NULL,212,'SÃO CRISTÓVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(28,7185006,3.00,4.00,3.00,5.00,6.00,6.38,1.00,3.00,3.00,339,NULL,NULL,'SERRARIA','S JOSÉ','SC',18070,51,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185014,4.00,4.00,1.00,4.00,6.00,10.13,2.00,4.00,1.00,101,NULL,NULL,'IPIRANGA','S JOSÉ','SC',16875,110,NULL,NULL,NULL,NULL,NULL,4,1),(28,7185022,4.00,7.00,1.00,7.00,5.00,8.25,3.00,6.00,4.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7576,71,NULL,NULL,NULL,NULL,NULL,4,1),(28,7185049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7185065,7.00,8.00,7.00,8.00,11.00,11.25,6.00,8.00,8.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',18,15,NULL,NULL,NULL,NULL,NULL,4,8),(28,7185073,0.00,8.00,3.00,6.00,6.00,NULL,0.00,4.00,4.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185090,6.00,8.00,2.00,6.00,11.00,13.50,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',390,279,NULL,NULL,NULL,NULL,NULL,4,4),(28,7185103,3.00,6.00,1.00,6.00,5.00,7.88,2.00,6.00,2.00,233,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',11866,268,NULL,188,NULL,NULL,NULL,2,1),(28,7185120,1.00,5.00,3.00,6.00,5.00,7.88,1.00,3.00,3.00,101,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',13277,73,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185138,3.00,7.00,1.00,4.00,7.00,8.25,3.00,7.00,5.00,303,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',7639,337,NULL,NULL,NULL,NULL,NULL,4,8),(28,7185146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'VILA SANTO ANTONIO','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7185162,4.00,6.00,1.00,6.00,6.00,8.25,2.00,4.00,4.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',9292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7185189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7185197,3.00,7.00,4.00,5.00,8.00,6.00,3.00,7.00,5.00,415,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',6296,101,NULL,NULL,NULL,NULL,NULL,4,1),(28,7185219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7185227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7185235,0.00,2.00,3.00,2.00,3.00,7.50,1.00,3.00,0.00,324,NULL,NULL,'ALTO ARIRIRU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185243,1.00,3.00,3.00,3.00,4.00,NULL,3.00,3.00,0.00,102,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185251,3.00,7.00,1.00,6.00,8.00,6.00,4.00,7.00,4.00,214,NULL,213,'FORTALEZA','BLUMENAU','SC',7220,218,NULL,121,NULL,NULL,NULL,4,2),(28,7185260,3.00,7.00,1.00,6.00,7.00,8.25,3.00,5.00,2.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9236,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7185294,6.00,7.00,0.00,6.00,6.00,9.38,5.00,5.00,2.00,303,NULL,NULL,'PRAIA DA PINHEIRA','PALHOÇA','SC',9093,376,NULL,NULL,NULL,NULL,NULL,4,1),(28,7185308,3.00,6.00,3.00,5.00,5.00,8.25,3.00,3.00,3.00,404,NULL,NULL,'MARIA TEREZINHA','PINHALZINHO','SC',10518,6,NULL,NULL,NULL,NULL,NULL,2,4),(28,7185316,2.00,6.00,3.00,3.00,3.00,7.13,2.00,4.00,3.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14195,69,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185332,1.00,3.00,2.00,6.00,5.00,9.00,3.00,6.00,3.00,333,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12804,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185340,6.00,8.00,6.00,5.00,8.00,10.50,6.00,6.00,5.00,601,NULL,201,'ANITA GARIBALDI','JOINVILLE','SC',1480,9,NULL,NULL,NULL,NULL,NULL,4,8),(28,7185359,1.00,8.00,1.00,3.00,6.00,NULL,2.00,5.00,3.00,103,NULL,NULL,'BARIL','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(28,7185367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,201,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7185375,5.00,7.00,4.00,5.00,7.00,9.75,5.00,6.00,7.00,201,NULL,212,'VILA MARIANA','S PAULO','SP',1219,66,NULL,NULL,NULL,NULL,NULL,4,1),(28,7185383,1.00,4.00,0.00,4.00,3.00,6.38,1.00,2.00,0.00,454,NULL,NULL,'PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP',18257,374,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185391,0.00,4.00,1.00,3.00,3.00,NULL,2.00,3.00,2.00,109,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185413,0.00,2.00,2.00,3.00,5.00,NULL,0.00,2.00,2.00,601,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7185421,4.00,5.00,1.00,3.00,5.00,9.00,3.00,4.00,1.00,654,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',14196,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7185430,0.00,5.00,1.00,1.00,4.00,7.50,1.00,4.00,2.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',17700,753,NULL,981,NULL,NULL,NULL,4,1),(28,7185448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7185456,0.00,4.00,1.00,5.00,6.00,5.25,2.00,4.00,2.00,653,NULL,652,'MATO ALTO','ARARANGUÁ','SC',19248,205,NULL,100,NULL,NULL,NULL,2,15),(28,7185464,1.00,3.00,0.00,5.00,5.00,6.75,1.00,2.00,2.00,429,NULL,425,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',17412,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7185472,0.00,4.00,1.00,3.00,2.00,NULL,2.00,2.00,2.00,655,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7185480,1.00,6.00,3.00,4.00,8.00,10.13,3.00,4.00,3.00,102,NULL,NULL,'CENTRO','SEVERÍNIA','SP',6952,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7185499,3.00,7.00,1.00,5.00,6.00,8.25,0.00,6.00,5.00,216,NULL,233,'INDUSTRIAL NORTE','RIO NEGRINHO','SC',10277,319,NULL,244,NULL,NULL,NULL,2,8),(28,7185502,2.00,6.00,4.00,7.00,8.00,9.38,4.00,5.00,4.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5329,30,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185510,5.00,6.00,1.00,6.00,9.00,6.75,3.00,5.00,5.00,302,NULL,NULL,'JARDIM SÃO LUÍS','JARAGUÁ SUL','SC',10906,68,NULL,NULL,NULL,NULL,NULL,4,23),(28,7185537,3.00,5.00,5.00,5.00,5.00,6.38,5.00,4.00,3.00,327,NULL,NULL,'CACHOEIRA DO BOM J','FLORIANÓPOLIS','SC',12055,31,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185545,1.00,4.00,2.00,6.00,8.00,7.50,2.00,7.00,4.00,303,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',7784,347,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185553,0.00,4.00,0.00,3.00,3.00,6.38,0.00,4.00,2.00,103,NULL,NULL,'FIGUEIRA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7185570,0.00,6.00,1.00,4.00,4.00,NULL,1.00,4.00,3.00,336,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7185588,0.00,7.00,4.00,5.00,6.00,7.50,0.00,2.00,3.00,207,NULL,201,'CENTRO','BRAÇO NORTE','SC',11782,538,NULL,758,NULL,NULL,NULL,2,10),(28,7185596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7185600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7185618,3.00,7.00,3.00,7.00,9.00,10.50,3.00,7.00,4.00,216,NULL,202,'LICORSUL','BENTO GONÇALVES','RS',3157,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7185626,5.00,8.00,1.00,6.00,8.00,6.00,1.00,6.00,4.00,238,NULL,655,'CENTRO','FLORIANÓPOLIS','SC',8565,120,NULL,35,NULL,NULL,NULL,2,1),(28,7185634,0.00,4.00,1.00,2.00,3.00,NULL,0.00,4.00,2.00,238,NULL,203,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7185642,0.00,4.00,2.00,0.00,5.00,4.50,1.00,2.00,2.00,103,NULL,NULL,'FIGUEIRA','GASPAR','SC',18672,2493,NULL,NULL,NULL,NULL,NULL,2,2),(28,7185650,2.00,6.00,0.00,5.00,3.00,NULL,0.00,5.00,1.00,309,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185685,2.00,7.00,1.00,7.00,7.00,7.13,4.00,8.00,4.00,220,NULL,235,'SANTA MONICA','FLORIANÓPOLIS','SC',5877,169,NULL,101,NULL,NULL,NULL,4,1),(28,7185693,1.00,2.00,2.00,5.00,2.00,NULL,2.00,4.00,1.00,601,NULL,652,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185707,1.00,6.00,2.00,5.00,7.00,8.63,4.00,5.00,3.00,454,NULL,NULL,'CACHO DO B JESUS','FLORIANÓPOLIS','SC',11524,227,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185715,4.00,8.00,2.00,6.00,8.00,10.50,2.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7185723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7185731,3.00,5.00,4.00,5.00,6.00,7.50,3.00,4.00,1.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10583,255,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185740,1.00,6.00,1.00,6.00,7.00,8.25,4.00,5.00,2.00,103,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',15252,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CHACARA MANELA','CAMBÉ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7185766,5.00,8.00,3.00,6.00,7.00,9.75,3.00,5.00,5.00,201,NULL,207,'VILA ITOUPAVA','BLUMENAU','SC',2913,221,NULL,NULL,NULL,NULL,NULL,4,2),(28,7185774,2.00,4.00,4.00,5.00,7.00,6.38,4.00,5.00,2.00,220,NULL,238,'PRAÇA','TIJUCAS','SC',15623,317,NULL,260,NULL,NULL,NULL,4,1),(28,7185782,0.00,4.00,1.00,2.00,4.00,NULL,1.00,3.00,2.00,303,NULL,NULL,'DISTRITO GRAPIA','PARAÍSO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7185790,0.00,3.00,1.00,5.00,4.00,NULL,3.00,1.00,3.00,501,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185804,0.00,3.00,2.00,2.00,2.00,NULL,0.00,2.00,3.00,303,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7185812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7185820,2.00,5.00,1.00,5.00,5.00,11.25,3.00,4.00,3.00,652,NULL,655,'IPIRANGA','S JOSÉ','SC',15764,60,NULL,NULL,NULL,NULL,NULL,4,1),(28,7185839,2.00,7.00,0.00,4.00,8.00,7.88,3.00,6.00,3.00,3,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',9654,35,NULL,NULL,NULL,NULL,NULL,2,22),(28,7185855,1.00,6.00,3.00,5.00,4.00,8.63,0.00,4.00,3.00,234,NULL,NULL,'SÃO CAMILO','GR PARÁ','SC',13537,36,NULL,NULL,NULL,NULL,NULL,2,10),(28,7185863,2.00,1.00,2.00,6.00,4.00,7.13,0.00,3.00,1.00,317,NULL,NULL,'CENTRO','BIGUAÇU','SC',19689,177,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'PRESIDENTE MEDICE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7185901,3.00,8.00,2.00,6.00,6.00,10.88,4.00,8.00,6.00,103,NULL,NULL,'CENTRO','GUARACIABA','SC',2825,1096,NULL,NULL,NULL,NULL,NULL,4,4),(28,7185928,2.00,3.00,2.00,5.00,4.00,5.25,1.00,3.00,3.00,340,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',19523,430,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185936,5.00,6.00,1.00,5.00,6.00,6.75,2.00,4.00,4.00,104,NULL,NULL,'RIO MORTO','INDAIAL','SC',9116,217,NULL,NULL,NULL,NULL,NULL,4,2),(28,7185952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7185960,2.00,4.00,2.00,4.00,3.00,9.00,2.00,3.00,2.00,103,NULL,NULL,'JARDIM IATE CLUBE','BAL CAMBORIÚ','SC',14980,2349,NULL,NULL,NULL,NULL,NULL,2,3),(28,7185979,7.00,8.00,4.00,6.00,9.00,9.75,3.00,8.00,8.00,203,NULL,214,'VILA INDUSTRIAL','S JOSÉ CAMPOS','SP',776,73,NULL,NULL,NULL,NULL,NULL,2,1),(28,7185987,3.00,5.00,2.00,6.00,5.00,9.00,1.00,5.00,2.00,207,NULL,233,'BARRA DO ARIRIU','PALHOÇA','SC',10184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','MARAU','RS',NULL,NULL,NULL,NULL,'S','S','S',4,26),(28,7186010,0.00,5.00,3.00,4.00,6.00,6.75,2.00,3.00,2.00,316,NULL,NULL,'AEROPORTO','CLEVELÂNDIA','PR',18750,278,NULL,NULL,NULL,NULL,NULL,2,3),(28,7186029,2.00,4.00,0.00,6.00,7.00,NULL,0.00,5.00,3.00,103,NULL,NULL,'BRASÍLIA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7186037,1.00,4.00,1.00,4.00,4.00,7.88,2.00,4.00,2.00,103,NULL,NULL,'BEATRIZ','LAGES','SC',15540,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7186045,0.00,5.00,1.00,6.00,6.00,8.25,3.00,4.00,4.00,203,NULL,653,'JARDIM ELIZABETE','IÇARA','SC',11243,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7186053,0.00,4.00,2.00,2.00,7.00,7.50,1.00,3.00,1.00,211,NULL,215,'ESTREITO','FLORIANÓPOLIS','SC',16808,402,NULL,269,NULL,NULL,NULL,2,1),(28,7186061,0.00,2.00,1.00,3.00,2.00,NULL,1.00,2.00,0.00,216,NULL,207,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7186070,4.00,7.00,2.00,6.00,6.00,7.88,4.00,6.00,3.00,203,NULL,202,'CAPOEIRAS','FLORIANÓPOLIS','SC',9493,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186096,4.00,5.00,2.00,2.00,7.00,6.75,4.00,6.00,5.00,203,NULL,214,'FORQUILHAS','S JOSÉ','SC',8319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7186100,3.00,4.00,1.00,3.00,4.00,8.63,3.00,3.00,3.00,212,NULL,201,'CENTRO','CHAPECÓ','SC',12795,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7186118,1.00,3.00,0.00,3.00,2.00,NULL,2.00,2.00,1.00,9,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186126,4.00,7.00,4.00,6.00,6.00,7.88,6.00,6.00,6.00,202,NULL,238,'PROGRESSO','LAGUNA','SC',2027,57,NULL,NULL,NULL,NULL,NULL,4,10),(28,7186150,2.00,4.00,1.00,5.00,5.00,7.88,3.00,3.00,5.00,2,NULL,NULL,'NOSSA S APARECIDA','PLANALTO','PR',10695,28,NULL,NULL,NULL,NULL,NULL,4,27),(28,7186169,2.00,1.00,2.00,2.00,3.00,5.25,2.00,2.00,0.00,207,NULL,201,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186177,3.00,8.00,2.00,6.00,8.00,11.25,2.00,5.00,2.00,303,NULL,NULL,'INTERIOR','TANGARÁ','SC',4800,220,NULL,NULL,NULL,NULL,NULL,2,4),(28,7186185,5.00,7.00,4.00,5.00,10.00,8.63,7.00,7.00,7.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',716,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7186193,0.00,5.00,1.00,5.00,7.00,7.50,2.00,4.00,1.00,205,NULL,NULL,'BELA VISTA','S JOSÉ','SC',18131,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7186207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','TRÊS LAGOAS','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7186215,1.00,4.00,1.00,3.00,4.00,7.13,2.00,2.00,3.00,303,NULL,NULL,'VARZEA','LAGES','SC',19595,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7186223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,426,'BANDEIRANTES','IBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7186231,0.00,3.00,2.00,2.00,5.00,6.00,1.00,4.00,1.00,104,NULL,NULL,'CENTRO','JUNDIAÍ','SP',17772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186240,0.00,3.00,1.00,2.00,5.00,6.38,1.00,3.00,2.00,202,NULL,235,'MUNICÍPIOS','CAÇADOR','SC',19994,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7186266,0.00,5.00,3.00,5.00,7.00,6.75,0.00,3.00,1.00,103,NULL,NULL,'ESQUINA','URUBICI','SC',15755,2389,NULL,NULL,NULL,NULL,NULL,2,9),(28,7186274,2.00,5.00,2.00,5.00,6.00,5.25,3.00,5.00,3.00,301,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',17245,238,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','MARMELEIRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7186304,3.00,3.00,3.00,6.00,6.00,8.63,2.00,5.00,4.00,423,NULL,426,'PIONEIRO','PINHALZINHO','SC',15370,19,NULL,NULL,NULL,NULL,NULL,2,4),(28,7186312,3.00,3.00,1.00,7.00,8.00,8.25,4.00,3.00,4.00,110,NULL,NULL,'CACHO DO B JESUS','FLORIANÓPOLIS','SC',11450,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186339,1.00,3.00,1.00,0.00,2.00,NULL,2.00,0.00,1.00,654,NULL,NULL,'BOA VISTA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7186347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,653,'NOSSA SRA APARECIDA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7186355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7186371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7186380,0.00,6.00,3.00,5.00,4.00,5.63,2.00,5.00,1.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',16098,435,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7186401,5.00,7.00,1.00,6.00,7.00,9.75,2.00,4.00,5.00,601,NULL,201,'SAGUAÇU','JOINVILLE','SC',10708,305,NULL,NULL,NULL,NULL,NULL,4,8),(28,7186410,4.00,5.00,2.00,6.00,5.00,10.88,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','UBARANA','SP',3980,1321,NULL,NULL,NULL,NULL,NULL,2,6),(28,7186428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'PONTE ALTA','PILAR SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7186436,2.00,6.00,4.00,7.00,7.00,7.13,3.00,5.00,4.00,451,NULL,NULL,'JARDIM PRIMAVERA','CAÇAPAVA','SP',5627,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7186444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARRANCA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7186452,1.00,2.00,2.00,5.00,6.00,9.38,1.00,2.00,3.00,207,NULL,201,'CENTRO','S MIGUEL OESTE','SC',14161,628,NULL,870,NULL,NULL,NULL,4,27),(28,7186460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'ARI LUNARDI','XAXIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7186479,1.00,7.00,3.00,2.00,7.00,10.88,2.00,5.00,4.00,238,NULL,220,'SERRARIA','S JOSÉ','SC',14420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7186487,1.00,6.00,2.00,7.00,3.00,7.50,4.00,6.00,1.00,104,NULL,NULL,'JARDIM MARCO ZERO','MACAPÁ','AP',10409,250,NULL,NULL,NULL,NULL,NULL,4,1),(28,7186495,0.00,1.00,2.00,4.00,4.00,7.50,1.00,5.00,2.00,9,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17316,137,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186509,1.00,7.00,2.00,6.00,4.00,9.38,4.00,7.00,4.00,103,NULL,NULL,'EFAPI','CHAPECÓ','SC',6978,1756,NULL,NULL,NULL,NULL,NULL,2,4),(28,7186517,1.00,6.00,3.00,6.00,6.00,6.00,3.00,6.00,3.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8651,95,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186525,5.00,7.00,2.00,7.00,8.00,9.75,4.00,5.00,3.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',7145,115,NULL,NULL,NULL,NULL,NULL,4,1),(28,7186533,3.00,7.00,1.00,5.00,6.00,4.50,3.00,5.00,3.00,104,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',13131,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186541,1.00,5.00,2.00,7.00,6.00,9.38,2.00,3.00,0.00,303,NULL,NULL,'AGOSTINI','S MIGUEL OESTE','SC',10745,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7186550,1.00,5.00,1.00,3.00,3.00,8.63,1.00,2.00,2.00,303,NULL,NULL,'PETROPOLIS','JOINVILLE','SC',16832,566,NULL,NULL,NULL,NULL,NULL,4,8),(28,7186568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,22),(28,7186592,3.00,7.00,1.00,4.00,6.00,10.13,3.00,6.00,4.00,104,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',7263,165,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7186622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7186630,3.00,4.00,0.00,2.00,1.00,NULL,2.00,4.00,3.00,552,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7186657,0.00,5.00,5.00,6.00,5.00,9.38,1.00,4.00,4.00,220,NULL,NULL,'BARRA','BAL CAMBORIÚ','SC',10593,254,NULL,NULL,NULL,NULL,NULL,4,3),(28,7186665,5.00,7.00,3.00,7.00,8.00,9.38,8.00,6.00,8.00,213,NULL,212,'PRESIDENTE MEDICI','CHAPECÓ','SC',1985,11,NULL,NULL,NULL,NULL,NULL,4,4),(28,7186681,3.00,7.00,4.00,6.00,5.00,5.63,5.00,5.00,5.00,444,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',12195,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARTINS','UBERLÂNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7186711,0.00,4.00,2.00,5.00,7.00,7.88,2.00,4.00,1.00,426,NULL,425,'COLONINHA','ARARANGUÁ','SC',13321,19,NULL,NULL,NULL,NULL,NULL,2,15),(28,7186720,0.00,4.00,2.00,3.00,3.00,NULL,2.00,2.00,1.00,302,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7186738,3.00,4.00,3.00,6.00,5.00,6.75,4.00,5.00,2.00,320,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',12108,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186746,0.00,5.00,4.00,2.00,2.00,NULL,2.00,2.00,0.00,316,NULL,NULL,'CENTRO','PETROLÂNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7186754,1.00,6.00,1.00,3.00,5.00,6.38,2.00,4.00,1.00,238,NULL,213,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',19482,336,NULL,283,NULL,NULL,NULL,2,1),(28,7186762,0.00,5.00,0.00,1.00,2.00,NULL,3.00,5.00,3.00,207,NULL,NULL,'CENTRO','IPUMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7186770,1.00,4.00,3.00,5.00,4.00,6.38,2.00,3.00,3.00,102,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',16143,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186789,5.00,6.00,3.00,6.00,7.00,7.13,4.00,5.00,5.00,216,NULL,212,'COSTEIRA','FLORIANÓPOLIS','SC',6997,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186797,1.00,2.00,1.00,2.00,5.00,7.13,2.00,3.00,3.00,104,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',17493,417,NULL,NULL,NULL,NULL,NULL,4,1),(28,7186819,4.00,7.00,1.00,6.00,6.00,6.00,4.00,6.00,3.00,316,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8814,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186827,6.00,8.00,3.00,5.00,8.00,7.13,3.00,5.00,7.00,103,NULL,NULL,'N SENHORA DE LOURDE','CAMPOS NOVOS','SC',2564,1038,NULL,NULL,NULL,NULL,NULL,4,7),(28,7186843,0.00,5.00,2.00,2.00,2.00,NULL,1.00,4.00,0.00,404,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186851,2.00,5.00,1.00,4.00,5.00,6.38,2.00,3.00,2.00,224,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',19074,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7186860,5.00,7.00,3.00,6.00,6.00,7.13,4.00,6.00,4.00,108,NULL,NULL,'MONTE ALEGRE','S CRISTÓVÃO SUL','SC',6471,78,NULL,NULL,NULL,NULL,NULL,2,16),(28,7186886,4.00,7.00,4.00,7.00,4.00,5.25,4.00,3.00,5.00,302,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',10070,57,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186894,7.00,7.00,3.00,7.00,6.00,8.25,4.00,5.00,5.00,203,NULL,220,'MORROTES','TUBARÃO','SC',4024,291,NULL,117,NULL,NULL,NULL,2,10),(28,7186916,2.00,5.00,1.00,3.00,6.00,6.00,2.00,6.00,4.00,9,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13289,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186924,4.00,6.00,2.00,4.00,6.00,6.75,3.00,4.00,3.00,233,NULL,207,'AREIAS','S JOSÉ','SC',12968,286,NULL,588,NULL,NULL,NULL,2,1),(28,7186932,6.00,6.00,2.00,8.00,7.00,9.75,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',4412,1408,NULL,NULL,NULL,NULL,NULL,4,16),(28,7186940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,202,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7186959,0.00,6.00,0.00,5.00,8.00,NULL,1.00,4.00,6.00,303,NULL,NULL,'PASSAGEM','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7186967,2.00,4.00,2.00,5.00,6.00,7.88,2.00,3.00,3.00,415,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',17301,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7186975,1.00,4.00,1.00,5.00,4.00,7.88,0.00,4.00,3.00,202,NULL,213,'COPACABANA','LAGES','SC',18820,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7186983,0.00,6.00,4.00,6.00,6.00,7.13,4.00,4.00,3.00,207,NULL,211,'AREIAS DE CIMA','BIGUAÇU','SC',9731,451,NULL,264,NULL,NULL,NULL,2,1),(28,7186991,0.00,7.00,1.00,5.00,7.00,7.88,1.00,5.00,2.00,999,NULL,NULL,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7187009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7187017,3.00,4.00,3.00,6.00,5.00,5.25,1.00,3.00,3.00,201,NULL,601,'N SENHORA DO ROSÁRIO','S JOSÉ','SC',18423,1010,NULL,523,NULL,NULL,NULL,2,1),(28,7187025,1.00,6.00,1.00,3.00,5.00,NULL,0.00,6.00,3.00,404,NULL,NULL,'BALENÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7187033,0.00,3.00,1.00,6.00,3.00,6.75,2.00,2.00,3.00,238,NULL,201,'AMBROSIO','GAROPABA','SC',19690,343,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187041,4.00,5.00,1.00,5.00,6.00,9.75,4.00,5.00,3.00,5,NULL,NULL,'MONTE CASTELO','TUBARÃO','SC',8560,263,NULL,NULL,NULL,NULL,NULL,2,10),(28,7187050,1.00,6.00,3.00,4.00,5.00,8.63,3.00,4.00,4.00,207,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',12029,546,NULL,769,NULL,NULL,NULL,4,1),(28,7187068,2.00,4.00,2.00,3.00,2.00,NULL,1.00,3.00,2.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7187076,4.00,6.00,3.00,5.00,9.00,10.13,3.00,6.00,5.00,207,NULL,216,'NOVA BELÉM','PAULO LOPES','SC',3891,157,NULL,152,NULL,NULL,NULL,2,1),(28,7187092,4.00,4.00,4.00,5.00,7.00,7.88,3.00,6.00,3.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',8826,97,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187106,3.00,6.00,0.00,7.00,5.00,5.25,1.00,4.00,4.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',12597,475,NULL,NULL,NULL,NULL,NULL,4,1),(28,7187122,2.00,4.00,2.00,5.00,6.00,7.50,2.00,3.00,4.00,109,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',16886,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187130,4.00,6.00,3.00,6.00,8.00,9.00,6.00,5.00,4.00,220,NULL,213,'BOA VISTA','JOAÇABA','SC',4756,141,NULL,74,NULL,NULL,NULL,4,7),(28,7187149,3.00,5.00,3.00,4.00,5.00,8.63,3.00,2.00,3.00,207,NULL,201,'ALTO IRANI','IRANI','SC',12525,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7187157,0.00,2.00,1.00,1.00,3.00,NULL,2.00,2.00,0.00,552,NULL,NULL,'VILA ALMENHA','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(28,7187165,3.00,2.00,3.00,4.00,1.00,NULL,2.00,4.00,3.00,309,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOSÉ','CAMBÉ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7187181,3.00,6.00,2.00,6.00,8.00,9.00,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',7261,1794,NULL,NULL,NULL,NULL,NULL,2,22),(28,7187190,1.00,7.00,1.00,6.00,7.00,8.63,3.00,3.00,1.00,336,NULL,NULL,'CENTRO','WENCESLAU BRAZ','PR',10711,54,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187211,1.00,5.00,3.00,3.00,6.00,6.38,2.00,4.00,3.00,216,NULL,215,'CENTRO','S JOÃO BATISTA','SC',13990,383,NULL,235,NULL,NULL,NULL,2,22),(28,7187220,2.00,5.00,2.00,3.00,3.00,5.63,4.00,4.00,1.00,340,NULL,NULL,'CENTRO','CRICIÚMA','SC',19084,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7187246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7187254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(28,7187262,1.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7187270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7187289,0.00,3.00,1.00,1.00,3.00,7.88,0.00,1.00,0.00,207,NULL,201,'TAPERA','FLORIANÓPOLIS','SC',20172,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7187297,0.00,4.00,3.00,5.00,6.00,7.88,1.00,5.00,3.00,207,NULL,201,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187300,0.00,3.00,1.00,1.00,1.00,NULL,1.00,2.00,1.00,333,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7187319,8.00,7.00,5.00,6.00,10.00,9.75,6.00,7.00,7.00,103,NULL,NULL,'GUARDA DO EMBAÚ','PALHOÇA','SC',186,145,NULL,NULL,NULL,NULL,NULL,4,1),(28,7187327,4.00,7.00,3.00,7.00,7.00,8.25,3.00,5.00,2.00,601,NULL,211,'COSTA E SILVA','JOINVILLE','SC',4712,84,NULL,NULL,NULL,NULL,NULL,2,8),(28,7187335,0.00,2.00,2.00,0.00,3.00,NULL,1.00,4.00,4.00,201,NULL,207,'ILHOTINHA','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7187343,0.00,2.00,2.00,5.00,3.00,9.38,1.00,3.00,2.00,222,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',19624,40,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187351,3.00,5.00,2.00,7.00,7.00,8.25,3.00,4.00,2.00,454,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13462,271,NULL,NULL,NULL,NULL,NULL,1,1),(28,7187360,2.00,0.00,3.00,2.00,3.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SÃO MARCOS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(28,7187378,3.00,4.00,2.00,4.00,6.00,8.25,3.00,4.00,2.00,318,NULL,NULL,'CENTRO','IMBITUBA','SC',16555,117,NULL,NULL,NULL,NULL,NULL,2,10),(28,7187386,1.00,3.00,3.00,6.00,4.00,5.63,2.00,3.00,4.00,213,NULL,233,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187394,2.00,8.00,3.00,6.00,6.00,8.63,4.00,3.00,3.00,415,NULL,NULL,'CAMPO DA ÁGUA VERDE','CANOINHAS','SC',10124,162,NULL,NULL,NULL,NULL,NULL,2,17),(28,7187424,5.00,8.00,2.00,7.00,8.00,9.38,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',1009,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7187432,3.00,8.00,0.00,4.00,10.00,7.50,3.00,8.00,6.00,216,NULL,215,'RESSACADA','ITAJAÍ','SC',4287,160,NULL,58,NULL,NULL,NULL,4,6),(28,7187459,2.00,3.00,2.00,6.00,6.00,8.25,2.00,2.00,3.00,220,NULL,213,'SERTÃO DO MARUIM','S JOSÉ','SC',18056,NULL,NULL,268,NULL,NULL,NULL,2,1),(28,7187467,1.00,6.00,1.00,6.00,4.00,6.75,3.00,4.00,5.00,103,NULL,NULL,'UNIVERSITÁRIO','CHAPECÓ','SC',11703,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187475,3.00,6.00,0.00,2.00,6.00,8.25,3.00,5.00,2.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13712,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7187483,0.00,5.00,0.00,2.00,4.00,NULL,3.00,2.00,2.00,324,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187491,0.00,5.00,1.00,3.00,2.00,NULL,2.00,3.00,4.00,303,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187505,3.00,7.00,1.00,7.00,5.00,7.88,2.00,6.00,1.00,999,NULL,NULL,'GLÓRIA','RODEIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7187513,3.00,6.00,3.00,6.00,5.00,10.13,2.00,5.00,4.00,211,NULL,215,'CENTRO','GAROPABA','SC',11967,316,NULL,204,NULL,NULL,NULL,4,1),(28,7187530,0.00,4.00,1.00,1.00,2.00,NULL,1.00,4.00,1.00,103,NULL,NULL,'CENTRO','GARUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7187556,4.00,6.00,4.00,5.00,3.00,6.38,2.00,4.00,2.00,203,NULL,213,'SÃO VICENTE','ITAJAÍ','SC',16657,668,NULL,258,NULL,NULL,NULL,4,6),(28,7187564,1.00,2.00,2.00,6.00,2.00,NULL,0.00,3.00,3.00,216,NULL,211,'HUMAITA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7187580,6.00,6.00,5.00,7.00,6.00,7.50,5.00,7.00,6.00,104,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',4365,70,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187599,4.00,5.00,3.00,4.00,3.00,9.75,3.00,5.00,3.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7187602,4.00,3.00,2.00,5.00,4.00,6.38,2.00,1.00,2.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',17160,134,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187629,2.00,5.00,1.00,6.00,9.00,7.13,3.00,4.00,2.00,454,NULL,NULL,'COSTA DE CIMA','FLORIANÓPOLIS','SC',12460,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187637,2.00,4.00,2.00,5.00,3.00,6.75,1.00,2.00,3.00,552,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7187653,0.00,3.00,2.00,5.00,3.00,NULL,0.00,5.00,1.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187661,4.00,6.00,2.00,6.00,7.00,7.50,5.00,5.00,6.00,203,NULL,NULL,'CENTRO','BENTO GONÇALVES','RS',7408,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7187670,0.00,5.00,2.00,5.00,6.00,10.13,4.00,2.00,4.00,104,NULL,NULL,'CENTRO','MARAVILHA','SC',12336,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7187696,1.00,3.00,1.00,4.00,2.00,NULL,1.00,3.00,2.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187700,1.00,4.00,2.00,2.00,5.00,6.00,2.00,5.00,2.00,103,NULL,NULL,'PRESIDENTE VARGAS','IÇARA','SC',19402,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7187718,1.00,1.00,2.00,3.00,3.00,4.50,0.00,2.00,1.00,301,NULL,NULL,'BELA VISTA IV','S JOSÉ','SC',20170,270,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187726,2.00,3.00,1.00,2.00,2.00,NULL,3.00,3.00,1.00,201,NULL,207,'SANTA LÚCIA','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7187734,1.00,9.00,2.00,6.00,5.00,7.13,3.00,6.00,3.00,220,NULL,235,'CENTRO','BAL CAMBORIÚ','SC',6902,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7187742,0.00,2.00,0.00,2.00,2.00,NULL,0.00,4.00,0.00,444,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187769,4.00,8.00,2.00,6.00,8.00,7.50,2.00,5.00,4.00,201,NULL,207,'CENTRO','STO AMARO IMPERATRIZ','SC',6438,496,NULL,300,NULL,NULL,NULL,2,1),(28,7187777,1.00,3.00,0.00,3.00,5.00,NULL,1.00,3.00,0.00,302,NULL,NULL,'OUVIDOR','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187785,0.00,5.00,3.00,6.00,3.00,NULL,2.00,4.00,1.00,302,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7187793,0.00,7.00,1.00,3.00,8.00,10.13,2.00,4.00,1.00,415,NULL,NULL,'AREIAS','S JOSÉ','SC',10888,175,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187807,1.00,6.00,2.00,4.00,5.00,7.88,1.00,3.00,2.00,110,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15514,74,NULL,NULL,NULL,NULL,NULL,4,1),(28,7187815,3.00,7.00,5.00,4.00,4.00,10.13,5.00,5.00,3.00,201,NULL,203,'CENTRO','PALMAS','PR',8434,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7187823,3.00,6.00,1.00,5.00,7.00,8.63,3.00,5.00,5.00,302,NULL,NULL,'MAGALHÃES','LAGUNA','SC',8637,35,NULL,NULL,NULL,NULL,NULL,2,10),(28,7187831,2.00,5.00,2.00,4.00,6.00,6.38,1.00,5.00,4.00,552,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',11235,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7187840,2.00,3.00,0.00,5.00,5.00,9.00,1.00,7.00,4.00,552,NULL,NULL,'CENTRO','IMBITUBA','SC',12780,62,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SÃO LUIZ','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7187866,5.00,6.00,2.00,7.00,8.00,9.75,3.00,5.00,4.00,319,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8347,136,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187874,6.00,6.00,1.00,5.00,8.00,11.63,3.00,4.00,4.00,101,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',4636,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7187882,0.00,4.00,1.00,4.00,6.00,5.25,0.00,3.00,3.00,318,NULL,NULL,'BARRA DO TROMBUDO','RIO SUL','SC',17647,127,NULL,NULL,NULL,NULL,NULL,2,24),(28,7187890,1.00,2.00,5.00,3.00,1.00,NULL,2.00,1.00,2.00,109,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7187904,0.00,7.00,1.00,4.00,4.00,NULL,1.00,7.00,2.00,224,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187912,2.00,6.00,0.00,6.00,6.00,NULL,4.00,6.00,5.00,444,NULL,NULL,'GUARUJÁ','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7187939,0.00,4.00,2.00,4.00,4.00,NULL,2.00,3.00,0.00,207,NULL,211,'GABIROBA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7187947,1.00,4.00,3.00,2.00,4.00,6.00,2.00,1.00,2.00,238,NULL,201,'CORREGO GRANDE','FLORIANÓPOLIS','SC',17376,301,NULL,NULL,NULL,NULL,NULL,4,1),(28,7187955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7187963,2.00,6.00,1.00,6.00,6.00,8.63,3.00,5.00,3.00,201,NULL,220,'PRESIDENTE MÉDICI','CHAPECÓ','SC',9439,NULL,NULL,235,NULL,NULL,NULL,4,4),(28,7187971,3.00,6.00,3.00,6.00,8.00,9.00,6.00,5.00,4.00,201,NULL,203,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',4803,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7187980,0.00,2.00,1.00,3.00,4.00,NULL,0.00,1.00,1.00,303,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188005,3.00,7.00,3.00,5.00,7.00,7.88,3.00,6.00,5.00,233,NULL,212,'VILA PIERINI','CRICIÚMA','SC',4630,120,NULL,NULL,NULL,NULL,NULL,4,5),(28,7188021,2.00,4.00,2.00,4.00,6.00,6.75,1.00,5.00,3.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13900,384,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188030,1.00,2.00,1.00,5.00,4.00,7.13,2.00,2.00,2.00,201,NULL,203,'COLONINHA','FLORIANÓPOLIS','SC',19788,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188048,3.00,5.00,2.00,3.00,9.00,9.75,2.00,3.00,6.00,224,NULL,NULL,'PENHA','PAULO LOPES','SC',9016,6,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188056,4.00,1.00,1.00,3.00,7.00,5.25,1.00,4.00,1.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188064,3.00,2.00,1.00,4.00,5.00,8.25,1.00,2.00,3.00,415,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',16476,245,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188072,1.00,5.00,3.00,6.00,8.00,7.88,1.00,5.00,1.00,428,NULL,425,'CENTRO','CHAPECÓ','SC',16189,50,NULL,NULL,NULL,NULL,NULL,2,4),(28,7188080,1.00,6.00,3.00,7.00,5.00,9.38,1.00,6.00,2.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13882,383,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188099,1.00,6.00,1.00,6.00,5.00,8.25,3.00,6.00,3.00,5,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',10680,313,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188102,0.00,6.00,2.00,5.00,6.00,7.88,1.00,6.00,4.00,304,NULL,NULL,'CENTRO','ORLEANS','SC',11961,90,NULL,NULL,NULL,NULL,NULL,4,10),(28,7188110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7188129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7188137,1.00,4.00,0.00,4.00,6.00,9.38,1.00,3.00,5.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13573,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188145,3.00,5.00,2.00,6.00,6.00,6.75,2.00,3.00,3.00,101,NULL,NULL,'SERRARIA','S JOSÉ','SC',13207,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188153,2.00,6.00,0.00,6.00,8.00,NULL,3.00,6.00,5.00,3,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188161,0.00,4.00,0.00,0.00,0.00,NULL,4.00,6.00,3.00,999,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,4),(28,7188170,2.00,4.00,1.00,6.00,3.00,9.00,3.00,5.00,3.00,601,NULL,220,'FLORESTA','PTO ALEGRE','RS',10844,308,NULL,NULL,NULL,NULL,NULL,2,4),(28,7188188,3.00,4.00,1.00,3.00,4.00,9.75,2.00,3.00,2.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17055,453,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188196,1.00,3.00,0.00,1.00,3.00,6.00,0.00,1.00,2.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188200,8.00,6.00,6.00,7.00,7.00,8.63,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',1336,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7188218,3.00,6.00,5.00,6.00,9.00,9.38,2.00,5.00,2.00,233,NULL,653,'SAO CRISTOVAO','LAGES','SC',4237,113,NULL,32,NULL,NULL,NULL,4,9),(28,7188226,3.00,7.00,2.00,6.00,7.00,8.63,3.00,5.00,4.00,318,NULL,NULL,'VILA NOVA','IMBITUBA','SC',7698,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188234,0.00,3.00,3.00,2.00,6.00,6.38,1.00,3.00,0.00,316,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',17612,249,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188250,3.00,7.00,3.00,6.00,7.00,7.88,2.00,5.00,3.00,201,NULL,212,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7955,573,NULL,241,NULL,NULL,NULL,2,1),(28,7188269,0.00,6.00,1.00,2.00,5.00,9.75,0.00,7.00,2.00,110,NULL,NULL,'SANTA TEREZINHA','PATO BRANCO','PR',18293,93,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188277,1.00,4.00,3.00,4.00,5.00,7.13,2.00,4.00,4.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14927,91,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188285,4.00,6.00,2.00,4.00,9.00,8.25,2.00,4.00,5.00,316,NULL,NULL,'ARIRIU','PALHOÇA','SC',8177,71,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188293,0.00,4.00,0.00,6.00,2.00,NULL,0.00,4.00,2.00,108,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188307,1.00,7.00,2.00,6.00,7.00,NULL,2.00,3.00,0.00,451,NULL,NULL,'MADRI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188323,1.00,4.00,3.00,3.00,6.00,6.00,2.00,4.00,2.00,309,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',19213,63,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188331,3.00,5.00,4.00,4.00,6.00,7.13,3.00,3.00,3.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13085,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7188358,2.00,4.00,1.00,4.00,3.00,7.50,0.00,4.00,2.00,215,NULL,216,'SÃO SEBASTIÃO','CAMPOS NOVOS','SC',19238,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7188366,1.00,7.00,2.00,3.00,4.00,6.00,2.00,6.00,2.00,235,NULL,202,'SANTINHO','FLORIANÓPOLIS','SC',14791,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7188382,4.00,2.00,2.00,2.00,6.00,7.50,1.00,3.00,1.00,319,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',16938,326,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188390,1.00,6.00,2.00,7.00,5.00,6.75,2.00,3.00,4.00,340,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',12384,340,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188404,1.00,4.00,1.00,7.00,8.00,9.38,2.00,4.00,1.00,104,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',13236,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7188412,4.00,7.00,1.00,4.00,7.00,8.25,5.00,5.00,1.00,9,NULL,NULL,'VILA LALAU','JARAGUÁ SUL','SC',9632,51,NULL,NULL,NULL,NULL,NULL,4,23),(28,7188420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7188439,0.00,9.00,2.00,6.00,5.00,10.50,1.00,5.00,3.00,415,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10093,161,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188447,0.00,5.00,1.00,6.00,5.00,7.13,1.00,2.00,1.00,211,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',16259,395,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188455,6.00,6.00,3.00,4.00,7.00,7.88,5.00,6.00,4.00,207,NULL,238,'CENTRO','ÁGUAS MORNAS','SC',8229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188463,4.00,7.00,3.00,6.00,8.00,11.63,4.00,6.00,4.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3612,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188471,3.00,6.00,1.00,6.00,8.00,9.00,2.00,4.00,4.00,426,NULL,428,'FORQUILHINHAS','S JOSÉ','SC',8807,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188480,1.00,6.00,1.00,2.00,3.00,8.25,2.00,4.00,2.00,201,NULL,202,'CENTRO','BRAÇO NORTE','SC',14847,905,NULL,341,NULL,NULL,NULL,4,10),(28,7188498,1.00,6.00,3.00,6.00,6.00,7.13,1.00,3.00,1.00,201,NULL,601,'CENTRO','BOM JESUS','SC',17952,989,NULL,515,NULL,NULL,NULL,2,4),(28,7188501,3.00,7.00,2.00,4.00,8.00,9.38,4.00,4.00,5.00,202,NULL,213,'COPACABANA','LAGES','SC',10893,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7188536,0.00,2.00,4.00,1.00,1.00,NULL,3.00,3.00,2.00,440,NULL,NULL,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7188544,0.00,6.00,2.00,7.00,4.00,7.88,1.00,3.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188579,5.00,7.00,2.00,7.00,6.00,9.75,6.00,6.00,6.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',2577,110,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188587,1.00,4.00,1.00,5.00,4.00,7.13,2.00,3.00,4.00,444,NULL,NULL,'DONA FRANCISCA','S BENTO SUL','SC',14087,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7188595,4.00,9.00,2.00,5.00,6.00,10.13,5.00,6.00,5.00,203,NULL,233,'CENTRO','STA MARIA','RS',2696,207,NULL,61,NULL,NULL,NULL,2,4),(28,7188609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7188617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7188633,6.00,8.00,2.00,7.00,8.00,10.88,4.00,7.00,6.00,103,NULL,NULL,'SAGRADO CORAÇAO DE J','LAGES','SC',3414,1226,NULL,NULL,NULL,NULL,NULL,4,9),(28,7188650,3.00,6.00,1.00,7.00,5.00,8.63,2.00,4.00,3.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188684,2.00,6.00,1.00,2.00,3.00,5.25,4.00,4.00,1.00,601,NULL,202,'SÃO MARCOS','JOINVILLE','SC',15964,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7188692,3.00,5.00,2.00,2.00,6.00,NULL,0.00,4.00,5.00,316,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7188706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARTINS','UBERLÂNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7188714,5.00,7.00,3.00,6.00,6.00,6.38,3.00,5.00,3.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7910,125,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188722,2.00,6.00,2.00,5.00,3.00,7.88,2.00,6.00,2.00,238,NULL,201,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',12188,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188749,1.00,3.00,3.00,3.00,4.00,5.63,3.00,1.00,2.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17362,134,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188757,3.00,6.00,1.00,7.00,7.00,9.00,2.00,4.00,2.00,454,NULL,NULL,'CENTRO','GAROPABA','SC',14697,302,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188765,5.00,7.00,4.00,6.00,10.00,8.25,5.00,5.00,6.00,201,NULL,211,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',2534,183,NULL,43,NULL,NULL,NULL,4,1),(28,7188773,0.00,3.00,2.00,3.00,3.00,7.50,2.00,2.00,1.00,238,NULL,220,'JARDIM AQUÁRIUS','PALHOÇA','SC',19961,349,NULL,353,NULL,NULL,NULL,4,1),(28,7188781,1.00,4.00,1.00,3.00,7.00,7.13,0.00,4.00,5.00,444,NULL,NULL,'VILA SANTO ANTÔNIO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188790,3.00,4.00,1.00,5.00,3.00,6.00,2.00,5.00,4.00,216,NULL,235,'MONTE VERDE','FLORIANÓPOLIS','SC',13588,374,NULL,222,NULL,NULL,NULL,2,1),(28,7188803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM GUANABARA','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7188811,5.00,7.00,2.00,7.00,9.00,8.25,3.00,6.00,4.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4052,1334,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188820,3.00,4.00,2.00,6.00,5.00,8.63,1.00,4.00,4.00,5,NULL,NULL,'ALTO DA GLORIA','GOIÂNIA','GO',8352,255,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188838,1.00,5.00,1.00,1.00,5.00,7.13,2.00,3.00,1.00,319,NULL,NULL,'SERRA ALTA','S BENTO SUL','SC',17064,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7188846,0.00,4.00,4.00,4.00,6.00,9.00,4.00,3.00,2.00,317,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',16464,132,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188862,0.00,2.00,1.00,1.00,3.00,NULL,0.00,4.00,1.00,104,NULL,NULL,'BARRACÃO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188870,2.00,4.00,2.00,6.00,8.00,7.13,3.00,5.00,2.00,214,NULL,212,'TRÊS DE MAIO','CAPIVARI BAIXO','SC',16311,333,NULL,392,NULL,NULL,NULL,2,10),(28,7188889,0.00,5.00,1.00,5.00,4.00,7.13,1.00,2.00,1.00,502,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',19709,67,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188897,2.00,4.00,1.00,4.00,5.00,7.50,1.00,5.00,1.00,214,NULL,213,'JARDIM LAURA','CPO MOURÃO','PR',15949,329,NULL,246,NULL,NULL,NULL,4,1),(28,7188900,1.00,3.00,4.00,3.00,5.00,6.00,4.00,2.00,3.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',16075,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7188919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7188927,0.00,8.00,1.00,4.00,5.00,9.38,3.00,6.00,5.00,336,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8544,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188935,2.00,4.00,2.00,5.00,8.00,7.88,1.00,3.00,1.00,104,NULL,NULL,'JARAGUA ESQUERDO','JARAGUÁ SUL','SC',18167,430,NULL,NULL,NULL,NULL,NULL,4,23),(28,7188943,0.00,5.00,3.00,5.00,5.00,NULL,4.00,3.00,4.00,601,NULL,233,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188960,0.00,4.00,2.00,5.00,5.00,6.75,2.00,2.00,2.00,339,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',16057,33,NULL,NULL,NULL,NULL,NULL,2,1),(28,7188978,0.00,6.00,2.00,5.00,7.00,8.25,2.00,4.00,3.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',10645,258,NULL,NULL,NULL,NULL,NULL,4,1),(28,7188986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7188994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7189001,4.00,9.00,2.00,5.00,8.00,7.50,4.00,4.00,7.00,103,NULL,NULL,'BELA VISTA','LAGES','SC',4257,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7189010,3.00,4.00,3.00,2.00,6.00,6.75,2.00,4.00,4.00,9,NULL,NULL,'VILA ALVORADA','IMBITUBA','SC',12825,86,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189028,1.00,3.00,3.00,3.00,7.00,7.50,2.00,3.00,3.00,309,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',15299,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189036,3.00,7.00,2.00,7.00,7.00,10.50,3.00,6.00,5.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',3320,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7189044,5.00,7.00,2.00,7.00,9.00,9.38,7.00,7.00,6.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',1306,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189052,4.00,5.00,1.00,7.00,7.00,NULL,0.00,5.00,4.00,108,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7189060,1.00,4.00,3.00,5.00,5.00,7.88,3.00,3.00,2.00,103,NULL,NULL,'SANTA RITA','LAGES','SC',13989,2298,NULL,NULL,NULL,NULL,NULL,2,9),(28,7189079,4.00,8.00,3.00,8.00,9.00,7.88,5.00,6.00,6.00,304,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',2207,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189087,1.00,6.00,4.00,4.00,5.00,7.13,0.00,2.00,3.00,327,NULL,NULL,'BARREIROS','S JOSÉ','SC',18960,62,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189095,0.00,2.00,3.00,2.00,3.00,9.00,2.00,2.00,2.00,319,NULL,NULL,'PEDRO JORDÃO CARDOSO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189109,4.00,7.00,3.00,5.00,8.00,11.25,4.00,8.00,4.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4584,111,NULL,NULL,NULL,NULL,NULL,4,6),(28,7189117,1.00,5.00,1.00,2.00,8.00,9.00,4.00,4.00,3.00,224,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11968,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'RIVIERA','MATINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7189141,7.00,7.00,4.00,5.00,10.00,11.63,7.00,5.00,5.00,216,NULL,215,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',1209,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189150,2.00,6.00,2.00,6.00,8.00,7.88,3.00,7.00,6.00,303,NULL,NULL,'PEREQUE','PTO BELO','SC',9177,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7189168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7189176,1.00,5.00,1.00,3.00,5.00,5.25,2.00,4.00,5.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',18502,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189184,2.00,3.00,0.00,2.00,6.00,8.63,1.00,3.00,3.00,444,NULL,NULL,'COSTA DO MACACU','GAROPABA','SC',16901,105,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189206,6.00,8.00,3.00,6.00,8.00,7.88,6.00,7.00,5.00,201,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',2833,NULL,NULL,54,NULL,NULL,NULL,4,1),(28,7189214,5.00,7.00,2.00,6.00,5.00,9.00,2.00,5.00,5.00,319,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',6175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189222,3.00,7.00,1.00,3.00,5.00,9.38,2.00,4.00,1.00,201,NULL,212,'PASSA VINTE','PALHOÇA','SC',12646,810,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189230,4.00,8.00,3.00,6.00,9.00,6.75,4.00,8.00,5.00,201,NULL,214,'IMIGRNATES','GUARAMIRIM','SC',6379,491,NULL,194,NULL,NULL,NULL,2,23),(28,7189249,2.00,5.00,1.00,6.00,5.00,10.50,4.00,7.00,3.00,336,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',11758,62,NULL,NULL,NULL,NULL,NULL,4,8),(28,7189265,3.00,5.00,1.00,7.00,5.00,7.88,3.00,4.00,3.00,552,NULL,NULL,'SANTA ISABEL','FORQUILHINHA','SC',15921,113,NULL,NULL,NULL,NULL,NULL,4,5),(28,7189290,3.00,3.00,2.00,4.00,5.00,6.38,3.00,6.00,2.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13550,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','MASSARANDUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,23),(28,7189311,3.00,6.00,1.00,4.00,3.00,NULL,0.00,6.00,2.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(28,7189320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,24),(28,7189338,3.00,7.00,5.00,5.00,8.00,9.38,2.00,5.00,5.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',4563,317,NULL,357,NULL,NULL,NULL,4,1),(28,7189346,0.00,5.00,1.00,3.00,6.00,8.25,2.00,3.00,2.00,207,NULL,215,'COSTEIRA','FLORIANÓPOLIS','SC',18593,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189354,3.00,5.00,3.00,5.00,6.00,6.38,2.00,4.00,3.00,999,NULL,NULL,'MUCHILA I','FRA SANTANA','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7189362,0.00,3.00,1.00,3.00,1.00,NULL,0.00,2.00,1.00,202,NULL,213,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189370,3.00,3.00,4.00,4.00,7.00,7.50,1.00,5.00,5.00,404,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',10196,5,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189397,1.00,4.00,0.00,4.00,4.00,7.88,3.00,3.00,1.00,212,NULL,211,'FORQUILHAS','S JOSÉ','SC',16145,388,NULL,393,NULL,NULL,NULL,2,1),(28,7189400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'JARDIM','MODELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7189427,1.00,6.00,1.00,6.00,5.00,6.38,1.00,4.00,2.00,331,NULL,NULL,'BOEHMERWALD','JOINVILLE','SC',12606,28,NULL,NULL,NULL,NULL,NULL,2,8),(28,7189435,2.00,7.00,2.00,7.00,6.00,8.63,3.00,6.00,3.00,316,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',12091,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189443,1.00,5.00,3.00,0.00,1.00,NULL,4.00,3.00,3.00,999,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189460,0.00,2.00,1.00,4.00,2.00,NULL,1.00,1.00,2.00,440,NULL,NULL,'BARRA DE ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7189478,0.00,3.00,3.00,7.00,7.00,NULL,2.00,2.00,2.00,654,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7189486,0.00,6.00,1.00,5.00,6.00,9.38,1.00,5.00,3.00,211,NULL,215,'JOÃO PAULO','FLORIANÓPOLIS','SC',17291,411,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189494,9.00,8.00,2.00,6.00,8.00,7.13,6.00,7.00,7.00,103,NULL,NULL,'VILA PINHEIRINHO','S MATEUS SUL','PR',661,414,NULL,NULL,NULL,NULL,NULL,4,17),(28,7189516,4.00,5.00,3.00,5.00,7.00,7.88,3.00,5.00,4.00,317,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',8083,22,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189524,5.00,8.00,3.00,5.00,8.00,9.38,4.00,7.00,7.00,214,NULL,212,'JARDIM MALUCHE','BRUSQUE','SC',2119,73,NULL,42,NULL,NULL,NULL,4,22),(28,7189540,2.00,5.00,3.00,5.00,5.00,7.13,2.00,6.00,3.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16236,553,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189559,1.00,6.00,0.00,3.00,5.00,NULL,2.00,4.00,2.00,327,NULL,NULL,'VILA NOVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7189567,1.00,7.00,0.00,7.00,7.00,9.75,2.00,5.00,3.00,208,NULL,NULL,'CENTRO','S JOÃO SUL','SC',14933,163,NULL,NULL,NULL,NULL,NULL,2,15),(28,7189575,0.00,4.00,3.00,6.00,6.00,7.13,2.00,4.00,2.00,654,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',14832,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189583,2.00,4.00,3.00,5.00,4.00,6.38,4.00,4.00,3.00,208,NULL,NULL,'TAJUBA UM','S JOÃO BATISTA','SC',17458,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189591,1.00,4.00,3.00,5.00,4.00,10.13,2.00,5.00,1.00,404,NULL,NULL,'CENTRO','TIJUCAS','SC',12842,19,NULL,NULL,NULL,NULL,NULL,2,3),(28,7189605,1.00,7.00,2.00,4.00,6.00,6.75,1.00,5.00,3.00,104,NULL,NULL,'IMARUÍ','ITAJAÍ','SC',11138,272,NULL,NULL,NULL,NULL,NULL,4,6),(28,7189613,7.00,9.00,6.00,7.00,8.00,11.25,6.00,7.00,6.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',236,182,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189621,3.00,7.00,2.00,4.00,6.00,6.38,0.00,6.00,1.00,104,NULL,NULL,'PALMITAL','MARÍLIA','SP',10763,261,NULL,NULL,NULL,NULL,NULL,2,23),(28,7189648,5.00,9.00,6.00,8.00,8.00,11.63,5.00,8.00,6.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',575,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189656,3.00,7.00,2.00,5.00,8.00,9.75,3.00,5.00,3.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',4964,211,NULL,382,NULL,NULL,NULL,4,1),(28,7189664,0.00,5.00,3.00,6.00,6.00,NULL,2.00,2.00,2.00,201,NULL,212,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189672,1.00,5.00,1.00,4.00,6.00,5.63,2.00,4.00,5.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14183,195,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189680,3.00,5.00,2.00,7.00,5.00,9.38,2.00,4.00,2.00,454,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11373,221,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189699,0.00,5.00,0.00,2.00,2.00,NULL,0.00,3.00,0.00,103,NULL,NULL,'PRESIDENTE MEDICI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7189702,0.00,3.00,1.00,0.00,5.00,NULL,1.00,3.00,3.00,450,NULL,NULL,'SAO MANOEL','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189710,1.00,0.00,2.00,4.00,2.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,27),(28,7189729,1.00,4.00,2.00,5.00,4.00,7.50,2.00,3.00,0.00,212,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',16569,395,NULL,329,NULL,NULL,NULL,2,1),(28,7189737,2.00,5.00,3.00,5.00,6.00,7.88,2.00,7.00,2.00,301,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',11078,145,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7189753,0.00,1.00,3.00,3.00,2.00,NULL,1.00,2.00,1.00,454,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189761,4.00,7.00,3.00,3.00,6.00,6.38,2.00,5.00,3.00,207,NULL,NULL,'MONTE CASTELO','TEIXEIRA FREITAS','BA',9468,443,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189770,0.00,2.00,0.00,5.00,4.00,NULL,2.00,4.00,3.00,404,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189788,2.00,4.00,1.00,3.00,4.00,7.50,2.00,3.00,2.00,230,NULL,NULL,'PONTA DA BARRA','LAGUNA','SC',16345,19,NULL,NULL,NULL,NULL,NULL,2,10),(28,7189796,3.00,4.00,2.00,5.00,6.00,6.75,0.00,2.00,2.00,223,NULL,NULL,'ALVORADA','VIDEIRA','SC',18735,42,NULL,NULL,NULL,NULL,NULL,2,7),(28,7189800,0.00,5.00,1.00,2.00,3.00,7.50,2.00,5.00,3.00,201,NULL,212,'FUNDOS','BIGUAÇU','SC',19498,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7189818,4.00,6.00,2.00,6.00,5.00,6.75,3.00,5.00,3.00,318,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15183,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189834,0.00,1.00,2.00,2.00,0.00,NULL,1.00,2.00,4.00,444,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189869,2.00,3.00,4.00,6.00,4.00,6.00,2.00,2.00,3.00,309,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',18681,56,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189877,0.00,5.00,0.00,5.00,4.00,9.00,1.00,5.00,2.00,424,NULL,429,'INGLESES','FLORIANÓPOLIS','SC',16727,31,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189885,1.00,4.00,2.00,7.00,4.00,8.63,2.00,3.00,3.00,3,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7189907,1.00,2.00,0.00,5.00,2.00,NULL,1.00,3.00,1.00,103,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7189915,2.00,6.00,3.00,6.00,6.00,6.75,2.00,4.00,5.00,238,NULL,213,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',15324,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189923,1.00,5.00,2.00,2.00,3.00,9.38,1.00,3.00,1.00,317,NULL,NULL,'VILA BEATRIZ','MARACAJÁ','SC',16157,125,NULL,NULL,NULL,NULL,NULL,4,15),(28,7189931,5.00,7.00,1.00,6.00,8.00,8.63,5.00,6.00,3.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',5238,1531,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189940,1.00,6.00,0.00,4.00,6.00,NULL,0.00,5.00,1.00,108,NULL,NULL,'COHAB','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189958,0.00,3.00,1.00,2.00,6.00,NULL,4.00,5.00,1.00,551,NULL,NULL,'INTERIOR','VARGEM BONITA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7189966,2.00,6.00,0.00,6.00,6.00,7.50,2.00,4.00,2.00,108,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',12923,181,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189982,0.00,4.00,1.00,5.00,7.00,6.38,1.00,6.00,4.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7189990,3.00,4.00,3.00,6.00,5.00,9.00,1.00,4.00,5.00,109,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',11599,31,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190000,4.00,7.00,3.00,7.00,10.00,7.50,5.00,8.00,4.00,203,NULL,NULL,'CENTRO','PTO BELO','SC',2232,181,NULL,NULL,NULL,NULL,NULL,4,3),(28,7190026,1.00,5.00,3.00,4.00,5.00,8.25,2.00,2.00,2.00,304,NULL,NULL,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7190050,0.00,1.00,1.00,5.00,3.00,NULL,1.00,1.00,2.00,201,NULL,212,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190069,0.00,3.00,2.00,5.00,4.00,4.50,1.00,4.00,1.00,103,NULL,NULL,'ITOUPAVA II','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7190077,5.00,7.00,3.00,7.00,7.00,7.13,5.00,8.00,2.00,235,NULL,238,'CENTRO','VIDEIRA','SC',6718,115,NULL,77,NULL,NULL,NULL,4,7),(28,7190085,4.00,6.00,3.00,6.00,8.00,9.75,4.00,6.00,3.00,303,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',6454,290,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190115,1.00,7.00,1.00,6.00,8.00,8.25,2.00,3.00,3.00,415,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',8905,143,NULL,NULL,NULL,NULL,NULL,4,23),(28,7190123,3.00,6.00,3.00,3.00,7.00,7.50,2.00,6.00,4.00,110,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',14664,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7190131,0.00,6.00,2.00,6.00,5.00,5.63,1.00,3.00,0.00,429,NULL,425,'FORQUILHAS','S JOSÉ','SC',16638,38,NULL,59,NULL,NULL,NULL,2,1),(28,7190140,4.00,8.00,3.00,6.00,6.00,7.88,4.00,5.00,6.00,999,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7190158,1.00,2.00,2.00,4.00,5.00,8.25,2.00,4.00,2.00,424,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',18925,41,NULL,NULL,NULL,NULL,NULL,4,3),(28,7190166,0.00,7.00,1.00,6.00,4.00,NULL,2.00,6.00,0.00,202,NULL,201,'MARAFON','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7190174,0.00,3.00,1.00,4.00,4.00,NULL,2.00,5.00,2.00,318,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190182,5.00,8.00,3.00,7.00,4.00,7.50,3.00,6.00,3.00,332,NULL,NULL,'CHACARA DAS CEDRAS','PTO ALEGRE','RS',7392,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7190204,4.00,6.00,3.00,4.00,5.00,6.38,0.00,3.00,2.00,336,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',18650,94,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190212,2.00,6.00,1.00,5.00,9.00,6.38,3.00,7.00,5.00,327,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7454,7,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190239,0.00,3.00,2.00,6.00,4.00,8.63,1.00,4.00,2.00,317,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',16006,121,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190255,2.00,1.00,1.00,1.00,4.00,0.00,2.00,3.00,3.00,320,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190263,6.00,6.00,1.00,4.00,9.00,7.88,2.00,4.00,4.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',9505,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7190271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'DECA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7190280,3.00,6.00,1.00,6.00,4.00,7.13,3.00,5.00,1.00,214,NULL,233,'JURERE','FLORIANÓPOLIS','SC',17292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190298,6.00,8.00,0.00,5.00,8.00,NULL,4.00,4.00,3.00,207,NULL,212,'JACARE','CABREÚVA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7190301,1.00,3.00,2.00,6.00,5.00,5.63,1.00,3.00,3.00,207,NULL,201,'ARMAÇÃO','FLORIANÓPOLIS','SC',15710,687,NULL,926,NULL,NULL,NULL,2,1),(28,7190310,4.00,5.00,0.00,5.00,7.00,8.25,2.00,6.00,4.00,102,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',10439,92,NULL,NULL,NULL,NULL,NULL,4,15),(28,7190328,3.00,8.00,0.00,3.00,7.00,10.13,2.00,5.00,2.00,238,NULL,655,'PONTA DE BAIXO','S JOSÉ','SC',14754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7190336,4.00,8.00,1.00,7.00,10.00,7.13,4.00,7.00,4.00,319,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',4228,60,NULL,NULL,NULL,NULL,NULL,4,2),(28,7190344,2.00,4.00,2.00,5.00,5.00,5.63,2.00,6.00,3.00,404,NULL,NULL,'CABEÇUDAS','LAGUNA','SC',14338,31,NULL,NULL,NULL,NULL,NULL,2,10),(28,7190352,4.00,7.00,5.00,6.00,7.00,9.75,5.00,6.00,5.00,212,NULL,213,'SANTA MÔNICA','FLORIANÓPOLIS','SC',2699,76,NULL,34,NULL,NULL,NULL,4,1),(28,7190360,2.00,1.00,1.00,2.00,4.00,7.88,3.00,3.00,2.00,601,NULL,NULL,'RIO CERRO I','JARAGUÁ SUL','SC',19869,557,NULL,NULL,NULL,NULL,NULL,4,23),(28,7190379,0.00,7.00,3.00,4.00,6.00,5.25,4.00,5.00,2.00,327,NULL,NULL,'ROÇADO','S JOSÉ','SC',12583,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7190387,2.00,5.00,0.00,5.00,3.00,8.25,3.00,2.00,2.00,302,NULL,NULL,'NOSSA S DO ROSÁRIO','S JOSÉ','SC',14650,99,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190395,1.00,2.00,0.00,3.00,6.00,7.13,3.00,2.00,2.00,501,NULL,NULL,'SERTÃO DO IMARUIM','S JOSÉ','SC',18230,115,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190409,2.00,6.00,3.00,5.00,6.00,6.00,2.00,5.00,4.00,332,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',16451,30,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190417,3.00,5.00,4.00,5.00,2.00,NULL,2.00,5.00,3.00,338,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190425,3.00,5.00,2.00,5.00,8.00,9.75,4.00,6.00,3.00,450,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',10891,87,NULL,NULL,NULL,NULL,NULL,4,1),(28,7190450,5.00,7.00,2.00,6.00,7.00,7.50,0.00,4.00,2.00,552,NULL,NULL,'INTERIOR','CURITIBANOS','SC',11952,52,NULL,NULL,NULL,NULL,NULL,4,16),(28,7190468,4.00,6.00,2.00,4.00,6.00,6.75,4.00,5.00,4.00,304,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',13559,102,NULL,NULL,NULL,NULL,NULL,4,1),(28,7190484,3.00,6.00,5.00,4.00,6.00,7.50,2.00,6.00,3.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',9293,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7190492,2.00,6.00,3.00,3.00,9.00,8.25,1.00,4.00,2.00,304,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',15563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7190514,3.00,7.00,1.00,7.00,6.00,8.63,4.00,7.00,2.00,340,NULL,NULL,'CENTRO','CHAPECÓ','SC',5774,145,NULL,NULL,NULL,NULL,NULL,4,27),(28,7190530,3.00,9.00,4.00,7.00,7.00,7.13,2.00,6.00,5.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7190549,1.00,7.00,0.00,3.00,2.00,NULL,2.00,6.00,4.00,332,NULL,NULL,'CENTRO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7190557,8.00,8.00,6.00,8.00,10.00,11.63,5.00,6.00,7.00,601,NULL,207,'AVENTUREIRO','JOINVILLE','SC',126,1,NULL,NULL,NULL,NULL,NULL,4,8),(28,7190565,0.00,5.00,0.00,6.00,5.00,9.38,4.00,4.00,1.00,222,NULL,NULL,'AMBROSIO','GAROPABA','SC',14438,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190573,6.00,8.00,3.00,7.00,10.00,6.75,3.00,8.00,7.00,303,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',780,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7190581,0.00,6.00,1.00,2.00,3.00,7.88,2.00,3.00,1.00,213,NULL,601,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',19440,282,NULL,547,NULL,NULL,NULL,2,1),(28,7190590,1.00,5.00,1.00,4.00,3.00,5.25,1.00,1.00,2.00,201,NULL,216,'SÃO JOÃO','CAPINZAL','SC',17821,983,NULL,440,NULL,NULL,NULL,2,7),(28,7190603,0.00,4.00,2.00,4.00,5.00,NULL,1.00,1.00,2.00,336,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190611,2.00,7.00,1.00,6.00,8.00,9.38,5.00,7.00,4.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9584,114,NULL,NULL,NULL,NULL,NULL,4,1),(28,7190638,2.00,5.00,2.00,4.00,8.00,9.00,2.00,6.00,3.00,203,NULL,201,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',10428,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190646,1.00,6.00,6.00,3.00,9.00,7.13,2.00,5.00,2.00,104,NULL,NULL,'ATERRADO','POUSO REDONDO','SC',8254,194,NULL,NULL,NULL,NULL,NULL,4,24),(28,7190654,4.00,9.00,2.00,7.00,8.00,13.50,3.00,7.00,5.00,415,NULL,NULL,'GLORIA','JOINVILLE','SC',3994,59,NULL,NULL,NULL,NULL,NULL,4,8),(28,7190670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7190689,0.00,4.00,1.00,3.00,4.00,6.38,0.00,2.00,1.00,201,NULL,207,'TIMBÉZINHO','S JOÃO BATISTA','SC',20078,1059,NULL,819,NULL,NULL,NULL,2,22),(28,7190719,0.00,1.00,0.00,0.00,2.00,NULL,1.00,2.00,4.00,207,NULL,212,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7190727,0.00,7.00,2.00,5.00,7.00,NULL,3.00,5.00,2.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7190735,1.00,7.00,3.00,6.00,7.00,9.75,4.00,2.00,3.00,340,NULL,NULL,'VILA CELIA','CPO GRANDE','MS',13689,365,NULL,NULL,NULL,NULL,NULL,4,1),(28,7190743,5.00,6.00,3.00,4.00,3.00,8.25,2.00,6.00,3.00,222,NULL,NULL,'LIBERDADE','CONCÓRDIA','SC',15434,26,NULL,NULL,NULL,NULL,NULL,4,26),(28,7190751,5.00,7.00,3.00,5.00,10.00,7.13,4.00,6.00,5.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4451,207,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190786,0.00,4.00,0.00,5.00,3.00,7.50,3.00,1.00,1.00,454,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190816,2.00,6.00,1.00,5.00,5.00,8.63,2.00,3.00,5.00,316,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',16835,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190824,5.00,8.00,3.00,7.00,9.00,9.38,3.00,7.00,6.00,207,NULL,201,'ANITA GARIBALDI','JOINVILLE','SC',2189,76,NULL,156,NULL,NULL,NULL,2,8),(28,7190859,2.00,5.00,3.00,3.00,8.00,6.75,2.00,4.00,1.00,316,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',17789,253,NULL,NULL,NULL,NULL,NULL,4,1),(28,7190867,3.00,6.00,2.00,3.00,6.00,11.63,3.00,2.00,2.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPO BELO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7190883,1.00,5.00,2.00,5.00,6.00,12.00,3.00,6.00,2.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',9746,664,NULL,453,NULL,NULL,NULL,2,1),(28,7190891,2.00,3.00,1.00,2.00,3.00,5.25,2.00,4.00,3.00,203,NULL,202,'SÃO LUIZ','S MIGUEL OESTE','SC',18817,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7190930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,429,'RIO BRANCO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7190948,3.00,2.00,3.00,6.00,5.00,3.00,3.00,3.00,4.00,319,NULL,NULL,'CENTRO','STA HELENA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190956,2.00,8.00,2.00,3.00,7.00,7.88,4.00,6.00,5.00,207,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',9008,NULL,NULL,12,NULL,NULL,NULL,4,15),(28,7190964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'POLICIA RODOVIARIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7190972,0.00,2.00,0.00,3.00,2.00,NULL,1.00,2.00,2.00,444,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190980,1.00,3.00,1.00,4.00,4.00,NULL,0.00,4.00,4.00,203,NULL,216,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7190999,4.00,6.00,1.00,6.00,8.00,8.63,3.00,4.00,2.00,999,NULL,NULL,'TAPAJÓS','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7191006,3.00,6.00,1.00,6.00,6.00,7.50,4.00,4.00,4.00,999,NULL,NULL,'N S DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7191014,3.00,7.00,1.00,6.00,7.00,6.75,4.00,4.00,5.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10318,190,NULL,NULL,NULL,NULL,NULL,4,1),(28,7191022,1.00,6.00,1.00,5.00,5.00,9.00,3.00,4.00,3.00,203,NULL,201,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',16333,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7191030,4.00,9.00,5.00,6.00,9.00,7.88,4.00,6.00,4.00,103,NULL,NULL,'FLORIANI','OTACÍLIO COSTA','SC',2028,892,NULL,NULL,NULL,NULL,NULL,4,9),(28,7191049,0.00,6.00,2.00,3.00,7.00,5.25,3.00,4.00,3.00,104,NULL,NULL,'SERTÃOZINHO','BOMBINHAS','SC',17445,416,NULL,NULL,NULL,NULL,NULL,2,3),(28,7191073,1.00,3.00,1.00,3.00,1.00,NULL,1.00,3.00,2.00,110,NULL,NULL,'CENTRO','RENASCENÇA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7191081,5.00,7.00,1.00,2.00,6.00,9.38,5.00,4.00,3.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',7398,1821,NULL,NULL,NULL,NULL,NULL,1,5),(28,7191090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7191103,2.00,6.00,3.00,6.00,9.00,9.38,4.00,4.00,4.00,454,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',4969,64,NULL,NULL,NULL,NULL,NULL,4,10),(28,7191120,4.00,7.00,2.00,6.00,5.00,7.13,4.00,7.00,3.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6411,49,NULL,NULL,NULL,NULL,NULL,2,1),(28,7191138,3.00,6.00,4.00,6.00,8.00,6.00,4.00,6.00,5.00,201,NULL,212,'VARGEM DO BRAÇO','STO AMARO IMPERATRIZ','SC',7574,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7191162,0.00,4.00,1.00,4.00,6.00,6.75,2.00,3.00,2.00,109,NULL,NULL,'SERRARIA','S JOSÉ','SC',18179,83,NULL,NULL,NULL,NULL,NULL,2,1),(28,7191170,0.00,4.00,2.00,7.00,4.00,9.75,2.00,6.00,2.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10562,2112,NULL,NULL,NULL,NULL,NULL,2,3),(28,7191197,5.00,8.00,0.00,7.00,4.00,8.25,5.00,6.00,6.00,207,NULL,216,'INGLESES','FLORIANÓPOLIS','SC',8445,393,NULL,NULL,NULL,NULL,NULL,2,1),(28,7191200,5.00,7.00,2.00,6.00,9.00,7.50,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','STA CRUZ SUL','RS',6116,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7191227,6.00,8.00,3.00,7.00,8.00,10.50,5.00,6.00,5.00,203,NULL,601,'ESTREITO','FLORIANÓPOLIS','SC',967,94,NULL,3,NULL,NULL,NULL,2,1),(28,7191235,1.00,0.00,4.00,6.00,7.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7191243,2.00,7.00,1.00,5.00,6.00,7.88,4.00,7.00,5.00,201,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',8045,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7191251,1.00,4.00,2.00,3.00,4.00,6.75,2.00,4.00,1.00,212,NULL,201,'BELA VISTA','ITUPORANGA','SC',15227,380,NULL,917,NULL,NULL,NULL,4,24),(28,7191260,2.00,9.00,3.00,6.00,8.00,8.25,4.00,8.00,4.00,103,NULL,NULL,'GRÃ DUQUESA','GOV VALADARES','MG',3801,1288,NULL,NULL,NULL,NULL,NULL,2,4),(28,7191278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7191286,4.00,5.00,3.00,6.00,6.00,7.13,4.00,6.00,6.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7191294,1.00,5.00,3.00,3.00,6.00,7.88,4.00,3.00,4.00,203,NULL,202,'ENCANO DO NORTE','INDAIAL','SC',16470,666,NULL,370,NULL,NULL,NULL,4,2),(28,7191316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7191324,2.00,7.00,3.00,6.00,3.00,7.88,3.00,6.00,1.00,318,NULL,NULL,'BARREIROS','S JOSÉ','SC',15053,107,NULL,NULL,NULL,NULL,NULL,2,1),(28,7191332,0.00,2.00,3.00,1.00,3.00,6.00,2.00,1.00,1.00,201,NULL,207,'COLONINHA','ARARANGUÁ','SC',19674,NULL,NULL,NULL,NULL,NULL,NULL,6,15),(28,7191340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7191367,1.00,5.00,2.00,2.00,4.00,6.00,2.00,2.00,4.00,202,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',17202,380,NULL,971,NULL,NULL,NULL,4,1),(28,7191375,4.00,7.00,3.00,5.00,5.00,NULL,1.00,7.00,2.00,427,NULL,421,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',5,8),(28,7191383,2.00,6.00,2.00,4.00,4.00,4.50,4.00,5.00,3.00,999,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7191391,0.00,6.00,2.00,5.00,7.00,8.25,1.00,4.00,4.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',11080,204,NULL,NULL,NULL,NULL,NULL,2,1),(28,7191405,1.00,5.00,4.00,5.00,5.00,5.25,2.00,5.00,3.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17885,120,NULL,NULL,NULL,NULL,NULL,2,1),(28,7191413,4.00,7.00,2.00,3.00,8.00,6.38,5.00,4.00,3.00,238,NULL,202,'PRAIA COMPRIDA','S JOSÉ','SC',8129,111,NULL,219,NULL,NULL,NULL,4,1),(28,7191421,2.00,8.00,5.00,4.00,5.00,6.75,3.00,7.00,4.00,203,NULL,601,'CENTRO','BRAÇO NORTE','SC',6968,NULL,NULL,152,NULL,NULL,NULL,2,10),(28,7191430,5.00,6.00,3.00,6.00,8.00,6.75,2.00,4.00,5.00,103,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',10719,2119,NULL,NULL,NULL,NULL,NULL,4,1),(28,7191448,1.00,5.00,4.00,6.00,9.00,7.88,2.00,4.00,5.00,324,NULL,NULL,'IPIRANGA','S JOSÉ','SC',11732,4,NULL,NULL,NULL,NULL,NULL,2,1),(28,7191464,4.00,4.00,2.00,4.00,3.00,8.63,2.00,2.00,2.00,302,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',16519,121,NULL,NULL,NULL,NULL,NULL,2,1),(28,7191472,2.00,2.00,3.00,4.00,2.00,NULL,1.00,3.00,3.00,427,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7191499,2.00,4.00,1.00,4.00,5.00,8.63,5.00,5.00,2.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',14519,156,NULL,50,NULL,NULL,NULL,2,15),(28,7191502,1.00,5.00,3.00,4.00,6.00,8.63,2.00,3.00,3.00,450,NULL,NULL,'VILA SÃO RAFAEL','GUARULHOS','SP',12841,100,NULL,NULL,NULL,NULL,NULL,4,1),(28,7191510,2.00,5.00,2.00,5.00,3.00,7.13,2.00,2.00,4.00,208,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',18450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7191529,4.00,4.00,3.00,1.00,3.00,4.50,1.00,5.00,0.00,201,NULL,212,'CENTRO','S JOAQUIM','SC',17286,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7191545,2.00,6.00,4.00,7.00,8.00,9.38,3.00,6.00,5.00,203,NULL,214,'CENTRO','CPO VERDE','MT',3469,248,NULL,124,NULL,NULL,NULL,4,1),(28,7191588,4.00,9.00,3.00,7.00,8.00,7.88,4.00,8.00,5.00,103,NULL,NULL,'MAGALHAES','LAGUNA','SC',2328,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7191596,3.00,6.00,2.00,6.00,5.00,8.63,3.00,6.00,2.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',8736,1980,NULL,NULL,NULL,NULL,NULL,4,2),(28,7191618,2.00,4.00,1.00,7.00,7.00,4.88,0.00,3.00,3.00,5,NULL,NULL,'CENTRO','PALHOÇA','SC',18553,474,NULL,NULL,NULL,NULL,NULL,2,1),(28,7191626,2.00,2.00,2.00,3.00,5.00,3.00,2.00,2.00,2.00,202,NULL,201,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7191634,3.00,7.00,2.00,7.00,5.00,8.63,3.00,5.00,3.00,320,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',13016,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7191642,2.00,6.00,1.00,7.00,8.00,9.75,5.00,3.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8800,367,NULL,NULL,NULL,NULL,NULL,4,1),(28,7191650,5.00,5.00,3.00,4.00,5.00,9.75,2.00,4.00,4.00,653,NULL,655,'SANTA AUGUSTA','CRICIÚMA','SC',8911,NULL,NULL,36,NULL,NULL,NULL,4,5),(28,7191669,0.00,3.00,3.00,5.00,5.00,NULL,2.00,2.00,4.00,501,NULL,NULL,'JARDIM DO LAGO','ENG COELHO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7191677,5.00,7.00,4.00,6.00,9.00,11.25,6.00,7.00,7.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',905,507,NULL,NULL,NULL,NULL,NULL,4,1),(28,7191693,4.00,7.00,1.00,6.00,5.00,8.25,5.00,6.00,6.00,103,NULL,NULL,'SOL NASCENTE','GUARAPUAVA','PR',3756,1276,NULL,NULL,NULL,NULL,NULL,4,6),(28,7191707,4.00,7.00,1.00,5.00,8.00,9.75,3.00,5.00,6.00,235,NULL,220,'JOSÉ MENDES','FLORIANÓPOLIS','SC',4796,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7191715,5.00,8.00,2.00,7.00,7.00,9.38,2.00,4.00,5.00,215,NULL,NULL,'HIGIENÓPOLIS','PIRACICABA','SP',4191,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7191723,1.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7191731,3.00,7.00,2.00,6.00,7.00,8.63,3.00,6.00,3.00,308,NULL,NULL,'IGRA','TORRES','RS',6808,4,NULL,NULL,NULL,NULL,NULL,4,15),(28,7191758,6.00,8.00,4.00,7.00,10.00,10.88,4.00,8.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',355,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7191766,3.00,4.00,2.00,6.00,8.00,7.50,3.00,6.00,2.00,203,NULL,201,'ARIRIU','PALHOÇA','SC',10272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7191774,0.00,5.00,2.00,2.00,2.00,NULL,1.00,3.00,2.00,302,NULL,NULL,'SAVEIRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7191782,1.00,2.00,2.00,4.00,1.00,NULL,0.00,3.00,1.00,238,NULL,220,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7191790,4.00,6.00,3.00,5.00,6.00,7.88,0.00,5.00,3.00,552,NULL,NULL,'VELHA','BLUMENAU','SC',9416,27,NULL,NULL,NULL,NULL,NULL,4,2),(28,7191804,2.00,7.00,4.00,6.00,5.00,7.50,5.00,7.00,6.00,211,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',6564,180,NULL,140,NULL,NULL,NULL,2,1),(28,7191820,4.00,3.00,1.00,6.00,5.00,8.25,2.00,3.00,3.00,225,NULL,NULL,'ALTO ARROIO','IMBITUBA','SC',11730,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7191839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7191847,3.00,6.00,1.00,6.00,5.00,9.00,3.00,6.00,3.00,427,NULL,423,'BAEPENDI','JARAGUÁ SUL','SC',13895,7,NULL,NULL,NULL,NULL,NULL,4,23),(28,7191855,1.00,6.00,1.00,7.00,7.00,8.63,1.00,4.00,2.00,451,NULL,NULL,'SANTO ANTONIO','TREVISO','SC',16190,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(28,7191863,4.00,6.00,1.00,4.00,5.00,9.00,3.00,4.00,4.00,202,NULL,203,'VILA MARIA','LAGES','SC',9113,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7191871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7191880,1.00,2.00,3.00,7.00,6.00,7.88,2.00,2.00,2.00,653,NULL,655,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',16248,172,NULL,101,NULL,NULL,NULL,2,15),(28,7191898,1.00,5.00,2.00,1.00,3.00,5.25,1.00,4.00,2.00,308,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7191901,2.00,4.00,0.00,6.00,6.00,NULL,1.00,5.00,2.00,9,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7191910,2.00,6.00,3.00,6.00,9.00,10.13,4.00,5.00,2.00,207,NULL,201,'CENTRO','CHAPECÓ','SC',5130,227,NULL,395,NULL,NULL,NULL,4,4),(28,7191928,3.00,7.00,3.00,6.00,7.00,10.88,3.00,3.00,6.00,103,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',4620,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7191936,3.00,3.00,2.00,5.00,3.00,7.13,3.00,4.00,3.00,213,NULL,220,'ATIRADORES','JOINVILLE','SC',18709,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7191944,4.00,7.00,2.00,6.00,6.00,5.25,3.00,6.00,5.00,201,NULL,212,'MANSÕES STO ANTONIO','CAMPINAS','SP',8419,603,NULL,NULL,NULL,NULL,NULL,4,1),(28,7191952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,202,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7191960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,601,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7191979,2.00,4.00,3.00,3.00,4.00,7.13,0.00,2.00,2.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',17084,38,NULL,NULL,NULL,NULL,NULL,4,16),(28,7191987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7191995,1.00,3.00,2.00,2.00,6.00,4.50,2.00,5.00,1.00,216,NULL,201,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192002,3.00,3.00,3.00,2.00,8.00,10.13,1.00,5.00,1.00,108,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',13725,189,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192010,1.00,7.00,2.00,6.00,7.00,9.75,3.00,4.00,3.00,333,NULL,NULL,'SANTANA','S PAULO','SP',7144,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7192037,3.00,7.00,4.00,6.00,9.00,9.38,3.00,8.00,8.00,316,NULL,NULL,'JARDIN SOPHIA','JOINVILLE','SC',1354,4,NULL,NULL,NULL,NULL,NULL,4,8),(28,7192053,4.00,7.00,1.00,6.00,8.00,10.88,5.00,7.00,3.00,238,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',4351,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192061,3.00,8.00,1.00,7.00,9.00,7.50,4.00,6.00,5.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',4947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192070,4.00,5.00,2.00,2.00,7.00,10.88,3.00,3.00,3.00,454,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',9729,180,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192088,1.00,5.00,3.00,5.00,5.00,6.00,3.00,4.00,2.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',17066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192096,5.00,6.00,3.00,6.00,7.00,8.25,5.00,6.00,2.00,108,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6380,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192118,1.00,6.00,3.00,6.00,7.00,9.75,1.00,3.00,3.00,444,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',14601,73,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192134,3.00,5.00,2.00,5.00,4.00,7.13,3.00,3.00,2.00,655,NULL,652,'CENTRO','ARARANGUÁ','SC',17618,109,NULL,86,NULL,NULL,NULL,4,15),(28,7192142,7.00,8.00,3.00,6.00,8.00,10.13,3.00,8.00,7.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',410,293,NULL,NULL,NULL,NULL,NULL,4,8),(28,7192150,4.00,4.00,2.00,5.00,5.00,7.50,4.00,5.00,3.00,317,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',11348,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192169,1.00,7.00,3.00,2.00,3.00,8.63,1.00,4.00,5.00,103,NULL,NULL,'ESPLANADA','CAXIAS SUL','RS',12512,2234,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192177,0.00,4.00,2.00,4.00,1.00,NULL,3.00,2.00,1.00,201,NULL,212,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192185,6.00,9.00,3.00,5.00,10.00,9.38,5.00,7.00,7.00,201,NULL,233,'GLÓRIA','JOINVILLE','SC',1134,59,NULL,NULL,NULL,NULL,NULL,4,8),(28,7192193,0.00,5.00,3.00,1.00,4.00,NULL,1.00,5.00,2.00,211,NULL,201,'CENTRO','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7192207,1.00,7.00,1.00,5.00,6.00,9.38,2.00,8.00,4.00,601,NULL,NULL,'AMÉRICA','JOINVILLE','SC',5897,114,NULL,NULL,NULL,NULL,NULL,2,8),(28,7192215,1.00,5.00,2.00,5.00,5.00,9.38,3.00,4.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192223,1.00,5.00,1.00,7.00,6.00,9.75,3.00,6.00,1.00,999,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7192231,2.00,4.00,3.00,5.00,4.00,7.13,3.00,5.00,3.00,208,NULL,NULL,'IPIRANGA','S JOSÉ','SC',17955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192258,1.00,5.00,1.00,4.00,5.00,6.38,3.00,3.00,3.00,326,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',15206,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192266,4.00,3.00,1.00,4.00,5.00,5.25,5.00,4.00,3.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17823,118,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192274,1.00,6.00,3.00,4.00,5.00,5.63,3.00,6.00,1.00,216,NULL,201,'SÃO MIGUEL','BIGUAÇU','SC',14819,395,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'CENTRO','MARAU','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7192290,0.00,5.00,2.00,5.00,5.00,5.25,2.00,5.00,2.00,601,NULL,NULL,'ATIRADORES','JOINVILLE','SC',18745,530,NULL,NULL,NULL,NULL,NULL,4,8),(28,7192304,0.00,6.00,3.00,4.00,5.00,7.13,3.00,4.00,3.00,303,NULL,NULL,'CIDADE JARDIM','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7192320,1.00,5.00,1.00,3.00,3.00,3.00,2.00,4.00,1.00,324,NULL,NULL,'ARMAÇÃO DA PIEDADE','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192339,1.00,4.00,1.00,3.00,5.00,4.50,0.00,6.00,1.00,336,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18382,92,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,216,'CENTRO','GUAIÇARA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7192355,2.00,3.00,2.00,6.00,4.00,5.63,1.00,4.00,2.00,302,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17621,137,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192363,0.00,2.00,1.00,5.00,3.00,7.88,0.00,5.00,1.00,338,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',19742,22,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7192380,4.00,4.00,4.00,5.00,7.00,5.25,1.00,5.00,1.00,450,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13091,101,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7192401,4.00,8.00,2.00,6.00,8.00,10.88,4.00,7.00,5.00,211,NULL,207,'PRESIDENTE MEDICIE','CHAPECÓ','SC',2473,42,NULL,NULL,NULL,NULL,NULL,4,4),(28,7192410,0.00,7.00,2.00,7.00,5.00,7.13,2.00,7.00,2.00,999,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7192428,1.00,6.00,3.00,2.00,3.00,7.88,2.00,3.00,3.00,224,NULL,NULL,'RIO MIGUEL','ÁGUAS MORNAS','SC',14810,17,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192436,5.00,7.00,2.00,6.00,8.00,9.38,4.00,7.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7070,189,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192444,1.00,5.00,4.00,7.00,7.00,6.38,3.00,5.00,4.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192452,2.00,5.00,2.00,3.00,6.00,10.50,1.00,5.00,4.00,201,NULL,203,'CACHOEIRAS','BIGUAÇU','SC',11446,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192460,2.00,4.00,2.00,3.00,4.00,6.75,2.00,4.00,2.00,654,NULL,NULL,'CENTRO','CANOINHAS','SC',18800,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7192479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7192487,1.00,7.00,4.00,3.00,5.00,7.50,3.00,7.00,3.00,201,NULL,207,'JD FLORES','OSASCO','SP',9417,648,NULL,438,NULL,NULL,NULL,4,3),(28,7192495,4.00,6.00,4.00,3.00,2.00,NULL,4.00,5.00,1.00,202,NULL,212,'CASCATA','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7192509,4.00,4.00,4.00,5.00,6.00,10.50,2.00,5.00,2.00,103,NULL,NULL,'SÍTIO DOS VIANAS','STO ANDRÉ','SP',14330,2324,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192517,3.00,9.00,1.00,7.00,5.00,7.13,0.00,7.00,2.00,303,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',13920,516,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192533,2.00,6.00,0.00,6.00,9.00,10.13,2.00,6.00,5.00,201,NULL,211,'PRAIA JOÃO ROSA','BIGUAÇU','SC',6064,471,NULL,160,NULL,NULL,NULL,4,1),(28,7192550,2.00,5.00,1.00,6.00,6.00,6.38,2.00,3.00,3.00,230,NULL,NULL,'ATIRADORES','JOINVILLE','SC',13136,10,NULL,NULL,NULL,NULL,NULL,2,8),(28,7192568,3.00,3.00,1.00,4.00,6.00,7.88,3.00,3.00,3.00,999,NULL,NULL,'IMIGRANTES','GUABIRUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7192576,3.00,6.00,3.00,7.00,6.00,8.25,4.00,4.00,1.00,429,NULL,425,'FLORIANÓPOLIS','FLORIANÓPOLIS','SC',11245,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7192614,3.00,7.00,2.00,7.00,7.00,9.00,5.00,6.00,3.00,340,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8839,243,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192630,6.00,6.00,4.00,7.00,8.00,7.88,7.00,6.00,6.00,203,NULL,214,'SETOR BUENO','GOIÂNIA','GO',1158,107,NULL,21,NULL,NULL,NULL,4,1),(28,7192649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','PIUMHI','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7192657,1.00,3.00,1.00,5.00,6.00,7.13,2.00,2.00,4.00,110,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',18637,95,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192665,2.00,5.00,2.00,7.00,7.00,7.88,3.00,3.00,2.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',15924,28,NULL,NULL,NULL,NULL,NULL,2,16),(28,7192673,6.00,7.00,5.00,4.00,9.00,8.63,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',1546,760,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192681,2.00,4.00,2.00,1.00,8.00,6.38,2.00,5.00,2.00,208,NULL,NULL,'CENTRO','TIJUCAS','SC',15678,173,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192690,4.00,8.00,1.00,6.00,9.00,10.13,3.00,5.00,3.00,103,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',5202,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7192703,4.00,5.00,2.00,7.00,6.00,6.75,2.00,4.00,3.00,201,NULL,216,'RIO MAINA','CRICIÚMA','SC',14147,NULL,NULL,386,NULL,NULL,NULL,2,5),(28,7192711,0.00,4.00,1.00,6.00,5.00,6.38,1.00,2.00,1.00,324,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192720,4.00,6.00,2.00,6.00,7.00,8.63,2.00,3.00,4.00,340,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',9999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,425,'MASTERVILLE','SARZEDO','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7192746,3.00,7.00,3.00,6.00,6.00,7.50,1.00,4.00,4.00,220,NULL,203,'JD INFANTE D HENRIQU','BAURU','SP',14029,304,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192754,2.00,3.00,2.00,6.00,3.00,6.00,2.00,2.00,3.00,207,NULL,215,'ALTO RIBEIRAO','FLORIANÓPOLIS','SC',17683,752,NULL,281,NULL,NULL,NULL,2,1),(28,7192762,1.00,1.00,1.00,4.00,3.00,7.13,2.00,3.00,2.00,404,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',18898,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7192789,2.00,8.00,4.00,6.00,8.00,4.88,7.00,5.00,6.00,304,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5809,28,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','S VICENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7192800,2.00,4.00,4.00,6.00,5.00,6.00,2.00,4.00,3.00,415,NULL,NULL,'GRANJA VIANNA','COTIA','SP',12914,210,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192819,2.00,4.00,3.00,3.00,4.00,7.13,0.00,4.00,1.00,103,NULL,NULL,'VILA OPERARIA','ITAJAÍ','SC',19399,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7192827,4.00,8.00,3.00,7.00,7.00,9.75,3.00,6.00,3.00,999,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7192843,0.00,3.00,1.00,5.00,3.00,7.13,2.00,3.00,1.00,9,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',19710,171,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192851,3.00,2.00,0.00,6.00,6.00,7.50,2.00,4.00,3.00,104,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14589,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7192860,1.00,2.00,0.00,5.00,5.00,10.13,1.00,5.00,2.00,101,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',13863,83,NULL,NULL,NULL,NULL,NULL,2,10),(28,7192878,6.00,7.00,5.00,7.00,9.00,8.63,3.00,5.00,3.00,304,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7078,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192894,4.00,7.00,4.00,5.00,5.00,10.13,2.00,5.00,3.00,999,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7192908,2.00,7.00,2.00,7.00,9.00,7.50,3.00,7.00,3.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',6938,1750,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192932,3.00,4.00,1.00,3.00,5.00,7.13,2.00,4.00,2.00,326,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',19014,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7192959,4.00,6.00,1.00,7.00,5.00,7.50,4.00,7.00,1.00,208,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',9068,96,NULL,NULL,NULL,NULL,NULL,4,24),(28,7192975,2.00,6.00,2.00,3.00,5.00,7.50,6.00,5.00,3.00,201,NULL,220,'CAMPO LIMPO','AMERICANA','SP',8705,617,NULL,225,NULL,NULL,NULL,4,1),(28,7192991,3.00,3.00,1.00,2.00,3.00,7.13,1.00,6.00,2.00,551,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7193009,3.00,6.00,4.00,7.00,7.00,9.75,5.00,6.00,3.00,5,NULL,NULL,'VORSTADT','BLUMENAU','SC',8017,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7193017,2.00,8.00,4.00,6.00,6.00,7.50,2.00,6.00,6.00,303,NULL,NULL,'CENTRO','ASCURRA','SC',5626,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7193033,2.00,4.00,4.00,7.00,7.00,9.00,3.00,3.00,5.00,309,NULL,NULL,'CENTRO','PALHOÇA','SC',9041,2,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193041,1.00,4.00,1.00,2.00,4.00,7.88,2.00,3.00,3.00,502,NULL,NULL,'SANTA MARIA','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7193050,7.00,8.00,3.00,6.00,10.00,8.63,5.00,7.00,5.00,103,NULL,NULL,'CENTRO','ARVOREDO','SC',848,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7193068,0.00,7.00,2.00,5.00,6.00,4.50,3.00,3.00,5.00,3,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11199,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7193092,8.00,7.00,4.00,7.00,7.00,10.88,5.00,8.00,7.00,220,NULL,202,'FERREIRA DIAS','JAÚ','SP',599,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7193114,1.00,4.00,2.00,7.00,3.00,8.63,3.00,6.00,2.00,999,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7193122,7.00,8.00,4.00,7.00,10.00,10.50,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','S LEOPOLDO','RS',506,344,NULL,NULL,NULL,NULL,NULL,2,15),(28,7193149,3.00,6.00,3.00,6.00,6.00,6.75,2.00,4.00,2.00,109,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193157,0.00,6.00,0.00,6.00,5.00,5.25,2.00,6.00,3.00,654,NULL,NULL,'PAGARÁ','STO AMARO IMPERATRIZ','SC',13998,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193165,3.00,6.00,0.00,6.00,3.00,7.88,2.00,5.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7193173,0.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,551,NULL,NULL,'BORGES','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7193190,5.00,8.00,4.00,5.00,7.00,9.00,5.00,6.00,7.00,103,NULL,NULL,'FLAMBOYANT','CAMPINAS','SP',1300,678,NULL,NULL,NULL,NULL,NULL,4,1),(28,7193203,4.00,6.00,3.00,7.00,5.00,7.88,3.00,5.00,1.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',14015,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193211,2.00,4.00,1.00,6.00,2.00,NULL,0.00,3.00,2.00,234,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193220,4.00,8.00,1.00,7.00,5.00,10.88,2.00,5.00,5.00,3,NULL,NULL,'SANTO ANDRÉ','S LEOPOLDO','RS',5399,18,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193246,0.00,3.00,2.00,2.00,5.00,9.38,1.00,4.00,0.00,501,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193254,3.00,7.00,1.00,6.00,6.00,6.38,5.00,4.00,6.00,220,NULL,203,'SUMARÉ','RIO SUL','SC',9676,236,NULL,526,NULL,NULL,NULL,4,24),(28,7193262,1.00,4.00,2.00,6.00,5.00,6.38,1.00,4.00,4.00,302,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15684,112,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7193289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,235,'CENTRO','IGARATÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,23),(28,7193300,3.00,5.00,1.00,6.00,9.00,9.38,4.00,5.00,3.00,501,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7535,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193319,1.00,3.00,2.00,4.00,4.00,5.25,2.00,2.00,2.00,238,NULL,601,'INGLESES','FLORIANÓPOLIS','SC',17941,313,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193327,0.00,6.00,3.00,5.00,6.00,8.25,2.00,4.00,3.00,340,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',11196,314,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193335,0.00,5.00,3.00,5.00,6.00,10.50,2.00,5.00,1.00,303,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',10361,418,NULL,NULL,NULL,NULL,NULL,4,4),(28,7193343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MILITAR','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7193351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7193386,5.00,7.00,3.00,7.00,7.00,9.00,4.00,8.00,6.00,235,NULL,653,'CENTRO','CAPIVARI BAIXO','SC',2476,25,NULL,NULL,NULL,NULL,NULL,4,10),(28,7193394,2.00,3.00,2.00,5.00,2.00,NULL,0.00,6.00,2.00,233,NULL,601,'BREJARU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193408,6.00,7.00,5.00,7.00,8.00,11.63,4.00,5.00,7.00,233,NULL,215,'BARREIROS','S JOSÉ','SC',1549,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7193416,0.00,5.00,4.00,4.00,5.00,8.63,0.00,3.00,0.00,104,NULL,NULL,'LARANJAL','PELOTAS','RS',14402,347,NULL,NULL,NULL,NULL,NULL,2,15),(28,7193424,0.00,6.00,1.00,5.00,7.00,NULL,0.00,4.00,2.00,316,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193440,0.00,4.00,1.00,4.00,4.00,7.50,0.00,2.00,3.00,207,NULL,201,'CACHOEIRA','FLORIANÓPOLIS','SC',17908,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7193459,5.00,6.00,2.00,6.00,10.00,9.75,5.00,7.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2277,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193467,3.00,8.00,4.00,7.00,9.00,9.00,3.00,5.00,4.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',5772,260,NULL,188,NULL,NULL,NULL,4,1),(28,7193475,5.00,7.00,1.00,7.00,6.00,7.50,4.00,7.00,4.00,336,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',9775,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7193483,1.00,6.00,2.00,4.00,6.00,7.50,1.00,4.00,2.00,308,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',17608,53,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193491,1.00,4.00,4.00,6.00,6.00,7.13,1.00,3.00,0.00,207,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',13835,617,NULL,859,NULL,NULL,NULL,2,1),(28,7193505,2.00,7.00,3.00,4.00,6.00,6.75,4.00,5.00,5.00,233,NULL,213,'RES SÃO FRANCISCO','S JOSÉ CAMPOS','SP',5796,152,NULL,96,NULL,NULL,NULL,2,1),(28,7193513,6.00,8.00,3.00,6.00,8.00,9.75,5.00,7.00,7.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',922,519,NULL,NULL,NULL,NULL,NULL,2,25),(28,7193521,2.00,7.00,3.00,4.00,5.00,5.25,2.00,4.00,2.00,234,NULL,NULL,'NOVA CAIEIRAS','CAIEIRAS','SP',13117,31,NULL,NULL,NULL,NULL,NULL,4,8),(28,7193530,2.00,4.00,1.00,1.00,3.00,6.00,3.00,5.00,3.00,208,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',17241,190,NULL,NULL,NULL,NULL,NULL,4,1),(28,7193548,0.00,4.00,2.00,4.00,3.00,7.50,2.00,1.00,3.00,440,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',19752,12,NULL,NULL,NULL,NULL,NULL,6,16),(28,7193556,1.00,8.00,5.00,7.00,4.00,9.38,4.00,5.00,3.00,340,NULL,NULL,'VILA INDUSTRIAL','ARAÇATUBA','SP',11156,310,NULL,NULL,NULL,NULL,NULL,3,3),(28,7193564,0.00,5.00,2.00,2.00,5.00,5.63,1.00,3.00,4.00,425,NULL,429,'FORQUILHAS','S JOSÉ','SC',15957,53,NULL,33,NULL,NULL,NULL,4,1),(28,7193572,1.00,4.00,5.00,6.00,7.00,8.25,2.00,3.00,5.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10863,141,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193580,7.00,8.00,4.00,5.00,10.00,10.88,4.00,7.00,6.00,202,NULL,213,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',872,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7193599,6.00,6.00,0.00,1.00,4.00,NULL,2.00,5.00,5.00,303,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7193602,2.00,6.00,1.00,6.00,8.00,6.38,2.00,6.00,3.00,103,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',8947,1993,NULL,NULL,NULL,NULL,NULL,4,1),(28,7193610,2.00,5.00,1.00,3.00,5.00,4.88,3.00,2.00,2.00,102,NULL,NULL,'BOA VISTA','JOINVILLE','SC',15883,146,NULL,NULL,NULL,NULL,NULL,4,6),(28,7193629,2.00,7.00,1.00,5.00,7.00,8.25,5.00,4.00,6.00,316,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',5765,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7193637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7193661,0.00,6.00,2.00,4.00,8.00,5.25,2.00,4.00,2.00,101,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',13256,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7193670,3.00,4.00,2.00,3.00,5.00,4.50,2.00,2.00,2.00,318,NULL,NULL,'KOBRASOL','S JOSÉ','SC',17331,124,NULL,NULL,NULL,NULL,NULL,4,1),(28,7193688,4.00,4.00,2.00,3.00,6.00,8.25,5.00,5.00,2.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',16655,180,NULL,71,NULL,NULL,NULL,4,15),(28,7193696,1.00,5.00,4.00,6.00,6.00,9.75,0.00,4.00,2.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',15371,2370,NULL,NULL,NULL,NULL,NULL,4,4),(28,7193700,2.00,6.00,2.00,5.00,8.00,8.63,3.00,4.00,5.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7766,84,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193718,0.00,3.00,3.00,3.00,4.00,6.75,1.00,4.00,3.00,316,NULL,NULL,'PRAIA DO GI','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7193726,3.00,7.00,3.00,6.00,6.00,9.00,2.00,6.00,4.00,201,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',5618,432,NULL,373,NULL,NULL,NULL,4,3),(28,7193734,1.00,2.00,3.00,4.00,3.00,5.25,4.00,3.00,2.00,202,NULL,235,'CAMPECHE','FLORIANÓPOLIS','SC',19430,398,NULL,290,NULL,NULL,NULL,2,1),(28,7193742,1.00,4.00,1.00,3.00,4.00,6.38,0.00,4.00,2.00,551,NULL,NULL,'INTERIOR','LEBON RÉGIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7193750,2.00,0.00,3.00,4.00,2.00,NULL,0.00,0.00,0.00,601,NULL,214,'DISTRITO DE FELIPE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,17),(28,7193785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,NULL,'SESC SUZANO SP','SUZANO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7193793,5.00,5.00,2.00,5.00,5.00,8.25,3.00,6.00,5.00,216,NULL,211,'CENTRO','MOREIRA SALES','PR',6623,229,NULL,183,NULL,NULL,NULL,4,5),(28,7193807,3.00,3.00,2.00,5.00,5.00,6.38,1.00,3.00,2.00,9,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',19026,163,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193823,2.00,4.00,1.00,4.00,5.00,8.63,3.00,3.00,3.00,551,NULL,NULL,'ZONA RURAL','CURITIBANOS','SC',13828,14,NULL,NULL,NULL,NULL,NULL,4,16),(28,7193831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7193840,0.00,6.00,2.00,6.00,3.00,6.75,3.00,5.00,3.00,426,NULL,427,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',17805,33,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193858,0.00,2.00,1.00,2.00,5.00,7.13,1.00,4.00,3.00,104,NULL,NULL,'AREIAS','S JOSÉ','SC',16846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7193866,2.00,7.00,0.00,6.00,8.00,9.00,3.00,3.00,2.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9759,129,NULL,NULL,NULL,NULL,NULL,4,1),(28,7193874,4.00,7.00,1.00,7.00,8.00,7.88,3.00,4.00,3.00,999,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7193882,2.00,4.00,5.00,5.00,8.00,7.88,4.00,5.00,4.00,3,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',8099,29,NULL,NULL,NULL,NULL,NULL,2,15),(28,7193890,4.00,8.00,2.00,6.00,6.00,9.00,3.00,6.00,3.00,203,NULL,214,'JARDIM ESPLANADA','S JOSÉ CAMPOS','SP',5010,342,NULL,163,NULL,NULL,NULL,4,1),(28,7193904,6.00,6.00,5.00,6.00,8.00,11.25,4.00,5.00,6.00,103,NULL,NULL,'BALNEARIO ESTREITO','FLORIANÓPOLIS','SC',1371,700,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193920,0.00,8.00,1.00,5.00,3.00,NULL,3.00,6.00,4.00,103,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7193947,1.00,5.00,1.00,7.00,8.00,9.75,1.00,3.00,6.00,108,NULL,NULL,'AMÉRICA','JOINVILLE','SC',9403,125,NULL,NULL,NULL,NULL,NULL,4,8),(28,7193955,7.00,8.00,1.00,7.00,9.00,8.63,5.00,5.00,6.00,415,NULL,NULL,'VELHA','BLUMENAU','SC',2482,29,NULL,NULL,NULL,NULL,NULL,4,2),(28,7193963,2.00,5.00,1.00,5.00,2.00,NULL,0.00,5.00,2.00,327,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7193971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7193980,0.00,0.00,2.00,0.00,4.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7193998,2.00,8.00,2.00,7.00,8.00,12.00,3.00,6.00,6.00,233,NULL,211,'SERRARIA','S JOSÉ','SC',2923,52,NULL,NULL,NULL,NULL,NULL,2,1),(28,7194005,2.00,5.00,4.00,4.00,7.00,8.25,2.00,4.00,1.00,103,NULL,NULL,'SERRARIA','S JOSÉ','SC',9284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194013,0.00,3.00,2.00,3.00,4.00,NULL,0.00,3.00,1.00,336,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7194021,2.00,5.00,1.00,7.00,5.00,10.13,1.00,3.00,3.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',16466,2420,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194030,0.00,5.00,1.00,5.00,5.00,7.13,3.00,2.00,2.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7194048,1.00,5.00,2.00,1.00,3.00,7.13,1.00,2.00,2.00,329,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',19895,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SANTA MARIA','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7194102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7194129,5.00,6.00,3.00,6.00,8.00,10.13,5.00,6.00,4.00,451,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',3848,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194137,2.00,7.00,2.00,4.00,6.00,6.75,2.00,5.00,4.00,652,NULL,655,'CIDADE ALTA','ARARANGUÁ','SC',11421,31,NULL,NULL,NULL,NULL,NULL,4,15),(28,7194145,7.00,5.00,3.00,5.00,8.00,9.38,4.00,6.00,3.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',4348,204,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194153,5.00,9.00,6.00,5.00,9.00,10.88,8.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',158,127,NULL,NULL,NULL,NULL,NULL,2,1),(28,7194161,5.00,6.00,5.00,7.00,9.00,10.50,5.00,6.00,5.00,308,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',1202,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194188,2.00,6.00,1.00,5.00,5.00,6.38,2.00,6.00,3.00,216,NULL,203,'CAMPO LIMPO','S PAULO','SP',17498,433,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194196,0.00,6.00,2.00,4.00,2.00,NULL,0.00,3.00,2.00,601,NULL,235,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7194200,5.00,7.00,3.00,5.00,8.00,7.88,4.00,5.00,6.00,220,NULL,202,'ITACORUBI','FLORIANÓPOLIS','SC',6678,182,NULL,181,NULL,NULL,NULL,2,1),(28,7194218,3.00,6.00,1.00,7.00,7.00,9.00,2.00,4.00,3.00,340,NULL,NULL,'CENTRO','VACARIA','RS',10052,281,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194234,0.00,5.00,0.00,2.00,5.00,6.75,1.00,2.00,2.00,9,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',17745,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194250,1.00,5.00,2.00,7.00,6.00,7.88,3.00,6.00,1.00,103,NULL,NULL,'PLANALTO','CPO GRANDE','MS',7896,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7194269,4.00,3.00,2.00,7.00,7.00,8.25,1.00,6.00,3.00,220,NULL,212,'PONTE DO IMARUIM','PALHOÇA','SC',9779,240,NULL,288,NULL,NULL,NULL,4,1),(28,7194277,1.00,4.00,1.00,2.00,1.00,NULL,1.00,5.00,2.00,5,NULL,NULL,'CENTRO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7194293,0.00,5.00,4.00,5.00,5.00,9.38,3.00,4.00,1.00,454,NULL,NULL,'LAGO SUL','LG SUL','DF',11913,236,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7194315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7194323,3.00,0.00,4.00,4.00,4.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7194331,2.00,4.00,1.00,4.00,7.00,7.50,3.00,4.00,3.00,207,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',11028,507,NULL,722,NULL,NULL,NULL,4,1),(28,7194358,2.00,5.00,3.00,2.00,2.00,NULL,1.00,1.00,1.00,551,NULL,NULL,'JARDIM DOS PAMPAS','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7194366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,201,'SANTO ANTÔNIO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7194374,2.00,6.00,2.00,4.00,7.00,6.75,6.00,5.00,2.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',12047,128,NULL,NULL,NULL,NULL,NULL,2,1),(28,7194382,4.00,7.00,2.00,3.00,4.00,7.13,1.00,5.00,2.00,552,NULL,NULL,'CENTRO','CURITIBANOS','SC',16892,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7194390,1.00,8.00,3.00,7.00,9.00,8.63,3.00,7.00,4.00,207,NULL,202,'SÃO JOÃO','ITAJAÍ','SC',3959,NULL,NULL,120,NULL,NULL,NULL,4,6),(28,7194404,0.00,4.00,2.00,0.00,7.00,NULL,1.00,2.00,1.00,104,NULL,NULL,'RIO LOUCO','PETROLÂNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7194420,7.00,9.00,5.00,5.00,9.00,10.13,4.00,8.00,7.00,103,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',182,142,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194439,1.00,6.00,1.00,6.00,6.00,7.13,1.00,4.00,0.00,9,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',18493,157,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194447,3.00,6.00,3.00,5.00,6.00,4.88,3.00,6.00,7.00,203,NULL,202,'JARDIM BOA ESPERANÇA','CAMPINAS','SP',5786,381,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194455,5.00,5.00,3.00,7.00,6.00,10.50,2.00,4.00,5.00,450,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5489,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194463,3.00,8.00,2.00,7.00,7.00,9.75,3.00,7.00,5.00,216,NULL,214,'JARDIM ESPLANADA','INDAIATUBA','SP',3248,117,NULL,119,NULL,NULL,NULL,4,1),(28,7194471,3.00,7.00,2.00,4.00,5.00,7.50,3.00,6.00,5.00,238,NULL,201,'CAMPINAS','S JOSÉ','SC',8555,119,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7194498,4.00,3.00,2.00,2.00,3.00,7.13,3.00,4.00,2.00,308,NULL,NULL,'CENTRO','IMBITUBA','SC',18903,79,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194501,2.00,6.00,1.00,6.00,2.00,NULL,3.00,7.00,1.00,999,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'SÃO JOSÉ','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7194528,2.00,3.00,5.00,6.00,3.00,5.25,0.00,3.00,3.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',17564,136,NULL,NULL,NULL,NULL,NULL,2,1),(28,7194536,5.00,7.00,2.00,4.00,8.00,8.63,6.00,7.00,6.00,203,NULL,214,'JARDIM CASTANHEIRAS','S JOSÉ CAMPOS','SP',3030,223,NULL,NULL,NULL,NULL,NULL,2,1),(28,7194552,3.00,3.00,1.00,5.00,3.00,6.75,2.00,3.00,3.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19276,61,NULL,NULL,NULL,NULL,NULL,2,1),(28,7194560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7194587,7.00,7.00,5.00,7.00,8.00,10.13,5.00,8.00,7.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',753,453,NULL,NULL,NULL,NULL,NULL,4,8),(28,7194617,4.00,4.00,1.00,5.00,3.00,6.75,1.00,3.00,3.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7194625,2.00,6.00,4.00,5.00,6.00,8.25,7.00,6.00,7.00,203,NULL,235,'PASSA VINTE','PALHOÇA','SC',4926,337,NULL,84,NULL,NULL,NULL,4,1),(28,7194633,7.00,8.00,7.00,8.00,10.00,10.88,7.00,7.00,8.00,103,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',51,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194641,6.00,7.00,2.00,6.00,10.00,9.00,6.00,6.00,7.00,103,NULL,NULL,'JAR CIDADE DE FPOLIS','S JOSÉ','SC',1693,805,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194668,4.00,5.00,2.00,7.00,9.00,6.00,1.00,7.00,2.00,319,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',9598,175,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194684,1.00,5.00,5.00,7.00,6.00,9.75,4.00,6.00,4.00,103,NULL,NULL,'MATO ALTO','LAGUNA','SC',8548,1954,NULL,NULL,NULL,NULL,NULL,2,10),(28,7194692,6.00,8.00,6.00,7.00,6.00,8.25,4.00,3.00,5.00,213,NULL,214,'VILA CONRADO','S JOÃO B VISTA','SP',2836,27,NULL,NULL,NULL,NULL,NULL,4,3),(28,7194706,1.00,4.00,1.00,0.00,4.00,4.50,2.00,3.00,1.00,552,NULL,NULL,'SAO FRANCISCO','LAGES','SC',20132,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7194714,1.00,3.00,2.00,4.00,2.00,NULL,2.00,1.00,1.00,109,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7194730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VISTA ALEGRE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7194749,0.00,3.00,0.00,2.00,2.00,NULL,1.00,3.00,1.00,308,NULL,NULL,'JOAQUINA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194757,0.00,4.00,3.00,1.00,2.00,NULL,0.00,4.00,2.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7194765,1.00,3.00,1.00,2.00,6.00,6.00,0.00,2.00,1.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20085,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7194773,1.00,2.00,3.00,2.00,3.00,8.25,2.00,3.00,1.00,552,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',17719,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7194781,4.00,4.00,3.00,4.00,5.00,7.50,2.00,4.00,2.00,444,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',14795,76,NULL,NULL,NULL,NULL,NULL,2,1),(28,7194803,3.00,5.00,2.00,3.00,5.00,NULL,3.00,4.00,0.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7194811,1.00,0.00,2.00,3.00,4.00,NULL,0.00,4.00,0.00,9,NULL,NULL,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7194820,2.00,3.00,2.00,5.00,5.00,5.25,3.00,3.00,2.00,9,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',19289,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7194846,4.00,5.00,1.00,7.00,7.00,6.75,4.00,5.00,2.00,999,NULL,NULL,'N SRA DE FÁTIMA','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7194854,0.00,2.00,3.00,4.00,5.00,6.00,4.00,3.00,2.00,302,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16529,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194862,1.00,5.00,1.00,5.00,5.00,4.88,1.00,3.00,2.00,238,NULL,235,'COPACABANA','LAGES','SC',16134,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7194870,5.00,6.00,3.00,6.00,8.00,7.50,3.00,6.00,6.00,601,NULL,207,'FLORESTA','JOINVILLE','SC',3334,44,NULL,NULL,NULL,NULL,NULL,2,8),(28,7194889,2.00,6.00,2.00,3.00,9.00,6.75,4.00,4.00,2.00,501,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',10789,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194897,1.00,6.00,2.00,6.00,5.00,11.25,2.00,6.00,3.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194900,3.00,5.00,2.00,4.00,4.00,NULL,0.00,2.00,3.00,308,NULL,NULL,'FURADINHO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7194919,1.00,6.00,2.00,5.00,4.00,5.25,0.00,2.00,3.00,9,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',17801,144,NULL,NULL,NULL,NULL,NULL,2,1),(28,7194927,2.00,6.00,3.00,4.00,6.00,7.88,1.00,5.00,2.00,309,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',16760,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194935,1.00,5.00,1.00,5.00,5.00,9.75,1.00,4.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12695,480,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194943,4.00,5.00,1.00,5.00,6.00,8.25,5.00,3.00,4.00,214,NULL,601,'NOVA BRASILIA','JOINVILLE','SC',12765,295,NULL,382,NULL,NULL,NULL,2,8),(28,7194960,0.00,2.00,1.00,1.00,2.00,NULL,0.00,3.00,0.00,203,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7194978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'APARECIDA','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7194986,6.00,8.00,2.00,4.00,8.00,7.13,3.00,7.00,6.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',5841,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7194994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7195001,2.00,6.00,3.00,4.00,9.00,13.13,5.00,6.00,5.00,303,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',2208,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7195010,2.00,5.00,0.00,5.00,8.00,7.13,1.00,6.00,3.00,102,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',9996,85,NULL,NULL,NULL,NULL,NULL,2,4),(28,7195028,1.00,2.00,1.00,2.00,3.00,7.50,2.00,3.00,5.00,201,NULL,212,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7195044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7195052,1.00,5.00,2.00,4.00,4.00,6.38,2.00,5.00,3.00,207,NULL,215,'AGRONOMICA','FLORIANÓPOLIS','SC',16002,697,NULL,258,NULL,NULL,NULL,2,1),(28,7195060,2.00,2.00,2.00,4.00,4.00,5.25,1.00,5.00,3.00,103,NULL,NULL,'TOBIAS','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7195079,0.00,3.00,1.00,2.00,3.00,NULL,2.00,2.00,3.00,201,NULL,212,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,201,'SANTO ANTÔNIO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7195095,0.00,5.00,1.00,4.00,4.00,NULL,4.00,3.00,2.00,208,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195109,7.00,8.00,2.00,6.00,10.00,9.00,7.00,7.00,6.00,201,NULL,233,'VILA MOEMA','TUBARÃO','SC',1033,46,NULL,NULL,NULL,NULL,NULL,4,10),(28,7195117,4.00,6.00,2.00,7.00,7.00,10.13,6.00,7.00,4.00,212,NULL,238,'COQUEIROS','FLORIANÓPOLIS','SC',6841,211,NULL,81,NULL,NULL,NULL,4,1),(28,7195133,1.00,7.00,2.00,3.00,5.00,8.63,1.00,5.00,4.00,501,NULL,NULL,'BOM JESUS','RIO NEGRO','PR',12021,66,NULL,NULL,NULL,NULL,NULL,2,17),(28,7195141,4.00,7.00,2.00,7.00,8.00,7.88,3.00,3.00,5.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',5253,1535,NULL,NULL,NULL,NULL,NULL,4,8),(28,7195150,1.00,5.00,2.00,2.00,5.00,NULL,2.00,2.00,0.00,102,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7195168,5.00,6.00,3.00,4.00,6.00,5.63,4.00,5.00,3.00,103,NULL,NULL,'LUIZ MASSUD COURY','RIO PEDRAS','SP',9923,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7195176,2.00,3.00,2.00,7.00,6.00,10.88,3.00,4.00,2.00,425,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',10592,27,NULL,NULL,NULL,NULL,NULL,4,4),(28,7195184,0.00,6.00,2.00,5.00,5.00,7.50,2.00,4.00,4.00,317,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14088,86,NULL,NULL,NULL,NULL,NULL,2,1),(28,7195192,0.00,4.00,2.00,0.00,3.00,NULL,2.00,5.00,1.00,207,NULL,212,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7195214,4.00,7.00,4.00,7.00,9.00,8.25,4.00,6.00,8.00,214,NULL,212,'CENTRO','CRICIÚMA','SC',1610,48,NULL,15,NULL,NULL,NULL,4,5),(28,7195222,0.00,4.00,2.00,2.00,4.00,NULL,1.00,3.00,1.00,309,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195230,0.00,2.00,3.00,6.00,6.00,6.00,1.00,2.00,2.00,454,NULL,NULL,'IPIRANGA','S JOSÉ','SC',17336,352,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195249,1.00,7.00,1.00,6.00,7.00,8.63,4.00,6.00,5.00,201,NULL,601,'COSTA E SILVA','JOINVILLE','SC',6351,NULL,NULL,132,NULL,NULL,NULL,4,8),(28,7195257,6.00,7.00,5.00,7.00,9.00,7.50,5.00,6.00,4.00,203,NULL,220,'ITACORUBI','FLORIANÓPOLIS','SC',1825,157,NULL,48,NULL,NULL,NULL,4,1),(28,7195265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7195281,2.00,7.00,2.00,7.00,6.00,NULL,1.00,4.00,3.00,999,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(28,7195311,1.00,6.00,0.00,5.00,6.00,5.63,2.00,4.00,1.00,415,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',15418,236,NULL,NULL,NULL,NULL,NULL,2,1),(28,7195320,1.00,3.00,1.00,4.00,4.00,6.75,2.00,3.00,1.00,303,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',15870,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7195338,2.00,6.00,2.00,3.00,7.00,6.38,2.00,1.00,4.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',13391,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7195362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7195370,2.00,7.00,2.00,6.00,8.00,11.25,3.00,5.00,3.00,999,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195389,4.00,8.00,5.00,5.00,8.00,10.13,3.00,5.00,5.00,203,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',3550,256,NULL,272,NULL,NULL,NULL,4,1),(28,7195397,3.00,6.00,1.00,6.00,6.00,7.50,5.00,5.00,4.00,999,NULL,NULL,'EUROVILLE','BRAGANÇA PAULISTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195400,3.00,4.00,1.00,1.00,4.00,NULL,0.00,5.00,0.00,220,NULL,202,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7195419,1.00,6.00,3.00,2.00,4.00,6.00,3.00,4.00,2.00,213,NULL,214,'JARDIM INDEPENDÊNCIA','NOVA ALIANÇA','SP',14462,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7195427,2.00,3.00,1.00,4.00,4.00,6.38,2.00,3.00,0.00,207,NULL,238,'FORQUILHINHAS','S JOSÉ','SC',19916,816,NULL,347,NULL,NULL,NULL,4,1),(28,7195435,3.00,7.00,1.00,4.00,4.00,6.75,2.00,6.00,1.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',13666,853,NULL,360,NULL,NULL,NULL,4,1),(28,7195443,4.00,6.00,2.00,7.00,8.00,9.75,2.00,4.00,5.00,213,NULL,238,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',10383,184,NULL,155,NULL,NULL,NULL,4,1),(28,7195451,0.00,5.00,2.00,1.00,2.00,NULL,0.00,3.00,0.00,238,NULL,652,'HUMAITÁ DE CIMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7195460,3.00,4.00,2.00,7.00,5.00,7.50,1.00,6.00,1.00,304,NULL,NULL,'CENTRO','JACAREÍ','SP',11355,85,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7195486,0.00,5.00,0.00,3.00,5.00,NULL,1.00,4.00,1.00,212,NULL,233,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7195508,4.00,6.00,2.00,6.00,8.00,8.63,1.00,4.00,5.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8379,154,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195524,0.00,6.00,2.00,6.00,4.00,8.25,1.00,3.00,5.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',17954,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7195532,0.00,8.00,2.00,7.00,8.00,10.13,2.00,7.00,3.00,301,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',6385,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195540,2.00,4.00,2.00,5.00,6.00,9.38,3.00,2.00,2.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',10476,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7195559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA FÉ','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7195567,3.00,7.00,1.00,6.00,7.00,10.50,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',4176,1360,NULL,NULL,NULL,NULL,NULL,4,27),(28,7195575,1.00,6.00,1.00,5.00,5.00,7.50,2.00,6.00,3.00,310,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',13601,32,NULL,NULL,NULL,NULL,NULL,2,15),(28,7195583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7195591,4.00,7.00,2.00,5.00,9.00,9.75,7.00,6.00,5.00,238,NULL,235,'ITACORUBI','FLORIANÓPOLIS','SC',1847,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195613,6.00,8.00,3.00,6.00,5.00,9.00,4.00,4.00,6.00,454,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5545,79,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195621,2.00,1.00,4.00,3.00,5.00,8.25,1.00,2.00,1.00,238,NULL,211,'ALTO ARIRIÚ','PALHOÇA','SC',17269,298,NULL,NULL,NULL,NULL,NULL,2,1),(28,7195648,4.00,7.00,3.00,7.00,8.00,9.38,4.00,8.00,6.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2072,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195656,4.00,2.00,1.00,5.00,4.00,4.50,0.00,3.00,1.00,103,NULL,NULL,'JARIVATUBA','JOINVILLE','SC',18587,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7195664,5.00,7.00,4.00,6.00,7.00,7.50,4.00,5.00,3.00,316,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7861,67,NULL,NULL,NULL,NULL,NULL,4,3),(28,7195672,4.00,7.00,3.00,7.00,5.00,8.25,1.00,3.00,3.00,201,NULL,202,'SENHOR BOM JESUS','CAMPOS NOVOS','SC',8332,599,NULL,226,NULL,NULL,NULL,4,7),(28,7195680,4.00,6.00,3.00,6.00,4.00,7.13,4.00,5.00,6.00,201,NULL,203,'ATALAIA','ARACAJU','SE',12404,795,NULL,593,NULL,NULL,NULL,4,1),(28,7195699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7195710,0.00,6.00,2.00,5.00,5.00,10.13,1.00,4.00,2.00,999,NULL,NULL,'INTERIOR','GALVÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7195729,5.00,6.00,4.00,6.00,7.00,10.88,4.00,6.00,6.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',1860,850,NULL,NULL,NULL,NULL,NULL,4,8),(28,7195737,1.00,2.00,0.00,5.00,2.00,NULL,2.00,3.00,3.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7195745,7.00,7.00,4.00,6.00,8.00,9.75,8.00,8.00,7.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',191,150,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195753,1.00,8.00,2.00,7.00,10.00,8.63,3.00,6.00,4.00,5,NULL,NULL,'JD SILVANA','AMPARO','SP',4332,151,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195761,1.00,5.00,0.00,4.00,6.00,NULL,0.00,3.00,2.00,425,NULL,423,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7195770,0.00,4.00,2.00,2.00,3.00,5.63,2.00,4.00,1.00,238,NULL,207,'CANASVIEIRAS','FLORIANÓPOLIS','SC',17883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195788,3.00,5.00,2.00,6.00,5.00,8.25,2.00,2.00,5.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195796,4.00,6.00,4.00,8.00,5.00,8.25,4.00,6.00,4.00,212,NULL,216,'GIOCONDO ORSI','CPO GRANDE','MS',3836,116,NULL,149,NULL,NULL,NULL,4,8),(28,7195800,4.00,7.00,5.00,6.00,8.00,7.13,4.00,6.00,7.00,235,NULL,238,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',3528,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195818,3.00,4.00,3.00,6.00,2.00,NULL,1.00,3.00,2.00,207,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195826,0.00,4.00,3.00,5.00,4.00,7.88,0.00,3.00,2.00,215,NULL,216,'BOA VISTA','JOINVILLE','SC',19016,289,NULL,NULL,NULL,NULL,NULL,4,8),(28,7195834,4.00,5.00,3.00,2.00,2.00,NULL,2.00,5.00,2.00,207,NULL,NULL,'PETRÓPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7195842,0.00,4.00,2.00,3.00,5.00,7.50,2.00,5.00,2.00,331,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19047,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7195850,1.00,5.00,3.00,4.00,4.00,4.88,0.00,2.00,2.00,302,NULL,NULL,'GUARDA DO EMBAU','PALHOÇA','SC',17106,130,NULL,NULL,NULL,NULL,NULL,2,1),(28,7195877,5.00,7.00,3.00,6.00,9.00,10.88,3.00,6.00,6.00,104,NULL,NULL,'CENTRO','CURITIBANOS','SC',2071,17,NULL,NULL,NULL,NULL,NULL,4,16),(28,7195885,1.00,2.00,0.00,5.00,6.00,6.75,0.00,4.00,3.00,5,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',19534,487,NULL,NULL,NULL,NULL,NULL,2,1),(28,7195893,2.00,9.00,3.00,6.00,7.00,10.13,4.00,5.00,4.00,108,NULL,NULL,'PETRÓPOLIS','PASSO FUNDO','RS',4573,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195907,3.00,7.00,3.00,6.00,6.00,11.63,4.00,6.00,3.00,103,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',4933,1485,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195915,4.00,6.00,3.00,7.00,8.00,10.88,4.00,7.00,3.00,104,NULL,NULL,'FORTALEZA','LINS','SP',2621,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195923,0.00,4.00,3.00,6.00,5.00,1.50,2.00,5.00,1.00,999,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7195931,2.00,5.00,1.00,5.00,9.00,8.63,1.00,6.00,4.00,233,NULL,601,'VILA NOVA','IÇARA','SC',13743,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7195940,1.00,7.00,5.00,6.00,7.00,9.00,4.00,7.00,4.00,303,NULL,NULL,'PIATÃ','SALVADOR','BA',7456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195958,0.00,3.00,0.00,4.00,5.00,NULL,1.00,3.00,1.00,317,NULL,NULL,'AMBRÓSIO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7195966,4.00,7.00,2.00,3.00,5.00,7.88,5.00,4.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7349,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7195974,5.00,7.00,4.00,7.00,6.00,11.63,1.00,7.00,5.00,201,NULL,212,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',6372,488,NULL,NULL,NULL,NULL,NULL,4,1),(28,7195982,1.00,6.00,0.00,3.00,5.00,7.13,0.00,2.00,3.00,201,NULL,655,'VILA ESPERANÇA','TUBARÃO','SC',19562,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7195990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7196016,3.00,5.00,2.00,6.00,7.00,10.88,3.00,5.00,4.00,207,NULL,655,'SÃO DOMINGOS','CRICIÚMA','SC',6085,NULL,NULL,15,NULL,NULL,NULL,4,5),(28,7196024,2.00,5.00,2.00,4.00,4.00,6.38,2.00,2.00,3.00,103,NULL,NULL,'FÁTIMA','ERECHIM','RS',14920,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7196032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JD INDEPENDENCIA','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7196040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM PIRATININGA','OSASCO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7196059,3.00,6.00,4.00,6.00,8.00,8.25,3.00,6.00,5.00,104,NULL,NULL,'SÃO JOSÉ','S LEOPOLDO','RS',3347,40,NULL,NULL,NULL,NULL,NULL,2,1),(28,7196067,1.00,7.00,1.00,7.00,8.00,9.00,5.00,7.00,3.00,327,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',9920,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7196075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7196083,7.00,8.00,5.00,8.00,10.00,8.63,7.00,7.00,8.00,203,NULL,214,'CACUPÉ','FLORIANÓPOLIS','SC',343,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196091,4.00,6.00,4.00,6.00,7.00,7.13,5.00,7.00,5.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',5932,195,NULL,NULL,NULL,NULL,NULL,2,1),(28,7196105,2.00,7.00,3.00,6.00,5.00,5.63,3.00,6.00,3.00,203,NULL,655,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',14967,644,NULL,84,NULL,NULL,NULL,4,1),(28,7196113,3.00,6.00,1.00,6.00,4.00,8.25,2.00,5.00,0.00,207,NULL,NULL,'JARDIM LEONOR','S PAULO','SP',10543,483,NULL,NULL,NULL,NULL,NULL,2,1),(28,7196121,3.00,5.00,0.00,4.00,5.00,4.88,5.00,4.00,3.00,201,NULL,203,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',14509,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7196130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'CAPÃO NOVO','CAPÃO CANOA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7196148,4.00,6.00,3.00,6.00,9.00,10.88,2.00,6.00,4.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',4148,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7196156,3.00,7.00,0.00,6.00,6.00,12.00,3.00,5.00,4.00,454,NULL,NULL,'MOOCA','S PAULO','SP',6045,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7196164,0.00,7.00,2.00,2.00,4.00,7.13,7.00,4.00,5.00,201,NULL,211,'CAMPECHE','FLORIANÓPOLIS','SC',14288,878,NULL,359,NULL,NULL,NULL,4,1),(28,7196172,5.00,9.00,3.00,7.00,8.00,12.00,3.00,6.00,4.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',2023,67,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196180,4.00,4.00,2.00,2.00,2.00,NULL,3.00,5.00,1.00,103,NULL,NULL,'CENTRO','IBIRAMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,24),(28,7196202,4.00,6.00,2.00,5.00,3.00,NULL,0.00,3.00,2.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7196210,4.00,5.00,1.00,4.00,3.00,7.88,3.00,6.00,4.00,220,NULL,203,'JARDIM AMERICA','GOIÂNIA','GO',9352,234,NULL,517,NULL,NULL,NULL,4,1),(28,7196229,8.00,8.00,6.00,7.00,9.00,10.88,9.00,8.00,8.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',6,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196237,2.00,4.00,1.00,2.00,4.00,7.50,3.00,4.00,1.00,333,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196245,3.00,4.00,0.00,2.00,4.00,9.38,2.00,4.00,3.00,211,NULL,215,'PONTE DO IMARUIM','PALHOÇA','SC',19187,427,NULL,292,NULL,NULL,NULL,4,1),(28,7196253,1.00,5.00,2.00,5.00,5.00,6.00,2.00,2.00,3.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',19128,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7196261,7.00,9.00,8.00,7.00,11.00,13.50,9.00,8.00,9.00,203,NULL,220,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196270,3.00,8.00,3.00,3.00,3.00,4.88,4.00,6.00,7.00,201,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',12104,775,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196288,4.00,8.00,2.00,4.00,7.00,7.50,3.00,5.00,4.00,336,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10963,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196296,1.00,5.00,4.00,5.00,5.00,6.00,3.00,5.00,3.00,303,NULL,NULL,'BREMER','RIO SUL','SC',12674,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7196300,1.00,2.00,4.00,4.00,3.00,NULL,1.00,3.00,0.00,201,NULL,220,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7196318,0.00,1.00,3.00,2.00,7.00,NULL,0.00,2.00,1.00,302,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196326,0.00,5.00,2.00,6.00,7.00,NULL,1.00,2.00,1.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7196334,1.00,7.00,5.00,2.00,4.00,7.50,5.00,6.00,4.00,216,NULL,211,'GUAIUBA','GUARUJÁ','SP',8411,277,NULL,227,NULL,NULL,NULL,4,8),(28,7196342,4.00,7.00,2.00,6.00,4.00,9.38,4.00,4.00,5.00,326,NULL,NULL,'JD PALMA TRAVASSOS','RIBEIRÃO PRETO','SP',4729,7,NULL,NULL,NULL,NULL,NULL,4,8),(28,7196350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7196369,2.00,5.00,2.00,5.00,4.00,9.38,3.00,4.00,4.00,203,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196377,5.00,8.00,4.00,6.00,9.00,8.63,4.00,5.00,5.00,203,NULL,202,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2046,174,NULL,58,NULL,NULL,NULL,4,1),(28,7196385,6.00,8.00,4.00,7.00,9.00,9.75,4.00,6.00,7.00,103,NULL,NULL,'CAMPINAS','GOIÂNIA','GO',760,456,NULL,NULL,NULL,NULL,NULL,2,3),(28,7196393,1.00,3.00,2.00,7.00,3.00,6.00,1.00,4.00,1.00,444,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7196407,2.00,6.00,3.00,5.00,4.00,7.50,3.00,4.00,3.00,211,NULL,601,'PEREQUÊ','PTO BELO','SC',11456,301,NULL,336,NULL,NULL,NULL,4,1),(28,7196415,1.00,4.00,2.00,5.00,7.00,8.25,0.00,5.00,4.00,211,NULL,215,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',16911,405,NULL,270,NULL,NULL,NULL,2,1),(28,7196423,1.00,7.00,2.00,2.00,6.00,7.13,2.00,5.00,3.00,211,NULL,235,'VALPARAISO','BLUMENAU','SC',17543,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7196431,2.00,6.00,2.00,5.00,7.00,5.63,2.00,4.00,2.00,215,NULL,216,'RUDGE RAMOS','S BERNARDO CAMPO','SP',11005,188,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196458,3.00,7.00,3.00,6.00,7.00,8.63,1.00,5.00,3.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',13802,381,NULL,NULL,NULL,NULL,NULL,2,1),(28,7196466,4.00,5.00,2.00,6.00,4.00,7.13,2.00,5.00,4.00,211,NULL,216,'VICTOR KONDER','BLUMENAU','SC',8889,240,NULL,289,NULL,NULL,NULL,4,2),(28,7196474,3.00,5.00,2.00,4.00,7.00,9.00,3.00,5.00,3.00,108,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',9449,126,NULL,NULL,NULL,NULL,NULL,2,1),(28,7196482,1.00,4.00,4.00,6.00,5.00,7.50,2.00,6.00,2.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',17025,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7196504,1.00,3.00,2.00,3.00,2.00,NULL,2.00,2.00,2.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7196512,2.00,5.00,2.00,6.00,3.00,8.25,1.00,3.00,1.00,103,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',18918,2499,NULL,NULL,NULL,NULL,NULL,2,1),(28,7196539,3.00,8.00,1.00,7.00,5.00,8.25,4.00,6.00,7.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',4381,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7196555,2.00,8.00,1.00,6.00,8.00,7.13,3.00,7.00,3.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',7464,451,NULL,201,NULL,NULL,NULL,4,1),(28,7196563,6.00,8.00,1.00,7.00,6.00,8.25,5.00,8.00,6.00,203,NULL,202,'CENTRO','BAL CAMBORIÚ','SC',2879,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7196580,3.00,5.00,1.00,4.00,4.00,8.25,2.00,2.00,2.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196598,0.00,7.00,2.00,5.00,7.00,6.38,2.00,6.00,2.00,201,NULL,203,'CENTRO','ESTEIO','RS',9589,653,NULL,524,NULL,NULL,NULL,4,1),(28,7196601,4.00,6.00,1.00,7.00,5.00,8.25,4.00,3.00,3.00,238,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14285,235,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196610,1.00,3.00,2.00,2.00,5.00,7.13,1.00,3.00,1.00,203,NULL,214,'VILA FERROVIÁRIA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7196628,2.00,4.00,2.00,3.00,5.00,7.88,3.00,4.00,1.00,233,NULL,653,'LINHA SANTO ANTONIO','TREZE TÍLIAS','SC',15866,320,NULL,168,NULL,NULL,NULL,2,7),(28,7196636,2.00,4.00,2.00,6.00,5.00,7.50,2.00,5.00,1.00,424,NULL,423,'CENTRO','JOINVILLE','SC',17860,37,NULL,27,NULL,NULL,NULL,3,8),(28,7196644,4.00,5.00,3.00,6.00,5.00,10.13,3.00,6.00,3.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',7555,174,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196652,1.00,1.00,2.00,4.00,3.00,7.88,1.00,1.00,2.00,415,NULL,NULL,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7196660,3.00,6.00,0.00,5.00,10.00,9.00,1.00,6.00,6.00,104,NULL,NULL,'FLORESTA','S JOSÉ','SC',5252,96,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196695,2.00,4.00,1.00,5.00,5.00,3.00,3.00,4.00,2.00,214,NULL,220,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196709,0.00,6.00,1.00,1.00,3.00,8.25,1.00,4.00,1.00,103,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',17156,2440,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196717,5.00,7.00,2.00,7.00,9.00,10.50,3.00,7.00,4.00,5,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',4349,153,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ASGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7196733,0.00,5.00,0.00,6.00,7.00,NULL,1.00,4.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196750,0.00,4.00,2.00,2.00,3.00,NULL,0.00,3.00,1.00,444,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196768,1.00,6.00,4.00,6.00,7.00,8.63,3.00,6.00,1.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',8982,84,NULL,NULL,NULL,NULL,NULL,2,1),(28,7196776,4.00,6.00,4.00,6.00,7.00,7.50,3.00,5.00,5.00,225,NULL,NULL,'FAZENDA DE DENTRO','BIGUAÇU','SC',10569,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7196784,2.00,2.00,4.00,5.00,3.00,4.88,0.00,4.00,3.00,601,NULL,203,'ROCIO PEQUENO','S FRANCISCO SUL','SC',16477,483,NULL,NULL,NULL,NULL,NULL,4,8),(28,7196792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM RIACHO','CONTAGEM','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7196806,4.00,6.00,2.00,7.00,6.00,7.88,5.00,4.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10843,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7196814,3.00,6.00,4.00,6.00,5.00,8.25,3.00,5.00,5.00,103,NULL,NULL,'JARDIM ARIANO','LINS','SP',10752,2125,NULL,NULL,NULL,NULL,NULL,4,15),(28,7196822,1.00,6.00,3.00,5.00,4.00,6.38,2.00,3.00,0.00,999,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196830,0.00,4.00,4.00,6.00,4.00,NULL,2.00,1.00,2.00,302,NULL,NULL,'SAO SEBASTIAO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7196849,3.00,5.00,2.00,6.00,6.00,7.13,3.00,5.00,4.00,235,NULL,202,'CENTRO','PARIQUERA-AÇU','SP',11034,177,NULL,279,NULL,NULL,NULL,2,4),(28,7196857,0.00,3.00,2.00,3.00,4.00,6.00,2.00,3.00,1.00,201,NULL,220,'CENTRO','BAL PIÇARRAS','SC',20044,1058,NULL,354,NULL,NULL,NULL,4,6),(28,7196873,0.00,4.00,3.00,2.00,3.00,NULL,1.00,2.00,2.00,415,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196881,1.00,3.00,2.00,4.00,2.00,NULL,0.00,4.00,2.00,340,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7196890,4.00,6.00,3.00,3.00,5.00,12.00,4.00,6.00,4.00,103,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',9233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7196903,5.00,7.00,3.00,6.00,5.00,6.00,6.00,7.00,5.00,104,NULL,NULL,'CENTRO','TAIÓ','SC',7447,171,NULL,NULL,NULL,NULL,NULL,4,24),(28,7196911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,653,'ZONA NOVA SUL','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7196920,6.00,8.00,4.00,5.00,9.00,10.88,6.00,6.00,6.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',891,502,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NAÇÕES','FAZ RIO GRANDE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7196946,5.00,8.00,5.00,5.00,10.00,6.75,3.00,5.00,7.00,216,NULL,215,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',2376,75,NULL,22,NULL,NULL,NULL,4,1),(28,7196954,3.00,8.00,5.00,7.00,8.00,7.88,2.00,4.00,2.00,999,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7196962,5.00,7.00,3.00,6.00,7.00,6.38,3.00,8.00,4.00,103,NULL,NULL,'VILA CARRÃO','S PAULO','SP',3943,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196970,5.00,8.00,3.00,7.00,6.00,8.25,4.00,6.00,3.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4324,1389,NULL,NULL,NULL,NULL,NULL,2,1),(28,7196989,1.00,8.00,0.00,5.00,3.00,7.50,1.00,7.00,1.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',17969,584,NULL,NULL,NULL,NULL,NULL,4,1),(28,7196997,1.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CRICIÚMA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(28,7197004,2.00,5.00,3.00,5.00,7.00,10.50,3.00,5.00,3.00,101,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7795,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7197012,2.00,5.00,3.00,3.00,0.00,NULL,2.00,3.00,0.00,340,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7197020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM GUARAITUBA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7197039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,216,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7197047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7197055,5.00,6.00,4.00,8.00,8.00,12.00,4.00,7.00,7.00,108,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',1453,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7197071,1.00,5.00,2.00,3.00,5.00,10.50,0.00,4.00,3.00,101,NULL,NULL,'CENTRO','PALHOÇA','SC',17912,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7197080,3.00,4.00,0.00,7.00,2.00,NULL,2.00,4.00,1.00,601,NULL,203,'SÃO LUIS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7197098,1.00,3.00,1.00,2.00,4.00,4.50,2.00,4.00,2.00,5,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7197101,0.00,1.00,1.00,1.00,1.00,NULL,1.00,4.00,1.00,601,NULL,NULL,'ZONA NORTE INDUSTRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,8),(28,7197110,4.00,7.00,3.00,5.00,9.00,8.25,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',3808,1290,NULL,NULL,NULL,NULL,NULL,4,3),(28,7197128,4.00,6.00,4.00,6.00,5.00,6.38,4.00,6.00,6.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',7024,1764,NULL,NULL,NULL,NULL,NULL,4,1),(28,7197136,1.00,6.00,2.00,5.00,6.00,10.13,0.00,5.00,7.00,301,NULL,NULL,'INDUSTRIAL','CURITIBANOS','SC',7039,67,NULL,NULL,NULL,NULL,NULL,4,16),(28,7197144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7197152,2.00,4.00,2.00,6.00,5.00,9.00,1.00,6.00,4.00,201,NULL,202,'AMÉRICA','JOINVILLE','SC',11084,725,NULL,280,NULL,NULL,NULL,4,8),(28,7197160,2.00,2.00,2.00,3.00,1.00,NULL,3.00,1.00,1.00,202,NULL,653,'ESTREITO','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7197179,1.00,5.00,2.00,4.00,6.00,6.75,3.00,3.00,2.00,304,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',17698,122,NULL,NULL,NULL,NULL,NULL,2,1),(28,7197187,2.00,6.00,1.00,1.00,6.00,7.50,2.00,6.00,2.00,103,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',13721,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7197195,1.00,5.00,3.00,5.00,4.00,7.13,3.00,4.00,4.00,235,NULL,220,'CANASVIEIRAS','FLORIANÓPOLIS','SC',12967,208,NULL,291,NULL,NULL,NULL,4,1),(28,7197209,3.00,6.00,3.00,7.00,5.00,5.25,1.00,4.00,2.00,103,NULL,NULL,'JARDIM IBIRATIBA','S PAULO','SP',10790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7197225,1.00,8.00,2.00,7.00,6.00,7.88,5.00,6.00,2.00,211,NULL,601,'FLORES','MANAUS','AM',7981,217,NULL,195,NULL,NULL,NULL,2,1),(28,7197233,3.00,7.00,1.00,6.00,8.00,7.13,2.00,4.00,5.00,103,NULL,NULL,'JARDIM BOA VISTA I','IBIPORÃ','PR',11981,2200,NULL,NULL,NULL,NULL,NULL,2,6),(28,7197241,2.00,5.00,3.00,5.00,6.00,6.75,4.00,3.00,2.00,652,NULL,655,'MARISCÃO','BAL ARROIO SILVA','SC',13632,46,NULL,NULL,NULL,NULL,NULL,2,15),(28,7197250,2.00,6.00,1.00,3.00,4.00,7.88,2.00,3.00,2.00,999,NULL,NULL,'ROCIO GRANDE','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7197268,0.00,1.00,2.00,2.00,1.00,NULL,2.00,2.00,2.00,502,NULL,NULL,'FORQUILINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7197284,4.00,8.00,3.00,5.00,4.00,11.25,4.00,3.00,3.00,601,NULL,216,'FLORESTA','JOINVILLE','SC',10356,293,NULL,NULL,NULL,NULL,NULL,4,8),(28,7197330,5.00,7.00,1.00,4.00,8.00,5.63,7.00,7.00,3.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',6538,1705,NULL,NULL,NULL,NULL,NULL,2,1),(28,7197349,2.00,6.00,1.00,6.00,4.00,8.25,3.00,5.00,2.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16000,117,NULL,NULL,NULL,NULL,NULL,2,1),(28,7197357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,201,'CENTRO','LAURO FREITAS','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7197373,2.00,5.00,3.00,2.00,4.00,7.13,3.00,3.00,2.00,103,NULL,NULL,'NEREU RAMOS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7197381,1.00,3.00,0.00,6.00,4.00,NULL,2.00,3.00,1.00,415,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7197403,7.00,8.00,1.00,6.00,11.00,10.50,3.00,7.00,7.00,214,NULL,213,'COPACABANA','LAGES','SC',1289,34,NULL,3,NULL,NULL,NULL,4,9),(28,7197411,3.00,7.00,1.00,7.00,7.00,9.38,3.00,4.00,3.00,207,NULL,211,'PORTÃO','CURITIBA','PR',5644,251,NULL,NULL,NULL,NULL,NULL,4,1),(28,7197420,5.00,7.00,3.00,7.00,9.00,9.38,5.00,5.00,7.00,103,NULL,NULL,'NEREIDAS','GUARATUBA','PR',2422,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7197454,2.00,6.00,1.00,4.00,7.00,7.50,2.00,5.00,4.00,215,NULL,NULL,'CENTRO','CRICIÚMA','SC',9702,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7197462,4.00,5.00,1.00,7.00,4.00,6.75,4.00,4.00,1.00,201,NULL,207,'SANTA RITA','BRUSQUE','SC',12961,830,NULL,587,NULL,NULL,NULL,4,22),(28,7197470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'EMBARÉ','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7197497,0.00,3.00,1.00,2.00,2.00,NULL,3.00,3.00,3.00,339,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7197500,1.00,7.00,3.00,6.00,8.00,9.75,3.00,4.00,4.00,316,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',11623,118,NULL,NULL,NULL,NULL,NULL,4,1),(28,7197527,6.00,9.00,2.00,7.00,10.00,11.63,6.00,8.00,3.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1186,19,NULL,NULL,NULL,NULL,NULL,3,6),(28,7197535,6.00,7.00,4.00,6.00,5.00,9.38,6.00,6.00,5.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',3031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7197543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7197551,0.00,7.00,3.00,4.00,6.00,5.63,3.00,6.00,3.00,331,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',16452,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7197578,2.00,2.00,1.00,5.00,2.00,NULL,0.00,2.00,2.00,238,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7197586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ACLIMAÇÃO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7197594,2.00,5.00,4.00,3.00,4.00,8.63,3.00,6.00,4.00,201,NULL,601,'CENTRO','JOANÓPOLIS','SP',11451,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7197608,6.00,7.00,4.00,6.00,9.00,9.75,5.00,5.00,7.00,202,NULL,235,'INDUSTRIAL','FRANCISCO BELTRÃO','PR',629,8,NULL,NULL,NULL,NULL,NULL,4,4),(28,7197616,0.00,4.00,2.00,3.00,5.00,6.75,3.00,2.00,2.00,451,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19249,53,NULL,NULL,NULL,NULL,NULL,4,1),(28,7197624,1.00,3.00,0.00,3.00,3.00,8.63,1.00,3.00,1.00,216,NULL,202,'CENTRO','GR PARÁ','SC',15499,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7197632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7197640,0.00,5.00,1.00,7.00,7.00,NULL,3.00,4.00,2.00,303,NULL,NULL,'EUGÊNIO SCHNEIDER','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7197659,4.00,6.00,2.00,6.00,4.00,10.50,4.00,5.00,2.00,303,NULL,NULL,'JARDIM AUTONOMISTA','CPO GRANDE','MS',6782,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7197675,1.00,3.00,1.00,3.00,5.00,5.25,2.00,1.00,2.00,444,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',18216,123,NULL,NULL,NULL,NULL,NULL,4,1),(28,7197683,2.00,7.00,1.00,5.00,4.00,9.00,1.00,6.00,4.00,103,NULL,NULL,'IRIRIU','JOINVILLE','SC',13934,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7197691,3.00,2.00,1.00,3.00,3.00,8.25,2.00,3.00,4.00,238,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',16367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7197721,5.00,8.00,1.00,5.00,7.00,9.38,2.00,5.00,6.00,201,NULL,235,'UNIVERSITÁRIO','TIJUCAS','SC',4618,361,NULL,75,NULL,NULL,NULL,4,1),(28,7197748,3.00,5.00,2.00,3.00,5.00,6.00,3.00,6.00,3.00,425,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',17067,NULL,NULL,34,NULL,NULL,NULL,3,1),(28,7197756,4.00,6.00,3.00,5.00,5.00,8.25,4.00,8.00,3.00,501,NULL,NULL,'INTERIOR','ITAPIRANGA','SC',6655,17,NULL,NULL,NULL,NULL,NULL,4,4),(28,7197764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,424,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7197772,0.00,5.00,1.00,7.00,7.00,NULL,4.00,4.00,1.00,109,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7197780,6.00,5.00,2.00,6.00,7.00,9.00,3.00,5.00,6.00,103,NULL,NULL,'ALTO DA GLÓRIA','GOIÂNIA','GO',4033,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7197810,1.00,4.00,0.00,5.00,4.00,NULL,0.00,2.00,2.00,301,NULL,NULL,'VILAS BOAS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7197829,2.00,6.00,3.00,7.00,5.00,9.38,2.00,4.00,3.00,423,NULL,427,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',8674,2,NULL,NULL,NULL,NULL,NULL,2,1),(28,7197837,2.00,6.00,2.00,7.00,5.00,9.38,3.00,4.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7197845,3.00,7.00,3.00,7.00,9.00,11.25,3.00,5.00,7.00,103,NULL,NULL,'VILA YARA','OSASCO','SP',2035,894,NULL,NULL,NULL,NULL,NULL,4,8),(28,7197853,3.00,5.00,3.00,2.00,4.00,4.50,3.00,4.00,1.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17230,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7197861,1.00,4.00,1.00,3.00,4.00,4.50,2.00,4.00,4.00,339,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',18031,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7197870,0.00,3.00,3.00,4.00,7.00,7.13,1.00,2.00,2.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19506,134,NULL,NULL,NULL,NULL,NULL,4,1),(28,7197888,4.00,5.00,2.00,5.00,6.00,9.38,2.00,3.00,3.00,336,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11488,59,NULL,NULL,NULL,NULL,NULL,2,1),(28,7197896,6.00,7.00,1.00,7.00,8.00,10.50,4.00,7.00,5.00,340,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',4387,107,NULL,NULL,NULL,NULL,NULL,4,2),(28,7197900,4.00,7.00,2.00,7.00,7.00,9.38,5.00,6.00,6.00,216,NULL,201,'SAGRADO COAÇÃO DE J','LAGES','SC',2546,86,NULL,NULL,NULL,NULL,NULL,4,9),(28,7197918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','SETE QUEDAS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7197934,1.00,3.00,2.00,5.00,5.00,8.25,1.00,2.00,4.00,216,NULL,201,'CENTRO','ITUPORANGA','SC',14245,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7197942,1.00,4.00,2.00,4.00,3.00,7.50,1.00,3.00,1.00,301,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',17478,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7197950,2.00,7.00,4.00,5.00,7.00,7.88,4.00,3.00,3.00,202,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',11204,283,NULL,179,NULL,NULL,NULL,4,1),(28,7197969,4.00,7.00,0.00,4.00,7.00,10.13,2.00,6.00,3.00,303,NULL,NULL,'COLINA VERDE','VIDEIRA','SC',6643,300,NULL,NULL,NULL,NULL,NULL,4,7),(28,7197985,2.00,3.00,4.00,3.00,4.00,8.63,2.00,3.00,3.00,216,NULL,215,'LIBERDADE','CONCÓRDIA','SC',15453,407,NULL,251,NULL,NULL,NULL,4,26),(28,7197993,0.00,4.00,1.00,2.00,3.00,NULL,1.00,4.00,1.00,207,NULL,201,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7198000,4.00,4.00,4.00,3.00,4.00,6.75,1.00,2.00,3.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',15560,220,NULL,NULL,NULL,NULL,NULL,4,1),(28,7198019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','UBÁ','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7198027,0.00,6.00,0.00,5.00,6.00,NULL,3.00,4.00,1.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'RESID GRANVILLE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7198043,5.00,7.00,2.00,6.00,8.00,9.00,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','LAGES','SC',6292,1674,NULL,NULL,NULL,NULL,NULL,4,9),(28,7198051,6.00,8.00,1.00,7.00,6.00,8.63,4.00,6.00,3.00,212,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',8139,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7198060,3.00,5.00,2.00,5.00,6.00,9.38,1.00,3.00,5.00,104,NULL,NULL,'BOA VISTA','CURITIBA','PR',15261,374,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTO ANTÃO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7198086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','PALMA SOLA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7198094,1.00,2.00,2.00,4.00,6.00,4.50,3.00,4.00,2.00,454,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198108,0.00,7.00,0.00,5.00,5.00,NULL,2.00,4.00,2.00,220,NULL,655,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7198116,3.00,3.00,2.00,5.00,5.00,7.50,1.00,3.00,3.00,102,NULL,NULL,'BELA VISTA','S JOSÉ','SC',18346,172,NULL,NULL,NULL,NULL,NULL,4,1),(28,7198124,1.00,4.00,1.00,4.00,4.00,8.25,2.00,4.00,2.00,601,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',14574,436,NULL,NULL,NULL,NULL,NULL,4,8),(28,7198132,5.00,7.00,3.00,6.00,8.00,9.38,3.00,7.00,6.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',3363,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7198140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,NULL,'PRAIA DE LESTE','PONTAL PARANÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7198159,1.00,4.00,0.00,3.00,2.00,NULL,2.00,3.00,2.00,444,NULL,NULL,'TRÊS BARRAS','AGROLÂNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7198167,2.00,4.00,3.00,5.00,3.00,8.25,1.00,4.00,3.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',18434,158,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198175,5.00,5.00,4.00,7.00,6.00,8.25,5.00,5.00,5.00,201,NULL,202,'CRUZEIRO DO SUL','JOAÇABA','SC',4347,NULL,NULL,126,NULL,NULL,NULL,4,7),(28,7198183,1.00,4.00,1.00,3.00,5.00,8.63,2.00,2.00,1.00,429,NULL,426,'JARDIM FLORENÇA','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7198191,2.00,4.00,2.00,2.00,4.00,5.25,1.00,4.00,1.00,429,NULL,424,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7198205,1.00,4.00,1.00,4.00,2.00,NULL,1.00,1.00,0.00,319,NULL,NULL,'SAO JOSE','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198213,3.00,5.00,2.00,4.00,8.00,9.00,2.00,4.00,1.00,302,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',9270,44,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198221,2.00,4.00,3.00,7.00,6.00,9.38,2.00,3.00,3.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',10785,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198230,3.00,5.00,1.00,2.00,3.00,5.63,5.00,3.00,5.00,207,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',17386,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7198248,1.00,3.00,2.00,5.00,3.00,4.88,3.00,4.00,1.00,222,NULL,NULL,'JARDIM SANTIAGO','S JOSÉ','SC',17654,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7198264,1.00,7.00,2.00,6.00,9.00,10.50,4.00,7.00,4.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7833,130,NULL,NULL,NULL,NULL,NULL,5,1),(28,7198272,5.00,8.00,2.00,7.00,9.00,7.13,5.00,7.00,4.00,238,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',3459,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198280,4.00,6.00,2.00,7.00,6.00,7.88,5.00,6.00,4.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7289,166,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198299,5.00,5.00,3.00,2.00,7.00,7.50,4.00,5.00,6.00,103,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',7329,1810,NULL,NULL,NULL,NULL,NULL,4,16),(28,7198302,2.00,6.00,4.00,7.00,7.00,7.50,3.00,5.00,2.00,101,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',9786,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198310,2.00,4.00,2.00,6.00,7.00,8.63,2.00,4.00,2.00,215,NULL,601,'COBRE','CANELINHA','SC',17014,272,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7198353,3.00,5.00,1.00,5.00,7.00,8.63,3.00,4.00,3.00,216,NULL,215,'IPIRANGA','S JOSÉ','SC',9781,309,NULL,168,NULL,NULL,NULL,2,1),(28,7198361,0.00,4.00,2.00,4.00,5.00,NULL,2.00,2.00,2.00,220,NULL,601,'CENTRO','TANGARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7198370,0.00,4.00,3.00,5.00,5.00,NULL,1.00,2.00,1.00,308,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198388,0.00,2.00,3.00,1.00,2.00,NULL,2.00,2.00,2.00,9,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198396,3.00,7.00,2.00,5.00,7.00,7.50,4.00,6.00,6.00,214,NULL,238,'CENTRO','BRAÇO NORTE','SC',5705,NULL,NULL,49,NULL,NULL,NULL,4,10),(28,7198400,3.00,5.00,0.00,5.00,7.00,7.50,4.00,5.00,3.00,207,NULL,NULL,'FUNDO CANOAS','RIO SUL','SC',10774,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7198418,4.00,5.00,3.00,1.00,5.00,7.88,4.00,5.00,2.00,103,NULL,NULL,'CENTRO','LAGES','SC',10591,2113,NULL,NULL,NULL,NULL,NULL,2,4),(28,7198426,5.00,3.00,4.00,6.00,6.00,8.63,4.00,3.00,4.00,211,NULL,215,'CENTRO','CRICIÚMA','SC',8016,218,NULL,131,NULL,NULL,NULL,4,5),(28,7198434,1.00,3.00,0.00,4.00,1.00,NULL,2.00,4.00,2.00,415,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198442,7.00,7.00,2.00,6.00,7.00,9.75,5.00,7.00,6.00,103,NULL,NULL,'INDAIA','CARAGUATATUBA','SP',1578,766,NULL,NULL,NULL,NULL,NULL,4,1),(28,7198450,4.00,7.00,2.00,7.00,8.00,11.25,4.00,7.00,4.00,203,NULL,601,'IMIGRANTES','TIMBÓ','SC',2096,NULL,NULL,22,NULL,NULL,NULL,4,2),(28,7198469,2.00,5.00,2.00,5.00,4.00,5.63,0.00,3.00,2.00,316,NULL,NULL,'SANTOS SARAIVA','S JOSÉ','SC',15432,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198477,5.00,7.00,2.00,6.00,6.00,11.63,5.00,6.00,6.00,108,NULL,NULL,'DOS ESTADOS','INDAIAL','SC',2321,18,NULL,NULL,NULL,NULL,NULL,4,2),(28,7198485,2.00,6.00,3.00,5.00,5.00,8.25,3.00,5.00,4.00,340,NULL,NULL,'BARRA','TRAMANDAÍ','RS',13636,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198493,0.00,4.00,3.00,6.00,5.00,7.13,5.00,5.00,1.00,552,NULL,NULL,'BOSQUE','CURITIBANOS','SC',17658,132,NULL,NULL,NULL,NULL,NULL,2,16),(28,7198507,1.00,4.00,3.00,4.00,4.00,9.00,2.00,4.00,3.00,654,NULL,NULL,'DOM JOAQUIM','BRUSQUE','SC',13574,35,NULL,NULL,NULL,NULL,NULL,2,22),(28,7198515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,233,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7198523,1.00,6.00,3.00,6.00,4.00,9.38,3.00,6.00,2.00,103,NULL,NULL,'CENTRO','S CARLOS','SC',9980,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7198531,2.00,5.00,1.00,5.00,6.00,10.50,0.00,4.00,2.00,415,NULL,NULL,'CENTRO','LAGES','SC',12027,197,NULL,NULL,NULL,NULL,NULL,4,9),(28,7198540,3.00,5.00,4.00,5.00,5.00,7.13,6.00,5.00,4.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',8380,139,NULL,NULL,NULL,NULL,NULL,4,1),(28,7198558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7198566,0.00,5.00,2.00,5.00,5.00,6.38,3.00,3.00,3.00,5,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',15224,412,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198574,0.00,5.00,3.00,2.00,4.00,NULL,0.00,3.00,2.00,501,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198582,3.00,4.00,3.00,6.00,7.00,9.00,5.00,5.00,2.00,304,NULL,NULL,'SÃO MIGUEL PTA','S PAULO','SP',7769,53,NULL,NULL,NULL,NULL,NULL,4,1),(28,7198590,1.00,7.00,1.00,6.00,8.00,7.88,1.00,4.00,3.00,310,NULL,NULL,'MORRO DA BINA','BIGUAÇU','SC',9857,22,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198604,0.00,3.00,2.00,2.00,3.00,NULL,1.00,3.00,1.00,238,NULL,216,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7198612,0.00,2.00,1.00,7.00,4.00,7.13,3.00,2.00,1.00,317,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',19453,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198620,0.00,4.00,1.00,2.00,4.00,NULL,0.00,3.00,2.00,404,NULL,NULL,'SOROCABA DE FORA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198639,1.00,5.00,0.00,5.00,6.00,0.00,0.00,5.00,1.00,208,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7198647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'STAN','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7198663,0.00,2.00,2.00,4.00,2.00,NULL,3.00,3.00,2.00,104,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7198680,0.00,5.00,1.00,5.00,7.00,6.00,3.00,4.00,4.00,3,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',12043,51,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198698,1.00,6.00,3.00,6.00,2.00,NULL,3.00,6.00,3.00,319,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'MORADA DO SOL','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7198710,1.00,3.00,2.00,2.00,3.00,7.50,3.00,2.00,2.00,212,NULL,235,'CENTRO','XAVANTINA','SC',16615,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7198736,5.00,7.00,1.00,4.00,7.00,8.63,3.00,5.00,5.00,103,NULL,NULL,'VILA BEATRIZ','MARACAJÁ','SC',5838,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7198744,1.00,5.00,1.00,1.00,5.00,7.13,2.00,4.00,2.00,601,NULL,211,'BOM RETIRO','JOINVILLE','SC',19532,551,NULL,NULL,NULL,NULL,NULL,4,8),(28,7198752,0.00,2.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198760,1.00,4.00,3.00,6.00,4.00,6.00,1.00,4.00,2.00,104,NULL,NULL,'ITINGA','ARAQUARI','SC',19081,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7198779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM COLONIAL','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7198787,2.00,4.00,0.00,1.00,4.00,6.00,0.00,4.00,2.00,308,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',19819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7198795,2.00,7.00,2.00,6.00,8.00,7.13,3.00,3.00,5.00,238,NULL,233,'MORRO DA BINA','BIGUAÇU','SC',7526,100,NULL,192,NULL,NULL,NULL,4,1),(28,7198817,3.00,4.00,3.00,6.00,5.00,7.88,3.00,4.00,2.00,238,NULL,215,'ITACORUBI','FLORIANÓPOLIS','SC',12503,205,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198825,1.00,4.00,3.00,2.00,8.00,6.75,2.00,4.00,4.00,552,NULL,NULL,'SAO LUIS','CURITIBANOS','SC',12992,68,NULL,NULL,NULL,NULL,NULL,4,16),(28,7198833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'AREIAS','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7198841,0.00,4.00,2.00,4.00,2.00,NULL,0.00,3.00,3.00,319,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198850,4.00,8.00,2.00,7.00,7.00,11.25,3.00,7.00,4.00,326,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',6499,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7198868,0.00,4.00,2.00,4.00,3.00,NULL,0.00,3.00,3.00,5,NULL,NULL,'PASSO DO GADO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7198876,0.00,4.00,1.00,6.00,5.00,6.00,1.00,4.00,2.00,655,NULL,652,'CENTRO','JAGUARUNA','SC',15897,NULL,NULL,61,NULL,NULL,NULL,4,10),(28,7198884,2.00,6.00,1.00,7.00,5.00,8.63,3.00,5.00,4.00,203,NULL,214,'RIO VERMELHO','FLORIANÓPOLIS','SC',9009,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198892,1.00,3.00,3.00,4.00,4.00,6.75,1.00,2.00,2.00,103,NULL,NULL,'FAZ SANTO ANTÔNIO','S JOSÉ','SC',17552,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198906,2.00,5.00,3.00,3.00,6.00,5.63,1.00,4.00,2.00,317,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',18777,162,NULL,NULL,NULL,NULL,NULL,4,1),(28,7198914,4.00,6.00,3.00,7.00,6.00,6.75,2.00,6.00,3.00,444,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',12146,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198922,3.00,4.00,1.00,5.00,5.00,9.00,3.00,3.00,2.00,450,NULL,NULL,'JARDIM ARARUNA','BAURU','SP',12770,98,NULL,NULL,NULL,NULL,NULL,4,3),(28,7198930,1.00,7.00,1.00,4.00,6.00,8.63,2.00,6.00,3.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',10761,315,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198965,0.00,4.00,4.00,4.00,1.00,NULL,2.00,4.00,2.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7198973,4.00,8.00,5.00,5.00,8.00,9.00,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',3669,1265,NULL,NULL,NULL,NULL,NULL,4,4),(28,7198981,3.00,7.00,4.00,7.00,7.00,9.38,6.00,7.00,4.00,202,NULL,213,'CENTRO','BIGUAÇU','SC',4076,122,NULL,58,NULL,NULL,NULL,4,1),(28,7198990,2.00,6.00,3.00,7.00,7.00,NULL,0.00,4.00,5.00,415,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7199007,0.00,7.00,0.00,3.00,6.00,6.75,3.00,2.00,2.00,309,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',15431,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199015,2.00,5.00,1.00,4.00,5.00,7.13,3.00,5.00,3.00,103,NULL,NULL,'MARTORANO','S JOAQUIM','SC',11685,2182,NULL,NULL,NULL,NULL,NULL,2,9),(28,7199023,5.00,8.00,4.00,7.00,8.00,9.38,7.00,5.00,6.00,203,NULL,214,'CARIANOS','FLORIANÓPOLIS','SC',2712,208,NULL,101,NULL,NULL,NULL,4,1),(28,7199031,3.00,6.00,1.00,6.00,6.00,7.13,5.00,3.00,4.00,5,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',9819,292,NULL,NULL,NULL,NULL,NULL,2,7),(28,7199040,0.00,4.00,2.00,5.00,3.00,4.50,0.00,2.00,1.00,302,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19159,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7199074,3.00,8.00,1.00,6.00,8.00,7.50,2.00,5.00,3.00,653,NULL,203,'OURO BRANCO','NOVO HAMBURGO','RS',10551,108,NULL,NULL,NULL,NULL,NULL,2,1),(28,7199082,3.00,8.00,2.00,3.00,6.00,10.13,2.00,6.00,5.00,326,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',6237,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'JARDIM MARIA CIBELE','JAÚ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7199104,4.00,7.00,2.00,5.00,6.00,7.13,4.00,6.00,4.00,234,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',11989,18,NULL,NULL,NULL,NULL,NULL,2,1),(28,7199112,1.00,5.00,3.00,4.00,4.00,4.50,1.00,5.00,1.00,332,NULL,NULL,'CENTRO','TIJUCAS','SC',16246,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7199120,5.00,6.00,1.00,7.00,6.00,9.38,3.00,5.00,5.00,213,NULL,601,'CARIANOS','FLORIANÓPOLIS','SC',10964,192,NULL,320,NULL,NULL,NULL,4,1),(28,7199139,2.00,4.00,2.00,2.00,3.00,5.63,3.00,3.00,1.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19773,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7199147,3.00,6.00,3.00,5.00,4.00,7.50,4.00,5.00,3.00,225,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',15842,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199155,2.00,6.00,3.00,1.00,4.00,7.50,3.00,3.00,4.00,230,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15572,17,NULL,NULL,NULL,NULL,NULL,2,1),(28,7199163,0.00,1.00,3.00,0.00,5.00,5.63,1.00,4.00,2.00,302,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',19073,146,NULL,NULL,NULL,NULL,NULL,2,1),(28,7199171,2.00,5.00,2.00,7.00,7.00,9.75,2.00,2.00,2.00,201,NULL,207,'INTERIOR','GALVÃO','SC',10886,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7199180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'SANTA AUGUSTA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',6,15),(28,7199198,3.00,7.00,3.00,5.00,3.00,7.50,4.00,4.00,3.00,208,NULL,NULL,'URUGUAI','MONDAÍ','SC',10597,111,NULL,NULL,NULL,NULL,NULL,4,27),(28,7199201,5.00,8.00,3.00,7.00,8.00,6.75,5.00,4.00,6.00,103,NULL,NULL,'UBERABA','CURITIBA','PR',6483,1696,NULL,NULL,NULL,NULL,NULL,2,8),(28,7199210,2.00,4.00,2.00,5.00,4.00,9.75,2.00,4.00,3.00,202,NULL,201,'JOSE MENDES','FLORIANÓPOLIS','SC',17216,381,NULL,972,NULL,NULL,NULL,2,1),(28,7199228,3.00,6.00,1.00,2.00,8.00,7.88,2.00,4.00,2.00,110,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',17259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199236,3.00,5.00,2.00,5.00,8.00,9.00,1.00,5.00,1.00,425,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',11085,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199244,4.00,6.00,2.00,6.00,5.00,7.50,5.00,5.00,2.00,201,NULL,220,'CENTRO','TUNÁPOLIS','SC',8093,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7199252,2.00,6.00,3.00,6.00,6.00,10.88,2.00,6.00,6.00,238,NULL,216,'PARQUE GUARANI','S PAULO','SP',7221,91,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'SANTA MARIA','S CAETANO SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7199279,1.00,7.00,4.00,5.00,5.00,6.75,2.00,3.00,1.00,103,NULL,NULL,'CIDADE NOVA','ITAJAÍ','SC',13425,2280,NULL,NULL,NULL,NULL,NULL,4,6),(28,7199295,3.00,3.00,2.00,2.00,4.00,4.88,0.00,1.00,1.00,102,NULL,NULL,'ITAPEVA','IMARUÍ','SC',20071,188,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199317,1.00,2.00,1.00,4.00,2.00,NULL,0.00,3.00,2.00,207,NULL,201,'CENTRO','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7199325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,235,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7199333,6.00,7.00,4.00,7.00,10.00,9.75,5.00,7.00,5.00,202,NULL,213,'AGRONÔMICA','FLORIANÓPOLIS','SC',2125,60,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199341,4.00,7.00,1.00,4.00,7.00,9.38,2.00,5.00,4.00,235,NULL,220,'AGRONÔMICA','FLORIANÓPOLIS','SC',7813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199350,0.00,4.00,2.00,3.00,1.00,NULL,0.00,1.00,2.00,444,NULL,NULL,'KOBRASOL II','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7199368,2.00,7.00,1.00,4.00,6.00,6.00,5.00,7.00,2.00,208,NULL,NULL,'CRISTO REI','CHAPECÓ','SC',9595,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7199376,4.00,6.00,3.00,5.00,10.00,7.50,3.00,5.00,3.00,454,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',12296,244,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199384,4.00,8.00,1.00,3.00,8.00,9.00,4.00,7.00,6.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',3042,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7199392,1.00,4.00,3.00,7.00,6.00,7.88,2.00,4.00,3.00,454,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',16611,336,NULL,NULL,NULL,NULL,NULL,2,1),(28,7199406,0.00,5.00,1.00,3.00,4.00,8.63,4.00,4.00,5.00,601,NULL,655,'ALTO DA TIJUCA','CANOINHAS','SC',13997,415,NULL,NULL,NULL,NULL,NULL,4,17),(28,7199414,0.00,3.00,4.00,2.00,3.00,8.63,2.00,2.00,1.00,302,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',18435,141,NULL,NULL,NULL,NULL,NULL,2,1),(28,7199422,3.00,3.00,2.00,5.00,3.00,7.50,3.00,3.00,4.00,654,NULL,NULL,'UNIVERSITARIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7199430,0.00,7.00,2.00,7.00,3.00,NULL,2.00,5.00,2.00,5,NULL,NULL,'SÃO BENEDITO','UBERABA','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199449,0.00,6.00,2.00,3.00,4.00,NULL,3.00,3.00,1.00,652,NULL,655,'JARDIM CIBELE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7199465,1.00,4.00,1.00,3.00,4.00,6.75,1.00,4.00,3.00,9,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',18215,150,NULL,NULL,NULL,NULL,NULL,2,1),(28,7199481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7199490,3.00,7.00,3.00,2.00,7.00,8.63,4.00,6.00,3.00,203,NULL,653,'RECANTO VERDE','CRICIÚMA','SC',7008,429,NULL,76,NULL,NULL,NULL,4,5),(28,7199503,3.00,6.00,1.00,7.00,9.00,11.25,5.00,7.00,5.00,216,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',3120,113,NULL,234,NULL,NULL,NULL,4,1),(28,7199511,3.00,8.00,0.00,8.00,8.00,NULL,1.00,6.00,2.00,454,NULL,NULL,'NOVO MUNDO','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199520,7.00,7.00,5.00,7.00,9.00,12.38,6.00,7.00,6.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',124,100,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD CHAPADÃO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7199554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7199589,2.00,5.00,1.00,6.00,5.00,6.38,4.00,5.00,3.00,238,NULL,220,'BELA VISTA','PALHOÇA','SC',13069,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199597,4.00,5.00,0.00,7.00,7.00,NULL,0.00,6.00,3.00,331,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199600,3.00,3.00,1.00,1.00,3.00,4.50,0.00,5.00,1.00,339,NULL,NULL,'AREIAS DE CIMA','BIGUAÇU','SC',20113,68,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199619,0.00,5.00,2.00,3.00,4.00,NULL,1.00,4.00,2.00,207,NULL,201,'ALTO BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7199627,0.00,4.00,0.00,4.00,4.00,NULL,2.00,3.00,1.00,5,NULL,NULL,'SANTA RITA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7199635,2.00,7.00,2.00,3.00,3.00,6.00,0.00,4.00,1.00,316,NULL,NULL,'CENTRO','PAULO LOPES','SC',14835,189,NULL,NULL,NULL,NULL,NULL,2,1),(28,7199643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7199651,1.00,2.00,1.00,1.00,2.00,NULL,2.00,3.00,2.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199660,0.00,3.00,3.00,4.00,3.00,NULL,0.00,3.00,2.00,207,NULL,216,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7199678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7199686,4.00,3.00,0.00,2.00,7.00,6.00,2.00,6.00,3.00,301,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',14549,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199694,3.00,5.00,3.00,4.00,8.00,8.63,4.00,4.00,5.00,303,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',9140,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7199708,4.00,7.00,3.00,6.00,8.00,9.75,3.00,6.00,2.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7199716,3.00,7.00,2.00,7.00,2.00,NULL,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','MARIÓPOLIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7199724,1.00,3.00,3.00,5.00,5.00,7.13,1.00,4.00,2.00,652,NULL,655,'CENTRO','TURVO','SC',14796,51,NULL,NULL,NULL,NULL,NULL,2,15),(28,7199732,0.00,6.00,1.00,7.00,2.00,NULL,3.00,4.00,2.00,238,NULL,652,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7199740,2.00,4.00,2.00,5.00,2.00,NULL,0.00,5.00,3.00,601,NULL,201,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7199767,4.00,7.00,3.00,6.00,7.00,8.63,5.00,6.00,5.00,201,NULL,202,'JARDIM SÃO SIMAS','S JOSÉ CAMPOS','SP',3666,NULL,NULL,105,NULL,NULL,NULL,4,1),(28,7199775,3.00,8.00,2.00,5.00,6.00,7.88,3.00,7.00,4.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10550,64,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7199805,3.00,6.00,2.00,7.00,7.00,7.13,3.00,4.00,4.00,301,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',9757,120,NULL,NULL,NULL,NULL,NULL,2,1),(28,7199813,0.00,5.00,2.00,2.00,3.00,6.38,1.00,2.00,1.00,324,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',20042,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199821,4.00,5.00,1.00,3.00,1.00,NULL,3.00,3.00,2.00,310,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7199848,0.00,5.00,0.00,2.00,4.00,NULL,2.00,4.00,2.00,320,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199856,0.00,3.00,0.00,3.00,2.00,NULL,2.00,2.00,1.00,444,NULL,NULL,'JARAGUA ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7199864,1.00,7.00,1.00,2.00,7.00,7.88,3.00,4.00,3.00,5,NULL,NULL,'CENTRO','GRAVATAL','SC',11714,337,NULL,NULL,NULL,NULL,NULL,2,10),(28,7199872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,230,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7199899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7199902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7199910,0.00,8.00,2.00,7.00,5.00,6.00,1.00,7.00,2.00,552,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15186,100,NULL,NULL,NULL,NULL,NULL,4,1),(28,7199937,2.00,7.00,2.00,6.00,6.00,10.88,2.00,8.00,5.00,207,NULL,201,'PRIMEIRO DE MAIO','SERTÃOZINHO','SP',5059,221,NULL,NULL,NULL,NULL,NULL,2,1),(28,7199953,2.00,7.00,2.00,5.00,8.00,8.25,6.00,5.00,4.00,235,NULL,214,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',5799,99,NULL,182,NULL,NULL,NULL,2,1),(28,7199988,0.00,6.00,1.00,5.00,5.00,NULL,1.00,6.00,1.00,317,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7199996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CRISTO REI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7200005,2.00,6.00,1.00,7.00,6.00,7.50,4.00,5.00,3.00,317,NULL,NULL,'SANTA RITA','PAULO LOPES','SC',9135,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7200021,0.00,4.00,1.00,5.00,2.00,NULL,0.00,4.00,1.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7200048,1.00,5.00,2.00,3.00,4.00,12.38,4.00,7.00,2.00,5,NULL,NULL,'JEREISSATI','MARACANAÚ','CE',10452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7200056,0.00,4.00,2.00,5.00,4.00,7.50,3.00,4.00,3.00,444,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7200102,2.00,6.00,1.00,5.00,8.00,7.13,2.00,6.00,4.00,238,NULL,216,'ITACORUBI','FLORIANÓPOLIS','SC',10211,148,NULL,316,NULL,NULL,NULL,4,1),(28,7200110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7200129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7200145,3.00,6.00,1.00,3.00,6.00,8.63,4.00,4.00,3.00,203,NULL,601,'RIBEIRÃO MATILDE','ATALANTA','SC',10186,NULL,NULL,286,NULL,NULL,NULL,4,24),(28,7200153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7200161,2.00,4.00,0.00,5.00,3.00,7.50,2.00,5.00,2.00,201,NULL,601,'SCHRAMM','S BENTO SUL','SC',15785,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7200170,0.00,4.00,3.00,5.00,6.00,NULL,3.00,1.00,2.00,324,NULL,NULL,'MAGALHAES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7200188,4.00,7.00,3.00,6.00,9.00,8.25,3.00,6.00,5.00,201,NULL,212,'CAMPO DE DEMONSTRAÇÂ','S PEDRO ALCÂNTARA','SC',3293,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200200,3.00,5.00,3.00,6.00,9.00,7.13,2.00,7.00,3.00,103,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',7820,1870,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200226,3.00,6.00,3.00,6.00,7.00,9.75,3.00,4.00,5.00,201,NULL,207,'TRÊS FRONTEIRAS','DIONÍSIO CERQUEIRA','SC',5776,450,NULL,NULL,NULL,NULL,NULL,2,4),(28,7200234,1.00,4.00,0.00,2.00,4.00,9.00,0.00,4.00,1.00,319,NULL,NULL,'BOA VISTA','JOINVILLE','SC',16970,328,NULL,NULL,NULL,NULL,NULL,4,8),(28,7200242,2.00,5.00,3.00,4.00,3.00,7.13,3.00,3.00,1.00,338,NULL,NULL,'AREIAS','S JOSÉ','SC',18994,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7200277,2.00,6.00,4.00,6.00,8.00,7.13,2.00,7.00,6.00,317,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5686,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200285,0.00,2.00,2.00,2.00,3.00,NULL,0.00,1.00,2.00,551,NULL,NULL,'CENTRO','S CRISTÓVÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7200293,3.00,6.00,4.00,6.00,6.00,7.50,5.00,5.00,3.00,201,NULL,212,'VARGEM DO BRAÇO','STO AMARO IMPERATRIZ','SC',8257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'GOIABEIRAS','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7200315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'SERRA CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7200323,3.00,3.00,2.00,5.00,2.00,NULL,0.00,1.00,3.00,317,NULL,NULL,'BOA VISTA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7200358,1.00,7.00,4.00,5.00,7.00,7.88,3.00,6.00,4.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',9084,420,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200366,0.00,5.00,1.00,3.00,4.00,7.88,1.00,3.00,3.00,103,NULL,NULL,'SÃO JORGE','TORRES','RS',16166,2409,NULL,NULL,NULL,NULL,NULL,2,15),(28,7200390,6.00,7.00,3.00,6.00,10.00,12.38,6.00,6.00,6.00,207,NULL,211,'PICADAS DO SUL','S JOSÉ','SC',1104,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7200404,2.00,4.00,1.00,5.00,3.00,4.50,2.00,2.00,1.00,655,NULL,220,'PASSO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7200412,1.00,4.00,3.00,3.00,4.00,6.38,4.00,1.00,2.00,9,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200420,1.00,6.00,4.00,5.00,5.00,9.75,3.00,4.00,2.00,103,NULL,NULL,'VILA SINHA','S JOSÉ CAMPOS','SP',10756,2126,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200447,1.00,0.00,2.00,7.00,7.00,NULL,0.00,0.00,0.00,203,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7200455,2.00,5.00,3.00,2.00,1.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7200463,0.00,4.00,1.00,7.00,6.00,7.88,1.00,3.00,1.00,207,NULL,212,'PASSA VINTE','PALHOÇA','SC',15621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO JOÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7200480,4.00,7.00,2.00,4.00,5.00,4.50,4.00,6.00,4.00,450,NULL,NULL,'JARDIM PAULISTA','JUNQUEIRÓPOLIS','SP',9381,72,NULL,NULL,NULL,NULL,NULL,4,8),(28,7200498,0.00,1.00,0.00,4.00,5.00,7.50,2.00,3.00,1.00,552,NULL,NULL,'VILA ELZA','GUAÍBA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200501,1.00,5.00,2.00,6.00,5.00,6.38,2.00,4.00,4.00,216,NULL,203,'FORQUILHINHAS','S JOSÉ','SC',17365,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200528,1.00,3.00,1.00,3.00,2.00,NULL,1.00,1.00,2.00,423,NULL,428,'LIMOEIRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7200544,2.00,5.00,3.00,4.00,6.00,9.00,2.00,5.00,5.00,103,NULL,NULL,'JARDIM AMERICA','CHAPECÓ','SC',9185,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7200579,0.00,3.00,2.00,4.00,3.00,5.63,2.00,3.00,2.00,454,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200587,5.00,5.00,3.00,4.00,6.00,4.50,2.00,3.00,4.00,216,NULL,201,'JD NSA SRA APARECIDA','S PAULO','SP',11980,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7200595,2.00,6.00,3.00,6.00,7.00,9.38,3.00,4.00,2.00,207,NULL,211,'BARRO VERMELHO','ORLEANS','SC',14246,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7200609,5.00,7.00,1.00,7.00,8.00,6.38,4.00,4.00,5.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8967,277,NULL,NULL,NULL,NULL,NULL,4,1),(28,7200625,1.00,5.00,1.00,2.00,5.00,6.00,2.00,4.00,1.00,108,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',17398,234,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200633,1.00,5.00,1.00,5.00,2.00,NULL,3.00,1.00,0.00,207,NULL,202,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7200641,3.00,5.00,1.00,5.00,5.00,6.75,2.00,6.00,3.00,415,NULL,NULL,'FUNDO CANOAS','RIO SUL','SC',16617,247,NULL,NULL,NULL,NULL,NULL,4,1),(28,7200650,4.00,6.00,3.00,6.00,3.00,9.38,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',15310,2368,NULL,NULL,NULL,NULL,NULL,2,26),(28,7200684,4.00,6.00,2.00,4.00,6.00,8.25,2.00,7.00,5.00,104,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',6216,128,NULL,NULL,NULL,NULL,NULL,4,1),(28,7200692,4.00,7.00,3.00,7.00,9.00,11.25,5.00,5.00,5.00,332,NULL,NULL,'JARDIM ANÁPOLIS','BIGUAÇU','SC',1963,1,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200706,5.00,8.00,5.00,6.00,9.00,7.88,6.00,6.00,6.00,203,NULL,214,'BEATRIZ','LAGES','SC',777,74,NULL,NULL,NULL,NULL,NULL,4,9),(28,7200722,1.00,6.00,2.00,2.00,4.00,4.50,1.00,5.00,1.00,235,NULL,238,'RIO VERMELHO','FLORIANÓPOLIS','SC',19859,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200730,2.00,6.00,5.00,6.00,5.00,11.63,4.00,4.00,4.00,208,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',8185,83,NULL,NULL,NULL,NULL,NULL,4,1),(28,7200749,2.00,5.00,2.00,4.00,6.00,4.88,2.00,3.00,2.00,9,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',17466,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200757,4.00,5.00,1.00,8.00,7.00,9.38,3.00,6.00,8.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',5468,1565,NULL,NULL,NULL,NULL,NULL,4,10),(28,7200765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CASCATA','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7200773,2.00,6.00,1.00,4.00,9.00,9.00,2.00,5.00,5.00,216,NULL,201,'MORROTES','TUBARÃO','SC',8115,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7200790,0.00,3.00,1.00,4.00,1.00,NULL,1.00,3.00,1.00,213,NULL,201,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7200811,5.00,6.00,1.00,5.00,4.00,9.75,1.00,4.00,3.00,317,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',16164,127,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7200846,0.00,4.00,1.00,4.00,2.00,NULL,1.00,1.00,2.00,215,NULL,211,'FAZENDA DO SACRA','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7200854,1.00,5.00,1.00,3.00,5.00,7.50,3.00,6.00,1.00,216,NULL,211,'DONA FRANCISCA','S BENTO SUL','SC',18296,445,NULL,420,NULL,NULL,NULL,4,23),(28,7200862,2.00,6.00,4.00,5.00,8.00,8.25,2.00,5.00,3.00,103,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',7629,1844,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200870,4.00,7.00,4.00,5.00,8.00,7.88,4.00,3.00,5.00,103,NULL,NULL,'SÃO LUIZ','LAGES','SC',10751,2124,NULL,NULL,NULL,NULL,NULL,2,9),(28,7200889,0.00,5.00,1.00,1.00,4.00,NULL,0.00,4.00,4.00,9,NULL,NULL,'SANTA MONICA','PAPANDUVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7200897,2.00,3.00,2.00,2.00,3.00,5.25,2.00,3.00,1.00,238,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7200900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CAICARA','BIRIGÜI','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7200919,5.00,7.00,2.00,5.00,6.00,7.50,4.00,6.00,5.00,233,NULL,601,'DEHON','TUBARÃO','SC',9606,229,NULL,258,NULL,NULL,NULL,4,10),(28,7200927,1.00,4.00,4.00,4.00,5.00,7.50,0.00,3.00,2.00,203,NULL,214,'REC QUART CENTENÁRIO','JUNDIAÍ','SP',14381,629,NULL,317,NULL,NULL,NULL,4,8),(28,7200935,1.00,6.00,0.00,5.00,5.00,4.88,2.00,5.00,3.00,102,NULL,NULL,'SANTO ANTONIO','TUBARÃO','SC',17675,165,NULL,NULL,NULL,NULL,NULL,2,10),(28,7200943,2.00,5.00,2.00,7.00,10.00,9.75,3.00,5.00,6.00,103,NULL,NULL,'SANTOS DUMONTT','S JOSÉ','SC',5286,1540,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200951,2.00,6.00,2.00,5.00,7.00,8.25,2.00,5.00,4.00,303,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',9320,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7200978,1.00,3.00,1.00,6.00,5.00,7.88,1.00,4.00,2.00,238,NULL,220,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7200986,0.00,8.00,1.00,3.00,5.00,8.25,2.00,3.00,1.00,303,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',15137,532,NULL,NULL,NULL,NULL,NULL,2,1),(28,7201001,1.00,5.00,2.00,4.00,5.00,8.25,2.00,4.00,2.00,303,NULL,NULL,'PAGARÁ','STO AMARO IMPERATRIZ','SC',15971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201010,0.00,5.00,2.00,4.00,7.00,NULL,3.00,3.00,4.00,208,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7201036,3.00,6.00,2.00,5.00,8.00,4.50,4.00,6.00,2.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',10334,306,NULL,NULL,NULL,NULL,NULL,2,1),(28,7201044,4.00,7.00,1.00,6.00,7.00,10.50,2.00,6.00,6.00,454,NULL,NULL,'ENCRUZILHADA','BIGUAÇU','SC',8157,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201052,3.00,5.00,2.00,5.00,9.00,8.63,4.00,4.00,5.00,235,NULL,238,'PASSA VINTE','PALHOÇA','SC',6898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201060,3.00,2.00,1.00,4.00,6.00,7.50,1.00,1.00,3.00,5,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',15884,432,NULL,NULL,NULL,NULL,NULL,2,1),(28,7201079,1.00,7.00,1.00,2.00,6.00,6.38,3.00,5.00,1.00,103,NULL,NULL,'SÃO JOSE','ARMAZÉM','SC',18351,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7201087,2.00,5.00,0.00,2.00,3.00,NULL,3.00,3.00,4.00,552,NULL,NULL,'INTERIOR','QUILOMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7201095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7201117,2.00,3.00,1.00,2.00,6.00,7.13,0.00,3.00,4.00,108,NULL,NULL,'CENTRO DE PALHOÇA','PALHOÇA','SC',15967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201150,3.00,6.00,2.00,5.00,4.00,7.13,3.00,4.00,1.00,310,NULL,NULL,'ROCADO','S JOSÉ','SC',17640,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201168,5.00,6.00,1.00,5.00,5.00,9.00,3.00,6.00,4.00,103,NULL,NULL,'JUVEVÊ','CURITIBA','PR',6772,1732,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201176,0.00,6.00,0.00,0.00,5.00,NULL,2.00,4.00,2.00,108,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201184,2.00,8.00,2.00,6.00,8.00,8.25,4.00,6.00,5.00,340,NULL,NULL,'VILA VIRGINIA','RIBEIRÃO PRETO','SP',4599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201192,3.00,4.00,1.00,5.00,5.00,8.25,3.00,4.00,1.00,108,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',17807,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7201206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7201214,1.00,4.00,1.00,2.00,6.00,7.50,3.00,5.00,3.00,207,NULL,201,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',15960,694,NULL,931,NULL,NULL,NULL,4,1),(28,7201230,1.00,6.00,0.00,4.00,7.00,NULL,1.00,4.00,0.00,654,NULL,NULL,'LAGOAO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7201257,2.00,7.00,1.00,4.00,6.00,7.50,1.00,6.00,3.00,601,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',15920,470,NULL,NULL,NULL,NULL,NULL,2,8),(28,7201265,0.00,2.00,3.00,4.00,4.00,NULL,2.00,4.00,2.00,103,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,10),(28,7201273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7201281,4.00,8.00,2.00,6.00,7.00,7.13,3.00,4.00,3.00,301,NULL,NULL,'SALGADO FILHO','MARÍLIA','SP',11711,156,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201290,3.00,6.00,2.00,7.00,7.00,8.25,2.00,3.00,2.00,319,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',11265,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7201303,2.00,7.00,2.00,6.00,7.00,7.88,3.00,5.00,4.00,202,NULL,220,'BOA VISTA','JOINVILLE','SC',11965,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7201320,2.00,3.00,2.00,2.00,5.00,7.50,1.00,4.00,2.00,316,NULL,NULL,'JD SANTO ONOFRE','TABOÃO SERRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201338,1.00,3.00,2.00,5.00,5.00,5.25,2.00,3.00,1.00,653,NULL,NULL,'LAGOA DO CAVERÁ','ARARANGUÁ','SC',19727,214,NULL,NULL,NULL,NULL,NULL,4,15),(28,7201346,0.00,3.00,2.00,1.00,4.00,NULL,2.00,3.00,2.00,502,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201354,2.00,4.00,3.00,4.00,4.00,0.00,2.00,2.00,1.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7201362,2.00,5.00,2.00,5.00,4.00,7.13,3.00,3.00,4.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7201370,2.00,8.00,0.00,2.00,3.00,NULL,2.00,5.00,2.00,336,NULL,NULL,'MACHADINHO','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201400,0.00,4.00,2.00,2.00,4.00,NULL,0.00,3.00,3.00,502,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201427,0.00,4.00,2.00,5.00,7.00,10.13,1.00,3.00,2.00,104,NULL,NULL,'PROGRESSO','S MIGUEL OESTE','SC',15032,367,NULL,NULL,NULL,NULL,NULL,2,27),(28,7201435,2.00,6.00,1.00,6.00,5.00,6.75,1.00,7.00,3.00,303,NULL,NULL,'TRICOLIN','CANOINHAS','SC',16783,565,NULL,NULL,NULL,NULL,NULL,4,17),(28,7201443,2.00,6.00,2.00,6.00,5.00,6.38,3.00,4.00,3.00,502,NULL,NULL,'BARREIROS','S JOSÉ','SC',12913,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7201451,3.00,7.00,2.00,6.00,7.00,6.00,2.00,4.00,4.00,201,NULL,212,'FORQUILHAS','S JOSÉ','SC',10051,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201460,5.00,7.00,0.00,4.00,8.00,7.88,4.00,6.00,5.00,201,NULL,212,'VILA NOVA ALVORADA','IMBITUBA','SC',5264,407,NULL,172,NULL,NULL,NULL,4,1),(28,7201494,1.00,5.00,2.00,3.00,4.00,6.75,0.00,3.00,1.00,653,NULL,207,'TAPERA','FLORIANÓPOLIS','SC',16933,183,NULL,731,NULL,NULL,NULL,4,1),(28,7201508,0.00,4.00,2.00,4.00,4.00,8.25,2.00,2.00,4.00,440,NULL,NULL,'APARECIDA','SANTOS','SP',18156,7,NULL,NULL,NULL,NULL,NULL,6,1),(28,7201516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7201524,2.00,4.00,1.00,4.00,4.00,10.88,2.00,5.00,5.00,103,NULL,NULL,'JARDIM CIBELI','ARARANGUÁ','SC',8573,1959,NULL,NULL,NULL,NULL,NULL,4,15),(28,7201540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JABOTI','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7201559,4.00,8.00,3.00,7.00,7.00,7.88,5.00,6.00,4.00,201,NULL,207,'CATARINA FONTANA','CONCÓRDIA','SC',4116,316,NULL,164,NULL,NULL,NULL,4,4),(28,7201567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7201575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7201583,0.00,3.00,3.00,4.00,3.00,7.88,1.00,4.00,3.00,552,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',19590,148,NULL,NULL,NULL,NULL,NULL,4,16),(28,7201591,0.00,6.00,2.00,2.00,4.00,4.88,2.00,1.00,3.00,654,NULL,NULL,'SÃO PEREGRINO','TURVO','SC',19868,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7201613,1.00,6.00,1.00,1.00,1.00,NULL,2.00,4.00,1.00,308,NULL,NULL,'LOEFFELSCHEIDT','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201621,3.00,7.00,1.00,1.00,5.00,7.13,4.00,3.00,3.00,201,NULL,235,'CAMPECHE','FLORIANÓPOLIS','SC',12269,787,NULL,199,NULL,NULL,NULL,4,1),(28,7201630,3.00,9.00,3.00,6.00,8.00,9.75,1.00,7.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2987,1136,NULL,NULL,NULL,NULL,NULL,4,8),(28,7201648,3.00,4.00,0.00,2.00,6.00,7.88,1.00,5.00,2.00,103,NULL,NULL,'CENTRO','URUSSANGA','SC',14296,2323,NULL,NULL,NULL,NULL,NULL,2,5),(28,7201656,7.00,8.00,4.00,6.00,8.00,8.25,5.00,4.00,8.00,203,NULL,235,'AMÉRICA','JOINVILLE','SC',1005,97,NULL,6,NULL,NULL,NULL,4,8),(28,7201664,2.00,2.00,1.00,3.00,2.00,NULL,3.00,2.00,3.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201680,0.00,2.00,1.00,4.00,2.00,NULL,2.00,4.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7201699,1.00,4.00,1.00,5.00,4.00,7.50,1.00,3.00,3.00,109,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16843,73,NULL,NULL,NULL,NULL,NULL,2,1),(28,7201702,5.00,6.00,4.00,6.00,9.00,6.75,5.00,7.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2776,1083,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201729,3.00,6.00,1.00,5.00,9.00,9.00,4.00,6.00,4.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',5028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201737,1.00,2.00,1.00,2.00,3.00,4.88,1.00,2.00,0.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7201745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7201753,3.00,5.00,2.00,4.00,7.00,5.25,2.00,4.00,1.00,301,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',15809,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7201770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,238,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7201788,4.00,7.00,2.00,7.00,8.00,9.75,4.00,7.00,4.00,103,NULL,NULL,'CENTRO','VIDEIRA','SC',6686,1724,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201796,0.00,4.00,3.00,1.00,3.00,9.00,4.00,2.00,1.00,441,NULL,NULL,'JARDIM CIBELI','ARARANGUÁ','SC',18371,8,NULL,NULL,NULL,NULL,NULL,6,15),(28,7201800,0.00,5.00,3.00,3.00,7.00,7.13,2.00,6.00,2.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16287,242,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201818,6.00,8.00,4.00,6.00,10.00,9.38,4.00,8.00,6.00,103,NULL,NULL,'SANTANA','RIO SUL','SC',486,335,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7201834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'JARDIM HANTSCHEL','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7201877,1.00,2.00,2.00,3.00,6.00,8.63,3.00,3.00,2.00,9,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',18939,161,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201885,0.00,6.00,0.00,3.00,4.00,NULL,0.00,5.00,3.00,303,NULL,NULL,'ENCANTADA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201893,6.00,7.00,5.00,7.00,7.00,9.00,6.00,7.00,8.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',740,70,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201907,4.00,5.00,6.00,4.00,5.00,6.75,5.00,5.00,5.00,203,NULL,235,'SANTA TEREZA','S PEDRO ALCÂNTARA','SC',8720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201923,4.00,7.00,4.00,6.00,10.00,4.88,5.00,8.00,3.00,415,NULL,NULL,'SERRARIA','S JOSÉ','SC',2900,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201931,2.00,4.00,2.00,1.00,3.00,7.88,2.00,3.00,3.00,215,NULL,211,'SÃO LUIS','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7201940,4.00,5.00,3.00,5.00,5.00,10.88,4.00,6.00,4.00,207,NULL,215,'NOSSA SENHORA DO ROS','S JOSÉ','SC',7059,331,NULL,108,NULL,NULL,NULL,2,1),(28,7201958,3.00,5.00,3.00,5.00,8.00,6.00,3.00,5.00,3.00,502,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',9087,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201966,1.00,4.00,2.00,2.00,4.00,7.88,1.00,3.00,1.00,501,NULL,NULL,'PARQUE DAS AMÉRICAS','UBERABA','MG',16728,102,NULL,NULL,NULL,NULL,NULL,4,1),(28,7201982,4.00,6.00,1.00,4.00,5.00,5.25,1.00,4.00,3.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17911,239,NULL,NULL,NULL,NULL,NULL,4,1),(28,7202016,3.00,5.00,4.00,7.00,5.00,9.38,3.00,6.00,5.00,201,NULL,207,'PE BERNARDO MERCKE','ARAPONGAS','PR',5745,445,NULL,258,NULL,NULL,NULL,4,8),(28,7202024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7202032,4.00,6.00,1.00,6.00,7.00,10.13,5.00,6.00,7.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7202040,3.00,7.00,4.00,6.00,8.00,9.00,6.00,7.00,4.00,220,NULL,202,'CHAMPAGNE','GARIBALDI','RS',4693,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7202075,4.00,7.00,3.00,5.00,9.00,6.38,5.00,5.00,4.00,303,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',3749,178,NULL,NULL,NULL,NULL,NULL,4,1),(28,7202083,0.00,0.00,1.00,0.00,3.00,NULL,1.00,3.00,3.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202091,2.00,3.00,2.00,5.00,5.00,5.25,3.00,4.00,3.00,450,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',14716,109,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7202113,1.00,5.00,1.00,4.00,5.00,6.38,2.00,3.00,2.00,318,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',16249,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7202130,3.00,7.00,1.00,6.00,8.00,7.88,3.00,5.00,3.00,104,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',13198,326,NULL,NULL,NULL,NULL,NULL,2,24),(28,7202148,2.00,6.00,1.00,8.00,9.00,9.00,5.00,5.00,4.00,211,NULL,238,'CANASVIEIRAS','FLORIANÓPOLIS','SC',6107,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202156,0.00,1.00,3.00,3.00,3.00,NULL,3.00,4.00,1.00,302,NULL,NULL,'JD JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','CUNHA PORÃ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7202172,3.00,7.00,3.00,5.00,7.00,11.63,1.00,3.00,2.00,104,NULL,NULL,'CENTRO','LAGES','SC',12533,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7202180,0.00,6.00,0.00,3.00,4.00,NULL,1.00,6.00,4.00,202,NULL,201,'BELA VISTA III','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7202199,1.00,5.00,3.00,4.00,3.00,7.50,2.00,4.00,1.00,426,NULL,428,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202210,0.00,2.00,2.00,4.00,5.00,NULL,1.00,3.00,0.00,333,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202229,2.00,4.00,1.00,7.00,6.00,8.25,1.00,4.00,1.00,451,NULL,NULL,'ROÇADO','S JOSÉ','SC',14710,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7202237,2.00,6.00,0.00,6.00,6.00,8.25,5.00,5.00,2.00,655,NULL,653,'MATO ALTO','ARARANGUÁ','SC',9055,37,NULL,NULL,NULL,NULL,NULL,2,15),(28,7202245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'AMADORI','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7202253,7.00,6.00,3.00,7.00,8.00,8.25,4.00,6.00,3.00,340,NULL,NULL,'CENTRO','PALMITOS','SC',3618,87,NULL,NULL,NULL,NULL,NULL,4,4),(28,7202270,3.00,5.00,1.00,5.00,6.00,6.75,2.00,3.00,4.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',14398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202288,2.00,6.00,1.00,1.00,6.00,6.00,2.00,4.00,0.00,319,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',15178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7202300,2.00,5.00,3.00,5.00,4.00,7.13,4.00,4.00,3.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',17148,241,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202318,3.00,4.00,3.00,4.00,3.00,7.13,1.00,3.00,1.00,109,NULL,NULL,'PRAIA DO FORTE','FLORIANÓPOLIS','SC',16699,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202326,2.00,3.00,0.00,4.00,3.00,5.63,3.00,3.00,3.00,214,NULL,213,'RIO VERMELHO','FLORIANÓPOLIS','SC',16501,334,NULL,256,NULL,NULL,NULL,4,1),(28,7202334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,207,'PORTINHO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7202342,3.00,7.00,2.00,6.00,6.00,9.75,2.00,7.00,5.00,336,NULL,NULL,'CAMPO D UNA','GAROPABA','SC',6777,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202350,0.00,2.00,1.00,4.00,4.00,NULL,1.00,2.00,1.00,552,NULL,NULL,'CENTRO','MTE CASTELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7202369,2.00,3.00,1.00,6.00,9.00,7.88,2.00,3.00,1.00,201,NULL,213,'CENTRO','LAGES','SC',12295,NULL,NULL,208,NULL,NULL,NULL,4,9),(28,7202377,0.00,4.00,1.00,3.00,3.00,6.38,1.00,2.00,2.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7202385,1.00,5.00,5.00,6.00,4.00,9.00,2.00,5.00,5.00,103,NULL,NULL,'CASCATINHA','PTE SERRADA','SC',10313,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7202393,0.00,2.00,2.00,1.00,3.00,NULL,1.00,3.00,0.00,502,NULL,NULL,'BOA VISTA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202407,2.00,6.00,4.00,7.00,5.00,10.88,5.00,8.00,4.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',7579,232,NULL,NULL,NULL,NULL,NULL,3,1),(28,7202415,1.00,4.00,0.00,3.00,6.00,6.75,3.00,3.00,2.00,201,NULL,207,'JARDIM ZANELATTO','S JOSÉ','SC',16044,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7202423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'VERENA','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7202431,2.00,4.00,2.00,3.00,5.00,8.63,1.00,2.00,2.00,336,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19066,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7202440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7202458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7202466,2.00,4.00,1.00,5.00,7.00,7.50,3.00,4.00,0.00,654,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',15546,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202474,3.00,6.00,4.00,5.00,6.00,10.88,5.00,6.00,5.00,233,NULL,211,'ABRAÃO','FLORIANÓPOLIS','SC',3773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7202490,3.00,7.00,3.00,5.00,7.00,6.00,2.00,6.00,3.00,216,NULL,233,'PARQUE HIPOLYTO','LIMEIRA','SP',7517,255,NULL,190,NULL,NULL,NULL,2,8),(28,7202504,4.00,4.00,0.00,2.00,6.00,NULL,3.00,4.00,1.00,103,NULL,NULL,'CENTRO','BRAÇO TROMBUDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7202520,0.00,5.00,2.00,4.00,4.00,5.63,3.00,5.00,2.00,655,NULL,653,'MATO ALTO','ARARANGUÁ','SC',16124,98,NULL,NULL,NULL,NULL,NULL,2,15),(28,7202539,3.00,3.00,2.00,2.00,4.00,9.38,3.00,2.00,2.00,454,NULL,NULL,'SANTA REGINA VI','CAMBORIÚ','SC',15462,317,NULL,NULL,NULL,NULL,NULL,2,3),(28,7202547,5.00,6.00,2.00,5.00,8.00,9.38,5.00,6.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',3433,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7202555,3.00,8.00,2.00,5.00,6.00,6.75,2.00,5.00,3.00,304,NULL,NULL,'MORADA DO SOL','AMERICANA','SP',7856,56,NULL,NULL,NULL,NULL,NULL,2,8),(28,7202563,1.00,5.00,1.00,4.00,4.00,9.75,1.00,4.00,2.00,333,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14347,89,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202571,0.00,3.00,1.00,5.00,1.00,NULL,0.00,1.00,2.00,340,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202580,0.00,6.00,2.00,2.00,8.00,6.75,0.00,3.00,4.00,207,NULL,211,'PROGRESSO','LAGUNA','SC',14976,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7202598,6.00,8.00,5.00,5.00,11.00,10.50,2.00,7.00,6.00,103,NULL,NULL,'JARDIM ROBRÚ','S PAULO','SP',739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202601,0.00,2.00,3.00,4.00,5.00,5.25,1.00,1.00,3.00,652,NULL,238,'RIO BONITO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7202610,0.00,4.00,2.00,4.00,3.00,7.88,1.00,3.00,2.00,103,NULL,NULL,'SANTO ANTONIO','BAL PIÇARRAS','SC',19514,2519,NULL,NULL,NULL,NULL,NULL,4,6),(28,7202628,3.00,4.00,1.00,5.00,5.00,6.00,2.00,3.00,2.00,103,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',15603,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202636,2.00,4.00,2.00,5.00,2.00,NULL,1.00,0.00,1.00,601,NULL,201,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7202644,0.00,3.00,1.00,7.00,3.00,NULL,0.00,3.00,2.00,102,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7202652,1.00,5.00,1.00,6.00,2.00,NULL,2.00,3.00,1.00,336,NULL,NULL,'RIO DOS INDIOS','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7202660,5.00,5.00,2.00,6.00,8.00,10.88,4.00,4.00,1.00,201,NULL,213,'BARREIROS','S JOSÉ','SC',11948,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202679,3.00,5.00,2.00,6.00,5.00,6.75,3.00,4.00,2.00,207,NULL,601,'MEIA PRAIA','ITAPEMA','SC',13072,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7202687,0.00,4.00,1.00,3.00,4.00,NULL,2.00,4.00,1.00,319,NULL,NULL,'ARMAÇAO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7202695,6.00,8.00,4.00,6.00,8.00,7.13,3.00,5.00,5.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',3336,1212,NULL,NULL,NULL,NULL,NULL,4,1),(28,7202709,0.00,6.00,0.00,5.00,6.00,6.75,1.00,3.00,0.00,317,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',19422,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202733,0.00,2.00,3.00,6.00,2.00,NULL,1.00,4.00,0.00,207,NULL,215,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202750,2.00,5.00,5.00,3.00,4.00,7.50,1.00,6.00,2.00,223,NULL,NULL,'FAZENDA','ITAJAÍ','SC',13885,23,NULL,NULL,NULL,NULL,NULL,2,6),(28,7202768,6.00,8.00,4.00,6.00,9.00,10.50,3.00,4.00,5.00,103,NULL,NULL,'JUVEVÊ','CURITIBA','PR',1653,791,NULL,NULL,NULL,NULL,NULL,4,8),(28,7202776,5.00,6.00,2.00,4.00,7.00,10.50,3.00,4.00,5.00,216,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',6360,220,NULL,91,NULL,NULL,NULL,4,1),(28,7202784,2.00,4.00,1.00,2.00,1.00,NULL,0.00,3.00,4.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202792,1.00,3.00,0.00,2.00,6.00,6.00,1.00,3.00,2.00,104,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',18606,443,NULL,NULL,NULL,NULL,NULL,4,1),(28,7202806,5.00,7.00,3.00,6.00,5.00,7.50,3.00,6.00,4.00,216,NULL,202,'CENTRO','LONDRINA','PR',10994,335,NULL,278,NULL,NULL,NULL,2,8),(28,7202814,4.00,5.00,2.00,5.00,6.00,7.88,3.00,4.00,5.00,238,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',7129,88,NULL,NULL,NULL,NULL,NULL,4,1),(28,7202822,2.00,1.00,3.00,3.00,3.00,4.88,1.00,2.00,3.00,655,NULL,653,'MATO ALTO','ARARANGUÁ','SC',19539,129,NULL,209,NULL,NULL,NULL,2,15),(28,7202849,1.00,3.00,2.00,5.00,3.00,7.88,2.00,5.00,1.00,103,NULL,NULL,'BELA VISTA','PALHOÇA','SC',14749,2340,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202857,3.00,5.00,2.00,7.00,6.00,8.25,4.00,4.00,3.00,202,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',14299,330,NULL,NULL,NULL,NULL,NULL,4,7),(28,7202865,7.00,7.00,6.00,5.00,6.00,6.75,5.00,7.00,8.00,103,NULL,NULL,'ATUBA','CURITIBA','PR',2110,912,NULL,NULL,NULL,NULL,NULL,4,1),(28,7202881,3.00,4.00,1.00,4.00,2.00,NULL,2.00,2.00,3.00,201,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202890,1.00,3.00,2.00,3.00,3.00,7.50,4.00,4.00,1.00,552,NULL,NULL,'CENTRO','CURITIBANOS','SC',15850,111,NULL,NULL,NULL,NULL,NULL,4,16),(28,7202903,1.00,6.00,3.00,6.00,6.00,9.00,6.00,3.00,6.00,316,NULL,NULL,'BAIRRO PETRÓPOLIS','PTO ALEGRE','RS',8744,80,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202911,4.00,6.00,1.00,7.00,8.00,8.25,2.00,6.00,3.00,5,NULL,NULL,'JARDIM JANAÍNA','BIGUAÇU','SC',5894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202920,2.00,5.00,2.00,7.00,7.00,8.63,0.00,3.00,4.00,999,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7202938,5.00,5.00,5.00,6.00,5.00,10.13,6.00,5.00,4.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4948,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202946,3.00,6.00,4.00,4.00,9.00,10.13,8.00,6.00,4.00,103,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',3765,1280,NULL,NULL,NULL,NULL,NULL,4,9),(28,7202954,4.00,4.00,1.00,5.00,6.00,6.75,3.00,4.00,2.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13949,87,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202962,1.00,4.00,0.00,6.00,3.00,6.38,2.00,4.00,3.00,302,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',15711,113,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202970,1.00,3.00,2.00,3.00,5.00,5.63,2.00,2.00,4.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7202989,3.00,7.00,3.00,5.00,7.00,9.75,3.00,4.00,6.00,201,NULL,215,'SAO JOSÉ','TRAMANDAÍ','RS',5805,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7202997,5.00,7.00,4.00,7.00,7.00,10.13,5.00,6.00,5.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',2132,18,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'XV DE NOVEMBRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7203012,4.00,8.00,1.00,6.00,7.00,8.25,4.00,8.00,6.00,233,NULL,653,'SÃO VICENTE','ITAJAÍ','SC',4060,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7203020,3.00,4.00,0.00,4.00,5.00,7.13,3.00,3.00,1.00,654,NULL,NULL,'SANGA DA AREIA','ARARANGUÁ','SC',14888,46,NULL,NULL,NULL,NULL,NULL,4,15),(28,7203039,1.00,2.00,2.00,2.00,3.00,3.00,1.00,4.00,2.00,999,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7203047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7203055,2.00,4.00,3.00,7.00,3.00,10.88,3.00,5.00,2.00,454,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',9912,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7203063,2.00,6.00,3.00,6.00,6.00,6.75,5.00,3.00,2.00,2,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',15596,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203071,1.00,4.00,2.00,6.00,4.00,6.38,2.00,4.00,1.00,552,NULL,NULL,'CAMPO DA ÁGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7203080,0.00,6.00,3.00,7.00,4.00,7.13,2.00,4.00,2.00,207,NULL,NULL,'BUDAG','RIO SUL','SC',14387,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7203098,2.00,5.00,2.00,3.00,6.00,9.75,0.00,4.00,3.00,319,NULL,NULL,'CENTRO','ANITÁPOLIS','SC',12123,219,NULL,NULL,NULL,NULL,NULL,4,1),(28,7203101,0.00,8.00,3.00,7.00,6.00,NULL,2.00,6.00,2.00,426,NULL,429,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203110,3.00,6.00,2.00,6.00,6.00,9.00,4.00,6.00,3.00,207,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',12316,556,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203136,1.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(28,7203144,2.00,5.00,1.00,4.00,4.00,8.25,2.00,4.00,1.00,415,NULL,NULL,'PENHA','LAGES','SC',16208,241,NULL,NULL,NULL,NULL,NULL,2,9),(28,7203152,0.00,4.00,4.00,0.00,5.00,7.50,2.00,5.00,1.00,234,NULL,NULL,'PRAINHAJOSÉ MENDES','FLORIANÓPOLIS','SC',19359,63,NULL,NULL,NULL,NULL,NULL,4,1),(28,7203160,2.00,5.00,2.00,7.00,7.00,9.00,2.00,6.00,3.00,454,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',13816,277,NULL,NULL,NULL,NULL,NULL,1,7),(28,7203179,1.00,1.00,1.00,6.00,4.00,4.88,1.00,2.00,2.00,207,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,7),(28,7203195,3.00,7.00,4.00,7.00,7.00,9.75,2.00,7.00,2.00,451,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',7089,13,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203209,3.00,6.00,3.00,4.00,7.00,7.50,1.00,7.00,3.00,103,NULL,NULL,'CENTRO','BOMBINHAS','SC',12389,2223,NULL,NULL,NULL,NULL,NULL,4,6),(28,7203217,1.00,4.00,4.00,6.00,8.00,4.88,2.00,4.00,3.00,303,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',12136,463,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203225,3.00,6.00,3.00,6.00,8.00,11.25,3.00,4.00,2.00,340,NULL,NULL,'VERA CRUZ','CRICIÚMA','SC',7102,193,NULL,NULL,NULL,NULL,NULL,4,5),(28,7203233,2.00,4.00,2.00,1.00,6.00,4.88,3.00,2.00,3.00,308,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',17905,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7203241,1.00,7.00,3.00,7.00,10.00,7.13,1.00,4.00,4.00,9,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',5958,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203250,0.00,3.00,0.00,5.00,1.00,NULL,1.00,4.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203268,3.00,5.00,1.00,5.00,3.00,7.13,2.00,6.00,6.00,220,NULL,215,'BARREIROS','S JOSÉ','SC',16334,323,NULL,262,NULL,NULL,NULL,2,1),(28,7203276,0.00,2.00,1.00,1.00,4.00,NULL,2.00,3.00,2.00,324,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7203284,1.00,3.00,1.00,4.00,6.00,6.00,1.00,3.00,1.00,103,NULL,NULL,'JARDIM SILVANA','IÇARA','SC',17099,2438,NULL,NULL,NULL,NULL,NULL,2,5),(28,7203292,0.00,5.00,1.00,1.00,4.00,7.13,1.00,4.00,1.00,303,NULL,NULL,'JARDIM SANTIAGO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7203306,1.00,5.00,3.00,6.00,5.00,8.25,3.00,5.00,3.00,601,NULL,212,'JARDIM PAULISTA','REGISTRO','SP',9519,253,NULL,NULL,NULL,NULL,NULL,4,2),(28,7203314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7203357,4.00,6.00,2.00,6.00,8.00,7.88,2.00,6.00,3.00,201,NULL,212,'VENDAVAL','BIGUAÇU','SC',7249,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203365,0.00,2.00,2.00,2.00,3.00,NULL,1.00,4.00,2.00,999,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7203381,2.00,3.00,1.00,4.00,5.00,7.13,3.00,4.00,3.00,214,NULL,201,'CENTRO','CRICIÚMA','SC',18751,356,NULL,NULL,NULL,NULL,NULL,4,5),(28,7203390,0.00,4.00,3.00,4.00,2.00,NULL,1.00,2.00,2.00,327,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203403,1.00,5.00,4.00,7.00,8.00,9.00,3.00,6.00,1.00,207,NULL,NULL,'CENTRO','CONCÓRDIA','SC',10816,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7203411,1.00,4.00,1.00,0.00,1.00,NULL,1.00,2.00,0.00,404,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203420,1.00,4.00,2.00,5.00,3.00,8.25,2.00,2.00,1.00,303,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203438,2.00,4.00,1.00,0.00,3.00,4.50,2.00,6.00,2.00,202,NULL,653,'CENTRO','FLORIANÓPOLIS','SC',18027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7203446,2.00,6.00,1.00,4.00,5.00,9.00,0.00,4.00,2.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',18512,143,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203454,0.00,2.00,3.00,2.00,2.00,NULL,1.00,2.00,0.00,340,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7203470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7203489,3.00,5.00,2.00,5.00,3.00,6.00,2.00,7.00,1.00,333,NULL,NULL,'VALPARAISO','BLUMENAU','SC',17842,111,NULL,NULL,NULL,NULL,NULL,4,2),(28,7203497,4.00,6.00,4.00,5.00,9.00,8.25,3.00,4.00,4.00,211,NULL,215,'SERRARIA','S JOSÉ','SC',7609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203500,4.00,7.00,2.00,6.00,6.00,7.13,2.00,5.00,2.00,454,NULL,NULL,'VILLAGE','IMBITUBA','SC',8984,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7203519,4.00,7.00,4.00,7.00,9.00,10.13,4.00,7.00,8.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',729,443,NULL,NULL,NULL,NULL,NULL,4,4),(28,7203527,2.00,4.00,3.00,6.00,7.00,9.38,5.00,5.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12271,133,NULL,NULL,NULL,NULL,NULL,4,1),(28,7203543,1.00,3.00,3.00,3.00,3.00,4.88,1.00,3.00,2.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19978,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203551,1.00,6.00,2.00,6.00,8.00,6.75,1.00,3.00,1.00,104,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203560,0.00,8.00,0.00,5.00,5.00,9.00,3.00,4.00,3.00,328,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',10995,8,NULL,NULL,NULL,NULL,NULL,2,8),(28,7203578,0.00,4.00,0.00,4.00,1.00,NULL,1.00,2.00,2.00,339,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203586,0.00,4.00,3.00,4.00,2.00,NULL,3.00,3.00,2.00,103,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7203594,0.00,5.00,2.00,5.00,5.00,NULL,0.00,6.00,4.00,302,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203608,1.00,5.00,2.00,4.00,5.00,7.13,4.00,3.00,2.00,201,NULL,207,'INTERIOR','FORMOSA SUL','SC',12939,829,NULL,585,NULL,NULL,NULL,4,4),(28,7203616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JARDIM ANTARTICA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7203624,3.00,6.00,1.00,5.00,4.00,7.50,3.00,7.00,2.00,427,NULL,421,'CAMPECHE','FLORIANÓPOLIS','SC',16434,12,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203632,1.00,6.00,2.00,5.00,3.00,8.25,3.00,6.00,3.00,225,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',16921,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7203640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VINTE CINCO DE JULHO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,23),(28,7203659,2.00,5.00,3.00,3.00,3.00,6.75,2.00,4.00,1.00,999,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7203667,2.00,4.00,2.00,6.00,5.00,9.00,2.00,3.00,2.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',14547,352,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203675,5.00,8.00,2.00,6.00,8.00,7.50,5.00,5.00,3.00,301,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',9455,112,NULL,NULL,NULL,NULL,NULL,4,1),(28,7203683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7203691,0.00,4.00,2.00,4.00,2.00,NULL,1.00,0.00,1.00,319,NULL,NULL,'CACH DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203705,5.00,6.00,0.00,3.00,8.00,7.13,3.00,6.00,4.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13919,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7203713,1.00,7.00,3.00,4.00,4.00,7.88,2.00,3.00,3.00,216,NULL,NULL,'CENTRO','PIACATU','SP',16633,427,NULL,NULL,NULL,NULL,NULL,4,8),(28,7203721,3.00,6.00,1.00,6.00,4.00,8.63,1.00,5.00,2.00,319,NULL,NULL,'AREIAS','S JOSÉ','SC',12560,232,NULL,NULL,NULL,NULL,NULL,4,1),(28,7203730,0.00,4.00,3.00,4.00,9.00,7.50,2.00,1.00,4.00,3,NULL,NULL,'AREIAS','S JOSÉ','SC',16920,82,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203748,4.00,7.00,2.00,6.00,7.00,12.38,2.00,3.00,6.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',9063,2002,NULL,NULL,NULL,NULL,NULL,4,8),(28,7203756,2.00,4.00,2.00,3.00,6.00,7.13,2.00,4.00,4.00,108,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',17195,232,NULL,NULL,NULL,NULL,NULL,4,1),(28,7203764,1.00,0.00,4.00,1.00,6.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,6),(28,7203772,1.00,4.00,1.00,3.00,4.00,7.88,2.00,4.00,1.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7203780,1.00,4.00,3.00,7.00,6.00,9.38,1.00,3.00,2.00,103,NULL,NULL,'POUSO ALTO','GRAVATAL','SC',12693,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7203799,0.00,2.00,0.00,5.00,6.00,NULL,2.00,2.00,0.00,324,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203802,0.00,4.00,2.00,5.00,3.00,NULL,2.00,2.00,2.00,303,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PRAIA REDONDA','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7203829,0.00,3.00,2.00,4.00,4.00,NULL,0.00,3.00,2.00,440,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7203837,5.00,7.00,3.00,7.00,8.00,7.88,3.00,5.00,5.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',3683,173,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203845,0.00,4.00,3.00,3.00,5.00,6.00,1.00,2.00,3.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7203853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ALTO SÃO BENTO','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7203870,2.00,2.00,2.00,1.00,1.00,NULL,1.00,5.00,1.00,427,NULL,423,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203896,0.00,2.00,1.00,1.00,2.00,NULL,1.00,3.00,1.00,501,NULL,NULL,'INTERIOR','FORMOSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7203900,3.00,6.00,2.00,4.00,6.00,7.88,1.00,5.00,4.00,201,NULL,NULL,'VALPARAISO','BLUMENAU','SC',11432,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7203918,2.00,4.00,2.00,1.00,7.00,6.75,2.00,1.00,4.00,336,NULL,NULL,'PARQUE ASSUNÇÃO','TABOÃO SERRA','SP',15923,81,NULL,NULL,NULL,NULL,NULL,4,1),(28,7203926,1.00,3.00,0.00,6.00,5.00,6.75,1.00,3.00,1.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203934,0.00,4.00,1.00,0.00,5.00,6.75,2.00,2.00,3.00,454,NULL,NULL,'VILA DOZE','ANTÔNIO CARLOS','SC',19910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7203969,0.00,3.00,3.00,4.00,2.00,NULL,0.00,5.00,1.00,102,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7203977,3.00,6.00,5.00,7.00,4.00,9.75,3.00,4.00,5.00,450,NULL,NULL,'VILA FLORIANO','PEREIRA BARRETO','SP',5751,44,NULL,NULL,NULL,NULL,NULL,4,3),(28,7203993,1.00,3.00,3.00,5.00,4.00,6.00,1.00,2.00,0.00,415,NULL,NULL,'LIBRA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7204000,3.00,3.00,1.00,3.00,2.00,NULL,2.00,3.00,3.00,220,NULL,655,'SÃO RAFAEL','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7204019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,NULL,'CENTRO','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7204043,5.00,9.00,1.00,7.00,7.00,7.88,3.00,6.00,2.00,304,NULL,NULL,'JARDIM PATENTE','S PAULO','SP',4638,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204051,4.00,6.00,3.00,5.00,3.00,8.63,2.00,5.00,2.00,310,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15587,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204060,0.00,2.00,4.00,3.00,4.00,NULL,0.00,5.00,0.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204086,2.00,4.00,1.00,6.00,6.00,8.63,2.00,7.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11402,2160,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204094,3.00,6.00,1.00,2.00,9.00,NULL,0.00,5.00,3.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'MARIA IZABEL','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7204116,2.00,4.00,2.00,2.00,4.00,6.38,3.00,1.00,3.00,101,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7204132,3.00,8.00,2.00,6.00,6.00,9.38,4.00,6.00,6.00,203,NULL,202,'SICILIANO','S PAULO','SP',3673,268,NULL,106,NULL,NULL,NULL,2,1),(28,7204140,4.00,7.00,1.00,6.00,4.00,NULL,3.00,4.00,5.00,999,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(28,7204159,0.00,2.00,1.00,0.00,4.00,NULL,0.00,2.00,1.00,302,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204167,0.00,3.00,4.00,2.00,2.00,NULL,2.00,3.00,0.00,104,NULL,NULL,'PARQUE ASSUNÇÃO','TABOÃO SERRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204183,3.00,5.00,1.00,5.00,8.00,9.00,4.00,5.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9441,2029,NULL,NULL,NULL,NULL,NULL,2,1),(28,7204191,2.00,6.00,4.00,6.00,9.00,9.75,2.00,6.00,4.00,340,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',8418,225,NULL,NULL,NULL,NULL,NULL,2,1),(28,7204205,2.00,6.00,4.00,6.00,8.00,9.75,0.00,8.00,5.00,108,NULL,NULL,'AREIAS DE CIMA','GOV CELSO RAMOS','SC',4070,40,NULL,NULL,NULL,NULL,NULL,2,1),(28,7204221,1.00,6.00,2.00,6.00,7.00,7.88,2.00,3.00,2.00,303,NULL,NULL,'ROCIO PEQUENO','S FRANCISCO SUL','SC',11938,459,NULL,NULL,NULL,NULL,NULL,2,8),(28,7204256,0.00,3.00,1.00,4.00,2.00,NULL,1.00,1.00,2.00,101,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7204264,0.00,6.00,2.00,5.00,7.00,NULL,3.00,5.00,4.00,202,NULL,235,'N S DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7204272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7204302,3.00,7.00,1.00,5.00,6.00,7.13,2.00,3.00,3.00,454,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',12283,243,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204329,3.00,8.00,2.00,6.00,8.00,7.50,5.00,4.00,3.00,108,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5822,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7204337,3.00,7.00,1.00,7.00,3.00,9.38,4.00,5.00,5.00,216,NULL,653,'CENTRO','ITAPIRANGA','SC',12592,359,NULL,NULL,NULL,NULL,NULL,2,27),(28,7204345,5.00,5.00,3.00,5.00,9.00,9.00,2.00,4.00,2.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7204353,3.00,3.00,2.00,4.00,4.00,7.13,1.00,5.00,2.00,319,NULL,NULL,'ANITÁPOLIS','ANITÁPOLIS','SC',19251,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7204361,0.00,4.00,1.00,4.00,7.00,5.63,0.00,2.00,4.00,205,NULL,NULL,'CENTRO','PALHOÇA','SC',16327,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204370,0.00,0.00,1.00,5.00,2.00,NULL,2.00,2.00,1.00,316,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7204388,0.00,2.00,1.00,5.00,6.00,7.88,3.00,2.00,1.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',19699,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7204396,0.00,3.00,1.00,3.00,4.00,4.50,1.00,2.00,1.00,303,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7204400,3.00,6.00,2.00,7.00,8.00,7.50,3.00,5.00,3.00,454,NULL,NULL,'SAGRADO CORAÇÃO','LAGES','SC',8342,153,NULL,NULL,NULL,NULL,NULL,4,9),(28,7204426,7.00,7.00,3.00,6.00,7.00,8.63,6.00,7.00,6.00,220,NULL,216,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',1676,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204442,0.00,6.00,3.00,3.00,8.00,9.38,1.00,5.00,4.00,207,NULL,216,'SÃO JOSÉ','MARAVILHA','SC',12084,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7204450,4.00,6.00,5.00,2.00,5.00,9.00,5.00,5.00,7.00,214,NULL,213,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',3972,140,NULL,54,NULL,NULL,NULL,4,1),(28,7204469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7204477,1.00,2.00,2.00,3.00,4.00,5.25,2.00,2.00,1.00,652,NULL,203,'MATO ALTO','ARARANGUÁ','SC',18403,92,NULL,693,NULL,NULL,NULL,2,15),(28,7204485,4.00,7.00,3.00,3.00,6.00,6.75,5.00,4.00,5.00,212,NULL,213,'CARIANOS','FLORIANÓPOLIS','SC',9535,280,NULL,168,NULL,NULL,NULL,4,1),(28,7204493,4.00,7.00,3.00,5.00,4.00,8.25,2.00,3.00,4.00,309,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10914,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204507,2.00,5.00,0.00,1.00,3.00,NULL,0.00,2.00,3.00,303,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204515,3.00,7.00,2.00,7.00,9.00,9.00,4.00,6.00,4.00,328,NULL,NULL,'SALGADO FILHO','ARACAJU','SE',4388,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204523,3.00,7.00,3.00,5.00,9.00,8.25,2.00,7.00,3.00,208,NULL,NULL,'SERRARIA','S JOSÉ','SC',4898,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204540,3.00,5.00,1.00,5.00,6.00,9.38,4.00,5.00,3.00,319,NULL,NULL,'NOSSA SRA APARECIDA','CURITIBANOS','SC',10153,186,NULL,NULL,NULL,NULL,NULL,4,16),(28,7204558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'JARDIM VEREDAS','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7204566,5.00,7.00,3.00,8.00,8.00,9.38,4.00,7.00,3.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',2760,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7204574,5.00,4.00,2.00,6.00,6.00,8.25,0.00,3.00,3.00,340,NULL,NULL,'AVAÍ','GUARAMIRIM','SC',10871,300,NULL,NULL,NULL,NULL,NULL,2,23),(28,7204582,4.00,7.00,4.00,6.00,8.00,8.63,4.00,4.00,5.00,336,NULL,NULL,'CENTRO','CURITIBA','PR',4759,18,NULL,NULL,NULL,NULL,NULL,4,8),(28,7204612,0.00,5.00,1.00,6.00,6.00,9.38,2.00,2.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17270,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7204620,3.00,4.00,2.00,6.00,8.00,8.63,1.00,5.00,3.00,429,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VILA BRUGUESE','PINDAMONHANGABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7204647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'JARDIM SILVANA','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7204655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7204663,0.00,6.00,2.00,4.00,6.00,8.25,1.00,5.00,3.00,5,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',17490,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7204671,3.00,6.00,4.00,3.00,6.00,6.38,0.00,3.00,2.00,203,NULL,202,'VILA CARRÃO','S PAULO','SP',18301,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204680,0.00,3.00,2.00,1.00,3.00,NULL,3.00,5.00,1.00,552,NULL,NULL,'CENTRO','IMARUÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7204710,1.00,6.00,2.00,5.00,4.00,7.50,1.00,3.00,3.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18195,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204728,1.00,3.00,3.00,2.00,4.00,5.63,1.00,2.00,1.00,216,NULL,NULL,'VILA BEATRIZ','MARACAJÁ','SC',20107,457,NULL,NULL,NULL,NULL,NULL,2,15),(28,7204736,5.00,7.00,3.00,6.00,7.00,9.75,5.00,6.00,5.00,103,NULL,NULL,'CENTRO','UMUARAMA','PR',5216,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7204744,1.00,4.00,1.00,1.00,6.00,9.38,2.00,2.00,3.00,324,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(28,7204752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PQ RES VILA UNIÃO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7204760,4.00,6.00,1.00,6.00,6.00,8.63,2.00,5.00,3.00,601,NULL,202,'CENTRO','ITAJAÍ','SC',14421,432,NULL,NULL,NULL,NULL,NULL,4,6),(28,7204779,5.00,5.00,0.00,4.00,6.00,8.25,3.00,6.00,1.00,454,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',10609,203,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204787,4.00,4.00,2.00,4.00,5.00,8.25,1.00,4.00,1.00,223,NULL,NULL,'FUNDOS','BIGUAÇU','SC',15034,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204795,0.00,0.00,3.00,4.00,4.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(28,7204809,0.00,3.00,2.00,6.00,7.00,9.00,2.00,2.00,1.00,103,NULL,NULL,'CENTRO','SAPUCAIA SUL','RS',13879,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA PROGREDIOR','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7204825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,238,'ENSEADA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7204833,0.00,5.00,2.00,6.00,2.00,NULL,3.00,4.00,3.00,208,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204841,3.00,6.00,0.00,6.00,7.00,6.00,3.00,5.00,2.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7204850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7204868,0.00,3.00,0.00,0.00,0.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'VILA NOVA','LAGES','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,9),(28,7204876,4.00,8.00,2.00,7.00,7.00,7.13,4.00,5.00,3.00,337,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',6992,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7204892,2.00,1.00,5.00,4.00,4.00,5.63,1.00,4.00,3.00,318,NULL,NULL,'SATELITE IRES TRES','CAMPINAS','SP',17811,130,NULL,NULL,NULL,NULL,NULL,2,1),(28,7204906,3.00,3.00,1.00,6.00,5.00,4.50,3.00,3.00,4.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7204914,3.00,4.00,5.00,4.00,6.00,6.75,1.00,6.00,2.00,333,NULL,NULL,'BARREIROS','S JOSÉ','SC',13696,81,NULL,NULL,NULL,NULL,NULL,2,1),(28,7204922,1.00,3.00,4.00,3.00,4.00,6.38,2.00,3.00,3.00,552,NULL,NULL,'MORADA DO SOL','NOVA ERECHIM','SC',16321,120,NULL,NULL,NULL,NULL,NULL,4,4),(28,7204930,0.00,2.00,2.00,2.00,4.00,5.25,0.00,3.00,1.00,551,NULL,NULL,'CENTRO','S CRISTÓVÃO SUL','SC',20161,75,NULL,NULL,NULL,NULL,NULL,4,16),(28,7204957,2.00,5.00,3.00,6.00,8.00,4.50,1.00,5.00,3.00,339,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',13596,13,NULL,NULL,NULL,NULL,NULL,2,1),(28,7204965,4.00,7.00,3.00,5.00,9.00,9.00,4.00,5.00,0.00,207,NULL,211,'CENTRO','LUÍS E MAGALHÃES','BA',12128,550,NULL,319,NULL,NULL,NULL,2,1),(28,7204973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7204981,8.00,8.00,0.00,7.00,3.00,NULL,6.00,7.00,3.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7204990,1.00,4.00,1.00,7.00,6.00,6.38,0.00,4.00,4.00,207,NULL,201,'SACO GRANDE','FLORIANÓPOLIS','SC',14884,658,NULL,906,NULL,NULL,NULL,2,1),(28,7205007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOOCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7205015,3.00,6.00,2.00,7.00,9.00,11.25,2.00,5.00,2.00,102,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',5640,33,NULL,NULL,NULL,NULL,NULL,3,4),(28,7205023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7205031,3.00,4.00,1.00,5.00,5.00,7.50,4.00,4.00,3.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12924,182,NULL,NULL,NULL,NULL,NULL,4,1),(28,7205040,1.00,5.00,1.00,2.00,5.00,7.13,2.00,4.00,3.00,601,NULL,NULL,'NOVA BRASÍLIA','JOINVILLE','SC',19052,538,NULL,NULL,NULL,NULL,NULL,4,8),(28,7205058,1.00,4.00,1.00,4.00,7.00,6.38,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','CORBÉLIA','PR',17934,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7205066,3.00,7.00,1.00,7.00,4.00,8.63,2.00,7.00,3.00,203,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',13823,620,NULL,858,NULL,NULL,NULL,4,1),(28,7205074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,27),(28,7205082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTAL DAS COLINAS','GUARATINGUETÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7205090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7205104,3.00,6.00,2.00,4.00,7.00,7.88,5.00,4.00,4.00,101,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',10116,42,NULL,NULL,NULL,NULL,NULL,2,1),(28,7205112,1.00,6.00,1.00,4.00,5.00,5.25,2.00,4.00,3.00,501,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',18676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7205120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,440,NULL,NULL,'SAUDADE','JANAÚBA','MG',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7205147,0.00,2.00,1.00,3.00,0.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7205155,4.00,5.00,2.00,3.00,4.00,4.88,3.00,5.00,3.00,304,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',13355,99,NULL,NULL,NULL,NULL,NULL,4,1),(28,7205163,1.00,4.00,3.00,4.00,5.00,6.00,0.00,6.00,1.00,238,NULL,NULL,'BARREIROS','S JOSÉ','SC',19101,330,NULL,NULL,NULL,NULL,NULL,2,1),(28,7205171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'VIEIRA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7205180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7205198,2.00,6.00,4.00,4.00,6.00,7.13,2.00,4.00,1.00,103,NULL,NULL,'BARBACENA','LAGUNA','SC',13827,2291,NULL,NULL,NULL,NULL,NULL,4,10),(28,7205201,2.00,5.00,1.00,7.00,5.00,7.88,3.00,6.00,4.00,211,NULL,233,'CANASVIEIRAS','FLORIANÓPOLIS','SC',9371,253,NULL,224,NULL,NULL,NULL,4,1),(28,7205210,1.00,4.00,2.00,5.00,7.00,7.88,2.00,5.00,3.00,234,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13523,35,NULL,NULL,NULL,NULL,NULL,2,1),(28,7205228,4.00,4.00,2.00,1.00,8.00,7.50,1.00,1.00,3.00,501,NULL,NULL,'GARGHETTI','SEARA','SC',14169,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7205236,0.00,6.00,2.00,4.00,3.00,5.25,1.00,6.00,3.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19297,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7205244,4.00,7.00,2.00,6.00,8.00,7.13,4.00,7.00,3.00,215,NULL,216,'CENTRO','CHAPECÓ','SC',4699,33,NULL,NULL,NULL,NULL,NULL,4,4),(28,7205252,3.00,7.00,2.00,4.00,10.00,10.13,5.00,6.00,5.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',3681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7205260,5.00,0.00,1.00,6.00,8.00,NULL,0.00,0.00,0.00,201,NULL,216,'JARDIM DA SERRA','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,7),(28,7205279,2.00,3.00,2.00,4.00,3.00,0.00,1.00,3.00,0.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7205295,0.00,2.00,3.00,0.00,3.00,3.00,1.00,3.00,2.00,201,NULL,212,'SANTOS SARAIVA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7205317,1.00,2.00,1.00,3.00,6.00,9.38,0.00,3.00,0.00,103,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7205325,2.00,5.00,4.00,4.00,7.00,6.75,3.00,6.00,3.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',15543,202,NULL,NULL,NULL,NULL,NULL,2,1),(28,7205341,2.00,7.00,1.00,7.00,6.00,6.75,1.00,8.00,5.00,425,NULL,423,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',12403,37,NULL,9,NULL,NULL,NULL,4,1),(28,7205350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BOEHMERWALDT','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7205368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'LISBOA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7205376,2.00,4.00,1.00,3.00,5.00,6.75,5.00,1.00,2.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',19269,77,NULL,NULL,NULL,NULL,NULL,4,15),(28,7205384,4.00,6.00,2.00,4.00,7.00,7.88,2.00,4.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11101,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7205392,2.00,4.00,4.00,6.00,6.00,7.50,1.00,4.00,1.00,207,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',12516,566,NULL,802,NULL,NULL,NULL,2,1),(28,7205406,3.00,8.00,2.00,3.00,7.00,8.25,4.00,4.00,5.00,103,NULL,NULL,'JARDIN SINUELO','ASTORGA','PR',7122,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7205414,1.00,6.00,3.00,7.00,3.00,9.00,4.00,4.00,4.00,238,NULL,235,'UBERABA','CURITIBA','PR',8795,125,NULL,142,NULL,NULL,NULL,4,1),(28,7205422,2.00,6.00,1.00,4.00,6.00,6.75,2.00,4.00,3.00,653,NULL,655,'PARQUE DAS AVENIDAS','SOMBRIO','SC',18017,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7205430,4.00,6.00,4.00,5.00,4.00,8.25,4.00,1.00,5.00,214,NULL,213,'JARDIM ARMENIA','MOGI CRUZES','SP',8507,237,NULL,150,NULL,NULL,NULL,4,1),(28,7205449,0.00,1.00,0.00,1.00,2.00,NULL,1.00,3.00,1.00,316,NULL,NULL,'AMBROSIO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7205457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'WUNDERWALD','POMERODE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7205465,3.00,7.00,2.00,5.00,8.00,11.63,2.00,5.00,3.00,552,NULL,NULL,'ÁGUA SANTA','CURITIBANOS','SC',6994,10,NULL,NULL,NULL,NULL,NULL,2,16),(28,7205481,2.00,4.00,3.00,2.00,5.00,5.25,5.00,5.00,4.00,203,NULL,202,'SANTO ANJO','STO AMARO IMPERATRIZ','SC',13877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7205490,4.00,7.00,3.00,6.00,7.00,11.25,2.00,5.00,4.00,428,NULL,421,'AGRONÔMICA','FLORIANÓPOLIS','SC',5547,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7205503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','MARMELEIRO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7205520,4.00,4.00,3.00,5.00,6.00,4.88,3.00,3.00,3.00,211,NULL,233,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7205546,3.00,6.00,1.00,6.00,8.00,7.50,0.00,5.00,3.00,309,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',15014,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7205554,1.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,1.00,654,NULL,NULL,'QUARTA LINHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7205562,4.00,6.00,4.00,5.00,6.00,7.13,2.00,4.00,2.00,234,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10308,11,NULL,NULL,NULL,NULL,NULL,2,1),(28,7205570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PALMITAL','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7205589,4.00,8.00,1.00,5.00,6.00,6.38,0.00,5.00,2.00,201,NULL,202,'NAÇÕES','BAL CAMBORIÚ','SC',12118,776,NULL,302,NULL,NULL,NULL,4,3),(28,7205597,1.00,3.00,3.00,7.00,7.00,8.25,2.00,5.00,1.00,301,NULL,NULL,'BOA VISTA','ITUPORANGA','SC',11367,150,NULL,NULL,NULL,NULL,NULL,2,24),(28,7205600,1.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(28,7205619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TAQUARA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7205627,1.00,3.00,1.00,4.00,3.00,9.00,0.00,3.00,4.00,102,NULL,NULL,'GUAMIRANGA','GUARAMIRIM','SC',16407,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7205635,4.00,8.00,1.00,6.00,7.00,8.25,3.00,5.00,4.00,207,NULL,211,'CENTRO','GUARACIABA','SC',6243,288,NULL,NULL,NULL,NULL,NULL,4,27),(28,7205660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7205678,2.00,5.00,2.00,7.00,6.00,7.88,2.00,2.00,4.00,215,NULL,216,'VILA MONUMENTO','S PAULO','SP',10757,184,NULL,331,NULL,NULL,NULL,4,1),(28,7205686,1.00,3.00,2.00,3.00,6.00,9.38,3.00,3.00,2.00,415,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',18532,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7205694,0.00,3.00,0.00,3.00,2.00,NULL,1.00,2.00,0.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7205708,3.00,5.00,3.00,5.00,4.00,7.50,3.00,2.00,3.00,103,NULL,NULL,'FLAMBOYANT','CAMPINAS','SP',17553,2458,NULL,NULL,NULL,NULL,NULL,4,1),(28,7205716,3.00,3.00,0.00,7.00,6.00,8.63,2.00,4.00,2.00,5,NULL,NULL,'ESQUINA','URUBICI','SC',11383,328,NULL,NULL,NULL,NULL,NULL,2,9),(28,7205724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'FORMOSA','ALVORADA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7205732,5.00,5.00,2.00,6.00,9.00,10.13,4.00,7.00,6.00,103,NULL,NULL,'VARZEA','LAGES','SC',2689,1061,NULL,NULL,NULL,NULL,NULL,2,9),(28,7205759,1.00,7.00,2.00,7.00,5.00,7.50,1.00,4.00,5.00,415,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',10806,173,NULL,NULL,NULL,NULL,NULL,2,1),(28,7205767,1.00,2.00,1.00,3.00,4.00,NULL,0.00,4.00,2.00,104,NULL,NULL,'INTERIOR','VARGEM BONITA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7205775,0.00,5.00,2.00,6.00,3.00,5.63,2.00,6.00,3.00,502,NULL,NULL,'MAGALHÃES','LAGUNA','SC',13147,21,NULL,NULL,NULL,NULL,NULL,2,10),(28,7205783,0.00,4.00,1.00,5.00,4.00,NULL,2.00,3.00,1.00,216,NULL,601,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7205791,5.00,7.00,2.00,7.00,8.00,8.63,3.00,6.00,4.00,103,NULL,NULL,'CORAL','LAGES','SC',8415,1939,NULL,NULL,NULL,NULL,NULL,2,9),(28,7205805,2.00,2.00,2.00,2.00,4.00,8.25,3.00,3.00,4.00,103,NULL,NULL,'BELA VISTA','PTO ALEGRE','RS',19403,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7205813,0.00,3.00,1.00,5.00,3.00,NULL,2.00,5.00,2.00,103,NULL,NULL,'PROFIPO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(28,7205821,1.00,4.00,2.00,5.00,4.00,9.00,2.00,3.00,3.00,216,NULL,653,'VILA TIGRE','XAXIM','SC',12747,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7205830,1.00,3.00,0.00,3.00,2.00,NULL,2.00,1.00,1.00,301,NULL,NULL,'CAIEIRA DO NORTE','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7205848,5.00,6.00,2.00,6.00,7.00,7.88,4.00,7.00,5.00,329,NULL,NULL,'GARCIA','BLUMENAU','SC',8149,4,NULL,NULL,NULL,NULL,NULL,4,2),(28,7205856,2.00,4.00,3.00,5.00,3.00,5.63,2.00,1.00,3.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',19500,603,NULL,NULL,NULL,NULL,NULL,4,1),(28,7205864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,233,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7205880,2.00,6.00,2.00,4.00,7.00,6.38,4.00,2.00,4.00,215,NULL,216,'SÃO CRISTÓVÃO','CHAPECÓ','SC',10522,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7205929,4.00,9.00,2.00,6.00,11.00,10.50,6.00,5.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1244,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7205953,1.00,3.00,3.00,4.00,7.00,7.88,2.00,3.00,3.00,404,NULL,NULL,'COMBATÁ','STO AMARO IMPERATRIZ','SC',12865,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7205961,4.00,7.00,4.00,7.00,7.00,7.88,4.00,5.00,2.00,5,NULL,NULL,'CENTRO','PALHOÇA','SC',9596,287,NULL,NULL,NULL,NULL,NULL,4,1),(28,7205970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'NENHUM','AT BELA VISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,26),(28,7205988,1.00,2.00,1.00,4.00,4.00,4.50,1.00,1.00,1.00,207,NULL,215,'SOROCABA DE FORA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'SÃO MIGUEL','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,26),(28,7206020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'VARZEA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7206038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDINELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7206054,2.00,4.00,1.00,5.00,6.00,7.88,4.00,1.00,1.00,109,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15306,60,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206062,2.00,6.00,3.00,2.00,6.00,6.00,1.00,3.00,2.00,302,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',18670,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7206097,2.00,7.00,3.00,6.00,6.00,9.75,5.00,5.00,7.00,340,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7206100,0.00,4.00,1.00,5.00,5.00,6.75,3.00,4.00,1.00,103,NULL,NULL,'SERTÃO VERDE','GASPAR','SC',16019,2402,NULL,NULL,NULL,NULL,NULL,2,2),(28,7206119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7206127,1.00,3.00,1.00,3.00,4.00,7.50,2.00,2.00,4.00,316,NULL,NULL,'VARGEM GRANDE AM','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7206135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'DOM BOSCO','LUIZ ALVES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7206143,2.00,5.00,2.00,5.00,7.00,7.88,4.00,4.00,3.00,318,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',12082,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206151,6.00,9.00,2.00,6.00,8.00,9.00,5.00,8.00,5.00,103,NULL,NULL,'SANTA TEREZINHA','GASPAR','SC',1428,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7206160,2.00,4.00,0.00,4.00,5.00,NULL,1.00,2.00,0.00,327,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7206178,1.00,3.00,1.00,5.00,4.00,NULL,0.00,4.00,1.00,415,NULL,NULL,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206186,5.00,8.00,3.00,5.00,9.00,9.75,6.00,7.00,5.00,5,NULL,NULL,'SANTA MARIA','LAGES','SC',1672,48,NULL,NULL,NULL,NULL,NULL,4,9),(28,7206194,1.00,6.00,2.00,2.00,5.00,7.88,3.00,5.00,1.00,101,NULL,NULL,'BELLO','CAÇADOR','SC',14459,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7206208,4.00,6.00,2.00,5.00,4.00,6.00,2.00,4.00,2.00,234,NULL,NULL,'CENTRO','PALHOÇA','SC',12955,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7206216,2.00,7.00,2.00,5.00,8.00,8.63,4.00,5.00,2.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',9586,10,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7206232,4.00,8.00,2.00,6.00,8.00,9.75,5.00,6.00,5.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',1799,837,NULL,NULL,NULL,NULL,NULL,4,4),(28,7206240,4.00,4.00,1.00,3.00,5.00,8.63,2.00,5.00,4.00,224,NULL,NULL,'LINHA JAGUATERICA','IPUMIRIM','SC',11250,11,NULL,NULL,NULL,NULL,NULL,2,4),(28,7206259,3.00,4.00,3.00,6.00,5.00,7.50,1.00,3.00,1.00,319,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',18254,352,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'TAQUARAL','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7206275,3.00,5.00,4.00,7.00,8.00,9.75,2.00,4.00,3.00,103,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',11632,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7206283,2.00,6.00,3.00,7.00,8.00,12.75,5.00,6.00,6.00,303,NULL,NULL,'CENTRO','BRUSQUE','SC',2736,124,NULL,NULL,NULL,NULL,NULL,4,22),(28,7206305,4.00,5.00,2.00,5.00,7.00,7.13,1.00,5.00,0.00,327,NULL,NULL,'CENTRO','CAMBORIÚ','SC',12064,33,NULL,NULL,NULL,NULL,NULL,2,3),(28,7206313,0.00,6.00,3.00,6.00,5.00,8.25,0.00,6.00,3.00,319,NULL,NULL,'CENTRO','CRICIÚMA','SC',16879,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7206321,3.00,4.00,2.00,6.00,5.00,6.75,4.00,3.00,3.00,5,NULL,NULL,'JD ATLÂNTICO','FLORIANÓPOLIS','SC',13076,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206330,4.00,5.00,2.00,8.00,7.00,7.50,3.00,7.00,3.00,999,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7206348,0.00,5.00,1.00,6.00,4.00,NULL,1.00,3.00,2.00,103,NULL,NULL,'SÃO JOSÉ','S DOMINGOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7206356,2.00,5.00,3.00,6.00,7.00,6.38,5.00,4.00,3.00,203,NULL,233,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',8504,493,NULL,211,NULL,NULL,NULL,4,1),(28,7206380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7206399,5.00,7.00,1.00,5.00,8.00,7.88,4.00,4.00,4.00,208,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6700,53,NULL,NULL,NULL,NULL,NULL,4,1),(28,7206402,2.00,4.00,1.00,6.00,4.00,8.25,3.00,4.00,3.00,316,NULL,NULL,'FUNDOS','BIGUAÇU','SC',13857,167,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206410,2.00,4.00,3.00,5.00,8.00,7.50,3.00,6.00,2.00,102,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',8948,70,NULL,NULL,NULL,NULL,NULL,4,6),(28,7206429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,22),(28,7206437,3.00,6.00,1.00,6.00,6.00,6.75,3.00,5.00,3.00,109,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10862,23,NULL,NULL,NULL,NULL,NULL,2,3),(28,7206445,1.00,7.00,4.00,6.00,6.00,3.00,2.00,6.00,2.00,2,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206453,2.00,8.00,3.00,5.00,9.00,12.00,4.00,6.00,6.00,214,NULL,601,'NASPOLINI','CRICIÚMA','SC',2322,81,NULL,25,NULL,NULL,NULL,4,5),(28,7206470,2.00,1.00,1.00,2.00,4.00,4.50,0.00,1.00,2.00,328,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',20173,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206496,1.00,6.00,1.00,7.00,9.00,9.00,4.00,5.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10077,133,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206500,3.00,5.00,3.00,6.00,9.00,12.00,1.00,5.00,3.00,340,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',6933,179,NULL,NULL,NULL,NULL,NULL,4,1),(28,7206518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7206534,1.00,2.00,1.00,3.00,6.00,4.88,2.00,4.00,2.00,208,NULL,NULL,'BARREIROS','S JOSÉ','SC',19732,219,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206542,6.00,7.00,3.00,7.00,7.00,8.25,7.00,7.00,6.00,201,NULL,212,'JARDIM CIRANDA','BEBEDOURO','SP',938,42,NULL,NULL,NULL,NULL,NULL,4,3),(28,7206550,3.00,6.00,3.00,4.00,8.00,7.88,4.00,6.00,5.00,319,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',7557,127,NULL,NULL,NULL,NULL,NULL,4,1),(28,7206569,1.00,4.00,2.00,6.00,4.00,3.00,1.00,4.00,1.00,309,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206577,0.00,4.00,2.00,3.00,4.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7206585,1.00,4.00,0.00,3.00,5.00,NULL,2.00,4.00,3.00,108,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7206593,0.00,2.00,1.00,3.00,5.00,NULL,2.00,3.00,2.00,340,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,202,'INTERIOR','ARABUTÃ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,26),(28,7206615,5.00,8.00,1.00,7.00,11.00,10.50,3.00,8.00,4.00,450,NULL,NULL,'SOBRADINHO','SOBRADINHO','DF',1559,5,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206623,2.00,5.00,1.00,1.00,4.00,4.50,1.00,4.00,2.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18718,159,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206631,0.00,4.00,0.00,6.00,6.00,NULL,4.00,7.00,1.00,103,NULL,NULL,'LIMOEIRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7206658,0.00,5.00,2.00,5.00,4.00,NULL,2.00,4.00,1.00,109,NULL,NULL,'SAGUACU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7206666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'SARANDI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7206674,2.00,8.00,0.00,5.00,7.00,6.75,3.00,6.00,4.00,203,NULL,220,'VILA REZENDE','PIRACICABA','SP',8320,487,NULL,217,NULL,NULL,NULL,4,1),(28,7206704,2.00,7.00,4.00,2.00,8.00,11.63,5.00,5.00,3.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',5295,1542,NULL,NULL,NULL,NULL,NULL,4,1),(28,7206720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,26),(28,7206739,1.00,0.00,3.00,7.00,5.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'MARECHAL RONDON','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7206747,0.00,6.00,2.00,5.00,4.00,7.88,3.00,5.00,2.00,207,NULL,212,'FORQUILHAS','S JOSÉ','SC',15062,667,NULL,375,NULL,NULL,NULL,2,1),(28,7206755,4.00,7.00,4.00,7.00,8.00,9.38,6.00,6.00,7.00,103,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',1551,761,NULL,NULL,NULL,NULL,NULL,4,22),(28,7206763,1.00,6.00,2.00,2.00,5.00,6.75,1.00,3.00,2.00,302,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',19295,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7206780,2.00,7.00,2.00,6.00,6.00,7.13,4.00,7.00,4.00,999,NULL,NULL,'ALVORADA','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7206798,1.00,5.00,2.00,3.00,5.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'RIO DO SALTO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7206810,5.00,6.00,6.00,6.00,4.00,7.13,5.00,7.00,4.00,214,NULL,212,'ABERNÉSSIA','CAMPOS JORDÃO','SP',3875,135,NULL,118,NULL,NULL,NULL,4,1),(28,7206828,1.00,5.00,3.00,5.00,5.00,7.88,1.00,2.00,2.00,329,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',18910,27,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206844,3.00,6.00,1.00,5.00,6.00,6.38,2.00,3.00,3.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17145,121,NULL,NULL,NULL,NULL,NULL,4,1),(28,7206852,2.00,8.00,1.00,4.00,8.00,7.50,4.00,7.00,3.00,225,NULL,NULL,'BARRA VERDE','HERVAL D OESTE','SC',7637,7,NULL,NULL,NULL,NULL,NULL,4,7),(28,7206860,2.00,7.00,4.00,7.00,9.00,5.63,6.00,7.00,3.00,103,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',3447,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206887,2.00,7.00,1.00,6.00,7.00,7.50,1.00,5.00,5.00,326,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',9518,28,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206895,1.00,5.00,2.00,1.00,9.00,5.63,3.00,4.00,2.00,301,NULL,NULL,'CENTRO','S JOSÉ','SC',13830,195,NULL,NULL,NULL,NULL,NULL,4,1),(28,7206909,5.00,8.00,4.00,6.00,9.00,9.75,4.00,6.00,2.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',4802,1464,NULL,NULL,NULL,NULL,NULL,4,1),(28,7206925,1.00,4.00,1.00,6.00,4.00,7.50,1.00,1.00,4.00,454,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206933,0.00,7.00,1.00,2.00,5.00,NULL,1.00,4.00,0.00,331,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7206968,2.00,4.00,1.00,6.00,6.00,5.63,0.00,3.00,4.00,203,NULL,214,'SUMARÉ','RIO SUL','SC',13486,612,NULL,NULL,NULL,NULL,NULL,4,24),(28,7206976,0.00,5.00,1.00,5.00,4.00,NULL,0.00,2.00,1.00,333,NULL,NULL,'JD SAO LUIZ','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7206984,3.00,4.00,2.00,5.00,5.00,5.25,3.00,6.00,2.00,216,NULL,201,'CENTRO','TURVO','SC',12664,360,NULL,811,NULL,NULL,NULL,2,15),(28,7206992,0.00,6.00,2.00,3.00,5.00,NULL,1.00,6.00,2.00,211,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207034,0.00,3.00,3.00,2.00,6.00,NULL,2.00,4.00,0.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207042,6.00,8.00,3.00,7.00,7.00,9.75,6.00,8.00,7.00,202,NULL,213,'ITAGUAÇU','FLORIANÓPOLIS','SC',743,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207050,2.00,5.00,0.00,3.00,8.00,5.63,2.00,5.00,5.00,319,NULL,NULL,'LOT LISBOA','S JOSÉ','SC',17523,339,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207069,0.00,0.00,2.00,2.00,1.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7207085,0.00,5.00,0.00,0.00,0.00,NULL,2.00,7.00,1.00,103,NULL,NULL,'VILA TIBÉRIO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(28,7207093,4.00,5.00,3.00,5.00,7.00,9.75,5.00,6.00,6.00,103,NULL,NULL,'ESPLANADA','BELO HORIZONTE','MG',7065,1769,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207107,1.00,0.00,3.00,5.00,3.00,NULL,2.00,4.00,2.00,340,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207115,7.00,5.00,1.00,5.00,6.00,5.25,4.00,6.00,4.00,216,NULL,211,'CENTRO','BAL CAMBORIÚ','SC',7377,249,NULL,207,NULL,NULL,NULL,2,3),(28,7207123,3.00,6.00,3.00,6.00,9.00,9.75,4.00,3.00,4.00,101,NULL,NULL,'ROÇADO','S JOSÉ','SC',11404,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207131,2.00,6.00,1.00,4.00,7.00,7.50,2.00,3.00,0.00,103,NULL,NULL,'JARDIM CLÍMAX','DOURADOS','MS',18408,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207140,2.00,2.00,2.00,4.00,6.00,8.63,2.00,4.00,0.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207158,2.00,5.00,1.00,6.00,4.00,7.88,1.00,5.00,2.00,454,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',14000,284,NULL,NULL,NULL,NULL,NULL,4,8),(28,7207166,2.00,7.00,1.00,6.00,8.00,7.88,3.00,5.00,4.00,238,NULL,215,'GUATÁ','LAURO MÜLLER','SC',7198,90,NULL,NULL,NULL,NULL,NULL,4,5),(28,7207174,0.00,3.00,1.00,3.00,5.00,9.75,3.00,2.00,3.00,319,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',19437,372,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207182,3.00,8.00,0.00,5.00,8.00,7.88,3.00,5.00,2.00,450,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13528,104,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207190,3.00,7.00,2.00,6.00,7.00,7.13,2.00,6.00,3.00,104,NULL,NULL,'SÃO BENTO ALTO','NOVA VENEZA','SC',7804,183,NULL,NULL,NULL,NULL,NULL,2,5),(28,7207204,1.00,6.00,3.00,4.00,3.00,6.00,1.00,4.00,1.00,335,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15133,5,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207212,6.00,7.00,3.00,7.00,7.00,8.25,5.00,6.00,3.00,203,NULL,233,'JARDIM ALTO DA BARRA','CAMPINAS','SP',1946,169,NULL,30,NULL,NULL,NULL,4,1),(28,7207220,3.00,7.00,2.00,7.00,4.00,6.38,3.00,5.00,5.00,208,NULL,NULL,'TATUAPÉ','S PAULO','SP',7611,72,NULL,NULL,NULL,NULL,NULL,4,8),(28,7207247,3.00,5.00,2.00,6.00,9.00,7.50,2.00,5.00,4.00,454,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',7796,129,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207255,3.00,4.00,1.00,4.00,9.00,8.25,3.00,5.00,5.00,207,NULL,215,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',8062,371,NULL,133,NULL,NULL,NULL,4,23),(28,7207263,3.00,6.00,1.00,6.00,6.00,8.25,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',9209,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7207271,2.00,4.00,2.00,7.00,7.00,7.50,2.00,3.00,3.00,317,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',14865,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207280,3.00,7.00,2.00,7.00,8.00,9.00,2.00,7.00,4.00,303,NULL,NULL,'VELHA','BLUMENAU','SC',9171,378,NULL,NULL,NULL,NULL,NULL,2,2),(28,7207298,3.00,4.00,2.00,7.00,5.00,8.25,0.00,3.00,3.00,103,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',11302,2156,NULL,NULL,NULL,NULL,NULL,2,8),(28,7207301,2.00,7.00,1.00,7.00,6.00,7.50,4.00,7.00,1.00,429,NULL,425,'ITACORUBI','FLORIANÓPOLIS','SC',12764,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207310,1.00,3.00,3.00,4.00,3.00,NULL,0.00,0.00,3.00,238,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207328,3.00,4.00,5.00,1.00,5.00,6.00,3.00,2.00,4.00,109,NULL,NULL,'ROÇADO','S JOSÉ','SC',14593,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'SAYONARA','CATANDUVAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7207344,2.00,0.00,2.00,6.00,2.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(28,7207352,3.00,7.00,2.00,7.00,8.00,9.38,3.00,5.00,5.00,454,NULL,NULL,'BARÃO GERALDO','CAMPINAS','SP',3740,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207360,3.00,4.00,2.00,6.00,6.00,4.50,2.00,3.00,2.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',16365,316,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207379,3.00,5.00,1.00,6.00,4.00,5.25,3.00,7.00,3.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',12548,10,NULL,NULL,NULL,NULL,NULL,4,16),(28,7207387,1.00,4.00,2.00,4.00,4.00,NULL,2.00,1.00,0.00,207,NULL,201,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207395,3.00,4.00,1.00,7.00,5.00,6.38,1.00,5.00,5.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',16675,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207409,1.00,7.00,0.00,5.00,3.00,7.50,2.00,4.00,1.00,404,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',15786,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207417,1.00,3.00,0.00,5.00,6.00,NULL,0.00,4.00,2.00,502,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207425,3.00,7.00,2.00,5.00,5.00,7.50,3.00,4.00,5.00,201,NULL,202,'JULIO DE MESQUITA','SOROCABA','SP',10142,685,NULL,261,NULL,NULL,NULL,4,8),(28,7207441,6.00,6.00,2.00,4.00,3.00,7.50,1.00,6.00,2.00,308,NULL,NULL,'CENTRO','ERVAL VELHO','SC',16908,46,NULL,NULL,NULL,NULL,NULL,4,7),(28,7207450,3.00,4.00,2.00,4.00,4.00,6.38,2.00,4.00,2.00,440,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7207468,0.00,5.00,2.00,4.00,4.00,8.25,4.00,3.00,4.00,324,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13305,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','S CRISTÓVÃO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7207492,3.00,4.00,3.00,6.00,7.00,7.50,1.00,5.00,1.00,211,NULL,201,'RIO TAVARES','FLORIANÓPOLIS','SC',13237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207506,2.00,9.00,4.00,2.00,9.00,7.88,4.00,7.00,6.00,655,NULL,652,'CIDADE ALTA','ARARANGUÁ','SC',3574,4,NULL,NULL,NULL,NULL,NULL,4,15),(28,7207530,0.00,5.00,0.00,2.00,4.00,8.25,3.00,1.00,1.00,201,NULL,207,'JD ITALIA','ITAPETININGA','SP',18078,996,NULL,765,NULL,NULL,NULL,4,1),(28,7207549,2.00,5.00,2.00,5.00,5.00,7.13,3.00,4.00,3.00,203,NULL,201,'MORRO DA GLÓRIA','URUSSANGA','SC',17970,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7207565,3.00,8.00,1.00,7.00,9.00,10.88,3.00,7.00,3.00,451,NULL,NULL,'BARREIROS','S JOSÉ','SC',7946,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207581,2.00,6.00,0.00,5.00,7.00,7.13,1.00,3.00,4.00,201,NULL,212,'PONTE DO IMARUIM','PALHOÇA','SC',17024,964,NULL,401,NULL,NULL,NULL,2,1),(28,7207590,1.00,4.00,1.00,5.00,5.00,9.75,1.00,2.00,3.00,201,NULL,235,'JARDIM ATLÁNTICO','FLORIANÓPOLIS','SC',14886,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207603,2.00,6.00,1.00,7.00,3.00,9.75,4.00,4.00,2.00,203,NULL,202,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',15633,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207611,3.00,6.00,2.00,7.00,5.00,9.75,4.00,2.00,3.00,301,NULL,NULL,'JD MADALENA','CAMPINAS','SP',14032,197,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207620,4.00,7.00,3.00,5.00,6.00,8.63,6.00,4.00,3.00,304,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6621,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207638,5.00,7.00,1.00,6.00,9.00,11.25,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','CAMBORIÚ','SC',3173,1176,NULL,NULL,NULL,NULL,NULL,4,3),(28,7207646,0.00,3.00,2.00,2.00,3.00,NULL,0.00,2.00,2.00,444,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207654,1.00,1.00,2.00,1.00,2.00,NULL,3.00,3.00,3.00,501,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207670,1.00,5.00,2.00,5.00,8.00,6.00,2.00,4.00,3.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13813,28,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207689,1.00,7.00,3.00,2.00,3.00,7.13,0.00,5.00,2.00,552,NULL,NULL,'WARNOM','INDAIAL','SC',16668,123,NULL,NULL,NULL,NULL,NULL,2,16),(28,7207697,2.00,7.00,0.00,6.00,1.00,NULL,1.00,5.00,3.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207700,1.00,5.00,1.00,4.00,3.00,7.13,3.00,3.00,2.00,601,NULL,201,'CENTRO','TUBARÃO','SC',18690,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7207719,4.00,4.00,3.00,2.00,7.00,10.50,5.00,5.00,4.00,203,NULL,220,'CIDADE JARDIM','PIRACICABA','SP',11385,567,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207727,1.00,3.00,2.00,3.00,6.00,4.88,0.00,6.00,2.00,304,NULL,NULL,'FLORESTA','S JOSÉ','SC',19615,129,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE NOBRE','IPATINGA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7207743,1.00,3.00,2.00,4.00,3.00,4.50,1.00,4.00,2.00,340,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',19930,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207751,3.00,7.00,2.00,7.00,9.00,10.13,2.00,7.00,3.00,104,NULL,NULL,'QUARTA LINHA','CRICIÚMA','SC',5470,104,NULL,NULL,NULL,NULL,NULL,4,5),(28,7207760,2.00,4.00,3.00,2.00,5.00,7.50,3.00,2.00,2.00,238,NULL,213,'RATONES','FLORIANÓPOLIS','SC',18849,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207778,2.00,3.00,1.00,5.00,6.00,8.25,2.00,4.00,1.00,316,NULL,NULL,'SÃO JOÃO','PTO ALEGRE','RS',16442,222,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7207794,3.00,4.00,2.00,5.00,6.00,8.63,3.00,2.00,5.00,302,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',13969,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207808,3.00,7.00,5.00,5.00,6.00,9.75,3.00,4.00,5.00,214,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',5928,187,NULL,156,NULL,NULL,NULL,4,1),(28,7207816,6.00,8.00,4.00,8.00,6.00,7.13,1.00,7.00,5.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',7314,1807,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207824,3.00,9.00,2.00,5.00,4.00,9.38,3.00,5.00,4.00,653,NULL,202,'PINHEIRINHOS','PASSA QUATRO','MG',10832,110,NULL,275,NULL,NULL,NULL,4,1),(28,7207832,1.00,4.00,2.00,4.00,2.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'JRAIVATUBA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7207840,3.00,8.00,2.00,7.00,8.00,8.25,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8671,1973,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207859,2.00,7.00,1.00,5.00,7.00,7.13,2.00,5.00,3.00,424,NULL,423,'CAPOEIRAS','FLORIANÓPOLIS','SC',15936,26,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207867,2.00,6.00,3.00,6.00,4.00,6.38,2.00,6.00,3.00,319,NULL,NULL,'CARANDA BOSQUE I','CPO GRANDE','MS',16533,320,NULL,NULL,NULL,NULL,NULL,2,8),(28,7207875,3.00,4.00,3.00,3.00,3.00,7.88,2.00,5.00,1.00,103,NULL,NULL,'CENTRO','BOM J OESTE','SC',14213,2315,NULL,NULL,NULL,NULL,NULL,2,4),(28,7207891,4.00,8.00,4.00,3.00,9.00,11.25,6.00,7.00,6.00,103,NULL,NULL,'JARDIM AMERICA','S JOSÉ CAMPOS','SP',920,517,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207913,2.00,6.00,0.00,4.00,3.00,6.75,3.00,3.00,3.00,202,NULL,220,'BELA VISTA III','S JOSÉ','SC',14962,345,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ESTRADA GERAL DA FLO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7207948,3.00,3.00,3.00,3.00,5.00,6.75,4.00,5.00,2.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17986,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7207956,0.00,3.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,303,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207972,0.00,4.00,3.00,5.00,7.00,7.50,4.00,2.00,4.00,999,NULL,NULL,'CENTRO','RIO ANTAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7207980,0.00,6.00,2.00,5.00,3.00,NULL,2.00,5.00,1.00,303,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7207999,0.00,6.00,1.00,3.00,2.00,NULL,2.00,3.00,0.00,551,NULL,NULL,'SÃO CRISTÓVÃO','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7208006,2.00,4.00,2.00,4.00,3.00,7.88,3.00,4.00,4.00,9,NULL,NULL,'BRAÇO SÃO JOÃO','STO AMARO IMPERATRIZ','SC',17897,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208022,2.00,5.00,1.00,6.00,5.00,10.13,3.00,5.00,5.00,103,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',7801,1866,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208030,2.00,4.00,2.00,5.00,5.00,7.88,2.00,2.00,3.00,301,NULL,NULL,'PALMAS','GOV CELSO RAMOS','SC',15429,218,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208049,2.00,5.00,1.00,7.00,8.00,7.50,3.00,5.00,3.00,301,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',9289,110,NULL,NULL,NULL,NULL,NULL,4,2),(28,7208057,1.00,4.00,1.00,5.00,6.00,10.13,2.00,4.00,1.00,415,NULL,NULL,'FAZ SANTO ANTONIO','S JOSÉ','SC',17818,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208073,3.00,7.00,2.00,7.00,4.00,6.38,1.00,2.00,4.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',12370,81,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208081,5.00,7.00,2.00,6.00,8.00,9.75,4.00,5.00,4.00,340,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',4859,122,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208090,1.00,4.00,2.00,5.00,2.00,NULL,1.00,3.00,3.00,601,NULL,215,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7208103,2.00,4.00,1.00,3.00,4.00,6.75,1.00,3.00,1.00,207,NULL,211,'RIO GRANDE','PALHOÇA','SC',16810,727,NULL,403,NULL,NULL,NULL,2,1),(28,7208138,1.00,4.00,3.00,7.00,4.00,7.13,1.00,4.00,1.00,337,NULL,NULL,'DOIS PINHEIROS','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7208146,4.00,6.00,0.00,6.00,8.00,7.13,4.00,6.00,4.00,336,NULL,NULL,'CENTENÁRIO','S BENTO SUL','SC',6457,33,NULL,NULL,NULL,NULL,NULL,4,17),(28,7208154,3.00,8.00,2.00,7.00,8.00,9.75,4.00,8.00,5.00,103,NULL,NULL,'JABUTICABEIRAS','TAUBATÉ','SP',2025,891,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208162,4.00,6.00,4.00,5.00,7.00,8.25,4.00,5.00,4.00,333,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',6434,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208170,6.00,7.00,3.00,7.00,5.00,8.63,1.00,6.00,6.00,103,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',3131,1163,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208189,0.00,6.00,1.00,6.00,4.00,6.75,1.00,3.00,1.00,235,NULL,202,'CENTRO','URUBICI','SC',15787,254,NULL,355,NULL,NULL,NULL,2,1),(28,7208197,2.00,3.00,0.00,2.00,5.00,NULL,0.00,2.00,2.00,104,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208219,0.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7208227,2.00,5.00,4.00,4.00,7.00,8.63,3.00,5.00,7.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',6294,293,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208235,3.00,6.00,2.00,5.00,8.00,9.38,4.00,6.00,5.00,340,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',9225,258,NULL,NULL,NULL,NULL,NULL,4,4),(28,7208243,3.00,0.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,202,NULL,201,'CIDADE NOVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,6),(28,7208251,6.00,6.00,2.00,5.00,4.00,5.63,2.00,6.00,3.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6661,1719,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208260,3.00,5.00,2.00,5.00,6.00,5.25,5.00,5.00,1.00,238,NULL,652,'ITACOROBI','FLORIANÓPOLIS','SC',17210,297,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7208294,6.00,6.00,0.00,7.00,7.00,7.88,2.00,5.00,7.00,103,NULL,NULL,'BOTAFOGO','RIO JANEIRO','RJ',5496,1570,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208316,3.00,2.00,1.00,5.00,6.00,6.75,0.00,5.00,0.00,103,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',16028,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208324,3.00,5.00,1.00,2.00,1.00,NULL,1.00,1.00,2.00,601,NULL,202,'PETRÔPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7208332,5.00,4.00,0.00,5.00,6.00,9.00,2.00,5.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13522,257,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208340,0.00,7.00,2.00,3.00,5.00,7.88,3.00,5.00,1.00,9,NULL,NULL,'RACHADEL','ANTÔNIO CARLOS','SC',13993,99,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208359,2.00,7.00,0.00,4.00,3.00,6.38,2.00,5.00,1.00,331,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',18872,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208367,3.00,5.00,0.00,4.00,6.00,7.88,2.00,5.00,3.00,108,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',12659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208375,5.00,6.00,7.00,7.00,7.00,8.25,6.00,5.00,8.00,202,NULL,213,'JARDIM BLUMENAU','BLUMENAU','SC',992,22,NULL,NULL,NULL,NULL,NULL,4,2),(28,7208383,3.00,7.00,3.00,4.00,4.00,6.00,2.00,5.00,5.00,220,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',12385,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7208391,3.00,7.00,3.00,4.00,5.00,7.13,1.00,3.00,1.00,450,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',13231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208430,1.00,4.00,2.00,6.00,6.00,5.63,4.00,5.00,0.00,103,NULL,NULL,'INTERIOR','NOVA P IGUAÇU','PR',14089,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208448,3.00,4.00,1.00,4.00,4.00,7.13,0.00,3.00,3.00,103,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',16330,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208456,1.00,7.00,2.00,6.00,6.00,7.50,3.00,7.00,3.00,238,NULL,220,'VILA LENZI','JARAGUÁ SUL','SC',6874,83,NULL,NULL,NULL,NULL,NULL,4,23),(28,7208472,5.00,8.00,3.00,7.00,7.00,5.63,4.00,6.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208480,3.00,4.00,2.00,6.00,5.00,7.88,1.00,5.00,3.00,103,NULL,NULL,'CENTRO','STA TEREZINHA ITAIPU','PR',9909,2068,NULL,NULL,NULL,NULL,NULL,2,4),(28,7208502,7.00,7.00,3.00,6.00,8.00,8.25,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','CAÇADOR','SC',931,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7208510,4.00,7.00,4.00,5.00,5.00,7.88,3.00,6.00,7.00,103,NULL,NULL,'SANTA CANDIDA','CURITIBA','PR',8208,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7208529,1.00,5.00,1.00,3.00,5.00,11.25,3.00,4.00,1.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7208545,2.00,5.00,2.00,4.00,4.00,6.75,0.00,1.00,2.00,309,NULL,NULL,'JAÇANA','S PAULO','SP',19192,60,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208553,1.00,6.00,1.00,5.00,3.00,NULL,0.00,4.00,0.00,101,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208570,4.00,8.00,3.00,7.00,7.00,6.00,7.00,7.00,8.00,202,NULL,203,'COUNTRY','CASCAVEL','PR',2017,55,NULL,NULL,NULL,NULL,NULL,4,4),(28,7208588,2.00,5.00,2.00,4.00,5.00,6.75,1.00,6.00,2.00,207,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',12891,580,NULL,824,NULL,NULL,NULL,2,1),(28,7208596,0.00,6.00,1.00,5.00,5.00,NULL,3.00,4.00,1.00,301,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208600,4.00,8.00,3.00,6.00,7.00,8.25,4.00,5.00,7.00,203,NULL,220,'SANTA MONICA','UBERLÂNDIA','MG',2892,217,NULL,81,NULL,NULL,NULL,4,1),(28,7208618,5.00,6.00,2.00,7.00,8.00,8.25,3.00,4.00,3.00,303,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',6525,291,NULL,NULL,NULL,NULL,NULL,4,5),(28,7208626,0.00,3.00,3.00,3.00,4.00,4.50,1.00,3.00,3.00,201,NULL,233,'CENTRO','S LUIZ GONZAGA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208634,0.00,5.00,1.00,5.00,8.00,NULL,2.00,4.00,1.00,213,NULL,601,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208642,5.00,7.00,2.00,6.00,7.00,10.13,4.00,6.00,6.00,104,NULL,NULL,'BELA VISTA','S JOSÉ','SC',3692,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208650,5.00,7.00,2.00,6.00,9.00,10.13,4.00,4.00,3.00,103,NULL,NULL,'NOVA ITAPIRA','ITAPIRA','SP',3579,1256,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208677,2.00,6.00,2.00,4.00,6.00,8.63,1.00,7.00,2.00,999,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208685,5.00,7.00,5.00,4.00,7.00,7.88,3.00,6.00,5.00,103,NULL,NULL,'JARDIM CAMPO ALTO','COLOMBO','PR',3234,1189,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208693,2.00,5.00,2.00,6.00,6.00,7.13,3.00,4.00,2.00,103,NULL,NULL,'SÃO JOSÉ','PTO ALEGRE','RS',13341,2274,NULL,NULL,NULL,NULL,NULL,2,15),(28,7208707,3.00,8.00,2.00,7.00,6.00,8.25,2.00,4.00,5.00,103,NULL,NULL,'VILA ROSA','PIRAQUARA','PR',6574,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7208715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'BELA VISTA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7208723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'MACHADINHO','PALMITOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7208731,7.00,8.00,5.00,7.00,9.00,10.13,6.00,8.00,6.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',335,248,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208740,0.00,8.00,1.00,5.00,3.00,7.50,3.00,7.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208758,4.00,7.00,3.00,7.00,3.00,9.38,2.00,6.00,3.00,454,NULL,NULL,'BOA ESPERANÇA','CUIABÁ','MT',6084,89,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208766,3.00,7.00,1.00,6.00,8.00,7.88,3.00,5.00,4.00,999,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208774,5.00,8.00,3.00,7.00,10.00,12.38,6.00,7.00,5.00,319,NULL,NULL,'ESTACAO','URUSSANGA','SC',802,8,NULL,NULL,NULL,NULL,NULL,4,5),(28,7208782,2.00,5.00,1.00,5.00,4.00,5.25,2.00,1.00,4.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',17000,128,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208790,4.00,7.00,4.00,6.00,9.00,9.38,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',3009,1141,NULL,NULL,NULL,NULL,NULL,4,23),(28,7208804,3.00,3.00,1.00,2.00,3.00,3.00,2.00,0.00,1.00,103,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208820,2.00,4.00,3.00,3.00,3.00,6.00,3.00,4.00,4.00,339,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',16003,32,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'COLONIAL VILLAGE','PINDAMONHANGABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7208863,1.00,3.00,1.00,5.00,2.00,NULL,3.00,3.00,3.00,552,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7208871,1.00,1.00,3.00,8.00,6.00,7.13,2.00,3.00,2.00,454,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',18759,381,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'SALSEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7208901,3.00,4.00,2.00,6.00,8.00,9.38,1.00,3.00,4.00,104,NULL,NULL,'CENTRO','CURITIBANOS','SC',14076,343,NULL,NULL,NULL,NULL,NULL,4,16),(28,7208910,0.00,5.00,2.00,1.00,3.00,5.25,3.00,4.00,3.00,9,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',18417,155,NULL,NULL,NULL,NULL,NULL,2,1),(28,7208928,5.00,7.00,3.00,5.00,8.00,7.88,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','STA TEREZINHA ITAIPU','PR',4321,1388,NULL,NULL,NULL,NULL,NULL,2,4),(28,7208936,0.00,2.00,0.00,1.00,1.00,NULL,3.00,2.00,0.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208944,5.00,9.00,2.00,5.00,6.00,8.25,2.00,4.00,5.00,207,NULL,201,'ÁGUA VERDE','BLUMENAU','SC',5393,238,NULL,NULL,NULL,NULL,NULL,4,2),(28,7208952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'REGIÃO DO LAGO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7208979,2.00,5.00,4.00,3.00,7.00,7.50,1.00,4.00,1.00,101,NULL,NULL,'ARREIAS','S JOSÉ','SC',16252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7208995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PETROLÂNDIA','PE',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7209002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR SUL','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7209037,4.00,6.00,1.00,4.00,7.00,9.38,2.00,6.00,4.00,211,NULL,NULL,'JARDIM APARECIDA','S JOSÉ CAMPOS','SP',6176,165,NULL,NULL,NULL,NULL,NULL,4,1),(28,7209045,3.00,4.00,3.00,7.00,7.00,7.88,3.00,3.00,3.00,340,NULL,NULL,'JD SANTA TEREZA','S JOSÉ R PARDO','SP',8567,230,NULL,NULL,NULL,NULL,NULL,4,1),(28,7209053,1.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,207,NULL,201,'INTERIOR','CAIBI','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(28,7209061,1.00,7.00,1.00,3.00,6.00,9.00,3.00,6.00,4.00,308,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',15415,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7209070,1.00,2.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,423,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7209088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7209096,4.00,8.00,4.00,6.00,6.00,7.13,1.00,4.00,4.00,216,NULL,215,'CENTRO','BAL CAMBORIÚ','SC',8267,274,NULL,141,NULL,NULL,NULL,2,6),(28,7209126,7.00,9.00,3.00,6.00,8.00,7.13,6.00,6.00,6.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',1728,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7209134,1.00,3.00,1.00,6.00,3.00,NULL,0.00,3.00,0.00,308,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7209142,3.00,5.00,2.00,5.00,6.00,4.88,1.00,6.00,4.00,202,NULL,653,'CIDADE ALTA','TURVO','SC',11951,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7209150,4.00,7.00,2.00,6.00,9.00,7.50,4.00,4.00,3.00,216,NULL,202,'SERRARIA','S JOSÉ','SC',7440,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7209169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7209193,1.00,8.00,4.00,4.00,8.00,10.50,2.00,7.00,5.00,103,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',3923,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7209207,2.00,5.00,4.00,3.00,4.00,7.13,5.00,6.00,4.00,220,NULL,201,'JARDIM PAULISTA','DOURADOS','MS',14525,307,NULL,NULL,NULL,NULL,NULL,4,1),(28,7209215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7209223,0.00,6.00,1.00,5.00,6.00,7.13,2.00,6.00,2.00,207,NULL,601,'ATIRADORES','JOINVILLE','SC',17201,743,NULL,495,NULL,NULL,NULL,4,8),(28,7209231,1.00,4.00,1.00,5.00,5.00,7.13,1.00,3.00,1.00,653,NULL,655,'CENTRO','ARARANGUÁ','SC',16082,170,NULL,96,NULL,NULL,NULL,2,15),(28,7209240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'JARDIM AMÉRICA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7209258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7209266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'INTERIOR','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7209304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7209312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'IGARRAS','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7209320,0.00,0.00,0.00,0.00,0.00,NULL,2.00,2.00,1.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(28,7209339,1.00,3.00,2.00,2.00,3.00,8.63,0.00,2.00,1.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',18329,781,NULL,1006,NULL,NULL,NULL,2,1),(28,7209347,1.00,4.00,0.00,7.00,4.00,5.63,2.00,3.00,1.00,234,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',16162,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7209355,3.00,6.00,0.00,5.00,8.00,9.38,5.00,6.00,2.00,337,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',13619,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7209363,1.00,6.00,1.00,7.00,4.00,4.50,2.00,5.00,3.00,201,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',14009,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7209371,1.00,3.00,4.00,2.00,5.00,8.63,1.00,4.00,3.00,103,NULL,NULL,'BERGER','CAÇADOR','SC',15274,2367,NULL,NULL,NULL,NULL,NULL,4,25),(28,7209380,5.00,7.00,2.00,7.00,8.00,6.38,5.00,4.00,4.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7209398,3.00,4.00,3.00,6.00,6.00,7.50,2.00,4.00,1.00,207,NULL,238,'JARDIM LEOPOLDINA','PTO ALEGRE','RS',16932,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7209401,5.00,8.00,2.00,6.00,6.00,8.63,5.00,7.00,6.00,450,NULL,NULL,'ALTO DA GLÓRIA','CURITIBA','PR',2905,18,NULL,NULL,NULL,NULL,NULL,4,6),(28,7209436,3.00,4.00,3.00,3.00,5.00,0.00,1.00,3.00,3.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7209444,3.00,3.00,2.00,5.00,7.00,9.75,2.00,4.00,2.00,324,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',13174,6,NULL,NULL,NULL,NULL,NULL,2,1),(28,7209452,4.00,6.00,2.00,5.00,4.00,6.00,4.00,6.00,5.00,108,NULL,NULL,'VISTA VERDE','S JOSÉ CAMPOS','SP',8368,106,NULL,NULL,NULL,NULL,NULL,4,1),(28,7209460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7209479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,655,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7209487,0.00,4.00,2.00,4.00,3.00,8.25,1.00,4.00,0.00,103,NULL,NULL,'RODRIGUES','PASSO FUNDO','RS',17204,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7209495,3.00,4.00,1.00,5.00,5.00,7.88,3.00,6.00,3.00,203,NULL,201,'PINHEIRINHO','CRICIÚMA','SC',10429,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7209509,5.00,6.00,1.00,7.00,7.00,9.75,3.00,5.00,4.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',8289,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7209517,4.00,8.00,5.00,8.00,8.00,9.75,7.00,6.00,6.00,5,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',652,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7209525,0.00,5.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,9,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7209541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'MARIA AP PEDROSSIAN','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7209550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7209568,1.00,4.00,3.00,4.00,3.00,7.13,0.00,6.00,2.00,502,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',19136,58,NULL,NULL,NULL,NULL,NULL,4,1),(28,7209576,2.00,8.00,2.00,6.00,5.00,9.75,2.00,5.00,4.00,214,NULL,212,'CENTRO','CATANDUVA','SP',7987,228,NULL,243,NULL,NULL,NULL,4,1),(28,7209584,2.00,5.00,2.00,6.00,5.00,10.88,3.00,4.00,3.00,308,NULL,NULL,'CAEIRA SACO LIMÕES','FLORIANÓPOLIS','SC',8654,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7209592,3.00,6.00,4.00,7.00,9.00,9.75,5.00,5.00,3.00,207,NULL,201,'COMERCIÁRIO','CRICIÚMA','SC',4531,192,NULL,350,NULL,NULL,NULL,4,5),(28,7209606,7.00,8.00,5.00,7.00,9.00,8.63,5.00,7.00,6.00,103,NULL,NULL,'JARDIM SEIXAS','S JOSÉ R PRETO','SP',383,274,NULL,NULL,NULL,NULL,NULL,4,1),(28,7209614,1.00,5.00,0.00,1.00,3.00,NULL,1.00,4.00,0.00,5,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7209622,4.00,6.00,2.00,6.00,9.00,7.13,2.00,6.00,1.00,103,NULL,NULL,'SÃO JOÃO','TUBARÃO','SC',8031,1903,NULL,NULL,NULL,NULL,NULL,4,10),(28,7209630,2.00,6.00,3.00,6.00,7.00,6.38,3.00,6.00,3.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13283,496,NULL,NULL,NULL,NULL,NULL,2,1),(28,7209657,1.00,3.00,0.00,4.00,3.00,4.50,2.00,1.00,1.00,653,NULL,NULL,'ALTO RIO JUNDIÁ','MELEIRO','SC',19677,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7209665,5.00,5.00,0.00,3.00,7.00,6.75,5.00,6.00,5.00,301,NULL,NULL,'COSTEIRA DO RIBEIRÃO','FLORIANÓPOLIS','SC',9489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7209673,3.00,4.00,3.00,4.00,5.00,10.88,4.00,3.00,2.00,655,NULL,238,'SANTA CRUZ','FORQUILHINHA','SC',16140,99,NULL,279,NULL,NULL,NULL,2,5),(28,7209690,1.00,2.00,1.00,3.00,2.00,NULL,1.00,4.00,3.00,317,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7209703,6.00,7.00,2.00,5.00,7.00,8.63,4.00,6.00,5.00,103,NULL,NULL,'REDENTORA','S JOSÉ R PRETO','SP',7573,1835,NULL,NULL,NULL,NULL,NULL,4,1),(28,7209720,2.00,4.00,3.00,7.00,5.00,9.75,2.00,2.00,5.00,211,NULL,213,'AGRONÔMICA','FLORIANÓPOLIS','SC',8728,235,NULL,153,NULL,NULL,NULL,2,1),(28,7209738,2.00,5.00,2.00,2.00,5.00,7.88,0.00,2.00,2.00,207,NULL,215,'PANTANAL','FLORIANÓPOLIS','SC',19542,809,NULL,300,NULL,NULL,NULL,4,1),(28,7209746,6.00,7.00,6.00,6.00,7.00,9.75,5.00,7.00,8.00,303,NULL,NULL,'BOSQUE','PRES PRUDENTE','SP',1957,92,NULL,NULL,NULL,NULL,NULL,4,1),(28,7209754,0.00,6.00,1.00,0.00,4.00,NULL,2.00,2.00,2.00,653,NULL,652,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7209762,4.00,3.00,3.00,5.00,7.00,8.25,2.00,4.00,5.00,203,NULL,214,'JARDIM MARISTELA','CRICIÚMA','SC',9897,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7209789,2.00,6.00,2.00,6.00,8.00,10.13,2.00,5.00,4.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6576,106,NULL,NULL,NULL,NULL,NULL,2,1),(28,7209797,4.00,8.00,4.00,6.00,10.00,12.00,6.00,6.00,7.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',901,505,NULL,NULL,NULL,NULL,NULL,2,1),(28,7209800,1.00,3.00,2.00,7.00,5.00,7.88,1.00,5.00,1.00,601,NULL,207,'SANTO ANTONIO','S BONIFÁCIO','SC',14117,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7209819,2.00,6.00,0.00,7.00,4.00,7.88,2.00,7.00,3.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7209827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'NOVO HORIZONTE','RONDONÓPOLIS','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7209835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BOA ESPERANÇA','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7209878,2.00,4.00,2.00,4.00,5.00,9.00,3.00,4.00,1.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18255,67,NULL,NULL,NULL,NULL,NULL,4,1),(28,7209886,2.00,5.00,4.00,3.00,3.00,7.50,2.00,5.00,1.00,104,NULL,NULL,'TAJUBA I','S JOÃO BATISTA','SC',18579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7209908,3.00,6.00,4.00,6.00,6.00,6.75,5.00,5.00,6.00,212,NULL,213,'CENTRO','SIDERÓPOLIS','SC',6496,203,NULL,106,NULL,NULL,NULL,4,5),(28,7209916,4.00,7.00,2.00,6.00,6.00,9.00,3.00,6.00,5.00,103,NULL,NULL,'RECIFE','TUBARÃO','SC',6545,1706,NULL,NULL,NULL,NULL,NULL,4,10),(28,7209932,3.00,3.00,3.00,5.00,7.00,7.13,4.00,3.00,4.00,233,NULL,215,'BARREIROS','S JOSÉ','SC',11150,259,NULL,192,NULL,NULL,NULL,2,1),(28,7209940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'FLORADAS DE SÃO JOSÉ','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7209967,2.00,4.00,2.00,5.00,4.00,8.63,3.00,6.00,4.00,327,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',15081,44,NULL,NULL,NULL,NULL,NULL,2,8),(28,7209975,2.00,5.00,2.00,3.00,2.00,NULL,1.00,4.00,3.00,340,NULL,NULL,'TATUAPE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7209983,4.00,6.00,1.00,7.00,8.00,7.88,3.00,7.00,3.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',4600,213,NULL,NULL,NULL,NULL,NULL,4,1),(28,7209991,5.00,7.00,3.00,7.00,8.00,6.75,3.00,6.00,5.00,216,NULL,207,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210000,1.00,6.00,2.00,5.00,4.00,5.63,4.00,4.00,4.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13026,146,NULL,NULL,NULL,NULL,NULL,2,1),(28,7210019,2.00,6.00,2.00,7.00,5.00,8.25,3.00,5.00,3.00,999,NULL,NULL,'JARDIM DOS LORDES','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210043,2.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7210060,2.00,7.00,5.00,5.00,5.00,6.38,4.00,7.00,6.00,216,NULL,202,'VILA LALAU','JARAGUÁ SUL','SC',9380,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7210078,0.00,5.00,3.00,4.00,6.00,7.50,4.00,3.00,3.00,451,NULL,NULL,'BARREIROS','S JOSÉ','SC',16596,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210086,6.00,7.00,4.00,4.00,8.00,6.38,4.00,5.00,6.00,216,NULL,215,'JD NOVO HORIZONTE','ITAÍ','SP',3494,129,NULL,46,NULL,NULL,NULL,4,1),(28,7210094,1.00,5.00,0.00,5.00,6.00,6.75,5.00,5.00,4.00,454,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',11292,220,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210108,2.00,5.00,0.00,4.00,7.00,9.00,0.00,4.00,2.00,201,NULL,207,'RIO TAVARES','FLORIANÓPOLIS','SC',17715,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210116,4.00,5.00,2.00,7.00,7.00,7.50,3.00,3.00,4.00,238,NULL,233,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',10263,151,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7210132,3.00,5.00,2.00,5.00,3.00,5.63,1.00,2.00,2.00,303,NULL,NULL,'TAJUBA I','S JOÃO BATISTA','SC',16956,569,NULL,NULL,NULL,NULL,NULL,2,1),(28,7210140,4.00,4.00,3.00,7.00,5.00,11.25,4.00,3.00,5.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',4736,1448,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210159,4.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7210167,0.00,4.00,2.00,2.00,5.00,7.88,2.00,2.00,2.00,207,NULL,215,'MONTE CRISTO','FLORIANÓPOLIS','SC',17040,737,NULL,273,NULL,NULL,NULL,4,1),(28,7210175,4.00,6.00,2.00,6.00,8.00,10.13,2.00,5.00,3.00,223,NULL,NULL,'BARREIROS','S JOSÉ','SC',9119,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210183,1.00,5.00,2.00,7.00,4.00,7.88,1.00,4.00,1.00,301,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',18445,248,NULL,NULL,NULL,NULL,NULL,4,6),(28,7210191,3.00,7.00,1.00,5.00,6.00,10.13,4.00,6.00,3.00,203,NULL,653,'MATRIZ','VIDEIRA','SC',6546,NULL,NULL,69,NULL,NULL,NULL,4,25),(28,7210205,0.00,4.00,2.00,7.00,7.00,NULL,1.00,4.00,3.00,999,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7210213,4.00,8.00,3.00,7.00,6.00,9.75,3.00,6.00,5.00,103,NULL,NULL,'NOVA SUÍÇA','GOIÂNIA','GO',2276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'HORTO','IPATINGA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7210230,1.00,3.00,1.00,2.00,1.00,NULL,0.00,2.00,2.00,652,NULL,655,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7210248,4.00,5.00,6.00,5.00,8.00,7.88,5.00,4.00,6.00,233,NULL,216,'NOVA PIRACICABA','PIRACICABA','SP',3484,83,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210264,4.00,7.00,4.00,6.00,7.00,12.38,7.00,7.00,5.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',1131,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7210272,5.00,4.00,1.00,6.00,4.00,8.63,0.00,6.00,1.00,5,NULL,NULL,'SETOR BELA VISTA','GOIÂNIA','GO',10839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210280,0.00,6.00,4.00,5.00,2.00,NULL,3.00,3.00,3.00,220,NULL,655,'CENTRO','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7210299,4.00,6.00,2.00,5.00,3.00,7.50,4.00,4.00,2.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11610,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210302,4.00,7.00,2.00,7.00,6.00,7.88,2.00,6.00,3.00,207,NULL,215,'JURERÊ','FLORIANÓPOLIS','SC',7530,344,NULL,121,NULL,NULL,NULL,2,1),(28,7210310,4.00,6.00,5.00,6.00,8.00,9.38,5.00,7.00,4.00,653,NULL,207,'VILA SÃO JOSÉ','ARARANGUÁ','SC',2633,10,NULL,NULL,NULL,NULL,NULL,2,15),(28,7210337,4.00,8.00,1.00,5.00,5.00,5.63,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','URUPEMA','SC',9338,2022,NULL,NULL,NULL,NULL,NULL,4,9),(28,7210345,2.00,7.00,0.00,7.00,3.00,6.75,5.00,5.00,5.00,203,NULL,220,'ITACORUBI','FLORIANÓPOLIS','SC',14566,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210353,0.00,2.00,2.00,4.00,6.00,NULL,0.00,2.00,3.00,201,NULL,207,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210361,5.00,6.00,3.00,5.00,7.00,10.88,2.00,4.00,4.00,101,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',5501,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210370,2.00,5.00,2.00,2.00,8.00,8.25,0.00,4.00,4.00,3,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',17483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210388,7.00,8.00,5.00,6.00,7.00,9.00,5.00,6.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2237,945,NULL,NULL,NULL,NULL,NULL,4,25),(28,7210396,4.00,9.00,0.00,6.00,9.00,9.00,4.00,6.00,4.00,303,NULL,NULL,'GLÓRIA','JOINVILLE','SC',3712,175,NULL,NULL,NULL,NULL,NULL,2,8),(28,7210400,3.00,3.00,2.00,3.00,3.00,NULL,0.00,5.00,2.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7210418,1.00,3.00,2.00,5.00,4.00,6.75,2.00,4.00,4.00,303,NULL,NULL,'SAO JOAO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7210426,2.00,6.00,3.00,1.00,5.00,7.13,3.00,4.00,3.00,211,NULL,653,'PARI','S PAULO','SP',11242,293,NULL,117,NULL,NULL,NULL,4,1),(28,7210434,2.00,5.00,1.00,6.00,8.00,7.50,1.00,8.00,4.00,103,NULL,NULL,'CENTRO','HONÓRIO SERPA','PR',12494,2232,NULL,NULL,NULL,NULL,NULL,4,4),(28,7210442,2.00,5.00,1.00,5.00,7.00,6.75,4.00,5.00,2.00,103,NULL,NULL,'COOPHEMA','CUIABÁ','MT',11569,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7210450,1.00,7.00,3.00,4.00,7.00,11.25,4.00,4.00,3.00,202,NULL,201,'BOM ABRIGO','FLORIANÓPOLIS','SC',9420,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210469,2.00,7.00,3.00,6.00,4.00,6.00,3.00,3.00,3.00,340,NULL,NULL,'AREIAS','S JOSÉ','SC',12186,334,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210485,1.00,7.00,0.00,4.00,8.00,11.25,4.00,5.00,2.00,454,NULL,NULL,'CENTRO','PALHOÇA','SC',13452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210493,1.00,6.00,2.00,4.00,3.00,6.75,0.00,2.00,2.00,109,NULL,NULL,'CABEÇUDA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7210507,1.00,5.00,1.00,4.00,3.00,7.88,0.00,2.00,2.00,103,NULL,NULL,'CONSOLADORA','GETÚLIO VARGAS','RS',15933,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7210515,2.00,7.00,3.00,5.00,6.00,8.25,2.00,5.00,4.00,103,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',8285,1928,NULL,NULL,NULL,NULL,NULL,4,4),(28,7210523,3.00,7.00,2.00,7.00,6.00,9.38,0.00,7.00,4.00,303,NULL,NULL,'CAMPOLIM','SOROCABA','SP',6578,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210531,1.00,2.00,2.00,1.00,2.00,NULL,1.00,2.00,3.00,335,NULL,NULL,'CHACARA','ELDORADO SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7210540,4.00,4.00,1.00,7.00,3.00,9.38,0.00,5.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13441,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7210558,3.00,5.00,3.00,4.00,4.00,6.00,3.00,7.00,4.00,601,NULL,201,'SÃO JOÃO','ITAJAÍ','SC',11828,347,NULL,NULL,NULL,NULL,NULL,4,6),(28,7210566,3.00,6.00,3.00,6.00,4.00,6.75,1.00,4.00,1.00,999,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7210574,0.00,2.00,1.00,3.00,3.00,5.25,0.00,4.00,1.00,238,NULL,655,'CENTRO','FAXINAL GUEDES','SC',18839,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7210582,2.00,6.00,2.00,4.00,5.00,7.13,3.00,6.00,2.00,336,NULL,NULL,'FERRUGEM','GAROPABA','SC',11875,64,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210590,2.00,2.00,0.00,5.00,1.00,NULL,2.00,4.00,3.00,211,NULL,NULL,'IPIRANGA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210604,1.00,6.00,2.00,3.00,7.00,7.13,4.00,6.00,4.00,303,NULL,NULL,'IMIGRANTES','CONCÓRDIA','SC',9631,396,NULL,NULL,NULL,NULL,NULL,2,26),(28,7210612,2.00,3.00,0.00,3.00,5.00,7.88,1.00,6.00,1.00,101,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210620,2.00,5.00,2.00,4.00,5.00,9.75,4.00,8.00,4.00,103,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',8173,1918,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210639,2.00,5.00,2.00,6.00,6.00,6.38,3.00,2.00,3.00,201,NULL,211,'BARRA DO TROMBUDO','RIO SUL','SC',12774,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7210655,1.00,5.00,1.00,3.00,4.00,8.63,2.00,6.00,3.00,101,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',17668,116,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210663,3.00,3.00,1.00,5.00,4.00,7.50,1.00,3.00,3.00,451,NULL,NULL,'CENTRO','CRICIÚMA','SC',18890,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7210671,2.00,7.00,0.00,6.00,7.00,6.00,4.00,5.00,2.00,601,NULL,233,'VILLA GERMER','TIMBÓ','SC',10968,311,NULL,NULL,NULL,NULL,NULL,4,2),(28,7210680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7210701,4.00,6.00,0.00,4.00,2.00,NULL,1.00,4.00,4.00,216,NULL,211,'PANAMBI','STA BÁRBARA D OESTE','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM NOVA ORLÂNDIA','ORLÂNDIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7210728,0.00,3.00,2.00,5.00,3.00,7.50,3.00,2.00,2.00,201,NULL,202,'CENTRO','AGRONÔMICA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7210736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'DIHEL','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7210744,1.00,2.00,1.00,3.00,2.00,NULL,1.00,3.00,3.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7210760,1.00,4.00,2.00,7.00,7.00,8.63,1.00,4.00,2.00,340,NULL,NULL,'PARQUE IPIRANGA','GRAVATAÍ','RS',10207,284,NULL,NULL,NULL,NULL,NULL,4,15),(28,7210787,3.00,6.00,1.00,7.00,5.00,7.50,2.00,5.00,5.00,211,NULL,214,'BOQUEIRÃO','SANTOS','SP',6147,162,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210795,5.00,8.00,5.00,6.00,5.00,7.88,6.00,5.00,4.00,212,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',3818,NULL,NULL,59,NULL,NULL,NULL,4,1),(28,7210809,4.00,5.00,3.00,6.00,10.00,11.63,0.00,5.00,5.00,103,NULL,NULL,'SANTA HELENA','LAGES','SC',4276,1380,NULL,NULL,NULL,NULL,NULL,4,9),(28,7210817,1.00,5.00,1.00,4.00,6.00,6.75,0.00,2.00,4.00,203,NULL,235,'PEREQUÊ','PTO BELO','SC',15037,645,NULL,237,NULL,NULL,NULL,4,3),(28,7210833,1.00,6.00,4.00,5.00,4.00,6.00,4.00,4.00,3.00,202,NULL,216,'JD PRAIANO','GUARUJÁ','SP',12776,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7210841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7210850,2.00,4.00,3.00,6.00,8.00,8.25,3.00,5.00,5.00,216,NULL,215,'CENTRO','CRICIÚMA','SC',6812,233,NULL,100,NULL,NULL,NULL,4,5),(28,7210914,0.00,2.00,1.00,2.00,1.00,NULL,2.00,3.00,2.00,102,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7210922,7.00,8.00,4.00,7.00,10.00,12.00,6.00,8.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',286,216,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210930,4.00,5.00,3.00,8.00,8.00,7.50,3.00,4.00,4.00,203,NULL,214,'BORTOLUZZI','NOVA VENEZA','SC',5488,368,NULL,174,NULL,NULL,NULL,2,5),(28,7210949,3.00,5.00,1.00,5.00,4.00,7.13,4.00,5.00,3.00,404,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',13302,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7210957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7210965,3.00,4.00,2.00,5.00,4.00,8.25,2.00,5.00,1.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7210973,1.00,4.00,1.00,6.00,4.00,8.25,1.00,4.00,4.00,502,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',17557,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7211023,2.00,5.00,3.00,2.00,5.00,6.75,2.00,4.00,4.00,203,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',14902,640,NULL,248,NULL,NULL,NULL,4,1),(28,7211031,0.00,3.00,1.00,4.00,6.00,NULL,4.00,4.00,4.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211058,3.00,6.00,1.00,2.00,4.00,7.50,3.00,5.00,4.00,203,NULL,233,'MONTE CRISTO','FLORIANÓPOLIS','SC',13468,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211066,3.00,5.00,4.00,6.00,4.00,7.50,3.00,7.00,7.00,216,NULL,233,'ROYAL PARK RESIDENCE','LONDRINA','PR',7372,248,NULL,185,NULL,NULL,NULL,4,1),(28,7211074,5.00,8.00,4.00,5.00,8.00,8.63,5.00,4.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3566,166,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211082,6.00,7.00,5.00,6.00,9.00,11.63,8.00,8.00,7.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',478,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211090,2.00,4.00,1.00,5.00,3.00,7.50,3.00,4.00,4.00,454,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',14274,291,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211112,2.00,6.00,3.00,6.00,3.00,10.50,4.00,6.00,1.00,318,NULL,NULL,'CITY BUSSOCABA','OSASCO','SP',7727,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211120,4.00,7.00,2.00,7.00,8.00,9.75,6.00,5.00,5.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',3699,136,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211139,4.00,8.00,3.00,7.00,8.00,10.50,5.00,7.00,6.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',1366,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7211147,5.00,6.00,2.00,5.00,9.00,8.63,3.00,6.00,5.00,201,NULL,601,'ABRAÃO','FLORIANÓPOLIS','SC',3340,NULL,NULL,45,NULL,NULL,NULL,2,1),(28,7211155,4.00,4.00,1.00,5.00,5.00,7.50,5.00,5.00,4.00,202,NULL,201,'SÃO PEDRO','PTO UNIÃO','SC',9970,254,NULL,NULL,NULL,NULL,NULL,4,8),(28,7211163,1.00,6.00,2.00,4.00,5.00,6.00,3.00,3.00,0.00,201,NULL,207,'JARDIM ALVORADA','JOAÇABA','SC',14582,893,NULL,645,NULL,NULL,NULL,4,7),(28,7211171,2.00,4.00,2.00,4.00,6.00,8.25,2.00,6.00,4.00,502,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',16737,39,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211180,0.00,2.00,3.00,5.00,3.00,7.88,1.00,3.00,5.00,101,NULL,NULL,'PRAIA DA META','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7211198,2.00,2.00,1.00,3.00,2.00,NULL,0.00,2.00,2.00,451,NULL,NULL,'DIVINEIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7211201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7211228,7.00,9.00,7.00,7.00,7.00,10.50,7.00,8.00,8.00,103,NULL,NULL,'NOVA HIGIENOPOLIS','JANDIRA','SP',96,80,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211236,1.00,1.00,3.00,4.00,4.00,6.00,0.00,2.00,3.00,109,NULL,NULL,'CENTRO','ITAJAÍ','SC',20013,98,NULL,NULL,NULL,NULL,NULL,2,6),(28,7211244,1.00,5.00,1.00,3.00,5.00,5.25,0.00,3.00,2.00,203,NULL,238,'N SENHORA DO ROSARIO','S JOSÉ','SC',19663,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211252,0.00,2.00,1.00,4.00,5.00,NULL,2.00,3.00,1.00,454,NULL,NULL,'SÃO CRISTOVÃO','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7211260,6.00,5.00,4.00,6.00,6.00,7.88,4.00,5.00,5.00,601,NULL,233,'COQUEIROS','FLORIANÓPOLIS','SC',4758,85,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211279,1.00,5.00,3.00,7.00,6.00,8.25,1.00,4.00,3.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16826,140,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211287,2.00,3.00,1.00,1.00,3.00,6.75,0.00,2.00,2.00,9,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211309,2.00,3.00,1.00,1.00,3.00,8.63,2.00,2.00,6.00,404,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',16854,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211317,2.00,6.00,2.00,5.00,6.00,7.13,2.00,5.00,1.00,103,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',11315,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7211333,0.00,2.00,3.00,4.00,2.00,NULL,0.00,2.00,0.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211341,2.00,4.00,2.00,2.00,7.00,6.38,1.00,4.00,1.00,302,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',17851,139,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211350,2.00,5.00,1.00,5.00,4.00,7.13,2.00,5.00,1.00,309,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',15383,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7211384,3.00,3.00,1.00,5.00,4.00,7.50,2.00,3.00,2.00,404,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',19341,71,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211392,2.00,6.00,3.00,7.00,6.00,7.50,2.00,5.00,5.00,303,NULL,NULL,'FORTALEZA','BLUMENAU','SC',10068,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7211406,2.00,6.00,2.00,5.00,4.00,7.13,5.00,4.00,2.00,215,NULL,201,'CENTRO','STO ÂNGELO','RS',16552,266,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211414,6.00,7.00,3.00,7.00,9.00,9.00,4.00,7.00,6.00,216,NULL,214,'SETOR C','ALTA FLORESTA','MT',1412,41,NULL,40,NULL,NULL,NULL,4,1),(28,7211465,0.00,5.00,1.00,4.00,6.00,5.63,2.00,4.00,3.00,104,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19034,450,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211473,0.00,4.00,0.00,7.00,6.00,9.00,2.00,4.00,4.00,235,NULL,213,'COQUEIROS','FLORIANÓPOLIS','SC',13175,213,NULL,221,NULL,NULL,NULL,2,1),(28,7211481,2.00,5.00,2.00,6.00,7.00,6.75,2.00,2.00,4.00,301,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',13063,183,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211490,2.00,3.00,0.00,4.00,4.00,7.13,2.00,3.00,1.00,316,NULL,NULL,'CAIEIRA B DO SUL','FLORIANÓPOLIS','SC',17734,252,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211503,0.00,1.00,1.00,2.00,3.00,NULL,2.00,0.00,2.00,5,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211511,2.00,7.00,1.00,5.00,7.00,10.13,4.00,5.00,2.00,601,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',12013,356,NULL,NULL,NULL,NULL,NULL,4,8),(28,7211520,2.00,4.00,1.00,5.00,4.00,3.00,1.00,3.00,2.00,301,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211538,2.00,7.00,3.00,6.00,4.00,7.88,3.00,3.00,4.00,207,NULL,211,'JARDIM JANAINA','BIGUAÇU','SC',10099,463,NULL,275,NULL,NULL,NULL,2,1),(28,7211546,4.00,6.00,2.00,8.00,8.00,10.88,5.00,7.00,7.00,207,NULL,201,'JARDIM ESPLANADA II','S JOSÉ CAMPOS','SP',2968,103,NULL,223,NULL,NULL,NULL,4,1),(28,7211554,1.00,3.00,1.00,4.00,1.00,NULL,0.00,1.00,1.00,316,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211562,2.00,4.00,3.00,5.00,8.00,6.38,3.00,2.00,3.00,319,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',14049,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211570,3.00,5.00,1.00,8.00,5.00,0.00,1.00,5.00,2.00,340,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211589,3.00,8.00,4.00,6.00,7.00,7.13,4.00,7.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7211600,0.00,2.00,1.00,2.00,3.00,NULL,3.00,3.00,2.00,601,NULL,NULL,'BOEHMERWALDT','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7211619,0.00,4.00,3.00,2.00,1.00,NULL,1.00,2.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211627,4.00,4.00,4.00,3.00,4.00,6.00,3.00,4.00,4.00,454,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211635,0.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,4.00,109,NULL,NULL,'SAO MIGUEL','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7211643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7211651,2.00,5.00,1.00,6.00,4.00,6.75,3.00,3.00,3.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18590,252,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211660,1.00,5.00,1.00,5.00,4.00,9.75,2.00,4.00,2.00,201,NULL,207,'NAÇÕES','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7211678,3.00,5.00,3.00,6.00,6.00,6.00,2.00,5.00,3.00,103,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',15191,2364,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211686,4.00,6.00,0.00,6.00,6.00,9.00,5.00,6.00,4.00,103,NULL,NULL,'BELCHIOR BAIXO','GASPAR','SC',7273,1799,NULL,NULL,NULL,NULL,NULL,2,2),(28,7211694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7211708,4.00,6.00,5.00,5.00,6.00,9.00,3.00,5.00,3.00,428,NULL,425,'CAMPECHE','FLORIANÓPOLIS','SC',8535,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211716,0.00,4.00,3.00,4.00,1.00,NULL,0.00,3.00,2.00,201,NULL,212,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211724,2.00,2.00,1.00,2.00,3.00,6.75,2.00,4.00,0.00,201,NULL,216,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7211732,2.00,6.00,3.00,6.00,7.00,9.00,3.00,6.00,3.00,301,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',12221,168,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211759,4.00,6.00,2.00,4.00,7.00,6.75,4.00,4.00,4.00,340,NULL,NULL,'CENTRO','CHAPECÓ','SC',9954,280,NULL,NULL,NULL,NULL,NULL,2,4),(28,7211775,2.00,3.00,1.00,3.00,5.00,5.25,1.00,2.00,1.00,454,NULL,NULL,'CZERNIEWCZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7211783,0.00,3.00,2.00,5.00,4.00,5.25,2.00,4.00,1.00,211,NULL,207,'MOSSUNGE','CURITIBA','PR',19626,431,NULL,NULL,NULL,NULL,NULL,4,3),(28,7211805,1.00,4.00,4.00,5.00,5.00,8.63,2.00,5.00,1.00,215,NULL,216,'KOBRASOL','S JOSÉ','SC',12698,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211813,0.00,4.00,2.00,5.00,6.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211821,1.00,4.00,0.00,3.00,5.00,7.50,3.00,4.00,4.00,3,NULL,NULL,'FORQUILHINHA','S JOSÉ','SC',18621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211848,2.00,5.00,2.00,6.00,4.00,5.25,1.00,3.00,3.00,333,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',18730,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211856,1.00,5.00,1.00,2.00,3.00,8.63,2.00,1.00,2.00,551,NULL,NULL,'INTERIOR','BRUNÓPOLIS','SC',17051,37,NULL,NULL,NULL,NULL,NULL,4,16),(28,7211864,2.00,6.00,2.00,5.00,7.00,5.63,3.00,6.00,3.00,103,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',10359,2095,NULL,NULL,NULL,NULL,NULL,2,2),(28,7211872,3.00,4.00,0.00,6.00,8.00,9.00,2.00,3.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12769,142,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211880,3.00,6.00,2.00,5.00,5.00,8.25,1.00,5.00,4.00,303,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',14870,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7211899,1.00,6.00,2.00,4.00,6.00,8.63,3.00,3.00,5.00,207,NULL,233,'RIO CAVEIRAS','BIGUAÇU','SC',9375,433,NULL,225,NULL,NULL,NULL,2,1),(28,7211902,1.00,5.00,1.00,5.00,3.00,7.13,1.00,4.00,3.00,308,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',16767,42,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211910,0.00,5.00,3.00,5.00,4.00,7.50,2.00,4.00,2.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18687,127,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211945,2.00,1.00,2.00,4.00,6.00,5.25,3.00,3.00,3.00,207,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',16867,729,NULL,NULL,NULL,NULL,NULL,2,1),(28,7211961,3.00,7.00,2.00,5.00,8.00,8.63,4.00,4.00,3.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11352,326,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211970,5.00,6.00,2.00,6.00,9.00,8.25,3.00,5.00,1.00,303,NULL,NULL,'FAZENDA SANTO ANTÔNI','S JOSÉ','SC',6985,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7211996,2.00,4.00,2.00,4.00,4.00,7.88,2.00,3.00,0.00,601,NULL,213,'BOA VISTA','JOINVILLE','SC',19443,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7212003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,428,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7212038,1.00,6.00,3.00,6.00,5.00,7.88,1.00,6.00,2.00,203,NULL,214,'CATARINA FONTANA','CONCÓRDIA','SC',8600,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7212054,6.00,7.00,7.00,5.00,7.00,10.50,7.00,8.00,6.00,340,NULL,NULL,'TRUJILLO','SOROCABA','SP',289,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7212062,2.00,7.00,3.00,7.00,8.00,9.00,1.00,5.00,4.00,340,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',10982,305,NULL,NULL,NULL,NULL,NULL,4,5),(28,7212070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,220,'JARDIM MOINHO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7212097,0.00,3.00,1.00,7.00,5.00,NULL,0.00,2.00,1.00,201,NULL,207,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212100,4.00,4.00,1.00,6.00,6.00,7.13,1.00,3.00,2.00,103,NULL,NULL,'MAR GROSSO','LAGUNA','SC',16480,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7212127,5.00,8.00,2.00,7.00,10.00,7.50,8.00,5.00,7.00,216,NULL,211,'JOÃO PAULO','FLORIANÓPOLIS','SC',1649,51,NULL,16,NULL,NULL,NULL,4,1),(28,7212135,2.00,2.00,2.00,5.00,3.00,5.63,1.00,2.00,1.00,208,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',17720,195,NULL,NULL,NULL,NULL,NULL,4,1),(28,7212151,4.00,7.00,2.00,7.00,6.00,7.13,5.00,6.00,3.00,5,NULL,NULL,'ST LESTE VILA NOVA','GOIÂNIA','GO',5448,180,NULL,NULL,NULL,NULL,NULL,4,1),(28,7212160,1.00,4.00,1.00,4.00,7.00,7.50,4.00,2.00,1.00,316,NULL,NULL,'JARDIM CIDADE DE FLO','S JOSÉ','SC',18949,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212186,0.00,4.00,1.00,4.00,3.00,7.88,1.00,4.00,1.00,213,NULL,235,'VILA RICA','HERVAL D OESTE','SC',19575,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7212194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7212216,3.00,5.00,2.00,3.00,6.00,6.75,1.00,4.00,3.00,320,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',13203,28,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212232,2.00,5.00,3.00,5.00,5.00,6.38,2.00,6.00,2.00,203,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7212275,0.00,5.00,2.00,4.00,5.00,NULL,3.00,2.00,2.00,326,NULL,NULL,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7212291,0.00,5.00,1.00,7.00,8.00,8.63,3.00,4.00,2.00,203,NULL,214,'BARREIROS','S JOSÉ','SC',11621,576,NULL,278,NULL,NULL,NULL,2,1),(28,7212305,4.00,6.00,2.00,6.00,5.00,9.75,2.00,3.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212313,2.00,4.00,2.00,5.00,5.00,6.75,4.00,3.00,4.00,201,NULL,235,'BOM VIVER','BIGUAÇU','SC',16912,NULL,NULL,267,NULL,NULL,NULL,4,1),(28,7212321,3.00,6.00,2.00,4.00,6.00,10.88,2.00,4.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8193,250,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212348,1.00,4.00,1.00,5.00,7.00,9.38,2.00,4.00,2.00,317,NULL,NULL,'IPIRANGA','S JOSÉ','SC',13505,82,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212356,0.00,2.00,2.00,3.00,4.00,7.88,1.00,3.00,1.00,211,NULL,215,'AREIAS DE PALHOCINHA','GAROPABA','SC',16940,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212364,3.00,7.00,1.00,5.00,5.00,7.50,3.00,3.00,3.00,213,NULL,202,'CALEMBA','STO AMARO IMPERATRIZ','SC',10458,187,NULL,267,NULL,NULL,NULL,4,1),(28,7212372,0.00,2.00,0.00,4.00,4.00,NULL,1.00,5.00,2.00,5,NULL,NULL,'CRISTO REI','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7212380,1.00,5.00,2.00,2.00,3.00,7.50,3.00,5.00,2.00,5,NULL,NULL,'LINHA CARAVÁGIO','GUARUJÁ SUL','SC',19148,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7212399,2.00,5.00,1.00,7.00,6.00,9.38,2.00,5.00,1.00,653,NULL,216,'COLONINHA','ARARANGUÁ','SC',11360,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7212402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'ALPHAVILLE','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7212410,0.00,5.00,1.00,4.00,5.00,9.00,2.00,5.00,3.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12783,77,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212429,0.00,2.00,1.00,3.00,4.00,6.00,2.00,3.00,2.00,201,NULL,207,'FAZENDA RESSURREIÇÃO','ÁGUAS MORNAS','SC',18170,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212453,1.00,3.00,3.00,6.00,7.00,0.00,2.00,4.00,4.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212461,0.00,6.00,1.00,4.00,6.00,7.13,4.00,2.00,1.00,551,NULL,NULL,'INTERIOR','CURITIBANOS','SC',15048,18,NULL,NULL,NULL,NULL,NULL,2,16),(28,7212470,3.00,5.00,2.00,7.00,10.00,7.50,2.00,7.00,3.00,329,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',12061,12,NULL,NULL,NULL,NULL,NULL,3,1),(28,7212496,2.00,6.00,1.00,6.00,7.00,10.13,4.00,5.00,4.00,340,NULL,NULL,'CENTRO','S JOSÉ CEDRO','SC',6758,175,NULL,NULL,NULL,NULL,NULL,4,27),(28,7212500,2.00,4.00,3.00,4.00,5.00,9.00,5.00,6.00,2.00,5,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',10247,303,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212518,1.00,6.00,2.00,1.00,5.00,7.88,3.00,4.00,3.00,235,NULL,203,'MORRO MINEIRO','ANGELINA','SC',13433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7212526,2.00,7.00,0.00,7.00,7.00,10.13,3.00,6.00,5.00,303,NULL,NULL,'JARDIM RINCÃO','ARUJÁ','SP',5887,269,NULL,NULL,NULL,NULL,NULL,2,8),(28,7212534,2.00,5.00,3.00,3.00,5.00,7.13,3.00,4.00,1.00,302,NULL,NULL,'BELA VISTA','S JOSÉ','SC',18882,145,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212542,3.00,6.00,0.00,7.00,5.00,9.38,1.00,6.00,2.00,332,NULL,NULL,'BROOKLIN NOVO','S PAULO','SP',16110,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7212569,2.00,7.00,2.00,6.00,8.00,8.25,4.00,5.00,7.00,211,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',5445,135,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212577,0.00,6.00,2.00,5.00,7.00,NULL,4.00,3.00,4.00,552,NULL,NULL,'SEMINARIO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7212585,3.00,6.00,3.00,4.00,6.00,5.25,3.00,5.00,4.00,220,NULL,203,'ZONA SETE','MARINGÁ','PR',9282,233,NULL,NULL,NULL,NULL,NULL,4,1),(28,7212593,2.00,7.00,3.00,5.00,9.00,7.88,5.00,5.00,4.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',4686,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7212607,6.00,9.00,2.00,6.00,9.00,7.13,3.00,7.00,7.00,104,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',1402,7,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212623,4.00,5.00,3.00,7.00,4.00,7.88,3.00,5.00,4.00,203,NULL,214,'BOM RETIRO','JOINVILLE','SC',12318,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7212631,0.00,4.00,1.00,2.00,7.00,10.13,2.00,4.00,1.00,201,NULL,202,'SIQUEIRO','LAGUNA','SC',15038,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7212640,0.00,3.00,1.00,3.00,1.00,NULL,0.00,3.00,0.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7212658,4.00,7.00,3.00,6.00,7.00,7.50,4.00,5.00,2.00,426,NULL,421,'CAMPECHE','FLORIANÓPOLIS','SC',11838,13,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212682,2.00,6.00,3.00,6.00,4.00,7.88,2.00,2.00,4.00,207,NULL,215,'CENTRO','LONTRAS','SC',12448,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7212690,1.00,4.00,0.00,5.00,4.00,8.63,2.00,3.00,3.00,103,NULL,NULL,'LINDOIA','CURITIBA','PR',15012,2354,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7212712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7212720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7212739,1.00,7.00,3.00,6.00,7.00,10.50,3.00,3.00,2.00,220,NULL,235,'MONTE VERDE','FLORIANÓPOLIS','SC',7292,197,NULL,124,NULL,NULL,NULL,2,1),(28,7212747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'TERMAS','GRAVATAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7212755,2.00,2.00,4.00,5.00,4.00,8.25,0.00,3.00,4.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',13918,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7212798,0.00,7.00,0.00,2.00,5.00,7.88,2.00,4.00,3.00,201,NULL,601,'INGLESES','FLORIANÓPOLIS','SC',14987,912,NULL,NULL,NULL,NULL,NULL,4,1),(28,7212801,0.00,3.00,1.00,2.00,2.00,NULL,1.00,6.00,1.00,425,NULL,NULL,'JARDIM MORADA DO SOL','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7212810,1.00,4.00,2.00,2.00,2.00,NULL,0.00,4.00,2.00,316,NULL,NULL,'PRAIA DO SONHO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,202,'JARDIM IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7212836,3.00,7.00,3.00,3.00,7.00,8.63,4.00,7.00,6.00,103,NULL,NULL,'SÃO CRISTÓVÃO','VIDEIRA','SC',7371,1818,NULL,NULL,NULL,NULL,NULL,2,25),(28,7212860,2.00,7.00,2.00,3.00,5.00,6.75,2.00,3.00,3.00,309,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14248,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7212879,0.00,5.00,1.00,5.00,4.00,NULL,3.00,3.00,2.00,214,NULL,213,'CIDADE JARDIM','POUSO ALEGRE','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212909,5.00,7.00,2.00,7.00,6.00,11.25,0.00,4.00,4.00,108,NULL,NULL,'MONTE ALEGRE','RIBEIRÃO PRETO','SP',5433,64,NULL,NULL,NULL,NULL,NULL,4,1),(28,7212917,0.00,1.00,1.00,1.00,2.00,NULL,2.00,2.00,1.00,318,NULL,NULL,'CENTRO','S MARTINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7212925,3.00,3.00,2.00,4.00,4.00,8.25,3.00,3.00,2.00,103,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',14018,2303,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212933,0.00,2.00,0.00,6.00,6.00,NULL,2.00,2.00,2.00,320,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7212941,2.00,4.00,2.00,2.00,5.00,3.00,2.00,2.00,4.00,303,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7212950,5.00,7.00,2.00,7.00,7.00,12.00,3.00,6.00,4.00,319,NULL,NULL,'SION','BELO HORIZONTE','MG',3664,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7212984,6.00,7.00,1.00,4.00,7.00,7.50,2.00,7.00,3.00,207,NULL,201,'PARQUE SÃO JORGE','CAMPINAS','SP',6710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7212992,0.00,6.00,4.00,5.00,3.00,0.00,1.00,2.00,4.00,214,NULL,601,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7213000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'PINHEIRÃO','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7213018,0.00,4.00,2.00,4.00,5.00,5.63,3.00,5.00,3.00,301,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',17267,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7213026,1.00,0.00,3.00,3.00,2.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7213042,2.00,4.00,0.00,5.00,3.00,9.38,1.00,4.00,1.00,101,NULL,NULL,'VILA FLÔR','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7213050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,652,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7213077,3.00,4.00,2.00,6.00,6.00,9.75,2.00,5.00,3.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15290,214,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213085,1.00,6.00,1.00,6.00,7.00,7.88,4.00,5.00,3.00,316,NULL,NULL,'PARQUE ALVORADA','DOURADOS','MS',10143,93,NULL,NULL,NULL,NULL,NULL,2,1),(28,7213093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7213115,4.00,6.00,2.00,5.00,3.00,9.75,4.00,7.00,5.00,222,NULL,NULL,'HAMONIA','CANOAS','RS',7625,13,NULL,NULL,NULL,NULL,NULL,2,1),(28,7213123,3.00,5.00,2.00,4.00,6.00,4.50,2.00,5.00,1.00,5,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7213131,1.00,4.00,2.00,3.00,4.00,6.75,2.00,4.00,2.00,201,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',19445,1041,NULL,399,NULL,NULL,NULL,2,1),(28,7213140,4.00,5.00,2.00,4.00,6.00,8.63,3.00,5.00,5.00,318,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',8692,53,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213158,5.00,4.00,2.00,5.00,8.00,10.88,4.00,5.00,2.00,317,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',12344,62,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213174,0.00,2.00,1.00,5.00,3.00,NULL,2.00,3.00,4.00,9,NULL,NULL,'GUARDA DO EMBAÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7213182,0.00,5.00,2.00,2.00,4.00,NULL,2.00,2.00,3.00,238,NULL,203,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213190,0.00,5.00,2.00,2.00,3.00,NULL,2.00,2.00,1.00,101,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7213204,4.00,5.00,3.00,5.00,5.00,6.00,4.00,5.00,3.00,201,NULL,207,'FAZ DO RIO TAVARES','FLORIANÓPOLIS','SC',10507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7213212,5.00,6.00,3.00,7.00,10.00,8.63,4.00,5.00,5.00,103,NULL,NULL,'RITA VIEIRA','CPO GRANDE','MS',2062,899,NULL,NULL,NULL,NULL,NULL,2,3),(28,7213220,5.00,6.00,6.00,4.00,9.00,11.63,6.00,7.00,6.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',925,521,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213239,1.00,5.00,3.00,2.00,5.00,3.00,2.00,3.00,2.00,336,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7213255,0.00,2.00,1.00,5.00,4.00,6.00,1.00,2.00,1.00,318,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7213263,7.00,7.00,6.00,7.00,7.00,5.25,7.00,7.00,6.00,203,NULL,214,'CENTRO','GUABIRUBA','SC',1175,110,NULL,24,NULL,NULL,NULL,4,22),(28,7213271,3.00,7.00,2.00,5.00,7.00,8.25,1.00,6.00,2.00,331,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',9807,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7213301,4.00,3.00,1.00,5.00,6.00,7.13,3.00,5.00,4.00,415,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',11590,188,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213310,1.00,7.00,2.00,5.00,3.00,8.25,3.00,5.00,4.00,601,NULL,201,'SANTO ANTONIO','JOINVILLE','SC',12800,384,NULL,NULL,NULL,NULL,NULL,4,8),(28,7213328,1.00,3.00,4.00,2.00,0.00,NULL,1.00,2.00,2.00,5,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213360,2.00,7.00,3.00,7.00,9.00,NULL,2.00,4.00,5.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7213387,1.00,5.00,1.00,5.00,5.00,7.13,3.00,3.00,3.00,415,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'INTERIOR','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,27),(28,7213417,3.00,7.00,2.00,4.00,4.00,4.88,6.00,3.00,4.00,203,NULL,214,'CAMPECHE','FLORIANÓPOLIS','SC',10681,552,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213425,0.00,5.00,1.00,7.00,9.00,NULL,2.00,6.00,3.00,428,NULL,426,'PADRE MARTINHO STEIN','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7213433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'ARMAÇÃO','PENHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7213441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM CRISTIANE','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7213450,3.00,5.00,0.00,1.00,5.00,NULL,1.00,4.00,2.00,201,NULL,202,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213468,4.00,8.00,3.00,6.00,10.00,5.63,5.00,4.00,4.00,238,NULL,652,'ESTREITO','FLORIANÓPOLIS','SC',5752,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'MOURA','CANELINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7213484,1.00,4.00,2.00,4.00,5.00,6.38,0.00,3.00,1.00,238,NULL,653,'CAMPECHE','FLORIANÓPOLIS','SC',19797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213492,3.00,5.00,1.00,6.00,1.00,NULL,3.00,5.00,2.00,336,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7213506,2.00,8.00,2.00,2.00,3.00,5.63,4.00,2.00,3.00,235,NULL,203,'RIO PEQUENO','ANGELINA','SC',18827,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213522,0.00,4.00,1.00,2.00,4.00,6.75,1.00,4.00,1.00,214,NULL,213,'JARDIM SAO CARLOS','SOROCABA','SP',17806,347,NULL,263,NULL,NULL,NULL,2,1),(28,7213557,6.00,6.00,3.00,7.00,9.00,8.63,0.00,7.00,4.00,103,NULL,NULL,'SAO FRANCISCO','CURITIBA','PR',7752,1861,NULL,NULL,NULL,NULL,NULL,2,8),(28,7213565,2.00,4.00,0.00,3.00,8.00,10.13,1.00,4.00,3.00,109,NULL,NULL,'NOSSA S DO ROSÁRIO','S JOSÉ','SC',12463,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213573,2.00,7.00,0.00,7.00,7.00,NULL,2.00,3.00,3.00,201,NULL,238,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213590,0.00,2.00,2.00,2.00,6.00,NULL,1.00,4.00,2.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7213603,0.00,3.00,4.00,4.00,5.00,5.63,4.00,2.00,1.00,327,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213620,2.00,7.00,1.00,6.00,7.00,6.38,3.00,5.00,3.00,216,NULL,215,'CENTRO','CAPINZAL','SC',13258,NULL,NULL,226,NULL,NULL,NULL,4,7),(28,7213638,1.00,4.00,2.00,7.00,6.00,4.88,1.00,2.00,2.00,319,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',19294,370,NULL,NULL,NULL,NULL,NULL,2,1),(28,7213646,1.00,5.00,4.00,5.00,6.00,9.00,1.00,4.00,3.00,103,NULL,NULL,'CENTRO','PALMITOS','SC',10961,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7213654,2.00,7.00,1.00,6.00,7.00,8.63,3.00,5.00,4.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13151,186,NULL,NULL,NULL,NULL,NULL,3,1),(28,7213662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7213689,2.00,4.00,0.00,7.00,1.00,NULL,1.00,5.00,1.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7213697,0.00,4.00,2.00,1.00,3.00,6.75,1.00,4.00,3.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7213700,2.00,2.00,1.00,5.00,3.00,6.38,2.00,1.00,3.00,201,NULL,233,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7213719,2.00,4.00,0.00,6.00,7.00,NULL,2.00,2.00,2.00,340,NULL,NULL,'TAJUBA UM','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7213743,5.00,6.00,3.00,7.00,7.00,7.13,5.00,6.00,5.00,552,NULL,NULL,'VARZEA','LAGES','SC',6776,8,NULL,NULL,NULL,NULL,NULL,2,9),(28,7213751,0.00,4.00,4.00,2.00,4.00,9.38,1.00,3.00,2.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',16027,2403,NULL,NULL,NULL,NULL,NULL,4,16),(28,7213760,5.00,7.00,2.00,6.00,10.00,12.75,3.00,8.00,6.00,103,NULL,NULL,'PASSAGEM','TUBARÃO','SC',2256,950,NULL,NULL,NULL,NULL,NULL,4,10),(28,7213778,0.00,4.00,4.00,2.00,5.00,6.38,3.00,3.00,2.00,310,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',19214,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213786,1.00,0.00,2.00,6.00,3.00,NULL,0.00,0.00,0.00,211,NULL,207,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7213808,3.00,7.00,1.00,7.00,7.00,9.00,3.00,6.00,5.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',5798,88,NULL,NULL,NULL,NULL,NULL,2,1),(28,7213816,4.00,8.00,3.00,5.00,7.00,10.88,3.00,7.00,5.00,212,NULL,214,'PEDREIRA','S PAULO','SP',2408,56,NULL,87,NULL,NULL,NULL,2,1),(28,7213824,1.00,6.00,1.00,3.00,5.00,7.13,3.00,3.00,3.00,212,NULL,601,'FARROUPILHA','VIDEIRA','SC',14093,NULL,NULL,419,NULL,NULL,NULL,4,7),(28,7213832,1.00,8.00,3.00,6.00,8.00,7.88,3.00,7.00,6.00,450,NULL,NULL,'PUTIM EMHA','S JOSÉ CAMPOS','SP',3384,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213840,3.00,7.00,3.00,5.00,6.00,9.00,2.00,7.00,4.00,316,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',8636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213859,2.00,5.00,4.00,5.00,3.00,6.75,2.00,6.00,2.00,415,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',12504,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7213875,3.00,6.00,2.00,5.00,6.00,7.88,4.00,6.00,4.00,202,NULL,653,'PRESIDENTE VARGAS','IÇARA','SC',11100,281,NULL,115,NULL,NULL,NULL,2,5),(28,7213883,2.00,3.00,3.00,1.00,7.00,9.00,2.00,4.00,3.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',14056,15,NULL,NULL,NULL,NULL,NULL,4,16),(28,7213891,2.00,6.00,1.00,2.00,4.00,7.13,1.00,2.00,3.00,212,NULL,NULL,'FAZENDA DO MAX','S JOSÉ','SC',16821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213913,0.00,7.00,1.00,7.00,5.00,NULL,3.00,6.00,5.00,208,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7213921,3.00,6.00,1.00,5.00,5.00,7.13,1.00,4.00,3.00,5,NULL,NULL,'CIDADE ALTA','CUIABÁ','MT',13013,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7213930,0.00,2.00,1.00,2.00,6.00,NULL,1.00,2.00,0.00,101,NULL,NULL,'PARARANGABA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7213948,3.00,5.00,1.00,3.00,6.00,5.25,4.00,5.00,3.00,103,NULL,NULL,'CENTRO','BRAÇO TROMBUDO','SC',13000,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7213956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'MARAFON','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,25),(28,7213972,2.00,6.00,3.00,7.00,5.00,4.50,1.00,6.00,2.00,404,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7213980,1.00,4.00,1.00,7.00,5.00,7.13,3.00,4.00,3.00,223,NULL,NULL,'CENTRO HISTORICO','GAROPABA','SC',17791,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7213999,2.00,4.00,2.00,3.00,7.00,6.00,3.00,2.00,4.00,101,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',18699,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7214006,2.00,0.00,1.00,1.00,3.00,5.25,1.00,1.00,2.00,654,NULL,NULL,'VILA JOSÉ NAZÁRIO','ARMAZÉM','SC',19822,80,NULL,NULL,NULL,NULL,NULL,2,10),(28,7214014,1.00,7.00,1.00,4.00,6.00,7.88,3.00,5.00,1.00,108,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',11933,165,NULL,NULL,NULL,NULL,NULL,4,8),(28,7214022,5.00,7.00,2.00,5.00,3.00,7.88,2.00,4.00,4.00,108,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',10793,144,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,215,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7214049,1.00,3.00,1.00,6.00,2.00,NULL,1.00,5.00,1.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7214057,2.00,4.00,2.00,4.00,4.00,6.38,5.00,5.00,1.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17349,53,NULL,NULL,NULL,NULL,NULL,2,1),(28,7214065,2.00,6.00,1.00,6.00,9.00,8.25,3.00,5.00,2.00,319,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',9410,169,NULL,NULL,NULL,NULL,NULL,2,1),(28,7214081,1.00,7.00,3.00,5.00,4.00,6.75,2.00,4.00,3.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14994,194,NULL,NULL,NULL,NULL,NULL,2,1),(28,7214090,3.00,7.00,3.00,4.00,9.00,5.63,5.00,7.00,7.00,207,NULL,216,'RIO TAVARES','FLORIANÓPOLIS','SC',7182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7214103,6.00,8.00,0.00,5.00,7.00,9.00,5.00,7.00,6.00,340,NULL,NULL,'CENTRO','PATO BRANCO','PR',3520,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7214111,1.00,4.00,2.00,2.00,3.00,6.38,1.00,3.00,4.00,324,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',17768,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7214120,2.00,5.00,1.00,3.00,7.00,7.88,2.00,3.00,4.00,238,NULL,655,'BARRA DO ARIRIÚ','PALHOÇA','SC',10492,162,NULL,53,NULL,NULL,NULL,4,1),(28,7214146,0.00,0.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7214162,2.00,6.00,2.00,7.00,9.00,9.38,4.00,7.00,7.00,5,NULL,NULL,'VILA SABRINA','S PAULO','SP',2195,71,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214170,1.00,5.00,2.00,5.00,5.00,6.00,1.00,4.00,0.00,220,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',14441,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7214189,5.00,5.00,2.00,3.00,8.00,7.88,3.00,3.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7537,172,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214197,7.00,8.00,3.00,6.00,8.00,10.88,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1961,876,NULL,NULL,NULL,NULL,NULL,4,8),(28,7214200,4.00,9.00,3.00,6.00,8.00,7.50,3.00,5.00,2.00,207,NULL,201,'CENTRO','MARAVILHA','SC',9768,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7214219,3.00,6.00,1.00,1.00,3.00,NULL,2.00,6.00,0.00,220,NULL,201,'ARAPONGUINHAS','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7214243,4.00,8.00,1.00,6.00,7.00,7.88,5.00,7.00,6.00,201,NULL,211,'PEDRA REDONDA','PTO ALEGRE','RS',3077,231,NULL,62,NULL,NULL,NULL,4,1),(28,7214251,1.00,5.00,2.00,3.00,3.00,9.00,3.00,2.00,2.00,201,NULL,NULL,'SALETE','S MIGUEL OESTE','SC',14448,886,NULL,NULL,NULL,NULL,NULL,4,27),(28,7214260,1.00,6.00,2.00,3.00,6.00,7.50,4.00,5.00,4.00,207,NULL,212,'UNIVERSITÁRIO','CHAPECÓ','SC',12952,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7214278,3.00,6.00,2.00,6.00,5.00,6.38,2.00,5.00,2.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7214294,6.00,7.00,1.00,4.00,4.00,8.25,2.00,6.00,3.00,5,NULL,NULL,'VILA NOVA','JOINVILLE','SC',10034,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7214308,1.00,6.00,1.00,6.00,4.00,6.38,1.00,5.00,3.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12132,462,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214316,1.00,7.00,0.00,7.00,5.00,8.25,3.00,4.00,1.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17018,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'NASPOLINI','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7214332,2.00,7.00,1.00,5.00,6.00,9.75,0.00,6.00,2.00,110,NULL,NULL,'CAMPO DE DEMOSTRAÇÃO','S PEDRO ALCÂNTARA','SC',15253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7214340,1.00,6.00,1.00,7.00,6.00,7.13,1.00,6.00,2.00,454,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214359,2.00,1.00,2.00,2.00,4.00,5.25,3.00,2.00,1.00,101,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7214367,3.00,0.00,4.00,6.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(28,7214375,2.00,3.00,2.00,6.00,4.00,8.25,1.00,3.00,3.00,333,NULL,NULL,'CENTRO','PTO ALEGRE','RS',14348,90,NULL,NULL,NULL,NULL,NULL,2,10),(28,7214383,3.00,6.00,2.00,5.00,2.00,NULL,4.00,3.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7214391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7214405,0.00,4.00,1.00,4.00,5.00,6.75,4.00,5.00,3.00,201,NULL,213,'CARIANOS','FLORIANÓPOLIS','SC',18127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214413,1.00,4.00,2.00,5.00,4.00,5.63,3.00,5.00,1.00,319,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',18594,358,NULL,NULL,NULL,NULL,NULL,2,1),(28,7214430,2.00,6.00,2.00,6.00,6.00,7.50,3.00,5.00,1.00,201,NULL,601,'CENTRO','CANOINHAS','SC',13715,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7214448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JD MONTEREY','JALES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7214456,4.00,6.00,2.00,6.00,7.00,7.88,3.00,5.00,4.00,316,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',11193,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7214464,0.00,3.00,2.00,1.00,2.00,NULL,2.00,2.00,2.00,208,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7214472,0.00,3.00,0.00,5.00,4.00,6.38,2.00,2.00,1.00,319,NULL,NULL,'CENTRO','S LOURENÇO','MG',18573,357,NULL,NULL,NULL,NULL,NULL,2,27),(28,7214480,1.00,4.00,2.00,3.00,5.00,NULL,0.00,0.00,1.00,220,NULL,238,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7214499,4.00,6.00,5.00,6.00,7.00,7.88,5.00,6.00,3.00,655,NULL,652,'BOM VIVER','BIGUAÇU','SC',8525,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214502,1.00,1.00,3.00,6.00,3.00,7.50,1.00,2.00,1.00,331,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19847,49,NULL,NULL,NULL,NULL,NULL,2,1),(28,7214510,4.00,4.00,3.00,6.00,5.00,11.25,4.00,3.00,4.00,319,NULL,NULL,'SAO MANOEL','S JOSÉ R PRETO','SP',7225,117,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214529,0.00,5.00,1.00,7.00,7.00,7.88,1.00,2.00,3.00,103,NULL,NULL,'CORAL','LAGES','SC',16441,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7214537,1.00,4.00,1.00,5.00,4.00,7.13,1.00,3.00,1.00,207,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7214545,5.00,7.00,2.00,7.00,10.00,9.75,2.00,4.00,5.00,103,NULL,NULL,'MARIA LUIZA','LAGES','SC',4284,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7214553,5.00,7.00,2.00,5.00,7.00,8.25,4.00,5.00,4.00,304,NULL,NULL,'VILA MONUMENTO','S PAULO','SP',6191,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7214570,0.00,3.00,3.00,7.00,4.00,12.00,1.00,3.00,4.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7214588,1.00,3.00,2.00,1.00,6.00,6.75,2.00,1.00,1.00,207,NULL,201,'CENTRO','PALMITOS','SC',19803,813,NULL,1052,NULL,NULL,NULL,4,4),(28,7214596,2.00,3.00,0.00,2.00,5.00,5.25,2.00,6.00,4.00,216,NULL,233,'CENTRO','TIJUCAS','SC',15016,399,NULL,310,NULL,NULL,NULL,4,1),(28,7214600,6.00,7.00,3.00,4.00,3.00,10.13,4.00,5.00,6.00,318,NULL,NULL,'VILA HAMBURGUESA','S PAULO','SP',3922,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214626,3.00,6.00,2.00,5.00,5.00,6.75,4.00,4.00,3.00,109,NULL,NULL,'TERESOPOLIS','ÁGUAS MORNAS','SC',16542,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7214634,3.00,5.00,2.00,7.00,3.00,NULL,0.00,3.00,4.00,999,NULL,NULL,'HIGIENÓPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214642,3.00,3.00,1.00,5.00,5.00,6.00,5.00,5.00,3.00,310,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7214650,3.00,6.00,4.00,5.00,4.00,8.63,4.00,4.00,3.00,601,NULL,201,'BOM VIVER','BIGUAÇU','SC',14669,440,NULL,897,NULL,NULL,NULL,2,1),(28,7214669,0.00,4.00,2.00,6.00,4.00,NULL,2.00,5.00,2.00,339,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214677,1.00,3.00,1.00,2.00,4.00,7.88,1.00,4.00,3.00,102,NULL,NULL,'COLONIAL','S BENTO SUL','SC',17393,162,NULL,NULL,NULL,NULL,NULL,4,8),(28,7214685,4.00,6.00,3.00,7.00,8.00,9.00,5.00,7.00,4.00,102,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',3857,14,NULL,NULL,NULL,NULL,NULL,2,10),(28,7214715,0.00,4.00,2.00,3.00,7.00,9.00,3.00,5.00,3.00,333,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',13178,74,NULL,NULL,NULL,NULL,NULL,4,3),(28,7214723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7214740,3.00,6.00,2.00,4.00,4.00,7.88,2.00,5.00,2.00,318,NULL,NULL,'CAPELA','VINHEDO','SP',17187,122,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7214774,4.00,7.00,4.00,6.00,5.00,6.38,3.00,7.00,4.00,205,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9014,4,NULL,NULL,NULL,NULL,NULL,2,1),(28,7214782,4.00,7.00,4.00,6.00,9.00,8.25,3.00,6.00,5.00,340,NULL,NULL,'BENEDITO','INDAIAL','SC',3380,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7214790,1.00,5.00,2.00,7.00,6.00,7.13,4.00,4.00,5.00,318,NULL,NULL,'GAROPABA DO SUL','JAGUARUNA','SC',14539,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7214812,5.00,8.00,1.00,6.00,5.00,7.50,6.00,6.00,6.00,336,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',6193,31,NULL,NULL,NULL,NULL,NULL,2,10),(28,7214820,3.00,7.00,3.00,6.00,6.00,8.25,1.00,4.00,1.00,999,NULL,NULL,'TESTO SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7214839,1.00,5.00,3.00,6.00,3.00,6.75,2.00,5.00,1.00,214,NULL,213,'CENTRO','BAL CAMBORIÚ','SC',18067,351,NULL,269,NULL,NULL,NULL,4,3),(28,7214847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7214855,2.00,4.00,1.00,2.00,7.00,8.25,2.00,4.00,3.00,104,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',13656,334,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214863,3.00,6.00,2.00,6.00,4.00,10.50,2.00,5.00,5.00,103,NULL,NULL,'HUMAITÁ CENTRO','TUBARÃO','SC',8860,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7214871,5.00,5.00,5.00,5.00,10.00,5.25,3.00,4.00,5.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3815,180,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214880,3.00,6.00,2.00,7.00,8.00,8.25,4.00,4.00,6.00,207,NULL,201,'COPACABANA','LAGES','SC',6583,304,NULL,NULL,NULL,NULL,NULL,4,9),(28,7214898,3.00,5.00,2.00,4.00,4.00,5.25,3.00,5.00,2.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',17846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214901,3.00,4.00,2.00,2.00,3.00,7.88,1.00,2.00,3.00,102,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',15629,141,NULL,NULL,NULL,NULL,NULL,2,1),(28,7214910,1.00,3.00,1.00,5.00,4.00,0.00,5.00,5.00,1.00,444,NULL,NULL,'TRES PEDRINHAS','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7214936,2.00,6.00,2.00,6.00,7.00,8.25,3.00,2.00,2.00,415,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',10280,164,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214944,4.00,3.00,2.00,2.00,4.00,6.38,3.00,2.00,3.00,212,NULL,203,'SAO LUIZ GONZAGA','PASSO FUNDO','RS',16272,390,NULL,662,NULL,NULL,NULL,4,1),(28,7214952,2.00,5.00,1.00,5.00,7.00,9.00,4.00,3.00,4.00,333,NULL,NULL,'CAMPUS DO CTA','S JOSÉ CAMPOS','SP',8851,48,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214960,2.00,7.00,1.00,7.00,9.00,6.75,0.00,5.00,1.00,551,NULL,NULL,'GETULIO VARGAS','CURITIBANOS','SC',16582,33,NULL,NULL,NULL,NULL,NULL,2,16),(28,7214979,2.00,5.00,2.00,5.00,6.00,13.50,3.00,5.00,2.00,326,NULL,NULL,'BARREIROS','S JOSÉ','SC',13631,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214987,4.00,4.00,4.00,4.00,7.00,6.38,3.00,5.00,4.00,2,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',8662,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7214995,5.00,6.00,3.00,7.00,6.00,6.75,4.00,6.00,5.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',3903,1303,NULL,NULL,NULL,NULL,NULL,4,1),(28,7215002,0.00,5.00,2.00,5.00,3.00,8.25,0.00,5.00,0.00,304,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',16228,116,NULL,NULL,NULL,NULL,NULL,2,4),(28,7215010,4.00,6.00,1.00,5.00,7.00,9.75,3.00,4.00,4.00,238,NULL,235,'RIO VERMELHO','FLORIANÓPOLIS','SC',7706,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7215029,2.00,3.00,2.00,4.00,3.00,7.50,1.00,4.00,1.00,109,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',19598,93,NULL,NULL,NULL,NULL,NULL,2,4),(28,7215037,6.00,8.00,5.00,7.00,10.00,12.75,6.00,9.00,7.00,103,NULL,NULL,'ORIÇO','GRAVATAÍ','RS',85,70,NULL,NULL,NULL,NULL,NULL,4,1),(28,7215045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CEL FREITAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7215053,0.00,2.00,0.00,1.00,2.00,NULL,0.00,0.00,1.00,216,NULL,203,'CENTRO','S MARTINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7215088,0.00,5.00,2.00,5.00,4.00,5.25,2.00,2.00,3.00,9,NULL,NULL,'CENTRO','STA ROSA SUL','SC',16397,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7215100,6.00,8.00,5.00,7.00,9.00,10.88,5.00,7.00,7.00,103,NULL,NULL,'BUCAREIN','JOINVILLE','SC',631,404,NULL,NULL,NULL,NULL,NULL,4,8),(28,7215118,5.00,7.00,3.00,7.00,8.00,8.63,3.00,7.00,4.00,601,NULL,214,'ANITA GARIBALDI','JOINVILLE','SC',6014,118,NULL,NULL,NULL,NULL,NULL,4,8),(28,7215126,2.00,4.00,1.00,6.00,6.00,7.13,3.00,5.00,1.00,211,NULL,653,'GERTRUDES','VACARIA','RS',17277,410,NULL,186,NULL,NULL,NULL,2,1),(28,7215134,1.00,5.00,3.00,2.00,4.00,6.38,1.00,3.00,2.00,202,NULL,235,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',16372,367,NULL,259,NULL,NULL,NULL,4,1),(28,7215142,3.00,3.00,3.00,4.00,6.00,6.38,2.00,3.00,1.00,207,NULL,201,'ARCO ÍRIS','CAPINZAL','SC',14010,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7215150,9.00,8.00,8.00,6.00,9.00,11.25,8.00,8.00,7.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',44,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7215169,3.00,8.00,3.00,6.00,5.00,8.63,3.00,7.00,3.00,303,NULL,NULL,'SANTO ANTÔNIO','CRICIÚMA','SC',11734,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7215177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CENTRO','NÃO-ME-TOQUE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7215185,0.00,5.00,2.00,6.00,3.00,6.00,2.00,1.00,3.00,415,NULL,NULL,'FLORESTA','S JOSÉ','SC',16307,243,NULL,NULL,NULL,NULL,NULL,2,1),(28,7215207,0.00,5.00,2.00,5.00,4.00,8.25,2.00,3.00,3.00,104,NULL,NULL,'TIMBÉ','S JOÃO BATISTA','SC',15076,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7215231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7215240,1.00,6.00,1.00,6.00,8.00,8.25,5.00,6.00,2.00,103,NULL,NULL,'CENTRO','PALHOÇA','SC',8722,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7215258,2.00,5.00,1.00,3.00,5.00,8.25,3.00,6.00,2.00,450,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',16944,122,NULL,NULL,NULL,NULL,NULL,4,1),(28,7215266,2.00,4.00,1.00,3.00,4.00,10.88,2.00,3.00,2.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',16269,2412,NULL,NULL,NULL,NULL,NULL,4,2),(28,7215282,4.00,6.00,1.00,6.00,5.00,8.63,1.00,5.00,4.00,316,NULL,NULL,'VILA MARIA','ITAPETININGA','SP',8345,75,NULL,NULL,NULL,NULL,NULL,4,3),(28,7215290,2.00,5.00,2.00,7.00,6.00,NULL,3.00,4.00,2.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7215312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'DONA FRANCISCA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7215320,0.00,6.00,1.00,2.00,6.00,4.50,3.00,3.00,2.00,318,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',16416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7215347,2.00,3.00,3.00,3.00,4.00,5.63,3.00,3.00,0.00,9,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7215363,3.00,6.00,2.00,6.00,5.00,9.00,2.00,3.00,4.00,103,NULL,NULL,'JARDIM ARMÊNIA','MOGI CRUZES','SP',9662,2049,NULL,NULL,NULL,NULL,NULL,4,1),(28,7215371,0.00,1.00,2.00,3.00,3.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'CENTRO','MOGI GUAÇU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7215380,1.00,4.00,2.00,1.00,5.00,6.75,0.00,3.00,2.00,339,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',19884,64,NULL,NULL,NULL,NULL,NULL,4,1),(28,7215410,2.00,4.00,1.00,5.00,6.00,8.25,2.00,2.00,0.00,319,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',14821,287,NULL,NULL,NULL,NULL,NULL,2,1),(28,7215428,0.00,6.00,4.00,1.00,5.00,NULL,2.00,5.00,1.00,216,NULL,653,'AREIAS BRANCAS','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7215444,3.00,5.00,3.00,4.00,7.00,7.50,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',11122,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7215452,4.00,7.00,3.00,7.00,10.00,9.00,4.00,5.00,7.00,336,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',2719,9,NULL,NULL,NULL,NULL,NULL,4,5),(28,7215460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'INTERIOR','RIQUEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7215479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7215487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,23),(28,7215495,3.00,4.00,1.00,7.00,5.00,7.88,2.00,5.00,5.00,333,NULL,NULL,'PRAIA MOLE','FLORIANÓPOLIS','SC',9660,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7215509,2.00,5.00,1.00,4.00,5.00,7.50,0.00,3.00,2.00,102,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15733,144,NULL,NULL,NULL,NULL,NULL,4,1),(28,7215517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7215525,1.00,5.00,2.00,7.00,5.00,7.50,2.00,4.00,5.00,108,NULL,NULL,'JD CID FLORIANÓPOLIS','S JOSÉ','SC',16819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7215533,2.00,7.00,2.00,6.00,5.00,12.38,4.00,4.00,3.00,423,NULL,429,'CAMPECHE','FLORIANÓPOLIS','SC',11930,7,NULL,NULL,NULL,NULL,NULL,2,1),(28,7215541,1.00,5.00,4.00,2.00,3.00,NULL,0.00,2.00,1.00,319,NULL,NULL,'CENTRO','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7215568,1.00,3.00,2.00,4.00,4.00,8.25,2.00,3.00,2.00,999,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7215576,3.00,7.00,3.00,7.00,8.00,10.13,3.00,7.00,5.00,103,NULL,NULL,'MICHEL','CRICIÚMA','SC',4677,1443,NULL,NULL,NULL,NULL,NULL,4,5),(28,7215592,3.00,7.00,2.00,6.00,7.00,7.50,2.00,5.00,3.00,301,NULL,NULL,'DE VILLA','URUSSANGA','SC',11362,149,NULL,NULL,NULL,NULL,NULL,2,5),(28,7215606,2.00,1.00,1.00,2.00,3.00,NULL,0.00,4.00,0.00,328,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7215614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'XXV DE JULHO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7215622,1.00,3.00,4.00,5.00,6.00,9.00,3.00,5.00,2.00,104,NULL,NULL,'UBATUBA','S FRANCISCO SUL','SC',10656,259,NULL,NULL,NULL,NULL,NULL,2,8),(28,7215630,1.00,8.00,1.00,7.00,8.00,8.63,3.00,4.00,4.00,425,NULL,429,'ITACORUBI','FLORIANÓPOLIS','SC',9810,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7215649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7215681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7215690,0.00,3.00,4.00,3.00,4.00,NULL,2.00,4.00,3.00,103,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7215703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GRUTA DE LOURDES','MACEIÓ','AL',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7215720,2.00,7.00,1.00,6.00,5.00,7.13,0.00,6.00,1.00,454,NULL,NULL,'RIO BRANCO','S LEOPOLDO','RS',15752,321,NULL,NULL,NULL,NULL,NULL,2,1),(28,7215738,3.00,7.00,1.00,7.00,8.00,9.38,4.00,4.00,6.00,999,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7215762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'INTERIOR','RIQUEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7215789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7215819,1.00,2.00,2.00,4.00,4.00,5.63,0.00,2.00,3.00,108,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',18722,246,NULL,NULL,NULL,NULL,NULL,2,1),(28,7215827,0.00,3.00,1.00,2.00,3.00,6.75,1.00,2.00,2.00,207,NULL,201,'SANTO SARAIVA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7215835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITACURUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7215843,4.00,6.00,2.00,5.00,5.00,7.88,1.00,5.00,4.00,427,NULL,428,'CENTRO','FLORIANÓPOLIS','SC',9900,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7215851,1.00,5.00,4.00,7.00,4.00,8.25,7.00,3.00,3.00,317,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',12966,73,NULL,NULL,NULL,NULL,NULL,2,1),(28,7215886,5.00,5.00,4.00,5.00,7.00,NULL,4.00,6.00,3.00,207,NULL,233,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7215894,0.00,5.00,1.00,4.00,2.00,NULL,1.00,5.00,2.00,104,NULL,NULL,'CENTRO','SINOP','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7215908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'INTERIOR','RIQUEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7215916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'SCHRAMM','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7215932,3.00,7.00,2.00,5.00,9.00,8.25,3.00,7.00,4.00,201,NULL,202,'CENTRO','CRICIÚMA','SC',5441,421,NULL,150,NULL,NULL,NULL,2,5),(28,7215940,0.00,5.00,1.00,4.00,4.00,NULL,2.00,4.00,1.00,319,NULL,NULL,'CENTRO','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7215959,1.00,4.00,2.00,5.00,5.00,6.38,3.00,5.00,1.00,201,NULL,212,'SAO VICENTE DE PAULA','ERECHIM','RS',12518,803,NULL,344,NULL,NULL,NULL,2,4),(28,7215967,4.00,7.00,3.00,7.00,8.00,7.50,0.00,4.00,3.00,340,NULL,NULL,'CENTRO','S BENTO SUL','SC',8442,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7215975,0.00,3.00,2.00,5.00,4.00,7.88,3.00,4.00,1.00,101,NULL,NULL,'SANTA TERESA','S PEDRO ALCÂNTARA','SC',16780,109,NULL,NULL,NULL,NULL,NULL,2,1),(28,7215991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'RAINHA','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7216009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VICTOR KONDER','TAIÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7216017,1.00,3.00,3.00,3.00,6.00,6.38,1.00,5.00,3.00,211,NULL,215,'CENTRO','CHAPECÓ','SC',14727,371,NULL,NULL,NULL,NULL,NULL,4,4),(28,7216025,4.00,5.00,4.00,6.00,5.00,6.75,2.00,4.00,2.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15725,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7216041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,202,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7216050,2.00,6.00,2.00,8.00,8.00,6.38,3.00,4.00,4.00,211,NULL,202,'AGRONÔMICA','FLORIANÓPOLIS','SC',12429,323,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216068,5.00,6.00,2.00,7.00,6.00,7.50,4.00,6.00,3.00,103,NULL,NULL,'SANTO AMARO','S PAULO','SP',5598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7216076,3.00,4.00,0.00,3.00,4.00,NULL,0.00,2.00,3.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7216084,3.00,7.00,2.00,5.00,7.00,8.25,2.00,6.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8241,253,NULL,NULL,NULL,NULL,NULL,4,1),(28,7216092,0.00,9.00,5.00,4.00,5.00,NULL,3.00,4.00,2.00,303,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7216114,1.00,6.00,2.00,7.00,7.00,7.13,1.00,4.00,2.00,316,NULL,NULL,'BELA VISTA','S JOSÉ','SC',16628,225,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216122,0.00,5.00,1.00,6.00,5.00,NULL,3.00,3.00,2.00,104,NULL,NULL,'FATIMA','OTACÍLIO COSTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7216130,6.00,7.00,2.00,7.00,3.00,6.38,3.00,3.00,4.00,333,NULL,NULL,'VILA DEODORO','S PAULO','SP',9395,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7216149,0.00,3.00,1.00,7.00,6.00,NULL,1.00,3.00,2.00,109,NULL,NULL,'CIDADE ALTA','CUNHA PORÃ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7216157,0.00,7.00,2.00,6.00,7.00,9.75,3.00,6.00,2.00,415,NULL,NULL,'SÃO CRISTÓVÃO','CRICIÚMA','SC',12534,206,NULL,NULL,NULL,NULL,NULL,2,5),(28,7216165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7216173,1.00,3.00,2.00,6.00,6.00,7.50,4.00,4.00,3.00,202,NULL,601,'BOMBAS','BOMBINHAS','SC',12949,314,NULL,NULL,NULL,NULL,NULL,2,3),(28,7216181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7216190,4.00,8.00,3.00,7.00,7.00,10.50,6.00,8.00,6.00,203,NULL,214,'TARRAF','S JOSÉ R PRETO','SP',1217,113,NULL,29,NULL,NULL,NULL,4,8),(28,7216211,2.00,4.00,0.00,5.00,4.00,7.13,1.00,2.00,5.00,215,NULL,207,'IPIRANGA','S JOSÉ','SC',16756,268,NULL,724,NULL,NULL,NULL,2,1),(28,7216220,5.00,6.00,1.00,6.00,7.00,8.25,3.00,6.00,5.00,207,NULL,NULL,'ENCANTADA','GAROPABA','SC',5471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'ALTO ALEGRE','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7216246,4.00,6.00,1.00,7.00,9.00,10.13,2.00,5.00,3.00,340,NULL,NULL,'HIGIENÓPOLIS','S PAULO','SP',9532,267,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216254,4.00,7.00,3.00,7.00,9.00,0.00,5.00,7.00,3.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7216262,2.00,6.00,3.00,0.00,2.00,NULL,1.00,3.00,3.00,216,NULL,201,'INTERIOR','MONDAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,4),(28,7216270,3.00,3.00,2.00,6.00,2.00,NULL,2.00,3.00,1.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216289,0.00,2.00,4.00,6.00,6.00,7.88,1.00,2.00,2.00,444,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',19098,134,NULL,NULL,NULL,NULL,NULL,2,7),(28,7216297,1.00,5.00,2.00,5.00,4.00,6.38,2.00,3.00,1.00,103,NULL,NULL,'SANTA CRUZ','GUARAPUAVA','PR',14502,2332,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216300,2.00,7.00,1.00,2.00,4.00,6.38,3.00,4.00,2.00,103,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',18577,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7216319,2.00,8.00,3.00,5.00,7.00,9.38,1.00,7.00,3.00,103,NULL,NULL,'ZIMBROS','BOMBINHAS','SC',5952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7216327,2.00,5.00,2.00,7.00,6.00,8.25,0.00,4.00,1.00,655,NULL,652,'VILA NOVA','JARAGUÁ SUL','SC',12566,65,NULL,39,NULL,NULL,NULL,4,23),(28,7216343,4.00,6.00,4.00,6.00,5.00,6.00,3.00,4.00,3.00,203,NULL,202,'BRÜDERTHAL','GUARAMIRIM','SC',14524,NULL,NULL,331,NULL,NULL,NULL,4,23),(28,7216351,1.00,5.00,0.00,6.00,3.00,NULL,2.00,6.00,2.00,201,NULL,653,'PRIMEIRO DE MAIO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7216360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7216386,0.00,3.00,4.00,5.00,5.00,4.50,0.00,5.00,1.00,308,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',17497,52,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216394,4.00,8.00,3.00,6.00,7.00,7.88,4.00,7.00,6.00,214,NULL,212,'CENTRO','STA BÁRBARA D OESTE','SP',1757,54,NULL,20,NULL,NULL,NULL,4,1),(28,7216408,0.00,1.00,4.00,2.00,4.00,7.88,2.00,1.00,3.00,333,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',19062,119,NULL,NULL,NULL,NULL,NULL,4,1),(28,7216424,3.00,6.00,3.00,4.00,6.00,7.50,3.00,5.00,2.00,223,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',15751,29,NULL,NULL,NULL,NULL,NULL,4,5),(28,7216432,0.00,3.00,1.00,4.00,3.00,NULL,0.00,2.00,1.00,319,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216440,4.00,7.00,1.00,5.00,6.00,5.25,2.00,1.00,3.00,653,NULL,652,'BARRANCA','ARARANGUÁ','SC',12086,127,NULL,NULL,NULL,NULL,NULL,4,15),(28,7216459,2.00,7.00,1.00,7.00,9.00,11.63,2.00,5.00,5.00,324,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',6158,2,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216467,0.00,5.00,4.00,6.00,5.00,7.88,1.00,5.00,2.00,207,NULL,201,'SANTA CRUZ','GUARAPUAVA','PR',12687,572,NULL,813,NULL,NULL,NULL,2,1),(28,7216475,0.00,1.00,2.00,5.00,4.00,5.63,2.00,4.00,1.00,327,NULL,NULL,'REAL PARK','S JOSÉ','SC',19963,68,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216483,5.00,8.00,2.00,6.00,7.00,10.88,4.00,7.00,5.00,3,NULL,NULL,'CENTRO','BRUSQUE','SC',5404,19,NULL,NULL,NULL,NULL,NULL,4,22),(28,7216491,3.00,2.00,2.00,1.00,2.00,NULL,2.00,3.00,1.00,208,NULL,NULL,'RIO BLOEMER','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7216505,1.00,5.00,5.00,5.00,3.00,6.00,1.00,4.00,1.00,5,NULL,NULL,'CENTRO','MONDAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7216513,3.00,8.00,1.00,4.00,5.00,7.50,4.00,5.00,4.00,212,NULL,214,'ENGENHO VELHO','TORRES','RS',9906,NULL,NULL,256,NULL,NULL,NULL,2,1),(28,7216521,3.00,3.00,1.00,1.00,3.00,5.63,2.00,2.00,1.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20102,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7216530,3.00,8.00,3.00,6.00,10.00,0.00,2.00,4.00,2.00,319,NULL,NULL,'JARDIM CALIFÓRNIA','CUIABÁ','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216548,3.00,6.00,3.00,5.00,6.00,4.88,1.00,4.00,4.00,654,NULL,NULL,'MICHEL','CRICIÚMA','SC',13524,34,NULL,NULL,NULL,NULL,NULL,4,5),(28,7216556,0.00,5.00,2.00,4.00,3.00,7.13,1.00,1.00,2.00,103,NULL,NULL,'SETE DE SETEMBRO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7216564,1.00,4.00,3.00,4.00,6.00,7.50,1.00,2.00,2.00,201,NULL,212,'CENTRO','CANELINHA','SC',16115,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216580,1.00,4.00,1.00,3.00,5.00,7.13,1.00,5.00,1.00,502,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17966,47,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216602,4.00,4.00,3.00,6.00,6.00,8.63,4.00,3.00,1.00,201,NULL,NULL,'NATUREZA','ITÁ','SC',12240,786,NULL,NULL,NULL,NULL,NULL,4,26),(28,7216610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'GUAIUBA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7216629,2.00,8.00,3.00,6.00,4.00,6.75,1.00,6.00,2.00,224,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',9756,8,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216637,1.00,3.00,3.00,2.00,5.00,5.25,3.00,3.00,2.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7216688,4.00,6.00,2.00,4.00,6.00,6.38,1.00,5.00,1.00,225,NULL,NULL,'MINA BRASIL','CRICIÚMA','SC',17508,38,NULL,NULL,NULL,NULL,NULL,2,5),(28,7216696,3.00,1.00,4.00,4.00,4.00,8.25,1.00,5.00,0.00,304,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',15980,115,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216700,3.00,7.00,4.00,7.00,8.00,8.25,5.00,5.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',5554,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7216726,3.00,5.00,1.00,5.00,5.00,6.00,2.00,6.00,3.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17712,415,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216734,1.00,5.00,4.00,5.00,8.00,8.25,2.00,4.00,6.00,333,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',8709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216742,4.00,9.00,3.00,6.00,9.00,8.25,5.00,7.00,5.00,2,NULL,NULL,'BRASÍLIA','ITAPOÁ','SC',2688,10,NULL,NULL,NULL,NULL,NULL,4,17),(28,7216750,5.00,8.00,3.00,7.00,6.00,8.63,6.00,7.00,6.00,103,NULL,NULL,'JD ITAPEVA','S PAULO','SP',2089,908,NULL,NULL,NULL,NULL,NULL,4,1),(28,7216769,0.00,2.00,1.00,3.00,3.00,NULL,0.00,2.00,4.00,103,NULL,NULL,'BARNABÉ','GRAVATAÍ','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216785,3.00,6.00,1.00,7.00,5.00,6.75,3.00,6.00,1.00,454,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',15524,318,NULL,NULL,NULL,NULL,NULL,4,1),(28,7216815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'LIDER','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7216823,0.00,4.00,3.00,4.00,6.00,9.75,2.00,4.00,2.00,103,NULL,NULL,'VILA FLÓRIDA','GUARULHOS','SP',11785,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216831,1.00,5.00,2.00,4.00,4.00,NULL,0.00,5.00,0.00,337,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7216840,1.00,4.00,2.00,4.00,4.00,5.25,1.00,5.00,2.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',17874,348,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216866,4.00,6.00,1.00,7.00,8.00,7.50,2.00,4.00,3.00,101,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',10241,43,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216874,2.00,7.00,2.00,6.00,6.00,6.38,4.00,5.00,3.00,318,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',14374,100,NULL,NULL,NULL,NULL,NULL,4,1),(28,7216890,0.00,3.00,1.00,5.00,3.00,NULL,1.00,1.00,3.00,5,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,4),(28,7216904,4.00,8.00,5.00,8.00,8.00,9.75,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2454,1010,NULL,NULL,NULL,NULL,NULL,4,3),(28,7216920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7216939,2.00,7.00,2.00,6.00,7.00,8.63,4.00,6.00,5.00,103,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',5568,1577,NULL,NULL,NULL,NULL,NULL,4,22),(28,7216947,3.00,4.00,3.00,4.00,8.00,6.75,4.00,4.00,4.00,451,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',15057,33,NULL,NULL,NULL,NULL,NULL,2,1),(28,7216963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'BOM PASTOR','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7216971,0.00,3.00,4.00,2.00,3.00,NULL,1.00,3.00,3.00,551,NULL,NULL,'INTERIOR DE BRUNÓP','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7216980,1.00,3.00,2.00,5.00,1.00,NULL,3.00,3.00,1.00,454,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7216998,1.00,4.00,1.00,6.00,4.00,7.50,2.00,4.00,2.00,201,NULL,238,'CAMPECHE','FLORIANÓPOLIS','SC',14121,NULL,NULL,233,NULL,NULL,NULL,4,1),(28,7217005,0.00,1.00,1.00,2.00,2.00,NULL,0.00,3.00,0.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ESCOLAR','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7217030,3.00,6.00,1.00,7.00,6.00,6.75,3.00,4.00,3.00,454,NULL,NULL,'LAGO SUL','LG SUL','DF',10449,197,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217048,2.00,4.00,2.00,5.00,4.00,7.13,4.00,7.00,2.00,655,NULL,652,'SANTA MARIA','CHAPECÓ','SC',11233,NULL,NULL,30,NULL,NULL,NULL,4,4),(28,7217056,0.00,3.00,2.00,2.00,3.00,NULL,3.00,2.00,1.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217072,4.00,5.00,0.00,3.00,5.00,8.25,1.00,4.00,1.00,9,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15189,113,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217080,3.00,7.00,1.00,8.00,7.00,11.25,1.00,7.00,1.00,340,NULL,NULL,'GLÓRIA','JOINVILLE','SC',9075,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7217099,0.00,3.00,1.00,3.00,5.00,NULL,3.00,4.00,2.00,502,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7217102,7.00,8.00,6.00,7.00,9.00,12.00,4.00,7.00,7.00,103,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',331,244,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217110,3.00,6.00,1.00,5.00,7.00,4.50,3.00,6.00,3.00,238,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',10392,156,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217129,2.00,6.00,2.00,4.00,4.00,6.75,1.00,4.00,2.00,316,NULL,NULL,'JARDIM AMERICA','RIO SUL','SC',15974,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7217137,2.00,7.00,3.00,7.00,6.00,8.25,1.00,4.00,2.00,501,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12407,70,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217145,2.00,6.00,1.00,7.00,8.00,6.38,3.00,3.00,3.00,301,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',9105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217153,0.00,3.00,1.00,0.00,4.00,3.00,1.00,2.00,2.00,9,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217161,0.00,7.00,2.00,5.00,7.00,6.75,2.00,3.00,2.00,308,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',14885,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217196,2.00,3.00,3.00,2.00,3.00,NULL,0.00,2.00,2.00,444,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217200,2.00,5.00,2.00,3.00,8.00,8.25,1.00,4.00,4.00,207,NULL,238,'COMASA','JOINVILLE','SC',9841,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7217226,2.00,5.00,1.00,2.00,3.00,9.38,1.00,4.00,4.00,104,NULL,NULL,'JARDIM IRIRIÚ','JOINVILLE','SC',14359,346,NULL,NULL,NULL,NULL,NULL,4,8),(28,7217234,0.00,3.00,3.00,3.00,3.00,NULL,2.00,3.00,2.00,207,NULL,203,'VILA SÃO RAFAEL','GUARULHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,220,'JD ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7217250,5.00,5.00,2.00,4.00,6.00,7.50,3.00,2.00,4.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10887,2134,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217269,4.00,5.00,3.00,6.00,9.00,9.38,4.00,7.00,5.00,103,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',5999,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217285,2.00,8.00,5.00,7.00,9.00,11.63,3.00,8.00,5.00,215,NULL,216,'CENTRO','S JOÃO BATISTA','SC',1558,6,NULL,NULL,NULL,NULL,NULL,4,22),(28,7217293,5.00,7.00,0.00,7.00,8.00,8.25,2.00,5.00,3.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217307,1.00,7.00,1.00,2.00,1.00,NULL,2.00,5.00,2.00,999,NULL,NULL,'CENTRO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7217315,4.00,8.00,3.00,6.00,8.00,7.88,3.00,7.00,1.00,454,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5148,67,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'OXFORD','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7217340,4.00,7.00,3.00,7.00,7.00,7.13,3.00,5.00,5.00,102,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',5989,35,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217358,0.00,5.00,0.00,7.00,5.00,NULL,1.00,4.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217366,3.00,5.00,1.00,4.00,3.00,6.00,2.00,5.00,1.00,454,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',15880,323,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217374,2.00,6.00,2.00,4.00,2.00,NULL,4.00,3.00,4.00,340,NULL,NULL,'AREIAS DO MEIO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7217412,1.00,7.00,3.00,6.00,6.00,8.63,3.00,5.00,2.00,5,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',10304,305,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217439,1.00,2.00,3.00,4.00,4.00,6.75,2.00,2.00,1.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217447,4.00,7.00,2.00,5.00,9.00,9.00,6.00,5.00,5.00,216,NULL,653,'JARDIM CIBELI','ARARANGUÁ','SC',4172,NULL,NULL,65,NULL,NULL,NULL,4,15),(28,7217455,3.00,5.00,1.00,5.00,5.00,11.63,2.00,6.00,4.00,103,NULL,NULL,'VILA SANTANA','S PAULO','SP',5602,1579,NULL,NULL,NULL,NULL,NULL,4,8),(28,7217463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7217471,2.00,4.00,3.00,6.00,6.00,NULL,3.00,4.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7217480,4.00,8.00,3.00,4.00,5.00,7.88,3.00,7.00,5.00,216,NULL,NULL,'SÃO CRISTÓVÃO','PATO BRANCO','PR',8462,279,NULL,NULL,NULL,NULL,NULL,2,4),(28,7217498,0.00,4.00,1.00,2.00,3.00,8.25,1.00,2.00,1.00,104,NULL,NULL,'VELHA','BLUMENAU','SC',20086,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7217501,0.00,2.00,1.00,5.00,2.00,NULL,0.00,3.00,0.00,317,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217510,1.00,4.00,3.00,4.00,2.00,NULL,1.00,4.00,1.00,454,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217528,1.00,3.00,2.00,3.00,5.00,7.13,1.00,5.00,4.00,327,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',15579,47,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217536,0.00,0.00,3.00,6.00,2.00,NULL,0.00,0.00,0.00,653,NULL,203,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(28,7217544,1.00,4.00,1.00,3.00,4.00,8.63,2.00,4.00,1.00,238,NULL,NULL,'CENTRO','IMBITUBA','SC',19695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7217579,1.00,5.00,4.00,7.00,5.00,6.38,3.00,4.00,4.00,220,NULL,203,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',15818,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,214,'JARDIM IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7217609,3.00,7.00,1.00,5.00,10.00,6.75,1.00,6.00,4.00,454,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',7184,115,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217617,0.00,3.00,1.00,1.00,6.00,8.25,2.00,3.00,1.00,208,NULL,NULL,'POTECAS','S JOSÉ','SC',19821,222,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217625,0.00,3.00,0.00,1.00,4.00,8.25,1.00,4.00,1.00,103,NULL,NULL,'HUMAITÁ DE CIMA','TUBARÃO','SC',20054,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7217633,0.00,3.00,3.00,6.00,5.00,6.75,3.00,4.00,1.00,429,NULL,425,'AGRONÔMICA','FLORIANÓPOLIS','SC',18828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'TACCA','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7217650,3.00,7.00,3.00,6.00,6.00,NULL,6.00,6.00,4.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7217668,6.00,6.00,1.00,6.00,8.00,6.00,6.00,5.00,4.00,203,NULL,220,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5969,396,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217676,5.00,9.00,4.00,7.00,10.00,10.88,3.00,6.00,5.00,103,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',1784,830,NULL,NULL,NULL,NULL,NULL,4,4),(28,7217684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'BELA VISTA','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7217706,5.00,7.00,2.00,4.00,8.00,9.38,4.00,4.00,5.00,238,NULL,235,'PRAIA JOÃO ROSA','BIGUAÇU','SC',5309,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217714,1.00,4.00,4.00,4.00,5.00,4.88,2.00,4.00,1.00,101,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',16324,102,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217730,3.00,2.00,4.00,4.00,4.00,8.63,2.00,2.00,3.00,3,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',12748,57,NULL,NULL,NULL,NULL,NULL,4,5),(28,7217749,1.00,4.00,1.00,6.00,5.00,10.88,3.00,6.00,3.00,601,NULL,233,'BUCAREIN','JOINVILLE','SC',14787,445,NULL,NULL,NULL,NULL,NULL,2,8),(28,7217757,2.00,2.00,2.00,5.00,4.00,8.63,0.00,3.00,1.00,404,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16444,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217781,1.00,3.00,0.00,5.00,3.00,5.25,4.00,4.00,3.00,235,NULL,202,'PONTE DO IMARUIM','PALHOÇA','SC',15745,251,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7217803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7217811,3.00,5.00,3.00,5.00,5.00,6.75,2.00,4.00,3.00,101,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',14587,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217846,3.00,6.00,1.00,6.00,5.00,10.13,3.00,6.00,4.00,304,NULL,NULL,'VISTA ALAGRE','RIO NEGRINHO','SC',11778,88,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217854,3.00,7.00,3.00,5.00,3.00,5.25,4.00,4.00,3.00,220,NULL,203,'CENTRO','GUARAPUAVA','PR',12341,285,NULL,NULL,NULL,NULL,NULL,2,4),(28,7217862,2.00,6.00,2.00,5.00,5.00,7.50,1.00,2.00,3.00,238,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',13678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217870,2.00,6.00,2.00,5.00,8.00,9.38,3.00,3.00,2.00,319,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',11130,205,NULL,NULL,NULL,NULL,NULL,4,1),(28,7217889,4.00,3.00,2.00,4.00,3.00,7.13,1.00,2.00,5.00,104,NULL,NULL,'UNIAO','PARAUAPEBAS','PA',18879,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7217897,1.00,6.00,3.00,5.00,2.00,NULL,3.00,5.00,1.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217900,2.00,5.00,2.00,7.00,3.00,8.25,5.00,2.00,2.00,551,NULL,NULL,'CENTRO','FRAIBURGO','SC',17357,41,NULL,NULL,NULL,NULL,NULL,2,25),(28,7217919,3.00,3.00,3.00,6.00,3.00,9.00,2.00,5.00,2.00,451,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16840,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217927,1.00,0.00,3.00,8.00,6.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(28,7217935,2.00,3.00,1.00,2.00,4.00,7.50,2.00,0.00,4.00,454,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',19722,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7217943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'VILA PROGRESSO','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7217951,1.00,3.00,1.00,0.00,2.00,NULL,1.00,3.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7217960,6.00,8.00,0.00,7.00,10.00,9.00,4.00,6.00,4.00,102,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',2243,4,NULL,NULL,NULL,NULL,NULL,4,23),(28,7217978,0.00,2.00,3.00,4.00,3.00,NULL,2.00,2.00,1.00,211,NULL,601,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7217986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'MOURA','CANELINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7217994,3.00,6.00,1.00,4.00,4.00,NULL,0.00,6.00,4.00,108,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7218001,2.00,7.00,2.00,5.00,9.00,10.50,4.00,6.00,5.00,301,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',3820,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218010,2.00,4.00,3.00,5.00,4.00,8.25,1.00,4.00,2.00,302,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',17115,131,NULL,NULL,NULL,NULL,NULL,2,1),(28,7218028,4.00,4.00,1.00,4.00,6.00,7.88,3.00,5.00,4.00,201,NULL,212,'BARREIROS','S JOSÉ','SC',12077,772,NULL,335,NULL,NULL,NULL,4,1),(28,7218036,0.00,4.00,2.00,5.00,6.00,NULL,2.00,6.00,4.00,211,NULL,202,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7218044,3.00,8.00,1.00,7.00,8.00,8.63,4.00,3.00,3.00,454,NULL,NULL,'CENTRO','PINHALZINHO','SC',4852,58,NULL,NULL,NULL,NULL,NULL,4,4),(28,7218060,6.00,8.00,6.00,7.00,5.00,6.00,5.00,5.00,7.00,202,NULL,201,'BAIRU','JZ FORA','MG',1753,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218079,2.00,6.00,2.00,6.00,6.00,5.25,4.00,5.00,4.00,203,NULL,216,'JOSE AMANDIO','BOMBINHAS','SC',10578,549,NULL,327,NULL,NULL,NULL,2,3),(28,7218087,4.00,6.00,2.00,5.00,4.00,7.88,2.00,3.00,3.00,340,NULL,NULL,'ITARARÉ','S VICENTE','SP',10483,293,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7218117,5.00,8.00,6.00,7.00,6.00,7.88,6.00,7.00,6.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',1746,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218125,4.00,8.00,1.00,8.00,10.00,12.00,3.00,8.00,6.00,415,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',1475,13,NULL,NULL,NULL,NULL,NULL,4,2),(28,7218168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,235,'BELA VISTA II','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7218176,2.00,5.00,2.00,6.00,5.00,7.13,4.00,3.00,4.00,999,NULL,NULL,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7218184,4.00,6.00,2.00,4.00,6.00,7.13,1.00,4.00,2.00,302,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',13543,89,NULL,NULL,NULL,NULL,NULL,2,1),(28,7218206,0.00,5.00,1.00,6.00,3.00,8.63,1.00,4.00,1.00,207,NULL,NULL,'IMPERIAL','CONCÓRDIA','SC',16180,705,NULL,NULL,NULL,NULL,NULL,2,26),(28,7218214,2.00,3.00,2.00,2.00,6.00,6.00,3.00,4.00,3.00,654,NULL,NULL,'PRAÇA','TIJUCAS','SC',14685,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218249,1.00,6.00,2.00,5.00,3.00,3.00,1.00,6.00,3.00,216,NULL,203,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7218257,4.00,5.00,2.00,6.00,7.00,6.75,3.00,3.00,4.00,9,NULL,NULL,'PACHECOS','PALHOÇA','SC',9291,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7218273,1.00,8.00,1.00,5.00,6.00,6.00,2.00,7.00,3.00,216,NULL,235,'PICADAS DO SUL','S JOSÉ','SC',10103,315,NULL,164,NULL,NULL,NULL,4,1),(28,7218281,2.00,7.00,0.00,6.00,3.00,8.25,3.00,5.00,3.00,999,NULL,NULL,'ITAGUAÇU II','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218290,1.00,5.00,1.00,4.00,5.00,4.50,3.00,4.00,1.00,425,NULL,429,'SERRARIA','S JOSÉ','SC',17199,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7218311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7218320,0.00,5.00,2.00,4.00,5.00,7.13,2.00,4.00,4.00,309,NULL,NULL,'PALMAS','GOV CELSO RAMOS','SC',14734,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7218338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,220,'PORTAL DAS VIDEIRAS','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7218346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'SANTA LUZIA','GUARATINGUETÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7218354,0.00,6.00,1.00,6.00,8.00,8.25,1.00,6.00,3.00,999,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218370,3.00,5.00,3.00,5.00,7.00,8.63,6.00,5.00,4.00,220,NULL,601,'AREIAS','CAMBORIÚ','SC',9118,NULL,NULL,239,NULL,NULL,NULL,4,3),(28,7218389,2.00,3.00,1.00,4.00,6.00,7.50,1.00,3.00,1.00,316,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',16653,227,NULL,NULL,NULL,NULL,NULL,2,1),(28,7218397,8.00,8.00,5.00,6.00,7.00,11.25,6.00,8.00,7.00,103,NULL,NULL,'BUTANTÃ','S PAULO','SP',155,124,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218400,2.00,7.00,0.00,6.00,7.00,8.63,3.00,4.00,1.00,5,NULL,NULL,'JARDIM ELIZABETE','IÇARA','SC',16356,438,NULL,NULL,NULL,NULL,NULL,2,5),(28,7218419,2.00,6.00,0.00,2.00,2.00,NULL,1.00,6.00,1.00,304,NULL,NULL,'ESTRADA DAS AREIAS','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7218427,1.00,2.00,1.00,5.00,3.00,NULL,0.00,2.00,1.00,319,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218435,1.00,6.00,1.00,5.00,7.00,4.50,2.00,3.00,2.00,340,NULL,NULL,'CENTRO','TUPI PAULISTA','SP',18987,424,NULL,NULL,NULL,NULL,NULL,2,1),(28,7218443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PRAIA BRAVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7218460,0.00,4.00,1.00,3.00,2.00,NULL,2.00,5.00,2.00,238,NULL,201,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7218478,2.00,4.00,2.00,6.00,3.00,6.00,1.00,5.00,2.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',14766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218486,4.00,7.00,4.00,8.00,5.00,5.25,4.00,6.00,3.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6818,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218494,3.00,7.00,1.00,4.00,7.00,4.88,2.00,7.00,2.00,652,NULL,655,'COLONINHA','ARARANGUÁ','SC',15458,56,NULL,NULL,NULL,NULL,NULL,4,15),(28,7218508,0.00,5.00,3.00,5.00,4.00,7.50,5.00,3.00,1.00,552,NULL,NULL,'SÃO SEBASTIÃO','FRAIBURGO','SC',18426,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7218516,0.00,5.00,3.00,6.00,6.00,7.50,2.00,6.00,4.00,201,NULL,202,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',11340,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218524,3.00,5.00,1.00,6.00,5.00,7.50,3.00,5.00,5.00,104,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',14606,354,NULL,NULL,NULL,NULL,NULL,2,1),(28,7218559,6.00,8.00,6.00,8.00,9.00,7.13,7.00,6.00,8.00,653,NULL,214,'VILA NOVA','BLUMENAU','SC',342,1,NULL,NULL,NULL,NULL,NULL,4,2),(28,7218567,1.00,4.00,1.00,3.00,4.00,2.25,3.00,3.00,0.00,220,NULL,202,'NAZARÉ','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7218575,4.00,7.00,3.00,6.00,10.00,11.63,4.00,4.00,5.00,103,NULL,NULL,'STO ANTÔNIO DE PÁDUA','TUBARÃO','SC',2788,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7218583,1.00,4.00,2.00,5.00,5.00,5.63,3.00,5.00,1.00,601,NULL,235,'COLINA VERDE','FARTURA','SP',13540,408,NULL,221,NULL,NULL,NULL,2,1),(28,7218591,3.00,7.00,1.00,6.00,7.00,7.50,2.00,5.00,4.00,340,NULL,NULL,'CENTRO','MRO GRANDE','SC',8710,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7218605,6.00,8.00,6.00,7.00,10.00,10.88,7.00,7.00,7.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',70,58,NULL,NULL,NULL,NULL,NULL,2,1),(28,7218613,2.00,2.00,1.00,4.00,4.00,4.50,5.00,2.00,1.00,552,NULL,NULL,'OCEANOPOLIS','MONGAGUÁ','SP',19891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7218630,2.00,8.00,2.00,7.00,6.00,8.63,1.00,6.00,4.00,207,NULL,211,'PACAEMBU','S PAULO','SP',9741,452,NULL,265,NULL,NULL,NULL,4,1),(28,7218648,2.00,3.00,1.00,5.00,6.00,6.38,1.00,1.00,2.00,208,NULL,NULL,'BOM RETIRO','CURITIBA','PR',15657,172,NULL,NULL,NULL,NULL,NULL,4,8),(28,7218656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,653,'VILA NASTRI I','ITAPETININGA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7218664,5.00,6.00,2.00,6.00,5.00,7.50,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',6850,1739,NULL,NULL,NULL,NULL,NULL,4,27),(28,7218672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CANTA DO PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7218680,4.00,5.00,0.00,4.00,7.00,6.38,2.00,5.00,3.00,108,NULL,NULL,'BELA VISTA','S JOSÉ','SC',13564,188,NULL,NULL,NULL,NULL,NULL,2,1),(28,7218699,1.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,502,NULL,NULL,'SANTA CECÍLIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218702,2.00,4.00,2.00,3.00,3.00,8.63,3.00,3.00,2.00,308,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15768,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218710,2.00,5.00,3.00,6.00,7.00,7.50,2.00,4.00,3.00,108,NULL,NULL,'PINHEIROS','S PAULO','SP',10421,138,NULL,NULL,NULL,NULL,NULL,2,1),(28,7218729,1.00,2.00,1.00,2.00,5.00,NULL,0.00,2.00,2.00,202,NULL,203,'JARDIM SOLEMAR','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7218745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'JARDIM IGAPÓ','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7218753,3.00,6.00,2.00,6.00,5.00,8.63,1.00,4.00,3.00,331,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11620,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7218761,5.00,9.00,2.00,6.00,4.00,8.25,6.00,8.00,5.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',2141,921,NULL,NULL,NULL,NULL,NULL,4,8),(28,7218770,1.00,2.00,2.00,5.00,4.00,5.25,3.00,3.00,1.00,454,NULL,NULL,'IPIRANGA','S PAULO','SP',16654,339,NULL,NULL,NULL,NULL,NULL,4,6),(28,7218796,0.00,4.00,4.00,6.00,5.00,6.75,3.00,2.00,3.00,207,NULL,201,'KOBRASOL','S JOSÉ','SC',12697,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7218800,3.00,5.00,2.00,7.00,8.00,8.25,4.00,5.00,5.00,454,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5221,71,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218818,2.00,7.00,1.00,7.00,9.00,10.50,3.00,8.00,4.00,5,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',3728,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7218834,4.00,7.00,4.00,5.00,7.00,8.63,6.00,5.00,3.00,301,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',3784,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218842,5.00,8.00,3.00,7.00,7.00,11.25,3.00,7.00,7.00,103,NULL,NULL,'SETOR AEROPORTO','GOIÂNIA','GO',1174,627,NULL,NULL,NULL,NULL,NULL,2,3),(28,7218850,1.00,5.00,3.00,5.00,3.00,5.63,3.00,5.00,2.00,301,NULL,NULL,'ALTOS DO ESPLANADA','S JOSÉ CAMPOS','SP',17538,240,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTENÁRIO','MTE ALTO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7218877,0.00,3.00,2.00,1.00,4.00,NULL,1.00,3.00,1.00,551,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7218885,4.00,6.00,4.00,4.00,7.00,7.88,4.00,6.00,4.00,208,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9643,102,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,1.00,0.00,308,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218907,1.00,7.00,2.00,5.00,6.00,6.75,3.00,5.00,3.00,104,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',16066,394,NULL,NULL,NULL,NULL,NULL,2,6),(28,7218923,0.00,5.00,1.00,2.00,5.00,7.88,3.00,4.00,5.00,9,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',14369,104,NULL,NULL,NULL,NULL,NULL,2,1),(28,7218931,4.00,8.00,2.00,6.00,9.00,9.38,2.00,5.00,2.00,224,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11277,12,NULL,NULL,NULL,NULL,NULL,2,1),(28,7218940,1.00,3.00,1.00,0.00,6.00,3.00,2.00,3.00,0.00,203,NULL,201,'FREI ROGÉRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7218974,0.00,5.00,4.00,6.00,4.00,3.00,3.00,5.00,1.00,203,NULL,214,'BELA VISTA','RIBEIRÃO SUL','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7218982,1.00,4.00,1.00,2.00,3.00,0.00,0.00,2.00,3.00,425,NULL,429,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7218990,4.00,5.00,1.00,6.00,6.00,8.25,2.00,4.00,4.00,211,NULL,216,'OPERÁRIA NOVA','CRICIÚMA','SC',10163,278,NULL,NULL,NULL,NULL,NULL,4,5),(28,7219008,1.00,5.00,2.00,5.00,7.00,7.88,2.00,5.00,4.00,415,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12109,198,NULL,NULL,NULL,NULL,NULL,2,1),(28,7219016,4.00,8.00,4.00,6.00,7.00,9.38,7.00,5.00,6.00,203,NULL,201,'ATIRADORES','JOINVILLE','SC',1165,NULL,NULL,61,NULL,NULL,NULL,4,8),(28,7219024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO BENEDITO','GUARATINGUETÁ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7219032,3.00,4.00,1.00,2.00,3.00,4.50,3.00,3.00,2.00,203,NULL,202,'ENCRUZO','JAGUARUNA','SC',19737,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7219040,3.00,4.00,3.00,6.00,5.00,5.63,2.00,5.00,2.00,110,NULL,NULL,'ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC',17501,90,NULL,NULL,NULL,NULL,NULL,2,1),(28,7219059,0.00,4.00,4.00,1.00,3.00,5.25,4.00,2.00,1.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7219067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7219075,5.00,7.00,4.00,7.00,7.00,10.50,5.00,7.00,6.00,201,NULL,203,'RIO GRANDE','PALHOÇA','SC',3530,270,NULL,254,NULL,NULL,NULL,4,1),(28,7219091,2.00,6.00,3.00,6.00,4.00,7.88,2.00,4.00,2.00,224,NULL,NULL,'INTERIOR','CRUZEIRO IGUAÇU','PR',12141,14,NULL,NULL,NULL,NULL,NULL,2,4),(28,7219113,5.00,7.00,3.00,7.00,8.00,8.63,3.00,7.00,8.00,103,NULL,NULL,'ATALAIA','ARACAJU','SE',1447,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7219121,3.00,7.00,3.00,7.00,5.00,6.38,3.00,6.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',13059,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7219148,5.00,7.00,4.00,7.00,10.00,7.88,2.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3166,1173,NULL,NULL,NULL,NULL,NULL,4,1),(28,7219164,1.00,0.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7219172,2.00,4.00,3.00,1.00,5.00,6.38,2.00,3.00,4.00,207,NULL,238,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',16613,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7219180,6.00,8.00,1.00,6.00,9.00,8.63,2.00,8.00,4.00,108,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',4196,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7219199,4.00,6.00,2.00,7.00,7.00,5.25,3.00,6.00,5.00,202,NULL,213,'CANGO','FRANCISCO BELTRÃO','PR',5788,159,NULL,95,NULL,NULL,NULL,2,1),(28,7219202,3.00,6.00,1.00,6.00,8.00,7.13,4.00,7.00,5.00,208,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8273,85,NULL,NULL,NULL,NULL,NULL,4,1),(28,7219210,0.00,4.00,2.00,4.00,6.00,NULL,0.00,6.00,2.00,102,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7219229,1.00,3.00,2.00,7.00,5.00,7.13,1.00,3.00,1.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',16360,123,NULL,NULL,NULL,NULL,NULL,2,1),(28,7219245,2.00,1.00,4.00,2.00,4.00,7.50,0.00,2.00,3.00,404,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7219253,4.00,5.00,2.00,5.00,7.00,7.13,4.00,4.00,2.00,212,NULL,215,'ARIRIÚ','PALHOÇA','SC',9772,287,NULL,167,NULL,NULL,NULL,4,1),(28,7219261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,238,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7219296,4.00,6.00,2.00,2.00,4.00,6.00,2.00,3.00,3.00,201,NULL,212,'JARDIM NOVA ERA','LEME','SP',14482,888,NULL,370,NULL,NULL,NULL,4,1),(28,7219300,3.00,5.00,2.00,6.00,4.00,7.13,3.00,5.00,2.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',12673,137,NULL,NULL,NULL,NULL,NULL,2,1),(28,7219318,3.00,4.00,4.00,4.00,6.00,5.63,4.00,5.00,2.00,103,NULL,NULL,'FLORESTA','S JOSÉ','SC',9423,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7219326,5.00,6.00,3.00,6.00,9.00,8.63,4.00,6.00,6.00,207,NULL,601,'JARDIM CIDADE','S JOSÉ','SC',3634,144,NULL,53,NULL,NULL,NULL,2,1),(28,7219342,4.00,7.00,3.00,6.00,9.00,9.75,5.00,5.00,4.00,103,NULL,NULL,'SANTO AMARO','CPO GRANDE','MS',2278,955,NULL,NULL,NULL,NULL,NULL,4,1),(28,7219369,1.00,3.00,1.00,2.00,3.00,7.88,1.00,3.00,3.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7219377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'IATCORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(28,7219385,5.00,5.00,0.00,5.00,5.00,9.00,3.00,5.00,3.00,211,NULL,202,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15638,388,NULL,354,NULL,NULL,NULL,2,1),(28,7219407,0.00,4.00,2.00,1.00,5.00,0.00,0.00,2.00,1.00,301,NULL,NULL,'POTÉCAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7219423,4.00,7.00,3.00,7.00,7.00,9.75,3.00,4.00,4.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7219431,2.00,7.00,2.00,4.00,3.00,7.13,2.00,5.00,3.00,213,NULL,233,'BAIRRO ALTO','PIRACICABA','SP',17256,260,NULL,335,NULL,NULL,NULL,4,1),(28,7219440,2.00,9.00,5.00,7.00,7.00,7.13,4.00,7.00,5.00,207,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',4641,198,NULL,77,NULL,NULL,NULL,4,1),(28,7219458,5.00,8.00,5.00,7.00,6.00,10.13,4.00,7.00,6.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',3294,NULL,NULL,98,NULL,NULL,NULL,4,1),(28,7219466,1.00,5.00,1.00,6.00,6.00,5.25,2.00,4.00,2.00,203,NULL,201,'CENTRO','ITAPEMA','SC',18383,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7219474,2.00,3.00,1.00,7.00,5.00,8.63,2.00,2.00,2.00,454,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',18678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7219482,2.00,4.00,2.00,1.00,4.00,6.38,1.00,3.00,1.00,999,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7219520,2.00,4.00,1.00,2.00,3.00,NULL,0.00,4.00,2.00,501,NULL,NULL,'CENTRO','QUEDAS IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7219539,2.00,6.00,2.00,5.00,6.00,6.00,4.00,4.00,3.00,999,NULL,NULL,'CENTRO','IRINEÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7219547,1.00,1.00,2.00,2.00,5.00,8.25,1.00,2.00,3.00,207,NULL,201,'MONTE CRISTO','FLORIANÓPOLIS','SC',19784,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7219555,1.00,5.00,2.00,4.00,4.00,9.38,2.00,4.00,2.00,601,NULL,201,'VILA NOVA','JOINVILLE','SC',12749,380,NULL,NULL,NULL,NULL,NULL,4,8),(28,7219563,3.00,6.00,1.00,6.00,6.00,7.88,3.00,3.00,2.00,999,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7219571,4.00,4.00,2.00,6.00,7.00,6.75,4.00,5.00,3.00,999,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7219580,1.00,4.00,2.00,2.00,3.00,10.50,2.00,3.00,0.00,601,NULL,NULL,'ATERRADO ALTO','MTE CASTELO','SC',17622,506,NULL,NULL,NULL,NULL,NULL,2,8),(28,7219598,2.00,5.00,4.00,5.00,2.00,NULL,3.00,4.00,3.00,450,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7219601,5.00,7.00,3.00,7.00,7.00,10.13,2.00,7.00,4.00,450,NULL,NULL,'JABAQUARA','S PAULO','SP',3700,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7219628,1.00,5.00,3.00,4.00,5.00,7.13,1.00,4.00,2.00,207,NULL,212,'SÃO DEFENDE','CRICIÚMA','SC',18309,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7219636,2.00,4.00,2.00,4.00,2.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'BARREIRINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7219644,4.00,7.00,3.00,4.00,8.00,9.38,5.00,3.00,4.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6135,72,NULL,NULL,NULL,NULL,NULL,2,1),(28,7219687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'QUEIMADOS','PAPANDUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7219695,6.00,8.00,1.00,8.00,9.00,10.88,6.00,8.00,6.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',910,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7219733,5.00,7.00,2.00,4.00,5.00,11.25,2.00,5.00,4.00,103,NULL,NULL,'CHÁCARA CACHOEIRA','CPO GRANDE','MS',10913,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7219741,5.00,7.00,4.00,7.00,7.00,11.25,3.00,5.00,5.00,5,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',3682,135,NULL,NULL,NULL,NULL,NULL,2,1),(28,7219768,4.00,4.00,2.00,6.00,2.00,NULL,2.00,4.00,3.00,999,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7219776,2.00,7.00,3.00,4.00,6.00,8.25,4.00,5.00,4.00,220,NULL,238,'COQUEIROS','FLORIANÓPOLIS','SC',13349,295,NULL,219,NULL,NULL,NULL,4,1),(28,7219784,2.00,6.00,1.00,3.00,7.00,7.88,1.00,6.00,5.00,999,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7219792,0.00,2.00,3.00,3.00,1.00,NULL,1.00,3.00,3.00,339,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7219806,2.00,4.00,1.00,3.00,6.00,6.00,1.00,5.00,2.00,103,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',18876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7219814,4.00,5.00,4.00,5.00,6.00,8.25,0.00,4.00,4.00,999,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7219830,0.00,3.00,0.00,2.00,1.00,NULL,3.00,4.00,4.00,103,NULL,NULL,'ROCIO PEQUENO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7219849,2.00,8.00,3.00,7.00,7.00,9.75,4.00,6.00,5.00,211,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',4134,105,NULL,109,NULL,NULL,NULL,2,1),(28,7219857,5.00,7.00,4.00,7.00,9.00,9.75,5.00,8.00,7.00,211,NULL,215,'BOM ABRIGO','FLORIANÓPOLIS','SC',1517,12,NULL,NULL,NULL,NULL,NULL,2,1),(28,7219873,4.00,8.00,0.00,1.00,4.00,7.50,3.00,5.00,2.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(28,7219890,3.00,8.00,1.00,5.00,5.00,7.13,4.00,8.00,6.00,207,NULL,201,'MARAPÉ','SANTOS','SP',3752,148,NULL,NULL,NULL,NULL,NULL,4,1),(28,7219911,2.00,5.00,2.00,5.00,8.00,7.88,5.00,6.00,5.00,5,NULL,NULL,'MANGUEIRINHA','BAL ARROIO SILVA','SC',8179,249,NULL,NULL,NULL,NULL,NULL,2,15),(28,7219920,2.00,2.00,0.00,3.00,3.00,NULL,2.00,3.00,1.00,9,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7219938,2.00,5.00,2.00,4.00,7.00,7.50,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','S LEOPOLDO','RS',10185,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7219946,2.00,5.00,2.00,7.00,5.00,6.75,2.00,4.00,2.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17246,43,NULL,NULL,NULL,NULL,NULL,3,1),(28,7219954,4.00,5.00,0.00,7.00,5.00,10.50,1.00,5.00,4.00,999,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7219989,2.00,8.00,2.00,6.00,6.00,7.88,1.00,8.00,3.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7219997,2.00,6.00,2.00,6.00,6.00,7.13,2.00,6.00,5.00,208,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',7982,79,NULL,NULL,NULL,NULL,NULL,4,5),(28,7220006,3.00,3.00,1.00,5.00,3.00,8.25,3.00,5.00,2.00,201,NULL,203,'CENTRO','PALMITOS','SC',14487,889,NULL,631,NULL,NULL,NULL,4,4),(28,7220014,3.00,5.00,2.00,4.00,5.00,6.75,2.00,2.00,2.00,303,NULL,NULL,'FREI BRUNO','XAXIM','SC',16032,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7220022,7.00,7.00,3.00,7.00,8.00,7.50,2.00,8.00,5.00,201,NULL,207,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',1965,128,NULL,65,NULL,NULL,NULL,2,23),(28,7220030,1.00,3.00,0.00,3.00,6.00,5.25,3.00,4.00,2.00,216,NULL,207,'OURO VERDE','CEL FREITAS','SC',15561,411,NULL,686,NULL,NULL,NULL,4,4),(28,7220049,0.00,4.00,2.00,4.00,4.00,6.38,2.00,3.00,1.00,109,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7220057,2.00,5.00,2.00,2.00,6.00,6.75,1.00,3.00,1.00,110,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16283,80,NULL,NULL,NULL,NULL,NULL,4,1),(28,7220065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'RIO ANTINHAS','PETROLÂNDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7220073,6.00,5.00,1.00,4.00,7.00,8.25,4.00,4.00,3.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9330,2021,NULL,NULL,NULL,NULL,NULL,4,1),(28,7220081,2.00,8.00,4.00,6.00,9.00,10.50,4.00,4.00,4.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',3658,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7220090,0.00,5.00,2.00,6.00,5.00,7.88,3.00,1.00,3.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7220111,5.00,8.00,1.00,5.00,7.00,7.50,4.00,6.00,4.00,444,NULL,NULL,'BELA VISTA','S JOSÉ','SC',6430,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7220138,7.00,8.00,3.00,8.00,9.00,9.00,3.00,8.00,7.00,340,NULL,NULL,'PARQUE IMPERADOR','CAMPINAS','SP',844,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7220146,4.00,0.00,2.00,7.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(28,7220154,0.00,0.00,4.00,3.00,3.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,6),(28,7220162,6.00,7.00,2.00,6.00,7.00,9.38,5.00,6.00,5.00,108,NULL,NULL,'PINHEIRINHO','VINHEDO','SP',3771,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7220170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,235,'SANTA CATARINA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7220189,2.00,5.00,2.00,6.00,7.00,7.88,1.00,4.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',9549,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7220197,0.00,6.00,3.00,1.00,2.00,NULL,2.00,6.00,1.00,5,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7220200,2.00,7.00,1.00,6.00,7.00,7.88,3.00,7.00,4.00,655,NULL,652,'KOBRASOL','S JOSÉ','SC',8521,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7220227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PARQUE AMAZÔNIA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7220235,5.00,7.00,4.00,4.00,7.00,9.00,4.00,6.00,6.00,103,NULL,NULL,'VILA MARIA','BOTUCATU','SP',2440,1008,NULL,NULL,NULL,NULL,NULL,4,6),(28,7220243,5.00,8.00,1.00,7.00,5.00,9.75,3.00,6.00,5.00,999,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7220251,3.00,6.00,3.00,6.00,7.00,9.38,2.00,4.00,5.00,207,NULL,233,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',9409,436,NULL,226,NULL,NULL,NULL,5,1),(28,7220278,1.00,6.00,1.00,4.00,6.00,8.63,5.00,4.00,4.00,203,NULL,238,'ESTRADA DE FÁTIMA','ANTÔNIO CARLOS','SC',11087,559,NULL,169,NULL,NULL,NULL,4,1),(28,7220286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD VALE DO LAGO RES','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7220294,4.00,6.00,1.00,6.00,7.00,9.38,2.00,6.00,3.00,415,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',7402,120,NULL,NULL,NULL,NULL,NULL,4,1),(28,7220308,2.00,4.00,1.00,5.00,7.00,5.25,3.00,5.00,3.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',11979,7,NULL,NULL,NULL,NULL,NULL,4,16),(28,7220316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7220332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7220367,6.00,7.00,3.00,5.00,7.00,13.50,1.00,6.00,5.00,428,NULL,424,'RIO TAVARES','FLORIANÓPOLIS','SC',4466,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7220375,1.00,3.00,1.00,4.00,5.00,5.63,3.00,4.00,1.00,308,NULL,NULL,'CENTRO','S JOSÉ','SC',16391,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7220383,4.00,5.00,2.00,6.00,7.00,10.50,3.00,5.00,2.00,101,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',7900,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7220391,4.00,4.00,2.00,5.00,7.00,9.75,3.00,7.00,2.00,214,NULL,213,'JARDIM ESTORIL III','BAURU','SP',11353,276,NULL,195,NULL,NULL,NULL,4,1),(28,7220405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'INTERIOR','VARGEÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7220421,6.00,8.00,2.00,5.00,7.00,8.25,4.00,6.00,7.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',5276,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7220430,6.00,7.00,2.00,6.00,8.00,11.63,3.00,5.00,6.00,211,NULL,213,'ESTREITO','FLORIANÓPOLIS','SC',2771,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7220448,2.00,7.00,3.00,8.00,7.00,7.88,2.00,8.00,6.00,303,NULL,NULL,'CHACARA DA BARRA','CAMPINAS','SP',3834,182,NULL,NULL,NULL,NULL,NULL,4,1),(28,7220456,9.00,7.00,5.00,6.00,9.00,10.13,8.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',135,108,NULL,NULL,NULL,NULL,NULL,4,1),(28,7220464,3.00,6.00,2.00,7.00,7.00,11.63,4.00,6.00,5.00,212,NULL,213,'BARREIROS','S JOSÉ','SC',5014,163,NULL,80,NULL,NULL,NULL,4,1),(28,7220472,0.00,3.00,3.00,1.00,2.00,NULL,2.00,3.00,1.00,652,NULL,653,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7220480,1.00,1.00,3.00,1.00,1.00,NULL,0.00,1.00,4.00,652,NULL,653,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7220502,3.00,6.00,1.00,7.00,8.00,11.25,3.00,7.00,3.00,415,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5537,81,NULL,NULL,NULL,NULL,NULL,4,1),(28,7220510,0.00,5.00,2.00,2.00,5.00,NULL,2.00,3.00,1.00,203,NULL,NULL,'LONDRINA','PETROLÂNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7220529,4.00,6.00,1.00,3.00,7.00,7.88,3.00,6.00,2.00,207,NULL,601,'RIBEIRÃO FRESCO','BLUMENAU','SC',12578,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7220537,4.00,6.00,5.00,3.00,6.00,9.00,1.00,5.00,3.00,103,NULL,NULL,'NOVA ESPERANÇA','BAL CAMBORIÚ','SC',8518,1951,NULL,NULL,NULL,NULL,NULL,4,3),(28,7220545,2.00,6.00,2.00,4.00,3.00,9.00,2.00,4.00,1.00,203,NULL,220,'BARREIROS','S JOSÉ','SC',14972,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7220553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7220596,5.00,7.00,3.00,6.00,6.00,8.25,4.00,6.00,6.00,216,NULL,235,'GRANJA JULIETA','S PAULO','SP',2607,91,NULL,27,NULL,NULL,NULL,4,1),(28,7220600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'COMASA DO BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7220618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7220626,0.00,1.00,0.00,4.00,3.00,NULL,0.00,2.00,2.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7220634,2.00,6.00,1.00,7.00,5.00,5.63,2.00,4.00,3.00,208,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',17382,192,NULL,NULL,NULL,NULL,NULL,4,1),(28,7220642,1.00,5.00,2.00,7.00,5.00,7.50,2.00,5.00,4.00,216,NULL,215,'VILA NOVA','JARAGUÁ SUL','SC',11693,347,NULL,200,NULL,NULL,NULL,4,23),(28,7220650,3.00,6.00,5.00,6.00,6.00,8.63,4.00,5.00,6.00,216,NULL,212,'JARDIM PROENÇA','CAMPINAS','SP',4144,156,NULL,132,NULL,NULL,NULL,4,1),(28,7220669,3.00,5.00,1.00,6.00,3.00,6.75,3.00,4.00,2.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',16567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7220685,6.00,0.00,2.00,5.00,6.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7220693,7.00,7.00,4.00,7.00,9.00,12.00,6.00,5.00,6.00,203,NULL,214,'JARDIM AMÉRICA','RIO SUL','SC',880,87,NULL,12,NULL,NULL,NULL,4,24),(28,7220707,0.00,6.00,1.00,5.00,5.00,NULL,4.00,4.00,2.00,317,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7220715,0.00,6.00,3.00,6.00,5.00,7.13,3.00,5.00,1.00,319,NULL,NULL,'AREIAS','S JOSÉ','SC',13825,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7220723,1.00,8.00,1.00,7.00,10.00,8.63,3.00,4.00,4.00,444,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',6967,13,NULL,NULL,NULL,NULL,NULL,4,10),(28,7220731,3.00,7.00,3.00,4.00,6.00,7.50,2.00,6.00,5.00,216,NULL,215,'MONTE CASTELO','CRICIÚMA','SC',7675,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7220740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PAROLIN','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7220758,3.00,4.00,3.00,8.00,9.00,9.00,5.00,6.00,7.00,201,NULL,235,'CENTRO','SCHROEDER','SC',2658,197,NULL,28,NULL,NULL,NULL,4,23),(28,7220766,3.00,7.00,2.00,7.00,6.00,9.38,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','TURVO','SC',5301,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7220782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'VILA OPERARIA','CIANORTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7220790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'JD CENTENARIO','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7220804,0.00,5.00,1.00,5.00,5.00,8.25,1.00,4.00,2.00,207,NULL,201,'TABOÃO','RIO SUL','SC',14694,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7220820,7.00,6.00,4.00,5.00,9.00,9.75,6.00,4.00,8.00,103,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',1164,625,NULL,NULL,NULL,NULL,NULL,2,8),(28,7220839,1.00,5.00,1.00,5.00,4.00,4.50,3.00,6.00,2.00,340,NULL,NULL,'VILA SÃO BENEDITO','S JOSÉ CAMPOS','SP',14068,375,NULL,NULL,NULL,NULL,NULL,2,1),(28,7220847,3.00,6.00,2.00,4.00,8.00,10.50,6.00,5.00,2.00,234,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6764,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7220855,4.00,6.00,1.00,2.00,5.00,5.63,2.00,4.00,4.00,202,NULL,213,'TAPERA','FLORIANÓPOLIS','SC',14016,326,NULL,228,NULL,NULL,NULL,4,1),(28,7220871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7220880,6.00,7.00,4.00,5.00,9.00,11.25,4.00,6.00,8.00,103,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',1277,665,NULL,NULL,NULL,NULL,NULL,4,16),(28,7220898,1.00,3.00,2.00,4.00,3.00,5.63,0.00,4.00,1.00,238,NULL,212,'BELA VISTA L','S JOSÉ','SC',19861,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7220901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'COAHB','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7220910,3.00,3.00,1.00,4.00,5.00,8.25,2.00,4.00,4.00,104,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',13200,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7220928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7220936,4.00,8.00,4.00,6.00,10.00,7.88,3.00,5.00,6.00,207,NULL,201,'SÃO BENTO','CPO GRANDE','MS',2588,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7220944,1.00,6.00,3.00,3.00,4.00,7.13,2.00,5.00,2.00,551,NULL,NULL,'SÃO FRANCISCO','CURITIBANOS','SC',18297,55,NULL,NULL,NULL,NULL,NULL,4,16),(28,7220952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'XV DE NOVEMBRO','FRUTAL','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7220979,1.00,6.00,1.00,3.00,4.00,7.88,2.00,4.00,2.00,208,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',18399,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7220987,4.00,5.00,1.00,3.00,8.00,9.75,4.00,6.00,7.00,655,NULL,653,'CENTRO','JACINTO MACHADO','SC',4242,6,NULL,NULL,NULL,NULL,NULL,4,15),(28,7220995,0.00,4.00,2.00,3.00,4.00,NULL,1.00,3.00,1.00,301,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7221002,7.00,7.00,1.00,7.00,9.00,7.50,6.00,8.00,5.00,317,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',3276,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221010,1.00,7.00,1.00,7.00,7.00,7.88,2.00,4.00,4.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8871,99,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221029,4.00,8.00,4.00,6.00,9.00,8.63,4.00,5.00,7.00,103,NULL,NULL,'CENTRO','ANDRADINA','SP',1565,764,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,423,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7221045,3.00,3.00,2.00,5.00,4.00,3.00,4.00,5.00,3.00,104,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221061,1.00,4.00,2.00,6.00,7.00,9.75,1.00,4.00,2.00,319,NULL,NULL,'CENTRO','CURITIBANOS','SC',12823,238,NULL,NULL,NULL,NULL,NULL,2,16),(28,7221070,0.00,0.00,4.00,5.00,4.00,7.88,2.00,4.00,4.00,324,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7221088,4.00,7.00,5.00,4.00,9.00,9.75,3.00,6.00,4.00,303,NULL,NULL,'CENTRO','BRUSQUE','SC',4217,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7221096,6.00,9.00,1.00,7.00,8.00,7.13,3.00,7.00,4.00,216,NULL,214,'MARIA GORETTI','CHAPECÓ','SC',3161,114,NULL,115,NULL,NULL,NULL,4,4),(28,7221100,7.00,8.00,4.00,7.00,10.00,9.00,5.00,8.00,7.00,303,NULL,NULL,'BOM ABIRGO','FLORIANÓPOLIS','SC',594,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221118,4.00,8.00,4.00,7.00,4.00,9.38,3.00,6.00,3.00,224,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10152,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221126,6.00,9.00,3.00,7.00,8.00,5.63,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2847,1102,NULL,NULL,NULL,NULL,NULL,4,3),(28,7221134,2.00,4.00,3.00,6.00,7.00,7.88,5.00,4.00,4.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14110,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7221142,1.00,3.00,4.00,4.00,1.00,NULL,2.00,2.00,2.00,601,NULL,212,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7221150,1.00,3.00,2.00,3.00,5.00,6.75,2.00,5.00,0.00,201,NULL,211,'RURAL','LEBON RÉGIS','SC',19567,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7221169,2.00,6.00,2.00,5.00,5.00,6.00,3.00,4.00,4.00,212,NULL,NULL,'CENTRO','IÇARA','SC',11591,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7221177,1.00,6.00,3.00,5.00,6.00,4.50,1.00,3.00,1.00,999,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7221207,4.00,7.00,5.00,6.00,8.00,11.25,5.00,6.00,6.00,103,NULL,NULL,'SERRARIA','S JOSÉ','SC',1246,655,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221215,0.00,3.00,1.00,5.00,4.00,6.00,2.00,3.00,1.00,454,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',17972,368,NULL,NULL,NULL,NULL,NULL,2,1),(28,7221258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,NULL,'KOBRASSOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7221266,2.00,7.00,3.00,3.00,8.00,5.25,3.00,5.00,1.00,5,NULL,NULL,'CENTRO','IÇARA','SC',16905,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7221274,6.00,8.00,1.00,7.00,9.00,7.50,6.00,6.00,7.00,220,NULL,235,'INDIANÓPOLIS','S PAULO','SP',806,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221290,4.00,7.00,3.00,7.00,7.00,9.75,5.00,4.00,5.00,203,NULL,220,'BOM RETIRO','JOINVILLE','SC',3223,236,NULL,94,NULL,NULL,NULL,4,8),(28,7221304,4.00,7.00,4.00,7.00,4.00,11.25,4.00,5.00,6.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',3506,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7221312,2.00,4.00,1.00,3.00,3.00,5.63,2.00,4.00,1.00,999,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7221320,2.00,5.00,3.00,4.00,6.00,9.75,1.00,5.00,3.00,601,NULL,220,'CENTRO','MTE CASTELO','SC',11637,341,NULL,272,NULL,NULL,NULL,4,17),(28,7221339,1.00,3.00,0.00,4.00,3.00,7.50,2.00,4.00,2.00,655,NULL,652,'OFICINAS','TUBARÃO','SC',16992,105,NULL,85,NULL,NULL,NULL,4,10),(28,7221347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7221355,3.00,8.00,0.00,2.00,4.00,8.25,1.00,6.00,4.00,999,NULL,NULL,'IMIGRANTES','GUABIRUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7221363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MIRANDÓPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7221371,3.00,6.00,3.00,6.00,9.00,9.75,5.00,5.00,7.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',2672,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7221398,5.00,6.00,3.00,6.00,8.00,10.13,4.00,4.00,5.00,203,NULL,214,'CENTRO','BRUSQUE','SC',2622,199,NULL,NULL,NULL,NULL,NULL,4,22),(28,7221401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JARDIM AMÉRICA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7221410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'SÃO BASÍLIO MAGNO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7221428,5.00,8.00,4.00,6.00,6.00,9.75,3.00,4.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2303,77,NULL,NULL,NULL,NULL,NULL,2,1),(28,7221436,3.00,6.00,4.00,7.00,7.00,6.38,4.00,6.00,5.00,653,NULL,652,'CIDADE ALTA','ARARANGUÁ','SC',5853,55,NULL,NULL,NULL,NULL,NULL,2,15),(28,7221444,2.00,7.00,2.00,6.00,4.00,9.75,5.00,6.00,5.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221460,6.00,7.00,6.00,7.00,7.00,12.00,5.00,5.00,5.00,201,NULL,213,'ABRAAO','FLORIANÓPOLIS','SC',1187,63,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221479,1.00,4.00,0.00,5.00,8.00,NULL,2.00,4.00,2.00,309,NULL,NULL,'PONTE DO IIMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221487,0.00,2.00,1.00,5.00,4.00,NULL,0.00,3.00,1.00,340,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7221509,5.00,8.00,2.00,6.00,7.00,7.88,2.00,5.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9354,261,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221525,3.00,8.00,2.00,3.00,4.00,7.50,1.00,2.00,1.00,318,NULL,NULL,'AREIAS','S JOSÉ','SC',14689,104,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221533,0.00,5.00,2.00,7.00,6.00,5.25,6.00,4.00,2.00,601,NULL,203,'VILA NOVA','JARAGUÁ SUL','SC',11987,355,NULL,NULL,NULL,NULL,NULL,4,23),(28,7221550,1.00,7.00,1.00,6.00,8.00,6.38,2.00,6.00,4.00,201,NULL,212,'CENTRO','JOAÇABA','SC',13905,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7221568,0.00,2.00,3.00,3.00,2.00,NULL,3.00,2.00,3.00,9,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221576,3.00,7.00,2.00,4.00,5.00,6.38,1.00,2.00,4.00,444,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7221584,3.00,4.00,3.00,3.00,5.00,7.13,4.00,2.00,4.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221592,0.00,3.00,1.00,7.00,3.00,7.50,1.00,2.00,2.00,319,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7221606,3.00,5.00,1.00,5.00,6.00,9.00,3.00,5.00,6.00,215,NULL,216,'CAMINHO NOVO','PALHOÇA','SC',8792,153,NULL,288,NULL,NULL,NULL,2,1),(28,7221614,0.00,3.00,2.00,1.00,3.00,NULL,2.00,2.00,1.00,653,NULL,652,'JARDIM CIBELI','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7221622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7221649,4.00,5.00,1.00,4.00,8.00,7.88,2.00,5.00,2.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11441,2165,NULL,NULL,NULL,NULL,NULL,2,1),(28,7221657,0.00,4.00,2.00,3.00,5.00,NULL,2.00,2.00,1.00,301,NULL,NULL,'CENTRO','ITAPORÃ','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7221665,5.00,6.00,4.00,3.00,2.00,NULL,3.00,3.00,1.00,230,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221673,1.00,5.00,1.00,3.00,2.00,NULL,2.00,4.00,2.00,444,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7221681,1.00,7.00,2.00,4.00,3.00,5.25,1.00,4.00,3.00,211,NULL,238,'GONZAGA','SANTOS','SP',14784,372,NULL,244,NULL,NULL,NULL,4,1),(28,7221690,3.00,5.00,1.00,5.00,6.00,8.25,1.00,3.00,3.00,207,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13421,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7221703,4.00,8.00,2.00,7.00,8.00,12.00,2.00,5.00,4.00,310,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3155,6,NULL,NULL,NULL,NULL,NULL,2,1),(28,7221711,0.00,4.00,2.00,4.00,2.00,NULL,3.00,3.00,2.00,999,NULL,NULL,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221720,2.00,4.00,2.00,5.00,5.00,8.25,3.00,5.00,3.00,444,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',17279,110,NULL,NULL,NULL,NULL,NULL,2,1),(28,7221746,1.00,3.00,3.00,6.00,7.00,10.50,1.00,1.00,2.00,101,NULL,NULL,'FREITAS','PAULO LOPES','SC',12794,67,NULL,NULL,NULL,NULL,NULL,2,1),(28,7221754,2.00,4.00,1.00,4.00,4.00,10.50,2.00,4.00,4.00,2,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221762,2.00,3.00,2.00,6.00,6.00,9.75,1.00,3.00,3.00,5,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',11369,327,NULL,NULL,NULL,NULL,NULL,2,1),(28,7221770,3.00,6.00,2.00,6.00,7.00,8.63,2.00,4.00,6.00,103,NULL,NULL,'RIO ADAGA','ALFREDO WAGNER','SC',7640,1847,NULL,NULL,NULL,NULL,NULL,2,1),(28,7221789,2.00,6.00,2.00,6.00,7.00,8.63,2.00,2.00,3.00,109,NULL,NULL,'FLORESTA','S JOSÉ','SC',16561,72,NULL,NULL,NULL,NULL,NULL,2,1),(28,7221819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','TUNÁPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7221827,3.00,4.00,1.00,1.00,4.00,5.25,1.00,3.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',19476,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7221843,3.00,7.00,5.00,7.00,9.00,8.25,6.00,7.00,8.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',1189,633,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221860,1.00,6.00,2.00,5.00,8.00,5.25,1.00,3.00,1.00,201,NULL,207,'SÃO JOSÉ','CURITIBANOS','SC',15580,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7221878,3.00,6.00,1.00,5.00,7.00,9.00,4.00,5.00,4.00,324,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13845,10,NULL,NULL,NULL,NULL,NULL,2,1),(28,7221886,5.00,6.00,3.00,6.00,6.00,8.63,5.00,4.00,3.00,5,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',5908,194,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221894,2.00,6.00,2.00,4.00,8.00,7.50,1.00,4.00,2.00,2,NULL,NULL,'MONTE ALEGRE','CAMBORIÚ','SC',12290,36,NULL,NULL,NULL,NULL,NULL,2,3),(28,7221908,5.00,7.00,2.00,5.00,7.00,7.13,4.00,7.00,7.00,238,NULL,213,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3477,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITAIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7221932,5.00,7.00,1.00,8.00,10.00,9.38,3.00,4.00,4.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3095,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7221967,0.00,4.00,1.00,3.00,6.00,NULL,1.00,4.00,1.00,552,NULL,NULL,'CENTRO','PAINEL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7221975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CIDADE ALTA','ALEGRETE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7221983,3.00,7.00,3.00,5.00,1.00,NULL,6.00,5.00,3.00,220,NULL,601,'ZONA II','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7221991,1.00,5.00,2.00,4.00,5.00,9.38,1.00,3.00,2.00,201,NULL,233,'COQUEIROS','FLORIANÓPOLIS','SC',15819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7222009,0.00,5.00,2.00,5.00,3.00,0.00,2.00,2.00,3.00,201,NULL,211,'CANTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222017,7.00,8.00,4.00,6.00,8.00,11.63,6.00,5.00,6.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',529,353,NULL,NULL,NULL,NULL,NULL,4,8),(28,7222025,0.00,5.00,3.00,3.00,4.00,6.75,2.00,6.00,2.00,202,NULL,201,'ENGENHO BRAUN','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7222033,3.00,6.00,0.00,7.00,7.00,9.38,2.00,5.00,6.00,3,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',5447,20,NULL,NULL,NULL,NULL,NULL,4,4),(28,7222041,2.00,4.00,2.00,2.00,3.00,6.00,3.00,3.00,3.00,104,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7222068,0.00,3.00,1.00,0.00,1.00,NULL,1.00,3.00,2.00,203,NULL,235,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7222076,1.00,2.00,2.00,2.00,4.00,6.75,1.00,3.00,2.00,208,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7222084,3.00,4.00,1.00,1.00,2.00,NULL,1.00,4.00,2.00,454,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7222092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,233,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7222106,0.00,3.00,2.00,1.00,4.00,NULL,3.00,2.00,2.00,104,NULL,NULL,'CENTRO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7222114,1.00,5.00,1.00,4.00,3.00,NULL,2.00,4.00,0.00,319,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222122,0.00,4.00,1.00,6.00,2.00,NULL,0.00,2.00,2.00,454,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7222130,2.00,8.00,4.00,2.00,5.00,6.75,4.00,4.00,1.00,208,NULL,NULL,'LÍDER','CHAPECÓ','SC',10960,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7222149,4.00,5.00,3.00,5.00,4.00,7.88,1.00,3.00,5.00,223,NULL,NULL,'PICADOS DO NORTE','S JOSÉ','SC',13107,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222157,1.00,7.00,2.00,5.00,2.00,NULL,3.00,4.00,2.00,404,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222165,3.00,6.00,2.00,7.00,8.00,8.63,4.00,5.00,4.00,233,NULL,216,'CAPOEIRAS','FLORIANÓPOLIS','SC',6865,169,NULL,234,NULL,NULL,NULL,4,1),(28,7222173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CIDADE ALTA','SALTO VELOSO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7222181,0.00,3.00,2.00,1.00,2.00,NULL,2.00,3.00,3.00,601,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222190,1.00,1.00,1.00,4.00,5.00,5.63,1.00,5.00,2.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19925,288,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222203,1.00,6.00,0.00,5.00,10.00,7.50,3.00,3.00,2.00,5,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',10250,304,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222211,1.00,5.00,2.00,5.00,9.00,10.88,3.00,5.00,2.00,303,NULL,NULL,'CENTRO','CAPÃO CANOA','RS',9895,403,NULL,NULL,NULL,NULL,NULL,4,1),(28,7222220,0.00,4.00,4.00,3.00,2.00,NULL,0.00,3.00,1.00,5,NULL,NULL,'VILA VITÓRIA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7222238,6.00,8.00,2.00,6.00,7.00,8.25,5.00,6.00,4.00,233,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',7734,197,NULL,185,NULL,NULL,NULL,4,1),(28,7222246,1.00,5.00,4.00,3.00,4.00,6.38,1.00,3.00,2.00,303,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',17092,570,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITAIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7222270,3.00,7.00,0.00,4.00,6.00,NULL,3.00,5.00,3.00,216,NULL,215,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222289,5.00,6.00,1.00,7.00,4.00,6.38,3.00,4.00,2.00,317,NULL,NULL,'PASSO DAREIA','PTO ALEGRE','RS',10612,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7222297,0.00,6.00,1.00,3.00,5.00,10.50,3.00,1.00,2.00,202,NULL,235,'BELA VISTA','S JOAQUIM','SC',15239,349,NULL,240,NULL,NULL,NULL,4,9),(28,7222300,5.00,8.00,2.00,7.00,9.00,8.63,1.00,7.00,2.00,103,NULL,NULL,'CENTRO','CAMBORIÚ','SC',4698,1445,NULL,NULL,NULL,NULL,NULL,2,3),(28,7222319,3.00,5.00,2.00,6.00,6.00,5.25,3.00,5.00,2.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17339,239,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222327,2.00,5.00,1.00,3.00,6.00,7.50,2.00,3.00,3.00,2,NULL,NULL,'CEDRO','CAMBORIÚ','SC',13377,39,NULL,NULL,NULL,NULL,NULL,4,3),(28,7222335,0.00,2.00,2.00,3.00,3.00,NULL,0.00,1.00,3.00,339,NULL,NULL,'ESPERANÇA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7222351,2.00,3.00,1.00,1.00,3.00,NULL,0.00,3.00,3.00,552,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7222360,2.00,6.00,2.00,6.00,6.00,7.13,3.00,4.00,3.00,423,NULL,424,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',12002,8,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222378,1.00,2.00,2.00,4.00,4.00,7.50,1.00,2.00,1.00,454,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19824,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222386,5.00,5.00,5.00,6.00,7.00,8.63,4.00,5.00,3.00,109,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',9942,17,NULL,NULL,NULL,NULL,NULL,4,23),(28,7222394,6.00,9.00,1.00,8.00,10.00,7.88,4.00,8.00,5.00,653,NULL,652,'CENTRO','ARARANGUÁ','SC',3188,12,NULL,NULL,NULL,NULL,NULL,4,15),(28,7222416,1.00,4.00,2.00,3.00,3.00,6.75,1.00,2.00,3.00,207,NULL,NULL,'CENTRO','IPUMIRIM','SC',19741,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7222432,4.00,5.00,3.00,7.00,8.00,11.25,4.00,4.00,4.00,2,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',5105,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7222459,0.00,7.00,3.00,6.00,5.00,NULL,2.00,4.00,2.00,653,NULL,202,'HUMAITÁ DE CIMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7222467,0.00,4.00,2.00,4.00,4.00,6.38,3.00,4.00,1.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15981,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222491,4.00,5.00,2.00,6.00,6.00,11.25,2.00,5.00,4.00,212,NULL,201,'BOA VISTA','S VICENTE','SP',6069,195,NULL,NULL,NULL,NULL,NULL,4,1),(28,7222505,1.00,7.00,2.00,6.00,5.00,7.88,4.00,4.00,5.00,203,NULL,233,'SÃO LUÍS','JEQUIÉ','BA',13414,610,NULL,291,NULL,NULL,NULL,4,1),(28,7222521,3.00,5.00,2.00,7.00,8.00,6.38,2.00,5.00,4.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10534,199,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222548,3.00,8.00,1.00,7.00,7.00,7.50,5.00,6.00,3.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',5703,34,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'JARDIM DA SAÚDE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7222572,0.00,5.00,2.00,4.00,6.00,NULL,5.00,5.00,2.00,202,NULL,213,'TESTO SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7222580,5.00,7.00,1.00,7.00,3.00,8.63,4.00,6.00,5.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',10571,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7222602,0.00,2.00,1.00,2.00,4.00,NULL,1.00,2.00,1.00,202,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7222610,3.00,8.00,1.00,7.00,8.00,8.25,2.00,6.00,5.00,104,NULL,NULL,'CENTRO','FORMOSA SUL','SC',5737,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222645,3.00,7.00,1.00,5.00,8.00,10.13,2.00,6.00,5.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',9219,283,NULL,NULL,NULL,NULL,NULL,4,5),(28,7222653,5.00,6.00,2.00,6.00,7.00,10.13,2.00,6.00,6.00,211,NULL,233,'SANTA TEREZINHA','VACARIA','RS',3796,95,NULL,99,NULL,NULL,NULL,4,9),(28,7222670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'ROYAL PARK','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7222688,3.00,6.00,1.00,4.00,8.00,7.50,3.00,3.00,1.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13708,66,NULL,NULL,NULL,NULL,NULL,4,1),(28,7222696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'SANTA TEREZINHA','CÂNDIDO MOTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7222700,0.00,5.00,2.00,1.00,5.00,NULL,1.00,3.00,0.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7222734,4.00,8.00,1.00,5.00,10.00,9.00,4.00,5.00,5.00,208,NULL,NULL,'FREITAS','PAULO LOPES','SC',3685,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7222742,0.00,4.00,2.00,3.00,1.00,NULL,2.00,1.00,2.00,444,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222793,0.00,7.00,3.00,7.00,4.00,8.63,3.00,5.00,2.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14529,95,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222807,3.00,4.00,3.00,7.00,9.00,11.63,3.00,6.00,5.00,316,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',2870,9,NULL,NULL,NULL,NULL,NULL,4,15),(28,7222815,5.00,6.00,2.00,5.00,8.00,9.00,4.00,4.00,4.00,102,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5262,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7222823,1.00,6.00,2.00,5.00,4.00,9.38,3.00,4.00,1.00,327,NULL,NULL,'CENTRO','S JORGE','RS',13389,38,NULL,NULL,NULL,NULL,NULL,2,22),(28,7222831,3.00,4.00,1.00,1.00,4.00,5.63,2.00,2.00,2.00,501,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',19845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222840,4.00,7.00,2.00,6.00,4.00,10.13,4.00,6.00,3.00,234,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7439,4,NULL,NULL,NULL,NULL,NULL,4,3),(28,7222858,2.00,5.00,2.00,7.00,4.00,5.63,2.00,4.00,3.00,454,NULL,NULL,'SERRARIA','S JOSÉ','SC',16719,341,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222866,2.00,6.00,2.00,6.00,6.00,9.00,3.00,5.00,5.00,104,NULL,NULL,'LAGOA SECA','MOGI CRUZES','SP',7379,169,NULL,NULL,NULL,NULL,NULL,5,1),(28,7222874,3.00,6.00,1.00,7.00,7.00,6.00,2.00,6.00,6.00,454,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8303,151,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222912,3.00,3.00,1.00,6.00,5.00,8.25,2.00,5.00,3.00,5,NULL,NULL,'PARQUE GUARANI','JOINVILLE','SC',17185,455,NULL,NULL,NULL,NULL,NULL,2,8),(28,7222920,1.00,3.00,2.00,0.00,4.00,7.50,1.00,2.00,2.00,339,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7222939,3.00,7.00,1.00,6.00,7.00,7.50,1.00,6.00,3.00,655,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',10596,54,NULL,83,NULL,NULL,NULL,4,15),(28,7222947,7.00,6.00,4.00,6.00,6.00,10.13,3.00,4.00,4.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',7936,1895,NULL,NULL,NULL,NULL,NULL,2,3),(28,7222955,5.00,5.00,2.00,6.00,7.00,7.13,3.00,6.00,3.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',7845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7222963,4.00,7.00,2.00,6.00,10.00,7.88,3.00,5.00,4.00,207,NULL,201,'CANASVIEIRAS','FLORIANÓPOLIS','SC',4806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7222980,3.00,8.00,1.00,6.00,8.00,12.00,4.00,6.00,2.00,103,NULL,NULL,'SÃO FCO DE ASSIS','DOIS VIZINHOS','PR',4197,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7222998,2.00,6.00,3.00,6.00,7.00,8.63,3.00,5.00,3.00,318,NULL,NULL,'FREZZARIM','AMERICANA','SP',12843,89,NULL,NULL,NULL,NULL,NULL,4,3),(28,7223005,0.00,1.00,2.00,5.00,5.00,7.13,2.00,3.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17143,240,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223013,5.00,7.00,4.00,6.00,9.00,10.13,5.00,5.00,7.00,201,NULL,601,'VILA NOVA','FRANCISCO BELTRÃO','PR',1105,56,NULL,NULL,NULL,NULL,NULL,4,4),(28,7223021,1.00,4.00,3.00,4.00,4.00,6.38,1.00,2.00,1.00,303,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',19731,605,NULL,NULL,NULL,NULL,NULL,4,1),(28,7223030,0.00,0.00,0.00,0.00,3.00,NULL,0.00,1.00,1.00,454,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7223056,0.00,4.00,0.00,4.00,4.00,5.25,0.00,2.00,3.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223064,1.00,5.00,2.00,5.00,4.00,7.88,0.00,3.00,3.00,454,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',16627,337,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223072,0.00,6.00,1.00,3.00,5.00,5.25,1.00,4.00,1.00,655,NULL,653,'NOVA BRASILIA','SOMBRIO','SC',19769,138,NULL,217,NULL,NULL,NULL,4,15),(28,7223080,3.00,5.00,3.00,6.00,4.00,5.25,3.00,4.00,3.00,317,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',13054,74,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223099,1.00,4.00,1.00,3.00,3.00,8.25,2.00,3.00,3.00,223,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',19286,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223102,6.00,8.00,3.00,7.00,9.00,10.50,3.00,7.00,7.00,336,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',1492,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7223110,0.00,0.00,1.00,3.00,3.00,NULL,0.00,2.00,1.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7223145,0.00,5.00,3.00,6.00,5.00,NULL,4.00,3.00,1.00,234,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7223153,4.00,7.00,3.00,6.00,8.00,12.00,4.00,8.00,6.00,310,NULL,NULL,'GUANABARA','JOINVILLE','SC',4240,9,NULL,NULL,NULL,NULL,NULL,5,8),(28,7223161,0.00,4.00,0.00,3.00,5.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'J PARAISO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7223188,2.00,7.00,2.00,7.00,7.00,6.75,2.00,4.00,2.00,454,NULL,NULL,'ROÇADO','S JOSÉ','SC',15681,320,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223196,1.00,2.00,1.00,6.00,5.00,7.88,2.00,3.00,3.00,317,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',18895,165,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223200,3.00,7.00,2.00,7.00,8.00,9.00,4.00,6.00,2.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10556,136,NULL,NULL,NULL,NULL,NULL,4,1),(28,7223218,0.00,6.00,0.00,5.00,4.00,7.88,4.00,4.00,2.00,653,NULL,601,'CENTRO','PALHOÇA','SC',15430,165,NULL,454,NULL,NULL,NULL,4,1),(28,7223234,2.00,6.00,1.00,5.00,3.00,7.13,3.00,3.00,3.00,203,NULL,214,'NOVA AMÉRICA','PIRACICABA','SP',13576,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223242,3.00,7.00,3.00,4.00,7.00,7.88,6.00,5.00,6.00,203,NULL,213,'ITACORUBI','FLORIANÓPOLIS','SC',4591,319,NULL,67,NULL,NULL,NULL,4,1),(28,7223250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MASCOTE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7223269,0.00,3.00,2.00,0.00,5.00,5.25,1.00,3.00,2.00,202,NULL,201,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7223277,1.00,7.00,3.00,5.00,4.00,5.25,3.00,1.00,1.00,203,NULL,220,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15296,649,NULL,314,NULL,NULL,NULL,2,1),(28,7223285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7223293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7223315,0.00,4.00,3.00,5.00,6.00,4.50,3.00,3.00,5.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15536,2378,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223323,3.00,6.00,2.00,4.00,7.00,9.75,1.00,4.00,4.00,302,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',10283,61,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223358,3.00,5.00,4.00,4.00,6.00,9.38,2.00,5.00,2.00,303,NULL,NULL,'COSTA DO MACACU','GAROPABA','SC',11540,447,NULL,NULL,NULL,NULL,NULL,4,1),(28,7223366,3.00,7.00,3.00,5.00,6.00,8.25,3.00,5.00,2.00,108,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',7749,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7223374,1.00,4.00,2.00,1.00,4.00,7.50,4.00,5.00,3.00,203,NULL,214,'PRÓSPERA','CRICIÚMA','SC',15610,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7223390,7.00,5.00,2.00,7.00,9.00,7.50,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','AQUIDAUANA','MS',2985,1135,NULL,NULL,NULL,NULL,NULL,2,17),(28,7223404,3.00,6.00,3.00,7.00,6.00,7.13,3.00,4.00,4.00,653,NULL,215,'CENTRO','BAL ARROIO SILVA','SC',13787,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7223412,2.00,3.00,0.00,5.00,8.00,7.88,1.00,5.00,3.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14175,269,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223420,2.00,4.00,1.00,3.00,3.00,4.88,3.00,2.00,1.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18669,75,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7223455,2.00,8.00,1.00,2.00,7.00,8.63,3.00,3.00,3.00,201,NULL,216,'INGLESES','FLORIANÓPOLIS','SC',10395,693,NULL,321,NULL,NULL,NULL,4,1),(28,7223463,1.00,5.00,2.00,6.00,3.00,7.13,0.00,4.00,4.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15331,110,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223471,2.00,6.00,2.00,4.00,7.00,7.50,2.00,6.00,2.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',8731,1979,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223498,2.00,7.00,1.00,5.00,8.00,8.63,1.00,7.00,3.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',5862,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7223510,5.00,7.00,3.00,8.00,10.00,10.50,5.00,8.00,5.00,303,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',730,27,NULL,NULL,NULL,NULL,NULL,4,10),(28,7223528,0.00,5.00,1.00,3.00,2.00,NULL,1.00,4.00,2.00,9,NULL,NULL,'BAIRRO IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7223536,5.00,7.00,1.00,7.00,6.00,9.75,3.00,5.00,3.00,429,NULL,425,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',10509,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7223544,1.00,4.00,1.00,4.00,5.00,7.88,1.00,4.00,3.00,207,NULL,201,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',18559,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223579,0.00,5.00,2.00,2.00,3.00,4.88,2.00,3.00,1.00,318,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',17884,132,NULL,NULL,NULL,NULL,NULL,4,1),(28,7223587,0.00,6.00,2.00,6.00,9.00,NULL,2.00,6.00,3.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223595,0.00,4.00,3.00,4.00,8.00,5.25,4.00,4.00,2.00,316,NULL,NULL,'PINHEIRA','PALHOÇA','SC',14862,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223609,4.00,6.00,1.00,4.00,5.00,6.75,1.00,6.00,3.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',16896,324,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7223633,3.00,7.00,2.00,2.00,6.00,8.25,3.00,5.00,4.00,308,NULL,NULL,'PENHA','PAULO LOPES','SC',9325,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7223668,4.00,8.00,2.00,3.00,8.00,8.63,3.00,4.00,6.00,319,NULL,NULL,'JARDIM ESPERANÇA','CANOINHAS','SC',5461,81,NULL,NULL,NULL,NULL,NULL,4,17),(28,7223684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7223692,1.00,7.00,4.00,7.00,5.00,6.00,3.00,3.00,0.00,421,NULL,427,'IPIRANGA','S JOSÉ','SC',17318,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7223706,1.00,4.00,1.00,3.00,5.00,8.63,2.00,5.00,3.00,201,NULL,220,'BOM VIVER','BIGUAÇU','SC',14823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7223714,5.00,3.00,2.00,6.00,4.00,10.13,3.00,4.00,5.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',13568,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223722,6.00,8.00,3.00,8.00,8.00,10.50,4.00,8.00,6.00,110,NULL,NULL,'KOBRASOL','S JOSÉ','SC',2589,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7223749,1.00,1.00,4.00,5.00,2.00,NULL,1.00,1.00,0.00,316,NULL,NULL,'BOM JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7223757,2.00,6.00,1.00,6.00,6.00,8.63,2.00,5.00,6.00,216,NULL,235,'MUNICÍPIOS','BAL CAMBORIÚ','SC',7712,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7223765,5.00,7.00,5.00,5.00,6.00,9.38,2.00,6.00,0.00,319,NULL,NULL,'BOM JARDIM','GUARATINGUETÁ','SP',8233,134,NULL,NULL,NULL,NULL,NULL,4,1),(28,7223781,4.00,6.00,7.00,6.00,9.00,9.00,3.00,5.00,7.00,103,NULL,NULL,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',815,475,NULL,NULL,NULL,NULL,NULL,4,1),(28,7223790,0.00,4.00,2.00,3.00,3.00,NULL,4.00,3.00,3.00,318,NULL,NULL,'CENTRO','CAFARNAUM','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7223803,1.00,3.00,3.00,2.00,5.00,7.50,4.00,4.00,5.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',17036,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7223846,3.00,7.00,2.00,6.00,7.00,8.63,3.00,4.00,3.00,201,NULL,233,'BREJARU','PALHOÇA','SC',8452,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223854,5.00,6.00,3.00,7.00,8.00,8.63,3.00,3.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6810,82,NULL,NULL,NULL,NULL,NULL,5,1),(28,7223862,5.00,6.00,1.00,6.00,8.00,7.88,4.00,5.00,3.00,102,NULL,NULL,'CENTRO','ITUPORANGA','SC',11817,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7223870,2.00,2.00,1.00,5.00,6.00,7.88,2.00,2.00,2.00,502,NULL,NULL,'CENTRO','IMBITUBA','SC',19451,65,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223889,1.00,6.00,1.00,5.00,6.00,4.88,4.00,6.00,4.00,302,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',17407,135,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223897,3.00,6.00,2.00,7.00,6.00,10.13,5.00,6.00,2.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10842,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7223900,1.00,6.00,3.00,5.00,8.00,7.13,3.00,5.00,4.00,5,NULL,NULL,'PRAIA DE BELAS','PTO ALEGRE','RS',8105,246,NULL,NULL,NULL,NULL,NULL,4,1),(28,7223919,3.00,6.00,3.00,6.00,7.00,9.00,3.00,6.00,2.00,318,NULL,NULL,'BARREIROS','S JOSÉ','SC',11049,76,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7223935,1.00,8.00,1.00,6.00,3.00,7.50,4.00,6.00,2.00,336,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15382,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7223943,5.00,9.00,3.00,7.00,8.00,10.50,3.00,7.00,7.00,103,NULL,NULL,'SANTA TEREZINHA','CEL FABRICIANO','MG',2433,1005,NULL,NULL,NULL,NULL,NULL,4,1),(28,7223951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7223960,3.00,5.00,0.00,4.00,3.00,NULL,1.00,4.00,3.00,203,NULL,655,'HUMAITÁ DE CIMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7223986,0.00,6.00,2.00,4.00,3.00,NULL,0.00,4.00,1.00,423,NULL,428,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7223994,6.00,7.00,4.00,7.00,9.00,8.63,4.00,7.00,5.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4458,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224001,3.00,7.00,3.00,5.00,10.00,9.75,3.00,6.00,5.00,9,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',7194,28,NULL,NULL,NULL,NULL,NULL,2,1),(28,7224010,4.00,6.00,3.00,7.00,10.00,10.13,4.00,6.00,4.00,211,NULL,215,'PINHEIRA','PALHOÇA','SC',3397,77,NULL,NULL,NULL,NULL,NULL,2,1),(28,7224028,2.00,4.00,1.00,5.00,5.00,6.75,2.00,5.00,2.00,601,NULL,216,'CENTRO','GRAVATAL','SC',18660,528,NULL,NULL,NULL,NULL,NULL,4,6),(28,7224036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7224044,4.00,7.00,3.00,6.00,9.00,9.75,5.00,6.00,5.00,212,NULL,213,'KOBRASOL','S JOSÉ','SC',3508,103,NULL,43,NULL,NULL,NULL,4,1),(28,7224052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7224060,2.00,5.00,1.00,3.00,7.00,8.25,3.00,4.00,4.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11480,186,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','FELIZ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7224109,3.00,6.00,3.00,5.00,7.00,7.88,3.00,5.00,3.00,429,NULL,425,'SERRARIA','S JOSÉ','SC',13584,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7224117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VARZEA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7224125,5.00,7.00,0.00,4.00,10.00,10.13,2.00,5.00,3.00,208,NULL,NULL,'ESTAÇÃO','URUSSANGA','SC',5615,42,NULL,NULL,NULL,NULL,NULL,4,5),(28,7224133,0.00,8.00,3.00,4.00,6.00,NULL,2.00,6.00,2.00,415,NULL,NULL,'BERGER','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7224141,0.00,4.00,2.00,2.00,5.00,3.00,2.00,4.00,3.00,238,NULL,NULL,'SANTA TEREZINHA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7224150,0.00,5.00,0.00,5.00,3.00,NULL,1.00,3.00,3.00,302,NULL,NULL,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7224168,6.00,6.00,1.00,4.00,8.00,8.25,3.00,4.00,3.00,211,NULL,233,'RIO VERMELHO','FLORIANÓPOLIS','SC',12682,329,NULL,281,NULL,NULL,NULL,4,1),(28,7224184,0.00,5.00,2.00,4.00,5.00,8.25,2.00,3.00,4.00,450,NULL,NULL,'JARDIM ANGÉLICA','CRICIÚMA','SC',14757,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7224192,3.00,5.00,3.00,3.00,2.00,NULL,1.00,5.00,0.00,215,NULL,201,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7224214,1.00,5.00,4.00,7.00,6.00,7.88,5.00,5.00,3.00,201,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',11548,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7224222,2.00,5.00,1.00,3.00,3.00,6.38,2.00,4.00,1.00,454,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',19483,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224230,0.00,3.00,3.00,2.00,3.00,NULL,2.00,4.00,1.00,404,NULL,NULL,'CAMPO DA ÁGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7224249,1.00,4.00,1.00,3.00,8.00,7.50,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','JAGUARUNA','SC',12098,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7224257,3.00,4.00,3.00,5.00,3.00,4.50,1.00,3.00,6.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14432,93,NULL,NULL,NULL,NULL,NULL,2,1),(28,7224281,1.00,6.00,2.00,6.00,7.00,7.13,3.00,5.00,4.00,655,NULL,652,'MORRO DO MEIO','TURVO','SC',8296,32,NULL,NULL,NULL,NULL,NULL,4,15),(28,7224290,1.00,2.00,2.00,4.00,3.00,4.50,3.00,3.00,2.00,309,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7224303,1.00,4.00,4.00,5.00,5.00,7.50,1.00,3.00,3.00,207,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13757,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7224311,2.00,3.00,0.00,1.00,4.00,4.50,1.00,4.00,1.00,103,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',19237,2509,NULL,NULL,NULL,NULL,NULL,2,1),(28,7224320,0.00,5.00,0.00,0.00,0.00,NULL,2.00,2.00,2.00,9,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7224346,2.00,4.00,2.00,5.00,6.00,6.75,3.00,4.00,3.00,454,NULL,NULL,'SERRARIA','S JOSÉ','SC',14642,299,NULL,NULL,NULL,NULL,NULL,2,1),(28,7224354,3.00,4.00,2.00,5.00,5.00,4.50,4.00,3.00,3.00,207,NULL,213,'PONTE DE IMARUIM','PALHOÇA','SC',15772,690,NULL,245,NULL,NULL,NULL,4,1),(28,7224370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7224389,6.00,7.00,7.00,8.00,5.00,11.63,4.00,7.00,7.00,216,NULL,201,'UNIVERSITÁRIO','LAGES','SC',840,17,NULL,NULL,NULL,NULL,NULL,4,9),(28,7224397,1.00,3.00,2.00,2.00,5.00,5.63,2.00,2.00,0.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224419,0.00,4.00,2.00,4.00,4.00,NULL,0.00,1.00,3.00,201,NULL,207,'ALVORADA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7224427,1.00,5.00,1.00,4.00,3.00,7.88,1.00,3.00,3.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7224451,6.00,5.00,3.00,5.00,6.00,10.13,0.00,3.00,5.00,501,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8838,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224478,1.00,5.00,1.00,7.00,4.00,6.75,2.00,2.00,5.00,319,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',15243,299,NULL,NULL,NULL,NULL,NULL,2,1),(28,7224494,5.00,7.00,1.00,6.00,6.00,7.50,2.00,7.00,5.00,216,NULL,203,'CENTRO','CURITIBA','PR',6881,236,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224508,1.00,3.00,1.00,6.00,5.00,7.50,0.00,3.00,2.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224516,0.00,4.00,1.00,3.00,4.00,5.25,2.00,2.00,2.00,9,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',17755,142,NULL,NULL,NULL,NULL,NULL,2,1),(28,7224532,5.00,8.00,2.00,6.00,7.00,10.50,5.00,7.00,5.00,202,NULL,211,'NAÇÕES','BAL CAMBORIÚ','SC',1751,44,NULL,NULL,NULL,NULL,NULL,2,6),(28,7224540,0.00,4.00,0.00,7.00,5.00,9.75,2.00,5.00,2.00,310,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',12255,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224567,2.00,5.00,0.00,2.00,5.00,6.00,1.00,4.00,3.00,303,NULL,NULL,'CENTRO','CURITIBANOS','SC',15757,541,NULL,NULL,NULL,NULL,NULL,4,16),(28,7224575,2.00,3.00,1.00,1.00,3.00,7.13,2.00,3.00,2.00,208,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',20001,223,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224583,2.00,4.00,0.00,6.00,5.00,7.13,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','GARIBALDI','RS',18111,2477,NULL,NULL,NULL,NULL,NULL,2,6),(28,7224591,3.00,4.00,5.00,1.00,4.00,7.13,1.00,3.00,1.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',19281,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7224605,2.00,6.00,3.00,6.00,5.00,5.25,3.00,3.00,5.00,5,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',15486,422,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM ESPERANÇA','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7224621,5.00,8.00,4.00,6.00,7.00,8.63,4.00,6.00,6.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',1425,719,NULL,NULL,NULL,NULL,NULL,4,6),(28,7224630,3.00,7.00,3.00,7.00,8.00,9.75,5.00,5.00,5.00,216,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',4402,165,NULL,60,NULL,NULL,NULL,4,1),(28,7224656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'JARDIM ELIZABETH','COCAL SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7224664,1.00,5.00,2.00,5.00,3.00,6.00,2.00,2.00,5.00,415,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',18547,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7224672,1.00,6.00,1.00,6.00,4.00,8.25,2.00,6.00,1.00,320,NULL,NULL,'VILA BUARQUE','S PAULO','SP',16599,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224680,2.00,3.00,1.00,4.00,5.00,9.00,2.00,3.00,2.00,319,NULL,NULL,'BREJARÚ','PALHOÇA','SC',18448,355,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224699,2.00,2.00,3.00,4.00,4.00,3.00,0.00,3.00,2.00,336,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224702,4.00,7.00,2.00,6.00,6.00,7.88,4.00,6.00,6.00,235,NULL,601,'FLOR DE NÁPOLIS','S JOSÉ','SC',6214,103,NULL,127,NULL,NULL,NULL,4,1),(28,7224710,1.00,5.00,2.00,2.00,4.00,7.13,3.00,6.00,3.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',18299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224737,2.00,6.00,0.00,3.00,4.00,8.63,1.00,3.00,2.00,601,NULL,NULL,'VILA NOVA','JOINVILLE','SC',19223,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7224745,2.00,5.00,1.00,2.00,6.00,7.13,1.00,5.00,1.00,552,NULL,NULL,'CENTRO','JOAÇABA','SC',15712,110,NULL,NULL,NULL,NULL,NULL,4,7),(28,7224753,3.00,6.00,2.00,5.00,4.00,8.63,5.00,4.00,4.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12076,163,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224761,5.00,7.00,3.00,5.00,8.00,9.00,6.00,7.00,5.00,201,NULL,212,'JARDIM ELDORADO','PALHOÇA','SC',2695,202,NULL,75,NULL,NULL,NULL,4,1),(28,7224770,4.00,8.00,1.00,6.00,5.00,7.13,4.00,6.00,2.00,103,NULL,NULL,'IPIRANGA','FREDERICO WESTPHALEN','RS',8239,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7224788,0.00,3.00,2.00,2.00,2.00,NULL,1.00,1.00,2.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7224796,0.00,4.00,3.00,7.00,3.00,NULL,0.00,3.00,2.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224800,2.00,4.00,1.00,7.00,7.00,7.88,3.00,6.00,3.00,999,NULL,NULL,'CENTRO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7224818,2.00,2.00,2.00,4.00,5.00,5.63,2.00,3.00,2.00,428,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224834,1.00,5.00,3.00,4.00,4.00,7.13,4.00,5.00,2.00,102,NULL,NULL,'SÃO CRISTOVÃO','LAGES','SC',12362,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7224842,6.00,8.00,1.00,6.00,8.00,7.13,3.00,8.00,6.00,103,NULL,NULL,'SANTA TERESA','JOAÇABA','SC',3044,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7224850,0.00,2.00,2.00,4.00,5.00,5.63,3.00,5.00,4.00,652,NULL,653,'PORTO DOS PADRES','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7224869,5.00,5.00,4.00,7.00,6.00,7.13,4.00,4.00,4.00,103,NULL,NULL,'BELA VISTA','OSASCO','SP',9302,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7224877,3.00,6.00,1.00,6.00,4.00,9.75,4.00,4.00,6.00,203,NULL,213,'GALO BRANCO','S JOSÉ CAMPOS','SP',8568,496,NULL,151,NULL,NULL,NULL,2,1),(28,7224893,0.00,1.00,2.00,3.00,3.00,NULL,1.00,4.00,2.00,333,NULL,NULL,'MIRIM','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7224907,1.00,4.00,0.00,5.00,5.00,7.13,2.00,2.00,2.00,207,NULL,238,'MONTE CRISTO','FLORIANÓPOLIS','SC',17549,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7224915,0.00,4.00,2.00,7.00,6.00,7.88,3.00,4.00,2.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15894,391,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224923,3.00,7.00,2.00,6.00,8.00,8.63,4.00,6.00,2.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',6328,63,NULL,NULL,NULL,NULL,NULL,2,15),(28,7224931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'INTERIOR','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7224940,0.00,5.00,2.00,3.00,2.00,NULL,2.00,5.00,5.00,601,NULL,203,'JARDIM MARCO ZERO','MACAPÁ','AP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224958,1.00,3.00,1.00,2.00,3.00,6.38,1.00,3.00,2.00,309,NULL,NULL,'RETIRO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7224966,4.00,6.00,5.00,5.00,7.00,9.75,3.00,3.00,3.00,333,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',5858,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7224974,4.00,8.00,5.00,7.00,7.00,9.75,4.00,7.00,5.00,201,NULL,203,'ANTONIO VENDAS','CPO GRANDE','MS',3837,294,NULL,278,NULL,NULL,NULL,4,1),(28,7224990,0.00,5.00,1.00,7.00,8.00,10.13,2.00,6.00,2.00,450,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',13618,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7225008,0.00,7.00,1.00,3.00,6.00,7.13,2.00,5.00,6.00,302,NULL,NULL,'BELA VISTA','S JOSÉ','SC',12282,78,NULL,NULL,NULL,NULL,NULL,4,1),(28,7225016,2.00,7.00,2.00,6.00,7.00,7.13,2.00,4.00,2.00,208,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',12042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7225024,5.00,8.00,1.00,7.00,7.00,10.88,6.00,7.00,4.00,103,NULL,NULL,'JARDIM PRUDÊNCIA','S PAULO','SP',3811,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7225032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7225040,1.00,4.00,1.00,3.00,4.00,6.75,0.00,5.00,4.00,220,NULL,216,'SÃO JOÃO','ITAJAÍ','SC',19401,344,NULL,453,NULL,NULL,NULL,4,6),(28,7225067,3.00,6.00,1.00,1.00,7.00,5.63,2.00,5.00,2.00,302,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',14692,101,NULL,NULL,NULL,NULL,NULL,4,1),(28,7225075,2.00,7.00,2.00,6.00,5.00,8.63,4.00,5.00,2.00,103,NULL,NULL,'CENTRO','CAIBI','SC',8430,1940,NULL,NULL,NULL,NULL,NULL,4,4),(28,7225083,8.00,9.00,4.00,5.00,8.00,11.25,7.00,7.00,8.00,103,NULL,NULL,'JD VIVENDAS','S JOSÉ R PRETO','SP',267,203,NULL,NULL,NULL,NULL,NULL,4,1),(28,7225091,1.00,5.00,1.00,2.00,5.00,7.50,1.00,6.00,3.00,3,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',19107,90,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225105,4.00,6.00,3.00,4.00,3.00,7.50,4.00,4.00,4.00,203,NULL,201,'VILA PAULISTA','CRUZEIRO','SP',8741,500,NULL,618,NULL,NULL,NULL,4,1),(28,7225113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'JARDINS DO LAGO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7225121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7225130,2.00,3.00,1.00,2.00,3.00,6.38,1.00,4.00,3.00,652,NULL,655,'MATO ALTO','ARARANGUÁ','SC',17454,81,NULL,NULL,NULL,NULL,NULL,2,15),(28,7225148,3.00,6.00,2.00,5.00,3.00,8.63,2.00,6.00,4.00,102,NULL,NULL,'INTERIOR','FLOR SERTÃO','SC',11209,106,NULL,NULL,NULL,NULL,NULL,4,27),(28,7225164,6.00,8.00,1.00,7.00,9.00,9.00,1.00,7.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(28,7225172,0.00,5.00,1.00,3.00,5.00,8.63,2.00,1.00,3.00,304,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',15541,111,NULL,NULL,NULL,NULL,NULL,4,7),(28,7225180,1.00,6.00,1.00,4.00,7.00,8.25,3.00,5.00,2.00,318,NULL,NULL,'PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP',11477,78,NULL,NULL,NULL,NULL,NULL,4,1),(28,7225202,1.00,0.00,1.00,2.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'PROGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(28,7225210,3.00,3.00,1.00,7.00,4.00,10.13,2.00,3.00,3.00,103,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16907,2432,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225229,1.00,6.00,4.00,4.00,5.00,7.50,1.00,3.00,3.00,108,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',12079,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,440,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7225245,0.00,4.00,1.00,2.00,5.00,NULL,6.00,5.00,1.00,104,NULL,NULL,'CENTRO','GR PARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7225253,1.00,4.00,1.00,6.00,4.00,6.75,4.00,3.00,2.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7225261,0.00,3.00,2.00,3.00,4.00,NULL,2.00,3.00,1.00,316,NULL,NULL,'BRUSQUE','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7225270,1.00,5.00,3.00,7.00,4.00,6.38,3.00,5.00,3.00,309,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',11737,7,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225296,1.00,5.00,1.00,4.00,2.00,NULL,1.00,5.00,4.00,202,NULL,213,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225300,0.00,4.00,2.00,7.00,3.00,NULL,1.00,2.00,0.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225318,2.00,6.00,2.00,6.00,4.00,8.25,4.00,5.00,2.00,310,NULL,NULL,'CENTRO','PALHOÇA','SC',15409,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7225326,0.00,4.00,1.00,4.00,3.00,4.88,3.00,5.00,3.00,501,NULL,NULL,'PEDRA DE AMOLAR','CORUPÁ','SC',19588,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7225334,2.00,6.00,4.00,8.00,9.00,9.00,3.00,5.00,4.00,501,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8856,32,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225342,3.00,7.00,1.00,8.00,7.00,7.13,3.00,7.00,4.00,337,NULL,NULL,'CENTRO','S BERNARDO CAMPO','SP',9811,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7225350,1.00,5.00,5.00,5.00,4.00,7.13,3.00,4.00,2.00,319,NULL,NULL,'CAPOERIAS','FLORIANÓPOLIS','SC',17284,335,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7225377,0.00,5.00,2.00,4.00,5.00,7.50,5.00,2.00,1.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15209,206,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225407,3.00,6.00,2.00,5.00,6.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'JARDIM AMÉRICA','PIRAJUÍ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225423,6.00,8.00,1.00,6.00,8.00,7.13,2.00,7.00,5.00,203,NULL,216,'CENTRO','BOMBINHAS','SC',4710,328,NULL,180,NULL,NULL,NULL,2,6),(28,7225431,3.00,7.00,2.00,3.00,8.00,8.63,3.00,6.00,4.00,103,NULL,NULL,'CRISTO REDENTOR','CRICIÚMA','SC',8007,1901,NULL,NULL,NULL,NULL,NULL,4,5),(28,7225440,0.00,3.00,2.00,6.00,4.00,8.63,1.00,2.00,2.00,999,NULL,NULL,'ÁGUAS CLARAS','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7225458,2.00,6.00,2.00,7.00,7.00,6.38,2.00,6.00,6.00,203,NULL,235,'KOBRASOL','S JOSÉ','SC',7516,454,NULL,129,NULL,NULL,NULL,4,1),(28,7225466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VILA NOVA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7225474,1.00,3.00,1.00,2.00,2.00,NULL,0.00,1.00,1.00,999,NULL,NULL,'CENTRO','CPO ALEGRE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7225482,0.00,4.00,1.00,4.00,4.00,6.75,0.00,5.00,1.00,303,NULL,NULL,'BARRACÃO','MRO FUMAÇA','SC',19544,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7225490,4.00,7.00,2.00,7.00,9.00,10.13,4.00,7.00,4.00,201,NULL,212,'JARDIM SANTIAGO','S JOSÉ','SC',2419,175,NULL,57,NULL,NULL,NULL,4,1),(28,7225512,2.00,5.00,1.00,5.00,4.00,7.50,2.00,4.00,2.00,235,NULL,214,'BAIRRO DA GRUTA','ITUPORANGA','SC',15272,243,NULL,322,NULL,NULL,NULL,2,1),(28,7225547,0.00,3.00,1.00,2.00,2.00,NULL,3.00,4.00,2.00,308,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225555,3.00,7.00,0.00,6.00,9.00,12.75,4.00,5.00,2.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',9478,172,NULL,NULL,NULL,NULL,NULL,4,1),(28,7225563,1.00,4.00,1.00,4.00,2.00,NULL,2.00,4.00,5.00,454,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7225571,0.00,4.00,2.00,3.00,2.00,NULL,0.00,3.00,2.00,102,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225580,3.00,5.00,2.00,6.00,5.00,6.00,3.00,2.00,1.00,207,NULL,201,'CAPITAIS','TIMBÓ','SC',15360,674,NULL,920,NULL,NULL,NULL,4,2),(28,7225598,0.00,4.00,2.00,1.00,3.00,6.38,4.00,5.00,3.00,208,NULL,NULL,'MARTELLO','CAÇADOR','SC',19436,216,NULL,NULL,NULL,NULL,NULL,4,25),(28,7225601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7225610,3.00,6.00,4.00,5.00,6.00,5.63,3.00,3.00,2.00,999,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7225636,0.00,5.00,3.00,5.00,7.00,9.75,3.00,5.00,5.00,415,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',13995,226,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'LINHA RIO MAIOR','URUSSANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7225652,0.00,5.00,1.00,3.00,3.00,9.00,1.00,4.00,3.00,213,NULL,215,'SAO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225679,2.00,6.00,3.00,6.00,7.00,7.50,4.00,4.00,5.00,201,NULL,216,'MONTE CASTELO','CPO GRANDE','MS',5654,436,NULL,211,NULL,NULL,NULL,2,1),(28,7225695,1.00,3.00,2.00,3.00,5.00,7.50,3.00,4.00,1.00,103,NULL,NULL,'COPACABANA','LAGES','SC',16214,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7225709,4.00,3.00,2.00,2.00,3.00,3.00,3.00,5.00,1.00,339,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225717,0.00,2.00,2.00,3.00,4.00,4.88,2.00,2.00,2.00,601,NULL,203,'COSTA E SILVA','JOINVILLE','SC',20099,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7225725,3.00,9.00,4.00,7.00,10.00,11.25,6.00,8.00,6.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',732,444,NULL,NULL,NULL,NULL,NULL,4,1),(28,7225733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7225741,5.00,6.00,2.00,6.00,7.00,6.75,2.00,7.00,6.00,103,NULL,NULL,'PORTAL DO SOL DOIS','GOIÂNIA','GO',6090,1639,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225768,2.00,2.00,2.00,5.00,5.00,8.25,1.00,2.00,2.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',19370,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225776,0.00,2.00,1.00,2.00,3.00,NULL,2.00,4.00,4.00,208,NULL,NULL,'REUNIDAS','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7225784,1.00,4.00,2.00,6.00,4.00,10.13,0.00,6.00,1.00,308,NULL,NULL,'SAVEIRO','BIGUAÇU','SC',17702,55,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225806,0.00,6.00,4.00,2.00,4.00,NULL,2.00,5.00,0.00,654,NULL,NULL,'OPERARIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7225814,2.00,4.00,2.00,5.00,5.00,7.50,3.00,5.00,2.00,404,NULL,NULL,'SÃO JOÃO','TUBARÃO','SC',17673,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7225822,2.00,6.00,2.00,7.00,5.00,2.63,3.00,3.00,2.00,404,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225830,3.00,6.00,1.00,6.00,7.00,9.38,2.00,5.00,5.00,303,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',8897,371,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225849,3.00,1.00,1.00,6.00,3.00,5.25,2.00,4.00,0.00,309,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',19872,71,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225857,0.00,5.00,5.00,3.00,5.00,NULL,0.00,3.00,3.00,101,NULL,NULL,'ITACORUMBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'VILA NOVA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7225881,1.00,7.00,3.00,6.00,5.00,7.88,1.00,5.00,2.00,207,NULL,201,'SÃO VICENTE','HERVAL D OESTE','SC',12167,552,NULL,782,NULL,NULL,NULL,4,7),(28,7225903,0.00,4.00,1.00,3.00,4.00,NULL,0.00,5.00,2.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7225911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CIDADE JARDIM','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7225920,1.00,4.00,3.00,6.00,7.00,5.63,1.00,6.00,1.00,101,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',15398,98,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225954,0.00,2.00,0.00,3.00,4.00,NULL,0.00,2.00,0.00,339,NULL,NULL,'BELA VISTA III','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225962,4.00,7.00,3.00,7.00,8.00,12.38,4.00,5.00,3.00,340,NULL,NULL,'TERESÓPOLIS','PTO ALEGRE','RS',3708,92,NULL,NULL,NULL,NULL,NULL,4,1),(28,7225970,3.00,0.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7225989,0.00,6.00,1.00,3.00,4.00,8.25,1.00,5.00,2.00,230,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',15289,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7225997,3.00,5.00,1.00,5.00,6.00,8.63,1.00,6.00,3.00,601,NULL,207,'GUANABARA','JOINVILLE','SC',15750,464,NULL,689,NULL,NULL,NULL,4,8),(28,7226004,3.00,4.00,2.00,4.00,7.00,9.38,4.00,5.00,0.00,601,NULL,203,'PETRÓPOLIS','JOINVILLE','SC',16308,478,NULL,NULL,NULL,NULL,NULL,4,8),(28,7226012,0.00,3.00,2.00,2.00,4.00,NULL,3.00,5.00,2.00,216,NULL,215,'CRUZEIRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7226020,5.00,7.00,3.00,6.00,7.00,7.88,4.00,5.00,3.00,233,NULL,601,'CANOAS','RIO SUL','SC',9336,221,NULL,245,NULL,NULL,NULL,4,8),(28,7226039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7226063,0.00,3.00,0.00,2.00,4.00,NULL,2.00,3.00,3.00,3,NULL,NULL,'DONA FRANCISCA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7226071,3.00,5.00,3.00,7.00,7.00,12.38,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',5302,1544,NULL,NULL,NULL,NULL,NULL,4,23),(28,7226080,5.00,6.00,1.00,6.00,6.00,7.88,5.00,5.00,3.00,208,NULL,NULL,'BARREIROS','S JOSÉ','SC',9533,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7226098,2.00,6.00,2.00,5.00,10.00,7.13,3.00,6.00,5.00,316,NULL,NULL,'CENTRO','IMBITUBA','SC',7166,59,NULL,NULL,NULL,NULL,NULL,2,10),(28,7226101,2.00,4.00,1.00,3.00,4.00,4.88,4.00,5.00,2.00,444,NULL,NULL,'ALDEIA SEDE','JOSÉ BOITEUX','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7226110,1.00,3.00,0.00,6.00,4.00,NULL,2.00,3.00,0.00,999,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7226128,5.00,7.00,3.00,7.00,11.00,12.75,3.00,8.00,6.00,337,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',1297,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7226136,2.00,5.00,1.00,4.00,6.00,5.25,2.00,0.00,0.00,208,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',16823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7226152,3.00,5.00,3.00,5.00,8.00,10.13,2.00,5.00,4.00,450,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',11538,93,NULL,NULL,NULL,NULL,NULL,2,1),(28,7226160,2.00,6.00,3.00,7.00,5.00,7.88,4.00,4.00,2.00,316,NULL,NULL,'JARDIM DOS ESTADOS','POÇOS CALDAS','MG',14794,188,NULL,NULL,NULL,NULL,NULL,4,1),(28,7226179,3.00,6.00,1.00,5.00,6.00,NULL,0.00,3.00,4.00,999,NULL,NULL,'JARDIM EUROPA','SOROCABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7226187,0.00,1.00,2.00,4.00,2.00,NULL,0.00,3.00,1.00,302,NULL,NULL,'JARDIM AQUÁRIUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7226217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CAPILÉ','NOVA ANDRADINA','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7226225,2.00,6.00,2.00,4.00,4.00,7.50,2.00,3.00,2.00,201,NULL,212,'BARREIROS','S JOSÉ','SC',12777,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7226241,2.00,7.00,2.00,7.00,7.00,7.88,2.00,5.00,3.00,9,NULL,NULL,'FLORESTA','S JOSÉ','SC',13620,95,NULL,NULL,NULL,NULL,NULL,4,1),(28,7226250,2.00,4.00,2.00,6.00,2.00,NULL,0.00,3.00,3.00,415,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7226284,3.00,7.00,3.00,6.00,5.00,4.50,3.00,5.00,3.00,302,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',9054,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7226306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BAIRRO BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7226314,0.00,3.00,3.00,2.00,3.00,NULL,3.00,4.00,2.00,654,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,15),(28,7226365,3.00,5.00,3.00,5.00,5.00,6.75,4.00,4.00,3.00,101,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',12944,69,NULL,NULL,NULL,NULL,NULL,2,1),(28,7226373,0.00,7.00,3.00,6.00,7.00,9.75,4.00,4.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5974,272,NULL,NULL,NULL,NULL,NULL,4,1),(28,7226381,3.00,7.00,4.00,7.00,6.00,8.25,5.00,8.00,4.00,201,NULL,NULL,'CENTRO','LONDRINA','PR',2541,184,NULL,NULL,NULL,NULL,NULL,4,3),(28,7226390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,'S','S','S',5,27),(28,7226403,1.00,4.00,2.00,5.00,7.00,6.38,3.00,1.00,1.00,201,NULL,207,'SACO GRANDE','FLORIANÓPOLIS','SC',16017,933,NULL,699,NULL,NULL,NULL,2,1),(28,7226411,6.00,7.00,2.00,7.00,5.00,10.88,5.00,6.00,7.00,103,NULL,NULL,'PQ DA LIBERDADE','S JOSÉ R PRETO','SP',1419,718,NULL,NULL,NULL,NULL,NULL,4,1),(28,7226420,3.00,4.00,3.00,4.00,6.00,9.00,1.00,5.00,3.00,429,NULL,425,'CARIANOS','FLORIANÓPOLIS','SC',11681,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7226438,4.00,6.00,3.00,4.00,6.00,7.50,0.00,5.00,4.00,103,NULL,NULL,'CANTA GALO','RIO SUL','SC',7992,1899,NULL,NULL,NULL,NULL,NULL,2,24),(28,7226446,1.00,3.00,2.00,4.00,4.00,8.25,2.00,5.00,2.00,201,NULL,203,'MATO ALTO','LAGUNA','SC',13770,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7226454,5.00,5.00,0.00,3.00,5.00,6.75,1.00,4.00,3.00,653,NULL,203,'JARDIM DAS ORQUIDEAS','STA BÁRBARA D OESTE','SP',13354,145,NULL,NULL,NULL,NULL,NULL,4,1),(28,7226462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUARUJÁ','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7226489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA GLÓRIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7226497,0.00,1.00,2.00,1.00,2.00,NULL,1.00,4.00,3.00,303,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7226500,1.00,4.00,1.00,4.00,6.00,6.00,4.00,4.00,2.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15368,209,NULL,NULL,NULL,NULL,NULL,2,1),(28,7226519,1.00,6.00,1.00,7.00,5.00,9.00,0.00,5.00,1.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7226535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COND JD DO CEDRO','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7226543,1.00,4.00,0.00,2.00,2.00,NULL,0.00,1.00,1.00,999,NULL,NULL,'SANTO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7226551,2.00,8.00,4.00,6.00,7.00,6.75,3.00,6.00,1.00,103,NULL,NULL,'MUNICIPIOS','BAL CAMBORIÚ','SC',8350,1933,NULL,NULL,NULL,NULL,NULL,2,3),(28,7226560,0.00,4.00,1.00,5.00,7.00,NULL,0.00,3.00,1.00,404,NULL,NULL,'JARDIM JANAÍNA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7226578,0.00,3.00,1.00,5.00,7.00,6.75,0.00,3.00,1.00,415,NULL,NULL,'SÃO MIGUEL','BIGUAÇU','SC',16960,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7226586,0.00,4.00,0.00,1.00,5.00,5.63,1.00,3.00,4.00,208,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7226624,2.00,7.00,3.00,3.00,4.00,9.38,2.00,6.00,4.00,340,NULL,NULL,'AMÉRICA','JOINVILLE','SC',9516,266,NULL,NULL,NULL,NULL,NULL,4,8),(28,7226632,3.00,6.00,3.00,3.00,5.00,7.88,1.00,5.00,2.00,103,NULL,NULL,'FAIÇALVILLE','GOIÂNIA','GO',10673,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7226640,4.00,5.00,3.00,6.00,8.00,11.25,2.00,7.00,2.00,104,NULL,NULL,'PRIMAVERA','NOVO HAMBURGO','RS',5586,108,NULL,NULL,NULL,NULL,NULL,2,15),(28,7226659,2.00,0.00,1.00,4.00,2.00,NULL,1.00,4.00,2.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7226667,0.00,5.00,2.00,5.00,6.00,NULL,2.00,5.00,4.00,220,NULL,655,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7226675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CERAMARTE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7226683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,216,'JARDIM BRONZATO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7226691,5.00,7.00,2.00,4.00,7.00,11.25,3.00,5.00,4.00,310,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4895,10,NULL,NULL,NULL,NULL,NULL,1,1),(28,7226705,2.00,6.00,3.00,6.00,7.00,8.25,2.00,5.00,5.00,340,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',7494,201,NULL,NULL,NULL,NULL,NULL,4,1),(28,7226713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'NAÇOES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7226721,1.00,3.00,3.00,0.00,3.00,4.88,2.00,4.00,1.00,450,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7226748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,'S','S','S',5,27),(28,7226756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7226764,0.00,3.00,1.00,2.00,2.00,NULL,2.00,0.00,1.00,601,NULL,NULL,'JARDIM PARAÍSO II','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7226772,3.00,6.00,2.00,5.00,6.00,7.13,4.00,6.00,5.00,331,NULL,NULL,'JD SÃO PEDRO','AMERICANA','SP',12957,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7226799,3.00,7.00,2.00,5.00,5.00,9.38,1.00,5.00,1.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',15341,2369,NULL,NULL,NULL,NULL,NULL,4,6),(28,7226802,3.00,6.00,1.00,3.00,4.00,6.75,4.00,5.00,4.00,110,NULL,NULL,'CENTRO','BLUMENAU','SC',16195,77,NULL,NULL,NULL,NULL,NULL,2,2),(28,7226810,4.00,2.00,1.00,6.00,6.00,8.25,3.00,3.00,4.00,101,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16696,107,NULL,NULL,NULL,NULL,NULL,2,1),(28,7226837,4.00,8.00,3.00,7.00,8.00,10.13,3.00,6.00,7.00,303,NULL,NULL,'BELA VISTA','S JOSÉ','SC',1978,93,NULL,NULL,NULL,NULL,NULL,2,1),(28,7226845,1.00,2.00,3.00,7.00,4.00,11.25,3.00,4.00,2.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',16753,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7226853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PENHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7226861,1.00,7.00,1.00,6.00,3.00,9.00,1.00,4.00,4.00,207,NULL,201,'CENTRO','RIQUEZA','SC',11142,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7226870,1.00,5.00,1.00,7.00,8.00,10.13,2.00,4.00,4.00,103,NULL,NULL,'SÃO JOÃO','TUBARÃO','SC',10141,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7226888,4.00,7.00,3.00,6.00,7.00,10.50,4.00,6.00,5.00,216,NULL,211,'CAMPECHE','FLORIANÓPOLIS','SC',5536,NULL,NULL,141,NULL,NULL,NULL,5,1),(28,7226896,2.00,6.00,0.00,6.00,5.00,7.88,1.00,4.00,1.00,108,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',13912,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7226900,7.00,8.00,7.00,6.00,9.00,7.88,6.00,7.00,7.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',480,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7226918,0.00,5.00,4.00,7.00,7.00,5.63,0.00,6.00,1.00,303,NULL,NULL,'CENTRO','FRAIBURGO','SC',12198,465,NULL,NULL,NULL,NULL,NULL,2,25),(28,7226934,0.00,2.00,5.00,6.00,2.00,NULL,2.00,0.00,3.00,202,NULL,212,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7226950,3.00,6.00,4.00,4.00,7.00,10.50,1.00,3.00,2.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9106,161,NULL,NULL,NULL,NULL,NULL,4,1),(28,7226969,3.00,8.00,1.00,5.00,7.00,4.88,2.00,7.00,2.00,336,NULL,NULL,'CENTRO','NAVEGANTES','SC',7750,41,NULL,NULL,NULL,NULL,NULL,2,6),(28,7226977,0.00,2.00,1.00,0.00,2.00,NULL,2.00,1.00,1.00,503,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7226993,3.00,7.00,5.00,7.00,9.00,12.00,2.00,7.00,7.00,428,NULL,426,'SÃO CRISTÓVÃO','LAGES','SC',1972,2,NULL,NULL,NULL,NULL,NULL,2,9),(28,7227019,1.00,4.00,2.00,7.00,4.00,7.88,3.00,5.00,4.00,216,NULL,215,'JARDIM ITALIA','CHAPECÓ','SC',12036,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7227027,5.00,6.00,1.00,6.00,8.00,10.50,4.00,7.00,6.00,103,NULL,NULL,'VILA NOVA','GOIÂNIA','GO',2298,962,NULL,NULL,NULL,NULL,NULL,2,1),(28,7227035,3.00,6.00,2.00,4.00,3.00,6.75,1.00,3.00,3.00,316,NULL,NULL,'BUCAREIN','JOINVILLE','SC',18384,268,NULL,NULL,NULL,NULL,NULL,4,8),(28,7227043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7227051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ARROIO TRINTA','SC',NULL,NULL,NULL,NULL,'S','S','S',5,7),(28,7227060,3.00,7.00,3.00,7.00,5.00,9.00,3.00,7.00,7.00,223,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8176,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227078,4.00,8.00,1.00,3.00,4.00,9.00,1.00,2.00,4.00,208,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16667,187,NULL,NULL,NULL,NULL,NULL,2,1),(28,7227108,2.00,5.00,2.00,5.00,7.00,7.88,2.00,2.00,1.00,316,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',13923,170,NULL,NULL,NULL,NULL,NULL,2,1),(28,7227116,1.00,3.00,1.00,6.00,4.00,7.88,1.00,3.00,0.00,207,NULL,201,'MARIA LUIZA','LAGES','SC',17093,739,NULL,967,NULL,NULL,NULL,2,9),(28,7227132,3.00,8.00,4.00,6.00,9.00,7.50,4.00,7.00,4.00,203,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',3014,222,NULL,48,NULL,NULL,NULL,4,1),(28,7227140,3.00,8.00,2.00,5.00,7.00,10.13,4.00,8.00,4.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',7993,1900,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227167,0.00,4.00,0.00,7.00,4.00,10.13,3.00,2.00,2.00,441,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',18815,10,NULL,NULL,NULL,NULL,NULL,6,4),(28,7227175,2.00,7.00,1.00,5.00,5.00,8.63,0.00,2.00,2.00,551,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18145,48,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227183,1.00,2.00,1.00,5.00,3.00,NULL,3.00,3.00,0.00,104,NULL,NULL,'CINQUENTENARIO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7227205,5.00,7.00,3.00,6.00,8.00,8.25,3.00,5.00,7.00,211,NULL,215,'VISTA ALEGRE','VINHEDO','SP',6846,190,NULL,101,NULL,NULL,NULL,4,1),(28,7227213,2.00,4.00,2.00,2.00,6.00,6.75,2.00,5.00,2.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18844,125,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227221,0.00,5.00,3.00,4.00,5.00,7.13,1.00,4.00,2.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15105,295,NULL,NULL,NULL,NULL,NULL,2,1),(28,7227230,2.00,4.00,0.00,3.00,5.00,6.38,2.00,3.00,5.00,454,NULL,NULL,'JARDIM CARANDAI','BIGUAÇU','SC',15437,315,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227248,3.00,6.00,3.00,6.00,5.00,7.88,1.00,3.00,4.00,5,NULL,NULL,'POTECAS','FLORIANÓPOLIS','SC',12976,362,NULL,NULL,NULL,NULL,NULL,2,1),(28,7227256,3.00,5.00,2.00,5.00,5.00,6.38,3.00,4.00,2.00,104,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7227272,3.00,7.00,3.00,7.00,8.00,9.00,2.00,6.00,1.00,340,NULL,NULL,'CENTRO','CRICIÚMA','SC',12134,332,NULL,NULL,NULL,NULL,NULL,4,5),(28,7227280,3.00,2.00,5.00,4.00,4.00,4.50,2.00,3.00,3.00,104,NULL,NULL,'SCHREIBER','SALETE','SC',16963,411,NULL,NULL,NULL,NULL,NULL,2,24),(28,7227299,2.00,7.00,1.00,6.00,7.00,9.38,2.00,5.00,3.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227302,3.00,5.00,1.00,6.00,2.00,NULL,2.00,4.00,2.00,425,NULL,424,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7227329,2.00,6.00,3.00,5.00,7.00,8.25,1.00,3.00,5.00,301,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',10069,130,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7227353,3.00,1.00,3.00,2.00,4.00,4.50,1.00,2.00,3.00,302,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',19946,148,NULL,NULL,NULL,NULL,NULL,2,1),(28,7227361,0.00,7.00,4.00,3.00,7.00,5.63,2.00,2.00,2.00,427,NULL,421,'COQUEIROS','FLORIANÓPOLIS','SC',18402,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227370,0.00,4.00,2.00,4.00,2.00,NULL,1.00,2.00,1.00,501,NULL,NULL,'CARANDIRU','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7227388,2.00,7.00,1.00,7.00,4.00,10.50,1.00,4.00,2.00,415,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',8770,141,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227396,5.00,6.00,4.00,6.00,6.00,9.00,4.00,5.00,7.00,5,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',3514,132,NULL,NULL,NULL,NULL,NULL,4,2),(28,7227400,2.00,4.00,0.00,4.00,7.00,NULL,0.00,5.00,3.00,303,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7227418,0.00,2.00,0.00,3.00,4.00,5.63,2.00,3.00,2.00,309,NULL,NULL,'CENTRO','PALHOÇA','SC',18904,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227426,6.00,7.00,6.00,6.00,9.00,9.75,5.00,7.00,7.00,203,NULL,601,'VILA NOVA','JOINVILLE','SC',1215,112,NULL,5,NULL,NULL,NULL,1,8),(28,7227434,1.00,6.00,3.00,5.00,5.00,7.88,1.00,4.00,3.00,109,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',17886,80,NULL,NULL,NULL,NULL,NULL,2,1),(28,7227442,1.00,5.00,4.00,6.00,5.00,6.00,3.00,5.00,1.00,104,NULL,NULL,'CENTRO','CURITIBANOS','SC',14051,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7227450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INTERIOR','RIQUEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7227469,2.00,7.00,0.00,6.00,6.00,11.63,4.00,7.00,3.00,999,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7227477,1.00,6.00,2.00,6.00,7.00,6.38,2.00,6.00,0.00,338,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',17396,13,NULL,NULL,NULL,NULL,NULL,2,1),(28,7227485,3.00,8.00,5.00,7.00,9.00,9.00,4.00,7.00,6.00,202,NULL,211,'ITACORUBI','FLORIANÓPOLIS','SC',1338,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227507,2.00,5.00,1.00,7.00,5.00,5.25,5.00,5.00,2.00,319,NULL,NULL,'CENTRO','QUEDAS IGUAÇU','PR',12840,239,NULL,NULL,NULL,NULL,NULL,4,4),(28,7227515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7227523,3.00,7.00,1.00,6.00,8.00,NULL,0.00,6.00,2.00,5,NULL,NULL,'JARDIM ATLANTIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227566,4.00,8.00,4.00,7.00,10.00,9.38,6.00,6.00,7.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',791,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227582,2.00,7.00,1.00,6.00,5.00,7.88,2.00,5.00,3.00,601,NULL,207,'PETROPOLIS','JOINVILLE','SC',10095,284,NULL,NULL,NULL,NULL,NULL,4,8),(28,7227590,2.00,6.00,0.00,6.00,3.00,4.50,2.00,4.00,3.00,203,NULL,655,'JARDIN','MARAVILHA','SC',15323,650,NULL,87,NULL,NULL,NULL,4,4),(28,7227612,2.00,4.00,3.00,5.00,4.00,NULL,0.00,2.00,1.00,601,NULL,216,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7227639,0.00,6.00,3.00,2.00,6.00,6.00,2.00,3.00,2.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227655,5.00,4.00,2.00,8.00,5.00,8.25,2.00,4.00,3.00,340,NULL,NULL,'VALPARAÍSO','BLUMENAU','SC',8955,249,NULL,NULL,NULL,NULL,NULL,4,2),(28,7227663,2.00,7.00,2.00,2.00,3.00,4.50,1.00,6.00,2.00,212,NULL,233,'VILA MARIA BAIXA','S PAULO','SP',18769,418,NULL,348,NULL,NULL,NULL,4,1),(28,7227671,3.00,4.00,0.00,6.00,3.00,11.25,2.00,2.00,2.00,234,NULL,NULL,'BARREIROS','S JOSÉ','SC',18161,57,NULL,NULL,NULL,NULL,NULL,2,1),(28,7227680,1.00,4.00,3.00,3.00,2.00,NULL,1.00,3.00,1.00,211,NULL,NULL,'BELEM','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7227728,1.00,0.00,1.00,7.00,1.00,NULL,1.00,2.00,1.00,415,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7227752,5.00,7.00,3.00,6.00,8.00,7.50,6.00,7.00,4.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',3069,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7227760,2.00,6.00,1.00,3.00,8.00,7.50,4.00,3.00,2.00,339,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',10330,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227779,2.00,3.00,1.00,2.00,3.00,NULL,0.00,3.00,0.00,340,NULL,NULL,'SERRARIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227787,3.00,5.00,3.00,4.00,2.00,NULL,3.00,3.00,4.00,203,NULL,201,'LIVRAMENTO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7227795,2.00,7.00,3.00,1.00,5.00,12.75,1.00,6.00,2.00,331,NULL,NULL,'VILA PROGREDIOR','S PAULO','SP',15079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227809,3.00,5.00,1.00,6.00,7.00,6.00,3.00,5.00,2.00,332,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16673,32,NULL,NULL,NULL,NULL,NULL,2,1),(28,7227817,2.00,5.00,1.00,2.00,1.00,NULL,3.00,4.00,1.00,552,NULL,NULL,'INTERIOR','TANGARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7227825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7227833,2.00,2.00,1.00,4.00,6.00,6.75,1.00,3.00,1.00,316,NULL,NULL,'SAO SEBASTIAO','PALHOÇA','SC',16408,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7227841,1.00,6.00,1.00,7.00,6.00,6.75,2.00,6.00,3.00,110,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',16148,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227850,5.00,6.00,3.00,4.00,8.00,7.88,3.00,4.00,4.00,102,NULL,NULL,'VILA BECKER','STO AMARO IMPERATRIZ','SC',6714,44,NULL,NULL,NULL,NULL,NULL,2,1),(28,7227876,1.00,7.00,2.00,4.00,4.00,8.63,2.00,5.00,3.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',16268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227884,1.00,2.00,2.00,1.00,6.00,5.25,3.00,2.00,2.00,213,NULL,215,'SESI','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7227892,1.00,2.00,3.00,4.00,4.00,8.63,3.00,5.00,2.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18838,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7227914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7227930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7227949,6.00,8.00,1.00,6.00,10.00,9.75,2.00,6.00,2.00,201,NULL,212,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',4104,315,NULL,130,NULL,NULL,NULL,4,1),(28,7227957,4.00,6.00,1.00,6.00,6.00,7.50,3.00,7.00,2.00,235,NULL,233,'PANTANAL','FLORIANÓPOLIS','SC',9522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7227965,2.00,4.00,2.00,7.00,5.00,8.63,1.00,5.00,1.00,654,NULL,NULL,'MARTORANO','S JOAQUIM','SC',17403,64,NULL,NULL,NULL,NULL,NULL,4,9),(28,7227973,1.00,6.00,1.00,5.00,9.00,9.75,2.00,5.00,5.00,108,NULL,NULL,'SÃO MARTINHO','TUBARÃO','SC',12206,168,NULL,NULL,NULL,NULL,NULL,2,10),(28,7227990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'ARI BORTOLI','S DOMINGOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7228007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7228015,1.00,2.00,2.00,5.00,6.00,7.88,2.00,3.00,3.00,108,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',14144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7228023,1.00,6.00,2.00,6.00,2.00,NULL,1.00,5.00,2.00,999,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,7),(28,7228031,4.00,7.00,3.00,6.00,9.00,9.75,4.00,4.00,3.00,238,NULL,207,'COQUEIROS','FLORIANÓPOLIS','SC',5078,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7228040,4.00,6.00,3.00,7.00,9.00,7.13,5.00,4.00,4.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4999,230,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228058,0.00,3.00,2.00,6.00,2.00,NULL,2.00,3.00,2.00,203,NULL,601,'CAMPO DA AGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7228066,4.00,7.00,0.00,7.00,5.00,8.63,0.00,3.00,2.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7228074,3.00,4.00,0.00,3.00,4.00,NULL,2.00,5.00,3.00,552,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7228082,2.00,6.00,1.00,7.00,6.00,8.25,4.00,4.00,3.00,303,NULL,NULL,'CENTRO','CAÇADOR','SC',8964,374,NULL,NULL,NULL,NULL,NULL,4,25),(28,7228090,3.00,0.00,2.00,1.00,4.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7228104,0.00,6.00,1.00,4.00,4.00,6.00,3.00,3.00,2.00,103,NULL,NULL,'INTERIOR','CEL FREITAS','SC',16058,2404,NULL,NULL,NULL,NULL,NULL,4,4),(28,7228112,2.00,4.00,2.00,3.00,2.00,NULL,1.00,4.00,0.00,234,NULL,NULL,'VILA FERROVIÁRIA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7228120,0.00,4.00,0.00,5.00,2.00,NULL,2.00,2.00,1.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228147,2.00,6.00,2.00,5.00,6.00,11.25,3.00,5.00,2.00,233,NULL,601,'JARDIM ESPERANÇA','CANOINHAS','SC',9121,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7228155,3.00,7.00,1.00,7.00,6.00,6.00,3.00,5.00,4.00,301,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',7103,69,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228163,1.00,4.00,1.00,5.00,5.00,7.50,3.00,4.00,1.00,212,NULL,233,'CENTRO','BOM JD SERRA','SC',15662,382,NULL,317,NULL,NULL,NULL,2,1),(28,7228171,2.00,5.00,3.00,5.00,7.00,6.75,3.00,6.00,1.00,319,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',11358,208,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228180,1.00,4.00,1.00,4.00,6.00,8.25,1.00,3.00,3.00,205,NULL,NULL,'BELA VISTA','S JOSÉ','SC',17985,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7228210,0.00,2.00,1.00,5.00,3.00,NULL,0.00,5.00,1.00,999,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7228244,3.00,6.00,3.00,4.00,8.00,7.88,2.00,6.00,0.00,653,NULL,601,'CANASVIEIRAS','FLORIANÓPOLIS','SC',9989,100,NULL,274,NULL,NULL,NULL,4,1),(28,7228252,2.00,5.00,3.00,5.00,8.00,8.63,1.00,5.00,2.00,303,NULL,NULL,'CENTRO','ITUPORANGA','SC',10573,428,NULL,NULL,NULL,NULL,NULL,4,24),(28,7228260,2.00,4.00,2.00,4.00,2.00,NULL,0.00,5.00,2.00,501,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7228279,2.00,7.00,3.00,2.00,4.00,8.25,4.00,7.00,5.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',8629,1966,NULL,NULL,NULL,NULL,NULL,4,4),(28,7228287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MONTE CARLO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7228295,2.00,6.00,3.00,5.00,8.00,11.25,2.00,7.00,3.00,333,NULL,NULL,'VILA NOVA','ARAUCÁRIA','PR',5245,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7228317,4.00,6.00,4.00,5.00,6.00,5.25,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',13407,2278,NULL,NULL,NULL,NULL,NULL,2,10),(28,7228325,3.00,7.00,3.00,4.00,3.00,6.75,2.00,6.00,1.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16799,139,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228333,0.00,2.00,1.00,4.00,5.00,9.38,0.00,1.00,3.00,207,NULL,201,'RESIDENCIAL FORNER','ENG COELHO','SP',17482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'CORREGO GEADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7228368,1.00,5.00,0.00,3.00,6.00,9.75,1.00,3.00,2.00,233,NULL,215,'INGLESES','FLORIANÓPOLIS','SC',14522,305,NULL,241,NULL,NULL,NULL,4,1),(28,7228376,0.00,7.00,3.00,6.00,6.00,7.13,5.00,5.00,3.00,201,NULL,655,'TAJUBA I','S JOÃO BATISTA','SC',13822,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7228384,1.00,2.00,2.00,6.00,2.00,NULL,1.00,2.00,1.00,101,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228392,3.00,7.00,3.00,7.00,9.00,9.00,2.00,7.00,6.00,216,NULL,215,'DERR','CAÇADOR','SC',2859,102,NULL,42,NULL,NULL,NULL,2,25),(28,7228406,7.00,8.00,4.00,6.00,7.00,12.00,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',1089,595,NULL,NULL,NULL,NULL,NULL,4,1),(28,7228414,2.00,6.00,3.00,7.00,4.00,7.88,1.00,5.00,2.00,327,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',17308,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228422,1.00,4.00,2.00,0.00,4.00,6.00,0.00,2.00,1.00,213,NULL,220,'AREIAS','S JOSÉ','SC',18901,279,NULL,NULL,NULL,NULL,NULL,4,1),(28,7228430,0.00,3.00,2.00,1.00,1.00,NULL,0.00,3.00,2.00,551,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228457,0.00,5.00,4.00,2.00,4.00,NULL,0.00,2.00,2.00,319,NULL,NULL,'COSTA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228465,6.00,8.00,5.00,6.00,7.00,9.38,4.00,6.00,4.00,216,NULL,214,'JARDIM BOTANICO','CAMPINAS','SP',3602,136,NULL,NULL,NULL,NULL,NULL,4,1),(28,7228473,1.00,4.00,3.00,3.00,8.00,7.88,2.00,4.00,2.00,652,NULL,653,'PARQUE INDUSTRIAL','TURVO','SC',11749,35,NULL,NULL,NULL,NULL,NULL,4,15),(28,7228481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CACOAL','RO',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7228503,0.00,4.00,3.00,4.00,5.00,NULL,3.00,2.00,2.00,999,NULL,NULL,'STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228511,3.00,5.00,1.00,2.00,3.00,7.13,0.00,2.00,1.00,654,NULL,NULL,'LAGOÃO','ARARANGUÁ','SC',18572,69,NULL,NULL,NULL,NULL,NULL,4,15),(28,7228520,3.00,6.00,2.00,7.00,8.00,7.50,4.00,6.00,2.00,102,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',7655,57,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228538,5.00,7.00,5.00,6.00,8.00,8.63,5.00,7.00,7.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',2535,1031,NULL,NULL,NULL,NULL,NULL,4,1),(28,7228554,3.00,6.00,3.00,4.00,4.00,6.38,4.00,3.00,4.00,404,NULL,NULL,'BOA VISTA','BLUMENAU','SC',12275,16,NULL,NULL,NULL,NULL,NULL,4,2),(28,7228562,3.00,6.00,1.00,4.00,6.00,9.00,2.00,5.00,2.00,429,NULL,NULL,'CENTRO','BIGUAÇU','SC',11409,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7228570,2.00,6.00,1.00,3.00,7.00,6.38,2.00,4.00,4.00,211,NULL,215,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',12224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7228589,2.00,6.00,2.00,5.00,7.00,10.13,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','RIQUEZA','SC',6536,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7228597,1.00,6.00,2.00,3.00,5.00,6.75,2.00,5.00,4.00,202,NULL,213,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',12577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7228619,4.00,7.00,1.00,6.00,5.00,8.63,2.00,5.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228627,2.00,5.00,3.00,5.00,6.00,8.25,4.00,4.00,3.00,333,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',14906,95,NULL,NULL,NULL,NULL,NULL,2,5),(28,7228643,3.00,2.00,4.00,3.00,5.00,NULL,0.00,3.00,3.00,999,NULL,NULL,'SANTA TERESA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7228651,4.00,8.00,2.00,4.00,7.00,8.25,2.00,4.00,6.00,303,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',6209,283,NULL,NULL,NULL,NULL,NULL,5,15),(28,7228660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM DOS ESTAFOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7228678,2.00,5.00,3.00,6.00,7.00,5.25,2.00,4.00,4.00,103,NULL,NULL,'JD ITATIAIA II','LONDRINA','PR',15637,2382,NULL,NULL,NULL,NULL,NULL,4,1),(28,7228694,4.00,6.00,4.00,6.00,6.00,10.50,3.00,5.00,4.00,104,NULL,NULL,'PADRE ANTONIO','MARAVILHA','SC',5345,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7228708,6.00,8.00,1.00,7.00,8.00,11.25,3.00,5.00,4.00,108,NULL,NULL,'FLORESTA','JOINVILLE','SC',4119,42,NULL,NULL,NULL,NULL,NULL,4,8),(28,7228716,3.00,8.00,3.00,6.00,7.00,8.25,3.00,6.00,2.00,103,NULL,NULL,'PLANO DIRETOR NORTE','PALMAS','TO',5622,1583,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228724,4.00,5.00,1.00,5.00,5.00,9.00,2.00,1.00,4.00,238,NULL,220,'JARDIM ELDORADO','PALHOÇA','SC',17421,304,NULL,330,NULL,NULL,NULL,4,1),(28,7228732,2.00,5.00,5.00,6.00,5.00,6.00,1.00,4.00,4.00,110,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',16526,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228740,1.00,3.00,2.00,3.00,3.00,NULL,0.00,0.00,2.00,316,NULL,NULL,'ARMAÇÃO DA PIEDADE','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228759,2.00,6.00,1.00,6.00,7.00,8.63,2.00,3.00,2.00,318,NULL,NULL,'BARREIROS','S JOSÉ','SC',16694,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228783,0.00,3.00,2.00,5.00,4.00,4.88,2.00,2.00,1.00,104,NULL,NULL,'TAPAJÓS','INDAIAL','SC',18222,433,NULL,NULL,NULL,NULL,NULL,2,2),(28,7228791,3.00,4.00,0.00,3.00,5.00,7.13,3.00,4.00,4.00,109,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',16001,65,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228813,1.00,8.00,2.00,5.00,5.00,8.25,3.00,6.00,2.00,203,NULL,202,'INTERIOR','XAVANTINA','SC',10111,538,NULL,258,NULL,NULL,NULL,4,4),(28,7228821,1.00,5.00,1.00,3.00,4.00,10.13,3.00,3.00,3.00,317,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',14756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7228830,2.00,6.00,1.00,8.00,7.00,8.63,1.00,5.00,5.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228848,3.00,7.00,3.00,7.00,6.00,5.63,1.00,3.00,1.00,336,NULL,NULL,'CENTRO','CAPINZAL','SC',11648,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7228856,3.00,8.00,4.00,7.00,7.00,9.00,3.00,8.00,5.00,304,NULL,NULL,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',2663,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7228864,0.00,2.00,1.00,2.00,4.00,5.63,2.00,2.00,1.00,3,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7228872,3.00,8.00,1.00,7.00,6.00,7.50,5.00,6.00,4.00,233,NULL,203,'MONTE ALEGRE','CAMBORIÚ','SC',6170,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7228880,2.00,4.00,0.00,3.00,4.00,5.25,1.00,2.00,2.00,551,NULL,NULL,'UNIVERSITARIO','CURITIBANOS','SC',17441,43,NULL,NULL,NULL,NULL,NULL,4,16),(28,7228899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,652,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7228902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,201,'CENTRO','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,27),(28,7228910,3.00,5.00,0.00,4.00,6.00,NULL,2.00,4.00,2.00,652,NULL,655,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7228937,2.00,4.00,2.00,2.00,5.00,7.88,1.00,4.00,3.00,201,NULL,211,'CENTRO','S MIGUEL OESTE','SC',15708,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7228945,6.00,8.00,2.00,7.00,9.00,10.88,6.00,7.00,7.00,103,NULL,NULL,'JARDIM KENNEDY','LONDRINA','PR',765,458,NULL,NULL,NULL,NULL,NULL,4,1),(28,7228953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','PTE SERRADA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7228961,4.00,3.00,4.00,4.00,3.00,7.13,2.00,4.00,2.00,238,NULL,655,'BELA VISTA','S JOSÉ','SC',15878,270,NULL,93,NULL,NULL,NULL,4,1),(28,7228970,1.00,7.00,3.00,3.00,6.00,8.63,6.00,8.00,4.00,201,NULL,211,'CENTRO','CAMBORIÚ','SC',9501,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7228988,4.00,6.00,1.00,7.00,8.00,6.00,3.00,5.00,1.00,454,NULL,NULL,'BELA VISTA','PTO ALEGRE','RS',7954,132,NULL,NULL,NULL,NULL,NULL,4,1),(28,7228996,6.00,7.00,3.00,7.00,11.00,10.88,6.00,7.00,7.00,103,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',436,305,NULL,NULL,NULL,NULL,NULL,4,1),(28,7229003,8.00,9.00,5.00,8.00,9.00,12.75,6.00,6.00,7.00,220,NULL,203,'ALDEIA DA SERRA','SANTANA PARNAÍBA','SP',129,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7229011,5.00,8.00,5.00,5.00,8.00,10.50,5.00,5.00,6.00,103,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',1461,730,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229020,1.00,0.00,0.00,7.00,5.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7229038,7.00,7.00,4.00,3.00,7.00,9.75,7.00,8.00,7.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',1263,660,NULL,NULL,NULL,NULL,NULL,4,1),(28,7229046,6.00,8.00,2.00,6.00,5.00,8.63,6.00,8.00,6.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',1374,701,NULL,NULL,NULL,NULL,NULL,4,8),(28,7229054,4.00,8.00,3.00,2.00,7.00,6.75,3.00,7.00,4.00,103,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',6301,1675,NULL,NULL,NULL,NULL,NULL,1,2),(28,7229062,4.00,4.00,2.00,5.00,5.00,10.13,3.00,5.00,4.00,201,NULL,207,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',10189,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229070,3.00,7.00,2.00,6.00,9.00,8.63,3.00,6.00,5.00,211,NULL,207,'COQUEIROS','FLORIANÓPOLIS','SC',5032,124,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229089,2.00,6.00,2.00,6.00,5.00,7.88,2.00,3.00,2.00,320,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',17184,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7229097,4.00,7.00,4.00,3.00,5.00,7.50,3.00,4.00,5.00,203,NULL,220,'JURERÊ','FLORIANÓPOLIS','SC',7252,439,NULL,196,NULL,NULL,NULL,4,1),(28,7229100,1.00,6.00,2.00,5.00,8.00,7.88,2.00,7.00,2.00,444,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',14471,71,NULL,NULL,NULL,NULL,NULL,4,1),(28,7229127,1.00,6.00,1.00,4.00,4.00,7.50,1.00,5.00,4.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17208,123,NULL,NULL,NULL,NULL,NULL,4,1),(28,7229135,4.00,7.00,2.00,7.00,8.00,7.50,2.00,6.00,4.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11091,147,NULL,NULL,NULL,NULL,NULL,4,1),(28,7229143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7229151,3.00,6.00,2.00,7.00,2.00,NULL,3.00,5.00,5.00,201,NULL,203,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229160,2.00,3.00,1.00,5.00,5.00,8.25,0.00,3.00,1.00,104,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',15743,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229186,0.00,3.00,1.00,5.00,3.00,5.25,0.00,2.00,1.00,203,NULL,214,'PROFIPO','JOINVILLE','SC',20151,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7229194,0.00,7.00,3.00,5.00,10.00,NULL,3.00,5.00,5.00,104,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7229208,1.00,4.00,3.00,3.00,3.00,5.63,3.00,3.00,1.00,552,NULL,NULL,'PINHERAL','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7229216,0.00,3.00,1.00,2.00,3.00,NULL,0.00,3.00,3.00,654,NULL,NULL,'MADRE','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7229224,0.00,6.00,3.00,6.00,6.00,NULL,2.00,4.00,4.00,207,NULL,601,'JARDIM PRAIA MAR','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7229232,3.00,7.00,2.00,6.00,6.00,7.13,0.00,4.00,2.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12378,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7229259,2.00,4.00,2.00,5.00,6.00,6.00,1.00,5.00,2.00,326,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',18564,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229267,6.00,5.00,2.00,6.00,5.00,6.75,2.00,6.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',9892,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7229283,4.00,4.00,1.00,6.00,6.00,7.50,2.00,3.00,3.00,103,NULL,NULL,'ENCANTADA','GAROPABA','SC',14725,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7229305,0.00,2.00,3.00,5.00,2.00,NULL,4.00,3.00,1.00,201,NULL,202,'JARDIM COQUEIROS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229313,2.00,4.00,2.00,3.00,4.00,4.88,2.00,2.00,2.00,339,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',17743,47,NULL,NULL,NULL,NULL,NULL,4,1),(28,7229321,2.00,4.00,1.00,4.00,4.00,7.13,1.00,2.00,3.00,429,NULL,425,'JARDIM CARANDAI','BIGUAÇU','SC',19089,43,NULL,77,NULL,NULL,NULL,4,1),(28,7229348,3.00,4.00,1.00,6.00,2.00,NULL,0.00,2.00,1.00,454,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229356,1.00,4.00,1.00,3.00,5.00,5.63,0.00,4.00,1.00,108,NULL,NULL,'JDM GUAIUBA','GUARUJÁ','SP',17956,241,NULL,NULL,NULL,NULL,NULL,4,15),(28,7229364,4.00,6.00,2.00,4.00,5.00,8.63,3.00,6.00,2.00,655,NULL,238,'CHIRUCA','ERVAL VELHO','SC',9626,44,NULL,NULL,NULL,NULL,NULL,4,7),(28,7229372,0.00,5.00,2.00,3.00,1.00,NULL,3.00,4.00,2.00,301,NULL,NULL,'TESTO SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7229380,0.00,3.00,4.00,1.00,6.00,4.50,2.00,4.00,2.00,201,NULL,216,'PARAÍSO','CAÇADOR','SC',17590,977,NULL,434,NULL,NULL,NULL,4,25),(28,7229399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7229402,2.00,6.00,2.00,5.00,4.00,6.38,1.00,4.00,2.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18481,592,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229429,3.00,4.00,0.00,5.00,3.00,6.75,4.00,3.00,1.00,110,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16575,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7229445,5.00,6.00,6.00,4.00,6.00,8.63,2.00,6.00,7.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',5784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7229453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'BOM JESUS','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',3,8),(28,7229461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SUISSA','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7229470,2.00,6.00,2.00,5.00,6.00,10.13,5.00,4.00,3.00,104,NULL,NULL,'VILA PARAÍSO','JAGUARUNA','SC',13644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229488,5.00,7.00,2.00,6.00,8.00,4.50,4.00,7.00,7.00,233,NULL,202,'CARVOEIRA','FLORIANÓPOLIS','SC',3481,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229496,1.00,6.00,3.00,4.00,4.00,9.00,3.00,6.00,2.00,326,NULL,NULL,'BARREIROS','S JOSÉ','SC',16456,47,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7229526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'ESTRELA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7229534,6.00,8.00,4.00,7.00,10.00,11.25,4.00,7.00,5.00,103,NULL,NULL,'MIGUEL SUTIL','CUIABÁ','MT',356,259,NULL,NULL,NULL,NULL,NULL,4,1),(28,7229550,3.00,4.00,4.00,5.00,7.00,7.13,2.00,3.00,2.00,335,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13739,2,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229577,3.00,5.00,3.00,5.00,5.00,8.25,2.00,5.00,4.00,319,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',12406,225,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229585,1.00,7.00,1.00,5.00,7.00,7.13,2.00,7.00,3.00,450,NULL,NULL,'PARQUE PREZOTTO','PIRACICABA','SP',8437,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229615,3.00,3.00,2.00,3.00,7.00,6.75,3.00,3.00,3.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',14208,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7229623,1.00,3.00,1.00,2.00,5.00,NULL,2.00,3.00,0.00,211,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7229666,1.00,5.00,3.00,6.00,6.00,7.50,0.00,4.00,2.00,339,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',18021,50,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229674,2.00,7.00,1.00,4.00,6.00,7.50,2.00,4.00,2.00,454,NULL,NULL,'N S DO ROSÁRIO','S JOSÉ','SC',17158,347,NULL,NULL,NULL,NULL,NULL,4,1),(28,7229682,1.00,4.00,0.00,3.00,2.00,NULL,3.00,3.00,2.00,503,NULL,NULL,'SOSSEGO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7229704,3.00,4.00,3.00,2.00,1.00,NULL,0.00,4.00,1.00,335,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7229712,4.00,7.00,1.00,5.00,8.00,9.00,4.00,5.00,4.00,207,NULL,201,'SUMARÉ','RIO SUL','SC',5647,252,NULL,NULL,NULL,NULL,NULL,4,24),(28,7229720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7229739,1.00,0.00,3.00,4.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CINTRA GORDINHO','ARAÇARIGUAMA','SP',NULL,NULL,NULL,NULL,NULL,'S','S',2,22),(28,7229747,5.00,6.00,3.00,6.00,7.00,9.00,4.00,5.00,4.00,201,NULL,211,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',8477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7229755,2.00,7.00,3.00,7.00,6.00,7.88,4.00,6.00,6.00,220,NULL,235,'ALVORADA','FRANCISCO BELTRÃO','PR',7818,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7229771,5.00,6.00,1.00,6.00,6.00,6.75,2.00,5.00,2.00,319,NULL,NULL,'ARIRIU','PALHOÇA','SC',10631,197,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229780,2.00,5.00,1.00,4.00,8.00,5.25,1.00,2.00,5.00,207,NULL,233,'RIO VERMELHO','FLORIANÓPOLIS','SC',17595,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229798,4.00,5.00,1.00,5.00,6.00,9.38,3.00,4.00,3.00,999,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,6),(28,7229844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,440,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7229879,3.00,8.00,3.00,7.00,8.00,8.63,4.00,7.00,3.00,220,NULL,235,'SÃO JOÃO','ITAJAÍ','SC',3688,109,NULL,58,NULL,NULL,NULL,4,6),(28,7229887,0.00,3.00,2.00,1.00,7.00,NULL,1.00,2.00,3.00,104,NULL,NULL,'SÃO FRANCISCO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7229895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7229909,0.00,3.00,2.00,3.00,4.00,10.13,3.00,3.00,3.00,999,NULL,NULL,'CENTRO','BARRA BONITA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7229917,0.00,4.00,5.00,1.00,6.00,5.25,1.00,4.00,2.00,104,NULL,NULL,'BREMER','RIO SUL','SC',16865,409,NULL,NULL,NULL,NULL,NULL,4,24),(28,7229925,1.00,5.00,1.00,7.00,5.00,8.63,3.00,7.00,4.00,5,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',12757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7229933,4.00,7.00,3.00,6.00,9.00,11.25,4.00,6.00,5.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',2137,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7229950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,235,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7229968,5.00,7.00,2.00,7.00,8.00,8.63,6.00,5.00,6.00,216,NULL,215,'FORQUILHAS','S JOSÉ','SC',3789,145,NULL,50,NULL,NULL,NULL,2,1),(28,7229984,3.00,6.00,4.00,4.00,5.00,8.25,6.00,9.00,2.00,203,NULL,211,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',5953,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7229992,7.00,6.00,2.00,6.00,8.00,7.50,4.00,6.00,4.00,301,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',3088,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7230001,1.00,4.00,3.00,5.00,5.00,8.25,3.00,4.00,2.00,601,NULL,211,'JARDIM IRIRIÚ','JOINVILLE','SC',17733,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7230010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,211,'JARDIM POMPEIA','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7230028,4.00,6.00,3.00,5.00,5.00,7.88,1.00,4.00,3.00,220,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',12035,277,NULL,NULL,NULL,NULL,NULL,4,1),(28,7230036,5.00,7.00,3.00,6.00,10.00,8.25,6.00,8.00,6.00,207,NULL,233,'ALTO RIO FARIAS','ANTÔNIO CARLOS','SC',1275,30,NULL,NULL,NULL,NULL,NULL,2,1),(28,7230044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CARVALHO','CACHOEIRA SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7230052,2.00,7.00,3.00,5.00,7.00,6.38,0.00,3.00,5.00,207,NULL,201,'ALTO ARIRIRÚ','PALHOÇA','SC',12192,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7230060,1.00,7.00,2.00,5.00,7.00,6.38,2.00,5.00,2.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14616,102,NULL,NULL,NULL,NULL,NULL,4,1),(28,7230079,6.00,6.00,0.00,7.00,4.00,NULL,1.00,6.00,2.00,103,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7230109,1.00,7.00,2.00,6.00,9.00,7.88,4.00,5.00,5.00,208,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',5608,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7230117,3.00,8.00,1.00,6.00,8.00,10.50,2.00,7.00,2.00,329,NULL,NULL,'CAMPESTRE','S JOÃO SUL','SC',9392,5,NULL,NULL,NULL,NULL,NULL,2,15),(28,7230141,6.00,5.00,3.00,6.00,4.00,7.88,3.00,6.00,6.00,202,NULL,235,'JARDIM PETROPOLIS','CPO GRANDE','MS',6299,173,NULL,107,NULL,NULL,NULL,4,1),(28,7230150,5.00,6.00,3.00,6.00,6.00,7.50,3.00,4.00,2.00,208,NULL,NULL,'PRADO','BIGUAÇU','SC',9339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7230176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,601,'PARAISO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7230192,1.00,2.00,1.00,1.00,5.00,6.38,2.00,3.00,2.00,108,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7230206,3.00,5.00,3.00,5.00,4.00,7.50,2.00,5.00,3.00,301,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',15597,222,NULL,NULL,NULL,NULL,NULL,2,1),(28,7230214,3.00,3.00,0.00,5.00,5.00,NULL,2.00,2.00,0.00,501,NULL,NULL,'SÃO JOSÉ','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7230222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'GUARA','GUARÁ','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7230230,1.00,5.00,2.00,6.00,5.00,8.25,2.00,5.00,3.00,454,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17032,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7230249,5.00,5.00,1.00,4.00,8.00,8.63,2.00,5.00,5.00,201,NULL,211,'ARMAÇÃO DO PÂNT SUL','FLORIANÓPOLIS','SC',6601,508,NULL,182,NULL,NULL,NULL,4,1),(28,7230257,0.00,3.00,1.00,3.00,4.00,4.50,2.00,3.00,2.00,9,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7230265,3.00,4.00,3.00,6.00,6.00,6.75,1.00,3.00,2.00,309,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12935,12,NULL,NULL,NULL,NULL,NULL,2,1),(28,7230273,5.00,6.00,1.00,7.00,5.00,9.00,3.00,7.00,4.00,108,NULL,NULL,'JARDIM HENRIQUETA','TABOÃO SERRA','SP',10240,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7230281,1.00,3.00,2.00,5.00,4.00,6.75,4.00,3.00,1.00,103,NULL,NULL,'BOM JESUS','RIO NEGRO','PR',15780,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7230290,1.00,3.00,2.00,7.00,8.00,9.00,5.00,5.00,3.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9021,251,NULL,NULL,NULL,NULL,NULL,4,1),(28,7230303,3.00,5.00,0.00,6.00,7.00,9.38,2.00,4.00,4.00,102,NULL,NULL,'SANTA CATARINA','S LOURENÇO OESTE','SC',10282,89,NULL,NULL,NULL,NULL,NULL,4,4),(28,7230311,3.00,8.00,2.00,4.00,8.00,9.75,5.00,8.00,5.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',4378,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7230320,4.00,5.00,2.00,6.00,4.00,9.38,7.00,4.00,2.00,2,NULL,NULL,'CENTRO','NOVA TRENTO','SC',7481,21,NULL,NULL,NULL,NULL,NULL,4,22),(28,7230338,4.00,8.00,1.00,7.00,8.00,8.63,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','PALMITOS','SC',4368,1398,NULL,NULL,NULL,NULL,NULL,2,4),(28,7230354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7230370,3.00,7.00,0.00,6.00,9.00,8.63,4.00,5.00,6.00,207,NULL,201,'SACO GRANDE','FLORIANÓPOLIS','SC',6037,279,NULL,468,NULL,NULL,NULL,4,1),(28,7230389,6.00,7.00,2.00,6.00,6.00,8.63,4.00,6.00,2.00,451,NULL,NULL,'CRISTO REI','COCAL SUL','SC',11279,21,NULL,NULL,NULL,NULL,NULL,4,5),(28,7230397,5.00,9.00,5.00,5.00,10.00,8.63,3.00,6.00,8.00,103,NULL,NULL,'ALTO BOQUEIRAO','CURITIBA','PR',1043,572,NULL,NULL,NULL,NULL,NULL,2,3);
INSERT INTO boletim_desempenho VALUES (28,7230400,4.00,4.00,2.00,5.00,6.00,5.25,3.00,5.00,4.00,652,NULL,653,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',12375,37,NULL,NULL,NULL,NULL,NULL,2,15),(28,7230419,1.00,4.00,3.00,7.00,6.00,9.38,4.00,4.00,1.00,104,NULL,NULL,'AMÉRICA','JOINVILLE','SC',14409,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7230435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,213,'CENTRO','IRATI','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7230443,4.00,6.00,3.00,4.00,9.00,7.50,5.00,6.00,4.00,203,NULL,220,'VILA NOVA','IMBITUBA','SC',5045,347,NULL,148,NULL,NULL,NULL,4,10),(28,7230451,1.00,3.00,1.00,5.00,3.00,7.50,0.00,4.00,2.00,999,NULL,NULL,'DAS NAÇÕES','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7230460,2.00,5.00,1.00,1.00,6.00,9.75,1.00,2.00,3.00,9,NULL,NULL,'CACHOEIRAS','BIGUAÇU','SC',16227,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7230478,4.00,5.00,2.00,6.00,5.00,7.13,2.00,6.00,3.00,327,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',15351,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7230486,3.00,5.00,3.00,3.00,6.00,4.50,2.00,4.00,2.00,203,NULL,202,'KOBRASOL','S JOSÉ','SC',13765,NULL,NULL,324,NULL,NULL,NULL,4,1),(28,7230494,5.00,7.00,3.00,7.00,7.00,7.13,4.00,5.00,5.00,203,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',7817,470,NULL,186,NULL,NULL,NULL,4,1),(28,7230508,7.00,8.00,1.00,6.00,8.00,7.88,2.00,5.00,6.00,103,NULL,NULL,'CENTRO','IÇARA','SC',3987,1324,NULL,NULL,NULL,NULL,NULL,2,5),(28,7230516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'NATANEA','RIO B SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7230524,2.00,8.00,4.00,6.00,8.00,8.63,5.00,4.00,6.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',2432,1004,NULL,NULL,NULL,NULL,NULL,4,7),(28,7230532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7230540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,427,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7230559,4.00,8.00,4.00,7.00,9.00,10.50,6.00,7.00,6.00,103,NULL,NULL,'CENTRO','NONOAI','RS',1472,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7230583,0.00,6.00,3.00,7.00,6.00,7.50,3.00,3.00,3.00,211,NULL,207,'SANTA LUCIA','CAPIVARI BAIXO','SC',11593,305,NULL,NULL,NULL,NULL,NULL,4,10),(28,7230591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'PARALELA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7230605,1.00,5.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,404,NULL,NULL,'DAS NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7230613,7.00,6.00,2.00,7.00,8.00,9.38,7.00,7.00,5.00,103,NULL,NULL,'VILA MORANGUEIRA','MARINGÁ','PR',526,351,NULL,NULL,NULL,NULL,NULL,4,1),(28,7230621,1.00,5.00,2.00,6.00,8.00,9.38,4.00,7.00,2.00,103,NULL,NULL,'CENTRO','SINOP','MT',6342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7230630,7.00,6.00,3.00,6.00,6.00,8.63,2.00,5.00,5.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5042,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7230648,2.00,6.00,2.00,2.00,4.00,3.00,2.00,2.00,1.00,503,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7230656,0.00,2.00,2.00,4.00,3.00,NULL,2.00,0.00,2.00,339,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7230664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7230672,2.00,4.00,2.00,5.00,7.00,7.50,3.00,4.00,3.00,999,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7230702,2.00,4.00,3.00,6.00,6.00,7.50,2.00,5.00,4.00,503,NULL,NULL,'BELA VISTA','S JOSÉ','SC',15992,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7230710,4.00,4.00,2.00,6.00,5.00,4.50,1.00,4.00,2.00,552,NULL,NULL,'DOS MUNICIPIOS','CAÇADOR','SC',13982,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7230729,0.00,3.00,3.00,1.00,1.00,NULL,0.00,4.00,0.00,102,NULL,NULL,'PETRÓPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7230737,2.00,5.00,0.00,2.00,3.00,8.63,2.00,1.00,4.00,424,NULL,423,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',19358,44,NULL,34,NULL,NULL,NULL,2,1),(28,7230753,3.00,5.00,3.00,5.00,5.00,7.88,3.00,3.00,3.00,238,NULL,235,'BARREIROS','S JOSÉ','SC',11478,176,NULL,189,NULL,NULL,NULL,4,1),(28,7230761,4.00,6.00,4.00,6.00,8.00,6.75,3.00,5.00,5.00,444,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',6817,12,NULL,NULL,NULL,NULL,NULL,2,1),(28,7230770,0.00,5.00,2.00,6.00,6.00,7.50,3.00,5.00,3.00,415,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',12917,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7230788,5.00,5.00,4.00,6.00,7.00,7.13,4.00,5.00,3.00,238,NULL,235,'SERTÃO DO MARUIM','S JOSÉ','SC',7211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7230796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RES SAGRADA FAMÍLIA','RONDONÓPOLIS','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7230800,1.00,4.00,2.00,5.00,6.00,9.38,0.00,3.00,0.00,332,NULL,NULL,'JARDIM EUCALYPTOS','PALHOÇA','SC',18980,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7230818,1.00,3.00,0.00,5.00,2.00,NULL,2.00,3.00,1.00,215,NULL,216,'VILA ROSA','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7230826,1.00,5.00,2.00,5.00,5.00,8.25,2.00,4.00,3.00,337,NULL,NULL,'JD OURO BRANCO','CAMPINAS','SP',18213,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7230834,4.00,5.00,3.00,4.00,5.00,10.13,3.00,4.00,3.00,104,NULL,NULL,'BARIGUI','ARAUCÁRIA','PR',14332,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7230842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','BOA VISTA','RR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7230850,1.00,6.00,1.00,4.00,5.00,8.63,2.00,4.00,4.00,104,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',17570,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7230893,5.00,7.00,1.00,7.00,5.00,9.38,4.00,6.00,5.00,340,NULL,NULL,'VILA SÔNIA','S PAULO','SP',5834,146,NULL,NULL,NULL,NULL,NULL,4,1),(28,7230907,0.00,4.00,0.00,6.00,4.00,6.75,1.00,2.00,2.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',19616,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7230931,6.00,7.00,3.00,6.00,7.00,8.25,1.00,5.00,4.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10701,35,NULL,NULL,NULL,NULL,NULL,2,1),(28,7230958,4.00,7.00,2.00,5.00,6.00,5.25,5.00,6.00,6.00,201,NULL,601,'PANTANO DO UL','FLORIANÓPOLIS','SC',5938,465,NULL,115,NULL,NULL,NULL,4,1),(28,7230966,3.00,0.00,2.00,6.00,7.00,NULL,0.00,0.00,0.00,201,NULL,601,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(28,7230974,3.00,2.00,1.00,5.00,6.00,6.38,2.00,2.00,2.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19236,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7230982,3.00,4.00,2.00,6.00,3.00,5.25,2.00,3.00,1.00,301,NULL,NULL,'CENTRO','JOAÇABA','SC',19513,260,NULL,NULL,NULL,NULL,NULL,2,7),(28,7230990,7.00,7.00,2.00,4.00,7.00,9.75,3.00,7.00,5.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3139,74,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231008,6.00,8.00,1.00,7.00,7.00,10.13,5.00,7.00,6.00,103,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',1534,755,NULL,NULL,NULL,NULL,NULL,4,2),(28,7231016,3.00,5.00,2.00,4.00,7.00,7.50,3.00,5.00,2.00,103,NULL,NULL,'VILA CARLI','GUARAPUAVA','PR',15287,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7231032,3.00,5.00,2.00,4.00,4.00,7.13,1.00,3.00,3.00,999,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7231040,2.00,6.00,1.00,7.00,9.00,9.38,3.00,4.00,3.00,415,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',6416,103,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231059,1.00,6.00,4.00,6.00,2.00,NULL,1.00,3.00,3.00,207,NULL,201,'COPA RONDON','RONDONÓPOLIS','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231075,2.00,7.00,0.00,4.00,7.00,10.88,4.00,4.00,3.00,207,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',8938,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7231083,0.00,2.00,3.00,3.00,2.00,NULL,2.00,0.00,3.00,108,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7231091,3.00,7.00,4.00,5.00,6.00,8.25,3.00,6.00,6.00,220,NULL,233,'RECANTO DO SOL','CERQUILHO','SP',4940,143,NULL,132,NULL,NULL,NULL,4,1),(28,7231105,0.00,4.00,3.00,2.00,2.00,NULL,2.00,2.00,2.00,104,NULL,NULL,'CENTRO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7231113,2.00,3.00,1.00,5.00,5.00,6.38,2.00,4.00,3.00,101,NULL,NULL,'AREIAS DE CIMA','GOV CELSO RAMOS','SC',15373,96,NULL,NULL,NULL,NULL,NULL,2,1),(28,7231121,0.00,5.00,1.00,6.00,6.00,NULL,0.00,5.00,2.00,320,NULL,NULL,'VIAMÓPOLIS','VIAMÃO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7231130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'VILA NOVA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7231148,5.00,5.00,1.00,7.00,5.00,9.00,2.00,5.00,3.00,601,NULL,653,'JARIVATUBA','JOINVILLE','SC',8613,216,NULL,NULL,NULL,NULL,NULL,4,8),(28,7231164,3.00,4.00,1.00,5.00,5.00,5.25,3.00,4.00,3.00,234,NULL,NULL,'PAGARA','STO AMARO IMPERATRIZ','SC',15966,46,NULL,NULL,NULL,NULL,NULL,2,1),(28,7231172,1.00,3.00,2.00,7.00,3.00,3.00,0.00,2.00,3.00,655,NULL,NULL,'JARDIM CIBELE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7231180,2.00,3.00,4.00,4.00,4.00,5.63,4.00,6.00,3.00,203,NULL,211,'PRESIDENTE MÉDICI','CHAPECÓ','SC',12302,590,NULL,NULL,NULL,NULL,NULL,4,4),(28,7231199,4.00,6.00,3.00,6.00,5.00,9.75,3.00,7.00,5.00,333,NULL,NULL,'VILA SÔNIA','S PAULO','SP',3730,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231202,1.00,2.00,3.00,4.00,5.00,6.75,2.00,2.00,2.00,319,NULL,NULL,'CENTRO','S MIGUEL ARCANJO','SP',16424,317,NULL,NULL,NULL,NULL,NULL,2,3),(28,7231210,3.00,4.00,1.00,5.00,5.00,7.88,2.00,4.00,2.00,108,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13763,190,NULL,NULL,NULL,NULL,NULL,2,1),(28,7231229,0.00,3.00,2.00,2.00,5.00,6.75,1.00,5.00,2.00,601,NULL,216,'PASSO DA AREIA','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7231237,5.00,7.00,2.00,4.00,9.00,5.25,4.00,3.00,5.00,101,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',6517,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231245,0.00,2.00,3.00,5.00,4.00,NULL,1.00,3.00,2.00,339,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7231253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'DISTRITO DE SOUSAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7231270,3.00,6.00,2.00,5.00,9.00,8.63,5.00,4.00,3.00,202,NULL,203,'SANTO ANTONIO','PINHALZINHO','SC',7149,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7231288,5.00,3.00,4.00,6.00,7.00,7.88,3.00,5.00,4.00,208,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',6822,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231296,0.00,3.00,0.00,1.00,2.00,NULL,2.00,3.00,0.00,5,NULL,NULL,'SÃO TOMAZ','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231300,6.00,6.00,2.00,5.00,8.00,8.63,6.00,6.00,6.00,303,NULL,NULL,'CENTRO','GASPAR','SC',2632,112,NULL,NULL,NULL,NULL,NULL,4,2),(28,7231318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM CARVALHO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7231326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM EUROPA','ASSIS CHATEAUBRIAND','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7231342,3.00,7.00,1.00,7.00,8.00,9.00,3.00,8.00,3.00,450,NULL,NULL,'CENTRO','TRÊS PASSOS','RS',6210,46,NULL,NULL,NULL,NULL,NULL,2,3),(28,7231350,4.00,7.00,1.00,7.00,9.00,9.00,3.00,7.00,3.00,653,NULL,655,'URUSSANGUINHA','ARARANGUÁ','SC',6138,60,NULL,NULL,NULL,NULL,NULL,2,15),(28,7231369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'SCHRAMM','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7231385,1.00,3.00,3.00,2.00,3.00,8.25,2.00,4.00,0.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',17338,258,NULL,NULL,NULL,NULL,NULL,2,1),(28,7231393,2.00,4.00,2.00,3.00,5.00,5.63,1.00,3.00,3.00,654,NULL,NULL,'SÃO JOÃO','CORREIA PINTO','SC',17496,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7231407,1.00,6.00,2.00,7.00,6.00,9.75,4.00,5.00,1.00,308,NULL,NULL,'CENTRO','CRICIÚMA','SC',14623,25,NULL,NULL,NULL,NULL,NULL,4,5),(28,7231431,6.00,6.00,2.00,7.00,7.00,6.38,4.00,6.00,6.00,203,NULL,216,'TERMAS','GRAVATAL','SC',7477,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7231458,2.00,6.00,3.00,6.00,6.00,10.50,2.00,2.00,3.00,203,NULL,207,'ESTREITO','MELEIRO','SC',8920,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7231466,6.00,7.00,4.00,6.00,7.00,11.63,4.00,6.00,4.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',1273,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231474,1.00,2.00,1.00,3.00,1.00,NULL,0.00,4.00,2.00,552,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7231490,4.00,5.00,2.00,7.00,5.00,9.75,4.00,4.00,3.00,235,NULL,201,'CENTRO','JARAGUÁ SUL','SC',14477,232,NULL,NULL,NULL,NULL,NULL,4,23),(28,7231504,6.00,8.00,3.00,6.00,9.00,9.75,5.00,6.00,4.00,999,NULL,NULL,'BADENFURT','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7231520,1.00,6.00,1.00,2.00,2.00,NULL,1.00,6.00,2.00,203,NULL,NULL,'NAÇÕES','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7231547,3.00,7.00,0.00,5.00,5.00,5.63,1.00,7.00,1.00,415,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',11700,189,NULL,NULL,NULL,NULL,NULL,2,1),(28,7231555,6.00,6.00,3.00,6.00,8.00,11.25,5.00,6.00,7.00,103,NULL,NULL,'BELA VISTA','S JOSÉ','SC',916,515,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231571,1.00,4.00,3.00,6.00,6.00,6.00,1.00,4.00,1.00,423,NULL,426,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',14468,17,NULL,NULL,NULL,NULL,NULL,2,1),(28,7231580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','CAIBI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7231598,4.00,7.00,2.00,3.00,6.00,9.00,2.00,6.00,3.00,999,NULL,NULL,'CENTRO','JABORÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7231601,0.00,3.00,1.00,2.00,3.00,6.00,3.00,2.00,0.00,207,NULL,201,'AMIZADE','JARAGUÁ SUL','SC',17995,763,NULL,993,NULL,NULL,NULL,4,23),(28,7231610,3.00,3.00,1.00,1.00,5.00,7.13,0.00,1.00,1.00,444,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',17689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231636,1.00,7.00,2.00,7.00,7.00,10.13,3.00,6.00,2.00,103,NULL,NULL,'BORTOLON','XANXERÊ','SC',7325,1808,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231644,0.00,5.00,5.00,4.00,6.00,NULL,2.00,4.00,4.00,207,NULL,201,'LOMBA GRANDE','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231660,6.00,7.00,0.00,7.00,7.00,4.88,3.00,4.00,5.00,101,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',7581,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7231679,0.00,4.00,1.00,3.00,3.00,6.38,3.00,2.00,1.00,108,NULL,NULL,'MATRIZ','VIDEIRA','SC',17576,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7231695,4.00,5.00,1.00,5.00,5.00,8.63,1.00,6.00,3.00,108,NULL,NULL,'ZONA RURAL','GUARACIABA','SC',11754,159,NULL,NULL,NULL,NULL,NULL,4,27),(28,7231709,2.00,5.00,2.00,2.00,7.00,9.00,2.00,5.00,4.00,302,NULL,NULL,'PONTAL','PALHOÇA','SC',12219,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231725,3.00,7.00,3.00,6.00,6.00,7.88,3.00,3.00,1.00,340,NULL,NULL,'VILA INDUSTRIAL','TOLEDO','PR',10212,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7231733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SETOR BELA VISTA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7231741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SÃO PAULO','TAPEJARA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7231750,2.00,5.00,2.00,2.00,6.00,7.50,2.00,6.00,4.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231768,1.00,5.00,3.00,6.00,7.00,9.75,2.00,7.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4272,1379,NULL,NULL,NULL,NULL,NULL,2,2),(28,7231776,1.00,4.00,1.00,2.00,4.00,6.75,2.00,3.00,1.00,552,NULL,NULL,'APARECIDA','CURITIBANOS','SC',17053,126,NULL,NULL,NULL,NULL,NULL,2,16),(28,7231784,3.00,7.00,5.00,6.00,8.00,7.88,6.00,5.00,4.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',8457,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7231792,0.00,5.00,1.00,5.00,6.00,10.13,1.00,2.00,1.00,207,NULL,201,'CENTRO','SEARA','SC',13776,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7231806,3.00,5.00,2.00,3.00,2.00,NULL,1.00,4.00,1.00,451,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231814,4.00,6.00,1.00,6.00,8.00,8.63,4.00,6.00,4.00,601,NULL,207,'FLORESTA','JOINVILLE','SC',4995,93,NULL,NULL,NULL,NULL,NULL,2,8),(28,7231822,4.00,7.00,2.00,6.00,9.00,9.38,3.00,5.00,5.00,318,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4201,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231830,1.00,2.00,1.00,1.00,4.00,5.63,3.00,1.00,1.00,301,NULL,NULL,'SANTA ISABEL','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(28,7231849,4.00,8.00,4.00,6.00,9.00,6.75,4.00,7.00,5.00,222,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',6212,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231865,1.00,3.00,0.00,2.00,1.00,NULL,0.00,3.00,0.00,999,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7231873,2.00,5.00,1.00,4.00,7.00,7.50,2.00,3.00,4.00,302,NULL,NULL,'PONTAL','PALHOÇA','SC',15340,109,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,424,'TINGUI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7231903,3.00,3.00,1.00,5.00,4.00,NULL,0.00,3.00,3.00,110,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7231911,3.00,5.00,1.00,5.00,8.00,10.88,4.00,6.00,4.00,238,NULL,652,'REAL PARQUE','S JOSÉ','SC',5926,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231920,2.00,5.00,3.00,5.00,6.00,8.25,2.00,6.00,4.00,101,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',10279,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7231946,0.00,3.00,3.00,4.00,5.00,8.63,1.00,5.00,3.00,110,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',18369,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231954,6.00,8.00,5.00,6.00,9.00,9.00,3.00,6.00,5.00,303,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',1481,68,NULL,NULL,NULL,NULL,NULL,4,1),(28,7231962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SANTO INÁCIO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7231970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BELA VISTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7231989,2.00,5.00,3.00,2.00,2.00,NULL,3.00,5.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7231997,2.00,2.00,2.00,3.00,3.00,6.38,0.00,2.00,3.00,999,NULL,NULL,'SANTA LUZIA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7232004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'SANTA ISABEL','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7232020,1.00,6.00,1.00,7.00,7.00,5.25,0.00,2.00,3.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',15282,19,NULL,NULL,NULL,NULL,NULL,2,16),(28,7232047,0.00,2.00,3.00,6.00,7.00,NULL,1.00,4.00,3.00,319,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7232055,0.00,7.00,3.00,7.00,3.00,8.25,3.00,4.00,2.00,317,NULL,NULL,'POÇO FUNDO','BRUSQUE','SC',9984,34,NULL,NULL,NULL,NULL,NULL,2,22),(28,7232063,5.00,7.00,2.00,7.00,10.00,9.38,5.00,8.00,4.00,207,NULL,215,'CAMPO DE FORA','LAGUNA','SC',2098,71,NULL,16,NULL,NULL,NULL,4,10),(28,7232071,0.00,4.00,3.00,3.00,3.00,NULL,2.00,4.00,2.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232080,5.00,6.00,2.00,6.00,8.00,8.25,6.00,7.00,5.00,211,NULL,653,'TRINDADE','FLORIANÓPOLIS','SC',3355,73,NULL,17,NULL,NULL,NULL,4,1),(28,7232098,0.00,3.00,2.00,5.00,6.00,6.38,2.00,2.00,0.00,552,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17758,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232101,2.00,7.00,2.00,4.00,8.00,9.75,3.00,6.00,5.00,104,NULL,NULL,'IPIRANGA','LAGES','SC',6293,131,NULL,NULL,NULL,NULL,NULL,4,9),(28,7232110,0.00,0.00,3.00,5.00,2.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(28,7232128,3.00,7.00,0.00,4.00,7.00,NULL,1.00,7.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232136,1.00,6.00,2.00,6.00,4.00,6.75,1.00,3.00,2.00,304,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',13384,100,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232144,3.00,7.00,3.00,6.00,8.00,9.00,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',7883,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7232152,3.00,7.00,3.00,6.00,9.00,8.25,4.00,7.00,4.00,319,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',3663,50,NULL,NULL,NULL,NULL,NULL,4,6),(28,7232160,4.00,7.00,2.00,6.00,7.00,8.63,3.00,4.00,4.00,103,NULL,NULL,'VARGEM GRANDE','ÁGUAS MORNAS','SC',7474,1828,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232179,3.00,4.00,1.00,4.00,6.00,4.50,2.00,4.00,4.00,5,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',14747,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232187,2.00,1.00,4.00,4.00,4.00,4.50,1.00,3.00,1.00,102,NULL,NULL,'KOBRASOL','S JOSÉ','SC',20008,186,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7232209,6.00,8.00,2.00,7.00,6.00,8.63,3.00,6.00,3.00,103,NULL,NULL,'JARDIM ITÁLIA','MELEIRO','SC',3753,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7232217,2.00,4.00,1.00,7.00,6.00,9.75,1.00,5.00,2.00,207,NULL,215,'ÁGUA BRANCA','S FRANCISCO SUL','SC',11015,506,NULL,189,NULL,NULL,NULL,2,8),(28,7232225,2.00,3.00,1.00,3.00,3.00,7.50,2.00,2.00,1.00,454,NULL,NULL,'CAÇANJURE','CAÇADOR','SC',20026,400,NULL,NULL,NULL,NULL,NULL,2,25),(28,7232233,1.00,5.00,3.00,6.00,6.00,7.13,2.00,4.00,4.00,303,NULL,NULL,'CENTRO','CAÇADOR','SC',10336,417,NULL,NULL,NULL,NULL,NULL,2,25),(28,7232250,3.00,7.00,2.00,3.00,8.00,7.88,3.00,6.00,4.00,201,NULL,235,'SANTA MARIA','CHAPECÓ','SC',8153,586,NULL,NULL,NULL,NULL,NULL,4,4),(28,7232276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,NULL,'VILA SÃO JORGE','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7232284,3.00,4.00,2.00,7.00,1.00,NULL,2.00,5.00,3.00,425,NULL,423,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232292,0.00,2.00,0.00,2.00,4.00,9.00,1.00,2.00,1.00,207,NULL,NULL,'BAIRRO IPIRANGA','S JOSÉ','SC',19284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232306,1.00,6.00,2.00,3.00,10.00,9.00,0.00,2.00,2.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232314,5.00,7.00,1.00,8.00,11.00,9.75,2.00,7.00,4.00,319,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',5562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7232330,4.00,5.00,1.00,5.00,2.00,NULL,2.00,4.00,2.00,415,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232349,2.00,7.00,4.00,3.00,7.00,7.88,1.00,6.00,3.00,108,NULL,NULL,'IPIRANGA','S JOSÉ','SC',15008,203,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232357,4.00,7.00,4.00,7.00,6.00,7.50,6.00,8.00,6.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',2480,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232365,7.00,6.00,6.00,6.00,5.00,9.00,5.00,4.00,6.00,220,NULL,203,'BNH SEGUNDO PLANO','DOURADOS','MS',1744,47,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232373,1.00,6.00,3.00,4.00,5.00,10.88,2.00,7.00,3.00,319,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',14840,288,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232381,5.00,6.00,0.00,6.00,6.00,6.38,3.00,5.00,4.00,202,NULL,235,'RIO VERMELHO','FLORIANÓPOLIS','SC',8823,231,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7232411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7232420,2.00,6.00,3.00,6.00,6.00,7.13,1.00,6.00,4.00,423,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',10403,5,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232438,3.00,7.00,4.00,8.00,9.00,8.63,4.00,6.00,5.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'JARDIM AEROPORTO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7232454,3.00,4.00,3.00,5.00,6.00,7.88,0.00,5.00,2.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13792,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232462,0.00,2.00,2.00,3.00,5.00,4.50,1.00,3.00,2.00,109,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232489,0.00,2.00,3.00,3.00,5.00,NULL,1.00,4.00,2.00,404,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232497,1.00,7.00,1.00,3.00,4.00,7.50,3.00,5.00,2.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',18102,2476,NULL,NULL,NULL,NULL,NULL,4,8),(28,7232519,0.00,6.00,2.00,7.00,5.00,10.88,1.00,5.00,3.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232527,0.00,3.00,1.00,3.00,5.00,NULL,2.00,4.00,0.00,203,NULL,214,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232535,1.00,6.00,2.00,7.00,8.00,6.75,1.00,4.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16546,561,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232543,3.00,4.00,2.00,5.00,3.00,7.13,2.00,3.00,2.00,339,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232551,2.00,3.00,2.00,1.00,3.00,3.00,1.00,3.00,2.00,444,NULL,NULL,'PARQUE DAS ACASIAS','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7232560,1.00,8.00,3.00,7.00,6.00,7.88,2.00,6.00,2.00,303,NULL,NULL,'ESCOLA AGRÍCOLA','BLUMENAU','SC',11886,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7232578,0.00,6.00,0.00,4.00,6.00,3.00,1.00,3.00,4.00,104,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7232594,0.00,6.00,2.00,8.00,8.00,9.00,3.00,3.00,1.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14523,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232616,4.00,5.00,2.00,6.00,6.00,7.13,4.00,4.00,3.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',9157,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7232624,0.00,2.00,4.00,0.00,3.00,NULL,0.00,5.00,1.00,404,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232640,2.00,6.00,2.00,6.00,6.00,9.38,0.00,5.00,3.00,103,NULL,NULL,'NAÇÕES','INDAIAL','SC',10126,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7232667,2.00,5.00,4.00,4.00,8.00,7.88,1.00,6.00,2.00,444,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',11617,43,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232683,1.00,3.00,2.00,1.00,3.00,3.00,2.00,3.00,1.00,104,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7232691,1.00,4.00,1.00,3.00,2.00,NULL,0.00,3.00,2.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232705,0.00,3.00,1.00,6.00,3.00,9.00,0.00,2.00,2.00,425,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232721,5.00,6.00,3.00,6.00,8.00,8.63,4.00,6.00,5.00,301,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4250,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232730,1.00,6.00,0.00,6.00,6.00,NULL,1.00,4.00,5.00,207,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232756,0.00,4.00,1.00,5.00,4.00,8.63,1.00,1.00,3.00,215,NULL,216,'CENTRO','QUILOMBO','SC',19350,294,NULL,452,NULL,NULL,NULL,2,4),(28,7232764,0.00,2.00,1.00,7.00,5.00,NULL,2.00,2.00,3.00,450,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232772,2.00,5.00,3.00,6.00,6.00,9.38,3.00,4.00,2.00,503,NULL,NULL,'TERESÓPOLIS','PTO ALEGRE','RS',14276,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232780,5.00,6.00,1.00,4.00,4.00,8.63,5.00,6.00,4.00,103,NULL,NULL,'JD INTERLAGOS','HORTOLÂNDIA','SP',8381,1936,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ARRAIAL DANGOLA','PARACATU','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7232802,0.00,3.00,2.00,4.00,3.00,NULL,0.00,2.00,2.00,999,NULL,NULL,'JARDIM DAS HORTÊNCIA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7232810,5.00,4.00,0.00,5.00,7.00,9.00,5.00,5.00,4.00,5,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',10434,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232829,1.00,6.00,1.00,5.00,7.00,6.38,3.00,3.00,0.00,216,NULL,655,'PROGRESSO','BLUMENAU','SC',18181,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7232837,2.00,6.00,3.00,8.00,6.00,10.13,3.00,4.00,1.00,999,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7232845,0.00,3.00,1.00,2.00,3.00,4.88,0.00,3.00,2.00,102,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232853,0.00,2.00,1.00,1.00,4.00,NULL,1.00,1.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232870,3.00,7.00,3.00,7.00,9.00,9.38,5.00,7.00,7.00,212,NULL,238,'COSTA E SILVA','JOINVILLE','SC',2372,53,NULL,6,NULL,NULL,NULL,2,8),(28,7232888,0.00,3.00,3.00,6.00,2.00,NULL,2.00,4.00,4.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232896,0.00,5.00,0.00,4.00,6.00,9.00,3.00,3.00,3.00,213,NULL,235,'FAZENDA DO MAX','S JOSÉ','SC',18422,273,NULL,282,NULL,NULL,NULL,2,1),(28,7232900,1.00,6.00,3.00,1.00,4.00,7.50,2.00,2.00,2.00,201,NULL,212,'CAMINHO NOVO','PALHOÇA','SC',16078,935,NULL,386,NULL,NULL,NULL,4,1),(28,7232918,4.00,4.00,2.00,4.00,6.00,7.13,2.00,4.00,2.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13496,221,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232926,3.00,4.00,3.00,5.00,6.00,7.13,0.00,3.00,1.00,404,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232934,3.00,6.00,4.00,6.00,7.00,9.00,5.00,7.00,3.00,234,NULL,NULL,'ARMAÇÃO DO PÂNTANO D','FLORIANÓPOLIS','SC',9203,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7232942,1.00,7.00,2.00,4.00,7.00,8.25,4.00,7.00,2.00,108,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',11906,163,NULL,NULL,NULL,NULL,NULL,4,1),(28,7232950,1.00,5.00,0.00,2.00,6.00,7.88,1.00,1.00,2.00,652,NULL,655,'SERRA DA PEDRA','JACINTO MACHADO','SC',16636,69,NULL,NULL,NULL,NULL,NULL,4,15),(28,7232969,4.00,8.00,3.00,5.00,9.00,9.75,5.00,7.00,4.00,201,NULL,220,'CENTRO','OURO','SC',2255,163,NULL,69,NULL,NULL,NULL,4,7),(28,7232977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7232993,3.00,6.00,2.00,4.00,6.00,6.75,2.00,5.00,4.00,336,NULL,NULL,'BOA VISTA','ITUPORANGA','SC',11646,60,NULL,NULL,NULL,NULL,NULL,2,24),(28,7233000,0.00,3.00,3.00,7.00,3.00,NULL,1.00,2.00,1.00,2,NULL,NULL,'JARDIM SÃO PAULO','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7233027,1.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'JARDIM PRIMAVERA','STA BÁRBARA D OESTE','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7233035,1.00,5.00,2.00,5.00,4.00,6.38,2.00,5.00,2.00,339,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',15114,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7233043,4.00,6.00,3.00,4.00,6.00,8.25,5.00,6.00,5.00,103,NULL,NULL,'ASA SUL','BRASÍLIA','DF',5510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7233051,4.00,7.00,2.00,6.00,7.00,5.25,5.00,6.00,4.00,201,NULL,207,'ESCOLA AGRÍCOLA','BLUMENAU','SC',4978,383,NULL,212,NULL,NULL,NULL,2,2),(28,7233060,5.00,8.00,5.00,6.00,8.00,10.88,3.00,7.00,7.00,103,NULL,NULL,'JABAQUARA','S PAULO','SP',577,380,NULL,NULL,NULL,NULL,NULL,4,1),(28,7233078,0.00,3.00,2.00,1.00,4.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7233086,2.00,7.00,0.00,6.00,6.00,9.38,3.00,5.00,2.00,201,NULL,207,'CENTRO','SOMBRIO','SC',8252,592,NULL,385,NULL,NULL,NULL,2,15),(28,7233108,3.00,4.00,2.00,8.00,8.00,10.13,4.00,7.00,3.00,207,NULL,201,'CENTRO','S MIGUEL OESTE','SC',4657,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7233124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM GUANABARA','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7233132,1.00,5.00,2.00,2.00,3.00,4.50,1.00,3.00,2.00,101,NULL,NULL,'SOROCABA','BIGUAÇU','SC',18888,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7233159,0.00,0.00,1.00,2.00,3.00,3.00,2.00,5.00,2.00,551,NULL,NULL,'MONTE ALEGRE','S CRISTÓVÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7233167,1.00,4.00,2.00,4.00,4.00,4.88,2.00,5.00,2.00,444,NULL,NULL,'SJ RIO VERMELHO','FLORIANÓPOLIS','SC',18968,130,NULL,NULL,NULL,NULL,NULL,2,1),(28,7233175,1.00,7.00,2.00,4.00,8.00,7.88,3.00,6.00,2.00,207,NULL,201,'CANTO GRANDE','BOMBINHAS','SC',14636,649,NULL,895,NULL,NULL,NULL,4,6),(28,7233183,2.00,6.00,2.00,8.00,6.00,7.50,1.00,6.00,1.00,208,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',15690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7233191,6.00,6.00,2.00,3.00,6.00,7.50,3.00,3.00,2.00,212,NULL,201,'SERTAO DO MARUIM','S JOSÉ','SC',16277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7233213,5.00,7.00,4.00,6.00,8.00,10.50,3.00,6.00,7.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',1993,884,NULL,NULL,NULL,NULL,NULL,4,4),(28,7233221,2.00,7.00,2.00,6.00,7.00,10.13,3.00,8.00,6.00,205,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',8280,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7233248,2.00,7.00,1.00,4.00,8.00,6.38,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','IMBUIA','SC',11174,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7233264,1.00,4.00,1.00,4.00,7.00,8.25,0.00,6.00,2.00,5,NULL,NULL,'BELA VISTA','FRAIBURGO','SC',14439,392,NULL,NULL,NULL,NULL,NULL,4,25),(28,7233280,2.00,4.00,5.00,5.00,5.00,6.38,4.00,3.00,3.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11819,130,NULL,NULL,NULL,NULL,NULL,4,1),(28,7233299,2.00,4.00,1.00,3.00,7.00,9.00,1.00,5.00,0.00,501,NULL,NULL,'MIRANTE','ITÁ','SC',14597,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7233302,1.00,6.00,1.00,5.00,5.00,5.25,3.00,4.00,3.00,201,NULL,207,'SANTO ANTONIO','FLORIANÓPOLIS','SC',18686,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7233310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7233329,1.00,3.00,1.00,5.00,3.00,5.25,1.00,4.00,2.00,301,NULL,NULL,'CAMPO DE FORA','LAGUNA','SC',19846,266,NULL,NULL,NULL,NULL,NULL,2,10),(28,7233337,2.00,5.00,2.00,3.00,5.00,7.13,0.00,5.00,4.00,652,NULL,655,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7233345,2.00,4.00,1.00,5.00,4.00,7.88,3.00,3.00,1.00,999,NULL,NULL,'SANTA LUZIA','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7233370,1.00,6.00,3.00,6.00,3.00,6.00,3.00,5.00,1.00,601,NULL,NULL,'GUANABARA','JOINVILLE','SC',17486,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7233388,0.00,4.00,2.00,2.00,6.00,NULL,2.00,1.00,0.00,404,NULL,NULL,'GUARDA DO EMBAÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7233396,0.00,4.00,1.00,4.00,3.00,5.63,0.00,5.00,2.00,552,NULL,NULL,'FAZENDA NOVA','S JOSÉ CERRITO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7233400,4.00,6.00,1.00,8.00,7.00,11.25,1.00,5.00,3.00,426,NULL,428,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6878,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7233418,6.00,8.00,4.00,7.00,9.00,10.13,4.00,8.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',602,391,NULL,NULL,NULL,NULL,NULL,2,1),(28,7233426,1.00,4.00,1.00,6.00,5.00,6.75,2.00,4.00,1.00,415,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',16410,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7233434,0.00,4.00,0.00,5.00,6.00,8.25,2.00,2.00,2.00,302,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',17141,133,NULL,NULL,NULL,NULL,NULL,2,1),(28,7233450,6.00,7.00,5.00,6.00,8.00,7.50,4.00,8.00,6.00,103,NULL,NULL,'ASA SUL','BRASÍLIA','DF',1456,729,NULL,NULL,NULL,NULL,NULL,4,1),(28,7233469,0.00,4.00,3.00,4.00,6.00,7.13,2.00,3.00,3.00,103,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',12409,2224,NULL,NULL,NULL,NULL,NULL,4,1),(28,7233477,1.00,0.00,2.00,4.00,2.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','ATALANTA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,24),(28,7233485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JD CIDADE DE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7233493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,601,'CENTRO','ITAPIRAPUÃ PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7233507,7.00,8.00,4.00,6.00,8.00,8.63,3.00,7.00,5.00,220,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',2257,70,NULL,17,NULL,NULL,NULL,4,1),(28,7233515,5.00,8.00,4.00,7.00,8.00,10.50,5.00,7.00,5.00,103,NULL,NULL,'SÃO PAULO','MONTENEGRO','RS',995,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7233523,2.00,6.00,2.00,5.00,6.00,10.13,2.00,5.00,5.00,326,NULL,NULL,'NEI PEREIRA','SANTIAGO','RS',9855,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7233531,1.00,5.00,1.00,5.00,8.00,8.25,3.00,5.00,5.00,415,NULL,NULL,'SÃO CARLOS','LAGES','SC',8574,135,NULL,NULL,NULL,NULL,NULL,4,9),(28,7233558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,207,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7233566,1.00,8.00,3.00,3.00,9.00,7.88,5.00,8.00,2.00,202,NULL,235,'PETROPOLIS','JOINVILLE','SC',5487,151,NULL,NULL,NULL,NULL,NULL,4,1),(28,7233574,4.00,6.00,1.00,2.00,3.00,5.25,2.00,7.00,4.00,201,NULL,233,'JD SAO DOMINGOS','OURINHOS','SP',10872,716,NULL,255,NULL,NULL,NULL,4,3),(28,7233582,1.00,7.00,2.00,6.00,4.00,6.75,4.00,6.00,5.00,336,NULL,NULL,'FAZENDINHA','CURITIBA','PR',7779,42,NULL,NULL,NULL,NULL,NULL,2,1),(28,7233590,0.00,4.00,1.00,4.00,7.00,8.25,1.00,1.00,1.00,104,NULL,NULL,'HABITAÇÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7233604,4.00,7.00,5.00,6.00,9.00,9.00,5.00,6.00,6.00,5,NULL,NULL,'CENTRO','BRUSQUE','SC',2727,93,NULL,NULL,NULL,NULL,NULL,2,22),(28,7233612,2.00,5.00,2.00,6.00,5.00,7.88,4.00,5.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11115,270,NULL,NULL,NULL,NULL,NULL,2,1),(28,7233620,3.00,4.00,3.00,2.00,5.00,8.25,3.00,5.00,3.00,655,NULL,653,'SANTA HELENA','LAGES','SC',11792,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7233639,4.00,6.00,2.00,6.00,6.00,6.75,3.00,5.00,4.00,215,NULL,211,'ESCOLA AGRÍCOLA','BLUMENAU','SC',8389,143,NULL,NULL,NULL,NULL,NULL,2,2),(28,7233655,3.00,2.00,2.00,3.00,4.00,6.00,2.00,4.00,1.00,415,NULL,NULL,'SJ RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7233671,4.00,6.00,1.00,7.00,5.00,8.25,2.00,5.00,3.00,203,NULL,201,'JOÃO PAULO','FLORIANÓPOLIS','SC',14444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7233680,1.00,4.00,4.00,2.00,2.00,NULL,3.00,5.00,3.00,552,NULL,NULL,'BOSQUE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7233701,1.00,6.00,1.00,3.00,6.00,NULL,0.00,4.00,3.00,5,NULL,NULL,'SÃO BASILIO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7233710,3.00,6.00,3.00,6.00,8.00,9.00,3.00,5.00,4.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',5624,110,NULL,NULL,NULL,NULL,NULL,4,1),(28,7233728,2.00,6.00,0.00,4.00,4.00,9.00,1.00,5.00,0.00,233,NULL,601,'SANTA RITA','PAULO LOPES','SC',15043,313,NULL,447,NULL,NULL,NULL,2,1),(28,7233744,1.00,3.00,2.00,2.00,4.00,6.38,2.00,2.00,3.00,503,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7233752,0.00,4.00,2.00,6.00,9.00,8.63,3.00,3.00,4.00,101,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',10660,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7233760,6.00,7.00,4.00,5.00,6.00,7.13,3.00,7.00,3.00,450,NULL,NULL,'MORUMBI','IA SOLTEIRA','SP',7383,53,NULL,NULL,NULL,NULL,NULL,2,4),(28,7233787,1.00,2.00,3.00,6.00,3.00,6.75,0.00,3.00,2.00,332,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7233795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'GUARUJA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7233809,1.00,3.00,2.00,5.00,7.00,6.38,2.00,2.00,3.00,104,NULL,NULL,'SANTA HELENA','LAGES','SC',15170,371,NULL,NULL,NULL,NULL,NULL,2,9),(28,7233817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','VARGEM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7233833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7233850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7233868,2.00,7.00,4.00,6.00,3.00,10.13,3.00,4.00,5.00,220,NULL,655,'CENTRO','GLÓRIA DOURADOS','MS',8035,210,NULL,27,NULL,NULL,NULL,4,8),(28,7233884,2.00,8.00,4.00,4.00,5.00,9.38,4.00,4.00,3.00,201,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',12272,788,NULL,338,NULL,NULL,NULL,4,1),(28,7233892,1.00,5.00,2.00,4.00,6.00,9.00,2.00,3.00,1.00,454,NULL,NULL,'CENTRO','XAXIM','SC',18350,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7233906,3.00,4.00,3.00,5.00,6.00,8.25,3.00,5.00,1.00,211,NULL,207,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',11581,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7233914,3.00,8.00,0.00,6.00,9.00,7.50,2.00,4.00,3.00,428,NULL,421,'RIO CAVEIRAS','BIGUAÇU','SC',9624,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7233922,3.00,6.00,1.00,4.00,1.00,NULL,2.00,5.00,2.00,501,NULL,NULL,'BOMPLANT','CORUPÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7233930,1.00,5.00,4.00,7.00,8.00,7.50,4.00,6.00,6.00,201,NULL,203,'TAPAJÓS','INDAIAL','SC',5003,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7233949,3.00,8.00,4.00,6.00,6.00,6.75,5.00,6.00,3.00,235,NULL,202,'CENTRO','BLUMENAU','SC',8925,146,NULL,235,NULL,NULL,NULL,4,2),(28,7233957,2.00,6.00,0.00,6.00,6.00,8.25,2.00,6.00,1.00,317,NULL,NULL,'TAPERA DA BASE','FLORIANÓPOLIS','SC',16177,128,NULL,NULL,NULL,NULL,NULL,2,1),(28,7233981,3.00,3.00,1.00,3.00,2.00,NULL,2.00,1.00,2.00,551,NULL,NULL,'RONDINHA','PTE ALTA NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7233990,2.00,5.00,2.00,7.00,5.00,7.13,2.00,5.00,4.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15823,429,NULL,NULL,NULL,NULL,NULL,4,1),(28,7234015,2.00,6.00,0.00,4.00,7.00,6.38,0.00,3.00,2.00,103,NULL,NULL,'COBRE','CANELINHA','SC',15013,2355,NULL,NULL,NULL,NULL,NULL,2,22),(28,7234023,0.00,3.00,0.00,4.00,4.00,NULL,2.00,3.00,1.00,203,NULL,601,'SEMINÁRIO','CORUPÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7234040,4.00,6.00,1.00,5.00,3.00,8.63,2.00,2.00,5.00,207,NULL,655,'VILA NOVA','BLUMENAU','SC',11267,522,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'GUARANI','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7234066,3.00,4.00,2.00,5.00,4.00,5.63,2.00,3.00,1.00,404,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',18977,66,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234074,2.00,4.00,3.00,4.00,2.00,NULL,3.00,3.00,1.00,104,NULL,NULL,'INDUSTRIAL','POMPÉIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7234082,2.00,5.00,2.00,6.00,4.00,7.88,3.00,3.00,3.00,109,NULL,NULL,'CENTRO','PALHOÇA','SC',13340,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234090,3.00,5.00,1.00,6.00,2.00,NULL,4.00,5.00,3.00,212,NULL,213,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7234104,1.00,5.00,1.00,5.00,4.00,6.00,2.00,3.00,1.00,103,NULL,NULL,'TRIBESS','BLUMENAU','SC',19592,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7234112,0.00,3.00,3.00,1.00,6.00,NULL,0.00,3.00,3.00,104,NULL,NULL,'SÃO JOÃO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7234120,2.00,3.00,3.00,4.00,4.00,4.50,2.00,2.00,1.00,201,NULL,207,'IPIRANGA','S JOSÉ','SC',19935,1054,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234139,1.00,4.00,2.00,5.00,5.00,5.63,2.00,4.00,1.00,103,NULL,NULL,'NOSSA SRA DE FATIMA','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7234147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7234155,0.00,3.00,2.00,5.00,2.00,NULL,0.00,4.00,1.00,552,NULL,NULL,'RAICHASKI','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7234163,3.00,6.00,1.00,7.00,7.00,7.13,1.00,4.00,3.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',9089,2005,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234171,2.00,2.00,1.00,3.00,4.00,7.13,2.00,4.00,4.00,3,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',18863,88,NULL,NULL,NULL,NULL,NULL,4,1),(28,7234180,0.00,2.00,2.00,3.00,3.00,NULL,2.00,3.00,2.00,339,NULL,NULL,'ESPERANÇA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7234198,5.00,7.00,2.00,6.00,8.00,10.88,5.00,6.00,5.00,454,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',2324,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7234201,0.00,3.00,2.00,6.00,6.00,NULL,1.00,2.00,1.00,317,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234210,2.00,5.00,3.00,3.00,3.00,NULL,1.00,5.00,3.00,101,NULL,NULL,'LAGOINHA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7234228,3.00,7.00,4.00,6.00,7.00,7.13,4.00,6.00,2.00,454,NULL,NULL,'AREIAS','S JOSÉ','SC',7915,131,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234244,0.00,3.00,0.00,4.00,5.00,NULL,0.00,2.00,1.00,318,NULL,NULL,'CAMPO DA AVIAÇÃO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234252,4.00,5.00,2.00,7.00,6.00,8.25,2.00,5.00,2.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',10818,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUAS NEGRAS','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,24),(28,7234287,1.00,7.00,3.00,5.00,5.00,4.50,2.00,3.00,2.00,216,NULL,215,'SETE DE SETEMBRO','GASPAR','SC',12873,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7234295,4.00,2.00,3.00,2.00,2.00,NULL,2.00,4.00,2.00,203,NULL,214,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7234309,2.00,6.00,0.00,7.00,5.00,9.38,2.00,3.00,5.00,225,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',15444,31,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234325,5.00,7.00,4.00,5.00,7.00,9.38,6.00,5.00,4.00,201,NULL,212,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',2599,191,NULL,69,NULL,NULL,NULL,4,1),(28,7234333,1.00,5.00,2.00,7.00,2.00,NULL,4.00,3.00,2.00,201,NULL,212,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7234341,2.00,7.00,3.00,6.00,7.00,10.13,4.00,5.00,4.00,415,NULL,NULL,'CENTRO','LAGUNA','SC',4650,70,NULL,NULL,NULL,NULL,NULL,4,10),(28,7234350,3.00,7.00,3.00,5.00,7.00,9.38,3.00,5.00,4.00,207,NULL,201,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',9103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234368,0.00,3.00,2.00,4.00,4.00,9.75,2.00,2.00,3.00,318,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',19020,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234376,2.00,8.00,0.00,8.00,6.00,7.50,2.00,7.00,2.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14284,293,NULL,NULL,NULL,NULL,NULL,4,1),(28,7234384,2.00,4.00,4.00,4.00,6.00,6.38,2.00,5.00,2.00,3,NULL,NULL,'CENTENÁRIO','S BENTO SUL','SC',17463,84,NULL,NULL,NULL,NULL,NULL,4,8),(28,7234392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7234414,2.00,8.00,2.00,7.00,9.00,10.13,4.00,6.00,4.00,415,NULL,NULL,'JARDIM PETROPOLIS','ITAPECERICA SERRA','SP',4892,73,NULL,NULL,NULL,NULL,NULL,4,1),(28,7234422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ARMAÇAÕ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7234449,4.00,7.00,3.00,6.00,7.00,11.25,4.00,8.00,6.00,216,NULL,213,'DIVISA','S VICENTE','SP',1605,47,NULL,5,NULL,NULL,NULL,4,1),(28,7234473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7234481,1.00,5.00,2.00,3.00,6.00,6.75,3.00,5.00,3.00,319,NULL,NULL,'ASLTO ARROIO','IMBITUBA','SC',12354,222,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'INDEPENDÊCIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7234503,2.00,7.00,3.00,6.00,4.00,9.00,5.00,5.00,3.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',12231,132,NULL,NULL,NULL,NULL,NULL,4,1),(28,7234511,0.00,4.00,2.00,2.00,4.00,NULL,1.00,4.00,0.00,303,NULL,NULL,'CAMPO DA AVIAÇÃO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7234520,1.00,4.00,1.00,5.00,6.00,6.75,3.00,4.00,0.00,103,NULL,NULL,'CENTRO','PALMITOS','SC',15799,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7234538,7.00,7.00,3.00,6.00,7.00,7.50,1.00,5.00,3.00,201,NULL,203,'CENTRO','CAMBORIÚ','SC',5658,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7234546,6.00,7.00,3.00,5.00,8.00,7.88,2.00,5.00,5.00,216,NULL,215,'SÃO FRANCISCO','S LOURENÇO OESTE','SC',4395,164,NULL,59,NULL,NULL,NULL,2,4),(28,7234562,3.00,5.00,1.00,5.00,7.00,6.38,3.00,5.00,3.00,104,NULL,NULL,'CENTRO','TURVO','SC',9035,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7234570,7.00,8.00,3.00,7.00,9.00,8.25,4.00,6.00,4.00,103,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',2500,1021,NULL,NULL,NULL,NULL,NULL,4,25),(28,7234589,3.00,7.00,1.00,7.00,10.00,10.88,3.00,6.00,5.00,428,NULL,425,'KOBRASOL','S JOSÉ','SC',3483,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7234600,1.00,4.00,3.00,6.00,6.00,6.38,2.00,4.00,2.00,303,NULL,NULL,'CAMPO DA AVIAÇÃO','IMBITUBA','SC',14303,520,NULL,NULL,NULL,NULL,NULL,2,10),(28,7234619,3.00,4.00,1.00,6.00,4.00,6.00,0.00,4.00,2.00,203,NULL,220,'SANTO AMARO','CPO GRANDE','MS',19199,707,NULL,342,NULL,NULL,NULL,2,1),(28,7234627,3.00,6.00,5.00,5.00,7.00,7.50,0.00,6.00,4.00,201,NULL,211,'CENTRO','PALHOÇA','SC',13234,840,NULL,338,NULL,NULL,NULL,2,1),(28,7234635,0.00,7.00,3.00,4.00,5.00,5.63,1.00,5.00,3.00,303,NULL,NULL,'SAN RAFAEL','IBIPORÃ','PR',12551,474,NULL,NULL,NULL,NULL,NULL,4,1),(28,7234643,3.00,7.00,2.00,5.00,8.00,9.75,3.00,7.00,4.00,339,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',9541,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7234651,3.00,6.00,2.00,3.00,8.00,7.50,2.00,3.00,4.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',10243,467,NULL,691,NULL,NULL,NULL,2,1),(28,7234660,3.00,7.00,2.00,5.00,6.00,11.25,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4906,1480,NULL,NULL,NULL,NULL,NULL,4,4),(28,7234678,1.00,6.00,3.00,5.00,7.00,8.63,4.00,3.00,4.00,103,NULL,NULL,'JARDIM AMERICA','RIO SUL','SC',8988,1996,NULL,NULL,NULL,NULL,NULL,2,24),(28,7234686,4.00,4.00,4.00,5.00,6.00,8.25,1.00,4.00,2.00,324,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16171,15,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234708,1.00,6.00,0.00,4.00,5.00,8.63,3.00,4.00,3.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13048,88,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234716,1.00,4.00,2.00,4.00,5.00,4.88,3.00,3.00,0.00,308,NULL,NULL,'COSTA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234724,1.00,2.00,1.00,2.00,3.00,6.00,1.00,2.00,2.00,309,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',19202,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7234767,2.00,6.00,3.00,5.00,5.00,6.38,4.00,2.00,4.00,428,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11738,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7234775,1.00,4.00,1.00,7.00,5.00,NULL,0.00,4.00,3.00,552,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7234783,0.00,6.00,1.00,7.00,6.00,9.75,6.00,6.00,3.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6722,56,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAMPO DAGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7234805,1.00,3.00,3.00,5.00,2.00,NULL,0.00,4.00,2.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7234813,0.00,4.00,5.00,5.00,5.00,7.88,2.00,2.00,2.00,999,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7234830,4.00,6.00,4.00,4.00,6.00,7.88,2.00,6.00,3.00,9,NULL,NULL,'CENTRO','LAGES','SC',14563,107,NULL,NULL,NULL,NULL,NULL,2,9),(28,7234856,1.00,3.00,2.00,2.00,1.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7234872,1.00,7.00,2.00,7.00,6.00,8.25,2.00,5.00,2.00,110,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',11613,39,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234880,0.00,5.00,3.00,4.00,5.00,8.63,0.00,3.00,2.00,304,NULL,NULL,'JARDIM SANTA JÚLIA','OLÍMPIA','SP',18701,124,NULL,NULL,NULL,NULL,NULL,4,1),(28,7234899,1.00,2.00,3.00,4.00,2.00,NULL,1.00,3.00,1.00,5,NULL,NULL,'NOSS SRA DE LOURDES','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7234902,1.00,7.00,2.00,2.00,8.00,7.50,3.00,5.00,3.00,101,NULL,NULL,'PEREQUE','PTO BELO','SC',11065,53,NULL,NULL,NULL,NULL,NULL,4,3),(28,7234910,2.00,2.00,2.00,0.00,3.00,7.88,3.00,3.00,0.00,339,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',20065,67,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234929,2.00,6.00,2.00,5.00,7.00,8.25,3.00,5.00,3.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9269,108,NULL,NULL,NULL,NULL,NULL,4,1),(28,7234937,1.00,5.00,3.00,6.00,4.00,7.88,1.00,6.00,2.00,212,NULL,213,'VILA LENZI','JARAGUÁ SUL','SC',17813,409,NULL,264,NULL,NULL,NULL,4,23),(28,7234953,2.00,3.00,3.00,5.00,5.00,6.38,1.00,4.00,5.00,104,NULL,NULL,'CENTRO','JOINVILLE','SC',12959,319,NULL,NULL,NULL,NULL,NULL,2,8),(28,7234961,2.00,3.00,2.00,3.00,3.00,5.63,1.00,4.00,2.00,999,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7234970,0.00,3.00,3.00,5.00,6.00,6.75,1.00,4.00,1.00,339,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',16136,34,NULL,NULL,NULL,NULL,NULL,2,1),(28,7234988,0.00,4.00,1.00,2.00,3.00,NULL,0.00,4.00,3.00,552,NULL,NULL,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7235003,0.00,3.00,1.00,2.00,3.00,3.00,1.00,2.00,2.00,424,NULL,427,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235011,2.00,2.00,2.00,5.00,3.00,6.38,2.00,2.00,1.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19802,376,NULL,NULL,NULL,NULL,NULL,2,1),(28,7235020,1.00,5.00,2.00,6.00,6.00,8.25,2.00,4.00,2.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17328,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7235038,3.00,6.00,2.00,6.00,8.00,8.25,2.00,5.00,4.00,304,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',6354,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235046,0.00,4.00,2.00,5.00,3.00,4.50,3.00,4.00,2.00,235,NULL,238,'MORRO DA BINA','BIGUAÇU','SC',17750,275,NULL,309,NULL,NULL,NULL,2,1),(28,7235054,3.00,4.00,2.00,4.00,8.00,NULL,0.00,4.00,2.00,101,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7235062,6.00,8.00,1.00,7.00,10.00,8.25,6.00,8.00,8.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',770,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7235070,0.00,3.00,2.00,1.00,5.00,6.38,2.00,4.00,3.00,425,NULL,423,'JARDIM PINHEIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235089,5.00,6.00,2.00,7.00,8.00,7.88,4.00,4.00,5.00,454,NULL,NULL,'BARREIROS','S JOSÉ','SC',9985,187,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235097,4.00,5.00,2.00,5.00,5.00,7.50,2.00,5.00,3.00,999,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235100,6.00,8.00,5.00,6.00,8.00,7.88,6.00,8.00,6.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',1469,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235119,1.00,4.00,1.00,4.00,4.00,8.63,3.00,4.00,0.00,202,NULL,203,'SÃO FRANCISCO','BRAÇO NORTE','SC',14619,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7235127,3.00,6.00,4.00,5.00,8.00,7.13,2.00,5.00,5.00,429,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',7876,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235135,3.00,6.00,2.00,6.00,6.00,8.63,3.00,4.00,4.00,3,NULL,NULL,'ARMAÇÃO P DO SUL','FLORIANÓPOLIS','SC',10056,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7235143,1.00,4.00,4.00,2.00,7.00,8.25,3.00,5.00,3.00,208,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10901,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7235151,1.00,6.00,1.00,2.00,4.00,7.13,3.00,6.00,4.00,316,NULL,NULL,'ARIRIU','PALHOÇA','SC',17179,242,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235160,4.00,8.00,2.00,7.00,9.00,9.38,5.00,7.00,7.00,201,NULL,212,'CENTRO','GUARAPUAVA','PR',3185,239,NULL,95,NULL,NULL,NULL,4,9),(28,7235178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7235186,2.00,1.00,3.00,6.00,4.00,9.00,2.00,4.00,2.00,501,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',14498,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7235208,2.00,4.00,1.00,3.00,4.00,6.75,1.00,4.00,2.00,103,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',15278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235216,1.00,5.00,1.00,6.00,4.00,8.25,2.00,3.00,3.00,109,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18784,87,NULL,NULL,NULL,NULL,NULL,2,1),(28,7235232,0.00,2.00,2.00,1.00,3.00,NULL,2.00,1.00,3.00,428,NULL,421,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7235240,7.00,6.00,3.00,7.00,9.00,8.63,4.00,8.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',488,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7235259,2.00,6.00,2.00,7.00,7.00,9.75,5.00,4.00,3.00,201,NULL,601,'CENTRO','NOVA AURORA','PR',11092,726,NULL,NULL,NULL,NULL,NULL,4,4),(28,7235267,4.00,8.00,1.00,6.00,10.00,6.38,6.00,8.00,6.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',2446,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235275,4.00,6.00,3.00,5.00,7.00,9.38,1.00,5.00,4.00,319,NULL,NULL,'DEHON','TUBARÃO','SC',7030,112,NULL,NULL,NULL,NULL,NULL,4,10),(28,7235283,0.00,3.00,3.00,2.00,2.00,NULL,0.00,2.00,0.00,308,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235291,2.00,7.00,2.00,6.00,5.00,9.00,3.00,4.00,2.00,999,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7235305,0.00,3.00,3.00,5.00,4.00,NULL,2.00,1.00,2.00,207,NULL,201,'SERTÃO DO IMARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7235313,4.00,8.00,3.00,6.00,9.00,11.25,3.00,5.00,5.00,201,NULL,202,'SÃO LUIZ','S JOSÉ','SC',2926,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7235348,1.00,4.00,1.00,5.00,4.00,6.00,1.00,1.00,2.00,316,NULL,NULL,'CASTELO BRANCO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7235364,0.00,1.00,0.00,4.00,4.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7235372,2.00,2.00,1.00,5.00,3.00,6.00,2.00,0.00,2.00,109,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',19133,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7235380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BOTAFOGO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7235402,3.00,6.00,3.00,6.00,8.00,8.25,3.00,3.00,5.00,238,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',8224,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(28,7235429,2.00,7.00,2.00,6.00,5.00,10.50,3.00,8.00,1.00,222,NULL,NULL,'VILA ROCHA','RIO VERDE','GO',7496,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235437,3.00,7.00,3.00,7.00,7.00,9.00,5.00,6.00,2.00,303,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',5117,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235445,1.00,6.00,1.00,6.00,6.00,7.50,0.00,3.00,2.00,303,NULL,NULL,'CENTRO','AURORA','SC',15973,546,NULL,NULL,NULL,NULL,NULL,2,24),(28,7235461,0.00,2.00,1.00,2.00,6.00,7.50,1.00,3.00,1.00,308,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18496,70,NULL,NULL,NULL,NULL,NULL,2,1),(28,7235488,1.00,5.00,1.00,5.00,4.00,8.25,2.00,4.00,6.00,216,NULL,215,'VILA VERDE','S PAULO','SP',15339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235496,2.00,4.00,1.00,4.00,5.00,5.25,3.00,3.00,1.00,425,NULL,429,'COSTEIRA','FLORIANÓPOLIS','SC',16872,60,NULL,39,NULL,NULL,NULL,4,1),(28,7235500,0.00,5.00,3.00,3.00,5.00,7.88,0.00,4.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19427,2516,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7235526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7235534,1.00,6.00,2.00,1.00,5.00,7.13,2.00,3.00,3.00,999,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235569,4.00,8.00,5.00,7.00,8.00,12.00,5.00,7.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1423,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235577,1.00,6.00,2.00,6.00,7.00,7.88,2.00,3.00,3.00,317,NULL,NULL,'PARQUE SAO JORGE','FLORIANÓPOLIS','SC',9551,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235585,1.00,3.00,1.00,6.00,3.00,6.75,1.00,1.00,1.00,207,NULL,238,'PANTANAL','FLORIANÓPOLIS','SC',17363,748,NULL,300,NULL,NULL,NULL,2,1),(28,7235593,4.00,6.00,2.00,5.00,7.00,6.38,3.00,7.00,4.00,9,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',11191,67,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235607,2.00,3.00,1.00,6.00,4.00,9.00,3.00,3.00,3.00,207,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',15305,672,NULL,NULL,NULL,NULL,NULL,2,26),(28,7235615,1.00,5.00,2.00,4.00,6.00,7.50,1.00,5.00,3.00,601,NULL,653,'CENTRO','NOVA TRENTO','SC',14273,425,NULL,NULL,NULL,NULL,NULL,2,1),(28,7235623,5.00,8.00,5.00,7.00,3.00,9.75,5.00,5.00,5.00,203,NULL,214,'VILA SOFIA','S PAULO','SP',2822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7235658,7.00,9.00,5.00,7.00,7.00,7.88,6.00,7.00,7.00,203,NULL,201,'JARDIM CORDEIRO','S PAULO','SP',473,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'GRAMACHO','DQ CAXIAS','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7235682,2.00,5.00,0.00,3.00,6.00,7.50,3.00,5.00,4.00,3,NULL,NULL,'SANGA DA AREIA','ARARANGUÁ','SC',10076,38,NULL,NULL,NULL,NULL,NULL,2,15),(28,7235690,3.00,6.00,8.00,7.00,8.00,7.13,7.00,1.00,4.00,213,NULL,NULL,'SUDOESTE','CRUZEIRO','DF',3400,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PARQUE PRESIDENTE I','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7235712,2.00,8.00,4.00,3.00,6.00,6.75,4.00,6.00,2.00,235,NULL,202,'ÁGUA VERDE','JARAGUÁ SUL','SC',14705,235,NULL,339,NULL,NULL,NULL,4,23),(28,7235720,0.00,2.00,1.00,2.00,0.00,NULL,3.00,1.00,2.00,303,NULL,NULL,'JARDIM LOS ANGELES','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235747,3.00,4.00,2.00,4.00,4.00,7.13,3.00,4.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18618,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7235755,2.00,3.00,1.00,4.00,1.00,NULL,1.00,4.00,1.00,454,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7235763,1.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,551,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7235771,6.00,7.00,3.00,7.00,8.00,9.75,3.00,5.00,4.00,999,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235780,5.00,6.00,1.00,6.00,5.00,10.13,3.00,6.00,4.00,110,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',6579,11,NULL,NULL,NULL,NULL,NULL,4,2),(28,7235798,5.00,7.00,4.00,7.00,8.00,9.38,4.00,6.00,5.00,103,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',3936,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235810,2.00,6.00,4.00,6.00,4.00,7.13,3.00,3.00,1.00,103,NULL,NULL,'TROPICAL','CASCAVEL','PR',10736,2121,NULL,NULL,NULL,NULL,NULL,4,3),(28,7235828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7235836,3.00,5.00,2.00,4.00,4.00,8.25,0.00,2.00,2.00,108,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7235844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7235852,2.00,2.00,2.00,3.00,2.00,NULL,2.00,4.00,2.00,203,NULL,201,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7235860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7235879,5.00,9.00,4.00,8.00,7.00,7.88,5.00,6.00,5.00,103,NULL,NULL,'ALVORADA','CONTAGEM','MG',1926,867,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235895,2.00,6.00,3.00,6.00,7.00,6.00,3.00,5.00,4.00,103,NULL,NULL,'PROGRESSO','BLUMENAU','SC',13931,2295,NULL,NULL,NULL,NULL,NULL,4,2),(28,7235917,5.00,6.00,2.00,4.00,9.00,9.75,3.00,3.00,5.00,201,NULL,203,'FAZENDA DE LOURDES','ÁGUAS MORNAS','SC',6373,489,NULL,408,NULL,NULL,NULL,4,1),(28,7235925,3.00,5.00,1.00,5.00,5.00,8.25,2.00,4.00,2.00,201,NULL,207,'CENTRO','S BERNARDINO','SC',11061,723,NULL,510,NULL,NULL,NULL,2,27),(28,7235933,1.00,3.00,2.00,1.00,3.00,7.88,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','LEOBERTO LEAL','SC',16593,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7235941,4.00,5.00,2.00,6.00,7.00,6.75,2.00,2.00,3.00,429,NULL,425,'FAZENDA SANTO ANTÔNI','S JOSÉ','SC',10733,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7235950,3.00,5.00,4.00,6.00,8.00,7.13,5.00,6.00,5.00,201,NULL,212,'BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC',4988,384,NULL,161,NULL,NULL,NULL,4,1),(28,7235968,4.00,8.00,1.00,4.00,6.00,9.00,4.00,7.00,3.00,202,NULL,235,'VILA RICA','CRICIÚMA','SC',9502,245,NULL,154,NULL,NULL,NULL,2,5),(28,7235976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,213,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7235984,3.00,4.00,3.00,4.00,2.00,NULL,2.00,2.00,2.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7235992,6.00,8.00,3.00,6.00,7.00,10.13,4.00,8.00,7.00,103,NULL,NULL,'JARDIM FLORENÇA','LIMEIRA','SP',911,512,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'VILA NOVA','MATELÂNDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7236018,3.00,6.00,5.00,5.00,4.00,6.75,2.00,4.00,1.00,454,NULL,NULL,'CAMPINAS','S JOSÉ','SC',17374,354,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236042,3.00,6.00,0.00,4.00,5.00,6.00,3.00,6.00,1.00,110,NULL,NULL,'FUNDOS','BIGUAÇU','SC',13741,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236050,1.00,5.00,4.00,5.00,6.00,6.75,1.00,4.00,5.00,212,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',12594,347,NULL,213,NULL,NULL,NULL,4,1),(28,7236077,3.00,6.00,2.00,5.00,6.00,9.00,2.00,5.00,2.00,5,NULL,NULL,'UBERABA','CURITIBA','PR',10460,307,NULL,NULL,NULL,NULL,NULL,2,4),(28,7236093,4.00,6.00,4.00,7.00,6.00,7.13,3.00,5.00,3.00,108,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',9205,121,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236107,1.00,5.00,2.00,5.00,7.00,7.88,1.00,4.00,4.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15898,308,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7236131,0.00,5.00,2.00,1.00,4.00,NULL,3.00,5.00,0.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7236140,1.00,5.00,1.00,2.00,4.00,6.38,2.00,2.00,3.00,216,NULL,NULL,'CENTRO','TUBARÃO','SC',19799,455,NULL,NULL,NULL,NULL,NULL,4,10),(28,7236158,5.00,7.00,4.00,5.00,9.00,8.25,4.00,6.00,7.00,202,NULL,601,'ATIRADORES','JOINVILLE','SC',1630,40,NULL,NULL,NULL,NULL,NULL,4,8),(28,7236166,4.00,6.00,2.00,5.00,4.00,4.50,3.00,4.00,4.00,108,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',13208,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7236174,1.00,7.00,1.00,5.00,5.00,7.88,1.00,3.00,1.00,425,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',18311,70,NULL,NULL,NULL,NULL,NULL,4,6),(28,7236182,1.00,5.00,1.00,3.00,7.00,9.75,3.00,3.00,3.00,104,NULL,NULL,'IRIRÍU','JOINVILLE','SC',11536,284,NULL,NULL,NULL,NULL,NULL,4,8),(28,7236190,3.00,6.00,3.00,4.00,8.00,7.50,3.00,4.00,6.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10385,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236204,5.00,6.00,3.00,6.00,6.00,7.50,5.00,6.00,6.00,108,NULL,NULL,'CIDADE UNIVERSITÁRIA','PALHOÇA','SC',5336,63,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236212,3.00,6.00,4.00,4.00,6.00,8.63,5.00,4.00,5.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6704,106,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236220,3.00,5.00,1.00,3.00,5.00,8.25,1.00,2.00,3.00,999,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7236239,3.00,6.00,3.00,3.00,6.00,10.50,3.00,3.00,4.00,216,NULL,235,'FUNDOS','BIGUAÇU','SC',9159,298,NULL,149,NULL,NULL,NULL,4,1),(28,7236247,1.00,4.00,1.00,7.00,8.00,7.13,3.00,4.00,0.00,104,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',15397,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7236255,3.00,4.00,2.00,5.00,4.00,8.63,1.00,2.00,1.00,425,NULL,429,'CENTRO','CAMPOS NOVOS','SC',15656,NULL,NULL,29,NULL,NULL,NULL,4,7),(28,7236263,2.00,5.00,2.00,6.00,5.00,NULL,0.00,1.00,3.00,212,NULL,233,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7236271,4.00,6.00,1.00,6.00,6.00,6.00,3.00,6.00,5.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',8376,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7236280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'URBANOVA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7236298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7236301,3.00,7.00,4.00,5.00,6.00,6.38,5.00,6.00,4.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',5996,122,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236310,1.00,6.00,2.00,5.00,8.00,8.63,1.00,4.00,3.00,207,NULL,201,'INTERIOR','PASSOS MAIA','SC',11123,517,NULL,732,NULL,NULL,NULL,2,26),(28,7236328,2.00,4.00,3.00,6.00,2.00,NULL,3.00,5.00,2.00,203,NULL,235,'ALVORADA','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7236336,3.00,6.00,3.00,6.00,6.00,10.88,3.00,5.00,5.00,655,NULL,201,'JARDINS FLORENÇA','GOIÂNIA','GO',4870,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236344,1.00,7.00,2.00,6.00,8.00,7.50,3.00,5.00,2.00,220,NULL,203,'ESPLANADA','CHAPECÓ','SC',14785,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7236379,0.00,5.00,0.00,2.00,6.00,9.00,1.00,3.00,4.00,3,NULL,NULL,'JARDIM BANDEIRA','S JOAQUIM','SC',14233,68,NULL,NULL,NULL,NULL,NULL,4,5),(28,7236387,3.00,5.00,3.00,6.00,2.00,NULL,1.00,3.00,2.00,5,NULL,NULL,'PRIMAVEIRA','FREDERICO WESTPHALEN','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7236409,5.00,6.00,3.00,5.00,5.00,7.13,4.00,6.00,3.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236417,3.00,7.00,1.00,4.00,5.00,7.88,3.00,5.00,2.00,308,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',16626,41,NULL,NULL,NULL,NULL,NULL,2,1),(28,7236425,4.00,6.00,1.00,7.00,9.00,10.13,4.00,6.00,5.00,450,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3291,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236433,4.00,6.00,1.00,8.00,8.00,9.38,2.00,6.00,5.00,415,NULL,NULL,'ARIRIBÁ','BAL CAMBORIÚ','SC',5401,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7236441,6.00,9.00,4.00,7.00,10.00,9.00,5.00,7.00,6.00,203,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',650,62,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236450,2.00,4.00,1.00,5.00,3.00,7.88,3.00,3.00,4.00,238,NULL,202,'PASSA VINTE','PALHOÇA','SC',18315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236468,2.00,6.00,1.00,4.00,9.00,8.63,5.00,4.00,3.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',8305,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7236492,4.00,6.00,2.00,4.00,8.00,10.13,2.00,4.00,4.00,102,NULL,NULL,'GUIOMAR DE FORA','ANTÔNIO CARLOS','SC',8002,60,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236506,1.00,8.00,3.00,7.00,4.00,4.88,3.00,4.00,3.00,999,NULL,NULL,'CARBONI','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236530,4.00,8.00,2.00,7.00,10.00,7.13,3.00,6.00,7.00,340,NULL,NULL,'MONT SERRAT','PTO ALEGRE','RS',1917,35,NULL,NULL,NULL,NULL,NULL,3,15),(28,7236549,6.00,7.00,3.00,7.00,7.00,7.88,6.00,7.00,7.00,201,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',2086,144,NULL,19,NULL,NULL,NULL,2,1),(28,7236557,0.00,4.00,2.00,4.00,5.00,4.50,1.00,2.00,1.00,309,NULL,NULL,'RES DOS GIRASSOOIS','LIMEIRA','SP',17769,48,NULL,NULL,NULL,NULL,NULL,4,8),(28,7236565,0.00,3.00,1.00,2.00,5.00,6.75,0.00,1.00,1.00,212,NULL,213,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236573,0.00,4.00,1.00,2.00,1.00,NULL,2.00,1.00,1.00,201,NULL,212,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236590,1.00,4.00,5.00,1.00,2.00,NULL,1.00,6.00,2.00,601,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7236603,3.00,4.00,1.00,7.00,5.00,6.00,2.00,6.00,2.00,999,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7236620,5.00,7.00,2.00,6.00,10.00,8.63,4.00,5.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2838,98,NULL,NULL,NULL,NULL,NULL,3,1),(28,7236638,0.00,4.00,2.00,2.00,4.00,7.88,2.00,3.00,2.00,454,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',19853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236646,4.00,8.00,2.00,3.00,6.00,7.88,4.00,8.00,3.00,103,NULL,NULL,'LESTE UNIVERSITARIO','GOIÂNIA','GO',6382,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7236654,5.00,4.00,3.00,6.00,7.00,6.00,5.00,5.00,3.00,331,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10181,18,NULL,NULL,NULL,NULL,NULL,2,1),(28,7236662,5.00,6.00,3.00,6.00,6.00,7.50,5.00,3.00,6.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',5869,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7236689,3.00,7.00,4.00,7.00,8.00,6.00,4.00,4.00,4.00,316,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',7701,64,NULL,NULL,NULL,NULL,NULL,2,1),(28,7236697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,601,'CIRO NARDI','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7236700,4.00,6.00,4.00,6.00,8.00,7.88,4.00,6.00,3.00,216,NULL,211,'RIO MAINA','CRICIÚMA','SC',4734,183,NULL,115,NULL,NULL,NULL,2,5),(28,7236727,0.00,5.00,0.00,1.00,2.00,NULL,3.00,3.00,0.00,202,NULL,213,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7236751,7.00,6.00,5.00,6.00,9.00,10.50,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',874,497,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236760,3.00,8.00,2.00,6.00,6.00,6.38,3.00,4.00,3.00,428,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',10014,15,NULL,NULL,NULL,NULL,NULL,2,1),(28,7236778,1.00,6.00,2.00,5.00,5.00,7.13,1.00,4.00,2.00,103,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',14063,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7236786,4.00,6.00,1.00,4.00,3.00,5.25,4.00,6.00,3.00,999,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236794,3.00,7.00,5.00,7.00,4.00,6.00,5.00,5.00,3.00,235,NULL,601,'CENTRO','CAPINZAL','SC',12821,205,NULL,NULL,NULL,NULL,NULL,4,7),(28,7236808,6.00,7.00,6.00,5.00,7.00,9.75,4.00,4.00,7.00,214,NULL,212,'VILA AVIAÇÃO','BAURU','SP',1748,53,NULL,19,NULL,NULL,NULL,4,1),(28,7236824,0.00,7.00,3.00,4.00,5.00,NULL,2.00,6.00,3.00,201,NULL,212,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7236832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7236840,1.00,3.00,4.00,0.00,4.00,NULL,1.00,2.00,0.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236859,6.00,7.00,4.00,7.00,9.00,7.13,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','TURVO','SC',3702,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7236867,3.00,7.00,0.00,5.00,8.00,9.38,3.00,4.00,5.00,108,NULL,NULL,'COHAB B','GRAVATAÍ','RS',9029,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7236875,3.00,3.00,2.00,5.00,4.00,6.75,2.00,2.00,3.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16453,131,NULL,NULL,NULL,NULL,NULL,2,1),(28,7236883,4.00,7.00,3.00,6.00,6.00,10.50,5.00,6.00,2.00,999,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236891,5.00,6.00,3.00,5.00,8.00,8.63,5.00,6.00,5.00,316,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6026,44,NULL,NULL,NULL,NULL,NULL,2,1),(28,7236913,1.00,5.00,2.00,1.00,3.00,3.00,2.00,3.00,3.00,303,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7236921,4.00,7.00,3.00,7.00,9.00,9.00,4.00,7.00,4.00,415,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',3966,58,NULL,NULL,NULL,NULL,NULL,4,23),(28,7236930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'INTERIOR','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7236956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'PORTINHO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7236964,3.00,6.00,1.00,5.00,5.00,6.00,3.00,5.00,4.00,454,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',10632,204,NULL,NULL,NULL,NULL,NULL,4,4),(28,7236972,1.00,5.00,2.00,5.00,6.00,9.38,2.00,6.00,4.00,103,NULL,NULL,'DO SALTO','BLUMENAU','SC',11697,2186,NULL,NULL,NULL,NULL,NULL,4,2),(28,7236999,0.00,3.00,0.00,3.00,4.00,NULL,0.00,3.00,4.00,404,NULL,NULL,'TRÊS RIACHOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237006,0.00,3.00,1.00,5.00,3.00,NULL,1.00,3.00,2.00,207,NULL,212,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237030,0.00,6.00,1.00,5.00,5.00,7.13,1.00,4.00,2.00,101,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7237065,1.00,6.00,3.00,6.00,7.00,10.13,2.00,4.00,3.00,601,NULL,220,'AVENTUREIRO','JOINVILLE','SC',15044,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7237073,2.00,5.00,3.00,7.00,3.00,7.88,1.00,3.00,3.00,404,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11736,13,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237081,3.00,4.00,2.00,5.00,3.00,4.50,2.00,5.00,4.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237090,3.00,5.00,1.00,6.00,7.00,9.75,3.00,4.00,3.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',7615,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237103,4.00,5.00,2.00,5.00,7.00,7.88,2.00,5.00,5.00,301,NULL,NULL,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',9002,103,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237111,0.00,2.00,2.00,3.00,3.00,NULL,2.00,2.00,3.00,324,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237120,1.00,5.00,2.00,7.00,8.00,5.25,2.00,4.00,3.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12542,230,NULL,NULL,NULL,NULL,NULL,4,1),(28,7237138,0.00,3.00,1.00,5.00,4.00,4.50,3.00,2.00,3.00,201,NULL,212,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237146,2.00,6.00,1.00,6.00,6.00,8.25,2.00,5.00,3.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',10584,429,NULL,NULL,NULL,NULL,NULL,4,1),(28,7237154,2.00,8.00,3.00,4.00,6.00,6.75,3.00,6.00,3.00,201,NULL,216,'BARREIROS','S JOSÉ','SC',12931,828,NULL,368,NULL,NULL,NULL,4,1),(28,7237162,1.00,2.00,1.00,6.00,4.00,8.63,1.00,3.00,4.00,429,NULL,425,'MORRO DA BOA VISTA','BIGUAÇU','SC',19108,44,NULL,78,NULL,NULL,NULL,2,1),(28,7237170,1.00,7.00,0.00,2.00,5.00,7.50,2.00,2.00,1.00,207,NULL,201,'BELA VISTA','S JOSÉ','SC',16866,728,NULL,958,NULL,NULL,NULL,4,1),(28,7237189,1.00,4.00,3.00,6.00,7.00,7.50,2.00,3.00,4.00,103,NULL,NULL,'SÃO JORGE','XANXERÊ','SC',11427,2163,NULL,NULL,NULL,NULL,NULL,2,4),(28,7237197,0.00,4.00,2.00,6.00,5.00,6.38,2.00,6.00,2.00,337,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',18341,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237227,6.00,8.00,3.00,7.00,8.00,7.88,4.00,5.00,3.00,108,NULL,NULL,'AMÉRICA','JOINVILLE','SC',4864,54,NULL,NULL,NULL,NULL,NULL,4,8),(28,7237235,2.00,5.00,1.00,5.00,4.00,5.25,3.00,1.00,3.00,309,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19348,66,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237243,0.00,6.00,2.00,7.00,6.00,9.00,3.00,5.00,3.00,207,NULL,212,'RIO CAVEIRAS','BIGUAÇU','SC',10171,464,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237260,1.00,3.00,1.00,2.00,7.00,10.13,2.00,1.00,4.00,220,NULL,201,'CENTRO','CONCÓRDIA','SC',18763,340,NULL,NULL,NULL,NULL,NULL,2,26),(28,7237286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS PALMEIRAS','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7237294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','APUCARANA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7237308,2.00,5.00,3.00,6.00,6.00,7.13,4.00,5.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14579,284,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237316,1.00,7.00,1.00,4.00,3.00,NULL,1.00,4.00,2.00,318,NULL,NULL,'CIDADE FLORIANÓPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7237324,1.00,6.00,2.00,5.00,5.00,NULL,2.00,4.00,1.00,108,NULL,NULL,'ANTONINA','S GONÇALO','RJ',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7237332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'TINGUI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7237340,3.00,7.00,1.00,4.00,5.00,8.63,3.00,7.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7237359,0.00,4.00,1.00,2.00,4.00,NULL,2.00,3.00,0.00,201,NULL,203,'INDUSTRIAL','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7237367,3.00,4.00,2.00,2.00,3.00,6.00,2.00,5.00,1.00,444,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19472,140,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237375,3.00,6.00,2.00,5.00,2.00,NULL,2.00,4.00,2.00,320,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7237383,1.00,2.00,0.00,1.00,2.00,NULL,1.00,4.00,1.00,339,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237391,2.00,5.00,1.00,4.00,4.00,5.25,4.00,3.00,3.00,501,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15263,95,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237405,3.00,6.00,0.00,7.00,4.00,6.75,0.00,2.00,4.00,214,NULL,203,'CASTELINHO','PIRACICABA','SP',11710,280,NULL,NULL,NULL,NULL,NULL,4,1),(28,7237413,7.00,7.00,3.00,6.00,8.00,9.75,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','MONDAÍ','SC',1769,824,NULL,NULL,NULL,NULL,NULL,4,4),(28,7237421,3.00,7.00,4.00,7.00,7.00,9.00,2.00,5.00,5.00,336,NULL,NULL,'ROÇADO','S JOSÉ','SC',4910,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7237430,5.00,7.00,4.00,6.00,8.00,11.25,6.00,6.00,6.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',3697,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7237448,2.00,3.00,3.00,6.00,5.00,5.63,1.00,4.00,2.00,238,NULL,215,'SÃO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237456,2.00,6.00,2.00,3.00,3.00,8.25,5.00,3.00,4.00,203,NULL,220,'PRAIA COMPRIDA','S JOSÉ','SC',17271,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7237464,1.00,4.00,0.00,5.00,4.00,8.63,1.00,5.00,0.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16319,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237472,5.00,8.00,4.00,8.00,9.00,7.88,5.00,6.00,5.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',5061,168,NULL,NULL,NULL,NULL,NULL,4,1),(28,7237480,0.00,5.00,3.00,4.00,4.00,8.25,3.00,6.00,2.00,207,NULL,211,'IBIRAQUERA','IMBITUBA','SC',13332,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237499,5.00,7.00,4.00,5.00,9.00,8.63,4.00,5.00,4.00,104,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',8309,196,NULL,NULL,NULL,NULL,NULL,4,1),(28,7237502,6.00,7.00,3.00,6.00,9.00,10.50,4.00,6.00,7.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'MEDITERRANEO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7237529,5.00,7.00,2.00,6.00,4.00,6.00,3.00,4.00,2.00,652,NULL,653,'S LUIZ','SOMBRIO','SC',10868,26,NULL,NULL,NULL,NULL,NULL,4,15),(28,7237545,1.00,1.00,2.00,3.00,5.00,7.13,0.00,5.00,4.00,9,NULL,NULL,'JARDIM BELA VISTA','BAURU','SP',15072,112,NULL,NULL,NULL,NULL,NULL,4,1),(28,7237553,2.00,5.00,3.00,3.00,5.00,6.00,1.00,4.00,3.00,201,NULL,207,'COQUEIROS','FLORIANÓPOLIS','SC',18234,1001,NULL,773,NULL,NULL,NULL,2,1),(28,7237561,0.00,5.00,2.00,8.00,5.00,10.50,1.00,3.00,2.00,450,NULL,NULL,'CENTRO','GAROPABA','SC',17278,125,NULL,NULL,NULL,NULL,NULL,4,1),(28,7237570,2.00,4.00,3.00,2.00,3.00,9.00,2.00,3.00,1.00,319,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',19330,371,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237596,1.00,5.00,0.00,6.00,6.00,5.63,1.00,4.00,2.00,318,NULL,NULL,'JARDIM PRAIA MAR','ITAPEMA','SC',14729,105,NULL,NULL,NULL,NULL,NULL,4,6),(28,7237600,1.00,7.00,0.00,7.00,6.00,NULL,1.00,6.00,1.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7237618,0.00,4.00,1.00,5.00,2.00,NULL,3.00,3.00,2.00,309,NULL,NULL,'MATO QUEIMADO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7237626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,215,'INTERIOR','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7237634,1.00,2.00,0.00,2.00,3.00,6.00,2.00,3.00,2.00,208,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',20112,224,NULL,NULL,NULL,NULL,NULL,4,1),(28,7237642,3.00,4.00,3.00,2.00,4.00,7.50,1.00,3.00,2.00,216,NULL,215,'SERRARIA','S JOSÉ','SC',16126,421,NULL,260,NULL,NULL,NULL,4,1),(28,7237650,3.00,4.00,0.00,6.00,4.00,7.88,3.00,6.00,4.00,652,NULL,NULL,'ALTO FELIZ','ARARANGUÁ','SC',16755,72,NULL,NULL,NULL,NULL,NULL,2,15),(28,7237669,1.00,5.00,1.00,6.00,4.00,8.25,4.00,5.00,2.00,208,NULL,NULL,'FIGUEIRA','GASPAR','SC',12023,134,NULL,NULL,NULL,NULL,NULL,4,2),(28,7237677,1.00,4.00,3.00,3.00,3.00,6.75,1.00,4.00,2.00,103,NULL,NULL,'BRASÍLIA','S BENTO SUL','SC',17325,2451,NULL,NULL,NULL,NULL,NULL,2,2),(28,7237693,2.00,7.00,2.00,6.00,9.00,7.88,2.00,4.00,5.00,201,NULL,207,'INDUSTRIAL','SEARA','SC',7614,558,NULL,346,NULL,NULL,NULL,4,26),(28,7237715,0.00,4.00,2.00,1.00,2.00,NULL,0.00,4.00,3.00,415,NULL,NULL,'VÍGOLO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7237731,3.00,7.00,3.00,6.00,8.00,8.25,2.00,6.00,4.00,101,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',8908,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7237766,4.00,7.00,2.00,5.00,6.00,8.25,2.00,5.00,5.00,238,NULL,211,'BARRA DO ARIRIÚ','PALHOÇA','SC',10107,141,NULL,276,NULL,NULL,NULL,2,1),(28,7237774,1.00,2.00,2.00,3.00,7.00,8.63,2.00,4.00,1.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15821,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7237782,6.00,8.00,4.00,7.00,9.00,10.13,5.00,8.00,6.00,202,NULL,235,'CENTRO','BAL CAMBORIÚ','SC',754,11,NULL,NULL,NULL,NULL,NULL,4,3),(28,7237790,1.00,7.00,2.00,7.00,7.00,8.63,2.00,3.00,5.00,303,NULL,NULL,'AMÉRICA','JOINVILLE','SC',13722,507,NULL,NULL,NULL,NULL,NULL,4,8),(28,7237812,4.00,7.00,3.00,6.00,8.00,11.25,5.00,8.00,7.00,103,NULL,NULL,'CENTRO','MELEIRO','SC',980,542,NULL,NULL,NULL,NULL,NULL,4,15),(28,7237820,3.00,6.00,1.00,6.00,8.00,8.63,4.00,4.00,1.00,5,NULL,NULL,'CENTRO','LAGUNA','SC',8962,276,NULL,NULL,NULL,NULL,NULL,2,10),(28,7237839,6.00,8.00,3.00,7.00,8.00,9.00,7.00,7.00,7.00,103,NULL,NULL,'JOAPIRAMGA','VALINHOS','SP',699,428,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237847,0.00,6.00,1.00,6.00,6.00,6.75,1.00,6.00,1.00,332,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',14889,22,NULL,NULL,NULL,NULL,NULL,2,6),(28,7237855,3.00,5.00,2.00,6.00,1.00,NULL,2.00,4.00,4.00,601,NULL,211,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7237863,2.00,6.00,1.00,5.00,2.00,NULL,1.00,5.00,3.00,216,NULL,201,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7237871,1.00,7.00,2.00,6.00,6.00,7.50,0.00,5.00,2.00,103,NULL,NULL,'GUAIUBA','IMBITUBA','SC',12140,2210,NULL,NULL,NULL,NULL,NULL,5,1),(28,7237880,4.00,6.00,4.00,6.00,6.00,NULL,4.00,5.00,1.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7237898,5.00,7.00,4.00,4.00,7.00,10.50,4.00,5.00,6.00,318,NULL,NULL,'CENTRO','S JOAQUIM','SC',5098,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7237910,0.00,6.00,1.00,7.00,6.00,9.75,1.00,4.00,0.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16701,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7237928,3.00,5.00,2.00,6.00,6.00,6.38,2.00,5.00,3.00,5,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',15807,428,NULL,NULL,NULL,NULL,NULL,2,1),(28,7237936,5.00,4.00,2.00,2.00,6.00,6.75,2.00,4.00,3.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',18421,175,NULL,NULL,NULL,NULL,NULL,4,1),(28,7237944,3.00,7.00,3.00,6.00,9.00,9.75,5.00,5.00,3.00,216,NULL,211,'SÃO VICENTE','HERVAL D OESTE','SC',3239,116,NULL,70,NULL,NULL,NULL,4,7),(28,7237952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7237960,5.00,8.00,3.00,7.00,8.00,8.25,5.00,7.00,7.00,203,NULL,201,'PINDORAMA','IJUÍ','RS',1229,115,NULL,68,NULL,NULL,NULL,4,1),(28,7237979,0.00,2.00,2.00,2.00,2.00,NULL,4.00,2.00,4.00,201,NULL,NULL,'CENTRO','IBIÚNA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7237987,2.00,5.00,1.00,2.00,4.00,5.63,2.00,3.00,1.00,653,NULL,655,'SANTA BARBARA','CRICIÚMA','SC',19833,220,NULL,141,NULL,NULL,NULL,4,5),(28,7237995,2.00,4.00,0.00,4.00,4.00,9.00,2.00,3.00,2.00,104,NULL,NULL,'RAICHASKI','IÇARA','SC',13301,328,NULL,NULL,NULL,NULL,NULL,4,5),(28,7238002,3.00,6.00,3.00,5.00,6.00,8.63,1.00,7.00,2.00,103,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',8846,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7238010,0.00,3.00,2.00,5.00,4.00,6.38,2.00,3.00,1.00,102,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',16678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7238037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7238045,4.00,6.00,3.00,6.00,6.00,7.13,1.00,4.00,3.00,207,NULL,601,'CANOAS','RIO SUL','SC',9446,441,NULL,250,NULL,NULL,NULL,2,24),(28,7238061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE ONGARO','SUMARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7238070,2.00,5.00,2.00,5.00,7.00,6.38,1.00,4.00,4.00,208,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',13987,155,NULL,NULL,NULL,NULL,NULL,2,1),(28,7238096,1.00,3.00,4.00,3.00,5.00,5.63,3.00,4.00,2.00,451,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',16341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238100,0.00,5.00,1.00,5.00,4.00,6.38,1.00,4.00,2.00,103,NULL,NULL,'FORTALEZA','BLUMENAU','SC',19036,2500,NULL,NULL,NULL,NULL,NULL,4,2),(28,7238118,4.00,5.00,1.00,1.00,7.00,7.50,2.00,6.00,6.00,201,NULL,207,'CARAVÁGIO','LAGES','SC',9188,638,NULL,426,NULL,NULL,NULL,4,9),(28,7238126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7238134,7.00,8.00,4.00,7.00,9.00,10.88,5.00,7.00,7.00,203,NULL,214,'ATIRADORES','JOINVILLE','SC',373,35,NULL,NULL,NULL,NULL,NULL,4,8),(28,7238142,3.00,7.00,4.00,7.00,9.00,9.38,3.00,5.00,4.00,425,NULL,426,'RIO GRANDE','PALHOÇA','SC',5146,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238150,7.00,7.00,6.00,7.00,9.00,9.38,6.00,7.00,6.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',413,295,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238169,7.00,9.00,6.00,7.00,11.00,9.75,7.00,8.00,7.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',106,86,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238185,7.00,8.00,7.00,6.00,8.00,9.75,6.00,6.00,8.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',201,158,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238193,4.00,9.00,3.00,6.00,8.00,8.25,5.00,7.00,6.00,2,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',1513,2,NULL,NULL,NULL,NULL,NULL,4,2),(28,7238207,1.00,3.00,1.00,4.00,3.00,5.25,3.00,3.00,2.00,201,NULL,207,'SAMBAQUI','FLORIANÓPOLIS','SC',19959,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7238215,5.00,7.00,5.00,7.00,7.00,9.00,3.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1086,593,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE BELA VISTA','VOTORANTIM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7238231,1.00,5.00,1.00,3.00,3.00,3.00,1.00,3.00,2.00,999,NULL,NULL,'SITÍO DEDENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238240,5.00,8.00,5.00,6.00,6.00,10.50,3.00,8.00,6.00,999,NULL,NULL,'CENTRO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7238258,6.00,7.00,2.00,6.00,8.00,8.25,6.00,5.00,4.00,103,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',4041,1330,NULL,NULL,NULL,NULL,NULL,2,2),(28,7238266,6.00,3.00,1.00,7.00,8.00,9.38,2.00,2.00,2.00,235,NULL,238,'COLONINHA','FLORIANÓPOLIS','SC',10190,166,NULL,146,NULL,NULL,NULL,2,1),(28,7238274,3.00,5.00,2.00,6.00,4.00,11.63,2.00,5.00,3.00,552,NULL,NULL,'CENTRO','CASCAVEL','PR',14706,93,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238282,3.00,6.00,2.00,5.00,7.00,6.38,0.00,5.00,2.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',17474,337,NULL,NULL,NULL,NULL,NULL,2,1),(28,7238290,0.00,3.00,2.00,2.00,5.00,NULL,2.00,3.00,1.00,101,NULL,NULL,'BARRO VERMELHO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7238312,6.00,8.00,3.00,7.00,10.00,7.88,5.00,7.00,7.00,207,NULL,211,'CENTRO','STA ROSA SUL','SC',1684,50,NULL,NULL,NULL,NULL,NULL,2,15),(28,7238320,2.00,5.00,1.00,5.00,6.00,6.38,4.00,4.00,5.00,103,NULL,NULL,'JARDIM ANGÉLICA','CRICIÚMA','SC',9705,2052,NULL,NULL,NULL,NULL,NULL,4,5),(28,7238339,1.00,6.00,1.00,3.00,6.00,8.25,3.00,3.00,1.00,103,NULL,NULL,'GUAIUBA','IMBITUBA','SC',18269,2481,NULL,NULL,NULL,NULL,NULL,4,10),(28,7238347,0.00,5.00,0.00,2.00,0.00,NULL,1.00,2.00,1.00,224,NULL,NULL,'FORQUILHA DO CEDRO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7238355,1.00,5.00,1.00,7.00,4.00,9.38,4.00,5.00,2.00,103,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',15895,2398,NULL,NULL,NULL,NULL,NULL,2,1),(28,7238371,0.00,3.00,0.00,2.00,3.00,5.63,4.00,3.00,0.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7238380,2.00,8.00,4.00,6.00,8.00,11.25,4.00,6.00,5.00,203,NULL,235,'SÃO SEBASTIÃO','CAMPOS NOVOS','SC',3190,234,NULL,51,NULL,NULL,NULL,4,7),(28,7238398,2.00,7.00,3.00,5.00,6.00,8.25,3.00,3.00,4.00,233,NULL,202,'CENTRO','TUBARÃO','SC',10275,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7238401,3.00,6.00,2.00,5.00,7.00,6.75,5.00,3.00,3.00,202,NULL,201,'FATIMA','OTACÍLIO COSTA','SC',11044,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7238410,1.00,3.00,1.00,5.00,3.00,5.25,2.00,3.00,1.00,319,NULL,NULL,'SANTO ANTONIO LISBOA','FLORIANÓPOLIS','SC',17522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7238436,5.00,8.00,3.00,7.00,9.00,9.00,4.00,6.00,5.00,220,NULL,203,'RES DAS ILHAS','BRAGANÇA PAULISTA','SP',1894,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'GUARUJA','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',5,1),(28,7238452,2.00,3.00,2.00,5.00,4.00,8.25,1.00,4.00,3.00,404,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15090,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238460,4.00,6.00,2.00,6.00,7.00,9.75,0.00,4.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8625,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7238479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7238487,4.00,3.00,2.00,4.00,7.00,7.50,1.00,5.00,3.00,103,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',12550,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7238495,4.00,4.00,1.00,5.00,6.00,8.25,0.00,5.00,1.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',17909,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7238509,1.00,4.00,2.00,5.00,5.00,9.00,1.00,3.00,0.00,551,NULL,NULL,'CENTRO','FR ROGÉRIO','SC',15529,24,NULL,NULL,NULL,NULL,NULL,2,16),(28,7238517,1.00,6.00,3.00,2.00,6.00,12.00,3.00,7.00,4.00,338,NULL,NULL,'CENTRO','ITATIAIA','RJ',7761,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238525,2.00,4.00,0.00,7.00,5.00,6.75,3.00,4.00,5.00,301,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',11317,148,NULL,NULL,NULL,NULL,NULL,2,1),(28,7238533,1.00,6.00,3.00,5.00,7.00,10.88,4.00,6.00,5.00,329,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',10874,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7238541,6.00,6.00,2.00,7.00,8.00,5.63,3.00,4.00,5.00,201,NULL,220,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',5830,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238550,0.00,5.00,1.00,1.00,2.00,NULL,2.00,4.00,1.00,601,NULL,216,'NOVA ESPERANÇA','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7238568,4.00,6.00,4.00,4.00,5.00,6.75,3.00,4.00,4.00,216,NULL,220,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',9124,294,NULL,230,NULL,NULL,NULL,4,1),(28,7238576,1.00,4.00,2.00,6.00,6.00,10.13,0.00,5.00,2.00,552,NULL,NULL,'APARECIDA','CURITIBANOS','SC',9640,30,NULL,NULL,NULL,NULL,NULL,4,16),(28,7238584,4.00,7.00,0.00,5.00,8.00,6.75,4.00,4.00,4.00,201,NULL,238,'N SENHORA DO ROSARIO','S JOSÉ','SC',8131,585,NULL,112,NULL,NULL,NULL,4,1),(28,7238614,0.00,5.00,4.00,6.00,5.00,10.13,2.00,3.00,2.00,340,NULL,NULL,'PARQUE SÃO QUIRINO','CAMPINAS','SP',11039,307,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238630,3.00,6.00,3.00,7.00,7.00,8.25,2.00,6.00,1.00,340,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238649,3.00,7.00,4.00,5.00,5.00,7.50,2.00,6.00,5.00,201,NULL,238,'REAL PARQUE','S JOSÉ','SC',8033,581,NULL,108,NULL,NULL,NULL,4,1),(28,7238657,1.00,7.00,1.00,5.00,4.00,8.25,1.00,4.00,1.00,340,NULL,NULL,'MONTE CASTELO','TUBARÃO','SC',12836,347,NULL,NULL,NULL,NULL,NULL,2,10),(28,7238665,0.00,4.00,1.00,4.00,3.00,NULL,0.00,2.00,0.00,220,NULL,238,'JD LONDRES','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7238673,0.00,2.00,2.00,1.00,4.00,8.63,2.00,6.00,2.00,224,NULL,NULL,'BOM JESUS','RIO NEGRO','PR',17420,22,NULL,NULL,NULL,NULL,NULL,4,17),(28,7238681,0.00,4.00,3.00,2.00,3.00,NULL,1.00,2.00,2.00,203,NULL,213,'COLÔNIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238711,3.00,5.00,2.00,6.00,4.00,7.50,0.00,6.00,4.00,216,NULL,215,'BELA VISTA','LEBON RÉGIS','SC',10589,328,NULL,NULL,NULL,NULL,NULL,2,25),(28,7238720,0.00,2.00,0.00,1.00,2.00,NULL,0.00,1.00,0.00,454,NULL,NULL,'CACHOEIRADOBOMJESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238738,0.00,2.00,4.00,2.00,3.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7238746,0.00,4.00,1.00,7.00,2.00,NULL,1.00,2.00,2.00,310,NULL,NULL,'JD CID FLORIANÓPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238754,1.00,7.00,3.00,4.00,6.00,10.50,2.00,6.00,4.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238762,7.00,7.00,3.00,7.00,9.00,9.75,6.00,7.00,7.00,202,NULL,213,'JARDIM BLUMENAU','BLUMENAU','SC',963,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238770,2.00,5.00,4.00,7.00,8.00,9.75,5.00,5.00,5.00,203,NULL,233,'SACO GRANDE','FLORIANÓPOLIS','SC',5482,367,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238789,3.00,8.00,2.00,5.00,9.00,7.13,2.00,5.00,5.00,108,NULL,NULL,'CENTRO','PENHA','SC',8067,101,NULL,NULL,NULL,NULL,NULL,4,6),(28,7238797,5.00,8.00,3.00,7.00,9.00,7.88,6.00,5.00,7.00,207,NULL,201,'BELA VISTA','ERECHIM','RS',1146,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238800,5.00,8.00,3.00,6.00,8.00,10.50,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','PERITIBA','SC',3153,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7238819,1.00,7.00,2.00,6.00,5.00,8.25,1.00,4.00,4.00,427,NULL,424,'PEREQUÊ PRAIA','PTO BELO','SC',11729,3,NULL,NULL,NULL,NULL,NULL,4,3),(28,7238827,1.00,8.00,4.00,5.00,6.00,7.88,1.00,5.00,1.00,103,NULL,NULL,'JARDIM EUROPA','BELO HORIZONTE','MG',11218,2151,NULL,NULL,NULL,NULL,NULL,2,1),(28,7238835,5.00,5.00,1.00,6.00,7.00,5.63,2.00,5.00,3.00,5,NULL,NULL,'CENTRO','CAIBI','SC',10539,310,NULL,NULL,NULL,NULL,NULL,2,4),(28,7238843,1.00,3.00,3.00,1.00,3.00,0.00,2.00,3.00,2.00,101,NULL,NULL,'BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7238851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7238860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,238,'SÃO SEBASTIÃO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7238878,6.00,8.00,4.00,7.00,10.00,10.50,6.00,7.00,8.00,233,NULL,216,'VILA SOFIA','S PAULO','SP',326,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238886,0.00,4.00,3.00,4.00,6.00,NULL,2.00,2.00,1.00,108,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7238894,1.00,5.00,1.00,5.00,4.00,6.00,2.00,4.00,3.00,211,NULL,215,'SERRARIA','S JOSÉ','SC',14021,354,NULL,236,NULL,NULL,NULL,2,1),(28,7238916,3.00,1.00,3.00,5.00,5.00,3.00,0.00,4.00,2.00,208,NULL,NULL,'MIRIM','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238924,0.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,1.00,415,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7238932,1.00,3.00,0.00,1.00,3.00,6.38,2.00,3.00,3.00,301,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',18514,250,NULL,NULL,NULL,NULL,NULL,2,1),(28,7238940,1.00,5.00,5.00,5.00,5.00,8.63,5.00,1.00,3.00,601,NULL,201,'CENTRO','JOINVILLE','SC',9885,269,NULL,NULL,NULL,NULL,NULL,4,8),(28,7238959,3.00,7.00,4.00,5.00,6.00,7.88,4.00,6.00,4.00,104,NULL,NULL,'CENTO','RIO PARDO','RS',7589,176,NULL,NULL,NULL,NULL,NULL,2,4),(28,7238967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM SANTA HELENA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7238975,1.00,6.00,3.00,3.00,5.00,8.25,3.00,5.00,0.00,104,NULL,NULL,'CENTRO','GUARAMIRIM','SC',12127,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7238983,7.00,9.00,3.00,6.00,7.00,8.63,5.00,7.00,8.00,103,NULL,NULL,'SANTANA','S PAULO','SP',1282,669,NULL,NULL,NULL,NULL,NULL,4,6),(28,7238991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'JARDIM EUCALIPTUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7239009,2.00,4.00,2.00,3.00,8.00,8.25,2.00,4.00,1.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',16998,329,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239017,4.00,6.00,2.00,3.00,5.00,7.13,3.00,4.00,4.00,225,NULL,NULL,'PRAIA JOÃO ROSA','BIGUAÇU','SC',16314,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239025,1.00,3.00,1.00,3.00,5.00,11.25,0.00,4.00,3.00,212,NULL,207,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7239033,1.00,4.00,0.00,3.00,3.00,NULL,2.00,2.00,1.00,454,NULL,NULL,'CENTRO','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7239041,1.00,3.00,1.00,3.00,3.00,6.38,4.00,5.00,1.00,501,NULL,NULL,'VL SÃO GABRIEL','COLOMBO','PR',19764,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7239050,4.00,6.00,2.00,5.00,7.00,9.00,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',5553,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7239068,1.00,5.00,1.00,5.00,3.00,5.25,1.00,5.00,2.00,208,NULL,NULL,'CENTRO','URUBICI','SC',19645,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7239076,1.00,4.00,2.00,3.00,2.00,NULL,3.00,6.00,4.00,3,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7239084,2.00,5.00,1.00,2.00,7.00,9.00,5.00,4.00,6.00,201,NULL,207,'SANTO ANTONIO','LAGES','SC',8143,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7239092,2.00,2.00,1.00,3.00,3.00,5.63,0.00,3.00,2.00,552,NULL,NULL,'NS APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7239106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7239114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7239122,3.00,5.00,2.00,4.00,6.00,9.00,2.00,5.00,4.00,108,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',15698,215,NULL,NULL,NULL,NULL,NULL,2,1),(28,7239130,5.00,7.00,6.00,7.00,7.00,5.63,5.00,5.00,8.00,220,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',2238,67,NULL,34,NULL,NULL,NULL,4,1),(28,7239149,3.00,5.00,3.00,6.00,4.00,8.25,2.00,4.00,4.00,211,NULL,216,'BARREIROS','S JOSÉ','SC',10521,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239157,4.00,7.00,1.00,6.00,9.00,9.00,5.00,5.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',3002,1140,NULL,NULL,NULL,NULL,NULL,4,5),(28,7239165,0.00,6.00,1.00,7.00,8.00,10.88,1.00,3.00,3.00,428,NULL,424,'BELA VISTA I','S JOSÉ','SC',15727,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239173,3.00,7.00,2.00,7.00,9.00,9.38,3.00,6.00,1.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',6524,1699,NULL,NULL,NULL,NULL,NULL,4,23),(28,7239190,2.00,6.00,1.00,4.00,6.00,9.38,1.00,6.00,3.00,303,NULL,NULL,'PARQUE NOVO MUNDO','LIMEIRA','SP',8847,370,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239211,0.00,4.00,3.00,7.00,3.00,5.63,3.00,4.00,2.00,318,NULL,NULL,'VILA ANITA','S BERNARDO CAMPO','SP',13642,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7239220,3.00,5.00,1.00,6.00,6.00,6.00,1.00,4.00,2.00,214,NULL,213,'BARRA DO ARIRIÚ','PALHOÇA','SC',18565,355,NULL,NULL,NULL,NULL,NULL,2,1),(28,7239238,1.00,5.00,1.00,7.00,4.00,7.13,1.00,3.00,3.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',15281,198,NULL,NULL,NULL,NULL,NULL,2,1),(28,7239246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7239254,3.00,6.00,1.00,7.00,8.00,9.75,2.00,5.00,1.00,301,NULL,NULL,'CENTRO','ARARAQUARA','SP',6482,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7239270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SERTAO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7239297,0.00,4.00,3.00,3.00,4.00,5.25,3.00,5.00,4.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7239300,2.00,5.00,2.00,2.00,2.00,NULL,2.00,4.00,2.00,501,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7239319,0.00,5.00,1.00,4.00,2.00,NULL,3.00,3.00,1.00,9,NULL,NULL,'ZONA UM','CIANORTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7239335,2.00,5.00,3.00,4.00,9.00,9.00,3.00,2.00,4.00,238,NULL,207,'VARGEM GRANDE','FLORIANÓPOLIS','SC',10091,140,NULL,NULL,NULL,NULL,NULL,2,1),(28,7239351,3.00,6.00,1.00,7.00,6.00,8.63,4.00,5.00,3.00,304,NULL,NULL,'PRAIA BRAVA','ITAJAÍ','SC',7113,44,NULL,NULL,NULL,NULL,NULL,2,6),(28,7239360,2.00,2.00,1.00,7.00,4.00,10.13,2.00,2.00,3.00,5,NULL,NULL,'NOVA BELÉM','PAULO LOPES','SC',15584,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7239378,4.00,8.00,3.00,3.00,7.00,7.13,3.00,7.00,5.00,601,NULL,203,'SANTO ANTONIO','JOINVILLE','SC',6117,121,NULL,NULL,NULL,NULL,NULL,4,8),(28,7239386,5.00,6.00,1.00,6.00,5.00,11.63,5.00,6.00,6.00,214,NULL,215,'PANTANAL','FLORIANÓPOLIS','SC',2641,94,NULL,25,NULL,NULL,NULL,4,1),(28,7239408,3.00,6.00,3.00,6.00,2.00,NULL,3.00,4.00,2.00,214,NULL,213,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7239416,3.00,7.00,3.00,6.00,8.00,9.00,2.00,6.00,3.00,327,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',7725,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7239424,1.00,6.00,2.00,7.00,6.00,7.50,3.00,5.00,2.00,103,NULL,NULL,'NAZARE','CONCÓRDIA','SC',11374,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7239432,2.00,5.00,1.00,3.00,6.00,9.75,2.00,3.00,1.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15346,208,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239440,2.00,5.00,3.00,6.00,4.00,6.75,2.00,4.00,3.00,222,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17304,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239459,2.00,5.00,2.00,4.00,5.00,7.88,1.00,6.00,2.00,216,NULL,203,'SERRA ALTA','S BENTO SUL','SC',16763,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7239467,2.00,3.00,2.00,3.00,8.00,7.50,3.00,5.00,4.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',13488,92,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239475,5.00,5.00,4.00,7.00,6.00,11.63,5.00,4.00,4.00,202,NULL,235,'REBOUÇAS','CURITIBA','PR',3582,103,NULL,57,NULL,NULL,NULL,4,1),(28,7239483,2.00,6.00,1.00,6.00,5.00,4.88,5.00,4.00,3.00,201,NULL,220,'NAÇÕES','CONCÓRDIA','SC',10845,714,NULL,258,NULL,NULL,NULL,2,26),(28,7239505,2.00,5.00,3.00,5.00,4.00,7.13,3.00,3.00,3.00,216,NULL,214,'CENTRO','LAGES','SC',17788,439,NULL,345,NULL,NULL,NULL,2,9),(28,7239513,2.00,6.00,4.00,3.00,6.00,8.25,6.00,4.00,4.00,202,NULL,220,'ALTO RIO FARIAS','ANTÔNIO CARLOS','SC',7751,209,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239521,4.00,7.00,4.00,6.00,6.00,6.75,6.00,7.00,4.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',4213,326,NULL,133,NULL,NULL,NULL,4,1),(28,7239530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'SÃO JOSÉ','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7239548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,235,'BOM RETIRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7239556,4.00,5.00,3.00,4.00,4.00,7.50,1.00,4.00,2.00,999,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,429,'PASSO','S BORJA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7239580,2.00,5.00,5.00,2.00,7.00,7.13,1.00,3.00,3.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',13629,262,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239602,1.00,5.00,3.00,4.00,8.00,8.63,2.00,8.00,4.00,415,NULL,NULL,'PEREIRA ALVES','CORREIA PINTO','SC',7269,118,NULL,NULL,NULL,NULL,NULL,4,9),(28,7239610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7239629,9.00,8.00,5.00,6.00,10.00,10.13,8.00,7.00,7.00,103,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',153,122,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239637,3.00,5.00,2.00,6.00,7.00,8.25,4.00,3.00,5.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12338,347,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239645,2.00,5.00,1.00,4.00,6.00,5.25,4.00,5.00,3.00,303,NULL,NULL,'ROÇADO','S JOSÉ','SC',13041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239653,1.00,5.00,1.00,4.00,4.00,9.00,2.00,5.00,2.00,207,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',16011,698,NULL,932,NULL,NULL,NULL,2,1),(28,7239661,1.00,4.00,2.00,0.00,4.00,4.50,1.00,1.00,0.00,203,NULL,201,'RIO VERMELHO','FLORIANÓPOLIS','SC',19515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239670,0.00,4.00,2.00,5.00,4.00,NULL,1.00,4.00,2.00,301,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7239688,3.00,6.00,2.00,5.00,6.00,5.25,2.00,4.00,3.00,214,NULL,212,'CENTRO','JUNQUEIRÓPOLIS','SP',16038,330,NULL,385,NULL,NULL,NULL,2,1),(28,7239696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7239700,0.00,5.00,3.00,2.00,1.00,NULL,3.00,4.00,2.00,340,NULL,NULL,'CENTRO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7239718,4.00,5.00,2.00,3.00,7.00,6.75,0.00,6.00,5.00,207,NULL,216,'DE VILLA','URUSSANGA','SC',10784,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7239726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7239742,4.00,8.00,6.00,6.00,9.00,10.13,5.00,7.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1903,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM QUEBEC','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7239769,0.00,5.00,2.00,5.00,4.00,4.50,2.00,6.00,2.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7239777,1.00,6.00,2.00,5.00,7.00,6.00,3.00,4.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10903,317,NULL,NULL,NULL,NULL,NULL,2,1),(28,7239785,0.00,2.00,3.00,3.00,2.00,NULL,1.00,3.00,2.00,207,NULL,201,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7239793,2.00,6.00,2.00,6.00,7.00,7.88,4.00,5.00,2.00,425,NULL,424,'PANTANAL','FLORIANÓPOLIS','SC',11000,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239807,0.00,3.00,3.00,4.00,4.00,7.50,2.00,4.00,2.00,551,NULL,NULL,'INTERIOR','FR ROGÉRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7239815,1.00,5.00,0.00,4.00,6.00,6.00,3.00,5.00,2.00,552,NULL,NULL,'INTERIOR','CURITIBANOS','SC',15392,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7239831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VORSTARDT','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7239840,1.00,3.00,0.00,1.00,4.00,NULL,1.00,1.00,2.00,552,NULL,NULL,'DONA FRANCISCA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7239858,3.00,3.00,3.00,2.00,4.00,5.63,2.00,3.00,4.00,201,NULL,207,'JARDIM CIDADE','S JOSÉ','SC',19533,1044,NULL,808,NULL,NULL,NULL,6,1),(28,7239866,0.00,4.00,1.00,3.00,2.00,NULL,0.00,4.00,0.00,450,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239874,2.00,6.00,0.00,7.00,3.00,6.75,2.00,6.00,3.00,340,NULL,NULL,'VILA GENY','LORENA','SP',9602,274,NULL,NULL,NULL,NULL,NULL,4,1),(28,7239882,1.00,5.00,2.00,6.00,6.00,6.75,3.00,4.00,3.00,303,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',14127,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7239890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CEARÁ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7239904,1.00,6.00,2.00,3.00,5.00,5.63,0.00,6.00,1.00,331,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',19165,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7239912,2.00,3.00,2.00,5.00,3.00,8.25,2.00,5.00,2.00,238,NULL,NULL,'CENTRO','CAMPOS BORGES','RS',14658,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7239920,5.00,5.00,2.00,6.00,6.00,6.75,5.00,4.00,4.00,201,NULL,213,'VELHA','BLUMENAU','SC',7607,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7239939,5.00,7.00,3.00,7.00,9.00,9.75,6.00,5.00,6.00,216,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',1907,61,NULL,29,NULL,NULL,NULL,4,1),(28,7239947,1.00,2.00,1.00,3.00,4.00,NULL,3.00,3.00,0.00,424,NULL,428,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7239955,2.00,4.00,3.00,5.00,3.00,10.13,5.00,5.00,3.00,202,NULL,235,'LESSA','PINDAMONHANGABA','SP',15877,357,NULL,255,NULL,NULL,NULL,4,1),(28,7239963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'VILA NOVA','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7239971,5.00,7.00,5.00,7.00,9.00,8.25,4.00,7.00,8.00,104,NULL,NULL,'CARAVAGGIO','NOVA VENEZA','SC',1287,5,NULL,NULL,NULL,NULL,NULL,2,5),(28,7239980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,653,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7239998,1.00,5.00,1.00,2.00,2.00,NULL,2.00,2.00,0.00,415,NULL,NULL,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7240007,1.00,8.00,5.00,6.00,8.00,6.75,3.00,5.00,4.00,203,NULL,214,'CENTRO','BIGUAÇU','SC',6665,416,NULL,203,NULL,NULL,NULL,4,1),(28,7240015,5.00,5.00,1.00,7.00,1.00,NULL,3.00,5.00,6.00,103,NULL,NULL,'JARDIM DA PENHA','VITÓRIA','ES',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7240023,1.00,7.00,2.00,7.00,7.00,14.25,3.00,5.00,4.00,999,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7240031,3.00,0.00,2.00,5.00,8.00,NULL,0.00,0.00,0.00,601,NULL,211,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(28,7240040,3.00,7.00,2.00,6.00,9.00,6.00,2.00,7.00,4.00,207,NULL,215,'CAMPINAS','S JOSÉ','SC',6036,278,NULL,87,NULL,NULL,NULL,4,1),(28,7240058,3.00,5.00,2.00,6.00,6.00,8.25,2.00,4.00,4.00,317,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',15414,110,NULL,NULL,NULL,NULL,NULL,2,1),(28,7240074,3.00,7.00,1.00,7.00,8.00,10.50,5.00,6.00,4.00,999,NULL,NULL,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7240082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,215,'PRÓSPERA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7240090,2.00,5.00,2.00,2.00,6.00,6.75,0.00,2.00,3.00,207,NULL,201,'PEDRA BRANCA','PALHOÇA','SC',17229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7240112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAN CONRADO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7240120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7240139,1.00,7.00,3.00,6.00,5.00,9.38,2.00,3.00,2.00,999,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7240147,1.00,4.00,1.00,2.00,5.00,4.88,2.00,3.00,3.00,317,NULL,NULL,'ARMACAO DO P DO SUL','FLORIANÓPOLIS','SC',18063,152,NULL,NULL,NULL,NULL,NULL,2,1),(28,7240163,2.00,5.00,2.00,5.00,5.00,5.63,3.00,6.00,3.00,201,NULL,214,'CAPÃO RASO','CURITIBA','PR',10555,698,NULL,269,NULL,NULL,NULL,2,1),(28,7240171,8.00,7.00,2.00,7.00,8.00,9.00,5.00,7.00,6.00,103,NULL,NULL,'SANTO ANTÔNIO','PTO ALEGRE','RS',1030,566,NULL,NULL,NULL,NULL,NULL,4,1),(28,7240180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JANDAIA SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7240201,2.00,5.00,3.00,5.00,8.00,7.88,1.00,4.00,2.00,333,NULL,NULL,'QUEDAS D ÁGUA','STA ROSA LIMA','SC',13339,77,NULL,NULL,NULL,NULL,NULL,2,10),(28,7240210,4.00,6.00,2.00,2.00,6.00,7.50,2.00,4.00,4.00,203,NULL,220,'COQUEIROS','FLORIANÓPOLIS','SC',11602,575,NULL,270,NULL,NULL,NULL,2,1),(28,7240228,3.00,8.00,3.00,7.00,6.00,9.75,3.00,7.00,1.00,304,NULL,NULL,'SERRARIA','S JOSÉ','SC',6630,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7240236,2.00,3.00,2.00,4.00,3.00,3.00,1.00,2.00,3.00,203,NULL,214,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7240244,2.00,0.00,4.00,6.00,3.00,NULL,0.00,0.00,3.00,333,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7240252,0.00,3.00,1.00,1.00,4.00,5.25,0.00,5.00,1.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',20115,71,NULL,NULL,NULL,NULL,NULL,2,16),(28,7240260,0.00,3.00,3.00,4.00,5.00,NULL,2.00,1.00,2.00,103,NULL,NULL,'LARANJINHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7240287,4.00,7.00,3.00,7.00,5.00,6.38,3.00,6.00,2.00,999,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7240309,1.00,6.00,1.00,6.00,5.00,8.63,3.00,4.00,2.00,999,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7240317,2.00,7.00,0.00,2.00,9.00,10.50,2.00,7.00,3.00,601,NULL,216,'IRIRIU','JOINVILLE','SC',8581,215,NULL,NULL,NULL,NULL,NULL,4,8),(28,7240325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7240333,2.00,6.00,2.00,5.00,6.00,7.50,2.00,5.00,6.00,304,NULL,NULL,'VILA MONTE ALEGRE','S PAULO','SP',11271,81,NULL,NULL,NULL,NULL,NULL,4,1),(28,7240341,1.00,7.00,2.00,5.00,4.00,NULL,2.00,4.00,0.00,103,NULL,NULL,'JARDIM CECILIA','CPO MAGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7240350,3.00,5.00,2.00,3.00,9.00,9.38,4.00,5.00,3.00,233,NULL,238,'AREIAS','S JOSÉ','SC',6973,173,NULL,86,NULL,NULL,NULL,4,1),(28,7240368,0.00,3.00,0.00,4.00,5.00,NULL,2.00,4.00,2.00,302,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7240376,1.00,7.00,1.00,2.00,9.00,7.88,5.00,6.00,5.00,225,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',12356,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7240384,1.00,6.00,0.00,6.00,5.00,NULL,2.00,4.00,2.00,233,NULL,235,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7240392,0.00,5.00,1.00,2.00,6.00,6.38,3.00,4.00,2.00,601,NULL,213,'APARECIDA','CURITIBANOS','SC',14390,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7240406,0.00,5.00,3.00,7.00,3.00,5.63,2.00,4.00,4.00,202,NULL,235,'CORREGO GRANDE','FLORIANÓPOLIS','SC',11794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7240422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7240430,9.00,8.00,5.00,7.00,8.00,9.75,2.00,8.00,8.00,103,NULL,NULL,'PARQUE ANHANGUERA','GOIÂNIA','GO',234,180,NULL,NULL,NULL,NULL,NULL,4,3),(28,7240449,1.00,4.00,2.00,4.00,7.00,6.75,3.00,4.00,2.00,238,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13654,227,NULL,NULL,NULL,NULL,NULL,2,1),(28,7240457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7240465,5.00,4.00,2.00,7.00,8.00,8.63,3.00,7.00,2.00,102,NULL,NULL,'LIMÃO','S PAULO','SP',4397,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7240473,3.00,4.00,2.00,3.00,5.00,7.13,0.00,3.00,3.00,213,NULL,233,'ALTO ARIRIU','PALHOÇA','SC',16026,248,NULL,326,NULL,NULL,NULL,2,1),(28,7240481,4.00,7.00,4.00,5.00,9.00,8.63,4.00,6.00,4.00,103,NULL,NULL,'SANTO ANTÔNIO','PTO ALEGRE','RS',4503,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7240490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7240503,0.00,2.00,1.00,3.00,5.00,6.38,2.00,0.00,1.00,308,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',20131,101,NULL,NULL,NULL,NULL,NULL,2,1),(28,7240538,5.00,8.00,1.00,6.00,6.00,12.00,3.00,7.00,3.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7240546,6.00,7.00,1.00,6.00,4.00,6.38,5.00,4.00,4.00,238,NULL,203,'TRINDADE','FLORIANÓPOLIS','SC',11550,178,NULL,NULL,NULL,NULL,NULL,4,1),(28,7240554,3.00,6.00,6.00,5.00,7.00,8.63,3.00,6.00,6.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4494,75,NULL,NULL,NULL,NULL,NULL,4,1),(28,7240562,0.00,6.00,2.00,7.00,8.00,7.50,3.00,6.00,2.00,319,NULL,NULL,'STA CECILIA','S PAULO','SP',14897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7240570,2.00,7.00,1.00,5.00,7.00,6.75,2.00,5.00,4.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',9630,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7240589,2.00,3.00,2.00,5.00,2.00,NULL,0.00,6.00,3.00,109,NULL,NULL,'BOA VISTA II','SAUDADES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7240597,0.00,3.00,1.00,3.00,5.00,NULL,0.00,3.00,1.00,454,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7240619,0.00,4.00,2.00,3.00,7.00,NULL,1.00,2.00,1.00,319,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7240635,0.00,4.00,3.00,2.00,4.00,NULL,0.00,2.00,1.00,415,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7240643,4.00,5.00,2.00,5.00,6.00,6.38,5.00,4.00,4.00,601,NULL,233,'NAÇÕES','TIMBÓ','SC',10094,283,NULL,NULL,NULL,NULL,NULL,2,2),(28,7240660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7240678,2.00,4.00,2.00,5.00,6.00,10.50,0.00,3.00,4.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12087,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7240694,2.00,5.00,1.00,3.00,7.00,7.50,1.00,3.00,2.00,211,NULL,601,'SCHRAMM','S BENTO SUL','SC',14703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7240708,2.00,0.00,1.00,7.00,3.00,NULL,0.00,0.00,0.00,238,NULL,235,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7240716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7240724,2.00,7.00,3.00,5.00,4.00,0.00,0.00,3.00,1.00,308,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7240732,0.00,3.00,2.00,4.00,3.00,7.50,1.00,4.00,3.00,103,NULL,NULL,'GLÓRIA','BLUMENAU','SC',16868,2431,NULL,NULL,NULL,NULL,NULL,4,2),(28,7240740,1.00,6.00,2.00,6.00,7.00,9.00,5.00,5.00,2.00,208,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9207,99,NULL,NULL,NULL,NULL,NULL,2,1),(28,7240767,5.00,6.00,1.00,7.00,6.00,9.38,2.00,6.00,4.00,108,NULL,NULL,'FAZENDA','BIGUAÇU','SC',7716,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7240775,3.00,7.00,3.00,4.00,7.00,9.75,3.00,5.00,3.00,501,NULL,NULL,'BELA VISTA','PALHOÇA','SC',12601,73,NULL,NULL,NULL,NULL,NULL,4,1),(28,7240791,2.00,6.00,3.00,7.00,6.00,7.13,3.00,4.00,4.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9123,2007,NULL,NULL,NULL,NULL,NULL,2,1),(28,7240805,4.00,6.00,2.00,7.00,6.00,7.13,4.00,6.00,2.00,501,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8738,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7240813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7240821,5.00,7.00,1.00,4.00,9.00,7.13,5.00,5.00,5.00,103,NULL,NULL,'JOSÉ BONIFÁCIO','ERECHIM','RS',8645,1969,NULL,NULL,NULL,NULL,NULL,4,4),(28,7240830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,655,'NIPO BRASILEIRO','INHUMAS','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7240848,2.00,5.00,3.00,6.00,6.00,7.50,1.00,5.00,3.00,552,NULL,NULL,'AMERICA','JOINVILLE','SC',11543,49,NULL,NULL,NULL,NULL,NULL,2,8),(28,7240864,3.00,6.00,5.00,7.00,6.00,8.25,2.00,6.00,4.00,303,NULL,NULL,'JARDIM LEOCÁDIA','SOROCABA','SP',4793,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7240872,3.00,5.00,2.00,4.00,9.00,9.75,1.00,4.00,3.00,233,NULL,215,'MEIA PRAIA','ITAPEMA','SC',10427,246,NULL,179,NULL,NULL,NULL,4,3),(28,7240880,2.00,5.00,2.00,5.00,4.00,9.38,4.00,6.00,1.00,309,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',10902,4,NULL,NULL,NULL,NULL,NULL,2,8),(28,7240902,5.00,6.00,3.00,7.00,7.00,6.00,3.00,7.00,2.00,301,NULL,NULL,'SANTIAGO','LAGUNA','SC',7243,73,NULL,NULL,NULL,NULL,NULL,4,10),(28,7240910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'REI DE OURO','ITATIBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7240929,4.00,5.00,0.00,6.00,3.00,7.50,2.00,5.00,3.00,201,NULL,212,'JURERÊ','FLORIANÓPOLIS','SC',16726,953,NULL,397,NULL,NULL,NULL,4,1),(28,7240937,3.00,8.00,2.00,7.00,8.00,8.63,2.00,8.00,2.00,215,NULL,216,'PROGRESSO','RIO SUL','SC',8670,151,NULL,284,NULL,NULL,NULL,4,24),(28,7240953,1.00,7.00,2.00,3.00,5.00,7.13,2.00,5.00,3.00,238,NULL,233,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',12157,197,NULL,272,NULL,NULL,NULL,4,1),(28,7240961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VILA RUDY','ARAPOTI','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7240988,6.00,8.00,5.00,5.00,10.00,8.63,8.00,7.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',443,312,NULL,NULL,NULL,NULL,NULL,4,5),(28,7241011,2.00,7.00,1.00,6.00,6.00,8.25,2.00,7.00,1.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14824,404,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241020,2.00,4.00,2.00,6.00,9.00,11.25,2.00,4.00,6.00,201,NULL,212,'AVENTUREIRO','JOINVILLE','SC',6698,NULL,NULL,207,NULL,NULL,NULL,4,8),(28,7241038,2.00,4.00,3.00,7.00,3.00,7.50,2.00,3.00,3.00,454,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14682,301,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241046,1.00,4.00,0.00,5.00,6.00,8.25,1.00,6.00,2.00,429,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',14555,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241054,5.00,7.00,3.00,5.00,7.00,5.25,5.00,6.00,7.00,203,NULL,214,'JARDIM IPIRANGA','MARINGÁ','PR',4596,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7241062,1.00,4.00,2.00,4.00,5.00,NULL,0.00,1.00,1.00,652,NULL,655,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7241089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,652,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7241097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PAQUETA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7241100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7241119,2.00,2.00,1.00,3.00,1.00,NULL,4.00,3.00,0.00,653,NULL,235,'CENTRO','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7241127,0.00,5.00,1.00,3.00,7.00,7.50,3.00,6.00,1.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15391,418,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241135,1.00,6.00,4.00,5.00,5.00,8.63,4.00,4.00,4.00,216,NULL,233,'SÃO FRANCISCO','VIDEIRA','SC',8330,275,NULL,209,NULL,NULL,NULL,4,25),(28,7241143,3.00,6.00,2.00,4.00,5.00,7.13,3.00,4.00,5.00,201,NULL,202,'PASSO DOS FORTES','CHAPECÓ','SC',11073,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7241151,2.00,7.00,1.00,7.00,5.00,6.00,3.00,4.00,2.00,110,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',17283,88,NULL,NULL,NULL,NULL,NULL,4,1),(28,7241160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7241178,4.00,9.00,4.00,6.00,9.00,9.75,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',907,509,NULL,NULL,NULL,NULL,NULL,4,1),(28,7241186,3.00,7.00,4.00,6.00,9.00,6.75,5.00,3.00,6.00,233,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',3793,98,NULL,NULL,NULL,NULL,NULL,4,1),(28,7241216,3.00,8.00,3.00,6.00,8.00,9.38,1.00,4.00,4.00,102,NULL,NULL,'CENTRO','IBIRAMA','SC',10563,93,NULL,NULL,NULL,NULL,NULL,4,2),(28,7241224,1.00,3.00,2.00,6.00,2.00,NULL,4.00,3.00,5.00,655,NULL,601,'IPANEMA','PONTAL PARANÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7241232,1.00,4.00,2.00,5.00,5.00,7.88,2.00,3.00,1.00,999,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7241240,4.00,6.00,4.00,5.00,5.00,8.25,3.00,5.00,2.00,201,NULL,207,'FLAMBOYANT','POMPÉIA','SP',14112,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7241267,1.00,3.00,0.00,2.00,1.00,NULL,1.00,2.00,2.00,454,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241275,1.00,5.00,1.00,7.00,6.00,9.75,3.00,4.00,4.00,450,NULL,NULL,'VILA TATETUBA','S JOSÉ CAMPOS','SP',8286,60,NULL,NULL,NULL,NULL,NULL,4,1),(28,7241283,0.00,8.00,4.00,6.00,7.00,6.38,2.00,4.00,2.00,103,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',11067,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241291,4.00,7.00,1.00,6.00,8.00,8.63,4.00,5.00,5.00,103,NULL,NULL,'VILA OLIVEIRA','MOGI CRUZES','SP',3813,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7241305,4.00,6.00,3.00,6.00,6.00,7.88,5.00,6.00,5.00,220,NULL,235,'MINA BRASIL','CRICIÚMA','SC',5145,153,NULL,88,NULL,NULL,NULL,4,1),(28,7241313,3.00,4.00,1.00,8.00,4.00,8.25,2.00,3.00,3.00,101,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',17580,115,NULL,NULL,NULL,NULL,NULL,4,1),(28,7241321,3.00,9.00,1.00,6.00,5.00,6.75,6.00,7.00,4.00,428,NULL,425,'JARDIM','STO ANDRÉ','SP',6443,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7241330,1.00,7.00,0.00,5.00,8.00,7.13,1.00,4.00,2.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',13125,2267,NULL,NULL,NULL,NULL,NULL,4,2),(28,7241356,5.00,6.00,4.00,8.00,7.00,9.75,3.00,6.00,2.00,303,NULL,NULL,'MICHEL','CRICIÚMA','SC',9513,392,NULL,NULL,NULL,NULL,NULL,2,5),(28,7241364,1.00,6.00,0.00,6.00,7.00,NULL,0.00,3.00,2.00,303,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241372,2.00,2.00,2.00,5.00,3.00,7.13,3.00,4.00,3.00,9,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19059,164,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241380,4.00,5.00,0.00,6.00,6.00,9.75,1.00,6.00,4.00,110,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13908,53,NULL,NULL,NULL,NULL,NULL,4,1),(28,7241399,4.00,8.00,4.00,6.00,8.00,7.88,5.00,7.00,6.00,203,NULL,233,'RIACHINHO','JAGUARUNA','SC',2060,NULL,NULL,32,NULL,NULL,NULL,4,10),(28,7241402,0.00,2.00,0.00,2.00,2.00,NULL,0.00,2.00,2.00,654,NULL,NULL,'SANGA FUNDA','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7241410,5.00,9.00,3.00,6.00,7.00,5.63,3.00,6.00,2.00,999,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7241429,1.00,6.00,2.00,5.00,6.00,6.38,3.00,3.00,2.00,233,NULL,213,'INTERIOR','ITÁ','SC',17880,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7241437,2.00,5.00,4.00,3.00,5.00,6.00,3.00,4.00,1.00,211,NULL,601,'CANASVIEIRAS','FLORIANÓPOLIS','SC',14239,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241453,4.00,6.00,2.00,6.00,6.00,5.25,4.00,5.00,4.00,5,NULL,NULL,'SUMARÉ','RIO SUL','SC',11093,321,NULL,NULL,NULL,NULL,NULL,4,24),(28,7241461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,655,'JARDIM GUIMARÃES','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7241470,3.00,3.00,1.00,6.00,6.00,5.25,3.00,3.00,2.00,319,NULL,NULL,'CENTRO','LONDRINA','PR',12363,224,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241488,4.00,9.00,6.00,7.00,8.00,9.38,6.00,6.00,5.00,211,NULL,233,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',2286,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7241496,3.00,5.00,4.00,7.00,7.00,10.13,2.00,4.00,4.00,201,NULL,203,'CENTRO','TIETÊ','SP',4292,334,NULL,305,NULL,NULL,NULL,4,1),(28,7241500,5.00,6.00,3.00,5.00,6.00,8.25,4.00,6.00,5.00,201,NULL,212,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3964,303,NULL,123,NULL,NULL,NULL,4,1),(28,7241518,0.00,3.00,0.00,5.00,4.00,8.63,3.00,2.00,2.00,601,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7241526,3.00,7.00,0.00,4.00,7.00,0.00,3.00,3.00,2.00,207,NULL,201,'CENTENÁRIO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7241534,3.00,7.00,4.00,6.00,9.00,8.25,5.00,7.00,7.00,201,NULL,212,'SANTA MÔNICA','FLORIANÓPOLIS','SC',2056,142,NULL,40,NULL,NULL,NULL,4,1),(28,7241542,0.00,1.00,5.00,6.00,2.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7241550,2.00,3.00,2.00,3.00,5.00,4.50,0.00,3.00,2.00,211,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',18349,422,NULL,1007,NULL,NULL,NULL,4,1),(28,7241569,0.00,3.00,3.00,2.00,5.00,NULL,0.00,3.00,1.00,215,NULL,211,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241577,3.00,7.00,1.00,7.00,8.00,7.88,2.00,6.00,4.00,102,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',10407,91,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'PALOS VERDES','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7241607,3.00,6.00,1.00,7.00,3.00,6.75,2.00,6.00,2.00,999,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7241615,4.00,5.00,3.00,7.00,8.00,6.75,3.00,6.00,3.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',5934,1620,NULL,NULL,NULL,NULL,NULL,4,9),(28,7241631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PRUDENTÓPOLIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7241640,0.00,4.00,2.00,2.00,1.00,NULL,1.00,3.00,3.00,339,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241658,0.00,4.00,2.00,5.00,7.00,7.88,1.00,4.00,3.00,319,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',13056,243,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241666,5.00,9.00,2.00,5.00,5.00,6.00,5.00,8.00,4.00,103,NULL,NULL,'CENTRO','INDIANÓPOLIS','PR',5043,1497,NULL,NULL,NULL,NULL,NULL,2,8),(28,7241674,1.00,3.00,4.00,5.00,3.00,8.25,1.00,5.00,2.00,103,NULL,NULL,'SÃO JOÃO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7241682,0.00,8.00,2.00,7.00,7.00,9.38,3.00,5.00,2.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',7782,567,NULL,237,NULL,NULL,NULL,2,1),(28,7241690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,207,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7241704,3.00,7.00,1.00,7.00,7.00,7.13,4.00,6.00,3.00,203,NULL,202,'CENTRO','PALHOÇA','SC',6392,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7241712,2.00,4.00,2.00,2.00,3.00,4.88,1.00,2.00,3.00,653,NULL,655,'CENTRO','TURVO','SC',19865,221,NULL,142,NULL,NULL,NULL,4,15),(28,7241739,1.00,5.00,1.00,5.00,2.00,NULL,2.00,6.00,3.00,653,NULL,212,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7241747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7241755,2.00,2.00,4.00,4.00,7.00,3.00,3.00,2.00,1.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241763,0.00,3.00,2.00,6.00,1.00,NULL,2.00,5.00,0.00,317,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241771,2.00,7.00,0.00,0.00,7.00,7.88,3.00,3.00,3.00,203,NULL,214,'GLÓRIA','JOINVILLE','SC',12808,600,NULL,296,NULL,NULL,NULL,1,8),(28,7241780,3.00,3.00,4.00,4.00,7.00,8.63,3.00,2.00,2.00,319,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',11867,217,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241798,6.00,6.00,2.00,6.00,8.00,8.25,5.00,4.00,4.00,202,NULL,213,'STO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC',3881,115,NULL,50,NULL,NULL,NULL,4,1),(28,7241801,0.00,2.00,4.00,3.00,4.00,7.50,4.00,5.00,2.00,444,NULL,NULL,'ITAPEMA DO NORTE','ITAPOÁ','SC',18685,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7241810,2.00,5.00,2.00,6.00,7.00,9.00,6.00,7.00,4.00,454,NULL,NULL,'DEMBOSKI','CRICIÚMA','SC',5656,81,NULL,NULL,NULL,NULL,NULL,2,5),(28,7241828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7241844,4.00,4.00,2.00,6.00,7.00,9.00,1.00,2.00,1.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7241852,4.00,4.00,2.00,4.00,6.00,6.00,1.00,2.00,1.00,454,NULL,NULL,'JARDIM EUROPA','BIGUAÇU','SC',16580,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241860,4.00,6.00,1.00,6.00,6.00,6.00,3.00,3.00,4.00,202,NULL,235,'VILA FERROVIARIA','MAFRA','SC',14898,342,NULL,NULL,NULL,NULL,NULL,4,17),(28,7241879,5.00,6.00,5.00,4.00,6.00,8.25,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',3763,1278,NULL,NULL,NULL,NULL,NULL,4,2),(28,7241887,1.00,6.00,1.00,3.00,4.00,7.50,0.00,3.00,2.00,104,NULL,NULL,'CENTRO','ITUPORANGA','SC',19381,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7241895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LOTEAMENTO ROYALPARK','OURINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7241917,2.00,4.00,2.00,5.00,8.00,6.38,3.00,4.00,2.00,999,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7241925,0.00,4.00,3.00,7.00,4.00,NULL,1.00,5.00,4.00,207,NULL,201,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7241933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7241941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,202,'LAGOA DA SERRA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7241950,2.00,5.00,3.00,4.00,6.00,4.50,2.00,2.00,0.00,303,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',18014,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241968,2.00,4.00,1.00,4.00,4.00,7.13,1.00,3.00,2.00,5,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7241976,2.00,6.00,4.00,4.00,6.00,7.50,5.00,6.00,5.00,214,NULL,203,'JD BOA VISTA','LIMEIRA','SP',11344,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7241984,3.00,5.00,3.00,6.00,8.00,9.75,3.00,5.00,5.00,102,NULL,NULL,'CENTRO','LAGES','SC',9859,84,NULL,NULL,NULL,NULL,NULL,4,9),(28,7241992,0.00,6.00,1.00,6.00,8.00,10.13,6.00,5.00,4.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5533,80,NULL,NULL,NULL,NULL,NULL,4,1),(28,7242000,2.00,6.00,3.00,7.00,8.00,8.25,3.00,5.00,4.00,999,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7242018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7242026,4.00,4.00,1.00,6.00,5.00,6.00,2.00,4.00,1.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7242034,8.00,8.00,3.00,7.00,10.00,10.50,5.00,7.00,7.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',276,210,NULL,NULL,NULL,NULL,NULL,2,1),(28,7242042,1.00,6.00,1.00,6.00,4.00,10.13,1.00,6.00,2.00,999,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7242069,2.00,6.00,2.00,5.00,8.00,7.88,5.00,3.00,4.00,999,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7242077,1.00,5.00,2.00,6.00,7.00,6.38,2.00,4.00,2.00,501,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12894,78,NULL,NULL,NULL,NULL,NULL,4,1),(28,7242085,2.00,7.00,0.00,7.00,9.00,8.25,3.00,6.00,5.00,216,NULL,233,'DAS NAÇÕES','BAL CAMBORIÚ','SC',8513,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7242115,2.00,5.00,2.00,2.00,5.00,8.63,3.00,3.00,2.00,5,NULL,NULL,'SAGRADA FAMÍLIA','IMBITUBA','SC',18037,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7242123,4.00,7.00,3.00,6.00,6.00,9.38,3.00,6.00,2.00,316,NULL,NULL,'CENTRO','TUBARÃO','SC',5723,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7242131,2.00,8.00,2.00,6.00,7.00,5.63,4.00,6.00,5.00,654,NULL,NULL,'CENTRO','URUPEMA','SC',8055,8,NULL,NULL,NULL,NULL,NULL,2,9),(28,7242140,0.00,3.00,3.00,2.00,5.00,6.38,3.00,5.00,3.00,601,NULL,203,'BOM RETIRO','JOINVILLE','SC',18772,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7242158,2.00,3.00,1.00,6.00,3.00,7.88,1.00,4.00,1.00,207,NULL,201,'JARDIM PAULINO','S MATEUS SUL','PR',19362,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7242166,3.00,7.00,2.00,6.00,6.00,9.75,1.00,4.00,2.00,652,NULL,655,'TURIMAR','BAL GAIVOTA','SC',15919,62,NULL,NULL,NULL,NULL,NULL,2,15),(28,7242174,0.00,4.00,0.00,2.00,4.00,6.75,2.00,3.00,4.00,404,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7242182,2.00,7.00,1.00,6.00,5.00,7.88,2.00,7.00,4.00,208,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',7940,77,NULL,NULL,NULL,NULL,NULL,4,1),(28,7242190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'JD LEBLOM','REGISTRO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7242247,2.00,6.00,2.00,5.00,4.00,9.38,3.00,4.00,1.00,104,NULL,NULL,'CENTRO','NOVA ERECHIM','SC',10928,266,NULL,NULL,NULL,NULL,NULL,4,4),(28,7242255,0.00,3.00,1.00,5.00,6.00,7.13,3.00,4.00,2.00,317,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',15128,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7242280,1.00,3.00,1.00,3.00,5.00,6.00,3.00,2.00,3.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7242301,1.00,5.00,2.00,5.00,6.00,8.25,2.00,4.00,2.00,428,NULL,426,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7242310,3.00,3.00,3.00,3.00,2.00,NULL,1.00,5.00,3.00,201,NULL,202,'RES UNIAO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7242328,3.00,7.00,3.00,7.00,10.00,5.25,3.00,4.00,2.00,999,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7242336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7242344,0.00,4.00,5.00,3.00,4.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7242352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7242360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7242379,2.00,5.00,2.00,5.00,7.00,6.38,2.00,4.00,2.00,454,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',17974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7242387,0.00,4.00,3.00,4.00,4.00,NULL,0.00,3.00,1.00,450,NULL,NULL,'SÃO PEDRO','GUABIRUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7242395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7242409,2.00,4.00,3.00,6.00,5.00,7.50,1.00,6.00,1.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',17760,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7242417,5.00,7.00,4.00,7.00,8.00,7.50,4.00,8.00,6.00,203,NULL,214,'CENTRO','DOURADOS','MS',1929,167,NULL,64,NULL,NULL,NULL,4,1),(28,7242425,1.00,2.00,2.00,1.00,1.00,NULL,3.00,2.00,3.00,404,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7242433,1.00,3.00,1.00,5.00,4.00,5.63,2.00,3.00,2.00,103,NULL,NULL,'JARDIM IRIRIU','JOINVILLE','SC',19653,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7242441,4.00,6.00,4.00,5.00,6.00,9.75,4.00,5.00,4.00,201,NULL,207,'JARDIM SAO DIMAS','S JOSÉ CAMPOS','SP',5029,388,NULL,219,NULL,NULL,NULL,4,1),(28,7242468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7242476,0.00,0.00,5.00,5.00,3.00,6.38,1.00,3.00,3.00,319,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7242484,2.00,5.00,1.00,1.00,4.00,6.38,1.00,5.00,2.00,201,NULL,212,'CAÇADOR','CAPIVARI BAIXO','SC',16809,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7242506,3.00,6.00,2.00,6.00,6.00,6.38,3.00,3.00,3.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11325,325,NULL,NULL,NULL,NULL,NULL,2,1),(28,7242514,3.00,4.00,1.00,5.00,3.00,4.50,0.00,3.00,2.00,301,NULL,NULL,'SÃO MATEUS','BIGUAÇU','SC',19842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7242522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA CARVALHO','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7242530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7242549,2.00,6.00,3.00,5.00,8.00,7.50,2.00,7.00,2.00,216,NULL,215,'ITACORUBI','FLORIANÓPOLIS','SC',8699,286,NULL,152,NULL,NULL,NULL,2,1),(28,7242557,3.00,4.00,1.00,5.00,6.00,7.13,3.00,4.00,2.00,316,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',14479,182,NULL,NULL,NULL,NULL,NULL,2,1),(28,7242565,4.00,8.00,2.00,7.00,7.00,11.25,4.00,6.00,6.00,201,NULL,207,'ITACORUBI','FLORIANÓPOLIS','SC',2360,169,NULL,80,NULL,NULL,NULL,4,1),(28,7242590,4.00,5.00,2.00,7.00,7.00,7.50,3.00,5.00,3.00,207,NULL,211,'ITACORUBI','FLORIANÓPOLIS','SC',7175,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7242603,1.00,6.00,1.00,4.00,7.00,9.00,2.00,4.00,3.00,207,NULL,601,'FREI BRUNO','JOAÇABA','SC',16329,711,NULL,479,NULL,NULL,NULL,2,7),(28,7242611,2.00,6.00,1.00,6.00,4.00,5.63,4.00,4.00,4.00,203,NULL,214,'CAMPINAS','S JOSÉ','SC',14095,625,NULL,315,NULL,NULL,NULL,2,1),(28,7242620,0.00,4.00,3.00,4.00,4.00,NULL,1.00,5.00,2.00,340,NULL,NULL,'SAMUEL SANDRINI','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7242638,4.00,4.00,3.00,7.00,6.00,6.75,3.00,3.00,4.00,203,NULL,202,'TESTO SALTO','BLUMENAU','SC',10269,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7242646,2.00,6.00,3.00,4.00,6.00,8.63,4.00,5.00,5.00,104,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',8369,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7242654,5.00,5.00,0.00,6.00,9.00,8.25,5.00,6.00,5.00,212,NULL,213,'BARREIROS','S JOSÉ','SC',4843,153,NULL,77,NULL,NULL,NULL,2,1),(28,7242662,2.00,4.00,2.00,6.00,6.00,7.88,1.00,3.00,2.00,102,NULL,NULL,'COLONIAL','S BENTO SUL','SC',12815,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7242670,4.00,7.00,4.00,5.00,9.00,9.00,2.00,4.00,7.00,103,NULL,NULL,'FIDÉLIS','BLUMENAU','SC',3204,1182,NULL,NULL,NULL,NULL,NULL,4,2),(28,7242689,4.00,5.00,2.00,4.00,5.00,9.38,2.00,6.00,4.00,601,NULL,202,'VILA NOVA','JOINVILLE','SC',9389,248,NULL,NULL,NULL,NULL,NULL,4,8),(28,7242697,2.00,5.00,1.00,6.00,5.00,6.75,3.00,5.00,2.00,102,NULL,NULL,'DOS ESTADOS','INDAIAL','SC',11356,107,NULL,NULL,NULL,NULL,NULL,4,2),(28,7242719,2.00,4.00,2.00,4.00,4.00,8.25,2.00,5.00,4.00,208,NULL,NULL,'AREIAS','S JOSÉ','SC',11945,132,NULL,NULL,NULL,NULL,NULL,4,1),(28,7242727,6.00,7.00,2.00,7.00,7.00,8.63,6.00,7.00,6.00,208,NULL,NULL,'VILA NOVA','LAGES','SC',1267,6,NULL,NULL,NULL,NULL,NULL,4,9),(28,7242735,2.00,3.00,1.00,6.00,5.00,7.13,2.00,3.00,4.00,318,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',17587,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7242751,3.00,5.00,3.00,3.00,5.00,7.13,1.00,4.00,3.00,208,NULL,NULL,'JARDIM UTINGA','STO ANDRÉ','SP',17944,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7242778,6.00,7.00,4.00,8.00,6.00,12.00,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1990,883,NULL,NULL,NULL,NULL,NULL,4,1),(28,7242786,2.00,6.00,3.00,6.00,6.00,7.88,2.00,6.00,2.00,211,NULL,207,'CAMPECHE','FLORIANÓPOLIS','SC',15182,377,NULL,NULL,NULL,NULL,NULL,4,1),(28,7242816,2.00,3.00,1.00,2.00,4.00,7.88,3.00,4.00,2.00,454,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',16538,334,NULL,NULL,NULL,NULL,NULL,4,1),(28,7242832,4.00,7.00,3.00,7.00,9.00,8.63,4.00,7.00,7.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1515,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7242859,0.00,3.00,2.00,5.00,5.00,6.38,0.00,3.00,4.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7242883,6.00,6.00,2.00,4.00,9.00,6.75,3.00,8.00,5.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',4482,1417,NULL,NULL,NULL,NULL,NULL,2,15),(28,7242891,1.00,4.00,2.00,3.00,4.00,7.88,0.00,4.00,4.00,203,NULL,601,'KM SESSENTA E TRÊS','TUBARÃO','SC',14269,628,NULL,424,NULL,NULL,NULL,4,10),(28,7242921,0.00,5.00,1.00,3.00,4.00,7.13,4.00,5.00,3.00,5,NULL,NULL,'COHAB','GR PARÁ','SC',18284,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7242930,2.00,5.00,0.00,1.00,2.00,NULL,3.00,4.00,2.00,999,NULL,NULL,'CANUDOS','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7242948,0.00,3.00,2.00,4.00,4.00,8.25,2.00,4.00,3.00,208,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15774,174,NULL,NULL,NULL,NULL,NULL,2,1),(28,7242956,2.00,2.00,4.00,4.00,3.00,NULL,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7242964,3.00,4.00,2.00,4.00,2.00,NULL,1.00,3.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7242972,1.00,6.00,3.00,6.00,5.00,4.50,2.00,6.00,3.00,238,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',16679,291,NULL,265,NULL,NULL,NULL,4,1),(28,7242980,0.00,5.00,1.00,6.00,5.00,9.00,4.00,5.00,2.00,216,NULL,211,'IRIRIU','JOINVILLE','SC',14202,388,NULL,358,NULL,NULL,NULL,4,8),(28,7242999,0.00,4.00,2.00,6.00,3.00,7.50,2.00,1.00,2.00,999,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243006,2.00,2.00,2.00,3.00,5.00,NULL,0.00,2.00,2.00,302,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7243014,0.00,5.00,1.00,7.00,2.00,NULL,2.00,1.00,2.00,454,NULL,NULL,'REGIAO DO LAGO I','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243022,3.00,6.00,5.00,6.00,8.00,9.38,6.00,6.00,5.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',2450,177,NULL,58,NULL,NULL,NULL,4,1),(28,7243030,4.00,6.00,4.00,5.00,7.00,11.25,5.00,6.00,4.00,223,NULL,NULL,'BARREIROS','S JOSÉ','SC',7231,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243049,0.00,4.00,2.00,4.00,3.00,6.75,1.00,5.00,2.00,203,NULL,201,'CENTRO','JOAÇABA','SC',16740,669,NULL,NULL,NULL,NULL,NULL,4,7),(28,7243065,1.00,7.00,3.00,6.00,8.00,4.50,4.00,6.00,4.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5991,94,NULL,NULL,NULL,NULL,NULL,2,1),(28,7243073,4.00,5.00,1.00,5.00,5.00,10.13,2.00,3.00,1.00,207,NULL,NULL,'CENTRO','S JOSÉ','SC',17215,744,NULL,NULL,NULL,NULL,NULL,2,1),(28,7243081,3.00,5.00,3.00,6.00,7.00,9.00,2.00,5.00,5.00,310,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12144,28,NULL,NULL,NULL,NULL,NULL,2,1),(28,7243090,5.00,7.00,2.00,7.00,8.00,7.50,5.00,6.00,2.00,201,NULL,203,'CENTRO','BRAÇO TROMBUDO','SC',4562,356,NULL,316,NULL,NULL,NULL,4,24),(28,7243111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'V N CACHOEIRINHA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7243138,2.00,7.00,0.00,5.00,5.00,6.75,4.00,4.00,2.00,203,NULL,214,'ESTREITO','ALFREDO WAGNER','SC',13490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243146,0.00,6.00,1.00,6.00,6.00,8.63,4.00,5.00,4.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9428,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7243154,4.00,6.00,3.00,7.00,6.00,10.88,3.00,2.00,3.00,207,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',7988,364,NULL,203,NULL,NULL,NULL,4,1),(28,7243162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7243170,2.00,6.00,1.00,5.00,7.00,9.75,3.00,4.00,0.00,415,NULL,NULL,'CENTRO','LONDRINA','PR',16184,240,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243189,3.00,7.00,4.00,6.00,6.00,10.13,5.00,6.00,5.00,212,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',6876,214,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243200,2.00,6.00,2.00,7.00,6.00,10.13,1.00,7.00,2.00,207,NULL,201,'VILA VALENÇA','S VICENTE','SP',8530,395,NULL,609,NULL,NULL,NULL,4,1),(28,7243219,5.00,6.00,2.00,6.00,6.00,7.50,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6142,1651,NULL,NULL,NULL,NULL,NULL,2,1),(28,7243227,4.00,7.00,3.00,5.00,7.00,8.63,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3918,1310,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243235,2.00,7.00,0.00,6.00,1.00,NULL,3.00,5.00,3.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7243243,0.00,4.00,2.00,7.00,6.00,NULL,2.00,6.00,1.00,428,NULL,425,'CAMARGO II','ÁGUAS S PEDRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7243251,3.00,6.00,2.00,5.00,7.00,7.50,4.00,5.00,5.00,103,NULL,NULL,'JARDIM ITAIPÚ','PRES PRUDENTE','SP',6322,1678,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'VIVENDAS DO ARVOREDO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7243278,4.00,6.00,3.00,5.00,6.00,6.00,4.00,5.00,3.00,212,NULL,213,'CENTRO','BIGUAÇU','SC',7885,NULL,NULL,135,NULL,NULL,NULL,2,1),(28,7243286,2.00,6.00,5.00,7.00,8.00,10.13,3.00,7.00,4.00,203,NULL,220,'CENTRO','FRAIBURGO','SC',3195,NULL,NULL,93,NULL,NULL,NULL,4,25),(28,7243308,2.00,4.00,2.00,4.00,8.00,NULL,0.00,2.00,2.00,454,NULL,NULL,'DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7243316,5.00,7.00,2.00,3.00,8.00,8.63,5.00,6.00,6.00,203,NULL,216,'CENTRO','LAGES','SC',8417,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7243324,1.00,2.00,3.00,4.00,1.00,NULL,1.00,3.00,2.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7243332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'CIDADE NOVA','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7243340,1.00,7.00,2.00,7.00,5.00,7.13,5.00,4.00,4.00,207,NULL,201,'VILA OPERÁRIA','ITAJAÍ','SC',8013,367,NULL,NULL,NULL,NULL,NULL,4,6),(28,7243367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'BARRA DA TIJUCA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7243375,0.00,8.00,2.00,4.00,6.00,7.88,0.00,4.00,4.00,238,NULL,213,'COQUEIROS','FLORIANÓPOLIS','SC',15781,268,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243383,0.00,6.00,2.00,3.00,3.00,NULL,0.00,6.00,1.00,301,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243391,2.00,5.00,2.00,5.00,8.00,8.25,3.00,4.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14270,197,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243405,2.00,5.00,1.00,3.00,4.00,5.63,4.00,3.00,3.00,214,NULL,601,'AREIAS','S JOSÉ','SC',14092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243413,3.00,3.00,2.00,7.00,6.00,10.13,1.00,3.00,2.00,203,NULL,214,'GLÓRIA','JOINVILLE','SC',16465,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7243421,1.00,6.00,2.00,4.00,5.00,6.75,0.00,4.00,2.00,451,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',16634,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243448,3.00,7.00,0.00,5.00,4.00,9.38,4.00,6.00,3.00,211,NULL,216,'SÃO CRISTÓVÃO','CASCAVEL','PR',13137,337,NULL,NULL,NULL,NULL,NULL,2,1),(28,7243456,1.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7243480,1.00,8.00,1.00,5.00,7.00,7.13,3.00,5.00,5.00,202,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',10136,260,NULL,177,NULL,NULL,NULL,2,1),(28,7243510,3.00,6.00,1.00,6.00,7.00,6.38,5.00,6.00,2.00,104,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7243529,3.00,5.00,2.00,7.00,4.00,6.00,3.00,2.00,5.00,216,NULL,213,'JARDIM CAIÇARA I','REGISTRO','SP',11153,338,NULL,193,NULL,NULL,NULL,4,8),(28,7243537,2.00,0.00,4.00,3.00,6.00,NULL,0.00,0.00,0.00,215,NULL,233,'PARQUE NOVO MUNDO','AMERICANA','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7243545,4.00,3.00,3.00,7.00,6.00,7.50,2.00,4.00,3.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11761,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7243553,3.00,7.00,2.00,4.00,4.00,10.13,2.00,7.00,2.00,318,NULL,NULL,'CENTRO','CRICIÚMA','SC',14436,101,NULL,NULL,NULL,NULL,NULL,2,5),(28,7243561,4.00,6.00,3.00,7.00,8.00,8.63,4.00,6.00,5.00,340,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',5898,148,NULL,NULL,NULL,NULL,NULL,4,2),(28,7243570,1.00,4.00,3.00,2.00,6.00,7.88,1.00,4.00,3.00,211,NULL,233,'PRAÇA','TIJUCAS','SC',15508,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7243596,3.00,5.00,3.00,6.00,2.00,NULL,3.00,4.00,2.00,208,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243600,3.00,8.00,1.00,7.00,6.00,7.13,5.00,4.00,3.00,601,NULL,203,'CIDADE BAIXA','PTO ALEGRE','RS',8435,208,NULL,NULL,NULL,NULL,NULL,2,1),(28,7243618,3.00,4.00,0.00,6.00,4.00,7.13,0.00,5.00,1.00,301,NULL,NULL,'BOSQUE DA SAUDE','CUIABÁ','MT',19201,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7243650,4.00,8.00,5.00,4.00,8.00,12.00,4.00,5.00,6.00,103,NULL,NULL,'AFONSO PENA','S JOSÉ PINHAIS','PR',1382,704,NULL,NULL,NULL,NULL,NULL,4,8),(28,7243677,3.00,7.00,3.00,6.00,6.00,8.25,3.00,6.00,5.00,238,NULL,214,'AGRONOMICA','FLORIANÓPOLIS','SC',5911,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243685,2.00,4.00,1.00,5.00,5.00,7.50,2.00,3.00,2.00,5,NULL,NULL,'VILA NOVA','IMBITUBA','SC',14695,400,NULL,NULL,NULL,NULL,NULL,2,1),(28,7243693,2.00,7.00,2.00,6.00,9.00,8.25,5.00,5.00,3.00,104,NULL,NULL,'VILLAGE','IMBITUBA','SC',9050,215,NULL,NULL,NULL,NULL,NULL,2,10),(28,7243707,0.00,3.00,2.00,4.00,4.00,6.38,0.00,2.00,1.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',20082,2528,NULL,NULL,NULL,NULL,NULL,2,1),(28,7243723,0.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7243740,0.00,0.00,2.00,4.00,4.00,5.25,2.00,2.00,1.00,404,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7243758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'SACO GRANDE II','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7243774,2.00,6.00,2.00,7.00,7.00,10.13,3.00,3.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243782,4.00,9.00,3.00,6.00,7.00,10.13,4.00,8.00,6.00,318,NULL,NULL,'CENTRO HISTÓRICO','PTO ALEGRE','RS',1301,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243790,3.00,5.00,2.00,4.00,5.00,7.50,3.00,3.00,3.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16902,132,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JARDIM NOVA COIMBRA','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',5,8),(28,7243812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7243820,1.00,3.00,1.00,5.00,4.00,7.13,3.00,5.00,2.00,203,NULL,214,'CARIANOS','FLORIANÓPOLIS','SC',18795,700,NULL,NULL,NULL,NULL,NULL,2,1),(28,7243847,2.00,5.00,3.00,3.00,5.00,6.00,2.00,1.00,3.00,502,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19138,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243855,0.00,6.00,3.00,5.00,4.00,NULL,1.00,2.00,2.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243863,4.00,5.00,3.00,6.00,6.00,6.38,2.00,5.00,4.00,304,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',14491,105,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243871,5.00,5.00,3.00,6.00,3.00,6.75,2.00,4.00,5.00,216,NULL,211,'ALTOS DA BELA VISTA','INDAIATUBA','SP',12810,364,NULL,332,NULL,NULL,NULL,4,1),(28,7243880,2.00,1.00,0.00,0.00,2.00,NULL,1.00,1.00,0.00,207,NULL,201,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243898,4.00,5.00,3.00,6.00,5.00,9.00,6.00,6.00,7.00,220,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6800,187,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243901,1.00,2.00,1.00,2.00,4.00,8.25,2.00,5.00,3.00,320,NULL,NULL,'SANTO ANTÔNIO','ITUPORANGA','SC',19465,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7243928,4.00,8.00,3.00,6.00,5.00,7.13,4.00,5.00,1.00,454,NULL,NULL,'SERRARIA','S JOSÉ','SC',8122,145,NULL,NULL,NULL,NULL,NULL,4,1),(28,7243936,0.00,5.00,1.00,6.00,5.00,8.63,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','ITUPORANGA','SC',12051,2204,NULL,NULL,NULL,NULL,NULL,4,24),(28,7243944,4.00,5.00,3.00,5.00,6.00,8.63,3.00,5.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14786,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7243979,4.00,4.00,2.00,6.00,6.00,6.00,1.00,4.00,1.00,104,NULL,NULL,'CENTRO','ITUPORANGA','SC',12849,317,NULL,NULL,NULL,NULL,NULL,2,24),(28,7243987,4.00,5.00,2.00,7.00,6.00,4.50,1.00,6.00,2.00,301,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',11851,159,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244002,0.00,3.00,2.00,3.00,5.00,6.75,2.00,4.00,3.00,339,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244010,4.00,6.00,2.00,3.00,4.00,9.00,4.00,4.00,4.00,211,NULL,233,'JARDIM EUCALIPTUS','PALHOÇA','SC',10976,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'MATO ALTO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7244037,1.00,5.00,1.00,5.00,4.00,0.00,3.00,4.00,2.00,238,NULL,220,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'RODEIO GRANDE','MTE CASTELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7244053,6.00,8.00,4.00,7.00,8.00,9.75,6.00,7.00,7.00,201,NULL,212,'ANITA GARIBALDI','JOINVILLE','SC',605,25,NULL,NULL,NULL,NULL,NULL,1,8),(28,7244061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7244070,0.00,3.00,2.00,3.00,6.00,NULL,2.00,3.00,3.00,601,NULL,201,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7244096,4.00,5.00,1.00,3.00,3.00,7.88,0.00,5.00,3.00,319,NULL,NULL,'VILA PORTUGUESA','STO ANTÔNIO PLATINA','PR',12162,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244100,1.00,6.00,1.00,3.00,4.00,7.13,3.00,1.00,2.00,104,NULL,NULL,'RIO AZUL','RIO CAMPO','SC',19211,453,NULL,NULL,NULL,NULL,NULL,4,24),(28,7244118,0.00,4.00,2.00,2.00,5.00,10.13,0.00,2.00,1.00,201,NULL,NULL,'VILA NOVA','JOINVILLE','SC',19431,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7244126,1.00,4.00,1.00,4.00,3.00,8.25,4.00,3.00,2.00,5,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',19018,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7244142,0.00,5.00,2.00,3.00,4.00,9.00,2.00,5.00,3.00,319,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',18391,353,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244150,2.00,5.00,3.00,6.00,6.00,7.88,2.00,5.00,4.00,207,NULL,652,'PERPÉTUO SOCORRO','S LOURENÇO OESTE','SC',10441,477,NULL,24,NULL,NULL,NULL,4,4),(28,7244169,3.00,6.00,0.00,3.00,8.00,6.00,4.00,5.00,4.00,303,NULL,NULL,'SANTA REGINA','CAMBORIÚ','SC',14637,524,NULL,NULL,NULL,NULL,NULL,4,3),(28,7244185,6.00,6.00,2.00,7.00,8.00,10.88,2.00,7.00,4.00,319,NULL,NULL,'COPACABANA','RIO JANEIRO','RJ',6016,95,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244193,7.00,7.00,2.00,7.00,8.00,7.13,5.00,5.00,5.00,216,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',4206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7244215,2.00,8.00,5.00,7.00,6.00,9.00,1.00,6.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11625,334,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244240,1.00,6.00,2.00,6.00,8.00,8.25,0.00,5.00,3.00,216,NULL,211,'OFICINAS','TUBARÃO','SC',8888,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7244266,3.00,5.00,0.00,4.00,6.00,0.00,2.00,6.00,1.00,340,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244274,1.00,3.00,4.00,7.00,5.00,6.75,1.00,5.00,3.00,3,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12469,55,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244282,1.00,6.00,0.00,6.00,4.00,6.75,3.00,5.00,2.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13682,263,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'UBATUBA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7244312,0.00,5.00,2.00,6.00,3.00,9.38,0.00,4.00,3.00,222,NULL,NULL,'CENTRO','VOTORANTIM','SP',14516,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244320,0.00,2.00,2.00,0.00,2.00,NULL,1.00,1.00,3.00,303,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244339,1.00,7.00,1.00,3.00,6.00,7.13,2.00,6.00,3.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14760,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7244355,1.00,7.00,1.00,6.00,5.00,10.50,5.00,6.00,3.00,208,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',6569,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244380,2.00,7.00,2.00,7.00,7.00,11.25,1.00,5.00,3.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244398,4.00,4.00,2.00,6.00,6.00,5.25,4.00,3.00,0.00,103,NULL,NULL,'CENTRO','S JOSÉ','SC',18249,2479,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244401,0.00,3.00,2.00,2.00,4.00,NULL,1.00,2.00,1.00,340,NULL,NULL,'NOVO HORIZONTE','MARABÁ','PA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'MORRO DOS CONVENTOS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7244436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7244444,5.00,6.00,2.00,6.00,8.00,7.13,4.00,6.00,3.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244460,0.00,6.00,1.00,3.00,7.00,9.00,1.00,5.00,5.00,201,NULL,212,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',9047,629,NULL,272,NULL,NULL,NULL,4,1),(28,7244479,7.00,8.00,3.00,6.00,10.00,7.88,3.00,7.00,6.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3230,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'SAO JOSE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7244495,4.00,4.00,1.00,4.00,7.00,7.50,2.00,6.00,2.00,215,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',11936,202,NULL,190,NULL,NULL,NULL,4,1),(28,7244509,3.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7244517,0.00,4.00,0.00,0.00,0.00,NULL,0.00,1.00,1.00,208,NULL,NULL,'INTERIOR','ÁGUAS CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,4),(28,7244525,2.00,4.00,1.00,7.00,6.00,6.38,2.00,4.00,1.00,424,NULL,427,'CAMPECHE','FLORIANÓPOLIS','SC',18924,40,NULL,24,NULL,NULL,NULL,4,1),(28,7244533,2.00,4.00,1.00,2.00,4.00,5.63,2.00,1.00,3.00,202,NULL,213,'NOVA BRASILIA','IMBITUBA','SC',20038,404,NULL,289,NULL,NULL,NULL,4,1),(28,7244541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,429,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7244550,0.00,3.00,2.00,0.00,4.00,NULL,0.00,5.00,0.00,207,NULL,201,'INTERIOR','GALVÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244568,0.00,5.00,1.00,6.00,5.00,NULL,2.00,1.00,1.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7244576,1.00,7.00,4.00,4.00,8.00,12.00,5.00,4.00,6.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',3689,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244584,1.00,5.00,1.00,2.00,1.00,NULL,2.00,5.00,0.00,201,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244592,2.00,4.00,0.00,1.00,4.00,4.50,1.00,3.00,1.00,301,NULL,NULL,'RIO DO CEDRO','ÁGUAS MORNAS','SC',18479,249,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244606,2.00,6.00,2.00,5.00,5.00,8.63,3.00,6.00,1.00,213,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',11781,200,NULL,192,NULL,NULL,NULL,2,1),(28,7244614,3.00,6.00,3.00,5.00,8.00,7.50,3.00,5.00,4.00,503,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10310,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244630,1.00,6.00,4.00,6.00,4.00,7.13,4.00,7.00,2.00,5,NULL,NULL,'CANTO DOS ARAÇÁS','FLORIANÓPOLIS','SC',10934,318,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244649,5.00,0.00,1.00,6.00,7.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7244657,0.00,6.00,1.00,6.00,5.00,8.25,2.00,6.00,4.00,201,NULL,207,'INTERIOR','ITAPIRANGA','SC',10829,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7244665,2.00,8.00,2.00,7.00,5.00,8.25,4.00,8.00,3.00,336,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',11549,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244673,1.00,5.00,2.00,5.00,6.00,7.50,3.00,4.00,4.00,230,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11869,7,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7244746,1.00,3.00,1.00,3.00,5.00,6.75,4.00,4.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244762,3.00,5.00,1.00,6.00,8.00,7.13,3.00,6.00,5.00,301,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',9173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244770,3.00,6.00,3.00,7.00,7.00,9.00,5.00,6.00,6.00,501,NULL,NULL,'ESQUINA','URUBICI','SC',6760,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244800,3.00,6.00,3.00,6.00,4.00,9.00,3.00,5.00,4.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13750,82,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244819,5.00,7.00,3.00,5.00,9.00,9.38,4.00,6.00,5.00,103,NULL,NULL,'HUMAITA','TUBARÃO','SC',2906,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7244827,0.00,4.00,1.00,4.00,5.00,NULL,2.00,3.00,4.00,223,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244835,4.00,6.00,1.00,3.00,8.00,5.63,3.00,6.00,6.00,238,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',7980,106,NULL,138,NULL,NULL,NULL,4,1),(28,7244843,6.00,7.00,5.00,5.00,6.00,7.50,3.00,6.00,3.00,238,NULL,201,'VILA NOVA','BLUMENAU','SC',9231,132,NULL,NULL,NULL,NULL,NULL,4,2),(28,7244860,3.00,5.00,2.00,5.00,4.00,6.75,3.00,6.00,4.00,108,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244878,1.00,6.00,3.00,2.00,6.00,7.13,3.00,5.00,5.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10281,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244886,1.00,4.00,3.00,4.00,4.00,8.25,2.00,4.00,2.00,340,NULL,NULL,'VILA FLORES','BAURU','SP',14728,388,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244894,0.00,5.00,1.00,6.00,6.00,NULL,1.00,4.00,2.00,327,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244924,3.00,6.00,2.00,7.00,7.00,12.00,3.00,5.00,4.00,333,NULL,NULL,'ITAQUERA','S PAULO','SP',4490,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244932,2.00,3.00,1.00,3.00,5.00,9.00,2.00,2.00,1.00,317,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15314,108,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244940,2.00,8.00,3.00,7.00,7.00,8.25,3.00,4.00,5.00,235,NULL,213,'CAMPECHE','FLORIANÓPOLIS','SC',7742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7244959,4.00,7.00,2.00,7.00,5.00,12.00,2.00,6.00,6.00,216,NULL,215,'CARVOEIRA','FLORIANÓPOLIS','SC',6494,224,NULL,92,NULL,NULL,NULL,2,1),(28,7244967,1.00,6.00,3.00,3.00,3.00,7.88,0.00,5.00,2.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7244983,1.00,4.00,0.00,6.00,3.00,4.50,2.00,2.00,1.00,201,NULL,202,'RIO VERMELHO','FLORIANÓPOLIS','SC',20083,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','ANDRADINA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7245033,0.00,6.00,3.00,3.00,4.00,0.00,3.00,6.00,3.00,303,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'HIGIENÓPOLIS','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7245050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7245068,4.00,8.00,3.00,7.00,8.00,7.50,6.00,7.00,5.00,103,NULL,NULL,'RIO TIGRE','BENEDITO NOVO','SC',4340,1395,NULL,NULL,NULL,NULL,NULL,4,2),(28,7245084,4.00,5.00,3.00,6.00,3.00,6.00,3.00,3.00,2.00,207,NULL,233,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',18178,771,NULL,347,NULL,NULL,NULL,2,1),(28,7245092,6.00,7.00,5.00,6.00,9.00,8.63,5.00,5.00,7.00,214,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',1622,49,NULL,16,NULL,NULL,NULL,4,1),(28,7245114,0.00,1.00,0.00,0.00,0.00,NULL,2.00,1.00,3.00,503,NULL,NULL,'JARDIM MIRIAM','S PAULO','SP',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(28,7245130,3.00,5.00,3.00,6.00,3.00,6.75,3.00,3.00,4.00,404,NULL,NULL,'ITAQUERA','S PAULO','SP',11282,10,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245149,4.00,6.00,2.00,7.00,7.00,10.88,1.00,6.00,4.00,319,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',5141,76,NULL,NULL,NULL,NULL,NULL,4,1),(28,7245157,0.00,7.00,3.00,5.00,4.00,6.75,3.00,6.00,5.00,552,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',10204,35,NULL,NULL,NULL,NULL,NULL,2,15),(28,7245165,7.00,8.00,3.00,6.00,9.00,5.25,5.00,6.00,6.00,201,NULL,601,'VILLAGE','GAROPABA','SC',2791,208,NULL,35,NULL,NULL,NULL,4,1),(28,7245181,2.00,4.00,1.00,3.00,3.00,NULL,0.00,1.00,4.00,319,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7245211,1.00,2.00,1.00,5.00,6.00,9.00,0.00,2.00,4.00,208,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',15259,166,NULL,NULL,NULL,NULL,NULL,4,1),(28,7245220,0.00,1.00,2.00,2.00,6.00,4.50,1.00,2.00,1.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7245246,1.00,5.00,1.00,7.00,10.00,7.88,3.00,3.00,2.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',12106,461,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245254,5.00,6.00,2.00,7.00,9.00,8.25,4.00,7.00,5.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',3806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245262,5.00,8.00,3.00,7.00,9.00,8.25,3.00,6.00,7.00,201,NULL,207,'PANAZZOLO','CAXIAS SUL','RS',1855,114,NULL,57,NULL,NULL,NULL,2,15),(28,7245270,0.00,5.00,2.00,6.00,8.00,NULL,2.00,2.00,2.00,302,NULL,NULL,'SANTA CATARINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7245319,3.00,3.00,3.00,4.00,7.00,8.25,2.00,6.00,4.00,552,NULL,NULL,'CEFER DOIS','PTO ALEGRE','RS',10381,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245327,2.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'NOSSA SRA APARECIDA','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,9),(28,7245335,3.00,5.00,2.00,6.00,5.00,9.75,4.00,3.00,3.00,9,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',10245,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245351,7.00,4.00,1.00,6.00,8.00,7.13,5.00,5.00,3.00,103,NULL,NULL,'CENTRO','S BERNARDINO','SC',4924,1483,NULL,NULL,NULL,NULL,NULL,2,4),(28,7245386,6.00,6.00,4.00,6.00,8.00,8.63,6.00,6.00,6.00,220,NULL,235,'VILA NOVA','LAGES','SC',2066,59,NULL,18,NULL,NULL,NULL,4,9),(28,7245394,0.00,5.00,3.00,6.00,4.00,8.25,1.00,5.00,1.00,652,NULL,655,'SEDE CAPELA','ITAPIRANGA','SC',18133,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7245408,6.00,8.00,5.00,7.00,7.00,10.13,6.00,7.00,3.00,201,NULL,NULL,'JARDIM SÃO BENTO','CPO GRANDE','MS',1169,62,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7245424,2.00,5.00,1.00,7.00,7.00,8.25,4.00,4.00,3.00,109,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10919,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'ANA ESTELA','CARAPICUÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7245440,1.00,3.00,1.00,4.00,4.00,6.75,0.00,4.00,1.00,454,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19778,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245459,1.00,3.00,2.00,4.00,6.00,7.88,1.00,3.00,4.00,109,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15583,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245475,0.00,7.00,1.00,7.00,8.00,9.75,4.00,4.00,2.00,304,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',8028,58,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'GABIROBA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7245513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7245530,2.00,5.00,3.00,6.00,4.00,6.00,4.00,2.00,0.00,454,NULL,NULL,'UNIÃO','PALOTINA','PR',17849,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245548,0.00,4.00,1.00,5.00,5.00,NULL,0.00,1.00,1.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7245556,6.00,8.00,5.00,7.00,10.00,9.38,7.00,6.00,6.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',694,426,NULL,NULL,NULL,NULL,NULL,4,1),(28,7245564,0.00,8.00,0.00,5.00,8.00,7.88,5.00,3.00,4.00,454,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',8284,150,NULL,NULL,NULL,NULL,NULL,4,1),(28,7245572,1.00,7.00,3.00,7.00,8.00,11.25,3.00,6.00,6.00,103,NULL,NULL,'KAYSER','CAXIAS SUL','RS',3937,1312,NULL,NULL,NULL,NULL,NULL,2,15),(28,7245580,4.00,8.00,2.00,7.00,7.00,8.63,3.00,7.00,5.00,225,NULL,NULL,'PROGRESSO','LAGUNA','SC',4289,2,NULL,NULL,NULL,NULL,NULL,4,10),(28,7245599,5.00,7.00,5.00,7.00,7.00,9.00,5.00,7.00,5.00,214,NULL,213,'GRAGERU','ARACAJU','SE',2148,75,NULL,14,NULL,NULL,NULL,2,1),(28,7245602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TATUAPE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7245629,3.00,5.00,2.00,5.00,8.00,8.25,5.00,6.00,4.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6637,298,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245637,3.00,5.00,3.00,6.00,7.00,7.88,2.00,6.00,5.00,454,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',9144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7245645,3.00,5.00,3.00,4.00,5.00,7.50,2.00,4.00,1.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13212,369,NULL,NULL,NULL,NULL,NULL,4,1),(28,7245653,4.00,7.00,3.00,5.00,8.00,9.00,3.00,6.00,5.00,450,NULL,NULL,'ZONA DOIS','UMUARAMA','PR',2871,16,NULL,NULL,NULL,NULL,NULL,4,4),(28,7245661,3.00,5.00,1.00,5.00,4.00,6.75,3.00,7.00,4.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',10015,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7245688,2.00,7.00,1.00,5.00,7.00,9.75,4.00,6.00,4.00,104,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',6489,139,NULL,NULL,NULL,NULL,NULL,4,1),(28,7245696,5.00,8.00,4.00,5.00,7.00,9.75,6.00,4.00,5.00,103,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',2361,981,NULL,NULL,NULL,NULL,NULL,4,1),(28,7245700,1.00,2.00,1.00,4.00,6.00,7.88,2.00,6.00,3.00,415,NULL,NULL,'BELA VISTA','S LUDGERO','SC',13240,214,NULL,NULL,NULL,NULL,NULL,4,10),(28,7245718,7.00,7.00,4.00,6.00,6.00,6.38,5.00,5.00,8.00,103,NULL,NULL,'VILA DIONISIA','S PAULO','SP',2608,1047,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245726,2.00,7.00,3.00,1.00,7.00,7.13,1.00,4.00,5.00,208,NULL,NULL,'ARMAÇÃO P SUL','FLORIANÓPOLIS','SC',10456,110,NULL,NULL,NULL,NULL,NULL,4,1),(28,7245734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7245742,3.00,5.00,2.00,5.00,6.00,6.38,2.00,4.00,1.00,318,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14293,99,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'VILA DOMINGUES','VOTORANTIM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7245777,2.00,4.00,1.00,4.00,4.00,8.63,1.00,2.00,0.00,103,NULL,NULL,'FREI BRUNO','JOAÇABA','SC',19725,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7245785,3.00,6.00,2.00,5.00,4.00,7.88,1.00,4.00,1.00,203,NULL,214,'UNIÃO','MARAVILHA','SC',13516,613,NULL,304,NULL,NULL,NULL,2,27),(28,7245793,3.00,6.00,2.00,2.00,3.00,5.25,1.00,2.00,1.00,201,NULL,207,'RIO TAVARES','FLORIANÓPOLIS','SC',19675,1048,NULL,810,NULL,NULL,NULL,2,1),(28,7245807,0.00,5.00,2.00,7.00,6.00,7.88,1.00,6.00,1.00,317,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',16625,135,NULL,NULL,NULL,NULL,NULL,4,1),(28,7245823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','S JOÃO URTIGA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7245831,0.00,4.00,2.00,2.00,2.00,NULL,2.00,6.00,3.00,999,NULL,NULL,'CENTRO','GR PARÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7245840,2.00,7.00,2.00,6.00,8.00,9.75,2.00,5.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8072,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7245866,3.00,6.00,1.00,4.00,5.00,7.13,1.00,5.00,2.00,202,NULL,213,'ARIRIU','PALHOÇA','SC',12763,310,NULL,218,NULL,NULL,NULL,4,1),(28,7245874,1.00,5.00,1.00,5.00,6.00,7.50,1.00,4.00,1.00,230,NULL,NULL,'CENTRO','JOAÇABA','SC',15024,14,NULL,NULL,NULL,NULL,NULL,2,7),(28,7245890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'INDUSTRIAL','REALEZA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,27),(28,7245912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7245920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7245939,1.00,7.00,1.00,6.00,7.00,6.38,4.00,7.00,3.00,338,NULL,NULL,'SANTO ANTONIO','FRAIBURGO','SC',7963,4,NULL,NULL,NULL,NULL,NULL,2,25),(28,7245947,2.00,4.00,3.00,4.00,3.00,9.00,2.00,3.00,0.00,101,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',15619,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245955,1.00,6.00,4.00,6.00,4.00,6.75,3.00,4.00,4.00,331,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11673,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245963,2.00,7.00,2.00,4.00,7.00,10.13,0.00,3.00,5.00,207,NULL,211,'VILA MOEMA','TUBARÃO','SC',7966,362,NULL,216,NULL,NULL,NULL,4,1),(28,7245971,2.00,8.00,1.00,5.00,7.00,11.25,2.00,5.00,6.00,216,NULL,211,'SAGRADO C DE JESUS','LAGES','SC',4496,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7245980,0.00,3.00,2.00,4.00,6.00,5.63,2.00,2.00,3.00,444,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',17258,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7245998,5.00,5.00,2.00,7.00,6.00,7.88,6.00,5.00,5.00,202,NULL,601,'SAGUAÇU','JOINVILLE','SC',4763,NULL,NULL,86,NULL,NULL,NULL,4,8),(28,7246005,4.00,8.00,0.00,6.00,6.00,7.50,5.00,6.00,4.00,303,NULL,NULL,'CAETANO BRANCO','JOAÇABA','SC',7135,319,NULL,NULL,NULL,NULL,NULL,4,7),(28,7246013,2.00,7.00,2.00,5.00,5.00,6.75,0.00,5.00,2.00,454,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13748,275,NULL,NULL,NULL,NULL,NULL,4,1),(28,7246021,1.00,5.00,1.00,6.00,4.00,6.75,1.00,5.00,2.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',18802,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7246030,0.00,3.00,2.00,5.00,4.00,3.00,2.00,1.00,4.00,308,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7246064,0.00,4.00,2.00,5.00,7.00,NULL,3.00,3.00,2.00,317,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7246072,1.00,6.00,1.00,6.00,7.00,9.38,3.00,6.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8597,231,NULL,NULL,NULL,NULL,NULL,4,1),(28,7246080,8.00,8.00,4.00,6.00,10.00,9.75,6.00,7.00,7.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',485,334,NULL,NULL,NULL,NULL,NULL,2,1),(28,7246102,3.00,5.00,2.00,7.00,7.00,8.25,3.00,3.00,1.00,415,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',11956,195,NULL,NULL,NULL,NULL,NULL,4,1),(28,7246110,2.00,0.00,1.00,0.00,1.00,NULL,3.00,3.00,0.00,652,NULL,655,'CENTRO','TIMBÉ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7246129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'UMARIZAL','BELÉM','PA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7246137,4.00,6.00,2.00,5.00,7.00,7.88,3.00,4.00,6.00,5,NULL,NULL,'CENTRO','BIGUAÇU','SC',7665,236,NULL,NULL,NULL,NULL,NULL,4,1),(28,7246161,3.00,6.00,2.00,5.00,7.00,7.88,1.00,5.00,4.00,103,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',9340,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7246170,7.00,8.00,6.00,7.00,9.00,10.13,5.00,8.00,7.00,222,NULL,NULL,'LIMOEIRO','BRUSQUE','SC',220,2,NULL,NULL,NULL,NULL,NULL,4,22),(28,7246196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7246200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'INDUSTRIAL','REALEZA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,27),(28,7246218,0.00,3.00,2.00,5.00,4.00,6.75,3.00,2.00,2.00,404,NULL,NULL,'SANTA CRUZ','ÁGUAS MORNAS','SC',16174,42,NULL,NULL,NULL,NULL,NULL,2,1),(28,7246226,0.00,2.00,2.00,6.00,8.00,7.50,1.00,5.00,2.00,104,NULL,NULL,'CENTRO','CAÇADOR','SC',10974,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7246234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'SANTOS DUMONT','TRÊS LAGOAS','MS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7246242,1.00,4.00,3.00,4.00,6.00,12.00,5.00,5.00,3.00,216,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',12506,356,NULL,NULL,NULL,NULL,NULL,4,1),(28,7246269,3.00,7.00,2.00,5.00,7.00,7.13,2.00,6.00,5.00,235,NULL,238,'INGLESES','FLORIANÓPOLIS','SC',7331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7246285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'FORQUILINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7246307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,655,'MORRO ESTEVAO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7246315,2.00,7.00,4.00,5.00,3.00,5.25,2.00,6.00,4.00,214,NULL,213,'CENTRO','IRAPURU','SP',10624,270,NULL,188,NULL,NULL,NULL,4,1),(28,7246331,0.00,2.00,0.00,4.00,1.00,NULL,0.00,3.00,1.00,425,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7246340,2.00,7.00,1.00,7.00,8.00,7.50,1.00,7.00,4.00,203,NULL,213,'BEATRIZ','LAGES','SC',6304,405,NULL,102,NULL,NULL,NULL,4,9),(28,7246382,3.00,5.00,3.00,5.00,4.00,6.75,0.00,4.00,4.00,103,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',17819,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7246390,3.00,7.00,1.00,6.00,8.00,7.88,4.00,2.00,3.00,203,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',13547,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7246404,1.00,6.00,4.00,7.00,7.00,8.63,1.00,2.00,4.00,454,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',9968,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7246412,2.00,5.00,2.00,4.00,4.00,7.88,3.00,4.00,2.00,601,NULL,NULL,'ITAUM','JOINVILLE','SC',17939,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7246420,4.00,8.00,3.00,5.00,8.00,9.00,5.00,5.00,6.00,201,NULL,212,'INGLESES','FLORIANÓPOLIS','SC',2703,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7246439,1.00,4.00,3.00,3.00,5.00,3.00,0.00,3.00,0.00,444,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7246447,2.00,4.00,2.00,5.00,6.00,NULL,0.00,3.00,2.00,205,NULL,NULL,'GRUTA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7246455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'BOA VISTA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7246463,2.00,2.00,3.00,5.00,5.00,6.38,1.00,2.00,2.00,652,NULL,655,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7246471,0.00,4.00,1.00,2.00,5.00,NULL,1.00,3.00,1.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7246480,1.00,4.00,0.00,1.00,2.00,NULL,1.00,3.00,0.00,415,NULL,NULL,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7246498,0.00,4.00,1.00,1.00,0.00,NULL,2.00,2.00,2.00,201,NULL,202,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7246501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7246510,4.00,5.00,0.00,6.00,5.00,6.38,2.00,2.00,3.00,317,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7246528,4.00,8.00,4.00,6.00,9.00,9.00,4.00,8.00,6.00,5,NULL,NULL,'CENTRO','PALHOÇA','SC',1380,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7246536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7246552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TABULEIRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7246579,5.00,7.00,2.00,7.00,7.00,7.88,5.00,6.00,3.00,415,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',5161,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7246587,0.00,3.00,3.00,3.00,4.00,NULL,0.00,1.00,3.00,316,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7246609,7.00,8.00,4.00,6.00,8.00,11.25,7.00,7.00,6.00,103,NULL,NULL,'PARQUE SAO JORGE','FLORIANÓPOLIS','SC',571,377,NULL,NULL,NULL,NULL,NULL,3,1),(28,7246617,1.00,6.00,1.00,4.00,4.00,7.88,3.00,6.00,2.00,103,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',15033,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7246625,4.00,7.00,3.00,3.00,8.00,7.88,4.00,6.00,4.00,201,NULL,207,'JARDIM ELDORADO','PALHOÇA','SC',5567,430,NULL,248,NULL,NULL,NULL,4,1),(28,7246668,2.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,552,NULL,NULL,'CENTRO','S BERNARDINO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7246676,0.00,3.00,2.00,4.00,2.00,NULL,0.00,5.00,1.00,5,NULL,NULL,'SANTO ANTONIO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7246684,4.00,6.00,2.00,6.00,7.00,9.75,3.00,3.00,2.00,415,NULL,NULL,'JANAÍNA','BIGUAÇU','SC',9312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7246706,4.00,8.00,3.00,8.00,9.00,8.63,3.00,7.00,3.00,415,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',5993,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7246722,3.00,6.00,3.00,6.00,7.00,7.88,3.00,5.00,6.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',6057,1637,NULL,NULL,NULL,NULL,NULL,4,4),(28,7246730,0.00,6.00,2.00,6.00,4.00,4.50,2.00,4.00,4.00,211,NULL,NULL,'CENTRO','QUEDAS IGUAÇU','PR',14356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7246749,1.00,7.00,2.00,6.00,9.00,9.75,6.00,7.00,7.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',1937,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7246757,3.00,6.00,1.00,6.00,7.00,9.75,3.00,5.00,1.00,110,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',15031,69,NULL,NULL,NULL,NULL,NULL,2,1),(28,7246765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'VILA LETONIA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7246773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7246781,4.00,7.00,3.00,7.00,8.00,8.25,4.00,7.00,6.00,103,NULL,NULL,'JOSÉ NITRO SERRARIA','S JOSÉ','SC',3209,1184,NULL,NULL,NULL,NULL,NULL,2,1),(28,7246790,3.00,5.00,2.00,6.00,9.00,9.00,3.00,4.00,4.00,103,NULL,NULL,'RODOVIA','XANXERÊ','SC',4794,1462,NULL,NULL,NULL,NULL,NULL,2,4),(28,7246803,1.00,3.00,3.00,4.00,4.00,8.25,2.00,2.00,1.00,425,NULL,423,'BARREIROS','S JOSÉ','SC',18239,68,NULL,30,NULL,NULL,NULL,4,1),(28,7246811,3.00,8.00,3.00,6.00,8.00,9.00,4.00,4.00,5.00,103,NULL,NULL,'SORGATTO','CAÇADOR','SC',4208,1366,NULL,NULL,NULL,NULL,NULL,2,2),(28,7246838,0.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,3),(28,7246846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7246854,1.00,3.00,1.00,3.00,3.00,2.63,1.00,2.00,3.00,428,NULL,NULL,'AREIAS DE CIMA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7246897,4.00,7.00,2.00,6.00,6.00,6.75,4.00,5.00,4.00,302,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',9184,42,NULL,NULL,NULL,NULL,NULL,2,1),(28,7246900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'QUILOMBO','S BENTO SAPUCAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7246919,4.00,7.00,2.00,4.00,7.00,8.25,3.00,6.00,2.00,201,NULL,NULL,'CENTRO','S JOAQUIM','SC',13262,842,NULL,NULL,NULL,NULL,NULL,4,9),(28,7246927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'DOS ESPORTES','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7246951,4.00,4.00,5.00,5.00,4.00,8.25,3.00,5.00,2.00,108,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7246960,2.00,3.00,3.00,5.00,6.00,7.13,1.00,3.00,4.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15203,106,NULL,NULL,NULL,NULL,NULL,2,1),(28,7246986,5.00,7.00,1.00,7.00,8.00,9.75,3.00,6.00,5.00,5,NULL,NULL,'CENTRO','ITAJAÍ','SC',3743,138,NULL,NULL,NULL,NULL,NULL,4,6),(28,7247001,2.00,6.00,3.00,7.00,9.00,8.63,4.00,6.00,5.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4398,108,NULL,NULL,NULL,NULL,NULL,2,1),(28,7247010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7247028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'GIOCONDO ORSI','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7247036,0.00,6.00,5.00,6.00,6.00,9.38,4.00,7.00,2.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7873,187,NULL,NULL,NULL,NULL,NULL,2,1),(28,7247044,3.00,5.00,1.00,4.00,5.00,9.38,5.00,3.00,2.00,303,NULL,NULL,'CENTRO','CPO GRANDE','MS',11089,440,NULL,NULL,NULL,NULL,NULL,4,1),(28,7247052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7247060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JD TIVOLI PARK','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7247079,2.00,5.00,2.00,5.00,7.00,4.88,1.00,4.00,3.00,103,NULL,NULL,'PINHEIROS','OTACÍLIO COSTA','SC',13221,2271,NULL,NULL,NULL,NULL,NULL,2,9),(28,7247087,0.00,3.00,0.00,4.00,2.00,NULL,2.00,4.00,1.00,5,NULL,NULL,'PARQUE DAS AVENIDAS','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7247095,4.00,7.00,5.00,5.00,7.00,9.00,5.00,6.00,3.00,203,NULL,214,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7247109,5.00,7.00,3.00,4.00,9.00,9.00,5.00,5.00,4.00,301,NULL,NULL,'CENTRO','PALHOÇA','SC',5773,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7247117,5.00,6.00,3.00,6.00,10.00,9.75,4.00,7.00,6.00,303,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',4801,221,NULL,NULL,NULL,NULL,NULL,4,1),(28,7247125,4.00,5.00,1.00,7.00,5.00,9.00,2.00,3.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7247141,4.00,7.00,2.00,6.00,7.00,12.00,5.00,6.00,2.00,103,NULL,NULL,'VILA NOVA','JARAGUÁ SUL','SC',7554,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7247150,3.00,8.00,2.00,7.00,8.00,8.25,1.00,6.00,3.00,552,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',9791,33,NULL,NULL,NULL,NULL,NULL,4,23),(28,7247168,4.00,7.00,1.00,6.00,8.00,10.50,3.00,7.00,4.00,428,NULL,424,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',9542,13,NULL,NULL,NULL,NULL,NULL,2,1),(28,7247176,2.00,3.00,4.00,3.00,2.00,4.50,5.00,3.00,2.00,5,NULL,NULL,'ALDEIA PALMEIRINHA','JOSÉ BOITEUX','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7247184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7247192,0.00,7.00,2.00,2.00,2.00,NULL,3.00,6.00,2.00,317,NULL,NULL,'CENTRO','ANCHIETA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7247222,5.00,8.00,3.00,7.00,9.00,9.00,6.00,8.00,7.00,336,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1070,1,NULL,NULL,NULL,NULL,NULL,2,1),(28,7247230,6.00,9.00,4.00,7.00,3.00,10.13,3.00,7.00,5.00,203,NULL,214,'PENHA','S PAULO','SP',3005,220,NULL,108,NULL,NULL,NULL,4,1),(28,7247249,5.00,6.00,2.00,5.00,8.00,10.88,6.00,5.00,4.00,601,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',6248,129,NULL,NULL,NULL,NULL,NULL,2,1),(28,7247257,0.00,4.00,3.00,6.00,6.00,5.63,4.00,5.00,2.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',17276,334,NULL,NULL,NULL,NULL,NULL,5,1),(28,7247265,3.00,7.00,5.00,5.00,5.00,9.00,4.00,4.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3251,1193,NULL,NULL,NULL,NULL,NULL,2,1),(28,7247273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,429,'RIO BRAVO ALTO','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(28,7247281,1.00,5.00,1.00,4.00,2.00,NULL,3.00,2.00,2.00,551,NULL,NULL,'INTERIOR','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7247290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,423,'LESTE','PLANALTINA GOIÁS','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7247303,3.00,7.00,4.00,7.00,9.00,7.50,6.00,8.00,6.00,202,NULL,235,'CRISTO REI','CHAPECÓ','SC',1345,32,NULL,NULL,NULL,NULL,NULL,4,4),(28,7247311,1.00,4.00,2.00,5.00,3.00,5.63,3.00,2.00,3.00,103,NULL,NULL,'INDUSTRIAL SUL','RIO NEGRINHO','SC',17744,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7247338,2.00,6.00,2.00,2.00,3.00,8.25,4.00,3.00,3.00,551,NULL,NULL,'DISTRITO SANTA CRUZ','PTO UNIÃO','SC',15488,23,NULL,NULL,NULL,NULL,NULL,4,7),(28,7247346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','SARANDI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7247354,2.00,8.00,2.00,7.00,6.00,7.88,2.00,4.00,4.00,301,NULL,NULL,'JARDIM MARIA CECILIA','S BERNARDO CAMPO','SP',11167,146,NULL,NULL,NULL,NULL,NULL,4,1),(28,7247362,4.00,8.00,2.00,4.00,9.00,6.38,4.00,6.00,4.00,201,NULL,601,'CENTRO','ATALANTA','SC',10030,679,NULL,280,NULL,NULL,NULL,4,24),(28,7247370,1.00,2.00,2.00,3.00,5.00,7.88,0.00,2.00,2.00,5,NULL,NULL,'SÃO LUIZ','SOMBRIO','SC',16987,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7247389,1.00,5.00,1.00,4.00,2.00,NULL,2.00,2.00,2.00,332,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7247400,1.00,5.00,2.00,7.00,5.00,6.00,0.00,4.00,2.00,216,NULL,203,'NAÇOES','BAL CAMBORIÚ','SC',18729,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7247427,0.00,1.00,1.00,0.00,2.00,NULL,1.00,2.00,1.00,316,NULL,NULL,'ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7247435,0.00,4.00,2.00,4.00,5.00,NULL,2.00,2.00,3.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7247460,3.00,5.00,2.00,3.00,8.00,7.50,2.00,5.00,1.00,318,NULL,NULL,'SANTA CECILIA','PIRACICABA','SP',11151,77,NULL,NULL,NULL,NULL,NULL,4,1),(28,7247478,0.00,5.00,0.00,1.00,1.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7247508,1.00,7.00,1.00,5.00,6.00,8.63,4.00,6.00,1.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',14975,2348,NULL,NULL,NULL,NULL,NULL,2,4),(28,7247532,0.00,4.00,1.00,3.00,4.00,NULL,2.00,3.00,0.00,203,NULL,212,'BELA VISTA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7247540,5.00,8.00,3.00,7.00,9.00,12.00,4.00,6.00,5.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',2015,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7247567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CITY RIBEIRAO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7247575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,213,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7247583,3.00,8.00,6.00,6.00,9.00,9.75,4.00,8.00,6.00,211,NULL,215,'CARVOEIRA','FLORIANÓPOLIS','SC',2631,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7247591,0.00,3.00,2.00,2.00,1.00,NULL,2.00,3.00,1.00,201,NULL,212,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7247605,1.00,8.00,0.00,5.00,4.00,7.88,2.00,4.00,2.00,655,NULL,652,'SÃO LUIZ','CRICIÚMA','SC',17627,110,NULL,87,NULL,NULL,NULL,4,5),(28,7247613,2.00,5.00,2.00,6.00,2.00,NULL,2.00,2.00,3.00,308,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7247621,0.00,4.00,0.00,8.00,6.00,NULL,3.00,1.00,4.00,340,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7247630,2.00,3.00,2.00,3.00,5.00,9.75,2.00,5.00,3.00,302,NULL,NULL,'OPERÁRIA','ARARANGUÁ','SC',13210,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7247648,2.00,5.00,2.00,2.00,6.00,10.50,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10830,2131,NULL,NULL,NULL,NULL,NULL,2,3),(28,7247656,3.00,6.00,3.00,5.00,6.00,6.00,4.00,5.00,3.00,9,NULL,NULL,'CENTRO','LEBON RÉGIS','SC',9758,52,NULL,NULL,NULL,NULL,NULL,2,25),(28,7247664,2.00,8.00,3.00,7.00,8.00,9.38,4.00,7.00,4.00,999,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7247680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7247699,6.00,8.00,2.00,7.00,9.00,7.50,2.00,8.00,4.00,104,NULL,NULL,'CENTRO','FRAIBURGO','SC',3038,35,NULL,NULL,NULL,NULL,NULL,2,25),(28,7247702,2.00,6.00,3.00,5.00,4.00,6.00,2.00,3.00,5.00,203,NULL,214,'BOA VISTA','S JOSÉ R PRETO','SP',10542,547,NULL,268,NULL,NULL,NULL,4,1),(28,7247710,4.00,6.00,2.00,3.00,8.00,7.13,3.00,5.00,5.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13120,80,NULL,NULL,NULL,NULL,NULL,4,1),(28,7247729,2.00,6.00,0.00,5.00,6.00,7.88,3.00,5.00,4.00,601,NULL,214,'VILA NOVA','RIO NEGRINHO','SC',15377,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7247737,3.00,6.00,4.00,7.00,7.00,7.88,5.00,7.00,8.00,999,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7247745,1.00,3.00,4.00,5.00,3.00,7.13,2.00,4.00,2.00,211,NULL,653,'CENTRO','BAL CAMBORIÚ','SC',15932,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7247753,1.00,4.00,1.00,2.00,5.00,10.88,0.00,4.00,1.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7247761,7.00,7.00,2.00,7.00,6.00,11.25,3.00,6.00,4.00,103,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',5358,1554,NULL,NULL,NULL,NULL,NULL,2,1),(28,7247788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7247796,2.00,5.00,1.00,7.00,7.00,9.00,4.00,5.00,3.00,333,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',9163,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7247800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7247818,1.00,7.00,1.00,4.00,6.00,6.00,1.00,4.00,4.00,421,NULL,427,'TRINDADE','FLORIANÓPOLIS','SC',18073,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7247842,1.00,4.00,0.00,5.00,5.00,6.00,1.00,4.00,3.00,653,NULL,652,'CENTRO','TURVO','SC',17027,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7247850,3.00,5.00,1.00,6.00,7.00,5.25,1.00,4.00,2.00,451,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',18241,46,NULL,NULL,NULL,NULL,NULL,2,1),(28,7247869,1.00,5.00,2.00,6.00,4.00,6.75,0.00,4.00,1.00,444,NULL,NULL,'SANTANA','S JOSÉ CAMPOS','SP',18856,128,NULL,NULL,NULL,NULL,NULL,4,1),(28,7247877,2.00,3.00,1.00,2.00,3.00,5.25,3.00,2.00,4.00,335,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7247893,3.00,5.00,1.00,6.00,10.00,7.50,4.00,6.00,4.00,415,NULL,NULL,'JARDIM EUROPA','LONDRINA','PR',5517,78,NULL,NULL,NULL,NULL,NULL,2,1),(28,7247907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TARUMA','QUEDAS IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7247915,2.00,5.00,1.00,3.00,4.00,7.50,2.00,5.00,1.00,208,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',16916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7247931,1.00,2.00,1.00,0.00,3.00,6.38,1.00,3.00,3.00,215,NULL,214,'CANASVIEIRAS','FLORIANÓPOLIS','SC',20133,304,NULL,364,NULL,NULL,NULL,2,1),(28,7247940,4.00,6.00,1.00,3.00,7.00,9.00,4.00,5.00,3.00,201,NULL,211,'PONTE DO IMARUIM','PALHOÇA','SC',8104,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7247958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7247966,1.00,5.00,1.00,5.00,5.00,6.00,1.00,5.00,4.00,220,NULL,214,'BOA VISTA','ITUPORANGA','SC',17214,328,NULL,340,NULL,NULL,NULL,4,24),(28,7247974,1.00,6.00,0.00,7.00,6.00,NULL,1.00,2.00,1.00,426,NULL,429,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7247982,2.00,5.00,0.00,7.00,4.00,8.63,2.00,4.00,1.00,207,NULL,212,'BARREIROS','S JOSÉ','SC',15015,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7247990,3.00,7.00,1.00,5.00,6.00,7.88,3.00,7.00,4.00,103,NULL,NULL,'SANTA MÔNICA','LONDRINA','PR',4621,1435,NULL,NULL,NULL,NULL,NULL,4,8),(28,7248024,7.00,8.00,4.00,3.00,9.00,9.75,5.00,8.00,7.00,5,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',672,14,NULL,NULL,NULL,NULL,NULL,4,8),(28,7248032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'JARDIM ZANELATO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7248040,7.00,9.00,5.00,7.00,10.00,9.38,4.00,8.00,8.00,202,NULL,235,'BUCAREIN','JOINVILLE','SC',224,2,NULL,NULL,NULL,NULL,NULL,4,8),(28,7248059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,214,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(28,7248075,1.00,3.00,1.00,7.00,4.00,7.88,2.00,3.00,2.00,207,NULL,216,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',18829,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7248083,3.00,4.00,2.00,3.00,4.00,7.13,3.00,3.00,2.00,450,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16237,118,NULL,NULL,NULL,NULL,NULL,4,1),(28,7248091,3.00,7.00,5.00,6.00,10.00,12.00,5.00,5.00,4.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3295,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7248105,0.00,5.00,3.00,2.00,5.00,NULL,1.00,5.00,2.00,326,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7248113,0.00,3.00,1.00,4.00,2.00,NULL,0.00,3.00,1.00,201,NULL,203,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7248121,2.00,5.00,2.00,6.00,7.00,9.75,3.00,5.00,3.00,428,NULL,426,'CARIANOS','FLORIANÓPOLIS','SC',13379,27,NULL,NULL,NULL,NULL,NULL,2,1),(28,7248130,2.00,2.00,2.00,4.00,7.00,7.50,3.00,4.00,3.00,335,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15487,6,NULL,NULL,NULL,NULL,NULL,2,1),(28,7248156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,235,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7248164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7248172,2.00,3.00,1.00,3.00,5.00,7.50,2.00,4.00,3.00,223,NULL,NULL,'ALVORADA','XAXIM','SC',16396,32,NULL,NULL,NULL,NULL,NULL,4,4),(28,7248180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7248202,3.00,9.00,1.00,5.00,9.00,NULL,3.00,8.00,6.00,103,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7248210,0.00,6.00,2.00,5.00,8.00,NULL,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7248229,2.00,6.00,2.00,1.00,4.00,8.25,1.00,3.00,2.00,340,NULL,NULL,'VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC',14877,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7248237,5.00,5.00,3.00,6.00,7.00,6.75,3.00,5.00,2.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',8414,76,NULL,NULL,NULL,NULL,NULL,2,1),(28,7248245,2.00,0.00,2.00,6.00,4.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(28,7248253,0.00,1.00,1.00,0.00,3.00,NULL,1.00,2.00,1.00,426,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7248261,6.00,9.00,4.00,7.00,9.00,9.38,6.00,6.00,7.00,203,NULL,216,'PANTANAL','FLORIANÓPOLIS','SC',937,90,NULL,24,NULL,NULL,NULL,4,1),(28,7248270,4.00,8.00,3.00,7.00,9.00,7.88,6.00,5.00,3.00,220,NULL,203,'RIO TAVARES','FLORIANÓPOLIS','SC',3048,90,NULL,225,NULL,NULL,NULL,4,1),(28,7248288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7248296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'RIBEIRÃO FRESCO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7248300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7248318,0.00,2.00,0.00,4.00,4.00,NULL,1.00,2.00,1.00,309,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7248326,2.00,5.00,1.00,7.00,7.00,9.38,4.00,1.00,4.00,207,NULL,201,'SANTO ANT DE LISBOA','FLORIANÓPOLIS','SC',13420,601,NULL,844,NULL,NULL,NULL,2,1),(28,7248334,4.00,3.00,3.00,5.00,2.00,NULL,1.00,5.00,1.00,503,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7248342,4.00,7.00,3.00,6.00,7.00,10.50,3.00,7.00,4.00,652,NULL,238,'CAMBARÁ','S ROQUE','SP',2188,3,NULL,NULL,NULL,NULL,NULL,2,1),(28,7248369,3.00,7.00,6.00,6.00,7.00,9.75,6.00,8.00,6.00,216,NULL,233,'TRIANON','GUARAPUAVA','PR',1183,32,NULL,NULL,NULL,NULL,NULL,4,3),(28,7248377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7248385,5.00,8.00,4.00,7.00,10.00,9.38,5.00,8.00,7.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',2181,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7248407,7.00,8.00,4.00,5.00,10.00,10.50,4.00,7.00,5.00,103,NULL,NULL,'PRAIA VERDE','S JOAQUIM','SC',1179,630,NULL,NULL,NULL,NULL,NULL,4,9),(28,7248415,2.00,6.00,1.00,7.00,5.00,7.88,4.00,7.00,5.00,316,NULL,NULL,'CENTRO','CRUZEIRO','SP',6168,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7248423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,440,NULL,NULL,'PINHAIS','PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7248431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7248458,3.00,7.00,1.00,5.00,5.00,8.63,1.00,4.00,2.00,207,NULL,201,'NAÇÕES','CONCÓRDIA','SC',12011,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7248474,4.00,7.00,2.00,7.00,8.00,11.25,4.00,7.00,7.00,103,NULL,NULL,'PARQUE CIDADE JARDIM','UMUARAMA','PR',1352,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7248482,4.00,8.00,3.00,6.00,8.00,7.88,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','POMERODE','SC',2460,1013,NULL,NULL,NULL,NULL,NULL,4,1),(28,7248490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7248504,3.00,6.00,0.00,3.00,2.00,NULL,1.00,3.00,6.00,103,NULL,NULL,'CENTRO','PAULO FARIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7248512,4.00,0.00,1.00,7.00,8.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7248520,2.00,7.00,2.00,6.00,5.00,8.25,1.00,4.00,2.00,340,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',11771,323,NULL,NULL,NULL,NULL,NULL,2,1),(28,7248539,2.00,8.00,3.00,5.00,7.00,8.25,3.00,5.00,4.00,103,NULL,NULL,'CANADA','CASCAVEL','PR',9456,2031,NULL,NULL,NULL,NULL,NULL,4,4),(28,7248547,2.00,2.00,2.00,3.00,0.00,NULL,2.00,3.00,2.00,450,NULL,NULL,'PORTO DAS BALSAS','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7248555,4.00,7.00,1.00,2.00,4.00,7.50,4.00,5.00,2.00,2,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',15613,47,NULL,NULL,NULL,NULL,NULL,4,1),(28,7248563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7248571,5.00,6.00,3.00,6.00,8.00,10.50,2.00,8.00,4.00,303,NULL,NULL,'VILA MONTE BELO','ITAQUAQUECETUBA','SP',2284,102,NULL,NULL,NULL,NULL,NULL,4,8),(28,7248580,3.00,4.00,2.00,5.00,1.00,NULL,1.00,6.00,3.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7248598,3.00,7.00,1.00,6.00,8.00,6.75,4.00,6.00,1.00,203,NULL,202,'SOSSEGO','CANOINHAS','SC',14622,633,NULL,335,NULL,NULL,NULL,2,17),(28,7248601,3.00,7.00,3.00,6.00,9.00,11.25,3.00,6.00,3.00,102,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',4658,26,NULL,NULL,NULL,NULL,NULL,4,8),(28,7248610,0.00,4.00,1.00,5.00,3.00,8.25,0.00,2.00,1.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',17727,242,NULL,NULL,NULL,NULL,NULL,2,1),(28,7248628,1.00,4.00,3.00,3.00,5.00,4.88,2.00,2.00,2.00,319,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',19705,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7248636,1.00,4.00,3.00,4.00,3.00,9.75,2.00,2.00,1.00,110,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',19505,102,NULL,NULL,NULL,NULL,NULL,2,1),(28,7248644,5.00,7.00,3.00,5.00,8.00,9.00,2.00,6.00,3.00,211,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',5067,125,NULL,NULL,NULL,NULL,NULL,4,6),(28,7248652,2.00,0.00,2.00,1.00,6.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7248660,1.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,201,NULL,207,'JARDIM AMÉRICA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,24),(28,7248679,0.00,2.00,1.00,5.00,3.00,NULL,1.00,4.00,1.00,3,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7248687,3.00,5.00,3.00,6.00,6.00,9.00,6.00,3.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7248695,2.00,5.00,1.00,6.00,4.00,8.63,2.00,2.00,3.00,207,NULL,201,'PETRÓPOLIS','CONCÓRDIA','SC',14176,629,NULL,871,NULL,NULL,NULL,2,26),(28,7248709,2.00,6.00,2.00,7.00,8.00,7.88,3.00,6.00,3.00,103,NULL,NULL,'CAMPINAS','GOIÂNIA','GO',5494,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7248725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'JARDIM FLORENÇA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7248741,0.00,4.00,0.00,3.00,3.00,NULL,2.00,4.00,3.00,104,NULL,NULL,'INTERIOR','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7248750,3.00,3.00,1.00,5.00,5.00,6.38,2.00,6.00,3.00,316,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',18032,258,NULL,NULL,NULL,NULL,NULL,2,1),(28,7248768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','GLÓRIA DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7248784,0.00,3.00,3.00,2.00,5.00,4.50,2.00,3.00,1.00,212,NULL,201,'FORQUILHAS','S JOSÉ','SC',20018,424,NULL,NULL,NULL,NULL,NULL,2,1),(28,7248792,3.00,6.00,1.00,3.00,4.00,6.75,2.00,3.00,5.00,201,NULL,652,'CERAMARTE','RIO NEGRINHO','SC',16954,960,NULL,74,NULL,NULL,NULL,2,1),(28,7248814,2.00,1.00,0.00,4.00,3.00,NULL,0.00,3.00,2.00,552,NULL,NULL,'INTERIOR','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7248822,1.00,7.00,2.00,7.00,6.00,9.00,2.00,3.00,3.00,303,NULL,NULL,'PINGUIRITO','GAROPABA','SC',14665,526,NULL,NULL,NULL,NULL,NULL,2,10),(28,7248830,0.00,6.00,2.00,2.00,5.00,6.75,2.00,4.00,3.00,552,NULL,NULL,'CENTRO','CAMBORIÚ','SC',14401,87,NULL,NULL,NULL,NULL,NULL,4,3),(28,7248849,2.00,4.00,1.00,4.00,9.00,8.25,3.00,7.00,3.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',10438,193,NULL,NULL,NULL,NULL,NULL,4,1),(28,7248857,4.00,6.00,1.00,7.00,7.00,5.25,3.00,6.00,5.00,203,NULL,201,'FAZENDA','ITAJAÍ','SC',12101,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7248873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MATILDE','CAMPOS JORDÃO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7248881,1.00,7.00,2.00,4.00,4.00,10.50,1.00,6.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8258,1925,NULL,NULL,NULL,NULL,NULL,2,4),(28,7248903,0.00,5.00,0.00,7.00,9.00,0.00,2.00,3.00,3.00,207,NULL,201,'SANTO ANT DE LISBOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7248911,2.00,6.00,4.00,7.00,5.00,8.25,5.00,5.00,4.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',6756,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7248946,3.00,7.00,2.00,5.00,6.00,9.38,6.00,6.00,7.00,103,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',3883,1301,NULL,NULL,NULL,NULL,NULL,4,1),(28,7248970,0.00,7.00,4.00,6.00,6.00,NULL,2.00,6.00,2.00,503,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7248989,0.00,4.00,2.00,2.00,2.00,NULL,2.00,4.00,1.00,303,NULL,NULL,'NOVA ESPERANÇA','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7248997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7249004,3.00,8.00,3.00,7.00,8.00,7.50,6.00,7.00,5.00,340,NULL,NULL,'COROA DO MEIO','ARACAJU','SE',2937,67,NULL,NULL,NULL,NULL,NULL,4,1),(28,7249012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7249020,7.00,6.00,4.00,7.00,6.00,8.63,7.00,6.00,5.00,208,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',3198,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7249039,3.00,7.00,2.00,6.00,9.00,8.63,4.00,6.00,4.00,207,NULL,212,'CENTRO','LAGUNA','SC',5179,230,NULL,169,NULL,NULL,NULL,4,10),(28,7249047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7249055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7249063,5.00,6.00,2.00,7.00,10.00,5.63,3.00,6.00,3.00,207,NULL,201,'PASSA VINTE','PALHOÇA','SC',5232,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7249071,5.00,8.00,5.00,6.00,7.00,8.63,4.00,7.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4194,1363,NULL,NULL,NULL,NULL,NULL,4,1),(28,7249080,4.00,6.00,2.00,8.00,8.00,8.63,4.00,7.00,5.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',7461,228,NULL,NULL,NULL,NULL,NULL,4,9),(28,7249101,4.00,7.00,2.00,7.00,8.00,7.50,5.00,7.00,3.00,103,NULL,NULL,'CENTRO','VARGEM BONITA','MG',9462,2032,NULL,NULL,NULL,NULL,NULL,4,8),(28,7249110,2.00,4.00,1.00,4.00,3.00,9.38,1.00,4.00,1.00,424,NULL,423,'SACO GRANDE','FLORIANÓPOLIS','SC',19172,43,NULL,33,NULL,NULL,NULL,4,1),(28,7249128,2.00,3.00,3.00,1.00,3.00,4.50,2.00,2.00,2.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',17671,466,NULL,NULL,NULL,NULL,NULL,4,1),(28,7249136,2.00,3.00,1.00,5.00,2.00,NULL,0.00,4.00,0.00,326,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7249152,3.00,2.00,2.00,2.00,3.00,6.38,1.00,2.00,1.00,454,NULL,NULL,'VILA NOVA','MAFRA','SC',18558,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7249160,0.00,5.00,1.00,5.00,7.00,6.38,2.00,5.00,2.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',18562,2491,NULL,NULL,NULL,NULL,NULL,2,10),(28,7249187,0.00,5.00,0.00,1.00,1.00,NULL,2.00,2.00,1.00,502,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7249195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'BELA VISTA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7249209,2.00,8.00,2.00,6.00,6.00,7.88,4.00,6.00,3.00,318,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',12809,88,NULL,NULL,NULL,NULL,NULL,2,1),(28,7249217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7249225,1.00,3.00,2.00,5.00,2.00,NULL,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7249241,4.00,6.00,2.00,7.00,6.00,7.88,2.00,6.00,3.00,207,NULL,213,'AGRONÔMICA','FLORIANÓPOLIS','SC',6511,301,NULL,107,NULL,NULL,NULL,4,1),(28,7249268,5.00,7.00,4.00,6.00,9.00,11.63,7.00,6.00,7.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',662,415,NULL,NULL,NULL,NULL,NULL,4,1),(28,7249276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7249284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7249292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SUL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7249306,4.00,8.00,3.00,7.00,9.00,8.63,3.00,8.00,6.00,340,NULL,NULL,'CENTRO','ARARANGUÁ','SC',2290,47,NULL,NULL,NULL,NULL,NULL,4,15),(28,7249314,4.00,5.00,0.00,1.00,3.00,7.88,0.00,6.00,2.00,333,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15604,98,NULL,NULL,NULL,NULL,NULL,4,1),(28,7249322,4.00,7.00,1.00,6.00,7.00,7.88,5.00,4.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7249330,2.00,6.00,2.00,5.00,6.00,7.13,3.00,5.00,3.00,108,NULL,NULL,'JARDIM AMÉRICA','CHAPECÓ','SC',11645,154,NULL,NULL,NULL,NULL,NULL,4,4),(28,7249349,0.00,2.00,2.00,7.00,7.00,7.13,3.00,3.00,1.00,335,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7249357,1.00,5.00,1.00,3.00,8.00,9.75,4.00,3.00,3.00,454,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',12951,258,NULL,NULL,NULL,NULL,NULL,2,1),(28,7249365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7249390,5.00,7.00,2.00,6.00,9.00,6.38,5.00,7.00,2.00,103,NULL,NULL,'BOSQUE DO REPOUSO','CRICIÚMA','SC',4244,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7249403,5.00,7.00,3.00,5.00,6.00,12.75,2.00,6.00,3.00,225,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',5054,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7249411,1.00,6.00,4.00,2.00,2.00,NULL,1.00,4.00,2.00,202,NULL,203,'CENTRO','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7249420,2.00,3.00,1.00,7.00,8.00,10.50,2.00,3.00,3.00,301,NULL,NULL,'BOA PARADA','S PEDRO ALCÂNTARA','SC',9697,118,NULL,NULL,NULL,NULL,NULL,2,1),(28,7249438,6.00,9.00,4.00,6.00,7.00,9.00,4.00,7.00,5.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',2216,72,NULL,NULL,NULL,NULL,NULL,4,1),(28,7249446,0.00,3.00,1.00,2.00,8.00,NULL,1.00,2.00,2.00,308,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7249454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(28,7249462,4.00,5.00,2.00,5.00,8.00,10.50,4.00,4.00,2.00,454,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11338,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7249489,3.00,2.00,2.00,5.00,3.00,7.13,2.00,2.00,2.00,333,NULL,NULL,'CENTRO','CRICIÚMA','SC',19410,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7249497,0.00,0.00,1.00,1.00,6.00,NULL,0.00,0.00,0.00,207,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',3,1),(28,7249500,1.00,3.00,1.00,3.00,5.00,7.13,1.00,3.00,1.00,302,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7249519,3.00,7.00,4.00,5.00,6.00,7.50,4.00,6.00,6.00,415,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',6628,109,NULL,NULL,NULL,NULL,NULL,2,15),(28,7249535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'ARROIO DO ROSA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7249543,2.00,4.00,4.00,4.00,5.00,0.00,2.00,4.00,2.00,234,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7249551,1.00,3.00,1.00,3.00,5.00,6.75,2.00,6.00,0.00,316,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',16965,235,NULL,NULL,NULL,NULL,NULL,4,1),(28,7249560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7249586,1.00,7.00,4.00,6.00,7.00,7.50,3.00,7.00,4.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6389,15,NULL,NULL,NULL,NULL,NULL,2,1),(28,7249594,4.00,5.00,2.00,5.00,6.00,5.25,2.00,5.00,2.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',17710,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7249608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7249616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'NONOAI','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7249624,2.00,7.00,2.00,7.00,7.00,7.13,4.00,6.00,3.00,103,NULL,NULL,'CENTRO','SERRA ALTA','SC',7718,1856,NULL,NULL,NULL,NULL,NULL,2,4),(28,7249632,4.00,4.00,1.00,5.00,1.00,NULL,3.00,7.00,4.00,234,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7249640,4.00,4.00,2.00,5.00,7.00,9.00,4.00,4.00,2.00,211,NULL,233,'RIO TAVARES','FLORIANÓPOLIS','SC',10048,272,NULL,237,NULL,NULL,NULL,2,1),(28,7249667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM SUL','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7249675,1.00,6.00,3.00,3.00,4.00,6.00,2.00,3.00,2.00,316,NULL,NULL,'CENTRO','ERECHIM','RS',18413,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7249691,3.00,4.00,3.00,7.00,7.00,6.75,5.00,6.00,4.00,5,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',7771,238,NULL,NULL,NULL,NULL,NULL,2,5),(28,7249705,3.00,6.00,0.00,6.00,10.00,5.63,4.00,7.00,4.00,203,NULL,235,'TAQUARAS','IBIRAMA','SC',5642,374,NULL,98,NULL,NULL,NULL,4,24),(28,7249730,1.00,3.00,1.00,4.00,2.00,NULL,1.00,4.00,1.00,302,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7249748,4.00,6.00,3.00,5.00,8.00,9.00,3.00,5.00,3.00,310,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',6412,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7249772,5.00,7.00,1.00,6.00,9.00,8.25,3.00,5.00,5.00,207,NULL,201,'AMÉRICA','JOINVILLE','SC',4893,208,NULL,375,NULL,NULL,NULL,2,8),(28,7249780,0.00,3.00,1.00,7.00,7.00,9.38,3.00,4.00,4.00,207,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',14928,660,NULL,NULL,NULL,NULL,NULL,2,1),(28,7249799,2.00,6.00,2.00,5.00,1.00,NULL,1.00,4.00,3.00,224,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7249810,2.00,9.00,1.00,3.00,8.00,7.50,3.00,7.00,4.00,326,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',7074,17,NULL,NULL,NULL,NULL,NULL,4,2),(28,7249829,5.00,8.00,2.00,7.00,5.00,8.25,3.00,7.00,2.00,316,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',11467,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7249837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7249845,6.00,6.00,5.00,7.00,6.00,8.63,5.00,6.00,7.00,201,NULL,233,'CENTRO','ITAJAÍ','SC',2904,220,NULL,68,NULL,NULL,NULL,4,6),(28,7249853,0.00,4.00,3.00,4.00,4.00,8.25,2.00,4.00,4.00,303,NULL,NULL,'CENTRO','JAGUARUNA','SC',12994,490,NULL,NULL,NULL,NULL,NULL,4,10),(28,7249870,3.00,6.00,3.00,4.00,6.00,8.25,1.00,3.00,4.00,104,NULL,NULL,'CAJURU','CURITIBA','PR',12000,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7249896,5.00,8.00,5.00,6.00,7.00,9.75,5.00,6.00,6.00,102,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',3249,7,NULL,NULL,NULL,NULL,NULL,3,1),(28,7249900,4.00,7.00,3.00,6.00,4.00,7.13,4.00,4.00,5.00,304,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',13189,96,NULL,NULL,NULL,NULL,NULL,2,1),(28,7249934,2.00,4.00,5.00,6.00,2.00,NULL,3.00,5.00,1.00,552,NULL,NULL,'INDUSTRIAL','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7249942,2.00,8.00,2.00,7.00,9.00,10.88,4.00,8.00,5.00,103,NULL,NULL,'BELA VISTA','S PAULO','SP',2556,1033,NULL,NULL,NULL,NULL,NULL,4,1),(28,7249950,2.00,4.00,3.00,5.00,5.00,6.38,0.00,4.00,1.00,319,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7249969,6.00,8.00,3.00,7.00,8.00,9.38,4.00,7.00,5.00,103,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',1816,843,NULL,NULL,NULL,NULL,NULL,4,4),(28,7249977,5.00,7.00,1.00,5.00,7.00,8.25,3.00,5.00,4.00,103,NULL,NULL,'JOSÉ BONIFACIO','FORTALEZA','CE',5950,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7249985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7250010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,423,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7250029,5.00,7.00,3.00,6.00,7.00,7.88,3.00,7.00,5.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',2839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250045,0.00,4.00,2.00,2.00,3.00,NULL,0.00,2.00,1.00,339,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7250053,2.00,6.00,1.00,7.00,6.00,8.63,2.00,4.00,2.00,201,NULL,207,'VILA OPERÁRIA','ITAJAÍ','SC',16279,944,NULL,710,NULL,NULL,NULL,4,6),(28,7250061,1.00,4.00,2.00,3.00,6.00,8.63,2.00,3.00,1.00,653,NULL,652,'POLICIA RODOVIARIA','ARARANGUÁ','SC',16352,173,NULL,67,NULL,NULL,NULL,2,15),(28,7250070,0.00,3.00,1.00,2.00,4.00,NULL,2.00,1.00,2.00,212,NULL,207,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250088,2.00,8.00,2.00,6.00,6.00,9.38,5.00,6.00,3.00,427,NULL,423,'AGRONOMICA','FLORIANÓPOLIS','SC',10134,2,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250096,3.00,7.00,1.00,4.00,7.00,7.50,6.00,4.00,5.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',8438,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7250100,3.00,7.00,2.00,2.00,6.00,6.38,2.00,2.00,2.00,102,NULL,NULL,'SÃO MARTINHO','TUBARÃO','SC',14923,134,NULL,NULL,NULL,NULL,NULL,4,10),(28,7250118,1.00,4.00,1.00,2.00,2.00,NULL,1.00,4.00,1.00,208,NULL,NULL,'JARDIM ZANELLATO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250126,2.00,6.00,2.00,7.00,5.00,5.63,2.00,6.00,2.00,208,NULL,NULL,'MAGALHÃES','LAGUNA','SC',12367,141,NULL,NULL,NULL,NULL,NULL,4,10),(28,7250134,3.00,6.00,2.00,6.00,7.00,10.88,2.00,3.00,4.00,303,NULL,NULL,'VELEIROS','S PAULO','SP',12796,484,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250142,4.00,7.00,4.00,7.00,9.00,8.63,5.00,7.00,5.00,103,NULL,NULL,'VILA IMPERIAL','S JOSÉ R PRETO','SP',1045,573,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250150,1.00,5.00,1.00,1.00,3.00,0.00,2.00,2.00,0.00,444,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250169,1.00,6.00,1.00,1.00,5.00,6.75,0.00,3.00,4.00,5,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',16530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250177,0.00,2.00,0.00,4.00,3.00,NULL,2.00,2.00,1.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250185,4.00,6.00,1.00,5.00,6.00,6.75,4.00,6.00,4.00,316,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',12602,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250193,3.00,5.00,0.00,5.00,5.00,7.50,3.00,3.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12268,468,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SAIC','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7250215,6.00,8.00,4.00,7.00,8.00,11.25,5.00,6.00,7.00,103,NULL,NULL,'PARQUE CAMPOLIM','SOROCABA','SP',337,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'JARDIM CIBELE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7250231,1.00,7.00,0.00,1.00,2.00,NULL,4.00,3.00,1.00,653,NULL,652,'LAGOAO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7250258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7250266,3.00,5.00,1.00,6.00,6.00,7.13,3.00,3.00,4.00,208,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',11479,125,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250274,5.00,8.00,4.00,7.00,7.00,8.63,5.00,4.00,5.00,103,NULL,NULL,'ARIRIBÁ','BAL CAMBORIÚ','SC',4981,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7250282,0.00,4.00,3.00,5.00,4.00,NULL,2.00,3.00,3.00,308,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250290,0.00,1.00,2.00,3.00,5.00,6.75,1.00,4.00,3.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',16993,36,NULL,NULL,NULL,NULL,NULL,2,16),(28,7250312,1.00,5.00,2.00,5.00,8.00,7.13,1.00,5.00,2.00,317,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',12439,65,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7250339,0.00,5.00,1.00,2.00,4.00,NULL,3.00,2.00,3.00,444,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250355,3.00,8.00,1.00,7.00,9.00,7.13,4.00,6.00,4.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',5081,234,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250363,0.00,4.00,2.00,6.00,2.00,NULL,1.00,4.00,1.00,9,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CIDADE JARDIM','CATANDUVAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7250398,2.00,4.00,1.00,4.00,4.00,8.25,0.00,4.00,2.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16421,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7250410,0.00,5.00,1.00,4.00,3.00,9.00,2.00,4.00,2.00,201,NULL,207,'CENTRO','GRAVATAL','SC',14651,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7250428,4.00,8.00,3.00,7.00,5.00,9.00,4.00,7.00,3.00,999,NULL,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7250436,2.00,7.00,1.00,5.00,4.00,8.63,4.00,5.00,4.00,303,NULL,NULL,'MENINO DEUS','PTO ALEGRE','RS',9427,390,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'INDUSTRIAL','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7250460,4.00,6.00,2.00,7.00,8.00,12.38,3.00,5.00,2.00,340,NULL,NULL,'PQ ANHANGUERA','GOIÂNIA','GO',8666,235,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250479,6.00,7.00,2.00,4.00,7.00,6.75,2.00,5.00,5.00,212,NULL,201,'CENTRO','DIVINOLÂNDIA','SP',5535,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250487,5.00,8.00,3.00,8.00,6.00,9.00,4.00,8.00,7.00,340,NULL,NULL,'BELA VISTA II','S JOSÉ','SC',4173,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250495,1.00,3.00,1.00,5.00,5.00,6.38,1.00,3.00,0.00,201,NULL,212,'ENCANTADA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250509,0.00,2.00,0.00,1.00,4.00,NULL,3.00,2.00,0.00,308,NULL,NULL,'DONA ADELIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250517,2.00,5.00,2.00,2.00,5.00,7.13,2.00,3.00,0.00,203,NULL,235,'PRÓ FLOR','CORREIA PINTO','SC',19524,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7250525,1.00,5.00,2.00,5.00,6.00,8.63,3.00,3.00,3.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11493,152,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250533,7.00,7.00,5.00,5.00,7.00,8.63,3.00,6.00,8.00,653,NULL,601,'CENTRO','BLUMENAU','SC',1539,3,NULL,NULL,NULL,NULL,NULL,4,2),(28,7250541,7.00,8.00,4.00,7.00,10.00,7.13,7.00,7.00,6.00,207,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',749,15,NULL,NULL,NULL,NULL,NULL,4,6),(28,7250550,6.00,7.00,2.00,4.00,6.00,8.63,3.00,6.00,3.00,102,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',11887,113,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7250576,2.00,2.00,1.00,6.00,3.00,7.13,4.00,2.00,1.00,207,NULL,233,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250584,6.00,7.00,0.00,6.00,7.00,9.75,5.00,7.00,4.00,202,NULL,235,'CIDADE UNIVERSITARIA','PALHOÇA','SC',4841,142,NULL,83,NULL,NULL,NULL,4,1),(28,7250592,2.00,0.00,3.00,7.00,5.00,NULL,0.00,0.00,0.00,655,NULL,NULL,'MINA DO MATO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,5),(28,7250606,1.00,7.00,2.00,8.00,6.00,8.25,2.00,3.00,2.00,5,NULL,NULL,'PILARZINHO','FLORIANÓPOLIS','SC',16154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250614,0.00,6.00,3.00,6.00,5.00,9.00,4.00,5.00,2.00,340,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',10969,304,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250622,0.00,4.00,3.00,2.00,5.00,NULL,0.00,3.00,2.00,309,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250630,1.00,2.00,3.00,4.00,3.00,5.25,2.00,3.00,1.00,235,NULL,202,'FURADINHO','PALHOÇA','SC',19941,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250649,3.00,6.00,3.00,5.00,7.00,10.13,3.00,8.00,4.00,238,NULL,601,'KOBRASOL','S JOSÉ','SC',5515,47,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250657,3.00,6.00,4.00,7.00,8.00,7.50,4.00,5.00,2.00,207,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',5804,264,NULL,454,NULL,NULL,NULL,4,1),(28,7250665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA SÃO BENTO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7250673,6.00,6.00,2.00,6.00,7.00,12.75,5.00,6.00,7.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3430,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250690,4.00,6.00,1.00,5.00,5.00,7.13,2.00,6.00,1.00,103,NULL,NULL,'MELO','BARRETOS','SP',10236,2091,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250703,2.00,5.00,1.00,4.00,4.00,7.13,1.00,4.00,2.00,332,NULL,NULL,'AREIAS','S JOSÉ','SC',19321,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250711,3.00,5.00,2.00,5.00,5.00,7.13,4.00,4.00,4.00,653,NULL,655,'CENTRO','MARACAJÁ','SC',16286,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7250720,1.00,4.00,2.00,3.00,3.00,6.00,3.00,4.00,5.00,302,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',16218,118,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250738,5.00,5.00,3.00,6.00,8.00,9.38,4.00,5.00,4.00,201,NULL,NULL,'CENTRO','TIJUCAS','SC',4557,354,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250746,0.00,4.00,0.00,3.00,2.00,NULL,3.00,3.00,0.00,238,NULL,220,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250754,2.00,4.00,3.00,4.00,6.00,5.25,2.00,5.00,2.00,404,NULL,NULL,'VILLA OPERARIA','ITAJAÍ','SC',14815,32,NULL,NULL,NULL,NULL,NULL,4,6),(28,7250770,1.00,6.00,4.00,3.00,7.00,7.50,3.00,4.00,2.00,340,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11036,306,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250797,5.00,5.00,5.00,7.00,8.00,9.75,4.00,6.00,5.00,333,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1996,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250800,6.00,6.00,5.00,6.00,8.00,7.13,5.00,5.00,5.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',3312,122,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250819,1.00,2.00,2.00,1.00,2.00,NULL,2.00,2.00,2.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250827,4.00,8.00,3.00,7.00,9.00,9.38,3.00,5.00,3.00,428,NULL,426,'AGRONÔMICA','FLORIANÓPOLIS','SC',4029,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250835,3.00,4.00,1.00,2.00,4.00,5.25,2.00,3.00,1.00,652,NULL,653,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7250843,0.00,4.00,2.00,2.00,6.00,8.25,2.00,1.00,3.00,102,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',19463,183,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250851,7.00,8.00,3.00,6.00,8.00,7.88,3.00,7.00,7.00,103,NULL,NULL,'VILA NOVA','LONDRINA','PR',2562,1036,NULL,NULL,NULL,NULL,NULL,4,8),(28,7250878,4.00,6.00,1.00,5.00,5.00,7.50,3.00,6.00,4.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7250908,3.00,7.00,1.00,7.00,8.00,10.50,5.00,6.00,4.00,207,NULL,201,'JARDIM AMÉRICA','RIO SUL','SC',4048,161,NULL,NULL,NULL,NULL,NULL,2,24),(28,7250916,2.00,5.00,2.00,4.00,5.00,6.00,2.00,3.00,3.00,104,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',14626,357,NULL,NULL,NULL,NULL,NULL,2,4),(28,7250924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'PASSO DA AREIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7250932,3.00,7.00,2.00,6.00,6.00,8.25,1.00,6.00,3.00,208,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',13003,144,NULL,NULL,NULL,NULL,NULL,4,1),(28,7250959,1.00,5.00,3.00,5.00,5.00,8.63,2.00,4.00,6.00,653,NULL,NULL,'QUARTA LINHA','CRICIÚMA','SC',14262,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7250967,6.00,5.00,2.00,5.00,4.00,8.25,3.00,3.00,5.00,207,NULL,201,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',12712,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7250975,7.00,7.00,4.00,6.00,5.00,9.00,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2843,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7250983,1.00,3.00,3.00,4.00,7.00,8.63,3.00,3.00,4.00,202,NULL,601,'IRIRIÚ','JOINVILLE','SC',17101,377,NULL,NULL,NULL,NULL,NULL,4,8),(28,7250991,4.00,8.00,3.00,6.00,9.00,8.63,5.00,6.00,3.00,5,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',3962,140,NULL,NULL,NULL,NULL,NULL,2,8),(28,7251009,3.00,4.00,1.00,3.00,6.00,7.13,1.00,6.00,4.00,207,NULL,201,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',11634,530,NULL,750,NULL,NULL,NULL,4,1),(28,7251017,4.00,6.00,2.00,5.00,6.00,9.38,2.00,4.00,3.00,110,NULL,NULL,'ROÇADO','S JOSÉ','SC',9733,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251025,5.00,8.00,1.00,7.00,9.00,7.13,4.00,5.00,4.00,103,NULL,NULL,'PALMITAL','CHAPECÓ','SC',4204,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7251033,2.00,5.00,2.00,6.00,3.00,6.75,1.00,2.00,2.00,454,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15112,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7251041,5.00,5.00,2.00,7.00,7.00,8.25,1.00,6.00,6.00,201,NULL,601,'CENTRO','CHAPECÓ','SC',5597,NULL,NULL,104,NULL,NULL,NULL,4,4),(28,7251050,2.00,6.00,2.00,7.00,6.00,7.13,4.00,3.00,5.00,203,NULL,202,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',7564,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7251068,0.00,2.00,1.00,3.00,0.00,NULL,1.00,3.00,2.00,338,NULL,NULL,'COBRE','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7251106,8.00,7.00,1.00,6.00,9.00,7.50,7.00,6.00,6.00,454,NULL,NULL,'SAO BRAZ','CURITIBA','PR',1159,4,NULL,NULL,NULL,NULL,NULL,4,6),(28,7251114,1.00,5.00,3.00,2.00,8.00,9.00,3.00,5.00,1.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12377,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251122,1.00,7.00,0.00,5.00,6.00,7.50,1.00,6.00,3.00,415,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',16707,248,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251130,4.00,6.00,2.00,6.00,4.00,9.38,6.00,4.00,3.00,203,NULL,202,'ESTREITO','FLORIANÓPOLIS','SC',9419,519,NULL,243,NULL,NULL,NULL,2,1),(28,7251149,1.00,3.00,2.00,6.00,6.00,7.13,2.00,4.00,3.00,211,NULL,653,'CENTRO','VACARIA','RS',18101,419,NULL,191,NULL,NULL,NULL,2,1),(28,7251165,2.00,6.00,3.00,5.00,6.00,6.00,3.00,5.00,2.00,202,NULL,235,'BOM VIVER','BIGUAÇU','SC',17083,376,NULL,271,NULL,NULL,NULL,4,1),(28,7251173,0.00,2.00,5.00,2.00,3.00,7.88,2.00,3.00,1.00,653,NULL,655,'SÃO PEREGRINO','TURVO','SC',19723,213,NULL,135,NULL,NULL,NULL,2,15),(28,7251181,7.00,8.00,7.00,7.00,9.00,11.25,5.00,7.00,8.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',113,90,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251190,4.00,5.00,4.00,5.00,5.00,7.13,3.00,6.00,2.00,103,NULL,NULL,'CENTRO','S JOÃO TRIUNFO','PR',9717,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7251203,3.00,4.00,3.00,6.00,5.00,5.63,1.00,3.00,1.00,317,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13273,77,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7251220,0.00,3.00,1.00,4.00,3.00,8.25,0.00,4.00,1.00,103,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7251238,4.00,8.00,1.00,7.00,7.00,9.75,4.00,6.00,6.00,104,NULL,NULL,'CENTRO','IMBITUBA','SC',4215,65,NULL,NULL,NULL,NULL,NULL,2,1),(28,7251246,3.00,7.00,3.00,7.00,8.00,10.88,1.00,4.00,3.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7251262,3.00,7.00,2.00,5.00,9.00,10.50,2.00,6.00,3.00,450,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',5527,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251270,2.00,5.00,2.00,3.00,7.00,6.75,2.00,6.00,3.00,9,NULL,NULL,'GUIOMAR','ANTÔNIO CARLOS','SC',14611,108,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251289,4.00,7.00,0.00,7.00,4.00,9.00,3.00,5.00,3.00,601,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',8132,199,NULL,NULL,NULL,NULL,NULL,4,8),(28,7251297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CRUZEIRO','ITARARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7251300,1.00,2.00,2.00,5.00,7.00,9.00,2.00,3.00,2.00,654,NULL,NULL,'SANTO ÂNTONIO','CURITIBANOS','SC',17739,66,NULL,NULL,NULL,NULL,NULL,2,16),(28,7251319,2.00,6.00,1.00,6.00,6.00,9.00,0.00,4.00,2.00,104,NULL,NULL,'SERRARIA','S JOSÉ','SC',17022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251327,0.00,7.00,0.00,6.00,3.00,9.00,2.00,4.00,2.00,211,NULL,215,'SERTÃOZINHO','ITAPEMA','SC',11946,315,NULL,203,NULL,NULL,NULL,2,3),(28,7251335,2.00,4.00,0.00,1.00,2.00,NULL,1.00,4.00,4.00,308,NULL,NULL,'COSTEIRA DO PIRJUBAE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251343,2.00,4.00,1.00,2.00,4.00,4.88,2.00,6.00,1.00,653,NULL,655,'MORRO DOS CONVENTOS','ARARANGUÁ','SC',14964,NULL,NULL,83,NULL,NULL,NULL,4,15),(28,7251351,3.00,7.00,3.00,7.00,8.00,10.50,4.00,6.00,5.00,203,NULL,202,'MAR GROSSO','LAGUNA','SC',4883,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7251360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BOM RETIRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7251378,5.00,6.00,2.00,7.00,9.00,8.25,2.00,6.00,6.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4281,200,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7251408,5.00,4.00,2.00,7.00,4.00,8.25,2.00,3.00,2.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7251416,2.00,5.00,0.00,6.00,3.00,8.63,4.00,3.00,2.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7251424,2.00,4.00,2.00,5.00,5.00,5.25,2.00,4.00,3.00,503,NULL,NULL,'MIRIM','IMBITUBA','SC',15663,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251432,5.00,6.00,3.00,5.00,8.00,8.63,7.00,4.00,6.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',5968,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251440,2.00,4.00,2.00,5.00,4.00,7.50,1.00,3.00,2.00,652,NULL,655,'MATO ALTO','ARARANGUÁ','SC',14983,53,NULL,NULL,NULL,NULL,NULL,2,15),(28,7251459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA CLEMENTINO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7251467,3.00,6.00,1.00,5.00,5.00,6.38,1.00,4.00,2.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',18011,257,NULL,NULL,NULL,NULL,NULL,2,1),(28,7251475,3.00,6.00,3.00,7.00,9.00,10.13,5.00,7.00,6.00,201,NULL,212,'LAR DO TRABALHADOR','CPO GRANDE','MS',1582,97,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251483,4.00,7.00,1.00,5.00,3.00,8.25,3.00,3.00,3.00,238,NULL,653,'PETRÓPOLIS','JOINVILLE','SC',10344,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7251491,3.00,5.00,1.00,4.00,5.00,7.88,1.00,4.00,3.00,654,NULL,NULL,'MILANESE','CRICIÚMA','SC',14165,39,NULL,NULL,NULL,NULL,NULL,2,5),(28,7251513,1.00,3.00,2.00,4.00,2.00,NULL,3.00,6.00,2.00,303,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7251521,0.00,6.00,0.00,5.00,6.00,9.00,3.00,4.00,3.00,303,NULL,NULL,'BUCAREIN','JOINVILLE','SC',12696,481,NULL,NULL,NULL,NULL,NULL,4,8),(28,7251530,1.00,3.00,0.00,5.00,6.00,7.50,3.00,4.00,3.00,327,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',14406,42,NULL,NULL,NULL,NULL,NULL,2,1),(28,7251548,0.00,6.00,1.00,2.00,4.00,7.50,4.00,4.00,5.00,551,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',18265,52,NULL,NULL,NULL,NULL,NULL,4,16),(28,7251556,1.00,3.00,4.00,6.00,2.00,NULL,1.00,3.00,3.00,317,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7251564,4.00,7.00,4.00,7.00,6.00,9.00,3.00,5.00,3.00,655,NULL,601,'CENTRO','LAGES','SC',9155,38,NULL,NULL,NULL,NULL,NULL,4,9),(28,7251572,5.00,6.00,2.00,6.00,7.00,8.25,1.00,5.00,4.00,9,NULL,NULL,'CENTRO','TIJUCAS','SC',7020,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251580,1.00,2.00,2.00,3.00,4.00,4.50,0.00,2.00,2.00,212,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',18889,419,NULL,350,NULL,NULL,NULL,2,1),(28,7251599,0.00,4.00,1.00,6.00,4.00,NULL,3.00,5.00,2.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251602,0.00,3.00,1.00,4.00,4.00,7.88,3.00,5.00,2.00,450,NULL,NULL,'VILA NATUREZA','CRICIÚMA','SC',19208,132,NULL,NULL,NULL,NULL,NULL,4,5),(28,7251610,5.00,7.00,4.00,7.00,8.00,8.63,4.00,7.00,5.00,103,NULL,NULL,'JARDIM TUCANOS','LONDRINA','PR',2439,1007,NULL,NULL,NULL,NULL,NULL,2,3),(28,7251629,3.00,6.00,4.00,6.00,5.00,6.00,3.00,5.00,4.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14192,177,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251637,5.00,5.00,0.00,6.00,8.00,7.50,3.00,7.00,1.00,501,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',8245,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251645,3.00,5.00,1.00,6.00,6.00,6.75,2.00,4.00,4.00,301,NULL,NULL,'CENTRO','JOINVILLE','SC',10567,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7251653,6.00,6.00,4.00,7.00,8.00,9.00,7.00,5.00,6.00,203,NULL,214,'VORSTADT','BLUMENAU','SC',788,77,NULL,NULL,NULL,NULL,NULL,4,2),(28,7251661,2.00,4.00,3.00,5.00,5.00,6.75,2.00,2.00,2.00,238,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7251670,6.00,7.00,5.00,7.00,9.00,6.38,4.00,7.00,6.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',1427,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7251688,5.00,7.00,4.00,7.00,8.00,5.25,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','ITUPORANGA','SC',4442,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7251696,1.00,3.00,1.00,2.00,4.00,7.13,0.00,5.00,2.00,201,NULL,238,'RIO CAVEIRAS','BIGUAÇU','SC',18246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251700,0.00,4.00,4.00,2.00,3.00,5.63,3.00,3.00,3.00,999,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7251718,2.00,3.00,0.00,2.00,7.00,7.13,3.00,4.00,3.00,238,NULL,NULL,'CANOAS','BOM RETIRO','SC',15609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7251726,2.00,7.00,4.00,5.00,5.00,5.63,3.00,3.00,3.00,238,NULL,652,'UNIVERSITÁRIO','TIJUCAS','SC',11601,NULL,NULL,32,NULL,NULL,NULL,4,1),(28,7251734,4.00,8.00,1.00,2.00,4.00,8.25,4.00,7.00,4.00,201,NULL,203,'STO ANTONIO DE PÁDUA','TUBARÃO','SC',11712,756,NULL,NULL,NULL,NULL,NULL,4,10),(28,7251742,2.00,7.00,0.00,7.00,6.00,8.25,2.00,5.00,4.00,999,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7251750,2.00,3.00,2.00,1.00,1.00,NULL,1.00,1.00,3.00,302,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7251769,5.00,4.00,1.00,6.00,8.00,9.75,0.00,3.00,4.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8160,248,NULL,NULL,NULL,NULL,NULL,2,1),(28,7251777,5.00,8.00,0.00,6.00,7.00,7.13,4.00,6.00,7.00,103,NULL,NULL,'TRIBESS','BLUMENAU','SC',4002,1325,NULL,NULL,NULL,NULL,NULL,2,2),(28,7251785,1.00,5.00,3.00,3.00,3.00,6.00,3.00,5.00,0.00,601,NULL,203,'ICARAI','BARRA VELHA','SC',19115,541,NULL,706,NULL,NULL,NULL,4,8),(28,7251793,5.00,5.00,1.00,7.00,4.00,4.50,3.00,6.00,7.00,216,NULL,215,'CAMPINAS','S JOSÉ','SC',13622,375,NULL,230,NULL,NULL,NULL,4,1),(28,7251807,5.00,8.00,4.00,7.00,6.00,7.13,0.00,5.00,4.00,326,NULL,NULL,'SANTA RITA','PIRACICABA','SP',11043,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251815,3.00,7.00,2.00,6.00,7.00,9.38,5.00,7.00,4.00,201,NULL,211,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',6152,478,NULL,163,NULL,NULL,NULL,4,1),(28,7251823,3.00,5.00,2.00,4.00,5.00,6.00,5.00,3.00,4.00,216,NULL,202,'PLANALTO','ARAÇATUBA','SP',9426,303,NULL,244,NULL,NULL,NULL,4,8),(28,7251831,4.00,5.00,4.00,5.00,6.00,9.00,6.00,5.00,5.00,103,NULL,NULL,'PINHEIRINHO','CURITIBA','PR',5026,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7251858,3.00,7.00,2.00,7.00,6.00,5.25,3.00,6.00,5.00,301,NULL,NULL,'PONTE DE IMARUIM','PALHOÇA','SC',7336,75,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251866,1.00,5.00,4.00,3.00,4.00,8.63,2.00,4.00,3.00,207,NULL,201,'CENTRO','SOMBRIO','SC',14268,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7251882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7251890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7251904,4.00,8.00,3.00,6.00,8.00,9.38,5.00,7.00,5.00,214,NULL,212,'JARDIM EUROPA','PIRACICABA','SP',1992,69,NULL,37,NULL,NULL,NULL,2,1),(28,7251912,0.00,2.00,1.00,3.00,4.00,NULL,3.00,5.00,0.00,653,NULL,655,'IMIGRANTES','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7251920,0.00,6.00,3.00,4.00,4.00,7.88,2.00,3.00,3.00,303,NULL,NULL,'BELA ALIANÇA','RIO SUL','SC',18313,588,NULL,NULL,NULL,NULL,NULL,2,1),(28,7251939,1.00,3.00,1.00,4.00,2.00,NULL,2.00,3.00,2.00,444,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7251947,3.00,6.00,2.00,3.00,7.00,6.75,1.00,4.00,3.00,552,NULL,NULL,'CRUZEIRO DO SUL','JOAÇABA','SC',12879,65,NULL,NULL,NULL,NULL,NULL,2,7),(28,7251955,1.00,4.00,2.00,5.00,10.00,7.50,3.00,2.00,2.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10689,2117,NULL,NULL,NULL,NULL,NULL,2,1),(28,7251963,2.00,8.00,1.00,6.00,5.00,7.13,3.00,4.00,3.00,213,NULL,653,'CENTRO','LAGES','SC',14958,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7251980,5.00,6.00,2.00,5.00,4.00,6.75,4.00,6.00,2.00,201,NULL,203,'GUARA','CAMPINAS','SP',7395,546,NULL,446,NULL,NULL,NULL,4,1),(28,7251998,7.00,8.00,2.00,6.00,8.00,11.25,5.00,7.00,8.00,103,NULL,NULL,'ZONA A','UMUARAMA','PR',659,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252005,4.00,7.00,4.00,6.00,8.00,8.25,7.00,7.00,3.00,450,NULL,NULL,'VILA NERY','S CARLOS','SP',6239,47,NULL,NULL,NULL,NULL,NULL,3,1),(28,7252013,5.00,8.00,5.00,8.00,10.00,10.13,7.00,6.00,7.00,203,NULL,233,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',542,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252021,5.00,8.00,2.00,5.00,4.00,7.13,1.00,5.00,4.00,214,NULL,212,'VILA NOVA','BLUMENAU','SC',9488,246,NULL,NULL,NULL,NULL,NULL,4,2),(28,7252030,3.00,7.00,6.00,7.00,7.00,8.25,7.00,5.00,5.00,211,NULL,216,'GARCIA','BLUMENAU','SC',6453,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7252048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7252056,5.00,7.00,4.00,5.00,7.00,9.00,4.00,5.00,6.00,303,NULL,NULL,'AMÉRICA','JOINVILLE','SC',3405,157,NULL,NULL,NULL,NULL,NULL,4,8),(28,7252064,1.00,8.00,2.00,6.00,7.00,6.75,2.00,5.00,4.00,104,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',10629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252072,1.00,7.00,1.00,5.00,3.00,6.38,0.00,2.00,3.00,999,NULL,NULL,'AMADORI','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7252080,3.00,4.00,4.00,3.00,5.00,4.50,2.00,5.00,3.00,202,NULL,235,'QUISSISSANA','S JOSÉ PINHAIS','PR',14581,334,NULL,233,NULL,NULL,NULL,2,8),(28,7252099,1.00,5.00,1.00,5.00,3.00,NULL,2.00,4.00,0.00,108,NULL,NULL,'RIO PERSO','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7252102,0.00,4.00,2.00,7.00,8.00,9.00,2.00,5.00,4.00,303,NULL,NULL,'CENTRO','JOINVILLE','SC',13785,508,NULL,NULL,NULL,NULL,NULL,4,8),(28,7252110,3.00,5.00,1.00,5.00,6.00,7.50,2.00,3.00,3.00,552,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',14364,86,NULL,NULL,NULL,NULL,NULL,2,1),(28,7252129,3.00,7.00,2.00,6.00,8.00,10.50,3.00,5.00,4.00,207,NULL,215,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',4081,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252145,4.00,6.00,2.00,5.00,6.00,8.25,3.00,6.00,4.00,104,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7185,163,NULL,NULL,NULL,NULL,NULL,2,1),(28,7252153,8.00,8.00,3.00,5.00,11.00,11.25,6.00,6.00,7.00,303,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',407,10,NULL,NULL,NULL,NULL,NULL,4,5),(28,7252161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA LESSA','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7252170,1.00,6.00,2.00,7.00,5.00,8.25,5.00,2.00,4.00,207,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',8396,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252188,4.00,7.00,2.00,7.00,8.00,8.25,4.00,8.00,3.00,425,NULL,428,'CENTRO','FLORIANÓPOLIS','SC',8106,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252196,0.00,5.00,2.00,5.00,4.00,6.75,4.00,5.00,2.00,301,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',13508,189,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252200,0.00,7.00,1.00,5.00,5.00,5.63,1.00,6.00,3.00,301,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',14181,203,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252218,2.00,1.00,0.00,6.00,3.00,NULL,2.00,2.00,1.00,333,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7252234,5.00,6.00,3.00,6.00,6.00,7.13,6.00,7.00,5.00,201,NULL,202,'AGRONÔMICA','FLORIANÓPOLIS','SC',4526,349,NULL,131,NULL,NULL,NULL,2,1),(28,7252242,2.00,6.00,2.00,6.00,6.00,7.13,3.00,6.00,3.00,205,NULL,NULL,'AREIAS','S JOSÉ','SC',14741,15,NULL,NULL,NULL,NULL,NULL,2,1),(28,7252250,0.00,2.00,2.00,4.00,2.00,NULL,0.00,2.00,2.00,207,NULL,201,'PAGARÁ GRANDE','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7252269,3.00,7.00,0.00,6.00,7.00,6.38,2.00,3.00,5.00,104,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',8659,205,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252277,1.00,3.00,3.00,6.00,4.00,8.63,4.00,3.00,3.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',17591,260,NULL,NULL,NULL,NULL,NULL,2,1),(28,7252285,2.00,6.00,1.00,2.00,9.00,10.13,1.00,6.00,4.00,103,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',8855,1986,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252293,2.00,7.00,0.00,3.00,2.00,NULL,0.00,4.00,1.00,653,NULL,652,'CAMPINHO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7252307,2.00,5.00,3.00,5.00,9.00,8.63,4.00,5.00,4.00,9,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',7300,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252315,5.00,6.00,2.00,7.00,10.00,13.50,3.00,5.00,4.00,454,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',3371,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7252323,7.00,8.00,2.00,6.00,9.00,10.50,2.00,7.00,4.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',2388,990,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252331,1.00,5.00,2.00,5.00,6.00,6.75,1.00,5.00,1.00,327,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',14656,43,NULL,NULL,NULL,NULL,NULL,2,1),(28,7252358,7.00,7.00,0.00,7.00,8.00,10.88,2.00,4.00,6.00,103,NULL,NULL,'MOEMA','S PAULO','SP',3375,1221,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252366,3.00,8.00,2.00,7.00,8.00,9.00,3.00,6.00,6.00,207,NULL,601,'TRINDADE','FLORIANÓPOLIS','SC',2465,85,NULL,26,NULL,NULL,NULL,4,1),(28,7252374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPO BELO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7252382,0.00,4.00,1.00,2.00,2.00,NULL,2.00,1.00,3.00,404,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7252404,1.00,6.00,3.00,4.00,5.00,5.63,2.00,3.00,1.00,103,NULL,NULL,'VILA NOVA','IMBITUBA','SC',18634,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7252412,0.00,1.00,0.00,2.00,3.00,NULL,0.00,3.00,1.00,501,NULL,NULL,'VILA NOVA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7252420,5.00,7.00,3.00,5.00,7.00,8.25,3.00,7.00,2.00,103,NULL,NULL,'CORAL','LAGES','SC',6179,1655,NULL,NULL,NULL,NULL,NULL,2,1),(28,7252447,2.00,6.00,3.00,7.00,7.00,5.25,3.00,5.00,4.00,653,NULL,203,'MAE LUZIA','CRICIÚMA','SC',7835,84,NULL,NULL,NULL,NULL,NULL,2,5),(28,7252455,4.00,8.00,2.00,5.00,9.00,10.13,6.00,6.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2093,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252463,0.00,4.00,3.00,1.00,4.00,NULL,2.00,4.00,2.00,316,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7252471,0.00,5.00,4.00,5.00,3.00,NULL,3.00,5.00,1.00,238,NULL,213,'SAO JOAO MD','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7252480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7252498,6.00,6.00,1.00,4.00,6.00,8.25,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','JAGUARUNA','SC',7879,1881,NULL,NULL,NULL,NULL,NULL,4,10),(28,7252501,1.00,4.00,1.00,5.00,6.00,4.88,0.00,5.00,2.00,234,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17100,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252510,2.00,5.00,2.00,6.00,5.00,8.25,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10117,2080,NULL,NULL,NULL,NULL,NULL,2,1),(28,7252528,2.00,7.00,2.00,6.00,8.00,9.00,3.00,5.00,6.00,201,NULL,207,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',5018,NULL,NULL,216,NULL,NULL,NULL,2,1),(28,7252536,0.00,5.00,0.00,3.00,2.00,NULL,1.00,4.00,1.00,415,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252544,6.00,8.00,4.00,7.00,10.00,12.00,5.00,7.00,8.00,103,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252552,2.00,5.00,3.00,4.00,5.00,7.13,2.00,3.00,4.00,208,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13051,145,NULL,NULL,NULL,NULL,NULL,2,1),(28,7252587,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7252595,5.00,6.00,2.00,4.00,8.00,5.63,1.00,4.00,2.00,108,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',11141,148,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252625,5.00,7.00,3.00,5.00,4.00,7.50,3.00,4.00,4.00,203,NULL,201,'MARIA GORETTI','CHAPECÓ','SC',7262,441,NULL,NULL,NULL,NULL,NULL,4,4),(28,7252650,4.00,6.00,1.00,7.00,5.00,6.75,4.00,5.00,4.00,213,NULL,238,'CALHEIROS','GOV CELSO RAMOS','SC',7290,NULL,NULL,96,NULL,NULL,NULL,2,1),(28,7252668,1.00,6.00,1.00,2.00,5.00,8.25,2.00,4.00,1.00,552,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',14327,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7252676,2.00,2.00,1.00,5.00,5.00,6.75,2.00,1.00,2.00,3,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252684,1.00,6.00,2.00,6.00,3.00,7.50,1.00,2.00,2.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19429,601,NULL,NULL,NULL,NULL,NULL,2,1),(28,7252692,6.00,7.00,2.00,5.00,8.00,8.25,7.00,7.00,6.00,103,NULL,NULL,'C A E CARVALHO','S PAULO','SP',1697,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252706,5.00,7.00,3.00,6.00,9.00,8.63,3.00,5.00,4.00,415,NULL,NULL,'AMÉRICA','JOINVILLE','SC',7002,115,NULL,NULL,NULL,NULL,NULL,4,8),(28,7252714,1.00,4.00,2.00,6.00,4.00,8.63,2.00,4.00,3.00,333,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',13456,78,NULL,NULL,NULL,NULL,NULL,2,1),(28,7252722,2.00,7.00,5.00,7.00,6.00,6.38,6.00,8.00,6.00,214,NULL,203,'SANTA MÔNICA','FLORIANÓPOLIS','SC',2668,97,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252757,2.00,7.00,5.00,5.00,6.00,6.75,2.00,4.00,3.00,108,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',15735,216,NULL,NULL,NULL,NULL,NULL,2,1),(28,7252765,4.00,8.00,3.00,7.00,8.00,9.00,1.00,8.00,3.00,328,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6663,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'MORRO DA BINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7252781,3.00,0.00,3.00,7.00,3.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(28,7252803,3.00,6.00,3.00,5.00,7.00,7.13,3.00,5.00,5.00,212,NULL,214,'GUARUJÁ','PTO ALEGRE','RS',8005,246,NULL,229,NULL,NULL,NULL,4,1),(28,7252820,0.00,5.00,1.00,7.00,5.00,6.00,4.00,4.00,1.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7252846,2.00,7.00,0.00,5.00,4.00,NULL,2.00,5.00,2.00,999,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252862,3.00,6.00,2.00,6.00,4.00,9.00,2.00,3.00,3.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',10540,298,NULL,NULL,NULL,NULL,NULL,4,8),(28,7252870,0.00,5.00,2.00,7.00,6.00,NULL,0.00,2.00,1.00,444,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7252889,1.00,3.00,3.00,2.00,7.00,8.25,0.00,4.00,2.00,340,NULL,NULL,'CENTRO','NOVA ERECHIM','SC',18905,423,NULL,NULL,NULL,NULL,NULL,3,4),(28,7252897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PORTINHO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7252919,5.00,7.00,4.00,6.00,7.00,9.38,4.00,6.00,5.00,601,NULL,235,'COSTA E SILVA','JOINVILLE','SC',3662,55,NULL,NULL,NULL,NULL,NULL,4,8),(28,7252927,0.00,4.00,1.00,4.00,2.00,NULL,1.00,4.00,2.00,652,NULL,655,'POLICIA RODOVIÁRIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7252943,0.00,7.00,1.00,6.00,8.00,5.63,3.00,6.00,2.00,103,NULL,NULL,'JARDIM DAS NAÇÕES','TAUBATÉ','SP',11422,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7252951,0.00,4.00,1.00,3.00,3.00,NULL,0.00,1.00,2.00,501,NULL,NULL,'FLOR','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7252960,1.00,2.00,2.00,3.00,3.00,6.00,0.00,3.00,3.00,999,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7252978,1.00,5.00,2.00,4.00,4.00,8.25,1.00,4.00,5.00,201,NULL,212,'VILLAGE','GAROPABA','SC',13838,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7252994,0.00,3.00,1.00,6.00,4.00,8.25,4.00,4.00,3.00,552,NULL,NULL,'NOVA BRASÍLIA','IMBITUBA','SC',14074,82,NULL,NULL,NULL,NULL,NULL,4,10),(28,7253010,0.00,6.00,2.00,5.00,4.00,6.75,2.00,5.00,4.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13774,164,NULL,NULL,NULL,NULL,NULL,2,1),(28,7253028,2.00,4.00,4.00,4.00,2.00,NULL,3.00,5.00,3.00,318,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7253044,1.00,6.00,2.00,7.00,5.00,9.00,1.00,3.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'VILAS DO ATLANTICO','LAURO FREITAS','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7253060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'SAO JOSE','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7253079,3.00,0.00,2.00,5.00,2.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,8),(28,7253087,2.00,5.00,2.00,4.00,7.00,7.88,1.00,3.00,4.00,103,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',17542,2457,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253095,3.00,6.00,2.00,6.00,8.00,8.63,4.00,6.00,3.00,999,NULL,NULL,'RESSACADA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7253109,1.00,7.00,2.00,4.00,5.00,7.88,2.00,3.00,2.00,999,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7253117,6.00,6.00,4.00,7.00,5.00,8.25,5.00,6.00,8.00,220,NULL,601,'TERRAS DO PIRACICABA','PIRACICABA','SP',2080,60,NULL,21,NULL,NULL,NULL,4,1),(28,7253125,1.00,2.00,3.00,7.00,4.00,7.88,4.00,1.00,2.00,203,NULL,214,'PITANGUEIRAS','GUARUJÁ','SP',18779,698,NULL,357,NULL,NULL,NULL,4,1),(28,7253133,5.00,6.00,3.00,6.00,8.00,6.75,7.00,7.00,6.00,103,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',2903,1112,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253141,2.00,5.00,1.00,5.00,2.00,NULL,0.00,3.00,3.00,238,NULL,655,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253150,1.00,7.00,3.00,7.00,7.00,9.75,3.00,5.00,2.00,211,NULL,201,'RIO GRANDE','PALHOÇA','SC',8756,237,NULL,622,NULL,NULL,NULL,4,1),(28,7253168,3.00,6.00,1.00,7.00,7.00,9.38,2.00,3.00,1.00,999,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7253176,5.00,8.00,3.00,5.00,5.00,9.38,4.00,6.00,4.00,103,NULL,NULL,'HAUER','CURITIBA','PR',7697,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7253192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'ESTAÇÃO','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7253206,5.00,8.00,4.00,6.00,9.00,7.50,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',3527,1247,NULL,NULL,NULL,NULL,NULL,4,5),(28,7253214,0.00,6.00,1.00,1.00,3.00,4.50,2.00,6.00,2.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19896,179,NULL,NULL,NULL,NULL,NULL,2,1),(28,7253222,1.00,4.00,2.00,5.00,7.00,7.50,1.00,5.00,1.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253249,1.00,4.00,2.00,3.00,6.00,7.13,1.00,5.00,1.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15813,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253257,1.00,3.00,2.00,0.00,5.00,NULL,0.00,3.00,2.00,104,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253265,3.00,3.00,1.00,5.00,4.00,6.00,6.00,4.00,2.00,211,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7253273,2.00,0.00,3.00,4.00,6.00,NULL,0.00,0.00,0.00,214,NULL,601,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7253281,0.00,8.00,3.00,5.00,5.00,NULL,1.00,4.00,2.00,501,NULL,NULL,'TRÊS BARRAS','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7253290,5.00,7.00,2.00,5.00,7.00,10.88,4.00,6.00,5.00,415,NULL,NULL,'N S DO ROSÁRIO','S JOSÉ','SC',3039,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253320,1.00,3.00,1.00,5.00,3.00,4.50,2.00,2.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7253338,2.00,7.00,2.00,4.00,8.00,7.50,3.00,3.00,1.00,104,NULL,NULL,'CIDADE MORUMBI','S JOSÉ CAMPOS','SP',12159,301,NULL,NULL,NULL,NULL,NULL,2,1),(28,7253346,3.00,7.00,1.00,3.00,8.00,7.88,4.00,5.00,3.00,304,NULL,NULL,'CENTRO','CURITIBANOS','SC',9214,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7253354,1.00,2.00,2.00,4.00,6.00,5.63,3.00,3.00,2.00,9,NULL,NULL,'ZONA NORTE','CAPÃO CANOA','RS',17631,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7253362,2.00,6.00,1.00,6.00,5.00,7.50,3.00,4.00,3.00,238,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16697,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7253370,5.00,8.00,4.00,7.00,2.00,NULL,5.00,3.00,3.00,214,NULL,212,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253389,1.00,9.00,2.00,8.00,8.00,9.00,3.00,7.00,4.00,2,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',8627,24,NULL,NULL,NULL,NULL,NULL,1,1),(28,7253400,1.00,4.00,1.00,4.00,5.00,9.75,3.00,5.00,2.00,103,NULL,NULL,'HUMAITA','TUBARÃO','SC',16733,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7253419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PALMAS','TO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7253427,3.00,3.00,2.00,3.00,5.00,5.63,2.00,4.00,1.00,302,NULL,NULL,'SERTAO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7253443,0.00,4.00,1.00,2.00,5.00,NULL,1.00,3.00,2.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253451,2.00,6.00,2.00,5.00,5.00,9.00,1.00,6.00,2.00,108,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',10800,145,NULL,NULL,NULL,NULL,NULL,2,15),(28,7253460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7253494,4.00,4.00,3.00,4.00,6.00,8.63,2.00,4.00,2.00,207,NULL,216,'COSTA E SILVA','JOINVILLE','SC',13201,596,NULL,NULL,NULL,NULL,NULL,4,8),(28,7253508,3.00,6.00,4.00,4.00,4.00,6.75,2.00,2.00,3.00,601,NULL,212,'CENTRO','JOINVILLE','SC',17348,500,NULL,NULL,NULL,NULL,NULL,4,8),(28,7253516,5.00,7.00,2.00,4.00,8.00,10.50,4.00,7.00,3.00,601,NULL,201,'OFICINAS','TUBARÃO','SC',4112,69,NULL,NULL,NULL,NULL,NULL,4,10),(28,7253524,1.00,5.00,2.00,2.00,7.00,7.88,1.00,3.00,5.00,101,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',15591,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253532,0.00,3.00,0.00,6.00,5.00,NULL,1.00,3.00,4.00,201,NULL,211,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7253559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7253567,8.00,8.00,5.00,6.00,10.00,10.88,6.00,8.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',193,152,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253575,6.00,6.00,2.00,5.00,8.00,7.88,3.00,5.00,2.00,103,NULL,NULL,'OFICINAS','TUBARÃO','SC',7224,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7253583,0.00,7.00,1.00,2.00,6.00,7.88,2.00,5.00,3.00,421,NULL,424,'IPIRANGA','S JOSÉ','SC',18517,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253591,0.00,2.00,1.00,3.00,4.00,7.50,3.00,1.00,1.00,309,NULL,NULL,'CENTRO','CONCÓRDIA','SC',20069,72,NULL,NULL,NULL,NULL,NULL,2,26),(28,7253605,2.00,4.00,0.00,5.00,4.00,7.88,1.00,4.00,1.00,424,NULL,425,'BOA VISTA','JOINVILLE','SC',15555,24,NULL,NULL,NULL,NULL,NULL,4,8),(28,7253613,3.00,7.00,3.00,5.00,7.00,9.00,4.00,6.00,4.00,454,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',6166,91,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253630,4.00,7.00,3.00,3.00,8.00,7.88,3.00,5.00,3.00,340,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',7865,208,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253648,3.00,6.00,3.00,5.00,6.00,8.63,1.00,5.00,3.00,415,NULL,NULL,'SAMAMBAIA','CPO GRANDE','MS',8096,128,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253656,3.00,4.00,1.00,7.00,8.00,9.75,3.00,1.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8906,212,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'JARDIM BOTÂNICO','SINOP','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7253680,3.00,3.00,1.00,3.00,4.00,5.25,3.00,3.00,2.00,503,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',18096,40,NULL,NULL,NULL,NULL,NULL,2,1),(28,7253699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'STAN','TORRES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7253710,2.00,6.00,2.00,7.00,7.00,10.50,5.00,8.00,3.00,331,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',3957,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253729,1.00,5.00,0.00,6.00,3.00,NULL,3.00,5.00,0.00,108,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7253737,0.00,2.00,0.00,5.00,2.00,NULL,1.00,3.00,4.00,207,NULL,203,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7253753,5.00,7.00,3.00,7.00,7.00,8.63,6.00,8.00,5.00,202,NULL,235,'COLONINHA','GASPAR','SC',2849,79,NULL,44,NULL,NULL,NULL,1,2),(28,7253761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,238,'PRÓSPERA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7253770,4.00,7.00,4.00,5.00,8.00,8.63,3.00,5.00,6.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',4219,1368,NULL,NULL,NULL,NULL,NULL,4,8),(28,7253796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM EUROPA','ITAPEVA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7253800,4.00,7.00,2.00,6.00,9.00,8.63,5.00,6.00,4.00,201,NULL,212,'CARVOEIRA','FLORIANÓPOLIS','SC',2007,134,NULL,38,NULL,NULL,NULL,2,1),(28,7253818,3.00,6.00,2.00,4.00,5.00,6.75,3.00,7.00,1.00,328,NULL,NULL,'DONA JORDINA','S LUDGERO','SC',16290,17,NULL,NULL,NULL,NULL,NULL,2,10),(28,7253826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'JARDIM PLANALTO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7253834,1.00,3.00,3.00,6.00,4.00,9.75,3.00,6.00,3.00,208,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',15854,176,NULL,NULL,NULL,NULL,NULL,2,1),(28,7253842,0.00,5.00,1.00,5.00,8.00,5.25,3.00,3.00,4.00,207,NULL,201,'KOBRASOL','S JOSÉ','SC',13665,612,NULL,852,NULL,NULL,NULL,2,1),(28,7253850,4.00,8.00,2.00,7.00,7.00,10.13,4.00,9.00,2.00,319,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',3059,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253877,7.00,7.00,3.00,6.00,8.00,5.25,2.00,5.00,7.00,201,NULL,233,'CAMPINAS','S JOSÉ','SC',5546,425,NULL,147,NULL,NULL,NULL,4,1),(28,7253885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'NOVA PETRÓPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7253907,0.00,6.00,4.00,6.00,7.00,NULL,3.00,8.00,2.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7253915,1.00,8.00,3.00,1.00,2.00,NULL,1.00,6.00,2.00,999,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253931,1.00,5.00,2.00,6.00,7.00,7.13,0.00,4.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13498,362,NULL,NULL,NULL,NULL,NULL,2,1),(28,7253940,2.00,3.00,0.00,5.00,5.00,7.50,3.00,3.00,2.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7253958,3.00,4.00,4.00,6.00,2.00,NULL,2.00,3.00,4.00,207,NULL,201,'SÃO JOÃO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7253966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7253974,6.00,7.00,3.00,7.00,9.00,8.63,4.00,5.00,7.00,201,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',3667,283,NULL,90,NULL,NULL,NULL,2,1),(28,7253982,0.00,4.00,3.00,3.00,5.00,6.75,1.00,0.00,3.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7253990,6.00,7.00,5.00,6.00,8.00,7.50,3.00,5.00,6.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',5206,1526,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254008,3.00,6.00,3.00,7.00,6.00,7.88,5.00,5.00,4.00,425,NULL,426,'VILA MACARINI','CRICIÚMA','SC',5831,9,NULL,NULL,NULL,NULL,NULL,4,5),(28,7254016,0.00,6.00,1.00,3.00,6.00,7.50,2.00,5.00,3.00,303,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',14647,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254067,3.00,7.00,4.00,5.00,7.00,9.75,3.00,5.00,5.00,5,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',4626,158,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,423,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7254083,0.00,5.00,1.00,5.00,3.00,6.75,3.00,4.00,1.00,302,NULL,NULL,'CENTRO','STO ANTÔNIO PATRULHA','RS',14508,96,NULL,NULL,NULL,NULL,NULL,2,1),(28,7254091,2.00,7.00,1.00,2.00,5.00,8.63,3.00,6.00,6.00,215,NULL,207,'NOVO HORIZONTE','MARÍLIA','SP',7965,129,NULL,361,NULL,NULL,NULL,4,1),(28,7254105,2.00,4.00,5.00,4.00,8.00,5.25,2.00,7.00,4.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10370,96,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254113,0.00,4.00,2.00,5.00,4.00,7.13,1.00,1.00,1.00,999,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254130,2.00,6.00,1.00,4.00,4.00,8.63,3.00,3.00,3.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12926,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254148,2.00,5.00,5.00,7.00,4.00,8.25,3.00,4.00,2.00,999,NULL,NULL,'STO ANTÔNIO LISBOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254156,1.00,7.00,2.00,6.00,4.00,9.00,3.00,5.00,5.00,207,NULL,215,'PASSA VINTE','PALHOÇA','SC',10041,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7254164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'VILA CAMPANTE','QUINTANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7254172,0.00,5.00,1.00,5.00,8.00,NULL,1.00,5.00,1.00,103,NULL,NULL,'SÃO VICENTE','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7254180,5.00,7.00,1.00,6.00,5.00,9.75,3.00,4.00,5.00,201,NULL,235,'AREIAS','S JOSÉ','SC',7357,543,NULL,127,NULL,NULL,NULL,4,1),(28,7254229,6.00,6.00,4.00,7.00,7.00,9.75,6.00,7.00,4.00,103,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',2746,1073,NULL,NULL,NULL,NULL,NULL,4,22),(28,7254237,6.00,9.00,2.00,7.00,7.00,7.88,7.00,6.00,4.00,2,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',1743,4,NULL,NULL,NULL,NULL,NULL,4,8),(28,7254245,5.00,8.00,5.00,6.00,10.00,10.13,7.00,7.00,8.00,203,NULL,233,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',287,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254253,4.00,5.00,3.00,3.00,5.00,7.88,4.00,6.00,3.00,110,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',14474,58,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254261,3.00,5.00,2.00,4.00,5.00,9.00,3.00,4.00,2.00,110,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254270,5.00,7.00,5.00,7.00,7.00,7.13,3.00,5.00,4.00,203,NULL,235,'CENTRO','CASCAVEL','PR',4546,314,NULL,74,NULL,NULL,NULL,4,8),(28,7254288,4.00,7.00,3.00,6.00,8.00,8.25,3.00,6.00,4.00,207,NULL,201,'ABRAÃO','FLORIANÓPOLIS','SC',5015,215,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254296,2.00,6.00,3.00,6.00,2.00,NULL,2.00,5.00,1.00,108,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7254300,0.00,6.00,1.00,5.00,8.00,9.00,4.00,6.00,2.00,207,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',8226,382,NULL,224,NULL,NULL,NULL,4,1),(28,7254318,4.00,7.00,4.00,5.00,6.00,10.50,3.00,7.00,3.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5132,40,NULL,NULL,NULL,NULL,NULL,2,1),(28,7254326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'JARDIM BONGIOVANI','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7254334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ARMENIA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7254342,2.00,5.00,1.00,4.00,4.00,6.75,4.00,5.00,1.00,340,NULL,NULL,'AMÉRICA','JOINVILLE','SC',13693,366,NULL,NULL,NULL,NULL,NULL,4,8),(28,7254350,1.00,2.00,0.00,5.00,7.00,6.75,4.00,2.00,1.00,203,NULL,601,'SÃO LUIZ','CURITIBANOS','SC',15478,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7254369,6.00,6.00,1.00,6.00,7.00,NULL,3.00,5.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7254377,4.00,7.00,3.00,6.00,8.00,10.50,1.00,7.00,6.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',3054,1148,NULL,NULL,NULL,NULL,NULL,4,8),(28,7254393,3.00,7.00,1.00,6.00,6.00,11.63,4.00,4.00,4.00,213,NULL,NULL,'IPIRANGA','S JOSÉ','SC',5696,93,NULL,NULL,NULL,NULL,NULL,2,1),(28,7254407,4.00,8.00,1.00,7.00,8.00,7.88,4.00,6.00,5.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',7079,190,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254423,2.00,5.00,0.00,8.00,10.00,NULL,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','SIT MATO','BA',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254431,4.00,7.00,4.00,5.00,8.00,9.00,4.00,5.00,8.00,201,NULL,212,'JARDIM EUROPA','BIGUAÇU','SC',2880,215,NULL,87,NULL,NULL,NULL,4,1),(28,7254440,3.00,6.00,3.00,7.00,7.00,9.00,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',7346,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7254458,5.00,7.00,4.00,4.00,7.00,8.25,4.00,6.00,7.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',3816,154,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254466,4.00,8.00,3.00,6.00,6.00,7.88,2.00,3.00,2.00,103,NULL,NULL,'ICARAÍ','NITERÓI','RJ',7164,1787,NULL,NULL,NULL,NULL,NULL,2,1),(28,7254474,5.00,8.00,5.00,5.00,8.00,8.63,6.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2102,910,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,238,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7254490,4.00,6.00,2.00,6.00,9.00,8.25,3.00,6.00,3.00,212,NULL,238,'CAMPINAS','S JOSÉ','SC',6617,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7254504,1.00,7.00,0.00,5.00,5.00,6.75,2.00,5.00,2.00,601,NULL,203,'AMÉRICA','JOINVILLE','SC',13471,406,NULL,611,NULL,NULL,NULL,2,8),(28,7254512,5.00,7.00,3.00,5.00,7.00,5.63,6.00,6.00,6.00,103,NULL,NULL,'VITORIO CEZARINO','RIO PEDRAS','SP',4233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7254539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7254547,4.00,6.00,1.00,4.00,6.00,6.75,2.00,5.00,4.00,444,NULL,NULL,'CENTRO','CAMBORIÚ','SC',16481,100,NULL,NULL,NULL,NULL,NULL,4,3),(28,7254555,7.00,8.00,4.00,6.00,10.00,7.50,9.00,7.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',336,249,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254563,0.00,5.00,3.00,5.00,3.00,6.00,3.00,3.00,3.00,103,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',14828,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254571,2.00,4.00,2.00,1.00,3.00,5.63,1.00,3.00,0.00,235,NULL,213,'PALHOÇA','PALHOÇA','SC',18588,283,NULL,276,NULL,NULL,NULL,4,1),(28,7254580,0.00,1.00,2.00,2.00,4.00,3.00,2.00,1.00,2.00,102,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7254636,4.00,8.00,1.00,7.00,8.00,9.75,3.00,6.00,5.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',5592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254644,2.00,7.00,1.00,3.00,3.00,NULL,2.00,4.00,0.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254679,2.00,4.00,2.00,5.00,5.00,9.00,0.00,5.00,4.00,425,NULL,426,'PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP',11286,35,NULL,10,NULL,NULL,NULL,4,1),(28,7254695,1.00,4.00,0.00,4.00,4.00,6.75,2.00,4.00,3.00,102,NULL,NULL,'ATIRADORES','JOINVILLE','SC',16923,157,NULL,NULL,NULL,NULL,NULL,6,8),(28,7254709,2.00,5.00,0.00,5.00,6.00,5.25,3.00,5.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12408,471,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254725,4.00,8.00,3.00,7.00,5.00,7.50,5.00,7.00,4.00,238,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',7265,94,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254733,2.00,5.00,2.00,6.00,4.00,7.13,2.00,6.00,2.00,5,NULL,NULL,'AMERICA','JOINVILLE','SC',16852,451,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,423,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7254784,3.00,7.00,6.00,6.00,9.00,8.63,6.00,7.00,7.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',1701,807,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254806,7.00,6.00,4.00,6.00,9.00,10.13,7.00,7.00,7.00,208,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',518,1,NULL,NULL,NULL,NULL,NULL,4,2),(28,7254822,5.00,7.00,4.00,7.00,8.00,9.00,4.00,6.00,7.00,9,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',2154,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7254830,1.00,5.00,3.00,5.00,5.00,6.38,1.00,6.00,3.00,230,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',17513,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7254849,0.00,4.00,2.00,3.00,4.00,6.75,2.00,3.00,2.00,552,NULL,NULL,'INTERIOR','BOM J OESTE','SC',17517,130,NULL,NULL,NULL,NULL,NULL,4,4),(28,7254857,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'JARDIM ITÁLIA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(28,7254865,0.00,8.00,2.00,6.00,8.00,5.25,1.00,5.00,3.00,340,NULL,NULL,'CENTRO','CAPINZAL','SC',8556,229,NULL,NULL,NULL,NULL,NULL,4,7),(28,7254873,4.00,6.00,1.00,5.00,4.00,7.88,3.00,5.00,3.00,317,NULL,NULL,'CENTRO','TIJUCAS','SC',14059,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7254881,4.00,6.00,5.00,3.00,5.00,8.63,4.00,6.00,2.00,601,NULL,203,'IRIRU','JOINVILLE','SC',9893,270,NULL,NULL,NULL,NULL,NULL,2,8),(28,7254890,0.00,6.00,2.00,5.00,6.00,NULL,0.00,3.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7254903,2.00,4.00,2.00,4.00,4.00,10.88,1.00,4.00,2.00,5,NULL,NULL,'CENTRO','URUSSANGA','SC',12680,354,NULL,NULL,NULL,NULL,NULL,2,1),(28,7254911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7254920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7254938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7254954,0.00,5.00,3.00,7.00,6.00,7.88,2.00,4.00,1.00,201,NULL,202,'CENTRO','SEARA','SC',10223,690,NULL,NULL,NULL,NULL,NULL,4,4),(28,7254962,2.00,7.00,2.00,5.00,9.00,9.75,4.00,8.00,5.00,303,NULL,NULL,'DEHON','TUBARÃO','SC',3678,172,NULL,NULL,NULL,NULL,NULL,2,10),(28,7254989,4.00,7.00,2.00,7.00,7.00,8.63,3.00,6.00,5.00,235,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',5027,86,NULL,147,NULL,NULL,NULL,4,1),(28,7254997,1.00,7.00,2.00,0.00,1.00,NULL,2.00,3.00,2.00,238,NULL,201,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255004,0.00,5.00,1.00,2.00,5.00,6.00,3.00,4.00,3.00,208,NULL,NULL,'STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC',16661,186,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7255047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','STA TEREZINHA ITAIPU','PR',NULL,NULL,NULL,NULL,'S','S','S',3,5),(28,7255055,1.00,5.00,1.00,5.00,8.00,5.63,1.00,3.00,2.00,212,NULL,215,'VILA DOZE','ANTÔNIO CARLOS','SC',12824,351,NULL,220,NULL,NULL,NULL,4,1),(28,7255063,6.00,6.00,3.00,6.00,8.00,7.13,5.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255071,6.00,9.00,5.00,7.00,9.00,8.25,6.00,8.00,7.00,303,NULL,NULL,'CENTRO','CONGONHAS','MG',511,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255080,1.00,4.00,1.00,4.00,7.00,8.25,4.00,3.00,5.00,201,NULL,238,'BOA VISTA','BIGUAÇU','SC',10943,719,NULL,167,NULL,NULL,NULL,4,1),(28,7255098,5.00,7.00,1.00,7.00,7.00,11.25,4.00,6.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6693,303,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'INTERIOR','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7255110,0.00,2.00,0.00,4.00,7.00,5.63,2.00,1.00,1.00,5,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',20015,494,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255128,6.00,7.00,3.00,6.00,8.00,8.25,5.00,8.00,6.00,103,NULL,NULL,'PARQUE E JARDIM OURO','OURO','SC',3321,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255136,1.00,3.00,1.00,3.00,5.00,6.38,3.00,3.00,3.00,208,NULL,NULL,'STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC',16551,185,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255144,4.00,6.00,3.00,5.00,7.00,9.38,3.00,6.00,3.00,9,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',5972,18,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255160,4.00,7.00,2.00,2.00,4.00,8.25,2.00,7.00,2.00,303,NULL,NULL,'INTERIOR','MARAVILHA','SC',10807,433,NULL,NULL,NULL,NULL,NULL,4,4),(28,7255187,2.00,6.00,0.00,7.00,3.00,5.25,3.00,3.00,3.00,222,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',18541,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255209,1.00,5.00,2.00,2.00,3.00,6.00,2.00,2.00,1.00,654,NULL,NULL,'CENTRO','DESCANSO','SC',19917,82,NULL,NULL,NULL,NULL,NULL,4,27),(28,7255217,0.00,1.00,4.00,2.00,3.00,3.38,3.00,2.00,2.00,104,NULL,NULL,'CENTRO','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7255241,4.00,6.00,1.00,7.00,9.00,9.00,5.00,5.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5099,1506,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255250,2.00,6.00,2.00,5.00,6.00,7.13,0.00,3.00,5.00,103,NULL,NULL,'BATEL','CURITIBA','PR',10598,2114,NULL,NULL,NULL,NULL,NULL,4,3),(28,7255268,1.00,5.00,2.00,5.00,6.00,6.75,4.00,6.00,5.00,109,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',10358,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255276,2.00,7.00,2.00,3.00,5.00,6.75,4.00,5.00,4.00,208,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',11205,121,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255284,0.00,5.00,3.00,3.00,3.00,7.13,1.00,4.00,2.00,201,NULL,212,'GUARDA DO EMBÁU','PALHOÇA','SC',18393,1008,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255292,0.00,1.00,4.00,3.00,5.00,NULL,1.00,3.00,3.00,501,NULL,NULL,'INTERIOR','PTO LUCENA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COHAMA','S LUÍS','MA',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7255314,2.00,4.00,1.00,6.00,2.00,NULL,1.00,1.00,3.00,101,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255322,3.00,7.00,2.00,5.00,6.00,11.25,3.00,8.00,1.00,327,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',10953,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255330,4.00,7.00,3.00,7.00,6.00,8.25,2.00,6.00,3.00,340,NULL,NULL,'TESTO CENTRAL','POMERODE','SC',6353,160,NULL,NULL,NULL,NULL,NULL,4,2),(28,7255349,2.00,5.00,2.00,5.00,5.00,4.50,3.00,4.00,2.00,230,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',15798,18,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255357,3.00,3.00,2.00,1.00,6.00,5.63,3.00,2.00,2.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',19700,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255365,7.00,6.00,5.00,7.00,10.00,9.38,4.00,7.00,7.00,201,NULL,212,'NAÇÕES','TIMBÓ','SC',755,33,NULL,NULL,NULL,NULL,NULL,4,24),(28,7255373,1.00,3.00,1.00,4.00,5.00,5.63,3.00,4.00,2.00,332,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',19512,39,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255390,0.00,3.00,3.00,7.00,6.00,NULL,2.00,2.00,1.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255403,0.00,5.00,2.00,2.00,3.00,5.63,2.00,4.00,1.00,103,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',19878,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255411,2.00,5.00,3.00,3.00,4.00,4.88,2.00,4.00,3.00,404,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',15407,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255420,0.00,4.00,2.00,7.00,6.00,7.88,1.00,2.00,3.00,319,NULL,NULL,'FLORESTA','S JOSÉ','SC',13336,251,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255438,0.00,4.00,2.00,6.00,5.00,9.38,2.00,4.00,3.00,317,NULL,NULL,'BELA VISTA','S JOSÉ','SC',18128,155,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255446,2.00,2.00,1.00,1.00,4.00,4.88,0.00,3.00,1.00,316,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',20144,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255454,6.00,6.00,6.00,5.00,9.00,7.88,6.00,5.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1237,650,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255462,1.00,6.00,2.00,5.00,7.00,7.50,2.00,6.00,1.00,5,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',16565,443,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255470,3.00,6.00,3.00,7.00,10.00,9.75,3.00,6.00,4.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',4975,124,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255489,0.00,4.00,1.00,6.00,6.00,6.75,1.00,4.00,3.00,552,NULL,NULL,'CENTRO','FRAIBURGO','SC',19035,144,NULL,NULL,NULL,NULL,NULL,2,25),(28,7255497,3.00,6.00,2.00,4.00,7.00,8.25,2.00,5.00,1.00,207,NULL,211,'RIO TAVARES','FLORIANÓPOLIS','SC',15978,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255519,7.00,9.00,6.00,7.00,10.00,8.25,6.00,8.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',84,69,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255535,2.00,7.00,3.00,4.00,8.00,10.50,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3093,1158,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255543,1.00,5.00,1.00,6.00,7.00,9.38,4.00,5.00,3.00,203,NULL,NULL,'CENTRO','FAXINAL','PR',14077,623,NULL,NULL,NULL,NULL,NULL,2,8),(28,7255551,0.00,5.00,0.00,3.00,0.00,NULL,0.00,2.00,0.00,302,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255578,2.00,8.00,1.00,4.00,7.00,8.63,3.00,6.00,2.00,211,NULL,235,'INTERIOR','S JOÃO OESTE','SC',11094,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(28,7255586,2.00,6.00,2.00,7.00,7.00,8.25,2.00,5.00,3.00,103,NULL,NULL,'NOVA SAO JOAO','S JOÃO B VISTA','SP',7661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255594,2.00,7.00,2.00,7.00,5.00,7.50,2.00,6.00,4.00,215,NULL,216,'JARDIM MOTORAMA','S JOSÉ CAMPOS','SP',7869,126,NULL,262,NULL,NULL,NULL,4,1),(28,7255608,2.00,6.00,3.00,5.00,7.00,7.50,3.00,6.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255616,2.00,4.00,3.00,5.00,6.00,10.88,3.00,3.00,2.00,207,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',15925,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7255640,1.00,2.00,2.00,4.00,4.00,6.75,3.00,5.00,3.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15526,424,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7255667,2.00,3.00,1.00,1.00,3.00,6.00,1.00,2.00,2.00,212,NULL,201,'CENTRO','STO AMARO IMPERATRIZ','SC',20127,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255675,1.00,1.00,0.00,4.00,5.00,9.00,2.00,2.00,3.00,551,NULL,NULL,'CENTRO','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7255705,0.00,3.00,1.00,3.00,3.00,8.63,0.00,2.00,1.00,9,NULL,NULL,'ALTO RIO FARIAS','ANTÔNIO CARLOS','SC',18574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255713,5.00,6.00,3.00,4.00,5.00,7.13,2.00,6.00,1.00,225,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15058,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255721,2.00,4.00,1.00,6.00,7.00,8.63,2.00,5.00,3.00,303,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',11313,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255730,2.00,3.00,2.00,6.00,7.00,9.00,4.00,5.00,4.00,104,NULL,NULL,'CENTRO','CPO GRANDE','MS',8422,198,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255748,3.00,7.00,1.00,6.00,6.00,11.25,5.00,7.00,6.00,450,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4362,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255756,1.00,3.00,0.00,5.00,5.00,6.75,2.00,4.00,0.00,444,NULL,NULL,'SERRARIA','S JOSÉ','SC',17875,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255764,3.00,8.00,1.00,5.00,7.00,8.25,4.00,6.00,1.00,601,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',13930,414,NULL,NULL,NULL,NULL,NULL,4,8),(28,7255772,7.00,6.00,3.00,5.00,9.00,9.38,5.00,4.00,5.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',3531,NULL,NULL,100,NULL,NULL,NULL,4,1),(28,7255799,3.00,8.00,1.00,5.00,9.00,6.75,3.00,6.00,3.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',7674,63,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FIGUEIRA DOESTE','ENG BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7255810,4.00,7.00,2.00,7.00,6.00,9.75,1.00,5.00,2.00,102,NULL,NULL,'CENTRO','ITUPORANGA','SC',9453,79,NULL,NULL,NULL,NULL,NULL,4,24),(28,7255837,0.00,2.00,2.00,5.00,5.00,NULL,3.00,3.00,3.00,444,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255845,0.00,4.00,3.00,3.00,2.00,NULL,1.00,2.00,2.00,332,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255853,4.00,7.00,4.00,7.00,6.00,9.00,4.00,5.00,6.00,203,NULL,201,'JOÃO PAULO','FLORIANÓPOLIS','SC',3461,247,NULL,264,NULL,NULL,NULL,4,1),(28,7255861,0.00,6.00,2.00,2.00,7.00,NULL,3.00,6.00,2.00,429,NULL,423,'RIO AMÉRICA','SALETE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7255870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7255888,5.00,7.00,3.00,7.00,10.00,10.88,2.00,6.00,6.00,207,NULL,201,'JARDIM MARABÁ','ITAPETININGA','SP',1312,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7255896,0.00,3.00,1.00,5.00,6.00,NULL,0.00,3.00,3.00,551,NULL,NULL,'CENTRO','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7255900,0.00,5.00,0.00,6.00,3.00,5.63,1.00,4.00,2.00,220,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',17244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255926,1.00,4.00,3.00,5.00,6.00,7.13,1.00,5.00,2.00,207,NULL,201,'JARDIM CASTANHEIRAS','FLORIANÓPOLIS','SC',18110,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255934,2.00,6.00,4.00,6.00,8.00,10.50,2.00,6.00,3.00,301,NULL,NULL,'IPIRANGA','S JOSÉ','SC',7071,68,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255950,2.00,5.00,3.00,6.00,7.00,6.00,1.00,3.00,2.00,302,NULL,NULL,'ARIRIU','PALHOÇA','SC',14492,95,NULL,NULL,NULL,NULL,NULL,2,1),(28,7255969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CAMPINAS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7255977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7255993,1.00,6.00,3.00,4.00,4.00,7.50,3.00,5.00,2.00,302,NULL,NULL,'MORRO CHATO','RANCHO QUEIMADO','SC',13127,85,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256000,5.00,6.00,3.00,6.00,9.00,6.75,5.00,6.00,5.00,103,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',3911,1307,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256035,7.00,8.00,2.00,7.00,9.00,11.63,6.00,7.00,8.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',211,165,NULL,NULL,NULL,NULL,NULL,4,6),(28,7256043,0.00,1.00,2.00,6.00,2.00,NULL,3.00,2.00,4.00,309,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7256060,5.00,8.00,5.00,7.00,9.00,13.50,7.00,6.00,7.00,451,NULL,NULL,'PARQUE JARDIM BRASIL','CALDAS NOVAS','GO',412,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256086,5.00,6.00,2.00,7.00,6.00,8.25,2.00,4.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9366,228,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','SEARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7256108,5.00,5.00,0.00,6.00,8.00,7.88,1.00,3.00,4.00,104,NULL,NULL,'SANTA RITA','BRUSQUE','SC',8821,210,NULL,NULL,NULL,NULL,NULL,2,22),(28,7256116,4.00,7.00,2.00,7.00,7.00,6.75,4.00,3.00,4.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',7951,243,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256132,5.00,8.00,3.00,6.00,8.00,11.25,6.00,7.00,5.00,202,NULL,235,'BARREIROS','S JOSÉ','SC',1868,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256140,0.00,5.00,3.00,4.00,4.00,7.88,2.00,4.00,2.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7256159,2.00,7.00,3.00,6.00,5.00,6.38,2.00,3.00,2.00,238,NULL,235,'PONTE DO IMARUIM','PALHOÇA','SC',13884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256167,3.00,8.00,2.00,7.00,8.00,12.75,2.00,5.00,4.00,201,NULL,233,'SION','BELO HORIZONTE','MG',3851,296,NULL,101,NULL,NULL,NULL,2,1),(28,7256175,3.00,7.00,2.00,6.00,7.00,10.13,3.00,6.00,5.00,203,NULL,220,'CARIANOS','FLORIANÓPOLIS','SC',5318,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256183,1.00,2.00,2.00,1.00,4.00,4.50,1.00,3.00,2.00,502,NULL,NULL,'CENTRO','BOM JD SERRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256191,2.00,6.00,2.00,6.00,4.00,NULL,0.00,5.00,2.00,101,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256205,1.00,6.00,2.00,6.00,6.00,NULL,3.00,3.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7256213,3.00,4.00,2.00,5.00,6.00,8.63,3.00,6.00,3.00,337,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',15443,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256230,2.00,5.00,1.00,6.00,5.00,7.50,2.00,2.00,3.00,340,NULL,NULL,'CENTRO','CAXIAS SUL','RS',14386,382,NULL,NULL,NULL,NULL,NULL,4,8),(28,7256256,0.00,6.00,2.00,2.00,8.00,8.63,2.00,3.00,2.00,3,NULL,NULL,'PASSO DA AREIA','PTO ALEGRE','RS',14017,65,NULL,NULL,NULL,NULL,NULL,4,5),(28,7256272,4.00,7.00,2.00,6.00,10.00,9.00,4.00,6.00,4.00,333,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4560,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256280,0.00,5.00,1.00,1.00,4.00,6.75,2.00,5.00,1.00,415,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17898,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MECEJANA','BOA VISTA','RR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7256302,1.00,4.00,2.00,5.00,4.00,7.88,2.00,3.00,2.00,301,NULL,NULL,'VILA ERNEST','LONDRINA','PR',18405,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256310,0.00,2.00,5.00,1.00,2.00,NULL,1.00,4.00,2.00,552,NULL,NULL,'CENTRO','LUZERNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7256329,2.00,7.00,1.00,8.00,8.00,9.75,2.00,5.00,1.00,425,NULL,426,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',13022,41,NULL,18,NULL,NULL,NULL,4,1),(28,7256337,0.00,5.00,1.00,6.00,3.00,5.25,2.00,3.00,3.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',19369,486,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256353,3.00,4.00,3.00,5.00,4.00,7.88,0.00,3.00,2.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16592,246,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7256388,0.00,3.00,1.00,5.00,4.00,10.13,2.00,0.00,0.00,454,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19898,396,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256418,5.00,5.00,2.00,7.00,6.00,7.88,2.00,4.00,4.00,318,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',9191,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256426,2.00,5.00,2.00,3.00,3.00,8.25,3.00,5.00,3.00,552,NULL,NULL,'CENTRO','BENEDITO NOVO','SC',14379,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7256434,1.00,5.00,0.00,4.00,2.00,NULL,2.00,2.00,0.00,211,NULL,601,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256442,0.00,3.00,0.00,2.00,4.00,6.75,2.00,2.00,3.00,454,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',18603,380,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256450,2.00,3.00,0.00,4.00,4.00,10.50,2.00,4.00,2.00,328,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',18992,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256469,0.00,3.00,1.00,2.00,3.00,8.25,1.00,1.00,0.00,308,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',20130,100,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256485,1.00,7.00,1.00,6.00,8.00,8.63,3.00,6.00,1.00,207,NULL,211,'CENTRO','PATO BRANCO','PR',13192,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7256493,3.00,6.00,2.00,6.00,7.00,7.88,2.00,6.00,2.00,316,NULL,NULL,'GOPOUVA','GUARULHOS','SP',14073,174,NULL,NULL,NULL,NULL,NULL,4,6),(28,7256507,2.00,4.00,1.00,2.00,4.00,9.00,0.00,2.00,3.00,102,NULL,NULL,'CENTRO','S BENTO SUL','SC',19659,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7256515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,2.00,423,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256523,1.00,5.00,1.00,2.00,4.00,7.88,1.00,3.00,2.00,235,NULL,238,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',16392,260,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256531,1.00,5.00,1.00,3.00,5.00,9.38,1.00,5.00,3.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256540,4.00,7.00,3.00,6.00,10.00,8.25,5.00,7.00,4.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1510,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256566,5.00,8.00,3.00,7.00,8.00,6.38,4.00,7.00,7.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3657,170,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NETO','ATIBAIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7256582,2.00,6.00,0.00,7.00,6.00,10.50,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','PENHA','SC',9618,2047,NULL,NULL,NULL,NULL,NULL,4,6),(28,7256590,1.00,2.00,2.00,6.00,4.00,5.25,2.00,3.00,3.00,428,NULL,427,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256604,2.00,6.00,1.00,4.00,6.00,6.38,2.00,2.00,2.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',18929,273,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256612,2.00,6.00,2.00,6.00,7.00,6.75,4.00,4.00,4.00,212,NULL,238,'PONTE IMARUIM','PALHOÇA','SC',9107,274,NULL,130,NULL,NULL,NULL,4,1),(28,7256620,6.00,7.00,4.00,5.00,7.00,7.13,4.00,7.00,6.00,201,NULL,601,'FUNDO CANOAS','RIO SUL','SC',4685,NULL,NULL,83,NULL,NULL,NULL,4,24),(28,7256647,5.00,6.00,3.00,5.00,9.00,11.25,2.00,5.00,5.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',4832,1469,NULL,NULL,NULL,NULL,NULL,4,2),(28,7256655,2.00,8.00,0.00,6.00,8.00,7.13,4.00,5.00,1.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256663,1.00,4.00,3.00,5.00,2.00,NULL,2.00,3.00,2.00,333,NULL,NULL,'BROOKLIN','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256671,1.00,3.00,2.00,6.00,8.00,9.00,1.00,6.00,3.00,999,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256680,5.00,6.00,2.00,7.00,8.00,7.88,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',3498,1243,NULL,NULL,NULL,NULL,NULL,4,8),(28,7256698,8.00,8.00,5.00,6.00,10.00,8.63,5.00,7.00,7.00,203,NULL,214,'EUGENIO SCHNEIDER','RIO SUL','SC',768,72,NULL,NULL,NULL,NULL,NULL,4,24),(28,7256701,7.00,7.00,4.00,6.00,9.00,12.00,6.00,6.00,6.00,220,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',425,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256710,4.00,4.00,0.00,5.00,6.00,5.63,1.00,2.00,1.00,110,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',19263,99,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256728,4.00,6.00,2.00,4.00,5.00,8.63,3.00,4.00,2.00,103,NULL,NULL,'CENTRO','CORUPÁ','SC',14863,2344,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256736,0.00,6.00,2.00,5.00,6.00,6.75,3.00,4.00,2.00,451,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',18071,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256744,2.00,5.00,1.00,4.00,6.00,6.75,2.00,3.00,2.00,601,NULL,NULL,'IRIRIU','JOINVILLE','SC',18380,522,NULL,NULL,NULL,NULL,NULL,4,8),(28,7256752,3.00,6.00,2.00,7.00,6.00,9.75,1.00,4.00,5.00,103,NULL,NULL,'CENTRO','CAMBORIÚ','SC',8046,1904,NULL,NULL,NULL,NULL,NULL,4,3),(28,7256760,3.00,5.00,1.00,6.00,6.00,5.25,3.00,3.00,4.00,238,NULL,214,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256779,5.00,7.00,1.00,6.00,7.00,7.50,2.00,6.00,2.00,235,NULL,216,'TRINDADE','FLORIANÓPOLIS','SC',9764,160,NULL,308,NULL,NULL,NULL,2,1),(28,7256787,0.00,1.00,1.00,3.00,4.00,NULL,0.00,1.00,3.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256795,5.00,6.00,2.00,4.00,3.00,7.13,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',12734,2248,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256809,2.00,3.00,1.00,4.00,7.00,8.25,1.00,2.00,1.00,552,NULL,NULL,'CABEÇUDAS','LAGUNA','SC',15413,106,NULL,NULL,NULL,NULL,NULL,4,10),(28,7256817,4.00,8.00,2.00,7.00,8.00,7.50,7.00,6.00,4.00,103,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',4524,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(28,7256825,3.00,6.00,3.00,7.00,9.00,8.25,5.00,7.00,3.00,201,NULL,203,'PICADAS DO SUL','S JOSÉ','SC',3652,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256833,1.00,5.00,2.00,7.00,8.00,10.13,2.00,2.00,1.00,450,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',11301,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7256841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7256868,0.00,5.00,2.00,4.00,5.00,6.75,0.00,5.00,2.00,104,NULL,NULL,'VELHA','BLUMENAU','SC',16371,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7256876,0.00,1.00,2.00,1.00,2.00,NULL,2.00,2.00,3.00,440,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7256884,3.00,8.00,2.00,5.00,8.00,7.50,4.00,7.00,4.00,304,NULL,NULL,'PQ FERNANDO JORGE','CUBATÃO','SP',5254,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256914,3.00,7.00,3.00,4.00,8.00,9.38,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3439,1230,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256922,4.00,7.00,2.00,6.00,8.00,7.88,3.00,5.00,3.00,207,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',6683,310,NULL,97,NULL,NULL,NULL,4,1),(28,7256930,4.00,7.00,1.00,6.00,7.00,9.00,1.00,3.00,5.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',8212,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256949,2.00,5.00,2.00,3.00,5.00,6.75,1.00,2.00,2.00,233,NULL,235,'SACO GRANDE','FLORIANÓPOLIS','SC',15493,314,NULL,246,NULL,NULL,NULL,4,1),(28,7256957,4.00,6.00,2.00,4.00,7.00,8.25,3.00,6.00,3.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',13510,154,NULL,NULL,NULL,NULL,NULL,4,1),(28,7256965,1.00,4.00,3.00,6.00,3.00,7.13,1.00,3.00,1.00,108,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',19324,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7256973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7256990,2.00,6.00,3.00,5.00,6.00,9.75,4.00,5.00,5.00,316,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',9957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7257015,3.00,5.00,3.00,7.00,6.00,9.00,2.00,4.00,2.00,104,NULL,NULL,'TOBIAS','JOAÇABA','SC',15140,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7257023,0.00,5.00,3.00,0.00,3.00,5.63,1.00,4.00,1.00,339,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7257031,0.00,4.00,2.00,4.00,5.00,7.88,5.00,3.00,0.00,207,NULL,NULL,'FORQUILHA DO CEDRO','STA ROSA SUL','SC',14684,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7257066,0.00,2.00,1.00,5.00,3.00,6.75,1.00,1.00,1.00,207,NULL,201,'GLÓRIA','BLUMENAU','SC',18375,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7257082,0.00,0.00,2.00,2.00,4.00,NULL,2.00,2.00,1.00,102,NULL,NULL,'JARDIM','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7257090,3.00,7.00,0.00,5.00,7.00,8.25,2.00,5.00,4.00,301,NULL,NULL,'PRADO','BIGUAÇU','SC',9661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7257104,2.00,5.00,1.00,7.00,3.00,9.38,3.00,4.00,4.00,103,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',12590,2243,NULL,NULL,NULL,NULL,NULL,2,1),(28,7257112,1.00,2.00,3.00,5.00,7.00,0.00,2.00,2.00,3.00,302,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7257120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7257139,4.00,7.00,1.00,7.00,8.00,10.50,2.00,7.00,5.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',3290,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7257147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'JARDIM SÃO BENTO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7257155,3.00,5.00,3.00,6.00,8.00,8.25,5.00,6.00,5.00,108,NULL,NULL,'SANTA CATARINA','CRICIÚMA','SC',4714,52,NULL,NULL,NULL,NULL,NULL,4,5),(28,7257163,5.00,6.00,0.00,6.00,4.00,5.63,2.00,2.00,4.00,104,NULL,NULL,'CENTRO','PALMITOS','SC',17841,423,NULL,NULL,NULL,NULL,NULL,2,4),(28,7257180,3.00,6.00,2.00,5.00,3.00,6.38,1.00,3.00,3.00,327,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',15385,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7257198,1.00,4.00,3.00,1.00,5.00,6.75,1.00,1.00,3.00,207,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7257201,0.00,6.00,2.00,3.00,8.00,9.00,2.00,6.00,2.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',15139,410,NULL,NULL,NULL,NULL,NULL,4,1),(28,7257210,1.00,3.00,1.00,4.00,5.00,6.75,2.00,4.00,2.00,502,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17095,42,NULL,NULL,NULL,NULL,NULL,2,1),(28,7257228,1.00,5.00,3.00,1.00,2.00,NULL,2.00,3.00,4.00,601,NULL,212,'SAO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7257236,2.00,5.00,1.00,4.00,8.00,8.25,3.00,3.00,0.00,451,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',18069,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7257244,3.00,7.00,2.00,4.00,8.00,9.38,5.00,6.00,6.00,103,NULL,NULL,'CENTRO','CONGONHAS','MG',3797,1286,NULL,NULL,NULL,NULL,NULL,2,1),(28,7257252,2.00,2.00,0.00,5.00,4.00,9.00,4.00,1.00,3.00,5,NULL,NULL,'CENTRO','BIGUAÇU','SC',16805,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7257260,7.00,8.00,1.00,6.00,6.00,8.25,4.00,7.00,6.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',3495,1240,NULL,NULL,NULL,NULL,NULL,4,8),(28,7257279,4.00,8.00,2.00,5.00,7.00,9.00,5.00,6.00,5.00,303,NULL,NULL,'CENTRO','ITAPEMA','SC',3778,179,NULL,NULL,NULL,NULL,NULL,4,3),(28,7257287,1.00,4.00,3.00,6.00,4.00,5.25,2.00,4.00,2.00,552,NULL,NULL,'INTERIOR','ITAIÓPOLIS','SC',16133,116,NULL,NULL,NULL,NULL,NULL,2,17),(28,7257309,1.00,7.00,2.00,4.00,4.00,NULL,0.00,3.00,2.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7257317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,233,'SÃO CRISTOVÃO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7257325,2.00,6.00,1.00,5.00,6.00,9.75,1.00,5.00,3.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7257333,3.00,6.00,2.00,4.00,6.00,10.88,0.00,6.00,4.00,103,NULL,NULL,'ZONA III CENTRO','UMUARAMA','PR',7114,1777,NULL,NULL,NULL,NULL,NULL,4,4),(28,7257341,1.00,6.00,2.00,6.00,5.00,7.50,2.00,6.00,4.00,215,NULL,211,'VILA NOVA','BLUMENAU','SC',9581,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7257350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'CENTRO','LAURO MÜLLER','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7257368,1.00,4.00,2.00,3.00,6.00,9.38,1.00,4.00,2.00,207,NULL,211,'GUIOMAR DE DENTRO','ANTÔNIO CARLOS','SC',15060,666,NULL,376,NULL,NULL,NULL,2,1),(28,7257376,1.00,6.00,0.00,6.00,4.00,5.25,1.00,5.00,4.00,203,NULL,211,'JARDIM','MARAVILHA','SC',18666,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7257384,0.00,7.00,1.00,6.00,4.00,6.75,1.00,4.00,1.00,601,NULL,203,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7257392,1.00,5.00,3.00,7.00,7.00,8.25,2.00,4.00,3.00,450,NULL,NULL,'CENTRO','CURITIBA','PR',10149,83,NULL,NULL,NULL,NULL,NULL,4,1),(28,7257430,1.00,4.00,1.00,3.00,4.00,9.00,3.00,4.00,0.00,103,NULL,NULL,'CENTRO','CUNHATAÍ','SC',16524,2422,NULL,NULL,NULL,NULL,NULL,2,27),(28,7257449,4.00,5.00,2.00,5.00,5.00,4.88,2.00,6.00,4.00,222,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15654,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7257457,3.00,5.00,3.00,6.00,5.00,11.25,4.00,5.00,1.00,201,NULL,203,'CENTRO','ABELARDO LUZ','SC',13318,843,NULL,609,NULL,NULL,NULL,2,4),(28,7257473,6.00,9.00,7.00,6.00,8.00,10.13,7.00,7.00,7.00,103,NULL,NULL,'PRESIDENTE MÉDICI','ITU','SP',270,205,NULL,NULL,NULL,NULL,NULL,4,1),(28,7257481,1.00,4.00,2.00,4.00,6.00,6.38,2.00,2.00,2.00,108,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',18971,249,NULL,NULL,NULL,NULL,NULL,2,1),(28,7257490,2.00,5.00,3.00,5.00,4.00,7.13,3.00,4.00,2.00,653,NULL,601,'MATO ALTO','ARARANGUÁ','SC',13924,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7257503,0.00,2.00,4.00,3.00,2.00,NULL,2.00,5.00,4.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7257511,1.00,4.00,1.00,5.00,7.00,6.38,1.00,3.00,1.00,308,NULL,NULL,'GUIOMAR DE DENTRO','ANTÔNIO CARLOS','SC',17048,47,NULL,NULL,NULL,NULL,NULL,2,1),(28,7257520,0.00,5.00,1.00,7.00,4.00,7.50,0.00,5.00,0.00,338,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',19384,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7257538,0.00,0.00,4.00,2.00,2.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7257546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7257554,0.00,4.00,1.00,2.00,6.00,6.75,2.00,3.00,2.00,108,NULL,NULL,'IMIGRANTES','CONCÓRDIA','SC',19706,259,NULL,NULL,NULL,NULL,NULL,4,26),(28,7257562,5.00,8.00,3.00,6.00,10.00,7.13,4.00,8.00,6.00,104,NULL,NULL,'SALTO','BLUMENAU','SC',1971,15,NULL,NULL,NULL,NULL,NULL,4,2),(28,7257570,0.00,2.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,999,NULL,NULL,'CENTRO','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7257600,1.00,5.00,1.00,5.00,7.00,7.50,2.00,5.00,3.00,103,NULL,NULL,'CANTINHO DO CEU','S PAULO','SP',12615,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7257619,4.00,7.00,1.00,7.00,7.00,8.63,2.00,8.00,4.00,201,NULL,212,'JD LA SALLE','TOLEDO','PR',8696,NULL,NULL,261,NULL,NULL,NULL,4,1),(28,7257627,3.00,6.00,3.00,6.00,8.00,9.00,3.00,5.00,2.00,454,NULL,NULL,'ARMAÇAO','FLORIANÓPOLIS','SC',9313,171,NULL,NULL,NULL,NULL,NULL,2,1),(28,7257643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'ZONA NOVA SUL','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7257651,1.00,7.00,0.00,5.00,3.00,7.13,2.00,5.00,2.00,655,NULL,653,'ALTO FELIZ','ARARANGUÁ','SC',14576,80,NULL,157,NULL,NULL,NULL,2,15),(28,7257678,1.00,4.00,2.00,1.00,0.00,NULL,1.00,3.00,2.00,104,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7257686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,NULL,'PASSAGEM DO MACIAMBU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7257708,2.00,6.00,0.00,6.00,6.00,NULL,2.00,5.00,3.00,415,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7257716,2.00,6.00,0.00,3.00,8.00,10.88,1.00,5.00,1.00,428,NULL,426,'FAZ STO ANTONIO','S JOSÉ','SC',12209,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7257724,3.00,4.00,3.00,3.00,3.00,4.50,1.00,2.00,1.00,332,NULL,NULL,'IMIGRANTES','CONCÓRDIA','SC',19924,42,NULL,NULL,NULL,NULL,NULL,2,26),(28,7257732,1.00,5.00,2.00,2.00,5.00,10.13,2.00,5.00,3.00,103,NULL,NULL,'VERA CRUZ','CRICIÚMA','SC',17617,2459,NULL,NULL,NULL,NULL,NULL,4,5),(28,7257740,5.00,7.00,6.00,7.00,8.00,9.75,6.00,7.00,6.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',845,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7257775,1.00,5.00,1.00,5.00,4.00,7.50,2.00,5.00,2.00,201,NULL,203,'CENTRO','ABELARDO LUZ','SC',18537,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7257783,0.00,1.00,2.00,4.00,2.00,NULL,0.00,2.00,0.00,309,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7257791,4.00,8.00,3.00,7.00,6.00,7.88,2.00,8.00,5.00,203,NULL,653,'BOM FIM','PTO ALEGRE','RS',3471,249,NULL,18,NULL,NULL,NULL,4,1),(28,7257821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPÃO RASO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7257830,1.00,0.00,2.00,2.00,0.00,NULL,0.00,4.00,1.00,302,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7257848,1.00,3.00,2.00,5.00,5.00,9.00,2.00,4.00,2.00,103,NULL,NULL,'BARRA','BAL CAMBORIÚ','SC',17833,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7257856,4.00,8.00,3.00,7.00,6.00,9.00,3.00,6.00,2.00,999,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7257880,2.00,6.00,2.00,7.00,7.00,7.88,4.00,5.00,5.00,216,NULL,203,'PONTE DE IMARUIM','PALHOÇA','SC',7631,260,NULL,461,NULL,NULL,NULL,4,1),(28,7257899,1.00,6.00,1.00,7.00,7.00,6.00,3.00,6.00,1.00,999,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7257902,3.00,7.00,2.00,7.00,6.00,11.25,4.00,5.00,3.00,5,NULL,NULL,'PACHECO','PALHOÇA','SC',6118,200,NULL,NULL,NULL,NULL,NULL,4,1),(28,7257910,1.00,3.00,2.00,3.00,1.00,NULL,2.00,3.00,1.00,203,NULL,214,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7257929,4.00,6.00,1.00,6.00,6.00,7.50,1.00,4.00,3.00,999,NULL,NULL,'ITANHANGÁ PARK','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7257937,0.00,4.00,2.00,1.00,4.00,7.13,0.00,2.00,1.00,551,NULL,NULL,'ADOLFO CORREIA','STA CECÍLIA','SC',20125,72,NULL,NULL,NULL,NULL,NULL,2,16),(28,7257945,1.00,4.00,3.00,2.00,5.00,0.00,2.00,3.00,1.00,104,NULL,NULL,'BARBACENA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7257953,1.00,6.00,3.00,3.00,6.00,7.13,3.00,4.00,3.00,601,NULL,235,'CACUPÉ','FLORIANÓPOLIS','SC',16562,484,NULL,NULL,NULL,NULL,NULL,4,1),(28,7257970,3.00,6.00,2.00,4.00,7.00,8.63,1.00,4.00,4.00,601,NULL,201,'COSTA E SILVA','JOINVILLE','SC',9771,265,NULL,NULL,NULL,NULL,NULL,4,8),(28,7257996,2.00,7.00,2.00,6.00,6.00,7.50,2.00,6.00,3.00,340,NULL,NULL,'JARDIM COQUEIROS','PALHOÇA','SC',11746,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7258003,4.00,9.00,3.00,6.00,9.00,8.25,3.00,6.00,8.00,103,NULL,NULL,'PQ VIVALDI L RIBEIRO','POÇOS CALDAS','MG',1632,783,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258038,3.00,3.00,2.00,4.00,4.00,9.38,2.00,2.00,3.00,655,NULL,216,'MONTE CASTELO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7258062,1.00,3.00,1.00,4.00,3.00,6.00,2.00,3.00,4.00,201,NULL,601,'BELA VISTA','S JOSÉ','SC',19668,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7258070,2.00,6.00,3.00,1.00,6.00,7.50,2.00,4.00,3.00,201,NULL,601,'BARREIROS','S JOSÉ','SC',12882,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258097,2.00,3.00,3.00,4.00,6.00,10.50,4.00,4.00,2.00,203,NULL,202,'CENTRO','FRANCISCO BELTRÃO','PR',9379,518,NULL,242,NULL,NULL,NULL,2,1),(28,7258100,1.00,6.00,2.00,6.00,5.00,8.25,1.00,4.00,2.00,201,NULL,601,'BARREIROS','S JOSÉ','SC',12149,777,NULL,359,NULL,NULL,NULL,2,1),(28,7258119,2.00,4.00,1.00,5.00,8.00,7.88,2.00,4.00,3.00,302,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',12812,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7258127,1.00,6.00,3.00,5.00,5.00,8.25,4.00,5.00,4.00,336,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',15059,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7258135,0.00,4.00,1.00,4.00,5.00,NULL,2.00,6.00,2.00,303,NULL,NULL,'FORQUILINHA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7258143,2.00,4.00,1.00,4.00,6.00,10.13,5.00,6.00,4.00,9,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',10042,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258151,1.00,5.00,1.00,7.00,4.00,4.88,3.00,4.00,1.00,201,NULL,207,'BOSQUE DA SAUDE','CUIABÁ','MT',18390,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258160,0.00,4.00,3.00,4.00,4.00,6.00,2.00,5.00,1.00,220,NULL,207,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7258178,0.00,1.00,0.00,2.00,5.00,8.25,0.00,3.00,2.00,104,NULL,NULL,'CENTRO','TUBARÃO','SC',17984,427,NULL,NULL,NULL,NULL,NULL,2,10),(28,7258186,3.00,6.00,4.00,6.00,10.00,11.63,3.00,5.00,2.00,208,NULL,NULL,'CIDADE JARDIM','GOIÂNIA','GO',4342,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258194,4.00,7.00,2.00,6.00,7.00,8.25,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','CANOAS','RS',6154,1653,NULL,NULL,NULL,NULL,NULL,2,1),(28,7258208,6.00,9.00,5.00,7.00,9.00,12.00,6.00,7.00,7.00,103,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',298,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258216,1.00,4.00,3.00,6.00,2.00,NULL,3.00,3.00,1.00,552,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7258224,6.00,8.00,7.00,7.00,10.00,8.25,8.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',121,97,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258232,0.00,6.00,3.00,3.00,4.00,NULL,1.00,2.00,3.00,653,NULL,213,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258240,1.00,3.00,2.00,2.00,4.00,6.00,1.00,2.00,2.00,316,NULL,NULL,'BELA VISTA','S JOSÉ','SC',20097,289,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258259,0.00,7.00,1.00,3.00,4.00,NULL,3.00,5.00,1.00,101,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7258267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ALCIR RAINERI','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7258275,0.00,3.00,1.00,1.00,5.00,7.13,0.00,4.00,3.00,317,NULL,NULL,'ESQUINA','URUBICI','SC',16640,136,NULL,NULL,NULL,NULL,NULL,4,9),(28,7258283,7.00,5.00,2.00,5.00,6.00,9.00,2.00,5.00,3.00,201,NULL,601,'BARREIROS','S JOSÉ','SC',12570,805,NULL,372,NULL,NULL,NULL,2,1),(28,7258291,0.00,7.00,0.00,5.00,4.00,8.25,0.00,3.00,1.00,208,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19200,211,NULL,NULL,NULL,NULL,NULL,2,1),(28,7258313,3.00,4.00,1.00,6.00,8.00,7.88,4.00,5.00,4.00,201,NULL,211,'AREIAS','S JOSÉ','SC',9891,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7258330,0.00,4.00,2.00,4.00,5.00,8.25,1.00,3.00,2.00,340,NULL,NULL,'HÚMAITA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7258348,0.00,5.00,2.00,5.00,6.00,5.63,2.00,4.00,2.00,202,NULL,235,'FAZENDA S ANTONIO','S JOSÉ','SC',15699,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7258356,0.00,4.00,0.00,0.00,0.00,NULL,2.00,4.00,0.00,427,NULL,423,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(28,7258380,2.00,9.00,1.00,5.00,4.00,7.50,2.00,7.00,2.00,327,NULL,NULL,'COMASA','JOINVILLE','SC',11460,27,NULL,NULL,NULL,NULL,NULL,2,8),(28,7258399,0.00,5.00,2.00,6.00,6.00,9.75,3.00,3.00,0.00,238,NULL,216,'ITACORUBI','FLORIANÓPOLIS','SC',13251,217,NULL,371,NULL,NULL,NULL,2,1),(28,7258402,0.00,4.00,2.00,3.00,3.00,5.25,2.00,5.00,2.00,328,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7258410,2.00,8.00,2.00,5.00,7.00,8.63,5.00,6.00,2.00,454,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',12026,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7258429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PROGRESSO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7258437,4.00,5.00,3.00,7.00,9.00,7.50,4.00,5.00,4.00,233,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',5668,149,NULL,92,NULL,NULL,NULL,4,1),(28,7258453,1.00,8.00,3.00,7.00,5.00,9.75,3.00,5.00,3.00,103,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',5959,1623,NULL,NULL,NULL,NULL,NULL,4,6),(28,7258461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(28,7258470,1.00,7.00,1.00,2.00,5.00,NULL,0.00,6.00,3.00,999,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258488,4.00,6.00,2.00,5.00,5.00,9.00,2.00,3.00,3.00,999,NULL,NULL,'JARDIM AMÉRICA','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258496,1.00,3.00,1.00,6.00,4.00,5.25,0.00,3.00,1.00,207,NULL,215,'CENTRO','SOMBRIO','SC',18092,766,NULL,NULL,NULL,NULL,NULL,2,15),(28,7258500,4.00,7.00,2.00,5.00,7.00,8.63,6.00,5.00,6.00,333,NULL,NULL,'CENTRO','JOINVILLE','SC',8048,44,NULL,NULL,NULL,NULL,NULL,4,8),(28,7258526,3.00,5.00,3.00,6.00,5.00,7.13,3.00,7.00,3.00,104,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9206,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258542,6.00,6.00,2.00,8.00,6.00,6.38,3.00,5.00,5.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10993,437,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258550,2.00,0.00,1.00,0.00,1.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7258569,1.00,2.00,0.00,6.00,7.00,NULL,1.00,5.00,5.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258577,3.00,5.00,3.00,7.00,2.00,NULL,2.00,2.00,3.00,999,NULL,NULL,'SANTO EUGÊNIO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7258585,9.00,8.00,6.00,7.00,7.00,9.38,6.00,6.00,7.00,103,NULL,NULL,'VERA CRUZ','BELO HORIZONTE','MG',269,204,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258593,1.00,2.00,1.00,4.00,2.00,NULL,0.00,4.00,2.00,309,NULL,NULL,'GLEBA F PALHANO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MORADA DO OURO','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7258615,4.00,9.00,0.00,7.00,8.00,7.13,5.00,8.00,4.00,450,NULL,NULL,'JARDIM AMÉRICA','CAXIAS SUL','RS',4096,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258640,2.00,7.00,1.00,6.00,4.00,7.50,2.00,5.00,2.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258658,2.00,7.00,0.00,7.00,7.00,11.25,3.00,3.00,3.00,303,NULL,NULL,'CENTRO','S JOSÉ','SC',7653,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258666,0.00,4.00,1.00,3.00,6.00,10.50,2.00,4.00,1.00,303,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',14808,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258682,0.00,3.00,2.00,2.00,3.00,9.38,1.00,4.00,2.00,502,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19682,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258690,2.00,5.00,1.00,2.00,7.00,8.25,4.00,3.00,3.00,103,NULL,NULL,'KM TRINTA E SETE','LAGUNA','SC',11079,2143,NULL,NULL,NULL,NULL,NULL,4,10),(28,7258704,6.00,7.00,2.00,7.00,7.00,10.13,4.00,6.00,6.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4850,88,NULL,NULL,NULL,NULL,NULL,2,3),(28,7258712,3.00,8.00,1.00,4.00,9.00,8.25,3.00,4.00,4.00,203,NULL,220,'PINHEIRO SECO','LAGES','SC',11419,568,NULL,268,NULL,NULL,NULL,4,9),(28,7258720,1.00,8.00,3.00,4.00,7.00,9.00,4.00,4.00,5.00,444,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',10210,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7258755,1.00,7.00,1.00,4.00,4.00,7.88,0.00,3.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7258763,5.00,7.00,4.00,6.00,7.00,9.00,7.00,7.00,6.00,203,NULL,214,'CARVOEIRA','FLORIANÓPOLIS','SC',2354,NULL,NULL,83,NULL,NULL,NULL,4,1),(28,7258771,1.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7258780,1.00,7.00,3.00,4.00,6.00,7.88,1.00,4.00,3.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11921,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7258801,5.00,6.00,5.00,2.00,8.00,9.75,3.00,6.00,5.00,203,NULL,220,'REAL PARQUE','S JOSÉ','SC',5013,343,NULL,146,NULL,NULL,NULL,4,1),(28,7258810,5.00,8.00,5.00,6.00,7.00,8.25,5.00,7.00,3.00,317,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4544,8,NULL,NULL,NULL,NULL,NULL,2,1),(28,7258828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7258836,0.00,5.00,0.00,6.00,3.00,8.25,1.00,4.00,3.00,208,NULL,NULL,'SÃO FRANCISCO DE ASS','CAMBORIÚ','SC',14160,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7258852,4.00,6.00,4.00,6.00,7.00,8.25,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4059,1337,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258909,3.00,1.00,1.00,0.00,1.00,NULL,3.00,3.00,3.00,501,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7258917,5.00,7.00,4.00,5.00,4.00,6.75,3.00,5.00,3.00,203,NULL,220,'COQUEIRAL','ARACRUZ','ES',11911,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7258925,3.00,8.00,1.00,6.00,7.00,6.75,3.00,5.00,5.00,208,NULL,NULL,'CENTRO','BRUSQUE','SC',10873,116,NULL,NULL,NULL,NULL,NULL,4,22),(28,7258933,0.00,6.00,1.00,3.00,4.00,6.38,2.00,5.00,2.00,301,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',19021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258950,6.00,8.00,3.00,6.00,6.00,7.88,4.00,7.00,6.00,103,NULL,NULL,'PARAÍSO','S PAULO','SP',2340,973,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258976,3.00,3.00,2.00,2.00,3.00,7.13,2.00,4.00,1.00,329,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',19628,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7258984,1.00,2.00,0.00,2.00,5.00,6.38,1.00,2.00,1.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7258992,2.00,4.00,0.00,2.00,5.00,6.75,2.00,3.00,1.00,5,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',19632,489,NULL,NULL,NULL,NULL,NULL,4,1),(28,7259000,0.00,5.00,1.00,3.00,6.00,10.13,2.00,4.00,4.00,207,NULL,201,'LINHA SÃO PAULINHO','S LOURENÇO OESTE','SC',11767,537,NULL,757,NULL,NULL,NULL,4,4),(28,7259018,0.00,4.00,2.00,5.00,4.00,NULL,0.00,2.00,2.00,103,NULL,NULL,'CONDE D EU','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7259026,4.00,8.00,2.00,4.00,6.00,5.63,2.00,5.00,3.00,216,NULL,203,'CARMELO','S JOÃO BATISTA','SC',15965,417,NULL,659,NULL,NULL,NULL,2,1),(28,7259042,3.00,6.00,1.00,5.00,6.00,4.50,3.00,4.00,3.00,234,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',12003,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7259050,1.00,6.00,2.00,6.00,7.00,13.50,1.00,5.00,0.00,423,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',13226,10,NULL,NULL,NULL,NULL,NULL,2,1),(28,7259069,2.00,3.00,1.00,2.00,3.00,4.88,1.00,3.00,1.00,201,NULL,207,'SÃO LUIZ','CURITIBANOS','SC',19325,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7259077,2.00,7.00,3.00,6.00,5.00,7.88,0.00,6.00,4.00,103,NULL,NULL,'VILA ANDRADE','S PAULO','SP',7399,1822,NULL,NULL,NULL,NULL,NULL,4,8),(28,7259093,0.00,4.00,0.00,5.00,5.00,NULL,3.00,4.00,2.00,223,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7259107,0.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7259115,0.00,3.00,1.00,2.00,8.00,9.75,2.00,3.00,2.00,9,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',16859,131,NULL,NULL,NULL,NULL,NULL,4,1),(28,7259123,0.00,5.00,2.00,6.00,4.00,7.13,4.00,5.00,3.00,552,NULL,NULL,'CENTRO CIVICO','CURITIBA','PR',17293,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7259131,1.00,4.00,1.00,2.00,4.00,5.63,1.00,6.00,0.00,999,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7259140,1.00,6.00,2.00,3.00,3.00,7.88,3.00,5.00,2.00,425,NULL,423,'AGUIAR','STO ÂNGELO','RS',18548,NULL,NULL,31,NULL,NULL,NULL,4,1),(28,7259158,1.00,5.00,4.00,5.00,6.00,8.25,2.00,4.00,2.00,233,NULL,238,'KOBRASOL','S JOSÉ','SC',17288,NULL,NULL,299,NULL,NULL,NULL,4,1),(28,7259166,4.00,7.00,2.00,6.00,7.00,9.75,3.00,5.00,5.00,207,NULL,NULL,'JD SÃO DIMAS','S JOSÉ CAMPOS','SP',4364,181,NULL,NULL,NULL,NULL,NULL,4,1),(28,7259174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,220,'CENTRO','CAMBÉ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7259182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,233,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,27),(28,7259190,1.00,4.00,1.00,3.00,4.00,6.38,1.00,3.00,2.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7259204,1.00,7.00,0.00,5.00,5.00,10.50,0.00,6.00,4.00,501,NULL,NULL,'ESTRELA DO SUL','APARECIDA GOIÂNIA','GO',9189,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7259220,2.00,5.00,2.00,4.00,5.00,7.13,3.00,1.00,1.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',19395,143,NULL,NULL,NULL,NULL,NULL,2,1),(28,7259239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7259247,0.00,4.00,3.00,6.00,6.00,NULL,4.00,5.00,4.00,207,NULL,201,'VILA ACRE','RIO BRANCO','AC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7259255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7259263,1.00,7.00,2.00,6.00,6.00,9.00,1.00,4.00,3.00,103,NULL,NULL,'PANAMBY','S PAULO','SP',9099,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7259298,4.00,7.00,3.00,7.00,8.00,6.75,3.00,6.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6527,60,NULL,NULL,NULL,NULL,NULL,4,1),(28,7259301,1.00,5.00,3.00,4.00,5.00,7.50,2.00,4.00,2.00,999,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7259310,3.00,4.00,2.00,3.00,2.00,NULL,0.00,3.00,1.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7259328,4.00,8.00,1.00,2.00,7.00,9.75,4.00,5.00,3.00,108,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7368,92,NULL,NULL,NULL,NULL,NULL,3,1),(28,7259336,1.00,5.00,2.00,6.00,5.00,9.38,0.00,6.00,4.00,318,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',10853,74,NULL,NULL,NULL,NULL,NULL,2,1),(28,7259344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7259360,1.00,6.00,2.00,6.00,5.00,5.63,1.00,6.00,1.00,999,NULL,NULL,'JARDIM EUROPA','BRAGANÇA PAULISTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7259379,2.00,6.00,2.00,6.00,6.00,6.75,4.00,4.00,3.00,201,NULL,NULL,'FUNDO CANOAS','RIO SUL','SC',10008,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7259387,2.00,6.00,4.00,3.00,5.00,6.75,5.00,6.00,4.00,202,NULL,201,'CENTRO','CANOINHAS','SC',8388,227,NULL,NULL,NULL,NULL,NULL,4,1),(28,7259409,1.00,4.00,2.00,7.00,5.00,8.25,3.00,5.00,3.00,444,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15728,89,NULL,NULL,NULL,NULL,NULL,4,1),(28,7259425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7259433,0.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,501,NULL,NULL,'BUDAG','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7259441,0.00,6.00,1.00,6.00,5.00,NULL,0.00,6.00,1.00,501,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7259450,0.00,5.00,2.00,5.00,6.00,7.50,5.00,1.00,4.00,201,NULL,207,'JABUTICABAL','ERECHIM','RS',12346,792,NULL,558,NULL,NULL,NULL,2,4),(28,7259468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'UVARANAS','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7259476,3.00,7.00,2.00,4.00,8.00,7.50,3.00,5.00,6.00,103,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',5847,1603,NULL,NULL,NULL,NULL,NULL,4,8),(28,7259484,7.00,7.00,4.00,7.00,8.00,9.75,4.00,4.00,5.00,220,NULL,653,'CENTRO','MARINGÁ','PR',2059,58,NULL,6,NULL,NULL,NULL,4,1),(28,7259492,0.00,5.00,0.00,3.00,2.00,NULL,1.00,3.00,1.00,415,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7259506,5.00,6.00,2.00,6.00,6.00,8.63,3.00,3.00,7.00,999,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7259514,4.00,5.00,1.00,7.00,3.00,6.75,2.00,2.00,1.00,203,NULL,220,'VALE BOA ESPARANÇA','PINHAIS','PR',15099,646,NULL,311,NULL,NULL,NULL,2,8),(28,7259530,1.00,4.00,3.00,5.00,4.00,9.75,2.00,4.00,3.00,222,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',17212,34,NULL,NULL,NULL,NULL,NULL,2,1),(28,7259549,0.00,5.00,1.00,2.00,3.00,6.00,2.00,1.00,2.00,235,NULL,214,'BOA VISTA','MTE CARMELO','MG',20029,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7259557,2.00,3.00,5.00,5.00,7.00,9.00,2.00,4.00,4.00,102,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10899,101,NULL,NULL,NULL,NULL,NULL,2,1),(28,7259565,3.00,5.00,1.00,6.00,7.00,7.13,2.00,4.00,3.00,238,NULL,233,'CAMINHO NOVO','PALHOÇA','SC',10249,150,NULL,243,NULL,NULL,NULL,2,1),(28,7259573,0.00,6.00,1.00,3.00,7.00,8.63,3.00,2.00,4.00,3,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',13655,61,NULL,NULL,NULL,NULL,NULL,2,1),(28,7259581,0.00,3.00,2.00,3.00,4.00,4.50,1.00,1.00,2.00,501,NULL,NULL,'SÃO MIGUEL','BIGUAÇU','SC',19762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7259590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM CALIFÓRNIA','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7259603,0.00,2.00,1.00,5.00,3.00,NULL,1.00,2.00,2.00,601,NULL,233,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7259611,7.00,6.00,3.00,6.00,10.00,13.50,5.00,7.00,3.00,319,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1103,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7259620,4.00,7.00,7.00,7.00,6.00,7.50,5.00,7.00,6.00,207,NULL,215,'COQUEIROS','FLORIANÓPOLIS','SC',1923,63,NULL,12,NULL,NULL,NULL,2,1),(28,7259638,3.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7259646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,207,'CENTRO','PAINEL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7259654,3.00,0.00,2.00,1.00,5.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(28,7259670,0.00,0.00,2.00,1.00,4.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7259689,3.00,2.00,3.00,5.00,3.00,5.25,1.00,4.00,1.00,309,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',19697,69,NULL,NULL,NULL,NULL,NULL,2,1),(28,7259719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7259727,4.00,0.00,4.00,5.00,4.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7259735,0.00,2.00,3.00,0.00,3.00,NULL,1.00,4.00,3.00,316,NULL,NULL,'JARDIM DAS AVENIAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7259743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SÃO VICENTE','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7259760,3.00,6.00,2.00,6.00,11.00,9.00,1.00,4.00,5.00,108,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',5556,65,NULL,NULL,NULL,NULL,NULL,4,15),(28,7259778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'NOSSA SRA APARECIDA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7259786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,601,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7259794,5.00,7.00,3.00,8.00,7.00,9.38,4.00,7.00,6.00,201,NULL,233,'MONTE VERDE','FLORIANÓPOLIS','SC',4115,NULL,NULL,107,NULL,NULL,NULL,4,1),(28,7259840,4.00,5.00,0.00,7.00,7.00,11.63,3.00,5.00,2.00,108,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',8023,99,NULL,NULL,NULL,NULL,NULL,4,16),(28,7259859,0.00,3.00,3.00,7.00,3.00,4.88,1.00,5.00,0.00,238,NULL,207,'SERRARIA','S JOSÉ','SC',16792,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7259867,1.00,5.00,1.00,4.00,6.00,7.88,2.00,4.00,1.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',18870,595,NULL,NULL,NULL,NULL,NULL,2,1),(28,7259875,1.00,6.00,3.00,4.00,6.00,8.63,2.00,5.00,5.00,202,NULL,653,'RAICHASKI','IÇARA','SC',9713,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7259883,3.00,7.00,3.00,5.00,7.00,4.50,4.00,7.00,2.00,110,NULL,NULL,'FLORIANOPOLIS','FLORIANÓPOLIS','SC',13067,46,NULL,NULL,NULL,NULL,NULL,2,1),(28,7259891,4.00,3.00,2.00,4.00,5.00,5.63,2.00,6.00,2.00,203,NULL,214,'JARDIM SAMAMBAIA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7259905,0.00,3.00,1.00,5.00,1.00,NULL,0.00,3.00,3.00,309,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7259913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7259921,4.00,6.00,1.00,6.00,5.00,8.25,2.00,2.00,6.00,207,NULL,201,'ROÇADO','S JOSÉ','SC',16039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7259930,3.00,4.00,4.00,6.00,4.00,7.50,3.00,6.00,2.00,103,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',11874,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7259948,3.00,7.00,2.00,5.00,9.00,6.75,3.00,6.00,4.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',12500,348,NULL,NULL,NULL,NULL,NULL,2,1),(28,7259964,6.00,9.00,4.00,4.00,7.00,8.63,4.00,7.00,4.00,303,NULL,NULL,'SANTO AMARO','S PAULO','SP',2504,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7259999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7260008,1.00,2.00,0.00,3.00,4.00,0.00,1.00,2.00,3.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7260016,2.00,6.00,1.00,7.00,8.00,7.13,4.00,5.00,1.00,108,NULL,NULL,'AGENOR DE CARVALHO','PTO VELHO','RO',9309,123,NULL,NULL,NULL,NULL,NULL,4,6),(28,7260024,5.00,7.00,4.00,7.00,7.00,8.25,5.00,5.00,5.00,552,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',5073,4,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260032,0.00,2.00,1.00,1.00,3.00,4.50,1.00,2.00,1.00,108,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260040,1.00,5.00,1.00,6.00,5.00,8.63,1.00,3.00,0.00,214,NULL,653,'JARDIM SANTA RITA','JABOTICABAL','SP',13095,301,NULL,142,NULL,NULL,NULL,4,1),(28,7260059,0.00,5.00,0.00,3.00,5.00,6.00,0.00,2.00,1.00,454,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',18567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7260083,0.00,6.00,3.00,7.00,9.00,7.50,1.00,4.00,4.00,429,NULL,425,'COQUEIROS','FLORIANÓPOLIS','SC',10769,10,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260091,5.00,6.00,4.00,4.00,8.00,9.38,7.00,6.00,4.00,201,NULL,207,'VENDAVAL','BIGUAÇU','SC',5768,448,NULL,259,NULL,NULL,NULL,4,1),(28,7260121,6.00,8.00,2.00,7.00,9.00,8.25,6.00,7.00,7.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',440,309,NULL,NULL,NULL,NULL,NULL,4,2),(28,7260130,2.00,1.00,1.00,4.00,3.00,6.75,0.00,2.00,1.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260148,3.00,5.00,0.00,3.00,4.00,7.50,4.00,3.00,6.00,212,NULL,213,'ESTREITO','FLORIANÓPOLIS','SC',14385,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260156,3.00,6.00,1.00,7.00,8.00,9.38,3.00,7.00,5.00,415,NULL,NULL,'PROGRESSO','S LOURENÇO OESTE','SC',3529,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7260164,2.00,6.00,3.00,7.00,7.00,8.25,4.00,3.00,2.00,207,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14337,634,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7260199,5.00,3.00,2.00,4.00,4.00,10.50,0.00,4.00,2.00,103,NULL,NULL,'PRAIA GRANDE','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260202,1.00,3.00,3.00,2.00,4.00,4.50,2.00,4.00,2.00,652,NULL,655,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7260210,2.00,6.00,2.00,6.00,6.00,10.13,5.00,6.00,5.00,223,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5347,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260229,2.00,3.00,0.00,5.00,4.00,6.00,2.00,4.00,4.00,201,NULL,203,'BARREIROS','S JOSÉ','SC',18834,1023,NULL,701,NULL,NULL,NULL,2,1),(28,7260237,6.00,7.00,6.00,6.00,9.00,9.00,7.00,6.00,6.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',437,306,NULL,NULL,NULL,NULL,NULL,4,2),(28,7260245,3.00,7.00,2.00,6.00,9.00,12.00,4.00,5.00,4.00,207,NULL,212,'CAMPINAS','S JOSÉ','SC',4421,187,NULL,142,NULL,NULL,NULL,4,1),(28,7260253,5.00,8.00,2.00,6.00,8.00,6.75,4.00,6.00,6.00,207,NULL,201,'IPIRANGA','S JOSÉ','SC',2992,106,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260261,1.00,4.00,2.00,2.00,7.00,NULL,0.00,2.00,0.00,103,NULL,NULL,'SÃO JOÃO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7260270,2.00,5.00,1.00,4.00,5.00,8.63,2.00,3.00,4.00,103,NULL,NULL,'VILA OURO VERDE','ASSIS','SP',10693,2118,NULL,NULL,NULL,NULL,NULL,4,3),(28,7260288,0.00,4.00,2.00,3.00,4.00,7.88,1.00,3.00,2.00,999,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260296,4.00,7.00,2.00,6.00,5.00,9.75,4.00,7.00,2.00,999,NULL,NULL,'ITACOTUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260300,0.00,3.00,2.00,1.00,1.00,NULL,1.00,4.00,1.00,238,NULL,655,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260318,4.00,5.00,2.00,3.00,8.00,8.25,2.00,4.00,5.00,216,NULL,220,'CENTRO','CANOINHAS','SC',6987,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7260342,3.00,6.00,3.00,7.00,9.00,6.00,4.00,4.00,1.00,303,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',14075,518,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260350,4.00,7.00,2.00,7.00,7.00,8.25,3.00,7.00,6.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260369,0.00,3.00,3.00,2.00,4.00,NULL,0.00,4.00,0.00,999,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260377,6.00,8.00,4.00,7.00,7.00,9.38,4.00,7.00,7.00,203,NULL,214,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',2363,188,NULL,84,NULL,NULL,NULL,4,1),(28,7260385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7260393,6.00,7.00,3.00,6.00,8.00,10.13,7.00,6.00,7.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3163,1172,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260407,2.00,3.00,3.00,4.00,4.00,4.50,0.00,3.00,2.00,444,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260415,1.00,7.00,2.00,2.00,6.00,5.63,1.00,4.00,2.00,211,NULL,238,'PACHECOS','PALHOÇA','SC',14723,370,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260423,0.00,1.00,2.00,0.00,4.00,8.25,2.00,3.00,1.00,326,NULL,NULL,'BELA VISTA','PALHOÇA','SC',20149,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260440,1.00,6.00,2.00,5.00,5.00,5.63,1.00,3.00,5.00,444,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',12940,53,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260466,0.00,2.00,1.00,6.00,5.00,4.50,1.00,4.00,2.00,220,NULL,202,'CENTRO','ITAJAÍ','SC',17161,327,NULL,378,NULL,NULL,NULL,4,6),(28,7260474,0.00,4.00,2.00,0.00,3.00,6.75,1.00,4.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260482,0.00,2.00,1.00,5.00,2.00,NULL,3.00,5.00,1.00,454,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260490,1.00,8.00,2.00,4.00,6.00,6.38,4.00,6.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10229,302,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260504,1.00,3.00,4.00,0.00,3.00,NULL,1.00,1.00,1.00,339,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260512,2.00,0.00,2.00,6.00,8.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(28,7260520,3.00,6.00,3.00,6.00,4.00,8.25,2.00,5.00,4.00,104,NULL,NULL,'SANTA AMALIA','LIMEIRA','SP',10446,251,NULL,NULL,NULL,NULL,NULL,4,8),(28,7260539,2.00,4.00,3.00,6.00,5.00,8.63,1.00,5.00,4.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13664,335,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260547,1.00,5.00,1.00,4.00,2.00,NULL,2.00,3.00,3.00,235,NULL,220,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260555,0.00,5.00,2.00,4.00,2.00,NULL,0.00,4.00,2.00,552,NULL,NULL,'PARIZOTTO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7260563,2.00,5.00,1.00,3.00,3.00,6.38,3.00,3.00,2.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15995,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260571,0.00,6.00,0.00,4.00,7.00,NULL,1.00,6.00,3.00,233,NULL,238,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7260580,4.00,7.00,3.00,7.00,7.00,9.38,3.00,5.00,1.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',6736,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7260628,4.00,5.00,3.00,7.00,7.00,9.38,3.00,5.00,4.00,110,NULL,NULL,'CENTRO','JOINVILLE','SC',9735,27,NULL,NULL,NULL,NULL,NULL,4,8),(28,7260636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7260644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7260652,1.00,3.00,2.00,2.00,3.00,7.88,2.00,2.00,3.00,319,NULL,NULL,'JANUÁRIA','SOMBRIO','SC',17313,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7260660,2.00,8.00,3.00,4.00,7.00,5.63,4.00,8.00,4.00,201,NULL,601,'CENTRO','CURITIBANOS','SC',7159,532,NULL,156,NULL,NULL,NULL,4,16),(28,7260687,7.00,8.00,4.00,6.00,8.00,9.38,3.00,6.00,6.00,3,NULL,NULL,'VISTA ALEGRE','VINHEDO','SP',3960,10,NULL,NULL,NULL,NULL,NULL,4,27),(28,7260709,1.00,4.00,3.00,4.00,4.00,5.63,1.00,4.00,5.00,5,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',18746,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260717,4.00,6.00,1.00,8.00,9.00,12.75,2.00,7.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2567,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260725,0.00,3.00,3.00,3.00,4.00,6.00,2.00,4.00,2.00,5,NULL,NULL,'PARQUE DAS AVENIDAS','SOMBRIO','SC',16798,448,NULL,NULL,NULL,NULL,NULL,4,15),(28,7260733,4.00,7.00,2.00,7.00,7.00,7.13,5.00,6.00,5.00,203,NULL,202,'CENTRO','BAL CAMBORIÚ','SC',7572,459,NULL,203,NULL,NULL,NULL,4,6),(28,7260750,0.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,1.00,207,NULL,233,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260768,0.00,2.00,1.00,2.00,1.00,NULL,1.00,3.00,2.00,999,NULL,NULL,'PICAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7260784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7260792,0.00,5.00,2.00,3.00,4.00,NULL,2.00,4.00,3.00,308,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260806,2.00,5.00,3.00,4.00,6.00,7.50,1.00,5.00,1.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17692,250,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7260822,1.00,5.00,1.00,7.00,4.00,8.25,3.00,3.00,4.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',12305,2216,NULL,NULL,NULL,NULL,NULL,2,27),(28,7260830,2.00,8.00,3.00,7.00,6.00,8.63,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',5034,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7260849,0.00,3.00,3.00,5.00,3.00,NULL,0.00,1.00,2.00,102,NULL,NULL,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7260857,3.00,6.00,2.00,4.00,7.00,8.63,2.00,3.00,3.00,9,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',16229,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260865,3.00,6.00,1.00,7.00,5.00,9.00,1.00,3.00,3.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260873,0.00,5.00,1.00,3.00,5.00,7.13,0.00,3.00,3.00,425,NULL,424,'CENTRO','SAUDADES','SC',15694,49,NULL,25,NULL,NULL,NULL,4,4),(28,7260881,2.00,4.00,3.00,4.00,5.00,7.50,3.00,2.00,2.00,103,NULL,NULL,'FUNDO CANOAS','RIO SUL','SC',14996,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7260890,0.00,1.00,1.00,1.00,1.00,NULL,1.00,2.00,3.00,551,NULL,NULL,'SANTO ANTONIO','MTE CARLO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7260903,3.00,6.00,1.00,5.00,5.00,8.25,3.00,6.00,3.00,320,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',11060,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7260911,2.00,6.00,2.00,3.00,3.00,6.38,1.00,4.00,5.00,999,NULL,NULL,'FREI ROGÉRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7260920,1.00,4.00,1.00,4.00,5.00,8.25,4.00,6.00,1.00,238,NULL,652,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',18086,317,NULL,90,NULL,NULL,NULL,4,1),(28,7260938,1.00,7.00,3.00,7.00,8.00,9.38,1.00,9.00,2.00,415,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',10817,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260946,1.00,4.00,1.00,5.00,6.00,7.88,2.00,5.00,2.00,333,NULL,NULL,'SÃO FRANCISCO','TORRES','RS',13784,83,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260954,2.00,4.00,2.00,6.00,5.00,5.25,3.00,5.00,0.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18705,64,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7260970,3.00,4.00,1.00,5.00,6.00,7.88,0.00,5.00,5.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',16825,450,NULL,NULL,NULL,NULL,NULL,2,1),(28,7260989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7260997,3.00,3.00,0.00,2.00,2.00,NULL,1.00,3.00,2.00,654,NULL,NULL,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7261004,0.00,5.00,2.00,4.00,3.00,9.00,4.00,4.00,2.00,551,NULL,NULL,'SAO CRISTOVAO','PAPANDUVA','SC',14423,16,NULL,NULL,NULL,NULL,NULL,2,16),(28,7261012,4.00,5.00,1.00,3.00,7.00,7.50,1.00,5.00,3.00,320,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',10912,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261020,3.00,7.00,2.00,4.00,7.00,7.13,3.00,4.00,2.00,103,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',10760,2127,NULL,NULL,NULL,NULL,NULL,2,8),(28,7261039,2.00,6.00,1.00,5.00,5.00,9.75,4.00,4.00,4.00,207,NULL,202,'BARREIROS','S JOSÉ','SC',10100,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261047,0.00,2.00,1.00,1.00,3.00,7.50,1.00,0.00,2.00,999,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7261055,0.00,4.00,1.00,5.00,6.00,NULL,0.00,3.00,1.00,102,NULL,NULL,'CENTRO','COXIM','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261063,3.00,8.00,2.00,3.00,5.00,10.88,3.00,6.00,4.00,211,NULL,233,'CORAL','LAGES','SC',10355,282,NULL,245,NULL,NULL,NULL,4,9),(28,7261080,3.00,4.00,4.00,2.00,5.00,6.38,1.00,4.00,3.00,317,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261098,1.00,6.00,3.00,7.00,6.00,6.75,0.00,5.00,4.00,9,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',15268,115,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261101,2.00,2.00,2.00,4.00,6.00,6.75,2.00,4.00,4.00,340,NULL,NULL,'CENTRO','CRICIÚMA','SC',16316,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7261110,5.00,6.00,1.00,6.00,8.00,13.13,5.00,6.00,6.00,655,NULL,652,'PINHEIRINHO','CRICIÚMA','SC',3191,3,NULL,NULL,NULL,NULL,NULL,4,5),(28,7261128,1.00,5.00,4.00,7.00,5.00,5.63,4.00,4.00,1.00,202,NULL,201,'VILA RECREIO','ITAPETININGA','SP',16618,371,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261144,2.00,6.00,2.00,7.00,3.00,6.38,2.00,5.00,4.00,216,NULL,215,'CENTRO','BAL CAMBORIÚ','SC',11054,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7261152,2.00,3.00,4.00,6.00,3.00,8.25,3.00,2.00,1.00,999,NULL,NULL,'SÃO JORGE','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7261160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA SÁ','OURINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7261195,1.00,5.00,1.00,2.00,6.00,6.38,3.00,6.00,1.00,304,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',18543,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261209,1.00,5.00,2.00,5.00,5.00,6.75,2.00,3.00,4.00,454,NULL,NULL,'BARREIROS','S JOSÉ','SC',13079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261225,2.00,4.00,3.00,4.00,6.00,4.50,2.00,4.00,2.00,216,NULL,601,'VILA LENZI','JARAGUÁ SUL','SC',15367,404,NULL,452,NULL,NULL,NULL,2,23),(28,7261233,4.00,8.00,3.00,5.00,9.00,8.63,4.00,5.00,6.00,303,NULL,NULL,'BELA VISTA','PTO UNIÃO','SC',3584,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261241,6.00,9.00,3.00,5.00,7.00,10.13,5.00,8.00,5.00,103,NULL,NULL,'CENTRO','ANCHIETA','SC',1525,750,NULL,NULL,NULL,NULL,NULL,2,27),(28,7261250,8.00,8.00,4.00,5.00,9.00,9.75,6.00,5.00,6.00,103,NULL,NULL,'VILA ROSA','ITAPETININGA','SP',1102,601,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261268,6.00,8.00,3.00,6.00,7.00,8.63,4.00,6.00,5.00,102,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',2893,5,NULL,NULL,NULL,NULL,NULL,4,8),(28,7261284,0.00,5.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,201,NULL,207,'SERRINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7261314,0.00,4.00,2.00,5.00,3.00,NULL,2.00,3.00,4.00,208,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7261330,0.00,2.00,1.00,1.00,2.00,NULL,2.00,1.00,3.00,9,NULL,NULL,'AGUA BRANCA','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7261349,3.00,5.00,4.00,6.00,5.00,5.63,3.00,4.00,2.00,316,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',14917,191,NULL,NULL,NULL,NULL,NULL,2,1),(28,7261357,5.00,9.00,1.00,7.00,5.00,10.13,3.00,7.00,6.00,110,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5411,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261365,3.00,0.00,2.00,6.00,3.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'MADRI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7261373,0.00,2.00,0.00,0.00,0.00,NULL,0.00,2.00,1.00,308,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261390,5.00,6.00,1.00,6.00,8.00,11.25,4.00,6.00,3.00,415,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',6272,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7261403,3.00,7.00,5.00,6.00,6.00,8.25,3.00,4.00,5.00,103,NULL,NULL,'TERRA NOVA II','S BERNARDO CAMPO','SP',5241,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261411,0.00,4.00,1.00,2.00,2.00,NULL,1.00,1.00,3.00,201,NULL,211,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7261420,2.00,5.00,1.00,6.00,4.00,8.25,2.00,5.00,3.00,327,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',16663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7261438,0.00,4.00,2.00,4.00,2.00,NULL,2.00,3.00,1.00,551,NULL,NULL,'NITEROI','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7261446,1.00,4.00,5.00,3.00,3.00,5.25,1.00,3.00,3.00,3,NULL,NULL,'TAMANDUÁ','CONCÓRDIA','SC',16917,81,NULL,NULL,NULL,NULL,NULL,2,4),(28,7261462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7261470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,601,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7261489,2.00,5.00,2.00,5.00,6.00,7.50,2.00,3.00,2.00,103,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',12740,2249,NULL,NULL,NULL,NULL,NULL,2,1),(28,7261497,8.00,8.00,4.00,7.00,10.00,7.50,3.00,7.00,7.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',1026,563,NULL,NULL,NULL,NULL,NULL,4,8),(28,7261500,5.00,6.00,3.00,2.00,6.00,11.25,3.00,5.00,5.00,103,NULL,NULL,'ST GENTIL MEIRELES','GOIÂNIA','GO',4252,1372,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261519,3.00,7.00,1.00,2.00,6.00,7.88,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7242,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7261535,1.00,8.00,3.00,6.00,7.00,7.88,2.00,5.00,3.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13967,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261543,1.00,4.00,1.00,6.00,4.00,8.25,2.00,5.00,5.00,103,NULL,NULL,'GIOPPO','CAÇADOR','SC',10470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261560,2.00,6.00,0.00,7.00,3.00,6.75,1.00,3.00,4.00,340,NULL,NULL,'RAIZERA','SOMBRIO','SC',14617,387,NULL,NULL,NULL,NULL,NULL,2,15),(28,7261578,4.00,8.00,1.00,7.00,6.00,8.63,3.00,7.00,5.00,207,NULL,233,'ARIRIÚ','PALHOÇA','SC',4824,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7261608,2.00,6.00,2.00,4.00,5.00,6.00,2.00,5.00,2.00,415,NULL,NULL,'VILA NOVA','TROMBUDO CENTRAL','SC',14289,230,NULL,NULL,NULL,NULL,NULL,4,24),(28,7261616,2.00,5.00,2.00,5.00,2.00,NULL,0.00,6.00,3.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7261624,5.00,6.00,1.00,6.00,5.00,10.88,3.00,3.00,3.00,502,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',11345,15,NULL,NULL,NULL,NULL,NULL,1,1),(28,7261632,0.00,4.00,1.00,4.00,2.00,NULL,2.00,3.00,5.00,653,NULL,655,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7261640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7261659,1.00,5.00,3.00,2.00,2.00,NULL,2.00,5.00,3.00,340,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7261667,3.00,5.00,2.00,6.00,7.00,7.13,3.00,5.00,3.00,303,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',9331,386,NULL,NULL,NULL,NULL,NULL,4,6),(28,7261675,0.00,2.00,2.00,3.00,5.00,7.50,1.00,3.00,3.00,404,NULL,NULL,'SANTANA','STO AMARO IMPERATRIZ','SC',19805,77,NULL,NULL,NULL,NULL,NULL,2,1),(28,7261683,2.00,6.00,2.00,2.00,3.00,10.88,2.00,4.00,2.00,103,NULL,NULL,'RECIFE','TUBARÃO','SC',13842,2292,NULL,NULL,NULL,NULL,NULL,4,10),(28,7261691,2.00,5.00,3.00,4.00,5.00,5.25,2.00,3.00,1.00,425,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',18659,73,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,653,'POLICIA RODOVIARIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7261713,6.00,7.00,7.00,7.00,10.00,13.13,7.00,8.00,6.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',62,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SUMAREZINHO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7261748,4.00,8.00,3.00,6.00,9.00,9.00,3.00,5.00,5.00,216,NULL,201,'CORAL','LAGES','SC',6156,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7261764,4.00,4.00,2.00,6.00,7.00,6.00,2.00,5.00,6.00,9,NULL,NULL,'PRAIA DA DANIELA','FLORIANÓPOLIS','SC',9273,47,NULL,NULL,NULL,NULL,NULL,2,1),(28,7261772,0.00,6.00,3.00,3.00,3.00,7.50,3.00,4.00,2.00,653,NULL,213,'QUARTA LINHA','CRICIÚMA','SC',18860,201,NULL,NULL,NULL,NULL,NULL,4,5),(28,7261780,1.00,5.00,5.00,3.00,4.00,5.25,1.00,4.00,3.00,214,NULL,203,'CENTRO','PIEDADE','SP',14134,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7261802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7261810,1.00,7.00,3.00,4.00,4.00,7.88,4.00,3.00,2.00,201,NULL,207,'CZERNIEWICZ','JARAGUÁ SUL','SC',11482,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7261829,3.00,8.00,2.00,7.00,7.00,9.00,3.00,6.00,4.00,203,NULL,202,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',4911,336,NULL,145,NULL,NULL,NULL,4,1),(28,7261845,1.00,6.00,2.00,5.00,6.00,9.00,1.00,3.00,4.00,102,NULL,NULL,'BOM JESUS','LAGES','SC',11398,108,NULL,NULL,NULL,NULL,NULL,2,9),(28,7261853,0.00,4.00,1.00,3.00,6.00,NULL,3.00,6.00,2.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261861,3.00,3.00,4.00,6.00,5.00,7.88,2.00,3.00,0.00,429,NULL,425,'MATO ALTO','ARARANGUÁ','SC',18412,42,NULL,NULL,NULL,NULL,NULL,4,15),(28,7261870,2.00,5.00,1.00,7.00,6.00,7.50,4.00,3.00,3.00,216,NULL,215,'CORAL','LAGES','SC',14733,392,NULL,243,NULL,NULL,NULL,4,9),(28,7261888,6.00,7.00,3.00,7.00,8.00,9.38,5.00,6.00,6.00,454,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',2018,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261896,1.00,6.00,1.00,4.00,5.00,7.88,2.00,6.00,2.00,225,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17369,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7261900,5.00,7.00,3.00,6.00,10.00,10.13,3.00,7.00,7.00,303,NULL,NULL,'PQ CRUZEIRO DO SUL','S PAULO','SP',1737,81,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261918,3.00,7.00,4.00,6.00,8.00,10.50,2.00,7.00,3.00,340,NULL,NULL,'IPATINGA','SOROCABA','SP',7230,196,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261926,7.00,8.00,4.00,7.00,11.00,12.00,6.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',280,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7261934,0.00,6.00,3.00,4.00,4.00,6.75,3.00,6.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12816,485,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261950,0.00,5.00,4.00,5.00,3.00,7.88,3.00,5.00,3.00,503,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',15494,28,NULL,NULL,NULL,NULL,NULL,2,1),(28,7261969,2.00,7.00,3.00,2.00,3.00,6.75,3.00,4.00,4.00,203,NULL,216,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',16401,664,NULL,425,NULL,NULL,NULL,4,1),(28,7261977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD BOTANICO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7261985,4.00,6.00,0.00,7.00,6.00,7.88,1.00,7.00,4.00,327,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13635,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7261993,2.00,8.00,3.00,5.00,7.00,9.75,4.00,7.00,5.00,340,NULL,NULL,'UBERABA','CURITIBA','PR',4212,101,NULL,NULL,NULL,NULL,NULL,4,8),(28,7262000,3.00,9.00,1.00,7.00,4.00,7.50,1.00,4.00,2.00,319,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',16432,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7262019,1.00,5.00,3.00,6.00,7.00,6.00,1.00,7.00,0.00,425,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',17390,64,NULL,30,NULL,NULL,NULL,4,1),(28,7262027,4.00,6.00,3.00,7.00,4.00,6.00,4.00,7.00,5.00,501,NULL,NULL,'BELA VISTA','FRAIBURGO','SC',5889,12,NULL,NULL,NULL,NULL,NULL,4,3),(28,7262035,2.00,4.00,1.00,2.00,6.00,5.63,3.00,4.00,3.00,404,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',19135,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'INTERIOR','VARGEÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7262060,2.00,3.00,4.00,5.00,5.00,6.75,4.00,3.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15010,393,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NOVA P IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7262086,5.00,8.00,2.00,5.00,7.00,9.75,2.00,8.00,5.00,5,NULL,NULL,'CONJ CRUZEIRO DO SUL','APARECIDA GOIÂNIA','GO',3326,123,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262094,1.00,3.00,1.00,6.00,4.00,7.13,2.00,3.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16485,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7262108,1.00,6.00,1.00,5.00,6.00,6.38,1.00,5.00,2.00,454,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',13546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262116,4.00,6.00,0.00,6.00,8.00,12.00,3.00,4.00,4.00,415,NULL,NULL,'MONTE CASTELO','TUBARÃO','SC',10508,166,NULL,NULL,NULL,NULL,NULL,4,10),(28,7262124,2.00,6.00,3.00,6.00,8.00,9.00,3.00,5.00,3.00,450,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',13530,105,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262132,2.00,6.00,2.00,5.00,6.00,10.13,3.00,6.00,6.00,104,NULL,NULL,'SOLAR DO AGRESTE','RIO VERDE','GO',4682,79,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262159,1.00,3.00,2.00,4.00,4.00,3.00,4.00,3.00,2.00,3,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7262167,7.00,8.00,5.00,6.00,9.00,9.75,5.00,6.00,7.00,201,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',668,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262175,3.00,3.00,1.00,6.00,7.00,NULL,0.00,2.00,0.00,108,NULL,NULL,'LAGOINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7262183,0.00,7.00,3.00,6.00,2.00,NULL,2.00,6.00,2.00,201,NULL,220,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7262191,7.00,6.00,2.00,6.00,10.00,9.38,4.00,8.00,6.00,333,NULL,NULL,'DONA CLARA','BELO HORIZONTE','MG',1623,1,NULL,NULL,NULL,NULL,NULL,2,1),(28,7262205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7262213,2.00,6.00,2.00,7.00,8.00,10.13,5.00,5.00,4.00,320,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6553,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262221,3.00,5.00,3.00,4.00,6.00,4.88,2.00,3.00,2.00,309,NULL,NULL,'SÃO JOÃO DO RIO VERM','FLORIANÓPOLIS','SC',15896,32,NULL,NULL,NULL,NULL,NULL,2,1),(28,7262230,4.00,5.00,3.00,5.00,4.00,8.63,2.00,4.00,3.00,220,NULL,202,'CENTRO','TUBARÃO','SC',10406,252,NULL,266,NULL,NULL,NULL,2,10),(28,7262248,6.00,5.00,1.00,5.00,7.00,9.00,4.00,7.00,3.00,211,NULL,215,'VILA MARIANA','S PAULO','SP',6640,185,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262256,0.00,3.00,1.00,3.00,4.00,NULL,1.00,3.00,1.00,320,NULL,NULL,'BUDAAG','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7262264,2.00,5.00,1.00,6.00,7.00,9.00,3.00,5.00,2.00,216,NULL,233,'DAS NAÇÕES','BAL CAMBORIÚ','SC',11394,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7262272,0.00,5.00,2.00,3.00,5.00,NULL,2.00,1.00,2.00,308,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262280,4.00,6.00,3.00,7.00,6.00,7.88,4.00,4.00,3.00,235,NULL,655,'FAZENDA','ITAJAÍ','SC',6705,NULL,NULL,20,NULL,NULL,NULL,4,6),(28,7262299,5.00,6.00,1.00,6.00,6.00,9.00,5.00,7.00,5.00,103,NULL,NULL,'JARDIM MELITA','S MANUEL','SP',2342,975,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'BELA VISTA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7262329,5.00,7.00,4.00,6.00,9.00,7.88,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',2958,1127,NULL,NULL,NULL,NULL,NULL,4,7),(28,7262337,1.00,3.00,1.00,3.00,3.00,NULL,1.00,2.00,0.00,340,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7262345,5.00,8.00,3.00,7.00,11.00,11.25,4.00,8.00,6.00,303,NULL,NULL,'TRINTADE','FLORIANÓPOLIS','SC',855,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262361,0.00,4.00,5.00,4.00,7.00,3.00,2.00,4.00,2.00,450,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7262370,1.00,6.00,2.00,6.00,3.00,7.13,5.00,6.00,2.00,212,NULL,214,'JAROSESKI','DESCANSO','SC',10506,308,NULL,267,NULL,NULL,NULL,2,1),(28,7262388,0.00,3.00,2.00,4.00,6.00,NULL,3.00,2.00,2.00,301,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7262396,3.00,6.00,3.00,5.00,7.00,5.25,2.00,6.00,4.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',8541,134,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7262426,5.00,8.00,9.00,5.00,7.00,7.50,6.00,6.00,7.00,201,NULL,212,'SAGUAÇU','JOINVILLE','SC',1044,47,NULL,NULL,NULL,NULL,NULL,4,8),(28,7262434,2.00,6.00,1.00,2.00,8.00,8.25,4.00,6.00,2.00,303,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',9286,384,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262442,0.00,4.00,2.00,4.00,5.00,NULL,3.00,3.00,3.00,450,NULL,NULL,'PAES LAME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7262450,2.00,6.00,0.00,7.00,7.00,7.88,3.00,6.00,6.00,319,NULL,NULL,'VILA INGLESA','S PAULO','SP',5543,84,NULL,NULL,NULL,NULL,NULL,2,1),(28,7262469,2.00,6.00,3.00,3.00,7.00,9.38,5.00,1.00,5.00,450,NULL,NULL,'JARDIM ELIZABETH','COCAL SUL','SC',8686,65,NULL,NULL,NULL,NULL,NULL,4,5),(28,7262477,6.00,7.00,5.00,6.00,9.00,8.25,3.00,8.00,8.00,103,NULL,NULL,'CHAPADAO','CAMPINAS','SP',1190,634,NULL,NULL,NULL,NULL,NULL,4,8),(28,7262485,2.00,3.00,1.00,2.00,4.00,5.25,3.00,3.00,3.00,404,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7262493,1.00,3.00,3.00,2.00,1.00,NULL,1.00,1.00,0.00,201,NULL,212,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(28,7262507,2.00,7.00,2.00,4.00,5.00,7.50,2.00,6.00,2.00,454,NULL,NULL,'JARDIM LONDRILAR','LONDRINA','PR',13946,283,NULL,NULL,NULL,NULL,NULL,2,1),(28,7262531,2.00,0.00,2.00,3.00,7.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(28,7262540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7262558,4.00,3.00,2.00,2.00,4.00,6.75,0.00,4.00,3.00,316,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',17384,246,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262566,0.00,2.00,1.00,3.00,3.00,NULL,0.00,1.00,0.00,5,NULL,NULL,'DOS MUNICIPIOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7262582,0.00,2.00,2.00,2.00,3.00,6.75,1.00,3.00,2.00,652,NULL,655,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',20111,110,NULL,NULL,NULL,NULL,NULL,2,15),(28,7262590,6.00,5.00,4.00,5.00,6.00,7.13,4.00,6.00,3.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10009,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262604,0.00,3.00,2.00,3.00,2.00,NULL,1.00,4.00,3.00,316,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7262612,4.00,6.00,1.00,5.00,6.00,9.00,6.00,7.00,6.00,103,NULL,NULL,'LAPA','S PAULO','SP',1815,842,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262620,4.00,7.00,4.00,6.00,11.00,10.50,6.00,6.00,4.00,316,NULL,NULL,'BUDAG','RIO SUL','SC',2001,6,NULL,NULL,NULL,NULL,NULL,4,24),(28,7262639,3.00,7.00,1.00,6.00,9.00,9.00,3.00,4.00,6.00,201,NULL,233,'JARDIM JANAINA','BIGUAÇU','SC',5594,431,NULL,148,NULL,NULL,NULL,4,1),(28,7262647,7.00,6.00,3.00,2.00,5.00,8.25,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','UBIRATÃ','PR',7772,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7262655,6.00,8.00,1.00,7.00,10.00,9.00,5.00,5.00,6.00,336,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',3339,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262663,0.00,4.00,2.00,5.00,4.00,7.50,3.00,3.00,3.00,652,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',14850,52,NULL,NULL,NULL,NULL,NULL,4,15),(28,7262671,2.00,7.00,3.00,6.00,4.00,5.63,1.00,4.00,2.00,238,NULL,655,'IPIRANGA','S JOSÉ','SC',13457,222,NULL,73,NULL,NULL,NULL,4,1),(28,7262701,5.00,8.00,3.00,7.00,9.00,11.25,4.00,7.00,3.00,303,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',5051,232,NULL,NULL,NULL,NULL,NULL,2,1),(28,7262728,0.00,4.00,1.00,6.00,5.00,9.75,4.00,7.00,2.00,551,NULL,NULL,'INTERIOR','BRUNÓPOLIS','SC',12068,8,NULL,NULL,NULL,NULL,NULL,2,16),(28,7262736,3.00,7.00,4.00,5.00,8.00,10.50,2.00,6.00,4.00,103,NULL,NULL,'CENTRO','BENEDITO NOVO','SC',6225,1661,NULL,NULL,NULL,NULL,NULL,4,2),(28,7262744,1.00,9.00,2.00,7.00,9.00,8.25,2.00,7.00,3.00,303,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',4862,222,NULL,NULL,NULL,NULL,NULL,4,10),(28,7262752,0.00,5.00,1.00,5.00,4.00,NULL,1.00,5.00,3.00,454,NULL,NULL,'CENTRO','BENEDITO NOVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7262760,5.00,7.00,3.00,5.00,8.00,8.25,4.00,5.00,4.00,214,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',5110,165,NULL,81,NULL,NULL,NULL,4,1),(28,7262779,0.00,2.00,0.00,0.00,2.00,NULL,0.00,1.00,0.00,309,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7262787,2.00,4.00,1.00,2.00,2.00,NULL,2.00,6.00,3.00,104,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7262795,2.00,4.00,2.00,4.00,5.00,6.75,2.00,4.00,1.00,208,NULL,NULL,'CENTRO','GUARAMIRIM','SC',14393,157,NULL,NULL,NULL,NULL,NULL,4,23),(28,7262825,0.00,2.00,2.00,4.00,3.00,NULL,0.00,3.00,2.00,319,NULL,NULL,'CENTRO','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262833,0.00,2.00,2.00,3.00,4.00,9.00,1.00,4.00,2.00,302,NULL,NULL,'FORTALEZA','PR GRANDE','SC',17072,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7262841,5.00,4.00,3.00,6.00,7.00,4.50,2.00,5.00,2.00,327,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',10193,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7262868,2.00,6.00,4.00,6.00,6.00,5.63,4.00,5.00,6.00,233,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',10691,252,NULL,NULL,NULL,NULL,NULL,4,8),(28,7262876,1.00,4.00,2.00,5.00,4.00,7.13,4.00,4.00,3.00,316,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',17804,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7262892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM EMILIA','JACAREÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7262914,3.00,4.00,2.00,6.00,4.00,8.25,0.00,3.00,4.00,208,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',14346,156,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262922,4.00,5.00,1.00,5.00,5.00,6.75,0.00,6.00,1.00,340,NULL,NULL,'VILA BITENCOURT','STA ROSA SUL','SC',13170,354,NULL,NULL,NULL,NULL,NULL,2,15),(28,7262930,2.00,5.00,1.00,2.00,7.00,7.88,1.00,3.00,4.00,103,NULL,NULL,'BAEPENDI','JARAGUÁ SUL','SC',17327,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7262957,2.00,4.00,2.00,4.00,7.00,NULL,0.00,3.00,1.00,238,NULL,652,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262965,2.00,5.00,2.00,2.00,3.00,8.63,4.00,4.00,2.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',14873,2345,NULL,NULL,NULL,NULL,NULL,4,1),(28,7262973,3.00,8.00,2.00,6.00,7.00,7.88,2.00,7.00,3.00,109,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12053,33,NULL,NULL,NULL,NULL,NULL,2,1),(28,7262981,1.00,6.00,2.00,6.00,5.00,7.88,3.00,5.00,2.00,9,NULL,NULL,'CANTA GALO','RIO SUL','SC',10658,61,NULL,NULL,NULL,NULL,NULL,4,24),(28,7262990,2.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,421,NULL,427,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7263007,4.00,6.00,0.00,5.00,7.00,7.13,0.00,5.00,3.00,108,NULL,NULL,'SÃO JOÃO','SEARA','SC',10640,141,NULL,NULL,NULL,NULL,NULL,2,26),(28,7263015,2.00,7.00,2.00,8.00,6.00,8.25,2.00,5.00,3.00,301,NULL,NULL,'VILA MARIANA','S PAULO','SP',8074,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA RURAL','ITAPEJARA D OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7263040,3.00,6.00,4.00,6.00,7.00,10.50,1.00,6.00,3.00,303,NULL,NULL,'JARDIM GOIAS','GOIÂNIA','GO',9751,400,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263058,1.00,4.00,4.00,4.00,5.00,6.75,2.00,5.00,4.00,207,NULL,201,'PQ RES ABÍLIO PEDRO','LIMEIRA','SP',10706,495,NULL,707,NULL,NULL,NULL,2,1),(28,7263066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7263074,1.00,3.00,2.00,4.00,5.00,NULL,0.00,2.00,3.00,108,NULL,NULL,'NOVO HORIZONTE','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7263082,1.00,4.00,1.00,3.00,3.00,9.00,1.00,2.00,1.00,309,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7263104,0.00,3.00,2.00,5.00,4.00,NULL,0.00,4.00,1.00,103,NULL,NULL,'MARTELLO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7263112,0.00,6.00,1.00,3.00,7.00,7.88,2.00,3.00,4.00,340,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',18713,422,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263120,1.00,3.00,1.00,3.00,4.00,6.00,2.00,2.00,2.00,216,NULL,203,'CENTRO','GAROPABA','SC',19823,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7263139,2.00,8.00,4.00,7.00,9.00,9.38,2.00,5.00,7.00,318,NULL,NULL,'JARDIM BOTÂNICO','PTO ALEGRE','RS',2523,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263147,1.00,4.00,1.00,4.00,4.00,4.50,3.00,1.00,3.00,104,NULL,NULL,'PRAIA MOLE','FLORIANÓPOLIS','SC',19902,464,NULL,NULL,NULL,NULL,NULL,2,1),(28,7263155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7263171,4.00,3.00,3.00,2.00,4.00,5.25,0.00,4.00,2.00,201,NULL,212,'BERTAN','MRO FUMAÇA','SC',19480,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7263201,1.00,7.00,4.00,6.00,3.00,5.63,4.00,6.00,4.00,340,NULL,NULL,'VICTOR DE ANDREIA','LIMEIRA','SP',9397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263228,0.00,4.00,0.00,3.00,4.00,6.00,3.00,5.00,1.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17528,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7263244,3.00,6.00,2.00,3.00,6.00,10.50,5.00,6.00,4.00,655,NULL,653,'SETOR BUENO','GOIÂNIA','GO',6162,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7263260,6.00,6.00,3.00,6.00,7.00,8.63,1.00,5.00,4.00,303,NULL,NULL,'BANDEIRANTES','CPO GRANDE','MS',6101,276,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263279,1.00,3.00,2.00,3.00,3.00,6.75,2.00,2.00,0.00,207,NULL,201,'BOM RETIRO','JOINVILLE','SC',18407,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7263295,2.00,5.00,2.00,6.00,6.00,7.50,2.00,3.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13519,502,NULL,NULL,NULL,NULL,NULL,2,1),(28,7263317,2.00,3.00,2.00,4.00,6.00,6.38,5.00,4.00,4.00,303,NULL,NULL,'COLONINHA','GASPAR','SC',12724,482,NULL,NULL,NULL,NULL,NULL,4,2),(28,7263325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'BARRA DA TIJUCA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7263350,4.00,8.00,3.00,5.00,6.00,6.75,4.00,6.00,4.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',6094,1640,NULL,NULL,NULL,NULL,NULL,4,5),(28,7263376,0.00,5.00,2.00,5.00,5.00,NULL,3.00,4.00,3.00,340,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263392,3.00,6.00,2.00,8.00,8.00,10.50,2.00,7.00,2.00,653,NULL,601,'BALNEÁRIO','FLORIANÓPOLIS','SC',10078,NULL,NULL,281,NULL,NULL,NULL,4,1),(28,7263406,2.00,9.00,2.00,5.00,5.00,11.25,2.00,6.00,3.00,103,NULL,NULL,'PARADA DE LUCAS','RIO JANEIRO','RJ',7345,1813,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263414,1.00,3.00,0.00,2.00,6.00,NULL,1.00,4.00,2.00,303,NULL,NULL,'AREAIS','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7263430,2.00,5.00,1.00,5.00,1.00,NULL,3.00,7.00,3.00,653,NULL,202,'UNIVERSITARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7263449,3.00,5.00,1.00,6.00,6.00,8.63,2.00,3.00,3.00,207,NULL,201,'MEIA PRAIA','ITAPEMA','SC',13108,594,NULL,NULL,NULL,NULL,NULL,4,3),(28,7263457,1.00,5.00,2.00,5.00,4.00,5.25,0.00,2.00,2.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16643,123,NULL,NULL,NULL,NULL,NULL,2,1),(28,7263465,7.00,9.00,4.00,7.00,9.00,11.63,6.00,8.00,6.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',419,298,NULL,NULL,NULL,NULL,NULL,2,1),(28,7263473,5.00,7.00,4.00,6.00,6.00,7.50,3.00,5.00,7.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263481,4.00,5.00,3.00,2.00,5.00,7.13,4.00,5.00,4.00,318,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',11585,79,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263490,6.00,8.00,2.00,7.00,8.00,9.00,6.00,7.00,6.00,201,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',1457,87,NULL,8,NULL,NULL,NULL,4,22),(28,7263503,5.00,7.00,3.00,5.00,6.00,7.50,5.00,6.00,4.00,203,NULL,201,'CIDADE MINEIRA NOVA','CRICIÚMA','SC',9585,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7263511,0.00,6.00,1.00,3.00,6.00,6.00,0.00,4.00,1.00,601,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',16052,473,NULL,NULL,NULL,NULL,NULL,4,23),(28,7263546,3.00,4.00,2.00,4.00,6.00,6.75,4.00,4.00,5.00,201,NULL,212,'FORQUILHINHAS','S JOSÉ','SC',10620,702,NULL,313,NULL,NULL,NULL,4,1),(28,7263554,0.00,4.00,0.00,5.00,2.00,NULL,2.00,3.00,2.00,104,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7263562,2.00,5.00,2.00,3.00,4.00,7.50,2.00,3.00,2.00,201,NULL,207,'SCHARAMM','S BENTO SUL','SC',18930,1026,NULL,791,NULL,NULL,NULL,2,8),(28,7263570,1.00,6.00,1.00,7.00,5.00,9.38,0.00,6.00,3.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',16739,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7263600,5.00,7.00,2.00,6.00,8.00,11.63,6.00,6.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1652,790,NULL,NULL,NULL,NULL,NULL,4,4),(28,7263619,5.00,7.00,5.00,6.00,7.00,7.13,3.00,8.00,7.00,103,NULL,NULL,'CENTRO','CPO MOURÃO','PR',1538,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7263627,4.00,7.00,6.00,7.00,8.00,8.63,7.00,7.00,6.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',1648,788,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263635,4.00,6.00,4.00,6.00,6.00,7.50,6.00,4.00,3.00,201,NULL,212,'GANCHOS DE FORA','GOV CELSO RAMOS','SC',8609,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7263643,0.00,6.00,3.00,6.00,7.00,11.25,3.00,6.00,5.00,203,NULL,202,'INTERIOR','FAXINAL GUEDES','SC',6185,401,NULL,169,NULL,NULL,NULL,2,4),(28,7263660,2.00,7.00,3.00,3.00,3.00,4.88,2.00,4.00,4.00,201,NULL,202,'CAMPECHE','FLORIANÓPOLIS','SC',14355,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263678,4.00,6.00,1.00,6.00,6.00,7.88,4.00,3.00,2.00,303,NULL,NULL,'CENTRO','GR PARÁ','SC',9044,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7263694,4.00,7.00,2.00,2.00,4.00,6.75,3.00,4.00,2.00,203,NULL,201,'VILA SANTANA','STO AMARO IMPERATRIZ','SC',12604,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263708,3.00,7.00,1.00,4.00,4.00,9.00,1.00,2.00,5.00,103,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',12511,2233,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263716,2.00,9.00,3.00,5.00,7.00,10.50,4.00,7.00,4.00,337,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',7553,10,NULL,NULL,NULL,NULL,NULL,2,1),(28,7263724,1.00,6.00,2.00,6.00,8.00,10.13,2.00,6.00,4.00,103,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',7862,1878,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7263740,5.00,8.00,3.00,7.00,8.00,9.38,4.00,7.00,6.00,201,NULL,601,'VILA ALEMANHA','LUZERNA','SC',1596,98,NULL,10,NULL,NULL,NULL,4,7),(28,7263767,5.00,7.00,3.00,7.00,9.00,7.88,4.00,6.00,4.00,454,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',5961,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263775,0.00,1.00,1.00,0.00,5.00,NULL,1.00,4.00,2.00,316,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7263783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7263791,2.00,4.00,2.00,5.00,3.00,9.75,5.00,6.00,1.00,220,NULL,235,'CAMPECHE','FLORIANÓPOLIS','SC',11780,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263805,0.00,6.00,1.00,4.00,2.00,NULL,4.00,4.00,2.00,308,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7263821,2.00,6.00,2.00,7.00,6.00,10.88,3.00,7.00,5.00,425,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',10252,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263830,3.00,6.00,2.00,2.00,5.00,6.75,3.00,4.00,4.00,103,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',11125,2145,NULL,NULL,NULL,NULL,NULL,4,23),(28,7263848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'PRESIDENTE KENNEDY','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7263856,0.00,3.00,2.00,3.00,4.00,6.75,2.00,1.00,1.00,203,NULL,212,'SANTANA','STO AMARO IMPERATRIZ','SC',18143,690,NULL,411,NULL,NULL,NULL,4,1),(28,7263864,2.00,7.00,1.00,5.00,7.00,8.63,3.00,4.00,2.00,404,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',15651,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263880,1.00,7.00,4.00,4.00,4.00,6.00,2.00,3.00,5.00,201,NULL,212,'CORREGO GRANDE','FLORIANÓPOLIS','SC',13253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7263902,4.00,7.00,2.00,6.00,6.00,9.00,3.00,5.00,7.00,201,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',8077,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7263937,0.00,3.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,601,NULL,213,'CENTRO','RIO RUFINO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7263953,4.00,7.00,3.00,6.00,9.00,10.13,5.00,6.00,5.00,340,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',1718,27,NULL,NULL,NULL,NULL,NULL,2,8),(28,7263961,3.00,7.00,2.00,7.00,5.00,9.00,2.00,3.00,4.00,108,NULL,NULL,'BOM JESUS','RIO PEDRAS','SP',8304,105,NULL,NULL,NULL,NULL,NULL,4,1),(28,7263988,2.00,4.00,0.00,4.00,4.00,5.25,2.00,4.00,2.00,655,NULL,652,'PETRÓPOLIS','VACARIA','RS',19711,134,NULL,NULL,NULL,NULL,NULL,4,9),(28,7263996,3.00,6.00,2.00,5.00,8.00,10.50,3.00,6.00,4.00,104,NULL,NULL,'BARRO VERMELHO','ORLEANS','SC',5490,105,NULL,NULL,NULL,NULL,NULL,4,5),(28,7264003,2.00,4.00,3.00,4.00,4.00,6.38,1.00,4.00,1.00,653,NULL,202,'CENTRO','CAPIVARI BAIXO','SC',16683,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7264011,0.00,2.00,2.00,6.00,5.00,8.63,1.00,4.00,3.00,654,NULL,NULL,'SANGA DAS PEDRAS','MELEIRO','SC',13950,37,NULL,NULL,NULL,NULL,NULL,2,15),(28,7264020,5.00,4.00,2.00,4.00,7.00,5.25,1.00,5.00,4.00,102,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',13005,121,NULL,NULL,NULL,NULL,NULL,4,1),(28,7264038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'IMIGRANTES','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7264054,3.00,7.00,0.00,7.00,8.00,9.00,4.00,6.00,4.00,999,NULL,NULL,'SÃO SIMÃO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7264062,0.00,7.00,1.00,6.00,5.00,NULL,3.00,5.00,3.00,333,NULL,NULL,'PINEVILLE','PINHAIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7264097,4.00,5.00,3.00,6.00,6.00,6.38,3.00,5.00,2.00,301,NULL,NULL,'CENTRO','JACINTO MACHADO','SC',9945,127,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264100,1.00,4.00,3.00,3.00,3.00,6.75,2.00,4.00,0.00,208,NULL,NULL,'STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC',19686,218,NULL,NULL,NULL,NULL,NULL,4,1),(28,7264119,1.00,6.00,1.00,3.00,5.00,4.88,1.00,3.00,3.00,5,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',17541,462,NULL,NULL,NULL,NULL,NULL,4,1),(28,7264127,0.00,2.00,2.00,1.00,4.00,3.00,1.00,2.00,3.00,429,NULL,425,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7264135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM AEROPORTO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7264143,2.00,7.00,2.00,7.00,7.00,8.25,4.00,7.00,3.00,223,NULL,NULL,'FORTALEZA','BLUMENAU','SC',10666,11,NULL,NULL,NULL,NULL,NULL,4,2),(28,7264151,0.00,2.00,2.00,2.00,1.00,NULL,1.00,1.00,4.00,104,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264178,4.00,5.00,3.00,6.00,7.00,6.75,0.00,7.00,4.00,9,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10587,59,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'SÃO FRANCISCO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7264208,3.00,6.00,3.00,5.00,4.00,6.75,2.00,6.00,4.00,213,NULL,238,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',11865,202,NULL,187,NULL,NULL,NULL,2,1),(28,7264224,1.00,6.00,2.00,7.00,8.00,8.25,3.00,6.00,1.00,211,NULL,215,'CARIANOS','FLORIANÓPOLIS','SC',8631,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ERICA','PANAMBI','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7264259,5.00,5.00,3.00,6.00,6.00,9.00,4.00,5.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4970,92,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264283,1.00,4.00,2.00,4.00,3.00,8.25,4.00,3.00,0.00,238,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',18951,328,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264291,2.00,7.00,1.00,5.00,3.00,6.75,2.00,5.00,3.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7264321,0.00,5.00,3.00,5.00,3.00,NULL,0.00,6.00,2.00,652,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7264348,3.00,3.00,1.00,6.00,5.00,8.25,4.00,3.00,3.00,415,NULL,NULL,'ARIRIU','PALHOÇA','SC',14872,233,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264356,1.00,6.00,2.00,5.00,6.00,6.75,4.00,5.00,3.00,238,NULL,235,'S J DO RIO VERMELHO','FLORIANÓPOLIS','SC',16348,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7264364,3.00,4.00,1.00,4.00,5.00,4.50,1.00,2.00,2.00,2,NULL,NULL,'KOBRASOL','S JOSÉ','SC',17440,51,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264372,0.00,8.00,1.00,4.00,4.00,8.63,0.00,3.00,1.00,303,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',18852,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7264380,5.00,7.00,2.00,6.00,7.00,11.63,4.00,6.00,6.00,103,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',1881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264399,2.00,6.00,2.00,7.00,6.00,8.25,3.00,2.00,3.00,999,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7264402,2.00,0.00,4.00,7.00,5.00,NULL,0.00,0.00,0.00,215,NULL,211,'MONTE CASTELO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(28,7264410,3.00,7.00,2.00,6.00,5.00,8.25,3.00,5.00,6.00,203,NULL,601,'ATIRADORES','JOINVILLE','SC',7931,474,NULL,190,NULL,NULL,NULL,4,8),(28,7264437,5.00,6.00,4.00,5.00,5.00,7.13,4.00,5.00,5.00,3,NULL,NULL,'ESTADOS','TIMBÓ','SC',5761,22,NULL,NULL,NULL,NULL,NULL,4,2),(28,7264453,0.00,3.00,2.00,3.00,4.00,4.50,0.00,0.00,3.00,339,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264461,2.00,6.00,3.00,6.00,7.00,6.75,6.00,5.00,3.00,601,NULL,207,'CENTRO','ITAJAÍ','SC',12171,361,NULL,NULL,NULL,NULL,NULL,4,6),(28,7264488,0.00,2.00,1.00,2.00,2.00,NULL,3.00,3.00,3.00,102,NULL,NULL,'DE FATIMA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264496,1.00,6.00,1.00,4.00,3.00,7.13,2.00,4.00,1.00,451,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',19279,54,NULL,NULL,NULL,NULL,NULL,4,22),(28,7264500,3.00,7.00,4.00,6.00,6.00,8.25,5.00,5.00,7.00,207,NULL,215,'CANASVIEIRAS','FLORIANÓPOLIS','SC',4787,203,NULL,70,NULL,NULL,NULL,4,1),(28,7264518,3.00,6.00,3.00,7.00,9.00,7.50,2.00,5.00,2.00,340,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',8199,219,NULL,NULL,NULL,NULL,NULL,4,1),(28,7264526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7264534,3.00,5.00,0.00,5.00,6.00,6.75,0.00,5.00,3.00,999,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'IÇARENSE','LAURO MÜLLER','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7264550,2.00,7.00,4.00,6.00,6.00,5.25,4.00,5.00,6.00,213,NULL,220,'JOÃO PAULO','FLORIANÓPOLIS','SC',11689,198,NULL,NULL,NULL,NULL,NULL,4,1),(28,7264569,2.00,6.00,1.00,2.00,5.00,6.75,2.00,5.00,3.00,552,NULL,NULL,'INTERRIOR','IPUMIRIM','SC',13266,74,NULL,NULL,NULL,NULL,NULL,4,4),(28,7264577,1.00,3.00,1.00,2.00,5.00,6.00,4.00,3.00,5.00,203,NULL,214,'CENTRO','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7264593,3.00,5.00,1.00,6.00,6.00,7.13,3.00,6.00,1.00,220,NULL,235,'MAE LUZIA','CRICIÚMA','SC',9865,243,NULL,161,NULL,NULL,NULL,2,5),(28,7264607,5.00,4.00,3.00,4.00,3.00,5.63,2.00,2.00,3.00,501,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',18338,117,NULL,NULL,NULL,NULL,NULL,4,1),(28,7264615,2.00,4.00,1.00,6.00,7.00,9.00,2.00,6.00,2.00,5,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',12652,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7264623,2.00,5.00,2.00,6.00,4.00,8.25,2.00,2.00,5.00,552,NULL,NULL,'CENTRO','CAÇADOR','SC',12472,58,NULL,NULL,NULL,NULL,NULL,4,25),(28,7264666,2.00,6.00,0.00,6.00,7.00,12.00,2.00,3.00,2.00,340,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',14101,376,NULL,NULL,NULL,NULL,NULL,4,1),(28,7264674,7.00,7.00,3.00,4.00,5.00,5.25,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','ITAPIRAPUÃ PAULISTA','SP',6618,1714,NULL,NULL,NULL,NULL,NULL,2,8),(28,7264682,0.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7264690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'JARDIM PROCÓPIO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7264704,0.00,4.00,4.00,1.00,5.00,5.25,2.00,4.00,4.00,999,NULL,NULL,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7264712,4.00,5.00,2.00,6.00,5.00,7.88,2.00,6.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7264720,0.00,3.00,2.00,7.00,2.00,NULL,0.00,3.00,0.00,404,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'MARIA GORETTI','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7264747,1.00,4.00,5.00,6.00,7.00,6.38,2.00,5.00,4.00,238,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',15570,258,NULL,248,NULL,NULL,NULL,2,1),(28,7264755,3.00,7.00,2.00,6.00,4.00,10.13,2.00,6.00,4.00,205,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13330,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7264763,1.00,4.00,3.00,4.00,4.00,7.88,1.00,2.00,1.00,208,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',19755,221,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264771,4.00,7.00,2.00,6.00,7.00,7.13,3.00,5.00,2.00,103,NULL,NULL,'PLANO DIRETOR SUL','PALMAS','TO',7380,1820,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264780,2.00,2.00,3.00,3.00,4.00,5.25,2.00,5.00,3.00,203,NULL,601,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7264798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM AMÉRICA','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7264801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'VILA ITOUPAVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7264828,5.00,8.00,1.00,7.00,7.00,8.63,3.00,6.00,5.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',5190,1520,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264844,1.00,6.00,2.00,7.00,7.00,12.00,3.00,7.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7363,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7264852,3.00,6.00,3.00,7.00,9.00,9.00,4.00,6.00,4.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',7947,69,NULL,NULL,NULL,NULL,NULL,4,1),(28,7264860,2.00,5.00,2.00,5.00,5.00,NULL,0.00,3.00,1.00,109,NULL,NULL,'AREAIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264879,2.00,4.00,2.00,2.00,3.00,6.75,1.00,4.00,1.00,551,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',18163,49,NULL,NULL,NULL,NULL,NULL,4,16),(28,7264887,5.00,7.00,4.00,6.00,9.00,7.13,3.00,5.00,7.00,103,NULL,NULL,'CENTRO','JABOTICABAL','SP',1934,870,NULL,NULL,NULL,NULL,NULL,4,1),(28,7264895,4.00,5.00,1.00,6.00,6.00,8.63,3.00,6.00,3.00,207,NULL,216,'ALTO ARROIO','IMBITUBA','SC',7821,357,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'MEDEIROS','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7264917,2.00,5.00,1.00,2.00,4.00,7.13,1.00,1.00,3.00,319,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',15839,307,NULL,NULL,NULL,NULL,NULL,4,1),(28,7264925,5.00,7.00,4.00,7.00,10.00,8.25,4.00,7.00,6.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',1543,759,NULL,NULL,NULL,NULL,NULL,4,1),(28,7264933,0.00,6.00,1.00,5.00,3.00,6.38,0.00,3.00,2.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7264968,1.00,4.00,1.00,2.00,5.00,7.88,0.00,4.00,2.00,233,NULL,202,'AREIAS','S JOSÉ','SC',19744,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264976,0.00,4.00,4.00,3.00,4.00,7.13,0.00,1.00,0.00,404,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',20005,78,NULL,NULL,NULL,NULL,NULL,2,1),(28,7264984,4.00,7.00,2.00,6.00,4.00,7.13,3.00,4.00,1.00,214,NULL,213,'CANASVIEIRAS','FLORIANÓPOLIS','SC',16067,331,NULL,249,NULL,NULL,NULL,4,1),(28,7264992,1.00,4.00,2.00,5.00,7.00,7.88,3.00,4.00,0.00,234,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',13002,28,NULL,NULL,NULL,NULL,NULL,2,1),(28,7265000,4.00,7.00,3.00,6.00,4.00,9.38,0.00,4.00,2.00,211,NULL,216,'ESTADOS','TIMBÓ','SC',9575,258,NULL,NULL,NULL,NULL,NULL,2,2),(28,7265018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,235,'JARDIM CHAMPAGNAT','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7265034,3.00,5.00,2.00,5.00,7.00,NULL,0.00,5.00,3.00,3,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7265042,0.00,2.00,1.00,2.00,3.00,NULL,1.00,1.00,1.00,339,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7265069,5.00,7.00,4.00,8.00,9.00,8.25,4.00,6.00,6.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',2185,75,NULL,155,NULL,NULL,NULL,4,1),(28,7265085,3.00,3.00,2.00,3.00,4.00,11.25,2.00,3.00,3.00,101,NULL,NULL,'FOJOCA','S PEDRO ALCÂNTARA','SC',15676,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7265093,1.00,4.00,1.00,4.00,4.00,7.88,0.00,3.00,1.00,109,NULL,NULL,'FUNDOS','BIGUAÇU','SC',16328,68,NULL,NULL,NULL,NULL,NULL,2,1),(28,7265107,2.00,7.00,0.00,2.00,8.00,7.88,2.00,4.00,6.00,102,NULL,NULL,'SANTA MARIA','S BONIFÁCIO','SC',8333,63,NULL,NULL,NULL,NULL,NULL,4,1),(28,7265115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7265123,4.00,7.00,3.00,7.00,6.00,7.88,4.00,6.00,3.00,655,NULL,235,'VILA BELLA','CAMPINAS','SP',7950,25,NULL,NULL,NULL,NULL,NULL,4,3),(28,7265140,2.00,6.00,2.00,5.00,7.00,6.00,3.00,4.00,4.00,3,NULL,NULL,'CENTRO','S BENTO SUL','SC',10511,44,NULL,NULL,NULL,NULL,NULL,4,8),(28,7265158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7265166,0.00,2.00,3.00,1.00,5.00,4.50,2.00,2.00,1.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19316,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7265174,3.00,7.00,5.00,6.00,8.00,10.88,5.00,6.00,6.00,5,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',2090,64,NULL,NULL,NULL,NULL,NULL,4,15),(28,7265182,1.00,6.00,2.00,5.00,9.00,12.00,1.00,6.00,1.00,441,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',7600,1,NULL,NULL,NULL,NULL,NULL,6,1),(28,7265190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SÃO CRISTOVÃO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7265204,1.00,5.00,2.00,7.00,5.00,6.00,2.00,3.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13952,386,NULL,NULL,NULL,NULL,NULL,4,1),(28,7265212,2.00,6.00,3.00,4.00,4.00,7.13,3.00,4.00,1.00,238,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',17992,315,NULL,992,NULL,NULL,NULL,4,1),(28,7265220,6.00,7.00,4.00,7.00,6.00,7.88,5.00,6.00,8.00,203,NULL,215,'VALE DO ITAMARACÁ','VALINHOS','SP',1269,117,NULL,2,NULL,NULL,NULL,1,1),(28,7265239,2.00,7.00,1.00,6.00,7.00,6.38,2.00,5.00,3.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',10375,2097,NULL,NULL,NULL,NULL,NULL,4,8),(28,7265247,3.00,6.00,1.00,8.00,2.00,NULL,2.00,7.00,4.00,501,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(28,7265263,5.00,6.00,1.00,7.00,3.00,7.88,2.00,4.00,2.00,316,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',16975,237,NULL,NULL,NULL,NULL,NULL,2,1),(28,7265271,2.00,5.00,3.00,6.00,5.00,7.13,4.00,5.00,3.00,208,NULL,NULL,'FAZENDA DE DENTRO','BIGUAÇU','SC',9232,100,NULL,NULL,NULL,NULL,NULL,2,1),(28,7265280,4.00,5.00,3.00,5.00,6.00,10.50,4.00,8.00,4.00,303,NULL,NULL,'IPIRANGA','S JOSÉ','SC',4039,189,NULL,NULL,NULL,NULL,NULL,2,1),(28,7265298,2.00,6.00,1.00,6.00,7.00,8.63,6.00,6.00,7.00,235,NULL,238,'FORQUILHINHAS','S JOSÉ','SC',4407,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7265328,1.00,3.00,4.00,4.00,3.00,9.00,0.00,2.00,1.00,207,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',19045,798,NULL,NULL,NULL,NULL,NULL,2,1),(28,7265344,3.00,5.00,1.00,6.00,8.00,6.75,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6409,1686,NULL,NULL,NULL,NULL,NULL,2,3),(28,7265352,0.00,2.00,1.00,1.00,4.00,7.13,1.00,3.00,2.00,552,NULL,NULL,'CENTRO','PERITIBA','SC',20129,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7265360,3.00,7.00,5.00,5.00,10.00,8.25,7.00,4.00,4.00,201,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',4603,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7265379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7265387,0.00,4.00,2.00,6.00,5.00,7.50,2.00,3.00,1.00,109,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16860,74,NULL,NULL,NULL,NULL,NULL,2,1),(28,7265395,1.00,6.00,3.00,7.00,2.00,NULL,1.00,6.00,1.00,207,NULL,201,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7265409,0.00,1.00,2.00,2.00,7.00,NULL,3.00,2.00,2.00,216,NULL,211,'RAIZEIRA','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7265417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'INTERIOR','GUATAMBÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7265425,0.00,3.00,1.00,7.00,7.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'MIRANTE','ITÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7265433,1.00,6.00,4.00,4.00,6.00,6.75,3.00,3.00,4.00,201,NULL,235,'COLONIA SANTANA','S JOSÉ','SC',11871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7265441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ARIRIU DA FORMIGA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7265476,6.00,8.00,4.00,4.00,9.00,9.75,3.00,8.00,6.00,103,NULL,NULL,'JARDIM MESQUITA','JACAREÍ','SP',1951,874,NULL,NULL,NULL,NULL,NULL,4,1),(28,7265492,1.00,8.00,1.00,7.00,7.00,9.75,5.00,6.00,3.00,108,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',6256,74,NULL,NULL,NULL,NULL,NULL,4,23),(28,7265522,4.00,6.00,4.00,7.00,8.00,11.63,4.00,4.00,6.00,214,NULL,213,'JARDIM SIMUS','SOROCABA','SP',2709,100,NULL,35,NULL,NULL,NULL,4,1),(28,7265530,3.00,5.00,1.00,6.00,3.00,7.13,4.00,5.00,3.00,318,NULL,NULL,'PARAISO','S PAULO','SP',16358,116,NULL,NULL,NULL,NULL,NULL,4,1),(28,7265549,0.00,6.00,2.00,5.00,3.00,NULL,2.00,4.00,2.00,319,NULL,NULL,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7265565,2.00,3.00,4.00,5.00,8.00,4.50,2.00,7.00,2.00,450,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',11423,92,NULL,NULL,NULL,NULL,NULL,4,24),(28,7265573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7265581,5.00,5.00,0.00,4.00,5.00,8.25,2.00,3.00,1.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',12866,11,NULL,NULL,NULL,NULL,NULL,4,16),(28,7265590,0.00,3.00,1.00,4.00,9.00,NULL,0.00,4.00,3.00,104,NULL,NULL,'CENTRO','S MIGUEL ARCANJO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7265603,3.00,6.00,3.00,5.00,4.00,7.13,0.00,5.00,6.00,336,NULL,NULL,'JD PRESIDENTE','MOGI GUAÇU','SP',8222,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7265611,3.00,8.00,3.00,4.00,6.00,6.00,3.00,7.00,2.00,202,NULL,211,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',14630,336,NULL,NULL,NULL,NULL,NULL,2,1),(28,7265620,0.00,4.00,1.00,0.00,5.00,NULL,3.00,4.00,3.00,551,NULL,NULL,'INTERIOR','FR ROGÉRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7265638,0.00,3.00,2.00,4.00,5.00,9.75,2.00,6.00,2.00,332,NULL,NULL,'COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC',14132,18,NULL,NULL,NULL,NULL,NULL,2,1),(28,7265646,3.00,5.00,2.00,6.00,6.00,8.63,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',15871,2396,NULL,NULL,NULL,NULL,NULL,2,10),(28,7265670,0.00,4.00,2.00,5.00,2.00,NULL,2.00,2.00,3.00,211,NULL,201,'JARDIM ULTRAMAR','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7265689,0.00,4.00,1.00,1.00,5.00,6.00,0.00,3.00,2.00,551,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',18540,58,NULL,NULL,NULL,NULL,NULL,2,16),(28,7265697,2.00,5.00,2.00,4.00,4.00,7.50,2.00,5.00,3.00,207,NULL,201,'DIVINA PROVIDÊNCIA','S LUDGERO','SC',13921,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7265700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PROFIPO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7265719,3.00,9.00,1.00,7.00,3.00,11.25,2.00,8.00,4.00,999,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7265727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7265735,2.00,4.00,1.00,5.00,5.00,8.25,1.00,3.00,2.00,454,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',15035,306,NULL,NULL,NULL,NULL,NULL,2,1),(28,7265743,1.00,5.00,1.00,4.00,4.00,4.50,1.00,5.00,2.00,999,NULL,NULL,'CENTRO','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7265751,2.00,7.00,3.00,7.00,7.00,10.50,4.00,7.00,5.00,103,NULL,NULL,'IMBAÚBAS','IPATINGA','MG',6062,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7265760,0.00,4.00,1.00,4.00,6.00,NULL,2.00,2.00,2.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7265778,2.00,3.00,2.00,2.00,4.00,7.50,3.00,3.00,2.00,207,NULL,220,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7265794,1.00,6.00,0.00,2.00,4.00,6.38,2.00,5.00,1.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16985,127,NULL,NULL,NULL,NULL,NULL,4,1),(28,7265808,0.00,4.00,2.00,2.00,4.00,4.50,3.00,2.00,2.00,216,NULL,215,'PASSO DOS FORTES','CHAPECÓ','SC',18084,444,NULL,284,NULL,NULL,NULL,4,4),(28,7265816,5.00,8.00,4.00,7.00,10.00,7.88,5.00,7.00,6.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',537,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7265824,1.00,6.00,1.00,6.00,9.00,7.50,5.00,6.00,4.00,201,NULL,216,'AMERICA','JOINVILLE','SC',6093,473,NULL,216,NULL,NULL,NULL,4,8),(28,7265832,2.00,6.00,4.00,5.00,5.00,6.75,4.00,4.00,6.00,220,NULL,203,'JARDIM ITAPEVA','S PAULO','SP',7311,198,NULL,443,NULL,NULL,NULL,4,1),(28,7265840,2.00,6.00,0.00,4.00,7.00,6.00,0.00,6.00,3.00,999,NULL,NULL,'SANTA CATARINA','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7265859,1.00,2.00,1.00,3.00,1.00,NULL,0.00,4.00,1.00,109,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7265867,5.00,7.00,3.00,5.00,8.00,8.25,4.00,6.00,6.00,202,NULL,238,'REAL PARQUE','S JOSÉ','SC',3605,104,NULL,20,NULL,NULL,NULL,4,1),(28,7265875,1.00,4.00,3.00,5.00,7.00,7.88,4.00,3.00,3.00,109,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',14156,49,NULL,NULL,NULL,NULL,NULL,2,1),(28,7265883,5.00,6.00,3.00,6.00,7.00,8.25,2.00,6.00,4.00,102,NULL,NULL,'CENTRO','NAVEGANTES','SC',8628,66,NULL,NULL,NULL,NULL,NULL,4,6),(28,7265891,0.00,5.00,0.00,4.00,5.00,7.50,2.00,3.00,4.00,653,NULL,NULL,'GOLDEN PARK','ARARANGUÁ','SC',18635,198,NULL,NULL,NULL,NULL,NULL,2,15),(28,7265905,2.00,8.00,1.00,6.00,3.00,7.88,4.00,6.00,5.00,999,NULL,NULL,'KOBRASOL S JOSE SC','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7265913,3.00,4.00,1.00,3.00,5.00,4.88,0.00,5.00,2.00,303,NULL,NULL,'CENTRO','MASSARANDUBA','SC',15151,533,NULL,NULL,NULL,NULL,NULL,4,23),(28,7265921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7265930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7265948,1.00,8.00,0.00,5.00,9.00,9.75,2.00,3.00,0.00,5,NULL,NULL,'CACCHOEIRA DO BOM JE','FLORIANÓPOLIS','SC',9868,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7265956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'REUNIDAS','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7265964,5.00,5.00,2.00,7.00,7.00,8.63,4.00,4.00,3.00,201,NULL,212,'BARREIROS','S JOSÉ','SC',6993,NULL,NULL,217,NULL,NULL,NULL,4,1),(28,7265972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM MEDITERRANEO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7265999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7266006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,235,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7266014,4.00,7.00,1.00,5.00,8.00,6.38,2.00,7.00,7.00,201,NULL,207,'MORRETES','ITAPEMA','SC',5781,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7266022,1.00,6.00,6.00,7.00,6.00,8.63,3.00,6.00,6.00,203,NULL,NULL,'SÃO MARTINHO','TUBARÃO','SC',3858,282,NULL,NULL,NULL,NULL,NULL,4,10),(28,7266030,1.00,4.00,1.00,1.00,6.00,7.50,1.00,2.00,2.00,208,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',17232,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7266049,0.00,3.00,0.00,1.00,2.00,NULL,1.00,2.00,0.00,551,NULL,NULL,'COHAB UM','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7266057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CENTRO','SUL BRASIL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7266073,3.00,7.00,1.00,6.00,6.00,9.00,3.00,4.00,3.00,415,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',10169,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7266081,3.00,8.00,3.00,7.00,7.00,6.00,3.00,4.00,5.00,655,NULL,653,'CENTRO','CRICIÚMA','SC',6584,19,NULL,NULL,NULL,NULL,NULL,2,5),(28,7266090,0.00,4.00,1.00,4.00,4.00,7.13,2.00,3.00,2.00,454,NULL,NULL,'CENTRO','MAJ VIEIRA','SC',17419,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7266103,4.00,5.00,1.00,4.00,4.00,9.75,4.00,4.00,3.00,454,NULL,NULL,'JD QUISISANA','POÇOS CALDAS','MG',16404,331,NULL,NULL,NULL,NULL,NULL,2,8),(28,7266120,5.00,4.00,1.00,3.00,7.00,5.25,3.00,6.00,1.00,215,NULL,NULL,'INTERIOR','IBICARÉ','SC',13795,232,NULL,NULL,NULL,NULL,NULL,2,4),(28,7266138,0.00,3.00,1.00,6.00,3.00,6.00,2.00,2.00,1.00,552,NULL,NULL,'BOSQUE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7266146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'LOTE SEIS','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7266162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'SÃO JOSÉ OPERÁRIO','STA IZABEL OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7266170,3.00,8.00,3.00,3.00,4.00,7.13,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',16413,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7266200,0.00,0.00,1.00,2.00,4.00,6.75,1.00,3.00,2.00,5,NULL,NULL,'VILA NOVA','IMBITUBA','SC',19642,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7266235,7.00,8.00,4.00,6.00,7.00,11.25,6.00,6.00,7.00,103,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',539,358,NULL,NULL,NULL,NULL,NULL,4,1),(28,7266243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,NULL,'ITAJUBA','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7266251,1.00,5.00,4.00,4.00,4.00,6.00,2.00,5.00,0.00,601,NULL,238,'COSTA E SILVA','JOINVILLE','SC',19169,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7266260,2.00,6.00,3.00,7.00,8.00,6.00,5.00,7.00,3.00,340,NULL,NULL,'ALTO DA LAPA','S PAULO','SP',7401,200,NULL,NULL,NULL,NULL,NULL,4,1),(28,7266278,4.00,4.00,1.00,6.00,5.00,5.25,4.00,5.00,7.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',12492,801,NULL,565,NULL,NULL,NULL,2,1),(28,7266294,1.00,8.00,2.00,4.00,7.00,7.13,1.00,4.00,2.00,318,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12124,85,NULL,NULL,NULL,NULL,NULL,4,1),(28,7266308,4.00,2.00,3.00,4.00,4.00,8.25,3.00,2.00,1.00,103,NULL,NULL,'SAVARIS','IPUMIRIM','SC',19064,2503,NULL,NULL,NULL,NULL,NULL,2,26),(28,7266316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7266324,3.00,6.00,1.00,4.00,9.00,9.38,3.00,5.00,5.00,310,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6086,12,NULL,NULL,NULL,NULL,NULL,2,1),(28,7266332,2.00,7.00,6.00,7.00,6.00,10.13,5.00,6.00,6.00,203,NULL,202,'CENTRO','JOINVILLE','SC',1835,160,NULL,50,NULL,NULL,NULL,4,8),(28,7266340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7266359,8.00,8.00,4.00,6.00,6.00,7.13,6.00,7.00,6.00,103,NULL,NULL,'JD DAS AMÉRICAS','CURITIBA','PR',1065,585,NULL,NULL,NULL,NULL,NULL,2,8),(28,7266367,1.00,3.00,2.00,4.00,6.00,4.50,0.00,2.00,2.00,652,NULL,655,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7266405,2.00,6.00,3.00,2.00,1.00,NULL,1.00,3.00,2.00,601,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7266413,2.00,6.00,2.00,5.00,5.00,7.13,3.00,3.00,2.00,444,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',14762,75,NULL,NULL,NULL,NULL,NULL,2,1),(28,7266448,0.00,2.00,2.00,6.00,6.00,6.38,0.00,5.00,1.00,327,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7266456,2.00,7.00,1.00,7.00,7.00,10.13,1.00,7.00,2.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',12102,460,NULL,NULL,NULL,NULL,NULL,4,10),(28,7266464,3.00,8.00,5.00,4.00,7.00,6.00,3.00,5.00,2.00,201,NULL,233,'LARANJEIRAS','RIO SUL','SC',8446,605,NULL,210,NULL,NULL,NULL,4,24),(28,7266472,3.00,5.00,3.00,2.00,7.00,6.75,4.00,4.00,4.00,108,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',10072,132,NULL,NULL,NULL,NULL,NULL,2,1),(28,7266480,0.00,5.00,1.00,4.00,5.00,6.75,2.00,4.00,1.00,201,NULL,655,'JOÃO BATISTA PILON','FR ROGÉRIO','SC',16669,951,NULL,102,NULL,NULL,NULL,2,16),(28,7266502,2.00,5.00,4.00,6.00,5.00,11.63,2.00,5.00,4.00,103,NULL,NULL,'JOSÉ MENINO','SANTOS','SP',7717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7266510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SÃO PAULO','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7266529,3.00,4.00,3.00,7.00,8.00,10.50,4.00,5.00,6.00,425,NULL,429,'BOSQUE','CURITIBANOS','SC',3606,3,NULL,NULL,NULL,NULL,NULL,4,16),(28,7266537,7.00,7.00,3.00,8.00,9.00,6.75,4.00,5.00,6.00,216,NULL,235,'FLORESTA','JOINVILLE','SC',5115,195,NULL,87,NULL,NULL,NULL,4,8),(28,7266545,1.00,7.00,3.00,7.00,7.00,9.75,4.00,7.00,4.00,104,NULL,NULL,'MORRETES','ITAPEMA','SC',6145,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7266553,0.00,3.00,1.00,3.00,4.00,6.00,1.00,1.00,2.00,302,NULL,NULL,'SANTA ISABEL','ÁGUAS MORNAS','SC',20140,149,NULL,NULL,NULL,NULL,NULL,1,1),(28,7266561,0.00,7.00,3.00,4.00,3.00,NULL,1.00,1.00,4.00,5,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7266570,4.00,6.00,2.00,6.00,7.00,10.88,0.00,3.00,2.00,601,NULL,213,'PETRÓPOLIS','JOINVILLE','SC',10663,304,NULL,NULL,NULL,NULL,NULL,4,8),(28,7266588,1.00,6.00,4.00,5.00,8.00,9.75,4.00,6.00,5.00,215,NULL,211,'CAPOEIRAS','FLORIANÓPOLIS','SC',9658,165,NULL,262,NULL,NULL,NULL,2,1),(28,7266596,0.00,2.00,3.00,3.00,2.00,NULL,0.00,3.00,3.00,301,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7266600,0.00,3.00,2.00,3.00,3.00,NULL,0.00,2.00,1.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7266618,1.00,3.00,4.00,3.00,6.00,8.25,0.00,4.00,1.00,303,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7266634,2.00,5.00,1.00,5.00,3.00,8.63,1.00,5.00,4.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',18300,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7266642,2.00,5.00,3.00,6.00,7.00,7.88,1.00,6.00,5.00,104,NULL,NULL,'JARDIM PAULISTA','OURINHOS','SP',9257,225,NULL,NULL,NULL,NULL,NULL,4,1),(28,7266650,1.00,5.00,3.00,6.00,8.00,11.25,4.00,6.00,6.00,454,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9435,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(28,7266669,5.00,7.00,2.00,4.00,7.00,7.13,6.00,5.00,3.00,9,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',6336,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7266677,0.00,3.00,1.00,6.00,4.00,8.25,2.00,6.00,2.00,201,NULL,203,'BARRA','BAL CAMBORIÚ','SC',18689,1020,NULL,696,NULL,NULL,NULL,4,6),(28,7266685,0.00,2.00,1.00,5.00,3.00,NULL,3.00,2.00,2.00,655,NULL,653,'VILA MANENTE','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7266693,0.00,4.00,2.00,6.00,3.00,9.38,3.00,2.00,2.00,207,NULL,201,'AREIAS','S JOSÉ','SC',18982,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7266707,4.00,7.00,2.00,4.00,6.00,7.50,7.00,5.00,5.00,216,NULL,233,'JARDIM COLONIAL','S JOSÉ CAMPOS','SP',4461,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7266723,5.00,6.00,2.00,7.00,7.00,10.88,5.00,4.00,6.00,216,NULL,233,'VILLAGE','IMBITUBA','SC',2720,97,NULL,62,NULL,NULL,NULL,4,10),(28,7266766,1.00,1.00,2.00,3.00,2.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'COSTA DO SOL','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7266774,0.00,4.00,1.00,6.00,2.00,NULL,1.00,2.00,2.00,234,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7266782,3.00,7.00,4.00,4.00,7.00,8.25,2.00,5.00,5.00,317,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',7583,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7266812,4.00,6.00,2.00,3.00,7.00,5.63,3.00,5.00,1.00,501,NULL,NULL,'BUDAG','RIO SUL','SC',11996,65,NULL,NULL,NULL,NULL,NULL,4,24),(28,7266820,5.00,7.00,1.00,7.00,9.00,7.13,3.00,6.00,5.00,999,NULL,NULL,'TESTO SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7266839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,424,'ALTO DA GLÓRIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7266847,3.00,8.00,4.00,7.00,9.00,8.25,6.00,8.00,6.00,103,NULL,NULL,'CENTRO','ARMAZÉM','SC',1600,776,NULL,NULL,NULL,NULL,NULL,2,10),(28,7266863,1.00,6.00,0.00,5.00,7.00,7.13,1.00,3.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7266871,0.00,4.00,3.00,5.00,5.00,7.13,2.00,1.00,2.00,109,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',17477,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7266880,5.00,7.00,1.00,7.00,5.00,5.25,6.00,4.00,4.00,454,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12218,241,NULL,NULL,NULL,NULL,NULL,4,1),(28,7266901,3.00,6.00,2.00,5.00,7.00,9.75,2.00,4.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13959,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7266910,0.00,5.00,1.00,6.00,2.00,NULL,2.00,3.00,1.00,101,NULL,NULL,'COSTA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7266928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7266936,4.00,5.00,1.00,5.00,4.00,8.25,1.00,3.00,3.00,503,NULL,NULL,'BARREIROS','S JOSÉ','SC',14050,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7266944,1.00,4.00,1.00,2.00,4.00,10.13,2.00,3.00,1.00,601,NULL,238,'CANOAS','BOM RETIRO','SC',15622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7266960,3.00,4.00,2.00,4.00,0.00,NULL,2.00,3.00,3.00,319,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7266979,0.00,4.00,1.00,4.00,5.00,7.88,1.00,4.00,2.00,212,NULL,207,'PONTA DE BAIXO','S JOSÉ','SC',16267,389,NULL,708,NULL,NULL,NULL,2,1),(28,7266987,4.00,8.00,1.00,5.00,7.00,11.63,5.00,7.00,4.00,211,NULL,215,'LOMBA ALTA','ALFREDO WAGNER','SC',3704,91,NULL,48,NULL,NULL,NULL,2,1),(28,7266995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SÃO BRÁS','BAL PIÇARRAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7267002,3.00,6.00,5.00,5.00,7.00,7.88,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5614,1581,NULL,NULL,NULL,NULL,NULL,4,4),(28,7267010,3.00,7.00,2.00,7.00,8.00,8.25,2.00,3.00,3.00,339,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',13474,12,NULL,NULL,NULL,NULL,NULL,2,1),(28,7267029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7267037,2.00,8.00,4.00,5.00,7.00,4.88,4.00,5.00,5.00,201,NULL,207,'PONTA DE BAIXO','S JOSÉ','SC',7366,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267045,3.00,5.00,3.00,6.00,5.00,6.75,5.00,4.00,3.00,404,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',9844,4,NULL,NULL,NULL,NULL,NULL,2,1),(28,7267053,3.00,8.00,2.00,7.00,10.00,7.50,3.00,6.00,2.00,654,NULL,NULL,'CENTRO','ARARANGUÁ','SC',5609,2,NULL,NULL,NULL,NULL,NULL,4,15),(28,7267061,1.00,5.00,3.00,4.00,4.00,6.00,1.00,4.00,1.00,101,NULL,NULL,'COSTA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7267070,3.00,8.00,3.00,6.00,7.00,10.50,0.00,6.00,3.00,215,NULL,212,'PARQUE DE EXPOSIÇÕES','CONCÓRDIA','SC',7215,113,NULL,224,NULL,NULL,NULL,2,26),(28,7267088,1.00,7.00,2.00,6.00,6.00,5.63,3.00,7.00,2.00,233,NULL,601,'CENTRO','CAPINZAL','SC',15501,315,NULL,458,NULL,NULL,NULL,4,1),(28,7267096,1.00,7.00,3.00,5.00,4.00,6.00,4.00,5.00,2.00,302,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',17537,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7267100,2.00,1.00,1.00,6.00,4.00,7.50,3.00,1.00,1.00,9,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',19756,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7267118,3.00,2.00,2.00,6.00,7.00,9.38,3.00,5.00,2.00,454,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15107,307,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267126,5.00,7.00,4.00,7.00,8.00,9.38,3.00,6.00,5.00,2,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2479,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267134,2.00,5.00,3.00,4.00,4.00,8.25,4.00,4.00,3.00,601,NULL,655,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',15366,451,NULL,88,NULL,NULL,NULL,4,1),(28,7267142,1.00,5.00,3.00,4.00,6.00,8.63,4.00,4.00,4.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',10183,132,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267169,2.00,6.00,3.00,6.00,10.00,10.13,2.00,4.00,3.00,104,NULL,NULL,'MINA BRASIL','CRICIÚMA','SC',6310,132,NULL,NULL,NULL,NULL,NULL,4,5),(28,7267177,1.00,2.00,2.00,3.00,2.00,NULL,1.00,4.00,2.00,201,NULL,203,'BOM PASTOR','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7267185,1.00,6.00,1.00,5.00,4.00,7.13,0.00,1.00,1.00,9,NULL,NULL,'CENTRO','LAGES','SC',17540,139,NULL,NULL,NULL,NULL,NULL,4,9),(28,7267193,2.00,8.00,4.00,6.00,10.00,7.88,5.00,6.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3272,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA XV','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7267231,0.00,4.00,3.00,6.00,3.00,6.00,2.00,3.00,3.00,316,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',16405,220,NULL,NULL,NULL,NULL,NULL,2,1),(28,7267240,4.00,6.00,1.00,6.00,7.00,11.25,3.00,4.00,6.00,340,NULL,NULL,'JARDIM BELA VISTA','CPO GRANDE','MS',4552,110,NULL,NULL,NULL,NULL,NULL,4,8),(28,7267258,1.00,8.00,1.00,3.00,4.00,8.25,3.00,4.00,3.00,238,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',17602,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CENTRO','S JOSÉ OURO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7267274,1.00,1.00,2.00,3.00,3.00,6.75,1.00,4.00,2.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',19957,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7267282,4.00,6.00,4.00,5.00,5.00,7.50,3.00,6.00,2.00,653,NULL,207,'JARDIM TOSCANA','GUARULHOS','SP',13660,149,NULL,NULL,NULL,NULL,NULL,4,8),(28,7267290,4.00,7.00,3.00,7.00,5.00,6.38,2.00,5.00,2.00,201,NULL,207,'SUMARE','RIO SUL','SC',14798,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7267312,5.00,8.00,3.00,6.00,7.00,9.38,3.00,7.00,6.00,208,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4570,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267320,5.00,7.00,4.00,6.00,7.00,8.63,4.00,8.00,3.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',3142,1166,NULL,NULL,NULL,NULL,NULL,2,8),(28,7267339,4.00,6.00,2.00,5.00,7.00,7.88,3.00,5.00,5.00,211,NULL,601,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',7254,205,NULL,160,NULL,NULL,NULL,4,1),(28,7267347,1.00,6.00,3.00,5.00,6.00,7.13,3.00,5.00,2.00,304,NULL,NULL,'GAMBOA','GAROPABA','SC',10699,77,NULL,NULL,NULL,NULL,NULL,2,1),(28,7267371,0.00,4.00,2.00,5.00,2.00,NULL,1.00,4.00,0.00,340,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7267380,3.00,7.00,3.00,7.00,7.00,8.25,3.00,3.00,2.00,201,NULL,207,'AMÉRICA','JOINVILLE','SC',8429,604,NULL,NULL,NULL,NULL,NULL,4,8),(28,7267398,3.00,0.00,1.00,5.00,4.00,NULL,1.00,1.00,2.00,207,NULL,201,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7267410,2.00,3.00,1.00,3.00,3.00,6.38,2.00,4.00,1.00,301,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',18536,251,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267428,3.00,7.00,3.00,6.00,5.00,9.00,3.00,4.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7503,332,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267436,1.00,7.00,0.00,7.00,10.00,9.00,2.00,5.00,5.00,5,NULL,NULL,'MARIA CÉU','CRICIÚMA','SC',6047,196,NULL,NULL,NULL,NULL,NULL,2,5),(28,7267444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'PALMAS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7267452,2.00,4.00,3.00,3.00,5.00,9.75,0.00,3.00,1.00,654,NULL,NULL,'INTERIOR','XAVANTINA','SC',16274,58,NULL,NULL,NULL,NULL,NULL,4,4),(28,7267460,1.00,3.00,2.00,3.00,5.00,8.63,2.00,3.00,2.00,319,NULL,NULL,'ZONA OESTE','BAL ARROIO SILVA','SC',16880,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7267487,4.00,8.00,6.00,6.00,8.00,6.75,5.00,4.00,6.00,220,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',3888,113,NULL,64,NULL,NULL,NULL,4,1),(28,7267495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BELA VISTA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7267509,1.00,2.00,2.00,4.00,3.00,3.00,2.00,2.00,2.00,103,NULL,NULL,'SÃO FRANCISCO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7267517,2.00,4.00,3.00,2.00,2.00,NULL,2.00,4.00,0.00,318,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267525,1.00,5.00,3.00,2.00,6.00,8.63,1.00,2.00,3.00,211,NULL,201,'SÃO CRISTOVÃO II','RIO PEDRAS','SP',12520,325,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267533,2.00,4.00,3.00,5.00,6.00,NULL,0.00,1.00,3.00,428,NULL,426,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7267541,0.00,4.00,3.00,4.00,2.00,NULL,0.00,5.00,2.00,208,NULL,NULL,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267550,4.00,7.00,4.00,7.00,7.00,11.25,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','CAÇADOR','SC',7010,1760,NULL,NULL,NULL,NULL,NULL,4,25),(28,7267568,1.00,3.00,0.00,3.00,4.00,6.75,0.00,0.00,0.00,316,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',18858,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267576,2.00,7.00,2.00,7.00,8.00,10.50,3.00,4.00,4.00,212,NULL,201,'BOSQUE','CURITIBANOS','SC',5732,186,NULL,443,NULL,NULL,NULL,4,16),(28,7267584,5.00,6.00,1.00,6.00,5.00,8.25,1.00,5.00,5.00,501,NULL,NULL,'PRAIA BRAVA','ITAJAÍ','SC',9294,38,NULL,NULL,NULL,NULL,NULL,4,3),(28,7267592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7267606,1.00,0.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,201,NULL,203,'BORTOLUZZI','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(28,7267614,2.00,4.00,1.00,4.00,5.00,4.88,1.00,3.00,2.00,201,NULL,207,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7267622,0.00,4.00,3.00,3.00,4.00,4.50,1.00,4.00,1.00,319,NULL,NULL,'SAO JOSE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7267630,2.00,4.00,2.00,3.00,3.00,5.63,2.00,4.00,1.00,502,NULL,NULL,'SERRARIA','S JOSÉ','SC',19724,68,NULL,NULL,NULL,NULL,NULL,2,1),(28,7267649,4.00,6.00,1.00,5.00,8.00,7.13,3.00,3.00,1.00,340,NULL,NULL,'JAGUARIBE','OSASCO','SP',10445,290,NULL,NULL,NULL,NULL,NULL,4,8),(28,7267657,2.00,7.00,3.00,5.00,6.00,8.25,4.00,3.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7375,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7267673,1.00,7.00,2.00,7.00,8.00,6.75,2.00,5.00,3.00,207,NULL,211,'DOM BOSCO','ITAJAÍ','SC',9888,458,NULL,268,NULL,NULL,NULL,4,6),(28,7267681,5.00,7.00,4.00,7.00,9.00,9.38,4.00,7.00,8.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',597,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267690,2.00,7.00,1.00,6.00,7.00,7.50,3.00,6.00,2.00,220,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',13517,300,NULL,226,NULL,NULL,NULL,4,1),(28,7267703,1.00,5.00,1.00,3.00,3.00,7.50,2.00,4.00,4.00,211,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',18897,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267711,4.00,7.00,3.00,6.00,9.00,8.25,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',3313,1207,NULL,NULL,NULL,NULL,NULL,4,7),(28,7267720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,215,'JOVIVA','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7267738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA INÊS','MACAPÁ','AP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7267746,4.00,7.00,1.00,6.00,7.00,8.63,4.00,6.00,5.00,104,NULL,NULL,'CENTRO','JAGUARUNA','SC',9334,227,NULL,NULL,NULL,NULL,NULL,4,10),(28,7267762,4.00,5.00,3.00,5.00,8.00,8.63,2.00,5.00,2.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',9259,515,NULL,242,NULL,NULL,NULL,2,1),(28,7267789,3.00,2.00,2.00,5.00,3.00,6.00,2.00,3.00,0.00,316,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',18436,270,NULL,NULL,NULL,NULL,NULL,2,1),(28,7267800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO PEDRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7267819,3.00,5.00,1.00,7.00,8.00,10.50,3.00,5.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7279,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'JARDIM DAS PALMEIRAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7267835,2.00,5.00,3.00,2.00,3.00,6.38,2.00,4.00,2.00,238,NULL,652,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'NOVA ITÁLIA','AURORA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7267851,2.00,6.00,3.00,4.00,8.00,9.00,2.00,4.00,4.00,102,NULL,NULL,'AMÉRICA','JOINVILLE','SC',7599,56,NULL,NULL,NULL,NULL,NULL,4,8),(28,7267860,0.00,3.00,2.00,5.00,1.00,NULL,3.00,3.00,1.00,203,NULL,201,'BRASILIA','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7267878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7267886,1.00,3.00,2.00,2.00,6.00,NULL,0.00,4.00,3.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267894,2.00,5.00,3.00,4.00,7.00,11.25,1.00,3.00,0.00,415,NULL,NULL,'HOSPITAL','PAPANDUVA','SC',10950,178,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267916,0.00,4.00,1.00,5.00,6.00,7.50,2.00,5.00,3.00,336,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',14108,71,NULL,NULL,NULL,NULL,NULL,2,1),(28,7267932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,653,'LOT MAMONAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7267940,5.00,8.00,2.00,5.00,9.00,NULL,3.00,7.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,6),(28,7267959,1.00,4.00,1.00,2.00,6.00,5.63,4.00,5.00,3.00,338,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',18549,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267967,1.00,4.00,3.00,5.00,5.00,6.75,4.00,5.00,3.00,552,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15802,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7267975,0.00,4.00,3.00,2.00,3.00,NULL,2.00,2.00,1.00,429,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7267991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7268009,1.00,2.00,4.00,3.00,4.00,5.25,0.00,4.00,3.00,501,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',19526,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7268025,4.00,7.00,3.00,6.00,8.00,10.13,4.00,5.00,7.00,216,NULL,201,'JARDIM SOFIA','JOINVILLE','SC',2545,85,NULL,185,NULL,NULL,NULL,4,8),(28,7268033,0.00,3.00,1.00,5.00,4.00,3.00,2.00,3.00,1.00,9,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7268041,2.00,6.00,2.00,7.00,6.00,9.38,4.00,5.00,4.00,202,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',6672,180,NULL,NULL,NULL,NULL,NULL,4,1),(28,7268050,0.00,4.00,3.00,4.00,4.00,NULL,2.00,4.00,3.00,102,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268068,3.00,8.00,5.00,4.00,7.00,7.50,3.00,8.00,6.00,203,NULL,216,'VILA INDUSTRIAL','LONDRINA','PR',3863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7268076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7268084,2.00,7.00,1.00,6.00,7.00,7.88,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',6927,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7268092,0.00,9.00,3.00,6.00,7.00,9.75,5.00,7.00,6.00,103,NULL,NULL,'CAMPESTRE','VIDAL RAMOS','SC',4099,1342,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268106,2.00,6.00,1.00,5.00,4.00,6.00,3.00,5.00,3.00,233,NULL,202,'LAGINHA','RIBEIRÃO PRETO','SP',10820,254,NULL,274,NULL,NULL,NULL,4,1),(28,7268114,0.00,6.00,4.00,4.00,5.00,6.75,3.00,3.00,1.00,203,NULL,201,'SCHRAMM','S BENTO SUL','SC',17314,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7268122,0.00,3.00,3.00,6.00,3.00,2.63,2.00,4.00,3.00,203,NULL,201,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268130,4.00,6.00,4.00,7.00,8.00,8.63,3.00,7.00,7.00,203,NULL,235,'JARDINS','ARACAJU','SE',4092,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7268149,1.00,3.00,1.00,5.00,5.00,6.00,2.00,2.00,1.00,423,NULL,427,'ESTREITO','FLORIANÓPOLIS','SC',18134,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268157,3.00,6.00,1.00,3.00,5.00,7.13,3.00,6.00,2.00,501,NULL,NULL,'INGLESSES','FLORIANÓPOLIS','SC',17511,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268165,3.00,7.00,3.00,5.00,7.00,7.88,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',9253,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7268173,1.00,4.00,3.00,5.00,6.00,7.50,3.00,5.00,4.00,301,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',13161,187,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7268190,1.00,7.00,1.00,6.00,5.00,6.38,2.00,7.00,2.00,339,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16999,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268203,4.00,6.00,3.00,5.00,7.00,8.63,3.00,4.00,4.00,103,NULL,NULL,'NOVA DIVINÉIA','PINHALZINHO','SC',12711,2246,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,601,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7268220,8.00,8.00,4.00,6.00,10.00,12.00,4.00,9.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',197,154,NULL,NULL,NULL,NULL,NULL,4,1),(28,7268238,1.00,0.00,4.00,1.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETRÓPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,9),(28,7268254,3.00,7.00,2.00,5.00,4.00,8.63,5.00,6.00,4.00,103,NULL,NULL,'CENTRO','CPO MOURÃO','PR',6199,1658,NULL,NULL,NULL,NULL,NULL,4,3),(28,7268262,3.00,7.00,2.00,5.00,5.00,7.13,3.00,4.00,6.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7268270,2.00,7.00,3.00,5.00,5.00,9.00,4.00,4.00,4.00,207,NULL,238,'BARREIROS','S JOSÉ','SC',7287,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7268289,1.00,1.00,3.00,7.00,4.00,7.13,3.00,4.00,2.00,999,NULL,NULL,'BUDAG','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7268297,6.00,8.00,6.00,7.00,7.00,11.25,4.00,7.00,8.00,103,NULL,NULL,'SANTO INACIO','CURITIBA','PR',438,307,NULL,NULL,NULL,NULL,NULL,4,8),(28,7268300,3.00,6.00,2.00,6.00,7.00,7.50,5.00,5.00,7.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',7973,NULL,NULL,242,NULL,NULL,NULL,2,1),(28,7268319,5.00,5.00,2.00,6.00,4.00,9.75,5.00,2.00,2.00,235,NULL,220,'CENTRO','CHARQUEADAS','RS',11410,186,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268327,2.00,6.00,1.00,5.00,7.00,7.50,2.00,4.00,2.00,501,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10690,49,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268335,3.00,8.00,4.00,7.00,1.00,NULL,2.00,5.00,2.00,203,NULL,214,'PORTAL DE DOURADOS','DOURADOS','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7268351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7268360,1.00,4.00,2.00,5.00,5.00,9.00,2.00,3.00,0.00,103,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',19075,2505,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268378,5.00,8.00,2.00,7.00,10.00,12.38,5.00,8.00,7.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',625,9,NULL,NULL,NULL,NULL,NULL,3,1),(28,7268394,1.00,3.00,4.00,2.00,3.00,6.75,2.00,2.00,1.00,655,NULL,652,'CENTRO','CRICIÚMA','SC',19906,143,NULL,105,NULL,NULL,NULL,4,5),(28,7268416,0.00,7.00,3.00,6.00,6.00,8.63,2.00,6.00,3.00,454,NULL,NULL,'VILA METALÚRGICA','STO ANDRÉ','SP',13811,276,NULL,NULL,NULL,NULL,NULL,4,8),(28,7268424,2.00,2.00,3.00,2.00,2.00,NULL,2.00,1.00,1.00,101,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7268432,2.00,4.00,2.00,3.00,3.00,NULL,0.00,2.00,1.00,652,NULL,238,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7268440,1.00,5.00,2.00,5.00,1.00,NULL,1.00,3.00,1.00,102,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7268459,1.00,6.00,4.00,7.00,7.00,6.00,1.00,4.00,2.00,211,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',12477,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268467,0.00,5.00,2.00,6.00,4.00,7.50,3.00,3.00,3.00,454,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',18264,375,NULL,NULL,NULL,NULL,NULL,4,1),(28,7268475,3.00,4.00,1.00,4.00,5.00,5.63,2.00,4.00,2.00,3,NULL,NULL,'JOÃO ZACCO','PLANALTO','PR',15738,77,NULL,NULL,NULL,NULL,NULL,2,27),(28,7268483,6.00,8.00,4.00,7.00,10.00,9.75,4.00,8.00,5.00,103,NULL,NULL,'JARDIM GUAPORE','MARINGÁ','PR',1062,583,NULL,NULL,NULL,NULL,NULL,4,8),(28,7268505,1.00,5.00,3.00,5.00,7.00,7.50,2.00,4.00,5.00,211,NULL,215,'CENTRO','TIJUCAS','SC',15665,389,NULL,254,NULL,NULL,NULL,2,1),(28,7268513,0.00,4.00,3.00,5.00,5.00,NULL,2.00,4.00,2.00,102,NULL,NULL,'NOVA GALÍCIA','MAJ GERCINO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268521,2.00,4.00,0.00,4.00,4.00,6.38,2.00,3.00,2.00,551,NULL,NULL,'INTERIOR','CURITIBANOS','SC',17416,42,NULL,NULL,NULL,NULL,NULL,2,16),(28,7268530,5.00,7.00,2.00,5.00,7.00,7.13,2.00,6.00,4.00,501,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5963,13,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268548,5.00,5.00,2.00,7.00,7.00,7.13,4.00,4.00,3.00,316,NULL,NULL,'BELA VISTA','S JOSÉ','SC',12788,143,NULL,NULL,NULL,NULL,NULL,4,1),(28,7268556,2.00,3.00,2.00,5.00,7.00,9.75,4.00,3.00,4.00,203,NULL,216,'CENTRO','CRICIÚMA','SC',9569,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7268564,0.00,3.00,1.00,3.00,3.00,6.00,1.00,3.00,1.00,552,NULL,NULL,'QUILOMBO','QUILOMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7268580,4.00,6.00,2.00,6.00,8.00,7.13,2.00,4.00,4.00,454,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',7341,119,NULL,NULL,NULL,NULL,NULL,4,3),(28,7268599,0.00,4.00,2.00,5.00,3.00,NULL,0.00,5.00,3.00,5,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7268629,0.00,7.00,1.00,6.00,5.00,NULL,1.00,5.00,3.00,999,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(28,7268637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'VILA ROSÁLIA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7268645,1.00,6.00,2.00,6.00,6.00,7.13,3.00,3.00,6.00,233,NULL,601,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7268653,3.00,5.00,2.00,7.00,7.00,8.25,3.00,5.00,3.00,212,NULL,215,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8842,267,NULL,154,NULL,NULL,NULL,2,1),(28,7268661,4.00,7.00,5.00,6.00,8.00,7.50,6.00,6.00,5.00,201,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',6419,494,NULL,200,NULL,NULL,NULL,4,1),(28,7268670,1.00,1.00,3.00,3.00,3.00,7.88,2.00,3.00,1.00,552,NULL,NULL,'BOSQUE','CURITIBANOS','SC',19995,153,NULL,NULL,NULL,NULL,NULL,2,16),(28,7268696,1.00,4.00,4.00,6.00,3.00,6.38,2.00,3.00,1.00,208,NULL,NULL,'BARREIROS','S JOSÉ','SC',15507,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268700,3.00,3.00,3.00,7.00,8.00,10.13,2.00,4.00,5.00,303,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',9319,385,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268718,2.00,6.00,0.00,4.00,8.00,11.25,2.00,5.00,3.00,223,NULL,NULL,'ESTRELA','S MIGUEL OESTE','SC',9567,8,NULL,NULL,NULL,NULL,NULL,4,27),(28,7268742,2.00,7.00,4.00,6.00,7.00,7.13,3.00,5.00,5.00,318,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',6390,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268750,2.00,4.00,3.00,4.00,5.00,5.63,1.00,2.00,4.00,211,NULL,215,'ALTO ARROIO','IMBITUBA','SC',19423,429,NULL,298,NULL,NULL,NULL,2,1),(28,7268769,2.00,3.00,1.00,2.00,3.00,5.63,2.00,5.00,2.00,425,NULL,427,'TRINDADE','FLORIANÓPOLIS','SC',19637,NULL,NULL,26,NULL,NULL,NULL,4,1),(28,7268777,0.00,2.00,1.00,2.00,4.00,6.75,1.00,2.00,2.00,329,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7268785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,423,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7268793,1.00,3.00,3.00,4.00,5.00,9.00,2.00,3.00,4.00,108,NULL,NULL,'NOVA GALÍCIA','MAJ GERCINO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268815,4.00,8.00,3.00,6.00,10.00,10.13,4.00,7.00,6.00,103,NULL,NULL,'QUARTA LINHA','CRICIÚMA','SC',1163,624,NULL,NULL,NULL,NULL,NULL,4,5),(28,7268823,3.00,7.00,3.00,6.00,6.00,7.88,6.00,6.00,6.00,320,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8432,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7268831,1.00,7.00,1.00,4.00,5.00,7.50,1.00,2.00,2.00,104,NULL,NULL,'JD SÃO MIGUEL','BIGUAÇU','SC',16086,396,NULL,NULL,NULL,NULL,NULL,4,1),(28,7268840,3.00,6.00,1.00,2.00,6.00,5.25,2.00,3.00,1.00,233,NULL,220,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268858,0.00,5.00,2.00,6.00,5.00,6.75,1.00,5.00,4.00,319,NULL,NULL,'ESQUINA','URUBICI','SC',12993,241,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268866,1.00,5.00,1.00,5.00,4.00,7.88,2.00,3.00,3.00,301,NULL,NULL,'CENTRO','S SEBASTIÃO CAÍ','RS',14308,205,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268874,1.00,7.00,1.00,5.00,8.00,9.38,3.00,8.00,3.00,303,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',6642,299,NULL,NULL,NULL,NULL,NULL,4,1),(28,7268882,6.00,7.00,4.00,6.00,8.00,7.50,4.00,7.00,8.00,108,NULL,NULL,'MONTE BELO','STA RITA SAPUCAÍ','MG',1198,3,NULL,NULL,NULL,NULL,NULL,4,8),(28,7268890,0.00,4.00,1.00,5.00,6.00,6.75,2.00,2.00,0.00,340,NULL,NULL,'ESTADOS','BAL CAMBORIÚ','SC',16221,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7268904,0.00,6.00,0.00,0.00,0.00,NULL,2.00,3.00,2.00,302,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(28,7268912,2.00,7.00,6.00,7.00,9.00,8.63,4.00,6.00,5.00,103,NULL,NULL,'PONTE DE IMARUIM','PALHOÇA','SC',2957,1126,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268920,1.00,4.00,3.00,6.00,9.00,9.00,1.00,1.00,2.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',11473,50,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268947,0.00,7.00,3.00,8.00,10.00,11.25,4.00,7.00,2.00,415,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',3502,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7268955,1.00,8.00,3.00,6.00,8.00,7.50,3.00,6.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7840,1874,NULL,NULL,NULL,NULL,NULL,4,1),(28,7268963,1.00,5.00,5.00,4.00,4.00,7.88,1.00,3.00,3.00,326,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',17848,53,NULL,NULL,NULL,NULL,NULL,2,1),(28,7268971,2.00,5.00,1.00,6.00,8.00,9.38,2.00,6.00,0.00,415,NULL,NULL,'VILA MADALENA','S PAULO','SP',15026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7268980,1.00,5.00,3.00,2.00,2.00,NULL,2.00,3.00,2.00,238,NULL,202,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7268998,0.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269005,0.00,4.00,3.00,6.00,6.00,5.25,4.00,5.00,2.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15169,80,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269013,1.00,5.00,2.00,6.00,4.00,8.25,0.00,2.00,3.00,301,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',14590,208,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269021,1.00,6.00,2.00,4.00,7.00,6.00,3.00,5.00,4.00,104,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',10623,257,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269030,4.00,6.00,1.00,7.00,10.00,8.25,5.00,6.00,6.00,103,NULL,NULL,'MORADA DO SOL','TRÊS CORAÇÕES','MG',3245,1192,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269048,5.00,7.00,3.00,8.00,6.00,9.38,3.00,7.00,5.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',3930,13,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269056,1.00,4.00,1.00,4.00,5.00,5.63,3.00,5.00,5.00,9,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',18159,148,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269064,0.00,1.00,0.00,0.00,1.00,NULL,0.00,0.00,1.00,207,NULL,NULL,'VILA NOVA','MATELÂNDIA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269072,2.00,2.00,1.00,1.00,3.00,4.50,1.00,1.00,1.00,319,NULL,NULL,'RIA CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269080,4.00,6.00,3.00,5.00,8.00,5.63,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','VERA C OESTE','PR',4754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269099,1.00,6.00,3.00,4.00,8.00,8.63,2.00,4.00,3.00,109,NULL,NULL,'RIO SALTO','ÁGUAS MORNAS','SC',8788,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269102,0.00,5.00,0.00,7.00,5.00,NULL,0.00,5.00,0.00,310,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269110,1.00,6.00,1.00,5.00,9.00,7.50,3.00,5.00,3.00,238,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',10007,138,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269145,3.00,6.00,3.00,6.00,8.00,8.63,3.00,7.00,4.00,214,NULL,213,'SANTA BARBARA','CRICIÚMA','SC',4061,NULL,NULL,57,NULL,NULL,NULL,2,5),(28,7269153,1.00,4.00,3.00,7.00,6.00,7.13,2.00,3.00,2.00,201,NULL,202,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15045,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SANTO ANTÔNIO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7269170,4.00,6.00,2.00,1.00,8.00,9.38,2.00,4.00,5.00,103,NULL,NULL,'RIO CAFE','RIO FORTUNA','SC',9082,2004,NULL,NULL,NULL,NULL,NULL,4,10),(28,7269196,3.00,6.00,3.00,5.00,4.00,5.63,3.00,6.00,3.00,5,NULL,NULL,'JARDIM EUROPA','BELO HORIZONTE','MG',15380,416,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269200,6.00,8.00,4.00,6.00,9.00,9.75,5.00,7.00,6.00,201,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',997,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269218,2.00,7.00,1.00,5.00,4.00,9.38,2.00,5.00,4.00,999,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7269226,3.00,6.00,2.00,2.00,5.00,9.00,3.00,5.00,6.00,203,NULL,653,'POMPÉIA','S PAULO','SP',5397,361,NULL,47,NULL,NULL,NULL,6,8),(28,7269234,5.00,6.00,5.00,5.00,5.00,8.25,5.00,7.00,5.00,214,NULL,NULL,'COIMBRA','GOIÂNIA','GO',2447,88,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269250,4.00,3.00,2.00,3.00,6.00,6.75,1.00,5.00,5.00,601,NULL,211,'FLORESTA','JOINVILLE','SC',13025,395,NULL,334,NULL,NULL,NULL,4,8),(28,7269269,7.00,8.00,6.00,6.00,8.00,12.38,6.00,7.00,7.00,103,NULL,NULL,'SETOR JAÓ','GOIÂNIA','GO',65,53,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269277,4.00,6.00,2.00,3.00,5.00,4.88,3.00,6.00,3.00,201,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',13238,841,NULL,214,NULL,NULL,NULL,4,1),(28,7269293,2.00,8.00,1.00,7.00,7.00,11.25,0.00,8.00,3.00,999,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269307,3.00,7.00,2.00,6.00,5.00,5.25,2.00,3.00,4.00,103,NULL,NULL,'MORRO DA BOA VISTA','BIGUAÇU','SC',14012,2301,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7269323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,235,'PARQUE ALVORADA','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7269331,0.00,3.00,1.00,4.00,4.00,NULL,0.00,4.00,1.00,319,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269340,0.00,1.00,3.00,5.00,6.00,6.38,2.00,1.00,2.00,451,NULL,NULL,'MINEIRA NOVA','CRICIÚMA','SC',17117,41,NULL,NULL,NULL,NULL,NULL,2,5),(28,7269358,7.00,8.00,4.00,6.00,7.00,8.25,3.00,7.00,6.00,103,NULL,NULL,'BATEL','CURITIBA','PR',1700,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7269366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,655,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7269382,7.00,8.00,0.00,7.00,8.00,8.25,4.00,6.00,7.00,103,NULL,NULL,'LIBERDADE','ARAÇATUBA','SP',1954,875,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269390,8.00,8.00,6.00,7.00,10.00,12.00,6.00,9.00,8.00,103,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',23,20,NULL,NULL,NULL,NULL,NULL,4,15),(28,7269404,3.00,8.00,1.00,7.00,6.00,7.50,2.00,5.00,4.00,999,NULL,NULL,'COHAB II','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269420,1.00,2.00,2.00,2.00,0.00,NULL,1.00,1.00,2.00,423,NULL,427,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269439,4.00,4.00,2.00,1.00,7.00,7.50,0.00,6.00,3.00,331,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',14153,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269447,6.00,8.00,2.00,6.00,9.00,9.75,5.00,8.00,6.00,201,NULL,215,'CANASVIEIRAS','FLORIANÓPOLIS','SC',1053,50,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269455,6.00,8.00,3.00,7.00,10.00,10.13,6.00,7.00,7.00,103,NULL,NULL,'JARDIM PINHEIROS','S PAULO','SP',315,236,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269471,1.00,5.00,3.00,7.00,5.00,6.38,2.00,4.00,3.00,211,NULL,207,'IBIRAQUERA','IMBITUBA','SC',12558,326,NULL,567,NULL,NULL,NULL,2,1),(28,7269480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7269498,2.00,4.00,1.00,4.00,6.00,4.88,2.00,4.00,4.00,652,NULL,653,'CENTRO','TURVO','SC',17891,88,NULL,NULL,NULL,NULL,NULL,2,15),(28,7269501,2.00,6.00,2.00,4.00,4.00,5.63,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',12519,2237,NULL,NULL,NULL,NULL,NULL,4,3),(28,7269510,0.00,5.00,3.00,6.00,6.00,7.88,3.00,4.00,3.00,208,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10949,117,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269528,4.00,8.00,3.00,4.00,10.00,9.38,4.00,7.00,4.00,303,NULL,NULL,'PROGRESSO','BLUMENAU','SC',2642,113,NULL,NULL,NULL,NULL,NULL,4,2),(28,7269536,1.00,4.00,3.00,6.00,3.00,6.75,2.00,2.00,2.00,601,NULL,201,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',15496,457,NULL,NULL,NULL,NULL,NULL,2,23),(28,7269544,7.00,7.00,4.00,6.00,10.00,6.00,7.00,8.00,6.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',703,26,NULL,NULL,NULL,NULL,NULL,2,5),(28,7269552,7.00,7.00,4.00,7.00,9.00,8.63,4.00,6.00,5.00,415,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',1259,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269560,2.00,7.00,5.00,2.00,6.00,5.25,3.00,6.00,5.00,220,NULL,213,'CAMOBI','STA MARIA','RS',8043,212,NULL,139,NULL,NULL,NULL,4,4),(28,7269579,2.00,6.00,3.00,6.00,5.00,7.13,2.00,5.00,2.00,316,NULL,NULL,'JARDIM MARCOS ANTONI','BIGUAÇU','SC',12676,138,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269595,0.00,3.00,1.00,5.00,4.00,7.50,0.00,2.00,1.00,655,NULL,652,'COLONINHA','ARARANGUÁ','SC',18843,122,NULL,96,NULL,NULL,NULL,2,15),(28,7269609,1.00,3.00,1.00,4.00,5.00,7.13,1.00,4.00,1.00,234,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269625,2.00,3.00,1.00,3.00,5.00,9.38,5.00,4.00,3.00,304,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13382,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'EXPOSIÇÃO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7269650,2.00,5.00,3.00,5.00,6.00,7.50,2.00,3.00,3.00,234,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12045,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269668,6.00,8.00,3.00,8.00,10.00,10.50,4.00,7.00,4.00,207,NULL,601,'COSTA E SILVA','JOINVILLE','SC',1904,61,NULL,17,NULL,NULL,NULL,4,8),(28,7269676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ARISTOCRATA','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7269684,6.00,8.00,3.00,6.00,7.00,9.75,3.00,7.00,6.00,103,NULL,NULL,'ALTO DAS PALMEIRAS','CANOINHAS','SC',1590,771,NULL,NULL,NULL,NULL,NULL,2,6),(28,7269692,2.00,8.00,1.00,7.00,5.00,10.50,5.00,3.00,3.00,999,NULL,NULL,'ASSUNÇAO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7269706,2.00,5.00,3.00,5.00,6.00,6.38,3.00,6.00,3.00,103,NULL,NULL,'PAGANI','PALHOÇA','SC',12735,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269714,1.00,6.00,1.00,7.00,3.00,7.50,3.00,5.00,4.00,302,NULL,NULL,'SANTA TEREZA','S PEDRO ALCÂNTARA','SC',13495,87,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,235,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7269730,4.00,2.00,1.00,5.00,4.00,7.13,1.00,1.00,1.00,102,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',18090,168,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269749,0.00,4.00,1.00,6.00,4.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'CACHOEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269757,1.00,4.00,1.00,2.00,4.00,9.00,2.00,3.00,2.00,109,NULL,NULL,'SÃO SEBASTIAO','PALHOÇA','SC',19614,94,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269773,1.00,7.00,1.00,4.00,3.00,6.00,0.00,5.00,3.00,999,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269781,5.00,7.00,4.00,7.00,8.00,12.75,6.00,5.00,6.00,103,NULL,NULL,'MOSSUNGUÊ','CURITIBA','PR',1018,561,NULL,NULL,NULL,NULL,NULL,4,24),(28,7269790,2.00,5.00,2.00,2.00,5.00,6.00,2.00,4.00,1.00,207,NULL,NULL,'TRIANGULO','LAGES','SC',19386,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7269803,2.00,5.00,0.00,7.00,7.00,8.25,1.00,6.00,1.00,340,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',11162,312,NULL,NULL,NULL,NULL,NULL,4,23),(28,7269811,1.00,6.00,1.00,5.00,7.00,NULL,0.00,6.00,2.00,552,NULL,NULL,'SÃO FRANCISCO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7269820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARISTA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7269838,3.00,6.00,3.00,7.00,9.00,9.38,7.00,5.00,5.00,203,NULL,214,'JOAO PAULO','FLORIANÓPOLIS','SC',1857,162,NULL,59,NULL,NULL,NULL,4,1),(28,7269854,5.00,8.00,2.00,7.00,7.00,7.88,4.00,8.00,5.00,233,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4890,130,NULL,NULL,NULL,NULL,NULL,1,1),(28,7269862,4.00,8.00,5.00,6.00,6.00,11.25,5.00,6.00,7.00,207,NULL,201,'BOSQUE DE B GERALDO','CAMPINAS','SP',1670,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269889,0.00,6.00,0.00,5.00,4.00,NULL,1.00,4.00,4.00,328,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269897,0.00,5.00,3.00,5.00,3.00,NULL,1.00,3.00,3.00,331,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269900,1.00,6.00,1.00,2.00,2.00,NULL,2.00,5.00,2.00,501,NULL,NULL,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7269919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7269927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7269935,2.00,6.00,2.00,6.00,3.00,6.75,2.00,6.00,5.00,601,NULL,201,'NOVA BRASILIA','JARAGUÁ SUL','SC',11269,332,NULL,NULL,NULL,NULL,NULL,2,23),(28,7269943,3.00,7.00,0.00,5.00,4.00,9.38,1.00,5.00,5.00,202,NULL,601,'SAGRADO C DE JESUS','LAGES','SC',9795,249,NULL,266,NULL,NULL,NULL,4,9),(28,7269960,0.00,4.00,0.00,5.00,3.00,NULL,0.00,4.00,2.00,211,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7269978,1.00,6.00,1.00,6.00,4.00,8.63,1.00,4.00,1.00,101,NULL,NULL,'CENTRO','S PEDRO ALCÂNTARA','SC',18519,123,NULL,NULL,NULL,NULL,NULL,2,1),(28,7269986,7.00,6.00,4.00,7.00,7.00,8.25,7.00,5.00,6.00,201,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',1887,119,NULL,51,NULL,NULL,NULL,4,1),(28,7270003,4.00,7.00,0.00,7.00,9.00,9.38,3.00,7.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5322,175,NULL,NULL,NULL,NULL,NULL,2,1),(28,7270011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7270020,1.00,2.00,2.00,3.00,6.00,9.38,4.00,5.00,3.00,201,NULL,207,'CENTRO','LAGES','SC',12423,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7270038,4.00,7.00,1.00,7.00,6.00,5.63,3.00,6.00,3.00,216,NULL,202,'VL RAFAEL OLIVEIRA','JUNDIAÍ','SP',7562,259,NULL,201,NULL,NULL,NULL,4,1),(28,7270046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'NOSSA SEN DE FÁTIMA','TAQUARA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7270054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'LENÇOL','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7270062,2.00,7.00,3.00,2.00,8.00,10.13,2.00,5.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5957,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7270070,2.00,0.00,3.00,3.00,3.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7270089,2.00,8.00,3.00,5.00,4.00,9.00,3.00,7.00,3.00,103,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',8562,1957,NULL,NULL,NULL,NULL,NULL,4,1),(28,7270097,0.00,5.00,2.00,2.00,3.00,NULL,0.00,4.00,3.00,551,NULL,NULL,'INTERIOR','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7270100,1.00,5.00,1.00,4.00,5.00,6.75,0.00,2.00,2.00,9,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',18077,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7270119,0.00,4.00,1.00,4.00,6.00,8.25,1.00,3.00,1.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',19548,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7270135,2.00,4.00,0.00,4.00,4.00,8.25,3.00,2.00,4.00,319,NULL,NULL,'PARQUE DELTA','S CARLOS','SP',14319,274,NULL,NULL,NULL,NULL,NULL,2,1),(28,7270143,0.00,3.00,3.00,6.00,5.00,7.13,2.00,4.00,2.00,415,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',15881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7270160,1.00,7.00,2.00,5.00,4.00,8.63,0.00,6.00,1.00,303,NULL,NULL,'BELA VISTA','PALHOÇA','SC',17238,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7270178,3.00,7.00,2.00,7.00,4.00,9.75,1.00,5.00,2.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',15513,2377,NULL,NULL,NULL,NULL,NULL,2,1),(28,7270194,0.00,3.00,2.00,5.00,5.00,NULL,2.00,3.00,1.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7270216,2.00,6.00,3.00,6.00,7.00,10.88,5.00,5.00,6.00,207,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',5777,261,NULL,451,NULL,NULL,NULL,2,1),(28,7270224,2.00,7.00,2.00,7.00,7.00,10.13,4.00,3.00,3.00,103,NULL,NULL,'BARRACÃO','GASPAR','SC',6109,1644,NULL,NULL,NULL,NULL,NULL,2,2),(28,7270232,1.00,3.00,1.00,5.00,6.00,8.63,3.00,4.00,0.00,454,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7270240,5.00,7.00,3.00,5.00,10.00,11.25,3.00,6.00,7.00,103,NULL,NULL,'CENTRO','CEL FREITAS','SC',1594,774,NULL,NULL,NULL,NULL,NULL,4,4),(28,7270259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7270267,1.00,3.00,4.00,3.00,1.00,NULL,0.00,3.00,0.00,233,NULL,211,'RAUU','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7270275,1.00,6.00,2.00,3.00,4.00,4.50,3.00,5.00,2.00,501,NULL,NULL,'CENTRO','PTO UNIÃO','SC',19023,124,NULL,NULL,NULL,NULL,NULL,2,17),(28,7270283,3.00,7.00,1.00,5.00,4.00,9.75,4.00,6.00,4.00,225,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12899,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7270305,1.00,3.00,3.00,6.00,6.00,9.00,0.00,4.00,1.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7270321,0.00,3.00,3.00,5.00,3.00,7.13,0.00,2.00,2.00,208,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18513,206,NULL,NULL,NULL,NULL,NULL,2,1),(28,7270330,0.00,6.00,3.00,4.00,6.00,6.38,1.00,2.00,1.00,211,NULL,233,'FUNDOS','BIGUAÇU','SC',17001,406,NULL,333,NULL,NULL,NULL,2,1),(28,7270348,1.00,6.00,3.00,5.00,2.00,NULL,0.00,5.00,1.00,340,NULL,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7270356,4.00,7.00,4.00,5.00,10.00,9.75,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',2337,972,NULL,NULL,NULL,NULL,NULL,4,3),(28,7270364,0.00,7.00,2.00,5.00,5.00,8.25,3.00,5.00,1.00,211,NULL,601,'CENTRO','SIDERÓPOLIS','SC',17054,407,NULL,493,NULL,NULL,NULL,4,5),(28,7270372,4.00,7.00,2.00,1.00,2.00,NULL,1.00,5.00,3.00,235,NULL,653,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7270380,2.00,7.00,3.00,6.00,4.00,8.25,4.00,6.00,4.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',7293,225,NULL,NULL,NULL,NULL,NULL,2,1),(28,7270399,0.00,4.00,3.00,3.00,3.00,8.25,2.00,5.00,3.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',15838,205,NULL,NULL,NULL,NULL,NULL,4,1),(28,7270402,5.00,6.00,2.00,6.00,6.00,5.63,3.00,4.00,2.00,552,NULL,NULL,'KOBRASOL','S JOSÉ','SC',12593,61,NULL,NULL,NULL,NULL,NULL,2,1),(28,7270410,3.00,7.00,1.00,7.00,10.00,9.38,2.00,5.00,4.00,415,NULL,NULL,'CHÁCARAS DO VALE','MOCOCA','SP',5904,91,NULL,NULL,NULL,NULL,NULL,4,1),(28,7270429,4.00,7.00,3.00,5.00,8.00,10.88,6.00,5.00,6.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',2341,974,NULL,NULL,NULL,NULL,NULL,4,1),(28,7270437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7270453,1.00,6.00,3.00,7.00,6.00,7.50,4.00,6.00,3.00,220,NULL,601,'CZERNIEWICZ','JARAGUÁ SUL','SC',7597,NULL,NULL,178,NULL,NULL,NULL,4,23),(28,7270461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7270470,2.00,4.00,2.00,4.00,7.00,7.88,7.00,5.00,4.00,201,NULL,211,'GARCIA','BLUMENAU','SC',8558,612,NULL,230,NULL,NULL,NULL,4,2),(28,7270488,0.00,4.00,1.00,1.00,2.00,NULL,2.00,3.00,1.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7270496,7.00,8.00,7.00,7.00,10.00,9.38,5.00,6.00,7.00,203,NULL,220,'VILA FORMOSA','BLUMENAU','SC',165,19,NULL,NULL,NULL,NULL,NULL,4,2),(28,7270500,2.00,5.00,2.00,5.00,8.00,6.75,1.00,5.00,3.00,103,NULL,NULL,'BATEL','CURITIBA','PR',14140,2311,NULL,NULL,NULL,NULL,NULL,2,8),(28,7270518,5.00,7.00,1.00,6.00,8.00,9.00,3.00,5.00,6.00,207,NULL,NULL,'KOBRASOL','S JOSÉ','SC',4872,205,NULL,NULL,NULL,NULL,NULL,4,1),(28,7270534,2.00,5.00,3.00,5.00,4.00,9.75,2.00,4.00,2.00,223,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',17856,39,NULL,NULL,NULL,NULL,NULL,2,1),(28,7270542,4.00,5.00,2.00,6.00,7.00,8.25,6.00,3.00,2.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8022,140,NULL,NULL,NULL,NULL,NULL,4,1),(28,7270550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7270569,2.00,4.00,3.00,4.00,2.00,NULL,1.00,3.00,5.00,103,NULL,NULL,'LINHA SÃO PEDRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7270577,1.00,3.00,1.00,2.00,2.00,NULL,4.00,4.00,1.00,201,NULL,NULL,'CENTRO','NOVA ERECHIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7270585,3.00,5.00,1.00,6.00,3.00,7.50,3.00,2.00,1.00,103,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',15647,2385,NULL,NULL,NULL,NULL,NULL,2,2),(28,7270607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTÃO','LAURO FREITAS','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7270623,1.00,8.00,2.00,7.00,7.00,7.13,2.00,5.00,2.00,303,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',8743,365,NULL,NULL,NULL,NULL,NULL,4,5),(28,7270631,6.00,7.00,3.00,6.00,8.00,8.25,5.00,6.00,5.00,103,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',2995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7270640,2.00,6.00,1.00,6.00,4.00,8.25,1.00,4.00,2.00,109,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',12644,40,NULL,NULL,NULL,NULL,NULL,2,10),(28,7270658,2.00,7.00,2.00,5.00,6.00,9.75,4.00,6.00,4.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6280,130,NULL,NULL,NULL,NULL,NULL,4,1),(28,7270666,0.00,4.00,0.00,0.00,2.00,NULL,0.00,4.00,0.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7270674,2.00,6.00,0.00,4.00,3.00,7.13,2.00,4.00,1.00,104,NULL,NULL,'CENTRO','CAÇADOR','SC',18902,448,NULL,NULL,NULL,NULL,NULL,2,25),(28,7270682,3.00,8.00,3.00,7.00,5.00,7.50,3.00,5.00,5.00,201,NULL,601,'CENTRO','TURVO','SC',6219,482,NULL,128,NULL,NULL,NULL,2,15),(28,7270690,0.00,4.00,3.00,2.00,4.00,7.13,2.00,4.00,3.00,201,NULL,655,'DOM BOSCO','ITAJAÍ','SC',18739,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7270704,4.00,5.00,3.00,4.00,6.00,3.00,2.00,6.00,4.00,216,NULL,215,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7270712,4.00,7.00,3.00,5.00,8.00,8.63,4.00,6.00,3.00,655,NULL,652,'RIO MAINA','CRICIÚMA','SC',9524,42,NULL,NULL,NULL,NULL,NULL,4,5),(28,7270720,2.00,7.00,1.00,2.00,7.00,11.25,1.00,5.00,5.00,207,NULL,201,'CENTRO','IMARUÍ','SC',15066,668,NULL,914,NULL,NULL,NULL,4,10),(28,7270739,0.00,3.00,2.00,6.00,4.00,7.50,3.00,3.00,1.00,9,NULL,NULL,'CENTRO','JOAÇABA','SC',19245,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7270747,0.00,0.00,3.00,2.00,3.00,NULL,1.00,2.00,1.00,316,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7270755,0.00,1.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,207,NULL,201,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7270763,2.00,5.00,0.00,6.00,9.00,5.63,4.00,4.00,6.00,5,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',8454,256,NULL,NULL,NULL,NULL,NULL,2,1),(28,7270771,3.00,6.00,1.00,3.00,7.00,11.25,3.00,5.00,5.00,104,NULL,NULL,'FUNDOS','BIGUAÇU','SC',6320,133,NULL,NULL,NULL,NULL,NULL,4,1),(28,7270780,3.00,7.00,2.00,7.00,6.00,8.25,5.00,5.00,6.00,653,NULL,201,'VILA SÃO JOSÉ','ARARANGUÁ','SC',5371,45,NULL,NULL,NULL,NULL,NULL,2,15),(28,7270798,4.00,6.00,2.00,3.00,2.00,NULL,2.00,6.00,1.00,208,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7270801,2.00,5.00,1.00,1.00,5.00,9.75,2.00,3.00,2.00,301,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',12969,180,NULL,NULL,NULL,NULL,NULL,4,1),(28,7270810,2.00,4.00,0.00,3.00,7.00,8.63,1.00,2.00,2.00,454,NULL,NULL,'FUNDOS','BIGUAÇU','SC',14737,304,NULL,NULL,NULL,NULL,NULL,2,1),(28,7270828,4.00,5.00,2.00,6.00,6.00,9.38,3.00,8.00,5.00,655,NULL,220,'JARDIM ELIZABETE','IÇARA','SC',7978,26,NULL,NULL,NULL,NULL,NULL,4,5),(28,7270836,3.00,3.00,2.00,7.00,3.00,8.25,1.00,2.00,4.00,216,NULL,215,'CENTRO','TUBARÃO','SC',18172,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7270844,2.00,7.00,4.00,6.00,10.00,9.00,4.00,6.00,5.00,336,NULL,NULL,'FORTALEZA','BLUMENAU','SC',7017,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7270852,1.00,5.00,0.00,7.00,4.00,NULL,0.00,1.00,1.00,225,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7270860,7.00,7.00,5.00,6.00,10.00,9.38,7.00,7.00,8.00,103,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',189,148,NULL,NULL,NULL,NULL,NULL,4,1),(28,7270879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'CENTRO','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7270887,0.00,6.00,2.00,0.00,2.00,NULL,0.00,4.00,1.00,999,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7270917,2.00,6.00,4.00,4.00,6.00,7.13,3.00,5.00,1.00,104,NULL,NULL,'CENTRO','GUARAMIRIM','SC',12261,305,NULL,NULL,NULL,NULL,NULL,4,23),(28,7270925,2.00,5.00,2.00,2.00,7.00,8.63,1.00,4.00,2.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',14532,2333,NULL,NULL,NULL,NULL,NULL,4,1),(28,7270933,3.00,0.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7270941,4.00,7.00,4.00,4.00,9.00,6.75,3.00,6.00,5.00,216,NULL,207,'CENTRO','CEL VIVIDA','PR',4180,159,NULL,171,NULL,NULL,NULL,2,1),(28,7270950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7270976,0.00,0.00,3.00,6.00,6.00,NULL,0.00,0.00,0.00,207,NULL,233,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7270984,5.00,8.00,2.00,7.00,7.00,8.63,2.00,6.00,7.00,201,NULL,216,'ITARARÉ','S VICENTE','SP',3838,295,NULL,NULL,NULL,NULL,NULL,4,1),(28,7271000,2.00,5.00,1.00,6.00,4.00,9.38,4.00,5.00,3.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',14830,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7271018,2.00,5.00,4.00,7.00,6.00,7.50,5.00,4.00,4.00,203,NULL,220,'CAMPINAS','S JOSÉ','SC',8335,490,NULL,218,NULL,NULL,NULL,4,1),(28,7271026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','VICENTE DUTRA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7271042,4.00,7.00,3.00,5.00,7.00,7.13,3.00,5.00,5.00,203,NULL,211,'JARDIM DAS COLINAS','S JOSÉ CAMPOS','SP',5940,394,NULL,157,NULL,NULL,NULL,4,1),(28,7271077,5.00,7.00,3.00,5.00,5.00,8.25,5.00,7.00,4.00,999,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7271085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM NOVA ALIANÇA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7271107,2.00,7.00,3.00,7.00,10.00,11.63,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3381,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7271115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'TIA JOANA','PALMAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7271123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAN CONRRADO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7271158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','GASPAR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7271166,1.00,4.00,2.00,7.00,4.00,7.13,2.00,3.00,2.00,316,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',14604,184,NULL,NULL,NULL,NULL,NULL,2,1),(28,7271174,1.00,4.00,1.00,6.00,8.00,9.38,0.00,3.00,5.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9252,382,NULL,NULL,NULL,NULL,NULL,4,1),(28,7271182,4.00,6.00,2.00,5.00,6.00,7.13,3.00,5.00,6.00,215,NULL,601,'ESTREITO','FLORIANÓPOLIS','SC',7183,112,NULL,158,NULL,NULL,NULL,4,1),(28,7271190,1.00,4.00,1.00,4.00,3.00,6.75,0.00,2.00,2.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18478,591,NULL,NULL,NULL,NULL,NULL,2,1),(28,7271204,4.00,6.00,0.00,7.00,6.00,8.63,2.00,4.00,5.00,203,NULL,601,'SAMBAQUI','FLORIANÓPOLIS','SC',14707,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7271212,2.00,7.00,2.00,5.00,6.00,6.00,4.00,7.00,5.00,5,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',13187,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7271255,0.00,2.00,1.00,1.00,2.00,NULL,2.00,2.00,0.00,551,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7271263,3.00,4.00,1.00,4.00,3.00,11.25,2.00,3.00,0.00,441,NULL,NULL,'JAR DOS BANDEIRANTES','CONTAGEM','MG',18619,9,NULL,NULL,NULL,NULL,NULL,6,1),(28,7271271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7271298,2.00,5.00,1.00,4.00,4.00,7.88,3.00,3.00,3.00,233,NULL,216,'PENHA','PAULO LOPES','SC',14536,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7271301,6.00,8.00,3.00,7.00,5.00,11.25,5.00,8.00,6.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',3577,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7271310,2.00,4.00,2.00,6.00,3.00,7.13,1.00,4.00,4.00,104,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7271328,1.00,5.00,2.00,3.00,6.00,7.88,4.00,5.00,1.00,103,NULL,NULL,'CENTRO','ARROIO TRINTA','SC',12425,2227,NULL,NULL,NULL,NULL,NULL,5,7),(28,7271336,0.00,3.00,2.00,2.00,4.00,3.00,2.00,6.00,1.00,425,NULL,423,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7271344,4.00,6.00,3.00,3.00,2.00,NULL,2.00,4.00,3.00,216,NULL,215,'CENTRO','ÁGUA BOA','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7271360,1.00,7.00,0.00,7.00,8.00,8.25,2.00,5.00,3.00,103,NULL,NULL,'BOM JESUS','RIO PEDRAS','SP',8813,1984,NULL,NULL,NULL,NULL,NULL,4,1),(28,7271379,5.00,7.00,3.00,5.00,8.00,10.13,3.00,5.00,2.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',8564,1958,NULL,NULL,NULL,NULL,NULL,4,10),(28,7271395,4.00,7.00,3.00,7.00,5.00,8.63,4.00,6.00,4.00,316,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',6433,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7271409,0.00,6.00,1.00,7.00,4.00,7.13,1.00,6.00,4.00,317,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',17476,143,NULL,NULL,NULL,NULL,NULL,2,1),(28,7271425,1.00,3.00,2.00,3.00,6.00,7.50,2.00,4.00,2.00,103,NULL,NULL,'INTERIOR','CONCÓRDIA','SC',14688,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7271441,3.00,6.00,3.00,6.00,6.00,6.75,1.00,5.00,3.00,103,NULL,NULL,'PRÓ FLOR','CORREIA PINTO','SC',10073,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7271450,0.00,4.00,3.00,3.00,2.00,NULL,1.00,3.00,0.00,5,NULL,NULL,'SANTA GEMA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7271468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SEMINÁRIO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7271484,1.00,5.00,1.00,3.00,5.00,6.75,3.00,4.00,2.00,339,NULL,NULL,'AREIAS','S JOSÉ','SC',17219,42,NULL,NULL,NULL,NULL,NULL,2,1),(28,7271492,2.00,7.00,2.00,6.00,6.00,9.75,2.00,6.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8117,131,NULL,NULL,NULL,NULL,NULL,2,1),(28,7271506,1.00,1.00,1.00,1.00,4.00,6.38,3.00,2.00,1.00,207,NULL,601,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7271514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7271522,1.00,6.00,0.00,5.00,7.00,8.25,2.00,5.00,2.00,454,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',12596,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7271530,6.00,7.00,3.00,7.00,9.00,7.50,3.00,6.00,7.00,103,NULL,NULL,'BATEL','CURITIBA','PR',2416,999,NULL,NULL,NULL,NULL,NULL,4,7),(28,7271549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','XANGRI-LÁ','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7271557,5.00,9.00,6.00,4.00,4.00,10.88,8.00,6.00,8.00,214,NULL,203,'CAMPOS ELISEOS','S PAULO','SP',882,13,NULL,NULL,NULL,NULL,NULL,2,2),(28,7271565,1.00,4.00,1.00,3.00,2.00,NULL,3.00,1.00,2.00,444,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7271573,1.00,3.00,3.00,7.00,4.00,7.88,1.00,3.00,2.00,999,NULL,NULL,'PRIMEIRA LINHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7271581,2.00,7.00,0.00,5.00,7.00,8.63,3.00,4.00,2.00,336,NULL,NULL,'MIRIM','IMBITUBA','SC',9901,51,NULL,NULL,NULL,NULL,NULL,2,10),(28,7271590,2.00,6.00,2.00,6.00,6.00,9.75,6.00,5.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6745,304,NULL,NULL,NULL,NULL,NULL,4,1),(28,7271611,3.00,7.00,0.00,6.00,2.00,NULL,1.00,4.00,2.00,336,NULL,NULL,'ÁGUA VERDE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7271638,4.00,6.00,1.00,6.00,7.00,8.25,4.00,7.00,4.00,233,NULL,213,'INGLESES','FLORIANÓPOLIS','SC',6113,155,NULL,100,NULL,NULL,NULL,4,1),(28,7271646,3.00,4.00,2.00,7.00,5.00,6.00,3.00,5.00,4.00,211,NULL,653,'BRASÍLIA','PATO BRANCO','PR',10505,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7271654,4.00,7.00,2.00,7.00,9.00,11.25,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',2161,928,NULL,NULL,NULL,NULL,NULL,4,8),(28,7271662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7271670,0.00,5.00,0.00,4.00,6.00,6.00,0.00,1.00,2.00,108,NULL,NULL,'PRADO','BIGUAÇU','SC',17206,233,NULL,NULL,NULL,NULL,NULL,4,1),(28,7271689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CAMPO DA LANÇA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7271697,0.00,3.00,0.00,7.00,5.00,NULL,1.00,4.00,2.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7271700,1.00,6.00,4.00,6.00,10.00,7.88,6.00,5.00,2.00,320,NULL,NULL,'SALTO WEISSBACH','BLUMENAU','SC',9736,12,NULL,NULL,NULL,NULL,NULL,2,2),(28,7271719,1.00,3.00,3.00,2.00,3.00,7.88,0.00,1.00,1.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7271735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ESTRADINHA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7271743,2.00,4.00,2.00,2.00,5.00,9.38,2.00,4.00,3.00,340,NULL,NULL,'INTERIOR','IPORÃ OESTE','SC',11909,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7271751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7271760,0.00,0.00,3.00,2.00,4.00,5.25,1.00,2.00,2.00,211,NULL,220,'JARDIM ALVORADA','PALMITAL','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7271778,0.00,5.00,2.00,6.00,6.00,NULL,2.00,4.00,2.00,203,NULL,202,'BERGER','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7271786,3.00,5.00,1.00,5.00,8.00,12.75,2.00,8.00,2.00,102,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',4506,21,NULL,NULL,NULL,NULL,NULL,2,6),(28,7271794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'INTERIOR','BOM J OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7271808,5.00,6.00,3.00,5.00,7.00,4.88,0.00,6.00,5.00,234,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10767,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7271816,1.00,7.00,0.00,5.00,5.00,8.63,4.00,8.00,0.00,316,NULL,NULL,'PRADO','BIGUAÇU','SC',10225,94,NULL,NULL,NULL,NULL,NULL,2,1),(28,7271824,3.00,6.00,2.00,7.00,7.00,6.75,3.00,5.00,6.00,318,NULL,NULL,'CENTRO','BIGUAÇU','SC',6641,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7271832,1.00,5.00,3.00,7.00,9.00,9.38,1.00,3.00,2.00,429,NULL,425,'SERRARIA','S JOSÉ','SC',15473,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7271867,1.00,3.00,2.00,5.00,2.00,NULL,0.00,5.00,1.00,201,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7271883,3.00,6.00,1.00,6.00,7.00,10.88,4.00,6.00,4.00,454,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',3895,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7271891,0.00,3.00,0.00,3.00,4.00,7.50,2.00,2.00,2.00,201,NULL,215,'BOM VIVER','BIGUAÇU','SC',19951,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7271905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','BIRIGÜI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7271913,1.00,5.00,2.00,4.00,4.00,8.63,2.00,5.00,2.00,454,NULL,NULL,'ARMAÇÃO','PENHA','SC',17903,366,NULL,NULL,NULL,NULL,NULL,2,6),(28,7271921,2.00,5.00,4.00,4.00,5.00,9.00,1.00,2.00,4.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',11217,2150,NULL,NULL,NULL,NULL,NULL,4,6),(28,7271930,0.00,5.00,1.00,4.00,4.00,NULL,2.00,2.00,0.00,201,NULL,202,'PRAIA JOÃO ROSA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7271948,0.00,3.00,1.00,5.00,5.00,NULL,2.00,2.00,2.00,415,NULL,NULL,'TABOÃO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7271956,2.00,7.00,4.00,5.00,6.00,7.88,1.00,4.00,4.00,999,NULL,NULL,'JARDIM DAS FLORES','PALMITAL','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7271972,6.00,8.00,3.00,7.00,10.00,7.50,5.00,8.00,7.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',972,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7271980,5.00,8.00,0.00,7.00,8.00,9.75,4.00,7.00,7.00,103,NULL,NULL,'CORAL','LAGES','SC',2728,1067,NULL,NULL,NULL,NULL,NULL,4,9),(28,7271999,2.00,4.00,1.00,7.00,4.00,6.38,2.00,3.00,4.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14779,17,NULL,NULL,NULL,NULL,NULL,2,1),(28,7272006,3.00,5.00,2.00,5.00,7.00,7.50,4.00,5.00,3.00,327,NULL,NULL,'BOA VISTA','JOINVILLE','SC',9097,13,NULL,NULL,NULL,NULL,NULL,4,8),(28,7272014,1.00,5.00,1.00,4.00,5.00,6.38,1.00,4.00,3.00,303,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',14189,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7272022,2.00,7.00,2.00,7.00,8.00,6.75,3.00,5.00,3.00,108,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',11759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7272030,4.00,5.00,2.00,4.00,5.00,8.25,5.00,3.00,3.00,9,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',15574,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272049,1.00,6.00,2.00,6.00,6.00,6.75,4.00,6.00,4.00,201,NULL,207,'VILA SANTO ANTÔNIO','IMBITUBA','SC',9767,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7272057,2.00,4.00,1.00,1.00,3.00,6.38,3.00,2.00,3.00,215,NULL,233,'RIO TAVARES','FLORIANÓPOLIS','SC',16946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7272081,1.00,4.00,1.00,4.00,6.00,9.75,3.00,4.00,4.00,2,NULL,NULL,'TRIBESS','BLUMENAU','SC',16374,50,NULL,NULL,NULL,NULL,NULL,2,2),(28,7272090,4.00,5.00,3.00,6.00,6.00,8.63,4.00,4.00,5.00,220,NULL,601,'SÃO CRISTOVÃO','LAGES','SC',8553,NULL,NULL,213,NULL,NULL,NULL,4,9),(28,7272103,3.00,7.00,3.00,3.00,6.00,13.13,2.00,6.00,4.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9997,160,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272111,3.00,1.00,3.00,4.00,2.00,NULL,1.00,1.00,4.00,207,NULL,201,'ANA SOFIA','DIADEMA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272120,2.00,2.00,1.00,6.00,3.00,8.63,0.00,1.00,2.00,428,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',17220,56,NULL,NULL,NULL,NULL,NULL,2,1),(28,7272138,3.00,6.00,2.00,7.00,6.00,10.13,4.00,4.00,2.00,5,NULL,NULL,'VELHA','BLUMENAU','SC',9178,281,NULL,NULL,NULL,NULL,NULL,4,2),(28,7272146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7272162,1.00,6.00,2.00,5.00,6.00,5.63,1.00,6.00,2.00,104,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',11901,295,NULL,NULL,NULL,NULL,NULL,2,2),(28,7272170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'NOVA IORQUE','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7272189,2.00,7.00,1.00,6.00,6.00,0.00,2.00,5.00,3.00,319,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7272197,1.00,3.00,1.00,2.00,3.00,7.13,2.00,3.00,2.00,215,NULL,NULL,'ARMAÇÃO','PENHA','SC',19901,303,NULL,NULL,NULL,NULL,NULL,2,6),(28,7272200,0.00,7.00,1.00,3.00,7.00,6.75,2.00,2.00,3.00,104,NULL,NULL,'BELA VISTA','S JOSÉ','SC',15362,377,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272227,3.00,6.00,1.00,6.00,7.00,7.88,1.00,2.00,2.00,103,NULL,NULL,'SÃO GERALDO','IJUÍ','RS',17947,2469,NULL,NULL,NULL,NULL,NULL,2,1),(28,7272235,1.00,1.00,2.00,2.00,4.00,7.13,0.00,3.00,1.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',20052,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7272243,2.00,5.00,1.00,3.00,5.00,8.63,2.00,4.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12428,2228,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272251,6.00,8.00,4.00,6.00,9.00,7.13,3.00,7.00,4.00,103,NULL,NULL,'JARDIM DAS ROSAS','PRES PRUDENTE','SP',2960,1129,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272278,5.00,6.00,4.00,7.00,8.00,8.25,6.00,7.00,6.00,5,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',1846,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272286,3.00,6.00,2.00,6.00,5.00,10.13,4.00,3.00,5.00,9,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7867,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272294,0.00,3.00,1.00,2.00,4.00,6.00,1.00,4.00,2.00,103,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',19929,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7272316,4.00,7.00,2.00,2.00,7.00,6.38,5.00,5.00,5.00,211,NULL,235,'CARVOEIRA','FLORIANÓPOLIS','SC',7110,201,NULL,121,NULL,NULL,NULL,4,1),(28,7272324,0.00,6.00,2.00,3.00,7.00,8.25,0.00,3.00,4.00,652,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',13168,42,NULL,NULL,NULL,NULL,NULL,4,15),(28,7272332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'GRANJA VIANA','CARAPICUÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7272340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,202,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7272367,5.00,7.00,4.00,6.00,5.00,10.13,7.00,7.00,3.00,2,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6031,17,NULL,NULL,NULL,NULL,NULL,2,1),(28,7272375,3.00,5.00,3.00,5.00,9.00,8.25,3.00,5.00,5.00,238,NULL,235,'BARREIROS','S JOSÉ','SC',5966,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272383,2.00,3.00,3.00,6.00,1.00,NULL,0.00,1.00,2.00,304,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7272405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7272413,3.00,5.00,3.00,4.00,6.00,7.13,3.00,5.00,3.00,203,NULL,207,'APARECIDA','CURITIBANOS','SC',11216,561,NULL,521,NULL,NULL,NULL,4,16),(28,7272421,2.00,4.00,2.00,6.00,2.00,NULL,3.00,5.00,4.00,201,NULL,215,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7272472,1.00,5.00,2.00,5.00,2.00,NULL,1.00,3.00,2.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7272499,2.00,5.00,2.00,5.00,5.00,7.13,2.00,4.00,4.00,220,NULL,235,'MATA DA PRAIA','VITÓRIA','ES',11136,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272510,0.00,5.00,2.00,5.00,5.00,5.63,0.00,3.00,1.00,104,NULL,NULL,'CENTRO','S JOSÉ','SC',19481,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272529,2.00,4.00,2.00,3.00,1.00,NULL,2.00,4.00,1.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272537,2.00,6.00,2.00,4.00,4.00,6.75,1.00,4.00,2.00,301,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',19129,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7272545,6.00,8.00,5.00,7.00,10.00,7.50,5.00,7.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',545,360,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7272561,0.00,5.00,0.00,2.00,5.00,NULL,1.00,2.00,2.00,234,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272570,1.00,4.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,652,NULL,NULL,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7272596,3.00,6.00,1.00,7.00,5.00,6.00,0.00,4.00,3.00,552,NULL,NULL,'CENTRO','MAREMA','SC',12386,56,NULL,NULL,NULL,NULL,NULL,2,4),(28,7272600,0.00,2.00,2.00,1.00,4.00,6.38,1.00,3.00,3.00,317,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',19411,172,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272618,2.00,4.00,1.00,5.00,0.00,NULL,1.00,3.00,2.00,308,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7272626,5.00,6.00,2.00,6.00,8.00,6.00,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',4319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272634,0.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,0.00,102,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7272642,3.00,7.00,3.00,6.00,8.00,9.00,2.00,6.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6039,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7272650,5.00,8.00,2.00,7.00,9.00,10.88,4.00,6.00,3.00,415,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',5633,86,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272669,5.00,7.00,2.00,7.00,8.00,10.88,5.00,6.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4972,167,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272677,0.00,5.00,1.00,4.00,1.00,NULL,2.00,3.00,3.00,303,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,10),(28,7272693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'LINHA MENEGHETTE','MODELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7272707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'JARDIM NORMANDIA','VOLTA REDONDA','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7272715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'ZONA RURAL','MTE CASTELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7272723,2.00,3.00,1.00,4.00,4.00,9.75,2.00,4.00,3.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14002,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7272740,4.00,7.00,3.00,6.00,8.00,10.50,3.00,6.00,5.00,104,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',2725,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272758,0.00,4.00,2.00,3.00,8.00,6.75,3.00,3.00,3.00,216,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',14061,385,NULL,NULL,NULL,NULL,NULL,4,22),(28,7272766,2.00,5.00,2.00,5.00,4.00,7.13,1.00,4.00,3.00,238,NULL,220,'CAMPECHE','FLORIANÓPOLIS','SC',18424,320,NULL,337,NULL,NULL,NULL,4,1),(28,7272774,1.00,5.00,1.00,7.00,6.00,7.88,2.00,5.00,7.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8221,28,NULL,NULL,NULL,NULL,NULL,2,1),(28,7272782,0.00,5.00,1.00,4.00,4.00,NULL,0.00,3.00,0.00,327,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272790,1.00,5.00,1.00,6.00,4.00,5.63,1.00,3.00,2.00,552,NULL,NULL,'CENTRO','CELSO RAMOS','SC',16288,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7272804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7272812,2.00,3.00,3.00,6.00,7.00,7.13,1.00,3.00,4.00,317,NULL,NULL,'CENTRO','S BERNARDINO','SC',12828,71,NULL,NULL,NULL,NULL,NULL,2,4),(28,7272820,2.00,3.00,2.00,2.00,2.00,NULL,3.00,4.00,1.00,317,NULL,NULL,'BELA VISTA II','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272839,2.00,8.00,4.00,7.00,8.00,10.88,4.00,5.00,5.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',4502,1419,NULL,NULL,NULL,NULL,NULL,4,16),(28,7272855,2.00,5.00,2.00,3.00,8.00,6.75,3.00,6.00,2.00,653,NULL,NULL,'CENTRO','PLANALTO','RS',12111,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7272871,5.00,7.00,5.00,7.00,5.00,10.13,3.00,6.00,2.00,203,NULL,233,'JD PARAÍSO','S JOSÉ CAMPOS','SP',4006,289,NULL,105,NULL,NULL,NULL,4,8),(28,7272898,5.00,8.00,4.00,5.00,7.00,10.13,2.00,6.00,2.00,103,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',5155,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7272901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SANTANA','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7272910,2.00,5.00,1.00,6.00,7.00,8.63,1.00,4.00,2.00,333,NULL,NULL,'ITACURUBI','FLORIANÓPOLIS','SC',17017,107,NULL,NULL,NULL,NULL,NULL,2,1),(28,7272928,6.00,8.00,2.00,5.00,10.00,9.38,4.00,6.00,7.00,303,NULL,NULL,'PEREQUÊ','PTO BELO','SC',2808,130,NULL,NULL,NULL,NULL,NULL,2,3),(28,7272944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7272952,3.00,7.00,0.00,7.00,10.00,8.63,3.00,7.00,3.00,340,NULL,NULL,'VELHA','BLUMENAU','SC',8339,222,NULL,NULL,NULL,NULL,NULL,4,2),(28,7272979,0.00,6.00,1.00,4.00,6.00,NULL,1.00,6.00,3.00,205,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7272987,3.00,7.00,2.00,6.00,8.00,7.50,1.00,7.00,3.00,316,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',13316,150,NULL,NULL,NULL,NULL,NULL,4,1),(28,7272995,3.00,6.00,2.00,3.00,6.00,7.88,3.00,3.00,3.00,238,NULL,201,'FLORESTA','S JOSÉ','SC',11773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273002,2.00,4.00,1.00,5.00,3.00,8.25,2.00,2.00,2.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7273010,1.00,4.00,3.00,7.00,7.00,7.88,0.00,5.00,2.00,319,NULL,NULL,'ATIRADORES','JOINVILLE','SC',16623,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7273037,3.00,6.00,3.00,6.00,7.00,10.13,5.00,8.00,6.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',2318,967,NULL,NULL,NULL,NULL,NULL,4,4),(28,7273053,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,211,NULL,201,'VILA SANTA LUZIA','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7273061,4.00,5.00,2.00,6.00,8.00,8.63,2.00,4.00,4.00,104,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',5920,120,NULL,NULL,NULL,NULL,NULL,2,1),(28,7273070,1.00,3.00,2.00,4.00,3.00,6.75,1.00,3.00,1.00,108,NULL,NULL,'VILA BECKER','STO AMARO IMPERATRIZ','SC',18887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7273088,1.00,3.00,3.00,3.00,3.00,5.25,0.00,4.00,1.00,319,NULL,NULL,'CENTRO BAIXADA','PATO BRANCO','PR',19987,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7273096,1.00,6.00,1.00,4.00,4.00,5.63,1.00,4.00,3.00,999,NULL,NULL,'CENTRO','MRO GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7273100,2.00,5.00,2.00,4.00,6.00,6.38,0.00,4.00,1.00,238,NULL,203,'BARRA DO ARÍRIU','PALHOÇA','SC',15918,273,NULL,657,NULL,NULL,NULL,2,1),(28,7273134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','RIO B SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7273142,5.00,6.00,2.00,5.00,7.00,11.25,4.00,4.00,3.00,103,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',10472,2104,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273150,2.00,6.00,3.00,4.00,5.00,NULL,1.00,3.00,2.00,9,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7273169,1.00,1.00,0.00,2.00,1.00,NULL,1.00,1.00,2.00,308,NULL,NULL,'GUARDA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273177,0.00,3.00,2.00,4.00,6.00,6.38,3.00,0.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19669,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7273193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,652,'SAO CRISTOVAO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7273215,3.00,4.00,2.00,6.00,5.00,4.50,0.00,4.00,3.00,652,NULL,NULL,'MORRO DO SOARES','ERMO','SC',15731,58,NULL,NULL,NULL,NULL,NULL,2,15),(28,7273231,4.00,6.00,3.00,4.00,7.00,6.75,5.00,5.00,3.00,601,NULL,203,'MEIA PRAIA','ITAPEMA','SC',10986,312,NULL,NULL,NULL,NULL,NULL,2,3),(28,7273274,4.00,4.00,3.00,3.00,4.00,5.63,4.00,3.00,2.00,238,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',15205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273282,1.00,5.00,1.00,6.00,3.00,5.63,2.00,5.00,4.00,303,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',14989,528,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273304,5.00,7.00,4.00,7.00,5.00,8.63,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4161,1355,NULL,NULL,NULL,NULL,NULL,2,1),(28,7273312,0.00,2.00,0.00,4.00,4.00,6.00,2.00,5.00,1.00,9,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19965,173,NULL,NULL,NULL,NULL,NULL,2,1),(28,7273339,1.00,1.00,2.00,3.00,2.00,NULL,3.00,4.00,0.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273347,0.00,3.00,1.00,3.00,1.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'SÃO MIGUEL','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7273355,3.00,8.00,1.00,5.00,9.00,9.75,5.00,6.00,5.00,101,NULL,NULL,'COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC',5209,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273363,1.00,2.00,2.00,2.00,6.00,8.25,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','LAGES','SC',16085,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7273371,1.00,3.00,3.00,7.00,4.00,7.13,1.00,5.00,2.00,653,NULL,652,'URUSSANGUINHA','ARARANGUÁ','SC',15256,164,NULL,55,NULL,NULL,NULL,2,15),(28,7273380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'ERVINHA','POUSO REDONDO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,24),(28,7273398,1.00,6.00,1.00,3.00,2.00,NULL,2.00,5.00,1.00,653,NULL,655,'SANGÃO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7273401,1.00,4.00,1.00,2.00,4.00,6.75,1.00,5.00,0.00,216,NULL,NULL,'INTERIOR','CEL FREITAS','SC',17378,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7273410,0.00,3.00,1.00,2.00,3.00,6.00,3.00,4.00,1.00,5,NULL,NULL,'XV DE NOVEMBRO','TIJUCAS','SC',17781,469,NULL,NULL,NULL,NULL,NULL,2,1),(28,7273428,4.00,7.00,2.00,7.00,5.00,8.25,3.00,6.00,3.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7986,87,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273436,1.00,5.00,1.00,4.00,9.00,9.75,4.00,4.00,4.00,101,NULL,NULL,'BELA VISTA','PALHOÇA','SC',13242,72,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273444,4.00,8.00,2.00,4.00,5.00,6.38,3.00,7.00,4.00,201,NULL,207,'PAMPLONA','RIO SUL','SC',7797,568,NULL,356,NULL,NULL,NULL,4,24),(28,7273460,0.00,3.00,2.00,4.00,3.00,8.25,1.00,3.00,3.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14773,187,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273479,4.00,3.00,4.00,2.00,5.00,7.50,2.00,2.00,2.00,108,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',16225,221,NULL,NULL,NULL,NULL,NULL,2,1),(28,7273487,5.00,6.00,1.00,2.00,7.00,8.25,4.00,5.00,2.00,108,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',10176,136,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273495,0.00,5.00,1.00,2.00,3.00,NULL,1.00,4.00,2.00,104,NULL,NULL,'PROGRESSO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7273509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7273541,6.00,8.00,3.00,7.00,8.00,10.50,4.00,8.00,7.00,103,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',618,400,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7273584,3.00,6.00,3.00,7.00,8.00,7.88,5.00,6.00,4.00,108,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5883,68,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273592,2.00,7.00,3.00,5.00,5.00,5.63,4.00,4.00,4.00,302,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',10836,67,NULL,NULL,NULL,NULL,NULL,2,1),(28,7273606,3.00,7.00,2.00,7.00,9.00,8.25,3.00,3.00,4.00,303,NULL,NULL,'JARDIM BELA VISTA','ITAPIRANGA','SC',7163,321,NULL,NULL,NULL,NULL,NULL,4,4),(28,7273614,1.00,4.00,0.00,3.00,4.00,6.38,4.00,4.00,3.00,999,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7273649,4.00,4.00,1.00,1.00,3.00,7.88,2.00,5.00,4.00,104,NULL,NULL,'CENTRO','ITAJAÍ','SC',18644,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7273665,1.00,5.00,2.00,4.00,5.00,7.50,1.00,3.00,2.00,318,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',19127,140,NULL,NULL,NULL,NULL,NULL,2,1),(28,7273681,3.00,4.00,2.00,7.00,7.00,6.75,3.00,3.00,3.00,454,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',15530,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7273690,5.00,6.00,3.00,5.00,7.00,10.50,4.00,4.00,6.00,203,NULL,201,'GUARDA DO CUBATÃO','PALHOÇA','SC',3856,281,NULL,297,NULL,NULL,NULL,2,1),(28,7273703,3.00,7.00,1.00,5.00,8.00,9.00,2.00,4.00,3.00,103,NULL,NULL,'CANTA GALO','RIO SUL','SC',8406,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7273711,2.00,5.00,3.00,8.00,2.00,NULL,3.00,6.00,3.00,201,NULL,212,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7273738,1.00,5.00,4.00,4.00,5.00,9.75,5.00,5.00,2.00,421,NULL,424,'BARREIROS','S JOSÉ','SC',15122,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273746,3.00,8.00,4.00,7.00,6.00,11.63,3.00,7.00,2.00,338,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7202,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273754,2.00,6.00,2.00,3.00,2.00,NULL,1.00,6.00,3.00,104,NULL,NULL,'CENTRO','VÍTOR MEIRELES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7273762,3.00,4.00,1.00,6.00,3.00,NULL,0.00,2.00,1.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7273770,5.00,8.00,2.00,5.00,7.00,13.50,4.00,8.00,3.00,319,NULL,NULL,'JARDIM GIOCONDO ORSI','CPO GRANDE','MS',1906,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'JARDIM UNIÃO','BANDEIRANTES','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7273797,5.00,6.00,4.00,7.00,7.00,9.00,6.00,4.00,3.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',7906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273819,3.00,7.00,3.00,4.00,5.00,9.38,4.00,7.00,5.00,222,NULL,NULL,'VILAS DO ATLANTICO','LAURO FREITAS','BA',5819,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273827,1.00,4.00,2.00,6.00,5.00,9.00,0.00,4.00,3.00,202,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',17871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7273835,2.00,6.00,3.00,3.00,7.00,4.50,4.00,6.00,3.00,103,NULL,NULL,'BARRA DO RIO MOLHA','JARAGUÁ SUL','SC',15643,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7273843,0.00,3.00,1.00,6.00,5.00,6.75,2.00,3.00,0.00,207,NULL,215,'CRUZEIRO','S LOURENÇO OESTE','SC',16988,734,NULL,NULL,NULL,NULL,NULL,2,4),(28,7273851,5.00,7.00,2.00,6.00,10.00,7.50,4.00,6.00,5.00,201,NULL,202,'LIBERDADE','CONCÓRDIA','SC',8372,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7273860,4.00,5.00,3.00,6.00,7.00,8.25,3.00,6.00,2.00,9,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',12903,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273878,3.00,7.00,1.00,6.00,7.00,8.25,4.00,5.00,3.00,336,NULL,NULL,'SANTO ANTONIO','FLORIANÓPOLIS','SC',8161,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273886,1.00,1.00,1.00,4.00,2.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273894,4.00,7.00,5.00,6.00,7.00,10.88,5.00,6.00,7.00,212,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',3164,93,NULL,66,NULL,NULL,NULL,4,1),(28,7273908,6.00,7.00,3.00,6.00,8.00,6.38,4.00,7.00,6.00,3,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',3617,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273916,3.00,6.00,2.00,5.00,5.00,9.00,1.00,5.00,3.00,316,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',11882,125,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273924,5.00,8.00,2.00,7.00,8.00,9.00,5.00,7.00,6.00,103,NULL,NULL,'VILA SOBRINHO','CPO GRANDE','MS',4534,1425,NULL,NULL,NULL,NULL,NULL,2,1),(28,7273932,0.00,3.00,3.00,6.00,5.00,6.00,1.00,3.00,2.00,203,NULL,601,'ZONA UM','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273959,2.00,5.00,2.00,7.00,7.00,12.00,2.00,5.00,3.00,301,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',11723,157,NULL,NULL,NULL,NULL,NULL,2,1),(28,7273967,2.00,4.00,3.00,7.00,6.00,8.25,2.00,3.00,2.00,207,NULL,201,'MONTE VERDE','FLORIANÓPOLIS','SC',13561,607,NULL,848,NULL,NULL,NULL,2,1),(28,7273983,2.00,5.00,2.00,6.00,5.00,9.38,2.00,6.00,4.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',12789,2251,NULL,NULL,NULL,NULL,NULL,4,1),(28,7273991,2.00,3.00,1.00,2.00,4.00,3.00,2.00,5.00,0.00,415,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274017,0.00,4.00,3.00,7.00,6.00,3.00,4.00,3.00,0.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7274025,1.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,201,NULL,212,'IPIRANGA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7274033,0.00,6.00,2.00,6.00,4.00,6.38,2.00,2.00,2.00,103,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',18932,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274050,4.00,7.00,1.00,6.00,6.00,8.63,2.00,5.00,3.00,450,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',8250,58,NULL,NULL,NULL,NULL,NULL,4,26),(28,7274068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7274084,2.00,6.00,1.00,7.00,8.00,10.13,2.00,3.00,3.00,201,NULL,216,'BOA VISTA','BLUMENAU','SC',7437,549,NULL,253,NULL,NULL,NULL,4,2),(28,7274092,3.00,6.00,3.00,6.00,8.00,6.75,4.00,4.00,3.00,104,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',7569,175,NULL,NULL,NULL,NULL,NULL,2,1),(28,7274106,2.00,4.00,1.00,5.00,7.00,6.38,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',15935,2400,NULL,NULL,NULL,NULL,NULL,2,8),(28,7274114,3.00,6.00,4.00,7.00,4.00,7.13,3.00,5.00,3.00,202,NULL,655,'PARQUE SANTA MARIA','GARÇA','SP',7788,210,NULL,24,NULL,NULL,NULL,4,1),(28,7274122,1.00,5.00,0.00,1.00,2.00,NULL,2.00,4.00,0.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7274149,1.00,7.00,1.00,5.00,7.00,6.75,0.00,6.00,2.00,441,NULL,NULL,'BADENFURT','BLUMENAU','SC',16450,5,NULL,NULL,NULL,NULL,NULL,6,1),(28,7274157,0.00,3.00,0.00,3.00,4.00,NULL,0.00,4.00,0.00,108,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7274173,4.00,6.00,4.00,4.00,9.00,7.50,2.00,5.00,3.00,103,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',8882,1989,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274181,3.00,6.00,4.00,5.00,6.00,9.38,1.00,4.00,4.00,212,NULL,201,'JARDIM CAÇULA','RIBEIRÃO PIRES','SP',6675,205,NULL,513,NULL,NULL,NULL,4,8),(28,7274190,4.00,7.00,1.00,7.00,5.00,6.38,4.00,7.00,3.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12876,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7274203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PROFILURB II','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7274211,1.00,4.00,2.00,1.00,5.00,6.00,4.00,4.00,3.00,235,NULL,213,'CARVOEIRA','FLORIANÓPOLIS','SC',16508,262,NULL,257,NULL,NULL,NULL,4,1),(28,7274246,3.00,7.00,4.00,8.00,7.00,11.63,3.00,8.00,4.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',5664,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274254,0.00,3.00,2.00,1.00,3.00,9.00,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',19849,2526,NULL,NULL,NULL,NULL,NULL,2,8),(28,7274270,0.00,5.00,0.00,4.00,5.00,8.25,2.00,5.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7274289,2.00,7.00,3.00,2.00,5.00,6.75,3.00,2.00,2.00,238,NULL,207,'RIO VERMELHO','FLORIANÓPOLIS','SC',15113,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7274297,4.00,7.00,2.00,6.00,7.00,13.50,2.00,5.00,4.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',6570,1708,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274300,3.00,6.00,1.00,5.00,5.00,7.13,1.00,3.00,2.00,424,NULL,425,'SANTINHO','FLORIANÓPOLIS','SC',14099,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274319,0.00,4.00,2.00,1.00,5.00,4.88,1.00,4.00,1.00,207,NULL,238,'CARIANOS','FLORIANÓPOLIS','SC',20063,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274327,1.00,2.00,3.00,4.00,7.00,7.50,0.00,2.00,2.00,454,NULL,NULL,'CENTRO','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7274343,0.00,3.00,2.00,1.00,3.00,NULL,1.00,3.00,1.00,201,NULL,212,'CENTRO','ITAPEJARA D OESTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274351,1.00,7.00,0.00,4.00,6.00,7.50,3.00,4.00,2.00,340,NULL,NULL,'CENTRO','S JOSÉ','SC',13615,364,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274360,2.00,7.00,0.00,1.00,3.00,4.88,3.00,5.00,1.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',19617,2521,NULL,NULL,NULL,NULL,NULL,2,8),(28,7274378,2.00,5.00,4.00,6.00,6.00,11.25,3.00,1.00,5.00,233,NULL,213,'CENTRO','ASTORGA','PR',8119,208,NULL,142,NULL,NULL,NULL,1,1),(28,7274386,4.00,6.00,3.00,6.00,9.00,6.38,3.00,5.00,6.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6650,53,NULL,NULL,NULL,NULL,NULL,2,1),(28,7274394,1.00,3.00,1.00,4.00,4.00,4.88,4.00,3.00,2.00,238,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',19793,344,NULL,295,NULL,NULL,NULL,4,1),(28,7274408,1.00,5.00,4.00,1.00,6.00,6.75,3.00,5.00,2.00,601,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',17757,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7274424,1.00,6.00,0.00,3.00,4.00,7.13,1.00,3.00,2.00,655,NULL,652,'CENTRO','ARARANGUÁ','SC',16130,NULL,NULL,66,NULL,NULL,NULL,2,15),(28,7274432,5.00,8.00,2.00,6.00,7.00,10.13,6.00,5.00,6.00,207,NULL,201,'COND FLORAIS CUIABÁ','CUIABÁ','MT',1729,52,NULL,NULL,NULL,NULL,NULL,4,6),(28,7274440,3.00,7.00,2.00,5.00,8.00,7.88,0.00,5.00,3.00,230,NULL,NULL,'VILA NOVA','RIO NEGRINHO','SC',14408,13,NULL,NULL,NULL,NULL,NULL,4,8),(28,7274459,2.00,6.00,2.00,5.00,6.00,4.50,1.00,6.00,2.00,328,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',15568,12,NULL,NULL,NULL,NULL,NULL,2,1),(28,7274467,3.00,6.00,3.00,5.00,4.00,7.13,3.00,5.00,2.00,404,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',16588,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7274483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,423,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(28,7274491,3.00,6.00,3.00,5.00,7.00,8.63,2.00,6.00,3.00,340,NULL,NULL,'SERRARIAS','S JOSÉ','SC',8086,215,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274505,2.00,2.00,1.00,1.00,4.00,5.63,1.00,3.00,3.00,552,NULL,NULL,'CENTRO','S JOSÉ CERRITO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7274513,6.00,9.00,3.00,8.00,8.00,10.13,4.00,6.00,4.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',3369,1220,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274530,3.00,3.00,2.00,4.00,3.00,3.00,1.00,3.00,3.00,101,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7274548,2.00,5.00,3.00,6.00,5.00,9.00,2.00,4.00,3.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',15519,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7274556,1.00,6.00,3.00,4.00,5.00,7.50,0.00,4.00,5.00,207,NULL,216,'DOS ESTADOS','INDAIAL','SC',17090,738,NULL,430,NULL,NULL,NULL,4,2),(28,7274564,1.00,7.00,1.00,6.00,6.00,7.88,0.00,7.00,3.00,552,NULL,NULL,'CENTRO','URUBICI','SC',14941,96,NULL,NULL,NULL,NULL,NULL,2,9),(28,7274572,1.00,4.00,1.00,3.00,4.00,7.50,2.00,3.00,3.00,104,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',19458,456,NULL,NULL,NULL,NULL,NULL,2,15),(28,7274580,3.00,8.00,5.00,6.00,8.00,12.00,4.00,8.00,6.00,208,NULL,NULL,'PRÓSPERA','CRICIÚMA','SC',1003,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274599,4.00,9.00,3.00,4.00,8.00,10.13,5.00,6.00,5.00,103,NULL,NULL,'SANTA AUGUSTA','BRAÇO NORTE','SC',3599,1259,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274602,1.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,3.00,103,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7274610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'CAMOBI','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7274629,3.00,6.00,3.00,4.00,5.00,7.88,2.00,3.00,4.00,110,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',16659,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7274645,4.00,6.00,4.00,7.00,8.00,11.25,4.00,6.00,6.00,444,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',5719,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274653,3.00,6.00,3.00,4.00,5.00,7.88,2.00,3.00,3.00,316,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',12531,136,NULL,NULL,NULL,NULL,NULL,2,1),(28,7274661,7.00,6.00,3.00,4.00,4.00,8.25,4.00,6.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274670,1.00,2.00,3.00,6.00,7.00,7.13,3.00,5.00,2.00,238,NULL,201,'PONTA DE BAIXO','S JOSÉ','SC',15997,276,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274688,0.00,5.00,2.00,1.00,4.00,NULL,4.00,4.00,0.00,220,NULL,216,'CAMPO DA ÁGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7274696,1.00,7.00,1.00,6.00,8.00,8.25,2.00,4.00,5.00,108,NULL,NULL,'PRESIDENTE MÉDICI','CHAPECÓ','SC',8395,107,NULL,NULL,NULL,NULL,NULL,4,4),(28,7274700,3.00,4.00,0.00,3.00,6.00,10.88,1.00,4.00,3.00,428,NULL,NULL,'AREIAS','S JOSÉ','SC',17635,60,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274718,0.00,4.00,0.00,5.00,4.00,NULL,1.00,1.00,0.00,316,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7274726,5.00,3.00,3.00,5.00,5.00,4.88,2.00,5.00,2.00,551,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',18381,57,NULL,NULL,NULL,NULL,NULL,2,16),(28,7274742,1.00,4.00,0.00,5.00,4.00,9.00,2.00,4.00,3.00,224,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18094,27,NULL,NULL,NULL,NULL,NULL,2,1),(28,7274750,6.00,9.00,3.00,7.00,11.00,8.25,3.00,6.00,8.00,203,NULL,220,'CENTRO','BRAÇO NORTE','SC',1096,NULL,NULL,26,NULL,NULL,NULL,2,10),(28,7274769,1.00,6.00,1.00,5.00,3.00,7.13,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',19137,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7274777,3.00,5.00,2.00,4.00,3.00,6.38,2.00,2.00,2.00,103,NULL,NULL,'ANDRINO','TUBARÃO','SC',15635,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7274815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,207,'CENTRO','MAL CÂNDIDO RONDON','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7274823,4.00,8.00,1.00,7.00,9.00,9.00,1.00,6.00,2.00,415,NULL,NULL,'XV DE NOVEMBRO','TIJUCAS','SC',9689,155,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274831,4.00,7.00,3.00,6.00,3.00,8.63,5.00,6.00,2.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7274858,0.00,6.00,2.00,6.00,6.00,8.25,4.00,7.00,1.00,203,NULL,NULL,'PAGNONCELLI','PATO BRANCO','PR',8794,504,NULL,NULL,NULL,NULL,NULL,2,7),(28,7274866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'FRANCISCO MATARAZZO','STO ANDRÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7274874,4.00,8.00,2.00,7.00,9.00,7.88,4.00,6.00,5.00,201,NULL,233,'USINA','ANTÔNIO CARLOS','SC',3159,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7274882,0.00,4.00,3.00,4.00,4.00,9.38,1.00,3.00,2.00,220,NULL,601,'ROCIO GRANDE','S FRANCISCO SUL','SC',18991,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7274904,1.00,3.00,2.00,3.00,3.00,10.13,1.00,2.00,1.00,235,NULL,213,'CENTRO','IRACEMÁPOLIS','SP',16959,269,NULL,259,NULL,NULL,NULL,4,1),(28,7274912,4.00,7.00,2.00,5.00,6.00,6.75,4.00,5.00,5.00,103,NULL,NULL,'TREMEMBÉ','S PAULO','SP',6477,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274939,3.00,3.00,1.00,4.00,3.00,7.88,2.00,2.00,3.00,101,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',19618,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7274947,2.00,6.00,3.00,7.00,5.00,8.63,4.00,6.00,1.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14331,180,NULL,NULL,NULL,NULL,NULL,2,1),(28,7274955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,27),(28,7274963,4.00,3.00,3.00,3.00,4.00,8.63,2.00,2.00,2.00,454,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15285,311,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274971,4.00,8.00,3.00,5.00,9.00,11.25,2.00,8.00,6.00,103,NULL,NULL,'FATIMA','OTACÍLIO COSTA','SC',3222,1188,NULL,NULL,NULL,NULL,NULL,2,9),(28,7274980,2.00,4.00,1.00,3.00,4.00,NULL,0.00,3.00,2.00,999,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7274998,3.00,4.00,2.00,4.00,4.00,7.88,1.00,5.00,1.00,552,NULL,NULL,'N SRA APARECIDA','CURITIBANOS','SC',18400,138,NULL,NULL,NULL,NULL,NULL,2,16),(28,7275005,2.00,3.00,1.00,3.00,4.00,6.38,2.00,4.00,2.00,103,NULL,NULL,'ZONA NOVA','CAPÃO CANOA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7275013,1.00,4.00,1.00,5.00,5.00,7.88,2.00,4.00,2.00,207,NULL,601,'BARREIROS','S JOSÉ','SC',19219,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7275021,4.00,7.00,4.00,6.00,5.00,6.38,5.00,4.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8827,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7275048,2.00,6.00,3.00,3.00,9.00,7.88,3.00,6.00,4.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8767,208,NULL,NULL,NULL,NULL,NULL,4,1),(28,7275056,4.00,6.00,4.00,6.00,5.00,7.88,3.00,5.00,5.00,203,NULL,220,'SAO FCO DE ASSIS','BRAÇO NORTE','SC',7463,450,NULL,200,NULL,NULL,NULL,2,10),(28,7275064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7275072,1.00,5.00,2.00,5.00,6.00,9.75,3.00,5.00,3.00,103,NULL,NULL,'JARDIM PEPERI','S MIGUEL OESTE','SC',15815,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7275080,4.00,8.00,3.00,7.00,7.00,9.00,1.00,5.00,4.00,216,NULL,201,'COLATTO','XANXERÊ','SC',5631,209,NULL,NULL,NULL,NULL,NULL,4,4),(28,7275102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7275137,3.00,4.00,4.00,5.00,7.00,7.50,3.00,6.00,2.00,101,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',10651,50,NULL,NULL,NULL,NULL,NULL,4,3),(28,7275145,7.00,8.00,3.00,5.00,8.00,6.75,5.00,6.00,5.00,304,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6775,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7275153,1.00,2.00,1.00,3.00,3.00,6.00,4.00,3.00,2.00,444,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',18280,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7275161,3.00,6.00,2.00,5.00,7.00,10.88,4.00,6.00,1.00,454,NULL,NULL,'CENTRO','GAROPABA','SC',6560,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7275170,5.00,8.00,2.00,7.00,7.00,6.75,4.00,6.00,5.00,104,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',5519,106,NULL,NULL,NULL,NULL,NULL,2,1),(28,7275218,0.00,3.00,1.00,1.00,6.00,7.88,3.00,3.00,0.00,415,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',17892,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7275226,5.00,7.00,4.00,5.00,8.00,7.13,4.00,6.00,4.00,303,NULL,NULL,'CABEÇUDAS','ITAJAÍ','SC',5595,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7275234,5.00,7.00,5.00,6.00,8.00,11.63,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','CIDADE GAÚCHA','PR',1710,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7275242,1.00,3.00,0.00,3.00,2.00,NULL,3.00,4.00,1.00,108,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7275250,3.00,3.00,2.00,3.00,4.00,10.13,1.00,4.00,3.00,340,NULL,NULL,'JARDIM IRIRIÚ','JOINVILLE','SC',18231,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7275269,1.00,7.00,2.00,5.00,3.00,9.00,1.00,6.00,3.00,303,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',16243,554,NULL,NULL,NULL,NULL,NULL,2,1),(28,7275277,0.00,6.00,2.00,3.00,7.00,9.75,2.00,6.00,3.00,337,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',16254,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7275285,2.00,5.00,0.00,5.00,7.00,6.75,0.00,2.00,3.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13957,172,NULL,NULL,NULL,NULL,NULL,4,1),(28,7275293,1.00,5.00,2.00,7.00,4.00,9.00,3.00,5.00,0.00,329,NULL,NULL,'MORRO DA CRUZ','FLORIANÓPOLIS','SC',17023,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7275307,5.00,8.00,3.00,5.00,6.00,6.38,4.00,3.00,2.00,220,NULL,212,'BOM SUCESSO','PALMITOS','SC',7933,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7275323,2.00,7.00,2.00,7.00,9.00,7.88,6.00,5.00,2.00,238,NULL,220,'FORQUILHAS','S JOSÉ','SC',5342,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7275331,2.00,9.00,0.00,5.00,9.00,6.75,3.00,8.00,3.00,103,NULL,NULL,'ITAIM PAULISTA','S PAULO','SP',4512,1421,NULL,NULL,NULL,NULL,NULL,4,8),(28,7275340,0.00,2.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,601,NULL,233,'BORTOLOTO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7275358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7275366,0.00,0.00,2.00,2.00,3.00,8.25,1.00,0.00,2.00,101,NULL,NULL,'CAMPINAS','BOCAÍNA SUL','SC',19658,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7275374,0.00,2.00,1.00,2.00,4.00,NULL,0.00,3.00,1.00,110,NULL,NULL,'RIO SÃO JOÃO','S MARTINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7275382,4.00,7.00,1.00,6.00,6.00,10.88,2.00,6.00,6.00,103,NULL,NULL,'ÁGUA VERDE','CANOINHAS','SC',4444,1413,NULL,NULL,NULL,NULL,NULL,4,17),(28,7275412,0.00,4.00,2.00,2.00,4.00,7.88,0.00,5.00,2.00,201,NULL,202,'MAR GROSSO','LAGUNA','SC',16425,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7275420,3.00,7.00,1.00,5.00,6.00,9.75,1.00,5.00,4.00,207,NULL,215,'VORSTADT','BLUMENAU','SC',9762,NULL,NULL,166,NULL,NULL,NULL,4,1),(28,7275439,1.00,6.00,1.00,5.00,2.00,NULL,0.00,5.00,5.00,234,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7275447,3.00,6.00,3.00,6.00,4.00,7.13,3.00,4.00,4.00,215,NULL,216,'CENTRO','LAGES','SC',12538,211,NULL,NULL,NULL,NULL,NULL,4,1),(28,7275463,3.00,7.00,1.00,4.00,8.00,7.88,3.00,6.00,3.00,216,NULL,220,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',8773,287,NULL,226,NULL,NULL,NULL,4,1),(28,7275471,2.00,5.00,2.00,5.00,5.00,9.75,2.00,4.00,1.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7275480,4.00,8.00,2.00,6.00,9.00,7.88,4.00,5.00,3.00,201,NULL,655,'NÚCLEO TRITÍCOLA','FR ROGÉRIO','SC',5469,NULL,NULL,14,NULL,NULL,NULL,2,16),(28,7275498,0.00,4.00,1.00,6.00,5.00,7.88,1.00,2.00,3.00,999,NULL,NULL,'SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7275501,6.00,8.00,3.00,4.00,5.00,7.50,4.00,6.00,3.00,340,NULL,NULL,'INTERLAGOS','TRÊS LAGOAS','MS',10615,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7275510,2.00,7.00,4.00,7.00,9.00,8.63,3.00,7.00,7.00,415,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',4199,63,NULL,NULL,NULL,NULL,NULL,4,1),(28,7275536,6.00,7.00,5.00,7.00,5.00,8.63,6.00,7.00,6.00,214,NULL,233,'JARDIM PAULISTA','S PAULO','SP',1191,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7275544,2.00,5.00,1.00,4.00,3.00,6.00,0.00,3.00,2.00,208,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7275560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO BRÁS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7275579,0.00,3.00,4.00,2.00,4.00,NULL,3.00,5.00,4.00,5,NULL,NULL,'JARDIM JANAÍNA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7275587,0.00,4.00,1.00,6.00,8.00,NULL,0.00,2.00,2.00,207,NULL,201,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7275595,4.00,4.00,2.00,6.00,9.00,10.13,4.00,6.00,3.00,999,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7275609,3.00,5.00,1.00,6.00,9.00,8.25,4.00,6.00,3.00,230,NULL,NULL,'ROÇA GRANDE','IMBITUBA','SC',7178,3,NULL,NULL,NULL,NULL,NULL,2,10),(28,7275625,7.00,7.00,2.00,6.00,6.00,9.38,4.00,7.00,5.00,103,NULL,NULL,'MORUMBI','CORNÉLIO PROCÓPIO','PR',3144,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7275633,2.00,4.00,1.00,3.00,4.00,8.63,4.00,4.00,1.00,102,NULL,NULL,'CENTRO','LAGES','SC',18464,176,NULL,NULL,NULL,NULL,NULL,4,9),(28,7275641,6.00,7.00,2.00,3.00,5.00,7.88,3.00,5.00,5.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',9668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7275650,0.00,2.00,0.00,4.00,2.00,NULL,1.00,2.00,1.00,424,NULL,423,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7275676,3.00,6.00,2.00,5.00,9.00,8.63,3.00,3.00,8.00,103,NULL,NULL,'ZONA SETE','MARINGÁ','PR',5160,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7275684,1.00,1.00,1.00,2.00,5.00,6.75,2.00,3.00,2.00,415,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',20064,279,NULL,NULL,NULL,NULL,NULL,2,1),(28,7275706,1.00,6.00,3.00,5.00,5.00,7.88,4.00,6.00,4.00,101,NULL,NULL,'BOA PARADA','S PEDRO ALCÂNTARA','SC',10295,46,NULL,NULL,NULL,NULL,NULL,2,1),(28,7275714,0.00,2.00,1.00,5.00,4.00,NULL,1.00,3.00,2.00,654,NULL,NULL,'SÃO FRANCISCO DE ASS','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7275722,3.00,6.00,1.00,6.00,8.00,10.13,5.00,5.00,3.00,213,NULL,653,'TRINDADE','FLORIANÓPOLIS','SC',10227,180,NULL,105,NULL,NULL,NULL,4,1),(28,7275730,4.00,6.00,4.00,5.00,8.00,12.00,4.00,6.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4057,63,NULL,NULL,NULL,NULL,NULL,4,1),(28,7275749,0.00,0.00,3.00,3.00,2.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'CINQUENTENARIO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,3),(28,7275773,1.00,3.00,1.00,5.00,4.00,6.75,0.00,4.00,1.00,655,NULL,NULL,'CIDADE ALTA','TURVO','SC',19665,133,NULL,NULL,NULL,NULL,NULL,4,15),(28,7275790,0.00,4.00,1.00,3.00,3.00,NULL,0.00,4.00,1.00,450,NULL,NULL,'MONTE ALEGRE','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7275803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'SÃO CRISTÓVÃO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7275811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7275820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,211,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7275838,2.00,5.00,2.00,4.00,4.00,7.50,3.00,5.00,1.00,427,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7275846,1.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,3.00,444,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7275854,2.00,5.00,0.00,7.00,7.00,6.00,4.00,4.00,2.00,501,NULL,NULL,'PARATY','MARÍLIA','SP',16409,100,NULL,NULL,NULL,NULL,NULL,4,1),(28,7275889,2.00,4.00,4.00,4.00,4.00,7.88,0.00,3.00,4.00,103,NULL,NULL,'VILA ALVORADA','IMBITUBA','SC',14184,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7275897,3.00,5.00,1.00,7.00,8.00,6.00,3.00,3.00,3.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12610,74,NULL,NULL,NULL,NULL,NULL,4,1),(28,7275900,2.00,5.00,0.00,2.00,6.00,9.00,4.00,3.00,1.00,220,NULL,601,'SÃO SEBASTIÃO','PALHOÇA','SC',14876,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7275927,0.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7275935,2.00,4.00,4.00,5.00,6.00,9.38,3.00,4.00,2.00,309,NULL,NULL,'SERRARIA','S JOSÉ','SC',15938,33,NULL,NULL,NULL,NULL,NULL,2,1),(28,7275951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'INTERIOR','NOVO HORIZONTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7275986,2.00,5.00,1.00,3.00,3.00,7.88,1.00,3.00,3.00,103,NULL,NULL,'MUNICIPIOS','BAL CAMBORIÚ','SC',15888,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7276001,5.00,7.00,4.00,5.00,7.00,6.38,4.00,5.00,6.00,201,NULL,212,'ESTREITO','FLORIANÓPOLIS','SC',5649,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276028,2.00,5.00,1.00,5.00,4.00,7.13,1.00,4.00,5.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7276036,0.00,4.00,2.00,6.00,2.00,NULL,2.00,3.00,3.00,303,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7276060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELENZINHO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7276079,3.00,6.00,2.00,6.00,9.00,6.75,5.00,6.00,5.00,203,NULL,220,'CENTRO','CHAPECÓ','SC',4026,NULL,NULL,118,NULL,NULL,NULL,4,4),(28,7276095,5.00,6.00,2.00,5.00,7.00,9.00,3.00,6.00,4.00,103,NULL,NULL,'KOLLER','ERECHIM','RS',10390,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7276109,0.00,3.00,3.00,2.00,3.00,3.00,3.00,4.00,1.00,552,NULL,NULL,'N SRA APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7276117,2.00,7.00,3.00,5.00,10.00,6.38,5.00,7.00,5.00,214,NULL,212,'CENTRO','BRAÇO NORTE','SC',2806,104,NULL,82,NULL,NULL,NULL,4,1),(28,7276125,0.00,5.00,0.00,4.00,5.00,NULL,2.00,2.00,2.00,551,NULL,NULL,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7276141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TATUAPÉ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7276150,1.00,4.00,2.00,5.00,6.00,6.75,2.00,2.00,2.00,415,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7276168,1.00,9.00,2.00,6.00,7.00,13.13,3.00,6.00,0.00,426,NULL,428,'CAMPECHE','FLORIANÓPOLIS','SC',11964,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276176,4.00,7.00,1.00,5.00,6.00,8.25,4.00,5.00,5.00,340,NULL,NULL,'BELA VISTA','S JOSÉ','SC',6502,167,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276184,3.00,6.00,2.00,6.00,5.00,8.25,2.00,4.00,6.00,104,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',8227,193,NULL,NULL,NULL,NULL,NULL,2,1),(28,7276192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLOR DA SERRA','RIO B IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7276206,5.00,7.00,2.00,4.00,9.00,10.50,2.00,6.00,6.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',3645,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276214,6.00,8.00,2.00,7.00,8.00,10.88,2.00,7.00,6.00,103,NULL,NULL,'CENTRO','TUPÃ','SP',2210,936,NULL,NULL,NULL,NULL,NULL,4,3),(28,7276230,0.00,4.00,2.00,5.00,6.00,6.75,3.00,4.00,2.00,502,NULL,NULL,'INTERIOR','URUBICI','SC',14851,30,NULL,NULL,NULL,NULL,NULL,2,1),(28,7276249,4.00,7.00,4.00,7.00,4.00,7.13,1.00,4.00,4.00,503,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8569,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276265,2.00,4.00,0.00,5.00,6.00,7.13,1.00,5.00,2.00,454,NULL,NULL,'PENHA','IJUÍ','RS',12884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276273,2.00,5.00,1.00,6.00,5.00,4.50,0.00,4.00,0.00,201,NULL,655,'CENTRO','CRICIÚMA','SC',19703,1049,NULL,NULL,NULL,NULL,NULL,4,5),(28,7276281,0.00,4.00,2.00,5.00,4.00,6.38,3.00,2.00,1.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276290,0.00,4.00,1.00,5.00,6.00,NULL,0.00,2.00,1.00,450,NULL,NULL,'SERRANO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7276303,2.00,3.00,1.00,2.00,3.00,3.00,1.00,0.00,1.00,502,NULL,NULL,'PARQUE SÃO BENTO','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276311,1.00,5.00,2.00,6.00,8.00,10.13,3.00,4.00,4.00,211,NULL,653,'CENTRO','PALMITOS','SC',8466,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7276320,3.00,8.00,3.00,7.00,8.00,9.75,3.00,6.00,4.00,216,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',3519,130,NULL,84,NULL,NULL,NULL,4,1),(28,7276338,1.00,2.00,1.00,3.00,5.00,8.63,1.00,3.00,3.00,211,NULL,201,'CENTRO','JOAÇABA','SC',15704,390,NULL,NULL,NULL,NULL,NULL,2,7),(28,7276346,4.00,6.00,4.00,6.00,5.00,7.50,7.00,4.00,6.00,216,NULL,203,'VILA LEOPOLDINA','S PAULO','SP',3264,119,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276354,1.00,6.00,1.00,1.00,4.00,9.00,2.00,4.00,3.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',15229,534,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276362,0.00,4.00,0.00,2.00,3.00,NULL,1.00,2.00,2.00,304,NULL,NULL,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7276370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,601,'JARDIM ALVORADA','CÂNDIDO MOTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7276389,0.00,2.00,2.00,6.00,3.00,NULL,1.00,2.00,2.00,211,NULL,215,'BAIRRO FETT','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7276397,2.00,7.00,4.00,7.00,8.00,8.25,4.00,6.00,3.00,104,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',4748,83,NULL,NULL,NULL,NULL,NULL,2,1),(28,7276400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PRAIA MOLE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7276419,2.00,4.00,1.00,5.00,5.00,6.00,1.00,4.00,3.00,108,NULL,NULL,'N S DA SALETE','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7276435,5.00,6.00,2.00,6.00,8.00,7.50,4.00,4.00,5.00,201,NULL,203,'CENTRO','FLORIANÓPOLIS','SC',6350,487,NULL,407,NULL,NULL,NULL,4,1),(28,7276443,6.00,8.00,4.00,4.00,7.00,9.38,3.00,6.00,6.00,103,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',3402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276460,4.00,7.00,2.00,6.00,7.00,7.50,4.00,4.00,1.00,104,NULL,NULL,'CENTRO','ARVOREDO','SC',8402,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7276478,1.00,5.00,2.00,6.00,5.00,6.38,2.00,4.00,2.00,317,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',18098,154,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276486,1.00,5.00,2.00,6.00,5.00,7.88,2.00,4.00,2.00,444,NULL,NULL,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',15506,86,NULL,NULL,NULL,NULL,NULL,2,1),(28,7276494,2.00,6.00,1.00,5.00,2.00,NULL,0.00,5.00,2.00,318,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7276508,3.00,5.00,1.00,6.00,4.00,7.50,2.00,3.00,2.00,207,NULL,215,'CIDADE ALTA','TURVO','SC',13165,595,NULL,224,NULL,NULL,NULL,4,15),(28,7276516,5.00,7.00,3.00,7.00,8.00,7.88,3.00,6.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5945,271,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276524,2.00,5.00,1.00,7.00,6.00,8.25,5.00,5.00,2.00,303,NULL,NULL,'BARRO VERMELHOR','ORLEANS','SC',15108,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7276532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SOCORRO','PINDAMONHANGABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7276567,0.00,2.00,2.00,7.00,4.00,5.25,1.00,3.00,2.00,999,NULL,NULL,'PLANALTO VERDE','CAMBÉ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276575,3.00,6.00,1.00,4.00,6.00,7.88,1.00,6.00,3.00,102,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10991,103,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276583,0.00,4.00,2.00,4.00,3.00,NULL,0.00,1.00,0.00,415,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7276591,4.00,6.00,0.00,5.00,6.00,6.38,2.00,4.00,3.00,9,NULL,NULL,'CORAL','LAGES','SC',13520,93,NULL,NULL,NULL,NULL,NULL,2,9),(28,7276605,1.00,2.00,0.00,5.00,5.00,7.88,2.00,3.00,3.00,103,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',16489,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7276613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,202,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7276621,1.00,4.00,1.00,0.00,5.00,5.63,1.00,3.00,2.00,303,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',18389,589,NULL,NULL,NULL,NULL,NULL,2,1),(28,7276630,3.00,3.00,2.00,5.00,3.00,6.00,3.00,3.00,3.00,201,NULL,207,'BOSQUE DAS MANSÕES','S JOSÉ','SC',18973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276648,2.00,4.00,2.00,6.00,6.00,7.50,2.00,6.00,3.00,211,NULL,601,'SÃO VICENTE','ITAJAÍ','SC',11918,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7276664,3.00,8.00,2.00,7.00,5.00,11.25,4.00,5.00,2.00,238,NULL,235,'PRAIA COMPRIDA','S JOSÉ','SC',10363,154,NULL,168,NULL,NULL,NULL,5,1),(28,7276672,3.00,7.00,1.00,6.00,4.00,9.00,2.00,5.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15319,415,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276680,3.00,7.00,2.00,7.00,7.00,7.50,3.00,6.00,5.00,220,NULL,213,'CENTRO','URUSSANGA','SC',6332,NULL,NULL,103,NULL,NULL,NULL,4,5),(28,7276699,1.00,4.00,0.00,5.00,2.00,NULL,0.00,2.00,1.00,333,NULL,NULL,'PEREQUE','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7276702,1.00,6.00,1.00,5.00,5.00,6.75,2.00,5.00,4.00,317,NULL,NULL,'N SENHORA DO ROSÁRIO','S JOSÉ','SC',13162,75,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276710,0.00,6.00,0.00,2.00,6.00,5.25,2.00,5.00,3.00,428,NULL,425,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276729,4.00,8.00,2.00,6.00,10.00,9.38,7.00,7.00,7.00,653,NULL,233,'CENTRO','TUBARÃO','SC',1792,5,NULL,NULL,NULL,NULL,NULL,4,10),(28,7276737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAGRADO CORAÇÃO DE J','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7276745,2.00,7.00,1.00,5.00,5.00,9.75,2.00,7.00,3.00,5,NULL,NULL,'ROÇADO','S JOSÉ','SC',9821,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7276753,0.00,4.00,2.00,3.00,5.00,4.88,4.00,3.00,3.00,303,NULL,NULL,'BELA ALIANÇA','RIO SUL','SC',16253,555,NULL,NULL,NULL,NULL,NULL,2,24),(28,7276761,1.00,5.00,4.00,5.00,5.00,6.38,2.00,4.00,4.00,303,NULL,NULL,'CENTRO','CAÇADOR','SC',11755,454,NULL,NULL,NULL,NULL,NULL,2,25),(28,7276770,3.00,3.00,2.00,3.00,3.00,9.00,2.00,4.00,1.00,331,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',17131,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276788,0.00,4.00,2.00,4.00,4.00,8.25,2.00,4.00,4.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',17831,985,NULL,756,NULL,NULL,NULL,4,1),(28,7276800,0.00,4.00,2.00,6.00,3.00,NULL,2.00,3.00,2.00,201,NULL,212,'CRISTAL','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7276850,1.00,7.00,1.00,7.00,6.00,5.63,4.00,6.00,3.00,303,NULL,NULL,'CACUPE','FLORIANÓPOLIS','SC',13855,512,NULL,NULL,NULL,NULL,NULL,4,1),(28,7276869,1.00,6.00,0.00,4.00,6.00,7.13,0.00,4.00,2.00,216,NULL,215,'MARTORANO','S JOAQUIM','SC',13472,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7276877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7276893,4.00,5.00,1.00,3.00,5.00,4.50,4.00,5.00,2.00,652,NULL,655,'JARDIM CIBELE','ARARANGUÁ','SC',18377,91,NULL,114,NULL,NULL,NULL,2,15),(28,7276931,1.00,4.00,2.00,5.00,2.00,NULL,2.00,1.00,2.00,404,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7276940,3.00,3.00,2.00,5.00,6.00,7.13,2.00,5.00,2.00,216,NULL,215,'CENTRO','AGRONÔMICA','SC',13955,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7276958,1.00,4.00,2.00,5.00,4.00,5.25,3.00,4.00,2.00,104,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',19270,454,NULL,NULL,NULL,NULL,NULL,2,1),(28,7276982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,213,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7276990,4.00,6.00,1.00,7.00,5.00,10.88,2.00,6.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6585,297,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277008,0.00,3.00,0.00,1.00,2.00,NULL,1.00,3.00,1.00,444,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7277024,3.00,5.00,1.00,6.00,8.00,10.13,3.00,6.00,4.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',7138,1782,NULL,NULL,NULL,NULL,NULL,2,1),(28,7277032,2.00,6.00,1.00,3.00,7.00,7.50,1.00,5.00,3.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277040,2.00,3.00,3.00,4.00,4.00,7.13,1.00,2.00,3.00,309,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',17401,43,NULL,NULL,NULL,NULL,NULL,2,1),(28,7277059,3.00,6.00,1.00,5.00,7.00,8.63,1.00,6.00,5.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',7984,1897,NULL,NULL,NULL,NULL,NULL,4,6),(28,7277067,6.00,8.00,1.00,6.00,6.00,6.38,2.00,4.00,4.00,207,NULL,238,'ROÇADO','S JOSÉ','SC',8029,369,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277075,5.00,7.00,2.00,6.00,7.00,12.75,5.00,5.00,4.00,201,NULL,233,'ESTREITO','ALFREDO WAGNER','SC',3445,262,NULL,NULL,NULL,NULL,NULL,2,1),(28,7277091,2.00,8.00,3.00,7.00,7.00,7.88,3.00,2.00,2.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9694,156,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277105,0.00,5.00,3.00,5.00,3.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7277113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7277121,1.00,3.00,0.00,4.00,3.00,5.63,1.00,3.00,1.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18723,86,NULL,NULL,NULL,NULL,NULL,2,1),(28,7277130,3.00,8.00,2.00,5.00,7.00,7.88,6.00,7.00,3.00,203,NULL,220,'CAJURU','CURITIBA','PR',5676,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7277164,3.00,3.00,0.00,2.00,3.00,7.88,1.00,4.00,1.00,215,NULL,211,'SÃO SEBASTIÃO','PALHOÇA','SC',17237,276,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277172,3.00,7.00,3.00,6.00,5.00,10.88,3.00,5.00,6.00,103,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',3108,1160,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277180,0.00,5.00,4.00,5.00,5.00,NULL,2.00,4.00,1.00,653,NULL,211,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7277199,0.00,2.00,2.00,4.00,3.00,3.00,2.00,3.00,1.00,404,NULL,NULL,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7277202,3.00,6.00,3.00,4.00,4.00,6.75,2.00,4.00,4.00,201,NULL,212,'ALTO RIO FORTUNA','RIO FORTUNA','SC',11660,753,NULL,327,NULL,NULL,NULL,2,10),(28,7277210,2.00,3.00,1.00,6.00,6.00,5.25,5.00,5.00,2.00,238,NULL,652,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10436,158,NULL,23,NULL,NULL,NULL,4,1),(28,7277229,1.00,3.00,2.00,2.00,4.00,NULL,0.00,1.00,1.00,103,NULL,NULL,'PROGRESSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7277237,1.00,5.00,4.00,2.00,4.00,5.25,2.00,3.00,2.00,317,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',18068,153,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277245,2.00,7.00,2.00,4.00,5.00,8.63,2.00,4.00,5.00,340,NULL,NULL,'ESPORTES','XANXERÊ','SC',9429,263,NULL,NULL,NULL,NULL,NULL,2,4),(28,7277253,3.00,5.00,3.00,4.00,6.00,5.63,3.00,2.00,2.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',18584,72,NULL,NULL,NULL,NULL,NULL,2,1),(28,7277270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'OPERÁRIO','TRÊS PASSOS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7277296,5.00,7.00,1.00,7.00,6.00,10.88,2.00,4.00,5.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5367,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277300,3.00,4.00,3.00,4.00,4.00,NULL,0.00,5.00,3.00,203,NULL,213,'CENTRO','OURO VERDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7277318,3.00,4.00,1.00,4.00,4.00,7.50,4.00,5.00,3.00,223,NULL,NULL,'CENTRO','ITAJAÍ','SC',17603,34,NULL,NULL,NULL,NULL,NULL,4,6),(28,7277326,1.00,4.00,2.00,2.00,4.00,5.63,2.00,6.00,3.00,233,NULL,238,'CAMPECHE','FLORIANÓPOLIS','SC',19563,NULL,NULL,337,NULL,NULL,NULL,4,1),(28,7277334,1.00,2.00,3.00,2.00,5.00,6.38,2.00,2.00,1.00,5,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277342,1.00,3.00,2.00,5.00,5.00,7.88,2.00,3.00,0.00,552,NULL,NULL,'ENCANO DO NORTE','INDAIAL','SC',16199,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7277350,3.00,6.00,1.00,6.00,4.00,9.75,3.00,5.00,0.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15729,114,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277369,8.00,7.00,4.00,7.00,10.00,9.00,6.00,6.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',250,193,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277377,2.00,6.00,3.00,7.00,8.00,10.13,2.00,5.00,3.00,104,NULL,NULL,'SANTO ANTONIO','CRICIÚMA','SC',6586,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7277385,0.00,3.00,1.00,6.00,6.00,NULL,3.00,2.00,3.00,213,NULL,216,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7277415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7277431,2.00,5.00,0.00,0.00,5.00,NULL,0.00,4.00,2.00,201,NULL,207,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277440,4.00,7.00,3.00,5.00,8.00,6.75,5.00,4.00,4.00,654,NULL,NULL,'CENTRO','ARARANGUÁ','SC',6317,4,NULL,NULL,NULL,NULL,NULL,4,15),(28,7277474,1.00,2.00,2.00,4.00,3.00,4.88,1.00,3.00,2.00,653,NULL,655,'ERECHIN','BAL ARROIO SILVA','SC',18936,203,NULL,123,NULL,NULL,NULL,2,15),(28,7277490,3.00,3.00,1.00,6.00,7.00,7.88,1.00,5.00,2.00,319,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',13475,256,NULL,NULL,NULL,NULL,NULL,2,1),(28,7277504,3.00,6.00,3.00,4.00,7.00,7.13,2.00,6.00,2.00,421,NULL,427,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',16103,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'BATEAS','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,22),(28,7277520,3.00,5.00,2.00,7.00,5.00,6.38,3.00,5.00,3.00,207,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16766,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277539,2.00,3.00,2.00,3.00,4.00,NULL,0.00,4.00,3.00,450,NULL,NULL,'RIO VERMEHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7277555,5.00,7.00,4.00,7.00,7.00,7.13,3.00,6.00,6.00,103,NULL,NULL,'SANTA GENOVEVA','GOIÂNIA','GO',2654,1056,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277571,5.00,7.00,3.00,6.00,6.00,11.25,5.00,7.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3607,134,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277580,1.00,3.00,1.00,4.00,5.00,NULL,0.00,3.00,0.00,9,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277598,3.00,0.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,202,NULL,601,'QUARTEL','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,25),(28,7277601,3.00,5.00,3.00,5.00,6.00,6.75,2.00,3.00,2.00,104,NULL,NULL,'VISTA ALEGRE','LIMEIRA','SP',11455,282,NULL,NULL,NULL,NULL,NULL,2,1),(28,7277610,1.00,5.00,4.00,6.00,4.00,5.63,2.00,4.00,3.00,333,NULL,NULL,'COSTA DE DENTRO','FLORIANÓPOLIS','SC',14788,91,NULL,NULL,NULL,NULL,NULL,2,1),(28,7277628,5.00,6.00,2.00,5.00,5.00,7.13,3.00,5.00,4.00,415,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8734,140,NULL,NULL,NULL,NULL,NULL,1,1),(28,7277636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7277644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'JARDINS','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7277652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7277660,1.00,5.00,4.00,7.00,5.00,9.38,0.00,1.00,3.00,601,NULL,216,'PARANAGUAMIRIM','JOINVILLE','SC',10634,303,NULL,NULL,NULL,NULL,NULL,2,8),(28,7277679,5.00,6.00,3.00,7.00,5.00,8.63,3.00,6.00,2.00,319,NULL,NULL,'BALNEARIO DANIELA','FLORIANÓPOLIS','SC',13580,261,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277687,2.00,4.00,0.00,3.00,3.00,NULL,1.00,3.00,3.00,216,NULL,215,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277695,2.00,9.00,2.00,7.00,10.00,10.13,3.00,7.00,5.00,303,NULL,NULL,'RIO MORTO','INDAIAL','SC',3364,154,NULL,NULL,NULL,NULL,NULL,4,2),(28,7277709,0.00,5.00,1.00,4.00,4.00,6.75,2.00,4.00,2.00,103,NULL,NULL,'SÃO FRANCISCO','S BERNARDINO','SC',16506,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7277717,4.00,6.00,1.00,6.00,6.00,9.38,2.00,6.00,6.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277725,3.00,3.00,4.00,5.00,3.00,7.50,3.00,2.00,3.00,999,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7277750,2.00,3.00,1.00,3.00,8.00,6.00,0.00,5.00,2.00,208,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',19247,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277768,1.00,4.00,1.00,3.00,5.00,6.75,3.00,3.00,2.00,316,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',18794,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7277776,0.00,2.00,1.00,3.00,4.00,8.63,2.00,4.00,1.00,103,NULL,NULL,'JARDIM GOIAS','GOIÂNIA','GO',17287,2447,NULL,NULL,NULL,NULL,NULL,2,1),(28,7277784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7277792,5.00,7.00,1.00,6.00,4.00,7.50,0.00,3.00,4.00,999,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7277806,2.00,7.00,1.00,7.00,6.00,8.63,2.00,6.00,4.00,207,NULL,653,'CIDADE ALTA','TURVO','SC',6358,295,NULL,66,NULL,NULL,NULL,2,5),(28,7277822,1.00,7.00,4.00,7.00,7.00,9.38,3.00,6.00,3.00,208,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',7958,78,NULL,NULL,NULL,NULL,NULL,4,6),(28,7277830,1.00,5.00,2.00,1.00,2.00,NULL,2.00,2.00,3.00,102,NULL,NULL,'CAMPESTRE','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7277849,5.00,7.00,3.00,6.00,6.00,6.00,5.00,6.00,4.00,220,NULL,655,'MAR GROSSO','LAGUNA','SC',5189,156,NULL,12,NULL,NULL,NULL,2,10),(28,7277873,3.00,6.00,2.00,5.00,8.00,12.00,3.00,6.00,5.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',3974,1319,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277881,3.00,3.00,1.00,2.00,4.00,6.00,7.00,1.00,2.00,551,NULL,NULL,'SANTO ANTONIO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7277890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD GIRASSOL','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7277903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7277911,2.00,6.00,3.00,7.00,8.00,8.63,4.00,6.00,4.00,318,NULL,NULL,'AGUA RASA','S PAULO','SP',10417,69,NULL,NULL,NULL,NULL,NULL,4,8),(28,7277920,1.00,5.00,3.00,4.00,4.00,7.13,2.00,6.00,1.00,238,NULL,235,'FORQUILINHAS','S JOSÉ','SC',18194,318,NULL,278,NULL,NULL,NULL,4,1),(28,7277938,1.00,4.00,2.00,7.00,5.00,8.63,3.00,4.00,1.00,501,NULL,NULL,'CENTRO','CURITIBANOS','SC',11963,64,NULL,NULL,NULL,NULL,NULL,4,16),(28,7277954,2.00,4.00,1.00,3.00,6.00,7.50,2.00,1.00,1.00,201,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7277962,1.00,4.00,3.00,1.00,3.00,4.50,2.00,2.00,3.00,108,NULL,NULL,'EGITO','ANTÔNIO CARLOS','SC',18683,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7277970,5.00,5.00,2.00,5.00,5.00,6.75,4.00,4.00,4.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',11023,44,NULL,NULL,NULL,NULL,NULL,2,1),(28,7277989,3.00,6.00,1.00,6.00,7.00,6.75,2.00,3.00,5.00,233,NULL,211,'BARREIROS','S JOSÉ','SC',11387,261,NULL,297,NULL,NULL,NULL,2,1),(28,7278004,2.00,5.00,2.00,7.00,7.00,7.13,2.00,6.00,2.00,450,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15309,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278020,4.00,7.00,2.00,6.00,8.00,10.13,4.00,7.00,3.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',2677,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SANTA QUITERIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7278055,6.00,6.00,2.00,6.00,7.00,10.50,5.00,8.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2846,1101,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'VILA DO SALTO','LUIZ ALVES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7278080,2.00,6.00,0.00,4.00,6.00,7.88,2.00,3.00,4.00,102,NULL,NULL,'CRISTO REI','FRANCISCO BELTRÃO','PR',12355,116,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278101,1.00,3.00,2.00,2.00,2.00,NULL,1.00,1.00,2.00,999,NULL,NULL,'NOSSA SENHORA DO ROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278110,2.00,6.00,2.00,2.00,4.00,5.63,1.00,5.00,1.00,999,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278136,2.00,4.00,3.00,5.00,5.00,8.25,2.00,2.00,1.00,238,NULL,213,'MORRO DA BINA','BIGUAÇU','SC',15255,252,NULL,242,NULL,NULL,NULL,2,1),(28,7278144,0.00,3.00,2.00,3.00,2.00,NULL,1.00,3.00,2.00,302,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278152,1.00,4.00,2.00,3.00,2.00,NULL,2.00,3.00,4.00,308,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278160,2.00,8.00,3.00,6.00,5.00,9.00,4.00,6.00,4.00,201,NULL,653,'JD PAULISTA','LIMEIRA','SP',4637,NULL,NULL,36,NULL,NULL,NULL,4,1),(28,7278187,1.00,6.00,0.00,7.00,5.00,6.00,1.00,2.00,0.00,303,NULL,NULL,'SAO SEBASTIAO','PALHOÇA','SC',15542,538,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278195,1.00,4.00,1.00,4.00,3.00,7.50,1.00,4.00,0.00,316,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',18308,266,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,428,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7278217,2.00,5.00,1.00,1.00,5.00,8.25,1.00,4.00,2.00,552,NULL,NULL,'BEATRIZ','LAGES','SC',15671,108,NULL,NULL,NULL,NULL,NULL,4,9),(28,7278225,5.00,5.00,2.00,5.00,7.00,9.75,2.00,5.00,5.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',7663,235,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278233,0.00,3.00,4.00,2.00,3.00,7.50,2.00,1.00,2.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',18682,476,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278241,3.00,5.00,3.00,3.00,3.00,6.38,3.00,3.00,4.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17987,255,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278250,3.00,3.00,2.00,3.00,4.00,7.50,2.00,5.00,3.00,310,NULL,NULL,'AREIAS','S JOSÉ','SC',15257,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278268,0.00,2.00,2.00,4.00,5.00,8.25,0.00,4.00,3.00,302,NULL,NULL,'CENTRO','BIGUAÇU','SC',14938,106,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278284,4.00,7.00,1.00,7.00,9.00,6.00,3.00,4.00,4.00,223,NULL,NULL,'CENTRO','PALHOÇA','SC',12690,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278306,6.00,7.00,5.00,6.00,7.00,10.50,3.00,5.00,4.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6278,159,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278314,0.00,0.00,2.00,3.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7278322,1.00,5.00,3.00,6.00,4.00,7.50,2.00,4.00,2.00,316,NULL,NULL,'XV DE NOVEMBRO','TIJUCAS','SC',11799,122,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278330,3.00,6.00,2.00,7.00,7.00,9.00,1.00,7.00,2.00,316,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',7524,62,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278349,5.00,6.00,3.00,7.00,9.00,9.00,5.00,6.00,2.00,235,NULL,202,'CENTRO','GAROPABA','SC',5499,95,NULL,152,NULL,NULL,NULL,4,1),(28,7278365,1.00,3.00,2.00,5.00,7.00,9.38,1.00,5.00,6.00,331,NULL,NULL,'CENTRO','PALHOÇA','SC',11897,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278373,0.00,4.00,3.00,4.00,1.00,NULL,0.00,3.00,1.00,316,NULL,NULL,'ESMERALDA','MARÍLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278381,2.00,4.00,2.00,5.00,5.00,5.63,2.00,3.00,2.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16646,102,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278403,4.00,7.00,2.00,4.00,6.00,7.50,3.00,3.00,4.00,207,NULL,215,'CENTRO','CRICIÚMA','SC',14998,663,NULL,NULL,NULL,NULL,NULL,4,5),(28,7278411,1.00,3.00,3.00,6.00,5.00,4.50,2.00,3.00,5.00,235,NULL,238,'FLORESTA','S JOSÉ','SC',15753,252,NULL,267,NULL,NULL,NULL,2,1),(28,7278420,2.00,5.00,2.00,6.00,7.00,6.75,3.00,5.00,3.00,999,NULL,NULL,'GLÓRIA','RIO CEDROS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7278438,4.00,6.00,1.00,4.00,7.00,6.75,2.00,5.00,6.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',12742,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278446,0.00,5.00,0.00,0.00,7.00,NULL,3.00,3.00,4.00,503,NULL,NULL,'XV DE NOVEMBRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(28,7278454,4.00,7.00,2.00,7.00,7.00,6.00,3.00,6.00,4.00,201,NULL,653,'ESCOLA AGRICOLA','BLUMENAU','SC',4477,NULL,NULL,34,NULL,NULL,NULL,4,2),(28,7278489,7.00,8.00,6.00,6.00,10.00,8.25,5.00,7.00,7.00,203,NULL,220,'BARREIROS','S JOSÉ','SC',723,69,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278497,0.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,211,NULL,653,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(28,7278500,2.00,5.00,2.00,5.00,7.00,6.00,2.00,5.00,3.00,110,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',16869,83,NULL,NULL,NULL,NULL,NULL,2,15),(28,7278519,4.00,5.00,2.00,7.00,10.00,10.88,1.00,5.00,3.00,502,NULL,NULL,'CAMPINAS','S JOSÉ','SC',8684,2,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278527,3.00,5.00,3.00,3.00,4.00,7.13,4.00,3.00,4.00,304,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',17448,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278535,5.00,5.00,3.00,4.00,6.00,7.13,4.00,3.00,1.00,238,NULL,233,'AREIAS','S JOSÉ','SC',12212,200,NULL,274,NULL,NULL,NULL,4,1),(28,7278543,7.00,7.00,6.00,7.00,10.00,10.50,7.00,7.00,6.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',399,285,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278551,4.00,6.00,1.00,5.00,5.00,9.00,5.00,5.00,2.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',9599,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7278560,2.00,6.00,0.00,5.00,7.00,6.75,3.00,3.00,1.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13412,499,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278578,1.00,5.00,3.00,7.00,3.00,6.38,1.00,4.00,2.00,216,NULL,201,'CAMPO GRANDE','S PAULO','SP',18632,446,NULL,1017,NULL,NULL,NULL,4,1),(28,7278586,1.00,7.00,2.00,3.00,4.00,4.50,3.00,6.00,3.00,207,NULL,201,'COSTEIRA','FLORIANÓPOLIS','SC',18310,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278608,4.00,7.00,2.00,7.00,7.00,9.00,3.00,5.00,4.00,340,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',5421,135,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278616,4.00,5.00,1.00,6.00,8.00,10.13,3.00,6.00,6.00,212,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',8617,258,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7278659,1.00,5.00,2.00,3.00,4.00,7.88,1.00,4.00,3.00,415,NULL,NULL,'SERRARIA','S JOSÉ','SC',14495,231,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,655,'MINA DO TOCO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7278675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TAPURAH','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7278683,3.00,6.00,1.00,6.00,9.00,8.25,4.00,5.00,5.00,302,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',10155,58,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278713,2.00,4.00,3.00,4.00,6.00,7.50,3.00,4.00,3.00,652,NULL,655,'COLONINHA','ARARANGUÁ','SC',17178,76,NULL,NULL,NULL,NULL,NULL,2,15),(28,7278721,3.00,6.00,2.00,7.00,7.00,7.13,5.00,4.00,5.00,207,NULL,215,'BRUSQUE','LAGES','SC',6126,283,NULL,89,NULL,NULL,NULL,4,9),(28,7278756,3.00,9.00,1.00,6.00,8.00,9.00,3.00,6.00,3.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9139,377,NULL,NULL,NULL,NULL,NULL,4,3),(28,7278772,3.00,3.00,2.00,5.00,4.00,8.25,3.00,4.00,3.00,501,NULL,NULL,'CENTRO','LAURO MÜLLER','SC',11672,62,NULL,NULL,NULL,NULL,NULL,2,5),(28,7278802,0.00,4.00,1.00,6.00,7.00,7.88,2.00,3.00,3.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278810,1.00,2.00,1.00,2.00,2.00,NULL,2.00,2.00,2.00,340,NULL,NULL,'GUILHERME REICH','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7278837,7.00,9.00,1.00,7.00,8.00,9.75,3.00,7.00,5.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',1295,675,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278845,0.00,4.00,2.00,5.00,4.00,6.00,1.00,4.00,3.00,108,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278853,1.00,3.00,0.00,6.00,5.00,NULL,3.00,3.00,1.00,103,NULL,NULL,'N SENHORA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7278888,0.00,3.00,4.00,2.00,3.00,6.00,0.00,6.00,0.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7278900,1.00,6.00,1.00,5.00,7.00,10.88,5.00,6.00,2.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',9010,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278918,6.00,7.00,1.00,5.00,5.00,11.25,3.00,5.00,3.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278926,3.00,4.00,2.00,3.00,3.00,6.38,2.00,2.00,4.00,303,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',15739,540,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278934,1.00,4.00,4.00,6.00,5.00,8.25,3.00,2.00,4.00,201,NULL,207,'BATEL','CURITIBA','PR',11234,NULL,NULL,NULL,NULL,NULL,NULL,5,8),(28,7278950,5.00,6.00,3.00,4.00,8.00,7.88,5.00,6.00,5.00,340,NULL,NULL,'PAULO DE FRONTIM','CRICIÚMA','SC',4335,104,NULL,NULL,NULL,NULL,NULL,4,5),(28,7278969,3.00,4.00,3.00,4.00,6.00,6.38,4.00,4.00,2.00,426,NULL,429,'CENTRO','FLORIANÓPOLIS','SC',17503,32,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278977,4.00,7.00,2.00,5.00,7.00,11.25,4.00,6.00,3.00,326,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4487,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7278985,4.00,7.00,2.00,7.00,8.00,8.25,4.00,6.00,4.00,552,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',6976,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7278993,5.00,6.00,4.00,6.00,5.00,8.63,2.00,5.00,4.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',5178,1517,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279000,4.00,7.00,3.00,7.00,5.00,5.63,2.00,4.00,4.00,9,NULL,NULL,'SERRARIA','S JOSÉ','SC',14507,106,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279019,5.00,6.00,2.00,4.00,8.00,8.63,4.00,5.00,4.00,340,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',5474,137,NULL,NULL,NULL,NULL,NULL,4,1),(28,7279027,1.00,5.00,1.00,3.00,6.00,5.63,2.00,5.00,2.00,444,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7279035,3.00,5.00,3.00,5.00,4.00,8.25,2.00,4.00,1.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',12526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7279043,7.00,6.00,5.00,4.00,5.00,7.13,5.00,6.00,8.00,203,NULL,214,'HIGIENÓPOLIS','PIRACICABA','SP',2458,193,NULL,89,NULL,NULL,NULL,4,1),(28,7279051,0.00,1.00,2.00,5.00,2.00,NULL,3.00,3.00,4.00,653,NULL,213,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7279060,2.00,6.00,2.00,5.00,6.00,8.25,4.00,4.00,2.00,202,NULL,203,'CENTRO','BRUSQUE','SC',10782,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7279078,1.00,4.00,2.00,3.00,3.00,7.13,3.00,6.00,2.00,601,NULL,201,'SAGUAÇÚ','JOINVILLE','SC',18247,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7279086,2.00,5.00,2.00,6.00,4.00,9.75,2.00,4.00,3.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(28,7279094,2.00,7.00,4.00,6.00,4.00,7.88,2.00,4.00,2.00,211,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',10768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7279108,0.00,3.00,3.00,4.00,4.00,NULL,2.00,1.00,2.00,601,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,8),(28,7279116,0.00,7.00,1.00,4.00,2.00,NULL,1.00,4.00,3.00,331,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279124,2.00,5.00,3.00,2.00,5.00,7.13,3.00,4.00,2.00,202,NULL,235,'CENTRO','AURORA','SC',12988,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7279132,5.00,7.00,3.00,6.00,7.00,12.00,5.00,6.00,7.00,201,NULL,203,'CARANDA BOSQUE','CPO GRANDE','MS',1108,57,NULL,NULL,NULL,NULL,NULL,4,8),(28,7279140,0.00,9.00,1.00,3.00,8.00,7.88,1.00,7.00,0.00,340,NULL,NULL,'KM TRINTA E SETE','LAGUNA','SC',10343,287,NULL,NULL,NULL,NULL,NULL,4,10),(28,7279167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'SÃO CRISTOVÃO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7279175,4.00,6.00,2.00,3.00,9.00,5.25,4.00,5.00,2.00,654,NULL,NULL,'STO ANTÔNIO DE PÁDUA','TUBARÃO','SC',15329,51,NULL,NULL,NULL,NULL,NULL,4,10),(28,7279183,3.00,6.00,1.00,4.00,7.00,6.75,2.00,5.00,5.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10739,73,NULL,NULL,NULL,NULL,NULL,4,1),(28,7279191,1.00,5.00,2.00,6.00,4.00,5.25,4.00,4.00,1.00,109,NULL,NULL,'SÃO MIGUEL','PLANALTO','RS',14380,52,NULL,NULL,NULL,NULL,NULL,2,4),(28,7279205,1.00,5.00,1.00,5.00,5.00,6.38,2.00,7.00,2.00,327,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',17923,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279213,3.00,6.00,3.00,5.00,5.00,5.63,0.00,3.00,4.00,654,NULL,NULL,'BOM SUCESSO','GRAVATAÍ','RS',15097,49,NULL,NULL,NULL,NULL,NULL,2,15),(28,7279221,2.00,3.00,2.00,4.00,5.00,4.50,4.00,3.00,2.00,318,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',17016,121,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279230,3.00,6.00,1.00,7.00,4.00,8.25,1.00,4.00,2.00,601,NULL,201,'CENTRO','IBIRAMA','SC',11962,353,NULL,767,NULL,NULL,NULL,4,24),(28,7279248,0.00,3.00,3.00,3.00,4.00,NULL,0.00,2.00,1.00,110,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279256,1.00,6.00,2.00,5.00,5.00,7.50,1.00,4.00,3.00,503,NULL,NULL,'ITAPEMA','ITAPOÁ','SC',18126,41,NULL,NULL,NULL,NULL,NULL,2,8),(28,7279264,4.00,7.00,3.00,5.00,7.00,9.75,6.00,7.00,6.00,216,NULL,233,'LA SALLE','TOLEDO','PR',4514,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7279272,1.00,6.00,2.00,5.00,4.00,8.25,3.00,3.00,2.00,207,NULL,215,'CAMPINAS','S JOSÉ','SC',12388,560,NULL,209,NULL,NULL,NULL,2,1),(28,7279280,3.00,7.00,2.00,2.00,4.00,5.25,3.00,5.00,1.00,202,NULL,213,'BAO VISTA','RIO SUL','SC',14167,328,NULL,NULL,NULL,NULL,NULL,4,24),(28,7279310,1.00,3.00,0.00,6.00,5.00,NULL,1.00,4.00,1.00,423,NULL,425,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279329,4.00,7.00,1.00,5.00,7.00,10.50,2.00,5.00,4.00,318,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',7388,32,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279337,5.00,7.00,2.00,8.00,9.00,9.38,6.00,5.00,8.00,103,NULL,NULL,'ARIRIBÁ','BAL CAMBORIÚ','SC',1435,722,NULL,NULL,NULL,NULL,NULL,4,6),(28,7279370,3.00,6.00,3.00,7.00,9.00,8.25,2.00,4.00,3.00,303,NULL,NULL,'JARDIM','CONCÓRDIA','SC',8928,372,NULL,NULL,NULL,NULL,NULL,2,26),(28,7279388,1.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NOVA ITABERABA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(28,7279396,6.00,8.00,5.00,7.00,9.00,9.75,8.00,7.00,7.00,203,NULL,214,'PANTANAL','FLORIANÓPOLIS','SC',538,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7279400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,22),(28,7279418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SÃO PEDRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7279426,4.00,4.00,0.00,7.00,6.00,5.25,3.00,7.00,4.00,103,NULL,NULL,'BUENOS AIRES','MAFRA','SC',8599,1961,NULL,NULL,NULL,NULL,NULL,4,17),(28,7279434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'SERTÃOZINHO','MATINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7279442,6.00,8.00,2.00,7.00,6.00,9.38,5.00,6.00,5.00,317,NULL,NULL,'FERRAZ','GAROPABA','SC',6597,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7279450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7279469,2.00,7.00,3.00,4.00,6.00,5.63,2.00,7.00,4.00,201,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8641,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7279485,3.00,8.00,3.00,5.00,5.00,6.00,3.00,4.00,4.00,215,NULL,216,'CEL APARICIO BORGES','PTO ALEGRE','RS',8064,134,NULL,270,NULL,NULL,NULL,2,1),(28,7279493,1.00,7.00,2.00,6.00,7.00,11.25,3.00,5.00,4.00,415,NULL,NULL,'VILA SOBRINHO','CPO GRANDE','MS',5550,82,NULL,NULL,NULL,NULL,NULL,4,1),(28,7279515,0.00,3.00,1.00,1.00,5.00,7.13,1.00,5.00,3.00,9,NULL,NULL,'ITAPEMA','ITAPOÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7279523,2.00,5.00,3.00,7.00,7.00,NULL,0.00,4.00,1.00,208,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7279531,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7279558,3.00,5.00,1.00,6.00,8.00,5.25,3.00,4.00,2.00,317,NULL,NULL,'SOROCABA','BIGUAÇU','SC',11815,52,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279566,6.00,8.00,6.00,7.00,9.00,7.50,4.00,7.00,6.00,103,NULL,NULL,'FURLAN','STA BÁRBARA D OESTE','SP',1228,647,NULL,NULL,NULL,NULL,NULL,4,1),(28,7279574,2.00,4.00,3.00,0.00,5.00,7.13,0.00,1.00,2.00,101,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',17964,119,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279582,1.00,4.00,1.00,2.00,2.00,NULL,3.00,2.00,3.00,9,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7279590,3.00,5.00,4.00,5.00,4.00,9.75,2.00,2.00,5.00,317,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',14621,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279612,1.00,4.00,1.00,7.00,6.00,5.63,4.00,4.00,2.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',12645,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7279620,6.00,7.00,3.00,6.00,8.00,7.50,6.00,8.00,6.00,340,NULL,NULL,'CENTRO','CASCAVEL','PR',2417,53,NULL,NULL,NULL,NULL,NULL,4,4),(28,7279639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7279647,1.00,2.00,0.00,3.00,5.00,6.38,1.00,2.00,3.00,104,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',18875,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279655,4.00,3.00,1.00,7.00,6.00,8.63,2.00,3.00,2.00,425,NULL,NULL,'GUANABARA','JOINVILLE','SC',13431,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7279663,2.00,7.00,1.00,5.00,4.00,4.50,2.00,5.00,2.00,421,NULL,423,'CAPOEIRAS','FLORIANÓPOLIS','SC',18821,26,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279671,4.00,6.00,3.00,6.00,6.00,8.25,1.00,7.00,5.00,303,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',6539,293,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279680,1.00,5.00,3.00,4.00,6.00,7.88,4.00,3.00,2.00,102,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',17252,160,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279698,3.00,6.00,3.00,6.00,6.00,8.63,2.00,7.00,3.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8849,244,NULL,NULL,NULL,NULL,NULL,4,3),(28,7279701,0.00,5.00,2.00,6.00,4.00,7.13,1.00,6.00,3.00,233,NULL,653,'CENTRO','CHAPECÓ','SC',13252,288,NULL,144,NULL,NULL,NULL,4,4),(28,7279710,2.00,4.00,1.00,5.00,6.00,9.38,2.00,4.00,2.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12685,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7279736,0.00,4.00,1.00,3.00,4.00,7.50,4.00,4.00,2.00,9,NULL,NULL,'CENTRO HISTÓRICO','S JOSÉ','SC',19353,168,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279744,3.00,6.00,3.00,5.00,7.00,6.75,4.00,5.00,5.00,444,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',10259,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279752,4.00,7.00,2.00,6.00,7.00,5.63,4.00,4.00,5.00,103,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',8094,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7279760,6.00,8.00,1.00,7.00,9.00,9.38,4.00,7.00,4.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',2262,952,NULL,NULL,NULL,NULL,NULL,4,2),(28,7279779,1.00,6.00,3.00,6.00,6.00,9.38,2.00,3.00,2.00,428,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',16347,52,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279809,4.00,5.00,0.00,7.00,6.00,6.00,4.00,5.00,4.00,202,NULL,216,'CORREGO GRANDE','FLORIANÓPOLIS','SC',13386,319,NULL,NULL,NULL,NULL,NULL,4,1),(28,7279817,3.00,2.00,2.00,2.00,3.00,6.75,2.00,4.00,1.00,203,NULL,233,'CORREGO GRANDE','FLORIANÓPOLIS','SC',17444,685,NULL,338,NULL,NULL,NULL,2,1),(28,7279825,0.00,2.00,3.00,3.00,5.00,8.25,0.00,3.00,3.00,303,NULL,NULL,'CENTRO','CAÇADOR','SC',16510,559,NULL,NULL,NULL,NULL,NULL,2,25),(28,7279833,0.00,5.00,3.00,1.00,3.00,NULL,3.00,4.00,3.00,220,NULL,213,'CENTRO','MÁGDA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7279841,5.00,8.00,3.00,7.00,9.00,8.63,5.00,5.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2305,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7279850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7279868,3.00,7.00,2.00,7.00,8.00,9.38,5.00,7.00,3.00,454,NULL,NULL,'VILA BETÂNIA','S JOSÉ CAMPOS','SP',4146,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7279876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7279884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,653,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7279892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7279914,4.00,7.00,2.00,4.00,6.00,5.25,4.00,5.00,4.00,316,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',9465,90,NULL,NULL,NULL,NULL,NULL,4,1),(28,7279922,5.00,8.00,2.00,7.00,7.00,8.63,1.00,7.00,4.00,207,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6687,311,NULL,NULL,NULL,NULL,NULL,4,1),(28,7279930,0.00,2.00,0.00,6.00,2.00,NULL,4.00,3.00,0.00,552,NULL,NULL,'CENTRO','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279949,0.00,3.00,1.00,6.00,3.00,NULL,2.00,4.00,2.00,333,NULL,NULL,'CRISTO REI','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7279957,2.00,7.00,2.00,7.00,4.00,10.88,3.00,6.00,5.00,235,NULL,NULL,'MACACU','GAROPABA','SC',6424,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7279965,6.00,8.00,5.00,7.00,9.00,10.13,6.00,7.00,6.00,220,NULL,235,'PRAIA BRAVA','ITAJAÍ','SC',522,11,NULL,NULL,NULL,NULL,NULL,2,6),(28,7279973,2.00,4.00,2.00,0.00,4.00,5.25,3.00,1.00,0.00,551,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7279981,2.00,5.00,1.00,7.00,7.00,7.50,3.00,5.00,3.00,999,NULL,NULL,'RIO NEGRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7280009,1.00,5.00,3.00,4.00,6.00,8.25,4.00,6.00,2.00,216,NULL,233,'CORDEIROS','ITAJAÍ','SC',11728,NULL,NULL,265,NULL,NULL,NULL,4,6),(28,7280017,1.00,1.00,2.00,4.00,2.00,NULL,2.00,3.00,1.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7280025,0.00,4.00,1.00,3.00,5.00,7.50,2.00,4.00,3.00,999,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280033,1.00,5.00,0.00,4.00,2.00,NULL,0.00,6.00,4.00,333,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280041,2.00,7.00,2.00,5.00,9.00,10.13,5.00,6.00,6.00,212,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',2948,88,NULL,38,NULL,NULL,NULL,4,1),(28,7280050,0.00,3.00,4.00,2.00,6.00,NULL,0.00,3.00,1.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7280076,6.00,5.00,3.00,5.00,5.00,10.88,3.00,4.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11032,107,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280084,5.00,8.00,2.00,7.00,9.00,8.25,3.00,7.00,2.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',3716,176,NULL,NULL,NULL,NULL,NULL,4,5),(28,7280092,3.00,8.00,4.00,7.00,5.00,10.50,3.00,7.00,4.00,415,NULL,NULL,'VILA ANTÔNIO','S PAULO','SP',4231,64,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280106,0.00,3.00,0.00,2.00,2.00,NULL,2.00,3.00,0.00,5,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280114,4.00,8.00,0.00,6.00,9.00,9.75,3.00,7.00,5.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',3348,126,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'ESPERANÇA','IPATINGA','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7280149,3.00,8.00,2.00,2.00,3.00,7.88,2.00,5.00,3.00,552,NULL,NULL,'PARQUE DAS ÁRVORES','CERQUILHO','SP',9495,28,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280157,2.00,6.00,1.00,3.00,3.00,6.75,1.00,3.00,3.00,444,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',16406,99,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280165,2.00,3.00,1.00,1.00,3.00,4.50,0.00,3.00,2.00,103,NULL,NULL,'JARDIM AURORA','SORRISO','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280181,3.00,3.00,2.00,4.00,6.00,7.13,4.00,6.00,5.00,501,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',9695,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280203,2.00,6.00,2.00,6.00,6.00,8.25,3.00,4.00,3.00,3,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',13074,58,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7280220,2.00,5.00,1.00,7.00,6.00,6.00,4.00,4.00,3.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16738,42,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280238,1.00,6.00,1.00,4.00,7.00,8.25,2.00,4.00,3.00,233,NULL,211,'CAPOEIRAS','FLORIANÓPOLIS','SC',11401,263,NULL,299,NULL,NULL,NULL,4,1),(28,7280246,0.00,2.00,2.00,3.00,3.00,4.88,2.00,3.00,2.00,202,NULL,235,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7280262,3.00,6.00,1.00,7.00,8.00,7.88,4.00,5.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6245,1665,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280270,4.00,8.00,5.00,7.00,10.00,11.25,6.00,7.00,7.00,340,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',365,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'BOQUEIRAO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7280297,0.00,0.00,1.00,7.00,6.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',1,1),(28,7280300,0.00,3.00,1.00,3.00,4.00,NULL,1.00,3.00,0.00,9,NULL,NULL,'STEFFEN','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7280319,2.00,5.00,2.00,5.00,5.00,6.75,0.00,5.00,2.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',13545,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280327,4.00,6.00,3.00,3.00,4.00,4.50,3.00,4.00,3.00,999,NULL,NULL,'CAPOERIAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7280343,5.00,7.00,3.00,6.00,8.00,10.88,3.00,4.00,4.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',4426,48,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280360,0.00,7.00,3.00,7.00,5.00,9.75,3.00,6.00,2.00,233,NULL,653,'PRAIA DE BELAS','PTO ALEGRE','RS',6594,163,NULL,70,NULL,NULL,NULL,4,9),(28,7280378,3.00,7.00,4.00,6.00,7.00,8.63,5.00,6.00,7.00,201,NULL,212,'TERCEIRA LINHA','IÇARA','SC',1966,129,NULL,35,NULL,NULL,NULL,2,5),(28,7280386,6.00,7.00,3.00,5.00,6.00,8.63,3.00,6.00,7.00,216,NULL,215,'BURU','SALTO','SP',2998,107,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280394,1.00,4.00,2.00,5.00,7.00,9.38,3.00,3.00,3.00,999,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7280408,1.00,5.00,3.00,5.00,8.00,7.88,2.00,5.00,2.00,319,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',16020,311,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'COLONIAL','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7280424,2.00,6.00,2.00,7.00,7.00,6.75,4.00,6.00,3.00,5,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',8929,274,NULL,NULL,NULL,NULL,NULL,4,5),(28,7280432,0.00,0.00,2.00,3.00,3.00,5.25,1.00,3.00,1.00,552,NULL,NULL,'N SENHORA APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7280440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'GIOPPO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7280459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'SÃO BRAZ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7280467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,653,'NITERÓI','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7280475,5.00,7.00,3.00,7.00,11.00,11.63,4.00,7.00,2.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',1925,866,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280491,1.00,8.00,1.00,8.00,7.00,8.25,5.00,8.00,3.00,999,NULL,NULL,'BOSQUE DAS MANSÕES','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280505,0.00,5.00,1.00,3.00,4.00,6.75,1.00,2.00,2.00,601,NULL,215,'LINHA LETRAS','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7280513,2.00,8.00,2.00,7.00,7.00,9.75,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3874,1300,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280521,3.00,5.00,1.00,7.00,4.00,NULL,0.00,6.00,4.00,999,NULL,NULL,'DEER','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7280530,0.00,3.00,0.00,6.00,6.00,7.88,3.00,5.00,3.00,319,NULL,NULL,'GONZAGA','SANTOS','SP',13571,260,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280548,4.00,8.00,4.00,7.00,9.00,11.63,4.00,6.00,5.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',1910,862,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280556,4.00,5.00,1.00,6.00,5.00,6.75,0.00,2.00,3.00,214,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',15575,328,NULL,249,NULL,NULL,NULL,2,1),(28,7280564,1.00,4.00,2.00,6.00,6.00,10.50,2.00,4.00,2.00,110,NULL,NULL,'PINHEIRA','PALHOÇA','SC',17044,85,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280572,2.00,5.00,0.00,7.00,4.00,6.75,3.00,5.00,2.00,216,NULL,211,'CENTENÁRIO','S BENTO SUL','SC',16746,428,NULL,NULL,NULL,NULL,NULL,4,8),(28,7280580,2.00,4.00,3.00,6.00,7.00,7.88,0.00,3.00,2.00,454,NULL,NULL,'IPIRANGA','S JOSÉ','SC',17233,349,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7280602,2.00,7.00,2.00,6.00,8.00,8.25,3.00,6.00,3.00,415,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',6556,105,NULL,NULL,NULL,NULL,NULL,2,9),(28,7280610,5.00,7.00,1.00,5.00,10.00,4.50,5.00,4.00,4.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11546,153,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280629,0.00,0.00,4.00,3.00,4.00,NULL,3.00,0.00,1.00,551,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7280637,1.00,4.00,2.00,5.00,5.00,8.63,4.00,4.00,2.00,110,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',12458,41,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280645,2.00,4.00,1.00,6.00,4.00,8.25,2.00,2.00,1.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280653,0.00,5.00,2.00,1.00,2.00,NULL,0.00,3.00,2.00,5,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7280661,3.00,7.00,4.00,7.00,5.00,7.88,3.00,4.00,4.00,103,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',6318,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7280670,0.00,3.00,1.00,4.00,3.00,6.75,1.00,4.00,2.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18328,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280688,1.00,5.00,3.00,5.00,6.00,8.63,3.00,3.00,1.00,454,NULL,NULL,'PRAIA DO SANTINHO','FLORIANÓPOLIS','SC',14255,290,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280696,1.00,3.00,3.00,2.00,3.00,6.38,2.00,4.00,2.00,211,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',19893,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280700,1.00,3.00,2.00,0.00,5.00,4.88,2.00,2.00,1.00,103,NULL,NULL,'SEMINARIO','CHAPECÓ','SC',19069,2504,NULL,NULL,NULL,NULL,NULL,2,4),(28,7280718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7280726,2.00,3.00,0.00,4.00,3.00,6.75,1.00,2.00,2.00,220,NULL,601,'CENTRO','CANOINHAS','SC',19903,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7280734,0.00,2.00,1.00,4.00,3.00,NULL,1.00,1.00,1.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280742,2.00,7.00,1.00,5.00,3.00,5.63,2.00,3.00,4.00,654,NULL,NULL,'CENTRO','CRICIÚMA','SC',18446,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7280750,4.00,5.00,2.00,5.00,9.00,10.88,5.00,5.00,6.00,319,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',5464,82,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280769,4.00,5.00,4.00,5.00,7.00,11.25,1.00,4.00,5.00,454,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6021,87,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280785,0.00,2.00,0.00,1.00,2.00,NULL,2.00,3.00,3.00,653,NULL,216,'CENTRO','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7280793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S JOSÉ R CLARO','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7280807,1.00,4.00,2.00,3.00,5.00,9.00,1.00,3.00,2.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280815,3.00,7.00,1.00,7.00,7.00,10.88,4.00,7.00,4.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8360,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280823,4.00,7.00,4.00,7.00,4.00,9.75,2.00,5.00,3.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7280831,5.00,5.00,4.00,7.00,6.00,10.13,3.00,3.00,5.00,233,NULL,213,'BONFIM','CAMPINAS','SP',4433,117,NULL,62,NULL,NULL,NULL,4,1),(28,7280858,4.00,4.00,5.00,4.00,6.00,9.75,5.00,5.00,6.00,216,NULL,213,'CORAL','LAGES','SC',5274,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7280866,1.00,5.00,2.00,3.00,5.00,6.38,4.00,4.00,2.00,235,NULL,213,'SERRARIA','S JOSÉ','SC',18001,277,NULL,266,NULL,NULL,NULL,4,1),(28,7280874,3.00,8.00,1.00,6.00,7.00,9.75,1.00,7.00,4.00,103,NULL,NULL,'BARRO PRETO','STA ROSA SUL','SC',5675,1587,NULL,NULL,NULL,NULL,NULL,2,4),(28,7280882,3.00,7.00,3.00,6.00,5.00,10.50,1.00,5.00,0.00,319,NULL,NULL,'CENTRO','IMBITUBA','SC',8867,154,NULL,NULL,NULL,NULL,NULL,2,10),(28,7280890,0.00,3.00,3.00,4.00,3.00,7.88,1.00,3.00,2.00,317,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',19288,170,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7280912,4.00,7.00,2.00,4.00,6.00,9.75,3.00,6.00,3.00,201,NULL,601,'CENTRO','S BENTO SUL','SC',9761,665,NULL,264,NULL,NULL,NULL,4,6),(28,7280920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'N SRA APARECIDA','S DOMINGOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7280939,2.00,6.00,1.00,5.00,7.00,8.63,5.00,6.00,3.00,214,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',12207,291,NULL,197,NULL,NULL,NULL,4,1),(28,7280947,3.00,5.00,2.00,7.00,5.00,8.63,2.00,6.00,3.00,103,NULL,NULL,'SANTUÁRIO','PALMAS','PR',8317,1930,NULL,NULL,NULL,NULL,NULL,2,25),(28,7280963,0.00,2.00,2.00,2.00,1.00,NULL,1.00,3.00,1.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,15),(28,7280971,2.00,6.00,1.00,5.00,4.00,6.75,3.00,4.00,2.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7280980,2.00,5.00,2.00,6.00,6.00,7.88,5.00,4.00,3.00,203,NULL,NULL,'LINHA SÃO PAULO','CONCÓRDIA','SC',12340,591,NULL,NULL,NULL,NULL,NULL,2,26),(28,7280998,6.00,8.00,3.00,6.00,8.00,9.75,5.00,7.00,5.00,103,NULL,NULL,'GLORIA','PTO ALEGRE','RS',1233,648,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281005,4.00,5.00,2.00,7.00,8.00,9.75,4.00,8.00,6.00,326,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',4623,6,NULL,NULL,NULL,NULL,NULL,4,2),(28,7281013,3.00,6.00,4.00,6.00,5.00,8.63,2.00,4.00,3.00,203,NULL,202,'CENTRO','TOLEDO','PR',9085,510,NULL,237,NULL,NULL,NULL,4,2),(28,7281021,3.00,8.00,1.00,1.00,7.00,7.13,4.00,6.00,6.00,103,NULL,NULL,'CORAL','LAGES','SC',10113,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7281030,5.00,7.00,4.00,7.00,5.00,NULL,4.00,5.00,5.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7281048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAPELA VELHA','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7281056,2.00,7.00,1.00,6.00,5.00,4.88,3.00,6.00,4.00,302,NULL,NULL,'BOSQUE','CURITIBANOS','SC',10688,65,NULL,NULL,NULL,NULL,NULL,4,16),(28,7281064,1.00,3.00,0.00,1.00,4.00,7.50,1.00,1.00,3.00,207,NULL,201,'CENTRO','S JOSÉ','SC',19413,806,NULL,1040,NULL,NULL,NULL,4,1),(28,7281072,3.00,8.00,1.00,4.00,8.00,7.88,3.00,6.00,6.00,211,NULL,215,'NOVA BRASILIA','IMBITUBA','SC',5497,136,NULL,80,NULL,NULL,NULL,4,10),(28,7281080,1.00,4.00,2.00,4.00,4.00,6.75,1.00,6.00,4.00,103,NULL,NULL,'VILA IPOJUCA','S PAULO','SP',11308,2157,NULL,NULL,NULL,NULL,NULL,2,1),(28,7281099,1.00,7.00,0.00,6.00,6.00,7.88,3.00,7.00,4.00,327,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',8461,11,NULL,NULL,NULL,NULL,NULL,2,1),(28,7281102,2.00,5.00,2.00,4.00,5.00,7.88,3.00,4.00,3.00,202,NULL,201,'BARRA DO ARIRIU','PALHOÇA','SC',11833,299,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'N SRA APARECIDA','S DOMINGOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7281129,4.00,5.00,4.00,6.00,5.00,7.88,4.00,3.00,2.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10884,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7281137,2.00,7.00,6.00,7.00,6.00,NULL,3.00,5.00,1.00,201,NULL,207,'ADELIA GILBERTI','COLATINA','ES',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7281153,7.00,7.00,4.00,6.00,5.00,6.75,3.00,3.00,6.00,103,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',3553,1253,NULL,NULL,NULL,NULL,NULL,4,8),(28,7281170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7281188,1.00,4.00,2.00,2.00,3.00,NULL,0.00,2.00,2.00,207,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281196,2.00,5.00,0.00,5.00,3.00,10.13,4.00,5.00,3.00,303,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',11605,450,NULL,NULL,NULL,NULL,NULL,2,1),(28,7281200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7281226,0.00,3.00,2.00,5.00,8.00,10.50,2.00,4.00,2.00,201,NULL,207,'CENTRO','STA ROSA LIMA','SC',17007,963,NULL,735,NULL,NULL,NULL,4,10),(28,7281234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,207,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7281242,2.00,2.00,3.00,1.00,3.00,NULL,0.00,2.00,2.00,235,NULL,203,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281269,0.00,3.00,0.00,1.00,3.00,NULL,3.00,3.00,1.00,5,NULL,NULL,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7281277,1.00,6.00,1.00,6.00,5.00,10.88,2.00,3.00,4.00,415,NULL,NULL,'URBANOVA','S JOSÉ CAMPOS','SP',8287,130,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO ALEGRE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7281293,1.00,5.00,2.00,2.00,6.00,8.63,2.00,6.00,3.00,444,NULL,NULL,'ROÇADO','S JOSÉ','SC',12779,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281307,0.00,4.00,2.00,5.00,3.00,7.13,1.00,4.00,2.00,319,NULL,NULL,'PARQUE DAS PALMEIRAS','CHAPECÓ','SC',16927,325,NULL,NULL,NULL,NULL,NULL,4,4),(28,7281315,2.00,7.00,3.00,7.00,5.00,6.75,3.00,7.00,4.00,211,NULL,201,'JARDIM CANADÁ','S JOÃO B VISTA','SP',8220,222,NULL,589,NULL,NULL,NULL,4,1),(28,7281323,4.00,6.00,3.00,6.00,5.00,7.50,4.00,5.00,5.00,9,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',10937,63,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281331,1.00,5.00,1.00,4.00,5.00,9.38,3.00,4.00,2.00,207,NULL,201,'PÔR DO SOL','ENTRE R OESTE','PR',11764,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7281340,2.00,1.00,1.00,5.00,4.00,5.25,2.00,2.00,2.00,423,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7281358,2.00,4.00,2.00,5.00,5.00,10.13,2.00,6.00,3.00,415,NULL,NULL,'JARDIM MACEDO','RIBEIRÃO PRETO','SP',9820,157,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281374,2.00,6.00,1.00,4.00,6.00,7.50,2.00,5.00,2.00,201,NULL,212,'CENTRO','BRUSQUE','SC',10766,709,NULL,316,NULL,NULL,NULL,2,22),(28,7281382,4.00,8.00,1.00,6.00,10.00,8.63,1.00,4.00,3.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281390,2.00,7.00,1.00,3.00,6.00,9.00,1.00,4.00,2.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13448,219,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281404,3.00,3.00,1.00,3.00,1.00,NULL,2.00,1.00,1.00,339,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7281439,0.00,4.00,1.00,2.00,5.00,NULL,3.00,2.00,0.00,655,NULL,652,'LAGOA DO CAVERA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7281447,4.00,7.00,1.00,5.00,3.00,5.63,2.00,4.00,2.00,203,NULL,201,'JOÃO PAULO','FLORIANÓPOLIS','SC',14143,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CECÍLIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7281463,0.00,3.00,3.00,2.00,3.00,6.75,1.00,3.00,2.00,212,NULL,207,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',17317,402,NULL,747,NULL,NULL,NULL,4,1),(28,7281480,4.00,7.00,3.00,4.00,7.00,7.88,2.00,5.00,6.00,340,NULL,NULL,'TERMAS','GRAVATAL','SC',5587,142,NULL,NULL,NULL,NULL,NULL,2,10),(28,7281498,0.00,1.00,2.00,6.00,4.00,4.50,1.00,3.00,2.00,5,NULL,NULL,'SAO FRANSCISCO','BRAÇO NORTE','SC',20046,495,NULL,NULL,NULL,NULL,NULL,2,1),(28,7281501,2.00,5.00,1.00,6.00,4.00,7.13,4.00,5.00,1.00,223,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',18124,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281510,0.00,2.00,3.00,3.00,3.00,NULL,2.00,2.00,3.00,235,NULL,NULL,'FAZENDA RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7281528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7281536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'VOSSOROCA','VOTORANTIM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7281544,0.00,4.00,1.00,5.00,5.00,NULL,0.00,3.00,3.00,230,NULL,NULL,'AREIAS DO MEIO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7281552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7281560,5.00,7.00,4.00,7.00,7.00,6.00,5.00,6.00,5.00,653,NULL,214,'VILA BECKER','STO AMARO IMPERATRIZ','SC',4830,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7281587,0.00,4.00,0.00,5.00,6.00,NULL,0.00,3.00,2.00,109,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7281595,1.00,5.00,2.00,5.00,5.00,6.75,3.00,4.00,5.00,9,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',11390,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7281609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM CARAVELLE','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7281617,0.00,2.00,1.00,4.00,3.00,6.00,1.00,5.00,2.00,202,NULL,235,'IPIRANGA','S JOSÉ','SC',20014,NULL,NULL,299,NULL,NULL,NULL,2,1),(28,7281625,2.00,4.00,2.00,2.00,4.00,7.50,2.00,4.00,4.00,404,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',18883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281633,1.00,5.00,3.00,6.00,6.00,8.25,2.00,6.00,4.00,238,NULL,235,'CENTRO','BIGUAÇU','SC',8884,127,NULL,145,NULL,NULL,NULL,4,1),(28,7281641,1.00,4.00,1.00,5.00,5.00,8.25,2.00,4.00,3.00,5,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',14541,396,NULL,NULL,NULL,NULL,NULL,2,1),(28,7281650,4.00,7.00,3.00,5.00,8.00,8.63,2.00,4.00,4.00,203,NULL,220,'COQUEIROS','FLORIANÓPOLIS','SC',6028,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281668,0.00,1.00,2.00,3.00,5.00,NULL,1.00,2.00,1.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA BÁRBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7281684,4.00,5.00,3.00,5.00,2.00,NULL,3.00,3.00,3.00,238,NULL,203,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281692,1.00,2.00,2.00,3.00,4.00,6.75,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',17922,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7281722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7281730,5.00,5.00,4.00,7.00,7.00,8.63,5.00,4.00,5.00,207,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',5273,235,NULL,42,NULL,NULL,NULL,4,1),(28,7281749,2.00,6.00,3.00,6.00,9.00,11.25,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','LAGUNA','SC',4163,1356,NULL,NULL,NULL,NULL,NULL,4,10),(28,7281757,0.00,2.00,1.00,2.00,3.00,NULL,0.00,4.00,2.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CENTRO','MARQUES SOUZA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7281773,2.00,6.00,0.00,4.00,4.00,7.88,2.00,3.00,2.00,444,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19470,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281781,6.00,7.00,5.00,7.00,8.00,10.88,3.00,6.00,6.00,216,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',895,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281790,4.00,7.00,3.00,7.00,9.00,9.38,4.00,7.00,4.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',1396,65,NULL,NULL,NULL,NULL,NULL,2,1),(28,7281803,3.00,7.00,1.00,5.00,7.00,9.00,4.00,4.00,6.00,316,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',6019,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281811,0.00,6.00,0.00,5.00,6.00,NULL,0.00,5.00,1.00,316,NULL,NULL,'CENTRO','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7281820,1.00,6.00,3.00,4.00,6.00,7.50,1.00,4.00,3.00,215,NULL,202,'CENTRO','BAL CAMBORIÚ','SC',12556,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7281838,2.00,5.00,2.00,6.00,6.00,10.50,2.00,4.00,3.00,319,NULL,NULL,'SANTO ANTONIO','S JOSÉ R PARDO','SP',8933,156,NULL,NULL,NULL,NULL,NULL,2,1),(28,7281846,3.00,7.00,2.00,4.00,9.00,7.13,2.00,5.00,2.00,502,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9621,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7281854,2.00,7.00,1.00,6.00,8.00,8.63,2.00,5.00,2.00,301,NULL,NULL,'BEM MORAR','TANGARÁ','SC',9637,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7281862,2.00,2.00,2.00,3.00,6.00,NULL,2.00,5.00,2.00,999,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(28,7281870,1.00,2.00,1.00,2.00,5.00,7.50,2.00,2.00,1.00,454,NULL,NULL,'LEPORACE','FRANCA','SP',18811,383,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281889,3.00,5.00,2.00,5.00,3.00,8.63,1.00,4.00,2.00,216,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',17926,442,NULL,342,NULL,NULL,NULL,4,1),(28,7281897,3.00,3.00,1.00,5.00,4.00,9.38,2.00,4.00,2.00,102,NULL,NULL,'BELA VISTA','RIO NEGRINHO','SC',18314,171,NULL,NULL,NULL,NULL,NULL,2,17),(28,7281900,2.00,5.00,2.00,3.00,6.00,5.63,3.00,4.00,4.00,501,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',15088,94,NULL,NULL,NULL,NULL,NULL,4,1),(28,7281919,2.00,4.00,3.00,7.00,8.00,8.25,3.00,3.00,2.00,203,NULL,235,'CAPOEIRAS','FLORIANÓPOLIS','SC',11293,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7281935,2.00,3.00,3.00,0.00,5.00,7.88,3.00,2.00,2.00,551,NULL,NULL,'UNIVERSITARIO','CURITIBANOS','SC',16361,32,NULL,NULL,NULL,NULL,NULL,4,16),(28,7281943,4.00,8.00,2.00,6.00,7.00,7.88,3.00,5.00,6.00,104,NULL,NULL,'CENTRO','ORLEANS','SC',4846,87,NULL,NULL,NULL,NULL,NULL,4,5),(28,7281951,4.00,6.00,3.00,6.00,6.00,6.75,4.00,6.00,3.00,207,NULL,201,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',8611,401,NULL,615,NULL,NULL,NULL,4,1),(28,7281978,2.00,6.00,4.00,6.00,4.00,6.00,4.00,6.00,2.00,415,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',11840,192,NULL,NULL,NULL,NULL,NULL,2,1),(28,7281994,2.00,4.00,3.00,2.00,4.00,9.75,3.00,3.00,1.00,654,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',18785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7282001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,653,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7282010,4.00,6.00,4.00,6.00,8.00,8.63,2.00,4.00,4.00,503,NULL,NULL,'ALTO FELIZ','ARARANGUÁ','SC',7994,5,NULL,NULL,NULL,NULL,NULL,2,15),(28,7282028,3.00,4.00,1.00,6.00,6.00,7.88,2.00,4.00,3.00,104,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',11381,279,NULL,NULL,NULL,NULL,NULL,2,3),(28,7282036,0.00,3.00,2.00,3.00,3.00,6.00,2.00,2.00,3.00,655,NULL,653,'ARAÇÁ','JACINTO MACHADO','SC',19934,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7282044,3.00,5.00,2.00,7.00,5.00,6.00,4.00,4.00,3.00,450,NULL,NULL,'JARDIM RECREIO','RIBEIRÃO PRETO','SP',9079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7282052,3.00,8.00,0.00,6.00,7.00,10.13,6.00,7.00,4.00,340,NULL,NULL,'VILA ADYANNA','S JOSÉ CAMPOS','SP',3337,76,NULL,NULL,NULL,NULL,NULL,4,1),(28,7282060,0.00,1.00,0.00,3.00,2.00,NULL,4.00,2.00,2.00,104,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7282079,0.00,1.00,2.00,6.00,4.00,NULL,0.00,1.00,1.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7282087,4.00,6.00,2.00,6.00,6.00,9.75,2.00,4.00,1.00,319,NULL,NULL,'CHÁCARA DAS PEDRAS','PTO ALEGRE','RS',8668,147,NULL,NULL,NULL,NULL,NULL,2,1),(28,7282095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'OLÍMPICO','S CAETANO SUL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7282109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7282117,4.00,5.00,2.00,5.00,4.00,6.00,2.00,4.00,3.00,212,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',13426,357,NULL,217,NULL,NULL,NULL,2,1),(28,7282141,2.00,3.00,2.00,4.00,3.00,7.88,3.00,2.00,3.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17063,234,NULL,NULL,NULL,NULL,NULL,2,1),(28,7282150,1.00,5.00,1.00,3.00,3.00,5.63,3.00,4.00,2.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',17081,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7282168,0.00,3.00,1.00,4.00,3.00,6.38,1.00,5.00,3.00,551,NULL,NULL,'NOSSA SENHORA APAREC','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7282176,2.00,4.00,2.00,4.00,4.00,9.75,3.00,4.00,4.00,9,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',10989,64,NULL,NULL,NULL,NULL,NULL,2,1),(28,7282184,4.00,7.00,1.00,4.00,5.00,6.75,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15142,2359,NULL,NULL,NULL,NULL,NULL,4,1),(28,7282192,5.00,7.00,4.00,7.00,8.00,9.75,5.00,7.00,6.00,103,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',1589,770,NULL,NULL,NULL,NULL,NULL,4,1),(28,7282206,1.00,3.00,3.00,2.00,4.00,5.25,3.00,5.00,2.00,203,NULL,NULL,'CENTR','S LUIZ GONZAGA','RS',17361,682,NULL,NULL,NULL,NULL,NULL,2,1),(28,7282214,2.00,9.00,1.00,6.00,7.00,8.63,2.00,7.00,2.00,235,NULL,213,'CENTRO','CRICIÚMA','SC',7676,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7282230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CACHOEIRA','SALETE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7282249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'VILA SANTA LUZIA','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7282257,5.00,8.00,4.00,6.00,5.00,6.38,4.00,8.00,2.00,203,NULL,233,'SÃO FRANCISCO DE ASS','BRAÇO NORTE','SC',5360,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7282265,0.00,5.00,4.00,6.00,7.00,7.13,1.00,6.00,3.00,201,NULL,212,'CENTRO','STO AMARO IMPERATRIZ','SC',11670,754,NULL,328,NULL,NULL,NULL,2,1),(28,7282273,3.00,5.00,2.00,4.00,7.00,7.13,5.00,6.00,6.00,233,NULL,211,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',6988,174,NULL,192,NULL,NULL,NULL,4,1),(28,7282281,1.00,7.00,2.00,4.00,8.00,7.50,1.00,6.00,4.00,212,NULL,233,'PONTE DO IMARUIM','PALHOÇA','SC',14216,366,NULL,302,NULL,NULL,NULL,4,1),(28,7282290,3.00,5.00,1.00,6.00,5.00,10.50,4.00,5.00,2.00,601,NULL,207,'PARQUE GUARANI','JOINVILLE','SC',11175,328,NULL,519,NULL,NULL,NULL,4,8),(28,7282303,4.00,6.00,1.00,6.00,8.00,8.63,6.00,4.00,6.00,201,NULL,212,'BARREIROS','S JOSÉ','SC',5688,439,NULL,183,NULL,NULL,NULL,2,1),(28,7282311,2.00,5.00,6.00,5.00,4.00,6.00,1.00,4.00,2.00,201,NULL,NULL,'GRAMADO','RIO ANTAS','SC',14911,907,NULL,NULL,NULL,NULL,NULL,4,25),(28,7282320,0.00,4.00,2.00,4.00,4.00,7.13,0.00,5.00,2.00,5,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',17174,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7282338,0.00,3.00,3.00,5.00,5.00,NULL,4.00,2.00,4.00,233,NULL,213,'CENTRO','URUSSANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7282346,0.00,3.00,1.00,1.00,3.00,NULL,2.00,3.00,1.00,404,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7282354,4.00,7.00,2.00,7.00,3.00,5.25,2.00,5.00,4.00,214,NULL,203,'ZONA CINCO','MARINGÁ','PR',10198,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7282362,4.00,5.00,2.00,4.00,5.00,4.50,6.00,5.00,5.00,203,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',14080,624,NULL,418,NULL,NULL,NULL,2,6),(28,7282370,2.00,4.00,3.00,5.00,8.00,5.63,3.00,5.00,1.00,320,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',13814,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7282389,1.00,5.00,0.00,4.00,4.00,4.50,3.00,2.00,2.00,202,NULL,235,'INTERIOR','ERVAL GRANDE','RS',17959,384,NULL,276,NULL,NULL,NULL,2,4),(28,7282397,0.00,2.00,1.00,6.00,6.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'NAÇÕES','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7282400,2.00,5.00,2.00,3.00,2.00,NULL,0.00,4.00,4.00,652,NULL,655,'JARDIM SANTA ROSA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7282427,2.00,6.00,3.00,6.00,7.00,7.50,5.00,4.00,4.00,216,NULL,NULL,'MAR GROSSO','LAGUNA','SC',10347,320,NULL,NULL,NULL,NULL,NULL,4,10),(28,7282435,2.00,6.00,1.00,7.00,5.00,8.25,1.00,4.00,1.00,104,NULL,NULL,'SÃO DEFENDE','CRICIÚMA','SC',13411,331,NULL,NULL,NULL,NULL,NULL,2,5),(28,7282443,4.00,7.00,0.00,4.00,5.00,6.75,5.00,5.00,2.00,653,NULL,601,'CAÇADOR','CAPIVARI BAIXO','SC',12164,130,NULL,360,NULL,NULL,NULL,2,10),(28,7282451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7282460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7282478,2.00,5.00,2.00,4.00,4.00,8.25,1.00,4.00,3.00,301,NULL,NULL,'CENTRO','LAGES','SC',13686,192,NULL,NULL,NULL,NULL,NULL,2,9),(28,7282494,4.00,6.00,1.00,6.00,8.00,9.00,4.00,5.00,4.00,301,NULL,NULL,'DOS MUNICÍPIOS','CAÇADOR','SC',4550,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7282508,8.00,8.00,3.00,7.00,7.00,11.63,8.00,8.00,8.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',137,110,NULL,NULL,NULL,NULL,NULL,4,1),(28,7282532,1.00,4.00,3.00,5.00,4.00,7.13,2.00,2.00,1.00,208,NULL,NULL,'KOBRASOL','S JOSÉ','SC',14771,161,NULL,NULL,NULL,NULL,NULL,2,1),(28,7282540,2.00,6.00,0.00,5.00,6.00,10.50,4.00,4.00,1.00,999,NULL,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7282559,7.00,7.00,3.00,4.00,6.00,7.88,4.00,6.00,3.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11016,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7282567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CENTRO','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7282575,2.00,7.00,4.00,0.00,3.00,8.63,4.00,6.00,3.00,211,NULL,601,'BARREIROS','S JOSÉ','SC',11096,NULL,NULL,324,NULL,NULL,NULL,4,1),(28,7282591,4.00,5.00,1.00,5.00,7.00,9.75,4.00,4.00,2.00,454,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',13821,278,NULL,NULL,NULL,NULL,NULL,4,1),(28,7282605,0.00,1.00,3.00,5.00,3.00,NULL,0.00,2.00,3.00,655,NULL,653,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7282613,2.00,6.00,3.00,7.00,7.00,7.88,2.00,3.00,4.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13536,258,NULL,NULL,NULL,NULL,NULL,4,1),(28,7282621,3.00,7.00,3.00,7.00,6.00,6.38,3.00,7.00,5.00,415,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',6448,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7282630,2.00,6.00,3.00,7.00,5.00,6.00,4.00,6.00,3.00,211,NULL,215,'PANTANO DO SUL','FLORIANÓPOLIS','SC',10601,286,NULL,182,NULL,NULL,NULL,4,1),(28,7282648,5.00,7.00,2.00,5.00,5.00,11.25,2.00,7.00,5.00,103,NULL,NULL,'JD SAO DIMAS','S JOSÉ CAMPOS','SP',4672,1442,NULL,NULL,NULL,NULL,NULL,2,6),(28,7282656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PASSO MANSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7282664,4.00,5.00,5.00,6.00,7.00,7.13,1.00,4.00,3.00,454,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',8371,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7282672,3.00,4.00,2.00,1.00,3.00,6.00,0.00,5.00,1.00,207,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7282680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'SANTA CRUZ','NOVA PRATA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7282699,0.00,2.00,3.00,7.00,2.00,NULL,5.00,3.00,4.00,220,NULL,235,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7282702,4.00,7.00,1.00,7.00,8.00,6.00,4.00,4.00,3.00,208,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7282710,2.00,5.00,1.00,4.00,7.00,7.50,4.00,5.00,2.00,415,NULL,NULL,'STA CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC',11247,183,NULL,NULL,NULL,NULL,NULL,4,1),(28,7282729,1.00,8.00,4.00,6.00,8.00,9.38,4.00,7.00,7.00,216,NULL,233,'BORTOLOTTO','NOVA VENEZA','SC',2429,80,NULL,42,NULL,NULL,NULL,4,5),(28,7282737,5.00,8.00,3.00,7.00,8.00,9.75,5.00,6.00,2.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6441,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7282753,0.00,2.00,1.00,2.00,2.00,NULL,1.00,4.00,0.00,444,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7282761,4.00,7.00,3.00,6.00,7.00,9.38,2.00,5.00,5.00,201,NULL,238,'SÃO LOURENÇO','CURITIBA','PR',5859,NULL,NULL,54,NULL,NULL,NULL,4,8),(28,7282770,1.00,5.00,2.00,5.00,6.00,7.13,2.00,4.00,3.00,104,NULL,NULL,'JD NOVO HORIZONTE','ITAÍ','SP',11718,290,NULL,NULL,NULL,NULL,NULL,4,8),(28,7282788,0.00,5.00,1.00,5.00,4.00,6.38,1.00,3.00,2.00,318,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7282796,4.00,4.00,1.00,6.00,8.00,5.63,0.00,3.00,2.00,652,NULL,NULL,'JARDIM CIBELE','ARARANGUÁ','SC',17946,89,NULL,NULL,NULL,NULL,NULL,2,15),(28,7282800,0.00,3.00,0.00,2.00,4.00,NULL,0.00,3.00,2.00,318,NULL,NULL,'SANTO ANTONIO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7282818,5.00,7.00,2.00,5.00,9.00,8.25,2.00,7.00,5.00,211,NULL,233,'AREIAS','TIJUCAS','SC',3623,88,NULL,92,NULL,NULL,NULL,4,1),(28,7282826,5.00,5.00,2.00,5.00,6.00,8.25,2.00,5.00,2.00,201,NULL,215,'CENTRO','JAGUARUNA','SC',8511,608,NULL,145,NULL,NULL,NULL,2,10),(28,7282834,3.00,7.00,1.00,6.00,3.00,7.88,2.00,4.00,4.00,999,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7282842,4.00,7.00,1.00,7.00,8.00,7.88,4.00,6.00,4.00,208,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',5867,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7282850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','MUNDO NOVO','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7282877,4.00,3.00,2.00,5.00,8.00,9.00,5.00,4.00,4.00,2,NULL,NULL,'CENTRO','BIGUAÇU','SC',6963,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7282885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7282893,2.00,7.00,3.00,6.00,5.00,8.25,1.00,4.00,2.00,104,NULL,NULL,'CENTRO','ARMAZÉM','SC',15242,372,NULL,NULL,NULL,NULL,NULL,2,1),(28,7282907,4.00,8.00,2.00,6.00,8.00,9.75,3.00,5.00,4.00,207,NULL,201,'SANTA MÔNICA','FLORIANÓPOLIS','SC',3299,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7282915,2.00,8.00,5.00,6.00,7.00,9.38,5.00,6.00,4.00,104,NULL,NULL,'SAO PEDRO','BRUSQUE','SC',8300,195,NULL,NULL,NULL,NULL,NULL,4,22),(28,7282966,0.00,3.00,3.00,4.00,5.00,6.38,0.00,3.00,1.00,999,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7282974,1.00,4.00,1.00,6.00,5.00,9.00,5.00,4.00,4.00,207,NULL,202,'PAMPLONA','RIO SUL','SC',11698,534,NULL,295,NULL,NULL,NULL,4,24),(28,7282982,4.00,7.00,2.00,6.00,7.00,10.88,2.00,7.00,2.00,303,NULL,NULL,'JARDIM POPULAR','S PAULO','SP',4690,216,NULL,NULL,NULL,NULL,NULL,4,3),(28,7282990,4.00,5.00,2.00,6.00,7.00,6.00,5.00,5.00,5.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7942,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283008,4.00,7.00,5.00,4.00,6.00,9.75,6.00,7.00,6.00,201,NULL,203,'SÃO CRISTÓVÃO','PAPANDUVA','SC',2624,194,NULL,200,NULL,NULL,NULL,4,17),(28,7283016,2.00,4.00,2.00,2.00,3.00,7.13,1.00,3.00,4.00,212,NULL,207,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',17033,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'RIO FIORITA','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7283032,4.00,7.00,3.00,7.00,9.00,12.38,4.00,7.00,5.00,425,NULL,427,'CENTRO','SIDERÓPOLIS','SC',1127,1,NULL,NULL,NULL,NULL,NULL,4,5),(28,7283059,1.00,7.00,1.00,8.00,5.00,7.50,3.00,5.00,3.00,203,NULL,201,'COQUEIROS','FLORIANÓPOLIS','SC',12744,597,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283067,4.00,5.00,4.00,7.00,7.00,8.25,8.00,7.00,4.00,201,NULL,212,'PITUBA','SALVADOR','BA',6089,472,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283075,1.00,0.00,0.00,1.00,2.00,NULL,0.00,1.00,0.00,212,NULL,215,'FAZENDA S ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7283091,0.00,3.00,2.00,2.00,2.00,NULL,1.00,3.00,1.00,211,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7283121,1.00,6.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,551,NULL,NULL,'PALMARES','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7283130,0.00,4.00,0.00,5.00,6.00,NULL,3.00,4.00,2.00,202,NULL,213,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7283148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'ÁGUAS CLARAS','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7283156,5.00,6.00,3.00,7.00,7.00,7.88,2.00,5.00,2.00,103,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',5233,1530,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283164,5.00,7.00,3.00,5.00,7.00,11.63,3.00,6.00,2.00,5,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',4884,163,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283172,1.00,4.00,1.00,6.00,4.00,6.00,2.00,3.00,1.00,108,NULL,NULL,'TERMAS','GRAVATAL','SC',16144,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7283180,1.00,6.00,3.00,5.00,3.00,8.63,3.00,4.00,5.00,216,NULL,203,'ITACORUBI','FLORIANÓPOLIS','SC',15901,416,NULL,656,NULL,NULL,NULL,4,1),(28,7283199,4.00,6.00,1.00,5.00,6.00,8.63,3.00,7.00,2.00,3,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9929,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283202,4.00,8.00,4.00,7.00,6.00,6.38,3.00,6.00,4.00,203,NULL,214,'PITUBA','SALVADOR','BA',5593,371,NULL,175,NULL,NULL,NULL,4,3),(28,7283210,2.00,6.00,1.00,3.00,7.00,7.88,2.00,5.00,2.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17951,240,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283229,3.00,5.00,0.00,6.00,6.00,7.50,2.00,5.00,5.00,999,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA JABOTICABAL','JABOTICABAL','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7283245,3.00,6.00,2.00,7.00,4.00,8.25,2.00,5.00,5.00,238,NULL,655,'JARDIM ELIZABETH','COCAL SUL','SC',8251,115,NULL,30,NULL,NULL,NULL,4,5),(28,7283261,0.00,4.00,1.00,5.00,5.00,9.00,3.00,2.00,3.00,303,NULL,NULL,'SAO PEDRO','BRUSQUE','SC',14128,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7283270,2.00,6.00,2.00,7.00,6.00,8.63,1.00,5.00,2.00,104,NULL,NULL,'CENTRO','BRUSQUE','SC',15388,378,NULL,NULL,NULL,NULL,NULL,2,22),(28,7283288,1.00,3.00,1.00,2.00,5.00,4.50,0.00,1.00,0.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',20160,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7283296,3.00,6.00,3.00,5.00,5.00,7.50,1.00,6.00,1.00,109,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',17102,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7283300,0.00,4.00,2.00,6.00,7.00,6.38,0.00,2.00,3.00,653,NULL,216,'ALTO FELIZ','ARARANGUÁ','SC',19144,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7283318,3.00,5.00,0.00,6.00,4.00,7.50,1.00,3.00,2.00,215,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',16983,271,NULL,NULL,NULL,NULL,NULL,2,4),(28,7283326,4.00,6.00,2.00,5.00,8.00,9.00,4.00,7.00,4.00,304,NULL,NULL,'IPIRANGA','S JOSÉ','SC',5564,26,NULL,NULL,NULL,NULL,NULL,2,1),(28,7283334,0.00,6.00,2.00,6.00,5.00,4.50,3.00,5.00,2.00,202,NULL,203,'CENTRO','SOMBRIO','SC',14070,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7283342,2.00,9.00,3.00,4.00,9.00,6.75,6.00,8.00,4.00,203,NULL,214,'IMPERIAL','VACARIA','RS',3792,NULL,NULL,133,NULL,NULL,NULL,4,1),(28,7283350,2.00,5.00,1.00,3.00,4.00,NULL,0.00,4.00,1.00,336,NULL,NULL,'CAIRU','LAURO MÜLLER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7283369,5.00,7.00,5.00,7.00,8.00,5.25,7.00,7.00,5.00,303,NULL,NULL,'BOSQUE DA SAÚDE','TAUBATÉ','SP',1084,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283377,4.00,2.00,3.00,3.00,3.00,5.25,1.00,4.00,2.00,103,NULL,NULL,'JARDIM CRUZEIRO','FRANCO ROCHA','SP',16146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283385,0.00,1.00,2.00,4.00,4.00,4.88,0.00,2.00,1.00,338,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7283393,0.00,2.00,4.00,2.00,2.00,NULL,2.00,2.00,2.00,655,NULL,653,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7283407,1.00,3.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'BAIRRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283415,4.00,6.00,1.00,7.00,4.00,8.63,2.00,5.00,5.00,202,NULL,233,'ALTO','PIRACICABA','SP',7192,190,NULL,181,NULL,NULL,NULL,4,1),(28,7283423,4.00,7.00,2.00,6.00,8.00,7.13,2.00,5.00,3.00,233,NULL,211,'CENTRO','BAL CAMBORIÚ','SC',8589,213,NULL,231,NULL,NULL,NULL,4,6),(28,7283440,3.00,6.00,3.00,3.00,7.00,7.13,4.00,5.00,2.00,301,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',9962,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7283458,3.00,7.00,5.00,7.00,7.00,10.88,5.00,5.00,6.00,216,NULL,214,'NOVO CRUZEIRO','ITATIBA','SP',2590,90,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283466,4.00,4.00,1.00,3.00,1.00,NULL,0.00,4.00,1.00,201,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,6),(28,7283482,0.00,4.00,1.00,5.00,4.00,NULL,2.00,5.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283504,1.00,5.00,1.00,6.00,5.00,8.25,0.00,4.00,2.00,104,NULL,NULL,'MEIA PRAIA','NAVEGANTES','SC',18121,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7283512,3.00,7.00,1.00,5.00,8.00,8.25,0.00,6.00,2.00,440,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14341,2,NULL,NULL,NULL,NULL,NULL,6,1),(28,7283520,3.00,7.00,2.00,6.00,10.00,12.75,2.00,7.00,5.00,303,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',2706,122,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAPAO DA IMBUIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7283547,2.00,6.00,3.00,3.00,5.00,5.63,4.00,4.00,5.00,203,NULL,214,'UNIVERSITARIO','TIJUCAS','SC',9056,509,NULL,239,NULL,NULL,NULL,2,1),(28,7283555,1.00,3.00,2.00,4.00,7.00,9.38,2.00,3.00,3.00,103,NULL,NULL,'GUARUJÁ','LAGES','SC',14178,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7283563,6.00,7.00,4.00,7.00,6.00,9.00,4.00,7.00,5.00,203,NULL,202,'PARQUE DA MOOCA','S PAULO','SP',2512,194,NULL,68,NULL,NULL,NULL,4,1),(28,7283571,0.00,5.00,2.00,3.00,3.00,NULL,2.00,4.00,3.00,999,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7283580,0.00,4.00,0.00,4.00,4.00,7.13,4.00,1.00,1.00,303,NULL,NULL,'CENTRO','LAGES','SC',17449,574,NULL,NULL,NULL,NULL,NULL,4,9),(28,7283598,2.00,6.00,1.00,4.00,4.00,NULL,0.00,6.00,1.00,215,NULL,216,'VISTA ALEGRE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7283601,1.00,5.00,3.00,4.00,8.00,11.63,3.00,4.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8260,254,NULL,NULL,NULL,NULL,NULL,2,1),(28,7283610,2.00,5.00,3.00,6.00,5.00,9.38,2.00,3.00,4.00,503,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10319,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283628,3.00,5.00,0.00,4.00,2.00,NULL,3.00,4.00,5.00,220,NULL,202,'UNIVERSITARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7283636,0.00,6.00,1.00,6.00,3.00,10.88,1.00,5.00,3.00,999,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7283644,0.00,2.00,2.00,1.00,5.00,4.50,1.00,4.00,3.00,308,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283652,5.00,6.00,1.00,5.00,10.00,11.63,1.00,5.00,6.00,102,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',4403,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283660,3.00,5.00,3.00,4.00,7.00,7.88,4.00,6.00,2.00,454,NULL,NULL,'UNIÃO','COCAL SUL','SC',9804,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7283679,1.00,4.00,1.00,3.00,8.00,4.50,1.00,3.00,2.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283695,2.00,7.00,1.00,6.00,6.00,8.63,1.00,5.00,2.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15630,383,NULL,NULL,NULL,NULL,NULL,2,1),(28,7283709,4.00,7.00,3.00,5.00,3.00,6.00,5.00,7.00,7.00,216,NULL,NULL,'INDUSTRIAL','CAÇADOR','SC',6242,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7283717,4.00,8.00,3.00,7.00,8.00,7.88,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','OURO VERDE','SC',5172,1515,NULL,NULL,NULL,NULL,NULL,2,4),(28,7283725,5.00,8.00,3.00,7.00,9.00,9.38,6.00,5.00,8.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',989,549,NULL,NULL,NULL,NULL,NULL,4,5),(28,7283733,1.00,4.00,1.00,1.00,3.00,5.63,2.00,2.00,2.00,404,NULL,NULL,'CENTRO','S JOSÉ','SC',19975,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'NAÇOES','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7283750,3.00,7.00,1.00,5.00,8.00,12.00,4.00,4.00,4.00,103,NULL,NULL,'DEHON','TUBARÃO','SC',5037,1493,NULL,NULL,NULL,NULL,NULL,2,10),(28,7283768,1.00,4.00,2.00,3.00,0.00,NULL,3.00,2.00,2.00,450,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7283776,0.00,4.00,3.00,5.00,5.00,5.63,2.00,5.00,1.00,238,NULL,235,'INGLESES','FLORIANÓPOLIS','SC',15240,251,NULL,241,NULL,NULL,NULL,2,1),(28,7283784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','S JORGE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7283792,1.00,4.00,3.00,5.00,5.00,6.38,3.00,3.00,2.00,207,NULL,NULL,'SÃO CRISTÓVÃO','CHAPECÓ','SC',15435,679,NULL,NULL,NULL,NULL,NULL,4,4),(28,7283806,2.00,2.00,1.00,3.00,1.00,NULL,2.00,2.00,4.00,303,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283814,5.00,8.00,3.00,7.00,6.00,7.50,4.00,4.00,5.00,207,NULL,201,'TRINTA RÉIS','NOVA TRENTO','SC',4960,210,NULL,381,NULL,NULL,NULL,2,22),(28,7283822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7283830,1.00,5.00,1.00,4.00,4.00,NULL,0.00,4.00,4.00,3,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7283849,2.00,5.00,2.00,5.00,4.00,6.75,1.00,3.00,2.00,110,NULL,NULL,'ARROIO','IMBITUBA','SC',19067,97,NULL,NULL,NULL,NULL,NULL,2,1),(28,7283873,2.00,6.00,2.00,5.00,8.00,7.13,3.00,4.00,4.00,207,NULL,211,'CENTRO','INDAIAL','SC',7093,NULL,NULL,200,NULL,NULL,NULL,4,2),(28,7283881,0.00,2.00,2.00,3.00,3.00,6.75,1.00,4.00,1.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',20095,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7283890,0.00,4.00,3.00,6.00,2.00,NULL,3.00,3.00,2.00,444,NULL,NULL,'BRUNA MARIA','SOCORRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283903,2.00,6.00,4.00,5.00,7.00,10.50,1.00,4.00,3.00,444,NULL,NULL,'CENTRO','LAGES','SC',11760,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7283911,6.00,7.00,3.00,5.00,8.00,9.38,4.00,6.00,4.00,207,NULL,601,'AMÉRICA','JOINVILLE','SC',4391,182,NULL,76,NULL,NULL,NULL,1,8),(28,7283920,1.00,5.00,2.00,2.00,3.00,6.38,2.00,3.00,2.00,333,NULL,NULL,'VILA HAMONIA','ARARAQUARA','SP',15650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283938,0.00,4.00,4.00,4.00,7.00,4.88,2.00,6.00,4.00,215,NULL,216,'AGRONOMICA','FLORIANÓPOLIS','SC',17154,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7283946,2.00,4.00,2.00,3.00,3.00,7.13,2.00,5.00,1.00,444,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283954,2.00,7.00,1.00,1.00,5.00,8.63,3.00,4.00,3.00,233,NULL,601,'TRINDADE','FLORIANÓPOLIS','SC',12176,273,NULL,362,NULL,NULL,NULL,4,1),(28,7283962,4.00,7.00,2.00,7.00,6.00,12.00,4.00,6.00,3.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5954,149,NULL,NULL,NULL,NULL,NULL,4,1),(28,7283970,0.00,3.00,1.00,6.00,2.00,NULL,1.00,3.00,2.00,331,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7283989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'GRANJA JULIETA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7283997,5.00,8.00,5.00,6.00,10.00,7.50,5.00,8.00,7.00,103,NULL,NULL,'VILA ESTER','S PAULO','SP',490,337,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284012,7.00,8.00,7.00,7.00,9.00,10.88,9.00,7.00,8.00,222,NULL,NULL,'VELHA','BLUMENAU','SC',47,1,NULL,NULL,NULL,NULL,NULL,4,2),(28,7284039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7284047,5.00,6.00,2.00,6.00,6.00,9.00,3.00,6.00,3.00,207,NULL,NULL,'JARDIM AMERICA','GOIÂNIA','GO',5919,272,NULL,NULL,NULL,NULL,NULL,4,10),(28,7284055,0.00,1.00,2.00,3.00,4.00,7.88,0.00,3.00,2.00,338,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',18944,17,NULL,NULL,NULL,NULL,NULL,2,1),(28,7284063,4.00,6.00,0.00,7.00,7.00,9.38,2.00,3.00,5.00,424,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12635,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284071,7.00,8.00,4.00,7.00,9.00,14.25,4.00,8.00,6.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',248,191,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284080,4.00,7.00,2.00,7.00,9.00,7.88,5.00,6.00,4.00,207,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',3533,137,NULL,271,NULL,NULL,NULL,4,1),(28,7284098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'SAO BASILIO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7284101,3.00,6.00,1.00,5.00,4.00,6.00,1.00,5.00,2.00,999,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7284128,0.00,8.00,0.00,0.00,0.00,NULL,5.00,8.00,6.00,999,NULL,NULL,'SÃO JOÃO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,5),(28,7284144,3.00,5.00,1.00,7.00,4.00,7.88,2.00,5.00,4.00,428,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',16326,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284152,0.00,2.00,2.00,5.00,3.00,4.50,1.00,2.00,3.00,303,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7284160,4.00,3.00,3.00,4.00,4.00,6.00,2.00,4.00,2.00,202,NULL,NULL,'INTERIOR','TUNÁPOLIS','SC',18966,394,NULL,NULL,NULL,NULL,NULL,1,27),(28,7284179,0.00,6.00,3.00,8.00,8.00,8.25,2.00,4.00,5.00,104,NULL,NULL,'DOS ESTADOS','TIMBÓ','SC',8203,190,NULL,NULL,NULL,NULL,NULL,2,2),(28,7284187,5.00,6.00,3.00,6.00,8.00,9.75,4.00,6.00,5.00,415,NULL,NULL,'PAMPLONA','RIO SUL','SC',3862,56,NULL,NULL,NULL,NULL,NULL,4,24),(28,7284195,2.00,7.00,2.00,3.00,4.00,7.88,3.00,6.00,3.00,211,NULL,653,'CARIANOS','FLORIANÓPOLIS','SC',12651,328,NULL,136,NULL,NULL,NULL,4,1),(28,7284209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CENTRO','ARVOREDO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7284233,1.00,5.00,4.00,3.00,5.00,5.25,2.00,3.00,2.00,999,NULL,NULL,'BELA VISTA','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7284241,0.00,2.00,1.00,3.00,4.00,NULL,1.00,1.00,0.00,203,NULL,207,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284250,1.00,6.00,2.00,6.00,6.00,8.25,1.00,5.00,3.00,201,NULL,212,'JARDIM BLUMENAU','BLUMENAU','SC',10122,NULL,NULL,294,NULL,NULL,NULL,4,2),(28,7284268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,440,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7284284,0.00,5.00,1.00,5.00,2.00,NULL,2.00,5.00,1.00,230,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7284306,0.00,5.00,3.00,6.00,5.00,6.75,3.00,4.00,4.00,444,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',16794,103,NULL,NULL,NULL,NULL,NULL,2,1),(28,7284314,1.00,5.00,2.00,4.00,7.00,9.75,3.00,4.00,4.00,429,NULL,426,'UNIVERSITÁRIO','TIJUCAS','SC',9610,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284322,0.00,4.00,2.00,4.00,6.00,6.75,3.00,3.00,3.00,109,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',16497,70,NULL,NULL,NULL,NULL,NULL,2,1),(28,7284330,4.00,5.00,2.00,6.00,9.00,7.13,1.00,5.00,1.00,238,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',14767,243,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284349,1.00,5.00,3.00,5.00,7.00,8.25,3.00,5.00,3.00,333,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',14869,93,NULL,NULL,NULL,NULL,NULL,2,5),(28,7284357,3.00,6.00,2.00,7.00,8.00,9.38,4.00,4.00,5.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',4055,190,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284373,4.00,8.00,3.00,5.00,7.00,9.75,5.00,4.00,6.00,203,NULL,211,'VILA OPERÁRIA','ITAJAÍ','SC',3855,280,NULL,NULL,NULL,NULL,NULL,4,6),(28,7284381,1.00,6.00,0.00,6.00,6.00,6.00,0.00,5.00,4.00,999,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7284403,2.00,5.00,2.00,7.00,5.00,NULL,0.00,3.00,2.00,303,NULL,NULL,'CENTRO','S JOSÉ CEDRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7284411,0.00,3.00,3.00,1.00,3.00,7.13,3.00,3.00,2.00,301,NULL,NULL,'PROGRESSO','LAGUNA','SC',19880,268,NULL,NULL,NULL,NULL,NULL,4,10),(28,7284420,2.00,7.00,3.00,7.00,4.00,5.63,2.00,5.00,2.00,999,NULL,NULL,'CENTRO','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7284438,1.00,7.00,0.00,4.00,1.00,NULL,1.00,4.00,5.00,999,NULL,NULL,'ZONA TRES','UMUARAMA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7284446,2.00,7.00,3.00,6.00,9.00,8.25,4.00,5.00,3.00,340,NULL,NULL,'INDUSTRIÁRIOS','CONCÓRDIA','SC',7595,204,NULL,NULL,NULL,NULL,NULL,4,26),(28,7284454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA IZABEL OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7284462,0.00,5.00,5.00,5.00,5.00,6.75,2.00,5.00,1.00,102,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',17802,166,NULL,NULL,NULL,NULL,NULL,4,3),(28,7284470,5.00,8.00,5.00,6.00,7.00,10.13,3.00,5.00,4.00,340,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',4352,105,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284497,0.00,4.00,5.00,6.00,4.00,6.00,3.00,5.00,2.00,207,NULL,201,'SÃO BERBARDO','TUBARÃO','SC',14034,623,NULL,865,NULL,NULL,NULL,2,10),(28,7284500,3.00,4.00,1.00,6.00,8.00,9.00,2.00,3.00,4.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',16046,210,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284519,1.00,4.00,3.00,5.00,6.00,8.25,3.00,2.00,3.00,104,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',14481,349,NULL,NULL,NULL,NULL,NULL,2,4),(28,7284527,5.00,4.00,3.00,7.00,4.00,10.13,3.00,4.00,2.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13138,352,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284535,3.00,7.00,2.00,5.00,6.00,10.88,4.00,5.00,3.00,238,NULL,220,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',11523,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284543,4.00,4.00,2.00,6.00,9.00,8.63,4.00,5.00,3.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11063,203,NULL,NULL,NULL,NULL,NULL,2,1),(28,7284551,1.00,5.00,1.00,5.00,6.00,7.13,0.00,5.00,3.00,655,NULL,653,'SANGA DA AREIA','ARARANGUÁ','SC',17961,113,NULL,190,NULL,NULL,NULL,2,15),(28,7284586,7.00,7.00,1.00,8.00,9.00,9.00,6.00,6.00,4.00,318,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2378,4,NULL,NULL,NULL,NULL,NULL,2,1),(28,7284594,1.00,2.00,2.00,4.00,3.00,6.38,1.00,3.00,2.00,203,NULL,238,'CENTRO','SAUDADES','SC',17989,687,NULL,314,NULL,NULL,NULL,4,4),(28,7284608,4.00,7.00,3.00,7.00,6.00,9.00,3.00,7.00,5.00,233,NULL,653,'JARDIM GLÓRIA','AMERICANA','SP',3317,76,NULL,15,NULL,NULL,NULL,4,1),(28,7284616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,207,'ALVORADA','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7284624,5.00,6.00,3.00,6.00,6.00,7.88,2.00,4.00,3.00,304,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7874,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284632,3.00,3.00,1.00,5.00,5.00,5.63,2.00,3.00,2.00,301,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',15350,215,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284659,2.00,6.00,2.00,5.00,6.00,9.75,2.00,7.00,4.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',8946,83,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284667,2.00,5.00,4.00,6.00,5.00,8.63,3.00,4.00,4.00,109,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',13909,47,NULL,NULL,NULL,NULL,NULL,2,1),(28,7284675,2.00,4.00,3.00,8.00,9.00,6.38,5.00,6.00,3.00,203,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',7067,432,NULL,333,NULL,NULL,NULL,4,1),(28,7284683,1.00,8.00,5.00,4.00,8.00,7.88,5.00,7.00,5.00,304,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',4307,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284705,4.00,8.00,2.00,5.00,9.00,7.88,4.00,6.00,7.00,303,NULL,NULL,'JARDIM UNIVERSITARIO','CUIABÁ','MT',2775,127,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284713,5.00,7.00,3.00,7.00,8.00,10.13,5.00,5.00,6.00,211,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',3423,79,NULL,42,NULL,NULL,NULL,4,1),(28,7284721,2.00,7.00,1.00,3.00,6.00,7.13,3.00,5.00,3.00,203,NULL,235,'MONTE VERDE','FLORIANÓPOLIS','SC',11474,570,NULL,188,NULL,NULL,NULL,4,1),(28,7284730,1.00,6.00,4.00,2.00,3.00,5.63,1.00,4.00,1.00,101,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284748,1.00,7.00,4.00,6.00,6.00,8.63,4.00,5.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7096,221,NULL,NULL,NULL,NULL,NULL,2,1),(28,7284764,2.00,7.00,3.00,7.00,10.00,9.75,5.00,5.00,4.00,213,NULL,212,'CENTRO','PALHOÇA','SC',2805,26,NULL,NULL,NULL,NULL,NULL,2,1),(28,7284772,1.00,7.00,2.00,7.00,7.00,6.00,5.00,8.00,5.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',5666,187,NULL,NULL,NULL,NULL,NULL,4,5),(28,7284780,2.00,8.00,4.00,3.00,6.00,9.00,3.00,5.00,4.00,653,NULL,233,'VILA LUIZA','PASSO FUNDO','RS',8218,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7284802,0.00,6.00,0.00,0.00,0.00,NULL,1.00,3.00,4.00,207,NULL,201,'JARDIM CEPAR','LAGES','SC',NULL,NULL,NULL,NULL,'S',NULL,'S',2,9),(28,7284810,3.00,8.00,2.00,7.00,9.00,10.13,5.00,8.00,5.00,203,NULL,214,'INGLESES','FLORIANÓPOLIS','SC',1994,172,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7284845,5.00,5.00,0.00,7.00,6.00,6.00,2.00,4.00,3.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16471,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7284853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPO BELO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7284861,1.00,5.00,0.00,6.00,6.00,9.75,4.00,7.00,3.00,999,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7284870,3.00,6.00,4.00,5.00,6.00,5.63,5.00,6.00,4.00,216,NULL,202,'NOSSA SENHORA DE FAT','BRAÇO NORTE','SC',6955,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM ALVORADA','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7284896,3.00,8.00,1.00,6.00,7.00,13.50,2.00,8.00,5.00,329,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4567,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7284918,2.00,3.00,2.00,4.00,4.00,6.00,3.00,3.00,2.00,203,NULL,214,'PRAIA COMPRIDA','S JOSÉ','SC',19492,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7284934,1.00,2.00,0.00,6.00,3.00,NULL,0.00,3.00,1.00,429,NULL,425,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7284950,1.00,4.00,2.00,4.00,4.00,7.50,3.00,3.00,5.00,201,NULL,211,'CANTA GALO','RIO SUL','SC',14433,885,NULL,362,NULL,NULL,NULL,4,24),(28,7284977,0.00,2.00,1.00,2.00,1.00,NULL,0.00,3.00,2.00,316,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7284985,2.00,6.00,4.00,3.00,6.00,6.38,5.00,3.00,4.00,212,NULL,201,'SERRARIA','S JOSÉ','SC',14155,365,NULL,869,NULL,NULL,NULL,4,1),(28,7284993,4.00,8.00,4.00,6.00,8.00,10.13,4.00,6.00,3.00,454,NULL,NULL,'CENTRO','MAFRA','SC',3412,31,NULL,NULL,NULL,NULL,NULL,4,6),(28,7285000,1.00,4.00,3.00,5.00,3.00,NULL,0.00,3.00,3.00,652,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7285035,4.00,7.00,1.00,4.00,3.00,9.75,4.00,7.00,3.00,999,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7285043,1.00,2.00,1.00,3.00,1.00,NULL,0.00,3.00,3.00,454,NULL,NULL,'IGRA','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285051,0.00,1.00,2.00,3.00,4.00,NULL,0.00,3.00,4.00,103,NULL,NULL,'MORRO DO MEIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7285060,2.00,9.00,0.00,7.00,7.00,NULL,5.00,5.00,2.00,201,NULL,203,'TERRAS DE SÃO JOÃO','JACAREÍ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7285086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CANCELLI','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7285094,0.00,5.00,4.00,6.00,7.00,9.00,3.00,5.00,5.00,220,NULL,202,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',11688,274,NULL,294,NULL,NULL,NULL,4,1),(28,7285108,2.00,5.00,2.00,6.00,7.00,11.25,1.00,3.00,2.00,333,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9434,53,NULL,NULL,NULL,NULL,NULL,4,1),(28,7285116,3.00,4.00,2.00,6.00,6.00,8.63,3.00,3.00,4.00,102,NULL,NULL,'PAES LEME','IMBITUBA','SC',10233,87,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285124,0.00,2.00,2.00,4.00,3.00,NULL,2.00,1.00,3.00,302,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285132,3.00,7.00,1.00,5.00,4.00,7.50,3.00,5.00,4.00,208,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12655,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7285159,2.00,7.00,2.00,4.00,6.00,5.25,4.00,4.00,2.00,208,NULL,NULL,'VILA KURTZ','CAÇADOR','SC',11472,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7285167,6.00,7.00,6.00,6.00,8.00,10.13,2.00,6.00,7.00,103,NULL,NULL,'CENTRO','LAGES','SC',742,447,NULL,NULL,NULL,NULL,NULL,4,9),(28,7285175,0.00,5.00,2.00,2.00,7.00,8.25,0.00,7.00,3.00,501,NULL,NULL,'CENTRO','PALHOÇA','SC',13255,81,NULL,NULL,NULL,NULL,NULL,4,1),(28,7285183,2.00,3.00,0.00,2.00,4.00,6.38,2.00,4.00,2.00,552,NULL,NULL,'SENHORA APARECDA','CURITIBANOS','SC',18119,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7285191,2.00,7.00,1.00,6.00,6.00,NULL,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,6),(28,7285205,4.00,3.00,1.00,7.00,6.00,6.38,2.00,4.00,2.00,301,NULL,NULL,'VILA PARAÍSO','CAÇADOR','SC',14154,202,NULL,NULL,NULL,NULL,NULL,4,25),(28,7285213,1.00,3.00,3.00,4.00,3.00,9.75,2.00,4.00,2.00,428,NULL,426,'PROGRESSO','LAGUNA','SC',15521,41,NULL,NULL,NULL,NULL,NULL,4,10),(28,7285221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,212,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7285256,2.00,8.00,4.00,6.00,8.00,12.75,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',2745,1072,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285264,0.00,5.00,2.00,4.00,2.00,NULL,0.00,5.00,3.00,108,NULL,NULL,'BARRA DE IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7285272,0.00,1.00,2.00,5.00,3.00,3.00,3.00,2.00,1.00,444,NULL,NULL,'CENTRO HISTORICO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7285280,3.00,7.00,2.00,6.00,6.00,10.13,5.00,6.00,6.00,213,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',7684,131,NULL,NULL,NULL,NULL,NULL,4,1),(28,7285299,2.00,4.00,1.00,1.00,5.00,9.75,1.00,2.00,2.00,309,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',16516,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7285302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,238,'GABIROBA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7285310,2.00,5.00,5.00,4.00,9.00,8.25,1.00,6.00,5.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',7634,559,NULL,348,NULL,NULL,NULL,4,1),(28,7285329,0.00,4.00,3.00,1.00,3.00,4.50,1.00,2.00,2.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7285337,2.00,6.00,1.00,6.00,5.00,7.50,2.00,4.00,3.00,101,NULL,NULL,'BREJARU','PALHOÇA','SC',12244,60,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285353,4.00,5.00,2.00,4.00,3.00,6.38,2.00,3.00,1.00,303,NULL,NULL,'PEREQUE','PTO BELO','SC',17585,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7285361,2.00,0.00,2.00,6.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOTAFOGO','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7285370,6.00,7.00,3.00,5.00,9.00,9.00,4.00,6.00,5.00,201,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',4652,364,NULL,78,NULL,NULL,NULL,2,1),(28,7285388,4.00,6.00,3.00,5.00,6.00,10.13,7.00,5.00,6.00,238,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',3246,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7285400,1.00,4.00,1.00,6.00,2.00,NULL,0.00,3.00,3.00,319,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285418,3.00,4.00,2.00,5.00,5.00,6.38,2.00,3.00,2.00,108,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',18663,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285434,3.00,3.00,2.00,4.00,4.00,0.00,2.00,2.00,0.00,303,NULL,NULL,'PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285442,5.00,7.00,3.00,7.00,9.00,9.38,4.00,6.00,5.00,203,NULL,601,'JARDIM ITÁLIA','CHAPECÓ','SC',2302,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7285469,0.00,3.00,0.00,1.00,3.00,NULL,4.00,6.00,2.00,653,NULL,202,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7285477,4.00,6.00,2.00,6.00,5.00,6.38,2.00,6.00,3.00,211,NULL,601,'ITAUM','JOINVILLE','SC',10024,NULL,NULL,279,NULL,NULL,NULL,2,8),(28,7285485,0.00,2.00,2.00,7.00,7.00,9.00,2.00,4.00,2.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12267,169,NULL,NULL,NULL,NULL,NULL,4,1),(28,7285493,1.00,3.00,2.00,5.00,4.00,5.63,1.00,3.00,3.00,303,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',17589,578,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285507,5.00,8.00,3.00,6.00,7.00,8.63,3.00,6.00,5.00,108,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7810,98,NULL,NULL,NULL,NULL,NULL,4,1),(28,7285523,2.00,6.00,1.00,7.00,7.00,7.13,1.00,6.00,3.00,104,NULL,NULL,'SÃO SEBASTIÃO','S MIGUEL OESTE','SC',9300,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7285531,1.00,7.00,1.00,6.00,4.00,5.63,3.00,6.00,2.00,310,NULL,NULL,'CENTRO','CHAPECÓ','SC',11417,27,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285582,1.00,1.00,1.00,5.00,3.00,5.63,2.00,2.00,3.00,207,NULL,201,'RIO VERMELHO','FLORIANÓPOLIS','SC',18516,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285590,1.00,4.00,2.00,7.00,6.00,6.38,2.00,4.00,3.00,208,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',16281,181,NULL,NULL,NULL,NULL,NULL,4,1),(28,7285604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7285612,0.00,4.00,1.00,6.00,5.00,8.63,3.00,4.00,0.00,320,NULL,NULL,'MARIA CÉU','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7285620,3.00,7.00,1.00,5.00,5.00,8.25,1.00,5.00,3.00,101,NULL,NULL,'CANTO DOS ARAÇAS','FLORIANÓPOLIS','SC',12249,61,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285647,3.00,7.00,1.00,6.00,6.00,8.25,1.00,6.00,1.00,201,NULL,202,'SITIO PETERS','POUSO REDONDO','SC',8297,596,NULL,224,NULL,NULL,NULL,4,24),(28,7285655,0.00,2.00,1.00,3.00,3.00,NULL,3.00,2.00,2.00,999,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285663,2.00,4.00,3.00,5.00,3.00,5.63,3.00,3.00,4.00,103,NULL,NULL,'INTERIOR','PALMITOS','SC',15803,2393,NULL,NULL,NULL,NULL,NULL,2,4),(28,7285671,3.00,7.00,2.00,5.00,5.00,10.13,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','MARILUZ','PR',12581,2240,NULL,NULL,NULL,NULL,NULL,2,2),(28,7285698,1.00,2.00,3.00,1.00,4.00,6.00,2.00,2.00,2.00,404,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285710,0.00,4.00,1.00,1.00,4.00,6.00,2.00,4.00,1.00,601,NULL,203,'JARDIM IRIRIU','JOINVILLE','SC',18505,526,NULL,694,NULL,NULL,NULL,4,8),(28,7285728,1.00,4.00,2.00,4.00,6.00,5.63,1.00,3.00,0.00,201,NULL,601,'SÃO DOMINGOS','NAVEGANTES','SC',17997,994,NULL,516,NULL,NULL,NULL,2,6),(28,7285744,1.00,5.00,1.00,4.00,3.00,5.63,1.00,4.00,1.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20007,182,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285752,1.00,4.00,1.00,3.00,3.00,5.25,2.00,5.00,2.00,444,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',17013,108,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7285779,6.00,7.00,5.00,6.00,9.00,8.25,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',1095,597,NULL,NULL,NULL,NULL,NULL,4,1),(28,7285787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7285795,3.00,8.00,2.00,6.00,7.00,7.88,4.00,5.00,5.00,203,NULL,201,'ALTO DA BOA VISTA','S PAULO','SP',4706,327,NULL,NULL,NULL,NULL,NULL,4,1),(28,7285809,2.00,4.00,2.00,6.00,5.00,0.00,1.00,3.00,3.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285817,1.00,4.00,1.00,5.00,4.00,9.00,1.00,1.00,2.00,654,NULL,NULL,'CIDADE ALTA','TURVO','SC',19540,78,NULL,NULL,NULL,NULL,NULL,2,15),(28,7285825,2.00,4.00,1.00,5.00,2.00,NULL,1.00,4.00,2.00,654,NULL,NULL,'RIO BUTIA','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7285833,3.00,7.00,1.00,5.00,7.00,10.88,3.00,4.00,4.00,5,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',7612,233,NULL,NULL,NULL,NULL,NULL,4,1),(28,7285841,3.00,0.00,1.00,6.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7285850,3.00,6.00,3.00,3.00,2.00,NULL,0.00,4.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7285868,1.00,8.00,4.00,6.00,6.00,7.88,5.00,6.00,5.00,110,NULL,NULL,'NONOAI','PTO ALEGRE','RS',5500,8,NULL,NULL,NULL,NULL,NULL,5,1),(28,7285876,3.00,6.00,1.00,6.00,6.00,5.25,3.00,4.00,4.00,238,NULL,655,'FUNDOS','BIGUAÇU','SC',15796,NULL,NULL,92,NULL,NULL,NULL,2,1),(28,7285892,1.00,5.00,3.00,4.00,5.00,6.75,2.00,4.00,2.00,552,NULL,NULL,'CENTRO','BENEDITO NOVO','SC',18253,137,NULL,NULL,NULL,NULL,NULL,2,2),(28,7285906,1.00,6.00,1.00,2.00,3.00,8.25,0.00,3.00,0.00,552,NULL,NULL,'CENTRO','IPUMIRIM','SC',16457,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7285914,3.00,3.00,2.00,6.00,4.00,6.75,0.00,3.00,1.00,309,NULL,NULL,'PICADAS DO NORTE','S JOSÉ','SC',15664,28,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,26),(28,7285930,2.00,2.00,1.00,3.00,6.00,7.88,2.00,3.00,4.00,317,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7285949,5.00,6.00,1.00,5.00,6.00,8.25,3.00,6.00,5.00,234,NULL,NULL,'COLONIA SANTANA','S JOSÉ','SC',7828,6,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285957,2.00,6.00,2.00,5.00,7.00,8.63,3.00,5.00,5.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13307,10,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285965,3.00,4.00,3.00,5.00,4.00,10.50,3.00,3.00,1.00,450,NULL,NULL,'VILA LALAU','JARAGUÁ SUL','SC',17340,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7285973,1.00,7.00,1.00,4.00,4.00,7.13,0.00,6.00,2.00,415,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',13742,224,NULL,NULL,NULL,NULL,NULL,2,1),(28,7285990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PARQUE VENEZA','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7286007,6.00,8.00,1.00,5.00,4.00,7.88,0.00,5.00,4.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',14030,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7286015,7.00,9.00,3.00,7.00,7.00,7.13,3.00,7.00,6.00,304,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',1611,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7286023,6.00,8.00,2.00,5.00,10.00,11.63,5.00,7.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',852,488,NULL,NULL,NULL,NULL,NULL,4,1),(28,7286031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7286040,1.00,6.00,2.00,4.00,4.00,6.75,3.00,5.00,2.00,101,NULL,NULL,'ALTO BIGUAÇU','BIGUAÇU','SC',13435,76,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286066,1.00,3.00,0.00,5.00,4.00,NULL,0.00,4.00,2.00,653,NULL,652,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7286112,4.00,7.00,4.00,4.00,9.00,7.88,6.00,5.00,5.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',5921,390,NULL,162,NULL,NULL,NULL,4,1),(28,7286120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,440,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7286139,2.00,4.00,2.00,5.00,4.00,6.75,3.00,3.00,4.00,415,NULL,NULL,'CACH DO BOM JESUS','FLORIANÓPOLIS','SC',12168,199,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286147,2.00,6.00,1.00,5.00,7.00,7.50,1.00,4.00,2.00,339,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',12756,7,NULL,NULL,NULL,NULL,NULL,2,8),(28,7286155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'SANTA MARIA GORETTI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7286163,2.00,1.00,4.00,3.00,3.00,7.50,2.00,2.00,0.00,454,NULL,NULL,'BAIRRO SERRA ALTA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7286171,1.00,5.00,3.00,6.00,4.00,7.13,3.00,2.00,2.00,104,NULL,NULL,'CENTRO','STA CRUZ SUL','RS',18352,436,NULL,NULL,NULL,NULL,NULL,2,5),(28,7286180,1.00,5.00,1.00,4.00,3.00,5.25,1.00,3.00,1.00,104,NULL,NULL,'ZONA RURAL','CPO ERÊ','SC',17942,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7286198,0.00,7.00,2.00,6.00,8.00,9.75,1.00,6.00,4.00,9,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12563,81,NULL,NULL,NULL,NULL,NULL,4,1),(28,7286201,3.00,5.00,2.00,6.00,8.00,7.88,3.00,6.00,0.00,211,NULL,233,'CAMPECHE','FLORIANÓPOLIS','SC',9351,251,NULL,222,NULL,NULL,NULL,2,1),(28,7286210,3.00,0.00,2.00,7.00,4.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7286228,0.00,3.00,3.00,5.00,5.00,NULL,2.00,5.00,5.00,103,NULL,NULL,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'CENTRO','PTE NOVA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7286244,1.00,8.00,3.00,6.00,6.00,7.50,4.00,6.00,2.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7705,39,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286252,4.00,8.00,1.00,3.00,8.00,6.75,3.00,4.00,3.00,207,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',9707,NULL,NULL,263,NULL,NULL,NULL,4,1),(28,7286279,3.00,8.00,1.00,6.00,5.00,8.63,3.00,5.00,2.00,328,NULL,NULL,'HARMONIA','PR GRANDE','SC',9332,6,NULL,NULL,NULL,NULL,NULL,4,15),(28,7286287,3.00,6.00,3.00,7.00,6.00,8.25,2.00,5.00,2.00,101,NULL,NULL,'NITEROI','CANOAS','RS',7626,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286295,2.00,7.00,2.00,6.00,6.00,12.00,3.00,6.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7286309,4.00,7.00,1.00,3.00,9.00,9.38,2.00,6.00,6.00,103,NULL,NULL,'CRUZEIRO DO SUL','JOAÇABA','SC',8665,1972,NULL,NULL,NULL,NULL,NULL,4,7),(28,7286325,5.00,7.00,5.00,7.00,8.00,8.25,3.00,5.00,5.00,301,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4785,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7286333,2.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAIBI','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(28,7286341,4.00,8.00,1.00,7.00,8.00,9.00,4.00,8.00,5.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4973,1489,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286350,0.00,3.00,2.00,5.00,3.00,NULL,1.00,2.00,2.00,653,NULL,652,'ERECHIM','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7286368,1.00,6.00,4.00,7.00,4.00,7.13,2.00,6.00,2.00,201,NULL,233,'CENTRO','PALHOÇA','SC',16389,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286376,2.00,5.00,2.00,5.00,6.00,7.88,2.00,6.00,2.00,207,NULL,201,'GIOPPO','CAÇADOR','SC',15944,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7286392,3.00,4.00,2.00,4.00,5.00,7.13,1.00,3.00,2.00,211,NULL,233,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',15893,392,NULL,322,NULL,NULL,NULL,2,1),(28,7286406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'INTERIOR','S JOÃO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7286414,0.00,5.00,2.00,2.00,7.00,NULL,1.00,4.00,2.00,319,NULL,NULL,'BARREIROS','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7286422,3.00,7.00,2.00,6.00,6.00,9.00,5.00,6.00,4.00,222,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5764,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7286430,1.00,4.00,2.00,5.00,7.00,7.13,2.00,5.00,4.00,503,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',16874,34,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286457,3.00,7.00,3.00,6.00,7.00,6.38,3.00,6.00,6.00,216,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',5523,206,NULL,424,NULL,NULL,NULL,4,1),(28,7286465,3.00,8.00,2.00,6.00,10.00,10.88,4.00,7.00,5.00,3,NULL,NULL,'OFICINAS','TUBARÃO','SC',2311,5,NULL,NULL,NULL,NULL,NULL,4,10),(28,7286473,3.00,3.00,0.00,6.00,4.00,NULL,2.00,4.00,3.00,404,NULL,NULL,'GRAVATÁ','PENHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7286490,0.00,3.00,2.00,4.00,4.00,NULL,0.00,3.00,3.00,653,NULL,655,'CAMPINHO','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7286511,4.00,7.00,2.00,5.00,7.00,6.38,4.00,6.00,3.00,201,NULL,212,'CAMPECHE','FLORIANÓPOLIS','SC',8751,620,NULL,262,NULL,NULL,NULL,4,1),(28,7286538,4.00,4.00,2.00,5.00,7.00,9.75,3.00,3.00,4.00,207,NULL,201,'CENTRO','PAPANDUVA','SC',12943,586,NULL,NULL,NULL,NULL,NULL,4,17),(28,7286546,1.00,3.00,1.00,5.00,4.00,5.25,2.00,2.00,1.00,216,NULL,NULL,'NOVO HORIZONTE','IVATÉ','PR',19986,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7286554,0.00,5.00,0.00,3.00,6.00,7.13,3.00,3.00,4.00,211,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',17105,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7286562,3.00,5.00,1.00,4.00,4.00,7.13,2.00,3.00,1.00,104,NULL,NULL,'TRES RIOS DO SUL','JARAGUÁ SUL','SC',15100,369,NULL,NULL,NULL,NULL,NULL,4,23),(28,7286570,0.00,3.00,2.00,2.00,3.00,6.38,1.00,2.00,1.00,224,NULL,NULL,'CENTRO','S MARTINHO','SC',20076,37,NULL,NULL,NULL,NULL,NULL,4,10),(28,7286589,3.00,6.00,1.00,7.00,8.00,9.75,2.00,5.00,2.00,103,NULL,NULL,'IRIRIU','JOINVILLE','SC',7068,1771,NULL,NULL,NULL,NULL,NULL,2,8),(28,7286597,3.00,5.00,1.00,5.00,6.00,4.50,3.00,4.00,6.00,415,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',12462,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286600,0.00,3.00,2.00,3.00,4.00,4.88,2.00,1.00,3.00,319,NULL,NULL,'CENTRO','TORRES','RS',18023,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286619,2.00,4.00,1.00,3.00,4.00,5.63,2.00,4.00,2.00,653,NULL,201,'COLONINHA','ARARANGUÁ','SC',17194,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7286627,3.00,6.00,2.00,6.00,6.00,8.63,3.00,5.00,3.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8182,1919,NULL,NULL,NULL,NULL,NULL,4,1),(28,7286643,4.00,8.00,3.00,8.00,7.00,8.63,5.00,7.00,4.00,103,NULL,NULL,'JD ITATIAIA','EMBU','SP',1793,834,NULL,NULL,NULL,NULL,NULL,4,1),(28,7286651,2.00,6.00,2.00,7.00,10.00,6.38,2.00,4.00,5.00,454,NULL,NULL,'CACHOEIRAS','BIGUAÇU','SC',8056,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7286660,2.00,5.00,2.00,5.00,6.00,5.25,2.00,2.00,4.00,309,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',15215,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286686,1.00,0.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'AEROPORTO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(28,7286694,3.00,7.00,1.00,5.00,9.00,12.38,4.00,7.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3156,115,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286708,2.00,4.00,1.00,5.00,4.00,8.63,2.00,4.00,4.00,202,NULL,201,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',18026,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7286724,1.00,4.00,1.00,3.00,4.00,5.63,2.00,3.00,1.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286732,2.00,5.00,2.00,5.00,3.00,7.50,1.00,4.00,2.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286740,0.00,0.00,3.00,6.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(28,7286767,4.00,7.00,4.00,6.00,6.00,4.88,3.00,4.00,3.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13345,330,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286775,7.00,7.00,5.00,5.00,6.00,7.88,6.00,7.00,7.00,203,NULL,202,'CENTRO II','BRUSQUE','SC',2664,204,NULL,75,NULL,NULL,NULL,4,1),(28,7286783,0.00,5.00,1.00,6.00,8.00,11.25,3.00,3.00,4.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13744,162,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7286805,2.00,4.00,1.00,6.00,4.00,NULL,0.00,1.00,2.00,110,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286813,1.00,3.00,1.00,7.00,5.00,5.63,0.00,3.00,1.00,319,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',17050,330,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286821,1.00,3.00,4.00,5.00,4.00,7.50,0.00,3.00,2.00,103,NULL,NULL,'SÃO CRISTÓVÃO','TRÊS BARRAS','SC',19467,2518,NULL,NULL,NULL,NULL,NULL,2,17),(28,7286830,3.00,5.00,2.00,5.00,7.00,7.13,2.00,4.00,5.00,454,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',11366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286856,7.00,7.00,2.00,6.00,8.00,9.00,6.00,7.00,3.00,212,NULL,238,'AREIAS','S JOSÉ','SC',2584,67,NULL,9,NULL,NULL,NULL,4,1),(28,7286880,0.00,0.00,4.00,2.00,2.00,NULL,0.00,0.00,0.00,213,NULL,235,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7286899,2.00,4.00,2.00,2.00,6.00,8.25,2.00,5.00,3.00,201,NULL,203,'POTECAS','S JOSÉ','SC',13017,NULL,NULL,605,NULL,NULL,NULL,4,1),(28,7286902,4.00,5.00,2.00,6.00,6.00,8.25,0.00,7.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12252,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7286910,3.00,7.00,4.00,6.00,9.00,10.50,4.00,6.00,4.00,450,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',5325,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7286929,1.00,7.00,2.00,5.00,7.00,10.13,4.00,7.00,3.00,316,NULL,NULL,'CENTRO','BIGUAÇU','SC',6816,55,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286937,0.00,2.00,2.00,5.00,2.00,NULL,0.00,1.00,1.00,222,NULL,NULL,'BALNEÁRIO PEREQUÊ','GUARUJÁ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286945,2.00,7.00,3.00,5.00,5.00,8.63,0.00,5.00,3.00,654,NULL,NULL,'PRAIA DA CAL','TORRES','RS',11090,15,NULL,NULL,NULL,NULL,NULL,4,15),(28,7286953,3.00,4.00,2.00,2.00,5.00,7.88,3.00,2.00,3.00,552,NULL,NULL,'POR DO SOL','MTE CARLO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7286961,8.00,7.00,5.00,7.00,9.00,9.38,6.00,7.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',476,330,NULL,NULL,NULL,NULL,NULL,2,1),(28,7286970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7286996,2.00,6.00,0.00,4.00,8.00,7.50,2.00,5.00,1.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',11102,16,NULL,NULL,NULL,NULL,NULL,5,15),(28,7287003,2.00,5.00,3.00,5.00,6.00,6.38,2.00,4.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12870,144,NULL,NULL,NULL,NULL,NULL,2,1),(28,7287011,0.00,3.00,4.00,3.00,0.00,NULL,0.00,4.00,1.00,302,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7287020,1.00,2.00,3.00,2.00,5.00,9.38,1.00,4.00,4.00,104,NULL,NULL,'CENTRO','STA CRUZ SUL','RS',18896,447,NULL,NULL,NULL,NULL,NULL,2,5),(28,7287038,5.00,6.00,2.00,4.00,7.00,10.50,2.00,6.00,5.00,304,NULL,NULL,'BUCAREIN','JOINVILLE','SC',8533,64,NULL,NULL,NULL,NULL,NULL,4,8),(28,7287046,2.00,5.00,4.00,7.00,4.00,9.00,4.00,6.00,3.00,201,NULL,601,'ARI BORTOLI','S DOMINGOS','SC',8291,NULL,NULL,202,NULL,NULL,NULL,4,4),(28,7287054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'ENSEADA DE BRITTO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7287062,3.00,7.00,2.00,6.00,9.00,8.25,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','S MARTINHO','SC',3952,1315,NULL,NULL,NULL,NULL,NULL,2,10),(28,7287089,4.00,8.00,3.00,7.00,5.00,8.25,4.00,4.00,2.00,215,NULL,216,'VICTOR KONDER','BLUMENAU','SC',6880,103,NULL,235,NULL,NULL,NULL,4,2),(28,7287097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7287100,3.00,8.00,3.00,7.00,8.00,9.75,3.00,5.00,3.00,211,NULL,207,'CARVOEIRA','FLORIANÓPOLIS','SC',9368,252,NULL,432,NULL,NULL,NULL,4,1),(28,7287119,2.00,4.00,2.00,4.00,8.00,7.50,2.00,4.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15192,296,NULL,NULL,NULL,NULL,NULL,2,1),(28,7287127,3.00,2.00,2.00,5.00,5.00,5.25,3.00,3.00,2.00,502,NULL,NULL,'PINHEIRA','PALHOÇA','SC',18087,49,NULL,NULL,NULL,NULL,NULL,2,1),(28,7287151,5.00,7.00,2.00,6.00,7.00,9.75,3.00,6.00,5.00,310,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',8818,17,NULL,NULL,NULL,NULL,NULL,2,1),(28,7287160,0.00,3.00,0.00,2.00,1.00,NULL,1.00,3.00,1.00,201,NULL,211,'JARDIM ITALIA','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,15),(28,7287178,2.00,6.00,1.00,6.00,5.00,7.88,3.00,7.00,1.00,331,NULL,NULL,'ACLIMAÇÃO','S PAULO','SP',11149,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7287186,5.00,9.00,1.00,6.00,10.00,10.13,5.00,4.00,6.00,103,NULL,NULL,'JARDIM POTIGUAR','PIRACICABA','SP',1136,614,NULL,NULL,NULL,NULL,NULL,4,1),(28,7287194,1.00,3.00,2.00,5.00,5.00,7.50,1.00,2.00,5.00,109,NULL,NULL,'BRASÍLIA','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7287208,4.00,7.00,1.00,5.00,9.00,10.50,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',4771,1458,NULL,NULL,NULL,NULL,NULL,4,9),(28,7287232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7287240,1.00,0.00,1.00,1.00,5.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'SANGA DA AREIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',6,15),(28,7287259,4.00,7.00,4.00,6.00,6.00,7.50,3.00,5.00,2.00,201,NULL,220,'LOEFFELSCHEIDT','ÁGUAS MORNAS','SC',13439,845,NULL,297,NULL,NULL,NULL,2,1),(28,7287267,5.00,8.00,5.00,5.00,7.00,8.25,5.00,7.00,7.00,201,NULL,220,'ESTREITO','FLORIANÓPOLIS','SC',1979,130,NULL,55,NULL,NULL,NULL,4,1),(28,7287275,3.00,6.00,5.00,6.00,8.00,9.75,6.00,6.00,6.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2139,69,NULL,NULL,NULL,NULL,NULL,4,1),(28,7287283,2.00,7.00,2.00,6.00,7.00,8.25,3.00,8.00,3.00,103,NULL,NULL,'VORSTADT','BLUMENAU','SC',4855,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7287291,1.00,2.00,2.00,4.00,6.00,7.50,2.00,3.00,4.00,332,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',16197,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7287305,3.00,2.00,1.00,2.00,3.00,6.00,3.00,1.00,2.00,224,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7287313,5.00,4.00,2.00,4.00,4.00,6.00,1.00,5.00,3.00,404,NULL,NULL,'LAGOINHA','FLORIANÓPOLIS','SC',15976,40,NULL,NULL,NULL,NULL,NULL,2,1),(28,7287321,0.00,4.00,2.00,4.00,5.00,NULL,3.00,3.00,1.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7287330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7287348,0.00,4.00,0.00,2.00,2.00,NULL,0.00,4.00,2.00,103,NULL,NULL,'JARDIM ESPERANÇA','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7287356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7287364,4.00,7.00,4.00,7.00,7.00,10.13,7.00,7.00,5.00,214,NULL,233,'DEHON','TUBARÃO','SC',3051,111,NULL,70,NULL,NULL,NULL,4,1),(28,7287372,4.00,6.00,4.00,5.00,6.00,5.25,4.00,6.00,3.00,202,NULL,213,'RIO CAVEIRAS','BIGUAÇU','SC',6009,165,NULL,99,NULL,NULL,NULL,4,1),(28,7287380,2.00,6.00,3.00,5.00,8.00,7.50,3.00,6.00,2.00,211,NULL,201,'FAZENDINHA','ITAJAÍ','SC',7201,204,NULL,535,NULL,NULL,NULL,4,6),(28,7287399,0.00,4.00,3.00,2.00,3.00,NULL,0.00,3.00,1.00,552,NULL,NULL,'FAXINAL DO ESTREITO','PTE ALTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7287410,1.00,5.00,2.00,4.00,5.00,4.50,1.00,3.00,1.00,552,NULL,NULL,'CENTRO','ITUPORANGA','SC',19736,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7287429,6.00,8.00,4.00,6.00,8.00,6.75,4.00,5.00,5.00,101,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4137,4,NULL,NULL,NULL,NULL,NULL,2,1),(28,7287437,3.00,7.00,3.00,5.00,7.00,6.00,4.00,5.00,5.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',6904,423,NULL,188,NULL,NULL,NULL,4,1),(28,7287461,1.00,3.00,2.00,2.00,3.00,4.50,0.00,1.00,1.00,303,NULL,NULL,'SERRARIA','S JOSÉ','SC',19817,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7287488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7287496,3.00,6.00,3.00,3.00,5.00,7.88,2.00,4.00,5.00,103,NULL,NULL,'CENTRO','IBAITI','PR',8872,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7287500,4.00,7.00,2.00,5.00,6.00,7.50,5.00,3.00,1.00,340,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',11628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7287526,1.00,4.00,1.00,3.00,8.00,8.63,1.00,3.00,3.00,332,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',15824,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7287534,1.00,0.00,2.00,1.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7287542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,653,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7287550,0.00,5.00,3.00,4.00,2.00,NULL,2.00,5.00,4.00,233,NULL,202,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7287585,0.00,7.00,2.00,4.00,6.00,NULL,1.00,4.00,1.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7287593,1.00,4.00,1.00,6.00,5.00,6.00,5.00,4.00,4.00,238,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',11939,191,NULL,NULL,NULL,NULL,NULL,2,1),(28,7287615,1.00,5.00,2.00,7.00,6.00,10.50,4.00,4.00,1.00,454,NULL,NULL,'CABEÇUDAS','LAGUNA','SC',8095,143,NULL,NULL,NULL,NULL,NULL,4,10),(28,7287623,3.00,6.00,3.00,6.00,6.00,7.88,6.00,5.00,5.00,203,NULL,652,'JARDINS MADRI','GOIÂNIA','GO',5492,NULL,NULL,5,NULL,NULL,NULL,4,1),(28,7287631,1.00,5.00,1.00,7.00,6.00,9.00,3.00,5.00,3.00,340,NULL,NULL,'CENTRO','GAROPABA','SC',16458,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7287640,0.00,5.00,2.00,3.00,1.00,NULL,1.00,3.00,2.00,319,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7287658,2.00,8.00,2.00,7.00,8.00,9.75,2.00,6.00,2.00,426,NULL,428,'MOINHOS','ILÓPOLIS','RS',6230,4,NULL,NULL,NULL,NULL,NULL,4,15),(28,7287666,6.00,8.00,3.00,7.00,9.00,6.75,4.00,6.00,5.00,208,NULL,NULL,'RIACHO FUNDO','RIACHO FUNDO','DF',6061,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7287674,4.00,7.00,3.00,6.00,6.00,8.63,3.00,7.00,4.00,201,NULL,653,'SANTA ISABEL','FORQUILHINHA','SC',6249,NULL,NULL,61,NULL,NULL,NULL,2,5),(28,7287682,0.00,7.00,2.00,5.00,6.00,6.75,5.00,4.00,1.00,303,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',16205,551,NULL,NULL,NULL,NULL,NULL,4,1),(28,7287690,1.00,6.00,0.00,6.00,7.00,7.88,1.00,5.00,5.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',11437,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7287704,0.00,3.00,1.00,3.00,2.00,NULL,2.00,2.00,2.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7287712,1.00,4.00,1.00,3.00,2.00,NULL,2.00,4.00,1.00,423,NULL,427,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7287720,4.00,8.00,2.00,7.00,7.00,12.38,3.00,7.00,5.00,207,NULL,211,'CARIANOS','FLORIANÓPOLIS','SC',2810,97,NULL,52,NULL,NULL,NULL,4,1),(28,7287747,4.00,8.00,2.00,6.00,8.00,10.50,4.00,8.00,7.00,220,NULL,203,'COLONINHA','ARARANGUÁ','SC',1588,42,NULL,NULL,NULL,NULL,NULL,4,15),(28,7287755,0.00,3.00,1.00,5.00,4.00,NULL,1.00,3.00,1.00,102,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7287763,2.00,4.00,0.00,3.00,8.00,7.13,2.00,5.00,2.00,552,NULL,NULL,'INTERIOR','IOMERÊ','SC',13789,78,NULL,NULL,NULL,NULL,NULL,2,25),(28,7287771,2.00,4.00,0.00,4.00,6.00,NULL,2.00,4.00,3.00,428,NULL,426,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7287798,0.00,2.00,1.00,2.00,5.00,9.38,1.00,3.00,2.00,308,NULL,NULL,'PINHEIRAL','MAJ GERCINO','SC',18755,76,NULL,NULL,NULL,NULL,NULL,4,22),(28,7287810,3.00,6.00,4.00,6.00,6.00,10.13,6.00,6.00,6.00,220,NULL,211,'AGRONÔMICA','FLORIANÓPOLIS','SC',3022,87,NULL,59,NULL,NULL,NULL,4,1),(28,7287828,2.00,2.00,2.00,2.00,1.00,NULL,2.00,2.00,2.00,339,NULL,NULL,'SAO JOAO','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7287836,4.00,6.00,3.00,5.00,7.00,7.13,3.00,6.00,4.00,318,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',8716,54,NULL,NULL,NULL,NULL,NULL,2,1),(28,7287844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7287852,2.00,2.00,1.00,5.00,6.00,7.88,2.00,5.00,4.00,319,NULL,NULL,'SANTA ANA','STO AMARO IMPERATRIZ','SC',18219,351,NULL,NULL,NULL,NULL,NULL,4,1),(28,7287860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDINS','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7287879,2.00,1.00,3.00,4.00,3.00,5.63,0.00,3.00,2.00,101,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7287887,7.00,8.00,4.00,6.00,10.00,8.63,5.00,6.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',655,412,NULL,NULL,NULL,NULL,NULL,4,1),(28,7287895,4.00,8.00,2.00,5.00,8.00,9.00,2.00,6.00,2.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6608,209,NULL,NULL,NULL,NULL,NULL,4,1),(28,7287909,2.00,3.00,4.00,3.00,6.00,5.25,0.00,3.00,2.00,104,NULL,NULL,'CHACARA ANTONIETA','LIMEIRA','SP',17030,413,NULL,NULL,NULL,NULL,NULL,2,1),(28,7287917,1.00,6.00,1.00,5.00,7.00,8.63,3.00,5.00,4.00,104,NULL,NULL,'OFICINAS','TUBARÃO','SC',11103,269,NULL,NULL,NULL,NULL,NULL,4,10),(28,7287925,1.00,5.00,0.00,2.00,4.00,NULL,2.00,3.00,1.00,220,NULL,202,'JARDIN UNIVERSITARIO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7287933,1.00,4.00,1.00,2.00,4.00,6.38,1.00,5.00,3.00,202,NULL,213,'CENTRO','TIJUCAS','SC',19770,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7287941,5.00,3.00,2.00,6.00,7.00,7.50,1.00,3.00,1.00,319,NULL,NULL,'LA SALLE','PATO BRANCO','PR',12528,229,NULL,NULL,NULL,NULL,NULL,4,4),(28,7287950,2.00,8.00,2.00,7.00,5.00,6.00,2.00,4.00,3.00,999,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7287968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7287976,1.00,4.00,3.00,4.00,5.00,8.25,1.00,4.00,1.00,203,NULL,214,'CENTRO','ÁGUA DOCE','SC',13558,614,NULL,305,NULL,NULL,NULL,4,7),(28,7287984,0.00,2.00,2.00,1.00,4.00,7.13,1.00,2.00,1.00,238,NULL,655,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',20146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288000,4.00,0.00,6.00,7.00,10.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7288018,2.00,5.00,2.00,7.00,4.00,8.25,1.00,3.00,3.00,110,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',17222,87,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,423,'ANDRINO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7288034,2.00,5.00,0.00,6.00,6.00,9.00,3.00,6.00,1.00,655,NULL,NULL,'QUARTA LINHA','CRICIÚMA','SC',16686,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7288042,4.00,5.00,4.00,7.00,7.00,6.38,5.00,5.00,3.00,214,NULL,213,'SANTA RUTE','JUNQUEIRÓPOLIS','SP',5135,167,NULL,82,NULL,NULL,NULL,4,1),(28,7288069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','PEDRALVA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7288077,5.00,8.00,4.00,6.00,8.00,10.50,5.00,8.00,6.00,203,NULL,220,'CENTRO','TOLEDO','PR',611,58,NULL,NULL,NULL,NULL,NULL,2,27),(28,7288085,3.00,6.00,2.00,6.00,5.00,6.38,1.00,6.00,3.00,102,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',16619,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7288093,5.00,7.00,2.00,5.00,9.00,6.75,4.00,5.00,3.00,202,NULL,213,'ARREIAS','S JOSÉ','SC',7445,198,NULL,124,NULL,NULL,NULL,4,1),(28,7288107,7.00,7.00,4.00,7.00,10.00,10.88,6.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',279,212,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288115,2.00,5.00,2.00,3.00,10.00,10.88,3.00,5.00,6.00,216,NULL,215,'RIO DO MEIO','CAMBORIÚ','SC',4551,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7288140,0.00,5.00,1.00,3.00,3.00,6.00,0.00,5.00,3.00,207,NULL,NULL,'INTERIOR','SAUDADES','SC',17424,751,NULL,NULL,NULL,NULL,NULL,4,4),(28,7288166,0.00,2.00,1.00,3.00,4.00,NULL,2.00,4.00,1.00,201,NULL,207,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288174,1.00,3.00,2.00,3.00,2.00,NULL,0.00,3.00,0.00,104,NULL,NULL,'CORRIDAS','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7288190,0.00,3.00,2.00,1.00,4.00,NULL,2.00,1.00,2.00,317,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288220,0.00,3.00,3.00,5.00,3.00,5.25,2.00,4.00,1.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7288239,0.00,3.00,0.00,0.00,0.00,NULL,2.00,4.00,1.00,454,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7288247,6.00,7.00,3.00,5.00,5.00,8.25,2.00,6.00,4.00,233,NULL,215,'CENTRO','BAL CAMBORIÚ','SC',6871,NULL,NULL,102,NULL,NULL,NULL,4,6),(28,7288255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7288263,0.00,3.00,2.00,5.00,4.00,5.63,2.00,2.00,0.00,5,NULL,NULL,'SANTA RITA','CRUZ ALTA','RS',18545,473,NULL,NULL,NULL,NULL,NULL,2,1),(28,7288271,2.00,7.00,4.00,3.00,8.00,9.38,3.00,6.00,4.00,103,NULL,NULL,'PIONEIROS','CPO GRANDE','MS',4646,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7288280,8.00,8.00,6.00,7.00,9.00,8.25,6.00,7.00,6.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',477,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7288298,2.00,4.00,3.00,2.00,3.00,7.50,2.00,3.00,2.00,207,NULL,201,'PASSA VINTE','PALHOÇA','SC',16151,704,NULL,941,NULL,NULL,NULL,4,1),(28,7288310,4.00,7.00,3.00,5.00,6.00,10.13,3.00,5.00,5.00,201,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',5415,418,NULL,149,NULL,NULL,NULL,2,1),(28,7288328,4.00,6.00,2.00,6.00,3.00,7.88,3.00,6.00,5.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12278,345,NULL,NULL,NULL,NULL,NULL,2,1),(28,7288336,2.00,9.00,2.00,3.00,4.00,8.63,1.00,6.00,1.00,213,NULL,653,'AREIAS','S JOSÉ','SC',12337,210,NULL,132,NULL,NULL,NULL,4,1),(28,7288344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,425,'ADHEMAR GARCIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7288352,2.00,7.00,3.00,5.00,4.00,6.38,3.00,6.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12978,145,NULL,NULL,NULL,NULL,NULL,2,1),(28,7288379,3.00,3.00,2.00,4.00,4.00,7.50,0.00,4.00,2.00,103,NULL,NULL,'CENTRO','CARLÓPOLIS','PR',19152,2508,NULL,NULL,NULL,NULL,NULL,4,8),(28,7288395,4.00,4.00,3.00,5.00,4.00,7.50,3.00,4.00,2.00,201,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',17771,982,NULL,NULL,NULL,NULL,NULL,2,1),(28,7288417,2.00,3.00,1.00,2.00,4.00,6.00,1.00,3.00,3.00,207,NULL,216,'PACHECOS','PALHOÇA','SC',19860,814,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288425,5.00,5.00,4.00,5.00,5.00,6.00,3.00,4.00,5.00,653,NULL,601,'NOSSA SRA APARECIDA','FRANCISCO BELTRÃO','PR',8664,89,NULL,219,NULL,NULL,NULL,4,4),(28,7288433,3.00,4.00,1.00,1.00,4.00,6.75,2.00,4.00,2.00,319,NULL,NULL,'ESPLANADA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7288441,2.00,5.00,3.00,5.00,6.00,7.88,3.00,4.00,4.00,103,NULL,NULL,'COSTA DA LAGOA','FLORIANÓPOLIS','SC',11392,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7288450,3.00,6.00,3.00,5.00,5.00,7.50,3.00,6.00,4.00,304,NULL,NULL,'PARQUE INDUSTRIAL','S JOSÉ CAMPOS','SP',10670,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7288476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'PINHEIRAL','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7288484,3.00,6.00,2.00,3.00,4.00,6.00,3.00,4.00,3.00,601,NULL,652,'CERAMARTE','RIO NEGRINHO','SC',13055,396,NULL,41,NULL,NULL,NULL,4,1),(28,7288492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CANAÃ','UBERLÂNDIA','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7288506,3.00,7.00,1.00,6.00,5.00,9.38,1.00,3.00,4.00,2,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',15294,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7288530,2.00,5.00,1.00,3.00,4.00,6.75,2.00,4.00,3.00,104,NULL,NULL,'CENTRO','LAGUNA','SC',18208,432,NULL,NULL,NULL,NULL,NULL,4,10),(28,7288549,5.00,8.00,3.00,6.00,9.00,7.88,7.00,6.00,4.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3116,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288557,4.00,8.00,4.00,5.00,8.00,9.00,6.00,6.00,7.00,214,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',1372,37,NULL,7,NULL,NULL,NULL,2,1),(28,7288565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'SERRARIA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7288573,1.00,4.00,0.00,5.00,4.00,8.63,1.00,3.00,2.00,444,NULL,NULL,'CENTRO','LAGES','SC',16751,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7288590,0.00,5.00,2.00,3.00,6.00,7.50,1.00,3.00,2.00,551,NULL,NULL,'CENTRO','STA CECÍLIA','SC',15673,26,NULL,NULL,NULL,NULL,NULL,4,16),(28,7288603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CHÁCARA DAS FLORES','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7288611,2.00,7.00,4.00,6.00,5.00,7.88,4.00,6.00,2.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6917,311,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288620,1.00,3.00,4.00,7.00,4.00,7.88,1.00,5.00,1.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288638,3.00,6.00,3.00,5.00,6.00,10.50,1.00,6.00,2.00,450,NULL,NULL,'GUANANDY','AQUIDAUANA','MS',13532,106,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288654,2.00,6.00,2.00,5.00,5.00,9.38,3.00,5.00,2.00,551,NULL,NULL,'BOSQUE','CURITIBANOS','SC',15315,20,NULL,NULL,NULL,NULL,NULL,4,16),(28,7288662,0.00,4.00,1.00,1.00,1.00,NULL,1.00,3.00,2.00,655,NULL,652,'CAMPO DA AGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7288670,3.00,4.00,0.00,4.00,5.00,7.13,3.00,7.00,3.00,653,NULL,601,'ALVORADA','FRANCISCO BELTRÃO','PR',11465,120,NULL,337,NULL,NULL,NULL,4,4),(28,7288689,2.00,7.00,4.00,6.00,7.00,8.63,3.00,7.00,2.00,415,NULL,NULL,'CHÁCARAS SANTA MARIA','EMBU','SP',6155,99,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288700,2.00,7.00,3.00,6.00,6.00,7.88,3.00,4.00,3.00,318,NULL,NULL,'LAGOA','FLORIANÓPOLIS','SC',8675,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288719,0.00,4.00,4.00,3.00,2.00,NULL,0.00,3.00,1.00,999,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288735,6.00,7.00,1.00,6.00,6.00,10.13,2.00,6.00,2.00,340,NULL,NULL,'CENTRO','ERECHIM','RS',6541,170,NULL,NULL,NULL,NULL,NULL,4,23),(28,7288743,6.00,8.00,3.00,7.00,7.00,11.25,4.00,7.00,5.00,102,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',1804,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288751,7.00,9.00,4.00,7.00,10.00,9.75,6.00,6.00,7.00,103,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',265,201,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288760,1.00,6.00,2.00,2.00,4.00,4.88,2.00,4.00,2.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17439,33,NULL,NULL,NULL,NULL,NULL,2,1),(28,7288778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7288786,3.00,8.00,0.00,6.00,6.00,5.25,4.00,5.00,6.00,203,NULL,601,'ZONA I A','UMUARAMA','PR',7475,452,NULL,171,NULL,NULL,NULL,4,8),(28,7288794,0.00,2.00,1.00,4.00,5.00,7.50,3.00,3.00,2.00,552,NULL,NULL,'CENTRO','ZORTÉA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7288808,1.00,5.00,1.00,6.00,7.00,6.00,3.00,6.00,3.00,451,NULL,NULL,'CENTRO','CAÇADOR','SC',12263,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7288816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7288824,1.00,5.00,2.00,6.00,7.00,7.13,1.00,4.00,2.00,102,NULL,NULL,'CENTRO','LAGES','SC',10734,98,NULL,NULL,NULL,NULL,NULL,4,9),(28,7288832,1.00,2.00,2.00,4.00,5.00,8.25,1.00,2.00,1.00,207,NULL,NULL,'CENTRO','JOAÇABA','SC',16716,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7288840,0.00,5.00,1.00,3.00,4.00,NULL,3.00,4.00,1.00,103,NULL,NULL,'LARANJEIRAS','MODELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7288859,3.00,5.00,0.00,4.00,7.00,NULL,4.00,5.00,3.00,103,NULL,NULL,'CENTRO','SEARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7288875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','MARAVILHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7288883,6.00,8.00,3.00,5.00,8.00,9.00,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','JOINVILLE','SC',2151,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7288891,2.00,5.00,2.00,6.00,4.00,7.88,1.00,6.00,5.00,3,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',14405,70,NULL,NULL,NULL,NULL,NULL,2,1),(28,7288905,5.00,6.00,2.00,7.00,9.00,9.38,6.00,7.00,3.00,103,NULL,NULL,'COPAS VERDES','ERECHIM','RS',3176,1177,NULL,NULL,NULL,NULL,NULL,4,26),(28,7288913,3.00,7.00,4.00,6.00,7.00,10.50,5.00,7.00,4.00,304,NULL,NULL,'GONZAGA','SANTOS','SP',1867,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288921,2.00,8.00,0.00,1.00,7.00,NULL,2.00,6.00,3.00,552,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7288930,0.00,4.00,0.00,3.00,3.00,6.75,2.00,3.00,3.00,317,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',17979,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288948,5.00,9.00,1.00,7.00,9.00,10.13,2.00,7.00,6.00,103,NULL,NULL,'MUNICÍPIOS','CAÇADOR','SC',1750,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7288956,0.00,2.00,2.00,2.00,4.00,NULL,1.00,2.00,0.00,208,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288964,4.00,6.00,1.00,6.00,6.00,8.25,3.00,6.00,5.00,316,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',7442,61,NULL,NULL,NULL,NULL,NULL,2,1),(28,7288972,5.00,5.00,1.00,6.00,3.00,8.63,4.00,4.00,6.00,103,NULL,NULL,'OURO VERDE','TAPIRA','PR',7356,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7288980,5.00,8.00,3.00,7.00,6.00,9.75,7.00,7.00,7.00,103,NULL,NULL,'SUMARÉ','RIO SUL','SC',1098,599,NULL,NULL,NULL,NULL,NULL,4,1),(28,7288999,0.00,5.00,1.00,4.00,2.00,NULL,4.00,4.00,1.00,202,NULL,201,'CENTRO','CARLÓPOLIS','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7289006,3.00,5.00,2.00,5.00,4.00,5.63,4.00,2.00,1.00,316,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',15301,199,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289014,1.00,5.00,0.00,5.00,5.00,8.25,0.00,4.00,4.00,223,NULL,NULL,'CENTRO','SUL BRASIL','SC',13801,22,NULL,NULL,NULL,NULL,NULL,2,4),(28,7289030,6.00,7.00,5.00,6.00,4.00,12.00,2.00,5.00,5.00,212,NULL,211,'ALTO DA BOA VISTA','SOROCABA','SP',3172,NULL,NULL,67,NULL,NULL,NULL,4,1),(28,7289057,3.00,8.00,4.00,6.00,4.00,9.38,4.00,8.00,3.00,450,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9328,71,NULL,NULL,NULL,NULL,NULL,4,1),(28,7289065,4.00,8.00,1.00,7.00,8.00,9.38,2.00,6.00,6.00,201,NULL,238,'TAPERA','FLORIANÓPOLIS','SC',3485,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7289073,0.00,3.00,2.00,1.00,3.00,3.75,1.00,4.00,3.00,108,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289090,5.00,8.00,3.00,6.00,9.00,8.25,5.00,7.00,3.00,103,NULL,NULL,'CENTRO','VIDEIRA','SC',2919,1116,NULL,NULL,NULL,NULL,NULL,4,1),(28,7289103,0.00,3.00,2.00,1.00,2.00,NULL,2.00,3.00,3.00,415,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7289111,1.00,2.00,3.00,1.00,4.00,4.88,3.00,4.00,0.00,653,NULL,203,'VILA BEATRIZ','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7289120,1.00,2.00,0.00,5.00,5.00,NULL,3.00,2.00,2.00,326,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289138,4.00,5.00,4.00,4.00,5.00,12.00,5.00,5.00,3.00,220,NULL,203,'BELA VISTA III','S JOSÉ','SC',6125,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289146,4.00,6.00,2.00,7.00,7.00,7.88,1.00,4.00,4.00,428,NULL,426,'JOÃO PAULO','FLORIANÓPOLIS','SC',14240,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7289154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7289162,0.00,4.00,0.00,5.00,5.00,NULL,3.00,6.00,1.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7289170,1.00,4.00,3.00,5.00,7.00,6.75,2.00,3.00,3.00,450,NULL,NULL,'SANTA TERESA','VIDEIRA','SC',16961,123,NULL,NULL,NULL,NULL,NULL,4,25),(28,7289200,2.00,3.00,3.00,7.00,7.00,10.13,1.00,5.00,3.00,423,NULL,425,'ITOUPAVA CENTRAL','BLUMENAU','SC',8836,3,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289219,5.00,5.00,1.00,6.00,6.00,7.50,2.00,6.00,1.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',10682,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289227,1.00,4.00,2.00,5.00,3.00,5.63,1.00,2.00,1.00,999,NULL,NULL,'BUDAG','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7289235,3.00,6.00,3.00,5.00,8.00,8.63,4.00,6.00,3.00,233,NULL,238,'CENTRO','BOM RETIRO','SC',8085,207,NULL,109,NULL,NULL,NULL,2,1),(28,7289251,0.00,5.00,1.00,3.00,3.00,6.75,1.00,4.00,4.00,502,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7289286,1.00,4.00,2.00,6.00,4.00,4.50,3.00,5.00,4.00,454,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',16925,343,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289294,0.00,3.00,0.00,3.00,3.00,4.50,0.00,4.00,0.00,335,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',20164,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289316,4.00,5.00,2.00,4.00,7.00,10.88,3.00,7.00,4.00,303,NULL,NULL,'SAGUACU','JOINVILLE','SC',4448,206,NULL,NULL,NULL,NULL,NULL,4,8),(28,7289324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'JARDIM CARAVELLE','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7289340,3.00,6.00,4.00,6.00,7.00,7.13,5.00,5.00,4.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6695,61,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289359,1.00,4.00,2.00,5.00,4.00,8.25,4.00,3.00,2.00,454,NULL,NULL,'IPIRANGA','S JOSÉ','SC',13562,273,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289367,5.00,6.00,1.00,5.00,8.00,9.38,3.00,4.00,3.00,104,NULL,NULL,'CENTRO','ARARANGUÁ','SC',6127,126,NULL,NULL,NULL,NULL,NULL,2,15),(28,7289375,7.00,7.00,1.00,7.00,8.00,10.88,5.00,7.00,5.00,5,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1205,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289391,2.00,8.00,1.00,6.00,7.00,6.75,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',13766,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7289413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'ITAPUA','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7289421,2.00,5.00,0.00,5.00,6.00,NULL,3.00,3.00,2.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7289430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'GLÓRIA','VL VELHA','ES',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7289448,4.00,8.00,4.00,5.00,7.00,8.63,5.00,6.00,5.00,203,NULL,233,'CENTRO','URUSSANGA','SC',3085,226,NULL,73,NULL,NULL,NULL,2,1),(28,7289464,3.00,5.00,3.00,4.00,4.00,7.50,4.00,2.00,3.00,501,NULL,NULL,'VILA AMELIA','RIBEIRÃO PRETO','SP',11709,63,NULL,NULL,NULL,NULL,NULL,4,1),(28,7289472,5.00,7.00,3.00,7.00,9.00,10.13,6.00,7.00,6.00,214,NULL,212,'CENTRO','CRICIÚMA','SC',2485,91,NULL,61,NULL,NULL,NULL,4,5),(28,7289480,4.00,6.00,0.00,6.00,5.00,7.88,2.00,6.00,2.00,316,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',10749,100,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289502,3.00,2.00,4.00,4.00,4.00,8.25,3.00,3.00,1.00,2,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',18698,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289510,4.00,5.00,3.00,5.00,5.00,6.75,0.00,3.00,2.00,201,NULL,601,'PONTE DO IMARUIM','PALHOÇA','SC',14223,872,NULL,422,NULL,NULL,NULL,2,1),(28,7289529,4.00,4.00,2.00,6.00,3.00,4.88,3.00,4.00,4.00,104,NULL,NULL,'CENTRO','CANOINHAS','SC',16888,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7289537,2.00,8.00,0.00,5.00,7.00,8.25,4.00,8.00,4.00,653,NULL,601,'NOSSA SRA APARECIDA','FRANCISCO BELTRÃO','PR',6500,68,NULL,136,NULL,NULL,NULL,4,4),(28,7289545,5.00,7.00,1.00,5.00,9.00,12.75,4.00,7.00,2.00,233,NULL,235,'VILA SANTO ANTÔNIO','IMBITUBA','SC',5285,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7289553,0.00,8.00,0.00,0.00,0.00,NULL,6.00,7.00,6.00,103,NULL,NULL,'AQUÁRIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,24),(28,7289570,2.00,6.00,0.00,6.00,6.00,7.88,2.00,6.00,3.00,309,NULL,NULL,'PROGRESSO','LAGUNA','SC',15666,29,NULL,NULL,NULL,NULL,NULL,2,10),(28,7289588,3.00,4.00,1.00,4.00,2.00,NULL,4.00,3.00,0.00,302,NULL,NULL,'AREIAS BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7289600,4.00,6.00,1.00,5.00,7.00,8.63,1.00,3.00,5.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',8211,252,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289618,1.00,7.00,3.00,7.00,6.00,12.00,4.00,5.00,3.00,2,NULL,NULL,'IRIRIU','JOINVILLE','SC',8858,26,NULL,NULL,NULL,NULL,NULL,4,8),(28,7289634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CENTRO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7289642,1.00,5.00,3.00,5.00,8.00,9.38,2.00,4.00,3.00,207,NULL,220,'ITOUPAVA NORTE','BLUMENAU','SC',8183,380,NULL,216,NULL,NULL,NULL,4,2),(28,7289650,1.00,4.00,0.00,5.00,2.00,NULL,0.00,4.00,3.00,502,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289677,4.00,6.00,1.00,6.00,4.00,0.00,3.00,5.00,3.00,201,NULL,207,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289693,3.00,6.00,2.00,3.00,5.00,7.88,3.00,2.00,4.00,203,NULL,212,'CORAL','LAGES','SC',12114,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7289707,4.00,5.00,4.00,4.00,8.00,6.38,1.00,3.00,2.00,104,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',11431,281,NULL,NULL,NULL,NULL,NULL,4,24),(28,7289715,7.00,8.00,4.00,7.00,10.00,10.13,6.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',89,74,NULL,NULL,NULL,NULL,NULL,4,1),(28,7289723,2.00,8.00,5.00,7.00,4.00,8.25,4.00,5.00,4.00,454,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',7120,113,NULL,NULL,NULL,NULL,NULL,4,1),(28,7289731,5.00,8.00,1.00,7.00,7.00,10.13,4.00,7.00,6.00,202,NULL,653,'TAQUARAL','CAMPINAS','SP',2279,65,NULL,NULL,NULL,NULL,NULL,4,1),(28,7289758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CAMPO DAGUA','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7289774,3.00,5.00,1.00,5.00,6.00,6.38,4.00,4.00,2.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11463,115,NULL,NULL,NULL,NULL,NULL,4,1),(28,7289782,3.00,6.00,3.00,7.00,7.00,6.75,6.00,7.00,3.00,208,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5385,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7289790,3.00,7.00,2.00,5.00,6.00,7.88,2.00,4.00,5.00,208,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',14085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7289812,3.00,6.00,4.00,7.00,7.00,6.38,1.00,6.00,4.00,234,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',12152,22,NULL,NULL,NULL,NULL,NULL,2,5),(28,7289839,4.00,7.00,0.00,7.00,7.00,8.63,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','PAPANDUVA','SC',4165,1358,NULL,NULL,NULL,NULL,NULL,4,17),(28,7289847,5.00,6.00,3.00,7.00,7.00,9.75,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2845,1100,NULL,NULL,NULL,NULL,NULL,4,3),(28,7289855,6.00,6.00,4.00,5.00,5.00,6.00,5.00,5.00,1.00,203,NULL,220,'CENTRO','LONDRINA','PR',6996,428,NULL,189,NULL,NULL,NULL,4,8),(28,7289863,0.00,6.00,1.00,6.00,7.00,NULL,2.00,6.00,2.00,338,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289871,2.00,3.00,2.00,4.00,4.00,5.63,1.00,4.00,3.00,104,NULL,NULL,'CENTRO','BRUSQUE','SC',19452,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7289880,9.00,8.00,3.00,8.00,10.00,9.38,3.00,7.00,4.00,103,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',2529,1030,NULL,NULL,NULL,NULL,NULL,4,1),(28,7289898,2.00,5.00,0.00,5.00,3.00,7.50,1.00,3.00,2.00,552,NULL,NULL,'LINDÓIA','CURITIBA','PR',15234,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7289901,1.00,5.00,4.00,4.00,5.00,7.88,0.00,2.00,2.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',15466,420,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289910,0.00,7.00,1.00,6.00,2.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7289928,4.00,7.00,1.00,6.00,8.00,NULL,0.00,2.00,3.00,211,NULL,215,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289936,2.00,4.00,1.00,5.00,7.00,6.75,3.00,6.00,4.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15851,390,NULL,NULL,NULL,NULL,NULL,2,1),(28,7289944,2.00,4.00,1.00,3.00,8.00,7.88,4.00,7.00,3.00,211,NULL,215,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',11334,296,NULL,195,NULL,NULL,NULL,2,1),(28,7289952,0.00,5.00,3.00,4.00,4.00,4.50,0.00,3.00,2.00,552,NULL,NULL,'CENTRO','CURITIBANOS','SC',19745,150,NULL,NULL,NULL,NULL,NULL,2,16),(28,7289979,5.00,8.00,2.00,6.00,9.00,6.00,5.00,7.00,5.00,203,NULL,214,'BATEL','CURITIBA','PR',4622,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7289987,4.00,6.00,2.00,6.00,4.00,7.13,4.00,7.00,4.00,999,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7289995,0.00,3.00,0.00,2.00,3.00,NULL,1.00,3.00,1.00,319,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7290004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BARRACÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7290012,3.00,7.00,1.00,7.00,4.00,4.50,4.00,7.00,3.00,202,NULL,NULL,'JD DAS NAÇÕES','TAUBATÉ','SP',13246,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290047,5.00,8.00,3.00,6.00,5.00,10.50,6.00,7.00,8.00,201,NULL,214,'LIBERDADE','S PAULO','SP',1983,131,NULL,68,NULL,NULL,NULL,4,1),(28,7290063,1.00,5.00,4.00,4.00,3.00,6.38,2.00,5.00,1.00,451,NULL,NULL,'BAIRO CENTRO','MODELO','SC',16486,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7290071,3.00,5.00,3.00,6.00,5.00,8.25,2.00,4.00,3.00,110,NULL,NULL,'ROCIO GRANDE','S FRANCISCO SUL','SC',15378,73,NULL,NULL,NULL,NULL,NULL,4,8),(28,7290080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7290098,4.00,8.00,2.00,3.00,5.00,7.88,3.00,6.00,5.00,336,NULL,NULL,'CHÁCARA PRIMAVERA','CAMPINAS','SP',5748,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,440,NULL,NULL,'CENTRO','GUARATUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7290110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,207,'CENTRO','TREZE MAIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7290128,6.00,7.00,5.00,4.00,7.00,7.50,3.00,6.00,6.00,214,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',3726,131,NULL,96,NULL,NULL,NULL,4,1),(28,7290160,2.00,8.00,4.00,7.00,6.00,9.00,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',6901,1745,NULL,NULL,NULL,NULL,NULL,4,4),(28,7290179,3.00,4.00,1.00,7.00,7.00,5.25,2.00,2.00,1.00,331,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',17888,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7290187,4.00,6.00,2.00,7.00,8.00,10.88,3.00,7.00,3.00,303,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',8608,360,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290195,1.00,7.00,1.00,5.00,4.00,9.00,3.00,4.00,3.00,203,NULL,220,'CENTRO','IPORÃ OESTE','SC',11107,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7290209,2.00,5.00,4.00,5.00,4.00,9.75,2.00,5.00,2.00,329,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16632,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7290217,3.00,5.00,1.00,7.00,8.00,8.25,1.00,3.00,2.00,428,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',14561,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7290225,0.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,10),(28,7290233,6.00,7.00,3.00,7.00,8.00,8.25,5.00,6.00,7.00,216,NULL,211,'RECANTO DAS AGUAS','IA SOLTEIRA','SP',1028,28,NULL,NULL,NULL,NULL,NULL,4,8),(28,7290241,2.00,5.00,1.00,6.00,6.00,4.50,2.00,4.00,4.00,339,NULL,NULL,'SÃO LUIS','CURITIBANOS','SC',17723,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7290250,0.00,6.00,1.00,3.00,3.00,9.00,2.00,4.00,5.00,103,NULL,NULL,'COLATTO','XANXERÊ','SC',12187,2212,NULL,NULL,NULL,NULL,NULL,2,1),(28,7290276,4.00,5.00,2.00,5.00,5.00,6.00,5.00,2.00,5.00,104,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',16258,401,NULL,NULL,NULL,NULL,NULL,2,5),(28,7290284,3.00,7.00,2.00,6.00,2.00,NULL,3.00,5.00,3.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7290292,5.00,7.00,1.00,5.00,5.00,8.63,4.00,5.00,3.00,207,NULL,NULL,'JARDIM LINDOIA','JOAÇABA','SC',8167,378,NULL,NULL,NULL,NULL,NULL,2,4),(28,7290306,1.00,0.00,1.00,3.00,1.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(28,7290322,6.00,7.00,5.00,6.00,7.00,9.38,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','FRANCA','SP',814,474,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290330,0.00,2.00,3.00,4.00,6.00,NULL,2.00,3.00,3.00,201,NULL,211,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7290349,2.00,1.00,3.00,4.00,3.00,4.50,0.00,3.00,2.00,303,NULL,NULL,'JARDIM ZANELATTO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7290357,4.00,7.00,6.00,6.00,8.00,6.75,6.00,5.00,5.00,203,NULL,233,'URUSSANGUINHA','ARARANGUÁ','SC',2789,211,NULL,64,NULL,NULL,NULL,4,4),(28,7290365,1.00,7.00,1.00,4.00,5.00,6.00,1.00,4.00,2.00,552,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7290381,0.00,5.00,4.00,4.00,4.00,7.88,3.00,4.00,1.00,224,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',18631,30,NULL,NULL,NULL,NULL,NULL,2,1),(28,7290390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SEM BAIRRO','TUNÁPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7290403,4.00,8.00,5.00,8.00,10.00,7.88,5.00,5.00,7.00,103,NULL,NULL,'PROGRESSO','BLUMENAU','SC',1185,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7290411,2.00,3.00,2.00,6.00,6.00,6.00,1.00,5.00,4.00,109,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7290420,7.00,8.00,2.00,6.00,9.00,7.50,3.00,6.00,4.00,203,NULL,211,'CENTRO','STO AMARO IMPERATRIZ','SC',3140,230,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7290454,0.00,4.00,1.00,5.00,3.00,8.25,1.00,3.00,2.00,301,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',17240,237,NULL,NULL,NULL,NULL,NULL,2,1),(28,7290462,0.00,7.00,1.00,6.00,4.00,7.88,2.00,7.00,3.00,340,NULL,NULL,'AGUA VERDE','CURITIBA','PR',8717,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290489,2.00,5.00,1.00,5.00,5.00,8.25,0.00,3.00,2.00,235,NULL,601,'GUARUJÁ','LAGES','SC',14780,236,NULL,444,NULL,NULL,NULL,2,9),(28,7290497,3.00,5.00,0.00,5.00,6.00,NULL,3.00,4.00,2.00,224,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7290500,4.00,8.00,2.00,7.00,8.00,12.00,3.00,7.00,4.00,319,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',2483,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7290527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,23),(28,7290535,3.00,3.00,1.00,4.00,2.00,NULL,1.00,2.00,1.00,338,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7290543,0.00,6.00,0.00,5.00,5.00,8.63,2.00,3.00,3.00,303,NULL,NULL,'MIRANTE','ITÁ','SC',14410,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7290551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7290560,0.00,1.00,1.00,4.00,5.00,9.00,4.00,5.00,1.00,501,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14939,92,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290578,1.00,3.00,2.00,4.00,5.00,NULL,0.00,3.00,0.00,999,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290586,3.00,6.00,3.00,7.00,6.00,10.50,3.00,8.00,2.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'VILA NOVA','ILHOTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7290608,3.00,6.00,1.00,6.00,9.00,7.50,1.00,6.00,3.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12811,237,NULL,NULL,NULL,NULL,NULL,2,1),(28,7290624,0.00,5.00,2.00,3.00,3.00,NULL,2.00,2.00,0.00,207,NULL,211,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7290632,4.00,8.00,3.00,6.00,7.00,9.75,7.00,6.00,5.00,103,NULL,NULL,'JARDIM TV MORENA','CPO GRANDE','MS',2389,991,NULL,NULL,NULL,NULL,NULL,2,3),(28,7290659,5.00,7.00,2.00,7.00,9.00,9.00,2.00,4.00,5.00,653,NULL,216,'CENTRO','AGUAÍ','SP',7601,83,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290667,0.00,5.00,0.00,4.00,2.00,NULL,0.00,4.00,2.00,320,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7290675,1.00,6.00,2.00,7.00,7.00,10.88,1.00,4.00,3.00,340,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',9265,259,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290683,3.00,7.00,4.00,6.00,7.00,9.00,3.00,5.00,7.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8059,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290691,2.00,7.00,3.00,4.00,6.00,9.38,3.00,4.00,1.00,238,NULL,601,'ESTREITO','FLORIANÓPOLIS','SC',10335,NULL,NULL,292,NULL,NULL,NULL,4,1),(28,7290705,4.00,8.00,4.00,6.00,6.00,7.13,3.00,6.00,2.00,340,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',9151,254,NULL,NULL,NULL,NULL,NULL,4,4),(28,7290730,2.00,8.00,4.00,5.00,5.00,4.50,3.00,3.00,2.00,203,NULL,213,'CENTRO','CURITIBA','PR',14026,621,NULL,229,NULL,NULL,NULL,2,1),(28,7290756,1.00,8.00,3.00,7.00,4.00,7.88,0.00,5.00,3.00,999,NULL,NULL,'CENTRO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7290772,1.00,3.00,0.00,6.00,6.00,7.13,2.00,3.00,4.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15171,235,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290780,3.00,7.00,5.00,5.00,9.00,11.63,5.00,8.00,7.00,303,NULL,NULL,'PARAÍSO','S PAULO','SP',587,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290799,5.00,8.00,1.00,7.00,10.00,9.38,5.00,4.00,4.00,340,NULL,NULL,'LIMÃO','S PAULO','SP',2912,66,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290802,0.00,1.00,3.00,5.00,4.00,3.00,1.00,4.00,3.00,238,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290810,2.00,0.00,2.00,6.00,5.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7290829,2.00,7.00,2.00,4.00,9.00,7.50,2.00,5.00,4.00,211,NULL,216,'UNIVERSITÁRIO','LAGES','SC',13066,335,NULL,NULL,NULL,NULL,NULL,4,9),(28,7290837,0.00,3.00,2.00,5.00,3.00,NULL,1.00,2.00,2.00,201,NULL,207,'PETRÓPOLIS','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7290845,4.00,6.00,2.00,3.00,5.00,8.63,2.00,7.00,2.00,415,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',10288,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7290861,0.00,6.00,1.00,3.00,4.00,8.25,2.00,4.00,1.00,238,NULL,655,'CENTRO','LAGES','SC',19116,331,NULL,126,NULL,NULL,NULL,4,9),(28,7290870,5.00,6.00,1.00,6.00,9.00,7.88,1.00,3.00,2.00,108,NULL,NULL,'CACHOEIRAS','BIGUAÇU','SC',8865,113,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290888,0.00,5.00,2.00,7.00,5.00,7.13,1.00,5.00,2.00,303,NULL,NULL,'IMPERIAL','CONCÓRDIA','SC',12835,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7290896,2.00,0.00,1.00,7.00,9.00,NULL,0.00,0.00,0.00,230,NULL,NULL,'CASTELO','BATATAIS','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(28,7290900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'NAÇÕES','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7290926,2.00,8.00,2.00,6.00,6.00,NULL,0.00,2.00,3.00,319,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290934,0.00,5.00,3.00,5.00,3.00,NULL,2.00,5.00,1.00,309,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7290942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7290950,3.00,5.00,3.00,0.00,6.00,10.88,1.00,5.00,5.00,211,NULL,215,'CAMPO DE FORA','LAGUNA','SC',13614,344,NULL,229,NULL,NULL,NULL,4,10),(28,7290969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7290977,2.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,202,NULL,213,'JARDIM PAULISTA','ORINDIÚVA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7290993,0.00,6.00,2.00,1.00,5.00,9.00,2.00,5.00,2.00,327,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',18616,61,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291000,1.00,6.00,1.00,4.00,3.00,6.75,2.00,5.00,4.00,201,NULL,207,'FORTALEZA','BLUMENAU','SC',15230,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7291019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'RIO DAS PEDRAS','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7291027,0.00,4.00,1.00,4.00,4.00,9.00,3.00,3.00,2.00,207,NULL,201,'PARQUE JARDIM OURO','OURO','SC',15702,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7291035,0.00,2.00,1.00,5.00,4.00,6.00,0.00,2.00,2.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291043,0.00,5.00,1.00,4.00,4.00,NULL,1.00,3.00,3.00,201,NULL,207,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7291051,0.00,5.00,0.00,6.00,5.00,8.25,2.00,6.00,4.00,103,NULL,NULL,'DO SALTO','BLUMENAU','SC',10988,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7291086,1.00,3.00,3.00,4.00,4.00,5.63,3.00,1.00,2.00,214,NULL,238,'IGRA NORTE','TORRES','RS',19640,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291094,2.00,5.00,3.00,2.00,6.00,9.75,3.00,4.00,3.00,319,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',10469,194,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291108,0.00,3.00,3.00,5.00,4.00,NULL,1.00,5.00,2.00,103,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7291116,1.00,5.00,1.00,5.00,7.00,7.88,1.00,4.00,1.00,234,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18447,59,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291124,1.00,6.00,2.00,7.00,3.00,8.25,4.00,4.00,2.00,999,NULL,NULL,'SANTA TEREZINHA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7291132,0.00,5.00,2.00,4.00,4.00,NULL,1.00,1.00,0.00,5,NULL,NULL,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7291140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7291159,1.00,4.00,1.00,3.00,5.00,7.13,2.00,2.00,3.00,9,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291167,2.00,7.00,2.00,6.00,6.00,7.50,4.00,7.00,7.00,216,NULL,215,'PIO CORRÊA','CRICIÚMA','SC',3846,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7291175,3.00,6.00,4.00,7.00,5.00,7.13,3.00,5.00,1.00,103,NULL,NULL,'MICHEL','CRICIÚMA','SC',15534,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7291183,1.00,4.00,0.00,4.00,4.00,4.88,2.00,2.00,2.00,5,NULL,NULL,'INDUSTRIÁRIOS','CONCÓRDIA','SC',19926,492,NULL,NULL,NULL,NULL,NULL,2,26),(28,7291191,1.00,5.00,1.00,7.00,4.00,7.88,4.00,6.00,3.00,104,NULL,NULL,'DE VILLA','URUSSANGA','SC',11806,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7291205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,601,'COHAPAR','GUARATUBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7291213,0.00,5.00,4.00,5.00,3.00,NULL,2.00,5.00,2.00,318,NULL,NULL,'FORQUILINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7291221,5.00,7.00,1.00,7.00,7.00,9.75,5.00,5.00,4.00,235,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',5425,94,NULL,NULL,NULL,NULL,NULL,4,1),(28,7291230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'UNIVERSITARIO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7291248,1.00,4.00,2.00,6.00,5.00,5.25,3.00,5.00,1.00,451,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18610,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291256,2.00,4.00,2.00,5.00,7.00,10.13,3.00,5.00,3.00,454,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',9115,168,NULL,NULL,NULL,NULL,NULL,4,8),(28,7291280,0.00,2.00,2.00,3.00,3.00,NULL,3.00,2.00,2.00,215,NULL,211,'VILA SANTO ANTÔNIO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7291299,4.00,4.00,2.00,3.00,8.00,10.13,5.00,3.00,5.00,203,NULL,220,'CENTRO','PINHALZINHO','SP',8114,481,NULL,215,NULL,NULL,NULL,4,1),(28,7291302,0.00,8.00,4.00,6.00,5.00,10.13,2.00,6.00,4.00,326,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',7228,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7291310,1.00,5.00,1.00,5.00,7.00,10.88,2.00,4.00,2.00,454,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13176,267,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291329,3.00,6.00,3.00,5.00,7.00,7.50,2.00,3.00,3.00,336,NULL,NULL,'RIO AMÉRICA ALTO','URUSSANGA','SC',11347,58,NULL,NULL,NULL,NULL,NULL,2,5),(28,7291337,2.00,8.00,3.00,7.00,11.00,9.38,5.00,6.00,6.00,211,NULL,233,'SÃO JUDAS','ITAJAÍ','SC',2020,30,NULL,NULL,NULL,NULL,NULL,4,6),(28,7291345,1.00,2.00,1.00,4.00,5.00,9.00,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','BARRA VELHA','SC',18370,2484,NULL,NULL,NULL,NULL,NULL,4,8),(28,7291353,4.00,6.00,2.00,3.00,8.00,6.00,3.00,5.00,3.00,552,NULL,NULL,'APARECIDA','CURITIBANOS','SC',14878,95,NULL,NULL,NULL,NULL,NULL,4,16),(28,7291361,2.00,4.00,2.00,7.00,9.00,9.00,3.00,4.00,5.00,216,NULL,233,'STA LUZIA','GOIANÉSIA','GO',6941,240,NULL,172,NULL,NULL,NULL,4,1),(28,7291370,4.00,7.00,1.00,4.00,8.00,8.25,3.00,5.00,4.00,552,NULL,NULL,'INTERIOR','IBICARÉ','SC',8777,21,NULL,NULL,NULL,NULL,NULL,4,7),(28,7291396,3.00,8.00,3.00,8.00,5.00,7.13,3.00,7.00,5.00,214,NULL,212,'VILA MASCOTE','S PAULO','SP',4907,160,NULL,157,NULL,NULL,NULL,4,1),(28,7291400,1.00,2.00,3.00,5.00,5.00,5.63,3.00,3.00,0.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291418,3.00,0.00,3.00,5.00,3.00,NULL,0.00,0.00,0.00,203,NULL,238,'SÃO JORGE','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,27),(28,7291426,2.00,2.00,2.00,4.00,5.00,4.88,0.00,5.00,3.00,103,NULL,NULL,'JD VALE VERDE II','PRES PRUDENTE','SP',17669,2462,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7291450,2.00,4.00,1.00,4.00,3.00,9.75,3.00,5.00,2.00,103,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',18430,2486,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'CENTRO','AMAMBAÍ','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7291493,0.00,4.00,1.00,5.00,3.00,7.13,2.00,4.00,0.00,238,NULL,NULL,'CENTRO','PARAGUAÇU PAULISTA','SP',16318,284,NULL,NULL,NULL,NULL,NULL,4,8),(28,7291507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,331,NULL,NULL,'ALTO DA XV','GUARAPUAVA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7291515,3.00,6.00,2.00,6.00,9.00,7.13,2.00,4.00,1.00,340,NULL,NULL,'CENTRO','FRAIBURGO','SC',9617,276,NULL,NULL,NULL,NULL,NULL,4,25),(28,7291540,3.00,7.00,4.00,7.00,3.00,6.38,3.00,6.00,3.00,326,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13324,38,NULL,NULL,NULL,NULL,NULL,5,1),(28,7291558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,207,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7291566,1.00,6.00,1.00,6.00,6.00,7.88,5.00,6.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6884,177,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291574,1.00,5.00,3.00,4.00,5.00,6.75,0.00,1.00,3.00,215,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',15439,250,NULL,406,NULL,NULL,NULL,2,1),(28,7291582,3.00,7.00,1.00,7.00,4.00,9.38,3.00,6.00,3.00,317,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13916,85,NULL,NULL,NULL,NULL,NULL,4,1),(28,7291590,2.00,4.00,2.00,4.00,1.00,NULL,0.00,1.00,2.00,207,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7291604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','ATALANTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,24),(28,7291612,1.00,7.00,1.00,5.00,8.00,7.50,2.00,6.00,4.00,329,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',11323,11,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291639,3.00,6.00,2.00,5.00,5.00,7.13,1.00,4.00,2.00,340,NULL,NULL,'GRAMA','GAROPABA','SC',12262,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7291647,1.00,4.00,2.00,1.00,3.00,7.13,2.00,3.00,1.00,103,NULL,NULL,'CABEÇUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7291671,2.00,5.00,2.00,3.00,6.00,8.25,3.00,4.00,1.00,302,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',14571,98,NULL,NULL,NULL,NULL,NULL,4,1),(28,7291680,2.00,7.00,1.00,3.00,7.00,7.50,3.00,3.00,3.00,208,NULL,NULL,'RUSSIA','BIGUAÇU','SC',13311,149,NULL,NULL,NULL,NULL,NULL,4,1),(28,7291701,0.00,5.00,2.00,3.00,4.00,NULL,3.00,2.00,3.00,654,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,15),(28,7291710,1.00,4.00,4.00,3.00,5.00,4.50,0.00,3.00,2.00,502,NULL,NULL,'JARDIM SAO MIGUEL','BIGUAÇU','SC',19804,70,NULL,NULL,NULL,NULL,NULL,4,1),(28,7291736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'INTERIOR','CORDILHEIRA ALTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7291744,1.00,4.00,3.00,6.00,6.00,4.88,3.00,3.00,2.00,213,NULL,233,'COSTEIRA','FLORIANÓPOLIS','SC',15887,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291752,3.00,4.00,1.00,6.00,6.00,6.75,2.00,2.00,4.00,207,NULL,211,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291760,3.00,7.00,3.00,7.00,8.00,7.50,5.00,6.00,4.00,454,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6076,88,NULL,NULL,NULL,NULL,NULL,4,1),(28,7291779,4.00,7.00,3.00,7.00,8.00,6.75,4.00,4.00,7.00,101,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',3953,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7291787,0.00,2.00,3.00,3.00,4.00,9.75,2.00,5.00,3.00,424,NULL,425,'CAMPECHE','FLORIANÓPOLIS','SC',18947,42,NULL,76,NULL,NULL,NULL,4,1),(28,7291795,2.00,7.00,2.00,7.00,8.00,8.63,2.00,6.00,3.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10730,2120,NULL,NULL,NULL,NULL,NULL,4,1),(28,7291809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CARAVAGGIO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7291817,4.00,6.00,4.00,6.00,6.00,7.50,4.00,5.00,4.00,201,NULL,207,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',5280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7291825,1.00,5.00,2.00,5.00,4.00,4.50,3.00,5.00,4.00,303,NULL,NULL,'ENCRUZILHADA','BIGUAÇU','SC',16359,556,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291833,4.00,8.00,4.00,6.00,9.00,9.00,3.00,4.00,2.00,102,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6396,41,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291841,3.00,5.00,3.00,5.00,4.00,7.50,3.00,1.00,2.00,404,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',17917,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7291850,1.00,4.00,0.00,7.00,5.00,7.13,2.00,5.00,0.00,552,NULL,NULL,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',12562,60,NULL,NULL,NULL,NULL,NULL,4,23),(28,7291892,0.00,4.00,1.00,4.00,3.00,8.63,3.00,2.00,2.00,9,NULL,NULL,'FREITAS','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291914,7.00,7.00,2.00,7.00,9.00,11.25,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',744,448,NULL,NULL,NULL,NULL,NULL,4,1),(28,7291930,0.00,4.00,0.00,6.00,3.00,NULL,1.00,2.00,2.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291949,5.00,6.00,5.00,7.00,10.00,10.88,2.00,6.00,6.00,103,NULL,NULL,'ESTADOS','INDAIAL','SC',2121,914,NULL,NULL,NULL,NULL,NULL,4,1),(28,7291957,2.00,4.00,1.00,7.00,5.00,7.13,3.00,3.00,1.00,110,NULL,NULL,'AUTO TAQUARAL','CAMPINAS','SP',13783,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7291973,2.00,5.00,1.00,7.00,3.00,7.50,1.00,3.00,2.00,429,NULL,425,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7291981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7291990,4.00,9.00,2.00,8.00,9.00,9.00,1.00,7.00,4.00,999,NULL,NULL,'SANTO ANDRÉ','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7292007,4.00,7.00,3.00,7.00,8.00,9.38,3.00,6.00,4.00,303,NULL,NULL,'PAGANI','PALHOÇA','SC',3646,169,NULL,NULL,NULL,NULL,NULL,4,1),(28,7292015,4.00,7.00,3.00,7.00,5.00,10.13,4.00,7.00,2.00,319,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',4950,73,NULL,NULL,NULL,NULL,NULL,4,8),(28,7292023,2.00,6.00,2.00,7.00,7.00,8.25,4.00,7.00,6.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',9525,254,NULL,NULL,NULL,NULL,NULL,2,8),(28,7292031,3.00,6.00,4.00,6.00,6.00,6.38,4.00,7.00,3.00,999,NULL,NULL,'SAIC','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7292058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITAPOÃ','VL VELHA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7292074,2.00,9.00,1.00,7.00,7.00,8.63,1.00,4.00,4.00,212,NULL,214,'SANTA CECILIA','PIRACICABA','SP',5001,162,NULL,162,NULL,NULL,NULL,4,1),(28,7292082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7292090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'JARDIM AMERICA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7292104,5.00,8.00,3.00,6.00,10.00,7.50,4.00,7.00,3.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6233,92,NULL,NULL,NULL,NULL,NULL,4,1),(28,7292120,4.00,8.00,2.00,7.00,8.00,9.00,4.00,4.00,3.00,207,NULL,201,'CENTRO','LONDRINA','PR',3880,156,NULL,NULL,NULL,NULL,NULL,2,1),(28,7292139,3.00,8.00,2.00,6.00,8.00,9.38,3.00,6.00,5.00,233,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',4909,131,NULL,188,NULL,NULL,NULL,4,1),(28,7292147,1.00,8.00,3.00,3.00,5.00,NULL,2.00,4.00,0.00,654,NULL,NULL,'LAGOA DO CAVERÁ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7292155,1.00,5.00,4.00,5.00,7.00,8.63,4.00,5.00,4.00,103,NULL,NULL,'VILA NOVA','JOINVILLE','SC',7165,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7292163,3.00,4.00,1.00,5.00,6.00,7.13,2.00,5.00,1.00,207,NULL,201,'CENTRO','LAGES','SC',17086,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7292171,1.00,2.00,1.00,4.00,3.00,5.25,0.00,5.00,1.00,214,NULL,203,'VILA MOEMA','TUBARÃO','SC',19997,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7292180,1.00,8.00,2.00,6.00,5.00,9.00,1.00,6.00,2.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15551,112,NULL,NULL,NULL,NULL,NULL,4,1),(28,7292198,2.00,7.00,2.00,5.00,4.00,10.88,1.00,4.00,2.00,103,NULL,NULL,'VILLA DOS INGLESES','SOROCABA','SP',9196,2014,NULL,NULL,NULL,NULL,NULL,4,1),(28,7292210,3.00,7.00,3.00,6.00,9.00,12.00,5.00,7.00,7.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',2872,99,NULL,NULL,NULL,NULL,NULL,2,1),(28,7292228,0.00,2.00,4.00,6.00,5.00,6.75,2.00,3.00,2.00,654,NULL,NULL,'FREI ROGÉRIO','LAGES','SC',13836,36,NULL,NULL,NULL,NULL,NULL,2,9),(28,7292236,0.00,1.00,1.00,3.00,4.00,5.63,0.00,1.00,2.00,201,NULL,207,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7292244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM SÃO PAULO','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7292252,8.00,8.00,3.00,7.00,9.00,10.88,4.00,4.00,6.00,103,NULL,NULL,'RIO DO BRAÇO','S JOÃO BATISTA','SC',932,524,NULL,NULL,NULL,NULL,NULL,4,22),(28,7292260,1.00,6.00,3.00,4.00,7.00,7.88,1.00,4.00,3.00,211,NULL,235,'JOAO PAULO','FLORIANÓPOLIS','SC',11695,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7292279,0.00,2.00,0.00,1.00,4.00,4.50,2.00,5.00,0.00,5,NULL,NULL,'VILA LALAU','JARAGUÁ SUL','SC',20155,498,NULL,NULL,NULL,NULL,NULL,4,23),(28,7292295,2.00,4.00,1.00,3.00,5.00,5.25,2.00,2.00,1.00,207,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18118,768,NULL,NULL,NULL,NULL,NULL,4,1),(28,7292325,0.00,4.00,1.00,7.00,6.00,6.38,1.00,6.00,3.00,415,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',17751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7292333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ITAIPAVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7292341,4.00,6.00,4.00,6.00,7.00,7.50,2.00,6.00,4.00,211,NULL,212,'ATALAIA','ARACAJU','SE',6529,178,NULL,NULL,NULL,NULL,NULL,2,1),(28,7292350,4.00,4.00,2.00,6.00,6.00,8.25,4.00,4.00,2.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10939,303,NULL,NULL,NULL,NULL,NULL,4,1),(28,7292376,4.00,6.00,4.00,7.00,6.00,8.63,4.00,7.00,2.00,318,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9667,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7292384,2.00,8.00,1.00,2.00,5.00,7.50,2.00,4.00,4.00,444,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',16931,106,NULL,NULL,NULL,NULL,NULL,4,1),(28,7292392,2.00,2.00,3.00,3.00,5.00,6.00,2.00,3.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17443,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7292406,1.00,5.00,2.00,4.00,2.00,NULL,1.00,4.00,2.00,108,NULL,NULL,'TABOLEIRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7292414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','VICTOR GRAEFF','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7292422,1.00,5.00,0.00,3.00,4.00,NULL,4.00,4.00,3.00,238,NULL,NULL,'PALMAS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7292430,2.00,5.00,0.00,2.00,3.00,4.50,1.00,4.00,1.00,655,NULL,201,'CENTRO','TURVO','SC',19283,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7292457,0.00,3.00,0.00,4.00,3.00,NULL,1.00,2.00,3.00,109,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7292465,1.00,7.00,0.00,4.00,4.00,8.63,3.00,6.00,1.00,207,NULL,601,'VILA ALEMANHA','LUZERNA','SC',17250,745,NULL,NULL,NULL,NULL,NULL,4,7),(28,7292473,2.00,6.00,2.00,6.00,7.00,8.25,1.00,6.00,5.00,201,NULL,203,'ESTREITO','FLORIANÓPOLIS','SC',9837,670,NULL,531,NULL,NULL,NULL,4,1),(28,7292481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ROLÂNDIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7292490,3.00,6.00,2.00,6.00,6.00,13.50,3.00,4.00,5.00,320,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9037,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7292503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM OURO BRANCO','PARANAVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7292511,1.00,6.00,2.00,2.00,2.00,NULL,2.00,4.00,1.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7292520,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7292538,3.00,5.00,2.00,6.00,6.00,7.13,5.00,4.00,2.00,225,NULL,NULL,'PONTE DO IMARUIN','PALHOÇA','SC',10447,13,NULL,NULL,NULL,NULL,NULL,2,1),(28,7292554,1.00,6.00,1.00,7.00,5.00,9.00,2.00,5.00,2.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',16193,314,NULL,NULL,NULL,NULL,NULL,1,1),(28,7292562,4.00,7.00,1.00,6.00,9.00,10.88,3.00,7.00,7.00,201,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',2308,168,NULL,39,NULL,NULL,NULL,4,1),(28,7292570,2.00,3.00,2.00,7.00,5.00,7.88,3.00,5.00,3.00,222,NULL,NULL,'CENTRO','PTO ALEGRE','RS',12327,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7292589,0.00,2.00,2.00,2.00,3.00,6.75,1.00,1.00,1.00,551,NULL,NULL,'INTERIOR','FR ROGÉRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7292597,1.00,3.00,3.00,4.00,3.00,7.13,1.00,3.00,1.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7292600,0.00,4.00,1.00,3.00,5.00,6.38,4.00,3.00,4.00,301,NULL,NULL,'RECIFE','TUBARÃO','SC',19038,255,NULL,NULL,NULL,NULL,NULL,4,10),(28,7292619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'JARDIM PRIMAVERA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7292635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7292643,4.00,7.00,4.00,6.00,8.00,9.75,5.00,6.00,6.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',4045,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7292651,4.00,7.00,3.00,5.00,7.00,9.75,3.00,7.00,6.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',3985,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7292660,0.00,2.00,3.00,2.00,4.00,3.38,1.00,3.00,2.00,110,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7292678,3.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'ESPLANADA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7292686,1.00,3.00,2.00,3.00,3.00,7.88,1.00,2.00,1.00,308,NULL,NULL,'CAMPINAS','S JOSÉ','SC',17906,60,NULL,NULL,NULL,NULL,NULL,2,1),(28,7292694,1.00,1.00,2.00,5.00,4.00,5.25,2.00,3.00,2.00,444,NULL,NULL,'IPIRANGA','S JOSÉ','SC',18244,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7292708,3.00,5.00,1.00,5.00,5.00,7.13,1.00,3.00,4.00,103,NULL,NULL,'VILA SABRINA','S PAULO','SP',12226,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7292716,1.00,3.00,0.00,5.00,4.00,4.50,2.00,2.00,0.00,319,NULL,NULL,'CENTRO','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7292724,3.00,7.00,3.00,6.00,8.00,10.13,4.00,5.00,6.00,216,NULL,211,'VILA MOEMA','TUBARÃO','SC',6465,223,NULL,175,NULL,NULL,NULL,4,10),(28,7292732,3.00,5.00,2.00,6.00,5.00,7.88,2.00,6.00,6.00,203,NULL,201,'CORAL','LAGES','SC',7649,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7292740,1.00,3.00,0.00,6.00,4.00,6.00,1.00,6.00,0.00,601,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',17418,501,NULL,750,NULL,NULL,NULL,4,1),(28,7292759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'RONCAGLIA','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7292775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7292783,5.00,7.00,2.00,6.00,6.00,12.00,3.00,6.00,4.00,103,NULL,NULL,'HEITOR VILLA LOBOS','ARARAS','SP',2866,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7292791,3.00,6.00,1.00,7.00,8.00,11.25,1.00,3.00,2.00,208,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10833,115,NULL,NULL,NULL,NULL,NULL,2,1),(28,7292805,2.00,7.00,2.00,7.00,9.00,10.13,4.00,7.00,4.00,207,NULL,233,'BOM ABRIGO','FLORIANÓPOLIS','SC',2540,88,NULL,57,NULL,NULL,NULL,4,1),(28,7292821,2.00,6.00,3.00,7.00,8.00,9.75,4.00,7.00,2.00,333,NULL,NULL,'JARDIM IRAPUÃ','TABOÃO SERRA','SP',6188,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7292830,6.00,7.00,1.00,7.00,9.00,11.25,4.00,7.00,8.00,103,NULL,NULL,'BUTANTÃ','S PAULO','SP',1554,762,NULL,NULL,NULL,NULL,NULL,2,1),(28,7292848,0.00,6.00,1.00,6.00,2.00,NULL,0.00,2.00,2.00,213,NULL,211,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7292856,1.00,3.00,0.00,5.00,6.00,6.38,2.00,4.00,1.00,304,NULL,NULL,'CENTRO','ARIRANHA','SP',15172,110,NULL,NULL,NULL,NULL,NULL,2,1),(28,7292864,0.00,4.00,1.00,6.00,5.00,7.50,1.00,4.00,2.00,9,NULL,NULL,'BELA VISTA','PINHALZINHO','SC',15447,116,NULL,NULL,NULL,NULL,NULL,2,4),(28,7292872,2.00,6.00,3.00,5.00,5.00,7.50,4.00,5.00,6.00,601,NULL,202,'BARREIROS','S JOSÉ','SC',11168,326,NULL,NULL,NULL,NULL,NULL,4,1),(28,7292880,1.00,4.00,3.00,2.00,4.00,7.88,2.00,4.00,1.00,308,NULL,NULL,'VILA ALVORADA','IMBITUBA','SC',19233,87,NULL,NULL,NULL,NULL,NULL,4,10),(28,7292899,1.00,5.00,2.00,6.00,8.00,9.75,3.00,6.00,6.00,103,NULL,NULL,'PRAIA BRAVA','ITAJAÍ','SC',6939,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7292902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'JARDIM DAS PALMEIRAS','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7292910,2.00,6.00,1.00,6.00,6.00,9.00,3.00,4.00,3.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',14562,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7292929,7.00,7.00,5.00,6.00,10.00,10.88,9.00,7.00,7.00,103,NULL,NULL,'VILA FORMOSA','BLUMENAU','SC',263,199,NULL,NULL,NULL,NULL,NULL,4,1),(28,7292945,1.00,5.00,3.00,4.00,7.00,7.13,2.00,4.00,1.00,203,NULL,214,'JARDIM SAVEIRO','BIGUAÇU','SC',14037,622,NULL,313,NULL,NULL,NULL,4,1),(28,7292953,2.00,5.00,2.00,6.00,6.00,7.50,3.00,3.00,0.00,5,NULL,NULL,'CENTRO','TIJUCAS','SC',17796,470,NULL,NULL,NULL,NULL,NULL,2,1),(28,7292970,3.00,6.00,2.00,3.00,7.00,8.25,2.00,6.00,4.00,102,NULL,NULL,'CENTRO','LAGES','SC',8306,62,NULL,NULL,NULL,NULL,NULL,4,9),(28,7292988,3.00,7.00,2.00,6.00,9.00,11.25,1.00,6.00,3.00,428,NULL,426,'AREIAS','S JOSÉ','SC',6742,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7292996,0.00,4.00,2.00,5.00,8.00,NULL,2.00,4.00,3.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7293003,1.00,6.00,1.00,5.00,3.00,6.38,3.00,3.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18819,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293011,5.00,7.00,3.00,6.00,8.00,8.63,5.00,7.00,5.00,415,NULL,NULL,'GLÓRIA','JOINVILLE','SC',3072,38,NULL,NULL,NULL,NULL,NULL,4,8),(28,7293038,3.00,7.00,4.00,6.00,8.00,7.13,5.00,6.00,6.00,201,NULL,NULL,'JARDIM MARGARIDA','CAXIAS SUL','RS',3087,232,NULL,NULL,NULL,NULL,NULL,4,9),(28,7293046,2.00,4.00,1.00,6.00,7.00,8.25,4.00,3.00,4.00,216,NULL,233,'CENTRO','S JOÃO BATISTA','SC',14914,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7293054,1.00,4.00,4.00,2.00,3.00,6.38,3.00,4.00,2.00,101,NULL,NULL,'RIBANCEIRA','IMBITUBA','SC',18201,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293070,1.00,4.00,2.00,3.00,6.00,6.00,1.00,6.00,4.00,329,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7293089,1.00,9.00,2.00,6.00,9.00,12.75,5.00,6.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2449,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7293119,6.00,7.00,5.00,6.00,8.00,10.88,6.00,7.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',332,245,NULL,NULL,NULL,NULL,NULL,4,1),(28,7293127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7293135,3.00,6.00,3.00,4.00,3.00,7.88,2.00,4.00,2.00,308,NULL,NULL,'VILA ALVORADA','IMBITUBA','SC',17766,58,NULL,NULL,NULL,NULL,NULL,4,10),(28,7293143,1.00,5.00,1.00,1.00,6.00,4.50,1.00,1.00,4.00,201,NULL,233,'PRAIA JOÃO ROSA','BIGUAÇU','SC',17950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7293160,3.00,5.00,1.00,4.00,7.00,4.50,2.00,7.00,2.00,601,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',14384,430,NULL,368,NULL,NULL,NULL,4,1),(28,7293178,3.00,4.00,4.00,6.00,6.00,5.63,1.00,4.00,2.00,238,NULL,235,'FUNDOS','BIGUAÇU','SC',11428,174,NULL,187,NULL,NULL,NULL,2,1),(28,7293186,2.00,6.00,3.00,3.00,4.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'PRESIDENTE MÉDICE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7293194,1.00,5.00,3.00,3.00,2.00,NULL,0.00,4.00,2.00,208,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7293208,5.00,6.00,2.00,4.00,6.00,7.50,3.00,5.00,4.00,103,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',12535,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7293216,1.00,5.00,2.00,4.00,6.00,6.38,2.00,6.00,2.00,103,NULL,NULL,'CENTRO','TANGARÁ','SC',12584,2241,NULL,NULL,NULL,NULL,NULL,2,7),(28,7293232,0.00,1.00,2.00,4.00,4.00,NULL,1.00,1.00,1.00,454,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293240,1.00,6.00,1.00,3.00,3.00,7.88,1.00,4.00,4.00,601,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',15620,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7293259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7293267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7293283,4.00,8.00,4.00,6.00,5.00,9.00,2.00,4.00,3.00,999,NULL,NULL,'SANTA FÉ','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7293291,1.00,5.00,2.00,3.00,5.00,9.75,0.00,4.00,4.00,327,NULL,NULL,'ZONA RURAL','SAUDADES','SC',13220,37,NULL,NULL,NULL,NULL,NULL,2,4),(28,7293321,4.00,7.00,2.00,4.00,5.00,8.25,5.00,6.00,5.00,207,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',5667,254,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293330,1.00,0.00,3.00,3.00,2.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'ESTAÇÃO COCAL','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(28,7293356,1.00,3.00,1.00,5.00,3.00,4.88,0.00,1.00,1.00,108,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',19376,255,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7293380,5.00,8.00,5.00,7.00,5.00,6.75,5.00,5.00,7.00,216,NULL,235,'MERCÊS','CURITIBA','PR',3996,NULL,NULL,66,NULL,NULL,NULL,2,7),(28,7293399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CALDAS DA IMPERTRIZ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7293402,1.00,1.00,0.00,5.00,2.00,NULL,0.00,2.00,3.00,207,NULL,211,'AREIAS DE BAIXO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293410,2.00,4.00,1.00,7.00,5.00,5.25,3.00,4.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18155,585,NULL,NULL,NULL,NULL,NULL,4,1),(28,7293429,3.00,7.00,1.00,7.00,5.00,9.38,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',4279,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7293445,0.00,2.00,2.00,2.00,1.00,NULL,1.00,3.00,1.00,454,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293461,4.00,9.00,2.00,6.00,8.00,7.50,4.00,6.00,5.00,213,NULL,653,'ESTREITO','FLORIANÓPOLIS','SC',3032,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7293488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7293496,6.00,7.00,2.00,7.00,9.00,10.50,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1260,658,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293500,4.00,8.00,2.00,5.00,9.00,8.25,1.00,6.00,3.00,208,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',11674,128,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,207,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7293526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7293534,4.00,5.00,3.00,5.00,6.00,8.63,2.00,5.00,1.00,225,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',15624,32,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293542,6.00,7.00,4.00,6.00,9.00,9.38,7.00,7.00,7.00,201,NULL,212,'MICHEL','CRICIÚMA','SC',842,37,NULL,NULL,NULL,NULL,NULL,4,5),(28,7293550,1.00,3.00,2.00,3.00,5.00,5.25,1.00,3.00,1.00,9,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7293569,2.00,5.00,2.00,6.00,6.00,4.50,1.00,6.00,3.00,203,NULL,215,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',17583,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7293577,5.00,4.00,2.00,7.00,6.00,9.00,2.00,4.00,5.00,340,NULL,NULL,'NOVA ITALIA','URUSSANGA','SC',13360,358,NULL,NULL,NULL,NULL,NULL,2,5),(28,7293585,1.00,0.00,3.00,1.00,0.00,NULL,2.00,2.00,0.00,308,NULL,NULL,'SANTOS SARAIVA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7293593,0.00,1.00,1.00,6.00,5.00,6.00,2.00,1.00,3.00,317,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293607,5.00,6.00,3.00,5.00,6.00,9.38,5.00,4.00,6.00,103,NULL,NULL,'SÃO GENARO','CHOPINZINHO','PR',5337,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7293615,0.00,3.00,2.00,3.00,2.00,NULL,0.00,5.00,2.00,301,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7293623,2.00,5.00,0.00,5.00,5.00,5.25,1.00,4.00,1.00,302,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',15714,114,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293631,4.00,7.00,2.00,2.00,7.00,7.88,1.00,6.00,2.00,552,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',10787,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7293640,0.00,4.00,3.00,5.00,5.00,NULL,3.00,3.00,0.00,654,NULL,NULL,'CIDADA ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7293658,2.00,4.00,4.00,4.00,5.00,10.13,3.00,6.00,2.00,303,NULL,NULL,'CENTRO','RIO PEDRAS','SP',9663,397,NULL,NULL,NULL,NULL,NULL,4,1),(28,7293682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7293690,0.00,5.00,0.00,1.00,1.00,NULL,3.00,3.00,3.00,103,NULL,NULL,'AREIAS','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293704,3.00,3.00,0.00,4.00,6.00,9.38,3.00,3.00,3.00,101,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293712,4.00,7.00,1.00,6.00,7.00,7.88,6.00,6.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6032,123,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293720,1.00,6.00,2.00,6.00,4.00,5.63,1.00,3.00,2.00,339,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',15283,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'LINHA FORMOS','PLANALTO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7293747,2.00,5.00,0.00,6.00,4.00,7.50,2.00,4.00,1.00,318,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15144,109,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293755,1.00,7.00,2.00,6.00,7.00,6.75,1.00,5.00,5.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10811,66,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293763,1.00,5.00,1.00,5.00,6.00,7.13,0.00,2.00,2.00,101,NULL,NULL,'PRAIA CCOMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293771,2.00,3.00,2.00,7.00,4.00,8.63,3.00,4.00,3.00,552,NULL,NULL,'CENTRO','FRAIBURGO','SC',11575,50,NULL,NULL,NULL,NULL,NULL,4,25),(28,7293780,4.00,5.00,3.00,7.00,7.00,11.63,4.00,5.00,5.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',3344,1215,NULL,NULL,NULL,NULL,NULL,4,1),(28,7293798,0.00,3.00,2.00,1.00,4.00,4.50,2.00,2.00,1.00,308,NULL,NULL,'SANTOS SARAIVA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7293801,3.00,4.00,2.00,2.00,2.00,NULL,3.00,4.00,2.00,201,NULL,212,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7293810,2.00,4.00,2.00,6.00,7.00,7.50,2.00,2.00,1.00,999,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7293828,3.00,7.00,4.00,2.00,4.00,9.75,4.00,6.00,4.00,999,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7293836,8.00,8.00,1.00,5.00,9.00,13.13,3.00,7.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',748,450,NULL,NULL,NULL,NULL,NULL,4,25),(28,7293844,1.00,6.00,1.00,4.00,8.00,6.75,3.00,6.00,2.00,415,NULL,NULL,'AREIAS','S JOSÉ','SC',9994,159,NULL,NULL,NULL,NULL,NULL,2,1),(28,7293860,0.00,6.00,1.00,1.00,1.00,NULL,0.00,3.00,2.00,211,NULL,201,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7293887,5.00,5.00,3.00,7.00,5.00,7.50,3.00,6.00,4.00,301,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',7354,76,NULL,NULL,NULL,NULL,NULL,4,1),(28,7293895,4.00,3.00,1.00,3.00,7.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7293909,4.00,6.00,3.00,7.00,5.00,7.13,5.00,4.00,5.00,201,NULL,214,'SAMBAQUI','FLORIANÓPOLIS','SC',5653,435,NULL,178,NULL,NULL,NULL,4,1),(28,7293925,5.00,5.00,1.00,6.00,7.00,7.50,5.00,5.00,3.00,103,NULL,NULL,'CENTRO','NOVA VENEZA','SC',6873,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7293933,2.00,7.00,1.00,7.00,7.00,6.38,3.00,7.00,4.00,203,NULL,214,'UNIÃO','BRAÇO NORTE','SC',9249,514,NULL,241,NULL,NULL,NULL,2,5),(28,7293941,1.00,5.00,3.00,7.00,7.00,9.00,2.00,3.00,5.00,333,NULL,NULL,'MORRO DO ESPELHO','S LEOPOLDO','RS',8490,47,NULL,NULL,NULL,NULL,NULL,4,8),(28,7293968,4.00,7.00,3.00,6.00,3.00,6.75,4.00,6.00,6.00,216,NULL,215,'ROCADO','S JOSÉ','SC',9790,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7293976,6.00,7.00,1.00,6.00,8.00,9.38,2.00,6.00,5.00,103,NULL,NULL,'CENTRO','MAFRA','SC',4336,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7293984,2.00,4.00,0.00,1.00,3.00,7.13,1.00,1.00,2.00,201,NULL,213,'JARDIM MARISTELA','CRICIÚMA','SC',18624,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7294000,3.00,4.00,2.00,7.00,4.00,7.88,2.00,5.00,1.00,211,NULL,201,'ESTAÇÃO COCAL','MRO FUMAÇA','SC',11520,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7294018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'INTERIOR','PLANALTO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7294026,6.00,8.00,4.00,6.00,8.00,11.63,7.00,7.00,6.00,211,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',689,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294034,5.00,7.00,3.00,4.00,4.00,8.25,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','JACAREÍ','SP',5900,1617,NULL,NULL,NULL,NULL,NULL,2,1),(28,7294042,0.00,5.00,1.00,5.00,5.00,4.88,2.00,5.00,5.00,230,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',13209,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294050,0.00,2.00,0.00,0.00,0.00,NULL,2.00,2.00,2.00,308,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7294093,3.00,6.00,2.00,6.00,6.00,10.13,2.00,6.00,3.00,316,NULL,NULL,'ÁGUA SANTA','CURITIBANOS','SC',12019,127,NULL,NULL,NULL,NULL,NULL,2,16),(28,7294107,1.00,7.00,1.00,6.00,4.00,7.50,1.00,4.00,1.00,999,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7294115,0.00,5.00,2.00,6.00,4.00,5.25,3.00,4.00,1.00,503,NULL,NULL,'LIVRAMENTO','TURVO','SC',15375,27,NULL,NULL,NULL,NULL,NULL,2,15),(28,7294123,2.00,6.00,1.00,6.00,7.00,8.63,3.00,5.00,4.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',9172,255,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294131,3.00,5.00,3.00,7.00,3.00,7.13,1.00,3.00,2.00,655,NULL,653,'VILA SÃO JOÃO','TORRES','RS',17677,111,NULL,187,NULL,NULL,NULL,2,15),(28,7294158,5.00,6.00,1.00,5.00,8.00,9.00,3.00,6.00,6.00,201,NULL,233,'CANASVIEIRAS','FLORIANÓPOLIS','SC',5836,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294166,3.00,7.00,2.00,4.00,8.00,7.50,4.00,5.00,5.00,302,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',9922,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294174,2.00,7.00,2.00,6.00,3.00,5.25,3.00,5.00,3.00,201,NULL,207,'CENTRO','BRUSQUE','SC',11117,729,NULL,516,NULL,NULL,NULL,4,22),(28,7294182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7294190,2.00,7.00,1.00,7.00,7.00,9.75,3.00,6.00,3.00,108,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',6164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294204,4.00,8.00,2.00,7.00,6.00,9.00,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','MOGI MIRIM','SP',1893,857,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294220,0.00,4.00,0.00,4.00,3.00,NULL,1.00,3.00,0.00,211,NULL,207,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294239,1.00,4.00,0.00,3.00,5.00,5.63,4.00,2.00,3.00,216,NULL,207,'MORRO DO PORTUGUES','STA ROSA SUL','SC',15491,409,NULL,681,NULL,NULL,NULL,4,15),(28,7294247,3.00,6.00,2.00,7.00,5.00,9.75,3.00,5.00,3.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',8632,1967,NULL,NULL,NULL,NULL,NULL,4,8),(28,7294263,1.00,3.00,1.00,3.00,5.00,9.75,0.00,3.00,3.00,103,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',16008,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7294271,1.00,5.00,0.00,7.00,5.00,8.25,2.00,5.00,2.00,999,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7294280,3.00,3.00,0.00,5.00,4.00,NULL,3.00,6.00,2.00,454,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294301,3.00,7.00,2.00,5.00,7.00,7.13,2.00,6.00,3.00,415,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',8960,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294310,0.00,5.00,0.00,6.00,6.00,NULL,1.00,4.00,1.00,425,NULL,423,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294328,4.00,8.00,5.00,5.00,7.00,9.00,7.00,5.00,8.00,201,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',1681,103,NULL,12,NULL,NULL,NULL,4,1),(28,7294336,4.00,6.00,2.00,5.00,6.00,8.63,2.00,4.00,2.00,103,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14849,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7294352,3.00,8.00,3.00,4.00,8.00,8.25,4.00,5.00,5.00,201,NULL,212,'PICADAS DO SUL','S JOSÉ','SC',5282,409,NULL,173,NULL,NULL,NULL,2,1),(28,7294379,2.00,1.00,2.00,3.00,4.00,3.00,0.00,3.00,2.00,451,NULL,NULL,'SÃO JOÃO DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7294387,2.00,7.00,1.00,6.00,8.00,7.88,4.00,5.00,3.00,212,NULL,238,'CENTRO','SAUDADES','SC',8269,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7294395,2.00,7.00,1.00,6.00,7.00,9.00,3.00,6.00,3.00,340,NULL,NULL,'PEREQUÊ','PTO BELO','SC',7446,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7294409,3.00,7.00,3.00,7.00,10.00,7.13,2.00,7.00,4.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8498,260,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294417,1.00,7.00,4.00,6.00,8.00,7.50,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7748,1860,NULL,NULL,NULL,NULL,NULL,2,1),(28,7294425,3.00,6.00,3.00,7.00,9.00,10.88,2.00,6.00,3.00,5,NULL,NULL,'CENTRO','CURITIBANOS','SC',3427,129,NULL,NULL,NULL,NULL,NULL,4,16),(28,7294433,3.00,3.00,3.00,4.00,2.00,NULL,3.00,2.00,3.00,308,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294441,2.00,6.00,1.00,6.00,5.00,8.25,2.00,5.00,3.00,235,NULL,233,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',11248,181,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294450,1.00,3.00,1.00,7.00,6.00,9.75,1.00,4.00,3.00,319,NULL,NULL,'BOA VISTA','RIO SUL','SC',12505,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7294468,4.00,6.00,2.00,4.00,5.00,7.88,3.00,5.00,3.00,207,NULL,652,'CENTENARIO','SAPIRANGA','RS',8426,391,NULL,10,NULL,NULL,NULL,2,5),(28,7294476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'COLINA DAS FLORES','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7294484,2.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,2.00,201,NULL,203,'INTERIOR','FR ROGÉRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7294492,7.00,6.00,4.00,7.00,8.00,11.25,5.00,6.00,7.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',1349,34,NULL,NULL,NULL,NULL,NULL,2,1),(28,7294506,1.00,4.00,3.00,4.00,4.00,2.63,3.00,3.00,2.00,224,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7294514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'CENTRO','S MARCOS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7294530,2.00,6.00,2.00,5.00,6.00,9.00,1.00,4.00,2.00,454,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17455,358,NULL,NULL,NULL,NULL,NULL,2,1),(28,7294549,3.00,7.00,1.00,7.00,7.00,9.38,4.00,5.00,7.00,207,NULL,201,'JD AQUARIUS','S JOSÉ CAMPOS','SP',4508,189,NULL,346,NULL,NULL,NULL,4,1),(28,7294557,3.00,6.00,2.00,6.00,7.00,9.38,0.00,5.00,3.00,318,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',14235,98,NULL,NULL,NULL,NULL,NULL,2,1),(28,7294565,4.00,4.00,2.00,7.00,7.00,6.00,2.00,4.00,4.00,999,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294573,4.00,7.00,5.00,6.00,9.00,9.00,5.00,7.00,5.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',1584,768,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294581,1.00,7.00,1.00,6.00,6.00,8.63,3.00,6.00,1.00,327,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',9059,12,NULL,NULL,NULL,NULL,NULL,2,1),(28,7294611,1.00,2.00,3.00,1.00,4.00,7.50,2.00,4.00,2.00,309,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17725,47,NULL,NULL,NULL,NULL,NULL,2,1),(28,7294620,7.00,0.00,2.00,6.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BELA VISTA','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(28,7294638,2.00,7.00,2.00,6.00,6.00,7.50,2.00,3.00,1.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294646,7.00,7.00,3.00,6.00,5.00,7.50,2.00,6.00,3.00,303,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',6532,292,NULL,NULL,NULL,NULL,NULL,4,15),(28,7294654,3.00,6.00,0.00,7.00,7.00,10.50,3.00,3.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7548,333,NULL,NULL,NULL,NULL,NULL,2,1),(28,7294662,3.00,6.00,2.00,7.00,7.00,6.75,5.00,5.00,4.00,201,NULL,601,'SUMARÉ','RIO SUL','SC',7605,557,NULL,179,NULL,NULL,NULL,2,24),(28,7294670,1.00,6.00,1.00,3.00,4.00,7.13,2.00,2.00,3.00,214,NULL,203,'SÃO SEBASTIÃO','ÁGUAS MORNAS','SC',19092,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7294689,7.00,8.00,6.00,7.00,9.00,8.63,3.00,7.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',181,141,NULL,NULL,NULL,NULL,NULL,4,4),(28,7294697,2.00,0.00,1.00,1.00,8.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,7),(28,7294700,0.00,1.00,3.00,3.00,3.00,6.75,1.00,3.00,1.00,230,NULL,NULL,'SERRARIA','S JOSÉ','SC',20098,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294719,3.00,8.00,2.00,7.00,7.00,9.00,6.00,7.00,5.00,203,NULL,235,'CENTRO','MARAU','RS',2395,189,NULL,NULL,NULL,NULL,NULL,4,4),(28,7294727,1.00,4.00,1.00,5.00,4.00,6.00,2.00,1.00,4.00,102,NULL,NULL,'CENTRO','JOAÇABA','SC',19508,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7294743,3.00,7.00,2.00,6.00,7.00,5.63,3.00,3.00,2.00,337,NULL,NULL,'TRAINDADE','FLORIANÓPOLIS','SC',15863,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ANGÉLICA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7294760,3.00,8.00,1.00,5.00,7.00,6.75,2.00,7.00,1.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14584,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294778,6.00,7.00,4.00,7.00,5.00,8.63,7.00,6.00,3.00,203,NULL,220,'CENTRO','LAGES','SC',4142,302,NULL,NULL,NULL,NULL,NULL,4,9),(28,7294786,1.00,4.00,2.00,6.00,4.00,7.13,2.00,2.00,2.00,339,NULL,NULL,'SERRARIA','S JOSÉ','SC',16443,35,NULL,NULL,NULL,NULL,NULL,2,1),(28,7294794,2.00,3.00,1.00,6.00,2.00,NULL,3.00,4.00,3.00,214,NULL,213,'CENTRO','CAJOBI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7294808,1.00,2.00,4.00,3.00,4.00,9.00,2.00,4.00,3.00,428,NULL,429,'AGRONÔMICA','FLORIANÓPOLIS','SC',17089,55,NULL,NULL,NULL,NULL,NULL,6,1),(28,7294816,2.00,6.00,2.00,6.00,9.00,9.75,3.00,7.00,4.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',9197,2015,NULL,NULL,NULL,NULL,NULL,4,8),(28,7294824,4.00,6.00,3.00,6.00,8.00,8.63,3.00,6.00,5.00,103,NULL,NULL,'CRUZEIRO DO SUL','CRICIÚMA','SC',8833,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7294832,0.00,6.00,2.00,6.00,5.00,NULL,2.00,3.00,4.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7294840,0.00,7.00,2.00,5.00,4.00,6.38,2.00,6.00,2.00,450,NULL,NULL,'CENTRO','PALMITOS','SC',17736,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294859,2.00,7.00,4.00,8.00,10.00,11.25,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',578,381,NULL,NULL,NULL,NULL,NULL,4,4),(28,7294867,1.00,3.00,2.00,6.00,4.00,8.63,3.00,5.00,4.00,999,NULL,NULL,'STA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294875,2.00,7.00,2.00,3.00,8.00,5.25,2.00,7.00,3.00,5,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',9080,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7294883,1.00,5.00,2.00,2.00,5.00,7.50,0.00,6.00,2.00,207,NULL,213,'VILA ALVORADA','IMBITUBA','SC',17138,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7294891,1.00,3.00,2.00,4.00,2.00,NULL,1.00,2.00,0.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294913,0.00,4.00,1.00,2.00,6.00,NULL,4.00,4.00,4.00,654,NULL,NULL,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7294921,2.00,6.00,2.00,7.00,5.00,8.25,3.00,5.00,3.00,213,NULL,238,'PICADAS DO SUL','S JOSÉ','SC',9350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7294930,2.00,6.00,2.00,6.00,4.00,7.88,1.00,6.00,5.00,5,NULL,NULL,'SANTA CRUZ','CONCÓRDIA','SC',7683,237,NULL,NULL,NULL,NULL,NULL,2,26),(28,7294948,2.00,5.00,2.00,4.00,7.00,10.88,3.00,3.00,3.00,211,NULL,215,'COMERCIÁRIO','CRICIÚMA','SC',14704,369,NULL,242,NULL,NULL,NULL,4,5),(28,7294956,4.00,7.00,2.00,7.00,8.00,8.63,4.00,7.00,2.00,103,NULL,NULL,'VILA UNIVERSITÁRIA','BAURU','SP',3729,1270,NULL,NULL,NULL,NULL,NULL,4,17),(28,7294964,1.00,2.00,2.00,1.00,4.00,3.00,1.00,4.00,1.00,601,NULL,207,'SUFIATI','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7294972,1.00,5.00,3.00,6.00,6.00,7.13,2.00,6.00,2.00,214,NULL,213,'CENTRO','CAJOBI','SP',11654,279,NULL,197,NULL,NULL,NULL,2,1),(28,7294980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'COHAB ARAPUÃ','JALES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7294999,1.00,3.00,1.00,4.00,5.00,7.88,2.00,4.00,3.00,104,NULL,NULL,'FUNDOS','BIGUAÇU','SC',13965,337,NULL,NULL,NULL,NULL,NULL,4,1),(28,7295006,5.00,5.00,3.00,2.00,6.00,7.50,3.00,3.00,2.00,214,NULL,212,'CENTRO','CRICIÚMA','SC',16664,335,NULL,396,NULL,NULL,NULL,4,5),(28,7295022,1.00,5.00,3.00,6.00,5.00,7.50,5.00,5.00,5.00,303,NULL,NULL,'CENTRO','VIDEIRA','SC',10045,411,NULL,NULL,NULL,NULL,NULL,4,1),(28,7295030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'SAGUAÇÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7295049,6.00,7.00,7.00,6.00,10.00,8.25,6.00,6.00,7.00,220,NULL,213,'CENTRO','CURITIBA','PR',727,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7295057,2.00,7.00,1.00,6.00,6.00,6.38,4.00,6.00,3.00,340,NULL,NULL,'XAXIM','CURITIBA','PR',13932,371,NULL,NULL,NULL,NULL,NULL,4,17),(28,7295065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','PIRATUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7295073,1.00,6.00,2.00,7.00,7.00,12.00,2.00,6.00,4.00,201,NULL,207,'PAGARÁ GRANDE','S PEDRO ALCÂNTARA','SC',7053,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7295090,3.00,5.00,3.00,5.00,6.00,6.38,2.00,3.00,3.00,203,NULL,220,'BELA VISTA','FRAIBURGO','SC',11305,NULL,NULL,265,NULL,NULL,NULL,2,25),(28,7295103,0.00,4.00,3.00,5.00,7.00,10.50,1.00,3.00,2.00,654,NULL,NULL,'CENTRO','ARARANGUÁ','SC',11255,18,NULL,NULL,NULL,NULL,NULL,4,15),(28,7295111,1.00,4.00,0.00,3.00,2.00,NULL,2.00,3.00,2.00,104,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7295120,3.00,5.00,3.00,5.00,2.00,NULL,3.00,2.00,2.00,601,NULL,207,'VENEZA','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7295138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7295154,1.00,4.00,2.00,1.00,4.00,9.38,1.00,4.00,2.00,108,NULL,NULL,'PALHOÇINHA','GAROPABA','SC',16563,225,NULL,NULL,NULL,NULL,NULL,2,1),(28,7295162,1.00,5.00,1.00,6.00,4.00,5.63,0.00,2.00,2.00,303,NULL,NULL,'DOS ESTADOS','INDAIAL','SC',19298,600,NULL,NULL,NULL,NULL,NULL,4,2),(28,7295170,0.00,3.00,1.00,5.00,4.00,6.38,5.00,5.00,3.00,104,NULL,NULL,'AIRES RODRIGUES','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7295189,4.00,3.00,1.00,7.00,3.00,10.13,2.00,3.00,3.00,103,NULL,NULL,'CENTRO','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7295197,4.00,6.00,5.00,5.00,8.00,11.25,5.00,7.00,6.00,303,NULL,NULL,'JARDIM AMÉRICA','DRACENA','SP',2182,98,NULL,NULL,NULL,NULL,NULL,4,8),(28,7295219,3.00,6.00,4.00,1.00,4.00,5.25,4.00,3.00,3.00,110,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',15326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7295227,1.00,6.00,0.00,4.00,6.00,9.00,3.00,4.00,2.00,203,NULL,214,'LA SALLE','PATO BRANCO','PR',10491,545,NULL,266,NULL,NULL,NULL,2,7),(28,7295235,5.00,7.00,3.00,4.00,7.00,9.75,3.00,5.00,3.00,103,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',7593,1840,NULL,NULL,NULL,NULL,NULL,4,1),(28,7295251,0.00,0.00,0.00,2.00,1.00,NULL,1.00,2.00,0.00,5,NULL,NULL,'COMASA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7295260,4.00,6.00,3.00,5.00,7.00,5.25,2.00,6.00,4.00,5,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',13676,379,NULL,NULL,NULL,NULL,NULL,4,1),(28,7295278,2.00,6.00,2.00,6.00,5.00,10.50,2.00,4.00,5.00,303,NULL,NULL,'SANTA CÂNDIDA','CURITIBA','PR',7710,341,NULL,NULL,NULL,NULL,NULL,4,8),(28,7295308,3.00,4.00,4.00,5.00,3.00,5.63,1.00,5.00,4.00,201,NULL,NULL,'MATINHO','XANXERÊ','SC',14453,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7295324,3.00,7.00,3.00,5.00,5.00,9.00,3.00,4.00,4.00,103,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',7397,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7295332,2.00,7.00,3.00,7.00,8.00,7.13,3.00,6.00,6.00,104,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',5432,102,NULL,NULL,NULL,NULL,NULL,2,1),(28,7295375,4.00,6.00,3.00,7.00,6.00,6.75,5.00,5.00,1.00,203,NULL,233,'VICTOR KONDER','BLUMENAU','SC',13724,616,NULL,293,NULL,NULL,NULL,4,2),(28,7295405,5.00,7.00,5.00,5.00,5.00,10.13,6.00,7.00,7.00,201,NULL,233,'CAPOEIRAS','FLORIANÓPOLIS','SC',2475,178,NULL,44,NULL,NULL,NULL,2,1),(28,7295421,2.00,6.00,2.00,4.00,8.00,10.50,2.00,4.00,3.00,102,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',8979,71,NULL,NULL,NULL,NULL,NULL,2,7),(28,7295430,7.00,7.00,1.00,5.00,7.00,8.63,6.00,5.00,6.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5817,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7295448,1.00,2.00,2.00,3.00,4.00,5.63,0.00,5.00,3.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',19750,215,NULL,104,NULL,NULL,NULL,4,15),(28,7295456,7.00,7.00,5.00,7.00,9.00,11.25,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',1691,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7295464,5.00,7.00,3.00,5.00,5.00,8.25,4.00,5.00,3.00,103,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',11311,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7295472,0.00,3.00,1.00,2.00,3.00,6.00,0.00,2.00,1.00,5,NULL,NULL,'VILA ESPERANÇA','TUBARÃO','SC',19367,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7295480,1.00,3.00,1.00,5.00,4.00,5.63,3.00,3.00,2.00,317,NULL,NULL,'CENTRO','JACINTO MACHADO','SC',17350,141,NULL,NULL,NULL,NULL,NULL,2,15),(28,7295502,3.00,8.00,2.00,7.00,9.00,8.63,5.00,6.00,5.00,203,NULL,220,'SANTA MÔNICA','FLORIANÓPOLIS','SC',2346,NULL,NULL,71,NULL,NULL,NULL,4,1),(28,7295510,8.00,8.00,4.00,7.00,10.00,11.63,6.00,7.00,7.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',127,102,NULL,NULL,NULL,NULL,NULL,2,15),(28,7295545,1.00,4.00,1.00,2.00,6.00,6.75,1.00,3.00,3.00,216,NULL,233,'VÁRZEA','LAGES','SC',17679,437,NULL,340,NULL,NULL,NULL,4,9),(28,7295553,3.00,6.00,2.00,5.00,7.00,7.13,2.00,6.00,5.00,3,NULL,NULL,'CENTRO','UMUARAMA','PR',7739,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7295561,4.00,6.00,2.00,5.00,6.00,4.88,3.00,5.00,3.00,337,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',16463,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7295570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7295588,7.00,7.00,4.00,7.00,6.00,10.13,5.00,7.00,5.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',1861,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7295596,0.00,5.00,1.00,2.00,5.00,NULL,3.00,4.00,3.00,303,NULL,NULL,'GUIOMAR','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7295600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SÃO JOÃO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7295618,0.00,1.00,0.00,1.00,4.00,NULL,2.00,4.00,2.00,653,NULL,655,'QUARTA LINHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7295626,1.00,4.00,2.00,5.00,6.00,8.63,2.00,5.00,4.00,429,NULL,425,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7295634,5.00,8.00,4.00,6.00,7.00,6.75,6.00,7.00,5.00,233,NULL,238,'SANTINHO','FLORIANÓPOLIS','SC',3552,87,NULL,19,NULL,NULL,NULL,4,1),(28,7295642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'RIO BONITO','MAJ VIEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7295669,2.00,3.00,4.00,6.00,4.00,6.38,0.00,5.00,0.00,109,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',16734,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7295677,3.00,8.00,4.00,7.00,9.00,9.00,5.00,7.00,6.00,303,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',2191,99,NULL,NULL,NULL,NULL,NULL,4,1),(28,7295685,1.00,6.00,2.00,5.00,5.00,11.25,5.00,5.00,3.00,103,NULL,NULL,'CORAL','LAGES','SC',8004,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7295693,3.00,7.00,3.00,6.00,7.00,5.25,0.00,3.00,1.00,233,NULL,601,'CENTRO','SIDERÓPOLIS','SC',12927,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7295707,0.00,3.00,2.00,4.00,5.00,6.38,1.00,3.00,2.00,318,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',16741,119,NULL,NULL,NULL,NULL,NULL,2,15),(28,7295715,2.00,5.00,0.00,7.00,4.00,6.75,3.00,6.00,3.00,212,NULL,201,'CANASVIEIRAS','FLORIANÓPOLIS','SC',17305,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7295723,0.00,1.00,0.00,2.00,2.00,NULL,0.00,2.00,4.00,109,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7295731,0.00,4.00,2.00,3.00,4.00,5.63,2.00,4.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',17177,2441,NULL,NULL,NULL,NULL,NULL,4,9),(28,7295740,3.00,7.00,3.00,5.00,6.00,7.50,3.00,5.00,2.00,220,NULL,202,'FORTALEZA','BLUMENAU','SC',7912,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7295758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'CENTRO','NOVA AURORA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7295766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7295774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7295782,1.00,4.00,3.00,4.00,4.00,NULL,2.00,5.00,0.00,303,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7295790,6.00,8.00,2.00,5.00,9.00,8.63,4.00,7.00,5.00,203,NULL,233,'CENTRO','GAROPABA','SC',2844,215,NULL,65,NULL,NULL,NULL,4,1),(28,7295804,2.00,5.00,2.00,5.00,5.00,5.63,4.00,5.00,2.00,444,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',17740,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7295812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'FURADINHO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7295820,1.00,6.00,2.00,5.00,5.00,9.75,1.00,5.00,2.00,302,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',16556,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7295839,8.00,8.00,6.00,7.00,9.00,11.25,7.00,6.00,7.00,203,NULL,214,'GIOCONDO ORSI','CPO GRANDE','MS',55,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7295847,6.00,8.00,1.00,7.00,2.00,NULL,2.00,5.00,5.00,103,NULL,NULL,'FACULDADE','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7295855,7.00,9.00,1.00,6.00,6.00,11.63,4.00,6.00,5.00,103,NULL,NULL,'JD UNIVERSITÁRIO','PEREIRA BARRETO','SP',1593,773,NULL,NULL,NULL,NULL,NULL,4,1),(28,7295863,3.00,5.00,3.00,6.00,4.00,8.25,3.00,3.00,4.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10423,2100,NULL,NULL,NULL,NULL,NULL,4,1),(28,7295871,1.00,5.00,0.00,3.00,6.00,9.38,1.00,4.00,0.00,225,NULL,NULL,'VILA PARAÍSO','IMARUÍ','SC',13674,29,NULL,NULL,NULL,NULL,NULL,4,10),(28,7295880,1.00,4.00,2.00,3.00,3.00,9.75,1.00,2.00,2.00,238,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',16014,277,NULL,NULL,NULL,NULL,NULL,4,1),(28,7295898,0.00,1.00,2.00,2.00,2.00,NULL,2.00,3.00,1.00,301,NULL,NULL,'ESTRADA VELHA','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7295901,2.00,4.00,2.00,6.00,4.00,7.88,2.00,5.00,3.00,301,NULL,NULL,'MAR GROSSO','LAGUNA','SC',14151,201,NULL,NULL,NULL,NULL,NULL,2,1),(28,7295910,7.00,7.00,5.00,5.00,4.00,8.25,7.00,8.00,8.00,203,NULL,220,'STELLA MARIS','ANDRADINA','SP',1137,105,NULL,28,NULL,NULL,NULL,4,1),(28,7295928,1.00,4.00,3.00,0.00,2.00,NULL,1.00,5.00,2.00,103,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7295944,1.00,8.00,2.00,6.00,7.00,9.75,1.00,4.00,3.00,303,NULL,NULL,'CENTRO','PR GRANDE','SC',8404,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7295952,4.00,5.00,1.00,4.00,8.00,7.50,3.00,3.00,3.00,601,NULL,203,'SAGUAÇU','JOINVILLE','SC',11254,331,NULL,563,NULL,NULL,NULL,4,8),(28,7295979,2.00,5.00,1.00,4.00,4.00,NULL,3.00,4.00,3.00,415,NULL,NULL,'CENTRO','CORUPÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,23),(28,7295987,2.00,6.00,4.00,4.00,5.00,6.75,0.00,2.00,2.00,201,NULL,212,'CENTRO','GAROPABA','SC',18646,1018,NULL,416,NULL,NULL,NULL,4,1),(28,7295995,3.00,8.00,0.00,4.00,6.00,7.50,5.00,3.00,3.00,238,NULL,203,'JOÁIA','TIJUCAS','SC',14991,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7296002,4.00,9.00,4.00,7.00,10.00,10.13,6.00,8.00,7.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',523,3,NULL,NULL,NULL,NULL,NULL,4,3),(28,7296010,2.00,7.00,3.00,6.00,9.00,7.88,2.00,4.00,0.00,207,NULL,201,'ELIZA','NOVA VENEZA','SC',9412,437,NULL,647,NULL,NULL,NULL,4,5),(28,7296029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'PROGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7296045,5.00,8.00,1.00,7.00,7.00,6.38,2.00,7.00,3.00,5,NULL,NULL,'JARDIM ANA MARIA','SOROCABA','SP',5418,177,NULL,NULL,NULL,NULL,NULL,4,1),(28,7296053,3.00,5.00,2.00,7.00,3.00,6.75,2.00,4.00,2.00,224,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',18091,26,NULL,NULL,NULL,NULL,NULL,2,1),(28,7296061,5.00,7.00,2.00,6.00,8.00,9.75,2.00,3.00,5.00,303,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',5855,266,NULL,NULL,NULL,NULL,NULL,4,1),(28,7296070,0.00,4.00,2.00,3.00,4.00,NULL,2.00,4.00,1.00,104,NULL,NULL,'NOSSA S DA SALETE','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7296088,5.00,7.00,1.00,6.00,7.00,7.88,3.00,6.00,6.00,201,NULL,212,'CAMPINAS','S JOSÉ','SC',5084,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7296096,0.00,3.00,2.00,4.00,5.00,7.13,2.00,5.00,0.00,208,NULL,NULL,'BALNEARIO ESTREITO','FLORIANÓPOLIS','SC',16855,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7296118,5.00,6.00,2.00,6.00,5.00,9.00,5.00,7.00,3.00,220,NULL,203,'TRICOLIN','CANOINHAS','SC',5460,162,NULL,366,NULL,NULL,NULL,4,17),(28,7296126,2.00,6.00,2.00,4.00,7.00,8.25,5.00,6.00,6.00,202,NULL,238,'MOURA','CANELINHA','SC',10174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7296134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'ANTENA','ANDRADINA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7296142,2.00,3.00,2.00,1.00,2.00,NULL,4.00,6.00,3.00,225,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7296150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7296169,2.00,6.00,1.00,7.00,5.00,9.38,2.00,4.00,6.00,103,NULL,NULL,'DOM BOSCO','ITAJAÍ','SC',7686,1851,NULL,NULL,NULL,NULL,NULL,4,1),(28,7296185,0.00,5.00,2.00,5.00,4.00,5.63,0.00,2.00,2.00,336,NULL,NULL,'BARREIROS','S JOSÉ','SC',16684,86,NULL,NULL,NULL,NULL,NULL,2,1),(28,7296193,4.00,8.00,1.00,7.00,6.00,10.50,2.00,6.00,4.00,103,NULL,NULL,'GOIANIA II','GOIÂNIA','GO',3413,1225,NULL,NULL,NULL,NULL,NULL,4,15),(28,7296207,0.00,5.00,2.00,2.00,4.00,7.13,2.00,4.00,2.00,450,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',19553,135,NULL,NULL,NULL,NULL,NULL,4,8),(28,7296215,2.00,4.00,3.00,3.00,5.00,7.50,2.00,3.00,2.00,207,NULL,201,'PQ PACHECO CHAVES','OURINHOS','SP',12897,581,NULL,NULL,NULL,NULL,NULL,4,8),(28,7296223,0.00,5.00,0.00,4.00,5.00,NULL,2.00,4.00,3.00,233,NULL,238,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7296231,4.00,8.00,1.00,6.00,8.00,NULL,0.00,6.00,1.00,999,NULL,NULL,'VILLAGE','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7296240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7296258,0.00,4.00,2.00,3.00,2.00,NULL,1.00,2.00,1.00,654,NULL,NULL,'NOVA DIVINEIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7296266,2.00,5.00,2.00,3.00,6.00,7.13,2.00,2.00,2.00,316,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',19210,283,NULL,NULL,NULL,NULL,NULL,2,1),(28,7296274,0.00,4.00,2.00,4.00,7.00,NULL,0.00,2.00,2.00,415,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7296282,0.00,3.00,2.00,2.00,4.00,NULL,4.00,2.00,3.00,9,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7296290,2.00,4.00,2.00,3.00,5.00,NULL,0.00,3.00,2.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7296304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BARBOSA FERRAZ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7296312,1.00,3.00,1.00,4.00,5.00,8.25,4.00,6.00,2.00,220,NULL,202,'BERGER','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7296320,3.00,5.00,2.00,5.00,6.00,7.13,4.00,3.00,6.00,336,NULL,NULL,'SANTA LUZIA','ABELARDO LUZ','SC',14639,76,NULL,NULL,NULL,NULL,NULL,4,4),(28,7296339,1.00,3.00,2.00,7.00,3.00,7.50,1.00,5.00,2.00,308,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',15467,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7296347,4.00,6.00,2.00,5.00,7.00,10.50,3.00,7.00,3.00,415,NULL,NULL,'JARDIM SAVEIRO','BIGUAÇU','SC',5557,83,NULL,NULL,NULL,NULL,NULL,4,1),(28,7296355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TARUMÃ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7296363,0.00,3.00,2.00,3.00,2.00,NULL,0.00,1.00,0.00,302,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7296371,1.00,3.00,2.00,4.00,3.00,9.38,1.00,4.00,3.00,235,NULL,655,'GLORINHA','STA ROSA SUL','SC',19206,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7296380,0.00,6.00,2.00,5.00,5.00,8.25,1.00,5.00,3.00,552,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',13979,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7296401,4.00,6.00,3.00,7.00,4.00,7.88,2.00,2.00,4.00,202,NULL,235,'PANAIR','PTO VELHO','RO',11713,296,NULL,191,NULL,NULL,NULL,4,3),(28,7296428,2.00,5.00,1.00,6.00,6.00,7.13,4.00,5.00,2.00,102,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',15689,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7296436,1.00,4.00,3.00,2.00,4.00,8.25,1.00,2.00,3.00,216,NULL,233,'LOURDES','ÁGUAS MORNAS','SC',16768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7296444,0.00,2.00,0.00,6.00,4.00,0.00,3.00,3.00,1.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7296460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,214,'CENTRO','AVARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7296479,0.00,4.00,2.00,3.00,5.00,NULL,4.00,4.00,2.00,655,NULL,652,'FORQUILHA GRANDE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7296487,4.00,7.00,3.00,6.00,8.00,10.13,3.00,4.00,3.00,207,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',5374,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7296495,3.00,6.00,4.00,5.00,9.00,12.75,5.00,7.00,3.00,207,NULL,235,'COQUEIROS','FLORIANÓPOLIS','SC',2158,73,NULL,20,NULL,NULL,NULL,4,1),(28,7296509,6.00,9.00,3.00,7.00,7.00,7.13,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1759,821,NULL,NULL,NULL,NULL,NULL,4,1),(28,7296517,2.00,3.00,1.00,6.00,5.00,NULL,0.00,4.00,0.00,654,NULL,NULL,'JARDIM ATLANTICO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7296525,4.00,7.00,3.00,3.00,6.00,10.88,5.00,5.00,5.00,214,NULL,216,'JARDIM ESTHER','S PAULO','SP',4220,144,NULL,NULL,NULL,NULL,NULL,4,1),(28,7296533,1.00,3.00,2.00,5.00,5.00,NULL,0.00,1.00,2.00,207,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7296541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7296550,0.00,5.00,4.00,3.00,6.00,NULL,2.00,4.00,1.00,203,NULL,235,'ALVORADA','MODELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7296568,4.00,4.00,0.00,3.00,5.00,7.88,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','ORLÂNDIA','SP',11905,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7296576,5.00,6.00,1.00,7.00,5.00,7.50,5.00,5.00,6.00,601,NULL,201,'AMÉRICA','JOINVILLE','SC',5750,109,NULL,NULL,NULL,NULL,NULL,4,8),(28,7296592,0.00,5.00,3.00,6.00,2.00,NULL,2.00,6.00,2.00,212,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7296606,2.00,3.00,3.00,4.00,5.00,5.25,0.00,3.00,0.00,9,NULL,NULL,'CENTRO','AURORA','SC',17521,138,NULL,NULL,NULL,NULL,NULL,4,24),(28,7296622,1.00,6.00,1.00,6.00,4.00,6.75,2.00,4.00,2.00,501,NULL,NULL,'SÃO GABRIEL','FORQUILHINHA','SC',18106,113,NULL,NULL,NULL,NULL,NULL,2,15),(28,7296630,5.00,7.00,0.00,6.00,8.00,9.00,6.00,6.00,7.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2353,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7296649,1.00,4.00,1.00,4.00,3.00,5.63,1.00,5.00,1.00,104,NULL,NULL,'PORTO','CUIABÁ','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7296681,4.00,6.00,0.00,7.00,7.00,7.88,1.00,4.00,2.00,301,NULL,NULL,'CENTRO','S JOSÉ CAMPOS','SP',9890,126,NULL,NULL,NULL,NULL,NULL,2,1),(28,7296690,2.00,6.00,2.00,6.00,5.00,9.00,4.00,5.00,5.00,216,NULL,201,'CENTRO','STO ANTÔNIO POSSE','SP',6324,218,NULL,NULL,NULL,NULL,NULL,4,1),(28,7296703,5.00,7.00,2.00,5.00,5.00,9.38,4.00,8.00,4.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',4263,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7296720,4.00,5.00,2.00,7.00,5.00,7.13,1.00,3.00,3.00,451,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',15913,35,NULL,NULL,NULL,NULL,NULL,2,1),(28,7296738,1.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,421,NULL,425,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7296746,2.00,4.00,2.00,1.00,4.00,6.38,4.00,4.00,1.00,225,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19587,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7296754,3.00,0.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(28,7296762,3.00,7.00,2.00,6.00,8.00,8.25,2.00,5.00,4.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',7291,74,NULL,NULL,NULL,NULL,NULL,4,1),(28,7296789,5.00,6.00,5.00,6.00,7.00,8.25,6.00,5.00,6.00,202,NULL,653,'VILA OPERÁRIA','ITAJAÍ','SC',2592,73,NULL,NULL,NULL,NULL,NULL,4,6),(28,7296797,0.00,7.00,1.00,3.00,9.00,6.75,1.00,5.00,5.00,319,NULL,NULL,'CENTRO','TIJUCAS','SC',8621,145,NULL,NULL,NULL,NULL,NULL,2,1),(28,7296800,5.00,7.00,4.00,6.00,9.00,9.00,2.00,5.00,7.00,104,NULL,NULL,'KOBRASOL','S JOSÉ','SC',3640,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7296819,0.00,3.00,2.00,1.00,3.00,9.38,0.00,3.00,2.00,103,NULL,NULL,'POÇO RICO','OTACÍLIO COSTA','SC',19889,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7296827,3.00,6.00,3.00,6.00,5.00,9.75,2.00,6.00,3.00,415,NULL,NULL,'CASA PRETA','JI-PARANÁ','RO',13029,212,NULL,NULL,NULL,NULL,NULL,4,1),(28,7296835,0.00,4.00,3.00,2.00,5.00,NULL,2.00,4.00,3.00,220,NULL,202,'INTERIOR','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7296851,2.00,5.00,2.00,7.00,10.00,11.25,3.00,6.00,6.00,340,NULL,NULL,'CENTRO','ITAJAÍ','SC',3470,82,NULL,NULL,NULL,NULL,NULL,4,6),(28,7296860,0.00,7.00,1.00,6.00,8.00,NULL,1.00,5.00,4.00,203,NULL,214,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7296878,0.00,6.00,2.00,5.00,4.00,NULL,4.00,4.00,1.00,302,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7296886,0.00,1.00,0.00,5.00,4.00,NULL,1.00,5.00,1.00,999,NULL,NULL,'XV DE NOVEMBRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7296894,5.00,6.00,3.00,5.00,5.00,9.38,2.00,4.00,2.00,101,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',12398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7296916,3.00,5.00,2.00,4.00,5.00,6.38,3.00,4.00,4.00,216,NULL,212,'ARISTOCRATA','S JOSÉ PINHAIS','PR',9096,291,NULL,273,NULL,NULL,NULL,4,8),(28,7296924,4.00,5.00,4.00,2.00,3.00,7.13,2.00,5.00,1.00,203,NULL,202,'SANTA TERESA','ITAPIRANGA','SC',12473,595,NULL,308,NULL,NULL,NULL,4,27),(28,7296932,5.00,0.00,4.00,4.00,3.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7296940,2.00,4.00,1.00,5.00,8.00,7.13,2.00,7.00,2.00,340,NULL,NULL,'ALPHAVILLE','LONDRINA','PR',11904,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7296967,5.00,7.00,2.00,6.00,8.00,7.88,4.00,5.00,6.00,201,NULL,233,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',4452,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7296975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'PARZIANELLO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7296983,3.00,8.00,4.00,5.00,6.00,6.00,5.00,4.00,5.00,203,NULL,213,'KOBRASOL','S JOSÉ','SC',8154,NULL,NULL,144,NULL,NULL,NULL,4,1),(28,7296991,0.00,3.00,2.00,5.00,3.00,6.00,1.00,3.00,2.00,213,NULL,235,'RUI BARBOSA','CEL FREITAS','SC',19899,287,NULL,296,NULL,NULL,NULL,2,4),(28,7297009,4.00,5.00,0.00,4.00,8.00,NULL,4.00,5.00,6.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7297017,0.00,7.00,2.00,6.00,4.00,8.25,1.00,6.00,1.00,304,NULL,NULL,'MONTE CASTELO','TUBARÃO','SC',15164,109,NULL,NULL,NULL,NULL,NULL,2,10),(28,7297025,5.00,4.00,1.00,6.00,9.00,9.00,3.00,6.00,6.00,201,NULL,216,'KOBRASOL','S JOSÉ','SC',4521,348,NULL,173,NULL,NULL,NULL,4,1),(28,7297033,2.00,6.00,4.00,5.00,7.00,9.00,4.00,5.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8878,155,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,652,'TABULEIRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7297068,0.00,3.00,2.00,5.00,2.00,NULL,0.00,4.00,2.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297076,6.00,8.00,2.00,7.00,9.00,9.75,4.00,7.00,6.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',1379,702,NULL,NULL,NULL,NULL,NULL,4,8),(28,7297084,2.00,6.00,0.00,7.00,4.00,6.75,2.00,6.00,2.00,207,NULL,201,'CENTRO','CÂNDIDO MOTA','SP',10705,494,NULL,706,NULL,NULL,NULL,2,1),(28,7297092,1.00,4.00,2.00,4.00,2.00,NULL,4.00,3.00,1.00,326,NULL,NULL,'BELA VISTA','CASCA','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297106,4.00,8.00,5.00,7.00,9.00,9.00,6.00,5.00,7.00,233,NULL,214,'ESTREITO','FLORIANÓPOLIS','SC',1321,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297114,3.00,5.00,3.00,7.00,4.00,8.63,4.00,5.00,4.00,214,NULL,212,'BOSQUE DAS MANSÕES','S JOSÉ','SC',12920,299,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297122,6.00,8.00,0.00,8.00,9.00,12.00,3.00,7.00,2.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',5913,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7297130,0.00,4.00,0.00,0.00,1.00,NULL,2.00,1.00,3.00,207,NULL,201,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297149,1.00,3.00,2.00,3.00,5.00,6.00,1.00,4.00,1.00,208,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',17718,194,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297157,3.00,7.00,2.00,7.00,6.00,8.63,3.00,5.00,2.00,999,NULL,NULL,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7297165,6.00,8.00,2.00,7.00,9.00,7.50,5.00,6.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2069,3,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297181,1.00,2.00,1.00,6.00,4.00,6.75,2.00,2.00,0.00,551,NULL,NULL,'PRESIDENTE VARGAS','IÇARA','SC',19944,66,NULL,NULL,NULL,NULL,NULL,2,5),(28,7297190,0.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,207,NULL,211,'SANTA TEREZA BAIXA','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(28,7297203,7.00,8.00,4.00,5.00,8.00,12.00,4.00,5.00,7.00,103,NULL,NULL,'PAROLIN','CURITIBA','PR',2282,957,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297211,4.00,6.00,4.00,4.00,4.00,8.25,1.00,2.00,2.00,108,NULL,NULL,'CACHIMBO','CONCÓRDIA','SC',13040,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7297220,5.00,7.00,2.00,6.00,6.00,7.50,4.00,5.00,7.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',4390,1403,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297238,3.00,5.00,2.00,7.00,9.00,7.50,1.00,6.00,2.00,415,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',14234,229,NULL,NULL,NULL,NULL,NULL,2,4),(28,7297246,2.00,4.00,2.00,2.00,2.00,NULL,0.00,3.00,0.00,215,NULL,211,'CACHIMBO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7297254,1.00,7.00,0.00,2.00,4.00,4.50,2.00,3.00,2.00,201,NULL,207,'HUMAITA DE CIMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7297262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CHAC SANTO ANTONIO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7297270,3.00,5.00,2.00,7.00,4.00,4.88,2.00,5.00,5.00,202,NULL,201,'SAO SEBASTIAO','PALHOÇA','SC',15325,351,NULL,918,NULL,NULL,NULL,4,1),(28,7297289,5.00,8.00,5.00,7.00,9.00,13.50,3.00,7.00,5.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2396,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297297,3.00,8.00,1.00,5.00,7.00,10.50,0.00,6.00,6.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',9335,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7297300,1.00,7.00,1.00,5.00,7.00,12.75,2.00,6.00,5.00,999,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7297319,1.00,4.00,5.00,0.00,1.00,NULL,3.00,2.00,2.00,301,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7297335,0.00,0.00,3.00,5.00,7.00,6.00,3.00,1.00,2.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7297343,6.00,5.00,3.00,5.00,8.00,9.00,3.00,4.00,1.00,215,NULL,207,'CENTRO DE SÃO JOSÉ','S JOSÉ','SC',11420,196,NULL,524,NULL,NULL,NULL,2,1),(28,7297351,2.00,4.00,2.00,5.00,5.00,8.25,2.00,5.00,3.00,454,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',13109,265,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297360,0.00,4.00,2.00,4.00,5.00,NULL,1.00,3.00,3.00,999,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7297378,5.00,5.00,0.00,6.00,5.00,7.50,1.00,6.00,6.00,103,NULL,NULL,'SANTA TEREZINHA','PATO BRANCO','PR',8188,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7297386,7.00,8.00,4.00,7.00,8.00,7.88,5.00,8.00,6.00,203,NULL,233,'FUNDOS','BIGUAÇU','SC',1021,98,NULL,13,NULL,NULL,NULL,2,1),(28,7297394,0.00,4.00,2.00,4.00,4.00,NULL,0.00,4.00,0.00,426,NULL,429,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297408,4.00,6.00,2.00,5.00,5.00,9.00,3.00,5.00,3.00,203,NULL,NULL,'SÃO BERNARDO','TUBARÃO','SC',7571,458,NULL,NULL,NULL,NULL,NULL,4,10),(28,7297416,1.00,4.00,3.00,5.00,5.00,7.88,1.00,4.00,1.00,201,NULL,212,'SAGUAÇU','JOINVILLE','SC',18404,NULL,NULL,413,NULL,NULL,NULL,4,8),(28,7297424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','MANGUEIRINHA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7297432,2.00,1.00,0.00,0.00,2.00,NULL,1.00,3.00,2.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7297475,1.00,7.00,2.00,4.00,8.00,9.00,2.00,6.00,3.00,234,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15297,43,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297483,1.00,6.00,0.00,7.00,7.00,NULL,2.00,3.00,3.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297491,0.00,2.00,4.00,4.00,5.00,7.50,1.00,2.00,1.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',18302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297505,3.00,6.00,0.00,5.00,3.00,7.88,2.00,4.00,2.00,425,NULL,423,'SANTO ANTÔNIO','JOINVILLE','SC',13447,44,NULL,13,NULL,NULL,NULL,4,8),(28,7297513,1.00,5.00,4.00,4.00,6.00,8.25,5.00,5.00,3.00,207,NULL,601,'INGLESES','FLORIANÓPOLIS','SC',10195,NULL,NULL,287,NULL,NULL,NULL,4,1),(28,7297521,1.00,6.00,3.00,6.00,6.00,10.13,2.00,4.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14691,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297530,3.00,5.00,3.00,5.00,4.00,4.88,1.00,3.00,3.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',18900,279,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297548,2.00,6.00,4.00,2.00,8.00,7.88,4.00,5.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7877,210,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297556,1.00,5.00,5.00,2.00,3.00,6.00,3.00,3.00,3.00,601,NULL,201,'ITINGA','JOINVILLE','SC',14227,423,NULL,873,NULL,NULL,NULL,4,8),(28,7297580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'TABULEIRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7297599,5.00,7.00,5.00,4.00,10.00,11.63,6.00,7.00,6.00,216,NULL,215,'JARDIM AMÉRICA','RIO SUL','SC',1294,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7297610,1.00,6.00,2.00,1.00,7.00,10.50,2.00,6.00,4.00,103,NULL,NULL,'TRINTA E UM DE MARÇO','S JOSÉ CAMPOS','SP',8614,1964,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297629,6.00,7.00,3.00,6.00,6.00,9.38,6.00,5.00,6.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',2039,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297637,2.00,6.00,4.00,7.00,7.00,9.75,6.00,7.00,5.00,222,NULL,NULL,'JARDIM CIDADE FPOLIS','S JOSÉ','SC',2464,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297645,2.00,6.00,1.00,2.00,5.00,9.38,2.00,1.00,2.00,316,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',14340,181,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297661,1.00,5.00,4.00,4.00,6.00,10.13,1.00,5.00,2.00,5,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',11414,329,NULL,NULL,NULL,NULL,NULL,4,8),(28,7297670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'RODEIO GRANDE','MTE CASTELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7297688,6.00,5.00,3.00,7.00,6.00,7.50,3.00,6.00,6.00,207,NULL,212,'TRINDADE','FLORIANÓPOLIS','SC',6895,322,NULL,215,NULL,NULL,NULL,3,1),(28,7297696,2.00,7.00,3.00,3.00,9.00,10.88,5.00,4.00,3.00,415,NULL,NULL,'LANGUIRU','TEUTÔNIA','RS',5255,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297700,0.00,5.00,0.00,3.00,9.00,NULL,4.00,5.00,3.00,211,NULL,216,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297718,3.00,5.00,0.00,5.00,6.00,6.00,1.00,4.00,2.00,309,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',14091,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297726,0.00,3.00,0.00,6.00,3.00,7.88,1.00,3.00,2.00,427,NULL,424,'COQUEIROS','FLORIANÓPOLIS','SC',19767,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297734,2.00,6.00,3.00,6.00,9.00,9.38,2.00,7.00,5.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4616,65,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297742,5.00,7.00,3.00,5.00,4.00,6.38,4.00,3.00,4.00,308,NULL,NULL,'PAES LEME','IMBITUBA','SC',15168,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297750,5.00,5.00,2.00,7.00,8.00,10.50,3.00,6.00,3.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',4681,160,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297769,2.00,5.00,3.00,3.00,3.00,5.25,1.00,3.00,3.00,454,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',16639,338,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297777,6.00,7.00,6.00,6.00,8.00,10.50,6.00,7.00,8.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',401,286,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297785,0.00,5.00,0.00,5.00,3.00,6.00,0.00,3.00,2.00,308,NULL,NULL,'VILA ALVORADA','IMBITUBA','SC',19977,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7297793,3.00,4.00,3.00,2.00,6.00,8.25,1.00,5.00,2.00,215,NULL,211,'RIO MAINA','CRICIÚMA','SC',17046,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7297807,2.00,8.00,4.00,6.00,7.00,10.13,3.00,6.00,4.00,303,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',5007,231,NULL,NULL,NULL,NULL,NULL,4,3),(28,7297823,6.00,7.00,3.00,7.00,8.00,7.13,4.00,8.00,7.00,220,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',1562,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297831,0.00,2.00,0.00,3.00,2.00,NULL,0.00,2.00,1.00,552,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297858,0.00,5.00,4.00,2.00,6.00,NULL,3.00,3.00,0.00,103,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7297866,0.00,4.00,2.00,3.00,2.00,NULL,2.00,4.00,2.00,336,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297874,0.00,5.00,3.00,2.00,2.00,NULL,3.00,4.00,0.00,5,NULL,NULL,'PROGRESSO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297882,3.00,8.00,4.00,5.00,7.00,9.75,5.00,7.00,5.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3043,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297890,1.00,3.00,2.00,5.00,5.00,5.63,2.00,3.00,2.00,238,NULL,211,'INGLESES','FLORIANÓPOLIS','SC',19613,338,NULL,NULL,NULL,NULL,NULL,2,1),(28,7297904,4.00,7.00,2.00,4.00,7.00,9.75,4.00,5.00,5.00,211,NULL,213,'AGRONÔMICA','FLORIANÓPOLIS','SC',5895,153,NULL,97,NULL,NULL,NULL,4,1),(28,7297920,0.00,3.00,3.00,6.00,3.00,7.50,1.00,3.00,1.00,103,NULL,NULL,'QUINTINO','TIMBÓ','SC',19522,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7297939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7297947,0.00,3.00,4.00,5.00,6.00,NULL,2.00,1.00,1.00,303,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7297955,0.00,5.00,1.00,0.00,3.00,NULL,1.00,3.00,1.00,201,NULL,203,'OLARIA','ARMAZÉM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7297971,6.00,6.00,2.00,5.00,7.00,6.38,3.00,2.00,6.00,104,NULL,NULL,'CENTRO','DIVINOLÂNDIA','SP',6759,152,NULL,NULL,NULL,NULL,NULL,4,1),(28,7297980,2.00,5.00,1.00,6.00,3.00,3.00,0.00,3.00,1.00,423,NULL,428,'SÃO FELIPE','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7297998,3.00,5.00,1.00,5.00,3.00,7.13,1.00,1.00,1.00,103,NULL,NULL,'CENTRO','TEFÉ','AM',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298005,5.00,8.00,4.00,7.00,8.00,9.38,4.00,6.00,4.00,304,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',3707,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298013,2.00,3.00,2.00,4.00,3.00,6.75,3.00,4.00,0.00,104,NULL,NULL,'PROGRESSO','S LOURENÇO OESTE','SC',16070,395,NULL,NULL,NULL,NULL,NULL,4,4),(28,7298021,0.00,2.00,0.00,3.00,3.00,NULL,0.00,1.00,3.00,9,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298048,1.00,4.00,3.00,6.00,5.00,10.13,1.00,6.00,3.00,451,NULL,NULL,'VILA ALVORADA','IMBITUBA','SC',11170,20,NULL,NULL,NULL,NULL,NULL,2,10),(28,7298072,5.00,5.00,1.00,6.00,8.00,8.25,2.00,3.00,4.00,316,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',13865,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298099,1.00,4.00,2.00,6.00,3.00,6.38,4.00,2.00,3.00,201,NULL,203,'SANTA CATARINA','S LOURENÇO OESTE','SC',14932,908,NULL,643,NULL,NULL,NULL,2,4),(28,7298110,1.00,4.00,2.00,2.00,6.00,0.00,3.00,4.00,2.00,339,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298129,8.00,8.00,2.00,7.00,10.00,8.63,5.00,6.00,6.00,103,NULL,NULL,'JARDIM MAGNÓLIA','MTE STO MINAS','MG',960,534,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298137,5.00,5.00,3.00,7.00,6.00,7.13,3.00,5.00,4.00,454,NULL,NULL,'AREIAS','TIJUCAS','SC',7391,120,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298145,2.00,7.00,3.00,5.00,6.00,7.50,2.00,3.00,2.00,5,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',10700,314,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298153,4.00,7.00,1.00,5.00,7.00,7.13,4.00,4.00,2.00,340,NULL,NULL,'MEDITERRANEO','LONDRINA','PR',7302,197,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298161,2.00,7.00,3.00,5.00,7.00,7.88,4.00,5.00,6.00,212,NULL,211,'BARREIROS','S JOSÉ','SC',6680,206,NULL,186,NULL,NULL,NULL,4,1),(28,7298170,0.00,1.00,2.00,1.00,2.00,NULL,2.00,2.00,0.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7298188,4.00,8.00,2.00,6.00,10.00,11.63,5.00,7.00,7.00,103,NULL,NULL,'VILA INDEPENDENCIA','LIMEIRA','SP',654,411,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298196,2.00,3.00,3.00,2.00,4.00,5.25,1.00,2.00,1.00,653,NULL,655,'LAGOÃO','ARARANGUÁ','SC',19828,219,NULL,140,NULL,NULL,NULL,4,15),(28,7298218,6.00,8.00,2.00,8.00,6.00,9.00,5.00,7.00,5.00,103,NULL,NULL,'ALTO SÃO BENTO','ITAPEMA','SC',3597,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7298226,5.00,6.00,3.00,7.00,5.00,7.88,4.00,4.00,4.00,103,NULL,NULL,'CENTRO','RIBAS R PARDO','MS',11008,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298234,1.00,4.00,1.00,3.00,5.00,8.25,1.00,5.00,2.00,444,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',15265,84,NULL,NULL,NULL,NULL,NULL,2,3),(28,7298242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'ALTO ARÍRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7298250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'VILA ELVIRA','S JOSÉ R PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7298269,1.00,7.00,2.00,7.00,5.00,9.00,1.00,3.00,3.00,220,NULL,653,'MEDIANEIRA','CAXIAS SUL','RS',10200,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7298285,8.00,8.00,3.00,7.00,7.00,9.00,4.00,7.00,7.00,999,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7298293,1.00,7.00,2.00,4.00,6.00,6.00,5.00,3.00,4.00,207,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',13592,610,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298307,3.00,4.00,0.00,5.00,8.00,8.63,2.00,3.00,3.00,303,NULL,NULL,'JARDIM CIDAD','S JOSÉ','SC',12303,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298315,1.00,3.00,2.00,3.00,3.00,6.00,3.00,5.00,2.00,309,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18169,51,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298323,6.00,8.00,4.00,6.00,6.00,9.00,6.00,6.00,5.00,238,NULL,653,'ITACORUBI','FLORIANÓPOLIS','SC',1826,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298331,2.00,3.00,3.00,5.00,4.00,9.00,0.00,5.00,2.00,102,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',15790,145,NULL,NULL,NULL,NULL,NULL,2,10),(28,7298340,2.00,6.00,3.00,3.00,4.00,7.88,0.00,5.00,2.00,216,NULL,203,'MORADA DO SOL','MARAVILHA','SC',18756,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7298358,1.00,5.00,0.00,3.00,1.00,NULL,2.00,3.00,1.00,653,NULL,655,'PARAGUAI','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7298366,2.00,5.00,1.00,5.00,2.00,NULL,3.00,1.00,2.00,238,NULL,235,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7298374,4.00,7.00,3.00,5.00,2.00,NULL,3.00,3.00,4.00,201,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7298382,2.00,5.00,4.00,5.00,6.00,4.50,2.00,3.00,3.00,309,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',16111,34,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298390,0.00,5.00,1.00,4.00,5.00,6.75,2.00,2.00,2.00,316,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',16188,215,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298404,2.00,5.00,3.00,6.00,6.00,9.00,2.00,6.00,3.00,340,NULL,NULL,'FORTALEZA','BLUMENAU','SC',12298,338,NULL,NULL,NULL,NULL,NULL,4,2),(28,7298412,3.00,7.00,3.00,7.00,10.00,7.88,4.00,7.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3273,148,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298420,0.00,3.00,2.00,5.00,6.00,NULL,0.00,5.00,3.00,335,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298439,2.00,6.00,1.00,5.00,5.00,10.13,2.00,7.00,3.00,301,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',13130,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298447,7.00,9.00,9.00,7.00,9.00,8.25,5.00,5.00,6.00,220,NULL,202,'RECREIO DOS CAFEZAIS','VALINHOS','SP',893,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298455,2.00,2.00,3.00,5.00,3.00,6.38,0.00,1.00,2.00,339,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298463,2.00,7.00,1.00,7.00,7.00,7.88,3.00,4.00,2.00,999,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7298471,1.00,3.00,1.00,4.00,2.00,NULL,0.00,5.00,0.00,653,NULL,201,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7298480,4.00,6.00,2.00,5.00,7.00,7.50,3.00,6.00,5.00,238,NULL,213,'CAMPINAS','S JOSÉ','SC',6613,74,NULL,111,NULL,NULL,NULL,4,1),(28,7298498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','LUÍS E MAGALHÃES','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7298501,4.00,4.00,2.00,6.00,2.00,NULL,2.00,4.00,3.00,207,NULL,201,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298510,3.00,3.00,1.00,2.00,5.00,7.13,2.00,3.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298536,3.00,8.00,3.00,5.00,9.00,4.50,3.00,6.00,3.00,203,NULL,214,'AGRONÔMICA','FLORIANÓPOLIS','SC',11769,579,NULL,283,NULL,NULL,NULL,2,1),(28,7298544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',1,8),(28,7298552,2.00,6.00,3.00,6.00,2.00,NULL,3.00,3.00,4.00,304,NULL,NULL,'SÃO JOAQUIM','VINHEDO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298579,2.00,4.00,3.00,6.00,5.00,7.50,5.00,5.00,6.00,201,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12758,818,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298595,3.00,5.00,0.00,2.00,6.00,6.38,1.00,5.00,4.00,207,NULL,203,'CANTA GALO','RIO SUL','SC',14702,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7298617,1.00,1.00,1.00,4.00,5.00,7.50,3.00,0.00,3.00,3,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',19811,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298625,2.00,6.00,1.00,6.00,6.00,6.38,3.00,5.00,2.00,501,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',16600,101,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298633,4.00,5.00,3.00,4.00,7.00,6.38,1.00,4.00,2.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7298650,2.00,5.00,3.00,7.00,6.00,7.88,2.00,4.00,3.00,454,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',14854,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7298668,1.00,5.00,2.00,6.00,4.00,8.63,1.00,6.00,1.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298692,1.00,4.00,2.00,7.00,7.00,8.63,0.00,3.00,3.00,207,NULL,211,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',11106,513,NULL,292,NULL,NULL,NULL,2,1),(28,7298706,1.00,5.00,1.00,3.00,4.00,6.75,1.00,3.00,2.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SAUDE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7298722,0.00,3.00,2.00,0.00,3.00,6.38,4.00,4.00,3.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298730,5.00,6.00,4.00,5.00,7.00,7.50,5.00,6.00,7.00,103,NULL,NULL,'CENTRO','S MIGUEL IGUAÇU','PR',1944,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7298749,1.00,0.00,2.00,0.00,1.00,NULL,0.00,0.00,0.00,203,NULL,214,'SÃO PEDRO','PTO UNIÃO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(28,7298757,7.00,8.00,6.00,6.00,9.00,12.38,7.00,7.00,8.00,203,NULL,202,'CENTRO','CPO GRANDE','MS',99,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7298781,3.00,2.00,2.00,6.00,4.00,8.25,0.00,5.00,1.00,103,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',19040,2501,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298790,0.00,4.00,1.00,5.00,6.00,4.50,2.00,3.00,3.00,308,NULL,NULL,'CENTRO','S JOSÉ','SC',16062,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298811,2.00,3.00,1.00,6.00,5.00,7.50,2.00,3.00,3.00,309,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298820,1.00,8.00,3.00,7.00,7.00,9.75,3.00,6.00,3.00,425,NULL,426,'PERPÉTUO SOCORRO','S LOURENÇO OESTE','SC',5695,8,NULL,NULL,NULL,NULL,NULL,4,4),(28,7298846,2.00,7.00,1.00,7.00,10.00,9.75,4.00,6.00,2.00,213,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',5829,NULL,NULL,53,NULL,NULL,NULL,4,1),(28,7298854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,235,'MIRAGEM','LAURO FREITAS','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7298862,3.00,6.00,2.00,6.00,8.00,9.38,3.00,6.00,5.00,201,NULL,233,'PARQUE AQUARIUS','S JOSÉ CAMPOS','SP',4847,372,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298889,1.00,2.00,2.00,6.00,5.00,7.88,2.00,3.00,2.00,216,NULL,215,'VILA ALBINA','STA ROSA SUL','SC',18841,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7298900,2.00,7.00,1.00,6.00,7.00,6.00,3.00,4.00,2.00,404,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',11221,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7298919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,202,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7298927,1.00,7.00,0.00,5.00,9.00,NULL,0.00,5.00,3.00,454,NULL,NULL,'VILANOVA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298935,2.00,4.00,1.00,3.00,2.00,NULL,3.00,3.00,2.00,216,NULL,211,'PEREIRA ALVES','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7298943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7298951,1.00,7.00,1.00,5.00,5.00,7.88,3.00,4.00,2.00,999,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7298960,2.00,6.00,0.00,7.00,3.00,NULL,2.00,3.00,2.00,340,NULL,NULL,'INDUSTRIAL','NÃO-ME-TOQUE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298978,3.00,8.00,0.00,5.00,5.00,NULL,1.00,5.00,1.00,454,NULL,NULL,'JACARECICA','MACEIÓ','AL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298986,5.00,5.00,4.00,7.00,7.00,10.88,4.00,7.00,5.00,103,NULL,NULL,'JARDIM NOVO MUNDO','GOIÂNIA','GO',1280,668,NULL,NULL,NULL,NULL,NULL,4,1),(28,7298994,4.00,7.00,0.00,7.00,9.00,8.63,2.00,6.00,4.00,207,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9040,417,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299001,2.00,7.00,2.00,6.00,7.00,9.00,5.00,5.00,5.00,103,NULL,NULL,'HAUER','CURITIBA','PR',4437,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7299010,3.00,8.00,4.00,5.00,7.00,8.25,0.00,6.00,4.00,303,NULL,NULL,'LOMBA','ORLEANS','SC',6972,313,NULL,NULL,NULL,NULL,NULL,2,5),(28,7299036,1.00,3.00,1.00,6.00,7.00,7.50,1.00,3.00,1.00,303,NULL,NULL,'PINGUIRITO','GAROPABA','SC',17724,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7299044,5.00,6.00,4.00,6.00,4.00,7.88,4.00,4.00,3.00,225,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12331,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299052,0.00,5.00,4.00,7.00,5.00,7.88,1.00,4.00,4.00,102,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',16139,150,NULL,NULL,NULL,NULL,NULL,4,2),(28,7299060,2.00,5.00,1.00,7.00,4.00,10.50,2.00,4.00,1.00,999,NULL,NULL,'RIO FIORITA','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7299087,6.00,9.00,4.00,6.00,9.00,7.88,4.00,7.00,6.00,201,NULL,233,'STO ANT DE LISBOA','FLORIANÓPOLIS','SC',846,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299095,2.00,1.00,1.00,1.00,4.00,NULL,0.00,3.00,1.00,308,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299117,2.00,6.00,2.00,6.00,8.00,9.38,5.00,6.00,3.00,301,NULL,NULL,'ATIRADORES','JOINVILLE','SC',7239,71,NULL,NULL,NULL,NULL,NULL,4,8),(28,7299125,3.00,6.00,3.00,6.00,6.00,7.50,1.00,6.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15141,411,NULL,NULL,NULL,NULL,NULL,2,1),(28,7299133,1.00,5.00,1.00,5.00,5.00,4.50,3.00,3.00,2.00,552,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7299141,1.00,5.00,2.00,1.00,4.00,5.25,2.00,3.00,1.00,552,NULL,NULL,'VILA NOVA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299150,0.00,0.00,0.00,1.00,1.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(28,7299168,0.00,4.00,0.00,0.00,0.00,NULL,2.00,4.00,1.00,999,NULL,NULL,'CENTRO','AURORA','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,24),(28,7299176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7299184,1.00,4.00,2.00,4.00,3.00,7.88,2.00,3.00,2.00,5,NULL,NULL,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7299206,2.00,4.00,1.00,5.00,6.00,6.00,2.00,4.00,2.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14434,70,NULL,NULL,NULL,NULL,NULL,2,1),(28,7299214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7299222,0.00,7.00,3.00,7.00,8.00,7.88,3.00,7.00,6.00,103,NULL,NULL,'RESENER','PALMITOS','SC',3267,1196,NULL,NULL,NULL,NULL,NULL,2,4),(28,7299230,5.00,6.00,3.00,4.00,4.00,9.75,3.00,4.00,4.00,601,NULL,201,'VILA OPERÁRIA','MARINGÁ','PR',6845,148,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299249,1.00,7.00,0.00,5.00,4.00,NULL,3.00,4.00,4.00,552,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7299257,2.00,7.00,1.00,5.00,4.00,5.25,3.00,6.00,2.00,655,NULL,653,'CENTRO','TUBARÃO','SC',12161,64,NULL,129,NULL,NULL,NULL,4,10),(28,7299265,1.00,2.00,1.00,4.00,3.00,6.38,2.00,2.00,0.00,9,NULL,NULL,'JD JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7299273,0.00,3.00,1.00,4.00,4.00,9.00,2.00,2.00,2.00,5,NULL,NULL,'ESTRELA','S MIGUEL OESTE','SC',16647,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7299281,2.00,3.00,0.00,5.00,5.00,6.38,1.00,4.00,1.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17153,133,NULL,NULL,NULL,NULL,NULL,2,1),(28,7299290,1.00,7.00,2.00,5.00,4.00,6.00,2.00,6.00,3.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299303,4.00,7.00,3.00,5.00,5.00,6.00,5.00,5.00,2.00,3,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',13621,60,NULL,NULL,NULL,NULL,NULL,2,1),(28,7299311,0.00,5.00,0.00,2.00,4.00,NULL,2.00,5.00,2.00,601,NULL,214,'VILA NOVA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7299320,2.00,6.00,1.00,4.00,6.00,9.38,3.00,4.00,2.00,201,NULL,207,'SALETE','S MIGUEL OESTE','SC',10744,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7299338,1.00,4.00,3.00,3.00,3.00,6.38,2.00,5.00,3.00,653,NULL,652,'CENTRO','ARARANGUÁ','SC',19189,204,NULL,98,NULL,NULL,NULL,4,15),(28,7299346,7.00,8.00,1.00,8.00,7.00,10.13,3.00,6.00,3.00,327,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',6944,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299354,0.00,3.00,2.00,1.00,7.00,3.00,2.00,3.00,2.00,426,NULL,NULL,'CRISTO REI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7299370,4.00,8.00,4.00,7.00,9.00,7.88,6.00,8.00,6.00,203,NULL,201,'RIO VERMELHO','FLORIANÓPOLIS','SC',1109,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299400,1.00,6.00,3.00,3.00,6.00,5.25,1.00,2.00,3.00,317,NULL,NULL,'CENTRO','RANCHO QUEIMADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299419,4.00,7.00,1.00,5.00,4.00,5.63,1.00,4.00,4.00,999,NULL,NULL,'CENTRO','CIANORTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299427,3.00,6.00,3.00,6.00,6.00,7.88,6.00,5.00,4.00,601,NULL,652,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',5778,110,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299435,0.00,4.00,2.00,4.00,2.00,NULL,3.00,4.00,2.00,103,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7299443,2.00,5.00,3.00,5.00,4.00,7.88,3.00,5.00,3.00,318,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',11830,83,NULL,NULL,NULL,NULL,NULL,2,1),(28,7299451,2.00,6.00,4.00,6.00,6.00,6.75,3.00,6.00,1.00,601,NULL,202,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',12008,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7299460,0.00,7.00,2.00,4.00,3.00,7.50,2.00,4.00,1.00,207,NULL,203,'ARMAÇAO','FLORIANÓPOLIS','SC',14071,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299486,1.00,4.00,2.00,5.00,3.00,8.63,2.00,4.00,2.00,215,NULL,216,'CENTRO','ERECHIM','RS',14243,238,NULL,389,NULL,NULL,NULL,2,7),(28,7299508,2.00,5.00,2.00,3.00,5.00,8.25,3.00,3.00,2.00,207,NULL,202,'AGRONÔMICA','FLORIANÓPOLIS','SC',14778,655,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7299524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,214,'SÃO CRISTOVÃO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7299532,0.00,2.00,3.00,3.00,5.00,NULL,2.00,2.00,1.00,235,NULL,213,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299540,3.00,6.00,1.00,7.00,10.00,8.63,0.00,5.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8240,135,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299559,1.00,3.00,2.00,1.00,1.00,NULL,0.00,2.00,0.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299567,1.00,4.00,1.00,6.00,4.00,6.38,2.00,3.00,0.00,211,NULL,207,'CANASVIEIRAS','FLORIANÓPOLIS','SC',17780,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7299575,6.00,9.00,2.00,6.00,7.00,9.00,3.00,8.00,6.00,103,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',3243,1191,NULL,NULL,NULL,NULL,NULL,2,1),(28,7299583,0.00,2.00,1.00,3.00,3.00,5.63,0.00,2.00,2.00,551,NULL,NULL,'SÃO LUIS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7299591,3.00,7.00,2.00,6.00,5.00,9.38,3.00,4.00,0.00,444,NULL,NULL,'ARMAÇAO','FLORIANÓPOLIS','SC',9276,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7299605,1.00,5.00,1.00,7.00,5.00,7.13,1.00,6.00,3.00,233,NULL,215,'CAMPECHE','FLORIANÓPOLIS','SC',12489,277,NULL,210,NULL,NULL,NULL,4,1),(28,7299613,4.00,6.00,2.00,7.00,8.00,9.75,4.00,7.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3451,47,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299621,4.00,5.00,4.00,6.00,6.00,8.25,5.00,4.00,5.00,9,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',6923,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299648,1.00,4.00,5.00,5.00,2.00,NULL,3.00,6.00,3.00,425,NULL,423,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7299656,2.00,1.00,2.00,2.00,5.00,6.75,2.00,3.00,2.00,216,NULL,213,'CIDADE ALTA','SALTO VELOSO','SC',19912,456,NULL,288,NULL,NULL,NULL,4,7),(28,7299664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'LAGOA DOS ESTEVES','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7299680,8.00,9.00,4.00,6.00,7.00,10.50,6.00,7.00,5.00,211,NULL,212,'SANTA MÔNICA','FLORIANÓPOLIS','SC',784,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299702,5.00,9.00,4.00,7.00,10.00,8.25,6.00,7.00,7.00,207,NULL,201,'PRADO','BIGUAÇU','SC',818,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7299729,3.00,3.00,4.00,7.00,6.00,8.63,1.00,5.00,5.00,203,NULL,216,'VILA OPERÁRIA','ITAJAÍ','SC',10022,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7299737,1.00,2.00,4.00,4.00,6.00,5.25,2.00,3.00,2.00,601,NULL,238,'FÁTIMA','JOINVILLE','SC',19426,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7299745,2.00,5.00,3.00,1.00,0.00,NULL,2.00,6.00,4.00,501,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7299753,7.00,8.00,5.00,7.00,10.00,7.13,8.00,9.00,6.00,340,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',225,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299761,2.00,7.00,2.00,6.00,6.00,8.25,0.00,5.00,2.00,110,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',16265,79,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299796,3.00,6.00,1.00,5.00,6.00,9.75,1.00,2.00,3.00,304,NULL,NULL,'MICHEL','CRICIÚMA','SC',11303,83,NULL,NULL,NULL,NULL,NULL,4,5),(28,7299800,5.00,5.00,4.00,5.00,4.00,6.38,2.00,5.00,3.00,451,NULL,NULL,'JARDIM GISELA','TOLEDO','PR',12054,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299818,0.00,5.00,1.00,5.00,5.00,8.25,1.00,6.00,1.00,454,NULL,NULL,'LOMBA','ORLEANS','SC',12910,257,NULL,NULL,NULL,NULL,NULL,2,5),(28,7299826,2.00,7.00,2.00,6.00,5.00,6.38,3.00,4.00,4.00,316,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',11850,124,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7299850,2.00,5.00,4.00,4.00,1.00,NULL,3.00,3.00,4.00,230,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7299869,1.00,5.00,1.00,4.00,4.00,7.50,2.00,4.00,3.00,426,NULL,429,'SÃO LUIZ','S JOSÉ','SC',15233,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7299877,3.00,8.00,1.00,7.00,9.00,8.25,1.00,6.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299885,6.00,8.00,2.00,7.00,3.00,6.75,2.00,6.00,3.00,999,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7299893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7299907,2.00,5.00,3.00,7.00,3.00,4.50,2.00,4.00,0.00,303,NULL,NULL,'CENTRO','LAGES','SC',16156,550,NULL,NULL,NULL,NULL,NULL,4,9),(28,7299915,2.00,4.00,1.00,3.00,4.00,5.25,2.00,1.00,2.00,444,NULL,NULL,'CENTRO','S JOSÉ','SC',17920,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299923,5.00,6.00,2.00,6.00,8.00,6.00,2.00,7.00,2.00,212,NULL,601,'ROCADO','S JOSÉ','SC',8282,253,NULL,201,NULL,NULL,NULL,4,1),(28,7299940,2.00,6.00,1.00,6.00,5.00,7.13,5.00,4.00,3.00,9,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7299958,1.00,5.00,1.00,6.00,3.00,9.38,2.00,2.00,2.00,238,NULL,215,'PRADO','BIGUAÇU','SC',16382,286,NULL,263,NULL,NULL,NULL,2,1),(28,7299966,7.00,9.00,2.00,5.00,6.00,12.00,4.00,6.00,7.00,103,NULL,NULL,'RANCHO ALEGRE','CAMPINA G SUL','PR',1478,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7299982,1.00,7.00,1.00,6.00,6.00,NULL,2.00,7.00,0.00,207,NULL,NULL,'PROGRESSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7299990,7.00,8.00,2.00,7.00,8.00,7.88,7.00,6.00,6.00,208,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',1918,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7300000,1.00,5.00,2.00,3.00,4.00,6.38,3.00,4.00,2.00,303,NULL,NULL,'BADENFURT','BLUMENAU','SC',17019,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7300026,4.00,6.00,2.00,7.00,6.00,10.50,3.00,4.00,4.00,340,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',9212,256,NULL,NULL,NULL,NULL,NULL,4,1),(28,7300034,4.00,7.00,3.00,7.00,7.00,9.38,4.00,7.00,3.00,333,NULL,NULL,'BAIRRO DAS NAÇÕES','TIMBÓ','SC',6478,35,NULL,NULL,NULL,NULL,NULL,2,2),(28,7300042,6.00,9.00,5.00,6.00,8.00,12.00,3.00,8.00,4.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',1079,589,NULL,NULL,NULL,NULL,NULL,4,8),(28,7300050,4.00,8.00,3.00,6.00,8.00,9.00,2.00,7.00,4.00,327,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',3080,4,NULL,NULL,NULL,NULL,NULL,4,6),(28,7300069,2.00,5.00,0.00,4.00,6.00,7.50,1.00,6.00,5.00,999,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7300077,0.00,2.00,2.00,2.00,4.00,5.25,1.00,2.00,3.00,319,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7300085,2.00,8.00,2.00,7.00,6.00,NULL,0.00,7.00,1.00,103,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7300107,0.00,3.00,3.00,2.00,4.00,4.50,3.00,2.00,2.00,207,NULL,201,'VILA FORMOSA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7300115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7300123,1.00,3.00,2.00,5.00,5.00,6.38,0.00,2.00,3.00,309,NULL,NULL,'PAGARÁ','STO AMARO IMPERATRIZ','SC',19507,68,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300131,2.00,6.00,1.00,4.00,3.00,9.75,1.00,6.00,3.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16842,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7300158,5.00,9.00,3.00,6.00,9.00,11.25,3.00,8.00,7.00,103,NULL,NULL,'MARGEM ESQUERDA','GASPAR','SC',1712,808,NULL,NULL,NULL,NULL,NULL,4,2),(28,7300166,0.00,6.00,0.00,6.00,6.00,NULL,0.00,5.00,2.00,5,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7300174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CASTELO BRANCO','JÚLIO CASTILHOS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7300182,6.00,6.00,2.00,6.00,7.00,9.75,4.00,6.00,7.00,104,NULL,NULL,'SÃO FELIPE','TURVO','SC',2057,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300190,2.00,6.00,1.00,6.00,6.00,7.88,5.00,5.00,3.00,317,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',14782,100,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300204,2.00,5.00,3.00,5.00,4.00,6.75,3.00,5.00,3.00,331,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',13352,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300212,1.00,0.00,1.00,4.00,2.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'DOS ESTADOS','INDAIAL','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,2,2),(28,7300220,0.00,4.00,2.00,1.00,6.00,NULL,0.00,1.00,2.00,501,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300239,5.00,7.00,1.00,6.00,7.00,8.25,3.00,5.00,5.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',9605,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7300247,0.00,6.00,1.00,4.00,4.00,8.25,1.00,6.00,2.00,339,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18716,55,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300255,4.00,6.00,0.00,6.00,5.00,6.75,3.00,4.00,2.00,207,NULL,201,'ZONA NORTE','IA SOLTEIRA','SP',9295,430,NULL,643,NULL,NULL,NULL,4,1),(28,7300263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,214,'ITOUPAVAZINHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7300271,4.00,4.00,3.00,6.00,4.00,8.25,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',10292,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7300280,4.00,7.00,2.00,5.00,9.00,6.75,3.00,5.00,4.00,110,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10357,30,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300298,4.00,4.00,2.00,3.00,4.00,8.25,2.00,2.00,4.00,9,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',14480,105,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7300310,5.00,7.00,3.00,7.00,9.00,10.13,3.00,6.00,5.00,103,NULL,NULL,'BELA VISTA','S JOSÉ','SC',1952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7300328,2.00,5.00,3.00,4.00,4.00,4.88,3.00,5.00,3.00,303,NULL,NULL,'PACHECOS','PALHOÇA','SC',13755,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7300336,2.00,3.00,1.00,4.00,5.00,9.38,2.00,4.00,1.00,103,NULL,NULL,'DOS MUNICIPIOS','CAÇADOR','SC',13357,2276,NULL,NULL,NULL,NULL,NULL,4,25),(28,7300344,0.00,7.00,2.00,3.00,3.00,7.88,3.00,4.00,1.00,999,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7300352,8.00,8.00,5.00,7.00,9.00,8.25,4.00,8.00,6.00,303,NULL,NULL,'NEVA','CASCAVEL','PR',525,16,NULL,NULL,NULL,NULL,NULL,4,4),(28,7300360,1.00,4.00,2.00,6.00,6.00,6.75,3.00,3.00,2.00,302,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',14486,94,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300379,1.00,3.00,3.00,2.00,2.00,NULL,0.00,2.00,1.00,102,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,441,NULL,NULL,'PICADAS DO NORTE','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7300409,1.00,4.00,0.00,6.00,3.00,8.25,0.00,3.00,2.00,102,NULL,NULL,'QUINTINO','TIMBÓ','SC',16895,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7300417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'PRESIDENTE MÉDICE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7300425,0.00,2.00,2.00,3.00,3.00,NULL,0.00,2.00,3.00,454,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300433,8.00,8.00,7.00,7.00,10.00,11.63,8.00,7.00,8.00,220,NULL,201,'SETOR JARDIM GOIÁS','GOIÂNIA','GO',14,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7300450,4.00,6.00,1.00,6.00,5.00,9.00,4.00,7.00,5.00,318,NULL,NULL,'CANTO','S JOSÉ','SC',6730,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7300468,1.00,2.00,3.00,5.00,2.00,NULL,1.00,5.00,1.00,421,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',5,1),(28,7300476,3.00,4.00,2.00,4.00,5.00,10.88,3.00,5.00,2.00,103,NULL,NULL,'VILA BANCÁRIA','CPO LARGO','PR',15784,2391,NULL,NULL,NULL,NULL,NULL,2,8),(28,7300484,3.00,7.00,3.00,6.00,9.00,8.63,4.00,7.00,3.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',4769,NULL,NULL,NULL,NULL,NULL,NULL,3,8),(28,7300492,2.00,4.00,3.00,6.00,5.00,10.13,4.00,3.00,3.00,999,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7300506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','ITÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,26),(28,7300514,1.00,4.00,2.00,5.00,8.00,8.25,2.00,4.00,3.00,207,NULL,201,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',11116,515,NULL,728,NULL,NULL,NULL,4,1),(28,7300522,5.00,8.00,1.00,3.00,8.00,9.00,2.00,6.00,3.00,201,NULL,211,'CAMPECHE','FLORIANÓPOLIS','SC',7205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7300530,6.00,7.00,3.00,7.00,7.00,7.50,4.00,6.00,6.00,220,NULL,601,'PRAIA COMPRIDA','S JOSÉ','SC',3902,114,NULL,61,NULL,NULL,NULL,4,1),(28,7300549,1.00,5.00,3.00,5.00,7.00,9.00,1.00,4.00,3.00,207,NULL,233,'CENTRO','LAGES','SC',12421,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7300557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7300573,2.00,4.00,3.00,4.00,5.00,7.50,2.00,3.00,1.00,426,NULL,428,'CASTELO BRANCO','XANXERÊ','SC',14627,21,NULL,NULL,NULL,NULL,NULL,4,4),(28,7300581,2.00,5.00,1.00,6.00,6.00,9.00,2.00,4.00,1.00,104,NULL,NULL,'SÃO MARTINHO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7300590,0.00,3.00,2.00,2.00,3.00,NULL,2.00,5.00,2.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7300603,2.00,8.00,5.00,6.00,6.00,6.00,5.00,6.00,3.00,211,NULL,215,'COQUEIROS','FLORIANÓPOLIS','SC',5574,142,NULL,82,NULL,NULL,NULL,2,1),(28,7300611,5.00,7.00,0.00,5.00,5.00,9.00,5.00,8.00,6.00,233,NULL,220,'JARDIM ATLANTICO','S JOSÉ','SC',4380,116,NULL,127,NULL,NULL,NULL,4,1),(28,7300620,2.00,6.00,1.00,5.00,7.00,9.00,3.00,7.00,2.00,103,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',7638,1846,NULL,NULL,NULL,NULL,NULL,2,8),(28,7300654,3.00,7.00,3.00,6.00,7.00,8.25,3.00,6.00,3.00,216,NULL,207,'CENTRO','FRANCISCO BELTRÃO','PR',5534,207,NULL,NULL,NULL,NULL,NULL,4,4),(28,7300662,4.00,5.00,2.00,6.00,6.00,6.75,2.00,7.00,1.00,203,NULL,202,'PRIMEIRO DE MAIO','IÇARA','SC',16309,663,NULL,366,NULL,NULL,NULL,4,5),(28,7300670,2.00,5.00,1.00,5.00,5.00,9.75,4.00,5.00,2.00,318,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',10317,67,NULL,NULL,NULL,NULL,NULL,4,1),(28,7300700,3.00,5.00,3.00,6.00,5.00,6.38,2.00,4.00,3.00,425,NULL,423,'N SRA DO ROSARIO','S JOSÉ','SC',17125,62,NULL,25,NULL,NULL,NULL,4,1),(28,7300719,0.00,1.00,2.00,3.00,5.00,3.00,3.00,3.00,1.00,203,NULL,220,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300727,4.00,8.00,3.00,4.00,8.00,6.75,6.00,6.00,7.00,203,NULL,214,'JARDIM DO SOL','CAMPINAS','SP',2917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7300735,1.00,2.00,2.00,4.00,6.00,NULL,0.00,3.00,1.00,317,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300751,1.00,7.00,1.00,8.00,6.00,9.38,4.00,7.00,3.00,304,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10097,73,NULL,NULL,NULL,NULL,NULL,3,1),(28,7300760,1.00,4.00,1.00,3.00,4.00,6.38,2.00,4.00,3.00,103,NULL,NULL,'SETE DE SETEMBRO','GASPAR','SC',15868,2395,NULL,NULL,NULL,NULL,NULL,2,2),(28,7300786,5.00,8.00,5.00,6.00,8.00,12.00,5.00,6.00,6.00,203,NULL,220,'PILARZINHO','CURITIBA','PR',886,NULL,NULL,19,NULL,NULL,NULL,4,8),(28,7300808,0.00,2.00,3.00,4.00,5.00,6.75,3.00,4.00,4.00,316,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',16864,233,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300816,4.00,7.00,1.00,6.00,9.00,13.13,3.00,6.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4942,35,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300832,5.00,9.00,4.00,6.00,6.00,9.75,2.00,4.00,4.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4921,1481,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300859,2.00,5.00,2.00,7.00,5.00,7.13,1.00,4.00,0.00,303,NULL,NULL,'SÃO CRISTÓVÃO','CONCÓRDIA','SC',14123,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7300875,1.00,4.00,1.00,2.00,5.00,7.50,3.00,4.00,2.00,207,NULL,201,'SÃO JOÃO','ITAJAÍ','SC',16142,703,NULL,940,NULL,NULL,NULL,4,6),(28,7300905,4.00,7.00,1.00,6.00,7.00,9.00,2.00,6.00,4.00,999,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300913,1.00,6.00,4.00,5.00,4.00,7.50,4.00,6.00,4.00,103,NULL,NULL,'SÃO SEBASTIÃO','CAMPOS NOVOS','SC',9383,2027,NULL,NULL,NULL,NULL,NULL,4,6),(28,7300921,1.00,4.00,0.00,4.00,5.00,NULL,1.00,2.00,2.00,308,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JUVEVÊ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7300948,6.00,5.00,3.00,5.00,8.00,8.25,3.00,6.00,3.00,201,NULL,207,'JOSÉ MENDES','FLORIANÓPOLIS','SC',6638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7300964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7300972,0.00,6.00,1.00,5.00,5.00,NULL,3.00,4.00,3.00,104,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7300980,7.00,8.00,5.00,7.00,9.00,12.38,8.00,9.00,7.00,103,NULL,NULL,'FAMA','GOIÂNIA','GO',39,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301014,2.00,8.00,1.00,7.00,4.00,9.75,1.00,4.00,1.00,233,NULL,216,'MORROTES','TUBARÃO','SC',11804,267,NULL,348,NULL,NULL,NULL,4,10),(28,7301022,0.00,5.00,2.00,7.00,7.00,6.00,2.00,5.00,4.00,104,NULL,NULL,'RIO MORTO','INDAIAL','SC',10374,249,NULL,NULL,NULL,NULL,NULL,4,2),(28,7301049,2.00,2.00,3.00,1.00,2.00,NULL,0.00,2.00,1.00,201,NULL,211,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301065,0.00,7.00,3.00,7.00,9.00,10.88,4.00,6.00,6.00,103,NULL,NULL,'JUNDIAI','ANÁPOLIS','GO',2519,1027,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301073,0.00,4.00,3.00,5.00,5.00,NULL,2.00,7.00,3.00,201,NULL,212,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301090,2.00,5.00,5.00,6.00,7.00,7.13,4.00,5.00,7.00,444,NULL,NULL,'KOBRASOL','S JOSÉ','SC',7819,17,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301103,4.00,4.00,2.00,5.00,4.00,7.50,3.00,3.00,1.00,103,NULL,NULL,'ÁGUAS MORNAS','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301111,1.00,4.00,1.00,4.00,4.00,5.63,3.00,6.00,5.00,340,NULL,NULL,'SANTANA','S PAULO','SP',13901,370,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301120,4.00,7.00,2.00,6.00,8.00,7.88,6.00,5.00,5.00,207,NULL,201,'JOÃO PAULO','FLORIANÓPOLIS','SC',5605,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301138,3.00,6.00,4.00,6.00,7.00,9.38,4.00,6.00,5.00,415,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',5986,92,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301146,1.00,7.00,3.00,6.00,3.00,7.13,3.00,5.00,3.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301154,0.00,2.00,1.00,1.00,3.00,3.00,0.00,3.00,1.00,308,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301162,0.00,5.00,2.00,6.00,3.00,8.25,3.00,4.00,3.00,220,NULL,203,'CENTRO','HERVAL D OESTE','SC',17730,332,NULL,NULL,NULL,NULL,NULL,4,7),(28,7301170,1.00,2.00,2.00,2.00,7.00,8.25,2.00,2.00,2.00,301,NULL,NULL,'CENTRO','BRUSQUE','SC',19317,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7301189,3.00,5.00,1.00,5.00,4.00,9.38,2.00,3.00,3.00,212,NULL,NULL,'JARDIM DAS FLORES','OSASCO','SP',11041,320,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301197,3.00,2.00,1.00,6.00,5.00,7.88,0.00,1.00,2.00,503,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19605,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'AREIAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,22),(28,7301219,5.00,6.00,4.00,7.00,5.00,7.50,4.00,4.00,5.00,201,NULL,220,'CENTRO','PTO ALEGRE','RS',5176,399,NULL,154,NULL,NULL,NULL,2,9),(28,7301227,1.00,6.00,2.00,6.00,4.00,9.75,4.00,6.00,4.00,222,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',8902,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301235,0.00,6.00,1.00,6.00,6.00,8.25,4.00,5.00,2.00,201,NULL,207,'VELHA','BLUMENAU','SC',15691,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7301243,3.00,7.00,0.00,6.00,6.00,8.25,2.00,7.00,4.00,103,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',8460,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7301251,2.00,7.00,3.00,6.00,8.00,5.25,4.00,6.00,4.00,103,NULL,NULL,'BELA VISTA','S JOSÉ','SC',6313,1677,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301278,0.00,7.00,3.00,4.00,7.00,6.38,3.00,6.00,4.00,220,NULL,203,'ZONA','UMUARAMA','PR',11469,269,NULL,569,NULL,NULL,NULL,4,8),(28,7301286,5.00,8.00,3.00,7.00,9.00,8.25,4.00,6.00,3.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3012,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301308,1.00,2.00,4.00,2.00,4.00,4.88,1.00,3.00,1.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CENTRO','ARMAZÉM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7301324,2.00,6.00,3.00,6.00,7.00,8.63,4.00,4.00,2.00,201,NULL,207,'AGRONOMICA','FLORIANÓPOLIS','SC',7189,534,NULL,338,NULL,NULL,NULL,2,1),(28,7301332,0.00,3.00,0.00,0.00,0.00,NULL,1.00,4.00,2.00,207,NULL,213,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301340,0.00,4.00,0.00,4.00,6.00,NULL,1.00,2.00,1.00,454,NULL,NULL,'SANTOS DUMONTT','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301359,3.00,4.00,3.00,7.00,4.00,7.88,0.00,3.00,1.00,601,NULL,216,'VILA NOVA','JOINVILLE','SC',15400,453,NULL,405,NULL,NULL,NULL,4,8),(28,7301367,1.00,5.00,1.00,5.00,6.00,6.00,2.00,2.00,1.00,9,NULL,NULL,'NAZARÉ','BELÉM','PA',17713,140,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7301391,1.00,2.00,2.00,7.00,6.00,9.75,3.00,3.00,2.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18196,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301405,0.00,4.00,0.00,2.00,4.00,NULL,1.00,3.00,1.00,9,NULL,NULL,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'LAGOINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7301421,2.00,5.00,3.00,6.00,0.00,NULL,3.00,4.00,4.00,501,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7301430,1.00,6.00,1.00,3.00,3.00,9.00,0.00,6.00,2.00,238,NULL,235,'AGRONÔMICA','FLORIANÓPOLIS','SC',18691,326,NULL,285,NULL,NULL,NULL,5,1),(28,7301448,3.00,7.00,2.00,6.00,8.00,7.50,3.00,6.00,5.00,454,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',6815,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301456,2.00,8.00,2.00,7.00,7.00,10.13,2.00,6.00,2.00,318,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10114,64,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301464,1.00,3.00,1.00,3.00,2.00,NULL,0.00,4.00,3.00,552,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PAIOL GRANDE','S BENTO SAPUCAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7301480,2.00,6.00,1.00,5.00,6.00,7.50,5.00,6.00,2.00,220,NULL,238,'SÃO SEBASTIÃO','PALHOÇA','SC',14383,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301499,3.00,7.00,1.00,6.00,8.00,9.38,3.00,6.00,4.00,454,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5156,68,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301502,5.00,7.00,3.00,7.00,9.00,13.13,6.00,7.00,7.00,203,NULL,233,'COQUEIROS','FLORIANÓPOLIS','SC',448,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301510,2.00,3.00,3.00,5.00,8.00,8.25,5.00,3.00,4.00,216,NULL,215,'CENTRO','S JOSÉ PINHAIS','PR',8652,NULL,NULL,150,NULL,NULL,NULL,2,24),(28,7301529,2.00,6.00,1.00,6.00,2.00,NULL,1.00,5.00,2.00,415,NULL,NULL,'JARDIM BOTÂNICO','VÁRZEA GRANDE','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301537,3.00,7.00,1.00,7.00,8.00,8.25,3.00,5.00,4.00,202,NULL,235,'PICADAS DO SUL','S JOSÉ','SC',6832,185,NULL,117,NULL,NULL,NULL,4,1),(28,7301553,3.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,0.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301588,3.00,5.00,2.00,6.00,6.00,8.25,1.00,2.00,2.00,207,NULL,201,'CENTRO','CRICIÚMA','SC',12203,553,NULL,784,NULL,NULL,NULL,2,5),(28,7301596,2.00,4.00,2.00,5.00,4.00,4.88,5.00,3.00,3.00,304,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18708,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301600,2.00,7.00,4.00,5.00,8.00,7.88,3.00,4.00,2.00,104,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9464,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301618,1.00,1.00,2.00,2.00,4.00,NULL,0.00,3.00,1.00,450,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,215,'MANSÕES SANTO ANTONI','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7301634,3.00,5.00,1.00,5.00,1.00,NULL,3.00,4.00,3.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301642,1.00,2.00,0.00,0.00,2.00,NULL,1.00,1.00,1.00,340,NULL,NULL,'BEIRAMAR','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301650,0.00,6.00,3.00,7.00,6.00,NULL,4.00,7.00,3.00,425,NULL,423,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301669,2.00,5.00,2.00,6.00,6.00,9.38,4.00,6.00,3.00,331,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9349,15,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301677,2.00,5.00,2.00,5.00,4.00,7.50,1.00,7.00,2.00,208,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'VILA ROSA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7301693,2.00,4.00,2.00,1.00,7.00,6.00,1.00,1.00,2.00,429,NULL,425,'PONTE DO IMARUIM','PALHOÇA','SC',16455,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7301715,4.00,8.00,5.00,7.00,10.00,12.75,5.00,8.00,7.00,201,NULL,207,'CENTRO','OURO','SC',381,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301740,6.00,6.00,4.00,3.00,8.00,8.63,4.00,4.00,4.00,208,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',5339,36,NULL,NULL,NULL,NULL,NULL,4,3),(28,7301758,0.00,3.00,3.00,2.00,4.00,9.00,4.00,3.00,2.00,340,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7301766,1.00,4.00,3.00,2.00,4.00,5.63,1.00,1.00,2.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',20041,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301774,0.00,5.00,2.00,2.00,5.00,NULL,0.00,6.00,2.00,110,NULL,NULL,'NOVA BELÉM','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301782,4.00,8.00,1.00,6.00,4.00,7.13,4.00,6.00,3.00,208,NULL,NULL,'MULDE','TIMBÓ','SC',12232,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7301804,2.00,4.00,2.00,5.00,6.00,7.88,2.00,6.00,2.00,304,NULL,NULL,'SANTO ANTONIO','HERVAL D OESTE','SC',16597,118,NULL,NULL,NULL,NULL,NULL,2,7),(28,7301812,0.00,2.00,2.00,5.00,2.00,NULL,3.00,3.00,1.00,202,NULL,NULL,'PATRIA NOVA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301820,1.00,7.00,0.00,4.00,6.00,7.88,2.00,5.00,0.00,415,NULL,NULL,'COLONIAL','S BENTO SUL','SC',13312,215,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301839,2.00,6.00,1.00,7.00,9.00,9.75,4.00,7.00,7.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',2970,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301847,3.00,8.00,2.00,7.00,8.00,8.63,5.00,5.00,5.00,201,NULL,212,'FLORESTA','S JOSÉ','SC',7690,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7301863,0.00,3.00,2.00,4.00,6.00,6.75,3.00,4.00,1.00,101,NULL,NULL,'FREITAS','PAULO LOPES','SC',16076,100,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301871,4.00,8.00,1.00,6.00,9.00,8.63,4.00,7.00,5.00,336,NULL,NULL,'SÃO PEDRO','BELO HORIZONTE','MG',2374,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,601,'SANTO ANTONIO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7301901,2.00,3.00,0.00,1.00,5.00,9.75,2.00,4.00,4.00,216,NULL,211,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7301936,2.00,3.00,2.00,2.00,5.00,4.50,0.00,3.00,1.00,454,NULL,NULL,'AREIAS DO CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301952,1.00,2.00,1.00,3.00,5.00,NULL,3.00,5.00,1.00,201,NULL,601,'PROGRESSO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(28,7301960,5.00,8.00,5.00,6.00,10.00,8.63,7.00,8.00,6.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',423,300,NULL,NULL,NULL,NULL,NULL,4,1),(28,7301987,0.00,6.00,0.00,6.00,2.00,NULL,0.00,4.00,3.00,235,NULL,238,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7301995,4.00,7.00,3.00,5.00,5.00,7.88,2.00,4.00,3.00,601,NULL,201,'IRIRIU','JOINVILLE','SC',11052,314,NULL,NULL,NULL,NULL,NULL,4,8),(28,7302010,4.00,7.00,2.00,6.00,6.00,7.88,5.00,6.00,5.00,340,NULL,NULL,'FREI ROGÉRIO','LAGES','SC',4539,109,NULL,NULL,NULL,NULL,NULL,4,9),(28,7302037,1.00,8.00,3.00,7.00,7.00,5.63,3.00,7.00,3.00,999,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7302045,0.00,4.00,1.00,6.00,5.00,7.13,1.00,3.00,1.00,5,NULL,NULL,'MIRANTE','ITÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7302053,3.00,2.00,1.00,6.00,1.00,NULL,3.00,3.00,2.00,207,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7302096,2.00,5.00,4.00,6.00,4.00,7.50,0.00,3.00,2.00,336,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',15537,79,NULL,NULL,NULL,NULL,NULL,2,1),(28,7302100,1.00,6.00,0.00,7.00,7.00,10.50,0.00,3.00,2.00,340,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',10547,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7302118,3.00,6.00,1.00,5.00,6.00,10.13,1.00,3.00,0.00,999,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7302126,2.00,5.00,1.00,3.00,5.00,7.50,2.00,4.00,2.00,214,NULL,213,'VARGEM GRANDE','ÁGUAS MORNAS','SC',14533,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7302134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'VILA CLAÚDIA','ASSIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7302150,3.00,5.00,1.00,6.00,6.00,7.13,2.00,3.00,3.00,215,NULL,207,'SERRARIA','S JOSÉ','SC',12648,216,NULL,NULL,NULL,NULL,NULL,2,1),(28,7302169,3.00,7.00,4.00,5.00,6.00,6.75,4.00,5.00,3.00,654,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',13511,33,NULL,NULL,NULL,NULL,NULL,2,5),(28,7302185,6.00,7.00,1.00,6.00,9.00,10.13,3.00,7.00,2.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7460,330,NULL,NULL,NULL,NULL,NULL,4,1),(28,7302193,6.00,8.00,4.00,6.00,9.00,8.25,6.00,6.00,7.00,201,NULL,207,'ANITA GARIBALDI','JOINVILLE','SC',1429,84,NULL,38,NULL,NULL,NULL,4,8),(28,7302207,4.00,4.00,2.00,5.00,10.00,13.50,4.00,6.00,7.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2887,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7302231,2.00,6.00,3.00,5.00,8.00,8.63,2.00,5.00,3.00,201,NULL,653,'SÃO BERNARDO','TUBARÃO','SC',7092,528,NULL,77,NULL,NULL,NULL,2,10),(28,7302240,1.00,7.00,0.00,3.00,5.00,6.00,1.00,7.00,2.00,238,NULL,202,'FORQUILHAS','S JOSÉ','SC',13416,220,NULL,320,NULL,NULL,NULL,4,1),(28,7302258,1.00,3.00,2.00,6.00,5.00,NULL,0.00,4.00,2.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7302266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7302274,5.00,8.00,2.00,7.00,6.00,9.00,4.00,5.00,2.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',10501,2108,NULL,NULL,NULL,NULL,NULL,4,2),(28,7302290,3.00,6.00,4.00,5.00,8.00,7.13,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','LAURO MÜLLER','SC',7880,1882,NULL,NULL,NULL,NULL,NULL,2,5),(28,7302304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,235,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7302312,0.00,0.00,2.00,2.00,1.00,NULL,1.00,1.00,2.00,108,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7302339,6.00,7.00,3.00,6.00,9.00,8.25,5.00,8.00,3.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',2287,958,NULL,NULL,NULL,NULL,NULL,4,2),(28,7302347,0.00,6.00,3.00,6.00,4.00,9.75,2.00,3.00,2.00,319,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',14900,291,NULL,NULL,NULL,NULL,NULL,2,1),(28,7302355,3.00,3.00,0.00,2.00,3.00,5.25,0.00,4.00,1.00,404,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',18937,65,NULL,NULL,NULL,NULL,NULL,2,1),(28,7302363,5.00,7.00,3.00,6.00,8.00,7.50,5.00,6.00,4.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',4914,164,NULL,NULL,NULL,NULL,NULL,2,1),(28,7302398,2.00,8.00,1.00,7.00,8.00,12.00,4.00,5.00,5.00,451,NULL,NULL,'JAQUELINE','IÇARA','SC',3727,3,NULL,NULL,NULL,NULL,NULL,4,5),(28,7302401,3.00,5.00,2.00,7.00,6.00,7.13,5.00,5.00,3.00,203,NULL,214,'CAPOEIRAS','FLORIANÓPOLIS','SC',13438,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7302410,2.00,7.00,3.00,4.00,3.00,5.25,3.00,4.00,2.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',14415,206,NULL,NULL,NULL,NULL,NULL,4,1),(28,7302428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA LUZIA','ABELARDO LUZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7302436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7302444,3.00,5.00,2.00,7.00,7.00,4.88,1.00,3.00,2.00,203,NULL,207,'SANTINHO','FLORIANÓPOLIS','SC',14790,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7302452,1.00,7.00,2.00,7.00,7.00,4.88,1.00,5.00,3.00,502,NULL,NULL,'RECREIO','RIO JANEIRO','RJ',9091,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7302460,6.00,7.00,2.00,7.00,8.00,4.88,4.00,7.00,7.00,203,NULL,216,'CORREGO GRANDE','FLORIANÓPOLIS','SC',3698,271,NULL,139,NULL,NULL,NULL,4,1),(28,7302487,1.00,4.00,3.00,4.00,5.00,7.13,1.00,3.00,4.00,999,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7302495,3.00,4.00,3.00,6.00,4.00,7.88,3.00,4.00,3.00,303,NULL,NULL,'BELA VISTA','S LUDGERO','SC',13440,500,NULL,NULL,NULL,NULL,NULL,2,10),(28,7302509,1.00,4.00,2.00,6.00,3.00,0.00,1.00,4.00,3.00,238,NULL,203,'SANTA AUGUSTA','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7302517,1.00,6.00,1.00,7.00,5.00,4.50,0.00,4.00,4.00,340,NULL,NULL,'JARDINS','ARACAJU','SE',17447,413,NULL,NULL,NULL,NULL,NULL,4,1),(28,7302533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARIA ISMENIA','COLATINA','ES',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7302550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SCHRAMM','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7302568,6.00,9.00,1.00,6.00,10.00,10.13,5.00,7.00,6.00,203,NULL,214,'CENTRO','PRES GETÚLIO','SC',2228,180,NULL,79,NULL,NULL,NULL,4,24),(28,7302576,3.00,6.00,1.00,5.00,7.00,8.25,2.00,6.00,4.00,211,NULL,215,'LAGOA','FLORIANÓPOLIS','SC',9007,241,NULL,157,NULL,NULL,NULL,4,1),(28,7302584,1.00,6.00,2.00,5.00,5.00,8.63,3.00,5.00,1.00,207,NULL,NULL,'CENTRO','CRICIÚMA','SC',16730,721,NULL,NULL,NULL,NULL,NULL,4,5),(28,7302614,2.00,3.00,2.00,3.00,8.00,7.88,3.00,4.00,4.00,308,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',13560,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7302622,0.00,3.00,1.00,1.00,2.00,NULL,1.00,4.00,3.00,502,NULL,NULL,'JARDIM SANTIAGO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7302630,0.00,1.00,3.00,6.00,5.00,6.75,3.00,3.00,4.00,9,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',13282,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7302649,2.00,7.00,2.00,3.00,9.00,9.00,4.00,5.00,6.00,102,NULL,NULL,'KM UM','LAURO MÜLLER','SC',8857,68,NULL,NULL,NULL,NULL,NULL,4,5),(28,7302657,0.00,5.00,1.00,2.00,4.00,NULL,2.00,4.00,1.00,551,NULL,NULL,'CENTRO','S CRISTÓVÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7302665,0.00,4.00,2.00,5.00,4.00,9.75,1.00,4.00,2.00,103,NULL,NULL,'NAZARÉ','CONCÓRDIA','SC',19114,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7302673,2.00,6.00,2.00,5.00,5.00,6.38,3.00,5.00,5.00,404,NULL,NULL,'PACHECOS','PALHOÇA','SC',11220,8,NULL,NULL,NULL,NULL,NULL,2,1),(28,7302681,0.00,1.00,1.00,1.00,3.00,7.50,1.00,2.00,2.00,316,NULL,NULL,'JARDIM ALEXANDER','RIO SUL','SC',20141,290,NULL,NULL,NULL,NULL,NULL,2,24),(28,7302690,1.00,4.00,2.00,5.00,4.00,8.63,1.00,2.00,3.00,215,NULL,216,'CENTRO','BAL CAMBORIÚ','SC',16446,264,NULL,NULL,NULL,NULL,NULL,2,3),(28,7302703,3.00,6.00,2.00,4.00,5.00,9.38,1.00,5.00,0.00,999,NULL,NULL,'PALHOÇA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7302711,3.00,7.00,2.00,6.00,5.00,7.50,3.00,5.00,2.00,203,NULL,201,'SÃO CRISTOVÃO','LAGES','SC',9712,527,NULL,NULL,NULL,NULL,NULL,4,9),(28,7302746,3.00,6.00,2.00,7.00,5.00,10.13,5.00,6.00,6.00,211,NULL,215,'LAGOA','FLORIANÓPOLIS','SC',8451,228,NULL,144,NULL,NULL,NULL,4,1),(28,7302754,0.00,7.00,2.00,6.00,8.00,NULL,2.00,3.00,3.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7302762,1.00,4.00,2.00,3.00,4.00,6.75,1.00,5.00,2.00,303,NULL,NULL,'DAS NAÇÕES','BAL CAMBORIÚ','SC',17076,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7302789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'SESI','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7302797,1.00,4.00,0.00,1.00,5.00,7.88,3.00,4.00,3.00,652,NULL,655,'MATO ALTO','ARARANGUÁ','SC',16055,65,NULL,NULL,NULL,NULL,NULL,4,15),(28,7302800,2.00,5.00,4.00,5.00,3.00,NULL,0.00,2.00,4.00,999,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7302819,2.00,7.00,3.00,7.00,6.00,8.25,5.00,6.00,4.00,201,NULL,655,'CENTRO','PIRATUBA','SC',6833,NULL,NULL,21,NULL,NULL,NULL,2,26),(28,7302827,3.00,8.00,1.00,4.00,5.00,9.38,0.00,8.00,2.00,329,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14518,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7302843,2.00,5.00,1.00,1.00,1.00,NULL,3.00,4.00,2.00,213,NULL,214,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7302851,2.00,6.00,5.00,6.00,7.00,9.75,3.00,6.00,4.00,5,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',9006,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7302860,0.00,2.00,1.00,5.00,3.00,6.38,1.00,4.00,2.00,501,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7302894,0.00,4.00,1.00,4.00,2.00,NULL,1.00,4.00,0.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7302908,3.00,7.00,2.00,7.00,8.00,8.63,2.00,6.00,2.00,319,NULL,NULL,'CENTRO','S JOAQUIM','SC',11457,210,NULL,NULL,NULL,NULL,NULL,4,9),(28,7302916,5.00,7.00,2.00,4.00,5.00,7.13,3.00,8.00,7.00,103,NULL,NULL,'VILA MATILDE','S PAULO','SP',3674,1267,NULL,NULL,NULL,NULL,NULL,4,1),(28,7302932,4.00,7.00,3.00,6.00,9.00,11.25,7.00,7.00,6.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2038,895,NULL,NULL,NULL,NULL,NULL,4,1),(28,7302940,4.00,7.00,4.00,6.00,6.00,8.63,4.00,6.00,4.00,207,NULL,233,'NAÇÕES','TIMBÓ','SC',4177,170,NULL,110,NULL,NULL,NULL,4,2),(28,7302959,0.00,3.00,2.00,2.00,5.00,6.38,3.00,4.00,3.00,654,NULL,NULL,'CENTRO','ARARANGUÁ','SC',16604,61,NULL,NULL,NULL,NULL,NULL,4,15),(28,7302967,1.00,6.00,1.00,1.00,3.00,6.75,2.00,3.00,3.00,426,NULL,428,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',16984,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7302975,5.00,6.00,1.00,7.00,8.00,10.50,4.00,5.00,4.00,319,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',4805,68,NULL,NULL,NULL,NULL,NULL,2,1),(28,7302983,2.00,6.00,2.00,1.00,4.00,8.25,3.00,5.00,2.00,110,NULL,NULL,'DAS DAMAS','URUSSANGA','SC',14931,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7302991,1.00,5.00,0.00,5.00,5.00,6.38,4.00,7.00,4.00,317,NULL,NULL,'COLONIA SANTA LUZIA','STO AMARO IMPERATRIZ','SC',12603,67,NULL,NULL,NULL,NULL,NULL,2,1),(28,7303009,5.00,7.00,2.00,6.00,8.00,9.75,4.00,5.00,4.00,103,NULL,NULL,'MANSÕES SANTOANTÔNIO','CAMPINAS','SP',4164,1357,NULL,NULL,NULL,NULL,NULL,4,1),(28,7303017,5.00,7.00,0.00,7.00,6.00,6.38,4.00,6.00,2.00,225,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',13004,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7303025,0.00,4.00,2.00,5.00,4.00,6.38,3.00,6.00,3.00,208,NULL,NULL,'AREIAS','S JOSÉ','SC',17861,196,NULL,NULL,NULL,NULL,NULL,2,1),(28,7303033,2.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'BUDAG','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,24),(28,7303041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7303050,2.00,3.00,3.00,5.00,4.00,8.25,2.00,4.00,4.00,999,NULL,NULL,'CAPUTERA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7303068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7303076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA RAU','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7303084,2.00,6.00,4.00,5.00,4.00,9.75,1.00,4.00,3.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',10003,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7303092,0.00,5.00,5.00,2.00,7.00,NULL,0.00,3.00,1.00,104,NULL,NULL,'CORRIDAS','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7303106,0.00,5.00,1.00,4.00,3.00,NULL,1.00,3.00,3.00,3,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7303114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,601,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7303130,8.00,8.00,7.00,7.00,9.00,7.88,6.00,7.00,7.00,216,NULL,203,'CANASVIEIRAS','FLORIANÓPOLIS','SC',366,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7303149,0.00,6.00,3.00,5.00,6.00,6.75,2.00,5.00,2.00,318,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7303157,1.00,5.00,1.00,5.00,1.00,NULL,1.00,4.00,2.00,201,NULL,211,'CORRIDAS','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7303165,1.00,4.00,1.00,4.00,1.00,NULL,1.00,4.00,1.00,444,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7303173,2.00,7.00,3.00,5.00,9.00,9.00,4.00,7.00,3.00,201,NULL,220,'FORQUILHAS','S JOSÉ','SC',5157,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7303181,0.00,4.00,3.00,4.00,5.00,7.13,2.00,4.00,2.00,222,NULL,NULL,'AMBRÓSIO','GAROPABA','SC',14807,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7303190,2.00,6.00,0.00,2.00,4.00,7.88,1.00,3.00,3.00,316,NULL,NULL,'IPIRANGA','S JOSÉ','SC',14979,193,NULL,NULL,NULL,NULL,NULL,4,1),(28,7303203,5.00,7.00,2.00,7.00,7.00,8.25,3.00,7.00,4.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',3596,1258,NULL,NULL,NULL,NULL,NULL,2,1),(28,7303211,2.00,5.00,0.00,4.00,5.00,6.75,2.00,3.00,3.00,454,NULL,NULL,'CAPITAIS','TIMBÓ','SC',15029,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7303220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7303238,1.00,2.00,1.00,1.00,4.00,4.50,0.00,4.00,2.00,308,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',19650,94,NULL,NULL,NULL,NULL,NULL,2,1),(28,7303246,4.00,7.00,0.00,2.00,0.00,NULL,3.00,4.00,5.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7303254,3.00,7.00,2.00,4.00,8.00,5.63,2.00,4.00,1.00,601,NULL,201,'VELHA','BLUMENAU','SC',11587,339,NULL,NULL,NULL,NULL,NULL,2,2),(28,7303262,4.00,7.00,6.00,6.00,7.00,8.63,7.00,6.00,7.00,238,NULL,652,'BARREIROS','S JOSÉ','SC',2583,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7303270,0.00,7.00,1.00,7.00,8.00,9.75,3.00,5.00,2.00,202,NULL,207,'ESPERANÇA','LAGUNA','SC',9815,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7303289,3.00,8.00,2.00,6.00,7.00,7.13,2.00,5.00,3.00,201,NULL,213,'CENTRO','BRUSQUE','SC',12837,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7303297,0.00,4.00,2.00,4.00,8.00,7.50,2.00,2.00,2.00,339,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',15047,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7303300,2.00,3.00,0.00,3.00,3.00,6.38,4.00,2.00,2.00,332,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',19864,41,NULL,NULL,NULL,NULL,NULL,2,1),(28,7303319,1.00,3.00,2.00,4.00,3.00,3.00,2.00,1.00,3.00,653,NULL,652,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7303335,1.00,5.00,1.00,4.00,3.00,8.63,1.00,4.00,2.00,340,NULL,NULL,'BEIRA RIO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7303378,0.00,5.00,0.00,1.00,2.00,NULL,2.00,5.00,2.00,301,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7303386,5.00,8.00,3.00,6.00,6.00,9.75,3.00,6.00,7.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',3591,1257,NULL,NULL,NULL,NULL,NULL,4,2),(28,7303408,3.00,7.00,1.00,7.00,5.00,6.00,2.00,4.00,2.00,301,NULL,NULL,'BELA VISTA','S JOSÉ','SC',11406,151,NULL,NULL,NULL,NULL,NULL,2,1),(28,7303424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'SAPIRANGA','MELEIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7303432,1.00,3.00,1.00,3.00,5.00,5.25,2.00,2.00,2.00,108,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7303440,2.00,9.00,3.00,6.00,6.00,8.63,3.00,5.00,2.00,201,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',11119,731,NULL,258,NULL,NULL,NULL,4,1),(28,7303459,2.00,3.00,0.00,2.00,5.00,6.75,2.00,2.00,2.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',17858,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7303467,0.00,0.00,1.00,4.00,1.00,NULL,0.00,1.00,3.00,454,NULL,NULL,'JARDIM ITÁLIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7303475,6.00,8.00,3.00,8.00,10.00,9.75,5.00,7.00,7.00,5,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',686,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7303483,3.00,4.00,2.00,1.00,2.00,NULL,4.00,6.00,3.00,208,NULL,NULL,'AÇUCENA','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7303491,7.00,8.00,6.00,7.00,10.00,11.25,7.00,7.00,7.00,203,NULL,235,'BARRA DO ARIRIÚ','PALHOÇA','SC',271,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7303505,2.00,6.00,2.00,4.00,6.00,6.75,4.00,3.00,2.00,404,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12694,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7303513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7303530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7303548,3.00,6.00,2.00,5.00,4.00,6.75,4.00,6.00,5.00,220,NULL,235,'CENTRO','PERITIBA','SC',8440,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7303564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CAEIRA DO SACO DOS L','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7303572,4.00,7.00,1.00,5.00,5.00,7.50,3.00,7.00,5.00,454,NULL,NULL,'ST ANTONIO DE LISBOA','FLORIANÓPOLIS','SC',9337,172,NULL,NULL,NULL,NULL,NULL,4,1),(28,7303580,4.00,7.00,4.00,5.00,5.00,3.00,3.00,7.00,2.00,220,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7303599,0.00,3.00,2.00,6.00,4.00,7.50,1.00,4.00,0.00,601,NULL,NULL,'RESTINGA','MAFRA','SC',17354,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7303610,1.00,6.00,5.00,6.00,6.00,7.13,4.00,5.00,4.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',7384,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7303637,3.00,7.00,3.00,6.00,6.00,10.50,6.00,6.00,4.00,212,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',7811,239,NULL,199,NULL,NULL,NULL,4,1),(28,7303653,1.00,3.00,3.00,4.00,4.00,6.75,1.00,3.00,2.00,302,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',19609,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7303661,0.00,2.00,2.00,2.00,3.00,8.25,1.00,1.00,5.00,415,NULL,NULL,'CENTRO','LAGUNA','SC',17494,259,NULL,NULL,NULL,NULL,NULL,4,10),(28,7303670,4.00,5.00,3.00,7.00,7.00,10.13,3.00,7.00,3.00,303,NULL,NULL,'CENTRO','JOSÉ BOITEUX','SC',6165,281,NULL,NULL,NULL,NULL,NULL,2,24),(28,7303688,2.00,4.00,3.00,7.00,7.00,7.13,2.00,4.00,3.00,207,NULL,233,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7303696,4.00,6.00,2.00,6.00,7.00,11.25,4.00,7.00,6.00,5,NULL,NULL,'VALPARAÍSO','BLUMENAU','SC',3007,105,NULL,NULL,NULL,NULL,NULL,4,2),(28,7303700,0.00,5.00,1.00,6.00,2.00,NULL,3.00,5.00,2.00,653,NULL,655,'SÃO ROQUE','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(28,7303718,1.00,2.00,1.00,5.00,3.00,9.00,2.00,4.00,1.00,309,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',19751,70,NULL,NULL,NULL,NULL,NULL,2,1),(28,7303726,2.00,4.00,2.00,5.00,6.00,8.63,2.00,5.00,2.00,317,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7303742,3.00,7.00,1.00,6.00,5.00,7.88,2.00,3.00,4.00,109,NULL,NULL,'ROÇADO','S JOSÉ','SC',10037,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7303750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,220,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7303777,3.00,8.00,0.00,3.00,5.00,4.50,4.00,6.00,1.00,202,NULL,655,'SUMARE','RIO SUL','SC',17711,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7303793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CENTRO','AMPÉRE','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7303807,2.00,5.00,3.00,6.00,8.00,7.50,4.00,3.00,3.00,201,NULL,207,'NOVA BRASÍLIA','BRUSQUE','SC',9443,649,NULL,440,NULL,NULL,NULL,4,22),(28,7303815,4.00,6.00,2.00,5.00,7.00,7.88,3.00,4.00,3.00,207,NULL,211,'KOBRASOL','S JOSÉ','SC',8745,404,NULL,236,NULL,NULL,NULL,4,1),(28,7303823,1.00,3.00,2.00,5.00,2.00,NULL,1.00,2.00,3.00,216,NULL,653,'CENTRO','OURO FINO','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7303831,2.00,6.00,3.00,4.00,6.00,9.38,5.00,4.00,4.00,216,NULL,213,'SANTA CATARINA','CRICIÚMA','SC',12904,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7303840,5.00,8.00,3.00,7.00,7.00,8.63,3.00,7.00,4.00,207,NULL,201,'BOTAFOGO','CAMPINAS','SP',4420,186,NULL,NULL,NULL,NULL,NULL,4,1),(28,7303890,1.00,4.00,1.00,6.00,7.00,10.88,3.00,3.00,3.00,9,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',9583,50,NULL,NULL,NULL,NULL,NULL,2,1),(28,7303904,0.00,5.00,0.00,2.00,3.00,7.13,3.00,4.00,2.00,110,NULL,NULL,'SERRARIA','S JOSÉ','SC',19333,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7303912,0.00,5.00,1.00,4.00,2.00,NULL,1.00,4.00,1.00,102,NULL,NULL,'SÃO MARCOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7303920,1.00,4.00,3.00,1.00,2.00,NULL,0.00,2.00,2.00,303,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7303939,3.00,7.00,4.00,4.00,9.00,9.75,2.00,5.00,5.00,211,NULL,213,'MONTE CRISTO','FLORIANÓPOLIS','SC',4463,111,NULL,64,NULL,NULL,NULL,4,1),(28,7303947,4.00,8.00,5.00,8.00,10.00,8.63,4.00,4.00,4.00,216,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',3063,109,NULL,61,NULL,NULL,NULL,4,2),(28,7303955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7303963,3.00,7.00,4.00,7.00,9.00,12.38,6.00,8.00,6.00,201,NULL,212,'RIO BRANCO','PTO ALEGRE','RS',733,30,NULL,NULL,NULL,NULL,NULL,2,1),(28,7303971,4.00,6.00,3.00,6.00,7.00,10.13,6.00,6.00,4.00,501,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',5266,8,NULL,NULL,NULL,NULL,NULL,4,8),(28,7303980,1.00,0.00,1.00,5.00,7.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(28,7303998,4.00,3.00,4.00,3.00,7.00,9.00,1.00,3.00,3.00,302,NULL,NULL,'TRINTA RÉIS','NOVA TRENTO','SC',13133,86,NULL,NULL,NULL,NULL,NULL,2,22),(28,7304005,1.00,6.00,1.00,5.00,8.00,7.13,2.00,4.00,4.00,207,NULL,201,'HUMAITÁ','TUBARÃO','SC',10084,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7304013,3.00,4.00,2.00,6.00,3.00,5.25,3.00,5.00,2.00,999,NULL,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7304030,1.00,3.00,2.00,3.00,4.00,8.25,2.00,3.00,2.00,201,NULL,207,'CENTRO','CUNHA PORÃ','SC',19636,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7304048,4.00,6.00,1.00,8.00,3.00,8.63,3.00,5.00,4.00,238,NULL,235,'BELA VISTA','PALHOÇA','SC',13762,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7304056,4.00,6.00,3.00,7.00,9.00,10.50,4.00,7.00,7.00,999,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7304064,7.00,7.00,2.00,6.00,8.00,8.63,5.00,8.00,6.00,103,NULL,NULL,'SETE DE SETEMBRO','DOIS IRMÃOS','RS',1057,579,NULL,NULL,NULL,NULL,NULL,4,15),(28,7304080,3.00,7.00,1.00,5.00,3.00,7.88,2.00,6.00,2.00,108,NULL,NULL,'CRISTO REI','S LEOPOLDO','RS',17247,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7304099,1.00,4.00,1.00,4.00,7.00,9.00,2.00,3.00,3.00,5,NULL,NULL,'ITAUM','JOINVILLE','SC',13538,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7304102,1.00,3.00,3.00,3.00,4.00,4.88,3.00,2.00,3.00,202,NULL,216,'JARDIM ESTORIL','OURINHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7304110,3.00,5.00,2.00,5.00,5.00,7.88,3.00,3.00,4.00,333,NULL,NULL,'CENTRO','CRICIÚMA','SC',13569,80,NULL,NULL,NULL,NULL,NULL,4,5),(28,7304129,0.00,5.00,5.00,2.00,2.00,NULL,1.00,6.00,4.00,103,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7304137,0.00,2.00,3.00,4.00,2.00,NULL,1.00,1.00,2.00,601,NULL,203,'VILLA CEZAMO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7304145,4.00,5.00,3.00,6.00,7.00,5.25,4.00,6.00,5.00,207,NULL,201,'PIONEIRO','PINHALZINHO','SC',6270,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7304153,2.00,6.00,1.00,6.00,4.00,6.38,1.00,5.00,3.00,308,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',17722,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7304170,2.00,5.00,1.00,5.00,3.00,6.00,2.00,5.00,2.00,601,NULL,652,'CENTRO','PTO BELO','SC',18874,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7304188,3.00,5.00,2.00,6.00,6.00,7.50,2.00,3.00,2.00,424,NULL,423,'ITACORUBI','FLORIANÓPOLIS','SC',10735,7,NULL,NULL,NULL,NULL,NULL,2,1),(28,7304196,1.00,4.00,1.00,5.00,3.00,4.50,1.00,3.00,1.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',17973,762,NULL,990,NULL,NULL,NULL,2,1),(28,7304218,4.00,9.00,2.00,5.00,6.00,9.75,4.00,4.00,6.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',3928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7304226,0.00,2.00,2.00,2.00,3.00,4.88,1.00,2.00,3.00,654,NULL,NULL,'NOVA DIVINÉIA','ARARANGUÁ','SC',19696,79,NULL,NULL,NULL,NULL,NULL,4,15),(28,7304234,4.00,6.00,2.00,4.00,2.00,NULL,2.00,5.00,4.00,211,NULL,215,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7304277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7304285,0.00,4.00,2.00,3.00,6.00,6.75,3.00,4.00,2.00,308,NULL,NULL,'PACHECOS','PALHOÇA','SC',16073,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7304293,3.00,6.00,1.00,7.00,9.00,9.38,6.00,6.00,7.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',3177,1178,NULL,NULL,NULL,NULL,NULL,4,1),(28,7304307,4.00,4.00,3.00,7.00,6.00,7.50,1.00,4.00,3.00,454,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',10935,209,NULL,NULL,NULL,NULL,NULL,2,1),(28,7304323,4.00,4.00,2.00,3.00,6.00,7.13,2.00,4.00,2.00,302,NULL,NULL,'FUNDOS','BIGUAÇU','SC',14657,100,NULL,NULL,NULL,NULL,NULL,4,1),(28,7304331,5.00,7.00,5.00,6.00,8.00,9.75,5.00,6.00,4.00,108,NULL,NULL,'KOBRASOL','S JOSÉ','SC',3984,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7304340,2.00,4.00,1.00,6.00,8.00,9.00,2.00,5.00,5.00,303,NULL,NULL,'BELA VISTA','PALHOÇA','SC',8054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7304366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'JARDIM SOFIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7304374,2.00,6.00,2.00,6.00,5.00,9.00,2.00,4.00,4.00,340,NULL,NULL,'JARDIM ITAIPU','MARÍLIA','SP',11580,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7304390,3.00,3.00,3.00,5.00,6.00,6.00,0.00,3.00,1.00,207,NULL,201,'BOCA DO PIQUE','MELEIRO','SC',16800,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7304404,2.00,6.00,2.00,6.00,10.00,8.25,6.00,4.00,5.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',2932,1120,NULL,NULL,NULL,NULL,NULL,4,1),(28,7304412,3.00,6.00,5.00,6.00,6.00,7.50,3.00,3.00,4.00,203,NULL,235,'CENTRO','CPO MOURÃO','PR',7465,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7304420,4.00,6.00,3.00,6.00,6.00,6.75,5.00,6.00,4.00,110,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',7382,14,NULL,NULL,NULL,NULL,NULL,2,22),(28,7304439,1.00,3.00,2.00,7.00,6.00,7.88,0.00,4.00,3.00,653,NULL,601,'SANTO ANTÔNIO','HERVAL D OESTE','SC',18268,193,NULL,520,NULL,NULL,NULL,2,7),(28,7304447,0.00,2.00,2.00,5.00,6.00,8.63,2.00,4.00,0.00,339,NULL,NULL,'CRAVOEIRA','FLORIANÓPOLIS','SC',19142,59,NULL,NULL,NULL,NULL,NULL,2,1),(28,7304455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'SÃO JOSE','S DOMINGOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7304480,2.00,5.00,4.00,5.00,3.00,7.50,3.00,4.00,2.00,201,NULL,215,'BARREIROS','S JOSÉ','SC',17149,969,NULL,275,NULL,NULL,NULL,2,1),(28,7304498,1.00,7.00,2.00,4.00,7.00,10.50,3.00,3.00,2.00,319,NULL,NULL,'ESTREIRO','FLORIANÓPOLIS','SC',9754,179,NULL,NULL,NULL,NULL,NULL,4,1),(28,7304501,3.00,5.00,4.00,4.00,7.00,7.88,7.00,5.00,4.00,220,NULL,203,'JARDIM DOS PRINCIPES','UMUARAMA','PR',8515,220,NULL,494,NULL,NULL,NULL,4,1),(28,7304528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7304536,0.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,211,NULL,215,'ARAÇA','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(28,7304544,0.00,6.00,0.00,7.00,7.00,6.75,3.00,5.00,4.00,110,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',15749,75,NULL,NULL,NULL,NULL,NULL,4,10),(28,7304552,0.00,3.00,1.00,4.00,6.00,7.88,3.00,2.00,3.00,450,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7304560,3.00,3.00,2.00,4.00,6.00,10.13,0.00,4.00,0.00,309,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',15159,22,NULL,NULL,NULL,NULL,NULL,2,1),(28,7304595,4.00,7.00,2.00,5.00,7.00,9.75,3.00,1.00,3.00,317,NULL,NULL,'JARDIM','S JOSÉ CEDRO','SC',14472,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7304609,0.00,2.00,1.00,6.00,3.00,6.75,2.00,3.00,1.00,102,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',17098,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7304617,0.00,2.00,1.00,4.00,1.00,NULL,1.00,3.00,1.00,404,NULL,NULL,'VÁRZEA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7304625,6.00,9.00,1.00,7.00,8.00,9.00,3.00,6.00,3.00,320,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8310,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7304650,2.00,8.00,0.00,7.00,6.00,12.75,2.00,6.00,5.00,336,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4773,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7304668,1.00,7.00,2.00,5.00,5.00,7.50,1.00,6.00,2.00,503,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',12848,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7304676,0.00,5.00,4.00,6.00,7.00,6.75,2.00,4.00,2.00,213,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',12688,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7304692,1.00,4.00,1.00,3.00,6.00,NULL,0.00,3.00,2.00,451,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7304749,0.00,3.00,0.00,5.00,4.00,NULL,1.00,3.00,0.00,104,NULL,NULL,'NAÇÕES','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7304757,3.00,6.00,1.00,7.00,5.00,NULL,0.00,6.00,5.00,203,NULL,214,'NOVA ESPERANÇA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7304765,0.00,6.00,2.00,4.00,5.00,9.75,2.00,4.00,2.00,415,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',17936,267,NULL,NULL,NULL,NULL,NULL,4,8),(28,7304773,2.00,4.00,3.00,5.00,5.00,8.25,2.00,2.00,1.00,318,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15425,112,NULL,NULL,NULL,NULL,NULL,2,1),(28,7304781,3.00,7.00,1.00,6.00,7.00,6.75,3.00,7.00,2.00,208,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',10231,106,NULL,NULL,NULL,NULL,NULL,2,1),(28,7304790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,233,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7304811,4.00,5.00,1.00,3.00,4.00,7.13,2.00,3.00,4.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17977,121,NULL,NULL,NULL,NULL,NULL,4,1),(28,7304820,3.00,8.00,3.00,4.00,6.00,8.63,4.00,5.00,5.00,201,NULL,212,'ALTO BOA VISTA','FRUTAL','MG',5300,411,NULL,174,NULL,NULL,NULL,4,1),(28,7304854,0.00,3.00,3.00,5.00,7.00,6.00,4.00,3.00,1.00,104,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14789,362,NULL,NULL,NULL,NULL,NULL,4,1),(28,7304862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7304870,2.00,7.00,3.00,7.00,8.00,6.00,2.00,6.00,2.00,999,NULL,NULL,'CENTRO','S CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7304889,1.00,5.00,3.00,5.00,4.00,6.75,0.00,4.00,2.00,340,NULL,NULL,'SANTA TERESA','S PEDRO ALCÂNTARA','SC',15277,397,NULL,NULL,NULL,NULL,NULL,4,1),(28,7304897,3.00,2.00,1.00,4.00,4.00,6.00,2.00,2.00,3.00,339,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17993,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7304900,1.00,3.00,3.00,4.00,7.00,7.50,2.00,3.00,2.00,654,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',15369,52,NULL,NULL,NULL,NULL,NULL,2,1),(28,7304919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,601,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7304927,4.00,7.00,1.00,7.00,8.00,8.63,2.00,5.00,5.00,301,NULL,NULL,'GLÓRIA','JOINVILLE','SC',6420,57,NULL,NULL,NULL,NULL,NULL,4,8),(28,7304935,0.00,3.00,3.00,3.00,2.00,NULL,2.00,1.00,2.00,101,NULL,NULL,'FAZENDA S ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7304943,5.00,6.00,0.00,6.00,8.00,8.25,2.00,8.00,7.00,201,NULL,213,'CENTRO','BAL CAMBORIÚ','SC',3997,305,NULL,55,NULL,NULL,NULL,4,3),(28,7304951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'AMIZADE','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7304960,4.00,6.00,3.00,6.00,5.00,7.50,2.00,4.00,4.00,103,NULL,NULL,'MINA BRASIL','CRICIÚMA','SC',9580,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7304978,3.00,8.00,1.00,5.00,8.00,4.50,3.00,6.00,3.00,501,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',9194,37,NULL,NULL,NULL,NULL,NULL,2,10),(28,7304986,0.00,7.00,2.00,7.00,4.00,7.88,4.00,5.00,3.00,454,NULL,NULL,'CENTRO','BLUMENAU','SC',9978,186,NULL,NULL,NULL,NULL,NULL,4,2),(28,7304994,0.00,3.00,2.00,6.00,7.00,8.63,2.00,4.00,4.00,326,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305001,1.00,4.00,1.00,7.00,8.00,10.13,2.00,6.00,2.00,340,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',14442,383,NULL,NULL,NULL,NULL,NULL,4,8),(28,7305010,1.00,4.00,2.00,4.00,5.00,8.25,3.00,5.00,3.00,211,NULL,201,'INTERIOR','ITAPIRANGA','SC',12490,324,NULL,800,NULL,NULL,NULL,4,27),(28,7305028,3.00,6.00,3.00,7.00,7.00,7.88,3.00,5.00,3.00,425,NULL,424,'COMASA','JOINVILLE','SC',8921,19,NULL,NULL,NULL,NULL,NULL,4,8),(28,7305036,4.00,5.00,2.00,4.00,3.00,6.00,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','S JOSÉ PINHAIS','PR',15648,2386,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305044,3.00,5.00,2.00,7.00,10.00,9.00,6.00,5.00,2.00,213,NULL,235,'BOM RETIRO','JOINVILLE','SC',8750,154,NULL,140,NULL,NULL,NULL,2,8),(28,7305052,1.00,5.00,1.00,7.00,5.00,10.50,4.00,2.00,1.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',16748,231,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305060,8.00,8.00,4.00,7.00,9.00,7.50,4.00,8.00,6.00,103,NULL,NULL,'JARDIM PAINEIRAS','CAMPINAS','SP',957,532,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305079,3.00,0.00,3.00,8.00,4.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'BOM CLIMA','GUARULHOS','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7305087,3.00,7.00,3.00,3.00,7.00,8.25,4.00,6.00,4.00,203,NULL,214,'RIO VERMELHO','FLORIANÓPOLIS','SC',7199,436,NULL,216,NULL,NULL,NULL,4,1),(28,7305095,2.00,4.00,2.00,5.00,5.00,6.38,1.00,3.00,0.00,109,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',17041,78,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'ÁGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7305125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7305133,0.00,7.00,2.00,7.00,3.00,8.63,5.00,5.00,2.00,207,NULL,214,'NOVA ESPERANÇA','BLUMENAU','SC',10455,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7305141,0.00,2.00,1.00,4.00,5.00,6.75,2.00,4.00,1.00,444,NULL,NULL,'CENTRO','POMERODE','SC',19843,142,NULL,NULL,NULL,NULL,NULL,4,2),(28,7305168,4.00,6.00,1.00,7.00,5.00,12.00,2.00,4.00,3.00,999,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305176,3.00,5.00,2.00,3.00,6.00,6.75,2.00,4.00,3.00,203,NULL,653,'CENTRO','CRICIÚMA','SC',11389,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7305184,5.00,5.00,2.00,3.00,3.00,9.00,3.00,4.00,6.00,108,NULL,NULL,'ANO BOM','CORUPÁ','SC',14094,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7305206,1.00,2.00,1.00,0.00,2.00,NULL,2.00,2.00,3.00,301,NULL,NULL,'JARDIM EUROPA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305214,3.00,6.00,3.00,7.00,7.00,9.00,3.00,4.00,3.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',10432,425,NULL,NULL,NULL,NULL,NULL,4,5),(28,7305222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TAIÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,24),(28,7305230,0.00,0.00,1.00,3.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',6,1),(28,7305249,5.00,8.00,3.00,7.00,8.00,8.63,6.00,7.00,7.00,318,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',1155,1,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305257,2.00,6.00,3.00,5.00,3.00,6.38,2.00,3.00,1.00,208,NULL,NULL,'MONTE CASTELO','TUBARÃO','SC',16945,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7305265,3.00,8.00,4.00,6.00,9.00,7.50,5.00,6.00,5.00,201,NULL,207,'CENTRO','OURO','SC',3604,NULL,NULL,142,NULL,NULL,NULL,2,1),(28,7305273,0.00,3.00,2.00,2.00,2.00,NULL,3.00,3.00,2.00,203,NULL,201,'CENTRO HISTORICO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305281,1.00,6.00,2.00,5.00,2.00,NULL,2.00,2.00,1.00,551,NULL,NULL,'DISTRITO INDUSTRIAL','BRUNÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7305290,3.00,4.00,2.00,4.00,7.00,5.25,1.00,3.00,5.00,9,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14820,109,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'BARRA RIO DO CERRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7305311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA RUSSIA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7305320,3.00,8.00,2.00,4.00,6.00,9.38,6.00,5.00,5.00,336,NULL,NULL,'CENTRO','CRICIÚMA','SC',6315,32,NULL,NULL,NULL,NULL,NULL,4,5),(28,7305338,5.00,8.00,2.00,7.00,8.00,9.00,5.00,5.00,5.00,211,NULL,212,'JARDIM MADALENA','CAMPINAS','SP',2150,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305346,1.00,4.00,4.00,2.00,3.00,6.38,1.00,3.00,2.00,317,NULL,NULL,'MARGEM ESQUERDA','GASPAR','SC',18295,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7305354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(28,7305362,0.00,1.00,3.00,6.00,3.00,NULL,1.00,2.00,3.00,9,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305370,8.00,6.00,4.00,5.00,4.00,7.50,5.00,4.00,6.00,207,NULL,201,'BRASILIA','S BENTO SUL','SC',9200,427,NULL,NULL,NULL,NULL,NULL,2,23),(28,7305389,4.00,7.00,3.00,5.00,7.00,7.50,3.00,4.00,4.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6425,1687,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305397,5.00,8.00,3.00,5.00,9.00,10.88,5.00,8.00,7.00,3,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',1247,1,NULL,NULL,NULL,NULL,NULL,4,15),(28,7305419,4.00,4.00,3.00,6.00,7.00,9.38,2.00,5.00,4.00,301,NULL,NULL,'CENTRO','CRICIÚMA','SC',13001,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7305427,5.00,7.00,1.00,7.00,3.00,8.25,1.00,6.00,4.00,552,NULL,NULL,'IGUABINHA','ARARUAMA','RJ',12958,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7305435,1.00,5.00,0.00,2.00,4.00,6.75,1.00,2.00,1.00,303,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',20011,607,NULL,NULL,NULL,NULL,NULL,4,22),(28,7305443,2.00,7.00,4.00,7.00,6.00,9.75,0.00,5.00,2.00,319,NULL,NULL,'SÃO FRANCISCO','FARROUPILHA','RS',13193,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305451,4.00,6.00,3.00,7.00,9.00,8.63,5.00,4.00,6.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3843,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305460,4.00,7.00,4.00,8.00,10.00,12.38,3.00,7.00,3.00,428,NULL,421,'ESTREITO','FLORIANÓPOLIS','SC',4777,6,NULL,NULL,NULL,NULL,NULL,3,1),(28,7305494,2.00,5.00,3.00,6.00,7.00,8.25,2.00,5.00,1.00,108,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',11680,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305508,5.00,7.00,3.00,5.00,6.00,9.00,6.00,5.00,4.00,207,NULL,215,'CAMPECHE','FLORIANÓPOLIS','SC',5077,222,NULL,72,NULL,NULL,NULL,4,1),(28,7305524,2.00,6.00,3.00,5.00,3.00,8.63,3.00,2.00,1.00,999,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7305532,3.00,8.00,4.00,6.00,9.00,9.38,5.00,7.00,6.00,203,NULL,653,'RODRIGUES','PASSO FUNDO','RS',2245,182,NULL,7,NULL,NULL,NULL,4,15),(28,7305540,0.00,2.00,1.00,3.00,3.00,NULL,1.00,1.00,1.00,104,NULL,NULL,'PORTINHO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7305559,2.00,4.00,1.00,4.00,5.00,9.00,2.00,2.00,3.00,319,NULL,NULL,'SALGADO FILHO','CAXIAS SUL','RS',14375,278,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM FRANÇA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7305575,4.00,8.00,3.00,5.00,10.00,9.38,1.00,6.00,5.00,340,NULL,NULL,'SÃO LUIZ','CRICIÚMA','SC',2273,46,NULL,NULL,NULL,NULL,NULL,4,5),(28,7305583,1.00,4.00,1.00,5.00,5.00,6.75,2.00,4.00,1.00,208,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',16231,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305591,3.00,7.00,1.00,7.00,4.00,6.75,3.00,7.00,4.00,203,NULL,220,'PRESIDENTE MÉDICE','CHAPECÓ','SC',9058,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7305605,4.00,7.00,2.00,6.00,6.00,7.88,1.00,5.00,6.00,201,NULL,212,'FORQUILHINHAS','S JOSÉ','SC',11357,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305613,3.00,6.00,2.00,4.00,5.00,9.75,1.00,5.00,3.00,450,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',12573,96,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,424,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7305630,6.00,8.00,4.00,6.00,7.00,9.38,5.00,8.00,6.00,213,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',1680,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7305656,6.00,7.00,3.00,7.00,8.00,9.75,4.00,4.00,5.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',1736,816,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305664,3.00,5.00,2.00,4.00,5.00,6.75,3.00,2.00,3.00,202,NULL,220,'BAIRO CENTRO','CRICIÚMA','SC',13962,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7305680,1.00,6.00,1.00,5.00,3.00,6.75,2.00,4.00,1.00,415,NULL,NULL,'MICHEL','CRICIÚMA','SC',19164,275,NULL,NULL,NULL,NULL,NULL,2,5),(28,7305699,5.00,7.00,2.00,6.00,6.00,7.50,4.00,6.00,4.00,326,NULL,NULL,'CAMINHOS SAN CONRADO','CAMPINAS','SP',5137,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305702,0.00,3.00,0.00,4.00,4.00,11.63,1.00,4.00,0.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305710,0.00,5.00,1.00,3.00,7.00,NULL,6.00,4.00,7.00,201,NULL,213,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7305729,1.00,3.00,1.00,3.00,1.00,NULL,0.00,3.00,1.00,110,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305737,0.00,6.00,2.00,6.00,7.00,12.38,4.00,6.00,2.00,103,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',8108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305745,1.00,6.00,3.00,5.00,4.00,6.00,4.00,4.00,2.00,444,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',13092,58,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305753,3.00,6.00,3.00,6.00,7.00,7.13,4.00,3.00,3.00,215,NULL,601,'CENTRO','FLORIANÓPOLIS','SC',10010,170,NULL,276,NULL,NULL,NULL,4,1),(28,7305761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7305770,4.00,8.00,1.00,7.00,10.00,7.50,5.00,7.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3130,114,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305788,1.00,6.00,0.00,4.00,5.00,9.00,2.00,4.00,2.00,303,NULL,NULL,'NAZARÉ','CONCÓRDIA','SC',18237,587,NULL,NULL,NULL,NULL,NULL,4,26),(28,7305796,2.00,5.00,1.00,6.00,4.00,9.38,3.00,4.00,2.00,108,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',12395,172,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305800,2.00,7.00,1.00,5.00,6.00,8.25,3.00,2.00,5.00,444,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',14676,74,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305818,0.00,3.00,3.00,7.00,4.00,7.13,0.00,1.00,3.00,999,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305826,5.00,7.00,2.00,6.00,8.00,8.63,5.00,6.00,8.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',2593,1042,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305834,0.00,5.00,0.00,5.00,5.00,NULL,0.00,5.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305842,4.00,6.00,3.00,6.00,9.00,9.75,4.00,7.00,4.00,104,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',3196,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305850,4.00,7.00,3.00,7.00,5.00,7.50,3.00,6.00,5.00,103,NULL,NULL,'INDAIÁ','CARAGUATATUBA','SP',5281,1538,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305869,6.00,7.00,3.00,6.00,7.00,11.25,4.00,6.00,4.00,201,NULL,233,'ARMAÇÃO','PENHA','SC',2492,179,NULL,46,NULL,NULL,NULL,4,6),(28,7305877,0.00,5.00,0.00,4.00,5.00,7.88,0.00,5.00,3.00,340,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',18814,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305885,2.00,7.00,2.00,5.00,7.00,7.13,4.00,4.00,3.00,212,NULL,211,'CAMPECHE','FLORIANÓPOLIS','SC',15073,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'SERTAO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7305907,4.00,5.00,0.00,6.00,5.00,6.38,0.00,4.00,4.00,653,NULL,NULL,'PRESIDENTE MEDICI','CHAPECÓ','SC',18345,194,NULL,NULL,NULL,NULL,NULL,2,4),(28,7305915,1.00,6.00,2.00,4.00,6.00,6.38,1.00,5.00,1.00,101,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',15127,93,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305923,1.00,3.00,2.00,2.00,5.00,8.25,2.00,2.00,0.00,655,NULL,203,'SERTÃO DO IMARUIM','S JOSÉ','SC',19763,137,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305931,2.00,6.00,3.00,7.00,8.00,6.38,4.00,6.00,7.00,103,NULL,NULL,'JARDIM SILVANA','IÇARA','SC',5041,1496,NULL,NULL,NULL,NULL,NULL,2,5),(28,7305940,1.00,5.00,2.00,5.00,5.00,5.63,0.00,6.00,4.00,201,NULL,212,'CENTRO','CEREJEIRAS','RO',13625,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7305958,5.00,7.00,2.00,3.00,7.00,7.88,6.00,4.00,4.00,317,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',6688,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7305966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM UMUARAMA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7305982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7305990,4.00,5.00,3.00,7.00,8.00,9.00,3.00,4.00,6.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',4993,214,NULL,386,NULL,NULL,NULL,2,1),(28,7306008,1.00,5.00,1.00,2.00,3.00,4.50,2.00,3.00,1.00,220,NULL,202,'AMIZADE','JARAGUÁ SUL','SC',19798,351,NULL,402,NULL,NULL,NULL,2,23),(28,7306016,2.00,3.00,2.00,3.00,3.00,6.75,2.00,5.00,2.00,502,NULL,NULL,'LARANJAL','PELOTAS','RS',16723,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7306032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7306040,2.00,6.00,2.00,6.00,7.00,9.38,3.00,6.00,1.00,238,NULL,655,'SETE DE SETEMBRO','DOIS IRMÃOS','RS',9686,NULL,NULL,45,NULL,NULL,NULL,4,15),(28,7306059,2.00,5.00,2.00,6.00,5.00,7.13,1.00,3.00,4.00,233,NULL,601,'GARCIA','BLUMENAU','SC',12037,270,NULL,358,NULL,NULL,NULL,4,2),(28,7306075,2.00,5.00,1.00,2.00,2.00,NULL,3.00,3.00,3.00,101,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7306083,2.00,6.00,2.00,5.00,8.00,7.88,3.00,6.00,7.00,104,NULL,NULL,'CENTRO','SOROCABA','SP',5665,111,NULL,NULL,NULL,NULL,NULL,4,1),(28,7306091,6.00,9.00,3.00,7.00,8.00,7.50,3.00,5.00,6.00,108,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',2645,23,NULL,NULL,NULL,NULL,NULL,2,10),(28,7306105,3.00,6.00,3.00,6.00,6.00,6.75,0.00,5.00,4.00,302,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',11539,73,NULL,NULL,NULL,NULL,NULL,2,1),(28,7306113,1.00,6.00,2.00,7.00,2.00,NULL,1.00,3.00,4.00,999,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7306121,0.00,5.00,1.00,6.00,7.00,3.75,1.00,3.00,3.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7306130,1.00,5.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,9,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7306148,0.00,6.00,2.00,5.00,4.00,6.38,3.00,7.00,2.00,415,NULL,NULL,'CENTRO','MARMELEIRO','PR',12985,211,NULL,NULL,NULL,NULL,NULL,2,4),(28,7306156,2.00,7.00,3.00,6.00,9.00,10.50,3.00,5.00,3.00,340,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',6033,154,NULL,NULL,NULL,NULL,NULL,4,3),(28,7306164,1.00,4.00,2.00,7.00,4.00,6.75,3.00,4.00,2.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',18732,362,NULL,NULL,NULL,NULL,NULL,2,1),(28,7306172,2.00,6.00,4.00,7.00,5.00,4.50,3.00,5.00,1.00,301,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',16775,232,NULL,NULL,NULL,NULL,NULL,2,1),(28,7306180,3.00,3.00,2.00,4.00,6.00,6.00,2.00,3.00,3.00,9,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',15593,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7306199,2.00,6.00,1.00,1.00,6.00,5.25,3.00,5.00,2.00,224,NULL,NULL,'CENTRO','PEDRAS GRANDES','SC',18343,29,NULL,NULL,NULL,NULL,NULL,4,10),(28,7306202,3.00,5.00,2.00,4.00,5.00,7.50,1.00,3.00,1.00,316,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',15701,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7306210,3.00,8.00,2.00,5.00,5.00,8.25,5.00,8.00,2.00,501,NULL,NULL,'BELA VISTA','PALHOÇA','SC',6148,15,NULL,NULL,NULL,NULL,NULL,2,1),(28,7306229,2.00,5.00,3.00,3.00,2.00,NULL,1.00,5.00,2.00,655,NULL,653,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7306245,3.00,9.00,4.00,7.00,7.00,8.25,4.00,7.00,6.00,201,NULL,601,'SAGUAÇÚ','JOINVILLE','SC',2634,195,NULL,32,NULL,NULL,NULL,4,8),(28,7306261,4.00,7.00,2.00,5.00,8.00,5.25,5.00,6.00,4.00,103,NULL,NULL,'PROSPERA','CRICIÚMA','SC',9230,2017,NULL,NULL,NULL,NULL,NULL,2,5),(28,7306270,1.00,4.00,0.00,7.00,6.00,NULL,2.00,4.00,3.00,202,NULL,235,'NAZARÉ','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7306288,1.00,6.00,1.00,5.00,7.00,6.00,4.00,4.00,1.00,415,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',13738,223,NULL,NULL,NULL,NULL,NULL,2,10),(28,7306300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7306326,8.00,8.00,2.00,7.00,11.00,9.75,6.00,9.00,8.00,103,NULL,NULL,'CENTRO','PEDERNEIRAS','SP',173,135,NULL,NULL,NULL,NULL,NULL,4,1),(28,7306334,3.00,8.00,3.00,7.00,5.00,7.88,3.00,5.00,3.00,303,NULL,NULL,'AGOSTINI','S MIGUEL OESTE','SC',7348,324,NULL,NULL,NULL,NULL,NULL,4,4),(28,7306342,1.00,3.00,0.00,2.00,4.00,4.88,2.00,4.00,2.00,654,NULL,NULL,'N SENHORA DA SALETE','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7306350,2.00,6.00,2.00,7.00,6.00,10.50,6.00,7.00,3.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9277,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7306369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,211,'MINA NOVA','LAURO MÜLLER','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7306377,0.00,0.00,2.00,6.00,2.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,23),(28,7306415,3.00,7.00,2.00,7.00,7.00,12.38,3.00,6.00,3.00,103,NULL,NULL,'STO ANT DE PÁDUA','TUBARÃO','SC',8334,1931,NULL,NULL,NULL,NULL,NULL,4,10),(28,7306423,2.00,7.00,1.00,6.00,2.00,NULL,3.00,3.00,5.00,444,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7306431,2.00,5.00,1.00,6.00,10.00,10.88,2.00,3.00,3.00,104,NULL,NULL,'SAMUEL SANDRINI','ORLEANS','SC',7155,162,NULL,NULL,NULL,NULL,NULL,4,5),(28,7306440,2.00,5.00,2.00,5.00,6.00,12.00,3.00,4.00,3.00,502,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',13695,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7306458,0.00,6.00,2.00,4.00,3.00,7.13,1.00,6.00,4.00,333,NULL,NULL,'FAZENDA DO MAX','S JOSÉ','SC',14890,94,NULL,NULL,NULL,NULL,NULL,2,1),(28,7306466,1.00,7.00,2.00,7.00,7.00,9.00,4.00,6.00,3.00,303,NULL,NULL,'SANTA RUTE','JUNQUEIRÓPOLIS','SP',5628,259,NULL,NULL,NULL,NULL,NULL,4,1),(28,7306490,2.00,4.00,2.00,6.00,6.00,7.88,3.00,7.00,4.00,319,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',9721,178,NULL,NULL,NULL,NULL,NULL,2,10),(28,7306504,2.00,4.00,5.00,6.00,2.00,NULL,6.00,4.00,4.00,208,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7306520,2.00,3.00,2.00,4.00,4.00,4.50,1.00,5.00,2.00,655,NULL,652,'MANGUEIRINHA','BAL ARROIO SILVA','SC',19825,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7306539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'BOM RETIRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7306547,0.00,6.00,1.00,6.00,4.00,10.13,2.00,4.00,3.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',11592,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7306555,2.00,4.00,1.00,6.00,5.00,6.38,2.00,5.00,0.00,212,NULL,220,'SANTA MONICA','FLORIANÓPOLIS','SC',18575,414,NULL,339,NULL,NULL,NULL,4,1),(28,7306563,2.00,6.00,0.00,4.00,7.00,6.00,3.00,3.00,1.00,317,NULL,NULL,'CENTRO','BIGUAÇU','SC',18948,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7306571,1.00,8.00,0.00,6.00,5.00,NULL,2.00,7.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7306598,1.00,3.00,1.00,6.00,4.00,8.63,2.00,2.00,1.00,601,NULL,202,'AVENTUREIRO','JOINVILLE','SC',14667,439,NULL,337,NULL,NULL,NULL,4,8),(28,7306601,0.00,2.00,0.00,1.00,5.00,NULL,2.00,3.00,3.00,444,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7306610,4.00,6.00,2.00,5.00,2.00,NULL,4.00,5.00,1.00,203,NULL,214,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7306628,3.00,8.00,2.00,6.00,9.00,8.25,3.00,5.00,3.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7116,113,NULL,NULL,NULL,NULL,NULL,4,1),(28,7306636,3.00,7.00,5.00,6.00,8.00,7.13,4.00,6.00,3.00,220,NULL,202,'SANTA MARIA','ANTÔNIO CARLOS','SC',4582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7306644,0.00,4.00,1.00,6.00,2.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7306652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7306660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BARRA DA TIJUCA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7306679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7306687,3.00,6.00,2.00,5.00,7.00,7.50,4.00,5.00,3.00,110,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',9401,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7306695,5.00,8.00,3.00,8.00,6.00,7.88,5.00,7.00,5.00,201,NULL,212,'VORSTADT','BLUMENAU','SC',2881,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7306717,0.00,4.00,1.00,3.00,2.00,NULL,1.00,1.00,1.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7306725,2.00,4.00,3.00,6.00,7.00,4.88,2.00,5.00,6.00,212,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',10349,301,NULL,182,NULL,NULL,NULL,2,1),(28,7306733,5.00,4.00,3.00,4.00,4.00,9.00,2.00,5.00,6.00,201,NULL,202,'KOBRASOL','S JOSÉ','SC',9256,642,NULL,239,NULL,NULL,NULL,4,1),(28,7306741,1.00,8.00,1.00,7.00,7.00,8.63,2.00,8.00,5.00,220,NULL,203,'PLANALTO','GUAPORÉ','RS',4661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7306768,1.00,6.00,1.00,6.00,5.00,10.50,2.00,6.00,4.00,303,NULL,NULL,'CENTRO','GAROPABA','SC',8971,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7306776,0.00,5.00,3.00,3.00,2.00,NULL,0.00,2.00,1.00,404,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7306792,0.00,2.00,3.00,2.00,1.00,NULL,2.00,3.00,2.00,101,NULL,NULL,'JARDIN ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7306806,4.00,7.00,2.00,7.00,6.00,8.63,3.00,5.00,4.00,454,NULL,NULL,'BOA VISTA','JOINVILLE','SC',11974,237,NULL,NULL,NULL,NULL,NULL,4,8),(28,7306814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'MALOTA','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7306822,1.00,3.00,3.00,4.00,4.00,7.13,1.00,3.00,2.00,211,NULL,216,'TRÊS VENDAS','ERECHIM','RS',17535,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7306830,2.00,6.00,2.00,5.00,4.00,5.63,2.00,4.00,3.00,103,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',12416,2225,NULL,NULL,NULL,NULL,NULL,4,6),(28,7306857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7306865,1.00,2.00,1.00,4.00,3.00,3.00,1.00,0.00,2.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7306873,2.00,5.00,2.00,6.00,7.00,4.50,2.00,4.00,3.00,201,NULL,212,'PONTE IMARUIM','PALHOÇA','SC',14292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7306881,3.00,7.00,3.00,7.00,8.00,7.88,1.00,5.00,4.00,238,NULL,213,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',10341,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7306890,3.00,7.00,0.00,4.00,7.00,7.88,4.00,4.00,4.00,207,NULL,211,'CANASVIEIRAS','FLORIANÓPOLIS','SC',9245,429,NULL,247,NULL,NULL,NULL,4,1),(28,7306903,0.00,3.00,2.00,1.00,5.00,5.25,2.00,4.00,1.00,208,NULL,NULL,'CORAL','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7306911,2.00,6.00,2.00,3.00,5.00,7.50,1.00,5.00,3.00,427,NULL,421,'ITACORUBI','FLORIANÓPOLIS','SC',18154,17,NULL,NULL,NULL,NULL,NULL,5,1),(28,7306920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','VARGEM BONITA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7306946,2.00,8.00,4.00,5.00,6.00,10.50,4.00,7.00,4.00,211,NULL,215,'CENTRO','BIGUAÇU','SC',3711,92,NULL,49,NULL,NULL,NULL,2,1),(28,7306954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTAO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7306962,2.00,6.00,1.00,7.00,7.00,11.25,1.00,6.00,1.00,451,NULL,NULL,'CENTRO','TIMBÓ','SC',14738,32,NULL,NULL,NULL,NULL,NULL,4,2),(28,7306970,1.00,4.00,0.00,2.00,5.00,4.50,3.00,6.00,2.00,653,NULL,655,'COLONINHA','ARARANGUÁ','SC',19602,210,NULL,130,NULL,NULL,NULL,4,15),(28,7306997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(28,7307004,3.00,8.00,2.00,7.00,8.00,10.88,3.00,4.00,2.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9956,405,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307012,3.00,8.00,3.00,7.00,6.00,7.50,3.00,5.00,4.00,203,NULL,202,'JARDIM BOLÍVIA','JANDIRA','SP',4781,330,NULL,139,NULL,NULL,NULL,4,1),(28,7307020,3.00,8.00,1.00,6.00,8.00,6.75,0.00,5.00,3.00,333,NULL,NULL,'KOBRASOL','S JOSÉ','SC',15167,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307039,0.00,5.00,3.00,2.00,6.00,7.13,1.00,1.00,1.00,208,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307047,5.00,7.00,4.00,6.00,8.00,8.25,4.00,5.00,6.00,454,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',2824,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307055,0.00,2.00,2.00,5.00,4.00,8.25,2.00,3.00,1.00,207,NULL,211,'FLORESTA','S JOSÉ','SC',19572,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307063,0.00,3.00,2.00,2.00,4.00,5.25,2.00,2.00,3.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',20079,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307080,2.00,5.00,0.00,3.00,7.00,6.75,1.00,3.00,1.00,207,NULL,601,'CORREGO GRANDE','FLORIANÓPOLIS','SC',15982,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307098,1.00,5.00,3.00,7.00,7.00,9.38,2.00,5.00,6.00,601,NULL,214,'AMERICA','JOINVILLE','SC',12912,388,NULL,298,NULL,NULL,NULL,2,8),(28,7307101,5.00,5.00,2.00,7.00,8.00,9.75,4.00,7.00,3.00,103,NULL,NULL,'SETOR SUL','GOIÂNIA','GO',4186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7307128,2.00,3.00,0.00,2.00,3.00,5.63,1.00,2.00,3.00,104,NULL,NULL,'BOA VISTA','ITUPORANGA','SC',20084,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7307136,6.00,7.00,2.00,5.00,8.00,10.88,3.00,6.00,3.00,425,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8200,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307144,5.00,8.00,5.00,6.00,9.00,9.38,4.00,7.00,6.00,207,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',1856,58,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307152,2.00,3.00,3.00,7.00,5.00,5.25,2.00,5.00,3.00,316,NULL,NULL,'VILA NOVA','PTO ALEGRE','RS',14064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307160,1.00,5.00,2.00,4.00,7.00,8.25,2.00,5.00,3.00,601,NULL,201,'MORRO DO MEIO','JOINVILLE','SC',15485,456,NULL,922,NULL,NULL,NULL,4,8),(28,7307179,4.00,5.00,1.00,4.00,4.00,6.75,2.00,3.00,1.00,552,NULL,NULL,'ÁGUA SANTA','CURITIBANOS','SC',15322,104,NULL,NULL,NULL,NULL,NULL,2,16),(28,7307195,3.00,5.00,2.00,6.00,2.00,NULL,0.00,1.00,1.00,318,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307209,5.00,8.00,2.00,6.00,8.00,7.13,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',3543,1250,NULL,NULL,NULL,NULL,NULL,4,5),(28,7307217,5.00,7.00,1.00,6.00,8.00,10.13,3.00,6.00,5.00,340,NULL,NULL,'SERRARIA','S JOSÉ','SC',4916,123,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307225,1.00,4.00,1.00,5.00,4.00,7.13,2.00,3.00,1.00,110,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16609,81,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307233,3.00,5.00,3.00,5.00,8.00,6.38,4.00,4.00,5.00,104,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12238,302,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307241,0.00,5.00,4.00,4.00,3.00,7.13,4.00,4.00,2.00,429,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',15722,30,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307250,1.00,5.00,3.00,3.00,7.00,7.88,3.00,2.00,2.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',18439,156,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307276,3.00,6.00,3.00,6.00,6.00,9.00,4.00,5.00,4.00,201,NULL,203,'JARDIM DAS PALMEIRAS','ITAPECERICA SERRA','SP',9832,669,NULL,529,NULL,NULL,NULL,4,1),(28,7307284,0.00,3.00,2.00,4.00,4.00,6.75,4.00,4.00,0.00,234,NULL,NULL,'AMBRÓSIO','GAROPABA','SC',16648,51,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307292,2.00,4.00,2.00,2.00,3.00,7.13,2.00,3.00,3.00,304,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',19538,128,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307306,3.00,7.00,3.00,6.00,7.00,6.38,5.00,4.00,5.00,203,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',4457,NULL,NULL,71,NULL,NULL,NULL,4,1),(28,7307314,3.00,6.00,1.00,7.00,10.00,10.88,5.00,5.00,6.00,201,NULL,207,'CAMPINAS','S JOSÉ','SC',2434,176,NULL,84,NULL,NULL,NULL,2,1),(28,7307322,2.00,7.00,2.00,6.00,5.00,6.75,2.00,7.00,3.00,316,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',15009,195,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307330,0.00,4.00,1.00,5.00,6.00,NULL,1.00,6.00,1.00,655,NULL,NULL,'CENTRO','VENÂNCIO AIRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7307349,1.00,6.00,3.00,3.00,3.00,5.63,3.00,4.00,3.00,318,NULL,NULL,'RIO PEQUENO','BRAÇO NORTE','SC',13850,95,NULL,NULL,NULL,NULL,NULL,2,10),(28,7307357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'VILA JACOB BIESUZ','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7307365,2.00,6.00,4.00,5.00,8.00,10.13,4.00,8.00,5.00,233,NULL,653,'CENTRO','BLUMENAU','SC',5863,NULL,NULL,56,NULL,NULL,NULL,4,4),(28,7307381,0.00,1.00,0.00,0.00,0.00,NULL,0.00,2.00,0.00,3,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7307403,2.00,6.00,1.00,7.00,6.00,7.13,3.00,4.00,4.00,104,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',12509,311,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307411,1.00,5.00,1.00,6.00,2.00,NULL,2.00,4.00,2.00,999,NULL,NULL,'SANTO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307438,3.00,6.00,5.00,5.00,5.00,9.38,1.00,3.00,3.00,104,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14517,350,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307454,1.00,4.00,2.00,3.00,7.00,8.25,0.00,4.00,2.00,999,NULL,NULL,'CENTRO','PETROLÂNDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7307462,0.00,3.00,1.00,4.00,2.00,NULL,2.00,4.00,2.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307470,0.00,5.00,1.00,4.00,7.00,NULL,3.00,6.00,1.00,340,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307489,1.00,4.00,2.00,5.00,5.00,8.25,1.00,6.00,4.00,103,NULL,NULL,'CENTRO','S JOAQUIM','SC',13624,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7307497,3.00,6.00,1.00,5.00,5.00,8.63,4.00,6.00,1.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10454,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307500,3.00,6.00,1.00,4.00,6.00,7.88,3.00,5.00,2.00,201,NULL,601,'INTERIOR','CONCÓRDIA','SC',16624,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7307527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'VILA MILITAR','RIO GRANDE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7307535,3.00,8.00,2.00,5.00,8.00,10.50,3.00,7.00,3.00,340,NULL,NULL,'BUCAREIN','JOINVILLE','SC',4976,125,NULL,NULL,NULL,NULL,NULL,4,8),(28,7307543,1.00,4.00,1.00,6.00,7.00,11.25,2.00,6.00,4.00,552,NULL,NULL,'CENTRO','BOM RETIRO','SC',8244,13,NULL,NULL,NULL,NULL,NULL,2,9),(28,7307551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,203,'VILA RICA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7307560,5.00,6.00,0.00,6.00,5.00,9.75,2.00,4.00,4.00,316,NULL,NULL,'ROÇADO','S JOSÉ','SC',13978,173,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307578,0.00,7.00,0.00,3.00,3.00,NULL,1.00,3.00,2.00,404,NULL,NULL,'BELA VISTA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307586,4.00,8.00,2.00,7.00,9.00,12.00,3.00,6.00,6.00,108,NULL,NULL,'CENTRO','TORRES','RS',2206,16,NULL,NULL,NULL,NULL,NULL,2,15),(28,7307594,2.00,3.00,2.00,5.00,4.00,4.88,0.00,4.00,3.00,225,NULL,NULL,'BARREIROS','S JOSÉ','SC',19485,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307616,2.00,3.00,3.00,5.00,6.00,10.13,2.00,4.00,3.00,309,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',11766,8,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307624,2.00,6.00,1.00,4.00,6.00,NULL,1.00,4.00,2.00,999,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,15),(28,7307632,2.00,4.00,1.00,6.00,10.00,8.63,0.00,4.00,3.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7307640,0.00,2.00,1.00,3.00,3.00,NULL,1.00,1.00,1.00,451,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307659,1.00,5.00,3.00,3.00,9.00,9.75,3.00,5.00,6.00,201,NULL,207,'VÁRZEA','ITAPEMA','SC',7106,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7307675,0.00,7.00,2.00,4.00,7.00,6.00,1.00,3.00,2.00,201,NULL,203,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7307683,1.00,5.00,0.00,4.00,2.00,NULL,1.00,4.00,3.00,319,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307691,2.00,4.00,2.00,6.00,5.00,6.38,1.00,3.00,1.00,211,NULL,207,'SACO GRANDE','FLORIANÓPOLIS','SC',15292,382,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307705,4.00,7.00,2.00,7.00,9.00,10.88,4.00,6.00,4.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3583,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307713,4.00,8.00,4.00,5.00,6.00,9.00,2.00,6.00,5.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',5583,1578,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307721,6.00,6.00,5.00,7.00,8.00,9.38,3.00,5.00,5.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',2347,978,NULL,NULL,NULL,NULL,NULL,2,3),(28,7307730,5.00,9.00,2.00,5.00,5.00,7.13,5.00,5.00,5.00,454,NULL,NULL,'CENTRO','DA EMMA','SC',6552,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7307748,7.00,6.00,2.00,6.00,7.00,8.25,4.00,6.00,7.00,201,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',2817,212,NULL,NULL,NULL,NULL,NULL,4,6),(28,7307756,1.00,3.00,3.00,5.00,3.00,5.25,1.00,2.00,3.00,309,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307764,2.00,5.00,2.00,2.00,5.00,7.13,1.00,2.00,1.00,319,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',17559,340,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S GABRIEL OESTE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7307780,2.00,2.00,3.00,4.00,4.00,7.88,2.00,4.00,3.00,3,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',18628,87,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307799,4.00,6.00,4.00,4.00,7.00,7.13,2.00,5.00,6.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7330,168,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307802,3.00,6.00,2.00,3.00,6.00,8.63,4.00,5.00,4.00,216,NULL,215,'ITACORUBI','FLORIANÓPOLIS','SC',7780,261,NULL,123,NULL,NULL,NULL,4,1),(28,7307810,3.00,6.00,2.00,6.00,5.00,7.13,1.00,4.00,2.00,999,NULL,NULL,'ESTALEIRINHO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7307829,2.00,5.00,2.00,7.00,5.00,10.13,4.00,6.00,3.00,301,NULL,NULL,'MAR GROSSO','LAGUNA','SC',6875,62,NULL,NULL,NULL,NULL,NULL,4,10),(28,7307837,3.00,7.00,2.00,6.00,6.00,8.63,4.00,4.00,4.00,233,NULL,601,'ANITA GARIBALDI','JOINVILLE','SC',7507,NULL,NULL,174,NULL,NULL,NULL,4,8),(28,7307845,3.00,8.00,1.00,4.00,6.00,6.75,2.00,6.00,3.00,238,NULL,235,'CAMPINAS','S JOSÉ','SC',14861,247,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307853,4.00,7.00,2.00,8.00,9.00,9.38,3.00,8.00,4.00,211,NULL,233,'PASSA VINTE','PALHOÇA','SC',2403,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307861,1.00,3.00,2.00,2.00,0.00,NULL,2.00,3.00,3.00,214,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307870,3.00,4.00,2.00,5.00,3.00,5.25,0.00,5.00,2.00,502,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19277,61,NULL,NULL,NULL,NULL,NULL,2,1),(28,7307888,3.00,7.00,2.00,4.00,5.00,6.00,2.00,7.00,4.00,201,NULL,212,'CARANDÁ BOSQUE I','CPO GRANDE','MS',9972,NULL,NULL,291,NULL,NULL,NULL,4,4),(28,7307918,2.00,7.00,1.00,6.00,3.00,7.50,3.00,2.00,2.00,238,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',18578,323,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307926,2.00,8.00,3.00,7.00,7.00,9.38,3.00,5.00,3.00,238,NULL,203,'SACO GRANDE','FLORIANÓPOLIS','SC',9613,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307934,2.00,6.00,0.00,6.00,6.00,7.88,2.00,7.00,2.00,303,NULL,NULL,'JD DAS AMÉRICAS','ANÁPOLIS','GO',9367,388,NULL,NULL,NULL,NULL,NULL,4,1),(28,7307942,1.00,4.00,0.00,3.00,5.00,5.25,1.00,4.00,4.00,103,NULL,NULL,'SAO CRISTOVAO','CRICIÚMA','SC',19346,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7307950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7307977,6.00,7.00,4.00,6.00,6.00,9.38,5.00,7.00,8.00,208,NULL,NULL,'PRAIA DOS AMORES','BAL CAMBORIÚ','SC',2797,16,NULL,NULL,NULL,NULL,NULL,4,6),(28,7307985,2.00,5.00,1.00,5.00,5.00,9.38,1.00,5.00,3.00,303,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',17457,575,NULL,NULL,NULL,NULL,NULL,4,1),(28,7308000,3.00,4.00,1.00,4.00,6.00,8.25,5.00,5.00,3.00,212,NULL,235,'KOBRASOL','S JOSÉ','SC',15078,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7308019,3.00,5.00,2.00,7.00,6.00,8.63,3.00,3.00,2.00,324,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15121,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7308027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOQUEIRÃO','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7308035,3.00,6.00,2.00,7.00,9.00,9.00,1.00,7.00,4.00,601,NULL,235,'CENTRO','CURITIBANOS','SC',9558,256,NULL,NULL,NULL,NULL,NULL,2,16),(28,7308051,3.00,6.00,1.00,6.00,4.00,7.13,4.00,1.00,4.00,552,NULL,NULL,'CENTRO','TRAMANDAÍ','RS',13374,76,NULL,NULL,NULL,NULL,NULL,2,5),(28,7308060,0.00,5.00,2.00,5.00,3.00,NULL,0.00,3.00,1.00,336,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308078,0.00,2.00,5.00,3.00,3.00,3.75,2.00,2.00,2.00,502,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308086,0.00,6.00,2.00,5.00,4.00,6.38,0.00,7.00,1.00,203,NULL,214,'CAMPECHE','FLORIANÓPOLIS','SC',19032,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308094,1.00,4.00,2.00,3.00,5.00,NULL,0.00,4.00,2.00,101,NULL,NULL,'SÃO PEDRO','GUABIRUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7308108,2.00,7.00,1.00,4.00,5.00,5.25,2.00,4.00,5.00,103,NULL,NULL,'CANGO','FRANCISCO BELTRÃO','PR',11510,2169,NULL,NULL,NULL,NULL,NULL,4,4),(28,7308116,4.00,7.00,2.00,6.00,7.00,6.38,1.00,6.00,5.00,207,NULL,215,'CENTRO','LAGES','SC',6991,326,NULL,107,NULL,NULL,NULL,4,9),(28,7308124,3.00,7.00,3.00,6.00,5.00,6.00,2.00,5.00,2.00,208,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',14999,164,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308132,0.00,6.00,1.00,6.00,3.00,NULL,0.00,4.00,3.00,318,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308140,1.00,6.00,0.00,3.00,4.00,NULL,0.00,5.00,0.00,450,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7308159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,215,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7308167,3.00,6.00,1.00,4.00,5.00,6.75,4.00,4.00,5.00,214,NULL,213,'CHICO PISCINA','MOCOCA','SP',13769,308,NULL,227,NULL,NULL,NULL,2,1),(28,7308175,0.00,2.00,2.00,1.00,4.00,6.00,1.00,1.00,1.00,104,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',20154,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7308183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CARÁNDA BOSQUE','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7308191,1.00,4.00,2.00,4.00,2.00,NULL,2.00,4.00,2.00,601,NULL,653,'SANGA DA TOCA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7308205,4.00,7.00,4.00,5.00,5.00,6.38,4.00,5.00,5.00,220,NULL,238,'CAPOEIRAS','FLORIANÓPOLIS','SC',6793,186,NULL,80,NULL,NULL,NULL,4,1),(28,7308213,0.00,6.00,2.00,6.00,5.00,NULL,0.00,1.00,2.00,601,NULL,201,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7308230,3.00,7.00,1.00,6.00,8.00,7.50,1.00,5.00,3.00,319,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',10638,198,NULL,NULL,NULL,NULL,NULL,4,8),(28,7308248,0.00,2.00,3.00,6.00,3.00,NULL,3.00,2.00,2.00,451,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308256,5.00,8.00,2.00,7.00,9.00,9.75,4.00,7.00,4.00,999,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7308264,3.00,6.00,1.00,4.00,4.00,7.88,1.00,3.00,1.00,999,NULL,NULL,'GLÓRIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7308272,4.00,8.00,2.00,4.00,8.00,8.63,3.00,6.00,6.00,103,NULL,NULL,'GLÓRIA','JOINVILLE','SC',3046,1147,NULL,NULL,NULL,NULL,NULL,4,8),(28,7308280,3.00,8.00,4.00,5.00,6.00,7.50,3.00,3.00,7.00,201,NULL,212,'VISTA ALEGRE CAFE','VINHEDO','SP',5426,NULL,NULL,177,NULL,NULL,NULL,2,1),(28,7308299,1.00,2.00,1.00,5.00,4.00,5.25,0.00,2.00,3.00,238,NULL,220,'PRAIA JOÃO ROSA','BIGUAÇU','SC',18040,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308310,1.00,8.00,1.00,6.00,10.00,9.75,4.00,8.00,2.00,319,NULL,NULL,'DEHON','TUBARÃO','SC',5692,87,NULL,NULL,NULL,NULL,NULL,2,10),(28,7308329,5.00,6.00,5.00,4.00,6.00,9.00,3.00,6.00,3.00,302,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308337,0.00,2.00,0.00,2.00,4.00,NULL,1.00,3.00,1.00,238,NULL,201,'VILA SANTO ANTÔNIO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308345,5.00,6.00,1.00,7.00,5.00,7.88,4.00,4.00,2.00,303,NULL,NULL,'IMIGRANTES','CONCÓRDIA','SC',8210,354,NULL,NULL,NULL,NULL,NULL,4,26),(28,7308353,0.00,6.00,2.00,3.00,2.00,NULL,1.00,5.00,2.00,404,NULL,NULL,'CENTRO','IMBUIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7308361,5.00,7.00,2.00,7.00,7.00,6.75,3.00,5.00,1.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7658,339,NULL,NULL,NULL,NULL,NULL,4,1),(28,7308370,4.00,8.00,3.00,3.00,6.00,6.00,4.00,2.00,7.00,214,NULL,601,'RIO BELO','ORLEANS','SC',7317,NULL,NULL,162,NULL,NULL,NULL,4,5),(28,7308388,3.00,8.00,2.00,6.00,4.00,6.38,1.00,5.00,3.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',10684,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7308396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CRUZ','TREZE MAIO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7308418,5.00,7.00,2.00,6.00,6.00,8.63,5.00,6.00,5.00,601,NULL,211,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',4633,82,NULL,NULL,NULL,NULL,NULL,4,1),(28,7308426,1.00,4.00,0.00,5.00,2.00,NULL,2.00,3.00,2.00,333,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308434,0.00,4.00,3.00,6.00,7.00,10.13,5.00,5.00,3.00,318,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',9933,62,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308442,0.00,7.00,0.00,5.00,3.00,6.00,2.00,7.00,1.00,110,NULL,NULL,'ÂNGELA BORELLA','MARAU','RS',15119,71,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308450,4.00,3.00,3.00,5.00,7.00,6.38,1.00,5.00,4.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10796,42,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308469,4.00,7.00,2.00,5.00,5.00,7.88,3.00,6.00,4.00,201,NULL,211,'CENTRO','CPO GRANDE','MS',8278,595,NULL,226,NULL,NULL,NULL,4,1),(28,7308477,0.00,2.00,1.00,1.00,6.00,4.50,2.00,4.00,2.00,103,NULL,NULL,'BARRACAO','ORLEANS','SC',20093,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7308485,5.00,8.00,2.00,6.00,8.00,5.25,3.00,4.00,4.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6653,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308493,0.00,5.00,2.00,3.00,3.00,NULL,4.00,5.00,2.00,103,NULL,NULL,'RESSACADA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7308507,0.00,5.00,4.00,3.00,6.00,NULL,2.00,3.00,4.00,429,NULL,425,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7308515,5.00,7.00,3.00,5.00,8.00,7.88,4.00,4.00,4.00,201,NULL,212,'VILA NOVA','BLUMENAU','SC',5368,416,NULL,175,NULL,NULL,NULL,4,2),(28,7308523,0.00,0.00,1.00,7.00,4.00,NULL,0.00,0.00,0.00,201,NULL,207,'FIGUEIRA','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(28,7308540,2.00,4.00,2.00,3.00,2.00,NULL,3.00,1.00,4.00,202,NULL,235,'AEROPORTO','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7308566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PLANALTO PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7308574,1.00,7.00,0.00,5.00,5.00,8.25,2.00,3.00,2.00,319,NULL,NULL,'CRISTO REI','CANOINHAS','SC',14267,271,NULL,NULL,NULL,NULL,NULL,4,17),(28,7308582,7.00,7.00,6.00,7.00,7.00,8.63,6.00,7.00,7.00,203,NULL,214,'CIDADE UNIVERSITÁRIA','CAMPINAS','SP',422,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7308590,4.00,7.00,4.00,7.00,9.00,11.25,4.00,6.00,5.00,9,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',4750,11,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308604,3.00,5.00,2.00,5.00,8.00,11.63,4.00,7.00,6.00,103,NULL,NULL,'SÃO BENTO','BENTO GONÇALVES','RS',1995,885,NULL,NULL,NULL,NULL,NULL,2,15),(28,7308612,4.00,6.00,2.00,6.00,8.00,7.88,4.00,6.00,5.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',4317,1386,NULL,NULL,NULL,NULL,NULL,4,1),(28,7308620,3.00,4.00,2.00,6.00,7.00,7.50,1.00,7.00,5.00,333,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',12555,70,NULL,NULL,NULL,NULL,NULL,2,5),(28,7308639,2.00,5.00,2.00,2.00,5.00,9.00,2.00,5.00,4.00,201,NULL,601,'SENHOR BOM JESUS','CAMPOS NOVOS','SC',12881,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7308647,5.00,4.00,2.00,5.00,6.00,5.63,3.00,4.00,3.00,202,NULL,213,'JARDIM AQUARIOS','PALHOÇA','SC',11976,301,NULL,205,NULL,NULL,NULL,2,1),(28,7308655,4.00,8.00,5.00,7.00,9.00,9.00,5.00,6.00,7.00,303,NULL,NULL,'JARDIM SILVANA','IÇARA','SC',1038,46,NULL,NULL,NULL,NULL,NULL,2,4),(28,7308663,3.00,7.00,0.00,3.00,7.00,9.75,2.00,5.00,5.00,201,NULL,207,'CENTRO','BAL CAMBORIÚ','SC',7486,553,NULL,343,NULL,NULL,NULL,2,6),(28,7308698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,NULL,'CHACARAS SÃO BENTO','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7308701,3.00,6.00,2.00,6.00,6.00,8.25,2.00,2.00,3.00,234,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308710,0.00,6.00,0.00,0.00,0.00,NULL,3.00,3.00,2.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(28,7308728,0.00,4.00,2.00,1.00,5.00,NULL,0.00,2.00,2.00,201,NULL,215,'LOTEAMENTO PORTINARI','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7308736,2.00,5.00,1.00,4.00,5.00,7.13,2.00,4.00,1.00,451,NULL,NULL,'CENTRO','ITUPORANGA','SC',14500,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7308744,6.00,6.00,2.00,7.00,7.00,8.25,4.00,5.00,5.00,340,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',4322,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7308752,0.00,6.00,2.00,7.00,7.00,6.38,1.00,6.00,2.00,450,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',16170,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7308760,3.00,6.00,0.00,4.00,7.00,9.00,1.00,5.00,6.00,103,NULL,NULL,'ESTAÇÃO LUZERNA','HERVAL D OESTE','SC',12178,2211,NULL,NULL,NULL,NULL,NULL,4,7),(28,7308779,4.00,5.00,1.00,7.00,6.00,8.25,4.00,6.00,1.00,552,NULL,NULL,'CENTRO','POMERODE','SC',8844,23,NULL,NULL,NULL,NULL,NULL,4,2),(28,7308787,4.00,6.00,2.00,4.00,5.00,8.63,2.00,4.00,2.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',10625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7308795,2.00,3.00,2.00,3.00,4.00,6.00,2.00,3.00,2.00,503,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',17687,35,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308809,5.00,7.00,4.00,5.00,9.00,9.00,6.00,8.00,5.00,103,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',876,498,NULL,NULL,NULL,NULL,NULL,4,1),(28,7308817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'SITIO CERCADO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7308825,2.00,7.00,3.00,7.00,5.00,7.88,4.00,6.00,4.00,203,NULL,211,'CENTRO','CHAPECÓ','SC',4991,NULL,NULL,123,NULL,NULL,NULL,4,4),(28,7308833,1.00,6.00,3.00,5.00,8.00,8.63,3.00,5.00,3.00,303,NULL,NULL,'TRAVESSÃO','BRAÇO NORTE','SC',9482,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7308841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'VILA MILITAR','RIO GRANDE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7308850,4.00,6.00,1.00,4.00,3.00,6.00,3.00,3.00,2.00,201,NULL,212,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',13692,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7308868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TINGUI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7308876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7308884,2.00,6.00,1.00,1.00,5.00,7.13,2.00,5.00,2.00,102,NULL,NULL,'DIVINÉIA','RIO CEDROS','SC',19042,180,NULL,NULL,NULL,NULL,NULL,4,2),(28,7308892,2.00,4.00,1.00,4.00,4.00,6.75,1.00,5.00,1.00,551,NULL,NULL,'SAO JOSE','CURITIBANOS','SC',19185,60,NULL,NULL,NULL,NULL,NULL,4,16),(28,7308906,2.00,6.00,1.00,6.00,3.00,4.88,3.00,5.00,2.00,5,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',13070,368,NULL,NULL,NULL,NULL,NULL,4,1),(28,7308914,0.00,2.00,3.00,4.00,4.00,6.00,0.00,1.00,1.00,110,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',19301,101,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308922,0.00,3.00,1.00,3.00,3.00,6.00,3.00,7.00,2.00,203,NULL,213,'INGLESES','FLORIANÓPOLIS','SC',19633,NULL,NULL,285,NULL,NULL,NULL,2,1),(28,7308930,3.00,3.00,1.00,5.00,3.00,5.25,0.00,3.00,3.00,999,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308957,1.00,4.00,2.00,3.00,2.00,NULL,1.00,3.00,0.00,308,NULL,NULL,'XV DE NOVEMBRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7308965,2.00,5.00,2.00,6.00,7.00,9.38,1.00,7.00,6.00,233,NULL,215,'BRAÇO DO NORTE','ANTÔNIO CARLOS','SC',9965,236,NULL,169,NULL,NULL,NULL,2,1),(28,7308973,2.00,4.00,2.00,7.00,7.00,9.00,4.00,5.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7308981,1.00,3.00,2.00,2.00,2.00,NULL,0.00,1.00,0.00,654,NULL,NULL,'GARAPUVU','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7308990,2.00,4.00,3.00,3.00,4.00,9.00,2.00,4.00,1.00,238,NULL,220,'CAMPECHE','FLORIANÓPOLIS','SC',17837,311,NULL,333,NULL,NULL,NULL,2,1),(28,7309007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'JARDIM JAMAICA','SERTÃOZINHO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7309015,1.00,4.00,2.00,3.00,5.00,5.63,5.00,1.00,1.00,301,NULL,NULL,'MORRO DO FREITAS','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309023,2.00,4.00,1.00,2.00,1.00,NULL,1.00,3.00,2.00,201,NULL,203,'MORRO DA BINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7309031,3.00,6.00,3.00,7.00,5.00,7.50,3.00,5.00,3.00,211,NULL,216,'RIO TAVARES','FLORIANÓPOLIS','SC',9937,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309040,0.00,4.00,0.00,7.00,0.00,NULL,0.00,3.00,0.00,201,NULL,601,'CENTRO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7309058,1.00,6.00,3.00,4.00,6.00,6.00,3.00,5.00,5.00,333,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15293,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309066,0.00,3.00,1.00,5.00,5.00,NULL,3.00,4.00,3.00,503,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7309082,0.00,2.00,2.00,1.00,2.00,NULL,0.00,2.00,2.00,212,NULL,215,'SAVEIRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309090,2.00,5.00,1.00,6.00,5.00,9.38,2.00,5.00,2.00,234,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',10523,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7309104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7309112,3.00,4.00,2.00,4.00,6.00,8.25,2.00,4.00,2.00,303,NULL,NULL,'LIBERDADE','CONCÓRDIA','SC',15990,548,NULL,NULL,NULL,NULL,NULL,2,2),(28,7309120,1.00,5.00,3.00,7.00,9.00,12.00,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','CONCÓRDIA','SC',4634,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7309139,1.00,6.00,2.00,1.00,5.00,6.38,0.00,5.00,2.00,213,NULL,235,'MUNICIPIOS','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7309147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM GUANABARA','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7309155,2.00,8.00,1.00,6.00,7.00,8.25,5.00,8.00,5.00,203,NULL,214,'CENTRO','URUSSANGA','SC',4145,303,NULL,143,NULL,NULL,NULL,4,5),(28,7309163,6.00,7.00,2.00,7.00,9.00,12.00,4.00,8.00,7.00,303,NULL,NULL,'VILA GARDIMAN','ITU','SP',731,28,NULL,NULL,NULL,NULL,NULL,2,3),(28,7309171,5.00,5.00,1.00,3.00,5.00,7.88,2.00,5.00,3.00,103,NULL,NULL,'TUCURUVI','S PAULO','SP',10424,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7309180,3.00,4.00,2.00,6.00,4.00,0.00,2.00,2.00,3.00,238,NULL,220,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309198,5.00,7.00,3.00,6.00,7.00,8.63,3.00,6.00,4.00,103,NULL,NULL,'BURITIS','BELO HORIZONTE','MG',4103,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309201,3.00,4.00,3.00,6.00,5.00,7.88,2.00,5.00,5.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10786,40,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309210,3.00,6.00,2.00,6.00,6.00,6.38,3.00,6.00,3.00,552,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8729,18,NULL,NULL,NULL,NULL,NULL,2,3),(28,7309236,0.00,4.00,3.00,5.00,3.00,9.00,4.00,1.00,2.00,303,NULL,NULL,'CENTRO','IPORÃ OESTE','SC',14783,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7309244,2.00,3.00,1.00,0.00,4.00,5.25,0.00,2.00,1.00,233,NULL,215,'SÃO PEREGRINO','NOVA PRATA','RS',19398,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7309252,4.00,8.00,3.00,7.00,8.00,8.25,6.00,5.00,6.00,211,NULL,214,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',3082,63,NULL,NULL,NULL,NULL,NULL,4,1),(28,7309287,0.00,7.00,1.00,7.00,8.00,NULL,4.00,7.00,4.00,201,NULL,233,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7309295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'NITEROI','CANOAS','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7309309,2.00,6.00,3.00,5.00,8.00,7.50,3.00,3.00,3.00,601,NULL,201,'IRIRIÚ','JOINVILLE','SC',14072,417,NULL,NULL,NULL,NULL,NULL,2,8),(28,7309333,3.00,8.00,2.00,7.00,6.00,9.00,6.00,7.00,6.00,201,NULL,207,'GLEBA PALHANO','LONDRINA','PR',1616,100,NULL,44,NULL,NULL,NULL,4,8),(28,7309341,1.00,7.00,0.00,2.00,4.00,9.00,1.00,7.00,2.00,421,NULL,424,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',18544,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7309350,1.00,5.00,1.00,7.00,5.00,6.75,3.00,3.00,3.00,317,NULL,NULL,'ALTO ARIRIÚ','PALHOÇA','SC',17584,145,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309368,0.00,7.00,3.00,3.00,5.00,NULL,2.00,4.00,2.00,223,NULL,NULL,'SÃO LUIS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7309376,2.00,6.00,0.00,2.00,5.00,NULL,3.00,2.00,2.00,332,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7309384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7309392,1.00,5.00,1.00,7.00,8.00,8.63,2.00,4.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7309406,0.00,6.00,1.00,4.00,2.00,NULL,3.00,3.00,3.00,324,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309414,1.00,5.00,4.00,4.00,1.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'MONTANHES','OURO FINO','MG',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309422,4.00,8.00,4.00,6.00,7.00,9.75,2.00,6.00,3.00,201,NULL,212,'VILA MOEMA','TUBARÃO','SC',9792,667,NULL,289,NULL,NULL,NULL,2,10),(28,7309430,1.00,4.00,2.00,3.00,3.00,4.88,4.00,4.00,4.00,207,NULL,214,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309465,4.00,5.00,2.00,5.00,4.00,6.00,1.00,3.00,2.00,104,NULL,NULL,'ITAPIRUBÁ','IMBITUBA','SC',16256,400,NULL,NULL,NULL,NULL,NULL,2,10),(28,7309473,7.00,8.00,1.00,6.00,10.00,8.25,4.00,7.00,4.00,103,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',1841,848,NULL,NULL,NULL,NULL,NULL,4,7),(28,7309481,1.00,7.00,0.00,5.00,4.00,8.25,3.00,6.00,3.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',11176,5,NULL,NULL,NULL,NULL,NULL,4,16),(28,7309490,1.00,4.00,3.00,5.00,3.00,7.13,0.00,3.00,2.00,450,NULL,NULL,'CENTRO','HORIZONTINA','RS',16977,124,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309503,5.00,7.00,4.00,5.00,7.00,6.38,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','JABORÁ','SC',2996,1138,NULL,NULL,NULL,NULL,NULL,4,7),(28,7309511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7309520,0.00,4.00,1.00,2.00,2.00,NULL,3.00,1.00,1.00,552,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7309538,7.00,8.00,3.00,6.00,8.00,10.13,5.00,6.00,5.00,108,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',1614,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7309546,4.00,7.00,2.00,3.00,6.00,6.00,3.00,5.00,4.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10882,103,NULL,NULL,NULL,NULL,NULL,4,1),(28,7309554,3.00,7.00,3.00,5.00,7.00,7.50,4.00,6.00,1.00,450,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',13463,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309562,2.00,6.00,1.00,6.00,7.00,7.88,1.00,5.00,2.00,425,NULL,428,'CENTRO','CURITIBANOS','SC',11454,NULL,NULL,23,NULL,NULL,NULL,4,16),(28,7309570,6.00,8.00,3.00,6.00,5.00,10.13,5.00,7.00,5.00,304,NULL,NULL,'MONTE CASTELO','S JOSÉ CAMPOS','SP',5058,22,NULL,NULL,NULL,NULL,NULL,4,6),(28,7309589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,215,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7309597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7309600,4.00,3.00,0.00,5.00,4.00,NULL,1.00,3.00,2.00,444,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7309619,2.00,5.00,1.00,4.00,8.00,9.38,2.00,5.00,2.00,5,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',12199,344,NULL,NULL,NULL,NULL,NULL,4,15),(28,7309627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','ERVAL VELHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7309635,5.00,7.00,2.00,7.00,7.00,11.25,2.00,7.00,5.00,103,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',5476,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7309643,4.00,8.00,1.00,4.00,7.00,7.50,4.00,6.00,5.00,201,NULL,213,'CAMPECHE','FLORIANÓPOLIS','SC',6664,512,NULL,114,NULL,NULL,NULL,4,1),(28,7309651,2.00,6.00,0.00,7.00,8.00,9.75,4.00,5.00,4.00,316,NULL,NULL,'FLORESTA','S JOSÉ','SC',8464,77,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309660,2.00,6.00,3.00,2.00,5.00,5.25,4.00,5.00,5.00,203,NULL,201,'VARGEM GRANDE','ÁGUAS MORNAS','SC',13368,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7309678,7.00,8.00,4.00,7.00,11.00,12.38,9.00,8.00,7.00,103,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',29,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7309686,3.00,7.00,2.00,7.00,6.00,8.25,5.00,7.00,4.00,108,NULL,NULL,'PALHOCINHA','GAROPABA','SC',6981,85,NULL,NULL,NULL,NULL,NULL,4,1),(28,7309694,4.00,7.00,4.00,7.00,7.00,7.88,5.00,5.00,6.00,201,NULL,211,'RIO TAVARES','FLORIANÓPOLIS','SC',3968,304,NULL,97,NULL,NULL,NULL,4,1),(28,7309716,0.00,7.00,1.00,6.00,8.00,7.13,3.00,5.00,3.00,501,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8123,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7309724,6.00,7.00,5.00,6.00,9.00,6.75,3.00,6.00,5.00,203,NULL,653,'PIO CORREA','CRICIÚMA','SC',3492,252,NULL,19,NULL,NULL,NULL,4,5),(28,7309732,0.00,7.00,1.00,6.00,4.00,6.38,3.00,2.00,3.00,201,NULL,211,'PARTENON','PTO ALEGRE','RS',12898,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7309759,1.00,5.00,0.00,6.00,5.00,NULL,1.00,4.00,1.00,207,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7309767,4.00,7.00,1.00,7.00,9.00,8.25,2.00,6.00,3.00,207,NULL,211,'CANASVIEIRAS','FLORIANÓPOLIS','SC',4762,202,NULL,116,NULL,NULL,NULL,4,1),(28,7309775,0.00,6.00,1.00,5.00,5.00,8.25,2.00,3.00,3.00,203,NULL,235,'CENTRO','TRÊS MAIO','RS',17666,NULL,NULL,274,NULL,NULL,NULL,2,1),(28,7309791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7309813,3.00,6.00,1.00,3.00,8.00,6.00,1.00,4.00,3.00,201,NULL,653,'POLICIA RODOVIARIA','ARARANGUÁ','SC',13334,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7309821,4.00,5.00,2.00,4.00,7.00,8.25,3.00,3.00,4.00,601,NULL,NULL,'BOA VISTA','JOINVILLE','SC',14620,438,NULL,NULL,NULL,NULL,NULL,4,8),(28,7309830,3.00,8.00,4.00,8.00,8.00,7.88,5.00,6.00,4.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',3258,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7309848,1.00,8.00,0.00,7.00,2.00,NULL,4.00,5.00,2.00,999,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7309856,1.00,7.00,0.00,7.00,7.00,8.25,1.00,5.00,2.00,444,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',10536,33,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309864,1.00,4.00,1.00,6.00,6.00,7.50,1.00,3.00,2.00,999,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309872,1.00,3.00,1.00,3.00,6.00,6.00,5.00,5.00,3.00,215,NULL,233,'RIO VERMELHO','FLORIANÓPOLIS','SC',13473,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309880,0.00,5.00,1.00,1.00,1.00,NULL,2.00,2.00,3.00,201,NULL,211,'MORRO GRANDE','SANGÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7309899,3.00,6.00,4.00,7.00,7.00,10.88,2.00,5.00,6.00,103,NULL,NULL,'NOVO CENTRO','MARINGÁ','PR',8288,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7309902,0.00,2.00,3.00,2.00,4.00,NULL,0.00,4.00,1.00,207,NULL,201,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309910,1.00,4.00,0.00,2.00,3.00,NULL,2.00,4.00,3.00,201,NULL,653,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7309937,2.00,2.00,3.00,4.00,5.00,3.00,3.00,4.00,3.00,440,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7309945,0.00,4.00,0.00,2.00,4.00,NULL,1.00,5.00,5.00,207,NULL,238,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309970,2.00,6.00,3.00,5.00,7.00,6.38,4.00,3.00,4.00,302,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',15841,116,NULL,NULL,NULL,NULL,NULL,2,1),(28,7309988,1.00,3.00,2.00,3.00,6.00,7.13,1.00,3.00,0.00,2,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',19772,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7309996,2.00,4.00,1.00,3.00,6.00,4.88,1.00,1.00,2.00,207,NULL,201,'MORRO BOA VISTA','BIGUAÇU','SC',18267,774,NULL,1002,NULL,NULL,NULL,4,1),(28,7310005,4.00,7.00,4.00,7.00,8.00,9.38,5.00,5.00,4.00,501,NULL,NULL,'JARDIM SANTA ROSA','ITATIBA','SP',3167,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310013,5.00,6.00,3.00,3.00,7.00,6.75,3.00,4.00,3.00,201,NULL,202,'CENTRO','ITUPORANGA','SC',9703,659,NULL,248,NULL,NULL,NULL,4,24),(28,7310021,0.00,5.00,2.00,6.00,4.00,6.75,1.00,4.00,1.00,335,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19155,11,NULL,NULL,NULL,NULL,NULL,2,1),(28,7310030,7.00,7.00,2.00,6.00,10.00,9.38,4.00,7.00,6.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',940,527,NULL,NULL,NULL,NULL,NULL,4,8),(28,7310048,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,428,NULL,427,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',5,1),(28,7310056,1.00,3.00,2.00,6.00,6.00,4.50,2.00,3.00,4.00,426,NULL,427,'ESTREITO','FLORIANÓPOLIS','SC',18657,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7310064,1.00,5.00,1.00,4.00,7.00,7.13,1.00,5.00,2.00,425,NULL,429,'CACUPÉ','FLORIANÓPOLIS','SC',15962,54,NULL,34,NULL,NULL,NULL,4,1),(28,7310072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7310080,1.00,4.00,2.00,4.00,2.00,NULL,0.00,4.00,1.00,104,NULL,NULL,'CENTRO','GUARACIABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7310102,3.00,6.00,1.00,6.00,4.00,6.75,1.00,4.00,1.00,601,NULL,203,'INDUSTRIAL','FRANCISCO BELTRÃO','PR',14207,420,NULL,626,NULL,NULL,NULL,4,4),(28,7310110,0.00,3.00,4.00,4.00,5.00,NULL,0.00,2.00,2.00,404,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310129,2.00,3.00,3.00,7.00,6.00,7.88,3.00,3.00,5.00,317,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',12233,60,NULL,NULL,NULL,NULL,NULL,2,1),(28,7310137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7310145,2.00,7.00,3.00,5.00,5.00,6.38,2.00,4.00,2.00,201,NULL,238,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',13116,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7310153,2.00,4.00,2.00,4.00,5.00,5.25,1.00,4.00,2.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310161,0.00,5.00,0.00,1.00,4.00,NULL,0.00,4.00,3.00,201,NULL,213,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310170,4.00,8.00,2.00,6.00,5.00,8.63,4.00,7.00,2.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11064,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7310188,4.00,6.00,1.00,7.00,5.00,8.25,1.00,4.00,2.00,301,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16762,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7310196,3.00,6.00,3.00,5.00,7.00,7.50,3.00,6.00,3.00,207,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',13121,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310200,3.00,5.00,2.00,6.00,5.00,9.00,4.00,4.00,5.00,103,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',7023,1763,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310218,4.00,5.00,2.00,1.00,2.00,NULL,2.00,3.00,0.00,104,NULL,NULL,'GABIROBA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7310234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'FLORESTA','S MIGUEL IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7310250,2.00,5.00,1.00,7.00,4.00,11.25,1.00,5.00,2.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',10352,NULL,NULL,NULL,NULL,NULL,NULL,5,27),(28,7310277,1.00,2.00,2.00,4.00,6.00,7.13,2.00,2.00,2.00,104,NULL,NULL,'CENTRO','ITAJAÍ','SC',18958,449,NULL,NULL,NULL,NULL,NULL,4,6),(28,7310293,3.00,7.00,1.00,7.00,9.00,6.75,4.00,6.00,3.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',6071,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7310307,1.00,5.00,3.00,4.00,5.00,7.13,2.00,3.00,3.00,424,NULL,427,'RIO VERMELHO','FLORIANÓPOLIS','SC',13926,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310315,2.00,4.00,2.00,5.00,8.00,9.00,2.00,6.00,1.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10541,294,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310323,3.00,8.00,2.00,7.00,8.00,10.88,2.00,6.00,3.00,316,NULL,NULL,'CENTRO','LAJEADO GRANDE','SC',8475,78,NULL,NULL,NULL,NULL,NULL,2,1),(28,7310331,3.00,3.00,4.00,2.00,4.00,5.25,0.00,2.00,1.00,104,NULL,NULL,'CENTRO','S BONIFÁCIO','SC',17594,418,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310340,0.00,4.00,2.00,2.00,4.00,6.38,2.00,5.00,1.00,201,NULL,NULL,'CENTRO','AT PIQUIRI','PR',16909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310358,0.00,4.00,2.00,1.00,5.00,NULL,0.00,1.00,2.00,552,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7310366,4.00,6.00,2.00,5.00,8.00,9.00,6.00,4.00,4.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4856,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310374,0.00,4.00,2.00,5.00,4.00,7.50,1.00,4.00,3.00,208,NULL,NULL,'CENTRO','TREZE TÍLIAS','SC',14711,159,NULL,NULL,NULL,NULL,NULL,2,7),(28,7310382,7.00,8.00,2.00,6.00,8.00,8.63,4.00,5.00,7.00,103,NULL,NULL,'SUMARE','RIO SUL','SC',2123,915,NULL,NULL,NULL,NULL,NULL,4,24),(28,7310390,6.00,8.00,7.00,7.00,8.00,9.75,7.00,8.00,8.00,203,NULL,214,'VILA MARIANA','S PAULO','SP',160,16,NULL,NULL,NULL,NULL,NULL,4,8),(28,7310404,1.00,3.00,1.00,4.00,3.00,6.00,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','FRAIBURGO','SC',19913,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7310412,2.00,7.00,0.00,6.00,7.00,9.00,3.00,5.00,4.00,450,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8080,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310420,1.00,6.00,0.00,3.00,10.00,8.63,3.00,5.00,2.00,303,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',9976,407,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310439,4.00,9.00,3.00,7.00,7.00,6.38,5.00,5.00,2.00,216,NULL,215,'PRIMEIRO DE MAIO','BRUSQUE','SC',9860,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7310447,3.00,4.00,3.00,3.00,6.00,6.38,4.00,4.00,3.00,336,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17793,90,NULL,NULL,NULL,NULL,NULL,2,1),(28,7310455,3.00,6.00,1.00,3.00,3.00,5.63,1.00,3.00,2.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19597,176,NULL,NULL,NULL,NULL,NULL,2,1),(28,7310463,0.00,4.00,2.00,4.00,1.00,NULL,0.00,2.00,4.00,308,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7310471,3.00,6.00,1.00,4.00,5.00,7.13,2.00,3.00,3.00,104,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',13992,341,NULL,NULL,NULL,NULL,NULL,2,1),(28,7310480,3.00,6.00,1.00,5.00,3.00,3.00,3.00,4.00,3.00,110,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310498,1.00,5.00,2.00,6.00,3.00,4.50,3.00,4.00,2.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',19354,2514,NULL,NULL,NULL,NULL,NULL,4,7),(28,7310510,5.00,7.00,3.00,6.00,7.00,6.75,5.00,6.00,5.00,222,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7490,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310528,3.00,7.00,3.00,7.00,10.00,10.88,2.00,7.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3633,49,NULL,NULL,NULL,NULL,NULL,2,1),(28,7310544,4.00,6.00,3.00,6.00,4.00,4.88,4.00,5.00,2.00,201,NULL,212,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',9714,660,NULL,286,NULL,NULL,NULL,4,1),(28,7310552,0.00,3.00,2.00,4.00,6.00,NULL,2.00,1.00,1.00,999,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7310560,0.00,5.00,2.00,6.00,6.00,NULL,1.00,4.00,3.00,103,NULL,NULL,'JARDIM AEROPORTO','S JOSÉ R PARDO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310579,3.00,6.00,4.00,7.00,8.00,8.63,4.00,7.00,5.00,208,NULL,NULL,'CENTRO','ERECHIM','RS',5383,37,NULL,NULL,NULL,NULL,NULL,4,26),(28,7310587,2.00,5.00,2.00,7.00,8.00,9.38,1.00,4.00,3.00,999,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310595,4.00,5.00,1.00,4.00,5.00,6.38,2.00,4.00,1.00,202,NULL,201,'PIONEIROS','BAL CAMBORIÚ','SC',15005,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7310609,0.00,2.00,1.00,1.00,4.00,0.00,0.00,2.00,1.00,202,NULL,201,'CENTRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7310633,0.00,4.00,4.00,4.00,3.00,NULL,1.00,4.00,3.00,444,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310641,2.00,7.00,1.00,1.00,2.00,NULL,2.00,5.00,2.00,207,NULL,212,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310650,6.00,8.00,4.00,7.00,10.00,7.50,5.00,9.00,6.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',614,397,NULL,NULL,NULL,NULL,NULL,2,1),(28,7310668,3.00,6.00,1.00,5.00,7.00,8.63,2.00,4.00,5.00,655,NULL,235,'CENTRO','LAGES','SC',8270,31,NULL,NULL,NULL,NULL,NULL,2,4),(28,7310684,3.00,2.00,2.00,6.00,6.00,9.75,2.00,6.00,1.00,215,NULL,601,'FLORESTA','JOINVILLE','SC',16088,259,NULL,474,NULL,NULL,NULL,4,8),(28,7310692,0.00,3.00,4.00,6.00,3.00,6.75,3.00,4.00,2.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7310706,3.00,4.00,2.00,6.00,4.00,8.63,1.00,2.00,4.00,654,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',14930,47,NULL,NULL,NULL,NULL,NULL,2,4),(28,7310714,1.00,3.00,2.00,5.00,2.00,NULL,1.00,2.00,4.00,404,NULL,NULL,'FAZ RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310722,3.00,4.00,4.00,2.00,5.00,5.63,2.00,4.00,3.00,207,NULL,NULL,'COPACABANA','LAGES','SC',18640,787,NULL,NULL,NULL,NULL,NULL,4,9),(28,7310730,4.00,7.00,4.00,6.00,5.00,6.00,5.00,3.00,7.00,202,NULL,213,'FUNDOS','BIGUAÇU','SC',5924,163,NULL,98,NULL,NULL,NULL,2,1),(28,7310757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SARAPIRANGA','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7310765,3.00,6.00,2.00,4.00,3.00,5.25,2.00,2.00,3.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',16266,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7310773,3.00,6.00,3.00,5.00,9.00,11.63,2.00,7.00,5.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',3373,127,NULL,NULL,NULL,NULL,NULL,2,5),(28,7310781,3.00,6.00,4.00,4.00,7.00,7.88,4.00,6.00,5.00,216,NULL,601,'VILA MARIZA','LAGES','SC',7007,241,NULL,153,NULL,NULL,NULL,4,9),(28,7310790,4.00,8.00,3.00,6.00,7.00,6.75,7.00,7.00,5.00,201,NULL,203,'FORQUILHINHAS','S JOSÉ','SC',3694,284,NULL,270,NULL,NULL,NULL,4,1),(28,7310803,3.00,6.00,1.00,5.00,5.00,8.63,0.00,4.00,2.00,5,NULL,NULL,'NOSSA SRA DE LOURDES','CAMPOS NOVOS','SC',13436,375,NULL,NULL,NULL,NULL,NULL,2,7),(28,7310811,1.00,3.00,1.00,7.00,3.00,4.88,2.00,4.00,0.00,208,NULL,NULL,'CENTRO','CONCÓRDIA','SC',19749,220,NULL,NULL,NULL,NULL,NULL,2,26),(28,7310820,1.00,5.00,1.00,1.00,3.00,3.00,1.00,2.00,1.00,316,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310846,2.00,6.00,4.00,4.00,5.00,6.75,3.00,7.00,4.00,203,NULL,207,'GONZAGA','SANTOS','SP',7636,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310854,2.00,7.00,2.00,4.00,6.00,9.38,2.00,4.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310889,5.00,9.00,5.00,6.00,7.00,10.13,4.00,8.00,4.00,201,NULL,203,'JD DAS PALMEIRAS','VALINHOS','SP',1786,108,NULL,156,NULL,NULL,NULL,4,1),(28,7310900,0.00,3.00,3.00,5.00,3.00,7.13,1.00,3.00,2.00,999,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7310919,2.00,4.00,0.00,5.00,8.00,6.38,3.00,5.00,5.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10299,193,NULL,NULL,NULL,NULL,NULL,2,1),(28,7310927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CAJURU','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7310935,3.00,6.00,0.00,5.00,4.00,NULL,3.00,6.00,2.00,215,NULL,216,'CENTRO','DR PEDRINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,23),(28,7310943,3.00,7.00,3.00,8.00,10.00,7.13,3.00,6.00,5.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',4525,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7310951,6.00,5.00,5.00,5.00,6.00,6.38,4.00,6.00,5.00,233,NULL,211,'RIO TAVARES','FLORIANÓPOLIS','SC',5373,143,NULL,133,NULL,NULL,NULL,4,1),(28,7310960,1.00,5.00,2.00,3.00,7.00,8.25,1.00,7.00,3.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',12215,335,NULL,NULL,NULL,NULL,NULL,4,1),(28,7310978,3.00,5.00,1.00,5.00,5.00,7.50,3.00,5.00,4.00,450,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10125,82,NULL,NULL,NULL,NULL,NULL,2,1),(28,7310986,7.00,8.00,4.00,7.00,8.00,6.00,2.00,6.00,6.00,214,NULL,233,'VILA NOVA','IMBITUBA','SC',2382,85,NULL,39,NULL,NULL,NULL,4,1),(28,7310994,3.00,8.00,0.00,6.00,6.00,10.88,2.00,5.00,7.00,211,NULL,213,'BARREIROS','S JOSÉ','SC',4905,120,NULL,78,NULL,NULL,NULL,2,1),(28,7311001,1.00,3.00,0.00,6.00,4.00,4.88,2.00,3.00,3.00,421,NULL,424,'SANTA FE','APARECIDA GOIÂNIA','GO',19585,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311010,2.00,7.00,1.00,4.00,3.00,7.13,2.00,3.00,2.00,201,NULL,207,'RIO CAVEIRAS','BIGUAÇU','SC',16271,943,NULL,709,NULL,NULL,NULL,4,1),(28,7311028,1.00,5.00,2.00,5.00,6.00,8.25,1.00,4.00,1.00,999,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7311036,1.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,203,NULL,238,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7311052,4.00,7.00,3.00,5.00,8.00,7.13,3.00,6.00,6.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',7282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311060,3.00,5.00,1.00,6.00,5.00,6.38,1.00,7.00,6.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14640,399,NULL,NULL,NULL,NULL,NULL,2,1),(28,7311087,3.00,6.00,1.00,4.00,7.00,8.25,3.00,3.00,6.00,3,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',14349,69,NULL,NULL,NULL,NULL,NULL,2,1),(28,7311109,5.00,0.00,1.00,6.00,3.00,NULL,0.00,0.00,0.00,203,NULL,202,'CHÁCARA PAULISTA','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7311117,3.00,6.00,0.00,7.00,1.00,NULL,2.00,5.00,1.00,340,NULL,NULL,'PORTO GRANDE','S SEBASTIÃO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7311125,3.00,8.00,1.00,6.00,8.00,9.75,2.00,7.00,3.00,207,NULL,216,'ESTADOS','INDAIAL','SC',4704,201,NULL,179,NULL,NULL,NULL,4,2),(28,7311133,0.00,0.00,1.00,7.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(28,7311141,2.00,6.00,3.00,8.00,8.00,12.75,3.00,6.00,5.00,201,NULL,233,'SÃO BERNARDO','TUBARÃO','SC',2767,206,NULL,63,NULL,NULL,NULL,4,10),(28,7311168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'BOSQUE DA SAUDE II','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7311184,1.00,5.00,2.00,6.00,3.00,5.25,2.00,5.00,1.00,317,NULL,NULL,'FUNDOS','BIGUAÇU','SC',16161,126,NULL,NULL,NULL,NULL,NULL,2,1),(28,7311192,0.00,5.00,1.00,7.00,7.00,NULL,0.00,3.00,2.00,450,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7311206,5.00,6.00,3.00,6.00,8.00,7.88,3.00,3.00,5.00,424,NULL,423,'JOÃO PAULO','FLORIANÓPOLIS','SC',6896,2,NULL,NULL,NULL,NULL,NULL,3,1),(28,7311214,2.00,2.00,1.00,3.00,6.00,5.25,2.00,3.00,3.00,552,NULL,NULL,'CENTRO','FRAIBURGO','SC',15943,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7311222,6.00,7.00,2.00,6.00,9.00,8.25,2.00,5.00,6.00,207,NULL,233,'KOBRASOL','S JOSÉ','SC',3333,128,NULL,77,NULL,NULL,NULL,2,1),(28,7311230,0.00,3.00,0.00,5.00,2.00,NULL,2.00,2.00,2.00,104,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7311249,0.00,5.00,3.00,5.00,7.00,6.75,3.00,4.00,4.00,444,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',12155,44,NULL,NULL,NULL,NULL,NULL,2,1),(28,7311265,1.00,4.00,0.00,5.00,1.00,NULL,0.00,2.00,1.00,103,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7311273,1.00,3.00,3.00,0.00,2.00,NULL,2.00,1.00,1.00,309,NULL,NULL,'MAGALHÃES','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7311281,1.00,7.00,2.00,5.00,5.00,NULL,2.00,4.00,2.00,320,NULL,NULL,'MOOCA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7311290,1.00,3.00,0.00,5.00,5.00,7.88,1.00,4.00,1.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',16475,244,NULL,NULL,NULL,NULL,NULL,2,1),(28,7311303,3.00,5.00,1.00,2.00,3.00,7.88,2.00,3.00,2.00,104,NULL,NULL,'CENTRO','CONCÓRDIA','SC',15836,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7311311,2.00,5.00,1.00,7.00,7.00,8.25,3.00,3.00,4.00,331,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',10170,17,NULL,NULL,NULL,NULL,NULL,2,1),(28,7311346,0.00,5.00,1.00,5.00,5.00,NULL,3.00,6.00,2.00,327,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311370,5.00,8.00,2.00,7.00,9.00,8.25,4.00,6.00,7.00,103,NULL,NULL,'MORRO AZUL','S SEBASTIÃO','DF',1450,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311389,5.00,7.00,5.00,6.00,8.00,6.38,5.00,6.00,8.00,203,NULL,214,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',2197,178,NULL,77,NULL,NULL,NULL,4,1),(28,7311397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7311419,3.00,8.00,2.00,7.00,7.00,9.00,4.00,8.00,3.00,451,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6460,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311427,4.00,6.00,3.00,7.00,8.00,11.63,5.00,7.00,5.00,450,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',1355,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311435,4.00,5.00,4.00,6.00,5.00,8.25,5.00,5.00,5.00,220,NULL,203,'CENTRO','QUINTANA','SP',5511,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311443,5.00,6.00,3.00,5.00,9.00,7.50,4.00,7.00,4.00,216,NULL,201,'GARCIA','BLUMENAU','SC',5292,203,NULL,410,NULL,NULL,NULL,4,2),(28,7311451,1.00,3.00,1.00,4.00,5.00,NULL,0.00,4.00,0.00,207,NULL,201,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7311478,0.00,7.00,1.00,6.00,3.00,10.50,4.00,3.00,2.00,201,NULL,207,'OFICINAS','TUBARÃO','SC',16557,947,NULL,716,NULL,NULL,NULL,4,10),(28,7311486,4.00,6.00,4.00,7.00,7.00,7.88,4.00,4.00,6.00,207,NULL,201,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5052,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7311494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7311508,1.00,5.00,2.00,6.00,7.00,NULL,0.00,3.00,1.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311516,3.00,4.00,0.00,4.00,3.00,5.63,5.00,4.00,2.00,454,NULL,NULL,'OURO PRETO','BELO HORIZONTE','MG',19113,387,NULL,NULL,NULL,NULL,NULL,2,8),(28,7311524,5.00,9.00,1.00,6.00,8.00,8.63,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','RIO NEGRO','PR',2597,1043,NULL,NULL,NULL,NULL,NULL,4,8),(28,7311532,0.00,5.00,2.00,2.00,1.00,NULL,2.00,3.00,3.00,444,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7311540,3.00,7.00,2.00,6.00,7.00,12.00,3.00,5.00,6.00,207,NULL,201,'SÃO JOÃO','PTO ALEGRE','RS',3242,121,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7311575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'NOSSA SENHORA AP','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7311583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PARQUE IMPERIAL','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7311591,0.00,4.00,1.00,7.00,5.00,8.25,1.00,2.00,3.00,304,NULL,NULL,'URUGUAI','MONDAÍ','SC',18744,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7311605,3.00,3.00,4.00,2.00,3.00,5.63,2.00,5.00,2.00,238,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311621,1.00,6.00,2.00,5.00,5.00,7.50,1.00,4.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17561,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311630,1.00,2.00,2.00,6.00,6.00,5.25,1.00,2.00,1.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19631,128,NULL,NULL,NULL,NULL,NULL,2,1),(28,7311648,3.00,7.00,2.00,6.00,8.00,8.63,4.00,4.00,3.00,201,NULL,211,'PRAIA BRAVA','ITAJAÍ','SC',6929,523,NULL,191,NULL,NULL,NULL,4,6),(28,7311656,2.00,3.00,2.00,6.00,4.00,7.50,2.00,5.00,3.00,999,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7311664,3.00,5.00,3.00,6.00,4.00,7.88,2.00,4.00,2.00,336,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',11706,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311672,3.00,4.00,3.00,5.00,7.00,6.75,3.00,5.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11324,184,NULL,NULL,NULL,NULL,NULL,2,1),(28,7311680,0.00,3.00,2.00,4.00,3.00,6.00,3.00,4.00,1.00,101,NULL,NULL,'EFAPI','CHAPECÓ','SC',19719,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7311699,3.00,8.00,2.00,5.00,7.00,8.63,2.00,5.00,4.00,5,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',7522,230,NULL,NULL,NULL,NULL,NULL,4,4),(28,7311710,3.00,5.00,2.00,7.00,7.00,8.25,5.00,5.00,4.00,201,NULL,212,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5094,391,NULL,165,NULL,NULL,NULL,4,1),(28,7311737,0.00,2.00,1.00,4.00,5.00,4.88,0.00,4.00,0.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',18656,70,NULL,NULL,NULL,NULL,NULL,4,15),(28,7311745,0.00,5.00,1.00,3.00,6.00,7.13,2.00,5.00,3.00,318,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',18743,139,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311753,3.00,6.00,1.00,6.00,4.00,6.38,2.00,4.00,2.00,454,NULL,NULL,'CAPOIERAS','FLORIANÓPOLIS','SC',17524,360,NULL,NULL,NULL,NULL,NULL,2,1),(28,7311761,2.00,7.00,1.00,6.00,4.00,7.88,2.00,4.00,3.00,454,NULL,NULL,'JOÃO PESSOA','JARAGUÁ SUL','SC',17452,357,NULL,NULL,NULL,NULL,NULL,4,23),(28,7311788,4.00,6.00,4.00,7.00,9.00,11.25,5.00,4.00,7.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',2258,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311800,1.00,5.00,1.00,6.00,6.00,7.13,0.00,3.00,2.00,108,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',13476,186,NULL,NULL,NULL,NULL,NULL,2,1),(28,7311818,1.00,9.00,3.00,5.00,7.00,8.25,2.00,6.00,1.00,103,NULL,NULL,'SANTA HELENA','JOAÇABA','SC',9246,2019,NULL,NULL,NULL,NULL,NULL,4,7),(28,7311826,1.00,3.00,1.00,2.00,4.00,NULL,0.00,3.00,2.00,444,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,15),(28,7311834,3.00,6.00,4.00,7.00,5.00,5.25,4.00,7.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7505,229,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311842,2.00,6.00,1.00,7.00,7.00,12.38,3.00,5.00,3.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',6796,316,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311850,2.00,8.00,3.00,2.00,8.00,8.25,0.00,7.00,3.00,303,NULL,NULL,'PRESIDENTE MÉDICE','CHAPECÓ','SC',8009,351,NULL,NULL,NULL,NULL,NULL,4,4),(28,7311869,3.00,7.00,4.00,7.00,7.00,10.13,2.00,5.00,4.00,103,NULL,NULL,'TARUMÃ','CURITIBA','PR',7430,1825,NULL,NULL,NULL,NULL,NULL,4,6),(28,7311877,4.00,7.00,1.00,6.00,7.00,9.75,1.00,4.00,3.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7964,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311885,1.00,5.00,3.00,6.00,7.00,10.13,3.00,5.00,4.00,319,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',7337,120,NULL,NULL,NULL,NULL,NULL,4,2),(28,7311893,1.00,5.00,0.00,4.00,8.00,7.88,2.00,3.00,3.00,103,NULL,NULL,'CACHOEIRA','PR GRANDE','SC',10944,2137,NULL,NULL,NULL,NULL,NULL,4,5),(28,7311915,5.00,7.00,2.00,6.00,8.00,10.50,4.00,5.00,6.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',4372,63,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311923,1.00,1.00,1.00,5.00,2.00,NULL,1.00,4.00,2.00,503,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7311931,2.00,4.00,3.00,5.00,7.00,9.75,2.00,6.00,3.00,303,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',12095,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7311940,0.00,5.00,4.00,6.00,5.00,NULL,4.00,4.00,0.00,309,NULL,NULL,'AURELIO BERNARDES','JI-PARANÁ','RO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7311958,2.00,6.00,4.00,5.00,6.00,7.50,2.00,5.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9402,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JARDIM PAULISTA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7311974,2.00,5.00,3.00,3.00,1.00,NULL,3.00,5.00,3.00,220,NULL,213,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7311982,0.00,5.00,1.00,6.00,7.00,NULL,2.00,8.00,3.00,451,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7311990,1.00,6.00,2.00,7.00,6.00,8.63,1.00,2.00,2.00,238,NULL,235,'INGLESES','FLORIANÓPOLIS','SC',12044,195,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312008,1.00,5.00,2.00,2.00,5.00,8.63,2.00,4.00,0.00,211,NULL,212,'BOA PARADA','S PEDRO ALCÂNTARA','SC',19151,426,NULL,420,NULL,NULL,NULL,4,1),(28,7312016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'TAQUARAL','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7312024,2.00,6.00,3.00,6.00,7.00,11.63,5.00,4.00,4.00,444,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',10271,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312032,0.00,6.00,3.00,2.00,4.00,3.00,2.00,5.00,5.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7312040,7.00,6.00,4.00,6.00,6.00,8.63,3.00,5.00,7.00,212,NULL,238,'CARVOEIRA','FLORIANÓPOLIS','SC',3896,119,NULL,22,NULL,NULL,NULL,4,1),(28,7312059,3.00,5.00,1.00,6.00,6.00,10.88,2.00,5.00,6.00,302,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9543,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312067,0.00,4.00,2.00,6.00,8.00,6.38,0.00,5.00,1.00,317,NULL,NULL,'ARIRIU DA FORMIGA','PALHOÇA','SC',18608,161,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312075,4.00,6.00,3.00,6.00,6.00,9.00,6.00,5.00,4.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8375,137,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312083,2.00,8.00,1.00,5.00,6.00,8.63,1.00,4.00,4.00,207,NULL,212,'VENDAVAL','BIGUAÇU','SC',9653,448,NULL,283,NULL,NULL,NULL,2,1),(28,7312091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','LAURENTINO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7312113,4.00,6.00,4.00,6.00,4.00,8.25,6.00,5.00,5.00,203,NULL,214,'CENTRO','CONCÓRDIA','SC',4495,NULL,NULL,152,NULL,NULL,NULL,4,26),(28,7312121,6.00,8.00,4.00,7.00,10.00,10.13,4.00,7.00,7.00,340,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',737,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7312148,5.00,6.00,2.00,7.00,9.00,6.75,1.00,6.00,3.00,203,NULL,202,'CAMPINAS','S JOSÉ','SC',10801,555,NULL,273,NULL,NULL,NULL,2,1),(28,7312164,0.00,5.00,3.00,2.00,5.00,4.50,2.00,3.00,1.00,320,NULL,NULL,'JARIVATUBA','JOINVILLE','SC',19840,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7312172,4.00,6.00,2.00,4.00,7.00,8.63,3.00,6.00,4.00,454,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',8772,161,NULL,NULL,NULL,NULL,NULL,2,1),(28,7312180,0.00,7.00,2.00,7.00,7.00,9.00,0.00,4.00,3.00,319,NULL,NULL,'VILA CALIFORNIA','S PAULO','SP',10323,191,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312199,6.00,8.00,3.00,7.00,7.00,6.75,5.00,6.00,4.00,319,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',5412,80,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312202,5.00,7.00,5.00,7.00,7.00,10.13,7.00,7.00,6.00,201,NULL,211,'BOSQUE DAS MANSÕES','S JOSÉ','SC',2964,222,NULL,56,NULL,NULL,NULL,2,1),(28,7312210,4.00,9.00,3.00,7.00,7.00,6.38,3.00,4.00,5.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',6469,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7312229,0.00,2.00,2.00,2.00,2.00,NULL,3.00,1.00,1.00,308,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7312237,4.00,3.00,3.00,4.00,4.00,4.88,3.00,5.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18586,274,NULL,NULL,NULL,NULL,NULL,2,1),(28,7312245,3.00,6.00,2.00,5.00,8.00,8.63,0.00,4.00,4.00,308,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',11507,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7312253,0.00,3.00,2.00,4.00,3.00,NULL,0.00,4.00,3.00,5,NULL,NULL,'PEDREGAL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312261,2.00,3.00,0.00,5.00,7.00,9.38,4.00,5.00,1.00,301,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',14048,199,NULL,NULL,NULL,NULL,NULL,2,1),(28,7312270,3.00,5.00,2.00,6.00,3.00,6.75,3.00,5.00,3.00,212,NULL,NULL,'VILA NOVA','BLUMENAU','SC',17593,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7312288,3.00,3.00,0.00,5.00,7.00,6.38,0.00,4.00,4.00,108,NULL,NULL,'RIO GRANDE','PALHOÇA','SC',13504,187,NULL,NULL,NULL,NULL,NULL,2,1),(28,7312296,1.00,5.00,0.00,2.00,2.00,NULL,2.00,2.00,1.00,230,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7312300,3.00,5.00,5.00,6.00,4.00,6.00,5.00,6.00,5.00,999,NULL,NULL,'CENTRO','MAL CÂNDIDO RONDON','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312326,1.00,4.00,2.00,4.00,2.00,NULL,3.00,5.00,3.00,110,NULL,NULL,'FORQUILINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7312334,2.00,2.00,2.00,2.00,3.00,9.75,0.00,3.00,1.00,427,NULL,425,'PALMAS','GOV CELSO RAMOS','SC',18655,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7312342,0.00,2.00,0.00,6.00,2.00,NULL,1.00,2.00,2.00,104,NULL,NULL,'SÃO SEBASTIÃO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7312350,5.00,7.00,4.00,6.00,7.00,8.63,5.00,6.00,7.00,103,NULL,NULL,'PASSO','MAFRA','SC',1567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7312369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,201,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,22),(28,7312377,4.00,3.00,3.00,5.00,4.00,5.25,2.00,3.00,1.00,202,NULL,213,'CORREGO GRANDE','FLORIANÓPOLIS','SC',16099,363,NULL,250,NULL,NULL,NULL,2,1),(28,7312385,5.00,9.00,3.00,7.00,10.00,10.13,7.00,8.00,5.00,233,NULL,203,'PIONEIROS','BAL CAMBORIÚ','SC',567,3,NULL,NULL,NULL,NULL,NULL,4,6),(28,7312393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,235,'PORTO DOS PADRES','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7312407,0.00,3.00,2.00,2.00,5.00,7.50,2.00,4.00,1.00,104,NULL,NULL,'CENTRO','PAPANDUVA','SC',17696,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7312415,4.00,7.00,3.00,4.00,7.00,7.13,5.00,6.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6485,104,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312423,0.00,4.00,4.00,4.00,5.00,7.88,0.00,1.00,3.00,201,NULL,216,'SERTÃO DO MARUIM','S JOSÉ','SC',15614,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7312431,0.00,4.00,1.00,4.00,8.00,8.63,3.00,3.00,5.00,215,NULL,207,'CARIANOS','FLORIANÓPOLIS','SC',11048,191,NULL,509,NULL,NULL,NULL,4,1),(28,7312440,3.00,4.00,2.00,3.00,4.00,7.50,1.00,4.00,1.00,101,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',16412,104,NULL,NULL,NULL,NULL,NULL,2,1),(28,7312458,4.00,4.00,2.00,2.00,5.00,6.38,3.00,4.00,3.00,211,NULL,233,'SAMBAQUI','FLORIANÓPOLIS','SC',14302,360,NULL,303,NULL,NULL,NULL,4,1),(28,7312466,1.00,5.00,2.00,6.00,4.00,7.13,5.00,5.00,3.00,339,NULL,NULL,'BARREROS','S JOSÉ','SC',13068,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7312474,3.00,6.00,3.00,6.00,7.00,10.50,6.00,7.00,2.00,328,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',7226,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312490,1.00,6.00,1.00,7.00,7.00,4.50,1.00,3.00,1.00,319,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',18740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312504,1.00,4.00,2.00,7.00,7.00,8.63,2.00,5.00,3.00,302,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',9680,52,NULL,NULL,NULL,NULL,NULL,2,1),(28,7312512,0.00,4.00,1.00,8.00,3.00,6.38,1.00,3.00,2.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19053,84,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312520,2.00,5.00,2.00,7.00,3.00,7.13,1.00,3.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312539,3.00,3.00,2.00,3.00,4.00,4.50,3.00,5.00,2.00,653,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',19319,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312547,1.00,6.00,3.00,6.00,2.00,NULL,1.00,3.00,3.00,208,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312571,3.00,5.00,3.00,3.00,5.00,6.38,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','GALVÃO','SC',14921,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7312580,2.00,3.00,3.00,6.00,6.00,7.88,1.00,4.00,2.00,109,NULL,NULL,'SAIC','CHAPECÓ','SC',17682,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7312598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7312601,7.00,6.00,2.00,5.00,7.00,9.75,2.00,7.00,3.00,326,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',9154,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312610,1.00,5.00,2.00,4.00,8.00,8.63,7.00,6.00,5.00,318,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',7604,36,NULL,NULL,NULL,NULL,NULL,4,15),(28,7312628,1.00,4.00,2.00,3.00,2.00,NULL,2.00,5.00,2.00,601,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7312636,1.00,5.00,1.00,5.00,4.00,6.38,2.00,3.00,2.00,5,NULL,NULL,'ARMAÇÃO DO PÂNTANO','FLORIANÓPOLIS','SC',15110,408,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312644,1.00,7.00,3.00,6.00,6.00,8.25,6.00,6.00,4.00,303,NULL,NULL,'AMERICA','JOINVILLE','SC',6398,289,NULL,NULL,NULL,NULL,NULL,4,8),(28,7312652,5.00,6.00,3.00,7.00,4.00,8.25,2.00,3.00,0.00,103,NULL,NULL,'JD CENTENÁRIO','S PAULO','SP',9237,2018,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312660,4.00,8.00,2.00,4.00,4.00,9.38,3.00,6.00,1.00,5,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14228,390,NULL,NULL,NULL,NULL,NULL,2,1),(28,7312679,1.00,6.00,3.00,6.00,6.00,6.00,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','LEBON RÉGIS','SC',15550,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7312687,0.00,3.00,3.00,4.00,3.00,6.38,2.00,3.00,1.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7312695,2.00,5.00,3.00,7.00,6.00,9.00,3.00,5.00,4.00,211,NULL,215,'CORREGO GRANDE','FLORIANÓPOLIS','SC',11577,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312717,5.00,6.00,3.00,7.00,8.00,8.25,5.00,5.00,5.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5892,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312725,3.00,4.00,1.00,5.00,7.00,10.50,3.00,5.00,5.00,215,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',7386,118,NULL,186,NULL,NULL,NULL,4,26),(28,7312733,5.00,7.00,2.00,7.00,7.00,10.50,3.00,5.00,7.00,216,NULL,214,'ALTO DA BOA VISTA','SOROCABA','SP',2649,93,NULL,95,NULL,NULL,NULL,4,8),(28,7312750,1.00,5.00,1.00,5.00,5.00,9.75,1.00,5.00,3.00,215,NULL,211,'SAO LUIZ','CRICIÚMA','SC',15632,253,NULL,387,NULL,NULL,NULL,2,5),(28,7312768,0.00,4.00,1.00,4.00,4.00,9.00,2.00,5.00,2.00,301,NULL,NULL,'CENTRO','CRICIÚMA','SC',18747,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7312776,3.00,1.00,3.00,4.00,6.00,6.00,3.00,4.00,2.00,207,NULL,212,'NOSSA SENHORA','CRICIÚMA','SC',18501,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7312784,1.00,6.00,2.00,5.00,7.00,7.50,3.00,3.00,2.00,201,NULL,207,'CARIJÓS','INDAIAL','SC',17649,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7312792,5.00,7.00,2.00,6.00,7.00,7.13,2.00,4.00,2.00,103,NULL,NULL,'IPIRANGA','S JOSÉ','SC',8620,1965,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312806,3.00,5.00,2.00,6.00,7.00,NULL,0.00,2.00,1.00,427,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7312814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'JARDIM BELA VISTA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7312822,1.00,7.00,2.00,6.00,8.00,10.50,4.00,3.00,4.00,201,NULL,238,'AREIAS','S JOSÉ','SC',12006,768,NULL,193,NULL,NULL,NULL,4,1),(28,7312830,1.00,8.00,3.00,5.00,4.00,7.50,4.00,5.00,3.00,454,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312849,3.00,5.00,3.00,6.00,6.00,8.25,5.00,6.00,3.00,103,NULL,NULL,'SANTA QUITERIA','CURITIBA','PR',7029,1766,NULL,NULL,NULL,NULL,NULL,2,8),(28,7312857,4.00,7.00,3.00,7.00,9.00,8.25,5.00,7.00,8.00,203,NULL,220,'CENTRO','LAGES','SC',2214,179,NULL,66,NULL,NULL,NULL,2,8),(28,7312873,2.00,5.00,4.00,6.00,4.00,7.13,2.00,4.00,5.00,444,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',16350,98,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312890,3.00,7.00,3.00,6.00,5.00,6.00,0.00,6.00,2.00,207,NULL,201,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',16224,707,NULL,NULL,NULL,NULL,NULL,2,1),(28,7312911,3.00,7.00,4.00,5.00,8.00,8.25,4.00,6.00,5.00,207,NULL,212,'CENTRO','CURITIBA','PR',6401,298,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312920,4.00,5.00,1.00,2.00,4.00,7.88,2.00,5.00,4.00,454,NULL,NULL,'ALTOS DE SANTANA','S JOSÉ CAMPOS','SP',12781,252,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'NOVA BRASÍLIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7312954,2.00,8.00,2.00,6.00,9.00,7.50,3.00,6.00,7.00,203,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',5424,363,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312962,2.00,7.00,3.00,7.00,6.00,6.75,2.00,6.00,3.00,203,NULL,202,'AREIAS','S JOSÉ','SC',10391,542,NULL,265,NULL,NULL,NULL,2,1),(28,7312970,8.00,7.00,5.00,7.00,10.00,13.13,5.00,7.00,7.00,220,NULL,235,'VILA HORTÊNCIA','SOROCABA','SP',294,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7312997,1.00,5.00,1.00,7.00,4.00,6.00,2.00,4.00,2.00,201,NULL,207,'ITACORUBI','FLORIANÓPOLIS','SC',15412,921,NULL,678,NULL,NULL,NULL,2,1),(28,7313004,4.00,7.00,5.00,7.00,7.00,9.38,5.00,6.00,7.00,208,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',2489,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313012,5.00,7.00,2.00,5.00,5.00,10.13,2.00,9.00,7.00,103,NULL,NULL,'VILA BELMIRO','SANTOS','SP',3524,1246,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7313039,4.00,7.00,4.00,6.00,7.00,7.13,5.00,7.00,7.00,202,NULL,NULL,'OURO VERDE','ASSIS','SP',6131,166,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7313063,2.00,6.00,2.00,7.00,9.00,6.75,3.00,6.00,3.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',12493,2231,NULL,NULL,NULL,NULL,NULL,2,1),(28,7313071,0.00,3.00,3.00,3.00,3.00,NULL,1.00,2.00,2.00,451,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7313080,6.00,7.00,3.00,6.00,6.00,8.25,2.00,5.00,7.00,203,NULL,235,'CENTRO','CASCAVEL','PR',4090,296,NULL,68,NULL,NULL,NULL,4,3),(28,7313098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,653,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7313128,3.00,7.00,3.00,5.00,6.00,8.25,3.00,5.00,3.00,201,NULL,212,'INTERIOR','IRACEMINHA','SC',7719,560,NULL,234,NULL,NULL,NULL,4,27),(28,7313136,4.00,0.00,3.00,7.00,5.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7313144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CANOAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7313152,1.00,4.00,1.00,5.00,2.00,NULL,2.00,2.00,2.00,208,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7313160,1.00,6.00,2.00,6.00,4.00,9.75,4.00,4.00,1.00,207,NULL,235,'BURITIS','BELO HORIZONTE','MG',12050,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313179,0.00,4.00,5.00,5.00,3.00,7.13,2.00,2.00,3.00,308,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19336,89,NULL,NULL,NULL,NULL,NULL,2,1),(28,7313187,2.00,8.00,1.00,4.00,8.00,6.00,2.00,4.00,1.00,552,NULL,NULL,'QUARTA LINHA','CRICIÚMA','SC',16595,122,NULL,NULL,NULL,NULL,NULL,2,5),(28,7313195,3.00,4.00,3.00,6.00,5.00,8.25,1.00,3.00,4.00,207,NULL,655,'BARREIROS','S JOSÉ','SC',13469,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7313209,5.00,4.00,1.00,5.00,3.00,4.50,1.00,3.00,2.00,238,NULL,220,'CAMPECHE','FLORIANÓPOLIS','SC',18500,322,NULL,338,NULL,NULL,NULL,2,1),(28,7313217,0.00,4.00,2.00,2.00,2.00,NULL,2.00,2.00,1.00,104,NULL,NULL,'INTERIOR','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7313225,2.00,5.00,2.00,2.00,6.00,7.50,2.00,5.00,1.00,201,NULL,203,'CENTRO','CONCÓRDIA','SC',18472,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7313233,3.00,6.00,1.00,7.00,4.00,6.75,2.00,3.00,3.00,302,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17530,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313241,5.00,3.00,4.00,5.00,3.00,6.38,3.00,4.00,3.00,5,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',14632,398,NULL,NULL,NULL,NULL,NULL,2,1),(28,7313250,3.00,3.00,4.00,5.00,2.00,NULL,2.00,4.00,2.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313268,1.00,4.00,0.00,4.00,4.00,8.25,2.00,4.00,2.00,316,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',19158,282,NULL,NULL,NULL,NULL,NULL,2,1),(28,7313276,2.00,3.00,0.00,3.00,1.00,NULL,0.00,3.00,1.00,601,NULL,214,'STO ANTONIO DE LISBO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313284,2.00,6.00,2.00,3.00,5.00,7.50,4.00,5.00,1.00,999,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313292,4.00,7.00,3.00,6.00,5.00,6.38,1.00,5.00,4.00,302,NULL,NULL,'CENTRO','BANDEIRANTE','SC',9622,50,NULL,NULL,NULL,NULL,NULL,4,27),(28,7313306,0.00,2.00,2.00,2.00,2.00,NULL,1.00,2.00,2.00,101,NULL,NULL,'ADOLFO C DA SILVA','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7313314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'MARTELLO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7313322,2.00,2.00,3.00,4.00,5.00,9.75,1.00,5.00,4.00,108,NULL,NULL,'CENTRO','BANDEIRANTE','SC',11638,153,NULL,NULL,NULL,NULL,NULL,4,27),(28,7313349,2.00,6.00,2.00,6.00,6.00,10.50,1.00,5.00,2.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313357,1.00,6.00,4.00,5.00,5.00,7.88,0.00,3.00,3.00,110,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7313365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7313373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7313381,1.00,5.00,1.00,6.00,8.00,5.63,4.00,4.00,1.00,340,NULL,NULL,'SENHORA DO ROSÁRIO','S JOSÉ','SC',13084,351,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313403,2.00,2.00,2.00,6.00,4.00,9.38,1.00,1.00,2.00,444,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',19146,135,NULL,NULL,NULL,NULL,NULL,2,1),(28,7313438,5.00,8.00,5.00,6.00,7.00,8.63,3.00,7.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2908,1113,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313462,0.00,4.00,2.00,5.00,3.00,NULL,0.00,2.00,2.00,238,NULL,235,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7313470,0.00,6.00,1.00,4.00,3.00,NULL,1.00,6.00,1.00,201,NULL,207,'OPERARIO','TRÊS PASSOS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7313497,2.00,5.00,0.00,6.00,9.00,8.63,3.00,5.00,3.00,211,NULL,NULL,'JD CIDADE FPOLIS','S JOSÉ','SC',8058,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313500,2.00,2.00,2.00,2.00,4.00,9.00,2.00,2.00,1.00,429,NULL,425,'JARAGUA ESQUERDO','JARAGUÁ SUL','SC',16158,35,NULL,55,NULL,NULL,NULL,4,23),(28,7313519,0.00,3.00,2.00,3.00,2.00,NULL,1.00,3.00,1.00,429,NULL,426,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313527,2.00,2.00,1.00,4.00,3.00,6.00,4.00,4.00,1.00,103,NULL,NULL,'BRASÍLIA','PATO BRANCO','PR',16849,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7313543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'INTERIOR','SEARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7313551,3.00,6.00,1.00,6.00,4.00,7.88,2.00,5.00,3.00,601,NULL,203,'ADHEMAR GARCIA','JOINVILLE','SC',12030,357,NULL,582,NULL,NULL,NULL,4,8),(28,7313560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'ALTO DAS PALMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7313578,3.00,4.00,2.00,5.00,4.00,7.13,3.00,3.00,3.00,425,NULL,423,'CAMPECHE','FLORIANÓPOLIS','SC',16511,NULL,NULL,22,NULL,NULL,NULL,4,1),(28,7313586,1.00,5.00,1.00,6.00,4.00,10.88,3.00,5.00,1.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',16898,252,NULL,NULL,NULL,NULL,NULL,2,1),(28,7313594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7313616,1.00,5.00,2.00,7.00,3.00,7.50,1.00,3.00,1.00,454,NULL,NULL,'NOVA DIVINÉIA','ARARANGUÁ','SC',19006,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7313640,2.00,4.00,3.00,6.00,5.00,5.63,1.00,3.00,2.00,309,NULL,NULL,'PINHEIRA','PALHOÇA','SC',15778,31,NULL,NULL,NULL,NULL,NULL,2,1),(28,7313659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'INDIANOPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7313675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,424,'VILA FORMOSA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7313683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'BRASÍLIA','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7313691,3.00,5.00,2.00,4.00,8.00,9.38,1.00,5.00,2.00,207,NULL,201,'CARIANOS','FLORIANÓPOLIS','SC',12078,549,NULL,773,NULL,NULL,NULL,2,1),(28,7313705,0.00,4.00,3.00,4.00,5.00,NULL,2.00,5.00,2.00,426,NULL,429,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7313713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7313721,2.00,7.00,3.00,4.00,4.00,7.88,2.00,2.00,4.00,502,NULL,NULL,'ESTACAO','URUSSANGA','SC',17625,45,NULL,NULL,NULL,NULL,NULL,2,5),(28,7313730,2.00,5.00,2.00,6.00,5.00,8.25,1.00,4.00,3.00,308,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',16789,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313764,4.00,5.00,0.00,5.00,6.00,6.75,1.00,4.00,0.00,552,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',18539,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313780,1.00,7.00,4.00,5.00,6.00,11.25,3.00,5.00,3.00,3,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12170,53,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313802,4.00,8.00,2.00,6.00,8.00,12.00,4.00,8.00,3.00,103,NULL,NULL,'JD IPE','ITATIBA','SP',2877,1107,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313810,4.00,3.00,2.00,3.00,5.00,5.63,3.00,3.00,3.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',19096,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7313837,1.00,2.00,3.00,0.00,5.00,6.00,2.00,2.00,2.00,5,NULL,NULL,'BELA VISTA','PALHOÇA','SC',20012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313845,3.00,3.00,2.00,4.00,3.00,6.75,2.00,3.00,2.00,444,NULL,NULL,'ALTO RIO FARIAS','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7313853,6.00,8.00,3.00,6.00,9.00,10.50,4.00,6.00,7.00,303,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',866,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313870,0.00,4.00,2.00,6.00,2.00,NULL,2.00,2.00,0.00,652,NULL,655,'SÃO FELIPE','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7313888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,220,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7313896,0.00,5.00,4.00,5.00,5.00,9.00,1.00,3.00,1.00,103,NULL,NULL,'ROÇADO','S JOSÉ','SC',18443,2487,NULL,NULL,NULL,NULL,NULL,2,1),(28,7313918,2.00,5.00,1.00,1.00,3.00,7.88,0.00,5.00,2.00,503,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',19282,43,NULL,NULL,NULL,NULL,NULL,4,2),(28,7313926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,653,'SANGA DA TOCA I','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7313934,4.00,6.00,2.00,6.00,6.00,5.25,1.00,3.00,4.00,104,NULL,NULL,'MINA UNIÃO','CRICIÚMA','SC',14641,358,NULL,NULL,NULL,NULL,NULL,2,5),(28,7313942,8.00,8.00,5.00,5.00,8.00,7.50,5.00,5.00,7.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',927,523,NULL,NULL,NULL,NULL,NULL,4,17),(28,7313950,1.00,1.00,1.00,1.00,4.00,NULL,0.00,2.00,0.00,551,NULL,NULL,'INTERIOR','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7313969,2.00,4.00,2.00,3.00,4.00,7.88,2.00,2.00,1.00,415,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',16847,250,NULL,NULL,NULL,NULL,NULL,4,1),(28,7313977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'AREIAS','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7313993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,NULL,'INTERIOR','LINDÓIA SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,26),(28,7314000,0.00,3.00,3.00,4.00,4.00,5.63,2.00,6.00,0.00,207,NULL,212,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314019,2.00,2.00,3.00,6.00,4.00,NULL,1.00,3.00,2.00,201,NULL,212,'TOSCANO','VACARIA','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,3),(28,7314027,2.00,8.00,3.00,5.00,3.00,7.50,3.00,6.00,3.00,207,NULL,201,'COPACABANA','LAGES','SC',10350,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7314035,2.00,7.00,1.00,6.00,5.00,7.13,2.00,5.00,5.00,212,NULL,233,'PRAIA COMPRIDA','S JOSÉ','SC',15040,NULL,NULL,312,NULL,NULL,NULL,2,1),(28,7314043,1.00,6.00,0.00,6.00,7.00,NULL,1.00,5.00,2.00,454,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'PONTE IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7314060,2.00,4.00,2.00,4.00,1.00,NULL,2.00,3.00,2.00,333,NULL,NULL,'SOBRADINHO DF','SOBRADINHO','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314078,1.00,6.00,2.00,1.00,1.00,NULL,2.00,5.00,3.00,238,NULL,235,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7314086,0.00,4.00,3.00,3.00,4.00,NULL,0.00,4.00,1.00,9,NULL,NULL,'CENTRO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7314094,2.00,5.00,4.00,4.00,7.00,6.75,3.00,3.00,6.00,201,NULL,235,'RECANTO DAS AGUAS','IA SOLTEIRA','SP',12997,NULL,NULL,209,NULL,NULL,NULL,4,8),(28,7314108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'BOA VISTA','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7314116,2.00,5.00,3.00,3.00,4.00,6.38,3.00,3.00,2.00,203,NULL,214,'CARIANOS','FLORIANÓPOLIS','SC',18985,703,NULL,358,NULL,NULL,NULL,4,1),(28,7314124,4.00,3.00,3.00,5.00,7.00,6.38,2.00,2.00,3.00,103,NULL,NULL,'CENTRO','LAURO MÜLLER','SC',13343,2275,NULL,NULL,NULL,NULL,NULL,2,5),(28,7314132,3.00,5.00,3.00,5.00,5.00,8.25,2.00,5.00,4.00,316,NULL,NULL,'CACHOEIRA','FLORIANÓPOLIS','SC',14105,175,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314140,4.00,8.00,3.00,7.00,8.00,9.38,6.00,5.00,7.00,201,NULL,238,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2812,210,NULL,10,NULL,NULL,NULL,4,1),(28,7314159,0.00,1.00,1.00,1.00,3.00,5.63,1.00,2.00,1.00,551,NULL,NULL,'INTERIOR','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7314167,1.00,2.00,3.00,5.00,5.00,6.38,2.00,2.00,0.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7314175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7314183,0.00,5.00,3.00,2.00,2.00,6.75,5.00,3.00,0.00,303,NULL,NULL,'ALDEIA PALMEIRINHA','JOSÉ BOITEUX','SC',19691,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7314191,1.00,4.00,0.00,2.00,6.00,7.88,2.00,6.00,1.00,501,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',14394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7314213,0.00,4.00,2.00,7.00,4.00,7.50,2.00,2.00,3.00,203,NULL,NULL,'MUNICIPIOS','BAL CAMBORIÚ','SC',18833,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7314221,6.00,7.00,1.00,6.00,3.00,4.88,5.00,7.00,6.00,212,NULL,213,'CENTRO','CORDEIRÓPOLIS','SP',4679,150,NULL,70,NULL,NULL,NULL,4,1),(28,7314230,2.00,5.00,2.00,0.00,3.00,NULL,0.00,4.00,1.00,103,NULL,NULL,'PINHEIROS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7314248,0.00,4.00,1.00,5.00,2.00,NULL,2.00,2.00,2.00,652,NULL,655,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7314256,1.00,4.00,3.00,5.00,6.00,5.63,1.00,2.00,1.00,101,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',19412,131,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314264,1.00,3.00,0.00,0.00,3.00,NULL,0.00,1.00,0.00,213,NULL,NULL,'CARAVAGGIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7314272,3.00,5.00,3.00,4.00,4.00,6.00,0.00,3.00,3.00,303,NULL,NULL,'CENTRO','S DOMINGOS','SC',18981,597,NULL,NULL,NULL,NULL,NULL,4,4),(28,7314280,1.00,6.00,0.00,7.00,7.00,8.25,1.00,4.00,3.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11382,4,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314299,4.00,5.00,1.00,6.00,6.00,8.25,1.00,6.00,4.00,101,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10828,52,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314310,2.00,4.00,3.00,5.00,3.00,7.13,2.00,4.00,1.00,308,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',18601,73,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,440,NULL,NULL,'ITAMBÉ','CAUCAIA','CE',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7314337,3.00,6.00,3.00,8.00,9.00,10.88,5.00,6.00,5.00,415,NULL,NULL,'KOBRASOL','S JOSÉ','SC',3146,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7314345,0.00,7.00,0.00,7.00,7.00,NULL,1.00,5.00,1.00,332,NULL,NULL,'SANTA ROSA','SOCORRO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314353,1.00,3.00,1.00,6.00,4.00,10.13,3.00,5.00,3.00,102,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314361,1.00,4.00,2.00,2.00,3.00,7.50,1.00,3.00,5.00,429,NULL,425,'CAMPINAS','S JOSÉ','SC',16487,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7314370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7314388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7314396,3.00,4.00,1.00,1.00,5.00,7.88,1.00,4.00,3.00,216,NULL,NULL,'VILA VITÓRA','MAUÁ','SP',19048,449,NULL,NULL,NULL,NULL,NULL,4,1),(28,7314400,2.00,8.00,3.00,7.00,9.00,7.50,5.00,6.00,5.00,454,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',2965,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7314418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7314426,4.00,7.00,1.00,4.00,9.00,7.50,2.00,5.00,5.00,223,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',11179,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7314442,4.00,6.00,3.00,4.00,5.00,7.13,5.00,7.00,4.00,317,NULL,NULL,'ARMAÇAO DO P DO SUL','FLORIANÓPOLIS','SC',11496,51,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7314485,2.00,5.00,3.00,6.00,8.00,9.38,1.00,5.00,4.00,3,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',9297,33,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314493,2.00,2.00,0.00,6.00,4.00,7.13,0.00,2.00,3.00,316,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314507,3.00,6.00,2.00,5.00,5.00,6.75,4.00,7.00,4.00,212,NULL,213,'CENTRO','PALHOÇA','SC',12391,341,NULL,212,NULL,NULL,NULL,2,1),(28,7314515,4.00,6.00,1.00,7.00,8.00,9.00,2.00,6.00,6.00,5,NULL,NULL,'CENTRO','JAGUARUNA','SC',4695,161,NULL,NULL,NULL,NULL,NULL,2,10),(28,7314523,0.00,3.00,1.00,4.00,4.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'CENTRO','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314531,0.00,3.00,2.00,3.00,2.00,NULL,2.00,5.00,2.00,308,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314558,0.00,3.00,3.00,4.00,5.00,9.00,1.00,4.00,2.00,440,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',15353,3,NULL,NULL,NULL,NULL,NULL,6,1),(28,7314566,3.00,6.00,2.00,6.00,6.00,10.13,4.00,7.00,3.00,104,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8798,209,NULL,NULL,NULL,NULL,NULL,4,1),(28,7314574,2.00,4.00,2.00,2.00,3.00,5.25,2.00,3.00,1.00,444,NULL,NULL,'CENTRO','SUL BRASIL','SC',17663,115,NULL,NULL,NULL,NULL,NULL,2,4),(28,7314590,0.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NOVA ITABERABA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(28,7314604,1.00,7.00,1.00,5.00,4.00,9.75,2.00,5.00,2.00,326,NULL,NULL,'INTERIOR','FLOR SERTÃO','SC',11544,36,NULL,NULL,NULL,NULL,NULL,2,27),(28,7314612,4.00,4.00,2.00,5.00,8.00,10.13,5.00,4.00,4.00,415,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',12501,205,NULL,NULL,NULL,NULL,NULL,2,8),(28,7314639,0.00,3.00,3.00,6.00,3.00,NULL,3.00,4.00,2.00,601,NULL,201,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7314655,0.00,3.00,3.00,3.00,6.00,10.50,1.00,5.00,1.00,310,NULL,NULL,'ALTO FELIZ','ARARANGUÁ','SC',14067,34,NULL,NULL,NULL,NULL,NULL,2,15),(28,7314663,3.00,3.00,3.00,3.00,5.00,5.63,3.00,2.00,4.00,208,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',18914,208,NULL,NULL,NULL,NULL,NULL,4,1),(28,7314671,4.00,4.00,2.00,5.00,7.00,7.13,2.00,5.00,3.00,340,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314680,3.00,4.00,1.00,4.00,7.00,5.25,1.00,4.00,3.00,101,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',19004,126,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7314701,1.00,6.00,1.00,1.00,2.00,NULL,1.00,5.00,2.00,230,NULL,NULL,'SAGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314710,1.00,6.00,2.00,2.00,3.00,8.63,2.00,6.00,2.00,103,NULL,NULL,'JARDIM DOS ESTADOS','SOROCABA','SP',13183,2268,NULL,NULL,NULL,NULL,NULL,4,1),(28,7314728,1.00,6.00,2.00,4.00,5.00,5.63,4.00,5.00,2.00,301,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',13751,193,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314736,3.00,3.00,0.00,1.00,1.00,NULL,0.00,5.00,1.00,319,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314752,0.00,3.00,1.00,4.00,3.00,NULL,1.00,2.00,2.00,423,NULL,427,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314779,1.00,5.00,1.00,2.00,5.00,6.38,3.00,5.00,3.00,202,NULL,213,'KOBRASOL','S JOSÉ','SC',15126,347,NULL,240,NULL,NULL,NULL,4,1),(28,7314787,7.00,8.00,5.00,7.00,9.00,9.38,4.00,7.00,7.00,103,NULL,NULL,'JARDIM ROSSINE','PEDERNEIRAS','SP',704,430,NULL,NULL,NULL,NULL,NULL,4,1),(28,7314795,0.00,4.00,1.00,2.00,6.00,9.00,1.00,2.00,3.00,201,NULL,207,'CENTRO','PATO BRANCO','PR',16894,959,NULL,730,NULL,NULL,NULL,2,4),(28,7314809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7314817,2.00,7.00,3.00,6.00,8.00,10.88,2.00,7.00,4.00,238,NULL,212,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',4157,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7314841,1.00,3.00,1.00,4.00,6.00,9.38,0.00,1.00,3.00,308,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',16502,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7314850,1.00,5.00,2.00,5.00,1.00,NULL,2.00,6.00,3.00,222,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314876,1.00,1.00,0.00,2.00,3.00,6.75,1.00,2.00,1.00,207,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',20166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7314884,2.00,5.00,1.00,1.00,3.00,6.75,1.00,2.00,2.00,104,NULL,NULL,'SÃO GERONIMO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7314892,1.00,6.00,2.00,2.00,4.00,4.50,1.00,5.00,1.00,501,NULL,NULL,'INTERIOR','NOVA ERECHIM','SC',18202,114,NULL,NULL,NULL,NULL,NULL,2,4),(28,7314906,1.00,4.00,1.00,2.00,5.00,7.88,2.00,3.00,1.00,404,NULL,NULL,'BOA VISTA','BIGUAÇU','SC',16322,44,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314914,4.00,8.00,6.00,6.00,7.00,9.38,7.00,4.00,5.00,301,NULL,NULL,'MINA BRASIL','CRICIÚMA','SC',2841,10,NULL,NULL,NULL,NULL,NULL,4,5),(28,7314949,4.00,7.00,2.00,3.00,7.00,8.25,3.00,6.00,3.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',6684,1723,NULL,NULL,NULL,NULL,NULL,4,4),(28,7314957,3.00,6.00,1.00,4.00,7.00,9.00,4.00,3.00,4.00,207,NULL,201,'SERRA ALTA','S BENTO SUL','SC',14511,639,NULL,890,NULL,NULL,NULL,2,23),(28,7314965,3.00,6.00,2.00,7.00,7.00,6.75,2.00,6.00,4.00,332,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12607,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7314973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'SAO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7314981,0.00,8.00,1.00,4.00,6.00,9.75,3.00,6.00,4.00,320,NULL,NULL,'AREIAS','S JOSÉ','SC',13659,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7314990,4.00,8.00,4.00,7.00,10.00,9.00,4.00,6.00,5.00,216,NULL,212,'PANTANAL','FLORIANÓPOLIS','SC',2445,81,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315007,0.00,6.00,2.00,4.00,3.00,NULL,2.00,4.00,1.00,329,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315015,4.00,4.00,1.00,3.00,7.00,10.13,3.00,5.00,5.00,216,NULL,211,'CARIANOS','FLORIANÓPOLIS','SC',8248,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7315023,1.00,7.00,1.00,5.00,8.00,7.88,2.00,6.00,4.00,201,NULL,207,'SERRARIA','S JOSÉ','SC',7657,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7315031,4.00,3.00,4.00,2.00,3.00,5.63,1.00,2.00,1.00,655,NULL,653,'VILA BEATRIZ','MARACAJÁ','SC',19777,139,NULL,218,NULL,NULL,NULL,2,15),(28,7315040,4.00,7.00,4.00,4.00,5.00,6.75,2.00,5.00,3.00,108,NULL,NULL,'CENTRO','BENTO ABREU','SP',7229,90,NULL,NULL,NULL,NULL,NULL,4,1),(28,7315066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CIDADE JARDIM','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7315074,1.00,3.00,1.00,1.00,3.00,6.75,2.00,1.00,1.00,601,NULL,201,'ATIRADORES','JOINVILLE','SC',18963,536,NULL,1027,NULL,NULL,NULL,4,8),(28,7315090,1.00,0.00,2.00,7.00,5.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7315104,1.00,6.00,1.00,5.00,5.00,7.13,2.00,2.00,4.00,319,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',14494,281,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315112,6.00,8.00,3.00,8.00,10.00,6.00,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1591,772,NULL,NULL,NULL,NULL,NULL,4,1),(28,7315120,2.00,2.00,0.00,2.00,1.00,NULL,0.00,0.00,2.00,103,NULL,NULL,'FAZENSA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315139,3.00,5.00,1.00,7.00,6.00,9.75,2.00,4.00,5.00,454,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',7990,136,NULL,NULL,NULL,NULL,NULL,4,1),(28,7315147,3.00,6.00,3.00,4.00,5.00,7.50,5.00,5.00,5.00,201,NULL,213,'TRES VENDAS','ERECHIM','RS',8412,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7315155,0.00,5.00,0.00,2.00,4.00,NULL,2.00,5.00,0.00,238,NULL,201,'PRAINHA','IMARUÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7315163,1.00,5.00,1.00,7.00,6.00,7.13,1.00,6.00,4.00,238,NULL,220,'CARIANOS','FLORIANÓPOLIS','SC',16554,288,NULL,NULL,NULL,NULL,NULL,4,1),(28,7315171,3.00,6.00,3.00,6.00,7.00,9.38,3.00,6.00,7.00,104,NULL,NULL,'CENTRO','TURVO','SC',4925,91,NULL,NULL,NULL,NULL,NULL,2,15),(28,7315180,2.00,4.00,2.00,3.00,4.00,7.88,3.00,2.00,3.00,327,NULL,NULL,'BELA VISTA','S JOSÉ','SC',18760,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315198,0.00,3.00,3.00,4.00,2.00,NULL,3.00,6.00,3.00,213,NULL,212,'PADROEIRA','OSASCO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7315201,0.00,4.00,0.00,3.00,6.00,NULL,0.00,2.00,2.00,201,NULL,653,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7315228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'JD PIRATININGA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7315236,2.00,7.00,2.00,7.00,8.00,9.75,5.00,6.00,4.00,207,NULL,201,'ARMAÇÃO DA PIEDADE','GOV CELSO RAMOS','SC',8184,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315244,3.00,7.00,3.00,7.00,9.00,6.38,5.00,5.00,5.00,103,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',5698,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7315252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TANGARÁ SERRA','MT',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7315260,3.00,8.00,2.00,7.00,7.00,7.50,1.00,4.00,3.00,9,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',13323,90,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7315287,2.00,6.00,1.00,6.00,8.00,6.75,2.00,5.00,2.00,655,NULL,652,'JD CIDADE DE FPOLIS','S JOSÉ','SC',11021,58,NULL,28,NULL,NULL,NULL,2,1),(28,7315295,1.00,5.00,2.00,4.00,4.00,7.13,0.00,2.00,1.00,5,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',16986,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315309,0.00,1.00,2.00,4.00,1.00,NULL,3.00,3.00,0.00,234,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7315325,3.00,2.00,2.00,6.00,4.00,7.88,2.00,2.00,3.00,454,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',18761,382,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315333,1.00,5.00,2.00,1.00,4.00,5.63,1.00,3.00,0.00,336,NULL,NULL,'SANTA GEMA','VIDEIRA','SC',19216,96,NULL,NULL,NULL,NULL,NULL,4,25),(28,7315341,0.00,2.00,4.00,1.00,2.00,NULL,2.00,4.00,2.00,654,NULL,NULL,'GARAPUVU','ERMO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7315350,2.00,4.00,4.00,4.00,7.00,8.63,3.00,6.00,5.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',6563,1707,NULL,NULL,NULL,NULL,NULL,2,8),(28,7315368,0.00,3.00,3.00,6.00,7.00,8.63,2.00,5.00,4.00,104,NULL,NULL,'CARAVAGGIO','NOVA VENEZA','SC',11977,298,NULL,NULL,NULL,NULL,NULL,2,5),(28,7315376,1.00,5.00,1.00,5.00,7.00,10.13,2.00,6.00,1.00,326,NULL,NULL,'PQR JOAO OMETTO','LIMEIRA','SP',10722,33,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315384,2.00,5.00,3.00,1.00,8.00,6.75,5.00,5.00,1.00,104,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',12622,313,NULL,NULL,NULL,NULL,NULL,4,1),(28,7315392,3.00,4.00,0.00,7.00,5.00,9.00,1.00,4.00,1.00,404,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18135,57,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7315414,0.00,4.00,2.00,6.00,7.00,6.75,2.00,2.00,1.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16484,133,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315422,0.00,2.00,3.00,3.00,3.00,7.13,0.00,3.00,1.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7315457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7315465,6.00,6.00,1.00,7.00,6.00,8.25,3.00,7.00,3.00,207,NULL,238,'BOM ABRIGO','FLORIANÓPOLIS','SC',4875,206,NULL,35,NULL,NULL,NULL,4,1),(28,7315473,2.00,4.00,1.00,6.00,5.00,8.25,1.00,5.00,2.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',12039,NULL,NULL,332,NULL,NULL,NULL,4,1),(28,7315490,3.00,4.00,2.00,7.00,5.00,6.75,2.00,4.00,1.00,319,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',18474,356,NULL,NULL,NULL,NULL,NULL,4,1),(28,7315503,2.00,6.00,1.00,6.00,6.00,7.50,2.00,3.00,3.00,103,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',16942,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7315511,4.00,7.00,2.00,5.00,4.00,8.63,3.00,3.00,2.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',14745,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7315520,2.00,3.00,3.00,6.00,9.00,5.63,2.00,5.00,3.00,9,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',13593,94,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315538,1.00,6.00,1.00,6.00,3.00,7.13,1.00,3.00,2.00,9,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',16635,127,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315546,2.00,6.00,2.00,7.00,3.00,7.88,1.00,3.00,2.00,454,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',18125,371,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315554,1.00,5.00,3.00,5.00,5.00,8.25,3.00,5.00,0.00,319,NULL,NULL,'ROÇADO','S JOSÉ','SC',14351,277,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315562,0.00,2.00,0.00,1.00,3.00,4.88,2.00,2.00,1.00,654,NULL,NULL,'VILA BEATRIZ','MARACAJÁ','SC',20168,85,NULL,NULL,NULL,NULL,NULL,4,15),(28,7315570,5.00,8.00,6.00,6.00,10.00,8.25,7.00,8.00,8.00,103,NULL,NULL,'BNH TERCEIRO PLANO','DOURADOS','MS',196,153,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315589,3.00,6.00,3.00,5.00,8.00,12.00,5.00,5.00,6.00,201,NULL,601,'SAGUAÇU','JOINVILLE','SC',6307,NULL,NULL,131,NULL,NULL,NULL,4,8),(28,7315600,1.00,4.00,2.00,5.00,5.00,NULL,0.00,2.00,2.00,208,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315619,4.00,3.00,1.00,6.00,4.00,9.38,3.00,4.00,4.00,301,NULL,NULL,'BUENO','GOIÂNIA','GO',15381,217,NULL,NULL,NULL,NULL,NULL,4,1),(28,7315627,0.00,3.00,3.00,2.00,0.00,NULL,3.00,3.00,1.00,201,NULL,207,'PARQUE JARDIM OURO','OURO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7315643,0.00,2.00,2.00,1.00,5.00,6.75,2.00,2.00,3.00,104,NULL,NULL,'SANTA REGINA IV','CAMBORIÚ','SC',18240,434,NULL,NULL,NULL,NULL,NULL,4,3),(28,7315651,2.00,5.00,2.00,6.00,6.00,8.63,3.00,5.00,1.00,999,NULL,NULL,'NAZARÉ','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7315660,4.00,7.00,4.00,5.00,7.00,9.38,1.00,6.00,2.00,211,NULL,216,'CENTRO','CAIEIRAS','SP',6568,181,NULL,227,NULL,NULL,NULL,4,1),(28,7315678,0.00,2.00,2.00,2.00,1.00,NULL,3.00,2.00,2.00,319,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7315686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'CENTRO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7315694,2.00,3.00,3.00,1.00,5.00,9.00,4.00,4.00,3.00,103,NULL,NULL,'VILA SETE DE JULHO','CAPINZAL','SC',13299,2272,NULL,NULL,NULL,NULL,NULL,4,7),(28,7315708,1.00,5.00,0.00,4.00,6.00,8.25,1.00,5.00,1.00,234,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',13281,33,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315732,4.00,6.00,0.00,5.00,5.00,6.75,2.00,8.00,3.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15280,138,NULL,NULL,NULL,NULL,NULL,4,1),(28,7315759,5.00,6.00,4.00,3.00,6.00,9.00,5.00,6.00,3.00,238,NULL,235,'PANTANO DO SUL','FLORIANÓPOLIS','SC',6473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7315767,5.00,6.00,1.00,6.00,10.00,8.63,3.00,6.00,4.00,220,NULL,203,'CENTRO','ITUPORANGA','SC',5576,164,NULL,NULL,NULL,NULL,NULL,2,24),(28,7315775,3.00,8.00,3.00,7.00,4.00,10.88,4.00,8.00,5.00,5,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8024,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315783,5.00,7.00,3.00,5.00,8.00,5.25,5.00,6.00,5.00,203,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',4680,324,NULL,71,NULL,NULL,NULL,4,1),(28,7315791,1.00,5.00,1.00,3.00,3.00,8.63,1.00,2.00,5.00,101,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',15225,94,NULL,NULL,NULL,NULL,NULL,2,23),(28,7315805,1.00,6.00,0.00,4.00,4.00,10.50,2.00,7.00,4.00,337,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',12248,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7315813,1.00,4.00,5.00,3.00,5.00,5.25,1.00,3.00,4.00,338,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16483,10,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315821,2.00,4.00,3.00,3.00,8.00,6.75,4.00,5.00,2.00,201,NULL,203,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7315830,0.00,6.00,2.00,3.00,5.00,NULL,0.00,6.00,0.00,339,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315864,2.00,7.00,2.00,6.00,3.00,6.75,1.00,4.00,4.00,444,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',17333,111,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315880,3.00,5.00,2.00,6.00,9.00,6.75,2.00,6.00,4.00,303,NULL,NULL,'CENTRO','PTO BELO','SC',6685,301,NULL,NULL,NULL,NULL,NULL,4,6),(28,7315899,1.00,3.00,3.00,4.00,3.00,3.00,2.00,1.00,3.00,316,NULL,NULL,'ARMAÇÃO DO PANTANO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315902,0.00,6.00,2.00,5.00,4.00,11.25,1.00,5.00,4.00,340,NULL,NULL,'CENTRO','CURITIBANOS','SC',11158,311,NULL,NULL,NULL,NULL,NULL,4,16),(28,7315929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,212,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7315937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,213,'DEZ DE NOVEMBRO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,25),(28,7315945,0.00,4.00,2.00,4.00,2.00,NULL,1.00,2.00,0.00,207,NULL,201,'CENTRO','MERCEDES','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7315953,1.00,4.00,1.00,3.00,5.00,5.63,1.00,5.00,2.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',16570,718,NULL,950,NULL,NULL,NULL,4,1),(28,7315961,4.00,6.00,2.00,4.00,6.00,6.75,2.00,4.00,4.00,207,NULL,201,'AGRONOMICA','FLORIANÓPOLIS','SC',12900,582,NULL,825,NULL,NULL,NULL,4,1),(28,7315970,5.00,7.00,3.00,7.00,9.00,9.75,5.00,6.00,7.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',2136,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7315996,3.00,1.00,1.00,5.00,5.00,10.50,2.00,4.00,2.00,999,NULL,NULL,'REUNIDAS','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316003,1.00,5.00,2.00,4.00,4.00,4.88,1.00,3.00,4.00,234,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',17155,53,NULL,NULL,NULL,NULL,NULL,2,1),(28,7316020,2.00,6.00,0.00,7.00,6.00,NULL,3.00,3.00,2.00,340,NULL,NULL,'SÃO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7316038,4.00,4.00,1.00,6.00,6.00,7.50,2.00,5.00,2.00,999,NULL,NULL,'JD NOVA BRAGANÇA','BRAGANÇA PAULISTA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316046,1.00,5.00,1.00,7.00,4.00,8.25,1.00,5.00,4.00,205,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16838,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316054,2.00,8.00,2.00,5.00,6.00,8.63,3.00,6.00,2.00,336,NULL,NULL,'CENTRO','URUSSANGA','SC',7664,40,NULL,NULL,NULL,NULL,NULL,4,5),(28,7316062,4.00,6.00,1.00,5.00,3.00,6.38,3.00,4.00,4.00,108,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',12889,180,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7316097,5.00,8.00,1.00,6.00,10.00,10.13,5.00,5.00,5.00,201,NULL,202,'VILA OPERÁRIA','ITAJAÍ','SC',2883,216,NULL,82,NULL,NULL,NULL,4,6),(28,7316100,2.00,5.00,2.00,2.00,4.00,5.63,3.00,3.00,1.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19746,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7316119,1.00,5.00,4.00,5.00,4.00,6.38,1.00,3.00,3.00,208,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',18508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316127,1.00,5.00,1.00,3.00,8.00,7.88,2.00,1.00,3.00,207,NULL,216,'ANZOLIN','JOAÇABA','SC',14460,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7316135,3.00,7.00,1.00,4.00,7.00,6.75,2.00,7.00,3.00,102,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',10780,99,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316143,1.00,8.00,2.00,6.00,5.00,5.25,3.00,7.00,0.00,225,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12805,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316160,0.00,5.00,1.00,7.00,6.00,NULL,0.00,6.00,2.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316194,3.00,4.00,2.00,3.00,6.00,8.25,4.00,4.00,2.00,109,NULL,NULL,'RIBEIRÃO DA IHA','FLORIANÓPOLIS','SC',17433,79,NULL,NULL,NULL,NULL,NULL,2,1),(28,7316208,3.00,7.00,5.00,8.00,6.00,9.75,2.00,5.00,3.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',9645,289,NULL,NULL,NULL,NULL,NULL,2,1),(28,7316216,0.00,4.00,1.00,4.00,3.00,NULL,1.00,1.00,1.00,316,NULL,NULL,'FORQUILHA DO CEDRO','STA ROSA SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7316224,2.00,7.00,0.00,8.00,6.00,12.38,5.00,4.00,1.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7598,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316240,5.00,8.00,4.00,7.00,8.00,10.13,5.00,7.00,4.00,2,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2304,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316259,1.00,6.00,2.00,3.00,4.00,7.13,1.00,6.00,1.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18797,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'CENTRO','RIO NEGRO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7316275,5.00,7.00,4.00,6.00,7.00,10.50,7.00,7.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1520,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7316305,2.00,6.00,1.00,5.00,5.00,9.38,2.00,2.00,2.00,9,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17808,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7316330,1.00,4.00,1.00,7.00,7.00,7.50,1.00,5.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11416,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316348,4.00,7.00,3.00,5.00,7.00,10.13,4.00,8.00,4.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',4311,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7316356,0.00,3.00,2.00,4.00,1.00,NULL,2.00,4.00,1.00,404,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316364,5.00,6.00,1.00,6.00,3.00,7.50,2.00,6.00,2.00,212,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',16976,399,NULL,294,NULL,NULL,NULL,4,1),(28,7316372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','IMBUIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7316380,8.00,7.00,1.00,7.00,8.00,8.25,5.00,8.00,7.00,103,NULL,NULL,'BELA VISTA','S JOSÉ','SC',1171,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7316437,4.00,2.00,0.00,4.00,3.00,8.63,0.00,4.00,2.00,238,NULL,NULL,'VARGEM GRANDE','ÁGUAS MORNAS','SC',18489,321,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316445,1.00,8.00,1.00,5.00,8.00,8.25,1.00,5.00,2.00,999,NULL,NULL,'CENTRO','LACERDÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7316461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7316470,1.00,5.00,2.00,5.00,3.00,7.88,1.00,4.00,2.00,601,NULL,202,'HUMAITÁ DE CIMA','TUBARÃO','SC',19008,537,NULL,395,NULL,NULL,NULL,2,10),(28,7316488,0.00,6.00,3.00,2.00,5.00,7.13,2.00,4.00,3.00,319,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',15477,304,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316496,6.00,7.00,2.00,7.00,8.00,7.13,2.00,6.00,3.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',6253,73,NULL,NULL,NULL,NULL,NULL,2,1),(28,7316500,7.00,8.00,4.00,7.00,9.00,8.63,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1068,587,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316518,1.00,5.00,2.00,6.00,6.00,8.25,1.00,4.00,1.00,110,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',18046,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7316534,3.00,7.00,3.00,7.00,6.00,5.63,4.00,7.00,2.00,999,NULL,NULL,'PRESIDENTE MEDICE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7316542,2.00,5.00,2.00,4.00,4.00,8.25,2.00,5.00,4.00,230,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',16863,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316550,3.00,4.00,1.00,6.00,4.00,7.50,2.00,5.00,5.00,208,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',12394,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316569,5.00,6.00,3.00,5.00,6.00,6.38,2.00,7.00,3.00,104,NULL,NULL,'CENTRO','ITAJAÍ','SC',6908,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7316577,2.00,7.00,1.00,7.00,7.00,9.00,3.00,4.00,4.00,999,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7316593,0.00,7.00,1.00,1.00,4.00,9.00,2.00,5.00,2.00,999,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7316607,2.00,7.00,0.00,6.00,7.00,8.25,4.00,4.00,3.00,102,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10637,97,NULL,NULL,NULL,NULL,NULL,2,1),(28,7316623,2.00,0.00,3.00,4.00,7.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'AEROPORTO','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(28,7316631,2.00,7.00,2.00,5.00,5.00,7.50,3.00,5.00,3.00,428,NULL,424,'CAMPECHE','FLORIANÓPOLIS','SC',15845,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316666,0.00,2.00,2.00,2.00,6.00,NULL,3.00,4.00,1.00,319,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316674,3.00,5.00,2.00,7.00,5.00,6.75,3.00,5.00,2.00,423,NULL,429,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',11001,6,NULL,NULL,NULL,NULL,NULL,2,1),(28,7316682,3.00,0.00,3.00,4.00,2.00,NULL,1.00,1.00,3.00,101,NULL,NULL,'SAUDADE','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7316690,2.00,6.00,3.00,7.00,5.00,8.63,3.00,6.00,1.00,201,NULL,212,'CANASVIEIRAS','FLORIANÓPOLIS','SC',8737,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7316704,2.00,5.00,2.00,5.00,4.00,9.75,2.00,6.00,4.00,552,NULL,NULL,'INTERIOR','URUPEMA','SC',14496,90,NULL,NULL,NULL,NULL,NULL,2,9),(28,7316712,1.00,1.00,2.00,5.00,4.00,NULL,0.00,1.00,1.00,103,NULL,NULL,'PRADO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7316720,2.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7316739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'NAÇÕES','SEARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7316747,0.00,4.00,1.00,3.00,4.00,NULL,1.00,2.00,1.00,309,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7316755,1.00,4.00,4.00,4.00,4.00,5.25,2.00,3.00,0.00,308,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',19779,96,NULL,NULL,NULL,NULL,NULL,2,1),(28,7316763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,216,'ITAPEVA','VOTORANTIM','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7316771,3.00,7.00,1.00,6.00,4.00,9.38,0.00,5.00,1.00,429,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',17218,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316780,3.00,3.00,0.00,4.00,2.00,NULL,2.00,5.00,4.00,454,NULL,NULL,'JARDIM ESPERANÇA','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7316801,3.00,5.00,0.00,4.00,2.00,NULL,3.00,3.00,3.00,211,NULL,215,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7316810,2.00,7.00,2.00,6.00,5.00,5.25,3.00,5.00,3.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11295,317,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316828,6.00,6.00,3.00,5.00,8.00,8.25,4.00,7.00,6.00,238,NULL,207,'SERRINHA','FLORIANÓPOLIS','SC',3068,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316836,1.00,4.00,1.00,6.00,4.00,11.63,1.00,5.00,2.00,340,NULL,NULL,'NEREU RAMOS','JARAGUÁ SUL','SC',11852,325,NULL,NULL,NULL,NULL,NULL,4,23),(28,7316852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ARMAÇÃO PANTANO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7316860,1.00,5.00,1.00,7.00,5.00,7.13,2.00,4.00,2.00,201,NULL,203,'CABECUDAS','ITAJAÍ','SC',18286,1003,NULL,692,NULL,NULL,NULL,2,6),(28,7316879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,653,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7316887,2.00,4.00,0.00,6.00,4.00,8.25,2.00,3.00,3.00,216,NULL,215,'CENTRO','ALFREDO WAGNER','SC',13843,379,NULL,234,NULL,NULL,NULL,2,1),(28,7316895,0.00,3.00,2.00,2.00,4.00,NULL,0.00,4.00,1.00,102,NULL,NULL,'CENTRO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7316909,3.00,5.00,1.00,3.00,4.00,7.88,4.00,5.00,1.00,999,NULL,NULL,'ALVORADA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7316917,4.00,4.00,2.00,3.00,7.00,8.25,4.00,3.00,3.00,211,NULL,233,'PRAIA COMPRIDA','S JOSÉ','SC',10513,285,NULL,249,NULL,NULL,NULL,4,1),(28,7316925,2.00,7.00,1.00,6.00,7.00,7.50,0.00,4.00,3.00,207,NULL,215,'CAMPINAS','S JOSÉ','SC',12619,569,NULL,214,NULL,NULL,NULL,2,1),(28,7316933,4.00,6.00,2.00,7.00,9.00,9.38,1.00,4.00,3.00,101,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',12617,66,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7316950,2.00,5.00,2.00,7.00,8.00,7.13,0.00,5.00,2.00,999,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7316976,4.00,5.00,3.00,7.00,6.00,4.50,4.00,5.00,3.00,302,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',13317,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7316984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7316992,4.00,9.00,3.00,7.00,9.00,12.38,4.00,8.00,4.00,501,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',2854,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317000,3.00,8.00,2.00,5.00,6.00,7.13,2.00,5.00,2.00,103,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',9873,2065,NULL,NULL,NULL,NULL,NULL,4,7),(28,7317018,0.00,4.00,2.00,4.00,8.00,8.25,2.00,4.00,4.00,109,NULL,NULL,'CENTRO','PR GRANDE','SC',12890,43,NULL,NULL,NULL,NULL,NULL,4,15),(28,7317026,0.00,1.00,1.00,2.00,3.00,5.63,0.00,2.00,0.00,415,NULL,NULL,'SANTA TERESA','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317034,0.00,3.00,1.00,1.00,5.00,NULL,3.00,4.00,2.00,316,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7317042,5.00,6.00,4.00,7.00,6.00,7.88,4.00,6.00,7.00,319,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',4058,58,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7317077,0.00,3.00,0.00,2.00,4.00,NULL,1.00,4.00,2.00,444,NULL,NULL,'ZANELLATO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317085,2.00,6.00,3.00,6.00,9.00,9.38,2.00,7.00,7.00,103,NULL,NULL,'CENTRO','JABORÁ','SC',3453,1233,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317093,4.00,7.00,3.00,7.00,9.00,7.50,4.00,5.00,5.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',3362,153,NULL,NULL,NULL,NULL,NULL,4,5),(28,7317107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA QUATRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7317115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,24),(28,7317123,2.00,4.00,1.00,7.00,3.00,7.50,1.00,3.00,1.00,308,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',18983,81,NULL,NULL,NULL,NULL,NULL,2,1),(28,7317131,1.00,7.00,1.00,7.00,7.00,7.50,2.00,4.00,2.00,103,NULL,NULL,'BOA VISTA','ITUPORANGA','SC',15194,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7317158,3.00,6.00,2.00,6.00,7.00,9.75,4.00,5.00,6.00,216,NULL,203,'CENTRO','CHAPECÓ','SC',3831,148,NULL,NULL,NULL,NULL,NULL,4,4),(28,7317166,0.00,2.00,2.00,6.00,5.00,8.25,2.00,3.00,1.00,429,NULL,425,'INTERIOR','S JOÃO OESTE','SC',16420,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7317182,3.00,3.00,3.00,7.00,5.00,5.63,2.00,4.00,4.00,234,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16255,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7317204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7317212,1.00,6.00,2.00,8.00,4.00,8.25,3.00,5.00,3.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14759,107,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317220,2.00,6.00,0.00,6.00,7.00,8.25,2.00,5.00,2.00,552,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',10306,36,NULL,NULL,NULL,NULL,NULL,4,23),(28,7317247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO CRISTÓVÃO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7317255,3.00,2.00,0.00,6.00,2.00,NULL,1.00,3.00,1.00,202,NULL,220,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7317263,2.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7317271,7.00,9.00,3.00,8.00,5.00,9.38,5.00,7.00,5.00,5,NULL,NULL,'ROÇADO','S JOSÉ','SC',3199,117,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317280,0.00,4.00,3.00,6.00,3.00,6.00,2.00,4.00,2.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',18979,596,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317298,2.00,7.00,5.00,5.00,6.00,7.50,4.00,8.00,7.00,201,NULL,212,'VILA MOEMA','TUBARÃO','SC',7148,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7317301,0.00,4.00,1.00,5.00,7.00,6.38,2.00,2.00,1.00,319,NULL,NULL,'SANTA CLARA','CAÇADOR','SC',15328,301,NULL,NULL,NULL,NULL,NULL,4,25),(28,7317328,3.00,5.00,1.00,2.00,6.00,7.88,1.00,5.00,5.00,655,NULL,235,'BARRANCEIRA','LAGUNA','SC',12686,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7317336,1.00,6.00,0.00,7.00,5.00,9.75,4.00,4.00,3.00,234,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',9324,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317352,1.00,7.00,2.00,5.00,5.00,6.75,3.00,4.00,1.00,103,NULL,NULL,'CENTRO','BELA V PARAÍSO','PR',12314,2220,NULL,NULL,NULL,NULL,NULL,2,1),(28,7317360,1.00,6.00,3.00,3.00,5.00,8.63,6.00,6.00,2.00,601,NULL,NULL,'CAPINZAL','CPO ALEGRE','SC',7972,193,NULL,NULL,NULL,NULL,NULL,4,8),(28,7317379,1.00,1.00,1.00,6.00,5.00,4.88,1.00,2.00,1.00,502,NULL,NULL,'BARREIROS','S JOSÉ','SC',20019,74,NULL,NULL,NULL,NULL,NULL,2,1),(28,7317387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7317395,2.00,6.00,2.00,4.00,5.00,7.13,1.00,4.00,0.00,415,NULL,NULL,'CIDADE NOVA','ITAJAÍ','SC',14044,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7317409,3.00,4.00,5.00,3.00,5.00,10.13,2.00,4.00,1.00,552,NULL,NULL,'NOSSA SRA APARECIDA','CURITIBANOS','SC',16708,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7317417,3.00,3.00,2.00,3.00,2.00,NULL,2.00,5.00,1.00,652,NULL,653,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7317425,2.00,5.00,2.00,1.00,5.00,8.25,4.00,5.00,1.00,201,NULL,207,'INGLESES','FLORIANÓPOLIS','SC',12433,796,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317433,4.00,7.00,2.00,5.00,6.00,7.13,2.00,5.00,3.00,655,NULL,653,'SENAI','STA CRUZ SUL','RS',10242,50,NULL,NULL,NULL,NULL,NULL,1,15),(28,7317450,4.00,7.00,2.00,7.00,7.00,8.25,3.00,8.00,6.00,104,NULL,NULL,'IPIRANGA','MARMELEIRO','PR',3839,57,NULL,NULL,NULL,NULL,NULL,4,4),(28,7317468,2.00,6.00,1.00,3.00,8.00,7.13,1.00,2.00,3.00,205,NULL,NULL,'SÃO BERNARDO','TUBARÃO','SC',14055,12,NULL,NULL,NULL,NULL,NULL,2,10),(28,7317476,2.00,5.00,2.00,6.00,5.00,8.63,4.00,4.00,3.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',8294,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317484,0.00,3.00,1.00,5.00,5.00,8.25,2.00,2.00,2.00,319,NULL,NULL,'INTERIOR','GUARUJÁ SUL','SC',14326,275,NULL,NULL,NULL,NULL,NULL,2,4),(28,7317492,3.00,5.00,3.00,4.00,7.00,7.88,3.00,3.00,2.00,104,NULL,NULL,'CENTRO','JAGUARÃO','RS',9108,216,NULL,NULL,NULL,NULL,NULL,2,4),(28,7317506,1.00,5.00,2.00,6.00,5.00,7.13,4.00,3.00,0.00,201,NULL,NULL,'CENTRO','UBIRATÃ','PR',18058,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7317514,1.00,4.00,0.00,6.00,5.00,NULL,2.00,2.00,1.00,426,NULL,428,'SOL NASCENTE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317522,4.00,6.00,2.00,6.00,6.00,9.00,3.00,4.00,4.00,316,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',8322,74,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317530,0.00,4.00,2.00,3.00,5.00,NULL,3.00,4.00,1.00,108,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317549,1.00,2.00,2.00,2.00,2.00,NULL,2.00,3.00,1.00,551,NULL,NULL,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7317557,2.00,6.00,1.00,3.00,3.00,7.50,2.00,2.00,0.00,104,NULL,NULL,'SÃO CRISTÓVÃO','TRÊS BARRAS','SC',18456,440,NULL,NULL,NULL,NULL,NULL,2,17),(28,7317565,3.00,7.00,2.00,4.00,7.00,10.50,2.00,3.00,5.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',9638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7317581,4.00,7.00,1.00,6.00,9.00,9.75,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',6211,1659,NULL,NULL,NULL,NULL,NULL,4,3),(28,7317603,1.00,4.00,3.00,1.00,3.00,7.13,3.00,4.00,1.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19573,175,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317611,1.00,5.00,3.00,5.00,4.00,7.50,0.00,6.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM ESTORIL IV','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',1,8),(28,7317638,3.00,5.00,3.00,7.00,7.00,9.38,4.00,6.00,6.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',9774,122,NULL,NULL,NULL,NULL,NULL,2,1),(28,7317646,4.00,7.00,3.00,7.00,5.00,7.88,3.00,6.00,3.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',5912,92,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317654,3.00,4.00,2.00,6.00,5.00,7.88,2.00,4.00,3.00,317,NULL,NULL,'GUAIÚBA','IMBITUBA','SC',16419,130,NULL,NULL,NULL,NULL,NULL,2,2),(28,7317662,1.00,7.00,0.00,5.00,5.00,NULL,0.00,6.00,3.00,421,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(28,7317670,0.00,2.00,1.00,5.00,5.00,NULL,4.00,2.00,2.00,324,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7317689,4.00,7.00,1.00,5.00,9.00,6.75,3.00,7.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10484,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317697,1.00,2.00,0.00,5.00,3.00,6.38,0.00,3.00,1.00,303,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',18866,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7317700,1.00,7.00,1.00,6.00,6.00,9.38,2.00,4.00,2.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',10847,2133,NULL,NULL,NULL,NULL,NULL,2,1),(28,7317719,1.00,4.00,1.00,2.00,4.00,6.00,1.00,3.00,1.00,104,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7317727,2.00,5.00,2.00,4.00,6.00,9.38,2.00,2.00,0.00,104,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',14772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7317735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7317743,0.00,4.00,0.00,7.00,7.00,7.50,2.00,5.00,3.00,201,NULL,207,'SÃO SEBASTIÃO','PALHOÇA','SC',11894,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7317751,6.00,7.00,4.00,7.00,8.00,9.00,5.00,6.00,6.00,216,NULL,233,'JARDIM AQUÁRIUS','S JOSÉ CAMPOS','SP',801,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317760,5.00,8.00,4.00,6.00,6.00,9.00,3.00,7.00,8.00,552,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',2002,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LAPA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7317786,3.00,7.00,2.00,6.00,6.00,10.50,4.00,6.00,2.00,340,NULL,NULL,'CENTRO','JOAÇABA','SC',11264,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317794,3.00,5.00,4.00,5.00,7.00,8.63,2.00,6.00,4.00,238,NULL,655,'CAPOEIRAS','FLORIANÓPOLIS','SC',6571,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7317808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'PROGRESSO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,25),(28,7317816,4.00,5.00,0.00,6.00,4.00,NULL,4.00,6.00,4.00,454,NULL,NULL,'ITAIPAVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7317824,3.00,2.00,3.00,1.00,3.00,NULL,0.00,3.00,1.00,318,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317832,6.00,7.00,1.00,4.00,6.00,11.63,5.00,6.00,3.00,103,NULL,NULL,'CENTRO','ARAUCÁRIA','PR',3748,1275,NULL,NULL,NULL,NULL,NULL,2,1),(28,7317859,1.00,5.00,3.00,3.00,9.00,7.50,0.00,5.00,4.00,304,NULL,NULL,'BARREIROS','S JOSÉ','SC',11765,87,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317867,0.00,6.00,1.00,4.00,5.00,NULL,0.00,2.00,3.00,601,NULL,NULL,'ANITA GARIBALDE','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7317875,3.00,6.00,3.00,5.00,7.00,8.25,2.00,4.00,3.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13247,91,NULL,NULL,NULL,NULL,NULL,2,1),(28,7317883,1.00,4.00,1.00,2.00,7.00,NULL,0.00,4.00,0.00,999,NULL,NULL,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7317891,3.00,4.00,3.00,5.00,4.00,10.88,0.00,3.00,3.00,999,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7317905,5.00,6.00,2.00,6.00,5.00,9.00,5.00,4.00,5.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7431,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317913,4.00,8.00,4.00,6.00,8.00,10.50,3.00,8.00,7.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1363,63,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317948,1.00,1.00,3.00,5.00,2.00,NULL,3.00,5.00,2.00,201,NULL,233,'CENTRO','PIRATUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7317956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'GETULIO VARGAS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7317972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'JARDIM PEPERI','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7317980,4.00,7.00,2.00,4.00,7.00,7.13,3.00,5.00,2.00,340,NULL,NULL,'CASCATA','MARÍLIA','SP',8370,223,NULL,NULL,NULL,NULL,NULL,4,1),(28,7317999,0.00,7.00,0.00,7.00,8.00,7.50,2.00,6.00,3.00,340,NULL,NULL,'SANTA CRUZ','ÁGUAS MORNAS','SC',14328,379,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318006,1.00,7.00,3.00,3.00,7.00,6.75,4.00,4.00,4.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',15955,227,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318014,1.00,8.00,1.00,6.00,7.00,9.38,3.00,3.00,3.00,216,NULL,201,'INDUSTRIAL','NÃO-ME-TOQUE','RS',13327,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318022,0.00,6.00,0.00,2.00,5.00,7.13,1.00,5.00,1.00,303,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',16540,560,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318049,0.00,0.00,3.00,2.00,3.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7318057,3.00,6.00,2.00,5.00,5.00,7.88,2.00,5.00,1.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16586,122,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318065,4.00,6.00,3.00,6.00,6.00,10.13,3.00,5.00,3.00,451,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',7147,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318073,2.00,5.00,2.00,3.00,2.00,NULL,3.00,2.00,3.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318081,4.00,7.00,1.00,6.00,7.00,7.88,2.00,6.00,5.00,108,NULL,NULL,'MAGALHAES','LAGUNA','SC',10151,135,NULL,NULL,NULL,NULL,NULL,2,10),(28,7318090,0.00,3.00,0.00,5.00,2.00,NULL,1.00,4.00,2.00,302,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318103,3.00,5.00,1.00,4.00,6.00,6.38,4.00,5.00,3.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16490,223,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318111,4.00,5.00,2.00,5.00,4.00,7.88,2.00,4.00,3.00,337,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16718,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318120,0.00,3.00,2.00,2.00,5.00,5.25,1.00,4.00,2.00,207,NULL,201,'BARBACENA','LAGUNA','SC',18138,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7318138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7318146,0.00,0.00,3.00,2.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GARUVA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(28,7318154,3.00,3.00,0.00,1.00,3.00,NULL,0.00,3.00,1.00,220,NULL,653,'LOTEAMENTO CEPAR','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7318162,3.00,7.00,4.00,7.00,8.00,9.00,3.00,6.00,5.00,303,NULL,NULL,'PARQUE FABER II','S CARLOS','SP',3192,147,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318170,5.00,6.00,5.00,5.00,6.00,9.75,3.00,4.00,4.00,104,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6870,155,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318189,5.00,8.00,3.00,1.00,9.00,9.38,4.00,6.00,3.00,201,NULL,212,'CENTRO','ANTÔNIO CARLOS','SC',7260,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318197,0.00,1.00,0.00,0.00,2.00,NULL,1.00,2.00,2.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318200,0.00,1.00,2.00,2.00,3.00,NULL,1.00,3.00,3.00,108,NULL,NULL,'COLONIAL','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7318219,0.00,7.00,3.00,6.00,5.00,7.13,4.00,6.00,4.00,201,NULL,211,'SACO GRANDE','FLORIANÓPOLIS','SC',8205,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,23),(28,7318235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,202,'UBERABA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7318243,3.00,4.00,3.00,5.00,5.00,6.75,2.00,5.00,3.00,233,NULL,601,'JOÃO PAULO','FLORIANÓPOLIS','SC',16915,331,NULL,491,NULL,NULL,NULL,1,1),(28,7318251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ZONA III','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7318260,3.00,7.00,3.00,5.00,5.00,9.00,2.00,6.00,5.00,104,NULL,NULL,'PAULAS','S FRANCISCO SUL','SC',6605,143,NULL,NULL,NULL,NULL,NULL,2,8),(28,7318278,0.00,3.00,2.00,2.00,6.00,6.75,1.00,4.00,2.00,108,NULL,NULL,'BOA PARADA','S PEDRO ALCÂNTARA','SC',17714,237,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'AREIAS','PAULO LOPES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7318294,2.00,5.00,4.00,7.00,3.00,7.88,4.00,4.00,2.00,205,NULL,NULL,'BELA VISTA','VALINHOS','SP',9160,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7318316,4.00,7.00,2.00,7.00,7.00,6.38,3.00,3.00,3.00,203,NULL,601,'CAMPECHE','FLORIANÓPOLIS','SC',10450,543,NULL,297,NULL,NULL,NULL,4,1),(28,7318324,2.00,7.00,2.00,2.00,4.00,6.75,2.00,5.00,2.00,340,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13758,368,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318332,2.00,3.00,3.00,5.00,4.00,3.00,2.00,5.00,0.00,103,NULL,NULL,'CENTRO','NOVA LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7318340,3.00,6.00,3.00,5.00,6.00,7.88,4.00,4.00,4.00,213,NULL,NULL,'KOBRASOL','S JOSÉ','SC',12297,209,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318359,2.00,1.00,1.00,3.00,3.00,7.50,3.00,2.00,2.00,104,NULL,NULL,'CENTRO','POUSO REDONDO','SC',19947,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7318367,3.00,5.00,2.00,5.00,4.00,7.88,2.00,4.00,3.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',14220,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7318383,5.00,5.00,1.00,4.00,6.00,4.50,4.00,6.00,4.00,207,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',9907,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318391,3.00,7.00,2.00,5.00,4.00,6.75,5.00,3.00,3.00,208,NULL,NULL,'JARDIM CAUDIA','LONDRINA','PR',16297,182,NULL,NULL,NULL,NULL,NULL,4,8),(28,7318413,2.00,6.00,1.00,7.00,8.00,9.00,0.00,5.00,3.00,238,NULL,207,'IBIRAQUERA','IMBITUBA','SC',10326,153,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318421,2.00,8.00,3.00,6.00,9.00,10.88,4.00,6.00,4.00,103,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',6626,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7318430,0.00,6.00,2.00,3.00,2.00,NULL,2.00,4.00,3.00,303,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318448,3.00,0.00,5.00,6.00,5.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7318456,2.00,7.00,2.00,5.00,3.00,5.63,2.00,3.00,3.00,212,NULL,207,'CENTRO','STO AMARO IMPERATRIZ','SC',18734,417,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318464,7.00,6.00,1.00,6.00,9.00,7.13,2.00,7.00,2.00,103,NULL,NULL,'PIRABEIRABA','JOINVILLE','SC',4065,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7318472,3.00,3.00,1.00,4.00,2.00,NULL,1.00,1.00,1.00,552,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7318480,0.00,6.00,0.00,0.00,4.00,NULL,1.00,4.00,2.00,205,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7318499,3.00,6.00,2.00,4.00,5.00,9.75,2.00,6.00,3.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318502,1.00,4.00,2.00,5.00,7.00,7.13,2.00,4.00,2.00,319,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',13583,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318510,5.00,6.00,1.00,6.00,7.00,6.75,1.00,8.00,4.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12007,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318537,0.00,2.00,2.00,4.00,5.00,NULL,1.00,5.00,3.00,319,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318545,0.00,1.00,1.00,1.00,3.00,NULL,2.00,1.00,3.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318553,4.00,6.00,2.00,5.00,6.00,9.00,2.00,3.00,3.00,211,NULL,215,'CORAL','LAGES','SC',13308,339,NULL,227,NULL,NULL,NULL,2,9),(28,7318588,0.00,3.00,0.00,2.00,3.00,NULL,1.00,1.00,1.00,317,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318596,2.00,4.00,2.00,7.00,4.00,7.88,1.00,5.00,2.00,316,NULL,NULL,'VILA NOVA','BLUMENAU','SC',17703,251,NULL,NULL,NULL,NULL,NULL,4,2),(28,7318600,5.00,7.00,5.00,6.00,9.00,9.38,7.00,7.00,7.00,201,NULL,211,'CENTRO','FLORIANÓPOLIS','SC',1046,48,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318618,2.00,5.00,2.00,6.00,3.00,7.50,2.00,4.00,2.00,201,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',18080,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SOSSEGO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7318642,6.00,7.00,3.00,7.00,9.00,10.13,7.00,6.00,6.00,319,NULL,NULL,'FLORIANÓPOLIS','FLORIANÓPOLIS','SC',1148,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7318669,4.00,6.00,4.00,5.00,6.00,3.00,4.00,5.00,3.00,319,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318677,4.00,7.00,1.00,8.00,6.00,9.00,4.00,8.00,4.00,233,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',7315,182,NULL,122,NULL,NULL,NULL,4,1),(28,7318707,1.00,3.00,1.00,4.00,3.00,6.75,0.00,2.00,1.00,655,NULL,653,'CENTRO','CAMBARÁ SUL','RS',18758,119,NULL,NULL,NULL,NULL,NULL,2,15),(28,7318715,3.00,6.00,3.00,5.00,8.00,6.75,3.00,3.00,2.00,303,NULL,NULL,'GUAIUBA','IMBITUBA','SC',10413,423,NULL,NULL,NULL,NULL,NULL,2,10),(28,7318723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7318731,0.00,3.00,2.00,3.00,5.00,NULL,0.00,2.00,3.00,444,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318740,4.00,6.00,3.00,7.00,6.00,6.75,5.00,6.00,6.00,201,NULL,NULL,'JUNDIAI','ANÁPOLIS','GO',7132,530,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318758,2.00,6.00,1.00,4.00,6.00,9.00,3.00,4.00,2.00,552,NULL,NULL,'CENTRO','CURITIBANOS','SC',16223,119,NULL,NULL,NULL,NULL,NULL,4,16),(28,7318766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'PRAIA BRAVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7318782,3.00,4.00,2.00,5.00,7.00,7.50,2.00,3.00,3.00,205,NULL,NULL,'BARREIROS','S JOSÉ','SC',10879,7,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318790,3.00,5.00,2.00,3.00,6.00,7.13,4.00,2.00,2.00,211,NULL,601,'PROGRESSO','TUNÁPOLIS','SC',13611,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7318804,4.00,7.00,2.00,5.00,4.00,8.25,1.00,5.00,3.00,332,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',9485,10,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318820,4.00,8.00,2.00,7.00,9.00,11.25,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1671,797,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318839,0.00,3.00,0.00,4.00,2.00,NULL,0.00,3.00,1.00,654,NULL,NULL,'MORRO DOS CONVENTOS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7318847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ALGODOAL','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7318855,2.00,9.00,1.00,6.00,9.00,11.25,3.00,8.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3211,1185,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7318871,1.00,5.00,1.00,6.00,2.00,NULL,1.00,3.00,2.00,332,NULL,NULL,'FREITAS','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318880,2.00,6.00,3.00,7.00,6.00,9.75,2.00,3.00,1.00,207,NULL,211,'MONTE VERDE','FLORIANÓPOLIS','SC',10639,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7318898,0.00,3.00,1.00,7.00,6.00,9.00,1.00,2.00,2.00,103,NULL,NULL,'CENTRO','BARRACÃO','RS',15559,2380,NULL,NULL,NULL,NULL,NULL,2,3),(28,7318901,0.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,207,NULL,601,'VILA REAL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(28,7318910,1.00,0.00,1.00,7.00,3.00,9.00,1.00,1.00,2.00,308,NULL,NULL,'SÃO CRISTOVÃO','CHAPECÓ','SC',19834,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7318928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7318944,1.00,7.00,0.00,5.00,6.00,12.75,3.00,5.00,5.00,340,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',6587,173,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7318960,3.00,6.00,3.00,7.00,6.00,9.75,5.00,4.00,6.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8534,79,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318979,1.00,4.00,1.00,4.00,3.00,5.63,0.00,3.00,4.00,454,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',19781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7318987,1.00,4.00,2.00,3.00,4.00,6.38,3.00,4.00,4.00,999,NULL,NULL,'TERMAS','GRAVATAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7318995,6.00,8.00,4.00,5.00,6.00,9.75,3.00,8.00,7.00,310,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',1739,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7319010,0.00,3.00,3.00,2.00,6.00,5.25,2.00,4.00,4.00,5,NULL,NULL,'SÃO CRISTOVÃO','LAGES','SC',18893,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7319029,3.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,216,NULL,211,'SANTA MARIA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,9),(28,7319037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7319045,4.00,7.00,0.00,6.00,6.00,6.00,2.00,4.00,0.00,238,NULL,601,'COQUEIROS','FLORIANÓPOLIS','SC',17529,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7319053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,207,'XV DE NOVEMBRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7319061,5.00,7.00,2.00,3.00,5.00,6.75,4.00,7.00,4.00,103,NULL,NULL,'CENTRO','ORLEANS','SC',8527,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7319088,3.00,2.00,2.00,3.00,4.00,8.63,0.00,3.00,1.00,404,NULL,NULL,'SERRARIA','S JOSÉ','SC',19525,73,NULL,NULL,NULL,NULL,NULL,4,1),(28,7319096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,427,'VILA REAL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7319100,3.00,6.00,4.00,6.00,8.00,9.38,2.00,4.00,2.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',11676,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7319118,3.00,5.00,3.00,4.00,3.00,7.13,4.00,6.00,2.00,202,NULL,211,'JARDIM PAULISTA','OURINHOS','SP',15469,353,NULL,NULL,NULL,NULL,NULL,4,3),(28,7319142,1.00,5.00,2.00,5.00,2.00,NULL,3.00,4.00,2.00,454,NULL,NULL,'VILA PEREIRA','ITAPIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7319150,1.00,5.00,1.00,6.00,5.00,7.13,2.00,5.00,3.00,999,NULL,NULL,'N S DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7319169,3.00,6.00,2.00,6.00,8.00,7.88,6.00,5.00,4.00,203,NULL,220,'JARDIM ACAPULCO','LONDRINA','PR',4370,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7319177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7319185,1.00,5.00,3.00,7.00,6.00,7.50,0.00,5.00,3.00,211,NULL,215,'LAGOA','FLORIANÓPOLIS','SC',16234,394,NULL,261,NULL,NULL,NULL,2,1),(28,7319193,3.00,4.00,1.00,5.00,3.00,5.63,2.00,2.00,0.00,207,NULL,201,'VARGEM GRANDE','FLORIANÓPOLIS','SC',18002,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7319207,3.00,6.00,2.00,5.00,5.00,8.63,4.00,5.00,2.00,213,NULL,214,'FORQUILHINHAS','S JOSÉ','SC',15834,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7319240,4.00,6.00,1.00,7.00,7.00,6.75,3.00,5.00,5.00,238,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11326,173,NULL,NULL,NULL,NULL,NULL,2,1),(28,7319258,4.00,7.00,2.00,7.00,6.00,10.50,3.00,4.00,4.00,103,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',6344,1680,NULL,NULL,NULL,NULL,NULL,4,6),(28,7319266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',5,8),(28,7319274,4.00,8.00,2.00,6.00,8.00,10.50,4.00,8.00,8.00,211,NULL,238,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',1619,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7319282,4.00,5.00,1.00,7.00,5.00,7.13,3.00,6.00,4.00,207,NULL,201,'URBANOVA','S JOSÉ CAMPOS','SP',8187,381,NULL,588,NULL,NULL,NULL,4,1),(28,7319290,4.00,7.00,2.00,7.00,8.00,8.25,3.00,6.00,5.00,340,NULL,NULL,'GUANABARA','JOINVILLE','SC',8816,240,NULL,NULL,NULL,NULL,NULL,4,8),(28,7319304,6.00,6.00,3.00,7.00,8.00,9.00,3.00,5.00,4.00,303,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',3829,181,NULL,NULL,NULL,NULL,NULL,2,1),(28,7319312,4.00,7.00,3.00,7.00,9.00,10.50,2.00,5.00,6.00,201,NULL,203,'AMÉRICA','JOINVILLE','SC',2573,186,NULL,NULL,NULL,NULL,NULL,4,8),(28,7319339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,238,'SÃO JOSÉ','ARARAQUARA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7319347,5.00,7.00,4.00,8.00,3.00,7.50,4.00,4.00,6.00,216,NULL,201,'JARDIM CENTENÁRIO','POÇOS CALDAS','MG',4484,171,NULL,344,NULL,NULL,NULL,4,1),(28,7319355,1.00,5.00,1.00,3.00,2.00,NULL,3.00,4.00,2.00,211,NULL,NULL,'JOÃO PESSOA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7319371,2.00,6.00,2.00,5.00,6.00,6.75,2.00,3.00,3.00,238,NULL,203,'BARREIROS','S JOSÉ','SC',12204,199,NULL,NULL,NULL,NULL,NULL,2,1),(28,7319380,0.00,5.00,1.00,3.00,5.00,7.50,3.00,3.00,3.00,201,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',19085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7319401,4.00,6.00,3.00,6.00,8.00,10.13,5.00,3.00,6.00,454,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7208,116,NULL,NULL,NULL,NULL,NULL,4,1),(28,7319410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JARDIM DOM BOSCO','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7319428,0.00,3.00,3.00,3.00,1.00,NULL,1.00,1.00,2.00,317,NULL,NULL,'MORRO AGUDO','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7319436,2.00,5.00,3.00,5.00,6.00,5.63,5.00,4.00,5.00,201,NULL,601,'PANTANAL','FLORIANÓPOLIS','SC',15533,923,NULL,459,NULL,NULL,NULL,4,1),(28,7319444,2.00,5.00,1.00,4.00,3.00,9.38,3.00,1.00,2.00,201,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',16429,NULL,NULL,261,NULL,NULL,NULL,4,1),(28,7319460,6.00,8.00,5.00,5.00,8.00,11.25,5.00,7.00,7.00,103,NULL,NULL,'BOQUEIRAO','SANTOS','SP',628,403,NULL,NULL,NULL,NULL,NULL,4,1),(28,7319479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'CLELIA BERNADES','VIÇOSA','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7319495,3.00,5.00,1.00,6.00,6.00,9.75,1.00,6.00,3.00,103,NULL,NULL,'SANTA LÚCIA','CHAPADA','RS',8604,1962,NULL,NULL,NULL,NULL,NULL,2,4),(28,7319509,5.00,7.00,1.00,3.00,7.00,10.88,4.00,5.00,4.00,215,NULL,NULL,'CENTRO','NOVA VENEZA','SC',6720,99,NULL,NULL,NULL,NULL,NULL,2,5),(28,7319517,3.00,5.00,0.00,3.00,2.00,NULL,0.00,6.00,1.00,317,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7319525,4.00,4.00,3.00,6.00,7.00,8.25,3.00,5.00,4.00,214,NULL,201,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',12726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7319541,4.00,6.00,1.00,7.00,6.00,7.50,6.00,6.00,5.00,104,NULL,NULL,'CORAL','LAGES','SC',4735,82,NULL,NULL,NULL,NULL,NULL,4,9),(28,7319550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7319568,4.00,8.00,3.00,7.00,8.00,NULL,4.00,5.00,4.00,332,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7319576,3.00,6.00,0.00,7.00,6.00,NULL,1.00,6.00,1.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7319592,7.00,8.00,4.00,6.00,8.00,9.75,6.00,7.00,7.00,103,NULL,NULL,'RONDINHA','CPO LARGO','PR',604,393,NULL,NULL,NULL,NULL,NULL,4,8),(28,7319606,4.00,5.00,2.00,6.00,7.00,7.50,4.00,6.00,4.00,203,NULL,214,'CIDADE ALTA','ARARANGUÁ','SC',7532,455,NULL,222,NULL,NULL,NULL,2,4),(28,7319614,3.00,4.00,3.00,6.00,7.00,6.75,1.00,5.00,2.00,110,NULL,NULL,'CENTRO','BIGUAÇU','SC',14913,66,NULL,NULL,NULL,NULL,NULL,2,1),(28,7319622,1.00,6.00,1.00,6.00,5.00,5.63,2.00,6.00,3.00,108,NULL,NULL,'ANDORINHAS','ITAPEMA','SC',12934,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7319630,1.00,7.00,2.00,7.00,5.00,7.50,4.00,7.00,4.00,208,NULL,NULL,'NS SRA DO ROSARIO','S JOSÉ','SC',6707,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7319649,4.00,7.00,3.00,4.00,9.00,8.63,6.00,3.00,3.00,201,NULL,235,'PRAIA DE FORA','PALHOÇA','SC',4722,367,NULL,80,NULL,NULL,NULL,4,1),(28,7319657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,652,'NOVA ITALIA','URUSSANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7319665,5.00,8.00,4.00,7.00,7.00,11.25,4.00,6.00,5.00,450,NULL,NULL,'VILA ARICANDUVA','S PAULO','SP',1140,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7319673,3.00,6.00,1.00,6.00,6.00,8.25,4.00,6.00,3.00,326,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8981,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7319681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA GLORIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7319690,1.00,6.00,0.00,4.00,5.00,8.63,1.00,4.00,4.00,319,NULL,NULL,'ÁGUAS MORNAS','ÁGUAS MORNAS','SC',14458,279,NULL,NULL,NULL,NULL,NULL,2,1),(28,7319703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'RIO AMÉRICA BAIXO','URUSSANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7319711,4.00,7.00,2.00,6.00,9.00,9.00,5.00,4.00,5.00,104,NULL,NULL,'RESIDENCIAL UNIÃO','S JOSÉ CAMPOS','SP',2931,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7319720,2.00,5.00,1.00,6.00,7.00,8.25,3.00,5.00,3.00,601,NULL,NULL,'FUNDOS','BIGUAÇU','SC',11598,340,NULL,NULL,NULL,NULL,NULL,2,1),(28,7319738,3.00,8.00,2.00,2.00,8.00,8.63,4.00,3.00,3.00,233,NULL,213,'SAGRADO COR DE JESUS','LAGES','SC',14483,304,NULL,NULL,NULL,NULL,NULL,4,1),(28,7319746,1.00,3.00,2.00,3.00,3.00,4.50,2.00,3.00,2.00,214,NULL,216,'CENTRO','CORREIA PINTO','SC',18406,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7319762,0.00,2.00,0.00,0.00,4.00,NULL,0.00,2.00,2.00,301,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7319789,2.00,4.00,1.00,4.00,1.00,NULL,1.00,3.00,1.00,502,NULL,NULL,'ÁGUAS MORNAS','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7319797,0.00,5.00,2.00,6.00,4.00,NULL,2.00,2.00,1.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7319800,0.00,6.00,1.00,5.00,4.00,8.25,2.00,4.00,1.00,207,NULL,216,'INTERIOR','BANDEIRANTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7319819,2.00,6.00,1.00,5.00,4.00,3.00,4.00,2.00,2.00,2,NULL,NULL,'CENTRO','QUATRO PONTES','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7319827,0.00,0.00,1.00,0.00,1.00,NULL,0.00,3.00,0.00,415,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7319835,3.00,7.00,0.00,5.00,8.00,7.13,4.00,5.00,5.00,203,NULL,233,'SÃO SEBASTIÃO','CRICIÚMA','SC',6964,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7319843,4.00,6.00,2.00,3.00,5.00,7.13,0.00,4.00,4.00,655,NULL,202,'BARRANCEIRA','LAGUNA','SC',12072,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7319851,1.00,4.00,1.00,5.00,2.00,NULL,3.00,4.00,0.00,653,NULL,216,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7319860,1.00,5.00,2.00,6.00,6.00,8.63,2.00,5.00,1.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17035,238,NULL,NULL,NULL,NULL,NULL,2,1),(28,7319878,1.00,7.00,0.00,3.00,6.00,8.25,1.00,3.00,1.00,999,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7319886,2.00,4.00,0.00,5.00,5.00,6.00,3.00,4.00,4.00,999,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7319894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7319908,0.00,2.00,2.00,3.00,4.00,NULL,4.00,3.00,3.00,319,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7319916,0.00,4.00,3.00,5.00,5.00,NULL,1.00,4.00,4.00,404,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7319924,4.00,8.00,2.00,7.00,3.00,5.63,3.00,5.00,4.00,201,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',14812,900,NULL,237,NULL,NULL,NULL,4,1),(28,7319932,1.00,4.00,4.00,3.00,3.00,6.38,0.00,3.00,2.00,404,NULL,NULL,'ARIRIU','PALHOÇA','SC',19783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7319940,2.00,6.00,4.00,3.00,3.00,4.50,1.00,6.00,4.00,203,NULL,202,'CENTRO','ARUJÁ','SP',12369,592,NULL,307,NULL,NULL,NULL,2,16),(28,7319959,4.00,7.00,3.00,7.00,6.00,6.00,2.00,7.00,3.00,444,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',7755,15,NULL,NULL,NULL,NULL,NULL,2,1),(28,7319967,3.00,6.00,2.00,7.00,9.00,10.13,3.00,3.00,4.00,110,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6554,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7319975,1.00,2.00,2.00,4.00,3.00,6.00,1.00,1.00,2.00,220,NULL,203,'ESTREITO','FLORIANÓPOLIS','SC',20073,355,NULL,714,NULL,NULL,NULL,4,1),(28,7319983,2.00,3.00,1.00,3.00,3.00,5.63,2.00,3.00,5.00,216,NULL,235,'JARDIM PARAISO','PENÁPOLIS','SP',15984,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7319991,0.00,4.00,1.00,2.00,4.00,NULL,2.00,2.00,2.00,501,NULL,NULL,'SNT CRUZ DA FIGUEIRA','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7320000,2.00,3.00,2.00,6.00,3.00,5.25,3.00,4.00,1.00,552,NULL,NULL,'COPACABANA','LAGES','SC',17181,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7320019,4.00,6.00,5.00,6.00,5.00,7.13,2.00,6.00,4.00,203,NULL,201,'CENTRO','SOMBRIO','SC',6989,427,NULL,NULL,NULL,NULL,NULL,2,15),(28,7320043,2.00,5.00,3.00,3.00,3.00,6.75,1.00,5.00,0.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19449,428,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320051,5.00,7.00,2.00,4.00,7.00,9.00,3.00,6.00,5.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',5521,107,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320060,3.00,5.00,1.00,5.00,3.00,7.50,1.00,3.00,1.00,454,NULL,NULL,'ARIRIU DA FORMIGA','PALHOÇA','SC',19267,388,NULL,NULL,NULL,NULL,NULL,2,1),(28,7320086,1.00,5.00,1.00,3.00,5.00,5.25,2.00,2.00,1.00,5,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',18373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320094,0.00,4.00,2.00,4.00,5.00,3.00,3.00,3.00,2.00,208,NULL,NULL,'JARDIM CIDADE DE FLO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320108,0.00,2.00,1.00,2.00,4.00,4.50,0.00,4.00,3.00,238,NULL,NULL,'JARDIM CARANDAÍ','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320116,6.00,8.00,1.00,6.00,8.00,10.13,5.00,6.00,7.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',1742,817,NULL,NULL,NULL,NULL,NULL,4,8),(28,7320124,4.00,8.00,3.00,7.00,7.00,8.63,4.00,4.00,5.00,103,NULL,NULL,'BURLE MARX','LONDRINA','PR',4143,1352,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320132,0.00,4.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,101,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7320159,5.00,7.00,1.00,6.00,7.00,6.38,6.00,7.00,4.00,214,NULL,213,'TRAÇADO','URUBICI','SC',5532,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7320167,3.00,7.00,1.00,4.00,8.00,6.38,0.00,5.00,2.00,104,NULL,NULL,'CENTRO HISTÓRICO','S JOSÉ','SC',11462,283,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320175,3.00,8.00,3.00,7.00,3.00,11.25,4.00,7.00,3.00,304,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7525,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320183,3.00,6.00,5.00,6.00,6.00,12.00,2.00,4.00,3.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9836,181,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320205,2.00,5.00,1.00,6.00,4.00,6.00,2.00,3.00,1.00,655,NULL,235,'FRANCIOSI','VACARIA','RS',15248,85,NULL,242,NULL,NULL,NULL,2,9),(28,7320213,4.00,5.00,2.00,7.00,6.00,10.13,3.00,8.00,0.00,304,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',12325,92,NULL,NULL,NULL,NULL,NULL,2,1),(28,7320221,4.00,6.00,2.00,5.00,5.00,7.50,5.00,4.00,2.00,102,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',10987,102,NULL,NULL,NULL,NULL,NULL,2,1),(28,7320248,3.00,6.00,2.00,2.00,3.00,7.50,1.00,5.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7320264,0.00,4.00,1.00,6.00,5.00,6.75,1.00,2.00,3.00,102,NULL,NULL,'NOVA BRASILIA','STO CRISTO','RS',15071,136,NULL,NULL,NULL,NULL,NULL,2,15),(28,7320272,1.00,3.00,0.00,3.00,1.00,NULL,0.00,3.00,2.00,999,NULL,NULL,'MICHEL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7320280,0.00,6.00,2.00,5.00,4.00,5.25,4.00,3.00,3.00,224,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',19043,33,NULL,NULL,NULL,NULL,NULL,2,1),(28,7320299,3.00,3.00,3.00,3.00,5.00,6.38,2.00,4.00,2.00,108,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320310,3.00,8.00,0.00,5.00,5.00,NULL,2.00,4.00,3.00,203,NULL,233,'ASA NORTE','BRASÍLIA','DF',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320329,3.00,4.00,2.00,3.00,6.00,9.38,5.00,4.00,2.00,454,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16041,324,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320337,0.00,3.00,0.00,0.00,0.00,NULL,3.00,1.00,2.00,999,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,1),(28,7320345,0.00,1.00,0.00,5.00,3.00,NULL,0.00,5.00,1.00,339,NULL,NULL,'JARDIM ELISABETE','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,5),(28,7320353,4.00,7.00,3.00,6.00,6.00,7.13,2.00,5.00,7.00,103,NULL,NULL,'CENTRO','TIJUCAS','SC',6017,1632,NULL,NULL,NULL,NULL,NULL,2,1),(28,7320361,4.00,6.00,5.00,6.00,7.00,10.13,4.00,6.00,6.00,201,NULL,212,'JARDIM EUCALIPTUS','PALHOÇA','SC',2715,204,NULL,78,NULL,NULL,NULL,2,1),(28,7320370,0.00,2.00,0.00,0.00,5.00,NULL,2.00,4.00,2.00,201,NULL,212,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1);
INSERT INTO boletim_desempenho VALUES (28,7320388,1.00,7.00,3.00,5.00,5.00,7.88,2.00,6.00,5.00,999,NULL,NULL,'IMIGRANTES','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7320396,2.00,5.00,1.00,1.00,3.00,7.88,3.00,8.00,2.00,104,NULL,NULL,'CENTRO','CPO GRANDE','MS',13102,323,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320418,3.00,6.00,1.00,5.00,5.00,8.25,2.00,5.00,3.00,211,NULL,215,'CENTRO','HORIZONTINA','RS',9608,259,NULL,164,NULL,NULL,NULL,4,5),(28,7320426,0.00,5.00,3.00,3.00,3.00,5.25,1.00,4.00,2.00,319,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',17175,331,NULL,NULL,NULL,NULL,NULL,2,4),(28,7320442,0.00,3.00,3.00,3.00,3.00,NULL,0.00,3.00,1.00,552,NULL,NULL,'ESPIGÃO DO BUGRE','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7320450,0.00,4.00,2.00,4.00,4.00,6.75,3.00,4.00,2.00,444,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',15946,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320469,4.00,7.00,1.00,6.00,7.00,7.88,7.00,6.00,7.00,201,NULL,601,'PANTANAL','FLORIANÓPOLIS','SC',3587,278,NULL,51,NULL,NULL,NULL,4,1),(28,7320477,2.00,3.00,3.00,5.00,5.00,8.63,3.00,5.00,2.00,205,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',17643,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7320493,4.00,7.00,3.00,7.00,8.00,10.13,5.00,5.00,6.00,211,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',1794,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320523,3.00,7.00,1.00,7.00,8.00,8.25,3.00,5.00,4.00,201,NULL,207,'ILHOTA','ITAPEMA','SC',6593,506,NULL,306,NULL,NULL,NULL,4,3),(28,7320531,1.00,6.00,1.00,7.00,5.00,7.50,1.00,4.00,1.00,203,NULL,601,'PLANNALTO','S JOSÉ OURO','RS',13663,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7320540,2.00,8.00,2.00,5.00,3.00,6.00,1.00,4.00,5.00,103,NULL,NULL,'POMPEIA','BELO HORIZONTE','MG',11020,2140,NULL,NULL,NULL,NULL,NULL,2,1),(28,7320558,5.00,7.00,1.00,6.00,5.00,6.38,0.00,6.00,2.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16261,218,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320566,2.00,6.00,2.00,4.00,8.00,9.00,4.00,4.00,2.00,303,NULL,NULL,'MAR GROSSO','LAGUNA','SC',15975,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7320574,0.00,0.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7320582,1.00,1.00,3.00,3.00,2.00,NULL,2.00,1.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7320604,3.00,3.00,3.00,3.00,6.00,7.50,1.00,4.00,3.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14944,192,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320612,7.00,6.00,2.00,4.00,9.00,9.38,4.00,4.00,5.00,103,NULL,NULL,'BOQUEIRÃO','CURITIBA','PR',3497,1242,NULL,NULL,NULL,NULL,NULL,4,8),(28,7320620,2.00,5.00,2.00,6.00,6.00,9.00,1.00,4.00,3.00,201,NULL,235,'JARDIM PARAISO','PENÁPOLIS','SP',10339,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7320655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'BELEM NOVO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7320663,3.00,7.00,3.00,6.00,6.00,6.75,3.00,5.00,3.00,5,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',8343,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320671,4.00,5.00,2.00,6.00,6.00,7.50,3.00,6.00,4.00,9,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13700,96,NULL,NULL,NULL,NULL,NULL,2,1),(28,7320680,1.00,5.00,1.00,6.00,5.00,6.00,1.00,5.00,3.00,203,NULL,214,'CENTRO','FLORIANÓPOLIS','SC',13805,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7320698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CONSTANTINA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7320710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7320728,3.00,5.00,2.00,6.00,4.00,9.38,1.00,5.00,2.00,654,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12067,27,NULL,NULL,NULL,NULL,NULL,2,1),(28,7320736,2.00,4.00,3.00,3.00,3.00,5.63,1.00,3.00,1.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320744,3.00,4.00,2.00,7.00,4.00,7.50,4.00,5.00,4.00,207,NULL,601,'CENTRO','ITAJAÍ','SC',8966,411,NULL,234,NULL,NULL,NULL,4,6),(28,7320752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7320760,0.00,3.00,1.00,6.00,2.00,NULL,0.00,4.00,3.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7320779,3.00,5.00,1.00,3.00,4.00,7.88,2.00,5.00,5.00,320,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',17235,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'CENTRO','S BERNARDINO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7320795,0.00,5.00,1.00,3.00,5.00,7.88,4.00,3.00,3.00,319,NULL,NULL,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7320809,0.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'ZANETTE','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(28,7320817,0.00,4.00,2.00,2.00,6.00,6.75,1.00,3.00,2.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',17300,572,NULL,NULL,NULL,NULL,NULL,2,1),(28,7320825,3.00,5.00,4.00,3.00,3.00,7.50,2.00,6.00,2.00,238,NULL,655,'SÃO SEBASTIÃO','PALHOÇA','SC',17533,NULL,NULL,108,NULL,NULL,NULL,4,1),(28,7320833,0.00,6.00,2.00,5.00,7.00,7.13,3.00,4.00,3.00,207,NULL,201,'SÃO SEBASTIÃO','PALHOÇA','SC',12689,573,NULL,814,NULL,NULL,NULL,2,1),(28,7320850,5.00,7.00,3.00,5.00,9.00,9.00,5.00,6.00,5.00,201,NULL,207,'BARREIROS','S JOSÉ','SC',3437,261,NULL,133,NULL,NULL,NULL,4,1),(28,7320868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'AUTO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7320884,1.00,4.00,3.00,5.00,3.00,6.38,3.00,4.00,4.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18397,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7320892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7320906,5.00,7.00,1.00,6.00,4.00,6.75,3.00,6.00,5.00,552,NULL,NULL,'ESCOLAR','SALTO VELOSO','SC',7361,12,NULL,NULL,NULL,NULL,NULL,2,7),(28,7320914,1.00,7.00,3.00,7.00,7.00,13.50,4.00,5.00,6.00,201,NULL,212,'MEIA PRAIA','ITAPEMA','SC',5563,429,NULL,181,NULL,NULL,NULL,4,8),(28,7320922,2.00,4.00,2.00,6.00,6.00,5.25,4.00,3.00,3.00,201,NULL,212,'CAMPINAS','S JOSÉ','SC',15899,930,NULL,383,NULL,NULL,NULL,4,1),(28,7320930,2.00,6.00,4.00,7.00,6.00,8.25,2.00,5.00,4.00,303,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',11272,444,NULL,NULL,NULL,NULL,NULL,2,1),(28,7320949,2.00,8.00,0.00,6.00,7.00,6.00,4.00,5.00,2.00,999,NULL,NULL,'ÁGUA VERDE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7320957,0.00,4.00,4.00,7.00,4.00,NULL,4.00,5.00,3.00,655,NULL,238,'CAMPUS DO CTA','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320965,2.00,8.00,2.00,6.00,7.00,9.38,5.00,8.00,4.00,103,NULL,NULL,'CENTRO','LAGES','SC',2557,1034,NULL,NULL,NULL,NULL,NULL,2,3),(28,7320973,5.00,7.00,3.00,7.00,5.00,8.25,4.00,4.00,3.00,336,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10809,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7320981,4.00,6.00,3.00,7.00,9.00,9.00,1.00,5.00,4.00,203,NULL,215,'CAMOBI','STA MARIA','RS',5222,356,NULL,NULL,NULL,NULL,NULL,4,1),(28,7321007,4.00,5.00,5.00,5.00,5.00,6.00,4.00,3.00,3.00,404,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',12508,17,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321015,1.00,6.00,1.00,2.00,7.00,4.88,1.00,6.00,5.00,340,NULL,NULL,'SERRARIA','S JOSÉ','SC',18612,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7321040,0.00,8.00,2.00,6.00,7.00,8.25,3.00,4.00,2.00,301,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7321058,1.00,4.00,2.00,4.00,4.00,7.13,2.00,2.00,2.00,316,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',19203,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321066,3.00,8.00,3.00,6.00,7.00,9.75,3.00,7.00,4.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5228,173,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321074,1.00,4.00,1.00,4.00,5.00,7.13,2.00,1.00,1.00,415,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',17918,266,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321082,1.00,4.00,0.00,3.00,5.00,7.88,4.00,4.00,4.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',18378,437,NULL,NULL,NULL,NULL,NULL,4,1),(28,7321104,1.00,5.00,1.00,3.00,2.00,NULL,1.00,3.00,1.00,104,NULL,NULL,'SEMINÁRIO','TAIÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7321112,4.00,5.00,0.00,5.00,5.00,NULL,1.00,7.00,3.00,303,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7321120,0.00,5.00,4.00,1.00,4.00,5.63,4.00,3.00,2.00,552,NULL,NULL,'INTERIOR','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7321147,0.00,2.00,1.00,3.00,4.00,NULL,4.00,2.00,3.00,238,NULL,235,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7321155,0.00,4.00,1.00,4.00,5.00,NULL,4.00,6.00,2.00,999,NULL,NULL,'PARQUE SÃO JORGE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7321163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7321171,2.00,6.00,1.00,3.00,3.00,8.25,2.00,5.00,2.00,501,NULL,NULL,'CENTRO','ITAPORANGA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7321198,1.00,4.00,1.00,2.00,5.00,7.13,0.00,4.00,3.00,415,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7321201,0.00,6.00,2.00,6.00,6.00,NULL,3.00,4.00,4.00,201,NULL,212,'CAMPO DA ÁGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7321228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7321236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'BOSQUE DA SAÚDE','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7321244,0.00,3.00,3.00,5.00,4.00,NULL,0.00,3.00,1.00,999,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7321252,0.00,6.00,0.00,4.00,4.00,NULL,2.00,3.00,2.00,234,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7321260,2.00,7.00,2.00,5.00,7.00,5.25,2.00,3.00,4.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12496,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321279,1.00,0.00,2.00,0.00,2.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7321287,0.00,5.00,0.00,6.00,5.00,NULL,1.00,4.00,2.00,207,NULL,211,'VILA NOVA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7321295,2.00,5.00,2.00,4.00,4.00,7.88,1.00,3.00,1.00,502,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16893,40,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321309,1.00,2.00,1.00,5.00,4.00,4.88,0.00,2.00,2.00,654,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7321317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'GRANJA OLGA III','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7321333,1.00,1.00,2.00,3.00,2.00,NULL,2.00,2.00,3.00,440,NULL,NULL,'PARQUE PETROPOLIS','MAIRIPORÃ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7321341,1.00,3.00,1.00,4.00,3.00,5.63,4.00,5.00,4.00,444,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',17006,107,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321350,6.00,6.00,2.00,4.00,6.00,8.25,4.00,5.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',7673,1849,NULL,NULL,NULL,NULL,NULL,4,5),(28,7321368,4.00,6.00,1.00,2.00,7.00,7.13,2.00,4.00,2.00,201,NULL,235,'BELA VISTA','PALHOÇA','SC',12861,823,NULL,206,NULL,NULL,NULL,4,1),(28,7321376,1.00,4.00,2.00,4.00,6.00,6.00,1.00,3.00,2.00,238,NULL,NULL,'TERMAS','GRAVATAL','SC',16245,281,NULL,NULL,NULL,NULL,NULL,4,10),(28,7321406,2.00,3.00,1.00,5.00,6.00,8.25,1.00,2.00,3.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',14145,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321414,2.00,5.00,2.00,5.00,5.00,6.00,1.00,3.00,5.00,211,NULL,215,'JURERE','FLORIANÓPOLIS','SC',18034,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7321430,2.00,7.00,0.00,7.00,6.00,7.88,4.00,4.00,2.00,301,NULL,NULL,'CENTRO','PARAIBUNA','SP',11297,147,NULL,NULL,NULL,NULL,NULL,4,1),(28,7321449,6.00,6.00,3.00,6.00,7.00,8.25,4.00,8.00,3.00,601,NULL,203,'VILA ALICE','STO ANDRÉ','SP',3963,64,NULL,NULL,NULL,NULL,NULL,4,8),(28,7321457,1.00,1.00,4.00,3.00,2.00,NULL,3.00,5.00,3.00,316,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321465,0.00,3.00,2.00,6.00,5.00,7.88,3.00,5.00,3.00,207,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',13132,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321473,7.00,8.00,5.00,6.00,9.00,7.13,6.00,7.00,6.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',1007,556,NULL,NULL,NULL,NULL,NULL,4,1),(28,7321481,0.00,5.00,3.00,6.00,2.00,NULL,2.00,4.00,4.00,301,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321490,0.00,6.00,1.00,3.00,6.00,7.88,2.00,4.00,1.00,104,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14538,351,NULL,NULL,NULL,NULL,NULL,4,1),(28,7321503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7321511,3.00,6.00,4.00,6.00,7.00,11.25,2.00,4.00,2.00,340,NULL,NULL,'CORAL','LAGES','SC',8065,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7321546,2.00,5.00,1.00,7.00,6.00,8.25,3.00,4.00,2.00,207,NULL,NULL,'CENTRO','CRICIÚMA','SC',15852,692,NULL,NULL,NULL,NULL,NULL,4,5),(28,7321554,3.00,5.00,0.00,6.00,4.00,7.50,2.00,2.00,2.00,415,NULL,NULL,'VELHA','BLUMENAU','SC',18359,270,NULL,NULL,NULL,NULL,NULL,4,2),(28,7321562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7321570,1.00,2.00,2.00,1.00,4.00,5.25,1.00,1.00,2.00,404,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',19490,72,NULL,NULL,NULL,NULL,NULL,4,10),(28,7321589,3.00,5.00,1.00,4.00,4.00,8.25,2.00,4.00,1.00,302,NULL,NULL,'CENTRO','BIGUAÇU','SC',16820,125,NULL,NULL,NULL,NULL,NULL,4,1),(28,7321597,5.00,8.00,0.00,7.00,7.00,11.63,2.00,7.00,3.00,316,NULL,NULL,'OFICINAS','TUBARÃO','SC',4505,18,NULL,NULL,NULL,NULL,NULL,4,10),(28,7321600,1.00,4.00,2.00,5.00,4.00,7.13,3.00,3.00,1.00,234,NULL,NULL,'ARMAÇAO DO P DO SUL','FLORIANÓPOLIS','SC',15874,44,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321619,8.00,6.00,1.00,7.00,10.00,8.25,4.00,5.00,7.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',3271,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321643,1.00,4.00,1.00,3.00,4.00,0.00,0.00,2.00,0.00,103,NULL,NULL,'VISTA ALEGRE','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7321678,0.00,5.00,3.00,6.00,5.00,7.88,2.00,5.00,0.00,503,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',17812,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321686,5.00,6.00,1.00,6.00,5.00,8.63,6.00,7.00,5.00,203,NULL,235,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',3852,279,NULL,60,NULL,NULL,NULL,4,1),(28,7321694,2.00,7.00,4.00,6.00,8.00,8.63,5.00,5.00,1.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',9823,293,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321708,0.00,6.00,2.00,5.00,4.00,12.00,1.00,7.00,2.00,421,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',15103,10,NULL,NULL,NULL,NULL,NULL,3,1),(28,7321716,4.00,7.00,2.00,6.00,4.00,11.25,3.00,6.00,3.00,999,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7321724,0.00,4.00,1.00,4.00,1.00,NULL,1.00,5.00,1.00,208,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7321732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7321759,5.00,0.00,2.00,6.00,10.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7321767,3.00,8.00,1.00,7.00,9.00,10.88,2.00,6.00,3.00,328,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',6273,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7321783,0.00,6.00,3.00,6.00,6.00,6.38,3.00,7.00,6.00,216,NULL,233,'SANTA FÉ','OURINHOS','SP',6792,232,NULL,166,NULL,NULL,NULL,2,1),(28,7321791,1.00,1.00,1.00,5.00,3.00,5.25,3.00,2.00,2.00,109,NULL,NULL,'CENTRO','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321813,2.00,4.00,1.00,7.00,3.00,9.38,2.00,6.00,2.00,238,NULL,235,'RUBEM BERTA','PTO ALEGRE','RS',16676,290,NULL,264,NULL,NULL,NULL,4,1),(28,7321821,1.00,3.00,1.00,3.00,6.00,4.88,2.00,3.00,2.00,207,NULL,201,'POGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7321830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'GLORIA','CATANDUVA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7321856,4.00,7.00,0.00,6.00,2.00,NULL,4.00,4.00,5.00,215,NULL,211,'PETRÓPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7321864,0.00,6.00,3.00,7.00,5.00,6.00,3.00,5.00,3.00,5,NULL,NULL,'JARDIM ELIZA I','FOZ IGUAÇU','PR',16815,449,NULL,NULL,NULL,NULL,NULL,4,1),(28,7321872,1.00,4.00,1.00,5.00,7.00,7.88,1.00,4.00,3.00,207,NULL,601,'SAGRADO CORAÇÃO','LAGES','SC',16813,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7321880,4.00,6.00,3.00,4.00,6.00,10.88,4.00,6.00,3.00,103,NULL,NULL,'BEATRIZ','LAGES','SC',9910,2069,NULL,NULL,NULL,NULL,NULL,4,9),(28,7321899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7321902,1.00,3.00,1.00,5.00,5.00,NULL,0.00,2.00,2.00,5,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321910,5.00,7.00,2.00,6.00,7.00,9.00,3.00,6.00,3.00,207,NULL,201,'CENTRO','ARARANGUÁ','SC',5787,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7321929,2.00,4.00,1.00,6.00,3.00,3.00,2.00,5.00,2.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321937,2.00,5.00,1.00,6.00,3.00,8.63,2.00,2.00,2.00,212,NULL,207,'CENTRO','UBIRATÃ','PR',14901,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7321945,4.00,6.00,3.00,4.00,7.00,6.38,1.00,6.00,4.00,332,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',14045,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7321953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7321961,3.00,5.00,2.00,7.00,6.00,8.63,2.00,3.00,2.00,450,NULL,NULL,'PORTAL DAS SAMAMBAIA','ANALÂNDIA','SP',10568,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7321970,4.00,7.00,0.00,7.00,8.00,NULL,4.00,5.00,3.00,301,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7321988,3.00,3.00,2.00,4.00,5.00,7.88,2.00,3.00,3.00,208,NULL,NULL,'ITACURUBI','FLORIANÓPOLIS','SC',17676,193,NULL,NULL,NULL,NULL,NULL,4,1),(28,7321996,1.00,5.00,4.00,6.00,6.00,5.63,1.00,5.00,2.00,108,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',14157,194,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322003,1.00,3.00,0.00,4.00,4.00,NULL,0.00,3.00,2.00,104,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7322011,4.00,5.00,3.00,7.00,7.00,8.63,3.00,4.00,4.00,104,NULL,NULL,'CENTRO','GUARUJÁ SUL','SC',11584,287,NULL,NULL,NULL,NULL,NULL,2,4),(28,7322020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CENTRO','PALMA SOLA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,27),(28,7322046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'SOQUW','TANGARÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7322054,4.00,6.00,2.00,6.00,4.00,4.88,2.00,4.00,1.00,317,NULL,NULL,'BELA VISTA','S JOSÉ','SC',13633,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7322062,0.00,2.00,3.00,5.00,5.00,6.38,2.00,2.00,2.00,103,NULL,NULL,'PASSO DA FELICIDADE','TANGARÁ','SC',16837,2429,NULL,NULL,NULL,NULL,NULL,2,16),(28,7322070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7322089,1.00,7.00,3.00,6.00,6.00,11.25,5.00,4.00,3.00,213,NULL,233,'EXPOSIÇÃO','CAXIAS SUL','RS',8859,155,NULL,NULL,NULL,NULL,NULL,2,1),(28,7322100,2.00,5.00,2.00,7.00,6.00,11.63,2.00,3.00,2.00,103,NULL,NULL,'DAS NAÇÕES','BAL CAMBORIÚ','SC',10268,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7322119,2.00,7.00,1.00,5.00,7.00,10.50,2.00,4.00,4.00,201,NULL,601,'CAPITAIS','TIMBÓ','SC',7493,NULL,NULL,172,NULL,NULL,NULL,4,2),(28,7322127,1.00,5.00,3.00,3.00,6.00,7.13,2.00,5.00,4.00,999,NULL,NULL,'VISTA ALEGRE','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7322135,6.00,7.00,3.00,6.00,8.00,8.63,5.00,7.00,4.00,103,NULL,NULL,'LAGO SUL','LG SUL','DF',1916,864,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'ARTUR ALVIM','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7322151,1.00,2.00,1.00,0.00,3.00,3.00,1.00,3.00,2.00,450,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7322160,0.00,3.00,2.00,6.00,5.00,5.25,2.00,3.00,3.00,103,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',16881,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7322178,3.00,4.00,2.00,6.00,6.00,9.00,1.00,4.00,2.00,340,NULL,NULL,'IGRA','TORRES','RS',10776,297,NULL,NULL,NULL,NULL,NULL,4,15),(28,7322186,3.00,4.00,1.00,5.00,4.00,6.75,2.00,2.00,1.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15996,92,NULL,NULL,NULL,NULL,NULL,2,1),(28,7322194,0.00,5.00,3.00,4.00,4.00,4.50,1.00,2.00,3.00,104,NULL,NULL,'RIO BROECKER','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7322208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,212,'BOM JESUS','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7322216,1.00,4.00,2.00,1.00,6.00,8.63,1.00,4.00,1.00,211,NULL,NULL,'PETROPOLIS','LAGES','SC',15601,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7322224,1.00,4.00,2.00,5.00,4.00,4.88,3.00,3.00,3.00,201,NULL,601,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322240,4.00,7.00,1.00,6.00,6.00,9.38,4.00,6.00,4.00,233,NULL,601,'MEDIANEIRA','CAXIAS SUL','RS',7669,NULL,NULL,183,NULL,NULL,NULL,4,23),(28,7322259,3.00,7.00,2.00,7.00,6.00,6.75,4.00,5.00,3.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8459,257,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322267,2.00,5.00,2.00,4.00,3.00,4.88,1.00,6.00,2.00,601,NULL,653,'CENTRO','ITAPEMA','SC',15709,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7322283,1.00,1.00,1.00,2.00,4.00,6.00,2.00,2.00,3.00,444,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',20075,143,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,3,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7322305,0.00,4.00,0.00,5.00,5.00,NULL,1.00,3.00,1.00,102,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7322313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7322321,3.00,4.00,2.00,4.00,3.00,7.50,4.00,4.00,3.00,404,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JARDIM RENASCENÇA','S LUÍS','MA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7322372,3.00,5.00,1.00,4.00,6.00,NULL,3.00,5.00,3.00,3,NULL,NULL,'BUCAREIN','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(28,7322380,3.00,5.00,1.00,4.00,3.00,6.38,2.00,3.00,4.00,501,NULL,NULL,'FOJOCA','S PEDRO ALCÂNTARA','SC',18886,123,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'SÃO BRAZ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7322402,5.00,8.00,1.00,7.00,9.00,5.63,3.00,7.00,5.00,216,NULL,214,'JD LIBERDADE','JACAREÍ','SP',3774,143,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322429,2.00,5.00,1.00,2.00,5.00,7.13,2.00,4.00,1.00,454,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16083,327,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322437,5.00,7.00,0.00,6.00,5.00,8.25,2.00,3.00,5.00,216,NULL,203,'SÃO JORGE','XANXERÊ','SC',8742,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7322445,2.00,8.00,2.00,3.00,4.00,4.50,1.00,4.00,3.00,601,NULL,203,'CENTRO','TORRES','RS',14717,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7322453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7322461,4.00,6.00,3.00,7.00,7.00,8.25,3.00,7.00,5.00,208,NULL,NULL,'MONTE BELO','JOAÇABA','SC',4003,25,NULL,NULL,NULL,NULL,NULL,4,7),(28,7322488,6.00,8.00,4.00,6.00,8.00,10.13,5.00,7.00,4.00,303,NULL,NULL,'CENTRO','MACAUBAL','SP',1023,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322496,3.00,3.00,0.00,1.00,1.00,NULL,0.00,1.00,2.00,331,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322500,1.00,3.00,3.00,5.00,1.00,NULL,1.00,2.00,2.00,208,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322518,3.00,7.00,3.00,7.00,7.00,7.50,3.00,6.00,3.00,316,NULL,NULL,'GUARUJÁ','PTO ALEGRE','RS',5571,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322526,4.00,7.00,1.00,5.00,5.00,7.13,2.00,4.00,1.00,454,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',16771,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322534,3.00,4.00,0.00,5.00,6.00,8.25,0.00,3.00,2.00,101,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',15374,97,NULL,NULL,NULL,NULL,NULL,2,1),(28,7322542,0.00,0.00,2.00,4.00,4.00,NULL,1.00,1.00,2.00,5,NULL,NULL,'CENTRO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7322550,4.00,7.00,2.00,6.00,9.00,8.63,4.00,8.00,6.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2687,119,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322569,3.00,6.00,2.00,5.00,5.00,6.75,2.00,5.00,5.00,333,NULL,NULL,'SANTO ANTONIO LISBOA','FLORIANÓPOLIS','SC',10824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322577,0.00,3.00,0.00,2.00,2.00,NULL,0.00,1.00,0.00,302,NULL,NULL,'PACHECO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322585,4.00,4.00,3.00,5.00,8.00,6.75,2.00,3.00,3.00,317,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',15889,118,NULL,NULL,NULL,NULL,NULL,2,1),(28,7322593,2.00,5.00,0.00,3.00,5.00,7.13,0.00,4.00,2.00,502,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',19339,62,NULL,NULL,NULL,NULL,NULL,4,22),(28,7322615,2.00,6.00,1.00,3.00,6.00,9.00,0.00,4.00,2.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18093,63,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322623,5.00,7.00,5.00,6.00,8.00,7.88,4.00,6.00,5.00,103,NULL,NULL,'SANTA CATARINA','CRICIÚMA','SC',3033,1145,NULL,NULL,NULL,NULL,NULL,4,5),(28,7322640,3.00,5.00,2.00,4.00,3.00,6.75,1.00,3.00,2.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',19255,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322658,2.00,7.00,2.00,2.00,3.00,4.50,1.00,4.00,4.00,5,NULL,NULL,'CENTRO','S BONIFÁCIO','SC',16978,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7322666,1.00,7.00,4.00,6.00,7.00,5.25,3.00,7.00,2.00,310,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',14645,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322690,2.00,7.00,4.00,4.00,6.00,6.75,2.00,3.00,4.00,208,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13153,147,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322704,3.00,6.00,4.00,5.00,6.00,7.13,0.00,5.00,2.00,316,NULL,NULL,'JARDIM PAULISTA','BAURU','SP',15910,207,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322712,3.00,6.00,0.00,4.00,8.00,7.13,4.00,6.00,4.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8739,149,NULL,NULL,NULL,NULL,NULL,2,1),(28,7322720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7322739,4.00,7.00,2.00,7.00,6.00,6.00,6.00,5.00,5.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5414,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7322755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7322771,2.00,4.00,0.00,1.00,4.00,NULL,0.00,2.00,2.00,999,NULL,NULL,'CENTRO','LUIZ ALVES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7322780,5.00,7.00,3.00,7.00,6.00,7.50,4.00,6.00,5.00,212,NULL,213,'JOAO PAULO','FLORIANÓPOLIS','SC',3713,113,NULL,47,NULL,NULL,NULL,4,1),(28,7322798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,425,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7322801,0.00,3.00,2.00,4.00,5.00,NULL,3.00,1.00,3.00,502,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7322810,0.00,3.00,2.00,1.00,2.00,NULL,2.00,4.00,2.00,104,NULL,NULL,'SANTA TERESA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7322836,2.00,3.00,1.00,3.00,3.00,6.00,1.00,5.00,3.00,216,NULL,203,'JARDIM BELA VISTA','PARAGUAÇU PAULISTA','SP',15049,400,NULL,NULL,NULL,NULL,NULL,4,8),(28,7322844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7322852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'JARDIM ULTRA MAR','BAL GAIVOTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7322860,3.00,4.00,2.00,6.00,7.00,10.88,4.00,5.00,3.00,318,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12990,90,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322879,0.00,5.00,1.00,2.00,6.00,9.38,3.00,2.00,3.00,316,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',13598,159,NULL,NULL,NULL,NULL,NULL,4,1),(28,7322887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7322895,1.00,3.00,2.00,6.00,1.00,NULL,2.00,1.00,2.00,304,NULL,NULL,'CASA BRANCA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7322909,1.00,8.00,1.00,4.00,4.00,13.50,3.00,6.00,6.00,320,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11351,17,NULL,NULL,NULL,NULL,NULL,6,1),(28,7322917,3.00,8.00,4.00,7.00,5.00,6.75,4.00,5.00,5.00,211,NULL,207,'ESPRAIADO I','NOVA TRENTO','SC',9991,269,NULL,459,NULL,NULL,NULL,4,22),(28,7322925,3.00,5.00,3.00,6.00,2.00,NULL,1.00,5.00,4.00,320,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7322933,0.00,6.00,3.00,6.00,5.00,6.00,0.00,4.00,3.00,999,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7322941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,309,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7322950,0.00,6.00,2.00,5.00,5.00,0.00,1.00,3.00,2.00,450,NULL,NULL,'CENTRO','MARAU','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7322968,4.00,6.00,3.00,6.00,7.00,8.25,5.00,6.00,5.00,601,NULL,220,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7322976,4.00,7.00,1.00,5.00,8.00,8.25,2.00,5.00,2.00,203,NULL,207,'ARIRIÚ','PALHOÇA','SC',13087,606,NULL,593,NULL,NULL,NULL,4,1),(28,7322984,4.00,6.00,2.00,4.00,7.00,9.00,3.00,5.00,6.00,103,NULL,NULL,'CAMPO DA AVIAÇÃO','IMBITUBA','SC',4986,1491,NULL,NULL,NULL,NULL,NULL,4,10),(28,7322992,2.00,6.00,2.00,6.00,7.00,7.50,5.00,3.00,2.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',14966,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7323000,1.00,6.00,3.00,5.00,6.00,5.63,5.00,4.00,3.00,404,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',16717,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7323026,1.00,6.00,2.00,1.00,4.00,6.75,2.00,7.00,0.00,108,NULL,NULL,'CENTRO','AURORA','SC',14744,199,NULL,NULL,NULL,NULL,NULL,4,24),(28,7323034,2.00,6.00,2.00,4.00,5.00,7.88,4.00,4.00,3.00,238,NULL,201,'INGLESES','FLORIANÓPOLIS','SC',12223,201,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323042,0.00,3.00,1.00,3.00,5.00,NULL,3.00,2.00,2.00,9,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323050,3.00,5.00,3.00,6.00,5.00,7.50,1.00,5.00,3.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',12107,166,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323085,1.00,5.00,1.00,4.00,7.00,7.50,1.00,5.00,2.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',13126,12,NULL,NULL,NULL,NULL,NULL,2,16),(28,7323093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7323107,2.00,7.00,3.00,6.00,8.00,10.50,5.00,7.00,6.00,216,NULL,NULL,'BARREIROS','S JOSÉ','SC',4158,157,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323115,0.00,3.00,2.00,6.00,3.00,NULL,3.00,2.00,2.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323123,6.00,4.00,1.00,6.00,6.00,8.25,1.00,5.00,6.00,103,NULL,NULL,'MOSSUNGUÊ','CURITIBA','PR',6102,1642,NULL,NULL,NULL,NULL,NULL,2,2),(28,7323131,1.00,4.00,2.00,6.00,6.00,6.75,1.00,3.00,1.00,319,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',16069,312,NULL,NULL,NULL,NULL,NULL,2,4),(28,7323140,1.00,8.00,1.00,5.00,6.00,9.75,2.00,8.00,3.00,501,NULL,NULL,'ITAPEMA DO NORTE','ITAPOÁ','SC',6950,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7323174,1.00,4.00,2.00,5.00,4.00,4.88,2.00,3.00,3.00,102,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',19372,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323212,2.00,5.00,1.00,4.00,5.00,7.88,0.00,5.00,3.00,501,NULL,NULL,'NOVA BRASÍLIA','IMBITUBA','SC',13977,87,NULL,NULL,NULL,NULL,NULL,4,10),(28,7323220,2.00,6.00,1.00,5.00,5.00,8.63,2.00,4.00,3.00,454,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',11992,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323239,2.00,5.00,1.00,7.00,4.00,8.25,1.00,3.00,2.00,213,NULL,214,'CENTRO','LGA VERMELHA','RS',15484,243,NULL,326,NULL,NULL,NULL,2,1),(28,7323247,2.00,4.00,1.00,6.00,2.00,NULL,2.00,5.00,1.00,301,NULL,NULL,'ARMACAO DO PANTANO D','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323255,4.00,8.00,4.00,5.00,8.00,7.13,1.00,6.00,5.00,102,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',10346,90,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323263,0.00,3.00,2.00,5.00,7.00,NULL,2.00,3.00,2.00,207,NULL,201,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7323271,1.00,6.00,2.00,5.00,3.00,6.75,1.00,3.00,1.00,233,NULL,601,'TRINDADE','FLORIANÓPOLIS','SC',15885,321,NULL,468,NULL,NULL,NULL,4,1),(28,7323280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7323301,2.00,8.00,3.00,6.00,8.00,7.50,2.00,6.00,6.00,601,NULL,201,'JARDIM PARAÍSO','JOINVILLE','SC',5297,99,NULL,NULL,NULL,NULL,NULL,2,8),(28,7323310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BETHANIA','IPATINGA','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7323328,0.00,2.00,3.00,2.00,4.00,NULL,2.00,5.00,2.00,238,NULL,211,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323336,4.00,8.00,2.00,5.00,7.00,9.75,4.00,6.00,7.00,317,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',2435,1,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323344,2.00,4.00,2.00,6.00,4.00,4.50,2.00,4.00,1.00,104,NULL,NULL,'CENTRO','XAXIM','SC',18806,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7323352,5.00,7.00,1.00,6.00,5.00,8.63,2.00,3.00,7.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',6002,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7323379,3.00,4.00,2.00,6.00,2.00,NULL,2.00,3.00,3.00,211,NULL,213,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323387,5.00,4.00,5.00,3.00,10.00,8.25,2.00,5.00,4.00,326,NULL,NULL,'CENTRO','S JOSÉ','SC',6807,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323395,3.00,2.00,1.00,4.00,2.00,NULL,1.00,3.00,2.00,454,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323409,4.00,6.00,1.00,6.00,6.00,9.00,3.00,6.00,5.00,201,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',13106,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323417,3.00,6.00,1.00,5.00,5.00,NULL,0.00,5.00,2.00,318,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323425,2.00,6.00,2.00,3.00,6.00,7.13,2.00,6.00,2.00,104,NULL,NULL,'VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC',11110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323441,2.00,7.00,1.00,3.00,8.00,10.13,4.00,6.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7814,1869,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323450,1.00,6.00,2.00,4.00,7.00,7.50,2.00,4.00,4.00,110,NULL,NULL,'ATLÂNTIDA','XANGRI-LÁ','RS',13139,47,NULL,NULL,NULL,NULL,NULL,4,5),(28,7323468,1.00,7.00,2.00,7.00,6.00,7.13,0.00,4.00,0.00,454,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',13858,279,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323476,2.00,5.00,3.00,3.00,4.00,7.13,3.00,4.00,3.00,108,NULL,NULL,'CENTRO','RODEIO','SC',18095,242,NULL,NULL,NULL,NULL,NULL,5,2),(28,7323484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'PRAIA DOS INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7323492,2.00,5.00,4.00,7.00,5.00,8.63,2.00,5.00,7.00,999,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7323506,3.00,7.00,1.00,3.00,2.00,NULL,1.00,3.00,0.00,301,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323522,1.00,5.00,2.00,5.00,6.00,7.50,1.00,5.00,1.00,316,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',14837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323530,3.00,7.00,0.00,6.00,6.00,8.63,0.00,7.00,2.00,318,NULL,NULL,'NAÇÕES','TIMBÓ','SC',13933,97,NULL,NULL,NULL,NULL,NULL,4,2),(28,7323549,1.00,2.00,2.00,2.00,0.00,NULL,1.00,2.00,0.00,222,NULL,NULL,'SOSSEGO','SCHROEDER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7323557,3.00,5.00,2.00,5.00,3.00,6.38,4.00,5.00,2.00,316,NULL,NULL,'BEATRIZ','LAGES','SC',13590,157,NULL,NULL,NULL,NULL,NULL,4,9),(28,7323565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7323573,3.00,7.00,1.00,5.00,6.00,8.25,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',15223,2365,NULL,NULL,NULL,NULL,NULL,4,5),(28,7323581,6.00,8.00,1.00,5.00,5.00,9.00,2.00,7.00,6.00,103,NULL,NULL,'CHACARA CACHOEIRA','CPO GRANDE','MS',4761,1455,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323590,2.00,5.00,2.00,3.00,7.00,4.88,0.00,2.00,2.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17462,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323603,1.00,5.00,1.00,7.00,5.00,6.75,1.00,3.00,4.00,104,NULL,NULL,'JD BONFIGLIOLI','JUNDIAÍ','SP',12257,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323611,3.00,0.00,1.00,3.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(28,7323620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7323638,2.00,4.00,3.00,3.00,4.00,4.88,1.00,4.00,3.00,339,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',19559,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323646,4.00,1.00,1.00,6.00,4.00,6.38,2.00,1.00,2.00,301,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323654,2.00,6.00,2.00,7.00,6.00,9.38,3.00,5.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323662,0.00,4.00,2.00,5.00,4.00,NULL,2.00,5.00,3.00,301,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323670,4.00,6.00,2.00,7.00,8.00,10.88,4.00,5.00,4.00,340,NULL,NULL,'CENTRO','LAGES','SC',8097,216,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323689,3.00,4.00,3.00,6.00,8.00,6.38,4.00,3.00,6.00,454,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',12850,254,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323697,0.00,6.00,3.00,5.00,6.00,NULL,2.00,5.00,2.00,318,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'BREJARU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7323719,7.00,6.00,3.00,7.00,6.00,7.13,4.00,4.00,3.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CUIABÁ','MT',5473,1566,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323727,0.00,3.00,2.00,5.00,5.00,NULL,2.00,2.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CEARÁ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7323743,3.00,5.00,2.00,4.00,7.00,4.88,4.00,3.00,3.00,339,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',17756,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323760,3.00,8.00,4.00,3.00,6.00,7.88,1.00,6.00,5.00,601,NULL,655,'CENTRO','JAGUARUNA','SC',11213,330,NULL,59,NULL,NULL,NULL,4,5),(28,7323778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'INATEL','STA RITA SAPUCAÍ','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7323786,1.00,3.00,4.00,6.00,3.00,8.25,1.00,4.00,3.00,5,NULL,NULL,'SANTA MARIA GORETTI','PTO ALEGRE','RS',18581,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323794,4.00,5.00,0.00,7.00,7.00,10.50,3.00,6.00,1.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5730,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323808,1.00,5.00,1.00,3.00,7.00,11.25,0.00,5.00,2.00,326,NULL,NULL,'FIGUEIRA GRANDE','IMARUÍ','SC',17672,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323816,3.00,6.00,1.00,2.00,3.00,8.63,2.00,6.00,4.00,9,NULL,NULL,'JD ESTHER YOLANDA','S PAULO','SP',12461,80,NULL,NULL,NULL,NULL,NULL,4,8),(28,7323832,1.00,5.00,1.00,2.00,4.00,9.38,1.00,5.00,5.00,415,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',18617,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323840,4.00,5.00,1.00,6.00,3.00,6.75,1.00,6.00,3.00,601,NULL,220,'CENTRO','GARUVA','SC',17716,509,NULL,NULL,NULL,NULL,NULL,2,8),(28,7323859,1.00,2.00,1.00,3.00,3.00,NULL,0.00,1.00,0.00,207,NULL,220,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7323867,1.00,6.00,1.00,8.00,4.00,6.75,4.00,3.00,2.00,208,NULL,NULL,'ELTON VILLE','SOROCABA','SP',10201,105,NULL,NULL,NULL,NULL,NULL,4,8),(28,7323875,0.00,4.00,0.00,1.00,3.00,8.25,3.00,4.00,1.00,103,NULL,NULL,'FLORESTA','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7323883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'SAO SEBASTIAO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7323891,4.00,3.00,3.00,3.00,5.00,6.75,1.00,4.00,4.00,302,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',18477,142,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323905,6.00,7.00,3.00,5.00,6.00,10.13,5.00,6.00,5.00,203,NULL,214,'SAO DIMAS','PIRACICABA','SP',2747,209,NULL,103,NULL,NULL,NULL,4,1),(28,7323913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7323921,4.00,8.00,3.00,7.00,8.00,5.63,5.00,6.00,6.00,213,NULL,235,'PRAINHA','FLORIANÓPOLIS','SC',2685,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323930,0.00,4.00,1.00,4.00,4.00,6.38,2.00,3.00,2.00,454,NULL,NULL,'SÃO MIGUEL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323948,5.00,6.00,3.00,3.00,9.00,12.00,4.00,6.00,3.00,303,NULL,NULL,'CENTRO','RIO SUL','SC',8373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7323956,0.00,5.00,2.00,1.00,4.00,NULL,2.00,3.00,2.00,653,NULL,652,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7323964,0.00,4.00,1.00,6.00,3.00,7.13,0.00,2.00,1.00,109,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323972,0.00,4.00,2.00,5.00,7.00,7.50,4.00,5.00,3.00,999,NULL,NULL,'NOVA BRASILIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7323980,3.00,3.00,2.00,5.00,7.00,8.25,2.00,5.00,2.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16811,45,NULL,NULL,NULL,NULL,NULL,2,1),(28,7323999,0.00,3.00,2.00,4.00,4.00,6.75,1.00,4.00,2.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19726,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324014,5.00,4.00,2.00,5.00,3.00,6.75,3.00,3.00,1.00,208,NULL,NULL,'IPIRANGA','S JOSÉ','SC',18410,204,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324022,0.00,3.00,1.00,5.00,4.00,NULL,3.00,4.00,3.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7324030,7.00,4.00,4.00,5.00,8.00,9.75,3.00,6.00,5.00,103,NULL,NULL,'NORTE','TAGUATINGA','DF',7905,1889,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324049,3.00,4.00,0.00,6.00,5.00,9.38,2.00,5.00,4.00,444,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',13075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324057,2.00,1.00,2.00,4.00,8.00,9.00,2.00,2.00,2.00,234,NULL,NULL,'COSTEIRA','PARANAGUÁ','PR',13515,34,NULL,NULL,NULL,NULL,NULL,2,6),(28,7324065,1.00,2.00,2.00,1.00,5.00,5.63,2.00,5.00,1.00,653,NULL,NULL,'CENTRO','TURVO','SC',19950,223,NULL,NULL,NULL,NULL,NULL,4,15),(28,7324073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7324081,3.00,5.00,3.00,6.00,2.00,NULL,3.00,3.00,2.00,103,NULL,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7324090,1.00,4.00,2.00,6.00,5.00,8.63,3.00,1.00,5.00,203,NULL,235,'PANORAMA','ARAÇATUBA','SP',11490,571,NULL,190,NULL,NULL,NULL,4,8),(28,7324103,1.00,5.00,0.00,2.00,6.00,NULL,0.00,4.00,2.00,101,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324111,0.00,2.00,2.00,5.00,2.00,NULL,2.00,3.00,1.00,203,NULL,220,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324138,9.00,7.00,2.00,7.00,8.00,9.75,5.00,5.00,7.00,103,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',1357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324146,4.00,5.00,1.00,8.00,4.00,8.63,4.00,5.00,1.00,211,NULL,601,'ATIRADORES','JOINVILLE','SC',11797,310,NULL,346,NULL,NULL,NULL,4,8),(28,7324154,4.00,6.00,2.00,6.00,7.00,7.13,2.00,5.00,5.00,208,NULL,NULL,'JARDIM SOLEMAR','S JOSÉ','SC',8735,93,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324162,2.00,5.00,1.00,7.00,3.00,6.75,3.00,4.00,1.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',13499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324200,3.00,4.00,1.00,5.00,5.00,8.25,4.00,5.00,1.00,5,NULL,NULL,'CENTRO','JAGUARUNA','SC',12863,358,NULL,NULL,NULL,NULL,NULL,2,10),(28,7324219,4.00,6.00,1.00,5.00,5.00,9.38,4.00,4.00,3.00,320,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',14253,35,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324227,0.00,3.00,0.00,1.00,4.00,NULL,2.00,3.00,2.00,552,NULL,NULL,'SANTO ANTONIO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7324235,0.00,3.00,0.00,2.00,3.00,NULL,1.00,3.00,3.00,444,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324243,2.00,6.00,1.00,6.00,4.00,4.88,1.00,4.00,2.00,303,NULL,NULL,'OFICINAS','TUBARÃO','SC',18823,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7324251,5.00,8.00,3.00,3.00,7.00,9.00,4.00,6.00,5.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7324260,2.00,5.00,2.00,6.00,7.00,6.38,3.00,6.00,4.00,303,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10305,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324278,1.00,4.00,1.00,2.00,3.00,7.88,2.00,2.00,1.00,308,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324286,0.00,2.00,3.00,5.00,5.00,NULL,0.00,3.00,0.00,601,NULL,215,'ACARAI','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7324294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'SANTA CATARINA','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7324316,3.00,7.00,1.00,4.00,7.00,8.63,3.00,6.00,2.00,415,NULL,NULL,'SÃO LUIZ','GRAVATAÍ','RS',14163,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324332,2.00,6.00,2.00,6.00,5.00,7.88,2.00,6.00,1.00,332,NULL,NULL,'BARREIROS','S JOSÉ','SC',12339,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'VILA AUGUSTA','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7324359,0.00,7.00,2.00,3.00,3.00,7.50,2.00,7.00,2.00,552,NULL,NULL,'VARJEM DO BOM JESUS','FLORIANÓPOLIS','SC',14446,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324367,1.00,8.00,2.00,8.00,6.00,9.00,1.00,6.00,2.00,317,NULL,NULL,'BELA VISTA','S JOSÉ','SC',14357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324375,5.00,7.00,3.00,7.00,9.00,10.88,5.00,6.00,8.00,102,NULL,NULL,'SÃO BASÍLIO','BRAÇO NORTE','SC',1550,2,NULL,NULL,NULL,NULL,NULL,4,10),(28,7324383,3.00,4.00,1.00,4.00,5.00,NULL,0.00,3.00,0.00,238,NULL,214,'CACUPE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324391,0.00,5.00,1.00,0.00,5.00,NULL,1.00,3.00,1.00,316,NULL,NULL,'ZONA NOVA','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7324405,3.00,5.00,0.00,7.00,9.00,7.50,3.00,5.00,2.00,109,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',14391,53,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324413,4.00,7.00,2.00,2.00,6.00,NULL,2.00,4.00,3.00,5,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7324421,0.00,5.00,3.00,4.00,5.00,NULL,3.00,4.00,3.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324430,2.00,5.00,4.00,5.00,4.00,6.00,4.00,6.00,4.00,2,NULL,NULL,'TONIAL','XANXERÊ','SC',10804,29,NULL,NULL,NULL,NULL,NULL,2,4),(28,7324456,1.00,6.00,1.00,5.00,5.00,5.25,1.00,6.00,2.00,238,NULL,214,'CAMPINAS','S JOSÉ','SC',14954,249,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324464,2.00,5.00,2.00,6.00,3.00,8.25,2.00,4.00,2.00,9,NULL,NULL,'CENTRO','TIJUCAS','SC',11915,73,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324472,2.00,5.00,1.00,6.00,6.00,8.25,1.00,5.00,7.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8957,102,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324480,2.00,4.00,2.00,1.00,2.00,NULL,0.00,3.00,1.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7324502,1.00,6.00,1.00,7.00,3.00,9.75,3.00,5.00,4.00,320,NULL,NULL,'VILA BANCÁRIA MUNHOZ','S PAULO','SP',15116,38,NULL,NULL,NULL,NULL,NULL,2,5),(28,7324510,3.00,7.00,5.00,7.00,7.00,7.88,4.00,5.00,3.00,501,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',4833,7,NULL,NULL,NULL,NULL,NULL,4,22),(28,7324529,1.00,4.00,3.00,7.00,6.00,9.75,5.00,6.00,5.00,302,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9675,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324537,1.00,3.00,2.00,1.00,4.00,6.75,2.00,2.00,1.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324545,3.00,4.00,3.00,7.00,6.00,8.63,1.00,6.00,2.00,317,NULL,NULL,'BARREIROS','S JOSÉ','SC',14935,102,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324570,2.00,5.00,3.00,7.00,2.00,NULL,3.00,5.00,1.00,308,NULL,NULL,'PANTÂNO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324588,1.00,6.00,3.00,3.00,7.00,7.50,1.00,5.00,1.00,108,NULL,NULL,'JARDIM SANTA EUGENIA','PARANAVAÍ','PR',14054,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,426,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',3,1),(28,7324600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SETOR MARISTA','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7324618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'SANTA CATARINA','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7324626,0.00,2.00,3.00,5.00,7.00,5.63,1.00,3.00,1.00,415,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',18205,269,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM INDEPENDENCIA','SARANDI','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7324650,0.00,4.00,1.00,5.00,6.00,7.88,1.00,3.00,1.00,327,NULL,NULL,'CENTRO','ARARANGUÁ','SC',19318,64,NULL,NULL,NULL,NULL,NULL,2,15),(28,7324677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM ALGARVE','COTIA','SP',NULL,NULL,NULL,NULL,'S','S','S',1,1),(28,7324693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,427,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7324715,4.00,8.00,3.00,7.00,4.00,9.00,4.00,5.00,3.00,429,NULL,425,'BARREIROS','S JOSÉ','SC',6046,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324723,0.00,2.00,0.00,5.00,5.00,NULL,2.00,2.00,1.00,428,NULL,426,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324731,0.00,3.00,1.00,5.00,4.00,NULL,2.00,3.00,1.00,316,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324740,2.00,7.00,2.00,6.00,6.00,7.50,4.00,7.00,5.00,301,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',6297,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324758,1.00,6.00,1.00,5.00,4.00,8.63,2.00,4.00,1.00,415,NULL,NULL,'BERGER','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7324766,4.00,7.00,4.00,4.00,6.00,7.50,4.00,6.00,5.00,214,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',8508,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7324782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7324790,7.00,7.00,5.00,6.00,9.00,9.75,4.00,7.00,7.00,202,NULL,216,'ALTO DA XV','CURITIBA','PR',970,21,NULL,NULL,NULL,NULL,NULL,4,8),(28,7324804,3.00,3.00,2.00,6.00,6.00,9.00,3.00,2.00,3.00,104,NULL,NULL,'CENTRO','IMBITUBA','SC',17127,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7324812,2.00,3.00,3.00,4.00,2.00,NULL,3.00,1.00,2.00,425,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324820,0.00,6.00,0.00,5.00,5.00,NULL,0.00,3.00,3.00,207,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324839,7.00,8.00,3.00,6.00,9.00,9.38,3.00,7.00,6.00,103,NULL,NULL,'MIRANTE DAS ESTRELAS','VINHEDO','SP',990,550,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'FREITAS','PAULO LOPES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,26),(28,7324871,3.00,6.00,1.00,7.00,7.00,8.25,4.00,6.00,4.00,308,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',11203,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324880,3.00,7.00,3.00,6.00,9.00,8.63,2.00,7.00,4.00,103,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',4751,1453,NULL,NULL,NULL,NULL,NULL,2,5),(28,7324898,3.00,7.00,1.00,7.00,6.00,9.75,1.00,6.00,2.00,999,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7324901,2.00,3.00,2.00,8.00,6.00,NULL,0.00,3.00,0.00,999,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,22),(28,7324910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'VILA SETE','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7324928,1.00,3.00,1.00,4.00,2.00,NULL,2.00,4.00,4.00,213,NULL,207,'COBRE','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324936,1.00,0.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7324944,0.00,5.00,0.00,3.00,2.00,NULL,3.00,1.00,2.00,203,NULL,202,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7324952,4.00,4.00,0.00,6.00,6.00,NULL,2.00,3.00,1.00,101,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324960,0.00,7.00,2.00,5.00,6.00,7.50,1.00,5.00,2.00,238,NULL,655,'CRUZEIRO DO SUL','CRICIÚMA','SC',12936,212,NULL,68,NULL,NULL,NULL,4,5),(28,7324979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7324987,5.00,8.00,6.00,5.00,5.00,7.50,4.00,5.00,6.00,208,NULL,NULL,'VILA GIGLIO','ATIBAIA','SP',2653,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7324995,5.00,8.00,1.00,6.00,7.00,10.88,4.00,6.00,3.00,444,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',8468,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325002,1.00,6.00,1.00,5.00,4.00,7.88,0.00,4.00,2.00,999,NULL,NULL,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325010,1.00,7.00,2.00,7.00,8.00,6.75,1.00,1.00,2.00,999,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325029,6.00,7.00,4.00,7.00,8.00,7.50,5.00,3.00,5.00,103,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',3310,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7325037,0.00,2.00,1.00,3.00,3.00,NULL,2.00,4.00,0.00,502,NULL,NULL,'VILA NOVA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325045,1.00,5.00,2.00,6.00,6.00,8.25,3.00,3.00,2.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',12485,228,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325053,2.00,4.00,2.00,7.00,6.00,6.00,2.00,6.00,2.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7325070,1.00,6.00,1.00,6.00,9.00,7.88,3.00,4.00,3.00,653,NULL,NULL,'SÃO SIMÃO','CRICIÚMA','SC',12911,140,NULL,NULL,NULL,NULL,NULL,2,5),(28,7325088,6.00,7.00,4.00,7.00,10.00,9.00,3.00,7.00,5.00,203,NULL,214,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',1390,128,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325118,5.00,7.00,2.00,7.00,6.00,8.25,3.00,6.00,4.00,220,NULL,215,'PRAIA COMPRIDA','S JOSÉ','SC',5331,160,NULL,78,NULL,NULL,NULL,4,1),(28,7325126,2.00,4.00,0.00,4.00,4.00,7.50,1.00,3.00,3.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325142,0.00,2.00,3.00,5.00,4.00,NULL,1.00,3.00,3.00,301,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325150,5.00,7.00,3.00,6.00,7.00,9.00,4.00,7.00,7.00,212,NULL,215,'VILA PETRÓPOLIS','ATIBAIA','SP',2159,44,NULL,18,NULL,NULL,NULL,4,1),(28,7325169,0.00,4.00,2.00,5.00,5.00,NULL,3.00,6.00,0.00,655,NULL,202,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325177,4.00,6.00,2.00,7.00,8.00,9.38,4.00,6.00,3.00,103,NULL,NULL,'RIO MORTO','INDAIAL','SC',5296,1543,NULL,NULL,NULL,NULL,NULL,4,2),(28,7325185,5.00,8.00,1.00,7.00,9.00,9.38,4.00,7.00,8.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',1375,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325193,0.00,3.00,3.00,4.00,4.00,NULL,1.00,6.00,1.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325207,1.00,5.00,2.00,6.00,4.00,6.75,1.00,4.00,3.00,103,NULL,NULL,'JARDIM AMERICA','ITUPORANGA','SC',13925,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7325215,6.00,6.00,5.00,6.00,4.00,9.75,3.00,5.00,3.00,203,NULL,213,'VILA SONIA','CAMPINAS','SP',5569,370,NULL,89,NULL,NULL,NULL,4,1),(28,7325223,1.00,5.00,3.00,7.00,6.00,11.25,2.00,2.00,2.00,212,NULL,238,'PONTE DO IMARUIM','PALHOÇA','SC',11051,321,NULL,168,NULL,NULL,NULL,4,1),(28,7325231,1.00,5.00,1.00,2.00,4.00,8.25,1.00,3.00,3.00,451,NULL,NULL,'JARDIM DAS ACÁCIAS','S JOSÉ','SC',19433,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325240,2.00,7.00,1.00,6.00,6.00,7.13,2.00,5.00,5.00,201,NULL,NULL,'DEHON','TUBARÃO','SC',13761,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7325258,1.00,7.00,2.00,5.00,7.00,6.75,4.00,5.00,3.00,223,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',14953,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325266,5.00,5.00,1.00,7.00,7.00,9.38,4.00,4.00,2.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',6616,1713,NULL,NULL,NULL,NULL,NULL,4,6),(28,7325274,4.00,5.00,1.00,7.00,8.00,7.88,4.00,5.00,6.00,238,NULL,220,'SANTA MÔNICA','FLORIANÓPOLIS','SC',4528,30,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325282,1.00,2.00,2.00,3.00,2.00,NULL,2.00,2.00,2.00,335,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325290,0.00,4.00,1.00,6.00,2.00,NULL,3.00,3.00,1.00,213,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325304,1.00,5.00,2.00,5.00,5.00,5.25,4.00,4.00,5.00,207,NULL,213,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',16459,712,NULL,255,NULL,NULL,NULL,4,1),(28,7325312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7325339,1.00,6.00,2.00,3.00,5.00,6.75,4.00,7.00,3.00,999,NULL,NULL,'ITACURUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325347,5.00,6.00,3.00,6.00,8.00,9.38,4.00,6.00,7.00,104,NULL,NULL,'AREIAS','S JOSÉ','SC',3914,61,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7325363,4.00,7.00,2.00,7.00,8.00,9.75,3.00,6.00,2.00,319,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',6484,105,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'SANTO SARAIVA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7325380,0.00,4.00,2.00,5.00,5.00,7.88,1.00,2.00,3.00,5,NULL,NULL,'CENTRO','ARARANGUÁ','SC',13903,385,NULL,NULL,NULL,NULL,NULL,2,15),(28,7325398,4.00,3.00,3.00,4.00,5.00,6.00,2.00,5.00,3.00,201,NULL,207,'VILA NOVA','BLUMENAU','SC',10490,696,NULL,480,NULL,NULL,NULL,2,2),(28,7325410,2.00,5.00,1.00,1.00,3.00,5.63,3.00,2.00,2.00,5,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325428,1.00,5.00,2.00,3.00,6.00,8.63,0.00,4.00,2.00,454,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',18812,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325436,4.00,8.00,3.00,6.00,5.00,10.13,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','ERECHIM','RS',3814,1291,NULL,NULL,NULL,NULL,NULL,4,4),(28,7325444,1.00,5.00,1.00,6.00,7.00,7.88,3.00,5.00,3.00,428,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',15566,42,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325452,2.00,6.00,1.00,6.00,8.00,9.00,4.00,6.00,7.00,207,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',5480,243,NULL,79,NULL,NULL,NULL,2,1),(28,7325460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7325479,5.00,7.00,3.00,6.00,8.00,10.50,3.00,5.00,3.00,201,NULL,212,'REAL PARQUE','S JOSÉ','SC',4561,355,NULL,145,NULL,NULL,NULL,4,1),(28,7325487,1.00,3.00,0.00,6.00,4.00,7.50,1.00,4.00,1.00,415,NULL,NULL,'CARIJÓS','INDAIAL','SC',16384,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7325495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PASSO DOS FORTES','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7325509,2.00,4.00,3.00,5.00,3.00,7.88,3.00,3.00,3.00,327,NULL,NULL,'BARREIROS','S JOSÉ','SC',18353,59,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325517,2.00,3.00,3.00,7.00,5.00,9.75,3.00,3.00,2.00,109,NULL,NULL,'CENTRO','PALHOÇA','SC',11300,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325533,3.00,6.00,6.00,5.00,5.00,9.00,3.00,4.00,6.00,201,NULL,211,'SUMARÉZINHO','S PAULO','SP',6008,466,NULL,159,NULL,NULL,NULL,4,1),(28,7325541,5.00,6.00,4.00,6.00,7.00,6.75,5.00,5.00,5.00,319,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',6020,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JD MARAJOARA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7325584,3.00,6.00,1.00,5.00,6.00,8.25,2.00,3.00,3.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12653,207,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325592,3.00,7.00,2.00,6.00,6.00,10.50,3.00,4.00,5.00,999,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325606,2.00,4.00,3.00,5.00,4.00,6.00,2.00,4.00,2.00,655,NULL,653,'NOVA BRASILIA','SOMBRIO','SC',19024,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7325614,2.00,4.00,2.00,5.00,4.00,NULL,0.00,2.00,1.00,333,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325622,0.00,6.00,0.00,6.00,4.00,5.63,2.00,3.00,4.00,999,NULL,NULL,'JARDIM CIDADE FLORIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325630,1.00,6.00,0.00,4.00,6.00,7.50,2.00,6.00,1.00,110,NULL,NULL,'PINHEIRA','PALHOÇA','SC',18144,92,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325649,1.00,5.00,3.00,5.00,5.00,5.63,3.00,4.00,4.00,454,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',13342,270,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325673,3.00,7.00,2.00,5.00,7.00,8.25,3.00,4.00,4.00,216,NULL,215,'VILA SANTANA','STO AMARO IMPERATRIZ','SC',6733,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ALVORADA','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7325690,4.00,7.00,3.00,4.00,5.00,5.25,2.00,5.00,2.00,501,NULL,NULL,'JARDIM PANAMÁ III','CPO GRANDE','MS',13325,82,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325703,5.00,8.00,3.00,7.00,9.00,8.63,4.00,7.00,5.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',1940,5,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325711,4.00,7.00,2.00,3.00,9.00,7.88,5.00,6.00,3.00,202,NULL,601,'CENTRO','AVANHANDAVA','SP',6144,168,NULL,123,NULL,NULL,NULL,4,8),(28,7325720,5.00,7.00,3.00,7.00,5.00,7.50,4.00,5.00,7.00,207,NULL,NULL,'NOVA SUIÇA','VALINHOS','SP',4140,168,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325738,3.00,7.00,1.00,3.00,3.00,5.25,2.00,4.00,2.00,213,NULL,201,'CRUZEIRO DO SUL','JOAÇABA','SC',19071,281,NULL,1031,NULL,NULL,NULL,4,7),(28,7325746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7325754,1.00,4.00,1.00,6.00,7.00,NULL,3.00,4.00,1.00,999,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7325762,0.00,3.00,0.00,1.00,4.00,8.25,2.00,4.00,3.00,551,NULL,NULL,'SÃO JOSÉ','FRAIBURGO','SC',19652,64,NULL,NULL,NULL,NULL,NULL,4,16),(28,7325770,2.00,3.00,2.00,7.00,5.00,9.38,1.00,4.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325789,2.00,9.00,3.00,6.00,5.00,7.88,3.00,6.00,3.00,238,NULL,655,'CARIANOS','FLORIANÓPOLIS','SC',6177,63,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325797,1.00,8.00,3.00,2.00,5.00,9.75,0.00,6.00,2.00,999,NULL,NULL,'BOSQUE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7325800,3.00,6.00,2.00,5.00,6.00,4.50,2.00,6.00,4.00,211,NULL,202,'OFICINAS','TUBARÃO','SC',9343,250,NULL,NULL,NULL,NULL,NULL,4,10),(28,7325819,1.00,2.00,2.00,5.00,6.00,7.13,3.00,3.00,3.00,207,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',18928,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325827,2.00,1.00,2.00,3.00,5.00,5.25,2.00,3.00,0.00,552,NULL,NULL,'COHAB I','CURITIBANOS','SC',18053,134,NULL,NULL,NULL,NULL,NULL,4,16),(28,7325835,1.00,5.00,4.00,4.00,5.00,8.63,1.00,4.00,3.00,301,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',14043,198,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325843,6.00,6.00,4.00,7.00,10.00,8.25,6.00,5.00,6.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',1261,659,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325851,1.00,1.00,3.00,2.00,2.00,NULL,2.00,2.00,1.00,316,NULL,NULL,'SÃO SEBASTIAO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325860,2.00,0.00,2.00,7.00,5.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7325878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7325886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'MORRO DO ESPELHO','S LEOPOLDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7325894,1.00,5.00,2.00,6.00,3.00,7.88,0.00,3.00,3.00,103,NULL,NULL,'CENTRO','BARRETOS','SP',12513,2235,NULL,NULL,NULL,NULL,NULL,4,8),(28,7325908,5.00,9.00,2.00,7.00,10.00,9.75,4.00,6.00,5.00,207,NULL,201,'HUGO LANGUE','CURITIBA','PR',4125,166,NULL,318,NULL,NULL,NULL,4,1),(28,7325916,3.00,6.00,2.00,7.00,8.00,7.88,4.00,6.00,3.00,340,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',9902,279,NULL,NULL,NULL,NULL,NULL,4,8),(28,7325924,0.00,5.00,0.00,0.00,0.00,NULL,1.00,3.00,2.00,309,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7325932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7325940,0.00,6.00,1.00,6.00,7.00,9.75,2.00,6.00,2.00,415,NULL,NULL,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',10000,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7325959,4.00,3.00,2.00,7.00,5.00,9.38,0.00,3.00,2.00,201,NULL,211,'CENTRO','TIJUCAS','SC',17690,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7325967,2.00,2.00,0.00,6.00,4.00,9.75,3.00,2.00,2.00,451,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',19104,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7325975,0.00,3.00,0.00,3.00,3.00,8.63,3.00,4.00,2.00,201,NULL,207,'KOBRASOL','S JOSÉ','SC',16742,954,NULL,722,NULL,NULL,NULL,4,1),(28,7325983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CÂNDIDA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7325991,4.00,8.00,2.00,6.00,7.00,7.13,2.00,3.00,2.00,450,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',14822,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326009,4.00,5.00,1.00,5.00,5.00,8.25,1.00,6.00,3.00,999,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7326017,0.00,4.00,1.00,1.00,0.00,NULL,1.00,3.00,1.00,101,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326033,1.00,5.00,3.00,6.00,4.00,7.88,2.00,4.00,1.00,444,NULL,NULL,'CENTRO','URUSSANGA','SC',18507,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7326050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7326068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'NOVA ITAPIRA','ITAPIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7326076,4.00,6.00,3.00,6.00,8.00,6.00,4.00,6.00,5.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',5006,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7326084,0.00,5.00,2.00,6.00,4.00,7.50,1.00,5.00,2.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',15825,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7326092,2.00,5.00,2.00,6.00,6.00,8.25,2.00,7.00,3.00,501,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9896,44,NULL,NULL,NULL,NULL,NULL,2,1),(28,7326106,3.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7326114,0.00,2.00,1.00,2.00,2.00,NULL,4.00,2.00,2.00,301,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7326122,2.00,7.00,1.00,5.00,0.00,NULL,1.00,6.00,4.00,108,NULL,NULL,'MACACU','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7326130,3.00,6.00,2.00,6.00,6.00,6.38,4.00,2.00,3.00,216,NULL,NULL,'PACHECOS','PALHOÇA','SC',10854,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7326157,2.00,6.00,2.00,6.00,4.00,6.00,3.00,4.00,2.00,102,NULL,NULL,'SANTA MARIA','LAGES','SC',11719,111,NULL,NULL,NULL,NULL,NULL,2,9),(28,7326173,2.00,1.00,1.00,1.00,3.00,7.13,1.00,4.00,0.00,601,NULL,653,'ITAUM','JOINVILLE','SC',20153,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7326181,4.00,4.00,2.00,6.00,4.00,8.25,1.00,4.00,4.00,415,NULL,NULL,'AEROPORTO','LONDRINA','PR',12449,204,NULL,NULL,NULL,NULL,NULL,4,8),(28,7326190,0.00,4.00,0.00,6.00,4.00,7.50,1.00,2.00,2.00,655,NULL,201,'REUNIDAS','CAÇADOR','SC',17876,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7326203,1.00,4.00,1.00,1.00,3.00,6.00,2.00,2.00,3.00,655,NULL,652,'PARAISO','CRICIÚMA','SC',19939,144,NULL,106,NULL,NULL,NULL,4,5),(28,7326211,0.00,5.00,4.00,3.00,4.00,3.00,3.00,3.00,1.00,101,NULL,NULL,'JARDIM COQUEIROS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7326220,6.00,7.00,2.00,6.00,7.00,9.00,8.00,8.00,7.00,103,NULL,NULL,'MATA DO JACINTO','CPO GRANDE','MS',1988,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326238,5.00,5.00,4.00,6.00,6.00,9.75,2.00,2.00,2.00,201,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',14718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326246,2.00,6.00,5.00,5.00,7.00,8.25,3.00,5.00,6.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',7097,317,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326254,2.00,4.00,2.00,5.00,6.00,10.50,4.00,3.00,3.00,212,NULL,201,'PONTE DO IMARUIM','PALHOÇA','SC',9971,290,NULL,675,NULL,NULL,NULL,4,1),(28,7326270,1.00,4.00,2.00,3.00,4.00,7.50,1.00,1.00,1.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19850,395,NULL,NULL,NULL,NULL,NULL,2,1),(28,7326289,4.00,8.00,2.00,7.00,7.00,9.75,4.00,6.00,1.00,450,NULL,NULL,'NOBUJI NAGASAWA','BAURU','SP',4820,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326297,5.00,5.00,2.00,6.00,5.00,11.25,3.00,5.00,3.00,450,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',8771,66,NULL,NULL,NULL,NULL,NULL,4,3),(28,7326300,3.00,2.00,2.00,6.00,5.00,7.50,4.00,4.00,2.00,319,NULL,NULL,'CENTRO','PAULO LOPES','SC',13470,255,NULL,NULL,NULL,NULL,NULL,2,1),(28,7326319,1.00,3.00,0.00,6.00,6.00,8.25,1.00,1.00,2.00,415,NULL,NULL,'JARDIM ZANELLATO','S JOSÉ','SC',17021,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326327,3.00,7.00,4.00,5.00,5.00,8.63,2.00,4.00,1.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',14475,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7326335,2.00,5.00,3.00,6.00,7.00,8.25,2.00,5.00,3.00,320,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7326343,5.00,8.00,4.00,7.00,9.00,9.00,5.00,7.00,7.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',509,347,NULL,NULL,NULL,NULL,NULL,2,8),(28,7326351,3.00,4.00,4.00,2.00,4.00,4.50,2.00,3.00,3.00,238,NULL,235,'BELA VISTA II','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326360,3.00,6.00,1.00,7.00,7.00,8.63,2.00,5.00,2.00,201,NULL,233,'JARDIM ELDORADO','PALHOÇA','SC',7731,562,NULL,196,NULL,NULL,NULL,2,1),(28,7326378,0.00,5.00,1.00,5.00,4.00,NULL,2.00,4.00,2.00,223,NULL,NULL,'RIO MAINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7326394,2.00,3.00,0.00,3.00,1.00,NULL,3.00,1.00,2.00,238,NULL,207,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326408,1.00,6.00,1.00,4.00,9.00,4.50,1.00,2.00,1.00,302,NULL,NULL,'CENTRO','PALHOÇA','SC',14846,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326416,4.00,5.00,3.00,6.00,8.00,7.13,3.00,4.00,4.00,108,NULL,NULL,'CAMPINAS SÃO JOSÉ','S JOSÉ','SC',9023,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326432,5.00,7.00,3.00,6.00,7.00,8.25,2.00,5.00,2.00,202,NULL,220,'CENTRO','IOMERÊ','SC',7212,192,NULL,194,NULL,NULL,NULL,4,6),(28,7326440,2.00,7.00,1.00,7.00,6.00,7.50,2.00,6.00,1.00,319,NULL,NULL,'AREAL','PELOTAS','RS',13397,252,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326459,2.00,0.00,1.00,8.00,6.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7326467,1.00,6.00,3.00,6.00,3.00,8.63,1.00,3.00,2.00,999,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7326483,3.00,6.00,0.00,7.00,6.00,6.00,1.00,5.00,1.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326491,2.00,2.00,1.00,5.00,5.00,6.38,2.00,2.00,0.00,238,NULL,207,'CACUPÉ','FLORIANÓPOLIS','SC',17429,306,NULL,NULL,NULL,NULL,NULL,2,1),(28,7326505,6.00,7.00,2.00,7.00,7.00,8.63,4.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3745,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7326513,1.00,4.00,5.00,4.00,4.00,8.63,4.00,5.00,3.00,331,NULL,NULL,'BARREIROS','S JOSÉ','SC',15157,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326521,3.00,5.00,2.00,5.00,5.00,5.63,4.00,4.00,3.00,203,NULL,201,'ÁGUA VERDE','CURITIBA','PR',10465,544,NULL,695,NULL,NULL,NULL,4,8),(28,7326548,0.00,5.00,2.00,5.00,4.00,NULL,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','CPO ERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7326556,3.00,7.00,0.00,6.00,4.00,6.00,4.00,6.00,4.00,451,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',14959,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7326564,5.00,6.00,1.00,6.00,6.00,10.50,2.00,7.00,2.00,415,NULL,NULL,'AREAL','PELOTAS','RS',11929,194,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326572,0.00,3.00,2.00,5.00,5.00,6.75,1.00,4.00,2.00,207,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15394,676,NULL,NULL,NULL,NULL,NULL,2,1),(28,7326580,6.00,5.00,2.00,6.00,5.00,7.13,3.00,6.00,3.00,238,NULL,235,'INGLESES','FLORIANÓPOLIS','SC',7606,101,NULL,131,NULL,NULL,NULL,2,1),(28,7326599,4.00,5.00,3.00,6.00,5.00,8.63,4.00,6.00,4.00,104,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6669,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7326602,0.00,5.00,1.00,3.00,3.00,0.00,0.00,5.00,1.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7326610,1.00,5.00,0.00,4.00,5.00,6.75,3.00,5.00,2.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7326629,1.00,3.00,1.00,6.00,5.00,7.50,4.00,2.00,4.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',14673,209,NULL,NULL,NULL,NULL,NULL,2,1),(28,7326645,5.00,4.00,2.00,2.00,4.00,7.88,1.00,2.00,2.00,238,NULL,203,'ESTREITO','FLORIANÓPOLIS','SC',15830,269,NULL,654,NULL,NULL,NULL,4,1),(28,7326661,5.00,7.00,1.00,7.00,7.00,7.13,3.00,6.00,2.00,319,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',12373,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326696,1.00,4.00,2.00,1.00,2.00,NULL,0.00,3.00,2.00,335,NULL,NULL,'RIO DO MEIO','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7326700,2.00,3.00,1.00,4.00,4.00,8.63,2.00,5.00,2.00,215,NULL,201,'SERÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326718,4.00,6.00,4.00,5.00,6.00,7.88,5.00,7.00,3.00,454,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6703,100,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326726,0.00,5.00,0.00,4.00,4.00,NULL,1.00,5.00,3.00,103,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7326734,2.00,2.00,1.00,5.00,4.00,7.50,0.00,3.00,3.00,102,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',19528,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7326742,4.00,7.00,3.00,8.00,5.00,9.00,4.00,6.00,5.00,216,NULL,233,'MARAMBAIA','VINHEDO','SP',4997,189,NULL,134,NULL,NULL,NULL,4,1),(28,7326750,2.00,6.00,1.00,7.00,6.00,10.13,2.00,6.00,3.00,301,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',12868,179,NULL,NULL,NULL,NULL,NULL,2,1),(28,7326769,4.00,6.00,2.00,5.00,7.00,9.75,3.00,6.00,4.00,601,NULL,655,'COQUEIROS','FLORIANÓPOLIS','SC',11487,338,NULL,61,NULL,NULL,NULL,4,1),(28,7326777,3.00,4.00,2.00,4.00,5.00,6.38,1.00,3.00,1.00,5,NULL,NULL,'VILA GERASUL','ITÁ','SC',15732,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7326793,0.00,5.00,1.00,3.00,6.00,7.50,2.00,3.00,2.00,425,NULL,429,'SANGA DA TOCA','ARARANGUÁ','SC',13180,42,NULL,NULL,NULL,NULL,NULL,4,15),(28,7326807,1.00,3.00,1.00,4.00,4.00,4.88,2.00,3.00,2.00,601,NULL,212,'PARZIANELLO','PATO BRANCO','PR',16787,488,NULL,NULL,NULL,NULL,NULL,2,4),(28,7326823,2.00,4.00,1.00,2.00,2.00,NULL,1.00,3.00,2.00,203,NULL,211,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326831,4.00,8.00,5.00,4.00,7.00,8.25,6.00,5.00,2.00,214,NULL,601,'ESTREITO','FLORIANÓPOLIS','SC',6799,NULL,NULL,147,NULL,NULL,NULL,4,1),(28,7326840,0.00,5.00,1.00,7.00,6.00,8.63,2.00,7.00,2.00,201,NULL,212,'CANASVIEIRAS','FLORIANÓPOLIS','SC',13284,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7326858,1.00,7.00,2.00,2.00,3.00,7.50,3.00,4.00,1.00,999,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'INTERIOR','S JORGE D OESTE','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7326882,2.00,7.00,3.00,5.00,5.00,8.25,3.00,4.00,3.00,999,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326890,0.00,6.00,3.00,4.00,5.00,6.38,2.00,3.00,2.00,999,NULL,NULL,'SALTO WEISSBACH','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7326904,1.00,6.00,2.00,5.00,6.00,10.13,3.00,3.00,4.00,9,NULL,NULL,'SALTO DO NORTE','BLUMENAU','SC',9043,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7326920,2.00,4.00,1.00,6.00,1.00,NULL,3.00,5.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SUMAREZINHO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7326947,2.00,3.00,3.00,5.00,5.00,5.25,1.00,2.00,1.00,211,NULL,215,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7326955,3.00,4.00,1.00,2.00,2.00,NULL,4.00,4.00,0.00,999,NULL,NULL,'FAZENDA SANTO ANTÔNI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326963,5.00,8.00,4.00,7.00,8.00,10.50,3.00,8.00,5.00,340,NULL,NULL,'JARDIM SÃO PAULO','INDAIATUBA','SP',2561,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7326971,4.00,7.00,3.00,7.00,7.00,7.13,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','RODEIO','SC',5305,1545,NULL,NULL,NULL,NULL,NULL,4,2),(28,7326980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BAETA NEVES','S BERNARDO CAMPO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7326998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'TARUMA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7327005,4.00,8.00,4.00,7.00,8.00,6.75,3.00,7.00,4.00,103,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',4328,1391,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327013,1.00,3.00,1.00,3.00,2.00,NULL,1.00,3.00,2.00,404,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327021,1.00,4.00,2.00,6.00,7.00,5.25,0.00,5.00,3.00,653,NULL,211,'JARDIN DAS AVENIDAS','ARARANGUÁ','SC',15452,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7327030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'SETOR AEROPORTO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7327048,2.00,5.00,2.00,7.00,8.00,7.88,4.00,7.00,4.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',7233,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7327064,3.00,6.00,3.00,6.00,6.00,9.38,1.00,5.00,4.00,103,NULL,NULL,'VILA NOVA','ARAUCÁRIA','PR',12247,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7327080,5.00,8.00,4.00,7.00,7.00,9.00,6.00,6.00,6.00,208,NULL,NULL,'EFAPI','CHAPECÓ','SC',2169,11,NULL,NULL,NULL,NULL,NULL,4,4),(28,7327099,1.00,4.00,3.00,2.00,4.00,NULL,2.00,6.00,2.00,203,NULL,214,'CANTO DOS GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7327102,2.00,5.00,2.00,3.00,4.00,10.88,1.00,3.00,3.00,103,NULL,NULL,'CENTRO','CURITIBANOS','SC',18333,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7327110,2.00,7.00,1.00,6.00,7.00,10.13,4.00,7.00,5.00,220,NULL,207,'RIO VERMELHO','FLORIANÓPOLIS','SC',4509,135,NULL,190,NULL,NULL,NULL,2,1),(28,7327129,0.00,5.00,2.00,2.00,4.00,NULL,3.00,2.00,1.00,9,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327137,1.00,6.00,2.00,6.00,2.00,NULL,2.00,6.00,3.00,304,NULL,NULL,'VILLAGE REGINA','PENÁPOLIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7327145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7327153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7327161,2.00,8.00,2.00,7.00,8.00,7.13,2.00,6.00,4.00,238,NULL,216,'PRAIA COMPRIDA','S JOSÉ','SC',6763,79,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327170,2.00,0.00,3.00,6.00,5.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,2),(28,7327188,2.00,6.00,1.00,6.00,5.00,7.50,0.00,4.00,1.00,999,NULL,NULL,'RIO FARIAS','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327196,2.00,5.00,4.00,4.00,6.00,7.13,2.00,4.00,1.00,238,NULL,NULL,'MONTE CARLO','CACHOEIRINHA','RS',13671,228,NULL,NULL,NULL,NULL,NULL,2,6),(28,7327200,3.00,7.00,5.00,6.00,5.00,6.75,5.00,6.00,2.00,208,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',6773,59,NULL,NULL,NULL,NULL,NULL,2,1),(28,7327218,0.00,3.00,1.00,4.00,5.00,6.75,0.00,3.00,0.00,303,NULL,NULL,'PARQUE DAS AVENIDAS','SOMBRIO','SC',19967,606,NULL,NULL,NULL,NULL,NULL,4,15),(28,7327226,1.00,4.00,0.00,6.00,5.00,7.88,2.00,4.00,5.00,304,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',13014,95,NULL,NULL,NULL,NULL,NULL,2,1),(28,7327234,2.00,2.00,0.00,5.00,2.00,NULL,3.00,2.00,2.00,207,NULL,201,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7327242,7.00,7.00,5.00,6.00,8.00,7.88,6.00,7.00,5.00,233,NULL,238,'FLORESTA','S JOSÉ','SC',2329,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7327250,0.00,4.00,2.00,5.00,5.00,8.25,2.00,2.00,0.00,201,NULL,212,'CENTRO','CAPIVARI BAIXO','SC',18891,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7327269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,233,'CENTRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7327277,3.00,7.00,3.00,6.00,5.00,7.13,3.00,5.00,2.00,999,NULL,NULL,'SAGRADO C DE JESUS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7327285,2.00,4.00,2.00,7.00,8.00,8.25,0.00,3.00,2.00,331,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11973,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7327315,1.00,3.00,1.00,5.00,3.00,8.25,1.00,1.00,4.00,601,NULL,203,'SANTA HELENA','LAGES','SC',15951,472,NULL,658,NULL,NULL,NULL,4,9),(28,7327323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'JARDIM AURELIA','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7327331,3.00,8.00,2.00,6.00,8.00,6.75,4.00,5.00,4.00,207,NULL,201,'VELHA','BLUMENAU','SC',5998,275,NULL,NULL,NULL,NULL,NULL,4,2),(28,7327340,3.00,6.00,3.00,6.00,8.00,9.38,3.00,4.00,5.00,108,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',6795,81,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327366,1.00,4.00,2.00,2.00,4.00,3.00,2.00,2.00,2.00,207,NULL,201,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7327374,0.00,4.00,2.00,3.00,5.00,NULL,1.00,1.00,1.00,999,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327382,0.00,7.00,2.00,5.00,5.00,7.88,1.00,6.00,1.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',17488,247,NULL,NULL,NULL,NULL,NULL,2,1),(28,7327404,2.00,6.00,2.00,6.00,9.00,10.13,2.00,6.00,5.00,425,NULL,423,'CENTRO','FLORIANÓPOLIS','SC',9749,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327412,2.00,5.00,3.00,6.00,3.00,6.75,2.00,4.00,2.00,655,NULL,238,'CENTRO','LAURO MÜLLER','SC',13393,72,NULL,NULL,NULL,NULL,NULL,2,5),(28,7327420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM SHANGRILA','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7327447,5.00,7.00,2.00,6.00,9.00,8.63,5.00,7.00,6.00,201,NULL,216,'DOM BOSCO','ITAJAÍ','SC',1629,NULL,NULL,49,NULL,NULL,NULL,4,6),(28,7327455,1.00,4.00,2.00,4.00,5.00,NULL,0.00,3.00,2.00,317,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327463,0.00,4.00,2.00,3.00,3.00,4.50,2.00,2.00,1.00,324,NULL,NULL,'CENTRO','ITAJAÍ','SC',19786,27,NULL,NULL,NULL,NULL,NULL,2,6),(28,7327471,6.00,6.00,3.00,6.00,7.00,5.25,3.00,6.00,2.00,653,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',11640,122,NULL,NULL,NULL,NULL,NULL,2,15),(28,7327480,0.00,5.00,0.00,1.00,2.00,NULL,0.00,3.00,3.00,552,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7327501,0.00,6.00,3.00,3.00,4.00,6.75,2.00,2.00,4.00,441,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',19254,11,NULL,NULL,NULL,NULL,NULL,6,1),(28,7327510,1.00,6.00,1.00,8.00,8.00,9.38,4.00,7.00,3.00,213,NULL,235,'BOM ABRIGO','FLORIANÓPOLIS','SC',6567,108,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327528,2.00,6.00,2.00,6.00,2.00,NULL,2.00,5.00,3.00,201,NULL,220,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327544,5.00,7.00,5.00,5.00,6.00,12.00,4.00,7.00,6.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',1384,706,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327552,2.00,5.00,1.00,6.00,8.00,8.25,1.00,2.00,4.00,333,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10530,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7327560,1.00,7.00,1.00,7.00,7.00,8.63,4.00,6.00,5.00,3,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',4874,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327579,2.00,4.00,2.00,6.00,5.00,8.63,2.00,3.00,2.00,340,NULL,NULL,'ALTO DA SAUDADE','ARAÇATUBA','SP',12089,331,NULL,NULL,NULL,NULL,NULL,4,8),(28,7327587,4.00,5.00,2.00,6.00,6.00,8.63,4.00,4.00,2.00,211,NULL,220,'ESTREITO','FLORIANÓPOLIS','SC',11612,306,NULL,271,NULL,NULL,NULL,4,1),(28,7327595,1.00,4.00,3.00,6.00,7.00,4.50,2.00,3.00,2.00,324,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7327609,0.00,5.00,1.00,6.00,7.00,7.50,0.00,4.00,1.00,304,NULL,NULL,'JARDIM DO MOINHO','MAFRA','SC',12623,93,NULL,NULL,NULL,NULL,NULL,4,8),(28,7327617,1.00,4.00,2.00,3.00,3.00,6.00,2.00,2.00,1.00,101,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',20006,135,NULL,NULL,NULL,NULL,NULL,2,1),(28,7327641,3.00,3.00,2.00,5.00,5.00,7.50,3.00,3.00,2.00,9,NULL,NULL,'CENTRO','BRUSQUE','SC',17778,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7327668,1.00,4.00,2.00,0.00,2.00,NULL,2.00,3.00,3.00,999,NULL,NULL,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7327676,3.00,8.00,3.00,8.00,7.00,9.75,1.00,6.00,1.00,316,NULL,NULL,'SANTO ANTONIO DE LIS','FLORIANÓPOLIS','SC',11407,112,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327684,0.00,5.00,3.00,4.00,3.00,5.25,2.00,1.00,2.00,303,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7327692,0.00,3.00,3.00,3.00,2.00,NULL,1.00,1.00,1.00,201,NULL,214,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327706,3.00,7.00,2.00,6.00,7.00,7.88,3.00,5.00,5.00,203,NULL,201,'ITACORUBI','FLORIANÓPOLIS','SC',6312,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327714,0.00,3.00,0.00,0.00,0.00,NULL,3.00,1.00,2.00,415,NULL,NULL,'BELA VISTA','XAXIM','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,4),(28,7327722,2.00,5.00,4.00,6.00,2.00,NULL,5.00,5.00,3.00,205,NULL,NULL,'SANTANA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7327730,2.00,0.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,201,NULL,207,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7327749,2.00,7.00,1.00,6.00,9.00,11.25,3.00,6.00,3.00,336,NULL,NULL,'CAMPINAS','S JOSÉ','SC',4556,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327757,1.00,1.00,1.00,6.00,5.00,9.38,1.00,3.00,2.00,102,NULL,NULL,'SÃO CRISTÓVÃO','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7327765,1.00,0.00,2.00,3.00,1.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'BUDAG','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,24),(28,7327773,0.00,5.00,2.00,5.00,7.00,NULL,4.00,5.00,2.00,103,NULL,NULL,'BQ DOS EUCALIPTOS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7327781,2.00,5.00,4.00,7.00,4.00,8.25,4.00,4.00,3.00,225,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',13555,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327790,3.00,2.00,2.00,5.00,6.00,6.75,2.00,3.00,3.00,454,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',14414,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7327811,2.00,6.00,2.00,5.00,4.00,7.50,2.00,5.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327820,1.00,6.00,2.00,5.00,8.00,10.13,2.00,4.00,2.00,108,NULL,NULL,'VILA NOGUEIRA','CAMPINAS','SP',9404,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327838,2.00,2.00,2.00,1.00,3.00,NULL,2.00,4.00,1.00,404,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7327846,3.00,5.00,4.00,5.00,8.00,9.00,2.00,5.00,4.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9234,43,NULL,NULL,NULL,NULL,NULL,2,1),(28,7327854,2.00,5.00,2.00,3.00,6.00,7.50,2.00,4.00,3.00,444,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',13335,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327862,5.00,8.00,2.00,5.00,8.00,7.13,3.00,5.00,5.00,216,NULL,601,'CENTRO','RIBEIRÃO PRETO','SP',7334,246,NULL,164,NULL,NULL,NULL,4,1),(28,7327870,1.00,5.00,2.00,4.00,5.00,6.75,1.00,4.00,1.00,454,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',19290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7327889,4.00,8.00,3.00,6.00,6.00,7.50,3.00,7.00,3.00,103,NULL,NULL,'HIGIENOPOLIS','S PAULO','SP',6103,1643,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327897,2.00,3.00,2.00,6.00,3.00,7.88,1.00,4.00,2.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',19118,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7327900,3.00,7.00,1.00,6.00,7.00,5.63,4.00,3.00,3.00,319,NULL,NULL,'NOVA AMÉRICA','PIRACICABA','SP',10959,202,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327927,2.00,4.00,1.00,5.00,3.00,6.38,3.00,4.00,3.00,318,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19061,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7327935,1.00,3.00,2.00,3.00,2.00,NULL,3.00,2.00,3.00,440,NULL,NULL,'JARAGUÁ DO SUL','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7327943,0.00,5.00,1.00,0.00,2.00,NULL,2.00,4.00,2.00,208,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327951,0.00,3.00,1.00,6.00,4.00,NULL,3.00,2.00,2.00,302,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7327960,3.00,7.00,2.00,7.00,7.00,10.13,1.00,4.00,6.00,501,NULL,NULL,'SANTOS DUMONT','S JOSÉ','SC',5715,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7327978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CENTRO','URUBICI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7327986,0.00,3.00,3.00,3.00,3.00,NULL,1.00,4.00,1.00,654,NULL,NULL,'CENTRO','BAL ARROIO SILVA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7327994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM FIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7328010,5.00,7.00,3.00,5.00,7.00,7.50,3.00,8.00,7.00,213,NULL,202,'VILA GILDA','STO ANDRÉ','SP',2443,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328028,1.00,4.00,2.00,5.00,6.00,7.88,3.00,4.00,1.00,999,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7328044,0.00,4.00,4.00,3.00,2.00,NULL,2.00,3.00,2.00,302,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328052,7.00,9.00,3.00,7.00,7.00,7.88,5.00,8.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',773,460,NULL,NULL,NULL,NULL,NULL,4,8),(28,7328060,1.00,2.00,2.00,2.00,5.00,6.75,2.00,5.00,1.00,220,NULL,214,'BNH TERCEIRO PLANO','DOURADOS','MS',19739,349,NULL,NULL,NULL,NULL,NULL,2,1),(28,7328079,2.00,4.00,3.00,4.00,2.00,NULL,3.00,4.00,4.00,207,NULL,213,'SANTO ANTÔNIO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7328087,0.00,4.00,0.00,3.00,2.00,NULL,2.00,5.00,2.00,324,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328095,1.00,3.00,1.00,5.00,2.00,NULL,1.00,4.00,3.00,444,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7328109,5.00,6.00,4.00,6.00,6.00,8.63,5.00,6.00,6.00,103,NULL,NULL,'UVARANAS','PNT GROSSA','PR',2335,971,NULL,NULL,NULL,NULL,NULL,2,3),(28,7328125,3.00,7.00,4.00,5.00,7.00,10.13,1.00,6.00,4.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',5762,191,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CIDADE BAIXA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7328141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SANTO ANDRÉ','GETÚLIO VARGAS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7328168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7328176,4.00,5.00,3.00,7.00,8.00,9.38,4.00,4.00,2.00,415,NULL,NULL,'JARDIM DAS CAMÉLIAS','S PAULO','SP',6604,107,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328184,2.00,6.00,0.00,7.00,5.00,7.88,3.00,4.00,1.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328192,3.00,5.00,0.00,6.00,3.00,NULL,5.00,4.00,1.00,203,NULL,201,'CENTRO','ASSAÍ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7328206,1.00,8.00,2.00,6.00,7.00,7.13,3.00,7.00,3.00,319,NULL,NULL,'SÃO CRISTOVÃO','LAGES','SC',11777,215,NULL,NULL,NULL,NULL,NULL,4,9),(28,7328214,3.00,7.00,2.00,6.00,6.00,9.38,3.00,6.00,4.00,220,NULL,213,'JARDIM EUROPA','BIGUAÇU','SC',6607,180,NULL,110,NULL,NULL,NULL,4,1),(28,7328222,0.00,6.00,2.00,5.00,4.00,5.63,1.00,3.00,4.00,102,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',18808,177,NULL,NULL,NULL,NULL,NULL,2,1),(28,7328265,1.00,6.00,3.00,5.00,6.00,9.00,3.00,6.00,3.00,5,NULL,NULL,'NOVO OSASCO','OSASCO','SP',8983,278,NULL,NULL,NULL,NULL,NULL,4,8),(28,7328273,0.00,5.00,4.00,5.00,3.00,7.13,3.00,6.00,3.00,429,NULL,426,'SANTINHO','FLORIANÓPOLIS','SC',17330,NULL,NULL,28,NULL,NULL,NULL,2,1),(28,7328281,1.00,5.00,1.00,2.00,3.00,0.00,1.00,1.00,1.00,201,NULL,203,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328290,1.00,3.00,1.00,2.00,3.00,NULL,0.00,3.00,0.00,202,NULL,653,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7328303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7328311,2.00,4.00,3.00,5.00,6.00,6.38,4.00,3.00,2.00,211,NULL,235,'AGRONOMICA','FLORIANÓPOLIS','SC',13450,NULL,NULL,219,NULL,NULL,NULL,4,1),(28,7328320,4.00,5.00,0.00,6.00,7.00,9.38,0.00,5.00,3.00,501,NULL,NULL,'CENTRO','BOMBINHAS','SC',9871,43,NULL,NULL,NULL,NULL,NULL,2,3),(28,7328338,1.00,5.00,2.00,6.00,6.00,7.13,1.00,4.00,3.00,999,NULL,NULL,'BELA ALIANCA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7328346,1.00,3.00,2.00,2.00,4.00,NULL,2.00,4.00,0.00,216,NULL,655,'SANTA BARBARA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7328354,4.00,7.00,4.00,7.00,9.00,8.25,6.00,5.00,5.00,213,NULL,601,'ROÇADO','S JOSÉ','SC',3777,48,NULL,57,NULL,NULL,NULL,4,1),(28,7328362,5.00,7.00,3.00,7.00,5.00,9.00,4.00,8.00,5.00,220,NULL,203,'JARDIM AMÉRICA','GOIÂNIA','GO',2250,68,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328370,1.00,5.00,3.00,6.00,5.00,6.38,2.00,4.00,1.00,203,NULL,NULL,'SAIC','CHAPECÓ','SC',15461,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7328389,3.00,5.00,1.00,7.00,5.00,7.50,1.00,5.00,3.00,999,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328397,1.00,4.00,0.00,4.00,4.00,7.50,1.00,1.00,1.00,454,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7328400,1.00,7.00,3.00,6.00,4.00,9.00,3.00,5.00,3.00,999,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328419,2.00,7.00,2.00,5.00,6.00,5.25,2.00,7.00,3.00,332,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',15358,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7328427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7328435,2.00,2.00,3.00,3.00,2.00,NULL,2.00,5.00,2.00,201,NULL,212,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,2),(28,7328443,3.00,7.00,4.00,4.00,8.00,7.50,3.00,6.00,3.00,337,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',7929,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328451,1.00,3.00,0.00,3.00,3.00,5.25,1.00,2.00,4.00,202,NULL,213,'CENTRO','STA ROSA LIMA','SC',18706,391,NULL,277,NULL,NULL,NULL,2,10),(28,7328478,0.00,5.00,1.00,5.00,4.00,4.50,2.00,4.00,2.00,655,NULL,652,'META','BAL ARROIO SILVA','SC',16641,NULL,NULL,70,NULL,NULL,NULL,2,15),(28,7328486,1.00,6.00,3.00,4.00,4.00,9.75,2.00,4.00,2.00,103,NULL,NULL,'DAS CAPITAIS','TIMBÓ','SC',17704,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7328494,4.00,7.00,3.00,7.00,6.00,10.50,4.00,7.00,7.00,202,NULL,235,'CIDADE NOVA','CAXIAS SUL','RS',2869,81,NULL,45,NULL,NULL,NULL,4,1),(28,7328508,3.00,3.00,1.00,6.00,1.00,NULL,2.00,2.00,4.00,203,NULL,207,'JARDIM ALTANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328516,0.00,7.00,2.00,6.00,6.00,8.25,2.00,7.00,2.00,426,NULL,428,'JARDIM BRASILEIRO','LONDRINA','PR',12122,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328524,1.00,5.00,3.00,5.00,8.00,7.50,1.00,5.00,5.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',9152,41,NULL,NULL,NULL,NULL,NULL,2,1),(28,7328532,6.00,9.00,5.00,8.00,11.00,6.75,6.00,7.00,8.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',812,473,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328540,4.00,6.00,2.00,6.00,6.00,7.13,5.00,4.00,4.00,212,NULL,213,'CENTRO','CRICIÚMA','SC',11770,330,NULL,199,NULL,NULL,NULL,4,1),(28,7328559,4.00,7.00,5.00,7.00,6.00,7.50,5.00,7.00,7.00,214,NULL,212,'SANTA MONICA','FLORIANÓPOLIS','SC',2842,105,NULL,85,NULL,NULL,NULL,2,1),(28,7328567,1.00,2.00,2.00,1.00,1.00,NULL,0.00,4.00,1.00,340,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328575,2.00,7.00,2.00,6.00,6.00,6.38,5.00,7.00,5.00,202,NULL,213,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5551,154,NULL,88,NULL,NULL,NULL,4,1),(28,7328583,5.00,6.00,3.00,4.00,4.00,8.63,2.00,6.00,3.00,213,NULL,235,'INGLESES','FLORIANÓPOLIS','SC',14180,231,NULL,228,NULL,NULL,NULL,2,1),(28,7328591,2.00,6.00,2.00,6.00,6.00,6.75,3.00,4.00,3.00,454,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',10743,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7328605,1.00,7.00,2.00,6.00,2.00,NULL,2.00,5.00,2.00,207,NULL,201,'JARDIM SÃO ROQUE','S JOSÉ R PARDO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7328630,0.00,4.00,3.00,2.00,6.00,8.25,4.00,2.00,3.00,102,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13976,128,NULL,NULL,NULL,NULL,NULL,2,1),(28,7328648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S',NULL,4,10),(28,7328656,3.00,7.00,1.00,4.00,7.00,8.25,2.00,4.00,1.00,110,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',10770,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328664,0.00,2.00,0.00,3.00,1.00,NULL,1.00,3.00,1.00,103,NULL,NULL,'INTERIOR','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,25),(28,7328672,1.00,3.00,2.00,2.00,4.00,3.00,1.00,3.00,3.00,324,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7328680,4.00,7.00,3.00,6.00,8.00,7.13,5.00,5.00,2.00,103,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',9461,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7328699,5.00,7.00,4.00,8.00,9.00,7.88,6.00,4.00,7.00,202,NULL,233,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1666,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328710,1.00,3.00,0.00,6.00,4.00,6.00,2.00,3.00,2.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328729,2.00,3.00,3.00,2.00,3.00,9.00,2.00,4.00,3.00,220,NULL,NULL,'SÃO CRISTÓVÃO','CHAPECÓ','SC',19305,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7328737,5.00,6.00,3.00,6.00,9.00,6.38,4.00,6.00,7.00,104,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',2242,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328745,1.00,5.00,0.00,6.00,4.00,6.00,2.00,5.00,3.00,211,NULL,214,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7328753,6.00,7.00,5.00,7.00,10.00,9.38,3.00,5.00,5.00,207,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',3265,123,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328761,3.00,7.00,3.00,6.00,8.00,9.75,3.00,6.00,3.00,319,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8138,132,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328770,3.00,7.00,5.00,6.00,5.00,8.25,4.00,6.00,7.00,103,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',2469,1015,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328788,0.00,3.00,2.00,3.00,4.00,7.88,2.00,2.00,1.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',18275,2482,NULL,NULL,NULL,NULL,NULL,2,3),(28,7328800,1.00,5.00,1.00,4.00,2.00,NULL,5.00,3.00,3.00,230,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7328818,1.00,4.00,3.00,4.00,8.00,9.38,4.00,5.00,4.00,211,NULL,215,'PANAZZOLO','VIDEIRA','SC',10616,287,NULL,183,NULL,NULL,NULL,2,7),(28,7328842,2.00,6.00,2.00,5.00,5.00,4.50,1.00,4.00,4.00,503,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18894,42,NULL,NULL,NULL,NULL,NULL,2,1),(28,7328850,3.00,5.00,3.00,6.00,6.00,9.38,6.00,7.00,4.00,202,NULL,213,'JARDIM ELIZABETH','COCAL SUL','SC',4294,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7328885,3.00,7.00,3.00,7.00,7.00,9.38,6.00,6.00,5.00,201,NULL,212,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',3998,306,NULL,124,NULL,NULL,NULL,4,1),(28,7328893,2.00,4.00,1.00,5.00,6.00,6.00,3.00,3.00,3.00,103,NULL,NULL,'SACOS DOS LIMÕES','FLORIANÓPOLIS','SC',14166,2312,NULL,NULL,NULL,NULL,NULL,2,1),(28,7328907,4.00,6.00,0.00,5.00,2.00,NULL,1.00,6.00,3.00,215,NULL,201,'CENTRO HISTÓRICO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7328915,2.00,5.00,3.00,6.00,3.00,NULL,0.00,3.00,4.00,104,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328923,0.00,5.00,1.00,5.00,5.00,7.88,0.00,4.00,4.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328931,1.00,3.00,2.00,4.00,3.00,5.63,2.00,2.00,2.00,502,NULL,NULL,'ARMAÇÃO P DO SUL','FLORIANÓPOLIS','SC',19761,69,NULL,NULL,NULL,NULL,NULL,2,1),(28,7328940,1.00,6.00,1.00,5.00,5.00,8.63,2.00,4.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14120,176,NULL,NULL,NULL,NULL,NULL,4,1),(28,7328966,2.00,3.00,1.00,4.00,4.00,3.00,2.00,4.00,2.00,238,NULL,652,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7328982,2.00,4.00,2.00,6.00,5.00,9.00,4.00,4.00,3.00,999,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7328990,3.00,6.00,2.00,7.00,9.00,8.63,2.00,5.00,3.00,316,NULL,NULL,'VILA LENZI','JARAGUÁ SUL','SC',5683,33,NULL,NULL,NULL,NULL,NULL,4,23),(28,7329008,3.00,6.00,2.00,3.00,5.00,7.88,1.00,5.00,3.00,216,NULL,233,'CENTRO','SIDERÓPOLIS','SC',17103,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7329016,0.00,4.00,3.00,1.00,2.00,NULL,3.00,3.00,2.00,103,NULL,NULL,'RIO DO MEIO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7329024,0.00,5.00,0.00,3.00,4.00,NULL,2.00,5.00,2.00,503,NULL,NULL,'CENTRO','ANGELINA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329032,3.00,4.00,2.00,7.00,9.00,10.13,3.00,7.00,3.00,301,NULL,NULL,'CAMPINAS','S JOSÉ','SC',7241,72,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329040,1.00,3.00,0.00,3.00,4.00,NULL,1.00,4.00,2.00,340,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329067,5.00,0.00,1.00,6.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PETROPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7329075,6.00,7.00,4.00,6.00,7.00,7.50,5.00,6.00,6.00,214,NULL,233,'BALNEÁRIO','FLORIANÓPOLIS','SC',2570,93,NULL,58,NULL,NULL,NULL,4,1),(28,7329083,0.00,5.00,0.00,3.00,4.00,5.25,1.00,5.00,2.00,427,NULL,429,'CENTRO','BIGUAÇU','SC',19664,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329091,2.00,6.00,3.00,7.00,5.00,9.75,5.00,4.00,2.00,238,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',6725,78,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7329113,3.00,5.00,1.00,6.00,6.00,8.63,2.00,4.00,1.00,203,NULL,214,'VILA VICENTINA','GUARULHOS','SP',10065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329121,5.00,7.00,4.00,6.00,4.00,7.50,3.00,6.00,4.00,103,NULL,NULL,'JARDIM LONDRINA','S PAULO','SP',4523,1424,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7329148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'COBRE','CANELINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7329156,1.00,2.00,1.00,5.00,4.00,7.13,2.00,1.00,5.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19184,252,NULL,NULL,NULL,NULL,NULL,2,1),(28,7329164,2.00,6.00,1.00,6.00,4.00,6.75,5.00,5.00,2.00,404,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16650,46,NULL,NULL,NULL,NULL,NULL,2,1),(28,7329172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'MATO ALTO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7329180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7329210,2.00,7.00,4.00,5.00,5.00,9.38,2.00,3.00,4.00,233,NULL,235,'KOBRASOL','S JOSÉ','SC',14149,300,NULL,227,NULL,NULL,NULL,4,1),(28,7329229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7329237,6.00,8.00,1.00,8.00,10.00,5.25,4.00,8.00,4.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5960,150,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329245,3.00,4.00,1.00,3.00,6.00,7.13,2.00,4.00,3.00,207,NULL,653,'CORRUCHEL','POUSO REDONDO','SC',14407,636,NULL,155,NULL,NULL,NULL,4,8),(28,7329253,4.00,7.00,2.00,4.00,6.00,6.75,3.00,6.00,2.00,316,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',11459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329261,1.00,4.00,3.00,6.00,3.00,6.75,3.00,5.00,2.00,212,NULL,201,'VILA INDAIA','RIO CLARO','SP',12929,353,NULL,827,NULL,NULL,NULL,4,1),(28,7329270,3.00,5.00,1.00,2.00,4.00,7.13,2.00,5.00,1.00,103,NULL,NULL,'ASILO','BLUMENAU','SC',19132,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7329288,1.00,6.00,3.00,5.00,6.00,6.75,3.00,4.00,4.00,213,NULL,214,'AREIAS DE PALHOCINHA','GAROPABA','SC',10398,185,NULL,264,NULL,NULL,NULL,2,1),(28,7329296,3.00,7.00,0.00,4.00,6.00,6.38,3.00,5.00,3.00,329,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',10971,10,NULL,NULL,NULL,NULL,NULL,4,3),(28,7329326,3.00,7.00,0.00,6.00,7.00,10.50,4.00,6.00,3.00,238,NULL,213,'SAMBAQUI','FLORIANÓPOLIS','SC',7506,99,NULL,126,NULL,NULL,NULL,4,1),(28,7329334,4.00,6.00,1.00,5.00,6.00,5.63,5.00,5.00,5.00,103,NULL,NULL,'CRIANOS','FLORIANÓPOLIS','SC',12482,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7329342,4.00,7.00,2.00,4.00,6.00,7.88,3.00,5.00,5.00,213,NULL,202,'RIO MAINA','CRICIÚMA','SC',7969,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7329350,2.00,7.00,1.00,7.00,6.00,9.38,2.00,5.00,3.00,214,NULL,215,'BROOKLIN','S PAULO','SP',6548,199,NULL,93,NULL,NULL,NULL,4,1),(28,7329369,0.00,4.00,3.00,3.00,5.00,7.88,2.00,5.00,3.00,503,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',15495,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7329377,7.00,8.00,2.00,7.00,9.00,10.88,5.00,8.00,8.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',411,294,NULL,NULL,NULL,NULL,NULL,4,8),(28,7329385,0.00,7.00,1.00,7.00,6.00,7.88,1.00,6.00,2.00,425,NULL,424,'SERRINHA','FLORIANÓPOLIS','SC',16369,57,NULL,29,NULL,NULL,NULL,4,1),(28,7329393,4.00,6.00,2.00,5.00,7.00,11.25,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7724,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7329407,1.00,6.00,3.00,7.00,5.00,6.38,1.00,5.00,1.00,999,NULL,NULL,'LA SALLE','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7329415,4.00,3.00,2.00,5.00,4.00,7.50,2.00,5.00,3.00,552,NULL,NULL,'CENTRO','CURITIBANOS','SC',13628,77,NULL,NULL,NULL,NULL,NULL,2,16),(28,7329423,0.00,4.00,2.00,5.00,4.00,NULL,0.00,3.00,1.00,317,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7329431,4.00,7.00,2.00,3.00,3.00,6.38,3.00,3.00,2.00,444,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',14904,78,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329440,0.00,6.00,1.00,1.00,3.00,6.38,1.00,5.00,2.00,301,NULL,NULL,'PARAGUAI','JACINTO MACHADO','SC',19815,264,NULL,NULL,NULL,NULL,NULL,4,15),(28,7329458,5.00,6.00,2.00,6.00,3.00,8.63,5.00,7.00,3.00,454,NULL,NULL,'VL BOCAINA','MAUÁ','SP',5725,85,NULL,NULL,NULL,NULL,NULL,4,8),(28,7329466,1.00,4.00,4.00,3.00,5.00,6.38,2.00,2.00,2.00,404,NULL,NULL,'CENTRO','PALHOÇA','SC',16273,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'AZAMBUJA','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7329482,6.00,3.00,3.00,1.00,2.00,NULL,3.00,6.00,3.00,3,NULL,NULL,'JARDIM PAULISTANO','S CARLOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7329520,1.00,5.00,1.00,5.00,5.00,7.88,5.00,7.00,3.00,110,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',15021,68,NULL,NULL,NULL,NULL,NULL,2,1),(28,7329547,0.00,4.00,2.00,4.00,6.00,4.50,3.00,4.00,2.00,501,NULL,NULL,'PINHEIRA','PALHOÇA','SC',17607,109,NULL,NULL,NULL,NULL,NULL,2,1),(28,7329555,5.00,6.00,4.00,4.00,9.00,8.25,1.00,7.00,7.00,201,NULL,202,'VILA TUPY','PR GRANDE','SP',3695,285,NULL,108,NULL,NULL,NULL,4,1),(28,7329563,3.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,201,NULL,235,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7329571,0.00,7.00,1.00,3.00,3.00,NULL,3.00,5.00,3.00,301,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329580,7.00,7.00,3.00,7.00,9.00,7.50,6.00,5.00,6.00,220,NULL,235,'BARREIROS','S JOSÉ','SC',2047,57,NULL,17,NULL,NULL,NULL,4,1),(28,7329598,3.00,7.00,3.00,6.00,5.00,NULL,4.00,4.00,4.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,10),(28,7329601,1.00,5.00,3.00,6.00,8.00,7.88,5.00,5.00,2.00,103,NULL,NULL,'UVARANAS','PNT GROSSA','PR',8124,1911,NULL,NULL,NULL,NULL,NULL,2,1),(28,7329610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7329628,1.00,6.00,2.00,5.00,3.00,6.75,2.00,4.00,4.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13181,70,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329636,2.00,6.00,0.00,7.00,8.00,9.38,2.00,6.00,3.00,5,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',9943,295,NULL,NULL,NULL,NULL,NULL,2,1),(28,7329644,2.00,3.00,2.00,5.00,5.00,6.00,4.00,3.00,3.00,653,NULL,601,'CENTRO','LAURO MÜLLER','SC',18671,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7329652,2.00,7.00,3.00,4.00,5.00,7.50,4.00,4.00,5.00,103,NULL,NULL,'RECANTO DO LAGO','PAULÍNIA','SP',6885,1742,NULL,NULL,NULL,NULL,NULL,4,2),(28,7329660,3.00,5.00,1.00,5.00,4.00,4.88,3.00,2.00,3.00,654,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7329679,0.00,1.00,1.00,5.00,4.00,4.50,2.00,4.00,4.00,102,NULL,NULL,'BOA VISTA','BIGUAÇU','SC',19942,185,NULL,NULL,NULL,NULL,NULL,2,1),(28,7329687,6.00,7.00,3.00,8.00,7.00,10.50,5.00,7.00,5.00,103,NULL,NULL,'APARECIDA','SANTOS','SP',2514,1026,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7329717,4.00,6.00,2.00,6.00,6.00,6.38,5.00,5.00,3.00,5,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',12580,349,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329725,4.00,6.00,4.00,6.00,6.00,7.88,2.00,4.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7857,240,NULL,NULL,NULL,NULL,NULL,2,1),(28,7329733,0.00,4.00,0.00,5.00,6.00,NULL,1.00,5.00,4.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7329741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7329750,2.00,5.00,1.00,6.00,5.00,7.88,2.00,4.00,2.00,238,NULL,213,'CENTRO','S JOSÉ','SC',17186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329768,3.00,8.00,1.00,6.00,6.00,9.00,1.00,4.00,4.00,103,NULL,NULL,'ORFÃS','PNT GROSSA','PR',8268,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7329776,1.00,4.00,1.00,2.00,4.00,5.25,2.00,4.00,2.00,502,NULL,NULL,'UNIVERSITARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7329784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,235,'SÃO LUIZ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7329792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,207,'CENTRO','ARAQUARI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7329806,4.00,4.00,2.00,3.00,3.00,9.00,2.00,3.00,4.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18116,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329830,7.00,7.00,5.00,7.00,8.00,8.63,5.00,5.00,6.00,103,NULL,NULL,'PARQUE MARIANE','S BENTO SUL','SC',1067,586,NULL,NULL,NULL,NULL,NULL,4,8),(28,7329849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'JARDIM GUANABARA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7329857,3.00,6.00,2.00,5.00,7.00,8.25,3.00,2.00,2.00,103,NULL,NULL,'CENTRO','FAXINALZINHO','RS',10101,2078,NULL,NULL,NULL,NULL,NULL,2,4),(28,7329865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'VERA CRUZ','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7329873,5.00,6.00,4.00,6.00,7.00,6.75,2.00,6.00,4.00,208,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11486,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7329881,1.00,3.00,1.00,2.00,6.00,6.38,1.00,1.00,3.00,454,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',18190,373,NULL,NULL,NULL,NULL,NULL,2,1),(28,7329890,3.00,4.00,0.00,8.00,6.00,9.00,1.00,4.00,3.00,999,NULL,NULL,'CENTRO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7329903,2.00,3.00,3.00,5.00,6.00,9.38,2.00,5.00,2.00,319,NULL,NULL,'FERNANDES','S JOÃO BATISTA','SC',17569,341,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329911,5.00,7.00,4.00,6.00,7.00,9.00,1.00,5.00,3.00,108,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',5785,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329920,0.00,4.00,2.00,0.00,4.00,NULL,1.00,5.00,2.00,101,NULL,NULL,'AREIAS BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(28,7329938,0.00,6.00,1.00,7.00,5.00,NULL,3.00,4.00,4.00,304,NULL,NULL,'BOSQUE DOS EUCALIPTO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329946,4.00,2.00,2.00,5.00,6.00,7.50,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','CANTAGALO','PR',10524,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7329954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','VIDAL RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,24),(28,7329962,3.00,6.00,3.00,6.00,6.00,8.25,3.00,4.00,1.00,213,NULL,220,'FORQUILHINHAS','S JOSÉ','SC',16349,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329970,4.00,5.00,1.00,2.00,4.00,5.25,1.00,5.00,2.00,103,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',14124,2310,NULL,NULL,NULL,NULL,NULL,2,9),(28,7329989,3.00,7.00,2.00,7.00,7.00,7.13,3.00,3.00,4.00,208,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6890,62,NULL,NULL,NULL,NULL,NULL,4,1),(28,7329997,2.00,5.00,1.00,5.00,5.00,8.63,3.00,6.00,3.00,444,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',12300,46,NULL,NULL,NULL,NULL,NULL,4,3),(28,7330006,1.00,6.00,4.00,5.00,7.00,7.88,2.00,5.00,1.00,454,NULL,NULL,'CENTRO','ITÁ','SC',11268,218,NULL,NULL,NULL,NULL,NULL,2,4),(28,7330014,1.00,5.00,1.00,6.00,7.00,5.25,3.00,4.00,0.00,303,NULL,NULL,'CENTRO','S JOAQUIM','SC',13868,513,NULL,NULL,NULL,NULL,NULL,4,9),(28,7330022,1.00,4.00,2.00,3.00,4.00,7.88,2.00,1.00,0.00,101,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',17937,118,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330030,0.00,2.00,2.00,3.00,3.00,NULL,2.00,2.00,1.00,301,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330049,3.00,5.00,1.00,5.00,6.00,11.25,2.00,3.00,4.00,454,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14473,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330057,4.00,7.00,3.00,7.00,9.00,9.38,3.00,5.00,4.00,203,NULL,214,'SAGUAÇU','JOINVILLE','SC',6543,412,NULL,198,NULL,NULL,NULL,4,8),(28,7330065,1.00,3.00,0.00,1.00,4.00,8.63,2.00,3.00,1.00,216,NULL,213,'CENTRO','ITAIÓPOLIS','SC',18497,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7330073,5.00,9.00,4.00,6.00,6.00,11.63,4.00,8.00,4.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7330081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7330103,5.00,7.00,6.00,6.00,5.00,7.50,7.00,7.00,6.00,214,NULL,203,'TAQUARAL','CAMPINAS','SP',1256,32,NULL,116,NULL,NULL,NULL,4,8),(28,7330111,5.00,8.00,3.00,5.00,9.00,10.50,3.00,4.00,6.00,203,NULL,201,'KOBRASOL','S JOSÉ','SC',1914,166,NULL,123,NULL,NULL,NULL,2,1),(28,7330154,1.00,6.00,1.00,5.00,3.00,8.25,0.00,4.00,2.00,202,NULL,201,'UNIVERSITÁRIO','TIJUCAS','SC',14947,344,NULL,909,NULL,NULL,NULL,2,1),(28,7330162,3.00,7.00,1.00,2.00,6.00,8.63,1.00,4.00,3.00,454,NULL,NULL,'CENTRO','CHARQUEADA','SP',17579,362,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330170,7.00,8.00,2.00,4.00,8.00,10.13,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','S JOSÉ CEDRO','SC',4687,1444,NULL,NULL,NULL,NULL,NULL,4,27),(28,7330189,0.00,4.00,2.00,1.00,4.00,NULL,4.00,2.00,3.00,999,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330197,3.00,6.00,1.00,5.00,6.00,5.63,3.00,5.00,3.00,552,NULL,NULL,'BAIRRO IPIRANGA','S JOSÉ','SC',12515,59,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330200,1.00,3.00,4.00,2.00,4.00,5.25,3.00,2.00,3.00,202,NULL,220,'CENTRO','MIRANTE PARANAPANEMA','SP',19444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330219,5.00,6.00,1.00,5.00,6.00,7.50,5.00,6.00,4.00,207,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',6060,282,NULL,193,NULL,NULL,NULL,4,1),(28,7330235,2.00,3.00,2.00,3.00,5.00,5.63,2.00,3.00,1.00,302,NULL,NULL,'JD CID DE FPOLIS','S JOSÉ','SC',17139,132,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330243,7.00,5.00,6.00,4.00,8.00,7.88,6.00,5.00,8.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1920,865,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7330260,4.00,5.00,1.00,3.00,7.00,9.38,3.00,6.00,3.00,999,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7330278,1.00,4.00,0.00,2.00,3.00,7.50,0.00,5.00,3.00,324,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330286,1.00,5.00,3.00,3.00,3.00,NULL,0.00,5.00,3.00,324,NULL,NULL,'BOA VISTA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7330294,1.00,4.00,1.00,4.00,1.00,NULL,2.00,2.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330308,0.00,5.00,2.00,1.00,4.00,NULL,1.00,2.00,2.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330316,1.00,7.00,2.00,5.00,4.00,7.88,3.00,5.00,3.00,202,NULL,203,'VILA EMA','S JOSÉ CAMPOS','SP',11857,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7330340,1.00,4.00,3.00,4.00,4.00,7.13,2.00,4.00,3.00,652,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',18664,94,NULL,NULL,NULL,NULL,NULL,2,15),(28,7330359,3.00,6.00,0.00,7.00,7.00,NULL,0.00,6.00,1.00,102,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330367,0.00,4.00,2.00,3.00,1.00,NULL,0.00,4.00,0.00,316,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330375,0.00,2.00,3.00,2.00,2.00,NULL,1.00,1.00,1.00,103,NULL,NULL,'SÃO FRANCISCO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7330383,1.00,7.00,2.00,7.00,5.00,5.25,3.00,4.00,2.00,601,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',16598,485,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330391,3.00,7.00,3.00,6.00,9.00,10.50,4.00,6.00,4.00,5,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',7319,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7330405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7330413,3.00,7.00,3.00,6.00,3.00,8.63,4.00,3.00,5.00,301,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',9623,115,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VL GOMES CARDIM','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7330430,1.00,7.00,2.00,7.00,5.00,4.50,5.00,5.00,5.00,5,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',8479,258,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330448,3.00,8.00,3.00,6.00,9.00,10.88,5.00,6.00,5.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5591,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330456,1.00,1.00,2.00,5.00,3.00,7.88,2.00,3.00,2.00,415,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',17844,263,NULL,NULL,NULL,NULL,NULL,2,26),(28,7330464,1.00,5.00,1.00,6.00,0.00,NULL,1.00,3.00,3.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330472,0.00,2.00,2.00,5.00,3.00,NULL,3.00,3.00,1.00,203,NULL,201,'INTERIOR','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7330480,3.00,7.00,4.00,6.00,7.00,9.00,1.00,5.00,3.00,216,NULL,207,'AGRONÔMICA','FLORIANÓPOLIS','SC',8433,278,NULL,392,NULL,NULL,NULL,4,1),(28,7330499,2.00,5.00,3.00,7.00,6.00,10.13,1.00,4.00,2.00,319,NULL,NULL,'COROA DO MEIO','ARACAJU','SE',8787,152,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7330529,0.00,6.00,2.00,7.00,3.00,NULL,4.00,3.00,2.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7330537,2.00,4.00,3.00,5.00,4.00,6.00,0.00,3.00,2.00,999,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330545,1.00,0.00,3.00,5.00,5.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7330553,2.00,5.00,1.00,6.00,4.00,4.50,1.00,4.00,1.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330561,5.00,7.00,1.00,7.00,6.00,9.38,4.00,8.00,5.00,5,NULL,NULL,'CENTRO','VILHENA','RO',6719,213,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330570,4.00,7.00,2.00,6.00,5.00,7.50,2.00,5.00,3.00,653,NULL,211,'GLORIA','JOINVILLE','SC',9372,96,NULL,NULL,NULL,NULL,NULL,4,8),(28,7330588,0.00,4.00,1.00,6.00,6.00,NULL,2.00,4.00,3.00,104,NULL,NULL,'VILA CONCEIÇÃO','S JOÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7330600,2.00,5.00,3.00,7.00,5.00,NULL,2.00,4.00,4.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7330626,0.00,2.00,0.00,4.00,2.00,NULL,1.00,2.00,2.00,214,NULL,235,'CENTRO','CANTAGALO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7330634,5.00,7.00,1.00,4.00,4.00,6.38,1.00,6.00,3.00,501,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16644,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330642,4.00,8.00,6.00,5.00,9.00,12.00,6.00,6.00,5.00,303,NULL,NULL,'CENTRO','IMBITUBA','SC',1444,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330650,6.00,8.00,1.00,6.00,8.00,10.13,4.00,7.00,6.00,103,NULL,NULL,'VILA FERROVIÁRIA','MAFRA','SC',1938,873,NULL,NULL,NULL,NULL,NULL,4,17),(28,7330669,2.00,6.00,4.00,5.00,6.00,8.63,2.00,5.00,4.00,340,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12419,341,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7330685,5.00,6.00,4.00,6.00,8.00,8.63,6.00,7.00,7.00,211,NULL,215,'PETRÓPOLIS','PTO ALEGRE','RS',2796,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7330707,0.00,5.00,0.00,2.00,3.00,7.88,1.00,1.00,0.00,230,NULL,NULL,'SAO JOAO','STO AMARO IMPERATRIZ','SC',19193,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330715,1.00,4.00,0.00,5.00,3.00,7.50,0.00,3.00,2.00,501,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18561,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330723,3.00,5.00,4.00,2.00,5.00,3.00,0.00,4.00,4.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330731,5.00,5.00,1.00,6.00,4.00,7.50,2.00,5.00,1.00,207,NULL,201,'RIO GRANDE','PALHOÇA','SC',12963,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330740,0.00,4.00,4.00,3.00,4.00,NULL,1.00,4.00,2.00,302,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330758,1.00,3.00,2.00,6.00,3.00,9.75,0.00,3.00,3.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15190,81,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330766,2.00,1.00,1.00,4.00,5.00,9.38,1.00,2.00,3.00,551,NULL,NULL,'SANTA CATARINA','LAGES','SC',16305,31,NULL,NULL,NULL,NULL,NULL,2,9),(28,7330774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA QUITÉRIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7330782,4.00,6.00,4.00,6.00,6.00,10.13,4.00,5.00,3.00,202,NULL,213,'AGRONÔMICA','FLORIANÓPOLIS','SC',7844,212,NULL,134,NULL,NULL,NULL,4,1),(28,7330790,4.00,5.00,3.00,6.00,6.00,8.25,4.00,4.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10710,98,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330804,1.00,4.00,1.00,7.00,6.00,7.88,2.00,2.00,1.00,319,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14290,272,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INDUSTRIAL','GUAJARÁ-MIRIM','RO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7330820,3.00,5.00,2.00,2.00,8.00,7.88,2.00,3.00,4.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16966,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330839,2.00,5.00,2.00,7.00,6.00,7.88,1.00,4.00,4.00,415,NULL,NULL,'LOURDES','CAXIAS SUL','RS',10948,177,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330847,4.00,6.00,3.00,7.00,5.00,7.13,4.00,5.00,4.00,110,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',8150,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,216,'PARQUE MARIANE','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7330863,0.00,4.00,1.00,5.00,4.00,7.13,0.00,2.00,2.00,653,NULL,655,'SÃO LUIZ','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7330871,3.00,4.00,2.00,7.00,4.00,5.25,2.00,1.00,4.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',17137,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330880,6.00,7.00,4.00,5.00,9.00,8.63,6.00,4.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1865,851,NULL,NULL,NULL,NULL,NULL,2,8),(28,7330898,6.00,8.00,6.00,8.00,7.00,7.50,7.00,8.00,8.00,103,NULL,NULL,'JARDIM PAULISTA','JUNDIAÍ','SP',157,126,NULL,NULL,NULL,NULL,NULL,4,8),(28,7330901,4.00,7.00,2.00,7.00,7.00,10.13,4.00,7.00,4.00,444,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',8514,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7330910,0.00,6.00,1.00,4.00,6.00,7.50,1.00,3.00,1.00,5,NULL,NULL,'VILA NOVA','BLUMENAU','SC',14765,403,NULL,NULL,NULL,NULL,NULL,4,2),(28,7330936,1.00,5.00,1.00,6.00,4.00,9.38,1.00,4.00,2.00,301,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',17515,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330944,1.00,4.00,1.00,5.00,5.00,6.75,3.00,4.00,1.00,233,NULL,212,'CÔRREGO GRANDE','FLORIANÓPOLIS','SC',16007,325,NULL,384,NULL,NULL,NULL,2,1),(28,7330952,2.00,0.00,3.00,1.00,3.00,NULL,0.00,0.00,0.00,653,NULL,655,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,15),(28,7330960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7330979,3.00,7.00,1.00,6.00,6.00,9.00,1.00,5.00,4.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',8071,1909,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330987,0.00,2.00,2.00,3.00,2.00,NULL,1.00,1.00,2.00,999,NULL,NULL,'COSTEIRA DOPIRAJUBAE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7330995,0.00,6.00,3.00,5.00,3.00,NULL,2.00,5.00,3.00,601,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7331002,0.00,4.00,1.00,1.00,5.00,9.75,1.00,3.00,3.00,454,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7331029,2.00,4.00,1.00,6.00,4.00,7.13,2.00,2.00,2.00,308,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7331037,0.00,3.00,2.00,4.00,6.00,NULL,1.00,3.00,0.00,103,NULL,NULL,'ARAUCÁRIA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7331045,2.00,5.00,1.00,7.00,9.00,12.00,4.00,5.00,2.00,208,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',6797,60,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331053,3.00,5.00,3.00,5.00,4.00,7.13,2.00,6.00,1.00,207,NULL,215,'ALTO ARIRIU','PALHOÇA','SC',12906,583,NULL,221,NULL,NULL,NULL,2,1),(28,7331061,7.00,6.00,3.00,7.00,8.00,8.25,6.00,8.00,4.00,103,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',2074,903,NULL,NULL,NULL,NULL,NULL,2,1),(28,7331088,3.00,4.00,2.00,6.00,7.00,9.75,1.00,4.00,4.00,304,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',9806,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7331096,3.00,8.00,2.00,5.00,8.00,10.88,3.00,7.00,7.00,216,NULL,211,'CENTRO','CANOINHAS','SC',2999,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7331100,5.00,7.00,4.00,7.00,8.00,8.63,6.00,6.00,6.00,211,NULL,235,'SANTA MÔNICA','FLORIANÓPOLIS','SC',4500,113,NULL,72,NULL,NULL,NULL,4,1),(28,7331118,2.00,5.00,3.00,4.00,5.00,9.75,2.00,4.00,1.00,428,NULL,424,'CENTRO','ÁGUAS MORNAS','SC',13685,31,NULL,NULL,NULL,NULL,NULL,2,1),(28,7331126,2.00,6.00,2.00,4.00,3.00,7.50,0.00,3.00,1.00,335,NULL,NULL,'ARIRIU','PALHOÇA','SC',19499,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331134,1.00,5.00,1.00,7.00,7.00,8.25,2.00,4.00,2.00,103,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',11447,2166,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331142,0.00,3.00,1.00,0.00,2.00,NULL,0.00,3.00,2.00,9,NULL,NULL,'JARDIM SÃO PAULO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7331169,5.00,7.00,4.00,7.00,9.00,8.63,5.00,5.00,5.00,202,NULL,235,'ESCOLA AGRÍCOLA','BLUMENAU','SC',1888,53,NULL,NULL,NULL,NULL,NULL,4,2),(28,7331177,4.00,6.00,1.00,7.00,6.00,6.75,5.00,4.00,4.00,213,NULL,212,'CORREGO GRANDE','FLORIANÓPOLIS','SC',13329,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7331185,1.00,2.00,3.00,3.00,2.00,NULL,0.00,3.00,1.00,207,NULL,201,'CENTRO','SALETE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7331193,2.00,4.00,0.00,4.00,2.00,NULL,2.00,1.00,4.00,207,NULL,NULL,'CENTRO','SALETE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7331207,8.00,9.00,2.00,7.00,7.00,10.88,5.00,8.00,8.00,103,NULL,NULL,'SION','BELO HORIZONTE','MG',1223,645,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331215,2.00,7.00,1.00,6.00,5.00,7.88,2.00,4.00,5.00,101,NULL,NULL,'PAGANI II','PALHOÇA','SC',10064,40,NULL,NULL,NULL,NULL,NULL,2,1),(28,7331223,2.00,6.00,3.00,7.00,6.00,8.25,2.00,5.00,1.00,108,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',15557,214,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7331240,0.00,4.00,2.00,2.00,5.00,NULL,3.00,4.00,1.00,654,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7331266,5.00,8.00,3.00,6.00,9.00,8.63,3.00,6.00,8.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',2233,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7331274,0.00,4.00,2.00,0.00,6.00,NULL,3.00,5.00,1.00,652,NULL,238,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331282,1.00,2.00,2.00,5.00,5.00,5.25,3.00,5.00,3.00,654,NULL,NULL,'DIVINÉIA','ARARANGUÁ','SC',18662,71,NULL,NULL,NULL,NULL,NULL,2,15),(28,7331290,2.00,5.00,2.00,6.00,5.00,8.25,3.00,4.00,3.00,216,NULL,233,'NAÇÕES','TIMBÓ','SC',10213,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7331304,0.00,5.00,3.00,6.00,3.00,8.25,3.00,4.00,3.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331312,3.00,6.00,2.00,6.00,4.00,8.63,4.00,5.00,4.00,216,NULL,211,'CENTRO','MRO FUMAÇA','SC',7077,243,NULL,198,NULL,NULL,NULL,2,5),(28,7331320,1.00,3.00,0.00,6.00,2.00,NULL,1.00,5.00,2.00,303,NULL,NULL,'CENTRO DE PALHOÇA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7331339,3.00,2.00,3.00,4.00,2.00,NULL,4.00,3.00,3.00,655,NULL,652,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7331347,5.00,7.00,0.00,6.00,9.00,10.50,1.00,5.00,6.00,215,NULL,213,'JOÃO PAULO','FLORIANÓPOLIS','SC',5016,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7331355,2.00,3.00,1.00,3.00,6.00,6.00,2.00,7.00,0.00,440,NULL,NULL,'AREIAS','S JOSÉ','SC',19140,11,NULL,NULL,NULL,NULL,NULL,6,1),(28,7331363,1.00,2.00,2.00,4.00,4.00,4.50,2.00,0.00,2.00,318,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7331371,4.00,7.00,1.00,7.00,8.00,5.63,3.00,4.00,3.00,552,NULL,NULL,'FLORESTA','S JOSÉ','SC',8861,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7331398,7.00,7.00,4.00,7.00,10.00,10.13,5.00,5.00,5.00,103,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',1783,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331410,2.00,8.00,1.00,6.00,7.00,7.88,5.00,3.00,3.00,340,NULL,NULL,'NOVA BRASÍLIA','BRUSQUE','SC',8663,234,NULL,NULL,NULL,NULL,NULL,2,22),(28,7331428,4.00,5.00,2.00,6.00,9.00,7.88,0.00,6.00,4.00,103,NULL,NULL,'SETOR OESTE','GOIÂNIA','GO',8191,1921,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331436,1.00,5.00,4.00,7.00,6.00,9.75,1.00,5.00,4.00,450,NULL,NULL,'MENINO DEUS','PASSO FUNDO','RS',8253,59,NULL,NULL,NULL,NULL,NULL,4,4),(28,7331444,1.00,7.00,3.00,6.00,4.00,6.75,1.00,4.00,4.00,203,NULL,201,'TESTO REGA','POMERODE','SC',9666,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7331452,0.00,3.00,1.00,1.00,2.00,NULL,1.00,2.00,2.00,404,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331460,2.00,7.00,1.00,5.00,7.00,7.50,2.00,4.00,5.00,340,NULL,NULL,'JARDIM PORTO ALEGRE','TOLEDO','PR',7917,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331479,2.00,7.00,2.00,7.00,7.00,9.00,3.00,5.00,6.00,103,NULL,NULL,'CENTRO','PORTÃO','RS',3474,1237,NULL,NULL,NULL,NULL,NULL,2,4),(28,7331487,6.00,6.00,5.00,7.00,6.00,11.25,3.00,8.00,4.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',2084,906,NULL,NULL,NULL,NULL,NULL,2,8),(28,7331495,2.00,6.00,3.00,7.00,5.00,5.63,1.00,6.00,4.00,220,NULL,216,'JD URBANO BROCCHI I','TAPIRATIBA','SP',9003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7331509,0.00,3.00,2.00,2.00,3.00,7.50,0.00,3.00,0.00,211,NULL,215,'BELA VISTA','PALHOÇA','SC',18466,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331517,0.00,4.00,2.00,4.00,6.00,10.88,2.00,2.00,3.00,301,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',12475,175,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,235,'SANTA BÁRBARA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7331533,0.00,4.00,0.00,0.00,4.00,NULL,0.00,1.00,1.00,201,NULL,202,'COLONIA SANTANA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331541,0.00,4.00,2.00,0.00,2.00,NULL,3.00,3.00,1.00,201,NULL,601,'RUSCHEL','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7331550,5.00,8.00,3.00,7.00,10.00,10.13,5.00,6.00,7.00,203,NULL,233,'JURERÊ INTERNACIONAL','FLORIANÓPOLIS','SC',1315,121,NULL,17,NULL,NULL,NULL,4,1),(28,7331584,6.00,8.00,3.00,5.00,10.00,12.00,4.00,7.00,2.00,103,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',2003,887,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331592,2.00,8.00,3.00,7.00,9.00,5.25,1.00,5.00,3.00,303,NULL,NULL,'SANTA TEREZA','AURORA','SC',9148,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7331606,2.00,8.00,2.00,7.00,8.00,8.25,4.00,8.00,4.00,201,NULL,207,'CENTRO','BAL CAMBORIÚ','SC',3486,267,NULL,NULL,NULL,NULL,NULL,4,3),(28,7331614,1.00,5.00,3.00,4.00,4.00,7.13,2.00,5.00,3.00,318,NULL,NULL,'PADRE MARTINHO STEIN','TIMBÓ','SC',17996,133,NULL,NULL,NULL,NULL,NULL,4,2),(28,7331630,4.00,7.00,1.00,6.00,5.00,5.63,5.00,6.00,5.00,201,NULL,601,'IPIRANGA','S JOSÉ','SC',6774,517,NULL,144,NULL,NULL,NULL,2,1),(28,7331649,2.00,5.00,3.00,6.00,6.00,9.38,4.00,5.00,2.00,220,NULL,NULL,'VILA RESENDE','PIRACICABA','SP',7459,199,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331657,0.00,4.00,1.00,3.00,7.00,6.00,1.00,2.00,3.00,215,NULL,NULL,'CENTRO','TIJUCAS','SC',19167,291,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331665,2.00,6.00,1.00,1.00,6.00,9.00,1.00,4.00,2.00,601,NULL,207,'IRIRIÚ','JOINVILLE','SC',14521,NULL,NULL,640,NULL,NULL,NULL,4,8),(28,7331673,4.00,7.00,3.00,6.00,3.00,8.25,3.00,7.00,2.00,233,NULL,213,'CARUMBÉ','CUIABÁ','MT',7412,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7331681,6.00,8.00,4.00,8.00,10.00,10.88,7.00,7.00,7.00,103,NULL,NULL,'IPIRANGA','S PAULO','SP',64,52,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331690,1.00,3.00,2.00,4.00,6.00,7.50,3.00,2.00,1.00,339,NULL,NULL,'VILA BAEPENDI','JARAGUÁ SUL','SC',17678,46,NULL,NULL,NULL,NULL,NULL,4,23),(28,7331703,2.00,4.00,1.00,5.00,6.00,7.88,1.00,4.00,4.00,333,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',14304,87,NULL,NULL,NULL,NULL,NULL,2,1),(28,7331711,5.00,6.00,5.00,5.00,6.00,8.63,2.00,5.00,4.00,103,NULL,NULL,'JARDIM ARIZONA','SETE LAGOAS','MG',5735,1594,NULL,NULL,NULL,NULL,NULL,2,1),(28,7331720,1.00,2.00,2.00,6.00,5.00,8.25,2.00,5.00,3.00,201,NULL,601,'CENTRO','CHAPECÓ','SC',17794,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7331738,6.00,8.00,5.00,6.00,11.00,10.50,5.00,6.00,9.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',357,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331754,0.00,2.00,3.00,5.00,3.00,4.88,0.00,4.00,1.00,502,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7331762,1.00,5.00,2.00,5.00,3.00,6.38,3.00,5.00,2.00,201,NULL,207,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',14844,904,NULL,656,NULL,NULL,NULL,2,1),(28,7331770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'SANTA CATARINA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7331789,0.00,3.00,3.00,6.00,5.00,NULL,1.00,4.00,0.00,303,NULL,NULL,'SAVEIRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7331819,1.00,6.00,3.00,6.00,2.00,NULL,0.00,4.00,1.00,444,NULL,NULL,'AGRÔNOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7331827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,207,'UNIVERSITÁRIO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',3,9),(28,7331835,3.00,5.00,4.00,4.00,3.00,6.00,4.00,2.00,0.00,5,NULL,NULL,'AREIAS','S JOSÉ','SC',16127,436,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331843,3.00,4.00,3.00,4.00,4.00,6.75,3.00,5.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BEIRA CAMPO','SARANDI','RS',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7331878,5.00,4.00,2.00,4.00,4.00,8.63,5.00,7.00,3.00,213,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',7800,133,NULL,103,NULL,NULL,NULL,4,1),(28,7331886,1.00,5.00,4.00,5.00,3.00,9.75,2.00,4.00,3.00,202,NULL,213,'SÃO JOÃO','ITAJAÍ','SC',14968,346,NULL,238,NULL,NULL,NULL,4,6),(28,7331894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,2.00,552,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,7),(28,7331908,4.00,7.00,2.00,6.00,4.00,8.63,1.00,4.00,4.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',9314,149,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331916,4.00,7.00,4.00,6.00,8.00,8.25,6.00,4.00,6.00,203,NULL,220,'TRINDADE','FLORIANÓPOLIS','SC',5196,NULL,NULL,157,NULL,NULL,NULL,4,1),(28,7331924,1.00,6.00,3.00,5.00,4.00,5.25,1.00,3.00,4.00,999,NULL,NULL,'ITAMARATY','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331932,2.00,6.00,1.00,5.00,5.00,6.38,1.00,3.00,2.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',18720,2494,NULL,NULL,NULL,NULL,NULL,4,8),(28,7331959,0.00,1.00,3.00,5.00,4.00,NULL,1.00,2.00,2.00,415,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7331967,5.00,7.00,3.00,5.00,6.00,5.63,5.00,6.00,6.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7139,1783,NULL,NULL,NULL,NULL,NULL,4,1),(28,7331975,2.00,3.00,2.00,6.00,6.00,6.00,1.00,4.00,3.00,233,NULL,212,'CORREGO GRANDE','FLORIANÓPOLIS','SC',17253,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7331983,1.00,7.00,3.00,3.00,4.00,6.75,1.00,5.00,3.00,2,NULL,NULL,'VALPARAIZO','BLUMENAU','SC',18484,53,NULL,NULL,NULL,NULL,NULL,4,2),(28,7332009,4.00,8.00,2.00,5.00,4.00,7.50,1.00,6.00,4.00,203,NULL,233,'JARDIM FLORENÇA','NOVA VENEZA','SC',9306,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7332025,1.00,7.00,2.00,7.00,4.00,8.25,1.00,4.00,5.00,104,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10754,260,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332033,1.00,1.00,4.00,1.00,5.00,7.50,1.00,2.00,2.00,552,NULL,NULL,'CENTRO','IBIAM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7332041,2.00,4.00,2.00,7.00,6.00,NULL,0.00,4.00,1.00,215,NULL,211,'SÃO GOTARDO','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7332050,0.00,5.00,0.00,4.00,5.00,NULL,0.00,4.00,2.00,201,NULL,601,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7332068,1.00,3.00,2.00,6.00,5.00,12.00,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',8324,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7332084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7332092,2.00,7.00,6.00,3.00,6.00,13.13,4.00,7.00,6.00,304,NULL,NULL,'JD SÃO NICOLAU','S PAULO','SP',1958,4,NULL,NULL,NULL,NULL,NULL,4,8),(28,7332106,0.00,3.00,2.00,5.00,5.00,NULL,2.00,3.00,1.00,202,NULL,653,'NOVA BRASILIA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7332114,3.00,4.00,0.00,4.00,3.00,10.50,0.00,4.00,1.00,225,NULL,NULL,'HUMAITA DE CIMA','TUBARÃO','SC',19363,44,NULL,NULL,NULL,NULL,NULL,4,10),(28,7332122,3.00,3.00,1.00,6.00,2.00,NULL,1.00,4.00,4.00,203,NULL,220,'CENTRO','FAXINAL GUEDES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7332130,0.00,5.00,1.00,4.00,4.00,5.25,2.00,4.00,3.00,404,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',19313,70,NULL,NULL,NULL,NULL,NULL,2,1),(28,7332157,7.00,9.00,4.00,4.00,7.00,11.63,3.00,7.00,7.00,103,NULL,NULL,'MORUMBI','S PAULO','SP',717,437,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332165,4.00,6.00,4.00,7.00,5.00,11.63,3.00,6.00,4.00,208,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',8698,92,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332173,4.00,7.00,2.00,6.00,8.00,9.75,3.00,7.00,4.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',4043,1331,NULL,NULL,NULL,NULL,NULL,2,1),(28,7332181,0.00,4.00,2.00,5.00,6.00,7.50,0.00,4.00,4.00,207,NULL,201,'CENTRO','TREZE TÍLIAS','SC',18289,776,NULL,1004,NULL,NULL,NULL,2,7),(28,7332190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7332203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SAMBUGARO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7332211,5.00,7.00,3.00,7.00,8.00,6.75,6.00,7.00,3.00,201,NULL,213,'CENTRO','IMBITUBA','SC',3919,301,NULL,51,NULL,NULL,NULL,2,1),(28,7332220,0.00,7.00,3.00,6.00,7.00,9.38,2.00,6.00,1.00,201,NULL,202,'VILA SOROCABANA','GUARULHOS','SP',5839,457,NULL,160,NULL,NULL,NULL,4,1),(28,7332246,1.00,2.00,3.00,6.00,6.00,7.50,2.00,1.00,3.00,339,NULL,NULL,'CALHEIROS','GOV CELSO RAMOS','SC',15617,26,NULL,NULL,NULL,NULL,NULL,2,1),(28,7332254,4.00,6.00,0.00,4.00,3.00,9.00,2.00,4.00,2.00,208,NULL,NULL,'BRASÍLIA','CRICIÚMA','SC',18059,201,NULL,NULL,NULL,NULL,NULL,4,5),(28,7332262,5.00,7.00,3.00,4.00,6.00,6.75,5.00,7.00,4.00,5,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',5612,186,NULL,NULL,NULL,NULL,NULL,4,2),(28,7332289,4.00,7.00,5.00,4.00,8.00,8.63,3.00,5.00,6.00,103,NULL,NULL,'SÍTIO CERCADO','CURITIBA','PR',6284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332297,2.00,3.00,2.00,1.00,5.00,5.25,2.00,4.00,1.00,454,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19657,392,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332300,0.00,2.00,2.00,1.00,3.00,NULL,3.00,4.00,1.00,601,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,8),(28,7332335,3.00,9.00,4.00,6.00,8.00,6.38,3.00,7.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8075,70,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332343,4.00,3.00,2.00,4.00,3.00,9.00,1.00,1.00,3.00,201,NULL,215,'VILA ANCHIETA','JUNDIAÍ','SP',16282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7332378,4.00,7.00,1.00,7.00,7.00,8.63,6.00,5.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9110,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332386,2.00,6.00,2.00,5.00,5.00,6.00,1.00,5.00,2.00,654,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',14173,40,NULL,NULL,NULL,NULL,NULL,2,1),(28,7332408,3.00,6.00,1.00,5.00,7.00,10.50,3.00,6.00,4.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',6331,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332416,1.00,3.00,0.00,5.00,2.00,NULL,2.00,3.00,0.00,451,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7332424,2.00,7.00,3.00,6.00,10.00,9.00,4.00,4.00,2.00,303,NULL,NULL,'BELA VISTA','ERECHIM','RS',4178,196,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332432,4.00,8.00,1.00,6.00,9.00,10.13,3.00,6.00,2.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4074,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332459,0.00,1.00,2.00,5.00,3.00,0.00,1.00,2.00,2.00,104,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7332467,1.00,2.00,2.00,5.00,6.00,4.88,3.00,5.00,3.00,208,NULL,NULL,'CENTRO','IPUMIRIM','SC',16068,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7332475,1.00,8.00,5.00,7.00,10.00,9.38,3.00,5.00,5.00,340,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',3690,91,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332483,0.00,2.00,0.00,6.00,4.00,5.25,3.00,1.00,1.00,404,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7332491,1.00,4.00,0.00,5.00,2.00,NULL,1.00,1.00,1.00,404,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7332505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CIDADE ALTA','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7332513,8.00,8.00,1.00,7.00,8.00,10.88,5.00,8.00,7.00,103,NULL,NULL,'MONTE CARLO','CPO GRANDE','MS',324,239,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332521,2.00,1.00,1.00,5.00,3.00,5.63,3.00,1.00,2.00,215,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',19331,293,NULL,NULL,NULL,NULL,NULL,2,1),(28,7332548,3.00,7.00,2.00,6.00,7.00,9.00,4.00,6.00,5.00,201,NULL,233,'BARREIROS','S JOSÉ','SC',5389,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7332564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,655,'POTECAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7332572,2.00,6.00,3.00,6.00,5.00,7.88,1.00,4.00,4.00,444,NULL,NULL,'KOBRASOL','S JOSÉ','SC',12624,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332580,3.00,9.00,3.00,6.00,7.00,10.13,1.00,7.00,5.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5995,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'MONTE CASTELO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7332602,0.00,5.00,1.00,7.00,5.00,NULL,3.00,4.00,2.00,201,NULL,212,'CENTRO','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7332610,5.00,5.00,4.00,5.00,9.00,7.50,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4927,1484,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332629,4.00,5.00,1.00,5.00,9.00,7.88,1.00,4.00,4.00,454,NULL,NULL,'JARDIM SANTA RITA','INDAIATUBA','SP',11468,224,NULL,NULL,NULL,NULL,NULL,2,1),(28,7332645,3.00,6.00,2.00,6.00,6.00,5.25,2.00,6.00,3.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',15571,399,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7332688,2.00,5.00,1.00,5.00,6.00,7.50,5.00,3.00,2.00,109,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',16363,69,NULL,NULL,NULL,NULL,NULL,2,1),(28,7332726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7332734,0.00,2.00,2.00,5.00,5.00,7.88,2.00,3.00,3.00,207,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19266,804,NULL,NULL,NULL,NULL,NULL,2,1),(28,7332742,7.00,7.00,8.00,7.00,8.00,5.25,6.00,7.00,6.00,103,NULL,NULL,'JARDIM PARAÍBA','APARECIDA','SP',959,533,NULL,NULL,NULL,NULL,NULL,4,3),(28,7332750,5.00,8.00,4.00,6.00,6.00,10.88,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2615,1051,NULL,NULL,NULL,NULL,NULL,2,3),(28,7332777,4.00,5.00,0.00,6.00,4.00,5.25,2.00,3.00,2.00,503,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14804,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7332785,2.00,6.00,3.00,6.00,5.00,7.13,1.00,5.00,2.00,201,NULL,235,'COUNTRY','CASCAVEL','PR',12276,789,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332793,6.00,7.00,5.00,6.00,7.00,11.25,5.00,4.00,7.00,207,NULL,201,'SANTA MÔNICA','FLORIANÓPOLIS','SC',1818,54,NULL,NULL,NULL,NULL,NULL,1,1),(28,7332815,3.00,6.00,3.00,3.00,8.00,7.13,2.00,6.00,5.00,108,NULL,NULL,'SILVEIRA','BELO HORIZONTE','MG',13080,183,NULL,NULL,NULL,NULL,NULL,2,1),(28,7332823,6.00,7.00,0.00,7.00,8.00,8.63,4.00,8.00,6.00,450,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',2882,17,NULL,NULL,NULL,NULL,NULL,4,6),(28,7332831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAPA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7332840,3.00,5.00,1.00,4.00,7.00,7.88,1.00,4.00,1.00,9,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',18041,146,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332858,3.00,8.00,1.00,5.00,8.00,9.75,4.00,8.00,3.00,203,NULL,601,'CENTRO','PRES GETÚLIO','SC',4842,332,NULL,315,NULL,NULL,NULL,4,24),(28,7332866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7332874,1.00,6.00,1.00,7.00,8.00,9.00,1.00,4.00,3.00,428,NULL,429,'CENTRO','STO AMARO IMPERATRIZ','SC',15101,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332882,0.00,6.00,1.00,1.00,4.00,7.13,2.00,3.00,2.00,5,NULL,NULL,'IPIRANGA','S JOSÉ','SC',16332,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332890,1.00,6.00,1.00,4.00,4.00,9.00,0.00,4.00,1.00,324,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',19260,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7332904,2.00,1.00,2.00,3.00,2.00,NULL,3.00,0.00,0.00,601,NULL,215,'ACARAI','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7332912,2.00,1.00,2.00,2.00,3.00,6.00,2.00,4.00,1.00,103,NULL,NULL,'CENTRO','TOLEDO','PR',17644,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332920,3.00,7.00,3.00,6.00,5.00,7.13,5.00,7.00,5.00,203,NULL,235,'KOBRASOL','S JOSÉ','SC',5351,NULL,NULL,92,NULL,NULL,NULL,4,1),(28,7332939,2.00,6.00,3.00,6.00,9.00,10.13,2.00,7.00,5.00,103,NULL,NULL,'SANTA LÚCIA','CAPIVARI BAIXO','SC',3275,1197,NULL,NULL,NULL,NULL,NULL,4,10),(28,7332955,6.00,7.00,6.00,7.00,6.00,10.50,5.00,5.00,5.00,201,NULL,212,'CANTO','FLORIANÓPOLIS','SC',3379,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7332963,1.00,5.00,1.00,6.00,5.00,7.88,3.00,5.00,2.00,337,NULL,NULL,'PASSAGEM','TUBARÃO','SC',16612,34,NULL,NULL,NULL,NULL,NULL,2,10),(28,7332971,2.00,4.00,2.00,5.00,3.00,7.13,2.00,6.00,2.00,211,NULL,212,'KOBRASOL','S JOSÉ','SC',13780,346,NULL,362,NULL,NULL,NULL,2,1),(28,7332998,0.00,8.00,2.00,6.00,6.00,8.63,0.00,8.00,2.00,318,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',13587,94,NULL,NULL,NULL,NULL,NULL,5,1),(28,7333005,0.00,4.00,4.00,3.00,4.00,7.13,2.00,5.00,4.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',13964,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333013,1.00,6.00,2.00,4.00,6.00,9.75,3.00,5.00,4.00,103,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',7677,1850,NULL,NULL,NULL,NULL,NULL,4,3),(28,7333021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CEL VIVIDA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7333048,2.00,4.00,0.00,5.00,4.00,6.38,3.00,3.00,1.00,201,NULL,207,'CENTRO','LONTRAS','SC',16263,942,NULL,NULL,NULL,NULL,NULL,2,24),(28,7333056,2.00,3.00,1.00,4.00,5.00,4.50,1.00,3.00,1.00,301,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',19923,269,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333064,8.00,8.00,7.00,7.00,9.00,9.75,6.00,7.00,7.00,203,NULL,233,'PAGANI','PALHOÇA','SC',151,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333072,2.00,6.00,2.00,7.00,5.00,7.13,4.00,3.00,2.00,501,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',16495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333080,2.00,5.00,3.00,5.00,4.00,6.00,3.00,5.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17773,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333099,3.00,6.00,2.00,8.00,6.00,10.50,6.00,6.00,4.00,454,NULL,NULL,'FARROUPILHA','VIDEIRA','SC',5687,84,NULL,NULL,NULL,NULL,NULL,4,24),(28,7333102,2.00,7.00,0.00,7.00,9.00,7.88,2.00,6.00,3.00,215,NULL,207,'CENTRO','STO AMARO IMPERATRIZ','SC',8012,130,NULL,366,NULL,NULL,NULL,4,1),(28,7333110,0.00,2.00,2.00,5.00,2.00,NULL,0.00,2.00,2.00,318,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7333129,4.00,8.00,3.00,7.00,4.00,7.88,2.00,6.00,5.00,103,NULL,NULL,'REBOUÇAS','CURITIBA','PR',4182,1361,NULL,NULL,NULL,NULL,NULL,4,8),(28,7333137,0.00,4.00,2.00,2.00,4.00,NULL,1.00,2.00,4.00,207,NULL,201,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333145,2.00,4.00,2.00,6.00,6.00,9.00,2.00,6.00,3.00,207,NULL,201,'CARVOEIRA','FLORIANÓPOLIS','SC',8691,403,NULL,616,NULL,NULL,NULL,4,1),(28,7333153,0.00,6.00,2.00,3.00,4.00,7.13,2.00,4.00,2.00,234,NULL,NULL,'VILA SÃO VICENTE','PARANAGUÁ','PR',16077,47,NULL,NULL,NULL,NULL,NULL,2,6),(28,7333161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'PRAIA DO LESTE','PONTAL PARANÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7333188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,238,'MARACANA','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7333218,0.00,5.00,2.00,4.00,6.00,8.63,3.00,3.00,5.00,215,NULL,233,'AREIAS','S JOSÉ','SC',12625,215,NULL,280,NULL,NULL,NULL,2,1),(28,7333226,2.00,3.00,0.00,2.00,2.00,NULL,1.00,3.00,2.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333234,2.00,4.00,1.00,2.00,5.00,5.25,1.00,4.00,1.00,404,NULL,NULL,'IPIRANGA','S JOSÉ','SC',17684,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333242,1.00,3.00,2.00,2.00,4.00,8.63,2.00,3.00,5.00,201,NULL,233,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',15683,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333269,2.00,0.00,2.00,1.00,3.00,NULL,0.00,2.00,1.00,213,NULL,220,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7333285,2.00,6.00,1.00,6.00,9.00,6.00,1.00,5.00,2.00,101,NULL,NULL,'BARREIROS','S JOSÉ','SC',11845,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333323,1.00,1.00,4.00,2.00,3.00,NULL,1.00,1.00,0.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333331,2.00,2.00,1.00,3.00,3.00,7.88,4.00,3.00,3.00,450,NULL,NULL,'UNIVERSITARIO','TIJUCAS','SC',19302,133,NULL,NULL,NULL,NULL,NULL,2,22),(28,7333340,3.00,1.00,3.00,2.00,3.00,2.25,0.00,4.00,2.00,309,NULL,NULL,'PICADAS DOS SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333358,2.00,0.00,3.00,4.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7333366,2.00,6.00,2.00,7.00,4.00,10.13,1.00,5.00,1.00,303,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',16414,557,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333374,1.00,3.00,1.00,2.00,3.00,0.00,0.00,2.00,0.00,225,NULL,NULL,'JOAO WINCKLER','XANXERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7333382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,429,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7333390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'PRIMAVERA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7333404,6.00,5.00,5.00,6.00,9.00,NULL,5.00,5.00,7.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7333412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,203,'ACLIMAÇÃO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7333439,1.00,6.00,4.00,6.00,5.00,7.50,1.00,4.00,4.00,501,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16260,99,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333455,4.00,8.00,0.00,7.00,7.00,12.00,3.00,6.00,6.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',4298,148,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333463,4.00,6.00,2.00,6.00,7.00,7.50,5.00,7.00,4.00,303,NULL,NULL,'IMIGRANTES','CONCÓRDIA','SC',6204,282,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7333480,1.00,6.00,1.00,6.00,6.00,6.00,0.00,5.00,4.00,318,NULL,NULL,'ITAQUERA','S PAULO','SP',13577,93,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333498,1.00,5.00,0.00,5.00,3.00,6.38,0.00,4.00,2.00,301,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',18221,247,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333501,1.00,4.00,2.00,3.00,3.00,9.00,2.00,4.00,2.00,109,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7333528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'SÃO JOSÉ','BAIXO GUANDU','ES',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7333536,3.00,5.00,2.00,6.00,6.00,8.25,2.00,4.00,2.00,454,NULL,NULL,'CENTRO','PALHOÇA','SC',9882,184,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333544,1.00,3.00,2.00,4.00,1.00,NULL,2.00,2.00,2.00,207,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333552,4.00,7.00,3.00,6.00,9.00,8.25,5.00,3.00,3.00,303,NULL,NULL,'CENTRO','TUBARÃO','SC',5806,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7333579,2.00,2.00,3.00,3.00,2.00,NULL,1.00,3.00,3.00,309,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,655,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7333609,0.00,2.00,2.00,3.00,5.00,NULL,1.00,3.00,2.00,238,NULL,215,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333617,3.00,5.00,1.00,1.00,3.00,6.75,2.00,2.00,2.00,319,NULL,NULL,'FAZ SANTO ANTONIO','S JOSÉ','SC',17438,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333633,0.00,4.00,2.00,7.00,5.00,5.63,2.00,3.00,3.00,415,NULL,NULL,'LAGOA DA CONCEICAO','FLORIANÓPOLIS','SC',13871,225,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333641,0.00,1.00,2.00,0.00,3.00,NULL,0.00,2.00,2.00,317,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'JARDIM QUIETUDE','PR GRANDE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7333676,0.00,2.00,2.00,6.00,3.00,NULL,3.00,4.00,5.00,316,NULL,NULL,'PROMORAR','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333684,4.00,5.00,3.00,4.00,6.00,9.00,3.00,2.00,3.00,327,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',11940,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333692,2.00,4.00,1.00,5.00,2.00,NULL,0.00,6.00,3.00,317,NULL,NULL,'CIDADE FLORIANOPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333706,0.00,5.00,2.00,4.00,2.00,NULL,1.00,4.00,1.00,501,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7333714,1.00,4.00,1.00,4.00,5.00,6.75,3.00,4.00,2.00,340,NULL,NULL,'CACHOEIRA B JESUS','FLORIANÓPOLIS','SC',16386,405,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333730,0.00,6.00,1.00,5.00,6.00,NULL,2.00,6.00,4.00,320,NULL,NULL,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333757,1.00,3.00,2.00,2.00,6.00,NULL,1.00,3.00,0.00,999,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7333765,1.00,3.00,1.00,6.00,5.00,NULL,5.00,2.00,3.00,339,NULL,NULL,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7333773,0.00,4.00,2.00,6.00,5.00,6.38,0.00,2.00,2.00,301,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',19489,259,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333781,1.00,1.00,1.00,0.00,5.00,4.88,0.00,4.00,2.00,319,NULL,NULL,'AREIAS','S JOSÉ','SC',19095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333803,0.00,3.00,1.00,5.00,4.00,5.25,2.00,3.00,2.00,339,NULL,NULL,'SAVEIROS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333820,2.00,3.00,1.00,5.00,7.00,8.25,3.00,4.00,1.00,212,NULL,215,'CANASVIEIRAS','FLORIANÓPOLIS','SC',13077,354,NULL,222,NULL,NULL,NULL,4,1),(28,7333838,5.00,8.00,4.00,5.00,6.00,7.50,3.00,6.00,3.00,238,NULL,211,'CARIANOS','FLORIANÓPOLIS','SC',7073,87,NULL,196,NULL,NULL,NULL,2,1),(28,7333846,1.00,7.00,1.00,7.00,5.00,8.63,3.00,6.00,5.00,216,NULL,211,'JARDIM SÃO PAULO','AMERICANA','SP',7926,265,NULL,215,NULL,NULL,NULL,4,1),(28,7333854,3.00,4.00,4.00,6.00,6.00,4.88,2.00,5.00,4.00,327,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',12063,32,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7333897,1.00,3.00,2.00,1.00,2.00,NULL,0.00,2.00,0.00,201,NULL,203,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333919,2.00,4.00,3.00,1.00,4.00,6.75,1.00,4.00,2.00,454,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',19566,390,NULL,NULL,NULL,NULL,NULL,4,22),(28,7333927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'VARZEA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7333935,5.00,7.00,6.00,7.00,8.00,9.00,3.00,6.00,5.00,103,NULL,NULL,'SÃO LUIS','JARAGUÁ SUL','SC',4254,1374,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'BOMBAS','BOMBINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7333951,0.00,4.00,2.00,3.00,2.00,NULL,1.00,4.00,3.00,207,NULL,212,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333960,1.00,4.00,0.00,6.00,2.00,NULL,3.00,6.00,1.00,332,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7333978,6.00,7.00,1.00,6.00,7.00,7.13,3.00,6.00,5.00,103,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',8237,1923,NULL,NULL,NULL,NULL,NULL,4,1),(28,7333986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,426,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7334001,0.00,6.00,1.00,6.00,3.00,5.25,2.00,1.00,0.00,220,NULL,235,'CENTRO','BAL CAMBORIÚ','SC',19958,352,NULL,298,NULL,NULL,NULL,4,6),(28,7334010,2.00,0.00,3.00,6.00,7.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BARRA SUL','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,6),(28,7334036,2.00,6.00,1.00,5.00,3.00,7.13,2.00,5.00,2.00,454,NULL,NULL,'JARDIM DAS ACACIAS','S PAULO','SP',11837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334044,5.00,7.00,4.00,6.00,9.00,9.00,6.00,7.00,7.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2532,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334052,2.00,5.00,2.00,6.00,5.00,7.88,3.00,3.00,4.00,340,NULL,NULL,'FORTALEZA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7334060,6.00,8.00,4.00,7.00,8.00,9.75,5.00,8.00,7.00,103,NULL,NULL,'SETOR JARDIM GOIAS','GOIÂNIA','GO',273,207,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334079,5.00,6.00,2.00,8.00,9.00,8.25,4.00,5.00,4.00,108,NULL,NULL,'CENTRO','GAROPABA','SC',3442,30,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334087,2.00,1.00,2.00,0.00,3.00,5.25,1.00,4.00,1.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334095,2.00,8.00,2.00,6.00,7.00,7.13,4.00,7.00,4.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',10377,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334109,7.00,9.00,2.00,6.00,11.00,10.13,4.00,8.00,5.00,5,NULL,NULL,'RIO BRANCO','PTO ALEGRE','RS',1704,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334117,8.00,7.00,5.00,5.00,5.00,10.50,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1668,796,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334125,0.00,4.00,2.00,6.00,4.00,4.88,1.00,3.00,3.00,444,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',16091,95,NULL,NULL,NULL,NULL,NULL,2,1),(28,7334141,1.00,4.00,3.00,2.00,4.00,9.75,2.00,4.00,1.00,207,NULL,216,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334176,3.00,7.00,1.00,7.00,7.00,8.63,2.00,3.00,2.00,103,NULL,NULL,'JARDIM PALMARES','TANGARÁ SERRA','MT',8213,1922,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,440,NULL,NULL,'PARQUE AGARI','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7334214,1.00,4.00,0.00,2.00,5.00,NULL,3.00,2.00,0.00,999,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334222,1.00,6.00,0.00,3.00,4.00,5.25,1.00,5.00,2.00,333,NULL,NULL,'CIDADE JARDIM','PIRACICABA','SP',19360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334230,0.00,5.00,1.00,4.00,6.00,NULL,2.00,4.00,3.00,203,NULL,214,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7334249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7334273,5.00,8.00,3.00,6.00,7.00,7.50,3.00,6.00,5.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',5040,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334290,4.00,3.00,1.00,5.00,7.00,9.38,2.00,3.00,2.00,316,NULL,NULL,'SANTA TERESA','S PEDRO ALCÂNTARA','SC',17638,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7334303,3.00,6.00,2.00,6.00,5.00,10.50,5.00,4.00,1.00,324,NULL,NULL,'MONTE CARLO','CPO GRANDE','MS',13533,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334320,1.00,4.00,1.00,6.00,4.00,7.88,1.00,4.00,4.00,201,NULL,233,'CENTRO','LAGES','SC',17976,NULL,NULL,343,NULL,NULL,NULL,4,9),(28,7334338,5.00,5.00,2.00,6.00,6.00,7.13,2.00,5.00,5.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',6129,1649,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334346,8.00,8.00,6.00,6.00,8.00,8.63,6.00,7.00,7.00,103,NULL,NULL,'JD PARAISO','BOTUCATU','SP',296,221,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334354,1.00,3.00,2.00,4.00,3.00,6.00,2.00,4.00,1.00,425,NULL,NULL,'JARDIM COQUEIROS','PALHOÇA','SC',19775,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7334370,5.00,8.00,4.00,7.00,9.00,9.75,7.00,7.00,7.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',758,455,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JD V SAINT CLAIRE','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7334400,2.00,4.00,2.00,7.00,5.00,4.88,3.00,5.00,1.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13681,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334427,1.00,0.00,3.00,3.00,6.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'SANTA CATARINA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(28,7334435,0.00,6.00,2.00,5.00,5.00,5.63,1.00,5.00,2.00,5,NULL,NULL,'SERRARIA','S JOSÉ','SC',18629,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334451,3.00,7.00,3.00,7.00,7.00,10.88,0.00,7.00,3.00,415,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10565,169,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334460,5.00,9.00,4.00,5.00,8.00,9.00,6.00,7.00,8.00,103,NULL,NULL,'CENTRO','PONTALINA','GO',950,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334478,0.00,2.00,3.00,4.00,5.00,6.38,0.00,3.00,3.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',19835,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7334494,1.00,4.00,3.00,4.00,1.00,NULL,0.00,5.00,3.00,214,NULL,213,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7334508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'MENINO DEUS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7334516,2.00,6.00,3.00,4.00,10.00,8.25,0.00,6.00,3.00,301,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',9215,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334524,1.00,1.00,3.00,3.00,1.00,NULL,2.00,4.00,1.00,999,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7334532,5.00,6.00,3.00,5.00,8.00,6.00,4.00,7.00,6.00,103,NULL,NULL,'FLORIANOPOLIS DOWNTO','FLORIANÓPOLIS','SC',2971,1133,NULL,NULL,NULL,NULL,NULL,2,1),(28,7334540,4.00,5.00,2.00,6.00,7.00,7.50,5.00,5.00,4.00,103,NULL,NULL,'MARAPÉ','SANTOS','SP',5747,1597,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334559,3.00,4.00,2.00,5.00,3.00,6.75,1.00,3.00,3.00,428,NULL,423,'INGLESES','FLORIANÓPOLIS','SC',19195,68,NULL,NULL,NULL,NULL,NULL,2,1),(28,7334567,0.00,4.00,2.00,6.00,4.00,7.13,3.00,4.00,3.00,999,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334575,2.00,0.00,1.00,6.00,6.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7334583,1.00,6.00,2.00,2.00,1.00,NULL,1.00,5.00,1.00,503,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7334591,0.00,4.00,2.00,0.00,5.00,NULL,3.00,2.00,1.00,551,NULL,NULL,'INTERIOR','FR ROGÉRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7334605,1.00,5.00,4.00,5.00,6.00,8.25,1.00,5.00,1.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11616,451,NULL,NULL,NULL,NULL,NULL,2,1),(28,7334613,4.00,5.00,4.00,5.00,8.00,7.13,1.00,5.00,3.00,207,NULL,201,'SÃO JOÃO MD','TUBARÃO','SC',8991,413,NULL,NULL,NULL,NULL,NULL,4,10),(28,7334621,5.00,8.00,4.00,6.00,7.00,7.88,4.00,6.00,5.00,655,NULL,220,'COMERCIÁRIO','CRICIÚMA','SC',8127,29,NULL,NULL,NULL,NULL,NULL,4,5),(28,7334648,1.00,5.00,1.00,6.00,6.00,NULL,0.00,4.00,2.00,108,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334656,1.00,5.00,0.00,3.00,5.00,5.25,1.00,4.00,4.00,324,NULL,NULL,'AREIAS','S JOSÉ','SC',19368,26,NULL,NULL,NULL,NULL,NULL,2,1),(28,7334664,0.00,3.00,1.00,5.00,5.00,7.50,0.00,5.00,1.00,999,NULL,NULL,'RESSACADA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7334672,1.00,6.00,2.00,4.00,9.00,8.25,3.00,7.00,6.00,3,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',9520,34,NULL,NULL,NULL,NULL,NULL,2,1),(28,7334680,2.00,5.00,2.00,2.00,6.00,7.13,3.00,3.00,1.00,601,NULL,NULL,'BUCAREIN','JOINVILLE','SC',18460,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7334699,1.00,0.00,1.00,4.00,7.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7334702,1.00,7.00,1.00,7.00,6.00,11.25,3.00,5.00,5.00,233,NULL,216,'VILA CRISTOVAM','LIMEIRA','SP',4928,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334729,3.00,4.00,1.00,5.00,6.00,8.25,4.00,7.00,2.00,552,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7334745,6.00,8.00,3.00,5.00,7.00,7.13,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','NOVA VENEZA','SC',3954,1316,NULL,NULL,NULL,NULL,NULL,2,5),(28,7334761,6.00,7.00,1.00,6.00,8.00,9.38,4.00,4.00,6.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',4902,72,NULL,NULL,NULL,NULL,NULL,2,1),(28,7334770,3.00,6.00,2.00,7.00,9.00,7.88,2.00,7.00,4.00,415,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',4752,71,NULL,NULL,NULL,NULL,NULL,4,8),(28,7334788,0.00,4.00,3.00,6.00,7.00,6.75,2.00,6.00,5.00,110,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',9884,28,NULL,NULL,NULL,NULL,NULL,2,15),(28,7334800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ANDRE CARLONE','SERRA','ES',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7334826,2.00,6.00,2.00,7.00,5.00,7.50,3.00,6.00,3.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',14936,293,NULL,NULL,NULL,NULL,NULL,2,1),(28,7334834,0.00,6.00,1.00,7.00,5.00,6.75,3.00,3.00,2.00,203,NULL,201,'CENTRO','CHAPECÓ','SC',13994,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7334842,0.00,4.00,1.00,2.00,4.00,12.00,3.00,4.00,3.00,441,NULL,NULL,'OURO VERDE','OURINHOS','SP',17881,7,NULL,NULL,NULL,NULL,NULL,6,1),(28,7334850,0.00,4.00,3.00,4.00,3.00,5.63,0.00,3.00,2.00,444,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',19003,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7334869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7334877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'CENTRO','TANGARÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7334885,6.00,8.00,4.00,7.00,8.00,8.63,6.00,8.00,7.00,203,NULL,216,'AREIAS DE PALHOCINHA','GAROPABA','SC',718,68,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334915,4.00,6.00,2.00,5.00,6.00,6.75,1.00,7.00,3.00,238,NULL,211,'CARVOEIRA','FLORIANÓPOLIS','SC',8126,110,NULL,221,NULL,NULL,NULL,2,1),(28,7334923,2.00,7.00,2.00,5.00,3.00,8.25,4.00,4.00,3.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12761,11,NULL,NULL,NULL,NULL,NULL,2,1),(28,7334940,1.00,3.00,2.00,3.00,1.00,NULL,2.00,1.00,2.00,9,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7334958,2.00,3.00,2.00,2.00,4.00,3.00,1.00,3.00,2.00,5,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7334966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7334974,2.00,0.00,3.00,6.00,4.00,NULL,0.00,0.00,0.00,601,NULL,203,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(28,7334982,2.00,5.00,1.00,5.00,1.00,NULL,2.00,5.00,3.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7334990,2.00,6.00,1.00,6.00,5.00,8.25,4.00,4.00,4.00,202,NULL,212,'CARVOEIRA','FLORIANÓPOLIS','SC',14300,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7335008,7.00,7.00,4.00,6.00,9.00,9.38,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',1197,637,NULL,NULL,NULL,NULL,NULL,2,1),(28,7335016,0.00,3.00,2.00,2.00,5.00,6.00,3.00,2.00,2.00,551,NULL,NULL,'INTERIOR','IOMERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7335024,0.00,5.00,0.00,4.00,2.00,NULL,0.00,3.00,4.00,404,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7335032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'ZONA SETE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7335040,4.00,8.00,2.00,7.00,6.00,7.88,3.00,6.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5964,1625,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335067,0.00,6.00,2.00,1.00,3.00,NULL,1.00,2.00,3.00,235,NULL,203,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335083,1.00,0.00,0.00,7.00,7.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7335091,3.00,5.00,1.00,4.00,6.00,6.75,3.00,5.00,2.00,601,NULL,203,'ITAUM','JOINVILLE','SC',17329,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7335105,0.00,3.00,1.00,6.00,6.00,7.88,2.00,1.00,0.00,101,NULL,NULL,'LAU MELLO','FR ROGÉRIO','SC',16996,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7335113,0.00,4.00,2.00,4.00,5.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'CEDRO','MARACAJÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7335121,0.00,6.00,2.00,6.00,8.00,NULL,4.00,7.00,2.00,327,NULL,NULL,'AREIAS CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7335130,1.00,6.00,2.00,2.00,3.00,7.13,4.00,4.00,2.00,5,NULL,NULL,'CHARQUEADAS','CAXIAS SUL','RS',15138,409,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335148,0.00,5.00,2.00,5.00,5.00,6.00,1.00,4.00,3.00,655,NULL,203,'CENTRO','DIONÍSIO CERQUEIRA','SC',15022,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7335156,0.00,2.00,1.00,0.00,4.00,NULL,2.00,1.00,3.00,109,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'BOSQUE','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7335172,4.00,8.00,1.00,5.00,6.00,9.75,3.00,8.00,6.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',8969,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335180,1.00,8.00,1.00,6.00,8.00,7.88,2.00,4.00,3.00,104,NULL,NULL,'VILA PEDRINI','JOAÇABA','SC',11337,277,NULL,NULL,NULL,NULL,NULL,2,3),(28,7335199,0.00,1.00,1.00,3.00,3.00,NULL,4.00,3.00,2.00,317,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7335210,2.00,3.00,0.00,3.00,5.00,6.38,1.00,2.00,3.00,319,NULL,NULL,'CENTRO','TIJUCAS','SC',19908,377,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335237,2.00,6.00,2.00,5.00,4.00,5.25,3.00,4.00,3.00,202,NULL,207,'CENTRO','SEARA','SC',11972,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7335245,2.00,5.00,3.00,3.00,3.00,9.00,2.00,3.00,2.00,208,NULL,NULL,'BAIRRO IPIRANGA','S JOSÉ','SC',19094,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7335253,5.00,8.00,2.00,7.00,7.00,9.38,4.00,8.00,6.00,103,NULL,NULL,'JARDIM ESPLANADA II','S JOSÉ CAMPOS','SP',2053,897,NULL,NULL,NULL,NULL,NULL,4,8),(28,7335296,2.00,7.00,0.00,5.00,6.00,NULL,4.00,8.00,2.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335300,1.00,5.00,2.00,6.00,8.00,9.75,1.00,3.00,1.00,104,NULL,NULL,'RIBEIRÃO DO TIGRE','AGROLÂNDIA','SC',11883,294,NULL,NULL,NULL,NULL,NULL,2,9),(28,7335318,1.00,5.00,0.00,4.00,7.00,6.38,2.00,5.00,4.00,327,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17065,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335326,4.00,6.00,2.00,6.00,3.00,9.38,2.00,2.00,2.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',12641,2244,NULL,NULL,NULL,NULL,NULL,2,1),(28,7335342,0.00,0.00,2.00,4.00,1.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7335350,1.00,4.00,1.00,4.00,4.00,7.88,2.00,2.00,4.00,331,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',19183,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO FRANCISCO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7335377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA DOIS','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7335393,0.00,7.00,2.00,2.00,2.00,NULL,3.00,2.00,3.00,653,NULL,652,'CENTRO','MRO GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7335407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JARDIM AMERICA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7335415,2.00,7.00,3.00,5.00,7.00,9.00,3.00,3.00,3.00,211,NULL,NULL,'GRANJA UNIÃO','FLORES CUNHA','RS',6840,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7335423,2.00,5.00,1.00,4.00,8.00,6.38,0.00,4.00,4.00,201,NULL,216,'RIO VERMELHO','FLORIANÓPOLIS','SC',14172,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7335431,0.00,3.00,1.00,5.00,4.00,0.00,4.00,5.00,3.00,425,NULL,429,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335440,4.00,6.00,1.00,6.00,7.00,7.88,2.00,6.00,3.00,211,NULL,215,'CARVOEIRA','FLORIANÓPOLIS','SC',10040,271,NULL,172,NULL,NULL,NULL,2,1),(28,7335458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7335466,0.00,4.00,0.00,5.00,5.00,7.50,1.00,4.00,1.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7335482,1.00,6.00,3.00,6.00,4.00,4.88,2.00,5.00,3.00,238,NULL,202,'CENTRO','CAMBORIÚ','SC',16574,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7335504,1.00,4.00,3.00,4.00,4.00,7.13,2.00,3.00,3.00,454,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',18955,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7335520,0.00,4.00,1.00,6.00,7.00,6.75,1.00,5.00,4.00,340,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',15175,395,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335547,3.00,0.00,1.00,7.00,6.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7335555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'JARDIM REFLORENDA','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7335580,0.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,1.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335598,5.00,8.00,3.00,6.00,5.00,10.13,0.00,8.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',9571,394,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335601,1.00,3.00,4.00,3.00,5.00,NULL,0.00,3.00,1.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335610,3.00,9.00,0.00,6.00,6.00,NULL,4.00,8.00,2.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335628,3.00,5.00,4.00,6.00,3.00,8.25,3.00,6.00,5.00,5,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',12105,343,NULL,NULL,NULL,NULL,NULL,2,1),(28,7335636,6.00,8.00,2.00,8.00,6.00,10.13,4.00,6.00,5.00,212,NULL,201,'BOA VISTA','S CARLOS','SP',2081,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335644,2.00,6.00,0.00,6.00,10.00,9.38,3.00,5.00,2.00,425,NULL,428,'AMÉRICA','JOINVILLE','SC',13638,NULL,NULL,30,NULL,NULL,NULL,4,8),(28,7335660,3.00,3.00,4.00,5.00,8.00,7.88,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',15695,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7335679,6.00,8.00,3.00,5.00,7.00,12.38,1.00,7.00,5.00,103,NULL,NULL,'CENTRO','IVATÉ','PR',1936,872,NULL,NULL,NULL,NULL,NULL,4,4),(28,7335687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7335709,1.00,3.00,1.00,5.00,3.00,7.88,2.00,2.00,3.00,316,NULL,NULL,'AREIAS DE PALHOCINHA','GAROPABA','SC',18212,264,NULL,NULL,NULL,NULL,NULL,2,1),(28,7335717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7335725,0.00,0.00,2.00,4.00,2.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7335741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7335768,2.00,6.00,2.00,5.00,2.00,NULL,4.00,5.00,3.00,208,NULL,NULL,'CARVOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7335776,3.00,5.00,1.00,6.00,6.00,6.75,3.00,6.00,4.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13777,165,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335792,0.00,5.00,4.00,3.00,4.00,NULL,2.00,4.00,0.00,101,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7335806,4.00,8.00,1.00,7.00,4.00,6.75,2.00,6.00,5.00,999,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7335814,3.00,4.00,2.00,4.00,5.00,7.88,3.00,4.00,2.00,331,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',17693,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335849,6.00,3.00,1.00,4.00,3.00,4.50,3.00,2.00,2.00,201,NULL,NULL,'CENTRO','MARIÓPOLIS','PR',15827,928,NULL,NULL,NULL,NULL,NULL,4,4),(28,7335857,4.00,6.00,1.00,1.00,8.00,6.75,4.00,5.00,4.00,203,NULL,235,'TAPERA','FLORIANÓPOLIS','SC',9646,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335865,0.00,3.00,4.00,5.00,5.00,NULL,1.00,3.00,3.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7335873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'ENGENHO','LAPA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7335881,2.00,4.00,2.00,7.00,6.00,7.88,1.00,5.00,3.00,302,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',13111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7335890,1.00,5.00,1.00,5.00,7.00,7.13,0.00,3.00,3.00,104,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',13958,336,NULL,NULL,NULL,NULL,NULL,2,1),(28,7335903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7335911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CENTRO','CAPINZAL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7335920,1.00,6.00,2.00,4.00,5.00,7.13,0.00,5.00,4.00,201,NULL,211,'CENTRO','SERTÃO','RS',14168,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7335938,4.00,4.00,2.00,4.00,7.00,5.25,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',10795,2128,NULL,NULL,NULL,NULL,NULL,4,10),(28,7335954,3.00,4.00,1.00,4.00,7.00,7.13,3.00,4.00,3.00,238,NULL,220,'JARDIM RENATA','INDAIATUBA','SP',17599,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7335962,3.00,7.00,1.00,4.00,5.00,7.88,2.00,4.00,2.00,212,NULL,201,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',17562,406,NULL,976,NULL,NULL,NULL,4,1),(28,7335970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7335989,3.00,5.00,2.00,7.00,2.00,NULL,0.00,2.00,2.00,333,NULL,NULL,'CENTRO','TRINDADE SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7335997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'INDUSTRIAL NORTE','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,23),(28,7336012,3.00,6.00,1.00,7.00,5.00,9.38,4.00,5.00,2.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14916,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7336039,3.00,2.00,1.00,5.00,1.00,NULL,1.00,2.00,2.00,317,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336047,1.00,1.00,1.00,3.00,3.00,3.00,1.00,2.00,1.00,101,NULL,NULL,'INTERIOR','ARVOREDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7336055,3.00,7.00,3.00,5.00,6.00,9.75,3.00,6.00,4.00,216,NULL,201,'TRINDADE','FLORIANÓPOLIS','SC',5965,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336063,0.00,6.00,1.00,4.00,3.00,7.13,4.00,5.00,1.00,3,NULL,NULL,'CENTRO','PTE SERRADA','SC',13687,62,NULL,NULL,NULL,NULL,NULL,2,4),(28,7336071,4.00,9.00,3.00,6.00,6.00,12.00,3.00,7.00,3.00,327,NULL,NULL,'CENTRO','PENHA','SC',7668,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,421,'CANASVEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7336098,1.00,6.00,1.00,4.00,2.00,NULL,1.00,2.00,3.00,238,NULL,212,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336101,0.00,4.00,2.00,4.00,5.00,10.13,1.00,4.00,0.00,552,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7336110,0.00,4.00,1.00,5.00,3.00,NULL,0.00,2.00,3.00,331,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336128,0.00,0.00,4.00,3.00,4.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PALMITAL','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(28,7336136,4.00,5.00,1.00,2.00,5.00,7.13,4.00,3.00,2.00,238,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18674,324,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336144,4.00,0.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7336152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','S MIGUEL IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7336187,1.00,5.00,2.00,5.00,6.00,7.50,1.00,5.00,3.00,208,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13670,152,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336195,2.00,4.00,1.00,5.00,3.00,9.38,2.00,2.00,4.00,339,NULL,NULL,'CENTRO','BIGUAÇU','SC',15554,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336209,3.00,8.00,2.00,6.00,8.00,6.38,4.00,4.00,3.00,340,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',7119,194,NULL,NULL,NULL,NULL,NULL,4,10),(28,7336217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'SÃO FRANCISCO','CEL FREITAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7336225,3.00,6.00,3.00,4.00,8.00,9.38,3.00,6.00,4.00,238,NULL,211,'BELA VISTA','S JOSÉ','SC',7238,92,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336233,3.00,6.00,2.00,5.00,5.00,6.00,4.00,7.00,4.00,103,NULL,NULL,'CENTRO','S DOMINGOS','SC',8655,1970,NULL,NULL,NULL,NULL,NULL,2,4),(28,7336241,2.00,7.00,2.00,5.00,6.00,7.88,2.00,6.00,2.00,316,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',11595,117,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336250,0.00,5.00,1.00,5.00,5.00,6.00,1.00,4.00,1.00,337,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',17516,35,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336268,2.00,4.00,1.00,2.00,3.00,5.25,1.00,5.00,2.00,202,NULL,213,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336276,2.00,2.00,2.00,4.00,5.00,NULL,1.00,1.00,0.00,103,NULL,NULL,'BOM JESUS','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7336284,0.00,5.00,4.00,6.00,6.00,8.25,4.00,4.00,3.00,654,NULL,NULL,'OPERARIA NOVA','CRICIÚMA','SC',15124,50,NULL,NULL,NULL,NULL,NULL,2,5),(28,7336292,1.00,4.00,3.00,3.00,2.00,NULL,1.00,3.00,3.00,319,NULL,NULL,'ITAGUAÇÚ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336306,0.00,2.00,2.00,7.00,3.00,NULL,2.00,2.00,1.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336314,2.00,5.00,0.00,3.00,3.00,6.75,2.00,2.00,2.00,203,NULL,235,'ITACORUBI','FLORIANÓPOLIS','SC',19927,712,NULL,297,NULL,NULL,NULL,2,1),(28,7336322,0.00,4.00,2.00,6.00,4.00,8.25,2.00,5.00,5.00,339,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',12960,8,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336330,0.00,4.00,1.00,3.00,4.00,NULL,1.00,5.00,0.00,201,NULL,203,'SÃO JOÃO','S MARTINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7336349,3.00,3.00,1.00,1.00,3.00,6.75,1.00,4.00,0.00,308,NULL,NULL,'BAIRRO IPIRANGA','S JOSÉ','SC',20067,98,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336357,0.00,4.00,0.00,1.00,6.00,6.00,2.00,2.00,2.00,340,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7336373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'IPIRANGA','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7336381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7336390,1.00,3.00,2.00,3.00,3.00,6.00,0.00,2.00,2.00,301,NULL,NULL,'VILA NOVA','BLUMENAU','SC',19150,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7336411,4.00,6.00,2.00,5.00,3.00,0.00,3.00,4.00,1.00,213,NULL,216,'GANCHOS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336420,3.00,8.00,4.00,7.00,8.00,12.00,1.00,6.00,0.00,103,NULL,NULL,'BOSQUE','PRES PRUDENTE','SP',4129,1348,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336438,0.00,0.00,1.00,2.00,5.00,NULL,0.00,1.00,1.00,552,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7336454,0.00,4.00,1.00,4.00,5.00,6.75,2.00,2.00,1.00,216,NULL,202,'CENTRO','TUBARÃO','SC',19635,454,NULL,400,NULL,NULL,NULL,2,10),(28,7336462,1.00,0.00,2.00,1.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOA VISTA','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,17),(28,7336470,2.00,7.00,2.00,8.00,2.00,NULL,5.00,4.00,4.00,201,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336497,0.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,1.00,108,NULL,NULL,'VILA CASTELAR','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7336500,4.00,0.00,3.00,3.00,6.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM MARAMBA','BAURU','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7336519,4.00,4.00,1.00,7.00,6.00,6.38,2.00,4.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12585,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'NSA SRA DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7336535,4.00,8.00,3.00,7.00,7.00,6.00,3.00,4.00,5.00,415,NULL,NULL,'JARDIM ABAETÉ','SOROCABA','SP',6329,102,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336543,0.00,6.00,1.00,2.00,6.00,8.25,2.00,3.00,4.00,301,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',18282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336551,0.00,1.00,0.00,2.00,7.00,6.75,1.00,1.00,1.00,301,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',20150,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336560,4.00,9.00,2.00,8.00,7.00,9.75,6.00,7.00,3.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6105,199,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336578,2.00,6.00,0.00,4.00,7.00,7.50,3.00,6.00,4.00,220,NULL,601,'DEHON','TUBARÃO','SC',9539,NULL,NULL,255,NULL,NULL,NULL,4,10),(28,7336594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7336608,0.00,3.00,2.00,1.00,3.00,4.50,1.00,2.00,2.00,213,NULL,233,'CENTRO','MONDAÍ','SC',20159,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7336616,4.00,8.00,2.00,7.00,2.00,NULL,2.00,7.00,6.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336624,2.00,3.00,4.00,4.00,2.00,NULL,1.00,4.00,1.00,203,NULL,220,'ITAJUBA','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7336632,0.00,4.00,2.00,4.00,3.00,6.75,1.00,1.00,2.00,339,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',19890,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336640,0.00,0.00,2.00,1.00,4.00,NULL,0.00,0.00,0.00,653,NULL,655,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(28,7336659,2.00,8.00,3.00,5.00,5.00,7.88,2.00,6.00,5.00,318,NULL,NULL,'CACHOEIRA DO BOM JS','FLORIANÓPOLIS','SC',11744,81,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7336683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,235,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7336691,1.00,6.00,2.00,5.00,4.00,5.25,1.00,2.00,2.00,336,NULL,NULL,'VILA IVETE','MAFRA','SC',19432,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7336705,5.00,5.00,4.00,2.00,3.00,7.88,3.00,3.00,4.00,220,NULL,216,'TRINDADE','FLORIANÓPOLIS','SC',10648,256,NULL,NULL,NULL,NULL,NULL,4,4),(28,7336713,4.00,6.00,5.00,6.00,5.00,9.38,5.00,6.00,3.00,103,NULL,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',4386,1402,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336721,4.00,8.00,4.00,5.00,7.00,7.13,4.00,6.00,4.00,304,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',5315,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336730,5.00,7.00,4.00,5.00,9.00,8.25,6.00,6.00,5.00,207,NULL,216,'CACHOEIRA','FLORIANÓPOLIS','SC',2759,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336748,1.00,5.00,1.00,7.00,6.00,8.63,1.00,4.00,3.00,303,NULL,NULL,'AREIAS','S JOSÉ','SC',16685,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336756,2.00,8.00,3.00,7.00,9.00,9.00,5.00,5.00,4.00,104,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',3842,59,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336764,1.00,4.00,3.00,2.00,4.00,7.13,2.00,4.00,3.00,335,NULL,NULL,'CAEIRA SACO LIMÕES','FLORIANÓPOLIS','SC',19161,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336772,0.00,6.00,1.00,1.00,7.00,7.13,2.00,6.00,1.00,309,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',18647,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BELVEDERE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7336802,6.00,8.00,3.00,5.00,6.00,7.13,2.00,3.00,4.00,216,NULL,214,'CENTRO','BATATAIS','SP',7042,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'COHAB JOÃO DE BARRO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7336829,2.00,8.00,2.00,4.00,7.00,10.50,2.00,5.00,3.00,216,NULL,212,'SANTA CRUZ','CONCÓRDIA','SC',8583,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7336845,0.00,4.00,1.00,5.00,4.00,4.50,2.00,3.00,2.00,552,NULL,NULL,'INTERIOR','CEL FREITAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7336853,0.00,4.00,3.00,6.00,5.00,NULL,3.00,3.00,2.00,225,NULL,NULL,'SANTA TERESA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336888,2.00,2.00,2.00,2.00,0.00,NULL,2.00,3.00,2.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336896,2.00,4.00,3.00,6.00,4.00,8.25,1.00,5.00,3.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',13112,185,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336900,1.00,5.00,3.00,1.00,5.00,9.75,2.00,3.00,2.00,207,NULL,211,'CARIANOS','FLORIANÓPOLIS','SC',18298,777,NULL,421,NULL,NULL,NULL,4,1),(28,7336918,3.00,8.00,5.00,4.00,7.00,8.25,4.00,7.00,3.00,203,NULL,215,'VILA NOVA MANCHESTER','S PAULO','SP',3301,239,NULL,45,NULL,NULL,NULL,4,1),(28,7336926,0.00,0.00,1.00,3.00,1.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'PRAINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336942,1.00,6.00,2.00,6.00,2.00,NULL,1.00,3.00,2.00,110,NULL,NULL,'ITAGUÁ','UBATUBA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336969,4.00,7.00,2.00,7.00,8.00,8.25,1.00,6.00,2.00,102,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',6082,38,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336977,5.00,9.00,3.00,5.00,7.00,12.00,5.00,7.00,3.00,103,NULL,NULL,'KOBRASOL','S JOSÉ','SC',2675,1058,NULL,NULL,NULL,NULL,NULL,4,1),(28,7336985,2.00,6.00,3.00,6.00,6.00,11.25,1.00,4.00,2.00,454,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15213,310,NULL,NULL,NULL,NULL,NULL,2,1),(28,7336993,0.00,4.00,4.00,6.00,7.00,8.63,4.00,5.00,2.00,104,NULL,NULL,'CENTRO','COCAL SUL','SC',9793,236,NULL,NULL,NULL,NULL,NULL,2,5),(28,7337019,1.00,3.00,0.00,6.00,6.00,10.13,5.00,3.00,6.00,999,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337027,1.00,4.00,1.00,6.00,2.00,NULL,2.00,6.00,3.00,309,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337035,0.00,0.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7337043,4.00,5.00,4.00,3.00,4.00,9.00,2.00,4.00,3.00,103,NULL,NULL,'MORRO DA BINA','BIGUAÇU','SC',16186,2411,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337051,7.00,8.00,2.00,6.00,8.00,6.75,3.00,7.00,7.00,103,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',6395,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7337060,4.00,6.00,1.00,6.00,6.00,8.25,2.00,3.00,3.00,103,NULL,NULL,'SANTA ROSA','NITERÓI','RJ',7775,1864,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337078,5.00,7.00,6.00,7.00,3.00,8.25,4.00,7.00,6.00,212,NULL,238,'CENTRO','FLORIANÓPOLIS','SC',5504,180,NULL,46,NULL,NULL,NULL,4,1),(28,7337086,0.00,3.00,2.00,4.00,2.00,NULL,2.00,2.00,4.00,319,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337094,0.00,6.00,3.00,5.00,4.00,7.88,2.00,2.00,2.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337116,2.00,7.00,1.00,4.00,4.00,7.50,2.00,4.00,5.00,201,NULL,601,'ZONA RURAL','MARIÓPOLIS','PR',11244,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7337124,5.00,7.00,4.00,6.00,6.00,4.50,3.00,6.00,5.00,318,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',5589,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7337159,3.00,5.00,2.00,6.00,3.00,7.13,3.00,4.00,1.00,220,NULL,203,'SÃO CRISTÓVÃO','CRICIÚMA','SC',18081,334,NULL,NULL,NULL,NULL,NULL,4,5),(28,7337167,3.00,6.00,1.00,4.00,4.00,8.63,5.00,4.00,3.00,235,NULL,203,'CAPOEIRAS','FLORIANÓPOLIS','SC',16662,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337175,0.00,3.00,0.00,5.00,6.00,6.38,1.00,2.00,3.00,339,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17971,49,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337183,1.00,2.00,1.00,1.00,4.00,4.50,0.00,1.00,3.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337191,1.00,2.00,1.00,7.00,4.00,6.75,3.00,4.00,2.00,104,NULL,NULL,'CENTRO','LAGES','SC',18455,439,NULL,NULL,NULL,NULL,NULL,4,16),(28,7337205,2.00,7.00,4.00,7.00,8.00,9.75,3.00,4.00,2.00,238,NULL,211,'ITACORUBI','FLORIANÓPOLIS','SC',6314,65,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337213,2.00,5.00,3.00,5.00,5.00,7.50,2.00,4.00,4.00,303,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',11573,449,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337221,1.00,4.00,3.00,1.00,3.00,7.50,2.00,3.00,2.00,201,NULL,238,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',19740,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337230,0.00,1.00,0.00,2.00,3.00,3.00,1.00,1.00,2.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7337248,4.00,7.00,3.00,8.00,8.00,9.00,6.00,6.00,6.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2315,966,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337256,0.00,6.00,3.00,5.00,2.00,NULL,1.00,6.00,1.00,335,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337264,2.00,1.00,2.00,3.00,3.00,4.50,0.00,1.00,2.00,303,NULL,NULL,'MORRO DA BINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337299,4.00,6.00,0.00,6.00,9.00,8.63,3.00,5.00,4.00,109,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',10905,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337302,4.00,6.00,3.00,7.00,8.00,7.88,3.00,7.00,2.00,429,NULL,NULL,'BARREIROS','S JOSÉ','SC',11910,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337310,7.00,8.00,6.00,7.00,10.00,9.00,8.00,6.00,8.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',318,238,NULL,NULL,NULL,NULL,NULL,4,22),(28,7337329,4.00,8.00,3.00,7.00,7.00,7.88,4.00,5.00,2.00,551,NULL,NULL,'CENTRO','JOAÇABA','SC',8299,3,NULL,NULL,NULL,NULL,NULL,4,7),(28,7337337,1.00,5.00,4.00,3.00,6.00,6.00,3.00,4.00,3.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7337361,3.00,7.00,2.00,8.00,6.00,11.25,2.00,5.00,3.00,999,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7337388,2.00,5.00,2.00,7.00,5.00,8.25,3.00,4.00,5.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',8472,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337396,3.00,6.00,1.00,5.00,6.00,7.13,3.00,2.00,5.00,220,NULL,235,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',10179,246,NULL,165,NULL,NULL,NULL,2,1),(28,7337400,1.00,2.00,2.00,3.00,6.00,0.00,3.00,2.00,1.00,454,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337418,2.00,3.00,1.00,4.00,7.00,7.13,4.00,6.00,3.00,238,NULL,213,'TRINDADE','FLORIANÓPOLIS','SC',16343,285,NULL,253,NULL,NULL,NULL,4,1),(28,7337426,7.00,8.00,4.00,6.00,7.00,9.00,4.00,4.00,5.00,601,NULL,201,'ATIRADORES','JOINVILLE','SC',1950,18,NULL,NULL,NULL,NULL,NULL,4,8),(28,7337434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7337442,2.00,6.00,2.00,1.00,5.00,8.25,5.00,4.00,3.00,654,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',17600,65,NULL,NULL,NULL,NULL,NULL,4,15),(28,7337450,3.00,8.00,3.00,6.00,8.00,NULL,4.00,7.00,4.00,324,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7337469,0.00,5.00,1.00,2.00,2.00,NULL,1.00,4.00,2.00,340,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7337485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'POCINHO','CAMPINA G SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7337493,0.00,2.00,2.00,1.00,2.00,NULL,1.00,4.00,2.00,425,NULL,429,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MORRO DA ANTENA','TREZE MAIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7337523,7.00,8.00,4.00,6.00,10.00,9.75,4.00,8.00,7.00,103,NULL,NULL,'VILA BANDEIRANTES','CPO GRANDE','MS',501,341,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337531,3.00,3.00,1.00,4.00,5.00,7.13,0.00,4.00,5.00,212,NULL,207,'PALMITAL','PARANAGUÁ','PR',12066,333,NULL,548,NULL,NULL,NULL,4,6),(28,7337558,3.00,4.00,1.00,5.00,3.00,5.25,1.00,3.00,1.00,108,NULL,NULL,'JARDIM BIGUAÇU','BIGUAÇU','SC',19634,257,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337590,2.00,7.00,3.00,4.00,3.00,6.00,2.00,3.00,2.00,317,NULL,NULL,'NOVA ESPERANÇA','BLUMENAU','SC',18356,157,NULL,NULL,NULL,NULL,NULL,4,2),(28,7337612,1.00,5.00,2.00,5.00,4.00,8.63,3.00,3.00,3.00,428,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',18266,64,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337620,1.00,6.00,1.00,2.00,3.00,9.00,1.00,3.00,1.00,454,NULL,NULL,'AEROPORTO','ARACAJU','SE',19667,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','GUARUJÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7337647,2.00,5.00,0.00,4.00,3.00,NULL,1.00,5.00,4.00,108,NULL,NULL,'BIGUAÇU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337655,4.00,6.00,3.00,5.00,4.00,8.25,5.00,5.00,2.00,211,NULL,207,'ARAÇATUBA','IMBITUBA','SC',13398,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337671,0.00,4.00,0.00,3.00,2.00,NULL,3.00,3.00,1.00,308,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337680,4.00,5.00,1.00,8.00,5.00,9.00,3.00,6.00,3.00,454,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',11391,222,NULL,NULL,NULL,NULL,NULL,4,8),(28,7337698,3.00,4.00,0.00,5.00,5.00,6.75,1.00,3.00,3.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',19196,801,NULL,1034,NULL,NULL,NULL,2,1),(28,7337701,3.00,7.00,2.00,5.00,7.00,5.63,2.00,2.00,2.00,3,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',13740,63,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337710,3.00,7.00,4.00,7.00,10.00,12.38,6.00,6.00,7.00,201,NULL,212,'CAMPINAS','S JOSÉ','SC',1501,91,NULL,12,NULL,NULL,NULL,4,1),(28,7337728,0.00,6.00,2.00,6.00,5.00,9.38,3.00,5.00,3.00,340,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',14811,390,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337736,6.00,7.00,2.00,5.00,8.00,9.38,5.00,6.00,3.00,207,NULL,233,'ALVORADA','FRANCISCO BELTRÃO','PR',3568,141,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337744,0.00,7.00,1.00,6.00,6.00,8.25,3.00,5.00,2.00,319,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',10159,187,NULL,NULL,NULL,NULL,NULL,2,27),(28,7337752,5.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7337760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CONSOLACAO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7337779,2.00,6.00,2.00,5.00,4.00,8.63,3.00,6.00,2.00,225,NULL,NULL,'BELA VISTA','PALHOÇA','SC',10683,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337787,1.00,3.00,2.00,5.00,6.00,5.25,3.00,5.00,3.00,336,NULL,NULL,'FLOR DE NÁPOLES','S JOSÉ','SC',15567,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7337795,2.00,6.00,3.00,7.00,7.00,6.38,3.00,8.00,4.00,303,NULL,NULL,'SANTA CATARINA','CRICIÚMA','SC',10896,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7337809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,426,'EMBOABA','TRAMANDAÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7337817,2.00,4.00,1.00,6.00,4.00,6.00,2.00,3.00,2.00,404,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',19170,69,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337825,2.00,6.00,1.00,3.00,6.00,7.13,4.00,5.00,2.00,999,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7337833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7337841,3.00,7.00,3.00,3.00,4.00,6.38,3.00,5.00,3.00,201,NULL,212,'COQUEIROS','FLORIANÓPOLIS','SC',12147,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337850,3.00,4.00,3.00,6.00,5.00,7.13,1.00,4.00,2.00,201,NULL,212,'CENTRO','VÍTOR MEIRELES','SC',13526,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7337876,1.00,0.00,1.00,5.00,2.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ESPLANADA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(28,7337884,1.00,6.00,3.00,7.00,6.00,7.13,3.00,5.00,4.00,238,NULL,220,'ESTREITO','FLORIANÓPOLIS','SC',14451,238,NULL,306,NULL,NULL,NULL,2,1),(28,7337892,1.00,4.00,2.00,5.00,3.00,6.00,3.00,6.00,5.00,103,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',10431,2101,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337906,3.00,8.00,1.00,6.00,5.00,7.88,5.00,8.00,4.00,207,NULL,233,'IPIRANGA','S JOSÉ','SC',7150,335,NULL,177,NULL,NULL,NULL,2,1),(28,7337914,3.00,4.00,1.00,6.00,2.00,NULL,0.00,5.00,2.00,223,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337922,1.00,0.00,1.00,4.00,2.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'SÃO CRISTÓVÃO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,26),(28,7337930,2.00,5.00,1.00,3.00,4.00,6.38,2.00,7.00,3.00,203,NULL,216,'ZONA DOIS','UMUARAMA','PR',14535,632,NULL,391,NULL,NULL,NULL,4,1),(28,7337949,4.00,8.00,2.00,6.00,7.00,10.13,2.00,5.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4373,1399,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337957,1.00,6.00,0.00,6.00,2.00,NULL,1.00,2.00,4.00,320,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7337965,2.00,5.00,2.00,2.00,5.00,NULL,0.00,5.00,3.00,101,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7337973,1.00,6.00,2.00,6.00,3.00,8.63,1.00,5.00,3.00,104,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11774,292,NULL,NULL,NULL,NULL,NULL,2,3),(28,7337981,1.00,5.00,2.00,6.00,5.00,7.88,2.00,4.00,3.00,444,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',12801,51,NULL,NULL,NULL,NULL,NULL,2,1),(28,7337990,3.00,5.00,4.00,7.00,6.00,9.75,6.00,7.00,4.00,202,NULL,220,'CENTRO','BAL CAMBORIÚ','SC',6200,171,NULL,NULL,NULL,NULL,NULL,2,3),(28,7338007,1.00,4.00,1.00,5.00,2.00,NULL,3.00,3.00,1.00,309,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7338015,0.00,6.00,1.00,5.00,4.00,NULL,2.00,3.00,2.00,102,NULL,NULL,'LOT VALDIR MARIOTTI','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338023,3.00,6.00,4.00,7.00,5.00,6.75,3.00,5.00,5.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6915,64,NULL,NULL,NULL,NULL,NULL,2,1),(28,7338040,4.00,8.00,1.00,4.00,6.00,10.13,1.00,6.00,3.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',13553,90,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338058,1.00,4.00,4.00,5.00,4.00,7.13,4.00,1.00,2.00,109,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',18171,82,NULL,NULL,NULL,NULL,NULL,2,1),(28,7338066,4.00,8.00,3.00,7.00,6.00,8.63,4.00,6.00,4.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8018,139,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338074,1.00,6.00,2.00,6.00,5.00,7.88,3.00,3.00,3.00,103,NULL,NULL,'MONTE VERDE','MRO FUMAÇA','SC',12057,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7338082,2.00,7.00,2.00,6.00,4.00,7.50,4.00,5.00,3.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8874,165,NULL,NULL,NULL,NULL,NULL,2,1),(28,7338090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,653,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7338104,2.00,3.00,2.00,2.00,2.00,NULL,2.00,4.00,2.00,302,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338112,2.00,5.00,2.00,4.00,5.00,6.38,3.00,5.00,3.00,207,NULL,655,'CAMPO DE FORA','LAGUNA','SC',12831,578,NULL,NULL,NULL,NULL,NULL,2,10),(28,7338120,1.00,6.00,1.00,7.00,7.00,9.75,2.00,6.00,3.00,110,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',8538,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7338139,4.00,7.00,1.00,6.00,8.00,7.88,3.00,7.00,4.00,310,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11111,26,NULL,NULL,NULL,NULL,NULL,4,6),(28,7338155,1.00,1.00,2.00,4.00,3.00,3.00,2.00,2.00,2.00,999,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7338163,4.00,7.00,0.00,7.00,5.00,12.38,3.00,4.00,1.00,101,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',13701,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(28,7338171,2.00,5.00,3.00,2.00,6.00,4.88,2.00,5.00,2.00,454,NULL,NULL,'BARRA DO RIO MOLHA','JARAGUÁ SUL','SC',18510,377,NULL,NULL,NULL,NULL,NULL,4,23),(28,7338201,1.00,1.00,2.00,2.00,4.00,5.25,2.00,3.00,2.00,234,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338210,2.00,2.00,2.00,2.00,2.00,NULL,2.00,3.00,1.00,316,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7338228,0.00,1.00,0.00,0.00,0.00,NULL,1.00,3.00,0.00,999,NULL,NULL,'NOSSA SEN DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338236,1.00,3.00,2.00,2.00,4.00,6.00,1.00,1.00,3.00,655,NULL,601,'ESPIGAÃO DA PEDRA','ARARANGUÁ','SC',20077,148,NULL,561,NULL,NULL,NULL,2,5),(28,7338244,0.00,5.00,4.00,5.00,5.00,6.75,4.00,4.00,2.00,207,NULL,NULL,'PARQUE DAS PALMEIRAS','CHAPECÓ','SC',16795,726,NULL,NULL,NULL,NULL,NULL,4,4),(28,7338252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7338260,0.00,5.00,0.00,5.00,8.00,NULL,0.00,3.00,2.00,415,NULL,NULL,'JARDIM AMÉRICA','PIRAJUÍ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338295,3.00,7.00,2.00,6.00,5.00,NULL,0.00,6.00,2.00,304,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7338309,1.00,4.00,1.00,6.00,6.00,7.13,4.00,5.00,4.00,212,NULL,215,'CENTRO','MRO FUMAÇA','SC',8848,268,NULL,155,NULL,NULL,NULL,2,5),(28,7338325,0.00,0.00,4.00,1.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SÃO SIMÃO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(28,7338333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CARAVAGGIO','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7338341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7338350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,601,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7338368,1.00,7.00,2.00,5.00,5.00,10.50,0.00,3.00,3.00,654,NULL,NULL,'ESPÍRITO SANTO','PTO ALEGRE','RS',9926,13,NULL,NULL,NULL,NULL,NULL,2,1),(28,7338384,1.00,3.00,2.00,7.00,3.00,NULL,0.00,3.00,2.00,425,NULL,429,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338392,5.00,5.00,3.00,5.00,8.00,8.25,3.00,5.00,3.00,333,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',11530,65,NULL,NULL,NULL,NULL,NULL,2,1),(28,7338406,0.00,4.00,1.00,4.00,3.00,6.75,1.00,2.00,2.00,999,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7338414,2.00,5.00,3.00,2.00,7.00,8.25,2.00,5.00,3.00,999,NULL,NULL,'CENTRO','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338422,0.00,5.00,1.00,0.00,1.00,NULL,1.00,2.00,2.00,234,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7338449,4.00,5.00,3.00,5.00,6.00,7.50,4.00,3.00,2.00,444,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',11597,41,NULL,NULL,NULL,NULL,NULL,2,1),(28,7338481,1.00,8.00,3.00,6.00,6.00,10.13,1.00,4.00,6.00,215,NULL,601,'USINA','ANTÔNIO CARLOS','SC',7783,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7338503,2.00,5.00,2.00,5.00,3.00,4.88,0.00,3.00,3.00,304,NULL,NULL,'SÃO MARTINHO','TUBARÃO','SC',19205,126,NULL,NULL,NULL,NULL,NULL,2,10),(28,7338511,1.00,3.00,3.00,5.00,4.00,4.50,1.00,4.00,0.00,207,NULL,216,'PRAÇA','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7338520,1.00,5.00,4.00,4.00,5.00,7.50,1.00,6.00,3.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338538,1.00,5.00,1.00,4.00,5.00,6.00,1.00,3.00,0.00,223,NULL,NULL,'SANTA TEREZA','VIDEIRA','SC',19881,52,NULL,NULL,NULL,NULL,NULL,2,7),(28,7338546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LINDÓIA SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,26),(28,7338554,0.00,4.00,3.00,4.00,6.00,5.63,1.00,3.00,2.00,5,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',19625,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338562,5.00,8.00,2.00,7.00,10.00,10.88,6.00,7.00,5.00,319,NULL,NULL,'VILA ALEMÃ','RIO CLARO','SP',2530,31,NULL,NULL,NULL,NULL,NULL,2,1),(28,7338570,2.00,6.00,1.00,3.00,3.00,5.63,4.00,2.00,2.00,203,NULL,214,'CENTRO','S JOÃO BATISTA','SC',15498,651,NULL,327,NULL,NULL,NULL,4,22),(28,7338589,0.00,5.00,3.00,5.00,6.00,7.13,3.00,4.00,2.00,102,NULL,NULL,'ESQUINA','URUBICI','SC',12670,118,NULL,NULL,NULL,NULL,NULL,2,1),(28,7338597,1.00,2.00,4.00,1.00,3.00,4.88,1.00,2.00,2.00,652,NULL,655,'PARQUE ALVORADA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7338600,2.00,5.00,2.00,2.00,4.00,6.00,3.00,3.00,0.00,103,NULL,NULL,'CENTRO','STA TEREZINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7338619,3.00,4.00,2.00,6.00,2.00,NULL,0.00,3.00,2.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338627,1.00,5.00,4.00,5.00,9.00,7.50,3.00,6.00,6.00,103,NULL,NULL,'MARTORANO','S JOAQUIM','SC',7909,1891,NULL,NULL,NULL,NULL,NULL,2,9),(28,7338643,0.00,5.00,2.00,6.00,4.00,4.88,2.00,2.00,0.00,332,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7338651,1.00,0.00,1.00,1.00,3.00,2.25,1.00,2.00,2.00,444,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338660,0.00,5.00,1.00,3.00,3.00,7.50,3.00,3.00,2.00,653,NULL,211,'PRAINHA','CARAGUATATUBA','SP',16801,181,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338678,2.00,6.00,1.00,2.00,4.00,6.75,2.00,4.00,4.00,203,NULL,214,'RIODO CEDRO','ÁGUAS MORNAS','SC',14186,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338686,3.00,5.00,4.00,7.00,8.00,11.63,2.00,6.00,4.00,444,NULL,NULL,'PERDIZES','S PAULO','SP',7842,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338694,2.00,1.00,2.00,3.00,4.00,6.00,1.00,2.00,1.00,208,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',19019,210,NULL,NULL,NULL,NULL,NULL,2,1),(28,7338708,6.00,7.00,3.00,5.00,9.00,9.38,5.00,6.00,6.00,211,NULL,215,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',1843,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338724,1.00,4.00,2.00,1.00,5.00,6.38,2.00,4.00,3.00,208,NULL,NULL,'CESARINO BORBA','IRACEMÁPOLIS','SP',14282,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338732,0.00,5.00,4.00,6.00,5.00,9.75,1.00,5.00,2.00,9,NULL,NULL,'ESTEVÃO CARRARO','ERECHIM','RS',11260,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7338740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NEVA','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7338775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7338783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STO INÁCIO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7338791,0.00,2.00,2.00,6.00,4.00,6.00,3.00,6.00,5.00,208,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18429,205,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338821,2.00,5.00,2.00,4.00,3.00,10.13,0.00,5.00,4.00,303,NULL,NULL,'SOTECO','VL VELHA','ES',11741,453,NULL,NULL,NULL,NULL,NULL,2,1),(28,7338830,4.00,6.00,1.00,6.00,7.00,7.13,2.00,5.00,3.00,207,NULL,201,'HUMAITÁ','TUBARÃO','SC',9867,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7338848,3.00,5.00,1.00,6.00,8.00,6.38,2.00,6.00,1.00,202,NULL,653,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',12791,311,NULL,138,NULL,NULL,NULL,2,1),(28,7338856,1.00,7.00,2.00,4.00,4.00,7.13,1.00,4.00,0.00,104,NULL,NULL,'MORRO ESTEVÃO','CRICIÚMA','SC',18504,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7338864,0.00,6.00,0.00,1.00,2.00,NULL,2.00,4.00,1.00,224,NULL,NULL,'CIDADE ALTA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7338872,2.00,6.00,1.00,3.00,3.00,5.25,3.00,5.00,2.00,104,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',19242,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338880,6.00,8.00,2.00,6.00,7.00,9.75,2.00,6.00,7.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',2380,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7338899,3.00,7.00,2.00,6.00,4.00,6.75,2.00,7.00,2.00,318,NULL,NULL,'CENTRO','TOLEDO','PR',8653,51,NULL,NULL,NULL,NULL,NULL,5,27),(28,7338902,2.00,2.00,2.00,2.00,2.00,NULL,3.00,3.00,5.00,102,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7338910,1.00,4.00,2.00,2.00,5.00,7.88,2.00,5.00,1.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',14712,99,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338929,3.00,3.00,0.00,6.00,6.00,7.50,3.00,2.00,3.00,207,NULL,201,'JARDIM PANORAMA','FOZ IGUAÇU','PR',18473,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7338937,3.00,3.00,2.00,5.00,5.00,8.63,3.00,4.00,3.00,308,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',12049,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338953,1.00,6.00,1.00,5.00,1.00,NULL,0.00,3.00,2.00,234,NULL,NULL,'CAIERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7338970,3.00,3.00,1.00,2.00,3.00,6.75,2.00,4.00,3.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19639,258,NULL,NULL,NULL,NULL,NULL,4,1),(28,7338988,2.00,3.00,1.00,2.00,4.00,7.50,0.00,4.00,3.00,444,NULL,NULL,'CENTRO','ITAJAÍ','SC',17359,112,NULL,NULL,NULL,NULL,NULL,4,6),(28,7338996,4.00,7.00,1.00,7.00,5.00,7.50,4.00,6.00,5.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339003,1.00,3.00,2.00,3.00,7.00,6.75,2.00,2.00,2.00,211,NULL,215,'ITACORUBI','FLORIANÓPOLIS','SC',19543,430,NULL,301,NULL,NULL,NULL,4,1),(28,7339011,2.00,6.00,2.00,6.00,8.00,8.25,3.00,5.00,4.00,654,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',8863,10,NULL,NULL,NULL,NULL,NULL,2,1),(28,7339020,0.00,4.00,1.00,5.00,6.00,5.63,1.00,4.00,1.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',19582,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7339038,2.00,2.00,2.00,3.00,4.00,5.63,3.00,3.00,2.00,208,NULL,NULL,'JARDIM DOS LÍRIOS','MARÍLIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339046,2.00,6.00,2.00,7.00,7.00,6.75,4.00,6.00,2.00,211,NULL,238,'ESTREITO','FLORIANÓPOLIS','SC',13735,345,NULL,229,NULL,NULL,NULL,4,1),(28,7339062,3.00,3.00,3.00,7.00,5.00,7.88,2.00,4.00,1.00,212,NULL,207,'SANTA ISABEL','ÁGUAS MORNAS','SC',12745,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7339070,0.00,3.00,1.00,2.00,3.00,NULL,1.00,4.00,2.00,999,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7339089,2.00,5.00,1.00,6.00,8.00,7.13,1.00,5.00,3.00,317,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',10165,37,NULL,NULL,NULL,NULL,NULL,4,5),(28,7339097,2.00,5.00,2.00,6.00,7.00,8.25,1.00,5.00,4.00,103,NULL,NULL,'OPERARIA NOVA','CRICIÚMA','SC',15531,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7339100,5.00,7.00,2.00,8.00,7.00,4.88,3.00,8.00,3.00,450,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',9699,76,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CENTRO','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,27),(28,7339127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NEVA','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7339135,1.00,5.00,1.00,4.00,3.00,5.63,1.00,7.00,4.00,207,NULL,201,'JARDIM AMERICA','ASSIS CHATEAUBRIAND','PR',14982,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7339143,0.00,4.00,3.00,6.00,6.00,7.13,2.00,6.00,1.00,201,NULL,NULL,'AREIAS','CAMBORIÚ','SC',17660,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7339151,4.00,4.00,2.00,7.00,6.00,7.50,3.00,4.00,4.00,202,NULL,203,'JARDIM MARAJÁ','MARÍLIA','SP',8862,232,NULL,NULL,NULL,NULL,NULL,4,8),(28,7339160,0.00,5.00,2.00,3.00,4.00,6.75,4.00,3.00,2.00,999,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339178,1.00,2.00,3.00,6.00,2.00,NULL,1.00,3.00,3.00,5,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7339186,1.00,7.00,3.00,2.00,8.00,9.00,6.00,5.00,0.00,340,NULL,NULL,'BOA PARADA','S PEDRO ALCÂNTARA','SC',10235,285,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339194,0.00,4.00,1.00,6.00,6.00,9.00,0.00,3.00,2.00,601,NULL,201,'BOA VISTA','JOINVILLE','SC',15945,471,NULL,NULL,NULL,NULL,NULL,2,8),(28,7339208,4.00,6.00,3.00,6.00,6.00,9.00,4.00,6.00,6.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',3970,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339216,2.00,4.00,2.00,7.00,6.00,3.00,3.00,6.00,3.00,103,NULL,NULL,'CENTRO','IMARUÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7339224,5.00,6.00,4.00,8.00,6.00,8.63,2.00,5.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9720,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339232,3.00,8.00,2.00,6.00,5.00,6.75,1.00,7.00,2.00,503,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',15080,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339240,0.00,3.00,2.00,1.00,6.00,5.25,2.00,1.00,2.00,318,NULL,NULL,'ENCANTADA','GAROPABA','SC',20121,146,NULL,NULL,NULL,NULL,NULL,4,10),(28,7339267,1.00,6.00,1.00,7.00,5.00,8.63,3.00,6.00,2.00,999,NULL,NULL,'NOVA BRASÍLIA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7339275,0.00,3.00,1.00,5.00,1.00,NULL,1.00,3.00,2.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,652,'BETEL','PAULÍNIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7339305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7339313,3.00,5.00,1.00,7.00,5.00,7.50,5.00,6.00,3.00,208,NULL,NULL,'MARAPÉ','SANTOS','SP',6717,55,NULL,NULL,NULL,NULL,NULL,4,8),(28,7339321,3.00,5.00,2.00,6.00,7.00,10.50,2.00,4.00,4.00,999,NULL,NULL,'VILA ESTRELA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7339330,2.00,5.00,1.00,2.00,6.00,6.75,1.00,2.00,2.00,203,NULL,214,'IPIRANGA','S JOSÉ','SC',16198,661,NULL,332,NULL,NULL,NULL,4,1),(28,7339364,2.00,3.00,2.00,5.00,3.00,6.00,1.00,5.00,0.00,202,NULL,203,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7339372,7.00,8.00,6.00,6.00,7.00,9.38,5.00,4.00,6.00,103,NULL,NULL,'PARQUE SÃO VICENTE','MAUÁ','SP',1130,612,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339380,2.00,0.00,2.00,0.00,2.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7339399,5.00,2.00,2.00,6.00,9.00,4.88,0.00,3.00,1.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',12040,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339402,4.00,5.00,2.00,5.00,4.00,7.50,1.00,5.00,1.00,303,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',12125,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339410,2.00,7.00,3.00,7.00,7.00,9.75,3.00,7.00,4.00,303,NULL,NULL,'MAR GROSSO','LAGUNA','SC',4665,215,NULL,NULL,NULL,NULL,NULL,2,10),(28,7339429,1.00,5.00,3.00,4.00,3.00,9.00,0.00,6.00,1.00,238,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',18748,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339437,3.00,4.00,2.00,6.00,6.00,9.00,2.00,2.00,3.00,999,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7339445,1.00,5.00,3.00,4.00,6.00,6.38,2.00,5.00,3.00,201,NULL,207,'CENTRO','JARAGUÁ SUL','SC',13726,855,NULL,613,NULL,NULL,NULL,4,23),(28,7339453,0.00,4.00,4.00,4.00,5.00,NULL,1.00,2.00,2.00,201,NULL,212,'SANTOS SARAIVA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7339461,1.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7339470,3.00,7.00,3.00,7.00,6.00,10.13,3.00,6.00,4.00,220,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',10274,249,NULL,181,NULL,NULL,NULL,4,1),(28,7339488,1.00,4.00,0.00,4.00,3.00,6.75,0.00,4.00,1.00,999,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7339496,4.00,8.00,3.00,6.00,3.00,7.50,0.00,3.00,2.00,110,NULL,NULL,'PINHEIRA','PALHOÇA','SC',17405,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7339500,1.00,2.00,2.00,2.00,4.00,6.38,2.00,2.00,3.00,655,NULL,652,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7339518,0.00,2.00,1.00,3.00,3.00,5.25,2.00,2.00,2.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7339526,1.00,4.00,1.00,6.00,7.00,NULL,0.00,3.00,3.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7339534,0.00,7.00,4.00,4.00,6.00,7.50,3.00,2.00,3.00,222,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16095,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339542,0.00,4.00,0.00,4.00,4.00,6.75,1.00,2.00,4.00,207,NULL,201,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7339550,1.00,5.00,0.00,4.00,1.00,NULL,4.00,4.00,2.00,316,NULL,NULL,'NOSSA SEN DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339569,1.00,1.00,1.00,4.00,4.00,6.38,0.00,4.00,2.00,220,NULL,202,'CORREGO GRANDE','FLORIANÓPOLIS','SC',19952,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339577,1.00,5.00,2.00,6.00,5.00,8.25,3.00,5.00,2.00,655,NULL,202,'CENTRO','CANOINHAS','SC',11511,62,NULL,289,NULL,NULL,NULL,4,17),(28,7339593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,652,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7339607,0.00,7.00,1.00,5.00,5.00,NULL,5.00,6.00,3.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7339615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7339631,0.00,5.00,2.00,7.00,4.00,8.25,3.00,4.00,2.00,317,NULL,NULL,'TESTO SALTO','BLUMENAU','SC',17900,149,NULL,NULL,NULL,NULL,NULL,2,2),(28,7339640,2.00,3.00,4.00,3.00,4.00,7.88,2.00,4.00,2.00,207,NULL,201,'CENTENÁRIO','LAGES','SC',18324,779,NULL,1005,NULL,NULL,NULL,4,9),(28,7339658,2.00,5.00,3.00,2.00,2.00,NULL,2.00,5.00,4.00,238,NULL,201,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7339666,3.00,6.00,4.00,5.00,7.00,8.25,3.00,6.00,4.00,207,NULL,201,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',6887,321,NULL,520,NULL,NULL,NULL,2,1),(28,7339682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,207,'LAGOINHA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7339712,1.00,5.00,0.00,4.00,6.00,NULL,0.00,5.00,2.00,320,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339720,4.00,5.00,1.00,6.00,6.00,0.00,2.00,4.00,2.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7339747,0.00,4.00,1.00,2.00,2.00,NULL,3.00,7.00,3.00,654,NULL,NULL,'DIVINÉIA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7339755,3.00,6.00,2.00,5.00,7.00,7.88,4.00,5.00,4.00,316,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',12074,129,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339771,0.00,2.00,0.00,2.00,5.00,7.13,2.00,4.00,2.00,211,NULL,NULL,'IGARAS','OTACÍLIO COSTA','SC',19909,432,NULL,NULL,NULL,NULL,NULL,4,9),(28,7339780,2.00,3.00,1.00,6.00,4.00,NULL,4.00,6.00,6.00,552,NULL,NULL,'CINQUENTENARIO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,26),(28,7339798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7339801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'FATIMA','COLOMBO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7339810,2.00,5.00,2.00,5.00,6.00,9.00,1.00,5.00,3.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',8563,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339828,3.00,4.00,5.00,4.00,6.00,4.88,4.00,4.00,2.00,415,NULL,NULL,'BARREIROS','S JOSÉ','SC',16952,253,NULL,NULL,NULL,NULL,NULL,2,1),(28,7339836,1.00,5.00,1.00,5.00,7.00,10.13,3.00,6.00,3.00,108,NULL,NULL,'BUCAREIN','JOINVILLE','SC',14489,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7339844,5.00,7.00,3.00,7.00,9.00,10.50,5.00,7.00,5.00,203,NULL,233,'CAMPINAS','S JOSÉ','SC',1678,151,NULL,26,NULL,NULL,NULL,4,1),(28,7339852,0.00,5.00,3.00,3.00,4.00,7.13,3.00,5.00,2.00,110,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',15150,72,NULL,NULL,NULL,NULL,NULL,2,1),(28,7339860,1.00,5.00,3.00,7.00,6.00,8.25,2.00,6.00,2.00,423,NULL,426,'CANASVIEIRAS','FLORIANÓPOLIS','SC',13856,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7339879,2.00,6.00,1.00,1.00,5.00,7.50,4.00,4.00,3.00,653,NULL,216,'SANGA DA TOCA','ARARANGUÁ','SC',15468,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7339895,0.00,7.00,3.00,7.00,6.00,7.13,2.00,4.00,1.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339909,1.00,9.00,2.00,6.00,8.00,7.50,5.00,5.00,4.00,999,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7339917,1.00,3.00,3.00,2.00,5.00,7.50,2.00,3.00,3.00,234,NULL,NULL,'PETROPOLIS','BLUMENAU','SC',19332,62,NULL,NULL,NULL,NULL,NULL,4,2),(28,7339925,8.00,8.00,6.00,5.00,9.00,9.75,7.00,8.00,6.00,103,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',246,189,NULL,NULL,NULL,NULL,NULL,4,4),(28,7339933,6.00,9.00,5.00,6.00,6.00,7.13,4.00,6.00,7.00,214,NULL,213,'QUINTA DA BOA VISTA','JUNDIAÍ','SP',1257,33,NULL,2,NULL,NULL,NULL,4,1),(28,7339941,2.00,6.00,3.00,7.00,8.00,8.63,3.00,6.00,5.00,340,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',4259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7339950,0.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'GUARUJA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,9),(28,7339968,2.00,6.00,2.00,7.00,8.00,7.88,3.00,6.00,3.00,211,NULL,601,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',9071,244,NULL,238,NULL,NULL,NULL,4,1),(28,7339976,2.00,4.00,3.00,4.00,6.00,9.75,3.00,5.00,6.00,203,NULL,220,'JARDIM PRIMAVERAS','SINOP','MT',7191,435,NULL,193,NULL,NULL,NULL,4,7),(28,7339992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'MONTE CASTELO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7340001,2.00,3.00,2.00,4.00,3.00,5.63,1.00,3.00,2.00,110,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',17346,89,NULL,NULL,NULL,NULL,NULL,2,8),(28,7340010,2.00,4.00,1.00,6.00,6.00,7.88,2.00,2.00,3.00,207,NULL,215,'CENTRO DE PALHOÇA','PALHOÇA','SC',18109,767,NULL,NULL,NULL,NULL,NULL,2,1),(28,7340028,5.00,7.00,2.00,7.00,8.00,10.13,2.00,4.00,6.00,104,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',4786,85,NULL,NULL,NULL,NULL,NULL,2,1),(28,7340036,1.00,5.00,4.00,5.00,7.00,7.88,4.00,3.00,2.00,340,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',11291,316,NULL,NULL,NULL,NULL,NULL,1,1),(28,7340044,0.00,1.00,2.00,3.00,3.00,4.50,1.00,2.00,1.00,104,NULL,NULL,'SÃO CRISTOVÃO','TRÊS BARRAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7340052,2.00,5.00,3.00,6.00,6.00,8.25,3.00,6.00,3.00,454,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14209,287,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340060,1.00,6.00,0.00,5.00,5.00,NULL,0.00,5.00,1.00,999,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340079,1.00,4.00,0.00,1.00,2.00,NULL,2.00,3.00,2.00,501,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7340087,6.00,6.00,4.00,5.00,6.00,6.38,5.00,7.00,6.00,103,NULL,NULL,'AEROPORTO','GOIÂNIA','GO',2733,1069,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340095,0.00,2.00,2.00,4.00,4.00,6.38,0.00,2.00,1.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7340109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'MORADA DO SOL','PRES FIGUEIREDO','AM',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7340117,0.00,7.00,1.00,4.00,3.00,7.13,0.00,4.00,3.00,201,NULL,207,'JARDIM APRAZIVEL','PR GRANDE','SP',16120,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340125,2.00,4.00,1.00,5.00,6.00,8.63,2.00,4.00,3.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',10561,312,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340133,5.00,7.00,1.00,5.00,7.00,7.88,4.00,4.00,4.00,212,NULL,201,'RIO TAVARES','FLORIANÓPOLIS','SC',7737,235,NULL,563,NULL,NULL,NULL,2,1),(28,7340141,0.00,4.00,3.00,6.00,2.00,NULL,1.00,5.00,2.00,340,NULL,NULL,'SAO JOSE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340150,4.00,5.00,3.00,7.00,6.00,9.00,4.00,5.00,4.00,301,NULL,NULL,'CAPITAIS','TIMBÓ','SC',6300,53,NULL,NULL,NULL,NULL,NULL,4,2),(28,7340168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','S MATEUS SUL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7340176,3.00,6.00,0.00,6.00,6.00,0.00,2.00,3.00,2.00,450,NULL,NULL,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7340184,4.00,7.00,4.00,7.00,8.00,9.38,4.00,5.00,4.00,454,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',3554,34,NULL,NULL,NULL,NULL,NULL,2,1),(28,7340192,1.00,8.00,2.00,3.00,6.00,10.13,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','PARAÍSO','SC',5530,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7340206,0.00,5.00,0.00,0.00,0.00,NULL,5.00,3.00,2.00,454,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7340214,1.00,5.00,5.00,7.00,6.00,9.00,2.00,4.00,2.00,211,NULL,233,'CENTRO','SUMARÉ','SP',9026,242,NULL,217,NULL,NULL,NULL,4,1),(28,7340222,0.00,2.00,0.00,6.00,2.00,NULL,1.00,2.00,1.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7340249,1.00,7.00,1.00,6.00,4.00,8.63,2.00,7.00,3.00,324,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',15069,12,NULL,NULL,NULL,NULL,NULL,2,1),(28,7340257,1.00,5.00,1.00,3.00,5.00,8.25,3.00,3.00,1.00,2,NULL,NULL,'RIBEIRÃO DOS LOBOS','TAIÓ','SC',19091,56,NULL,NULL,NULL,NULL,NULL,4,24),(28,7340265,2.00,6.00,1.00,6.00,6.00,5.25,1.00,5.00,2.00,9,NULL,NULL,'CENTRO','JOAÇABA','SC',14019,100,NULL,NULL,NULL,NULL,NULL,2,7),(28,7340273,4.00,5.00,2.00,7.00,8.00,9.38,2.00,3.00,3.00,340,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',11558,320,NULL,NULL,NULL,NULL,NULL,4,10),(28,7340290,1.00,4.00,2.00,4.00,3.00,7.13,3.00,3.00,4.00,5,NULL,NULL,'JOSÉ BONIFÁCIO','ERECHIM','RS',13872,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7340303,0.00,0.00,2.00,4.00,4.00,NULL,1.00,2.00,2.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7340311,0.00,3.00,2.00,4.00,4.00,8.25,4.00,4.00,2.00,102,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',18796,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7340320,1.00,6.00,2.00,4.00,3.00,6.75,3.00,6.00,1.00,211,NULL,238,'RATONES','FLORIANÓPOLIS','SC',18538,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340338,1.00,5.00,1.00,6.00,2.00,NULL,2.00,5.00,2.00,654,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7340346,3.00,5.00,2.00,5.00,7.00,9.75,1.00,5.00,5.00,207,NULL,211,'FARROUPILHA','PTO ALEGRE','RS',7441,342,NULL,208,NULL,NULL,NULL,2,1),(28,7340354,1.00,4.00,3.00,3.00,5.00,8.25,0.00,5.00,1.00,108,NULL,NULL,'JARDIM PAULISTANO','SOROCABA','SP',15947,217,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340362,5.00,6.00,4.00,6.00,6.00,9.38,5.00,7.00,5.00,425,NULL,429,'CARIANOS','FLORIANÓPOLIS','SC',5226,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340389,1.00,4.00,0.00,3.00,5.00,5.63,1.00,3.00,3.00,301,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',19832,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340397,1.00,2.00,0.00,1.00,1.00,NULL,1.00,3.00,2.00,302,NULL,NULL,'VILA NOVA','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7340400,0.00,5.00,1.00,4.00,4.00,NULL,4.00,4.00,2.00,601,NULL,202,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7340419,0.00,3.00,1.00,4.00,3.00,NULL,3.00,2.00,1.00,999,NULL,NULL,'CENTRO','SANTIAGO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7340427,2.00,7.00,1.00,6.00,5.00,6.38,3.00,4.00,2.00,601,NULL,207,'COSTA E SILVA','JOINVILLE','SC',14580,437,NULL,NULL,NULL,NULL,NULL,4,8),(28,7340435,3.00,4.00,3.00,5.00,6.00,6.75,2.00,3.00,4.00,301,NULL,NULL,'ARNE TREZE','PALMAS','TO',12009,162,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340443,2.00,6.00,0.00,6.00,9.00,8.63,3.00,4.00,3.00,302,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',9086,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340451,1.00,8.00,5.00,4.00,4.00,8.25,2.00,4.00,2.00,329,NULL,NULL,'JARDIM BELA SUIÇA','LONDRINA','PR',16796,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'DORES','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7340478,3.00,6.00,1.00,4.00,6.00,6.75,2.00,4.00,5.00,104,NULL,NULL,'CENTRO','ITUPORANGA','SC',12117,299,NULL,NULL,NULL,NULL,NULL,4,24),(28,7340486,0.00,2.00,1.00,3.00,6.00,NULL,1.00,3.00,3.00,303,NULL,NULL,'BAIXADA INDUSTRIAL','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7340494,0.00,4.00,2.00,3.00,6.00,6.38,1.00,3.00,1.00,404,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',19661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340508,2.00,5.00,3.00,6.00,6.00,9.00,2.00,3.00,2.00,5,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',11903,340,NULL,NULL,NULL,NULL,NULL,2,1),(28,7340516,4.00,5.00,2.00,7.00,8.00,7.13,6.00,5.00,3.00,202,NULL,601,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',6137,167,NULL,122,NULL,NULL,NULL,4,23),(28,7340524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7340532,6.00,6.00,3.00,6.00,4.00,9.38,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','FORMOSA OESTE','PR',6501,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7340540,0.00,2.00,2.00,4.00,5.00,7.50,2.00,2.00,1.00,999,NULL,NULL,'FLORESTA','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7340559,2.00,5.00,2.00,4.00,7.00,10.88,2.00,4.00,5.00,337,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13749,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,215,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7340575,0.00,5.00,0.00,5.00,4.00,NULL,2.00,3.00,1.00,103,NULL,NULL,'CAROBA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7340605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MARIAPOLIS GINETTA','VARGEM G PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7340613,1.00,6.00,3.00,5.00,4.00,9.00,2.00,7.00,2.00,238,NULL,NULL,'IPIRANGA','S JOSÉ','SC',15525,256,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340621,2.00,6.00,2.00,7.00,6.00,7.13,2.00,4.00,2.00,999,NULL,NULL,'BELA VISTA','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7340630,0.00,3.00,2.00,1.00,3.00,3.00,1.00,1.00,0.00,101,NULL,NULL,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7340648,0.00,3.00,2.00,5.00,5.00,7.88,3.00,2.00,1.00,220,NULL,653,'CENTRO','S MATEUS SUL','PR',15934,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7340656,2.00,7.00,4.00,5.00,4.00,6.75,5.00,5.00,1.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14970,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7340664,2.00,6.00,1.00,4.00,6.00,9.38,4.00,6.00,5.00,220,NULL,202,'CAJURU','CURITIBA','PR',7613,203,NULL,205,NULL,NULL,NULL,4,8),(28,7340672,2.00,7.00,1.00,7.00,3.00,8.63,1.00,5.00,2.00,103,NULL,NULL,'PAE CARA','GUARUJÁ','SP',17309,2448,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340680,4.00,5.00,1.00,5.00,4.00,6.75,1.00,4.00,3.00,340,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',14174,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340699,5.00,6.00,3.00,6.00,7.00,6.38,5.00,7.00,4.00,207,NULL,203,'BETEL','PAULÍNIA','SP',8109,373,NULL,480,NULL,NULL,NULL,4,1),(28,7340710,1.00,2.00,1.00,7.00,4.00,6.38,2.00,2.00,1.00,234,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',19766,67,NULL,NULL,NULL,NULL,NULL,2,1),(28,7340737,3.00,6.00,0.00,7.00,6.00,6.00,1.00,5.00,1.00,201,NULL,207,'CENTRO','BAL CAMBORIÚ','SC',12830,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7340753,1.00,4.00,4.00,4.00,3.00,7.13,2.00,3.00,2.00,552,NULL,NULL,'UNIVERSITÁRIO','LAGES','SC',16447,121,NULL,NULL,NULL,NULL,NULL,2,9),(28,7340761,6.00,7.00,0.00,5.00,7.00,8.63,2.00,6.00,5.00,201,NULL,NULL,'NOVA BRASÍLIA','JARAGUÁ SUL','SC',4863,374,NULL,NULL,NULL,NULL,NULL,2,23),(28,7340770,1.00,6.00,1.00,4.00,1.00,NULL,2.00,4.00,1.00,317,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7340788,4.00,7.00,2.00,6.00,7.00,6.00,3.00,6.00,3.00,202,NULL,203,'MAR GROSSO','LAGUNA','SC',8044,215,NULL,477,NULL,NULL,NULL,2,10),(28,7340796,1.00,3.00,2.00,5.00,3.00,8.25,0.00,4.00,4.00,104,NULL,NULL,'COLINA VERDE','SALTO LONTRA','PR',13423,332,NULL,NULL,NULL,NULL,NULL,2,4),(28,7340818,0.00,1.00,1.00,3.00,2.00,NULL,3.00,4.00,3.00,101,NULL,NULL,'CENTRO','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340834,3.00,7.00,3.00,8.00,7.00,8.63,3.00,6.00,3.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',9789,123,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340842,2.00,5.00,3.00,6.00,7.00,7.50,2.00,3.00,3.00,503,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',15988,31,NULL,NULL,NULL,NULL,NULL,2,1),(28,7340850,2.00,7.00,4.00,3.00,6.00,7.88,3.00,5.00,4.00,212,NULL,214,'BOM PASTOR','MANHUAÇU','MG',7100,221,NULL,212,NULL,NULL,NULL,4,1),(28,7340869,3.00,7.00,1.00,3.00,4.00,7.13,1.00,5.00,2.00,211,NULL,215,'SÃO CLEMENTE','TUBARÃO','SC',18294,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7340877,3.00,7.00,3.00,6.00,7.00,6.75,2.00,6.00,4.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',12366,18,NULL,NULL,NULL,NULL,NULL,2,1),(28,7340885,6.00,8.00,1.00,7.00,7.00,10.13,4.00,8.00,5.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',5749,88,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340893,3.00,5.00,2.00,6.00,6.00,7.13,0.00,2.00,4.00,3,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',17108,83,NULL,NULL,NULL,NULL,NULL,2,1),(28,7340915,1.00,5.00,2.00,5.00,5.00,6.00,1.00,5.00,1.00,444,NULL,NULL,'IPIRANGA','S JOSÉ','SC',19076,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7340923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7340931,1.00,2.00,3.00,1.00,4.00,3.00,3.00,2.00,2.00,303,NULL,NULL,'BAIXADA INDUSTRIAL','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7340940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7340958,0.00,3.00,4.00,6.00,5.00,NULL,1.00,2.00,1.00,308,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340974,4.00,7.00,3.00,5.00,6.00,8.25,5.00,7.00,7.00,103,NULL,NULL,'CENTRO','TOLEDO','PR',3650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7340990,0.00,2.00,2.00,1.00,4.00,8.25,2.00,4.00,2.00,103,NULL,NULL,'ALVORADA','CHAPECÓ','SC',19222,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7341008,3.00,6.00,5.00,6.00,9.00,11.25,4.00,6.00,5.00,103,NULL,NULL,'JARDIM DAS FLORES','PIRAPOZINHO','SP',2134,919,NULL,NULL,NULL,NULL,NULL,4,8),(28,7341016,2.00,6.00,1.00,5.00,6.00,9.00,3.00,3.00,5.00,215,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11553,199,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341024,5.00,4.00,3.00,3.00,6.00,7.50,6.00,5.00,6.00,108,NULL,NULL,'CAMPINAS','S JOSÉ','SC',6520,79,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341032,3.00,3.00,0.00,0.00,3.00,NULL,0.00,2.00,1.00,5,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7341040,5.00,9.00,3.00,7.00,7.00,10.50,2.00,7.00,5.00,303,NULL,NULL,'JARDIM SÃO LUIZ','RIBEIRÃO PRETO','SP',3676,171,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341059,3.00,6.00,0.00,4.00,5.00,NULL,0.00,5.00,2.00,441,NULL,NULL,'BOSQUE DAS MANSÕES','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7341075,0.00,3.00,0.00,6.00,4.00,NULL,0.00,2.00,2.00,999,NULL,NULL,'IMIGRANTES','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7341083,6.00,7.00,5.00,5.00,7.00,8.63,0.00,8.00,4.00,103,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',4350,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7341091,3.00,8.00,2.00,7.00,8.00,12.00,3.00,7.00,4.00,451,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6966,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341105,1.00,3.00,1.00,6.00,3.00,7.50,2.00,5.00,0.00,999,NULL,NULL,'CENTRO','RIO CEDROS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7341113,0.00,2.00,2.00,1.00,2.00,NULL,1.00,2.00,1.00,102,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341121,1.00,4.00,1.00,3.00,5.00,9.75,3.00,3.00,1.00,319,NULL,NULL,'BHOEHMERWALD','S BENTO SUL','SC',19252,369,NULL,NULL,NULL,NULL,NULL,4,8),(28,7341130,4.00,8.00,3.00,6.00,7.00,7.13,4.00,8.00,5.00,999,NULL,NULL,'CENTRO','POMERODE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7341148,1.00,2.00,2.00,1.00,2.00,NULL,0.00,1.00,2.00,108,NULL,NULL,'RIO DO CEDRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341156,0.00,6.00,3.00,4.00,9.00,8.25,5.00,6.00,2.00,421,NULL,428,'MEIA PRAIA','ITAPEMA','SC',9278,4,NULL,NULL,NULL,NULL,NULL,1,3),(28,7341164,2.00,8.00,4.00,7.00,7.00,11.25,4.00,6.00,3.00,103,NULL,NULL,'CENTRO','NAVEGANTES','SC',3595,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7341172,7.00,7.00,4.00,6.00,7.00,9.38,5.00,4.00,7.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',2225,941,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341180,2.00,6.00,2.00,0.00,5.00,8.25,1.00,4.00,2.00,444,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',16125,96,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341199,6.00,8.00,2.00,7.00,10.00,8.25,5.00,8.00,5.00,103,NULL,NULL,'SÃO FRANCISCO','TORRES','RS',1933,869,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341202,2.00,3.00,2.00,5.00,2.00,NULL,1.00,2.00,1.00,654,NULL,NULL,'CENTRO','ÁGUA BOA','MT',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7341229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ALTO DAS PALMEIRAS','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7341237,4.00,5.00,3.00,5.00,5.00,7.50,1.00,3.00,2.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341245,4.00,6.00,1.00,5.00,7.00,7.88,3.00,5.00,3.00,238,NULL,652,'PEREQUÊ','PTO BELO','SC',9723,136,NULL,17,NULL,NULL,NULL,4,3),(28,7341253,0.00,4.00,2.00,4.00,4.00,NULL,2.00,3.00,2.00,234,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341270,2.00,5.00,3.00,6.00,8.00,6.75,2.00,7.00,0.00,303,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',10915,436,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341288,3.00,4.00,1.00,6.00,5.00,NULL,0.00,4.00,3.00,328,NULL,NULL,'JARDIM SOLEMAR','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341296,0.00,4.00,0.00,1.00,6.00,NULL,2.00,5.00,1.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341318,1.00,2.00,1.00,3.00,4.00,9.75,0.00,3.00,0.00,454,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',17426,355,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'JARDIM GUAPIRA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7341334,2.00,6.00,3.00,4.00,4.00,6.00,3.00,4.00,2.00,999,NULL,NULL,'PRIMEIRO DE MAIO','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7341342,2.00,7.00,2.00,7.00,6.00,9.75,2.00,6.00,3.00,235,NULL,238,'CENTRO','PALHOÇA','SC',6459,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341350,0.00,3.00,1.00,2.00,3.00,5.25,2.00,1.00,2.00,5,NULL,NULL,'JARDIM CIDADE FLORIA','S JOSÉ','SC',19623,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341369,4.00,6.00,2.00,4.00,4.00,6.00,0.00,5.00,2.00,104,NULL,NULL,'NOVO BAIRRO','MARAVILHA','SC',13214,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7341385,1.00,4.00,1.00,2.00,3.00,9.75,4.00,3.00,2.00,319,NULL,NULL,'FLOR DE NÁPOLIS','S JOSÉ','SC',19121,366,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341393,2.00,1.00,4.00,3.00,1.00,NULL,0.00,3.00,1.00,101,NULL,NULL,'CENTRO','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341407,3.00,4.00,0.00,5.00,4.00,5.25,2.00,3.00,3.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341415,2.00,5.00,2.00,6.00,6.00,7.50,5.00,6.00,7.00,202,NULL,601,'JARDIM DOS IPÊS','INDAIATUBA','SP',3810,112,NULL,58,NULL,NULL,NULL,4,8),(28,7341431,3.00,6.00,3.00,5.00,6.00,8.25,3.00,4.00,4.00,211,NULL,238,'FLORESTA','S JOSÉ','SC',10110,277,NULL,142,NULL,NULL,NULL,2,1),(28,7341440,0.00,7.00,2.00,7.00,3.00,8.25,0.00,5.00,4.00,235,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',16607,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341458,4.00,6.00,2.00,6.00,7.00,9.75,3.00,5.00,5.00,503,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11278,11,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,214,'VILA MELGES','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7341482,3.00,8.00,3.00,7.00,8.00,11.63,4.00,7.00,3.00,5,NULL,NULL,'AMÉRICA','JOINVILLE','SC',6078,198,NULL,NULL,NULL,NULL,NULL,4,8),(28,7341490,2.00,4.00,2.00,2.00,4.00,6.75,3.00,5.00,3.00,444,NULL,NULL,'AREIAS','S JOSÉ','SC',18768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341504,1.00,6.00,3.00,7.00,5.00,8.25,3.00,5.00,3.00,301,NULL,NULL,'CENTRO','ASSIS CHATEAUBRIAND','PR',9433,111,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341512,2.00,3.00,3.00,3.00,3.00,6.00,4.00,2.00,1.00,208,NULL,NULL,'IPIRANGA','S JOSÉ','SC',19648,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341520,0.00,2.00,1.00,6.00,5.00,NULL,0.00,3.00,0.00,5,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7341555,1.00,3.00,1.00,6.00,4.00,8.63,2.00,6.00,4.00,207,NULL,NULL,'PINHEIRO','PRES GETÚLIO','SC',12746,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7341563,0.00,3.00,2.00,2.00,5.00,6.38,0.00,3.00,0.00,329,NULL,NULL,'BARREIROS','FLORIANÓPOLIS','SC',20049,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341571,1.00,2.00,2.00,7.00,3.00,6.38,2.00,4.00,3.00,316,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15724,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341598,3.00,5.00,2.00,4.00,5.00,8.25,4.00,1.00,4.00,103,NULL,NULL,'CENTRO','RIO SUL','SC',16292,2413,NULL,NULL,NULL,NULL,NULL,2,24),(28,7341601,3.00,8.00,3.00,8.00,10.00,9.38,1.00,6.00,3.00,429,NULL,425,'CAPOEIRAS','FLORIANÓPOLIS','SC',8483,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341610,3.00,5.00,2.00,4.00,4.00,7.88,4.00,3.00,3.00,5,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17558,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7341636,0.00,3.00,3.00,4.00,4.00,6.38,1.00,2.00,1.00,223,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',17670,35,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341644,1.00,5.00,3.00,6.00,4.00,6.38,1.00,6.00,3.00,207,NULL,601,'JARDIM CARANDAI','BIGUAÇU','SC',11062,511,NULL,322,NULL,NULL,NULL,2,1),(28,7341652,3.00,3.00,1.00,1.00,2.00,NULL,0.00,1.00,0.00,9,NULL,NULL,'PROGRESSO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7341679,1.00,4.00,3.00,6.00,6.00,7.50,3.00,3.00,3.00,316,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',13732,161,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341687,0.00,2.00,1.00,1.00,3.00,7.50,2.00,3.00,2.00,201,NULL,601,'CENTRO','CORREIA PINTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7341709,4.00,4.00,1.00,7.00,6.00,10.13,3.00,6.00,3.00,340,NULL,NULL,'LIBERDADE','CONCÓRDIA','SC',12579,344,NULL,NULL,NULL,NULL,NULL,4,26),(28,7341733,6.00,6.00,1.00,6.00,4.00,9.75,3.00,6.00,4.00,601,NULL,655,'PARQUE GUARANI','JOINVILLE','SC',11017,313,NULL,NULL,NULL,NULL,NULL,4,8),(28,7341750,2.00,6.00,1.00,4.00,4.00,7.88,3.00,4.00,4.00,316,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',17298,244,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341768,4.00,4.00,2.00,7.00,4.00,8.63,5.00,5.00,2.00,999,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7341792,2.00,8.00,1.00,7.00,8.00,7.88,3.00,6.00,4.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',6659,147,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341806,0.00,5.00,1.00,3.00,3.00,NULL,2.00,3.00,2.00,551,NULL,NULL,'GETULIO VARGAS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7341814,5.00,6.00,2.00,5.00,7.00,7.13,2.00,5.00,4.00,9,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8702,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341822,1.00,7.00,4.00,4.00,5.00,7.13,1.00,3.00,5.00,999,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7341830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7341849,4.00,3.00,1.00,5.00,9.00,5.63,2.00,3.00,4.00,216,NULL,215,'CARIANOS','FLORIANÓPOLIS','SC',13134,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341857,1.00,3.00,2.00,3.00,3.00,6.38,1.00,5.00,1.00,207,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',19876,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341865,6.00,6.00,2.00,6.00,6.00,6.75,5.00,5.00,6.00,103,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',5947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341873,7.00,7.00,6.00,7.00,6.00,7.50,4.00,5.00,7.00,235,NULL,238,'PANTANAL','FLORIANÓPOLIS','SC',2891,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341881,2.00,4.00,1.00,2.00,3.00,0.00,3.00,1.00,0.00,501,NULL,NULL,'REPRESA','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7341890,0.00,6.00,3.00,6.00,7.00,8.63,3.00,7.00,1.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14218,107,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341903,1.00,7.00,0.00,5.00,7.00,10.13,4.00,6.00,2.00,999,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341911,3.00,6.00,3.00,7.00,4.00,10.88,2.00,5.00,3.00,103,NULL,NULL,'JARDIM DAS AMERICAS','CURITIBA','PR',9737,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7341938,1.00,3.00,1.00,3.00,3.00,0.00,2.00,3.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341946,1.00,8.00,1.00,7.00,4.00,10.50,3.00,5.00,2.00,5,NULL,NULL,'CENTRO','CRICIÚMA','SC',13292,372,NULL,NULL,NULL,NULL,NULL,4,5),(28,7341954,4.00,2.00,4.00,0.00,3.00,NULL,2.00,4.00,2.00,309,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7341962,1.00,7.00,3.00,3.00,9.00,7.50,3.00,4.00,4.00,9,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',10575,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341970,1.00,4.00,3.00,4.00,3.00,5.25,2.00,4.00,2.00,208,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7341989,3.00,7.00,3.00,7.00,5.00,10.13,3.00,4.00,3.00,502,NULL,NULL,'CENTRO','GARIBALDI','RS',12483,18,NULL,NULL,NULL,NULL,NULL,4,22),(28,7341997,6.00,7.00,3.00,4.00,10.00,11.25,3.00,5.00,3.00,108,NULL,NULL,'JARDIM CIBELE','ARARANGUÁ','SC',2939,25,NULL,NULL,NULL,NULL,NULL,4,15),(28,7342004,1.00,5.00,2.00,6.00,7.00,7.13,2.00,5.00,3.00,332,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16672,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342012,2.00,7.00,4.00,5.00,5.00,9.38,2.00,6.00,6.00,5,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',7603,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7342020,2.00,6.00,2.00,6.00,5.00,7.50,1.00,6.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11690,2183,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7342047,1.00,6.00,3.00,2.00,3.00,5.25,1.00,1.00,4.00,335,NULL,NULL,'CAMPINAS','S JOSÉ','SC',19714,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342055,4.00,5.00,1.00,6.00,7.00,6.75,2.00,4.00,2.00,415,NULL,NULL,'NOVA ESPERANÇA','BAL CAMBORIÚ','SC',11509,187,NULL,NULL,NULL,NULL,NULL,4,3),(28,7342063,4.00,0.00,3.00,7.00,8.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(28,7342071,1.00,7.00,2.00,6.00,6.00,9.00,3.00,5.00,3.00,502,NULL,NULL,'KOBRASOL','S JOSÉ','SC',9076,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7342098,6.00,7.00,1.00,6.00,8.00,10.88,4.00,4.00,5.00,225,NULL,NULL,'TERMAS DO GRAVATAL','GRAVATAL','SC',7353,6,NULL,NULL,NULL,NULL,NULL,2,10),(28,7342101,2.00,3.00,2.00,7.00,3.00,6.75,0.00,3.00,2.00,552,NULL,NULL,'CENTRO','STA CECÍLIA','SC',19106,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7342110,6.00,8.00,5.00,7.00,10.00,9.00,4.00,8.00,7.00,214,NULL,213,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',1344,36,NULL,4,NULL,NULL,NULL,4,1),(28,7342128,4.00,7.00,1.00,5.00,8.00,10.13,4.00,7.00,6.00,207,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',5379,237,NULL,84,NULL,NULL,NULL,2,1),(28,7342136,2.00,7.00,4.00,6.00,8.00,9.75,4.00,6.00,3.00,454,NULL,NULL,'CENTRO','VIDEIRA','SC',8732,160,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342144,3.00,6.00,2.00,6.00,5.00,9.38,2.00,3.00,3.00,301,NULL,NULL,'CENTRO','PTO ALEGRE','RS',10284,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342152,0.00,5.00,1.00,6.00,4.00,NULL,2.00,4.00,2.00,999,NULL,NULL,'CENTRO','AGRONÔMICA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7342160,3.00,7.00,3.00,7.00,7.00,9.00,1.00,5.00,4.00,304,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',6492,35,NULL,NULL,NULL,NULL,NULL,2,1),(28,7342187,0.00,2.00,1.00,2.00,4.00,4.50,1.00,3.00,2.00,303,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342195,2.00,5.00,2.00,6.00,3.00,6.75,1.00,5.00,5.00,999,NULL,NULL,'GASPARINHO','GASPAR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7342209,2.00,4.00,1.00,5.00,3.00,6.38,0.00,4.00,2.00,428,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',19702,72,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SARANDI','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7342225,0.00,2.00,0.00,2.00,1.00,NULL,1.00,4.00,1.00,233,NULL,215,'MORRO DA FIGUEIRA','LAURO MÜLLER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7342241,3.00,2.00,3.00,5.00,2.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7342268,3.00,4.00,2.00,3.00,5.00,5.63,0.00,3.00,2.00,104,NULL,NULL,'GUAIUBA','IMBITUBA','SC',17360,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342276,2.00,5.00,3.00,6.00,3.00,7.13,3.00,3.00,2.00,454,NULL,NULL,'CENTRO','S MIGUEL ARCANJO','SP',12971,261,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7342292,6.00,8.00,4.00,6.00,8.00,6.38,4.00,6.00,5.00,3,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',6863,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342306,3.00,7.00,2.00,5.00,8.00,9.38,2.00,8.00,2.00,304,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10945,80,NULL,NULL,NULL,NULL,NULL,2,1),(28,7342314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CERQUILHO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7342322,0.00,7.00,2.00,6.00,4.00,11.63,1.00,4.00,1.00,336,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',12643,66,NULL,NULL,NULL,NULL,NULL,2,8),(28,7342349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7342381,4.00,6.00,2.00,6.00,4.00,6.00,7.00,6.00,2.00,2,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',12352,37,NULL,NULL,NULL,NULL,NULL,2,1),(28,7342390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'PINHEIRA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7342403,0.00,5.00,3.00,3.00,6.00,NULL,3.00,5.00,2.00,339,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7342411,0.00,3.00,4.00,3.00,5.00,NULL,1.00,5.00,0.00,601,NULL,207,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7342420,2.00,5.00,2.00,4.00,4.00,10.50,4.00,5.00,4.00,326,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',14141,44,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342446,0.00,5.00,1.00,2.00,4.00,4.88,2.00,1.00,3.00,317,NULL,NULL,'CENTRO','BIGUAÇU','SC',18495,159,NULL,NULL,NULL,NULL,NULL,2,1),(28,7342454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BOQUEIRAO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7342462,2.00,6.00,2.00,6.00,6.00,8.25,3.00,7.00,2.00,303,NULL,NULL,'JARDIM TIMBAUVA','GRAVATAÍ','RS',9180,379,NULL,NULL,NULL,NULL,NULL,2,15),(28,7342470,3.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'AMERICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(28,7342489,3.00,8.00,1.00,7.00,7.00,9.75,3.00,4.00,3.00,424,NULL,425,'AGRONÔMICA','FLORIANÓPOLIS','SC',10667,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342497,2.00,6.00,3.00,7.00,5.00,6.75,3.00,4.00,4.00,340,NULL,NULL,'CENTRO','TRÊS RIOS','RJ',14476,384,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342500,2.00,8.00,4.00,7.00,5.00,7.13,3.00,6.00,3.00,303,NULL,NULL,'SANTA TERESINHA','BRUSQUE','SC',7587,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7342519,0.00,4.00,1.00,4.00,4.00,NULL,3.00,3.00,0.00,552,NULL,NULL,'JOSÉ RUPP','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7342527,1.00,6.00,3.00,5.00,4.00,9.75,1.00,8.00,3.00,5,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',10273,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7342535,3.00,3.00,1.00,5.00,5.00,7.50,2.00,2.00,2.00,999,NULL,NULL,'SÃO CRISTÓVÃO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7342543,5.00,7.00,3.00,7.00,9.00,6.38,6.00,8.00,6.00,201,NULL,207,'AGRONÔMICA','FLORIANÓPOLIS','SC',1376,77,NULL,NULL,NULL,NULL,NULL,2,1),(28,7342551,2.00,5.00,2.00,6.00,5.00,7.13,3.00,3.00,4.00,502,NULL,NULL,'PEREQUE','PTO BELO','SC',16132,36,NULL,NULL,NULL,NULL,NULL,2,3),(28,7342560,1.00,5.00,0.00,3.00,6.00,5.63,1.00,3.00,4.00,103,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',17468,2456,NULL,NULL,NULL,NULL,NULL,2,1),(28,7342578,6.00,8.00,4.00,5.00,9.00,9.00,7.00,8.00,7.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',1362,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7342586,0.00,3.00,4.00,4.00,4.00,7.88,3.00,6.00,2.00,301,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',18117,245,NULL,NULL,NULL,NULL,NULL,2,1),(28,7342594,0.00,7.00,2.00,6.00,6.00,7.88,4.00,5.00,5.00,104,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',12826,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7342632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,338,NULL,NULL,'PQ CONTINENTAL II','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7342640,1.00,4.00,1.00,5.00,3.00,7.13,2.00,4.00,1.00,336,NULL,NULL,'CENTRO','CRICIÚMA','SC',19235,97,NULL,NULL,NULL,NULL,NULL,4,5),(28,7342667,2.00,6.00,1.00,2.00,6.00,8.25,1.00,5.00,1.00,103,NULL,NULL,'CIDADE ALTA','MARINGÁ','PR',15091,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342675,2.00,6.00,3.00,6.00,7.00,7.50,3.00,5.00,4.00,202,NULL,203,'CENTRO','SERTÃO','RS',9808,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7342691,5.00,7.00,3.00,3.00,5.00,9.00,5.00,5.00,1.00,207,NULL,212,'JOSÉ MENDES','FLORIANÓPOLIS','SC',13296,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342705,5.00,6.00,2.00,5.00,7.00,8.63,3.00,5.00,5.00,207,NULL,201,'CABEÇUDA','LAGUNA','SC',7034,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7342713,3.00,7.00,1.00,6.00,6.00,8.63,2.00,6.00,6.00,340,NULL,NULL,'CENTRO','BEBEDOURO','SP',6970,181,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342721,2.00,4.00,1.00,4.00,6.00,6.75,0.00,4.00,3.00,110,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',18859,96,NULL,NULL,NULL,NULL,NULL,2,1),(28,7342748,5.00,7.00,4.00,6.00,6.00,9.00,3.00,6.00,5.00,103,NULL,NULL,'JARDIM DAS ACACIAS','UBERLÂNDIA','MG',3162,1171,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342756,2.00,4.00,3.00,4.00,4.00,7.50,2.00,3.00,3.00,207,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7342764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'BUTANTÃ','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7342799,0.00,1.00,0.00,6.00,4.00,6.00,1.00,2.00,2.00,5,NULL,NULL,'VILA REAL','BAL CAMBORIÚ','SC',18379,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7342802,0.00,0.00,1.00,4.00,2.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(28,7342810,4.00,8.00,1.00,2.00,7.00,7.13,1.00,4.00,3.00,501,NULL,NULL,'BARREIROS','S JOSÉ','SC',12301,68,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342829,3.00,6.00,1.00,5.00,4.00,7.13,2.00,5.00,4.00,103,NULL,NULL,'BARRA DE JANGADA','PERUÍBE','SP',9918,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342837,0.00,4.00,2.00,1.00,6.00,NULL,2.00,4.00,3.00,339,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342845,2.00,4.00,2.00,7.00,6.00,10.88,1.00,5.00,4.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',12016,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7342853,4.00,6.00,1.00,3.00,6.00,9.00,2.00,3.00,0.00,316,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',12710,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'INTERIOR','IRACEMINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7342870,0.00,5.00,2.00,5.00,6.00,0.00,2.00,2.00,0.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7342888,1.00,7.00,0.00,4.00,7.00,NULL,1.00,4.00,0.00,501,NULL,NULL,'FLORESTA','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7342896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,220,'CENTRO','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7342900,0.00,3.00,0.00,2.00,4.00,3.00,1.00,2.00,3.00,201,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7342918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'VILA PAULICEIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7342926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LAURENTINO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7342934,2.00,6.00,4.00,5.00,10.00,9.75,1.00,2.00,4.00,103,NULL,NULL,'BUENO','GOIÂNIA','GO',8186,1920,NULL,NULL,NULL,NULL,NULL,4,1),(28,7342942,1.00,6.00,4.00,5.00,6.00,9.00,2.00,6.00,5.00,421,NULL,424,'INGLESES','FLORIANÓPOLIS','SC',13244,8,NULL,NULL,NULL,NULL,NULL,2,1),(28,7342969,3.00,6.00,4.00,7.00,7.00,8.63,5.00,4.00,5.00,201,NULL,212,'VENDAVAL','BIGUAÇU','SC',8968,625,NULL,271,NULL,NULL,NULL,4,1),(28,7342977,0.00,4.00,2.00,4.00,5.00,9.75,1.00,3.00,2.00,424,NULL,428,'CAMPINAS','S JOSÉ','SC',19046,NULL,NULL,67,NULL,NULL,NULL,2,1),(28,7342993,3.00,6.00,1.00,4.00,7.00,7.50,3.00,3.00,3.00,326,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',16631,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7343043,2.00,4.00,0.00,5.00,0.00,NULL,2.00,5.00,3.00,340,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343051,1.00,5.00,2.00,3.00,3.00,6.75,3.00,6.00,1.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',18711,361,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'OLIVEIRA','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7343078,4.00,7.00,3.00,4.00,8.00,5.63,5.00,4.00,3.00,454,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',7967,133,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343094,2.00,6.00,3.00,4.00,5.00,7.88,3.00,4.00,2.00,222,NULL,NULL,'CENTRO','STO CRISTO','RS',16989,33,NULL,NULL,NULL,NULL,NULL,4,27),(28,7343108,3.00,4.00,4.00,3.00,1.00,NULL,0.00,1.00,1.00,501,NULL,NULL,'SALETE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7343116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM','IJUÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7343124,5.00,6.00,0.00,7.00,3.00,8.63,1.00,5.00,4.00,110,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',14631,60,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7343140,4.00,6.00,4.00,7.00,7.00,11.63,3.00,5.00,4.00,214,NULL,220,'VILA PARAISO','JAGUARUNA','SC',6213,192,NULL,174,NULL,NULL,NULL,2,1),(28,7343159,4.00,7.00,2.00,7.00,9.00,9.38,5.00,6.00,6.00,5,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',3409,128,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343167,0.00,2.00,2.00,3.00,3.00,7.88,0.00,3.00,1.00,999,NULL,NULL,'VILA DOZE','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343183,1.00,3.00,2.00,1.00,1.00,NULL,0.00,5.00,2.00,207,NULL,201,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7343191,4.00,8.00,4.00,8.00,9.00,7.88,5.00,7.00,6.00,203,NULL,201,'CENTRO','LUIZ ALVES','SC',1688,152,NULL,104,NULL,NULL,NULL,4,6),(28,7343205,2.00,3.00,5.00,5.00,3.00,6.00,2.00,4.00,3.00,424,NULL,428,'CANASVIEIRAS','FLORIANÓPOLIS','SC',18166,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343221,1.00,6.00,0.00,6.00,7.00,9.75,3.00,6.00,1.00,999,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343230,6.00,8.00,2.00,7.00,6.00,8.25,3.00,6.00,3.00,238,NULL,235,'REAL PARQUE','S JOSÉ','SC',6362,69,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,427,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7343264,2.00,5.00,0.00,7.00,5.00,5.63,4.00,5.00,3.00,454,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17546,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343280,2.00,4.00,2.00,3.00,4.00,6.75,3.00,3.00,2.00,207,NULL,201,'SAUDADE','BIGUAÇU','SC',17120,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343299,1.00,0.00,1.00,2.00,4.00,3.00,3.00,2.00,1.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343302,1.00,2.00,1.00,1.00,2.00,NULL,4.00,3.00,1.00,202,NULL,201,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'JARDIM EQUATORIAL','MACAPÁ','AP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7343329,0.00,2.00,2.00,1.00,5.00,3.00,2.00,2.00,2.00,220,NULL,216,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343337,2.00,5.00,0.00,7.00,4.00,0.00,4.00,6.00,2.00,336,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'GIOPPO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',2,25),(28,7343353,4.00,6.00,1.00,7.00,9.00,9.38,2.00,4.00,2.00,103,NULL,NULL,'VILA VALENÇA','S VICENTE','SP',8478,1946,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343370,6.00,6.00,1.00,4.00,5.00,7.13,2.00,5.00,0.00,303,NULL,NULL,'SANTA CATARINA','S LOURENÇO OESTE','SC',10376,421,NULL,NULL,NULL,NULL,NULL,4,4),(28,7343388,2.00,6.00,2.00,6.00,6.00,6.75,5.00,4.00,5.00,304,NULL,NULL,'CENTRO','IMBITUBA','SC',8494,63,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343396,6.00,7.00,3.00,6.00,10.00,11.63,4.00,8.00,3.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',797,469,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343400,0.00,4.00,0.00,5.00,5.00,NULL,1.00,4.00,2.00,317,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343418,1.00,4.00,0.00,4.00,3.00,NULL,1.00,2.00,2.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343426,0.00,4.00,0.00,0.00,1.00,NULL,1.00,3.00,1.00,329,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343434,2.00,9.00,2.00,5.00,6.00,10.13,2.00,6.00,1.00,326,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13723,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343442,2.00,7.00,3.00,6.00,6.00,9.75,3.00,7.00,5.00,329,NULL,NULL,'PRADO','BIGUAÇU','SC',9986,6,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343450,3.00,6.00,1.00,6.00,8.00,9.38,3.00,7.00,2.00,5,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',13274,371,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343469,8.00,7.00,4.00,8.00,7.00,10.88,5.00,6.00,5.00,501,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',2623,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343477,0.00,2.00,4.00,4.00,5.00,NULL,1.00,4.00,2.00,103,NULL,NULL,'NOSSA SRA DAS DORES','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343485,4.00,7.00,3.00,7.00,9.00,9.75,4.00,7.00,3.00,415,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',5531,79,NULL,NULL,NULL,NULL,NULL,3,1),(28,7343493,4.00,5.00,2.00,5.00,3.00,7.13,4.00,3.00,2.00,301,NULL,NULL,'SÃO CRISTÓVÃO','UNIÃO VITÓRIA','PR',12954,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343507,2.00,6.00,0.00,7.00,7.00,5.63,1.00,5.00,2.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343515,7.00,8.00,3.00,6.00,8.00,7.50,6.00,7.00,7.00,103,NULL,NULL,'SANTA CATARINA','SAPUCAIA SUL','RS',519,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7343523,1.00,7.00,0.00,5.00,7.00,7.50,2.00,4.00,3.00,211,NULL,215,'IPIRANGA','S JOSÉ','SC',12001,317,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,203,'APARECIDA','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7343558,0.00,4.00,1.00,6.00,6.00,6.00,3.00,3.00,2.00,317,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',18920,166,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343574,0.00,3.00,0.00,3.00,4.00,NULL,3.00,2.00,1.00,335,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343582,0.00,4.00,3.00,3.00,6.00,7.88,3.00,5.00,4.00,301,NULL,NULL,'CENTRO','GAROPABA','SC',13279,188,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343590,5.00,8.00,2.00,7.00,7.00,9.00,4.00,5.00,7.00,233,NULL,601,'MEIA PRAIA','ITAPEMA','SC',6461,NULL,NULL,134,NULL,NULL,NULL,4,6),(28,7343604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7343612,3.00,7.00,2.00,6.00,9.00,6.75,4.00,5.00,3.00,999,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7343620,0.00,5.00,2.00,3.00,5.00,3.00,0.00,5.00,3.00,319,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343639,3.00,3.00,2.00,5.00,5.00,6.00,3.00,4.00,2.00,319,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343647,6.00,6.00,4.00,7.00,8.00,8.63,5.00,4.00,5.00,201,NULL,NULL,'CHACARA CACHOEIRA','CPO GRANDE','MS',5321,414,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343655,1.00,5.00,2.00,5.00,5.00,6.38,2.00,5.00,2.00,999,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7343663,1.00,6.00,2.00,6.00,7.00,8.25,5.00,5.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13756,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343671,4.00,8.00,4.00,5.00,8.00,8.25,2.00,6.00,2.00,207,NULL,211,'NOVA CIDADE','CASCAVEL','PR',9919,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7343680,5.00,7.00,5.00,6.00,8.00,8.63,5.00,9.00,5.00,201,NULL,216,'CERQUEIRA CÉSAR','S PAULO','SP',1959,127,NULL,63,NULL,NULL,NULL,4,1),(28,7343698,4.00,7.00,3.00,7.00,8.00,7.88,4.00,6.00,3.00,316,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',6455,51,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'JARDIM CONSOLI','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7343710,3.00,7.00,3.00,7.00,8.00,9.75,3.00,5.00,2.00,235,NULL,220,'CHAMPAGNE','GARIBALDI','RS',9641,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343728,4.00,7.00,3.00,6.00,8.00,6.75,6.00,6.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5483,1568,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343744,2.00,6.00,1.00,2.00,6.00,10.13,3.00,6.00,1.00,303,NULL,NULL,'VILA ATHAIDE','PARAGUAÇU PAULISTA','SP',13146,493,NULL,NULL,NULL,NULL,NULL,2,8),(28,7343752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA OTTO','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7343760,1.00,7.00,3.00,7.00,6.00,10.50,3.00,4.00,4.00,999,NULL,NULL,'CONGONHAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7343779,0.00,3.00,4.00,2.00,4.00,8.25,2.00,4.00,2.00,425,NULL,424,'ITACORUBI','FLORIANÓPOLIS','SC',18736,74,NULL,NULL,NULL,NULL,NULL,3,1),(28,7343787,1.00,6.00,2.00,6.00,6.00,9.00,0.00,4.00,3.00,999,NULL,NULL,'DOS ESTADOS','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7343795,1.00,0.00,3.00,5.00,5.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7343809,4.00,5.00,1.00,7.00,5.00,5.63,2.00,3.00,3.00,235,NULL,211,'AGRONÔMICA','FLORIANÓPOLIS','SC',12245,198,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7343825,1.00,3.00,1.00,2.00,3.00,6.00,1.00,3.00,1.00,601,NULL,NULL,'JARDIM SOPHIA','JOINVILLE','SC',17656,507,NULL,NULL,NULL,NULL,NULL,4,8),(28,7343841,0.00,4.00,2.00,4.00,6.00,7.88,0.00,3.00,0.00,103,NULL,NULL,'CENTRO','MACHADO','MG',17142,2439,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343850,1.00,0.00,3.00,2.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PASSO DO GADO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(28,7343868,2.00,8.00,1.00,6.00,7.00,8.25,4.00,5.00,4.00,103,NULL,NULL,'PAULAS','S FRANCISCO SUL','SC',7409,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7343876,1.00,4.00,1.00,4.00,5.00,6.00,3.00,2.00,1.00,654,NULL,NULL,'ALTO FELIZ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7343884,1.00,2.00,3.00,2.00,3.00,10.13,1.00,4.00,1.00,415,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',19721,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343892,1.00,4.00,0.00,4.00,5.00,6.75,2.00,2.00,4.00,103,NULL,NULL,'CENTRO','FORQUILHINHA','SC',19441,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7343914,0.00,4.00,2.00,2.00,2.00,NULL,3.00,2.00,2.00,207,NULL,201,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343922,1.00,0.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','PALMITOS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(28,7343930,0.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,601,NULL,235,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,8),(28,7343949,2.00,7.00,1.00,4.00,7.00,10.50,2.00,4.00,3.00,207,NULL,201,'COSTA DO MACACU','GAROPABA','SC',8532,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7343957,4.00,6.00,3.00,4.00,7.00,7.13,6.00,6.00,4.00,201,NULL,211,'SUMARÉ','RIO SUL','SC',11515,746,NULL,302,NULL,NULL,NULL,4,24),(28,7343965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,235,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7343981,0.00,3.00,0.00,3.00,2.00,NULL,2.00,3.00,0.00,101,NULL,NULL,'CENTRO','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7343990,2.00,7.00,4.00,4.00,6.00,10.50,5.00,4.00,2.00,999,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7344007,2.00,3.00,3.00,5.00,6.00,5.63,2.00,2.00,3.00,207,NULL,238,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',14628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7344015,2.00,5.00,1.00,4.00,3.00,7.13,2.00,3.00,1.00,9,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',16454,125,NULL,NULL,NULL,NULL,NULL,2,1),(28,7344023,2.00,6.00,1.00,6.00,5.00,10.13,2.00,4.00,3.00,103,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',14286,2322,NULL,NULL,NULL,NULL,NULL,2,1),(28,7344031,4.00,6.00,3.00,6.00,8.00,6.75,3.00,6.00,2.00,207,NULL,215,'TRINTADE','FLORIANÓPOLIS','SC',7060,332,NULL,109,NULL,NULL,NULL,2,1),(28,7344040,0.00,4.00,2.00,5.00,5.00,4.88,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',16135,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7344058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,238,'JARDIM RES FLORA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7344066,2.00,6.00,3.00,6.00,4.00,NULL,0.00,5.00,2.00,340,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7344074,5.00,8.00,3.00,4.00,7.00,11.25,3.00,6.00,7.00,103,NULL,NULL,'ACIOLI','JOÃO NEIVA','ES',2946,1124,NULL,NULL,NULL,NULL,NULL,4,1),(28,7344090,3.00,7.00,3.00,5.00,5.00,NULL,2.00,4.00,1.00,103,NULL,NULL,'CENTRO','VLE REAL','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7344104,3.00,2.00,2.00,4.00,4.00,8.63,3.00,5.00,1.00,424,NULL,427,'ARIRIÚ','PALHOÇA','SC',15483,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7344112,3.00,7.00,2.00,7.00,7.00,10.50,4.00,7.00,5.00,340,NULL,NULL,'CENTRO','ITAPIRANGA','SC',3102,72,NULL,NULL,NULL,NULL,NULL,4,27),(28,7344120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,441,NULL,NULL,'SOBRADINHO DF','SOBRADINHO','DF',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7344139,2.00,7.00,1.00,6.00,7.00,5.25,2.00,2.00,3.00,454,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16462,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7344147,1.00,4.00,2.00,6.00,3.00,6.38,0.00,3.00,1.00,316,NULL,NULL,'CENTRO','PALHOÇA','SC',18062,259,NULL,NULL,NULL,NULL,NULL,2,1),(28,7344155,3.00,5.00,4.00,6.00,6.00,8.25,4.00,3.00,3.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7344180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'ALTO DA XV','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7344201,3.00,7.00,1.00,4.00,8.00,10.13,3.00,5.00,3.00,340,NULL,NULL,'CENTRO','GETÚLIO VARGAS','RS',7939,213,NULL,NULL,NULL,NULL,NULL,4,26),(28,7344210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','CANELA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7344228,2.00,6.00,2.00,6.00,5.00,11.25,1.00,6.00,3.00,212,NULL,213,'CENTRO','S GABRIEL OESTE','MS',14316,367,NULL,233,NULL,NULL,NULL,2,1),(28,7344236,1.00,4.00,3.00,5.00,3.00,6.00,2.00,3.00,2.00,454,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',19593,391,NULL,NULL,NULL,NULL,NULL,2,1),(28,7344244,0.00,3.00,3.00,6.00,2.00,NULL,4.00,4.00,0.00,201,NULL,238,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7344252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','PTO BELO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7344260,1.00,6.00,4.00,2.00,6.00,7.50,4.00,5.00,1.00,652,NULL,653,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',14515,49,NULL,NULL,NULL,NULL,NULL,4,15),(28,7344279,2.00,4.00,3.00,7.00,7.00,NULL,2.00,4.00,1.00,340,NULL,NULL,'CENTRO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7344295,4.00,6.00,3.00,5.00,8.00,8.63,2.00,4.00,5.00,103,NULL,NULL,'SANTA TEREZINHA','PIRACICABA','SP',4476,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7344309,4.00,4.00,2.00,5.00,5.00,9.00,3.00,5.00,3.00,415,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',10723,172,NULL,NULL,NULL,NULL,NULL,4,1),(28,7344317,1.00,4.00,1.00,4.00,5.00,6.38,2.00,2.00,3.00,103,NULL,NULL,'ARGENTINA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7344333,4.00,6.00,1.00,6.00,5.00,7.50,4.00,6.00,3.00,318,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',9979,63,NULL,NULL,NULL,NULL,NULL,2,1),(28,7344350,5.00,7.00,4.00,5.00,8.00,9.38,6.00,6.00,5.00,201,NULL,233,'CENTRO','FLORIANÓPOLIS','SC',2638,196,NULL,60,NULL,NULL,NULL,4,1),(28,7344376,1.00,1.00,2.00,2.00,0.00,NULL,0.00,2.00,0.00,501,NULL,NULL,'SERTAO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7344384,1.00,6.00,1.00,5.00,4.00,4.88,0.00,4.00,2.00,316,NULL,NULL,'JARDIM CAROLINA','BIGUAÇU','SC',16137,213,NULL,NULL,NULL,NULL,NULL,4,1),(28,7344414,5.00,7.00,5.00,6.00,9.00,8.63,7.00,6.00,7.00,201,NULL,207,'KOBRASOL','S JOSÉ','SC',2409,174,NULL,82,NULL,NULL,NULL,2,1),(28,7344422,1.00,5.00,1.00,7.00,5.00,7.13,3.00,3.00,5.00,318,NULL,NULL,'KOBRASOL','S JOSÉ','SC',11671,80,NULL,NULL,NULL,NULL,NULL,2,1),(28,7344430,0.00,4.00,3.00,1.00,5.00,10.13,2.00,3.00,2.00,317,NULL,NULL,'ZONA RURAL','IRINEÓPOLIS','SC',14470,94,NULL,NULL,NULL,NULL,NULL,4,17),(28,7344449,4.00,7.00,2.00,5.00,7.00,8.25,2.00,5.00,1.00,201,NULL,233,'OFICINAS','TUBARÃO','SC',9529,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7344457,0.00,5.00,2.00,6.00,5.00,6.75,2.00,3.00,3.00,333,NULL,NULL,'JARDIM ATLANTICO','S JOSÉ','SC',14177,86,NULL,NULL,NULL,NULL,NULL,2,1),(28,7344465,4.00,5.00,1.00,3.00,8.00,7.50,4.00,6.00,6.00,201,NULL,207,'CENTRO','ITUPORANGA','SC',5857,458,NULL,270,NULL,NULL,NULL,4,24),(28,7344473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,426,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7344490,3.00,5.00,3.00,2.00,5.00,7.13,2.00,5.00,5.00,102,NULL,NULL,'COHAB TABLADA','PELOTAS','RS',16194,152,NULL,NULL,NULL,NULL,NULL,4,1),(28,7344503,0.00,6.00,2.00,4.00,5.00,6.75,4.00,6.00,2.00,319,NULL,NULL,'SCHROEDER UM','SCHROEDER','SC',17729,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7344511,2.00,5.00,1.00,1.00,7.00,8.63,2.00,6.00,2.00,337,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',15417,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(28,7344520,4.00,4.00,3.00,6.00,7.00,11.63,5.00,4.00,4.00,102,NULL,NULL,'CENTRO','SEARA','SC',5049,28,NULL,NULL,NULL,NULL,NULL,2,4),(28,7344538,2.00,7.00,3.00,7.00,4.00,9.38,2.00,4.00,2.00,999,NULL,NULL,'IRIRIÚ','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7344554,6.00,5.00,2.00,2.00,5.00,10.13,6.00,4.00,1.00,450,NULL,NULL,'JARDIM GUARANI','CAMPINAS','SP',9743,78,NULL,NULL,NULL,NULL,NULL,4,1),(28,7344562,2.00,3.00,2.00,6.00,5.00,NULL,0.00,3.00,1.00,502,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7344570,1.00,4.00,1.00,6.00,5.00,7.13,2.00,3.00,3.00,302,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',14978,107,NULL,NULL,NULL,NULL,NULL,4,1),(28,7344589,0.00,6.00,3.00,4.00,5.00,9.00,4.00,7.00,4.00,999,NULL,NULL,'PRIMEIRA LINHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7344597,0.00,4.00,1.00,5.00,3.00,7.88,0.00,2.00,1.00,501,NULL,NULL,'CENTRO','S GABRIEL OESTE','MS',19855,129,NULL,NULL,NULL,NULL,NULL,2,1),(28,7344600,1.00,4.00,2.00,5.00,6.00,7.50,2.00,4.00,1.00,3,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',12612,56,NULL,NULL,NULL,NULL,NULL,2,15),(28,7344619,2.00,6.00,2.00,4.00,6.00,7.88,2.00,5.00,2.00,301,NULL,NULL,'SÃO MARCOS','BIGUAÇU','SC',12289,171,NULL,NULL,NULL,NULL,NULL,2,1),(28,7344627,2.00,5.00,1.00,2.00,2.00,NULL,0.00,1.00,3.00,601,NULL,212,'ILHA DA FIGUEIRA','GUARAMIRIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7344635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA LAPA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7344643,2.00,4.00,3.00,7.00,7.00,7.88,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',6276,1670,NULL,NULL,NULL,NULL,NULL,4,5),(28,7344651,6.00,8.00,4.00,7.00,7.00,11.25,4.00,7.00,7.00,303,NULL,NULL,'VILA MARIA','JAÚ','SP',858,35,NULL,NULL,NULL,NULL,NULL,4,1),(28,7344678,0.00,5.00,2.00,6.00,6.00,7.88,2.00,4.00,2.00,208,NULL,NULL,'CENTRO','CHAPECÓ','SC',12807,143,NULL,NULL,NULL,NULL,NULL,4,4),(28,7344686,3.00,5.00,5.00,6.00,7.00,7.50,2.00,5.00,3.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',12727,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7344694,1.00,5.00,3.00,6.00,7.00,6.75,3.00,6.00,4.00,303,NULL,NULL,'OFICINAS','TUBARÃO','SC',13914,514,NULL,NULL,NULL,NULL,NULL,4,10),(28,7344708,4.00,5.00,1.00,3.00,6.00,12.00,1.00,4.00,0.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16788,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7344716,4.00,5.00,2.00,5.00,3.00,7.88,1.00,3.00,5.00,234,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',11629,17,NULL,NULL,NULL,NULL,NULL,2,1),(28,7344724,2.00,4.00,2.00,6.00,6.00,6.75,4.00,5.00,1.00,207,NULL,202,'RAINHA DA PAZ','ITAPIRANGA','SC',13362,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7344732,1.00,6.00,0.00,4.00,5.00,5.63,3.00,3.00,2.00,235,NULL,203,'PANTANAL','FLORIANÓPOLIS','SC',18788,286,NULL,699,NULL,NULL,NULL,4,1),(28,7344740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7344759,3.00,5.00,0.00,1.00,5.00,6.38,0.00,3.00,2.00,201,NULL,203,'POTECAS','S JOSÉ','SC',17133,968,NULL,677,NULL,NULL,NULL,4,1),(28,7344775,2.00,6.00,3.00,7.00,5.00,6.38,0.00,6.00,1.00,999,NULL,NULL,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7344805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'VELHA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7344813,1.00,5.00,0.00,3.00,4.00,7.50,1.00,5.00,2.00,304,NULL,NULL,'INTERIOR','SAUDADES','SC',15226,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7344821,4.00,7.00,2.00,4.00,9.00,11.25,2.00,5.00,4.00,103,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',5201,1524,NULL,NULL,NULL,NULL,NULL,4,27),(28,7344830,1.00,4.00,5.00,5.00,5.00,6.75,2.00,4.00,3.00,301,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',15096,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7344848,3.00,7.00,3.00,6.00,6.00,9.75,5.00,5.00,2.00,303,NULL,NULL,'VILA BOCAINA','MAUÁ','SP',6820,308,NULL,NULL,NULL,NULL,NULL,4,1),(28,7344856,3.00,8.00,2.00,5.00,7.00,8.63,3.00,6.00,3.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11839,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7344864,3.00,5.00,2.00,5.00,4.00,9.38,1.00,6.00,2.00,339,NULL,NULL,'BALNEARIO ESTREITO','FLORIANÓPOLIS','SC',17323,44,NULL,NULL,NULL,NULL,NULL,2,1),(28,7344872,0.00,4.00,3.00,3.00,3.00,5.25,1.00,3.00,2.00,502,NULL,NULL,'ROÇADO','S JOSÉ','SC',19844,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7344899,4.00,8.00,1.00,8.00,9.00,9.75,4.00,8.00,5.00,103,NULL,NULL,'SAO PEDRO','APIÚNA','SC',1409,715,NULL,NULL,NULL,NULL,NULL,4,2),(28,7344929,2.00,5.00,2.00,5.00,3.00,5.63,2.00,3.00,2.00,208,NULL,NULL,'CENTRO','LONDRINA','PR',19323,213,NULL,NULL,NULL,NULL,NULL,4,1),(28,7344937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PLANALTO','VACARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7344945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,233,'LIRI','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7344953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'VILLAGE REGINA','PENÁPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7344970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'FLORESTA','RIO BRANCO','AC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7344988,2.00,6.00,0.00,3.00,2.00,NULL,1.00,2.00,1.00,601,NULL,652,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7345003,5.00,7.00,2.00,7.00,8.00,6.75,5.00,8.00,3.00,340,NULL,NULL,'COND DEU','ORLEANS','SC',2890,65,NULL,NULL,NULL,NULL,NULL,4,5),(28,7345011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'JD JHON KENNEDY','IBIPORÃ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7345020,4.00,6.00,4.00,6.00,7.00,7.88,4.00,7.00,5.00,316,NULL,NULL,'CANTO DO FORTE','PR GRANDE','SP',3926,12,NULL,NULL,NULL,NULL,NULL,2,8),(28,7345038,0.00,5.00,1.00,3.00,7.00,NULL,3.00,4.00,2.00,324,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345054,5.00,8.00,3.00,5.00,7.00,9.38,4.00,4.00,4.00,216,NULL,235,'LOMBA ALTA','ALFREDO WAGNER','SC',4355,162,NULL,69,NULL,NULL,NULL,4,1),(28,7345062,3.00,8.00,2.00,3.00,3.00,7.88,2.00,8.00,3.00,238,NULL,235,'BARREIROS','S JOSÉ','SC',14345,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345070,4.00,6.00,3.00,5.00,6.00,4.88,5.00,5.00,7.00,103,NULL,NULL,'VILA MONTEIRO','PIRACICABA','SP',7592,1839,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345089,3.00,7.00,2.00,6.00,7.00,10.50,6.00,6.00,6.00,103,NULL,NULL,'CENTRO','STO ANTÔNIO SUDOESTE','PR',1829,845,NULL,NULL,NULL,NULL,NULL,2,27),(28,7345097,5.00,7.00,2.00,7.00,7.00,10.50,3.00,4.00,2.00,110,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',10720,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345100,0.00,6.00,4.00,3.00,6.00,NULL,1.00,2.00,3.00,999,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,220,'GENERAL OSÓRIO','ESTEIO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7345135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,203,'PRAIA DE FORA','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7345151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SATÉLITE','VÁRZEA PAULISTA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7345160,2.00,6.00,2.00,4.00,8.00,8.25,3.00,3.00,2.00,104,NULL,NULL,'JD MARIA DO CARMO','SOROCABA','SP',8682,206,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345178,3.00,7.00,2.00,6.00,10.00,13.13,3.00,6.00,2.00,234,NULL,NULL,'VILA SÃO FRANCISCO','S PAULO','SP',8660,8,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345208,3.00,4.00,2.00,1.00,3.00,8.25,0.00,4.00,2.00,999,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7345216,5.00,6.00,2.00,4.00,6.00,6.38,5.00,6.00,4.00,220,NULL,238,'NOVA BRASILIA','IMBITUBA','SC',6349,NULL,NULL,68,NULL,NULL,NULL,4,10),(28,7345232,4.00,4.00,3.00,3.00,6.00,8.63,2.00,7.00,3.00,202,NULL,220,'MIRIM','IMBITUBA','SC',8927,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7345240,1.00,8.00,2.00,3.00,4.00,9.38,2.00,7.00,3.00,301,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',15503,219,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345259,3.00,6.00,3.00,6.00,7.00,10.13,5.00,4.00,5.00,302,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',8940,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345267,7.00,7.00,4.00,7.00,9.00,9.38,4.00,8.00,8.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',682,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345275,1.00,5.00,2.00,3.00,9.00,8.25,3.00,5.00,4.00,319,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',8492,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7345283,0.00,4.00,1.00,7.00,5.00,10.13,3.00,4.00,0.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,207,'QUEIMADOS','AT BELA VISTA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7345305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7345313,0.00,2.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,103,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345321,1.00,4.00,1.00,4.00,5.00,6.75,3.00,1.00,3.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',19355,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345330,2.00,6.00,1.00,6.00,5.00,7.88,1.00,3.00,3.00,301,NULL,NULL,'TIJUQUINHAS','BIGUAÇU','SC',12097,165,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345348,4.00,7.00,3.00,7.00,9.00,7.13,0.00,6.00,3.00,340,NULL,NULL,'BOQUEIRÃO','SANTOS','SP',6999,183,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'NOSSA SENHORA FÁTIMA','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7345364,1.00,5.00,2.00,5.00,6.00,8.25,3.00,6.00,4.00,319,NULL,NULL,'ABILIO PEDRO','LIMEIRA','SP',11443,209,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345380,2.00,6.00,2.00,4.00,7.00,7.50,3.00,5.00,5.00,601,NULL,216,'SANTA CATARINA','JOINVILLE','SC',8470,209,NULL,NULL,NULL,NULL,NULL,2,8),(28,7345399,0.00,5.00,3.00,3.00,2.00,NULL,0.00,6.00,2.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345402,4.00,6.00,3.00,5.00,6.00,10.13,4.00,7.00,5.00,207,NULL,233,'PIONEIROS','BAL CAMBORIÚ','SC',3925,158,NULL,102,NULL,NULL,NULL,4,6),(28,7345410,3.00,7.00,2.00,4.00,4.00,6.38,1.00,3.00,7.00,103,NULL,NULL,'PILARZINHO','CURITIBA','PR',9137,2009,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345429,3.00,8.00,1.00,6.00,9.00,9.00,6.00,8.00,7.00,303,NULL,NULL,'VILA BOCAINA','MAUÁ','SP',1504,71,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345445,1.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,429,NULL,425,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7345453,0.00,3.00,3.00,3.00,3.00,5.25,1.00,2.00,3.00,211,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',19976,433,NULL,NULL,NULL,NULL,NULL,6,1),(28,7345461,0.00,2.00,3.00,6.00,5.00,NULL,2.00,3.00,2.00,301,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345488,3.00,4.00,2.00,3.00,6.00,6.75,2.00,4.00,4.00,207,NULL,201,'IMPERIAL','CONCÓRDIA','SC',17200,742,NULL,NULL,NULL,NULL,NULL,4,26),(28,7345496,5.00,7.00,3.00,8.00,9.00,8.63,5.00,8.00,6.00,103,NULL,NULL,'PLANALTO PARAISO','S CARLOS','SP',1051,577,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345500,1.00,7.00,4.00,4.00,4.00,7.88,3.00,4.00,1.00,454,NULL,NULL,'CENTRO','PATO BRANCO','PR',12887,255,NULL,NULL,NULL,NULL,NULL,4,4),(28,7345518,1.00,6.00,0.00,6.00,2.00,NULL,3.00,3.00,4.00,333,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7345534,2.00,1.00,2.00,4.00,4.00,3.00,1.00,3.00,3.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345542,1.00,8.00,1.00,6.00,7.00,8.25,4.00,8.00,3.00,654,NULL,NULL,'JARDIM ITALIA','CHAPECÓ','SC',6268,3,NULL,NULL,NULL,NULL,NULL,4,4),(28,7345550,3.00,6.00,0.00,1.00,6.00,NULL,3.00,6.00,3.00,316,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345569,5.00,0.00,3.00,6.00,3.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7345585,0.00,5.00,1.00,6.00,3.00,9.38,3.00,4.00,2.00,316,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',18355,267,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345593,1.00,4.00,3.00,7.00,4.00,6.75,2.00,4.00,1.00,224,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',18661,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'JARDIM ADRIANA','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7345623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7345631,4.00,6.00,2.00,6.00,6.00,NULL,3.00,4.00,5.00,999,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7345640,3.00,7.00,3.00,5.00,3.00,8.63,4.00,7.00,4.00,211,NULL,601,'CENTRO','FRANCISCO BELTRÃO','PR',7633,NULL,NULL,180,NULL,NULL,NULL,4,4),(28,7345658,4.00,6.00,3.00,6.00,5.00,7.13,3.00,4.00,3.00,454,NULL,NULL,'AREIAS','PAULO LOPES','SC',13896,281,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345666,0.00,4.00,2.00,7.00,3.00,6.75,2.00,3.00,3.00,451,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345674,1.00,6.00,2.00,5.00,3.00,5.25,2.00,3.00,2.00,303,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',15832,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345682,2.00,7.00,2.00,8.00,5.00,9.38,3.00,2.00,2.00,201,NULL,212,'PIONEIROS','BAL CAMBORIÚ','SC',12608,807,NULL,NULL,NULL,NULL,NULL,2,6),(28,7345690,1.00,4.00,1.00,3.00,4.00,9.00,3.00,4.00,3.00,601,NULL,214,'VILA NOVA','MAFRA','SC',14720,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7345704,1.00,4.00,1.00,3.00,2.00,NULL,1.00,1.00,2.00,104,NULL,NULL,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345712,6.00,7.00,4.00,6.00,9.00,10.13,7.00,6.00,7.00,319,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',745,5,NULL,NULL,NULL,NULL,NULL,4,2),(28,7345739,5.00,7.00,2.00,5.00,8.00,7.13,3.00,6.00,5.00,103,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',6108,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345747,0.00,5.00,1.00,3.00,4.00,6.38,3.00,3.00,2.00,999,NULL,NULL,'PRESIDENTE VARGAS','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7345755,2.00,3.00,5.00,1.00,2.00,NULL,3.00,3.00,2.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345763,0.00,3.00,2.00,1.00,5.00,9.00,3.00,0.00,0.00,454,NULL,NULL,'SERRARIAS','S JOSÉ','SC',19904,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7345771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'HIGIENÓPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7345780,2.00,4.00,0.00,5.00,4.00,NULL,2.00,3.00,0.00,308,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345798,0.00,4.00,3.00,4.00,6.00,8.25,2.00,4.00,2.00,425,NULL,424,'SERRARIA','S JOSÉ','SC',13746,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345801,2.00,3.00,3.00,5.00,7.00,8.25,1.00,5.00,1.00,103,NULL,NULL,'CENTRO','ERVAL GRANDE','RS',12667,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7345828,2.00,3.00,4.00,3.00,3.00,4.50,2.00,3.00,2.00,103,NULL,NULL,'NOSSA S DE LURDES','JOAÇABA','SC',17049,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7345836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'COAÇU','FORTALEZA','CE',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7345844,0.00,4.00,4.00,5.00,7.00,7.13,1.00,3.00,2.00,5,NULL,NULL,'CEARÁ','CRICIÚMA','SC',14447,393,NULL,NULL,NULL,NULL,NULL,4,5),(28,7345860,2.00,7.00,3.00,3.00,4.00,9.38,1.00,6.00,3.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',16178,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345887,4.00,5.00,1.00,6.00,6.00,8.63,3.00,5.00,3.00,303,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',8650,362,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345909,2.00,5.00,0.00,6.00,7.00,8.25,2.00,5.00,4.00,655,NULL,220,'CANTO DO FORTE','PR GRANDE','SP',11395,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7345917,2.00,3.00,1.00,4.00,8.00,8.63,2.00,4.00,4.00,303,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',13331,498,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345925,2.00,5.00,0.00,3.00,4.00,NULL,1.00,4.00,2.00,109,NULL,NULL,'CENTRO','PINHALZINHO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7345933,1.00,6.00,1.00,5.00,5.00,6.38,3.00,4.00,4.00,999,NULL,NULL,'VILA ROSELI','PARIQUERA-AÇU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345941,2.00,4.00,1.00,3.00,5.00,7.13,0.00,3.00,0.00,9,NULL,NULL,'AREÃO','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7345950,3.00,5.00,2.00,5.00,4.00,7.50,3.00,3.00,3.00,212,NULL,233,'BARREIROS','S JOSÉ','SC',13793,363,NULL,NULL,NULL,NULL,NULL,2,1),(28,7345968,5.00,7.00,1.00,6.00,4.00,8.63,2.00,7.00,3.00,329,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',12564,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345976,4.00,7.00,3.00,1.00,3.00,8.63,3.00,6.00,2.00,331,NULL,NULL,'JARDIM ZAÍRA','MAUÁ','SP',11131,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7345984,2.00,7.00,1.00,1.00,5.00,9.00,1.00,4.00,2.00,415,NULL,NULL,'SANGÃOZINHO','SANGÃO','SC',13375,216,NULL,NULL,NULL,NULL,NULL,4,10),(28,7346000,2.00,6.00,3.00,6.00,5.00,7.88,3.00,3.00,1.00,415,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',17047,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7346018,1.00,1.00,3.00,2.00,2.00,NULL,1.00,3.00,1.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7346026,1.00,2.00,2.00,3.00,1.00,NULL,2.00,3.00,2.00,319,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7346034,2.00,8.00,2.00,8.00,8.00,7.13,3.00,7.00,1.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',11923,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7346042,4.00,8.00,6.00,7.00,10.00,8.63,3.00,6.00,6.00,216,NULL,601,'AGRONÔMICA','FLORIANÓPOLIS','SC',903,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346050,3.00,7.00,3.00,4.00,8.00,8.63,3.00,7.00,3.00,428,NULL,426,'PARQUE RINCÃO','COTIA','SP',10368,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7346077,2.00,7.00,3.00,7.00,7.00,10.13,5.00,5.00,6.00,653,NULL,601,'FAZ SANTO ANTONIO','S JOSÉ','SC',3654,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346085,5.00,7.00,2.00,6.00,10.00,8.63,5.00,6.00,7.00,212,NULL,211,'VILA NORMA','SALTO','SP',1919,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346093,1.00,2.00,1.00,6.00,3.00,6.00,0.00,2.00,2.00,503,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',20048,45,NULL,NULL,NULL,NULL,NULL,4,23),(28,7346107,1.00,4.00,2.00,4.00,2.00,NULL,2.00,4.00,0.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7346115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,203,'BANZATO','MARÍLIA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7346123,2.00,6.00,0.00,7.00,7.00,11.25,1.00,3.00,1.00,340,NULL,NULL,'ATIRADORES','JOINVILLE','SC',16079,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7346131,5.00,5.00,2.00,6.00,7.00,9.38,4.00,5.00,6.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',4742,1450,NULL,NULL,NULL,NULL,NULL,4,6),(28,7346166,2.00,8.00,3.00,7.00,6.00,10.50,3.00,6.00,6.00,999,NULL,NULL,'SANTA RITA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7346174,1.00,6.00,1.00,7.00,3.00,NULL,3.00,4.00,1.00,207,NULL,212,'SAO CRISTOVAO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,9),(28,7346182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7346190,3.00,6.00,1.00,5.00,7.00,7.13,2.00,4.00,3.00,551,NULL,NULL,'SAO LUIS','CURITIBANOS','SC',16671,34,NULL,NULL,NULL,NULL,NULL,4,16),(28,7346204,0.00,1.00,2.00,4.00,4.00,7.13,3.00,3.00,1.00,319,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346220,2.00,6.00,3.00,5.00,7.00,7.88,2.00,4.00,3.00,103,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',9711,2053,NULL,NULL,NULL,NULL,NULL,4,15),(28,7346239,3.00,3.00,1.00,2.00,3.00,6.38,2.00,5.00,2.00,339,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',19757,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346247,5.00,5.00,4.00,5.00,7.00,10.50,3.00,4.00,3.00,102,NULL,NULL,'CENTRO','PALHOÇA','SC',6387,40,NULL,NULL,NULL,NULL,NULL,2,1),(28,7346255,0.00,4.00,2.00,2.00,4.00,8.25,1.00,4.00,2.00,999,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7346271,0.00,3.00,3.00,4.00,5.00,5.63,2.00,2.00,3.00,999,NULL,NULL,'PINHEIRINHO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7346280,1.00,4.00,1.00,7.00,7.00,8.25,1.00,4.00,1.00,444,NULL,NULL,'SAÚDE','S PAULO','SP',13616,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346298,4.00,8.00,3.00,4.00,8.00,9.38,1.00,4.00,2.00,207,NULL,201,'PROGRESSO','S BENTO SUL','SC',8068,372,NULL,NULL,NULL,NULL,NULL,2,8),(28,7346310,5.00,7.00,4.00,4.00,6.00,9.00,6.00,8.00,7.00,201,NULL,203,'CENTRO','JABOTICABAL','SP',2855,213,NULL,216,NULL,NULL,NULL,6,1),(28,7346328,1.00,4.00,2.00,4.00,4.00,NULL,0.00,3.00,3.00,103,NULL,NULL,'PORTO LACUSTRE','OSÓRIO','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,15),(28,7346336,2.00,6.00,0.00,6.00,2.00,NULL,2.00,5.00,3.00,211,NULL,652,'ITAPIRUBÁ','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7346344,0.00,0.00,3.00,2.00,4.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BORTOLUZZI','NOVA VENEZA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,5),(28,7346352,4.00,8.00,3.00,4.00,6.00,4.88,3.00,4.00,3.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11579,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7346360,1.00,3.00,3.00,2.00,3.00,6.75,2.00,1.00,2.00,308,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',18909,80,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346379,0.00,2.00,2.00,3.00,7.00,NULL,3.00,4.00,6.00,502,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346387,3.00,8.00,1.00,8.00,5.00,10.88,4.00,5.00,5.00,304,NULL,NULL,'ALTO','PIRACICABA','SP',4741,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346395,5.00,8.00,2.00,6.00,9.00,7.50,3.00,5.00,2.00,999,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7346409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'SANTO ANTONIO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7346417,2.00,6.00,2.00,5.00,6.00,9.00,2.00,2.00,4.00,207,NULL,NULL,'ENCANTADA','GAROPABA','SC',16191,706,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346425,1.00,5.00,3.00,2.00,5.00,NULL,3.00,5.00,0.00,223,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'INTERIOR','FR ROGÉRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7346441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','STO ANTÔNIO PLATINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7346450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA NOVA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7346468,1.00,5.00,1.00,7.00,2.00,NULL,5.00,4.00,4.00,601,NULL,201,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7346484,3.00,4.00,2.00,5.00,6.00,9.00,3.00,4.00,6.00,201,NULL,214,'CENTRO','CANOINHAS','SC',8087,582,NULL,231,NULL,NULL,NULL,2,17),(28,7346492,2.00,2.00,2.00,6.00,4.00,4.50,1.00,4.00,2.00,999,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7346506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AFONSO PENA','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7346514,4.00,2.00,3.00,3.00,5.00,5.63,2.00,2.00,3.00,9,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19389,169,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346522,1.00,5.00,2.00,5.00,7.00,7.50,3.00,3.00,2.00,404,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',17332,52,NULL,NULL,NULL,NULL,NULL,2,1),(28,7346530,1.00,7.00,1.00,5.00,8.00,12.00,5.00,5.00,3.00,103,NULL,NULL,'ITAIPAVA','ITAJAÍ','SC',11180,2149,NULL,NULL,NULL,NULL,NULL,2,6),(28,7346549,6.00,8.00,2.00,7.00,6.00,12.38,5.00,6.00,6.00,103,NULL,NULL,'JD ASTRO','SOROCABA','SP',1722,811,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346557,0.00,2.00,0.00,2.00,2.00,NULL,4.00,3.00,0.00,404,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7346565,0.00,5.00,1.00,5.00,5.00,NULL,0.00,6.00,1.00,316,NULL,NULL,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346573,0.00,3.00,3.00,5.00,7.00,NULL,1.00,2.00,2.00,333,NULL,NULL,'J N S AUXILIADORA','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7346581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'FONSECA','NITERÓI','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7346590,2.00,4.00,2.00,5.00,6.00,NULL,0.00,4.00,2.00,601,NULL,201,'ACARAÍ','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7346611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7346638,1.00,2.00,3.00,3.00,2.00,NULL,2.00,2.00,2.00,655,NULL,653,'BAIRRO ESTREITO','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7346646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7346654,0.00,6.00,1.00,4.00,4.00,7.50,2.00,4.00,1.00,5,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',19428,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7346662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7346670,6.00,9.00,4.00,6.00,6.00,10.88,5.00,7.00,5.00,201,NULL,212,'DOM BOSCO','ITAJAÍ','SC',1394,78,NULL,9,NULL,NULL,NULL,4,6),(28,7346689,0.00,0.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'BELA VISTA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(28,7346697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7346700,3.00,5.00,4.00,4.00,4.00,7.50,2.00,7.00,2.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14540,282,NULL,NULL,NULL,NULL,NULL,2,1),(28,7346719,0.00,7.00,3.00,4.00,7.00,NULL,2.00,6.00,2.00,340,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346727,3.00,7.00,1.00,7.00,8.00,7.13,4.00,5.00,3.00,104,NULL,NULL,'CENTRO','CRICIÚMA','SC',11757,291,NULL,NULL,NULL,NULL,NULL,2,5),(28,7346735,2.00,5.00,3.00,6.00,5.00,8.63,3.00,5.00,2.00,238,NULL,NULL,'RIEBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',15912,272,NULL,NULL,NULL,NULL,NULL,2,1),(28,7346743,1.00,6.00,3.00,4.00,6.00,8.63,2.00,5.00,1.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16900,120,NULL,NULL,NULL,NULL,NULL,2,1),(28,7346751,6.00,8.00,4.00,7.00,7.00,7.88,6.00,7.00,7.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',2533,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7346760,1.00,3.00,1.00,2.00,4.00,4.50,1.00,3.00,2.00,601,NULL,NULL,'NOVA BRASÍLIA','JOINVILLE','SC',19306,544,NULL,NULL,NULL,NULL,NULL,4,8),(28,7346786,2.00,3.00,1.00,3.00,3.00,7.88,2.00,2.00,1.00,999,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7346794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,207,'CENTRO','NONOAI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7346824,2.00,3.00,2.00,4.00,6.00,7.88,2.00,2.00,2.00,451,NULL,NULL,'FEITORIA','S LEOPOLDO','RS',18775,50,NULL,NULL,NULL,NULL,NULL,2,1),(28,7346832,5.00,7.00,2.00,6.00,7.00,10.88,2.00,3.00,3.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10552,427,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7346859,1.00,5.00,3.00,7.00,8.00,10.13,1.00,6.00,1.00,319,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',14577,283,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346867,2.00,4.00,2.00,4.00,7.00,8.25,1.00,5.00,3.00,215,NULL,211,'CENTRO','IMBITUBA','SC',12736,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7346875,1.00,3.00,3.00,1.00,3.00,6.38,2.00,2.00,3.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17619,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346883,7.00,7.00,2.00,7.00,6.00,9.00,3.00,6.00,3.00,454,NULL,NULL,'SUMARÉ','RIO SUL','SC',5767,86,NULL,NULL,NULL,NULL,NULL,4,24),(28,7346891,3.00,4.00,1.00,5.00,5.00,6.75,2.00,5.00,3.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',14698,285,NULL,NULL,NULL,NULL,NULL,2,1),(28,7346905,1.00,3.00,3.00,4.00,3.00,NULL,1.00,3.00,1.00,999,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7346913,3.00,6.00,1.00,5.00,5.00,6.00,4.00,6.00,3.00,316,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',15544,203,NULL,NULL,NULL,NULL,NULL,4,1),(28,7346921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,203,'CRISTO REI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7346930,2.00,7.00,4.00,7.00,5.00,10.50,0.00,7.00,4.00,104,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',10478,252,NULL,NULL,NULL,NULL,NULL,4,22),(28,7346956,3.00,5.00,2.00,4.00,8.00,7.88,2.00,3.00,5.00,444,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',12279,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7346972,1.00,4.00,3.00,5.00,2.00,NULL,0.00,2.00,4.00,9,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7346980,6.00,6.00,2.00,4.00,5.00,5.25,1.00,6.00,2.00,233,NULL,213,'CENTRO','PIRACICABA','SP',12709,283,NULL,217,NULL,NULL,NULL,2,1),(28,7346999,3.00,6.00,3.00,6.00,7.00,8.25,4.00,6.00,4.00,208,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',6083,47,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347006,1.00,4.00,3.00,1.00,3.00,6.75,3.00,5.00,1.00,316,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347014,7.00,7.00,5.00,5.00,9.00,9.75,4.00,6.00,5.00,220,NULL,601,'ATIRADORES','JOINVILLE','SC',1184,29,NULL,NULL,NULL,NULL,NULL,4,8),(28,7347022,1.00,6.00,1.00,5.00,3.00,8.63,3.00,4.00,2.00,415,NULL,NULL,'CENTRO','S LUDGERO','SC',14318,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7347030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,429,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7347049,2.00,6.00,3.00,3.00,3.00,7.13,3.00,5.00,4.00,208,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',12266,138,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347057,4.00,6.00,0.00,6.00,5.00,NULL,3.00,3.00,3.00,328,NULL,NULL,'CENTRO','LIMEIRA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347065,1.00,4.00,1.00,4.00,3.00,7.13,2.00,2.00,2.00,220,NULL,203,'CAMPECHE','FLORIANÓPOLIS','SC',19678,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7347081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7347090,0.00,5.00,2.00,3.00,3.00,7.50,0.00,3.00,2.00,212,NULL,233,'CAMPINAS','S JOSÉ','SC',17345,403,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347103,4.00,6.00,3.00,6.00,6.00,7.13,5.00,5.00,6.00,103,NULL,NULL,'CETRO','IBAITI','PR',5699,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7347111,4.00,4.00,1.00,6.00,3.00,8.63,3.00,7.00,5.00,108,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',14681,198,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347120,3.00,7.00,1.00,7.00,8.00,9.38,3.00,5.00,4.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',6275,205,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347138,4.00,8.00,1.00,6.00,9.00,6.38,3.00,8.00,2.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',11144,108,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347146,5.00,9.00,0.00,8.00,9.00,9.75,3.00,6.00,6.00,201,NULL,233,'VILA OPERÁRIA','ITAJAÍ','SC',2515,NULL,NULL,48,NULL,NULL,NULL,4,6),(28,7347154,3.00,8.00,2.00,7.00,4.00,7.50,3.00,8.00,2.00,340,NULL,NULL,'CENTRO','VARGEM','SC',7541,202,NULL,NULL,NULL,NULL,NULL,2,9),(28,7347162,2.00,8.00,3.00,7.00,5.00,7.50,3.00,5.00,4.00,203,NULL,220,'GRANJA JULIETA','S PAULO','SP',5113,351,NULL,152,NULL,NULL,NULL,4,1),(28,7347189,3.00,6.00,2.00,6.00,3.00,9.00,3.00,7.00,3.00,326,NULL,NULL,'VILA EMA','S JOSÉ CAMPOS','SP',8820,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347200,1.00,7.00,2.00,4.00,6.00,8.25,1.00,5.00,5.00,238,NULL,235,'KOBRASOL','S JOSÉ','SC',10608,163,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347219,2.00,4.00,2.00,5.00,5.00,7.13,0.00,4.00,1.00,340,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347227,3.00,6.00,1.00,7.00,7.00,7.88,0.00,4.00,5.00,216,NULL,211,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',9744,307,NULL,266,NULL,NULL,NULL,2,1),(28,7347235,3.00,3.00,2.00,5.00,3.00,6.38,5.00,4.00,3.00,308,NULL,NULL,'CAMPINAS','S JOSÉ','SC',18552,71,NULL,NULL,NULL,NULL,NULL,2,1),(28,7347260,1.00,4.00,2.00,2.00,3.00,5.25,2.00,3.00,5.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347278,2.00,6.00,2.00,4.00,4.00,7.50,2.00,3.00,5.00,207,NULL,213,'PONTE DO IMARUIM','PALHOÇA','SC',11793,539,NULL,201,NULL,NULL,NULL,2,1),(28,7347286,4.00,6.00,2.00,6.00,8.00,8.63,2.00,5.00,3.00,319,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',7515,123,NULL,NULL,NULL,NULL,NULL,2,1),(28,7347308,4.00,7.00,4.00,6.00,6.00,10.13,3.00,3.00,3.00,316,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',8841,82,NULL,NULL,NULL,NULL,NULL,2,1),(28,7347316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'INGÁ','NITERÓI','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7347324,5.00,8.00,4.00,6.00,9.00,8.63,3.00,7.00,6.00,5,NULL,NULL,'MORRO ESTEVÃO','CRICIÚMA','SC',1947,58,NULL,NULL,NULL,NULL,NULL,4,5),(28,7347332,0.00,6.00,3.00,1.00,1.00,NULL,3.00,4.00,2.00,201,NULL,212,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7347340,0.00,4.00,0.00,2.00,3.00,NULL,0.00,5.00,2.00,201,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7347359,2.00,7.00,2.00,5.00,8.00,9.00,4.00,4.00,4.00,103,NULL,NULL,'CENTRO','IMARUÍ','SC',8455,1944,NULL,NULL,NULL,NULL,NULL,4,10),(28,7347367,5.00,7.00,1.00,7.00,5.00,10.88,3.00,7.00,5.00,999,NULL,NULL,'CENTRO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347375,2.00,4.00,1.00,6.00,4.00,4.88,1.00,5.00,1.00,601,NULL,235,'PROGRESSO','S BENTO SUL','SC',19442,548,NULL,291,NULL,NULL,NULL,2,8),(28,7347383,1.00,7.00,3.00,6.00,4.00,9.38,1.00,5.00,4.00,329,NULL,NULL,'JARDIM BANCARIOS','LONDRINA','PR',10590,8,NULL,NULL,NULL,NULL,NULL,2,1),(28,7347391,1.00,0.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7347413,0.00,4.00,2.00,4.00,2.00,NULL,1.00,2.00,3.00,201,NULL,207,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7347421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7347430,3.00,7.00,3.00,5.00,9.00,7.13,5.00,5.00,2.00,207,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',6378,297,NULL,490,NULL,NULL,NULL,2,1),(28,7347448,2.00,6.00,5.00,4.00,3.00,5.25,1.00,4.00,1.00,234,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',19244,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347456,2.00,3.00,3.00,5.00,2.00,NULL,3.00,2.00,2.00,318,NULL,NULL,'MONTE VERDE','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7347464,3.00,4.00,2.00,7.00,2.00,NULL,1.00,3.00,3.00,110,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7347472,5.00,7.00,6.00,8.00,6.00,9.38,4.00,7.00,6.00,203,NULL,233,'AREIAS','S JOSÉ','SC',3677,269,NULL,93,NULL,NULL,NULL,4,1),(28,7347480,3.00,6.00,1.00,1.00,2.00,NULL,1.00,3.00,4.00,310,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347499,5.00,7.00,4.00,7.00,4.00,7.50,5.00,7.00,7.00,203,NULL,214,'VILA MORANGUEIRA','MARINGÁ','PR',2929,218,NULL,107,NULL,NULL,NULL,4,1),(28,7347502,0.00,3.00,2.00,4.00,3.00,5.63,0.00,2.00,1.00,104,NULL,NULL,'INTERIOR','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7347510,2.00,4.00,1.00,5.00,3.00,6.00,1.00,3.00,1.00,316,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',19943,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7347529,2.00,8.00,1.00,7.00,4.00,5.63,2.00,5.00,4.00,207,NULL,212,'INGLESES DO RIO VERM','FLORIANÓPOLIS','SC',10512,482,NULL,309,NULL,NULL,NULL,4,1),(28,7347537,3.00,6.00,2.00,3.00,6.00,8.25,3.00,4.00,3.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',16054,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,235,'PARQUE OURO VERDE','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7347553,5.00,8.00,3.00,7.00,7.00,9.75,4.00,7.00,5.00,201,NULL,233,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',2518,182,NULL,56,NULL,NULL,NULL,4,1),(28,7347561,0.00,2.00,3.00,1.00,4.00,7.13,2.00,2.00,1.00,108,NULL,NULL,'BREJARÚ','PALHOÇA','SC',20036,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347570,0.00,5.00,2.00,3.00,3.00,6.00,2.00,4.00,3.00,653,NULL,652,'UNIVERSITARIO','CRICIÚMA','SC',19521,208,NULL,103,NULL,NULL,NULL,2,15),(28,7347588,1.00,1.00,1.00,5.00,5.00,6.75,2.00,3.00,2.00,225,NULL,NULL,'BARREIROS','S JOSÉ','SC',16035,34,NULL,NULL,NULL,NULL,NULL,2,1),(28,7347596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','IMARUÍ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7347618,2.00,5.00,3.00,5.00,6.00,7.88,5.00,4.00,2.00,319,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',11332,207,NULL,NULL,NULL,NULL,NULL,2,1),(28,7347626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,NULL,'LA SALLE','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7347642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,214,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7347650,0.00,0.00,1.00,1.00,4.00,5.63,0.00,3.00,3.00,655,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',20167,150,NULL,NULL,NULL,NULL,NULL,2,15),(28,7347669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SOUSAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7347677,0.00,0.00,2.00,3.00,1.00,NULL,0.00,0.00,0.00,238,NULL,655,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7347685,1.00,7.00,3.00,2.00,8.00,6.75,2.00,4.00,3.00,317,NULL,NULL,'ARIRIÚ DA FORMIGA','PALHOÇA','SC',12294,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347693,1.00,4.00,2.00,6.00,7.00,9.75,3.00,5.00,3.00,208,NULL,NULL,'PINGUIRITO','GAROPABA','SC',14732,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347715,3.00,5.00,4.00,6.00,7.00,10.88,2.00,5.00,4.00,103,NULL,NULL,'JARDIM NOVA YORK','CASCAVEL','PR',5984,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7347723,1.00,4.00,2.00,6.00,6.00,7.50,0.00,4.00,4.00,319,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',17582,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347731,1.00,6.00,1.00,6.00,7.00,6.38,2.00,5.00,4.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',12575,568,NULL,806,NULL,NULL,NULL,2,1),(28,7347740,5.00,6.00,3.00,6.00,5.00,9.75,2.00,5.00,3.00,103,NULL,NULL,'ASA NORTE','BRASÍLIA','DF',7923,1893,NULL,NULL,NULL,NULL,NULL,2,1),(28,7347758,1.00,2.00,1.00,0.00,2.00,NULL,2.00,3.00,1.00,655,NULL,238,'CENTRO','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7347774,1.00,7.00,4.00,4.00,5.00,NULL,2.00,5.00,0.00,5,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347782,2.00,5.00,1.00,4.00,5.00,8.25,3.00,4.00,4.00,601,NULL,NULL,'ITACOLOMI','BAL PIÇARRAS','SC',17344,499,NULL,NULL,NULL,NULL,NULL,2,8),(28,7347790,3.00,5.00,2.00,4.00,4.00,7.13,1.00,5.00,1.00,326,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',18622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7347804,5.00,7.00,4.00,8.00,7.00,7.13,4.00,6.00,4.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3821,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347812,5.00,8.00,3.00,7.00,7.00,10.50,4.00,6.00,7.00,103,NULL,NULL,'CENTRO','BRUSQUE','SC',3714,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7347820,0.00,3.00,3.00,6.00,5.00,NULL,0.00,4.00,1.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347847,2.00,7.00,2.00,4.00,8.00,8.25,4.00,4.00,3.00,215,NULL,211,'SERRARIA','S JOSÉ','SC',13493,228,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347871,0.00,2.00,3.00,6.00,1.00,NULL,3.00,4.00,1.00,316,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7347898,4.00,6.00,2.00,6.00,6.00,7.50,4.00,5.00,3.00,202,NULL,203,'ESTREITO','FLORIANÓPOLIS','SC',7799,211,NULL,468,NULL,NULL,NULL,2,1),(28,7347901,1.00,3.00,5.00,7.00,3.00,6.38,2.00,2.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347910,3.00,7.00,3.00,5.00,7.00,NULL,0.00,4.00,0.00,108,NULL,NULL,'CENTRO','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7347936,4.00,8.00,5.00,6.00,8.00,10.50,4.00,5.00,7.00,104,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',2163,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347944,4.00,8.00,3.00,6.00,8.00,7.88,5.00,6.00,4.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',4297,202,NULL,NULL,NULL,NULL,NULL,4,1),(28,7347952,2.00,7.00,2.00,6.00,8.00,7.13,2.00,5.00,5.00,319,NULL,NULL,'BREJARU','PALHOÇA','SC',9677,177,NULL,NULL,NULL,NULL,NULL,2,1),(28,7347960,3.00,9.00,2.00,5.00,6.00,8.25,5.00,6.00,4.00,601,NULL,201,'JARDIM SOFIA','JOINVILLE','SC',10019,277,NULL,NULL,NULL,NULL,NULL,4,8),(28,7347979,2.00,6.00,1.00,5.00,6.00,7.88,6.00,7.00,2.00,211,NULL,214,'RIO TAVARES','FLORIANÓPOLIS','SC',14057,356,NULL,314,NULL,NULL,NULL,2,1),(28,7347987,5.00,8.00,4.00,6.00,6.00,7.88,6.00,6.00,4.00,326,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',4369,3,NULL,NULL,NULL,NULL,NULL,4,22),(28,7347995,0.00,2.00,4.00,5.00,5.00,NULL,3.00,1.00,1.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7348002,3.00,8.00,2.00,3.00,7.00,9.00,2.00,5.00,2.00,214,NULL,238,'RIO CAVEIRAS','BIGUAÇU','SC',14297,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7348010,3.00,6.00,2.00,1.00,6.00,4.50,1.00,5.00,3.00,301,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',15211,212,NULL,NULL,NULL,NULL,NULL,2,1),(28,7348029,0.00,3.00,2.00,7.00,2.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7348037,4.00,6.00,2.00,7.00,3.00,6.75,2.00,5.00,3.00,303,NULL,NULL,'JABAQUARA','S PAULO','SP',9266,383,NULL,NULL,NULL,NULL,NULL,4,6),(28,7348045,2.00,6.00,1.00,3.00,3.00,7.88,3.00,5.00,2.00,316,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',18696,277,NULL,NULL,NULL,NULL,NULL,2,1),(28,7348070,0.00,5.00,3.00,4.00,3.00,6.75,1.00,3.00,6.00,303,NULL,NULL,'BREJARU','PALHOÇA','SC',15961,545,NULL,NULL,NULL,NULL,NULL,2,1),(28,7348088,1.00,3.00,3.00,2.00,1.00,NULL,2.00,3.00,0.00,207,NULL,212,'SÂO CRISTOVÂO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7348096,1.00,6.00,1.00,4.00,4.00,9.00,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',14388,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7348100,4.00,7.00,3.00,7.00,5.00,7.50,1.00,6.00,3.00,999,NULL,NULL,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7348118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7348126,0.00,2.00,1.00,1.00,5.00,NULL,0.00,4.00,2.00,208,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',6,1),(28,7348134,2.00,3.00,3.00,4.00,5.00,6.00,5.00,4.00,3.00,502,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',12814,19,NULL,NULL,NULL,NULL,NULL,2,1),(28,7348142,3.00,3.00,1.00,3.00,4.00,6.38,2.00,4.00,3.00,654,NULL,NULL,'RAIZEIRA','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7348150,0.00,5.00,1.00,6.00,5.00,NULL,3.00,4.00,4.00,201,NULL,212,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7348185,1.00,5.00,2.00,6.00,3.00,4.50,2.00,5.00,3.00,2,NULL,NULL,'NOVA ESPERANÇA','BAL CAMBORIÚ','SC',18717,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7348193,2.00,6.00,1.00,6.00,6.00,7.88,4.00,5.00,2.00,208,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15095,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7348207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7348215,3.00,5.00,3.00,4.00,7.00,7.50,4.00,4.00,4.00,303,NULL,NULL,'JOÂO PAULO','FLORIANÓPOLIS','SC',9709,399,NULL,NULL,NULL,NULL,NULL,4,1),(28,7348223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7348274,2.00,7.00,3.00,6.00,8.00,7.88,1.00,7.00,6.00,220,NULL,202,'ROÇADO','S JOSÉ','SC',5566,163,NULL,156,NULL,NULL,NULL,2,1),(28,7348282,2.00,6.00,2.00,6.00,7.00,7.50,3.00,5.00,1.00,303,NULL,NULL,'JARDIM ITALIA','COCAL SUL','SC',12614,477,NULL,NULL,NULL,NULL,NULL,2,5),(28,7348290,0.00,5.00,0.00,3.00,6.00,NULL,4.00,4.00,1.00,999,NULL,NULL,'SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,2),(28,7348304,1.00,6.00,1.00,4.00,6.00,9.38,3.00,5.00,2.00,429,NULL,426,'CAPOEIRAS','FLORIANÓPOLIS','SC',11165,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7348312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,233,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7348339,0.00,1.00,2.00,3.00,4.00,NULL,2.00,1.00,1.00,238,NULL,211,'JARDIM CIDADE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7348347,2.00,7.00,2.00,7.00,6.00,9.75,3.00,1.00,2.00,317,NULL,NULL,'CENTRO','CIDREIRA','RS',9545,31,NULL,NULL,NULL,NULL,NULL,2,5),(28,7348355,1.00,6.00,4.00,6.00,4.00,9.75,4.00,4.00,1.00,428,NULL,427,'CENTRO','FLORIANÓPOLIS','SC',15074,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7348363,0.00,5.00,2.00,5.00,5.00,NULL,4.00,3.00,5.00,303,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7348371,1.00,4.00,4.00,5.00,4.00,6.38,1.00,2.00,0.00,233,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',19647,352,NULL,302,NULL,NULL,NULL,2,1),(28,7348380,2.00,5.00,0.00,2.00,4.00,NULL,1.00,3.00,4.00,301,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7348398,1.00,4.00,3.00,4.00,4.00,7.88,1.00,4.00,1.00,104,NULL,NULL,'OFICINAS','TUBARÃO','SC',16051,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7348401,4.00,8.00,3.00,6.00,8.00,10.88,3.00,8.00,6.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',1928,868,NULL,NULL,NULL,NULL,NULL,4,3),(28,7348410,5.00,5.00,1.00,4.00,6.00,8.25,3.00,5.00,5.00,102,NULL,NULL,'CENTRO','LAGES','SC',9560,81,NULL,NULL,NULL,NULL,NULL,4,9),(28,7348428,0.00,3.00,3.00,2.00,4.00,NULL,3.00,2.00,3.00,233,NULL,215,'SOSSEGO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7348444,0.00,4.00,0.00,0.00,1.00,NULL,0.00,3.00,0.00,301,NULL,NULL,'SANTA CLARA','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7348452,2.00,7.00,3.00,5.00,5.00,4.50,3.00,5.00,2.00,201,NULL,233,'CENTRO','PTE ALTA NORTE','SC',14761,899,NULL,307,NULL,NULL,NULL,2,9),(28,7348460,3.00,7.00,4.00,7.00,7.00,9.00,4.00,6.00,7.00,454,NULL,NULL,'CENTRO','CRICIÚMA','SC',4963,63,NULL,NULL,NULL,NULL,NULL,4,5),(28,7348487,1.00,1.00,2.00,5.00,5.00,NULL,2.00,4.00,0.00,339,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7348495,3.00,6.00,3.00,5.00,1.00,NULL,4.00,6.00,3.00,214,NULL,201,'RODOVIÁRIA','ANDRADINA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7348509,4.00,8.00,3.00,6.00,5.00,9.00,5.00,7.00,4.00,201,NULL,203,'ATIRADORES','JOINVILLE','SC',3589,279,NULL,260,NULL,NULL,NULL,2,1),(28,7348517,0.00,4.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,655,NULL,653,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7348525,1.00,5.00,1.00,5.00,4.00,8.25,3.00,5.00,3.00,999,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7348533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7348541,0.00,5.00,3.00,7.00,5.00,10.13,5.00,5.00,3.00,5,NULL,NULL,'S ANTONIO DE LISBOA','FLORIANÓPOLIS','SC',13408,374,NULL,NULL,NULL,NULL,NULL,4,1),(28,7348550,0.00,3.00,3.00,6.00,6.00,6.38,2.00,3.00,1.00,103,NULL,NULL,'JARDIM ELDORADO','VILHENA','RO',15497,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7348568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7348576,3.00,8.00,2.00,7.00,8.00,8.25,2.00,5.00,4.00,214,NULL,NULL,'EMBARÉ','SANTOS','SP',5712,179,NULL,NULL,NULL,NULL,NULL,4,6),(28,7348584,3.00,3.00,1.00,6.00,4.00,6.75,3.00,5.00,3.00,201,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',13484,846,NULL,NULL,NULL,NULL,NULL,2,1),(28,7348592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,216,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7348606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,22),(28,7348614,1.00,3.00,3.00,5.00,5.00,6.38,3.00,4.00,1.00,110,NULL,NULL,'SANTA TEREZA','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7348622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7348630,1.00,7.00,0.00,6.00,4.00,6.38,1.00,4.00,3.00,999,NULL,NULL,'VILA SÃO JOSÉ','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7348649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,601,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7348657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PICANÇO','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7348665,3.00,7.00,3.00,6.00,8.00,8.63,4.00,6.00,6.00,340,NULL,NULL,'JARDIM URBANO','PALOTINA','PR',3454,79,NULL,NULL,NULL,NULL,NULL,4,4),(28,7348681,1.00,5.00,4.00,1.00,2.00,NULL,2.00,5.00,0.00,202,NULL,216,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7348690,1.00,6.00,1.00,7.00,5.00,4.50,1.00,4.00,1.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18648,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7348703,1.00,4.00,2.00,6.00,3.00,7.13,2.00,5.00,2.00,415,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7348711,2.00,6.00,4.00,6.00,3.00,7.88,2.00,3.00,2.00,303,NULL,NULL,'CENTRO','LAGES','SC',11545,448,NULL,NULL,NULL,NULL,NULL,4,9),(28,7348720,0.00,3.00,3.00,4.00,2.00,NULL,0.00,2.00,0.00,104,NULL,NULL,'AGUA VERDE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,2),(28,7348738,0.00,2.00,2.00,2.00,3.00,8.63,3.00,3.00,1.00,230,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7348746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7348754,0.00,7.00,3.00,6.00,3.00,NULL,2.00,7.00,2.00,999,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7348762,0.00,5.00,1.00,5.00,4.00,NULL,0.00,5.00,0.00,238,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7348770,2.00,5.00,1.00,6.00,5.00,7.13,3.00,4.00,3.00,331,NULL,NULL,'JARDIM SÃO VICENTE','STA RITA P QUATRO','SP',13159,32,NULL,NULL,NULL,NULL,NULL,4,8),(28,7348789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7348819,0.00,6.00,2.00,4.00,1.00,NULL,0.00,6.00,2.00,404,NULL,NULL,'ABRAÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7348827,0.00,2.00,0.00,3.00,2.00,NULL,1.00,3.00,1.00,454,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7348835,2.00,6.00,0.00,5.00,7.00,9.38,3.00,5.00,5.00,103,NULL,NULL,'RES VALE DO ARVOREDO','LONDRINA','PR',7901,1888,NULL,NULL,NULL,NULL,NULL,4,3),(28,7348843,2.00,8.00,5.00,6.00,5.00,8.25,3.00,5.00,6.00,601,NULL,220,'JARDIM JEQUITIBÁ','INDAIATUBA','SP',5275,98,NULL,NULL,NULL,NULL,NULL,4,8),(28,7348860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'NOVA DESCOBERTA','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7348894,0.00,3.00,0.00,1.00,6.00,NULL,1.00,2.00,1.00,999,NULL,NULL,'CENTENÁRIO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7348908,3.00,7.00,1.00,5.00,4.00,6.38,2.00,5.00,3.00,502,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17087,41,NULL,NULL,NULL,NULL,NULL,2,1),(28,7348916,0.00,6.00,0.00,4.00,4.00,6.75,3.00,8.00,3.00,201,NULL,212,'CENTRO','ARROIO TRINTA','SC',12335,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7348924,5.00,7.00,3.00,7.00,8.00,10.50,2.00,7.00,6.00,5,NULL,NULL,'VILA MONTEIRO','PIRACICABA','SP',2268,73,NULL,NULL,NULL,NULL,NULL,4,1),(28,7348940,4.00,6.00,2.00,4.00,7.00,11.25,3.00,5.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',4834,1470,NULL,NULL,NULL,NULL,NULL,4,1),(28,7348959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TANCREDO NEVES','LIMEIRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7348967,0.00,4.00,2.00,5.00,3.00,6.00,2.00,6.00,2.00,215,NULL,220,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',17620,279,NULL,331,NULL,NULL,NULL,2,1),(28,7348975,2.00,3.00,3.00,2.00,4.00,8.63,2.00,4.00,2.00,552,NULL,NULL,'SANTO ANTONIO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7348983,4.00,7.00,2.00,6.00,6.00,8.63,1.00,5.00,3.00,317,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',13285,78,NULL,NULL,NULL,NULL,NULL,2,1),(28,7348991,2.00,4.00,2.00,3.00,2.00,NULL,1.00,5.00,1.00,238,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349009,3.00,6.00,2.00,3.00,3.00,6.75,3.00,4.00,2.00,216,NULL,215,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',17863,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349017,2.00,3.00,1.00,0.00,2.00,NULL,2.00,5.00,1.00,404,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349025,1.00,0.00,1.00,5.00,2.00,NULL,0.00,0.00,0.00,201,NULL,202,'SANTO ANTONIO','BRAGA','RS',NULL,NULL,NULL,NULL,NULL,'S','S',2,4),(28,7349041,3.00,4.00,1.00,4.00,2.00,NULL,1.00,2.00,2.00,340,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349050,2.00,5.00,3.00,7.00,9.00,9.38,1.00,5.00,3.00,201,NULL,213,'DOM BOSCO','ITAJAÍ','SC',12365,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7349068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'PACAEMBU','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7349084,7.00,7.00,3.00,7.00,8.00,9.38,2.00,5.00,7.00,203,NULL,220,'JARDIM MORUMBI','S PAULO','SP',1707,153,NULL,46,NULL,NULL,NULL,4,1),(28,7349092,0.00,2.00,0.00,6.00,2.00,NULL,1.00,2.00,2.00,502,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7349106,2.00,6.00,2.00,5.00,2.00,NULL,2.00,6.00,2.00,310,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7349114,7.00,8.00,7.00,6.00,8.00,7.88,6.00,7.00,8.00,211,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',520,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349122,1.00,4.00,2.00,2.00,3.00,7.88,1.00,3.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349130,2.00,2.00,1.00,3.00,5.00,7.13,3.00,3.00,2.00,301,NULL,NULL,'CENTRO','PALHOÇA','SC',17193,236,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349149,5.00,3.00,1.00,5.00,4.00,7.50,4.00,4.00,1.00,655,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7349157,2.00,4.00,3.00,4.00,5.00,8.63,2.00,3.00,3.00,215,NULL,213,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7349165,5.00,5.00,3.00,6.00,5.00,7.13,3.00,7.00,3.00,201,NULL,207,'PICADAS DO SUL','S JOSÉ','SC',6555,505,NULL,303,NULL,NULL,NULL,2,1),(28,7349173,6.00,7.00,2.00,6.00,9.00,7.88,4.00,7.00,6.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',2144,922,NULL,NULL,NULL,NULL,NULL,2,4),(28,7349181,0.00,6.00,3.00,4.00,3.00,NULL,1.00,4.00,2.00,301,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7349190,4.00,7.00,1.00,6.00,6.00,9.75,3.00,6.00,4.00,999,NULL,NULL,'PETRÓPOLIS','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7349203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,235,'ALTO BOA VISTA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7349211,4.00,4.00,5.00,6.00,4.00,8.63,2.00,4.00,4.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',8302,1929,NULL,NULL,NULL,NULL,NULL,2,17),(28,7349220,5.00,6.00,2.00,5.00,8.00,8.25,5.00,6.00,3.00,207,NULL,201,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',6767,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7349238,2.00,6.00,0.00,5.00,4.00,7.13,1.00,4.00,2.00,207,NULL,201,'BUENO','GOIÂNIA','GO',18132,770,NULL,NULL,NULL,NULL,NULL,2,1),(28,7349246,2.00,4.00,2.00,4.00,5.00,10.13,2.00,4.00,3.00,415,NULL,NULL,'CENTRO','S BORJA','RS',14776,232,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349254,2.00,3.00,2.00,6.00,5.00,5.63,2.00,4.00,3.00,212,NULL,601,'PONTE DO IMARUIM','PALHOÇA','SC',18394,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7349262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7349270,1.00,5.00,1.00,3.00,6.00,7.13,2.00,2.00,2.00,208,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',16013,177,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349289,4.00,3.00,1.00,5.00,3.00,6.75,3.00,4.00,2.00,104,NULL,NULL,'ESTREITO','ALFREDO WAGNER','SC',16173,399,NULL,NULL,NULL,NULL,NULL,2,9),(28,7349297,7.00,8.00,3.00,6.00,8.00,12.00,6.00,7.00,7.00,203,NULL,233,'COQUEIROS','FLORIANÓPOLIS','SC',676,64,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'VILA ESPERANÇA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7349327,0.00,5.00,2.00,6.00,5.00,NULL,0.00,3.00,2.00,308,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7349343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'JARDIM AMÉRICA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7349351,2.00,6.00,0.00,5.00,6.00,9.00,1.00,2.00,2.00,103,NULL,NULL,'JARDIM SILVANA','IÇARA','SC',18072,2474,NULL,NULL,NULL,NULL,NULL,2,5),(28,7349360,0.00,4.00,0.00,4.00,5.00,NULL,0.00,2.00,2.00,324,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349394,5.00,6.00,3.00,7.00,4.00,NULL,3.00,5.00,2.00,999,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7349408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7349416,2.00,4.00,1.00,7.00,6.00,7.13,3.00,4.00,3.00,5,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',16700,445,NULL,NULL,NULL,NULL,NULL,2,1),(28,7349424,3.00,8.00,2.00,3.00,8.00,10.88,3.00,5.00,5.00,319,NULL,NULL,'ANITA GARIBALDI','JOINVILLE','SC',9240,163,NULL,NULL,NULL,NULL,NULL,2,8),(28,7349432,4.00,7.00,2.00,7.00,6.00,7.13,5.00,4.00,4.00,102,NULL,NULL,'CENTRO','NOVA TRENTO','SC',7277,52,NULL,NULL,NULL,NULL,NULL,2,22),(28,7349440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'PARQUE SAO JORGE','FRANCA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7349459,2.00,5.00,2.00,5.00,5.00,6.75,3.00,4.00,1.00,103,NULL,NULL,'CENTRO','TUBARÃO','SC',17878,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7349467,1.00,2.00,2.00,1.00,2.00,NULL,0.00,2.00,0.00,444,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349483,2.00,7.00,1.00,5.00,7.00,6.75,3.00,4.00,2.00,320,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',10958,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349491,1.00,2.00,1.00,2.00,2.00,NULL,1.00,3.00,2.00,316,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7349505,1.00,7.00,3.00,4.00,5.00,NULL,0.00,3.00,2.00,103,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349513,2.00,8.00,4.00,5.00,5.00,0.00,3.00,8.00,6.00,103,NULL,NULL,'CENTRO','DIONÍSIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7349521,1.00,2.00,5.00,1.00,3.00,7.88,3.00,1.00,1.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7349530,0.00,6.00,1.00,5.00,4.00,5.25,1.00,3.00,1.00,301,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',16499,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7349556,2.00,4.00,2.00,2.00,4.00,6.00,5.00,4.00,2.00,216,NULL,655,'QUARTA LINHA','CRICIÚMA','SC',15538,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7349564,4.00,6.00,2.00,5.00,8.00,8.63,5.00,7.00,4.00,340,NULL,NULL,'GARCIA','BLUMENAU','SC',8886,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7349580,6.00,4.00,4.00,6.00,9.00,7.88,2.00,4.00,5.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',5053,1498,NULL,NULL,NULL,NULL,NULL,4,4),(28,7349599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7349610,4.00,8.00,2.00,7.00,5.00,10.50,6.00,6.00,4.00,207,NULL,201,'VELHA','NOVA TRENTO','SC',4120,165,NULL,NULL,NULL,NULL,NULL,4,22),(28,7349629,6.00,8.00,3.00,5.00,9.00,10.50,5.00,7.00,7.00,103,NULL,NULL,'LIBERDADE','S PAULO','SP',843,485,NULL,NULL,NULL,NULL,NULL,4,8),(28,7349645,5.00,7.00,5.00,7.00,8.00,10.50,5.00,5.00,5.00,103,NULL,NULL,'CAMPO GRANDE','SANTOS','SP',1445,726,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349653,3.00,6.00,2.00,3.00,5.00,6.75,3.00,3.00,4.00,303,NULL,NULL,'MARTORANO','S JOAQUIM','SC',16972,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7349661,4.00,7.00,0.00,7.00,8.00,7.88,3.00,6.00,6.00,5,NULL,NULL,'NOVA POMPÉIA','PIRACICABA','SP',3111,111,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349670,4.00,7.00,4.00,7.00,8.00,11.25,4.00,6.00,5.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2539,85,NULL,NULL,NULL,NULL,NULL,2,1),(28,7349688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7349696,5.00,8.00,5.00,8.00,9.00,9.38,6.00,7.00,8.00,103,NULL,NULL,'CAMBUÍ','CAMPINAS','SP',288,217,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349700,2.00,5.00,3.00,7.00,5.00,7.88,3.00,7.00,3.00,203,NULL,214,'CENTRO','APUCARANA','PR',7280,442,NULL,219,NULL,NULL,NULL,4,8),(28,7349718,1.00,3.00,1.00,6.00,3.00,9.38,1.00,2.00,2.00,552,NULL,NULL,'LAGOAS','VÍTOR MEIRELES','SC',19536,147,NULL,NULL,NULL,NULL,NULL,2,24),(28,7349726,3.00,3.00,1.00,6.00,4.00,4.88,2.00,3.00,3.00,104,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7349734,5.00,8.00,3.00,6.00,8.00,10.13,4.00,4.00,5.00,207,NULL,201,'CORDEIROS','ITAJAÍ','SC',3003,107,NULL,225,NULL,NULL,NULL,4,6),(28,7349742,1.00,7.00,3.00,5.00,7.00,7.13,2.00,6.00,1.00,103,NULL,NULL,'JARDIM AMÉRICA','GOIÂNIA','GO',7723,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7349750,4.00,7.00,1.00,7.00,4.00,12.75,2.00,4.00,4.00,207,NULL,216,'VILA IPIRANGA','PTO ALEGRE','RS',7085,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349769,4.00,9.00,5.00,6.00,8.00,9.38,5.00,5.00,3.00,201,NULL,203,'VILA VERDE','GAURAMA','RS',1833,112,NULL,159,NULL,NULL,NULL,4,26),(28,7349777,3.00,4.00,3.00,7.00,8.00,8.63,2.00,5.00,3.00,216,NULL,653,'CENTRO','FLORIANÓPOLIS','SC',6341,219,NULL,64,NULL,NULL,NULL,4,1),(28,7349785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,238,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7349793,5.00,8.00,3.00,5.00,5.00,8.25,2.00,6.00,5.00,653,NULL,652,'CENTRO','ARARANGUÁ','SC',10115,NULL,NULL,20,NULL,NULL,NULL,4,15),(28,7349807,0.00,2.00,0.00,1.00,1.00,NULL,1.00,2.00,1.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'SALETE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,26),(28,7349858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TIJUCA','RIO JANEIRO','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7349866,3.00,5.00,2.00,4.00,4.00,6.38,2.00,2.00,1.00,201,NULL,215,'ESTREITO','FLORIANÓPOLIS','SC',19477,1043,NULL,299,NULL,NULL,NULL,2,1),(28,7349874,3.00,4.00,4.00,4.00,4.00,3.00,3.00,3.00,3.00,207,NULL,655,'CENTRO','CAXAMBU SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7349890,0.00,2.00,0.00,6.00,3.00,5.25,1.00,3.00,2.00,318,NULL,NULL,'NOSSA S DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7349912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7349920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CIDADE ALTA','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7349939,0.00,6.00,1.00,1.00,7.00,NULL,2.00,5.00,3.00,999,NULL,NULL,'PICADAS DO SUL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7349947,1.00,3.00,2.00,2.00,2.00,NULL,2.00,3.00,2.00,319,NULL,NULL,'PINHEIRINHO','MACEIÓ','AL',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7349963,2.00,6.00,1.00,5.00,8.00,8.25,2.00,1.00,6.00,212,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',8539,256,NULL,146,NULL,NULL,NULL,2,1),(28,7349980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'LAGO NORTE','LG NORTE','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7350007,1.00,6.00,1.00,6.00,8.00,7.88,3.00,5.00,4.00,103,NULL,NULL,'VALPARAISO','BLUMENAU','SC',8942,1991,NULL,NULL,NULL,NULL,NULL,2,1),(28,7350015,0.00,3.00,3.00,5.00,7.00,5.63,2.00,3.00,2.00,208,NULL,NULL,'BELA VISTA','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350023,1.00,2.00,0.00,7.00,5.00,NULL,1.00,3.00,0.00,303,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7350031,1.00,5.00,1.00,5.00,5.00,10.13,0.00,6.00,2.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18165,262,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350058,1.00,4.00,2.00,1.00,5.00,6.38,0.00,4.00,0.00,339,NULL,NULL,'UNIVERSITÁRIO','BIGUAÇU','SC',20061,66,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350074,0.00,4.00,3.00,4.00,4.00,6.75,2.00,3.00,3.00,425,NULL,428,'VENDAVAL','BIGUAÇU','SC',16579,NULL,NULL,54,NULL,NULL,NULL,4,1),(28,7350082,0.00,2.00,3.00,1.00,4.00,NULL,0.00,2.00,0.00,202,NULL,233,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7350090,5.00,3.00,2.00,5.00,4.00,6.75,1.00,3.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350104,1.00,6.00,2.00,0.00,6.00,5.25,1.00,4.00,2.00,551,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',17852,47,NULL,NULL,NULL,NULL,NULL,4,16),(28,7350112,3.00,7.00,2.00,7.00,6.00,9.00,3.00,5.00,4.00,454,NULL,NULL,'ZONA CINCO','MARINGÁ','PR',11795,234,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350120,3.00,5.00,2.00,5.00,3.00,7.50,5.00,4.00,4.00,214,NULL,213,'CENTRO','CANOINHAS','SC',12096,288,NULL,206,NULL,NULL,NULL,2,17),(28,7350139,5.00,7.00,2.00,7.00,5.00,6.00,2.00,5.00,2.00,454,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',10755,205,NULL,NULL,NULL,NULL,NULL,2,1),(28,7350147,3.00,6.00,0.00,3.00,6.00,9.38,2.00,4.00,1.00,103,NULL,NULL,'VILA NOVA','NOVO HAMBURGO','RS',13589,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7350155,4.00,7.00,1.00,6.00,7.00,9.00,4.00,6.00,5.00,211,NULL,215,'NSSA SRA DO ROSÁRIO','S JOSÉ','SC',4086,103,NULL,56,NULL,NULL,NULL,2,1),(28,7350163,5.00,6.00,2.00,6.00,4.00,6.75,2.00,6.00,2.00,415,NULL,NULL,'PERDIZES','S PAULO','SP',8265,129,NULL,NULL,NULL,NULL,NULL,2,1),(28,7350180,0.00,4.00,2.00,5.00,4.00,3.00,2.00,4.00,3.00,108,NULL,NULL,'VALE DO SOL','BIRIGÜI','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7350198,1.00,8.00,2.00,5.00,7.00,9.75,5.00,7.00,3.00,332,NULL,NULL,'BARREIROS','S JOSÉ','SC',10621,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350201,1.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,5,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7350210,0.00,7.00,1.00,6.00,3.00,7.13,0.00,5.00,0.00,999,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350228,2.00,7.00,1.00,5.00,6.00,9.75,4.00,4.00,2.00,238,NULL,655,'SANTA RITA','BRUSQUE','SC',9576,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7350236,0.00,2.00,2.00,4.00,4.00,4.50,2.00,3.00,2.00,301,NULL,NULL,'SERRARIA','S JOSÉ','SC',18801,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7350244,3.00,6.00,4.00,5.00,6.00,6.00,4.00,4.00,2.00,202,NULL,238,'AGRONÔMICA','FLORIANÓPOLIS','SC',14781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,212,'PARQUE DOS PRINCIPES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7350260,2.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7350279,2.00,5.00,3.00,5.00,7.00,7.13,4.00,4.00,2.00,9,NULL,NULL,'SÃO MARCOS','JOINVILLE','SC',9708,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7350287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7350295,2.00,7.00,4.00,5.00,6.00,4.50,3.00,5.00,4.00,212,NULL,211,'CAMPECHE','FLORIANÓPOLIS','SC',9600,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350309,2.00,2.00,2.00,5.00,5.00,5.25,1.00,3.00,4.00,304,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',16677,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7350317,4.00,6.00,3.00,5.00,5.00,6.75,3.00,5.00,4.00,999,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7350325,5.00,6.00,4.00,6.00,10.00,7.88,5.00,7.00,7.00,233,NULL,601,'ROÇADO','S JOSÉ','SC',1659,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7350333,3.00,5.00,2.00,4.00,8.00,8.63,2.00,4.00,2.00,103,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',9049,2000,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350350,0.00,3.00,2.00,6.00,4.00,7.88,1.00,2.00,4.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',17075,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7350376,1.00,2.00,3.00,5.00,3.00,7.50,2.00,3.00,2.00,999,NULL,NULL,'RECIFE','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7350384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'BARRA DA LAGOIA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7350392,0.00,6.00,1.00,6.00,3.00,11.63,0.00,7.00,0.00,326,NULL,NULL,'CENTRO','HERVAL D OESTE','SC',17857,54,NULL,NULL,NULL,NULL,NULL,5,1),(28,7350406,2.00,3.00,1.00,5.00,5.00,7.13,2.00,3.00,1.00,103,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',19371,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350414,1.00,4.00,3.00,3.00,4.00,7.88,0.00,4.00,1.00,655,NULL,653,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',19343,128,NULL,207,NULL,NULL,NULL,4,15),(28,7350422,1.00,3.00,3.00,5.00,5.00,4.50,0.00,1.00,1.00,303,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7350430,2.00,5.00,1.00,3.00,5.00,7.88,1.00,4.00,4.00,301,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14237,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7350449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CAETANO BRANCO','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7350457,1.00,7.00,2.00,5.00,4.00,6.75,2.00,3.00,3.00,441,NULL,NULL,'ESTRELAS','VIÇOSA','MG',13711,4,NULL,NULL,NULL,NULL,NULL,6,1),(28,7350473,6.00,8.00,2.00,6.00,7.00,5.25,2.00,8.00,5.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',5116,1511,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350481,2.00,5.00,3.00,6.00,2.00,NULL,2.00,5.00,2.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7350511,2.00,1.00,1.00,3.00,3.00,6.00,1.00,4.00,2.00,9,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',18906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350520,5.00,5.00,2.00,4.00,8.00,9.00,2.00,4.00,4.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',10166,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350546,3.00,7.00,2.00,3.00,5.00,7.88,1.00,7.00,3.00,454,NULL,NULL,'CENTRO','LAGES','SC',10197,191,NULL,NULL,NULL,NULL,NULL,4,9),(28,7350562,0.00,5.00,1.00,1.00,6.00,NULL,1.00,2.00,2.00,103,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7350570,0.00,4.00,1.00,5.00,6.00,7.13,0.00,1.00,1.00,335,NULL,NULL,'SÃO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7350589,1.00,0.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'NOVA FÁTIMA','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,10),(28,7350600,2.00,4.00,1.00,3.00,6.00,7.50,4.00,4.00,3.00,309,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',13020,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350619,1.00,6.00,1.00,4.00,9.00,7.13,4.00,6.00,4.00,201,NULL,207,'MAR GROSSO','LAGUNA','SC',9765,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7350627,4.00,6.00,3.00,6.00,6.00,9.75,4.00,6.00,3.00,202,NULL,238,'NSA SRA DO ROSÁRIO','S JOSÉ','SC',10676,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350635,0.00,7.00,2.00,7.00,6.00,9.00,1.00,6.00,1.00,415,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',10414,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350643,1.00,5.00,1.00,8.00,2.00,NULL,4.00,5.00,3.00,301,NULL,NULL,'VILA MONTEIRO','PIRACICABA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350678,3.00,6.00,2.00,6.00,7.00,9.75,2.00,6.00,3.00,233,NULL,211,'ABRAÃO','FLORIANÓPOLIS','SC',5733,150,NULL,151,NULL,NULL,NULL,4,1),(28,7350694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7350708,4.00,8.00,2.00,4.00,7.00,7.50,4.00,7.00,4.00,104,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',4221,66,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'JD AQUARIUS','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7350732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,655,'CENTRO','GLÓRIA DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7350740,1.00,4.00,0.00,5.00,6.00,NULL,2.00,3.00,1.00,319,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7350759,2.00,4.00,1.00,4.00,3.00,6.75,1.00,4.00,2.00,234,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',19468,64,NULL,NULL,NULL,NULL,NULL,2,3),(28,7350767,0.00,3.00,2.00,1.00,2.00,NULL,3.00,3.00,3.00,101,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7350775,3.00,3.00,1.00,4.00,4.00,5.63,1.00,3.00,1.00,332,NULL,NULL,'PANTANO DO SUL','FLORIANÓPOLIS','SC',19873,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7350783,1.00,6.00,2.00,4.00,6.00,7.13,2.00,3.00,3.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350805,0.00,5.00,2.00,2.00,2.00,NULL,1.00,2.00,0.00,454,NULL,NULL,'SÃO CRISTOVÃO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7350813,4.00,6.00,2.00,6.00,7.00,8.63,1.00,6.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350821,3.00,6.00,0.00,7.00,6.00,6.38,1.00,6.00,0.00,320,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',17296,50,NULL,NULL,NULL,NULL,NULL,2,3),(28,7350830,2.00,5.00,1.00,3.00,3.00,4.88,1.00,6.00,1.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350848,2.00,6.00,2.00,5.00,8.00,8.25,3.00,4.00,5.00,101,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',8331,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350856,1.00,5.00,2.00,7.00,5.00,10.13,1.00,5.00,3.00,207,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8724,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7350864,1.00,4.00,0.00,6.00,2.00,NULL,0.00,5.00,1.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7350872,4.00,8.00,1.00,7.00,7.00,9.75,3.00,7.00,2.00,450,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9628,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7350902,2.00,6.00,2.00,4.00,5.00,7.50,3.00,4.00,1.00,202,NULL,220,'FORQUILHAS','S JOSÉ','SC',13734,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7350910,2.00,6.00,2.00,3.00,4.00,8.25,0.00,2.00,2.00,450,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',15335,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7350929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7350937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CAMBIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7350945,3.00,7.00,3.00,6.00,7.00,7.50,2.00,7.00,3.00,212,NULL,211,'CACUPÉ','FLORIANÓPOLIS','SC',6345,199,NULL,172,NULL,NULL,NULL,2,1),(28,7350961,5.00,6.00,1.00,7.00,10.00,9.75,4.00,5.00,5.00,103,NULL,NULL,'ESTRELA','PNT GROSSA','PR',2441,1009,NULL,NULL,NULL,NULL,NULL,2,17),(28,7350988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7350996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,441,NULL,NULL,'PICADAS DO NORTE','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',6,1),(28,7351011,3.00,4.00,3.00,6.00,5.00,4.88,2.00,3.00,2.00,999,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7351046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7351054,3.00,7.00,1.00,4.00,4.00,NULL,1.00,4.00,3.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7351062,3.00,7.00,3.00,5.00,8.00,8.63,4.00,6.00,4.00,216,NULL,211,'MAR GROSSO','LAGUNA','SC',6451,221,NULL,174,NULL,NULL,NULL,4,10),(28,7351089,3.00,5.00,1.00,5.00,5.00,5.63,1.00,5.00,4.00,214,NULL,201,'PORTAL DAS ROSAS','LIMEIRA','SP',10855,271,NULL,715,NULL,NULL,NULL,4,1),(28,7351097,4.00,8.00,5.00,7.00,8.00,9.75,6.00,7.00,6.00,208,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',756,2,NULL,NULL,NULL,NULL,NULL,4,5),(28,7351100,2.00,7.00,3.00,6.00,10.00,10.50,5.00,5.00,3.00,104,NULL,NULL,'CENTRO','DIADEMA','SP',4838,86,NULL,NULL,NULL,NULL,NULL,4,1),(28,7351119,7.00,8.00,5.00,6.00,9.00,8.25,5.00,7.00,7.00,216,NULL,203,'VILA GOMES CARDIM','S PAULO','SP',427,6,NULL,NULL,NULL,NULL,NULL,4,8),(28,7351127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,421,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7351135,6.00,9.00,3.00,7.00,7.00,7.13,5.00,8.00,6.00,415,NULL,NULL,'JARDIM CENTENÁRIO','S CARLOS','SP',1413,11,NULL,NULL,NULL,NULL,NULL,4,22),(28,7351143,0.00,3.00,1.00,3.00,3.00,NULL,0.00,3.00,1.00,999,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7351151,1.00,3.00,3.00,5.00,6.00,6.38,1.00,4.00,2.00,301,NULL,NULL,'BARREIROS','S JOSÉ','SC',16304,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7351160,4.00,8.00,1.00,8.00,9.00,12.75,4.00,4.00,4.00,340,NULL,NULL,'JARDIM ACLIMAÇAO','MARINGÁ','PR',2837,62,NULL,NULL,NULL,NULL,NULL,4,1),(28,7351178,0.00,0.00,2.00,4.00,2.00,NULL,0.00,0.00,0.00,230,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7351186,0.00,3.00,1.00,1.00,3.00,5.25,1.00,1.00,2.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7351194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'JARDIM DOS ESTADOS','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7351208,1.00,3.00,2.00,4.00,4.00,3.00,0.00,2.00,1.00,301,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7351224,1.00,4.00,1.00,2.00,1.00,NULL,0.00,4.00,2.00,208,NULL,NULL,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7351232,0.00,3.00,1.00,6.00,4.00,NULL,0.00,3.00,1.00,301,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7351240,3.00,6.00,2.00,4.00,3.00,7.50,2.00,6.00,3.00,653,NULL,601,'MAR GROSSO','LAGUNA','SC',14922,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7351259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GLEBA PALHANO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7351267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'JARDIM GISELA','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7351275,0.00,4.00,1.00,1.00,3.00,7.88,3.00,3.00,2.00,502,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19988,73,NULL,NULL,NULL,NULL,NULL,4,1),(28,7351283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7351291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM IGUATEMI','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7351305,2.00,6.00,1.00,6.00,7.00,9.00,1.00,6.00,3.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',14925,105,NULL,NULL,NULL,NULL,NULL,2,1),(28,7351313,1.00,6.00,5.00,6.00,6.00,11.63,6.00,6.00,3.00,9,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',8595,44,NULL,NULL,NULL,NULL,NULL,2,1),(28,7351330,2.00,7.00,1.00,4.00,8.00,9.00,4.00,6.00,3.00,601,NULL,207,'COSTA E SILVA','JOINVILLE','SC',7510,175,NULL,NULL,NULL,NULL,NULL,4,8),(28,7351348,4.00,8.00,1.00,6.00,6.00,12.00,6.00,7.00,5.00,103,NULL,NULL,'ALTO DA XV','GUARAPUAVA','PR',2660,1057,NULL,NULL,NULL,NULL,NULL,2,2),(28,7351356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7351364,3.00,4.00,4.00,6.00,4.00,8.25,4.00,3.00,3.00,999,NULL,NULL,'BALNEÁRIO ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7351372,3.00,5.00,2.00,4.00,6.00,7.50,3.00,3.00,3.00,415,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',13390,217,NULL,NULL,NULL,NULL,NULL,2,1),(28,7351380,1.00,5.00,1.00,7.00,6.00,3.00,2.00,4.00,3.00,208,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7351399,3.00,4.00,2.00,5.00,4.00,9.00,3.00,3.00,0.00,601,NULL,NULL,'JARDIM DO MOINHO','MAFRA','SC',18595,527,NULL,NULL,NULL,NULL,NULL,4,17),(28,7351402,2.00,3.00,1.00,6.00,5.00,6.00,3.00,3.00,1.00,103,NULL,NULL,'BORTOLOTTO','NOVA VENEZA','SC',18700,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7351410,6.00,8.00,6.00,7.00,7.00,7.50,7.00,6.00,7.00,203,NULL,214,'LINHO','ERECHIM','RS',1206,111,NULL,27,NULL,NULL,NULL,2,26),(28,7351429,0.00,3.00,1.00,5.00,5.00,NULL,4.00,6.00,2.00,233,NULL,214,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7351437,2.00,6.00,1.00,7.00,5.00,7.88,2.00,6.00,2.00,207,NULL,601,'TRICOLIN','CANOINHAS','SC',11177,520,NULL,329,NULL,NULL,NULL,2,17),(28,7351453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,233,'PERDIZES','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7351496,0.00,1.00,0.00,4.00,5.00,NULL,3.00,1.00,0.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7351500,4.00,7.00,3.00,7.00,9.00,10.13,2.00,5.00,4.00,303,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',8025,352,NULL,NULL,NULL,NULL,NULL,4,1),(28,7351518,4.00,7.00,1.00,7.00,9.00,10.50,6.00,6.00,6.00,103,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',1211,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7351526,0.00,5.00,3.00,4.00,4.00,NULL,3.00,3.00,3.00,201,NULL,202,'PETRÓPOLIS','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7351534,1.00,5.00,3.00,4.00,7.00,8.25,1.00,5.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16649,563,NULL,NULL,NULL,NULL,NULL,4,1),(28,7351542,1.00,2.00,3.00,5.00,3.00,6.00,0.00,3.00,0.00,213,NULL,601,'CENTRO','CANOINHAS','SC',19971,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7351550,1.00,7.00,2.00,5.00,4.00,7.13,4.00,5.00,4.00,207,NULL,201,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',16302,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7351569,4.00,6.00,2.00,7.00,7.00,8.25,1.00,5.00,3.00,207,NULL,201,'CARVOEIRA','FLORIANÓPOLIS','SC',7021,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7351577,2.00,6.00,0.00,5.00,5.00,NULL,4.00,6.00,3.00,653,NULL,202,'MATO ALTO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7351585,1.00,6.00,2.00,3.00,6.00,NULL,2.00,6.00,3.00,425,NULL,428,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7351607,0.00,3.00,2.00,6.00,5.00,5.63,1.00,3.00,2.00,303,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',17224,571,NULL,NULL,NULL,NULL,NULL,4,1),(28,7351615,2.00,6.00,1.00,7.00,5.00,11.25,3.00,4.00,4.00,319,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',12743,235,NULL,NULL,NULL,NULL,NULL,4,1),(28,7351623,6.00,5.00,2.00,5.00,7.00,9.00,4.00,4.00,6.00,318,NULL,NULL,'AFONSO PENA','S JOSÉ PINHAIS','PR',6452,25,NULL,NULL,NULL,NULL,NULL,4,1),(28,7351631,1.00,6.00,4.00,8.00,4.00,5.25,3.00,7.00,4.00,999,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7351640,4.00,7.00,2.00,7.00,6.00,7.88,2.00,7.00,5.00,104,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6428,137,NULL,NULL,NULL,NULL,NULL,2,1),(28,7351666,4.00,8.00,4.00,6.00,7.00,9.00,4.00,5.00,3.00,103,NULL,NULL,'CENTRO','FRAIBURGO','SC',7945,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7351674,1.00,7.00,2.00,7.00,7.00,8.25,3.00,5.00,2.00,207,NULL,212,'JD DAS INDÚSTRIA','S JOSÉ CAMPOS','SP',6951,325,NULL,216,NULL,NULL,NULL,4,1),(28,7351682,0.00,0.00,2.00,5.00,3.00,NULL,0.00,2.00,1.00,425,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7351690,2.00,7.00,1.00,5.00,3.00,6.38,0.00,5.00,3.00,108,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',15423,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7351712,1.00,5.00,1.00,3.00,3.00,8.25,3.00,5.00,1.00,201,NULL,655,'SÃO FRANCISCO','SOMBRIO','SC',15313,NULL,NULL,86,NULL,NULL,NULL,4,15),(28,7351720,1.00,1.00,1.00,3.00,2.00,NULL,0.00,1.00,1.00,653,NULL,216,'LOMBA','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,5),(28,7351739,0.00,5.00,3.00,3.00,7.00,6.38,3.00,4.00,3.00,103,NULL,NULL,'JD SÃO JOÃO','PORECATU','PR',14370,2326,NULL,NULL,NULL,NULL,NULL,4,2),(28,7351747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7351755,1.00,4.00,2.00,1.00,5.00,0.00,1.00,3.00,1.00,316,NULL,NULL,'IPIRANGA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7351771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CHÁCARA NAZARETH','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7351780,3.00,7.00,3.00,6.00,7.00,9.75,2.00,6.00,7.00,103,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',3417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7351798,2.00,5.00,3.00,3.00,2.00,NULL,3.00,2.00,2.00,444,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7351801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'INTERIOR','LINDÓIA SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,26),(28,7351836,2.00,6.00,3.00,5.00,8.00,7.13,3.00,3.00,7.00,5,NULL,NULL,'IPIRANGA','S JOSÉ','SC',12956,361,NULL,NULL,NULL,NULL,NULL,2,1),(28,7351844,3.00,7.00,1.00,7.00,6.00,10.13,3.00,5.00,4.00,301,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',11031,144,NULL,NULL,NULL,NULL,NULL,2,1),(28,7351852,1.00,1.00,2.00,7.00,6.00,6.75,0.00,5.00,1.00,215,NULL,NULL,'TERRAS DE PIRACICABA','PIRACICABA','SP',15275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7351879,1.00,3.00,2.00,5.00,6.00,6.75,2.00,2.00,2.00,207,NULL,NULL,'NITERÓI','SEARA','SC',14722,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7351895,2.00,5.00,0.00,6.00,5.00,7.13,1.00,5.00,2.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14294,378,NULL,NULL,NULL,NULL,NULL,4,1),(28,7351909,0.00,4.00,1.00,3.00,4.00,9.00,1.00,3.00,2.00,551,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',17311,40,NULL,NULL,NULL,NULL,NULL,4,16),(28,7351917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,427,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7351925,3.00,4.00,4.00,4.00,5.00,8.63,6.00,4.00,2.00,108,NULL,NULL,'SANTA CLARA','GUARULHOS','SP',6935,84,NULL,NULL,NULL,NULL,NULL,2,1),(28,7351933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7351941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'VILA NOVA','RIO NEGRINHO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,23),(28,7351950,0.00,2.00,2.00,4.00,3.00,NULL,2.00,3.00,1.00,208,NULL,NULL,'SAO JUDAS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7351968,3.00,4.00,2.00,1.00,5.00,8.63,3.00,4.00,4.00,440,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',18036,5,NULL,NULL,NULL,NULL,NULL,6,1),(28,7351984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7351992,2.00,7.00,3.00,7.00,6.00,11.63,2.00,7.00,5.00,233,NULL,211,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',3565,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7352000,1.00,8.00,4.00,7.00,7.00,10.50,1.00,6.00,1.00,238,NULL,207,'SAGUAÇU','JOINVILLE','SC',12012,194,NULL,NULL,NULL,NULL,NULL,4,8),(28,7352018,2.00,6.00,2.00,5.00,5.00,7.50,3.00,6.00,2.00,238,NULL,220,'IPIRANGA','S JOSÉ','SC',11609,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7352034,2.00,6.00,2.00,5.00,6.00,7.13,1.00,2.00,3.00,316,NULL,NULL,'CENTRO','CHAPECÓ','SC',13709,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7352042,3.00,6.00,3.00,7.00,8.00,8.63,3.00,6.00,3.00,211,NULL,653,'CENTRO','MARMELEIRO','PR',5923,155,NULL,57,NULL,NULL,NULL,4,4),(28,7352050,5.00,6.00,3.00,7.00,7.00,7.88,3.00,5.00,6.00,103,NULL,NULL,'NAÇÕES','CONCÓRDIA','SC',4282,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7352069,3.00,9.00,3.00,6.00,9.00,10.13,4.00,7.00,3.00,103,NULL,NULL,'BALNEÁRIO ENSEADA','S FRANCISCO SUL','SC',2814,1092,NULL,NULL,NULL,NULL,NULL,2,8),(28,7352077,1.00,5.00,2.00,4.00,5.00,9.00,2.00,2.00,3.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18546,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7352085,7.00,7.00,3.00,8.00,8.00,10.50,3.00,6.00,6.00,202,NULL,235,'SÃO CRISTÓVÃO','VIDEIRA','SC',1764,46,NULL,NULL,NULL,NULL,NULL,4,7),(28,7352093,1.00,7.00,3.00,5.00,1.00,NULL,2.00,7.00,5.00,216,NULL,215,'CENTRO','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7352115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA NOVA','PIRAPORA B JESUS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7352131,1.00,5.00,2.00,6.00,2.00,NULL,2.00,5.00,4.00,301,NULL,NULL,'CENTRO','PENÁPOLIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7352140,2.00,6.00,0.00,3.00,6.00,8.63,2.00,2.00,2.00,336,NULL,NULL,'FREI ROGERIO','LAGES','SC',18613,93,NULL,NULL,NULL,NULL,NULL,4,9),(28,7352158,4.00,6.00,1.00,2.00,8.00,9.75,4.00,6.00,4.00,103,NULL,NULL,'VILA IMPERIAL','S JOSÉ R PRETO','SP',6533,1701,NULL,NULL,NULL,NULL,NULL,4,1),(28,7352166,3.00,4.00,0.00,7.00,5.00,6.75,1.00,5.00,1.00,423,NULL,424,'RIO VERMELHO','FLORIANÓPOLIS','SC',14988,18,NULL,NULL,NULL,NULL,NULL,2,1),(28,7352182,2.00,6.00,2.00,4.00,5.00,7.13,0.00,6.00,2.00,303,NULL,NULL,'CENTRO','FORQUILHINHA','SC',18258,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7352204,0.00,5.00,1.00,6.00,4.00,NULL,3.00,5.00,2.00,316,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7352212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SOCIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7352220,0.00,4.00,2.00,5.00,4.00,NULL,1.00,3.00,1.00,201,NULL,202,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7352239,6.00,8.00,3.00,7.00,9.00,9.38,4.00,8.00,4.00,108,NULL,NULL,'NOVA ITAPIRA','ITAPIRA','SP',1156,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7352247,4.00,7.00,2.00,4.00,6.00,9.75,5.00,6.00,5.00,201,NULL,203,'ITOUPAVA NORTE','BLUMENAU','SC',4555,353,NULL,NULL,NULL,NULL,NULL,4,2),(28,7352255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7352263,0.00,3.00,1.00,4.00,4.00,NULL,0.00,1.00,1.00,224,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7352271,2.00,6.00,4.00,6.00,8.00,9.75,3.00,5.00,3.00,103,NULL,NULL,'NATUREZA','ITÁ','SC',5101,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7352310,2.00,5.00,2.00,6.00,10.00,7.88,2.00,2.00,5.00,309,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10588,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7352328,0.00,5.00,1.00,5.00,7.00,NULL,1.00,3.00,1.00,303,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7352336,0.00,5.00,3.00,5.00,1.00,NULL,0.00,6.00,0.00,201,NULL,203,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7352344,2.00,4.00,1.00,5.00,4.00,8.63,1.00,5.00,2.00,303,NULL,NULL,'CENTRO','ARROIO TRINTA','SC',15056,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(28,7352360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,429,NULL,421,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7352379,3.00,7.00,3.00,7.00,5.00,9.38,4.00,7.00,5.00,103,NULL,NULL,'CAJURU','CURITIBA','PR',4216,1367,NULL,NULL,NULL,NULL,NULL,2,1),(28,7352387,7.00,7.00,2.00,5.00,7.00,12.75,3.00,7.00,6.00,103,NULL,NULL,'PARQUE SAN REMO I','UMUARAMA','PR',1785,831,NULL,NULL,NULL,NULL,NULL,2,8),(28,7352395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DOS ESTADOS','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7352409,3.00,0.00,2.00,8.00,4.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7352425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CENTRO HISTÓRICO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7352433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7352441,0.00,3.00,2.00,5.00,3.00,6.75,2.00,3.00,3.00,454,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7352468,2.00,5.00,1.00,5.00,5.00,NULL,0.00,3.00,4.00,238,NULL,233,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7352476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7352484,4.00,4.00,3.00,5.00,5.00,7.50,2.00,5.00,2.00,301,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',15668,223,NULL,NULL,NULL,NULL,NULL,4,1),(28,7352492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,601,'JARDIM GUARAITUBA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7352506,4.00,5.00,1.00,7.00,7.00,5.63,3.00,4.00,6.00,451,NULL,NULL,'MICHEL','CRICIÚMA','SC',10418,19,NULL,NULL,NULL,NULL,NULL,2,5),(28,7352514,2.00,4.00,1.00,6.00,7.00,8.25,2.00,6.00,3.00,103,NULL,NULL,'SÃO JOÃO','ITAJAÍ','SC',9591,2045,NULL,NULL,NULL,NULL,NULL,4,6),(28,7352522,1.00,5.00,3.00,4.00,6.00,9.00,2.00,5.00,4.00,340,NULL,NULL,'CENTRO','RIBEIRÃO PRETO','SP',10047,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7352530,4.00,5.00,3.00,6.00,5.00,7.50,1.00,4.00,2.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',16765,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7352549,2.00,5.00,2.00,5.00,4.00,8.63,3.00,4.00,2.00,207,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',13223,597,NULL,NULL,NULL,NULL,NULL,2,1),(28,7352557,7.00,8.00,5.00,7.00,8.00,7.50,3.00,6.00,5.00,103,NULL,NULL,'OLIMPICO','S CAETANO SUL','SP',1239,652,NULL,NULL,NULL,NULL,NULL,4,1),(28,7352565,0.00,3.00,2.00,6.00,4.00,6.38,0.00,3.00,1.00,999,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7352573,3.00,5.00,1.00,6.00,3.00,7.50,1.00,6.00,4.00,316,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17563,248,NULL,NULL,NULL,NULL,NULL,4,1),(28,7352581,6.00,8.00,5.00,6.00,7.00,9.00,7.00,7.00,7.00,103,NULL,NULL,'NOVA PIRACICABA','PIRACICABA','SP',328,241,NULL,NULL,NULL,NULL,NULL,4,1),(28,7352590,2.00,7.00,2.00,5.00,5.00,8.63,4.00,6.00,6.00,103,NULL,NULL,'BOM RETIRO','CURITIBA','PR',6080,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7352603,5.00,8.00,2.00,6.00,6.00,9.00,4.00,7.00,3.00,303,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5170,238,NULL,NULL,NULL,NULL,NULL,4,1),(28,7352611,3.00,5.00,3.00,5.00,6.00,10.13,1.00,5.00,2.00,5,NULL,NULL,'JARIDM IRAJÁ','RIBEIRÃO PRETO','SP',9405,285,NULL,NULL,NULL,NULL,NULL,4,6),(28,7352620,0.00,5.00,4.00,6.00,2.00,NULL,2.00,6.00,5.00,103,NULL,NULL,'PEREQUÊ','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7352638,0.00,2.00,1.00,2.00,4.00,NULL,0.00,3.00,4.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7352646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'PRAIA DO JARDIM','ANGRA REIS','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7352654,3.00,9.00,3.00,7.00,6.00,7.88,4.00,8.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7352662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7352670,2.00,4.00,1.00,7.00,3.00,6.75,3.00,5.00,2.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',14158,388,NULL,NULL,NULL,NULL,NULL,4,6),(28,7352689,1.00,1.00,1.00,0.00,4.00,7.50,0.00,3.00,2.00,552,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7352697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7352700,4.00,5.00,2.00,6.00,7.00,8.63,5.00,5.00,1.00,101,NULL,NULL,'CENTRO','PALHOÇA','SC',13227,71,NULL,NULL,NULL,NULL,NULL,2,1),(28,7352719,3.00,6.00,3.00,5.00,4.00,5.25,3.00,4.00,4.00,340,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',13269,356,NULL,NULL,NULL,NULL,NULL,2,1),(28,7352735,3.00,4.00,2.00,5.00,6.00,9.38,2.00,3.00,2.00,207,NULL,211,'CARIANOS','FLORIANÓPOLIS','SC',17164,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7352743,3.00,8.00,1.00,5.00,5.00,8.25,2.00,3.00,4.00,201,NULL,207,'ZUNA RURAL','SAUDADES','SC',8546,610,NULL,397,NULL,NULL,NULL,2,4),(28,7352751,7.00,7.00,3.00,7.00,7.00,11.25,4.00,7.00,7.00,203,NULL,235,'VILA HARMONIA','ARARAQUARA','SP',691,66,NULL,NULL,NULL,NULL,NULL,4,1),(28,7352760,3.00,4.00,3.00,4.00,6.00,7.88,4.00,3.00,1.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',14625,356,NULL,NULL,NULL,NULL,NULL,2,1),(28,7352778,7.00,6.00,4.00,6.00,6.00,8.63,5.00,5.00,5.00,203,NULL,214,'BOM RETIRO','JOINVILLE','SC',6157,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7352786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7352794,4.00,6.00,2.00,7.00,6.00,9.38,5.00,5.00,4.00,108,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',6827,83,NULL,NULL,NULL,NULL,NULL,4,1),(28,7352816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'AGUAS CLARAS','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,22),(28,7352824,2.00,5.00,3.00,3.00,3.00,8.25,2.00,4.00,2.00,212,NULL,653,'COQUEIROS','FLORIANÓPOLIS','SC',14973,NULL,NULL,163,NULL,NULL,NULL,2,1),(28,7352832,1.00,4.00,2.00,2.00,4.00,10.88,3.00,2.00,1.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15672,88,NULL,NULL,NULL,NULL,NULL,4,1),(28,7352840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,212,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7352859,3.00,7.00,2.00,4.00,5.00,7.13,3.00,6.00,5.00,103,NULL,NULL,'BRASIL','UBERLÂNDIA','MG',7916,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7352867,4.00,7.00,3.00,7.00,9.00,8.25,5.00,5.00,3.00,301,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',5372,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7352875,5.00,6.00,2.00,4.00,4.00,9.00,5.00,6.00,4.00,999,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7352883,1.00,0.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA TEREZINHA','GUARACIABA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,27),(28,7352891,1.00,3.00,3.00,5.00,4.00,8.63,3.00,2.00,2.00,339,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',19153,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7352905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CRUZ ALTA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7352913,3.00,7.00,1.00,7.00,8.00,7.13,2.00,4.00,5.00,207,NULL,215,'CENTRO','TURVO','SC',12324,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7352930,2.00,7.00,1.00,6.00,5.00,8.25,2.00,7.00,4.00,201,NULL,202,'INDUSTRIAL','FRANCISCO BELTRÃO','PR',9877,674,NULL,252,NULL,NULL,NULL,2,27),(28,7352948,4.00,5.00,0.00,7.00,7.00,5.63,5.00,6.00,1.00,999,NULL,NULL,'JARDIM AMÉRICA','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7352956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'VILA NOVA','S LOURENÇO','MG',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7352964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'AGRONOMIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7352972,2.00,5.00,3.00,2.00,4.00,7.13,3.00,4.00,2.00,203,NULL,601,'JOÃO PESSOA','JARAGUÁ SUL','SC',18835,702,NULL,533,NULL,NULL,NULL,4,23),(28,7352999,3.00,7.00,1.00,7.00,7.00,8.25,1.00,5.00,4.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',13071,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7353022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,653,'VILA LOURDES','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,'S','S','S',5,15),(28,7353030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,203,'JARDIM CENTENÁRIO','POÇOS CALDAS','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7353049,1.00,2.00,1.00,4.00,4.00,7.13,1.00,4.00,1.00,425,NULL,423,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353057,1.00,3.00,2.00,2.00,4.00,4.50,2.00,3.00,2.00,308,NULL,NULL,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7353073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SÃO PELEGRINO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7353081,4.00,7.00,3.00,7.00,8.00,9.75,4.00,4.00,3.00,214,NULL,203,'SANTA GERTRUDES','MARÍLIA','SP',7781,224,NULL,467,NULL,NULL,NULL,4,1),(28,7353090,1.00,4.00,0.00,7.00,6.00,6.75,1.00,3.00,3.00,318,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',18673,138,NULL,NULL,NULL,NULL,NULL,2,1),(28,7353103,7.00,7.00,2.00,5.00,6.00,10.88,3.00,8.00,4.00,103,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',2063,900,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353111,1.00,5.00,1.00,6.00,5.00,6.75,5.00,4.00,2.00,303,NULL,NULL,'SAGRADA FAMÍLIA','CAXIAS SUL','RS',17694,579,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7353138,4.00,6.00,2.00,5.00,5.00,9.00,4.00,5.00,4.00,108,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',7031,86,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353146,2.00,5.00,1.00,7.00,6.00,10.50,4.00,5.00,6.00,233,NULL,216,'CENTRO','MARÍLIA','SP',6189,158,NULL,217,NULL,NULL,NULL,4,1),(28,7353154,0.00,3.00,1.00,4.00,3.00,6.75,1.00,5.00,3.00,304,NULL,NULL,'CENTRO','ARROIO SAL','RS',16979,120,NULL,NULL,NULL,NULL,NULL,2,15),(28,7353162,1.00,4.00,2.00,4.00,2.00,NULL,0.00,3.00,1.00,207,NULL,201,'ARMAÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7353170,5.00,6.00,2.00,5.00,6.00,8.63,2.00,5.00,4.00,444,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13295,60,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353189,0.00,6.00,3.00,4.00,5.00,5.25,1.00,5.00,2.00,324,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7353197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,220,'CENTRO','JESUÍTAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7353200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PINHEIRINHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7353219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,222,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7353227,1.00,4.00,3.00,5.00,4.00,7.13,3.00,5.00,4.00,444,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7353235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,215,'JARDIM ITATIAIA','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7353251,0.00,3.00,3.00,7.00,3.00,NULL,1.00,3.00,1.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7353260,2.00,5.00,0.00,5.00,3.00,7.50,4.00,3.00,2.00,5,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',18431,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7353278,2.00,4.00,5.00,6.00,4.00,8.25,1.00,4.00,0.00,454,NULL,NULL,'CENTRO','CRICIÚMA','SC',17427,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7353286,2.00,3.00,5.00,3.00,4.00,3.00,1.00,1.00,1.00,427,NULL,421,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7353294,4.00,3.00,2.00,5.00,6.00,8.25,2.00,3.00,4.00,103,NULL,NULL,'POMPEIA','S PAULO','SP',8557,1956,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353316,1.00,6.00,2.00,7.00,6.00,NULL,0.00,4.00,2.00,102,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7353324,6.00,6.00,3.00,7.00,7.00,6.38,3.00,7.00,5.00,201,NULL,203,'ALTO DA BOA VISTA','S PAULO','SP',4031,312,NULL,292,NULL,NULL,NULL,4,1),(28,7353332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7353340,0.00,4.00,2.00,3.00,4.00,5.25,3.00,5.00,4.00,203,NULL,214,'FORTALEZA','BLUMENAU','SC',18555,695,NULL,354,NULL,NULL,NULL,4,2),(28,7353359,4.00,7.00,2.00,6.00,10.00,9.38,5.00,7.00,7.00,103,NULL,NULL,'CRISTO REI','CURITIBA','PR',1368,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7353367,1.00,8.00,3.00,8.00,10.00,13.50,6.00,8.00,5.00,316,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',1230,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353391,2.00,4.00,1.00,3.00,5.00,9.00,3.00,3.00,4.00,207,NULL,214,'CENTRO','S JOÃO BATISTA','SC',18327,780,NULL,353,NULL,NULL,NULL,4,22),(28,7353405,1.00,6.00,1.00,5.00,8.00,9.38,1.00,5.00,4.00,653,NULL,NULL,'LINHA BATISTA','CRICIÚMA','SC',14731,158,NULL,NULL,NULL,NULL,NULL,4,5),(28,7353413,2.00,7.00,1.00,4.00,6.00,8.63,2.00,4.00,3.00,551,NULL,NULL,'SÃO CRISTÓVÃO','VIDEIRA','SC',15317,21,NULL,NULL,NULL,NULL,NULL,4,25),(28,7353421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7353430,4.00,7.00,2.00,5.00,8.00,9.38,4.00,5.00,4.00,201,NULL,202,'HUMAITÁ','TUBARÃO','SC',6507,NULL,NULL,177,NULL,NULL,NULL,2,10),(28,7353456,2.00,5.00,1.00,7.00,9.00,6.75,4.00,5.00,5.00,238,NULL,NULL,'KOBRASOL','S JOSÉ','SC',8032,107,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353464,1.00,6.00,4.00,5.00,3.00,6.38,3.00,4.00,1.00,2,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',17606,52,NULL,NULL,NULL,NULL,NULL,2,1),(28,7353499,2.00,2.00,1.00,2.00,6.00,7.50,3.00,4.00,2.00,216,NULL,233,'ARIZONA','LAURO MÜLLER','SC',19409,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7353502,1.00,0.00,2.00,6.00,1.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'PARANAGUAMIRIM','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(28,7353510,2.00,5.00,2.00,5.00,7.00,7.50,3.00,5.00,4.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8972,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353529,6.00,8.00,2.00,7.00,7.00,8.25,4.00,6.00,7.00,319,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',2639,32,NULL,NULL,NULL,NULL,NULL,4,2),(28,7353537,3.00,6.00,2.00,4.00,8.00,9.00,3.00,2.00,3.00,9,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',8042,39,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353545,0.00,5.00,2.00,7.00,4.00,6.75,4.00,6.00,4.00,501,NULL,NULL,'MORUMBY LLL','SOROCABA','SP',11045,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353553,1.00,3.00,0.00,1.00,2.00,NULL,1.00,3.00,1.00,110,NULL,NULL,'FREI BRUNO','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7353570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','MEDIANEIRA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7353588,0.00,4.00,0.00,3.00,3.00,5.25,1.00,3.00,2.00,317,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7353618,0.00,5.00,3.00,5.00,5.00,7.50,2.00,5.00,3.00,103,NULL,NULL,'BANZATO','MARÍLIA','SP',13164,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353634,0.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7353650,2.00,5.00,0.00,3.00,4.00,NULL,0.00,2.00,3.00,201,NULL,203,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353677,8.00,8.00,3.00,7.00,7.00,10.13,5.00,7.00,7.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',790,464,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353685,0.00,6.00,2.00,4.00,5.00,NULL,1.00,5.00,2.00,201,NULL,212,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7353693,5.00,6.00,2.00,7.00,8.00,7.13,3.00,4.00,2.00,213,NULL,207,'CENTRO','TUBARÃO','SC',12450,213,NULL,NULL,NULL,NULL,NULL,4,10),(28,7353707,3.00,7.00,2.00,7.00,8.00,9.38,3.00,8.00,4.00,301,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',4066,24,NULL,NULL,NULL,NULL,NULL,4,15),(28,7353715,0.00,4.00,0.00,0.00,5.00,NULL,1.00,4.00,2.00,454,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353723,2.00,7.00,2.00,4.00,4.00,7.88,3.00,3.00,3.00,216,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',12004,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353740,1.00,3.00,2.00,1.00,4.00,3.00,2.00,3.00,1.00,238,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353758,5.00,5.00,4.00,7.00,7.00,9.00,2.00,6.00,6.00,103,NULL,NULL,'TAGUATINGA SUL','TAGUATINGA','DF',7760,1862,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353766,3.00,3.00,3.00,1.00,4.00,5.25,1.00,4.00,2.00,201,NULL,207,'CENTRO','CAÇADOR','SC',17738,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7353774,3.00,8.00,4.00,6.00,8.00,10.13,4.00,8.00,4.00,103,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',1953,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353782,1.00,6.00,1.00,4.00,3.00,7.88,2.00,4.00,1.00,999,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7353790,2.00,3.00,4.00,5.00,5.00,4.50,3.00,5.00,2.00,999,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7353812,1.00,6.00,2.00,4.00,3.00,6.38,5.00,4.00,3.00,601,NULL,NULL,'FLORESTA','JOINVILLE','SC',18114,518,NULL,NULL,NULL,NULL,NULL,4,8),(28,7353820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'ESPINHEIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7353839,4.00,6.00,1.00,7.00,8.00,9.75,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',4900,1478,NULL,NULL,NULL,NULL,NULL,4,4),(28,7353847,5.00,7.00,2.00,7.00,8.00,10.88,3.00,7.00,3.00,320,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',7707,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,211,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7353871,6.00,6.00,1.00,5.00,4.00,9.75,2.00,3.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7542,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7353880,0.00,4.00,4.00,2.00,3.00,NULL,0.00,3.00,0.00,308,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7353898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BNH BARAO I','TOLEDO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7353901,0.00,2.00,1.00,5.00,5.00,8.25,1.00,4.00,1.00,104,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',15207,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7353928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7353936,2.00,6.00,1.00,7.00,5.00,6.38,3.00,4.00,3.00,333,NULL,NULL,'VILA MADALENA','S PAULO','SP',16381,101,NULL,NULL,NULL,NULL,NULL,4,1),(28,7353944,0.00,2.00,1.00,4.00,2.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'CRISTO REI','QUILOMBO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7353952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'TERRA NOVA','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7353960,1.00,5.00,0.00,7.00,7.00,5.25,1.00,4.00,3.00,404,NULL,NULL,'CENTRO','BIGUAÇU','SC',18292,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7353979,7.00,8.00,3.00,7.00,7.00,11.63,5.00,7.00,5.00,212,NULL,213,'SERRINHA','FLORIANÓPOLIS','SC',2491,62,NULL,21,NULL,NULL,NULL,4,1),(28,7353995,2.00,4.00,2.00,7.00,5.00,11.25,2.00,5.00,2.00,301,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10033,128,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354002,3.00,5.00,3.00,3.00,3.00,NULL,0.00,3.00,1.00,238,NULL,220,'TRAÇADO','URUBICI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7354010,1.00,7.00,3.00,5.00,5.00,10.13,2.00,6.00,5.00,223,NULL,NULL,'INTERIOR','S JOÃO OESTE','SC',5896,3,NULL,NULL,NULL,NULL,NULL,2,4),(28,7354037,3.00,6.00,3.00,4.00,3.00,5.25,3.00,3.00,2.00,230,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18864,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354045,4.00,6.00,2.00,6.00,7.00,6.75,2.00,2.00,4.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10120,57,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354061,1.00,2.00,2.00,1.00,5.00,9.38,0.00,5.00,0.00,999,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7354070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7354088,0.00,6.00,1.00,7.00,3.00,NULL,3.00,4.00,1.00,211,NULL,207,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7354096,3.00,5.00,2.00,7.00,7.00,8.63,3.00,6.00,5.00,203,NULL,220,'SETOR SUL','GOIÂNIA','GO',5657,376,NULL,166,NULL,NULL,NULL,4,2),(28,7354134,1.00,4.00,0.00,1.00,3.00,NULL,0.00,2.00,3.00,319,NULL,NULL,'CALDAS DA IMPERATRIZ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7354142,2.00,5.00,1.00,6.00,7.00,9.00,1.00,2.00,3.00,208,NULL,NULL,'KOBRASOL','S JOSÉ','SC',13195,148,NULL,NULL,NULL,NULL,NULL,4,1),(28,7354150,0.00,6.00,2.00,4.00,5.00,7.13,2.00,4.00,3.00,104,NULL,NULL,'BELA VISTA','PTE SERRADA','SC',17264,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7354169,1.00,6.00,1.00,5.00,7.00,6.75,1.00,3.00,3.00,212,NULL,213,'CAPITAIS','TIMBÓ','SC',13570,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7354177,3.00,7.00,2.00,6.00,6.00,8.63,3.00,7.00,4.00,5,NULL,NULL,'SETOR SERRINHA','GOIÂNIA','GO',11733,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7354185,1.00,4.00,3.00,4.00,6.00,3.75,1.00,3.00,2.00,207,NULL,201,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7354193,3.00,6.00,3.00,7.00,5.00,7.13,2.00,3.00,2.00,308,NULL,NULL,'ROYAL PARK','LONDRINA','PR',15416,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7354207,2.00,6.00,5.00,5.00,6.00,9.00,2.00,4.00,1.00,999,NULL,NULL,'MINA BRASIL','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7354215,0.00,3.00,1.00,6.00,3.00,8.63,3.00,2.00,3.00,404,NULL,NULL,'IPIRANGA','S JOSÉ','SC',16550,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354231,6.00,8.00,1.00,6.00,9.00,7.50,3.00,6.00,6.00,212,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',2560,66,NULL,23,NULL,NULL,NULL,4,1),(28,7354240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DOS PRINCIPES','UMUARAMA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7354258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7354266,3.00,5.00,2.00,5.00,1.00,NULL,1.00,4.00,2.00,655,NULL,653,'POÇO VERDE','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7354274,3.00,5.00,0.00,5.00,6.00,8.25,2.00,7.00,1.00,238,NULL,202,'BELA VISTA','PALHOÇA','SC',16047,278,NULL,362,NULL,NULL,NULL,2,1),(28,7354282,7.00,7.00,1.00,6.00,11.00,8.25,5.00,6.00,6.00,103,NULL,NULL,'LOTE SEIS','CRICIÚMA','SC',2042,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7354304,0.00,2.00,2.00,4.00,2.00,NULL,1.00,3.00,3.00,103,NULL,NULL,'VILA CONCEIÇÃO','S JOÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7354312,2.00,4.00,3.00,5.00,5.00,4.50,3.00,4.00,2.00,224,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',18305,28,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354347,3.00,6.00,2.00,3.00,5.00,NULL,2.00,3.00,0.00,332,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354363,2.00,4.00,1.00,4.00,4.00,10.50,4.00,4.00,3.00,211,NULL,207,'FORQUILHAS','S JOSÉ','SC',13248,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'RESIDENCIAL TAMBORÉ','BARUERI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7354380,3.00,5.00,4.00,7.00,6.00,9.75,4.00,6.00,4.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6829,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354398,0.00,2.00,4.00,6.00,3.00,NULL,2.00,3.00,0.00,238,NULL,211,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354401,6.00,8.00,2.00,6.00,10.00,10.13,3.00,6.00,7.00,340,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',1470,22,NULL,NULL,NULL,NULL,NULL,4,3),(28,7354410,2.00,4.00,1.00,3.00,3.00,3.00,1.00,3.00,2.00,444,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7354428,4.00,7.00,2.00,6.00,9.00,9.00,3.00,5.00,6.00,336,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4809,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7354436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','TAUBATÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7354452,5.00,8.00,1.00,7.00,7.00,8.63,4.00,5.00,2.00,501,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',11212,57,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354460,2.00,4.00,2.00,4.00,3.00,4.88,1.00,4.00,1.00,208,NULL,NULL,'PAES LEME','IMBITUBA','SC',17921,198,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354479,2.00,6.00,2.00,6.00,6.00,6.75,1.00,2.00,2.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',15136,531,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354487,1.00,6.00,1.00,5.00,7.00,7.13,0.00,5.00,2.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11649,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354495,0.00,5.00,4.00,5.00,4.00,7.13,4.00,5.00,1.00,339,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',18038,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354509,6.00,6.00,1.00,6.00,7.00,6.75,4.00,3.00,4.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',7324,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7354517,1.00,4.00,1.00,2.00,3.00,5.25,1.00,4.00,3.00,999,NULL,NULL,'CENTRO','AURORA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7354525,3.00,7.00,1.00,5.00,7.00,5.25,4.00,6.00,5.00,319,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',7536,126,NULL,NULL,NULL,NULL,NULL,4,1),(28,7354533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUAS BELAS','S JOSÉ PINHAIS','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7354541,1.00,4.00,1.00,6.00,4.00,7.50,2.00,3.00,2.00,999,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7354550,5.00,8.00,6.00,7.00,8.00,12.75,7.00,7.00,7.00,222,NULL,NULL,'SANTA HELENA','LAGES','SC',251,3,NULL,NULL,NULL,NULL,NULL,4,9),(28,7354568,2.00,5.00,1.00,6.00,3.00,8.25,3.00,5.00,3.00,316,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',17504,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354576,3.00,5.00,1.00,6.00,3.00,3.38,2.00,5.00,3.00,999,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7354584,3.00,6.00,1.00,6.00,3.00,8.63,2.00,5.00,2.00,317,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',17777,147,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7354606,1.00,4.00,2.00,6.00,5.00,7.13,1.00,3.00,4.00,104,NULL,NULL,'OFICINAS','TUBARÃO','SC',14751,361,NULL,NULL,NULL,NULL,NULL,2,10),(28,7354614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,201,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7354622,0.00,5.00,2.00,6.00,5.00,9.38,2.00,5.00,1.00,999,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7354630,2.00,6.00,2.00,4.00,4.00,6.75,3.00,5.00,5.00,336,NULL,NULL,'JARDIM AMERICA','GOIÂNIA','GO',14709,77,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354649,0.00,4.00,1.00,6.00,6.00,6.75,2.00,5.00,3.00,339,NULL,NULL,'SERRARIA','S JOSÉ','SC',18354,52,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354665,3.00,6.00,2.00,6.00,3.00,6.38,2.00,3.00,3.00,201,NULL,207,'CENTRO','PINHALZINHO','SC',13575,849,NULL,608,NULL,NULL,NULL,2,4),(28,7354673,0.00,3.00,0.00,4.00,0.00,NULL,0.00,0.00,0.00,211,NULL,NULL,'RIBEIRAO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7354681,3.00,5.00,5.00,6.00,7.00,9.75,7.00,4.00,4.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7354703,1.00,2.00,3.00,3.00,2.00,NULL,2.00,4.00,2.00,104,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354711,1.00,5.00,1.00,5.00,3.00,5.25,1.00,2.00,3.00,404,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354738,0.00,3.00,0.00,1.00,2.00,NULL,3.00,5.00,4.00,301,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354746,1.00,5.00,0.00,4.00,8.00,8.25,3.00,4.00,4.00,201,NULL,212,'N S APARECIDA','CURITIBANOS','SC',13124,836,NULL,355,NULL,NULL,NULL,4,16),(28,7354754,0.00,3.00,0.00,2.00,2.00,NULL,1.00,3.00,2.00,224,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354762,3.00,8.00,1.00,6.00,9.00,9.00,1.00,6.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7354770,4.00,8.00,1.00,6.00,6.00,7.88,2.00,8.00,5.00,999,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7354789,3.00,7.00,3.00,6.00,8.00,6.38,3.00,3.00,3.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',13365,79,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354797,2.00,7.00,3.00,6.00,6.00,8.25,3.00,6.00,3.00,202,NULL,213,'SAVEIRO','BIGUAÇU','SC',8935,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354800,2.00,8.00,4.00,5.00,8.00,6.00,3.00,7.00,3.00,220,NULL,216,'CENTRO','CHAPECÓ','SC',6190,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7354819,3.00,6.00,1.00,4.00,6.00,7.13,3.00,5.00,4.00,655,NULL,601,'VALPARAÍSO','BLUMENAU','SC',9176,39,NULL,NULL,NULL,NULL,NULL,4,2),(28,7354827,3.00,7.00,5.00,6.00,6.00,8.63,4.00,4.00,5.00,999,NULL,NULL,'HUMAITÁ','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7354835,2.00,7.00,3.00,6.00,4.00,6.75,3.00,4.00,2.00,301,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11924,160,NULL,NULL,NULL,NULL,NULL,4,1),(28,7354851,0.00,4.00,2.00,3.00,5.00,NULL,3.00,4.00,2.00,319,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354878,2.00,5.00,2.00,5.00,5.00,9.00,1.00,4.00,2.00,652,NULL,655,'IPIRANGA','S JOSÉ','SC',17803,82,NULL,NULL,NULL,NULL,NULL,4,1),(28,7354886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'TATUAPE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7354894,0.00,2.00,4.00,3.00,1.00,NULL,1.00,2.00,1.00,103,NULL,NULL,'CENTRO','ANITA GARIBALDI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7354908,0.00,5.00,4.00,2.00,3.00,9.38,0.00,4.00,2.00,999,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7354916,1.00,4.00,0.00,5.00,2.00,NULL,1.00,4.00,1.00,415,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7354924,0.00,6.00,0.00,5.00,5.00,NULL,1.00,4.00,2.00,302,NULL,NULL,'BAUNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354932,0.00,2.00,2.00,4.00,5.00,NULL,2.00,3.00,1.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7354940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7354959,1.00,4.00,1.00,3.00,2.00,NULL,2.00,1.00,3.00,502,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7354967,2.00,6.00,3.00,7.00,6.00,6.38,5.00,5.00,7.00,216,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',9220,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7354975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7354983,2.00,6.00,1.00,4.00,8.00,9.38,3.00,4.00,1.00,102,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15904,147,NULL,NULL,NULL,NULL,NULL,4,1),(28,7354991,0.00,3.00,1.00,5.00,2.00,NULL,3.00,4.00,4.00,203,NULL,202,'PROGRESSO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7355009,1.00,6.00,3.00,6.00,5.00,7.13,3.00,5.00,2.00,201,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',16754,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355017,2.00,3.00,4.00,3.00,3.00,6.00,1.00,3.00,3.00,454,NULL,NULL,'IPIRANGA','S JOSÉ','SC',18142,372,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355025,2.00,5.00,1.00,6.00,2.00,NULL,2.00,4.00,4.00,415,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7355033,3.00,8.00,3.00,6.00,8.00,9.00,4.00,5.00,3.00,454,NULL,NULL,'RESIDENCIAL OLINDA','GOIÂNIA','GO',4377,50,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355041,2.00,7.00,2.00,6.00,4.00,7.13,2.00,3.00,5.00,304,NULL,NULL,'CENTRO','OLÍMPIA','SP',8038,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355050,5.00,7.00,3.00,7.00,8.00,8.63,3.00,5.00,6.00,318,NULL,NULL,'BETEL','PAULÍNIA','SP',3018,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355068,0.00,7.00,2.00,7.00,8.00,7.88,1.00,6.00,2.00,319,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',10834,200,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355076,0.00,5.00,1.00,5.00,3.00,NULL,1.00,5.00,1.00,207,NULL,201,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355084,1.00,3.00,0.00,1.00,2.00,NULL,1.00,2.00,0.00,551,NULL,NULL,'APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7355092,2.00,4.00,3.00,2.00,4.00,7.13,1.00,2.00,1.00,653,NULL,211,'JARDIM NICOLAU','JACINTO MACHADO','SC',19608,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7355106,2.00,0.00,2.00,6.00,3.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7355122,5.00,7.00,3.00,6.00,4.00,5.63,3.00,8.00,5.00,203,NULL,220,'CENTRO','BOTUCATU','SP',4034,293,NULL,119,NULL,NULL,NULL,4,8),(28,7355130,1.00,5.00,0.00,3.00,4.00,4.50,1.00,4.00,1.00,655,NULL,653,'ARIZONA','JACINTO MACHADO','SC',18468,116,NULL,196,NULL,NULL,NULL,2,15),(28,7355157,2.00,2.00,1.00,4.00,5.00,6.00,3.00,2.00,5.00,454,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',16705,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7355173,1.00,2.00,1.00,0.00,2.00,NULL,2.00,2.00,1.00,203,NULL,202,'PLANALTO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7355181,3.00,6.00,1.00,2.00,4.00,4.88,1.00,6.00,5.00,103,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',14256,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7355190,0.00,5.00,2.00,3.00,5.00,NULL,1.00,3.00,0.00,5,NULL,NULL,'TABOÃO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7355203,7.00,7.00,3.00,6.00,8.00,7.88,5.00,6.00,6.00,214,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',2686,98,NULL,33,NULL,NULL,NULL,4,1),(28,7355220,4.00,8.00,4.00,6.00,5.00,9.38,3.00,3.00,6.00,103,NULL,NULL,'JD NOVO HORIZONTE','MARINGÁ','PR',5616,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7355238,1.00,7.00,3.00,7.00,4.00,6.75,2.00,4.00,2.00,425,NULL,424,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',16973,NULL,NULL,33,NULL,NULL,NULL,4,1),(28,7355246,2.00,6.00,1.00,7.00,3.00,8.25,1.00,4.00,3.00,601,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',17575,505,NULL,NULL,NULL,NULL,NULL,4,8),(28,7355254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7355262,1.00,4.00,3.00,7.00,3.00,5.25,2.00,3.00,5.00,207,NULL,201,'BARREIROS','S JOSÉ','SC',16090,701,NULL,937,NULL,NULL,NULL,2,1),(28,7355270,3.00,8.00,1.00,7.00,5.00,9.00,3.00,7.00,3.00,5,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',5320,174,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355289,1.00,6.00,2.00,7.00,5.00,8.25,0.00,7.00,0.00,5,NULL,NULL,'PENHA','S PAULO','SP',16071,434,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355300,6.00,8.00,4.00,7.00,6.00,7.13,4.00,7.00,6.00,103,NULL,NULL,'SETOR HAB CONTAGEM','SOBRADINHO','DF',2043,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7355327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7355335,0.00,3.00,1.00,0.00,4.00,NULL,1.00,3.00,2.00,429,NULL,NULL,'MIRIM','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7355351,3.00,5.00,1.00,2.00,6.00,4.50,1.00,1.00,2.00,451,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',19883,55,NULL,NULL,NULL,NULL,NULL,2,1),(28,7355360,5.00,6.00,3.00,6.00,7.00,10.13,3.00,6.00,3.00,102,NULL,NULL,'SANTA MONICA','FLORIANÓPOLIS','SC',5406,32,NULL,NULL,NULL,NULL,NULL,2,1),(28,7355378,2.00,3.00,1.00,4.00,4.00,7.13,1.00,1.00,2.00,309,NULL,NULL,'PAES LEME','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7355386,3.00,6.00,1.00,7.00,7.00,8.63,3.00,6.00,1.00,303,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',14463,521,NULL,NULL,NULL,NULL,NULL,4,15),(28,7355394,0.00,4.00,2.00,3.00,4.00,7.50,2.00,3.00,1.00,319,NULL,NULL,'CARDOSO','S JOÃO BATISTA','SC',17555,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7355416,5.00,6.00,3.00,5.00,7.00,7.13,5.00,4.00,3.00,104,NULL,NULL,'DAS NAÇÕES','BAL CAMBORIÚ','SC',8453,199,NULL,NULL,NULL,NULL,NULL,4,6),(28,7355424,0.00,0.00,0.00,0.00,2.00,NULL,0.00,3.00,0.00,340,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7355432,5.00,8.00,2.00,6.00,10.00,7.13,4.00,6.00,5.00,340,NULL,NULL,'VILA NOVA','BLUMENAU','SC',3709,93,NULL,NULL,NULL,NULL,NULL,4,2),(28,7355440,8.00,7.00,3.00,6.00,4.00,5.25,5.00,4.00,3.00,103,NULL,NULL,'LAGO SUL','LG SUL','DF',11532,2172,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355459,1.00,6.00,0.00,5.00,4.00,NULL,0.00,4.00,2.00,999,NULL,NULL,'MAR GROSSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7355467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7355475,1.00,4.00,3.00,6.00,5.00,7.88,2.00,6.00,2.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',16713,129,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355483,2.00,5.00,2.00,4.00,6.00,7.13,2.00,4.00,2.00,423,NULL,421,'MONTE VERDE','FLORIANÓPOLIS','SC',17735,26,NULL,NULL,NULL,NULL,NULL,2,1),(28,7355505,5.00,6.00,4.00,1.00,8.00,9.00,4.00,6.00,4.00,104,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',4689,80,NULL,NULL,NULL,NULL,NULL,2,1),(28,7355513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7355521,0.00,2.00,3.00,4.00,4.00,7.13,1.00,2.00,1.00,103,NULL,NULL,'ICARAY','ARAÇATUBA','SP',17634,2461,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355548,1.00,6.00,1.00,6.00,6.00,NULL,2.00,3.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7355556,2.00,5.00,0.00,6.00,6.00,5.25,3.00,3.00,2.00,238,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',18677,325,NULL,1019,NULL,NULL,NULL,4,1),(28,7355564,3.00,5.00,1.00,4.00,4.00,7.88,2.00,3.00,3.00,999,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355572,4.00,7.00,3.00,7.00,9.00,9.75,4.00,7.00,6.00,103,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',1690,803,NULL,NULL,NULL,NULL,NULL,2,1),(28,7355599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7355602,0.00,7.00,1.00,4.00,4.00,6.00,0.00,5.00,2.00,318,NULL,NULL,'CENTRO','S JOSÉ','SC',19264,142,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355610,2.00,6.00,4.00,7.00,7.00,9.75,4.00,3.00,6.00,340,NULL,NULL,'STO ANTÔNIO DE PÁDUA','TUBARÃO','SC',5549,141,NULL,NULL,NULL,NULL,NULL,4,10),(28,7355629,3.00,3.00,1.00,2.00,3.00,5.63,3.00,3.00,2.00,215,NULL,233,'FAZENDASANTOANTÔNIO','S JOSÉ','SC',17367,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7355637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7355645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,207,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7355653,5.00,9.00,1.00,6.00,8.00,12.75,5.00,6.00,5.00,103,NULL,NULL,'SALTO','BLUMENAU','SC',1772,826,NULL,NULL,NULL,NULL,NULL,4,2),(28,7355670,2.00,5.00,2.00,5.00,7.00,6.00,3.00,6.00,3.00,318,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',10717,72,NULL,NULL,NULL,NULL,NULL,2,1),(28,7355688,1.00,6.00,4.00,5.00,2.00,NULL,0.00,4.00,3.00,316,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7355696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,110,NULL,NULL,'SÃO LUIZ','SOMBRIO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7355718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'QUARTA LINHA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7355726,5.00,6.00,2.00,7.00,7.00,9.38,3.00,4.00,2.00,999,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7355734,1.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,238,NULL,652,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7355750,2.00,6.00,1.00,3.00,3.00,7.50,2.00,7.00,1.00,224,NULL,NULL,'PROGRESSO','CRICIÚMA','SC',13797,16,NULL,NULL,NULL,NULL,NULL,4,5),(28,7355769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,213,'CENTRO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7355785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7355793,1.00,2.00,0.00,3.00,2.00,NULL,3.00,3.00,1.00,220,NULL,202,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7355807,3.00,5.00,4.00,4.00,3.00,6.38,2.00,4.00,2.00,238,NULL,655,'INGLESES','FLORIANÓPOLIS','SC',15707,265,NULL,90,NULL,NULL,NULL,4,1),(28,7355815,0.00,5.00,2.00,7.00,2.00,NULL,2.00,3.00,0.00,317,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355823,3.00,5.00,1.00,3.00,5.00,7.88,3.00,3.00,2.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',18679,126,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355831,2.00,2.00,3.00,2.00,3.00,4.50,2.00,5.00,0.00,501,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'MENINO DEUS','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7355858,2.00,7.00,5.00,7.00,7.00,9.75,1.00,6.00,2.00,426,NULL,427,'FORQUILHINHAS','S JOSÉ','SC',11288,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','AQUIDAUANA','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7355890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'PEREQUÊ','PTO BELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7355904,2.00,4.00,2.00,7.00,8.00,4.88,3.00,3.00,2.00,9,NULL,NULL,'UNIVERSITÁRIO','LAJEADO','RS',12364,78,NULL,NULL,NULL,NULL,NULL,2,1),(28,7355912,0.00,5.00,2.00,7.00,7.00,7.13,2.00,5.00,2.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11425,2162,NULL,NULL,NULL,NULL,NULL,2,1),(28,7355920,0.00,5.00,2.00,4.00,4.00,NULL,1.00,3.00,1.00,5,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7355939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7355947,6.00,8.00,3.00,6.00,10.00,12.00,4.00,7.00,5.00,208,NULL,NULL,'CENTRO','S JOSÉ','SC',1760,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355955,3.00,6.00,4.00,7.00,2.00,NULL,3.00,4.00,4.00,318,NULL,NULL,'BETEL','PAULÍNIA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7355971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PROGRESSO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7355980,2.00,5.00,1.00,3.00,6.00,8.63,4.00,6.00,3.00,303,NULL,NULL,'AGOSTINI','S MIGUEL OESTE','SC',9390,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7355998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'CENTRO','ARROIO SAL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7356005,3.00,4.00,3.00,7.00,7.00,7.50,1.00,4.00,4.00,216,NULL,203,'PAES LEME','IMBITUBA','SC',9467,304,NULL,520,NULL,NULL,NULL,4,10),(28,7356013,3.00,5.00,1.00,5.00,7.00,10.50,5.00,5.00,0.00,203,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',8774,503,NULL,623,NULL,NULL,NULL,4,1),(28,7356021,2.00,2.00,2.00,4.00,0.00,NULL,2.00,3.00,1.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356030,5.00,7.00,2.00,6.00,6.00,11.63,4.00,6.00,5.00,5,NULL,NULL,'CAMINHO NOVO','PALHOÇA','SC',6909,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356048,3.00,6.00,1.00,4.00,9.00,9.75,4.00,4.00,5.00,5,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',6858,216,NULL,NULL,NULL,NULL,NULL,2,1),(28,7356056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'CENTRO','JABOTICABA','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7356064,0.00,5.00,0.00,3.00,3.00,6.00,4.00,2.00,3.00,238,NULL,233,'RIO VERMELHO','FLORIANÓPOLIS','SC',19670,342,NULL,353,NULL,NULL,NULL,4,1),(28,7356072,1.00,5.00,2.00,6.00,6.00,7.88,0.00,3.00,2.00,303,NULL,NULL,'INTERLAGOS','S PAULO','SP',17356,573,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356080,4.00,8.00,2.00,4.00,6.00,9.38,2.00,3.00,5.00,103,NULL,NULL,'VILA DOM PEDRO I','S PAULO','SP',6526,1700,NULL,NULL,NULL,NULL,NULL,2,1),(28,7356099,1.00,7.00,0.00,3.00,4.00,5.25,1.00,4.00,2.00,110,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',19856,105,NULL,NULL,NULL,NULL,NULL,4,23),(28,7356102,1.00,5.00,3.00,5.00,5.00,7.50,3.00,3.00,2.00,333,NULL,NULL,'MARIA IZABEL','MARÍLIA','SP',13254,75,NULL,NULL,NULL,NULL,NULL,4,3),(28,7356110,5.00,6.00,4.00,6.00,5.00,9.00,7.00,5.00,5.00,238,NULL,235,'CENTRO','CURITIBA','PR',7650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356137,7.00,7.00,2.00,8.00,8.00,9.38,5.00,7.00,5.00,103,NULL,NULL,'JARDIM RECANTO','VALINHOS','SP',696,427,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'BOMFIM','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7356153,3.00,5.00,2.00,4.00,7.00,9.00,1.00,4.00,3.00,201,NULL,207,'CENTRO','FRANCISCO BELTRÃO','PR',9161,636,NULL,423,NULL,NULL,NULL,2,4),(28,7356170,2.00,6.00,1.00,3.00,2.00,NULL,2.00,6.00,1.00,655,NULL,652,'FAXINAL','TORRES','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7356188,1.00,4.00,1.00,6.00,6.00,9.00,3.00,4.00,2.00,333,NULL,NULL,'PRÓSPERA','CRICIÚMA','SC',14993,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7356196,4.00,8.00,0.00,7.00,4.00,10.13,1.00,7.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356200,5.00,6.00,1.00,7.00,6.00,9.00,2.00,6.00,5.00,340,NULL,NULL,'VILA SEIXAS','RIBEIRÃO PRETO','SP',5124,132,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356218,3.00,2.00,1.00,4.00,0.00,3.00,1.00,5.00,2.00,337,NULL,NULL,'ALDEIA FIGUEIRA','JOSÉ BOITEUX','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7356226,4.00,5.00,3.00,6.00,4.00,8.25,5.00,3.00,3.00,211,NULL,215,'AREIAS','S JOSÉ','SC',13287,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7356234,6.00,8.00,4.00,5.00,9.00,9.75,6.00,7.00,8.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',678,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356242,0.00,5.00,1.00,2.00,3.00,8.63,2.00,3.00,4.00,601,NULL,214,'VILA NOVA','JOINVILLE','SC',19580,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7356250,1.00,4.00,2.00,4.00,6.00,6.75,2.00,6.00,4.00,103,NULL,NULL,'PIO CORRÊA','CRICIÚMA','SC',16793,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7356269,3.00,4.00,4.00,1.00,5.00,0.00,1.00,4.00,5.00,444,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356285,2.00,2.00,0.00,3.00,3.00,NULL,3.00,5.00,3.00,302,NULL,NULL,'JARDIM DAS PALMEIRAS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA TUPI','PR GRANDE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7356307,1.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,1.00,208,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356315,2.00,6.00,3.00,2.00,5.00,7.88,1.00,5.00,3.00,5,NULL,NULL,'PARQUE HIPOLITO','LIMEIRA','SP',13024,366,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356323,2.00,3.00,3.00,4.00,7.00,6.75,2.00,4.00,5.00,308,NULL,NULL,'MORRETES','ITAPEMA','SC',12201,17,NULL,NULL,NULL,NULL,NULL,4,3),(28,7356331,2.00,5.00,3.00,4.00,3.00,7.50,3.00,4.00,1.00,332,NULL,NULL,'CENTRO','FORQUILHINHA','SC',18316,34,NULL,NULL,NULL,NULL,NULL,2,1),(28,7356340,3.00,5.00,2.00,2.00,2.00,NULL,2.00,4.00,5.00,336,NULL,NULL,'CENTRO','S LOURENÇO OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7356366,0.00,4.00,2.00,6.00,5.00,NULL,3.00,5.00,3.00,340,NULL,NULL,'COQUEIRAL','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7356374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'PARTENON','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7356390,5.00,4.00,1.00,6.00,4.00,6.75,2.00,5.00,3.00,552,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15155,99,NULL,NULL,NULL,NULL,NULL,2,6),(28,7356412,2.00,6.00,3.00,6.00,5.00,7.88,2.00,5.00,3.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15154,196,NULL,NULL,NULL,NULL,NULL,2,1),(28,7356420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','UNIÃO VITÓRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7356439,3.00,5.00,3.00,6.00,4.00,7.13,4.00,7.00,4.00,104,NULL,NULL,'CENTRO','S MIGUEL OESTE','SC',14171,344,NULL,NULL,NULL,NULL,NULL,4,27),(28,7356447,0.00,6.00,1.00,4.00,6.00,6.00,2.00,4.00,3.00,451,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',18790,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356455,5.00,6.00,3.00,6.00,7.00,9.00,4.00,5.00,1.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5417,1559,NULL,NULL,NULL,NULL,NULL,4,10),(28,7356463,6.00,8.00,3.00,7.00,7.00,10.50,5.00,8.00,4.00,103,NULL,NULL,'PARAÍSO','S PAULO','SP',1615,780,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356471,4.00,7.00,2.00,7.00,5.00,9.00,1.00,5.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12833,357,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356498,1.00,2.00,3.00,2.00,3.00,7.50,2.00,2.00,1.00,103,NULL,NULL,'CENTRO','CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7356501,0.00,0.00,0.00,7.00,2.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'DEHON','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,10),(28,7356510,1.00,0.00,0.00,4.00,4.00,2.25,1.00,1.00,2.00,207,NULL,220,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7356528,2.00,4.00,3.00,7.00,3.00,7.50,1.00,4.00,2.00,329,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',14358,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356544,1.00,5.00,0.00,3.00,4.00,4.88,0.00,5.00,0.00,999,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PANAZZOLO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7356560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'OLARIA','PTO VELHO','RO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7356579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'MERCÊS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7356587,0.00,8.00,2.00,4.00,6.00,6.00,2.00,5.00,3.00,425,NULL,426,'IPIRANGA','S JOSÉ','SC',17397,NULL,NULL,31,NULL,NULL,NULL,4,1),(28,7356595,0.00,4.00,3.00,5.00,1.00,NULL,3.00,2.00,3.00,103,NULL,NULL,'VILA CONCEIÇÃO','S JOÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,15),(28,7356609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7356617,2.00,5.00,2.00,5.00,5.00,5.63,2.00,2.00,4.00,103,NULL,NULL,'AREIAS','S JOSÉ','SC',14083,2306,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,235,'CENTRO','BARRACÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,27),(28,7356633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7356650,3.00,6.00,2.00,6.00,10.00,12.00,3.00,3.00,3.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',6566,296,NULL,NULL,NULL,NULL,NULL,4,4),(28,7356668,1.00,3.00,2.00,3.00,4.00,4.88,2.00,4.00,3.00,654,NULL,NULL,'VILA PINTO','PALMEIRA MISSÕES','RS',17107,63,NULL,NULL,NULL,NULL,NULL,2,4),(28,7356676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7356692,1.00,8.00,3.00,1.00,6.00,6.38,3.00,4.00,1.00,202,NULL,NULL,'EFAPI','CHAPECÓ','SC',17962,385,NULL,NULL,NULL,NULL,NULL,4,4),(28,7356706,3.00,8.00,3.00,7.00,6.00,7.13,3.00,6.00,4.00,318,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6007,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356714,3.00,6.00,2.00,2.00,5.00,9.00,2.00,5.00,1.00,104,NULL,NULL,'VILA NOVA','JOINVILLE','SC',18112,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7356722,2.00,7.00,2.00,4.00,4.00,7.50,1.00,4.00,4.00,332,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',15855,25,NULL,NULL,NULL,NULL,NULL,2,1),(28,7356730,4.00,4.00,6.00,6.00,8.00,7.88,2.00,5.00,3.00,109,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',13790,46,NULL,NULL,NULL,NULL,NULL,2,1),(28,7356749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM CARVALHO','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7356757,2.00,7.00,1.00,7.00,8.00,11.25,3.00,6.00,4.00,211,NULL,215,'FLORESTA','S JOSÉ','SC',8101,219,NULL,135,NULL,NULL,NULL,2,1),(28,7356765,2.00,5.00,4.00,5.00,5.00,6.38,1.00,2.00,2.00,655,NULL,652,'MATO ALTO','ARARANGUÁ','SC',18818,121,NULL,95,NULL,NULL,NULL,2,15),(28,7356773,2.00,4.00,0.00,5.00,5.00,9.00,2.00,5.00,2.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',17982,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7356781,0.00,3.00,2.00,2.00,1.00,NULL,2.00,1.00,0.00,213,NULL,202,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356790,3.00,4.00,3.00,4.00,3.00,NULL,0.00,4.00,4.00,208,NULL,NULL,'VILA CASONE','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7356803,2.00,4.00,1.00,1.00,3.00,9.00,0.00,5.00,2.00,551,NULL,NULL,'ÁGUA SANTA','CURITIBANOS','SC',16222,29,NULL,NULL,NULL,NULL,NULL,2,16),(28,7356820,2.00,6.00,2.00,7.00,6.00,9.00,5.00,4.00,1.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13605,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7356838,2.00,3.00,3.00,4.00,3.00,6.75,3.00,3.00,3.00,655,NULL,652,'CENTRO','ARARANGUÁ','SC',19312,127,NULL,101,NULL,NULL,NULL,2,15),(28,7356846,4.00,5.00,3.00,5.00,1.00,NULL,2.00,3.00,1.00,503,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7356854,5.00,7.00,6.00,7.00,9.00,8.25,5.00,7.00,5.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',1305,73,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356862,2.00,7.00,1.00,4.00,6.00,8.63,3.00,6.00,7.00,340,NULL,NULL,'VILA SÃO JORGE','SANTOS','SP',6990,182,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356889,2.00,5.00,2.00,3.00,6.00,6.75,2.00,5.00,2.00,214,NULL,211,'ESTREITO','FLORIANÓPOLIS','SC',17456,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7356897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','SANTANA LIVRAMENTO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7356919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'COHAB I','S JOAQUIM','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7356927,2.00,2.00,2.00,4.00,4.00,7.13,1.00,3.00,2.00,340,NULL,NULL,'PÂNTANO DO SUL','FLORIANÓPOLIS','SC',19812,431,NULL,NULL,NULL,NULL,NULL,2,1),(28,7356935,2.00,6.00,1.00,6.00,7.00,7.88,5.00,5.00,4.00,316,NULL,NULL,'BARREIROS','S JOSÉ','SC',11514,116,NULL,NULL,NULL,NULL,NULL,2,1),(28,7356943,0.00,5.00,4.00,3.00,4.00,NULL,0.00,4.00,1.00,302,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7356951,4.00,3.00,2.00,5.00,5.00,9.38,2.00,5.00,3.00,103,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',16376,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7356978,4.00,0.00,4.00,6.00,5.00,NULL,0.00,0.00,0.00,202,NULL,213,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7356994,3.00,6.00,2.00,6.00,8.00,7.88,3.00,5.00,4.00,415,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',9348,150,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357001,3.00,6.00,3.00,7.00,4.00,9.38,1.00,4.00,2.00,104,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',10883,264,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357010,1.00,1.00,2.00,2.00,4.00,5.63,3.00,2.00,2.00,652,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',20062,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7357028,5.00,8.00,3.00,6.00,9.00,11.25,5.00,8.00,7.00,103,NULL,NULL,'ATIRADORES','JOINVILLE','SC',1203,639,NULL,NULL,NULL,NULL,NULL,2,8),(28,7357036,2.00,4.00,0.00,3.00,6.00,8.25,1.00,4.00,1.00,103,NULL,NULL,'BEL RECANTO','URUSSANGA','SC',18793,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7357044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'GRAGERU','ARACAJU','SE',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7357052,1.00,5.00,3.00,5.00,8.00,7.88,1.00,5.00,2.00,207,NULL,211,'ABRAÃO','FLORIANÓPOLIS','SC',15805,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357060,4.00,6.00,3.00,6.00,5.00,9.38,1.00,4.00,3.00,104,NULL,NULL,'MONTE CRISTO','FLORIANÓPOLIS','SC',14700,359,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357079,3.00,3.00,0.00,7.00,5.00,7.13,2.00,3.00,3.00,454,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',16298,330,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357087,0.00,3.00,1.00,6.00,4.00,6.00,2.00,3.00,1.00,103,NULL,NULL,'CAMPO D UNA','GAROPABA','SC',18009,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7357109,0.00,4.00,1.00,5.00,4.00,7.88,2.00,3.00,4.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357133,0.00,4.00,1.00,8.00,7.00,9.38,3.00,6.00,4.00,552,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',9925,34,NULL,NULL,NULL,NULL,NULL,4,15),(28,7357141,0.00,2.00,1.00,1.00,3.00,5.25,1.00,2.00,1.00,316,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357176,2.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7357184,2.00,6.00,4.00,6.00,5.00,6.38,3.00,6.00,2.00,203,NULL,202,'JARDIM MARINGÁ','SINOP','MT',9275,516,NULL,240,NULL,NULL,NULL,4,1),(28,7357206,3.00,7.00,0.00,6.00,3.00,10.13,2.00,4.00,5.00,201,NULL,207,'LIXEIRA','CUIABÁ','MT',6741,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7357214,4.00,5.00,3.00,5.00,7.00,10.13,4.00,5.00,3.00,301,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357222,3.00,8.00,3.00,6.00,6.00,10.88,2.00,5.00,3.00,327,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',7047,6,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357230,1.00,4.00,1.00,5.00,5.00,6.75,3.00,3.00,4.00,652,NULL,655,'CIDADE ALTA','ARARANGUÁ','SC',13363,44,NULL,NULL,NULL,NULL,NULL,4,15),(28,7357249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','CUNHA PORÃ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,27),(28,7357257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CACHOEIRA','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7357265,4.00,6.00,2.00,7.00,5.00,8.63,5.00,6.00,3.00,235,NULL,NULL,'BELA VISTA','S JOSÉ','SC',7502,128,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357273,5.00,8.00,3.00,7.00,4.00,9.38,5.00,7.00,4.00,336,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',7484,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357281,2.00,7.00,1.00,6.00,4.00,10.13,3.00,5.00,5.00,238,NULL,202,'PONTE DO IMARUIM','PALHOÇA','SC',7778,102,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357290,4.00,7.00,1.00,4.00,7.00,7.88,0.00,2.00,4.00,415,NULL,NULL,'AIURÊ','GR PARÁ','SC',9905,158,NULL,NULL,NULL,NULL,NULL,4,10),(28,7357303,0.00,3.00,1.00,2.00,2.00,NULL,0.00,5.00,3.00,212,NULL,214,'PROGRESSO','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7357311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7357320,3.00,9.00,0.00,7.00,10.00,11.25,4.00,9.00,3.00,208,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',5075,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357338,1.00,4.00,0.00,2.00,5.00,7.13,2.00,3.00,1.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19837,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357346,6.00,9.00,4.00,7.00,8.00,11.25,5.00,7.00,6.00,203,NULL,220,'MONTE CARLO','CPO GRANDE','MS',627,59,NULL,NULL,NULL,NULL,NULL,4,8),(28,7357354,1.00,5.00,4.00,5.00,6.00,8.25,3.00,4.00,4.00,328,NULL,NULL,'FÁTIMA','JOINVILLE','SC',15795,15,NULL,NULL,NULL,NULL,NULL,4,8),(28,7357362,0.00,3.00,1.00,3.00,2.00,NULL,2.00,2.00,1.00,5,NULL,NULL,'JARDIM CARANDAI','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357370,5.00,7.00,2.00,6.00,10.00,9.00,5.00,3.00,5.00,108,NULL,NULL,'CENTRO','CARAZINHO','RS',3001,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357389,4.00,4.00,1.00,7.00,5.00,6.75,2.00,4.00,0.00,415,NULL,NULL,'CRUZEIRO DO SUL','JOAÇABA','SC',18206,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7357397,6.00,7.00,3.00,5.00,7.00,10.88,5.00,6.00,6.00,207,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',1625,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357400,2.00,6.00,2.00,8.00,8.00,7.88,5.00,5.00,4.00,103,NULL,NULL,'VILA NOVA','BLUMENAU','SC',4572,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7357419,4.00,7.00,4.00,8.00,10.00,8.63,4.00,7.00,5.00,451,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2383,2,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357435,0.00,5.00,2.00,2.00,2.00,NULL,4.00,4.00,2.00,104,NULL,NULL,'CENTRO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7357443,2.00,7.00,1.00,6.00,8.00,7.88,3.00,3.00,3.00,207,NULL,201,'POPULAR','CUIABÁ','MT',13372,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357451,1.00,2.00,2.00,6.00,5.00,7.13,2.00,6.00,2.00,2,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15262,42,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357460,1.00,2.00,2.00,3.00,2.00,NULL,0.00,2.00,0.00,109,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'REGIÃO DO LAGO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7357486,0.00,3.00,1.00,2.00,5.00,7.88,1.00,1.00,2.00,101,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',18506,122,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357494,3.00,5.00,4.00,6.00,8.00,7.13,3.00,6.00,4.00,103,NULL,NULL,'CENTRO','TRAMANDAÍ','RS',7568,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7357508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7357524,3.00,6.00,1.00,5.00,5.00,7.13,2.00,5.00,3.00,201,NULL,212,'JARDIM ITALIA','COCAL SUL','SC',10131,684,NULL,295,NULL,NULL,NULL,2,15),(28,7357532,0.00,4.00,0.00,5.00,3.00,8.25,2.00,3.00,2.00,201,NULL,212,'LOMBA ALTA','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357540,4.00,6.00,4.00,5.00,7.00,9.38,4.00,3.00,2.00,301,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',8393,90,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357559,2.00,6.00,1.00,8.00,5.00,9.75,4.00,5.00,3.00,238,NULL,235,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12875,209,NULL,207,NULL,NULL,NULL,4,1),(28,7357567,1.00,7.00,2.00,7.00,8.00,8.63,5.00,7.00,2.00,415,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10962,179,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357575,1.00,5.00,1.00,4.00,6.00,9.00,2.00,5.00,2.00,337,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',13319,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357583,5.00,8.00,2.00,6.00,9.00,15.00,4.00,6.00,6.00,103,NULL,NULL,'SANTA HELENA','LAGES','SC',1403,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7357591,3.00,4.00,2.00,4.00,5.00,6.38,3.00,3.00,5.00,214,NULL,235,'CAPOEIRAS','FLORIANÓPOLIS','SC',17487,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7357605,2.00,5.00,2.00,5.00,7.00,6.75,2.00,6.00,4.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14028,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357621,2.00,3.00,2.00,4.00,4.00,8.63,1.00,4.00,0.00,339,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357648,3.00,6.00,1.00,6.00,8.00,10.13,1.00,5.00,2.00,207,NULL,201,'VILAGE SAINT CLAIRE','SOROCABA','SP',12851,579,NULL,821,NULL,NULL,NULL,4,8),(28,7357656,3.00,6.00,3.00,7.00,6.00,8.25,2.00,5.00,4.00,234,NULL,NULL,'SACO GRANDE II','FLORIANÓPOLIS','SC',13259,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357664,0.00,6.00,3.00,2.00,3.00,NULL,3.00,3.00,3.00,301,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7357680,5.00,5.00,2.00,3.00,5.00,7.50,4.00,2.00,2.00,211,NULL,601,'CAMPECHE','FLORIANÓPOLIS','SC',11418,300,NULL,335,NULL,NULL,NULL,4,1),(28,7357699,3.00,8.00,2.00,6.00,5.00,10.50,2.00,6.00,5.00,201,NULL,233,'MANEJO','RESENDE','RJ',4675,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357702,3.00,4.00,3.00,5.00,5.00,5.25,2.00,1.00,3.00,319,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357710,1.00,3.00,1.00,2.00,5.00,6.00,0.00,4.00,0.00,502,NULL,NULL,'BARREIROS SAO JOSE','S JOSÉ','SC',19340,63,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357729,2.00,4.00,0.00,6.00,3.00,8.63,3.00,1.00,2.00,309,NULL,NULL,'BELA VISTA','PALHOÇA','SC',19234,64,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CIDADE GAÚCHA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7357745,2.00,7.00,2.00,6.00,9.00,8.25,4.00,6.00,4.00,103,NULL,NULL,'IPIRANGA','S JOSÉ','SC',6522,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357753,1.00,4.00,3.00,5.00,3.00,5.25,3.00,2.00,2.00,653,NULL,202,'DIVINÉIA','ARARANGUÁ','SC',17467,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7357761,1.00,4.00,1.00,3.00,3.00,3.00,3.00,4.00,1.00,454,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357788,2.00,3.00,3.00,2.00,4.00,5.63,1.00,3.00,2.00,324,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',19818,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357796,1.00,3.00,0.00,2.00,2.00,NULL,0.00,3.00,1.00,301,NULL,NULL,'VILA OPERÁRIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7357800,2.00,7.00,3.00,6.00,5.00,6.75,1.00,8.00,3.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13123,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357826,2.00,7.00,1.00,5.00,5.00,7.88,2.00,7.00,4.00,101,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',10535,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357842,1.00,4.00,3.00,4.00,2.00,NULL,3.00,4.00,1.00,652,NULL,NULL,'VILA SÃO JOSE','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7357850,1.00,5.00,2.00,3.00,4.00,6.75,0.00,4.00,4.00,415,NULL,NULL,'EFAPI','CHAPECÓ','SC',17223,256,NULL,NULL,NULL,NULL,NULL,4,4),(28,7357877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'PITEIRAS','BARRA MANSA','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7357893,3.00,6.00,3.00,5.00,8.00,9.75,4.00,5.00,4.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',4912,8,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357907,2.00,1.00,0.00,4.00,5.00,7.13,5.00,3.00,2.00,309,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',17358,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357923,4.00,6.00,1.00,5.00,5.00,9.75,2.00,5.00,5.00,421,NULL,424,'COPACABANA','RIO JANEIRO','RJ',13702,9,NULL,NULL,NULL,NULL,NULL,4,1),(28,7357940,3.00,6.00,1.00,6.00,8.00,10.13,5.00,5.00,3.00,302,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',3750,6,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357958,0.00,2.00,1.00,3.00,3.00,NULL,0.00,1.00,2.00,9,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357966,3.00,7.00,3.00,5.00,3.00,5.63,4.00,6.00,2.00,329,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357974,0.00,4.00,2.00,4.00,4.00,3.00,3.00,3.00,3.00,335,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7357982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7358008,3.00,7.00,3.00,2.00,5.00,9.38,4.00,4.00,4.00,316,NULL,NULL,'VILA OPERARIA','ITAJAÍ','SC',14585,183,NULL,NULL,NULL,NULL,NULL,4,6),(28,7358016,0.00,5.00,3.00,6.00,5.00,7.50,0.00,4.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358024,3.00,1.00,3.00,3.00,5.00,4.50,2.00,2.00,2.00,320,NULL,NULL,'CENTRO','CANOAS','RS',18233,53,NULL,NULL,NULL,NULL,NULL,2,1),(28,7358032,2.00,5.00,2.00,5.00,5.00,12.75,1.00,3.00,2.00,444,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',14437,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7358040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','PALMA SOLA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,26),(28,7358059,4.00,6.00,3.00,6.00,8.00,12.00,5.00,3.00,4.00,201,NULL,207,'CENTRO','FLORIANÓPOLIS','SC',4609,359,NULL,196,NULL,NULL,NULL,4,1),(28,7358067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,17),(28,7358075,2.00,2.00,2.00,5.00,3.00,4.50,2.00,2.00,0.00,340,NULL,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7358091,1.00,6.00,0.00,5.00,6.00,7.88,3.00,5.00,2.00,301,NULL,NULL,'CENTRO','TIJUCAS','SC',13657,191,NULL,NULL,NULL,NULL,NULL,2,1),(28,7358105,2.00,6.00,3.00,7.00,9.00,10.50,3.00,6.00,1.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10257,60,NULL,NULL,NULL,NULL,NULL,2,1),(28,7358113,1.00,4.00,2.00,5.00,2.00,NULL,2.00,4.00,0.00,103,NULL,NULL,'RUSCHEL','IPORÃ OESTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7358121,4.00,7.00,3.00,7.00,3.00,9.38,4.00,6.00,6.00,211,NULL,235,'AGRONOMICA','FLORIANÓPOLIS','SC',5405,134,NULL,93,NULL,NULL,NULL,4,1),(28,7358130,5.00,7.00,4.00,6.00,8.00,12.00,2.00,6.00,2.00,103,NULL,NULL,'PARQUE SÃO JORGE','S PAULO','SP',3736,1272,NULL,NULL,NULL,NULL,NULL,4,23),(28,7358148,1.00,3.00,4.00,2.00,2.00,NULL,1.00,4.00,1.00,5,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358172,4.00,6.00,0.00,3.00,4.00,9.00,4.00,6.00,2.00,339,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',15748,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358180,2.00,7.00,1.00,5.00,3.00,7.50,5.00,4.00,0.00,203,NULL,214,'JARDIM PALMARES','RIBEIRÃO PRETO','SP',17306,681,NULL,343,NULL,NULL,NULL,2,1),(28,7358199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7358202,0.00,6.00,1.00,4.00,3.00,9.00,2.00,4.00,3.00,415,NULL,NULL,'IMIGRANTES','CONCÓRDIA','SC',14649,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7358210,0.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,202,NULL,601,'ALVINÓPOLIS','ATIBAIA','SP',NULL,NULL,NULL,NULL,NULL,'S','S',6,8),(28,7358229,1.00,5.00,0.00,5.00,3.00,6.38,3.00,4.00,1.00,653,NULL,652,'MANOEL ALVES','MELEIRO','SC',19261,206,NULL,NULL,NULL,NULL,NULL,2,15),(28,7358237,2.00,7.00,2.00,4.00,4.00,7.50,2.00,7.00,5.00,335,NULL,NULL,'SÃO CARLOS','POUSO ALEGRE','MG',14445,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358253,2.00,5.00,0.00,7.00,5.00,7.50,1.00,5.00,3.00,203,NULL,238,'ARMAÇÃO','PENHA','SC',12908,601,NULL,210,NULL,NULL,NULL,2,6),(28,7358261,4.00,6.00,3.00,5.00,8.00,7.88,4.00,4.00,2.00,303,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',12741,483,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358288,3.00,5.00,1.00,4.00,6.00,6.00,2.00,5.00,3.00,301,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',12510,176,NULL,NULL,NULL,NULL,NULL,2,1),(28,7358296,0.00,4.00,0.00,5.00,5.00,7.13,2.00,5.00,3.00,103,NULL,NULL,'SÃO CRISTOVÃO','LAGES','SC',15006,2352,NULL,NULL,NULL,NULL,NULL,4,9),(28,7358300,0.00,4.00,2.00,3.00,6.00,8.25,2.00,5.00,1.00,319,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',16528,319,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358318,1.00,4.00,4.00,4.00,3.00,5.63,1.00,3.00,4.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7358326,0.00,5.00,2.00,6.00,7.00,NULL,0.00,3.00,5.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358342,1.00,6.00,1.00,6.00,9.00,4.50,3.00,5.00,3.00,2,NULL,NULL,'ARIRIÚ DA FORMIGA','PALHOÇA','SC',15837,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7358350,0.00,3.00,5.00,4.00,5.00,5.63,4.00,3.00,2.00,308,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18251,66,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358369,1.00,6.00,0.00,4.00,3.00,6.00,1.00,3.00,1.00,9,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',19999,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7358385,4.00,8.00,2.00,6.00,5.00,8.25,4.00,7.00,5.00,238,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',8765,123,NULL,141,NULL,NULL,NULL,4,1),(28,7358407,3.00,7.00,4.00,6.00,8.00,7.13,3.00,7.00,2.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358423,2.00,6.00,0.00,7.00,6.00,NULL,3.00,5.00,3.00,425,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7358431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7358440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,427,NULL,424,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7358458,1.00,4.00,2.00,4.00,3.00,6.38,0.00,4.00,2.00,551,NULL,NULL,'DA AMIZADE','LINDÓIA SUL','SC',17450,44,NULL,NULL,NULL,NULL,NULL,4,26),(28,7358466,2.00,4.00,3.00,2.00,4.00,9.75,1.00,2.00,2.00,208,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7358474,4.00,4.00,3.00,6.00,6.00,7.88,2.00,3.00,3.00,425,NULL,427,'INGLESES','FLORIANÓPOLIS','SC',15518,48,NULL,9,NULL,NULL,NULL,4,1),(28,7358482,6.00,8.00,4.00,6.00,9.00,11.25,6.00,7.00,5.00,103,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',414,296,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358504,6.00,9.00,3.00,7.00,8.00,10.13,5.00,8.00,5.00,103,NULL,NULL,'PAULICÉIA','S BERNARDO CAMPO','SP',885,501,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358512,3.00,5.00,0.00,7.00,4.00,7.50,2.00,5.00,1.00,329,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',17867,24,NULL,NULL,NULL,NULL,NULL,2,6),(28,7358520,3.00,7.00,2.00,7.00,5.00,6.00,2.00,4.00,2.00,999,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7358539,2.00,7.00,2.00,5.00,9.00,8.63,4.00,7.00,5.00,207,NULL,201,'CAMPINAS','S JOSÉ','SC',6557,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7358571,4.00,8.00,4.00,6.00,8.00,9.75,5.00,6.00,7.00,104,NULL,NULL,'CENTRO','VACARIA','RS',766,2,NULL,NULL,NULL,NULL,NULL,2,9),(28,7358598,3.00,4.00,0.00,6.00,2.00,NULL,3.00,2.00,4.00,103,NULL,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7358601,0.00,3.00,0.00,0.00,1.00,NULL,0.00,3.00,1.00,333,NULL,NULL,'SANTA TEREZA','JOAÇABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7358610,4.00,7.00,2.00,5.00,6.00,7.50,4.00,5.00,6.00,207,NULL,601,'SÃO CRISTOVÃO','LAGES','SC',7670,350,NULL,184,NULL,NULL,NULL,4,9),(28,7358636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,235,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7358644,1.00,8.00,2.00,6.00,8.00,10.88,3.00,6.00,2.00,202,NULL,235,'COQUEIROS','FLORIANÓPOLIS','SC',10168,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7358660,1.00,7.00,1.00,7.00,4.00,7.13,2.00,5.00,4.00,316,NULL,NULL,'SANTO AMARO','S PAULO','SP',10340,95,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358679,4.00,5.00,2.00,4.00,4.00,8.63,2.00,3.00,1.00,425,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',18386,71,NULL,34,NULL,NULL,NULL,4,1),(28,7358687,4.00,6.00,3.00,7.00,7.00,10.50,2.00,4.00,7.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',4160,1354,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358695,1.00,5.00,2.00,7.00,6.00,9.75,4.00,7.00,2.00,317,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13778,84,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358709,3.00,8.00,2.00,7.00,9.00,7.50,3.00,7.00,6.00,301,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',3933,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,601,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7358725,1.00,4.00,0.00,4.00,4.00,NULL,0.00,4.00,2.00,324,NULL,NULL,'SÃO LUÍS','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7358733,5.00,7.00,4.00,7.00,4.00,9.75,3.00,7.00,4.00,5,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',8941,275,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358741,1.00,3.00,2.00,3.00,2.00,NULL,3.00,3.00,3.00,225,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358750,0.00,6.00,2.00,6.00,5.00,NULL,2.00,5.00,2.00,324,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7358768,2.00,7.00,1.00,5.00,6.00,5.63,6.00,6.00,3.00,340,NULL,NULL,'CENTRO','BEBEDOURO','SP',13609,363,NULL,NULL,NULL,NULL,NULL,2,1),(28,7358784,2.00,4.00,2.00,5.00,3.00,4.50,4.00,4.00,3.00,214,NULL,213,'SEMIRAMIS DE BARROS','LONDRINA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7358792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VITOR KONDER','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7358806,4.00,7.00,3.00,7.00,5.00,8.63,3.00,5.00,4.00,238,NULL,220,'PANTANAL','FLORIANÓPOLIS','SC',11727,185,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358814,5.00,6.00,2.00,7.00,6.00,8.25,2.00,4.00,3.00,110,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',13501,49,NULL,NULL,NULL,NULL,NULL,4,8),(28,7358849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'JARDIM ARAPONGAS','COLOMBO','PR',NULL,NULL,NULL,NULL,'S','S','S',3,1),(28,7358857,0.00,8.00,4.00,7.00,10.00,7.88,1.00,6.00,4.00,327,NULL,NULL,'NAVEGANTES','LAGUNA','SC',7949,10,NULL,NULL,NULL,NULL,NULL,4,10),(28,7358865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'JUVEVE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7358873,5.00,7.00,2.00,4.00,8.00,11.25,3.00,6.00,3.00,333,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',5033,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358881,4.00,7.00,2.00,7.00,5.00,10.88,5.00,6.00,3.00,208,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',9064,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358890,1.00,5.00,2.00,2.00,6.00,6.38,2.00,4.00,3.00,653,NULL,207,'MATO ALTO','ARARANGUÁ','SC',14020,151,NULL,621,NULL,NULL,NULL,4,15),(28,7358903,6.00,5.00,3.00,7.00,7.00,8.25,5.00,6.00,3.00,326,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',7696,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358911,1.00,7.00,4.00,7.00,9.00,7.13,3.00,4.00,4.00,238,NULL,207,'CARVOEIRA','FLORIANÓPOLIS','SC',11583,182,NULL,528,NULL,NULL,NULL,4,1),(28,7358920,0.00,3.00,1.00,1.00,3.00,8.25,3.00,3.00,2.00,5,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',19922,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(28,7358938,2.00,5.00,2.00,3.00,4.00,6.75,2.00,3.00,2.00,339,NULL,NULL,'MONTE SERRAT','FLORIANÓPOLIS','SC',19171,60,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,NULL,'SANTO ANDRÉ','CAPIVARI BAIXO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7358962,4.00,7.00,4.00,7.00,4.00,6.00,4.00,7.00,3.00,304,NULL,NULL,'BUTANTÃ','S PAULO','SP',6202,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7358970,3.00,7.00,4.00,6.00,4.00,8.63,5.00,4.00,3.00,425,NULL,426,'ITACORUBI','FLORIANÓPOLIS','SC',12893,39,NULL,17,NULL,NULL,NULL,4,1),(28,7358989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7359004,0.00,4.00,3.00,3.00,2.00,NULL,3.00,2.00,2.00,316,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7359020,2.00,3.00,2.00,4.00,4.00,6.00,3.00,4.00,1.00,224,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',19424,35,NULL,NULL,NULL,NULL,NULL,2,1),(28,7359039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,425,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7359047,0.00,5.00,3.00,6.00,7.00,NULL,3.00,4.00,1.00,216,NULL,235,'ITOUPAVA CENTRAL','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7359055,4.00,7.00,3.00,6.00,8.00,10.13,3.00,5.00,4.00,103,NULL,NULL,'SANTANA','S PAULO','SP',3174,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7359063,1.00,6.00,1.00,5.00,3.00,NULL,0.00,5.00,2.00,999,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7359080,3.00,8.00,5.00,7.00,6.00,7.13,6.00,6.00,5.00,215,NULL,201,'CENTRO','TAUBATÉ','SP',3798,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7359098,3.00,7.00,1.00,7.00,7.00,7.88,4.00,5.00,2.00,302,NULL,NULL,'KOBRASOL','S JOSÉ','SC',7894,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7359110,6.00,8.00,5.00,6.00,10.00,11.25,7.00,7.00,6.00,103,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',300,223,NULL,NULL,NULL,NULL,NULL,2,8),(28,7359128,0.00,5.00,4.00,4.00,4.00,6.38,1.00,5.00,2.00,103,NULL,NULL,'CENTRO','LEBON RÉGIS','SC',18283,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7359136,0.00,3.00,2.00,2.00,3.00,NULL,1.00,3.00,3.00,108,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7359152,3.00,6.00,1.00,7.00,8.00,6.75,2.00,5.00,5.00,320,NULL,NULL,'JD CID FLORIANOPOLIS','S JOSÉ','SC',6510,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7359160,1.00,3.00,1.00,7.00,2.00,NULL,3.00,3.00,2.00,999,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7359179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARDIM DALLAS','PALOTINA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7359187,5.00,5.00,7.00,8.00,6.00,9.38,4.00,8.00,4.00,5,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',2521,84,NULL,NULL,NULL,NULL,NULL,2,1),(28,7359195,3.00,5.00,1.00,6.00,7.00,9.38,3.00,3.00,2.00,212,NULL,213,'BARREIROS','S JOSÉ','SC',8148,250,NULL,143,NULL,NULL,NULL,2,1),(28,7359217,5.00,7.00,3.00,4.00,5.00,10.88,7.00,6.00,6.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',2809,1091,NULL,NULL,NULL,NULL,NULL,4,8),(28,7359225,3.00,4.00,3.00,7.00,4.00,6.38,3.00,1.00,2.00,331,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',14714,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7359233,0.00,5.00,1.00,3.00,5.00,NULL,2.00,4.00,3.00,308,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7359250,5.00,9.00,2.00,5.00,9.00,9.00,4.00,7.00,3.00,212,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',5475,179,NULL,NULL,NULL,NULL,NULL,4,1),(28,7359268,0.00,3.00,2.00,1.00,2.00,NULL,3.00,2.00,1.00,5,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7359284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JD STA MARIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7359292,0.00,7.00,2.00,7.00,6.00,10.88,3.00,4.00,5.00,207,NULL,212,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',10384,473,NULL,303,NULL,NULL,NULL,2,1),(28,7359330,0.00,3.00,3.00,6.00,6.00,NULL,3.00,3.00,3.00,103,NULL,NULL,'MARTORANO','S JOAQUIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7359349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'GUABIROTUBA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7359357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'GLORIA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7359381,2.00,3.00,2.00,4.00,2.00,NULL,2.00,4.00,0.00,654,NULL,NULL,'PROGRESSO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7359390,1.00,9.00,0.00,6.00,6.00,NULL,3.00,3.00,3.00,551,NULL,NULL,'INTERIOR','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7359403,0.00,5.00,1.00,2.00,5.00,7.50,2.00,3.00,1.00,317,NULL,NULL,'ZONA RURAL','BOM RETIRO','SC',16101,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7359420,3.00,3.00,2.00,1.00,3.00,4.50,2.00,4.00,3.00,103,NULL,NULL,'COHAB UM','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7359438,4.00,5.00,2.00,4.00,5.00,8.63,2.00,4.00,4.00,318,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',10256,65,NULL,NULL,NULL,NULL,NULL,4,1),(28,7359446,6.00,6.00,4.00,8.00,6.00,12.38,3.00,5.00,6.00,5,NULL,NULL,'CENTRO','PALHOÇA','SC',4036,141,NULL,NULL,NULL,NULL,NULL,4,1),(28,7359470,0.00,2.00,2.00,1.00,1.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'VILA OPERARIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7359489,2.00,2.00,2.00,4.00,2.00,NULL,1.00,4.00,0.00,339,NULL,NULL,'CIDADE JARDIM','CATANDUVAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7359497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7359500,0.00,3.00,1.00,3.00,5.00,6.38,3.00,4.00,2.00,235,NULL,NULL,'LIMOEIRO','BRUSQUE','SC',19231,288,NULL,NULL,NULL,NULL,NULL,4,22),(28,7359519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CRUZEIRO','RIO CAMPO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,24),(28,7359527,1.00,7.00,0.00,0.00,0.00,NULL,0.00,5.00,1.00,203,NULL,202,'ESTREITO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7359535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'SANTA CECILIA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7359543,1.00,6.00,2.00,6.00,7.00,7.50,1.00,5.00,2.00,5,NULL,NULL,'ZONA RURAL','ITÁ','SC',12595,350,NULL,NULL,NULL,NULL,NULL,2,26),(28,7359551,2.00,4.00,3.00,6.00,4.00,8.63,1.00,4.00,3.00,203,NULL,214,'ENCRUZILHADA','SANTOS','SP',11756,578,NULL,282,NULL,NULL,NULL,4,1),(28,7359560,0.00,5.00,2.00,7.00,8.00,4.88,1.00,5.00,1.00,316,NULL,NULL,'ARRAIAL DA JUDA','PTO SEGURO','BA',18260,265,NULL,NULL,NULL,NULL,NULL,4,1),(28,7359578,3.00,5.00,0.00,5.00,2.00,NULL,1.00,3.00,1.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7359586,1.00,7.00,2.00,4.00,6.00,7.13,2.00,3.00,2.00,335,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',18049,8,NULL,NULL,NULL,NULL,NULL,2,1),(28,7359594,0.00,3.00,1.00,2.00,3.00,NULL,0.00,2.00,2.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7359608,0.00,4.00,2.00,7.00,4.00,8.63,1.00,3.00,2.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18915,57,NULL,NULL,NULL,NULL,NULL,2,1),(28,7359616,1.00,4.00,2.00,1.00,4.00,6.00,2.00,6.00,3.00,201,NULL,655,'INTERIOR','FR ROGÉRIO','SC',16812,956,NULL,104,NULL,NULL,NULL,4,16),(28,7359624,2.00,3.00,2.00,2.00,3.00,3.00,1.00,3.00,1.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7359632,4.00,0.00,3.00,7.00,5.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7359659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,601,'CAMPO DA AGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7359667,0.00,3.00,0.00,0.00,0.00,NULL,2.00,4.00,3.00,601,NULL,212,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,2,8),(28,7359675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7359683,3.00,9.00,3.00,6.00,8.00,8.25,4.00,8.00,2.00,5,NULL,NULL,'BALNEÁRIO DO ESTREIT','FLORIANÓPOLIS','SC',8133,247,NULL,NULL,NULL,NULL,NULL,4,1),(28,7359691,5.00,6.00,1.00,6.00,5.00,7.13,4.00,5.00,2.00,225,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',11134,18,NULL,NULL,NULL,NULL,NULL,2,1),(28,7359713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMOBI','STA MARIA','RS',NULL,NULL,NULL,NULL,'S','S','S',5,4),(28,7359721,3.00,6.00,3.00,5.00,7.00,9.00,0.00,5.00,2.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',14661,186,NULL,NULL,NULL,NULL,NULL,4,1),(28,7359730,2.00,6.00,3.00,5.00,8.00,8.63,4.00,7.00,2.00,303,NULL,NULL,'LA SALLE','PATO BRANCO','PR',11132,442,NULL,NULL,NULL,NULL,NULL,2,4),(28,7359748,1.00,3.00,2.00,4.00,5.00,8.63,1.00,4.00,3.00,201,NULL,211,'AREIAS DO MEIO','GOV CELSO RAMOS','SC',15311,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7359764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,426,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7359772,2.00,5.00,2.00,6.00,5.00,10.50,1.00,5.00,2.00,429,NULL,426,'MONTE VERDE','FLORIANÓPOLIS','SC',16491,37,NULL,26,NULL,NULL,NULL,2,1),(28,7359780,4.00,4.00,2.00,6.00,5.00,7.13,5.00,2.00,3.00,238,NULL,212,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',11276,172,NULL,323,NULL,NULL,NULL,4,1),(28,7359799,0.00,2.00,4.00,2.00,4.00,7.13,2.00,3.00,1.00,103,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',19839,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7359802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7359810,1.00,6.00,3.00,3.00,2.00,NULL,3.00,3.00,2.00,5,NULL,NULL,'UNIVERSITARIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7359829,2.00,7.00,6.00,0.00,7.00,6.75,6.00,7.00,3.00,214,NULL,233,'ASA NORTE','BRASÍLIA','DF',10026,260,NULL,NULL,NULL,NULL,NULL,4,1),(28,7359837,0.00,5.00,1.00,5.00,6.00,7.50,2.00,3.00,2.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',16967,236,NULL,NULL,NULL,NULL,NULL,2,1),(28,7359845,8.00,8.00,4.00,6.00,3.00,10.13,3.00,5.00,5.00,103,NULL,NULL,'BOQUEIRÃO','SANTOS','SP',2307,965,NULL,NULL,NULL,NULL,NULL,4,1),(28,7359853,0.00,4.00,2.00,2.00,3.00,8.25,3.00,5.00,3.00,225,NULL,NULL,'CENTRO','BIGUAÇU','SC',18762,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7359861,1.00,4.00,2.00,1.00,2.00,NULL,1.00,2.00,2.00,235,NULL,216,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7359870,1.00,7.00,1.00,3.00,5.00,9.00,3.00,7.00,1.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16732,447,NULL,NULL,NULL,NULL,NULL,2,1),(28,7359896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7359900,3.00,6.00,3.00,5.00,6.00,8.25,2.00,5.00,1.00,207,NULL,201,'MEIA PRAIA','ITAPEMA','SC',10388,474,NULL,NULL,NULL,NULL,NULL,4,3),(28,7359918,0.00,3.00,1.00,4.00,5.00,9.38,0.00,2.00,1.00,109,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',19760,95,NULL,NULL,NULL,NULL,NULL,2,1),(28,7359926,5.00,6.00,2.00,3.00,5.00,9.38,0.00,6.00,3.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15288,95,NULL,NULL,NULL,NULL,NULL,2,1),(28,7359934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(28,7359942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7359950,2.00,3.00,4.00,4.00,2.00,NULL,2.00,6.00,2.00,205,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7359977,1.00,3.00,1.00,0.00,4.00,6.75,3.00,4.00,3.00,103,NULL,NULL,'CENTRO','GR PARÁ','SC',16856,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7359985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,328,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7359993,3.00,7.00,4.00,7.00,8.00,6.38,3.00,5.00,5.00,201,NULL,NULL,'ALPHAVILLE','CAMPINAS','SP',5662,437,NULL,NULL,NULL,NULL,NULL,4,1),(28,7360010,0.00,5.00,2.00,1.00,2.00,NULL,2.00,4.00,0.00,211,NULL,201,'PARQUE DAS ACACIAS','S LUDGERO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7360037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'CENTRO','LGA VERMELHA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7360045,0.00,0.00,2.00,1.00,3.00,NULL,0.00,0.00,0.00,601,NULL,655,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,8),(28,7360053,6.00,6.00,3.00,6.00,8.00,10.50,5.00,5.00,8.00,103,NULL,NULL,'LA SALLE','PATO BRANCO','PR',1395,710,NULL,NULL,NULL,NULL,NULL,2,4),(28,7360061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7360070,7.00,6.00,2.00,6.00,8.00,6.75,4.00,7.00,5.00,203,NULL,202,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',4445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7360088,0.00,5.00,2.00,6.00,4.00,NULL,3.00,3.00,0.00,340,NULL,NULL,'CENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7360096,0.00,3.00,1.00,4.00,2.00,NULL,2.00,5.00,2.00,552,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7360100,3.00,8.00,2.00,3.00,7.00,11.25,5.00,7.00,3.00,208,NULL,NULL,'CENTRO','CAPIVARI BAIXO','SC',4167,27,NULL,NULL,NULL,NULL,NULL,4,10),(28,7360118,5.00,2.00,2.00,2.00,3.00,6.75,5.00,3.00,4.00,201,NULL,203,'ALTO','CURITIBA','PR',18482,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7360134,1.00,4.00,3.00,1.00,3.00,5.25,1.00,2.00,2.00,216,NULL,203,'JARDIM IATE CLUBE','BAL CAMBORIÚ','SC',20081,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7360142,3.00,3.00,1.00,5.00,4.00,7.13,0.00,2.00,1.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',17816,254,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'JARDIM ITALIA','MELEIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7360169,0.00,6.00,2.00,6.00,2.00,NULL,3.00,3.00,2.00,404,NULL,NULL,'SERTÃO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'BORGO','BENTO GONÇALVES','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7360185,0.00,3.00,1.00,6.00,4.00,7.50,2.00,6.00,1.00,320,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',18623,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,220,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7360223,2.00,5.00,2.00,3.00,6.00,9.75,2.00,4.00,4.00,316,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',16087,212,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BESENELO','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7360258,0.00,3.00,3.00,0.00,5.00,NULL,4.00,4.00,1.00,102,NULL,NULL,'CENTRO','MTE CARLO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7360266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7360274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7360290,3.00,7.00,3.00,6.00,9.00,10.13,5.00,7.00,3.00,454,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',6104,90,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360304,0.00,6.00,2.00,1.00,5.00,6.38,1.00,5.00,2.00,213,NULL,235,'SOROCABA','PAULO LOPES','SC',17191,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7360312,1.00,6.00,3.00,6.00,3.00,6.00,1.00,2.00,2.00,999,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7360339,1.00,3.00,1.00,7.00,4.00,7.13,2.00,2.00,4.00,316,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',13578,156,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360347,0.00,3.00,2.00,5.00,4.00,7.50,1.00,2.00,1.00,319,NULL,NULL,'FAZENDA STO ANTÔNIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360371,1.00,4.00,2.00,1.00,4.00,6.00,2.00,1.00,2.00,404,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7360398,1.00,3.00,2.00,2.00,5.00,5.25,1.00,4.00,2.00,103,NULL,NULL,'CENTRO','IMBITUBA','SC',19774,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7360401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7360410,0.00,4.00,2.00,7.00,6.00,7.13,2.00,5.00,2.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17451,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7360428,0.00,5.00,0.00,2.00,4.00,NULL,2.00,4.00,2.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360436,0.00,7.00,1.00,3.00,1.00,NULL,3.00,3.00,2.00,211,NULL,213,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,601,'SÃO CRISTÓVÃO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7360460,2.00,7.00,1.00,5.00,7.00,9.00,5.00,5.00,4.00,601,NULL,653,'CENTRO','AGRONÔMICA','SC',7472,170,NULL,NULL,NULL,NULL,NULL,1,24),(28,7360487,1.00,4.00,2.00,4.00,2.00,NULL,3.00,3.00,2.00,302,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7360495,0.00,3.00,4.00,6.00,4.00,6.75,2.00,3.00,3.00,339,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',18630,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7360509,0.00,4.00,3.00,5.00,3.00,NULL,1.00,4.00,1.00,332,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360517,2.00,4.00,2.00,5.00,5.00,7.88,1.00,2.00,2.00,238,NULL,215,'ITACORUBI','FLORIANÓPOLIS','SC',15737,266,NULL,255,NULL,NULL,NULL,2,1),(28,7360525,3.00,6.00,1.00,3.00,2.00,NULL,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','FRANCISCO BELTRÃO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7360533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'VALDIR FURTADO AMORI','CACHOEIRO ITAPEMIRIM','ES',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7360541,3.00,8.00,6.00,5.00,7.00,13.50,4.00,7.00,7.00,103,NULL,NULL,'CENTRO','ITAPEVA','SP',942,529,NULL,NULL,NULL,NULL,NULL,4,8),(28,7360550,5.00,8.00,3.00,7.00,8.00,9.00,3.00,7.00,3.00,103,NULL,NULL,'ARUANA','ARACAJU','SE',4047,1333,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360568,1.00,4.00,1.00,4.00,6.00,9.75,2.00,5.00,2.00,327,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',18217,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7360576,1.00,4.00,2.00,5.00,3.00,6.00,1.00,4.00,2.00,338,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',17506,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360584,0.00,6.00,1.00,3.00,7.00,7.50,3.00,6.00,2.00,2,NULL,NULL,'PROGRESSO','BLUMENAU','SC',11461,32,NULL,NULL,NULL,NULL,NULL,4,2),(28,7360606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,NULL,'MADUREIRA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7360614,1.00,5.00,3.00,5.00,3.00,4.50,3.00,3.00,2.00,316,NULL,NULL,'OUVIDOR','GAROPABA','SC',16790,232,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360622,3.00,4.00,3.00,6.00,5.00,8.25,1.00,3.00,2.00,319,NULL,NULL,'COSTEIRA PIRAJUBAE','FLORIANÓPOLIS','SC',17915,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360630,3.00,6.00,3.00,5.00,4.00,6.38,2.00,5.00,3.00,104,NULL,NULL,'CENTRO','S MARCOS','RS',11208,273,NULL,NULL,NULL,NULL,NULL,2,4),(28,7360657,1.00,6.00,2.00,4.00,6.00,7.13,3.00,6.00,3.00,320,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',17290,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360673,4.00,5.00,3.00,6.00,6.00,7.13,1.00,2.00,2.00,444,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13506,62,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7360690,3.00,6.00,1.00,6.00,6.00,7.50,1.00,4.00,3.00,652,NULL,655,'HUMAITÁ','TUBARÃO','SC',17273,78,NULL,NULL,NULL,NULL,NULL,2,10),(28,7360703,1.00,7.00,1.00,6.00,7.00,7.88,1.00,7.00,2.00,238,NULL,235,'INGLESES','FLORIANÓPOLIS','SC',14668,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7360720,8.00,8.00,6.00,6.00,8.00,10.88,5.00,7.00,8.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',128,103,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360754,3.00,5.00,3.00,1.00,4.00,4.88,1.00,4.00,3.00,203,NULL,214,'BELA VISTA','BOM RETIRO','SC',16804,NULL,NULL,336,NULL,NULL,NULL,2,1),(28,7360762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7360770,3.00,6.00,2.00,6.00,4.00,6.75,2.00,4.00,1.00,429,NULL,427,'CENTRO','PASSO TORRES','SC',13288,20,NULL,NULL,NULL,NULL,NULL,2,15),(28,7360789,1.00,3.00,0.00,5.00,2.00,NULL,0.00,4.00,2.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360797,3.00,6.00,4.00,6.00,7.00,8.63,2.00,6.00,2.00,320,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',12396,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360800,3.00,4.00,1.00,6.00,3.00,8.63,1.00,6.00,3.00,339,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',17071,39,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360819,2.00,5.00,2.00,5.00,6.00,7.88,2.00,5.00,4.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',10531,309,NULL,NULL,NULL,NULL,NULL,4,1),(28,7360827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7360835,3.00,5.00,2.00,5.00,5.00,8.25,1.00,4.00,4.00,207,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',11707,535,NULL,NULL,NULL,NULL,NULL,4,1),(28,7360843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'ESTRADINHA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7360851,4.00,6.00,2.00,5.00,5.00,7.13,5.00,5.00,1.00,301,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',12452,172,NULL,NULL,NULL,NULL,NULL,4,1),(28,7360878,1.00,7.00,3.00,7.00,9.00,7.13,3.00,7.00,4.00,340,NULL,NULL,'COPACABANA','LAGES','SC',9604,275,NULL,NULL,NULL,NULL,NULL,4,9),(28,7360886,1.00,5.00,3.00,5.00,5.00,5.63,2.00,3.00,2.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18724,56,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360894,1.00,6.00,1.00,6.00,6.00,6.38,4.00,5.00,2.00,652,NULL,655,'PRESIDENTE VARGAS','IÇARA','SC',15998,64,NULL,NULL,NULL,NULL,NULL,4,5),(28,7360908,5.00,8.00,3.00,7.00,6.00,10.88,3.00,7.00,5.00,308,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',6264,3,NULL,NULL,NULL,NULL,NULL,4,1),(28,7360932,2.00,3.00,2.00,7.00,5.00,10.88,2.00,5.00,3.00,103,NULL,NULL,'MOSSUNGUE','CURITIBA','PR',14362,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7360940,1.00,3.00,1.00,5.00,4.00,9.75,2.00,1.00,2.00,426,NULL,NULL,'CAMPINAS','S JOSÉ','SC',19535,40,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360959,2.00,5.00,3.00,5.00,6.00,11.25,2.00,7.00,2.00,320,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',13046,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7360967,1.00,6.00,2.00,6.00,4.00,5.25,3.00,7.00,0.00,454,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',12964,260,NULL,NULL,NULL,NULL,NULL,2,1),(28,7360975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','CANOINHAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7360983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'RIO DA PRATA','RIO CAMPO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7360991,0.00,2.00,1.00,5.00,3.00,NULL,2.00,2.00,2.00,207,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7361025,5.00,9.00,3.00,7.00,8.00,13.50,2.00,9.00,3.00,216,NULL,NULL,'ENCRUZO','JAGUARUNA','SC',3517,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7361033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7361041,0.00,5.00,1.00,1.00,2.00,NULL,1.00,1.00,1.00,501,NULL,NULL,'RURAL','IRACEMA OESTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7361050,1.00,5.00,2.00,1.00,4.00,4.50,2.00,3.00,1.00,428,NULL,424,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7361068,1.00,7.00,3.00,6.00,5.00,7.13,2.00,4.00,4.00,103,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',15812,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7361076,0.00,5.00,1.00,4.00,5.00,9.38,1.00,5.00,4.00,220,NULL,203,'CENTRO','BAL CAMBORIÚ','SC',10841,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7361084,2.00,6.00,1.00,3.00,4.00,6.75,2.00,4.00,4.00,102,NULL,NULL,'BREJARÚ','PALHOÇA','SC',15197,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7361092,0.00,5.00,1.00,5.00,4.00,6.00,2.00,5.00,1.00,328,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15762,14,NULL,NULL,NULL,NULL,NULL,4,1),(28,7361114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE','RIO GRANDE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7361122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AGUA FRIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7361130,5.00,6.00,5.00,7.00,7.00,9.38,6.00,5.00,7.00,211,NULL,220,'INGLESES','FLORIANÓPOLIS','SC',2128,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7361149,1.00,1.00,0.00,1.00,4.00,NULL,2.00,3.00,1.00,317,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7361165,1.00,3.00,2.00,2.00,5.00,5.25,1.00,3.00,2.00,601,NULL,220,'MIRANTE','ITÁ','SC',19970,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7361173,0.00,2.00,2.00,0.00,3.00,NULL,1.00,2.00,1.00,404,NULL,NULL,'CENTRO','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7361181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7361190,5.00,5.00,2.00,3.00,6.00,10.50,7.00,7.00,6.00,653,NULL,235,'BOMBAS','BOMBINHAS','SC',4290,33,NULL,NULL,NULL,NULL,NULL,2,3),(28,7361203,1.00,6.00,2.00,4.00,7.00,8.25,2.00,4.00,1.00,103,NULL,NULL,'BEL RECANTO','URUSSANGA','SC',17968,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7361211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'JARDIM DONA MARIA','PITANGA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7361246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'PACHECOS','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7361254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'PRAIA BRAVA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7361289,3.00,5.00,2.00,6.00,4.00,9.38,1.00,4.00,1.00,216,NULL,NULL,'VELHA','BLUMENAU','SC',9977,313,NULL,NULL,NULL,NULL,NULL,4,2),(28,7361297,1.00,3.00,2.00,3.00,6.00,8.25,2.00,2.00,2.00,552,NULL,NULL,'CENTRO','STA CECÍLIA','SC',19364,146,NULL,NULL,NULL,NULL,NULL,4,16),(28,7361300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,235,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7361319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'GARCIA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7361335,3.00,5.00,3.00,6.00,5.00,9.75,1.00,4.00,5.00,103,NULL,NULL,'CENTRO','IGUAPE','SP',10108,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7361343,0.00,4.00,3.00,5.00,6.00,4.88,4.00,4.00,2.00,339,NULL,NULL,'JOAO PAULO','FLORIANÓPOLIS','SC',15149,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7361351,5.00,6.00,3.00,6.00,7.00,8.63,3.00,4.00,4.00,5,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11742,338,NULL,NULL,NULL,NULL,NULL,2,1),(28,7361360,2.00,4.00,2.00,6.00,4.00,7.13,2.00,3.00,0.00,5,NULL,NULL,'CENTRO','PR GRANDE','SC',14560,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7361386,1.00,4.00,2.00,1.00,3.00,4.88,1.00,2.00,2.00,551,NULL,NULL,'INTERIOR','BARRACÃO','RS',18287,54,NULL,NULL,NULL,NULL,NULL,2,7),(28,7361424,4.00,5.00,1.00,5.00,6.00,10.50,2.00,3.00,2.00,316,NULL,NULL,'CENTRO','PALHOÇA','SC',11832,123,NULL,NULL,NULL,NULL,NULL,2,1),(28,7361467,4.00,9.00,1.00,4.00,7.00,12.00,2.00,6.00,0.00,654,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',11949,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7361475,0.00,6.00,2.00,4.00,5.00,10.50,1.00,3.00,3.00,102,NULL,NULL,'SERRARIA','S JOSÉ','SC',14909,133,NULL,NULL,NULL,NULL,NULL,4,1),(28,7361483,2.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7361491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'VILA NOVA','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7361513,0.00,6.00,3.00,6.00,7.00,7.88,2.00,3.00,4.00,104,NULL,NULL,'INDUSTRIAL NORTE','RIO NEGRINHO','SC',11846,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7361521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7361530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,213,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7361548,0.00,5.00,1.00,5.00,5.00,NULL,2.00,3.00,4.00,103,NULL,NULL,'CENTRO','MRO FUMAÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7361564,1.00,5.00,1.00,5.00,6.00,9.00,4.00,5.00,2.00,652,NULL,655,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',17113,75,NULL,NULL,NULL,NULL,NULL,2,15),(28,7361572,2.00,5.00,3.00,4.00,5.00,6.00,0.00,2.00,4.00,332,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',18950,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7361599,4.00,6.00,2.00,4.00,7.00,9.38,2.00,5.00,2.00,207,NULL,215,'COQUEIROS','FLORIANÓPOLIS','SC',14768,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7361602,1.00,7.00,1.00,2.00,4.00,5.25,4.00,6.00,2.00,201,NULL,202,'BOM JESUS','RIO NEGRO','PR',18515,1011,NULL,388,NULL,NULL,NULL,2,1),(28,7361610,4.00,7.00,4.00,8.00,9.00,6.75,2.00,8.00,2.00,238,NULL,207,'TRINDADE','FLORIANÓPOLIS','SC',8832,126,NULL,407,NULL,NULL,NULL,4,1),(28,7361653,4.00,6.00,2.00,3.00,5.00,9.75,4.00,4.00,1.00,201,NULL,220,'CENTRO','VIDAL RAMOS','SC',16291,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7361670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7361688,1.00,5.00,3.00,5.00,4.00,8.25,1.00,3.00,2.00,601,NULL,203,'ITAUM','JOINVILLE','SC',18591,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7361696,5.00,3.00,0.00,6.00,4.00,NULL,2.00,2.00,2.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7361700,0.00,4.00,3.00,5.00,5.00,NULL,3.00,2.00,4.00,503,NULL,NULL,'CENTRO','ÁGUA DOCE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7361718,2.00,5.00,2.00,6.00,6.00,8.25,1.00,3.00,4.00,207,NULL,212,'CAMPINAS','S JOSÉ','SC',12497,NULL,NULL,343,NULL,NULL,NULL,2,1),(28,7361726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CRISTAL','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7361734,0.00,5.00,3.00,4.00,5.00,5.63,3.00,3.00,1.00,302,NULL,NULL,'CENTRO','PALMAS','PR',15658,111,NULL,NULL,NULL,NULL,NULL,4,4),(28,7361742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7361750,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7361769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,234,NULL,NULL,'CENTRO','S JOSÉ OURO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7361777,0.00,5.00,1.00,1.00,4.00,6.00,3.00,4.00,3.00,201,NULL,203,'CENTRO','RIBEIRÃO PRETO','SP',15212,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7361785,4.00,7.00,1.00,7.00,9.00,11.63,6.00,7.00,5.00,103,NULL,NULL,'CENTRO','NAVEGANTES','SC',2174,929,NULL,NULL,NULL,NULL,NULL,2,6),(28,7361793,0.00,5.00,1.00,7.00,5.00,7.13,3.00,4.00,5.00,501,NULL,NULL,'STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC',16962,103,NULL,NULL,NULL,NULL,NULL,2,1),(28,7361807,2.00,6.00,3.00,5.00,7.00,8.63,4.00,6.00,2.00,428,NULL,426,'KOBRASOL','S JOSÉ','SC',13521,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7361815,2.00,3.00,1.00,3.00,4.00,8.63,0.00,2.00,3.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19685,75,NULL,NULL,NULL,NULL,NULL,2,1),(28,7361823,4.00,5.00,4.00,6.00,8.00,8.25,2.00,5.00,3.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7361831,1.00,8.00,1.00,4.00,6.00,10.88,2.00,6.00,2.00,424,NULL,425,'CARIANOS','FLORIANÓPOLIS','SC',14295,18,NULL,NULL,NULL,NULL,NULL,3,1),(28,7361858,1.00,4.00,2.00,5.00,2.00,NULL,4.00,3.00,2.00,234,NULL,NULL,'BOM JESUS','JARDINÓPOLIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7361874,5.00,8.00,1.00,7.00,7.00,7.88,2.00,5.00,1.00,340,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',8116,217,NULL,NULL,NULL,NULL,NULL,4,1),(28,7361904,1.00,1.00,1.00,3.00,3.00,7.13,0.00,2.00,2.00,234,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',20118,68,NULL,NULL,NULL,NULL,NULL,2,1),(28,7361912,1.00,5.00,3.00,3.00,4.00,7.13,1.00,2.00,0.00,103,NULL,NULL,'ALTO ARIRIU','PALHOÇA','SC',17933,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7361920,3.00,4.00,1.00,4.00,4.00,7.13,2.00,4.00,4.00,551,NULL,NULL,'CENTRO','BRUNÓPOLIS','SC',15892,27,NULL,NULL,NULL,NULL,NULL,2,16),(28,7361939,4.00,7.00,3.00,5.00,6.00,8.25,2.00,6.00,2.00,450,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',8592,63,NULL,NULL,NULL,NULL,NULL,2,1),(28,7361955,0.00,3.00,2.00,6.00,4.00,8.25,2.00,3.00,1.00,110,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19197,98,NULL,NULL,NULL,NULL,NULL,2,1),(28,7361963,0.00,1.00,1.00,4.00,6.00,5.63,2.00,2.00,1.00,502,NULL,NULL,'FAZENDA STO ANTONIO','S JOSÉ','SC',20032,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7361971,6.00,6.00,2.00,8.00,5.00,7.13,6.00,5.00,5.00,225,NULL,NULL,'VELHA','BLUMENAU','SC',8715,11,NULL,NULL,NULL,NULL,NULL,4,2),(28,7361980,1.00,5.00,2.00,4.00,5.00,5.63,3.00,6.00,3.00,999,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7362005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7362013,1.00,4.00,5.00,5.00,8.00,8.63,3.00,4.00,3.00,404,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',13402,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7362021,0.00,3.00,0.00,5.00,5.00,NULL,3.00,4.00,0.00,423,NULL,425,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7362030,2.00,6.00,1.00,7.00,5.00,10.13,2.00,4.00,2.00,425,NULL,NULL,'STO ANTÔNIO DE LISBO','FLORIANÓPOLIS','SC',15758,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7362064,2.00,5.00,1.00,6.00,5.00,7.13,1.00,6.00,2.00,208,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17953,200,NULL,NULL,NULL,NULL,NULL,4,1),(28,7362072,5.00,6.00,4.00,6.00,7.00,6.75,3.00,4.00,5.00,201,NULL,235,'TRINDADE','FLORIANÓPOLIS','SC',7299,540,NULL,125,NULL,NULL,NULL,2,1),(28,7362102,2.00,5.00,3.00,1.00,5.00,NULL,4.00,1.00,1.00,999,NULL,NULL,'ASILO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,2),(28,7362110,2.00,7.00,3.00,7.00,7.00,0.00,3.00,4.00,2.00,110,NULL,NULL,'SANTOS SARAIVA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7362129,1.00,5.00,2.00,2.00,5.00,3.00,4.00,3.00,2.00,303,NULL,NULL,'SATURNO','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7362137,2.00,3.00,1.00,4.00,1.00,NULL,0.00,3.00,1.00,207,NULL,238,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7362145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'INTERIOR','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,26),(28,7362153,1.00,2.00,3.00,2.00,4.00,8.25,2.00,4.00,2.00,444,NULL,NULL,'XIV DE NOVEMBRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7362161,3.00,8.00,0.00,7.00,4.00,7.50,2.00,4.00,3.00,339,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',16518,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7362170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'ESTRELA','S MIGUEL OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7362188,1.00,3.00,2.00,6.00,3.00,7.13,0.00,3.00,2.00,101,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',19541,133,NULL,NULL,NULL,NULL,NULL,2,1),(28,7362196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7362200,2.00,5.00,0.00,4.00,6.00,7.88,3.00,2.00,2.00,425,NULL,424,'CARIANOS','FLORIANÓPOLIS','SC',13840,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7362242,8.00,7.00,3.00,7.00,7.00,11.25,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',2240,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7362277,1.00,0.00,1.00,7.00,8.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7362285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'TAPAJÓS','INDAIAL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7362307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,233,'HIGIENOPOLIS','STA CRUZ SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7362315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PASSO DO GADO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7362323,2.00,8.00,3.00,4.00,4.00,9.38,3.00,5.00,2.00,103,NULL,NULL,'JARDIM AMÉRICA','CHAPECÓ','SC',8506,1950,NULL,NULL,NULL,NULL,NULL,2,4),(28,7362331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,601,'CENTRO','PARANATINGA','MT',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7362340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'TROPICAL','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7362358,2.00,6.00,2.00,7.00,6.00,7.50,2.00,3.00,1.00,502,NULL,NULL,'JD INOCOOP','RIO CLARO','SP',13182,22,NULL,NULL,NULL,NULL,NULL,2,1),(28,7362366,2.00,5.00,2.00,6.00,8.00,9.00,3.00,4.00,2.00,101,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',12537,63,NULL,NULL,NULL,NULL,NULL,2,1),(28,7362374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,203,'JARDIM ELDORADO','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7362382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7362390,7.00,8.00,4.00,1.00,5.00,5.63,3.00,3.00,4.00,203,NULL,235,'DEMÉTRIA','BOTUCATU','SP',11751,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7362404,6.00,7.00,1.00,4.00,5.00,9.75,3.00,6.00,6.00,303,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',5754,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7362412,2.00,5.00,4.00,3.00,5.00,10.50,5.00,4.00,4.00,207,NULL,238,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',9843,456,NULL,NULL,NULL,NULL,NULL,6,1),(28,7362420,2.00,6.00,3.00,4.00,6.00,NULL,0.00,4.00,1.00,451,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7362439,3.00,8.00,3.00,6.00,8.00,10.13,0.00,5.00,4.00,110,NULL,NULL,'BARREITOS','S JOSÉ','SC',8145,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7362447,1.00,5.00,1.00,5.00,9.00,9.38,2.00,5.00,3.00,654,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',15481,53,NULL,NULL,NULL,NULL,NULL,4,15),(28,7362455,2.00,4.00,0.00,6.00,6.00,NULL,3.00,3.00,2.00,999,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,2),(28,7362471,2.00,2.00,1.00,2.00,3.00,8.63,3.00,2.00,1.00,427,NULL,428,'TAJUGA II','S JOÃO BATISTA','SC',18419,19,NULL,NULL,NULL,NULL,NULL,4,22),(28,7362501,2.00,3.00,2.00,5.00,3.00,8.25,2.00,5.00,2.00,103,NULL,NULL,'PANATANAL','FLORIANÓPOLIS','SC',15165,2362,NULL,NULL,NULL,NULL,NULL,2,1),(28,7362510,3.00,6.00,2.00,6.00,3.00,8.25,3.00,5.00,3.00,103,NULL,NULL,'CENTRO','CAMBORIÚ','SC',16244,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7362528,4.00,6.00,5.00,6.00,8.00,9.38,3.00,4.00,6.00,316,NULL,NULL,'CEARÁ','CRICIÚMA','SC',4383,16,NULL,NULL,NULL,NULL,NULL,2,5),(28,7362536,2.00,5.00,3.00,4.00,6.00,6.38,2.00,5.00,4.00,216,NULL,NULL,'JRDIM ITALIA','CHAPECÓ','SC',12878,365,NULL,NULL,NULL,NULL,NULL,2,4),(28,7362552,0.00,4.00,3.00,5.00,2.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'VILA LALAU','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7362579,3.00,7.00,4.00,7.00,9.00,9.00,1.00,7.00,6.00,101,NULL,NULL,'CENTRO','PTE SERRADA','SC',3411,2,NULL,NULL,NULL,NULL,NULL,2,4),(28,7362587,0.00,0.00,4.00,2.00,1.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SAO LUIZ','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7362595,4.00,7.00,4.00,7.00,10.00,7.13,2.00,7.00,4.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',5707,1588,NULL,NULL,NULL,NULL,NULL,4,2),(28,7362609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7362617,0.00,1.00,3.00,4.00,2.00,NULL,3.00,1.00,2.00,308,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7362625,1.00,4.00,2.00,2.00,3.00,7.50,1.00,5.00,3.00,208,NULL,NULL,'PROSPERA','CRICIÚMA','SC',19218,212,NULL,NULL,NULL,NULL,NULL,4,5),(28,7362633,2.00,0.00,3.00,6.00,2.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7362641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,333,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7362650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'MOLLON','STA BÁRBARA D OESTE','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7362668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PLANO DIRETOR SUL','PALMAS','TO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7362676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,212,'PORTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7362684,1.00,4.00,2.00,6.00,3.00,6.38,1.00,3.00,0.00,238,NULL,220,'BELA VISTA','S JOSÉ','SC',19641,341,NULL,NULL,NULL,NULL,NULL,2,1),(28,7362714,2.00,2.00,2.00,6.00,6.00,9.75,2.00,4.00,4.00,319,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',11863,216,NULL,NULL,NULL,NULL,NULL,2,1),(28,7362722,4.00,5.00,1.00,6.00,3.00,6.00,4.00,6.00,2.00,302,NULL,NULL,'CINQUENTENARIO','CAXIAS SUL','RS',16496,120,NULL,NULL,NULL,NULL,NULL,2,1),(28,7362730,0.00,3.00,2.00,1.00,1.00,NULL,3.00,4.00,1.00,303,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7362749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7362757,2.00,6.00,1.00,5.00,2.00,NULL,2.00,4.00,2.00,235,NULL,202,'BOM JESUS','RIO NEGRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7362765,0.00,5.00,2.00,1.00,2.00,NULL,1.00,4.00,2.00,331,NULL,NULL,'CACHOEIRAS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7362790,3.00,5.00,0.00,3.00,1.00,NULL,3.00,6.00,2.00,999,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7362803,2.00,5.00,1.00,7.00,7.00,4.88,1.00,4.00,2.00,319,NULL,NULL,'JRDIM ITALIA','CHAPECÓ','SC',13191,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7362811,0.00,5.00,3.00,5.00,4.00,NULL,2.00,2.00,1.00,319,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7362820,1.00,2.00,1.00,3.00,3.00,6.38,4.00,2.00,4.00,202,NULL,235,'APARECIDA','CAMPOS NOVOS','SC',19765,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7362838,3.00,4.00,1.00,4.00,4.00,7.50,2.00,2.00,1.00,207,NULL,211,'CENTRO','CHAPECÓ','SC',14506,638,NULL,363,NULL,NULL,NULL,2,4),(28,7362846,0.00,3.00,1.00,2.00,4.00,NULL,1.00,5.00,2.00,201,NULL,233,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7362862,0.00,3.00,3.00,5.00,5.00,8.63,2.00,4.00,2.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',18207,51,NULL,NULL,NULL,NULL,NULL,2,16),(28,7362889,1.00,3.00,2.00,5.00,5.00,6.38,1.00,2.00,1.00,303,NULL,NULL,'TRÊS RIOS DO SUL','JARAGUÁ SUL','SC',19826,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7362897,2.00,8.00,3.00,7.00,5.00,10.50,6.00,7.00,2.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',5935,42,NULL,NULL,NULL,NULL,NULL,2,1),(28,7362900,1.00,6.00,0.00,7.00,4.00,NULL,3.00,5.00,3.00,999,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7362919,1.00,7.00,1.00,4.00,5.00,7.88,2.00,4.00,4.00,601,NULL,653,'JARDIM MARISTELA','CRICIÚMA','SC',11701,344,NULL,NULL,NULL,NULL,NULL,4,5),(28,7362927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ARCO IRIS','PANAMBI','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7362943,1.00,6.00,2.00,1.00,2.00,NULL,1.00,1.00,3.00,653,NULL,201,'CABEÇUDA','LAGUNA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7362960,2.00,5.00,4.00,7.00,6.00,9.00,2.00,4.00,2.00,454,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',14353,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7362978,3.00,5.00,3.00,4.00,5.00,7.13,2.00,3.00,3.00,207,NULL,201,'CENTRO','CURITIBA','PR',11607,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7362986,2.00,8.00,1.00,6.00,5.00,9.00,3.00,7.00,1.00,203,NULL,233,'CENTRO','PALHOÇA','SC',9944,535,NULL,235,NULL,NULL,NULL,4,1),(28,7362994,3.00,5.00,1.00,5.00,4.00,4.50,2.00,4.00,4.00,501,NULL,NULL,'CAMPINAS','S JOSÉ','SC',18737,121,NULL,NULL,NULL,NULL,NULL,2,1),(28,7363001,3.00,7.00,3.00,6.00,3.00,7.50,4.00,3.00,2.00,203,NULL,214,'CENTRO','S JOSÉ','SC',17122,676,NULL,339,NULL,NULL,NULL,2,1),(28,7363010,5.00,7.00,3.00,7.00,6.00,8.25,5.00,7.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',1723,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7363028,2.00,4.00,1.00,4.00,6.00,6.38,1.00,3.00,3.00,319,NULL,NULL,'UNIVERSITÁRIO','CHAPECÓ','SC',13148,247,NULL,NULL,NULL,NULL,NULL,4,4),(28,7363036,2.00,5.00,3.00,6.00,7.00,7.13,2.00,4.00,3.00,316,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',13854,166,NULL,NULL,NULL,NULL,NULL,2,1),(28,7363044,3.00,6.00,2.00,6.00,6.00,6.38,2.00,4.00,3.00,203,NULL,201,'REBOUCAS','CURITIBA','PR',10576,548,NULL,700,NULL,NULL,NULL,4,7),(28,7363060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'STO AMARO IMPERATRIZ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7363087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7363095,3.00,5.00,4.00,6.00,7.00,8.25,5.00,6.00,3.00,201,NULL,NULL,'CENTRO','CHAPECÓ','SC',5524,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7363109,2.00,4.00,1.00,2.00,2.00,NULL,1.00,4.00,1.00,109,NULL,NULL,'CACHOEIRA DO BOM JES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7363117,3.00,6.00,1.00,3.00,6.00,7.50,2.00,7.00,2.00,501,NULL,NULL,'OFICINAS','TUBARÃO','SC',17094,105,NULL,NULL,NULL,NULL,NULL,4,10),(28,7363125,4.00,8.00,4.00,5.00,8.00,8.25,6.00,7.00,6.00,104,NULL,NULL,'CENTRO','S JOSÉ','SC',3135,36,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363133,2.00,5.00,1.00,2.00,4.00,7.88,2.00,7.00,4.00,215,NULL,653,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',12739,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363141,7.00,6.00,3.00,6.00,7.00,8.63,4.00,6.00,4.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',4837,1471,NULL,NULL,NULL,NULL,NULL,2,1),(28,7363150,2.00,2.00,0.00,2.00,2.00,NULL,1.00,2.00,1.00,104,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7363168,1.00,5.00,0.00,4.00,3.00,7.88,1.00,6.00,2.00,103,NULL,NULL,'SANTA CLARA','CAÇADOR','SC',14743,2339,NULL,NULL,NULL,NULL,NULL,4,25),(28,7363176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7363192,0.00,2.00,2.00,2.00,3.00,NULL,0.00,3.00,1.00,335,NULL,NULL,'FAZ STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363206,0.00,6.00,2.00,6.00,4.00,5.63,1.00,4.00,2.00,317,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7363214,3.00,4.00,1.00,3.00,3.00,3.00,3.00,2.00,2.00,502,NULL,NULL,'IGARA','CANOAS','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7363222,2.00,7.00,2.00,4.00,2.00,NULL,1.00,5.00,2.00,501,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7363230,2.00,7.00,4.00,7.00,9.00,11.25,3.00,8.00,3.00,425,NULL,421,'TRINDADE','FLORIANÓPOLIS','SC',6544,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363249,2.00,7.00,1.00,6.00,5.00,9.00,3.00,3.00,5.00,110,NULL,NULL,'BEIRA RIO','S LUDGERO','SC',9025,23,NULL,NULL,NULL,NULL,NULL,2,10),(28,7363257,0.00,4.00,1.00,3.00,3.00,7.50,1.00,2.00,1.00,308,NULL,NULL,'BARREIROS','S JOSÉ','SC',20027,97,NULL,NULL,NULL,NULL,NULL,2,1),(28,7363265,2.00,6.00,5.00,6.00,7.00,11.63,4.00,6.00,3.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',8158,146,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363273,2.00,4.00,1.00,4.00,4.00,6.38,1.00,3.00,2.00,101,NULL,NULL,'IPIRANGA','S JOSÉ','SC',17097,112,NULL,NULL,NULL,NULL,NULL,2,1),(28,7363281,4.00,6.00,2.00,3.00,7.00,6.00,3.00,7.00,5.00,201,NULL,202,'ZONA NORTE','IA SOLTEIRA','SP',7393,545,NULL,197,NULL,NULL,NULL,2,1),(28,7363290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLORESTA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7363303,6.00,8.00,2.00,6.00,9.00,7.13,4.00,7.00,7.00,103,NULL,NULL,'ALTO DE MAFRA','MAFRA','SC',2427,1002,NULL,NULL,NULL,NULL,NULL,4,17),(28,7363311,1.00,2.00,1.00,1.00,2.00,NULL,1.00,1.00,2.00,601,NULL,203,'CENTRO','PTO BELO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7363338,1.00,3.00,1.00,2.00,3.00,6.75,2.00,3.00,2.00,316,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363354,1.00,3.00,2.00,2.00,3.00,4.50,2.00,2.00,1.00,332,NULL,NULL,'SERRARIA','S JOSÉ','SC',20156,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7363362,6.00,7.00,2.00,6.00,7.00,10.13,4.00,6.00,2.00,425,NULL,423,'CARVOEIRA','FLORIANÓPOLIS','SC',8215,16,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,238,'VILA IZABEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7363389,5.00,8.00,4.00,8.00,8.00,11.25,8.00,7.00,6.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',981,543,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363397,1.00,4.00,3.00,4.00,5.00,5.25,0.00,4.00,2.00,326,NULL,NULL,'PONTA GROSSA','PTO ALEGRE','RS',16630,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363400,0.00,4.00,1.00,2.00,3.00,7.50,2.00,2.00,2.00,552,NULL,NULL,'SÃO CRISTOVÃO','STA CECÍLIA','SC',18303,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7363419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,203,'CENTRO','FAXINAL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7363427,4.00,7.00,2.00,8.00,7.00,9.00,3.00,5.00,4.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363435,1.00,2.00,3.00,3.00,2.00,NULL,2.00,3.00,3.00,999,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7363443,3.00,6.00,4.00,6.00,8.00,8.63,0.00,4.00,5.00,999,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7363451,3.00,3.00,1.00,5.00,2.00,NULL,1.00,0.00,2.00,319,NULL,NULL,'STO AMARO IMPERATRIZ','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363460,2.00,6.00,2.00,6.00,5.00,9.75,4.00,6.00,3.00,999,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7363478,3.00,4.00,2.00,6.00,5.00,7.50,3.00,3.00,2.00,303,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',17465,576,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7363508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'JARDIM RECORD','TABOÃO SERRA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7363532,2.00,7.00,2.00,7.00,6.00,7.88,3.00,7.00,3.00,329,NULL,NULL,'MICHEL','CRICIÚMA','SC',12306,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363567,5.00,5.00,5.00,7.00,6.00,10.13,2.00,5.00,3.00,234,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',7808,5,NULL,NULL,NULL,NULL,NULL,2,1),(28,7363575,0.00,2.00,2.00,1.00,3.00,NULL,0.00,3.00,1.00,108,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363583,2.00,3.00,2.00,4.00,5.00,8.25,4.00,6.00,2.00,101,NULL,NULL,'CAMPO AGUA VERDE','CANOINHAS','SC',11687,56,NULL,NULL,NULL,NULL,NULL,4,17),(28,7363591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7363605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7363613,1.00,7.00,1.00,2.00,4.00,7.50,1.00,4.00,1.00,428,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',19365,70,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363621,0.00,6.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,207,NULL,655,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363630,2.00,4.00,0.00,4.00,2.00,NULL,1.00,1.00,3.00,104,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7363648,4.00,5.00,1.00,6.00,9.00,6.00,4.00,4.00,4.00,104,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',12773,315,NULL,NULL,NULL,NULL,NULL,4,5),(28,7363656,2.00,6.00,1.00,1.00,5.00,5.63,2.00,3.00,2.00,655,NULL,652,'GUARITA','SOMBRIO','SC',19568,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7363664,4.00,3.00,3.00,5.00,5.00,8.25,2.00,5.00,4.00,207,NULL,215,'MATINHO','XANXERÊ','SC',10044,462,NULL,173,NULL,NULL,NULL,2,4),(28,7363672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CRISTO REDENTOR','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7363680,0.00,6.00,4.00,4.00,4.00,NULL,2.00,4.00,2.00,211,NULL,201,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7363699,3.00,7.00,2.00,6.00,6.00,7.88,2.00,6.00,4.00,103,NULL,NULL,'BRASILIA','LG SUL','DF',6755,NULL,NULL,NULL,NULL,NULL,NULL,3,1),(28,7363702,1.00,4.00,2.00,3.00,5.00,5.25,4.00,4.00,2.00,203,NULL,214,'CENTRO','S MIGUEL OESTE','SC',14838,637,NULL,NULL,NULL,NULL,NULL,4,27),(28,7363710,1.00,5.00,1.00,4.00,2.00,NULL,0.00,4.00,3.00,235,NULL,601,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7363729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,426,'FAZ STO ANTONIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7363737,2.00,5.00,3.00,6.00,7.00,7.88,4.00,5.00,2.00,102,NULL,NULL,'BARREIROS','S JOSÉ','SC',11009,104,NULL,NULL,NULL,NULL,NULL,2,1),(28,7363745,1.00,2.00,1.00,3.00,2.00,NULL,1.00,5.00,1.00,238,NULL,NULL,'MARIA GORETTI','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7363753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,230,NULL,NULL,'ESQUINA','URUBICI','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7363761,1.00,3.00,0.00,2.00,4.00,7.88,2.00,3.00,1.00,207,NULL,201,'ESTREITO','FLORIANÓPOLIS','SC',20022,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363770,1.00,4.00,3.00,6.00,5.00,6.38,2.00,4.00,1.00,238,NULL,655,'CAMPINAS','S JOSÉ','SC',18934,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363788,0.00,0.00,2.00,6.00,6.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(28,7363796,5.00,7.00,3.00,5.00,9.00,7.88,3.00,6.00,4.00,301,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',3830,20,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7363818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,24),(28,7363834,0.00,5.00,1.00,2.00,3.00,5.63,2.00,5.00,1.00,552,NULL,NULL,'INTERIOR','AT BELA VISTA','SC',19836,152,NULL,NULL,NULL,NULL,NULL,1,4),(28,7363842,1.00,3.00,2.00,2.00,2.00,NULL,0.00,1.00,1.00,999,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7363850,2.00,7.00,3.00,4.00,6.00,7.50,4.00,4.00,3.00,303,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',9780,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7363869,2.00,4.00,3.00,1.00,4.00,11.63,0.00,6.00,1.00,327,NULL,NULL,'NOSSA SRA DO ROSARIO','S JOSÉ','SC',18463,60,NULL,NULL,NULL,NULL,NULL,4,1),(28,7363877,4.00,7.00,2.00,6.00,8.00,7.88,4.00,4.00,3.00,316,NULL,NULL,'OFICINAS','TUBARÃO','SC',6298,48,NULL,NULL,NULL,NULL,NULL,4,10),(28,7363885,7.00,8.00,2.00,6.00,6.00,8.25,3.00,5.00,4.00,103,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',4139,1350,NULL,NULL,NULL,NULL,NULL,4,8),(28,7363893,2.00,6.00,4.00,7.00,8.00,6.00,2.00,5.00,3.00,103,NULL,NULL,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7363907,0.00,2.00,1.00,6.00,2.00,NULL,0.00,2.00,2.00,444,NULL,NULL,'JARDIM JANAINA','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7363915,3.00,8.00,2.00,6.00,7.00,7.88,2.00,5.00,3.00,317,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',12721,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7363923,5.00,6.00,4.00,5.00,7.00,9.38,6.00,6.00,5.00,201,NULL,220,'COQUEIROS','FLORIANÓPOLIS','SC',5714,441,NULL,167,NULL,NULL,NULL,4,1),(28,7363931,0.00,6.00,3.00,6.00,6.00,9.00,1.00,3.00,2.00,207,NULL,215,'VILA ARMANDO ANES','PASSO FUNDO','RS',10856,497,NULL,185,NULL,NULL,NULL,4,4),(28,7363940,4.00,6.00,2.00,4.00,4.00,6.75,5.00,4.00,2.00,220,NULL,NULL,'SUMARE','RIO SUL','SC',11215,264,NULL,NULL,NULL,NULL,NULL,4,24),(28,7363958,2.00,4.00,2.00,6.00,7.00,7.13,2.00,4.00,3.00,238,NULL,235,'ESTREITO','FLORIANÓPOLIS','SC',15987,275,NULL,257,NULL,NULL,NULL,2,1),(28,7363974,1.00,5.00,3.00,5.00,4.00,7.50,3.00,4.00,1.00,5,NULL,NULL,'SESI','VIDEIRA','SC',18188,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7363990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7364008,5.00,6.00,4.00,4.00,8.00,8.25,3.00,5.00,2.00,104,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',8537,200,NULL,NULL,NULL,NULL,NULL,2,1),(28,7364024,4.00,7.00,1.00,5.00,7.00,8.63,3.00,4.00,5.00,501,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',6670,18,NULL,NULL,NULL,NULL,NULL,4,15),(28,7364032,0.00,4.00,1.00,2.00,3.00,6.75,2.00,2.00,5.00,444,NULL,NULL,'FAZENDA DO MAX','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364040,1.00,4.00,0.00,3.00,4.00,8.25,1.00,3.00,1.00,5,NULL,NULL,'CINQUENTENÁRIO','CONCÓRDIA','SC',17020,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7364059,4.00,6.00,1.00,4.00,8.00,7.50,2.00,7.00,3.00,340,NULL,NULL,'AUXILIADORA','PTO ALEGRE','RS',12972,349,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364083,0.00,3.00,0.00,5.00,6.00,6.75,2.00,4.00,3.00,230,NULL,NULL,'JARDIM SÃO FRANCISCO','STA BÁRBARA D OESTE','SP',19262,26,NULL,NULL,NULL,NULL,NULL,2,1),(28,7364091,0.00,6.00,0.00,4.00,5.00,9.38,3.00,6.00,1.00,202,NULL,235,'ALTO IRANI','IRANI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7364105,7.00,8.00,2.00,7.00,5.00,6.38,3.00,5.00,3.00,303,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',11884,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364113,1.00,6.00,1.00,5.00,5.00,9.75,5.00,5.00,2.00,235,NULL,213,'JD ATLÂNTICO','FLORIANÓPOLIS','SC',14278,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364121,3.00,7.00,4.00,7.00,8.00,9.00,4.00,5.00,3.00,331,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',5893,9,NULL,NULL,NULL,NULL,NULL,2,1),(28,7364130,2.00,6.00,3.00,4.00,6.00,7.13,6.00,4.00,5.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',6731,1727,NULL,NULL,NULL,NULL,NULL,2,8),(28,7364148,3.00,8.00,1.00,6.00,6.00,10.50,1.00,5.00,4.00,207,NULL,201,'SÃO GOTARDO','S MIGUEL OESTE','SC',5795,263,NULL,NULL,NULL,NULL,NULL,4,4),(28,7364164,0.00,3.00,2.00,5.00,5.00,NULL,2.00,3.00,2.00,318,NULL,NULL,'VISTA ALEGRE','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7364172,1.00,4.00,1.00,2.00,4.00,8.25,2.00,3.00,1.00,999,NULL,NULL,'PINHEIRINHO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7364199,0.00,7.00,1.00,5.00,9.00,9.00,3.00,5.00,3.00,415,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',8606,137,NULL,NULL,NULL,NULL,NULL,4,4),(28,7364202,0.00,5.00,1.00,6.00,9.00,NULL,1.00,4.00,2.00,9,NULL,NULL,'GUARANI','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7364210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,214,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7364229,0.00,2.00,2.00,1.00,4.00,3.00,1.00,4.00,3.00,333,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7364245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,NULL,'JARDIM DAS AVENIDAS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7364253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE NOVO RIO','S JOÃO MERITI','RJ',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7364261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,425,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7364270,0.00,3.00,1.00,3.00,3.00,NULL,0.00,4.00,1.00,333,NULL,NULL,'AMBROSIO DE DENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7364288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MONTE CASTELO','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7364300,5.00,6.00,2.00,6.00,7.00,7.50,2.00,4.00,3.00,9,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12052,75,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364318,2.00,2.00,3.00,3.00,3.00,5.25,2.00,2.00,1.00,338,NULL,NULL,'CENTRO','CARAZINHO','RS',20020,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364334,1.00,4.00,2.00,2.00,4.00,6.75,1.00,4.00,3.00,444,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',19589,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7364350,0.00,1.00,3.00,1.00,3.00,NULL,1.00,2.00,3.00,999,NULL,NULL,'CENTRO','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7364369,5.00,7.00,2.00,5.00,7.00,11.25,4.00,4.00,4.00,220,NULL,655,'CENTRO','NOVA OLÍMPIA','PR',4937,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7364377,2.00,5.00,3.00,4.00,5.00,6.75,5.00,3.00,2.00,211,NULL,601,'GARCIA','BLUMENAU','SC',16770,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7364385,4.00,5.00,3.00,4.00,5.00,3.00,5.00,5.00,6.00,201,NULL,212,'COND MORADA DO SOL','FERNANDÓPOLIS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7364393,4.00,6.00,1.00,6.00,7.00,7.13,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','ITAJAÍ','SC',14984,2350,NULL,NULL,NULL,NULL,NULL,4,6),(28,7364407,0.00,4.00,3.00,5.00,3.00,8.25,3.00,5.00,2.00,999,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7364415,0.00,5.00,3.00,3.00,5.00,6.75,2.00,3.00,1.00,104,NULL,NULL,'RIO CAVEIRAS','BIGUAÇU','SC',19564,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364440,2.00,4.00,0.00,7.00,5.00,NULL,1.00,3.00,2.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364458,3.00,5.00,0.00,4.00,8.00,7.50,3.00,4.00,1.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17731,141,NULL,NULL,NULL,NULL,NULL,2,1),(28,7364466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','PTE ALTA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7364474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','GRAMADO LOUREIROS','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7364482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7364490,2.00,5.00,2.00,6.00,5.00,NULL,0.00,4.00,1.00,103,NULL,NULL,'PRIMAVERA','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7364504,0.00,5.00,2.00,1.00,2.00,NULL,2.00,4.00,4.00,202,NULL,220,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7364512,1.00,3.00,1.00,5.00,6.00,6.38,2.00,3.00,1.00,317,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',16061,122,NULL,NULL,NULL,NULL,NULL,2,1),(28,7364520,0.00,1.00,2.00,3.00,4.00,6.75,2.00,5.00,2.00,5,NULL,NULL,'CENTRO','IÇARA','SC',19813,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7364539,1.00,4.00,2.00,5.00,6.00,8.25,2.00,4.00,2.00,301,NULL,NULL,'PIO CORREA','CRICIÚMA','SC',17364,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7364547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,102,NULL,NULL,'CENTRO','PTO BELO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7364555,3.00,5.00,1.00,7.00,8.00,9.00,2.00,5.00,6.00,999,NULL,NULL,'FAZENDA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7364563,0.00,6.00,1.00,6.00,5.00,8.25,3.00,5.00,2.00,201,NULL,212,'RIO BRANCO','CAXIAS SUL','RS',16089,936,NULL,387,NULL,NULL,NULL,4,1),(28,7364571,1.00,5.00,3.00,5.00,7.00,7.13,3.00,7.00,5.00,108,NULL,NULL,'AREIAS','CAMBORIÚ','SC',9122,119,NULL,NULL,NULL,NULL,NULL,2,3),(28,7364580,4.00,8.00,2.00,7.00,6.00,7.88,0.00,6.00,5.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364598,4.00,6.00,2.00,6.00,7.00,9.00,3.00,4.00,3.00,103,NULL,NULL,'BATEL','CURITIBA','PR',6426,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7364601,4.00,8.00,2.00,7.00,8.00,12.00,3.00,7.00,4.00,454,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',4590,54,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364610,5.00,7.00,2.00,6.00,6.00,8.25,2.00,8.00,4.00,454,NULL,NULL,'CENTRO','S JOSÉ CEDRO','SC',3932,41,NULL,NULL,NULL,NULL,NULL,2,4),(28,7364628,5.00,8.00,2.00,7.00,6.00,9.38,4.00,6.00,5.00,220,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',6311,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364636,3.00,5.00,2.00,6.00,7.00,7.13,4.00,7.00,3.00,317,NULL,NULL,'VENDAVAL','BIGUAÇU','SC',12357,63,NULL,NULL,NULL,NULL,NULL,2,1),(28,7364644,1.00,5.00,1.00,3.00,3.00,7.13,3.00,5.00,1.00,340,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',19484,429,NULL,NULL,NULL,NULL,NULL,4,8),(28,7364652,4.00,6.00,1.00,7.00,8.00,7.13,4.00,5.00,4.00,337,NULL,NULL,'CENTRO','GRAVATAÍ','RS',9066,14,NULL,NULL,NULL,NULL,NULL,2,1),(28,7364660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAMPO COMPRIDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7364679,0.00,6.00,2.00,4.00,3.00,NULL,1.00,5.00,4.00,326,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7364687,5.00,6.00,4.00,5.00,8.00,8.63,2.00,5.00,6.00,103,NULL,NULL,'SÃO CRISTÓVÃO','CASCAVEL','PR',5091,1504,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364717,2.00,5.00,2.00,5.00,5.00,5.25,2.00,4.00,3.00,207,NULL,653,'URUSSANGUINHA','ARARANGUÁ','SC',12360,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7364725,1.00,6.00,0.00,6.00,6.00,7.88,2.00,4.00,3.00,207,NULL,201,'CENTRO','CEL MARTINS','SC',10692,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7364733,5.00,8.00,2.00,6.00,7.00,11.25,4.00,7.00,3.00,103,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',5215,1529,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364741,1.00,5.00,2.00,5.00,5.00,6.00,2.00,7.00,1.00,999,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7364768,0.00,5.00,2.00,2.00,5.00,7.88,2.00,3.00,3.00,224,NULL,NULL,'BUDAG','RIO SUL','SC',15055,18,NULL,NULL,NULL,NULL,NULL,4,24),(28,7364776,5.00,7.00,1.00,7.00,5.00,11.25,3.00,5.00,2.00,207,NULL,652,'VILA NOVA','FRANCISCO BELTRÃO','PR',6834,NULL,NULL,8,NULL,NULL,NULL,4,4),(28,7364784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7364814,2.00,3.00,1.00,1.00,2.00,NULL,1.00,4.00,0.00,234,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364822,3.00,8.00,4.00,7.00,8.00,7.13,4.00,8.00,2.00,335,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',6627,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364830,2.00,6.00,2.00,7.00,8.00,7.13,2.00,5.00,2.00,454,NULL,NULL,'JARDIM CID DE FPOLIS','S JOSÉ','SC',14699,303,NULL,NULL,NULL,NULL,NULL,2,1),(28,7364849,1.00,5.00,3.00,3.00,8.00,8.63,2.00,5.00,1.00,320,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',12605,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364857,3.00,7.00,3.00,6.00,7.00,7.50,2.00,4.00,5.00,103,NULL,NULL,'PRAIA COMPRIDA','S JOSÉ','SC',13380,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7364865,7.00,7.00,5.00,7.00,7.00,9.75,7.00,7.00,7.00,103,NULL,NULL,'VISTA VERDE','S JOSÉ CAMPOS','SP',406,291,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364873,0.00,5.00,1.00,4.00,6.00,NULL,3.00,5.00,0.00,552,NULL,NULL,'DOS MUNICÍPIOS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7364881,2.00,4.00,1.00,3.00,5.00,7.13,3.00,2.00,1.00,333,NULL,NULL,'CIDADE NOVA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7364890,0.00,4.00,2.00,3.00,3.00,7.50,2.00,5.00,1.00,329,NULL,NULL,'VISTA ALEGRE','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7364903,4.00,6.00,1.00,5.00,7.00,6.75,4.00,6.00,4.00,999,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7364911,4.00,8.00,2.00,6.00,8.00,7.13,1.00,7.00,3.00,552,NULL,NULL,'BELA VISTA','PINHALZINHO','SC',6095,5,NULL,NULL,NULL,NULL,NULL,4,4),(28,7364920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,423,NULL,424,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7364938,4.00,6.00,3.00,5.00,6.00,6.75,1.00,5.00,1.00,103,NULL,NULL,'CENTRO','CRICIÚMA','SC',10750,2123,NULL,NULL,NULL,NULL,NULL,2,5),(28,7364946,3.00,7.00,1.00,7.00,10.00,9.75,4.00,6.00,3.00,454,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',6928,108,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364962,1.00,2.00,2.00,6.00,4.00,6.00,2.00,5.00,2.00,103,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7364970,2.00,6.00,3.00,7.00,7.00,10.50,1.00,7.00,3.00,415,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',9553,153,NULL,NULL,NULL,NULL,NULL,4,1),(28,7364989,0.00,5.00,1.00,5.00,4.00,7.13,0.00,3.00,0.00,404,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19796,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7364997,3.00,8.00,3.00,7.00,10.00,9.38,2.00,6.00,4.00,5,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',2763,94,NULL,NULL,NULL,NULL,NULL,2,8),(28,7365004,1.00,4.00,1.00,3.00,2.00,NULL,3.00,5.00,2.00,238,NULL,652,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7365020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7365039,4.00,5.00,1.00,6.00,7.00,7.50,2.00,2.00,2.00,451,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',11411,22,NULL,NULL,NULL,NULL,NULL,2,1),(28,7365055,0.00,0.00,1.00,6.00,5.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,15),(28,7365063,3.00,6.00,3.00,5.00,7.00,6.38,2.00,6.00,2.00,304,NULL,NULL,'BAEPENDI','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7365080,3.00,7.00,3.00,5.00,8.00,6.75,6.00,7.00,7.00,203,NULL,220,'CENTRO','FLORIANÓPOLIS','SC',3718,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7365098,3.00,7.00,0.00,6.00,7.00,7.88,3.00,6.00,4.00,999,NULL,NULL,'JARDIM DOS BANCÁRIOS','CASTRO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7365101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVA IORQUE','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7365110,4.00,4.00,1.00,5.00,4.00,6.38,2.00,3.00,1.00,102,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',19285,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7365128,0.00,4.00,1.00,4.00,5.00,8.25,1.00,3.00,2.00,415,NULL,NULL,'CENTRO','ARROIO TRINTA','SC',19380,NULL,NULL,NULL,NULL,NULL,NULL,5,7),(28,7365136,2.00,6.00,2.00,6.00,8.00,8.63,3.00,4.00,1.00,454,NULL,NULL,'CENTRO','CURITIBA','PR',14283,292,NULL,NULL,NULL,NULL,NULL,4,25),(28,7365144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7365152,4.00,6.00,0.00,2.00,3.00,8.63,5.00,4.00,2.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7365160,2.00,4.00,3.00,4.00,2.00,NULL,3.00,4.00,4.00,238,NULL,213,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7365179,1.00,2.00,3.00,0.00,4.00,7.88,1.00,4.00,2.00,216,NULL,211,'PORTINHO','LAGUNA','SC',17243,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7365187,1.00,4.00,1.00,2.00,4.00,6.38,0.00,2.00,1.00,327,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',20074,70,NULL,NULL,NULL,NULL,NULL,4,1),(28,7365195,0.00,6.00,2.00,5.00,6.00,7.88,0.00,3.00,2.00,103,NULL,NULL,'CENTRO','LAGES','SC',17721,2465,NULL,NULL,NULL,NULL,NULL,4,9),(28,7365225,0.00,5.00,3.00,6.00,5.00,7.88,4.00,5.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7365233,1.00,5.00,0.00,4.00,5.00,7.88,2.00,5.00,3.00,340,NULL,NULL,'CENTRO','LAGES','SC',13718,367,NULL,NULL,NULL,NULL,NULL,4,9),(28,7365241,0.00,3.00,2.00,5.00,3.00,4.50,2.00,2.00,1.00,103,NULL,NULL,'MATO ALTO','ARARANGUÁ','SC',20087,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7365250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'DANIELA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7365268,0.00,5.00,1.00,5.00,6.00,10.88,2.00,5.00,2.00,5,NULL,NULL,'TRAÇADO','URUBICI','SC',11184,322,NULL,NULL,NULL,NULL,NULL,2,1),(28,7365276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7365284,2.00,5.00,1.00,7.00,7.00,5.25,3.00,6.00,3.00,326,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',11058,35,NULL,NULL,NULL,NULL,NULL,2,1),(28,7365292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'MACOPA','TELÊMACO BORBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7365306,3.00,7.00,5.00,7.00,7.00,9.00,5.00,7.00,5.00,444,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4772,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7365314,2.00,5.00,2.00,5.00,6.00,8.63,2.00,5.00,1.00,316,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',11647,119,NULL,NULL,NULL,NULL,NULL,2,1),(28,7365330,3.00,5.00,5.00,6.00,5.00,7.13,2.00,2.00,2.00,103,NULL,NULL,'CZERNIEWICZ','JARAGUÁ SUL','SC',11692,2184,NULL,NULL,NULL,NULL,NULL,4,23),(28,7365373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7365381,0.00,4.00,2.00,5.00,2.00,NULL,1.00,3.00,1.00,324,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7365390,4.00,8.00,2.00,6.00,7.00,7.13,4.00,7.00,4.00,212,NULL,601,'CAPOEIRAS','FLORIANÓPOLIS','SC',6178,198,NULL,124,NULL,NULL,NULL,2,1),(28,7365403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'JARDIM AEROPORTO','IGUATEMI','MS',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7365411,0.00,3.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,552,NULL,NULL,'CENTRO','STA CECÍLIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7365420,1.00,5.00,2.00,6.00,5.00,8.25,4.00,4.00,1.00,233,NULL,216,'BELA VISTA','PTO ALEGRE','RS',11798,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7365454,3.00,6.00,2.00,3.00,3.00,7.88,2.00,7.00,2.00,211,NULL,653,'INTERIOR','ANCHIETA','SC',12703,NULL,NULL,NULL,NULL,NULL,NULL,4,27),(28,7365462,1.00,5.00,1.00,7.00,6.00,7.13,0.00,5.00,4.00,337,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',11483,20,NULL,NULL,NULL,NULL,NULL,2,3),(28,7365489,1.00,4.00,2.00,4.00,5.00,7.88,1.00,4.00,2.00,104,NULL,NULL,'CENTRO','CANELINHA','SC',18721,445,NULL,NULL,NULL,NULL,NULL,4,1),(28,7365497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'AGUA SANTA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7365519,1.00,3.00,1.00,5.00,4.00,5.25,3.00,5.00,3.00,999,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7365527,0.00,6.00,2.00,4.00,4.00,NULL,0.00,7.00,2.00,205,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7365535,1.00,4.00,1.00,5.00,4.00,8.25,2.00,4.00,3.00,224,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',18789,32,NULL,NULL,NULL,NULL,NULL,2,1),(28,7365543,1.00,2.00,1.00,1.00,3.00,9.38,2.00,4.00,3.00,103,NULL,NULL,'SENHOR BOM JESUS','CAMPOS NOVOS','SC',17225,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7365551,4.00,4.00,1.00,7.00,6.00,7.50,3.00,4.00,3.00,655,NULL,207,'CENTRO','BAL CAMBORIÚ','SC',10647,55,NULL,487,NULL,NULL,NULL,4,4),(28,7365560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'PRAIA MOLE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7365578,3.00,6.00,3.00,6.00,6.00,9.00,2.00,6.00,5.00,207,NULL,214,'CENTRO','STO ANTÔNIO PLATINA','PR',6231,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7365586,4.00,7.00,1.00,4.00,7.00,6.75,3.00,5.00,4.00,207,NULL,201,'BOM JESUS','RIO NEGRO','PR',7244,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7365594,3.00,8.00,4.00,7.00,7.00,9.75,2.00,6.00,1.00,653,NULL,233,'INTERIOR','IBIRUBÁ','RS',4106,29,NULL,NULL,NULL,NULL,NULL,4,7),(28,7365608,0.00,5.00,2.00,4.00,6.00,7.13,4.00,3.00,2.00,654,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14666,43,NULL,NULL,NULL,NULL,NULL,2,1),(28,7365616,1.00,5.00,3.00,3.00,3.00,NULL,3.00,5.00,0.00,104,NULL,NULL,'CENTRO','JARDINÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7365624,6.00,7.00,3.00,6.00,8.00,9.38,4.00,8.00,3.00,310,NULL,NULL,'CENTRO','ORLEANS','SC',2731,5,NULL,NULL,NULL,NULL,NULL,2,10),(28,7365632,4.00,3.00,1.00,4.00,6.00,7.13,3.00,4.00,1.00,999,NULL,NULL,'TESTO SALTO','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7365640,2.00,7.00,1.00,3.00,3.00,6.75,4.00,5.00,2.00,9,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',18076,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7365659,1.00,6.00,2.00,5.00,3.00,11.25,0.00,7.00,3.00,339,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15505,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7365667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'OPERÁRIA NOVA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7365675,3.00,5.00,2.00,5.00,6.00,7.50,3.00,5.00,3.00,301,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',10821,139,NULL,NULL,NULL,NULL,NULL,4,6),(28,7365683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','NOVA STA ROSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7365691,0.00,5.00,3.00,4.00,6.00,NULL,4.00,6.00,1.00,999,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7365705,2.00,4.00,1.00,1.00,2.00,NULL,2.00,3.00,3.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7365713,0.00,3.00,3.00,5.00,7.00,NULL,1.00,5.00,1.00,340,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7365721,3.00,5.00,2.00,4.00,7.00,6.75,6.00,6.00,4.00,201,NULL,601,'AGRONOMICA','FLORIANÓPOLIS','SC',12973,831,NULL,NULL,NULL,NULL,NULL,4,1),(28,7365730,0.00,5.00,1.00,3.00,5.00,6.38,2.00,3.00,2.00,213,NULL,202,'MONTE VERDE','FLORIANÓPOLIS','SC',15958,247,NULL,359,NULL,NULL,NULL,2,1),(28,7365748,7.00,8.00,4.00,7.00,7.00,7.50,6.00,7.00,4.00,238,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',3465,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7365756,1.00,5.00,1.00,5.00,6.00,9.75,2.00,4.00,3.00,104,NULL,NULL,'SÃO CRISTÓVÃO','CHAPECÓ','SC',11935,297,NULL,NULL,NULL,NULL,NULL,4,4),(28,7365764,3.00,8.00,3.00,7.00,7.00,11.63,2.00,8.00,5.00,340,NULL,NULL,'PETRÓPOLIS','PASSO FUNDO','RS',1851,30,NULL,NULL,NULL,NULL,NULL,3,1),(28,7365772,1.00,3.00,1.00,6.00,6.00,9.00,1.00,5.00,4.00,415,NULL,NULL,'NOSSA SRA DE FÁTIMA','BARRACÃO','PR',17163,255,NULL,NULL,NULL,NULL,NULL,2,27),(28,7365780,1.00,5.00,1.00,7.00,4.00,8.25,1.00,2.00,3.00,215,NULL,216,'CENTRO','BAL CAMBORIÚ','SC',18970,288,NULL,448,NULL,NULL,NULL,2,3),(28,7365799,3.00,6.00,3.00,6.00,4.00,4.50,2.00,5.00,2.00,423,NULL,428,'COMASA','JOINVILLE','SC',13392,12,NULL,NULL,NULL,NULL,NULL,2,8),(28,7365802,2.00,5.00,3.00,7.00,6.00,8.25,4.00,5.00,2.00,655,NULL,235,'GLORIA','JOINVILLE','SC',13954,77,NULL,NULL,NULL,NULL,NULL,4,8),(28,7365810,1.00,7.00,1.00,7.00,7.00,7.88,1.00,4.00,6.00,207,NULL,211,'VARGEM DOS PINHEIROS','STO AMARO IMPERATRIZ','SC',6835,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7365829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BAIRRO SIMONETO','BARRACÃO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7365837,1.00,6.00,2.00,3.00,6.00,7.88,1.00,4.00,2.00,212,NULL,201,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',18550,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7365845,2.00,8.00,4.00,7.00,6.00,11.25,3.00,4.00,3.00,109,NULL,NULL,'CANTO','FLORIANÓPOLIS','SC',10715,21,NULL,NULL,NULL,NULL,NULL,2,1),(28,7365853,0.00,4.00,1.00,3.00,4.00,6.38,0.00,2.00,1.00,552,NULL,NULL,'SÃO LUIZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7365861,6.00,7.00,4.00,4.00,9.00,7.50,4.00,7.00,5.00,103,NULL,NULL,'BAEPENDI','JARAGUÁ SUL','SC',2704,1063,NULL,NULL,NULL,NULL,NULL,2,23),(28,7365870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7365888,0.00,2.00,1.00,3.00,5.00,NULL,0.00,4.00,1.00,320,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7365896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,207,'INTERIOR','BARRACÃO','RS',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7365900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,211,'FARROUPILHA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,7),(28,7365918,0.00,8.00,3.00,4.00,2.00,NULL,3.00,4.00,2.00,444,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7365926,1.00,5.00,2.00,4.00,5.00,6.38,2.00,3.00,2.00,999,NULL,NULL,'PONTE DE IMARUIN','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7365942,2.00,7.00,1.00,7.00,6.00,9.00,1.00,5.00,4.00,216,NULL,215,'ARIRIU','PALHOÇA','SC',11726,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7365950,2.00,7.00,3.00,6.00,5.00,6.75,3.00,7.00,5.00,451,NULL,NULL,'JARDIM HORTÊNCIA','LIMEIRA','SP',5333,6,NULL,NULL,NULL,NULL,NULL,2,1),(28,7365969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,235,'VILA NOVA BOTUCATU','BOTUCATU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7365977,3.00,4.00,1.00,3.00,7.00,6.75,4.00,6.00,2.00,501,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',17274,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7365985,1.00,6.00,2.00,4.00,8.00,9.00,2.00,4.00,2.00,303,NULL,NULL,'PROGRESSO','POUSO REDONDO','SC',13157,494,NULL,NULL,NULL,NULL,NULL,2,24),(28,7365993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7366000,0.00,3.00,1.00,5.00,3.00,3.00,2.00,2.00,2.00,551,NULL,NULL,'SANTO ANTONIO','FRAIBURGO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7366027,1.00,4.00,1.00,4.00,4.00,7.13,1.00,2.00,4.00,999,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7366035,1.00,3.00,2.00,3.00,7.00,4.88,0.00,2.00,1.00,103,NULL,NULL,'CENTRO','JACAREZINHO','PR',18339,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7366043,1.00,3.00,1.00,1.00,2.00,NULL,2.00,3.00,0.00,503,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7366051,2.00,5.00,1.00,3.00,6.00,6.75,3.00,4.00,2.00,108,NULL,NULL,'GIOPPO','CAÇADOR','SC',12587,175,NULL,NULL,NULL,NULL,NULL,4,25),(28,7366060,2.00,6.00,1.00,6.00,5.00,7.13,1.00,3.00,1.00,319,NULL,NULL,'CAMPINAS','S JOSÉ','SC',18362,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7366078,1.00,3.00,1.00,6.00,7.00,7.88,1.00,2.00,5.00,308,NULL,NULL,'CAMPINAS','S JOSÉ','SC',17967,62,NULL,NULL,NULL,NULL,NULL,4,1),(28,7366086,3.00,4.00,2.00,4.00,5.00,10.13,1.00,3.00,2.00,654,NULL,NULL,'CENTRO','ANGELINA','SC',14556,42,NULL,NULL,NULL,NULL,NULL,2,1),(28,7366094,0.00,4.00,2.00,4.00,4.00,NULL,3.00,3.00,3.00,552,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,22),(28,7366108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'CENTRO','S PEDRO ALCÂNTARA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7366116,1.00,5.00,2.00,3.00,6.00,7.50,2.00,5.00,2.00,320,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',13963,34,NULL,NULL,NULL,NULL,NULL,4,1),(28,7366132,4.00,5.00,2.00,6.00,6.00,7.50,0.00,4.00,2.00,201,NULL,212,'MORRO AGUDO','PAULO LOPES','SC',12387,793,NULL,340,NULL,NULL,NULL,5,1),(28,7366140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7366159,2.00,6.00,2.00,7.00,6.00,6.75,0.00,4.00,3.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7366183,5.00,4.00,3.00,6.00,5.00,8.25,2.00,5.00,2.00,329,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16123,17,NULL,NULL,NULL,NULL,NULL,2,1),(28,7366191,3.00,6.00,1.00,7.00,5.00,10.13,3.00,6.00,2.00,233,NULL,211,'CARAVAGGIO','NOVA VENEZA','SC',7763,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7366213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7366256,3.00,5.00,1.00,7.00,5.00,5.63,3.00,6.00,3.00,207,NULL,211,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',11860,544,NULL,312,NULL,NULL,NULL,4,1),(28,7366264,5.00,5.00,1.00,6.00,6.00,9.00,4.00,4.00,6.00,103,NULL,NULL,'MARÍLIA','MARÍLIA','SP',6491,1697,NULL,NULL,NULL,NULL,NULL,4,8),(28,7366280,4.00,6.00,4.00,5.00,8.00,5.63,4.00,8.00,6.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',3934,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7366299,1.00,5.00,2.00,3.00,3.00,NULL,0.00,3.00,3.00,444,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7366302,3.00,5.00,4.00,5.00,7.00,9.75,5.00,5.00,5.00,238,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',6668,76,NULL,94,NULL,NULL,NULL,4,1),(28,7366310,0.00,5.00,1.00,2.00,3.00,8.25,1.00,5.00,3.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',19296,2511,NULL,NULL,NULL,NULL,NULL,4,1),(28,7366345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'CENTRO','CASCAVEL','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7366353,1.00,5.00,0.00,4.00,7.00,NULL,2.00,5.00,1.00,426,NULL,428,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7366361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'JARDIM EUROPA','PNT GROSSA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7366370,4.00,8.00,5.00,6.00,8.00,9.38,6.00,5.00,6.00,201,NULL,216,'CENTRO','LAGUNA','SC',2405,173,NULL,77,NULL,NULL,NULL,2,10),(28,7366388,2.00,8.00,4.00,4.00,7.00,9.38,4.00,4.00,4.00,108,NULL,NULL,'CENTRO','ANITÁPOLIS','SC',7037,87,NULL,NULL,NULL,NULL,NULL,4,1),(28,7366396,6.00,9.00,6.00,7.00,9.00,7.50,7.00,7.00,7.00,220,NULL,235,'SUMARÉ','RIO SUL','SC',277,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7366426,3.00,6.00,2.00,7.00,6.00,7.88,2.00,4.00,2.00,454,NULL,NULL,'MORRETES','ITAPEMA','SC',9271,169,NULL,NULL,NULL,NULL,NULL,4,3),(28,7366434,2.00,8.00,2.00,6.00,7.00,6.75,3.00,4.00,4.00,653,NULL,652,'COMERCIARIO','CRICIÚMA','SC',8956,91,NULL,11,NULL,NULL,NULL,4,5),(28,7366442,1.00,9.00,2.00,7.00,7.00,11.25,3.00,5.00,3.00,203,NULL,214,'SÃO LUIZ','BRUSQUE','SC',5983,399,NULL,190,NULL,NULL,NULL,4,22),(28,7366450,3.00,7.00,0.00,6.00,5.00,6.00,2.00,5.00,3.00,104,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',10858,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7366469,3.00,4.00,2.00,3.00,6.00,7.50,3.00,2.00,2.00,999,NULL,NULL,'ITOUPAVA SECA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7366477,3.00,2.00,0.00,4.00,3.00,NULL,2.00,2.00,1.00,234,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7366485,3.00,5.00,3.00,5.00,6.00,5.63,2.00,4.00,3.00,333,NULL,NULL,'JARDIM DAS ACÁCIAS','S JOSÉ','SC',12702,71,NULL,NULL,NULL,NULL,NULL,2,1),(28,7366493,0.00,5.00,0.00,5.00,4.00,9.00,4.00,4.00,3.00,999,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7366515,3.00,2.00,2.00,2.00,3.00,6.75,2.00,1.00,1.00,103,NULL,NULL,'VICTOR KONDER','TAIÓ','SC',20016,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7366523,0.00,5.00,2.00,5.00,4.00,NULL,1.00,2.00,3.00,207,NULL,201,'CENTRO','VARGEÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7366531,2.00,2.00,2.00,4.00,5.00,7.50,1.00,2.00,1.00,999,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7366540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,324,NULL,NULL,'COSTEIRA PIRAJUBAÉ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7366558,2.00,5.00,2.00,6.00,3.00,8.25,4.00,5.00,5.00,333,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',12790,72,NULL,NULL,NULL,NULL,NULL,2,3),(28,7366566,1.00,4.00,0.00,0.00,0.00,NULL,1.00,5.00,4.00,316,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7366574,1.00,4.00,3.00,1.00,3.00,5.63,1.00,1.00,2.00,104,NULL,NULL,'CENTRO','CAMPOS NOVOS','SC',18437,438,NULL,NULL,NULL,NULL,NULL,4,7),(28,7366582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SANTA ISABEL','VIAMÃO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7366604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7366612,7.00,6.00,3.00,7.00,4.00,8.25,5.00,4.00,5.00,108,NULL,NULL,'JD ESPLANADA','S JOSÉ CAMPOS','SP',4645,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7366620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ST DOS FUNCIONÁRIOS','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7366639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'LINHA SANTO ANTONIO','ESPIGÃO AT IGUAÇU','PR',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7366647,2.00,6.00,1.00,6.00,5.00,11.63,3.00,3.00,5.00,203,NULL,214,'VILA FALCAO','BAURU','SP',8232,485,NULL,233,NULL,NULL,NULL,4,1),(28,7366655,5.00,6.00,2.00,4.00,5.00,8.25,3.00,5.00,5.00,203,NULL,214,'CENTRO','CURITIBA','PR',10772,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7366663,0.00,5.00,1.00,4.00,6.00,4.50,3.00,3.00,4.00,211,NULL,201,'ITAPETI','MOGI CRUZES','SP',13101,336,NULL,835,NULL,NULL,NULL,4,1),(28,7366680,3.00,3.00,1.00,6.00,4.00,9.00,2.00,4.00,2.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13202,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7366698,6.00,6.00,1.00,7.00,9.00,8.63,5.00,7.00,6.00,103,NULL,NULL,'JARDIM LA SALLE','TOLEDO','PR',1679,800,NULL,NULL,NULL,NULL,NULL,2,4),(28,7366701,3.00,6.00,3.00,6.00,3.00,8.25,3.00,5.00,4.00,201,NULL,212,'CAPOEIRAS','FLORIANÓPOLIS','SC',11533,748,NULL,326,NULL,NULL,NULL,2,1),(28,7366710,3.00,6.00,1.00,6.00,7.00,9.00,2.00,5.00,3.00,103,NULL,NULL,'BATEL','CURITIBA','PR',9181,2012,NULL,NULL,NULL,NULL,NULL,4,1),(28,7366728,1.00,5.00,1.00,4.00,6.00,7.50,1.00,5.00,5.00,303,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',10973,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7366736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'QUINTINO','TIMBÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7366744,1.00,6.00,1.00,3.00,1.00,NULL,1.00,1.00,2.00,429,NULL,425,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7366760,1.00,3.00,1.00,7.00,5.00,8.25,1.00,3.00,1.00,109,NULL,NULL,'RIBEIRAO FRESCO','BLUMENAU','SC',18945,89,NULL,NULL,NULL,NULL,NULL,2,2),(28,7366779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,601,'AMÉRICA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7366787,3.00,6.00,6.00,5.00,3.00,10.50,5.00,6.00,6.00,201,NULL,NULL,'CAMPO DA LANÇA','MAFRA','SC',4223,328,NULL,NULL,NULL,NULL,NULL,4,17),(28,7366809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'ABISCINIA','BRAÇO NORTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7366817,2.00,6.00,2.00,6.00,7.00,9.00,4.00,5.00,3.00,415,NULL,NULL,'IBIRAQUERA','IMBITUBA','SC',8801,142,NULL,NULL,NULL,NULL,NULL,2,1),(28,7366833,1.00,5.00,3.00,3.00,6.00,9.38,2.00,5.00,2.00,320,NULL,NULL,'CENTRO','TUBARÃO','SC',17391,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7366841,5.00,8.00,1.00,7.00,9.00,10.88,3.00,5.00,5.00,103,NULL,NULL,'IPIRANGA','FREDERICO WESTPHALEN','RS',3151,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7366850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7366868,0.00,3.00,2.00,3.00,3.00,NULL,3.00,3.00,1.00,339,NULL,NULL,'MORRO AGUDO','PAULO LOPES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7366876,1.00,4.00,2.00,7.00,7.00,7.50,1.00,4.00,2.00,103,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',17518,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7366884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,201,'SETOR OESTE','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7366906,0.00,3.00,0.00,2.00,4.00,7.13,1.00,3.00,1.00,551,NULL,NULL,'OURO','S JOSÉ OURO','RS',20055,68,NULL,NULL,NULL,NULL,NULL,2,9),(28,7366914,3.00,7.00,1.00,4.00,6.00,8.25,3.00,6.00,3.00,999,NULL,NULL,'SANTO ANTONIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7366922,1.00,5.00,2.00,2.00,2.00,NULL,3.00,4.00,2.00,552,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7366949,3.00,7.00,3.00,6.00,7.00,8.25,3.00,6.00,5.00,103,NULL,NULL,'JARDIM TROPICAL','MARÍLIA','SP',5294,1541,NULL,NULL,NULL,NULL,NULL,4,3),(28,7366957,0.00,3.00,3.00,1.00,5.00,NULL,2.00,5.00,3.00,502,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7366965,1.00,5.00,3.00,4.00,4.00,7.50,2.00,4.00,2.00,501,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',18531,119,NULL,NULL,NULL,NULL,NULL,4,1),(28,7366973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7366981,0.00,3.00,1.00,2.00,3.00,NULL,2.00,2.00,0.00,404,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7366990,0.00,5.00,0.00,8.00,3.00,NULL,1.00,2.00,1.00,340,NULL,NULL,'CENTRO','XAXIM','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7367007,3.00,6.00,2.00,6.00,5.00,9.00,3.00,5.00,5.00,999,NULL,NULL,'GUANABARA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7367015,2.00,5.00,1.00,3.00,3.00,7.88,2.00,4.00,6.00,319,NULL,NULL,'SÃO JOSÉ','CURITIBANOS','SC',13093,245,NULL,NULL,NULL,NULL,NULL,4,16),(28,7367023,1.00,3.00,2.00,1.00,4.00,4.88,0.00,2.00,0.00,5,NULL,NULL,'JARDIM SANTA ROSA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7367031,3.00,4.00,0.00,3.00,1.00,NULL,1.00,5.00,3.00,211,NULL,601,'JARDIM SANTA ROSA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7367040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7367058,0.00,4.00,1.00,4.00,4.00,NULL,3.00,2.00,2.00,503,NULL,NULL,'CENTRO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7367066,3.00,4.00,2.00,3.00,4.00,NULL,5.00,6.00,4.00,104,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',6,1),(28,7367074,0.00,2.00,2.00,3.00,4.00,NULL,0.00,2.00,0.00,316,NULL,NULL,'BARRA DO SAMBAQUI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7367082,5.00,6.00,2.00,5.00,6.00,9.00,3.00,6.00,4.00,207,NULL,201,'CENTRO','BAL CAMBORIÚ','SC',6712,314,NULL,NULL,NULL,NULL,NULL,4,3),(28,7367090,0.00,0.00,3.00,3.00,2.00,NULL,1.00,1.00,1.00,440,NULL,NULL,'BOA VISTA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7367120,2.00,7.00,1.00,6.00,6.00,9.75,1.00,3.00,3.00,216,NULL,601,'CENTRO','CURITIBANOS','SC',10232,318,NULL,289,NULL,NULL,NULL,2,16),(28,7367139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,339,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7367155,0.00,4.00,2.00,0.00,3.00,NULL,0.00,4.00,0.00,103,NULL,NULL,'SOSSEGO','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7367163,0.00,5.00,1.00,4.00,3.00,7.88,3.00,2.00,2.00,235,NULL,213,'MOINHOS','LAJEADO','RS',19464,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7367171,1.00,3.00,0.00,3.00,5.00,7.13,1.00,3.00,3.00,216,NULL,220,'PARQUE JARDIM OURO','OURO','SC',16939,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7367180,0.00,3.00,0.00,3.00,3.00,10.50,1.00,4.00,3.00,415,NULL,NULL,'JARIVATUBA','JOINVILLE','SC',17057,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7367198,2.00,4.00,2.00,5.00,2.00,NULL,1.00,3.00,2.00,214,NULL,220,'ESTREITO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7367201,2.00,2.00,3.00,2.00,3.00,0.00,1.00,3.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7367210,3.00,6.00,1.00,4.00,3.00,5.63,1.00,7.00,1.00,317,NULL,NULL,'STO ANTONIO DE LISOA','FLORIANÓPOLIS','SC',18847,164,NULL,NULL,NULL,NULL,NULL,4,1),(28,7367228,1.00,2.00,5.00,4.00,5.00,5.25,2.00,2.00,3.00,318,NULL,NULL,'CENTRO','S MARTINHO','SC',18778,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7367236,2.00,5.00,1.00,6.00,4.00,6.75,4.00,5.00,3.00,333,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',16553,104,NULL,NULL,NULL,NULL,NULL,4,1),(28,7367244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'CENTRO','CUNHA PORÃ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7367252,3.00,8.00,6.00,7.00,6.00,7.88,6.00,8.00,8.00,203,NULL,214,'JARDIM SÃO PAULO','SOROCABA','SP',600,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7367260,2.00,8.00,1.00,6.00,7.00,9.38,3.00,6.00,1.00,316,NULL,NULL,'TRISTEZA','PTO ALEGRE','RS',11186,111,NULL,NULL,NULL,NULL,NULL,2,1),(28,7367279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'TERCEIRA LINHA','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7367287,0.00,3.00,2.00,6.00,3.00,NULL,1.00,3.00,0.00,415,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7367295,3.00,6.00,2.00,6.00,8.00,8.25,3.00,5.00,5.00,999,NULL,NULL,'FIGUEIRA','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7367309,4.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7367317,5.00,7.00,2.00,4.00,5.00,5.63,4.00,7.00,3.00,216,NULL,NULL,'CENTRO','JOSÉ BONIFÁCIO','SP',11164,339,NULL,NULL,NULL,NULL,NULL,4,1),(28,7367325,0.00,6.00,3.00,3.00,2.00,NULL,0.00,2.00,1.00,454,NULL,NULL,'VILA NOVA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,2),(28,7367341,1.00,7.00,2.00,7.00,4.00,9.00,3.00,4.00,2.00,103,NULL,NULL,'CORAL','LAGES','SC',16293,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7367350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7367368,0.00,5.00,2.00,4.00,5.00,9.38,4.00,6.00,2.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',16340,437,NULL,NULL,NULL,NULL,NULL,4,1),(28,7367376,0.00,5.00,2.00,6.00,5.00,NULL,0.00,1.00,2.00,335,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7367384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE INDUSTRIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7367406,1.00,7.00,1.00,5.00,4.00,10.50,1.00,8.00,2.00,999,NULL,NULL,'NOVA BRASÍLIA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7367414,3.00,3.00,1.00,6.00,4.00,4.50,1.00,4.00,3.00,203,NULL,211,'COMERCIÁRIO','CRICIÚMA','SC',19093,705,NULL,425,NULL,NULL,NULL,2,5),(28,7367422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,233,'BOSQUE','CAMPINAS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7367449,0.00,7.00,3.00,5.00,6.00,8.25,2.00,4.00,2.00,222,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',16722,30,NULL,NULL,NULL,NULL,NULL,2,1),(28,7367457,0.00,4.00,0.00,0.00,0.00,NULL,2.00,2.00,1.00,327,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(28,7367465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,201,'MATRIZ','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,25),(28,7367473,2.00,3.00,3.00,1.00,4.00,7.50,2.00,2.00,1.00,999,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7367481,2.00,5.00,1.00,6.00,5.00,7.88,3.00,4.00,4.00,211,NULL,215,'JARDIM ITÁLIA','CHAPECÓ','SC',12530,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7367490,5.00,8.00,5.00,7.00,8.00,5.63,4.00,5.00,6.00,333,NULL,NULL,'CAPÃO DA IMBUIA','CURITIBA','PR',2503,5,NULL,NULL,NULL,NULL,NULL,4,1),(28,7367503,2.00,4.00,2.00,5.00,4.00,8.25,0.00,2.00,2.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7367511,0.00,5.00,5.00,4.00,5.00,11.63,3.00,5.00,3.00,454,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7367538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7367554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7367562,2.00,6.00,3.00,6.00,7.00,9.38,5.00,7.00,3.00,103,NULL,NULL,'CAMPINAS','S JOSÉ','SC',11127,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7367570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7367589,1.00,3.00,3.00,1.00,3.00,7.13,1.00,3.00,0.00,552,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,16),(28,7367597,3.00,6.00,1.00,7.00,6.00,4.50,1.00,5.00,4.00,303,NULL,NULL,'SÃO LUIZ','SOMBRIO','SC',15833,543,NULL,NULL,NULL,NULL,NULL,4,15),(28,7367600,7.00,7.00,3.00,6.00,7.00,9.38,6.00,5.00,6.00,303,NULL,NULL,'JD PANORAMA','S JOSÉ R PRETO','SP',4958,229,NULL,NULL,NULL,NULL,NULL,4,1),(28,7367627,0.00,7.00,0.00,0.00,0.00,NULL,2.00,4.00,1.00,303,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,9),(28,7367635,4.00,5.00,2.00,5.00,4.00,6.75,4.00,5.00,2.00,454,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15535,319,NULL,NULL,NULL,NULL,NULL,2,1),(28,7367643,5.00,6.00,3.00,7.00,8.00,9.75,2.00,5.00,2.00,501,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',7278,22,NULL,NULL,NULL,NULL,NULL,2,1),(28,7367651,1.00,4.00,1.00,2.00,4.00,4.88,0.00,2.00,3.00,652,NULL,655,'VILA ZULEIMA','CRICIÚMA','SC',20009,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7367660,5.00,7.00,2.00,7.00,9.00,10.50,3.00,4.00,4.00,108,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',7108,88,NULL,NULL,NULL,NULL,NULL,4,1),(28,7367678,0.00,1.00,2.00,4.00,6.00,NULL,2.00,4.00,0.00,319,NULL,NULL,'ESPÍRITO SANTO','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7367686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'CENTRO','PITANGA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7367694,0.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INTERIOR','IRINEÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,17),(28,7367708,0.00,1.00,2.00,5.00,3.00,NULL,1.00,2.00,2.00,201,NULL,601,'JARDIM SANTA ROSA','PARANAGUÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7367724,0.00,4.00,2.00,4.00,6.00,NULL,3.00,2.00,2.00,415,NULL,NULL,'PRESIDENTE MEDICE','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7367732,1.00,3.00,4.00,7.00,5.00,10.13,5.00,5.00,4.00,201,NULL,212,'GLÓRIA','JOINVILLE','SC',13512,NULL,NULL,358,NULL,NULL,NULL,4,8),(28,7367740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,426,NULL,428,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7367759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SOBRADINHO','SOBRADINHO','DF',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7367767,0.00,5.00,1.00,6.00,1.00,NULL,3.00,3.00,3.00,214,NULL,212,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7367775,0.00,6.00,2.00,3.00,3.00,4.50,0.00,4.00,3.00,601,NULL,203,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7367783,0.00,5.00,2.00,5.00,3.00,6.00,4.00,3.00,1.00,317,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19228,169,NULL,NULL,NULL,NULL,NULL,2,1),(28,7367791,1.00,6.00,4.00,7.00,5.00,10.88,3.00,6.00,5.00,202,NULL,653,'CENTRO','SANTANA PTE PENSA','SP',6490,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7367805,3.00,5.00,3.00,4.00,6.00,6.75,4.00,5.00,5.00,302,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',10061,56,NULL,NULL,NULL,NULL,NULL,2,1),(28,7367813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7367821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BUTANTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7367830,6.00,6.00,4.00,6.00,9.00,7.50,2.00,5.00,7.00,450,NULL,NULL,'ALTO','PIRACICABA','SP',2168,10,NULL,NULL,NULL,NULL,NULL,4,3),(28,7367848,4.00,8.00,0.00,7.00,7.00,9.00,1.00,5.00,1.00,238,NULL,220,'CANASVIEIRAS','FLORIANÓPOLIS','SC',14366,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7367856,0.00,3.00,1.00,2.00,2.00,NULL,1.00,3.00,0.00,552,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7367872,1.00,5.00,1.00,5.00,5.00,10.88,2.00,3.00,4.00,216,NULL,220,'MAGALHÃES','LAGUNA','SC',15999,418,NULL,320,NULL,NULL,NULL,4,10),(28,7367899,1.00,3.00,1.00,6.00,3.00,6.00,2.00,3.00,2.00,223,NULL,NULL,'KOBRASOL','S JOSÉ','SC',19644,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7367902,4.00,6.00,2.00,5.00,5.00,9.38,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',5743,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7367910,0.00,0.00,3.00,6.00,4.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(28,7367929,1.00,3.00,0.00,2.00,3.00,5.63,2.00,3.00,2.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7367937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7367945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,652,NULL,653,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,15),(28,7367953,0.00,5.00,0.00,4.00,6.00,NULL,2.00,3.00,2.00,201,NULL,207,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7367961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7367970,2.00,5.00,3.00,7.00,6.00,7.13,3.00,4.00,4.00,214,NULL,212,'ATIRADORES','JOINVILLE','SC',14713,320,NULL,NULL,NULL,NULL,NULL,4,8),(28,7367988,1.00,3.00,1.00,4.00,8.00,6.75,1.00,1.00,4.00,317,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',15578,113,NULL,NULL,NULL,NULL,NULL,2,1),(28,7367996,1.00,5.00,2.00,6.00,4.00,6.00,2.00,4.00,0.00,999,NULL,NULL,'BOA VISTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7368003,2.00,4.00,1.00,5.00,6.00,12.38,5.00,4.00,4.00,233,NULL,202,'DEHON','TUBARÃO','SC',10527,250,NULL,268,NULL,NULL,NULL,2,10),(28,7368011,2.00,5.00,2.00,5.00,4.00,6.38,0.00,5.00,4.00,303,NULL,NULL,'NOSSA SR DO ROSARIO','S JOSÉ','SC',17554,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7368020,4.00,6.00,4.00,3.00,2.00,NULL,3.00,3.00,3.00,552,NULL,NULL,'LIBERDADE','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7368038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7368046,1.00,3.00,1.00,2.00,1.00,NULL,2.00,2.00,3.00,332,NULL,NULL,'SAMBUGARO','PATO BRANCO','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7368054,2.00,7.00,3.00,6.00,6.00,7.88,0.00,6.00,3.00,326,NULL,NULL,'MORRO DO POSTO','LAGES','SC',13373,39,NULL,NULL,NULL,NULL,NULL,2,9),(28,7368062,0.00,3.00,3.00,3.00,3.00,NULL,1.00,3.00,3.00,9,NULL,NULL,'COAB UM','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7368070,0.00,2.00,0.00,1.00,1.00,NULL,0.00,1.00,0.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7368089,0.00,4.00,1.00,6.00,1.00,NULL,1.00,3.00,1.00,501,NULL,NULL,'JARDIM NICOLAU','JACINTO MACHADO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7368097,2.00,5.00,2.00,4.00,4.00,6.00,0.00,5.00,2.00,103,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',16239,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7368100,2.00,7.00,2.00,6.00,7.00,9.38,4.00,5.00,2.00,552,NULL,NULL,'SÃO LUIZ','CURITIBANOS','SC',12787,63,NULL,NULL,NULL,NULL,NULL,2,16),(28,7368127,1.00,5.00,1.00,5.00,4.00,7.88,2.00,2.00,2.00,327,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7368135,1.00,4.00,2.00,3.00,3.00,7.13,1.00,2.00,2.00,103,NULL,NULL,'MORADA DO SOL','CAMPOS NOVOS','SC',17310,2449,NULL,NULL,NULL,NULL,NULL,2,7),(28,7368143,5.00,8.00,2.00,6.00,9.00,8.63,2.00,6.00,4.00,340,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',6922,178,NULL,NULL,NULL,NULL,NULL,4,7),(28,7368151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ALTO DA GLORIA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7368178,5.00,6.00,2.00,6.00,5.00,7.50,1.00,4.00,3.00,103,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15459,2376,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368186,2.00,6.00,2.00,6.00,6.00,8.63,3.00,5.00,5.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7368208,1.00,4.00,0.00,4.00,6.00,NULL,0.00,1.00,2.00,999,NULL,NULL,'SUMARE','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7368216,3.00,5.00,3.00,7.00,5.00,8.25,2.00,3.00,3.00,304,NULL,NULL,'CITY RIBEIRAO','RIBEIRÃO PRETO','SP',15716,113,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368224,4.00,6.00,3.00,6.00,7.00,6.75,2.00,4.00,4.00,316,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',10823,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368232,1.00,6.00,2.00,5.00,3.00,9.00,2.00,2.00,3.00,104,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',18585,442,NULL,NULL,NULL,NULL,NULL,4,8),(28,7368240,1.00,1.00,1.00,2.00,2.00,NULL,0.00,3.00,1.00,404,NULL,NULL,'CALHEIROS','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7368259,5.00,8.00,6.00,6.00,8.00,10.88,6.00,6.00,7.00,103,NULL,NULL,'ANA MARIA','RIBEIRÃO PRETO','SP',388,278,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368267,2.00,4.00,3.00,6.00,6.00,7.88,4.00,5.00,5.00,317,NULL,NULL,'CENTRO','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7368275,1.00,3.00,2.00,2.00,4.00,6.38,1.00,2.00,2.00,309,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7368283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'FAZENDA DA ARMAÇÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7368291,1.00,2.00,0.00,1.00,2.00,NULL,0.00,4.00,0.00,101,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368305,0.00,3.00,1.00,2.00,2.00,NULL,2.00,4.00,1.00,320,NULL,NULL,'SÃO JOAO DO RIO VERM','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7368313,5.00,8.00,2.00,5.00,9.00,9.00,4.00,6.00,6.00,103,NULL,NULL,'CENTRO','STA CECÍLIA','SC',3642,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368321,4.00,5.00,3.00,5.00,8.00,8.25,3.00,4.00,4.00,214,NULL,215,'SÃO CRISTOVÃO','LAGES','SC',7890,227,NULL,NULL,NULL,NULL,NULL,2,9),(28,7368330,1.00,6.00,1.00,6.00,4.00,10.88,2.00,5.00,2.00,999,NULL,NULL,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368348,2.00,4.00,3.00,6.00,5.00,6.38,4.00,2.00,3.00,5,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',17732,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7368356,3.00,7.00,2.00,8.00,4.00,8.63,4.00,4.00,1.00,212,NULL,213,'CORREGO GRANDE','FLORIANÓPOLIS','SC',13637,359,NULL,226,NULL,NULL,NULL,4,1),(28,7368372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7368380,1.00,5.00,2.00,3.00,6.00,6.00,2.00,3.00,1.00,654,NULL,NULL,'DIVINÉIA','ARARANGUÁ','SC',15017,48,NULL,NULL,NULL,NULL,NULL,2,15),(28,7368399,1.00,5.00,1.00,5.00,4.00,8.63,1.00,4.00,3.00,303,NULL,NULL,'SETOR MORADA DO SOL','RIO VERDE','GO',18444,590,NULL,NULL,NULL,NULL,NULL,2,1),(28,7368402,7.00,7.00,1.00,8.00,7.00,8.25,4.00,7.00,4.00,103,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5742,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368410,0.00,2.00,3.00,4.00,4.00,6.75,3.00,4.00,1.00,340,NULL,NULL,'BARREIRINHA','CURITIBA','PR',19679,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7368429,6.00,7.00,2.00,7.00,4.00,8.63,4.00,6.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5874,1610,NULL,NULL,NULL,NULL,NULL,5,1),(28,7368437,4.00,6.00,4.00,6.00,9.00,8.25,4.00,7.00,4.00,332,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',4917,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,223,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7368453,7.00,7.00,4.00,5.00,7.00,9.75,4.00,7.00,7.00,103,NULL,NULL,'AGUA VERDE','CURITIBA','PR',1292,673,NULL,NULL,NULL,NULL,NULL,4,8),(28,7368461,0.00,5.00,2.00,4.00,2.00,NULL,2.00,5.00,1.00,318,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368470,1.00,0.00,0.00,3.00,4.00,6.75,4.00,2.00,3.00,404,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368488,0.00,2.00,2.00,0.00,3.00,6.00,2.00,4.00,1.00,304,NULL,NULL,'CENTRO','RIQUEZA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7368496,1.00,0.00,2.00,2.00,6.00,NULL,0.00,0.00,0.00,207,NULL,211,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7368500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,336,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7368518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'XAXIM','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7368526,4.00,8.00,3.00,7.00,8.00,7.50,3.00,8.00,3.00,108,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',9051,118,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368534,4.00,4.00,3.00,6.00,4.00,8.25,3.00,3.00,2.00,103,NULL,NULL,'CENTRO','XANXERÊ','SC',11415,2161,NULL,NULL,NULL,NULL,NULL,5,4),(28,7368542,3.00,8.00,2.00,7.00,6.00,0.00,5.00,7.00,3.00,310,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7368550,1.00,4.00,1.00,8.00,7.00,9.75,2.00,7.00,2.00,207,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',14078,626,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368569,1.00,3.00,2.00,5.00,4.00,8.63,3.00,3.00,2.00,324,NULL,NULL,'COBRE','CANELINHA','SC',18602,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7368577,1.00,4.00,2.00,1.00,2.00,NULL,0.00,5.00,1.00,339,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,220,'BELLO','CAÇADOR','SC',NULL,NULL,NULL,NULL,'S','S','S',4,25),(28,7368593,2.00,5.00,2.00,7.00,8.00,9.75,2.00,6.00,3.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',9928,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7368607,3.00,7.00,2.00,6.00,9.00,10.13,3.00,6.00,5.00,304,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',2740,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368615,6.00,7.00,5.00,6.00,7.00,12.00,5.00,6.00,7.00,212,NULL,207,'JARDIM DO MAR','S BERNARDO CAMPO','SP',1054,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'PARQUE DAS ÁRVORES','CERQUILHO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7368640,0.00,4.00,1.00,1.00,3.00,6.38,1.00,3.00,4.00,201,NULL,216,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',20035,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368658,1.00,2.00,1.00,2.00,5.00,9.38,1.00,4.00,2.00,5,NULL,NULL,'SAIC','CHAPECÓ','SC',16951,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7368666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'VILA MORANGUEIRA','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7368712,0.00,0.00,2.00,5.00,5.00,11.25,2.00,5.00,3.00,427,NULL,428,'BARREIROS','S JOSÉ','SC',18488,20,NULL,NULL,NULL,NULL,NULL,2,1),(28,7368720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7368739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7368747,1.00,3.00,1.00,5.00,3.00,4.50,2.00,2.00,1.00,211,NULL,601,'CENTRO','S DOMINGOS','SC',20051,434,NULL,560,NULL,NULL,NULL,2,4),(28,7368755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'BANCARIOS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7368763,5.00,6.00,2.00,7.00,9.00,11.25,4.00,8.00,2.00,104,NULL,NULL,'OFICINAS','TUBARÃO','SC',3812,56,NULL,NULL,NULL,NULL,NULL,4,10),(28,7368771,6.00,7.00,3.00,7.00,9.00,9.75,5.00,5.00,4.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',3639,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368780,0.00,5.00,5.00,5.00,6.00,6.38,4.00,4.00,3.00,454,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',16709,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7368798,2.00,5.00,2.00,4.00,6.00,6.38,1.00,3.00,3.00,103,NULL,NULL,'MONTE VERDE','FLORIANÓPOLIS','SC',15111,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7368810,0.00,6.00,3.00,4.00,5.00,8.25,2.00,6.00,2.00,303,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',17221,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7368836,7.00,7.00,1.00,7.00,9.00,7.13,7.00,5.00,5.00,203,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',4008,290,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368844,2.00,4.00,1.00,3.00,1.00,NULL,2.00,3.00,1.00,454,NULL,NULL,'ESTREITO','MELEIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7368852,2.00,4.00,1.00,2.00,7.00,6.38,1.00,3.00,2.00,316,NULL,NULL,'CENTRO','CANELINHA','SC',16131,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368860,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,216,NULL,235,'BALNEARIO RINCAO','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(28,7368879,3.00,6.00,1.00,5.00,6.00,7.88,2.00,5.00,1.00,207,NULL,201,'CENTRO','HERVAL D OESTE','SC',12225,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7368887,5.00,7.00,4.00,7.00,8.00,10.13,6.00,7.00,6.00,5,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',1714,51,NULL,NULL,NULL,NULL,NULL,4,1),(28,7368895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SANTO ANTÔNIO','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7368909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA CRUZ','RONDONÓPOLIS','MT',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7368933,3.00,5.00,2.00,4.00,7.00,7.88,0.00,4.00,2.00,5,NULL,NULL,'VILLAGE','IMBITUBA','SC',12723,355,NULL,NULL,NULL,NULL,NULL,2,10),(28,7368941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'JD PROGRESSO','NAVIRAÍ','MS',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7368950,5.00,6.00,3.00,4.00,4.00,9.75,4.00,5.00,7.00,201,NULL,212,'CENTRO','CAPIVARI','SP',5693,440,NULL,184,NULL,NULL,NULL,4,1),(28,7368968,4.00,6.00,3.00,6.00,2.00,NULL,0.00,5.00,4.00,103,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7368976,0.00,4.00,3.00,5.00,3.00,NULL,0.00,6.00,2.00,326,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7368984,4.00,7.00,2.00,2.00,6.00,8.63,3.00,6.00,6.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12402,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7369000,3.00,5.00,2.00,6.00,6.00,10.88,2.00,3.00,1.00,103,NULL,NULL,'CENTRO','ITABERÁ','SP',11892,2195,NULL,NULL,NULL,NULL,NULL,2,8),(28,7369018,0.00,4.00,2.00,3.00,3.00,5.63,2.00,4.00,2.00,454,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7369026,3.00,4.00,1.00,3.00,3.00,5.63,4.00,3.00,3.00,203,NULL,212,'AGRONÔMICA','FLORIANÓPOLIS','SC',18805,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7369034,0.00,6.00,0.00,0.00,0.00,NULL,2.00,3.00,1.00,303,NULL,NULL,'JARDIM PEDREIRA','S PAULO','SP',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,1),(28,7369042,1.00,0.00,2.00,7.00,2.00,NULL,0.00,0.00,0.00,233,NULL,213,'JD PARAISO','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7369069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7369085,1.00,0.00,1.00,1.00,0.00,NULL,0.00,0.00,0.00,601,NULL,214,'PARQUE GUARANI','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,8),(28,7369093,2.00,5.00,0.00,7.00,3.00,NULL,2.00,5.00,2.00,303,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7369123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VILA IPOJUCA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7369131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','ANITÁPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7369140,1.00,7.00,4.00,7.00,7.00,7.50,0.00,4.00,6.00,303,NULL,NULL,'CENTRO','IÇARA','SC',7999,350,NULL,NULL,NULL,NULL,NULL,2,5),(28,7369158,0.00,3.00,2.00,4.00,2.00,NULL,3.00,2.00,2.00,309,NULL,NULL,'ARMAÇÃO DO P DO SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7369174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CDO GUAPORÉ UM','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7369182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA DUTRA','BAURU','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7369204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'JURERÊ','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7369239,4.00,8.00,2.00,7.00,8.00,7.88,4.00,3.00,4.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',9393,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7369247,1.00,5.00,3.00,6.00,5.00,NULL,0.00,2.00,2.00,101,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7369255,2.00,6.00,2.00,6.00,7.00,7.50,4.00,5.00,4.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',7721,343,NULL,NULL,NULL,NULL,NULL,4,1),(28,7369263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'ARMAÇAO P SUL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7369271,1.00,3.00,2.00,1.00,3.00,5.63,1.00,3.00,2.00,552,NULL,NULL,'SÃO FRANCISCO','STO AMARO IMPERATRIZ','SC',18848,142,NULL,NULL,NULL,NULL,NULL,4,1),(28,7369280,0.00,7.00,3.00,7.00,6.00,10.13,1.00,5.00,3.00,454,NULL,NULL,'BOSQUE','CURITIBANOS','SC',12062,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7369298,2.00,0.00,3.00,4.00,3.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CENTRO HISTÓRICO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7369301,0.00,2.00,0.00,0.00,6.00,NULL,2.00,2.00,2.00,101,NULL,NULL,'SERTÃO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7369328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7369336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'SAGRADA FAMILIA','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7369344,0.00,4.00,0.00,2.00,4.00,7.50,1.00,2.00,0.00,440,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',20059,14,NULL,NULL,NULL,NULL,NULL,6,1),(28,7369352,3.00,5.00,3.00,6.00,3.00,11.63,3.00,6.00,4.00,327,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11502,28,NULL,NULL,NULL,NULL,NULL,4,1),(28,7369360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,202,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7369379,5.00,6.00,2.00,5.00,7.00,6.00,3.00,6.00,5.00,103,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',7886,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7369387,2.00,9.00,5.00,7.00,5.00,8.25,5.00,6.00,4.00,207,NULL,215,'AMIZADE','JARAGUÁ SUL','SC',6004,277,NULL,86,NULL,NULL,NULL,4,23),(28,7369395,3.00,4.00,1.00,6.00,5.00,7.88,3.00,4.00,5.00,207,NULL,653,'CENTRO','FLORIANÓPOLIS','SC',10878,498,NULL,112,NULL,NULL,NULL,4,1),(28,7369425,4.00,7.00,3.00,6.00,9.00,10.88,5.00,6.00,6.00,454,NULL,NULL,'BOM RETIRO','JOINVILLE','SC',3259,27,NULL,NULL,NULL,NULL,NULL,4,8),(28,7369433,1.00,7.00,0.00,3.00,2.00,NULL,1.00,5.00,3.00,440,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',6,1),(28,7369441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7369450,1.00,4.00,3.00,3.00,3.00,4.50,2.00,6.00,2.00,5,NULL,NULL,'CENTRO','XANXERÊ','SC',19212,484,NULL,NULL,NULL,NULL,NULL,4,4),(28,7369468,0.00,4.00,1.00,2.00,4.00,6.75,2.00,3.00,3.00,308,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',19871,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7369476,1.00,5.00,3.00,4.00,4.00,7.88,3.00,5.00,3.00,316,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',17135,239,NULL,NULL,NULL,NULL,NULL,4,1),(28,7369484,5.00,5.00,1.00,4.00,6.00,7.88,3.00,5.00,5.00,101,NULL,NULL,'KOBRASOL','S JOSÉ','SC',10503,48,NULL,NULL,NULL,NULL,NULL,4,1),(28,7369492,5.00,8.00,2.00,7.00,9.00,8.25,4.00,7.00,6.00,103,NULL,NULL,'VIVENDAS','S JOSÉ R PRETO','SP',2048,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7369506,4.00,7.00,0.00,6.00,8.00,9.00,3.00,5.00,5.00,301,NULL,NULL,'CENTRO','IÇARA','SC',9241,105,NULL,NULL,NULL,NULL,NULL,4,5),(28,7369522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CENTRO','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7369549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'JARDIM MONUMENTO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7369557,1.00,6.00,2.00,2.00,6.00,7.13,3.00,3.00,4.00,428,NULL,426,'INGLESES','FLORIANÓPOLIS','SC',17626,59,NULL,NULL,NULL,NULL,NULL,4,1),(28,7369565,2.00,4.00,2.00,2.00,2.00,NULL,3.00,4.00,4.00,203,NULL,211,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7369581,3.00,5.00,3.00,7.00,5.00,7.50,3.00,4.00,3.00,340,NULL,NULL,'CENTRO','S ROQUE','SP',14315,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7369590,1.00,3.00,2.00,4.00,4.00,6.00,2.00,3.00,3.00,108,NULL,NULL,'CENTRO','ANITÁPOLIS','SC',16757,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7369603,2.00,5.00,2.00,6.00,5.00,6.00,2.00,5.00,1.00,999,NULL,NULL,'CENTRO','GUABIRUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7369611,0.00,4.00,3.00,1.00,7.00,NULL,2.00,5.00,2.00,201,NULL,213,'COBRE','CANELINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7369638,2.00,8.00,2.00,6.00,7.00,9.75,4.00,5.00,4.00,202,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',8078,217,NULL,140,NULL,NULL,NULL,2,1),(28,7369646,2.00,4.00,3.00,7.00,7.00,9.00,2.00,3.00,2.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11027,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7369654,4.00,6.00,3.00,7.00,10.00,10.13,4.00,6.00,3.00,316,NULL,NULL,'CORRÉGO GRANDE','FLORIANÓPOLIS','SC',4980,21,NULL,NULL,NULL,NULL,NULL,4,1),(28,7369662,1.00,8.00,1.00,6.00,6.00,6.75,3.00,5.00,5.00,103,NULL,NULL,'NOSSA S DE LURDES','CAMPOS NOVOS','SC',7740,1858,NULL,NULL,NULL,NULL,NULL,4,1),(28,7369670,0.00,3.00,1.00,2.00,3.00,7.13,1.00,3.00,2.00,201,NULL,213,'BACAXERI','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7369689,0.00,3.00,2.00,1.00,4.00,NULL,1.00,1.00,2.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7369700,2.00,2.00,2.00,5.00,6.00,9.00,3.00,4.00,2.00,207,NULL,201,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',13653,611,NULL,851,NULL,NULL,NULL,2,1),(28,7369719,5.00,6.00,2.00,5.00,3.00,7.50,3.00,5.00,2.00,316,NULL,NULL,'FAZENDA SANTO ANTONI','S JOSÉ','SC',15915,208,NULL,NULL,NULL,NULL,NULL,2,1),(28,7369727,1.00,6.00,3.00,4.00,5.00,7.13,3.00,7.00,3.00,201,NULL,213,'CENTRO','ARARAS','SP',8338,600,NULL,148,NULL,NULL,NULL,4,3),(28,7369735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'MORRETES','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7369743,0.00,7.00,3.00,4.00,2.00,NULL,0.00,4.00,3.00,404,NULL,NULL,'CENTRO','ANITÁPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7369751,0.00,3.00,1.00,5.00,2.00,NULL,2.00,3.00,2.00,302,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7369760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7369786,1.00,2.00,1.00,2.00,2.00,NULL,1.00,2.00,3.00,201,NULL,203,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7369794,3.00,5.00,3.00,5.00,6.00,4.50,2.00,6.00,2.00,201,NULL,NULL,'CESARINO BORBA','IRACEMÁPOLIS','SP',10840,713,NULL,NULL,NULL,NULL,NULL,2,1),(28,7369816,1.00,6.00,2.00,3.00,4.00,5.25,3.00,6.00,2.00,318,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',18853,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7369824,1.00,2.00,0.00,3.00,2.00,NULL,0.00,3.00,2.00,308,NULL,NULL,'CENTRO','ITUPORANGA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7369832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7369840,1.00,7.00,1.00,7.00,6.00,10.88,1.00,4.00,2.00,324,NULL,NULL,'CENTRO','SOMBRIO','SC',9651,3,NULL,NULL,NULL,NULL,NULL,2,10),(28,7369867,0.00,4.00,1.00,3.00,4.00,4.50,2.00,4.00,4.00,327,NULL,NULL,'MORRO DA BINA','BIGUAÇU','SC',19408,65,NULL,NULL,NULL,NULL,NULL,4,1),(28,7369875,0.00,4.00,2.00,5.00,3.00,5.25,2.00,2.00,2.00,301,NULL,NULL,'JARDIM CIDADE','S JOSÉ','SC',19747,263,NULL,NULL,NULL,NULL,NULL,2,1),(28,7369891,1.00,6.00,3.00,2.00,6.00,4.88,2.00,2.00,1.00,301,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',19684,261,NULL,NULL,NULL,NULL,NULL,2,1),(28,7369905,0.00,5.00,2.00,1.00,4.00,NULL,1.00,2.00,1.00,216,NULL,201,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7369913,5.00,5.00,2.00,5.00,6.00,8.25,2.00,5.00,4.00,451,NULL,NULL,'COMERCIARIO','CRICIÚMA','SC',12650,26,NULL,NULL,NULL,NULL,NULL,4,5),(28,7369921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PARQUE SANTANA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7369948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA ZULEIMA','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,5),(28,7369964,3.00,5.00,2.00,7.00,5.00,9.38,3.00,4.00,3.00,999,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7369972,1.00,6.00,0.00,4.00,3.00,8.63,3.00,5.00,2.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',15231,83,NULL,NULL,NULL,NULL,NULL,2,1),(28,7369980,1.00,2.00,1.00,5.00,6.00,4.50,1.00,2.00,4.00,207,NULL,211,'CENTRO','SERRA ALTA','SC',17765,754,NULL,414,NULL,NULL,NULL,2,4),(28,7369999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','CUNHA PORÃ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7370008,0.00,4.00,1.00,2.00,3.00,7.88,3.00,4.00,2.00,654,NULL,NULL,'CENTRO','BRUSQUE','SC',19180,76,NULL,NULL,NULL,NULL,NULL,4,22),(28,7370016,4.00,8.00,1.00,7.00,6.00,11.25,3.00,3.00,5.00,9,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',9307,49,NULL,NULL,NULL,NULL,NULL,4,6),(28,7370024,0.00,5.00,2.00,3.00,3.00,5.63,1.00,3.00,2.00,203,NULL,214,'CENTRO','PATO BRAGADO','PR',18104,688,NULL,352,NULL,NULL,NULL,2,1),(28,7370032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,302,NULL,NULL,'IRIRIU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7370040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,211,'SAIC','CHAPECÓ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7370067,0.00,4.00,4.00,4.00,4.00,NULL,2.00,2.00,0.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370075,2.00,5.00,2.00,7.00,6.00,6.38,3.00,7.00,3.00,5,NULL,NULL,'SANTA TERESA','S PEDRO ALCÂNTARA','SC',14942,405,NULL,NULL,NULL,NULL,NULL,2,1),(28,7370091,4.00,9.00,3.00,7.00,8.00,8.25,5.00,6.00,7.00,203,NULL,201,'CENTRO','LAGUNA','SC',1845,161,NULL,113,NULL,NULL,NULL,4,10),(28,7370105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7370113,1.00,6.00,1.00,3.00,5.00,6.00,2.00,5.00,2.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19099,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','PRUDENTÓPOLIS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7370148,5.00,6.00,3.00,7.00,8.00,7.88,3.00,8.00,5.00,225,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',6049,4,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7370164,1.00,4.00,1.00,6.00,5.00,8.63,4.00,4.00,2.00,207,NULL,211,'BRASILIA','PATO BRANCO','PR',11824,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7370172,5.00,5.00,2.00,6.00,5.00,8.25,4.00,5.00,5.00,318,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12093,84,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370180,4.00,4.00,3.00,2.00,4.00,4.50,2.00,3.00,3.00,201,NULL,202,'S JOAO RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370202,1.00,3.00,0.00,2.00,6.00,6.38,3.00,3.00,2.00,303,NULL,NULL,'CENTRO','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7370229,4.00,4.00,1.00,7.00,8.00,7.50,4.00,4.00,5.00,301,NULL,NULL,'RATONES','FLORIANÓPOLIS','SC',10379,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7370237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'INDIANOPOLIS','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7370245,0.00,3.00,1.00,4.00,5.00,7.88,3.00,3.00,1.00,103,NULL,NULL,'SANTA RITA','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7370296,2.00,7.00,3.00,5.00,6.00,7.88,6.00,6.00,2.00,225,NULL,NULL,'ESTRELA','S MIGUEL OESTE','SC',8561,10,NULL,NULL,NULL,NULL,NULL,4,27),(28,7370326,1.00,7.00,1.00,6.00,3.00,8.63,1.00,7.00,1.00,425,NULL,427,'BARREIROS','S JOSÉ','SC',17800,NULL,NULL,16,NULL,NULL,NULL,4,1),(28,7370334,3.00,5.00,3.00,5.00,8.00,9.00,4.00,5.00,4.00,104,NULL,NULL,'INTERIOR','ABELARDO LUZ','SC',5456,103,NULL,NULL,NULL,NULL,NULL,4,4),(28,7370342,1.00,4.00,0.00,2.00,3.00,7.50,1.00,4.00,1.00,238,NULL,NULL,'JARDIM UNIVERSITÁRIO','MARINGÁ','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7370350,3.00,8.00,2.00,4.00,4.00,7.88,3.00,6.00,1.00,425,NULL,421,'RIO ALFA','ANITÁPOLIS','SC',15706,NULL,NULL,13,NULL,NULL,NULL,4,1),(28,7370369,2.00,5.00,3.00,7.00,5.00,8.25,4.00,4.00,2.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',13767,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7370377,4.00,7.00,2.00,7.00,6.00,8.63,3.00,4.00,2.00,319,NULL,NULL,'PACHECO','PALHOÇA','SC',13566,259,NULL,NULL,NULL,NULL,NULL,2,1),(28,7370393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7370407,1.00,3.00,2.00,5.00,5.00,6.00,1.00,3.00,2.00,104,NULL,NULL,'LIBERDADE','NOVO HAMBURGO','RS',16990,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7370423,0.00,5.00,1.00,7.00,4.00,NULL,3.00,5.00,4.00,415,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7370431,3.00,3.00,0.00,6.00,6.00,NULL,1.00,5.00,1.00,427,NULL,426,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7370440,4.00,8.00,2.00,6.00,7.00,8.63,3.00,5.00,5.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5899,1616,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370458,3.00,6.00,1.00,5.00,1.00,NULL,3.00,5.00,3.00,108,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370466,1.00,3.00,3.00,5.00,4.00,4.50,3.00,2.00,2.00,302,NULL,NULL,'RIO TAVERES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7370474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7370482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,NULL,'JARDIM IRAJA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7370490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'VILA ESTÁDIO','ARAÇATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7370504,4.00,5.00,2.00,2.00,5.00,7.50,2.00,6.00,2.00,326,NULL,NULL,'BARREIROS','S JOSÉ','SC',17991,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,NULL,'CENTRO','URAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7370520,2.00,3.00,1.00,3.00,4.00,9.38,0.00,3.00,2.00,211,NULL,207,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',15355,383,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370539,1.00,4.00,2.00,2.00,3.00,9.00,1.00,1.00,2.00,428,NULL,427,'PASSA VINTE','PALHOÇA','SC',17817,62,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370547,7.00,8.00,3.00,7.00,8.00,9.00,4.00,7.00,7.00,103,NULL,NULL,'SANTA CRUZ','LUÍS E MAGALHÃES','BA',976,539,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370555,4.00,7.00,2.00,7.00,9.00,10.88,4.00,6.00,5.00,340,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',2029,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370571,1.00,2.00,3.00,4.00,4.00,7.13,1.00,3.00,2.00,308,NULL,NULL,'COSTEIRA','FLORIANÓPOLIS','SC',19627,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7370598,3.00,5.00,0.00,5.00,3.00,8.25,2.00,4.00,3.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',12750,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7370601,3.00,7.00,1.00,4.00,6.00,9.38,6.00,3.00,3.00,201,NULL,203,'VILLAGE CAMPINAS','CAMPINAS','SP',13245,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7370610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','AGROLÂNDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,24),(28,7370628,1.00,7.00,4.00,4.00,7.00,4.88,3.00,7.00,1.00,310,NULL,NULL,'RIBEIRÃO DA ILHA','FLORIANÓPOLIS','SC',16113,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370636,0.00,4.00,1.00,3.00,2.00,NULL,1.00,4.00,1.00,339,NULL,NULL,'BOM VIVER','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370644,0.00,2.00,2.00,6.00,3.00,NULL,3.00,5.00,1.00,503,NULL,NULL,'CAMPINAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7370652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',1,1),(28,7370660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,424,NULL,423,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(28,7370687,1.00,7.00,4.00,6.00,9.00,12.75,3.00,7.00,4.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',5080,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CAPUTERA','LAGUNA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7370709,0.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,450,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,6),(28,7370717,0.00,2.00,2.00,4.00,5.00,NULL,2.00,2.00,3.00,317,NULL,NULL,'BELA VISTA I','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7370725,0.00,5.00,3.00,6.00,5.00,NULL,3.00,4.00,0.00,201,NULL,212,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7370741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','ARAPONGAS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7370750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CENTRO','CAMBUÍ','MG',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7370768,0.00,4.00,3.00,5.00,3.00,5.63,2.00,2.00,1.00,654,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7370776,3.00,4.00,1.00,6.00,4.00,7.13,0.00,3.00,4.00,5,NULL,NULL,'ROCADO','S JOSÉ','SC',15064,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7370784,2.00,5.00,1.00,7.00,6.00,8.63,3.00,3.00,3.00,415,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',16752,249,NULL,NULL,NULL,NULL,NULL,2,1),(28,7370806,0.00,4.00,5.00,3.00,5.00,4.88,3.00,3.00,2.00,207,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CENTRO','ITAIÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7370822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VILA MARIANA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',3,8),(28,7370830,0.00,2.00,1.00,3.00,1.00,NULL,1.00,1.00,1.00,212,NULL,NULL,'BARRA DO ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,213,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7370857,1.00,4.00,5.00,4.00,3.00,8.25,0.00,5.00,3.00,110,NULL,NULL,'ESTADOS','TIMBÓ','SC',12716,44,NULL,NULL,NULL,NULL,NULL,4,2),(28,7370873,2.00,2.00,1.00,3.00,3.00,6.75,1.00,2.00,1.00,309,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370881,1.00,5.00,1.00,8.00,5.00,9.00,3.00,5.00,0.00,340,NULL,NULL,'JARDIM COLEGINHO','JACAREÍ','SP',16906,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370903,0.00,4.00,1.00,4.00,3.00,NULL,2.00,3.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7370920,1.00,5.00,1.00,7.00,5.00,4.50,1.00,4.00,2.00,423,NULL,425,'TRINDADE','FLORIANÓPOLIS','SC',18989,32,NULL,NULL,NULL,NULL,NULL,2,1),(28,7370938,1.00,7.00,3.00,7.00,6.00,7.13,3.00,5.00,2.00,450,NULL,NULL,'PARQUE HORTOLANDIA','HORTOLÂNDIA','SP',9734,77,NULL,NULL,NULL,NULL,NULL,4,1),(28,7370962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7370989,0.00,2.00,2.00,4.00,5.00,6.00,1.00,1.00,1.00,454,NULL,NULL,'CENTRO','TURVO','SC',19406,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7370997,2.00,5.00,3.00,3.00,2.00,NULL,3.00,5.00,2.00,551,NULL,NULL,'BOM JESUS','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7371012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BELA VISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7371039,0.00,4.00,1.00,7.00,7.00,NULL,2.00,4.00,2.00,999,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7371047,3.00,8.00,1.00,6.00,4.00,9.75,2.00,6.00,2.00,425,NULL,424,'ITACORUBI','FLORIANÓPOLIS','SC',9794,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7371055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7371063,2.00,3.00,2.00,7.00,8.00,NULL,0.00,4.00,3.00,337,NULL,NULL,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7371071,0.00,4.00,1.00,5.00,4.00,NULL,1.00,2.00,2.00,207,NULL,220,'VILA OPERÁRIA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7371098,0.00,4.00,0.00,6.00,6.00,6.75,4.00,4.00,2.00,308,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',15401,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7371101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'HAUER','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7371110,4.00,5.00,2.00,6.00,5.00,8.25,1.00,3.00,5.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371128,0.00,4.00,2.00,5.00,1.00,NULL,0.00,3.00,2.00,320,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7371136,1.00,1.00,2.00,4.00,2.00,NULL,2.00,4.00,2.00,102,NULL,NULL,'ROÇADO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7371144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,216,'COMERCIÁRIO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7371152,1.00,7.00,0.00,3.00,7.00,6.00,2.00,4.00,5.00,428,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',17532,57,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7371179,0.00,5.00,2.00,2.00,3.00,5.63,2.00,1.00,2.00,5,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',18912,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7371217,4.00,6.00,2.00,3.00,7.00,8.25,2.00,4.00,3.00,415,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',15500,237,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371225,2.00,3.00,0.00,5.00,5.00,NULL,3.00,4.00,2.00,501,NULL,NULL,'PONTE DE IMARUI','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371233,5.00,6.00,1.00,6.00,5.00,6.00,2.00,4.00,3.00,103,NULL,NULL,'VILA DALVA','S PAULO','SP',9090,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7371241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7371250,2.00,5.00,0.00,4.00,4.00,6.00,1.00,2.00,2.00,317,NULL,NULL,'GUARDA DO CUBATAO','PALHOÇA','SC',19905,180,NULL,NULL,NULL,NULL,NULL,2,1),(28,7371268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,213,'CHÁCARA CACHOEIRA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7371276,0.00,4.00,3.00,6.00,5.00,NULL,2.00,1.00,1.00,201,NULL,202,'VILA LEOPOLDINA','S PAULO','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7371306,7.00,8.00,4.00,7.00,10.00,6.38,5.00,7.00,6.00,101,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',3184,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'PORTAL DAS PRIMAVERA','COLORADO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7371322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7371330,1.00,3.00,4.00,4.00,4.00,8.25,1.00,5.00,2.00,429,NULL,NULL,'SERRARIAS','S JOSÉ','SC',13608,24,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371349,3.00,7.00,2.00,7.00,6.00,11.63,4.00,5.00,5.00,216,NULL,201,'CENTRO','FLORIANÓPOLIS','SC',3564,133,NULL,275,NULL,NULL,NULL,4,1),(28,7371357,1.00,6.00,0.00,5.00,4.00,6.38,1.00,5.00,3.00,207,NULL,201,'PEREQUÊ','PTO BELO','SC',14275,633,NULL,877,NULL,NULL,NULL,2,3),(28,7371365,6.00,5.00,3.00,7.00,8.00,7.88,3.00,4.00,5.00,201,NULL,207,'PASSA VINTE','PALHOÇA','SC',6495,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371373,4.00,8.00,0.00,6.00,4.00,7.50,3.00,7.00,2.00,601,NULL,211,'CENTRO','JOINVILLE','SC',14324,428,NULL,NULL,NULL,NULL,NULL,4,8),(28,7371390,5.00,7.00,1.00,7.00,7.00,13.50,1.00,7.00,4.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371403,5.00,7.00,3.00,6.00,6.00,10.88,3.00,5.00,4.00,103,NULL,NULL,'PAIQUERÊ','VALINHOS','SP',3122,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7371411,1.00,7.00,4.00,6.00,7.00,9.00,4.00,6.00,2.00,212,NULL,214,'PARQUE AEROPORTO','TAUBATÉ','SP',6862,213,NULL,206,NULL,NULL,NULL,2,3),(28,7371438,0.00,5.00,2.00,5.00,4.00,NULL,3.00,4.00,2.00,3,NULL,NULL,'CACHOEIRA BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7371446,6.00,7.00,2.00,5.00,9.00,7.50,5.00,5.00,6.00,103,NULL,NULL,'GARCIA','BLUMENAU','SC',3287,1201,NULL,NULL,NULL,NULL,NULL,4,2),(28,7371454,2.00,3.00,1.00,4.00,4.00,0.00,2.00,3.00,2.00,331,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371462,4.00,6.00,2.00,5.00,7.00,7.88,4.00,4.00,4.00,215,NULL,NULL,'JD MARIA AUGUSTA','TAUBATÉ','SP',5590,83,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371470,4.00,7.00,4.00,5.00,9.00,9.38,2.00,4.00,5.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',5606,258,NULL,NULL,NULL,NULL,NULL,2,1),(28,7371497,1.00,1.00,0.00,1.00,2.00,NULL,1.00,2.00,1.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7371500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7371519,1.00,7.00,2.00,5.00,6.00,8.25,2.00,6.00,4.00,207,NULL,601,'CENTRO','BLUMENAU','SC',8931,NULL,NULL,231,NULL,NULL,NULL,2,2),(28,7371527,4.00,5.00,1.00,6.00,5.00,7.50,5.00,7.00,4.00,5,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13567,377,NULL,NULL,NULL,NULL,NULL,2,1),(28,7371578,0.00,4.00,0.00,1.00,5.00,5.25,1.00,1.00,1.00,308,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19176,85,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371586,1.00,6.00,1.00,4.00,4.00,6.00,3.00,3.00,1.00,303,NULL,NULL,'CENTRO','STA CECÍLIA','SC',19425,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7371608,2.00,4.00,1.00,5.00,6.00,8.63,2.00,5.00,4.00,5,NULL,NULL,'RAIZEIRA','SOMBRIO','SC',11606,333,NULL,NULL,NULL,NULL,NULL,2,15),(28,7371616,3.00,4.00,2.00,3.00,7.00,8.63,3.00,1.00,2.00,302,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',14986,108,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371624,1.00,8.00,4.00,4.00,4.00,10.13,3.00,6.00,5.00,203,NULL,NULL,'CENTRO','LONDRINA','PR',12033,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7371632,3.00,6.00,2.00,4.00,6.00,9.00,3.00,7.00,5.00,103,NULL,NULL,'CENTRO','CANOINHAS','SC',7105,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7371640,0.00,3.00,2.00,2.00,4.00,8.63,1.00,4.00,3.00,101,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',17572,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'LUCAS ARAÚJO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7371667,3.00,7.00,1.00,5.00,5.00,8.63,3.00,5.00,3.00,207,NULL,201,'SANTANA','RIO SUL','SC',15552,685,NULL,924,NULL,NULL,NULL,2,1),(28,7371683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,655,'CENTRO','S JOSÉ CAMPOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7371691,0.00,3.00,0.00,6.00,4.00,8.25,2.00,4.00,2.00,108,NULL,NULL,'GABIROBA','ITUPORANGA','SC',19356,254,NULL,NULL,NULL,NULL,NULL,2,24),(28,7371705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','ALFREDO WAGNER','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7371713,0.00,4.00,2.00,2.00,3.00,NULL,1.00,3.00,3.00,319,NULL,NULL,'LOT DONA ADELIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371721,4.00,6.00,4.00,7.00,9.00,10.13,6.00,7.00,5.00,203,NULL,202,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',1364,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7371748,1.00,2.00,2.00,1.00,2.00,NULL,0.00,3.00,4.00,202,NULL,213,'VILA VICENTINA','GUARULHOS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371764,3.00,6.00,1.00,7.00,6.00,10.88,2.00,4.00,5.00,233,NULL,216,'CENTRO','LONDRINA','PR',4671,121,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7371780,0.00,5.00,1.00,5.00,5.00,7.50,1.00,4.00,3.00,207,NULL,215,'CENTRO','TRINDADE SUL','RS',14852,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7371799,0.00,3.00,3.00,1.00,4.00,NULL,0.00,4.00,1.00,101,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7371810,1.00,3.00,3.00,2.00,2.00,NULL,1.00,3.00,1.00,202,NULL,235,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'SENHOR BOM JESUS','CAMPOS NOVOS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,7),(28,7371845,4.00,6.00,2.00,4.00,9.00,11.25,3.00,5.00,3.00,216,NULL,233,'CENTRO','LAGES','SC',7011,242,NULL,175,NULL,NULL,NULL,2,9),(28,7371853,0.00,4.00,2.00,4.00,3.00,NULL,1.00,3.00,3.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7371861,6.00,8.00,7.00,7.00,9.00,12.00,4.00,7.00,7.00,103,NULL,NULL,'ALDEIA DA SERRA','BARUERI','SP',254,194,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371870,1.00,3.00,3.00,2.00,6.00,7.13,3.00,4.00,2.00,207,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',19220,802,NULL,NULL,NULL,NULL,NULL,4,1),(28,7371888,2.00,5.00,0.00,7.00,6.00,7.88,2.00,6.00,4.00,454,NULL,NULL,'FAZENDA','ITAJAÍ','SC',8783,163,NULL,NULL,NULL,NULL,NULL,4,6),(28,7371896,2.00,3.00,2.00,3.00,4.00,4.50,3.00,5.00,4.00,329,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7371918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'ALPHAVILLE','SANTANA PARNAÍBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7371926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7371942,0.00,3.00,2.00,2.00,4.00,8.25,2.00,3.00,1.00,454,NULL,NULL,'JARDIM MARISTELA','CRICIÚMA','SC',19808,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7371950,2.00,0.00,1.00,6.00,1.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7371969,2.00,8.00,4.00,1.00,7.00,6.75,3.00,6.00,2.00,336,NULL,NULL,'CENTRO','AMPÉRE','PR',16230,84,NULL,NULL,NULL,NULL,NULL,4,23),(28,7371985,1.00,5.00,1.00,4.00,5.00,6.75,1.00,6.00,2.00,103,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',15291,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7372000,0.00,3.00,2.00,4.00,3.00,NULL,1.00,4.00,1.00,211,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7372019,1.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7372027,0.00,5.00,1.00,1.00,3.00,5.63,1.00,4.00,3.00,103,NULL,NULL,'ZONA RURAL','CIANORTE','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7372043,6.00,7.00,1.00,6.00,8.00,7.50,3.00,7.00,6.00,103,NULL,NULL,'UVARANAS','PNT GROSSA','PR',3567,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7372051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7372078,1.00,7.00,0.00,6.00,7.00,6.75,2.00,6.00,3.00,999,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7372086,1.00,4.00,2.00,3.00,5.00,7.13,0.00,2.00,4.00,215,NULL,207,'VILA PAULISTA','LIMEIRA','SP',17182,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7372108,4.00,7.00,3.00,7.00,5.00,7.50,4.00,5.00,3.00,601,NULL,220,'BOM RETIRO','JOINVILLE','SC',10021,278,NULL,NULL,NULL,NULL,NULL,4,8),(28,7372124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7372132,3.00,6.00,4.00,6.00,7.00,6.75,5.00,3.00,3.00,319,NULL,NULL,'BARREIROS','S JOSÉ','SC',12691,233,NULL,NULL,NULL,NULL,NULL,2,1),(28,7372159,4.00,3.00,2.00,6.00,3.00,4.50,3.00,5.00,3.00,207,NULL,213,'VARGEM PEQUENA','FLORIANÓPOLIS','SC',15736,688,NULL,244,NULL,NULL,NULL,2,1),(28,7372167,4.00,5.00,2.00,6.00,7.00,6.75,3.00,6.00,4.00,317,NULL,NULL,'FLORESTA','S JOSÉ','SC',12418,64,NULL,NULL,NULL,NULL,NULL,4,1),(28,7372175,4.00,8.00,3.00,6.00,11.00,10.50,5.00,6.00,5.00,203,NULL,214,'TRINDADE','FLORIANÓPOLIS','SC',3165,232,NULL,116,NULL,NULL,NULL,4,1),(28,7372191,1.00,3.00,1.00,4.00,3.00,9.75,2.00,4.00,3.00,451,NULL,NULL,'CAMPINAS','S JOSÉ','SC',16899,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7372205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7372213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7372248,3.00,8.00,3.00,8.00,9.00,8.63,1.00,6.00,5.00,450,NULL,NULL,'JDM ROLINÓPOLIS','S PAULO','SP',2552,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7372256,0.00,4.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,5,NULL,NULL,'JARDIM AQUARIUS','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7372264,3.00,7.00,4.00,7.00,10.00,11.63,2.00,6.00,4.00,303,NULL,NULL,'SERRARIA','S JOSÉ','SC',3150,146,NULL,NULL,NULL,NULL,NULL,4,1),(28,7372280,2.00,7.00,1.00,4.00,5.00,8.63,2.00,7.00,3.00,201,NULL,211,'VILA NOVA','IMBITUBA','SC',10255,692,NULL,281,NULL,NULL,NULL,2,1),(28,7372302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7372329,2.00,6.00,0.00,6.00,4.00,5.25,1.00,4.00,2.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19177,136,NULL,NULL,NULL,NULL,NULL,4,1),(28,7372345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','MATINHOS','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7372353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7372370,0.00,1.00,2.00,4.00,2.00,NULL,1.00,2.00,1.00,999,NULL,NULL,'SANTA MARIA','ANTÔNIO CARLOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7372388,3.00,4.00,1.00,4.00,6.00,8.63,3.00,4.00,2.00,238,NULL,235,'CAMPECHE','FLORIANÓPOLIS','SC',17326,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7372396,3.00,8.00,4.00,4.00,5.00,4.50,4.00,5.00,3.00,203,NULL,235,'COHAB','OURINHOS','SP',9934,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7372400,0.00,6.00,2.00,6.00,5.00,7.13,3.00,5.00,1.00,5,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',17610,464,NULL,NULL,NULL,NULL,NULL,2,1),(28,7372418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',3,1),(28,7372426,0.00,0.00,2.00,3.00,2.00,NULL,1.00,3.00,1.00,104,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7372442,1.00,6.00,1.00,5.00,5.00,8.63,2.00,3.00,2.00,999,NULL,NULL,'SÃO CRISTÓVÃO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7372450,2.00,6.00,2.00,7.00,8.00,9.00,4.00,4.00,2.00,303,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',13634,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7372469,5.00,8.00,2.00,7.00,5.00,8.63,4.00,5.00,6.00,203,NULL,653,'PIO CORREA','CRICIÚMA','SC',8552,495,NULL,87,NULL,NULL,NULL,4,5),(28,7372485,0.00,5.00,2.00,3.00,6.00,NULL,1.00,7.00,4.00,318,NULL,NULL,'CENTRO','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7372493,0.00,2.00,1.00,5.00,4.00,NULL,0.00,3.00,3.00,333,NULL,NULL,'FREI ROGERIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7372507,2.00,7.00,1.00,8.00,8.00,7.88,4.00,7.00,3.00,415,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',10526,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7372523,2.00,7.00,2.00,3.00,9.00,7.50,6.00,4.00,3.00,318,NULL,NULL,'SÃO SEBASTIÃO','PALHOÇA','SC',7732,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7372558,3.00,4.00,1.00,5.00,3.00,4.88,2.00,5.00,2.00,320,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',18923,56,NULL,NULL,NULL,NULL,NULL,4,1),(28,7372590,1.00,2.00,1.00,2.00,4.00,5.63,3.00,3.00,2.00,213,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',20057,290,NULL,300,NULL,NULL,NULL,2,1),(28,7372604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'CHÁCARA SÃO BENTO','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7372639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7372647,1.00,8.00,1.00,6.00,3.00,7.88,3.00,3.00,3.00,425,NULL,423,'INGLESES','FLORIANÓPOLIS','SC',16974,NULL,NULL,24,NULL,NULL,NULL,4,1),(28,7372663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'INTERIOR','PAPANDUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,16),(28,7372671,3.00,6.00,0.00,6.00,5.00,7.50,1.00,7.00,3.00,235,NULL,238,'CAMPECHE','FLORIANÓPOLIS','SC',16354,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7372698,3.00,2.00,1.00,1.00,6.00,NULL,2.00,3.00,1.00,450,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,15),(28,7372701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AMAMBAÍ','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7372710,6.00,5.00,3.00,5.00,7.00,6.00,2.00,5.00,3.00,103,NULL,NULL,'CENTRO','LAURO MÜLLER','SC',11927,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7372728,4.00,8.00,1.00,7.00,5.00,6.00,3.00,7.00,2.00,444,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',11784,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7372736,3.00,7.00,3.00,6.00,5.00,7.88,3.00,3.00,1.00,303,NULL,NULL,'VICTOR KONDER','BLUMENAU','SC',9963,406,NULL,NULL,NULL,NULL,NULL,4,1),(28,7372744,0.00,3.00,1.00,3.00,1.00,NULL,0.00,3.00,1.00,654,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7372760,3.00,6.00,1.00,7.00,8.00,10.13,2.00,5.00,7.00,216,NULL,203,'JOSÉ BONIFÁCIO','ERECHIM','RS',4791,NULL,NULL,NULL,NULL,NULL,NULL,2,26),(28,7372779,0.00,6.00,2.00,6.00,4.00,NULL,2.00,3.00,2.00,501,NULL,NULL,'ORATÓRIO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7372787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7372809,4.00,5.00,1.00,6.00,7.00,8.63,3.00,5.00,3.00,212,NULL,213,'POÇO FUNDO','STO AMARO IMPERATRIZ','SC',14455,369,NULL,234,NULL,NULL,NULL,2,1),(28,7372817,0.00,4.00,1.00,2.00,3.00,NULL,1.00,3.00,0.00,207,NULL,235,'VARGEM GRANDE','ÁGUAS MORNAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7372833,3.00,1.00,2.00,1.00,3.00,NULL,2.00,2.00,2.00,999,NULL,NULL,'SUMARÉ','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,24),(28,7372841,1.00,1.00,3.00,1.00,3.00,5.25,1.00,4.00,2.00,340,NULL,NULL,'BARRA DO ARIRÍU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7372850,2.00,8.00,1.00,6.00,6.00,8.25,2.00,4.00,4.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7372868,0.00,6.00,0.00,0.00,0.00,NULL,5.00,3.00,2.00,220,NULL,203,'JARDIM BLUEMANU','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S',NULL,NULL,4,2),(28,7372876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7372892,1.00,5.00,0.00,6.00,5.00,NULL,3.00,4.00,2.00,999,NULL,NULL,'CENTRO','ARROIO TRINTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7372906,2.00,6.00,1.00,3.00,7.00,10.13,0.00,5.00,1.00,309,NULL,NULL,'CENTRO','IMBITUBA','SC',12561,10,NULL,NULL,NULL,NULL,NULL,4,1),(28,7372914,0.00,7.00,1.00,7.00,6.00,8.63,2.00,5.00,2.00,324,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',16264,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7372922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7372930,3.00,6.00,4.00,5.00,6.00,7.13,4.00,4.00,2.00,333,NULL,NULL,'CENTRO','TUBARÃO','SC',8901,49,NULL,NULL,NULL,NULL,NULL,4,10),(28,7372949,1.00,4.00,0.00,2.00,3.00,6.75,1.00,3.00,0.00,101,NULL,NULL,'IPIRANGA','AGROLÂNDIA','SC',18727,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7372957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'CANELA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7372965,1.00,3.00,1.00,5.00,3.00,8.25,4.00,3.00,3.00,207,NULL,201,'RIO NEGRO','S BENTO SUL','SC',15347,673,NULL,919,NULL,NULL,NULL,4,8),(28,7372973,3.00,4.00,2.00,1.00,4.00,8.63,2.00,2.00,3.00,319,NULL,NULL,'JUSSARA','MRO FUMAÇA','SC',19278,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7372990,0.00,4.00,1.00,3.00,3.00,NULL,0.00,4.00,3.00,303,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7373015,2.00,3.00,3.00,5.00,2.00,NULL,1.00,2.00,2.00,653,NULL,NULL,'COLONINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7373023,2.00,6.00,0.00,2.00,4.00,10.50,0.00,6.00,3.00,552,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',18177,136,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373040,4.00,7.00,4.00,6.00,8.00,9.38,5.00,6.00,3.00,332,NULL,NULL,'NOSSA SRA DO ROSÁRIO','S JOSÉ','SC',7217,6,NULL,NULL,NULL,NULL,NULL,2,1),(28,7373058,0.00,3.00,1.00,5.00,3.00,NULL,2.00,2.00,3.00,655,NULL,238,'VILA XAVIER','ARARAQUARA','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7373066,1.00,8.00,4.00,7.00,8.00,9.38,1.00,8.00,3.00,208,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',7691,74,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373090,0.00,7.00,3.00,6.00,7.00,8.63,5.00,6.00,5.00,201,NULL,211,'HIDRAULICA','LAJEADO','RS',5168,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7373112,5.00,7.00,2.00,5.00,4.00,8.63,3.00,6.00,6.00,103,NULL,NULL,'CENTRO','CAMPINAS','SP',5341,1548,NULL,NULL,NULL,NULL,NULL,2,1),(28,7373120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,202,'PECUARIA','CAMPOS GOYTACAZES','RJ',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7373139,0.00,0.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7373147,0.00,4.00,1.00,2.00,5.00,9.75,1.00,2.00,2.00,207,NULL,201,'UNIVERSITARIO','TIJUCAS','SC',19831,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','STA ISABEL IVAÍ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7373163,1.00,5.00,3.00,4.00,4.00,5.63,1.00,4.00,4.00,103,NULL,NULL,'SANTO ANTONIO','CAMPOS NOVOS','SC',18965,NULL,NULL,NULL,NULL,NULL,NULL,2,7),(28,7373171,5.00,5.00,3.00,7.00,9.00,8.63,3.00,5.00,3.00,328,NULL,NULL,'CACUPÉ','FLORIANÓPOLIS','SC',10718,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,9,NULL,NULL,'CENTRO','BOM RETIRO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,9),(28,7373198,1.00,1.00,4.00,4.00,4.00,5.25,0.00,2.00,1.00,308,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7373201,1.00,1.00,1.00,3.00,5.00,NULL,0.00,1.00,0.00,201,NULL,213,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7373228,0.00,5.00,2.00,5.00,5.00,NULL,1.00,2.00,1.00,319,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,207,'BIGORRILHO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7373244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7373252,2.00,6.00,2.00,7.00,5.00,7.50,1.00,4.00,2.00,207,NULL,215,'CORAL','LAGES','SC',16744,723,NULL,267,NULL,NULL,NULL,2,9),(28,7373260,8.00,8.00,5.00,3.00,5.00,9.00,5.00,5.00,7.00,103,NULL,NULL,'CENTRO','CPO GRANDE','MS',4515,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373287,1.00,4.00,1.00,6.00,4.00,7.13,0.00,5.00,2.00,654,NULL,NULL,'PONTA DAS CANAS','FLORIANÓPOLIS','SC',18884,74,NULL,NULL,NULL,NULL,NULL,2,1),(28,7373295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7373317,2.00,6.00,2.00,7.00,5.00,7.13,3.00,7.00,6.00,203,NULL,655,'SETOR BELA VISTA','GOIÂNIA','GO',5396,360,NULL,13,NULL,NULL,NULL,4,1),(28,7373333,3.00,6.00,3.00,8.00,11.00,8.63,5.00,6.00,2.00,450,NULL,NULL,'BAIXADA','PATO BRANCO','PR',3872,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373341,1.00,5.00,3.00,4.00,4.00,NULL,0.00,4.00,1.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373368,0.00,3.00,2.00,2.00,6.00,NULL,2.00,2.00,2.00,234,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373384,1.00,5.00,1.00,7.00,9.00,9.38,1.00,5.00,2.00,319,NULL,NULL,'PONTA DA PRAIA','SANTOS','SP',14793,286,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373392,0.00,4.00,3.00,7.00,1.00,NULL,1.00,5.00,1.00,324,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7373414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,502,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7373422,4.00,7.00,2.00,7.00,8.00,6.00,4.00,4.00,5.00,340,NULL,NULL,'VELHA','BLUMENAU','SC',6397,162,NULL,NULL,NULL,NULL,NULL,4,2),(28,7373430,3.00,5.00,2.00,6.00,4.00,7.88,2.00,4.00,0.00,999,NULL,NULL,'CENTRO','CAÇADOR','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7373449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'FLORETA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7373457,0.00,4.00,1.00,3.00,1.00,NULL,3.00,2.00,3.00,224,NULL,NULL,'RIO BROKER','S BONIFÁCIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373465,2.00,7.00,2.00,4.00,4.00,8.63,2.00,4.00,3.00,304,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',13338,98,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373473,2.00,6.00,1.00,6.00,8.00,9.38,4.00,7.00,5.00,319,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',6034,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373481,2.00,3.00,0.00,4.00,4.00,4.50,1.00,3.00,0.00,454,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',18028,370,NULL,NULL,NULL,NULL,NULL,2,1),(28,7373503,1.00,4.00,1.00,5.00,3.00,8.63,1.00,4.00,3.00,503,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',18075,39,NULL,NULL,NULL,NULL,NULL,2,1),(28,7373520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CORNÉLIO PROCÓPIO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7373538,2.00,6.00,2.00,5.00,6.00,5.25,3.00,5.00,2.00,213,NULL,212,'STA MÔNICA','FLORIANÓPOLIS','SC',10435,186,NULL,306,NULL,NULL,NULL,2,1),(28,7373546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,22),(28,7373554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,203,'RONDINHA','CPO LARGO','PR',NULL,NULL,NULL,NULL,'S','S','S',5,1),(28,7373562,4.00,6.00,2.00,5.00,3.00,6.75,2.00,5.00,5.00,202,NULL,235,'JARDIM BRASIL','GOIÂNIA','GO',10966,277,NULL,175,NULL,NULL,NULL,4,1),(28,7373570,4.00,4.00,2.00,6.00,8.00,5.25,2.00,6.00,3.00,5,NULL,NULL,'IPIRANGA','S JOSÉ','SC',15688,427,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'PRAIA DOS INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7373597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'PARQUE RENATO MAIA','GUARULHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7373600,0.00,3.00,0.00,3.00,1.00,NULL,1.00,2.00,1.00,101,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7373627,4.00,7.00,2.00,7.00,7.00,8.63,3.00,6.00,3.00,238,NULL,NULL,'SERRINHA','FLORIANÓPOLIS','SC',10860,166,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373643,2.00,6.00,4.00,4.00,3.00,8.25,7.00,3.00,2.00,999,NULL,NULL,'ITAGUAÇU','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373660,0.00,2.00,2.00,2.00,5.00,NULL,3.00,4.00,1.00,552,NULL,NULL,'CONCEIÇÃO','ZORTÉA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7373678,0.00,3.00,1.00,1.00,4.00,NULL,1.00,5.00,2.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7373694,1.00,3.00,5.00,6.00,4.00,4.88,3.00,4.00,3.00,654,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15873,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373708,2.00,6.00,1.00,5.00,2.00,NULL,2.00,2.00,1.00,103,NULL,NULL,'JATIBAIA SOUSAS','CAMPINAS','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PETROPOLIS','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7373732,2.00,4.00,0.00,4.00,4.00,NULL,2.00,3.00,2.00,5,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7373740,1.00,3.00,1.00,3.00,5.00,5.25,1.00,4.00,2.00,201,NULL,203,'JARDIM ELDORADO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7373759,1.00,3.00,1.00,3.00,2.00,NULL,2.00,4.00,0.00,3,NULL,NULL,'RESSACADA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7373767,0.00,7.00,1.00,4.00,5.00,NULL,2.00,3.00,1.00,339,NULL,NULL,'QUINTINO BOCAIUVA','TIMBÓ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7373775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,655,NULL,NULL,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,15),(28,7373783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'RUDÃO','HERVAL D OESTE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7373791,6.00,8.00,4.00,7.00,9.00,8.25,4.00,7.00,5.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',2832,97,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373805,2.00,5.00,1.00,5.00,4.00,8.25,2.00,4.00,3.00,102,NULL,NULL,'CENTRO','VACARIA','RS',16301,153,NULL,NULL,NULL,NULL,NULL,2,1),(28,7373813,2.00,7.00,1.00,8.00,7.00,8.63,2.00,5.00,3.00,5,NULL,NULL,'CONSOLAÇÃO','S PAULO','SP',11310,324,NULL,NULL,NULL,NULL,NULL,3,1),(28,7373821,3.00,6.00,1.00,3.00,6.00,8.63,4.00,4.00,4.00,103,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',14291,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7373830,7.00,5.00,3.00,5.00,7.00,7.88,3.00,6.00,4.00,303,NULL,NULL,'AMÉRICA','JOINVILLE','SC',8529,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7373848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7373864,3.00,7.00,2.00,5.00,4.00,8.25,1.00,4.00,5.00,212,NULL,214,'CAMPOLIM','SOROCABA','SP',9693,285,NULL,250,NULL,NULL,NULL,4,8),(28,7373899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'VENEZA','XANXERÊ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7373902,0.00,0.00,3.00,6.00,4.00,NULL,0.00,0.00,0.00,201,NULL,235,'ARIRIU','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7373910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7373929,1.00,4.00,1.00,6.00,2.00,NULL,2.00,3.00,2.00,335,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7373937,2.00,2.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,335,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373945,1.00,4.00,0.00,1.00,3.00,5.63,2.00,2.00,2.00,201,NULL,235,'COSTEIRA','FLORIANÓPOLIS','SC',18824,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7373961,5.00,0.00,3.00,7.00,5.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(28,7373970,1.00,4.00,1.00,3.00,5.00,7.13,4.00,2.00,1.00,444,NULL,NULL,'VILA NOVA ALVORADA','IMBITUBA','SC',16807,104,NULL,NULL,NULL,NULL,NULL,2,10),(28,7373988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,428,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7374003,0.00,5.00,2.00,5.00,4.00,6.00,4.00,5.00,2.00,404,NULL,NULL,'COLÔNIA SANTANA','S JOSÉ','SC',16897,50,NULL,NULL,NULL,NULL,NULL,2,1),(28,7374011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'JARDIM ÁUREA','DOURADOS','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7374038,0.00,3.00,2.00,6.00,4.00,6.38,2.00,5.00,1.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7374046,3.00,8.00,6.00,4.00,8.00,10.88,3.00,6.00,3.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',7248,1790,NULL,NULL,NULL,NULL,NULL,2,1),(28,7374054,4.00,8.00,2.00,6.00,3.00,7.13,4.00,7.00,6.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7374070,1.00,4.00,3.00,1.00,5.00,7.88,0.00,4.00,1.00,317,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',19743,178,NULL,NULL,NULL,NULL,NULL,4,1),(28,7374100,3.00,8.00,0.00,7.00,9.00,11.25,4.00,5.00,4.00,101,NULL,NULL,'ZONA UM','CIANORTE','PR',8707,30,NULL,NULL,NULL,NULL,NULL,5,1),(28,7374119,2.00,0.00,2.00,0.00,1.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7374127,4.00,7.00,2.00,6.00,6.00,8.25,3.00,4.00,6.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',4799,1463,NULL,NULL,NULL,NULL,NULL,4,8),(28,7374135,1.00,5.00,3.00,7.00,4.00,6.00,4.00,4.00,4.00,207,NULL,216,'SHANGRILA','BAURU','SP',14882,657,NULL,396,NULL,NULL,NULL,4,1),(28,7374151,0.00,7.00,2.00,5.00,3.00,0.00,3.00,5.00,2.00,653,NULL,652,'NOVA YORK','FORQUILHINHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7374160,1.00,6.00,1.00,6.00,6.00,7.88,2.00,5.00,3.00,104,NULL,NULL,'CENTRO','VACARIA','RS',14985,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7374186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7374216,0.00,2.00,0.00,0.00,0.00,NULL,2.00,1.00,5.00,440,NULL,NULL,'SERRARIA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7374224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'SETOR BUENO','GOIÂNIA','GO',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7374232,0.00,4.00,0.00,1.00,5.00,NULL,1.00,3.00,4.00,302,NULL,NULL,'NOSSA SR DO ROSÁRIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7374259,0.00,1.00,2.00,1.00,3.00,NULL,1.00,1.00,1.00,201,NULL,212,'HUMBERTO TEIXEIRA II','BANDEIRANTES','PR',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7374267,6.00,6.00,2.00,6.00,7.00,10.13,5.00,6.00,7.00,103,NULL,NULL,'BELA VISTA','GOIÂNIA','GO',4266,1376,NULL,NULL,NULL,NULL,NULL,4,1),(28,7374275,4.00,6.00,2.00,7.00,7.00,11.25,3.00,6.00,2.00,319,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',6359,103,NULL,NULL,NULL,NULL,NULL,2,1),(28,7374283,0.00,7.00,1.00,3.00,3.00,10.50,2.00,6.00,1.00,310,NULL,NULL,'ITACORUBI','JOINVILLE','SC',17932,43,NULL,NULL,NULL,NULL,NULL,4,1),(28,7374291,3.00,8.00,2.00,5.00,5.00,7.13,1.00,4.00,1.00,999,NULL,NULL,'CENTRO','S FRANCISCO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7374305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7374313,0.00,8.00,2.00,6.00,5.00,7.88,4.00,6.00,4.00,203,NULL,601,'COSTA E SILVA','JOINVILLE','SC',14301,NULL,NULL,427,NULL,NULL,NULL,4,8),(28,7374330,1.00,4.00,0.00,7.00,5.00,6.38,3.00,4.00,3.00,220,NULL,235,'CENTRO','NOVA LONDRINA','PR',13449,299,NULL,218,NULL,NULL,NULL,2,2),(28,7374348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7374356,0.00,1.00,3.00,0.00,5.00,NULL,1.00,3.00,2.00,339,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7374364,0.00,6.00,1.00,3.00,4.00,4.88,1.00,7.00,2.00,415,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19126,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7374380,1.00,4.00,1.00,6.00,5.00,4.88,1.00,2.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',19920,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7374399,2.00,5.00,2.00,5.00,6.00,9.00,1.00,6.00,5.00,104,NULL,NULL,'CONTA DINHEIRO','LAGES','SC',8550,201,NULL,NULL,NULL,NULL,NULL,4,9),(28,7374402,1.00,3.00,2.00,5.00,6.00,8.63,0.00,1.00,2.00,999,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7374429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,207,'SALGADO FILHO','BELO HORIZONTE','MG',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7374437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7374461,2.00,8.00,3.00,6.00,5.00,7.50,1.00,7.00,4.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',5910,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7374488,6.00,8.00,4.00,7.00,5.00,8.25,4.00,5.00,5.00,103,NULL,NULL,'MIRANDÓPOLIS','S PAULO','SP',2713,1065,NULL,NULL,NULL,NULL,NULL,4,1),(28,7374496,0.00,4.00,1.00,3.00,4.00,3.00,3.00,4.00,3.00,238,NULL,212,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7374500,3.00,8.00,4.00,8.00,9.00,10.13,2.00,7.00,4.00,303,NULL,NULL,'ROMEU TORTORELLI','S CARLOS','SP',2566,109,NULL,NULL,NULL,NULL,NULL,4,1),(28,7374518,0.00,4.00,1.00,5.00,4.00,7.13,0.00,3.00,3.00,320,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',19571,60,NULL,NULL,NULL,NULL,NULL,2,1),(28,7374526,5.00,6.00,3.00,6.00,6.00,8.25,3.00,6.00,6.00,304,NULL,NULL,'PARQUE SALUTARIS','PARAÍBA SUL','RJ',3795,12,NULL,NULL,NULL,NULL,NULL,4,1),(28,7374534,1.00,8.00,2.00,6.00,1.00,NULL,3.00,4.00,3.00,104,NULL,NULL,'MALOTA','JUNDIAÍ','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7374542,1.00,5.00,3.00,6.00,6.00,6.38,0.00,3.00,5.00,339,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',14485,16,NULL,NULL,NULL,NULL,NULL,2,1),(28,7374585,1.00,6.00,0.00,6.00,9.00,8.25,1.00,5.00,3.00,999,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7374593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7374607,2.00,4.00,1.00,3.00,4.00,5.25,1.00,3.00,2.00,103,NULL,NULL,'JARDIM IGUAÇU','ARAUCÁRIA','PR',19676,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7374615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'CENTRO','ITARARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7374623,3.00,7.00,2.00,7.00,4.00,8.25,3.00,6.00,5.00,207,NULL,201,'VILA TOLENTINO','CASCAVEL','PR',11982,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7374640,0.00,6.00,1.00,3.00,4.00,11.63,2.00,6.00,1.00,441,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17404,6,NULL,NULL,NULL,NULL,NULL,6,1),(28,7374682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,201,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',5,1),(28,7374690,2.00,3.00,4.00,5.00,2.00,NULL,2.00,2.00,3.00,601,NULL,216,'CRISTO REI','IÇARA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7374704,3.00,5.00,1.00,5.00,4.00,10.50,2.00,3.00,2.00,552,NULL,NULL,'SÃO LUIZ','CAPINZAL','SC',12918,67,NULL,NULL,NULL,NULL,NULL,2,7),(28,7374712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,235,NULL,215,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7374739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'BALNEARIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7374747,3.00,6.00,2.00,7.00,6.00,6.00,2.00,7.00,3.00,101,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',13781,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7374755,0.00,0.00,3.00,6.00,1.00,NULL,1.00,2.00,0.00,103,NULL,NULL,'BELA VISTA','CÂNDIDO ABREU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7374763,0.00,1.00,3.00,0.00,4.00,NULL,0.00,4.00,2.00,429,NULL,426,'FORQUILHINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7374771,4.00,7.00,0.00,5.00,6.00,10.88,2.00,6.00,2.00,5,NULL,NULL,'BARREIROS','S JOSÉ','SC',14126,387,NULL,NULL,NULL,NULL,NULL,4,1),(28,7374780,2.00,7.00,0.00,7.00,7.00,8.25,0.00,6.00,1.00,425,NULL,421,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',16346,56,NULL,15,NULL,NULL,NULL,4,1),(28,7374798,5.00,4.00,4.00,6.00,5.00,9.00,6.00,4.00,5.00,103,NULL,NULL,'MARIA LUIZA','CASCAVEL','PR',9032,1999,NULL,NULL,NULL,NULL,NULL,4,4),(28,7374801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7374810,1.00,4.00,1.00,5.00,6.00,10.13,0.00,6.00,1.00,425,NULL,424,'SANTA MONICA','FLORIANÓPOLIS','SC',17650,65,NULL,35,NULL,NULL,NULL,4,1),(28,7374828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,329,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7374836,2.00,6.00,4.00,5.00,3.00,5.25,0.00,2.00,1.00,212,NULL,653,'MONTE VERDE','FLORIANÓPOLIS','SC',16622,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7374844,5.00,7.00,2.00,7.00,8.00,NULL,5.00,7.00,7.00,103,NULL,NULL,'JABUTICABAL','ERECHIM','RS',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,4),(28,7374852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,215,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7374860,7.00,8.00,4.00,6.00,6.00,7.50,6.00,7.00,6.00,103,NULL,NULL,'COLINA VERDE','CURITIBA','PR',1842,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7374879,3.00,5.00,3.00,5.00,2.00,NULL,1.00,2.00,3.00,101,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7374887,1.00,6.00,1.00,5.00,6.00,NULL,0.00,6.00,5.00,999,NULL,NULL,'RODEIO DA AREIA','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7374895,1.00,4.00,1.00,2.00,6.00,7.13,3.00,5.00,2.00,444,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',15270,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7374917,1.00,6.00,0.00,3.00,2.00,NULL,2.00,4.00,4.00,601,NULL,212,'BARRA DO RIO CERRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7374933,0.00,5.00,1.00,3.00,3.00,NULL,3.00,3.00,3.00,999,NULL,NULL,'FORQUILINHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7374941,0.00,4.00,1.00,7.00,5.00,NULL,0.00,3.00,1.00,318,NULL,NULL,'ENSEADA DE BRITO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7374950,2.00,6.00,1.00,7.00,3.00,12.00,3.00,5.00,4.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7374976,1.00,2.00,1.00,6.00,6.00,8.63,1.00,3.00,2.00,654,NULL,NULL,'SANGA DA TOCA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7374992,2.00,7.00,0.00,4.00,6.00,8.63,2.00,5.00,3.00,999,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7375000,0.00,4.00,2.00,5.00,4.00,6.00,0.00,5.00,1.00,9,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7375018,3.00,7.00,2.00,5.00,5.00,8.63,3.00,5.00,2.00,317,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',11818,53,NULL,NULL,NULL,NULL,NULL,4,1),(28,7375026,0.00,4.00,1.00,4.00,2.00,NULL,2.00,3.00,2.00,303,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7375034,2.00,5.00,2.00,6.00,7.00,7.50,2.00,5.00,2.00,207,NULL,201,'PANTANAL','FLORIANÓPOLIS','SC',9432,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7375042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,2,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7375050,0.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7375093,3.00,5.00,2.00,6.00,6.00,11.25,3.00,6.00,4.00,303,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',12874,487,NULL,NULL,NULL,NULL,NULL,4,1),(28,7375107,4.00,5.00,1.00,7.00,7.00,4.88,1.00,3.00,4.00,103,NULL,NULL,'FAZENDA','ITAJAÍ','SC',16387,2418,NULL,NULL,NULL,NULL,NULL,4,6),(28,7375123,2.00,3.00,2.00,5.00,4.00,6.00,2.00,6.00,2.00,201,NULL,220,'CITY','RIBEIRÃO PRETO','SP',14493,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7375131,1.00,7.00,2.00,7.00,8.00,9.38,2.00,7.00,6.00,337,NULL,NULL,'SÃO FRANCISCO','LUZERNA','SC',7253,9,NULL,NULL,NULL,NULL,NULL,4,7),(28,7375140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CABRAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7375158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,424,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7375166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,404,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7375174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PIONEIROS','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,6),(28,7375182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'JARDIM MARIA ESTELA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7375190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,501,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7375204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','S BENTO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7375212,2.00,5.00,4.00,4.00,4.00,6.75,0.00,5.00,2.00,329,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7375220,2.00,2.00,2.00,5.00,5.00,9.00,1.00,3.00,2.00,340,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',19275,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7375239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','ALPESTRE','RS',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7375247,4.00,7.00,1.00,7.00,7.00,7.50,5.00,6.00,3.00,233,NULL,215,'TRINDADE','FLORIANÓPOLIS','SC',10493,248,NULL,181,NULL,NULL,NULL,4,1),(28,7375255,1.00,4.00,1.00,5.00,4.00,7.50,1.00,4.00,1.00,454,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',16056,326,NULL,NULL,NULL,NULL,NULL,2,1),(28,7375263,1.00,3.00,3.00,5.00,4.00,7.50,2.00,7.00,2.00,308,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',18220,65,NULL,NULL,NULL,NULL,NULL,2,1),(28,7375271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'JARDIM ANCHIETA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7375298,2.00,4.00,2.00,7.00,6.00,9.75,2.00,4.00,4.00,201,NULL,601,'CENTRO','JOINVILLE','SC',7467,551,NULL,169,NULL,NULL,NULL,4,8),(28,7375310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7375328,3.00,6.00,3.00,7.00,4.00,7.88,1.00,2.00,2.00,999,NULL,NULL,'COSTA E SILVA','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7375336,2.00,6.00,0.00,4.00,3.00,NULL,0.00,5.00,2.00,999,NULL,NULL,'SOROCABA DE DENTRO','BIGUAÇU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7375360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'RIO BRANCO','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7375379,1.00,4.00,2.00,1.00,4.00,9.75,0.00,2.00,1.00,309,NULL,NULL,'BARRA DO ARIRIÚ','PALHOÇA','SC',17662,46,NULL,NULL,NULL,NULL,NULL,4,1),(28,7375387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,215,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7375395,0.00,1.00,2.00,1.00,1.00,NULL,1.00,4.00,2.00,309,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7375409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,NULL,'JARDIM LIBERDADE','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7375433,0.00,4.00,2.00,2.00,4.00,9.00,2.00,1.00,1.00,339,NULL,NULL,'VILA NOVA','IMBITUBA','SC',18996,58,NULL,NULL,NULL,NULL,NULL,2,1),(28,7375441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'VILA IDA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7375450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,233,'GUARANI','BRUSQUE','SC',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7375468,3.00,4.00,3.00,4.00,1.00,NULL,1.00,1.00,1.00,310,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7375476,4.00,7.00,3.00,6.00,6.00,8.63,4.00,6.00,7.00,203,NULL,220,'JARDINS MÔNACO','APARECIDA GOIÂNIA','GO',2954,219,NULL,84,NULL,NULL,NULL,4,1),(28,7375484,2.00,2.00,1.00,5.00,2.00,NULL,0.00,3.00,1.00,601,NULL,201,'PORTO DA VILA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7375492,2.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,215,NULL,233,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7375506,5.00,7.00,2.00,3.00,4.00,7.88,3.00,5.00,3.00,301,NULL,NULL,'SERTÃO DO MARUIM','S JOSÉ','SC',14883,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7375514,2.00,1.00,1.00,4.00,4.00,6.00,0.00,2.00,2.00,201,NULL,601,'CENTRO','BAL CAMBORIÚ','SC',18152,998,NULL,519,NULL,NULL,NULL,2,6),(28,7375522,4.00,6.00,2.00,5.00,7.00,7.50,2.00,6.00,4.00,502,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13403,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7375530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PORTÃO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7375557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,205,NULL,NULL,'JARDIM AMÉRICA','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7375565,0.00,4.00,2.00,4.00,4.00,NULL,1.00,5.00,4.00,234,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7375573,2.00,6.00,3.00,6.00,6.00,7.50,0.00,5.00,2.00,328,NULL,NULL,'PARQUE SÃO ORGE','FLORIANÓPOLIS','SC',15697,13,NULL,NULL,NULL,NULL,NULL,4,1),(28,7375603,1.00,4.00,2.00,5.00,4.00,10.13,4.00,5.00,2.00,316,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16433,221,NULL,NULL,NULL,NULL,NULL,4,1),(28,7375638,1.00,7.00,4.00,7.00,5.00,NULL,0.00,1.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7375646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7375654,3.00,4.00,2.00,6.00,4.00,6.75,1.00,3.00,5.00,319,NULL,NULL,'VILA NOVA','ÁGUAS MORNAS','SC',18214,350,NULL,NULL,NULL,NULL,NULL,2,1),(28,7375662,2.00,5.00,2.00,7.00,7.00,7.88,2.00,4.00,2.00,9,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',10611,60,NULL,NULL,NULL,NULL,NULL,2,1),(28,7375670,3.00,4.00,1.00,5.00,3.00,4.50,1.00,3.00,3.00,304,NULL,NULL,'BELA VISTA','PALHOÇA','SC',19713,131,NULL,NULL,NULL,NULL,NULL,2,1),(28,7375697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,233,'SANTA MONICA','OSVALDO CRUZ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7375700,2.00,2.00,2.00,6.00,4.00,7.88,1.00,4.00,2.00,999,NULL,NULL,'PRIMAVERA','NOVO HAMBURGO','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,3),(28,7375719,3.00,6.00,3.00,2.00,6.00,6.38,1.00,3.00,1.00,201,NULL,212,'CENTRO','MAJ VIEIRA','SC',14961,910,NULL,374,NULL,NULL,NULL,4,17),(28,7375727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,202,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7375743,1.00,4.00,2.00,5.00,5.00,10.13,1.00,3.00,3.00,301,NULL,NULL,'CENTRO','ERMO','SC',16096,228,NULL,NULL,NULL,NULL,NULL,2,15),(28,7375760,1.00,4.00,2.00,4.00,3.00,6.75,2.00,2.00,2.00,317,NULL,NULL,'CAMPINAS','S JOSÉ','SC',19497,174,NULL,NULL,NULL,NULL,NULL,2,1),(28,7375794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,216,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7375816,4.00,6.00,3.00,5.00,6.00,12.38,2.00,7.00,1.00,316,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',12120,130,NULL,NULL,NULL,NULL,NULL,4,1),(28,7375824,3.00,4.00,3.00,4.00,2.00,NULL,3.00,3.00,5.00,601,NULL,207,'ATIRADORES','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7375832,2.00,4.00,3.00,7.00,7.00,9.38,2.00,4.00,2.00,207,NULL,233,'ESTREITO','FLORIANÓPOLIS','SC',10205,466,NULL,240,NULL,NULL,NULL,4,1),(28,7375840,2.00,5.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,501,NULL,NULL,'CENTRO','STA ROSA LIMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7375859,0.00,2.00,3.00,3.00,2.00,NULL,2.00,3.00,2.00,601,NULL,201,'JARAGUA ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,23),(28,7375867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'MORRRO AGUDO','PAULO LOPES','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7375875,3.00,7.00,4.00,7.00,6.00,6.75,4.00,7.00,5.00,202,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',8196,220,NULL,NULL,NULL,NULL,NULL,4,2),(28,7375883,1.00,3.00,1.00,6.00,3.00,7.13,1.00,3.00,2.00,207,NULL,212,'BANZATO','MARÍLIA','SP',15161,671,NULL,377,NULL,NULL,NULL,4,8),(28,7375891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CONDOMÍNIO SABARÁ','S CARLOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7375905,6.00,9.00,1.00,8.00,8.00,10.50,5.00,8.00,6.00,303,NULL,NULL,'FAZENDA','ITAJAÍ','SC',2215,100,NULL,NULL,NULL,NULL,NULL,4,6),(28,7375921,4.00,9.00,4.00,4.00,5.00,9.00,3.00,5.00,2.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',5992,273,NULL,NULL,NULL,NULL,NULL,4,1),(28,7375948,3.00,8.00,2.00,3.00,4.00,6.00,2.00,6.00,5.00,318,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',16280,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7375956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ZONA SEIS','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7375972,2.00,6.00,2.00,7.00,7.00,7.50,3.00,5.00,3.00,208,NULL,NULL,'ARMAÇÃO','FLORIANÓPOLIS','SC',14251,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7375980,1.00,7.00,0.00,6.00,6.00,11.25,1.00,6.00,2.00,5,NULL,NULL,'PAGANI','PALHOÇA','SC',14311,391,NULL,NULL,NULL,NULL,NULL,5,1),(28,7376022,0.00,3.00,3.00,2.00,4.00,5.63,1.00,2.00,2.00,213,NULL,653,'SOARES','ARARANGUÁ','SC',18361,272,NULL,195,NULL,NULL,NULL,4,15),(28,7376030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7376049,0.00,3.00,3.00,3.00,2.00,NULL,3.00,3.00,3.00,316,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7376057,1.00,4.00,1.00,3.00,4.00,8.63,3.00,2.00,3.00,454,NULL,NULL,'BELA VISTA','PALHOÇA','SC',18520,378,NULL,NULL,NULL,NULL,NULL,2,1),(28,7376065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'FLORESTA','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7376073,4.00,0.00,3.00,5.00,5.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BANDEIRANTES','CPO GRANDE','MS',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7376081,0.00,3.00,0.00,4.00,2.00,NULL,0.00,4.00,1.00,552,NULL,NULL,'CENTRO','CPO ERÊ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,27),(28,7376090,3.00,2.00,3.00,3.00,3.00,6.00,1.00,4.00,1.00,324,NULL,NULL,'ROÇADO','S JOSÉ','SC',19918,29,NULL,NULL,NULL,NULL,NULL,2,1),(28,7376103,3.00,6.00,3.00,6.00,5.00,8.25,5.00,6.00,2.00,333,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',11484,64,NULL,NULL,NULL,NULL,NULL,4,1),(28,7376111,3.00,2.00,3.00,2.00,3.00,6.00,1.00,2.00,2.00,551,NULL,NULL,'INTERIOR','CURITIBANOS','SC',18326,56,NULL,NULL,NULL,NULL,NULL,4,16),(28,7376138,0.00,5.00,2.00,3.00,6.00,7.88,2.00,4.00,3.00,336,NULL,NULL,'SANTA MONICA','FRAIBURGO','SC',14608,75,NULL,NULL,NULL,NULL,NULL,4,25),(28,7376146,0.00,5.00,3.00,4.00,5.00,7.13,0.00,3.00,1.00,999,NULL,NULL,'RESSACADA','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7376154,4.00,5.00,1.00,3.00,7.00,6.00,3.00,4.00,4.00,203,NULL,235,'AGRONOMICA','FLORIANÓPOLIS','SC',16373,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7376162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'ASA SUL','BRASÍLIA','DF',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7376170,2.00,4.00,2.00,6.00,5.00,9.38,3.00,4.00,4.00,333,NULL,NULL,'CENTRO','S SEBASTIÃO CAÍ','RS',9981,56,NULL,NULL,NULL,NULL,NULL,2,1),(28,7376197,2.00,6.00,3.00,6.00,4.00,9.38,1.00,4.00,1.00,999,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7376200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,552,NULL,NULL,'CENTRO','S CRISTÓVÃO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,16),(28,7376219,0.00,4.00,2.00,4.00,3.00,6.38,2.00,5.00,3.00,324,NULL,NULL,'KOBRASOL','S JOSÉ','SC',16581,17,NULL,NULL,NULL,NULL,NULL,4,1),(28,7376227,1.00,7.00,2.00,5.00,8.00,11.25,2.00,4.00,3.00,108,NULL,NULL,'CENTRO','PIRACICABA','SP',8162,102,NULL,NULL,NULL,NULL,NULL,4,1),(28,7376235,2.00,4.00,1.00,7.00,5.00,8.25,3.00,5.00,3.00,502,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',15775,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7376243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,214,NULL,213,'ALTO','PIRACICABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7376251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7376260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7376278,3.00,6.00,3.00,7.00,4.00,7.88,2.00,7.00,2.00,454,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',13548,272,NULL,NULL,NULL,NULL,NULL,4,1),(28,7376286,0.00,3.00,1.00,6.00,6.00,NULL,1.00,4.00,3.00,309,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7376294,1.00,3.00,2.00,6.00,5.00,4.50,1.00,2.00,4.00,203,NULL,220,'BELA VISTA','QUEDAS IGUAÇU','PR',16991,672,NULL,325,NULL,NULL,NULL,2,4),(28,7376308,0.00,5.00,1.00,5.00,4.00,7.50,1.00,4.00,2.00,999,NULL,NULL,'CENTRO','SIDERÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7376316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'JD INDEPENDENCIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7376324,3.00,6.00,4.00,4.00,7.00,8.25,2.00,4.00,6.00,103,NULL,NULL,'BELA VISTA','GOIÂNIA','GO',6480,1695,NULL,NULL,NULL,NULL,NULL,4,1),(28,7376332,4.00,5.00,2.00,4.00,3.00,8.25,2.00,7.00,2.00,212,NULL,213,'PANTANAL','FLORIANÓPOLIS','SC',16207,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7376340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SÃO BENTO','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7376359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,337,NULL,NULL,'GRANJA OLGA II','SOROCABA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7376367,2.00,5.00,4.00,5.00,4.00,7.13,3.00,4.00,2.00,326,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',17536,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7376383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,340,NULL,NULL,'VILA MOEMA','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,10),(28,7376391,2.00,3.00,2.00,4.00,4.00,8.63,2.00,4.00,2.00,316,NULL,NULL,'PONTA DE BAIXO','S JOSÉ','SC',18636,275,NULL,NULL,NULL,NULL,NULL,2,1),(28,7376405,3.00,8.00,5.00,7.00,6.00,6.00,7.00,8.00,6.00,220,NULL,203,'CORREGO GRANDE','FLORIANÓPOLIS','SC',5012,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7376413,1.00,0.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7376430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,208,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7376464,1.00,7.00,2.00,2.00,6.00,7.88,2.00,5.00,2.00,225,NULL,NULL,'PARTENOM','PTO ALEGRE','RS',17790,40,NULL,NULL,NULL,NULL,NULL,4,1),(28,7376472,0.00,6.00,2.00,6.00,3.00,6.38,1.00,5.00,2.00,238,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16498,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7376480,0.00,5.00,2.00,4.00,7.00,4.50,4.00,5.00,3.00,208,NULL,NULL,'MORRETES','TIJUCAS','SC',18089,202,NULL,NULL,NULL,NULL,NULL,4,3),(28,7376499,0.00,2.00,1.00,6.00,5.00,3.00,1.00,4.00,3.00,318,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7376502,4.00,5.00,0.00,6.00,9.00,NULL,4.00,4.00,4.00,316,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7376510,4.00,7.00,2.00,7.00,5.00,6.75,4.00,4.00,3.00,208,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',8283,86,NULL,NULL,NULL,NULL,NULL,2,1),(28,7376553,2.00,5.00,2.00,6.00,3.00,6.00,2.00,3.00,2.00,333,NULL,NULL,'VILA SANTA CASSIA','S BERNARDO CAMPO','SP',14069,85,NULL,NULL,NULL,NULL,NULL,2,1),(28,7376570,0.00,3.00,2.00,5.00,6.00,7.88,3.00,5.00,2.00,201,NULL,207,'CENTRO','PALHOÇA','SC',15187,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7376588,1.00,7.00,1.00,2.00,5.00,4.88,2.00,5.00,2.00,207,NULL,201,'JD GLÓRIA','AMERICANA','SP',19299,805,NULL,1037,NULL,NULL,NULL,4,8),(28,7376596,3.00,7.00,0.00,6.00,7.00,7.88,2.00,7.00,4.00,110,NULL,NULL,'PARQUE NOVO MUNDO','AMERICANA','SP',7161,12,NULL,NULL,NULL,NULL,NULL,2,1),(28,7376600,1.00,4.00,1.00,4.00,3.00,6.00,1.00,6.00,5.00,303,NULL,NULL,'PACHECO','PALHOÇA','SC',18810,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7376634,0.00,7.00,3.00,6.00,4.00,4.50,3.00,6.00,2.00,223,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',15303,27,NULL,NULL,NULL,NULL,NULL,4,3),(28,7376642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,421,NULL,NULL,'VILA RIO NOVO','AVARÉ','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7376650,2.00,0.00,2.00,1.00,6.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7376669,1.00,4.00,2.00,6.00,4.00,9.00,3.00,3.00,1.00,421,NULL,429,'INGLESES','FLORIANÓPOLIS','SC',18334,23,NULL,NULL,NULL,NULL,NULL,1,1),(28,7376685,1.00,7.00,0.00,6.00,7.00,7.88,1.00,4.00,4.00,451,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',11985,23,NULL,NULL,NULL,NULL,NULL,4,1),(28,7376693,4.00,5.00,4.00,5.00,8.00,11.63,4.00,5.00,6.00,201,NULL,207,'CENTRO','ERECHIM','RS',2749,205,NULL,94,NULL,NULL,NULL,4,4),(28,7376715,0.00,4.00,0.00,6.00,3.00,7.88,4.00,4.00,1.00,999,NULL,NULL,'OFICINAS','TUBARÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7376723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CENTRO','TERRA AREIA','RS',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7376740,2.00,4.00,3.00,6.00,7.00,NULL,3.00,7.00,3.00,108,NULL,NULL,'CENTRO','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,6),(28,7376774,6.00,6.00,2.00,7.00,6.00,6.75,5.00,7.00,6.00,103,NULL,NULL,'BARREIROS','S JOSÉ','SC',5865,1607,NULL,NULL,NULL,NULL,NULL,4,1),(28,7376782,4.00,8.00,1.00,6.00,7.00,9.00,1.00,5.00,4.00,238,NULL,NULL,'FUNDOS','BIGUAÇU','SC',13044,215,NULL,NULL,NULL,NULL,NULL,2,1),(28,7376790,1.00,5.00,2.00,4.00,6.00,8.63,3.00,4.00,2.00,999,NULL,NULL,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7376804,0.00,0.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,326,NULL,NULL,'EXTENSAO DO BOSQUE','RIO OSTRAS','RJ',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7376812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,317,NULL,NULL,'INTERIOR','DIONÍSIO CERQUEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,27),(28,7376839,2.00,4.00,1.00,6.00,6.00,9.75,6.00,5.00,4.00,454,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',10771,207,NULL,NULL,NULL,NULL,NULL,4,1),(28,7376855,4.00,5.00,4.00,6.00,7.00,9.00,4.00,6.00,5.00,103,NULL,NULL,'CENTRO','ARAUCÁRIA','PR',7620,1842,NULL,NULL,NULL,NULL,NULL,2,1),(28,7376863,3.00,2.00,0.00,0.00,1.00,NULL,0.00,1.00,1.00,653,NULL,NULL,'URUSSANGUINHA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7376871,1.00,6.00,2.00,2.00,6.00,5.25,2.00,6.00,4.00,103,NULL,NULL,'SHALON','MIRANDA','MS',13442,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7376901,0.00,2.00,3.00,5.00,2.00,NULL,1.00,3.00,1.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7376936,1.00,4.00,0.00,0.00,0.00,NULL,2.00,3.00,3.00,302,NULL,NULL,'CENTRO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7376944,2.00,5.00,0.00,7.00,5.00,8.25,3.00,4.00,5.00,104,NULL,NULL,'CENTRO','JARAGUÁ SUL','SC',13446,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7376979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CIDADE JARDIM I','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7376987,0.00,4.00,0.00,1.00,5.00,4.50,2.00,4.00,2.00,308,NULL,NULL,'SACO DOS LIMOES','FLORIANÓPOLIS','SC',20090,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7376995,8.00,8.00,6.00,5.00,8.00,8.25,6.00,7.00,7.00,220,NULL,214,'VILA VITÓRIA','INDAIATUBA','SP',789,15,NULL,NULL,NULL,NULL,NULL,4,1),(28,7377002,0.00,7.00,2.00,5.00,7.00,9.75,2.00,4.00,2.00,215,NULL,238,'PONTE DO IMARUIM','PALHOÇA','SC',10054,174,NULL,139,NULL,NULL,NULL,2,1),(28,7377010,1.00,4.00,1.00,6.00,4.00,7.50,3.00,5.00,2.00,319,NULL,NULL,'KOBRASOL','S JOSÉ','SC',18147,349,NULL,NULL,NULL,NULL,NULL,2,1),(28,7377029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'UNIVERSITÁRIO','TIJUCAS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,3),(28,7377037,2.00,3.00,2.00,2.00,3.00,8.25,1.00,3.00,1.00,207,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7377045,0.00,1.00,0.00,3.00,2.00,NULL,0.00,3.00,2.00,9,NULL,NULL,'SANTA CLARA','BOM RETIRO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7377053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'CIDADE NOVA','MARINGÁ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7377061,1.00,1.00,2.00,3.00,3.00,7.50,0.00,4.00,1.00,201,NULL,NULL,'RIO CANOAS','PR GRANDE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7377070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,215,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7377088,3.00,5.00,2.00,6.00,7.00,7.13,3.00,5.00,3.00,552,NULL,NULL,'MIRANDOPOLIS','S PAULO','SP',14342,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7377096,0.00,5.00,1.00,5.00,3.00,8.25,2.00,5.00,1.00,552,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15266,102,NULL,NULL,NULL,NULL,NULL,2,1),(28,7377118,0.00,2.00,2.00,5.00,3.00,NULL,0.00,3.00,1.00,999,NULL,NULL,'ARIRIÚ','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7377134,2.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,202,NULL,653,'SANTA MONICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7377142,1.00,5.00,2.00,1.00,4.00,10.88,3.00,3.00,2.00,999,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7377150,1.00,3.00,2.00,3.00,4.00,3.00,2.00,0.00,1.00,308,NULL,NULL,'SUL DO RIO','STO AMARO IMPERATRIZ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7377169,1.00,3.00,1.00,7.00,5.00,10.13,4.00,3.00,1.00,238,NULL,220,'ITACORUBI','FLORIANÓPOLIS','SC',17491,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7377177,4.00,6.00,5.00,6.00,6.00,10.13,5.00,6.00,4.00,338,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',6975,1,NULL,NULL,NULL,NULL,NULL,4,1),(28,7377185,1.00,5.00,2.00,7.00,4.00,NULL,0.00,5.00,1.00,999,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7377207,0.00,7.00,1.00,8.00,7.00,8.25,6.00,6.00,3.00,203,NULL,201,'CENTRO','CRICIÚMA','SC',12014,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7377215,0.00,7.00,5.00,6.00,6.00,NULL,4.00,6.00,2.00,238,NULL,202,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7377223,1.00,3.00,1.00,5.00,4.00,5.63,0.00,2.00,2.00,999,NULL,NULL,'JURERE INTERNACIONAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7377231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7377258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7377274,2.00,5.00,3.00,4.00,4.00,6.38,1.00,3.00,2.00,104,NULL,NULL,'AMIZADE','JARAGUÁ SUL','SC',19186,451,NULL,NULL,NULL,NULL,NULL,2,23),(28,7377282,2.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7377290,2.00,7.00,2.00,7.00,5.00,6.75,3.00,5.00,6.00,103,NULL,NULL,'BROOKLIN','S PAULO','SP',5663,1586,NULL,NULL,NULL,NULL,NULL,4,1),(28,7377304,1.00,7.00,0.00,2.00,7.00,7.50,2.00,4.00,2.00,211,NULL,233,'CAMPO DE DEMONSTRAÇA','S PEDRO ALCÂNTARA','SC',17785,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7377312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,201,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7377320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'JARDIM AUTONOMISTA','CPO GRANDE','MS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7377339,2.00,6.00,3.00,3.00,6.00,9.75,2.00,4.00,3.00,329,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',16276,18,NULL,NULL,NULL,NULL,NULL,4,1),(28,7377347,3.00,7.00,2.00,7.00,7.00,7.88,4.00,7.00,4.00,203,NULL,207,'AMÉRICA','JOINVILLE','SC',3541,255,NULL,139,NULL,NULL,NULL,4,8),(28,7377355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PROGRESSO','CORDEIRÓPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7377363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS AMÉRICAS','CUIABÁ','MT',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7377371,2.00,7.00,2.00,6.00,5.00,10.50,2.00,4.00,2.00,327,NULL,NULL,'CATIAPOÃ','S VICENTE','SP',15582,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7377398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,104,NULL,NULL,'SÃO CRISTOVÃO','PAPANDUVA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7377401,1.00,5.00,4.00,5.00,3.00,9.75,1.00,5.00,3.00,653,NULL,233,'CIDADE ALTA','BENTO GONÇALVES','RS',16377,174,NULL,NULL,NULL,NULL,NULL,2,15),(28,7377410,0.00,3.00,0.00,1.00,4.00,NULL,2.00,3.00,2.00,308,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7377428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7377436,2.00,7.00,1.00,3.00,5.00,6.00,3.00,5.00,2.00,103,NULL,NULL,'VARGEM BOM JESUS','FLORIANÓPOLIS','SC',18006,2471,NULL,NULL,NULL,NULL,NULL,2,1),(28,7377444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'SANTA FELICIDADE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7377452,4.00,6.00,1.00,8.00,9.00,9.38,1.00,4.00,1.00,103,NULL,NULL,'CENTRO','PATO BRANCO','PR',7118,1778,NULL,NULL,NULL,NULL,NULL,4,4),(28,7377460,1.00,5.00,1.00,5.00,5.00,4.50,3.00,3.00,3.00,655,NULL,653,'BOA VISTA','MELEIRO','SC',14244,79,NULL,154,NULL,NULL,NULL,2,15),(28,7377479,4.00,5.00,2.00,3.00,5.00,5.63,2.00,5.00,4.00,308,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',17916,61,NULL,NULL,NULL,NULL,NULL,4,1),(28,7377487,2.00,7.00,3.00,3.00,4.00,0.00,3.00,3.00,2.00,653,NULL,601,'CENTRO','CRICIÚMA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,5),(28,7377509,1.00,7.00,2.00,6.00,7.00,7.50,3.00,4.00,5.00,207,NULL,238,'PIO CORRÊA','CRICIÚMA','SC',13057,NULL,NULL,216,NULL,NULL,NULL,4,5),(28,7377525,0.00,2.00,0.00,5.00,4.00,6.00,1.00,2.00,0.00,999,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7377533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'JARDIM SÃO NICOLAU','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7377541,4.00,7.00,1.00,5.00,6.00,7.88,2.00,4.00,4.00,207,NULL,211,'CAMPINAS','S JOSÉ','SC',14450,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7377550,2.00,5.00,1.00,7.00,7.00,8.25,1.00,5.00,3.00,999,NULL,NULL,'CENTRO','BARRA VELHA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,6),(28,7377568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,225,NULL,NULL,'CANTO DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7377584,1.00,6.00,1.00,7.00,6.00,7.50,2.00,5.00,2.00,450,NULL,NULL,'MORRO DAS PEDRAS','FLORIANÓPOLIS','SC',16217,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7377592,2.00,9.00,1.00,7.00,6.00,9.00,6.00,7.00,2.00,999,NULL,NULL,'JARDIM BLUMENAU','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7377606,1.00,5.00,1.00,5.00,4.00,8.63,2.00,6.00,4.00,999,NULL,NULL,'CENTRO','ARROIO TRINTA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7377614,1.00,4.00,2.00,5.00,6.00,8.63,2.00,4.00,2.00,103,NULL,NULL,'FLORESTA','JOINVILLE','SC',12350,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7377622,4.00,6.00,5.00,6.00,4.00,6.75,3.00,5.00,5.00,316,NULL,NULL,'CANTO DOS ARAÇAS','FLORIANÓPOLIS','SC',11436,113,NULL,NULL,NULL,NULL,NULL,4,1),(28,7377630,3.00,5.00,5.00,7.00,8.00,10.88,5.00,6.00,3.00,103,NULL,NULL,'CENTRO','CHAPECÓ','SC',6048,1635,NULL,NULL,NULL,NULL,NULL,2,4),(28,7377665,0.00,4.00,2.00,1.00,3.00,4.88,1.00,4.00,2.00,319,NULL,NULL,'MORRO DOS CONVENTOS','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7377673,5.00,8.00,2.00,7.00,4.00,8.63,1.00,4.00,2.00,336,NULL,NULL,'JARDIM AQUARIUS','S JOSÉ CAMPOS','SP',8626,45,NULL,NULL,NULL,NULL,NULL,4,1),(28,7377690,3.00,7.00,0.00,7.00,3.00,9.38,1.00,4.00,2.00,999,NULL,NULL,'FLORESTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7377720,3.00,5.00,1.00,5.00,4.00,3.00,3.00,4.00,2.00,5,NULL,NULL,'TAPERA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7377738,8.00,8.00,1.00,7.00,7.00,10.13,4.00,8.00,4.00,103,NULL,NULL,'PEDRA BRANCA','PALHOÇA','SC',3318,1209,NULL,NULL,NULL,NULL,NULL,4,1),(28,7377746,0.00,3.00,4.00,0.00,5.00,NULL,1.00,2.00,0.00,654,NULL,NULL,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7377762,0.00,5.00,4.00,3.00,2.00,NULL,2.00,2.00,1.00,207,NULL,201,'NOSSA S DO ROSARIO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7377789,5.00,5.00,2.00,4.00,5.00,10.50,3.00,4.00,4.00,103,NULL,NULL,'CENTRO','MRO AGUDO','SP',7303,1802,NULL,NULL,NULL,NULL,NULL,4,1),(28,7377800,1.00,6.00,3.00,6.00,6.00,7.13,4.00,6.00,1.00,318,NULL,NULL,'JARDIM VILA MARIANA','S PAULO','SP',14929,106,NULL,NULL,NULL,NULL,NULL,4,1),(28,7377819,0.00,5.00,3.00,4.00,5.00,7.13,0.00,6.00,4.00,104,NULL,NULL,'CIDADE ALEGRIA','URUGUAIANA','RS',17896,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7377827,3.00,4.00,0.00,5.00,6.00,5.63,4.00,4.00,3.00,207,NULL,201,'CENTRO','TIMBÉ SUL','SC',12725,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7377835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7377860,0.00,6.00,1.00,7.00,3.00,NULL,3.00,5.00,3.00,208,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7377878,2.00,6.00,3.00,6.00,7.00,9.00,2.00,4.00,2.00,328,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',15279,11,NULL,NULL,NULL,NULL,NULL,2,1),(28,7377886,1.00,5.00,1.00,6.00,2.00,NULL,1.00,4.00,2.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7377894,0.00,2.00,1.00,3.00,3.00,11.25,2.00,2.00,1.00,308,NULL,NULL,'VARGEM GRANDE','FLORIANÓPOLIS','SC',19748,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7377908,5.00,5.00,2.00,6.00,6.00,7.88,5.00,6.00,3.00,103,NULL,NULL,'JARDIM MALUCHE','BRUSQUE','SC',6133,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7377916,1.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,201,NULL,213,'CONTA DINHEIRO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,9),(28,7377924,0.00,5.00,2.00,5.00,2.00,NULL,2.00,4.00,2.00,207,NULL,201,'UNIVERSITÁRIO','LAGES','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,9),(28,7377932,2.00,6.00,2.00,2.00,3.00,7.13,2.00,6.00,1.00,502,NULL,NULL,'KOBRASOL','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,1),(28,7377940,0.00,0.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'FAZENDA DA ARMAÇAO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7377959,0.00,4.00,0.00,6.00,5.00,NULL,1.00,4.00,2.00,308,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7377967,3.00,3.00,1.00,4.00,4.00,NULL,1.00,4.00,2.00,329,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7377975,1.00,8.00,4.00,8.00,7.00,8.25,4.00,6.00,3.00,318,NULL,NULL,'GARCIA','BLUMENAU','SC',5646,20,NULL,NULL,NULL,NULL,NULL,4,2),(28,7377991,6.00,7.00,3.00,6.00,7.00,8.63,4.00,7.00,7.00,103,NULL,NULL,'SÃO BRAZ','CURITIBA','PR',2067,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7378009,3.00,7.00,1.00,4.00,6.00,6.75,1.00,4.00,2.00,102,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',15661,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7378017,4.00,8.00,5.00,6.00,4.00,5.25,2.00,4.00,5.00,216,NULL,201,'CHACARA PRIMAVERA','CAMPINAS','SP',12317,353,NULL,791,NULL,NULL,NULL,4,1),(28,7378025,2.00,5.00,2.00,6.00,4.00,6.38,1.00,5.00,3.00,104,NULL,NULL,'COLINA SORRISO','CAXIAS SUL','RS',17827,NULL,NULL,NULL,NULL,NULL,NULL,2,15),(28,7378033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BACACHERI','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7378041,5.00,5.00,2.00,6.00,5.00,7.88,2.00,6.00,2.00,208,NULL,NULL,'FLOR DE NAPOLIS','S JOSÉ','SC',15433,169,NULL,NULL,NULL,NULL,NULL,2,1),(28,7378068,2.00,6.00,1.00,6.00,7.00,8.63,3.00,4.00,1.00,301,NULL,NULL,'CIDADE JARDIM','S PAULO','SP',10102,131,NULL,NULL,NULL,NULL,NULL,4,1),(28,7378122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,440,NULL,NULL,'BARREIRINHA','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',6,8),(28,7378130,2.00,7.00,2.00,7.00,6.00,7.88,1.00,3.00,1.00,103,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',16947,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7378149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,211,NULL,216,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7378157,0.00,4.00,3.00,3.00,3.00,6.75,2.00,3.00,1.00,9,NULL,NULL,'CENTRO DE PALHOÇA','PALHOÇA','SC',18259,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7378165,0.00,6.00,3.00,0.00,5.00,NULL,0.00,4.00,4.00,327,NULL,NULL,'CENTRO','IMARUÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7378173,0.00,4.00,2.00,5.00,5.00,7.88,2.00,4.00,3.00,103,NULL,NULL,'COPHAMA','CPO GRANDE','MS',17834,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7378181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,454,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7378190,6.00,8.00,3.00,7.00,9.00,8.63,5.00,6.00,6.00,316,NULL,NULL,'SAMBAQUI','FLORIANÓPOLIS','SC',1218,2,NULL,NULL,NULL,NULL,NULL,4,4),(28,7378203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,308,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7378211,1.00,4.00,2.00,6.00,4.00,NULL,2.00,2.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7378220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,238,NULL,NULL,'AGRONOMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7378238,2.00,5.00,2.00,7.00,4.00,7.13,3.00,4.00,1.00,454,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',17499,359,NULL,NULL,NULL,NULL,NULL,4,1),(28,7378262,1.00,6.00,2.00,4.00,6.00,8.25,1.00,5.00,3.00,340,NULL,NULL,'BARREIROS','S JOSÉ','SC',13454,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7378289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7378319,1.00,5.00,1.00,3.00,8.00,9.75,4.00,4.00,3.00,104,NULL,NULL,'CENTRO','STA MARIA VITÓRIA','BA',15565,382,NULL,NULL,NULL,NULL,NULL,4,8),(28,7378327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,220,NULL,202,'CENTRO','IRANI','SC',NULL,NULL,NULL,NULL,'S','S','S',4,4),(28,7378335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'BOA ESPERANÇA','PAULÍNIA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7378343,2.00,7.00,2.00,7.00,5.00,6.75,3.00,6.00,2.00,238,NULL,235,'ITACORUBI','FLORIANÓPOLIS','SC',15067,250,NULL,238,NULL,NULL,NULL,4,1),(28,7378378,5.00,7.00,2.00,6.00,7.00,9.75,3.00,4.00,4.00,9,NULL,NULL,'KOBRASOL','S JOSÉ','SC',6413,22,NULL,NULL,NULL,NULL,NULL,4,1),(28,7378386,2.00,5.00,1.00,6.00,3.00,5.25,3.00,6.00,3.00,340,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',14060,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7378394,1.00,5.00,1.00,6.00,4.00,6.00,2.00,5.00,2.00,5,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14557,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7378416,4.00,6.00,2.00,7.00,4.00,6.75,4.00,5.00,6.00,316,NULL,NULL,'CAMPINAS','S JOSÉ','SC',10907,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7378424,0.00,5.00,4.00,6.00,6.00,10.50,2.00,6.00,2.00,303,NULL,NULL,'GARCIA','BLUMENAU','SC',14543,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7378432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'FUNDOS','BIGUAÇU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7378440,2.00,3.00,2.00,6.00,4.00,4.50,3.00,3.00,3.00,999,NULL,NULL,'COSTEIRA DO PIRAJUBA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7378475,0.00,4.00,2.00,2.00,4.00,6.38,1.00,5.00,1.00,103,NULL,NULL,'NAÇÕES','CAMBORIÚ','SC',18016,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7378483,8.00,6.00,2.00,6.00,9.00,7.88,5.00,6.00,5.00,501,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',7387,23,NULL,NULL,NULL,NULL,NULL,2,1),(28,7378521,2.00,3.00,1.00,1.00,3.00,4.50,4.00,2.00,1.00,103,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7378530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','MAFRA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,17),(28,7378548,6.00,8.00,2.00,7.00,9.00,11.25,4.00,6.00,6.00,108,NULL,NULL,'ESPÍRITO SANTO','PTO ALEGRE','RS',2901,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7378556,1.00,2.00,0.00,7.00,2.00,NULL,0.00,4.00,2.00,999,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7378564,3.00,6.00,2.00,5.00,8.00,7.50,3.00,4.00,4.00,9,NULL,NULL,'CENTRO','POMERODE','SC',8041,38,NULL,NULL,NULL,NULL,NULL,4,2),(28,7378572,2.00,3.00,3.00,4.00,3.00,5.25,2.00,5.00,1.00,404,NULL,NULL,'SÃO JOSÉ','S JOSÉ','SC',15713,36,NULL,NULL,NULL,NULL,NULL,2,1),(28,7378580,3.00,7.00,1.00,5.00,7.00,7.13,2.00,4.00,4.00,331,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',14957,37,NULL,NULL,NULL,NULL,NULL,4,1),(28,7378599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'JARDIM DOS CAMARGOS','BARUERI','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7378602,6.00,8.00,3.00,7.00,7.00,9.38,7.00,7.00,4.00,201,NULL,212,'ITACORUBI','FLORIANÓPOLIS','SC',3065,230,NULL,91,NULL,NULL,NULL,4,1),(28,7378610,1.00,4.00,1.00,5.00,2.00,NULL,1.00,2.00,0.00,601,NULL,NULL,'AVENTUREIRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7378629,1.00,4.00,2.00,3.00,5.00,NULL,0.00,3.00,1.00,654,NULL,NULL,'LAGOÃO','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7378637,2.00,6.00,4.00,4.00,6.00,9.00,1.00,3.00,4.00,320,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',11843,19,NULL,NULL,NULL,NULL,NULL,4,1),(28,7378661,2.00,5.00,3.00,5.00,5.00,6.38,1.00,5.00,4.00,428,NULL,426,'BALNEARIO','FLORIANÓPOLIS','SC',17568,58,NULL,NULL,NULL,NULL,NULL,2,1),(28,7378670,0.00,5.00,1.00,7.00,6.00,NULL,0.00,5.00,3.00,999,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7378688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,211,'HIGIENOPOLIS','PTO ALEGRE','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7378696,0.00,5.00,4.00,5.00,5.00,8.63,4.00,6.00,2.00,427,NULL,421,'ITACORUBI','FLORIANÓPOLIS','SC',14880,8,NULL,NULL,NULL,NULL,NULL,4,1),(28,7378718,1.00,6.00,1.00,5.00,7.00,6.75,2.00,3.00,2.00,333,NULL,NULL,'BARREIROS','S JOSÉ','SC',18045,112,NULL,NULL,NULL,NULL,NULL,2,1),(28,7378726,1.00,7.00,2.00,6.00,5.00,6.38,3.00,7.00,3.00,203,NULL,238,'CENTRO','POMERODE','SC',9866,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7378734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'CENTRO','PETROLÂNDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7378742,0.00,2.00,1.00,4.00,3.00,NULL,3.00,3.00,3.00,310,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7378769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARSIM SOCIAL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7378777,4.00,5.00,1.00,6.00,3.00,7.13,2.00,3.00,4.00,999,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7378785,5.00,5.00,2.00,6.00,5.00,8.25,3.00,2.00,5.00,2,NULL,NULL,'NAÇÕES','BAL CAMBORIÚ','SC',14367,40,NULL,NULL,NULL,NULL,NULL,4,6),(28,7378793,0.00,1.00,2.00,1.00,4.00,6.38,2.00,1.00,3.00,654,NULL,NULL,'VARGINHA','STO AMARO IMPERATRIZ','SC',18825,72,NULL,NULL,NULL,NULL,NULL,2,1),(28,7378807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,216,'VILA OLIVEIRA','MOGI CRUZES','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7378815,1.00,6.00,2.00,5.00,5.00,NULL,1.00,5.00,1.00,999,NULL,NULL,'CENTRO','JOINVILLE','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,8),(28,7378823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'TOMAZ COELHO','ARAUCÁRIA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7378831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ITOUPAVAZINHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7378866,2.00,5.00,2.00,4.00,1.00,NULL,4.00,2.00,2.00,999,NULL,NULL,'PONTA AGUDA','BLUMENAU','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7378874,2.00,4.00,2.00,5.00,3.00,7.13,3.00,3.00,3.00,426,NULL,429,'ESTREITO','FLORIANÓPOLIS','SC',15581,24,NULL,NULL,NULL,NULL,NULL,2,1),(28,7378882,0.00,4.00,2.00,3.00,3.00,7.50,1.00,2.00,1.00,318,NULL,NULL,'ENCANTADA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7378890,2.00,6.00,1.00,3.00,7.00,6.00,1.00,5.00,5.00,103,NULL,NULL,'JARDIM AEROPORTO','VÁRZEA GRANDE','MT',11542,2173,NULL,NULL,NULL,NULL,NULL,4,1),(28,7378904,1.00,5.00,4.00,4.00,6.00,6.75,4.00,3.00,1.00,454,NULL,NULL,'SANTA ROSA','FORQUILHINHA','SC',17134,345,NULL,NULL,NULL,NULL,NULL,2,5),(28,7378912,1.00,2.00,4.00,4.00,4.00,6.75,0.00,4.00,2.00,415,NULL,NULL,'CENTRO','PALHOÇA','SC',17960,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7378963,1.00,3.00,1.00,7.00,5.00,8.63,2.00,2.00,1.00,316,NULL,NULL,'CARIJÓS','INDAIAL','SC',16688,229,NULL,NULL,NULL,NULL,NULL,2,2),(28,7378971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,451,NULL,NULL,'SERRARIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7378998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,327,NULL,NULL,'VARGEM DO BOM JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7379013,2.00,8.00,3.00,7.00,6.00,6.00,4.00,5.00,5.00,203,NULL,201,'NOVA PETRÓPOLIS','S BERNARDO CAMPO','SP',4553,315,NULL,NULL,NULL,NULL,NULL,4,2),(28,7379030,1.00,4.00,3.00,6.00,4.00,8.63,3.00,4.00,3.00,301,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',17180,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379056,2.00,5.00,2.00,3.00,6.00,7.50,4.00,3.00,2.00,309,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',17889,49,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379064,0.00,3.00,1.00,7.00,6.00,NULL,0.00,3.00,3.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7379080,1.00,2.00,4.00,3.00,2.00,NULL,2.00,1.00,1.00,104,NULL,NULL,'BEIRA MAR','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379102,0.00,2.00,2.00,1.00,2.00,NULL,1.00,3.00,2.00,444,NULL,NULL,'CENTRO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379110,3.00,7.00,3.00,7.00,7.00,7.50,3.00,6.00,2.00,230,NULL,NULL,'PINGUIRITO','GAROPABA','SC',7743,4,NULL,NULL,NULL,NULL,NULL,2,1),(28,7379129,0.00,3.00,1.00,6.00,4.00,8.63,1.00,4.00,3.00,551,NULL,NULL,'CENTRO','CURITIBANOS','SC',15438,22,NULL,NULL,NULL,NULL,NULL,4,16),(28,7379145,0.00,3.00,2.00,3.00,4.00,9.00,2.00,3.00,2.00,238,NULL,655,'RIO GABIROBA','S MARTINHO','SC',19090,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7379153,2.00,8.00,3.00,7.00,7.00,6.75,6.00,7.00,5.00,203,NULL,202,'CAMPECHE','FLORIANÓPOLIS','SC',3915,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,212,'BANCÁRIOS','PATO BRANCO','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7379170,1.00,3.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,999,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7379188,1.00,7.00,2.00,6.00,6.00,9.00,3.00,5.00,3.00,203,NULL,238,'CENTRO','GR PARÁ','SC',8386,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7379218,2.00,4.00,2.00,5.00,7.00,6.75,1.00,6.00,4.00,303,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',11844,456,NULL,NULL,NULL,NULL,NULL,2,1),(28,7379226,2.00,7.00,5.00,5.00,6.00,9.00,4.00,6.00,4.00,235,NULL,202,'CAMPINAS','S JOSÉ','SC',11350,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379234,0.00,4.00,2.00,6.00,5.00,6.38,2.00,1.00,2.00,238,NULL,220,'CAPOEIRAS','FLORIANÓPOLIS','SC',19460,335,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379242,3.00,5.00,4.00,6.00,5.00,3.00,2.00,2.00,1.00,303,NULL,NULL,'JOSÉ MENDES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7379269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SAGRADA FAMÍLIA','CAXIAS SUL','RS',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7379277,3.00,4.00,2.00,2.00,3.00,7.13,1.00,4.00,2.00,316,NULL,NULL,'AREIAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379285,4.00,8.00,1.00,4.00,7.00,10.13,4.00,7.00,5.00,104,NULL,NULL,'RIO MADEIRA','PTO VELHO','RO',4411,71,NULL,NULL,NULL,NULL,NULL,4,7),(28,7379293,2.00,5.00,3.00,7.00,6.00,8.63,2.00,6.00,2.00,425,NULL,424,'SANTA MONICA','FLORIANÓPOLIS','SC',14646,47,NULL,21,NULL,NULL,NULL,4,1),(28,7379307,6.00,8.00,5.00,7.00,6.00,9.75,4.00,5.00,6.00,103,NULL,NULL,'BATEL','CURITIBA','PR',1828,844,NULL,NULL,NULL,NULL,NULL,4,8),(28,7379315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'FLOR DA SERRA','JOAÇABA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7379323,3.00,8.00,2.00,5.00,6.00,7.13,4.00,5.00,2.00,103,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',13081,2264,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379331,0.00,4.00,5.00,7.00,3.00,6.75,2.00,5.00,2.00,999,NULL,NULL,'FLORESTA','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7379340,1.00,3.00,3.00,4.00,2.00,NULL,1.00,0.00,1.00,316,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','NAVEGANTES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,6),(28,7379366,3.00,6.00,2.00,5.00,9.00,9.75,3.00,6.00,5.00,5,NULL,NULL,'VILA LAURA','S CARLOS','SP',5579,185,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379374,2.00,8.00,4.00,7.00,9.00,9.75,5.00,6.00,6.00,201,NULL,203,'JARDIM OSCAVO SANTOS','LONDRINA','PR',2670,200,NULL,205,NULL,NULL,NULL,4,17),(28,7379382,1.00,8.00,0.00,7.00,6.00,8.25,3.00,7.00,4.00,340,NULL,NULL,'CENTRO','INDAIAL','SC',11787,324,NULL,NULL,NULL,NULL,NULL,4,2),(28,7379390,0.00,3.00,4.00,6.00,4.00,NULL,1.00,3.00,3.00,444,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7379404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'IPIRANGA','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7379412,4.00,8.00,2.00,6.00,6.00,9.38,2.00,7.00,3.00,653,NULL,652,'HUMAITA','TUBARÃO','SC',10984,NULL,NULL,NULL,NULL,NULL,NULL,2,10),(28,7379420,3.00,5.00,4.00,6.00,8.00,6.75,3.00,4.00,4.00,2,NULL,NULL,'CENTRO','TELÊMACO BORBA','PR',11800,33,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379471,0.00,5.00,2.00,2.00,3.00,3.00,1.00,3.00,3.00,103,NULL,NULL,'CORDEIROS','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,6),(28,7379498,0.00,2.00,2.00,6.00,3.00,9.00,1.00,3.00,2.00,103,NULL,NULL,'JARDIM COOPAGRO','TOLEDO','PR',19300,2512,NULL,NULL,NULL,NULL,NULL,2,8),(28,7379501,6.00,7.00,3.00,8.00,8.00,12.75,4.00,6.00,5.00,454,NULL,NULL,'CENTRO','NAVEGANTES','SC',887,1,NULL,NULL,NULL,NULL,NULL,4,6),(28,7379528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BALNEÁRIO RINCÃO','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7379536,3.00,5.00,2.00,1.00,6.00,9.38,3.00,2.00,2.00,211,NULL,215,'SJ DO RIO VEMELHO','FLORIANÓPOLIS','SC',16608,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379552,0.00,5.00,3.00,3.00,3.00,9.75,3.00,5.00,2.00,207,NULL,216,'CENTRO','S FRANCISCO SUL','SC',17272,746,NULL,431,NULL,NULL,NULL,2,8),(28,7379560,2.00,4.00,3.00,2.00,6.00,6.00,1.00,3.00,1.00,303,NULL,NULL,'GUARDA DO CUBATÃO','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379587,0.00,4.00,1.00,5.00,3.00,7.88,0.00,3.00,2.00,444,NULL,NULL,'CARIANOS','FLORIANÓPOLIS','SC',19610,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7379609,4.00,7.00,2.00,7.00,4.00,6.38,3.00,6.00,3.00,316,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14607,185,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,NULL,'CENTRO','ERECHIM','RS',NULL,NULL,NULL,NULL,'S','S','S',4,26),(28,7379633,2.00,3.00,0.00,7.00,5.00,NULL,3.00,3.00,1.00,238,NULL,235,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379650,6.00,7.00,3.00,7.00,4.00,8.63,3.00,7.00,4.00,103,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',5055,1499,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM SÃO JOSÉ','CAMBÉ','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7379676,6.00,7.00,4.00,6.00,9.00,6.75,6.00,6.00,7.00,212,NULL,213,'CENTRO','FLORIANÓPOLIS','SC',2103,26,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379684,4.00,5.00,3.00,7.00,5.00,10.13,2.00,7.00,4.00,340,NULL,NULL,'SANTA CRUZ','GUARAPUAVA','PR',5976,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7379692,4.00,7.00,4.00,6.00,7.00,6.38,4.00,6.00,4.00,103,NULL,NULL,'NOVA BRASILIA','IMBITUBA','SC',10650,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379706,2.00,5.00,2.00,6.00,4.00,5.25,3.00,7.00,2.00,317,NULL,NULL,'SANTA BARBARA','CRICIÚMA','SC',17492,144,NULL,NULL,NULL,NULL,NULL,2,5),(28,7379714,4.00,6.00,1.00,5.00,7.00,6.00,4.00,4.00,5.00,202,NULL,235,'RIO TAVARES','FLORIANÓPOLIS','SC',9652,247,NULL,157,NULL,NULL,NULL,4,1),(28,7379722,0.00,3.00,1.00,6.00,4.00,NULL,2.00,4.00,2.00,5,NULL,NULL,'CAMPO DA ÁGUA VERDE','CANOINHAS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,17),(28,7379730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'AAHÚ','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7379749,0.00,2.00,2.00,3.00,5.00,7.88,2.00,2.00,3.00,101,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',19495,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7379757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,213,NULL,212,'VILA EMBARE','VALINHOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7379765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'MEIA PRAIA','ITAPEMA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7379781,2.00,7.00,1.00,6.00,6.00,9.38,4.00,6.00,1.00,109,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14129,48,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379803,5.00,6.00,3.00,7.00,7.00,9.38,1.00,4.00,2.00,601,NULL,NULL,'GUANABARA','JOINVILLE','SC',12239,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7379820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'ALTO DO HIGIENOPOLIS','CATANDUVA','SP',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7379846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'CENTRO','S PEDRO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7379854,2.00,5.00,4.00,6.00,8.00,10.13,5.00,4.00,3.00,207,NULL,201,'IRIRIU','JOINVILLE','SC',5625,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7379870,3.00,8.00,2.00,6.00,4.00,8.63,1.00,5.00,1.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',11341,446,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379889,0.00,2.00,2.00,3.00,3.00,3.00,4.00,3.00,4.00,101,NULL,NULL,'PIRAI','ARAQUARI','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,8),(28,7379897,0.00,7.00,0.00,4.00,6.00,8.25,3.00,1.00,2.00,5,NULL,NULL,'CARAVAGIO','LAGES','SC',18366,NULL,NULL,NULL,NULL,NULL,NULL,2,9),(28,7379919,2.00,6.00,3.00,7.00,6.00,9.38,1.00,7.00,2.00,234,NULL,NULL,'IMIRIM','S PAULO','SP',13045,29,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379927,0.00,1.00,3.00,5.00,1.00,NULL,3.00,4.00,2.00,216,NULL,202,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7379935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'SAGUAÇU','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7379943,5.00,7.00,1.00,6.00,10.00,10.13,4.00,6.00,5.00,103,NULL,NULL,'ALPHAVILLE','CAMPINAS','SP',2221,940,NULL,NULL,NULL,NULL,NULL,1,1),(28,7379951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7379960,1.00,3.00,0.00,5.00,6.00,NULL,4.00,5.00,3.00,426,NULL,424,'CAMPO DUNA','GAROPABA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7379978,3.00,6.00,3.00,4.00,6.00,5.25,2.00,5.00,2.00,303,NULL,NULL,'CENTRO','CRICIÚMA','SC',9839,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7379994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,304,NULL,NULL,'JARDIM IRAJA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7380011,6.00,6.00,2.00,6.00,4.00,10.50,4.00,6.00,3.00,103,NULL,NULL,'CENTRO','ABELARDO LUZ','SC',9065,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7380020,1.00,2.00,2.00,7.00,4.00,7.50,0.00,4.00,1.00,103,NULL,NULL,'SANTA MARIA','CHAPECÓ','SC',16383,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7380038,2.00,4.00,1.00,1.00,6.00,8.25,5.00,5.00,3.00,212,NULL,201,'ARGENTINA','CRICIÚMA','SC',17519,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7380046,2.00,6.00,2.00,4.00,7.00,9.75,2.00,4.00,3.00,211,NULL,213,'CAMINHO NOVO','PALHOÇA','SC',16357,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7380054,2.00,6.00,0.00,5.00,5.00,6.38,2.00,3.00,2.00,652,NULL,653,'CENTRO','ARARANGUÁ','SC',18627,93,NULL,NULL,NULL,NULL,NULL,4,15),(28,7380062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'POMPEIA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7380070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,235,'LAGOA DA CONCEICÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7380089,0.00,6.00,3.00,5.00,4.00,6.75,4.00,2.00,2.00,301,NULL,NULL,'CONJUNTO SÃO BENEDIT','JACAREÍ','SP',13551,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7380119,3.00,5.00,2.00,4.00,7.00,9.38,4.00,4.00,2.00,999,NULL,NULL,'SOUZA CRUZ','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,22),(28,7380127,0.00,3.00,0.00,1.00,2.00,NULL,1.00,1.00,3.00,104,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7380151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'VILA NOVA','IÇARA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,5),(28,7380160,4.00,8.00,2.00,6.00,8.00,9.38,3.00,5.00,5.00,214,NULL,233,'BURU','SALTO','SP',2496,NULL,NULL,47,NULL,NULL,NULL,4,1),(28,7380186,0.00,7.00,2.00,5.00,5.00,NULL,0.00,6.00,0.00,316,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7380208,0.00,0.00,1.00,4.00,3.00,5.25,2.00,3.00,2.00,102,NULL,NULL,'JARDIM AMAZONAS','FOZ IGUAÇU','PR',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7380224,0.00,2.00,1.00,1.00,5.00,NULL,2.00,3.00,2.00,999,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7380232,0.00,5.00,2.00,6.00,4.00,6.75,3.00,4.00,4.00,317,NULL,NULL,'JOSE MENDES','FLORIANÓPOLIS','SC',17691,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7380240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NOVO MUNDO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7380259,0.00,3.00,0.00,5.00,7.00,7.13,1.00,4.00,3.00,208,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',17282,191,NULL,NULL,NULL,NULL,NULL,2,1),(28,7380267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'JARDIM ANTARTICA','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7380291,2.00,5.00,2.00,3.00,2.00,NULL,3.00,5.00,3.00,303,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7380305,0.00,7.00,2.00,3.00,2.00,NULL,2.00,5.00,2.00,501,NULL,NULL,'INTERIOR','ARVOREDO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7380313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7380321,1.00,5.00,1.00,1.00,6.00,8.63,0.00,4.00,1.00,309,NULL,NULL,'BARREIROS','S JOSÉ','SC',16535,38,NULL,NULL,NULL,NULL,NULL,4,1),(28,7380356,0.00,6.00,1.00,5.00,5.00,NULL,3.00,3.00,2.00,552,NULL,NULL,'NOSSA S APARECIDA','CURITIBANOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,16),(28,7380372,3.00,6.00,1.00,4.00,7.00,7.13,3.00,5.00,3.00,301,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',10516,135,NULL,NULL,NULL,NULL,NULL,2,1),(28,7380399,3.00,6.00,0.00,8.00,5.00,7.50,3.00,5.00,4.00,324,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',14247,11,NULL,NULL,NULL,NULL,NULL,4,1),(28,7380402,2.00,6.00,2.00,4.00,5.00,6.75,4.00,4.00,2.00,101,NULL,NULL,'SACO GRANDE','FLORIANÓPOLIS','SC',17573,114,NULL,NULL,NULL,NULL,NULL,2,1),(28,7380429,3.00,4.00,1.00,6.00,7.00,7.13,3.00,4.00,2.00,109,NULL,NULL,'COQUEIROS','FLORIANÓPOLIS','SC',17009,77,NULL,NULL,NULL,NULL,NULL,4,1),(28,7380445,3.00,6.00,2.00,6.00,7.00,9.38,3.00,6.00,3.00,301,NULL,NULL,'PETRÓPOLIS','PTO ALEGRE','RS',6405,55,NULL,NULL,NULL,NULL,NULL,4,1),(28,7380453,2.00,5.00,2.00,5.00,5.00,7.88,2.00,6.00,2.00,424,NULL,425,'INGLESES','FLORIANÓPOLIS','SC',15954,27,NULL,NULL,NULL,NULL,NULL,4,1),(28,7380461,1.00,3.00,2.00,6.00,5.00,7.88,2.00,5.00,2.00,308,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',14748,26,NULL,NULL,NULL,NULL,NULL,2,1),(28,7380470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'PITUBA','SALVADOR','BA',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7380488,1.00,1.00,2.00,5.00,5.00,7.13,5.00,2.00,1.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',19455,373,NULL,NULL,NULL,NULL,NULL,2,1),(28,7380496,1.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(28,7380526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,101,NULL,NULL,'SAÕ GERALDO','GRAVATAÍ','RS',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7380542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CHAMPAGNAT','LONDRINA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7380550,0.00,5.00,2.00,5.00,5.00,7.50,2.00,3.00,2.00,103,NULL,NULL,'CANASVIEIRAS','FLORIANÓPOLIS','SC',18725,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7380577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,207,'BOM SUCESSO I','S MATEUS','ES',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7380585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'VILA ARRIETE','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7380593,0.00,7.00,3.00,2.00,3.00,6.00,0.00,4.00,1.00,225,NULL,NULL,'SANTA TERESA','S PEDRO ALCÂNTARA','SC',19758,47,NULL,NULL,NULL,NULL,NULL,4,1),(28,7380623,1.00,5.00,1.00,6.00,6.00,5.63,2.00,7.00,3.00,320,NULL,NULL,'CAMPECHE','FLORIANÓPOLIS','SC',17234,48,NULL,NULL,NULL,NULL,NULL,2,1),(28,7380631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'VILA NOVA','IMBITUBA','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10),(28,7380640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'BAL S FRANCISCO','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,2),(28,7380658,0.00,6.00,1.00,6.00,5.00,NULL,2.00,5.00,4.00,317,NULL,NULL,'ABRAAO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7380666,1.00,6.00,3.00,6.00,5.00,6.75,4.00,5.00,1.00,303,NULL,NULL,'CENTRO','PALHOÇA','SC',15558,539,NULL,NULL,NULL,NULL,NULL,2,1),(28,7380682,0.00,2.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,302,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7380712,5.00,7.00,5.00,6.00,8.00,7.13,5.00,7.00,7.00,214,NULL,203,'JOÃO PAULO','FLORIANÓPOLIS','SC',3995,141,NULL,NULL,NULL,NULL,NULL,4,1),(28,7380739,0.00,5.00,1.00,2.00,4.00,6.38,1.00,3.00,1.00,999,NULL,NULL,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7380747,1.00,5.00,2.00,7.00,5.00,7.88,2.00,5.00,2.00,339,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',17207,41,NULL,NULL,NULL,NULL,NULL,2,1),(28,7380755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CARVOEIRA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7380763,0.00,3.00,0.00,3.00,3.00,NULL,0.00,2.00,1.00,454,NULL,NULL,'SANTINHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7380801,4.00,6.00,1.00,7.00,7.00,8.63,5.00,5.00,5.00,203,NULL,214,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',5914,387,NULL,185,NULL,NULL,NULL,2,1),(28,7380810,2.00,2.00,1.00,7.00,5.00,6.75,3.00,3.00,2.00,208,NULL,NULL,'BARREIROS','S JOSÉ','SC',13417,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7380828,1.00,4.00,0.00,3.00,2.00,NULL,1.00,2.00,0.00,999,NULL,NULL,'VISTA ALEGRE','VIDEIRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,25),(28,7380836,4.00,7.00,1.00,7.00,7.00,9.75,3.00,6.00,4.00,103,NULL,NULL,'JARDIM CARUMBÉ','S PAULO','SP',5939,1621,NULL,NULL,NULL,NULL,NULL,2,8),(28,7380844,0.00,3.00,3.00,0.00,3.00,0.00,1.00,2.00,2.00,444,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7380852,0.00,7.00,4.00,7.00,7.00,6.75,5.00,5.00,1.00,203,NULL,214,'UNIÃO','MARAVILHA','SC',9924,534,NULL,257,NULL,NULL,NULL,2,4),(28,7380860,7.00,7.00,2.00,6.00,7.00,10.50,2.00,5.00,2.00,108,NULL,NULL,'VILA ALEMANHA','LUZERNA','SC',5332,NULL,NULL,NULL,NULL,NULL,NULL,4,7),(28,7380879,2.00,4.00,3.00,4.00,3.00,5.25,2.00,1.00,2.00,238,NULL,NULL,'PRAIA BRAVA','FLORIANÓPOLIS','SC',19900,346,NULL,NULL,NULL,NULL,NULL,2,1),(28,7380895,5.00,7.00,3.00,6.00,7.00,7.50,3.00,7.00,1.00,103,NULL,NULL,'BELA VISTA','CHAPECÓ','SC',8008,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7380909,2.00,4.00,1.00,4.00,4.00,NULL,3.00,1.00,2.00,999,NULL,NULL,'JURERE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7380925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7380941,0.00,4.00,0.00,2.00,5.00,NULL,3.00,5.00,0.00,238,NULL,220,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7380984,0.00,4.00,3.00,5.00,5.00,7.50,3.00,5.00,3.00,310,NULL,NULL,'JARDIM ATLANTICO','FLORIANÓPOLIS','SC',13113,31,NULL,NULL,NULL,NULL,NULL,4,1),(28,7381000,0.00,3.00,3.00,5.00,4.00,7.13,2.00,5.00,1.00,207,NULL,201,'RIO CAVEIRAS','BIGUAÇU','SC',19080,800,NULL,1032,NULL,NULL,NULL,2,1),(28,7381018,0.00,4.00,2.00,4.00,7.00,NULL,2.00,3.00,1.00,444,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7381026,1.00,1.00,0.00,5.00,2.00,NULL,1.00,0.00,1.00,316,NULL,NULL,'NOVA BRASILIA','BRUSQUE','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,22),(28,7381042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,207,NULL,201,'REBOUÇAS','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7381050,0.00,4.00,1.00,5.00,4.00,8.25,2.00,4.00,2.00,213,NULL,233,'TRINDADE','FLORIANÓPOLIS','SC',18972,280,NULL,351,NULL,NULL,NULL,2,1),(28,7381069,0.00,5.00,4.00,5.00,5.00,6.00,2.00,5.00,1.00,201,NULL,207,'SEMINÁRIO','ITUPORANGA','SC',12185,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7381077,2.00,1.00,4.00,0.00,4.00,3.00,2.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7381093,0.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,109,NULL,NULL,'AGRONÔMICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7381107,1.00,5.00,1.00,6.00,5.00,8.63,2.00,3.00,2.00,5,NULL,NULL,'PACHECOS','PALHOÇA','SC',18752,478,NULL,NULL,NULL,NULL,NULL,2,1),(28,7381115,0.00,2.00,0.00,4.00,5.00,3.00,2.00,2.00,3.00,653,NULL,216,'PARQUE DAS AVENIDA','SOMBRIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7381131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,653,NULL,207,'CENTRO','PASSO FUNDO','RS',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7381140,7.00,7.00,4.00,6.00,7.00,10.13,6.00,7.00,4.00,5,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',4513,155,NULL,NULL,NULL,NULL,NULL,4,1),(28,7381158,3.00,7.00,2.00,6.00,6.00,9.00,4.00,4.00,6.00,444,NULL,NULL,'CAMPINAS','S JOSÉ','SC',5706,7,NULL,NULL,NULL,NULL,NULL,4,1),(28,7381182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7381204,2.00,6.00,2.00,6.00,8.00,9.75,3.00,7.00,6.00,103,NULL,NULL,'UMBARÁ','CURITIBA','PR',4760,1454,NULL,NULL,NULL,NULL,NULL,2,8),(28,7381212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'NOSSA SENHORA DO ROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7381239,1.00,5.00,2.00,4.00,4.00,6.75,3.00,5.00,3.00,225,NULL,NULL,'PONTE DO IMARUIM','PALHOÇA','SC',18113,41,NULL,NULL,NULL,NULL,NULL,4,1),(28,7381271,4.00,0.00,2.00,6.00,5.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S',NULL,4,1),(28,7381301,1.00,4.00,0.00,2.00,1.00,NULL,4.00,3.00,1.00,234,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7381310,0.00,6.00,2.00,6.00,4.00,NULL,4.00,4.00,4.00,653,NULL,652,'SÃO CRISTÓVÃO','TURVO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7381328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'LARANJEIRAS','RIO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,24),(28,7381336,7.00,8.00,5.00,7.00,7.00,9.38,6.00,7.00,6.00,103,NULL,NULL,'PINHEIROS','S PAULO','SP',825,479,NULL,NULL,NULL,NULL,NULL,4,1),(28,7381344,1.00,5.00,2.00,2.00,5.00,5.25,4.00,6.00,4.00,203,NULL,214,'SANTA TEREZINHA','BRUSQUE','SC',15104,647,NULL,NULL,NULL,NULL,NULL,4,22),(28,7381352,1.00,5.00,2.00,4.00,2.00,NULL,0.00,3.00,4.00,317,NULL,NULL,'PASSA VINTE','PALHOÇA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7381360,1.00,1.00,3.00,5.00,4.00,9.38,2.00,2.00,1.00,404,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',19147,67,NULL,NULL,NULL,NULL,NULL,2,1),(28,7381379,2.00,5.00,2.00,7.00,5.00,7.50,3.00,4.00,4.00,238,NULL,233,'JD ELDORADO','INDAIATUBA','SP',14690,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7381409,2.00,6.00,2.00,2.00,4.00,4.50,4.00,4.00,5.00,238,NULL,211,'BARREIROS','S JOSÉ','SC',15427,254,NULL,NULL,NULL,NULL,NULL,4,1),(28,7381417,5.00,7.00,1.00,7.00,5.00,7.13,2.00,5.00,3.00,238,NULL,220,'CORREGO GRANDE','FLORIANÓPOLIS','SC',8163,113,NULL,NULL,NULL,NULL,NULL,4,1),(28,7381433,0.00,2.00,1.00,0.00,3.00,NULL,1.00,2.00,2.00,308,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7381441,4.00,7.00,3.00,4.00,7.00,6.75,4.00,5.00,5.00,203,NULL,214,'PASSO MANSO','BLUMENAU','SC',6696,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7381450,2.00,4.00,2.00,4.00,2.00,NULL,1.00,4.00,1.00,501,NULL,NULL,'CORREGO GRANDE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7381476,4.00,6.00,1.00,6.00,9.00,7.88,1.00,5.00,2.00,340,NULL,NULL,'PARQUE RES AMERICA','BIRIGÜI','SP',8677,236,NULL,NULL,NULL,NULL,NULL,4,3),(28,7381506,3.00,7.00,2.00,7.00,6.00,10.88,2.00,7.00,1.00,601,NULL,203,'BOM RETIRO','JOINVILLE','SC',11966,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7381514,2.00,2.00,2.00,6.00,6.00,7.88,3.00,3.00,2.00,319,NULL,NULL,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7381530,1.00,8.00,2.00,5.00,5.00,8.63,2.00,8.00,3.00,108,NULL,NULL,'BELA VISTA','BRAÇO NORTE','SC',7523,94,NULL,NULL,NULL,NULL,NULL,4,10),(28,7381549,4.00,6.00,2.00,4.00,4.00,7.13,2.00,7.00,3.00,316,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',13935,171,NULL,NULL,NULL,NULL,NULL,2,1),(28,7381557,2.00,5.00,1.00,7.00,5.00,7.50,3.00,4.00,5.00,316,NULL,NULL,'LAGOA DA CONCEIÇAO','FLORIANÓPOLIS','SC',10852,102,NULL,NULL,NULL,NULL,NULL,4,1),(28,7381565,2.00,3.00,2.00,5.00,3.00,4.50,1.00,3.00,2.00,999,NULL,NULL,'CENTRO','RIO SUL','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,24),(28,7381581,3.00,6.00,2.00,5.00,4.00,9.00,2.00,6.00,3.00,202,NULL,238,'BARREIROS','S JOSÉ','SC',15445,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7381590,3.00,6.00,2.00,6.00,4.00,12.00,1.00,5.00,2.00,999,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7381603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM DAS DRACENAS','BARRA BONITA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7381611,4.00,0.00,2.00,7.00,7.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7381638,1.00,3.00,1.00,2.00,4.00,5.63,2.00,3.00,3.00,9,NULL,NULL,'CENTRO','CAÇADOR','SC',18325,152,NULL,NULL,NULL,NULL,NULL,4,25),(28,7381646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,214,'SUMAREZINHO','RIBEIRÃO PRETO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7381654,1.00,6.00,3.00,5.00,8.00,4.50,3.00,6.00,5.00,319,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',9974,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7381670,1.00,3.00,1.00,2.00,6.00,9.75,1.00,6.00,1.00,303,NULL,NULL,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7381689,1.00,5.00,3.00,6.00,8.00,6.00,4.00,3.00,4.00,203,NULL,220,'JARDIM ITÁLIA','CHAPECÓ','SC',9536,NULL,NULL,NULL,NULL,NULL,NULL,4,4),(28,7381700,4.00,7.00,1.00,6.00,10.00,8.25,5.00,7.00,2.00,340,NULL,NULL,'IPANEMA','PTO ALEGRE','RS',4627,112,NULL,NULL,NULL,NULL,NULL,4,1),(28,7381719,1.00,5.00,2.00,6.00,5.00,6.75,2.00,5.00,1.00,225,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',18290,42,NULL,NULL,NULL,NULL,NULL,2,1),(28,7381727,3.00,2.00,2.00,5.00,5.00,8.63,2.00,4.00,5.00,108,NULL,NULL,'PERPÉTUO SOCORRO','S LOURENÇO OESTE','SC',17029,230,NULL,NULL,NULL,NULL,NULL,2,4),(28,7381735,2.00,7.00,2.00,5.00,4.00,8.63,3.00,6.00,3.00,340,NULL,NULL,'VILA SOUTO','BAURU','SP',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7381743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,224,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7381778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,211,'MONTE CASTELO','TUBARÃO','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7381786,0.00,2.00,2.00,4.00,5.00,8.25,1.00,3.00,3.00,238,NULL,220,'FORQUILHAS','S JOSÉ','SC',16306,283,NULL,322,NULL,NULL,NULL,2,1),(28,7381794,2.00,8.00,0.00,7.00,6.00,NULL,1.00,6.00,4.00,425,NULL,NULL,'SANTA CRUZ','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,26),(28,7381816,2.00,6.00,2.00,7.00,3.00,6.75,2.00,4.00,1.00,999,NULL,NULL,'JORDÃO','GOV CELSO RAMOS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7381824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,207,'CENTRO','ITAPIRANGA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,4),(28,7381832,0.00,0.00,3.00,6.00,5.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',5,3),(28,7381867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,212,NULL,216,'JARDIM PAULISTA','S PAULO','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7381891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,301,NULL,NULL,'SANTA MÔNICA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7381905,4.00,6.00,3.00,5.00,10.00,8.63,5.00,7.00,3.00,201,NULL,233,'PONTE DO IMARUIM','PALHOÇA','SC',5769,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7381913,1.00,2.00,2.00,4.00,4.00,6.38,2.00,1.00,3.00,655,NULL,202,'JARDIM LOFREDO','OSASCO','SP',19892,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7381921,0.00,6.00,1.00,7.00,5.00,7.13,2.00,4.00,1.00,222,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',18160,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7381930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,444,NULL,NULL,'COLONINHA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7381948,7.00,8.00,4.00,8.00,6.00,7.13,2.00,5.00,4.00,103,NULL,NULL,'TRINDADE','FLORIANÓPOLIS','SC',2244,947,NULL,NULL,NULL,NULL,NULL,4,1),(28,7381964,0.00,3.00,1.00,6.00,5.00,10.13,0.00,3.00,1.00,426,NULL,424,'TRINDADE','FLORIANÓPOLIS','SC',19194,39,NULL,NULL,NULL,NULL,NULL,2,1),(28,7381972,1.00,4.00,3.00,5.00,4.00,6.38,3.00,3.00,1.00,327,NULL,NULL,'CENTRO','FREDERICO WESTPHALEN','RS',16060,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7381980,7.00,8.00,4.00,7.00,10.00,10.50,6.00,6.00,7.00,415,NULL,NULL,'FLORESTA','JOINVILLE','SC',268,2,NULL,NULL,NULL,NULL,NULL,4,8),(28,7381999,2.00,4.00,2.00,3.00,4.00,7.88,2.00,7.00,2.00,336,NULL,NULL,'ZONA RURAL','PINHEIRO PRETO','SC',18105,91,NULL,NULL,NULL,NULL,NULL,2,25),(28,7382006,3.00,5.00,2.00,7.00,4.00,9.75,2.00,3.00,1.00,451,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',13173,28,NULL,NULL,NULL,NULL,NULL,2,1),(28,7382022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'NSA SRA FATIMA','AMERICANA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7382030,6.00,8.00,3.00,6.00,5.00,9.38,4.00,8.00,4.00,238,NULL,235,'PANTANAL','FLORIANÓPOLIS','SC',5948,58,NULL,NULL,NULL,NULL,NULL,4,1),(28,7382049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'PQ CESARINO BORBA','IRACEMÁPOLIS','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7382057,2.00,4.00,2.00,5.00,1.00,NULL,1.00,2.00,0.00,104,NULL,NULL,'PONTA FINA NORTE','NOVA TRENTO','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,22),(28,7382065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,332,NULL,NULL,'CENTRO','CONCÓRDIA','SC',NULL,NULL,NULL,NULL,'S','S','S',1,26),(28,7382073,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,415,NULL,NULL,'PALMITAL','CHAPECÓ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,4),(28,7382081,1.00,5.00,1.00,6.00,5.00,7.88,4.00,5.00,3.00,451,NULL,NULL,'MARGARIDA','STA CRUZ SUL','RS',11889,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7382090,1.00,2.00,1.00,5.00,4.00,5.25,1.00,4.00,2.00,109,NULL,NULL,'FORQUILHINHAS','S JOSÉ','SC',19983,97,NULL,NULL,NULL,NULL,NULL,2,1),(28,7382103,2.00,5.00,1.00,5.00,3.00,6.38,1.00,4.00,2.00,501,NULL,NULL,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',19315,126,NULL,NULL,NULL,NULL,NULL,4,1),(28,7382111,2.00,4.00,2.00,6.00,5.00,7.88,1.00,3.00,2.00,104,NULL,NULL,'CIDADE NOVA','PTO UNIÃO','SC',18043,429,NULL,NULL,NULL,NULL,NULL,4,8),(28,7382120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7382138,0.00,3.00,2.00,7.00,5.00,NULL,2.00,4.00,4.00,301,NULL,NULL,'CACHOEIRA DO B JESUS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7382146,6.00,6.00,2.00,8.00,6.00,6.75,5.00,4.00,5.00,653,NULL,233,'VILA NOVA','LAGES','SC',5129,43,NULL,NULL,NULL,NULL,NULL,4,9),(28,7382162,1.00,4.00,2.00,6.00,6.00,7.50,1.00,1.00,3.00,9,NULL,NULL,'BARREIROS','S JOSÉ','SC',15677,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7382189,4.00,8.00,4.00,6.00,5.00,10.88,4.00,8.00,4.00,212,NULL,201,'CAMPINAS','S JOSÉ','SC',5087,164,NULL,390,NULL,NULL,NULL,4,1),(28,7382200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,551,NULL,NULL,'PAPUA','S CRISTÓVÃO SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,16),(28,7382227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,601,NULL,202,'ITAUM','JOINVILLE','SC',NULL,NULL,NULL,NULL,'S','S','S',4,8),(28,7382235,2.00,3.00,2.00,5.00,3.00,4.88,2.00,3.00,3.00,303,NULL,NULL,'RIO TAVARES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7382243,6.00,8.00,3.00,7.00,8.00,7.88,6.00,7.00,4.00,5,NULL,NULL,'JOÃO PAULO','FLORIANÓPOLIS','SC',4101,143,NULL,NULL,NULL,NULL,NULL,4,1),(28,7382251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,202,'ÁGUA VERDE','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7382260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,303,NULL,NULL,'CENTRO','BAL CAMBORIÚ','SC',NULL,NULL,NULL,NULL,'S','S','S',2,3),(28,7382286,0.00,5.00,4.00,2.00,2.00,NULL,2.00,2.00,2.00,203,NULL,202,'PIXIRICA','MORRINHOS SUL','RS',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7382294,1.00,4.00,2.00,4.00,5.00,8.25,2.00,4.00,2.00,103,NULL,NULL,'ZONA RURAL','CUNHATAÍ','SC',12220,2214,NULL,NULL,NULL,NULL,NULL,2,1),(28,7382308,2.00,5.00,2.00,4.00,6.00,7.50,4.00,5.00,4.00,108,NULL,NULL,'ENSEADA','S FRANCISCO SUL','SC',15184,NULL,NULL,NULL,NULL,NULL,NULL,4,8),(28,7382324,0.00,6.00,0.00,7.00,3.00,6.75,3.00,5.00,2.00,316,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',18392,269,NULL,NULL,NULL,NULL,NULL,2,1),(28,7382332,6.00,7.00,2.00,7.00,7.00,9.75,3.00,7.00,3.00,211,NULL,207,'CENTRO','ITAJAÍ','SC',4688,114,NULL,200,NULL,NULL,NULL,2,6),(28,7382383,0.00,5.00,2.00,3.00,4.00,5.25,2.00,3.00,3.00,104,NULL,NULL,'REAL PARQUE','S JOSÉ','SC',19660,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7382391,0.00,4.00,1.00,3.00,5.00,5.63,1.00,2.00,0.00,103,NULL,NULL,'CENTRO','ITAPEMA','SC',19065,NULL,NULL,NULL,NULL,NULL,NULL,2,3),(28,7382405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,425,NULL,428,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7382413,3.00,7.00,3.00,2.00,6.00,7.13,2.00,7.00,3.00,318,NULL,NULL,'CENTRO','S JOÃO BATISTA','SC',15364,111,NULL,NULL,NULL,NULL,NULL,2,22),(28,7382421,1.00,5.00,2.00,5.00,4.00,8.25,1.00,5.00,2.00,201,NULL,207,'BUDAG','RIO SUL','SC',14040,866,NULL,624,NULL,NULL,NULL,2,24),(28,7382430,3.00,4.00,1.00,4.00,5.00,7.50,2.00,4.00,1.00,319,NULL,NULL,'JARDIM ATLÂNTICO','FLORIANÓPOLIS','SC',18940,363,NULL,NULL,NULL,NULL,NULL,4,1),(28,7382456,0.00,3.00,3.00,2.00,3.00,7.13,3.00,3.00,3.00,103,NULL,NULL,'ITOUPAVA NORTE','BLUMENAU','SC',19504,NULL,NULL,NULL,NULL,NULL,NULL,4,2),(28,7382464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,108,NULL,NULL,'JARAGUÁ ESQUERDO','JARAGUÁ SUL','SC',NULL,NULL,NULL,NULL,'S','S','S',4,23),(28,7382472,2.00,4.00,5.00,5.00,5.00,7.88,1.00,6.00,3.00,444,NULL,NULL,'BALNEÁRIO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7382480,2.00,9.00,2.00,7.00,7.00,11.25,3.00,8.00,3.00,108,NULL,NULL,'CÓRREGO GRANDE','FLORIANÓPOLIS','SC',7529,95,NULL,NULL,NULL,NULL,NULL,2,1),(28,7382502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'SANTA TEREZA','VIDEIRA','SC',NULL,NULL,NULL,NULL,'S','S','S',2,25),(28,7382510,1.00,5.00,2.00,3.00,5.00,4.50,3.00,4.00,3.00,302,NULL,NULL,'CAMPINAS','S JOSÉ','SC',15723,115,NULL,NULL,NULL,NULL,NULL,4,1),(28,7382529,0.00,5.00,2.00,5.00,3.00,NULL,3.00,4.00,0.00,317,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7382537,1.00,2.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,999,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7382545,2.00,7.00,0.00,7.00,7.00,9.38,2.00,6.00,3.00,303,NULL,NULL,'BOM ABRIGO','FLORIANÓPOLIS','SC',6114,278,NULL,NULL,NULL,NULL,NULL,4,1),(28,7382553,2.00,0.00,3.00,6.00,5.00,NULL,2.00,2.00,2.00,108,NULL,NULL,'CENTRO','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7382561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'JARDIM PAULISTA','PRES PRUDENTE','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7382588,0.00,2.00,3.00,4.00,5.00,NULL,0.00,4.00,2.00,326,NULL,NULL,'RIO VERMELHO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7382596,1.00,4.00,3.00,6.00,4.00,6.75,2.00,3.00,1.00,214,NULL,213,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',14250,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7382600,3.00,6.00,1.00,4.00,4.00,6.75,2.00,4.00,2.00,201,NULL,233,'SERRARIA','S JOSÉ','SC',14084,867,NULL,299,NULL,NULL,NULL,2,1),(28,7382618,1.00,3.00,2.00,1.00,4.00,7.88,1.00,2.00,1.00,415,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',20092,NULL,NULL,NULL,NULL,NULL,NULL,1,1),(28,7382634,1.00,4.00,2.00,4.00,3.00,7.88,3.00,3.00,3.00,110,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',14948,67,NULL,NULL,NULL,NULL,NULL,4,1),(28,7382642,2.00,3.00,3.00,4.00,5.00,8.63,2.00,2.00,2.00,109,NULL,NULL,'FORQUILHAS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7382669,2.00,6.00,2.00,5.00,6.00,7.50,0.00,7.00,3.00,304,NULL,NULL,'JARDIM CASQUEIRO','CUBATÃO','SP',8748,68,NULL,NULL,NULL,NULL,NULL,4,1),(28,7382685,0.00,4.00,1.00,1.00,3.00,9.38,2.00,6.00,1.00,202,NULL,653,'SÃO JOÃO MD','TUBARÃO','SC',16448,369,NULL,177,NULL,NULL,NULL,4,10),(28,7382693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'VELHA','BLUMENAU','SC',NULL,NULL,NULL,NULL,'S','S','S',4,2),(28,7382731,0.00,8.00,2.00,2.00,5.00,8.63,4.00,4.00,4.00,201,NULL,NULL,'ILHA DA FIGUEIRA','JARAGUÁ SUL','SC',16460,NULL,NULL,NULL,NULL,NULL,NULL,4,23),(28,7382740,0.00,4.00,2.00,3.00,5.00,NULL,0.00,3.00,1.00,103,NULL,NULL,'CENTRO','PRES GETÚLIO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,24),(28,7382774,0.00,4.00,2.00,7.00,6.00,7.13,4.00,5.00,0.00,340,NULL,NULL,'CENTRO','TUBARÃO','SC',14062,NULL,NULL,NULL,NULL,NULL,NULL,4,10),(28,7382782,4.00,7.00,2.00,7.00,7.00,10.50,2.00,7.00,4.00,103,NULL,NULL,'CENTRO','PELOTAS','RS',7146,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7382790,0.00,5.00,1.00,4.00,3.00,7.88,2.00,5.00,3.00,999,NULL,NULL,'SANTISTA','ORLEANS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,5),(28,7382804,3.00,7.00,3.00,5.00,9.00,6.75,5.00,7.00,4.00,212,NULL,653,'CENTRO','BRAÇO NORTE','SC',9210,278,NULL,94,NULL,NULL,NULL,4,10),(28,7382812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,316,NULL,NULL,'ITAGUA','ITAGUARU','GO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7382820,2.00,8.00,2.00,7.00,7.00,9.38,3.00,6.00,4.00,316,NULL,NULL,'PQ NOVA CARIOBA','AMERICANA','SP',9673,91,NULL,NULL,NULL,NULL,NULL,4,1),(28,7382839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',2,8),(28,7382847,4.00,6.00,1.00,5.00,7.00,7.50,4.00,6.00,1.00,336,NULL,NULL,'SAO PEDRO','XANXERÊ','SC',9975,52,NULL,NULL,NULL,NULL,NULL,2,4),(28,7382855,0.00,5.00,1.00,3.00,3.00,NULL,2.00,5.00,1.00,319,NULL,NULL,'INGLESES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',4,1),(28,7382863,0.00,4.00,2.00,5.00,5.00,7.13,2.00,4.00,3.00,303,NULL,NULL,'ESTREITO','FLORIANÓPOLIS','SC',15295,536,NULL,NULL,NULL,NULL,NULL,2,1),(28,7382871,0.00,4.00,0.00,1.00,1.00,NULL,1.00,2.00,1.00,303,NULL,NULL,'RESTINGA','MAFRA','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,17),(28,7382880,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,654,NULL,NULL,'JARDIM ITÁLIA','COCAL SUL','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,5),(28,7382898,1.00,4.00,1.00,1.00,4.00,12.00,3.00,5.00,5.00,601,NULL,238,'ITAUM','JOINVILLE','SC',16426,481,NULL,NULL,NULL,NULL,NULL,4,8),(28,7382901,1.00,4.00,0.00,6.00,6.00,11.63,2.00,5.00,1.00,234,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',13988,40,NULL,NULL,NULL,NULL,NULL,5,1),(28,7382910,2.00,7.00,3.00,6.00,3.00,NULL,0.00,2.00,3.00,426,NULL,428,'BARREIROS','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,1),(28,7382928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,5,NULL,NULL,'EMBRATEL','PTO VELHO','RO',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7382936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,216,NULL,203,'BATEL','CURITIBA','PR',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7382944,1.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,238,NULL,202,'TRINDADE','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,'S','S',2,1),(28,7382952,2.00,8.00,2.00,8.00,6.00,10.88,3.00,7.00,2.00,454,NULL,NULL,'BOMBAS','BOMBINHAS','SC',5050,65,NULL,NULL,NULL,NULL,NULL,4,6),(28,7382960,0.00,3.00,0.00,2.00,4.00,6.75,3.00,5.00,1.00,999,NULL,NULL,'SACO DOS LIMÕES','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7382987,0.00,4.00,2.00,5.00,4.00,NULL,3.00,3.00,1.00,216,NULL,215,'CENTRO','VARGEÃO','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,4),(28,7383002,1.00,3.00,2.00,4.00,4.00,6.75,1.00,4.00,2.00,319,NULL,NULL,'CENTRO','FRAIBURGO','SC',16934,NULL,NULL,NULL,NULL,NULL,NULL,4,25),(28,7383010,2.00,5.00,3.00,6.00,6.00,NULL,0.00,3.00,1.00,215,NULL,233,'LAGOA DA CONCEIÇÃO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,1),(28,7383037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,310,NULL,NULL,'CENTRO','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7383045,3.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,335,NULL,NULL,'BELA VISTA','S JOSÉ','SC',NULL,NULL,NULL,NULL,NULL,'S','S',4,1),(28,7383061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,319,NULL,NULL,'PORTAL DAS ACACIAS','INDAIATUBA','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7383070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,233,NULL,211,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7383088,1.00,4.00,2.00,6.00,4.00,NULL,1.00,3.00,1.00,404,NULL,NULL,'SÃO VICENTE','ITAJAÍ','SC',NULL,NULL,NULL,NULL,NULL,NULL,'S',2,6),(28,7383096,4.00,6.00,6.00,6.00,9.00,9.38,6.00,6.00,3.00,213,NULL,214,'PANTANAL','FLORIANÓPOLIS','SC',3444,32,NULL,NULL,NULL,NULL,NULL,4,1),(28,7383100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,202,NULL,238,'PANTANAL','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7383118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'ITACORUBI','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7383126,6.00,6.00,4.00,7.00,7.00,9.00,5.00,7.00,7.00,103,NULL,NULL,'SAINT ETIENNE','CAXIAS SUL','RS',1124,609,NULL,NULL,NULL,NULL,NULL,4,3),(28,7383134,0.00,1.00,4.00,1.00,0.00,NULL,1.00,3.00,0.00,220,NULL,652,'PRAIA BRAVA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,6,1),(28,7383142,5.00,7.00,3.00,5.00,6.00,8.63,2.00,5.00,4.00,108,NULL,NULL,'JARDIM ATLÂNTICO','S JOSÉ','SC',12798,179,NULL,NULL,NULL,NULL,NULL,4,1),(28,7383177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,103,NULL,NULL,'CENTRO','LAGES','SC',NULL,NULL,NULL,NULL,'S','S','S',4,9),(28,7383185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,201,NULL,202,'EMBARÉ','SANTOS','SP',NULL,NULL,NULL,NULL,'S','S','S',4,1),(28,7383207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,318,NULL,NULL,'CAPOEIRAS','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7383231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,320,NULL,NULL,'JARDIM INOCOOP','RIO CLARO','SP',NULL,NULL,NULL,NULL,'S','S','S',2,1),(28,7383258,0.00,1.00,3.00,2.00,3.00,NULL,2.00,4.00,1.00,415,NULL,NULL,'BARRA DA LAGOA','FLORIANÓPOLIS','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,1),(28,7383274,3.00,7.00,0.00,7.00,0.00,NULL,2.00,7.00,5.00,207,NULL,201,'CIDADE ALTA','ARARANGUÁ','SC',NULL,NULL,NULL,NULL,NULL,NULL,NULL,4,15),(28,7383282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,203,NULL,214,'CENTRO','ORLEANS','SC',NULL,NULL,NULL,NULL,'S','S','S',4,10);
/*!40000 ALTER TABLE boletim_desempenho ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ponto_candidato`
--

DROP TABLE IF EXISTS ponto_candidato;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE ponto_candidato (
  id_evento smallint(6) NOT NULL,
  id_candidato decimal(7,0) NOT NULL,
  acertos_biologia decimal(5,2) DEFAULT NULL,
  acertos_geografia decimal(5,2) DEFAULT NULL,
  acertos_matematica decimal(5,2) DEFAULT NULL,
  acertos_lingua_estrangeira decimal(5,2) DEFAULT NULL,
  acertos_portugues decimal(5,2) DEFAULT NULL,
  nota_redacao decimal(5,2) DEFAULT NULL,
  acertos_fisica decimal(5,2) DEFAULT NULL,
  acertos_historia decimal(5,2) DEFAULT NULL,
  acertos_quimica decimal(5,2) DEFAULT NULL,
  faltante_dia_1 char(1) DEFAULT NULL,
  faltante_dia_2 char(1) DEFAULT NULL,
  faltante_dia_3 char(1) DEFAULT NULL,
  por_experiencia char(1) DEFAULT NULL,
  PRIMARY KEY (id_evento,id_candidato),
  CONSTRAINT fk_ponto_candidato_candidato FOREIGN KEY (id_evento, id_candidato) REFERENCES candidato (id_evento, id_candidato)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ponto_candidato`
--

LOCK TABLES ponto_candidato WRITE;
/*!40000 ALTER TABLE ponto_candidato DISABLE KEYS */;
INSERT INTO ponto_candidato VALUES (15,2000016,2.00,8.00,1.00,8.00,4.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2000024,4.00,6.00,3.00,8.00,7.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2000032,0.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2000059,0.00,2.00,1.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2000067,3.00,6.00,1.00,5.00,8.00,6.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2000075,3.00,8.00,1.00,7.00,6.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2000083,3.00,7.00,4.00,6.00,6.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2000091,3.00,6.00,3.00,5.00,8.00,7.25,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2000105,2.00,4.00,2.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2000113,4.00,8.00,5.00,9.00,8.00,7.75,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2000121,4.00,8.00,0.00,7.00,9.00,5.50,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2000130,4.00,6.00,3.00,8.00,6.00,6.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2000164,4.00,8.00,5.00,9.00,9.00,6.75,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2000172,1.00,4.00,3.00,6.00,7.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2000180,3.00,7.00,1.00,5.00,6.00,7.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2000199,3.00,6.00,2.00,6.00,8.00,3.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2000202,4.00,8.00,2.00,7.00,8.00,6.75,2.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2000210,7.00,8.00,7.00,6.00,9.00,4.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2000229,3.00,4.00,2.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2000245,2.00,1.00,3.00,7.00,4.00,6.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2000253,2.00,5.00,5.00,5.00,4.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2000261,3.00,7.00,3.00,1.00,5.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2000270,0.00,0.00,0.00,0.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2000288,0.00,4.00,3.00,6.00,5.00,NULL,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2000296,2.00,4.00,3.00,5.00,5.00,6.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2000300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2000318,6.00,6.00,6.00,8.00,8.00,7.25,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2000326,5.00,8.00,3.00,3.00,7.00,4.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2000334,8.00,8.00,8.00,7.00,9.00,6.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2000342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2000350,3.00,5.00,3.00,2.00,5.00,6.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2000369,5.00,8.00,6.00,9.00,9.00,5.50,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2000385,5.00,8.00,5.00,7.00,7.00,7.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2000393,6.00,8.00,9.00,8.00,8.00,7.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2000407,2.00,5.00,4.00,0.00,7.00,7.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2000415,2.00,5.00,1.00,1.00,7.00,5.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2000431,2.00,3.00,1.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2000440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2000458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2000482,0.00,7.00,4.00,7.00,6.00,4.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2000512,3.00,6.00,1.00,4.00,3.00,4.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2000520,1.00,3.00,2.00,3.00,4.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2000539,4.00,8.00,5.00,2.00,7.00,7.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2000547,0.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2000563,2.00,7.00,5.00,7.00,8.00,5.25,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2000571,3.00,7.00,5.00,3.00,9.00,6.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2000580,4.00,8.00,6.00,5.00,7.00,5.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2000598,0.00,7.00,2.00,7.00,7.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2000601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2000610,1.00,3.00,7.00,5.00,7.00,6.50,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2000628,7.00,9.00,7.00,7.00,9.00,4.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2000636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2000660,5.00,5.00,2.00,1.00,5.00,4.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2000679,4.00,7.00,6.00,8.00,8.00,6.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2000687,4.00,6.00,0.00,7.00,7.00,6.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2000695,1.00,5.00,2.00,1.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2000709,3.00,5.00,4.00,6.00,5.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2000717,5.00,3.00,6.00,3.00,7.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2000725,3.00,7.00,7.00,7.00,8.00,7.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2000733,4.00,8.00,8.00,9.00,8.00,7.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2000741,2.00,6.00,6.00,2.00,6.00,6.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2000750,5.00,9.00,7.00,9.00,8.00,6.00,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2000784,3.00,1.00,1.00,5.00,5.00,6.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2000806,6.00,8.00,7.00,6.00,8.00,7.25,9.00,2.00,7.00,NULL,NULL,NULL,'N'),(15,2000814,3.00,7.00,2.00,1.00,2.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2000822,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2000830,3.00,7.00,6.00,7.00,8.00,6.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2000849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2000857,5.00,6.00,3.00,1.00,6.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2000865,3.00,7.00,3.00,7.00,6.00,5.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2000873,3.00,7.00,2.00,4.00,4.00,5.50,5.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2000903,1.00,4.00,0.00,7.00,6.00,5.50,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2000911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2000920,4.00,7.00,4.00,2.00,8.00,6.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2000938,0.00,6.00,3.00,2.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2000946,2.00,5.00,4.00,8.00,6.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2000954,6.00,8.00,7.00,8.00,9.00,5.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2000962,3.00,6.00,2.00,2.00,6.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2000970,4.00,7.00,6.00,5.00,7.00,6.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2000989,4.00,5.00,4.00,6.00,7.00,5.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2000997,2.00,4.00,3.00,4.00,5.00,4.75,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2001004,8.00,8.00,8.00,8.00,9.00,7.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2001012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2001020,0.00,4.00,4.00,6.00,6.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2001039,2.00,6.00,5.00,5.00,5.00,6.25,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2001047,4.00,6.00,3.00,4.00,6.00,5.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2001055,6.00,7.00,6.00,7.00,6.00,5.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2001063,4.00,7.00,6.00,6.00,8.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2001071,5.00,8.00,2.00,9.00,9.00,6.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2001080,5.00,8.00,3.00,7.00,7.00,7.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2001098,3.00,7.00,6.00,1.00,5.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2001101,5.00,5.00,4.00,3.00,8.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2001110,3.00,8.00,3.00,7.00,5.00,6.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2001144,5.00,7.00,8.00,6.00,8.00,6.00,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2001160,5.00,7.00,7.00,5.00,8.00,5.75,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2001179,1.00,7.00,1.00,1.00,5.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2001187,2.00,6.00,4.00,2.00,5.00,5.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2001209,3.00,4.00,1.00,1.00,4.00,7.75,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2001217,6.00,6.00,0.00,4.00,7.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2001233,2.00,5.00,3.00,6.00,5.00,5.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2001241,5.00,6.00,7.00,9.00,6.00,5.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2001250,3.00,1.00,1.00,3.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2001268,3.00,6.00,1.00,5.00,7.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2001276,3.00,5.00,2.00,7.00,7.00,4.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2001284,3.00,6.00,2.00,5.00,6.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2001306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2001314,3.00,6.00,2.00,5.00,5.00,6.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2001330,3.00,6.00,2.00,3.00,6.00,5.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2001349,3.00,8.00,4.00,4.00,8.00,7.50,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2001357,4.00,6.00,7.00,4.00,7.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2001381,2.00,5.00,0.00,3.00,5.00,3.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2001390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2001403,6.00,8.00,7.00,6.00,8.00,6.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2001411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2001420,1.00,6.00,2.00,4.00,5.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2001438,6.00,6.00,5.00,2.00,5.00,5.00,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2001446,4.00,4.00,4.00,8.00,7.00,4.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2001470,4.00,8.00,3.00,6.00,9.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2001489,3.00,5.00,4.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2001497,4.00,4.00,0.00,3.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2001519,3.00,8.00,5.00,4.00,8.00,6.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2001527,6.00,6.00,8.00,8.00,8.00,5.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2001535,7.00,8.00,9.00,7.00,9.00,6.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2001560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2001578,2.00,4.00,5.00,1.00,5.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2001586,8.00,9.00,8.00,5.00,9.00,8.75,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2001594,6.00,8.00,3.00,7.00,8.00,3.75,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2001608,5.00,8.00,5.00,2.00,8.00,3.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2001624,2.00,6.00,2.00,5.00,7.00,4.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2001632,8.00,9.00,7.00,7.00,9.00,6.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2001640,0.00,8.00,0.00,4.00,3.00,4.25,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2001659,5.00,7.00,5.00,7.00,7.00,5.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2001675,7.00,8.00,7.00,9.00,9.00,5.75,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2001683,2.00,9.00,5.00,4.00,9.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2001691,1.00,5.00,4.00,0.00,3.00,5.00,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2001713,2.00,6.00,5.00,5.00,5.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2001721,3.00,7.00,3.00,0.00,5.00,4.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2001730,3.00,9.00,4.00,5.00,9.00,3.25,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2001756,3.00,6.00,3.00,3.00,6.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2001764,2.00,3.00,2.00,4.00,4.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2001772,6.00,8.00,6.00,9.00,9.00,6.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2001780,2.00,5.00,2.00,4.00,4.00,6.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2001799,4.00,8.00,3.00,6.00,7.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2001802,6.00,7.00,7.00,6.00,9.00,6.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2001810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2001829,3.00,5.00,5.00,7.00,8.00,5.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2001837,2.00,3.00,1.00,4.00,5.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2001845,3.00,4.00,2.00,0.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2001861,2.00,5.00,4.00,9.00,6.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2001888,5.00,8.00,3.00,6.00,7.00,8.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2001896,3.00,7.00,6.00,6.00,6.00,4.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2001900,3.00,5.00,8.00,8.00,7.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2001918,5.00,5.00,1.00,5.00,7.00,6.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2001926,3.00,3.00,1.00,7.00,4.00,3.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2001934,5.00,7.00,7.00,8.00,9.00,7.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2001942,6.00,8.00,3.00,6.00,8.00,7.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2001950,8.00,7.00,7.00,8.00,8.00,5.50,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2001969,3.00,7.00,2.00,5.00,7.00,6.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2001977,4.00,6.00,4.00,9.00,6.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2001985,1.00,5.00,5.00,0.00,5.00,4.50,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2002027,7.00,7.00,5.00,8.00,8.00,6.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2002035,3.00,6.00,3.00,2.00,3.00,3.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2002043,6.00,8.00,7.00,7.00,8.00,5.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2002051,2.00,6.00,0.00,2.00,5.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2002060,5.00,7.00,3.00,5.00,8.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2002086,6.00,8.00,8.00,6.00,9.00,6.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2002094,4.00,9.00,7.00,9.00,8.00,8.50,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2002108,3.00,7.00,1.00,6.00,5.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2002116,4.00,7.00,6.00,7.00,8.00,6.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2002124,3.00,8.00,8.00,8.00,8.00,6.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2002132,3.00,8.00,7.00,7.00,7.00,6.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2002140,3.00,5.00,1.00,2.00,6.00,6.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2002159,6.00,9.00,7.00,6.00,6.00,6.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2002167,3.00,5.00,2.00,3.00,4.00,5.25,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2002175,7.00,9.00,7.00,7.00,8.00,6.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2002183,6.00,7.00,3.00,6.00,8.00,6.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2002191,6.00,7.00,4.00,6.00,7.00,6.25,8.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2002205,4.00,7.00,2.00,4.00,6.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2002213,1.00,3.00,6.00,0.00,7.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2002230,1.00,3.00,2.00,4.00,2.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2002264,3.00,7.00,4.00,9.00,9.00,7.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2002280,3.00,6.00,1.00,4.00,7.00,3.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2002302,5.00,7.00,5.00,7.00,8.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2002310,6.00,7.00,9.00,6.00,8.00,7.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2002329,5.00,7.00,7.00,8.00,9.00,7.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2002337,5.00,7.00,9.00,4.00,8.00,4.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2002345,1.00,6.00,1.00,3.00,4.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2002353,7.00,8.00,9.00,8.00,9.00,8.00,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2002361,2.00,6.00,1.00,6.00,9.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2002370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2002388,8.00,6.00,7.00,8.00,6.00,3.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2002396,2.00,5.00,2.00,6.00,8.00,5.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2002400,4.00,5.00,9.00,6.00,8.00,3.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2002434,6.00,7.00,6.00,4.00,8.00,4.75,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2002442,3.00,7.00,5.00,4.00,4.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2002450,0.00,7.00,1.00,7.00,7.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2002469,1.00,5.00,4.00,0.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2002477,2.00,5.00,5.00,4.00,6.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2002485,2.00,4.00,5.00,1.00,4.00,4.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2002493,4.00,7.00,5.00,5.00,8.00,4.75,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2002507,2.00,6.00,2.00,3.00,4.00,3.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2002515,3.00,8.00,2.00,6.00,6.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2002531,3.00,6.00,3.00,3.00,7.00,6.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2002540,3.00,7.00,5.00,4.00,7.00,6.25,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2002558,5.00,5.00,4.00,5.00,7.00,7.00,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2002566,2.00,6.00,1.00,4.00,6.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2002574,3.00,4.00,1.00,1.00,4.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2002582,6.00,8.00,3.00,5.00,7.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2002590,6.00,7.00,8.00,7.00,8.00,5.25,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2002604,4.00,4.00,1.00,2.00,6.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2002612,4.00,7.00,5.00,7.00,8.00,6.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2002620,3.00,5.00,4.00,5.00,6.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2002639,1.00,7.00,2.00,6.00,7.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2002647,2.00,5.00,1.00,5.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2002655,4.00,8.00,1.00,8.00,5.00,8.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2002663,6.00,8.00,7.00,9.00,8.00,6.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2002671,4.00,6.00,2.00,0.00,7.00,5.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2002680,2.00,4.00,2.00,3.00,3.00,5.75,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2002698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2002701,3.00,8.00,4.00,5.00,6.00,7.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2002710,2.00,7.00,4.00,1.00,8.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2002728,2.00,6.00,6.00,3.00,8.00,6.00,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2002736,7.00,6.00,6.00,4.00,8.00,6.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2002744,3.00,4.00,1.00,7.00,7.00,5.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2002752,2.00,7.00,2.00,6.00,8.00,7.00,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2002760,3.00,6.00,5.00,6.00,8.00,6.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2002779,2.00,5.00,3.00,7.00,5.00,7.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2002795,3.00,6.00,1.00,0.00,4.00,5.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2002809,5.00,5.00,3.00,7.00,8.00,4.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2002817,4.00,5.00,5.00,2.00,7.00,7.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2002825,4.00,7.00,4.00,4.00,8.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2002833,6.00,6.00,5.00,5.00,6.00,4.75,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(15,2002841,4.00,5.00,1.00,3.00,7.00,4.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2002850,3.00,6.00,4.00,6.00,5.00,4.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2002868,5.00,7.00,10.00,6.00,9.00,6.25,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2002876,5.00,7.00,6.00,5.00,7.00,7.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2002892,6.00,9.00,8.00,8.00,8.00,6.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2002914,8.00,9.00,7.00,9.00,7.00,6.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2002922,4.00,8.00,4.00,6.00,8.00,4.50,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2002930,3.00,7.00,3.00,5.00,5.00,4.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2002949,5.00,8.00,9.00,8.00,9.00,7.75,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2002965,2.00,5.00,1.00,1.00,4.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2002973,8.00,8.00,9.00,8.00,9.00,6.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2002981,6.00,8.00,8.00,8.00,9.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2002990,1.00,3.00,3.00,2.00,6.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2003007,2.00,5.00,0.00,5.00,4.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2003015,4.00,6.00,8.00,5.00,7.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2003023,3.00,7.00,3.00,7.00,4.00,6.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2003040,3.00,5.00,2.00,5.00,6.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2003058,2.00,4.00,2.00,3.00,5.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2003066,7.00,8.00,7.00,8.00,8.00,6.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2003074,1.00,3.00,0.00,1.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2003082,7.00,8.00,8.00,8.00,7.00,8.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2003090,3.00,5.00,2.00,3.00,6.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2003104,7.00,5.00,7.00,6.00,6.00,3.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2003112,6.00,7.00,5.00,5.00,5.00,6.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2003120,6.00,7.00,6.00,7.00,8.00,6.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2003139,2.00,3.00,0.00,4.00,5.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2003147,3.00,5.00,2.00,6.00,7.00,6.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2003155,8.00,9.00,9.00,8.00,8.00,7.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2003163,8.00,9.00,9.00,8.00,9.00,6.75,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2003171,5.00,8.00,3.00,5.00,9.00,7.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2003180,2.00,6.00,3.00,6.00,8.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2003198,6.00,7.00,7.00,6.00,8.00,6.50,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2003201,3.00,8.00,5.00,9.00,7.00,4.50,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2003244,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2003252,6.00,7.00,5.00,7.00,7.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2003260,3.00,5.00,1.00,7.00,8.00,6.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2003279,2.00,3.00,0.00,0.00,3.00,NULL,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2003287,0.00,6.00,2.00,6.00,6.00,4.25,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2003295,5.00,8.00,7.00,7.00,8.00,4.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2003309,7.00,7.00,8.00,8.00,6.00,5.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2003317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2003325,7.00,9.00,8.00,9.00,9.00,7.25,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2003341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2003350,6.00,8.00,7.00,8.00,6.00,4.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2003368,1.00,5.00,2.00,7.00,3.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2003376,2.00,8.00,3.00,9.00,9.00,6.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2003384,3.00,5.00,4.00,6.00,4.00,5.00,4.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2003392,1.00,5.00,1.00,6.00,4.00,5.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2003406,2.00,2.00,3.00,0.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2003414,4.00,4.00,5.00,5.00,7.00,6.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(15,2003422,4.00,6.00,4.00,5.00,9.00,4.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2003430,5.00,7.00,5.00,3.00,6.00,6.25,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2003449,6.00,8.00,9.00,6.00,9.00,5.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2003457,6.00,8.00,8.00,8.00,8.00,7.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2003465,3.00,4.00,2.00,3.00,4.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2003481,2.00,4.00,1.00,1.00,4.00,4.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2003490,2.00,5.00,6.00,6.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2003503,4.00,4.00,6.00,4.00,6.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2003511,4.00,6.00,3.00,3.00,7.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2003520,5.00,6.00,7.00,6.00,6.00,8.00,9.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2003538,1.00,7.00,5.00,5.00,6.00,5.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2003546,4.00,7.00,5.00,3.00,5.00,4.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2003554,3.00,6.00,3.00,1.00,3.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2003562,4.00,5.00,7.00,7.00,8.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2003570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2003589,3.00,6.00,0.00,6.00,6.00,6.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2003597,3.00,7.00,6.00,1.00,8.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2003600,4.00,5.00,3.00,6.00,7.00,5.25,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2003619,2.00,6.00,2.00,2.00,5.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2003627,3.00,7.00,4.00,5.00,8.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2003635,8.00,9.00,2.00,5.00,8.00,7.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2003643,5.00,8.00,5.00,9.00,7.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2003651,5.00,7.00,7.00,9.00,7.00,6.50,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2003678,2.00,6.00,5.00,8.00,7.00,5.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2003686,1.00,6.00,5.00,7.00,8.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2003694,0.00,4.00,1.00,1.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2003708,4.00,9.00,7.00,6.00,7.00,7.25,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2003716,2.00,5.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2003724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2003732,6.00,8.00,7.00,7.00,9.00,9.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2003740,4.00,6.00,6.00,4.00,7.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2003759,4.00,6.00,3.00,1.00,4.00,4.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2003767,2.00,7.00,3.00,3.00,3.00,2.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2003775,5.00,7.00,7.00,5.00,9.00,7.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2003783,8.00,8.00,9.00,8.00,7.00,5.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2003805,3.00,6.00,4.00,3.00,6.00,5.00,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2003813,6.00,5.00,5.00,3.00,6.00,6.25,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2003821,8.00,6.00,7.00,8.00,9.00,7.25,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2003830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2003848,1.00,4.00,3.00,4.00,6.00,6.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2003856,6.00,6.00,4.00,8.00,8.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2003864,6.00,8.00,6.00,9.00,7.00,5.75,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2003872,9.00,8.00,9.00,10.00,9.00,7.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2003899,4.00,8.00,6.00,8.00,9.00,6.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2003902,4.00,7.00,2.00,9.00,8.00,5.50,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2003929,2.00,6.00,3.00,4.00,8.00,6.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2003937,7.00,7.00,8.00,6.00,9.00,5.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2003961,3.00,6.00,0.00,5.00,7.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2003970,8.00,9.00,7.00,7.00,9.00,4.50,9.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2003996,3.00,5.00,3.00,8.00,4.00,3.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2004003,2.00,6.00,5.00,6.00,4.00,4.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2004046,4.00,8.00,6.00,7.00,8.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2004054,6.00,8.00,3.00,4.00,8.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2004062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2004070,2.00,6.00,1.00,5.00,7.00,4.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2004089,5.00,6.00,7.00,9.00,6.00,5.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2004097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2004100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2004119,5.00,8.00,2.00,6.00,7.00,4.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2004127,3.00,8.00,5.00,2.00,7.00,4.75,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2004135,1.00,9.00,6.00,6.00,5.00,8.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2004143,2.00,6.00,3.00,6.00,7.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2004151,8.00,7.00,6.00,8.00,8.00,7.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2004160,8.00,8.00,8.00,4.00,7.00,5.75,9.00,5.00,9.00,NULL,NULL,NULL,'N'),(15,2004178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2004186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2004194,3.00,8.00,4.00,4.00,7.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2004208,2.00,7.00,6.00,9.00,7.00,6.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2004216,3.00,7.00,5.00,3.00,7.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2004224,5.00,8.00,4.00,4.00,7.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2004232,4.00,8.00,4.00,6.00,5.00,4.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2004240,4.00,6.00,7.00,6.00,7.00,4.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2004259,2.00,4.00,3.00,6.00,5.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2004267,4.00,7.00,1.00,7.00,6.00,6.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2004283,4.00,8.00,1.00,3.00,8.00,3.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2004291,4.00,8.00,4.00,5.00,7.00,6.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2004305,1.00,3.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2004313,6.00,9.00,6.00,6.00,8.00,7.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2004330,3.00,7.00,3.00,7.00,5.00,5.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2004348,7.00,7.00,7.00,7.00,7.00,6.25,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2004356,3.00,6.00,4.00,8.00,7.00,7.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2004364,2.00,5.00,1.00,4.00,8.00,3.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2004372,4.00,8.00,3.00,6.00,7.00,5.75,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2004380,5.00,7.00,2.00,7.00,4.00,3.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2004399,4.00,8.00,5.00,7.00,9.00,4.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2004402,2.00,7.00,2.00,7.00,7.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2004410,4.00,7.00,6.00,5.00,7.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2004437,3.00,8.00,6.00,5.00,8.00,7.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2004445,4.00,8.00,4.00,6.00,7.00,4.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2004453,1.00,4.00,0.00,3.00,8.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2004461,6.00,7.00,6.00,6.00,8.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2004470,3.00,1.00,1.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2004488,4.00,7.00,4.00,3.00,5.00,4.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2004496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2004500,3.00,8.00,6.00,6.00,7.00,5.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2004518,7.00,8.00,8.00,9.00,7.00,8.50,8.00,8.00,8.00,NULL,NULL,NULL,'S'),(15,2004534,3.00,6.00,4.00,5.00,4.00,5.25,7.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2004542,5.00,8.00,4.00,6.00,6.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2004550,5.00,3.00,5.00,5.00,6.00,4.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2004577,3.00,6.00,2.00,7.00,5.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2004585,4.00,5.00,3.00,3.00,6.00,5.25,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2004593,4.00,6.00,6.00,5.00,6.00,6.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2004607,2.00,4.00,4.00,5.00,3.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2004615,3.00,6.00,2.00,7.00,7.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2004623,2.00,5.00,1.00,4.00,3.00,4.50,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2004640,2.00,2.00,1.00,6.00,6.00,5.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2004658,4.00,7.00,1.00,2.00,8.00,4.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2004666,8.00,7.00,4.00,7.00,8.00,6.25,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2004674,6.00,7.00,6.00,8.00,8.00,7.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2004682,3.00,5.00,3.00,2.00,5.00,5.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2004690,6.00,7.00,8.00,6.00,7.00,5.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2004704,3.00,6.00,2.00,3.00,6.00,3.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2004712,0.00,4.00,5.00,3.00,6.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2004720,7.00,8.00,5.00,9.00,8.00,6.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2004739,2.00,3.00,1.00,8.00,7.00,4.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2004747,2.00,7.00,2.00,6.00,4.00,4.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2004771,3.00,8.00,5.00,9.00,9.00,6.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2004780,5.00,5.00,4.00,5.00,7.00,4.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2004798,3.00,7.00,4.00,6.00,8.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2004801,4.00,2.00,2.00,2.00,6.00,6.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2004836,5.00,8.00,5.00,2.00,7.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2004844,6.00,7.00,5.00,9.00,6.00,8.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2004860,3.00,4.00,3.00,4.00,4.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2004879,4.00,4.00,6.00,2.00,8.00,4.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2004895,5.00,7.00,8.00,7.00,9.00,6.50,9.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2004909,6.00,8.00,5.00,9.00,9.00,5.25,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2004917,3.00,4.00,6.00,8.00,6.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2004925,4.00,7.00,4.00,4.00,7.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2004933,5.00,8.00,8.00,9.00,9.00,8.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2004941,6.00,6.00,7.00,8.00,7.00,5.75,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2004950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2004984,3.00,6.00,3.00,6.00,6.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2004992,5.00,7.00,7.00,6.00,7.00,5.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2005000,6.00,7.00,4.00,7.00,7.00,5.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2005018,4.00,3.00,5.00,5.00,7.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2005026,9.00,8.00,9.00,8.00,9.00,5.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2005042,2.00,4.00,2.00,5.00,5.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2005050,4.00,6.00,2.00,6.00,7.00,3.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2005069,5.00,8.00,8.00,5.00,5.00,5.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2005077,6.00,6.00,7.00,9.00,8.00,7.50,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2005085,4.00,6.00,4.00,8.00,7.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2005093,9.00,9.00,8.00,8.00,9.00,6.75,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2005107,1.00,7.00,3.00,5.00,7.00,4.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2005123,3.00,6.00,3.00,2.00,6.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2005131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2005140,4.00,8.00,4.00,8.00,6.00,5.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2005158,6.00,8.00,6.00,7.00,8.00,4.75,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2005166,5.00,7.00,4.00,5.00,8.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2005174,5.00,8.00,4.00,7.00,6.00,6.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2005182,6.00,8.00,4.00,4.00,8.00,6.75,7.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2005190,3.00,4.00,3.00,4.00,4.00,5.25,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2005204,4.00,4.00,0.00,2.00,7.00,6.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2005212,3.00,6.00,3.00,7.00,6.00,4.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2005220,9.00,9.00,8.00,9.00,9.00,5.25,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2005239,2.00,7.00,2.00,0.00,7.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2005247,5.00,7.00,4.00,7.00,9.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2005263,3.00,6.00,5.00,2.00,7.00,6.00,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2005271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2005298,5.00,8.00,6.00,6.00,8.00,5.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2005301,4.00,9.00,6.00,9.00,9.00,6.25,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2005310,3.00,5.00,7.00,2.00,8.00,5.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2005328,2.00,7.00,1.00,2.00,3.00,4.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2005344,4.00,6.00,3.00,3.00,6.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2005352,3.00,5.00,2.00,4.00,6.00,6.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2005379,3.00,5.00,3.00,6.00,8.00,4.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2005387,6.00,9.00,9.00,5.00,8.00,6.25,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2005395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2005409,4.00,6.00,4.00,5.00,3.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2005417,6.00,7.00,3.00,7.00,8.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2005425,0.00,4.00,1.00,4.00,5.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2005433,3.00,6.00,1.00,2.00,9.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2005450,5.00,9.00,4.00,9.00,9.00,6.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2005468,5.00,6.00,7.00,2.00,7.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2005476,1.00,0.00,3.00,2.00,3.00,4.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2005492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2005506,1.00,4.00,6.00,4.00,6.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2005514,1.00,2.00,4.00,3.00,6.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2005522,5.00,9.00,6.00,3.00,7.00,4.25,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2005530,5.00,8.00,6.00,8.00,8.00,5.25,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2005565,8.00,8.00,9.00,8.00,8.00,8.00,6.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2005573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2005581,6.00,7.00,6.00,8.00,8.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2005590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2005603,5.00,7.00,6.00,9.00,8.00,5.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2005611,4.00,7.00,4.00,6.00,4.00,4.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2005620,4.00,8.00,4.00,5.00,5.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2005638,1.00,3.00,0.00,5.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2005646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2005654,4.00,7.00,3.00,5.00,6.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2005689,1.00,4.00,3.00,4.00,2.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2005697,3.00,6.00,1.00,4.00,6.00,5.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2005700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2005719,5.00,7.00,5.00,6.00,7.00,4.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2005727,3.00,5.00,5.00,6.00,3.00,6.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2005743,1.00,7.00,6.00,8.00,6.00,4.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2005751,4.00,7.00,9.00,5.00,7.00,6.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2005760,1.00,6.00,5.00,0.00,6.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2005786,2.00,7.00,1.00,2.00,7.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2005794,6.00,8.00,6.00,7.00,9.00,6.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2005808,4.00,6.00,2.00,7.00,4.00,5.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2005816,3.00,3.00,0.00,4.00,7.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2005824,4.00,8.00,6.00,2.00,8.00,6.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2005840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2005859,3.00,4.00,2.00,7.00,6.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2005867,4.00,7.00,8.00,8.00,8.00,7.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2005875,1.00,5.00,5.00,5.00,6.00,6.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2005883,3.00,3.00,4.00,4.00,7.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2005891,8.00,8.00,7.00,6.00,8.00,6.25,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2005905,2.00,1.00,1.00,1.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2005913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2005930,3.00,4.00,5.00,5.00,7.00,4.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2005956,7.00,8.00,7.00,6.00,8.00,6.50,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2005972,7.00,4.00,6.00,7.00,6.00,6.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2005980,7.00,7.00,7.00,8.00,9.00,4.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2005999,5.00,6.00,6.00,3.00,7.00,4.75,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2006006,7.00,7.00,5.00,5.00,6.00,4.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2006014,5.00,7.00,3.00,8.00,8.00,5.50,6.00,7.00,0.00,NULL,NULL,NULL,'N'),(15,2006022,6.00,4.00,6.00,8.00,6.00,5.00,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2006030,4.00,7.00,5.00,8.00,9.00,7.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2006049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2006057,2.00,5.00,1.00,1.00,4.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2006065,1.00,8.00,6.00,8.00,6.00,3.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2006081,3.00,6.00,3.00,6.00,8.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2006103,5.00,9.00,7.00,5.00,7.00,5.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2006111,6.00,8.00,8.00,3.00,8.00,5.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2006120,6.00,9.00,9.00,6.00,9.00,6.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2006138,2.00,8.00,3.00,9.00,8.00,6.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2006146,1.00,5.00,2.00,7.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2006154,3.00,5.00,5.00,6.00,7.00,5.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2006162,2.00,4.00,0.00,4.00,6.00,3.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2006170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2006189,4.00,6.00,8.00,8.00,7.00,7.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2006197,2.00,6.00,4.00,2.00,5.00,3.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2006200,4.00,3.00,7.00,5.00,7.00,6.00,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2006219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2006227,7.00,7.00,7.00,5.00,9.00,5.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2006235,4.00,7.00,5.00,6.00,7.00,5.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2006243,6.00,9.00,8.00,6.00,7.00,7.25,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2006251,3.00,6.00,2.00,4.00,5.00,3.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2006278,2.00,6.00,5.00,5.00,5.00,6.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2006286,3.00,5.00,5.00,7.00,7.00,5.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2006294,2.00,6.00,3.00,5.00,5.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2006308,6.00,7.00,7.00,7.00,7.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2006324,2.00,4.00,2.00,2.00,7.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2006332,2.00,8.00,4.00,7.00,8.00,5.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2006340,3.00,5.00,0.00,5.00,7.00,5.25,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2006359,3.00,8.00,5.00,8.00,8.00,6.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2006375,5.00,8.00,6.00,4.00,7.00,7.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2006383,3.00,7.00,6.00,5.00,8.00,8.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2006405,5.00,8.00,8.00,7.00,6.00,8.00,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2006413,3.00,5.00,3.00,7.00,8.00,7.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2006421,5.00,7.00,6.00,4.00,8.00,5.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2006430,3.00,6.00,4.00,3.00,7.00,6.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2006456,6.00,7.00,9.00,8.00,9.00,6.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2006464,2.00,7.00,1.00,5.00,7.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2006472,2.00,7.00,2.00,7.00,8.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2006480,3.00,7.00,7.00,6.00,9.00,6.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2006499,3.00,6.00,3.00,4.00,5.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2006502,4.00,7.00,3.00,7.00,6.00,5.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2006510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2006529,1.00,7.00,2.00,8.00,7.00,3.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2006545,2.00,4.00,3.00,3.00,6.00,2.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2006553,2.00,8.00,4.00,4.00,5.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2006570,4.00,6.00,7.00,9.00,8.00,7.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2006588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2006600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2006618,3.00,8.00,8.00,4.00,8.00,6.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2006626,3.00,6.00,8.00,8.00,6.00,6.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2006634,1.00,3.00,3.00,5.00,4.00,4.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2006642,4.00,5.00,3.00,5.00,8.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2006650,4.00,6.00,5.00,4.00,8.00,5.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2006669,4.00,9.00,5.00,4.00,8.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2006677,3.00,7.00,3.00,4.00,6.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2006685,1.00,4.00,2.00,3.00,4.00,3.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2006693,3.00,8.00,4.00,9.00,8.00,6.00,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2006707,5.00,7.00,6.00,2.00,7.00,5.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2006715,3.00,5.00,2.00,5.00,6.00,3.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2006723,7.00,7.00,6.00,7.00,8.00,6.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2006731,4.00,6.00,1.00,2.00,8.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2006740,3.00,5.00,3.00,6.00,6.00,5.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2006758,3.00,5.00,2.00,2.00,8.00,5.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2006774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2006782,7.00,7.00,6.00,8.00,8.00,4.50,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2006790,3.00,7.00,3.00,7.00,6.00,6.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2006804,4.00,7.00,4.00,4.00,6.00,5.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2006812,2.00,6.00,0.00,2.00,6.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2006820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2006839,2.00,7.00,4.00,0.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2006847,1.00,2.00,2.00,1.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2006880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2006898,6.00,8.00,6.00,5.00,6.00,5.75,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2006901,7.00,6.00,4.00,8.00,7.00,6.25,5.00,9.00,4.00,NULL,NULL,NULL,'S'),(15,2006910,5.00,7.00,4.00,7.00,7.00,6.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2006928,7.00,7.00,8.00,6.00,9.00,5.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2006936,5.00,9.00,9.00,10.00,9.00,6.75,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2006944,4.00,7.00,6.00,2.00,6.00,3.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2006952,6.00,7.00,8.00,6.00,5.00,4.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2006960,4.00,7.00,8.00,9.00,8.00,7.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2006987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2006995,1.00,5.00,2.00,6.00,8.00,4.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2007002,3.00,8.00,9.00,9.00,8.00,9.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2007010,5.00,7.00,1.00,4.00,6.00,6.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2007029,3.00,6.00,1.00,6.00,6.00,4.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2007037,2.00,4.00,2.00,3.00,6.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2007045,1.00,7.00,4.00,6.00,5.00,1.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2007053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2007061,2.00,8.00,7.00,6.00,7.00,6.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2007088,2.00,4.00,5.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2007096,3.00,8.00,3.00,9.00,6.00,7.25,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2007118,1.00,3.00,3.00,1.00,3.00,5.75,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2007126,1.00,4.00,0.00,0.00,5.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2007134,3.00,7.00,3.00,5.00,4.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2007142,1.00,5.00,2.00,2.00,1.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2007150,5.00,7.00,7.00,9.00,9.00,6.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2007177,4.00,8.00,4.00,6.00,7.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2007185,5.00,6.00,6.00,7.00,6.00,4.00,6.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2007193,6.00,8.00,7.00,6.00,7.00,4.75,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2007207,2.00,5.00,3.00,3.00,3.00,3.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2007215,5.00,8.00,5.00,6.00,7.00,6.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2007223,0.00,5.00,3.00,1.00,3.00,6.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2007231,1.00,3.00,0.00,3.00,4.00,5.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2007258,4.00,8.00,6.00,5.00,8.00,5.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2007266,4.00,7.00,3.00,2.00,4.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2007274,0.00,5.00,0.00,3.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2007290,4.00,7.00,5.00,6.00,9.00,4.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2007304,4.00,5.00,1.00,3.00,4.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2007312,8.00,8.00,8.00,9.00,8.00,8.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2007339,1.00,3.00,4.00,5.00,6.00,3.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2007347,5.00,7.00,6.00,2.00,7.00,6.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2007363,5.00,6.00,4.00,4.00,8.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2007371,6.00,7.00,5.00,7.00,7.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2007380,3.00,5.00,5.00,4.00,8.00,6.00,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2007401,4.00,5.00,3.00,8.00,5.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2007428,4.00,6.00,3.00,4.00,6.00,4.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2007436,4.00,7.00,4.00,4.00,9.00,7.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2007444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2007452,6.00,8.00,8.00,9.00,8.00,5.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2007460,3.00,7.00,5.00,4.00,5.00,5.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2007479,2.00,4.00,1.00,4.00,5.00,4.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2007495,2.00,2.00,1.00,4.00,4.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2007517,4.00,8.00,4.00,8.00,8.00,5.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2007525,3.00,5.00,2.00,4.00,5.00,5.50,5.00,0.00,3.00,NULL,NULL,NULL,'N'),(15,2007533,5.00,8.00,6.00,8.00,7.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2007550,1.00,4.00,4.00,4.00,8.00,4.75,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2007568,1.00,4.00,3.00,2.00,5.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2007576,3.00,5.00,1.00,7.00,4.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2007584,2.00,6.00,1.00,7.00,7.00,5.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2007592,3.00,7.00,1.00,5.00,5.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2007606,4.00,7.00,8.00,4.00,8.00,5.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2007614,4.00,5.00,5.00,5.00,4.00,3.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2007622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2007630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2007649,4.00,8.00,4.00,5.00,7.00,3.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2007665,4.00,6.00,2.00,1.00,7.00,6.50,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2007673,3.00,6.00,2.00,0.00,4.00,4.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2007690,5.00,7.00,6.00,3.00,5.00,3.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2007703,6.00,7.00,3.00,6.00,8.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2007711,9.00,8.00,9.00,8.00,9.00,5.25,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2007720,2.00,3.00,0.00,4.00,3.00,4.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2007738,2.00,4.00,2.00,5.00,4.00,2.00,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2007754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2007762,3.00,5.00,3.00,5.00,4.00,6.00,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2007770,7.00,8.00,8.00,8.00,8.00,6.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2007789,7.00,8.00,9.00,8.00,8.00,7.25,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2007797,6.00,7.00,8.00,3.00,7.00,5.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2007800,2.00,5.00,2.00,7.00,8.00,6.50,5.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2007827,6.00,8.00,1.00,8.00,9.00,4.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2007835,5.00,7.00,6.00,7.00,9.00,4.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2007843,2.00,6.00,2.00,5.00,7.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2007860,5.00,9.00,5.00,7.00,8.00,6.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2007878,6.00,8.00,8.00,9.00,9.00,7.75,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2007886,0.00,4.00,1.00,4.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2007894,4.00,8.00,8.00,7.00,8.00,5.50,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2007908,2.00,4.00,3.00,6.00,6.00,6.50,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2007916,3.00,7.00,3.00,1.00,5.00,5.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2007932,5.00,8.00,1.00,7.00,7.00,7.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2007940,3.00,7.00,3.00,5.00,9.00,6.00,7.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2007959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2007967,3.00,7.00,5.00,5.00,7.00,4.50,6.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2007983,8.00,8.00,8.00,8.00,9.00,6.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2007991,6.00,8.00,6.00,7.00,8.00,7.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2008009,3.00,5.00,2.00,3.00,5.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2008017,4.00,7.00,5.00,2.00,7.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2008025,3.00,6.00,0.00,0.00,7.00,5.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2008033,5.00,7.00,6.00,7.00,9.00,6.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2008041,1.00,6.00,2.00,6.00,5.00,4.50,7.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2008050,4.00,7.00,5.00,8.00,7.00,4.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2008068,3.00,6.00,1.00,1.00,4.00,3.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2008076,2.00,9.00,6.00,6.00,7.00,6.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2008084,1.00,4.00,4.00,4.00,5.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2008106,4.00,7.00,5.00,5.00,7.00,6.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2008114,6.00,7.00,5.00,4.00,7.00,6.50,7.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2008122,2.00,6.00,1.00,4.00,3.00,4.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2008130,3.00,7.00,7.00,7.00,9.00,5.25,7.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2008149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2008157,2.00,6.00,1.00,8.00,9.00,5.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2008165,2.00,8.00,2.00,0.00,6.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2008173,3.00,3.00,3.00,6.00,3.00,3.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2008181,4.00,8.00,5.00,5.00,8.00,5.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2008190,3.00,5.00,2.00,4.00,4.00,3.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2008211,3.00,7.00,4.00,3.00,7.00,4.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2008220,5.00,7.00,7.00,7.00,8.00,5.50,8.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2008238,8.00,8.00,8.00,7.00,9.00,7.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2008246,0.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2008254,4.00,6.00,1.00,6.00,7.00,6.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2008262,4.00,5.00,8.00,6.00,6.00,6.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2008270,4.00,7.00,4.00,3.00,7.00,6.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2008297,5.00,8.00,6.00,3.00,8.00,5.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2008300,6.00,8.00,9.00,8.00,7.00,5.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2008319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2008335,6.00,7.00,7.00,9.00,8.00,8.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2008386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2008394,5.00,5.00,3.00,7.00,6.00,3.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2008408,1.00,5.00,3.00,4.00,3.00,4.50,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2008424,2.00,4.00,4.00,3.00,6.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2008432,4.00,7.00,2.00,5.00,9.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2008440,3.00,4.00,2.00,1.00,5.00,5.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2008459,2.00,7.00,2.00,2.00,6.00,4.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2008467,4.00,8.00,3.00,1.00,5.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2008475,6.00,8.00,4.00,8.00,10.00,4.75,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2008505,6.00,9.00,7.00,9.00,9.00,6.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2008521,3.00,7.00,6.00,3.00,5.00,5.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2008530,1.00,8.00,3.00,7.00,9.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2008556,3.00,5.00,4.00,2.00,7.00,5.00,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2008564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2008572,5.00,6.00,5.00,8.00,9.00,5.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2008599,4.00,7.00,2.00,5.00,9.00,6.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2008602,3.00,3.00,2.00,3.00,6.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(15,2008637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2008645,3.00,7.00,3.00,7.00,6.00,4.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2008661,6.00,8.00,7.00,2.00,7.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2008670,6.00,6.00,3.00,6.00,7.00,4.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2008688,0.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2008700,3.00,7.00,1.00,6.00,5.00,5.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2008718,4.00,6.00,3.00,7.00,5.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2008726,2.00,5.00,5.00,8.00,7.00,6.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2008734,5.00,5.00,7.00,8.00,9.00,5.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2008742,3.00,6.00,6.00,1.00,8.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2008777,2.00,8.00,4.00,5.00,4.00,5.00,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2008785,4.00,5.00,5.00,6.00,7.00,4.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2008793,6.00,3.00,5.00,6.00,7.00,3.50,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2008815,5.00,5.00,6.00,6.00,7.00,5.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2008823,1.00,3.00,1.00,1.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2008831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2008840,4.00,6.00,8.00,6.00,9.00,4.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2008858,7.00,6.00,2.00,3.00,8.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2008866,4.00,8.00,4.00,7.00,7.00,4.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2008882,4.00,8.00,7.00,4.00,6.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2008890,5.00,7.00,9.00,8.00,9.00,6.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2008904,2.00,4.00,2.00,1.00,6.00,3.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2008912,2.00,5.00,3.00,4.00,6.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2008920,4.00,6.00,3.00,2.00,6.00,6.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2008939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2008947,3.00,9.00,3.00,6.00,4.00,3.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2008955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2008963,4.00,5.00,3.00,6.00,7.00,4.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2008971,5.00,8.00,5.00,9.00,7.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2008980,3.00,8.00,4.00,9.00,8.00,5.75,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2009005,3.00,6.00,5.00,5.00,6.00,5.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2009013,5.00,8.00,8.00,5.00,7.00,6.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2009030,2.00,5.00,1.00,2.00,5.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2009048,2.00,3.00,0.00,6.00,3.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2009056,5.00,5.00,5.00,7.00,8.00,7.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2009064,5.00,8.00,6.00,9.00,7.00,6.50,9.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2009072,7.00,6.00,8.00,7.00,9.00,4.25,9.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2009080,6.00,4.00,6.00,4.00,6.00,3.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2009099,6.00,8.00,8.00,7.00,7.00,4.75,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2009102,5.00,7.00,4.00,9.00,8.00,7.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2009129,1.00,7.00,5.00,4.00,7.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2009137,6.00,6.00,5.00,7.00,7.00,6.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2009153,5.00,6.00,1.00,7.00,6.00,6.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2009200,2.00,6.00,5.00,3.00,7.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2009218,4.00,9.00,6.00,3.00,8.00,6.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2009226,6.00,7.00,4.00,8.00,7.00,5.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2009242,5.00,6.00,4.00,5.00,7.00,5.75,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2009269,5.00,7.00,6.00,7.00,6.00,3.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2009277,1.00,2.00,3.00,2.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2009285,9.00,8.00,9.00,7.00,9.00,6.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2009293,6.00,8.00,7.00,8.00,8.00,7.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2009307,2.00,5.00,2.00,7.00,6.00,8.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2009315,5.00,8.00,1.00,6.00,6.00,3.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2009323,1.00,3.00,3.00,7.00,7.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2009331,5.00,7.00,6.00,8.00,7.00,7.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2009340,7.00,9.00,8.00,10.00,9.00,7.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2009358,6.00,8.00,8.00,9.00,8.00,6.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2009366,4.00,8.00,4.00,8.00,8.00,7.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2009374,6.00,7.00,5.00,7.00,9.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2009382,3.00,5.00,4.00,8.00,5.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2009404,3.00,3.00,1.00,5.00,8.00,6.50,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2009412,7.00,7.00,4.00,6.00,7.00,6.00,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2009420,1.00,3.00,3.00,6.00,5.00,4.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2009439,4.00,6.00,6.00,3.00,8.00,3.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2009447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2009463,3.00,6.00,1.00,2.00,6.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2009480,5.00,6.00,6.00,5.00,7.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2009498,5.00,8.00,5.00,7.00,9.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2009501,4.00,6.00,4.00,6.00,8.00,4.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2009528,4.00,8.00,3.00,6.00,8.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2009536,2.00,4.00,3.00,0.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2009544,2.00,6.00,3.00,3.00,5.00,5.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2009552,4.00,7.00,4.00,4.00,5.00,3.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2009560,8.00,9.00,7.00,5.00,8.00,6.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2009579,3.00,5.00,5.00,1.00,7.00,4.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2009587,6.00,8.00,6.00,7.00,7.00,7.25,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2009595,6.00,8.00,8.00,4.00,8.00,6.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2009609,6.00,8.00,7.00,6.00,8.00,6.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2009617,3.00,4.00,4.00,5.00,6.00,4.25,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2009625,4.00,6.00,2.00,1.00,5.00,5.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2009633,7.00,9.00,7.00,6.00,9.00,6.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2009641,8.00,8.00,7.00,8.00,7.00,6.00,7.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2009650,4.00,5.00,2.00,0.00,0.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2009668,2.00,4.00,4.00,4.00,7.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2009684,2.00,6.00,3.00,8.00,8.00,5.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2009692,5.00,6.00,7.00,8.00,6.00,5.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2009706,3.00,8.00,4.00,4.00,3.00,5.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2009714,6.00,8.00,6.00,6.00,9.00,7.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2009722,3.00,6.00,3.00,5.00,5.00,5.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2009730,6.00,7.00,5.00,7.00,6.00,4.75,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2009749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2009757,6.00,8.00,4.00,6.00,8.00,7.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2009765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2009773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2009781,3.00,3.00,2.00,4.00,5.00,4.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2009790,4.00,8.00,3.00,6.00,8.00,6.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2009811,1.00,3.00,3.00,1.00,7.00,6.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2009820,3.00,6.00,7.00,6.00,6.00,5.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2009838,5.00,9.00,8.00,6.00,7.00,6.75,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2009854,3.00,5.00,2.00,6.00,6.00,5.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2009862,4.00,4.00,3.00,3.00,3.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2009870,6.00,8.00,4.00,7.00,9.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2009889,2.00,5.00,2.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2009897,3.00,7.00,4.00,2.00,5.00,5.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2009900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2009919,4.00,8.00,8.00,1.00,7.00,4.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2009927,4.00,5.00,6.00,5.00,7.00,6.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2009935,3.00,7.00,8.00,7.00,8.00,5.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2009943,2.00,5.00,4.00,2.00,4.00,4.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2009951,1.00,9.00,4.00,3.00,5.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2009960,1.00,3.00,4.00,5.00,4.00,4.75,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2009978,4.00,5.00,4.00,5.00,5.00,5.25,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2009994,4.00,7.00,5.00,7.00,7.00,5.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2010003,4.00,8.00,6.00,5.00,5.00,5.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2010011,3.00,5.00,4.00,5.00,8.00,6.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2010038,8.00,7.00,9.00,7.00,9.00,6.50,10.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2010046,2.00,7.00,2.00,7.00,6.00,5.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2010054,7.00,8.00,9.00,8.00,8.00,6.25,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2010062,7.00,7.00,7.00,6.00,8.00,5.50,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2010070,2.00,1.00,1.00,0.00,5.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2010089,7.00,9.00,9.00,8.00,9.00,5.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2010100,6.00,7.00,6.00,6.00,9.00,7.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2010127,3.00,7.00,4.00,4.00,6.00,3.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2010135,6.00,7.00,4.00,1.00,8.00,5.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2010143,6.00,7.00,3.00,6.00,8.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2010151,4.00,8.00,4.00,7.00,8.00,7.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2010160,3.00,8.00,6.00,7.00,7.00,7.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2010186,4.00,8.00,9.00,7.00,5.00,5.75,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2010194,7.00,9.00,7.00,9.00,8.00,6.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2010208,2.00,2.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2010232,4.00,6.00,4.00,5.00,7.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2010240,4.00,7.00,1.00,3.00,4.00,2.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2010259,3.00,9.00,5.00,9.00,8.00,6.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2010267,7.00,8.00,6.00,9.00,8.00,6.25,8.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2010275,8.00,8.00,9.00,7.00,8.00,5.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2010283,5.00,9.00,8.00,10.00,9.00,5.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2010291,5.00,6.00,8.00,9.00,9.00,6.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2010305,8.00,6.00,4.00,4.00,7.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2010313,0.00,4.00,1.00,7.00,3.00,4.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2010330,5.00,6.00,6.00,8.00,8.00,5.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2010356,2.00,7.00,5.00,3.00,6.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2010364,4.00,4.00,3.00,3.00,4.00,4.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2010372,5.00,7.00,3.00,6.00,9.00,6.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2010399,4.00,7.00,0.00,9.00,8.00,6.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2010410,2.00,3.00,0.00,4.00,4.00,4.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2010429,7.00,9.00,8.00,8.00,9.00,6.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2010437,4.00,7.00,3.00,6.00,8.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2010445,3.00,8.00,9.00,8.00,9.00,6.25,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2010453,3.00,7.00,3.00,3.00,4.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2010461,5.00,7.00,4.00,6.00,5.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2010470,7.00,9.00,6.00,8.00,9.00,7.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2010488,2.00,5.00,2.00,5.00,8.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2010496,2.00,6.00,5.00,7.00,8.00,6.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2010518,4.00,7.00,4.00,7.00,7.00,7.00,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2010526,3.00,9.00,3.00,8.00,7.00,5.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2010534,4.00,7.00,3.00,6.00,6.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2010550,7.00,7.00,7.00,3.00,7.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2010569,4.00,9.00,7.00,6.00,9.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2010577,7.00,9.00,7.00,9.00,9.00,8.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2010585,1.00,5.00,5.00,4.00,6.00,4.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2010593,4.00,6.00,6.00,7.00,7.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2010607,3.00,5.00,2.00,4.00,5.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2010615,3.00,4.00,2.00,3.00,5.00,3.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2010640,2.00,5.00,1.00,4.00,7.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2010658,7.00,8.00,7.00,5.00,8.00,5.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2010666,6.00,7.00,6.00,7.00,8.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2010674,7.00,7.00,7.00,6.00,8.00,7.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2010682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2010690,5.00,9.00,7.00,6.00,8.00,7.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2010704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2010712,4.00,7.00,2.00,5.00,9.00,5.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2010720,4.00,7.00,4.00,6.00,8.00,4.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2010739,3.00,8.00,7.00,8.00,8.00,7.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2010747,9.00,8.00,9.00,9.00,9.00,6.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2010755,3.00,7.00,5.00,8.00,7.00,6.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2010763,6.00,8.00,5.00,9.00,8.00,6.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2010771,2.00,2.00,3.00,2.00,5.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2010780,3.00,7.00,3.00,1.00,8.00,6.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2010798,4.00,6.00,4.00,7.00,6.00,6.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2010801,0.00,7.00,1.00,1.00,5.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2010810,7.00,8.00,7.00,5.00,6.00,6.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2010828,4.00,6.00,7.00,7.00,6.00,6.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2010844,9.00,9.00,6.00,7.00,8.00,6.25,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2010852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2010860,5.00,8.00,4.00,9.00,6.00,6.75,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2010879,2.00,4.00,0.00,7.00,5.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2010887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2010895,8.00,7.00,9.00,9.00,9.00,6.75,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2010909,4.00,8.00,7.00,9.00,9.00,8.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2010917,9.00,8.00,9.00,7.00,8.00,6.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2010925,4.00,7.00,3.00,3.00,6.00,5.25,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2010941,5.00,7.00,7.00,4.00,8.00,5.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2010950,3.00,3.00,0.00,0.00,4.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2010968,8.00,8.00,8.00,8.00,7.00,6.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2010976,3.00,6.00,1.00,5.00,6.00,5.50,6.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2010984,6.00,7.00,4.00,7.00,8.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2010992,2.00,6.00,1.00,4.00,7.00,4.50,6.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2011018,8.00,9.00,9.00,10.00,8.00,5.75,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2011034,7.00,7.00,3.00,8.00,7.00,8.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2011042,4.00,5.00,2.00,7.00,8.00,6.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2011069,2.00,4.00,3.00,5.00,4.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2011077,3.00,6.00,6.00,7.00,8.00,6.50,8.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2011085,5.00,7.00,3.00,8.00,7.00,5.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2011107,4.00,8.00,5.00,5.00,8.00,5.00,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2011115,5.00,6.00,6.00,8.00,8.00,6.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2011123,4.00,7.00,7.00,5.00,8.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2011140,4.00,7.00,6.00,4.00,7.00,5.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2011158,7.00,9.00,9.00,6.00,8.00,7.00,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2011166,3.00,8.00,8.00,7.00,6.00,4.25,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2011174,6.00,7.00,2.00,3.00,6.00,6.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2011182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2011190,3.00,6.00,5.00,0.00,4.00,5.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2011204,2.00,7.00,5.00,8.00,7.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2011212,4.00,2.00,0.00,4.00,5.00,2.00,2.00,1.00,5.00,NULL,NULL,NULL,'S'),(15,2011220,4.00,6.00,5.00,4.00,8.00,4.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2011239,2.00,7.00,6.00,5.00,7.00,5.25,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2011247,6.00,7.00,8.00,7.00,9.00,6.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2011255,3.00,7.00,9.00,8.00,8.00,6.25,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2011263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2011271,5.00,7.00,7.00,7.00,7.00,6.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2011280,5.00,7.00,6.00,6.00,8.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2011298,4.00,3.00,3.00,7.00,5.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2011301,1.00,5.00,0.00,2.00,3.00,6.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2011310,7.00,9.00,7.00,9.00,9.00,8.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2011328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2011352,2.00,5.00,4.00,1.00,6.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2011360,0.00,5.00,2.00,5.00,7.00,5.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2011387,1.00,7.00,1.00,6.00,6.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2011409,7.00,9.00,9.00,7.00,9.00,7.75,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2011417,2.00,4.00,2.00,6.00,7.00,6.75,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2011425,2.00,4.00,3.00,3.00,5.00,4.50,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2011433,5.00,7.00,7.00,5.00,8.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2011441,8.00,9.00,5.00,9.00,9.00,5.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2011450,6.00,8.00,5.00,9.00,8.00,8.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2011468,7.00,8.00,9.00,9.00,9.00,7.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2011476,1.00,6.00,1.00,5.00,6.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2011492,3.00,4.00,6.00,7.00,6.00,4.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2011506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2011514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2011522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2011549,4.00,8.00,4.00,5.00,7.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2011557,6.00,9.00,6.00,7.00,8.00,7.00,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2011565,1.00,5.00,3.00,3.00,4.00,6.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2011573,4.00,7.00,7.00,6.00,8.00,6.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2011581,7.00,8.00,8.00,8.00,8.00,4.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2011590,6.00,8.00,7.00,9.00,8.00,6.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2011603,6.00,7.00,4.00,6.00,7.00,4.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2011611,7.00,6.00,8.00,5.00,7.00,7.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2011620,4.00,6.00,2.00,2.00,5.00,7.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2011638,4.00,7.00,7.00,8.00,7.00,6.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2011646,4.00,8.00,2.00,7.00,7.00,6.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2011654,7.00,9.00,8.00,7.00,7.00,6.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2011662,4.00,6.00,7.00,9.00,6.00,6.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2011670,3.00,5.00,5.00,4.00,7.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2011689,8.00,9.00,7.00,2.00,9.00,6.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2011697,6.00,6.00,5.00,6.00,9.00,4.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2011700,7.00,7.00,6.00,6.00,8.00,4.00,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2011719,0.00,6.00,1.00,5.00,6.00,3.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2011727,5.00,5.00,6.00,7.00,5.00,4.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2011735,7.00,7.00,8.00,9.00,7.00,4.25,9.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2011743,5.00,6.00,8.00,6.00,7.00,7.25,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2011751,3.00,8.00,2.00,4.00,6.00,7.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2011760,3.00,5.00,1.00,6.00,6.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2011778,7.00,8.00,7.00,4.00,9.00,7.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2011786,3.00,3.00,6.00,8.00,6.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2011794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2011808,1.00,6.00,2.00,6.00,8.00,5.25,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2011816,4.00,7.00,6.00,8.00,6.00,7.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2011824,5.00,7.00,6.00,9.00,6.00,5.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2011840,7.00,7.00,5.00,9.00,8.00,5.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2011883,0.00,5.00,1.00,0.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2011891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2011905,7.00,9.00,4.00,9.00,8.00,7.50,7.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2011913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2011921,6.00,5.00,1.00,4.00,8.00,5.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2011930,6.00,7.00,7.00,5.00,7.00,5.00,9.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2011948,7.00,9.00,9.00,7.00,8.00,7.00,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2011956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2011964,4.00,6.00,6.00,8.00,8.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2011972,2.00,6.00,2.00,6.00,4.00,5.25,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2011980,7.00,8.00,9.00,7.00,9.00,5.50,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2011999,7.00,8.00,10.00,8.00,8.00,5.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2012014,5.00,6.00,6.00,7.00,8.00,5.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2012022,3.00,5.00,5.00,7.00,8.00,4.75,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2012030,8.00,7.00,5.00,7.00,7.00,6.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2012049,3.00,7.00,5.00,7.00,9.00,7.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2012065,3.00,6.00,3.00,9.00,5.00,6.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2012073,6.00,9.00,5.00,6.00,8.00,6.25,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2012081,2.00,4.00,3.00,3.00,4.00,5.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2012090,6.00,7.00,7.00,8.00,9.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2012111,1.00,7.00,4.00,0.00,5.00,4.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2012120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2012138,4.00,7.00,5.00,6.00,7.00,7.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2012146,1.00,4.00,1.00,1.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2012154,4.00,7.00,2.00,8.00,7.00,7.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2012170,3.00,7.00,6.00,7.00,8.00,6.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2012189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2012197,2.00,8.00,4.00,5.00,7.00,6.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2012200,2.00,3.00,4.00,4.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2012219,7.00,7.00,2.00,5.00,7.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2012227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2012235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2012243,3.00,4.00,3.00,5.00,4.00,4.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2012251,3.00,5.00,1.00,3.00,4.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2012260,5.00,7.00,3.00,6.00,7.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2012286,8.00,9.00,6.00,5.00,9.00,6.25,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2012294,3.00,6.00,5.00,9.00,5.00,4.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2012324,2.00,5.00,0.00,5.00,8.00,4.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2012332,6.00,8.00,5.00,7.00,7.00,7.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2012340,3.00,8.00,6.00,6.00,6.00,5.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2012359,5.00,8.00,8.00,5.00,8.00,6.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2012375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2012383,3.00,8.00,7.00,8.00,5.00,6.50,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2012391,3.00,5.00,4.00,6.00,6.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2012405,2.00,4.00,7.00,4.00,5.00,5.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2012413,3.00,6.00,4.00,3.00,8.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2012421,8.00,7.00,8.00,6.00,8.00,5.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2012430,3.00,7.00,3.00,2.00,7.00,6.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2012448,7.00,9.00,9.00,9.00,8.00,6.75,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2012456,2.00,6.00,1.00,2.00,7.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2012464,3.00,1.00,1.00,1.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2012472,4.00,7.00,6.00,6.00,8.00,4.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2012480,8.00,7.00,9.00,9.00,6.00,4.50,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2012502,6.00,9.00,8.00,8.00,8.00,5.75,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2012510,4.00,7.00,0.00,5.00,8.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2012529,2.00,7.00,7.00,2.00,7.00,5.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2012537,8.00,8.00,10.00,9.00,9.00,7.00,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2012545,6.00,8.00,7.00,8.00,8.00,5.75,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2012553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2012561,2.00,7.00,4.00,5.00,6.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2012570,2.00,7.00,8.00,8.00,5.00,5.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2012588,2.00,3.00,1.00,4.00,4.00,5.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2012596,3.00,8.00,6.00,3.00,7.00,5.00,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2012600,4.00,7.00,7.00,9.00,7.00,6.50,6.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2012618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2012626,4.00,7.00,3.00,6.00,4.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2012634,4.00,5.00,2.00,1.00,6.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2012642,1.00,6.00,4.00,5.00,7.00,4.50,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2012650,1.00,7.00,3.00,4.00,6.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2012669,2.00,6.00,3.00,7.00,7.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2012677,4.00,7.00,7.00,9.00,6.00,7.25,9.00,4.00,7.00,NULL,NULL,NULL,'N'),(15,2012685,3.00,4.00,0.00,5.00,8.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2012707,5.00,8.00,5.00,5.00,9.00,4.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2012715,7.00,6.00,9.00,7.00,8.00,6.75,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2012723,5.00,8.00,3.00,8.00,6.00,5.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2012731,4.00,3.00,0.00,3.00,6.00,4.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2012740,1.00,8.00,2.00,5.00,7.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2012758,2.00,7.00,4.00,6.00,8.00,7.25,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2012766,6.00,6.00,0.00,7.00,6.00,5.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2012774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2012782,3.00,6.00,7.00,3.00,3.00,3.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2012790,5.00,6.00,4.00,3.00,6.00,3.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2012804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2012812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2012820,5.00,7.00,6.00,4.00,8.00,5.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2012839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2012847,2.00,3.00,2.00,5.00,7.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2012863,3.00,4.00,4.00,4.00,8.00,3.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2012871,5.00,7.00,3.00,6.00,6.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2012880,4.00,6.00,4.00,8.00,7.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2012898,4.00,6.00,5.00,6.00,4.00,6.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2012901,3.00,8.00,7.00,7.00,7.00,7.25,7.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2012928,6.00,5.00,5.00,4.00,7.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2012936,3.00,6.00,6.00,7.00,8.00,6.50,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2012944,5.00,7.00,5.00,7.00,8.00,6.25,6.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2012952,2.00,7.00,1.00,4.00,5.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2012960,0.00,3.00,1.00,4.00,6.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2012979,3.00,5.00,2.00,5.00,7.00,5.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2012987,9.00,9.00,8.00,8.00,7.00,6.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2012995,4.00,6.00,4.00,6.00,4.00,7.00,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2013002,4.00,6.00,5.00,7.00,8.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2013010,6.00,8.00,9.00,7.00,8.00,5.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2013029,3.00,7.00,6.00,4.00,7.00,4.25,8.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2013037,1.00,1.00,1.00,0.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2013045,1.00,3.00,2.00,1.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2013053,4.00,2.00,4.00,3.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2013061,0.00,5.00,3.00,4.00,6.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2013070,2.00,8.00,8.00,7.00,7.00,6.50,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2013088,0.00,6.00,0.00,1.00,4.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2013096,2.00,4.00,2.00,5.00,5.00,4.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2013100,2.00,3.00,2.00,4.00,4.00,6.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2013118,8.00,9.00,6.00,9.00,8.00,7.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2013126,5.00,7.00,6.00,5.00,8.00,6.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2013134,4.00,4.00,5.00,5.00,7.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2013142,3.00,6.00,3.00,6.00,7.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2013150,4.00,4.00,5.00,6.00,5.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2013169,3.00,7.00,6.00,7.00,5.00,6.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2013177,3.00,7.00,4.00,7.00,7.00,6.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2013193,2.00,4.00,2.00,4.00,5.00,5.25,4.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2013215,5.00,8.00,3.00,7.00,7.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2013231,7.00,5.00,7.00,8.00,7.00,6.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2013240,3.00,5.00,4.00,3.00,6.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2013258,1.00,0.00,2.00,2.00,1.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2013274,6.00,9.00,8.00,6.00,9.00,7.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2013290,4.00,5.00,5.00,5.00,8.00,0.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2013304,4.00,6.00,5.00,3.00,6.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2013312,3.00,7.00,2.00,7.00,6.00,5.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2013320,5.00,8.00,6.00,7.00,9.00,5.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2013339,3.00,7.00,5.00,7.00,7.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2013363,7.00,7.00,9.00,8.00,7.00,6.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2013371,8.00,7.00,9.00,9.00,9.00,6.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2013380,4.00,8.00,4.00,0.00,9.00,3.00,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2013398,6.00,7.00,8.00,7.00,7.00,6.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2013401,2.00,5.00,0.00,6.00,5.00,4.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2013410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2013428,3.00,6.00,4.00,7.00,8.00,5.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2013444,4.00,5.00,5.00,8.00,7.00,7.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2013452,6.00,9.00,3.00,7.00,5.00,6.00,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2013460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2013479,1.00,3.00,4.00,7.00,6.00,4.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2013487,1.00,6.00,3.00,2.00,5.00,4.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2013495,4.00,8.00,6.00,5.00,7.00,6.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2013517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2013525,4.00,8.00,8.00,9.00,7.00,7.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2013533,3.00,6.00,5.00,6.00,8.00,6.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2013541,6.00,5.00,7.00,6.00,8.00,6.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2013568,4.00,9.00,7.00,7.00,8.00,8.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2013576,6.00,8.00,6.00,2.00,6.00,6.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2013584,2.00,5.00,1.00,1.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2013592,3.00,6.00,4.00,4.00,4.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2013614,4.00,4.00,3.00,3.00,7.00,5.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2013622,2.00,6.00,7.00,2.00,5.00,5.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2013630,2.00,6.00,3.00,3.00,6.00,5.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2013649,1.00,4.00,2.00,4.00,8.00,6.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2013657,5.00,7.00,6.00,5.00,7.00,5.25,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2013665,5.00,8.00,7.00,9.00,9.00,7.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2013673,4.00,7.00,7.00,6.00,7.00,5.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2013690,7.00,9.00,8.00,8.00,8.00,8.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2013703,5.00,8.00,9.00,5.00,9.00,5.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2013711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2013720,5.00,7.00,5.00,3.00,6.00,5.50,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2013738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2013746,4.00,4.00,5.00,6.00,7.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2013754,5.00,7.00,3.00,8.00,7.00,5.50,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2013762,2.00,5.00,4.00,8.00,5.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2013770,3.00,4.00,5.00,6.00,7.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2013789,1.00,3.00,1.00,4.00,5.00,5.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2013797,3.00,5.00,2.00,2.00,7.00,5.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2013800,6.00,8.00,5.00,8.00,7.00,6.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2013819,5.00,6.00,2.00,4.00,7.00,5.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2013827,6.00,4.00,4.00,4.00,7.00,5.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2013835,2.00,6.00,5.00,7.00,9.00,6.00,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2013843,3.00,6.00,1.00,8.00,5.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2013851,3.00,6.00,4.00,5.00,6.00,7.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2013886,9.00,7.00,8.00,9.00,8.00,5.75,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2013894,6.00,5.00,4.00,7.00,7.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2013908,3.00,6.00,2.00,7.00,5.00,6.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2013916,7.00,8.00,7.00,8.00,8.00,6.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2013924,8.00,8.00,7.00,7.00,8.00,6.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2013932,2.00,5.00,3.00,2.00,4.00,5.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2013940,5.00,9.00,6.00,8.00,9.00,7.75,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2013959,7.00,8.00,9.00,9.00,8.00,6.50,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2013967,5.00,5.00,7.00,5.00,7.00,5.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2013975,2.00,6.00,5.00,4.00,7.00,5.50,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2013983,6.00,7.00,5.00,7.00,6.00,5.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2013991,0.00,6.00,2.00,5.00,5.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2014009,8.00,8.00,9.00,9.00,8.00,6.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2014017,8.00,8.00,9.00,8.00,8.00,7.50,9.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2014025,5.00,6.00,6.00,6.00,6.00,4.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2014033,6.00,8.00,8.00,9.00,9.00,8.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2014041,1.00,7.00,3.00,6.00,4.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2014050,5.00,7.00,1.00,4.00,8.00,6.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2014068,2.00,5.00,3.00,4.00,7.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2014076,3.00,6.00,7.00,6.00,8.00,3.00,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2014106,5.00,6.00,8.00,7.00,6.00,3.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2014114,5.00,6.00,5.00,5.00,5.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2014122,6.00,8.00,8.00,7.00,8.00,6.25,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2014130,5.00,6.00,2.00,5.00,7.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2014157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2014173,4.00,4.00,4.00,6.00,7.00,4.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2014181,7.00,9.00,9.00,8.00,8.00,6.25,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2014203,5.00,9.00,8.00,5.00,8.00,5.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2014220,3.00,8.00,4.00,5.00,7.00,7.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2014238,6.00,7.00,9.00,9.00,9.00,6.75,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2014254,1.00,8.00,3.00,5.00,7.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2014270,8.00,9.00,9.00,7.00,9.00,6.50,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2014289,3.00,6.00,3.00,1.00,6.00,4.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2014297,4.00,8.00,4.00,3.00,6.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2014319,2.00,6.00,4.00,7.00,6.00,6.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2014327,5.00,7.00,7.00,4.00,7.00,4.75,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2014335,7.00,7.00,8.00,7.00,8.00,5.75,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2014343,8.00,8.00,9.00,8.00,8.00,7.00,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2014351,1.00,7.00,5.00,4.00,4.00,6.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2014360,6.00,4.00,6.00,5.00,6.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2014378,5.00,6.00,7.00,9.00,8.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2014386,5.00,6.00,7.00,6.00,8.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2014394,3.00,7.00,7.00,2.00,6.00,7.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2014408,5.00,5.00,4.00,4.00,6.00,4.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2014424,7.00,8.00,8.00,8.00,9.00,6.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2014432,2.00,7.00,6.00,7.00,5.00,5.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2014440,3.00,6.00,5.00,6.00,8.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2014459,6.00,7.00,5.00,8.00,8.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2014467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2014475,5.00,8.00,8.00,9.00,9.00,7.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2014491,2.00,6.00,2.00,3.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2014505,2.00,2.00,0.00,2.00,6.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2014513,4.00,8.00,2.00,7.00,7.00,8.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2014521,1.00,5.00,3.00,3.00,4.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2014548,4.00,8.00,6.00,6.00,7.00,6.00,8.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2014564,4.00,8.00,4.00,7.00,6.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2014580,7.00,9.00,7.00,3.00,8.00,7.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2014602,3.00,6.00,5.00,7.00,8.00,6.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2014610,4.00,6.00,5.00,7.00,8.00,7.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2014629,4.00,7.00,6.00,5.00,7.00,6.25,6.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2014637,4.00,4.00,5.00,6.00,6.00,5.75,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2014645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2014653,4.00,8.00,5.00,10.00,7.00,8.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2014661,4.00,8.00,6.00,9.00,6.00,6.75,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2014670,1.00,6.00,6.00,6.00,9.00,3.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2014688,5.00,8.00,4.00,5.00,6.00,5.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2014696,3.00,6.00,3.00,2.00,3.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2014700,4.00,7.00,7.00,6.00,8.00,4.75,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2014718,8.00,9.00,7.00,9.00,8.00,8.00,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2014726,3.00,5.00,5.00,1.00,6.00,4.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2014742,2.00,8.00,5.00,5.00,8.00,6.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2014750,5.00,8.00,6.00,4.00,9.00,6.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2014769,4.00,5.00,3.00,2.00,3.00,3.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2014785,5.00,8.00,6.00,9.00,8.00,8.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2014793,5.00,8.00,8.00,7.00,8.00,9.00,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2014807,5.00,6.00,7.00,7.00,6.00,4.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2014823,4.00,8.00,6.00,4.00,8.00,3.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2014831,0.00,4.00,1.00,4.00,3.00,3.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2014840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2014866,5.00,9.00,9.00,9.00,9.00,5.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2014874,3.00,8.00,6.00,6.00,7.00,5.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2014882,6.00,6.00,8.00,9.00,7.00,6.25,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2014890,5.00,9.00,4.00,6.00,7.00,5.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2014904,2.00,6.00,1.00,1.00,6.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2014912,4.00,5.00,5.00,4.00,3.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2014920,4.00,6.00,8.00,1.00,7.00,6.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2014939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2014947,3.00,6.00,6.00,7.00,7.00,5.00,7.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2014955,2.00,4.00,0.00,3.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2014963,7.00,8.00,10.00,9.00,9.00,7.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2014971,4.00,7.00,5.00,4.00,4.00,4.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2015005,3.00,7.00,4.00,6.00,8.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2015021,4.00,6.00,5.00,4.00,5.00,5.50,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2015030,6.00,7.00,5.00,7.00,8.00,4.00,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2015048,1.00,5.00,4.00,7.00,7.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2015064,3.00,7.00,4.00,7.00,6.00,4.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2015072,3.00,6.00,1.00,4.00,7.00,6.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2015080,6.00,6.00,7.00,8.00,8.00,4.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2015102,2.00,8.00,4.00,3.00,6.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2015110,4.00,6.00,5.00,5.00,6.00,3.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2015129,1.00,6.00,5.00,2.00,3.00,5.50,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2015137,4.00,4.00,6.00,6.00,5.00,5.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2015161,4.00,6.00,6.00,4.00,6.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2015196,3.00,4.00,3.00,7.00,8.00,3.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2015200,1.00,2.00,1.00,0.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2015226,1.00,5.00,4.00,9.00,6.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2015234,4.00,7.00,3.00,5.00,6.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2015242,2.00,7.00,4.00,6.00,8.00,8.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2015250,8.00,8.00,9.00,8.00,9.00,6.25,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2015269,8.00,8.00,5.00,7.00,8.00,4.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2015277,7.00,7.00,7.00,7.00,7.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2015285,2.00,6.00,2.00,2.00,6.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2015293,0.00,6.00,2.00,3.00,9.00,6.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2015307,5.00,8.00,3.00,6.00,8.00,7.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2015315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2015323,5.00,8.00,5.00,7.00,5.00,5.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2015331,3.00,9.00,4.00,9.00,8.00,7.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2015340,4.00,5.00,5.00,7.00,8.00,6.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2015358,3.00,5.00,1.00,1.00,5.00,4.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2015366,0.00,4.00,0.00,1.00,8.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2015374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2015382,5.00,8.00,7.00,9.00,9.00,5.50,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2015404,5.00,6.00,6.00,2.00,4.00,4.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2015420,7.00,8.00,6.00,9.00,7.00,8.75,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2015439,4.00,7.00,4.00,3.00,5.00,4.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2015447,7.00,7.00,8.00,8.00,9.00,6.50,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2015463,7.00,8.00,9.00,6.00,9.00,5.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2015471,6.00,8.00,2.00,8.00,8.00,6.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2015480,1.00,7.00,5.00,4.00,7.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2015498,2.00,5.00,4.00,8.00,8.00,5.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2015501,2.00,5.00,4.00,5.00,6.00,5.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2015510,5.00,7.00,5.00,2.00,7.00,7.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2015528,8.00,9.00,7.00,4.00,8.00,4.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2015536,6.00,8.00,8.00,5.00,7.00,6.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2015544,4.00,8.00,7.00,5.00,8.00,6.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2015560,3.00,7.00,5.00,8.00,8.00,6.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2015587,3.00,6.00,5.00,8.00,5.00,5.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2015595,6.00,9.00,6.00,4.00,7.00,6.25,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2015609,5.00,6.00,1.00,2.00,4.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2015617,8.00,9.00,9.00,5.00,9.00,6.75,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2015625,4.00,7.00,4.00,7.00,7.00,6.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2015633,1.00,7.00,2.00,3.00,6.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2015641,6.00,7.00,6.00,9.00,8.00,5.75,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2015650,6.00,8.00,5.00,7.00,8.00,8.00,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2015668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2015676,3.00,6.00,4.00,2.00,6.00,5.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2015692,3.00,6.00,3.00,2.00,5.00,5.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2015706,8.00,8.00,10.00,8.00,9.00,4.75,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2015714,6.00,7.00,6.00,9.00,7.00,5.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2015722,5.00,7.00,7.00,8.00,7.00,3.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2015730,5.00,9.00,7.00,7.00,8.00,7.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2015749,2.00,6.00,5.00,7.00,7.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2015757,8.00,8.00,8.00,7.00,5.00,6.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2015765,2.00,5.00,5.00,2.00,6.00,4.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2015773,1.00,7.00,5.00,7.00,4.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2015781,3.00,6.00,6.00,9.00,6.00,7.50,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2015790,2.00,5.00,2.00,1.00,6.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2015820,4.00,7.00,6.00,8.00,9.00,7.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2015838,7.00,8.00,9.00,10.00,9.00,6.25,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2015846,6.00,9.00,9.00,4.00,7.00,5.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2015870,3.00,3.00,4.00,6.00,7.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2015889,6.00,8.00,9.00,9.00,5.00,6.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2015897,4.00,9.00,8.00,7.00,8.00,4.75,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2015900,2.00,8.00,2.00,6.00,8.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2015919,4.00,3.00,4.00,8.00,7.00,5.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2015927,6.00,8.00,6.00,8.00,9.00,6.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2015935,2.00,4.00,2.00,5.00,1.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2015943,5.00,6.00,5.00,6.00,7.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2015951,3.00,6.00,8.00,5.00,7.00,5.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2015960,4.00,9.00,9.00,6.00,9.00,7.25,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2015978,8.00,8.00,8.00,8.00,8.00,8.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2015986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2015994,4.00,8.00,3.00,3.00,5.00,5.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2016001,2.00,8.00,7.00,9.00,9.00,8.25,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2016010,7.00,7.00,8.00,8.00,8.00,6.50,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2016028,7.00,6.00,7.00,9.00,8.00,7.50,8.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2016036,3.00,6.00,5.00,4.00,5.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2016052,4.00,6.00,4.00,7.00,9.00,5.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2016060,3.00,4.00,3.00,4.00,5.00,5.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2016079,6.00,9.00,8.00,3.00,9.00,6.00,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2016087,3.00,6.00,3.00,4.00,6.00,5.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2016109,3.00,7.00,5.00,9.00,7.00,8.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2016117,6.00,9.00,6.00,9.00,9.00,6.25,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2016125,4.00,8.00,5.00,9.00,8.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2016133,3.00,4.00,2.00,7.00,7.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2016141,5.00,8.00,7.00,5.00,8.00,3.75,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2016150,2.00,6.00,2.00,5.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2016176,0.00,4.00,2.00,1.00,5.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2016192,7.00,5.00,9.00,6.00,5.00,5.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2016206,2.00,9.00,5.00,8.00,8.00,6.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2016214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2016222,7.00,6.00,6.00,7.00,8.00,6.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2016230,3.00,5.00,6.00,6.00,4.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2016249,3.00,8.00,2.00,6.00,8.00,7.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2016257,8.00,8.00,7.00,7.00,8.00,8.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2016265,2.00,4.00,4.00,6.00,6.00,6.50,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2016281,2.00,6.00,3.00,3.00,9.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2016290,6.00,7.00,9.00,7.00,8.00,5.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2016303,3.00,5.00,2.00,1.00,4.00,5.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2016311,0.00,5.00,0.00,5.00,6.00,4.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2016320,4.00,9.00,5.00,8.00,8.00,6.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2016338,5.00,5.00,4.00,6.00,8.00,7.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2016346,4.00,6.00,2.00,2.00,7.00,4.00,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2016370,8.00,8.00,9.00,9.00,9.00,7.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2016389,6.00,7.00,5.00,9.00,7.00,6.50,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2016397,4.00,6.00,3.00,4.00,5.00,5.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2016400,2.00,5.00,0.00,5.00,5.00,4.50,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2016419,7.00,7.00,7.00,7.00,7.00,7.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2016427,0.00,5.00,1.00,6.00,4.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2016435,3.00,7.00,4.00,6.00,9.00,7.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2016443,5.00,5.00,5.00,4.00,8.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2016460,0.00,0.00,0.00,5.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2016478,1.00,4.00,1.00,2.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2016494,2.00,4.00,1.00,3.00,7.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2016508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2016516,1.00,5.00,4.00,5.00,6.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2016524,5.00,8.00,4.00,7.00,8.00,6.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2016532,5.00,8.00,6.00,6.00,6.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2016540,5.00,5.00,7.00,3.00,3.00,5.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2016559,6.00,8.00,7.00,8.00,8.00,6.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2016575,5.00,8.00,9.00,4.00,8.00,6.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2016583,8.00,9.00,9.00,9.00,8.00,8.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2016591,5.00,6.00,8.00,9.00,8.00,5.75,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2016605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2016613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2016621,0.00,2.00,0.00,1.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2016630,0.00,2.00,1.00,4.00,8.00,7.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2016648,4.00,8.00,5.00,9.00,6.00,5.75,5.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2016656,4.00,9.00,7.00,7.00,9.00,8.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2016664,6.00,9.00,8.00,6.00,8.00,6.75,9.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2016680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2016699,4.00,7.00,6.00,8.00,7.00,5.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2016702,6.00,7.00,1.00,4.00,7.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2016710,7.00,9.00,9.00,9.00,8.00,8.00,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2016729,7.00,8.00,8.00,9.00,8.00,7.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2016745,1.00,4.00,5.00,5.00,7.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2016753,3.00,7.00,7.00,6.00,3.00,4.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2016761,5.00,8.00,8.00,9.00,8.00,5.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2016770,2.00,4.00,1.00,3.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2016788,3.00,5.00,2.00,3.00,7.00,6.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2016796,8.00,9.00,8.00,9.00,9.00,7.00,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2016800,1.00,3.00,2.00,5.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2016818,4.00,6.00,6.00,4.00,5.00,5.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2016826,6.00,6.00,3.00,7.00,9.00,5.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2016842,2.00,6.00,3.00,6.00,7.00,5.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2016850,1.00,5.00,4.00,2.00,6.00,6.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2016869,4.00,5.00,3.00,8.00,5.00,4.50,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2016877,7.00,7.00,8.00,9.00,9.00,6.25,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2016885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2016893,7.00,7.00,9.00,8.00,6.00,7.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2016907,5.00,5.00,3.00,6.00,7.00,5.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2016915,7.00,8.00,6.00,8.00,9.00,5.50,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2016923,3.00,6.00,6.00,6.00,8.00,6.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2016931,6.00,5.00,7.00,5.00,5.00,4.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2016940,7.00,9.00,8.00,6.00,8.00,7.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2016958,4.00,8.00,7.00,9.00,6.00,5.50,8.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2016966,4.00,8.00,3.00,6.00,6.00,6.50,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2016982,4.00,8.00,7.00,9.00,9.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2017008,1.00,7.00,3.00,2.00,6.00,6.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2017016,0.00,5.00,3.00,2.00,6.00,5.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2017032,4.00,7.00,7.00,5.00,7.00,6.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2017040,3.00,6.00,1.00,9.00,7.00,5.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2017059,7.00,9.00,9.00,8.00,8.00,6.25,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2017067,4.00,5.00,6.00,8.00,6.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2017083,5.00,8.00,7.00,9.00,8.00,6.75,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2017091,5.00,8.00,3.00,6.00,8.00,6.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2017105,2.00,5.00,3.00,6.00,7.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2017113,7.00,9.00,9.00,9.00,8.00,6.25,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2017121,4.00,8.00,1.00,5.00,6.00,4.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2017130,6.00,7.00,8.00,8.00,8.00,8.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2017148,1.00,4.00,4.00,6.00,5.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2017156,4.00,7.00,8.00,7.00,8.00,7.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2017164,2.00,6.00,4.00,4.00,8.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2017172,4.00,5.00,5.00,5.00,6.00,6.50,7.00,2.00,6.00,NULL,NULL,NULL,'N'),(15,2017180,4.00,8.00,5.00,7.00,8.00,3.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2017199,6.00,9.00,8.00,9.00,9.00,5.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2017202,4.00,8.00,2.00,6.00,8.00,2.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2017210,8.00,8.00,5.00,8.00,8.00,5.75,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2017237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2017253,3.00,6.00,4.00,7.00,6.00,5.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2017261,3.00,4.00,4.00,7.00,7.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2017270,6.00,8.00,7.00,6.00,9.00,7.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2017296,2.00,6.00,4.00,3.00,7.00,6.00,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2017300,3.00,6.00,4.00,9.00,6.00,6.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2017318,3.00,8.00,5.00,6.00,7.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2017326,2.00,7.00,2.00,7.00,6.00,4.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2017334,4.00,7.00,7.00,3.00,7.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2017342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2017369,3.00,5.00,6.00,6.00,7.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2017377,9.00,8.00,9.00,8.00,9.00,8.25,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2017385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2017393,9.00,8.00,9.00,8.00,6.00,5.25,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2017415,1.00,2.00,1.00,5.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2017423,3.00,7.00,8.00,5.00,6.00,6.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2017431,3.00,6.00,7.00,5.00,6.00,6.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2017440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2017458,3.00,6.00,2.00,2.00,6.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2017466,7.00,9.00,9.00,5.00,7.00,4.00,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2017474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2017482,3.00,5.00,1.00,4.00,6.00,5.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2017490,3.00,7.00,4.00,6.00,8.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2017512,7.00,9.00,7.00,7.00,8.00,7.00,9.00,9.00,9.00,NULL,NULL,NULL,'N'),(15,2017539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2017547,1.00,7.00,0.00,3.00,6.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2017555,2.00,6.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2017563,6.00,8.00,5.00,7.00,8.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2017571,5.00,8.00,7.00,7.00,6.00,7.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2017580,2.00,6.00,2.00,6.00,3.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2017598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2017601,1.00,2.00,1.00,6.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2017610,6.00,7.00,6.00,4.00,8.00,6.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2017636,5.00,8.00,5.00,6.00,7.00,6.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2017652,1.00,6.00,0.00,6.00,4.00,5.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2017660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2017679,1.00,3.00,8.00,7.00,6.00,5.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2017687,4.00,6.00,5.00,7.00,7.00,5.75,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2017695,7.00,9.00,9.00,9.00,9.00,7.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2017709,5.00,7.00,6.00,7.00,7.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2017717,5.00,5.00,6.00,6.00,8.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2017725,4.00,6.00,2.00,6.00,9.00,5.00,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2017733,4.00,3.00,1.00,6.00,8.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2017741,4.00,8.00,4.00,4.00,6.00,5.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2017750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2017768,3.00,6.00,2.00,2.00,8.00,6.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2017776,7.00,8.00,7.00,5.00,6.00,5.50,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2017784,3.00,7.00,9.00,4.00,8.00,4.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2017792,3.00,6.00,2.00,3.00,5.00,2.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2017814,4.00,6.00,1.00,8.00,5.00,5.25,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2017822,4.00,8.00,7.00,6.00,7.00,5.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2017830,7.00,9.00,6.00,5.00,9.00,6.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2017857,3.00,7.00,4.00,5.00,6.00,5.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2017865,6.00,6.00,5.00,6.00,7.00,4.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2017873,4.00,6.00,4.00,7.00,8.00,7.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2017881,3.00,5.00,6.00,1.00,6.00,4.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2017890,5.00,8.00,7.00,7.00,5.00,6.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2017903,2.00,6.00,2.00,5.00,6.00,6.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2017911,6.00,6.00,6.00,7.00,6.00,6.00,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2017938,5.00,8.00,6.00,6.00,9.00,5.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2017946,5.00,4.00,8.00,6.00,5.00,5.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2017954,2.00,3.00,5.00,5.00,7.00,5.50,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2017962,3.00,4.00,3.00,4.00,5.00,4.75,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2017970,3.00,5.00,5.00,3.00,7.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2017997,5.00,7.00,4.00,7.00,8.00,8.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2018012,4.00,7.00,4.00,8.00,7.00,6.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2018020,3.00,7.00,4.00,7.00,7.00,0.00,4.00,6.00,6.00,NULL,NULL,NULL,'S'),(15,2018047,5.00,8.00,8.00,7.00,6.00,6.25,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2018055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2018063,6.00,7.00,5.00,6.00,7.00,5.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2018071,3.00,2.00,4.00,7.00,5.00,6.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2018080,3.00,7.00,5.00,6.00,8.00,5.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2018098,5.00,6.00,8.00,8.00,8.00,5.25,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2018101,6.00,7.00,4.00,7.00,7.00,5.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2018110,4.00,7.00,4.00,3.00,7.00,7.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2018128,3.00,6.00,6.00,7.00,7.00,6.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2018136,7.00,9.00,8.00,7.00,7.00,5.75,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2018144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2018160,1.00,6.00,3.00,7.00,7.00,6.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2018179,3.00,8.00,6.00,9.00,7.00,6.00,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2018187,6.00,6.00,8.00,4.00,7.00,4.75,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2018195,3.00,4.00,3.00,6.00,8.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2018209,1.00,4.00,5.00,6.00,3.00,6.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2018217,2.00,5.00,6.00,7.00,4.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2018225,3.00,5.00,1.00,6.00,7.00,6.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2018233,6.00,8.00,5.00,9.00,6.00,6.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2018241,5.00,6.00,6.00,5.00,7.00,5.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2018250,2.00,3.00,0.00,5.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2018268,0.00,2.00,1.00,1.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2018276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2018284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2018292,0.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2018306,5.00,6.00,2.00,6.00,8.00,5.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2018314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2018330,4.00,5.00,5.00,6.00,8.00,5.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2018349,5.00,6.00,2.00,5.00,7.00,5.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2018365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2018373,3.00,6.00,3.00,2.00,6.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2018381,7.00,7.00,8.00,9.00,8.00,7.25,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2018403,3.00,5.00,5.00,7.00,6.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2018411,3.00,8.00,3.00,7.00,8.00,4.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2018420,7.00,8.00,7.00,5.00,8.00,7.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2018438,2.00,6.00,5.00,6.00,4.00,4.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2018454,3.00,3.00,3.00,5.00,5.00,4.75,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2018462,5.00,6.00,3.00,4.00,7.00,5.75,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2018470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2018489,5.00,6.00,8.00,8.00,8.00,6.75,7.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2018527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2018535,0.00,3.00,1.00,5.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2018543,7.00,8.00,6.00,8.00,9.00,6.00,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2018551,6.00,7.00,6.00,8.00,6.00,5.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2018560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2018578,4.00,8.00,6.00,7.00,9.00,8.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2018608,2.00,3.00,2.00,5.00,6.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2018616,2.00,9.00,3.00,5.00,6.00,4.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2018624,4.00,6.00,3.00,8.00,7.00,8.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2018640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2018659,2.00,7.00,4.00,5.00,7.00,5.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2018667,2.00,9.00,3.00,2.00,7.00,5.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2018675,6.00,7.00,8.00,5.00,7.00,6.75,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2018683,3.00,4.00,1.00,2.00,4.00,6.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2018691,2.00,8.00,5.00,3.00,8.00,6.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2018705,2.00,3.00,0.00,0.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2018713,2.00,4.00,4.00,5.00,6.00,5.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2018721,5.00,7.00,5.00,4.00,6.00,3.25,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2018748,4.00,5.00,7.00,8.00,8.00,7.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2018756,3.00,6.00,3.00,7.00,4.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2018764,7.00,8.00,7.00,6.00,8.00,5.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2018772,7.00,8.00,4.00,7.00,8.00,6.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2018780,2.00,4.00,1.00,0.00,8.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2018799,3.00,3.00,4.00,2.00,8.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2018802,3.00,9.00,5.00,6.00,9.00,5.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2018810,1.00,2.00,0.00,4.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2018829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2018845,4.00,7.00,2.00,7.00,7.00,7.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2018861,3.00,4.00,3.00,4.00,7.00,6.75,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2018888,5.00,8.00,6.00,9.00,5.00,4.25,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2018896,7.00,9.00,6.00,6.00,8.00,7.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2018900,7.00,9.00,9.00,6.00,8.00,7.00,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2018918,7.00,9.00,7.00,8.00,9.00,5.00,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2018926,3.00,6.00,4.00,6.00,6.00,6.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2018934,3.00,6.00,8.00,1.00,5.00,5.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2018969,3.00,3.00,1.00,4.00,5.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2018977,7.00,5.00,1.00,7.00,6.00,4.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2018985,1.00,3.00,2.00,2.00,8.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2019000,1.00,5.00,6.00,7.00,5.00,5.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2019027,6.00,5.00,4.00,4.00,8.00,6.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2019043,2.00,5.00,0.00,1.00,4.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2019060,8.00,7.00,9.00,3.00,8.00,5.25,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2019078,3.00,6.00,4.00,5.00,6.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2019086,3.00,5.00,1.00,3.00,6.00,3.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2019094,6.00,6.00,1.00,5.00,7.00,5.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2019116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2019124,1.00,5.00,2.00,6.00,5.00,6.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2019132,1.00,4.00,0.00,3.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2019140,0.00,8.00,1.00,1.00,5.00,7.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2019167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2019183,4.00,9.00,3.00,8.00,8.00,7.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2019191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2019205,2.00,4.00,3.00,5.00,8.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2019248,5.00,4.00,1.00,4.00,6.00,5.00,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2019264,6.00,6.00,6.00,8.00,7.00,7.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2019272,2.00,4.00,6.00,5.00,8.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2019299,4.00,6.00,8.00,9.00,7.00,6.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2019302,4.00,6.00,4.00,3.00,6.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2019329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2019337,4.00,8.00,2.00,3.00,8.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2019345,3.00,7.00,4.00,6.00,6.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2019353,0.00,5.00,4.00,1.00,5.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2019361,7.00,8.00,8.00,8.00,8.00,6.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2019370,4.00,5.00,3.00,4.00,7.00,5.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2019388,6.00,8.00,6.00,5.00,9.00,4.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2019396,0.00,2.00,1.00,2.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2019400,8.00,8.00,6.00,4.00,8.00,5.25,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2019418,3.00,6.00,2.00,5.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2019434,2.00,7.00,3.00,6.00,7.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2019442,5.00,6.00,5.00,6.00,8.00,3.75,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2019450,8.00,9.00,6.00,6.00,8.00,5.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2019485,5.00,5.00,3.00,6.00,8.00,6.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2019493,5.00,8.00,8.00,8.00,7.00,6.50,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2019507,2.00,6.00,2.00,5.00,7.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2019515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2019523,3.00,5.00,2.00,4.00,8.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2019531,5.00,6.00,3.00,6.00,7.00,8.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2019540,1.00,6.00,4.00,5.00,6.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2019558,5.00,7.00,4.00,7.00,8.00,7.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2019574,3.00,7.00,0.00,4.00,7.00,NULL,5.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2019582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2019612,7.00,9.00,7.00,8.00,9.00,6.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2019620,4.00,7.00,4.00,5.00,7.00,5.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2019639,4.00,7.00,4.00,4.00,6.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2019647,3.00,5.00,1.00,3.00,5.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2019655,1.00,6.00,3.00,4.00,7.00,4.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2019663,0.00,6.00,2.00,5.00,4.00,4.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2019671,1.00,6.00,5.00,3.00,6.00,4.25,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2019680,7.00,9.00,8.00,7.00,7.00,6.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2019728,3.00,8.00,3.00,4.00,7.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2019736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2019744,7.00,6.00,5.00,8.00,8.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2019760,0.00,7.00,2.00,3.00,7.00,3.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2019779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2019787,3.00,8.00,3.00,5.00,8.00,4.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2019795,3.00,5.00,3.00,3.00,7.00,6.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2019809,3.00,3.00,2.00,4.00,3.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2019825,2.00,3.00,1.00,0.00,4.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2019833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2019841,2.00,8.00,7.00,7.00,6.00,6.00,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2019850,3.00,3.00,1.00,1.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2019868,4.00,6.00,3.00,6.00,5.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2019876,3.00,3.00,3.00,3.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2019884,4.00,5.00,1.00,7.00,8.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2019892,3.00,8.00,2.00,4.00,5.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2019914,5.00,7.00,7.00,6.00,7.00,5.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2019922,2.00,4.00,4.00,7.00,7.00,5.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2019930,2.00,8.00,8.00,9.00,9.00,6.25,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2019949,5.00,7.00,6.00,4.00,7.00,7.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2019973,4.00,3.00,1.00,4.00,5.00,5.00,6.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2019981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2019990,2.00,8.00,8.00,4.00,7.00,6.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2020017,2.00,6.00,3.00,6.00,5.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2020033,3.00,6.00,3.00,4.00,2.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2020041,2.00,4.00,1.00,0.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2020050,3.00,8.00,6.00,5.00,8.00,4.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2020068,3.00,4.00,4.00,4.00,6.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2020076,4.00,5.00,1.00,5.00,5.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2020084,1.00,4.00,2.00,4.00,6.00,3.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2020092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2020106,4.00,6.00,4.00,9.00,6.00,3.75,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2020130,5.00,6.00,5.00,9.00,6.00,3.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2020157,5.00,6.00,7.00,2.00,6.00,5.25,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2020173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2020181,5.00,8.00,7.00,5.00,8.00,5.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2020190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2020203,3.00,5.00,4.00,4.00,7.00,4.50,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2020211,6.00,9.00,8.00,7.00,6.00,5.00,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2020220,7.00,8.00,5.00,8.00,8.00,6.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2020238,7.00,8.00,7.00,9.00,8.00,7.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2020254,1.00,6.00,3.00,6.00,5.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2020262,6.00,9.00,2.00,7.00,8.00,6.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2020270,7.00,8.00,8.00,6.00,8.00,6.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2020297,1.00,6.00,3.00,2.00,4.00,4.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2020300,2.00,3.00,2.00,6.00,5.00,6.75,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2020319,7.00,8.00,8.00,6.00,8.00,6.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2020327,3.00,8.00,3.00,1.00,6.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2020335,5.00,5.00,6.00,3.00,7.00,5.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2020343,3.00,5.00,4.00,2.00,5.00,3.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2020351,5.00,6.00,6.00,8.00,9.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2020378,6.00,9.00,5.00,8.00,9.00,6.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2020386,2.00,7.00,5.00,4.00,3.00,5.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2020394,4.00,9.00,8.00,9.00,8.00,7.25,9.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2020408,6.00,8.00,5.00,6.00,8.00,4.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2020432,4.00,7.00,3.00,6.00,6.00,3.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2020440,4.00,8.00,6.00,7.00,6.00,6.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2020459,2.00,6.00,3.00,6.00,7.00,6.50,7.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2020467,6.00,8.00,7.00,7.00,8.00,9.00,8.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2020475,3.00,6.00,4.00,5.00,8.00,5.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2020491,3.00,7.00,5.00,5.00,4.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2020505,2.00,3.00,2.00,4.00,4.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2020513,7.00,9.00,8.00,8.00,9.00,7.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2020521,1.00,5.00,2.00,6.00,5.00,5.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2020530,4.00,8.00,8.00,6.00,7.00,4.50,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2020548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2020572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2020580,1.00,5.00,2.00,1.00,5.00,4.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2020599,2.00,5.00,4.00,3.00,4.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2020637,5.00,7.00,6.00,9.00,8.00,6.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2020645,4.00,7.00,3.00,3.00,5.00,4.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2020653,4.00,7.00,4.00,7.00,8.00,4.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2020661,1.00,6.00,3.00,4.00,8.00,3.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2020688,5.00,7.00,1.00,7.00,5.00,6.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2020696,4.00,8.00,7.00,9.00,9.00,5.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2020700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2020726,5.00,8.00,7.00,5.00,8.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2020742,5.00,7.00,7.00,6.00,8.00,5.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2020750,3.00,5.00,2.00,5.00,5.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2020777,2.00,5.00,3.00,7.00,4.00,4.75,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2020785,3.00,4.00,4.00,6.00,6.00,5.75,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2020793,3.00,4.00,3.00,4.00,6.00,4.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2020807,3.00,7.00,1.00,5.00,6.00,5.00,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2020823,6.00,8.00,9.00,8.00,8.00,5.25,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2020831,5.00,7.00,4.00,5.00,6.00,3.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2020858,3.00,7.00,5.00,8.00,6.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2020866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2020874,2.00,6.00,4.00,5.00,8.00,5.00,6.00,0.00,3.00,NULL,NULL,NULL,'N'),(15,2020882,3.00,4.00,5.00,3.00,7.00,4.25,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2020890,5.00,7.00,6.00,3.00,9.00,5.75,7.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2020912,4.00,7.00,7.00,6.00,7.00,4.25,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2020920,3.00,7.00,5.00,2.00,8.00,5.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2020939,2.00,6.00,1.00,5.00,9.00,2.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2020947,0.00,5.00,4.00,4.00,6.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2020955,5.00,7.00,5.00,8.00,8.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2020963,3.00,4.00,2.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2020971,2.00,8.00,4.00,7.00,5.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2020980,2.00,6.00,4.00,4.00,5.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2020998,4.00,8.00,7.00,5.00,7.00,7.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2021005,8.00,6.00,6.00,4.00,8.00,7.75,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2021013,8.00,7.00,9.00,9.00,8.00,8.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2021021,5.00,8.00,7.00,7.00,9.00,6.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2021030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2021048,1.00,2.00,3.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2021056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2021064,1.00,3.00,2.00,4.00,4.00,4.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2021072,4.00,6.00,3.00,8.00,7.00,4.50,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2021080,6.00,9.00,8.00,5.00,9.00,5.00,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2021099,2.00,2.00,1.00,5.00,7.00,6.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2021102,7.00,8.00,9.00,6.00,9.00,6.25,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2021110,0.00,1.00,1.00,3.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2021129,1.00,6.00,5.00,3.00,5.00,3.75,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2021137,3.00,3.00,4.00,1.00,6.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2021153,1.00,7.00,3.00,7.00,7.00,6.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2021161,1.00,3.00,4.00,2.00,4.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2021170,3.00,7.00,2.00,6.00,5.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2021188,6.00,6.00,8.00,4.00,7.00,5.50,8.00,4.00,7.00,NULL,NULL,NULL,'N'),(15,2021196,4.00,6.00,4.00,6.00,8.00,5.50,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2021200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2021218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2021234,6.00,8.00,7.00,7.00,8.00,6.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2021242,5.00,9.00,5.00,9.00,6.00,6.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2021250,5.00,7.00,5.00,8.00,9.00,6.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2021269,5.00,8.00,5.00,7.00,8.00,6.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2021285,3.00,5.00,3.00,2.00,4.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2021293,2.00,3.00,3.00,5.00,5.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2021307,4.00,6.00,6.00,6.00,7.00,3.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2021323,4.00,6.00,4.00,2.00,7.00,5.50,7.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2021331,5.00,6.00,7.00,2.00,6.00,6.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2021340,7.00,8.00,9.00,4.00,8.00,7.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2021358,4.00,5.00,6.00,8.00,9.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2021366,7.00,7.00,6.00,7.00,8.00,5.00,8.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2021374,4.00,8.00,7.00,7.00,8.00,3.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2021382,2.00,5.00,5.00,7.00,8.00,5.75,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2021390,3.00,6.00,3.00,4.00,5.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2021404,3.00,8.00,7.00,6.00,7.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2021420,2.00,6.00,2.00,6.00,4.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2021447,0.00,2.00,1.00,1.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2021455,3.00,5.00,3.00,6.00,5.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2021463,7.00,7.00,4.00,8.00,8.00,6.25,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2021510,4.00,5.00,2.00,2.00,6.00,5.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2021528,4.00,7.00,4.00,4.00,5.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2021536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2021544,9.00,8.00,8.00,9.00,9.00,6.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2021552,1.00,6.00,3.00,8.00,4.00,7.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2021560,1.00,4.00,2.00,4.00,5.00,4.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2021579,5.00,6.00,4.00,6.00,8.00,4.25,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2021587,2.00,4.00,0.00,5.00,7.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2021609,7.00,7.00,7.00,8.00,7.00,6.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2021617,3.00,9.00,4.00,8.00,8.00,7.25,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2021625,8.00,9.00,9.00,9.00,9.00,8.75,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2021641,5.00,7.00,6.00,6.00,7.00,4.75,6.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2021650,3.00,5.00,0.00,5.00,6.00,5.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2021668,5.00,6.00,5.00,6.00,5.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2021706,5.00,7.00,6.00,4.00,5.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2021714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2021722,2.00,3.00,3.00,2.00,7.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2021749,6.00,8.00,6.00,9.00,8.00,5.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2021757,4.00,5.00,2.00,6.00,5.00,4.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2021765,4.00,6.00,3.00,3.00,5.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2021773,2.00,6.00,1.00,6.00,7.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2021781,4.00,6.00,5.00,4.00,4.00,4.75,6.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2021790,6.00,4.00,2.00,8.00,6.00,4.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2021820,2.00,4.00,0.00,2.00,5.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2021838,4.00,8.00,3.00,6.00,7.00,6.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2021846,7.00,6.00,8.00,8.00,9.00,6.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2021854,1.00,7.00,5.00,6.00,7.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2021870,1.00,8.00,3.00,5.00,6.00,4.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2021889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2021919,4.00,7.00,6.00,8.00,6.00,6.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2021927,2.00,5.00,8.00,6.00,7.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2021943,6.00,8.00,7.00,8.00,9.00,6.25,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2021951,5.00,8.00,3.00,7.00,6.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2021978,2.00,4.00,1.00,1.00,7.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2021986,7.00,9.00,7.00,9.00,7.00,7.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2021994,3.00,6.00,4.00,6.00,6.00,3.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2022001,3.00,5.00,2.00,6.00,6.00,6.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2022010,6.00,7.00,7.00,5.00,8.00,6.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2022028,3.00,4.00,2.00,4.00,8.00,4.75,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2022036,3.00,7.00,2.00,1.00,5.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2022044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2022052,6.00,8.00,6.00,8.00,7.00,6.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2022060,1.00,3.00,1.00,4.00,4.00,4.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2022079,3.00,7.00,0.00,3.00,4.00,NULL,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2022109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2022117,1.00,7.00,6.00,7.00,6.00,7.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2022125,3.00,6.00,4.00,6.00,4.00,5.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2022133,1.00,7.00,3.00,6.00,7.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2022141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2022168,2.00,4.00,1.00,0.00,4.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2022176,7.00,7.00,8.00,3.00,8.00,7.25,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2022184,5.00,7.00,5.00,4.00,8.00,5.25,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2022192,2.00,4.00,3.00,2.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2022214,6.00,7.00,5.00,6.00,8.00,5.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2022222,3.00,8.00,7.00,8.00,8.00,4.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2022230,4.00,7.00,6.00,7.00,6.00,5.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2022249,2.00,7.00,4.00,9.00,8.00,7.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2022257,7.00,7.00,8.00,9.00,8.00,6.00,7.00,6.00,6.00,NULL,NULL,NULL,'S'),(15,2022265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2022273,3.00,1.00,1.00,1.00,5.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2022281,5.00,8.00,5.00,9.00,8.00,5.50,8.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2022290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2022303,4.00,7.00,0.00,6.00,7.00,4.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2022311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2022320,4.00,6.00,0.00,4.00,7.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2022338,5.00,5.00,6.00,4.00,8.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2022346,6.00,6.00,9.00,5.00,8.00,6.75,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2022354,6.00,5.00,7.00,4.00,7.00,4.25,7.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2022362,6.00,6.00,6.00,5.00,7.00,5.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2022370,7.00,7.00,5.00,7.00,6.00,8.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2022389,7.00,8.00,7.00,8.00,9.00,6.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2022397,8.00,7.00,8.00,6.00,6.00,7.00,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2022419,2.00,5.00,0.00,3.00,6.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2022427,3.00,6.00,5.00,5.00,6.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2022443,4.00,5.00,1.00,8.00,6.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2022451,4.00,7.00,7.00,6.00,8.00,5.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2022460,2.00,1.00,2.00,0.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2022478,5.00,7.00,7.00,8.00,8.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2022486,4.00,7.00,5.00,5.00,7.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2022494,4.00,6.00,1.00,5.00,8.00,6.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2022516,3.00,8.00,5.00,8.00,9.00,6.50,5.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2022524,4.00,7.00,4.00,3.00,8.00,4.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2022532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2022540,2.00,5.00,5.00,5.00,6.00,4.00,8.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2022567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2022575,3.00,3.00,0.00,6.00,4.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2022583,2.00,7.00,2.00,1.00,6.00,4.50,9.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2022591,5.00,5.00,6.00,7.00,8.00,6.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2022605,2.00,7.00,4.00,1.00,9.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2022613,3.00,5.00,5.00,6.00,6.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2022621,6.00,7.00,8.00,7.00,7.00,6.75,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2022630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2022648,3.00,8.00,6.00,6.00,7.00,4.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2022656,8.00,9.00,9.00,9.00,8.00,6.50,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2022664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2022672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2022680,6.00,7.00,6.00,9.00,8.00,7.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2022699,5.00,7.00,5.00,2.00,8.00,6.25,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2022702,1.00,4.00,2.00,1.00,4.00,5.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2022710,9.00,9.00,9.00,8.00,8.00,7.00,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2022729,4.00,6.00,5.00,4.00,6.00,4.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2022737,5.00,8.00,5.00,8.00,7.00,6.25,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2022753,3.00,7.00,2.00,4.00,4.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2022770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2022788,7.00,9.00,8.00,9.00,8.00,6.00,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2022796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2022800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2022818,2.00,7.00,7.00,6.00,8.00,6.25,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2022826,3.00,7.00,4.00,6.00,7.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2022834,5.00,9.00,5.00,7.00,7.00,6.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2022842,1.00,5.00,3.00,0.00,6.00,4.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2022850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2022869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2022877,7.00,8.00,4.00,6.00,8.00,7.75,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2022885,7.00,7.00,7.00,9.00,8.00,7.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2022893,3.00,5.00,3.00,3.00,7.00,5.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2022907,2.00,5.00,3.00,3.00,6.00,5.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2022915,5.00,6.00,8.00,8.00,7.00,5.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2022923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2022931,6.00,8.00,5.00,5.00,9.00,5.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2022940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2022958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2022966,4.00,4.00,5.00,4.00,3.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2022974,2.00,7.00,4.00,4.00,7.00,5.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2022982,3.00,8.00,4.00,5.00,7.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2022990,2.00,6.00,4.00,1.00,7.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2023008,3.00,8.00,4.00,8.00,8.00,6.25,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2023016,3.00,9.00,9.00,8.00,6.00,5.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2023024,3.00,7.00,3.00,4.00,5.00,3.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2023032,7.00,6.00,7.00,4.00,9.00,6.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2023040,4.00,9.00,7.00,9.00,8.00,6.50,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2023059,2.00,4.00,4.00,7.00,6.00,6.50,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2023067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2023075,4.00,6.00,4.00,9.00,7.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2023083,2.00,6.00,3.00,3.00,7.00,2.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2023105,4.00,7.00,6.00,7.00,6.00,5.75,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2023121,4.00,8.00,2.00,4.00,9.00,5.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2023130,6.00,8.00,7.00,8.00,9.00,7.00,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2023148,6.00,6.00,7.00,5.00,6.00,3.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2023156,8.00,8.00,7.00,7.00,8.00,6.50,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2023164,5.00,7.00,3.00,2.00,8.00,7.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2023172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2023180,1.00,6.00,2.00,4.00,6.00,2.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2023199,4.00,6.00,5.00,6.00,6.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2023202,0.00,5.00,2.00,6.00,6.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2023210,2.00,7.00,1.00,5.00,4.00,6.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2023229,5.00,7.00,4.00,7.00,6.00,6.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2023237,7.00,7.00,4.00,5.00,6.00,6.75,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2023245,1.00,5.00,4.00,6.00,7.00,5.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2023253,2.00,3.00,3.00,3.00,7.00,4.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2023261,7.00,8.00,6.00,5.00,8.00,6.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2023288,4.00,5.00,2.00,6.00,8.00,5.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2023296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2023300,1.00,7.00,4.00,8.00,7.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2023318,5.00,7.00,3.00,7.00,8.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2023326,4.00,6.00,5.00,5.00,8.00,5.25,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2023342,5.00,7.00,2.00,4.00,8.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2023369,4.00,6.00,7.00,7.00,8.00,6.00,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2023377,4.00,8.00,5.00,8.00,9.00,6.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2023385,3.00,4.00,1.00,3.00,6.00,4.25,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2023393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2023407,3.00,7.00,3.00,4.00,7.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2023415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2023431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2023440,2.00,8.00,4.00,8.00,8.00,4.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2023458,5.00,8.00,6.00,8.00,9.00,7.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2023466,3.00,4.00,5.00,5.00,7.00,4.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2023482,6.00,6.00,7.00,8.00,8.00,6.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2023490,2.00,5.00,0.00,5.00,3.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2023504,7.00,7.00,9.00,6.00,9.00,5.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2023512,4.00,7.00,3.00,3.00,6.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2023520,5.00,8.00,7.00,8.00,6.00,6.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2023539,4.00,7.00,3.00,6.00,5.00,5.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2023555,2.00,7.00,4.00,4.00,5.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2023563,1.00,4.00,1.00,3.00,3.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2023571,1.00,3.00,3.00,0.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2023598,5.00,6.00,5.00,8.00,7.00,5.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2023601,7.00,7.00,8.00,9.00,6.00,4.75,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2023610,2.00,4.00,3.00,2.00,4.00,3.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2023628,2.00,7.00,0.00,5.00,8.00,4.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2023636,6.00,6.00,7.00,6.00,5.00,4.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2023644,2.00,3.00,2.00,3.00,7.00,5.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2023652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2023660,3.00,7.00,4.00,4.00,6.00,5.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2023679,4.00,8.00,6.00,9.00,9.00,5.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2023687,3.00,3.00,1.00,7.00,4.00,5.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2023709,2.00,7.00,3.00,6.00,6.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2023717,4.00,8.00,2.00,7.00,8.00,6.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2023725,0.00,0.00,0.00,1.00,0.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2023733,0.00,3.00,4.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2023768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2023792,1.00,6.00,1.00,0.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2023806,5.00,6.00,9.00,8.00,9.00,6.25,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2023814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2023849,6.00,7.00,5.00,7.00,8.00,6.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2023857,4.00,8.00,8.00,5.00,6.00,6.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2023865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2023873,4.00,7.00,3.00,6.00,8.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2023890,7.00,5.00,8.00,8.00,8.00,6.75,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2023903,4.00,5.00,3.00,6.00,5.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2023911,6.00,9.00,8.00,8.00,8.00,6.50,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2023938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2023946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2023954,4.00,5.00,1.00,5.00,5.00,3.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2023962,8.00,9.00,9.00,8.00,8.00,4.50,9.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2023970,0.00,5.00,4.00,3.00,6.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2023989,2.00,3.00,2.00,3.00,5.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2023997,3.00,7.00,5.00,3.00,8.00,5.50,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2024012,4.00,6.00,3.00,4.00,6.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2024039,3.00,5.00,3.00,8.00,8.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2024055,2.00,5.00,0.00,0.00,7.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2024071,2.00,5.00,3.00,2.00,3.00,3.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2024080,3.00,8.00,4.00,6.00,7.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2024101,2.00,6.00,1.00,0.00,6.00,5.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2024110,3.00,5.00,3.00,5.00,8.00,6.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2024128,2.00,7.00,3.00,5.00,7.00,5.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2024136,5.00,7.00,7.00,8.00,7.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2024144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2024152,2.00,7.00,4.00,5.00,7.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2024179,2.00,7.00,4.00,5.00,6.00,5.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2024187,4.00,3.00,2.00,4.00,4.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2024195,0.00,6.00,5.00,6.00,7.00,NULL,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2024209,4.00,4.00,0.00,3.00,7.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2024217,7.00,9.00,9.00,10.00,9.00,5.25,10.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2024225,6.00,8.00,6.00,4.00,5.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2024233,3.00,7.00,4.00,6.00,7.00,3.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2024241,2.00,4.00,1.00,0.00,7.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2024250,4.00,7.00,5.00,5.00,8.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2024268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2024276,4.00,6.00,5.00,5.00,5.00,4.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2024284,2.00,7.00,4.00,7.00,5.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2024292,5.00,6.00,6.00,6.00,8.00,3.75,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2024306,7.00,6.00,5.00,8.00,7.00,7.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2024314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2024322,6.00,7.00,5.00,7.00,6.00,5.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2024330,4.00,7.00,7.00,8.00,8.00,4.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2024349,1.00,5.00,1.00,4.00,4.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2024357,8.00,7.00,6.00,7.00,9.00,6.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2024365,2.00,4.00,4.00,5.00,4.00,6.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2024373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2024381,4.00,6.00,9.00,5.00,9.00,7.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2024411,4.00,7.00,4.00,6.00,6.00,7.25,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2024420,5.00,6.00,3.00,3.00,7.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2024438,6.00,8.00,7.00,8.00,6.00,6.25,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2024446,7.00,8.00,7.00,7.00,8.00,6.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2024454,3.00,7.00,7.00,8.00,5.00,4.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2024462,5.00,7.00,4.00,6.00,6.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2024470,5.00,9.00,6.00,8.00,7.00,6.50,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2024500,7.00,4.00,4.00,5.00,6.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2024527,3.00,6.00,4.00,3.00,8.00,6.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2024543,3.00,6.00,6.00,5.00,7.00,4.75,8.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2024551,5.00,8.00,3.00,7.00,6.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2024560,4.00,7.00,6.00,8.00,7.00,6.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2024578,2.00,6.00,4.00,6.00,7.00,5.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2024586,7.00,8.00,9.00,7.00,8.00,6.75,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2024594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2024608,5.00,9.00,8.00,8.00,7.00,3.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2024616,7.00,7.00,5.00,9.00,9.00,7.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2024624,5.00,8.00,8.00,3.00,9.00,4.75,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2024632,5.00,6.00,3.00,7.00,8.00,7.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2024640,5.00,5.00,4.00,5.00,5.00,3.50,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2024659,2.00,7.00,1.00,5.00,5.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2024667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2024683,3.00,7.00,0.00,2.00,3.00,4.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2024691,4.00,6.00,1.00,0.00,5.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2024705,1.00,3.00,2.00,2.00,5.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2024713,4.00,6.00,3.00,6.00,6.00,5.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2024730,5.00,6.00,2.00,2.00,7.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2024748,5.00,7.00,6.00,9.00,7.00,6.00,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2024764,3.00,8.00,2.00,3.00,5.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2024780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2024799,3.00,4.00,5.00,7.00,7.00,5.75,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2024802,2.00,7.00,4.00,8.00,8.00,4.25,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2024810,6.00,7.00,5.00,8.00,8.00,6.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2024829,3.00,7.00,1.00,2.00,5.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2024837,6.00,6.00,2.00,6.00,6.00,4.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2024845,5.00,7.00,5.00,7.00,6.00,3.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2024853,4.00,7.00,5.00,6.00,8.00,6.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2024861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2024870,4.00,7.00,6.00,6.00,9.00,6.00,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2024888,3.00,5.00,0.00,3.00,4.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2024896,5.00,6.00,4.00,7.00,6.00,4.75,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2024900,3.00,5.00,3.00,7.00,5.00,5.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2024926,7.00,8.00,4.00,9.00,6.00,5.00,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2024942,3.00,8.00,5.00,9.00,6.00,7.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2024977,3.00,4.00,4.00,6.00,7.00,5.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2024985,5.00,8.00,6.00,7.00,7.00,7.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2025019,7.00,7.00,5.00,6.00,5.00,5.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2025027,2.00,6.00,3.00,7.00,6.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2025035,3.00,4.00,2.00,0.00,3.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2025043,6.00,7.00,9.00,7.00,8.00,6.50,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2025051,2.00,6.00,3.00,3.00,3.00,0.00,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2025060,3.00,4.00,2.00,5.00,6.00,5.75,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2025078,5.00,5.00,3.00,3.00,8.00,6.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2025086,2.00,5.00,5.00,7.00,6.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2025094,3.00,5.00,3.00,4.00,8.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2025108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2025116,2.00,3.00,0.00,3.00,5.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2025124,5.00,5.00,4.00,2.00,7.00,4.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2025159,5.00,9.00,7.00,7.00,8.00,6.25,9.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2025167,8.00,8.00,9.00,9.00,9.00,8.00,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2025175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2025183,2.00,6.00,7.00,8.00,9.00,6.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2025205,2.00,7.00,3.00,5.00,3.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2025230,7.00,9.00,8.00,9.00,8.00,4.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2025248,2.00,5.00,2.00,4.00,5.00,3.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2025256,8.00,8.00,9.00,10.00,6.00,6.50,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2025264,6.00,7.00,2.00,0.00,7.00,6.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2025272,4.00,7.00,4.00,5.00,9.00,6.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2025280,6.00,4.00,5.00,5.00,7.00,6.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2025299,2.00,2.00,2.00,3.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2025310,5.00,5.00,3.00,8.00,9.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2025329,5.00,8.00,7.00,2.00,8.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2025353,2.00,7.00,0.00,1.00,5.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2025361,6.00,7.00,5.00,7.00,7.00,3.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2025370,2.00,7.00,5.00,7.00,7.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2025396,8.00,9.00,9.00,8.00,8.00,7.00,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2025400,4.00,6.00,5.00,9.00,8.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2025418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2025426,5.00,7.00,5.00,7.00,5.00,6.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2025442,5.00,6.00,5.00,3.00,7.00,6.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2025450,5.00,8.00,8.00,3.00,9.00,7.75,7.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2025477,1.00,5.00,2.00,5.00,4.00,4.00,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2025485,8.00,8.00,7.00,7.00,9.00,8.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2025493,2.00,4.00,3.00,6.00,5.00,7.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2025515,4.00,6.00,3.00,7.00,8.00,6.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2025531,5.00,7.00,7.00,7.00,8.00,6.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2025540,3.00,6.00,5.00,4.00,7.00,6.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2025558,0.00,4.00,1.00,6.00,6.00,4.50,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2025566,3.00,7.00,4.00,4.00,7.00,5.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2025574,3.00,7.00,5.00,7.00,7.00,7.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2025582,3.00,6.00,3.00,5.00,5.00,4.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2025590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2025604,0.00,3.00,1.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2025612,5.00,7.00,5.00,7.00,8.00,5.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2025620,4.00,7.00,4.00,7.00,8.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2025639,2.00,3.00,4.00,5.00,8.00,7.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2025647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2025655,1.00,5.00,4.00,2.00,7.00,5.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2025663,2.00,3.00,3.00,7.00,6.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2025671,7.00,7.00,5.00,6.00,7.00,5.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2025680,3.00,6.00,1.00,4.00,7.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2025698,3.00,5.00,5.00,6.00,6.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2025701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2025728,2.00,6.00,3.00,2.00,5.00,7.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2025736,3.00,5.00,4.00,5.00,5.00,5.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2025744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2025752,1.00,7.00,3.00,5.00,9.00,6.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2025779,5.00,8.00,4.00,8.00,8.00,4.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2025787,7.00,9.00,8.00,8.00,8.00,6.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2025795,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2025817,7.00,8.00,8.00,7.00,8.00,5.50,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2025825,2.00,6.00,4.00,6.00,6.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2025833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2025841,1.00,6.00,2.00,6.00,7.00,7.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2025876,3.00,6.00,5.00,4.00,6.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2025892,2.00,4.00,0.00,1.00,6.00,5.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2025906,2.00,8.00,3.00,5.00,6.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2025914,5.00,5.00,7.00,5.00,8.00,6.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2025922,5.00,7.00,4.00,4.00,8.00,5.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2025930,6.00,6.00,8.00,8.00,8.00,6.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2025949,6.00,7.00,5.00,8.00,8.00,7.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2025957,5.00,6.00,5.00,6.00,8.00,5.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2025973,4.00,7.00,6.00,7.00,9.00,7.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2025981,2.00,3.00,0.00,6.00,5.00,6.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2026007,3.00,7.00,4.00,3.00,6.00,5.25,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2026015,1.00,6.00,1.00,7.00,3.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2026023,5.00,8.00,9.00,7.00,7.00,6.50,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2026031,1.00,7.00,2.00,3.00,1.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2026040,7.00,6.00,4.00,4.00,9.00,4.75,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2026058,4.00,8.00,2.00,2.00,7.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2026066,8.00,8.00,8.00,9.00,9.00,6.50,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2026074,2.00,4.00,1.00,4.00,5.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2026090,2.00,4.00,4.00,0.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2026104,4.00,8.00,3.00,1.00,5.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2026112,5.00,8.00,5.00,5.00,8.00,7.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2026120,4.00,7.00,2.00,6.00,7.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2026139,8.00,8.00,9.00,7.00,9.00,7.00,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2026147,3.00,6.00,2.00,5.00,8.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2026155,8.00,9.00,7.00,9.00,9.00,2.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2026163,5.00,6.00,8.00,5.00,7.00,6.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2026171,3.00,1.00,2.00,2.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2026180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2026201,3.00,7.00,6.00,6.00,7.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2026210,0.00,7.00,0.00,7.00,6.00,NULL,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2026228,1.00,5.00,1.00,3.00,6.00,3.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2026236,6.00,5.00,6.00,9.00,8.00,5.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2026244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2026252,8.00,9.00,9.00,9.00,8.00,5.50,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2026260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2026279,5.00,8.00,2.00,4.00,7.00,5.25,6.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2026287,5.00,7.00,4.00,9.00,8.00,7.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2026295,4.00,7.00,7.00,6.00,8.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2026317,7.00,8.00,8.00,5.00,8.00,7.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2026325,6.00,7.00,8.00,3.00,5.00,5.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2026341,5.00,8.00,2.00,6.00,7.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2026350,8.00,7.00,6.00,6.00,8.00,4.75,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2026376,5.00,7.00,7.00,1.00,7.00,4.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2026392,3.00,7.00,4.00,6.00,3.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2026406,8.00,9.00,9.00,5.00,8.00,6.50,9.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2026422,7.00,8.00,7.00,4.00,7.00,7.25,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2026457,3.00,5.00,4.00,1.00,6.00,4.75,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2026465,1.00,5.00,7.00,6.00,4.00,3.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2026473,5.00,3.00,5.00,4.00,6.00,5.50,8.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2026490,6.00,7.00,4.00,5.00,8.00,7.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2026503,3.00,8.00,1.00,7.00,6.00,3.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2026520,5.00,7.00,3.00,7.00,8.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2026546,7.00,8.00,9.00,6.00,9.00,4.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2026554,4.00,6.00,3.00,7.00,9.00,3.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2026562,1.00,6.00,8.00,6.00,7.00,6.75,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2026570,3.00,2.00,4.00,3.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2026597,3.00,7.00,1.00,5.00,6.00,4.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2026619,2.00,6.00,4.00,7.00,9.00,7.25,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2026627,3.00,8.00,4.00,8.00,7.00,8.50,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2026635,5.00,5.00,5.00,3.00,7.00,4.25,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2026643,4.00,7.00,2.00,3.00,7.00,5.50,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2026651,4.00,8.00,2.00,5.00,7.00,4.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2026686,5.00,8.00,6.00,8.00,5.00,6.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2026694,5.00,8.00,4.00,4.00,9.00,6.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2026708,4.00,8.00,7.00,9.00,8.00,6.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2026716,4.00,5.00,5.00,2.00,6.00,5.00,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2026724,7.00,8.00,6.00,6.00,9.00,6.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2026740,4.00,6.00,7.00,5.00,4.00,5.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2026767,5.00,7.00,9.00,5.00,8.00,6.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2026775,2.00,4.00,0.00,6.00,5.00,6.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2026783,7.00,9.00,8.00,6.00,7.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2026791,6.00,7.00,7.00,5.00,6.00,7.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2026805,3.00,5.00,0.00,3.00,6.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2026813,6.00,8.00,6.00,6.00,7.00,6.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2026821,3.00,8.00,4.00,5.00,8.00,6.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2026830,4.00,6.00,2.00,6.00,8.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2026848,6.00,8.00,4.00,7.00,8.00,6.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2026856,4.00,6.00,2.00,5.00,6.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2026864,4.00,8.00,3.00,4.00,5.00,5.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2026880,2.00,7.00,3.00,5.00,7.00,7.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2026899,4.00,8.00,8.00,5.00,7.00,6.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2026902,7.00,8.00,4.00,9.00,9.00,7.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2026910,3.00,3.00,2.00,5.00,5.00,4.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2026929,2.00,3.00,5.00,5.00,4.00,5.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2026937,4.00,6.00,5.00,8.00,6.00,4.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2026945,7.00,8.00,7.00,8.00,9.00,5.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2026953,4.00,7.00,5.00,5.00,6.00,6.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2026961,3.00,4.00,5.00,3.00,7.00,6.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2026970,3.00,4.00,4.00,6.00,7.00,6.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2026996,6.00,7.00,6.00,8.00,8.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2027003,4.00,7.00,4.00,3.00,9.00,5.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2027011,2.00,6.00,3.00,5.00,5.00,5.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2027020,1.00,3.00,2.00,5.00,4.00,4.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2027038,7.00,8.00,8.00,9.00,8.00,7.50,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2027046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2027062,1.00,5.00,2.00,3.00,3.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2027070,4.00,6.00,5.00,5.00,8.00,6.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2027089,9.00,7.00,9.00,5.00,8.00,7.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2027097,4.00,5.00,5.00,9.00,7.00,5.25,5.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2027100,2.00,7.00,3.00,5.00,5.00,5.50,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2027119,6.00,9.00,8.00,4.00,8.00,5.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2027127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2027135,2.00,7.00,2.00,5.00,6.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2027143,4.00,7.00,2.00,6.00,5.00,5.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2027151,2.00,5.00,4.00,5.00,5.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2027160,3.00,4.00,4.00,6.00,7.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2027178,3.00,7.00,1.00,5.00,6.00,5.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2027186,3.00,4.00,3.00,8.00,9.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2027194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2027208,4.00,4.00,6.00,8.00,8.00,5.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2027216,5.00,8.00,7.00,5.00,7.00,5.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2027224,4.00,5.00,3.00,5.00,8.00,4.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2027232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2027240,8.00,7.00,6.00,8.00,8.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2027259,5.00,4.00,2.00,5.00,6.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2027267,4.00,9.00,7.00,10.00,7.00,6.00,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2027275,6.00,8.00,7.00,8.00,8.00,8.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2027283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2027291,8.00,8.00,5.00,7.00,8.00,6.50,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2027305,4.00,8.00,5.00,4.00,8.00,6.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2027313,3.00,7.00,2.00,7.00,4.00,5.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2027321,6.00,7.00,6.00,7.00,8.00,5.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2027330,4.00,6.00,6.00,3.00,7.00,6.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2027348,1.00,2.00,1.00,5.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2027356,7.00,8.00,9.00,7.00,8.00,7.00,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2027364,7.00,9.00,9.00,8.00,8.00,6.00,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2027372,3.00,4.00,4.00,7.00,7.00,6.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2027380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2027399,5.00,8.00,6.00,4.00,6.00,1.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2027402,5.00,7.00,4.00,7.00,6.00,5.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2027410,2.00,7.00,8.00,5.00,6.00,4.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2027429,7.00,8.00,7.00,7.00,9.00,5.00,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2027437,5.00,8.00,2.00,7.00,7.00,7.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2027445,4.00,6.00,1.00,7.00,6.00,5.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2027453,2.00,6.00,5.00,7.00,6.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2027461,6.00,8.00,4.00,7.00,8.00,5.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2027470,4.00,6.00,5.00,7.00,6.00,6.25,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2027496,1.00,7.00,3.00,1.00,8.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2027500,3.00,7.00,5.00,2.00,6.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2027518,2.00,6.00,5.00,5.00,7.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2027526,2.00,4.00,3.00,2.00,8.00,4.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2027534,0.00,5.00,1.00,7.00,6.00,4.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2027542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2027550,6.00,9.00,5.00,4.00,7.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2027569,4.00,4.00,9.00,6.00,6.00,6.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2027577,1.00,3.00,3.00,8.00,6.00,5.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2027585,3.00,5.00,1.00,3.00,7.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2027593,4.00,5.00,6.00,8.00,8.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2027607,5.00,6.00,6.00,3.00,6.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2027615,2.00,3.00,0.00,4.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2027631,1.00,4.00,1.00,1.00,6.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2027640,5.00,7.00,6.00,7.00,6.00,6.00,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(15,2027658,3.00,3.00,1.00,4.00,3.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2027666,4.00,6.00,3.00,6.00,8.00,6.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2027674,5.00,6.00,4.00,6.00,8.00,6.00,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2027682,1.00,6.00,4.00,3.00,4.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2027690,3.00,6.00,3.00,7.00,5.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2027704,6.00,6.00,1.00,8.00,7.00,4.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2027712,1.00,6.00,1.00,7.00,4.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2027720,2.00,5.00,5.00,5.00,7.00,7.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2027739,3.00,8.00,8.00,9.00,8.00,6.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2027747,2.00,4.00,1.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2027755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2027763,6.00,7.00,7.00,5.00,7.00,5.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2027771,3.00,9.00,5.00,7.00,7.00,6.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2027780,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2027798,6.00,9.00,8.00,8.00,9.00,6.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2027801,4.00,7.00,4.00,7.00,5.00,6.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2027828,1.00,6.00,2.00,5.00,4.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2027836,4.00,8.00,6.00,9.00,6.00,6.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2027844,6.00,7.00,6.00,6.00,8.00,6.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2027852,8.00,7.00,8.00,6.00,8.00,8.25,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2027879,0.00,2.00,3.00,2.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2027887,2.00,6.00,4.00,3.00,6.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2027895,6.00,8.00,6.00,7.00,7.00,5.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2027909,3.00,5.00,4.00,8.00,8.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2027917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2027925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2027933,5.00,7.00,2.00,5.00,4.00,4.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2027941,3.00,6.00,7.00,7.00,8.00,6.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2027968,6.00,8.00,9.00,9.00,8.00,7.25,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2027976,4.00,4.00,2.00,2.00,5.00,4.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2027984,4.00,9.00,6.00,9.00,9.00,3.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2027992,6.00,8.00,6.00,7.00,8.00,5.50,7.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2028000,5.00,8.00,8.00,8.00,9.00,7.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2028018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2028026,7.00,8.00,8.00,8.00,8.00,6.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2028034,7.00,8.00,10.00,10.00,9.00,8.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2028042,1.00,1.00,4.00,1.00,6.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2028050,1.00,6.00,4.00,7.00,8.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2028069,2.00,4.00,2.00,2.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2028077,7.00,7.00,5.00,6.00,8.00,6.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2028093,5.00,5.00,5.00,6.00,5.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2028107,8.00,8.00,9.00,7.00,9.00,5.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2028123,5.00,9.00,5.00,8.00,7.00,6.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2028131,6.00,7.00,8.00,6.00,8.00,7.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2028140,3.00,6.00,3.00,8.00,8.00,7.00,7.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2028166,2.00,5.00,4.00,3.00,6.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2028174,3.00,2.00,1.00,5.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2028182,4.00,7.00,7.00,9.00,4.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2028212,4.00,9.00,8.00,8.00,6.00,5.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2028220,1.00,6.00,2.00,4.00,6.00,5.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2028239,2.00,5.00,5.00,7.00,7.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2028247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2028255,4.00,8.00,7.00,7.00,7.00,6.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2028263,4.00,8.00,5.00,6.00,8.00,7.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2028271,3.00,7.00,2.00,5.00,5.00,6.75,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2028280,7.00,7.00,8.00,10.00,7.00,5.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2028298,8.00,8.00,9.00,9.00,9.00,5.75,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2028310,3.00,8.00,3.00,3.00,7.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2028328,3.00,7.00,3.00,5.00,8.00,6.50,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2028336,4.00,7.00,6.00,8.00,7.00,6.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2028344,5.00,7.00,6.00,4.00,8.00,7.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2028352,4.00,7.00,7.00,8.00,9.00,7.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2028360,4.00,7.00,5.00,5.00,7.00,6.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2028379,7.00,9.00,9.00,9.00,8.00,7.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2028387,5.00,6.00,8.00,5.00,4.00,4.50,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2028395,4.00,6.00,3.00,4.00,8.00,5.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2028409,5.00,8.00,4.00,7.00,8.00,5.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2028417,9.00,9.00,7.00,9.00,9.00,7.75,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2028433,3.00,7.00,9.00,5.00,5.00,5.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2028441,4.00,7.00,7.00,8.00,8.00,6.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2028450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2028468,2.00,7.00,3.00,6.00,7.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2028476,4.00,7.00,8.00,4.00,9.00,5.25,9.00,5.00,9.00,NULL,NULL,NULL,'N'),(15,2028484,6.00,8.00,6.00,9.00,9.00,8.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2028492,2.00,8.00,5.00,4.00,7.00,4.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2028506,4.00,7.00,7.00,5.00,6.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2028514,1.00,7.00,3.00,6.00,5.00,6.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2028522,1.00,5.00,2.00,1.00,5.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2028530,7.00,7.00,7.00,7.00,7.00,7.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2028557,2.00,6.00,6.00,4.00,7.00,6.00,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2028565,3.00,6.00,4.00,2.00,5.00,5.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2028573,3.00,7.00,5.00,3.00,8.00,5.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2028590,2.00,5.00,5.00,7.00,8.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2028603,5.00,7.00,5.00,7.00,9.00,6.50,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2028620,3.00,3.00,2.00,7.00,5.00,4.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2028638,8.00,9.00,9.00,10.00,8.00,6.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2028646,0.00,3.00,4.00,3.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2028654,4.00,6.00,4.00,2.00,5.00,3.50,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2028662,7.00,9.00,6.00,8.00,9.00,5.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2028670,3.00,7.00,4.00,5.00,6.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2028689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2028700,3.00,5.00,2.00,6.00,5.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2028719,2.00,8.00,5.00,8.00,8.00,6.00,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2028727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2028735,3.00,7.00,3.00,4.00,5.00,7.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2028743,4.00,8.00,5.00,8.00,8.00,5.25,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2028751,5.00,6.00,3.00,1.00,8.00,5.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2028760,4.00,9.00,8.00,5.00,9.00,5.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2028786,3.00,5.00,1.00,9.00,6.00,5.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2028794,5.00,7.00,9.00,4.00,8.00,5.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2028808,7.00,9.00,9.00,8.00,9.00,7.75,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2028816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2028824,3.00,9.00,4.00,8.00,7.00,4.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2028832,6.00,7.00,9.00,7.00,9.00,4.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2028840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2028859,2.00,7.00,1.00,0.00,7.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2028867,8.00,8.00,5.00,8.00,7.00,6.75,9.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2028883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2028891,7.00,7.00,8.00,6.00,8.00,5.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2028905,2.00,8.00,4.00,7.00,7.00,6.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2028921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2028948,3.00,6.00,3.00,6.00,6.00,3.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2028956,2.00,5.00,2.00,2.00,1.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2028964,3.00,6.00,0.00,1.00,5.00,5.50,2.00,8.00,3.00,NULL,NULL,NULL,'S'),(15,2028972,5.00,7.00,7.00,5.00,6.00,4.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2029006,3.00,6.00,5.00,5.00,8.00,4.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2029014,5.00,9.00,2.00,2.00,7.00,5.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2029022,1.00,4.00,4.00,5.00,5.00,6.25,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2029030,3.00,4.00,5.00,6.00,5.00,0.00,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2029049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2029057,5.00,6.00,3.00,1.00,9.00,6.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2029065,4.00,8.00,6.00,4.00,8.00,6.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2029073,2.00,5.00,5.00,6.00,6.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2029081,7.00,8.00,7.00,7.00,8.00,6.75,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2029090,2.00,6.00,2.00,5.00,7.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2029103,2.00,7.00,5.00,6.00,6.00,6.25,5.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2029111,3.00,8.00,5.00,5.00,5.00,7.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2029120,3.00,9.00,4.00,7.00,7.00,4.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2029138,7.00,7.00,8.00,7.00,8.00,6.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2029154,7.00,8.00,7.00,6.00,7.00,6.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2029170,3.00,5.00,1.00,6.00,5.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2029189,4.00,8.00,5.00,6.00,8.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2029200,7.00,9.00,9.00,9.00,8.00,7.25,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2029219,2.00,7.00,5.00,5.00,6.00,4.75,6.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2029235,1.00,5.00,2.00,4.00,8.00,6.50,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2029243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2029260,7.00,9.00,7.00,5.00,7.00,7.75,5.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2029278,4.00,6.00,6.00,4.00,7.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2029286,5.00,7.00,4.00,6.00,7.00,6.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2029294,8.00,6.00,8.00,7.00,8.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2029308,7.00,8.00,6.00,9.00,9.00,7.50,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2029316,4.00,7.00,2.00,0.00,4.00,NULL,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2029324,4.00,7.00,2.00,8.00,4.00,5.00,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2029332,3.00,7.00,6.00,8.00,8.00,7.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2029340,6.00,5.00,4.00,9.00,9.00,7.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2029359,1.00,3.00,3.00,2.00,7.00,4.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2029367,6.00,6.00,6.00,7.00,6.00,5.50,7.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2029383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2029391,3.00,8.00,5.00,9.00,7.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2029405,7.00,8.00,8.00,7.00,8.00,7.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2029413,0.00,1.00,2.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2029421,1.00,5.00,3.00,1.00,5.00,5.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2029448,5.00,8.00,6.00,7.00,7.00,6.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2029456,4.00,8.00,3.00,2.00,6.00,7.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2029464,0.00,7.00,4.00,3.00,4.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2029472,5.00,6.00,4.00,5.00,8.00,5.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2029480,7.00,7.00,6.00,8.00,7.00,6.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2029499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2029502,4.00,8.00,4.00,7.00,9.00,6.25,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2029510,3.00,8.00,3.00,6.00,7.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2029529,2.00,5.00,6.00,4.00,7.00,5.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2029537,7.00,6.00,8.00,9.00,6.00,5.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2029545,9.00,8.00,10.00,8.00,6.00,5.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2029553,7.00,8.00,7.00,5.00,8.00,7.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2029561,7.00,7.00,5.00,3.00,6.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2029588,1.00,7.00,3.00,4.00,8.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2029596,5.00,9.00,6.00,6.00,8.00,7.00,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2029600,4.00,6.00,3.00,6.00,4.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2029618,4.00,7.00,4.00,6.00,5.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2029626,7.00,7.00,8.00,8.00,8.00,7.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2029634,7.00,9.00,8.00,6.00,8.00,6.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2029642,4.00,9.00,8.00,6.00,8.00,5.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2029650,0.00,5.00,1.00,1.00,5.00,4.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2029669,4.00,7.00,5.00,7.00,8.00,6.50,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2029677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2029693,5.00,6.00,5.00,3.00,8.00,6.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2029723,6.00,8.00,8.00,4.00,7.00,7.00,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2029731,8.00,7.00,6.00,5.00,9.00,6.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2029740,3.00,6.00,6.00,5.00,6.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2029758,5.00,8.00,6.00,7.00,8.00,4.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2029766,7.00,8.00,8.00,8.00,9.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2029774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2029804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2029820,2.00,2.00,0.00,1.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2029839,1.00,5.00,1.00,7.00,7.00,5.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2029863,4.00,7.00,1.00,4.00,6.00,5.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2029871,3.00,6.00,0.00,2.00,6.00,5.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2029880,5.00,6.00,6.00,7.00,7.00,5.00,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2029898,4.00,8.00,4.00,8.00,7.00,7.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2029901,5.00,7.00,3.00,7.00,6.00,5.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2029910,3.00,6.00,1.00,1.00,8.00,6.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2029928,4.00,3.00,5.00,7.00,7.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2029936,8.00,8.00,7.00,5.00,7.00,6.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2029944,5.00,8.00,8.00,6.00,8.00,3.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2029952,3.00,6.00,3.00,1.00,7.00,5.00,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2029960,7.00,8.00,6.00,9.00,8.00,6.75,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2029979,5.00,8.00,3.00,6.00,7.00,4.75,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2029987,5.00,5.00,3.00,2.00,7.00,7.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2029995,1.00,2.00,1.00,3.00,4.00,5.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2030004,1.00,3.00,3.00,3.00,7.00,7.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2030012,2.00,6.00,5.00,7.00,9.00,6.25,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2030039,1.00,5.00,2.00,5.00,6.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2030047,3.00,3.00,3.00,5.00,3.00,4.50,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2030055,5.00,8.00,6.00,2.00,7.00,5.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2030071,4.00,7.00,8.00,6.00,8.00,5.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2030080,6.00,8.00,5.00,8.00,6.00,5.50,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2030098,6.00,5.00,4.00,7.00,8.00,6.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2030110,1.00,5.00,3.00,1.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2030128,3.00,8.00,5.00,6.00,8.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2030144,9.00,9.00,9.00,9.00,9.00,7.50,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2030152,2.00,3.00,3.00,4.00,4.00,5.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2030160,2.00,7.00,6.00,6.00,6.00,5.00,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2030179,3.00,8.00,7.00,9.00,8.00,7.00,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2030187,1.00,6.00,1.00,2.00,6.00,4.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2030195,3.00,6.00,2.00,3.00,3.00,3.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2030209,4.00,9.00,8.00,6.00,7.00,6.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2030250,3.00,6.00,0.00,6.00,7.00,6.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2030276,9.00,9.00,9.00,9.00,9.00,7.00,9.00,9.00,9.00,NULL,NULL,NULL,'N'),(15,2030284,8.00,8.00,9.00,9.00,9.00,4.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2030292,8.00,9.00,9.00,5.00,8.00,6.50,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(15,2030306,2.00,7.00,4.00,9.00,6.00,5.25,7.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2030314,6.00,6.00,8.00,7.00,7.00,7.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2030322,6.00,8.00,8.00,9.00,9.00,9.25,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2030330,4.00,8.00,6.00,5.00,9.00,6.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2030349,5.00,7.00,4.00,7.00,7.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2030357,7.00,7.00,9.00,7.00,9.00,6.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2030365,4.00,7.00,3.00,7.00,8.00,6.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2030373,2.00,8.00,6.00,5.00,5.00,5.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2030381,5.00,8.00,7.00,6.00,8.00,6.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2030390,1.00,5.00,6.00,2.00,6.00,4.75,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2030403,5.00,8.00,6.00,4.00,6.00,6.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2030420,4.00,6.00,4.00,4.00,5.00,6.00,4.00,1.00,3.00,NULL,NULL,NULL,'S'),(15,2030446,4.00,8.00,4.00,7.00,8.00,0.00,6.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2030454,6.00,6.00,6.00,8.00,9.00,6.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2030462,4.00,8.00,3.00,9.00,6.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2030470,6.00,7.00,6.00,8.00,8.00,6.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2030489,6.00,6.00,5.00,8.00,7.00,5.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2030497,4.00,7.00,3.00,5.00,4.00,4.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2030519,5.00,6.00,5.00,3.00,4.00,6.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2030527,3.00,5.00,0.00,4.00,4.00,NULL,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2030535,3.00,6.00,2.00,4.00,4.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2030543,8.00,8.00,8.00,8.00,8.00,5.75,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2030551,4.00,4.00,3.00,6.00,6.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2030560,2.00,7.00,3.00,4.00,5.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2030578,5.00,7.00,5.00,8.00,8.00,5.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2030586,5.00,6.00,4.00,7.00,8.00,5.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2030594,4.00,5.00,2.00,3.00,2.00,NULL,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2030608,2.00,7.00,7.00,4.00,9.00,7.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2030616,5.00,6.00,8.00,3.00,7.00,6.50,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2030624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2030632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2030640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2030659,8.00,8.00,7.00,9.00,6.00,5.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2030667,3.00,6.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2030683,4.00,6.00,3.00,2.00,6.00,5.25,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2030691,6.00,6.00,5.00,5.00,8.00,7.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2030705,2.00,8.00,7.00,3.00,7.00,5.75,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2030721,7.00,9.00,7.00,7.00,10.00,6.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2030730,7.00,7.00,7.00,7.00,7.00,5.75,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2030748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2030756,6.00,7.00,7.00,9.00,6.00,7.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2030764,2.00,8.00,8.00,8.00,7.00,7.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2030772,7.00,8.00,7.00,5.00,8.00,6.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2030780,3.00,6.00,2.00,4.00,5.00,6.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2030799,7.00,5.00,6.00,8.00,7.00,7.25,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2030810,7.00,8.00,8.00,9.00,9.00,7.75,8.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2030829,8.00,8.00,9.00,8.00,9.00,5.50,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2030845,3.00,6.00,2.00,9.00,7.00,5.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2030853,1.00,6.00,3.00,3.00,7.00,6.00,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2030861,5.00,8.00,8.00,7.00,7.00,7.50,9.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2030870,5.00,6.00,3.00,5.00,7.00,8.00,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2030888,0.00,3.00,2.00,3.00,5.00,4.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2030900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2030918,4.00,6.00,1.00,8.00,7.00,6.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2030926,1.00,5.00,2.00,6.00,6.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2030934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2030942,3.00,7.00,5.00,7.00,8.00,5.00,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2030950,8.00,9.00,8.00,8.00,9.00,6.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2030969,5.00,6.00,3.00,5.00,7.00,3.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2030977,0.00,5.00,2.00,1.00,7.00,NULL,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2030993,7.00,8.00,7.00,2.00,9.00,7.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2031000,5.00,8.00,5.00,5.00,4.00,4.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2031027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2031035,3.00,7.00,3.00,5.00,5.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2031043,4.00,8.00,6.00,7.00,6.00,5.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2031078,6.00,7.00,6.00,6.00,8.00,7.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2031086,7.00,8.00,9.00,9.00,8.00,7.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2031108,4.00,8.00,7.00,9.00,8.00,5.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2031116,7.00,9.00,9.00,7.00,8.00,5.00,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2031124,4.00,7.00,4.00,8.00,6.00,5.50,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2031132,1.00,7.00,5.00,10.00,5.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2031140,8.00,7.00,7.00,6.00,4.00,4.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2031159,1.00,4.00,1.00,3.00,5.00,2.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2031167,7.00,8.00,8.00,7.00,6.00,5.25,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2031183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2031191,4.00,7.00,2.00,5.00,7.00,5.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2031205,4.00,6.00,9.00,5.00,8.00,6.75,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2031213,8.00,7.00,6.00,7.00,8.00,4.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2031221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2031230,3.00,7.00,5.00,6.00,8.00,6.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2031248,1.00,2.00,1.00,6.00,5.00,6.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2031256,2.00,5.00,1.00,2.00,6.00,7.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2031264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2031272,3.00,6.00,5.00,8.00,8.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2031302,5.00,8.00,6.00,4.00,7.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2031329,3.00,7.00,4.00,7.00,8.00,5.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2031337,5.00,6.00,6.00,9.00,6.00,6.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2031345,3.00,3.00,5.00,3.00,6.00,5.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2031353,4.00,7.00,8.00,8.00,8.00,5.75,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2031361,6.00,7.00,7.00,8.00,9.00,5.25,9.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2031370,3.00,8.00,4.00,7.00,9.00,6.75,5.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2031388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2031396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2031400,4.00,8.00,2.00,8.00,8.00,7.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2031418,5.00,7.00,7.00,7.00,8.00,6.25,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2031426,8.00,8.00,7.00,8.00,8.00,6.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2031434,3.00,5.00,6.00,4.00,5.00,5.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2031442,5.00,6.00,8.00,4.00,7.00,3.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2031450,3.00,5.00,2.00,5.00,7.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2031469,1.00,6.00,0.00,4.00,6.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2031477,3.00,8.00,3.00,7.00,5.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2031485,4.00,5.00,6.00,6.00,8.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2031493,0.00,8.00,3.00,4.00,5.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2031507,5.00,5.00,7.00,1.00,7.00,5.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2031515,3.00,5.00,3.00,5.00,8.00,5.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2031531,2.00,4.00,5.00,6.00,6.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2031558,4.00,6.00,3.00,3.00,6.00,4.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2031566,5.00,7.00,5.00,4.00,8.00,4.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2031582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2031590,2.00,6.00,4.00,2.00,3.00,4.50,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2031604,5.00,4.00,5.00,4.00,8.00,7.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2031612,6.00,7.00,2.00,7.00,6.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2031620,3.00,7.00,5.00,5.00,8.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2031647,3.00,5.00,2.00,9.00,8.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2031655,0.00,5.00,0.00,1.00,5.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2031663,2.00,5.00,2.00,2.00,4.00,6.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2031671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2031680,7.00,7.00,6.00,1.00,8.00,4.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2031701,3.00,6.00,1.00,3.00,4.00,4.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2031710,4.00,6.00,8.00,7.00,6.00,5.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2031728,5.00,8.00,4.00,3.00,6.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2031736,2.00,7.00,3.00,5.00,7.00,4.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2031752,2.00,8.00,2.00,8.00,7.00,4.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2031760,4.00,8.00,2.00,3.00,7.00,7.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2031779,1.00,3.00,4.00,5.00,5.00,5.50,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2031787,2.00,8.00,2.00,1.00,4.00,4.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2031809,3.00,6.00,2.00,4.00,7.00,5.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2031817,7.00,7.00,7.00,5.00,8.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2031833,1.00,6.00,5.00,2.00,7.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2031841,2.00,7.00,4.00,7.00,5.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2031850,2.00,8.00,4.00,5.00,6.00,6.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2031868,3.00,8.00,5.00,8.00,8.00,7.00,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2031876,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2031884,3.00,6.00,1.00,7.00,5.00,5.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2031892,4.00,6.00,2.00,6.00,7.00,6.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2031914,4.00,7.00,4.00,6.00,7.00,5.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2031922,5.00,5.00,3.00,5.00,6.00,6.25,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2031930,1.00,3.00,3.00,0.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2031949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2031957,2.00,7.00,3.00,5.00,5.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2031973,2.00,8.00,2.00,3.00,4.00,3.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2031981,5.00,5.00,3.00,6.00,6.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2031990,7.00,9.00,7.00,2.00,8.00,5.00,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2032015,7.00,6.00,7.00,8.00,7.00,5.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2032031,8.00,9.00,9.00,7.00,8.00,6.25,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2032040,6.00,8.00,8.00,8.00,8.00,8.00,9.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2032058,4.00,6.00,5.00,8.00,6.00,5.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2032066,5.00,7.00,4.00,8.00,7.00,5.75,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2032074,5.00,8.00,7.00,6.00,7.00,6.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2032082,2.00,6.00,7.00,4.00,8.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2032104,4.00,3.00,2.00,5.00,4.00,4.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2032139,6.00,8.00,7.00,4.00,6.00,5.25,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2032147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2032155,5.00,7.00,5.00,7.00,8.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2032163,3.00,6.00,2.00,4.00,3.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2032180,5.00,7.00,6.00,8.00,7.00,3.75,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2032198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2032201,3.00,7.00,4.00,7.00,6.00,6.50,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2032210,4.00,4.00,5.00,5.00,6.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2032228,3.00,5.00,3.00,5.00,4.00,3.75,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2032236,3.00,7.00,4.00,5.00,7.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2032244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2032252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2032260,2.00,2.00,3.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2032279,3.00,4.00,6.00,4.00,5.00,4.75,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2032287,6.00,8.00,6.00,8.00,9.00,7.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2032295,6.00,7.00,5.00,5.00,7.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2032309,7.00,8.00,9.00,8.00,9.00,5.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2032317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2032325,0.00,4.00,1.00,6.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2032333,2.00,5.00,1.00,3.00,6.00,6.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2032350,2.00,2.00,0.00,2.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2032368,0.00,5.00,3.00,2.00,7.00,4.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2032392,2.00,4.00,0.00,4.00,6.00,5.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2032406,8.00,8.00,8.00,6.00,9.00,6.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2032422,2.00,4.00,3.00,5.00,5.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2032457,3.00,6.00,5.00,5.00,6.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2032465,1.00,4.00,5.00,6.00,4.00,5.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2032473,3.00,4.00,3.00,6.00,5.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2032490,4.00,7.00,0.00,6.00,6.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2032520,4.00,7.00,4.00,6.00,8.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2032538,1.00,5.00,3.00,2.00,8.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2032546,5.00,7.00,4.00,7.00,8.00,6.00,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2032554,2.00,5.00,5.00,4.00,7.00,5.75,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2032562,2.00,6.00,3.00,7.00,8.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2032570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2032589,3.00,7.00,6.00,4.00,5.00,4.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2032597,3.00,6.00,0.00,3.00,6.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2032600,7.00,8.00,4.00,7.00,8.00,5.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2032627,2.00,9.00,7.00,4.00,8.00,5.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2032635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2032643,2.00,3.00,0.00,1.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2032651,4.00,3.00,1.00,5.00,5.00,4.25,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2032660,2.00,8.00,1.00,4.00,5.00,6.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2032678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2032686,5.00,7.00,8.00,8.00,8.00,6.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2032694,4.00,6.00,5.00,3.00,6.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2032708,4.00,7.00,2.00,6.00,7.00,6.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2032724,2.00,7.00,5.00,3.00,8.00,4.75,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2032732,3.00,6.00,3.00,5.00,8.00,4.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2032740,4.00,6.00,7.00,8.00,4.00,5.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2032759,3.00,5.00,5.00,3.00,5.00,4.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2032767,6.00,7.00,8.00,3.00,8.00,6.00,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2032775,0.00,0.00,0.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2032783,5.00,8.00,5.00,6.00,6.00,5.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2032791,3.00,5.00,3.00,0.00,5.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2032805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2032813,0.00,6.00,6.00,6.00,5.00,6.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2032821,4.00,8.00,4.00,9.00,6.00,6.50,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2032830,4.00,8.00,8.00,5.00,7.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2032848,3.00,8.00,5.00,9.00,8.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2032856,3.00,7.00,3.00,5.00,5.00,6.25,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2032864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2032872,4.00,4.00,2.00,2.00,6.00,5.25,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2032880,1.00,5.00,0.00,3.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2032899,3.00,7.00,5.00,7.00,9.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2032902,4.00,4.00,4.00,3.00,7.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2032910,5.00,8.00,5.00,7.00,8.00,6.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2032929,0.00,2.00,0.00,0.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2032937,3.00,6.00,3.00,3.00,7.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2032945,1.00,3.00,2.00,1.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2032953,3.00,5.00,2.00,8.00,5.00,4.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2032961,3.00,7.00,6.00,5.00,7.00,7.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2032970,3.00,8.00,2.00,5.00,6.00,6.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2032996,1.00,5.00,3.00,6.00,6.00,5.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2033003,2.00,7.00,3.00,5.00,7.00,5.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2033011,2.00,6.00,1.00,1.00,5.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2033020,1.00,4.00,3.00,2.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2033038,3.00,7.00,6.00,8.00,7.00,7.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2033054,4.00,5.00,5.00,6.00,5.00,4.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2033062,8.00,9.00,9.00,7.00,9.00,7.50,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2033070,2.00,4.00,3.00,2.00,5.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2033089,2.00,5.00,4.00,4.00,7.00,5.50,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2033097,1.00,5.00,2.00,4.00,5.00,3.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2033100,6.00,7.00,6.00,5.00,8.00,6.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2033119,2.00,5.00,1.00,5.00,4.00,3.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2033127,8.00,9.00,7.00,7.00,8.00,6.75,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2033135,4.00,7.00,5.00,5.00,8.00,7.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2033143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2033151,5.00,6.00,2.00,5.00,5.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2033160,4.00,6.00,2.00,4.00,8.00,6.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2033186,5.00,5.00,6.00,5.00,8.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2033194,6.00,8.00,7.00,7.00,6.00,7.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2033208,0.00,6.00,6.00,5.00,8.00,7.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2033216,3.00,4.00,4.00,3.00,5.00,3.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2033224,2.00,6.00,8.00,6.00,8.00,5.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2033240,3.00,7.00,3.00,1.00,7.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2033259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2033291,2.00,8.00,4.00,5.00,9.00,5.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2033305,3.00,5.00,4.00,5.00,3.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2033313,4.00,7.00,5.00,2.00,4.00,3.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2033348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2033372,3.00,7.00,0.00,4.00,5.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2033399,2.00,6.00,1.00,7.00,6.00,4.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2033402,5.00,8.00,5.00,5.00,8.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2033429,5.00,8.00,6.00,8.00,5.00,5.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2033437,4.00,6.00,6.00,1.00,7.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2033445,4.00,6.00,2.00,5.00,5.00,5.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2033453,7.00,7.00,6.00,6.00,7.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2033461,4.00,8.00,6.00,7.00,8.00,7.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2033470,5.00,8.00,6.00,8.00,7.00,6.25,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2033488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2033500,2.00,4.00,4.00,4.00,8.00,5.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2033518,1.00,6.00,5.00,4.00,7.00,4.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2033526,9.00,8.00,7.00,2.00,8.00,6.75,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2033534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2033542,1.00,3.00,1.00,4.00,5.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2033550,8.00,8.00,9.00,8.00,9.00,7.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2033585,5.00,9.00,8.00,7.00,7.00,6.00,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2033607,6.00,7.00,5.00,6.00,7.00,4.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2033615,4.00,7.00,7.00,3.00,5.00,4.75,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2033623,3.00,5.00,0.00,4.00,6.00,4.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2033631,2.00,5.00,3.00,5.00,6.00,4.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2033640,4.00,8.00,3.00,3.00,8.00,5.25,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2033658,2.00,6.00,8.00,7.00,8.00,4.75,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2033666,4.00,8.00,4.00,1.00,6.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2033674,2.00,5.00,5.00,5.00,7.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2033682,3.00,5.00,4.00,6.00,5.00,3.50,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2033704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2033712,3.00,5.00,2.00,9.00,5.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2033720,5.00,8.00,5.00,5.00,6.00,7.00,5.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2033739,6.00,8.00,9.00,8.00,8.00,5.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2033755,5.00,7.00,7.00,3.00,7.00,5.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2033771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2033780,4.00,6.00,5.00,6.00,9.00,6.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2033798,4.00,5.00,4.00,5.00,7.00,6.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2033801,2.00,4.00,1.00,1.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2033828,3.00,6.00,3.00,5.00,8.00,4.75,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2033844,6.00,9.00,6.00,7.00,9.00,5.00,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2033852,4.00,5.00,2.00,8.00,5.00,6.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2033860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2033879,4.00,5.00,6.00,7.00,4.00,4.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2033887,1.00,3.00,2.00,2.00,5.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2033895,3.00,5.00,3.00,2.00,6.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2033909,1.00,2.00,5.00,1.00,4.00,4.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2033925,3.00,7.00,7.00,8.00,5.00,5.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2033941,0.00,1.00,1.00,4.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2033950,8.00,9.00,8.00,9.00,9.00,7.25,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2033968,6.00,7.00,9.00,3.00,8.00,6.25,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2033984,3.00,7.00,5.00,4.00,5.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2033992,4.00,8.00,5.00,6.00,9.00,4.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2034000,3.00,7.00,3.00,3.00,5.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2034018,5.00,5.00,5.00,6.00,5.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2034026,1.00,4.00,4.00,4.00,5.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2034042,6.00,7.00,9.00,7.00,9.00,6.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2034050,3.00,6.00,6.00,1.00,8.00,5.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2034069,3.00,6.00,6.00,6.00,8.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2034077,3.00,6.00,5.00,5.00,7.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2034085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2034093,3.00,7.00,4.00,7.00,8.00,6.50,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2034107,6.00,8.00,5.00,6.00,8.00,6.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2034123,3.00,5.00,2.00,5.00,5.00,2.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2034131,8.00,8.00,8.00,8.00,8.00,7.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2034140,4.00,6.00,3.00,4.00,5.00,4.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2034158,3.00,5.00,3.00,6.00,7.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2034166,4.00,7.00,4.00,2.00,6.00,4.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2034182,4.00,5.00,2.00,4.00,4.00,3.00,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2034190,4.00,5.00,5.00,4.00,8.00,6.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2034204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2034212,6.00,8.00,9.00,6.00,8.00,3.00,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2034239,4.00,6.00,4.00,6.00,6.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2034247,2.00,5.00,4.00,5.00,8.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2034255,0.00,4.00,0.00,1.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2034263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2034271,5.00,7.00,7.00,7.00,7.00,5.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2034298,3.00,5.00,1.00,3.00,4.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2034328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2034336,3.00,6.00,4.00,4.00,7.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2034344,4.00,5.00,3.00,3.00,6.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2034352,7.00,8.00,9.00,5.00,9.00,5.75,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2034360,7.00,8.00,9.00,6.00,9.00,9.50,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2034379,3.00,7.00,5.00,5.00,7.00,4.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2034387,4.00,8.00,2.00,7.00,7.00,5.50,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2034395,1.00,8.00,4.00,4.00,6.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2034417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2034425,2.00,8.00,2.00,8.00,8.00,6.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2034433,3.00,8.00,1.00,1.00,6.00,5.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2034441,4.00,6.00,5.00,8.00,7.00,7.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2034450,1.00,5.00,2.00,3.00,6.00,4.00,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2034476,5.00,5.00,2.00,3.00,6.00,5.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2034484,4.00,9.00,5.00,9.00,7.00,7.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2034492,3.00,8.00,4.00,9.00,8.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2034506,3.00,6.00,4.00,5.00,7.00,6.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2034514,3.00,6.00,4.00,3.00,6.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2034522,2.00,6.00,5.00,4.00,8.00,6.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2034530,2.00,3.00,3.00,4.00,4.00,5.75,6.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2034557,6.00,7.00,8.00,8.00,7.00,7.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2034573,4.00,6.00,2.00,7.00,6.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2034590,4.00,6.00,2.00,6.00,7.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2034638,5.00,7.00,7.00,9.00,8.00,7.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2034646,5.00,7.00,8.00,8.00,7.00,4.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2034662,2.00,5.00,8.00,8.00,7.00,5.50,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2034670,8.00,8.00,8.00,6.00,8.00,5.75,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2034689,2.00,7.00,6.00,4.00,7.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2034700,3.00,5.00,4.00,5.00,6.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2034719,7.00,8.00,8.00,4.00,9.00,5.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2034727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2034735,7.00,8.00,9.00,8.00,6.00,6.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2034743,2.00,8.00,3.00,7.00,8.00,6.75,5.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2034751,4.00,6.00,4.00,3.00,7.00,4.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2034778,4.00,5.00,2.00,4.00,6.00,6.75,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2034786,2.00,7.00,1.00,6.00,7.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2034794,2.00,5.00,3.00,3.00,3.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2034824,2.00,5.00,3.00,2.00,5.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2034832,3.00,7.00,4.00,3.00,8.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2034840,5.00,7.00,6.00,4.00,8.00,3.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2034859,3.00,7.00,3.00,4.00,5.00,5.25,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2034867,3.00,7.00,1.00,6.00,7.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2034875,5.00,7.00,4.00,2.00,7.00,6.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2034883,4.00,6.00,5.00,5.00,8.00,6.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2034921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2034930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2034948,3.00,5.00,4.00,8.00,6.00,3.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2034964,3.00,8.00,7.00,3.00,7.00,6.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2034999,9.00,8.00,9.00,10.00,8.00,6.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2035006,3.00,7.00,6.00,2.00,8.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2035014,4.00,9.00,3.00,7.00,5.00,7.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2035022,6.00,7.00,6.00,7.00,8.00,6.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2035049,9.00,8.00,9.00,8.00,8.00,8.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2035057,6.00,6.00,6.00,9.00,9.00,7.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2035065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2035073,6.00,8.00,7.00,6.00,8.00,7.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2035081,0.00,5.00,1.00,2.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2035090,3.00,8.00,3.00,3.00,5.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2035103,5.00,6.00,6.00,6.00,8.00,8.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2035120,4.00,7.00,6.00,3.00,7.00,4.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2035138,5.00,3.00,6.00,5.00,6.00,5.75,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2035146,3.00,7.00,6.00,8.00,7.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2035154,4.00,6.00,5.00,5.00,6.00,7.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2035162,5.00,8.00,3.00,4.00,6.00,4.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2035170,7.00,8.00,5.00,4.00,7.00,6.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2035197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2035200,4.00,7.00,5.00,4.00,6.00,7.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2035219,2.00,3.00,2.00,4.00,6.00,5.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2035227,2.00,4.00,3.00,4.00,4.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2035235,4.00,9.00,6.00,6.00,7.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2035251,4.00,6.00,4.00,6.00,6.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2035260,4.00,8.00,6.00,5.00,8.00,5.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2035278,1.00,7.00,2.00,6.00,8.00,6.50,7.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2035286,5.00,4.00,5.00,5.00,7.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2035294,7.00,7.00,8.00,8.00,6.00,5.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2035308,2.00,6.00,3.00,4.00,8.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2035316,3.00,5.00,6.00,4.00,3.00,5.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2035324,2.00,4.00,1.00,6.00,4.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2035332,5.00,5.00,2.00,5.00,7.00,5.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2035340,3.00,8.00,6.00,7.00,8.00,7.00,7.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2035359,6.00,9.00,8.00,8.00,9.00,7.50,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2035367,6.00,6.00,2.00,7.00,8.00,6.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2035375,5.00,7.00,5.00,8.00,9.00,7.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2035391,5.00,9.00,4.00,8.00,8.00,8.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2035405,4.00,4.00,2.00,4.00,5.00,3.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2035413,4.00,7.00,4.00,3.00,7.00,5.00,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2035421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2035456,3.00,7.00,5.00,7.00,8.00,7.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2035472,1.00,3.00,1.00,2.00,6.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2035480,3.00,5.00,3.00,2.00,3.00,4.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2035499,7.00,8.00,8.00,8.00,6.00,5.75,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2035502,1.00,6.00,3.00,3.00,5.00,5.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2035510,3.00,6.00,5.00,4.00,4.00,5.75,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2035529,3.00,6.00,1.00,3.00,7.00,7.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2035537,7.00,8.00,9.00,9.00,7.00,5.25,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2035545,3.00,7.00,6.00,4.00,3.00,6.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2035553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2035561,5.00,8.00,4.00,3.00,7.00,4.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2035570,4.00,6.00,5.00,6.00,7.00,5.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2035588,7.00,8.00,8.00,7.00,5.00,5.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2035596,3.00,7.00,3.00,7.00,6.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2035600,2.00,5.00,0.00,3.00,4.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2035618,2.00,6.00,1.00,4.00,6.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2035626,4.00,6.00,5.00,8.00,6.00,4.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2035650,5.00,7.00,7.00,9.00,8.00,6.50,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2035669,2.00,2.00,4.00,5.00,6.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2035685,1.00,7.00,3.00,8.00,4.00,5.00,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2035693,1.00,6.00,4.00,1.00,6.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2035707,4.00,6.00,5.00,6.00,9.00,5.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2035715,5.00,6.00,4.00,8.00,8.00,6.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2035723,3.00,6.00,3.00,7.00,7.00,5.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2035740,5.00,6.00,2.00,5.00,6.00,6.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2035766,3.00,7.00,4.00,5.00,7.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2035774,7.00,8.00,8.00,6.00,8.00,8.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2035782,5.00,4.00,2.00,6.00,6.00,4.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2035790,4.00,6.00,7.00,5.00,6.00,5.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2035812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2035820,8.00,8.00,8.00,7.00,8.00,6.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2035839,3.00,7.00,4.00,7.00,8.00,4.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2035847,3.00,7.00,2.00,0.00,6.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2035855,3.00,6.00,2.00,5.00,4.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2035863,5.00,6.00,4.00,6.00,7.00,6.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2035871,5.00,8.00,3.00,6.00,9.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2035880,5.00,7.00,7.00,5.00,7.00,4.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2035898,1.00,5.00,6.00,7.00,7.00,6.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2035936,5.00,8.00,7.00,4.00,8.00,3.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2035944,3.00,9.00,3.00,6.00,8.00,6.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2035952,2.00,7.00,6.00,6.00,8.00,7.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2035960,5.00,8.00,5.00,8.00,9.00,5.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2035979,2.00,4.00,6.00,4.00,8.00,6.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2035987,8.00,8.00,8.00,5.00,8.00,6.25,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2035995,6.00,6.00,9.00,6.00,7.00,4.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2036010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2036029,3.00,2.00,4.00,4.00,5.00,3.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2036037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2036061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2036088,3.00,6.00,5.00,7.00,5.00,5.50,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2036100,0.00,6.00,1.00,5.00,1.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2036126,3.00,7.00,3.00,8.00,5.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2036142,3.00,7.00,2.00,5.00,8.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2036150,2.00,3.00,1.00,4.00,3.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2036169,3.00,6.00,3.00,8.00,9.00,6.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2036185,5.00,5.00,0.00,5.00,6.00,6.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2036193,4.00,9.00,4.00,7.00,8.00,5.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2036207,2.00,6.00,1.00,7.00,5.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2036215,3.00,6.00,2.00,7.00,5.00,6.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2036223,7.00,7.00,7.00,8.00,6.00,7.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2036231,8.00,8.00,9.00,9.00,9.00,7.50,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2036240,3.00,5.00,0.00,5.00,7.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2036258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2036266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2036274,7.00,8.00,7.00,8.00,8.00,6.25,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2036282,4.00,7.00,4.00,7.00,7.00,4.75,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2036304,3.00,7.00,3.00,6.00,6.00,3.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2036312,3.00,5.00,4.00,1.00,6.00,5.50,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2036320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2036339,2.00,6.00,4.00,8.00,7.00,7.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2036347,4.00,7.00,2.00,2.00,5.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2036355,4.00,5.00,6.00,6.00,4.00,2.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2036363,5.00,7.00,6.00,3.00,8.00,4.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2036371,4.00,9.00,9.00,9.00,8.00,6.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2036380,3.00,5.00,2.00,4.00,4.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2036398,5.00,5.00,8.00,8.00,8.00,6.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2036401,4.00,8.00,3.00,6.00,6.00,5.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2036410,5.00,7.00,5.00,6.00,6.00,6.00,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2036428,7.00,7.00,7.00,4.00,6.00,4.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2036436,7.00,7.00,5.00,5.00,6.00,5.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2036444,1.00,6.00,5.00,0.00,7.00,3.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2036452,6.00,8.00,3.00,6.00,7.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2036460,3.00,7.00,4.00,5.00,7.00,6.25,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2036479,2.00,7.00,3.00,8.00,7.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2036487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2036525,7.00,8.00,9.00,9.00,9.00,7.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2036541,3.00,7.00,3.00,6.00,7.00,3.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2036550,2.00,7.00,1.00,4.00,5.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2036568,1.00,4.00,0.00,1.00,5.00,6.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2036576,3.00,4.00,3.00,5.00,6.00,4.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2036584,4.00,6.00,5.00,7.00,8.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2036592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2036606,1.00,5.00,2.00,5.00,5.00,7.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2036614,6.00,9.00,6.00,6.00,8.00,4.50,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2036622,3.00,6.00,2.00,2.00,8.00,5.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2036630,2.00,4.00,3.00,6.00,7.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2036649,5.00,6.00,5.00,9.00,9.00,6.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2036665,4.00,6.00,3.00,4.00,5.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2036681,3.00,7.00,4.00,8.00,8.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2036690,1.00,6.00,0.00,3.00,4.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2036711,5.00,7.00,2.00,1.00,5.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2036720,2.00,2.00,1.00,5.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2036738,4.00,8.00,7.00,8.00,7.00,6.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2036746,2.00,4.00,1.00,6.00,5.00,6.25,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2036754,4.00,5.00,4.00,5.00,7.00,5.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2036762,3.00,5.00,1.00,4.00,3.00,3.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2036770,4.00,5.00,1.00,4.00,7.00,6.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2036789,5.00,8.00,1.00,7.00,6.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2036797,5.00,4.00,7.00,9.00,8.00,6.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2036800,1.00,6.00,1.00,4.00,4.00,4.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2036819,5.00,7.00,4.00,3.00,8.00,3.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2036835,7.00,8.00,8.00,7.00,8.00,8.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2036843,4.00,6.00,3.00,3.00,4.00,4.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2036851,5.00,5.00,3.00,6.00,4.00,3.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2036860,2.00,7.00,3.00,6.00,5.00,4.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2036878,1.00,5.00,2.00,5.00,4.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2036908,7.00,8.00,4.00,2.00,8.00,4.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2036916,0.00,3.00,0.00,3.00,6.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2036932,2.00,5.00,4.00,8.00,5.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2036940,4.00,8.00,5.00,7.00,8.00,4.75,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2036959,5.00,6.00,6.00,9.00,6.00,4.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2036967,4.00,5.00,4.00,4.00,6.00,5.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2036975,2.00,9.00,5.00,4.00,6.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2037009,3.00,7.00,3.00,7.00,8.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2037017,7.00,7.00,8.00,7.00,7.00,6.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2037025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2037033,6.00,6.00,7.00,5.00,8.00,4.50,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2037050,8.00,7.00,9.00,9.00,8.00,6.75,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2037068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2037076,0.00,5.00,3.00,6.00,5.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2037084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2037092,0.00,3.00,1.00,6.00,4.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2037106,2.00,5.00,2.00,4.00,7.00,6.50,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2037114,4.00,7.00,7.00,7.00,6.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2037122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2037130,2.00,3.00,1.00,4.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2037149,0.00,4.00,1.00,0.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2037157,3.00,8.00,4.00,5.00,6.00,3.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2037165,5.00,8.00,8.00,3.00,6.00,4.50,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2037190,4.00,6.00,4.00,7.00,5.00,6.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2037203,3.00,5.00,4.00,3.00,6.00,5.50,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2037211,1.00,5.00,1.00,1.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2037238,4.00,6.00,5.00,5.00,7.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2037246,5.00,7.00,5.00,4.00,7.00,5.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2037254,4.00,7.00,6.00,5.00,7.00,5.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2037262,3.00,8.00,3.00,7.00,5.00,4.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2037270,3.00,7.00,6.00,8.00,8.00,7.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2037289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2037297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2037300,4.00,7.00,8.00,5.00,8.00,3.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2037319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2037327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2037335,6.00,9.00,7.00,9.00,9.00,7.25,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2037343,7.00,7.00,5.00,4.00,7.00,5.25,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2037360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2037378,2.00,6.00,2.00,6.00,6.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2037386,2.00,6.00,4.00,5.00,8.00,4.00,5.00,7.00,0.00,NULL,NULL,NULL,'N'),(15,2037394,2.00,8.00,7.00,8.00,8.00,5.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2037408,2.00,2.00,1.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2037416,4.00,8.00,5.00,9.00,8.00,7.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2037424,2.00,8.00,6.00,7.00,4.00,6.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2037432,1.00,3.00,1.00,0.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2037459,2.00,4.00,4.00,4.00,5.00,5.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2037467,7.00,7.00,8.00,6.00,8.00,7.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2037475,1.00,6.00,3.00,1.00,6.00,4.50,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2037491,3.00,4.00,1.00,5.00,6.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2037505,1.00,5.00,2.00,4.00,7.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2037530,3.00,7.00,7.00,2.00,5.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2037548,1.00,7.00,4.00,4.00,5.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2037556,3.00,7.00,3.00,6.00,8.00,6.75,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2037564,3.00,7.00,5.00,5.00,8.00,5.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2037572,6.00,7.00,7.00,8.00,8.00,5.75,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2037580,2.00,4.00,3.00,6.00,4.00,2.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2037599,4.00,7.00,5.00,3.00,6.00,4.25,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2037602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2037629,6.00,7.00,6.00,2.00,7.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2037645,4.00,7.00,4.00,6.00,8.00,4.75,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2037661,6.00,7.00,3.00,3.00,4.00,4.75,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2037670,5.00,6.00,6.00,8.00,7.00,5.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2037688,6.00,7.00,8.00,4.00,6.00,7.00,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2037696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2037700,4.00,7.00,5.00,9.00,6.00,7.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2037718,4.00,8.00,5.00,1.00,6.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2037726,2.00,4.00,5.00,3.00,7.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2037734,5.00,6.00,2.00,6.00,6.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2037750,5.00,8.00,6.00,8.00,6.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2037777,7.00,8.00,8.00,7.00,8.00,5.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2037785,0.00,6.00,2.00,6.00,6.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2037793,3.00,7.00,7.00,7.00,5.00,4.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2037815,5.00,7.00,6.00,4.00,7.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2037823,3.00,4.00,7.00,7.00,3.00,3.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2037831,1.00,5.00,2.00,5.00,5.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2037840,4.00,7.00,5.00,8.00,9.00,7.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2037858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2037866,3.00,7.00,6.00,3.00,8.00,6.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2037874,3.00,7.00,4.00,1.00,6.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2037882,2.00,5.00,4.00,3.00,5.00,5.00,5.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2037890,5.00,6.00,7.00,3.00,5.00,5.75,7.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2037904,2.00,7.00,2.00,7.00,7.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2037912,4.00,4.00,4.00,5.00,4.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2037920,6.00,8.00,8.00,8.00,9.00,7.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2037939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2037947,4.00,7.00,3.00,2.00,3.00,4.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2037955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2037963,1.00,7.00,4.00,6.00,7.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2037971,5.00,7.00,3.00,3.00,8.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2037980,7.00,9.00,8.00,8.00,8.00,7.75,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2037998,4.00,7.00,7.00,5.00,9.00,6.25,9.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2038013,3.00,7.00,4.00,5.00,7.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2038021,5.00,4.00,2.00,5.00,8.00,6.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2038030,0.00,5.00,3.00,4.00,4.00,5.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2038048,7.00,6.00,6.00,7.00,7.00,4.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2038056,6.00,8.00,8.00,3.00,7.00,6.25,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2038064,3.00,7.00,4.00,3.00,8.00,7.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2038072,1.00,3.00,2.00,2.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2038099,3.00,3.00,0.00,0.00,5.00,0.00,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2038102,3.00,6.00,4.00,7.00,8.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2038110,0.00,5.00,0.00,3.00,4.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2038129,3.00,3.00,5.00,7.00,7.00,5.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2038137,4.00,8.00,3.00,7.00,8.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2038145,7.00,8.00,7.00,8.00,9.00,7.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2038153,4.00,8.00,5.00,5.00,7.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2038188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2038196,3.00,7.00,4.00,8.00,8.00,5.00,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2038200,2.00,3.00,2.00,3.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2038218,4.00,7.00,4.00,1.00,4.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2038226,4.00,9.00,6.00,7.00,8.00,7.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2038234,8.00,8.00,9.00,6.00,9.00,4.75,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2038242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2038250,3.00,6.00,3.00,5.00,7.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2038269,2.00,7.00,3.00,3.00,7.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2038277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2038285,7.00,9.00,9.00,9.00,9.00,6.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2038307,3.00,7.00,2.00,5.00,7.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2038315,1.00,5.00,5.00,8.00,7.00,5.75,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2038331,8.00,8.00,7.00,8.00,9.00,6.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2038340,5.00,7.00,4.00,5.00,9.00,6.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2038358,4.00,8.00,7.00,9.00,9.00,7.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2038366,4.00,8.00,3.00,4.00,7.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2038374,2.00,7.00,5.00,7.00,7.00,6.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2038404,0.00,3.00,2.00,4.00,4.00,3.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2038412,7.00,9.00,5.00,9.00,7.00,7.00,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2038420,7.00,8.00,8.00,8.00,8.00,5.75,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2038439,5.00,9.00,5.00,9.00,9.00,5.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2038447,4.00,7.00,3.00,5.00,4.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2038455,1.00,7.00,4.00,6.00,7.00,5.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2038463,5.00,6.00,4.00,2.00,8.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2038471,4.00,8.00,3.00,3.00,4.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2038480,2.00,6.00,2.00,3.00,4.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2038498,4.00,6.00,3.00,5.00,5.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2038501,3.00,7.00,4.00,7.00,7.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2038510,4.00,9.00,3.00,8.00,8.00,6.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2038528,2.00,5.00,1.00,3.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2038536,2.00,4.00,2.00,4.00,4.00,4.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2038544,8.00,9.00,7.00,8.00,8.00,7.00,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2038552,4.00,6.00,5.00,4.00,7.00,4.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2038560,5.00,8.00,5.00,6.00,8.00,6.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2038579,2.00,5.00,4.00,5.00,5.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2038587,5.00,7.00,6.00,8.00,8.00,5.00,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2038595,6.00,7.00,9.00,8.00,8.00,5.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2038609,5.00,6.00,3.00,4.00,7.00,7.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2038617,2.00,5.00,2.00,1.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2038625,5.00,7.00,4.00,4.00,7.00,4.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2038633,4.00,7.00,2.00,1.00,4.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2038650,2.00,2.00,1.00,2.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2038668,2.00,3.00,3.00,4.00,6.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2038676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2038684,6.00,7.00,9.00,8.00,8.00,6.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2038692,5.00,8.00,8.00,8.00,9.00,6.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2038714,5.00,6.00,7.00,8.00,6.00,5.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2038722,3.00,8.00,7.00,6.00,8.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2038730,5.00,5.00,5.00,6.00,7.00,4.25,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2038749,3.00,7.00,3.00,6.00,7.00,7.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2038757,5.00,7.00,6.00,6.00,8.00,4.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2038765,7.00,9.00,9.00,5.00,6.00,5.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2038773,2.00,6.00,4.00,8.00,5.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2038781,5.00,6.00,4.00,9.00,6.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2038790,3.00,7.00,2.00,4.00,4.00,6.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2038803,6.00,7.00,4.00,6.00,9.00,4.50,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2038811,4.00,3.00,4.00,8.00,3.00,5.25,5.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2038838,3.00,6.00,3.00,3.00,5.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2038862,5.00,8.00,4.00,3.00,7.00,5.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2038870,3.00,4.00,2.00,5.00,5.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2038889,3.00,7.00,3.00,5.00,6.00,4.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2038897,4.00,6.00,4.00,6.00,8.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2038900,1.00,6.00,3.00,6.00,4.00,4.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2038919,4.00,7.00,4.00,5.00,6.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2038927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2038935,2.00,8.00,7.00,6.00,4.00,4.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2038951,6.00,7.00,7.00,7.00,7.00,6.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2038978,3.00,7.00,7.00,6.00,8.00,5.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2038986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2038994,2.00,7.00,2.00,3.00,7.00,6.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2039001,4.00,3.00,4.00,2.00,3.00,4.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2039010,3.00,6.00,5.00,8.00,7.00,4.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2039036,5.00,6.00,5.00,9.00,9.00,5.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2039044,6.00,8.00,4.00,4.00,6.00,5.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2039052,2.00,5.00,1.00,4.00,3.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2039060,6.00,6.00,7.00,5.00,8.00,6.75,6.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2039079,6.00,7.00,4.00,7.00,8.00,6.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2039087,6.00,6.00,5.00,4.00,6.00,4.75,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2039095,6.00,7.00,5.00,7.00,7.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2039125,5.00,7.00,2.00,6.00,7.00,3.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2039133,2.00,3.00,4.00,1.00,5.00,4.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2039141,1.00,3.00,2.00,3.00,4.00,7.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2039150,1.00,7.00,4.00,0.00,5.00,4.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2039168,3.00,7.00,3.00,5.00,4.00,5.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2039176,5.00,7.00,6.00,9.00,7.00,7.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2039184,4.00,8.00,8.00,8.00,6.00,5.25,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2039192,4.00,8.00,5.00,9.00,8.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2039206,3.00,7.00,4.00,6.00,5.00,6.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2039214,4.00,6.00,4.00,2.00,7.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2039230,5.00,9.00,4.00,4.00,6.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2039249,2.00,4.00,4.00,2.00,4.00,6.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2039257,6.00,6.00,7.00,8.00,7.00,6.75,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2039265,7.00,8.00,8.00,5.00,8.00,6.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2039273,5.00,9.00,6.00,6.00,8.00,4.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2039281,1.00,6.00,3.00,4.00,4.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2039290,4.00,7.00,4.00,6.00,6.00,4.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2039303,5.00,8.00,5.00,8.00,7.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2039311,5.00,4.00,5.00,5.00,8.00,6.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2039320,6.00,8.00,7.00,9.00,8.00,5.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2039338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2039346,1.00,5.00,1.00,5.00,6.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2039354,8.00,8.00,9.00,8.00,8.00,8.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2039370,6.00,7.00,5.00,8.00,9.00,5.75,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2039389,6.00,8.00,7.00,8.00,9.00,6.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2039397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2039400,4.00,8.00,6.00,6.00,6.00,5.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2039419,4.00,7.00,4.00,3.00,6.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2039427,8.00,7.00,9.00,8.00,8.00,4.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2039435,5.00,8.00,6.00,3.00,8.00,5.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2039443,7.00,6.00,7.00,7.00,7.00,6.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2039460,1.00,4.00,2.00,6.00,7.00,7.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2039478,2.00,6.00,1.00,7.00,7.00,7.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2039508,1.00,4.00,1.00,3.00,5.00,4.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2039524,4.00,7.00,3.00,4.00,6.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2039532,4.00,5.00,4.00,8.00,6.00,6.75,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2039540,1.00,3.00,2.00,7.00,5.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2039559,4.00,6.00,5.00,6.00,6.00,6.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2039567,5.00,8.00,4.00,4.00,9.00,4.75,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2039575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2039591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2039605,3.00,9.00,7.00,9.00,8.00,6.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2039613,5.00,6.00,6.00,2.00,6.00,5.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2039621,5.00,7.00,4.00,0.00,3.00,NULL,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2039630,6.00,9.00,3.00,8.00,7.00,5.50,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(15,2039648,7.00,9.00,4.00,7.00,9.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2039656,5.00,6.00,7.00,2.00,5.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2039664,5.00,6.00,4.00,4.00,7.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2039672,4.00,6.00,4.00,2.00,7.00,5.50,7.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2039699,4.00,2.00,6.00,7.00,7.00,5.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2039702,4.00,7.00,6.00,7.00,8.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2039729,6.00,6.00,9.00,1.00,5.00,5.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2039745,1.00,6.00,1.00,5.00,5.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2039753,3.00,2.00,3.00,0.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2039761,5.00,5.00,6.00,5.00,8.00,6.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2039770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2039788,7.00,6.00,8.00,5.00,7.00,6.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2039796,4.00,6.00,5.00,5.00,7.00,7.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2039800,3.00,3.00,2.00,2.00,7.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2039818,7.00,8.00,8.00,9.00,8.00,6.00,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2039826,0.00,6.00,6.00,5.00,6.00,5.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2039834,6.00,8.00,8.00,8.00,8.00,6.25,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2039842,5.00,8.00,7.00,6.00,9.00,6.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2039850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2039869,6.00,7.00,6.00,6.00,9.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2039877,7.00,8.00,5.00,7.00,8.00,3.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2039893,8.00,8.00,9.00,9.00,9.00,6.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2039907,4.00,7.00,8.00,7.00,9.00,4.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2039923,4.00,8.00,5.00,3.00,5.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2039931,5.00,5.00,6.00,6.00,7.00,4.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2039940,3.00,9.00,5.00,9.00,8.00,6.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2039958,8.00,8.00,9.00,9.00,8.00,7.25,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2039966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2039974,2.00,8.00,2.00,6.00,6.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2039982,6.00,8.00,9.00,8.00,9.00,6.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2040018,0.00,7.00,7.00,7.00,6.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2040026,6.00,8.00,8.00,9.00,9.00,6.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2040050,4.00,8.00,3.00,5.00,5.00,4.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2040069,2.00,7.00,3.00,6.00,6.00,3.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2040077,6.00,6.00,7.00,6.00,3.00,7.00,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2040085,1.00,5.00,2.00,4.00,6.00,4.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2040093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2040107,1.00,7.00,4.00,4.00,8.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2040115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2040123,3.00,7.00,6.00,7.00,8.00,6.00,6.00,6.00,6.00,NULL,NULL,NULL,'S'),(15,2040140,0.00,5.00,1.00,1.00,5.00,NULL,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2040158,7.00,9.00,8.00,9.00,9.00,7.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2040166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2040174,4.00,7.00,5.00,6.00,8.00,4.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2040182,7.00,8.00,2.00,5.00,7.00,6.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2040190,3.00,4.00,2.00,8.00,7.00,5.50,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2040204,7.00,8.00,9.00,9.00,8.00,5.25,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2040220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2040239,2.00,5.00,0.00,1.00,6.00,NULL,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2040247,4.00,7.00,9.00,2.00,9.00,7.75,9.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2040255,4.00,9.00,2.00,8.00,9.00,6.25,5.00,9.00,2.00,NULL,NULL,NULL,'N'),(15,2040263,5.00,7.00,5.00,7.00,7.00,5.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2040271,7.00,8.00,8.00,8.00,9.00,7.25,9.00,3.00,7.00,NULL,NULL,NULL,'N'),(15,2040280,2.00,7.00,3.00,6.00,6.00,6.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2040301,3.00,5.00,3.00,9.00,4.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2040310,3.00,7.00,4.00,3.00,8.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2040328,3.00,5.00,6.00,3.00,7.00,3.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2040336,2.00,5.00,3.00,1.00,7.00,4.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2040352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2040360,4.00,6.00,5.00,8.00,7.00,4.75,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2040387,7.00,7.00,6.00,3.00,9.00,6.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2040395,4.00,2.00,2.00,5.00,3.00,5.50,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2040409,7.00,8.00,9.00,7.00,8.00,5.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2040417,4.00,7.00,3.00,6.00,8.00,4.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2040425,4.00,9.00,7.00,8.00,8.00,4.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2040433,7.00,7.00,7.00,8.00,8.00,7.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2040441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2040450,7.00,7.00,7.00,8.00,9.00,7.00,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2040468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2040484,1.00,3.00,3.00,3.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2040492,0.00,4.00,3.00,2.00,5.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2040506,6.00,8.00,8.00,8.00,9.00,6.50,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2040514,3.00,3.00,3.00,3.00,6.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2040522,2.00,3.00,3.00,1.00,7.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2040530,2.00,5.00,3.00,7.00,5.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2040549,3.00,7.00,6.00,2.00,7.00,5.00,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2040557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2040565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2040573,5.00,7.00,5.00,7.00,8.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2040590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2040603,3.00,7.00,4.00,7.00,7.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2040611,7.00,7.00,7.00,7.00,8.00,8.25,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(15,2040620,4.00,7.00,5.00,7.00,8.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2040638,3.00,7.00,5.00,3.00,9.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2040646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2040662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2040670,1.00,7.00,2.00,9.00,7.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2040689,3.00,8.00,7.00,5.00,7.00,4.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2040700,4.00,5.00,5.00,6.00,7.00,6.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2040727,4.00,6.00,7.00,6.00,7.00,7.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2040735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2040743,4.00,7.00,4.00,6.00,8.00,6.25,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2040760,3.00,3.00,2.00,7.00,6.00,5.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2040778,6.00,7.00,6.00,8.00,8.00,7.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2040786,3.00,5.00,5.00,3.00,7.00,4.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2040794,2.00,8.00,0.00,4.00,6.00,5.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2040808,8.00,8.00,3.00,9.00,8.00,5.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2040816,3.00,6.00,3.00,1.00,6.00,4.25,7.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2040824,4.00,7.00,4.00,3.00,6.00,4.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2040832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2040840,5.00,8.00,5.00,5.00,8.00,6.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2040867,6.00,8.00,3.00,7.00,8.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2040875,3.00,6.00,5.00,5.00,7.00,5.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2040883,2.00,3.00,2.00,3.00,6.00,3.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2040891,3.00,6.00,3.00,5.00,4.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2040913,3.00,6.00,3.00,7.00,5.00,5.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2040921,4.00,7.00,6.00,3.00,5.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2040930,6.00,7.00,8.00,9.00,9.00,5.75,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2040956,4.00,8.00,8.00,9.00,8.00,7.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2040972,5.00,7.00,2.00,6.00,8.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2040980,1.00,7.00,7.00,4.00,5.00,5.00,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2040999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2041006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2041014,8.00,7.00,9.00,7.00,8.00,6.75,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2041022,5.00,6.00,3.00,7.00,7.00,6.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2041030,2.00,4.00,3.00,6.00,7.00,4.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2041049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2041057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2041065,2.00,4.00,5.00,8.00,5.00,7.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2041073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2041081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2041103,3.00,7.00,3.00,3.00,6.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2041111,4.00,7.00,5.00,9.00,5.00,3.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2041120,3.00,6.00,2.00,6.00,8.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2041138,3.00,4.00,5.00,3.00,5.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2041146,3.00,7.00,5.00,5.00,4.00,5.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2041162,0.00,2.00,1.00,4.00,7.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2041170,2.00,5.00,4.00,7.00,6.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2041189,3.00,4.00,2.00,1.00,5.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2041197,6.00,7.00,7.00,6.00,7.00,6.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2041219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2041227,8.00,8.00,8.00,8.00,9.00,5.25,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2041235,4.00,6.00,4.00,0.00,5.00,4.50,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2041243,2.00,8.00,2.00,4.00,6.00,5.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2041260,5.00,9.00,7.00,5.00,9.00,5.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2041278,5.00,7.00,8.00,6.00,8.00,7.75,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2041286,2.00,8.00,4.00,6.00,5.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2041294,5.00,8.00,6.00,5.00,7.00,5.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2041308,6.00,8.00,8.00,8.00,6.00,4.50,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2041324,4.00,7.00,4.00,4.00,6.00,5.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2041332,5.00,6.00,6.00,5.00,5.00,4.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2041340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2041359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2041367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2041375,8.00,8.00,9.00,7.00,7.00,6.25,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2041383,7.00,7.00,6.00,4.00,8.00,7.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2041391,6.00,8.00,5.00,7.00,7.00,5.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2041405,5.00,7.00,7.00,7.00,6.00,5.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2041413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2041421,4.00,8.00,4.00,6.00,6.00,6.25,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2041430,7.00,7.00,9.00,7.00,7.00,6.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2041448,6.00,7.00,9.00,8.00,9.00,7.25,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2041456,5.00,7.00,5.00,8.00,7.00,5.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2041464,2.00,5.00,6.00,6.00,7.00,8.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2041472,6.00,8.00,7.00,8.00,9.00,5.75,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2041480,4.00,6.00,4.00,6.00,8.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2041499,1.00,5.00,3.00,5.00,6.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2041502,3.00,4.00,1.00,6.00,6.00,5.75,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2041510,2.00,6.00,2.00,7.00,7.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2041529,4.00,6.00,5.00,2.00,5.00,3.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2041537,3.00,6.00,6.00,9.00,7.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2041545,0.00,4.00,2.00,2.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2041553,5.00,4.00,2.00,4.00,4.00,6.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2041561,2.00,4.00,3.00,4.00,3.00,2.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2041588,2.00,7.00,5.00,6.00,6.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2041600,7.00,8.00,8.00,6.00,9.00,6.50,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2041618,7.00,9.00,7.00,3.00,7.00,5.25,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2041626,0.00,5.00,1.00,2.00,6.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2041642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2041669,2.00,9.00,1.00,4.00,6.00,4.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2041677,4.00,8.00,5.00,9.00,9.00,7.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2041685,4.00,7.00,1.00,6.00,7.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2041693,1.00,5.00,1.00,2.00,7.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2041707,5.00,7.00,6.00,6.00,7.00,6.00,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2041715,2.00,4.00,3.00,1.00,6.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2041723,8.00,8.00,7.00,9.00,8.00,5.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2041731,4.00,7.00,6.00,9.00,6.00,4.50,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2041758,4.00,5.00,2.00,6.00,6.00,4.75,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2041766,4.00,7.00,6.00,3.00,8.00,4.00,6.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2041782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2041790,2.00,8.00,5.00,5.00,4.00,4.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2041812,6.00,7.00,6.00,6.00,7.00,7.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2041820,3.00,7.00,8.00,6.00,8.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2041847,2.00,4.00,0.00,2.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2041871,6.00,8.00,8.00,9.00,8.00,4.75,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2041880,3.00,5.00,1.00,3.00,3.00,4.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2041898,5.00,8.00,3.00,5.00,7.00,7.25,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2041901,1.00,4.00,2.00,1.00,6.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2041910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2041928,4.00,7.00,4.00,7.00,6.00,5.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2041936,6.00,8.00,7.00,9.00,7.00,7.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2041952,2.00,8.00,5.00,5.00,7.00,5.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2041979,4.00,6.00,3.00,0.00,7.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2041987,2.00,4.00,1.00,1.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2042010,5.00,7.00,1.00,5.00,8.00,7.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2042029,4.00,6.00,4.00,5.00,6.00,7.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2042037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2042053,6.00,9.00,5.00,6.00,8.00,7.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2042070,4.00,7.00,1.00,8.00,7.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2042088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2042100,4.00,8.00,4.00,5.00,7.00,6.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2042118,5.00,6.00,6.00,7.00,8.00,7.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2042126,5.00,8.00,5.00,6.00,9.00,6.50,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2042134,2.00,5.00,4.00,3.00,6.00,5.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2042142,3.00,8.00,3.00,6.00,5.00,6.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2042150,1.00,5.00,4.00,2.00,4.00,3.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2042169,5.00,8.00,5.00,6.00,7.00,6.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2042193,4.00,6.00,4.00,2.00,6.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2042207,2.00,4.00,2.00,2.00,6.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2042215,5.00,8.00,6.00,5.00,9.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2042223,6.00,8.00,6.00,9.00,8.00,4.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2042231,3.00,6.00,3.00,2.00,4.00,3.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2042240,4.00,7.00,4.00,5.00,7.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2042258,7.00,8.00,9.00,9.00,9.00,5.00,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2042266,3.00,6.00,1.00,4.00,5.00,4.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2042274,3.00,7.00,1.00,7.00,7.00,7.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2042282,3.00,5.00,3.00,3.00,7.00,4.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2042290,5.00,8.00,7.00,7.00,9.00,6.25,9.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2042304,3.00,5.00,0.00,0.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2042312,3.00,3.00,2.00,6.00,7.00,5.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2042355,1.00,6.00,4.00,7.00,6.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2042363,7.00,7.00,6.00,9.00,8.00,5.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2042371,2.00,3.00,0.00,4.00,5.00,NULL,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2042380,3.00,8.00,4.00,5.00,6.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2042401,5.00,8.00,4.00,6.00,6.00,6.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2042410,0.00,4.00,1.00,4.00,7.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2042428,3.00,7.00,6.00,7.00,5.00,3.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2042436,4.00,7.00,4.00,5.00,8.00,7.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2042444,6.00,9.00,5.00,4.00,8.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2042452,3.00,6.00,4.00,4.00,4.00,4.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2042479,3.00,7.00,4.00,6.00,7.00,5.00,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2042487,8.00,8.00,6.00,8.00,8.00,5.75,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2042495,1.00,1.00,1.00,2.00,3.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2042517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2042533,6.00,7.00,7.00,6.00,8.00,5.00,9.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2042550,5.00,6.00,5.00,5.00,6.00,4.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2042568,4.00,5.00,9.00,8.00,8.00,3.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2042576,6.00,5.00,1.00,7.00,8.00,5.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2042584,5.00,5.00,8.00,2.00,9.00,3.00,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2042592,3.00,8.00,2.00,4.00,7.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2042606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2042614,5.00,5.00,4.00,3.00,7.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2042630,4.00,6.00,3.00,9.00,7.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2042657,5.00,8.00,1.00,4.00,5.00,5.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2042673,4.00,6.00,5.00,1.00,6.00,4.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2042681,6.00,3.00,5.00,5.00,6.00,6.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2042690,5.00,7.00,5.00,4.00,7.00,4.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2042703,1.00,3.00,2.00,3.00,5.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2042738,2.00,6.00,1.00,2.00,4.00,5.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2042762,3.00,5.00,1.00,6.00,8.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2042797,2.00,5.00,1.00,4.00,5.00,NULL,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2042800,3.00,7.00,5.00,2.00,5.00,5.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2042819,6.00,8.00,8.00,2.00,7.00,5.00,8.00,4.00,8.00,NULL,NULL,NULL,'N'),(15,2042843,1.00,7.00,2.00,6.00,7.00,3.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2042851,2.00,5.00,6.00,1.00,9.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2042860,6.00,8.00,9.00,8.00,8.00,8.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2042878,6.00,6.00,7.00,6.00,8.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2042894,7.00,8.00,8.00,5.00,8.00,7.00,9.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2042908,7.00,8.00,9.00,5.00,9.00,8.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2042916,4.00,8.00,6.00,7.00,9.00,5.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2042940,5.00,4.00,3.00,5.00,7.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2042959,3.00,3.00,3.00,6.00,4.00,6.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2042967,3.00,4.00,4.00,4.00,5.00,4.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2042975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2042983,3.00,4.00,1.00,7.00,5.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2042991,4.00,7.00,6.00,5.00,7.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2043009,4.00,7.00,2.00,7.00,7.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2043017,3.00,7.00,2.00,5.00,6.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2043025,2.00,7.00,2.00,1.00,5.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2043033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2043068,2.00,4.00,0.00,5.00,3.00,6.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2043076,4.00,8.00,6.00,6.00,9.00,5.75,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2043092,5.00,6.00,6.00,7.00,8.00,6.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2043106,4.00,7.00,6.00,5.00,8.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2043114,2.00,7.00,5.00,5.00,6.00,4.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2043122,2.00,3.00,4.00,2.00,5.00,4.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2043130,4.00,6.00,4.00,7.00,8.00,5.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2043149,5.00,8.00,5.00,7.00,7.00,4.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2043157,5.00,9.00,8.00,9.00,8.00,5.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2043165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2043173,5.00,7.00,2.00,3.00,7.00,6.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2043181,6.00,7.00,6.00,7.00,8.00,6.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2043190,6.00,6.00,6.00,4.00,6.00,5.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2043203,5.00,8.00,7.00,3.00,8.00,5.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2043211,4.00,6.00,4.00,1.00,5.00,4.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2043238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2043246,2.00,5.00,4.00,7.00,5.00,4.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2043254,1.00,6.00,4.00,4.00,7.00,4.00,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2043262,7.00,8.00,8.00,7.00,9.00,8.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2043270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2043289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2043297,4.00,6.00,6.00,6.00,8.00,5.25,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2043300,2.00,3.00,3.00,6.00,6.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2043327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2043343,5.00,6.00,6.00,1.00,6.00,4.50,7.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2043351,6.00,9.00,5.00,10.00,8.00,7.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2043360,3.00,6.00,4.00,5.00,4.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2043378,4.00,7.00,4.00,6.00,6.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2043394,2.00,6.00,3.00,4.00,7.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2043408,2.00,3.00,5.00,4.00,4.00,3.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2043416,2.00,4.00,4.00,5.00,8.00,3.75,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2043424,7.00,7.00,5.00,8.00,9.00,5.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2043432,5.00,5.00,4.00,4.00,5.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2043459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2043475,5.00,8.00,4.00,4.00,6.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2043483,2.00,6.00,1.00,0.00,8.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2043491,3.00,3.00,4.00,1.00,4.00,5.75,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2043505,0.00,6.00,2.00,6.00,7.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2043513,0.00,2.00,1.00,0.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2043521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2043530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2043556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2043564,3.00,3.00,3.00,6.00,8.00,7.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2043572,3.00,6.00,3.00,4.00,7.00,4.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2043580,4.00,7.00,2.00,6.00,6.00,3.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2043599,1.00,7.00,3.00,2.00,5.00,4.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2043602,6.00,8.00,8.00,5.00,9.00,5.75,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2043610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2043629,3.00,3.00,2.00,2.00,7.00,5.25,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2043645,4.00,8.00,6.00,8.00,8.00,7.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2043653,1.00,7.00,1.00,6.00,7.00,4.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2043661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2043670,0.00,7.00,3.00,2.00,5.00,5.25,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2043688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2043696,4.00,3.00,5.00,8.00,8.00,6.75,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2043718,3.00,5.00,2.00,1.00,5.00,5.25,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(15,2043726,4.00,6.00,6.00,2.00,7.00,6.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2043734,4.00,7.00,4.00,7.00,7.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2043742,8.00,6.00,8.00,6.00,8.00,6.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2043750,2.00,4.00,4.00,3.00,6.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2043769,4.00,5.00,1.00,5.00,4.00,4.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2043777,4.00,7.00,2.00,7.00,7.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2043793,7.00,8.00,9.00,8.00,7.00,7.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2043807,2.00,7.00,5.00,3.00,7.00,4.50,5.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2043815,4.00,5.00,3.00,3.00,5.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2043823,4.00,5.00,4.00,2.00,5.00,6.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2043831,8.00,9.00,10.00,7.00,9.00,9.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2043840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2043866,3.00,7.00,4.00,7.00,8.00,7.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2043874,7.00,7.00,9.00,9.00,8.00,7.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2043882,7.00,9.00,6.00,9.00,8.00,7.50,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2043890,4.00,7.00,2.00,2.00,7.00,4.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2043912,2.00,7.00,4.00,2.00,5.00,4.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2043920,3.00,7.00,3.00,5.00,7.00,6.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2043939,3.00,6.00,4.00,6.00,6.00,6.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2043947,4.00,6.00,7.00,1.00,7.00,4.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2043963,4.00,8.00,6.00,8.00,7.00,4.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2043971,6.00,7.00,6.00,7.00,7.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2043980,2.00,4.00,1.00,5.00,4.00,0.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2043998,7.00,9.00,8.00,7.00,8.00,6.25,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2044005,4.00,8.00,4.00,0.00,0.00,NULL,6.00,7.00,2.00,'S',NULL,NULL,'N'),(15,2044021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2044048,4.00,6.00,8.00,5.00,8.00,6.75,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2044056,6.00,8.00,3.00,7.00,7.00,6.50,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2044072,0.00,5.00,1.00,3.00,4.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2044099,4.00,5.00,5.00,8.00,8.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2044102,3.00,8.00,9.00,6.00,8.00,5.25,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2044110,3.00,7.00,5.00,6.00,8.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2044137,1.00,4.00,2.00,3.00,7.00,5.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2044145,4.00,9.00,6.00,6.00,7.00,6.75,9.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2044153,5.00,8.00,7.00,8.00,9.00,6.75,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2044170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2044196,4.00,5.00,8.00,4.00,7.00,6.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2044200,4.00,7.00,2.00,7.00,6.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2044218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2044234,2.00,5.00,1.00,4.00,4.00,4.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2044242,6.00,8.00,8.00,9.00,9.00,7.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2044250,2.00,7.00,3.00,7.00,6.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2044269,8.00,7.00,8.00,8.00,8.00,7.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2044277,3.00,7.00,4.00,6.00,7.00,5.25,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2044285,6.00,8.00,7.00,9.00,9.00,5.75,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2044293,5.00,7.00,7.00,3.00,6.00,5.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2044307,1.00,5.00,5.00,6.00,6.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2044323,0.00,6.00,1.00,1.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2044331,6.00,7.00,4.00,4.00,7.00,7.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2044340,2.00,5.00,2.00,4.00,6.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2044358,6.00,8.00,6.00,7.00,7.00,6.00,7.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2044366,2.00,6.00,2.00,5.00,4.00,5.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2044382,2.00,4.00,1.00,3.00,7.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2044404,2.00,6.00,1.00,4.00,7.00,6.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2044412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2044420,5.00,7.00,3.00,5.00,5.00,5.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2044439,3.00,6.00,2.00,5.00,6.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2044447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2044463,4.00,7.00,4.00,5.00,8.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2044480,1.00,5.00,2.00,5.00,3.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2044498,5.00,7.00,6.00,9.00,7.00,6.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2044528,2.00,5.00,3.00,7.00,4.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2044536,2.00,5.00,4.00,5.00,5.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2044544,1.00,5.00,6.00,4.00,7.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2044552,3.00,5.00,4.00,2.00,5.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2044560,3.00,8.00,8.00,6.00,7.00,7.50,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2044579,5.00,7.00,7.00,2.00,8.00,5.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2044587,5.00,6.00,5.00,9.00,9.00,6.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2044595,1.00,4.00,1.00,4.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2044609,5.00,7.00,6.00,7.00,7.00,4.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2044625,1.00,8.00,2.00,3.00,3.00,4.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2044633,7.00,9.00,7.00,9.00,10.00,7.75,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2044641,2.00,5.00,1.00,7.00,4.00,5.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2044650,4.00,7.00,5.00,7.00,7.00,6.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2044668,2.00,4.00,4.00,4.00,4.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2044684,4.00,5.00,3.00,4.00,4.00,6.75,6.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2044706,4.00,7.00,1.00,5.00,6.00,4.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2044714,6.00,8.00,7.00,8.00,8.00,6.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2044730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2044749,3.00,6.00,2.00,5.00,7.00,4.00,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2044757,3.00,7.00,3.00,4.00,6.00,4.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2044765,3.00,5.00,1.00,3.00,6.00,4.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2044781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2044790,1.00,5.00,3.00,4.00,5.00,6.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2044803,3.00,7.00,5.00,7.00,6.00,5.00,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2044811,5.00,9.00,7.00,5.00,9.00,5.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2044820,4.00,5.00,6.00,6.00,8.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2044838,3.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2044846,2.00,7.00,2.00,4.00,4.00,7.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2044854,2.00,6.00,2.00,6.00,7.00,5.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2044862,1.00,6.00,2.00,2.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2044870,1.00,5.00,0.00,5.00,5.00,4.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2044889,3.00,9.00,6.00,7.00,6.00,5.75,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2044897,3.00,6.00,5.00,4.00,6.00,8.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2044919,3.00,7.00,3.00,6.00,4.00,6.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2044927,2.00,5.00,3.00,7.00,5.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2044943,3.00,5.00,4.00,6.00,6.00,5.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2044951,3.00,6.00,7.00,9.00,6.00,4.50,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2044978,6.00,7.00,7.00,5.00,8.00,6.50,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2044986,2.00,8.00,2.00,3.00,7.00,NULL,1.00,8.00,0.00,NULL,NULL,NULL,'N'),(15,2044994,4.00,7.00,6.00,4.00,8.00,6.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2045001,4.00,6.00,6.00,6.00,6.00,6.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2045010,3.00,8.00,1.00,7.00,6.00,6.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2045028,7.00,9.00,6.00,8.00,6.00,5.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2045036,4.00,7.00,4.00,8.00,7.00,7.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2045044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2045052,3.00,3.00,1.00,6.00,6.00,5.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2045060,2.00,8.00,4.00,5.00,3.00,4.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2045079,3.00,7.00,7.00,6.00,8.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2045087,0.00,5.00,2.00,2.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2045095,1.00,7.00,1.00,7.00,6.00,6.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2045109,7.00,7.00,4.00,6.00,6.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2045117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2045125,2.00,7.00,1.00,2.00,5.00,6.50,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2045141,4.00,5.00,6.00,5.00,7.00,4.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2045150,3.00,6.00,6.00,3.00,7.00,6.00,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2045168,0.00,3.00,1.00,6.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2045176,3.00,6.00,7.00,8.00,7.00,5.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2045192,3.00,5.00,6.00,1.00,8.00,6.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2045214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2045230,3.00,7.00,4.00,6.00,6.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2045249,1.00,3.00,3.00,1.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2045257,7.00,8.00,7.00,7.00,9.00,5.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2045265,8.00,6.00,6.00,6.00,8.00,4.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2045273,2.00,3.00,1.00,3.00,3.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2045281,0.00,5.00,2.00,6.00,2.00,NULL,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2045311,6.00,6.00,5.00,3.00,8.00,5.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2045320,2.00,7.00,4.00,2.00,5.00,5.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2045354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2045362,3.00,6.00,5.00,6.00,7.00,6.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2045389,4.00,4.00,5.00,2.00,6.00,3.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2045397,4.00,5.00,4.00,2.00,7.00,5.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2045400,7.00,8.00,8.00,5.00,9.00,7.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2045427,6.00,6.00,7.00,6.00,8.00,6.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2045435,7.00,7.00,4.00,5.00,6.00,4.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2045443,3.00,6.00,1.00,3.00,7.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2045451,3.00,3.00,0.00,1.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2045486,5.00,8.00,5.00,6.00,7.00,6.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2045494,1.00,8.00,4.00,5.00,8.00,6.75,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2045524,1.00,7.00,4.00,6.00,5.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2045532,3.00,7.00,2.00,7.00,6.00,4.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2045540,4.00,5.00,1.00,7.00,6.00,5.25,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2045559,4.00,6.00,4.00,8.00,9.00,6.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2045567,5.00,7.00,1.00,3.00,7.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2045575,3.00,6.00,3.00,1.00,6.00,5.00,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2045583,5.00,6.00,8.00,7.00,8.00,6.00,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2045591,2.00,3.00,2.00,5.00,5.00,6.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2045605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2045613,2.00,7.00,3.00,4.00,6.00,4.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2045621,3.00,8.00,2.00,4.00,5.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2045630,3.00,8.00,8.00,8.00,8.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2045648,7.00,8.00,8.00,8.00,7.00,5.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2045656,2.00,5.00,3.00,5.00,5.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2045664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2045672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2045680,2.00,5.00,5.00,6.00,8.00,3.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2045729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2045737,3.00,5.00,4.00,4.00,5.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2045761,1.00,5.00,3.00,4.00,4.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2045770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2045788,5.00,9.00,8.00,6.00,8.00,5.25,9.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2045796,6.00,9.00,4.00,8.00,9.00,7.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2045818,7.00,9.00,1.00,9.00,8.00,5.50,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2045826,2.00,4.00,3.00,3.00,7.00,5.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2045834,2.00,3.00,1.00,0.00,7.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2045842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2045850,3.00,4.00,0.00,1.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2045869,5.00,6.00,2.00,4.00,8.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2045877,2.00,5.00,6.00,8.00,7.00,5.50,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2045893,2.00,6.00,4.00,2.00,7.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2045907,3.00,7.00,1.00,4.00,5.00,4.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2045915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2045923,1.00,4.00,1.00,2.00,3.00,5.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2045931,2.00,7.00,6.00,6.00,9.00,6.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2045940,4.00,7.00,8.00,9.00,7.00,6.25,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2045958,3.00,7.00,5.00,3.00,5.00,6.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2045974,5.00,4.00,6.00,4.00,8.00,7.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2045990,1.00,5.00,3.00,6.00,8.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2046008,3.00,6.00,2.00,3.00,4.00,3.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2046016,4.00,5.00,0.00,3.00,7.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2046024,2.00,5.00,3.00,0.00,4.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2046032,2.00,5.00,2.00,0.00,4.00,3.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2046059,2.00,5.00,2.00,4.00,5.00,7.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2046067,4.00,7.00,3.00,8.00,4.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2046075,5.00,8.00,5.00,2.00,8.00,6.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2046083,7.00,8.00,7.00,7.00,7.00,7.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2046091,5.00,8.00,4.00,8.00,7.00,6.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2046105,6.00,8.00,4.00,9.00,8.00,7.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2046113,2.00,5.00,3.00,3.00,6.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2046130,6.00,6.00,8.00,5.00,8.00,6.75,9.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2046156,4.00,8.00,2.00,4.00,5.00,7.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2046164,2.00,3.00,2.00,1.00,4.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2046172,3.00,4.00,6.00,6.00,8.00,6.50,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2046210,8.00,9.00,8.00,3.00,7.00,6.25,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2046229,9.00,9.00,9.00,9.00,9.00,7.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2046237,7.00,9.00,8.00,9.00,9.00,7.75,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2046245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2046261,5.00,8.00,7.00,8.00,8.00,6.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2046270,6.00,8.00,8.00,9.00,7.00,7.25,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2046288,3.00,6.00,0.00,2.00,6.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2046296,3.00,8.00,6.00,7.00,9.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2046318,4.00,7.00,4.00,8.00,9.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2046326,3.00,5.00,5.00,7.00,8.00,8.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2046350,3.00,6.00,3.00,4.00,4.00,4.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2046369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2046377,6.00,7.00,7.00,7.00,8.00,7.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2046385,2.00,5.00,3.00,6.00,3.00,5.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2046393,4.00,7.00,6.00,7.00,8.00,6.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2046407,2.00,8.00,4.00,5.00,5.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2046415,5.00,8.00,7.00,6.00,7.00,5.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2046423,4.00,6.00,4.00,5.00,7.00,5.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2046431,2.00,8.00,5.00,7.00,7.00,7.00,2.00,8.00,3.00,NULL,NULL,NULL,'S'),(15,2046440,3.00,1.00,3.00,3.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2046458,7.00,5.00,6.00,9.00,7.00,6.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2046474,4.00,7.00,3.00,2.00,7.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2046482,7.00,8.00,7.00,6.00,8.00,7.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2046504,3.00,7.00,6.00,7.00,8.00,5.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2046520,3.00,5.00,3.00,8.00,7.00,6.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2046539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2046547,4.00,9.00,5.00,5.00,7.00,6.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2046555,1.00,6.00,4.00,3.00,7.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2046580,8.00,8.00,8.00,8.00,8.00,7.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2046601,5.00,9.00,1.00,4.00,9.00,6.00,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2046610,1.00,4.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2046628,1.00,7.00,2.00,6.00,7.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2046636,3.00,7.00,2.00,0.00,4.00,4.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2046644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2046652,4.00,5.00,0.00,8.00,6.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2046660,6.00,7.00,8.00,5.00,8.00,6.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2046679,4.00,7.00,4.00,4.00,7.00,5.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2046687,1.00,3.00,1.00,5.00,3.00,6.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2046709,4.00,4.00,2.00,5.00,5.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2046717,5.00,7.00,7.00,6.00,6.00,6.00,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2046725,6.00,4.00,2.00,3.00,9.00,5.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2046750,5.00,6.00,3.00,5.00,4.00,5.50,6.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2046768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2046776,7.00,8.00,6.00,6.00,8.00,7.25,8.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2046784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2046806,6.00,8.00,7.00,9.00,9.00,5.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2046822,4.00,7.00,2.00,8.00,8.00,5.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2046830,2.00,5.00,3.00,7.00,6.00,5.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2046857,6.00,6.00,2.00,4.00,9.00,4.75,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2046865,6.00,8.00,6.00,6.00,6.00,5.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2046873,3.00,6.00,4.00,7.00,4.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2046890,4.00,7.00,5.00,3.00,6.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2046903,2.00,6.00,5.00,2.00,6.00,5.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2046911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2046920,6.00,8.00,9.00,6.00,9.00,8.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2046938,5.00,9.00,6.00,8.00,8.00,5.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2046946,2.00,7.00,1.00,4.00,8.00,5.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2046954,6.00,8.00,7.00,7.00,8.00,6.50,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2046962,3.00,7.00,3.00,8.00,7.00,6.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2046970,1.00,5.00,2.00,0.00,4.00,5.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2046989,2.00,4.00,3.00,6.00,4.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2046997,3.00,7.00,3.00,7.00,8.00,6.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2047012,5.00,7.00,5.00,3.00,7.00,7.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2047020,3.00,4.00,0.00,6.00,3.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2047039,2.00,6.00,4.00,4.00,7.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2047047,3.00,7.00,6.00,7.00,8.00,6.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2047063,1.00,4.00,2.00,5.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2047080,4.00,7.00,0.00,8.00,8.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2047098,3.00,5.00,5.00,5.00,5.00,5.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2047101,4.00,6.00,7.00,3.00,8.00,5.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2047110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2047128,4.00,7.00,6.00,7.00,7.00,4.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2047136,5.00,7.00,9.00,9.00,8.00,6.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2047144,6.00,7.00,8.00,7.00,7.00,5.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2047152,3.00,4.00,4.00,5.00,6.00,4.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2047160,3.00,8.00,7.00,7.00,6.00,7.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2047179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2047187,8.00,7.00,9.00,7.00,8.00,5.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2047195,4.00,6.00,5.00,8.00,7.00,7.25,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2047209,3.00,6.00,5.00,6.00,7.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2047217,2.00,7.00,2.00,2.00,9.00,8.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2047225,4.00,6.00,4.00,6.00,8.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2047233,5.00,5.00,6.00,9.00,5.00,6.75,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2047241,7.00,8.00,8.00,6.00,9.00,5.00,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(15,2047250,2.00,8.00,6.00,8.00,9.00,7.25,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2047268,6.00,7.00,7.00,5.00,8.00,5.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2047284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2047306,4.00,7.00,5.00,6.00,8.00,5.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2047314,3.00,6.00,2.00,6.00,8.00,5.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2047322,8.00,8.00,8.00,6.00,9.00,6.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2047330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2047357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2047390,6.00,7.00,3.00,9.00,5.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2047403,5.00,7.00,7.00,6.00,8.00,5.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2047411,5.00,7.00,1.00,7.00,6.00,6.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2047420,8.00,9.00,6.00,7.00,8.00,4.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2047438,6.00,7.00,9.00,8.00,7.00,5.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2047446,4.00,6.00,3.00,7.00,7.00,4.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2047462,4.00,8.00,4.00,8.00,8.00,5.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2047470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2047489,6.00,9.00,9.00,6.00,8.00,8.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2047500,5.00,9.00,4.00,5.00,7.00,5.50,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2047519,2.00,6.00,4.00,7.00,6.00,6.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2047527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2047535,6.00,9.00,4.00,4.00,8.00,5.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2047543,2.00,7.00,3.00,4.00,5.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2047551,4.00,4.00,6.00,5.00,4.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2047578,3.00,6.00,4.00,4.00,8.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2047586,3.00,3.00,0.00,1.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2047608,7.00,7.00,7.00,9.00,9.00,8.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2047616,6.00,8.00,5.00,7.00,8.00,6.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2047624,8.00,7.00,8.00,7.00,8.00,5.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2047632,8.00,9.00,6.00,9.00,8.00,7.00,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2047640,6.00,7.00,8.00,5.00,9.00,7.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2047667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2047675,5.00,7.00,2.00,10.00,8.00,7.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2047683,7.00,8.00,8.00,5.00,6.00,9.25,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2047705,4.00,8.00,3.00,6.00,6.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2047713,3.00,5.00,3.00,5.00,2.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2047721,1.00,5.00,4.00,5.00,7.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2047730,7.00,7.00,6.00,6.00,7.00,6.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2047764,5.00,8.00,7.00,5.00,9.00,4.00,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2047772,1.00,8.00,4.00,6.00,6.00,4.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2047780,5.00,5.00,2.00,3.00,6.00,3.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2047799,1.00,4.00,2.00,4.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2047810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2047829,4.00,7.00,3.00,7.00,6.00,7.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2047837,4.00,7.00,6.00,5.00,7.00,4.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2047845,4.00,7.00,6.00,2.00,6.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2047853,4.00,7.00,8.00,8.00,9.00,5.75,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2047870,6.00,8.00,2.00,2.00,6.00,6.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2047888,5.00,6.00,9.00,7.00,7.00,5.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2047896,3.00,7.00,1.00,1.00,5.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2047900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2047934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2047942,5.00,7.00,7.00,7.00,8.00,7.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2047950,4.00,5.00,1.00,6.00,4.00,5.00,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2047969,3.00,5.00,5.00,2.00,7.00,5.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2047977,5.00,8.00,6.00,7.00,7.00,4.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2047985,2.00,6.00,4.00,2.00,6.00,5.00,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2047993,5.00,6.00,5.00,8.00,8.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2048000,4.00,5.00,2.00,2.00,4.00,4.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2048027,6.00,7.00,9.00,7.00,8.00,5.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2048035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2048043,5.00,6.00,2.00,3.00,8.00,5.25,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2048051,6.00,8.00,7.00,6.00,8.00,7.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2048060,1.00,6.00,7.00,3.00,8.00,7.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2048078,3.00,7.00,4.00,7.00,6.00,5.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2048086,1.00,3.00,4.00,6.00,7.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2048094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2048116,5.00,7.00,5.00,8.00,8.00,4.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2048124,7.00,7.00,5.00,5.00,8.00,6.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2048132,5.00,7.00,6.00,8.00,7.00,5.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2048140,3.00,7.00,7.00,9.00,8.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2048167,1.00,7.00,6.00,5.00,7.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2048175,1.00,8.00,6.00,3.00,6.00,5.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2048191,4.00,5.00,2.00,5.00,6.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2048205,6.00,8.00,9.00,7.00,9.00,7.25,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2048213,7.00,8.00,9.00,9.00,9.00,7.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2048230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2048248,6.00,7.00,9.00,9.00,9.00,4.75,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2048264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2048280,4.00,5.00,3.00,2.00,5.00,4.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2048299,1.00,7.00,3.00,2.00,7.00,6.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2048302,7.00,8.00,8.00,8.00,7.00,7.75,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2048310,3.00,4.00,6.00,9.00,6.00,7.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2048329,8.00,7.00,6.00,6.00,7.00,5.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2048337,5.00,8.00,6.00,6.00,9.00,8.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2048345,7.00,9.00,9.00,9.00,8.00,6.25,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2048353,2.00,5.00,3.00,1.00,6.00,6.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2048361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2048388,4.00,6.00,3.00,5.00,7.00,5.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2048396,4.00,7.00,3.00,7.00,6.00,4.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2048400,4.00,7.00,2.00,3.00,6.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2048426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2048450,4.00,4.00,5.00,7.00,6.00,8.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2048469,6.00,8.00,2.00,9.00,7.00,6.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2048477,6.00,8.00,8.00,8.00,8.00,6.25,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2048493,5.00,9.00,9.00,8.00,8.00,7.25,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2048507,1.00,5.00,1.00,5.00,4.00,5.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2048515,6.00,7.00,6.00,8.00,7.00,6.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2048523,5.00,6.00,6.00,8.00,9.00,5.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2048531,1.00,3.00,1.00,5.00,5.00,3.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2048540,1.00,3.00,1.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2048558,5.00,7.00,6.00,7.00,9.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2048566,4.00,8.00,4.00,8.00,7.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2048574,3.00,6.00,1.00,5.00,7.00,6.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2048582,6.00,9.00,6.00,5.00,8.00,6.00,9.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2048590,6.00,8.00,1.00,7.00,8.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2048604,5.00,9.00,8.00,7.00,8.00,5.00,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2048612,3.00,7.00,2.00,4.00,5.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2048620,3.00,5.00,4.00,6.00,7.00,3.50,7.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2048639,5.00,4.00,4.00,1.00,7.00,6.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2048647,8.00,7.00,9.00,8.00,8.00,7.50,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2048663,6.00,4.00,9.00,0.00,5.00,5.25,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2048671,5.00,7.00,3.00,7.00,7.00,7.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2048680,1.00,5.00,3.00,1.00,6.00,5.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2048698,4.00,7.00,6.00,1.00,4.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2048701,5.00,7.00,4.00,9.00,7.00,7.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2048710,4.00,7.00,7.00,3.00,7.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2048728,1.00,5.00,0.00,5.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2048736,8.00,8.00,8.00,8.00,8.00,6.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2048752,3.00,5.00,6.00,5.00,5.00,3.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2048760,4.00,7.00,1.00,2.00,7.00,4.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2048779,3.00,7.00,5.00,2.00,6.00,4.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2048787,2.00,4.00,1.00,3.00,5.00,4.75,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2048825,7.00,6.00,8.00,6.00,8.00,6.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2048833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2048841,4.00,8.00,6.00,9.00,7.00,5.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2048876,0.00,8.00,3.00,4.00,7.00,4.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2048884,6.00,7.00,6.00,9.00,8.00,7.00,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2048922,1.00,6.00,4.00,4.00,4.00,5.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2048930,1.00,5.00,4.00,5.00,7.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2048949,2.00,4.00,1.00,2.00,7.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2048957,7.00,9.00,9.00,8.00,9.00,6.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2048973,5.00,7.00,5.00,8.00,8.00,6.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2048981,4.00,7.00,6.00,4.00,7.00,6.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2048990,6.00,7.00,7.00,8.00,8.00,5.25,9.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2049015,8.00,8.00,8.00,9.00,8.00,6.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2049031,2.00,7.00,5.00,3.00,6.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2049040,3.00,3.00,2.00,3.00,2.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2049058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2049066,2.00,6.00,3.00,6.00,6.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2049074,6.00,8.00,9.00,9.00,7.00,6.75,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2049082,5.00,9.00,6.00,7.00,9.00,3.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2049090,9.00,8.00,8.00,4.00,8.00,5.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2049104,8.00,8.00,8.00,9.00,9.00,4.00,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2049120,3.00,8.00,7.00,7.00,8.00,7.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2049139,7.00,7.00,6.00,7.00,6.00,5.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2049147,5.00,7.00,7.00,6.00,8.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2049155,0.00,4.00,5.00,3.00,4.00,5.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2049163,8.00,9.00,5.00,7.00,7.00,5.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2049180,5.00,6.00,6.00,4.00,8.00,7.00,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2049198,3.00,7.00,2.00,5.00,5.00,7.25,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2049201,4.00,9.00,8.00,8.00,9.00,5.00,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2049210,1.00,4.00,0.00,0.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2049228,5.00,7.00,5.00,5.00,8.00,6.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2049236,4.00,9.00,4.00,9.00,9.00,7.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2049244,4.00,7.00,4.00,2.00,8.00,5.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2049252,2.00,6.00,1.00,2.00,7.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2049260,3.00,8.00,5.00,3.00,5.00,3.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2049287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2049309,3.00,6.00,5.00,6.00,7.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2049317,4.00,5.00,5.00,3.00,5.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2049325,4.00,9.00,8.00,6.00,8.00,7.25,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2049333,3.00,7.00,3.00,5.00,7.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2049341,7.00,7.00,5.00,8.00,7.00,7.50,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2049350,2.00,4.00,6.00,7.00,8.00,3.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2049368,4.00,8.00,6.00,6.00,7.00,3.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2049376,1.00,4.00,4.00,4.00,4.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2049384,0.00,5.00,0.00,3.00,6.00,4.75,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2049392,5.00,8.00,5.00,7.00,6.00,6.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2049406,2.00,5.00,4.00,2.00,5.00,3.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2049414,5.00,7.00,4.00,6.00,8.00,5.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2049430,7.00,6.00,5.00,8.00,9.00,6.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2049449,3.00,8.00,3.00,4.00,7.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2049457,5.00,8.00,7.00,3.00,5.00,0.00,8.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2049465,4.00,7.00,4.00,3.00,7.00,5.25,7.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2049473,8.00,8.00,6.00,6.00,6.00,4.75,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2049481,4.00,6.00,4.00,6.00,6.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2049503,2.00,6.00,3.00,3.00,6.00,2.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2049511,3.00,7.00,3.00,6.00,7.00,5.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2049520,6.00,8.00,4.00,5.00,7.00,5.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2049538,7.00,8.00,7.00,5.00,7.00,6.00,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2049546,2.00,6.00,4.00,6.00,8.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2049554,1.00,6.00,5.00,7.00,5.00,6.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2049562,7.00,8.00,6.00,7.00,7.00,6.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2049570,4.00,7.00,6.00,8.00,7.00,7.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2049589,2.00,8.00,8.00,4.00,4.00,5.75,8.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2049597,4.00,7.00,5.00,2.00,5.00,6.00,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2049600,3.00,9.00,7.00,6.00,9.00,7.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2049619,2.00,6.00,4.00,3.00,5.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2049627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2049643,3.00,5.00,3.00,7.00,8.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2049651,3.00,6.00,3.00,4.00,5.00,6.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2049660,1.00,3.00,4.00,4.00,4.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2049678,3.00,7.00,1.00,7.00,7.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2049686,2.00,6.00,5.00,4.00,7.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2049694,3.00,6.00,4.00,3.00,6.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2049708,1.00,1.00,1.00,0.00,1.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2049716,1.00,4.00,3.00,4.00,6.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2049724,3.00,5.00,2.00,1.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2049732,3.00,7.00,1.00,3.00,5.00,5.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2049740,8.00,8.00,9.00,5.00,7.00,4.50,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2049759,4.00,5.00,1.00,2.00,6.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2049767,2.00,3.00,5.00,0.00,5.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2049775,2.00,6.00,4.00,2.00,6.00,3.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2049783,1.00,6.00,3.00,5.00,6.00,4.50,5.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2049791,7.00,9.00,10.00,8.00,10.00,7.00,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2049805,5.00,8.00,5.00,9.00,9.00,7.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2049813,6.00,8.00,3.00,3.00,6.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2049830,9.00,8.00,8.00,7.00,8.00,6.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2049848,4.00,5.00,4.00,8.00,7.00,5.75,4.00,7.00,2.00,NULL,NULL,NULL,'S'),(15,2049856,2.00,8.00,7.00,4.00,7.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2049864,2.00,7.00,5.00,4.00,5.00,NULL,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2049872,2.00,4.00,2.00,0.00,6.00,5.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2049880,5.00,8.00,1.00,3.00,8.00,6.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2049899,3.00,8.00,2.00,0.00,0.00,NULL,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2049910,3.00,6.00,0.00,3.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2049945,3.00,2.00,2.00,2.00,5.00,4.75,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2049953,4.00,7.00,8.00,6.00,6.00,5.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2049961,2.00,5.00,0.00,6.00,7.00,6.00,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2049970,8.00,8.00,9.00,8.00,8.00,8.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2049988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2049996,2.00,8.00,5.00,4.00,7.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2050005,3.00,6.00,5.00,3.00,6.00,5.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2050021,6.00,7.00,8.00,9.00,9.00,7.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2050030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2050048,6.00,7.00,5.00,0.00,6.00,5.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2050080,7.00,9.00,8.00,8.00,8.00,7.00,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2050099,6.00,8.00,5.00,5.00,5.00,4.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2050102,3.00,8.00,4.00,4.00,5.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2050110,4.00,8.00,5.00,7.00,8.00,4.25,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2050137,4.00,6.00,1.00,6.00,6.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2050145,7.00,8.00,8.00,8.00,9.00,5.50,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2050153,0.00,5.00,3.00,3.00,5.00,3.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2050161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2050170,7.00,6.00,8.00,8.00,6.00,5.75,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2050188,3.00,7.00,7.00,5.00,7.00,5.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2050196,3.00,8.00,5.00,8.00,8.00,6.25,9.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2050218,5.00,7.00,5.00,3.00,7.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2050226,3.00,6.00,5.00,3.00,4.00,4.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2050234,5.00,6.00,3.00,1.00,6.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2050242,6.00,7.00,8.00,6.00,9.00,5.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2050269,5.00,7.00,9.00,3.00,8.00,6.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2050277,2.00,2.00,0.00,2.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2050285,3.00,7.00,0.00,6.00,7.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2050293,3.00,5.00,2.00,6.00,6.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2050307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2050315,1.00,5.00,5.00,4.00,7.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2050323,2.00,4.00,3.00,3.00,6.00,4.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2050331,3.00,2.00,6.00,7.00,8.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2050358,4.00,4.00,3.00,7.00,8.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2050366,6.00,7.00,5.00,8.00,8.00,5.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2050390,7.00,5.00,8.00,7.00,7.00,3.25,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2050404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2050412,6.00,7.00,9.00,8.00,9.00,5.50,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2050420,3.00,4.00,3.00,3.00,4.00,5.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2050439,4.00,8.00,3.00,7.00,7.00,4.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2050455,8.00,8.00,8.00,9.00,7.00,6.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2050463,6.00,7.00,5.00,4.00,8.00,7.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2050480,7.00,8.00,5.00,8.00,8.00,6.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2050498,2.00,7.00,2.00,6.00,8.00,6.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2050501,6.00,7.00,6.00,5.00,7.00,5.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2050510,4.00,6.00,2.00,1.00,4.00,4.25,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2050528,4.00,6.00,2.00,7.00,8.00,6.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2050536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2050544,8.00,8.00,5.00,6.00,8.00,6.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2050579,2.00,3.00,2.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2050617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2050633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2050641,4.00,8.00,7.00,8.00,7.00,6.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2050668,3.00,4.00,6.00,6.00,9.00,8.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2050676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2050684,3.00,7.00,4.00,0.00,6.00,NULL,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2050692,5.00,7.00,8.00,6.00,8.00,7.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2050706,2.00,5.00,6.00,3.00,6.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2050714,3.00,2.00,0.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2050722,4.00,8.00,4.00,4.00,6.00,5.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2050730,2.00,5.00,4.00,1.00,5.00,6.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2050765,5.00,8.00,3.00,4.00,7.00,4.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2050773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2050790,7.00,8.00,10.00,7.00,8.00,7.00,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2050803,3.00,4.00,2.00,1.00,4.00,4.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2050820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2050838,7.00,9.00,7.00,8.00,8.00,5.75,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2050846,5.00,4.00,7.00,8.00,7.00,6.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2050854,7.00,7.00,4.00,3.00,7.00,5.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2050862,2.00,4.00,3.00,5.00,4.00,2.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2050870,9.00,7.00,7.00,6.00,8.00,4.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2050889,2.00,4.00,3.00,7.00,6.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2050897,7.00,8.00,7.00,6.00,8.00,4.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2050900,5.00,6.00,5.00,7.00,9.00,7.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2050919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2050927,3.00,6.00,1.00,5.00,5.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2050935,0.00,6.00,2.00,3.00,6.00,4.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2050951,1.00,2.00,3.00,2.00,2.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2050960,7.00,6.00,8.00,9.00,9.00,5.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2050986,1.00,4.00,4.00,1.00,6.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2050994,3.00,7.00,8.00,6.00,6.00,6.50,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2051001,2.00,5.00,1.00,3.00,4.00,4.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2051010,2.00,3.00,1.00,7.00,5.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2051028,4.00,7.00,6.00,7.00,6.00,6.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2051036,2.00,3.00,3.00,4.00,5.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2051044,6.00,8.00,7.00,8.00,8.00,7.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2051060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2051079,4.00,7.00,7.00,6.00,5.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2051087,4.00,7.00,3.00,6.00,8.00,6.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2051095,4.00,5.00,4.00,6.00,5.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2051109,3.00,7.00,4.00,3.00,7.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2051125,3.00,8.00,4.00,2.00,7.00,5.75,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2051141,5.00,8.00,4.00,5.00,6.00,6.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2051150,2.00,2.00,1.00,4.00,3.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2051168,1.00,8.00,5.00,4.00,7.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2051176,5.00,4.00,5.00,4.00,8.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2051184,2.00,5.00,2.00,4.00,4.00,5.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2051192,5.00,4.00,5.00,5.00,6.00,4.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2051206,4.00,8.00,7.00,7.00,8.00,5.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2051222,5.00,5.00,7.00,6.00,9.00,4.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2051230,2.00,3.00,1.00,3.00,6.00,3.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2051249,6.00,8.00,9.00,7.00,8.00,6.00,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2051257,2.00,6.00,2.00,4.00,7.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2051265,3.00,5.00,9.00,7.00,4.00,5.50,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2051273,5.00,9.00,8.00,7.00,9.00,6.00,9.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2051281,1.00,5.00,1.00,6.00,4.00,4.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2051303,1.00,5.00,3.00,5.00,3.00,5.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2051320,8.00,7.00,6.00,8.00,8.00,7.25,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2051338,1.00,6.00,3.00,4.00,8.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2051346,6.00,8.00,8.00,8.00,8.00,5.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2051354,6.00,8.00,8.00,8.00,7.00,7.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2051362,7.00,8.00,8.00,5.00,8.00,6.75,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2051370,1.00,5.00,2.00,5.00,6.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2051389,1.00,6.00,2.00,3.00,5.00,2.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2051397,4.00,6.00,4.00,1.00,6.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2051400,2.00,2.00,0.00,3.00,6.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2051419,3.00,6.00,2.00,0.00,6.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2051435,4.00,8.00,4.00,6.00,7.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2051451,4.00,3.00,4.00,5.00,7.00,5.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2051478,4.00,5.00,3.00,7.00,3.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2051486,3.00,8.00,9.00,1.00,4.00,4.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2051494,3.00,3.00,1.00,2.00,6.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2051508,7.00,6.00,7.00,6.00,9.00,6.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2051524,1.00,4.00,2.00,2.00,3.00,4.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2051532,4.00,7.00,6.00,5.00,5.00,5.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2051540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2051559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2051567,5.00,8.00,7.00,5.00,7.00,7.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2051583,2.00,4.00,3.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2051591,4.00,7.00,2.00,2.00,7.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2051605,3.00,5.00,4.00,6.00,4.00,3.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2051613,2.00,5.00,1.00,7.00,6.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2051621,4.00,8.00,6.00,6.00,7.00,5.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2051630,5.00,8.00,5.00,8.00,7.00,7.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2051648,3.00,5.00,3.00,2.00,3.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2051656,1.00,7.00,2.00,1.00,5.00,5.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2051664,3.00,5.00,1.00,3.00,3.00,5.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2051680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2051729,3.00,6.00,4.00,2.00,6.00,3.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2051737,3.00,6.00,5.00,5.00,7.00,6.00,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2051753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2051761,5.00,9.00,7.00,5.00,8.00,5.75,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2051788,3.00,6.00,3.00,3.00,6.00,4.00,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2051796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2051800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2051818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2051826,6.00,7.00,2.00,3.00,7.00,5.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2051834,3.00,8.00,3.00,2.00,8.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2051850,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2051869,2.00,5.00,2.00,5.00,4.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2051877,4.00,7.00,4.00,7.00,6.00,6.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2051885,7.00,8.00,8.00,8.00,8.00,6.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2051893,5.00,7.00,6.00,7.00,9.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2051907,8.00,9.00,8.00,10.00,8.00,5.75,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2051940,1.00,7.00,4.00,7.00,6.00,7.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2051958,0.00,0.00,0.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2051966,4.00,6.00,7.00,6.00,6.00,6.75,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2051974,7.00,8.00,7.00,8.00,7.00,6.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2051990,3.00,3.00,3.00,5.00,7.00,6.50,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2052008,4.00,6.00,4.00,5.00,8.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2052016,4.00,7.00,6.00,7.00,9.00,6.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2052032,7.00,8.00,6.00,8.00,8.00,4.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2052040,5.00,4.00,6.00,0.00,6.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2052059,8.00,9.00,9.00,9.00,7.00,7.25,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2052067,5.00,7.00,3.00,4.00,8.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2052075,6.00,6.00,1.00,3.00,7.00,5.00,6.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2052083,2.00,3.00,4.00,5.00,6.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2052091,1.00,7.00,7.00,9.00,7.00,4.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2052105,2.00,5.00,1.00,5.00,7.00,4.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2052113,7.00,7.00,9.00,8.00,7.00,7.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2052121,0.00,0.00,1.00,2.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2052130,6.00,8.00,8.00,7.00,8.00,5.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2052148,3.00,7.00,6.00,9.00,7.00,5.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2052156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2052164,8.00,8.00,9.00,7.00,9.00,6.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2052172,3.00,7.00,2.00,5.00,7.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2052180,4.00,5.00,4.00,6.00,7.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2052199,6.00,8.00,9.00,9.00,9.00,6.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2052202,3.00,5.00,2.00,5.00,6.00,7.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2052210,4.00,4.00,5.00,4.00,5.00,5.00,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2052229,8.00,9.00,8.00,9.00,7.00,8.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2052237,7.00,7.00,7.00,6.00,5.00,6.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2052245,4.00,6.00,3.00,6.00,6.00,3.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2052253,6.00,8.00,8.00,5.00,8.00,4.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2052261,3.00,6.00,2.00,2.00,8.00,6.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2052270,4.00,8.00,5.00,0.00,7.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2052288,7.00,8.00,8.00,6.00,8.00,6.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2052296,6.00,7.00,7.00,7.00,7.00,4.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2052300,2.00,5.00,3.00,3.00,3.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2052326,6.00,7.00,6.00,5.00,8.00,6.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2052334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2052342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2052350,5.00,9.00,4.00,9.00,8.00,6.75,7.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2052369,3.00,7.00,0.00,4.00,7.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2052385,5.00,7.00,6.00,8.00,8.00,8.75,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2052393,2.00,7.00,2.00,6.00,7.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2052407,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2052415,1.00,2.00,2.00,1.00,5.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2052423,5.00,7.00,2.00,7.00,9.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2052431,7.00,7.00,9.00,8.00,8.00,8.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2052440,8.00,8.00,7.00,9.00,9.00,6.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2052458,3.00,7.00,6.00,2.00,8.00,4.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2052466,7.00,9.00,8.00,7.00,9.00,5.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2052474,7.00,9.00,9.00,7.00,9.00,5.50,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2052482,1.00,5.00,2.00,2.00,4.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2052490,5.00,9.00,8.00,7.00,9.00,5.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2052504,2.00,8.00,5.00,4.00,7.00,5.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2052512,4.00,5.00,5.00,7.00,5.00,4.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2052520,4.00,7.00,9.00,7.00,8.00,5.25,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2052539,4.00,8.00,3.00,4.00,7.00,6.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2052547,8.00,8.00,9.00,9.00,7.00,6.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2052555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2052563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2052571,5.00,6.00,5.00,3.00,6.00,5.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2052580,2.00,5.00,3.00,4.00,4.00,4.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2052598,3.00,7.00,1.00,2.00,7.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2052601,5.00,8.00,9.00,6.00,8.00,8.00,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2052610,3.00,3.00,2.00,2.00,5.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2052628,4.00,6.00,4.00,8.00,8.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2052644,5.00,7.00,3.00,6.00,8.00,6.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2052652,7.00,7.00,7.00,7.00,8.00,6.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2052660,2.00,8.00,4.00,4.00,7.00,4.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2052679,7.00,7.00,6.00,7.00,7.00,5.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2052687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2052695,3.00,8.00,1.00,9.00,7.00,6.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2052709,0.00,5.00,7.00,6.00,7.00,6.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2052717,9.00,7.00,8.00,8.00,8.00,6.00,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2052725,3.00,8.00,7.00,6.00,8.00,5.00,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2052733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2052741,5.00,6.00,4.00,7.00,5.00,5.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2052750,5.00,6.00,5.00,6.00,8.00,5.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2052768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2052776,5.00,7.00,0.00,5.00,6.00,4.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2052784,7.00,8.00,8.00,8.00,8.00,5.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2052792,3.00,6.00,2.00,2.00,3.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2052806,0.00,8.00,4.00,7.00,6.00,7.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2052814,5.00,7.00,8.00,8.00,7.00,6.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2052830,6.00,8.00,9.00,7.00,8.00,6.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2052849,5.00,6.00,2.00,6.00,9.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2052857,3.00,3.00,3.00,2.00,3.00,5.50,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(15,2052865,8.00,8.00,8.00,6.00,7.00,6.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2052873,4.00,7.00,0.00,2.00,7.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2052881,2.00,6.00,5.00,3.00,4.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2052890,6.00,6.00,7.00,6.00,8.00,5.75,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2052903,1.00,4.00,5.00,0.00,5.00,5.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2052920,3.00,7.00,3.00,5.00,7.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2052938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2052946,2.00,6.00,4.00,5.00,7.00,3.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2052954,7.00,9.00,8.00,8.00,9.00,7.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2052962,6.00,9.00,7.00,9.00,7.00,8.00,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2052970,3.00,8.00,5.00,5.00,8.00,6.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2052989,3.00,6.00,2.00,7.00,8.00,5.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2052997,8.00,8.00,9.00,8.00,9.00,7.00,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2053004,4.00,8.00,5.00,3.00,7.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2053012,0.00,3.00,1.00,6.00,6.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2053020,4.00,9.00,7.00,6.00,9.00,6.25,9.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2053047,3.00,6.00,3.00,7.00,7.00,4.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2053055,3.00,7.00,3.00,6.00,6.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2053063,3.00,4.00,4.00,6.00,4.00,3.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2053098,1.00,4.00,1.00,1.00,6.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2053101,6.00,6.00,8.00,6.00,6.00,5.00,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2053110,6.00,8.00,6.00,6.00,9.00,6.25,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2053128,5.00,7.00,8.00,6.00,9.00,8.00,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2053136,6.00,7.00,1.00,4.00,8.00,7.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2053144,1.00,4.00,2.00,2.00,6.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2053152,5.00,7.00,4.00,6.00,6.00,7.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2053160,6.00,8.00,5.00,5.00,7.00,5.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2053179,4.00,8.00,3.00,5.00,8.00,6.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2053195,3.00,7.00,4.00,5.00,8.00,7.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2053209,6.00,7.00,7.00,8.00,8.00,6.50,9.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2053217,1.00,6.00,1.00,2.00,6.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2053233,9.00,8.00,9.00,7.00,8.00,7.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2053241,5.00,6.00,2.00,4.00,9.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2053250,4.00,8.00,7.00,8.00,9.00,6.00,9.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2053268,4.00,6.00,6.00,4.00,7.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2053276,2.00,5.00,1.00,3.00,3.00,3.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2053284,8.00,9.00,9.00,6.00,8.00,6.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2053292,2.00,6.00,3.00,3.00,5.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2053322,2.00,9.00,5.00,8.00,6.00,5.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2053330,8.00,9.00,4.00,7.00,9.00,6.25,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2053349,0.00,3.00,1.00,1.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2053357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2053365,2.00,5.00,3.00,5.00,3.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2053373,7.00,7.00,7.00,6.00,9.00,6.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2053381,6.00,8.00,4.00,9.00,9.00,7.50,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2053411,6.00,9.00,9.00,7.00,8.00,7.75,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2053420,5.00,7.00,9.00,4.00,8.00,6.75,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2053438,4.00,6.00,2.00,4.00,6.00,4.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2053446,3.00,5.00,6.00,7.00,7.00,4.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2053454,8.00,8.00,9.00,8.00,9.00,5.75,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2053462,4.00,8.00,4.00,6.00,7.00,4.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2053470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2053489,7.00,8.00,7.00,5.00,8.00,8.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2053497,7.00,8.00,9.00,5.00,8.00,6.75,9.00,5.00,9.00,NULL,NULL,NULL,'N'),(15,2053500,3.00,8.00,4.00,2.00,8.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2053519,2.00,5.00,5.00,4.00,6.00,5.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2053535,7.00,8.00,9.00,8.00,9.00,7.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2053551,3.00,6.00,2.00,5.00,5.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2053560,1.00,3.00,4.00,1.00,5.00,5.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2053578,4.00,7.00,5.00,7.00,6.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2053586,4.00,8.00,4.00,7.00,6.00,6.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2053608,1.00,7.00,3.00,3.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2053616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2053624,5.00,9.00,3.00,5.00,7.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2053632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2053640,1.00,7.00,3.00,3.00,4.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2053659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2053667,6.00,6.00,1.00,3.00,6.00,5.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2053675,5.00,6.00,2.00,3.00,6.00,6.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2053683,2.00,4.00,1.00,1.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2053691,6.00,7.00,3.00,2.00,7.00,5.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2053705,1.00,6.00,1.00,4.00,7.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2053721,6.00,6.00,8.00,8.00,6.00,6.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2053748,2.00,7.00,1.00,0.00,7.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2053756,6.00,7.00,7.00,6.00,7.00,6.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2053764,6.00,7.00,7.00,5.00,7.00,4.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2053772,2.00,8.00,5.00,7.00,6.00,4.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2053799,5.00,6.00,4.00,4.00,7.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2053810,2.00,6.00,1.00,4.00,4.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2053829,6.00,8.00,9.00,7.00,8.00,5.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2053837,5.00,9.00,7.00,10.00,9.00,6.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2053845,4.00,6.00,4.00,8.00,8.00,7.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2053861,0.00,3.00,0.00,2.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2053888,5.00,6.00,8.00,5.00,8.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2053896,4.00,6.00,1.00,5.00,7.00,6.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2053900,6.00,6.00,5.00,0.00,6.00,4.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2053918,5.00,7.00,7.00,6.00,9.00,5.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2053926,4.00,6.00,3.00,5.00,5.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2053950,5.00,6.00,8.00,4.00,8.00,6.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2053977,8.00,9.00,10.00,8.00,9.00,8.75,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2053993,4.00,6.00,5.00,6.00,6.00,5.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2054000,2.00,6.00,7.00,5.00,6.00,4.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2054019,1.00,7.00,2.00,2.00,7.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2054027,5.00,5.00,2.00,2.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2054035,3.00,7.00,6.00,7.00,8.00,4.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2054043,4.00,5.00,6.00,7.00,7.00,5.50,6.00,2.00,6.00,NULL,NULL,NULL,'N'),(15,2054078,4.00,7.00,4.00,5.00,7.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2054086,2.00,3.00,2.00,4.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2054094,3.00,7.00,5.00,7.00,8.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2054108,4.00,6.00,1.00,7.00,8.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2054116,5.00,5.00,2.00,0.00,7.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2054124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2054132,0.00,0.00,0.00,0.00,0.00,NULL,7.00,5.00,4.00,'S','S',NULL,'N'),(15,2054140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2054175,1.00,5.00,1.00,1.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2054183,3.00,4.00,0.00,7.00,4.00,4.75,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2054191,4.00,7.00,7.00,6.00,7.00,5.50,8.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2054213,5.00,8.00,9.00,6.00,7.00,6.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2054221,3.00,6.00,4.00,3.00,8.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2054230,7.00,7.00,7.00,5.00,6.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2054256,2.00,7.00,6.00,4.00,7.00,4.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2054264,1.00,6.00,4.00,5.00,7.00,4.50,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2054272,0.00,2.00,2.00,5.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2054280,8.00,9.00,8.00,9.00,7.00,5.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2054302,6.00,8.00,9.00,9.00,7.00,7.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2054310,5.00,9.00,6.00,7.00,8.00,8.00,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2054337,7.00,8.00,9.00,8.00,9.00,7.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2054353,6.00,8.00,5.00,7.00,8.00,6.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2054361,1.00,5.00,5.00,4.00,6.00,4.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2054370,0.00,6.00,3.00,5.00,8.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2054388,1.00,4.00,1.00,2.00,5.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2054396,6.00,8.00,6.00,7.00,9.00,5.25,9.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2054400,4.00,7.00,5.00,7.00,9.00,6.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2054418,2.00,5.00,5.00,6.00,7.00,5.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2054426,3.00,8.00,5.00,7.00,7.00,5.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2054442,6.00,7.00,9.00,9.00,8.00,6.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2054450,2.00,7.00,3.00,6.00,7.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2054469,4.00,6.00,3.00,7.00,9.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2054477,2.00,7.00,5.00,6.00,9.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2054485,6.00,8.00,5.00,7.00,7.00,6.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2054507,4.00,6.00,6.00,5.00,6.00,6.25,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2054515,2.00,4.00,5.00,3.00,6.00,4.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2054523,6.00,8.00,6.00,8.00,9.00,5.75,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2054531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2054540,5.00,8.00,5.00,8.00,9.00,6.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2054558,4.00,6.00,5.00,0.00,6.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2054566,3.00,6.00,4.00,3.00,6.00,5.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2054574,4.00,5.00,2.00,6.00,7.00,3.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2054582,5.00,8.00,7.00,9.00,7.00,7.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2054590,9.00,7.00,9.00,5.00,8.00,7.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2054604,6.00,9.00,6.00,6.00,9.00,6.25,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2054612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2054620,6.00,6.00,7.00,7.00,8.00,7.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2054639,3.00,6.00,6.00,5.00,8.00,7.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2054647,2.00,4.00,2.00,2.00,3.00,3.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2054655,3.00,4.00,4.00,0.00,7.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2054663,2.00,6.00,1.00,5.00,7.00,5.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2054671,3.00,5.00,5.00,1.00,6.00,4.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2054680,4.00,6.00,5.00,6.00,7.00,5.00,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2054698,1.00,4.00,0.00,4.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2054701,7.00,8.00,8.00,9.00,8.00,8.00,9.00,9.00,9.00,NULL,NULL,NULL,'N'),(15,2054710,4.00,8.00,5.00,7.00,9.00,6.25,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2054728,7.00,8.00,9.00,7.00,8.00,5.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2054736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2054744,6.00,8.00,1.00,4.00,7.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2054752,8.00,8.00,9.00,9.00,8.00,6.00,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2054760,1.00,6.00,5.00,7.00,6.00,6.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2054779,5.00,8.00,6.00,6.00,5.00,6.50,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2054809,2.00,4.00,2.00,1.00,3.00,4.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2054825,2.00,6.00,1.00,3.00,5.00,3.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2054833,6.00,8.00,7.00,7.00,7.00,6.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2054841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2054850,1.00,3.00,1.00,5.00,3.00,3.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2054868,5.00,6.00,7.00,8.00,7.00,5.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2054876,7.00,7.00,5.00,8.00,8.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2054884,8.00,8.00,8.00,9.00,7.00,6.25,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2054892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2054906,0.00,6.00,2.00,4.00,6.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2054914,1.00,3.00,4.00,0.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2054922,1.00,6.00,3.00,3.00,6.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2054930,3.00,6.00,1.00,4.00,7.00,6.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2054957,8.00,9.00,10.00,10.00,9.00,6.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2054965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2054973,2.00,7.00,1.00,5.00,6.00,6.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2054981,5.00,7.00,6.00,5.00,7.00,7.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2054990,4.00,7.00,7.00,5.00,9.00,4.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2055007,8.00,9.00,9.00,8.00,9.00,6.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2055015,3.00,6.00,4.00,2.00,8.00,6.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2055023,4.00,3.00,3.00,4.00,6.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2055031,3.00,4.00,3.00,5.00,5.00,5.00,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2055040,1.00,5.00,0.00,6.00,3.00,4.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2055058,4.00,5.00,4.00,5.00,6.00,3.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2055066,5.00,7.00,8.00,9.00,5.00,7.50,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2055074,3.00,6.00,4.00,6.00,5.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2055082,6.00,6.00,5.00,7.00,6.00,4.75,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2055090,2.00,6.00,1.00,3.00,5.00,4.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2055104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2055112,3.00,8.00,1.00,2.00,7.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2055139,1.00,3.00,2.00,5.00,6.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2055147,4.00,7.00,5.00,6.00,7.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2055155,5.00,5.00,2.00,3.00,6.00,5.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2055163,2.00,7.00,4.00,7.00,7.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2055171,5.00,9.00,4.00,7.00,7.00,6.75,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2055180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2055198,3.00,9.00,5.00,5.00,8.00,6.75,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2055201,6.00,6.00,6.00,4.00,7.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2055210,6.00,8.00,7.00,5.00,8.00,5.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2055228,3.00,5.00,3.00,2.00,6.00,7.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2055236,4.00,8.00,5.00,5.00,6.00,4.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2055252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2055260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2055279,5.00,6.00,5.00,6.00,6.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2055295,3.00,8.00,5.00,5.00,7.00,5.25,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2055309,4.00,6.00,2.00,3.00,7.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2055317,5.00,4.00,3.00,6.00,5.00,6.50,6.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2055325,2.00,7.00,3.00,4.00,5.00,4.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2055333,1.00,5.00,1.00,0.00,4.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2055350,6.00,7.00,6.00,5.00,6.00,5.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2055376,1.00,5.00,3.00,4.00,5.00,4.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2055422,5.00,8.00,8.00,6.00,7.00,7.75,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2055430,3.00,4.00,6.00,5.00,4.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2055449,4.00,8.00,5.00,5.00,7.00,6.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2055457,1.00,6.00,4.00,2.00,3.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2055465,6.00,9.00,7.00,4.00,5.00,5.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2055473,4.00,8.00,5.00,7.00,8.00,5.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2055481,3.00,5.00,3.00,5.00,6.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2055490,4.00,8.00,7.00,9.00,8.00,6.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2055503,5.00,7.00,6.00,5.00,8.00,6.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2055511,3.00,6.00,5.00,5.00,6.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2055520,4.00,7.00,5.00,6.00,6.00,4.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2055538,0.00,5.00,1.00,2.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2055546,3.00,7.00,5.00,8.00,7.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2055554,3.00,7.00,6.00,4.00,8.00,5.50,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2055570,6.00,7.00,7.00,9.00,9.00,6.25,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2055589,4.00,5.00,7.00,4.00,5.00,4.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2055597,9.00,9.00,10.00,9.00,9.00,9.00,9.00,9.00,9.00,NULL,NULL,NULL,'N'),(15,2055600,7.00,5.00,8.00,3.00,8.00,6.50,8.00,3.00,7.00,NULL,NULL,NULL,'N'),(15,2055619,8.00,8.00,8.00,7.00,7.00,5.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2055643,7.00,7.00,5.00,7.00,9.00,7.25,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2055651,3.00,6.00,4.00,3.00,9.00,6.25,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2055660,6.00,8.00,6.00,8.00,8.00,6.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2055686,4.00,5.00,4.00,8.00,6.00,4.50,5.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2055694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2055708,6.00,8.00,6.00,8.00,8.00,3.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2055716,2.00,6.00,6.00,4.00,7.00,5.50,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2055724,3.00,7.00,4.00,5.00,8.00,4.50,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2055732,2.00,4.00,3.00,3.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2055740,3.00,5.00,3.00,4.00,4.00,6.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2055767,3.00,8.00,3.00,5.00,7.00,6.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2055775,6.00,8.00,6.00,6.00,6.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2055783,3.00,6.00,3.00,6.00,7.00,3.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2055791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2055805,3.00,7.00,2.00,9.00,7.00,6.00,4.00,7.00,0.00,NULL,NULL,NULL,'N'),(15,2055813,4.00,7.00,7.00,6.00,7.00,4.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2055848,2.00,7.00,5.00,6.00,8.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2055856,6.00,7.00,4.00,3.00,7.00,4.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2055864,4.00,5.00,7.00,6.00,6.00,5.75,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2055872,4.00,6.00,8.00,8.00,7.00,6.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2055899,2.00,5.00,2.00,6.00,5.00,4.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2055902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2055910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2055929,7.00,8.00,9.00,9.00,8.00,7.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2055937,5.00,7.00,8.00,7.00,8.00,8.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2055953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2055961,8.00,8.00,9.00,4.00,7.00,6.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2055970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2055996,8.00,7.00,9.00,8.00,8.00,6.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2056003,6.00,9.00,5.00,8.00,7.00,6.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2056011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2056046,1.00,4.00,1.00,3.00,6.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2056054,2.00,5.00,1.00,5.00,5.00,3.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2056062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2056070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2056089,0.00,7.00,1.00,1.00,7.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2056097,2.00,5.00,1.00,6.00,5.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2056100,5.00,9.00,7.00,6.00,7.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2056119,4.00,6.00,7.00,7.00,6.00,5.25,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2056135,7.00,8.00,9.00,8.00,9.00,7.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2056143,4.00,8.00,4.00,7.00,7.00,5.75,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2056151,7.00,8.00,5.00,2.00,7.00,5.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2056160,3.00,8.00,5.00,8.00,8.00,6.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2056178,7.00,9.00,9.00,7.00,9.00,7.25,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2056186,3.00,4.00,1.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2056194,2.00,4.00,1.00,2.00,4.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2056208,1.00,5.00,2.00,8.00,7.00,4.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2056216,2.00,6.00,2.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2056224,9.00,9.00,9.00,9.00,9.00,4.50,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2056240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2056259,5.00,5.00,1.00,4.00,7.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2056267,3.00,4.00,5.00,5.00,3.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2056275,8.00,9.00,6.00,5.00,9.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2056283,5.00,5.00,7.00,6.00,8.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2056291,8.00,8.00,6.00,4.00,9.00,7.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2056305,5.00,8.00,7.00,6.00,8.00,6.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2056313,5.00,6.00,5.00,8.00,8.00,6.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2056321,4.00,7.00,7.00,9.00,7.00,5.50,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2056330,2.00,5.00,4.00,6.00,6.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2056348,3.00,5.00,3.00,3.00,6.00,5.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2056356,4.00,7.00,6.00,5.00,7.00,6.50,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2056364,7.00,9.00,8.00,9.00,9.00,6.75,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2056372,5.00,7.00,5.00,9.00,8.00,7.50,7.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2056380,4.00,7.00,8.00,3.00,7.00,5.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2056399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2056402,2.00,5.00,0.00,5.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2056410,6.00,7.00,4.00,7.00,4.00,6.75,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2056429,1.00,3.00,2.00,0.00,6.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2056437,6.00,7.00,8.00,6.00,7.00,6.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2056445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2056453,3.00,6.00,2.00,1.00,7.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2056461,3.00,5.00,4.00,6.00,5.00,5.75,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2056488,6.00,8.00,7.00,6.00,8.00,6.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2056496,2.00,5.00,3.00,2.00,4.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2056500,3.00,4.00,3.00,0.00,2.00,NULL,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2056518,5.00,8.00,7.00,8.00,9.00,6.25,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2056526,3.00,6.00,5.00,2.00,5.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2056534,1.00,6.00,5.00,6.00,8.00,5.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2056542,4.00,7.00,6.00,6.00,9.00,5.75,7.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2056550,4.00,7.00,6.00,8.00,8.00,5.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2056569,5.00,9.00,7.00,8.00,6.00,4.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2056577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2056585,4.00,5.00,4.00,7.00,2.00,NULL,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2056593,4.00,8.00,6.00,7.00,8.00,5.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2056607,4.00,6.00,4.00,6.00,6.00,4.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2056631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2056640,4.00,7.00,5.00,9.00,7.00,7.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2056658,3.00,5.00,2.00,5.00,7.00,5.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2056666,6.00,8.00,6.00,8.00,7.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2056674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2056682,5.00,6.00,3.00,7.00,7.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2056690,4.00,6.00,5.00,4.00,7.00,5.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2056704,3.00,9.00,3.00,6.00,9.00,6.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2056712,4.00,8.00,4.00,8.00,6.00,6.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2056720,8.00,8.00,8.00,7.00,8.00,5.75,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2056739,2.00,6.00,1.00,6.00,5.00,6.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2056747,5.00,6.00,5.00,6.00,6.00,4.50,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2056763,4.00,8.00,9.00,7.00,8.00,7.00,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2056771,8.00,8.00,9.00,4.00,9.00,7.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2056780,8.00,8.00,5.00,8.00,8.00,5.75,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2056798,8.00,8.00,9.00,9.00,9.00,8.00,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2056801,6.00,7.00,5.00,6.00,9.00,6.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2056810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2056836,3.00,4.00,4.00,2.00,7.00,5.50,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2056844,6.00,8.00,7.00,4.00,8.00,2.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2056852,5.00,9.00,8.00,9.00,9.00,5.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2056860,2.00,7.00,6.00,6.00,6.00,5.25,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2056879,2.00,2.00,0.00,4.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2056887,5.00,7.00,6.00,8.00,7.00,6.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2056895,5.00,5.00,2.00,5.00,3.00,5.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2056909,3.00,6.00,2.00,7.00,4.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2056917,3.00,8.00,5.00,7.00,8.00,7.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2056925,3.00,6.00,6.00,8.00,8.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2056933,3.00,6.00,1.00,4.00,6.00,5.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2056950,4.00,7.00,3.00,7.00,6.00,6.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2056968,6.00,7.00,8.00,7.00,8.00,4.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2056976,2.00,7.00,3.00,3.00,5.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2056984,3.00,8.00,3.00,5.00,5.00,5.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2056992,3.00,8.00,7.00,8.00,8.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2057018,6.00,8.00,9.00,7.00,8.00,7.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2057026,2.00,7.00,4.00,0.00,6.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2057034,5.00,7.00,7.00,6.00,8.00,3.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2057042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2057050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2057069,6.00,7.00,7.00,8.00,8.00,3.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2057077,3.00,6.00,6.00,4.00,5.00,4.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2057085,2.00,3.00,4.00,4.00,7.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2057093,3.00,8.00,5.00,5.00,7.00,5.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2057107,4.00,8.00,3.00,6.00,7.00,5.25,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2057115,3.00,7.00,1.00,6.00,9.00,6.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2057123,6.00,9.00,8.00,8.00,9.00,7.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2057131,2.00,6.00,0.00,5.00,5.00,NULL,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2057140,0.00,6.00,1.00,7.00,8.00,NULL,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2057158,2.00,6.00,1.00,5.00,3.00,3.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2057166,3.00,8.00,2.00,8.00,8.00,7.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2057174,2.00,5.00,3.00,2.00,8.00,5.50,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2057182,5.00,7.00,6.00,4.00,7.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2057190,1.00,6.00,5.00,3.00,7.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2057212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2057220,3.00,6.00,4.00,1.00,4.00,5.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2057239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2057247,2.00,7.00,3.00,7.00,5.00,5.25,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2057255,7.00,8.00,5.00,7.00,8.00,4.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2057263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2057271,6.00,8.00,5.00,7.00,7.00,6.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2057280,1.00,8.00,3.00,3.00,4.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2057298,7.00,8.00,8.00,9.00,8.00,6.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2057301,7.00,9.00,7.00,9.00,9.00,9.75,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2057328,4.00,7.00,4.00,9.00,5.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2057336,7.00,8.00,8.00,5.00,9.00,5.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2057344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2057352,4.00,6.00,6.00,3.00,8.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2057360,8.00,8.00,8.00,6.00,8.00,6.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2057379,2.00,7.00,5.00,5.00,6.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2057387,6.00,9.00,6.00,8.00,8.00,7.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2057395,3.00,7.00,3.00,2.00,7.00,4.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2057409,0.00,0.00,0.00,1.00,3.00,NULL,0.00,3.00,2.00,NULL,'S',NULL,'N'),(15,2057417,4.00,7.00,4.00,2.00,9.00,6.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2057433,3.00,8.00,4.00,4.00,6.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2057441,5.00,8.00,8.00,8.00,8.00,6.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2057450,2.00,6.00,5.00,9.00,8.00,5.00,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2057468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2057476,1.00,5.00,4.00,2.00,6.00,3.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2057484,5.00,8.00,2.00,8.00,5.00,5.25,5.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2057492,5.00,8.00,2.00,3.00,7.00,7.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2057506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2057514,1.00,6.00,2.00,3.00,5.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2057522,1.00,7.00,6.00,5.00,7.00,4.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2057530,4.00,7.00,7.00,3.00,8.00,5.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2057549,4.00,6.00,2.00,8.00,8.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2057557,3.00,5.00,3.00,6.00,5.00,5.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2057565,3.00,5.00,4.00,3.00,6.00,5.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2057573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2057581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2057590,3.00,5.00,4.00,3.00,7.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2057603,3.00,6.00,4.00,9.00,8.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2057611,4.00,8.00,8.00,7.00,5.00,6.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2057620,3.00,8.00,5.00,4.00,7.00,7.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2057638,6.00,9.00,8.00,6.00,7.00,7.75,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2057646,3.00,5.00,6.00,3.00,4.00,4.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2057654,5.00,6.00,5.00,7.00,9.00,7.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2057662,4.00,7.00,2.00,5.00,8.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2057697,4.00,2.00,1.00,4.00,7.00,4.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2057700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2057719,3.00,3.00,0.00,1.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2057727,8.00,8.00,8.00,8.00,9.00,7.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2057735,1.00,3.00,2.00,6.00,6.00,5.25,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2057743,1.00,4.00,2.00,6.00,6.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2057751,2.00,6.00,1.00,4.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2057760,2.00,6.00,3.00,5.00,6.00,4.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2057778,3.00,6.00,1.00,2.00,6.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2057786,4.00,7.00,3.00,5.00,7.00,7.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2057794,6.00,8.00,7.00,6.00,8.00,8.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2057808,3.00,6.00,3.00,7.00,4.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2057816,1.00,5.00,1.00,6.00,8.00,4.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2057832,4.00,4.00,4.00,7.00,7.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2057840,3.00,7.00,2.00,3.00,4.00,3.75,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2057859,3.00,5.00,7.00,7.00,5.00,4.25,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2057867,3.00,7.00,6.00,5.00,6.00,5.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2057875,7.00,8.00,7.00,9.00,8.00,5.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2057883,6.00,8.00,8.00,5.00,6.00,4.25,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2057891,6.00,7.00,6.00,4.00,7.00,5.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2057905,4.00,9.00,7.00,8.00,9.00,6.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2057913,4.00,3.00,0.00,7.00,7.00,7.25,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2057921,4.00,7.00,2.00,7.00,7.00,5.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2057930,4.00,7.00,4.00,7.00,7.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2057948,5.00,8.00,8.00,8.00,8.00,7.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2057956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2057972,3.00,5.00,3.00,4.00,4.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2057999,7.00,8.00,7.00,7.00,8.00,6.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2058006,5.00,8.00,6.00,6.00,8.00,6.25,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2058014,5.00,7.00,7.00,6.00,7.00,6.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2058022,4.00,6.00,4.00,1.00,9.00,3.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2058030,0.00,0.00,0.00,8.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2058049,4.00,8.00,2.00,6.00,5.00,6.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2058057,2.00,4.00,5.00,5.00,4.00,7.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2058065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2058073,6.00,8.00,9.00,9.00,9.00,5.75,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2058081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2058090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2058103,1.00,4.00,1.00,1.00,4.00,4.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2058111,5.00,8.00,6.00,6.00,8.00,6.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2058120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2058138,5.00,7.00,8.00,6.00,8.00,5.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2058154,4.00,8.00,7.00,8.00,7.00,6.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2058162,5.00,8.00,8.00,8.00,8.00,6.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2058170,5.00,7.00,5.00,5.00,6.00,3.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2058189,6.00,8.00,5.00,8.00,8.00,7.00,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2058200,4.00,4.00,6.00,4.00,7.00,4.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2058227,6.00,7.00,3.00,8.00,9.00,6.25,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2058235,5.00,8.00,6.00,8.00,8.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2058243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2058251,5.00,6.00,3.00,9.00,7.00,8.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2058260,8.00,9.00,9.00,9.00,8.00,7.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2058286,4.00,5.00,4.00,6.00,6.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2058294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2058316,0.00,6.00,1.00,2.00,4.00,5.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2058332,3.00,6.00,7.00,4.00,6.00,3.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2058359,4.00,6.00,5.00,5.00,9.00,6.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2058367,3.00,7.00,5.00,8.00,7.00,4.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2058375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2058383,4.00,5.00,4.00,8.00,6.00,5.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2058391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2058405,6.00,7.00,7.00,8.00,8.00,5.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2058413,2.00,4.00,4.00,7.00,8.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2058421,1.00,6.00,2.00,2.00,4.00,4.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2058430,2.00,1.00,1.00,4.00,4.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2058448,4.00,5.00,4.00,8.00,9.00,5.00,7.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2058464,5.00,7.00,6.00,4.00,7.00,6.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2058480,2.00,5.00,0.00,5.00,6.00,NULL,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2058499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2058502,4.00,7.00,5.00,9.00,6.00,5.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2058510,2.00,7.00,4.00,7.00,8.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2058529,4.00,7.00,5.00,2.00,7.00,6.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2058537,7.00,7.00,8.00,7.00,8.00,6.50,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2058545,3.00,5.00,2.00,5.00,6.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2058561,3.00,8.00,3.00,7.00,7.00,7.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2058570,3.00,6.00,3.00,4.00,7.00,4.75,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2058588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2058596,8.00,8.00,9.00,8.00,7.00,5.75,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2058626,7.00,8.00,6.00,5.00,8.00,7.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2058634,3.00,8.00,5.00,5.00,6.00,3.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2058642,7.00,8.00,9.00,9.00,9.00,5.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2058650,3.00,7.00,6.00,7.00,7.00,4.50,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2058669,3.00,7.00,3.00,5.00,8.00,5.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2058677,2.00,3.00,1.00,2.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2058685,5.00,7.00,7.00,5.00,7.00,4.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2058693,5.00,7.00,6.00,6.00,8.00,8.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2058707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2058715,2.00,8.00,4.00,8.00,5.00,7.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2058723,5.00,6.00,8.00,7.00,8.00,7.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2058740,1.00,4.00,2.00,1.00,5.00,4.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2058766,2.00,6.00,5.00,1.00,7.00,7.75,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2058774,0.00,5.00,0.00,3.00,6.00,7.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2058782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2058790,4.00,7.00,7.00,8.00,7.00,6.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2058804,7.00,8.00,7.00,8.00,8.00,7.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2058812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2058820,3.00,6.00,3.00,8.00,9.00,5.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2058839,4.00,7.00,5.00,4.00,5.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2058847,8.00,9.00,7.00,5.00,8.00,6.50,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2058855,2.00,7.00,2.00,4.00,7.00,7.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2058863,3.00,7.00,7.00,8.00,7.00,5.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2058871,4.00,5.00,4.00,6.00,8.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2058880,6.00,7.00,7.00,6.00,8.00,6.75,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2058910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2058928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2058936,6.00,8.00,7.00,9.00,8.00,7.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2058944,7.00,9.00,2.00,6.00,8.00,5.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2058952,5.00,8.00,6.00,7.00,8.00,6.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2058960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2058987,4.00,8.00,3.00,7.00,8.00,4.75,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2058995,7.00,7.00,6.00,8.00,5.00,5.25,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2059002,7.00,7.00,8.00,6.00,7.00,4.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2059010,4.00,6.00,7.00,6.00,8.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2059029,5.00,6.00,3.00,2.00,4.00,5.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2059045,4.00,8.00,6.00,5.00,8.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2059053,3.00,6.00,4.00,5.00,7.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2059061,6.00,7.00,6.00,9.00,8.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2059070,5.00,7.00,3.00,8.00,6.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2059088,6.00,7.00,5.00,5.00,8.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2059096,7.00,8.00,6.00,9.00,9.00,6.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2059100,4.00,9.00,1.00,6.00,8.00,8.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2059118,1.00,7.00,2.00,6.00,4.00,5.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2059126,5.00,7.00,3.00,8.00,8.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2059134,3.00,8.00,4.00,7.00,8.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2059142,1.00,7.00,1.00,7.00,6.00,4.25,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2059150,4.00,4.00,6.00,7.00,7.00,3.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2059169,3.00,8.00,2.00,7.00,7.00,6.25,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2059177,4.00,9.00,5.00,7.00,9.00,5.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2059185,3.00,7.00,6.00,1.00,6.00,3.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2059193,7.00,7.00,4.00,8.00,8.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2059207,7.00,8.00,8.00,8.00,8.00,6.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2059215,4.00,5.00,4.00,4.00,6.00,5.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2059223,4.00,4.00,3.00,4.00,4.00,6.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2059231,4.00,8.00,3.00,5.00,6.00,5.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2059240,6.00,7.00,8.00,6.00,8.00,7.25,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2059258,3.00,6.00,3.00,2.00,4.00,3.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2059266,7.00,9.00,9.00,9.00,9.00,7.25,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2059274,0.00,4.00,1.00,1.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2059282,8.00,8.00,9.00,6.00,8.00,7.25,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2059290,7.00,8.00,8.00,8.00,7.00,4.75,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2059304,3.00,4.00,2.00,4.00,4.00,2.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2059312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2059320,3.00,7.00,8.00,8.00,9.00,6.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2059339,8.00,8.00,8.00,9.00,9.00,7.50,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2059347,8.00,9.00,9.00,8.00,9.00,7.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2059355,4.00,7.00,5.00,9.00,7.00,6.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2059363,1.00,6.00,3.00,1.00,6.00,6.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2059371,7.00,8.00,7.00,8.00,7.00,5.75,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2059380,4.00,8.00,4.00,5.00,8.00,7.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2059398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2059401,6.00,5.00,7.00,2.00,7.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2059410,5.00,5.00,6.00,8.00,7.00,5.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2059428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2059436,5.00,6.00,7.00,7.00,7.00,6.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2059444,3.00,6.00,6.00,5.00,6.00,6.50,5.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2059452,6.00,8.00,7.00,3.00,7.00,5.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2059460,5.00,6.00,6.00,4.00,8.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2059487,3.00,5.00,5.00,4.00,3.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2059495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2059509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2059517,6.00,5.00,5.00,5.00,4.00,5.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2059525,3.00,5.00,3.00,2.00,5.00,5.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2059533,2.00,6.00,2.00,3.00,6.00,3.00,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2059541,4.00,8.00,8.00,7.00,8.00,7.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2059550,6.00,8.00,8.00,9.00,9.00,6.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2059568,4.00,6.00,2.00,4.00,7.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2059576,7.00,7.00,6.00,6.00,8.00,8.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2059584,3.00,7.00,5.00,8.00,8.00,5.00,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2059592,2.00,4.00,1.00,4.00,5.00,5.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2059606,8.00,9.00,10.00,8.00,8.00,5.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2059614,4.00,8.00,3.00,4.00,8.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2059630,7.00,8.00,6.00,7.00,7.00,5.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2059649,2.00,5.00,1.00,5.00,4.00,3.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2059657,7.00,9.00,9.00,7.00,7.00,6.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2059665,6.00,8.00,10.00,9.00,8.00,4.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2059673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2059681,4.00,8.00,6.00,7.00,8.00,5.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2059690,2.00,4.00,2.00,5.00,5.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2059703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2059720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2059738,7.00,8.00,8.00,8.00,8.00,4.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2059746,8.00,8.00,9.00,8.00,9.00,7.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2059754,6.00,6.00,3.00,2.00,6.00,6.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2059762,7.00,7.00,9.00,8.00,9.00,6.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2059789,6.00,8.00,8.00,8.00,7.00,5.75,7.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2059797,3.00,5.00,4.00,6.00,4.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2059800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2059827,1.00,4.00,0.00,4.00,4.00,4.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2059835,6.00,7.00,9.00,5.00,7.00,6.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2059843,2.00,5.00,1.00,1.00,6.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2059851,7.00,8.00,7.00,5.00,8.00,6.00,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2059878,5.00,7.00,8.00,5.00,8.00,7.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2059894,5.00,7.00,2.00,5.00,7.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2059916,8.00,9.00,9.00,9.00,9.00,8.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2059924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2059932,1.00,3.00,4.00,2.00,7.00,4.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2059940,6.00,7.00,6.00,6.00,8.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2059959,3.00,6.00,7.00,3.00,9.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2059967,2.00,5.00,3.00,2.00,1.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2059975,6.00,7.00,4.00,4.00,7.00,6.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2059983,2.00,5.00,6.00,7.00,6.00,5.25,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2059991,1.00,2.00,2.00,1.00,6.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2060019,3.00,9.00,2.00,4.00,7.00,4.50,6.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2060027,6.00,8.00,5.00,9.00,9.00,5.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2060043,4.00,8.00,8.00,7.00,8.00,7.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2060060,5.00,8.00,4.00,7.00,7.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2060078,5.00,6.00,5.00,8.00,7.00,5.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2060086,4.00,5.00,6.00,6.00,8.00,6.25,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2060116,4.00,4.00,3.00,6.00,8.00,7.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2060124,7.00,8.00,8.00,5.00,6.00,6.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2060132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2060140,5.00,6.00,7.00,5.00,8.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2060167,8.00,7.00,6.00,9.00,6.00,5.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2060183,7.00,8.00,7.00,7.00,6.00,5.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2060191,6.00,6.00,4.00,4.00,8.00,6.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2060205,4.00,7.00,3.00,6.00,9.00,5.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2060213,3.00,7.00,3.00,3.00,8.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2060221,5.00,8.00,7.00,4.00,6.00,6.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2060230,4.00,7.00,8.00,7.00,9.00,6.50,8.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2060248,3.00,5.00,4.00,3.00,7.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2060256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2060272,4.00,8.00,3.00,1.00,7.00,7.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2060280,2.00,3.00,0.00,6.00,7.00,3.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2060299,3.00,4.00,5.00,5.00,7.00,6.25,6.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2060302,4.00,6.00,5.00,5.00,5.00,5.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2060310,2.00,2.00,1.00,0.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2060329,3.00,4.00,2.00,4.00,7.00,6.50,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2060337,6.00,7.00,8.00,4.00,7.00,4.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2060345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2060361,7.00,7.00,5.00,7.00,8.00,6.00,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2060370,2.00,6.00,4.00,8.00,8.00,7.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2060388,4.00,6.00,6.00,4.00,7.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2060396,6.00,9.00,9.00,7.00,8.00,7.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2060400,4.00,5.00,2.00,5.00,8.00,5.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2060426,6.00,8.00,7.00,7.00,7.00,6.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2060434,3.00,3.00,2.00,0.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2060442,3.00,8.00,2.00,6.00,7.00,8.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2060477,6.00,7.00,8.00,4.00,7.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2060485,3.00,3.00,3.00,1.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2060493,3.00,8.00,2.00,6.00,7.00,9.50,4.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2060507,2.00,6.00,1.00,1.00,5.00,4.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2060515,4.00,6.00,1.00,4.00,4.00,3.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2060523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2060540,4.00,8.00,5.00,5.00,6.00,6.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2060558,2.00,4.00,3.00,4.00,4.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2060566,0.00,5.00,0.00,2.00,5.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2060574,2.00,4.00,4.00,2.00,2.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2060582,4.00,8.00,1.00,5.00,9.00,9.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2060590,5.00,8.00,7.00,9.00,9.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2060604,4.00,7.00,3.00,2.00,7.00,4.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2060612,8.00,9.00,7.00,9.00,9.00,7.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2060620,6.00,7.00,5.00,6.00,7.00,5.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2060639,6.00,6.00,6.00,5.00,7.00,6.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2060655,2.00,5.00,4.00,3.00,6.00,4.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2060663,9.00,9.00,8.00,9.00,8.00,7.50,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2060680,5.00,7.00,5.00,8.00,9.00,7.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2060698,4.00,9.00,6.00,7.00,8.00,6.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2060701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2060710,4.00,6.00,1.00,6.00,9.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2060736,3.00,5.00,6.00,5.00,7.00,5.00,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2060744,3.00,7.00,6.00,8.00,6.00,7.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2060752,5.00,7.00,2.00,7.00,7.00,4.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2060760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2060779,5.00,7.00,3.00,8.00,5.00,2.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2060787,2.00,6.00,2.00,0.00,3.00,4.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2060795,7.00,8.00,6.00,9.00,6.00,5.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2060809,1.00,2.00,0.00,4.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2060817,2.00,5.00,3.00,6.00,4.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2060825,3.00,5.00,2.00,7.00,7.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2060841,5.00,4.00,3.00,3.00,5.00,5.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2060850,4.00,4.00,3.00,7.00,5.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2060876,6.00,7.00,8.00,5.00,7.00,5.50,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2060884,5.00,7.00,5.00,9.00,8.00,6.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2060892,8.00,8.00,8.00,8.00,9.00,4.75,9.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2060906,3.00,5.00,4.00,2.00,5.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2060914,4.00,6.00,4.00,6.00,8.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2060922,8.00,8.00,9.00,6.00,9.00,5.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2060949,6.00,8.00,7.00,8.00,7.00,6.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2060965,7.00,8.00,4.00,9.00,5.00,6.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2060973,5.00,7.00,7.00,6.00,7.00,5.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2060981,8.00,7.00,6.00,8.00,9.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2060990,6.00,6.00,4.00,2.00,8.00,4.50,7.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2061015,3.00,6.00,6.00,6.00,6.00,5.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2061023,4.00,4.00,1.00,1.00,6.00,5.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2061031,3.00,2.00,3.00,1.00,6.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2061040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2061058,8.00,9.00,9.00,6.00,7.00,5.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2061066,5.00,6.00,5.00,7.00,8.00,5.50,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2061074,2.00,5.00,2.00,1.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2061082,5.00,9.00,8.00,7.00,9.00,5.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2061112,3.00,7.00,3.00,5.00,7.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2061120,3.00,5.00,2.00,4.00,6.00,4.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2061139,1.00,4.00,1.00,2.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2061147,5.00,7.00,4.00,5.00,9.00,4.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2061155,1.00,6.00,3.00,3.00,4.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2061163,1.00,4.00,1.00,2.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2061180,5.00,8.00,6.00,6.00,9.00,6.00,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2061201,4.00,5.00,4.00,9.00,7.00,7.75,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2061210,2.00,5.00,3.00,4.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2061228,3.00,8.00,5.00,8.00,6.00,5.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2061236,4.00,7.00,1.00,5.00,6.00,4.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2061244,2.00,4.00,0.00,0.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2061252,6.00,8.00,8.00,4.00,9.00,6.75,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2061287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2061295,4.00,9.00,6.00,9.00,9.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2061309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2061317,4.00,9.00,8.00,9.00,9.00,7.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2061325,2.00,6.00,2.00,1.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2061341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2061350,8.00,8.00,9.00,8.00,8.00,8.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2061368,7.00,8.00,5.00,0.00,0.00,NULL,5.00,6.00,2.00,'S',NULL,NULL,'N'),(15,2061376,2.00,5.00,2.00,4.00,6.00,3.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2061384,5.00,7.00,5.00,1.00,6.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2061392,1.00,6.00,7.00,4.00,6.00,5.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2061406,1.00,5.00,4.00,1.00,4.00,3.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2061422,6.00,8.00,5.00,9.00,8.00,7.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2061430,0.00,4.00,2.00,4.00,8.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2061449,5.00,7.00,5.00,6.00,6.00,4.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2061457,2.00,1.00,2.00,6.00,3.00,4.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2061465,3.00,7.00,5.00,3.00,5.00,6.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2061473,7.00,8.00,9.00,5.00,7.00,6.25,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2061481,4.00,8.00,6.00,4.00,8.00,5.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2061520,6.00,6.00,7.00,5.00,6.00,7.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2061538,4.00,8.00,2.00,3.00,8.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2061554,4.00,8.00,6.00,4.00,7.00,6.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2061562,2.00,6.00,6.00,5.00,5.00,4.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2061570,4.00,7.00,6.00,9.00,7.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2061589,4.00,7.00,4.00,7.00,8.00,6.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2061597,6.00,9.00,9.00,8.00,7.00,5.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2061600,4.00,6.00,5.00,7.00,5.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2061619,5.00,7.00,1.00,2.00,7.00,4.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2061627,5.00,7.00,8.00,9.00,6.00,7.00,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2061635,3.00,7.00,6.00,7.00,7.00,7.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2061643,5.00,9.00,5.00,5.00,8.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2061651,2.00,7.00,1.00,6.00,5.00,6.25,5.00,3.00,4.00,NULL,NULL,NULL,'S'),(15,2061660,2.00,8.00,4.00,2.00,5.00,4.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2061678,3.00,6.00,4.00,6.00,7.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2061694,7.00,6.00,9.00,10.00,8.00,6.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2061708,1.00,5.00,1.00,4.00,5.00,5.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2061716,3.00,5.00,2.00,6.00,6.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2061724,3.00,2.00,3.00,1.00,2.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2061732,3.00,6.00,5.00,7.00,7.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2061759,4.00,8.00,4.00,3.00,8.00,6.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2061767,2.00,6.00,2.00,5.00,3.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2061791,1.00,6.00,2.00,2.00,5.00,5.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2061805,3.00,7.00,4.00,2.00,4.00,5.25,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2061813,3.00,8.00,8.00,6.00,8.00,6.25,8.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2061821,3.00,7.00,4.00,5.00,6.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2061830,2.00,6.00,4.00,8.00,4.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2061848,3.00,7.00,4.00,5.00,6.00,4.75,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2061856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2061864,2.00,6.00,4.00,3.00,4.00,7.00,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2061872,1.00,4.00,1.00,1.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2061880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2061899,2.00,4.00,5.00,3.00,5.00,5.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2061902,8.00,7.00,8.00,8.00,8.00,5.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2061910,5.00,7.00,8.00,7.00,8.00,6.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2061929,1.00,5.00,0.00,5.00,8.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2061937,6.00,9.00,6.00,6.00,8.00,7.50,8.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2061945,3.00,5.00,1.00,2.00,4.00,5.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2061970,4.00,5.00,3.00,4.00,7.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2061996,3.00,6.00,4.00,4.00,7.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2062011,1.00,3.00,2.00,3.00,2.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2062020,5.00,8.00,6.00,6.00,6.00,7.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2062046,7.00,9.00,9.00,9.00,9.00,8.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2062054,3.00,5.00,4.00,4.00,4.00,3.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2062062,5.00,9.00,2.00,7.00,8.00,8.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2062070,6.00,6.00,5.00,7.00,8.00,5.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2062089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2062097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2062100,2.00,2.00,0.00,4.00,5.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2062119,4.00,7.00,3.00,6.00,7.00,6.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2062127,0.00,5.00,1.00,3.00,6.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2062135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2062143,2.00,4.00,2.00,3.00,4.00,3.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2062151,7.00,7.00,9.00,6.00,8.00,6.25,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2062160,1.00,4.00,1.00,5.00,3.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2062178,4.00,6.00,7.00,3.00,6.00,3.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2062186,5.00,7.00,8.00,6.00,8.00,6.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2062194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2062208,2.00,7.00,3.00,5.00,7.00,4.25,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2062216,2.00,3.00,5.00,4.00,8.00,6.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2062232,5.00,5.00,4.00,4.00,6.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2062240,4.00,6.00,5.00,8.00,8.00,7.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2062259,2.00,8.00,3.00,5.00,8.00,6.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2062283,7.00,7.00,5.00,9.00,8.00,5.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2062305,1.00,4.00,3.00,6.00,5.00,6.00,5.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2062313,3.00,6.00,5.00,3.00,6.00,4.75,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2062321,6.00,8.00,7.00,6.00,6.00,5.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2062330,2.00,4.00,2.00,2.00,4.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2062348,2.00,5.00,0.00,6.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2062356,7.00,9.00,5.00,6.00,5.00,6.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2062372,2.00,2.00,3.00,4.00,6.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2062380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2062402,5.00,5.00,1.00,3.00,3.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2062410,4.00,6.00,3.00,6.00,5.00,7.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2062429,6.00,7.00,6.00,8.00,8.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2062437,3.00,5.00,2.00,6.00,7.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2062445,3.00,4.00,4.00,2.00,4.00,5.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2062461,4.00,6.00,0.00,3.00,8.00,4.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2062470,4.00,6.00,4.00,6.00,7.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2062496,2.00,4.00,1.00,5.00,5.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2062500,7.00,7.00,4.00,5.00,7.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2062526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2062534,3.00,5.00,2.00,5.00,7.00,7.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2062550,1.00,5.00,3.00,0.00,4.00,3.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2062577,5.00,7.00,7.00,6.00,5.00,5.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2062585,3.00,6.00,3.00,3.00,3.00,4.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2062607,6.00,8.00,8.00,9.00,8.00,7.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2062623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2062631,6.00,7.00,9.00,5.00,8.00,6.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2062640,3.00,5.00,5.00,6.00,7.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2062666,3.00,7.00,5.00,6.00,8.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2062674,1.00,2.00,2.00,3.00,5.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2062682,3.00,6.00,5.00,5.00,3.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2062690,6.00,9.00,8.00,7.00,9.00,6.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2062720,3.00,6.00,0.00,3.00,5.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2062747,3.00,8.00,1.00,9.00,8.00,5.75,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2062755,3.00,7.00,3.00,4.00,8.00,7.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2062763,5.00,8.00,9.00,9.00,9.00,7.75,9.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2062780,3.00,8.00,4.00,8.00,5.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2062810,5.00,8.00,7.00,2.00,6.00,5.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2062828,3.00,7.00,1.00,9.00,7.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2062836,1.00,6.00,4.00,8.00,6.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2062844,0.00,5.00,3.00,0.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2062852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2062887,1.00,3.00,1.00,2.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2062895,4.00,8.00,6.00,8.00,8.00,5.50,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2062909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2062917,7.00,4.00,4.00,4.00,7.00,6.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2062925,7.00,9.00,5.00,9.00,8.00,6.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2062933,3.00,6.00,3.00,7.00,8.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2062941,7.00,7.00,7.00,7.00,7.00,4.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2062950,2.00,7.00,3.00,7.00,4.00,4.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2062968,3.00,2.00,1.00,4.00,3.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2062976,5.00,6.00,3.00,3.00,5.00,4.75,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2062984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2062992,3.00,3.00,2.00,3.00,1.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2063000,2.00,4.00,2.00,1.00,6.00,4.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2063018,4.00,8.00,5.00,4.00,6.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2063026,5.00,8.00,7.00,8.00,8.00,8.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2063034,3.00,8.00,3.00,4.00,6.00,4.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2063042,1.00,3.00,0.00,1.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2063050,0.00,4.00,0.00,4.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2063069,6.00,7.00,7.00,6.00,9.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2063077,3.00,6.00,3.00,5.00,6.00,6.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2063085,5.00,8.00,8.00,7.00,7.00,6.50,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2063093,4.00,7.00,3.00,6.00,7.00,6.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2063107,6.00,8.00,8.00,9.00,9.00,6.25,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2063115,4.00,5.00,3.00,7.00,3.00,3.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2063131,3.00,7.00,8.00,7.00,8.00,6.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2063158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2063166,1.00,4.00,2.00,7.00,6.00,5.25,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2063174,3.00,6.00,2.00,5.00,8.00,5.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2063182,2.00,4.00,3.00,2.00,4.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2063190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2063204,2.00,6.00,1.00,5.00,8.00,3.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2063212,1.00,7.00,4.00,3.00,7.00,4.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2063220,7.00,5.00,6.00,6.00,8.00,6.00,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2063247,6.00,6.00,6.00,6.00,8.00,6.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2063255,5.00,7.00,9.00,9.00,7.00,4.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2063263,4.00,5.00,5.00,8.00,8.00,6.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2063271,1.00,5.00,0.00,4.00,6.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2063280,4.00,7.00,5.00,5.00,6.00,4.75,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(15,2063298,1.00,7.00,2.00,4.00,6.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2063310,5.00,7.00,5.00,5.00,6.00,5.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2063328,3.00,5.00,3.00,3.00,5.00,6.00,4.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2063336,5.00,7.00,2.00,6.00,7.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2063352,5.00,7.00,7.00,7.00,8.00,5.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2063360,2.00,0.00,1.00,0.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2063379,4.00,8.00,6.00,8.00,8.00,5.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2063387,5.00,7.00,8.00,8.00,8.00,5.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2063395,1.00,5.00,3.00,6.00,3.00,4.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2063417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2063450,9.00,9.00,9.00,9.00,9.00,8.25,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2063468,8.00,7.00,4.00,3.00,5.00,6.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2063476,4.00,7.00,8.00,5.00,9.00,7.25,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2063484,3.00,7.00,4.00,3.00,7.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2063492,8.00,8.00,8.00,9.00,8.00,6.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2063506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2063514,3.00,3.00,2.00,3.00,6.00,4.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2063522,1.00,8.00,2.00,4.00,6.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2063530,2.00,8.00,6.00,5.00,7.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2063549,6.00,6.00,4.00,5.00,8.00,6.75,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2063557,0.00,6.00,0.00,0.00,4.00,NULL,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2063573,2.00,4.00,2.00,1.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2063581,9.00,9.00,7.00,7.00,7.00,6.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2063590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2063611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2063620,3.00,6.00,5.00,6.00,6.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2063638,3.00,7.00,5.00,5.00,6.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2063654,3.00,7.00,0.00,5.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2063662,1.00,4.00,1.00,3.00,5.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2063670,3.00,5.00,4.00,2.00,7.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2063689,3.00,7.00,1.00,5.00,4.00,4.00,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2063719,1.00,4.00,2.00,5.00,6.00,3.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2063727,5.00,6.00,8.00,8.00,7.00,6.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2063735,1.00,5.00,1.00,2.00,4.00,3.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2063743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2063751,6.00,5.00,5.00,9.00,8.00,6.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2063760,4.00,6.00,5.00,5.00,7.00,7.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2063778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2063786,7.00,7.00,3.00,7.00,7.00,5.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2063794,3.00,5.00,3.00,4.00,1.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2063808,3.00,5.00,2.00,4.00,5.00,2.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2063816,2.00,6.00,2.00,0.00,2.00,NULL,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2063824,8.00,8.00,5.00,9.00,9.00,7.25,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2063832,7.00,8.00,8.00,6.00,6.00,5.50,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2063840,4.00,5.00,4.00,7.00,6.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2063859,5.00,9.00,7.00,7.00,8.00,4.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2063883,5.00,6.00,4.00,6.00,8.00,5.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2063891,4.00,5.00,4.00,5.00,5.00,4.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2063905,3.00,7.00,2.00,6.00,7.00,7.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2063913,3.00,7.00,3.00,4.00,7.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2063930,2.00,7.00,1.00,7.00,6.00,6.25,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2063948,2.00,4.00,3.00,5.00,4.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2063956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2063964,7.00,9.00,8.00,7.00,7.00,8.75,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2063972,6.00,9.00,5.00,7.00,8.00,6.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2063999,6.00,7.00,6.00,7.00,4.00,3.75,8.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2064006,6.00,8.00,3.00,9.00,5.00,7.00,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2064014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2064022,4.00,6.00,6.00,7.00,5.00,4.00,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2064030,5.00,5.00,1.00,5.00,3.00,0.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2064049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2064057,3.00,8.00,3.00,8.00,6.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2064065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2064073,4.00,6.00,6.00,7.00,6.00,5.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2064081,4.00,6.00,2.00,3.00,3.00,5.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2064090,2.00,6.00,1.00,2.00,7.00,5.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2064103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2064111,3.00,8.00,4.00,7.00,5.00,6.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2064120,2.00,8.00,6.00,3.00,5.00,6.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2064146,5.00,7.00,3.00,6.00,7.00,6.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2064154,2.00,8.00,5.00,9.00,7.00,6.00,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2064162,4.00,8.00,3.00,5.00,7.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2064170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2064189,2.00,5.00,4.00,4.00,2.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2064197,3.00,4.00,2.00,5.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2064200,3.00,3.00,2.00,4.00,6.00,7.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2064219,0.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2064227,3.00,4.00,1.00,1.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2064251,1.00,4.00,5.00,1.00,5.00,4.00,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2064260,4.00,6.00,5.00,7.00,5.00,5.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2064278,7.00,7.00,7.00,6.00,6.00,7.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2064286,2.00,4.00,3.00,0.00,1.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2064294,3.00,2.00,7.00,4.00,5.00,5.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2064308,6.00,7.00,8.00,6.00,8.00,7.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2064316,2.00,4.00,2.00,2.00,7.00,4.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2064324,3.00,5.00,3.00,5.00,3.00,3.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2064332,1.00,5.00,4.00,4.00,3.00,6.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2064340,3.00,7.00,4.00,4.00,4.00,5.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2064359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2064367,6.00,7.00,3.00,7.00,7.00,7.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2064375,2.00,6.00,2.00,5.00,6.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2064383,1.00,6.00,1.00,0.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2064391,5.00,8.00,6.00,9.00,7.00,6.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2064405,2.00,6.00,5.00,5.00,8.00,4.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2064413,5.00,8.00,7.00,6.00,8.00,6.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2064421,4.00,8.00,5.00,5.00,8.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2064448,3.00,8.00,6.00,3.00,7.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2064456,2.00,7.00,3.00,5.00,3.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2064464,6.00,8.00,7.00,7.00,6.00,5.75,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2064472,5.00,6.00,8.00,5.00,5.00,5.25,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2064480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2064499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2064502,2.00,6.00,1.00,6.00,5.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2064510,3.00,7.00,5.00,0.00,9.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2064529,6.00,6.00,7.00,9.00,8.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2064537,2.00,5.00,2.00,8.00,7.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2064545,5.00,7.00,3.00,8.00,5.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2064553,2.00,3.00,1.00,3.00,5.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2064561,5.00,7.00,4.00,5.00,7.00,5.00,7.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2064570,1.00,6.00,1.00,3.00,6.00,6.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2064588,3.00,7.00,2.00,5.00,9.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2064596,5.00,8.00,3.00,4.00,7.00,5.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2064600,5.00,9.00,6.00,6.00,8.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2064618,4.00,6.00,4.00,2.00,6.00,5.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2064634,3.00,5.00,4.00,6.00,5.00,4.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2064650,2.00,3.00,2.00,1.00,4.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2064677,4.00,5.00,8.00,8.00,6.00,5.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2064685,5.00,5.00,3.00,6.00,5.00,3.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2064693,7.00,8.00,9.00,8.00,9.00,6.25,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2064715,1.00,7.00,4.00,3.00,6.00,4.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2064740,4.00,7.00,1.00,6.00,3.00,5.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2064782,3.00,3.00,1.00,8.00,6.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2064790,3.00,7.00,1.00,7.00,6.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2064804,4.00,6.00,7.00,6.00,5.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2064820,8.00,8.00,5.00,4.00,8.00,6.75,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2064839,6.00,8.00,4.00,8.00,8.00,7.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2064847,5.00,6.00,4.00,7.00,7.00,6.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2064871,4.00,7.00,4.00,3.00,6.00,6.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2064880,3.00,8.00,3.00,7.00,8.00,5.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2064898,2.00,1.00,1.00,4.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2064901,4.00,6.00,4.00,6.00,6.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2064928,5.00,4.00,2.00,1.00,8.00,3.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2064936,2.00,6.00,5.00,7.00,7.00,5.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2064944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2064952,3.00,6.00,5.00,2.00,6.00,5.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2064960,4.00,6.00,5.00,5.00,5.00,4.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2064979,1.00,8.00,6.00,4.00,8.00,5.25,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2064987,5.00,7.00,7.00,5.00,8.00,6.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2064995,5.00,8.00,7.00,6.00,9.00,6.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2065002,6.00,4.00,5.00,6.00,6.00,4.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2065010,6.00,8.00,7.00,9.00,9.00,6.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2065045,2.00,7.00,4.00,5.00,7.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2065053,4.00,6.00,2.00,1.00,6.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2065088,3.00,5.00,0.00,2.00,7.00,5.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2065096,3.00,6.00,3.00,4.00,8.00,7.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2065100,6.00,6.00,5.00,8.00,8.00,7.00,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2065118,3.00,5.00,3.00,3.00,5.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2065126,3.00,7.00,3.00,5.00,7.00,7.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2065134,3.00,7.00,0.00,6.00,7.00,5.75,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2065142,5.00,6.00,4.00,2.00,7.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2065150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2065169,3.00,4.00,4.00,3.00,8.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2065177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2065185,2.00,6.00,0.00,6.00,7.00,6.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2065193,7.00,7.00,3.00,5.00,8.00,7.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2065207,5.00,7.00,4.00,5.00,6.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2065215,2.00,5.00,1.00,2.00,4.00,4.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2065223,1.00,6.00,4.00,4.00,4.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2065258,3.00,7.00,2.00,3.00,6.00,4.75,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2065266,5.00,8.00,5.00,8.00,7.00,7.75,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2065274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2065282,5.00,6.00,3.00,6.00,7.00,6.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2065290,4.00,8.00,8.00,9.00,8.00,6.75,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2065304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2065312,4.00,6.00,6.00,3.00,6.00,5.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2065320,2.00,7.00,1.00,1.00,5.00,3.25,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2065339,7.00,7.00,7.00,8.00,8.00,5.50,9.00,4.00,7.00,NULL,NULL,NULL,'N'),(15,2065347,3.00,6.00,3.00,4.00,6.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2065355,3.00,5.00,4.00,4.00,6.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2065363,4.00,6.00,1.00,4.00,6.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2065371,2.00,4.00,2.00,3.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2065380,4.00,8.00,6.00,5.00,9.00,6.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2065398,2.00,5.00,4.00,5.00,5.00,4.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2065401,5.00,7.00,7.00,6.00,7.00,5.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2065410,2.00,3.00,2.00,3.00,6.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2065428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2065444,2.00,6.00,3.00,4.00,5.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2065452,5.00,5.00,5.00,8.00,8.00,8.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2065479,7.00,9.00,9.00,7.00,10.00,7.50,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2065487,4.00,4.00,2.00,3.00,6.00,6.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2065495,7.00,8.00,8.00,8.00,9.00,7.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2065509,3.00,3.00,3.00,4.00,5.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2065517,4.00,6.00,4.00,4.00,6.00,3.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2065533,7.00,9.00,8.00,7.00,6.00,6.50,8.00,5.00,9.00,NULL,NULL,NULL,'N'),(15,2065568,4.00,3.00,0.00,3.00,5.00,5.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2065576,4.00,6.00,4.00,7.00,8.00,7.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2065584,6.00,9.00,8.00,9.00,9.00,6.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2065592,3.00,6.00,6.00,5.00,7.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2065606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2065657,1.00,7.00,2.00,5.00,7.00,6.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2065665,5.00,8.00,6.00,8.00,9.00,6.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2065673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2065681,5.00,7.00,4.00,6.00,8.00,5.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2065711,4.00,3.00,3.00,4.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2065720,1.00,3.00,2.00,4.00,4.00,5.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2065746,3.00,5.00,1.00,3.00,6.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2065754,2.00,4.00,3.00,7.00,6.00,6.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2065762,6.00,8.00,9.00,3.00,8.00,6.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2065789,3.00,8.00,9.00,8.00,9.00,7.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2065797,1.00,4.00,5.00,5.00,5.00,5.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2065800,2.00,5.00,1.00,1.00,4.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2065819,5.00,7.00,7.00,7.00,7.00,6.00,9.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2065827,0.00,6.00,0.00,2.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2065835,3.00,5.00,5.00,4.00,5.00,3.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2065843,2.00,7.00,2.00,2.00,7.00,4.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2065851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2065860,5.00,8.00,8.00,8.00,6.00,5.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2065878,3.00,7.00,4.00,6.00,8.00,6.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2065886,3.00,5.00,2.00,4.00,7.00,5.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2065894,2.00,6.00,1.00,6.00,4.00,4.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2065924,4.00,8.00,7.00,6.00,6.00,3.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2065932,4.00,5.00,4.00,2.00,7.00,5.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2065940,4.00,7.00,9.00,9.00,8.00,6.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2065959,2.00,7.00,4.00,5.00,4.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2065967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2065975,7.00,7.00,6.00,8.00,9.00,7.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2065983,1.00,6.00,3.00,4.00,6.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2065991,4.00,7.00,7.00,8.00,9.00,5.75,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2066009,2.00,8.00,2.00,6.00,5.00,4.50,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2066017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2066025,3.00,7.00,5.00,6.00,5.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2066041,1.00,2.00,2.00,1.00,4.00,NULL,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2066050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2066068,4.00,5.00,3.00,6.00,5.00,6.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2066076,5.00,7.00,5.00,6.00,4.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2066084,8.00,8.00,9.00,4.00,6.00,6.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2066092,6.00,8.00,6.00,5.00,8.00,5.75,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2066106,7.00,7.00,7.00,6.00,8.00,7.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2066114,6.00,7.00,9.00,7.00,8.00,4.50,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2066122,5.00,7.00,5.00,7.00,6.00,6.75,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2066130,3.00,6.00,3.00,3.00,6.00,4.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2066157,1.00,5.00,3.00,0.00,4.00,5.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2066165,3.00,5.00,5.00,8.00,8.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2066173,3.00,8.00,2.00,6.00,5.00,5.50,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2066190,4.00,5.00,4.00,2.00,3.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2066203,2.00,7.00,5.00,9.00,5.00,3.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2066211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2066238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2066246,5.00,7.00,5.00,7.00,8.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2066254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2066289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2066297,2.00,5.00,1.00,2.00,7.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2066300,2.00,4.00,1.00,7.00,7.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2066319,6.00,9.00,8.00,4.00,8.00,6.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2066327,5.00,7.00,6.00,9.00,6.00,7.25,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2066335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2066343,2.00,8.00,3.00,3.00,5.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2066351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2066360,4.00,7.00,4.00,5.00,8.00,6.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2066378,1.00,5.00,1.00,2.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2066386,6.00,8.00,7.00,8.00,6.00,5.75,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2066394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2066408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2066424,5.00,5.00,6.00,9.00,6.00,5.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2066440,0.00,2.00,1.00,0.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2066467,1.00,5.00,3.00,4.00,3.00,4.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2066475,4.00,7.00,6.00,8.00,5.00,7.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2066483,2.00,8.00,4.00,7.00,9.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2066491,5.00,8.00,4.00,9.00,8.00,6.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2066505,1.00,7.00,3.00,1.00,6.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2066513,4.00,8.00,7.00,2.00,7.00,5.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2066521,5.00,7.00,1.00,0.00,5.00,4.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2066530,1.00,7.00,4.00,3.00,7.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2066548,6.00,8.00,6.00,8.00,8.00,6.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2066556,3.00,5.00,0.00,6.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2066564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2066572,4.00,7.00,4.00,5.00,4.00,3.75,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2066580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2066602,0.00,2.00,1.00,1.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2066629,4.00,8.00,6.00,9.00,9.00,6.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2066637,3.00,4.00,1.00,1.00,6.00,5.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2066645,5.00,6.00,3.00,2.00,8.00,6.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2066653,2.00,6.00,1.00,3.00,6.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2066661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2066670,1.00,7.00,5.00,5.00,8.00,7.50,7.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2066688,5.00,8.00,5.00,8.00,6.00,6.00,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2066700,5.00,5.00,5.00,2.00,7.00,5.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2066718,6.00,8.00,7.00,7.00,7.00,6.25,8.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2066726,6.00,7.00,5.00,4.00,4.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2066734,5.00,8.00,6.00,8.00,8.00,7.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2066750,7.00,8.00,6.00,7.00,5.00,6.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2066769,2.00,6.00,5.00,5.00,6.00,5.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2066777,2.00,6.00,4.00,6.00,8.00,5.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2066785,3.00,8.00,8.00,6.00,6.00,6.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2066793,3.00,8.00,1.00,5.00,7.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2066807,1.00,7.00,2.00,0.00,4.00,NULL,4.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2066815,7.00,8.00,7.00,8.00,8.00,7.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2066831,5.00,8.00,7.00,9.00,9.00,7.50,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2066840,2.00,6.00,4.00,8.00,4.00,5.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2066858,3.00,5.00,3.00,5.00,8.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2066866,5.00,8.00,3.00,0.00,6.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2066874,1.00,5.00,3.00,3.00,4.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2066882,3.00,7.00,5.00,4.00,8.00,6.00,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2066890,4.00,8.00,8.00,7.00,8.00,6.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2066904,7.00,6.00,4.00,6.00,7.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2066912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2066939,7.00,7.00,5.00,4.00,8.00,7.25,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2066947,6.00,6.00,3.00,5.00,8.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2066955,4.00,8.00,1.00,3.00,6.00,4.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2066963,3.00,6.00,3.00,6.00,7.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2066971,3.00,7.00,5.00,1.00,2.00,NULL,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2066980,3.00,7.00,3.00,0.00,5.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2066998,3.00,4.00,4.00,3.00,6.00,5.50,5.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2067005,4.00,5.00,2.00,2.00,5.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2067013,4.00,5.00,4.00,6.00,5.00,5.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2067021,3.00,7.00,1.00,7.00,7.00,5.25,3.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2067056,0.00,3.00,2.00,1.00,4.00,NULL,5.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2067064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2067072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2067080,4.00,7.00,8.00,6.00,6.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2067099,3.00,7.00,2.00,6.00,6.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2067102,8.00,8.00,9.00,6.00,8.00,6.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2067110,4.00,7.00,5.00,7.00,9.00,6.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2067137,6.00,8.00,9.00,9.00,8.00,7.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2067145,6.00,8.00,6.00,7.00,8.00,7.50,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2067153,4.00,7.00,3.00,7.00,5.00,5.00,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2067161,3.00,3.00,2.00,2.00,3.00,5.50,5.00,2.00,4.00,NULL,NULL,NULL,'S'),(15,2067170,3.00,5.00,5.00,6.00,6.00,6.50,4.00,3.00,4.00,NULL,NULL,NULL,'S'),(15,2067196,5.00,9.00,6.00,9.00,8.00,6.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2067200,5.00,9.00,5.00,6.00,8.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2067218,2.00,6.00,2.00,6.00,7.00,5.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2067226,5.00,6.00,5.00,6.00,8.00,6.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2067234,2.00,4.00,0.00,2.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'S'),(15,2067242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2067250,5.00,8.00,8.00,3.00,8.00,6.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2067269,7.00,6.00,4.00,1.00,3.00,4.75,6.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2067277,3.00,5.00,3.00,1.00,6.00,2.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2067307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2067315,1.00,8.00,7.00,6.00,5.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2067323,5.00,5.00,6.00,6.00,6.00,4.00,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2067331,8.00,7.00,9.00,7.00,8.00,4.50,10.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2067340,7.00,8.00,7.00,8.00,9.00,6.00,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2067358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2067366,9.00,9.00,9.00,9.00,9.00,8.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2067374,1.00,7.00,4.00,3.00,5.00,3.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2067382,6.00,7.00,4.00,2.00,6.00,5.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2067390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2067404,1.00,3.00,1.00,0.00,0.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2067412,4.00,5.00,5.00,4.00,6.00,5.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2067420,1.00,5.00,2.00,2.00,7.00,4.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2067439,4.00,8.00,8.00,7.00,8.00,6.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2067447,4.00,7.00,3.00,7.00,6.00,5.75,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2067455,3.00,3.00,1.00,5.00,7.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2067463,4.00,7.00,2.00,2.00,3.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2067471,3.00,7.00,3.00,4.00,8.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2067480,2.00,6.00,6.00,6.00,5.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2067498,1.00,4.00,6.00,4.00,5.00,5.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2067501,7.00,8.00,8.00,8.00,8.00,6.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2067510,5.00,8.00,8.00,7.00,7.00,6.75,9.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2067528,4.00,6.00,7.00,1.00,7.00,6.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2067536,6.00,8.00,7.00,7.00,7.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2067544,5.00,7.00,8.00,7.00,8.00,4.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2067560,3.00,6.00,1.00,6.00,6.00,5.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2067579,4.00,7.00,4.00,3.00,6.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2067587,3.00,8.00,3.00,8.00,6.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2067595,5.00,7.00,7.00,7.00,7.00,4.50,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2067609,5.00,6.00,6.00,2.00,8.00,5.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2067633,4.00,7.00,1.00,6.00,7.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2067641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2067650,1.00,8.00,5.00,1.00,5.00,5.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2067668,3.00,7.00,6.00,1.00,7.00,4.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2067684,2.00,8.00,6.00,4.00,5.00,4.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2067692,1.00,5.00,0.00,6.00,5.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2067706,3.00,8.00,3.00,3.00,7.00,6.25,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2067730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2067749,3.00,6.00,2.00,8.00,7.00,6.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2067757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2067765,2.00,7.00,0.00,1.00,4.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2067773,1.00,6.00,3.00,1.00,5.00,5.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2067790,5.00,7.00,7.00,7.00,8.00,5.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2067811,4.00,7.00,7.00,5.00,7.00,7.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2067820,0.00,4.00,2.00,3.00,4.00,5.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2067838,2.00,5.00,7.00,5.00,8.00,6.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2067846,3.00,8.00,4.00,4.00,5.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2067854,4.00,8.00,4.00,9.00,9.00,5.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2067870,2.00,6.00,3.00,3.00,8.00,5.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2067889,3.00,7.00,2.00,4.00,5.00,6.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2067897,5.00,7.00,6.00,4.00,7.00,4.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2067900,4.00,5.00,7.00,2.00,6.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2067919,3.00,5.00,2.00,5.00,7.00,4.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2067927,5.00,7.00,8.00,7.00,8.00,7.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2067935,6.00,7.00,4.00,5.00,8.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2067943,0.00,3.00,2.00,1.00,1.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'S'),(15,2067951,5.00,7.00,6.00,3.00,6.00,3.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2067960,1.00,6.00,4.00,5.00,6.00,6.50,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2067978,6.00,9.00,9.00,7.00,8.00,4.25,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2067986,1.00,4.00,4.00,4.00,6.00,4.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2067994,3.00,5.00,3.00,4.00,6.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2068001,7.00,8.00,6.00,6.00,8.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2068010,1.00,4.00,3.00,2.00,5.00,3.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2068028,7.00,8.00,6.00,8.00,8.00,6.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2068036,6.00,7.00,4.00,5.00,8.00,6.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2068044,2.00,6.00,1.00,7.00,7.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2068060,2.00,7.00,1.00,5.00,6.00,5.00,5.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2068079,6.00,8.00,10.00,8.00,8.00,6.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2068087,3.00,7.00,8.00,6.00,8.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2068095,1.00,3.00,4.00,3.00,8.00,7.00,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2068109,4.00,4.00,5.00,6.00,4.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2068117,5.00,7.00,4.00,5.00,8.00,4.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2068125,4.00,7.00,1.00,9.00,8.00,5.00,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2068133,2.00,7.00,3.00,5.00,7.00,4.50,6.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2068141,3.00,6.00,2.00,5.00,7.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2068150,3.00,5.00,7.00,6.00,7.00,4.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2068168,5.00,5.00,6.00,7.00,9.00,4.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2068184,3.00,6.00,5.00,7.00,6.00,5.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2068192,3.00,5.00,3.00,4.00,4.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2068206,5.00,8.00,4.00,6.00,7.00,6.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2068214,5.00,7.00,3.00,9.00,8.00,6.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2068222,0.00,6.00,0.00,2.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2068249,6.00,9.00,4.00,9.00,8.00,7.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2068257,6.00,8.00,3.00,9.00,8.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2068265,3.00,7.00,3.00,6.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2068273,0.00,5.00,3.00,5.00,7.00,6.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2068281,4.00,6.00,2.00,1.00,5.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2068290,5.00,7.00,7.00,8.00,7.00,4.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2068303,5.00,6.00,3.00,5.00,7.00,4.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2068338,0.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2068346,4.00,5.00,2.00,4.00,4.00,3.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2068354,8.00,8.00,7.00,9.00,8.00,7.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2068362,2.00,4.00,4.00,5.00,6.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2068370,3.00,8.00,9.00,5.00,4.00,6.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2068389,6.00,6.00,4.00,6.00,7.00,3.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2068397,1.00,5.00,2.00,2.00,4.00,5.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2068400,2.00,6.00,2.00,4.00,3.00,4.50,4.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2068419,6.00,8.00,8.00,8.00,9.00,7.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2068435,4.00,7.00,3.00,1.00,5.00,4.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2068451,5.00,8.00,7.00,4.00,7.00,5.75,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2068460,8.00,9.00,9.00,5.00,8.00,6.25,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2068478,1.00,6.00,3.00,8.00,7.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2068494,4.00,6.00,2.00,1.00,5.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2068508,7.00,9.00,7.00,9.00,10.00,6.25,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2068516,7.00,9.00,9.00,9.00,9.00,6.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2068532,3.00,8.00,4.00,8.00,8.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2068540,9.00,8.00,9.00,8.00,8.00,7.00,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2068559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2068567,1.00,2.00,0.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2068575,6.00,7.00,5.00,7.00,7.00,4.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2068591,2.00,4.00,6.00,4.00,6.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2068605,1.00,6.00,3.00,1.00,7.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2068613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2068630,6.00,8.00,9.00,7.00,7.00,5.25,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2068648,1.00,6.00,6.00,2.00,8.00,7.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2068656,6.00,8.00,5.00,3.00,8.00,6.25,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2068664,6.00,7.00,5.00,8.00,7.00,5.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2068672,4.00,6.00,3.00,2.00,6.00,5.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2068680,7.00,8.00,5.00,8.00,9.00,8.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2068699,4.00,8.00,5.00,8.00,7.00,5.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2068710,7.00,9.00,7.00,9.00,8.00,7.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2068729,7.00,7.00,5.00,6.00,7.00,6.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2068737,4.00,8.00,1.00,4.00,7.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2068745,4.00,6.00,5.00,4.00,8.00,5.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2068761,3.00,7.00,2.00,4.00,5.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2068770,2.00,8.00,0.00,5.00,7.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2068788,4.00,5.00,3.00,8.00,8.00,7.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2068796,1.00,7.00,4.00,3.00,6.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2068800,3.00,6.00,4.00,6.00,8.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2068818,3.00,7.00,4.00,7.00,6.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2068826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2068834,5.00,6.00,3.00,7.00,6.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2068842,5.00,9.00,7.00,6.00,8.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2068850,0.00,4.00,2.00,5.00,0.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2068869,3.00,5.00,5.00,4.00,6.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2068877,4.00,7.00,7.00,7.00,6.00,6.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2068893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2068907,6.00,7.00,5.00,8.00,7.00,8.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2068915,5.00,7.00,7.00,5.00,8.00,6.00,8.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2068931,2.00,4.00,5.00,9.00,7.00,5.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2068940,3.00,6.00,2.00,2.00,6.00,4.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2068966,4.00,8.00,1.00,4.00,6.00,6.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2068982,0.00,3.00,0.00,3.00,6.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2068990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2069016,6.00,8.00,4.00,7.00,7.00,7.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2069024,5.00,6.00,6.00,6.00,5.00,6.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2069040,0.00,5.00,3.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2069059,7.00,9.00,8.00,9.00,7.00,4.75,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2069067,5.00,8.00,5.00,4.00,8.00,8.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2069075,2.00,8.00,4.00,5.00,8.00,5.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2069083,6.00,8.00,9.00,4.00,9.00,7.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2069105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2069113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2069121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2069130,2.00,6.00,4.00,8.00,8.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2069148,7.00,7.00,8.00,6.00,7.00,5.25,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2069156,4.00,7.00,5.00,5.00,6.00,4.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2069164,6.00,9.00,6.00,7.00,9.00,4.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2069172,7.00,9.00,8.00,8.00,8.00,5.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2069180,2.00,4.00,1.00,1.00,6.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2069199,2.00,4.00,2.00,0.00,6.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2069202,4.00,7.00,1.00,0.00,7.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2069210,8.00,8.00,7.00,7.00,8.00,7.25,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2069229,7.00,8.00,6.00,9.00,9.00,6.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2069245,3.00,4.00,3.00,6.00,8.00,5.50,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2069253,3.00,7.00,4.00,4.00,8.00,6.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2069261,0.00,4.00,4.00,1.00,5.00,5.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2069270,3.00,7.00,3.00,8.00,6.00,5.50,6.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2069288,4.00,5.00,5.00,4.00,4.00,4.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2069296,2.00,6.00,1.00,5.00,5.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2069300,7.00,9.00,7.00,8.00,8.00,6.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2069318,3.00,8.00,6.00,4.00,7.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2069326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2069334,4.00,6.00,1.00,7.00,7.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2069342,6.00,8.00,7.00,7.00,8.00,5.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2069350,4.00,6.00,4.00,5.00,3.00,3.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2069369,4.00,5.00,2.00,5.00,8.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2069377,2.00,6.00,3.00,6.00,6.00,4.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2069385,3.00,8.00,6.00,6.00,7.00,6.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2069415,2.00,5.00,3.00,6.00,4.00,5.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2069431,5.00,8.00,8.00,8.00,7.00,6.50,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2069458,4.00,6.00,7.00,5.00,7.00,5.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2069466,5.00,7.00,5.00,7.00,8.00,6.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2069482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2069490,5.00,7.00,8.00,5.00,8.00,5.75,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2069512,2.00,5.00,0.00,6.00,6.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2069520,4.00,7.00,6.00,5.00,7.00,4.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2069539,1.00,5.00,4.00,3.00,3.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2069547,1.00,6.00,1.00,5.00,3.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2069563,3.00,6.00,4.00,7.00,6.00,5.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2069571,6.00,8.00,6.00,8.00,9.00,7.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2069598,7.00,8.00,6.00,5.00,8.00,6.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2069601,4.00,7.00,3.00,4.00,7.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2069610,1.00,6.00,0.00,5.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2069628,5.00,7.00,6.00,7.00,9.00,5.75,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2069636,4.00,7.00,4.00,5.00,7.00,6.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2069644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2069652,4.00,8.00,5.00,7.00,5.00,5.50,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2069660,4.00,8.00,4.00,9.00,8.00,7.25,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2069679,3.00,7.00,4.00,4.00,9.00,6.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2069687,4.00,7.00,2.00,8.00,6.00,7.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2069695,2.00,6.00,4.00,2.00,5.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2069709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2069717,4.00,6.00,5.00,5.00,6.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2069725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2069733,3.00,5.00,3.00,5.00,7.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2069741,2.00,7.00,5.00,4.00,8.00,6.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2069750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2069768,3.00,5.00,3.00,5.00,5.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2069776,4.00,7.00,6.00,5.00,8.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2069784,5.00,7.00,5.00,5.00,4.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2069792,6.00,7.00,6.00,7.00,7.00,5.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2069806,6.00,6.00,6.00,8.00,7.00,5.50,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2069814,6.00,8.00,3.00,6.00,8.00,5.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2069830,5.00,8.00,5.00,6.00,7.00,6.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2069849,4.00,8.00,4.00,8.00,8.00,5.00,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2069857,4.00,7.00,8.00,5.00,8.00,4.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2069865,3.00,5.00,4.00,7.00,7.00,6.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2069873,3.00,8.00,5.00,9.00,6.00,7.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2069881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2069890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2069903,5.00,7.00,3.00,4.00,7.00,7.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2069911,3.00,3.00,2.00,7.00,6.00,4.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2069920,4.00,7.00,6.00,7.00,8.00,6.50,7.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2069938,8.00,9.00,4.00,9.00,8.00,5.50,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2069946,3.00,7.00,2.00,6.00,5.00,4.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2069962,4.00,7.00,4.00,5.00,7.00,6.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2069989,3.00,7.00,4.00,5.00,5.00,4.50,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2069997,8.00,8.00,9.00,8.00,9.00,6.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2070006,5.00,5.00,6.00,6.00,4.00,5.50,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2070014,5.00,9.00,7.00,6.00,7.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2070022,3.00,5.00,1.00,5.00,7.00,3.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2070030,2.00,4.00,2.00,2.00,6.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2070049,7.00,8.00,6.00,6.00,7.00,4.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2070057,4.00,9.00,9.00,9.00,9.00,6.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2070073,6.00,4.00,5.00,6.00,6.00,5.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2070081,3.00,8.00,1.00,4.00,8.00,6.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2070090,3.00,4.00,1.00,3.00,3.00,3.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2070103,1.00,2.00,0.00,4.00,4.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2070111,4.00,9.00,8.00,8.00,8.00,6.25,7.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2070120,4.00,7.00,6.00,7.00,8.00,7.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2070138,0.00,6.00,1.00,0.00,0.00,NULL,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2070146,4.00,8.00,3.00,8.00,9.00,7.25,6.00,8.00,0.00,NULL,NULL,NULL,'N'),(15,2070154,4.00,5.00,5.00,6.00,8.00,6.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2070162,6.00,9.00,7.00,9.00,9.00,6.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2070170,3.00,7.00,7.00,8.00,5.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2070189,3.00,4.00,5.00,5.00,6.00,5.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2070197,7.00,8.00,9.00,7.00,9.00,6.25,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2070200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2070219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2070227,5.00,8.00,8.00,6.00,9.00,5.00,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2070235,8.00,8.00,7.00,6.00,9.00,5.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2070243,6.00,6.00,5.00,6.00,6.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2070251,4.00,7.00,6.00,5.00,7.00,5.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2070260,2.00,8.00,5.00,7.00,5.00,4.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2070278,3.00,6.00,5.00,8.00,8.00,6.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2070286,5.00,6.00,6.00,9.00,8.00,7.25,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2070316,4.00,6.00,3.00,2.00,6.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2070332,3.00,8.00,4.00,7.00,8.00,7.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2070359,7.00,8.00,7.00,9.00,8.00,7.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2070367,3.00,8.00,5.00,8.00,7.00,5.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2070375,7.00,8.00,7.00,8.00,7.00,4.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2070383,6.00,7.00,4.00,3.00,9.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2070391,7.00,8.00,8.00,9.00,9.00,7.25,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2070405,5.00,6.00,6.00,7.00,8.00,6.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2070413,5.00,7.00,3.00,4.00,8.00,5.25,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2070430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2070448,5.00,9.00,4.00,6.00,7.00,5.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2070456,1.00,6.00,1.00,6.00,5.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2070464,6.00,7.00,5.00,5.00,8.00,4.75,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2070472,1.00,8.00,4.00,5.00,9.00,5.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2070480,4.00,7.00,6.00,6.00,5.00,4.00,8.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2070499,5.00,9.00,4.00,8.00,8.00,6.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2070502,5.00,7.00,1.00,6.00,6.00,5.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2070529,4.00,5.00,5.00,4.00,8.00,7.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2070537,6.00,8.00,9.00,9.00,8.00,6.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2070545,8.00,8.00,9.00,6.00,9.00,7.25,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2070553,5.00,7.00,2.00,5.00,6.00,5.00,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2070561,3.00,6.00,2.00,8.00,5.00,5.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2070588,1.00,4.00,2.00,4.00,7.00,7.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2070596,3.00,7.00,7.00,9.00,7.00,4.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2070600,2.00,7.00,2.00,5.00,6.00,3.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2070626,3.00,5.00,1.00,6.00,8.00,5.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2070634,2.00,8.00,7.00,0.00,3.00,NULL,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2070642,6.00,7.00,6.00,4.00,9.00,6.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2070650,5.00,4.00,3.00,3.00,6.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2070669,2.00,5.00,3.00,3.00,5.00,5.00,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2070677,1.00,5.00,3.00,3.00,6.00,4.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2070685,3.00,8.00,6.00,9.00,8.00,7.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2070693,4.00,8.00,4.00,8.00,7.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2070707,7.00,8.00,7.00,9.00,8.00,7.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2070715,3.00,6.00,1.00,1.00,4.00,5.75,6.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2070731,5.00,7.00,6.00,7.00,8.00,5.25,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2070740,4.00,6.00,4.00,7.00,7.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2070774,4.00,7.00,6.00,7.00,7.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2070782,3.00,5.00,3.00,8.00,5.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2070790,6.00,6.00,5.00,7.00,7.00,7.00,7.00,8.00,5.00,NULL,NULL,NULL,'S'),(15,2070804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2070812,8.00,7.00,9.00,8.00,8.00,6.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2070820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2070839,5.00,8.00,8.00,6.00,8.00,7.00,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2070847,1.00,4.00,2.00,0.00,5.00,3.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2070855,5.00,8.00,2.00,6.00,7.00,6.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2070863,3.00,4.00,1.00,8.00,8.00,6.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2070871,7.00,9.00,9.00,9.00,9.00,6.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2070880,8.00,8.00,7.00,7.00,8.00,6.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2070898,3.00,7.00,0.00,8.00,7.00,4.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2070901,4.00,7.00,7.00,6.00,8.00,5.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2070910,4.00,6.00,4.00,8.00,6.00,4.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2070928,2.00,7.00,4.00,7.00,6.00,5.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2070936,3.00,6.00,1.00,0.00,5.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2070944,8.00,8.00,6.00,8.00,8.00,6.00,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2070952,3.00,7.00,4.00,3.00,7.00,5.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2070960,7.00,6.00,7.00,8.00,8.00,6.00,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2070979,3.00,6.00,4.00,5.00,4.00,5.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2070987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2070995,3.00,7.00,1.00,3.00,4.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2071002,4.00,7.00,1.00,0.00,0.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2071010,5.00,8.00,3.00,4.00,5.00,3.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2071029,6.00,7.00,9.00,6.00,9.00,7.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2071037,4.00,3.00,7.00,4.00,6.00,5.00,6.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2071045,4.00,6.00,6.00,7.00,7.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2071053,3.00,6.00,2.00,2.00,8.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2071061,2.00,4.00,3.00,2.00,3.00,3.00,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2071088,4.00,8.00,3.00,3.00,7.00,5.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2071096,4.00,5.00,4.00,7.00,4.00,6.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2071100,3.00,8.00,6.00,9.00,8.00,6.50,6.00,7.00,7.00,NULL,NULL,NULL,'S'),(15,2071118,3.00,3.00,3.00,1.00,5.00,3.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2071134,2.00,3.00,1.00,4.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2071142,5.00,5.00,4.00,3.00,5.00,7.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2071150,2.00,7.00,5.00,1.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2071169,5.00,7.00,3.00,9.00,7.00,7.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2071177,7.00,8.00,7.00,7.00,8.00,7.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2071185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2071193,2.00,3.00,0.00,0.00,0.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2071207,6.00,5.00,4.00,8.00,7.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2071223,1.00,5.00,4.00,0.00,5.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2071231,2.00,5.00,0.00,6.00,3.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2071240,4.00,7.00,3.00,1.00,7.00,4.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2071266,6.00,7.00,5.00,7.00,7.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2071274,4.00,4.00,4.00,4.00,7.00,6.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2071282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2071290,3.00,8.00,6.00,8.00,8.00,6.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2071304,5.00,8.00,7.00,3.00,7.00,5.00,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2071312,9.00,9.00,9.00,9.00,8.00,6.25,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2071320,5.00,7.00,7.00,7.00,6.00,7.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2071355,2.00,3.00,2.00,5.00,4.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2071363,3.00,8.00,3.00,1.00,5.00,3.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2071371,3.00,6.00,5.00,5.00,5.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2071398,5.00,9.00,5.00,6.00,8.00,6.25,6.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2071401,1.00,5.00,0.00,2.00,6.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2071410,1.00,4.00,4.00,5.00,7.00,4.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2071428,3.00,9.00,6.00,5.00,7.00,7.50,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2071452,1.00,7.00,4.00,6.00,6.00,6.00,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2071460,2.00,8.00,1.00,5.00,6.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2071479,5.00,7.00,7.00,3.00,8.00,5.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2071509,1.00,2.00,2.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2071517,6.00,7.00,7.00,7.00,7.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2071525,5.00,5.00,3.00,7.00,8.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2071533,6.00,7.00,9.00,9.00,8.00,7.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2071576,4.00,8.00,4.00,4.00,6.00,7.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2071584,3.00,7.00,3.00,1.00,7.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2071614,3.00,7.00,3.00,5.00,7.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2071622,1.00,5.00,1.00,7.00,6.00,5.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2071673,0.00,0.00,0.00,3.00,2.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2071681,2.00,4.00,2.00,2.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2071690,6.00,8.00,9.00,5.00,7.00,5.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2071703,4.00,2.00,2.00,2.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2071711,3.00,6.00,1.00,5.00,5.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2071720,1.00,5.00,1.00,1.00,5.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2071738,4.00,8.00,4.00,8.00,7.00,5.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2071746,1.00,5.00,3.00,7.00,6.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2071762,3.00,8.00,6.00,9.00,6.00,4.75,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2071770,7.00,7.00,7.00,1.00,7.00,5.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2071789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2071797,5.00,8.00,3.00,6.00,6.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2071800,4.00,9.00,5.00,6.00,6.00,3.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2071827,4.00,5.00,6.00,6.00,8.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2071835,3.00,5.00,3.00,6.00,4.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2071843,6.00,6.00,4.00,7.00,8.00,7.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2071851,2.00,5.00,2.00,3.00,3.00,4.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2071860,3.00,7.00,3.00,6.00,5.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2071878,4.00,7.00,7.00,6.00,9.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2071886,1.00,4.00,1.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2071908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2071916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2071932,4.00,6.00,6.00,9.00,6.00,4.00,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2071940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2071959,2.00,5.00,2.00,1.00,6.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2071975,2.00,4.00,2.00,2.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2071983,3.00,8.00,3.00,4.00,5.00,4.00,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2071991,7.00,8.00,6.00,7.00,8.00,6.25,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2072009,2.00,2.00,1.00,3.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2072017,2.00,5.00,1.00,6.00,5.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2072025,3.00,6.00,5.00,8.00,4.00,6.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2072033,3.00,7.00,2.00,4.00,9.00,6.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2072041,5.00,6.00,6.00,7.00,8.00,3.75,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2072068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2072076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2072084,4.00,6.00,6.00,2.00,5.00,6.00,7.00,9.00,2.00,NULL,NULL,NULL,'N'),(15,2072092,3.00,5.00,5.00,6.00,5.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2072106,3.00,7.00,7.00,3.00,8.00,6.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2072114,2.00,7.00,8.00,5.00,7.00,5.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2072122,2.00,6.00,2.00,5.00,8.00,5.50,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2072130,5.00,6.00,5.00,2.00,5.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2072149,2.00,5.00,6.00,6.00,7.00,3.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2072157,3.00,6.00,4.00,5.00,7.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2072165,4.00,5.00,4.00,8.00,9.00,6.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2072173,5.00,4.00,7.00,9.00,7.00,6.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2072181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2072190,5.00,7.00,3.00,4.00,9.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2072203,2.00,7.00,6.00,8.00,8.00,6.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2072211,0.00,7.00,2.00,4.00,3.00,6.75,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2072220,0.00,3.00,1.00,3.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2072238,4.00,6.00,9.00,8.00,5.00,6.50,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2072246,4.00,7.00,6.00,5.00,7.00,6.75,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2072262,2.00,5.00,2.00,6.00,6.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2072270,6.00,6.00,5.00,8.00,8.00,6.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2072289,4.00,7.00,4.00,4.00,6.00,7.00,9.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2072297,4.00,5.00,1.00,4.00,6.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2072300,2.00,5.00,3.00,1.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2072319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2072327,4.00,5.00,3.00,6.00,6.00,5.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2072343,4.00,8.00,4.00,6.00,6.00,6.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2072351,1.00,5.00,1.00,4.00,6.00,4.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2072360,2.00,6.00,5.00,3.00,5.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2072386,3.00,8.00,1.00,7.00,4.00,6.00,3.00,7.00,2.00,NULL,NULL,NULL,'S'),(15,2072408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2072416,3.00,6.00,7.00,4.00,7.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2072424,2.00,6.00,5.00,5.00,4.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2072432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2072440,1.00,2.00,0.00,0.00,3.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2072459,6.00,6.00,6.00,9.00,7.00,4.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2072467,3.00,7.00,3.00,1.00,5.00,6.50,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2072475,4.00,6.00,3.00,6.00,3.00,6.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2072483,5.00,8.00,7.00,7.00,9.00,7.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2072491,5.00,7.00,5.00,6.00,7.00,5.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2072521,3.00,7.00,1.00,6.00,7.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2072530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2072548,2.00,4.00,1.00,6.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2072572,4.00,6.00,1.00,7.00,7.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2072602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2072610,0.00,4.00,1.00,4.00,8.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2072629,4.00,6.00,5.00,5.00,6.00,5.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2072637,3.00,5.00,7.00,9.00,8.00,7.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2072661,6.00,8.00,7.00,9.00,8.00,6.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2072688,1.00,7.00,3.00,5.00,5.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2072696,8.00,8.00,6.00,6.00,7.00,5.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2072700,2.00,3.00,4.00,2.00,4.00,4.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2072718,1.00,7.00,3.00,2.00,9.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2072726,4.00,7.00,7.00,9.00,8.00,5.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2072734,4.00,8.00,5.00,7.00,7.00,4.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2072742,6.00,8.00,4.00,10.00,8.00,6.25,7.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2072750,0.00,5.00,4.00,4.00,4.00,5.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2072777,2.00,4.00,4.00,6.00,6.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2072785,2.00,7.00,2.00,7.00,6.00,3.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2072793,0.00,4.00,3.00,3.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2072807,2.00,9.00,3.00,4.00,6.00,5.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2072815,3.00,6.00,3.00,2.00,7.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2072831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2072840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2072858,4.00,8.00,6.00,6.00,7.00,5.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2072866,3.00,6.00,1.00,5.00,4.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2072874,3.00,5.00,2.00,2.00,3.00,3.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2072882,3.00,6.00,2.00,1.00,5.00,3.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2072904,3.00,8.00,3.00,7.00,6.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2072912,2.00,6.00,2.00,1.00,4.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2072939,5.00,7.00,3.00,6.00,5.00,5.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2072947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2072955,1.00,3.00,2.00,3.00,4.00,4.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2072963,2.00,7.00,2.00,5.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2072980,3.00,4.00,6.00,3.00,5.00,7.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2072998,3.00,7.00,5.00,6.00,8.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2073005,4.00,7.00,5.00,9.00,6.00,6.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2073021,1.00,5.00,3.00,5.00,6.00,6.00,6.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2073030,4.00,3.00,3.00,4.00,3.00,5.25,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2073048,3.00,6.00,6.00,2.00,7.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2073056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2073064,5.00,8.00,8.00,6.00,6.00,6.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2073072,2.00,8.00,5.00,4.00,6.00,5.50,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2073080,3.00,6.00,0.00,1.00,3.00,0.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2073099,0.00,6.00,4.00,3.00,8.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2073102,3.00,7.00,1.00,2.00,5.00,2.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2073110,5.00,6.00,4.00,7.00,6.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2073129,5.00,8.00,2.00,7.00,7.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2073137,4.00,6.00,6.00,3.00,7.00,5.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2073145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2073153,4.00,6.00,0.00,6.00,7.00,7.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2073161,0.00,7.00,3.00,0.00,7.00,4.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2073188,2.00,6.00,2.00,4.00,5.00,3.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2073218,1.00,2.00,2.00,5.00,5.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2073226,5.00,4.00,5.00,5.00,5.00,3.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2073242,3.00,5.00,3.00,6.00,7.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2073250,2.00,4.00,2.00,0.00,0.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2073269,5.00,8.00,7.00,7.00,8.00,6.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2073277,5.00,7.00,3.00,9.00,7.00,7.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2073285,4.00,5.00,6.00,5.00,8.00,7.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2073293,1.00,6.00,5.00,5.00,4.00,5.50,5.00,1.00,5.00,NULL,NULL,NULL,'N'),(15,2073307,5.00,6.00,6.00,7.00,8.00,8.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2073315,2.00,7.00,2.00,5.00,7.00,8.00,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2073331,4.00,5.00,6.00,6.00,6.00,6.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2073340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2073366,3.00,7.00,3.00,2.00,6.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2073412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2073439,2.00,8.00,3.00,6.00,6.00,5.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2073447,2.00,5.00,6.00,3.00,7.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2073463,5.00,8.00,4.00,6.00,8.00,8.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2073471,1.00,6.00,2.00,6.00,3.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2073480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2073498,2.00,5.00,1.00,1.00,4.00,3.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2073501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2073510,1.00,3.00,4.00,7.00,8.00,4.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2073536,4.00,5.00,3.00,5.00,5.00,6.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2073544,0.00,6.00,5.00,7.00,7.00,7.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2073552,6.00,8.00,2.00,8.00,8.00,4.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2073579,5.00,9.00,6.00,6.00,6.00,7.25,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2073595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2073609,4.00,7.00,2.00,5.00,9.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2073617,2.00,4.00,1.00,5.00,7.00,5.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2073625,1.00,3.00,2.00,3.00,3.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2073633,5.00,5.00,5.00,5.00,7.00,4.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2073641,4.00,5.00,0.00,7.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2073668,1.00,7.00,1.00,5.00,6.00,6.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2073676,5.00,4.00,5.00,5.00,7.00,4.75,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2073684,3.00,6.00,3.00,3.00,5.00,4.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2073692,2.00,3.00,0.00,1.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2073706,2.00,4.00,1.00,4.00,3.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2073714,1.00,8.00,2.00,3.00,7.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2073722,5.00,7.00,6.00,9.00,7.00,6.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2073730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2073749,3.00,7.00,2.00,5.00,4.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2073765,4.00,8.00,4.00,8.00,7.00,5.00,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2073773,3.00,7.00,1.00,5.00,4.00,4.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2073781,5.00,6.00,4.00,4.00,9.00,6.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2073790,4.00,8.00,2.00,4.00,7.00,6.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2073811,7.00,8.00,3.00,6.00,9.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2073846,1.00,4.00,1.00,0.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2073854,1.00,4.00,3.00,6.00,7.00,5.25,6.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2073862,7.00,9.00,9.00,7.00,9.00,6.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2073889,4.00,8.00,7.00,8.00,8.00,5.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2073897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2073900,3.00,9.00,4.00,9.00,9.00,4.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2073919,3.00,5.00,2.00,6.00,5.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2073927,3.00,4.00,0.00,0.00,5.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2073935,4.00,5.00,1.00,5.00,8.00,6.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2073943,3.00,6.00,2.00,3.00,7.00,3.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2073951,1.00,5.00,3.00,2.00,6.00,7.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2073960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2073978,2.00,8.00,2.00,6.00,5.00,4.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2073986,5.00,7.00,5.00,7.00,7.00,5.50,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2073994,8.00,8.00,6.00,2.00,8.00,6.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2074001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2074028,3.00,5.00,3.00,5.00,5.00,5.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2074036,5.00,4.00,2.00,8.00,6.00,3.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2074044,2.00,4.00,3.00,4.00,4.00,4.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2074052,5.00,6.00,5.00,5.00,8.00,6.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2074060,5.00,6.00,6.00,5.00,7.00,4.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2074079,5.00,8.00,5.00,5.00,6.00,4.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2074087,2.00,7.00,5.00,6.00,7.00,6.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2074095,3.00,6.00,5.00,4.00,5.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2074109,3.00,3.00,2.00,6.00,5.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2074117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2074125,3.00,6.00,2.00,4.00,5.00,5.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2074141,4.00,7.00,3.00,8.00,7.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2074150,5.00,8.00,2.00,6.00,7.00,6.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2074168,2.00,3.00,3.00,5.00,7.00,6.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2074176,3.00,7.00,3.00,3.00,6.00,4.50,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2074184,7.00,8.00,6.00,7.00,7.00,5.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2074192,3.00,8.00,2.00,5.00,5.00,5.50,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2074206,4.00,6.00,3.00,6.00,4.00,5.25,6.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2074222,3.00,7.00,7.00,5.00,8.00,5.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2074257,6.00,9.00,9.00,8.00,8.00,5.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2074265,6.00,9.00,6.00,7.00,9.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2074273,3.00,7.00,4.00,6.00,7.00,5.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2074281,4.00,6.00,3.00,6.00,7.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2074290,3.00,7.00,2.00,6.00,8.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2074303,4.00,7.00,3.00,2.00,5.00,5.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2074311,8.00,8.00,7.00,6.00,8.00,5.50,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2074338,3.00,7.00,6.00,5.00,8.00,7.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2074346,2.00,5.00,2.00,5.00,4.00,3.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2074354,3.00,6.00,7.00,7.00,5.00,4.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2074362,6.00,6.00,8.00,6.00,7.00,5.75,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2074370,5.00,8.00,7.00,3.00,9.00,5.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2074389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2074400,2.00,7.00,4.00,4.00,4.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2074419,3.00,7.00,3.00,3.00,7.00,5.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2074427,7.00,9.00,7.00,7.00,8.00,7.00,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2074435,1.00,6.00,4.00,5.00,8.00,5.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2074443,4.00,6.00,4.00,6.00,7.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2074451,4.00,8.00,5.00,8.00,5.00,6.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2074460,4.00,6.00,4.00,7.00,8.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2074478,4.00,7.00,6.00,5.00,7.00,6.50,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2074486,3.00,6.00,9.00,5.00,8.00,4.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2074494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2074516,6.00,6.00,5.00,6.00,3.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2074524,3.00,2.00,1.00,1.00,4.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2074532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2074559,3.00,4.00,6.00,8.00,6.00,6.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2074567,3.00,6.00,1.00,5.00,4.00,4.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2074575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2074583,3.00,7.00,3.00,7.00,7.00,5.75,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2074591,2.00,7.00,1.00,1.00,7.00,4.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2074605,6.00,7.00,5.00,8.00,9.00,7.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2074613,4.00,7.00,3.00,6.00,8.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2074648,3.00,5.00,4.00,8.00,7.00,7.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2074656,3.00,3.00,5.00,1.00,5.00,6.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2074664,5.00,5.00,4.00,6.00,6.00,4.50,5.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2074680,3.00,8.00,7.00,6.00,7.00,5.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2074699,2.00,4.00,0.00,6.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2074702,4.00,1.00,3.00,6.00,7.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2074710,8.00,8.00,9.00,9.00,7.00,5.50,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2074729,2.00,7.00,4.00,3.00,5.00,6.75,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2074737,2.00,4.00,5.00,4.00,7.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2074745,4.00,9.00,6.00,4.00,5.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2074761,1.00,4.00,4.00,1.00,4.00,3.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2074770,5.00,7.00,7.00,7.00,8.00,5.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2074800,2.00,3.00,4.00,3.00,6.00,4.75,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2074818,3.00,8.00,3.00,6.00,8.00,6.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2074826,1.00,5.00,2.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2074834,7.00,8.00,8.00,7.00,9.00,6.00,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2074842,4.00,6.00,6.00,3.00,6.00,5.50,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2074850,3.00,4.00,4.00,5.00,6.00,4.50,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2074869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2074877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2074885,2.00,7.00,4.00,5.00,6.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2074907,0.00,4.00,2.00,6.00,4.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2074915,2.00,5.00,3.00,5.00,6.00,4.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2074923,6.00,7.00,6.00,8.00,6.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2074931,5.00,7.00,6.00,7.00,6.00,3.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2074940,6.00,3.00,4.00,8.00,6.00,8.00,6.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2074958,4.00,7.00,2.00,7.00,5.00,7.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2074966,5.00,5.00,4.00,2.00,4.00,5.00,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2074982,2.00,4.00,1.00,8.00,5.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2075008,4.00,7.00,5.00,5.00,8.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2075016,5.00,6.00,4.00,4.00,8.00,7.75,6.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2075024,1.00,6.00,7.00,7.00,5.00,4.75,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2075032,4.00,3.00,2.00,4.00,7.00,6.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2075040,5.00,8.00,7.00,7.00,4.00,4.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2075059,4.00,7.00,2.00,10.00,7.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2075067,2.00,4.00,3.00,5.00,5.00,5.50,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2075075,7.00,8.00,9.00,7.00,8.00,5.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2075091,5.00,7.00,5.00,5.00,7.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2075105,2.00,6.00,4.00,5.00,6.00,5.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2075113,1.00,3.00,3.00,4.00,7.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2075130,7.00,6.00,5.00,5.00,8.00,6.50,9.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2075148,8.00,7.00,7.00,8.00,9.00,6.50,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2075156,3.00,7.00,6.00,8.00,8.00,5.75,8.00,4.00,8.00,NULL,NULL,NULL,'N'),(15,2075164,1.00,3.00,0.00,1.00,6.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2075172,5.00,8.00,7.00,7.00,9.00,6.25,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2075202,4.00,6.00,4.00,4.00,8.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2075210,5.00,6.00,4.00,3.00,7.00,8.50,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2075229,3.00,5.00,3.00,0.00,7.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2075237,1.00,7.00,4.00,3.00,5.00,5.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2075245,1.00,3.00,1.00,4.00,5.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2075253,3.00,7.00,1.00,3.00,4.00,5.00,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2075261,4.00,4.00,3.00,4.00,7.00,6.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2075270,4.00,7.00,4.00,8.00,9.00,5.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2075288,5.00,9.00,7.00,7.00,8.00,7.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2075296,5.00,9.00,9.00,8.00,7.00,7.50,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2075300,5.00,7.00,3.00,6.00,7.00,6.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2075326,2.00,3.00,2.00,1.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2075334,2.00,3.00,0.00,2.00,4.00,5.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2075342,2.00,7.00,3.00,4.00,7.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2075350,6.00,7.00,5.00,9.00,8.00,6.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2075369,2.00,3.00,3.00,0.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2075385,4.00,7.00,3.00,4.00,4.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2075393,8.00,8.00,9.00,8.00,8.00,6.75,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2075407,7.00,8.00,6.00,6.00,8.00,4.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2075415,4.00,7.00,1.00,1.00,7.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2075423,7.00,9.00,3.00,9.00,8.00,7.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2075431,2.00,6.00,3.00,6.00,6.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2075440,3.00,4.00,3.00,4.00,4.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2075458,4.00,7.00,5.00,2.00,5.00,4.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2075474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2075490,5.00,9.00,6.00,7.00,6.00,4.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2075504,1.00,3.00,1.00,0.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2075512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2075520,3.00,6.00,1.00,7.00,7.00,4.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2075547,1.00,8.00,3.00,6.00,3.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2075555,4.00,5.00,2.00,1.00,8.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2075563,6.00,8.00,5.00,7.00,7.00,5.75,5.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2075571,4.00,8.00,4.00,3.00,7.00,5.25,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2075598,2.00,6.00,4.00,6.00,6.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2075601,7.00,7.00,8.00,7.00,8.00,6.75,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2075610,4.00,4.00,2.00,6.00,6.00,6.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2075644,4.00,6.00,6.00,0.00,8.00,4.75,7.00,7.00,0.00,NULL,NULL,NULL,'N'),(15,2075652,3.00,7.00,5.00,7.00,6.00,4.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2075660,3.00,6.00,7.00,6.00,8.00,5.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2075679,2.00,5.00,4.00,7.00,8.00,4.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2075687,4.00,6.00,6.00,7.00,6.00,6.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2075709,8.00,7.00,7.00,5.00,5.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2075717,3.00,4.00,1.00,4.00,7.00,5.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2075725,4.00,7.00,7.00,9.00,5.00,7.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2075733,4.00,7.00,5.00,9.00,6.00,6.00,8.00,4.00,7.00,NULL,NULL,NULL,'N'),(15,2075741,3.00,5.00,5.00,8.00,5.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2075750,6.00,9.00,8.00,8.00,8.00,5.50,9.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2075768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2075776,7.00,8.00,9.00,8.00,8.00,6.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2075792,2.00,5.00,4.00,4.00,5.00,5.25,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2075806,2.00,7.00,1.00,5.00,3.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2075814,5.00,7.00,5.00,7.00,7.00,6.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2075822,4.00,6.00,1.00,2.00,5.00,3.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2075830,5.00,6.00,7.00,4.00,6.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2075849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2075857,4.00,5.00,6.00,5.00,4.00,5.50,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2075865,5.00,8.00,4.00,7.00,8.00,4.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2075873,5.00,8.00,5.00,8.00,8.00,7.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2075903,8.00,8.00,8.00,9.00,7.00,5.25,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2075911,1.00,5.00,1.00,0.00,1.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2075920,5.00,7.00,5.00,8.00,6.00,4.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2075938,3.00,6.00,4.00,4.00,4.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2075946,3.00,6.00,5.00,7.00,7.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2075962,3.00,7.00,1.00,4.00,5.00,5.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2075989,1.00,4.00,3.00,4.00,3.00,3.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2075997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2076004,5.00,8.00,4.00,4.00,8.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2076012,3.00,7.00,6.00,5.00,7.00,6.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2076020,3.00,7.00,3.00,5.00,8.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2076039,1.00,6.00,2.00,6.00,4.00,4.00,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2076063,1.00,5.00,4.00,4.00,7.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2076080,3.00,4.00,5.00,4.00,7.00,4.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2076098,4.00,9.00,3.00,6.00,7.00,7.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2076101,4.00,3.00,1.00,3.00,5.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2076110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2076144,2.00,5.00,7.00,3.00,5.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2076152,3.00,7.00,7.00,9.00,7.00,6.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2076160,0.00,5.00,8.00,0.00,4.00,3.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2076179,4.00,4.00,3.00,4.00,6.00,4.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2076187,4.00,6.00,4.00,2.00,7.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2076195,1.00,4.00,3.00,0.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2076209,3.00,6.00,2.00,1.00,9.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2076217,2.00,7.00,2.00,7.00,8.00,6.00,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2076241,3.00,5.00,5.00,6.00,5.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2076250,1.00,7.00,3.00,3.00,7.00,2.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2076268,1.00,4.00,1.00,4.00,6.00,5.00,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2076276,2.00,4.00,3.00,5.00,7.00,4.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2076284,6.00,8.00,6.00,7.00,7.00,4.25,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2076292,2.00,8.00,3.00,5.00,3.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2076306,5.00,8.00,7.00,6.00,8.00,3.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2076314,4.00,8.00,6.00,7.00,9.00,6.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2076322,4.00,7.00,7.00,4.00,8.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2076330,3.00,7.00,3.00,8.00,5.00,3.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2076349,3.00,4.00,2.00,1.00,5.00,5.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2076357,1.00,3.00,2.00,3.00,7.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2076365,4.00,8.00,3.00,5.00,8.00,8.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2076373,7.00,5.00,5.00,5.00,9.00,7.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2076381,8.00,8.00,10.00,6.00,8.00,7.50,9.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2076390,3.00,6.00,3.00,5.00,8.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2076403,4.00,6.00,4.00,3.00,6.00,5.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2076411,3.00,7.00,4.00,3.00,4.00,2.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2076420,5.00,5.00,6.00,6.00,6.00,7.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2076446,3.00,6.00,0.00,5.00,6.00,5.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2076489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2076497,5.00,8.00,7.00,7.00,8.00,3.00,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2076500,3.00,6.00,6.00,8.00,7.00,6.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2076519,5.00,8.00,8.00,6.00,7.00,6.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2076535,0.00,0.00,0.00,1.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2076543,6.00,8.00,5.00,8.00,9.00,6.50,6.00,8.00,3.00,NULL,NULL,NULL,'S'),(15,2076560,8.00,7.00,9.00,6.00,9.00,7.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2076578,3.00,6.00,3.00,6.00,7.00,5.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2076586,6.00,8.00,6.00,6.00,9.00,7.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2076594,1.00,5.00,4.00,6.00,6.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2076608,6.00,6.00,5.00,2.00,6.00,4.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2076616,3.00,7.00,5.00,3.00,8.00,6.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2076624,3.00,5.00,4.00,3.00,7.00,4.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2076632,2.00,3.00,2.00,1.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2076640,3.00,4.00,6.00,5.00,6.00,3.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2076659,5.00,7.00,2.00,4.00,8.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2076667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2076683,4.00,5.00,5.00,5.00,6.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2076691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2076705,2.00,5.00,5.00,0.00,4.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2076713,9.00,7.00,7.00,5.00,7.00,8.00,9.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2076721,0.00,3.00,1.00,1.00,4.00,4.25,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2076748,5.00,5.00,5.00,2.00,8.00,7.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2076756,8.00,8.00,9.00,6.00,9.00,7.00,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2076764,4.00,5.00,3.00,5.00,8.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2076780,3.00,5.00,4.00,3.00,4.00,4.00,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2076799,1.00,4.00,1.00,3.00,8.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2076802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2076810,4.00,7.00,3.00,5.00,8.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2076829,4.00,8.00,9.00,9.00,8.00,7.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2076837,4.00,7.00,4.00,4.00,6.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2076845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2076853,6.00,9.00,6.00,5.00,6.00,5.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2076861,5.00,7.00,5.00,7.00,7.00,5.75,7.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2076870,1.00,4.00,3.00,5.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2076896,3.00,5.00,3.00,5.00,4.00,5.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2076900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2076918,7.00,8.00,5.00,4.00,9.00,6.00,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2076926,5.00,6.00,6.00,6.00,7.00,5.25,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2076934,4.00,7.00,4.00,7.00,6.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2076950,0.00,3.00,1.00,3.00,5.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2076969,1.00,7.00,5.00,2.00,6.00,5.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2076977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2076985,2.00,5.00,3.00,4.00,6.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2077000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2077019,5.00,6.00,1.00,7.00,6.00,3.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2077027,2.00,4.00,0.00,0.00,6.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2077051,4.00,6.00,2.00,5.00,7.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2077060,7.00,8.00,2.00,3.00,8.00,8.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2077086,6.00,7.00,9.00,7.00,8.00,8.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2077140,4.00,5.00,2.00,5.00,6.00,4.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2077159,6.00,8.00,4.00,3.00,6.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2077167,4.00,5.00,4.00,6.00,6.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2077205,4.00,6.00,4.00,3.00,6.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2077213,8.00,8.00,6.00,7.00,9.00,6.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2077221,7.00,7.00,1.00,3.00,9.00,7.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2077248,1.00,3.00,3.00,4.00,7.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2077256,4.00,5.00,0.00,1.00,5.00,NULL,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2077272,3.00,6.00,2.00,5.00,6.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2077280,1.00,3.00,4.00,3.00,4.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2077299,1.00,4.00,1.00,3.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2077302,7.00,9.00,7.00,8.00,5.00,5.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2077310,2.00,4.00,0.00,3.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2077329,3.00,8.00,5.00,4.00,7.00,4.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2077337,4.00,8.00,2.00,1.00,6.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2077345,3.00,7.00,7.00,7.00,9.00,6.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2077353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2077370,3.00,4.00,2.00,3.00,3.00,5.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2077396,6.00,8.00,7.00,8.00,8.00,6.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2077418,3.00,6.00,4.00,2.00,5.00,7.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2077426,4.00,9.00,7.00,7.00,7.00,6.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2077434,4.00,7.00,5.00,5.00,7.00,7.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2077442,4.00,6.00,5.00,4.00,6.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2077450,2.00,7.00,3.00,0.00,7.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2077485,3.00,6.00,3.00,9.00,8.00,7.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2077493,2.00,5.00,5.00,2.00,7.00,5.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2077515,1.00,4.00,1.00,3.00,6.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2077531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2077540,1.00,6.00,3.00,5.00,6.00,4.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2077558,6.00,6.00,5.00,2.00,6.00,5.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2077574,3.00,6.00,2.00,5.00,6.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2077582,4.00,8.00,1.00,4.00,9.00,0.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2077590,1.00,5.00,0.00,7.00,8.00,6.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2077604,3.00,6.00,2.00,3.00,8.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2077612,2.00,4.00,3.00,2.00,5.00,5.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2077620,7.00,8.00,7.00,9.00,9.00,7.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2077663,4.00,5.00,2.00,5.00,8.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2077680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2077701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2077710,1.00,3.00,4.00,0.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2077728,4.00,8.00,3.00,6.00,7.00,6.25,6.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2077744,2.00,7.00,5.00,4.00,5.00,3.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2077752,4.00,7.00,2.00,4.00,7.00,6.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2077760,3.00,3.00,3.00,7.00,4.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2077779,5.00,8.00,7.00,8.00,9.00,7.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2077787,5.00,7.00,2.00,8.00,8.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2077795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2077809,6.00,7.00,6.00,5.00,8.00,5.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2077817,2.00,8.00,1.00,5.00,7.00,6.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2077825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2077833,1.00,6.00,6.00,5.00,6.00,6.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2077841,5.00,7.00,5.00,4.00,7.00,4.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2077868,0.00,8.00,7.00,6.00,4.00,4.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2077876,5.00,6.00,6.00,2.00,7.00,5.50,9.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2077884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2077892,6.00,8.00,4.00,5.00,9.00,6.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2077906,1.00,5.00,2.00,6.00,7.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2077914,4.00,4.00,4.00,3.00,8.00,6.50,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2077922,5.00,7.00,6.00,6.00,8.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2077930,1.00,7.00,6.00,6.00,6.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2077949,3.00,8.00,9.00,8.00,7.00,4.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2077957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2077965,5.00,3.00,2.00,5.00,4.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2077973,6.00,7.00,4.00,5.00,8.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2077981,4.00,7.00,5.00,9.00,6.00,7.75,6.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2077990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2078007,4.00,8.00,4.00,6.00,6.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2078015,2.00,6.00,0.00,5.00,7.00,6.00,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2078031,7.00,7.00,8.00,3.00,7.00,5.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2078040,0.00,5.00,3.00,1.00,7.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2078058,0.00,2.00,1.00,1.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2078066,4.00,8.00,5.00,5.00,9.00,6.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2078082,2.00,4.00,4.00,6.00,4.00,6.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2078090,6.00,8.00,7.00,6.00,7.00,6.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2078104,5.00,6.00,5.00,6.00,7.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2078112,4.00,6.00,6.00,8.00,5.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2078139,7.00,8.00,5.00,2.00,9.00,5.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2078147,6.00,7.00,8.00,7.00,7.00,6.50,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2078155,6.00,7.00,8.00,7.00,9.00,8.25,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2078171,1.00,3.00,0.00,0.00,7.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2078180,3.00,2.00,2.00,5.00,5.00,5.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2078198,5.00,6.00,4.00,6.00,7.00,7.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2078201,2.00,5.00,2.00,6.00,7.00,4.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2078210,2.00,6.00,2.00,8.00,5.00,5.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2078228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2078244,3.00,7.00,5.00,8.00,6.00,7.25,6.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2078252,2.00,7.00,1.00,5.00,7.00,6.00,5.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2078260,4.00,6.00,6.00,8.00,7.00,6.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2078279,2.00,5.00,2.00,5.00,5.00,4.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2078287,6.00,7.00,5.00,8.00,8.00,6.25,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2078295,6.00,7.00,4.00,7.00,9.00,6.50,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2078317,5.00,7.00,7.00,7.00,8.00,4.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2078325,3.00,6.00,4.00,6.00,6.00,3.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2078333,1.00,8.00,2.00,3.00,4.00,4.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2078341,3.00,8.00,3.00,6.00,6.00,5.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2078350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2078368,2.00,3.00,5.00,6.00,7.00,7.00,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2078376,3.00,6.00,2.00,6.00,6.00,5.25,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2078392,3.00,4.00,2.00,6.00,6.00,5.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2078406,2.00,3.00,3.00,3.00,6.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2078414,7.00,8.00,5.00,7.00,8.00,5.25,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2078422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2078430,0.00,6.00,2.00,5.00,3.00,4.50,6.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2078449,3.00,8.00,5.00,6.00,7.00,5.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2078457,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2078465,9.00,9.00,9.00,8.00,9.00,4.75,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2078481,6.00,8.00,4.00,5.00,6.00,6.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2078490,5.00,7.00,7.00,9.00,8.00,7.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2078503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2078511,4.00,7.00,4.00,4.00,5.00,3.75,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2078520,5.00,8.00,4.00,9.00,8.00,7.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2078538,8.00,8.00,8.00,8.00,9.00,8.00,10.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2078546,6.00,8.00,5.00,9.00,8.00,3.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2078562,2.00,1.00,0.00,4.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2078570,3.00,5.00,5.00,4.00,8.00,4.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2078589,4.00,6.00,4.00,2.00,7.00,5.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2078597,5.00,7.00,3.00,6.00,9.00,5.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2078600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2078619,9.00,9.00,10.00,9.00,9.00,7.25,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2078627,4.00,7.00,6.00,8.00,8.00,6.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2078635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2078651,4.00,7.00,5.00,9.00,4.00,6.25,6.00,7.00,2.00,NULL,NULL,NULL,'S'),(15,2078660,5.00,7.00,7.00,6.00,7.00,4.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2078678,4.00,5.00,7.00,9.00,7.00,6.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2078686,3.00,6.00,3.00,5.00,8.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2078694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2078708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2078716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2078724,3.00,4.00,3.00,0.00,6.00,6.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2078732,6.00,7.00,6.00,8.00,7.00,5.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2078740,3.00,7.00,2.00,4.00,6.00,2.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2078759,6.00,8.00,7.00,4.00,8.00,6.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2078775,4.00,6.00,5.00,5.00,9.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2078791,8.00,8.00,8.00,8.00,8.00,8.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2078805,2.00,5.00,4.00,5.00,6.00,5.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2078813,6.00,7.00,7.00,8.00,7.00,6.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2078821,8.00,9.00,7.00,7.00,8.00,5.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2078848,7.00,8.00,6.00,4.00,7.00,6.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2078856,7.00,8.00,7.00,7.00,9.00,5.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2078864,8.00,8.00,5.00,6.00,8.00,5.75,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2078872,5.00,8.00,8.00,8.00,9.00,8.00,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2078902,3.00,4.00,3.00,4.00,4.00,5.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2078910,3.00,5.00,2.00,4.00,5.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2078929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2078937,3.00,6.00,9.00,7.00,5.00,5.50,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2078945,4.00,7.00,2.00,6.00,6.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2078953,3.00,6.00,4.00,4.00,5.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2078961,8.00,7.00,8.00,9.00,9.00,6.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2078970,3.00,6.00,5.00,3.00,8.00,5.00,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2078988,3.00,6.00,4.00,6.00,3.00,5.00,5.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2078996,5.00,8.00,6.00,4.00,6.00,5.25,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2079003,2.00,1.00,0.00,0.00,0.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2079020,2.00,4.00,0.00,3.00,4.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2079038,5.00,5.00,2.00,6.00,6.00,4.75,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2079054,1.00,3.00,1.00,0.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2079062,3.00,4.00,1.00,2.00,5.00,5.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2079070,3.00,5.00,1.00,3.00,7.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2079089,6.00,8.00,7.00,7.00,9.00,6.00,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2079097,1.00,6.00,5.00,4.00,5.00,5.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2079119,3.00,7.00,4.00,2.00,7.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2079127,2.00,5.00,3.00,0.00,6.00,4.75,4.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2079135,2.00,6.00,2.00,3.00,4.00,3.00,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2079143,3.00,4.00,4.00,5.00,4.00,6.75,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2079151,1.00,5.00,2.00,1.00,5.00,3.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2079160,3.00,4.00,3.00,7.00,8.00,7.50,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2079178,3.00,8.00,2.00,8.00,8.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2079186,6.00,8.00,9.00,7.00,8.00,6.50,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2079194,3.00,7.00,6.00,3.00,7.00,5.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2079208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2079216,3.00,8.00,4.00,3.00,5.00,6.50,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2079232,5.00,9.00,2.00,7.00,5.00,3.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2079240,2.00,6.00,0.00,1.00,9.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2079259,4.00,6.00,5.00,8.00,5.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2079267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2079275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2079283,6.00,8.00,4.00,5.00,9.00,4.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2079291,5.00,7.00,8.00,9.00,7.00,6.00,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2079305,5.00,7.00,3.00,5.00,7.00,6.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2079321,6.00,7.00,5.00,9.00,8.00,4.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2079330,4.00,5.00,5.00,5.00,6.00,4.50,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2079348,5.00,9.00,8.00,7.00,7.00,5.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2079356,3.00,6.00,0.00,7.00,5.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2079364,3.00,6.00,3.00,2.00,5.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2079372,6.00,7.00,4.00,6.00,4.00,6.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2079380,5.00,7.00,2.00,9.00,9.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2079402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2079429,4.00,7.00,7.00,5.00,7.00,4.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2079437,2.00,8.00,3.00,7.00,7.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2079453,8.00,7.00,8.00,8.00,8.00,5.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2079461,5.00,7.00,8.00,7.00,4.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2079470,4.00,6.00,2.00,4.00,7.00,6.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2079488,6.00,7.00,8.00,5.00,8.00,5.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2079496,5.00,8.00,5.00,6.00,6.00,4.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2079500,8.00,8.00,6.00,7.00,7.00,5.00,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2079518,4.00,7.00,8.00,5.00,5.00,4.75,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2079526,3.00,5.00,2.00,3.00,7.00,6.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2079534,4.00,6.00,4.00,0.00,6.00,NULL,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2079542,7.00,7.00,4.00,6.00,7.00,6.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2079550,3.00,4.00,2.00,6.00,7.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2079569,0.00,3.00,3.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2079577,3.00,8.00,7.00,5.00,7.00,4.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2079585,1.00,5.00,2.00,5.00,3.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2079607,5.00,7.00,5.00,6.00,6.00,4.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2079615,6.00,7.00,5.00,6.00,6.00,5.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2079623,1.00,4.00,5.00,4.00,5.00,4.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2079631,3.00,7.00,2.00,6.00,8.00,6.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2079640,8.00,9.00,8.00,9.00,8.00,6.50,6.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2079666,4.00,7.00,2.00,6.00,4.00,6.50,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2079690,3.00,6.00,4.00,7.00,7.00,5.75,5.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2079704,1.00,5.00,4.00,7.00,7.00,6.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2079712,4.00,6.00,4.00,9.00,7.00,5.00,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2079747,1.00,2.00,2.00,4.00,5.00,6.00,5.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2079755,1.00,4.00,3.00,1.00,6.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2079763,4.00,8.00,5.00,5.00,8.00,5.50,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2079771,0.00,4.00,3.00,7.00,3.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2079810,7.00,8.00,5.00,7.00,8.00,6.50,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2079828,4.00,7.00,5.00,4.00,9.00,5.75,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2079844,7.00,8.00,8.00,4.00,7.00,7.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2079860,4.00,8.00,5.00,8.00,7.00,4.50,5.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2079887,1.00,3.00,1.00,7.00,5.00,2.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2079895,1.00,4.00,1.00,4.00,3.00,7.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2079909,5.00,8.00,7.00,8.00,8.00,6.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2079925,4.00,8.00,9.00,9.00,8.00,7.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2079933,2.00,4.00,4.00,6.00,8.00,5.50,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2079941,6.00,7.00,7.00,7.00,7.00,6.50,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2079950,6.00,6.00,7.00,7.00,8.00,7.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2079968,4.00,5.00,3.00,4.00,8.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2079976,3.00,8.00,4.00,5.00,6.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2079984,5.00,6.00,9.00,6.00,8.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2079992,1.00,6.00,1.00,5.00,4.00,5.25,4.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2080001,7.00,8.00,7.00,3.00,7.00,7.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2080036,2.00,7.00,4.00,2.00,6.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2080052,1.00,2.00,2.00,1.00,2.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2080060,3.00,4.00,2.00,4.00,6.00,4.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2080079,3.00,5.00,3.00,6.00,8.00,6.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2080087,3.00,6.00,5.00,6.00,5.00,7.25,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2080095,3.00,8.00,6.00,9.00,7.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2080109,5.00,7.00,4.00,9.00,9.00,8.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2080117,5.00,6.00,2.00,5.00,7.00,8.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2080141,1.00,7.00,6.00,7.00,6.00,3.00,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2080150,3.00,4.00,3.00,7.00,7.00,5.50,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2080168,5.00,8.00,7.00,7.00,9.00,5.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2080176,8.00,8.00,9.00,9.00,8.00,6.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2080184,4.00,7.00,4.00,5.00,8.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2080192,2.00,6.00,6.00,9.00,5.00,5.75,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2080206,0.00,1.00,1.00,2.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2080214,1.00,4.00,4.00,4.00,5.00,4.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2080222,6.00,8.00,8.00,3.00,7.00,5.50,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2080230,1.00,7.00,0.00,6.00,8.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2080249,0.00,8.00,2.00,1.00,6.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2080257,4.00,7.00,6.00,5.00,3.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2080265,5.00,8.00,3.00,4.00,8.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2080273,3.00,6.00,6.00,3.00,5.00,6.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2080290,4.00,6.00,6.00,4.00,6.00,7.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2080303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2080311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2080320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2080338,6.00,7.00,5.00,7.00,8.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2080346,3.00,6.00,1.00,3.00,6.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2080354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2080362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2080370,4.00,7.00,1.00,5.00,6.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2080389,4.00,7.00,6.00,1.00,6.00,4.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2080397,6.00,8.00,8.00,8.00,8.00,6.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2080419,4.00,8.00,5.00,4.00,6.00,5.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2080427,1.00,5.00,3.00,4.00,5.00,3.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2080435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2080443,3.00,6.00,6.00,2.00,5.00,5.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2080451,3.00,5.00,6.00,2.00,5.00,5.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2080460,5.00,8.00,1.00,2.00,7.00,7.25,4.00,7.00,2.00,NULL,NULL,NULL,'S'),(15,2080478,4.00,7.00,5.00,0.00,6.00,NULL,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2080486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2080494,3.00,7.00,3.00,5.00,7.00,5.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2080508,7.00,8.00,7.00,4.00,6.00,6.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2080516,3.00,6.00,4.00,8.00,7.00,3.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2080524,5.00,9.00,7.00,7.00,9.00,5.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2080540,4.00,6.00,7.00,9.00,7.00,7.25,6.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2080559,4.00,8.00,4.00,8.00,9.00,7.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2080567,4.00,5.00,3.00,8.00,4.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2080583,8.00,7.00,8.00,9.00,6.00,5.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2080591,5.00,7.00,4.00,3.00,6.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2080605,7.00,8.00,6.00,9.00,5.00,4.75,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2080613,6.00,7.00,6.00,3.00,6.00,4.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2080621,8.00,8.00,8.00,7.00,8.00,7.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2080630,3.00,4.00,5.00,3.00,7.00,4.75,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2080648,4.00,7.00,5.00,9.00,7.00,6.00,6.00,8.00,4.00,NULL,NULL,NULL,'S'),(15,2080656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2080664,6.00,6.00,3.00,6.00,7.00,5.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2080672,3.00,7.00,5.00,8.00,8.00,6.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2080680,4.00,7.00,7.00,6.00,6.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2080699,8.00,8.00,9.00,7.00,7.00,7.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2080702,4.00,7.00,5.00,5.00,4.00,5.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2080710,4.00,6.00,6.00,3.00,7.00,4.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2080729,2.00,5.00,3.00,0.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2080737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2080745,5.00,6.00,5.00,3.00,6.00,4.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2080753,2.00,6.00,3.00,6.00,7.00,6.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2080761,3.00,5.00,3.00,1.00,5.00,4.25,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2080770,7.00,8.00,5.00,8.00,6.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2080788,3.00,4.00,2.00,6.00,2.00,NULL,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2080796,3.00,8.00,3.00,2.00,6.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2080800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2080818,0.00,6.00,4.00,3.00,4.00,3.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2080826,1.00,6.00,3.00,7.00,7.00,6.00,8.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2080834,4.00,7.00,5.00,5.00,7.00,3.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2080842,3.00,6.00,5.00,6.00,7.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2080850,5.00,8.00,2.00,7.00,9.00,8.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2080869,1.00,5.00,3.00,4.00,5.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2080877,6.00,8.00,9.00,5.00,9.00,6.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2080885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2080893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2080907,4.00,6.00,4.00,9.00,9.00,6.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2080915,3.00,6.00,5.00,9.00,7.00,5.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2080923,3.00,7.00,2.00,6.00,6.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2080940,4.00,3.00,2.00,4.00,4.00,3.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2080958,4.00,7.00,1.00,7.00,7.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2080966,5.00,8.00,5.00,6.00,9.00,7.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2080974,5.00,8.00,3.00,5.00,7.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2080982,2.00,6.00,6.00,5.00,5.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2080990,5.00,6.00,2.00,1.00,8.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2081008,7.00,7.00,8.00,7.00,8.00,6.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2081016,3.00,4.00,3.00,6.00,1.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2081024,7.00,8.00,4.00,6.00,8.00,6.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2081040,1.00,1.00,1.00,5.00,7.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2081059,2.00,3.00,3.00,4.00,3.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2081067,2.00,5.00,2.00,4.00,6.00,3.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2081075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2081083,5.00,4.00,5.00,1.00,6.00,7.00,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2081091,5.00,8.00,5.00,6.00,7.00,6.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2081105,7.00,5.00,8.00,3.00,8.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2081113,2.00,4.00,2.00,2.00,5.00,5.00,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2081130,1.00,2.00,0.00,4.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2081148,4.00,8.00,4.00,8.00,8.00,5.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2081156,5.00,6.00,7.00,6.00,7.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2081164,2.00,4.00,1.00,7.00,7.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2081172,7.00,8.00,5.00,4.00,8.00,6.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2081180,5.00,7.00,4.00,6.00,7.00,6.50,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2081199,2.00,7.00,3.00,8.00,4.00,6.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2081202,7.00,8.00,7.00,5.00,7.00,5.50,8.00,4.00,7.00,NULL,NULL,NULL,'N'),(15,2081210,4.00,5.00,2.00,8.00,6.00,6.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2081237,7.00,7.00,7.00,8.00,7.00,6.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2081245,3.00,3.00,2.00,6.00,4.00,5.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2081253,2.00,6.00,4.00,0.00,6.00,1.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2081261,3.00,4.00,1.00,3.00,5.00,5.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2081270,6.00,9.00,6.00,8.00,8.00,6.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2081288,1.00,4.00,5.00,4.00,3.00,4.25,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2081296,5.00,4.00,2.00,3.00,6.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2081300,5.00,6.00,1.00,6.00,4.00,5.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2081326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2081334,3.00,8.00,5.00,6.00,6.00,7.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2081342,2.00,6.00,0.00,4.00,5.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2081350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2081369,7.00,8.00,8.00,8.00,8.00,4.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2081377,7.00,9.00,7.00,8.00,8.00,7.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2081385,0.00,6.00,3.00,1.00,6.00,6.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2081393,2.00,4.00,2.00,5.00,5.00,4.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2081415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2081423,1.00,3.00,0.00,0.00,0.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2081431,3.00,5.00,2.00,1.00,5.00,6.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2081458,3.00,5.00,3.00,2.00,6.00,5.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2081466,4.00,8.00,6.00,9.00,7.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2081474,0.00,6.00,1.00,4.00,7.00,4.50,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2081490,0.00,3.00,3.00,2.00,5.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2081504,5.00,5.00,6.00,4.00,6.00,5.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2081512,2.00,4.00,4.00,4.00,4.00,6.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2081520,6.00,8.00,7.00,8.00,8.00,6.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2081539,1.00,5.00,4.00,5.00,6.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2081547,1.00,7.00,3.00,5.00,5.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2081555,4.00,6.00,3.00,5.00,6.00,6.25,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2081563,6.00,8.00,8.00,6.00,9.00,6.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2081571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2081580,3.00,6.00,3.00,2.00,4.00,3.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2081598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2081610,3.00,6.00,4.00,4.00,5.00,5.50,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2081644,4.00,7.00,6.00,9.00,7.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2081660,2.00,6.00,4.00,7.00,7.00,3.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2081679,0.00,1.00,1.00,4.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2081709,6.00,9.00,8.00,8.00,8.00,8.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2081717,4.00,7.00,7.00,7.00,7.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2081725,0.00,7.00,3.00,5.00,5.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2081733,0.00,2.00,1.00,2.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2081768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2081776,8.00,9.00,9.00,8.00,9.00,7.50,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2081784,1.00,6.00,4.00,4.00,5.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2081792,7.00,8.00,8.00,7.00,8.00,8.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2081806,8.00,9.00,9.00,8.00,8.00,6.00,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2081814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2081822,6.00,6.00,5.00,9.00,7.00,7.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2081849,8.00,9.00,4.00,5.00,7.00,4.75,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2081873,5.00,7.00,7.00,5.00,8.00,5.75,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2081881,2.00,6.00,4.00,4.00,4.00,4.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2081890,2.00,7.00,4.00,9.00,6.00,6.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2081903,1.00,5.00,3.00,2.00,7.00,5.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2081911,4.00,6.00,3.00,4.00,8.00,5.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2081938,3.00,3.00,3.00,1.00,5.00,5.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2081946,4.00,3.00,1.00,3.00,4.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2081954,4.00,6.00,4.00,8.00,7.00,7.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2081962,1.00,4.00,2.00,3.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2081970,3.00,7.00,3.00,8.00,5.00,5.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2081989,4.00,5.00,5.00,9.00,7.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2081997,3.00,7.00,5.00,4.00,7.00,4.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2082004,5.00,7.00,7.00,8.00,8.00,6.50,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2082012,3.00,5.00,2.00,3.00,6.00,5.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2082020,0.00,5.00,3.00,1.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2082047,8.00,9.00,7.00,8.00,9.00,7.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2082055,2.00,4.00,2.00,5.00,4.00,8.00,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2082080,4.00,8.00,3.00,5.00,7.00,6.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2082098,1.00,5.00,4.00,3.00,7.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2082110,4.00,4.00,3.00,5.00,7.00,6.25,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2082144,4.00,7.00,4.00,3.00,6.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2082152,2.00,5.00,4.00,6.00,6.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2082160,4.00,5.00,0.00,0.00,7.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2082195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2082209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2082217,3.00,6.00,5.00,5.00,8.00,5.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2082233,6.00,8.00,8.00,7.00,7.00,7.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2082250,3.00,7.00,7.00,7.00,6.00,6.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2082268,4.00,6.00,4.00,2.00,5.00,2.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2082276,7.00,6.00,6.00,2.00,7.00,5.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2082292,3.00,5.00,1.00,0.00,6.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2082306,4.00,5.00,1.00,7.00,9.00,7.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2082314,4.00,5.00,4.00,0.00,4.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2082330,1.00,7.00,3.00,4.00,5.00,4.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2082349,1.00,6.00,2.00,4.00,5.00,4.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2082357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2082365,3.00,5.00,3.00,3.00,7.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2082373,3.00,5.00,0.00,7.00,6.00,4.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2082381,1.00,5.00,5.00,3.00,7.00,5.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2082390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2082403,2.00,6.00,3.00,3.00,6.00,5.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2082411,4.00,6.00,7.00,1.00,9.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2082420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2082454,4.00,6.00,3.00,5.00,6.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2082462,5.00,8.00,5.00,5.00,6.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2082489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2082497,2.00,7.00,4.00,4.00,7.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2082500,0.00,3.00,2.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2082519,2.00,6.00,4.00,1.00,7.00,4.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2082527,1.00,3.00,2.00,5.00,4.00,3.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2082535,6.00,8.00,5.00,7.00,7.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2082551,3.00,8.00,5.00,7.00,8.00,5.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2082560,3.00,5.00,6.00,1.00,5.00,5.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2082586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2082594,2.00,8.00,1.00,3.00,4.00,7.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2082608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2082616,2.00,5.00,3.00,5.00,8.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2082624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2082632,4.00,7.00,3.00,4.00,6.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2082640,4.00,5.00,1.00,6.00,5.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2082659,6.00,7.00,4.00,2.00,7.00,6.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2082667,2.00,7.00,3.00,5.00,7.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2082675,2.00,6.00,4.00,5.00,4.00,6.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2082683,5.00,8.00,8.00,5.00,8.00,5.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2082705,4.00,4.00,3.00,5.00,6.00,3.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2082713,4.00,6.00,2.00,7.00,7.00,4.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2082721,1.00,5.00,3.00,4.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2082748,0.00,4.00,1.00,3.00,4.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2082756,1.00,4.00,4.00,6.00,6.00,5.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2082764,5.00,6.00,0.00,6.00,6.00,3.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2082799,1.00,5.00,4.00,7.00,6.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2082810,8.00,7.00,8.00,7.00,9.00,6.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2082829,6.00,7.00,8.00,9.00,7.00,5.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2082837,3.00,4.00,4.00,4.00,8.00,5.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2082845,6.00,8.00,8.00,8.00,8.00,5.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2082853,1.00,5.00,1.00,6.00,4.00,4.25,6.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2082861,1.00,3.00,1.00,4.00,4.00,3.75,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2082870,5.00,6.00,6.00,6.00,7.00,8.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2082888,1.00,5.00,1.00,2.00,7.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2082918,5.00,8.00,6.00,7.00,9.00,6.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2082926,3.00,3.00,3.00,5.00,5.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2082934,5.00,8.00,7.00,7.00,8.00,6.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2082942,3.00,4.00,3.00,6.00,4.00,6.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2082950,1.00,8.00,3.00,2.00,6.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2082969,4.00,8.00,6.00,7.00,7.00,7.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2082977,0.00,4.00,4.00,0.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2082985,6.00,6.00,6.00,5.00,8.00,7.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2082993,5.00,8.00,6.00,8.00,7.00,6.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2083000,3.00,8.00,1.00,6.00,9.00,8.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2083019,0.00,0.00,0.00,8.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2083027,5.00,5.00,2.00,7.00,6.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2083035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2083043,2.00,6.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2083051,2.00,4.00,0.00,0.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2083060,1.00,4.00,2.00,2.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2083078,3.00,6.00,5.00,3.00,8.00,7.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2083086,2.00,6.00,4.00,3.00,6.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2083116,4.00,8.00,7.00,9.00,6.00,6.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2083132,9.00,8.00,9.00,9.00,8.00,7.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2083140,3.00,7.00,5.00,6.00,8.00,4.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2083159,5.00,4.00,2.00,7.00,7.00,4.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2083167,8.00,7.00,7.00,3.00,8.00,6.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2083175,3.00,5.00,4.00,1.00,4.00,4.25,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2083183,1.00,7.00,1.00,5.00,6.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2083191,2.00,8.00,5.00,6.00,6.00,5.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2083205,1.00,2.00,3.00,3.00,4.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2083213,4.00,8.00,5.00,5.00,6.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2083221,3.00,5.00,2.00,6.00,4.00,3.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2083230,5.00,8.00,4.00,0.00,7.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2083248,1.00,7.00,0.00,3.00,6.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2083256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2083264,4.00,4.00,1.00,7.00,6.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2083272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2083280,4.00,6.00,4.00,5.00,6.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2083310,6.00,6.00,9.00,3.00,8.00,6.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2083345,1.00,5.00,3.00,6.00,6.00,7.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2083361,6.00,8.00,7.00,9.00,8.00,6.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2083370,1.00,4.00,0.00,1.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2083388,4.00,8.00,4.00,2.00,6.00,4.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2083396,5.00,6.00,6.00,4.00,8.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2083418,3.00,5.00,4.00,4.00,6.00,4.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2083434,4.00,6.00,2.00,5.00,4.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2083442,4.00,8.00,2.00,9.00,8.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2083450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2083469,8.00,8.00,5.00,9.00,8.00,8.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2083477,4.00,6.00,2.00,2.00,3.00,5.50,5.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2083493,4.00,5.00,1.00,4.00,5.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2083507,2.00,5.00,2.00,2.00,5.00,3.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2083515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2083523,5.00,6.00,7.00,7.00,7.00,6.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2083558,3.00,8.00,3.00,7.00,5.00,6.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2083566,5.00,7.00,9.00,5.00,8.00,7.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2083574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2083590,2.00,6.00,2.00,2.00,5.00,5.00,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2083604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2083612,6.00,7.00,5.00,6.00,6.00,5.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2083620,7.00,8.00,7.00,7.00,7.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2083639,1.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2083647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2083663,6.00,8.00,8.00,7.00,9.00,6.75,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2083671,5.00,8.00,7.00,7.00,8.00,5.75,9.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2083698,3.00,7.00,7.00,8.00,8.00,7.75,9.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2083728,4.00,6.00,4.00,2.00,4.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2083736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2083744,3.00,7.00,8.00,7.00,6.00,5.00,7.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2083760,4.00,4.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2083779,5.00,6.00,7.00,5.00,8.00,7.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2083787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2083795,1.00,6.00,4.00,7.00,6.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2083809,2.00,5.00,1.00,5.00,5.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2083817,5.00,7.00,9.00,3.00,9.00,7.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2083825,4.00,4.00,1.00,4.00,5.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2083833,3.00,4.00,4.00,2.00,5.00,3.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2083841,5.00,5.00,5.00,4.00,7.00,6.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2083850,5.00,7.00,6.00,5.00,8.00,5.50,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2083884,1.00,2.00,2.00,1.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2083892,6.00,8.00,3.00,8.00,5.00,7.00,7.00,8.00,6.00,NULL,NULL,NULL,'S'),(15,2083906,1.00,6.00,1.00,1.00,3.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2083914,4.00,6.00,3.00,2.00,5.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2083922,5.00,6.00,4.00,3.00,7.00,5.50,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2083930,0.00,3.00,0.00,4.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2083949,4.00,8.00,5.00,3.00,6.00,5.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2083957,7.00,6.00,7.00,6.00,8.00,6.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2083965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2083981,3.00,9.00,7.00,4.00,5.00,7.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2083990,5.00,8.00,4.00,6.00,7.00,5.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2084007,7.00,8.00,6.00,5.00,8.00,7.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2084015,3.00,4.00,4.00,5.00,4.00,3.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2084031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2084040,3.00,6.00,2.00,7.00,6.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2084058,9.00,7.00,9.00,7.00,8.00,9.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2084074,2.00,4.00,3.00,5.00,8.00,6.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2084082,4.00,6.00,6.00,5.00,7.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2084104,6.00,6.00,7.00,5.00,9.00,7.50,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2084112,4.00,6.00,3.00,5.00,7.00,5.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2084120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2084147,2.00,3.00,2.00,3.00,7.00,5.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2084163,5.00,8.00,7.00,6.00,9.00,6.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2084180,4.00,7.00,5.00,4.00,9.00,8.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2084198,6.00,7.00,3.00,6.00,7.00,5.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2084201,0.00,5.00,1.00,3.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2084210,1.00,5.00,2.00,5.00,5.00,3.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2084228,0.00,8.00,5.00,6.00,7.00,4.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2084236,0.00,4.00,5.00,0.00,8.00,4.75,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2084279,2.00,3.00,3.00,2.00,3.00,6.00,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2084295,5.00,8.00,7.00,7.00,8.00,7.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2084309,3.00,8.00,3.00,4.00,6.00,5.75,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2084317,2.00,6.00,0.00,3.00,4.00,7.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2084325,6.00,8.00,5.00,5.00,7.00,4.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2084333,3.00,4.00,1.00,5.00,6.00,5.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2084341,6.00,7.00,8.00,9.00,7.00,5.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2084350,3.00,5.00,5.00,5.00,8.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2084384,7.00,8.00,7.00,6.00,8.00,7.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2084392,2.00,2.00,0.00,4.00,5.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2084414,3.00,8.00,3.00,8.00,9.00,7.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2084422,4.00,7.00,5.00,7.00,4.00,5.50,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2084449,1.00,7.00,0.00,6.00,8.00,5.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2084457,2.00,6.00,2.00,3.00,5.00,6.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2084465,1.00,4.00,0.00,7.00,7.00,4.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2084481,4.00,8.00,4.00,8.00,8.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2084511,5.00,5.00,8.00,7.00,6.00,6.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2084520,2.00,6.00,2.00,7.00,6.00,6.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2084538,5.00,7.00,2.00,2.00,6.00,3.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2084546,5.00,7.00,6.00,2.00,7.00,6.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2084554,3.00,4.00,0.00,1.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2084589,1.00,4.00,4.00,4.00,7.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2084597,6.00,6.00,5.00,8.00,8.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2084600,2.00,3.00,2.00,6.00,3.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2084619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2084627,1.00,5.00,2.00,3.00,5.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2084635,5.00,8.00,4.00,7.00,8.00,7.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2084643,1.00,4.00,2.00,3.00,5.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2084651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2084660,1.00,3.00,1.00,1.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2084678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2084686,1.00,5.00,6.00,3.00,5.00,6.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2084694,3.00,8.00,5.00,6.00,7.00,7.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2084708,3.00,7.00,4.00,2.00,8.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2084716,4.00,7.00,4.00,1.00,4.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2084732,8.00,8.00,8.00,8.00,9.00,7.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2084740,1.00,4.00,3.00,2.00,6.00,4.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2084767,2.00,5.00,1.00,6.00,4.00,6.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2084775,7.00,8.00,8.00,8.00,9.00,6.00,10.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2084783,2.00,5.00,0.00,4.00,6.00,5.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2084791,5.00,6.00,6.00,3.00,5.00,4.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2084813,1.00,6.00,2.00,5.00,7.00,4.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2084821,5.00,7.00,3.00,4.00,6.00,3.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2084830,3.00,6.00,2.00,1.00,5.00,5.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2084848,3.00,7.00,4.00,4.00,7.00,4.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2084872,3.00,3.00,1.00,6.00,6.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2084899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2084902,4.00,6.00,4.00,8.00,6.00,5.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2084910,4.00,2.00,4.00,6.00,7.00,5.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2084929,4.00,5.00,4.00,6.00,7.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2084937,6.00,7.00,6.00,4.00,8.00,5.00,6.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2084945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2084953,3.00,4.00,2.00,4.00,4.00,6.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2084961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2084970,3.00,7.00,7.00,7.00,7.00,5.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2084988,2.00,2.00,0.00,3.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2084996,5.00,8.00,5.00,2.00,6.00,3.50,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2085003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2085011,4.00,6.00,4.00,6.00,5.00,5.75,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2085020,6.00,7.00,5.00,7.00,9.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2085038,5.00,8.00,7.00,2.00,8.00,5.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2085062,5.00,7.00,3.00,6.00,7.00,4.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2085070,4.00,7.00,6.00,5.00,7.00,7.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2085100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2085119,2.00,9.00,6.00,5.00,9.00,6.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2085127,5.00,8.00,2.00,2.00,7.00,5.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2085135,6.00,6.00,5.00,2.00,8.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2085143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2085151,4.00,6.00,7.00,3.00,7.00,5.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2085160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2085178,5.00,7.00,4.00,7.00,8.00,7.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2085186,3.00,5.00,4.00,5.00,4.00,5.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2085208,2.00,5.00,2.00,2.00,7.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2085216,2.00,5.00,3.00,0.00,6.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2085224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2085232,3.00,8.00,1.00,8.00,6.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2085275,5.00,8.00,9.00,9.00,8.00,6.25,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2085283,4.00,6.00,3.00,6.00,7.00,3.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2085291,5.00,7.00,1.00,4.00,8.00,5.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2085305,4.00,5.00,3.00,5.00,6.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2085321,2.00,5.00,1.00,3.00,3.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2085348,0.00,3.00,3.00,3.00,6.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2085356,6.00,7.00,5.00,7.00,8.00,4.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2085364,1.00,6.00,1.00,0.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2085372,1.00,3.00,1.00,0.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2085380,4.00,7.00,5.00,3.00,4.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2085399,3.00,7.00,7.00,5.00,9.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2085402,0.00,3.00,1.00,5.00,3.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2085410,2.00,6.00,3.00,6.00,8.00,6.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2085429,2.00,6.00,5.00,4.00,6.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2085453,5.00,5.00,4.00,3.00,5.00,4.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2085470,3.00,6.00,3.00,2.00,6.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2085488,4.00,6.00,5.00,3.00,7.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2085496,5.00,6.00,7.00,6.00,5.00,5.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2085500,6.00,7.00,8.00,7.00,7.00,7.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2085526,4.00,8.00,6.00,9.00,7.00,6.00,9.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2085550,2.00,4.00,5.00,6.00,8.00,7.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2085577,4.00,7.00,6.00,6.00,8.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2085585,5.00,4.00,3.00,4.00,3.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2085593,6.00,7.00,4.00,6.00,7.00,5.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2085607,3.00,4.00,5.00,3.00,5.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2085631,2.00,8.00,3.00,7.00,6.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2085640,2.00,3.00,3.00,2.00,3.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2085658,6.00,7.00,5.00,7.00,9.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2085666,2.00,8.00,4.00,4.00,7.00,4.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2085674,1.00,3.00,2.00,6.00,6.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2085682,3.00,7.00,5.00,6.00,8.00,6.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2085690,5.00,9.00,8.00,9.00,7.00,6.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2085704,7.00,8.00,9.00,9.00,8.00,6.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2085712,4.00,8.00,5.00,9.00,8.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2085720,2.00,4.00,3.00,6.00,8.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2085739,2.00,6.00,2.00,4.00,5.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2085747,3.00,4.00,2.00,5.00,5.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2085755,7.00,9.00,6.00,6.00,8.00,4.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2085763,8.00,9.00,8.00,9.00,9.00,6.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2085771,6.00,8.00,7.00,6.00,8.00,6.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2085780,5.00,7.00,7.00,2.00,8.00,6.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2085798,3.00,6.00,5.00,8.00,5.00,5.25,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2085810,2.00,4.00,2.00,3.00,5.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2085828,5.00,8.00,4.00,5.00,7.00,5.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2085844,4.00,6.00,5.00,8.00,7.00,6.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2085852,6.00,8.00,7.00,7.00,8.00,6.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2085879,8.00,8.00,8.00,8.00,9.00,7.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2085887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2085895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2085917,2.00,6.00,3.00,1.00,7.00,4.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2085925,4.00,6.00,3.00,7.00,6.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2085933,4.00,8.00,7.00,8.00,6.00,5.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2085941,5.00,7.00,3.00,4.00,8.00,6.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2085950,3.00,3.00,1.00,5.00,3.00,4.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2085976,2.00,8.00,1.00,7.00,6.00,6.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2085984,7.00,8.00,7.00,9.00,7.00,5.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2085992,7.00,6.00,7.00,6.00,8.00,7.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2086018,2.00,4.00,4.00,4.00,7.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2086026,2.00,3.00,0.00,2.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2086034,4.00,8.00,3.00,5.00,8.00,6.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2086042,3.00,8.00,4.00,5.00,8.00,5.00,8.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2086050,6.00,6.00,5.00,8.00,8.00,6.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2086069,5.00,7.00,7.00,6.00,8.00,5.00,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2086077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2086123,6.00,8.00,6.00,7.00,8.00,8.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2086131,4.00,7.00,4.00,5.00,6.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2086140,3.00,7.00,1.00,7.00,8.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2086158,4.00,6.00,2.00,5.00,7.00,6.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2086166,2.00,6.00,2.00,5.00,7.00,6.50,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2086182,3.00,8.00,4.00,8.00,5.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2086190,4.00,6.00,6.00,7.00,8.00,6.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2086204,3.00,5.00,2.00,4.00,7.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2086212,3.00,6.00,3.00,7.00,6.00,5.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2086220,4.00,6.00,5.00,7.00,8.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2086239,7.00,9.00,7.00,9.00,9.00,7.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2086247,4.00,6.00,5.00,6.00,7.00,8.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2086255,5.00,7.00,4.00,6.00,7.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2086280,6.00,6.00,5.00,5.00,8.00,4.50,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2086298,5.00,6.00,6.00,4.00,8.00,4.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2086301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2086310,4.00,7.00,7.00,3.00,7.00,5.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2086328,3.00,3.00,1.00,2.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2086336,1.00,7.00,5.00,6.00,6.00,5.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2086344,5.00,8.00,7.00,6.00,8.00,6.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2086352,0.00,6.00,2.00,7.00,4.00,1.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2086360,3.00,5.00,2.00,5.00,5.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2086379,2.00,6.00,3.00,7.00,6.00,3.75,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2086387,6.00,9.00,8.00,5.00,8.00,5.75,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2086395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2086417,4.00,8.00,5.00,7.00,5.00,4.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2086425,2.00,4.00,0.00,6.00,8.00,5.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2086433,4.00,6.00,7.00,3.00,4.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2086441,4.00,6.00,7.00,5.00,8.00,5.75,9.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2086450,4.00,7.00,5.00,3.00,7.00,4.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2086468,3.00,7.00,4.00,7.00,6.00,4.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2086476,3.00,6.00,4.00,7.00,8.00,6.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2086484,2.00,7.00,4.00,6.00,5.00,3.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2086492,7.00,9.00,8.00,6.00,6.00,6.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2086506,4.00,7.00,5.00,6.00,8.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2086514,5.00,8.00,5.00,5.00,6.00,4.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2086522,2.00,7.00,3.00,4.00,8.00,5.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2086530,3.00,6.00,4.00,7.00,6.00,5.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2086549,4.00,4.00,2.00,7.00,5.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2086557,4.00,7.00,5.00,7.00,8.00,5.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2086573,4.00,8.00,5.00,5.00,5.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2086581,7.00,7.00,9.00,7.00,8.00,6.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2086603,1.00,6.00,4.00,6.00,8.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2086611,7.00,8.00,8.00,5.00,7.00,8.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2086620,7.00,9.00,4.00,6.00,8.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2086638,6.00,7.00,8.00,8.00,7.00,6.00,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2086646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2086654,2.00,4.00,2.00,0.00,6.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2086662,4.00,6.00,3.00,2.00,5.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2086689,5.00,8.00,3.00,4.00,8.00,5.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2086697,2.00,3.00,2.00,5.00,6.00,3.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2086700,6.00,9.00,6.00,6.00,9.00,6.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2086719,3.00,6.00,5.00,0.00,8.00,NULL,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2086727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2086735,4.00,8.00,5.00,4.00,8.00,5.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2086743,6.00,7.00,6.00,6.00,7.00,6.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2086751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2086760,3.00,5.00,2.00,1.00,7.00,3.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2086778,5.00,7.00,6.00,7.00,6.00,5.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2086786,5.00,5.00,6.00,1.00,5.00,4.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2086808,4.00,7.00,5.00,5.00,5.00,4.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2086816,0.00,0.00,0.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2086832,5.00,7.00,3.00,6.00,8.00,6.75,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2086840,4.00,6.00,3.00,6.00,9.00,6.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2086859,0.00,7.00,1.00,5.00,7.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2086867,2.00,4.00,2.00,3.00,3.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2086875,1.00,6.00,2.00,0.00,7.00,5.00,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2086883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2086905,4.00,7.00,4.00,9.00,7.00,5.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2086913,2.00,5.00,6.00,2.00,6.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2086921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2086948,4.00,6.00,0.00,1.00,6.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2086956,2.00,6.00,3.00,5.00,3.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2086964,4.00,7.00,2.00,5.00,8.00,7.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2086972,1.00,5.00,0.00,2.00,1.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2086980,7.00,7.00,7.00,3.00,9.00,4.00,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2086999,3.00,6.00,2.00,6.00,5.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2087006,0.00,3.00,0.00,3.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2087022,3.00,4.00,7.00,6.00,8.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2087057,3.00,6.00,5.00,3.00,8.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2087065,6.00,6.00,5.00,8.00,7.00,6.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2087073,6.00,8.00,9.00,8.00,9.00,6.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2087081,3.00,9.00,7.00,8.00,9.00,6.25,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2087111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2087120,5.00,9.00,8.00,8.00,8.00,7.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2087138,4.00,7.00,4.00,3.00,6.00,4.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2087146,0.00,3.00,2.00,5.00,4.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2087162,6.00,7.00,8.00,5.00,7.00,6.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2087170,3.00,5.00,3.00,9.00,6.00,5.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2087189,3.00,6.00,2.00,6.00,4.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2087197,5.00,8.00,8.00,7.00,9.00,4.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2087200,7.00,8.00,9.00,8.00,8.00,6.25,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2087219,8.00,9.00,9.00,8.00,8.00,7.50,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2087227,3.00,4.00,7.00,7.00,4.00,5.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2087235,6.00,6.00,7.00,8.00,6.00,6.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2087243,0.00,0.00,0.00,6.00,5.00,NULL,1.00,6.00,1.00,NULL,'S',NULL,'N'),(15,2087260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2087278,2.00,6.00,3.00,9.00,6.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2087286,4.00,8.00,7.00,2.00,6.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2087294,6.00,7.00,6.00,7.00,6.00,5.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2087308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2087316,3.00,7.00,6.00,8.00,7.00,5.25,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2087340,3.00,6.00,7.00,5.00,8.00,6.75,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2087359,5.00,7.00,8.00,2.00,7.00,7.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2087367,4.00,6.00,8.00,6.00,7.00,7.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2087375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2087383,3.00,9.00,3.00,4.00,7.00,7.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2087391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2087405,2.00,6.00,2.00,6.00,7.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2087413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2087421,5.00,7.00,1.00,6.00,8.00,3.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2087430,6.00,6.00,7.00,6.00,8.00,5.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2087448,5.00,9.00,6.00,8.00,8.00,6.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2087464,1.00,4.00,2.00,0.00,4.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2087472,3.00,7.00,3.00,5.00,6.00,6.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2087499,3.00,2.00,1.00,5.00,4.00,5.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2087502,7.00,7.00,6.00,4.00,6.00,5.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2087510,0.00,2.00,1.00,5.00,4.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2087529,0.00,3.00,2.00,1.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2087537,4.00,7.00,5.00,7.00,8.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2087545,1.00,4.00,1.00,4.00,6.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2087553,4.00,8.00,8.00,7.00,9.00,6.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2087570,4.00,4.00,2.00,3.00,5.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2087588,6.00,8.00,4.00,9.00,6.00,5.50,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2087600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2087618,5.00,6.00,6.00,5.00,9.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2087634,2.00,7.00,5.00,8.00,6.00,5.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2087642,1.00,1.00,3.00,1.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2087669,4.00,7.00,3.00,3.00,5.00,5.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2087677,4.00,6.00,6.00,5.00,6.00,6.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2087685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2087693,4.00,6.00,1.00,3.00,6.00,5.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2087707,3.00,5.00,5.00,4.00,6.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2087715,8.00,6.00,7.00,9.00,9.00,8.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2087723,7.00,8.00,8.00,7.00,8.00,6.00,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2087731,4.00,6.00,7.00,7.00,7.00,5.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2087740,6.00,7.00,9.00,6.00,8.00,5.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2087758,4.00,7.00,5.00,6.00,8.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2087766,1.00,6.00,4.00,6.00,4.00,5.50,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2087774,2.00,6.00,4.00,6.00,8.00,5.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2087782,1.00,6.00,7.00,6.00,6.00,4.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2087790,2.00,4.00,2.00,5.00,5.00,5.00,1.00,2.00,0.00,NULL,NULL,NULL,'S'),(15,2087804,3.00,4.00,1.00,6.00,7.00,6.75,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2087812,8.00,7.00,6.00,6.00,8.00,6.00,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2087820,3.00,7.00,2.00,4.00,6.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2087839,0.00,6.00,6.00,6.00,6.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2087847,2.00,5.00,3.00,7.00,6.00,6.75,6.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2087855,6.00,7.00,5.00,7.00,8.00,6.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2087871,7.00,8.00,5.00,7.00,6.00,6.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2087880,0.00,3.00,2.00,4.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2087898,6.00,8.00,3.00,7.00,7.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2087901,3.00,7.00,4.00,2.00,7.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2087910,7.00,8.00,5.00,7.00,8.00,4.25,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2087928,0.00,5.00,2.00,4.00,3.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2087936,3.00,6.00,4.00,2.00,7.00,5.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2087944,3.00,7.00,4.00,3.00,7.00,5.50,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2087960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2087979,2.00,6.00,2.00,4.00,4.00,3.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2087995,8.00,8.00,8.00,7.00,8.00,6.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2088002,7.00,8.00,8.00,6.00,7.00,5.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2088010,3.00,6.00,6.00,5.00,7.00,5.00,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2088037,2.00,4.00,1.00,0.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2088045,3.00,7.00,6.00,8.00,7.00,7.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2088053,3.00,5.00,6.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2088061,2.00,6.00,2.00,7.00,6.00,4.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2088070,2.00,6.00,3.00,5.00,5.00,4.50,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2088096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2088100,3.00,7.00,7.00,8.00,7.00,5.50,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2088118,6.00,7.00,5.00,4.00,8.00,7.25,9.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2088134,6.00,9.00,6.00,4.00,8.00,5.75,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2088142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2088150,4.00,4.00,4.00,2.00,4.00,7.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2088169,5.00,7.00,5.00,7.00,7.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2088177,2.00,5.00,3.00,3.00,5.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2088185,2.00,3.00,2.00,2.00,7.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2088193,8.00,7.00,7.00,9.00,8.00,5.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2088207,7.00,8.00,5.00,8.00,8.00,8.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2088215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2088223,4.00,4.00,5.00,7.00,6.00,6.00,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2088231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2088258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2088274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2088282,3.00,5.00,5.00,5.00,4.00,5.25,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2088290,3.00,7.00,5.00,7.00,7.00,6.75,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2088312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2088320,0.00,5.00,3.00,0.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2088339,1.00,5.00,4.00,7.00,5.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2088347,2.00,7.00,6.00,7.00,7.00,6.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2088355,7.00,8.00,8.00,8.00,8.00,7.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2088363,3.00,5.00,2.00,3.00,7.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2088371,4.00,5.00,4.00,7.00,7.00,6.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2088380,1.00,5.00,2.00,4.00,6.00,2.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2088398,5.00,6.00,9.00,5.00,8.00,6.50,9.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2088410,5.00,8.00,5.00,4.00,8.00,5.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2088428,2.00,2.00,1.00,1.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2088436,4.00,6.00,7.00,9.00,7.00,6.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2088444,2.00,7.00,4.00,4.00,4.00,6.00,4.00,3.00,5.00,NULL,NULL,NULL,'S'),(15,2088452,6.00,6.00,3.00,5.00,6.00,5.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2088460,4.00,5.00,1.00,4.00,6.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2088479,4.00,5.00,1.00,3.00,7.00,5.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2088509,5.00,8.00,5.00,4.00,6.00,4.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2088525,5.00,8.00,5.00,8.00,7.00,4.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2088533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2088541,6.00,7.00,5.00,0.00,5.00,5.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2088550,7.00,9.00,6.00,9.00,8.00,5.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2088568,3.00,5.00,4.00,2.00,5.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2088576,8.00,9.00,7.00,8.00,9.00,6.50,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2088584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2088592,6.00,6.00,6.00,5.00,7.00,4.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2088606,3.00,6.00,1.00,5.00,8.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2088614,6.00,7.00,6.00,5.00,8.00,5.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2088649,4.00,7.00,9.00,6.00,9.00,6.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2088657,2.00,4.00,1.00,5.00,7.00,5.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2088665,3.00,7.00,5.00,5.00,6.00,5.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2088681,7.00,8.00,3.00,6.00,9.00,5.75,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2088703,3.00,5.00,5.00,4.00,7.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2088711,1.00,7.00,7.00,6.00,8.00,6.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2088720,2.00,3.00,2.00,4.00,5.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2088746,2.00,5.00,0.00,1.00,4.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2088754,8.00,7.00,8.00,1.00,8.00,7.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2088762,6.00,7.00,2.00,3.00,7.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2088770,3.00,5.00,0.00,6.00,6.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2088789,3.00,4.00,4.00,5.00,3.00,4.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2088797,2.00,6.00,3.00,5.00,7.00,6.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2088800,2.00,4.00,1.00,4.00,8.00,5.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2088819,2.00,5.00,4.00,6.00,4.00,3.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2088827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2088835,2.00,5.00,5.00,8.00,6.00,4.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2088843,3.00,8.00,6.00,8.00,7.00,6.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2088851,6.00,8.00,6.00,8.00,8.00,6.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2088860,3.00,6.00,6.00,4.00,7.00,4.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2088886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2088908,4.00,6.00,4.00,8.00,7.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2088916,7.00,7.00,9.00,8.00,9.00,7.75,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2088924,0.00,5.00,1.00,3.00,4.00,6.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2088932,6.00,8.00,5.00,6.00,8.00,4.75,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2088940,2.00,6.00,2.00,5.00,4.00,4.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2088959,7.00,8.00,9.00,8.00,8.00,7.00,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2088967,7.00,8.00,9.00,4.00,6.00,6.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2088975,5.00,7.00,5.00,9.00,8.00,7.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2088991,8.00,7.00,8.00,7.00,8.00,6.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2089009,4.00,7.00,3.00,4.00,6.00,5.50,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2089017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2089025,5.00,8.00,5.00,8.00,7.00,7.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2089033,2.00,8.00,2.00,1.00,4.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2089041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2089050,3.00,7.00,1.00,2.00,5.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2089068,2.00,6.00,4.00,6.00,7.00,6.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2089076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2089084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2089092,3.00,8.00,4.00,1.00,7.00,5.75,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2089106,1.00,6.00,3.00,3.00,3.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2089114,4.00,7.00,6.00,5.00,5.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2089149,7.00,9.00,7.00,8.00,8.00,8.00,9.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2089157,6.00,8.00,5.00,3.00,8.00,5.75,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2089165,3.00,5.00,5.00,5.00,6.00,5.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2089181,4.00,8.00,4.00,1.00,8.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2089190,0.00,3.00,1.00,4.00,4.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2089203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2089211,3.00,7.00,3.00,4.00,8.00,7.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2089220,5.00,7.00,7.00,5.00,6.00,5.50,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2089238,0.00,7.00,2.00,1.00,4.00,4.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2089254,1.00,1.00,1.00,2.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2089270,4.00,8.00,1.00,1.00,7.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2089289,2.00,6.00,5.00,6.00,9.00,7.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2089297,8.00,9.00,6.00,8.00,8.00,8.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2089319,2.00,1.00,4.00,5.00,6.00,6.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2089327,4.00,4.00,7.00,2.00,6.00,5.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2089335,7.00,8.00,7.00,8.00,7.00,7.25,8.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2089343,1.00,7.00,5.00,6.00,7.00,5.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2089360,3.00,7.00,5.00,7.00,7.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2089378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2089386,2.00,6.00,7.00,1.00,8.00,6.75,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2089394,4.00,7.00,3.00,8.00,5.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2089408,3.00,5.00,0.00,2.00,5.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2089424,1.00,5.00,2.00,8.00,6.00,5.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2089432,2.00,5.00,3.00,6.00,7.00,3.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2089459,4.00,6.00,6.00,6.00,7.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2089475,3.00,5.00,4.00,5.00,7.00,4.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2089483,5.00,6.00,1.00,5.00,5.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2089491,6.00,7.00,6.00,8.00,7.00,6.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2089505,2.00,5.00,3.00,2.00,4.00,3.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2089513,1.00,6.00,2.00,5.00,7.00,5.00,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2089530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2089548,3.00,6.00,2.00,7.00,7.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2089556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2089572,8.00,8.00,9.00,9.00,8.00,6.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2089580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2089599,4.00,6.00,6.00,5.00,5.00,5.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2089602,6.00,8.00,7.00,7.00,6.00,4.50,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2089637,5.00,7.00,5.00,7.00,8.00,5.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2089645,5.00,6.00,4.00,4.00,4.00,3.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2089653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2089688,3.00,6.00,6.00,2.00,7.00,3.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2089696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2089700,4.00,7.00,3.00,3.00,9.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2089718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2089726,5.00,9.00,6.00,8.00,6.00,5.25,8.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2089734,5.00,9.00,4.00,4.00,7.00,7.00,7.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2089742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2089750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2089769,4.00,6.00,7.00,4.00,6.00,5.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2089777,3.00,6.00,1.00,5.00,6.00,4.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2089815,5.00,7.00,6.00,6.00,7.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2089823,4.00,7.00,8.00,8.00,9.00,6.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2089831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2089840,1.00,2.00,1.00,5.00,6.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2089858,4.00,4.00,2.00,8.00,7.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2089866,6.00,8.00,8.00,6.00,6.00,6.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2089874,4.00,5.00,7.00,4.00,8.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2089882,5.00,5.00,4.00,4.00,7.00,6.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2089890,3.00,2.00,5.00,7.00,7.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2089904,3.00,7.00,3.00,8.00,4.00,6.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2089912,2.00,7.00,5.00,6.00,6.00,5.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2089920,3.00,6.00,2.00,1.00,6.00,6.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2089939,4.00,8.00,6.00,6.00,6.00,6.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2089947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2089955,5.00,6.00,3.00,4.00,7.00,5.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2089963,3.00,7.00,6.00,6.00,9.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2090007,4.00,8.00,6.00,6.00,8.00,7.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2090015,4.00,7.00,3.00,9.00,7.00,5.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2090023,1.00,4.00,3.00,5.00,6.00,6.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2090031,1.00,5.00,3.00,6.00,7.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2090040,5.00,8.00,3.00,1.00,8.00,7.00,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2090066,1.00,6.00,1.00,4.00,7.00,6.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2090082,5.00,7.00,4.00,6.00,6.00,4.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2090090,4.00,7.00,8.00,7.00,8.00,5.75,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2090112,3.00,6.00,5.00,9.00,8.00,6.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2090139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2090147,5.00,8.00,6.00,4.00,7.00,6.75,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2090155,2.00,4.00,1.00,4.00,3.00,3.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2090163,6.00,8.00,5.00,8.00,7.00,5.75,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2090171,5.00,5.00,3.00,5.00,8.00,5.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2090180,1.00,5.00,4.00,6.00,6.00,4.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2090198,4.00,7.00,3.00,5.00,7.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2090236,5.00,8.00,8.00,8.00,7.00,5.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2090244,3.00,7.00,1.00,6.00,8.00,6.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2090260,5.00,8.00,7.00,7.00,9.00,7.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2090279,2.00,5.00,4.00,1.00,5.00,7.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2090309,3.00,6.00,6.00,0.00,4.00,3.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2090317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2090333,4.00,8.00,2.00,1.00,4.00,5.25,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2090350,5.00,8.00,8.00,8.00,7.00,6.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2090368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2090376,5.00,6.00,2.00,2.00,9.00,6.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2090384,1.00,4.00,0.00,4.00,3.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2090406,5.00,5.00,3.00,5.00,4.00,3.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2090414,0.00,4.00,2.00,2.00,4.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2090422,3.00,5.00,2.00,5.00,4.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2090430,0.00,4.00,2.00,5.00,5.00,2.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2090449,2.00,8.00,5.00,9.00,7.00,6.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2090457,7.00,5.00,4.00,6.00,8.00,6.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2090465,3.00,7.00,3.00,7.00,7.00,3.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2090490,1.00,6.00,2.00,2.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2090503,2.00,4.00,1.00,3.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2090511,4.00,5.00,5.00,6.00,7.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2090520,6.00,7.00,7.00,9.00,7.00,6.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2090538,0.00,0.00,1.00,0.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2090554,4.00,7.00,2.00,3.00,7.00,6.25,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2090562,4.00,6.00,3.00,4.00,4.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2090589,4.00,8.00,4.00,5.00,8.00,5.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2090597,1.00,5.00,1.00,1.00,7.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2090619,3.00,8.00,1.00,5.00,7.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2090627,4.00,7.00,3.00,5.00,6.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2090635,4.00,6.00,2.00,8.00,7.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2090643,2.00,7.00,4.00,7.00,7.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2090651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2090660,1.00,4.00,1.00,2.00,4.00,5.75,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2090678,2.00,9.00,3.00,5.00,4.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2090686,5.00,8.00,5.00,7.00,6.00,6.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2090694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2090724,4.00,6.00,4.00,7.00,6.00,6.75,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2090732,3.00,7.00,6.00,8.00,4.00,5.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2090740,3.00,4.00,2.00,4.00,5.00,4.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2090759,4.00,8.00,7.00,8.00,9.00,4.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2090775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2090783,4.00,4.00,0.00,6.00,5.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2090805,2.00,7.00,4.00,5.00,7.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2090813,4.00,7.00,2.00,6.00,5.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2090864,4.00,8.00,4.00,5.00,8.00,6.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2090872,8.00,8.00,7.00,6.00,8.00,5.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2090880,4.00,7.00,4.00,6.00,7.00,8.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2090902,2.00,4.00,1.00,6.00,3.00,4.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2090910,6.00,7.00,8.00,8.00,6.00,7.25,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2090929,5.00,9.00,8.00,8.00,8.00,6.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2090937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2090945,4.00,5.00,5.00,8.00,6.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2090953,3.00,7.00,4.00,2.00,6.00,6.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2090961,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2090988,5.00,8.00,7.00,7.00,8.00,5.75,9.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2090996,4.00,6.00,1.00,2.00,2.00,NULL,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2091003,4.00,6.00,4.00,5.00,7.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2091011,5.00,7.00,6.00,6.00,7.00,6.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2091020,6.00,7.00,5.00,5.00,6.00,6.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2091038,4.00,6.00,3.00,6.00,8.00,5.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2091054,2.00,3.00,1.00,3.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2091062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2091097,3.00,8.00,5.00,0.00,6.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2091100,2.00,7.00,6.00,5.00,4.00,5.00,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2091119,5.00,5.00,6.00,5.00,6.00,6.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2091127,8.00,9.00,9.00,8.00,8.00,9.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2091135,7.00,8.00,8.00,9.00,9.00,8.75,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2091143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2091151,6.00,7.00,2.00,6.00,7.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2091160,5.00,4.00,2.00,0.00,7.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2091178,3.00,4.00,2.00,7.00,5.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2091186,3.00,8.00,6.00,5.00,9.00,5.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2091194,8.00,9.00,9.00,9.00,10.00,7.00,10.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2091208,6.00,8.00,8.00,5.00,6.00,6.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2091216,5.00,7.00,8.00,8.00,7.00,6.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2091224,5.00,8.00,9.00,9.00,7.00,7.50,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2091232,3.00,6.00,1.00,4.00,6.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2091259,4.00,8.00,5.00,6.00,8.00,4.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2091267,3.00,5.00,2.00,5.00,8.00,5.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2091275,2.00,4.00,2.00,6.00,8.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2091283,2.00,7.00,4.00,5.00,7.00,7.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2091305,3.00,5.00,4.00,1.00,9.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2091330,4.00,8.00,3.00,1.00,3.00,3.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2091356,3.00,5.00,2.00,7.00,5.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2091372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2091380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2091399,2.00,5.00,2.00,2.00,4.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2091410,5.00,5.00,3.00,8.00,7.00,5.50,6.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2091437,5.00,8.00,5.00,7.00,8.00,6.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2091453,5.00,7.00,7.00,5.00,9.00,7.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2091470,2.00,4.00,4.00,8.00,4.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2091488,5.00,5.00,6.00,6.00,8.00,5.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2091500,3.00,8.00,4.00,8.00,7.00,5.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2091518,4.00,4.00,5.00,4.00,6.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2091526,1.00,4.00,2.00,4.00,6.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2091534,5.00,9.00,8.00,5.00,9.00,6.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2091542,7.00,7.00,6.00,8.00,4.00,6.75,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2091550,1.00,4.00,0.00,5.00,4.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2091577,3.00,8.00,8.00,4.00,6.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2091585,4.00,6.00,4.00,8.00,6.00,6.00,6.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2091593,3.00,6.00,0.00,8.00,7.00,6.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2091607,4.00,5.00,2.00,2.00,8.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2091615,3.00,7.00,3.00,5.00,9.00,6.00,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2091623,3.00,7.00,3.00,3.00,5.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2091631,2.00,7.00,7.00,7.00,8.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2091640,4.00,6.00,1.00,2.00,4.00,5.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2091658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2091674,5.00,8.00,3.00,6.00,8.00,7.75,9.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2091690,2.00,4.00,3.00,1.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2091712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2091720,1.00,6.00,2.00,7.00,4.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2091739,2.00,7.00,6.00,7.00,2.00,NULL,5.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2091747,4.00,8.00,5.00,9.00,7.00,6.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2091755,3.00,4.00,3.00,6.00,6.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2091763,1.00,3.00,1.00,1.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2091771,8.00,9.00,8.00,9.00,9.00,6.75,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2091780,2.00,5.00,1.00,4.00,5.00,5.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2091798,4.00,7.00,3.00,3.00,8.00,7.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2091810,3.00,6.00,5.00,5.00,4.00,5.50,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2091828,4.00,5.00,1.00,6.00,6.00,3.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2091836,2.00,7.00,4.00,3.00,5.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2091844,4.00,7.00,2.00,4.00,7.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2091852,2.00,6.00,5.00,3.00,4.00,4.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2091860,5.00,5.00,8.00,5.00,8.00,6.50,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2091879,4.00,7.00,3.00,6.00,7.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2091895,4.00,7.00,4.00,7.00,7.00,5.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2091933,6.00,9.00,1.00,5.00,7.00,7.00,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2091941,4.00,6.00,4.00,2.00,8.00,5.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2091968,4.00,4.00,3.00,4.00,4.00,4.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2091976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2091984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2091992,3.00,7.00,5.00,2.00,5.00,4.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2092000,7.00,7.00,6.00,8.00,8.00,7.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2092018,0.00,3.00,2.00,1.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2092026,5.00,8.00,6.00,5.00,8.00,5.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2092034,4.00,6.00,3.00,5.00,7.00,6.25,6.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2092050,7.00,7.00,8.00,8.00,9.00,8.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2092069,5.00,5.00,3.00,5.00,7.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2092077,5.00,8.00,8.00,8.00,8.00,8.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2092085,3.00,6.00,0.00,6.00,7.00,5.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2092115,2.00,4.00,2.00,6.00,4.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2092123,1.00,5.00,6.00,5.00,7.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2092131,5.00,3.00,2.00,7.00,7.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2092140,5.00,7.00,4.00,4.00,9.00,7.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2092166,6.00,9.00,8.00,9.00,8.00,5.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2092174,4.00,6.00,2.00,5.00,7.00,5.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2092182,3.00,7.00,2.00,8.00,5.00,5.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2092190,0.00,3.00,2.00,2.00,3.00,5.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2092204,5.00,5.00,2.00,3.00,6.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2092212,5.00,8.00,6.00,7.00,9.00,5.25,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2092220,2.00,4.00,3.00,2.00,7.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2092239,1.00,6.00,3.00,1.00,3.00,4.50,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2092247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2092255,3.00,5.00,4.00,7.00,6.00,4.50,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2092271,8.00,7.00,9.00,6.00,9.00,6.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2092280,5.00,8.00,9.00,5.00,9.00,8.00,9.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2092298,2.00,7.00,5.00,4.00,7.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2092301,3.00,3.00,4.00,4.00,7.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2092310,2.00,2.00,2.00,3.00,3.00,3.50,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2092328,4.00,8.00,4.00,5.00,8.00,6.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2092336,4.00,8.00,4.00,5.00,6.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2092344,4.00,7.00,5.00,8.00,7.00,6.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2092352,3.00,7.00,5.00,4.00,7.00,5.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2092360,4.00,7.00,7.00,6.00,8.00,7.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2092379,3.00,6.00,3.00,4.00,7.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2092387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2092395,2.00,4.00,1.00,3.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2092409,0.00,6.00,3.00,4.00,5.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2092417,3.00,7.00,1.00,4.00,6.00,4.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2092425,3.00,4.00,3.00,3.00,7.00,6.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2092441,4.00,5.00,3.00,3.00,5.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2092450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2092468,4.00,7.00,2.00,5.00,4.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2092476,7.00,7.00,8.00,6.00,9.00,5.75,9.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2092484,6.00,8.00,5.00,5.00,8.00,4.50,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2092492,1.00,5.00,0.00,0.00,5.00,NULL,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2092506,2.00,5.00,7.00,6.00,8.00,6.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2092514,3.00,5.00,2.00,6.00,7.00,3.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2092549,2.00,8.00,4.00,7.00,7.00,7.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2092557,4.00,4.00,4.00,8.00,7.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2092565,3.00,6.00,4.00,5.00,3.00,4.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2092581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2092590,4.00,4.00,6.00,6.00,8.00,3.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2092603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2092611,1.00,5.00,7.00,4.00,6.00,4.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2092638,6.00,6.00,7.00,7.00,7.00,7.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2092654,4.00,8.00,8.00,6.00,7.00,7.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2092662,5.00,8.00,1.00,6.00,6.00,4.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2092670,0.00,4.00,3.00,2.00,4.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'S'),(15,2092689,4.00,6.00,4.00,0.00,5.00,4.50,4.00,3.00,4.00,NULL,NULL,NULL,'S'),(15,2092697,4.00,5.00,4.00,6.00,8.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2092719,3.00,7.00,5.00,4.00,7.00,5.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2092727,4.00,4.00,5.00,5.00,5.00,8.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2092735,1.00,5.00,0.00,0.00,2.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2092743,8.00,9.00,9.00,8.00,9.00,5.75,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2092751,3.00,7.00,5.00,0.00,7.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2092760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2092778,8.00,9.00,9.00,6.00,8.00,6.25,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2092786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2092794,2.00,5.00,2.00,5.00,6.00,3.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2092808,5.00,7.00,6.00,7.00,6.00,4.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2092816,2.00,4.00,3.00,1.00,3.00,5.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2092824,6.00,8.00,6.00,5.00,7.00,5.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2092832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2092840,5.00,7.00,5.00,4.00,7.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2092859,0.00,3.00,2.00,3.00,5.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2092867,2.00,6.00,4.00,3.00,6.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2092875,4.00,5.00,4.00,3.00,6.00,4.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2092883,5.00,7.00,5.00,7.00,8.00,4.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2092905,5.00,7.00,5.00,6.00,7.00,5.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2092913,1.00,1.00,3.00,4.00,3.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2092921,5.00,4.00,1.00,1.00,6.00,5.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2092948,7.00,6.00,7.00,9.00,9.00,5.50,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2092964,0.00,5.00,3.00,4.00,6.00,NULL,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2092972,4.00,7.00,1.00,2.00,6.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2092980,2.00,7.00,4.00,2.00,5.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2092999,3.00,7.00,3.00,6.00,8.00,4.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2093006,6.00,8.00,6.00,2.00,7.00,6.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2093014,2.00,5.00,2.00,5.00,8.00,5.25,7.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2093022,3.00,8.00,1.00,5.00,8.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2093030,2.00,4.00,1.00,6.00,5.00,4.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2093049,5.00,8.00,7.00,6.00,8.00,5.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2093065,5.00,7.00,7.00,2.00,7.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2093090,5.00,7.00,5.00,9.00,6.00,5.75,5.00,7.00,2.00,NULL,NULL,NULL,'S'),(15,2093103,4.00,5.00,4.00,2.00,7.00,4.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2093111,3.00,7.00,2.00,5.00,5.00,5.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2093120,5.00,5.00,6.00,6.00,7.00,5.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2093138,7.00,8.00,9.00,5.00,8.00,6.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2093146,9.00,8.00,8.00,9.00,9.00,7.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2093154,4.00,8.00,6.00,6.00,6.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2093162,5.00,6.00,7.00,5.00,8.00,6.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2093200,7.00,7.00,8.00,6.00,8.00,6.25,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2093243,6.00,8.00,3.00,5.00,7.00,4.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2093251,2.00,5.00,5.00,1.00,5.00,5.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2093260,4.00,6.00,4.00,6.00,7.00,5.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2093278,4.00,2.00,4.00,6.00,5.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2093286,6.00,7.00,5.00,5.00,5.00,5.50,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2093294,2.00,6.00,4.00,0.00,5.00,4.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2093308,5.00,8.00,7.00,6.00,8.00,4.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2093324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2093332,7.00,8.00,10.00,2.00,8.00,7.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2093340,3.00,5.00,4.00,4.00,8.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2093359,1.00,8.00,3.00,6.00,9.00,5.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2093367,4.00,8.00,7.00,3.00,7.00,6.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2093375,3.00,7.00,6.00,7.00,7.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2093391,3.00,7.00,3.00,8.00,8.00,5.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2093405,5.00,8.00,2.00,4.00,6.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2093413,3.00,6.00,3.00,0.00,5.00,4.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2093421,4.00,7.00,5.00,8.00,8.00,4.75,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2093430,6.00,5.00,7.00,5.00,8.00,6.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2093448,0.00,5.00,4.00,5.00,5.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2093456,5.00,8.00,4.00,6.00,6.00,4.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2093472,3.00,2.00,3.00,5.00,7.00,5.00,5.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2093480,3.00,6.00,0.00,6.00,6.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2093499,5.00,6.00,4.00,3.00,8.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2093502,3.00,6.00,1.00,3.00,6.00,5.75,7.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2093510,2.00,5.00,3.00,1.00,5.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2093529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2093537,5.00,8.00,1.00,0.00,6.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2093545,3.00,6.00,4.00,5.00,5.00,4.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2093553,3.00,6.00,4.00,3.00,7.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2093561,2.00,6.00,0.00,5.00,8.00,NULL,6.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2093570,6.00,9.00,6.00,1.00,7.00,6.75,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2093588,3.00,6.00,6.00,6.00,8.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2093596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2093600,2.00,4.00,4.00,4.00,6.00,3.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2093618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2093626,3.00,5.00,4.00,2.00,7.00,5.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2093634,3.00,6.00,2.00,6.00,5.00,4.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2093642,6.00,8.00,6.00,4.00,7.00,5.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2093650,3.00,9.00,1.00,5.00,5.00,4.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2093669,3.00,5.00,0.00,5.00,7.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2093677,2.00,4.00,2.00,0.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(15,2093685,5.00,7.00,4.00,6.00,7.00,7.00,9.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2093693,5.00,9.00,4.00,0.00,8.00,6.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2093707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2093715,2.00,6.00,4.00,6.00,5.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2093723,2.00,5.00,0.00,6.00,4.00,7.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2093731,5.00,8.00,5.00,7.00,7.00,4.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2093740,6.00,5.00,3.00,6.00,7.00,6.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2093758,4.00,8.00,5.00,8.00,7.00,5.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2093766,5.00,6.00,5.00,3.00,6.00,7.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2093782,9.00,7.00,7.00,8.00,8.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2093790,3.00,6.00,3.00,4.00,6.00,3.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2093804,4.00,7.00,2.00,3.00,7.00,5.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2093812,7.00,9.00,9.00,7.00,9.00,6.50,9.00,9.00,9.00,NULL,NULL,NULL,'N'),(15,2093820,6.00,6.00,8.00,8.00,7.00,5.00,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2093839,2.00,1.00,3.00,3.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2093855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2093863,5.00,8.00,4.00,9.00,8.00,6.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2093898,2.00,4.00,4.00,4.00,5.00,4.00,3.00,1.00,1.00,NULL,NULL,NULL,'S'),(15,2093910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2093928,5.00,8.00,8.00,5.00,5.00,5.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2093952,7.00,5.00,4.00,9.00,6.00,7.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2093960,5.00,8.00,5.00,7.00,8.00,5.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2093979,3.00,5.00,2.00,5.00,8.00,3.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2093995,4.00,5.00,5.00,4.00,8.00,5.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2094029,6.00,9.00,7.00,9.00,9.00,7.25,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2094037,4.00,8.00,4.00,9.00,6.00,7.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2094061,3.00,8.00,6.00,7.00,8.00,5.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2094070,3.00,8.00,6.00,8.00,6.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2094096,4.00,7.00,7.00,8.00,8.00,7.00,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2094126,2.00,6.00,4.00,6.00,6.00,6.25,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2094134,5.00,4.00,4.00,2.00,7.00,6.00,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2094142,6.00,8.00,9.00,8.00,8.00,6.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2094150,3.00,7.00,5.00,3.00,5.00,5.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2094169,2.00,2.00,1.00,4.00,6.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2094177,3.00,6.00,6.00,5.00,8.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2094185,5.00,5.00,2.00,9.00,8.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2094193,5.00,7.00,1.00,5.00,5.00,3.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2094215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2094223,2.00,4.00,3.00,6.00,4.00,6.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2094231,4.00,7.00,7.00,6.00,6.00,6.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2094240,4.00,6.00,6.00,6.00,8.00,4.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2094258,4.00,3.00,2.00,2.00,5.00,6.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2094266,5.00,6.00,4.00,2.00,8.00,6.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2094274,4.00,6.00,3.00,0.00,7.00,4.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2094282,0.00,4.00,1.00,4.00,5.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2094290,0.00,3.00,1.00,2.00,4.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2094304,1.00,6.00,4.00,4.00,8.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2094312,3.00,7.00,5.00,8.00,6.00,4.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2094339,4.00,7.00,8.00,6.00,8.00,6.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2094347,3.00,6.00,2.00,6.00,7.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2094363,4.00,5.00,6.00,8.00,7.00,5.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2094371,6.00,6.00,6.00,6.00,7.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2094380,4.00,7.00,6.00,6.00,7.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2094398,2.00,6.00,1.00,1.00,7.00,4.00,6.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2094401,3.00,5.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2094410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2094428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2094452,3.00,7.00,4.00,5.00,6.00,6.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2094460,4.00,7.00,5.00,2.00,6.00,4.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2094479,3.00,7.00,5.00,8.00,6.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2094487,5.00,7.00,6.00,4.00,8.00,5.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2094495,3.00,7.00,4.00,3.00,5.00,6.50,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2094509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2094517,1.00,6.00,2.00,5.00,5.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2094525,7.00,7.00,8.00,2.00,7.00,4.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2094533,2.00,4.00,0.00,3.00,5.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2094541,6.00,8.00,3.00,5.00,7.00,6.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2094550,4.00,5.00,1.00,6.00,4.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2094568,2.00,5.00,0.00,5.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2094576,3.00,6.00,4.00,7.00,7.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2094584,7.00,8.00,9.00,9.00,9.00,8.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2094592,6.00,7.00,3.00,6.00,7.00,5.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2094622,6.00,8.00,4.00,9.00,6.00,4.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2094649,2.00,6.00,3.00,5.00,7.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2094665,6.00,8.00,3.00,7.00,9.00,6.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2094673,5.00,8.00,6.00,6.00,7.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2094681,3.00,8.00,5.00,1.00,7.00,3.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2094703,5.00,8.00,3.00,8.00,8.00,7.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2094711,5.00,7.00,3.00,10.00,7.00,5.50,7.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2094738,3.00,7.00,5.00,7.00,6.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2094746,6.00,6.00,4.00,6.00,8.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2094754,2.00,4.00,6.00,6.00,7.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2094762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2094770,1.00,7.00,5.00,6.00,4.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2094789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2094797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2094800,2.00,5.00,5.00,0.00,7.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2094819,4.00,8.00,8.00,7.00,6.00,6.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2094835,3.00,7.00,5.00,8.00,9.00,7.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2094843,2.00,7.00,6.00,2.00,6.00,4.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2094851,3.00,5.00,5.00,3.00,6.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2094860,2.00,4.00,2.00,2.00,7.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2094878,4.00,6.00,2.00,9.00,8.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2094886,5.00,7.00,8.00,5.00,7.00,7.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2094894,2.00,8.00,5.00,1.00,7.00,5.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2094908,3.00,6.00,3.00,7.00,7.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2094932,5.00,7.00,5.00,3.00,5.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2094940,6.00,7.00,5.00,7.00,8.00,5.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2094959,3.00,7.00,5.00,5.00,5.00,4.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2094967,3.00,8.00,7.00,7.00,7.00,5.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2094975,3.00,6.00,4.00,1.00,4.00,3.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2094983,6.00,5.00,5.00,9.00,9.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2094991,4.00,7.00,7.00,4.00,5.00,5.25,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2095009,2.00,6.00,2.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2095017,4.00,4.00,2.00,1.00,8.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2095033,4.00,5.00,4.00,1.00,7.00,3.00,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2095041,2.00,1.00,2.00,0.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2095050,5.00,8.00,6.00,7.00,8.00,4.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2095076,5.00,5.00,5.00,5.00,7.00,4.25,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2095084,3.00,5.00,5.00,7.00,7.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2095114,6.00,8.00,2.00,7.00,5.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2095122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2095130,3.00,7.00,3.00,6.00,8.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2095149,6.00,7.00,7.00,5.00,8.00,6.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2095157,4.00,7.00,5.00,4.00,8.00,5.00,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2095165,8.00,7.00,6.00,4.00,9.00,5.50,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2095173,4.00,7.00,6.00,6.00,8.00,7.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2095181,3.00,6.00,1.00,6.00,4.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2095190,3.00,5.00,2.00,4.00,5.00,5.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2095203,8.00,8.00,8.00,8.00,8.00,7.25,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2095211,6.00,7.00,6.00,7.00,8.00,7.00,9.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2095238,1.00,8.00,3.00,0.00,7.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2095246,3.00,8.00,0.00,3.00,6.00,4.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2095262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2095270,2.00,7.00,1.00,2.00,6.00,6.25,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2095289,3.00,5.00,4.00,3.00,6.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2095297,0.00,5.00,0.00,3.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2095300,4.00,7.00,2.00,7.00,9.00,7.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2095319,4.00,7.00,7.00,8.00,8.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2095327,5.00,8.00,8.00,6.00,7.00,5.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2095335,4.00,5.00,7.00,8.00,8.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2095343,3.00,4.00,3.00,3.00,3.00,3.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2095351,7.00,9.00,7.00,7.00,7.00,6.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2095360,4.00,7.00,6.00,3.00,9.00,3.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2095378,6.00,7.00,6.00,5.00,8.00,5.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2095386,0.00,5.00,5.00,3.00,7.00,4.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2095394,2.00,6.00,6.00,3.00,6.00,3.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2095408,3.00,8.00,2.00,7.00,4.00,1.00,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2095416,4.00,6.00,3.00,0.00,3.00,4.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2095424,0.00,5.00,2.00,1.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2095432,2.00,8.00,3.00,7.00,7.00,7.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2095440,1.00,6.00,3.00,1.00,0.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2095483,4.00,8.00,3.00,7.00,8.00,4.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2095491,5.00,7.00,2.00,3.00,8.00,5.50,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2095505,8.00,7.00,4.00,7.00,9.00,5.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2095513,5.00,4.00,2.00,4.00,3.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2095530,5.00,6.00,4.00,8.00,7.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2095548,3.00,6.00,3.00,5.00,7.00,4.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2095556,4.00,9.00,5.00,7.00,8.00,4.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2095564,4.00,6.00,2.00,6.00,6.00,6.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2095572,4.00,7.00,6.00,7.00,6.00,6.00,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2095580,1.00,7.00,2.00,3.00,3.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2095599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2095602,3.00,7.00,4.00,7.00,6.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2095610,4.00,5.00,2.00,5.00,6.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2095629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2095637,4.00,5.00,2.00,4.00,7.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2095645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2095653,3.00,9.00,5.00,7.00,9.00,6.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2095661,4.00,5.00,3.00,6.00,5.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2095670,7.00,9.00,8.00,9.00,9.00,6.00,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2095696,6.00,8.00,7.00,6.00,8.00,5.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2095718,2.00,6.00,2.00,3.00,4.00,5.75,5.00,1.00,4.00,NULL,NULL,NULL,'S'),(15,2095726,4.00,7.00,7.00,5.00,7.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2095734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2095742,4.00,8.00,7.00,5.00,7.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2095750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2095769,5.00,7.00,5.00,6.00,8.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2095777,1.00,4.00,2.00,7.00,5.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2095785,2.00,8.00,2.00,5.00,7.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2095793,3.00,6.00,0.00,0.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2095807,5.00,7.00,5.00,8.00,7.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2095823,6.00,8.00,4.00,5.00,7.00,6.75,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2095831,0.00,6.00,3.00,3.00,7.00,5.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2095858,4.00,7.00,5.00,4.00,4.00,7.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2095866,4.00,5.00,1.00,7.00,8.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2095874,6.00,7.00,1.00,9.00,8.00,7.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2095882,7.00,8.00,8.00,9.00,8.00,7.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2095890,4.00,7.00,8.00,4.00,7.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2095904,3.00,6.00,1.00,4.00,7.00,6.25,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2095912,2.00,6.00,3.00,0.00,6.00,6.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2095920,4.00,8.00,4.00,6.00,7.00,6.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2095939,7.00,8.00,6.00,7.00,7.00,8.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2095947,8.00,8.00,6.00,9.00,8.00,6.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2095955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2095963,4.00,7.00,5.00,8.00,3.00,5.75,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2095971,7.00,6.00,8.00,5.00,8.00,5.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2095980,2.00,8.00,9.00,8.00,9.00,6.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2095998,6.00,8.00,7.00,6.00,6.00,5.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2096005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2096013,7.00,7.00,5.00,8.00,8.00,7.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2096021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2096030,7.00,8.00,6.00,7.00,6.00,8.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2096048,1.00,4.00,7.00,8.00,5.00,6.25,7.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2096056,4.00,7.00,5.00,0.00,6.00,6.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2096064,1.00,5.00,4.00,6.00,6.00,4.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2096072,4.00,7.00,7.00,3.00,5.00,5.75,9.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2096080,5.00,7.00,5.00,6.00,8.00,7.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2096099,2.00,4.00,6.00,3.00,7.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2096102,1.00,4.00,0.00,2.00,4.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2096110,6.00,7.00,9.00,6.00,8.00,6.25,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2096129,9.00,9.00,9.00,9.00,8.00,7.75,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2096137,4.00,7.00,4.00,1.00,5.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2096153,6.00,9.00,5.00,6.00,9.00,5.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2096170,3.00,5.00,3.00,5.00,5.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2096188,7.00,8.00,8.00,7.00,7.00,4.75,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2096200,4.00,6.00,1.00,4.00,6.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2096218,6.00,8.00,7.00,8.00,8.00,5.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2096226,3.00,7.00,6.00,7.00,5.00,3.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2096242,8.00,8.00,6.00,5.00,7.00,6.25,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2096269,3.00,8.00,9.00,6.00,8.00,4.25,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2096277,6.00,7.00,4.00,6.00,8.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2096293,4.00,8.00,3.00,0.00,6.00,6.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2096307,2.00,3.00,0.00,3.00,3.00,5.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2096315,4.00,7.00,3.00,6.00,7.00,5.00,5.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2096331,3.00,4.00,7.00,8.00,7.00,4.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2096340,5.00,7.00,5.00,4.00,7.00,4.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2096358,1.00,3.00,2.00,3.00,5.00,2.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2096374,1.00,4.00,1.00,4.00,7.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2096382,3.00,7.00,2.00,2.00,4.00,4.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2096404,7.00,8.00,7.00,4.00,8.00,6.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2096412,1.00,5.00,5.00,4.00,5.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2096420,2.00,6.00,1.00,7.00,7.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2096439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2096455,2.00,6.00,3.00,4.00,7.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2096471,1.00,4.00,4.00,4.00,4.00,3.75,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2096480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2096498,4.00,7.00,5.00,7.00,5.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2096501,4.00,7.00,4.00,7.00,6.00,4.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2096528,2.00,5.00,5.00,4.00,5.00,4.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2096544,3.00,6.00,7.00,6.00,6.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2096552,5.00,8.00,8.00,6.00,7.00,6.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2096560,3.00,5.00,4.00,0.00,7.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2096579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2096587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2096595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2096617,0.00,3.00,3.00,4.00,5.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2096625,8.00,8.00,6.00,6.00,8.00,6.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2096633,2.00,2.00,1.00,1.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2096641,4.00,8.00,5.00,7.00,9.00,7.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2096650,3.00,9.00,7.00,7.00,7.00,6.25,7.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2096668,4.00,7.00,4.00,6.00,7.00,6.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2096684,5.00,5.00,6.00,5.00,6.00,4.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2096706,6.00,6.00,6.00,10.00,9.00,6.50,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2096714,4.00,6.00,6.00,1.00,4.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2096722,8.00,8.00,9.00,8.00,8.00,5.25,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2096730,6.00,8.00,7.00,9.00,7.00,5.50,10.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2096749,6.00,7.00,6.00,3.00,8.00,7.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2096757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2096773,2.00,6.00,4.00,5.00,6.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2096781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2096790,3.00,3.00,1.00,2.00,6.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2096811,3.00,7.00,3.00,8.00,8.00,6.25,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2096820,3.00,4.00,4.00,4.00,4.00,5.75,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(15,2096838,5.00,7.00,2.00,8.00,8.00,6.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2096854,4.00,5.00,2.00,7.00,5.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2096862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2096870,3.00,7.00,5.00,6.00,5.00,6.00,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2096889,6.00,8.00,4.00,0.00,7.00,6.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2096900,5.00,6.00,5.00,6.00,7.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2096927,1.00,5.00,4.00,4.00,3.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2096935,7.00,9.00,7.00,6.00,8.00,5.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2096943,5.00,7.00,5.00,6.00,8.00,7.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2096951,4.00,9.00,6.00,8.00,8.00,7.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2096960,6.00,8.00,5.00,6.00,6.00,5.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2096978,2.00,6.00,6.00,4.00,4.00,4.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2096986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2096994,5.00,8.00,9.00,6.00,6.00,6.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2097001,1.00,6.00,3.00,6.00,5.00,3.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2097010,6.00,5.00,9.00,9.00,7.00,6.25,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2097028,3.00,4.00,4.00,5.00,6.00,6.25,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2097044,6.00,8.00,4.00,7.00,7.00,8.00,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2097052,1.00,6.00,1.00,6.00,6.00,6.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2097079,7.00,8.00,7.00,7.00,7.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2097095,2.00,4.00,3.00,6.00,6.00,4.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2097109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2097117,4.00,7.00,3.00,5.00,7.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2097125,2.00,5.00,4.00,7.00,6.00,7.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2097133,0.00,7.00,1.00,7.00,7.00,4.75,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2097141,7.00,6.00,8.00,9.00,9.00,5.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2097150,4.00,7.00,7.00,6.00,5.00,5.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2097184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2097192,2.00,3.00,3.00,4.00,7.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2097206,1.00,4.00,2.00,5.00,5.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2097214,5.00,5.00,2.00,5.00,7.00,6.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2097222,3.00,6.00,7.00,7.00,7.00,3.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2097230,4.00,7.00,4.00,8.00,7.00,7.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2097273,6.00,6.00,8.00,8.00,7.00,5.25,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2097290,4.00,4.00,2.00,5.00,4.00,5.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2097311,2.00,7.00,6.00,4.00,8.00,4.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2097320,5.00,8.00,5.00,4.00,6.00,3.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2097338,5.00,8.00,5.00,4.00,6.00,3.50,6.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2097346,6.00,6.00,6.00,7.00,5.00,6.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2097370,4.00,6.00,4.00,5.00,7.00,4.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2097397,6.00,6.00,6.00,1.00,8.00,3.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2097400,3.00,7.00,4.00,4.00,6.00,4.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2097419,7.00,8.00,7.00,6.00,7.00,7.75,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(15,2097427,5.00,7.00,3.00,7.00,7.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2097435,1.00,8.00,1.00,9.00,5.00,8.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2097443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2097451,2.00,8.00,5.00,9.00,7.00,6.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2097460,5.00,7.00,5.00,6.00,6.00,2.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2097478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2097486,6.00,7.00,8.00,8.00,8.00,6.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2097508,3.00,6.00,2.00,2.00,5.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2097524,1.00,1.00,2.00,2.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2097532,4.00,3.00,3.00,5.00,6.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2097540,5.00,7.00,5.00,8.00,7.00,7.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2097559,5.00,7.00,7.00,7.00,6.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2097567,1.00,8.00,6.00,3.00,6.00,5.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2097575,3.00,4.00,0.00,5.00,7.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2097583,5.00,7.00,4.00,7.00,9.00,7.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2097591,3.00,6.00,3.00,4.00,5.00,4.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2097613,7.00,9.00,9.00,7.00,9.00,6.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2097621,5.00,7.00,5.00,2.00,8.00,5.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2097648,4.00,4.00,1.00,2.00,4.00,4.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2097672,2.00,8.00,3.00,5.00,5.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2097680,0.00,5.00,0.00,6.00,6.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2097699,3.00,6.00,5.00,6.00,5.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2097702,5.00,6.00,5.00,4.00,6.00,5.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2097737,3.00,4.00,6.00,5.00,8.00,5.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2097753,3.00,4.00,5.00,2.00,7.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2097761,3.00,7.00,4.00,6.00,9.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2097770,5.00,6.00,2.00,5.00,7.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2097788,0.00,5.00,2.00,3.00,7.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2097796,3.00,4.00,0.00,0.00,7.00,5.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2097800,3.00,3.00,0.00,3.00,3.00,4.75,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2097826,3.00,6.00,1.00,0.00,7.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2097842,4.00,7.00,6.00,7.00,8.00,4.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2097850,3.00,5.00,1.00,2.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2097869,7.00,7.00,6.00,5.00,8.00,4.75,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2097877,4.00,7.00,4.00,9.00,5.00,5.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2097893,0.00,2.00,0.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2097907,3.00,8.00,6.00,4.00,9.00,7.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2097915,3.00,7.00,4.00,6.00,8.00,5.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2097931,5.00,8.00,4.00,5.00,7.00,5.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2097940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2097958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2097966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2097974,6.00,8.00,7.00,6.00,8.00,7.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2097982,2.00,2.00,2.00,3.00,1.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2097990,4.00,6.00,3.00,6.00,7.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2098008,2.00,5.00,4.00,6.00,3.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2098016,4.00,5.00,1.00,2.00,3.00,6.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2098024,4.00,6.00,5.00,3.00,5.00,5.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2098067,2.00,6.00,5.00,3.00,3.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2098075,2.00,5.00,4.00,1.00,3.00,4.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2098083,4.00,8.00,6.00,6.00,6.00,5.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2098091,3.00,4.00,3.00,2.00,4.00,4.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2098105,3.00,4.00,2.00,3.00,8.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2098113,7.00,6.00,7.00,5.00,9.00,6.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2098121,6.00,7.00,5.00,6.00,7.00,5.25,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2098130,3.00,8.00,1.00,4.00,6.00,5.50,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2098148,3.00,7.00,4.00,6.00,8.00,6.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2098156,4.00,7.00,3.00,6.00,8.00,6.25,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2098164,3.00,7.00,3.00,6.00,5.00,5.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2098172,3.00,4.00,5.00,8.00,7.00,3.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2098199,8.00,7.00,7.00,9.00,8.00,6.25,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2098202,4.00,5.00,4.00,4.00,8.00,5.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2098210,5.00,5.00,5.00,8.00,7.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2098229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2098237,3.00,8.00,5.00,6.00,6.00,6.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2098245,1.00,4.00,4.00,8.00,6.00,6.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2098253,4.00,6.00,3.00,8.00,7.00,5.50,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2098270,1.00,8.00,1.00,2.00,6.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2098288,3.00,5.00,1.00,0.00,0.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2098296,3.00,5.00,5.00,6.00,7.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2098318,4.00,8.00,5.00,6.00,8.00,7.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2098326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2098334,2.00,7.00,3.00,5.00,7.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2098342,3.00,7.00,5.00,5.00,5.00,4.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2098350,4.00,5.00,4.00,3.00,6.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2098377,3.00,7.00,4.00,6.00,7.00,3.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2098385,1.00,3.00,3.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2098393,7.00,6.00,7.00,9.00,8.00,7.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2098415,4.00,8.00,8.00,5.00,6.00,6.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2098431,5.00,7.00,2.00,6.00,8.00,6.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2098440,1.00,5.00,2.00,2.00,5.00,4.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2098458,5.00,7.00,5.00,5.00,8.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2098466,5.00,6.00,6.00,7.00,5.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2098474,2.00,6.00,2.00,1.00,5.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2098482,4.00,8.00,4.00,9.00,4.00,6.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2098490,3.00,5.00,1.00,6.00,7.00,6.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2098504,5.00,8.00,4.00,4.00,7.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2098539,2.00,5.00,5.00,3.00,6.00,5.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2098547,6.00,5.00,6.00,4.00,7.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2098555,8.00,6.00,2.00,6.00,8.00,6.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2098563,3.00,6.00,4.00,2.00,6.00,5.75,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2098571,4.00,7.00,1.00,6.00,7.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2098580,3.00,3.00,2.00,4.00,6.00,3.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2098598,4.00,8.00,4.00,5.00,8.00,6.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2098601,2.00,6.00,4.00,3.00,6.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2098610,1.00,8.00,3.00,8.00,3.00,5.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2098628,3.00,8.00,7.00,6.00,8.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2098636,5.00,7.00,4.00,6.00,7.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2098652,3.00,6.00,4.00,0.00,0.00,NULL,5.00,4.00,3.00,'S',NULL,NULL,'S'),(15,2098660,4.00,6.00,5.00,4.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2098679,5.00,8.00,4.00,3.00,4.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2098687,3.00,7.00,5.00,3.00,4.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2098695,4.00,5.00,3.00,6.00,6.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2098709,3.00,7.00,3.00,5.00,6.00,4.50,6.00,9.00,1.00,NULL,NULL,NULL,'N'),(15,2098717,1.00,2.00,1.00,7.00,5.00,0.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2098725,6.00,9.00,4.00,8.00,7.00,7.00,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2098733,0.00,2.00,0.00,0.00,0.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2098741,4.00,6.00,3.00,8.00,6.00,5.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2098768,2.00,7.00,6.00,8.00,4.00,4.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2098814,2.00,5.00,3.00,3.00,7.00,6.00,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2098830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2098849,2.00,7.00,8.00,5.00,5.00,5.50,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2098865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2098873,3.00,9.00,3.00,6.00,7.00,7.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2098890,5.00,6.00,4.00,7.00,6.00,4.25,7.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2098903,5.00,7.00,4.00,5.00,5.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2098911,3.00,5.00,3.00,2.00,5.00,5.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2098920,4.00,7.00,1.00,5.00,8.00,7.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2098946,6.00,7.00,4.00,2.00,5.00,6.75,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2098954,4.00,9.00,6.00,9.00,9.00,8.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2098962,4.00,6.00,5.00,6.00,5.00,6.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2098970,5.00,6.00,6.00,4.00,6.00,5.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2098997,6.00,7.00,7.00,5.00,8.00,6.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2099012,5.00,6.00,7.00,3.00,5.00,5.50,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2099020,5.00,6.00,6.00,6.00,7.00,5.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2099039,3.00,7.00,4.00,1.00,3.00,4.25,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2099047,4.00,6.00,4.00,4.00,6.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2099055,6.00,5.00,5.00,9.00,8.00,7.50,6.00,7.00,2.00,NULL,NULL,NULL,'S'),(15,2099063,3.00,7.00,6.00,4.00,8.00,5.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2099071,3.00,6.00,5.00,7.00,8.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2099080,4.00,6.00,6.00,8.00,8.00,5.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2099101,0.00,4.00,3.00,3.00,2.00,NULL,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2099110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2099128,7.00,8.00,3.00,8.00,5.00,3.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2099136,4.00,7.00,8.00,5.00,9.00,7.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2099144,2.00,8.00,6.00,5.00,6.00,5.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2099152,5.00,8.00,5.00,7.00,7.00,7.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2099160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2099179,4.00,5.00,6.00,8.00,5.00,7.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2099187,4.00,7.00,4.00,3.00,7.00,4.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2099195,0.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2099209,2.00,7.00,3.00,8.00,7.00,4.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2099217,3.00,5.00,5.00,5.00,8.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2099225,4.00,9.00,9.00,4.00,8.00,5.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2099233,2.00,5.00,0.00,0.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2099250,4.00,7.00,5.00,5.00,5.00,5.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2099268,5.00,7.00,6.00,5.00,7.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2099276,2.00,8.00,4.00,0.00,4.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2099284,2.00,8.00,5.00,9.00,7.00,6.25,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2099306,2.00,1.00,0.00,0.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2099314,2.00,5.00,2.00,5.00,6.00,6.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2099322,6.00,8.00,8.00,9.00,9.00,6.25,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2099330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2099349,5.00,5.00,5.00,6.00,7.00,4.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2099357,4.00,7.00,8.00,5.00,7.00,5.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2099365,1.00,5.00,0.00,5.00,7.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2099373,4.00,8.00,4.00,6.00,5.00,3.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2099381,7.00,8.00,6.00,6.00,6.00,6.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2099390,2.00,5.00,5.00,2.00,6.00,4.00,8.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2099403,2.00,3.00,0.00,5.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2099411,2.00,6.00,4.00,4.00,7.00,6.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2099446,4.00,7.00,2.00,6.00,8.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2099454,5.00,6.00,7.00,6.00,6.00,6.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2099462,1.00,6.00,1.00,6.00,8.00,5.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2099470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2099497,6.00,8.00,7.00,8.00,8.00,6.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2099500,6.00,8.00,8.00,6.00,7.00,6.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2099519,6.00,8.00,8.00,9.00,8.00,9.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2099535,3.00,4.00,4.00,7.00,8.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2099543,5.00,6.00,7.00,8.00,7.00,4.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2099551,5.00,5.00,2.00,1.00,7.00,4.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2099578,5.00,7.00,5.00,7.00,8.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2099608,4.00,6.00,1.00,6.00,6.00,4.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2099640,3.00,4.00,3.00,4.00,7.00,4.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2099659,4.00,8.00,2.00,6.00,8.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2099667,3.00,3.00,2.00,0.00,6.00,3.50,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2099675,4.00,8.00,7.00,8.00,6.00,5.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2099683,6.00,7.00,4.00,7.00,7.00,5.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2099691,5.00,6.00,4.00,9.00,7.00,7.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2099705,3.00,6.00,3.00,6.00,3.00,4.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2099713,3.00,3.00,3.00,6.00,4.00,5.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2099721,1.00,6.00,6.00,4.00,3.00,6.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2099730,2.00,4.00,6.00,6.00,5.00,3.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2099748,6.00,7.00,6.00,6.00,8.00,5.75,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2099756,3.00,8.00,5.00,3.00,8.00,6.75,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2099764,3.00,1.00,4.00,5.00,4.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2099772,4.00,7.00,5.00,7.00,6.00,7.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2099780,2.00,5.00,3.00,4.00,3.00,3.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2099799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2099802,2.00,3.00,1.00,3.00,5.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2099810,6.00,6.00,7.00,5.00,7.00,7.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2099829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2099837,2.00,6.00,1.00,4.00,5.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2099845,1.00,5.00,1.00,4.00,6.00,5.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2099853,5.00,6.00,3.00,2.00,7.00,3.50,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(15,2099861,2.00,5.00,1.00,6.00,7.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2099870,3.00,7.00,7.00,9.00,8.00,7.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2099888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2099896,1.00,4.00,1.00,4.00,3.00,5.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2099918,4.00,8.00,6.00,6.00,7.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2099934,5.00,8.00,7.00,7.00,8.00,3.75,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2099942,4.00,8.00,6.00,8.00,7.00,5.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2099950,4.00,7.00,5.00,8.00,8.00,5.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2099977,1.00,7.00,4.00,3.00,6.00,5.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2099993,3.00,5.00,1.00,4.00,6.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2100002,4.00,7.00,6.00,6.00,7.00,6.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2100010,4.00,7.00,3.00,1.00,4.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2100029,7.00,8.00,9.00,9.00,8.00,6.50,9.00,9.00,9.00,NULL,NULL,NULL,'N'),(15,2100037,3.00,6.00,4.00,8.00,8.00,6.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2100053,4.00,7.00,5.00,8.00,8.00,4.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2100061,2.00,2.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2100070,2.00,5.00,4.00,3.00,8.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2100088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2100096,3.00,8.00,3.00,1.00,5.00,7.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2100100,2.00,5.00,7.00,5.00,8.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2100126,3.00,6.00,6.00,5.00,6.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2100134,4.00,7.00,5.00,7.00,9.00,5.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2100142,2.00,7.00,5.00,6.00,8.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2100150,4.00,7.00,7.00,8.00,8.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2100169,8.00,8.00,7.00,7.00,8.00,6.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2100185,1.00,4.00,2.00,4.00,8.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2100193,5.00,8.00,6.00,8.00,8.00,6.75,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2100231,3.00,8.00,6.00,8.00,7.00,5.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2100240,6.00,7.00,9.00,9.00,7.00,5.50,9.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2100274,1.00,7.00,4.00,9.00,7.00,5.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2100304,3.00,5.00,5.00,4.00,7.00,4.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2100312,0.00,5.00,2.00,5.00,7.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2100320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2100339,4.00,7.00,8.00,8.00,5.00,4.00,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2100347,5.00,5.00,6.00,7.00,8.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2100355,2.00,8.00,1.00,7.00,6.00,5.75,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2100363,3.00,4.00,1.00,5.00,4.00,3.75,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2100380,4.00,5.00,3.00,6.00,6.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2100398,2.00,8.00,4.00,4.00,7.00,5.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2100401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2100428,6.00,8.00,5.00,8.00,9.00,7.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2100436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2100452,4.00,6.00,3.00,6.00,8.00,5.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2100479,4.00,7.00,4.00,9.00,7.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2100487,3.00,7.00,1.00,5.00,7.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2100495,7.00,7.00,6.00,8.00,8.00,7.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2100509,2.00,8.00,1.00,8.00,6.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2100517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2100525,5.00,8.00,7.00,6.00,6.00,5.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2100533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2100541,2.00,7.00,4.00,3.00,5.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2100550,1.00,6.00,4.00,5.00,5.00,3.00,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2100568,0.00,6.00,0.00,2.00,6.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2100584,5.00,8.00,4.00,7.00,7.00,6.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2100592,2.00,6.00,3.00,4.00,6.00,3.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2100614,1.00,6.00,3.00,5.00,7.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2100622,6.00,8.00,9.00,4.00,9.00,5.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2100630,3.00,8.00,6.00,8.00,6.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2100649,1.00,6.00,3.00,6.00,5.00,4.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2100657,3.00,6.00,6.00,7.00,7.00,4.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2100665,4.00,6.00,3.00,8.00,8.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2100673,2.00,5.00,3.00,3.00,4.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2100681,4.00,8.00,4.00,5.00,8.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2100690,6.00,9.00,5.00,5.00,8.00,4.00,9.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2100720,5.00,6.00,4.00,4.00,6.00,4.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2100738,2.00,4.00,4.00,2.00,4.00,4.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2100746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2100762,2.00,4.00,2.00,1.00,6.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2100770,4.00,6.00,4.00,9.00,7.00,5.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2100789,2.00,6.00,4.00,3.00,6.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2100800,1.00,8.00,3.00,5.00,7.00,7.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2100819,2.00,7.00,6.00,8.00,8.00,7.75,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2100827,3.00,3.00,2.00,0.00,5.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2100843,4.00,8.00,4.00,9.00,8.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2100860,5.00,8.00,5.00,9.00,7.00,5.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2100878,3.00,6.00,3.00,5.00,6.00,6.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2100886,2.00,7.00,3.00,6.00,5.00,5.75,5.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2100894,1.00,3.00,1.00,6.00,6.00,7.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2100916,4.00,6.00,6.00,6.00,7.00,6.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2100924,5.00,5.00,9.00,7.00,8.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2100932,5.00,8.00,8.00,5.00,7.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2100940,7.00,9.00,3.00,9.00,9.00,7.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2100959,3.00,8.00,5.00,5.00,7.00,4.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2100967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2100975,2.00,5.00,2.00,5.00,4.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2100991,3.00,5.00,3.00,4.00,5.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2101009,3.00,7.00,3.00,8.00,9.00,5.75,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2101025,2.00,3.00,1.00,2.00,6.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2101041,5.00,6.00,3.00,3.00,5.00,4.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2101068,6.00,8.00,9.00,6.00,9.00,8.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2101076,5.00,4.00,4.00,6.00,4.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2101092,3.00,8.00,5.00,5.00,8.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2101106,4.00,5.00,2.00,2.00,5.00,5.00,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2101114,5.00,7.00,3.00,6.00,7.00,4.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2101122,1.00,3.00,0.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2101130,5.00,8.00,8.00,4.00,8.00,5.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2101149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2101157,4.00,7.00,5.00,1.00,6.00,4.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2101165,9.00,8.00,9.00,5.00,9.00,4.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2101173,5.00,6.00,4.00,7.00,5.00,4.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2101181,5.00,8.00,6.00,6.00,7.00,4.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2101203,3.00,8.00,4.00,7.00,7.00,6.00,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2101211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2101220,5.00,9.00,6.00,9.00,9.00,5.50,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2101238,9.00,9.00,6.00,7.00,9.00,7.25,9.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2101246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2101254,3.00,3.00,1.00,3.00,6.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2101262,6.00,7.00,8.00,9.00,9.00,8.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2101270,5.00,6.00,2.00,8.00,7.00,6.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2101289,6.00,7.00,4.00,5.00,5.00,4.50,7.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2101300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2101319,3.00,3.00,4.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2101327,7.00,8.00,8.00,7.00,7.00,5.00,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2101335,5.00,9.00,7.00,7.00,9.00,9.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2101343,6.00,7.00,5.00,1.00,7.00,5.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2101351,2.00,7.00,5.00,6.00,6.00,6.00,6.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2101360,5.00,7.00,9.00,8.00,8.00,6.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2101378,8.00,9.00,8.00,5.00,9.00,6.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2101394,5.00,7.00,5.00,9.00,7.00,6.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2101408,3.00,7.00,3.00,8.00,7.00,3.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2101424,2.00,7.00,7.00,6.00,8.00,7.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2101432,2.00,4.00,3.00,2.00,4.00,4.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2101440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2101459,4.00,5.00,5.00,3.00,6.00,5.25,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2101467,3.00,6.00,1.00,3.00,6.00,4.50,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2101475,6.00,8.00,8.00,8.00,7.00,7.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2101483,6.00,7.00,9.00,5.00,8.00,5.75,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2101491,1.00,6.00,1.00,5.00,5.00,3.50,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2101505,2.00,4.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2101513,8.00,8.00,8.00,8.00,8.00,5.75,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2101521,4.00,6.00,6.00,8.00,8.00,5.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2101530,2.00,6.00,7.00,6.00,6.00,6.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2101548,3.00,6.00,1.00,7.00,7.00,7.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2101556,7.00,7.00,7.00,5.00,7.00,8.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2101564,4.00,4.00,1.00,5.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2101572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2101580,3.00,4.00,2.00,5.00,5.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2101599,2.00,6.00,2.00,5.00,5.00,5.75,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2101602,3.00,6.00,3.00,7.00,8.00,6.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2101610,2.00,4.00,3.00,1.00,5.00,4.25,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2101629,2.00,7.00,3.00,5.00,5.00,5.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2101637,2.00,2.00,1.00,3.00,8.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2101645,3.00,4.00,6.00,7.00,6.00,4.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2101653,4.00,7.00,3.00,5.00,5.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2101670,4.00,7.00,4.00,7.00,6.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2101688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2101696,7.00,8.00,8.00,7.00,8.00,6.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2101700,3.00,2.00,6.00,0.00,6.00,5.25,5.00,3.00,4.00,NULL,NULL,NULL,'S'),(15,2101718,5.00,6.00,8.00,6.00,8.00,6.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2101726,1.00,4.00,2.00,5.00,7.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2101734,4.00,7.00,7.00,6.00,6.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2101750,6.00,8.00,6.00,4.00,6.00,6.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2101769,1.00,6.00,4.00,8.00,8.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2101777,4.00,5.00,1.00,4.00,5.00,6.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2101793,3.00,7.00,3.00,4.00,6.00,7.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2101807,4.00,7.00,5.00,6.00,6.00,7.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2101815,7.00,7.00,5.00,6.00,8.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2101823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2101831,1.00,7.00,3.00,3.00,6.00,5.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2101840,4.00,8.00,4.00,7.00,4.00,3.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2101858,7.00,7.00,7.00,6.00,8.00,8.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2101866,4.00,8.00,7.00,7.00,8.00,5.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2101882,4.00,7.00,2.00,5.00,7.00,4.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2101890,4.00,7.00,4.00,3.00,6.00,5.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2101912,7.00,8.00,8.00,8.00,9.00,5.50,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2101939,5.00,6.00,6.00,2.00,5.00,5.25,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2101947,4.00,8.00,6.00,7.00,9.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2101955,2.00,6.00,5.00,6.00,6.00,4.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2101971,7.00,9.00,5.00,8.00,6.00,6.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2101980,5.00,7.00,7.00,6.00,8.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2101998,1.00,7.00,5.00,4.00,5.00,5.00,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2102013,4.00,5.00,3.00,4.00,7.00,4.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2102021,4.00,6.00,6.00,5.00,8.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2102030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2102056,2.00,5.00,3.00,4.00,4.00,3.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2102064,3.00,9.00,4.00,9.00,8.00,5.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2102072,5.00,7.00,7.00,7.00,7.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2102080,7.00,8.00,9.00,6.00,7.00,6.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2102099,4.00,7.00,5.00,6.00,8.00,6.75,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2102110,6.00,8.00,9.00,8.00,8.00,4.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2102129,3.00,3.00,1.00,3.00,5.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2102137,2.00,6.00,2.00,5.00,6.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2102145,2.00,7.00,5.00,2.00,6.00,5.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2102153,4.00,5.00,1.00,3.00,3.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2102161,8.00,8.00,10.00,9.00,9.00,5.75,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2102170,4.00,6.00,1.00,6.00,7.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2102188,5.00,8.00,5.00,7.00,9.00,5.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2102196,7.00,8.00,5.00,5.00,7.00,8.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2102200,8.00,8.00,10.00,9.00,8.00,6.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2102226,3.00,4.00,3.00,6.00,6.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2102234,3.00,8.00,3.00,8.00,7.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2102250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2102277,5.00,4.00,5.00,6.00,6.00,5.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2102285,5.00,8.00,2.00,6.00,8.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2102293,0.00,4.00,3.00,7.00,3.00,5.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2102307,3.00,8.00,3.00,1.00,7.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2102315,4.00,7.00,3.00,5.00,7.00,5.75,5.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2102323,2.00,5.00,3.00,4.00,6.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2102331,7.00,8.00,5.00,8.00,8.00,5.25,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2102340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2102358,3.00,9.00,5.00,3.00,6.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2102366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2102374,2.00,7.00,4.00,7.00,6.00,3.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2102390,8.00,8.00,9.00,6.00,8.00,5.75,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2102404,5.00,5.00,4.00,6.00,7.00,3.50,2.00,4.00,7.00,NULL,NULL,NULL,'S'),(15,2102420,5.00,8.00,5.00,5.00,7.00,6.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2102447,3.00,2.00,4.00,4.00,8.00,6.50,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2102455,9.00,9.00,9.00,9.00,8.00,4.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2102498,2.00,6.00,1.00,3.00,4.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2102501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2102536,4.00,8.00,5.00,7.00,8.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2102544,3.00,6.00,1.00,6.00,7.00,6.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2102552,2.00,6.00,6.00,5.00,5.00,7.50,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2102560,5.00,6.00,2.00,3.00,3.00,4.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2102579,4.00,6.00,2.00,4.00,6.00,5.75,6.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2102595,2.00,5.00,4.00,2.00,6.00,4.50,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2102609,7.00,7.00,9.00,3.00,7.00,6.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2102617,1.00,1.00,2.00,0.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2102625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2102633,1.00,5.00,4.00,2.00,7.00,5.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2102650,3.00,8.00,2.00,0.00,6.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2102668,3.00,5.00,6.00,5.00,5.00,5.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2102676,1.00,3.00,0.00,5.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2102684,3.00,5.00,6.00,5.00,6.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2102692,2.00,6.00,7.00,8.00,5.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2102706,5.00,8.00,7.00,5.00,7.00,6.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2102714,7.00,7.00,6.00,8.00,7.00,7.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2102722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2102730,3.00,4.00,5.00,3.00,6.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2102749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2102757,4.00,3.00,4.00,3.00,6.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2102765,3.00,5.00,0.00,6.00,6.00,3.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2102773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2102811,4.00,7.00,4.00,9.00,7.00,6.75,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2102820,6.00,9.00,8.00,9.00,8.00,5.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2102838,4.00,7.00,6.00,5.00,6.00,4.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2102846,7.00,9.00,6.00,8.00,9.00,6.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2102854,4.00,4.00,1.00,5.00,7.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2102862,2.00,7.00,1.00,5.00,6.00,4.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2102870,6.00,6.00,6.00,4.00,4.00,5.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2102889,5.00,7.00,4.00,2.00,8.00,6.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2102897,4.00,7.00,1.00,1.00,6.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2102900,4.00,7.00,3.00,3.00,6.00,6.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2102919,2.00,7.00,4.00,6.00,5.00,5.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2102927,5.00,6.00,7.00,5.00,5.00,5.75,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2102935,1.00,2.00,2.00,4.00,3.00,4.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2102943,3.00,6.00,4.00,4.00,5.00,4.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2102960,5.00,6.00,6.00,4.00,6.00,6.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2102986,1.00,7.00,2.00,5.00,6.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2102994,4.00,7.00,4.00,5.00,6.00,5.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2103010,4.00,7.00,6.00,5.00,8.00,5.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2103028,4.00,6.00,6.00,5.00,2.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2103052,5.00,6.00,8.00,9.00,7.00,6.75,9.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2103060,7.00,8.00,9.00,9.00,7.00,6.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2103087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2103095,4.00,7.00,7.00,3.00,4.00,6.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2103125,6.00,6.00,6.00,8.00,8.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2103133,4.00,7.00,6.00,3.00,7.00,6.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2103141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2103150,4.00,7.00,6.00,8.00,8.00,6.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2103184,1.00,7.00,0.00,4.00,3.00,4.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2103192,5.00,8.00,5.00,5.00,6.00,4.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2103206,7.00,9.00,8.00,10.00,9.00,6.00,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2103214,6.00,9.00,3.00,6.00,9.00,6.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2103222,2.00,6.00,0.00,0.00,7.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2103249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2103257,2.00,7.00,5.00,7.00,7.00,5.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2103265,6.00,7.00,5.00,7.00,6.00,5.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2103273,4.00,5.00,2.00,7.00,9.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2103281,3.00,5.00,3.00,4.00,8.00,4.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2103290,1.00,4.00,3.00,2.00,7.00,3.00,6.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2103303,3.00,3.00,5.00,8.00,8.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2103311,3.00,4.00,3.00,3.00,5.00,5.25,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2103338,3.00,6.00,5.00,2.00,7.00,4.25,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2103346,5.00,8.00,9.00,8.00,7.00,4.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2103354,3.00,8.00,7.00,7.00,9.00,6.50,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2103370,5.00,7.00,7.00,6.00,7.00,6.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2103389,2.00,3.00,2.00,2.00,4.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2103400,3.00,8.00,3.00,5.00,7.00,6.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2103419,5.00,5.00,7.00,5.00,6.00,5.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2103427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2103435,6.00,7.00,4.00,9.00,9.00,8.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2103443,8.00,8.00,6.00,3.00,9.00,5.75,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2103451,6.00,6.00,9.00,8.00,9.00,5.50,10.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2103460,6.00,8.00,3.00,5.00,7.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2103478,2.00,7.00,2.00,0.00,5.00,3.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2103486,3.00,8.00,4.00,3.00,6.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2103494,3.00,5.00,1.00,0.00,6.00,6.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2103508,2.00,8.00,4.00,1.00,6.00,4.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2103516,9.00,6.00,8.00,5.00,8.00,5.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2103524,2.00,7.00,3.00,6.00,5.00,3.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2103532,2.00,6.00,4.00,3.00,4.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2103540,5.00,5.00,7.00,7.00,7.00,5.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2103559,1.00,8.00,4.00,6.00,5.00,5.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2103575,4.00,4.00,2.00,5.00,4.00,3.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2103583,3.00,6.00,5.00,6.00,4.00,4.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2103591,5.00,8.00,7.00,7.00,9.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2103605,6.00,7.00,5.00,6.00,7.00,4.50,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2103613,4.00,7.00,1.00,6.00,5.00,5.25,9.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2103621,2.00,5.00,6.00,6.00,7.00,7.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2103630,5.00,6.00,5.00,3.00,6.00,4.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2103648,3.00,6.00,1.00,0.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2103672,3.00,6.00,3.00,4.00,6.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2103699,4.00,4.00,5.00,4.00,7.00,6.00,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2103702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2103710,2.00,3.00,0.00,2.00,5.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2103737,2.00,5.00,1.00,5.00,6.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2103745,4.00,7.00,8.00,7.00,6.00,4.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2103753,3.00,7.00,4.00,7.00,8.00,4.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2103761,1.00,5.00,1.00,0.00,7.00,NULL,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2103770,1.00,6.00,5.00,5.00,6.00,5.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2103788,7.00,9.00,9.00,9.00,8.00,6.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2103796,4.00,6.00,4.00,1.00,6.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2103800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2103818,5.00,6.00,4.00,7.00,8.00,5.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2103826,5.00,9.00,5.00,5.00,8.00,5.25,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2103842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2103850,6.00,7.00,7.00,6.00,8.00,6.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2103869,4.00,8.00,6.00,4.00,7.00,5.25,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2103877,7.00,9.00,7.00,7.00,9.00,6.00,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2103885,5.00,7.00,9.00,5.00,7.00,7.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2103893,5.00,6.00,5.00,7.00,8.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2103907,3.00,7.00,5.00,6.00,6.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2103915,5.00,6.00,4.00,3.00,7.00,5.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2103923,6.00,7.00,5.00,7.00,7.00,7.00,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2103931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2103958,4.00,5.00,2.00,9.00,7.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2103966,2.00,6.00,4.00,4.00,6.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2103974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2103982,5.00,8.00,4.00,6.00,7.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2104008,5.00,7.00,6.00,7.00,4.00,5.25,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2104016,4.00,5.00,1.00,8.00,6.00,6.50,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2104040,3.00,7.00,4.00,3.00,5.00,4.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2104059,1.00,9.00,4.00,8.00,7.00,6.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2104067,6.00,8.00,6.00,6.00,8.00,6.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2104075,2.00,5.00,1.00,6.00,3.00,6.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2104091,4.00,4.00,5.00,4.00,6.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2104105,3.00,7.00,6.00,5.00,7.00,4.50,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2104113,3.00,5.00,2.00,5.00,7.00,4.75,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2104121,4.00,3.00,1.00,0.00,5.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2104130,2.00,7.00,5.00,8.00,9.00,4.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2104148,2.00,5.00,1.00,4.00,3.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2104156,6.00,6.00,7.00,4.00,8.00,7.50,7.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2104164,2.00,7.00,2.00,5.00,7.00,4.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2104172,3.00,3.00,3.00,3.00,6.00,5.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2104180,3.00,9.00,6.00,7.00,8.00,7.00,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2104199,3.00,8.00,8.00,8.00,7.00,6.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2104202,6.00,5.00,8.00,5.00,8.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2104210,5.00,8.00,8.00,5.00,7.00,5.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2104229,6.00,6.00,8.00,7.00,9.00,7.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2104237,4.00,8.00,1.00,4.00,6.00,4.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2104253,1.00,4.00,4.00,5.00,7.00,6.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2104261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2104270,3.00,5.00,3.00,5.00,3.00,5.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2104288,7.00,8.00,8.00,8.00,7.00,6.00,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2104296,3.00,2.00,1.00,3.00,2.00,NULL,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2104300,5.00,7.00,3.00,8.00,10.00,5.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2104318,7.00,8.00,3.00,4.00,7.00,3.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2104326,4.00,6.00,4.00,6.00,8.00,6.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2104334,4.00,6.00,5.00,7.00,7.00,6.75,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2104350,2.00,7.00,4.00,6.00,7.00,6.50,5.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2104369,5.00,7.00,9.00,7.00,8.00,5.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2104377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2104385,4.00,3.00,1.00,4.00,4.00,6.50,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2104393,1.00,5.00,2.00,2.00,6.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2104407,3.00,6.00,5.00,5.00,7.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2104415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2104431,2.00,4.00,1.00,5.00,5.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2104440,7.00,8.00,6.00,7.00,8.00,6.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2104458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2104466,5.00,8.00,6.00,2.00,7.00,5.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2104474,3.00,5.00,2.00,0.00,5.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2104482,1.00,4.00,2.00,3.00,4.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(15,2104504,6.00,6.00,5.00,6.00,9.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2104512,4.00,7.00,4.00,3.00,7.00,3.50,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2104520,1.00,1.00,3.00,4.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2104547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2104555,0.00,0.00,0.00,5.00,4.00,NULL,4.00,2.00,4.00,NULL,'S',NULL,'N'),(15,2104563,5.00,9.00,5.00,7.00,9.00,5.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2104571,8.00,7.00,7.00,7.00,8.00,6.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2104580,4.00,4.00,4.00,2.00,3.00,3.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2104598,2.00,6.00,1.00,5.00,2.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2104601,2.00,6.00,2.00,5.00,5.00,4.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2104628,6.00,8.00,8.00,8.00,9.00,6.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2104636,5.00,8.00,8.00,5.00,7.00,5.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2104644,5.00,7.00,9.00,9.00,7.00,7.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2104652,5.00,7.00,4.00,7.00,6.00,7.50,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2104660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2104679,1.00,4.00,2.00,5.00,3.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2104687,5.00,8.00,8.00,9.00,8.00,6.25,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2104695,5.00,7.00,3.00,8.00,9.00,8.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2104709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2104717,5.00,7.00,6.00,4.00,7.00,5.75,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2104725,2.00,6.00,2.00,3.00,6.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2104733,4.00,5.00,7.00,6.00,8.00,7.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2104741,1.00,3.00,2.00,3.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2104750,2.00,1.00,0.00,1.00,3.00,NULL,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2104768,7.00,6.00,7.00,8.00,7.00,7.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2104776,5.00,9.00,6.00,6.00,7.00,7.00,5.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2104784,4.00,8.00,5.00,4.00,7.00,7.75,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2104806,5.00,6.00,8.00,8.00,7.00,5.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2104814,2.00,7.00,3.00,7.00,7.00,6.00,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2104822,3.00,7.00,5.00,7.00,6.00,7.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2104830,3.00,4.00,3.00,4.00,5.00,4.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2104849,1.00,5.00,1.00,6.00,7.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2104865,0.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2104873,6.00,6.00,5.00,6.00,8.00,7.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2104881,0.00,3.00,0.00,1.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2104890,1.00,3.00,5.00,2.00,5.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2104920,2.00,5.00,3.00,3.00,4.00,3.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2104938,0.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(15,2104946,5.00,5.00,5.00,4.00,6.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2104954,2.00,3.00,1.00,2.00,5.00,5.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2104962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2104970,4.00,6.00,5.00,5.00,8.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2104989,3.00,7.00,3.00,8.00,9.00,6.75,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2105004,5.00,7.00,4.00,5.00,8.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2105012,7.00,9.00,8.00,5.00,9.00,8.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2105039,4.00,8.00,4.00,5.00,8.00,6.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2105047,3.00,4.00,2.00,1.00,6.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2105055,7.00,9.00,7.00,8.00,9.00,6.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2105063,7.00,8.00,7.00,6.00,9.00,6.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2105071,1.00,5.00,1.00,4.00,6.00,5.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2105080,4.00,6.00,5.00,5.00,8.00,4.50,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2105098,5.00,7.00,2.00,3.00,4.00,4.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2105101,8.00,9.00,9.00,8.00,8.00,5.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2105110,4.00,6.00,2.00,6.00,7.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2105128,8.00,8.00,9.00,9.00,9.00,6.00,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2105136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2105144,2.00,7.00,4.00,7.00,7.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2105152,5.00,7.00,8.00,4.00,9.00,7.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2105160,3.00,4.00,3.00,6.00,6.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2105179,2.00,4.00,4.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2105187,3.00,6.00,3.00,8.00,7.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2105195,6.00,7.00,8.00,5.00,9.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2105209,7.00,8.00,8.00,7.00,9.00,8.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2105217,2.00,7.00,4.00,6.00,4.00,4.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2105225,3.00,7.00,6.00,2.00,7.00,6.00,3.00,7.00,0.00,NULL,NULL,NULL,'N'),(15,2105233,7.00,8.00,8.00,7.00,7.00,5.50,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2105241,3.00,7.00,2.00,5.00,8.00,5.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2105268,3.00,6.00,0.00,2.00,3.00,5.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2105276,5.00,7.00,2.00,5.00,8.00,6.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2105284,2.00,5.00,4.00,6.00,7.00,5.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2105292,8.00,9.00,7.00,6.00,9.00,6.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2105306,7.00,8.00,9.00,8.00,8.00,3.00,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2105322,2.00,6.00,3.00,5.00,2.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2105330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2105357,5.00,7.00,3.00,9.00,7.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2105365,4.00,8.00,0.00,5.00,8.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2105373,5.00,8.00,8.00,6.00,8.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2105381,6.00,7.00,6.00,6.00,9.00,7.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2105411,5.00,7.00,5.00,4.00,6.00,3.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2105420,7.00,8.00,8.00,6.00,8.00,5.75,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2105438,2.00,9.00,6.00,5.00,6.00,6.25,6.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2105446,4.00,2.00,0.00,4.00,5.00,NULL,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2105470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2105489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2105497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2105500,5.00,7.00,8.00,7.00,8.00,6.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2105527,4.00,6.00,4.00,3.00,5.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2105535,7.00,9.00,9.00,8.00,8.00,5.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2105560,1.00,9.00,7.00,7.00,7.00,3.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2105578,3.00,7.00,6.00,6.00,8.00,5.50,8.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2105586,8.00,8.00,7.00,7.00,9.00,6.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2105608,0.00,8.00,1.00,2.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2105616,3.00,6.00,2.00,2.00,7.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2105624,4.00,5.00,6.00,3.00,6.00,5.25,9.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2105640,4.00,5.00,4.00,8.00,8.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2105659,1.00,7.00,1.00,6.00,7.00,7.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2105667,4.00,8.00,3.00,5.00,8.00,7.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2105675,4.00,8.00,8.00,6.00,8.00,3.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2105683,7.00,7.00,5.00,7.00,8.00,5.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2105691,7.00,8.00,8.00,7.00,9.00,6.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2105705,2.00,4.00,2.00,5.00,4.00,5.75,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2105713,2.00,9.00,9.00,7.00,8.00,3.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2105721,4.00,8.00,6.00,3.00,7.00,5.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2105730,4.00,6.00,2.00,5.00,4.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2105748,1.00,5.00,0.00,4.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2105756,6.00,6.00,9.00,2.00,5.00,5.75,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2105764,4.00,6.00,5.00,5.00,6.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2105772,5.00,7.00,7.00,7.00,8.00,4.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2105780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2105799,3.00,6.00,2.00,0.00,8.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2105802,5.00,8.00,6.00,9.00,8.00,7.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2105810,3.00,8.00,3.00,6.00,6.00,5.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2105829,8.00,7.00,8.00,6.00,8.00,6.50,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2105837,3.00,7.00,5.00,8.00,5.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2105845,6.00,7.00,6.00,6.00,7.00,6.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2105853,7.00,8.00,4.00,9.00,9.00,6.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2105861,4.00,4.00,3.00,0.00,5.00,NULL,6.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2105888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2105896,6.00,7.00,9.00,9.00,9.00,7.00,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2105900,6.00,6.00,5.00,4.00,5.00,4.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2105918,3.00,5.00,0.00,6.00,5.00,4.00,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2105926,6.00,7.00,1.00,6.00,9.00,4.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2105934,7.00,9.00,6.00,5.00,8.00,6.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2105942,4.00,8.00,2.00,5.00,4.00,6.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2105950,3.00,6.00,3.00,5.00,5.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2105969,7.00,8.00,9.00,7.00,9.00,7.25,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2105977,0.00,4.00,1.00,4.00,6.00,5.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2105985,6.00,6.00,4.00,4.00,8.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2105993,5.00,8.00,8.00,7.00,7.00,6.75,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2106000,3.00,7.00,3.00,7.00,8.00,5.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2106019,3.00,8.00,4.00,5.00,7.00,4.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2106027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2106043,0.00,6.00,0.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2106051,3.00,6.00,3.00,3.00,4.00,5.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2106060,1.00,4.00,5.00,5.00,4.00,7.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2106078,2.00,6.00,3.00,7.00,7.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2106094,4.00,3.00,3.00,1.00,6.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2106108,2.00,5.00,1.00,6.00,6.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2106116,3.00,4.00,3.00,2.00,3.00,1.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2106124,3.00,8.00,0.00,5.00,6.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2106132,5.00,6.00,8.00,7.00,7.00,6.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2106159,4.00,9.00,3.00,8.00,7.00,6.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2106167,6.00,7.00,9.00,7.00,8.00,6.00,7.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2106183,1.00,4.00,0.00,6.00,1.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2106191,2.00,7.00,1.00,4.00,7.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2106205,3.00,5.00,3.00,3.00,5.00,3.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2106213,8.00,8.00,9.00,9.00,8.00,6.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2106221,4.00,3.00,1.00,7.00,4.00,5.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2106230,5.00,8.00,9.00,5.00,8.00,5.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2106256,2.00,6.00,4.00,6.00,8.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2106264,7.00,7.00,6.00,8.00,7.00,7.50,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2106272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2106280,4.00,4.00,0.00,4.00,4.00,6.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2106299,1.00,4.00,0.00,1.00,2.00,NULL,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(15,2106302,7.00,8.00,8.00,8.00,6.00,7.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2106329,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2106337,7.00,8.00,8.00,6.00,7.00,4.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2106345,3.00,8.00,3.00,5.00,8.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2106361,4.00,6.00,1.00,3.00,5.00,5.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2106388,3.00,4.00,3.00,6.00,8.00,5.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2106396,2.00,9.00,1.00,4.00,7.00,6.75,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2106400,2.00,4.00,2.00,2.00,6.00,5.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2106418,1.00,2.00,8.00,8.00,7.00,7.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2106426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2106434,2.00,8.00,6.00,7.00,7.00,5.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2106442,6.00,7.00,8.00,9.00,8.00,8.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2106450,6.00,8.00,8.00,5.00,8.00,6.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2106469,6.00,8.00,7.00,3.00,7.00,4.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2106485,6.00,9.00,6.00,6.00,6.00,6.25,7.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2106493,3.00,3.00,1.00,2.00,5.00,3.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2106507,4.00,8.00,3.00,5.00,7.00,5.00,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2106515,3.00,8.00,1.00,5.00,6.00,7.75,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2106531,3.00,4.00,3.00,5.00,4.00,4.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2106540,1.00,3.00,2.00,2.00,7.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2106558,1.00,3.00,1.00,4.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2106566,6.00,8.00,8.00,8.00,7.00,6.75,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2106574,0.00,3.00,2.00,4.00,3.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2106582,3.00,7.00,5.00,4.00,7.00,6.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2106590,5.00,7.00,4.00,7.00,7.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2106604,6.00,8.00,7.00,7.00,9.00,8.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2106612,2.00,6.00,4.00,4.00,7.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2106620,0.00,6.00,1.00,3.00,4.00,4.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2106639,5.00,5.00,2.00,1.00,6.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2106647,5.00,6.00,6.00,6.00,7.00,7.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2106655,3.00,7.00,5.00,4.00,4.00,4.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2106663,6.00,8.00,5.00,9.00,9.00,7.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2106671,4.00,7.00,7.00,6.00,6.00,7.50,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2106698,1.00,5.00,4.00,2.00,5.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2106701,5.00,8.00,2.00,2.00,5.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2106710,2.00,2.00,1.00,4.00,6.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2106728,4.00,7.00,3.00,7.00,8.00,6.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2106736,5.00,8.00,7.00,8.00,7.00,6.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2106744,7.00,8.00,6.00,8.00,8.00,7.75,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2106760,2.00,4.00,0.00,6.00,7.00,4.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2106787,3.00,4.00,1.00,1.00,4.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2106795,6.00,8.00,8.00,6.00,9.00,6.00,7.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2106833,4.00,7.00,5.00,6.00,6.00,5.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2106841,2.00,4.00,1.00,6.00,7.00,3.25,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2106850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2106876,3.00,7.00,4.00,3.00,8.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2106884,3.00,8.00,5.00,6.00,5.00,5.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2106892,5.00,7.00,7.00,6.00,8.00,6.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2106906,4.00,7.00,5.00,3.00,6.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2106914,2.00,2.00,4.00,3.00,5.00,4.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2106949,7.00,9.00,3.00,9.00,8.00,7.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2106957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2106965,4.00,6.00,1.00,4.00,8.00,6.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2106981,3.00,5.00,2.00,6.00,3.00,4.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2106990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2107007,6.00,7.00,7.00,9.00,8.00,8.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2107015,3.00,3.00,2.00,3.00,3.00,6.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2107040,2.00,6.00,3.00,4.00,6.00,4.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2107058,1.00,3.00,5.00,2.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2107066,0.00,7.00,2.00,1.00,7.00,6.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2107082,2.00,6.00,1.00,3.00,5.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2107090,5.00,5.00,4.00,7.00,7.00,5.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2107104,8.00,8.00,9.00,6.00,8.00,6.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2107112,3.00,5.00,5.00,7.00,7.00,6.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2107120,4.00,9.00,2.00,6.00,8.00,6.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2107139,3.00,4.00,0.00,4.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2107163,3.00,7.00,8.00,6.00,8.00,5.75,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2107171,2.00,6.00,4.00,3.00,5.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2107180,2.00,6.00,2.00,2.00,4.00,4.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2107201,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2107210,8.00,9.00,7.00,8.00,9.00,7.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2107228,0.00,4.00,3.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2107236,4.00,5.00,4.00,3.00,4.00,4.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2107244,4.00,8.00,5.00,7.00,6.00,6.25,9.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2107252,3.00,5.00,8.00,8.00,6.00,5.50,9.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2107260,4.00,5.00,2.00,5.00,7.00,5.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2107279,1.00,1.00,2.00,3.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2107287,2.00,8.00,3.00,7.00,9.00,5.00,7.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2107295,4.00,5.00,6.00,8.00,8.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2107325,1.00,4.00,0.00,3.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2107333,3.00,4.00,2.00,2.00,7.00,6.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2107341,8.00,9.00,4.00,9.00,9.00,6.25,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2107350,3.00,4.00,1.00,3.00,5.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2107368,1.00,7.00,5.00,7.00,7.00,4.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2107384,8.00,8.00,9.00,6.00,9.00,6.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2107392,4.00,7.00,6.00,8.00,7.00,5.25,6.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2107406,6.00,7.00,9.00,9.00,8.00,7.00,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2107414,4.00,8.00,3.00,5.00,4.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2107422,4.00,8.00,4.00,6.00,7.00,5.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2107430,2.00,4.00,1.00,2.00,5.00,3.25,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2107449,3.00,7.00,0.00,3.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2107473,4.00,4.00,2.00,5.00,5.00,5.50,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2107481,3.00,7.00,4.00,3.00,7.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2107490,1.00,3.00,0.00,1.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2107503,4.00,7.00,3.00,3.00,6.00,6.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2107511,1.00,5.00,4.00,4.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(15,2107520,5.00,8.00,3.00,9.00,9.00,8.25,6.00,8.00,4.00,NULL,NULL,NULL,'S'),(15,2107538,4.00,7.00,5.00,6.00,9.00,6.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2107546,8.00,8.00,5.00,9.00,8.00,7.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2107554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2107562,6.00,6.00,7.00,8.00,7.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2107570,5.00,6.00,3.00,4.00,7.00,6.25,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2107597,4.00,6.00,3.00,4.00,6.00,4.75,5.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2107600,5.00,8.00,7.00,8.00,8.00,5.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2107619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2107627,6.00,8.00,4.00,6.00,7.00,5.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2107643,4.00,8.00,7.00,9.00,7.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2107678,0.00,2.00,2.00,3.00,1.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2107686,3.00,7.00,1.00,6.00,8.00,6.50,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2107694,5.00,5.00,2.00,5.00,4.00,4.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2107716,2.00,6.00,1.00,1.00,5.00,4.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2107724,9.00,9.00,8.00,7.00,9.00,7.50,10.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2107759,4.00,7.00,4.00,6.00,8.00,7.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2107767,5.00,8.00,6.00,5.00,8.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2107775,1.00,7.00,2.00,5.00,5.00,4.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2107805,2.00,5.00,3.00,3.00,8.00,6.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2107813,5.00,6.00,6.00,6.00,7.00,5.25,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2107821,4.00,4.00,2.00,2.00,4.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2107830,5.00,7.00,4.00,5.00,8.00,4.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2107848,3.00,7.00,5.00,7.00,7.00,5.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2107856,2.00,6.00,4.00,5.00,6.00,5.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2107864,6.00,8.00,8.00,4.00,8.00,6.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2107872,1.00,5.00,2.00,8.00,6.00,7.25,4.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2107880,2.00,4.00,1.00,1.00,6.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2107899,4.00,8.00,6.00,6.00,7.00,4.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2107910,6.00,8.00,8.00,9.00,8.00,6.25,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2107929,3.00,4.00,5.00,3.00,4.00,4.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2107937,3.00,7.00,8.00,8.00,6.00,5.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2107945,3.00,4.00,1.00,3.00,6.00,4.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2107961,6.00,7.00,8.00,5.00,9.00,8.00,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2107988,0.00,5.00,1.00,5.00,7.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2107996,2.00,3.00,2.00,5.00,5.00,3.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2108003,3.00,7.00,3.00,4.00,6.00,5.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2108020,1.00,3.00,0.00,1.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2108038,5.00,7.00,3.00,2.00,6.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2108046,4.00,9.00,6.00,8.00,6.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2108054,3.00,8.00,4.00,5.00,9.00,5.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2108062,5.00,8.00,7.00,6.00,8.00,4.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2108089,7.00,6.00,7.00,8.00,8.00,6.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2108097,3.00,9.00,4.00,2.00,6.00,3.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2108100,8.00,7.00,3.00,7.00,8.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2108119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2108127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2108135,4.00,7.00,2.00,8.00,7.00,6.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2108143,2.00,5.00,5.00,0.00,7.00,4.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2108151,2.00,3.00,3.00,4.00,5.00,4.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2108160,4.00,8.00,3.00,8.00,8.00,6.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2108178,3.00,4.00,4.00,3.00,8.00,7.50,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2108186,7.00,7.00,8.00,7.00,7.00,5.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2108194,5.00,9.00,2.00,6.00,7.00,7.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2108208,3.00,6.00,3.00,5.00,6.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2108224,6.00,7.00,7.00,5.00,8.00,6.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2108232,1.00,5.00,4.00,7.00,5.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2108240,2.00,2.00,2.00,2.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2108259,1.00,7.00,7.00,4.00,7.00,6.00,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2108275,5.00,6.00,3.00,6.00,8.00,7.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2108291,6.00,7.00,7.00,7.00,9.00,6.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2108305,2.00,6.00,2.00,2.00,7.00,NULL,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2108313,3.00,7.00,5.00,2.00,5.00,6.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2108321,4.00,7.00,3.00,2.00,4.00,5.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2108330,3.00,5.00,2.00,1.00,5.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2108348,4.00,7.00,5.00,3.00,7.00,6.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2108356,4.00,6.00,4.00,6.00,7.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2108364,5.00,6.00,3.00,5.00,5.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2108372,1.00,4.00,5.00,5.00,7.00,6.25,5.00,1.00,5.00,NULL,NULL,NULL,'N'),(15,2108380,3.00,6.00,2.00,1.00,4.00,3.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2108399,3.00,5.00,2.00,2.00,5.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2108402,5.00,8.00,8.00,8.00,8.00,5.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2108410,5.00,5.00,2.00,1.00,3.00,5.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2108429,7.00,8.00,4.00,8.00,6.00,6.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2108437,2.00,3.00,0.00,1.00,4.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2108445,3.00,7.00,0.00,6.00,8.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2108453,5.00,6.00,5.00,3.00,7.00,5.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2108461,5.00,5.00,5.00,9.00,6.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2108470,6.00,7.00,8.00,8.00,7.00,6.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2108488,3.00,5.00,5.00,4.00,6.00,5.75,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2108496,4.00,8.00,6.00,6.00,9.00,6.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2108500,4.00,9.00,7.00,8.00,6.00,5.50,9.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2108518,2.00,7.00,2.00,3.00,9.00,6.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2108534,0.00,0.00,0.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2108550,6.00,5.00,8.00,1.00,8.00,6.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2108569,7.00,8.00,6.00,3.00,8.00,6.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2108577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2108585,4.00,7.00,5.00,4.00,7.00,5.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2108593,3.00,6.00,4.00,5.00,4.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2108607,1.00,3.00,1.00,1.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2108615,5.00,5.00,7.00,4.00,7.00,5.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2108623,3.00,6.00,2.00,6.00,7.00,6.75,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2108631,4.00,8.00,3.00,6.00,9.00,6.50,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2108640,5.00,7.00,8.00,9.00,7.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2108666,8.00,9.00,9.00,8.00,8.00,5.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2108674,3.00,6.00,3.00,5.00,7.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2108690,2.00,5.00,5.00,5.00,7.00,4.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2108704,3.00,6.00,3.00,4.00,7.00,5.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2108712,8.00,9.00,7.00,7.00,7.00,5.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2108720,3.00,8.00,6.00,6.00,6.00,5.75,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2108755,4.00,4.00,3.00,2.00,8.00,5.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2108763,4.00,7.00,3.00,6.00,8.00,8.00,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2108798,4.00,8.00,5.00,0.00,5.00,3.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2108801,4.00,7.00,3.00,6.00,6.00,3.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2108810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2108828,0.00,1.00,1.00,5.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2108836,4.00,7.00,3.00,6.00,8.00,3.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2108844,8.00,8.00,6.00,3.00,8.00,7.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2108852,2.00,5.00,5.00,7.00,5.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2108860,3.00,6.00,5.00,5.00,7.00,7.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2108879,5.00,5.00,2.00,8.00,5.00,4.75,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2108887,5.00,9.00,5.00,8.00,9.00,6.25,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2108895,5.00,8.00,5.00,8.00,7.00,7.25,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2108909,5.00,7.00,7.00,9.00,7.00,6.75,6.00,8.00,4.00,NULL,NULL,NULL,'S'),(15,2108917,6.00,7.00,6.00,7.00,8.00,6.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2108925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2108933,3.00,3.00,0.00,2.00,5.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2108941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2108968,2.00,6.00,3.00,6.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2108992,4.00,7.00,4.00,5.00,5.00,5.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2109018,0.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2109034,6.00,7.00,6.00,3.00,5.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2109042,6.00,6.00,7.00,8.00,8.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2109050,7.00,5.00,7.00,5.00,8.00,5.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2109069,5.00,6.00,6.00,5.00,8.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2109077,5.00,6.00,9.00,9.00,8.00,6.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2109085,2.00,7.00,2.00,5.00,7.00,7.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2109093,6.00,8.00,7.00,9.00,9.00,6.00,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2109107,5.00,8.00,4.00,6.00,7.00,7.75,8.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2109115,3.00,7.00,7.00,7.00,5.00,4.75,7.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2109123,3.00,5.00,1.00,5.00,7.00,5.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2109131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2109140,1.00,5.00,5.00,2.00,5.00,5.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2109158,8.00,6.00,7.00,8.00,8.00,7.50,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2109166,3.00,3.00,4.00,4.00,4.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2109174,7.00,8.00,9.00,8.00,7.00,7.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2109182,6.00,8.00,6.00,6.00,8.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2109190,8.00,8.00,9.00,8.00,9.00,6.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2109204,2.00,8.00,3.00,7.00,9.00,6.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2109212,4.00,8.00,0.00,4.00,8.00,NULL,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2109220,2.00,6.00,3.00,1.00,5.00,6.25,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2109247,6.00,6.00,8.00,9.00,8.00,5.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2109255,2.00,7.00,5.00,3.00,9.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2109263,5.00,8.00,6.00,9.00,5.00,5.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2109271,6.00,7.00,8.00,8.00,8.00,5.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2109280,1.00,3.00,2.00,2.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2109298,4.00,6.00,5.00,6.00,6.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2109301,4.00,8.00,6.00,8.00,7.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2109310,2.00,6.00,3.00,8.00,8.00,4.00,4.00,7.00,0.00,NULL,NULL,NULL,'N'),(15,2109328,6.00,8.00,6.00,6.00,9.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2109336,6.00,8.00,5.00,8.00,8.00,5.00,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2109344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2109352,5.00,7.00,6.00,6.00,9.00,4.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2109360,3.00,7.00,5.00,8.00,5.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2109379,3.00,2.00,2.00,1.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2109387,6.00,7.00,6.00,7.00,8.00,5.25,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2109395,8.00,9.00,6.00,8.00,9.00,7.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2109425,4.00,7.00,1.00,6.00,5.00,5.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2109433,1.00,5.00,1.00,1.00,4.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2109441,4.00,7.00,5.00,7.00,8.00,7.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2109450,3.00,3.00,5.00,5.00,8.00,6.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2109468,5.00,7.00,5.00,4.00,8.00,7.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2109476,5.00,7.00,8.00,7.00,8.00,6.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2109484,3.00,6.00,1.00,2.00,3.00,5.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2109492,3.00,6.00,4.00,3.00,7.00,3.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2109506,3.00,8.00,6.00,6.00,5.00,7.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2109514,3.00,7.00,5.00,4.00,6.00,5.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2109530,0.00,6.00,4.00,6.00,6.00,5.75,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2109549,4.00,4.00,5.00,3.00,7.00,6.50,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2109565,7.00,6.00,5.00,7.00,8.00,6.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2109573,3.00,5.00,3.00,4.00,6.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2109581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2109611,1.00,4.00,2.00,0.00,6.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2109620,9.00,8.00,9.00,9.00,9.00,6.75,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2109638,1.00,6.00,3.00,0.00,3.00,NULL,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2109654,7.00,9.00,9.00,6.00,7.00,6.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2109662,8.00,8.00,8.00,7.00,9.00,6.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2109670,7.00,7.00,6.00,5.00,7.00,5.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2109689,8.00,9.00,9.00,8.00,9.00,6.50,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2109697,8.00,9.00,9.00,9.00,9.00,6.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2109700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2109743,2.00,6.00,0.00,5.00,8.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2109760,5.00,7.00,6.00,5.00,8.00,5.25,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2109778,4.00,6.00,3.00,7.00,7.00,7.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2109786,5.00,7.00,9.00,7.00,8.00,7.00,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2109794,7.00,8.00,8.00,8.00,8.00,7.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2109808,3.00,6.00,3.00,7.00,7.00,7.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2109824,2.00,5.00,3.00,5.00,5.00,4.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2109832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2109840,8.00,7.00,7.00,9.00,8.00,4.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2109859,5.00,6.00,8.00,3.00,5.00,4.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2109867,4.00,9.00,9.00,8.00,6.00,5.25,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2109875,3.00,7.00,4.00,2.00,7.00,5.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2109883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2109891,4.00,6.00,5.00,4.00,6.00,4.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2109905,5.00,6.00,4.00,4.00,7.00,3.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2109913,3.00,4.00,2.00,6.00,6.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2109930,9.00,9.00,9.00,9.00,9.00,7.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2109948,3.00,6.00,4.00,2.00,8.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2109956,7.00,8.00,7.00,7.00,8.00,8.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2109964,3.00,3.00,4.00,5.00,8.00,5.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2109972,2.00,7.00,5.00,8.00,8.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2109980,7.00,8.00,9.00,9.00,9.00,6.50,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2109999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2110008,8.00,9.00,9.00,6.00,9.00,7.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2110016,6.00,8.00,6.00,8.00,6.00,4.75,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2110024,0.00,6.00,4.00,2.00,6.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2110032,5.00,8.00,4.00,6.00,9.00,6.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2110040,1.00,5.00,3.00,5.00,4.00,3.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2110059,5.00,9.00,4.00,8.00,9.00,8.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2110075,3.00,6.00,1.00,3.00,8.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2110083,3.00,7.00,3.00,5.00,6.00,6.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2110091,5.00,8.00,6.00,6.00,8.00,5.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2110105,8.00,7.00,8.00,9.00,8.00,7.25,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2110113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2110121,2.00,5.00,4.00,3.00,5.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2110130,3.00,6.00,5.00,6.00,5.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2110148,7.00,7.00,6.00,4.00,7.00,5.75,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2110156,6.00,6.00,2.00,9.00,9.00,8.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2110172,5.00,7.00,5.00,6.00,9.00,6.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2110180,5.00,5.00,0.00,5.00,9.00,7.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2110199,8.00,9.00,5.00,5.00,8.00,7.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2110202,7.00,8.00,4.00,3.00,7.00,8.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2110210,5.00,9.00,8.00,9.00,9.00,5.75,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2110229,1.00,6.00,5.00,6.00,7.00,7.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2110237,3.00,7.00,3.00,3.00,4.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2110245,5.00,9.00,8.00,7.00,9.00,7.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2110253,3.00,3.00,6.00,2.00,8.00,5.25,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2110261,3.00,6.00,6.00,7.00,6.00,5.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2110270,2.00,7.00,4.00,5.00,7.00,6.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2110288,2.00,6.00,3.00,4.00,5.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2110296,4.00,7.00,8.00,4.00,7.00,5.25,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2110300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2110318,6.00,9.00,7.00,7.00,8.00,5.50,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2110326,5.00,5.00,4.00,6.00,7.00,5.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2110334,4.00,8.00,6.00,4.00,7.00,5.75,9.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2110342,6.00,8.00,7.00,3.00,8.00,6.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2110350,4.00,8.00,8.00,7.00,6.00,4.50,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2110369,1.00,6.00,1.00,6.00,7.00,3.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2110377,5.00,7.00,7.00,7.00,7.00,4.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2110385,2.00,4.00,5.00,6.00,7.00,5.50,6.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2110393,6.00,7.00,8.00,7.00,7.00,5.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2110407,5.00,5.00,5.00,7.00,5.00,6.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2110423,2.00,7.00,2.00,7.00,6.00,6.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2110431,5.00,9.00,7.00,9.00,8.00,7.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2110458,6.00,7.00,9.00,8.00,8.00,6.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2110466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2110474,7.00,8.00,9.00,9.00,9.00,7.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2110482,4.00,5.00,0.00,4.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2110490,4.00,8.00,6.00,7.00,7.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2110504,3.00,4.00,1.00,6.00,8.00,6.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2110520,7.00,7.00,7.00,7.00,8.00,7.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2110539,3.00,5.00,3.00,5.00,6.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2110547,3.00,6.00,6.00,7.00,6.00,7.00,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2110555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2110563,2.00,3.00,1.00,6.00,5.00,3.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2110571,3.00,6.00,2.00,2.00,5.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2110580,7.00,8.00,8.00,8.00,8.00,6.25,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2110598,7.00,9.00,7.00,2.00,6.00,4.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2110601,3.00,8.00,8.00,8.00,8.00,7.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2110610,8.00,8.00,9.00,7.00,8.00,7.25,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2110628,0.00,3.00,3.00,6.00,6.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2110636,7.00,6.00,7.00,9.00,9.00,5.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2110644,3.00,8.00,1.00,6.00,6.00,5.00,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2110660,0.00,4.00,2.00,3.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2110679,4.00,7.00,8.00,7.00,8.00,5.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2110687,2.00,8.00,1.00,6.00,5.00,5.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2110695,5.00,8.00,4.00,7.00,8.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2110709,3.00,6.00,3.00,7.00,7.00,3.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2110717,5.00,6.00,5.00,3.00,4.00,4.50,7.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2110725,2.00,7.00,4.00,6.00,8.00,3.75,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2110733,5.00,5.00,5.00,5.00,6.00,5.00,6.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2110741,4.00,5.00,8.00,8.00,8.00,3.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2110750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2110768,4.00,8.00,6.00,7.00,9.00,5.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2110776,3.00,5.00,5.00,9.00,7.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2110784,4.00,4.00,5.00,7.00,7.00,5.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2110806,5.00,8.00,4.00,4.00,8.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2110814,6.00,7.00,4.00,9.00,8.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2110822,1.00,3.00,1.00,3.00,5.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2110830,3.00,6.00,2.00,6.00,6.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2110849,3.00,1.00,3.00,3.00,6.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2110857,2.00,8.00,5.00,7.00,6.00,4.75,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2110865,3.00,6.00,4.00,5.00,6.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2110873,2.00,6.00,5.00,8.00,6.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2110881,3.00,7.00,1.00,9.00,5.00,4.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2110890,7.00,8.00,6.00,7.00,8.00,7.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2110903,2.00,6.00,1.00,1.00,4.00,5.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2110911,0.00,3.00,2.00,1.00,5.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2110920,6.00,8.00,6.00,8.00,7.00,8.00,6.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2110938,4.00,9.00,4.00,8.00,7.00,5.50,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2110946,7.00,8.00,9.00,8.00,9.00,7.00,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2110954,5.00,8.00,6.00,3.00,7.00,7.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2110970,4.00,6.00,3.00,5.00,7.00,4.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2110989,5.00,7.00,7.00,7.00,8.00,6.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2110997,5.00,5.00,6.00,8.00,8.00,6.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2111004,7.00,8.00,6.00,8.00,8.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2111020,1.00,5.00,1.00,5.00,6.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2111039,4.00,6.00,3.00,3.00,8.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2111047,2.00,6.00,6.00,5.00,4.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2111055,3.00,6.00,5.00,8.00,6.00,4.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2111063,8.00,9.00,9.00,7.00,8.00,8.00,9.00,9.00,9.00,NULL,NULL,NULL,'N'),(15,2111071,3.00,8.00,4.00,6.00,4.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2111080,3.00,5.00,1.00,3.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2111098,7.00,7.00,6.00,5.00,8.00,5.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2111101,6.00,9.00,7.00,5.00,9.00,7.00,7.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2111110,0.00,4.00,2.00,3.00,5.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2111128,7.00,6.00,7.00,5.00,8.00,4.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2111136,8.00,9.00,7.00,6.00,9.00,5.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2111144,4.00,6.00,6.00,6.00,7.00,4.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2111152,4.00,6.00,6.00,6.00,8.00,4.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2111160,2.00,7.00,3.00,9.00,8.00,7.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2111179,5.00,9.00,5.00,4.00,7.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2111187,2.00,7.00,5.00,4.00,7.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2111195,4.00,7.00,2.00,3.00,8.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2111209,4.00,8.00,5.00,5.00,4.00,5.00,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2111217,2.00,5.00,0.00,5.00,6.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2111225,3.00,6.00,1.00,5.00,6.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2111241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2111268,1.00,4.00,1.00,6.00,5.00,4.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2111276,0.00,3.00,1.00,7.00,6.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2111292,3.00,6.00,5.00,6.00,4.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2111306,0.00,4.00,1.00,1.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2111314,6.00,6.00,3.00,7.00,7.00,6.75,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2111322,7.00,7.00,6.00,4.00,7.00,7.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2111330,5.00,8.00,6.00,6.00,8.00,6.00,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2111349,8.00,7.00,7.00,8.00,8.00,6.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2111357,4.00,7.00,7.00,6.00,7.00,5.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2111365,1.00,5.00,4.00,2.00,3.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2111373,0.00,4.00,1.00,4.00,3.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2111381,6.00,7.00,8.00,8.00,7.00,7.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2111390,2.00,8.00,1.00,7.00,7.00,7.00,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2111403,6.00,8.00,5.00,8.00,8.00,8.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2111411,2.00,4.00,5.00,4.00,5.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2111420,2.00,2.00,1.00,0.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2111438,6.00,7.00,2.00,1.00,7.00,5.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2111446,1.00,6.00,1.00,4.00,6.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2111454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2111462,5.00,8.00,9.00,7.00,8.00,6.25,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2111470,4.00,7.00,1.00,2.00,5.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2111489,0.00,6.00,2.00,5.00,4.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2111497,3.00,1.00,4.00,3.00,4.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2111500,3.00,7.00,4.00,8.00,6.00,8.00,6.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2111527,3.00,5.00,3.00,3.00,3.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2111535,4.00,7.00,1.00,2.00,3.00,4.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2111543,7.00,9.00,5.00,5.00,8.00,6.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2111551,2.00,8.00,3.00,8.00,5.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2111560,4.00,8.00,5.00,9.00,7.00,6.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2111578,2.00,6.00,6.00,6.00,7.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2111586,4.00,7.00,2.00,4.00,7.00,6.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2111594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2111608,7.00,8.00,7.00,5.00,9.00,6.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2111616,4.00,5.00,4.00,4.00,4.00,4.50,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2111624,4.00,8.00,3.00,2.00,7.00,5.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2111632,2.00,5.00,2.00,5.00,4.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2111640,6.00,9.00,5.00,9.00,8.00,5.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2111659,3.00,8.00,6.00,6.00,7.00,4.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2111667,3.00,5.00,0.00,7.00,8.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2111675,6.00,9.00,7.00,7.00,8.00,7.00,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2111683,5.00,8.00,6.00,3.00,7.00,5.75,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2111691,4.00,7.00,6.00,6.00,8.00,6.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2111705,7.00,7.00,6.00,8.00,8.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2111713,3.00,5.00,2.00,5.00,8.00,6.75,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2111730,3.00,7.00,3.00,7.00,7.00,7.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2111748,2.00,2.00,2.00,2.00,3.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2111756,2.00,6.00,3.00,3.00,6.00,3.50,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2111780,5.00,8.00,6.00,7.00,8.00,4.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2111799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2111810,3.00,8.00,9.00,5.00,8.00,7.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2111829,5.00,7.00,2.00,4.00,6.00,4.00,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2111837,2.00,7.00,3.00,4.00,8.00,4.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2111845,3.00,5.00,8.00,6.00,6.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2111853,4.00,6.00,7.00,7.00,7.00,7.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2111861,7.00,8.00,10.00,9.00,9.00,7.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2111870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2111888,3.00,9.00,7.00,9.00,8.00,7.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2111900,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2111918,1.00,6.00,3.00,6.00,6.00,5.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2111926,8.00,7.00,7.00,8.00,9.00,6.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2111934,4.00,7.00,4.00,6.00,5.00,5.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2111942,1.00,7.00,2.00,2.00,3.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2111950,3.00,5.00,2.00,3.00,6.00,3.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2111969,2.00,6.00,7.00,8.00,8.00,6.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2111977,2.00,5.00,3.00,4.00,7.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2111985,4.00,5.00,3.00,1.00,5.00,3.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2111993,1.00,5.00,0.00,1.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2112000,0.00,5.00,3.00,4.00,5.00,1.75,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2112019,4.00,7.00,3.00,7.00,8.00,6.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2112027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2112035,2.00,5.00,0.00,7.00,8.00,7.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2112051,1.00,5.00,2.00,6.00,3.00,7.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2112060,0.00,4.00,4.00,3.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2112078,7.00,8.00,7.00,9.00,8.00,5.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2112086,2.00,6.00,6.00,2.00,6.00,5.75,6.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2112094,5.00,6.00,4.00,7.00,7.00,6.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2112108,8.00,9.00,9.00,9.00,9.00,9.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2112116,8.00,7.00,4.00,6.00,9.00,8.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2112124,0.00,6.00,2.00,5.00,6.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2112132,9.00,7.00,8.00,9.00,8.00,6.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2112140,3.00,6.00,3.00,5.00,7.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2112159,2.00,1.00,1.00,1.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2112167,0.00,3.00,4.00,2.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2112175,3.00,6.00,5.00,5.00,5.00,5.25,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2112183,7.00,7.00,5.00,8.00,8.00,5.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2112191,5.00,8.00,4.00,4.00,8.00,6.50,4.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2112205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2112213,4.00,5.00,5.00,5.00,9.00,6.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2112221,4.00,6.00,2.00,3.00,5.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2112230,7.00,8.00,8.00,6.00,6.00,4.25,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2112248,8.00,9.00,9.00,9.00,9.00,6.00,9.00,9.00,9.00,NULL,NULL,NULL,'N'),(15,2112264,3.00,8.00,2.00,7.00,5.00,6.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2112272,3.00,7.00,7.00,7.00,6.00,5.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2112302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2112310,2.00,5.00,4.00,5.00,7.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2112329,6.00,6.00,4.00,6.00,7.00,7.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2112337,6.00,8.00,7.00,6.00,9.00,5.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2112345,7.00,8.00,3.00,7.00,8.00,7.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2112353,6.00,7.00,9.00,7.00,8.00,5.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2112361,0.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2112388,2.00,4.00,2.00,4.00,7.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2112396,7.00,8.00,7.00,8.00,7.00,6.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2112400,2.00,5.00,4.00,5.00,5.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2112418,2.00,5.00,3.00,3.00,5.00,4.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2112426,2.00,9.00,3.00,7.00,8.00,6.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2112434,7.00,7.00,8.00,7.00,6.00,6.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2112442,8.00,8.00,7.00,9.00,7.00,7.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2112450,6.00,7.00,9.00,8.00,8.00,7.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2112469,3.00,3.00,2.00,5.00,5.00,5.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2112477,2.00,5.00,4.00,4.00,6.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2112485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2112493,3.00,6.00,2.00,6.00,6.00,5.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2112507,4.00,4.00,1.00,4.00,5.00,5.50,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2112515,6.00,8.00,7.00,3.00,8.00,6.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2112523,3.00,8.00,5.00,9.00,8.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2112540,3.00,6.00,4.00,0.00,6.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2112558,5.00,5.00,4.00,6.00,5.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2112566,3.00,3.00,2.00,5.00,5.00,4.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2112574,4.00,8.00,4.00,3.00,7.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2112582,6.00,6.00,6.00,4.00,6.00,6.00,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2112590,2.00,7.00,4.00,6.00,8.00,4.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2112604,6.00,6.00,4.00,5.00,7.00,6.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2112612,4.00,9.00,5.00,6.00,7.00,5.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2112620,3.00,6.00,3.00,4.00,6.00,4.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2112647,7.00,9.00,8.00,7.00,7.00,6.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2112655,4.00,5.00,4.00,5.00,8.00,7.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2112663,4.00,7.00,4.00,7.00,8.00,5.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2112671,2.00,5.00,7.00,8.00,7.00,5.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2112680,7.00,8.00,8.00,6.00,7.00,5.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2112698,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2112701,2.00,5.00,0.00,5.00,6.00,4.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2112710,6.00,8.00,6.00,8.00,7.00,6.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2112728,4.00,5.00,6.00,7.00,7.00,5.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2112736,5.00,8.00,3.00,7.00,8.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2112744,4.00,7.00,9.00,7.00,8.00,4.00,9.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2112752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2112760,4.00,7.00,3.00,6.00,2.00,NULL,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2112779,3.00,6.00,5.00,6.00,5.00,3.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2112787,3.00,7.00,5.00,6.00,6.00,5.75,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2112795,5.00,6.00,5.00,6.00,7.00,6.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2112809,0.00,4.00,2.00,1.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2112817,5.00,8.00,9.00,7.00,8.00,6.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2112825,8.00,8.00,8.00,5.00,7.00,6.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2112833,3.00,7.00,6.00,7.00,7.00,5.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2112841,4.00,8.00,8.00,6.00,8.00,4.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2112850,8.00,9.00,8.00,9.00,9.00,7.75,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2112868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2112876,4.00,5.00,6.00,5.00,7.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2112906,1.00,4.00,3.00,5.00,4.00,7.50,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2112914,2.00,6.00,4.00,4.00,4.00,4.75,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2112922,3.00,7.00,4.00,6.00,6.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2112949,3.00,7.00,5.00,10.00,9.00,4.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2112957,6.00,7.00,5.00,6.00,8.00,7.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2112965,6.00,8.00,7.00,8.00,9.00,7.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2112973,7.00,9.00,8.00,7.00,8.00,6.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2112981,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2112990,5.00,3.00,0.00,0.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2113007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2113015,3.00,5.00,2.00,7.00,7.00,2.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2113023,3.00,6.00,5.00,7.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2113031,3.00,8.00,2.00,6.00,5.00,5.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2113040,2.00,5.00,3.00,3.00,4.00,4.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2113058,5.00,6.00,2.00,6.00,6.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2113066,2.00,3.00,3.00,6.00,7.00,6.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2113082,4.00,5.00,3.00,5.00,7.00,7.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2113090,3.00,5.00,4.00,7.00,6.00,5.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2113112,7.00,9.00,8.00,9.00,9.00,6.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2113120,7.00,7.00,6.00,8.00,8.00,5.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2113139,4.00,7.00,2.00,5.00,7.00,6.75,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2113147,1.00,4.00,2.00,0.00,6.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2113155,3.00,4.00,3.00,3.00,4.00,4.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2113163,6.00,7.00,8.00,9.00,9.00,5.75,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2113171,3.00,6.00,4.00,6.00,6.00,4.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2113180,7.00,8.00,5.00,7.00,8.00,8.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2113198,2.00,7.00,3.00,6.00,3.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2113201,8.00,8.00,8.00,9.00,7.00,6.50,10.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2113210,3.00,8.00,2.00,3.00,7.00,7.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2113228,2.00,3.00,0.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2113236,2.00,3.00,1.00,3.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2113244,5.00,9.00,6.00,7.00,7.00,5.50,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2113252,3.00,6.00,7.00,2.00,8.00,4.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2113260,8.00,8.00,8.00,8.00,9.00,6.25,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2113279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2113287,4.00,5.00,3.00,6.00,6.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2113295,3.00,9.00,6.00,9.00,8.00,8.50,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2113309,3.00,6.00,3.00,2.00,6.00,7.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2113317,2.00,5.00,1.00,1.00,5.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2113333,3.00,8.00,5.00,7.00,4.00,5.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2113350,3.00,7.00,4.00,3.00,9.00,6.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2113368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2113376,3.00,7.00,7.00,5.00,8.00,6.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2113384,8.00,9.00,8.00,8.00,9.00,6.75,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2113392,3.00,9.00,5.00,5.00,6.00,4.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2113406,8.00,8.00,9.00,8.00,9.00,6.75,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2113414,6.00,6.00,7.00,5.00,6.00,6.00,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2113422,2.00,4.00,2.00,5.00,3.00,5.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2113430,5.00,7.00,2.00,5.00,7.00,6.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2113457,3.00,5.00,3.00,5.00,6.00,3.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2113465,6.00,9.00,5.00,7.00,8.00,5.25,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2113473,1.00,6.00,5.00,5.00,7.00,3.50,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2113481,3.00,4.00,4.00,4.00,5.00,5.00,5.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2113490,5.00,7.00,1.00,2.00,9.00,7.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2113503,4.00,7.00,3.00,7.00,6.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2113511,3.00,6.00,2.00,7.00,5.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2113538,0.00,4.00,3.00,2.00,3.00,4.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2113554,5.00,7.00,9.00,6.00,9.00,5.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2113562,3.00,6.00,6.00,5.00,6.00,4.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2113570,5.00,9.00,8.00,8.00,7.00,5.50,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2113589,3.00,8.00,1.00,5.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2113597,4.00,7.00,3.00,3.00,7.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2113600,4.00,8.00,7.00,8.00,6.00,5.75,6.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2113619,3.00,8.00,9.00,8.00,9.00,9.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2113627,2.00,5.00,0.00,2.00,6.00,6.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2113635,3.00,5.00,5.00,6.00,8.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2113643,7.00,7.00,9.00,7.00,8.00,5.75,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2113660,4.00,6.00,5.00,2.00,6.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2113678,4.00,7.00,9.00,8.00,8.00,6.00,9.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2113686,1.00,7.00,2.00,7.00,4.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2113694,8.00,8.00,9.00,9.00,9.00,6.25,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(15,2113708,4.00,8.00,5.00,7.00,8.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2113716,2.00,6.00,2.00,3.00,7.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2113732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2113740,4.00,7.00,5.00,2.00,6.00,6.25,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2113759,4.00,6.00,5.00,4.00,6.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2113767,5.00,7.00,8.00,8.00,8.00,6.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2113775,3.00,8.00,7.00,9.00,8.00,6.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2113783,3.00,3.00,2.00,2.00,4.00,5.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2113791,9.00,9.00,7.00,8.00,7.00,6.75,9.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2113805,7.00,5.00,6.00,8.00,8.00,6.75,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(15,2113813,4.00,8.00,4.00,7.00,8.00,7.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2113821,3.00,7.00,4.00,8.00,6.00,5.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2113830,4.00,5.00,3.00,1.00,7.00,5.00,7.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2113848,3.00,5.00,5.00,8.00,8.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2113856,1.00,8.00,1.00,7.00,6.00,4.75,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2113864,7.00,7.00,8.00,7.00,8.00,6.75,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2113872,1.00,3.00,1.00,2.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2113880,3.00,7.00,5.00,7.00,8.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2113902,0.00,5.00,1.00,3.00,4.00,4.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2113910,7.00,8.00,6.00,7.00,8.00,4.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2113929,4.00,7.00,6.00,5.00,8.00,5.25,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2113937,3.00,4.00,1.00,7.00,6.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2113945,2.00,2.00,1.00,2.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2113953,5.00,6.00,2.00,8.00,8.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2113961,2.00,8.00,3.00,4.00,8.00,6.50,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2113988,2.00,3.00,4.00,4.00,6.00,5.25,5.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2113996,0.00,5.00,1.00,7.00,5.00,4.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2114003,3.00,5.00,3.00,4.00,6.00,4.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2114011,5.00,7.00,7.00,6.00,7.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2114020,7.00,8.00,8.00,8.00,9.00,7.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2114038,3.00,7.00,3.00,7.00,5.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2114046,4.00,5.00,3.00,4.00,7.00,5.50,5.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2114054,4.00,5.00,6.00,6.00,8.00,4.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2114062,1.00,5.00,0.00,3.00,6.00,4.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2114070,5.00,7.00,6.00,6.00,8.00,5.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2114097,5.00,7.00,3.00,6.00,8.00,7.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2114119,5.00,6.00,3.00,1.00,8.00,7.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2114127,6.00,5.00,6.00,4.00,7.00,4.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2114143,3.00,6.00,2.00,5.00,3.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2114151,4.00,6.00,6.00,1.00,6.00,5.25,5.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2114160,7.00,9.00,9.00,7.00,9.00,8.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2114178,7.00,9.00,7.00,6.00,8.00,6.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2114186,4.00,6.00,6.00,8.00,6.00,6.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2114194,4.00,5.00,2.00,4.00,6.00,6.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2114208,5.00,7.00,5.00,6.00,8.00,6.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2114216,4.00,7.00,5.00,8.00,8.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2114224,4.00,7.00,3.00,6.00,8.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2114232,8.00,8.00,7.00,7.00,8.00,4.00,9.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2114240,5.00,6.00,7.00,8.00,8.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2114259,3.00,8.00,6.00,8.00,7.00,6.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2114267,7.00,8.00,8.00,7.00,9.00,7.00,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2114275,5.00,6.00,4.00,8.00,8.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2114291,3.00,8.00,6.00,4.00,7.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2114305,4.00,7.00,6.00,8.00,4.00,4.50,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2114313,5.00,7.00,5.00,8.00,7.00,5.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2114321,5.00,5.00,4.00,7.00,8.00,6.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2114330,5.00,7.00,2.00,1.00,7.00,7.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2114348,3.00,6.00,4.00,8.00,7.00,7.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2114356,4.00,6.00,5.00,6.00,8.00,5.25,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2114364,7.00,8.00,2.00,2.00,8.00,6.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2114372,0.00,8.00,3.00,3.00,8.00,4.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2114380,7.00,8.00,7.00,7.00,9.00,7.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2114402,7.00,8.00,8.00,7.00,9.00,6.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2114410,0.00,2.00,3.00,1.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2114437,4.00,7.00,3.00,2.00,7.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2114445,3.00,5.00,0.00,1.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2114453,5.00,7.00,6.00,5.00,8.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2114461,6.00,8.00,5.00,6.00,9.00,6.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2114488,6.00,8.00,8.00,6.00,8.00,8.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2114496,3.00,8.00,3.00,5.00,7.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2114500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2114518,7.00,5.00,7.00,2.00,6.00,5.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2114526,6.00,9.00,8.00,4.00,7.00,6.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2114534,4.00,7.00,4.00,2.00,7.00,3.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2114542,4.00,6.00,4.00,8.00,7.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2114550,7.00,8.00,7.00,8.00,7.00,6.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2114569,4.00,8.00,2.00,1.00,6.00,6.50,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2114577,5.00,6.00,3.00,8.00,7.00,6.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2114585,3.00,7.00,6.00,5.00,6.00,6.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2114607,3.00,5.00,3.00,7.00,3.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2114615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2114623,1.00,2.00,0.00,1.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2114631,5.00,5.00,3.00,5.00,3.00,4.75,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2114640,5.00,8.00,4.00,5.00,9.00,7.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2114658,8.00,8.00,9.00,8.00,9.00,6.75,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(15,2114666,3.00,8.00,2.00,6.00,6.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2114682,4.00,7.00,6.00,8.00,8.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2114704,2.00,7.00,5.00,2.00,6.00,4.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2114712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2114720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2114739,3.00,5.00,2.00,4.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2114747,3.00,8.00,8.00,2.00,6.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2114755,5.00,7.00,5.00,0.00,0.00,NULL,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2114763,2.00,6.00,5.00,6.00,7.00,5.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2114771,5.00,7.00,5.00,6.00,6.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2114780,2.00,7.00,5.00,6.00,5.00,4.50,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2114801,2.00,6.00,2.00,2.00,6.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2114810,4.00,7.00,6.00,8.00,8.00,6.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2114828,2.00,5.00,4.00,5.00,6.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2114836,5.00,7.00,6.00,6.00,5.00,6.00,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2114844,3.00,8.00,6.00,5.00,7.00,6.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2114860,3.00,6.00,3.00,3.00,5.00,2.00,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2114879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2114887,2.00,7.00,3.00,3.00,7.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2114895,3.00,6.00,5.00,7.00,6.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2114909,8.00,9.00,8.00,9.00,8.00,5.50,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2114917,4.00,7.00,9.00,9.00,8.00,8.00,9.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2114925,2.00,4.00,5.00,7.00,3.00,5.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2114933,5.00,7.00,3.00,2.00,9.00,7.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2114941,5.00,6.00,4.00,5.00,7.00,7.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2114950,5.00,5.00,3.00,6.00,6.00,5.00,7.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2114968,8.00,8.00,8.00,9.00,9.00,7.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2114976,5.00,6.00,1.00,3.00,7.00,6.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2114984,2.00,6.00,2.00,4.00,6.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2114992,4.00,7.00,2.00,5.00,9.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2115000,3.00,6.00,5.00,2.00,7.00,5.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2115018,2.00,8.00,3.00,3.00,7.00,5.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2115026,5.00,6.00,6.00,3.00,5.00,5.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2115034,0.00,3.00,2.00,1.00,4.00,4.50,5.00,2.00,4.00,NULL,NULL,NULL,'S'),(15,2115042,3.00,5.00,3.00,4.00,8.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2115050,3.00,3.00,0.00,4.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2115069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2115077,6.00,8.00,9.00,4.00,8.00,6.25,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2115085,6.00,9.00,9.00,8.00,8.00,7.00,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2115093,5.00,7.00,7.00,9.00,7.00,5.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2115107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2115131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2115140,2.00,6.00,4.00,3.00,4.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2115158,9.00,8.00,9.00,8.00,9.00,7.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2115166,8.00,8.00,8.00,7.00,8.00,6.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2115174,2.00,4.00,4.00,1.00,6.00,5.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2115190,5.00,8.00,7.00,7.00,8.00,6.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2115204,5.00,8.00,4.00,8.00,8.00,6.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2115212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2115220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2115239,6.00,7.00,4.00,3.00,9.00,6.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2115247,3.00,7.00,7.00,7.00,6.00,6.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2115263,5.00,8.00,7.00,7.00,8.00,6.50,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2115271,4.00,7.00,3.00,2.00,5.00,4.25,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2115280,6.00,7.00,1.00,6.00,6.00,6.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2115298,3.00,6.00,3.00,6.00,8.00,6.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2115301,2.00,5.00,5.00,5.00,5.00,4.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2115310,3.00,6.00,4.00,4.00,4.00,3.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2115336,3.00,7.00,5.00,3.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2115344,2.00,5.00,4.00,3.00,5.00,4.00,5.00,7.00,2.00,NULL,NULL,NULL,'S'),(15,2115352,7.00,8.00,8.00,9.00,8.00,5.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2115360,0.00,4.00,1.00,5.00,5.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2115387,2.00,6.00,4.00,6.00,7.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2115417,5.00,7.00,3.00,5.00,7.00,4.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2115425,5.00,7.00,7.00,7.00,8.00,5.00,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2115433,4.00,5.00,6.00,5.00,8.00,6.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2115441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2115450,5.00,7.00,3.00,4.00,7.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2115468,2.00,6.00,7.00,2.00,5.00,5.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2115476,6.00,8.00,5.00,8.00,9.00,6.25,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2115484,2.00,7.00,3.00,1.00,5.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2115492,5.00,6.00,8.00,6.00,7.00,6.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2115506,3.00,8.00,5.00,4.00,5.00,5.50,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2115522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2115530,1.00,4.00,3.00,1.00,6.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2115549,6.00,7.00,6.00,6.00,7.00,5.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2115557,0.00,0.00,0.00,5.00,9.00,NULL,6.00,4.00,3.00,NULL,'S',NULL,'S'),(15,2115565,1.00,3.00,1.00,3.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2115573,2.00,4.00,0.00,3.00,4.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2115581,6.00,8.00,6.00,7.00,8.00,6.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2115590,4.00,2.00,5.00,8.00,4.00,6.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2115603,3.00,7.00,3.00,9.00,7.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2115620,3.00,6.00,1.00,7.00,9.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2115646,3.00,5.00,4.00,5.00,5.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2115654,3.00,8.00,5.00,5.00,7.00,6.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2115662,2.00,4.00,2.00,3.00,4.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2115670,3.00,6.00,3.00,5.00,6.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2115689,5.00,5.00,5.00,4.00,7.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2115697,5.00,9.00,8.00,5.00,7.00,4.75,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2115719,6.00,9.00,7.00,9.00,7.00,4.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2115727,5.00,8.00,4.00,9.00,7.00,5.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2115735,3.00,4.00,5.00,4.00,5.00,5.75,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2115751,4.00,6.00,2.00,3.00,7.00,4.50,5.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2115760,4.00,4.00,2.00,5.00,7.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2115778,3.00,6.00,4.00,6.00,6.00,4.50,5.00,5.00,6.00,NULL,NULL,NULL,'S'),(15,2115786,9.00,8.00,6.00,7.00,9.00,8.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2115794,5.00,6.00,3.00,8.00,8.00,4.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2115808,6.00,6.00,5.00,6.00,5.00,3.25,5.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2115816,2.00,8.00,3.00,8.00,8.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2115824,3.00,9.00,7.00,2.00,8.00,4.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2115832,6.00,8.00,5.00,9.00,9.00,5.75,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2115840,3.00,7.00,6.00,5.00,9.00,5.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2115859,4.00,8.00,4.00,9.00,7.00,6.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2115867,4.00,9.00,6.00,3.00,7.00,6.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2115875,3.00,4.00,1.00,2.00,5.00,5.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2115883,5.00,7.00,4.00,7.00,8.00,5.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2115891,3.00,4.00,0.00,1.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2115905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2115913,3.00,4.00,4.00,7.00,4.00,5.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2115921,4.00,7.00,5.00,6.00,8.00,7.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2115930,3.00,5.00,5.00,4.00,5.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2115948,6.00,6.00,8.00,3.00,6.00,6.25,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2115956,1.00,6.00,2.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2115964,4.00,5.00,2.00,5.00,9.00,4.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2115980,4.00,7.00,3.00,1.00,4.00,5.50,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2115999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2116006,8.00,8.00,8.00,8.00,9.00,7.75,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2116014,1.00,7.00,5.00,2.00,6.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2116022,4.00,7.00,3.00,5.00,7.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2116030,4.00,7.00,4.00,6.00,8.00,6.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2116049,4.00,6.00,3.00,4.00,6.00,5.25,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2116057,6.00,7.00,5.00,6.00,6.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2116073,4.00,7.00,6.00,8.00,8.00,4.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2116081,2.00,6.00,2.00,5.00,8.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2116090,7.00,8.00,9.00,8.00,8.00,9.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2116103,2.00,6.00,8.00,6.00,7.00,6.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2116111,6.00,7.00,6.00,5.00,6.00,6.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2116138,5.00,7.00,3.00,6.00,4.00,4.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2116146,1.00,6.00,2.00,7.00,4.00,NULL,3.00,9.00,0.00,NULL,NULL,NULL,'N'),(15,2116154,3.00,6.00,1.00,3.00,8.00,6.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2116170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2116189,4.00,8.00,6.00,7.00,8.00,7.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2116197,3.00,9.00,8.00,5.00,8.00,4.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2116200,7.00,8.00,6.00,6.00,8.00,7.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2116219,4.00,5.00,4.00,1.00,7.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2116227,6.00,6.00,4.00,7.00,6.00,5.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2116235,4.00,8.00,4.00,5.00,7.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2116243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2116251,3.00,4.00,2.00,8.00,5.00,7.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2116260,2.00,7.00,3.00,9.00,6.00,5.75,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2116286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2116294,5.00,8.00,8.00,3.00,8.00,5.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2116316,6.00,8.00,9.00,8.00,8.00,5.75,9.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2116324,4.00,6.00,4.00,3.00,6.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2116340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2116359,4.00,5.00,2.00,2.00,6.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2116375,2.00,8.00,5.00,2.00,5.00,3.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2116383,6.00,9.00,7.00,7.00,8.00,8.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2116391,5.00,6.00,7.00,5.00,7.00,5.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2116405,3.00,6.00,4.00,8.00,5.00,5.50,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2116421,6.00,5.00,4.00,4.00,7.00,6.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2116430,3.00,6.00,2.00,6.00,8.00,6.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2116464,4.00,8.00,5.00,9.00,5.00,6.25,4.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2116472,3.00,6.00,4.00,8.00,7.00,7.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2116480,4.00,7.00,8.00,7.00,8.00,5.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2116499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2116502,3.00,6.00,3.00,1.00,7.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2116510,2.00,6.00,2.00,7.00,8.00,5.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2116529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2116537,7.00,7.00,8.00,6.00,9.00,7.50,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2116553,1.00,6.00,5.00,0.00,5.00,3.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2116561,6.00,6.00,6.00,5.00,8.00,6.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2116588,1.00,5.00,1.00,7.00,8.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2116596,8.00,9.00,7.00,8.00,7.00,5.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2116600,8.00,9.00,9.00,9.00,9.00,6.75,8.00,4.00,8.00,NULL,NULL,NULL,'N'),(15,2116618,3.00,3.00,1.00,3.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2116642,2.00,6.00,7.00,3.00,6.00,7.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2116650,7.00,6.00,3.00,6.00,7.00,5.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2116669,2.00,6.00,5.00,4.00,6.00,4.75,6.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2116685,3.00,7.00,4.00,5.00,7.00,6.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2116693,3.00,5.00,3.00,9.00,6.00,6.00,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2116707,6.00,8.00,8.00,9.00,9.00,6.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2116723,6.00,7.00,6.00,6.00,8.00,7.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2116731,3.00,5.00,1.00,4.00,5.00,4.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2116740,1.00,8.00,8.00,7.00,4.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2116766,1.00,6.00,3.00,4.00,5.00,3.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2116782,4.00,6.00,3.00,2.00,3.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2116790,2.00,4.00,0.00,2.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2116804,3.00,4.00,4.00,3.00,5.00,5.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2116812,5.00,5.00,6.00,6.00,6.00,4.50,7.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2116820,3.00,7.00,3.00,7.00,7.00,6.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2116839,4.00,8.00,2.00,6.00,5.00,5.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2116847,6.00,8.00,6.00,8.00,8.00,4.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2116855,2.00,8.00,1.00,9.00,6.00,4.75,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2116863,2.00,8.00,2.00,7.00,8.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2116871,5.00,8.00,5.00,8.00,6.00,7.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2116898,4.00,7.00,5.00,9.00,7.00,5.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2116901,5.00,8.00,7.00,6.00,8.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2116910,1.00,6.00,0.00,0.00,0.00,NULL,3.00,6.00,2.00,'S',NULL,NULL,'S'),(15,2116936,2.00,6.00,1.00,7.00,7.00,5.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2116960,2.00,3.00,0.00,6.00,5.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2116979,6.00,8.00,6.00,5.00,9.00,6.00,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2116987,7.00,8.00,4.00,6.00,7.00,7.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2116995,4.00,7.00,4.00,6.00,7.00,4.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2117002,4.00,5.00,5.00,6.00,6.00,6.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2117037,4.00,3.00,0.00,2.00,4.00,5.25,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2117053,3.00,6.00,5.00,5.00,4.00,4.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2117061,4.00,8.00,9.00,9.00,7.00,7.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2117070,6.00,7.00,4.00,6.00,6.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2117088,2.00,4.00,0.00,5.00,6.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2117096,4.00,5.00,2.00,4.00,8.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2117100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2117134,2.00,8.00,2.00,2.00,6.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2117169,3.00,7.00,3.00,7.00,9.00,4.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2117185,6.00,8.00,6.00,5.00,8.00,6.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2117193,3.00,6.00,4.00,7.00,7.00,6.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2117207,1.00,2.00,1.00,1.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2117223,2.00,5.00,1.00,2.00,5.00,2.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2117240,5.00,6.00,2.00,3.00,8.00,7.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2117266,2.00,8.00,5.00,7.00,7.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2117274,8.00,7.00,9.00,7.00,9.00,7.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2117282,5.00,6.00,9.00,8.00,7.00,5.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2117290,3.00,5.00,1.00,2.00,3.00,3.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2117304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2117312,5.00,6.00,0.00,4.00,5.00,6.50,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2117320,2.00,6.00,0.00,6.00,6.00,7.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2117339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2117347,3.00,4.00,4.00,1.00,6.00,6.25,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2117355,3.00,8.00,3.00,7.00,8.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2117363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2117371,4.00,6.00,6.00,5.00,6.00,6.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2117398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2117401,3.00,6.00,6.00,4.00,9.00,5.25,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2117428,4.00,6.00,3.00,2.00,1.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2117436,5.00,7.00,2.00,4.00,9.00,7.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2117452,1.00,4.00,1.00,0.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2117460,7.00,8.00,5.00,4.00,8.00,7.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2117479,6.00,4.00,7.00,5.00,7.00,6.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2117495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2117509,6.00,7.00,4.00,6.00,7.00,6.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2117517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2117525,6.00,8.00,5.00,4.00,7.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2117533,3.00,7.00,3.00,4.00,3.00,3.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2117541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2117550,7.00,6.00,7.00,7.00,8.00,5.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2117568,4.00,8.00,3.00,4.00,8.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2117576,4.00,5.00,1.00,1.00,7.00,3.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2117592,5.00,8.00,4.00,5.00,7.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2117606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2117614,3.00,4.00,1.00,4.00,5.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2117622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2117630,4.00,5.00,2.00,6.00,6.00,5.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2117649,2.00,5.00,3.00,2.00,6.00,7.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2117665,3.00,6.00,4.00,9.00,5.00,7.25,6.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2117673,2.00,8.00,1.00,2.00,6.00,7.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2117681,2.00,5.00,4.00,4.00,6.00,5.25,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2117690,3.00,4.00,5.00,1.00,4.00,4.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2117703,7.00,8.00,5.00,8.00,7.00,6.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2117711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2117720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2117738,1.00,7.00,0.00,1.00,4.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2117746,7.00,8.00,8.00,7.00,9.00,6.75,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2117754,5.00,7.00,8.00,3.00,7.00,6.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2117770,4.00,6.00,3.00,4.00,6.00,3.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2117789,5.00,8.00,5.00,8.00,8.00,6.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2117797,6.00,8.00,8.00,6.00,7.00,7.50,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2117800,3.00,5.00,4.00,2.00,5.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2117819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2117827,4.00,5.00,2.00,5.00,7.00,6.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2117835,4.00,8.00,2.00,0.00,8.00,6.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2117843,5.00,7.00,3.00,3.00,9.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2117851,1.00,6.00,3.00,6.00,3.00,5.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2117860,2.00,7.00,5.00,5.00,5.00,4.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2117878,5.00,8.00,8.00,8.00,8.00,6.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2117886,5.00,7.00,6.00,2.00,7.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2117894,2.00,5.00,0.00,1.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2117924,7.00,7.00,8.00,8.00,7.00,6.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2117932,3.00,4.00,4.00,4.00,3.00,4.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2117959,2.00,3.00,2.00,1.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2117967,4.00,8.00,4.00,3.00,7.00,6.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2117975,3.00,8.00,7.00,6.00,9.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2117983,6.00,7.00,7.00,7.00,7.00,5.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2118017,5.00,9.00,5.00,9.00,7.00,6.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2118025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2118033,5.00,8.00,1.00,8.00,6.00,5.25,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2118041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2118050,6.00,7.00,8.00,8.00,8.00,7.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2118068,2.00,3.00,1.00,3.00,6.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2118076,6.00,8.00,6.00,5.00,8.00,4.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2118084,4.00,5.00,4.00,2.00,5.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2118092,3.00,6.00,4.00,7.00,7.00,8.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2118106,0.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2118114,2.00,5.00,4.00,3.00,6.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2118122,1.00,6.00,5.00,4.00,6.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2118157,2.00,5.00,4.00,3.00,5.00,3.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2118165,5.00,6.00,7.00,7.00,8.00,6.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2118173,5.00,9.00,6.00,8.00,8.00,5.50,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2118181,2.00,7.00,5.00,5.00,7.00,6.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2118190,3.00,4.00,2.00,1.00,5.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2118203,5.00,5.00,7.00,8.00,8.00,4.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2118211,4.00,6.00,4.00,6.00,8.00,4.25,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2118220,5.00,5.00,4.00,4.00,3.00,4.50,6.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2118238,4.00,3.00,3.00,2.00,7.00,5.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2118246,3.00,8.00,1.00,7.00,7.00,8.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2118254,3.00,8.00,3.00,6.00,8.00,5.50,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2118262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2118270,5.00,7.00,5.00,4.00,8.00,5.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2118300,6.00,8.00,7.00,6.00,7.00,6.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2118319,4.00,7.00,6.00,7.00,8.00,6.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2118327,2.00,4.00,1.00,1.00,6.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2118335,4.00,6.00,2.00,6.00,4.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2118351,6.00,6.00,4.00,8.00,7.00,6.50,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2118360,3.00,3.00,1.00,5.00,6.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2118378,7.00,8.00,7.00,9.00,8.00,7.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2118386,3.00,2.00,1.00,3.00,7.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2118408,5.00,6.00,5.00,4.00,9.00,5.50,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2118416,5.00,7.00,7.00,5.00,9.00,7.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2118440,3.00,5.00,4.00,8.00,6.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2118459,2.00,7.00,4.00,7.00,6.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2118467,4.00,8.00,8.00,9.00,9.00,6.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2118475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2118483,3.00,8.00,5.00,5.00,8.00,5.25,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2118491,6.00,6.00,2.00,5.00,7.00,7.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2118505,7.00,8.00,7.00,9.00,8.00,8.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2118521,1.00,3.00,3.00,7.00,4.00,5.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2118530,2.00,3.00,2.00,1.00,5.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2118548,0.00,5.00,1.00,5.00,3.00,5.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2118556,1.00,5.00,3.00,6.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2118572,2.00,8.00,1.00,1.00,8.00,5.75,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2118580,5.00,8.00,6.00,6.00,6.00,6.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2118599,4.00,6.00,9.00,7.00,7.00,4.25,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2118610,4.00,7.00,7.00,5.00,8.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2118629,6.00,7.00,7.00,7.00,7.00,6.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2118637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2118645,4.00,5.00,2.00,3.00,7.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2118670,6.00,9.00,7.00,9.00,7.00,6.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2118696,6.00,7.00,3.00,5.00,6.00,4.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2118700,6.00,8.00,7.00,6.00,6.00,6.50,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2118718,6.00,8.00,4.00,3.00,9.00,5.75,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2118734,3.00,7.00,4.00,8.00,7.00,5.75,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2118750,3.00,6.00,3.00,3.00,6.00,3.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2118769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2118777,3.00,4.00,3.00,6.00,6.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2118785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2118807,7.00,9.00,7.00,9.00,8.00,8.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2118815,2.00,7.00,2.00,5.00,8.00,4.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2118823,4.00,7.00,3.00,3.00,6.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2118840,1.00,5.00,0.00,6.00,5.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2118858,3.00,5.00,1.00,7.00,7.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2118866,4.00,8.00,8.00,7.00,8.00,4.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2118874,3.00,6.00,5.00,2.00,5.00,3.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2118882,5.00,6.00,6.00,6.00,6.00,6.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2118890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2118904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2118920,3.00,5.00,3.00,4.00,5.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2118939,9.00,9.00,6.00,7.00,8.00,6.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2118947,2.00,4.00,0.00,4.00,4.00,5.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2118955,2.00,5.00,4.00,1.00,2.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2118963,3.00,5.00,7.00,7.00,6.00,4.00,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2118971,1.00,6.00,2.00,2.00,5.00,5.25,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2118980,3.00,5.00,4.00,5.00,6.00,6.00,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2118998,3.00,6.00,2.00,0.00,2.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2119005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2119013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2119021,3.00,8.00,5.00,4.00,6.00,6.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2119030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2119048,6.00,7.00,8.00,9.00,7.00,6.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2119056,5.00,9.00,5.00,7.00,9.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2119072,3.00,7.00,7.00,2.00,8.00,7.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2119080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2119099,4.00,7.00,6.00,7.00,5.00,6.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2119102,4.00,7.00,3.00,6.00,6.00,5.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2119110,2.00,5.00,5.00,6.00,5.00,5.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2119129,7.00,4.00,8.00,6.00,8.00,6.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2119137,4.00,5.00,1.00,2.00,3.00,4.75,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2119153,4.00,7.00,2.00,6.00,8.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2119161,3.00,8.00,2.00,7.00,7.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2119188,4.00,8.00,7.00,7.00,7.00,6.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2119200,3.00,4.00,3.00,2.00,4.00,5.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2119218,4.00,1.00,1.00,1.00,1.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2119226,0.00,5.00,1.00,5.00,7.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2119234,3.00,7.00,6.00,3.00,8.00,5.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2119250,6.00,9.00,5.00,5.00,8.00,7.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2119269,2.00,3.00,2.00,5.00,3.00,5.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2119277,3.00,4.00,5.00,2.00,5.00,5.75,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2119285,0.00,1.00,1.00,0.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2119293,4.00,7.00,7.00,5.00,7.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2119307,2.00,7.00,5.00,7.00,7.00,6.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2119315,4.00,6.00,4.00,4.00,7.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2119323,6.00,7.00,7.00,7.00,9.00,6.25,9.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2119331,7.00,7.00,6.00,9.00,7.00,6.75,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2119340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2119358,3.00,8.00,5.00,8.00,8.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2119374,6.00,8.00,6.00,5.00,9.00,5.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2119390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2119404,6.00,7.00,5.00,6.00,6.00,6.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2119412,6.00,7.00,4.00,7.00,6.00,5.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2119420,4.00,8.00,4.00,8.00,6.00,5.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2119455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2119471,3.00,8.00,5.00,3.00,8.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2119480,4.00,6.00,2.00,2.00,4.00,4.50,3.00,7.00,1.00,NULL,NULL,NULL,'S'),(15,2119498,6.00,6.00,2.00,3.00,8.00,6.00,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2119501,5.00,5.00,5.00,2.00,7.00,6.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2119510,6.00,7.00,4.00,7.00,7.00,5.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2119544,3.00,5.00,5.00,6.00,4.00,5.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2119552,3.00,4.00,5.00,7.00,8.00,5.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2119560,8.00,8.00,8.00,8.00,7.00,5.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2119579,4.00,7.00,4.00,6.00,7.00,4.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2119587,3.00,6.00,4.00,9.00,6.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2119595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2119609,6.00,8.00,0.00,8.00,6.00,6.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2119625,2.00,4.00,0.00,1.00,6.00,6.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2119641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2119676,1.00,5.00,5.00,2.00,6.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2119692,5.00,8.00,4.00,3.00,6.00,4.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2119706,5.00,5.00,5.00,8.00,8.00,7.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2119730,4.00,8.00,4.00,2.00,6.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2119749,5.00,7.00,8.00,8.00,6.00,4.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2119757,2.00,6.00,6.00,8.00,6.00,5.25,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2119765,4.00,7.00,6.00,5.00,7.00,5.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2119773,7.00,7.00,8.00,9.00,9.00,5.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2119781,4.00,5.00,5.00,5.00,8.00,6.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2119790,7.00,6.00,1.00,6.00,6.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2119803,5.00,7.00,8.00,7.00,8.00,5.75,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2119811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2119820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2119838,4.00,7.00,4.00,6.00,8.00,7.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2119846,5.00,7.00,6.00,5.00,8.00,5.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2119854,1.00,6.00,3.00,2.00,6.00,5.25,5.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2119862,5.00,8.00,7.00,8.00,8.00,6.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2119889,3.00,7.00,7.00,8.00,7.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2119897,1.00,4.00,1.00,1.00,3.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2119900,4.00,7.00,6.00,6.00,6.00,4.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2119919,2.00,6.00,6.00,0.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2119927,3.00,6.00,3.00,5.00,5.00,6.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2119935,1.00,4.00,0.00,4.00,6.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2119951,1.00,6.00,7.00,7.00,8.00,4.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2119960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2119986,7.00,6.00,6.00,5.00,7.00,6.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2119994,8.00,8.00,7.00,9.00,8.00,6.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2120003,5.00,7.00,5.00,6.00,7.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2120011,7.00,6.00,6.00,7.00,8.00,4.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2120020,6.00,8.00,5.00,9.00,8.00,5.50,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2120038,1.00,6.00,3.00,2.00,6.00,4.75,5.00,1.00,5.00,NULL,NULL,NULL,'N'),(15,2120046,6.00,7.00,5.00,7.00,8.00,6.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2120062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2120070,5.00,8.00,2.00,7.00,8.00,8.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2120089,5.00,5.00,6.00,7.00,7.00,6.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2120097,5.00,6.00,5.00,6.00,6.00,6.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2120100,0.00,3.00,0.00,3.00,6.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2120119,1.00,6.00,1.00,2.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2120127,6.00,6.00,7.00,8.00,9.00,5.25,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2120143,4.00,8.00,2.00,4.00,6.00,6.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2120151,6.00,8.00,5.00,8.00,9.00,5.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2120178,5.00,9.00,6.00,8.00,7.00,5.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2120186,4.00,7.00,3.00,6.00,6.00,5.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2120208,3.00,8.00,4.00,8.00,5.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2120216,3.00,7.00,4.00,3.00,5.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2120224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2120232,3.00,7.00,6.00,2.00,7.00,5.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2120240,5.00,7.00,5.00,8.00,8.00,5.50,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2120259,2.00,5.00,6.00,2.00,6.00,6.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2120267,1.00,4.00,0.00,2.00,5.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2120275,0.00,8.00,3.00,4.00,4.00,6.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2120283,4.00,6.00,3.00,8.00,5.00,7.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2120305,7.00,7.00,8.00,6.00,8.00,5.75,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2120313,6.00,7.00,7.00,5.00,6.00,6.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2120321,2.00,7.00,5.00,7.00,7.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2120330,5.00,7.00,3.00,5.00,8.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2120348,4.00,5.00,4.00,3.00,6.00,5.00,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2120356,2.00,4.00,2.00,3.00,3.00,4.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2120364,3.00,6.00,3.00,3.00,7.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2120372,1.00,6.00,2.00,0.00,6.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2120380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2120399,5.00,8.00,6.00,6.00,6.00,5.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2120402,3.00,8.00,6.00,4.00,7.00,5.25,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2120410,4.00,8.00,6.00,9.00,8.00,6.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2120429,7.00,7.00,5.00,7.00,7.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2120437,3.00,8.00,3.00,6.00,6.00,5.25,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2120445,3.00,6.00,3.00,1.00,6.00,3.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2120453,2.00,4.00,2.00,5.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2120461,2.00,7.00,5.00,4.00,7.00,3.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2120470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2120496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2120518,3.00,8.00,0.00,5.00,5.00,6.75,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2120526,6.00,8.00,7.00,8.00,7.00,5.75,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2120534,1.00,7.00,3.00,4.00,6.00,6.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2120550,4.00,5.00,5.00,6.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2120569,5.00,6.00,7.00,5.00,8.00,4.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2120577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2120585,5.00,7.00,8.00,8.00,9.00,7.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2120593,3.00,4.00,5.00,7.00,7.00,5.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2120607,1.00,5.00,3.00,5.00,6.00,3.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2120615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2120623,3.00,4.00,2.00,1.00,3.00,6.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2120631,5.00,8.00,6.00,8.00,9.00,4.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2120640,6.00,8.00,7.00,7.00,8.00,6.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2120658,5.00,8.00,6.00,9.00,8.00,4.75,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2120666,3.00,5.00,6.00,9.00,7.00,8.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2120682,2.00,5.00,1.00,5.00,6.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2120690,6.00,5.00,7.00,3.00,7.00,4.75,8.00,4.00,7.00,NULL,NULL,NULL,'N'),(15,2120704,1.00,4.00,4.00,2.00,3.00,3.25,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2120712,4.00,5.00,5.00,1.00,6.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2120720,4.00,5.00,1.00,6.00,6.00,3.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2120739,1.00,4.00,3.00,4.00,6.00,4.50,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2120747,3.00,8.00,6.00,6.00,8.00,4.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2120755,2.00,4.00,1.00,4.00,5.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2120763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2120771,6.00,7.00,8.00,8.00,8.00,6.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2120780,2.00,6.00,2.00,1.00,7.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2120798,3.00,8.00,3.00,7.00,9.00,6.50,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2120801,5.00,8.00,6.00,9.00,8.00,4.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2120810,3.00,5.00,1.00,5.00,7.00,5.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2120828,1.00,7.00,5.00,3.00,7.00,4.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2120836,5.00,7.00,5.00,4.00,7.00,4.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2120844,5.00,3.00,3.00,2.00,3.00,5.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2120860,4.00,5.00,1.00,3.00,5.00,3.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2120879,0.00,4.00,1.00,6.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2120895,0.00,4.00,1.00,1.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2120909,8.00,7.00,8.00,6.00,8.00,6.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2120917,2.00,7.00,1.00,3.00,6.00,3.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2120925,4.00,7.00,4.00,9.00,6.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2120933,1.00,5.00,3.00,5.00,5.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2120941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2120950,4.00,8.00,4.00,5.00,9.00,6.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2120968,6.00,5.00,6.00,6.00,7.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2120984,4.00,5.00,1.00,4.00,7.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2120992,5.00,7.00,7.00,0.00,4.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2121000,5.00,6.00,4.00,6.00,7.00,5.25,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2121018,0.00,6.00,4.00,4.00,7.00,6.50,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2121026,3.00,7.00,8.00,6.00,8.00,6.00,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2121034,5.00,5.00,9.00,8.00,6.00,6.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2121050,3.00,7.00,4.00,8.00,6.00,6.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2121069,2.00,7.00,1.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2121077,5.00,8.00,6.00,7.00,8.00,6.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2121085,1.00,4.00,3.00,4.00,5.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2121093,4.00,7.00,5.00,7.00,6.00,4.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2121107,1.00,5.00,1.00,3.00,5.00,4.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2121115,4.00,7.00,6.00,6.00,8.00,5.75,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2121123,0.00,5.00,2.00,3.00,3.00,6.25,3.00,7.00,0.00,NULL,NULL,NULL,'S'),(15,2121131,1.00,5.00,4.00,3.00,6.00,4.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2121158,1.00,4.00,3.00,4.00,4.00,4.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2121166,4.00,6.00,2.00,6.00,4.00,5.50,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2121174,3.00,6.00,2.00,7.00,6.00,5.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2121190,1.00,4.00,4.00,3.00,6.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2121204,2.00,6.00,2.00,5.00,6.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2121239,4.00,7.00,4.00,9.00,7.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2121255,4.00,4.00,4.00,5.00,3.00,4.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2121271,1.00,2.00,2.00,2.00,4.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2121280,6.00,6.00,8.00,8.00,8.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2121298,1.00,6.00,1.00,1.00,4.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2121301,3.00,8.00,1.00,4.00,5.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2121310,4.00,4.00,3.00,6.00,5.00,5.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2121328,4.00,5.00,3.00,4.00,9.00,4.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2121336,2.00,7.00,4.00,6.00,7.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2121344,6.00,8.00,9.00,6.00,7.00,7.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2121360,5.00,7.00,5.00,5.00,7.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2121379,7.00,7.00,6.00,8.00,9.00,6.25,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2121387,1.00,5.00,1.00,2.00,5.00,5.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2121395,4.00,8.00,5.00,6.00,7.00,3.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2121409,4.00,5.00,2.00,5.00,6.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2121425,8.00,8.00,7.00,7.00,8.00,5.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2121433,1.00,9.00,5.00,7.00,9.00,7.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2121441,4.00,5.00,7.00,4.00,7.00,4.00,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2121450,6.00,8.00,8.00,8.00,8.00,5.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2121468,1.00,4.00,6.00,3.00,5.00,3.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2121476,6.00,9.00,9.00,7.00,9.00,6.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2121484,1.00,6.00,2.00,7.00,4.00,5.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2121492,5.00,8.00,7.00,6.00,9.00,6.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2121506,2.00,5.00,1.00,3.00,6.00,6.50,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2121514,3.00,6.00,3.00,4.00,6.00,6.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2121522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2121530,1.00,2.00,2.00,0.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2121549,1.00,8.00,4.00,4.00,6.00,4.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2121557,3.00,9.00,8.00,8.00,8.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2121565,5.00,8.00,6.00,8.00,7.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2121573,5.00,7.00,4.00,5.00,8.00,6.25,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2121590,1.00,5.00,5.00,5.00,4.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2121603,4.00,6.00,4.00,1.00,7.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2121611,6.00,8.00,7.00,4.00,8.00,7.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2121620,2.00,5.00,4.00,7.00,6.00,6.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2121638,4.00,8.00,2.00,8.00,8.00,5.75,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2121646,4.00,8.00,5.00,1.00,7.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2121654,4.00,6.00,3.00,5.00,6.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2121662,3.00,6.00,0.00,7.00,5.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2121670,4.00,8.00,2.00,6.00,7.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2121689,3.00,4.00,3.00,4.00,4.00,5.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2121697,4.00,4.00,7.00,6.00,6.00,5.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2121700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2121719,4.00,8.00,3.00,8.00,3.00,4.75,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2121727,4.00,8.00,5.00,8.00,8.00,6.50,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2121751,3.00,7.00,6.00,4.00,8.00,6.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2121760,2.00,4.00,1.00,3.00,5.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2121778,7.00,8.00,9.00,7.00,9.00,7.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2121786,5.00,8.00,6.00,4.00,8.00,6.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2121794,5.00,6.00,6.00,5.00,7.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2121808,6.00,8.00,6.00,7.00,8.00,8.25,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2121824,4.00,7.00,2.00,6.00,6.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2121840,3.00,6.00,2.00,1.00,5.00,5.00,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2121859,3.00,5.00,3.00,1.00,3.00,5.50,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(15,2121867,4.00,7.00,7.00,4.00,7.00,4.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2121875,6.00,9.00,6.00,8.00,9.00,7.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2121883,4.00,6.00,0.00,2.00,6.00,NULL,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2121891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2121905,6.00,7.00,6.00,9.00,7.00,6.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2121921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2121930,3.00,3.00,2.00,5.00,3.00,3.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2121948,0.00,2.00,6.00,5.00,3.00,4.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2121956,3.00,3.00,1.00,5.00,7.00,6.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2121964,3.00,7.00,3.00,3.00,6.00,6.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2121980,4.00,5.00,4.00,7.00,8.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2121999,6.00,7.00,8.00,7.00,8.00,5.75,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2122006,5.00,4.00,4.00,4.00,6.00,3.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2122014,2.00,5.00,5.00,6.00,9.00,7.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2122022,7.00,9.00,7.00,9.00,9.00,5.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2122030,4.00,6.00,1.00,3.00,5.00,4.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2122049,5.00,7.00,8.00,5.00,8.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2122057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2122065,5.00,7.00,8.00,5.00,6.00,7.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2122073,4.00,7.00,5.00,6.00,6.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2122081,3.00,7.00,4.00,2.00,7.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2122090,3.00,4.00,0.00,6.00,6.00,7.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2122103,1.00,5.00,1.00,0.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2122111,6.00,7.00,7.00,8.00,8.00,5.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2122120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2122138,3.00,5.00,0.00,4.00,2.00,NULL,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2122154,7.00,8.00,9.00,8.00,9.00,6.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2122162,4.00,7.00,7.00,8.00,4.00,8.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2122170,4.00,7.00,1.00,8.00,8.00,7.50,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2122189,1.00,2.00,1.00,5.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2122197,9.00,9.00,8.00,8.00,9.00,7.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2122200,3.00,4.00,1.00,6.00,7.00,7.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2122219,2.00,5.00,2.00,5.00,5.00,6.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2122227,1.00,3.00,1.00,1.00,3.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'S'),(15,2122235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2122243,8.00,8.00,6.00,5.00,7.00,7.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2122251,1.00,4.00,3.00,6.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2122260,3.00,5.00,2.00,6.00,7.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2122286,5.00,8.00,6.00,6.00,8.00,6.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2122294,5.00,7.00,4.00,8.00,9.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2122308,2.00,6.00,2.00,2.00,7.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2122316,2.00,6.00,1.00,7.00,7.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2122324,2.00,6.00,2.00,2.00,7.00,5.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2122332,4.00,7.00,2.00,8.00,9.00,7.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2122340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2122359,7.00,7.00,6.00,5.00,9.00,6.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2122375,3.00,4.00,3.00,4.00,4.00,4.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2122383,4.00,8.00,5.00,7.00,7.00,5.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2122391,4.00,6.00,4.00,6.00,6.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2122405,3.00,5.00,5.00,6.00,6.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2122413,3.00,7.00,3.00,4.00,7.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2122421,3.00,4.00,2.00,4.00,6.00,7.00,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2122430,3.00,8.00,3.00,7.00,5.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2122448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2122456,2.00,6.00,6.00,4.00,5.00,3.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2122464,2.00,6.00,3.00,1.00,4.00,6.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2122472,3.00,6.00,5.00,1.00,6.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2122480,3.00,5.00,3.00,6.00,7.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2122499,0.00,3.00,1.00,4.00,6.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2122502,3.00,7.00,5.00,6.00,6.00,5.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2122510,5.00,8.00,5.00,7.00,8.00,6.50,7.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2122529,5.00,8.00,7.00,8.00,8.00,7.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2122537,5.00,7.00,3.00,6.00,6.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2122545,1.00,6.00,4.00,7.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2122553,3.00,4.00,1.00,5.00,3.00,5.00,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2122561,6.00,7.00,8.00,8.00,6.00,6.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2122570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2122588,6.00,7.00,4.00,3.00,7.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2122600,7.00,7.00,5.00,7.00,8.00,5.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2122618,1.00,5.00,0.00,6.00,3.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2122626,3.00,8.00,6.00,6.00,8.00,5.50,9.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2122642,4.00,5.00,3.00,8.00,7.00,4.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2122650,4.00,6.00,5.00,7.00,5.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2122669,4.00,7.00,6.00,9.00,9.00,6.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2122677,0.00,0.00,0.00,0.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2122685,2.00,3.00,2.00,4.00,3.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2122715,6.00,8.00,7.00,9.00,9.00,6.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2122723,4.00,8.00,7.00,7.00,8.00,5.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2122731,4.00,7.00,1.00,9.00,9.00,5.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2122740,6.00,8.00,5.00,5.00,6.00,4.75,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2122766,3.00,4.00,5.00,2.00,6.00,4.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2122774,6.00,7.00,5.00,7.00,6.00,6.75,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2122790,5.00,8.00,6.00,6.00,6.00,5.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2122804,4.00,5.00,2.00,5.00,6.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2122820,4.00,8.00,4.00,8.00,7.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2122839,4.00,6.00,2.00,8.00,5.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2122847,3.00,5.00,3.00,5.00,8.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2122855,3.00,8.00,3.00,4.00,7.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2122863,4.00,6.00,6.00,0.00,7.00,4.75,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2122871,2.00,7.00,1.00,3.00,5.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2122898,4.00,8.00,4.00,5.00,7.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2122910,8.00,8.00,9.00,8.00,8.00,7.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2122928,4.00,9.00,4.00,9.00,7.00,5.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2122936,4.00,7.00,7.00,7.00,8.00,5.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2122952,3.00,7.00,3.00,5.00,7.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2122960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2122979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2122987,4.00,5.00,3.00,7.00,6.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2122995,5.00,5.00,4.00,6.00,7.00,6.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2123002,4.00,6.00,1.00,7.00,5.00,6.25,5.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2123010,5.00,7.00,5.00,1.00,9.00,6.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2123029,5.00,8.00,5.00,7.00,8.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2123037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2123045,4.00,7.00,8.00,9.00,9.00,5.25,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2123053,3.00,8.00,3.00,4.00,6.00,5.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2123061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2123070,3.00,6.00,4.00,4.00,8.00,5.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2123088,7.00,7.00,7.00,7.00,7.00,4.25,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2123100,3.00,4.00,5.00,7.00,6.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2123118,4.00,8.00,7.00,9.00,6.00,7.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2123126,4.00,7.00,7.00,7.00,7.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2123134,2.00,6.00,3.00,6.00,8.00,4.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2123142,2.00,6.00,3.00,7.00,6.00,6.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2123169,4.00,8.00,4.00,4.00,6.00,6.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2123177,0.00,6.00,1.00,4.00,3.00,4.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2123185,2.00,5.00,3.00,6.00,5.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2123193,2.00,8.00,4.00,3.00,5.00,6.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2123215,4.00,5.00,4.00,6.00,8.00,6.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2123231,6.00,7.00,3.00,8.00,6.00,5.00,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2123258,6.00,7.00,5.00,6.00,6.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2123274,5.00,8.00,9.00,8.00,9.00,8.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2123282,6.00,9.00,6.00,8.00,8.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2123304,1.00,3.00,3.00,0.00,4.00,NULL,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2123312,3.00,6.00,4.00,5.00,7.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2123320,6.00,7.00,4.00,8.00,7.00,10.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2123339,2.00,5.00,3.00,4.00,7.00,5.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2123347,3.00,7.00,3.00,7.00,8.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2123363,5.00,8.00,4.00,9.00,6.00,6.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2123371,8.00,8.00,8.00,8.00,8.00,9.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2123380,6.00,8.00,3.00,7.00,8.00,5.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2123398,2.00,7.00,2.00,3.00,6.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2123401,2.00,6.00,2.00,6.00,5.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2123410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2123428,5.00,7.00,9.00,6.00,8.00,6.00,7.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2123436,1.00,8.00,4.00,7.00,5.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2123444,2.00,6.00,3.00,6.00,6.00,6.25,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2123452,3.00,5.00,0.00,5.00,5.00,4.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2123479,6.00,8.00,7.00,4.00,7.00,5.50,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2123487,3.00,7.00,3.00,7.00,8.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2123495,3.00,7.00,7.00,2.00,6.00,4.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2123509,1.00,5.00,1.00,1.00,5.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2123517,7.00,9.00,8.00,5.00,8.00,6.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2123525,1.00,8.00,1.00,5.00,8.00,5.25,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2123533,4.00,6.00,5.00,2.00,7.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2123541,6.00,7.00,7.00,4.00,7.00,6.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2123550,5.00,6.00,3.00,6.00,8.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2123568,3.00,6.00,5.00,3.00,5.00,6.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2123576,1.00,4.00,3.00,3.00,4.00,4.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2123592,5.00,7.00,5.00,6.00,9.00,7.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2123606,1.00,8.00,5.00,6.00,7.00,5.00,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2123614,5.00,6.00,8.00,8.00,8.00,6.25,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2123622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2123630,1.00,5.00,1.00,2.00,5.00,4.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2123649,2.00,6.00,3.00,4.00,6.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2123657,6.00,5.00,4.00,5.00,7.00,5.00,6.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2123665,5.00,8.00,5.00,9.00,8.00,4.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2123681,5.00,6.00,5.00,5.00,8.00,6.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2123690,2.00,8.00,3.00,5.00,6.00,6.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2123703,4.00,9.00,1.00,5.00,7.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2123711,3.00,6.00,3.00,6.00,4.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2123720,3.00,9.00,1.00,5.00,7.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2123738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2123746,3.00,6.00,6.00,6.00,7.00,5.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2123754,1.00,6.00,0.00,3.00,6.00,4.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2123762,2.00,7.00,4.00,6.00,5.00,5.50,4.00,2.00,4.00,NULL,NULL,NULL,'S'),(15,2123770,7.00,8.00,9.00,7.00,7.00,6.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2123789,4.00,6.00,8.00,7.00,7.00,7.00,7.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2123797,3.00,6.00,1.00,4.00,5.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2123800,1.00,5.00,4.00,2.00,4.00,3.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2123819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2123827,5.00,8.00,7.00,5.00,6.00,5.75,7.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2123835,8.00,8.00,5.00,7.00,8.00,7.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2123843,6.00,8.00,7.00,7.00,6.00,6.25,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2123851,2.00,4.00,4.00,3.00,6.00,7.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2123860,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2123886,3.00,8.00,3.00,7.00,4.00,5.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2123894,3.00,5.00,6.00,7.00,7.00,5.00,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2123908,2.00,7.00,2.00,5.00,5.00,6.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2123916,6.00,8.00,8.00,9.00,9.00,7.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2123924,4.00,5.00,3.00,1.00,8.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2123932,3.00,6.00,6.00,5.00,8.00,4.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2123940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2123975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2123983,5.00,9.00,4.00,8.00,6.00,5.25,6.00,8.00,4.00,NULL,NULL,NULL,'S'),(15,2123991,4.00,8.00,9.00,6.00,9.00,4.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2124009,4.00,8.00,5.00,2.00,8.00,4.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2124017,8.00,8.00,7.00,9.00,8.00,7.50,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2124025,8.00,8.00,7.00,9.00,8.00,8.25,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2124033,5.00,7.00,4.00,4.00,6.00,4.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2124050,4.00,6.00,4.00,5.00,8.00,6.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2124084,3.00,8.00,4.00,6.00,7.00,4.75,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2124092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2124106,3.00,8.00,4.00,6.00,8.00,5.50,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2124114,3.00,6.00,2.00,4.00,5.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2124122,6.00,7.00,6.00,7.00,8.00,4.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2124130,1.00,8.00,4.00,1.00,5.00,5.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2124149,4.00,6.00,4.00,3.00,6.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2124157,3.00,5.00,3.00,2.00,7.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2124173,5.00,8.00,4.00,6.00,9.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2124181,3.00,7.00,4.00,4.00,6.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2124190,1.00,3.00,0.00,5.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2124203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2124211,3.00,5.00,4.00,4.00,4.00,5.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2124220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2124238,5.00,7.00,2.00,7.00,8.00,7.25,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2124246,2.00,7.00,2.00,4.00,4.00,4.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2124254,1.00,3.00,1.00,5.00,5.00,3.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2124262,3.00,5.00,7.00,7.00,6.00,6.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2124289,4.00,4.00,4.00,6.00,8.00,5.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2124297,3.00,5.00,3.00,5.00,7.00,3.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2124300,6.00,8.00,8.00,5.00,8.00,5.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2124319,4.00,7.00,6.00,7.00,8.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2124327,5.00,8.00,5.00,8.00,8.00,8.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2124335,0.00,3.00,2.00,0.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2124343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2124351,2.00,3.00,1.00,3.00,5.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2124360,2.00,5.00,5.00,3.00,8.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2124386,4.00,7.00,8.00,6.00,6.00,5.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2124408,7.00,7.00,6.00,5.00,9.00,5.25,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2124416,3.00,2.00,3.00,5.00,8.00,6.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2124432,6.00,8.00,8.00,8.00,8.00,6.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2124459,3.00,5.00,3.00,6.00,5.00,5.25,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2124467,6.00,8.00,7.00,9.00,8.00,5.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2124475,8.00,7.00,9.00,8.00,7.00,6.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2124483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2124491,2.00,7.00,1.00,6.00,8.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2124505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2124521,4.00,7.00,5.00,3.00,6.00,5.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2124530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2124548,5.00,6.00,7.00,2.00,8.00,7.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2124556,4.00,7.00,5.00,7.00,6.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2124564,5.00,7.00,1.00,8.00,8.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2124580,5.00,8.00,9.00,6.00,8.00,5.00,9.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2124599,4.00,8.00,3.00,8.00,8.00,6.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2124602,3.00,7.00,5.00,7.00,5.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2124610,4.00,7.00,5.00,2.00,8.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2124629,8.00,8.00,8.00,8.00,9.00,5.25,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2124637,3.00,4.00,4.00,6.00,7.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2124645,2.00,6.00,6.00,3.00,8.00,7.00,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2124653,4.00,6.00,7.00,7.00,7.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2124661,5.00,7.00,7.00,8.00,9.00,4.00,6.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2124670,3.00,4.00,3.00,3.00,4.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2124688,3.00,7.00,3.00,4.00,7.00,5.50,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2124696,6.00,7.00,7.00,2.00,8.00,5.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2124700,4.00,8.00,8.00,7.00,8.00,5.75,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2124718,2.00,3.00,0.00,3.00,5.00,5.25,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2124726,6.00,7.00,5.00,7.00,9.00,5.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2124734,2.00,3.00,2.00,1.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2124742,1.00,7.00,6.00,7.00,7.00,4.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2124750,3.00,5.00,7.00,6.00,6.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2124769,5.00,7.00,0.00,2.00,6.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2124777,3.00,6.00,3.00,5.00,5.00,7.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2124785,3.00,8.00,6.00,5.00,8.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2124793,7.00,8.00,9.00,9.00,8.00,7.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2124807,8.00,5.00,7.00,7.00,9.00,6.75,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2124815,0.00,4.00,5.00,4.00,6.00,4.25,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2124823,1.00,7.00,3.00,4.00,4.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2124831,1.00,5.00,2.00,7.00,7.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2124858,4.00,6.00,4.00,5.00,5.00,6.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2124874,7.00,7.00,8.00,7.00,9.00,7.00,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2124890,4.00,8.00,2.00,4.00,6.00,5.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2124904,5.00,7.00,5.00,9.00,7.00,5.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2124912,2.00,6.00,3.00,5.00,6.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2124920,4.00,6.00,6.00,6.00,8.00,6.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2124939,5.00,8.00,4.00,4.00,8.00,5.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2124947,4.00,7.00,4.00,5.00,5.00,5.00,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2124955,7.00,8.00,9.00,6.00,8.00,7.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2124963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2124971,6.00,8.00,6.00,7.00,6.00,7.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2124980,8.00,8.00,8.00,8.00,9.00,6.50,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2124998,2.00,4.00,4.00,6.00,7.00,5.00,5.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2125005,4.00,7.00,6.00,8.00,6.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2125013,2.00,6.00,4.00,6.00,6.00,6.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2125030,7.00,6.00,6.00,8.00,8.00,6.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2125048,5.00,6.00,2.00,6.00,7.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2125056,6.00,6.00,6.00,6.00,8.00,7.25,7.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2125064,6.00,5.00,7.00,6.00,8.00,6.50,7.00,3.00,7.00,NULL,NULL,NULL,'N'),(15,2125072,4.00,7.00,7.00,4.00,7.00,7.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2125080,4.00,7.00,5.00,5.00,6.00,6.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2125099,2.00,7.00,6.00,1.00,7.00,4.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2125102,1.00,4.00,3.00,1.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2125110,5.00,7.00,4.00,4.00,9.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2125129,3.00,3.00,6.00,6.00,6.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2125137,2.00,3.00,2.00,4.00,6.00,4.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2125145,4.00,8.00,4.00,5.00,8.00,7.50,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2125153,1.00,8.00,4.00,8.00,7.00,4.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2125170,2.00,5.00,6.00,7.00,7.00,6.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2125196,4.00,7.00,3.00,5.00,7.00,5.75,7.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2125200,5.00,8.00,6.00,5.00,8.00,7.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2125226,2.00,4.00,4.00,2.00,5.00,6.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2125234,2.00,6.00,6.00,7.00,7.00,6.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2125250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2125269,2.00,7.00,3.00,7.00,5.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2125277,6.00,9.00,8.00,8.00,9.00,5.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2125285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2125293,6.00,5.00,5.00,8.00,8.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2125307,2.00,6.00,1.00,6.00,6.00,4.50,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2125315,9.00,9.00,8.00,9.00,9.00,7.50,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2125323,4.00,6.00,4.00,3.00,8.00,5.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2125331,4.00,4.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2125340,5.00,4.00,5.00,3.00,8.00,7.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2125358,2.00,7.00,5.00,9.00,7.00,6.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2125366,3.00,7.00,1.00,1.00,8.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2125382,4.00,8.00,7.00,8.00,7.00,4.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2125390,0.00,4.00,0.00,2.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2125404,7.00,6.00,7.00,6.00,8.00,5.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2125412,4.00,8.00,7.00,5.00,8.00,7.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2125420,3.00,4.00,6.00,6.00,7.00,6.00,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2125439,5.00,9.00,4.00,1.00,9.00,7.00,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2125447,4.00,7.00,0.00,5.00,6.00,6.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2125455,2.00,3.00,4.00,3.00,7.00,5.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2125463,4.00,6.00,8.00,9.00,8.00,6.00,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2125480,1.00,4.00,2.00,3.00,6.00,5.00,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2125501,2.00,3.00,3.00,2.00,4.00,4.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2125510,3.00,7.00,2.00,6.00,6.00,5.75,7.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2125528,8.00,8.00,10.00,9.00,9.00,6.75,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2125536,2.00,8.00,4.00,6.00,6.00,5.75,5.00,3.00,5.00,NULL,NULL,NULL,'S'),(15,2125544,6.00,8.00,8.00,9.00,9.00,6.50,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2125552,3.00,5.00,2.00,1.00,5.00,5.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2125560,5.00,8.00,9.00,7.00,9.00,8.00,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2125579,4.00,7.00,6.00,5.00,6.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2125587,3.00,7.00,7.00,4.00,8.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2125595,4.00,6.00,8.00,6.00,8.00,6.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2125609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2125617,4.00,8.00,4.00,6.00,6.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2125625,5.00,7.00,4.00,7.00,6.00,4.75,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2125641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2125650,8.00,8.00,7.00,7.00,8.00,6.75,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2125668,2.00,5.00,2.00,7.00,7.00,6.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2125676,2.00,6.00,4.00,5.00,3.00,4.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2125692,3.00,5.00,5.00,5.00,6.00,5.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2125714,3.00,5.00,6.00,6.00,5.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2125722,1.00,5.00,3.00,6.00,3.00,4.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2125730,3.00,7.00,5.00,5.00,5.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2125749,3.00,4.00,3.00,6.00,5.00,6.50,6.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2125757,2.00,4.00,3.00,2.00,7.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2125765,7.00,8.00,9.00,3.00,8.00,6.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2125773,1.00,5.00,0.00,4.00,4.00,NULL,4.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2125781,7.00,8.00,9.00,7.00,8.00,6.00,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2125790,8.00,9.00,8.00,6.00,9.00,9.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2125803,2.00,3.00,3.00,5.00,5.00,6.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2125811,5.00,5.00,6.00,2.00,5.00,4.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2125820,6.00,7.00,8.00,8.00,8.00,5.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2125838,4.00,7.00,3.00,2.00,5.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2125846,4.00,5.00,5.00,4.00,7.00,4.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2125854,5.00,7.00,5.00,5.00,8.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2125870,7.00,8.00,9.00,9.00,9.00,7.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2125889,0.00,2.00,1.00,4.00,6.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2125897,3.00,6.00,7.00,5.00,4.00,6.25,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2125900,6.00,8.00,9.00,7.00,9.00,6.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2125919,4.00,6.00,9.00,7.00,6.00,4.00,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2125927,2.00,6.00,4.00,3.00,7.00,3.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2125935,5.00,5.00,3.00,5.00,7.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2125951,7.00,8.00,7.00,10.00,9.00,7.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2125960,1.00,7.00,3.00,3.00,7.00,5.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2125978,2.00,5.00,1.00,4.00,6.00,3.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2125986,2.00,5.00,3.00,4.00,4.00,5.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2125994,3.00,4.00,4.00,8.00,6.00,4.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2126010,7.00,7.00,9.00,10.00,9.00,6.50,9.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2126036,4.00,6.00,1.00,2.00,6.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2126052,2.00,5.00,3.00,5.00,8.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2126060,4.00,6.00,3.00,4.00,6.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2126079,4.00,6.00,8.00,2.00,8.00,5.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2126087,3.00,5.00,2.00,4.00,5.00,4.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2126095,4.00,5.00,3.00,7.00,8.00,5.50,7.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2126109,2.00,4.00,1.00,4.00,4.00,3.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2126117,2.00,6.00,7.00,5.00,7.00,4.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2126133,8.00,9.00,7.00,9.00,8.00,7.25,7.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2126141,8.00,9.00,8.00,8.00,9.00,6.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2126168,3.00,5.00,6.00,7.00,6.00,6.50,5.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2126176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2126184,6.00,8.00,7.00,8.00,8.00,7.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2126206,5.00,7.00,5.00,6.00,5.00,6.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2126214,2.00,4.00,0.00,9.00,6.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2126222,4.00,8.00,7.00,8.00,7.00,6.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2126249,3.00,4.00,4.00,2.00,5.00,4.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2126257,6.00,9.00,9.00,6.00,9.00,5.75,9.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2126265,7.00,6.00,6.00,8.00,7.00,7.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2126273,4.00,7.00,2.00,0.00,4.00,5.25,5.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2126281,3.00,6.00,2.00,7.00,6.00,5.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2126290,5.00,6.00,4.00,6.00,4.00,4.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2126303,6.00,8.00,9.00,9.00,9.00,7.50,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2126311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2126346,2.00,5.00,3.00,8.00,4.00,2.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2126362,1.00,8.00,5.00,8.00,7.00,7.75,4.00,9.00,2.00,NULL,NULL,NULL,'N'),(15,2126370,3.00,8.00,6.00,8.00,8.00,5.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2126389,1.00,7.00,5.00,3.00,7.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2126397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2126400,2.00,6.00,3.00,5.00,5.00,5.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2126419,1.00,7.00,6.00,5.00,5.00,3.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2126427,2.00,4.00,1.00,0.00,6.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2126435,7.00,8.00,7.00,8.00,8.00,7.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2126443,7.00,7.00,5.00,4.00,8.00,5.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2126451,2.00,5.00,1.00,8.00,8.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2126460,7.00,8.00,8.00,7.00,7.00,5.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2126478,6.00,9.00,5.00,8.00,8.00,7.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2126494,3.00,7.00,0.00,2.00,9.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2126508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2126516,4.00,7.00,4.00,6.00,7.00,6.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2126532,5.00,5.00,5.00,6.00,7.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2126540,7.00,7.00,8.00,2.00,8.00,6.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2126559,2.00,4.00,4.00,1.00,6.00,3.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2126567,7.00,8.00,6.00,8.00,8.00,7.25,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2126575,4.00,5.00,5.00,5.00,5.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2126583,5.00,8.00,1.00,7.00,3.00,5.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2126591,1.00,8.00,2.00,1.00,5.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2126605,3.00,7.00,2.00,5.00,6.00,8.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2126621,5.00,6.00,5.00,7.00,8.00,7.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2126656,7.00,7.00,2.00,5.00,7.00,7.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2126699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2126702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2126710,5.00,7.00,3.00,9.00,7.00,5.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2126729,3.00,4.00,6.00,0.00,3.00,3.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2126737,3.00,5.00,7.00,6.00,7.00,6.00,5.00,7.00,1.00,NULL,NULL,NULL,'S'),(15,2126753,2.00,3.00,1.00,5.00,5.00,0.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2126761,5.00,6.00,7.00,9.00,8.00,4.50,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2126788,2.00,8.00,5.00,2.00,7.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2126796,3.00,7.00,2.00,2.00,6.00,4.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2126800,2.00,6.00,2.00,4.00,4.00,5.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2126818,2.00,6.00,4.00,4.00,6.00,4.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2126826,4.00,8.00,6.00,8.00,7.00,5.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2126834,5.00,7.00,4.00,4.00,6.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2126850,6.00,6.00,5.00,7.00,8.00,6.50,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2126869,5.00,7.00,5.00,4.00,8.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2126877,1.00,6.00,1.00,6.00,7.00,6.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2126885,3.00,6.00,1.00,6.00,5.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2126893,5.00,7.00,3.00,5.00,2.00,NULL,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2126907,1.00,4.00,5.00,3.00,5.00,4.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2126915,3.00,5.00,1.00,2.00,5.00,4.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2126923,4.00,3.00,6.00,1.00,5.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2126931,7.00,8.00,8.00,8.00,9.00,6.25,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2126940,8.00,7.00,8.00,4.00,9.00,5.75,8.00,3.00,7.00,NULL,NULL,NULL,'N'),(15,2126958,3.00,3.00,1.00,0.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2126966,3.00,5.00,5.00,4.00,6.00,4.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2126974,7.00,8.00,7.00,8.00,6.00,5.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2126982,2.00,4.00,4.00,3.00,5.00,3.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2126990,5.00,7.00,9.00,10.00,6.00,6.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2127008,0.00,4.00,5.00,3.00,6.00,5.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2127016,4.00,6.00,6.00,6.00,7.00,4.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2127024,5.00,9.00,9.00,8.00,7.00,8.75,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2127032,6.00,7.00,0.00,3.00,8.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2127040,4.00,8.00,7.00,8.00,9.00,7.25,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2127059,1.00,5.00,3.00,3.00,6.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2127067,6.00,8.00,7.00,6.00,9.00,3.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2127075,4.00,4.00,1.00,6.00,8.00,7.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2127083,1.00,7.00,5.00,6.00,8.00,6.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2127091,0.00,3.00,0.00,2.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2127113,8.00,9.00,6.00,6.00,8.00,5.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2127121,3.00,7.00,6.00,4.00,9.00,6.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2127130,5.00,7.00,5.00,4.00,6.00,4.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2127148,7.00,9.00,9.00,8.00,8.00,6.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2127164,3.00,5.00,3.00,6.00,6.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2127172,6.00,8.00,6.00,6.00,5.00,4.50,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2127180,8.00,8.00,8.00,7.00,7.00,7.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2127202,2.00,8.00,7.00,6.00,8.00,4.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2127210,3.00,6.00,5.00,3.00,7.00,5.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2127237,3.00,8.00,4.00,5.00,9.00,6.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2127245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2127253,5.00,6.00,6.00,5.00,7.00,6.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2127270,4.00,5.00,3.00,0.00,7.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2127288,4.00,6.00,3.00,7.00,7.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2127300,1.00,7.00,4.00,4.00,4.00,4.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2127326,3.00,6.00,4.00,4.00,5.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2127342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2127350,1.00,4.00,4.00,5.00,4.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2127369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2127377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2127385,5.00,8.00,7.00,7.00,7.00,5.75,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2127393,1.00,3.00,6.00,4.00,4.00,6.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2127407,3.00,5.00,2.00,6.00,5.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2127415,4.00,8.00,6.00,7.00,9.00,5.50,8.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2127431,4.00,8.00,2.00,4.00,6.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2127458,3.00,7.00,2.00,6.00,6.00,3.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2127466,2.00,7.00,4.00,0.00,7.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2127474,3.00,7.00,4.00,3.00,8.00,3.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2127490,2.00,5.00,1.00,4.00,4.00,5.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2127504,0.00,2.00,3.00,4.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2127512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2127520,3.00,6.00,1.00,8.00,7.00,6.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2127539,6.00,7.00,8.00,7.00,7.00,6.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2127547,2.00,6.00,1.00,6.00,5.00,5.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2127555,3.00,7.00,4.00,6.00,6.00,7.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2127563,0.00,6.00,5.00,8.00,7.00,5.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2127571,1.00,8.00,3.00,6.00,5.00,4.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2127580,2.00,5.00,4.00,0.00,8.00,4.75,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2127598,6.00,6.00,4.00,8.00,6.00,4.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2127601,2.00,7.00,0.00,3.00,6.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2127610,2.00,8.00,5.00,7.00,7.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2127636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2127644,4.00,8.00,5.00,6.00,9.00,6.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2127660,2.00,7.00,3.00,4.00,6.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2127679,2.00,4.00,0.00,4.00,4.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2127687,1.00,5.00,1.00,3.00,7.00,6.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2127695,7.00,7.00,9.00,9.00,8.00,6.75,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2127709,1.00,4.00,0.00,0.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2127717,6.00,8.00,8.00,7.00,8.00,5.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2127725,3.00,8.00,4.00,7.00,7.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2127733,4.00,6.00,8.00,3.00,8.00,6.00,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2127750,6.00,7.00,8.00,7.00,7.00,6.75,9.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2127768,1.00,5.00,1.00,5.00,8.00,6.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2127776,2.00,5.00,2.00,6.00,8.00,5.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2127784,5.00,7.00,5.00,7.00,8.00,4.75,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2127792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2127806,2.00,3.00,2.00,4.00,5.00,3.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2127814,6.00,8.00,7.00,7.00,6.00,6.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2127822,8.00,7.00,8.00,8.00,9.00,6.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2127830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2127849,4.00,7.00,5.00,2.00,6.00,4.25,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2127857,1.00,4.00,3.00,3.00,5.00,4.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2127865,3.00,6.00,1.00,5.00,5.00,6.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2127873,2.00,7.00,1.00,2.00,6.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2127890,6.00,8.00,7.00,8.00,8.00,6.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2127903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2127911,3.00,7.00,1.00,2.00,6.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2127920,8.00,8.00,8.00,8.00,8.00,5.50,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2127946,2.00,6.00,2.00,6.00,5.00,5.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2127954,3.00,6.00,7.00,2.00,7.00,6.00,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2127962,1.00,3.00,3.00,3.00,4.00,4.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2127970,8.00,9.00,2.00,6.00,9.00,6.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2128004,4.00,5.00,2.00,1.00,6.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2128012,2.00,3.00,3.00,6.00,7.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2128020,3.00,5.00,2.00,4.00,7.00,5.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2128039,3.00,6.00,4.00,5.00,6.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2128055,1.00,4.00,1.00,7.00,4.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2128063,2.00,6.00,2.00,3.00,5.00,6.75,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2128071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2128080,4.00,7.00,4.00,5.00,6.00,5.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2128101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2128110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2128128,2.00,3.00,1.00,0.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2128136,2.00,5.00,3.00,5.00,3.00,4.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2128144,2.00,8.00,5.00,4.00,6.00,7.50,4.00,9.00,2.00,NULL,NULL,NULL,'N'),(15,2128152,2.00,6.00,1.00,5.00,5.00,5.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2128160,4.00,6.00,7.00,7.00,8.00,6.75,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2128179,4.00,7.00,4.00,3.00,4.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2128187,5.00,8.00,4.00,6.00,6.00,6.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2128195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2128209,3.00,7.00,2.00,5.00,4.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2128217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2128225,4.00,6.00,4.00,7.00,5.00,4.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2128233,3.00,5.00,6.00,6.00,7.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2128241,4.00,3.00,4.00,4.00,2.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2128250,3.00,5.00,1.00,4.00,6.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2128268,2.00,7.00,3.00,7.00,4.00,5.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2128284,1.00,3.00,3.00,2.00,5.00,5.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2128306,3.00,6.00,6.00,4.00,7.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2128314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2128322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2128330,1.00,6.00,2.00,4.00,3.00,5.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2128349,3.00,4.00,2.00,5.00,5.00,4.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2128357,7.00,8.00,8.00,7.00,3.00,7.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2128381,2.00,7.00,4.00,1.00,6.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2128390,3.00,7.00,7.00,8.00,9.00,6.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2128403,3.00,8.00,4.00,10.00,8.00,6.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2128420,2.00,4.00,2.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2128454,5.00,8.00,6.00,9.00,6.00,6.25,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2128462,0.00,4.00,0.00,1.00,4.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2128470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2128489,4.00,8.00,4.00,6.00,7.00,7.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2128500,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2128519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2128527,3.00,6.00,1.00,3.00,4.00,5.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2128535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2128543,2.00,8.00,2.00,5.00,5.00,7.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2128551,1.00,5.00,3.00,1.00,8.00,7.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2128560,2.00,4.00,1.00,3.00,6.00,5.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2128578,2.00,5.00,3.00,5.00,3.00,6.00,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2128586,0.00,5.00,1.00,6.00,6.00,5.25,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2128594,6.00,8.00,8.00,6.00,6.00,4.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2128608,1.00,4.00,0.00,2.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2128616,4.00,6.00,3.00,6.00,7.00,5.50,8.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2128624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2128632,5.00,6.00,3.00,7.00,8.00,7.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2128640,3.00,7.00,4.00,4.00,6.00,5.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2128659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2128667,7.00,6.00,6.00,3.00,7.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2128675,5.00,9.00,8.00,6.00,5.00,5.50,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2128691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2128705,5.00,7.00,7.00,8.00,5.00,5.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2128713,3.00,6.00,4.00,7.00,7.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2128721,3.00,6.00,4.00,3.00,5.00,3.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2128764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2128780,4.00,4.00,4.00,3.00,3.00,3.00,5.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2128799,3.00,2.00,1.00,5.00,6.00,4.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2128802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2128829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2128837,5.00,5.00,4.00,8.00,8.00,5.50,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2128845,3.00,7.00,3.00,6.00,8.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2128853,8.00,9.00,8.00,6.00,8.00,6.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2128861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2128870,2.00,7.00,3.00,3.00,7.00,7.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2128896,1.00,3.00,2.00,1.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2128900,0.00,6.00,3.00,5.00,5.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2128918,2.00,4.00,3.00,3.00,6.00,4.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2128926,2.00,8.00,3.00,4.00,8.00,4.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2128934,3.00,6.00,1.00,6.00,8.00,5.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2128950,1.00,6.00,1.00,4.00,7.00,6.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2128985,4.00,6.00,3.00,5.00,7.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2128993,5.00,7.00,2.00,5.00,8.00,6.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2129027,2.00,7.00,6.00,8.00,7.00,5.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2129043,6.00,7.00,6.00,8.00,8.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2129051,0.00,2.00,0.00,0.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2129086,2.00,2.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2129094,2.00,7.00,1.00,4.00,5.00,5.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2129108,4.00,7.00,1.00,4.00,7.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2129116,2.00,5.00,3.00,6.00,4.00,4.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2129124,8.00,8.00,9.00,9.00,9.00,8.50,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2129132,5.00,6.00,3.00,7.00,7.00,4.75,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2129140,3.00,8.00,4.00,5.00,6.00,4.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2129159,7.00,9.00,5.00,9.00,8.00,6.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2129167,3.00,9.00,7.00,8.00,8.00,6.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2129175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2129183,5.00,8.00,6.00,6.00,9.00,7.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2129191,1.00,5.00,1.00,7.00,7.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2129213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2129221,3.00,6.00,3.00,4.00,5.00,5.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2129230,5.00,7.00,6.00,8.00,7.00,5.50,8.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2129248,1.00,8.00,2.00,1.00,6.00,5.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2129256,2.00,4.00,5.00,3.00,5.00,4.25,3.00,5.00,6.00,NULL,NULL,NULL,'S'),(15,2129264,7.00,8.00,8.00,4.00,6.00,5.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2129272,4.00,5.00,3.00,3.00,7.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2129280,0.00,6.00,4.00,5.00,6.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2129299,2.00,7.00,1.00,2.00,6.00,3.00,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2129302,4.00,8.00,5.00,7.00,9.00,8.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2129310,3.00,6.00,3.00,5.00,5.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2129329,8.00,8.00,5.00,3.00,9.00,6.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2129337,4.00,1.00,1.00,6.00,4.00,4.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2129345,3.00,6.00,2.00,8.00,5.00,7.25,5.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2129353,2.00,6.00,2.00,4.00,7.00,6.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2129361,3.00,6.00,2.00,9.00,4.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2129370,6.00,6.00,3.00,4.00,7.00,7.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2129388,4.00,7.00,5.00,7.00,8.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2129396,6.00,7.00,4.00,5.00,9.00,6.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2129400,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2129434,4.00,6.00,1.00,5.00,6.00,4.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2129442,5.00,9.00,7.00,8.00,7.00,6.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2129469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2129477,6.00,7.00,4.00,8.00,8.00,5.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2129485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2129493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2129507,6.00,7.00,7.00,7.00,8.00,6.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2129515,5.00,8.00,4.00,6.00,7.00,5.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2129523,3.00,5.00,2.00,3.00,5.00,6.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2129531,4.00,6.00,2.00,6.00,6.00,4.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2129540,3.00,8.00,3.00,9.00,7.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2129558,3.00,6.00,2.00,5.00,8.00,7.25,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2129566,3.00,6.00,5.00,6.00,6.00,6.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2129574,5.00,8.00,8.00,7.00,8.00,5.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2129582,4.00,6.00,4.00,4.00,7.00,5.25,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2129604,4.00,6.00,2.00,5.00,5.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2129612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2129620,0.00,3.00,3.00,2.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2129639,1.00,5.00,0.00,2.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2129647,2.00,4.00,2.00,1.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2129663,2.00,5.00,1.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2129671,1.00,6.00,2.00,1.00,4.00,3.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2129680,2.00,4.00,4.00,7.00,4.00,4.75,3.00,1.00,4.00,NULL,NULL,NULL,'S'),(15,2129698,3.00,6.00,2.00,4.00,4.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2129701,4.00,6.00,5.00,7.00,7.00,6.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2129710,1.00,4.00,0.00,6.00,8.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2129728,7.00,8.00,7.00,4.00,8.00,5.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2129736,6.00,8.00,7.00,7.00,9.00,6.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2129744,4.00,5.00,2.00,1.00,6.00,4.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2129752,2.00,4.00,1.00,1.00,2.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2129760,3.00,8.00,8.00,6.00,7.00,6.75,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2129779,2.00,3.00,1.00,4.00,4.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2129795,4.00,7.00,7.00,6.00,7.00,6.25,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2129809,2.00,6.00,3.00,4.00,6.00,5.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2129817,5.00,8.00,5.00,6.00,8.00,5.50,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2129825,5.00,9.00,4.00,6.00,9.00,8.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2129833,1.00,2.00,1.00,2.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2129850,5.00,7.00,9.00,7.00,8.00,4.50,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2129868,0.00,7.00,4.00,7.00,4.00,3.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2129876,4.00,5.00,4.00,2.00,7.00,5.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2129884,3.00,6.00,4.00,2.00,4.00,3.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2129914,4.00,4.00,4.00,3.00,4.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2129922,5.00,6.00,5.00,4.00,5.00,5.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2129930,3.00,7.00,2.00,6.00,5.00,4.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2129957,3.00,5.00,4.00,6.00,6.00,4.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2129965,3.00,5.00,2.00,7.00,7.00,4.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2129973,5.00,7.00,4.00,4.00,7.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2129981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2129990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2130009,4.00,6.00,4.00,5.00,6.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2130017,4.00,6.00,4.00,6.00,7.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2130025,3.00,6.00,6.00,7.00,7.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2130033,2.00,3.00,6.00,7.00,8.00,4.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2130041,1.00,4.00,1.00,7.00,6.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2130050,0.00,4.00,3.00,4.00,5.00,3.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2130068,3.00,5.00,6.00,6.00,9.00,6.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2130084,0.00,5.00,5.00,6.00,6.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2130092,1.00,4.00,1.00,5.00,5.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2130106,2.00,5.00,3.00,7.00,7.00,8.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2130114,4.00,5.00,1.00,4.00,6.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2130122,4.00,8.00,6.00,7.00,8.00,4.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2130130,1.00,7.00,3.00,6.00,8.00,7.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2130149,6.00,9.00,9.00,9.00,9.00,8.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2130157,2.00,8.00,2.00,5.00,8.00,6.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2130173,3.00,5.00,1.00,5.00,7.00,6.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2130203,7.00,7.00,9.00,7.00,8.00,5.75,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2130211,1.00,7.00,3.00,3.00,5.00,4.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2130220,4.00,5.00,2.00,7.00,8.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2130238,4.00,7.00,0.00,7.00,7.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2130246,2.00,7.00,0.00,1.00,9.00,6.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2130254,3.00,7.00,5.00,6.00,7.00,4.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2130262,4.00,6.00,4.00,2.00,9.00,4.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2130270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2130289,3.00,6.00,1.00,4.00,6.00,4.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2130297,4.00,8.00,6.00,8.00,6.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2130300,1.00,4.00,2.00,2.00,3.00,3.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2130319,5.00,7.00,6.00,6.00,6.00,5.75,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2130327,5.00,7.00,5.00,9.00,8.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2130335,2.00,6.00,2.00,8.00,4.00,5.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2130343,5.00,6.00,5.00,7.00,8.00,7.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2130351,5.00,8.00,1.00,5.00,6.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2130386,4.00,8.00,4.00,7.00,7.00,6.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2130416,8.00,9.00,7.00,9.00,9.00,5.50,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2130424,1.00,1.00,4.00,3.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2130432,6.00,8.00,6.00,4.00,8.00,4.50,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2130440,1.00,7.00,3.00,3.00,2.00,NULL,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2130459,3.00,6.00,3.00,9.00,6.00,6.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2130467,6.00,6.00,2.00,3.00,7.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2130475,3.00,4.00,4.00,5.00,6.00,5.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2130483,8.00,9.00,9.00,9.00,8.00,7.25,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2130513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2130521,1.00,7.00,4.00,9.00,8.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2130530,3.00,6.00,3.00,6.00,5.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2130548,5.00,8.00,7.00,5.00,9.00,8.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2130556,2.00,6.00,3.00,6.00,5.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2130564,9.00,9.00,8.00,7.00,9.00,5.50,9.00,9.00,9.00,NULL,NULL,NULL,'N'),(15,2130572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2130580,4.00,6.00,2.00,2.00,7.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2130602,6.00,7.00,6.00,7.00,7.00,5.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2130610,1.00,5.00,4.00,6.00,3.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2130629,1.00,3.00,3.00,5.00,6.00,4.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2130637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2130645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2130653,3.00,7.00,5.00,8.00,5.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2130661,3.00,7.00,5.00,8.00,8.00,6.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2130670,5.00,7.00,1.00,4.00,7.00,5.50,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2130688,4.00,8.00,5.00,8.00,7.00,7.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2130696,5.00,9.00,6.00,6.00,8.00,6.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2130726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2130742,4.00,8.00,2.00,6.00,5.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2130750,2.00,6.00,2.00,5.00,6.00,7.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2130769,4.00,7.00,4.00,6.00,6.00,6.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2130777,6.00,6.00,6.00,7.00,9.00,6.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2130785,6.00,7.00,8.00,8.00,7.00,5.75,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2130793,5.00,7.00,4.00,6.00,8.00,5.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2130815,5.00,7.00,8.00,7.00,7.00,5.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2130823,4.00,8.00,8.00,9.00,8.00,7.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2130831,3.00,7.00,0.00,6.00,6.00,4.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2130840,6.00,5.00,7.00,6.00,6.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2130858,1.00,7.00,5.00,2.00,6.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2130866,1.00,8.00,3.00,8.00,8.00,6.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2130874,4.00,5.00,1.00,2.00,5.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2130882,6.00,7.00,2.00,7.00,8.00,7.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2130890,6.00,8.00,5.00,5.00,9.00,6.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2130912,3.00,5.00,3.00,5.00,7.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2130920,5.00,7.00,7.00,2.00,8.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2130939,1.00,6.00,1.00,3.00,5.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2130963,5.00,6.00,8.00,9.00,8.00,7.25,7.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2130971,6.00,8.00,9.00,7.00,8.00,6.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2131005,4.00,7.00,6.00,6.00,7.00,5.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2131013,5.00,8.00,9.00,9.00,5.00,4.50,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2131021,3.00,6.00,3.00,5.00,5.00,6.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2131030,1.00,4.00,3.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2131056,4.00,6.00,4.00,3.00,7.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2131072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2131080,8.00,7.00,7.00,7.00,7.00,6.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2131099,2.00,6.00,2.00,7.00,4.00,5.75,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2131102,2.00,3.00,2.00,7.00,3.00,5.00,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(15,2131110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2131129,5.00,6.00,8.00,4.00,7.00,4.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2131145,1.00,3.00,0.00,6.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2131161,4.00,8.00,7.00,3.00,8.00,4.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2131170,1.00,4.00,3.00,4.00,4.00,3.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2131188,1.00,6.00,4.00,5.00,6.00,7.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2131200,1.00,3.00,1.00,7.00,6.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2131226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2131234,2.00,7.00,2.00,7.00,6.00,5.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2131242,3.00,8.00,4.00,4.00,6.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2131250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2131269,3.00,5.00,0.00,4.00,7.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2131277,5.00,6.00,5.00,6.00,9.00,6.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2131285,1.00,4.00,2.00,3.00,5.00,5.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2131293,3.00,5.00,3.00,7.00,9.00,6.00,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2131307,6.00,8.00,8.00,5.00,8.00,5.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2131315,4.00,7.00,4.00,9.00,7.00,5.50,6.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2131323,5.00,7.00,4.00,3.00,6.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2131331,5.00,6.00,3.00,7.00,6.00,4.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2131358,1.00,5.00,4.00,4.00,7.00,3.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2131366,2.00,7.00,3.00,5.00,5.00,5.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2131374,4.00,7.00,2.00,6.00,7.00,4.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2131382,2.00,6.00,2.00,5.00,6.00,2.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2131404,4.00,5.00,5.00,4.00,7.00,4.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2131420,3.00,4.00,1.00,2.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(15,2131439,3.00,3.00,1.00,2.00,6.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2131447,7.00,9.00,8.00,9.00,6.00,7.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2131455,8.00,7.00,4.00,5.00,6.00,6.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2131463,4.00,8.00,3.00,8.00,8.00,6.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2131471,0.00,9.00,0.00,7.00,7.00,NULL,2.00,9.00,1.00,NULL,NULL,NULL,'N'),(15,2131480,3.00,6.00,6.00,7.00,6.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2131498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2131501,4.00,6.00,1.00,5.00,6.00,5.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2131510,9.00,9.00,10.00,9.00,8.00,5.00,9.00,9.00,9.00,NULL,NULL,NULL,'N'),(15,2131528,7.00,7.00,9.00,9.00,7.00,6.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2131536,2.00,2.00,2.00,3.00,5.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2131544,2.00,5.00,1.00,3.00,5.00,5.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2131552,6.00,8.00,5.00,7.00,7.00,6.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2131560,2.00,7.00,3.00,2.00,7.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2131579,8.00,8.00,8.00,6.00,9.00,6.75,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2131587,2.00,8.00,3.00,5.00,8.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2131595,6.00,9.00,5.00,5.00,6.00,6.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2131609,3.00,7.00,2.00,7.00,7.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2131617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2131633,4.00,7.00,5.00,5.00,7.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2131650,3.00,5.00,5.00,2.00,7.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2131668,3.00,6.00,1.00,4.00,6.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2131676,1.00,7.00,4.00,2.00,6.00,4.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2131684,3.00,5.00,7.00,7.00,7.00,5.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2131706,6.00,7.00,5.00,4.00,8.00,7.25,7.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2131714,4.00,4.00,4.00,6.00,6.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2131730,8.00,7.00,8.00,6.00,9.00,4.75,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2131749,6.00,6.00,9.00,4.00,5.00,7.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2131757,7.00,6.00,7.00,9.00,7.00,4.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2131765,3.00,7.00,1.00,3.00,5.00,4.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2131773,6.00,9.00,8.00,6.00,7.00,6.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2131781,3.00,6.00,3.00,7.00,9.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2131790,0.00,3.00,3.00,0.00,6.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2131803,7.00,7.00,9.00,3.00,8.00,6.75,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2131811,2.00,1.00,0.00,2.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2131838,4.00,7.00,3.00,3.00,5.00,5.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2131846,6.00,6.00,9.00,8.00,8.00,6.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2131889,3.00,7.00,2.00,5.00,6.00,6.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2131897,5.00,7.00,3.00,6.00,8.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2131900,8.00,7.00,9.00,6.00,8.00,6.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2131919,4.00,7.00,3.00,5.00,8.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2131927,6.00,9.00,9.00,7.00,8.00,6.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2131935,3.00,7.00,7.00,5.00,5.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2131943,4.00,6.00,5.00,3.00,7.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2131951,4.00,8.00,2.00,6.00,8.00,5.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2131960,1.00,4.00,1.00,3.00,3.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2131978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2131986,7.00,8.00,3.00,8.00,4.00,4.75,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2131994,3.00,4.00,5.00,1.00,6.00,3.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2132001,2.00,5.00,3.00,1.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2132010,1.00,6.00,3.00,7.00,7.00,5.75,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2132028,6.00,8.00,8.00,8.00,7.00,6.75,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2132036,3.00,3.00,0.00,4.00,4.00,3.50,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2132044,3.00,3.00,2.00,1.00,4.00,4.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2132052,3.00,4.00,2.00,0.00,5.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2132060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2132079,4.00,8.00,5.00,8.00,8.00,6.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2132087,2.00,7.00,1.00,9.00,9.00,4.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2132095,3.00,6.00,2.00,4.00,4.00,3.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2132109,3.00,7.00,5.00,1.00,6.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2132125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2132133,5.00,6.00,2.00,8.00,8.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2132141,4.00,8.00,2.00,8.00,6.00,6.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2132150,3.00,6.00,5.00,6.00,8.00,7.25,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2132168,2.00,5.00,5.00,6.00,8.00,6.50,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2132176,4.00,8.00,5.00,4.00,8.00,3.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2132184,5.00,8.00,6.00,6.00,9.00,6.75,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2132192,1.00,2.00,1.00,4.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2132206,1.00,5.00,1.00,2.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2132214,5.00,7.00,8.00,8.00,6.00,4.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2132222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2132230,2.00,7.00,2.00,2.00,7.00,5.75,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2132249,2.00,5.00,2.00,2.00,7.00,4.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2132257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2132265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2132273,1.00,3.00,3.00,4.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2132281,2.00,5.00,2.00,4.00,7.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2132290,3.00,6.00,6.00,7.00,8.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2132303,6.00,8.00,7.00,7.00,8.00,6.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2132311,3.00,6.00,1.00,3.00,6.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2132320,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2132338,4.00,7.00,7.00,4.00,8.00,3.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2132346,4.00,7.00,7.00,8.00,6.00,7.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2132354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2132362,2.00,6.00,6.00,5.00,9.00,6.25,7.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2132370,7.00,8.00,5.00,4.00,7.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2132389,5.00,8.00,1.00,4.00,9.00,7.50,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2132397,5.00,8.00,5.00,6.00,8.00,7.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2132400,5.00,6.00,7.00,5.00,6.00,7.25,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2132419,6.00,7.00,7.00,8.00,9.00,4.75,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2132427,1.00,5.00,1.00,3.00,6.00,6.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2132435,4.00,9.00,6.00,7.00,8.00,5.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2132443,2.00,7.00,5.00,2.00,5.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2132451,4.00,9.00,8.00,8.00,9.00,5.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2132460,4.00,5.00,6.00,6.00,9.00,6.75,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2132478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2132494,2.00,6.00,5.00,4.00,4.00,4.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2132508,7.00,8.00,8.00,8.00,9.00,7.25,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2132516,3.00,2.00,0.00,3.00,3.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2132524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2132532,6.00,8.00,6.00,5.00,8.00,6.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2132540,5.00,6.00,6.00,6.00,8.00,5.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2132559,3.00,4.00,3.00,6.00,8.00,9.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2132567,5.00,5.00,5.00,2.00,6.00,5.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2132575,3.00,3.00,0.00,1.00,5.00,NULL,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2132583,4.00,6.00,6.00,4.00,7.00,4.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2132591,1.00,6.00,4.00,2.00,7.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2132605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2132613,3.00,7.00,5.00,6.00,6.00,5.00,6.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2132621,3.00,5.00,2.00,8.00,8.00,7.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2132630,2.00,5.00,5.00,5.00,7.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2132656,5.00,7.00,7.00,6.00,9.00,4.75,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2132664,8.00,7.00,8.00,5.00,8.00,5.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2132672,3.00,3.00,2.00,6.00,6.00,5.00,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2132680,5.00,7.00,8.00,9.00,8.00,6.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2132699,2.00,6.00,3.00,6.00,8.00,6.00,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2132702,5.00,6.00,5.00,5.00,7.00,8.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2132710,3.00,5.00,3.00,7.00,4.00,4.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2132729,3.00,6.00,2.00,1.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2132737,5.00,9.00,4.00,7.00,8.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2132745,6.00,5.00,7.00,5.00,6.00,5.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2132753,5.00,6.00,7.00,3.00,8.00,5.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2132761,1.00,4.00,1.00,5.00,6.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2132770,4.00,7.00,5.00,4.00,6.00,7.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2132788,5.00,8.00,2.00,7.00,7.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2132796,2.00,7.00,1.00,3.00,4.00,6.00,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2132800,4.00,8.00,8.00,6.00,8.00,6.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2132818,4.00,7.00,7.00,7.00,7.00,7.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2132826,3.00,4.00,6.00,8.00,7.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2132834,7.00,7.00,4.00,7.00,7.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2132842,4.00,4.00,3.00,9.00,6.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2132850,5.00,8.00,6.00,4.00,7.00,6.25,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2132869,2.00,2.00,0.00,0.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2132885,7.00,5.00,5.00,6.00,6.00,6.50,7.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2132893,5.00,7.00,7.00,7.00,7.00,5.25,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2132907,2.00,6.00,4.00,4.00,4.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2132915,3.00,4.00,2.00,4.00,6.00,3.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2132931,5.00,8.00,8.00,6.00,8.00,6.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2132940,2.00,6.00,3.00,1.00,5.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2132958,4.00,8.00,6.00,5.00,7.00,6.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2132966,8.00,9.00,9.00,9.00,8.00,7.25,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2132974,7.00,8.00,5.00,4.00,8.00,6.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2132990,7.00,8.00,7.00,8.00,8.00,7.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2133008,5.00,5.00,6.00,4.00,7.00,6.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2133016,3.00,6.00,3.00,4.00,5.00,6.50,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2133024,1.00,7.00,5.00,6.00,7.00,3.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2133032,6.00,8.00,7.00,7.00,8.00,4.25,8.00,5.00,9.00,NULL,NULL,NULL,'N'),(15,2133040,3.00,6.00,6.00,6.00,6.00,4.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2133059,6.00,6.00,8.00,6.00,9.00,6.25,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(15,2133075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2133091,4.00,5.00,0.00,4.00,6.00,5.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2133105,3.00,8.00,1.00,4.00,4.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2133113,8.00,9.00,7.00,9.00,7.00,5.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2133121,2.00,7.00,2.00,5.00,8.00,5.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2133130,4.00,4.00,0.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2133148,2.00,4.00,3.00,7.00,6.00,7.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2133156,0.00,3.00,2.00,2.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2133164,3.00,5.00,2.00,4.00,5.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2133172,5.00,6.00,7.00,6.00,7.00,5.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2133180,1.00,3.00,4.00,3.00,5.00,5.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2133199,7.00,6.00,9.00,7.00,7.00,5.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2133202,4.00,7.00,5.00,6.00,7.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2133210,4.00,3.00,2.00,2.00,5.00,5.00,4.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2133229,5.00,6.00,4.00,7.00,8.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2133237,5.00,8.00,7.00,9.00,7.00,7.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2133245,3.00,8.00,4.00,7.00,6.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2133253,3.00,4.00,5.00,2.00,4.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2133261,2.00,5.00,2.00,2.00,3.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2133270,1.00,5.00,0.00,5.00,6.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2133288,4.00,8.00,4.00,8.00,5.00,4.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2133296,1.00,5.00,5.00,7.00,6.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2133300,4.00,8.00,7.00,5.00,8.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2133318,3.00,5.00,3.00,4.00,8.00,4.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2133326,3.00,2.00,4.00,0.00,3.00,NULL,5.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2133334,3.00,8.00,1.00,5.00,4.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2133342,6.00,7.00,5.00,7.00,7.00,7.50,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2133350,2.00,3.00,1.00,2.00,5.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2133369,3.00,5.00,2.00,4.00,4.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2133377,1.00,6.00,4.00,9.00,7.00,4.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2133385,3.00,5.00,3.00,3.00,6.00,4.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2133407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2133415,4.00,4.00,3.00,5.00,5.00,6.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2133423,3.00,5.00,3.00,4.00,3.00,4.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2133431,4.00,8.00,4.00,5.00,9.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2133440,2.00,6.00,4.00,5.00,5.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2133458,6.00,8.00,8.00,4.00,6.00,6.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2133466,7.00,8.00,6.00,8.00,7.00,6.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2133474,8.00,8.00,7.00,7.00,7.00,7.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2133482,6.00,9.00,5.00,7.00,8.00,5.50,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2133490,0.00,3.00,1.00,3.00,4.00,4.50,4.00,9.00,0.00,NULL,NULL,NULL,'N'),(15,2133504,4.00,8.00,8.00,6.00,7.00,5.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2133512,2.00,4.00,2.00,5.00,5.00,6.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2133520,5.00,6.00,4.00,6.00,8.00,6.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2133539,2.00,6.00,5.00,4.00,6.00,6.25,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2133547,2.00,8.00,3.00,6.00,8.00,5.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2133555,0.00,4.00,3.00,2.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2133563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2133571,6.00,8.00,9.00,4.00,9.00,5.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2133580,7.00,8.00,6.00,6.00,8.00,4.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2133601,4.00,6.00,3.00,6.00,5.00,6.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2133610,8.00,9.00,7.00,9.00,8.00,7.25,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2133628,2.00,7.00,1.00,4.00,3.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2133652,5.00,8.00,2.00,4.00,7.00,6.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2133660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2133679,3.00,7.00,1.00,7.00,5.00,8.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2133709,3.00,4.00,6.00,4.00,5.00,5.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2133717,6.00,6.00,4.00,8.00,8.00,5.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2133725,4.00,8.00,4.00,9.00,7.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2133733,4.00,6.00,2.00,7.00,7.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2133768,7.00,9.00,5.00,7.00,7.00,5.25,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2133784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2133792,5.00,7.00,5.00,9.00,7.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2133806,4.00,7.00,4.00,5.00,9.00,5.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2133822,7.00,9.00,8.00,6.00,8.00,5.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2133830,3.00,6.00,5.00,7.00,7.00,5.75,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2133857,6.00,8.00,8.00,6.00,8.00,6.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2133865,3.00,6.00,4.00,8.00,7.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2133873,4.00,8.00,6.00,5.00,8.00,6.25,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2133881,3.00,7.00,7.00,4.00,7.00,5.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2133890,3.00,5.00,0.00,4.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2133903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2133911,3.00,8.00,5.00,3.00,9.00,8.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2133920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2133938,4.00,7.00,6.00,1.00,8.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2133946,1.00,4.00,3.00,6.00,6.00,4.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2133962,2.00,7.00,3.00,6.00,7.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2133970,5.00,8.00,5.00,7.00,6.00,7.00,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2133989,4.00,6.00,5.00,8.00,8.00,7.75,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2133997,3.00,3.00,3.00,2.00,3.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2134004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2134012,2.00,6.00,2.00,7.00,6.00,5.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2134039,1.00,5.00,3.00,8.00,3.00,5.50,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2134047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2134055,4.00,8.00,3.00,1.00,6.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2134071,4.00,6.00,3.00,5.00,4.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2134080,1.00,6.00,5.00,1.00,8.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2134098,3.00,7.00,1.00,5.00,6.00,6.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2134101,1.00,5.00,1.00,4.00,5.00,4.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2134110,2.00,5.00,4.00,4.00,4.00,4.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2134128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2134136,4.00,6.00,4.00,0.00,0.00,NULL,4.00,4.00,3.00,'S',NULL,NULL,'S'),(15,2134144,4.00,7.00,3.00,4.00,7.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2134152,8.00,8.00,6.00,6.00,5.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2134160,7.00,8.00,8.00,9.00,9.00,6.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2134179,6.00,9.00,7.00,8.00,7.00,6.25,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2134187,3.00,5.00,2.00,6.00,5.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2134209,2.00,8.00,4.00,4.00,6.00,4.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2134217,4.00,6.00,3.00,4.00,8.00,8.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2134225,4.00,5.00,3.00,4.00,5.00,4.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2134233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2134241,4.00,7.00,3.00,8.00,7.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2134250,6.00,6.00,5.00,5.00,5.00,6.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2134268,4.00,6.00,4.00,5.00,4.00,4.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2134276,3.00,6.00,4.00,7.00,9.00,3.75,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2134284,2.00,6.00,2.00,3.00,5.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2134292,4.00,8.00,8.00,9.00,8.00,5.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2134306,4.00,4.00,3.00,3.00,5.00,4.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2134314,3.00,6.00,5.00,7.00,7.00,5.50,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2134322,4.00,7.00,5.00,9.00,8.00,5.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2134349,3.00,6.00,2.00,2.00,9.00,9.00,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2134357,4.00,7.00,3.00,6.00,6.00,5.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2134381,2.00,2.00,0.00,2.00,4.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2134390,2.00,5.00,7.00,4.00,7.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2134403,2.00,3.00,1.00,5.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'S'),(15,2134438,1.00,6.00,7.00,4.00,6.00,4.25,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2134446,3.00,4.00,2.00,3.00,6.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2134454,0.00,1.00,2.00,1.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2134462,7.00,7.00,9.00,8.00,7.00,4.25,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2134470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2134500,4.00,7.00,7.00,4.00,9.00,4.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2134519,5.00,6.00,2.00,6.00,7.00,5.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2134527,2.00,6.00,6.00,6.00,7.00,4.50,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2134535,0.00,5.00,1.00,2.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2134543,4.00,8.00,8.00,7.00,8.00,5.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2134551,5.00,8.00,4.00,9.00,8.00,7.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2134560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2134578,4.00,7.00,5.00,1.00,6.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2134586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2134608,5.00,4.00,4.00,1.00,5.00,5.75,6.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2134624,5.00,7.00,7.00,6.00,6.00,7.75,6.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2134632,1.00,1.00,3.00,4.00,6.00,4.00,5.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2134640,4.00,6.00,6.00,8.00,5.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2134659,8.00,8.00,9.00,9.00,9.00,8.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2134675,3.00,4.00,2.00,2.00,6.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2134691,3.00,7.00,2.00,1.00,4.00,5.50,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2134705,3.00,6.00,4.00,4.00,6.00,3.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2134713,4.00,5.00,2.00,6.00,6.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2134721,5.00,8.00,5.00,7.00,6.00,6.00,7.00,9.00,2.00,NULL,NULL,NULL,'N'),(15,2134730,3.00,6.00,6.00,6.00,8.00,3.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2134748,2.00,5.00,3.00,5.00,8.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2134772,1.00,4.00,4.00,6.00,6.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2134780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2134799,1.00,3.00,1.00,1.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2134802,6.00,8.00,8.00,6.00,9.00,6.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2134810,4.00,6.00,7.00,6.00,6.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2134829,5.00,6.00,7.00,4.00,9.00,7.00,9.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2134837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2134845,0.00,6.00,1.00,4.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2134853,3.00,6.00,3.00,8.00,4.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2134861,2.00,5.00,3.00,7.00,6.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2134870,5.00,9.00,6.00,7.00,8.00,5.75,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2134888,1.00,3.00,2.00,5.00,4.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2134900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2134918,2.00,6.00,2.00,2.00,5.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2134926,3.00,7.00,5.00,8.00,7.00,3.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2134934,3.00,6.00,3.00,1.00,6.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2134942,2.00,4.00,3.00,2.00,5.00,5.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2134950,5.00,8.00,4.00,6.00,9.00,7.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2134969,1.00,4.00,0.00,5.00,6.00,5.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2134977,2.00,5.00,3.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2134985,1.00,8.00,4.00,5.00,6.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2134993,2.00,7.00,2.00,5.00,5.00,4.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2135000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2135027,0.00,7.00,1.00,1.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2135035,2.00,6.00,1.00,4.00,7.00,3.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2135078,1.00,7.00,3.00,7.00,3.00,4.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2135086,5.00,8.00,8.00,6.00,6.00,5.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2135094,2.00,5.00,2.00,3.00,8.00,5.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2135116,6.00,7.00,4.00,8.00,8.00,5.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2135124,2.00,4.00,3.00,4.00,3.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2135132,5.00,4.00,1.00,5.00,7.00,5.50,6.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2135140,5.00,8.00,1.00,5.00,5.00,6.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2135159,1.00,7.00,4.00,3.00,7.00,4.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2135167,0.00,0.00,2.00,0.00,0.00,NULL,4.00,4.00,2.00,'S',NULL,NULL,'N'),(15,2135175,3.00,5.00,3.00,2.00,7.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2135183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2135205,0.00,2.00,4.00,7.00,8.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2135213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2135221,0.00,4.00,1.00,4.00,5.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2135230,6.00,6.00,3.00,7.00,8.00,7.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2135256,7.00,8.00,6.00,7.00,9.00,5.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2135264,4.00,6.00,2.00,7.00,7.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2135272,7.00,9.00,5.00,6.00,9.00,6.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2135280,3.00,5.00,2.00,2.00,4.00,6.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2135302,4.00,6.00,2.00,5.00,7.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2135310,7.00,8.00,6.00,8.00,8.00,6.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2135329,4.00,5.00,2.00,6.00,7.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2135337,6.00,7.00,4.00,5.00,6.00,6.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2135353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2135361,6.00,7.00,4.00,5.00,8.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2135388,8.00,8.00,6.00,7.00,7.00,4.00,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2135418,4.00,7.00,3.00,9.00,6.00,5.50,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2135426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2135434,5.00,7.00,4.00,6.00,7.00,8.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2135442,0.00,6.00,2.00,4.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2135450,5.00,8.00,5.00,8.00,7.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2135469,2.00,5.00,3.00,5.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2135477,7.00,8.00,7.00,7.00,8.00,4.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2135485,2.00,4.00,3.00,1.00,6.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2135493,5.00,8.00,5.00,6.00,7.00,5.75,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2135507,2.00,5.00,2.00,9.00,6.00,4.25,7.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2135523,3.00,6.00,4.00,6.00,6.00,5.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2135531,3.00,5.00,2.00,5.00,7.00,5.75,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2135540,2.00,4.00,2.00,5.00,4.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2135558,5.00,4.00,6.00,6.00,6.00,4.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2135566,2.00,7.00,4.00,2.00,5.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2135574,4.00,6.00,6.00,9.00,8.00,7.50,8.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2135590,4.00,6.00,5.00,7.00,8.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2135604,4.00,4.00,1.00,5.00,6.00,3.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2135620,2.00,6.00,3.00,0.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2135639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2135647,3.00,5.00,2.00,0.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2135655,4.00,6.00,5.00,4.00,8.00,6.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2135663,3.00,3.00,2.00,6.00,8.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2135671,3.00,6.00,5.00,7.00,7.00,6.75,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2135698,4.00,6.00,2.00,6.00,5.00,7.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2135701,0.00,4.00,4.00,5.00,5.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2135728,6.00,8.00,6.00,7.00,7.00,7.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2135736,3.00,7.00,5.00,0.00,6.00,4.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2135744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2135752,2.00,3.00,3.00,5.00,5.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2135760,2.00,4.00,1.00,5.00,7.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2135779,2.00,5.00,1.00,4.00,7.00,5.50,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2135787,3.00,7.00,6.00,4.00,8.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2135795,5.00,5.00,2.00,1.00,7.00,6.25,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2135809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2135817,6.00,6.00,7.00,6.00,9.00,6.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2135825,4.00,6.00,3.00,7.00,7.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2135833,0.00,2.00,0.00,2.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2135841,1.00,3.00,1.00,5.00,5.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2135850,2.00,2.00,2.00,1.00,6.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2135868,2.00,6.00,4.00,3.00,8.00,4.50,9.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2135876,3.00,7.00,2.00,3.00,5.00,6.25,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2135892,7.00,8.00,8.00,9.00,8.00,6.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2135914,2.00,6.00,5.00,5.00,8.00,4.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2135930,2.00,7.00,2.00,4.00,4.00,4.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2135957,4.00,6.00,2.00,7.00,5.00,4.25,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2135965,5.00,8.00,3.00,5.00,6.00,5.25,5.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2135973,2.00,3.00,1.00,3.00,5.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2135981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2135990,4.00,5.00,3.00,1.00,6.00,5.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2136007,4.00,5.00,3.00,0.00,6.00,3.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2136015,6.00,7.00,6.00,5.00,8.00,5.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2136031,2.00,6.00,2.00,6.00,7.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2136040,6.00,7.00,6.00,4.00,8.00,5.25,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2136058,2.00,2.00,0.00,3.00,5.00,4.50,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2136074,3.00,8.00,3.00,7.00,8.00,6.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2136082,4.00,5.00,1.00,5.00,4.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2136104,2.00,6.00,5.00,7.00,7.00,4.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2136112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2136120,2.00,7.00,3.00,5.00,8.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2136139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2136155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2136163,7.00,7.00,6.00,9.00,9.00,6.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2136171,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2136180,5.00,7.00,3.00,2.00,4.00,5.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2136198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2136201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2136228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2136236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2136260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2136279,0.00,3.00,3.00,3.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2136287,3.00,6.00,3.00,1.00,5.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2136295,2.00,7.00,6.00,8.00,5.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2136309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2136317,3.00,4.00,1.00,4.00,2.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2136325,4.00,7.00,8.00,8.00,5.00,5.00,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2136333,8.00,9.00,8.00,9.00,9.00,6.75,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2136341,2.00,6.00,4.00,2.00,6.00,4.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2136350,0.00,4.00,2.00,3.00,3.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2136368,2.00,2.00,4.00,4.00,4.00,4.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2136376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2136384,4.00,6.00,6.00,9.00,8.00,5.50,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2136422,7.00,7.00,7.00,5.00,7.00,6.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2136430,5.00,5.00,2.00,5.00,6.00,5.25,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2136449,2.00,7.00,4.00,4.00,6.00,5.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2136457,2.00,6.00,0.00,1.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2136465,5.00,8.00,9.00,9.00,7.00,7.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2136481,5.00,6.00,6.00,3.00,7.00,3.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2136490,2.00,3.00,1.00,3.00,7.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2136503,4.00,7.00,3.00,6.00,5.00,4.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2136511,6.00,8.00,4.00,7.00,8.00,8.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2136520,4.00,7.00,4.00,7.00,7.00,6.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2136538,6.00,8.00,5.00,5.00,8.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2136546,1.00,7.00,6.00,9.00,7.00,6.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2136554,2.00,8.00,1.00,3.00,8.00,3.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2136562,8.00,8.00,7.00,6.00,7.00,5.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2136570,2.00,3.00,5.00,3.00,6.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2136597,3.00,7.00,5.00,4.00,5.00,4.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2136600,4.00,9.00,6.00,7.00,6.00,4.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2136619,1.00,7.00,3.00,7.00,8.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2136627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2136635,5.00,8.00,6.00,6.00,5.00,8.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2136643,2.00,5.00,1.00,0.00,7.00,4.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2136651,1.00,3.00,2.00,4.00,5.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2136660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2136678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2136694,2.00,5.00,5.00,0.00,6.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2136708,4.00,7.00,5.00,8.00,8.00,4.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2136716,6.00,8.00,7.00,9.00,9.00,7.50,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2136732,2.00,6.00,4.00,7.00,8.00,4.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2136740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2136759,5.00,8.00,8.00,8.00,7.00,5.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2136767,3.00,4.00,4.00,1.00,6.00,3.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2136783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2136791,4.00,7.00,5.00,5.00,8.00,3.75,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2136805,6.00,6.00,6.00,6.00,8.00,6.25,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2136813,7.00,5.00,4.00,6.00,6.00,5.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2136821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2136830,5.00,8.00,4.00,7.00,7.00,6.25,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2136848,4.00,6.00,1.00,2.00,6.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2136856,3.00,2.00,3.00,5.00,6.00,6.50,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2136864,2.00,4.00,1.00,8.00,4.00,4.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2136872,6.00,9.00,8.00,7.00,7.00,6.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2136880,4.00,8.00,7.00,9.00,8.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2136899,2.00,5.00,3.00,5.00,4.00,4.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2136902,6.00,7.00,6.00,4.00,7.00,4.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2136910,3.00,5.00,3.00,4.00,5.00,5.00,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2136929,0.00,6.00,4.00,6.00,4.00,1.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2136945,1.00,3.00,2.00,4.00,7.00,3.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2136953,6.00,7.00,6.00,1.00,8.00,6.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2136961,3.00,5.00,3.00,3.00,7.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2136970,1.00,6.00,4.00,8.00,5.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2136988,7.00,7.00,4.00,7.00,8.00,6.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2136996,5.00,7.00,8.00,9.00,9.00,5.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2137003,5.00,7.00,3.00,7.00,8.00,4.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2137020,4.00,6.00,2.00,5.00,7.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2137046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2137054,2.00,5.00,2.00,4.00,8.00,5.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2137097,3.00,6.00,5.00,5.00,7.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2137100,8.00,6.00,6.00,7.00,8.00,4.75,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2137119,6.00,8.00,5.00,6.00,5.00,6.00,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2137127,3.00,4.00,0.00,1.00,5.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2137135,5.00,5.00,2.00,6.00,6.00,4.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2137143,5.00,6.00,8.00,7.00,5.00,5.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2137151,4.00,6.00,3.00,7.00,6.00,4.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2137160,3.00,4.00,2.00,9.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2137178,1.00,7.00,1.00,3.00,6.00,6.25,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2137194,0.00,3.00,5.00,1.00,3.00,3.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2137208,3.00,4.00,5.00,6.00,6.00,6.25,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2137216,4.00,7.00,3.00,6.00,3.00,5.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2137224,5.00,7.00,6.00,7.00,8.00,6.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2137232,4.00,7.00,5.00,4.00,5.00,6.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2137240,1.00,6.00,3.00,0.00,7.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2137259,0.00,3.00,2.00,4.00,3.00,3.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2137267,4.00,7.00,5.00,6.00,7.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2137275,3.00,4.00,4.00,6.00,8.00,6.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2137283,1.00,2.00,1.00,1.00,4.00,6.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2137291,6.00,7.00,5.00,7.00,8.00,6.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2137313,5.00,8.00,7.00,8.00,8.00,5.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2137321,2.00,8.00,5.00,5.00,8.00,6.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2137330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2137348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2137356,7.00,7.00,5.00,7.00,8.00,6.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2137364,4.00,6.00,1.00,6.00,7.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2137372,2.00,4.00,5.00,1.00,4.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2137380,3.00,8.00,2.00,7.00,6.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2137399,3.00,6.00,2.00,4.00,7.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2137429,7.00,9.00,8.00,4.00,8.00,5.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2137437,4.00,6.00,2.00,6.00,5.00,5.75,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2137445,4.00,8.00,3.00,5.00,5.00,5.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2137453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2137461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2137470,1.00,7.00,6.00,1.00,6.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2137488,0.00,4.00,2.00,1.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2137500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2137542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2137550,2.00,8.00,2.00,6.00,8.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2137569,5.00,7.00,3.00,5.00,7.00,6.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2137607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2137615,6.00,7.00,5.00,9.00,8.00,7.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2137631,2.00,7.00,4.00,5.00,6.00,4.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2137640,2.00,7.00,2.00,1.00,1.00,NULL,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2137658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2137666,2.00,5.00,0.00,4.00,3.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2137682,1.00,5.00,3.00,6.00,6.00,5.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2137690,1.00,4.00,3.00,4.00,5.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2137704,4.00,6.00,6.00,7.00,8.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2137712,4.00,5.00,0.00,2.00,5.00,5.00,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2137720,7.00,9.00,5.00,9.00,8.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2137739,5.00,7.00,5.00,2.00,7.00,4.00,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2137747,3.00,8.00,5.00,8.00,4.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2137755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2137763,2.00,9.00,1.00,7.00,5.00,5.75,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2137771,6.00,8.00,5.00,6.00,7.00,3.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2137780,5.00,7.00,6.00,9.00,7.00,6.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2137798,3.00,5.00,4.00,9.00,8.00,6.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2137801,2.00,7.00,3.00,3.00,6.00,3.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2137810,7.00,6.00,8.00,8.00,7.00,4.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2137836,0.00,4.00,1.00,3.00,5.00,5.25,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2137844,3.00,8.00,6.00,7.00,7.00,8.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2137852,5.00,8.00,2.00,6.00,8.00,6.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2137860,1.00,4.00,0.00,3.00,4.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2137879,5.00,5.00,5.00,6.00,8.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2137895,6.00,8.00,8.00,9.00,8.00,6.25,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2137909,2.00,6.00,2.00,3.00,5.00,6.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2137917,3.00,7.00,5.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2137925,2.00,6.00,5.00,4.00,6.00,7.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2137941,7.00,7.00,6.00,8.00,7.00,5.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2137950,5.00,8.00,4.00,8.00,8.00,5.75,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2137968,1.00,3.00,4.00,0.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2137976,1.00,7.00,4.00,8.00,6.00,4.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2137984,5.00,8.00,8.00,4.00,7.00,4.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2137992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2138000,3.00,7.00,5.00,5.00,6.00,5.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2138018,3.00,7.00,3.00,9.00,7.00,7.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2138026,4.00,5.00,7.00,7.00,8.00,6.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2138034,5.00,5.00,1.00,4.00,6.00,5.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2138050,7.00,9.00,5.00,8.00,8.00,5.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2138085,1.00,6.00,3.00,3.00,7.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2138107,3.00,7.00,3.00,8.00,9.00,5.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2138115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2138123,2.00,5.00,1.00,6.00,6.00,6.00,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2138131,1.00,4.00,3.00,6.00,5.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2138140,0.00,5.00,0.00,1.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2138158,3.00,4.00,4.00,1.00,7.00,6.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2138174,7.00,7.00,7.00,6.00,8.00,7.75,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2138182,3.00,6.00,1.00,5.00,9.00,5.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2138190,5.00,7.00,5.00,5.00,7.00,5.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2138212,6.00,8.00,1.00,3.00,5.00,5.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2138247,1.00,6.00,3.00,5.00,8.00,7.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2138255,5.00,6.00,1.00,4.00,5.00,4.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2138263,1.00,6.00,2.00,5.00,6.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2138271,4.00,6.00,3.00,5.00,7.00,6.75,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2138280,3.00,8.00,6.00,4.00,7.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2138298,4.00,7.00,4.00,4.00,8.00,6.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2138310,2.00,6.00,4.00,5.00,8.00,5.75,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2138336,4.00,5.00,3.00,4.00,7.00,5.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2138352,4.00,5.00,2.00,6.00,7.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2138379,3.00,9.00,6.00,2.00,8.00,6.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2138395,0.00,0.00,0.00,3.00,4.00,NULL,3.00,1.00,3.00,NULL,'S',NULL,'N'),(15,2138409,5.00,6.00,5.00,8.00,7.00,5.00,7.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2138417,5.00,7.00,4.00,3.00,6.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2138425,4.00,6.00,5.00,5.00,7.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2138441,4.00,8.00,2.00,3.00,6.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2138450,5.00,8.00,6.00,4.00,6.00,7.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2138468,4.00,7.00,2.00,3.00,3.00,6.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2138476,5.00,7.00,9.00,9.00,8.00,5.50,9.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2138484,2.00,6.00,3.00,5.00,9.00,6.50,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2138506,5.00,7.00,5.00,7.00,7.00,5.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2138514,7.00,7.00,4.00,6.00,7.00,7.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2138530,1.00,3.00,2.00,3.00,4.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2138549,3.00,5.00,1.00,5.00,6.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2138573,5.00,7.00,2.00,6.00,8.00,6.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2138581,2.00,5.00,2.00,3.00,5.00,3.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2138590,3.00,8.00,5.00,1.00,8.00,6.00,8.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2138611,2.00,8.00,4.00,2.00,7.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2138620,6.00,6.00,6.00,5.00,7.00,5.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2138646,9.00,8.00,8.00,8.00,9.00,6.75,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2138654,4.00,4.00,3.00,5.00,6.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2138670,3.00,5.00,2.00,7.00,6.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2138689,1.00,6.00,2.00,5.00,5.00,4.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2138697,3.00,7.00,4.00,4.00,4.00,3.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2138700,3.00,7.00,6.00,9.00,7.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2138719,5.00,7.00,5.00,7.00,6.00,7.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2138727,0.00,5.00,0.00,6.00,4.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2138735,1.00,4.00,1.00,4.00,6.00,5.00,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2138743,4.00,4.00,2.00,3.00,0.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2138751,5.00,7.00,4.00,4.00,6.00,5.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2138760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2138786,2.00,6.00,5.00,2.00,5.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2138794,7.00,7.00,6.00,7.00,8.00,7.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2138824,0.00,7.00,4.00,0.00,6.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2138832,6.00,7.00,9.00,9.00,8.00,7.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2138840,5.00,6.00,3.00,6.00,6.00,4.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2138859,5.00,7.00,8.00,4.00,8.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2138875,4.00,7.00,5.00,4.00,8.00,5.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2138883,3.00,5.00,3.00,4.00,6.00,3.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2138891,5.00,7.00,5.00,9.00,7.00,6.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2138905,7.00,7.00,5.00,4.00,7.00,6.50,5.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2138948,1.00,3.00,2.00,4.00,5.00,6.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2138956,3.00,6.00,3.00,7.00,5.00,2.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2138964,3.00,7.00,5.00,8.00,6.00,7.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2138972,5.00,7.00,8.00,3.00,8.00,5.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2138980,3.00,7.00,5.00,6.00,7.00,5.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2138999,4.00,8.00,6.00,2.00,7.00,4.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2139006,5.00,8.00,5.00,9.00,9.00,6.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2139014,1.00,7.00,4.00,6.00,8.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2139022,4.00,4.00,2.00,5.00,7.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2139030,0.00,4.00,0.00,2.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2139049,5.00,5.00,2.00,0.00,6.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2139057,3.00,7.00,1.00,3.00,4.00,5.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2139065,2.00,5.00,6.00,5.00,5.00,5.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2139073,2.00,4.00,0.00,0.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2139090,2.00,8.00,8.00,8.00,8.00,6.75,9.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2139103,4.00,3.00,6.00,4.00,7.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2139111,2.00,7.00,3.00,6.00,4.00,5.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2139138,2.00,4.00,1.00,5.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2139146,1.00,7.00,5.00,2.00,6.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2139154,2.00,9.00,3.00,3.00,7.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2139162,5.00,6.00,1.00,7.00,7.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2139170,2.00,6.00,1.00,3.00,5.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2139189,4.00,7.00,4.00,3.00,7.00,5.50,6.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2139200,2.00,6.00,3.00,4.00,4.00,4.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2139227,2.00,5.00,3.00,3.00,5.00,4.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2139243,1.00,6.00,4.00,1.00,5.00,4.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2139251,2.00,4.00,1.00,1.00,4.00,3.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2139278,4.00,7.00,5.00,6.00,9.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2139286,1.00,4.00,1.00,1.00,5.00,3.50,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2139294,3.00,5.00,4.00,5.00,7.00,6.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2139308,2.00,3.00,2.00,1.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2139316,2.00,3.00,5.00,5.00,7.00,5.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2139332,2.00,8.00,0.00,7.00,8.00,5.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2139359,3.00,4.00,3.00,5.00,8.00,7.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2139367,3.00,5.00,4.00,6.00,7.00,4.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2139375,0.00,5.00,2.00,2.00,5.00,3.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2139383,6.00,9.00,9.00,7.00,8.00,5.25,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2139391,2.00,6.00,3.00,2.00,7.00,5.50,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2139405,3.00,6.00,4.00,5.00,5.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2139413,3.00,8.00,5.00,9.00,7.00,5.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2139430,8.00,9.00,9.00,7.00,9.00,7.25,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2139448,2.00,8.00,7.00,9.00,9.00,7.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2139456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2139464,5.00,5.00,5.00,4.00,6.00,6.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2139472,5.00,7.00,5.00,6.00,8.00,5.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2139480,4.00,8.00,2.00,9.00,6.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2139499,5.00,6.00,4.00,7.00,8.00,6.50,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2139502,3.00,3.00,1.00,3.00,4.00,4.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2139510,3.00,7.00,3.00,5.00,9.00,5.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2139529,2.00,7.00,0.00,1.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2139537,2.00,7.00,6.00,8.00,8.00,7.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2139553,5.00,3.00,0.00,4.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2139561,4.00,5.00,2.00,8.00,9.00,7.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2139570,2.00,7.00,2.00,2.00,7.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2139596,3.00,8.00,5.00,3.00,7.00,6.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2139600,7.00,8.00,6.00,8.00,9.00,5.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2139618,2.00,4.00,2.00,0.00,5.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2139626,4.00,4.00,2.00,5.00,6.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2139634,2.00,5.00,4.00,5.00,6.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2139642,1.00,8.00,0.00,7.00,8.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2139650,2.00,5.00,3.00,7.00,8.00,5.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2139669,2.00,7.00,2.00,5.00,5.00,4.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2139685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2139693,2.00,5.00,2.00,3.00,6.00,2.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2139707,2.00,6.00,3.00,6.00,7.00,5.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2139715,4.00,6.00,1.00,1.00,5.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2139723,7.00,8.00,7.00,7.00,9.00,9.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2139731,1.00,7.00,4.00,3.00,9.00,7.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2139740,3.00,8.00,2.00,9.00,7.00,5.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2139758,2.00,6.00,9.00,5.00,9.00,5.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2139766,2.00,7.00,3.00,6.00,8.00,4.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2139774,5.00,7.00,9.00,9.00,8.00,6.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2139782,4.00,8.00,7.00,7.00,7.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2139790,4.00,6.00,1.00,1.00,6.00,7.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2139804,6.00,8.00,5.00,6.00,7.00,4.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2139812,5.00,6.00,7.00,8.00,6.00,4.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2139820,4.00,9.00,8.00,7.00,9.00,7.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2139839,4.00,5.00,3.00,4.00,5.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2139847,0.00,3.00,3.00,3.00,2.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2139863,5.00,8.00,4.00,7.00,7.00,6.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2139871,6.00,8.00,7.00,6.00,9.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2139880,2.00,5.00,5.00,8.00,5.00,4.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2139898,7.00,8.00,8.00,9.00,9.00,7.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2139901,6.00,7.00,6.00,4.00,8.00,5.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2139928,3.00,3.00,1.00,0.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2139936,3.00,7.00,7.00,7.00,7.00,7.50,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2139944,8.00,9.00,9.00,9.00,8.00,7.75,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2139952,3.00,7.00,2.00,0.00,1.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2139960,4.00,7.00,3.00,7.00,4.00,4.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2139979,2.00,5.00,2.00,6.00,8.00,6.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2139987,3.00,5.00,3.00,5.00,6.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2139995,7.00,8.00,9.00,6.00,7.00,6.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2140004,7.00,5.00,6.00,5.00,5.00,5.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2140012,4.00,5.00,6.00,6.00,8.00,6.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2140020,5.00,7.00,3.00,5.00,7.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2140047,2.00,4.00,4.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2140055,2.00,6.00,6.00,4.00,7.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2140063,2.00,6.00,3.00,6.00,7.00,7.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2140071,2.00,6.00,2.00,1.00,5.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2140080,4.00,6.00,6.00,4.00,7.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2140098,4.00,7.00,3.00,7.00,8.00,6.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2140101,4.00,5.00,4.00,7.00,9.00,3.50,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2140128,9.00,6.00,8.00,6.00,9.00,7.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2140136,3.00,6.00,6.00,6.00,6.00,5.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2140144,2.00,7.00,3.00,5.00,6.00,6.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2140152,2.00,7.00,3.00,2.00,8.00,6.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2140160,5.00,7.00,8.00,8.00,9.00,6.50,9.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2140179,2.00,6.00,1.00,4.00,7.00,6.75,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2140187,7.00,7.00,8.00,5.00,8.00,6.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2140195,3.00,4.00,2.00,6.00,6.00,4.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2140209,3.00,7.00,6.00,4.00,7.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2140217,6.00,7.00,8.00,3.00,4.00,6.25,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2140225,2.00,5.00,3.00,6.00,8.00,6.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2140233,2.00,8.00,8.00,8.00,9.00,7.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2140250,0.00,5.00,0.00,5.00,8.00,7.00,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2140268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2140276,6.00,8.00,7.00,7.00,8.00,5.50,8.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2140284,2.00,7.00,3.00,7.00,7.00,4.50,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2140292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2140306,1.00,6.00,1.00,6.00,7.00,5.25,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2140314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2140330,3.00,5.00,2.00,7.00,5.00,6.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2140349,3.00,7.00,2.00,2.00,7.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2140357,4.00,7.00,5.00,7.00,9.00,7.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2140365,3.00,5.00,2.00,8.00,7.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2140373,1.00,7.00,3.00,5.00,8.00,6.75,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2140390,6.00,8.00,4.00,6.00,9.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2140403,2.00,8.00,2.00,4.00,8.00,5.50,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2140411,0.00,8.00,4.00,8.00,7.00,4.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2140420,0.00,6.00,1.00,8.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2140446,4.00,5.00,3.00,3.00,6.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2140454,6.00,9.00,2.00,5.00,6.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2140462,2.00,5.00,1.00,2.00,5.00,5.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2140470,3.00,5.00,3.00,6.00,8.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2140489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2140497,1.00,7.00,2.00,5.00,8.00,6.00,4.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2140500,6.00,7.00,7.00,8.00,8.00,7.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2140519,2.00,8.00,2.00,1.00,3.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2140527,5.00,8.00,7.00,9.00,9.00,5.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2140535,4.00,6.00,3.00,6.00,8.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2140543,5.00,6.00,8.00,6.00,8.00,4.75,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2140551,3.00,3.00,6.00,6.00,7.00,4.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2140560,6.00,6.00,6.00,8.00,8.00,6.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2140578,6.00,9.00,6.00,9.00,9.00,7.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2140586,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(15,2140594,4.00,8.00,3.00,2.00,6.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2140616,6.00,7.00,4.00,9.00,5.00,4.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2140624,4.00,8.00,5.00,7.00,8.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2140632,2.00,4.00,3.00,5.00,7.00,6.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2140640,3.00,7.00,3.00,7.00,7.00,4.75,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2140659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2140667,3.00,9.00,3.00,5.00,8.00,5.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2140675,1.00,4.00,3.00,2.00,4.00,3.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2140683,2.00,7.00,4.00,6.00,4.00,4.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2140691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2140705,4.00,4.00,2.00,3.00,7.00,5.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2140713,8.00,8.00,8.00,7.00,7.00,7.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2140721,3.00,5.00,1.00,1.00,6.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2140730,4.00,5.00,6.00,7.00,8.00,5.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2140748,6.00,7.00,3.00,8.00,8.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2140756,4.00,9.00,7.00,2.00,7.00,5.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2140764,5.00,6.00,2.00,6.00,7.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2140772,1.00,6.00,3.00,5.00,6.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2140780,1.00,4.00,0.00,1.00,0.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2140802,4.00,5.00,3.00,2.00,3.00,4.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2140810,2.00,5.00,1.00,6.00,7.00,6.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2140829,3.00,6.00,6.00,4.00,7.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2140837,3.00,7.00,2.00,3.00,6.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2140853,7.00,8.00,6.00,6.00,8.00,7.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2140861,7.00,9.00,9.00,9.00,10.00,7.25,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2140870,2.00,4.00,4.00,1.00,5.00,4.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2140888,4.00,3.00,5.00,6.00,5.00,4.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2140896,4.00,8.00,6.00,7.00,8.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2140900,5.00,7.00,5.00,5.00,6.00,6.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2140918,2.00,4.00,1.00,1.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2140934,0.00,3.00,3.00,7.00,5.00,4.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2140942,7.00,8.00,5.00,6.00,8.00,7.00,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2140950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2140969,3.00,6.00,3.00,2.00,4.00,7.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2140977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2140985,3.00,8.00,4.00,6.00,8.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2140993,6.00,8.00,6.00,9.00,9.00,8.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2141019,2.00,5.00,2.00,4.00,5.00,6.25,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2141027,4.00,4.00,1.00,5.00,6.00,5.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2141035,8.00,8.00,3.00,7.00,8.00,5.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2141043,2.00,3.00,2.00,4.00,3.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2141051,1.00,6.00,0.00,4.00,8.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2141060,4.00,5.00,5.00,6.00,8.00,3.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2141078,2.00,5.00,3.00,4.00,5.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2141086,5.00,7.00,3.00,5.00,5.00,1.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2141108,3.00,6.00,3.00,4.00,4.00,4.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2141124,6.00,7.00,4.00,6.00,7.00,6.00,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2141132,2.00,5.00,4.00,7.00,5.00,4.50,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2141140,2.00,6.00,1.00,6.00,4.00,5.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2141159,6.00,6.00,2.00,7.00,5.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2141167,6.00,8.00,9.00,4.00,7.00,6.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2141175,5.00,7.00,6.00,6.00,8.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2141183,4.00,4.00,5.00,4.00,5.00,3.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2141191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2141205,4.00,6.00,6.00,6.00,6.00,5.25,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2141213,0.00,7.00,2.00,7.00,8.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2141221,4.00,7.00,3.00,6.00,7.00,4.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2141230,0.00,5.00,4.00,4.00,5.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2141248,6.00,8.00,7.00,6.00,7.00,6.50,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2141256,3.00,5.00,3.00,5.00,5.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2141264,6.00,8.00,8.00,6.00,8.00,6.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2141272,4.00,4.00,3.00,2.00,6.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2141280,3.00,6.00,2.00,8.00,6.00,6.75,6.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2141299,7.00,9.00,8.00,5.00,9.00,7.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2141302,3.00,7.00,2.00,4.00,7.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2141310,7.00,7.00,9.00,7.00,7.00,6.75,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2141337,3.00,6.00,4.00,3.00,3.00,7.50,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2141353,3.00,8.00,3.00,4.00,6.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2141361,4.00,7.00,1.00,4.00,8.00,7.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2141370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2141388,4.00,6.00,6.00,6.00,6.00,4.50,8.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2141396,1.00,5.00,1.00,4.00,7.00,3.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2141400,4.00,7.00,6.00,6.00,8.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2141418,2.00,3.00,1.00,2.00,4.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2141426,5.00,6.00,1.00,5.00,7.00,4.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2141434,4.00,7.00,4.00,10.00,8.00,6.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2141442,2.00,6.00,1.00,5.00,4.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2141450,2.00,6.00,3.00,4.00,8.00,6.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2141469,8.00,9.00,8.00,8.00,9.00,6.25,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2141485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2141493,6.00,8.00,7.00,4.00,7.00,5.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2141515,1.00,3.00,1.00,0.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2141523,6.00,9.00,6.00,7.00,7.00,6.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2141540,8.00,8.00,5.00,4.00,8.00,6.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2141558,4.00,4.00,2.00,1.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2141566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2141574,3.00,4.00,2.00,3.00,7.00,6.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2141590,5.00,7.00,3.00,4.00,5.00,3.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2141604,4.00,8.00,5.00,6.00,5.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2141620,4.00,5.00,1.00,3.00,5.00,5.25,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2141639,1.00,5.00,3.00,4.00,6.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2141647,2.00,5.00,3.00,8.00,8.00,5.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2141655,3.00,7.00,5.00,5.00,6.00,7.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2141663,2.00,7.00,7.00,9.00,7.00,6.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2141671,0.00,3.00,1.00,5.00,4.00,4.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2141698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2141701,2.00,7.00,1.00,2.00,5.00,4.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2141710,2.00,6.00,1.00,5.00,5.00,5.75,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2141728,3.00,5.00,5.00,4.00,5.00,5.00,4.00,7.00,1.00,NULL,NULL,NULL,'S'),(15,2141736,0.00,2.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2141744,9.00,7.00,9.00,8.00,8.00,5.50,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2141752,4.00,6.00,3.00,5.00,4.00,4.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2141760,3.00,8.00,5.00,7.00,9.00,6.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2141779,4.00,6.00,5.00,3.00,6.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2141787,3.00,9.00,6.00,9.00,8.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2141795,5.00,8.00,7.00,9.00,9.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2141809,5.00,6.00,5.00,8.00,3.00,6.25,7.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2141817,5.00,7.00,7.00,6.00,7.00,5.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2141825,3.00,5.00,4.00,5.00,6.00,7.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2141833,5.00,8.00,5.00,6.00,6.00,7.50,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2141841,6.00,8.00,5.00,7.00,8.00,6.75,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2141868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2141876,0.00,6.00,3.00,5.00,6.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2141884,5.00,8.00,2.00,6.00,7.00,6.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2141906,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2141914,3.00,3.00,5.00,5.00,6.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2141922,1.00,3.00,3.00,0.00,4.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2141930,6.00,9.00,9.00,6.00,9.00,7.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2141957,4.00,5.00,7.00,9.00,8.00,5.75,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2141965,2.00,4.00,1.00,5.00,2.00,NULL,6.00,7.00,0.00,NULL,NULL,NULL,'N'),(15,2141973,1.00,4.00,2.00,6.00,3.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2141981,2.00,4.00,1.00,0.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2141990,5.00,8.00,5.00,3.00,8.00,5.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2142007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2142015,2.00,4.00,4.00,1.00,6.00,0.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2142023,2.00,9.00,6.00,7.00,9.00,6.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2142031,3.00,6.00,6.00,5.00,5.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2142040,4.00,6.00,0.00,2.00,6.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2142058,3.00,3.00,2.00,3.00,6.00,4.50,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2142066,0.00,2.00,0.00,4.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2142074,4.00,7.00,3.00,6.00,4.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2142082,9.00,7.00,9.00,9.00,9.00,3.75,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2142090,6.00,8.00,3.00,7.00,8.00,7.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2142104,4.00,6.00,2.00,1.00,4.00,3.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2142112,7.00,9.00,8.00,7.00,8.00,7.75,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2142120,4.00,6.00,4.00,6.00,7.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2142139,6.00,8.00,9.00,7.00,7.00,5.50,9.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2142147,6.00,7.00,5.00,5.00,8.00,6.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2142155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2142163,5.00,9.00,4.00,8.00,8.00,7.75,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2142171,0.00,4.00,4.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2142180,2.00,5.00,2.00,2.00,4.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2142198,7.00,8.00,9.00,6.00,7.00,7.25,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2142201,3.00,7.00,2.00,5.00,7.00,5.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2142210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2142228,6.00,7.00,6.00,7.00,6.00,4.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2142236,6.00,6.00,6.00,6.00,7.00,3.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2142244,2.00,4.00,5.00,2.00,5.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2142252,6.00,7.00,6.00,6.00,8.00,7.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2142279,2.00,6.00,2.00,3.00,6.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2142287,4.00,5.00,3.00,5.00,4.00,6.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2142295,3.00,3.00,5.00,3.00,6.00,6.50,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2142309,3.00,6.00,3.00,4.00,4.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2142317,4.00,5.00,3.00,9.00,6.00,6.25,4.00,3.00,6.00,NULL,NULL,NULL,'S'),(15,2142325,3.00,6.00,2.00,3.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2142333,2.00,4.00,1.00,1.00,3.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2142341,4.00,4.00,5.00,8.00,8.00,3.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2142350,4.00,3.00,0.00,4.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(15,2142384,6.00,8.00,6.00,7.00,7.00,6.25,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2142392,5.00,4.00,5.00,8.00,8.00,4.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2142406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2142414,1.00,5.00,2.00,9.00,6.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2142422,2.00,7.00,5.00,1.00,4.00,3.50,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2142430,1.00,6.00,4.00,5.00,6.00,3.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2142449,6.00,8.00,9.00,7.00,9.00,4.25,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2142457,0.00,4.00,1.00,1.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2142465,5.00,8.00,8.00,6.00,9.00,5.25,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2142473,5.00,6.00,5.00,7.00,7.00,7.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2142490,4.00,7.00,6.00,6.00,7.00,7.00,6.00,8.00,4.00,NULL,NULL,NULL,'S'),(15,2142503,1.00,0.00,1.00,1.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2142511,8.00,9.00,9.00,9.00,9.00,6.00,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2142520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2142538,5.00,9.00,5.00,8.00,9.00,8.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2142546,2.00,7.00,0.00,8.00,7.00,6.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2142554,4.00,6.00,3.00,6.00,8.00,5.75,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2142562,4.00,7.00,5.00,6.00,9.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2142570,4.00,7.00,7.00,6.00,9.00,5.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2142589,6.00,9.00,9.00,6.00,8.00,6.25,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2142597,3.00,6.00,4.00,7.00,8.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2142600,5.00,7.00,7.00,4.00,9.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2142619,5.00,7.00,3.00,5.00,8.00,6.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2142627,2.00,3.00,5.00,3.00,5.00,4.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2142635,5.00,8.00,8.00,6.00,9.00,5.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2142643,4.00,6.00,7.00,4.00,5.00,4.00,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2142651,5.00,7.00,8.00,7.00,8.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2142660,1.00,4.00,2.00,3.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2142678,5.00,7.00,7.00,6.00,7.00,5.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2142686,6.00,8.00,6.00,5.00,7.00,5.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2142694,4.00,8.00,5.00,1.00,5.00,3.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2142708,2.00,5.00,5.00,4.00,7.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2142716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2142724,6.00,9.00,8.00,8.00,8.00,5.75,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2142732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2142767,4.00,6.00,5.00,4.00,7.00,4.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2142775,7.00,8.00,8.00,7.00,9.00,6.00,9.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2142783,7.00,9.00,8.00,7.00,8.00,7.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2142791,3.00,7.00,4.00,7.00,5.00,6.50,3.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2142813,6.00,5.00,4.00,4.00,8.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2142848,5.00,8.00,4.00,6.00,7.00,5.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2142856,2.00,7.00,2.00,3.00,8.00,5.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2142864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2142872,3.00,6.00,1.00,3.00,5.00,5.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2142880,3.00,5.00,3.00,5.00,8.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2142899,1.00,3.00,2.00,0.00,5.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2142902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2142910,0.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2142929,3.00,7.00,5.00,7.00,4.00,5.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2142937,6.00,8.00,8.00,8.00,7.00,7.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2142945,5.00,6.00,9.00,8.00,9.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2142953,3.00,6.00,6.00,6.00,6.00,8.00,4.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2142961,8.00,8.00,8.00,9.00,8.00,5.75,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2142970,0.00,4.00,3.00,6.00,3.00,4.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2142996,7.00,6.00,8.00,5.00,7.00,6.00,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2143003,5.00,9.00,8.00,8.00,8.00,7.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2143011,5.00,7.00,6.00,7.00,8.00,6.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2143020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2143038,5.00,6.00,5.00,9.00,9.00,6.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2143046,2.00,3.00,3.00,6.00,6.00,4.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2143054,7.00,7.00,6.00,3.00,8.00,6.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2143062,3.00,3.00,3.00,5.00,5.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2143070,0.00,4.00,2.00,1.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2143089,4.00,8.00,6.00,3.00,7.00,4.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2143097,2.00,8.00,2.00,8.00,9.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2143119,0.00,2.00,3.00,5.00,5.00,3.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2143135,5.00,8.00,1.00,7.00,7.00,6.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2143143,4.00,8.00,6.00,9.00,6.00,5.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2143151,5.00,6.00,1.00,4.00,5.00,3.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2143160,2.00,5.00,1.00,5.00,6.00,4.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2143178,8.00,6.00,8.00,6.00,7.00,7.50,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2143186,2.00,5.00,4.00,0.00,6.00,NULL,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2143194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2143216,3.00,7.00,4.00,4.00,7.00,4.75,6.00,3.00,5.00,NULL,NULL,NULL,'S'),(15,2143224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2143232,3.00,5.00,1.00,5.00,5.00,3.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2143240,2.00,6.00,2.00,4.00,4.00,3.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2143259,5.00,9.00,7.00,7.00,7.00,7.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2143267,5.00,9.00,6.00,8.00,7.00,6.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2143275,5.00,7.00,5.00,6.00,8.00,7.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2143283,7.00,7.00,8.00,4.00,6.00,5.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2143291,6.00,7.00,6.00,5.00,8.00,4.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2143330,1.00,4.00,0.00,2.00,6.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2143356,4.00,5.00,6.00,7.00,7.00,6.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2143372,3.00,5.00,4.00,2.00,4.00,5.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2143380,2.00,7.00,3.00,4.00,8.00,6.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2143402,3.00,6.00,3.00,6.00,8.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2143410,4.00,6.00,3.00,5.00,7.00,5.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2143429,1.00,4.00,1.00,3.00,5.00,3.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2143437,4.00,6.00,4.00,2.00,8.00,4.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2143445,1.00,7.00,4.00,4.00,8.00,5.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2143453,3.00,5.00,2.00,3.00,4.00,4.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2143461,3.00,6.00,5.00,7.00,9.00,7.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2143488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2143496,4.00,6.00,5.00,4.00,7.00,5.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2143500,3.00,5.00,3.00,3.00,7.00,6.00,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2143518,4.00,8.00,6.00,2.00,7.00,6.00,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2143526,6.00,7.00,6.00,8.00,8.00,4.75,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2143534,5.00,6.00,7.00,4.00,7.00,5.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2143542,6.00,8.00,5.00,4.00,7.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2143550,2.00,7.00,2.00,5.00,5.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2143569,3.00,5.00,7.00,7.00,5.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2143577,5.00,8.00,7.00,8.00,9.00,6.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2143585,6.00,8.00,8.00,9.00,8.00,4.25,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2143593,6.00,8.00,7.00,6.00,7.00,5.00,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2143607,6.00,7.00,3.00,4.00,8.00,4.75,5.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2143615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2143623,6.00,6.00,3.00,6.00,6.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2143631,4.00,7.00,4.00,8.00,7.00,5.25,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2143640,2.00,6.00,5.00,6.00,6.00,6.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2143658,4.00,5.00,7.00,3.00,8.00,6.25,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2143666,3.00,7.00,2.00,3.00,8.00,7.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2143674,1.00,5.00,1.00,2.00,8.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2143682,3.00,4.00,5.00,3.00,6.00,5.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2143690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2143704,3.00,6.00,3.00,4.00,3.00,4.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2143712,2.00,4.00,4.00,5.00,7.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2143720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2143739,8.00,9.00,8.00,4.00,8.00,6.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2143763,4.00,6.00,1.00,8.00,6.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2143771,3.00,7.00,2.00,7.00,4.00,5.75,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2143780,3.00,6.00,1.00,6.00,7.00,6.00,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2143801,4.00,7.00,3.00,9.00,8.00,4.75,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2143810,1.00,5.00,4.00,7.00,5.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2143828,2.00,7.00,2.00,3.00,6.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2143836,2.00,6.00,3.00,6.00,5.00,6.75,6.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2143844,4.00,8.00,4.00,1.00,6.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2143852,2.00,5.00,3.00,2.00,3.00,4.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2143860,2.00,7.00,2.00,4.00,5.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2143879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2143887,6.00,8.00,4.00,5.00,8.00,5.25,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2143895,4.00,5.00,3.00,8.00,5.00,4.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2143917,3.00,7.00,7.00,5.00,8.00,4.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2143933,5.00,5.00,3.00,8.00,6.00,5.75,4.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2143941,3.00,6.00,6.00,7.00,6.00,3.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2143950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2143968,1.00,6.00,2.00,3.00,5.00,4.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2143976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2143984,0.00,3.00,0.00,0.00,1.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2143992,2.00,8.00,5.00,3.00,6.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2144000,4.00,6.00,7.00,3.00,6.00,4.50,6.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2144026,3.00,8.00,3.00,7.00,5.00,7.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2144034,3.00,9.00,1.00,0.00,7.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2144042,3.00,5.00,4.00,4.00,6.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2144050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2144069,1.00,4.00,1.00,2.00,6.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2144093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2144107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2144123,0.00,5.00,0.00,3.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2144140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2144158,3.00,5.00,5.00,6.00,6.00,5.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2144166,2.00,8.00,1.00,3.00,6.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2144174,4.00,6.00,3.00,5.00,7.00,4.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2144190,8.00,7.00,6.00,8.00,8.00,3.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2144204,2.00,4.00,1.00,4.00,4.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2144212,1.00,5.00,4.00,3.00,6.00,3.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2144220,4.00,5.00,3.00,3.00,6.00,6.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2144239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2144247,3.00,5.00,4.00,4.00,5.00,4.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2144255,6.00,7.00,2.00,7.00,6.00,5.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2144263,5.00,7.00,7.00,8.00,8.00,6.75,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2144280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2144298,2.00,6.00,5.00,5.00,2.00,NULL,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2144301,5.00,8.00,9.00,7.00,7.00,5.50,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2144310,3.00,9.00,4.00,4.00,8.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2144336,1.00,5.00,3.00,3.00,4.00,NULL,4.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2144344,6.00,6.00,8.00,8.00,7.00,5.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2144352,3.00,7.00,3.00,8.00,8.00,7.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2144360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2144387,5.00,6.00,3.00,4.00,6.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2144395,3.00,5.00,3.00,7.00,6.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2144409,7.00,6.00,2.00,4.00,8.00,7.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2144417,5.00,7.00,6.00,7.00,9.00,5.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2144425,6.00,7.00,8.00,3.00,7.00,5.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2144433,5.00,6.00,8.00,9.00,5.00,7.00,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2144441,7.00,6.00,7.00,8.00,7.00,7.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2144450,3.00,7.00,5.00,4.00,4.00,7.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2144468,3.00,6.00,2.00,8.00,6.00,6.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2144476,3.00,4.00,2.00,1.00,6.00,5.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2144492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2144506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2144514,2.00,7.00,5.00,5.00,5.00,7.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2144522,4.00,5.00,1.00,3.00,6.00,7.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2144549,5.00,6.00,3.00,3.00,6.00,6.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2144557,4.00,8.00,7.00,6.00,8.00,6.25,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2144565,6.00,7.00,5.00,7.00,8.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2144573,3.00,4.00,6.00,5.00,4.00,4.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2144581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2144590,2.00,4.00,1.00,3.00,6.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2144603,0.00,0.00,0.00,8.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2144611,2.00,5.00,4.00,4.00,7.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2144638,1.00,8.00,2.00,3.00,6.00,6.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2144646,5.00,6.00,0.00,5.00,7.00,6.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2144654,2.00,8.00,5.00,1.00,6.00,5.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2144662,6.00,8.00,5.00,7.00,9.00,6.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2144670,3.00,4.00,2.00,6.00,7.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2144689,4.00,4.00,4.00,6.00,8.00,3.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2144697,6.00,9.00,7.00,6.00,7.00,7.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2144700,2.00,6.00,1.00,5.00,5.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2144719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2144743,2.00,4.00,3.00,1.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2144760,3.00,7.00,6.00,8.00,7.00,5.75,8.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2144778,7.00,9.00,7.00,7.00,8.00,4.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2144808,3.00,6.00,6.00,6.00,4.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2144816,2.00,3.00,2.00,6.00,5.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2144832,2.00,8.00,6.00,6.00,7.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2144840,4.00,7.00,1.00,3.00,4.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2144859,3.00,6.00,1.00,1.00,6.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2144867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2144875,3.00,6.00,2.00,2.00,5.00,4.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2144883,3.00,9.00,2.00,5.00,8.00,6.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2144891,4.00,3.00,4.00,6.00,7.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2144913,4.00,5.00,4.00,5.00,6.00,7.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2144921,3.00,6.00,2.00,3.00,6.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2144948,1.00,3.00,0.00,3.00,1.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2144956,3.00,6.00,3.00,5.00,7.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2144964,0.00,3.00,1.00,3.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2144972,8.00,9.00,9.00,7.00,9.00,7.00,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2144980,3.00,8.00,2.00,8.00,8.00,4.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2144999,7.00,8.00,8.00,6.00,9.00,7.25,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2145006,0.00,3.00,2.00,5.00,5.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2145014,7.00,7.00,6.00,6.00,8.00,6.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2145022,6.00,8.00,5.00,5.00,8.00,5.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2145030,7.00,8.00,9.00,5.00,9.00,6.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2145057,4.00,7.00,4.00,7.00,8.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2145065,2.00,3.00,5.00,1.00,4.00,1.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2145073,4.00,4.00,3.00,5.00,6.00,4.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2145103,1.00,8.00,0.00,4.00,2.00,NULL,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2145111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2145120,2.00,7.00,8.00,7.00,8.00,4.50,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2145138,5.00,7.00,8.00,5.00,6.00,7.25,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2145146,4.00,7.00,3.00,7.00,8.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2145154,5.00,6.00,9.00,7.00,8.00,5.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2145162,2.00,5.00,2.00,3.00,3.00,4.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2145189,3.00,6.00,3.00,7.00,8.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2145197,1.00,5.00,4.00,7.00,8.00,4.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2145200,4.00,3.00,2.00,4.00,6.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2145227,3.00,6.00,4.00,6.00,7.00,7.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2145235,6.00,8.00,7.00,7.00,8.00,4.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2145243,4.00,5.00,3.00,6.00,5.00,4.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2145251,4.00,7.00,5.00,9.00,9.00,6.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2145260,2.00,7.00,2.00,1.00,6.00,5.25,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2145278,6.00,7.00,7.00,8.00,8.00,7.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2145294,7.00,7.00,7.00,8.00,8.00,7.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2145308,1.00,2.00,1.00,1.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2145316,8.00,9.00,9.00,10.00,9.00,6.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2145332,4.00,7.00,1.00,6.00,8.00,4.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2145340,2.00,5.00,3.00,2.00,5.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2145359,1.00,6.00,6.00,6.00,6.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2145367,5.00,4.00,4.00,4.00,8.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2145375,2.00,5.00,2.00,4.00,5.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2145383,2.00,7.00,3.00,2.00,7.00,0.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2145405,4.00,3.00,1.00,4.00,3.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2145413,0.00,5.00,3.00,6.00,4.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2145421,4.00,8.00,5.00,6.00,8.00,7.00,6.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2145430,4.00,8.00,4.00,2.00,8.00,5.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2145448,1.00,3.00,0.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2145456,3.00,5.00,4.00,6.00,7.00,5.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2145464,7.00,7.00,3.00,8.00,7.00,5.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2145480,1.00,6.00,0.00,6.00,7.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2145499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2145502,1.00,2.00,1.00,5.00,8.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2145510,5.00,6.00,4.00,2.00,8.00,7.25,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2145529,2.00,3.00,1.00,0.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2145537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2145545,1.00,3.00,3.00,3.00,4.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2145553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2145561,4.00,7.00,8.00,4.00,6.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2145570,5.00,7.00,5.00,2.00,8.00,5.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2145588,0.00,4.00,0.00,1.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2145596,6.00,8.00,6.00,8.00,9.00,6.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2145600,1.00,4.00,2.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2145618,7.00,7.00,7.00,6.00,9.00,6.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2145626,1.00,4.00,3.00,4.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2145634,2.00,4.00,2.00,7.00,5.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2145642,4.00,6.00,4.00,2.00,5.00,5.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2145650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2145677,1.00,6.00,3.00,3.00,9.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2145685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2145693,4.00,6.00,4.00,6.00,6.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2145707,4.00,4.00,6.00,7.00,6.00,7.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2145715,1.00,6.00,5.00,4.00,8.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2145723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2145731,3.00,4.00,2.00,5.00,7.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2145740,4.00,3.00,5.00,6.00,7.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2145758,2.00,4.00,4.00,2.00,6.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2145782,6.00,7.00,5.00,6.00,8.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2145790,3.00,5.00,3.00,5.00,6.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2145812,1.00,4.00,2.00,5.00,5.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2145820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2145839,5.00,6.00,4.00,1.00,5.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2145847,8.00,9.00,9.00,9.00,9.00,6.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2145855,3.00,6.00,4.00,4.00,6.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2145863,6.00,8.00,7.00,4.00,8.00,6.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2145871,5.00,8.00,6.00,4.00,8.00,4.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2145880,1.00,4.00,2.00,6.00,6.00,5.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2145898,1.00,4.00,5.00,6.00,5.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2145901,5.00,5.00,4.00,3.00,8.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2145910,4.00,4.00,5.00,5.00,6.00,6.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2145928,9.00,9.00,9.00,8.00,8.00,5.50,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(15,2145936,2.00,6.00,3.00,4.00,8.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2145944,2.00,5.00,2.00,2.00,3.00,5.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2145952,3.00,7.00,3.00,3.00,5.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2145979,6.00,9.00,7.00,7.00,9.00,5.25,6.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2145987,7.00,8.00,8.00,5.00,8.00,4.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2145995,3.00,7.00,8.00,6.00,8.00,5.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2146002,4.00,6.00,3.00,5.00,5.00,5.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2146029,6.00,6.00,9.00,8.00,8.00,7.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2146037,1.00,5.00,3.00,5.00,5.00,6.00,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2146053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2146061,3.00,2.00,2.00,0.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2146096,3.00,6.00,1.00,6.00,7.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2146100,4.00,5.00,5.00,1.00,5.00,6.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2146118,6.00,7.00,4.00,7.00,8.00,5.25,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2146126,8.00,9.00,9.00,7.00,8.00,7.00,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2146134,7.00,7.00,7.00,6.00,8.00,6.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2146142,0.00,4.00,2.00,0.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2146150,4.00,7.00,4.00,2.00,6.00,5.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2146169,2.00,6.00,2.00,6.00,4.00,5.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2146177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2146185,5.00,6.00,3.00,5.00,6.00,3.75,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2146193,1.00,5.00,2.00,3.00,5.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2146207,7.00,8.00,7.00,9.00,8.00,8.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2146215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2146223,4.00,7.00,2.00,4.00,6.00,6.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2146231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2146240,4.00,5.00,2.00,7.00,5.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2146258,3.00,5.00,1.00,3.00,5.00,5.25,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2146266,3.00,6.00,2.00,3.00,7.00,4.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2146274,6.00,9.00,8.00,8.00,7.00,5.00,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2146282,2.00,6.00,4.00,6.00,8.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2146290,4.00,3.00,4.00,0.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2146304,1.00,5.00,4.00,3.00,6.00,4.00,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2146312,2.00,3.00,3.00,7.00,7.00,3.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2146320,3.00,7.00,3.00,6.00,8.00,6.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2146339,3.00,4.00,0.00,3.00,5.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2146347,4.00,3.00,3.00,5.00,7.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2146355,4.00,7.00,4.00,7.00,5.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2146363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2146371,1.00,7.00,2.00,3.00,6.00,4.75,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2146380,4.00,7.00,8.00,5.00,8.00,4.50,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2146398,0.00,7.00,1.00,4.00,4.00,4.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2146401,2.00,5.00,4.00,2.00,6.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2146428,4.00,8.00,4.00,5.00,8.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2146436,3.00,5.00,6.00,8.00,5.00,0.00,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2146444,6.00,8.00,8.00,5.00,7.00,5.25,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2146452,7.00,8.00,9.00,8.00,7.00,5.00,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2146460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2146479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2146487,3.00,6.00,2.00,3.00,5.00,6.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2146495,5.00,7.00,8.00,7.00,8.00,5.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2146517,4.00,5.00,5.00,1.00,8.00,6.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2146525,4.00,8.00,1.00,3.00,7.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2146568,6.00,6.00,3.00,7.00,7.00,5.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2146584,8.00,8.00,8.00,8.00,8.00,6.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2146592,2.00,6.00,3.00,6.00,7.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2146606,5.00,8.00,5.00,2.00,7.00,4.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2146614,2.00,6.00,3.00,6.00,5.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2146622,5.00,6.00,1.00,1.00,4.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2146630,4.00,7.00,1.00,4.00,8.00,5.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2146649,7.00,8.00,3.00,5.00,6.00,5.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2146665,4.00,6.00,3.00,7.00,6.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2146681,3.00,7.00,4.00,4.00,7.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2146690,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2146711,2.00,3.00,2.00,5.00,5.00,5.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2146720,4.00,8.00,6.00,5.00,8.00,5.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2146738,3.00,8.00,3.00,6.00,5.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2146746,5.00,8.00,3.00,7.00,7.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2146762,1.00,5.00,4.00,5.00,4.00,4.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2146770,5.00,8.00,5.00,7.00,8.00,4.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2146789,3.00,5.00,2.00,5.00,4.00,5.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2146797,2.00,5.00,4.00,5.00,5.00,7.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2146800,7.00,7.00,7.00,8.00,8.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2146819,2.00,7.00,2.00,1.00,3.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2146835,4.00,6.00,1.00,2.00,4.00,4.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2146843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2146851,8.00,8.00,7.00,6.00,9.00,6.00,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2146860,3.00,7.00,5.00,9.00,8.00,6.50,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2146878,3.00,8.00,1.00,6.00,6.00,4.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2146886,2.00,2.00,2.00,3.00,8.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2146894,3.00,7.00,2.00,5.00,6.00,4.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2146908,2.00,7.00,2.00,6.00,7.00,5.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2146916,3.00,7.00,8.00,5.00,6.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2146932,2.00,7.00,3.00,3.00,5.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2146940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2146959,3.00,5.00,1.00,7.00,3.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2146967,7.00,9.00,9.00,9.00,8.00,7.75,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2146975,2.00,4.00,3.00,3.00,5.00,3.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2146991,2.00,3.00,3.00,4.00,4.00,5.00,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2147009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2147025,1.00,5.00,1.00,3.00,6.00,6.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2147033,2.00,3.00,2.00,1.00,6.00,NULL,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2147041,1.00,4.00,3.00,2.00,4.00,3.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2147050,4.00,3.00,6.00,6.00,9.00,7.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2147068,5.00,8.00,6.00,7.00,10.00,6.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2147076,4.00,4.00,1.00,1.00,7.00,7.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2147084,1.00,5.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2147092,6.00,5.00,6.00,7.00,8.00,5.50,7.00,7.00,6.00,NULL,NULL,NULL,'S'),(15,2147106,2.00,4.00,3.00,4.00,5.00,4.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2147122,7.00,7.00,6.00,6.00,8.00,7.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2147130,5.00,8.00,4.00,4.00,9.00,6.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2147149,3.00,6.00,5.00,9.00,5.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2147165,4.00,2.00,3.00,4.00,3.00,4.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2147173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2147181,4.00,7.00,1.00,6.00,6.00,7.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2147190,2.00,3.00,3.00,4.00,5.00,4.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2147211,1.00,5.00,2.00,6.00,6.00,0.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2147220,5.00,8.00,7.00,7.00,7.00,8.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2147246,3.00,6.00,4.00,8.00,7.00,3.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2147254,3.00,8.00,1.00,6.00,6.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2147270,1.00,6.00,5.00,6.00,6.00,5.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2147289,0.00,8.00,2.00,7.00,6.00,4.25,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2147297,6.00,9.00,8.00,7.00,7.00,7.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2147319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2147335,2.00,5.00,2.00,1.00,4.00,4.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2147343,2.00,4.00,5.00,5.00,7.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2147360,2.00,7.00,2.00,5.00,6.00,4.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2147378,3.00,3.00,3.00,6.00,6.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2147394,2.00,5.00,4.00,2.00,7.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2147408,6.00,8.00,9.00,7.00,8.00,7.75,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2147416,5.00,3.00,3.00,4.00,5.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2147424,3.00,7.00,6.00,6.00,8.00,6.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2147432,8.00,8.00,5.00,5.00,9.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2147440,6.00,6.00,8.00,6.00,5.00,6.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2147459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2147467,6.00,8.00,9.00,9.00,8.00,7.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2147475,4.00,8.00,5.00,8.00,6.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2147483,6.00,8.00,9.00,6.00,8.00,7.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2147491,3.00,5.00,1.00,1.00,5.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2147505,6.00,9.00,7.00,8.00,8.00,7.25,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2147513,4.00,6.00,6.00,3.00,3.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2147521,2.00,5.00,8.00,6.00,5.00,4.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2147530,4.00,5.00,2.00,2.00,5.00,3.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2147548,1.00,4.00,4.00,4.00,7.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2147556,6.00,8.00,7.00,9.00,9.00,6.50,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2147572,7.00,7.00,6.00,8.00,8.00,8.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2147599,2.00,8.00,3.00,8.00,8.00,6.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2147602,3.00,7.00,4.00,7.00,6.00,4.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2147610,5.00,7.00,5.00,6.00,6.00,5.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2147629,3.00,7.00,4.00,6.00,7.00,6.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2147653,2.00,3.00,1.00,5.00,5.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2147661,3.00,7.00,4.00,4.00,7.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2147670,3.00,4.00,3.00,7.00,8.00,5.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2147696,4.00,6.00,1.00,2.00,7.00,7.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2147700,1.00,5.00,0.00,1.00,6.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2147718,6.00,8.00,4.00,7.00,8.00,6.50,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2147726,3.00,6.00,1.00,2.00,5.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2147734,3.00,6.00,3.00,4.00,8.00,5.50,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2147742,4.00,7.00,1.00,9.00,5.00,7.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2147769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2147777,4.00,7.00,6.00,4.00,9.00,5.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2147785,2.00,3.00,5.00,0.00,8.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2147793,3.00,7.00,4.00,7.00,4.00,4.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2147807,5.00,6.00,5.00,8.00,9.00,3.75,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2147815,2.00,8.00,2.00,4.00,6.00,0.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2147823,3.00,6.00,4.00,6.00,4.00,4.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2147831,8.00,9.00,7.00,7.00,8.00,5.75,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2147840,2.00,5.00,5.00,3.00,5.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2147858,2.00,7.00,5.00,9.00,9.00,5.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2147874,5.00,5.00,1.00,3.00,7.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2147890,4.00,5.00,2.00,6.00,7.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2147904,3.00,6.00,3.00,2.00,4.00,4.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2147920,4.00,6.00,3.00,6.00,8.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2147939,5.00,6.00,4.00,8.00,9.00,4.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2147947,6.00,7.00,6.00,9.00,8.00,6.75,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2147955,4.00,8.00,4.00,0.00,0.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2147963,2.00,6.00,4.00,8.00,8.00,7.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2147971,3.00,7.00,3.00,6.00,7.00,8.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2147980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2147998,4.00,6.00,6.00,5.00,7.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2148005,5.00,7.00,5.00,7.00,6.00,6.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2148013,4.00,8.00,4.00,6.00,7.00,6.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2148021,4.00,6.00,1.00,7.00,6.00,4.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2148030,2.00,7.00,3.00,6.00,5.00,5.75,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2148056,4.00,7.00,2.00,5.00,5.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2148064,4.00,5.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2148072,6.00,7.00,4.00,5.00,8.00,6.75,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2148080,4.00,8.00,3.00,5.00,7.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2148099,5.00,9.00,0.00,5.00,7.00,4.50,5.00,9.00,2.00,NULL,NULL,NULL,'N'),(15,2148102,2.00,7.00,4.00,7.00,8.00,6.50,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2148110,3.00,6.00,0.00,5.00,7.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2148129,2.00,4.00,0.00,4.00,4.00,5.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2148137,6.00,8.00,5.00,7.00,8.00,5.25,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2148145,3.00,7.00,1.00,5.00,4.00,2.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2148153,2.00,6.00,3.00,5.00,7.00,5.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2148161,2.00,3.00,1.00,2.00,4.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'S'),(15,2148170,4.00,4.00,2.00,2.00,4.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2148188,6.00,7.00,2.00,5.00,8.00,6.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2148196,3.00,6.00,0.00,3.00,5.00,4.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2148200,3.00,7.00,2.00,9.00,7.00,6.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2148218,1.00,4.00,0.00,2.00,6.00,NULL,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2148226,4.00,7.00,4.00,6.00,5.00,6.25,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2148234,3.00,7.00,3.00,5.00,7.00,5.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2148242,2.00,7.00,4.00,4.00,4.00,4.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2148250,1.00,2.00,1.00,2.00,7.00,7.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2148269,5.00,6.00,3.00,5.00,8.00,6.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2148277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2148285,1.00,4.00,3.00,3.00,7.00,5.00,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2148293,8.00,8.00,8.00,9.00,9.00,8.00,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2148307,7.00,7.00,7.00,5.00,8.00,7.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2148315,5.00,6.00,9.00,4.00,7.00,6.25,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2148323,0.00,5.00,3.00,6.00,8.00,4.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2148331,3.00,7.00,2.00,6.00,5.00,5.25,5.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2148340,5.00,6.00,4.00,3.00,7.00,6.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2148358,5.00,7.00,5.00,4.00,9.00,6.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2148366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2148374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2148382,5.00,7.00,4.00,8.00,7.00,7.00,4.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2148390,6.00,7.00,8.00,5.00,8.00,6.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2148404,1.00,4.00,3.00,6.00,2.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2148412,1.00,6.00,3.00,4.00,5.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2148420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2148439,5.00,8.00,4.00,7.00,9.00,6.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2148447,6.00,7.00,6.00,6.00,8.00,6.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2148455,7.00,7.00,8.00,7.00,5.00,7.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2148463,3.00,6.00,4.00,6.00,5.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2148471,1.00,4.00,1.00,1.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2148528,0.00,0.00,0.00,2.00,4.00,NULL,3.00,5.00,2.00,NULL,'S',NULL,'N'),(15,2148536,7.00,9.00,6.00,9.00,9.00,7.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2148544,2.00,6.00,4.00,3.00,4.00,4.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2148552,7.00,8.00,7.00,9.00,7.00,3.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2148560,4.00,9.00,6.00,5.00,6.00,5.25,7.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2148587,1.00,4.00,1.00,5.00,5.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2148595,3.00,6.00,3.00,6.00,8.00,6.25,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2148609,2.00,3.00,1.00,1.00,6.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2148617,6.00,8.00,5.00,7.00,8.00,7.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2148625,3.00,4.00,3.00,5.00,5.00,3.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2148633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2148641,3.00,6.00,6.00,5.00,7.00,4.50,6.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2148650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2148668,4.00,8.00,9.00,5.00,8.00,6.75,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2148676,0.00,5.00,6.00,9.00,7.00,5.75,6.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2148684,2.00,6.00,3.00,7.00,9.00,6.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2148706,2.00,5.00,2.00,6.00,7.00,5.25,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2148714,5.00,7.00,5.00,9.00,8.00,7.50,6.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2148722,6.00,7.00,5.00,5.00,8.00,6.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2148730,2.00,5.00,3.00,2.00,6.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2148749,5.00,6.00,5.00,7.00,9.00,8.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2148757,3.00,4.00,5.00,2.00,5.00,5.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2148773,7.00,8.00,6.00,7.00,6.00,4.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2148781,2.00,7.00,3.00,5.00,7.00,7.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2148790,4.00,3.00,3.00,5.00,5.00,5.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2148803,6.00,7.00,7.00,3.00,8.00,5.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2148811,6.00,8.00,7.00,4.00,8.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2148820,3.00,5.00,4.00,9.00,8.00,5.75,5.00,9.00,2.00,NULL,NULL,NULL,'N'),(15,2148838,6.00,5.00,7.00,8.00,9.00,5.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2148846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2148854,2.00,4.00,1.00,5.00,3.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2148862,4.00,7.00,6.00,5.00,6.00,5.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2148870,3.00,5.00,4.00,3.00,8.00,5.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2148889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2148897,5.00,6.00,5.00,5.00,7.00,5.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2148919,4.00,7.00,6.00,5.00,7.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2148927,5.00,7.00,4.00,8.00,9.00,7.25,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2148935,7.00,8.00,6.00,7.00,7.00,7.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2148943,5.00,5.00,3.00,2.00,7.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2148951,1.00,5.00,2.00,4.00,6.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2148960,3.00,7.00,8.00,6.00,7.00,6.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2148986,2.00,5.00,2.00,4.00,7.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2148994,3.00,5.00,3.00,1.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2149001,5.00,8.00,7.00,3.00,8.00,6.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2149010,2.00,5.00,2.00,2.00,6.00,2.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2149028,1.00,3.00,3.00,3.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2149036,3.00,7.00,1.00,7.00,7.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2149044,7.00,8.00,9.00,7.00,8.00,6.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2149052,4.00,5.00,6.00,4.00,7.00,6.50,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2149060,6.00,6.00,2.00,6.00,7.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2149079,2.00,4.00,6.00,6.00,7.00,5.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2149087,5.00,7.00,4.00,6.00,7.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2149095,2.00,6.00,1.00,6.00,6.00,6.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2149109,7.00,7.00,7.00,8.00,9.00,6.75,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2149117,3.00,8.00,4.00,8.00,9.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2149125,2.00,3.00,1.00,4.00,5.00,5.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2149133,3.00,7.00,4.00,3.00,5.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2149141,4.00,6.00,7.00,5.00,7.00,5.50,7.00,5.00,6.00,NULL,NULL,NULL,'S'),(15,2149150,1.00,3.00,2.00,5.00,6.00,4.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2149168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2149192,3.00,7.00,6.00,8.00,5.00,5.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2149206,0.00,7.00,5.00,9.00,6.00,4.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2149214,4.00,7.00,4.00,6.00,9.00,7.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2149222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2149230,3.00,6.00,3.00,2.00,4.00,5.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2149249,3.00,2.00,3.00,2.00,4.00,4.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2149257,1.00,5.00,2.00,3.00,6.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2149265,1.00,5.00,3.00,8.00,4.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2149273,3.00,5.00,5.00,4.00,6.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2149281,8.00,7.00,6.00,6.00,7.00,6.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2149290,5.00,7.00,6.00,4.00,5.00,4.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2149303,6.00,8.00,6.00,7.00,7.00,6.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2149311,3.00,6.00,5.00,5.00,5.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2149320,3.00,4.00,2.00,2.00,6.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2149346,3.00,6.00,5.00,6.00,5.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2149362,4.00,7.00,3.00,3.00,6.00,5.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2149370,2.00,5.00,0.00,2.00,4.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2149389,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2149397,0.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(15,2149400,4.00,7.00,8.00,6.00,6.00,4.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2149419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2149427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2149435,4.00,8.00,4.00,5.00,8.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2149451,6.00,7.00,5.00,6.00,7.00,6.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2149460,5.00,8.00,4.00,5.00,7.00,6.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2149478,3.00,5.00,2.00,2.00,3.00,7.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2149486,4.00,6.00,1.00,5.00,5.00,3.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2149494,2.00,5.00,1.00,5.00,5.00,4.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2149508,3.00,4.00,2.00,6.00,4.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2149516,4.00,6.00,4.00,5.00,5.00,5.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2149524,4.00,6.00,5.00,4.00,6.00,4.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2149532,6.00,5.00,5.00,6.00,8.00,5.25,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2149559,0.00,8.00,4.00,5.00,6.00,5.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2149567,6.00,6.00,6.00,9.00,8.00,8.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2149575,2.00,8.00,5.00,8.00,4.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2149583,3.00,6.00,5.00,6.00,6.00,5.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2149591,4.00,8.00,6.00,3.00,6.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2149605,1.00,7.00,4.00,2.00,3.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2149613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2149621,1.00,5.00,5.00,1.00,7.00,5.00,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2149648,4.00,5.00,6.00,7.00,6.00,4.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2149656,2.00,4.00,2.00,4.00,5.00,5.50,5.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2149664,1.00,4.00,2.00,6.00,5.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2149680,2.00,6.00,3.00,6.00,3.00,4.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2149699,4.00,2.00,3.00,6.00,6.00,3.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2149702,4.00,6.00,4.00,7.00,7.00,5.25,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2149710,7.00,7.00,1.00,7.00,7.00,6.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2149729,2.00,6.00,3.00,1.00,5.00,2.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2149737,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(15,2149745,1.00,8.00,3.00,5.00,5.00,4.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2149753,3.00,8.00,4.00,7.00,7.00,7.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2149761,4.00,7.00,5.00,4.00,7.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2149770,5.00,6.00,6.00,6.00,5.00,5.00,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2149788,0.00,6.00,2.00,6.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2149800,6.00,8.00,5.00,6.00,5.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2149818,3.00,5.00,5.00,5.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2149826,2.00,5.00,4.00,7.00,6.00,5.00,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2149834,3.00,5.00,3.00,8.00,5.00,0.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2149842,4.00,5.00,4.00,6.00,6.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2149850,4.00,8.00,6.00,3.00,7.00,6.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2149877,6.00,8.00,6.00,7.00,9.00,6.50,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2149885,4.00,4.00,1.00,0.00,6.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2149893,3.00,6.00,3.00,6.00,6.00,4.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2149907,1.00,4.00,1.00,0.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2149915,1.00,4.00,2.00,0.00,4.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2149923,4.00,5.00,5.00,2.00,6.00,4.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2149931,5.00,8.00,9.00,8.00,8.00,6.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2149940,7.00,9.00,7.00,8.00,9.00,7.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2149958,9.00,8.00,9.00,7.00,7.00,5.25,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2149966,1.00,4.00,5.00,3.00,6.00,6.50,4.00,3.00,4.00,NULL,NULL,NULL,'S'),(15,2149974,3.00,7.00,5.00,4.00,7.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2149982,4.00,7.00,4.00,8.00,5.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2149990,2.00,7.00,2.00,1.00,7.00,3.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2150000,4.00,6.00,3.00,5.00,7.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2150018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2150026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2150034,7.00,8.00,8.00,7.00,8.00,7.50,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2150042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2150050,2.00,4.00,6.00,4.00,7.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2150069,4.00,6.00,5.00,3.00,7.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2150085,3.00,7.00,1.00,0.00,6.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2150093,5.00,7.00,5.00,6.00,7.00,8.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2150107,4.00,5.00,3.00,8.00,8.00,3.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2150123,1.00,6.00,4.00,6.00,4.00,4.50,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2150131,6.00,6.00,8.00,6.00,6.00,6.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2150140,5.00,8.00,3.00,3.00,6.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2150158,2.00,8.00,4.00,4.00,8.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2150166,2.00,6.00,2.00,3.00,5.00,4.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2150182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2150190,2.00,4.00,0.00,4.00,7.00,5.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2150212,0.00,3.00,3.00,2.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2150239,4.00,6.00,3.00,4.00,6.00,3.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2150255,6.00,6.00,6.00,4.00,6.00,5.50,8.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2150271,4.00,7.00,5.00,7.00,4.00,5.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2150280,2.00,6.00,4.00,7.00,6.00,3.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2150298,4.00,8.00,8.00,7.00,8.00,7.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2150301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2150328,4.00,7.00,6.00,6.00,4.00,5.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2150336,5.00,8.00,3.00,9.00,8.00,8.50,6.00,8.00,6.00,NULL,NULL,NULL,'S'),(15,2150344,4.00,6.00,3.00,3.00,4.00,4.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2150352,0.00,6.00,1.00,1.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2150360,4.00,7.00,8.00,6.00,7.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2150379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2150409,5.00,6.00,5.00,7.00,7.00,3.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2150425,7.00,7.00,9.00,8.00,9.00,5.25,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2150433,2.00,6.00,4.00,4.00,4.00,6.25,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2150441,7.00,8.00,5.00,7.00,7.00,4.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2150450,3.00,7.00,2.00,5.00,6.00,6.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2150468,8.00,9.00,8.00,8.00,9.00,6.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2150476,2.00,4.00,2.00,3.00,7.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2150484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2150492,3.00,4.00,1.00,5.00,4.00,4.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2150506,5.00,8.00,6.00,8.00,8.00,6.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2150514,5.00,8.00,4.00,7.00,8.00,5.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2150522,2.00,3.00,3.00,6.00,6.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2150530,3.00,6.00,2.00,6.00,6.00,4.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2150549,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2150565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2150573,3.00,6.00,4.00,0.00,6.00,4.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2150581,0.00,6.00,1.00,0.00,7.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2150590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2150611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2150620,5.00,6.00,9.00,6.00,8.00,4.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2150638,6.00,7.00,7.00,7.00,7.00,5.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2150646,3.00,5.00,0.00,2.00,5.00,4.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2150654,4.00,8.00,8.00,8.00,8.00,5.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2150662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2150670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2150689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2150697,2.00,4.00,2.00,3.00,2.00,NULL,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2150700,2.00,5.00,4.00,5.00,7.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2150719,6.00,7.00,8.00,8.00,8.00,6.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2150727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2150735,4.00,7.00,3.00,5.00,6.00,5.25,6.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2150743,2.00,3.00,4.00,4.00,4.00,4.75,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2150751,5.00,5.00,3.00,2.00,4.00,4.50,6.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2150760,5.00,7.00,4.00,6.00,8.00,5.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2150778,6.00,7.00,6.00,7.00,8.00,5.75,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2150794,2.00,6.00,1.00,8.00,4.00,5.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2150808,4.00,7.00,9.00,8.00,8.00,6.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2150824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2150832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2150840,8.00,8.00,9.00,4.00,8.00,6.25,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2150867,6.00,9.00,9.00,9.00,9.00,6.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2150875,4.00,6.00,6.00,7.00,5.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2150883,2.00,6.00,2.00,7.00,7.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2150891,1.00,6.00,6.00,7.00,7.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2150905,1.00,6.00,1.00,2.00,7.00,6.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2150921,4.00,8.00,7.00,7.00,7.00,5.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2150948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2150956,3.00,4.00,1.00,2.00,3.00,4.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2150964,3.00,6.00,4.00,3.00,4.00,6.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2150972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2150980,1.00,5.00,4.00,1.00,5.00,4.50,6.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2150999,2.00,4.00,5.00,6.00,7.00,5.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2151006,4.00,6.00,4.00,5.00,8.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2151014,3.00,5.00,2.00,6.00,7.00,4.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2151022,2.00,7.00,3.00,1.00,7.00,5.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2151030,6.00,8.00,6.00,10.00,9.00,6.75,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2151057,1.00,4.00,2.00,4.00,4.00,2.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2151065,8.00,8.00,8.00,9.00,7.00,6.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2151073,2.00,6.00,0.00,4.00,5.00,3.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2151090,5.00,8.00,7.00,9.00,9.00,5.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2151103,3.00,7.00,4.00,5.00,8.00,4.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2151111,6.00,8.00,8.00,8.00,8.00,8.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2151120,1.00,4.00,4.00,1.00,6.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2151138,3.00,6.00,1.00,5.00,5.00,4.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2151146,4.00,6.00,5.00,5.00,5.00,3.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2151154,2.00,5.00,2.00,5.00,6.00,6.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2151162,2.00,4.00,1.00,2.00,6.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2151170,3.00,6.00,6.00,8.00,5.00,7.00,6.00,7.00,1.00,NULL,NULL,NULL,'S'),(15,2151189,2.00,7.00,1.00,4.00,6.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2151200,1.00,7.00,4.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2151219,1.00,7.00,1.00,4.00,6.00,4.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2151227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2151235,6.00,9.00,7.00,6.00,8.00,6.75,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2151243,4.00,5.00,3.00,5.00,6.00,6.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2151251,7.00,7.00,9.00,9.00,7.00,7.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2151260,3.00,6.00,2.00,3.00,8.00,6.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2151278,3.00,6.00,4.00,7.00,5.00,5.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2151294,1.00,5.00,4.00,2.00,5.00,5.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2151308,3.00,7.00,4.00,6.00,8.00,5.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2151324,3.00,4.00,3.00,6.00,5.00,4.50,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2151332,1.00,7.00,1.00,6.00,6.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2151340,2.00,5.00,3.00,1.00,1.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2151359,3.00,6.00,4.00,5.00,7.00,4.50,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2151375,5.00,8.00,5.00,7.00,7.00,6.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2151383,2.00,3.00,3.00,2.00,6.00,6.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2151391,3.00,7.00,3.00,7.00,6.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2151405,3.00,7.00,4.00,6.00,7.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2151413,1.00,6.00,1.00,3.00,6.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2151421,4.00,7.00,4.00,7.00,7.00,5.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2151430,5.00,5.00,3.00,3.00,3.00,3.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2151448,5.00,9.00,5.00,8.00,6.00,6.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2151456,3.00,5.00,2.00,6.00,7.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2151464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2151472,2.00,6.00,1.00,3.00,6.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2151480,3.00,3.00,2.00,3.00,4.00,5.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2151499,2.00,6.00,2.00,6.00,8.00,4.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2151510,2.00,6.00,3.00,4.00,6.00,5.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2151529,0.00,4.00,2.00,5.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2151537,0.00,7.00,4.00,7.00,5.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2151545,3.00,3.00,0.00,4.00,7.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2151553,4.00,8.00,3.00,5.00,7.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2151596,4.00,9.00,4.00,5.00,8.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2151600,4.00,7.00,4.00,5.00,6.00,6.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2151618,6.00,7.00,4.00,8.00,7.00,7.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2151626,4.00,4.00,3.00,6.00,5.00,5.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2151634,2.00,7.00,0.00,3.00,7.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2151642,3.00,4.00,1.00,1.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2151669,4.00,6.00,6.00,4.00,8.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2151677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2151685,6.00,7.00,6.00,7.00,8.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2151693,5.00,7.00,4.00,3.00,9.00,7.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2151715,6.00,6.00,5.00,5.00,8.00,5.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2151723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2151731,2.00,3.00,3.00,5.00,3.00,5.50,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2151766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2151774,1.00,4.00,2.00,1.00,7.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2151782,7.00,8.00,7.00,6.00,8.00,4.75,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2151790,4.00,8.00,7.00,4.00,8.00,5.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2151804,1.00,4.00,1.00,3.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2151812,2.00,5.00,3.00,5.00,5.00,4.50,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2151820,1.00,6.00,0.00,7.00,5.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2151839,2.00,8.00,3.00,6.00,4.00,4.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2151847,5.00,8.00,4.00,8.00,7.00,6.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2151855,2.00,7.00,1.00,7.00,7.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2151863,2.00,8.00,7.00,8.00,7.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2151871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2151880,3.00,8.00,5.00,3.00,5.00,3.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2151898,5.00,5.00,4.00,7.00,3.00,4.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2151910,5.00,6.00,1.00,6.00,8.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2151928,2.00,8.00,4.00,7.00,8.00,6.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2151936,4.00,7.00,7.00,7.00,6.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2151944,3.00,8.00,6.00,4.00,6.00,4.25,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2151952,5.00,8.00,3.00,6.00,6.00,4.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2151960,7.00,8.00,9.00,9.00,8.00,6.75,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2151979,7.00,6.00,1.00,5.00,5.00,6.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2151987,4.00,8.00,7.00,5.00,6.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2151995,1.00,5.00,3.00,5.00,6.00,6.00,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2152002,6.00,7.00,8.00,7.00,7.00,7.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2152010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2152029,4.00,6.00,4.00,6.00,6.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2152037,4.00,5.00,1.00,4.00,4.00,5.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2152045,3.00,6.00,1.00,4.00,4.00,5.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2152053,3.00,5.00,1.00,1.00,7.00,6.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2152061,3.00,6.00,2.00,6.00,6.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2152070,4.00,8.00,6.00,9.00,8.00,9.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2152088,6.00,8.00,6.00,7.00,8.00,7.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2152096,6.00,8.00,4.00,5.00,6.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2152100,3.00,6.00,6.00,2.00,8.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2152118,4.00,8.00,3.00,4.00,7.00,6.00,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2152126,5.00,7.00,5.00,4.00,7.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2152134,4.00,6.00,4.00,4.00,8.00,5.75,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2152150,4.00,8.00,4.00,6.00,5.00,5.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2152169,4.00,7.00,5.00,9.00,6.00,5.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2152177,4.00,5.00,0.00,4.00,7.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2152185,4.00,8.00,4.00,7.00,7.00,5.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2152193,1.00,6.00,3.00,1.00,4.00,2.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2152207,6.00,8.00,6.00,7.00,7.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2152215,5.00,5.00,8.00,8.00,7.00,5.50,8.00,8.00,6.00,NULL,NULL,NULL,'S'),(15,2152231,4.00,7.00,7.00,5.00,8.00,6.00,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2152240,3.00,4.00,4.00,6.00,6.00,4.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2152258,2.00,4.00,3.00,7.00,6.00,5.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2152282,4.00,5.00,4.00,5.00,4.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2152290,2.00,5.00,1.00,4.00,6.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2152304,1.00,6.00,0.00,5.00,7.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2152312,2.00,5.00,2.00,1.00,7.00,5.75,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2152320,4.00,7.00,2.00,6.00,5.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2152339,3.00,8.00,2.00,7.00,6.00,5.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2152347,8.00,8.00,6.00,4.00,9.00,6.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2152355,3.00,2.00,4.00,1.00,5.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2152380,3.00,7.00,3.00,5.00,9.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2152398,2.00,2.00,1.00,6.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2152410,3.00,5.00,2.00,5.00,6.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2152436,1.00,6.00,3.00,5.00,6.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2152444,0.00,5.00,3.00,4.00,5.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2152452,1.00,6.00,0.00,1.00,7.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2152479,4.00,2.00,3.00,2.00,4.00,4.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2152487,1.00,5.00,0.00,6.00,5.00,5.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2152495,1.00,7.00,6.00,2.00,5.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2152509,7.00,9.00,6.00,8.00,9.00,5.00,8.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2152525,2.00,5.00,4.00,4.00,4.00,3.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2152541,3.00,8.00,6.00,7.00,8.00,5.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2152550,7.00,8.00,5.00,7.00,9.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2152568,3.00,5.00,4.00,0.00,4.00,4.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2152576,2.00,8.00,2.00,3.00,6.00,5.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2152584,4.00,6.00,5.00,8.00,6.00,3.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2152592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2152606,3.00,6.00,2.00,3.00,5.00,5.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2152614,4.00,5.00,5.00,3.00,6.00,3.25,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2152622,4.00,6.00,8.00,6.00,6.00,5.50,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2152630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2152649,2.00,4.00,2.00,1.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2152665,2.00,3.00,1.00,1.00,4.00,3.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2152690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2152703,9.00,9.00,9.00,6.00,8.00,7.00,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2152711,3.00,8.00,4.00,5.00,7.00,5.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2152720,2.00,6.00,5.00,5.00,6.00,3.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2152738,5.00,8.00,5.00,9.00,9.00,9.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2152746,6.00,7.00,7.00,8.00,7.00,5.75,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2152754,2.00,4.00,2.00,3.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2152770,2.00,7.00,4.00,9.00,7.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2152789,1.00,4.00,2.00,0.00,2.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2152797,6.00,9.00,6.00,7.00,6.00,5.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2152800,2.00,8.00,6.00,6.00,5.00,3.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2152819,3.00,8.00,5.00,7.00,7.00,8.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2152835,2.00,3.00,3.00,1.00,4.00,6.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2152843,2.00,7.00,3.00,4.00,6.00,5.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2152851,6.00,7.00,7.00,3.00,6.00,5.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2152860,5.00,4.00,2.00,1.00,7.00,5.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2152878,1.00,5.00,4.00,4.00,8.00,5.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2152886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2152894,6.00,7.00,7.00,7.00,9.00,5.50,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2152908,2.00,3.00,1.00,2.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2152916,5.00,8.00,2.00,5.00,8.00,7.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2152924,2.00,5.00,3.00,2.00,7.00,6.25,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2152940,3.00,7.00,3.00,3.00,6.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2152959,2.00,7.00,3.00,7.00,7.00,4.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2152967,1.00,4.00,2.00,6.00,6.00,6.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2152975,3.00,7.00,5.00,7.00,7.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2152983,4.00,6.00,6.00,5.00,7.00,7.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2152991,2.00,7.00,2.00,0.00,8.00,6.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2153009,7.00,9.00,5.00,4.00,8.00,6.75,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2153017,4.00,8.00,7.00,5.00,8.00,6.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2153025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2153033,4.00,8.00,4.00,2.00,7.00,3.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2153041,6.00,7.00,6.00,8.00,6.00,6.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2153050,5.00,9.00,5.00,5.00,9.00,4.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2153068,7.00,6.00,8.00,6.00,8.00,4.25,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2153076,5.00,9.00,6.00,1.00,8.00,6.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2153084,7.00,8.00,5.00,5.00,8.00,5.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2153092,2.00,8.00,4.00,7.00,7.00,5.25,7.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2153106,3.00,5.00,2.00,5.00,6.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2153114,4.00,7.00,6.00,8.00,6.00,6.00,6.00,7.00,2.00,NULL,NULL,NULL,'S'),(15,2153122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2153130,1.00,4.00,1.00,7.00,4.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2153149,7.00,9.00,9.00,7.00,8.00,6.25,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2153157,3.00,7.00,1.00,6.00,6.00,5.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2153173,5.00,8.00,6.00,6.00,8.00,6.25,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2153181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2153190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2153203,5.00,8.00,5.00,1.00,5.00,7.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2153211,4.00,7.00,4.00,8.00,7.00,3.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2153220,4.00,5.00,3.00,5.00,8.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2153238,0.00,4.00,2.00,3.00,3.00,5.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2153246,4.00,6.00,4.00,4.00,6.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2153254,4.00,6.00,5.00,4.00,8.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2153262,5.00,4.00,5.00,4.00,6.00,4.75,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2153270,2.00,4.00,3.00,4.00,4.00,5.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2153297,5.00,8.00,8.00,4.00,7.00,5.25,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2153300,2.00,6.00,3.00,5.00,6.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2153319,1.00,7.00,3.00,4.00,7.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2153327,4.00,5.00,1.00,0.00,6.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2153335,5.00,4.00,6.00,7.00,9.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2153343,3.00,6.00,2.00,4.00,6.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2153351,3.00,6.00,2.00,6.00,8.00,7.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2153360,2.00,5.00,2.00,6.00,5.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2153378,1.00,4.00,0.00,1.00,5.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2153386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2153408,5.00,7.00,5.00,8.00,8.00,7.75,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2153416,5.00,7.00,4.00,7.00,6.00,4.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2153424,0.00,7.00,1.00,6.00,7.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2153432,4.00,5.00,1.00,3.00,6.00,6.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2153440,5.00,7.00,7.00,4.00,8.00,5.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2153459,3.00,8.00,3.00,3.00,7.00,5.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2153467,5.00,8.00,6.00,8.00,6.00,5.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2153475,4.00,6.00,3.00,7.00,6.00,3.00,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2153483,7.00,7.00,8.00,5.00,7.00,7.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2153491,6.00,7.00,10.00,9.00,9.00,6.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2153513,2.00,7.00,6.00,3.00,6.00,5.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2153521,3.00,6.00,5.00,7.00,7.00,5.75,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2153530,6.00,6.00,6.00,4.00,8.00,4.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2153548,3.00,7.00,7.00,7.00,7.00,6.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2153556,2.00,4.00,1.00,5.00,8.00,5.75,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2153564,3.00,6.00,1.00,8.00,5.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2153572,6.00,7.00,5.00,7.00,9.00,7.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2153580,2.00,6.00,5.00,8.00,5.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2153599,2.00,3.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2153602,5.00,7.00,3.00,4.00,7.00,3.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2153610,4.00,7.00,4.00,5.00,5.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2153629,5.00,7.00,6.00,6.00,8.00,5.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2153637,6.00,7.00,3.00,4.00,6.00,4.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2153645,4.00,3.00,4.00,1.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2153653,7.00,8.00,8.00,4.00,8.00,7.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2153661,1.00,6.00,3.00,1.00,4.00,4.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2153670,2.00,6.00,2.00,4.00,6.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2153688,4.00,8.00,5.00,8.00,8.00,7.25,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2153696,4.00,6.00,3.00,7.00,5.00,4.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2153700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2153726,6.00,6.00,6.00,6.00,8.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2153734,4.00,6.00,4.00,8.00,7.00,7.00,5.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2153742,4.00,7.00,6.00,6.00,5.00,6.25,7.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2153750,3.00,7.00,2.00,2.00,6.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2153769,5.00,8.00,4.00,6.00,8.00,5.75,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2153777,6.00,6.00,5.00,3.00,9.00,5.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2153793,1.00,6.00,0.00,0.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2153807,4.00,8.00,7.00,9.00,9.00,6.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2153815,4.00,5.00,6.00,6.00,6.00,5.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2153831,4.00,7.00,4.00,5.00,5.00,4.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2153840,1.00,2.00,3.00,1.00,4.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2153858,5.00,5.00,1.00,5.00,7.00,5.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2153866,2.00,2.00,2.00,3.00,6.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2153874,4.00,7.00,5.00,4.00,8.00,4.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2153882,3.00,7.00,6.00,8.00,6.00,5.50,7.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2153890,5.00,6.00,7.00,8.00,7.00,5.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2153904,3.00,7.00,5.00,6.00,4.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2153912,2.00,6.00,3.00,2.00,8.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2153920,6.00,7.00,7.00,8.00,7.00,5.00,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2153939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2153947,7.00,7.00,4.00,4.00,7.00,5.75,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2153955,3.00,4.00,3.00,3.00,4.00,4.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2153963,6.00,8.00,5.00,5.00,9.00,7.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2153971,4.00,8.00,9.00,7.00,8.00,6.75,9.00,5.00,9.00,NULL,NULL,NULL,'N'),(15,2153980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2154013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2154021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2154030,3.00,5.00,4.00,2.00,6.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2154048,3.00,5.00,3.00,6.00,3.00,3.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2154056,5.00,8.00,5.00,6.00,8.00,5.00,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2154072,5.00,7.00,8.00,9.00,8.00,6.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2154080,4.00,7.00,1.00,5.00,7.00,6.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2154099,4.00,8.00,4.00,6.00,9.00,6.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2154102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2154110,5.00,7.00,5.00,5.00,8.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2154129,3.00,8.00,5.00,5.00,9.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2154145,2.00,5.00,1.00,6.00,4.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2154153,5.00,8.00,6.00,9.00,9.00,6.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2154161,1.00,6.00,3.00,3.00,6.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2154170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2154188,6.00,7.00,7.00,6.00,7.00,6.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2154196,1.00,6.00,2.00,6.00,6.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2154200,0.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2154218,4.00,8.00,3.00,6.00,8.00,6.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2154234,5.00,8.00,9.00,8.00,8.00,6.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2154250,3.00,5.00,1.00,6.00,4.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2154269,3.00,6.00,7.00,7.00,7.00,5.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2154277,3.00,6.00,3.00,4.00,8.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2154285,1.00,7.00,4.00,4.00,6.00,6.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2154293,3.00,7.00,1.00,4.00,6.00,6.75,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2154307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2154315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2154323,8.00,9.00,7.00,7.00,9.00,7.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2154331,3.00,6.00,5.00,5.00,4.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2154340,4.00,3.00,4.00,5.00,6.00,5.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2154358,2.00,4.00,1.00,1.00,7.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2154366,4.00,5.00,2.00,4.00,6.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2154374,7.00,8.00,6.00,7.00,6.00,7.25,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2154382,3.00,6.00,6.00,2.00,5.00,5.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2154390,3.00,7.00,1.00,6.00,7.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2154404,7.00,7.00,6.00,6.00,8.00,6.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2154412,3.00,3.00,4.00,6.00,9.00,6.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2154420,1.00,7.00,4.00,9.00,8.00,6.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2154439,4.00,7.00,5.00,5.00,6.00,6.50,8.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2154447,2.00,4.00,2.00,0.00,0.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2154455,6.00,8.00,9.00,8.00,8.00,7.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2154463,3.00,5.00,1.00,4.00,5.00,3.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2154471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2154498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2154501,3.00,7.00,3.00,3.00,6.00,6.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2154510,4.00,6.00,3.00,6.00,6.00,4.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2154528,1.00,3.00,0.00,1.00,3.00,NULL,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2154536,2.00,6.00,2.00,6.00,8.00,5.00,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2154544,5.00,5.00,5.00,3.00,7.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2154552,3.00,5.00,2.00,5.00,6.00,4.50,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2154560,3.00,3.00,5.00,4.00,5.00,6.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2154579,3.00,7.00,7.00,7.00,8.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2154587,4.00,6.00,3.00,2.00,6.00,5.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2154595,3.00,7.00,1.00,4.00,4.00,4.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2154609,6.00,7.00,2.00,6.00,8.00,5.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2154625,1.00,5.00,2.00,4.00,6.00,3.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2154633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2154676,4.00,6.00,2.00,6.00,6.00,6.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2154684,7.00,9.00,7.00,8.00,9.00,5.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2154706,4.00,9.00,0.00,2.00,5.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2154714,4.00,8.00,2.00,2.00,5.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2154722,1.00,7.00,4.00,1.00,7.00,6.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2154730,5.00,7.00,7.00,4.00,6.00,5.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2154749,6.00,8.00,6.00,9.00,8.00,7.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2154757,5.00,8.00,8.00,9.00,8.00,7.25,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2154765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2154773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2154781,4.00,8.00,5.00,5.00,5.00,5.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2154790,7.00,9.00,6.00,8.00,9.00,5.50,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2154803,4.00,5.00,4.00,7.00,6.00,4.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2154811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2154838,7.00,8.00,6.00,6.00,8.00,6.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2154854,0.00,0.00,1.00,0.00,5.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2154862,3.00,7.00,3.00,5.00,4.00,2.00,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2154870,4.00,6.00,2.00,2.00,3.00,6.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2154889,2.00,3.00,2.00,4.00,5.00,4.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2154897,1.00,5.00,4.00,5.00,3.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2154900,0.00,3.00,0.00,0.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2154919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2154927,3.00,5.00,5.00,3.00,5.00,5.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2154935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2154943,5.00,7.00,5.00,8.00,9.00,7.50,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2154951,3.00,5.00,2.00,3.00,5.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2154960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2154986,5.00,8.00,5.00,9.00,8.00,7.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2154994,3.00,7.00,5.00,2.00,7.00,7.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2155028,2.00,7.00,5.00,5.00,6.00,7.25,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2155044,1.00,7.00,4.00,8.00,7.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2155052,2.00,6.00,2.00,7.00,7.00,6.00,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2155060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2155087,2.00,7.00,5.00,3.00,7.00,4.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2155095,3.00,5.00,3.00,3.00,6.00,5.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2155109,4.00,8.00,5.00,5.00,7.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2155117,5.00,9.00,9.00,8.00,7.00,7.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2155125,2.00,6.00,2.00,7.00,6.00,4.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2155141,7.00,7.00,7.00,8.00,9.00,5.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2155168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2155176,2.00,6.00,3.00,0.00,6.00,4.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2155184,5.00,5.00,3.00,2.00,6.00,4.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2155206,2.00,5.00,2.00,4.00,7.00,5.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2155214,6.00,9.00,9.00,8.00,9.00,7.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2155222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2155230,3.00,4.00,1.00,4.00,7.00,4.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2155249,1.00,5.00,4.00,4.00,6.00,4.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2155265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2155273,6.00,9.00,6.00,9.00,9.00,4.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2155281,4.00,5.00,6.00,5.00,7.00,5.75,7.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2155290,4.00,7.00,7.00,6.00,6.00,6.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2155303,2.00,6.00,0.00,8.00,7.00,5.25,1.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2155320,3.00,3.00,1.00,7.00,5.00,5.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2155338,3.00,8.00,1.00,5.00,6.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2155346,2.00,8.00,1.00,1.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2155354,6.00,8.00,5.00,7.00,7.00,5.75,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2155362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2155370,4.00,6.00,1.00,5.00,6.00,6.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2155397,4.00,7.00,6.00,8.00,8.00,6.50,5.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2155400,7.00,7.00,6.00,7.00,7.00,6.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2155419,4.00,5.00,6.00,4.00,7.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2155427,4.00,8.00,8.00,7.00,9.00,5.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2155435,3.00,7.00,6.00,6.00,6.00,5.25,9.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2155443,5.00,5.00,3.00,8.00,5.00,4.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2155451,3.00,5.00,2.00,7.00,3.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2155460,3.00,6.00,2.00,3.00,4.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2155486,4.00,6.00,4.00,6.00,7.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2155508,0.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2155516,5.00,7.00,4.00,9.00,8.00,5.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2155532,1.00,3.00,3.00,2.00,3.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2155540,5.00,4.00,6.00,4.00,5.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2155559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2155567,5.00,7.00,6.00,7.00,7.00,4.75,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2155575,4.00,7.00,8.00,9.00,6.00,5.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2155583,4.00,5.00,5.00,6.00,8.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2155605,8.00,8.00,5.00,8.00,6.00,6.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2155613,4.00,7.00,1.00,4.00,7.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2155630,4.00,7.00,4.00,4.00,3.00,7.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2155648,3.00,7.00,6.00,4.00,7.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2155656,1.00,5.00,2.00,4.00,4.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2155664,3.00,7.00,4.00,9.00,8.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2155672,4.00,7.00,3.00,5.00,6.00,4.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2155699,3.00,4.00,4.00,5.00,7.00,5.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2155702,3.00,8.00,5.00,5.00,5.00,5.00,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2155710,3.00,5.00,3.00,6.00,5.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2155729,4.00,7.00,7.00,7.00,8.00,6.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2155737,4.00,7.00,5.00,8.00,8.00,8.00,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2155745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2155753,3.00,6.00,2.00,4.00,6.00,4.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2155761,4.00,7.00,5.00,3.00,6.00,5.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2155770,8.00,9.00,7.00,7.00,7.00,5.25,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2155800,2.00,6.00,6.00,4.00,6.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2155818,6.00,8.00,3.00,5.00,6.00,7.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2155826,5.00,8.00,6.00,6.00,9.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2155834,5.00,7.00,7.00,6.00,7.00,5.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2155850,5.00,8.00,5.00,5.00,7.00,5.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2155869,2.00,5.00,1.00,3.00,3.00,6.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2155877,4.00,7.00,8.00,5.00,7.00,5.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2155885,8.00,9.00,10.00,9.00,9.00,8.25,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2155893,0.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2155907,5.00,5.00,5.00,4.00,8.00,4.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2155915,4.00,6.00,5.00,2.00,4.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2155923,2.00,4.00,1.00,2.00,6.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2155931,7.00,7.00,5.00,6.00,6.00,5.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2155940,1.00,3.00,2.00,6.00,6.00,5.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2155958,2.00,6.00,3.00,4.00,4.00,4.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2155966,4.00,8.00,4.00,7.00,6.00,4.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2155974,1.00,8.00,2.00,5.00,6.00,6.00,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2155990,4.00,7.00,8.00,6.00,7.00,7.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2156008,4.00,7.00,5.00,5.00,7.00,7.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2156016,3.00,5.00,1.00,3.00,4.00,4.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2156024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2156032,5.00,5.00,2.00,4.00,8.00,3.50,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2156040,5.00,9.00,9.00,9.00,8.00,4.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2156059,0.00,6.00,4.00,4.00,6.00,2.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2156067,3.00,8.00,4.00,4.00,6.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2156075,6.00,8.00,7.00,8.00,8.00,6.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2156083,5.00,6.00,4.00,8.00,8.00,7.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2156105,6.00,6.00,4.00,9.00,8.00,5.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2156113,4.00,7.00,6.00,5.00,8.00,7.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2156121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2156130,2.00,7.00,0.00,4.00,7.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2156148,3.00,6.00,1.00,7.00,5.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2156156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2156172,4.00,7.00,1.00,5.00,6.00,7.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2156180,3.00,8.00,4.00,7.00,6.00,5.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2156199,2.00,8.00,4.00,8.00,8.00,6.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2156202,6.00,8.00,2.00,4.00,6.00,5.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2156237,1.00,8.00,4.00,5.00,7.00,5.25,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2156245,0.00,5.00,3.00,0.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2156261,4.00,7.00,4.00,5.00,7.00,6.25,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2156270,4.00,6.00,3.00,8.00,7.00,5.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2156288,2.00,8.00,5.00,5.00,6.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2156296,2.00,7.00,8.00,3.00,8.00,6.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2156300,3.00,7.00,4.00,6.00,6.00,5.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2156318,5.00,5.00,2.00,6.00,8.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2156326,5.00,6.00,3.00,5.00,8.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2156334,4.00,6.00,6.00,4.00,7.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2156342,4.00,5.00,4.00,6.00,8.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2156350,1.00,6.00,4.00,6.00,4.00,6.25,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2156369,5.00,8.00,9.00,7.00,9.00,7.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2156377,3.00,6.00,6.00,5.00,7.00,4.50,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2156385,8.00,7.00,6.00,9.00,8.00,7.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2156393,5.00,7.00,8.00,8.00,8.00,6.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2156407,3.00,6.00,5.00,7.00,8.00,5.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2156423,1.00,6.00,3.00,3.00,7.00,6.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2156431,5.00,6.00,3.00,7.00,8.00,5.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2156440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2156458,3.00,6.00,2.00,8.00,3.00,5.00,5.00,8.00,7.00,NULL,NULL,NULL,'S'),(15,2156466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2156474,2.00,7.00,6.00,7.00,7.00,4.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2156482,1.00,2.00,4.00,3.00,3.00,4.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2156490,0.00,6.00,4.00,3.00,6.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2156504,5.00,6.00,8.00,9.00,8.00,7.00,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2156512,1.00,7.00,3.00,7.00,6.00,5.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2156520,3.00,5.00,1.00,2.00,4.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2156539,6.00,6.00,3.00,6.00,7.00,2.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2156547,6.00,7.00,5.00,3.00,5.00,7.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2156555,1.00,8.00,2.00,0.00,5.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2156563,1.00,5.00,5.00,4.00,5.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2156571,6.00,9.00,9.00,6.00,8.00,5.25,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2156580,4.00,8.00,4.00,6.00,7.00,6.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2156598,4.00,6.00,3.00,6.00,6.00,5.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2156601,4.00,7.00,3.00,7.00,7.00,6.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2156628,2.00,6.00,6.00,8.00,6.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2156636,8.00,9.00,9.00,7.00,8.00,9.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2156660,4.00,5.00,3.00,2.00,5.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2156679,7.00,8.00,8.00,6.00,8.00,5.75,9.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2156687,2.00,3.00,2.00,6.00,7.00,3.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2156695,2.00,7.00,5.00,4.00,5.00,6.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2156709,7.00,8.00,8.00,9.00,8.00,7.25,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2156717,5.00,7.00,4.00,8.00,7.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2156725,3.00,6.00,2.00,4.00,4.00,3.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2156733,2.00,5.00,6.00,7.00,7.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2156741,2.00,3.00,0.00,6.00,6.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2156750,3.00,8.00,5.00,5.00,7.00,6.00,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2156768,6.00,8.00,8.00,9.00,8.00,8.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2156776,6.00,8.00,4.00,9.00,5.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2156784,7.00,8.00,8.00,8.00,9.00,3.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2156792,2.00,4.00,0.00,7.00,6.00,5.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2156814,0.00,6.00,0.00,2.00,5.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2156822,3.00,3.00,2.00,2.00,4.00,5.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2156830,4.00,6.00,6.00,6.00,6.00,4.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2156857,6.00,7.00,7.00,8.00,7.00,6.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2156865,3.00,5.00,1.00,6.00,6.00,4.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2156881,5.00,7.00,6.00,6.00,6.00,6.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2156890,2.00,6.00,3.00,3.00,6.00,4.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2156911,4.00,7.00,3.00,8.00,7.00,6.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2156938,6.00,7.00,8.00,10.00,8.00,6.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2156946,4.00,8.00,8.00,7.00,8.00,6.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2156954,0.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2156962,3.00,7.00,0.00,6.00,5.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2156970,3.00,7.00,2.00,4.00,6.00,5.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2156989,3.00,7.00,5.00,5.00,7.00,7.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2157004,7.00,7.00,6.00,6.00,8.00,6.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2157020,4.00,8.00,5.00,6.00,7.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2157039,0.00,4.00,4.00,4.00,3.00,2.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2157047,2.00,6.00,0.00,3.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2157055,4.00,7.00,2.00,4.00,5.00,6.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2157063,1.00,3.00,0.00,2.00,1.00,NULL,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2157071,4.00,4.00,3.00,2.00,5.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2157080,6.00,7.00,7.00,6.00,9.00,6.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2157098,4.00,6.00,3.00,5.00,7.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2157101,0.00,0.00,0.00,8.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2157128,4.00,7.00,6.00,7.00,7.00,5.75,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2157136,2.00,4.00,0.00,3.00,4.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2157144,1.00,1.00,0.00,0.00,0.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2157152,2.00,3.00,1.00,7.00,6.00,2.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2157160,2.00,5.00,3.00,3.00,4.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2157187,2.00,7.00,5.00,1.00,5.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2157209,2.00,6.00,6.00,7.00,9.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2157217,2.00,3.00,1.00,2.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2157225,4.00,6.00,8.00,7.00,8.00,6.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2157233,7.00,8.00,6.00,3.00,9.00,4.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2157250,4.00,7.00,3.00,0.00,8.00,5.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2157284,3.00,7.00,1.00,5.00,7.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2157306,1.00,8.00,4.00,7.00,7.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2157314,3.00,7.00,4.00,6.00,8.00,5.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2157322,1.00,3.00,1.00,3.00,5.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2157330,3.00,8.00,1.00,5.00,6.00,4.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2157357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2157373,7.00,9.00,3.00,9.00,9.00,6.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2157381,0.00,3.00,2.00,0.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2157390,2.00,7.00,2.00,2.00,8.00,2.50,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2157403,2.00,5.00,2.00,4.00,7.00,6.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2157411,4.00,4.00,8.00,6.00,8.00,6.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2157420,6.00,5.00,5.00,3.00,8.00,6.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2157438,3.00,6.00,3.00,6.00,3.00,4.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2157446,1.00,6.00,3.00,3.00,4.00,4.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2157454,8.00,8.00,7.00,6.00,8.00,5.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2157462,4.00,8.00,4.00,1.00,7.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2157489,6.00,9.00,9.00,5.00,9.00,7.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2157497,4.00,6.00,4.00,7.00,6.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2157500,2.00,8.00,4.00,6.00,7.00,6.00,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2157519,8.00,9.00,9.00,8.00,9.00,6.50,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2157535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2157551,2.00,4.00,1.00,3.00,4.00,3.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2157586,4.00,6.00,1.00,8.00,7.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2157594,3.00,3.00,1.00,5.00,5.00,4.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2157608,2.00,4.00,3.00,4.00,5.00,6.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2157616,1.00,3.00,1.00,2.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2157624,6.00,7.00,5.00,1.00,7.00,6.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2157632,3.00,5.00,4.00,5.00,5.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2157640,4.00,8.00,7.00,8.00,7.00,7.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2157659,6.00,8.00,3.00,8.00,9.00,6.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2157667,0.00,7.00,4.00,1.00,5.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2157675,6.00,6.00,4.00,5.00,6.00,4.25,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2157683,4.00,8.00,8.00,4.00,6.00,6.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2157713,5.00,7.00,0.00,9.00,4.00,7.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2157721,6.00,7.00,3.00,5.00,8.00,6.00,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2157730,2.00,7.00,3.00,6.00,6.00,5.50,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2157756,0.00,6.00,3.00,5.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2157764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2157772,4.00,8.00,7.00,7.00,9.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2157780,4.00,5.00,4.00,8.00,5.00,8.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2157799,6.00,8.00,6.00,9.00,6.00,8.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2157802,3.00,6.00,7.00,5.00,7.00,6.25,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2157810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2157829,2.00,6.00,1.00,6.00,6.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2157837,4.00,9.00,6.00,4.00,7.00,7.00,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2157845,1.00,5.00,2.00,6.00,7.00,7.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2157853,5.00,4.00,4.00,6.00,7.00,8.00,7.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2157861,4.00,7.00,4.00,2.00,6.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2157870,1.00,5.00,2.00,6.00,6.00,4.25,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2157888,5.00,7.00,5.00,8.00,7.00,5.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2157896,5.00,7.00,4.00,8.00,7.00,7.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2157918,3.00,3.00,5.00,5.00,9.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2157926,4.00,7.00,0.00,5.00,7.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2157934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2157942,4.00,6.00,1.00,3.00,7.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2157950,4.00,6.00,2.00,4.00,7.00,4.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2157969,7.00,9.00,7.00,7.00,9.00,5.75,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2157977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2157993,2.00,6.00,4.00,1.00,3.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2158000,6.00,7.00,4.00,5.00,8.00,9.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2158035,1.00,7.00,2.00,1.00,5.00,5.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2158043,8.00,7.00,8.00,0.00,6.00,5.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2158051,5.00,9.00,5.00,8.00,7.00,5.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2158060,3.00,7.00,5.00,7.00,7.00,8.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2158078,3.00,9.00,4.00,4.00,9.00,6.25,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2158086,9.00,8.00,9.00,7.00,8.00,7.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2158094,3.00,6.00,1.00,3.00,5.00,3.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2158108,3.00,6.00,0.00,2.00,4.00,6.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2158116,1.00,6.00,5.00,6.00,6.00,5.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2158124,3.00,6.00,4.00,3.00,5.00,6.25,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2158132,6.00,6.00,6.00,7.00,8.00,6.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2158140,2.00,4.00,1.00,1.00,5.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2158167,3.00,6.00,2.00,3.00,5.00,4.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2158191,3.00,6.00,3.00,6.00,7.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2158205,2.00,7.00,3.00,4.00,5.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2158213,4.00,6.00,3.00,4.00,5.00,4.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2158221,3.00,8.00,3.00,1.00,7.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2158230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2158248,7.00,9.00,6.00,7.00,8.00,6.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2158256,8.00,7.00,8.00,8.00,8.00,6.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2158264,4.00,4.00,3.00,5.00,7.00,5.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2158272,4.00,6.00,5.00,5.00,6.00,6.00,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2158280,3.00,6.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2158299,6.00,6.00,6.00,7.00,7.00,6.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2158302,3.00,7.00,3.00,5.00,8.00,4.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2158310,4.00,6.00,4.00,7.00,5.00,5.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2158329,8.00,7.00,4.00,3.00,8.00,4.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2158337,2.00,5.00,5.00,5.00,6.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2158345,6.00,7.00,7.00,7.00,7.00,5.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2158353,6.00,9.00,6.00,6.00,7.00,4.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2158361,7.00,8.00,6.00,7.00,8.00,4.75,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2158370,5.00,7.00,7.00,7.00,6.00,6.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2158396,7.00,7.00,4.00,4.00,8.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2158400,3.00,3.00,2.00,2.00,7.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2158418,6.00,8.00,8.00,7.00,8.00,7.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2158426,2.00,7.00,3.00,6.00,7.00,5.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2158434,5.00,7.00,5.00,6.00,7.00,6.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2158442,2.00,4.00,1.00,2.00,8.00,3.50,5.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2158450,5.00,5.00,0.00,7.00,4.00,5.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2158477,3.00,9.00,4.00,5.00,7.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2158485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2158507,0.00,4.00,2.00,3.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2158515,5.00,7.00,3.00,3.00,8.00,5.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2158523,4.00,5.00,8.00,5.00,5.00,6.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2158531,7.00,6.00,5.00,1.00,8.00,4.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2158540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2158558,3.00,6.00,3.00,6.00,4.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2158566,3.00,4.00,3.00,7.00,9.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2158574,1.00,6.00,2.00,4.00,8.00,5.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2158582,5.00,3.00,1.00,7.00,6.00,4.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2158590,5.00,8.00,8.00,9.00,8.00,7.50,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2158604,4.00,5.00,5.00,3.00,6.00,5.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2158612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2158620,4.00,7.00,3.00,3.00,6.00,7.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2158639,3.00,6.00,5.00,7.00,6.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2158655,5.00,8.00,2.00,6.00,8.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2158663,2.00,7.00,4.00,7.00,6.00,6.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2158680,8.00,8.00,8.00,8.00,9.00,6.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2158698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2158701,3.00,6.00,3.00,9.00,8.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2158710,6.00,7.00,7.00,3.00,6.00,5.25,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2158728,3.00,8.00,1.00,7.00,8.00,5.75,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2158736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2158744,4.00,6.00,6.00,7.00,7.00,6.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2158752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2158760,3.00,8.00,2.00,8.00,6.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2158779,1.00,8.00,3.00,6.00,6.00,6.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2158787,8.00,8.00,8.00,7.00,9.00,6.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2158795,2.00,6.00,2.00,3.00,8.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2158809,6.00,7.00,6.00,7.00,8.00,7.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2158817,1.00,5.00,4.00,9.00,8.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2158825,7.00,7.00,8.00,5.00,8.00,6.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2158833,0.00,3.00,3.00,2.00,7.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2158841,1.00,1.00,4.00,1.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2158876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2158884,4.00,7.00,5.00,8.00,9.00,6.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2158892,2.00,2.00,3.00,5.00,3.00,4.00,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2158906,4.00,6.00,3.00,5.00,6.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2158922,4.00,9.00,4.00,5.00,8.00,4.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2158930,3.00,6.00,4.00,4.00,7.00,3.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2158949,0.00,0.00,0.00,0.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2158957,6.00,8.00,6.00,5.00,6.00,5.50,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2158973,1.00,4.00,1.00,1.00,5.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2158981,1.00,7.00,3.00,6.00,6.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2158990,2.00,5.00,1.00,2.00,3.00,3.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2159007,6.00,7.00,6.00,4.00,8.00,6.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2159015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2159023,4.00,8.00,6.00,5.00,7.00,5.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2159031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2159040,2.00,6.00,2.00,1.00,5.00,5.25,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2159058,2.00,5.00,5.00,5.00,4.00,7.25,6.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2159066,3.00,5.00,2.00,0.00,8.00,6.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2159074,5.00,7.00,4.00,1.00,8.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2159082,3.00,7.00,5.00,5.00,6.00,5.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2159090,4.00,7.00,0.00,4.00,5.00,5.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2159104,2.00,7.00,7.00,6.00,7.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2159112,4.00,7.00,4.00,6.00,7.00,5.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2159120,4.00,8.00,6.00,2.00,7.00,4.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2159139,8.00,8.00,5.00,9.00,8.00,8.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2159147,5.00,6.00,6.00,8.00,7.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2159155,1.00,5.00,5.00,5.00,5.00,3.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2159163,3.00,3.00,3.00,0.00,0.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2159171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2159180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2159198,5.00,5.00,6.00,7.00,7.00,6.25,7.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2159210,4.00,6.00,3.00,5.00,8.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2159228,7.00,5.00,5.00,3.00,8.00,5.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2159236,5.00,8.00,7.00,9.00,8.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2159244,4.00,8.00,3.00,5.00,6.00,3.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2159260,5.00,6.00,9.00,6.00,8.00,6.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2159287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2159295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2159309,2.00,3.00,3.00,4.00,3.00,2.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2159317,2.00,4.00,3.00,3.00,6.00,3.00,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2159325,5.00,5.00,2.00,0.00,7.00,5.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2159333,6.00,6.00,5.00,4.00,8.00,6.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2159341,2.00,5.00,2.00,4.00,4.00,4.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2159350,7.00,6.00,6.00,5.00,7.00,6.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2159368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2159414,6.00,6.00,5.00,5.00,6.00,5.75,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2159422,5.00,7.00,7.00,5.00,5.00,4.50,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2159430,4.00,4.00,0.00,3.00,6.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2159449,6.00,7.00,6.00,2.00,7.00,5.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2159457,2.00,7.00,2.00,4.00,6.00,5.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2159465,3.00,6.00,3.00,4.00,6.00,5.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2159481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2159490,2.00,7.00,3.00,3.00,6.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2159503,6.00,7.00,4.00,5.00,8.00,7.25,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2159511,4.00,4.00,3.00,1.00,4.00,4.75,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2159520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2159538,2.00,6.00,1.00,2.00,7.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2159546,2.00,7.00,6.00,2.00,8.00,4.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2159554,7.00,8.00,8.00,8.00,8.00,5.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2159562,4.00,5.00,5.00,4.00,6.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2159570,2.00,6.00,1.00,0.00,6.00,5.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2159589,4.00,7.00,5.00,8.00,7.00,4.75,6.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2159600,8.00,5.00,7.00,7.00,8.00,5.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2159619,3.00,5.00,2.00,6.00,6.00,4.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2159627,2.00,6.00,5.00,6.00,8.00,4.75,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2159635,6.00,6.00,5.00,3.00,8.00,4.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2159643,6.00,9.00,8.00,7.00,9.00,7.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2159660,6.00,8.00,6.00,8.00,8.00,6.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2159678,9.00,9.00,9.00,8.00,9.00,6.75,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2159686,2.00,6.00,2.00,7.00,8.00,7.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2159694,2.00,5.00,5.00,3.00,4.00,6.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2159708,3.00,5.00,5.00,6.00,6.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2159716,7.00,8.00,7.00,9.00,9.00,6.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2159732,4.00,7.00,7.00,5.00,8.00,3.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2159740,4.00,5.00,5.00,7.00,8.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2159759,4.00,4.00,4.00,1.00,6.00,6.25,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(15,2159767,4.00,5.00,3.00,3.00,7.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2159775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2159791,4.00,5.00,4.00,6.00,6.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2159805,4.00,7.00,3.00,5.00,6.00,4.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2159813,4.00,5.00,1.00,1.00,6.00,6.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2159821,3.00,3.00,2.00,4.00,4.00,4.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2159830,3.00,4.00,2.00,0.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2159848,8.00,7.00,7.00,3.00,7.00,5.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2159856,6.00,4.00,0.00,6.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2159864,1.00,4.00,2.00,1.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2159872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2159880,2.00,6.00,6.00,5.00,7.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2159899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2159902,4.00,8.00,8.00,6.00,5.00,7.50,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2159937,1.00,6.00,3.00,8.00,7.00,6.25,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2159945,6.00,8.00,8.00,7.00,8.00,6.50,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2159953,6.00,6.00,4.00,8.00,8.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2159961,2.00,5.00,3.00,2.00,6.00,3.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2159970,8.00,7.00,6.00,6.00,8.00,5.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2159988,6.00,8.00,6.00,8.00,7.00,5.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2159996,2.00,5.00,1.00,0.00,4.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2160005,5.00,7.00,5.00,6.00,6.00,5.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2160013,4.00,8.00,4.00,1.00,4.00,4.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2160021,0.00,3.00,0.00,3.00,6.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2160030,1.00,7.00,3.00,6.00,7.00,7.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2160048,4.00,8.00,4.00,7.00,7.00,5.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2160056,1.00,6.00,1.00,5.00,5.00,6.25,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2160064,6.00,8.00,8.00,5.00,7.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2160072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2160080,3.00,3.00,3.00,5.00,6.00,5.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2160099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2160102,8.00,7.00,9.00,9.00,8.00,5.25,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2160110,0.00,7.00,2.00,1.00,4.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2160129,2.00,6.00,3.00,1.00,5.00,6.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2160137,8.00,8.00,5.00,8.00,8.00,5.75,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2160145,6.00,7.00,9.00,8.00,6.00,6.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2160161,2.00,7.00,6.00,4.00,6.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2160188,9.00,7.00,6.00,6.00,7.00,5.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2160196,3.00,3.00,6.00,0.00,8.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2160200,2.00,4.00,1.00,4.00,6.00,5.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2160218,5.00,8.00,4.00,6.00,9.00,7.50,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2160226,3.00,8.00,4.00,5.00,9.00,5.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2160242,1.00,5.00,3.00,2.00,8.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2160250,4.00,7.00,6.00,7.00,7.00,8.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2160277,5.00,7.00,9.00,7.00,8.00,6.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2160285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2160293,2.00,6.00,2.00,4.00,6.00,6.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2160307,3.00,5.00,4.00,0.00,7.00,6.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2160315,5.00,8.00,2.00,5.00,7.00,3.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2160323,6.00,6.00,6.00,1.00,7.00,5.75,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2160331,3.00,7.00,7.00,8.00,8.00,5.75,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2160340,5.00,7.00,3.00,8.00,6.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2160358,7.00,5.00,8.00,8.00,8.00,5.50,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2160366,2.00,9.00,5.00,8.00,7.00,6.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2160374,3.00,6.00,5.00,2.00,6.00,4.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2160382,0.00,4.00,0.00,2.00,4.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2160390,2.00,4.00,2.00,5.00,4.00,5.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2160404,5.00,7.00,5.00,3.00,8.00,6.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2160412,4.00,5.00,6.00,4.00,8.00,6.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2160420,6.00,7.00,5.00,6.00,7.00,4.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2160439,4.00,7.00,4.00,5.00,5.00,6.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2160447,6.00,8.00,9.00,7.00,7.00,5.00,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2160455,4.00,6.00,5.00,7.00,8.00,7.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2160463,4.00,2.00,2.00,4.00,6.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2160471,3.00,5.00,2.00,4.00,6.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2160480,2.00,6.00,5.00,2.00,7.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2160498,5.00,8.00,7.00,5.00,9.00,5.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2160501,4.00,8.00,6.00,6.00,6.00,7.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2160510,3.00,2.00,2.00,1.00,4.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2160528,3.00,5.00,3.00,3.00,5.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2160544,2.00,7.00,5.00,5.00,5.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2160560,5.00,9.00,4.00,7.00,8.00,7.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2160579,1.00,7.00,4.00,4.00,6.00,3.75,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2160587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2160595,1.00,6.00,4.00,2.00,4.00,3.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2160609,7.00,8.00,9.00,7.00,7.00,5.75,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2160617,6.00,9.00,10.00,6.00,7.00,6.75,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2160625,7.00,9.00,6.00,8.00,8.00,6.25,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2160633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2160641,4.00,8.00,7.00,4.00,5.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2160650,6.00,7.00,8.00,7.00,7.00,6.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2160668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2160676,6.00,9.00,8.00,8.00,8.00,7.25,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2160684,3.00,5.00,4.00,4.00,6.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2160692,8.00,8.00,8.00,6.00,9.00,6.00,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2160706,4.00,7.00,2.00,4.00,7.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2160714,9.00,8.00,6.00,7.00,7.00,5.50,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2160722,8.00,8.00,9.00,6.00,9.00,5.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2160749,3.00,8.00,2.00,2.00,6.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2160757,1.00,4.00,4.00,1.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2160765,4.00,8.00,6.00,7.00,7.00,7.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2160773,5.00,6.00,9.00,7.00,6.00,5.50,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2160781,4.00,7.00,6.00,8.00,9.00,6.75,6.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2160790,5.00,7.00,4.00,6.00,7.00,5.50,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2160803,4.00,8.00,7.00,7.00,9.00,6.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2160820,6.00,7.00,7.00,5.00,8.00,4.00,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2160838,7.00,7.00,4.00,7.00,8.00,5.25,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2160854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2160870,1.00,2.00,4.00,3.00,4.00,2.50,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2160919,6.00,7.00,5.00,7.00,6.00,5.50,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2160927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2160935,4.00,6.00,6.00,6.00,8.00,4.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2160943,2.00,8.00,6.00,7.00,7.00,6.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2160960,4.00,8.00,6.00,5.00,8.00,8.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2160986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2160994,1.00,4.00,1.00,3.00,5.00,4.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2161001,8.00,8.00,5.00,8.00,9.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2161010,5.00,8.00,3.00,5.00,8.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2161028,0.00,6.00,1.00,5.00,5.00,4.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2161036,4.00,8.00,2.00,6.00,7.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2161044,5.00,7.00,6.00,5.00,7.00,5.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2161052,7.00,7.00,8.00,7.00,9.00,6.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2161079,5.00,7.00,5.00,6.00,8.00,5.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2161087,1.00,4.00,2.00,2.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2161095,1.00,6.00,5.00,5.00,4.00,4.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2161109,5.00,7.00,5.00,4.00,8.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2161117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2161133,4.00,7.00,5.00,4.00,8.00,5.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2161141,5.00,7.00,2.00,5.00,8.00,8.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2161168,1.00,1.00,1.00,1.00,0.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2161176,7.00,8.00,7.00,7.00,8.00,5.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2161184,8.00,8.00,8.00,8.00,9.00,5.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2161192,4.00,6.00,7.00,8.00,9.00,4.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2161206,3.00,5.00,2.00,4.00,9.00,7.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2161214,2.00,5.00,2.00,1.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2161222,3.00,8.00,6.00,3.00,6.00,5.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2161230,2.00,4.00,4.00,7.00,4.00,3.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2161257,7.00,8.00,7.00,7.00,8.00,6.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2161265,5.00,7.00,5.00,6.00,8.00,7.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2161273,2.00,8.00,9.00,6.00,7.00,4.25,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2161281,3.00,6.00,4.00,4.00,7.00,3.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2161290,3.00,7.00,3.00,5.00,6.00,5.75,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2161303,5.00,7.00,5.00,7.00,8.00,5.75,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2161320,5.00,8.00,6.00,7.00,8.00,5.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2161338,3.00,7.00,5.00,6.00,4.00,5.25,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2161346,2.00,5.00,3.00,6.00,6.00,6.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2161354,3.00,7.00,3.00,5.00,5.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2161362,6.00,8.00,7.00,5.00,6.00,5.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2161389,7.00,9.00,9.00,7.00,9.00,7.50,10.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2161397,3.00,6.00,0.00,4.00,5.00,6.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2161400,5.00,5.00,4.00,8.00,5.00,4.75,6.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2161419,3.00,7.00,4.00,5.00,8.00,5.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2161435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2161443,4.00,5.00,1.00,2.00,7.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2161451,3.00,4.00,1.00,5.00,5.00,4.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2161460,8.00,8.00,8.00,8.00,8.00,7.50,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2161478,6.00,8.00,5.00,5.00,7.00,6.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2161486,4.00,6.00,2.00,1.00,3.00,3.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2161494,7.00,9.00,9.00,6.00,7.00,8.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2161508,4.00,7.00,3.00,7.00,6.00,5.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2161516,2.00,7.00,3.00,6.00,7.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2161532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2161540,0.00,5.00,3.00,1.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2161559,4.00,7.00,7.00,7.00,9.00,7.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2161567,3.00,6.00,4.00,5.00,8.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2161575,3.00,6.00,4.00,5.00,8.00,6.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2161583,3.00,5.00,3.00,5.00,6.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2161591,4.00,8.00,6.00,9.00,7.00,6.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2161605,4.00,8.00,5.00,3.00,7.00,7.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2161613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2161648,3.00,7.00,5.00,4.00,8.00,6.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2161656,2.00,7.00,8.00,5.00,8.00,5.00,9.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2161664,5.00,7.00,3.00,5.00,7.00,5.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2161672,3.00,6.00,5.00,4.00,4.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2161680,4.00,7.00,1.00,1.00,4.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2161699,4.00,8.00,6.00,2.00,8.00,5.25,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2161702,1.00,6.00,3.00,4.00,6.00,5.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2161729,2.00,8.00,6.00,5.00,6.00,5.00,4.00,3.00,5.00,NULL,NULL,NULL,'S'),(15,2161737,4.00,7.00,6.00,3.00,8.00,4.50,9.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2161745,2.00,7.00,2.00,4.00,5.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2161753,5.00,7.00,2.00,2.00,4.00,5.00,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2161761,1.00,2.00,0.00,3.00,5.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2161770,4.00,6.00,2.00,5.00,7.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2161796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2161800,5.00,8.00,3.00,6.00,6.00,7.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2161818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2161826,7.00,8.00,6.00,9.00,9.00,5.50,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2161842,5.00,8.00,8.00,6.00,9.00,6.75,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2161877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2161885,4.00,8.00,7.00,9.00,7.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2161907,3.00,3.00,5.00,5.00,5.00,6.25,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2161915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2161923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2161931,7.00,7.00,9.00,6.00,6.00,5.25,9.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2161958,2.00,8.00,2.00,4.00,4.00,3.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2161966,4.00,6.00,3.00,5.00,6.00,6.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2161974,0.00,6.00,2.00,3.00,5.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2161982,6.00,7.00,2.00,8.00,7.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2161990,4.00,6.00,5.00,6.00,7.00,5.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2162008,3.00,9.00,7.00,7.00,6.00,6.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2162016,2.00,6.00,3.00,4.00,6.00,3.50,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2162024,3.00,5.00,3.00,4.00,7.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2162032,3.00,6.00,4.00,3.00,4.00,4.25,5.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2162059,4.00,7.00,5.00,7.00,8.00,6.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2162067,4.00,7.00,1.00,5.00,8.00,3.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2162075,7.00,7.00,7.00,8.00,8.00,5.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2162083,4.00,8.00,6.00,4.00,6.00,5.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2162091,5.00,4.00,1.00,1.00,8.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2162113,5.00,7.00,8.00,6.00,7.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2162121,3.00,7.00,1.00,7.00,7.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2162130,7.00,8.00,7.00,2.00,9.00,6.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2162148,5.00,7.00,5.00,4.00,8.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2162164,3.00,6.00,1.00,4.00,6.00,6.00,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2162172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2162180,3.00,8.00,4.00,8.00,6.00,6.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2162199,6.00,6.00,9.00,7.00,9.00,6.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2162202,2.00,6.00,6.00,1.00,5.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2162210,6.00,5.00,3.00,6.00,5.00,6.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2162229,2.00,4.00,2.00,5.00,7.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2162237,5.00,8.00,6.00,7.00,8.00,7.00,9.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2162253,0.00,6.00,2.00,0.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2162270,4.00,6.00,6.00,8.00,7.00,6.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2162288,2.00,5.00,2.00,6.00,7.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2162296,1.00,4.00,0.00,1.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2162300,6.00,8.00,5.00,7.00,9.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2162318,4.00,7.00,1.00,3.00,8.00,4.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2162326,3.00,7.00,2.00,5.00,7.00,6.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2162334,5.00,7.00,4.00,6.00,8.00,5.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2162342,4.00,8.00,2.00,5.00,5.00,5.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2162369,5.00,6.00,3.00,4.00,7.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2162385,4.00,7.00,6.00,3.00,6.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2162393,2.00,6.00,2.00,7.00,7.00,4.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2162407,4.00,6.00,5.00,7.00,8.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2162415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2162423,6.00,6.00,8.00,8.00,8.00,7.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2162431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2162440,7.00,9.00,9.00,9.00,8.00,8.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2162458,1.00,5.00,0.00,4.00,7.00,4.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2162466,4.00,4.00,1.00,4.00,4.00,6.25,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2162474,5.00,9.00,9.00,6.00,7.00,6.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2162482,2.00,5.00,4.00,7.00,5.00,7.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2162490,7.00,6.00,8.00,8.00,6.00,6.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2162504,9.00,7.00,5.00,7.00,9.00,6.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2162512,4.00,6.00,2.00,5.00,5.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2162520,7.00,8.00,7.00,7.00,7.00,4.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2162539,3.00,5.00,6.00,4.00,6.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2162547,5.00,5.00,5.00,4.00,8.00,5.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2162555,1.00,6.00,5.00,7.00,6.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2162563,5.00,6.00,3.00,4.00,8.00,4.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2162571,5.00,8.00,7.00,9.00,9.00,7.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2162580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2162601,3.00,6.00,4.00,6.00,6.00,5.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2162610,5.00,6.00,5.00,7.00,8.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2162636,3.00,6.00,4.00,5.00,7.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2162644,8.00,8.00,9.00,7.00,7.00,7.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2162652,3.00,7.00,1.00,5.00,5.00,4.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2162660,5.00,7.00,5.00,6.00,6.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2162679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2162687,4.00,9.00,4.00,8.00,8.00,5.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2162717,8.00,9.00,9.00,9.00,8.00,7.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2162725,2.00,4.00,4.00,4.00,5.00,6.75,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2162733,4.00,7.00,7.00,5.00,6.00,4.50,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2162741,3.00,7.00,4.00,6.00,5.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2162750,2.00,6.00,3.00,6.00,7.00,3.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2162768,5.00,7.00,2.00,7.00,6.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2162776,0.00,7.00,4.00,5.00,8.00,5.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2162784,2.00,8.00,5.00,8.00,5.00,3.50,5.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2162792,7.00,7.00,8.00,7.00,9.00,7.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2162806,2.00,4.00,3.00,4.00,4.00,4.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2162814,3.00,5.00,6.00,4.00,7.00,5.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2162822,2.00,7.00,2.00,5.00,9.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2162830,1.00,3.00,3.00,0.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2162857,3.00,8.00,8.00,6.00,8.00,6.00,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2162865,8.00,9.00,6.00,7.00,9.00,6.25,8.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2162873,6.00,7.00,6.00,5.00,7.00,3.00,8.00,6.00,6.00,NULL,NULL,NULL,'S'),(15,2162881,6.00,3.00,5.00,6.00,6.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2162890,3.00,8.00,3.00,7.00,7.00,7.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2162920,2.00,6.00,5.00,5.00,3.00,7.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2162938,2.00,6.00,4.00,5.00,6.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2162946,0.00,6.00,5.00,4.00,5.00,4.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2162962,7.00,7.00,9.00,6.00,8.00,5.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2162989,5.00,7.00,7.00,5.00,5.00,6.25,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2162997,6.00,3.00,6.00,7.00,8.00,6.00,8.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2163004,2.00,6.00,1.00,8.00,7.00,5.75,6.00,1.00,5.00,NULL,NULL,NULL,'N'),(15,2163012,5.00,7.00,8.00,5.00,9.00,5.75,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2163020,8.00,8.00,9.00,9.00,5.00,4.75,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2163039,8.00,8.00,8.00,7.00,8.00,6.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2163047,6.00,7.00,7.00,7.00,8.00,6.50,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2163055,2.00,3.00,0.00,2.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2163063,6.00,7.00,4.00,2.00,7.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2163071,3.00,8.00,4.00,9.00,7.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2163080,1.00,4.00,3.00,5.00,7.00,5.50,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2163098,1.00,4.00,5.00,5.00,3.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2163101,2.00,5.00,4.00,4.00,8.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2163110,3.00,7.00,1.00,5.00,4.00,4.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2163128,5.00,2.00,2.00,4.00,4.00,4.25,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2163136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2163152,1.00,5.00,2.00,3.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2163160,2.00,5.00,3.00,5.00,4.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2163179,0.00,2.00,0.00,0.00,0.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2163187,3.00,6.00,3.00,4.00,6.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2163195,4.00,7.00,3.00,6.00,8.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2163209,3.00,4.00,0.00,3.00,5.00,6.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2163217,3.00,4.00,3.00,3.00,5.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2163225,6.00,8.00,6.00,8.00,8.00,5.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2163233,5.00,7.00,5.00,4.00,7.00,5.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2163241,5.00,6.00,5.00,8.00,8.00,5.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2163250,2.00,6.00,3.00,5.00,6.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2163268,3.00,7.00,6.00,6.00,6.00,4.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2163276,1.00,7.00,3.00,2.00,6.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2163284,5.00,7.00,7.00,5.00,5.00,5.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2163306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2163314,4.00,7.00,8.00,8.00,9.00,7.25,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2163322,5.00,8.00,6.00,1.00,7.00,5.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2163365,2.00,5.00,4.00,7.00,5.00,5.50,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2163373,4.00,4.00,6.00,7.00,8.00,6.25,7.00,2.00,4.00,NULL,NULL,NULL,'S'),(15,2163381,5.00,8.00,3.00,6.00,7.00,7.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2163390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2163403,6.00,9.00,7.00,9.00,7.00,6.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2163411,5.00,8.00,4.00,5.00,8.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N');
INSERT INTO ponto_candidato VALUES (15,2163420,3.00,7.00,2.00,7.00,7.00,6.00,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2163438,5.00,7.00,5.00,8.00,6.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2163454,2.00,5.00,3.00,1.00,5.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2163470,5.00,7.00,6.00,8.00,7.00,8.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2163489,5.00,8.00,5.00,5.00,6.00,6.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2163500,2.00,6.00,3.00,3.00,5.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2163519,2.00,5.00,6.00,7.00,8.00,5.50,7.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2163535,6.00,6.00,9.00,4.00,6.00,5.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2163543,3.00,8.00,4.00,5.00,3.00,4.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2163551,3.00,8.00,3.00,4.00,8.00,6.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2163560,4.00,6.00,5.00,5.00,4.00,4.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2163578,8.00,8.00,8.00,7.00,7.00,5.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2163586,3.00,5.00,4.00,1.00,6.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2163594,6.00,7.00,9.00,4.00,8.00,4.25,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2163608,5.00,7.00,6.00,5.00,5.00,4.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2163616,1.00,4.00,4.00,3.00,5.00,4.75,4.00,1.00,2.00,NULL,NULL,NULL,'S'),(15,2163624,4.00,5.00,4.00,8.00,6.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2163632,3.00,7.00,1.00,3.00,5.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2163667,1.00,5.00,3.00,2.00,5.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2163675,1.00,5.00,7.00,5.00,7.00,5.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2163683,1.00,6.00,3.00,6.00,5.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2163691,5.00,7.00,3.00,5.00,8.00,8.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2163705,8.00,7.00,8.00,8.00,8.00,7.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2163713,5.00,9.00,7.00,7.00,8.00,6.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2163730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2163748,4.00,8.00,4.00,6.00,6.00,4.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2163756,2.00,6.00,4.00,4.00,5.00,4.00,6.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2163764,6.00,8.00,2.00,9.00,7.00,6.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2163772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2163780,4.00,8.00,7.00,4.00,8.00,6.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2163799,4.00,9.00,3.00,9.00,8.00,5.50,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2163810,1.00,7.00,8.00,8.00,6.00,3.75,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2163829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2163837,4.00,5.00,5.00,5.00,7.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2163845,8.00,6.00,7.00,6.00,7.00,6.25,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2163853,9.00,9.00,8.00,10.00,8.00,7.50,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2163861,4.00,6.00,4.00,5.00,9.00,6.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2163888,0.00,4.00,3.00,4.00,4.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2163896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2163900,1.00,3.00,4.00,1.00,5.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2163918,7.00,8.00,7.00,9.00,8.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2163926,4.00,7.00,4.00,1.00,8.00,7.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2163942,3.00,7.00,5.00,7.00,6.00,3.50,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2163950,3.00,7.00,5.00,6.00,9.00,6.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2163969,7.00,5.00,4.00,7.00,7.00,5.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2163977,5.00,8.00,6.00,4.00,8.00,5.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2163985,4.00,6.00,5.00,6.00,7.00,7.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2163993,2.00,2.00,0.00,2.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2164000,0.00,2.00,2.00,3.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2164019,5.00,5.00,7.00,8.00,8.00,7.25,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2164027,8.00,6.00,9.00,9.00,8.00,5.25,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2164035,1.00,5.00,3.00,6.00,8.00,6.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2164043,4.00,8.00,3.00,5.00,8.00,5.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2164051,6.00,7.00,3.00,4.00,9.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2164060,8.00,8.00,8.00,6.00,8.00,5.25,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2164094,3.00,7.00,4.00,3.00,8.00,4.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2164108,3.00,4.00,3.00,2.00,7.00,4.75,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2164116,1.00,3.00,1.00,2.00,5.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2164124,3.00,7.00,1.00,3.00,6.00,5.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2164132,1.00,5.00,4.00,4.00,3.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2164140,4.00,8.00,9.00,9.00,6.00,6.25,9.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2164159,3.00,6.00,1.00,3.00,4.00,8.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2164167,4.00,6.00,5.00,8.00,8.00,5.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2164175,5.00,6.00,4.00,7.00,7.00,5.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2164205,4.00,5.00,3.00,6.00,7.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2164213,2.00,4.00,0.00,4.00,4.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2164221,2.00,6.00,0.00,4.00,5.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2164230,7.00,7.00,7.00,8.00,9.00,6.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2164248,0.00,6.00,2.00,6.00,7.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2164264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2164272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2164280,3.00,6.00,2.00,8.00,7.00,6.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2164299,7.00,9.00,7.00,7.00,8.00,7.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2164302,5.00,7.00,6.00,8.00,7.00,6.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2164310,8.00,6.00,4.00,7.00,8.00,5.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2164337,7.00,8.00,7.00,9.00,9.00,6.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2164345,2.00,6.00,1.00,3.00,8.00,6.25,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2164353,2.00,6.00,2.00,2.00,5.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2164361,3.00,5.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2164370,7.00,8.00,7.00,6.00,7.00,6.50,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2164400,4.00,7.00,6.00,7.00,7.00,6.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2164426,3.00,6.00,4.00,6.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2164434,7.00,9.00,8.00,7.00,6.00,5.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2164442,5.00,2.00,1.00,3.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2164450,3.00,4.00,1.00,2.00,5.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2164469,4.00,7.00,6.00,6.00,8.00,7.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2164477,3.00,6.00,4.00,5.00,6.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2164485,4.00,7.00,8.00,7.00,8.00,5.25,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2164515,5.00,9.00,9.00,9.00,8.00,5.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2164523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2164531,4.00,5.00,3.00,6.00,5.00,6.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2164540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2164566,5.00,5.00,5.00,3.00,8.00,6.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2164574,4.00,2.00,5.00,8.00,6.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2164582,5.00,6.00,5.00,6.00,7.00,4.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2164590,0.00,1.00,0.00,1.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2164604,8.00,8.00,9.00,8.00,8.00,6.50,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2164612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2164620,3.00,2.00,4.00,6.00,5.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2164639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2164647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2164655,4.00,7.00,5.00,5.00,7.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2164663,4.00,7.00,1.00,7.00,8.00,5.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2164671,4.00,6.00,3.00,1.00,8.00,7.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2164680,2.00,6.00,4.00,8.00,6.00,6.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2164698,4.00,6.00,6.00,5.00,5.00,5.00,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2164701,5.00,7.00,7.00,0.00,4.00,3.75,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2164710,1.00,6.00,5.00,5.00,7.00,3.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2164728,2.00,6.00,3.00,7.00,6.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2164736,5.00,7.00,5.00,6.00,5.00,5.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2164744,1.00,5.00,3.00,5.00,6.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2164752,3.00,6.00,3.00,4.00,6.00,4.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2164760,6.00,7.00,5.00,7.00,8.00,5.75,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2164779,2.00,9.00,5.00,5.00,7.00,5.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2164787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2164809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2164817,1.00,6.00,1.00,5.00,6.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2164825,8.00,8.00,7.00,6.00,8.00,8.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2164833,5.00,8.00,8.00,8.00,8.00,6.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2164841,2.00,3.00,2.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2164850,3.00,7.00,3.00,5.00,6.00,5.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2164868,2.00,5.00,4.00,6.00,3.00,6.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2164876,4.00,6.00,1.00,7.00,7.00,6.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2164884,3.00,7.00,3.00,4.00,9.00,6.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2164892,6.00,7.00,7.00,5.00,7.00,4.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2164906,6.00,7.00,8.00,8.00,8.00,6.00,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2164914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2164922,8.00,8.00,7.00,4.00,9.00,5.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2164930,6.00,7.00,8.00,5.00,8.00,6.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2164949,4.00,7.00,2.00,2.00,6.00,4.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2164957,4.00,5.00,2.00,5.00,8.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2164965,3.00,3.00,1.00,3.00,3.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2164973,2.00,5.00,0.00,1.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2164981,7.00,6.00,7.00,5.00,6.00,7.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2164990,7.00,7.00,8.00,8.00,9.00,5.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2165007,4.00,8.00,6.00,6.00,7.00,6.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2165023,5.00,8.00,7.00,4.00,6.00,3.75,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2165031,6.00,8.00,8.00,3.00,9.00,5.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2165040,7.00,8.00,7.00,7.00,8.00,4.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2165058,0.00,3.00,0.00,7.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2165066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2165074,3.00,5.00,0.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2165082,1.00,7.00,2.00,6.00,6.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2165090,4.00,4.00,5.00,1.00,7.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2165104,2.00,4.00,2.00,1.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2165112,5.00,8.00,6.00,6.00,8.00,4.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2165120,2.00,5.00,1.00,0.00,6.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2165155,4.00,7.00,3.00,5.00,7.00,6.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2165163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2165171,5.00,6.00,4.00,6.00,7.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2165180,4.00,8.00,5.00,1.00,8.00,5.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2165198,3.00,7.00,1.00,8.00,6.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2165201,2.00,6.00,3.00,5.00,6.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2165236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2165244,2.00,6.00,4.00,6.00,7.00,6.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2165252,4.00,3.00,2.00,4.00,7.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2165260,8.00,8.00,9.00,9.00,7.00,7.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2165279,6.00,7.00,5.00,7.00,8.00,4.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2165287,1.00,6.00,3.00,6.00,5.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2165295,6.00,7.00,2.00,6.00,8.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2165309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2165317,7.00,8.00,8.00,6.00,8.00,6.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2165325,4.00,5.00,5.00,8.00,7.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2165333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2165341,2.00,6.00,2.00,4.00,8.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2165368,5.00,8.00,7.00,3.00,7.00,6.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2165376,2.00,3.00,1.00,3.00,5.00,4.50,4.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2165384,3.00,6.00,6.00,9.00,8.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2165406,2.00,6.00,5.00,1.00,7.00,4.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2165414,5.00,8.00,8.00,5.00,7.00,6.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2165422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2165430,4.00,7.00,4.00,9.00,7.00,6.00,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2165449,7.00,7.00,9.00,7.00,7.00,6.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2165457,3.00,4.00,1.00,4.00,6.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2165465,1.00,6.00,4.00,7.00,4.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2165473,3.00,6.00,1.00,4.00,5.00,3.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2165481,2.00,6.00,6.00,5.00,6.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2165490,3.00,6.00,4.00,4.00,9.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2165511,2.00,3.00,1.00,5.00,2.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2165520,7.00,8.00,8.00,6.00,7.00,5.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2165538,1.00,7.00,3.00,6.00,7.00,6.00,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2165546,8.00,6.00,7.00,4.00,7.00,4.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2165570,5.00,6.00,4.00,4.00,7.00,5.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2165589,7.00,8.00,7.00,4.00,8.00,6.75,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2165597,5.00,6.00,6.00,6.00,7.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2165619,3.00,3.00,3.00,4.00,6.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2165627,2.00,5.00,1.00,2.00,6.00,6.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2165643,5.00,8.00,6.00,8.00,8.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2165651,5.00,7.00,2.00,3.00,8.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2165660,1.00,4.00,3.00,5.00,7.00,6.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2165678,3.00,8.00,4.00,4.00,7.00,5.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2165694,3.00,6.00,5.00,8.00,7.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2165708,3.00,8.00,5.00,7.00,6.00,5.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2165716,3.00,8.00,1.00,5.00,7.00,5.00,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2165724,2.00,8.00,2.00,5.00,6.00,5.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2165732,2.00,6.00,3.00,1.00,7.00,5.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2165740,5.00,8.00,2.00,3.00,7.00,6.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2165759,3.00,8.00,2.00,6.00,6.00,4.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2165767,8.00,6.00,5.00,7.00,8.00,6.25,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2165775,5.00,8.00,6.00,7.00,6.00,7.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2165783,3.00,6.00,4.00,2.00,9.00,5.25,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2165791,4.00,5.00,5.00,6.00,7.00,5.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2165805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2165813,6.00,6.00,4.00,4.00,7.00,4.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2165821,5.00,7.00,3.00,4.00,6.00,6.50,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2165830,2.00,7.00,2.00,7.00,5.00,5.75,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2165856,1.00,6.00,1.00,5.00,4.00,4.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2165864,8.00,8.00,9.00,7.00,9.00,6.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2165872,4.00,7.00,3.00,4.00,6.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2165880,2.00,7.00,0.00,2.00,7.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2165899,4.00,5.00,0.00,2.00,6.00,6.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2165902,4.00,5.00,2.00,6.00,6.00,5.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2165910,2.00,6.00,0.00,3.00,6.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2165929,4.00,9.00,6.00,3.00,7.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2165937,2.00,7.00,6.00,8.00,7.00,7.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2165945,3.00,6.00,1.00,2.00,6.00,3.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2165953,5.00,7.00,8.00,5.00,8.00,4.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2165961,5.00,7.00,6.00,5.00,8.00,7.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2165970,4.00,6.00,7.00,8.00,7.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2165988,3.00,8.00,3.00,7.00,6.00,6.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2166003,4.00,7.00,7.00,3.00,5.00,4.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2166020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2166038,7.00,9.00,6.00,6.00,8.00,6.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2166046,5.00,8.00,7.00,9.00,7.00,6.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2166062,3.00,9.00,5.00,6.00,6.00,5.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2166070,4.00,6.00,3.00,2.00,8.00,4.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2166097,7.00,8.00,8.00,9.00,9.00,6.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2166100,5.00,8.00,5.00,8.00,9.00,5.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2166127,3.00,5.00,2.00,6.00,6.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2166135,8.00,7.00,7.00,8.00,9.00,7.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2166143,7.00,7.00,4.00,7.00,9.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2166151,5.00,5.00,4.00,7.00,4.00,8.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2166160,0.00,8.00,1.00,0.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2166178,5.00,7.00,7.00,7.00,7.00,6.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2166194,1.00,6.00,6.00,5.00,4.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2166208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2166216,5.00,8.00,6.00,8.00,6.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2166224,4.00,7.00,2.00,7.00,8.00,6.75,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2166232,5.00,9.00,7.00,8.00,8.00,6.00,7.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2166240,3.00,7.00,8.00,7.00,8.00,6.25,8.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2166259,2.00,6.00,1.00,7.00,6.00,4.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2166267,4.00,8.00,4.00,9.00,8.00,5.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2166275,6.00,7.00,3.00,5.00,8.00,7.00,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2166283,4.00,6.00,3.00,3.00,6.00,3.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2166291,1.00,2.00,2.00,5.00,6.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2166305,6.00,8.00,5.00,5.00,7.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2166313,4.00,7.00,2.00,7.00,3.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2166330,1.00,7.00,3.00,2.00,5.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2166356,5.00,7.00,7.00,7.00,7.00,5.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2166364,4.00,6.00,6.00,4.00,3.00,4.75,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2166372,6.00,6.00,5.00,7.00,7.00,6.25,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2166402,3.00,4.00,5.00,3.00,5.00,4.75,8.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2166410,4.00,6.00,4.00,3.00,5.00,5.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2166429,4.00,5.00,6.00,5.00,8.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2166437,4.00,5.00,4.00,2.00,5.00,3.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2166453,5.00,6.00,4.00,3.00,5.00,6.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2166461,0.00,6.00,2.00,3.00,5.00,4.75,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2166470,2.00,7.00,2.00,2.00,6.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2166488,4.00,6.00,3.00,4.00,7.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2166496,4.00,7.00,2.00,4.00,4.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2166500,4.00,8.00,7.00,8.00,9.00,6.25,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2166518,2.00,5.00,3.00,4.00,6.00,3.75,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2166526,3.00,2.00,2.00,3.00,3.00,3.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2166534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2166542,5.00,6.00,7.00,9.00,8.00,6.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2166550,5.00,6.00,7.00,5.00,8.00,6.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2166569,5.00,6.00,7.00,7.00,7.00,7.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2166585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2166593,4.00,7.00,7.00,6.00,6.00,6.25,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2166607,1.00,5.00,2.00,8.00,7.00,5.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2166615,4.00,7.00,5.00,1.00,7.00,5.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2166623,4.00,6.00,3.00,6.00,9.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2166631,2.00,6.00,2.00,6.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2166640,3.00,5.00,3.00,3.00,4.00,4.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2166674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2166682,2.00,4.00,5.00,8.00,5.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2166690,2.00,5.00,4.00,4.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2166704,0.00,4.00,1.00,1.00,4.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2166712,5.00,8.00,6.00,7.00,8.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2166720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2166739,4.00,7.00,4.00,1.00,6.00,5.00,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2166747,1.00,5.00,2.00,6.00,5.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2166755,0.00,1.00,0.00,0.00,0.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2166763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2166771,3.00,6.00,5.00,3.00,4.00,6.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2166780,4.00,6.00,9.00,6.00,9.00,6.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2166798,2.00,3.00,1.00,0.00,2.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2166801,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2166810,2.00,7.00,5.00,6.00,5.00,4.50,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2166828,3.00,4.00,4.00,4.00,7.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2166836,0.00,4.00,4.00,4.00,5.00,4.75,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2166844,4.00,8.00,7.00,6.00,8.00,6.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2166852,5.00,5.00,1.00,6.00,5.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2166860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2166879,4.00,8.00,7.00,2.00,7.00,5.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2166887,7.00,9.00,7.00,8.00,9.00,4.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2166895,1.00,3.00,1.00,8.00,6.00,6.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2166909,4.00,6.00,2.00,6.00,7.00,6.25,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2166917,4.00,9.00,5.00,9.00,8.00,6.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2166933,4.00,6.00,4.00,8.00,7.00,6.50,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2166968,1.00,3.00,5.00,5.00,6.00,4.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2166976,6.00,8.00,9.00,6.00,8.00,5.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2166984,1.00,2.00,2.00,0.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2166992,1.00,5.00,2.00,4.00,7.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2167000,8.00,8.00,8.00,9.00,8.00,7.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2167018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2167026,3.00,7.00,6.00,8.00,9.00,6.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2167034,3.00,5.00,5.00,2.00,5.00,5.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2167042,4.00,5.00,3.00,6.00,8.00,3.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2167050,3.00,8.00,5.00,7.00,7.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2167077,3.00,5.00,5.00,4.00,7.00,7.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2167085,6.00,8.00,5.00,1.00,5.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2167093,2.00,7.00,4.00,4.00,6.00,0.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2167107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2167115,7.00,9.00,6.00,7.00,8.00,7.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2167123,1.00,6.00,6.00,6.00,6.00,3.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2167131,6.00,7.00,6.00,6.00,8.00,7.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2167140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2167158,2.00,8.00,1.00,4.00,6.00,4.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2167166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2167174,3.00,6.00,2.00,7.00,5.00,3.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2167182,5.00,9.00,5.00,10.00,8.00,6.50,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2167190,0.00,6.00,1.00,4.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2167204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2167220,2.00,6.00,3.00,6.00,5.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2167239,8.00,8.00,9.00,7.00,7.00,4.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2167247,3.00,8.00,7.00,3.00,6.00,6.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2167255,2.00,6.00,2.00,3.00,6.00,3.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2167263,5.00,7.00,4.00,5.00,6.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2167271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2167280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2167298,2.00,5.00,3.00,7.00,7.00,6.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2167310,1.00,4.00,3.00,4.00,6.00,5.50,6.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2167328,4.00,5.00,6.00,5.00,8.00,5.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2167336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2167344,8.00,8.00,8.00,7.00,8.00,5.75,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2167352,6.00,7.00,9.00,9.00,9.00,6.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2167360,4.00,6.00,4.00,5.00,3.00,3.50,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2167379,3.00,3.00,4.00,3.00,3.00,4.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2167387,1.00,3.00,5.00,6.00,5.00,4.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2167395,6.00,8.00,8.00,7.00,7.00,6.25,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2167409,9.00,9.00,7.00,8.00,9.00,7.75,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2167417,4.00,5.00,1.00,4.00,6.00,3.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2167425,2.00,4.00,3.00,0.00,4.00,4.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2167433,4.00,8.00,6.00,8.00,8.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2167441,5.00,7.00,9.00,5.00,8.00,5.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2167450,2.00,3.00,3.00,1.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2167468,5.00,8.00,8.00,7.00,7.00,7.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2167484,1.00,4.00,0.00,2.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2167492,2.00,6.00,0.00,6.00,6.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2167506,4.00,5.00,4.00,5.00,7.00,4.25,4.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2167514,1.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2167522,5.00,7.00,5.00,4.00,7.00,8.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2167530,7.00,8.00,7.00,6.00,5.00,4.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2167549,5.00,6.00,5.00,7.00,8.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2167557,4.00,6.00,2.00,3.00,8.00,4.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2167565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2167573,3.00,3.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2167581,3.00,7.00,3.00,4.00,8.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2167590,6.00,4.00,3.00,7.00,6.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2167611,3.00,5.00,3.00,4.00,3.00,3.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2167620,3.00,7.00,6.00,6.00,6.00,4.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2167646,2.00,5.00,3.00,4.00,7.00,5.75,5.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2167654,0.00,3.00,2.00,2.00,6.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2167662,7.00,8.00,9.00,6.00,7.00,5.75,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2167670,8.00,9.00,9.00,7.00,9.00,6.25,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2167689,1.00,2.00,1.00,1.00,5.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2167697,5.00,7.00,3.00,6.00,7.00,7.00,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2167719,0.00,3.00,2.00,0.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2167727,8.00,7.00,8.00,4.00,8.00,4.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2167743,1.00,6.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2167751,2.00,8.00,1.00,3.00,5.00,4.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2167760,2.00,3.00,2.00,6.00,7.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2167778,6.00,7.00,5.00,6.00,6.00,6.00,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2167786,3.00,6.00,2.00,8.00,7.00,6.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2167794,2.00,6.00,1.00,7.00,5.00,5.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2167808,5.00,7.00,6.00,7.00,5.00,6.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2167816,4.00,7.00,3.00,6.00,8.00,5.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2167840,5.00,4.00,3.00,4.00,8.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2167859,3.00,6.00,5.00,7.00,5.00,4.50,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2167867,5.00,6.00,3.00,6.00,5.00,5.00,4.00,1.00,2.00,NULL,NULL,NULL,'S'),(15,2167883,5.00,7.00,8.00,8.00,8.00,6.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2167891,7.00,7.00,2.00,5.00,8.00,7.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2167913,4.00,7.00,6.00,2.00,6.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2167921,7.00,7.00,8.00,7.00,7.00,6.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2167930,4.00,6.00,0.00,2.00,4.00,6.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2167948,4.00,7.00,1.00,1.00,7.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2167956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2167964,1.00,1.00,2.00,3.00,0.00,NULL,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2167972,6.00,6.00,4.00,6.00,7.00,5.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2167980,3.00,8.00,2.00,2.00,6.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2167999,2.00,5.00,1.00,2.00,5.00,5.50,5.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2168006,5.00,4.00,2.00,4.00,7.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2168014,5.00,8.00,5.00,3.00,7.00,4.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2168022,5.00,8.00,7.00,7.00,8.00,6.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2168030,6.00,7.00,8.00,3.00,7.00,7.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2168049,6.00,7.00,6.00,8.00,6.00,7.75,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2168057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2168065,1.00,3.00,3.00,5.00,5.00,5.25,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2168081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2168090,7.00,7.00,6.00,8.00,8.00,6.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2168103,3.00,1.00,4.00,5.00,5.00,4.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2168120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2168138,5.00,7.00,9.00,6.00,8.00,8.50,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2168146,3.00,5.00,4.00,6.00,4.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2168154,4.00,8.00,5.00,6.00,7.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2168162,4.00,7.00,3.00,5.00,6.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2168170,8.00,7.00,9.00,9.00,9.00,5.50,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2168189,7.00,9.00,8.00,8.00,7.00,6.25,9.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2168197,5.00,7.00,4.00,6.00,7.00,7.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2168200,2.00,5.00,5.00,6.00,7.00,5.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2168219,3.00,6.00,4.00,6.00,7.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2168227,6.00,8.00,6.00,8.00,8.00,7.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2168235,5.00,8.00,6.00,3.00,9.00,5.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2168243,2.00,7.00,2.00,5.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2168251,3.00,4.00,1.00,5.00,7.00,4.75,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2168278,2.00,5.00,2.00,7.00,7.00,6.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2168286,3.00,3.00,3.00,7.00,5.00,5.25,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2168294,3.00,8.00,3.00,5.00,7.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2168308,5.00,8.00,7.00,3.00,7.00,3.50,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2168316,2.00,9.00,5.00,9.00,7.00,3.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2168332,6.00,5.00,3.00,7.00,7.00,6.75,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2168340,4.00,7.00,5.00,5.00,7.00,6.75,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2168367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2168375,3.00,7.00,5.00,2.00,7.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2168383,4.00,8.00,4.00,7.00,7.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2168391,5.00,8.00,5.00,9.00,5.00,5.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2168405,4.00,7.00,4.00,7.00,8.00,6.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2168413,3.00,7.00,2.00,6.00,4.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2168421,3.00,6.00,1.00,3.00,5.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2168430,2.00,7.00,4.00,2.00,6.00,6.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2168448,6.00,8.00,7.00,8.00,6.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2168456,3.00,2.00,2.00,4.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2168464,7.00,7.00,8.00,8.00,7.00,8.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2168472,2.00,3.00,2.00,0.00,0.00,NULL,3.00,4.00,1.00,'S',NULL,NULL,'N'),(15,2168480,6.00,7.00,8.00,6.00,8.00,6.00,9.00,5.00,9.00,NULL,NULL,NULL,'N'),(15,2168499,5.00,9.00,8.00,7.00,8.00,5.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2168502,6.00,9.00,7.00,6.00,9.00,7.00,7.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2168510,3.00,6.00,2.00,0.00,5.00,5.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2168529,8.00,7.00,6.00,8.00,6.00,7.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2168537,3.00,7.00,4.00,5.00,5.00,6.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2168545,4.00,8.00,4.00,4.00,7.00,5.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2168553,0.00,3.00,3.00,1.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2168561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2168588,5.00,6.00,4.00,7.00,6.00,6.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2168596,2.00,5.00,2.00,9.00,5.00,4.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2168600,3.00,8.00,1.00,9.00,8.00,7.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2168626,8.00,9.00,9.00,9.00,9.00,7.50,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2168634,1.00,6.00,0.00,1.00,4.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2168642,2.00,6.00,1.00,4.00,5.00,4.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2168650,5.00,7.00,8.00,3.00,6.00,3.50,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2168669,6.00,8.00,8.00,9.00,8.00,7.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2168677,3.00,2.00,2.00,1.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2168685,3.00,5.00,5.00,3.00,9.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2168693,6.00,7.00,7.00,7.00,8.00,6.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2168707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2168715,2.00,5.00,4.00,1.00,3.00,5.00,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2168723,2.00,4.00,0.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2168740,4.00,1.00,5.00,6.00,6.00,3.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2168758,6.00,8.00,7.00,9.00,8.00,8.00,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2168766,4.00,5.00,0.00,2.00,4.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2168774,2.00,7.00,3.00,5.00,5.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2168782,2.00,5.00,0.00,3.00,2.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2168790,7.00,9.00,7.00,8.00,8.00,5.75,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2168804,4.00,8.00,5.00,3.00,9.00,7.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2168812,2.00,5.00,5.00,6.00,6.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2168820,8.00,8.00,9.00,7.00,8.00,6.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2168839,4.00,7.00,1.00,5.00,7.00,7.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2168847,4.00,6.00,1.00,1.00,4.00,7.00,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2168855,2.00,6.00,3.00,5.00,9.00,6.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2168871,4.00,6.00,4.00,8.00,8.00,5.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2168880,3.00,3.00,2.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2168898,5.00,5.00,7.00,6.00,7.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2168901,5.00,8.00,7.00,7.00,7.00,3.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2168910,3.00,4.00,4.00,7.00,7.00,5.00,7.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2168928,1.00,2.00,2.00,5.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2168944,4.00,7.00,1.00,7.00,8.00,7.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2168952,6.00,7.00,7.00,2.00,5.00,5.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2168960,3.00,5.00,5.00,2.00,4.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2168979,4.00,6.00,3.00,7.00,9.00,4.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2168987,5.00,6.00,7.00,8.00,8.00,6.25,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2168995,7.00,7.00,6.00,6.00,8.00,6.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2169002,1.00,5.00,2.00,5.00,8.00,5.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2169010,4.00,9.00,8.00,8.00,8.00,6.25,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2169029,4.00,6.00,6.00,4.00,7.00,7.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2169045,2.00,3.00,1.00,1.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2169053,2.00,7.00,6.00,9.00,7.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2169061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2169070,5.00,7.00,5.00,4.00,7.00,4.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2169088,4.00,6.00,2.00,4.00,5.00,5.00,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2169096,1.00,6.00,1.00,0.00,4.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2169118,4.00,3.00,1.00,7.00,5.00,0.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2169126,4.00,7.00,3.00,7.00,4.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2169134,2.00,2.00,0.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2169142,7.00,8.00,7.00,7.00,9.00,6.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2169150,4.00,7.00,6.00,5.00,5.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2169169,3.00,7.00,1.00,1.00,7.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2169177,5.00,8.00,6.00,7.00,8.00,5.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2169185,2.00,4.00,4.00,3.00,5.00,3.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2169207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2169215,5.00,8.00,9.00,7.00,9.00,6.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2169223,7.00,8.00,9.00,6.00,8.00,6.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2169231,3.00,8.00,4.00,4.00,8.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2169240,5.00,4.00,4.00,3.00,6.00,5.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2169258,7.00,8.00,9.00,9.00,9.00,6.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2169266,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2169282,3.00,8.00,6.00,2.00,8.00,6.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2169290,5.00,5.00,3.00,5.00,7.00,6.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2169304,7.00,7.00,6.00,5.00,8.00,7.50,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2169312,3.00,5.00,4.00,5.00,7.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2169320,3.00,5.00,1.00,5.00,4.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2169339,1.00,2.00,0.00,1.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2169347,4.00,9.00,6.00,6.00,9.00,5.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2169355,4.00,7.00,6.00,8.00,7.00,4.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2169363,5.00,8.00,5.00,8.00,7.00,4.25,9.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2169371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2169380,5.00,6.00,6.00,5.00,4.00,3.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2169398,4.00,7.00,5.00,0.00,4.00,2.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2169401,5.00,7.00,2.00,9.00,8.00,7.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2169410,3.00,8.00,6.00,3.00,5.00,5.75,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2169428,5.00,7.00,7.00,7.00,8.00,3.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2169436,3.00,6.00,6.00,7.00,9.00,6.75,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2169444,7.00,9.00,7.00,9.00,8.00,7.50,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2169452,6.00,7.00,4.00,5.00,7.00,7.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2169460,3.00,4.00,1.00,4.00,1.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2169487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2169495,4.00,7.00,4.00,4.00,7.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2169509,5.00,5.00,6.00,6.00,8.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2169525,2.00,6.00,3.00,6.00,6.00,5.25,6.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2169533,3.00,5.00,3.00,7.00,5.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2169541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2169576,2.00,8.00,5.00,3.00,5.00,4.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2169584,3.00,8.00,7.00,6.00,8.00,4.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2169592,4.00,8.00,5.00,4.00,8.00,5.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2169606,0.00,4.00,2.00,2.00,4.00,6.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2169622,3.00,6.00,3.00,8.00,7.00,8.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2169630,2.00,5.00,2.00,4.00,4.00,4.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2169649,1.00,5.00,3.00,2.00,6.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2169657,5.00,8.00,6.00,5.00,6.00,6.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2169665,3.00,5.00,3.00,7.00,7.00,3.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2169673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2169690,5.00,6.00,8.00,5.00,8.00,6.25,6.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2169703,3.00,8.00,3.00,5.00,5.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2169711,2.00,4.00,2.00,2.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2169738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2169754,3.00,1.00,0.00,0.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2169762,0.00,2.00,2.00,4.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2169770,2.00,2.00,1.00,6.00,4.00,NULL,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2169789,2.00,6.00,1.00,5.00,7.00,4.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2169797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2169800,8.00,8.00,9.00,8.00,7.00,7.50,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2169819,7.00,8.00,9.00,9.00,8.00,7.50,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2169827,2.00,8.00,4.00,4.00,8.00,7.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2169843,3.00,6.00,3.00,6.00,4.00,4.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2169851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2169860,2.00,5.00,0.00,3.00,6.00,0.00,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2169878,4.00,8.00,5.00,8.00,8.00,5.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2169894,6.00,6.00,6.00,7.00,7.00,6.25,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2169908,2.00,5.00,5.00,5.00,5.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2169916,2.00,9.00,1.00,3.00,6.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2169924,4.00,8.00,7.00,7.00,9.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2169932,2.00,4.00,5.00,1.00,7.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2169959,5.00,7.00,6.00,2.00,7.00,4.50,8.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2169975,5.00,7.00,6.00,4.00,7.00,3.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2169991,5.00,9.00,7.00,7.00,8.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2170000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2170019,5.00,7.00,5.00,8.00,6.00,5.50,6.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2170027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2170035,0.00,6.00,4.00,7.00,6.00,5.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2170043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2170051,3.00,6.00,0.00,2.00,6.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2170060,3.00,4.00,4.00,6.00,8.00,6.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2170078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2170094,7.00,8.00,7.00,7.00,8.00,4.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2170108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2170116,8.00,9.00,9.00,7.00,9.00,5.00,9.00,5.00,9.00,NULL,NULL,NULL,'N'),(15,2170124,7.00,7.00,6.00,9.00,8.00,8.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2170132,5.00,8.00,2.00,5.00,6.00,6.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2170140,8.00,8.00,8.00,6.00,7.00,6.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2170159,6.00,9.00,5.00,6.00,7.00,6.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2170167,5.00,8.00,7.00,8.00,6.00,5.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2170175,3.00,5.00,2.00,5.00,6.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2170183,2.00,7.00,4.00,6.00,6.00,5.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2170191,2.00,3.00,3.00,2.00,4.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2170205,4.00,8.00,7.00,9.00,7.00,6.75,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2170221,6.00,8.00,9.00,7.00,8.00,5.75,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2170230,8.00,7.00,9.00,9.00,9.00,7.75,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2170256,4.00,6.00,6.00,7.00,6.00,4.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2170264,4.00,6.00,1.00,2.00,5.00,4.75,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2170272,7.00,8.00,8.00,8.00,8.00,6.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2170280,2.00,7.00,6.00,5.00,6.00,6.75,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2170299,1.00,4.00,1.00,3.00,6.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2170302,4.00,9.00,5.00,5.00,7.00,6.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2170329,2.00,4.00,5.00,1.00,7.00,5.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2170337,2.00,5.00,2.00,8.00,7.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2170353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2170370,2.00,6.00,3.00,4.00,6.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2170388,6.00,7.00,3.00,6.00,7.00,6.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2170396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2170400,3.00,6.00,4.00,6.00,6.00,4.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2170434,8.00,7.00,8.00,9.00,8.00,8.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2170442,4.00,7.00,4.00,6.00,8.00,6.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2170450,6.00,7.00,8.00,7.00,7.00,7.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2170469,5.00,9.00,6.00,6.00,9.00,6.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2170485,3.00,5.00,1.00,2.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2170493,4.00,5.00,3.00,3.00,4.00,4.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2170507,1.00,7.00,2.00,6.00,6.00,5.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2170515,4.00,9.00,7.00,7.00,8.00,6.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2170523,2.00,6.00,1.00,3.00,5.00,5.00,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(15,2170531,3.00,5.00,5.00,4.00,6.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2170540,7.00,8.00,6.00,5.00,8.00,5.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2170558,0.00,4.00,2.00,0.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2170566,4.00,8.00,6.00,6.00,7.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2170590,4.00,7.00,4.00,4.00,7.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2170604,0.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2170612,3.00,5.00,1.00,6.00,7.00,3.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2170639,7.00,8.00,4.00,6.00,8.00,4.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2170655,2.00,5.00,4.00,6.00,6.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2170663,3.00,5.00,3.00,2.00,4.00,3.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2170671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2170680,0.00,4.00,2.00,4.00,5.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2170698,7.00,8.00,6.00,8.00,6.00,7.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2170701,5.00,9.00,5.00,7.00,8.00,7.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2170710,5.00,7.00,4.00,6.00,8.00,5.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2170728,3.00,6.00,7.00,6.00,6.00,6.00,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2170744,2.00,6.00,4.00,4.00,4.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2170752,4.00,5.00,4.00,1.00,4.00,4.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2170760,2.00,5.00,5.00,7.00,7.00,6.75,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2170779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2170787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2170795,2.00,4.00,3.00,8.00,8.00,4.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2170809,3.00,7.00,2.00,4.00,6.00,5.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2170817,8.00,9.00,7.00,8.00,9.00,8.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2170833,5.00,7.00,9.00,6.00,8.00,5.25,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2170841,3.00,2.00,2.00,2.00,4.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(15,2170868,7.00,8.00,6.00,9.00,9.00,6.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2170884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2170892,5.00,8.00,3.00,3.00,8.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2170914,3.00,7.00,3.00,5.00,7.00,4.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2170922,2.00,5.00,2.00,4.00,4.00,3.50,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2170930,7.00,8.00,8.00,7.00,7.00,4.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2170949,6.00,7.00,7.00,6.00,6.00,5.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2170957,1.00,7.00,9.00,9.00,8.00,5.25,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2170965,4.00,7.00,5.00,7.00,6.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2170973,3.00,6.00,0.00,5.00,5.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2170981,3.00,3.00,2.00,6.00,5.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2170990,4.00,5.00,4.00,5.00,6.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2171007,5.00,6.00,3.00,6.00,6.00,6.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2171015,6.00,8.00,7.00,6.00,7.00,4.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2171023,8.00,5.00,7.00,6.00,7.00,7.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2171031,3.00,4.00,3.00,2.00,6.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2171040,3.00,2.00,3.00,4.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2171058,3.00,8.00,3.00,4.00,8.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2171066,2.00,3.00,2.00,0.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2171074,7.00,9.00,8.00,9.00,8.00,7.50,9.00,9.00,9.00,NULL,NULL,NULL,'N'),(15,2171082,5.00,4.00,5.00,5.00,7.00,5.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2171090,5.00,8.00,4.00,8.00,7.00,4.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2171104,3.00,5.00,6.00,4.00,7.00,5.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2171120,2.00,4.00,0.00,0.00,6.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2171139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2171147,1.00,7.00,2.00,3.00,5.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2171155,4.00,4.00,5.00,7.00,5.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2171171,1.00,4.00,4.00,3.00,6.00,4.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2171180,1.00,5.00,1.00,0.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2171201,2.00,4.00,4.00,5.00,6.00,4.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2171228,4.00,7.00,5.00,6.00,8.00,6.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2171244,0.00,4.00,0.00,3.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2171252,4.00,6.00,5.00,5.00,7.00,4.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2171279,3.00,8.00,3.00,3.00,7.00,5.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2171287,4.00,8.00,4.00,6.00,7.00,6.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2171309,4.00,4.00,3.00,6.00,6.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2171317,6.00,6.00,8.00,8.00,8.00,5.25,9.00,5.00,9.00,NULL,NULL,NULL,'N'),(15,2171325,2.00,6.00,4.00,9.00,6.00,7.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2171333,7.00,8.00,5.00,5.00,9.00,5.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2171341,2.00,5.00,3.00,4.00,4.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2171350,7.00,8.00,9.00,8.00,8.00,6.50,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2171368,1.00,5.00,2.00,0.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2171376,2.00,2.00,2.00,5.00,5.00,2.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2171384,0.00,7.00,0.00,7.00,6.00,5.25,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2171392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2171406,4.00,7.00,4.00,7.00,7.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2171414,2.00,9.00,1.00,5.00,7.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2171422,7.00,8.00,6.00,7.00,8.00,6.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2171430,3.00,9.00,1.00,1.00,6.00,7.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2171449,2.00,6.00,1.00,0.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2171457,4.00,6.00,6.00,8.00,8.00,6.75,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2171465,2.00,7.00,5.00,8.00,7.00,6.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2171473,4.00,6.00,1.00,1.00,6.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2171481,6.00,7.00,8.00,7.00,8.00,5.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2171511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2171538,3.00,7.00,3.00,5.00,7.00,7.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2171546,5.00,8.00,4.00,8.00,8.00,6.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2171554,1.00,7.00,2.00,6.00,5.00,6.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2171562,4.00,8.00,6.00,9.00,7.00,6.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2171570,4.00,5.00,2.00,8.00,6.00,3.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2171589,1.00,4.00,2.00,4.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2171600,2.00,7.00,3.00,6.00,6.00,5.50,5.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2171619,4.00,4.00,6.00,6.00,6.00,6.75,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2171635,6.00,7.00,6.00,8.00,6.00,6.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2171643,5.00,7.00,7.00,6.00,8.00,3.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2171651,0.00,3.00,1.00,5.00,5.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2171660,4.00,8.00,2.00,7.00,9.00,6.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2171678,2.00,6.00,4.00,1.00,5.00,7.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2171686,0.00,1.00,2.00,3.00,3.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2171694,5.00,7.00,5.00,5.00,6.00,4.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2171708,3.00,7.00,3.00,6.00,7.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2171716,1.00,4.00,3.00,3.00,5.00,4.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2171724,2.00,7.00,3.00,4.00,2.00,NULL,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2171732,4.00,7.00,2.00,3.00,3.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2171740,5.00,5.00,3.00,3.00,5.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2171759,5.00,7.00,4.00,4.00,8.00,4.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2171767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2171783,5.00,8.00,5.00,6.00,6.00,6.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2171791,3.00,5.00,3.00,2.00,8.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2171821,2.00,7.00,2.00,6.00,4.00,5.50,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2171830,7.00,6.00,6.00,7.00,6.00,6.50,9.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2171848,2.00,4.00,1.00,5.00,5.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2171856,2.00,6.00,1.00,4.00,7.00,4.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2171864,2.00,4.00,0.00,0.00,4.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'S'),(15,2171872,2.00,5.00,4.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2171880,0.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(15,2171899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2171910,3.00,4.00,0.00,2.00,7.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2171929,6.00,8.00,8.00,6.00,7.00,6.25,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2171945,6.00,6.00,6.00,6.00,9.00,6.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2171953,6.00,8.00,5.00,8.00,8.00,6.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2171970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2171996,7.00,5.00,9.00,5.00,8.00,6.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2172003,2.00,6.00,4.00,5.00,6.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2172011,0.00,3.00,0.00,5.00,5.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2172020,2.00,6.00,4.00,1.00,6.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2172038,1.00,5.00,1.00,3.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2172054,4.00,6.00,4.00,2.00,6.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2172062,4.00,8.00,4.00,2.00,6.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2172097,6.00,5.00,2.00,5.00,7.00,5.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2172100,9.00,8.00,9.00,6.00,8.00,8.75,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2172119,5.00,6.00,5.00,9.00,6.00,7.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2172127,5.00,6.00,5.00,4.00,6.00,5.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2172135,2.00,1.00,0.00,4.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2172143,1.00,5.00,1.00,5.00,6.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2172151,3.00,6.00,3.00,5.00,8.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2172160,3.00,6.00,5.00,4.00,9.00,5.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2172178,2.00,6.00,3.00,6.00,5.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2172194,4.00,6.00,4.00,6.00,7.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2172208,5.00,9.00,3.00,10.00,7.00,4.50,7.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2172216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2172224,8.00,7.00,9.00,7.00,8.00,5.25,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2172232,5.00,4.00,3.00,5.00,8.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2172240,4.00,8.00,5.00,7.00,7.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2172259,6.00,7.00,7.00,4.00,8.00,6.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2172291,2.00,6.00,2.00,5.00,5.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2172305,4.00,5.00,3.00,7.00,8.00,4.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2172313,0.00,3.00,0.00,4.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2172321,2.00,8.00,5.00,2.00,7.00,4.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2172330,4.00,8.00,3.00,5.00,6.00,7.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2172356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2172364,5.00,7.00,3.00,9.00,7.00,5.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2172372,3.00,5.00,0.00,6.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2172380,2.00,7.00,5.00,7.00,7.00,3.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2172402,5.00,7.00,5.00,8.00,8.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2172429,3.00,7.00,7.00,7.00,5.00,7.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2172437,6.00,6.00,4.00,8.00,7.00,5.25,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2172445,2.00,8.00,4.00,6.00,7.00,5.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2172453,3.00,5.00,3.00,3.00,4.00,7.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2172461,1.00,7.00,4.00,3.00,8.00,3.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2172470,3.00,6.00,4.00,7.00,6.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2172488,4.00,7.00,6.00,6.00,7.00,5.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2172496,4.00,5.00,4.00,5.00,8.00,6.00,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2172500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2172518,1.00,1.00,0.00,5.00,4.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2172526,3.00,6.00,1.00,5.00,5.00,3.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2172534,4.00,8.00,6.00,8.00,9.00,7.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2172550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2172577,1.00,5.00,1.00,4.00,5.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2172585,1.00,4.00,2.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2172607,6.00,9.00,5.00,9.00,9.00,7.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2172623,7.00,8.00,6.00,7.00,8.00,6.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2172631,7.00,8.00,8.00,7.00,8.00,7.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2172640,4.00,8.00,3.00,6.00,8.00,5.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2172658,5.00,7.00,0.00,8.00,6.00,6.25,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2172666,3.00,8.00,6.00,5.00,7.00,5.50,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2172674,1.00,4.00,2.00,1.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2172682,2.00,7.00,3.00,6.00,8.00,5.25,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2172690,6.00,5.00,9.00,6.00,8.00,4.50,9.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2172704,5.00,8.00,6.00,7.00,8.00,6.00,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2172720,3.00,3.00,4.00,5.00,6.00,5.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2172739,4.00,5.00,7.00,5.00,5.00,4.75,7.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2172747,4.00,5.00,3.00,5.00,7.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2172755,6.00,7.00,3.00,3.00,9.00,5.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2172763,5.00,7.00,3.00,5.00,7.00,4.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2172771,5.00,8.00,3.00,4.00,7.00,6.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2172780,2.00,7.00,4.00,4.00,8.00,4.75,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2172798,0.00,5.00,1.00,5.00,8.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2172801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2172810,3.00,6.00,1.00,5.00,5.00,3.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2172828,3.00,8.00,0.00,6.00,6.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2172836,0.00,3.00,3.00,2.00,3.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2172844,3.00,6.00,5.00,8.00,6.00,3.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2172860,0.00,6.00,4.00,3.00,5.00,4.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2172879,8.00,8.00,7.00,7.00,7.00,6.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2172887,3.00,7.00,8.00,8.00,6.00,5.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2172895,0.00,6.00,6.00,0.00,9.00,NULL,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2172909,2.00,4.00,3.00,6.00,7.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2172925,8.00,7.00,9.00,9.00,8.00,5.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2172933,3.00,2.00,1.00,6.00,4.00,4.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2172941,3.00,7.00,1.00,1.00,6.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2172950,7.00,7.00,7.00,2.00,7.00,6.25,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2172968,4.00,7.00,6.00,8.00,5.00,5.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2172984,4.00,7.00,7.00,8.00,7.00,4.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2172992,4.00,4.00,0.00,3.00,7.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2173000,8.00,8.00,9.00,9.00,8.00,7.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2173026,3.00,2.00,4.00,2.00,4.00,4.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2173034,5.00,8.00,4.00,6.00,8.00,6.25,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2173042,6.00,7.00,3.00,5.00,7.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2173077,4.00,8.00,9.00,5.00,6.00,4.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2173085,3.00,7.00,7.00,7.00,6.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2173093,1.00,5.00,4.00,4.00,6.00,4.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2173107,7.00,9.00,8.00,9.00,8.00,6.75,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2173115,5.00,7.00,3.00,6.00,5.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2173123,6.00,8.00,5.00,6.00,7.00,5.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2173131,2.00,6.00,1.00,7.00,7.00,5.75,7.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2173140,3.00,6.00,3.00,9.00,7.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2173158,2.00,5.00,6.00,5.00,8.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2173166,5.00,7.00,7.00,8.00,9.00,7.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2173174,1.00,7.00,3.00,4.00,6.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2173182,4.00,6.00,6.00,6.00,8.00,4.50,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2173212,4.00,5.00,7.00,6.00,7.00,4.50,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2173220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2173239,5.00,8.00,2.00,6.00,8.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2173247,3.00,6.00,7.00,6.00,8.00,5.00,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2173255,5.00,6.00,3.00,5.00,4.00,3.00,4.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2173263,8.00,8.00,9.00,9.00,8.00,7.75,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2173271,4.00,4.00,3.00,1.00,5.00,4.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2173280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2173298,3.00,6.00,4.00,4.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2173301,3.00,4.00,2.00,5.00,3.00,8.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2173328,2.00,4.00,2.00,1.00,6.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2173336,1.00,4.00,4.00,3.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2173344,2.00,3.00,4.00,6.00,8.00,4.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2173352,2.00,5.00,2.00,4.00,6.00,5.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2173360,4.00,7.00,8.00,9.00,5.00,5.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2173379,4.00,7.00,3.00,6.00,7.00,6.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2173387,4.00,8.00,6.00,6.00,8.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2173395,4.00,6.00,5.00,7.00,8.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2173409,3.00,9.00,9.00,8.00,8.00,7.25,9.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2173417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2173425,3.00,3.00,0.00,0.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2173433,6.00,4.00,7.00,9.00,6.00,7.00,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2173441,2.00,7.00,5.00,6.00,5.00,4.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2173450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2173468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2173476,7.00,8.00,10.00,9.00,8.00,6.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2173484,2.00,7.00,2.00,7.00,6.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2173492,6.00,7.00,9.00,6.00,8.00,6.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2173506,3.00,4.00,6.00,7.00,7.00,6.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2173514,6.00,8.00,9.00,8.00,9.00,5.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2173522,3.00,7.00,1.00,4.00,7.00,5.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2173530,4.00,7.00,3.00,7.00,7.00,6.75,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2173549,2.00,5.00,4.00,4.00,6.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2173557,2.00,5.00,0.00,0.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2173565,1.00,6.00,0.00,5.00,6.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2173573,5.00,5.00,6.00,4.00,5.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2173581,4.00,8.00,7.00,8.00,7.00,6.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2173590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2173603,6.00,6.00,6.00,6.00,8.00,6.50,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2173611,0.00,2.00,1.00,1.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2173620,6.00,7.00,6.00,3.00,7.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2173638,2.00,7.00,2.00,3.00,6.00,3.75,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2173646,1.00,1.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2173654,6.00,8.00,5.00,8.00,9.00,6.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2173662,7.00,7.00,6.00,7.00,9.00,6.25,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2173670,7.00,9.00,8.00,9.00,9.00,8.50,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2173689,2.00,7.00,4.00,4.00,6.00,6.75,5.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2173697,6.00,8.00,4.00,5.00,9.00,5.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2173700,1.00,7.00,5.00,3.00,6.00,4.50,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2173719,3.00,4.00,1.00,4.00,4.00,3.75,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2173727,5.00,9.00,5.00,7.00,8.00,6.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2173735,5.00,7.00,5.00,6.00,6.00,6.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2173743,3.00,7.00,4.00,6.00,7.00,3.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2173751,4.00,8.00,4.00,5.00,9.00,6.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2173760,1.00,3.00,3.00,3.00,5.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2173786,3.00,5.00,3.00,1.00,6.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2173794,2.00,2.00,2.00,4.00,4.00,4.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2173808,4.00,5.00,4.00,5.00,8.00,7.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2173816,2.00,8.00,7.00,8.00,8.00,7.25,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2173824,4.00,6.00,4.00,3.00,5.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2173832,7.00,8.00,7.00,5.00,6.00,8.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2173840,6.00,8.00,8.00,6.00,6.00,6.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2173859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2173867,2.00,5.00,2.00,6.00,4.00,3.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2173891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2173905,4.00,8.00,4.00,9.00,6.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2173913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2173921,3.00,6.00,2.00,6.00,7.00,4.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2173930,4.00,7.00,4.00,8.00,6.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2173948,4.00,4.00,3.00,6.00,6.00,5.25,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2173956,6.00,7.00,6.00,8.00,8.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2173964,3.00,7.00,4.00,4.00,6.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2173980,3.00,6.00,5.00,8.00,5.00,3.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2173999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2174006,2.00,5.00,2.00,4.00,6.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2174014,5.00,7.00,4.00,9.00,9.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2174022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2174030,3.00,7.00,6.00,9.00,7.00,5.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2174049,2.00,4.00,2.00,5.00,8.00,6.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2174057,3.00,4.00,0.00,6.00,4.00,4.00,4.00,9.00,0.00,NULL,NULL,NULL,'N'),(15,2174065,6.00,8.00,9.00,9.00,9.00,7.25,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2174073,4.00,6.00,3.00,8.00,8.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2174081,5.00,6.00,4.00,8.00,6.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2174090,0.00,5.00,4.00,3.00,5.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2174103,2.00,5.00,2.00,6.00,6.00,6.25,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2174111,3.00,7.00,1.00,6.00,8.00,0.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2174120,2.00,7.00,5.00,8.00,7.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2174138,7.00,9.00,9.00,7.00,9.00,7.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2174146,0.00,4.00,2.00,2.00,1.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2174154,3.00,5.00,3.00,9.00,7.00,3.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2174162,3.00,4.00,3.00,2.00,6.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2174170,4.00,6.00,6.00,3.00,6.00,6.50,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(15,2174189,3.00,7.00,0.00,3.00,6.00,4.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2174197,6.00,5.00,5.00,6.00,7.00,6.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2174200,0.00,5.00,1.00,1.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2174219,4.00,7.00,2.00,7.00,5.00,5.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2174227,2.00,7.00,4.00,2.00,5.00,6.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2174235,0.00,3.00,0.00,4.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2174251,5.00,7.00,5.00,9.00,5.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2174260,3.00,5.00,3.00,6.00,6.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2174278,2.00,4.00,5.00,5.00,6.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2174286,1.00,6.00,5.00,6.00,8.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2174294,1.00,3.00,4.00,0.00,6.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2174316,6.00,9.00,7.00,9.00,8.00,4.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2174324,5.00,9.00,6.00,6.00,6.00,5.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2174332,4.00,8.00,9.00,5.00,9.00,7.00,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2174359,3.00,6.00,2.00,3.00,4.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2174367,6.00,7.00,3.00,7.00,8.00,6.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2174375,3.00,4.00,4.00,6.00,5.00,4.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2174383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2174391,2.00,5.00,3.00,0.00,6.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2174405,4.00,6.00,5.00,5.00,6.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2174421,1.00,3.00,1.00,2.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2174430,8.00,9.00,7.00,8.00,8.00,6.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2174456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2174464,3.00,4.00,1.00,1.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2174472,4.00,5.00,1.00,5.00,6.00,4.25,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2174480,5.00,5.00,8.00,5.00,8.00,7.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2174499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2174502,4.00,7.00,6.00,4.00,7.00,6.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2174510,4.00,4.00,6.00,3.00,8.00,5.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2174529,0.00,5.00,5.00,5.00,5.00,6.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2174537,3.00,8.00,8.00,5.00,6.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2174545,7.00,8.00,9.00,8.00,8.00,5.75,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2174553,4.00,7.00,2.00,8.00,8.00,6.75,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2174561,3.00,6.00,2.00,6.00,7.00,3.75,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2174570,4.00,6.00,7.00,7.00,7.00,6.00,8.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2174588,3.00,5.00,6.00,6.00,7.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2174596,3.00,6.00,1.00,2.00,6.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2174618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2174626,7.00,7.00,8.00,8.00,8.00,6.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2174642,4.00,6.00,6.00,6.00,9.00,6.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2174650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2174677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2174685,6.00,7.00,7.00,8.00,8.00,5.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2174693,3.00,6.00,3.00,7.00,6.00,3.75,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2174707,3.00,5.00,1.00,9.00,6.00,5.00,5.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2174715,4.00,8.00,4.00,6.00,7.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2174723,3.00,5.00,2.00,4.00,7.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2174731,4.00,5.00,1.00,5.00,5.00,5.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2174740,5.00,7.00,5.00,5.00,7.00,6.00,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2174758,2.00,6.00,0.00,1.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2174766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2174774,2.00,3.00,4.00,0.00,5.00,3.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2174782,4.00,6.00,4.00,7.00,6.00,5.75,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2174804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2174820,0.00,6.00,4.00,5.00,5.00,4.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2174839,2.00,4.00,2.00,4.00,5.00,3.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2174847,2.00,5.00,1.00,4.00,5.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2174855,3.00,6.00,2.00,6.00,5.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2174863,0.00,5.00,3.00,3.00,7.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2174871,2.00,4.00,4.00,6.00,7.00,6.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2174880,5.00,9.00,9.00,9.00,6.00,4.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2174898,3.00,7.00,6.00,6.00,6.00,5.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2174901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2174928,4.00,7.00,3.00,2.00,7.00,7.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2174936,1.00,5.00,4.00,2.00,7.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2174952,2.00,6.00,1.00,3.00,8.00,6.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2174960,1.00,6.00,3.00,3.00,4.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2174979,1.00,6.00,3.00,2.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2174987,3.00,4.00,1.00,3.00,4.00,4.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2174995,5.00,9.00,2.00,9.00,7.00,7.50,7.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2175010,3.00,7.00,4.00,3.00,3.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2175029,5.00,5.00,7.00,7.00,8.00,4.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2175037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2175045,4.00,5.00,2.00,4.00,6.00,6.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2175053,3.00,7.00,2.00,0.00,7.00,4.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2175061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2175088,4.00,7.00,2.00,5.00,6.00,6.75,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2175096,0.00,2.00,5.00,3.00,3.00,3.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2175100,3.00,4.00,4.00,6.00,6.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2175118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2175126,1.00,4.00,1.00,3.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2175134,4.00,6.00,7.00,5.00,8.00,7.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2175150,2.00,6.00,4.00,2.00,6.00,5.00,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2175169,3.00,5.00,4.00,7.00,6.00,4.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2175177,3.00,8.00,5.00,6.00,8.00,4.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2175185,4.00,4.00,0.00,4.00,7.00,4.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2175193,4.00,6.00,2.00,4.00,8.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2175215,2.00,7.00,1.00,5.00,6.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2175223,4.00,8.00,6.00,6.00,8.00,4.50,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2175231,1.00,6.00,1.00,6.00,7.00,3.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2175240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2175258,4.00,7.00,3.00,0.00,6.00,7.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2175266,6.00,8.00,8.00,10.00,9.00,7.75,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2175282,5.00,8.00,7.00,9.00,9.00,8.75,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2175290,3.00,5.00,4.00,4.00,7.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2175304,5.00,8.00,5.00,8.00,7.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2175312,3.00,4.00,5.00,6.00,7.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2175320,4.00,7.00,5.00,5.00,7.00,4.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2175339,4.00,7.00,8.00,6.00,9.00,5.50,9.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2175355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2175363,3.00,7.00,5.00,7.00,6.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2175371,2.00,3.00,0.00,3.00,5.00,6.25,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2175380,1.00,3.00,2.00,2.00,4.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'S'),(15,2175398,4.00,7.00,5.00,4.00,7.00,4.25,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2175401,2.00,6.00,5.00,2.00,4.00,3.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2175410,4.00,5.00,1.00,3.00,5.00,0.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2175428,6.00,9.00,8.00,9.00,7.00,6.25,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2175436,5.00,4.00,2.00,7.00,6.00,5.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2175452,2.00,4.00,2.00,4.00,7.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2175460,3.00,8.00,5.00,7.00,6.00,5.25,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2175479,2.00,8.00,3.00,6.00,8.00,6.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2175487,7.00,8.00,8.00,7.00,6.00,6.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2175495,2.00,7.00,3.00,5.00,2.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2175509,1.00,8.00,2.00,9.00,6.00,6.25,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2175517,4.00,4.00,4.00,6.00,5.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2175525,0.00,3.00,1.00,0.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2175533,3.00,6.00,4.00,5.00,8.00,5.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2175550,5.00,6.00,2.00,4.00,6.00,6.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2175568,1.00,6.00,1.00,2.00,7.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2175576,1.00,7.00,3.00,8.00,6.00,4.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2175584,2.00,5.00,2.00,5.00,5.00,5.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2175592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2175606,2.00,4.00,3.00,4.00,4.00,4.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2175622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2175649,0.00,5.00,1.00,2.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2175665,6.00,6.00,8.00,5.00,7.00,6.25,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2175673,4.00,6.00,5.00,6.00,8.00,5.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2175690,4.00,7.00,4.00,5.00,6.00,6.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2175703,0.00,5.00,1.00,7.00,6.00,4.25,5.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2175711,3.00,5.00,2.00,2.00,6.00,4.75,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2175720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2175738,5.00,6.00,3.00,1.00,5.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2175746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2175754,3.00,6.00,7.00,9.00,6.00,8.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2175762,1.00,6.00,3.00,9.00,8.00,5.75,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2175770,6.00,8.00,8.00,8.00,9.00,7.25,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2175789,3.00,6.00,0.00,4.00,3.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2175797,5.00,8.00,7.00,9.00,9.00,7.75,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2175800,1.00,6.00,2.00,4.00,4.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2175819,3.00,7.00,2.00,6.00,7.00,2.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2175827,1.00,3.00,2.00,6.00,7.00,7.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2175835,7.00,9.00,8.00,7.00,8.00,7.25,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2175843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2175860,1.00,8.00,3.00,2.00,6.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2175878,6.00,7.00,5.00,3.00,6.00,4.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2175894,1.00,4.00,4.00,4.00,4.00,4.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2175908,3.00,8.00,4.00,4.00,6.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2175916,4.00,1.00,2.00,4.00,4.00,3.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2175924,4.00,9.00,7.00,7.00,8.00,6.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2175932,1.00,6.00,1.00,4.00,6.00,6.75,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2175940,3.00,4.00,5.00,7.00,7.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2175959,5.00,6.00,2.00,5.00,8.00,4.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2175967,1.00,6.00,9.00,7.00,4.00,6.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2175975,2.00,1.00,2.00,0.00,0.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2175983,1.00,3.00,1.00,6.00,4.00,6.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2175991,6.00,8.00,4.00,5.00,9.00,5.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2176009,3.00,7.00,3.00,7.00,6.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2176017,7.00,8.00,9.00,7.00,9.00,9.75,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2176025,4.00,7.00,8.00,8.00,8.00,5.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2176033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2176041,0.00,3.00,1.00,2.00,3.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2176050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2176068,6.00,7.00,5.00,8.00,7.00,7.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2176076,4.00,5.00,4.00,4.00,6.00,3.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2176084,3.00,6.00,5.00,4.00,7.00,3.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2176092,2.00,5.00,1.00,2.00,6.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2176106,4.00,9.00,6.00,9.00,8.00,6.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2176114,4.00,3.00,0.00,4.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2176122,2.00,6.00,2.00,2.00,7.00,4.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2176149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2176173,1.00,4.00,1.00,4.00,7.00,4.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2176181,4.00,6.00,5.00,4.00,8.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2176203,3.00,5.00,3.00,6.00,6.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2176211,2.00,7.00,5.00,5.00,7.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2176220,6.00,8.00,6.00,8.00,7.00,3.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2176238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2176246,6.00,6.00,5.00,5.00,7.00,6.50,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2176254,7.00,8.00,6.00,5.00,8.00,6.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2176262,0.00,6.00,3.00,1.00,4.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2176270,1.00,5.00,1.00,2.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2176297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2176300,7.00,8.00,5.00,8.00,7.00,5.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2176319,3.00,7.00,2.00,6.00,7.00,5.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2176327,5.00,5.00,6.00,6.00,7.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2176335,5.00,8.00,4.00,1.00,9.00,5.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2176343,1.00,7.00,2.00,3.00,6.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2176351,2.00,7.00,6.00,7.00,5.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2176360,1.00,5.00,4.00,3.00,6.00,4.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2176378,7.00,5.00,7.00,5.00,7.00,5.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2176394,5.00,7.00,1.00,5.00,7.00,3.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2176416,5.00,5.00,8.00,7.00,6.00,5.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2176424,2.00,6.00,3.00,5.00,8.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2176432,6.00,8.00,2.00,7.00,6.00,5.75,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2176440,3.00,5.00,5.00,7.00,8.00,5.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2176459,5.00,8.00,7.00,8.00,9.00,4.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2176467,1.00,4.00,2.00,6.00,6.00,4.50,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2176475,5.00,6.00,6.00,5.00,4.00,6.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2176483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2176491,6.00,3.00,4.00,0.00,4.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2176505,3.00,8.00,4.00,2.00,7.00,7.25,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2176513,6.00,8.00,7.00,7.00,8.00,8.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2176521,3.00,6.00,4.00,6.00,6.00,5.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2176530,1.00,7.00,3.00,5.00,7.00,3.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2176548,1.00,6.00,2.00,6.00,5.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2176556,4.00,7.00,3.00,7.00,7.00,5.00,6.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2176564,5.00,6.00,5.00,5.00,7.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2176580,1.00,3.00,3.00,2.00,5.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2176599,2.00,2.00,1.00,4.00,5.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2176602,3.00,8.00,3.00,5.00,6.00,4.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2176610,5.00,6.00,4.00,5.00,8.00,6.50,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2176629,3.00,6.00,4.00,5.00,5.00,5.50,9.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2176637,2.00,4.00,0.00,1.00,6.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2176661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2176670,4.00,5.00,7.00,6.00,6.00,5.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2176688,4.00,7.00,2.00,6.00,7.00,5.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2176696,5.00,6.00,4.00,7.00,5.00,5.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2176700,2.00,6.00,6.00,8.00,4.00,3.50,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2176718,1.00,2.00,4.00,6.00,5.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2176734,0.00,6.00,1.00,4.00,2.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2176742,3.00,4.00,1.00,0.00,6.00,4.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2176750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2176769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2176777,7.00,7.00,5.00,6.00,6.00,4.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2176785,2.00,5.00,3.00,2.00,6.00,5.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2176793,5.00,8.00,2.00,7.00,8.00,5.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2176807,3.00,5.00,4.00,7.00,7.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2176815,1.00,8.00,5.00,8.00,7.00,7.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2176831,6.00,6.00,5.00,3.00,5.00,7.00,8.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2176840,2.00,3.00,1.00,6.00,7.00,6.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2176858,3.00,6.00,2.00,3.00,7.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2176866,5.00,8.00,6.00,7.00,6.00,6.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2176874,6.00,8.00,7.00,7.00,8.00,5.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2176882,2.00,5.00,3.00,3.00,6.00,5.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2176890,5.00,7.00,4.00,8.00,7.00,7.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2176904,3.00,6.00,3.00,6.00,4.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2176912,1.00,3.00,3.00,1.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2176920,5.00,6.00,6.00,6.00,6.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2176939,3.00,7.00,6.00,8.00,8.00,5.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2176947,2.00,7.00,3.00,4.00,4.00,6.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2176955,2.00,6.00,4.00,5.00,6.00,5.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2176963,0.00,6.00,3.00,2.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2176971,4.00,7.00,3.00,2.00,6.00,5.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2176980,2.00,5.00,2.00,5.00,5.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2176998,7.00,8.00,9.00,8.00,8.00,6.50,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2177005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2177013,8.00,8.00,8.00,8.00,9.00,7.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2177021,4.00,9.00,5.00,8.00,9.00,6.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2177030,3.00,6.00,1.00,2.00,5.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2177056,6.00,5.00,3.00,5.00,5.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2177064,1.00,7.00,3.00,6.00,5.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2177072,4.00,8.00,5.00,7.00,9.00,6.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2177080,2.00,7.00,7.00,5.00,6.00,6.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2177099,2.00,7.00,4.00,5.00,5.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2177110,2.00,4.00,1.00,3.00,5.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2177129,1.00,8.00,1.00,0.00,7.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2177137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2177145,5.00,7.00,5.00,8.00,8.00,5.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2177153,2.00,4.00,6.00,4.00,7.00,4.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2177170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2177196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2177200,4.00,7.00,8.00,6.00,8.00,6.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2177218,4.00,7.00,7.00,6.00,7.00,5.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2177234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2177250,4.00,8.00,7.00,5.00,7.00,5.25,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2177269,7.00,7.00,7.00,7.00,7.00,5.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2177277,2.00,4.00,1.00,3.00,4.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2177285,3.00,9.00,4.00,7.00,8.00,7.75,5.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2177293,3.00,4.00,3.00,5.00,8.00,6.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2177307,3.00,2.00,1.00,2.00,4.00,NULL,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2177323,5.00,6.00,4.00,7.00,8.00,7.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2177331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2177340,3.00,9.00,6.00,5.00,8.00,4.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2177358,2.00,9.00,8.00,8.00,9.00,4.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2177366,5.00,8.00,5.00,6.00,7.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2177382,5.00,8.00,5.00,7.00,8.00,7.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2177390,2.00,4.00,4.00,5.00,7.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2177404,2.00,2.00,3.00,0.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2177412,3.00,5.00,3.00,4.00,7.00,5.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2177420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2177439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2177455,8.00,8.00,9.00,8.00,8.00,7.00,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2177463,2.00,5.00,6.00,3.00,5.00,5.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2177480,4.00,8.00,7.00,6.00,6.00,6.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2177498,4.00,3.00,4.00,1.00,7.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2177501,2.00,4.00,1.00,3.00,7.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2177510,5.00,5.00,3.00,3.00,6.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2177528,2.00,6.00,0.00,5.00,5.00,5.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2177536,3.00,8.00,5.00,6.00,6.00,7.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2177552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2177560,4.00,5.00,7.00,3.00,7.00,6.25,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2177579,2.00,7.00,1.00,4.00,6.00,5.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2177587,3.00,6.00,3.00,0.00,6.00,NULL,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2177595,4.00,6.00,3.00,7.00,7.00,7.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2177609,4.00,6.00,3.00,3.00,6.00,7.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2177617,5.00,6.00,4.00,6.00,6.00,4.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2177625,5.00,9.00,4.00,6.00,9.00,5.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2177633,2.00,7.00,4.00,6.00,2.00,NULL,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2177641,2.00,7.00,4.00,5.00,6.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2177650,4.00,7.00,8.00,6.00,7.00,5.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2177668,7.00,8.00,4.00,6.00,9.00,6.00,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2177676,5.00,8.00,5.00,7.00,8.00,6.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2177684,1.00,7.00,2.00,4.00,6.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2177706,3.00,7.00,4.00,5.00,6.00,7.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2177714,5.00,8.00,6.00,7.00,7.00,6.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2177722,8.00,7.00,6.00,6.00,8.00,7.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2177749,2.00,7.00,1.00,4.00,3.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2177757,1.00,8.00,4.00,6.00,5.00,5.25,7.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2177765,5.00,6.00,2.00,7.00,7.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2177773,4.00,8.00,4.00,3.00,6.00,5.25,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2177790,4.00,3.00,3.00,5.00,6.00,4.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2177803,3.00,2.00,4.00,2.00,8.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2177811,5.00,7.00,3.00,1.00,6.00,3.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2177820,5.00,7.00,8.00,7.00,7.00,8.00,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2177838,2.00,3.00,4.00,0.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2177846,6.00,8.00,6.00,10.00,7.00,4.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2177854,5.00,7.00,5.00,6.00,8.00,6.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2177900,3.00,5.00,1.00,4.00,6.00,6.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2177919,5.00,6.00,7.00,8.00,5.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2177927,1.00,2.00,2.00,3.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2177935,3.00,7.00,3.00,1.00,6.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2177943,5.00,5.00,2.00,6.00,8.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2177951,2.00,6.00,4.00,7.00,7.00,7.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2177960,6.00,5.00,4.00,6.00,6.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2177986,5.00,7.00,5.00,1.00,8.00,7.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2178001,1.00,4.00,5.00,8.00,7.00,6.25,5.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2178010,6.00,6.00,5.00,6.00,6.00,7.00,5.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2178028,5.00,7.00,3.00,6.00,9.00,5.75,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2178036,6.00,9.00,8.00,9.00,7.00,7.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2178044,4.00,8.00,5.00,6.00,7.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2178052,6.00,8.00,9.00,6.00,8.00,4.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2178060,3.00,7.00,6.00,2.00,6.00,4.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2178079,4.00,7.00,1.00,4.00,7.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2178087,4.00,7.00,1.00,5.00,8.00,6.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2178095,1.00,4.00,2.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2178109,2.00,6.00,0.00,7.00,7.00,5.50,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2178117,3.00,4.00,0.00,2.00,3.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2178125,3.00,8.00,4.00,6.00,7.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2178133,4.00,7.00,4.00,7.00,6.00,6.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2178141,3.00,3.00,3.00,5.00,4.00,5.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2178150,3.00,7.00,4.00,6.00,6.00,4.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2178168,0.00,6.00,4.00,6.00,6.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2178176,1.00,7.00,1.00,1.00,3.00,2.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2178192,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2178206,3.00,8.00,5.00,7.00,4.00,3.75,6.00,7.00,2.00,NULL,NULL,NULL,'S'),(15,2178214,2.00,4.00,2.00,3.00,5.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2178222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2178230,1.00,5.00,3.00,5.00,6.00,7.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2178257,5.00,7.00,7.00,8.00,9.00,6.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2178265,6.00,7.00,3.00,6.00,8.00,5.50,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2178273,1.00,7.00,4.00,7.00,5.00,5.50,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2178281,4.00,5.00,1.00,4.00,8.00,4.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2178290,5.00,5.00,5.00,5.00,7.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2178303,2.00,7.00,2.00,5.00,5.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(15,2178320,1.00,4.00,3.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2178338,5.00,7.00,5.00,9.00,6.00,6.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2178346,7.00,6.00,8.00,7.00,7.00,5.00,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2178354,1.00,7.00,4.00,6.00,4.00,5.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2178362,1.00,5.00,1.00,1.00,5.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2178370,1.00,7.00,3.00,5.00,7.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2178389,5.00,7.00,4.00,1.00,4.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2178397,2.00,7.00,2.00,8.00,8.00,7.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2178400,4.00,3.00,4.00,3.00,5.00,6.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2178419,4.00,7.00,3.00,4.00,8.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2178427,5.00,7.00,5.00,6.00,9.00,6.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2178435,2.00,2.00,2.00,1.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2178443,2.00,4.00,0.00,3.00,2.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2178451,7.00,7.00,8.00,8.00,7.00,5.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2178460,7.00,7.00,8.00,6.00,8.00,7.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2178478,4.00,8.00,8.00,6.00,8.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2178486,1.00,7.00,3.00,9.00,8.00,7.00,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2178494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2178508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2178516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2178524,4.00,9.00,7.00,9.00,7.00,6.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2178532,3.00,6.00,3.00,3.00,8.00,6.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2178540,1.00,6.00,4.00,7.00,7.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2178559,3.00,5.00,3.00,6.00,7.00,6.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2178575,6.00,7.00,4.00,5.00,7.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2178583,1.00,6.00,2.00,1.00,6.00,5.25,6.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2178591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2178605,0.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(15,2178613,4.00,6.00,4.00,8.00,9.00,6.50,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2178621,2.00,7.00,2.00,6.00,7.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2178630,4.00,7.00,4.00,6.00,6.00,6.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2178664,4.00,8.00,4.00,7.00,9.00,4.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2178672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2178680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2178699,4.00,4.00,1.00,4.00,7.00,6.50,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2178702,5.00,7.00,7.00,8.00,7.00,5.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2178710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2178729,6.00,8.00,7.00,8.00,8.00,7.00,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2178737,2.00,2.00,3.00,4.00,7.00,3.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2178745,1.00,6.00,6.00,4.00,7.00,6.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2178753,5.00,6.00,5.00,5.00,8.00,4.75,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2178761,5.00,7.00,5.00,8.00,5.00,5.75,8.00,7.00,6.00,NULL,NULL,NULL,'S'),(15,2178770,3.00,6.00,4.00,2.00,7.00,5.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2178788,4.00,9.00,5.00,7.00,6.00,4.50,6.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2178800,5.00,8.00,5.00,4.00,8.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2178818,4.00,6.00,3.00,6.00,7.00,6.25,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2178826,3.00,5.00,4.00,1.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2178834,4.00,8.00,9.00,7.00,7.00,5.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2178850,5.00,5.00,4.00,2.00,6.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2178869,3.00,8.00,3.00,5.00,7.00,6.25,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2178877,0.00,4.00,1.00,7.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2178885,8.00,8.00,9.00,8.00,9.00,5.25,9.00,9.00,9.00,NULL,NULL,NULL,'N'),(15,2178893,4.00,8.00,2.00,4.00,7.00,5.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2178907,1.00,4.00,4.00,1.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2178915,4.00,7.00,8.00,5.00,8.00,5.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2178923,0.00,0.00,2.00,0.00,1.00,NULL,4.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2178931,5.00,8.00,5.00,6.00,9.00,7.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2178940,4.00,6.00,6.00,8.00,8.00,6.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2178958,6.00,8.00,8.00,6.00,9.00,5.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2178966,3.00,3.00,4.00,5.00,5.00,6.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2179008,3.00,4.00,0.00,7.00,4.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2179016,2.00,4.00,0.00,2.00,2.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2179024,2.00,4.00,3.00,4.00,5.00,3.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2179040,3.00,7.00,6.00,7.00,7.00,5.50,7.00,8.00,3.00,NULL,NULL,NULL,'S'),(15,2179059,3.00,6.00,2.00,8.00,7.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2179067,5.00,6.00,3.00,7.00,8.00,5.25,6.00,8.00,3.00,NULL,NULL,NULL,'S'),(15,2179075,1.00,6.00,4.00,6.00,7.00,3.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2179083,7.00,8.00,7.00,6.00,6.00,7.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2179091,7.00,7.00,5.00,7.00,8.00,7.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2179105,1.00,7.00,2.00,1.00,4.00,5.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2179113,7.00,8.00,9.00,7.00,8.00,6.25,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2179121,3.00,7.00,7.00,7.00,8.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2179130,0.00,3.00,0.00,0.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2179148,2.00,5.00,4.00,2.00,4.00,3.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2179156,6.00,8.00,8.00,9.00,8.00,3.00,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2179164,2.00,6.00,2.00,3.00,4.00,3.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2179172,5.00,4.00,6.00,5.00,8.00,4.50,7.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2179180,6.00,5.00,5.00,6.00,6.00,6.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2179199,4.00,4.00,4.00,3.00,7.00,5.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2179202,1.00,6.00,2.00,0.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2179210,5.00,8.00,9.00,8.00,8.00,5.00,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2179229,4.00,7.00,3.00,5.00,6.00,5.50,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2179237,1.00,1.00,1.00,4.00,5.00,NULL,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2179245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2179253,3.00,4.00,3.00,4.00,5.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2179261,4.00,5.00,1.00,1.00,5.00,2.50,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2179270,1.00,7.00,6.00,8.00,8.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2179288,7.00,8.00,4.00,7.00,8.00,5.25,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2179296,3.00,6.00,4.00,4.00,3.00,3.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2179300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2179318,3.00,5.00,1.00,2.00,5.00,4.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2179326,5.00,6.00,7.00,6.00,8.00,5.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2179334,4.00,6.00,7.00,5.00,8.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2179342,2.00,3.00,6.00,4.00,7.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2179350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2179369,5.00,9.00,6.00,8.00,9.00,6.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2179377,2.00,7.00,4.00,6.00,6.00,5.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2179393,4.00,5.00,7.00,5.00,4.00,3.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2179407,1.00,8.00,6.00,6.00,8.00,6.50,9.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2179415,4.00,9.00,4.00,9.00,4.00,6.25,7.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2179423,1.00,7.00,2.00,6.00,3.00,3.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2179431,3.00,9.00,6.00,7.00,7.00,6.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2179440,4.00,7.00,4.00,6.00,7.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2179458,5.00,5.00,6.00,6.00,8.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2179466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2179474,3.00,8.00,5.00,6.00,6.00,6.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2179482,4.00,8.00,5.00,7.00,6.00,6.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2179490,6.00,9.00,7.00,9.00,7.00,5.75,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2179504,2.00,6.00,4.00,8.00,6.00,6.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2179512,6.00,6.00,4.00,5.00,7.00,4.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2179520,0.00,6.00,3.00,0.00,5.00,4.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2179539,3.00,7.00,7.00,6.00,8.00,5.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2179547,2.00,3.00,4.00,1.00,5.00,6.00,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2179555,3.00,6.00,3.00,3.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2179563,3.00,5.00,7.00,3.00,7.00,6.25,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2179571,5.00,8.00,6.00,2.00,7.00,3.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2179598,3.00,8.00,4.00,3.00,7.00,5.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2179601,7.00,7.00,6.00,4.00,8.00,7.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2179610,2.00,4.00,3.00,6.00,6.00,3.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2179628,2.00,7.00,6.00,3.00,7.00,3.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2179636,5.00,8.00,7.00,5.00,7.00,6.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2179644,8.00,9.00,10.00,9.00,9.00,5.25,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2179652,6.00,4.00,7.00,8.00,7.00,6.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2179660,3.00,5.00,7.00,6.00,8.00,5.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2179679,1.00,5.00,1.00,7.00,6.00,6.50,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2179687,5.00,6.00,4.00,9.00,6.00,6.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2179695,6.00,7.00,5.00,6.00,6.00,4.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2179709,6.00,8.00,7.00,7.00,9.00,4.50,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2179717,1.00,7.00,2.00,5.00,6.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2179725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2179733,7.00,8.00,8.00,7.00,8.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2179741,2.00,4.00,0.00,0.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2179750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2179768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2179776,3.00,3.00,1.00,3.00,4.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2179792,4.00,6.00,5.00,5.00,2.00,NULL,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2179806,4.00,6.00,4.00,3.00,8.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2179814,3.00,8.00,3.00,4.00,5.00,5.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2179822,1.00,6.00,2.00,5.00,5.00,5.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2179830,4.00,8.00,5.00,4.00,7.00,6.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2179849,7.00,7.00,8.00,9.00,8.00,5.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2179857,2.00,2.00,2.00,2.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2179865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2179873,3.00,6.00,1.00,4.00,4.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2179881,5.00,8.00,7.00,4.00,7.00,4.75,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2179890,7.00,9.00,9.00,9.00,9.00,6.75,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2179903,1.00,3.00,2.00,0.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2179911,7.00,8.00,7.00,5.00,3.00,3.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2179920,0.00,6.00,3.00,2.00,5.00,5.25,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2179938,4.00,3.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2179946,1.00,5.00,1.00,2.00,4.00,4.00,6.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2179954,2.00,7.00,1.00,4.00,7.00,6.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2179962,1.00,6.00,6.00,4.00,6.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2179970,4.00,6.00,3.00,6.00,8.00,6.25,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2179989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2179997,4.00,7.00,7.00,5.00,6.00,4.25,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2180006,1.00,5.00,0.00,4.00,4.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2180014,3.00,8.00,4.00,5.00,6.00,5.00,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2180022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2180030,0.00,5.00,5.00,2.00,7.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2180049,7.00,8.00,3.00,5.00,7.00,7.25,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2180057,3.00,7.00,2.00,8.00,6.00,6.50,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2180065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2180073,3.00,6.00,6.00,5.00,8.00,5.50,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2180081,2.00,4.00,1.00,4.00,6.00,3.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2180090,4.00,6.00,4.00,7.00,7.00,4.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2180103,3.00,4.00,4.00,1.00,8.00,3.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2180111,4.00,6.00,1.00,1.00,5.00,NULL,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2180120,4.00,6.00,6.00,3.00,4.00,3.50,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2180138,5.00,8.00,6.00,8.00,8.00,6.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2180154,5.00,8.00,8.00,9.00,8.00,6.75,7.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2180162,3.00,5.00,1.00,1.00,5.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2180170,4.00,5.00,1.00,4.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2180189,3.00,7.00,3.00,7.00,7.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2180200,4.00,7.00,8.00,9.00,9.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2180219,5.00,8.00,7.00,5.00,9.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2180227,4.00,9.00,7.00,8.00,9.00,7.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2180243,4.00,7.00,5.00,6.00,5.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2180251,3.00,5.00,5.00,2.00,5.00,3.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2180260,7.00,6.00,9.00,6.00,7.00,6.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2180278,1.00,7.00,3.00,3.00,6.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2180286,3.00,7.00,4.00,7.00,8.00,6.00,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2180294,4.00,3.00,7.00,6.00,6.00,5.50,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2180308,3.00,9.00,6.00,7.00,5.00,5.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2180316,3.00,3.00,2.00,4.00,5.00,6.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2180324,2.00,7.00,1.00,0.00,4.00,NULL,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2180340,6.00,9.00,5.00,7.00,9.00,6.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2180359,3.00,6.00,1.00,6.00,6.00,7.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2180367,1.00,2.00,1.00,4.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2180375,4.00,9.00,6.00,0.00,8.00,NULL,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2180383,5.00,7.00,9.00,9.00,5.00,4.75,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2180391,4.00,8.00,5.00,5.00,7.00,4.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2180405,3.00,3.00,5.00,4.00,5.00,5.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2180421,2.00,3.00,3.00,5.00,4.00,3.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2180430,2.00,5.00,2.00,1.00,5.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2180448,3.00,7.00,2.00,5.00,6.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2180464,4.00,8.00,2.00,6.00,7.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2180472,7.00,7.00,5.00,5.00,6.00,4.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2180480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2180499,3.00,7.00,6.00,2.00,8.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2180502,1.00,7.00,6.00,6.00,7.00,6.25,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2180510,5.00,5.00,6.00,5.00,8.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2180529,1.00,5.00,2.00,2.00,4.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2180545,0.00,3.00,2.00,2.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2180553,4.00,7.00,3.00,8.00,8.00,6.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2180588,2.00,6.00,0.00,5.00,3.00,4.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2180596,1.00,8.00,3.00,5.00,6.00,4.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2180600,4.00,7.00,5.00,9.00,6.00,5.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2180618,8.00,9.00,9.00,7.00,9.00,7.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2180642,1.00,5.00,6.00,8.00,4.00,4.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2180650,2.00,4.00,0.00,4.00,6.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2180669,5.00,8.00,7.00,9.00,9.00,7.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2180677,2.00,6.00,4.00,1.00,5.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2180685,2.00,2.00,3.00,1.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2180693,3.00,5.00,3.00,0.00,5.00,4.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2180707,7.00,6.00,9.00,7.00,8.00,7.25,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2180715,7.00,8.00,8.00,7.00,7.00,5.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2180723,3.00,7.00,7.00,8.00,7.00,7.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2180731,3.00,4.00,4.00,3.00,6.00,7.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2180740,4.00,6.00,2.00,6.00,6.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2180758,9.00,8.00,9.00,10.00,9.00,7.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2180766,6.00,9.00,8.00,7.00,7.00,5.00,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2180774,2.00,6.00,2.00,3.00,4.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2180782,7.00,7.00,8.00,6.00,8.00,6.75,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2180790,4.00,6.00,4.00,4.00,7.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2180804,4.00,6.00,6.00,4.00,4.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2180812,2.00,5.00,5.00,6.00,6.00,6.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2180820,5.00,8.00,6.00,7.00,7.00,5.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2180839,3.00,7.00,5.00,3.00,4.00,4.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2180847,2.00,7.00,8.00,8.00,7.00,3.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2180855,3.00,5.00,5.00,1.00,4.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2180863,2.00,4.00,1.00,0.00,5.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2180871,3.00,5.00,0.00,1.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2180880,5.00,8.00,3.00,7.00,9.00,4.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2180901,5.00,7.00,5.00,7.00,7.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2180928,2.00,4.00,2.00,5.00,6.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2180936,5.00,8.00,5.00,6.00,7.00,5.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2180944,2.00,5.00,0.00,4.00,3.00,4.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2180952,3.00,5.00,1.00,2.00,3.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2180960,3.00,3.00,0.00,6.00,5.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2180979,2.00,6.00,3.00,5.00,3.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2180987,2.00,7.00,5.00,4.00,6.00,4.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2180995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2181002,3.00,4.00,0.00,7.00,5.00,6.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2181010,2.00,8.00,3.00,7.00,7.00,5.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2181037,1.00,6.00,2.00,3.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2181053,4.00,4.00,5.00,2.00,5.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2181061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2181070,4.00,5.00,5.00,8.00,7.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2181088,0.00,7.00,4.00,2.00,4.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2181096,6.00,9.00,6.00,9.00,9.00,7.00,8.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2181100,2.00,8.00,3.00,4.00,6.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2181118,2.00,3.00,4.00,2.00,4.00,0.00,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2181126,6.00,6.00,6.00,3.00,7.00,7.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2181134,5.00,4.00,2.00,5.00,8.00,7.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2181142,4.00,5.00,1.00,4.00,8.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2181150,1.00,6.00,3.00,5.00,5.00,6.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2181169,4.00,8.00,0.00,7.00,6.00,6.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2181177,8.00,8.00,7.00,8.00,8.00,8.25,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2181185,2.00,2.00,3.00,2.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2181193,4.00,6.00,2.00,2.00,7.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2181207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2181215,5.00,8.00,7.00,7.00,7.00,4.75,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2181223,2.00,5.00,3.00,3.00,6.00,3.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2181231,4.00,5.00,2.00,6.00,5.00,7.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2181258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2181266,5.00,8.00,6.00,9.00,8.00,9.00,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2181274,3.00,2.00,2.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2181282,5.00,8.00,8.00,4.00,7.00,7.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2181290,6.00,8.00,5.00,6.00,8.00,6.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2181304,4.00,7.00,6.00,6.00,6.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2181312,2.00,5.00,2.00,2.00,5.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2181320,3.00,6.00,6.00,10.00,5.00,4.75,5.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2181339,4.00,5.00,3.00,6.00,7.00,5.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2181355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2181363,1.00,4.00,3.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2181371,3.00,5.00,2.00,7.00,7.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2181380,4.00,9.00,7.00,5.00,4.00,4.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2181398,9.00,8.00,8.00,7.00,8.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2181401,3.00,6.00,5.00,3.00,5.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2181410,2.00,6.00,3.00,5.00,6.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2181428,4.00,7.00,5.00,5.00,6.00,6.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2181436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2181444,4.00,7.00,7.00,8.00,7.00,4.75,5.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2181452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2181460,3.00,6.00,2.00,5.00,6.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2181479,8.00,5.00,8.00,8.00,9.00,5.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2181487,4.00,7.00,2.00,1.00,5.00,4.25,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2181495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2181509,6.00,8.00,6.00,8.00,7.00,5.00,7.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2181517,4.00,7.00,8.00,5.00,7.00,3.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2181525,5.00,9.00,6.00,7.00,7.00,6.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2181533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2181541,2.00,7.00,3.00,7.00,7.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2181550,5.00,8.00,1.00,3.00,6.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2181576,1.00,2.00,0.00,0.00,0.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2181584,2.00,7.00,4.00,6.00,6.00,6.00,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2181592,5.00,7.00,4.00,6.00,8.00,7.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2181606,2.00,7.00,4.00,5.00,7.00,3.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2181614,5.00,5.00,3.00,5.00,4.00,4.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2181622,0.00,3.00,3.00,4.00,5.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2181630,2.00,4.00,4.00,3.00,7.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2181649,6.00,6.00,7.00,9.00,7.00,6.75,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2181657,4.00,2.00,4.00,2.00,5.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2181665,6.00,8.00,6.00,8.00,9.00,4.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2181673,5.00,7.00,3.00,4.00,7.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2181681,3.00,8.00,1.00,6.00,6.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2181690,4.00,6.00,6.00,8.00,7.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2181703,4.00,8.00,4.00,6.00,6.00,7.00,7.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2181720,2.00,7.00,0.00,8.00,6.00,6.50,3.00,7.00,2.00,NULL,NULL,NULL,'S'),(15,2181738,5.00,7.00,3.00,7.00,7.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2181746,5.00,5.00,8.00,5.00,7.00,8.00,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2181754,3.00,5.00,3.00,5.00,7.00,5.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2181762,2.00,7.00,1.00,8.00,6.00,5.75,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2181770,2.00,8.00,5.00,7.00,8.00,4.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2181789,2.00,5.00,3.00,6.00,5.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2181800,1.00,7.00,3.00,3.00,7.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2181819,5.00,6.00,2.00,6.00,8.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2181827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2181835,4.00,6.00,6.00,5.00,6.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2181843,5.00,7.00,7.00,9.00,7.00,4.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2181851,6.00,5.00,2.00,8.00,8.00,4.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2181878,2.00,6.00,6.00,4.00,5.00,4.00,5.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2181886,6.00,7.00,4.00,7.00,5.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2181894,2.00,5.00,0.00,2.00,6.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2181908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2181916,1.00,2.00,1.00,0.00,7.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2181924,1.00,5.00,4.00,2.00,6.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2181932,7.00,8.00,8.00,5.00,8.00,6.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2181940,4.00,7.00,2.00,3.00,6.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2181959,4.00,6.00,5.00,3.00,4.00,5.00,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2181967,7.00,8.00,7.00,5.00,6.00,6.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2181975,2.00,6.00,2.00,6.00,7.00,7.00,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2181983,4.00,8.00,8.00,7.00,8.00,7.50,9.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2181991,2.00,7.00,4.00,7.00,4.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2182009,0.00,5.00,2.00,6.00,7.00,6.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2182017,1.00,6.00,5.00,4.00,4.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2182025,5.00,8.00,7.00,7.00,5.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2182033,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2182041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2182050,5.00,5.00,2.00,6.00,5.00,4.50,6.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2182068,6.00,7.00,6.00,5.00,8.00,4.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2182076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2182084,6.00,9.00,8.00,4.00,7.00,6.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2182092,4.00,7.00,7.00,6.00,7.00,5.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2182106,5.00,5.00,2.00,7.00,7.00,7.00,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2182114,9.00,9.00,9.00,8.00,9.00,6.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2182122,5.00,6.00,6.00,5.00,8.00,7.00,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2182130,4.00,6.00,3.00,9.00,8.00,6.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2182149,2.00,5.00,4.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2182157,1.00,6.00,4.00,7.00,7.00,6.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2182165,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2182173,3.00,8.00,6.00,7.00,9.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2182181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2182190,3.00,3.00,2.00,0.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2182203,6.00,7.00,7.00,4.00,6.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2182211,6.00,9.00,3.00,6.00,6.00,6.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2182238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2182246,0.00,4.00,2.00,6.00,5.00,4.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2182254,6.00,6.00,5.00,4.00,7.00,6.50,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2182262,6.00,4.00,6.00,7.00,9.00,7.00,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2182270,3.00,6.00,5.00,5.00,5.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2182289,6.00,7.00,8.00,7.00,7.00,6.75,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2182297,3.00,7.00,4.00,7.00,8.00,6.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2182300,3.00,7.00,3.00,7.00,6.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2182319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2182327,5.00,9.00,5.00,7.00,8.00,7.00,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2182343,2.00,6.00,2.00,6.00,6.00,5.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2182351,0.00,5.00,2.00,4.00,5.00,5.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2182378,4.00,6.00,2.00,3.00,7.00,6.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2182386,4.00,8.00,2.00,6.00,8.00,6.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2182394,4.00,2.00,3.00,4.00,3.00,5.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2182408,4.00,5.00,4.00,7.00,6.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2182416,8.00,7.00,7.00,7.00,8.00,6.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2182424,6.00,6.00,6.00,5.00,7.00,5.00,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2182432,7.00,9.00,4.00,6.00,6.00,5.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2182440,0.00,4.00,1.00,1.00,5.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2182459,3.00,7.00,5.00,5.00,7.00,6.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2182467,3.00,8.00,2.00,6.00,8.00,4.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2182483,5.00,7.00,6.00,8.00,7.00,5.00,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2182491,8.00,9.00,8.00,8.00,8.00,6.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2182505,4.00,6.00,3.00,1.00,7.00,5.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2182513,5.00,7.00,7.00,5.00,5.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2182521,4.00,6.00,4.00,8.00,7.00,6.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2182530,9.00,8.00,5.00,6.00,9.00,5.75,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2182548,7.00,7.00,6.00,6.00,8.00,5.00,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2182556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2182564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2182572,5.00,8.00,4.00,7.00,8.00,6.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2182580,4.00,7.00,2.00,5.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2182599,1.00,5.00,2.00,6.00,6.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2182602,4.00,7.00,4.00,6.00,6.00,6.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2182610,5.00,6.00,4.00,4.00,6.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2182629,7.00,8.00,6.00,8.00,8.00,4.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2182637,3.00,7.00,2.00,5.00,5.00,4.00,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2182645,8.00,9.00,9.00,8.00,8.00,5.50,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2182653,7.00,9.00,9.00,7.00,7.00,6.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2182661,3.00,5.00,3.00,6.00,5.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2182670,4.00,8.00,5.00,5.00,6.00,6.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2182688,4.00,3.00,1.00,2.00,3.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2182696,2.00,5.00,1.00,2.00,5.00,4.75,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2182700,3.00,4.00,2.00,6.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2182718,5.00,6.00,7.00,6.00,7.00,7.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2182726,3.00,5.00,3.00,5.00,7.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2182734,1.00,2.00,2.00,3.00,3.00,3.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2182742,3.00,7.00,5.00,3.00,8.00,7.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2182750,4.00,8.00,6.00,5.00,6.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2182769,2.00,6.00,5.00,5.00,9.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2182777,4.00,7.00,8.00,4.00,7.00,8.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2182785,3.00,6.00,4.00,3.00,9.00,6.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2182793,6.00,7.00,7.00,9.00,8.00,7.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2182807,2.00,7.00,1.00,5.00,6.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2182815,3.00,5.00,7.00,7.00,4.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2182823,4.00,8.00,3.00,6.00,6.00,5.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2182831,2.00,6.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2182840,4.00,6.00,8.00,7.00,8.00,6.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2182858,4.00,7.00,7.00,4.00,7.00,5.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2182866,4.00,6.00,6.00,6.00,7.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2182874,0.00,5.00,5.00,4.00,6.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2182882,1.00,2.00,2.00,3.00,1.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2182890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2182904,3.00,3.00,2.00,6.00,6.00,4.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2182912,2.00,6.00,3.00,5.00,6.00,6.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2182920,8.00,7.00,6.00,8.00,7.00,4.50,8.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2182939,6.00,8.00,8.00,7.00,9.00,5.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2182947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2182955,4.00,5.00,5.00,1.00,8.00,5.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2182963,2.00,2.00,1.00,3.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2182971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2182998,2.00,6.00,1.00,5.00,5.00,5.75,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2183005,2.00,6.00,6.00,8.00,9.00,6.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2183013,2.00,6.00,1.00,4.00,2.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2183021,3.00,6.00,2.00,4.00,5.00,4.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2183030,4.00,8.00,9.00,7.00,4.00,7.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2183048,3.00,5.00,4.00,5.00,6.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2183056,4.00,8.00,4.00,6.00,9.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2183072,1.00,4.00,4.00,4.00,6.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2183080,3.00,4.00,0.00,2.00,5.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2183099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2183102,3.00,5.00,5.00,1.00,8.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2183110,0.00,5.00,3.00,4.00,4.00,2.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2183129,2.00,7.00,1.00,5.00,4.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2183137,4.00,9.00,6.00,5.00,7.00,7.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2183145,3.00,6.00,0.00,4.00,5.00,4.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2183153,5.00,8.00,5.00,7.00,8.00,6.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2183161,3.00,6.00,5.00,4.00,7.00,5.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2183170,4.00,4.00,5.00,5.00,5.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2183188,4.00,8.00,9.00,6.00,9.00,6.75,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2183196,3.00,6.00,3.00,7.00,4.00,4.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2183226,4.00,6.00,6.00,4.00,8.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2183234,2.00,6.00,6.00,5.00,6.00,4.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2183242,3.00,6.00,3.00,5.00,5.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2183250,3.00,6.00,2.00,6.00,6.00,5.25,5.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2183277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2183285,1.00,1.00,0.00,2.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2183293,4.00,7.00,3.00,9.00,7.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2183315,2.00,3.00,1.00,1.00,3.00,4.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2183323,1.00,5.00,2.00,1.00,3.00,3.00,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2183331,2.00,3.00,4.00,0.00,0.00,NULL,0.00,0.00,0.00,'S',NULL,'S','N'),(15,2183340,3.00,8.00,3.00,3.00,7.00,4.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2183358,3.00,6.00,8.00,9.00,6.00,4.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2183366,6.00,8.00,3.00,6.00,6.00,6.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2183374,1.00,6.00,1.00,1.00,7.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2183382,2.00,8.00,2.00,3.00,8.00,3.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2183390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2183404,4.00,6.00,4.00,7.00,8.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2183412,5.00,8.00,5.00,6.00,7.00,6.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2183420,3.00,9.00,5.00,5.00,8.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2183439,5.00,8.00,5.00,9.00,7.00,7.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2183447,3.00,7.00,6.00,5.00,7.00,6.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2183455,4.00,8.00,1.00,5.00,9.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2183463,6.00,8.00,6.00,7.00,8.00,4.75,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2183471,4.00,5.00,5.00,6.00,7.00,3.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2183480,5.00,7.00,3.00,7.00,6.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2183498,6.00,7.00,6.00,5.00,7.00,4.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2183501,1.00,3.00,1.00,2.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2183510,2.00,5.00,1.00,3.00,4.00,4.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2183528,1.00,5.00,3.00,1.00,5.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2183536,5.00,7.00,5.00,5.00,8.00,7.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2183544,6.00,8.00,7.00,4.00,6.00,5.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2183552,8.00,8.00,5.00,9.00,7.00,6.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2183579,7.00,8.00,7.00,9.00,8.00,6.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2183587,9.00,7.00,8.00,9.00,9.00,6.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2183609,3.00,7.00,3.00,4.00,7.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2183617,2.00,6.00,8.00,9.00,6.00,3.50,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2183625,5.00,9.00,6.00,4.00,7.00,5.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2183633,5.00,8.00,5.00,7.00,8.00,6.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2183641,3.00,8.00,2.00,7.00,8.00,6.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2183650,3.00,9.00,6.00,7.00,7.00,7.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2183668,5.00,8.00,5.00,6.00,7.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2183676,2.00,5.00,0.00,8.00,7.00,8.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2183684,5.00,8.00,5.00,9.00,8.00,6.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2183706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2183714,3.00,6.00,3.00,6.00,8.00,7.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2183722,4.00,8.00,6.00,9.00,8.00,5.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2183730,4.00,5.00,6.00,4.00,4.00,4.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2183749,6.00,8.00,9.00,7.00,8.00,5.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2183757,4.00,7.00,7.00,6.00,7.00,5.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2183765,4.00,7.00,8.00,4.00,8.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2183773,5.00,6.00,6.00,7.00,6.00,6.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2183781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2183790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2183803,1.00,3.00,1.00,2.00,4.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2183811,3.00,7.00,7.00,6.00,6.00,6.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2183820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2183838,3.00,7.00,6.00,7.00,9.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2183854,1.00,4.00,2.00,4.00,3.00,3.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2183862,7.00,5.00,5.00,5.00,7.00,5.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2183870,5.00,6.00,4.00,5.00,7.00,6.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2183889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2183897,4.00,4.00,5.00,2.00,8.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2183900,6.00,8.00,6.00,7.00,8.00,5.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2183927,2.00,4.00,3.00,8.00,7.00,6.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2183935,5.00,9.00,5.00,9.00,8.00,7.00,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2183943,0.00,5.00,2.00,1.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2183951,6.00,6.00,6.00,8.00,7.00,5.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2183960,3.00,6.00,3.00,7.00,7.00,5.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2183978,3.00,6.00,2.00,5.00,4.00,5.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2183986,5.00,7.00,6.00,7.00,6.00,7.00,8.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2183994,4.00,7.00,2.00,7.00,7.00,5.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2184001,5.00,8.00,5.00,7.00,6.00,7.75,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2184010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2184028,5.00,7.00,1.00,5.00,7.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2184036,3.00,5.00,2.00,5.00,7.00,3.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2184044,0.00,8.00,0.00,5.00,4.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2184052,7.00,9.00,9.00,9.00,9.00,6.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2184060,2.00,6.00,2.00,5.00,7.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2184079,4.00,7.00,5.00,9.00,9.00,7.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2184087,5.00,4.00,3.00,3.00,7.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2184095,3.00,6.00,2.00,2.00,5.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2184109,3.00,7.00,2.00,8.00,7.00,5.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2184117,3.00,7.00,7.00,6.00,7.00,5.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2184125,3.00,3.00,4.00,5.00,6.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2184133,3.00,5.00,1.00,6.00,7.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2184141,4.00,6.00,4.00,7.00,6.00,5.75,9.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2184150,3.00,8.00,2.00,1.00,7.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2184176,2.00,5.00,3.00,5.00,7.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2184184,4.00,5.00,6.00,7.00,6.00,3.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2184192,6.00,5.00,4.00,5.00,6.00,8.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2184206,4.00,6.00,1.00,6.00,5.00,4.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2184214,3.00,5.00,2.00,6.00,4.00,4.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2184222,3.00,3.00,2.00,6.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2184230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2184249,5.00,7.00,6.00,0.00,5.00,2.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2184257,1.00,5.00,2.00,5.00,6.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2184265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2184273,0.00,3.00,1.00,5.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2184281,3.00,6.00,3.00,0.00,4.00,2.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2184290,5.00,6.00,6.00,5.00,8.00,6.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2184303,2.00,7.00,1.00,4.00,6.00,5.50,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2184311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2184320,6.00,7.00,3.00,5.00,6.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2184338,0.00,0.00,0.00,2.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2184346,2.00,5.00,2.00,2.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2184362,0.00,1.00,2.00,3.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2184370,2.00,7.00,3.00,7.00,6.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2184389,7.00,6.00,7.00,8.00,8.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2184397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2184400,4.00,6.00,3.00,5.00,4.00,6.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2184419,4.00,7.00,5.00,6.00,8.00,7.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2184427,8.00,7.00,10.00,8.00,7.00,7.00,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2184435,0.00,3.00,1.00,4.00,7.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2184451,4.00,6.00,3.00,3.00,6.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2184460,4.00,6.00,3.00,8.00,7.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2184478,1.00,3.00,2.00,2.00,2.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2184494,4.00,6.00,2.00,4.00,8.00,4.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2184508,3.00,6.00,3.00,0.00,0.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2184516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2184524,2.00,7.00,5.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2184532,2.00,6.00,4.00,4.00,8.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2184540,5.00,7.00,5.00,7.00,6.00,5.25,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2184567,1.00,2.00,2.00,3.00,6.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2184575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2184583,2.00,3.00,1.00,5.00,4.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2184591,5.00,6.00,6.00,4.00,7.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2184613,0.00,3.00,0.00,1.00,2.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2184621,2.00,3.00,2.00,4.00,5.00,3.75,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2184630,6.00,7.00,6.00,4.00,7.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2184648,2.00,5.00,4.00,5.00,4.00,5.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2184656,2.00,6.00,4.00,5.00,8.00,6.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2184664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2184672,3.00,5.00,2.00,5.00,4.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2184680,5.00,8.00,5.00,6.00,7.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2184699,5.00,7.00,2.00,2.00,6.00,5.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2184702,3.00,5.00,2.00,4.00,6.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2184710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2184729,5.00,8.00,8.00,6.00,7.00,5.75,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2184737,3.00,6.00,0.00,6.00,5.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2184745,2.00,6.00,2.00,6.00,5.00,6.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2184753,0.00,2.00,2.00,0.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2184761,5.00,7.00,6.00,8.00,9.00,7.25,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2184770,0.00,8.00,1.00,6.00,6.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2184788,4.00,7.00,6.00,4.00,7.00,5.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2184796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2184800,8.00,7.00,9.00,6.00,8.00,5.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2184826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2184834,7.00,7.00,8.00,0.00,8.00,6.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2184850,7.00,8.00,7.00,8.00,7.00,5.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2184869,4.00,8.00,4.00,4.00,5.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2184877,1.00,4.00,1.00,7.00,6.00,7.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2184885,2.00,2.00,0.00,2.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2184907,1.00,2.00,2.00,4.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2184915,6.00,8.00,5.00,9.00,8.00,6.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2184923,1.00,4.00,1.00,3.00,5.00,4.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2184931,5.00,6.00,2.00,4.00,7.00,6.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2184940,5.00,8.00,6.00,6.00,8.00,5.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2184958,4.00,5.00,3.00,5.00,8.00,6.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2184966,2.00,3.00,3.00,4.00,4.00,4.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2184982,3.00,4.00,4.00,6.00,6.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2184990,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2185008,5.00,7.00,3.00,3.00,6.00,4.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2185016,2.00,5.00,4.00,5.00,7.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2185024,6.00,6.00,8.00,8.00,2.00,NULL,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2185032,2.00,6.00,3.00,7.00,8.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2185040,6.00,5.00,1.00,1.00,6.00,5.50,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2185059,2.00,8.00,4.00,5.00,4.00,4.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2185067,0.00,3.00,2.00,1.00,7.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2185083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2185091,3.00,7.00,4.00,7.00,8.00,7.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2185105,2.00,3.00,0.00,1.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2185113,3.00,7.00,4.00,7.00,7.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2185121,2.00,5.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2185130,2.00,4.00,3.00,1.00,5.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2185156,4.00,7.00,4.00,8.00,7.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2185172,1.00,6.00,2.00,5.00,8.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2185180,6.00,6.00,6.00,8.00,9.00,7.00,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2185199,3.00,1.00,1.00,7.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2185210,4.00,7.00,6.00,2.00,6.00,4.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2185229,2.00,4.00,4.00,4.00,5.00,3.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2185237,4.00,7.00,7.00,9.00,8.00,6.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2185245,4.00,7.00,4.00,5.00,5.00,5.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2185253,1.00,6.00,2.00,7.00,3.00,3.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2185261,1.00,5.00,3.00,3.00,5.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2185270,2.00,6.00,6.00,3.00,7.00,6.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2185288,7.00,7.00,7.00,7.00,7.00,6.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2185296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2185300,3.00,7.00,1.00,4.00,8.00,6.25,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2185318,2.00,4.00,2.00,1.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2185326,1.00,4.00,2.00,0.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2185334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2185342,4.00,8.00,8.00,9.00,7.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2185350,3.00,8.00,4.00,8.00,8.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2185369,3.00,5.00,1.00,5.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2185377,5.00,5.00,6.00,7.00,6.00,4.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2185385,4.00,7.00,1.00,4.00,7.00,6.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2185393,6.00,8.00,4.00,6.00,6.00,5.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2185407,4.00,8.00,3.00,5.00,3.00,6.00,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2185415,0.00,5.00,2.00,3.00,5.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2185423,6.00,7.00,9.00,8.00,8.00,5.00,10.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2185431,4.00,5.00,4.00,5.00,8.00,5.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2185440,3.00,5.00,5.00,9.00,6.00,7.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2185458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2185466,7.00,6.00,5.00,7.00,5.00,7.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2185482,2.00,2.00,1.00,3.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2185490,2.00,6.00,4.00,2.00,4.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2185504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2185512,3.00,5.00,4.00,6.00,5.00,3.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2185520,2.00,4.00,0.00,2.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2185539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2185547,0.00,4.00,0.00,4.00,7.00,4.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2185555,3.00,6.00,4.00,3.00,4.00,4.50,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2185563,3.00,10.00,6.00,7.00,8.00,6.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2185571,5.00,7.00,8.00,7.00,7.00,4.25,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2185580,2.00,6.00,0.00,3.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2185601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2185610,1.00,2.00,1.00,6.00,3.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2185628,3.00,5.00,3.00,6.00,8.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2185636,5.00,6.00,3.00,4.00,6.00,3.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2185644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2185652,1.00,3.00,2.00,4.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2185660,3.00,7.00,3.00,6.00,8.00,7.25,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2185679,3.00,1.00,0.00,2.00,1.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2185687,3.00,4.00,3.00,7.00,7.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2185695,2.00,6.00,1.00,5.00,6.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2185709,5.00,7.00,6.00,4.00,9.00,6.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2185725,8.00,7.00,7.00,5.00,8.00,5.50,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2185733,0.00,3.00,0.00,1.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2185741,4.00,6.00,0.00,5.00,5.00,6.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2185750,3.00,2.00,2.00,4.00,4.00,5.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2185768,3.00,5.00,3.00,5.00,5.00,6.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2185776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2185814,8.00,8.00,6.00,5.00,8.00,5.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2185822,4.00,5.00,5.00,5.00,5.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2185830,2.00,6.00,4.00,5.00,4.00,4.50,5.00,1.00,5.00,NULL,NULL,NULL,'N'),(15,2185849,4.00,7.00,6.00,5.00,7.00,7.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2185857,2.00,3.00,1.00,2.00,7.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2185865,3.00,6.00,2.00,4.00,5.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2185873,5.00,7.00,5.00,5.00,8.00,6.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2185881,5.00,6.00,4.00,8.00,6.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2185903,5.00,7.00,3.00,5.00,5.00,5.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2185911,3.00,7.00,4.00,2.00,8.00,5.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2185938,4.00,6.00,4.00,8.00,8.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2185946,1.00,7.00,3.00,2.00,4.00,6.50,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2185954,5.00,7.00,2.00,4.00,6.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2185962,1.00,5.00,1.00,3.00,5.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2185970,0.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2185989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2185997,4.00,4.00,2.00,2.00,7.00,5.75,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2186004,3.00,5.00,3.00,2.00,4.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2186012,7.00,7.00,7.00,6.00,9.00,4.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2186020,5.00,7.00,3.00,7.00,7.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2186039,2.00,5.00,1.00,0.00,1.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2186047,7.00,8.00,6.00,6.00,7.00,5.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2186055,4.00,9.00,8.00,8.00,7.00,6.75,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2186063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2186071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2186098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2186101,6.00,7.00,7.00,8.00,8.00,6.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2186110,5.00,8.00,6.00,6.00,6.00,6.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2186128,5.00,8.00,7.00,4.00,8.00,6.00,9.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2186136,6.00,6.00,6.00,6.00,8.00,5.25,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2186144,3.00,5.00,4.00,5.00,6.00,6.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2186152,3.00,6.00,5.00,5.00,6.00,7.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2186160,3.00,5.00,3.00,4.00,7.00,2.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2186187,3.00,7.00,4.00,5.00,7.00,7.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2186195,2.00,5.00,3.00,2.00,6.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2186209,8.00,8.00,2.00,6.00,7.00,6.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2186217,3.00,6.00,4.00,5.00,5.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2186225,2.00,6.00,1.00,6.00,8.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2186233,5.00,9.00,5.00,3.00,7.00,6.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2186241,2.00,4.00,1.00,6.00,3.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2186250,7.00,8.00,7.00,3.00,7.00,5.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2186268,1.00,5.00,3.00,8.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2186276,4.00,7.00,2.00,7.00,7.00,3.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2186284,4.00,6.00,3.00,4.00,5.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2186306,2.00,5.00,1.00,3.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2186314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2186322,6.00,9.00,8.00,7.00,8.00,5.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2186330,1.00,4.00,7.00,4.00,7.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2186349,3.00,8.00,2.00,6.00,6.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2186365,7.00,8.00,6.00,9.00,7.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2186373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2186390,5.00,7.00,7.00,7.00,9.00,7.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2186403,2.00,7.00,4.00,5.00,4.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2186411,2.00,7.00,3.00,5.00,7.00,4.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2186420,3.00,8.00,6.00,7.00,7.00,4.50,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2186438,7.00,9.00,6.00,8.00,8.00,7.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2186446,3.00,7.00,3.00,3.00,6.00,3.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2186454,3.00,7.00,3.00,1.00,6.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2186462,5.00,8.00,6.00,7.00,7.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2186470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2186489,2.00,6.00,3.00,2.00,5.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2186497,3.00,4.00,0.00,0.00,4.00,NULL,4.00,0.00,4.00,NULL,NULL,NULL,'N'),(15,2186500,2.00,4.00,1.00,2.00,6.00,4.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2186519,3.00,3.00,1.00,1.00,5.00,5.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2186527,1.00,6.00,1.00,1.00,4.00,6.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2186535,2.00,8.00,4.00,4.00,6.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2186543,6.00,8.00,5.00,6.00,8.00,4.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2186551,1.00,5.00,2.00,3.00,3.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2186560,4.00,7.00,1.00,2.00,7.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2186578,4.00,7.00,6.00,7.00,9.00,5.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2186586,2.00,5.00,2.00,1.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2186594,5.00,4.00,3.00,4.00,4.00,6.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2186608,5.00,8.00,7.00,6.00,6.00,6.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2186616,8.00,9.00,8.00,7.00,9.00,4.75,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2186624,3.00,5.00,4.00,0.00,4.00,4.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2186640,2.00,3.00,0.00,2.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2186675,0.00,7.00,4.00,1.00,7.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2186691,2.00,6.00,0.00,1.00,4.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2186705,2.00,6.00,3.00,6.00,7.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2186713,3.00,5.00,3.00,6.00,8.00,7.25,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2186721,3.00,6.00,1.00,6.00,5.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2186730,3.00,5.00,4.00,7.00,8.00,4.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2186748,4.00,7.00,6.00,8.00,8.00,6.75,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2186756,2.00,1.00,0.00,0.00,0.00,NULL,2.00,3.00,3.00,'S',NULL,NULL,'N'),(15,2186764,4.00,7.00,3.00,0.00,0.00,NULL,6.00,4.00,5.00,'S',NULL,NULL,'N'),(15,2186772,6.00,6.00,6.00,4.00,8.00,4.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2186780,5.00,6.00,7.00,9.00,6.00,5.50,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2186799,1.00,5.00,7.00,5.00,6.00,4.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2186802,5.00,7.00,2.00,7.00,4.00,6.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2186829,5.00,8.00,5.00,8.00,6.00,7.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2186837,3.00,7.00,3.00,8.00,6.00,3.75,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2186853,4.00,3.00,3.00,6.00,5.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2186861,6.00,8.00,8.00,8.00,8.00,6.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2186870,6.00,8.00,5.00,3.00,7.00,7.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2186888,0.00,4.00,1.00,6.00,5.00,6.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2186896,3.00,6.00,4.00,3.00,8.00,3.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2186900,6.00,8.00,1.00,4.00,8.00,4.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2186926,4.00,6.00,5.00,5.00,6.00,4.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2186934,2.00,6.00,5.00,6.00,6.00,7.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2186950,4.00,4.00,2.00,7.00,5.00,4.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2186969,7.00,9.00,9.00,9.00,8.00,5.50,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2186985,3.00,6.00,3.00,6.00,4.00,4.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2186993,8.00,9.00,9.00,5.00,7.00,7.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2187000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2187019,7.00,7.00,7.00,9.00,7.00,4.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2187027,6.00,6.00,8.00,9.00,7.00,5.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2187051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2187060,3.00,5.00,3.00,6.00,6.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2187078,3.00,2.00,2.00,3.00,7.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2187086,8.00,8.00,6.00,8.00,9.00,7.50,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2187094,5.00,8.00,1.00,8.00,7.00,5.50,8.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2187116,3.00,9.00,5.00,5.00,6.00,4.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2187124,5.00,9.00,4.00,7.00,7.00,5.50,7.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2187132,2.00,6.00,4.00,6.00,7.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2187140,3.00,7.00,3.00,1.00,4.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2187159,1.00,4.00,3.00,6.00,3.00,5.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2187167,2.00,4.00,2.00,5.00,6.00,5.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2187175,4.00,6.00,3.00,0.00,5.00,3.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2187183,1.00,5.00,4.00,5.00,6.00,4.75,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2187205,3.00,7.00,2.00,7.00,7.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2187213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2187221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2187230,1.00,4.00,4.00,3.00,6.00,6.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2187248,2.00,5.00,1.00,8.00,7.00,6.00,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2187256,3.00,4.00,0.00,3.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2187264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2187272,5.00,6.00,4.00,6.00,5.00,6.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2187280,3.00,7.00,0.00,2.00,7.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2187299,2.00,7.00,4.00,8.00,7.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2187302,2.00,6.00,3.00,2.00,6.00,5.50,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2187310,3.00,7.00,5.00,8.00,6.00,6.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2187329,3.00,5.00,4.00,2.00,7.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2187337,3.00,3.00,1.00,0.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2187345,5.00,7.00,2.00,6.00,8.00,6.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2187353,4.00,6.00,2.00,8.00,5.00,7.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2187361,3.00,7.00,5.00,6.00,8.00,7.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2187370,3.00,8.00,4.00,5.00,4.00,3.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2187388,4.00,6.00,8.00,6.00,7.00,6.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2187396,5.00,6.00,4.00,3.00,6.00,3.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2187400,6.00,7.00,3.00,9.00,7.00,7.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2187426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2187434,4.00,7.00,7.00,2.00,7.00,8.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2187442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2187450,3.00,6.00,4.00,8.00,6.00,0.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2187469,5.00,7.00,7.00,6.00,7.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2187477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2187485,4.00,6.00,6.00,8.00,7.00,6.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2187493,4.00,6.00,6.00,3.00,9.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2187523,4.00,7.00,2.00,5.00,6.00,5.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2187531,5.00,5.00,3.00,6.00,7.00,5.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2187540,4.00,7.00,7.00,5.00,8.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2187558,1.00,4.00,1.00,2.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2187566,0.00,8.00,2.00,2.00,6.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2187574,4.00,7.00,4.00,9.00,5.00,6.25,4.00,8.00,2.00,NULL,NULL,NULL,'S'),(15,2187582,1.00,7.00,2.00,6.00,4.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2187604,4.00,6.00,4.00,3.00,5.00,3.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2187612,1.00,7.00,2.00,2.00,6.00,5.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2187620,4.00,3.00,1.00,1.00,5.00,3.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2187639,5.00,6.00,5.00,6.00,6.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2187647,4.00,4.00,5.00,5.00,7.00,6.25,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2187655,7.00,8.00,7.00,5.00,7.00,3.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2187663,0.00,5.00,3.00,3.00,5.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2187671,4.00,6.00,3.00,4.00,6.00,6.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2187680,4.00,4.00,3.00,4.00,6.00,5.25,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(15,2187698,3.00,5.00,3.00,3.00,4.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2187701,1.00,4.00,5.00,0.00,3.00,4.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2187710,2.00,6.00,0.00,4.00,5.00,5.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2187728,6.00,8.00,6.00,9.00,9.00,7.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2187736,2.00,6.00,1.00,4.00,6.00,4.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2187744,1.00,5.00,6.00,9.00,8.00,5.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2187752,3.00,3.00,1.00,4.00,3.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2187760,2.00,5.00,2.00,8.00,6.00,5.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2187779,4.00,6.00,2.00,4.00,6.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2187787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2187795,2.00,7.00,2.00,3.00,5.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2187809,2.00,3.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2187817,1.00,5.00,2.00,3.00,5.00,6.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2187825,1.00,6.00,2.00,2.00,6.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2187833,6.00,7.00,9.00,9.00,8.00,6.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2187850,6.00,7.00,7.00,7.00,8.00,6.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2187868,2.00,8.00,6.00,9.00,7.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2187876,1.00,4.00,2.00,0.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2187884,6.00,7.00,7.00,9.00,7.00,8.25,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2187892,6.00,7.00,9.00,9.00,9.00,4.50,9.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2187906,3.00,6.00,5.00,5.00,7.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2187914,5.00,8.00,4.00,8.00,7.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2187922,3.00,7.00,3.00,8.00,6.00,6.00,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2187930,5.00,7.00,8.00,7.00,8.00,7.00,7.00,5.00,7.00,NULL,NULL,NULL,'S'),(15,2187949,1.00,6.00,1.00,2.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2187957,3.00,9.00,4.00,8.00,8.00,6.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2187965,2.00,8.00,5.00,4.00,7.00,8.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2187981,3.00,7.00,5.00,1.00,6.00,3.00,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2188007,1.00,4.00,4.00,2.00,6.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2188015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2188023,3.00,7.00,3.00,9.00,5.00,6.25,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2188031,5.00,8.00,6.00,6.00,6.00,4.75,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2188040,4.00,4.00,2.00,3.00,4.00,5.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2188058,5.00,7.00,4.00,7.00,7.00,6.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2188066,5.00,7.00,4.00,5.00,7.00,5.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2188074,8.00,7.00,6.00,8.00,8.00,5.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2188082,2.00,4.00,3.00,2.00,4.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2188090,3.00,7.00,4.00,5.00,7.00,4.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2188104,3.00,6.00,2.00,2.00,5.00,4.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2188112,3.00,7.00,3.00,1.00,5.00,4.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2188120,0.00,5.00,4.00,6.00,7.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2188139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2188147,6.00,8.00,7.00,7.00,8.00,6.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2188155,5.00,7.00,6.00,9.00,9.00,6.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2188163,2.00,3.00,1.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2188171,1.00,2.00,1.00,1.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2188180,3.00,5.00,3.00,4.00,5.00,5.75,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2188198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2188201,2.00,6.00,5.00,1.00,3.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2188228,3.00,5.00,5.00,2.00,4.00,4.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2188236,1.00,6.00,3.00,7.00,3.00,6.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2188244,2.00,6.00,3.00,4.00,5.00,5.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2188252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2188260,3.00,7.00,8.00,2.00,6.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2188279,1.00,7.00,4.00,2.00,5.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2188287,4.00,5.00,2.00,8.00,7.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2188295,5.00,6.00,4.00,6.00,6.00,4.00,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2188309,3.00,7.00,6.00,5.00,7.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2188317,3.00,7.00,2.00,2.00,7.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2188325,1.00,6.00,4.00,6.00,5.00,5.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2188333,5.00,9.00,5.00,9.00,6.00,6.75,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2188341,2.00,3.00,1.00,1.00,3.00,5.00,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2188350,3.00,5.00,1.00,8.00,4.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2188368,7.00,8.00,9.00,7.00,9.00,7.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2188376,3.00,6.00,7.00,5.00,7.00,5.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2188384,3.00,6.00,3.00,4.00,7.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2188406,3.00,4.00,0.00,4.00,3.00,4.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2188414,6.00,9.00,7.00,9.00,9.00,7.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2188422,4.00,8.00,5.00,7.00,7.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2188430,3.00,6.00,3.00,4.00,5.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2188449,2.00,3.00,2.00,4.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2188457,2.00,3.00,1.00,3.00,7.00,6.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2188465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2188473,2.00,6.00,2.00,2.00,6.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2188481,5.00,7.00,5.00,8.00,8.00,6.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2188490,5.00,8.00,7.00,7.00,7.00,6.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2188503,1.00,8.00,4.00,7.00,6.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2188511,4.00,4.00,5.00,5.00,7.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2188520,2.00,3.00,1.00,1.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2188538,2.00,3.00,3.00,4.00,4.00,4.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2188546,5.00,6.00,4.00,7.00,7.00,4.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2188562,2.00,6.00,3.00,1.00,4.00,2.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2188570,2.00,8.00,6.00,6.00,9.00,5.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2188597,6.00,8.00,5.00,4.00,7.00,7.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2188600,3.00,6.00,1.00,5.00,6.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2188619,0.00,4.00,4.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2188627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2188635,7.00,8.00,4.00,7.00,8.00,5.25,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2188643,3.00,7.00,3.00,6.00,5.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2188651,2.00,5.00,6.00,8.00,6.00,6.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2188660,3.00,6.00,3.00,8.00,6.00,7.00,6.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2188678,3.00,5.00,0.00,0.00,5.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2188686,4.00,7.00,6.00,6.00,8.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2188694,2.00,2.00,4.00,6.00,5.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2188708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2188716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2188724,6.00,7.00,6.00,5.00,8.00,7.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2188732,7.00,8.00,9.00,7.00,8.00,6.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2188740,3.00,7.00,4.00,5.00,8.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2188759,2.00,4.00,3.00,2.00,4.00,5.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2188767,2.00,2.00,2.00,2.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2188775,3.00,6.00,6.00,5.00,6.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2188783,3.00,7.00,5.00,5.00,3.00,6.00,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2188791,6.00,8.00,7.00,7.00,8.00,4.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2188805,5.00,6.00,4.00,6.00,3.00,3.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2188821,2.00,2.00,1.00,0.00,0.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2188830,8.00,9.00,8.00,4.00,8.00,7.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2188848,3.00,5.00,2.00,5.00,5.00,3.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2188856,7.00,8.00,7.00,7.00,8.00,6.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2188864,1.00,7.00,4.00,7.00,6.00,6.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2188872,2.00,7.00,4.00,6.00,5.00,5.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2188880,5.00,8.00,4.00,9.00,8.00,8.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2188899,4.00,6.00,8.00,6.00,7.00,3.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2188902,2.00,7.00,1.00,6.00,6.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2188910,2.00,8.00,5.00,7.00,7.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2188929,0.00,3.00,1.00,2.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2188937,4.00,7.00,5.00,7.00,7.00,7.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2188945,6.00,7.00,5.00,6.00,6.00,5.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2188953,6.00,7.00,7.00,2.00,7.00,5.00,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2188961,4.00,7.00,2.00,1.00,7.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2188970,4.00,6.00,3.00,5.00,5.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2188988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2188996,0.00,3.00,1.00,3.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2189003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2189038,2.00,4.00,2.00,4.00,7.00,3.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2189046,4.00,5.00,7.00,4.00,4.00,4.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2189054,6.00,8.00,7.00,7.00,7.00,6.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2189062,5.00,7.00,8.00,8.00,8.00,6.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2189070,1.00,8.00,0.00,5.00,8.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2189089,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2189100,6.00,6.00,4.00,7.00,8.00,7.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2189119,4.00,5.00,0.00,5.00,8.00,NULL,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2189127,2.00,6.00,2.00,5.00,6.00,3.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2189135,5.00,6.00,7.00,6.00,9.00,7.00,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2189143,4.00,5.00,0.00,4.00,8.00,6.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2189151,0.00,6.00,3.00,3.00,3.00,4.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2189160,2.00,1.00,0.00,0.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2189178,2.00,3.00,1.00,3.00,4.00,5.00,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2189186,6.00,7.00,8.00,8.00,9.00,5.75,9.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2189194,7.00,8.00,7.00,6.00,7.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2189208,3.00,7.00,6.00,4.00,5.00,3.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2189216,5.00,7.00,8.00,8.00,9.00,8.00,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2189224,5.00,4.00,7.00,9.00,8.00,3.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2189232,3.00,8.00,2.00,5.00,8.00,5.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2189240,3.00,7.00,7.00,3.00,7.00,7.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2189267,2.00,4.00,2.00,4.00,3.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2189275,2.00,5.00,3.00,5.00,4.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2189283,0.00,2.00,1.00,2.00,6.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2189291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2189305,3.00,7.00,8.00,6.00,8.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2189313,2.00,6.00,2.00,3.00,7.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2189321,1.00,6.00,0.00,7.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2189330,3.00,7.00,2.00,8.00,7.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2189348,5.00,7.00,7.00,7.00,8.00,6.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2189364,6.00,9.00,4.00,8.00,6.00,6.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2189402,3.00,4.00,2.00,5.00,3.00,3.00,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2189410,5.00,7.00,5.00,7.00,9.00,5.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2189437,4.00,6.00,5.00,8.00,7.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2189445,3.00,7.00,3.00,4.00,6.00,3.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2189453,5.00,8.00,4.00,5.00,7.00,6.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2189461,4.00,5.00,2.00,0.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2189470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2189496,6.00,7.00,4.00,6.00,8.00,4.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2189500,5.00,7.00,7.00,6.00,7.00,6.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2189518,3.00,6.00,1.00,3.00,7.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2189526,4.00,8.00,7.00,4.00,7.00,5.75,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2189542,4.00,8.00,4.00,6.00,7.00,6.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2189569,3.00,6.00,2.00,0.00,7.00,3.75,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2189577,1.00,6.00,4.00,5.00,7.00,8.25,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2189585,4.00,6.00,4.00,6.00,8.00,6.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2189607,5.00,7.00,8.00,7.00,7.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2189615,5.00,6.00,5.00,6.00,6.00,5.25,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2189623,2.00,7.00,4.00,3.00,4.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2189631,6.00,6.00,5.00,6.00,6.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2189640,1.00,5.00,7.00,7.00,7.00,4.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2189658,3.00,4.00,1.00,2.00,5.00,5.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2189666,4.00,5.00,4.00,6.00,6.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2189674,2.00,7.00,3.00,5.00,7.00,7.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2189682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2189690,4.00,5.00,5.00,6.00,4.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2189704,4.00,7.00,5.00,6.00,6.00,5.00,6.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2189712,4.00,8.00,1.00,6.00,6.00,5.50,4.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2189720,7.00,7.00,8.00,6.00,7.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2189739,3.00,5.00,4.00,9.00,7.00,6.25,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2189747,6.00,5.00,4.00,7.00,7.00,7.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2189755,5.00,7.00,7.00,7.00,8.00,5.00,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2189763,0.00,6.00,3.00,1.00,7.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2189771,2.00,5.00,4.00,5.00,7.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2189780,3.00,6.00,4.00,7.00,6.00,6.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2189798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2189801,3.00,4.00,1.00,2.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2189810,2.00,6.00,5.00,4.00,4.00,3.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2189836,2.00,4.00,4.00,3.00,5.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2189844,5.00,7.00,5.00,7.00,7.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2189852,2.00,5.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2189860,1.00,5.00,3.00,4.00,5.00,4.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2189887,2.00,6.00,3.00,5.00,4.00,5.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2189909,5.00,5.00,5.00,6.00,9.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2189917,1.00,5.00,3.00,1.00,6.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2189925,4.00,7.00,6.00,8.00,7.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2189933,2.00,6.00,4.00,3.00,8.00,6.00,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2189950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2189976,7.00,8.00,7.00,5.00,8.00,6.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2189984,3.00,8.00,4.00,5.00,7.00,5.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2189992,3.00,6.00,5.00,4.00,7.00,7.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2190001,3.00,7.00,6.00,7.00,7.00,6.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2190010,4.00,5.00,6.00,2.00,6.00,5.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2190028,1.00,7.00,6.00,8.00,6.00,6.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2190036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2190044,5.00,8.00,9.00,6.00,7.00,6.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2190052,2.00,3.00,0.00,5.00,5.00,4.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2190079,4.00,7.00,5.00,6.00,4.00,5.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2190087,3.00,5.00,2.00,6.00,7.00,5.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2190095,3.00,5.00,2.00,3.00,6.00,4.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2190109,3.00,5.00,1.00,7.00,7.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2190117,3.00,6.00,4.00,7.00,8.00,5.75,7.00,2.00,6.00,NULL,NULL,NULL,'N'),(15,2190125,3.00,7.00,2.00,6.00,6.00,4.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2190133,0.00,6.00,2.00,0.00,7.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2190141,4.00,9.00,6.00,9.00,9.00,8.00,6.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2190168,5.00,7.00,6.00,7.00,7.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2190176,6.00,9.00,8.00,5.00,7.00,5.25,8.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2190184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2190192,3.00,7.00,4.00,4.00,3.00,6.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2190206,1.00,2.00,3.00,5.00,5.00,4.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2190222,1.00,4.00,2.00,3.00,6.00,4.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2190230,2.00,6.00,5.00,8.00,5.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2190249,0.00,5.00,0.00,0.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2190265,1.00,4.00,1.00,4.00,8.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2190273,4.00,7.00,6.00,5.00,5.00,5.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2190281,2.00,8.00,3.00,2.00,7.00,5.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2190303,2.00,7.00,5.00,3.00,5.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2190311,4.00,6.00,1.00,3.00,7.00,6.25,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2190320,3.00,6.00,1.00,3.00,7.00,4.25,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2190338,2.00,2.00,3.00,7.00,5.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2190354,5.00,7.00,3.00,5.00,8.00,6.00,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2190362,2.00,6.00,3.00,2.00,6.00,5.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2190370,2.00,2.00,1.00,5.00,4.00,4.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2190389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2190397,2.00,3.00,4.00,1.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2190400,6.00,8.00,6.00,9.00,8.00,7.00,8.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2190419,3.00,7.00,1.00,0.00,5.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2190427,4.00,8.00,8.00,5.00,8.00,5.75,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2190435,3.00,5.00,3.00,5.00,6.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2190443,7.00,5.00,7.00,6.00,7.00,5.75,7.00,1.00,5.00,NULL,NULL,NULL,'N'),(15,2190451,5.00,7.00,6.00,7.00,8.00,7.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2190460,4.00,5.00,4.00,5.00,6.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2190478,4.00,6.00,5.00,5.00,8.00,3.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2190486,6.00,8.00,7.00,9.00,9.00,7.75,8.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2190494,2.00,5.00,4.00,3.00,7.00,5.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2190508,2.00,6.00,6.00,6.00,4.00,5.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2190516,3.00,4.00,4.00,0.00,6.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2190524,4.00,7.00,6.00,5.00,6.00,5.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2190532,2.00,7.00,4.00,4.00,7.00,5.50,4.00,2.00,8.00,NULL,NULL,NULL,'N'),(15,2190540,2.00,7.00,3.00,3.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2190559,5.00,9.00,7.00,6.00,7.00,6.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2190567,1.00,2.00,1.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2190575,2.00,6.00,2.00,5.00,8.00,6.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2190583,2.00,8.00,3.00,3.00,5.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2190591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2190605,2.00,5.00,1.00,5.00,7.00,4.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2190613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2190621,5.00,8.00,5.00,5.00,6.00,5.75,9.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2190630,2.00,7.00,4.00,4.00,4.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2190648,3.00,6.00,3.00,3.00,7.00,6.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2190656,7.00,7.00,6.00,8.00,8.00,8.00,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2190664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2190672,1.00,3.00,1.00,5.00,4.00,4.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2190680,2.00,6.00,1.00,4.00,6.00,3.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2190699,1.00,6.00,4.00,2.00,7.00,4.00,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2190702,3.00,9.00,3.00,7.00,7.00,7.00,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2190710,2.00,6.00,3.00,6.00,6.00,5.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2190729,3.00,3.00,1.00,0.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2190737,3.00,5.00,3.00,1.00,8.00,6.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2190745,2.00,7.00,5.00,7.00,7.00,6.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2190753,4.00,4.00,5.00,3.00,6.00,5.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2190761,1.00,6.00,5.00,4.00,4.00,5.50,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2190770,3.00,5.00,2.00,0.00,0.00,NULL,6.00,5.00,4.00,'S',NULL,NULL,'S'),(15,2190788,4.00,7.00,4.00,7.00,8.00,5.75,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2190800,7.00,9.00,9.00,8.00,9.00,6.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2190818,3.00,6.00,5.00,7.00,7.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2190826,0.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2190850,5.00,7.00,5.00,5.00,5.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2190869,6.00,6.00,5.00,6.00,8.00,5.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2190877,4.00,8.00,2.00,7.00,8.00,7.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2190885,3.00,5.00,1.00,6.00,6.00,4.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2190893,2.00,5.00,5.00,3.00,4.00,3.25,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2190907,6.00,7.00,7.00,8.00,9.00,5.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2190915,6.00,7.00,7.00,6.00,8.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2190923,3.00,4.00,3.00,7.00,6.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2190931,4.00,7.00,5.00,5.00,7.00,5.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2190940,6.00,5.00,3.00,0.00,3.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2190958,0.00,4.00,0.00,2.00,7.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2190974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2190990,8.00,8.00,9.00,9.00,8.00,7.25,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2191008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2191016,5.00,8.00,6.00,6.00,7.00,7.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2191024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2191032,4.00,7.00,3.00,2.00,5.00,4.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2191040,1.00,5.00,3.00,5.00,5.00,3.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2191067,0.00,3.00,1.00,0.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2191075,3.00,8.00,4.00,2.00,8.00,3.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2191083,4.00,5.00,5.00,2.00,4.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2191105,6.00,8.00,2.00,9.00,8.00,3.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2191113,2.00,4.00,2.00,1.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2191121,3.00,3.00,3.00,0.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2191148,4.00,8.00,4.00,5.00,7.00,4.00,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2191156,1.00,5.00,4.00,5.00,3.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2191164,6.00,9.00,5.00,9.00,8.00,6.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2191172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2191180,2.00,5.00,3.00,2.00,8.00,6.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2191199,4.00,7.00,6.00,4.00,5.00,4.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2191202,1.00,4.00,2.00,1.00,4.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2191210,7.00,8.00,9.00,7.00,8.00,6.50,9.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2191229,3.00,8.00,5.00,6.00,5.00,6.00,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2191237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2191245,5.00,5.00,4.00,3.00,6.00,4.25,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2191253,1.00,3.00,4.00,0.00,1.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'S'),(15,2191261,5.00,8.00,4.00,6.00,9.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2191270,3.00,6.00,3.00,6.00,8.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2191288,5.00,7.00,6.00,7.00,8.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2191296,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2191300,4.00,1.00,4.00,5.00,6.00,6.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2191318,5.00,8.00,2.00,6.00,5.00,4.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2191326,4.00,5.00,3.00,8.00,7.00,5.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2191334,3.00,7.00,3.00,6.00,5.00,6.00,5.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2191342,0.00,2.00,1.00,2.00,6.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2191350,4.00,6.00,1.00,6.00,7.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2191369,4.00,8.00,8.00,9.00,6.00,5.75,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2191377,3.00,5.00,4.00,1.00,5.00,4.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2191385,3.00,8.00,5.00,8.00,8.00,6.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2191393,4.00,6.00,7.00,2.00,8.00,5.25,8.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2191407,3.00,6.00,3.00,6.00,5.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2191415,2.00,5.00,0.00,3.00,6.00,4.25,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2191423,4.00,7.00,6.00,5.00,6.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2191431,6.00,9.00,5.00,9.00,8.00,6.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2191458,2.00,8.00,4.00,5.00,7.00,4.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2191466,5.00,6.00,7.00,5.00,7.00,5.25,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2191474,2.00,3.00,1.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2191482,2.00,4.00,4.00,2.00,6.00,4.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2191490,4.00,7.00,3.00,0.00,4.00,3.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2191504,5.00,7.00,6.00,7.00,8.00,6.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2191512,4.00,6.00,6.00,8.00,7.00,5.25,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2191520,2.00,7.00,1.00,5.00,6.00,4.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2191539,2.00,6.00,2.00,2.00,5.00,4.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2191547,2.00,3.00,2.00,6.00,4.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2191555,0.00,6.00,2.00,2.00,7.00,5.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2191563,2.00,2.00,2.00,1.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2191580,0.00,7.00,5.00,4.00,4.00,4.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2191598,2.00,3.00,1.00,4.00,5.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2191601,2.00,6.00,3.00,4.00,6.00,6.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2191610,3.00,5.00,3.00,4.00,6.00,6.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2191628,4.00,5.00,3.00,2.00,6.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2191644,3.00,0.00,1.00,3.00,5.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2191652,4.00,5.00,6.00,8.00,8.00,5.50,6.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2191660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2191679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2191687,3.00,7.00,4.00,1.00,7.00,7.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2191695,5.00,7.00,6.00,9.00,8.00,5.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2191725,2.00,5.00,1.00,7.00,5.00,6.25,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2191733,3.00,5.00,1.00,1.00,7.00,4.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2191750,3.00,5.00,6.00,4.00,6.00,4.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2191768,6.00,6.00,5.00,5.00,6.00,4.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2191776,3.00,7.00,4.00,7.00,6.00,7.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2191784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2191792,6.00,8.00,8.00,8.00,7.00,6.00,8.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2191806,2.00,7.00,2.00,6.00,5.00,3.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2191814,7.00,8.00,1.00,7.00,7.00,7.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2191822,2.00,5.00,1.00,2.00,4.00,4.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2191849,3.00,7.00,6.00,4.00,5.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2191857,9.00,7.00,4.00,5.00,8.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2191865,3.00,5.00,4.00,4.00,8.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2191873,3.00,5.00,4.00,3.00,7.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2191881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2191890,3.00,6.00,5.00,5.00,8.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2191903,3.00,7.00,2.00,2.00,4.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2191911,7.00,9.00,6.00,9.00,8.00,7.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2191920,1.00,8.00,5.00,4.00,6.00,5.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2191938,8.00,8.00,7.00,6.00,6.00,7.75,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2191946,3.00,6.00,3.00,9.00,8.00,7.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2191954,3.00,4.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2191962,2.00,6.00,1.00,8.00,5.00,5.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2191989,3.00,4.00,3.00,1.00,5.00,6.25,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(15,2191997,3.00,6.00,2.00,4.00,7.00,6.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2192004,1.00,4.00,4.00,4.00,3.00,4.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2192012,5.00,5.00,3.00,8.00,7.00,7.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2192020,2.00,6.00,2.00,3.00,3.00,3.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2192039,7.00,7.00,7.00,9.00,7.00,6.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2192055,5.00,6.00,2.00,4.00,6.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2192063,3.00,3.00,3.00,6.00,3.00,4.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2192071,0.00,8.00,5.00,5.00,4.00,5.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2192080,7.00,7.00,3.00,5.00,9.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2192098,2.00,4.00,3.00,2.00,4.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2192101,5.00,8.00,6.00,4.00,8.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2192110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2192128,4.00,6.00,0.00,0.00,7.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2192136,5.00,6.00,7.00,6.00,7.00,6.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2192144,4.00,6.00,4.00,6.00,5.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2192152,2.00,4.00,1.00,4.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2192160,5.00,9.00,8.00,9.00,8.00,5.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2192179,6.00,7.00,6.00,6.00,9.00,7.00,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2192187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2192195,7.00,7.00,7.00,5.00,8.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2192209,4.00,8.00,5.00,6.00,6.00,6.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2192217,4.00,7.00,7.00,6.00,8.00,6.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2192225,4.00,5.00,6.00,4.00,6.00,6.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2192233,6.00,6.00,1.00,3.00,6.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2192241,1.00,5.00,4.00,7.00,6.00,5.25,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2192250,5.00,9.00,3.00,7.00,8.00,7.00,9.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2192268,2.00,2.00,0.00,0.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2192276,5.00,6.00,8.00,6.00,8.00,6.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2192292,4.00,3.00,4.00,5.00,8.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2192306,5.00,6.00,4.00,7.00,7.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2192322,3.00,5.00,4.00,4.00,5.00,3.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2192330,1.00,4.00,3.00,3.00,5.00,4.00,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2192349,8.00,8.00,5.00,5.00,6.00,6.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2192357,3.00,7.00,6.00,5.00,7.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2192365,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2192373,3.00,4.00,4.00,2.00,5.00,2.00,6.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2192390,3.00,4.00,2.00,2.00,7.00,5.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2192403,1.00,4.00,3.00,3.00,5.00,4.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2192411,3.00,5.00,5.00,7.00,8.00,4.75,7.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2192420,1.00,5.00,1.00,7.00,3.00,4.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2192438,3.00,5.00,1.00,1.00,6.00,5.25,3.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2192446,2.00,1.00,3.00,5.00,4.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2192454,4.00,8.00,3.00,3.00,6.00,6.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2192462,5.00,9.00,6.00,4.00,7.00,3.75,7.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2192470,3.00,4.00,1.00,2.00,4.00,5.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2192489,2.00,5.00,1.00,2.00,5.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2192497,1.00,4.00,2.00,2.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2192500,4.00,4.00,2.00,0.00,5.00,4.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2192519,3.00,7.00,3.00,6.00,8.00,6.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2192527,2.00,7.00,6.00,6.00,7.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2192535,8.00,8.00,7.00,8.00,9.00,8.25,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2192543,4.00,7.00,5.00,6.00,5.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2192551,3.00,6.00,6.00,6.00,8.00,5.75,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2192560,5.00,6.00,5.00,5.00,6.00,4.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2192578,7.00,8.00,7.00,7.00,8.00,5.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2192586,5.00,6.00,7.00,8.00,6.00,6.00,8.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2192594,4.00,7.00,2.00,6.00,8.00,6.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2192608,4.00,7.00,1.00,9.00,6.00,4.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2192616,2.00,8.00,4.00,1.00,5.00,5.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2192624,2.00,5.00,3.00,0.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2192640,4.00,5.00,5.00,4.00,8.00,7.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2192659,4.00,6.00,4.00,4.00,8.00,6.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2192667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2192675,5.00,6.00,4.00,6.00,7.00,5.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2192683,3.00,6.00,4.00,6.00,9.00,7.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2192691,3.00,3.00,1.00,1.00,4.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2192705,4.00,6.00,4.00,7.00,7.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2192713,5.00,8.00,6.00,6.00,7.00,7.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2192721,2.00,5.00,2.00,4.00,6.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2192730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2192748,3.00,6.00,3.00,3.00,5.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2192756,1.00,7.00,4.00,7.00,5.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2192764,1.00,4.00,1.00,0.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2192772,3.00,5.00,0.00,7.00,5.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2192780,3.00,5.00,4.00,5.00,8.00,5.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2192799,2.00,7.00,2.00,7.00,5.00,5.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2192802,5.00,7.00,6.00,7.00,8.00,4.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2192810,4.00,6.00,2.00,6.00,6.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2192829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2192837,3.00,5.00,3.00,3.00,5.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2192845,2.00,6.00,3.00,3.00,8.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2192853,3.00,8.00,5.00,8.00,7.00,4.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2192861,2.00,6.00,3.00,7.00,6.00,6.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2192870,3.00,6.00,3.00,5.00,7.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2192888,2.00,6.00,2.00,3.00,3.00,4.75,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(15,2192896,1.00,5.00,4.00,7.00,5.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2192918,3.00,3.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2192926,0.00,6.00,2.00,5.00,7.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2192934,1.00,6.00,2.00,0.00,4.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2192950,1.00,5.00,5.00,1.00,3.00,4.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2192969,3.00,5.00,7.00,9.00,6.00,5.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2192977,7.00,6.00,4.00,4.00,8.00,7.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2192985,3.00,6.00,5.00,7.00,8.00,6.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2192993,2.00,4.00,5.00,2.00,7.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2193000,4.00,7.00,8.00,4.00,5.00,1.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2193019,2.00,2.00,1.00,0.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2193027,6.00,8.00,8.00,8.00,8.00,6.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2193035,5.00,8.00,5.00,6.00,7.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2193043,2.00,6.00,4.00,7.00,6.00,3.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2193051,6.00,7.00,6.00,5.00,7.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2193060,3.00,3.00,4.00,1.00,5.00,3.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2193078,6.00,6.00,4.00,2.00,7.00,5.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2193086,7.00,8.00,9.00,9.00,7.00,6.25,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2193094,5.00,7.00,6.00,4.00,7.00,5.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2193108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2193116,5.00,6.00,7.00,5.00,8.00,6.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2193124,3.00,6.00,4.00,5.00,4.00,6.50,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2193132,2.00,4.00,3.00,5.00,6.00,5.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2193140,2.00,5.00,2.00,1.00,5.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2193159,2.00,2.00,1.00,3.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2193167,5.00,8.00,5.00,5.00,8.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2193175,2.00,4.00,3.00,2.00,6.00,5.75,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2193183,1.00,6.00,2.00,2.00,7.00,4.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2193191,5.00,7.00,3.00,0.00,2.00,NULL,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2193205,1.00,7.00,7.00,9.00,5.00,4.00,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2193213,2.00,7.00,2.00,3.00,6.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2193230,3.00,6.00,5.00,0.00,5.00,3.75,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2193248,2.00,5.00,3.00,4.00,5.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2193264,3.00,6.00,3.00,5.00,5.00,6.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2193272,4.00,6.00,4.00,8.00,6.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2193280,4.00,6.00,5.00,8.00,8.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2193310,1.00,8.00,3.00,3.00,6.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2193329,3.00,6.00,5.00,6.00,6.00,5.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2193337,4.00,8.00,2.00,5.00,7.00,7.75,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2193345,3.00,5.00,0.00,4.00,6.00,4.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2193353,3.00,5.00,2.00,4.00,8.00,5.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2193361,5.00,9.00,5.00,4.00,5.00,6.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2193370,3.00,6.00,5.00,6.00,8.00,6.50,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2193396,3.00,3.00,4.00,1.00,5.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2193400,3.00,7.00,2.00,4.00,5.00,5.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2193426,1.00,0.00,1.00,4.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2193434,8.00,8.00,6.00,9.00,8.00,5.75,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2193442,4.00,8.00,7.00,8.00,7.00,7.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2193450,7.00,8.00,9.00,8.00,8.00,6.50,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2193469,3.00,7.00,7.00,5.00,7.00,5.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2193477,8.00,7.00,7.00,8.00,8.00,7.00,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2193485,1.00,6.00,3.00,2.00,5.00,3.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2193515,4.00,7.00,1.00,9.00,9.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2193523,2.00,8.00,5.00,8.00,8.00,6.75,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2193531,4.00,6.00,2.00,2.00,6.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2193540,3.00,7.00,2.00,4.00,5.00,6.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2193558,4.00,7.00,5.00,6.00,8.00,5.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2193566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2193574,7.00,8.00,6.00,7.00,8.00,7.50,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2193582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2193604,1.00,7.00,3.00,4.00,7.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2193612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2193620,2.00,5.00,3.00,4.00,5.00,5.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2193639,2.00,7.00,5.00,6.00,5.00,4.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2193647,3.00,6.00,5.00,3.00,6.00,6.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2193655,0.00,4.00,3.00,4.00,6.00,5.00,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2193663,3.00,6.00,3.00,8.00,7.00,7.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2193671,2.00,6.00,4.00,5.00,8.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2193680,3.00,5.00,7.00,6.00,8.00,7.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2193698,4.00,4.00,0.00,4.00,5.00,3.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2193701,0.00,0.00,0.00,6.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2193736,3.00,7.00,5.00,9.00,6.00,3.75,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2193744,4.00,7.00,4.00,5.00,5.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2193752,4.00,7.00,6.00,3.00,7.00,5.75,8.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2193760,5.00,8.00,4.00,8.00,6.00,5.50,4.00,2.00,5.00,NULL,NULL,NULL,'S'),(15,2193779,4.00,7.00,7.00,5.00,8.00,4.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2193795,6.00,7.00,8.00,2.00,8.00,5.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2193809,0.00,3.00,1.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2193817,2.00,6.00,3.00,3.00,7.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2193825,2.00,6.00,2.00,5.00,6.00,6.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2193833,8.00,9.00,9.00,8.00,9.00,6.75,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2193841,2.00,8.00,1.00,4.00,5.00,4.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2193850,1.00,6.00,2.00,0.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2193868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2193884,2.00,6.00,3.00,6.00,7.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2193892,4.00,9.00,6.00,6.00,8.00,6.50,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2193914,4.00,4.00,4.00,5.00,4.00,5.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2193922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2193930,3.00,7.00,0.00,7.00,6.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2193949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2193957,2.00,6.00,0.00,1.00,5.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2193973,0.00,3.00,2.00,4.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2193981,4.00,4.00,1.00,1.00,8.00,5.00,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2193990,4.00,3.00,5.00,6.00,7.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2194007,3.00,7.00,5.00,5.00,6.00,4.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2194015,8.00,8.00,8.00,6.00,9.00,5.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2194023,5.00,7.00,2.00,5.00,6.00,5.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2194031,4.00,7.00,6.00,8.00,7.00,5.50,9.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2194040,1.00,4.00,0.00,1.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2194058,2.00,5.00,3.00,5.00,6.00,1.50,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2194066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2194074,2.00,4.00,1.00,5.00,5.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2194082,3.00,4.00,3.00,3.00,5.00,6.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2194090,6.00,9.00,6.00,6.00,8.00,4.75,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2194104,4.00,5.00,7.00,1.00,3.00,3.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2194112,3.00,4.00,4.00,5.00,5.00,4.25,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2194120,8.00,7.00,8.00,8.00,8.00,7.75,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2194139,6.00,9.00,7.00,8.00,7.00,7.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2194147,2.00,3.00,3.00,5.00,3.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2194155,2.00,6.00,1.00,1.00,5.00,5.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2194163,1.00,7.00,3.00,5.00,6.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2194171,3.00,8.00,7.00,5.00,8.00,4.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2194180,2.00,5.00,3.00,4.00,8.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2194198,2.00,4.00,2.00,2.00,4.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2194201,1.00,7.00,2.00,4.00,5.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2194210,0.00,5.00,5.00,6.00,7.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2194228,2.00,6.00,1.00,8.00,7.00,5.25,5.00,8.00,3.00,NULL,NULL,NULL,'S'),(15,2194236,3.00,6.00,2.00,6.00,6.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2194244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2194252,2.00,4.00,4.00,8.00,4.00,4.75,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2194260,2.00,6.00,4.00,3.00,7.00,6.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2194279,5.00,7.00,6.00,6.00,7.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2194287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2194295,4.00,8.00,2.00,7.00,6.00,5.50,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2194317,3.00,7.00,4.00,7.00,8.00,6.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2194325,4.00,6.00,1.00,2.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2194333,3.00,8.00,3.00,7.00,5.00,6.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2194341,3.00,8.00,4.00,4.00,8.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2194350,8.00,9.00,9.00,8.00,8.00,6.75,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2194368,3.00,5.00,1.00,2.00,5.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2194376,3.00,7.00,1.00,1.00,7.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2194384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2194392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2194406,2.00,8.00,4.00,2.00,8.00,6.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2194414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2194422,2.00,6.00,5.00,2.00,6.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2194430,6.00,9.00,6.00,5.00,5.00,4.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2194449,0.00,3.00,1.00,0.00,0.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2194457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2194465,1.00,8.00,4.00,9.00,9.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2194473,3.00,7.00,6.00,8.00,6.00,4.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2194481,2.00,5.00,5.00,4.00,3.00,4.75,4.00,2.00,0.00,NULL,NULL,NULL,'S'),(15,2194490,3.00,3.00,0.00,6.00,8.00,NULL,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2194503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2194511,4.00,7.00,6.00,9.00,7.00,5.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2194520,5.00,7.00,3.00,3.00,6.00,5.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2194538,5.00,5.00,2.00,6.00,5.00,5.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2194546,2.00,4.00,7.00,6.00,7.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2194554,4.00,4.00,4.00,2.00,6.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2194589,5.00,8.00,1.00,2.00,7.00,6.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2194597,2.00,4.00,4.00,2.00,4.00,4.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2194600,3.00,8.00,4.00,4.00,5.00,4.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2194619,4.00,6.00,7.00,4.00,5.00,6.00,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2194627,2.00,6.00,6.00,8.00,8.00,9.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2194635,6.00,8.00,7.00,6.00,6.00,7.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2194643,5.00,7.00,6.00,5.00,6.00,6.00,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2194651,2.00,6.00,1.00,1.00,6.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2194660,7.00,8.00,9.00,8.00,6.00,6.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2194678,2.00,6.00,3.00,6.00,6.00,4.50,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2194686,2.00,5.00,5.00,3.00,6.00,5.75,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2194694,4.00,5.00,2.00,7.00,8.00,7.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2194708,2.00,5.00,3.00,6.00,6.00,3.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2194724,1.00,5.00,1.00,7.00,5.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2194732,3.00,6.00,6.00,4.00,6.00,7.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2194740,7.00,8.00,9.00,8.00,9.00,4.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2194759,2.00,4.00,1.00,1.00,5.00,5.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2194767,4.00,7.00,4.00,8.00,7.00,7.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2194775,3.00,6.00,7.00,5.00,5.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2194783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2194791,1.00,8.00,8.00,6.00,6.00,4.50,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2194805,3.00,7.00,5.00,7.00,9.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2194813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2194821,4.00,7.00,4.00,7.00,6.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2194830,5.00,8.00,9.00,6.00,8.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2194848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2194856,6.00,8.00,9.00,8.00,9.00,8.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2194864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2194880,2.00,2.00,2.00,3.00,8.00,4.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2194902,2.00,8.00,3.00,2.00,6.00,7.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2194910,4.00,6.00,8.00,7.00,7.00,5.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2194929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2194937,4.00,9.00,9.00,6.00,7.00,5.75,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2194945,3.00,7.00,5.00,1.00,6.00,4.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2194953,3.00,5.00,1.00,6.00,5.00,6.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2194961,6.00,8.00,9.00,8.00,9.00,7.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2194970,5.00,8.00,5.00,2.00,8.00,5.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2194988,3.00,4.00,1.00,2.00,4.00,5.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2194996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2195003,3.00,6.00,2.00,2.00,6.00,4.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2195011,5.00,7.00,7.00,4.00,8.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2195020,3.00,7.00,2.00,2.00,7.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2195038,1.00,8.00,5.00,7.00,3.00,4.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2195054,2.00,7.00,5.00,7.00,7.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2195062,3.00,5.00,5.00,9.00,7.00,5.50,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2195070,3.00,8.00,4.00,3.00,5.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2195089,3.00,6.00,7.00,8.00,6.00,4.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2195097,1.00,6.00,6.00,4.00,6.00,3.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2195100,4.00,6.00,3.00,4.00,6.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2195119,3.00,5.00,2.00,7.00,6.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2195127,1.00,2.00,1.00,2.00,8.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2195135,8.00,8.00,9.00,9.00,9.00,6.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2195143,4.00,7.00,5.00,7.00,5.00,4.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2195151,0.00,3.00,3.00,4.00,4.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2195160,3.00,8.00,5.00,5.00,8.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2195178,5.00,8.00,2.00,5.00,6.00,7.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2195186,5.00,3.00,2.00,1.00,5.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2195194,4.00,6.00,6.00,4.00,6.00,3.75,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2195216,3.00,8.00,3.00,4.00,7.00,4.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2195224,1.00,6.00,3.00,0.00,4.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2195232,3.00,4.00,1.00,6.00,7.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2195240,2.00,5.00,3.00,5.00,6.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2195259,4.00,9.00,8.00,8.00,8.00,7.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2195267,2.00,4.00,3.00,7.00,6.00,4.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2195275,2.00,7.00,5.00,3.00,5.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2195283,6.00,7.00,6.00,9.00,10.00,6.50,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2195291,4.00,8.00,4.00,7.00,8.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2195305,4.00,5.00,2.00,6.00,6.00,6.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2195313,1.00,5.00,0.00,6.00,6.00,3.75,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2195321,1.00,5.00,5.00,7.00,6.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2195330,8.00,7.00,7.00,7.00,6.00,4.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2195348,1.00,6.00,2.00,6.00,7.00,6.00,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2195364,3.00,4.00,5.00,1.00,4.00,5.75,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2195372,6.00,6.00,8.00,9.00,9.00,6.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2195380,2.00,4.00,1.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2195399,4.00,8.00,6.00,7.00,8.00,7.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2195402,3.00,7.00,2.00,1.00,3.00,4.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2195410,3.00,6.00,1.00,6.00,5.00,5.25,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(15,2195429,5.00,7.00,7.00,6.00,7.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2195437,0.00,4.00,3.00,4.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2195445,4.00,8.00,5.00,8.00,9.00,6.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2195453,1.00,5.00,1.00,5.00,5.00,4.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2195461,7.00,8.00,6.00,8.00,7.00,4.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2195470,1.00,6.00,1.00,3.00,4.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2195496,1.00,3.00,4.00,6.00,7.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2195518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2195534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2195542,7.00,8.00,5.00,8.00,9.00,7.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2195550,4.00,4.00,3.00,4.00,7.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2195569,6.00,7.00,3.00,8.00,8.00,4.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2195577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2195585,8.00,8.00,8.00,7.00,6.00,7.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2195593,3.00,5.00,2.00,7.00,7.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2195615,6.00,6.00,4.00,6.00,8.00,7.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2195623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2195631,7.00,9.00,6.00,8.00,8.00,6.75,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2195640,6.00,9.00,6.00,6.00,7.00,4.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2195658,5.00,6.00,4.00,7.00,5.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2195666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2195674,7.00,4.00,7.00,8.00,8.00,4.75,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2195682,3.00,6.00,1.00,5.00,6.00,5.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2195690,2.00,8.00,2.00,8.00,6.00,4.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2195704,4.00,4.00,4.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2195712,4.00,7.00,5.00,5.00,3.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2195739,3.00,7.00,3.00,3.00,3.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2195747,4.00,5.00,6.00,2.00,6.00,6.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2195755,2.00,5.00,1.00,2.00,6.00,3.50,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2195763,5.00,6.00,3.00,5.00,7.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2195771,4.00,7.00,5.00,3.00,7.00,4.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2195798,3.00,5.00,2.00,6.00,6.00,6.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2195801,3.00,6.00,5.00,6.00,5.00,5.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2195810,3.00,6.00,6.00,7.00,7.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2195828,6.00,6.00,6.00,7.00,7.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2195844,3.00,8.00,4.00,7.00,6.00,4.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2195852,4.00,8.00,4.00,3.00,7.00,4.50,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2195860,1.00,3.00,4.00,2.00,8.00,5.75,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2195879,4.00,8.00,2.00,7.00,8.00,8.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2195887,3.00,6.00,3.00,2.00,5.00,4.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2195895,2.00,2.00,1.00,0.00,6.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2195909,1.00,7.00,2.00,5.00,6.00,6.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2195925,6.00,7.00,7.00,8.00,6.00,5.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2195933,4.00,3.00,2.00,2.00,3.00,6.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2195950,1.00,5.00,5.00,7.00,7.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2195968,7.00,8.00,4.00,9.00,9.00,6.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2195976,1.00,5.00,2.00,1.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2195984,3.00,5.00,3.00,6.00,3.00,5.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2196000,6.00,8.00,9.00,9.00,9.00,7.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2196018,5.00,7.00,6.00,7.00,7.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2196026,2.00,5.00,2.00,4.00,6.00,4.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2196042,3.00,7.00,6.00,8.00,7.00,7.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2196050,4.00,9.00,9.00,9.00,7.00,5.25,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2196069,4.00,7.00,6.00,7.00,9.00,6.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2196085,2.00,3.00,2.00,2.00,5.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2196093,3.00,7.00,1.00,4.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2196123,5.00,5.00,4.00,4.00,6.00,5.00,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2196131,6.00,8.00,6.00,8.00,8.00,4.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2196140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2196158,1.00,1.00,3.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2196166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2196174,7.00,6.00,9.00,7.00,6.00,5.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2196182,4.00,6.00,4.00,5.00,7.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2196190,5.00,7.00,1.00,5.00,7.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2196204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2196212,3.00,4.00,1.00,1.00,6.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2196220,1.00,6.00,5.00,4.00,5.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2196239,5.00,7.00,5.00,4.00,6.00,5.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2196247,0.00,4.00,0.00,6.00,6.00,6.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2196255,2.00,5.00,1.00,3.00,5.00,3.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2196263,4.00,6.00,3.00,5.00,5.00,4.50,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2196271,1.00,5.00,4.00,0.00,6.00,5.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2196280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2196298,4.00,8.00,8.00,4.00,8.00,6.00,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2196301,1.00,1.00,0.00,2.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2196310,2.00,5.00,2.00,4.00,5.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2196336,3.00,6.00,3.00,6.00,4.00,6.75,5.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2196344,3.00,5.00,2.00,5.00,6.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2196360,5.00,7.00,7.00,7.00,7.00,4.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2196379,4.00,7.00,5.00,7.00,6.00,3.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2196387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2196395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2196417,6.00,8.00,7.00,8.00,8.00,5.25,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2196425,4.00,7.00,3.00,6.00,7.00,4.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2196433,5.00,7.00,5.00,5.00,8.00,6.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2196441,3.00,6.00,3.00,4.00,9.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2196450,2.00,4.00,3.00,5.00,7.00,4.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2196468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2196484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2196492,7.00,6.00,4.00,3.00,8.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2196506,7.00,7.00,4.00,9.00,8.00,7.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2196514,3.00,5.00,3.00,4.00,6.00,4.25,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2196522,0.00,6.00,2.00,2.00,7.00,4.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2196530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2196549,2.00,4.00,0.00,1.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2196557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2196565,2.00,7.00,4.00,4.00,5.00,6.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2196573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2196581,2.00,8.00,3.00,5.00,6.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2196590,4.00,6.00,6.00,4.00,5.00,3.25,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2196603,8.00,7.00,9.00,8.00,6.00,4.75,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2196611,1.00,4.00,3.00,4.00,7.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2196620,5.00,8.00,4.00,8.00,7.00,5.25,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2196638,1.00,6.00,5.00,7.00,8.00,4.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2196646,2.00,6.00,6.00,4.00,3.00,3.25,6.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2196654,5.00,8.00,6.00,9.00,7.00,5.50,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2196662,6.00,8.00,6.00,6.00,8.00,6.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2196670,2.00,3.00,3.00,5.00,5.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2196689,2.00,5.00,3.00,6.00,4.00,2.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2196697,6.00,7.00,8.00,9.00,8.00,6.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2196700,6.00,7.00,8.00,5.00,8.00,6.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2196719,2.00,6.00,6.00,1.00,7.00,5.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2196727,2.00,4.00,6.00,1.00,7.00,4.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2196751,2.00,6.00,2.00,1.00,7.00,4.50,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2196760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2196786,3.00,6.00,2.00,3.00,6.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2196794,4.00,5.00,4.00,5.00,8.00,5.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2196808,2.00,6.00,5.00,5.00,7.00,6.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2196816,8.00,9.00,7.00,6.00,7.00,6.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2196824,2.00,5.00,2.00,2.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2196832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2196840,4.00,4.00,3.00,5.00,5.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2196859,7.00,8.00,9.00,8.00,9.00,8.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2196867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2196883,6.00,6.00,7.00,3.00,8.00,6.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2196891,3.00,6.00,2.00,3.00,8.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2196905,1.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(15,2196913,1.00,3.00,1.00,4.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2196921,2.00,7.00,5.00,5.00,5.00,4.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2196930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2196948,3.00,6.00,1.00,1.00,8.00,4.25,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(15,2196956,4.00,7.00,9.00,9.00,9.00,6.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2196964,4.00,6.00,4.00,8.00,8.00,6.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2196980,3.00,4.00,4.00,5.00,6.00,5.00,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2196999,1.00,6.00,0.00,1.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2197006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2197014,5.00,7.00,7.00,6.00,6.00,5.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2197022,1.00,4.00,6.00,5.00,6.00,5.25,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2197030,1.00,6.00,1.00,1.00,3.00,6.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2197049,1.00,5.00,1.00,4.00,4.00,4.75,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2197057,6.00,9.00,9.00,9.00,9.00,7.75,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2197065,6.00,9.00,4.00,9.00,9.00,5.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2197073,4.00,8.00,5.00,7.00,7.00,6.25,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2197081,6.00,8.00,6.00,8.00,7.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2197090,4.00,4.00,2.00,4.00,8.00,6.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2197103,8.00,8.00,8.00,5.00,9.00,7.50,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2197111,2.00,7.00,3.00,4.00,3.00,5.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2197138,4.00,6.00,6.00,6.00,6.00,9.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2197146,5.00,7.00,6.00,5.00,7.00,6.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2197154,2.00,3.00,4.00,0.00,3.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2197162,2.00,5.00,0.00,3.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2197189,0.00,3.00,3.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2197197,2.00,5.00,2.00,7.00,4.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2197200,4.00,8.00,7.00,9.00,7.00,5.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2197219,4.00,5.00,5.00,5.00,4.00,6.75,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2197227,4.00,8.00,4.00,8.00,7.00,5.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2197235,3.00,5.00,4.00,5.00,6.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2197243,1.00,4.00,2.00,1.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2197251,5.00,7.00,4.00,6.00,6.00,4.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2197260,3.00,6.00,4.00,5.00,6.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2197278,4.00,6.00,8.00,5.00,8.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2197286,3.00,7.00,3.00,7.00,7.00,4.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2197294,7.00,8.00,8.00,5.00,7.00,6.25,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2197308,6.00,8.00,9.00,7.00,7.00,6.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2197316,3.00,3.00,2.00,4.00,6.00,3.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2197324,4.00,6.00,4.00,7.00,8.00,6.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2197332,2.00,9.00,5.00,8.00,8.00,7.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2197340,5.00,7.00,8.00,8.00,9.00,7.50,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2197359,5.00,7.00,5.00,4.00,8.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2197367,2.00,4.00,2.00,5.00,5.00,4.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2197383,1.00,7.00,3.00,6.00,4.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2197391,3.00,4.00,4.00,6.00,6.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2197405,2.00,2.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2197413,3.00,7.00,4.00,5.00,7.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2197421,1.00,4.00,3.00,3.00,8.00,4.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2197430,3.00,6.00,2.00,4.00,6.00,5.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2197448,6.00,9.00,6.00,9.00,8.00,7.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2197456,5.00,8.00,6.00,7.00,7.00,6.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2197464,3.00,5.00,1.00,0.00,4.00,6.25,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2197472,6.00,7.00,5.00,5.00,6.00,7.75,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2197480,3.00,6.00,4.00,5.00,5.00,6.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2197499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2197502,0.00,4.00,1.00,3.00,4.00,4.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2197529,4.00,6.00,5.00,1.00,7.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2197537,7.00,7.00,8.00,6.00,8.00,5.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2197545,2.00,6.00,1.00,1.00,4.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2197553,5.00,9.00,9.00,3.00,6.00,5.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2197570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2197588,5.00,7.00,8.00,9.00,7.00,7.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2197626,2.00,5.00,1.00,8.00,5.00,6.25,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2197634,4.00,6.00,9.00,4.00,7.00,5.00,9.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2197642,3.00,8.00,6.00,7.00,8.00,6.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2197650,5.00,8.00,7.00,7.00,9.00,6.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2197669,7.00,9.00,9.00,8.00,9.00,5.50,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2197677,4.00,6.00,5.00,5.00,6.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2197685,8.00,8.00,8.00,6.00,7.00,5.25,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2197693,8.00,8.00,8.00,6.00,6.00,6.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2197707,5.00,9.00,9.00,9.00,9.00,6.25,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2197715,8.00,9.00,5.00,9.00,7.00,5.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2197723,4.00,7.00,4.00,5.00,8.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2197731,4.00,6.00,3.00,5.00,6.00,5.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2197740,5.00,7.00,8.00,9.00,8.00,7.75,9.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2197758,5.00,5.00,6.00,2.00,4.00,5.75,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2197766,4.00,8.00,5.00,9.00,6.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2197782,0.00,6.00,5.00,3.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2197790,3.00,6.00,1.00,3.00,5.00,4.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2197804,0.00,5.00,1.00,3.00,5.00,4.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2197812,3.00,8.00,6.00,5.00,8.00,6.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2197820,5.00,5.00,3.00,8.00,7.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2197839,3.00,6.00,2.00,5.00,6.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2197847,6.00,7.00,8.00,6.00,6.00,4.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2197855,6.00,7.00,6.00,8.00,7.00,4.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2197863,4.00,6.00,5.00,9.00,8.00,6.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2197871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2197880,5.00,8.00,3.00,8.00,8.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2197898,2.00,5.00,3.00,4.00,7.00,7.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2197901,2.00,6.00,4.00,4.00,5.00,4.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2197910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2197928,3.00,5.00,3.00,6.00,5.00,5.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2197936,2.00,5.00,3.00,0.00,6.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2197944,8.00,6.00,9.00,6.00,8.00,6.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2197952,1.00,4.00,2.00,1.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2197960,6.00,8.00,7.00,5.00,7.00,6.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2197979,2.00,7.00,1.00,2.00,7.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2197987,5.00,8.00,9.00,9.00,9.00,6.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2197995,6.00,6.00,4.00,3.00,8.00,7.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2198002,5.00,9.00,7.00,6.00,9.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2198010,5.00,8.00,3.00,6.00,8.00,5.25,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2198029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2198037,3.00,5.00,5.00,6.00,5.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2198045,4.00,5.00,5.00,5.00,6.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2198053,3.00,3.00,2.00,0.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2198061,5.00,6.00,9.00,6.00,9.00,4.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2198070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2198088,8.00,8.00,9.00,8.00,8.00,6.75,9.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2198100,5.00,8.00,7.00,9.00,9.00,7.75,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2198118,3.00,6.00,0.00,3.00,8.00,5.50,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2198126,3.00,1.00,1.00,4.00,3.00,4.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2198134,1.00,6.00,2.00,5.00,4.00,4.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2198142,4.00,7.00,5.00,9.00,6.00,6.50,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2198150,5.00,8.00,7.00,10.00,8.00,7.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2198169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2198177,4.00,6.00,9.00,9.00,8.00,6.00,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2198185,2.00,5.00,1.00,3.00,5.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2198193,6.00,8.00,3.00,3.00,7.00,6.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2198207,4.00,7.00,1.00,2.00,6.00,5.00,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2198215,2.00,7.00,3.00,7.00,5.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2198223,6.00,6.00,6.00,7.00,7.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2198231,0.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2198240,1.00,4.00,3.00,6.00,6.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2198258,6.00,7.00,5.00,7.00,9.00,6.00,9.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2198266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2198274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2198282,3.00,5.00,1.00,2.00,3.00,4.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2198290,4.00,8.00,5.00,9.00,7.00,6.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2198304,5.00,5.00,1.00,5.00,6.00,3.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2198312,5.00,9.00,6.00,8.00,8.00,6.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2198339,6.00,8.00,7.00,9.00,6.00,6.25,5.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2198347,5.00,7.00,8.00,8.00,9.00,7.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2198355,8.00,8.00,7.00,7.00,5.00,5.25,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2198363,4.00,7.00,4.00,6.00,7.00,3.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2198380,2.00,5.00,4.00,6.00,8.00,5.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2198398,1.00,7.00,5.00,6.00,6.00,4.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2198401,1.00,4.00,4.00,5.00,6.00,5.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2198410,2.00,6.00,5.00,9.00,7.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2198436,2.00,6.00,0.00,6.00,5.00,6.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2198444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2198452,3.00,6.00,3.00,5.00,7.00,5.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2198460,2.00,5.00,1.00,7.00,7.00,3.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2198479,2.00,6.00,2.00,2.00,6.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2198495,2.00,7.00,2.00,3.00,4.00,4.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2198509,4.00,7.00,4.00,4.00,7.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2198517,5.00,8.00,4.00,6.00,8.00,7.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2198525,1.00,5.00,3.00,2.00,8.00,5.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2198533,4.00,7.00,7.00,5.00,6.00,7.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2198550,3.00,6.00,5.00,5.00,6.00,7.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2198568,2.00,4.00,1.00,0.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2198576,8.00,8.00,9.00,10.00,9.00,7.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2198584,5.00,4.00,6.00,6.00,9.00,5.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2198592,3.00,6.00,2.00,3.00,6.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2198606,3.00,3.00,0.00,1.00,5.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2198614,3.00,7.00,3.00,8.00,7.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2198630,3.00,5.00,4.00,6.00,5.00,6.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2198649,3.00,6.00,6.00,5.00,7.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2198657,4.00,6.00,3.00,3.00,6.00,3.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2198665,5.00,6.00,7.00,8.00,6.00,6.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2198673,4.00,7.00,4.00,5.00,8.00,6.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2198681,3.00,6.00,2.00,6.00,6.00,2.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2198690,6.00,8.00,7.00,7.00,9.00,7.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2198703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2198711,7.00,8.00,6.00,8.00,7.00,6.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2198738,4.00,7.00,3.00,5.00,6.00,3.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2198746,5.00,5.00,5.00,3.00,8.00,7.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2198754,0.00,7.00,1.00,3.00,7.00,5.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2198770,3.00,4.00,3.00,2.00,2.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2198789,5.00,7.00,3.00,6.00,8.00,5.75,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2198800,6.00,9.00,7.00,9.00,8.00,6.00,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2198819,3.00,9.00,4.00,8.00,7.00,5.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2198827,8.00,8.00,8.00,8.00,8.00,6.50,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2198835,2.00,3.00,4.00,2.00,3.00,4.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2198843,3.00,7.00,4.00,5.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2198878,3.00,7.00,6.00,3.00,6.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2198886,1.00,2.00,0.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2198908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2198916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2198924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2198932,3.00,7.00,2.00,2.00,3.00,5.00,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2198959,3.00,7.00,6.00,9.00,9.00,5.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2198967,4.00,9.00,3.00,7.00,6.00,3.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2198975,8.00,8.00,9.00,8.00,8.00,6.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2198983,6.00,6.00,3.00,8.00,7.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2198991,2.00,6.00,1.00,2.00,7.00,3.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2199017,1.00,6.00,3.00,6.00,5.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2199033,2.00,7.00,6.00,5.00,5.00,5.25,8.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2199041,2.00,5.00,4.00,4.00,6.00,4.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2199050,3.00,5.00,4.00,4.00,7.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2199068,0.00,5.00,3.00,1.00,5.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2199092,7.00,7.00,8.00,4.00,8.00,5.75,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2199106,3.00,3.00,5.00,5.00,4.00,5.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2199114,4.00,8.00,6.00,7.00,8.00,5.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2199122,2.00,8.00,9.00,5.00,6.00,5.00,6.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2199130,4.00,8.00,4.00,8.00,7.00,5.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2199149,3.00,8.00,4.00,5.00,4.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2199157,3.00,7.00,2.00,6.00,6.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2199181,3.00,5.00,0.00,4.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2199190,3.00,4.00,5.00,5.00,5.00,4.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2199203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2199220,4.00,7.00,4.00,6.00,5.00,3.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2199238,1.00,6.00,1.00,3.00,4.00,2.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2199246,3.00,4.00,4.00,5.00,6.00,3.50,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2199254,0.00,8.00,3.00,7.00,6.00,4.75,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2199262,2.00,6.00,2.00,2.00,5.00,3.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2199270,6.00,8.00,7.00,6.00,8.00,8.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2199289,4.00,4.00,7.00,6.00,8.00,6.50,6.00,2.00,6.00,NULL,NULL,NULL,'N'),(15,2199297,2.00,4.00,1.00,3.00,5.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2199300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2199319,3.00,8.00,5.00,6.00,6.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2199327,3.00,8.00,4.00,7.00,7.00,5.25,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2199335,2.00,7.00,5.00,7.00,8.00,5.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2199343,3.00,6.00,5.00,4.00,5.00,4.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2199351,4.00,6.00,2.00,8.00,7.00,5.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2199360,2.00,6.00,7.00,7.00,7.00,5.50,9.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2199378,4.00,6.00,2.00,5.00,6.00,5.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2199394,3.00,4.00,3.00,1.00,8.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2199408,2.00,6.00,1.00,2.00,6.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2199416,0.00,5.00,2.00,6.00,6.00,8.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2199424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2199432,2.00,3.00,3.00,5.00,6.00,3.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2199440,4.00,8.00,5.00,6.00,7.00,7.25,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2199459,4.00,6.00,5.00,7.00,7.00,3.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2199467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2199475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2199483,3.00,7.00,1.00,3.00,6.00,2.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2199491,5.00,7.00,5.00,3.00,5.00,5.75,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2199505,4.00,7.00,6.00,7.00,7.00,5.00,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2199513,5.00,6.00,4.00,7.00,6.00,5.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2199521,2.00,3.00,1.00,0.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2199530,2.00,6.00,3.00,2.00,6.00,5.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2199548,4.00,8.00,1.00,6.00,4.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2199556,5.00,8.00,5.00,6.00,7.00,7.25,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2199564,1.00,5.00,2.00,4.00,4.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2199572,3.00,5.00,2.00,4.00,7.00,5.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2199599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2199602,5.00,8.00,9.00,7.00,7.00,7.00,9.00,6.00,6.00,NULL,NULL,NULL,'S'),(15,2199629,6.00,7.00,8.00,8.00,6.00,6.50,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2199637,3.00,6.00,4.00,6.00,9.00,4.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2199645,5.00,5.00,3.00,6.00,4.00,6.25,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2199653,4.00,7.00,4.00,5.00,5.00,6.50,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2199661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2199688,1.00,7.00,4.00,4.00,7.00,6.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2199700,3.00,5.00,2.00,6.00,7.00,7.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2199718,4.00,7.00,3.00,6.00,6.00,6.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2199734,2.00,4.00,4.00,7.00,7.00,3.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2199742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2199750,4.00,7.00,6.00,9.00,7.00,5.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2199769,2.00,7.00,3.00,7.00,6.00,5.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2199785,3.00,5.00,4.00,5.00,4.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2199793,3.00,8.00,5.00,4.00,7.00,5.75,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2199807,4.00,7.00,2.00,4.00,8.00,4.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2199815,4.00,8.00,4.00,8.00,7.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2199823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2199831,3.00,5.00,2.00,6.00,5.00,4.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2199840,4.00,6.00,0.00,3.00,7.00,5.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2199866,2.00,6.00,2.00,5.00,5.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2199874,1.00,7.00,3.00,4.00,5.00,5.00,7.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2199882,5.00,6.00,6.00,5.00,9.00,6.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2199890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2199904,1.00,3.00,2.00,4.00,6.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2199912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2199920,4.00,5.00,3.00,6.00,7.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2199947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2199955,2.00,1.00,2.00,0.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2199963,9.00,7.00,7.00,4.00,7.00,6.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2199971,3.00,6.00,1.00,6.00,7.00,6.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2199980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2199998,4.00,6.00,7.00,9.00,8.00,4.50,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2200007,1.00,3.00,0.00,2.00,2.00,NULL,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2200015,2.00,6.00,2.00,2.00,4.00,5.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2200023,5.00,7.00,7.00,6.00,8.00,4.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2200031,4.00,8.00,2.00,5.00,8.00,4.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2200040,3.00,5.00,4.00,3.00,7.00,5.50,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2200066,2.00,7.00,8.00,4.00,6.00,5.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2200074,4.00,6.00,3.00,3.00,5.00,3.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2200082,5.00,8.00,7.00,8.00,8.00,6.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2200090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2200112,2.00,7.00,2.00,2.00,6.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2200120,4.00,7.00,4.00,5.00,8.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2200139,4.00,7.00,3.00,6.00,6.00,7.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2200147,3.00,3.00,2.00,3.00,8.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2200155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2200163,2.00,5.00,3.00,6.00,7.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2200171,0.00,6.00,0.00,5.00,8.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2200180,4.00,6.00,4.00,5.00,6.00,5.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2200201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2200210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2200236,6.00,8.00,8.00,7.00,9.00,5.50,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2200244,2.00,7.00,3.00,7.00,5.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2200252,2.00,6.00,2.00,2.00,5.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2200260,6.00,9.00,4.00,6.00,7.00,6.75,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2200279,4.00,7.00,2.00,7.00,5.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2200287,5.00,9.00,4.00,8.00,7.00,4.75,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2200295,2.00,7.00,2.00,1.00,5.00,5.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2200309,1.00,4.00,0.00,6.00,2.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2200325,7.00,7.00,3.00,6.00,5.00,6.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2200333,5.00,6.00,5.00,5.00,8.00,6.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2200341,3.00,5.00,2.00,4.00,8.00,7.50,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2200350,5.00,6.00,6.00,5.00,8.00,4.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2200368,4.00,8.00,2.00,8.00,6.00,6.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2200376,3.00,7.00,4.00,2.00,4.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2200384,3.00,5.00,3.00,3.00,5.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2200414,3.00,7.00,5.00,5.00,7.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2200422,5.00,8.00,5.00,5.00,8.00,6.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2200430,0.00,4.00,0.00,5.00,6.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2200457,2.00,8.00,6.00,6.00,7.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2200465,3.00,6.00,2.00,4.00,5.00,3.75,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2200473,2.00,6.00,5.00,9.00,5.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2200490,2.00,4.00,3.00,6.00,7.00,6.25,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2200503,1.00,3.00,2.00,5.00,3.00,3.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2200511,3.00,5.00,5.00,4.00,7.00,4.00,8.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2200538,4.00,4.00,0.00,1.00,4.00,4.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2200546,4.00,4.00,3.00,5.00,5.00,6.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2200554,5.00,4.00,6.00,5.00,7.00,4.25,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2200562,6.00,6.00,7.00,4.00,7.00,5.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2200570,5.00,8.00,3.00,9.00,6.00,3.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2200589,2.00,7.00,5.00,4.00,6.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2200619,7.00,8.00,8.00,7.00,9.00,5.75,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2200627,5.00,5.00,1.00,0.00,8.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2200635,7.00,7.00,1.00,0.00,6.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2200643,2.00,5.00,4.00,5.00,5.00,5.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2200651,1.00,6.00,0.00,6.00,4.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2200660,7.00,7.00,6.00,6.00,7.00,5.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2200678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2200686,4.00,9.00,5.00,3.00,5.00,5.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2200694,2.00,5.00,2.00,2.00,4.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2200708,3.00,6.00,3.00,7.00,6.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2200716,3.00,6.00,3.00,5.00,4.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2200724,3.00,7.00,3.00,0.00,5.00,4.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2200732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2200740,1.00,2.00,1.00,1.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2200775,5.00,9.00,3.00,8.00,8.00,5.50,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2200783,2.00,7.00,4.00,7.00,8.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2200791,4.00,8.00,7.00,7.00,6.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2200805,2.00,5.00,2.00,6.00,3.00,3.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2200813,2.00,2.00,4.00,4.00,3.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2200821,2.00,5.00,1.00,3.00,3.00,5.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2200830,2.00,5.00,5.00,1.00,7.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2200848,5.00,6.00,5.00,4.00,8.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2200864,2.00,8.00,2.00,3.00,4.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2200872,3.00,7.00,6.00,5.00,4.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2200899,0.00,3.00,5.00,6.00,6.00,6.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2200902,1.00,3.00,2.00,0.00,5.00,3.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2200910,1.00,4.00,2.00,2.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2200929,3.00,8.00,7.00,8.00,6.00,5.50,7.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2200937,2.00,6.00,5.00,5.00,6.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2200945,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2200988,1.00,7.00,2.00,8.00,5.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2200996,2.00,4.00,6.00,4.00,7.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2201003,3.00,6.00,0.00,4.00,6.00,4.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2201011,2.00,7.00,6.00,6.00,5.00,7.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2201020,1.00,7.00,4.00,3.00,5.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2201038,3.00,5.00,5.00,4.00,7.00,6.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2201046,3.00,6.00,3.00,5.00,8.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2201062,5.00,7.00,8.00,7.00,6.00,6.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2201089,3.00,6.00,1.00,3.00,7.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2201097,0.00,2.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2201100,8.00,8.00,5.00,9.00,7.00,7.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2201135,2.00,7.00,4.00,6.00,4.00,4.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2201143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2201151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2201160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2201178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2201186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2201194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2201208,3.00,4.00,7.00,7.00,4.00,5.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2201216,0.00,3.00,1.00,2.00,1.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2201224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2201232,4.00,6.00,2.00,3.00,6.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2201259,4.00,5.00,4.00,2.00,7.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2201267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2201275,4.00,4.00,3.00,2.00,8.00,5.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2201283,4.00,6.00,6.00,2.00,7.00,7.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2201291,4.00,4.00,1.00,3.00,8.00,6.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2201305,3.00,6.00,0.00,6.00,7.00,3.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2201313,4.00,6.00,6.00,9.00,8.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2201321,4.00,8.00,6.00,9.00,6.00,5.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2201348,2.00,5.00,3.00,4.00,5.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2201364,3.00,7.00,7.00,7.00,7.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2201372,4.00,6.00,3.00,6.00,7.00,4.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2201380,4.00,5.00,0.00,6.00,7.00,7.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2201399,2.00,7.00,5.00,1.00,7.00,4.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2201402,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2201410,3.00,6.00,4.00,6.00,6.00,5.25,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2201429,3.00,6.00,4.00,6.00,6.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2201437,2.00,7.00,3.00,9.00,9.00,5.25,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2201445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2201453,3.00,4.00,2.00,2.00,5.00,4.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2201470,3.00,7.00,7.00,8.00,7.00,7.25,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2201488,2.00,4.00,2.00,0.00,8.00,4.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2201496,3.00,6.00,1.00,6.00,5.00,3.75,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2201500,2.00,4.00,3.00,6.00,3.00,4.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2201518,2.00,3.00,2.00,5.00,4.00,5.50,4.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2201526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2201534,3.00,6.00,0.00,7.00,7.00,3.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2201542,2.00,8.00,2.00,8.00,7.00,6.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2201550,0.00,1.00,0.00,6.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2201569,2.00,4.00,1.00,2.00,4.00,1.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2201577,1.00,6.00,4.00,3.00,6.00,6.00,7.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2201585,2.00,4.00,2.00,4.00,5.00,5.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2201607,6.00,8.00,6.00,9.00,8.00,6.50,6.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2201615,4.00,8.00,8.00,8.00,8.00,6.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2201623,5.00,8.00,5.00,4.00,5.00,5.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2201631,3.00,7.00,5.00,2.00,6.00,4.00,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2201640,6.00,8.00,5.00,4.00,6.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2201658,1.00,6.00,2.00,5.00,5.00,6.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2201666,3.00,7.00,8.00,7.00,9.00,4.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2201682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2201720,2.00,5.00,3.00,5.00,6.00,3.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2201739,4.00,6.00,5.00,5.00,6.00,3.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2201747,1.00,9.00,2.00,3.00,5.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2201755,6.00,7.00,5.00,7.00,8.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2201763,6.00,6.00,6.00,8.00,7.00,5.25,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2201771,2.00,6.00,1.00,3.00,4.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2201780,4.00,6.00,3.00,9.00,7.00,4.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2201798,0.00,6.00,3.00,3.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2201801,3.00,5.00,2.00,2.00,9.00,6.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2201810,1.00,3.00,1.00,2.00,6.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2201836,5.00,5.00,7.00,6.00,7.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2201844,4.00,6.00,4.00,6.00,6.00,6.75,7.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2201852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2201860,7.00,9.00,7.00,8.00,9.00,4.75,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2201879,2.00,5.00,2.00,3.00,5.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2201887,2.00,5.00,4.00,5.00,6.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2201895,2.00,6.00,0.00,5.00,4.00,5.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2201909,2.00,5.00,2.00,0.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2201917,6.00,8.00,8.00,8.00,9.00,6.75,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2201925,3.00,6.00,2.00,6.00,4.00,4.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2201933,5.00,6.00,3.00,7.00,8.00,6.25,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2201941,4.00,7.00,2.00,3.00,5.00,2.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2201950,3.00,5.00,3.00,3.00,4.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2201968,4.00,5.00,4.00,1.00,8.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2201976,3.00,7.00,4.00,6.00,5.00,5.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2201984,3.00,8.00,4.00,7.00,8.00,5.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2201992,2.00,4.00,1.00,4.00,4.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2202000,4.00,7.00,2.00,5.00,6.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2202018,3.00,6.00,3.00,7.00,9.00,4.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2202034,8.00,8.00,9.00,6.00,8.00,6.25,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2202042,6.00,8.00,6.00,8.00,8.00,6.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2202050,2.00,8.00,4.00,4.00,5.00,5.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2202069,1.00,5.00,1.00,4.00,4.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2202077,6.00,8.00,8.00,6.00,7.00,5.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2202085,5.00,6.00,1.00,7.00,4.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2202093,3.00,6.00,6.00,4.00,7.00,5.50,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(15,2202107,7.00,5.00,8.00,3.00,9.00,6.25,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2202115,2.00,7.00,4.00,1.00,5.00,4.75,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2202123,4.00,5.00,3.00,5.00,7.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2202131,2.00,4.00,1.00,5.00,5.00,3.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2202158,4.00,7.00,4.00,4.00,6.00,5.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2202166,1.00,3.00,4.00,4.00,5.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2202174,4.00,6.00,7.00,7.00,8.00,4.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2202182,5.00,6.00,3.00,5.00,7.00,5.75,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2202190,4.00,6.00,5.00,4.00,3.00,6.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2202204,2.00,5.00,2.00,0.00,5.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2202212,2.00,6.00,5.00,3.00,5.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2202220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2202239,2.00,4.00,2.00,2.00,3.00,2.00,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2202247,2.00,3.00,1.00,1.00,6.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2202255,8.00,9.00,9.00,9.00,9.00,5.75,9.00,9.00,9.00,NULL,NULL,NULL,'N'),(15,2202263,5.00,8.00,2.00,5.00,5.00,7.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2202271,2.00,5.00,1.00,0.00,3.00,4.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2202280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2202298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2202301,5.00,6.00,6.00,4.00,9.00,5.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2202310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2202328,3.00,5.00,3.00,6.00,6.00,4.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2202344,3.00,4.00,4.00,3.00,5.00,4.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2202352,6.00,7.00,8.00,6.00,5.00,5.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2202360,1.00,5.00,3.00,4.00,6.00,4.75,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2202379,3.00,7.00,3.00,5.00,8.00,6.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2202387,3.00,5.00,3.00,1.00,4.00,5.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2202395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2202417,1.00,6.00,1.00,7.00,2.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2202425,5.00,7.00,8.00,7.00,7.00,6.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2202433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2202441,3.00,7.00,3.00,5.00,7.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2202450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2202476,3.00,7.00,3.00,4.00,4.00,4.00,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2202484,5.00,8.00,6.00,3.00,7.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2202492,2.00,6.00,3.00,7.00,9.00,6.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2202506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2202514,1.00,5.00,1.00,0.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2202522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2202549,1.00,2.00,1.00,4.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2202557,6.00,6.00,7.00,8.00,9.00,7.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2202581,2.00,8.00,1.00,3.00,7.00,7.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2202590,4.00,7.00,3.00,3.00,7.00,5.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2202603,3.00,6.00,4.00,8.00,8.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2202611,3.00,4.00,5.00,8.00,4.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2202620,5.00,8.00,7.00,5.00,8.00,7.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2202646,3.00,6.00,3.00,6.00,7.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2202654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2202662,4.00,6.00,1.00,4.00,7.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2202670,4.00,8.00,4.00,7.00,7.00,5.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2202689,4.00,8.00,5.00,4.00,8.00,5.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2202697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2202700,2.00,8.00,5.00,7.00,8.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2202719,2.00,2.00,1.00,3.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2202727,5.00,7.00,7.00,9.00,5.00,5.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2202735,1.00,4.00,2.00,1.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2202743,3.00,5.00,0.00,4.00,6.00,6.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2202751,6.00,8.00,3.00,6.00,7.00,5.75,6.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2202760,6.00,8.00,6.00,7.00,8.00,5.75,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2202778,1.00,4.00,1.00,1.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2202808,1.00,7.00,3.00,3.00,6.00,7.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2202816,4.00,8.00,7.00,8.00,7.00,6.25,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2202824,6.00,8.00,8.00,5.00,9.00,6.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2202832,6.00,8.00,5.00,9.00,8.00,7.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2202840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2202859,3.00,7.00,5.00,5.00,7.00,4.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2202867,3.00,8.00,5.00,9.00,8.00,6.00,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2202883,4.00,5.00,3.00,8.00,3.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2202891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2202905,2.00,4.00,3.00,5.00,3.00,3.50,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2202921,5.00,7.00,4.00,9.00,9.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2202930,8.00,8.00,9.00,8.00,8.00,7.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2202948,3.00,5.00,4.00,5.00,5.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2202956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2202964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2202972,2.00,7.00,2.00,5.00,7.00,5.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2202980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2202999,2.00,7.00,3.00,0.00,0.00,NULL,4.00,5.00,4.00,'S',NULL,NULL,'N'),(15,2203006,4.00,5.00,3.00,8.00,5.00,5.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2203014,3.00,4.00,1.00,6.00,3.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2203022,5.00,7.00,8.00,9.00,9.00,7.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2203030,5.00,7.00,4.00,6.00,8.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2203049,5.00,5.00,8.00,5.00,8.00,5.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2203057,6.00,8.00,6.00,5.00,5.00,6.00,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2203065,1.00,5.00,3.00,2.00,6.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2203073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2203090,1.00,6.00,1.00,8.00,7.00,5.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2203103,1.00,6.00,2.00,6.00,6.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2203111,2.00,6.00,3.00,8.00,6.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2203120,0.00,2.00,1.00,2.00,5.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2203138,1.00,4.00,1.00,4.00,5.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2203146,3.00,6.00,3.00,3.00,6.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2203154,5.00,5.00,3.00,5.00,7.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2203162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2203170,3.00,7.00,2.00,0.00,6.00,5.25,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2203197,3.00,5.00,6.00,9.00,8.00,5.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2203200,4.00,8.00,7.00,8.00,8.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2203219,4.00,6.00,5.00,8.00,9.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2203235,4.00,8.00,1.00,7.00,6.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2203243,2.00,6.00,4.00,2.00,5.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2203251,3.00,4.00,4.00,5.00,5.00,4.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2203260,2.00,5.00,4.00,9.00,6.00,3.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2203278,4.00,7.00,5.00,4.00,8.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2203286,6.00,8.00,7.00,4.00,6.00,5.50,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2203294,6.00,8.00,7.00,7.00,7.00,7.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2203308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2203316,2.00,5.00,3.00,5.00,7.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2203332,3.00,6.00,1.00,5.00,4.00,6.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2203340,3.00,5.00,6.00,8.00,7.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2203359,3.00,5.00,3.00,0.00,4.00,3.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2203375,4.00,7.00,2.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2203405,4.00,5.00,5.00,4.00,7.00,6.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2203413,3.00,7.00,2.00,7.00,7.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2203421,6.00,7.00,8.00,9.00,9.00,6.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2203430,4.00,8.00,8.00,6.00,8.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2203448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2203464,2.00,6.00,3.00,7.00,6.00,4.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2203480,2.00,7.00,4.00,3.00,6.00,4.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2203499,4.00,8.00,5.00,4.00,6.00,5.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2203502,3.00,4.00,7.00,4.00,8.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2203510,3.00,6.00,3.00,3.00,5.00,5.00,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2203529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2203537,4.00,8.00,3.00,4.00,6.00,6.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2203545,0.00,6.00,2.00,3.00,5.00,4.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2203553,4.00,7.00,5.00,6.00,7.00,6.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2203561,3.00,7.00,2.00,3.00,7.00,3.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2203570,2.00,6.00,3.00,6.00,4.00,6.25,3.00,2.00,5.00,NULL,NULL,NULL,'S'),(15,2203588,7.00,8.00,7.00,7.00,9.00,5.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2203600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2203618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2203626,1.00,7.00,2.00,5.00,7.00,5.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2203634,2.00,5.00,2.00,0.00,4.00,4.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2203642,4.00,4.00,5.00,6.00,7.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2203650,6.00,8.00,7.00,9.00,8.00,6.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2203677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2203685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2203693,6.00,7.00,8.00,6.00,7.00,5.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2203707,4.00,5.00,1.00,4.00,5.00,5.50,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2203715,2.00,3.00,0.00,5.00,6.00,4.50,6.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2203723,6.00,7.00,9.00,9.00,6.00,6.00,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2203731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2203740,5.00,8.00,6.00,5.00,9.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2203766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2203774,7.00,7.00,4.00,6.00,7.00,5.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2203804,3.00,8.00,2.00,2.00,7.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2203839,5.00,7.00,2.00,4.00,7.00,6.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2203847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2203855,4.00,5.00,6.00,7.00,6.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2203863,4.00,6.00,9.00,4.00,8.00,7.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2203871,7.00,6.00,9.00,8.00,7.00,5.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2203880,2.00,4.00,3.00,2.00,5.00,4.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2203898,4.00,6.00,5.00,5.00,5.00,5.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2203901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2203910,1.00,1.00,1.00,2.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2203928,5.00,8.00,5.00,8.00,8.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2203936,4.00,6.00,3.00,5.00,6.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2203944,4.00,7.00,2.00,7.00,7.00,4.75,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(15,2203952,0.00,4.00,3.00,2.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2203995,6.00,7.00,5.00,7.00,8.00,5.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2204002,2.00,6.00,4.00,6.00,4.00,4.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2204010,2.00,5.00,2.00,4.00,3.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2204029,3.00,6.00,2.00,5.00,8.00,6.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2204037,2.00,4.00,6.00,5.00,5.00,4.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2204045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2204053,2.00,6.00,5.00,3.00,5.00,5.25,5.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2204061,4.00,9.00,6.00,10.00,8.00,6.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2204070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2204088,2.00,4.00,5.00,5.00,5.00,5.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2204096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2204118,5.00,7.00,6.00,7.00,8.00,6.50,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2204126,1.00,6.00,5.00,6.00,5.00,6.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2204134,2.00,5.00,2.00,6.00,6.00,6.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2204142,2.00,5.00,3.00,6.00,5.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2204150,2.00,4.00,2.00,7.00,4.00,6.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2204169,8.00,9.00,7.00,9.00,8.00,7.00,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2204177,1.00,8.00,4.00,7.00,8.00,3.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2204185,4.00,6.00,5.00,7.00,7.00,6.00,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2204193,3.00,6.00,4.00,3.00,6.00,5.25,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2204207,3.00,8.00,5.00,7.00,7.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2204215,5.00,6.00,6.00,7.00,7.00,5.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2204223,7.00,8.00,9.00,9.00,9.00,4.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2204231,5.00,6.00,4.00,5.00,4.00,5.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2204240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2204258,2.00,5.00,0.00,3.00,5.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2204266,3.00,6.00,6.00,5.00,4.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2204282,3.00,7.00,5.00,5.00,8.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2204290,4.00,6.00,7.00,8.00,8.00,6.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2204304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2204312,8.00,7.00,9.00,6.00,8.00,5.00,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2204320,1.00,6.00,0.00,3.00,7.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2204339,5.00,8.00,6.00,8.00,9.00,6.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2204347,2.00,4.00,1.00,4.00,6.00,4.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2204355,6.00,8.00,6.00,9.00,9.00,8.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2204363,3.00,8.00,0.00,5.00,5.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2204371,6.00,9.00,7.00,10.00,8.00,7.25,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2204380,8.00,8.00,8.00,8.00,9.00,5.50,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2204401,4.00,7.00,3.00,4.00,7.00,6.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2204410,3.00,7.00,4.00,5.00,6.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2204428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2204436,5.00,6.00,7.00,6.00,8.00,4.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2204444,3.00,7.00,4.00,8.00,7.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2204452,3.00,5.00,1.00,2.00,4.00,4.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2204460,4.00,8.00,5.00,4.00,6.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2204479,4.00,8.00,5.00,9.00,7.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2204487,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2204509,1.00,6.00,4.00,4.00,4.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2204517,2.00,5.00,3.00,6.00,8.00,4.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2204533,3.00,7.00,3.00,6.00,7.00,5.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2204541,5.00,8.00,6.00,9.00,7.00,6.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2204550,4.00,6.00,7.00,3.00,7.00,4.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2204576,2.00,5.00,3.00,5.00,6.00,3.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2204584,3.00,6.00,2.00,4.00,7.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2204592,4.00,4.00,1.00,3.00,4.00,0.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2204606,2.00,6.00,2.00,3.00,5.00,6.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2204614,1.00,7.00,1.00,3.00,6.00,4.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2204622,1.00,4.00,3.00,3.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2204630,1.00,5.00,2.00,2.00,4.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2204649,3.00,5.00,1.00,0.00,6.00,NULL,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2204657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2204665,2.00,5.00,2.00,3.00,3.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2204673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2204681,3.00,5.00,0.00,1.00,5.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2204690,2.00,8.00,6.00,4.00,8.00,7.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2204703,8.00,8.00,9.00,9.00,9.00,6.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2204720,4.00,8.00,4.00,6.00,7.00,7.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2204738,3.00,7.00,6.00,8.00,6.00,5.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2204746,5.00,6.00,7.00,4.00,5.00,5.50,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2204754,7.00,6.00,5.00,9.00,8.00,8.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2204762,1.00,5.00,2.00,0.00,7.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2204770,2.00,5.00,0.00,5.00,6.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2204797,1.00,5.00,2.00,5.00,6.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2204800,5.00,9.00,5.00,7.00,7.00,5.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2204819,5.00,7.00,6.00,9.00,6.00,5.25,4.00,8.00,7.00,NULL,NULL,NULL,'S'),(15,2204835,3.00,3.00,5.00,5.00,7.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2204843,4.00,5.00,2.00,6.00,7.00,6.75,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2204860,6.00,8.00,5.00,6.00,7.00,7.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2204878,1.00,4.00,0.00,5.00,7.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2204886,3.00,6.00,4.00,4.00,8.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2204894,6.00,6.00,6.00,6.00,8.00,5.50,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2204908,3.00,5.00,2.00,5.00,5.00,4.50,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2204916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2204924,1.00,8.00,3.00,5.00,7.00,4.50,5.00,8.00,5.00,NULL,NULL,NULL,'S'),(15,2204932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2204940,5.00,8.00,5.00,6.00,7.00,4.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2204959,2.00,0.00,0.00,3.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2204967,2.00,5.00,3.00,3.00,8.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2204975,3.00,8.00,5.00,4.00,5.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2204983,3.00,5.00,7.00,9.00,7.00,5.00,8.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2204991,5.00,6.00,5.00,4.00,5.00,4.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2205009,4.00,9.00,3.00,6.00,7.00,4.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2205017,1.00,3.00,2.00,1.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2205025,4.00,7.00,5.00,8.00,7.00,5.00,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2205033,2.00,7.00,5.00,8.00,6.00,5.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2205050,3.00,5.00,3.00,2.00,6.00,4.25,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2205068,3.00,8.00,3.00,7.00,7.00,6.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2205076,3.00,5.00,5.00,7.00,8.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2205084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2205092,2.00,6.00,2.00,4.00,7.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2205106,4.00,8.00,5.00,4.00,7.00,5.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2205122,2.00,5.00,2.00,3.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2205130,2.00,8.00,1.00,8.00,5.00,6.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2205157,0.00,5.00,3.00,3.00,3.00,4.75,6.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2205165,5.00,8.00,9.00,9.00,6.00,5.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2205173,2.00,2.00,0.00,0.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2205181,5.00,6.00,5.00,6.00,7.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2205190,3.00,7.00,1.00,2.00,8.00,4.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2205203,7.00,9.00,9.00,9.00,7.00,5.75,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2205211,1.00,6.00,1.00,7.00,6.00,7.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2205220,2.00,5.00,6.00,6.00,4.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2205246,4.00,7.00,3.00,6.00,7.00,7.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2205254,4.00,8.00,6.00,9.00,9.00,4.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2205262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2205270,4.00,8.00,6.00,5.00,7.00,5.25,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2205289,5.00,4.00,3.00,6.00,5.00,4.25,5.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2205297,2.00,6.00,5.00,4.00,7.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2205300,2.00,3.00,0.00,1.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2205319,4.00,5.00,2.00,5.00,7.00,3.75,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2205335,5.00,7.00,8.00,8.00,7.00,3.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2205343,3.00,7.00,2.00,4.00,5.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2205351,0.00,2.00,3.00,5.00,4.00,4.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2205378,3.00,6.00,3.00,5.00,6.00,4.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2205386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2205394,3.00,4.00,2.00,0.00,4.00,3.00,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2205424,3.00,5.00,2.00,0.00,6.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2205432,5.00,7.00,9.00,3.00,9.00,5.75,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2205459,3.00,6.00,4.00,3.00,3.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2205467,6.00,5.00,4.00,8.00,8.00,4.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2205483,1.00,4.00,4.00,0.00,4.00,4.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2205491,3.00,8.00,5.00,6.00,5.00,6.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2205505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2205521,6.00,8.00,5.00,8.00,7.00,6.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2205530,4.00,7.00,4.00,5.00,8.00,7.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2205548,5.00,8.00,6.00,8.00,7.00,6.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2205556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2205564,2.00,5.00,1.00,4.00,3.00,4.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2205572,3.00,6.00,5.00,5.00,7.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2205580,6.00,7.00,3.00,2.00,6.00,5.50,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2205599,6.00,9.00,5.00,8.00,8.00,6.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2205610,2.00,6.00,3.00,3.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2205629,3.00,5.00,0.00,7.00,6.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2205637,3.00,6.00,3.00,5.00,6.00,4.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2205645,4.00,5.00,4.00,5.00,8.00,5.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2205653,4.00,5.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2205661,5.00,8.00,6.00,6.00,7.00,3.00,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2205670,3.00,9.00,6.00,5.00,8.00,4.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2205696,3.00,6.00,7.00,5.00,7.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2205700,5.00,6.00,5.00,4.00,5.00,5.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2205718,3.00,4.00,2.00,5.00,5.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2205726,3.00,4.00,3.00,5.00,6.00,5.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2205734,5.00,7.00,5.00,6.00,8.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2205742,1.00,5.00,4.00,5.00,6.00,4.00,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2205750,1.00,6.00,2.00,1.00,4.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2205777,7.00,7.00,4.00,4.00,8.00,6.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2205785,2.00,5.00,4.00,6.00,7.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2205793,3.00,7.00,4.00,4.00,5.00,6.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2205807,4.00,3.00,1.00,5.00,7.00,4.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2205823,6.00,8.00,4.00,5.00,7.00,5.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2205831,5.00,8.00,2.00,7.00,7.00,7.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2205840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2205858,3.00,5.00,2.00,6.00,7.00,3.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2205866,2.00,5.00,2.00,2.00,4.00,2.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2205882,2.00,8.00,3.00,9.00,8.00,5.75,4.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2205904,3.00,6.00,5.00,5.00,5.00,4.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2205920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2205939,3.00,6.00,3.00,2.00,6.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2205947,2.00,5.00,5.00,7.00,5.00,5.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2205955,5.00,6.00,7.00,5.00,6.00,5.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2205963,1.00,4.00,4.00,3.00,3.00,4.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2205971,0.00,4.00,3.00,1.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2205980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2205998,5.00,8.00,5.00,9.00,8.00,5.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2206005,2.00,3.00,3.00,4.00,5.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2206013,8.00,8.00,8.00,5.00,8.00,6.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2206021,1.00,6.00,4.00,1.00,4.00,7.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2206048,3.00,4.00,5.00,5.00,5.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2206064,0.00,5.00,0.00,1.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2206080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2206099,4.00,7.00,5.00,9.00,7.00,6.75,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2206102,2.00,6.00,2.00,1.00,6.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2206110,2.00,7.00,2.00,2.00,8.00,4.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2206137,3.00,6.00,3.00,4.00,7.00,5.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2206145,6.00,5.00,5.00,2.00,4.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2206153,0.00,5.00,3.00,3.00,4.00,2.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2206161,4.00,8.00,6.00,6.00,7.00,4.00,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2206188,1.00,4.00,2.00,3.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2206196,2.00,4.00,3.00,6.00,5.00,5.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2206218,5.00,5.00,7.00,1.00,9.00,6.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2206226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2206234,3.00,7.00,4.00,5.00,6.00,7.25,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2206242,8.00,6.00,8.00,8.00,9.00,4.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2206250,6.00,8.00,4.00,5.00,9.00,4.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2206269,1.00,4.00,0.00,4.00,5.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2206285,5.00,5.00,2.00,7.00,6.00,6.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2206293,5.00,9.00,6.00,4.00,8.00,7.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2206307,5.00,8.00,7.00,6.00,9.00,6.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2206315,0.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2206323,2.00,8.00,6.00,6.00,6.00,7.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2206331,5.00,6.00,6.00,5.00,8.00,5.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2206340,2.00,3.00,1.00,2.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2206358,5.00,9.00,9.00,9.00,8.00,5.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2206366,1.00,4.00,3.00,2.00,7.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2206374,5.00,4.00,0.00,1.00,5.00,5.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2206382,0.00,3.00,2.00,3.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2206390,2.00,6.00,4.00,5.00,4.00,3.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2206404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2206412,2.00,4.00,3.00,5.00,6.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2206420,7.00,7.00,9.00,1.00,8.00,4.50,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2206447,4.00,7.00,3.00,1.00,5.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2206455,4.00,7.00,4.00,5.00,8.00,4.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2206463,2.00,4.00,4.00,8.00,5.00,3.75,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2206471,4.00,5.00,5.00,7.00,5.00,5.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2206480,5.00,7.00,1.00,6.00,8.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2206498,4.00,7.00,4.00,9.00,8.00,6.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2206501,3.00,3.00,1.00,1.00,5.00,3.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2206510,4.00,5.00,3.00,6.00,7.00,7.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2206536,8.00,9.00,10.00,9.00,9.00,7.75,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2206544,3.00,5.00,2.00,1.00,6.00,5.50,6.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2206552,4.00,5.00,4.00,4.00,6.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2206560,3.00,6.00,0.00,3.00,6.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2206579,4.00,7.00,5.00,6.00,5.00,5.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2206587,2.00,8.00,2.00,3.00,5.00,4.00,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2206595,4.00,4.00,4.00,5.00,6.00,5.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2206609,7.00,8.00,4.00,9.00,8.00,4.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2206617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2206625,4.00,4.00,3.00,2.00,4.00,4.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2206633,5.00,5.00,4.00,3.00,8.00,6.75,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2206668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2206676,5.00,8.00,6.00,3.00,7.00,4.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2206684,5.00,7.00,3.00,2.00,8.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2206692,5.00,6.00,1.00,6.00,7.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2206706,4.00,8.00,5.00,6.00,7.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2206714,5.00,9.00,3.00,8.00,5.00,6.75,5.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2206730,2.00,5.00,3.00,6.00,7.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2206749,2.00,3.00,0.00,0.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2206757,4.00,5.00,1.00,6.00,6.00,4.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2206765,3.00,5.00,1.00,2.00,7.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2206773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2206781,6.00,8.00,7.00,8.00,8.00,6.25,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2206790,6.00,8.00,8.00,9.00,7.00,5.25,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2206803,3.00,5.00,5.00,4.00,9.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2206811,2.00,5.00,4.00,9.00,6.00,6.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2206820,3.00,8.00,2.00,3.00,7.00,3.75,2.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2206846,3.00,4.00,5.00,4.00,5.00,3.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2206854,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2206889,1.00,3.00,3.00,7.00,6.00,4.75,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2206897,5.00,6.00,4.00,2.00,7.00,4.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2206900,3.00,5.00,2.00,2.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2206919,2.00,2.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S',NULL,'S','N'),(15,2206927,3.00,6.00,2.00,0.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2206935,3.00,8.00,4.00,1.00,7.00,7.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2206943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2206951,1.00,6.00,1.00,1.00,6.00,4.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2206960,3.00,6.00,4.00,4.00,5.00,4.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2206986,6.00,7.00,7.00,9.00,8.00,7.25,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2206994,2.00,6.00,2.00,6.00,6.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2207001,5.00,7.00,3.00,7.00,6.00,5.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2207010,1.00,5.00,2.00,0.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2207028,3.00,3.00,3.00,5.00,6.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2207044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2207052,3.00,8.00,5.00,7.00,8.00,6.50,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2207060,5.00,6.00,3.00,4.00,4.00,4.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2207079,5.00,4.00,7.00,3.00,8.00,5.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2207087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2207095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2207109,6.00,6.00,5.00,9.00,8.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2207117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2207141,8.00,8.00,9.00,8.00,8.00,7.00,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2207150,3.00,6.00,4.00,0.00,3.00,NULL,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2207168,5.00,5.00,7.00,4.00,7.00,5.25,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2207176,5.00,6.00,6.00,5.00,8.00,5.25,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2207184,5.00,9.00,3.00,4.00,6.00,7.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2207192,1.00,6.00,1.00,8.00,7.00,4.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2207206,3.00,5.00,2.00,4.00,7.00,6.00,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2207214,4.00,4.00,2.00,6.00,6.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2207222,2.00,6.00,2.00,1.00,3.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2207230,1.00,7.00,2.00,1.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2207249,7.00,8.00,6.00,6.00,8.00,5.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2207265,4.00,6.00,3.00,3.00,4.00,5.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2207273,0.00,7.00,7.00,6.00,7.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2207281,2.00,6.00,2.00,2.00,2.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2207290,7.00,7.00,3.00,8.00,8.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2207303,1.00,6.00,1.00,6.00,6.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2207311,5.00,4.00,4.00,5.00,5.00,5.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2207320,2.00,5.00,6.00,1.00,6.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2207338,4.00,7.00,8.00,8.00,6.00,5.25,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2207346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2207354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2207362,1.00,4.00,4.00,5.00,7.00,5.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2207389,1.00,5.00,5.00,6.00,6.00,5.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2207397,3.00,5.00,4.00,4.00,6.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2207400,4.00,5.00,2.00,7.00,7.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2207419,2.00,5.00,3.00,4.00,7.00,5.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2207427,1.00,3.00,4.00,0.00,4.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2207435,2.00,6.00,5.00,4.00,4.00,3.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2207443,1.00,5.00,3.00,6.00,5.00,5.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2207451,1.00,4.00,1.00,2.00,6.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'S'),(15,2207460,2.00,2.00,1.00,4.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2207478,3.00,5.00,5.00,5.00,5.00,4.25,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2207486,1.00,6.00,3.00,1.00,5.00,3.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2207494,2.00,6.00,1.00,3.00,7.00,5.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2207508,7.00,6.00,2.00,6.00,8.00,5.50,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2207516,3.00,5.00,3.00,7.00,6.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2207524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2207532,0.00,1.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2207540,3.00,3.00,1.00,4.00,5.00,4.75,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2207559,3.00,6.00,3.00,3.00,6.00,3.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2207575,2.00,8.00,6.00,9.00,8.00,3.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2207591,5.00,7.00,6.00,6.00,8.00,5.25,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2207605,3.00,6.00,3.00,6.00,6.00,5.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2207613,3.00,8.00,8.00,7.00,6.00,6.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2207621,1.00,4.00,2.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2207630,4.00,6.00,3.00,5.00,6.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2207648,5.00,6.00,6.00,8.00,6.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2207656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2207672,2.00,8.00,5.00,5.00,9.00,5.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2207680,3.00,5.00,3.00,7.00,6.00,3.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2207699,2.00,6.00,6.00,2.00,8.00,4.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2207702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2207710,4.00,5.00,0.00,7.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2207729,2.00,5.00,3.00,8.00,6.00,5.25,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2207737,1.00,7.00,5.00,4.00,7.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2207745,1.00,7.00,4.00,4.00,5.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2207753,4.00,8.00,7.00,6.00,6.00,4.75,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2207761,5.00,6.00,6.00,8.00,7.00,5.25,8.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2207770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2207788,2.00,6.00,4.00,4.00,4.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2207796,3.00,8.00,4.00,4.00,7.00,5.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2207800,5.00,7.00,7.00,9.00,8.00,7.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2207818,5.00,8.00,9.00,7.00,6.00,6.50,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2207826,7.00,7.00,9.00,9.00,8.00,4.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2207834,1.00,4.00,1.00,4.00,9.00,6.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2207850,3.00,6.00,1.00,6.00,7.00,4.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2207877,7.00,5.00,6.00,3.00,6.00,5.25,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2207885,0.00,6.00,2.00,3.00,7.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2207907,1.00,5.00,2.00,4.00,6.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2207915,1.00,5.00,0.00,0.00,5.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2207923,4.00,6.00,1.00,4.00,9.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2207931,3.00,6.00,2.00,1.00,6.00,4.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2207958,4.00,8.00,5.00,7.00,6.00,6.75,6.00,8.00,3.00,NULL,NULL,NULL,'S'),(15,2207966,0.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'S'),(15,2207974,4.00,8.00,4.00,5.00,8.00,5.00,5.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2207982,2.00,2.00,2.00,3.00,4.00,4.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2208008,2.00,6.00,1.00,5.00,4.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2208016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2208024,8.00,8.00,5.00,8.00,9.00,5.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2208032,2.00,3.00,0.00,4.00,4.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2208040,4.00,3.00,4.00,4.00,3.00,4.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2208059,0.00,0.00,0.00,1.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2208067,6.00,6.00,8.00,7.00,6.00,6.00,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2208075,7.00,8.00,8.00,6.00,7.00,6.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2208083,3.00,4.00,4.00,3.00,3.00,0.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2208105,4.00,7.00,6.00,1.00,6.00,7.00,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2208121,2.00,3.00,2.00,1.00,8.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2208130,5.00,6.00,3.00,8.00,7.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2208148,2.00,3.00,3.00,2.00,6.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2208156,3.00,7.00,1.00,6.00,3.00,3.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2208172,0.00,7.00,5.00,6.00,7.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2208180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2208199,3.00,5.00,3.00,7.00,7.00,6.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2208202,2.00,6.00,4.00,2.00,6.00,4.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2208210,1.00,6.00,1.00,5.00,5.00,6.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2208229,2.00,4.00,0.00,1.00,6.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2208237,3.00,4.00,2.00,5.00,7.00,6.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2208253,7.00,7.00,8.00,6.00,8.00,4.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2208261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2208270,2.00,6.00,4.00,3.00,6.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2208288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2208296,5.00,8.00,6.00,7.00,6.00,7.50,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2208300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2208318,9.00,8.00,6.00,7.00,9.00,5.75,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2208326,4.00,7.00,3.00,5.00,6.00,6.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2208342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2208369,3.00,6.00,2.00,3.00,5.00,4.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2208377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2208385,7.00,9.00,8.00,9.00,7.00,6.00,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2208393,6.00,7.00,9.00,8.00,6.00,6.50,9.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2208407,7.00,7.00,9.00,6.00,7.00,4.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2208415,4.00,8.00,6.00,6.00,7.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2208423,5.00,7.00,4.00,6.00,8.00,6.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2208431,4.00,7.00,5.00,5.00,9.00,6.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2208440,4.00,7.00,3.00,3.00,6.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2208458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2208466,6.00,6.00,6.00,6.00,6.00,4.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2208474,5.00,6.00,1.00,6.00,7.00,6.75,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2208482,2.00,6.00,3.00,7.00,8.00,5.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2208504,3.00,5.00,3.00,2.00,4.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2208512,3.00,7.00,5.00,4.00,5.00,4.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2208520,8.00,9.00,6.00,9.00,9.00,5.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2208539,2.00,3.00,4.00,7.00,6.00,7.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2208547,4.00,8.00,7.00,9.00,6.00,6.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2208563,7.00,6.00,5.00,4.00,6.00,6.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2208571,3.00,6.00,3.00,7.00,5.00,4.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2208580,5.00,6.00,4.00,7.00,4.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2208601,3.00,2.00,1.00,0.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2208610,4.00,7.00,7.00,8.00,7.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2208628,4.00,8.00,5.00,8.00,6.00,10.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2208636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2208644,4.00,6.00,5.00,3.00,8.00,6.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2208652,1.00,7.00,5.00,4.00,7.00,5.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2208679,2.00,7.00,7.00,6.00,6.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2208687,4.00,8.00,5.00,4.00,7.00,5.25,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2208695,1.00,3.00,1.00,4.00,4.00,3.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2208709,5.00,5.00,7.00,4.00,5.00,4.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2208717,4.00,7.00,6.00,4.00,6.00,5.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2208725,5.00,7.00,6.00,6.00,5.00,4.75,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2208733,3.00,2.00,0.00,2.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2208741,1.00,7.00,0.00,3.00,8.00,3.75,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2208750,3.00,5.00,1.00,3.00,4.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2208768,2.00,5.00,2.00,7.00,4.00,5.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2208776,1.00,4.00,2.00,6.00,4.00,3.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2208792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2208806,3.00,6.00,5.00,6.00,5.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2208814,5.00,9.00,7.00,5.00,9.00,6.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2208830,4.00,5.00,6.00,5.00,3.00,3.00,6.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2208857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2208865,4.00,7.00,3.00,3.00,5.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2208873,4.00,7.00,4.00,3.00,6.00,5.50,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2208881,1.00,5.00,1.00,2.00,4.00,6.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2208903,3.00,7.00,6.00,2.00,6.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2208911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2208920,6.00,7.00,6.00,9.00,7.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2208938,2.00,4.00,1.00,4.00,5.00,6.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2208946,3.00,5.00,6.00,8.00,6.00,5.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2208954,4.00,4.00,4.00,4.00,6.00,3.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2208962,2.00,5.00,5.00,3.00,6.00,4.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2208997,4.00,6.00,4.00,4.00,7.00,4.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2209004,2.00,5.00,3.00,6.00,6.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2209012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2209020,1.00,8.00,3.00,6.00,7.00,5.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2209039,2.00,6.00,5.00,4.00,4.00,3.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2209047,1.00,5.00,4.00,7.00,4.00,4.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2209055,5.00,8.00,7.00,9.00,5.00,6.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2209063,4.00,7.00,4.00,6.00,7.00,3.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2209080,3.00,7.00,5.00,4.00,7.00,6.00,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2209098,3.00,6.00,3.00,2.00,6.00,5.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2209110,3.00,6.00,1.00,2.00,6.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2209128,6.00,6.00,5.00,4.00,7.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2209144,5.00,6.00,3.00,6.00,7.00,8.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2209160,3.00,0.00,0.00,0.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2209179,1.00,4.00,2.00,0.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2209187,6.00,7.00,6.00,9.00,8.00,6.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2209195,4.00,4.00,4.00,5.00,4.00,3.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2209209,2.00,7.00,3.00,5.00,5.00,6.75,3.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2209225,4.00,7.00,3.00,7.00,8.00,5.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2209233,3.00,6.00,3.00,7.00,6.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2209241,1.00,7.00,0.00,5.00,5.00,4.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2209250,7.00,8.00,5.00,4.00,7.00,3.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2209268,4.00,9.00,6.00,6.00,6.00,5.25,6.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2209276,2.00,5.00,7.00,3.00,5.00,4.75,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2209284,2.00,5.00,2.00,3.00,7.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2209292,1.00,9.00,5.00,4.00,5.00,6.25,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2209306,5.00,5.00,6.00,6.00,8.00,6.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2209314,7.00,7.00,6.00,7.00,9.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2209322,3.00,7.00,4.00,4.00,4.00,4.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2209330,2.00,5.00,2.00,5.00,6.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2209349,2.00,5.00,6.00,6.00,3.00,4.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2209357,2.00,6.00,1.00,4.00,7.00,4.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2209365,2.00,5.00,2.00,7.00,6.00,4.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2209381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2209390,5.00,7.00,2.00,5.00,6.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2209403,3.00,6.00,5.00,7.00,6.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2209411,4.00,7.00,8.00,8.00,8.00,8.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2209438,0.00,5.00,4.00,3.00,4.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(15,2209446,3.00,6.00,3.00,4.00,6.00,6.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2209454,4.00,6.00,5.00,5.00,7.00,5.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2209470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2209489,7.00,7.00,10.00,5.00,8.00,7.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2209497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2209500,4.00,7.00,1.00,7.00,6.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2209519,4.00,8.00,2.00,6.00,6.00,6.00,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2209527,2.00,4.00,4.00,6.00,5.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2209535,2.00,5.00,3.00,0.00,7.00,NULL,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2209543,1.00,7.00,5.00,8.00,8.00,5.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2209551,1.00,5.00,1.00,2.00,4.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2209560,3.00,5.00,1.00,4.00,5.00,4.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2209578,1.00,5.00,1.00,2.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2209586,4.00,7.00,5.00,6.00,7.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2209608,0.00,3.00,1.00,2.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2209616,1.00,6.00,2.00,5.00,6.00,5.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2209624,5.00,7.00,5.00,6.00,6.00,6.25,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2209632,5.00,6.00,4.00,4.00,7.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2209640,3.00,2.00,2.00,5.00,6.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2209659,2.00,4.00,1.00,1.00,4.00,4.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2209667,3.00,7.00,3.00,8.00,7.00,5.00,5.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2209675,4.00,5.00,1.00,4.00,7.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2209683,2.00,5.00,3.00,2.00,6.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2209691,4.00,8.00,7.00,8.00,9.00,5.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2209705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2209721,1.00,2.00,2.00,1.00,4.00,NULL,4.00,0.00,3.00,NULL,NULL,NULL,'S'),(15,2209730,2.00,7.00,3.00,4.00,4.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2209748,2.00,8.00,6.00,7.00,8.00,6.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2209756,5.00,8.00,4.00,7.00,7.00,5.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2209764,5.00,4.00,6.00,5.00,4.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2209772,5.00,8.00,5.00,7.00,8.00,5.50,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2209780,3.00,6.00,4.00,5.00,7.00,5.75,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2209799,5.00,6.00,7.00,3.00,6.00,6.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2209802,2.00,2.00,4.00,3.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2209810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2209829,5.00,8.00,5.00,3.00,7.00,4.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2209837,2.00,3.00,1.00,5.00,6.00,4.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2209845,5.00,9.00,4.00,8.00,9.00,6.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2209853,4.00,8.00,6.00,4.00,8.00,6.25,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2209861,7.00,9.00,8.00,9.00,7.00,6.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2209870,3.00,7.00,6.00,8.00,6.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2209888,1.00,6.00,1.00,2.00,6.00,4.75,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2209900,3.00,6.00,3.00,4.00,6.00,4.00,6.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2209918,1.00,3.00,1.00,1.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2209926,6.00,8.00,2.00,6.00,4.00,7.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2209934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2209942,2.00,7.00,7.00,7.00,7.00,5.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2209950,4.00,7.00,2.00,4.00,5.00,5.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2209969,4.00,3.00,4.00,4.00,6.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2209977,2.00,6.00,2.00,2.00,4.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2209985,3.00,6.00,2.00,3.00,4.00,5.50,6.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2209993,8.00,8.00,9.00,6.00,9.00,5.75,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2210010,3.00,6.00,3.00,7.00,8.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2210029,3.00,6.00,4.00,6.00,6.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2210037,5.00,7.00,6.00,7.00,7.00,7.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2210045,0.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2210053,4.00,6.00,4.00,7.00,7.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2210061,3.00,3.00,7.00,5.00,9.00,0.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2210070,9.00,7.00,6.00,9.00,8.00,5.25,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2210096,0.00,2.00,1.00,2.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2210100,4.00,5.00,2.00,5.00,7.00,6.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2210126,4.00,5.00,3.00,5.00,7.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2210134,2.00,5.00,2.00,1.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2210142,6.00,6.00,7.00,7.00,6.00,5.00,9.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2210150,6.00,7.00,9.00,7.00,6.00,4.75,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2210169,3.00,6.00,7.00,8.00,5.00,5.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2210177,5.00,7.00,7.00,9.00,8.00,4.75,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2210185,5.00,5.00,4.00,2.00,5.00,4.50,4.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2210193,0.00,5.00,1.00,7.00,6.00,5.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2210215,3.00,4.00,4.00,8.00,7.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2210223,5.00,8.00,5.00,1.00,7.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2210231,8.00,6.00,9.00,9.00,9.00,6.75,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2210240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2210258,2.00,5.00,2.00,3.00,8.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2210266,2.00,6.00,3.00,7.00,8.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2210274,2.00,5.00,2.00,2.00,4.00,5.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2210290,3.00,4.00,0.00,5.00,7.00,4.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2210304,5.00,4.00,4.00,5.00,6.00,5.75,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(15,2210312,4.00,7.00,5.00,8.00,8.00,5.75,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2210320,4.00,6.00,3.00,7.00,8.00,6.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2210339,0.00,5.00,4.00,5.00,5.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2210355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2210363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2210371,3.00,4.00,4.00,1.00,5.00,7.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2210380,6.00,8.00,7.00,6.00,9.00,6.75,8.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2210398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2210401,1.00,5.00,3.00,5.00,6.00,3.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2210410,4.00,7.00,3.00,2.00,4.00,4.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2210428,1.00,5.00,3.00,2.00,6.00,5.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2210436,3.00,8.00,3.00,7.00,7.00,6.00,4.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2210444,2.00,7.00,2.00,1.00,8.00,5.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2210452,2.00,7.00,4.00,7.00,7.00,7.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2210460,4.00,7.00,6.00,8.00,5.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2210479,0.00,7.00,2.00,5.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2210487,2.00,5.00,3.00,5.00,5.00,0.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2210509,5.00,5.00,5.00,5.00,7.00,6.75,6.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2210517,5.00,7.00,3.00,9.00,5.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2210525,2.00,4.00,1.00,2.00,4.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2210533,4.00,6.00,3.00,4.00,6.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2210541,1.00,7.00,4.00,7.00,6.00,3.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2210550,4.00,6.00,4.00,2.00,3.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2210576,1.00,6.00,3.00,0.00,0.00,NULL,4.00,3.00,2.00,'S',NULL,NULL,'S'),(15,2210584,1.00,3.00,1.00,4.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2210592,7.00,7.00,7.00,6.00,9.00,6.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2210606,4.00,5.00,3.00,6.00,6.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2210614,2.00,5.00,2.00,2.00,8.00,6.75,5.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2210622,2.00,8.00,1.00,4.00,5.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2210630,3.00,4.00,5.00,5.00,6.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2210657,5.00,8.00,6.00,3.00,7.00,6.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2210665,5.00,7.00,6.00,3.00,8.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2210673,3.00,5.00,1.00,7.00,7.00,6.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2210681,6.00,8.00,7.00,5.00,8.00,7.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2210690,7.00,7.00,5.00,6.00,6.00,4.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2210711,5.00,8.00,6.00,3.00,6.00,3.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2210720,4.00,8.00,3.00,7.00,7.00,8.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2210738,0.00,3.00,0.00,3.00,4.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2210746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2210754,5.00,7.00,7.00,4.00,7.00,5.50,9.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2210762,2.00,4.00,2.00,2.00,4.00,4.25,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2210770,4.00,6.00,4.00,8.00,4.00,4.25,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2210789,2.00,5.00,2.00,5.00,7.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2210797,5.00,6.00,5.00,5.00,7.00,7.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2210800,4.00,6.00,4.00,4.00,5.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2210819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2210827,4.00,5.00,4.00,6.00,7.00,5.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2210835,7.00,8.00,8.00,8.00,8.00,6.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2210843,3.00,7.00,7.00,8.00,7.00,7.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2210851,2.00,6.00,3.00,3.00,7.00,5.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2210878,0.00,3.00,5.00,2.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2210886,5.00,7.00,6.00,7.00,9.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2210894,4.00,8.00,2.00,7.00,8.00,5.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2210908,3.00,8.00,1.00,8.00,7.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2210916,2.00,8.00,4.00,5.00,8.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2210924,3.00,5.00,3.00,6.00,5.00,6.00,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2210932,3.00,7.00,4.00,6.00,7.00,6.50,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2210940,3.00,7.00,2.00,5.00,8.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2210959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2210967,3.00,5.00,1.00,3.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2210975,4.00,8.00,6.00,7.00,9.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2210983,3.00,7.00,2.00,7.00,6.00,5.75,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2210991,0.00,1.00,3.00,3.00,0.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2211009,1.00,4.00,2.00,8.00,6.00,4.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2211017,3.00,6.00,3.00,4.00,5.00,5.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2211025,3.00,8.00,9.00,9.00,8.00,6.75,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2211033,4.00,6.00,3.00,5.00,5.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2211041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2211068,1.00,7.00,7.00,8.00,5.00,4.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2211076,4.00,8.00,5.00,3.00,3.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2211084,2.00,2.00,1.00,3.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2211092,1.00,3.00,1.00,0.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2211106,9.00,8.00,9.00,8.00,9.00,6.25,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2211114,2.00,4.00,3.00,1.00,4.00,6.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2211122,5.00,7.00,3.00,6.00,9.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2211130,3.00,7.00,3.00,3.00,9.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2211149,6.00,7.00,6.00,8.00,8.00,6.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2211157,1.00,5.00,4.00,4.00,7.00,5.25,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2211165,2.00,6.00,3.00,3.00,6.00,6.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2211173,0.00,5.00,0.00,3.00,8.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2211181,4.00,8.00,3.00,7.00,7.00,5.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2211190,3.00,4.00,5.00,7.00,7.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2211203,4.00,6.00,1.00,0.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2211211,1.00,7.00,3.00,7.00,7.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2211220,4.00,8.00,7.00,7.00,7.00,6.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2211238,7.00,8.00,7.00,5.00,7.00,5.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2211246,3.00,6.00,3.00,5.00,4.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2211254,5.00,8.00,8.00,8.00,9.00,5.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2211262,2.00,7.00,3.00,8.00,5.00,6.25,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2211270,1.00,5.00,4.00,6.00,4.00,3.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2211289,5.00,7.00,5.00,5.00,7.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2211297,3.00,5.00,1.00,2.00,6.00,6.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2211300,2.00,6.00,3.00,7.00,4.00,4.75,8.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2211335,2.00,4.00,0.00,2.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2211343,2.00,5.00,4.00,9.00,8.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2211351,2.00,8.00,3.00,8.00,6.00,5.00,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2211386,2.00,6.00,3.00,6.00,3.00,5.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2211394,4.00,4.00,2.00,4.00,9.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2211408,7.00,8.00,6.00,5.00,7.00,6.75,8.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2211416,7.00,9.00,7.00,7.00,9.00,7.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2211424,2.00,3.00,2.00,2.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2211432,5.00,8.00,4.00,8.00,9.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2211440,5.00,7.00,7.00,8.00,7.00,5.50,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2211459,5.00,9.00,3.00,6.00,6.00,6.25,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2211467,4.00,8.00,4.00,5.00,6.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2211475,5.00,8.00,4.00,6.00,9.00,6.50,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2211483,2.00,6.00,2.00,0.00,6.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2211491,0.00,3.00,0.00,2.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2211505,4.00,5.00,0.00,4.00,8.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2211513,2.00,5.00,3.00,5.00,5.00,4.50,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2211521,2.00,4.00,4.00,7.00,4.00,5.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2211530,2.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2211548,4.00,7.00,3.00,2.00,6.00,6.25,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2211556,3.00,7.00,5.00,6.00,6.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2211564,0.00,4.00,2.00,5.00,5.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'S'),(15,2211572,3.00,7.00,5.00,8.00,8.00,7.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2211599,4.00,7.00,4.00,8.00,6.00,6.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2211610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2211629,4.00,7.00,3.00,6.00,8.00,5.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2211653,3.00,6.00,2.00,1.00,8.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2211661,1.00,3.00,2.00,3.00,4.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2211670,7.00,8.00,6.00,4.00,7.00,5.50,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2211688,2.00,4.00,1.00,1.00,4.00,4.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2211696,5.00,5.00,7.00,5.00,6.00,5.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2211700,3.00,5.00,5.00,2.00,3.00,4.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2211718,4.00,8.00,4.00,4.00,7.00,6.50,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2211734,0.00,0.00,0.00,2.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2211742,5.00,6.00,6.00,8.00,7.00,4.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2211750,2.00,5.00,1.00,3.00,3.00,5.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2211777,5.00,9.00,8.00,9.00,7.00,5.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2211785,7.00,8.00,9.00,7.00,7.00,6.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2211793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2211807,0.00,6.00,5.00,7.00,5.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2211815,3.00,7.00,4.00,7.00,7.00,6.25,8.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2211823,6.00,8.00,9.00,7.00,8.00,5.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2211840,2.00,6.00,4.00,3.00,4.00,5.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2211866,3.00,6.00,5.00,7.00,3.00,5.00,4.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2211874,3.00,6.00,7.00,9.00,8.00,8.00,6.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2211882,5.00,5.00,3.00,7.00,8.00,6.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2211890,3.00,7.00,6.00,4.00,8.00,4.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2211904,3.00,6.00,6.00,1.00,8.00,5.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2211920,5.00,8.00,4.00,8.00,8.00,7.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2211939,1.00,0.00,0.00,4.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2211947,2.00,6.00,1.00,0.00,4.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2211955,1.00,4.00,1.00,0.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2211963,1.00,6.00,4.00,5.00,6.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2211971,4.00,9.00,5.00,3.00,8.00,3.75,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2211980,4.00,6.00,6.00,6.00,8.00,5.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2211998,4.00,3.00,1.00,2.00,2.00,NULL,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2212005,3.00,6.00,5.00,5.00,7.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2212021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2212048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2212056,2.00,5.00,4.00,1.00,3.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2212064,4.00,7.00,5.00,7.00,8.00,5.75,7.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2212072,6.00,8.00,5.00,9.00,8.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2212080,4.00,7.00,4.00,4.00,5.00,6.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2212099,4.00,6.00,6.00,9.00,8.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2212102,2.00,3.00,2.00,0.00,7.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2212110,4.00,8.00,8.00,8.00,5.00,5.75,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2212129,7.00,8.00,8.00,7.00,8.00,5.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2212137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2212145,5.00,8.00,6.00,7.00,8.00,5.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2212153,6.00,6.00,5.00,1.00,7.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2212161,5.00,6.00,3.00,4.00,8.00,6.75,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2212170,4.00,5.00,3.00,5.00,6.00,6.75,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2212188,0.00,6.00,2.00,2.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2212196,4.00,7.00,6.00,6.00,5.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2212200,6.00,8.00,4.00,6.00,9.00,7.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2212218,2.00,5.00,2.00,3.00,5.00,6.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2212226,6.00,8.00,7.00,8.00,8.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2212234,3.00,7.00,5.00,7.00,6.00,5.50,6.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2212242,5.00,7.00,3.00,6.00,6.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2212250,2.00,4.00,6.00,5.00,4.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2212277,2.00,6.00,1.00,3.00,6.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2212285,1.00,5.00,2.00,2.00,6.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2212293,2.00,6.00,2.00,8.00,5.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2212307,1.00,3.00,5.00,5.00,7.00,4.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2212315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2212323,5.00,4.00,6.00,7.00,7.00,4.75,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2212340,2.00,4.00,3.00,1.00,5.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2212366,2.00,7.00,3.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2212374,1.00,6.00,4.00,6.00,6.00,5.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2212382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2212390,1.00,6.00,4.00,1.00,5.00,2.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2212404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2212412,6.00,7.00,4.00,6.00,7.00,4.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2212420,3.00,6.00,3.00,8.00,5.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2212439,1.00,5.00,5.00,3.00,6.00,5.75,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2212447,4.00,7.00,5.00,9.00,7.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2212463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2212471,3.00,6.00,3.00,4.00,5.00,4.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2212480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2212501,5.00,7.00,7.00,9.00,4.00,6.75,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2212510,4.00,9.00,8.00,6.00,6.00,6.00,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2212528,4.00,8.00,8.00,8.00,6.00,4.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2212544,3.00,9.00,8.00,9.00,9.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2212552,2.00,4.00,2.00,1.00,5.00,2.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2212560,2.00,4.00,1.00,4.00,7.00,4.75,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2212579,2.00,8.00,3.00,6.00,8.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2212587,5.00,8.00,6.00,8.00,7.00,4.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2212595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2212617,4.00,9.00,6.00,8.00,9.00,7.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2212625,1.00,4.00,3.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2212633,5.00,7.00,2.00,6.00,7.00,6.50,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2212641,2.00,5.00,1.00,0.00,6.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2212650,1.00,3.00,2.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2212668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2212676,3.00,4.00,3.00,3.00,6.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2212684,0.00,6.00,4.00,4.00,3.00,4.00,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2212692,3.00,7.00,2.00,5.00,8.00,3.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2212706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2212714,8.00,9.00,9.00,9.00,8.00,6.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2212722,5.00,6.00,2.00,5.00,6.00,5.25,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2212730,6.00,9.00,9.00,8.00,8.00,5.75,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2212749,5.00,8.00,8.00,8.00,9.00,6.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2212757,5.00,7.00,7.00,4.00,8.00,5.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2212773,7.00,9.00,7.00,8.00,7.00,6.25,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2212781,2.00,8.00,7.00,8.00,5.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2212790,5.00,6.00,7.00,4.00,8.00,7.50,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2212803,5.00,5.00,2.00,4.00,7.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2212811,5.00,7.00,5.00,5.00,7.00,5.00,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2212820,1.00,3.00,2.00,5.00,4.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2212838,7.00,8.00,6.00,7.00,7.00,8.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2212854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2212862,6.00,7.00,7.00,6.00,7.00,6.25,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2212870,5.00,6.00,2.00,3.00,7.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2212889,1.00,5.00,1.00,6.00,6.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2212900,2.00,7.00,5.00,7.00,6.00,5.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2212919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2212927,2.00,4.00,2.00,3.00,5.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2212935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2212943,0.00,4.00,1.00,2.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2212960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2212986,3.00,6.00,5.00,2.00,8.00,5.50,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2212994,3.00,7.00,5.00,6.00,6.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2213001,5.00,8.00,9.00,3.00,7.00,8.00,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2213010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2213028,3.00,8.00,6.00,4.00,7.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2213044,8.00,7.00,6.00,7.00,8.00,5.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2213052,3.00,6.00,1.00,2.00,6.00,0.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2213060,3.00,7.00,6.00,7.00,9.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2213079,2.00,3.00,2.00,3.00,3.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2213087,4.00,5.00,4.00,2.00,3.00,5.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2213095,4.00,7.00,5.00,6.00,6.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2213109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2213117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2213133,2.00,5.00,4.00,3.00,4.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2213150,1.00,4.00,2.00,3.00,6.00,4.50,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2213168,3.00,7.00,5.00,8.00,7.00,6.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2213176,2.00,7.00,2.00,2.00,5.00,4.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2213184,6.00,5.00,6.00,7.00,9.00,5.00,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2213192,5.00,7.00,6.00,7.00,8.00,4.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2213206,3.00,7.00,4.00,4.00,7.00,5.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2213214,4.00,7.00,6.00,7.00,6.00,5.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2213222,4.00,7.00,3.00,5.00,8.00,7.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2213230,4.00,8.00,4.00,6.00,8.00,4.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2213249,5.00,7.00,7.00,4.00,6.00,5.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2213265,6.00,7.00,7.00,8.00,8.00,7.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2213273,4.00,7.00,8.00,7.00,9.00,6.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2213281,1.00,6.00,6.00,5.00,4.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2213303,3.00,7.00,5.00,4.00,7.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2213311,2.00,5.00,5.00,2.00,5.00,6.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2213320,3.00,6.00,4.00,4.00,7.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2213338,4.00,7.00,6.00,3.00,5.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2213346,1.00,5.00,4.00,5.00,5.00,6.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2213354,1.00,1.00,1.00,6.00,4.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2213362,5.00,7.00,5.00,7.00,5.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2213370,4.00,6.00,3.00,6.00,8.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2213389,2.00,7.00,1.00,3.00,6.00,4.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2213397,4.00,7.00,0.00,5.00,7.00,4.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2213400,1.00,2.00,1.00,6.00,4.00,NULL,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(15,2213419,2.00,3.00,1.00,4.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2213427,2.00,6.00,5.00,8.00,5.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2213435,3.00,6.00,2.00,5.00,5.00,6.25,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2213443,2.00,4.00,3.00,2.00,5.00,6.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2213451,5.00,7.00,7.00,8.00,7.00,6.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2213460,3.00,8.00,6.00,7.00,5.00,6.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2213478,3.00,6.00,2.00,2.00,6.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2213486,4.00,8.00,4.00,6.00,5.00,7.00,5.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2213494,1.00,6.00,2.00,0.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2213508,4.00,6.00,3.00,5.00,5.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2213516,2.00,6.00,1.00,4.00,4.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2213524,0.00,0.00,1.00,0.00,1.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2213532,3.00,4.00,5.00,6.00,5.00,6.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2213559,7.00,8.00,9.00,9.00,7.00,4.75,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2213583,5.00,7.00,6.00,8.00,8.00,6.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2213591,2.00,6.00,5.00,0.00,5.00,6.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2213605,3.00,5.00,3.00,7.00,6.00,7.50,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2213613,5.00,8.00,8.00,8.00,9.00,6.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2213621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2213648,3.00,4.00,4.00,2.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2213656,2.00,6.00,0.00,2.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2213664,2.00,7.00,1.00,0.00,4.00,4.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2213672,6.00,8.00,6.00,10.00,8.00,6.75,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2213680,0.00,4.00,2.00,3.00,4.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2213699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2213729,3.00,3.00,0.00,4.00,8.00,4.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2213737,2.00,6.00,2.00,7.00,4.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2213753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2213761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2213788,4.00,7.00,5.00,6.00,7.00,7.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2213796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2213800,5.00,6.00,5.00,5.00,7.00,5.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2213826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2213834,3.00,7.00,5.00,8.00,8.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2213842,5.00,8.00,8.00,8.00,9.00,5.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2213850,2.00,7.00,2.00,8.00,7.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2213869,2.00,5.00,3.00,5.00,3.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2213885,1.00,4.00,5.00,6.00,7.00,6.00,5.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2213893,3.00,4.00,3.00,5.00,5.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2213907,4.00,6.00,3.00,7.00,6.00,6.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2213915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2213923,1.00,6.00,3.00,2.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2213931,2.00,5.00,3.00,1.00,6.00,5.00,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2213940,2.00,7.00,4.00,8.00,6.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2213966,4.00,6.00,4.00,7.00,2.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2213974,1.00,6.00,1.00,1.00,5.00,6.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2213990,2.00,6.00,3.00,2.00,7.00,4.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2214008,3.00,4.00,4.00,3.00,4.00,4.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2214016,2.00,4.00,1.00,6.00,5.00,5.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2214024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2214032,2.00,4.00,0.00,1.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2214040,4.00,6.00,2.00,6.00,6.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2214059,3.00,6.00,2.00,3.00,6.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2214067,3.00,7.00,1.00,1.00,5.00,3.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2214075,1.00,6.00,1.00,4.00,6.00,6.25,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2214091,4.00,5.00,1.00,7.00,6.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2214105,3.00,7.00,2.00,6.00,7.00,4.25,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2214113,3.00,7.00,6.00,5.00,4.00,4.75,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2214121,1.00,7.00,4.00,0.00,7.00,4.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2214130,1.00,1.00,1.00,1.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2214156,1.00,3.00,4.00,1.00,4.00,3.25,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2214164,1.00,5.00,1.00,3.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2214172,5.00,8.00,6.00,9.00,9.00,6.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2214180,5.00,5.00,4.00,7.00,8.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2214202,2.00,6.00,2.00,7.00,8.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2214210,6.00,8.00,7.00,9.00,8.00,7.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2214229,2.00,5.00,2.00,3.00,6.00,5.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2214245,4.00,8.00,1.00,6.00,4.00,5.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2214253,3.00,6.00,2.00,9.00,8.00,5.75,7.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2214270,4.00,7.00,2.00,4.00,7.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2214296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2214300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2214326,2.00,7.00,3.00,2.00,6.00,4.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2214342,1.00,7.00,1.00,6.00,6.00,4.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2214350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2214369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2214377,7.00,9.00,8.00,6.00,8.00,5.75,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2214385,2.00,5.00,3.00,5.00,6.00,4.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2214393,3.00,7.00,2.00,4.00,5.00,3.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2214407,1.00,3.00,5.00,3.00,5.00,6.50,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2214415,2.00,5.00,2.00,5.00,4.00,4.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2214431,0.00,7.00,2.00,6.00,7.00,6.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2214458,8.00,7.00,9.00,4.00,7.00,6.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2214466,1.00,4.00,2.00,1.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2214474,4.00,8.00,7.00,4.00,8.00,5.25,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2214482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2214490,2.00,3.00,1.00,1.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2214504,4.00,3.00,3.00,3.00,3.00,3.25,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2214512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2214520,4.00,5.00,1.00,4.00,5.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2214555,7.00,8.00,7.00,7.00,7.00,6.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2214571,4.00,7.00,5.00,5.00,7.00,6.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2214580,1.00,3.00,2.00,5.00,5.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2214598,3.00,6.00,5.00,2.00,4.00,5.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2214601,5.00,8.00,4.00,5.00,8.00,7.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2214610,1.00,7.00,3.00,1.00,6.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2214628,4.00,6.00,4.00,5.00,7.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2214636,5.00,7.00,7.00,7.00,6.00,5.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2214644,3.00,4.00,3.00,2.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2214652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2214660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2214679,3.00,5.00,2.00,6.00,6.00,4.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2214687,6.00,7.00,4.00,5.00,9.00,5.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2214709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2214733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2214741,2.00,6.00,1.00,6.00,7.00,6.25,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2214750,2.00,6.00,2.00,2.00,2.00,NULL,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2214776,1.00,7.00,3.00,3.00,7.00,6.00,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2214792,5.00,7.00,6.00,2.00,7.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2214814,2.00,5.00,2.00,4.00,4.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2214822,1.00,6.00,1.00,5.00,5.00,5.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2214830,2.00,3.00,1.00,0.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2214849,4.00,8.00,5.00,7.00,5.00,7.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2214857,4.00,6.00,4.00,3.00,6.00,4.50,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2214881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2214890,3.00,5.00,4.00,5.00,7.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2214903,6.00,9.00,5.00,7.00,7.00,5.25,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2214911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2214938,1.00,5.00,3.00,5.00,5.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2214954,2.00,6.00,4.00,8.00,8.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2214989,4.00,7.00,3.00,9.00,6.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2214997,3.00,6.00,1.00,4.00,5.00,4.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2215004,2.00,7.00,3.00,3.00,3.00,6.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2215012,6.00,7.00,6.00,5.00,6.00,5.00,8.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2215047,2.00,5.00,1.00,6.00,4.00,4.50,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(15,2215055,4.00,7.00,4.00,1.00,7.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2215063,4.00,6.00,0.00,4.00,7.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2215071,2.00,7.00,5.00,5.00,8.00,5.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2215080,2.00,5.00,1.00,2.00,7.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2215101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2215110,3.00,8.00,4.00,5.00,6.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2215128,3.00,5.00,1.00,2.00,5.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2215136,0.00,2.00,3.00,1.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2215144,6.00,6.00,5.00,5.00,7.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2215152,2.00,6.00,5.00,6.00,8.00,6.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2215160,5.00,8.00,4.00,9.00,9.00,5.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2215187,2.00,3.00,1.00,2.00,4.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2215209,3.00,7.00,6.00,6.00,6.00,7.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2215217,4.00,6.00,4.00,2.00,4.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2215225,2.00,6.00,1.00,7.00,5.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2215233,3.00,7.00,5.00,5.00,7.00,3.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2215241,1.00,1.00,1.00,5.00,6.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2215268,4.00,6.00,4.00,7.00,8.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2215276,4.00,1.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2215284,3.00,7.00,4.00,6.00,5.00,0.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2215292,1.00,5.00,1.00,5.00,6.00,5.25,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2215306,1.00,3.00,2.00,0.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2215322,7.00,8.00,8.00,5.00,8.00,8.00,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2215330,4.00,8.00,2.00,3.00,7.00,4.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2215349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2215357,3.00,6.00,4.00,9.00,7.00,7.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2215373,2.00,4.00,3.00,4.00,6.00,5.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2215381,3.00,2.00,2.00,5.00,8.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2215390,4.00,8.00,7.00,8.00,8.00,7.75,5.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2215403,3.00,6.00,3.00,3.00,5.00,4.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2215411,4.00,6.00,8.00,6.00,7.00,6.50,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2215420,3.00,6.00,1.00,5.00,6.00,0.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2215438,2.00,6.00,4.00,5.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2215454,4.00,7.00,3.00,6.00,4.00,5.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2215470,4.00,7.00,1.00,3.00,8.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2215489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2215497,4.00,6.00,4.00,5.00,8.00,5.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2215500,2.00,4.00,1.00,2.00,6.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2215519,3.00,4.00,2.00,5.00,4.00,3.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2215527,1.00,6.00,3.00,2.00,3.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2215535,4.00,6.00,1.00,1.00,4.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2215543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2215551,6.00,6.00,5.00,5.00,8.00,5.25,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2215560,2.00,2.00,1.00,0.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2215594,3.00,6.00,2.00,6.00,5.00,5.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2215608,0.00,3.00,0.00,5.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2215616,1.00,5.00,0.00,2.00,4.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2215624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2215640,8.00,8.00,5.00,4.00,7.00,4.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2215659,3.00,8.00,1.00,4.00,7.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2215667,1.00,6.00,1.00,5.00,4.00,3.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2215675,2.00,6.00,3.00,3.00,6.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2215683,1.00,5.00,2.00,1.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2215691,6.00,6.00,5.00,7.00,7.00,7.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2215705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2215713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2215721,3.00,2.00,2.00,4.00,4.00,5.75,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2215748,2.00,6.00,0.00,6.00,4.00,5.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2215772,2.00,7.00,5.00,4.00,6.00,4.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2215780,7.00,8.00,9.00,9.00,8.00,6.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2215799,4.00,8.00,5.00,6.00,7.00,5.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2215802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2215810,4.00,6.00,5.00,9.00,6.00,6.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2215829,3.00,7.00,6.00,5.00,3.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2215837,1.00,3.00,1.00,3.00,4.00,3.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2215845,3.00,3.00,3.00,1.00,4.00,4.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2215853,3.00,7.00,4.00,7.00,4.00,3.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2215870,3.00,5.00,3.00,7.00,6.00,6.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2215888,2.00,5.00,2.00,5.00,3.00,4.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2215896,5.00,6.00,3.00,6.00,8.00,6.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2215900,5.00,5.00,4.00,8.00,5.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2215918,2.00,4.00,1.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2215926,2.00,7.00,3.00,4.00,7.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2215934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2215942,5.00,7.00,5.00,8.00,8.00,6.25,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2215950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2215969,4.00,5.00,6.00,6.00,8.00,8.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2215977,5.00,6.00,0.00,8.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2215985,3.00,3.00,2.00,2.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2215993,3.00,6.00,1.00,2.00,6.00,5.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2216000,1.00,7.00,2.00,5.00,5.00,6.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2216019,5.00,8.00,5.00,6.00,8.00,6.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2216027,2.00,4.00,3.00,4.00,5.00,4.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2216035,3.00,7.00,4.00,5.00,7.00,4.50,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2216060,4.00,6.00,4.00,9.00,6.00,6.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2216078,8.00,9.00,8.00,6.00,6.00,8.00,7.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2216086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2216094,4.00,8.00,0.00,9.00,7.00,NULL,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2216116,5.00,4.00,5.00,5.00,7.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2216124,3.00,7.00,5.00,0.00,5.00,5.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2216132,1.00,5.00,4.00,6.00,5.00,3.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2216140,1.00,7.00,2.00,4.00,6.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2216159,7.00,7.00,7.00,5.00,8.00,5.75,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2216167,3.00,5.00,1.00,3.00,3.00,3.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2216175,4.00,7.00,4.00,8.00,6.00,4.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2216183,3.00,8.00,3.00,8.00,5.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2216191,5.00,6.00,7.00,6.00,8.00,6.50,9.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2216205,4.00,7.00,5.00,5.00,6.00,3.75,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2216213,2.00,7.00,1.00,7.00,6.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2216221,2.00,7.00,5.00,9.00,7.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2216230,7.00,8.00,8.00,6.00,9.00,5.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2216248,4.00,8.00,8.00,5.00,7.00,6.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2216264,2.00,4.00,5.00,4.00,5.00,5.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2216272,2.00,7.00,5.00,3.00,5.00,3.75,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2216280,3.00,5.00,2.00,4.00,7.00,6.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2216299,2.00,6.00,5.00,7.00,6.00,5.50,6.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2216329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2216337,4.00,5.00,5.00,7.00,7.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2216345,4.00,8.00,8.00,8.00,8.00,6.75,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2216353,3.00,5.00,4.00,5.00,4.00,5.50,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2216361,5.00,9.00,6.00,8.00,8.00,5.75,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2216370,2.00,7.00,5.00,3.00,6.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2216388,1.00,4.00,4.00,8.00,6.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2216396,5.00,6.00,4.00,9.00,8.00,6.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2216400,0.00,2.00,0.00,1.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2216418,4.00,6.00,3.00,4.00,5.00,4.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2216426,2.00,4.00,3.00,3.00,6.00,4.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2216434,3.00,6.00,6.00,5.00,6.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2216442,3.00,7.00,4.00,9.00,8.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2216450,3.00,7.00,2.00,1.00,7.00,4.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2216469,2.00,7.00,3.00,1.00,3.00,5.00,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2216477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2216485,4.00,8.00,2.00,6.00,8.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2216507,2.00,7.00,1.00,2.00,6.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2216515,4.00,7.00,4.00,4.00,9.00,6.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2216523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2216531,3.00,5.00,5.00,5.00,8.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2216540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2216566,7.00,9.00,7.00,7.00,8.00,6.50,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2216574,2.00,7.00,6.00,8.00,6.00,5.75,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2216582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2216604,8.00,8.00,9.00,9.00,9.00,7.00,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2216612,2.00,3.00,4.00,1.00,5.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2216620,4.00,7.00,4.00,3.00,6.00,4.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2216639,3.00,7.00,4.00,6.00,4.00,6.50,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2216647,8.00,9.00,6.00,9.00,5.00,7.00,8.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2216671,0.00,5.00,6.00,3.00,5.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2216680,9.00,8.00,9.00,2.00,9.00,7.00,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2216698,3.00,5.00,3.00,5.00,5.00,5.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2216701,6.00,8.00,9.00,9.00,9.00,6.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2216710,3.00,7.00,7.00,6.00,8.00,5.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2216728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2216736,4.00,7.00,7.00,9.00,8.00,3.25,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2216744,3.00,7.00,3.00,8.00,8.00,8.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2216752,3.00,6.00,5.00,4.00,7.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2216760,2.00,6.00,5.00,7.00,9.00,4.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2216779,2.00,3.00,1.00,3.00,5.00,6.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2216795,5.00,6.00,3.00,8.00,7.00,6.00,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2216809,1.00,5.00,2.00,4.00,3.00,3.75,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2216817,7.00,8.00,9.00,4.00,9.00,5.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2216825,5.00,6.00,5.00,8.00,8.00,4.75,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2216833,3.00,7.00,5.00,7.00,8.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2216850,3.00,7.00,3.00,5.00,5.00,4.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2216868,5.00,3.00,3.00,3.00,4.00,4.00,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2216876,4.00,6.00,5.00,5.00,6.00,5.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2216884,0.00,4.00,0.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2216892,4.00,6.00,5.00,8.00,6.00,8.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2216906,4.00,8.00,6.00,6.00,7.00,6.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2216914,3.00,7.00,0.00,2.00,4.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2216922,3.00,4.00,3.00,3.00,3.00,4.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2216930,5.00,7.00,8.00,8.00,6.00,6.75,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2216949,3.00,6.00,2.00,7.00,6.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2216957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2216965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2216973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2216981,2.00,5.00,0.00,3.00,7.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2216990,9.00,9.00,8.00,9.00,9.00,6.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2217007,3.00,5.00,3.00,2.00,5.00,4.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2217015,2.00,4.00,3.00,6.00,7.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2217023,5.00,7.00,4.00,3.00,8.00,4.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2217031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2217040,1.00,4.00,1.00,6.00,3.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2217058,6.00,7.00,5.00,9.00,8.00,7.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2217112,4.00,7.00,3.00,2.00,5.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2217120,1.00,7.00,7.00,4.00,5.00,3.75,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2217139,6.00,8.00,6.00,7.00,9.00,5.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2217147,1.00,6.00,2.00,4.00,7.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2217155,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2217163,5.00,8.00,6.00,6.00,7.00,6.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2217171,4.00,4.00,2.00,5.00,6.00,5.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2217180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2217198,1.00,5.00,4.00,0.00,0.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2217201,4.00,7.00,4.00,2.00,6.00,6.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2217210,2.00,8.00,4.00,6.00,7.00,5.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2217228,5.00,7.00,7.00,5.00,8.00,4.50,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2217244,4.00,6.00,5.00,8.00,6.00,8.00,7.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2217252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2217260,2.00,4.00,3.00,3.00,7.00,5.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2217279,2.00,5.00,5.00,5.00,4.00,4.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2217287,1.00,7.00,4.00,6.00,4.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2217309,2.00,4.00,1.00,4.00,5.00,6.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2217317,1.00,4.00,1.00,5.00,7.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2217325,2.00,5.00,1.00,6.00,7.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2217341,4.00,7.00,1.00,4.00,5.00,6.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2217350,2.00,4.00,2.00,3.00,3.00,4.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2217368,3.00,7.00,2.00,8.00,7.00,4.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2217376,4.00,4.00,4.00,2.00,6.00,4.00,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2217384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2217392,3.00,7.00,6.00,4.00,5.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2217406,2.00,3.00,1.00,1.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2217414,3.00,7.00,4.00,5.00,6.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2217430,1.00,6.00,1.00,8.00,7.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2217449,8.00,7.00,8.00,8.00,9.00,7.25,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2217457,2.00,7.00,8.00,3.00,7.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2217465,7.00,7.00,7.00,8.00,8.00,6.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2217473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2217481,3.00,4.00,4.00,5.00,5.00,3.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2217490,1.00,5.00,0.00,0.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2217503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2217511,5.00,6.00,4.00,6.00,6.00,5.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2217520,4.00,6.00,3.00,3.00,6.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2217538,3.00,5.00,3.00,1.00,4.00,4.00,5.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2217546,4.00,6.00,2.00,4.00,5.00,3.75,6.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2217554,4.00,8.00,7.00,7.00,8.00,6.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2217562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2217570,5.00,8.00,5.00,7.00,9.00,7.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2217589,2.00,4.00,4.00,1.00,6.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2217597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2217619,1.00,3.00,6.00,3.00,5.00,5.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2217627,4.00,7.00,2.00,1.00,7.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2217643,1.00,7.00,2.00,5.00,4.00,3.75,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2217660,7.00,7.00,7.00,6.00,7.00,4.75,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2217678,2.00,2.00,1.00,1.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2217686,1.00,4.00,1.00,1.00,4.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2217694,1.00,5.00,1.00,5.00,6.00,4.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2217708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2217724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2217732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2217740,3.00,3.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2217759,4.00,6.00,5.00,3.00,5.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2217767,2.00,7.00,1.00,7.00,5.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2217775,4.00,5.00,5.00,4.00,6.00,1.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2217783,5.00,5.00,5.00,6.00,6.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2217791,1.00,3.00,1.00,5.00,4.00,5.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2217813,3.00,6.00,4.00,3.00,3.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2217821,4.00,7.00,1.00,5.00,7.00,3.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2217830,6.00,6.00,6.00,6.00,9.00,5.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2217848,0.00,5.00,1.00,1.00,5.00,6.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2217856,2.00,7.00,7.00,5.00,5.00,4.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2217864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2217872,6.00,6.00,6.00,8.00,6.00,6.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2217880,4.00,7.00,3.00,8.00,5.00,7.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2217899,5.00,6.00,5.00,2.00,9.00,6.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2217910,4.00,8.00,6.00,3.00,6.00,3.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2217937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2217945,5.00,9.00,5.00,8.00,7.00,6.50,7.00,9.00,2.00,NULL,NULL,NULL,'N'),(15,2217953,3.00,6.00,0.00,1.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2217961,5.00,8.00,8.00,5.00,6.00,7.00,6.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2217970,5.00,7.00,4.00,6.00,5.00,4.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2217988,0.00,4.00,1.00,0.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2217996,7.00,8.00,8.00,8.00,8.00,7.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2218003,2.00,3.00,3.00,3.00,4.00,5.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2218020,3.00,5.00,3.00,2.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'S'),(15,2218038,2.00,5.00,0.00,6.00,7.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2218046,0.00,3.00,2.00,3.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2218054,1.00,3.00,0.00,5.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2218062,2.00,7.00,1.00,5.00,5.00,6.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2218070,6.00,8.00,6.00,5.00,8.00,6.25,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2218089,7.00,6.00,7.00,7.00,6.00,6.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2218097,5.00,5.00,4.00,3.00,4.00,7.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2218100,3.00,4.00,2.00,3.00,7.00,8.00,7.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2218119,3.00,6.00,0.00,2.00,6.00,3.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2218127,5.00,7.00,7.00,7.00,7.00,4.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2218135,3.00,7.00,7.00,5.00,6.00,6.25,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2218160,7.00,3.00,5.00,7.00,8.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2218178,1.00,6.00,6.00,6.00,6.00,5.50,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2218186,0.00,4.00,5.00,4.00,7.00,5.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2218194,0.00,4.00,3.00,1.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2218208,6.00,5.00,5.00,4.00,5.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2218216,4.00,4.00,2.00,6.00,5.00,4.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2218224,5.00,6.00,2.00,5.00,5.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2218232,3.00,7.00,4.00,1.00,5.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2218240,2.00,6.00,4.00,7.00,6.00,6.50,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2218259,3.00,8.00,1.00,4.00,6.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2218267,6.00,7.00,7.00,4.00,8.00,4.75,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2218275,0.00,5.00,2.00,8.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2218283,6.00,8.00,5.00,8.00,8.00,6.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2218305,5.00,6.00,7.00,7.00,8.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2218313,3.00,3.00,3.00,5.00,7.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2218321,5.00,8.00,7.00,6.00,7.00,5.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2218330,3.00,4.00,3.00,6.00,5.00,5.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2218348,5.00,6.00,2.00,3.00,4.00,4.25,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2218356,6.00,9.00,8.00,9.00,8.00,7.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2218364,5.00,8.00,6.00,7.00,8.00,6.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2218380,3.00,7.00,3.00,8.00,6.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2218399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2218410,2.00,6.00,3.00,6.00,6.00,4.50,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2218429,2.00,6.00,4.00,3.00,7.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2218437,4.00,5.00,0.00,5.00,6.00,4.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2218445,5.00,7.00,8.00,4.00,8.00,6.50,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2218453,5.00,8.00,6.00,8.00,9.00,6.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2218461,3.00,4.00,3.00,4.00,7.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2218470,4.00,5.00,0.00,5.00,7.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2218488,5.00,6.00,3.00,5.00,6.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2218496,1.00,7.00,3.00,6.00,6.00,5.00,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2218500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2218518,4.00,5.00,5.00,5.00,5.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2218526,7.00,8.00,9.00,5.00,8.00,6.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2218534,0.00,0.00,0.00,3.00,2.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2218542,3.00,6.00,2.00,4.00,8.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2218569,3.00,7.00,6.00,7.00,7.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2218577,3.00,8.00,4.00,6.00,6.00,4.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2218585,1.00,3.00,2.00,2.00,8.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2218593,2.00,4.00,2.00,9.00,7.00,6.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2218607,1.00,3.00,1.00,4.00,5.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2218615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2218623,3.00,4.00,4.00,6.00,6.00,5.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2218631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2218640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2218658,1.00,4.00,2.00,1.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2218666,3.00,3.00,3.00,8.00,5.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2218674,1.00,4.00,6.00,6.00,6.00,6.00,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2218682,1.00,5.00,5.00,4.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2218690,6.00,5.00,2.00,5.00,6.00,5.25,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2218704,3.00,4.00,4.00,6.00,6.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2218712,1.00,6.00,2.00,2.00,2.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2218720,2.00,8.00,1.00,3.00,5.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2218739,3.00,7.00,2.00,3.00,4.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2218747,1.00,5.00,4.00,4.00,6.00,5.00,6.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2218755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2218763,3.00,8.00,6.00,5.00,9.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2218771,3.00,6.00,9.00,7.00,7.00,6.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2218780,5.00,6.00,0.00,7.00,7.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2218798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2218801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2218828,2.00,4.00,1.00,4.00,5.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2218836,4.00,7.00,5.00,1.00,5.00,4.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2218852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2218860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2218879,3.00,7.00,4.00,6.00,6.00,4.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2218895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2218909,4.00,6.00,3.00,5.00,6.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2218925,2.00,8.00,4.00,4.00,5.00,4.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2218933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2218941,4.00,5.00,2.00,6.00,5.00,4.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2218950,2.00,6.00,5.00,7.00,6.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2218968,6.00,6.00,3.00,4.00,7.00,5.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2218984,3.00,4.00,1.00,0.00,0.00,NULL,4.00,2.00,2.00,'S',NULL,NULL,'N'),(15,2218992,5.00,7.00,3.00,0.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2219034,3.00,5.00,3.00,3.00,3.00,7.25,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2219042,1.00,5.00,2.00,3.00,4.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2219050,2.00,0.00,1.00,5.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2219069,1.00,2.00,1.00,7.00,6.00,6.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2219077,2.00,7.00,3.00,9.00,7.00,4.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2219085,3.00,9.00,2.00,4.00,5.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2219093,1.00,4.00,3.00,1.00,1.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2219123,3.00,8.00,7.00,8.00,7.00,3.25,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2219131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2219140,2.00,6.00,2.00,3.00,7.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2219158,5.00,6.00,1.00,2.00,7.00,5.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2219166,3.00,6.00,6.00,2.00,5.00,5.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2219174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2219182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2219190,2.00,6.00,7.00,5.00,8.00,4.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2219204,2.00,6.00,1.00,9.00,6.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2219212,2.00,6.00,2.00,2.00,5.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2219239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2219247,3.00,7.00,2.00,5.00,7.00,6.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2219263,1.00,8.00,2.00,4.00,8.00,7.50,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2219271,4.00,7.00,7.00,2.00,7.00,7.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2219280,1.00,4.00,0.00,1.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2219298,4.00,5.00,7.00,5.00,8.00,4.00,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2219301,3.00,4.00,0.00,4.00,5.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2219310,6.00,8.00,1.00,6.00,7.00,5.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2219328,3.00,7.00,5.00,4.00,6.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2219336,2.00,5.00,3.00,1.00,4.00,5.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2219352,1.00,5.00,4.00,6.00,4.00,5.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2219360,1.00,3.00,3.00,0.00,6.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2219379,3.00,5.00,3.00,5.00,6.00,4.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2219387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2219395,1.00,8.00,2.00,5.00,6.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2219409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2219417,6.00,8.00,8.00,7.00,7.00,5.00,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2219425,5.00,6.00,7.00,5.00,8.00,4.25,9.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2219433,1.00,4.00,1.00,3.00,7.00,6.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2219441,1.00,7.00,0.00,6.00,3.00,NULL,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2219450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2219468,3.00,8.00,6.00,9.00,8.00,6.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2219476,5.00,9.00,1.00,6.00,7.00,3.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2219484,6.00,5.00,4.00,3.00,5.00,8.00,6.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2219506,7.00,8.00,5.00,6.00,8.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2219514,2.00,9.00,5.00,6.00,9.00,3.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2219522,4.00,6.00,7.00,8.00,9.00,5.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2219530,2.00,8.00,4.00,5.00,8.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2219549,1.00,3.00,1.00,3.00,5.00,NULL,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2219557,2.00,8.00,3.00,7.00,8.00,5.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2219565,3.00,5.00,4.00,5.00,6.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2219573,1.00,4.00,0.00,1.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2219590,7.00,8.00,7.00,7.00,7.00,6.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2219603,2.00,5.00,2.00,6.00,5.00,6.00,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2219611,4.00,6.00,1.00,2.00,4.00,5.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2219620,4.00,7.00,7.00,6.00,6.00,5.00,5.00,9.00,2.00,NULL,NULL,NULL,'N'),(15,2219638,7.00,8.00,8.00,8.00,8.00,6.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2219646,3.00,7.00,1.00,4.00,7.00,5.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2219662,3.00,5.00,1.00,3.00,8.00,6.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2219689,1.00,7.00,3.00,6.00,9.00,7.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2219697,2.00,6.00,4.00,4.00,8.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2219700,2.00,5.00,2.00,2.00,4.00,3.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2219719,2.00,8.00,2.00,5.00,6.00,5.00,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2219727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2219735,5.00,7.00,4.00,3.00,8.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2219743,5.00,6.00,3.00,4.00,1.00,NULL,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2219760,3.00,5.00,1.00,2.00,7.00,4.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2219778,3.00,1.00,0.00,1.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2219794,4.00,6.00,2.00,3.00,7.00,6.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2219808,2.00,4.00,4.00,4.00,6.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2219824,2.00,6.00,6.00,5.00,7.00,6.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2219832,3.00,9.00,6.00,9.00,7.00,6.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2219840,3.00,8.00,4.00,8.00,8.00,6.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2219859,0.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2219867,3.00,4.00,5.00,5.00,7.00,6.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2219883,5.00,8.00,5.00,2.00,8.00,6.25,9.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2219891,4.00,5.00,5.00,4.00,6.00,3.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2219905,2.00,3.00,3.00,5.00,7.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2219913,0.00,4.00,0.00,8.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2219921,3.00,6.00,4.00,8.00,8.00,5.00,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2219930,4.00,8.00,3.00,7.00,4.00,8.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2219948,6.00,7.00,8.00,7.00,7.00,7.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2219956,5.00,7.00,2.00,7.00,6.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2219972,2.00,5.00,3.00,6.00,5.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2219980,2.00,5.00,2.00,7.00,4.00,6.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2219999,5.00,4.00,2.00,5.00,6.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2220008,1.00,5.00,3.00,4.00,5.00,3.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2220016,2.00,5.00,0.00,5.00,8.00,0.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2220024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2220032,4.00,9.00,4.00,7.00,5.00,6.50,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2220059,6.00,8.00,6.00,8.00,6.00,6.25,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2220067,1.00,7.00,7.00,6.00,5.00,7.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2220083,2.00,8.00,1.00,1.00,4.00,4.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2220091,3.00,7.00,3.00,9.00,6.00,5.75,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2220105,7.00,7.00,8.00,8.00,7.00,6.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2220113,1.00,3.00,5.00,2.00,3.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2220121,5.00,7.00,4.00,2.00,7.00,6.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2220130,2.00,4.00,3.00,4.00,7.00,4.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2220148,4.00,5.00,6.00,6.00,7.00,4.50,6.00,3.00,4.00,NULL,NULL,NULL,'S'),(15,2220164,2.00,5.00,2.00,2.00,4.00,5.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2220172,4.00,6.00,9.00,2.00,8.00,6.00,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2220180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2220199,3.00,4.00,1.00,8.00,8.00,4.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2220202,1.00,3.00,4.00,1.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2220210,3.00,3.00,1.00,4.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2220237,1.00,1.00,0.00,3.00,2.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2220245,4.00,5.00,6.00,6.00,7.00,7.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2220253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2220261,3.00,5.00,3.00,3.00,6.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2220270,1.00,6.00,3.00,4.00,5.00,4.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2220288,3.00,7.00,3.00,2.00,7.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2220296,4.00,7.00,4.00,2.00,4.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2220318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2220334,7.00,9.00,9.00,7.00,8.00,6.25,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2220342,5.00,7.00,7.00,6.00,8.00,6.25,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2220350,2.00,4.00,3.00,3.00,5.00,4.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2220369,3.00,3.00,2.00,4.00,5.00,5.00,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2220377,4.00,7.00,6.00,8.00,7.00,5.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2220385,1.00,6.00,2.00,2.00,6.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2220393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2220407,1.00,7.00,5.00,2.00,6.00,6.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2220415,4.00,4.00,2.00,7.00,6.00,4.00,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2220431,2.00,5.00,3.00,2.00,8.00,3.50,5.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2220440,4.00,8.00,3.00,3.00,8.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2220458,7.00,8.00,9.00,7.00,8.00,8.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2220466,2.00,4.00,4.00,0.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2220474,7.00,7.00,3.00,4.00,7.00,5.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2220482,2.00,3.00,3.00,6.00,5.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2220490,3.00,7.00,4.00,7.00,7.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2220504,3.00,5.00,2.00,5.00,7.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2220512,5.00,9.00,6.00,7.00,5.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2220520,2.00,6.00,4.00,4.00,7.00,6.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2220539,0.00,6.00,1.00,2.00,5.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2220547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2220563,5.00,7.00,7.00,8.00,6.00,6.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2220571,4.00,3.00,1.00,1.00,7.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2220580,7.00,7.00,5.00,9.00,8.00,7.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2220598,0.00,7.00,5.00,4.00,5.00,4.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2220601,1.00,5.00,4.00,5.00,6.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2220610,3.00,4.00,2.00,0.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2220628,1.00,5.00,1.00,1.00,5.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2220636,5.00,6.00,1.00,8.00,8.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2220644,5.00,7.00,6.00,8.00,6.00,3.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2220652,2.00,7.00,9.00,8.00,6.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2220679,4.00,6.00,4.00,6.00,6.00,4.50,7.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2220687,5.00,8.00,8.00,6.00,6.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2220709,1.00,5.00,3.00,4.00,8.00,7.75,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2220717,2.00,3.00,0.00,0.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2220725,3.00,7.00,6.00,7.00,4.00,4.50,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2220733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2220741,3.00,6.00,3.00,5.00,4.00,3.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2220750,4.00,7.00,4.00,7.00,8.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2220768,0.00,4.00,2.00,5.00,4.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2220776,2.00,5.00,6.00,6.00,7.00,6.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2220784,4.00,6.00,4.00,8.00,8.00,7.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2220792,5.00,8.00,8.00,5.00,7.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2220806,3.00,7.00,1.00,0.00,3.00,5.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2220814,4.00,6.00,1.00,1.00,5.00,5.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2220822,2.00,5.00,4.00,4.00,3.00,4.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2220830,3.00,6.00,5.00,5.00,8.00,5.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2220849,2.00,6.00,4.00,8.00,6.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2220857,3.00,6.00,5.00,1.00,7.00,7.25,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2220865,5.00,6.00,4.00,5.00,7.00,7.50,7.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2220873,8.00,8.00,4.00,2.00,8.00,8.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2220881,3.00,4.00,6.00,7.00,7.00,6.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2220890,3.00,6.00,2.00,4.00,5.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2220903,3.00,7.00,3.00,6.00,6.00,5.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2220920,3.00,8.00,1.00,7.00,6.00,6.50,3.00,8.00,0.00,NULL,NULL,NULL,'N'),(15,2220938,5.00,7.00,5.00,8.00,7.00,4.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2220946,4.00,6.00,3.00,4.00,6.00,3.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2220954,2.00,2.00,2.00,2.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2220962,3.00,6.00,4.00,6.00,8.00,4.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2220989,2.00,6.00,4.00,5.00,7.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2221004,6.00,6.00,5.00,7.00,8.00,6.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2221012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2221020,4.00,8.00,2.00,5.00,8.00,6.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2221039,3.00,6.00,4.00,6.00,8.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2221055,5.00,6.00,1.00,2.00,4.00,4.25,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2221071,3.00,7.00,8.00,6.00,8.00,6.00,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2221080,2.00,5.00,2.00,3.00,6.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2221098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2221101,2.00,7.00,2.00,6.00,5.00,3.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2221110,5.00,7.00,7.00,8.00,9.00,7.50,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2221128,4.00,7.00,3.00,8.00,9.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2221136,4.00,6.00,0.00,1.00,5.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2221152,5.00,8.00,5.00,9.00,8.00,8.00,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2221160,1.00,2.00,1.00,7.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2221187,0.00,5.00,6.00,7.00,6.00,5.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2221195,8.00,8.00,6.00,9.00,9.00,8.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2221209,2.00,5.00,6.00,3.00,4.00,4.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2221217,2.00,5.00,2.00,2.00,7.00,4.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2221225,1.00,3.00,2.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2221233,3.00,8.00,2.00,3.00,7.00,6.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2221241,0.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2221250,1.00,7.00,4.00,6.00,4.00,7.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2221268,3.00,6.00,4.00,5.00,7.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2221276,3.00,2.00,4.00,2.00,4.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2221284,5.00,5.00,6.00,1.00,7.00,4.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2221292,2.00,7.00,1.00,5.00,8.00,6.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2221306,2.00,4.00,5.00,6.00,3.00,5.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2221314,0.00,5.00,2.00,2.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2221322,4.00,4.00,7.00,5.00,8.00,6.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2221330,0.00,5.00,2.00,0.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2221349,4.00,4.00,0.00,3.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2221357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2221365,7.00,8.00,7.00,10.00,8.00,7.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2221373,1.00,4.00,3.00,1.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2221381,2.00,4.00,2.00,2.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2221403,7.00,7.00,8.00,8.00,8.00,5.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2221411,1.00,7.00,1.00,4.00,5.00,6.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2221420,4.00,6.00,2.00,6.00,8.00,6.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2221438,1.00,4.00,0.00,0.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2221446,6.00,7.00,5.00,5.00,7.00,6.25,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2221462,4.00,6.00,6.00,9.00,8.00,7.00,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2221470,5.00,7.00,5.00,3.00,9.00,6.25,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2221489,2.00,6.00,3.00,5.00,5.00,3.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2221497,1.00,6.00,5.00,5.00,7.00,5.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2221500,0.00,6.00,3.00,2.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2221519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2221527,5.00,6.00,5.00,5.00,6.00,6.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2221535,2.00,6.00,2.00,6.00,6.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2221543,0.00,2.00,3.00,1.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2221551,5.00,7.00,8.00,9.00,7.00,6.75,9.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2221560,1.00,3.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2221578,5.00,8.00,8.00,5.00,9.00,6.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2221586,3.00,7.00,0.00,2.00,6.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2221594,1.00,6.00,3.00,2.00,4.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2221608,2.00,5.00,2.00,8.00,6.00,4.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2221616,3.00,6.00,4.00,3.00,5.00,6.00,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2221632,1.00,7.00,7.00,2.00,6.00,5.00,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2221640,4.00,6.00,4.00,2.00,9.00,4.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2221667,2.00,7.00,0.00,7.00,5.00,7.25,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2221675,0.00,6.00,2.00,0.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2221683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2221691,7.00,7.00,9.00,0.00,6.00,5.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2221705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2221713,6.00,8.00,7.00,6.00,7.00,6.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2221730,5.00,8.00,3.00,7.00,7.00,6.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2221748,4.00,9.00,4.00,5.00,7.00,5.75,4.00,9.00,2.00,NULL,NULL,NULL,'N'),(15,2221756,2.00,7.00,6.00,8.00,8.00,8.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2221764,4.00,8.00,5.00,0.00,8.00,5.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2221772,3.00,6.00,0.00,0.00,2.00,NULL,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2221780,5.00,7.00,5.00,7.00,6.00,6.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2221799,2.00,6.00,5.00,6.00,6.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2221802,1.00,3.00,0.00,0.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2221810,5.00,4.00,4.00,6.00,5.00,3.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2221829,2.00,6.00,1.00,1.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2221837,5.00,6.00,4.00,7.00,4.00,3.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2221845,4.00,8.00,3.00,5.00,7.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2221853,7.00,8.00,8.00,6.00,8.00,7.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2221861,6.00,8.00,6.00,6.00,8.00,7.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2221870,6.00,7.00,4.00,6.00,9.00,5.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2221888,3.00,7.00,1.00,5.00,8.00,6.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2221896,1.00,5.00,4.00,1.00,4.00,4.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2221900,1.00,6.00,1.00,6.00,4.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2221918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2221926,2.00,8.00,2.00,5.00,7.00,8.00,2.00,9.00,2.00,NULL,NULL,NULL,'N'),(15,2221934,7.00,8.00,7.00,6.00,7.00,4.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2221942,2.00,3.00,2.00,6.00,7.00,7.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2221969,2.00,6.00,1.00,7.00,7.00,6.75,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2221977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2221985,3.00,5.00,5.00,6.00,5.00,4.25,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2221993,2.00,3.00,0.00,2.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2222000,1.00,5.00,3.00,1.00,6.00,4.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2222019,4.00,7.00,4.00,8.00,3.00,5.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2222027,1.00,4.00,4.00,0.00,0.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2222035,0.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2222043,3.00,5.00,2.00,4.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2222051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2222060,6.00,8.00,8.00,7.00,8.00,6.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2222078,3.00,5.00,1.00,6.00,3.00,3.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2222086,4.00,7.00,7.00,6.00,6.00,6.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2222094,3.00,3.00,0.00,5.00,2.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2222108,2.00,6.00,3.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2222116,0.00,7.00,1.00,6.00,6.00,5.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2222132,2.00,5.00,1.00,2.00,0.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2222140,7.00,8.00,9.00,8.00,8.00,5.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2222159,2.00,5.00,2.00,4.00,4.00,5.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2222167,4.00,6.00,5.00,4.00,6.00,4.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2222175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2222183,4.00,7.00,8.00,8.00,9.00,6.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2222191,4.00,7.00,2.00,5.00,4.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2222205,2.00,5.00,3.00,2.00,3.00,4.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2222213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2222221,4.00,6.00,6.00,1.00,7.00,4.25,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2222230,5.00,7.00,8.00,4.00,7.00,3.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2222256,3.00,7.00,6.00,6.00,7.00,7.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2222264,3.00,7.00,6.00,6.00,6.00,5.00,4.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2222272,3.00,6.00,6.00,8.00,7.00,5.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2222280,2.00,2.00,0.00,1.00,7.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2222302,3.00,6.00,2.00,4.00,6.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2222310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2222337,4.00,7.00,3.00,6.00,6.00,4.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2222345,2.00,3.00,2.00,6.00,4.00,3.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2222353,2.00,4.00,2.00,1.00,5.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2222361,3.00,8.00,3.00,4.00,7.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2222370,3.00,5.00,2.00,1.00,3.00,4.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2222388,4.00,7.00,4.00,4.00,8.00,5.75,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2222396,2.00,6.00,3.00,6.00,6.00,5.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2222400,2.00,7.00,3.00,8.00,7.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2222426,3.00,7.00,2.00,5.00,6.00,3.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2222442,5.00,6.00,5.00,4.00,6.00,5.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2222450,4.00,5.00,2.00,4.00,7.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2222469,4.00,9.00,5.00,7.00,7.00,6.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2222477,2.00,7.00,3.00,5.00,6.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2222485,1.00,6.00,2.00,5.00,6.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2222493,4.00,9.00,8.00,9.00,9.00,6.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2222507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2222523,2.00,4.00,5.00,8.00,5.00,7.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2222531,4.00,5.00,3.00,4.00,7.00,5.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2222540,2.00,5.00,3.00,2.00,3.00,3.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2222558,4.00,6.00,7.00,5.00,7.00,5.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2222566,7.00,8.00,6.00,6.00,8.00,6.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2222574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2222582,2.00,7.00,2.00,4.00,6.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2222590,1.00,4.00,1.00,0.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2222612,0.00,4.00,4.00,4.00,4.00,4.75,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2222620,2.00,5.00,2.00,7.00,6.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2222639,8.00,7.00,9.00,8.00,8.00,6.50,9.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2222647,3.00,6.00,1.00,4.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2222655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2222671,3.00,6.00,3.00,5.00,8.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2222680,5.00,6.00,1.00,7.00,4.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2222698,3.00,8.00,1.00,3.00,4.00,4.00,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2222701,4.00,9.00,4.00,10.00,5.00,5.25,7.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2222710,4.00,6.00,7.00,1.00,7.00,5.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2222728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2222744,4.00,7.00,5.00,7.00,8.00,7.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2222752,1.00,6.00,3.00,2.00,6.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2222760,2.00,6.00,3.00,4.00,6.00,5.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2222779,0.00,7.00,1.00,4.00,3.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2222787,6.00,8.00,5.00,7.00,7.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2222795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2222809,0.00,6.00,6.00,6.00,5.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2222817,4.00,6.00,3.00,5.00,8.00,6.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2222825,1.00,4.00,0.00,2.00,5.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2222833,4.00,6.00,4.00,5.00,6.00,4.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2222841,1.00,2.00,3.00,1.00,2.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2222850,3.00,4.00,1.00,3.00,4.00,4.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2222906,3.00,8.00,3.00,5.00,4.00,3.50,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2222914,3.00,3.00,1.00,6.00,4.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2222922,4.00,3.00,1.00,5.00,3.00,4.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2222930,3.00,9.00,5.00,7.00,8.00,7.25,4.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2222949,2.00,7.00,5.00,6.00,3.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2222957,5.00,7.00,4.00,3.00,7.00,4.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2222965,5.00,7.00,4.00,7.00,7.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2222973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2222981,1.00,5.00,3.00,3.00,5.00,5.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2222990,4.00,6.00,5.00,5.00,7.00,8.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2223007,5.00,8.00,6.00,7.00,8.00,7.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2223015,1.00,4.00,1.00,0.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2223023,3.00,4.00,0.00,6.00,7.00,4.00,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2223031,4.00,5.00,1.00,6.00,8.00,7.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2223040,6.00,9.00,8.00,7.00,7.00,4.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2223058,4.00,5.00,7.00,6.00,4.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2223066,5.00,8.00,6.00,5.00,7.00,5.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2223074,4.00,4.00,3.00,2.00,5.00,5.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2223082,4.00,7.00,5.00,3.00,4.00,5.00,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2223090,2.00,8.00,2.00,2.00,4.00,4.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2223104,2.00,5.00,4.00,3.00,5.00,5.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2223112,3.00,4.00,4.00,4.00,3.00,3.50,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2223120,6.00,8.00,3.00,6.00,7.00,7.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2223139,4.00,8.00,7.00,9.00,8.00,6.50,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2223147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2223163,3.00,1.00,2.00,1.00,6.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2223171,3.00,4.00,2.00,4.00,3.00,2.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2223180,2.00,4.00,0.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2223198,3.00,6.00,2.00,6.00,6.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2223201,0.00,4.00,2.00,3.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2223210,5.00,8.00,5.00,8.00,7.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2223228,2.00,2.00,1.00,4.00,4.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2223236,6.00,8.00,8.00,7.00,8.00,3.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2223244,2.00,8.00,4.00,8.00,6.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2223252,4.00,6.00,4.00,3.00,6.00,6.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2223260,5.00,6.00,2.00,5.00,4.00,7.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2223279,3.00,6.00,2.00,7.00,5.00,4.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2223287,3.00,6.00,3.00,1.00,7.00,6.75,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2223295,2.00,1.00,1.00,4.00,4.00,4.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2223309,4.00,7.00,3.00,6.00,8.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2223317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2223325,1.00,3.00,2.00,4.00,5.00,5.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2223333,4.00,6.00,7.00,7.00,7.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2223341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2223350,4.00,8.00,4.00,6.00,7.00,4.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2223368,4.00,7.00,3.00,1.00,6.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2223376,4.00,6.00,8.00,6.00,7.00,4.75,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2223384,4.00,6.00,4.00,6.00,5.00,6.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2223392,2.00,6.00,5.00,5.00,8.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2223414,6.00,7.00,5.00,8.00,7.00,7.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2223422,7.00,5.00,0.00,5.00,5.00,7.00,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2223430,2.00,5.00,3.00,1.00,6.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2223449,1.00,5.00,0.00,3.00,6.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2223473,5.00,7.00,3.00,8.00,7.00,4.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2223481,7.00,5.00,5.00,7.00,8.00,3.00,6.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2223490,0.00,3.00,2.00,3.00,3.00,4.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2223503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2223520,3.00,7.00,5.00,7.00,8.00,5.50,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2223538,4.00,6.00,4.00,6.00,8.00,4.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2223546,4.00,6.00,1.00,6.00,5.00,6.00,6.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2223554,1.00,3.00,2.00,2.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2223562,4.00,7.00,3.00,7.00,7.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2223570,4.00,5.00,4.00,7.00,7.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2223597,1.00,6.00,4.00,10.00,5.00,5.00,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2223600,4.00,8.00,7.00,7.00,6.00,6.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2223619,5.00,8.00,5.00,6.00,8.00,4.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2223627,3.00,5.00,8.00,5.00,7.00,6.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2223635,2.00,7.00,5.00,4.00,5.00,4.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2223643,2.00,5.00,2.00,6.00,8.00,7.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2223651,5.00,6.00,0.00,4.00,7.00,6.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2223660,5.00,6.00,3.00,8.00,7.00,5.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2223694,5.00,6.00,7.00,2.00,8.00,4.00,6.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2223708,2.00,2.00,0.00,0.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2223716,5.00,6.00,5.00,5.00,8.00,6.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2223724,5.00,6.00,3.00,7.00,7.00,3.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2223732,3.00,4.00,1.00,7.00,7.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2223740,2.00,3.00,2.00,1.00,7.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2223759,5.00,5.00,5.00,6.00,6.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2223767,2.00,7.00,2.00,4.00,7.00,6.00,3.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2223775,1.00,4.00,5.00,3.00,5.00,4.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2223783,2.00,4.00,3.00,5.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2223791,3.00,5.00,3.00,1.00,3.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2223805,1.00,5.00,1.00,0.00,7.00,2.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2223813,2.00,4.00,1.00,4.00,5.00,NULL,6.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2223821,5.00,6.00,9.00,9.00,9.00,6.00,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2223830,2.00,5.00,3.00,2.00,6.00,4.75,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2223848,7.00,8.00,6.00,7.00,7.00,5.75,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2223856,3.00,5.00,3.00,4.00,4.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2223872,3.00,4.00,1.00,3.00,2.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2223899,3.00,7.00,4.00,4.00,5.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2223902,2.00,7.00,5.00,3.00,5.00,3.50,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2223910,4.00,6.00,5.00,7.00,7.00,5.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2223929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2223937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2223945,5.00,7.00,5.00,7.00,7.00,5.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2223953,2.00,5.00,4.00,6.00,4.00,4.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2223961,4.00,7.00,7.00,8.00,7.00,5.50,6.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2223970,1.00,6.00,4.00,1.00,5.00,3.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2223988,8.00,7.00,6.00,6.00,8.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2223996,5.00,7.00,3.00,7.00,8.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2224003,3.00,4.00,2.00,3.00,7.00,4.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2224011,2.00,5.00,2.00,3.00,7.00,3.00,5.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2224020,2.00,5.00,1.00,7.00,6.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2224038,0.00,1.00,0.00,0.00,0.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2224046,5.00,7.00,5.00,6.00,9.00,6.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2224054,1.00,7.00,4.00,7.00,7.00,6.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2224062,4.00,6.00,6.00,6.00,6.00,4.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(15,2224070,1.00,5.00,2.00,1.00,5.00,4.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2224089,4.00,8.00,8.00,8.00,8.00,6.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2224097,2.00,5.00,4.00,7.00,8.00,5.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2224100,3.00,5.00,4.00,1.00,3.00,4.00,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2224119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2224127,7.00,8.00,7.00,8.00,9.00,6.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2224135,3.00,4.00,4.00,2.00,5.00,5.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2224143,2.00,7.00,2.00,5.00,6.00,5.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2224151,5.00,6.00,7.00,9.00,8.00,7.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2224178,4.00,5.00,4.00,6.00,4.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2224186,2.00,6.00,4.00,2.00,5.00,6.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2224194,2.00,5.00,3.00,8.00,6.00,4.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2224208,3.00,3.00,2.00,4.00,4.00,4.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2224216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2224224,1.00,6.00,3.00,6.00,6.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2224232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2224240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2224259,2.00,4.00,1.00,6.00,4.00,5.50,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2224267,5.00,7.00,2.00,6.00,4.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2224275,4.00,6.00,2.00,7.00,6.00,5.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2224291,3.00,7.00,3.00,8.00,7.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2224305,3.00,6.00,7.00,5.00,8.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2224313,2.00,6.00,3.00,6.00,5.00,6.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2224321,3.00,7.00,2.00,5.00,6.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2224348,2.00,6.00,2.00,4.00,5.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2224356,2.00,6.00,2.00,1.00,5.00,4.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2224364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2224372,6.00,9.00,6.00,7.00,9.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2224380,3.00,6.00,4.00,6.00,6.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2224399,2.00,3.00,4.00,1.00,5.00,5.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2224402,4.00,6.00,3.00,7.00,6.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2224410,8.00,8.00,6.00,6.00,8.00,6.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2224437,3.00,2.00,2.00,2.00,4.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2224453,1.00,6.00,4.00,5.00,5.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2224461,3.00,6.00,3.00,6.00,5.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2224470,5.00,7.00,9.00,5.00,8.00,6.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2224488,2.00,5.00,6.00,6.00,6.00,3.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2224496,4.00,7.00,7.00,6.00,8.00,5.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2224500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2224518,4.00,5.00,2.00,5.00,5.00,5.75,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2224526,3.00,5.00,4.00,8.00,7.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2224534,3.00,8.00,2.00,5.00,8.00,6.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2224542,3.00,5.00,1.00,4.00,4.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2224577,4.00,6.00,4.00,2.00,6.00,5.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2224585,2.00,4.00,4.00,2.00,4.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2224593,2.00,6.00,4.00,3.00,5.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2224607,3.00,3.00,2.00,2.00,4.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2224623,4.00,5.00,5.00,3.00,6.00,5.75,4.00,3.00,4.00,NULL,NULL,NULL,'S'),(15,2224631,3.00,9.00,5.00,7.00,7.00,7.00,4.00,8.00,2.00,NULL,NULL,NULL,'S'),(15,2224640,7.00,9.00,6.00,10.00,8.00,3.50,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2224658,4.00,5.00,5.00,1.00,7.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2224666,7.00,7.00,8.00,8.00,8.00,6.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2224674,6.00,5.00,5.00,7.00,7.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2224682,4.00,5.00,0.00,3.00,6.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2224690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2224704,1.00,5.00,2.00,5.00,3.00,5.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2224712,4.00,7.00,3.00,3.00,8.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2224720,2.00,5.00,3.00,4.00,6.00,3.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2224747,4.00,4.00,5.00,5.00,5.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2224755,3.00,8.00,5.00,7.00,7.00,4.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2224763,2.00,6.00,2.00,3.00,5.00,4.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2224771,2.00,6.00,3.00,0.00,4.00,4.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2224798,3.00,7.00,5.00,8.00,9.00,5.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2224801,1.00,1.00,1.00,1.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2224810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2224836,5.00,7.00,2.00,6.00,9.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2224844,4.00,6.00,4.00,6.00,7.00,7.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2224852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2224860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2224895,4.00,7.00,5.00,4.00,6.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2224909,6.00,6.00,6.00,5.00,7.00,5.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2224917,6.00,6.00,9.00,6.00,7.00,6.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2224925,5.00,8.00,5.00,4.00,6.00,5.25,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2224933,1.00,4.00,1.00,1.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2224950,7.00,5.00,8.00,9.00,8.00,5.50,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2224968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2224976,1.00,6.00,2.00,2.00,6.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2224984,6.00,4.00,2.00,3.00,6.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2224992,6.00,7.00,5.00,4.00,6.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2225000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2225018,2.00,8.00,0.00,1.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2225026,4.00,6.00,8.00,7.00,7.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2225034,7.00,8.00,8.00,3.00,7.00,5.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2225042,3.00,6.00,5.00,6.00,7.00,5.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2225050,3.00,5.00,4.00,7.00,6.00,6.75,5.00,6.00,0.00,NULL,NULL,NULL,'S'),(15,2225069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2225077,2.00,6.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2225085,5.00,6.00,3.00,6.00,7.00,3.00,6.00,8.00,2.00,NULL,NULL,NULL,'S'),(15,2225093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2225107,3.00,6.00,6.00,8.00,6.00,5.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2225115,4.00,5.00,4.00,6.00,7.00,7.00,6.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2225123,5.00,8.00,5.00,7.00,7.00,6.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2225140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2225158,4.00,8.00,0.00,5.00,6.00,4.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2225174,3.00,6.00,2.00,1.00,3.00,4.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2225182,8.00,9.00,9.00,10.00,8.00,6.75,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2225190,2.00,6.00,4.00,4.00,4.00,4.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2225204,2.00,4.00,3.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2225212,4.00,5.00,5.00,5.00,7.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2225220,3.00,4.00,4.00,2.00,4.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2225239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2225247,1.00,7.00,2.00,6.00,5.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2225255,7.00,8.00,5.00,7.00,8.00,5.25,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(15,2225263,2.00,6.00,0.00,1.00,4.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2225271,4.00,8.00,3.00,6.00,5.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2225280,1.00,7.00,6.00,5.00,8.00,5.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2225298,3.00,4.00,2.00,8.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2225301,6.00,8.00,8.00,9.00,7.00,5.75,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2225310,0.00,4.00,4.00,1.00,5.00,3.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2225328,5.00,7.00,0.00,5.00,7.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2225336,2.00,6.00,5.00,5.00,7.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2225344,5.00,7.00,1.00,3.00,5.00,5.75,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2225352,3.00,7.00,2.00,6.00,7.00,7.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2225360,0.00,6.00,2.00,1.00,4.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2225379,3.00,6.00,3.00,2.00,6.00,6.25,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2225387,3.00,7.00,3.00,7.00,8.00,5.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2225409,3.00,6.00,4.00,6.00,5.00,6.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2225417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2225433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2225441,3.00,6.00,4.00,3.00,8.00,6.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2225450,8.00,7.00,4.00,5.00,7.00,6.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2225468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2225476,0.00,2.00,1.00,3.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2225492,3.00,7.00,2.00,4.00,5.00,4.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2225506,4.00,7.00,2.00,7.00,6.00,4.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2225514,3.00,6.00,4.00,2.00,7.00,0.00,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2225530,1.00,2.00,1.00,4.00,1.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2225557,4.00,7.00,4.00,8.00,8.00,3.00,6.00,7.00,7.00,NULL,NULL,NULL,'S'),(15,2225565,3.00,6.00,3.00,7.00,6.00,7.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2225573,3.00,6.00,7.00,7.00,4.00,4.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2225581,5.00,6.00,5.00,5.00,8.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2225603,3.00,5.00,1.00,1.00,4.00,5.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2225611,5.00,5.00,7.00,5.00,8.00,5.50,8.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2225620,1.00,7.00,4.00,3.00,6.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2225638,3.00,6.00,7.00,9.00,5.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2225646,4.00,8.00,6.00,5.00,8.00,5.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2225654,5.00,7.00,4.00,8.00,8.00,7.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2225670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2225700,1.00,3.00,3.00,2.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2225719,7.00,6.00,8.00,7.00,9.00,7.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2225735,1.00,7.00,4.00,7.00,6.00,4.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2225743,4.00,8.00,7.00,9.00,8.00,6.25,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2225751,3.00,6.00,4.00,6.00,5.00,9.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2225760,7.00,8.00,5.00,9.00,8.00,6.50,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2225786,6.00,7.00,7.00,7.00,7.00,4.50,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2225794,2.00,7.00,3.00,2.00,3.00,6.50,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2225808,5.00,6.00,9.00,5.00,8.00,4.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2225824,7.00,9.00,3.00,9.00,8.00,6.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2225832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2225840,5.00,6.00,7.00,3.00,8.00,5.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2225859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2225867,3.00,6.00,7.00,9.00,6.00,6.50,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2225875,6.00,6.00,5.00,5.00,6.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2225883,5.00,6.00,6.00,9.00,8.00,7.00,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2225905,0.00,3.00,1.00,4.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2225913,1.00,5.00,8.00,2.00,4.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2225921,3.00,3.00,2.00,2.00,3.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2225930,2.00,2.00,2.00,0.00,7.00,7.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2225948,2.00,5.00,1.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2225956,6.00,8.00,3.00,4.00,7.00,6.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2225964,3.00,7.00,8.00,7.00,9.00,6.75,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2225972,3.00,2.00,3.00,4.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2225980,5.00,8.00,8.00,6.00,9.00,6.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2225999,3.00,6.00,6.00,8.00,6.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2226006,2.00,7.00,3.00,8.00,7.00,4.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2226014,5.00,5.00,7.00,6.00,8.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2226022,4.00,5.00,2.00,5.00,5.00,3.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2226030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2226049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2226057,3.00,6.00,5.00,3.00,6.00,3.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2226065,0.00,5.00,1.00,0.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2226073,2.00,3.00,3.00,0.00,6.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2226081,3.00,4.00,2.00,6.00,4.00,6.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2226090,3.00,9.00,2.00,6.00,7.00,7.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2226103,4.00,7.00,6.00,7.00,6.00,6.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2226111,4.00,6.00,7.00,7.00,6.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2226120,1.00,3.00,0.00,1.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2226138,2.00,5.00,1.00,7.00,6.00,5.50,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2226146,3.00,4.00,2.00,6.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2226154,2.00,5.00,2.00,3.00,7.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2226162,6.00,6.00,3.00,6.00,6.00,6.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2226170,6.00,8.00,9.00,8.00,9.00,6.75,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2226189,1.00,4.00,3.00,6.00,6.00,5.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2226197,4.00,7.00,6.00,7.00,7.00,7.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2226200,2.00,3.00,0.00,7.00,6.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2226219,1.00,7.00,4.00,8.00,7.00,7.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2226227,1.00,5.00,0.00,3.00,4.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2226235,8.00,9.00,8.00,9.00,9.00,8.50,8.00,9.00,7.00,NULL,NULL,NULL,'S'),(15,2226243,2.00,6.00,8.00,6.00,8.00,7.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2226260,2.00,5.00,1.00,2.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2226278,2.00,4.00,6.00,0.00,5.00,3.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2226286,2.00,6.00,7.00,4.00,6.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2226294,5.00,8.00,3.00,6.00,7.00,7.00,7.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2226308,7.00,8.00,9.00,5.00,7.00,6.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2226316,3.00,8.00,3.00,8.00,7.00,6.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2226324,3.00,8.00,4.00,8.00,6.00,6.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2226340,2.00,3.00,3.00,1.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2226359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2226367,3.00,4.00,1.00,4.00,5.00,4.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2226383,2.00,6.00,0.00,3.00,7.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2226391,2.00,4.00,4.00,4.00,2.00,NULL,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2226413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2226421,3.00,3.00,7.00,1.00,3.00,3.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2226430,3.00,6.00,1.00,8.00,6.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2226448,5.00,6.00,2.00,5.00,8.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2226456,2.00,4.00,0.00,4.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2226464,6.00,7.00,5.00,7.00,6.00,6.00,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2226472,2.00,4.00,2.00,4.00,4.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2226480,3.00,5.00,2.00,4.00,7.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2226499,3.00,6.00,6.00,8.00,5.00,4.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2226502,2.00,8.00,4.00,0.00,4.00,4.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2226510,4.00,8.00,8.00,6.00,8.00,6.00,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2226529,2.00,6.00,2.00,3.00,6.00,7.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2226537,3.00,7.00,6.00,6.00,2.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2226545,0.00,3.00,3.00,1.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2226553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2226561,2.00,6.00,4.00,1.00,4.00,6.00,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2226570,4.00,7.00,6.00,6.00,7.00,5.50,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2226588,3.00,7.00,6.00,8.00,4.00,4.50,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2226600,2.00,6.00,4.00,6.00,5.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2226618,2.00,5.00,5.00,5.00,7.00,6.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2226626,5.00,8.00,8.00,9.00,6.00,6.75,9.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2226634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2226642,4.00,8.00,1.00,3.00,5.00,4.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2226650,5.00,7.00,4.00,1.00,7.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2226669,3.00,8.00,3.00,0.00,5.00,5.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2226677,5.00,6.00,3.00,2.00,5.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2226685,7.00,8.00,5.00,7.00,8.00,8.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2226693,7.00,8.00,10.00,9.00,8.00,6.50,10.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2226707,3.00,5.00,2.00,2.00,7.00,6.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2226715,3.00,5.00,1.00,2.00,7.00,4.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2226723,4.00,4.00,5.00,4.00,4.00,6.00,8.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2226731,5.00,7.00,3.00,7.00,7.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2226740,3.00,6.00,4.00,6.00,6.00,3.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2226758,0.00,1.00,1.00,2.00,2.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2226782,2.00,6.00,5.00,5.00,6.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2226790,4.00,7.00,3.00,5.00,8.00,6.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2226804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2226812,3.00,6.00,4.00,6.00,5.00,1.50,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2226820,4.00,5.00,3.00,8.00,6.00,6.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2226847,2.00,6.00,4.00,6.00,3.00,5.00,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2226855,3.00,7.00,5.00,6.00,7.00,6.50,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2226863,4.00,6.00,4.00,5.00,7.00,4.75,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2226871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2226880,6.00,8.00,5.00,7.00,8.00,6.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2226898,4.00,6.00,2.00,2.00,4.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2226936,4.00,7.00,9.00,5.00,9.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2226944,3.00,6.00,3.00,4.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2226952,3.00,5.00,0.00,2.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2226960,5.00,5.00,8.00,8.00,8.00,7.50,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2226979,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2226987,5.00,6.00,5.00,7.00,8.00,5.50,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2227002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2227010,0.00,5.00,1.00,6.00,6.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2227037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2227045,4.00,7.00,1.00,4.00,7.00,7.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2227053,6.00,8.00,9.00,7.00,8.00,5.75,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2227061,0.00,5.00,2.00,7.00,6.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2227088,2.00,6.00,1.00,4.00,7.00,3.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2227096,5.00,5.00,3.00,2.00,5.00,4.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2227100,5.00,7.00,4.00,6.00,8.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2227118,2.00,7.00,0.00,5.00,7.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2227134,1.00,4.00,2.00,2.00,4.00,3.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2227142,3.00,3.00,1.00,3.00,4.00,3.25,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2227150,4.00,5.00,3.00,0.00,5.00,5.50,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2227193,3.00,6.00,1.00,5.00,4.00,4.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2227207,2.00,6.00,1.00,4.00,7.00,4.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2227215,3.00,8.00,5.00,7.00,6.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2227223,2.00,6.00,4.00,3.00,7.00,4.75,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2227231,4.00,9.00,2.00,2.00,8.00,4.75,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2227240,2.00,5.00,0.00,2.00,7.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2227258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2227274,2.00,6.00,1.00,3.00,3.00,5.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2227282,3.00,2.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2227290,1.00,4.00,1.00,5.00,5.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2227304,0.00,3.00,2.00,0.00,3.00,NULL,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2227320,3.00,7.00,3.00,2.00,3.00,4.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2227347,4.00,7.00,2.00,6.00,5.00,3.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2227355,4.00,8.00,6.00,6.00,6.00,4.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2227371,2.00,5.00,3.00,0.00,5.00,4.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2227380,2.00,6.00,5.00,1.00,5.00,5.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2227398,6.00,6.00,7.00,5.00,8.00,5.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2227410,3.00,4.00,6.00,6.00,6.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2227428,2.00,6.00,5.00,6.00,6.00,4.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2227436,3.00,7.00,6.00,7.00,7.00,5.75,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2227444,2.00,0.00,0.00,0.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2227452,0.00,3.00,4.00,0.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2227460,4.00,7.00,3.00,8.00,6.00,6.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2227479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2227487,4.00,8.00,8.00,8.00,6.00,5.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2227495,5.00,7.00,8.00,6.00,7.00,4.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2227509,2.00,6.00,5.00,4.00,8.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2227517,3.00,5.00,3.00,0.00,4.00,3.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2227533,2.00,5.00,4.00,0.00,6.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2227541,4.00,8.00,6.00,6.00,5.00,3.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2227550,3.00,9.00,6.00,6.00,8.00,7.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2227576,4.00,7.00,6.00,7.00,7.00,6.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2227584,4.00,8.00,3.00,6.00,5.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2227622,2.00,9.00,2.00,4.00,4.00,5.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2227630,2.00,3.00,3.00,5.00,5.00,4.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2227649,4.00,7.00,4.00,8.00,8.00,6.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2227657,0.00,0.00,0.00,7.00,2.00,NULL,4.00,4.00,3.00,NULL,'S',NULL,'N'),(15,2227665,2.00,8.00,4.00,9.00,7.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2227673,1.00,4.00,2.00,5.00,6.00,3.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2227703,2.00,8.00,7.00,5.00,5.00,5.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2227711,8.00,8.00,8.00,6.00,8.00,5.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2227720,2.00,6.00,1.00,5.00,7.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2227738,4.00,7.00,6.00,7.00,7.00,5.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2227746,6.00,8.00,5.00,7.00,8.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2227754,3.00,4.00,4.00,8.00,8.00,6.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2227762,4.00,8.00,3.00,5.00,8.00,5.25,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2227770,2.00,6.00,5.00,3.00,6.00,7.00,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2227789,5.00,7.00,8.00,7.00,8.00,7.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2227797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2227819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2227827,3.00,8.00,4.00,7.00,5.00,5.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2227835,7.00,7.00,8.00,7.00,8.00,4.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2227843,3.00,8.00,5.00,2.00,7.00,5.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2227851,1.00,3.00,4.00,6.00,4.00,4.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2227860,5.00,5.00,5.00,5.00,3.00,6.00,8.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2227878,3.00,6.00,1.00,5.00,4.00,5.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2227886,8.00,8.00,10.00,9.00,9.00,7.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2227894,4.00,9.00,6.00,7.00,9.00,7.25,7.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2227908,4.00,5.00,5.00,2.00,6.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2227924,5.00,7.00,2.00,4.00,4.00,7.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2227932,2.00,6.00,7.00,8.00,5.00,6.50,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2227940,3.00,6.00,4.00,2.00,6.00,4.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2227959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2227967,0.00,3.00,3.00,6.00,5.00,4.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2227975,2.00,6.00,3.00,5.00,6.00,4.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2227983,6.00,6.00,5.00,6.00,4.00,7.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2227991,2.00,3.00,2.00,8.00,7.00,3.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2228009,2.00,4.00,1.00,1.00,7.00,4.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2228017,7.00,7.00,7.00,8.00,7.00,5.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2228025,3.00,8.00,5.00,5.00,7.00,3.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2228033,4.00,8.00,6.00,0.00,7.00,NULL,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2228041,7.00,8.00,8.00,6.00,9.00,5.25,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2228050,1.00,5.00,1.00,6.00,6.00,6.25,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2228068,3.00,4.00,4.00,5.00,6.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2228084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2228092,0.00,6.00,3.00,7.00,8.00,7.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2228106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2228114,0.00,4.00,3.00,3.00,5.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2228122,6.00,7.00,5.00,7.00,8.00,5.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2228130,3.00,4.00,1.00,4.00,3.00,3.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2228157,2.00,7.00,0.00,8.00,5.00,5.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2228165,5.00,5.00,4.00,6.00,5.00,5.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2228173,0.00,3.00,1.00,1.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2228181,0.00,4.00,2.00,1.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2228203,3.00,7.00,3.00,6.00,6.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2228211,4.00,8.00,2.00,5.00,8.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2228220,2.00,4.00,0.00,3.00,6.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2228246,3.00,6.00,6.00,6.00,5.00,0.00,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2228254,3.00,6.00,5.00,4.00,6.00,6.25,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2228262,4.00,7.00,3.00,3.00,8.00,5.50,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2228270,2.00,7.00,5.00,4.00,4.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2228289,8.00,8.00,9.00,8.00,8.00,7.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2228297,4.00,6.00,5.00,3.00,8.00,5.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2228319,0.00,0.00,0.00,3.00,3.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2228327,4.00,6.00,0.00,4.00,6.00,5.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2228335,3.00,5.00,1.00,1.00,3.00,1.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2228343,5.00,7.00,7.00,9.00,6.00,5.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2228360,6.00,7.00,7.00,8.00,8.00,6.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2228378,3.00,6.00,4.00,6.00,6.00,6.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2228386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2228394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2228408,6.00,6.00,6.00,4.00,8.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2228416,1.00,4.00,2.00,5.00,6.00,3.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2228424,3.00,5.00,2.00,1.00,5.00,3.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2228432,3.00,7.00,4.00,3.00,6.00,4.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2228440,0.00,2.00,3.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2228459,2.00,3.00,1.00,1.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2228467,1.00,5.00,1.00,4.00,6.00,4.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2228475,3.00,4.00,1.00,2.00,6.00,3.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2228483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2228505,2.00,3.00,2.00,3.00,1.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2228513,7.00,6.00,6.00,4.00,7.00,6.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2228521,4.00,8.00,2.00,7.00,6.00,6.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2228530,5.00,7.00,6.00,7.00,7.00,6.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2228548,4.00,6.00,4.00,7.00,6.00,5.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2228556,6.00,6.00,3.00,6.00,7.00,6.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2228564,6.00,8.00,8.00,7.00,7.00,6.25,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2228572,1.00,3.00,2.00,0.00,5.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2228580,4.00,8.00,3.00,6.00,7.00,6.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2228599,3.00,5.00,0.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2228602,3.00,7.00,3.00,5.00,7.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2228610,5.00,7.00,1.00,5.00,7.00,5.25,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2228629,4.00,5.00,4.00,8.00,4.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2228637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2228645,7.00,8.00,8.00,9.00,7.00,7.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2228670,3.00,5.00,0.00,4.00,3.00,3.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2228688,4.00,4.00,3.00,5.00,5.00,6.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2228696,5.00,7.00,6.00,9.00,7.00,4.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2228700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2228718,1.00,4.00,2.00,1.00,4.00,4.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2228726,3.00,6.00,4.00,4.00,7.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2228734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2228742,7.00,8.00,5.00,6.00,9.00,4.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2228750,5.00,8.00,6.00,4.00,8.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2228769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2228777,2.00,7.00,2.00,0.00,5.00,NULL,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2228785,3.00,7.00,7.00,9.00,8.00,5.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2228793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2228807,5.00,6.00,5.00,6.00,6.00,4.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2228815,2.00,4.00,2.00,3.00,5.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2228823,2.00,5.00,4.00,6.00,5.00,7.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2228831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2228840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2228858,3.00,5.00,3.00,4.00,7.00,5.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2228866,2.00,8.00,0.00,3.00,7.00,NULL,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2228874,2.00,4.00,5.00,2.00,3.00,5.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2228882,5.00,4.00,3.00,5.00,5.00,4.75,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2228890,0.00,6.00,4.00,4.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2228904,1.00,8.00,2.00,6.00,4.00,5.75,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2228912,4.00,6.00,4.00,6.00,5.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2228920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2228939,5.00,7.00,5.00,8.00,8.00,7.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2228947,1.00,4.00,2.00,2.00,5.00,4.25,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2228963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2228971,3.00,6.00,0.00,1.00,8.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2228980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2228998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2229005,5.00,5.00,3.00,4.00,8.00,5.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2229013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2229021,2.00,2.00,1.00,0.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2229030,2.00,8.00,5.00,8.00,8.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2229048,4.00,6.00,6.00,8.00,7.00,5.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2229056,1.00,4.00,0.00,0.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2229064,3.00,7.00,6.00,5.00,7.00,6.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2229072,5.00,6.00,2.00,4.00,5.00,4.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2229080,0.00,0.00,0.00,7.00,6.00,NULL,4.00,5.00,3.00,NULL,'S',NULL,'S'),(15,2229099,1.00,3.00,1.00,6.00,5.00,5.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2229102,3.00,9.00,2.00,0.00,5.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2229110,3.00,7.00,5.00,8.00,8.00,7.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2229129,3.00,6.00,6.00,4.00,3.00,5.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2229137,6.00,7.00,3.00,2.00,6.00,5.25,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2229153,2.00,0.00,2.00,7.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2229161,0.00,0.00,0.00,2.00,5.00,NULL,1.00,4.00,2.00,NULL,'S',NULL,'N'),(15,2229170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2229196,5.00,7.00,6.00,6.00,8.00,4.75,9.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2229200,2.00,5.00,1.00,4.00,6.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2229226,8.00,7.00,6.00,8.00,7.00,8.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2229234,2.00,4.00,0.00,3.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2229242,3.00,7.00,4.00,6.00,6.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2229269,6.00,8.00,4.00,3.00,8.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2229277,3.00,5.00,2.00,2.00,6.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2229285,5.00,7.00,5.00,8.00,9.00,7.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2229293,1.00,4.00,0.00,0.00,3.00,NULL,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2229307,6.00,9.00,4.00,6.00,6.00,5.25,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2229315,2.00,2.00,1.00,1.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2229323,1.00,4.00,4.00,4.00,6.00,6.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2229331,7.00,8.00,10.00,6.00,8.00,6.00,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2229340,4.00,7.00,6.00,9.00,7.00,6.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2229358,3.00,7.00,4.00,4.00,4.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2229374,3.00,6.00,7.00,8.00,4.00,5.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2229382,1.00,6.00,2.00,6.00,5.00,5.25,4.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2229390,6.00,6.00,2.00,5.00,8.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2229404,7.00,7.00,7.00,6.00,9.00,5.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2229412,4.00,7.00,2.00,1.00,7.00,5.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2229420,3.00,4.00,5.00,5.00,6.00,3.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2229439,1.00,8.00,2.00,3.00,5.00,4.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2229447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2229455,1.00,6.00,4.00,4.00,8.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2229471,5.00,8.00,3.00,8.00,8.00,6.50,7.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2229480,4.00,6.00,6.00,7.00,5.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2229498,2.00,7.00,4.00,5.00,4.00,4.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2229501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2229510,1.00,4.00,2.00,1.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2229528,4.00,3.00,5.00,8.00,8.00,5.00,9.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2229544,3.00,7.00,3.00,5.00,7.00,2.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2229552,2.00,6.00,3.00,5.00,9.00,3.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2229560,7.00,9.00,8.00,8.00,7.00,6.75,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2229579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2229587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2229595,3.00,7.00,7.00,6.00,8.00,6.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2229617,1.00,6.00,3.00,4.00,5.00,5.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2229633,3.00,4.00,2.00,1.00,4.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2229641,4.00,4.00,5.00,6.00,8.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2229650,4.00,5.00,6.00,6.00,7.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2229668,4.00,7.00,4.00,2.00,7.00,6.00,4.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2229676,1.00,5.00,3.00,6.00,7.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2229684,2.00,7.00,3.00,5.00,6.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2229692,1.00,2.00,3.00,5.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2229706,1.00,5.00,2.00,2.00,3.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2229714,3.00,7.00,1.00,1.00,5.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2229722,9.00,8.00,7.00,7.00,7.00,4.75,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2229730,2.00,5.00,1.00,1.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2229749,4.00,5.00,2.00,4.00,4.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2229757,2.00,5.00,3.00,5.00,7.00,4.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2229765,3.00,5.00,4.00,5.00,6.00,5.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2229773,1.00,4.00,2.00,0.00,8.00,NULL,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2229781,5.00,8.00,4.00,5.00,7.00,5.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2229790,2.00,4.00,1.00,0.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2229811,6.00,8.00,2.00,9.00,7.00,5.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2229820,3.00,7.00,3.00,3.00,3.00,3.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2229838,8.00,6.00,9.00,8.00,9.00,8.75,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2229846,7.00,7.00,7.00,7.00,7.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2229854,6.00,8.00,2.00,6.00,7.00,5.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2229862,5.00,8.00,1.00,3.00,7.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2229889,6.00,7.00,6.00,6.00,8.00,5.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2229897,3.00,6.00,1.00,6.00,6.00,5.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2229900,3.00,6.00,5.00,4.00,7.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2229927,2.00,4.00,2.00,1.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2229935,5.00,6.00,2.00,6.00,7.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2229943,2.00,6.00,3.00,5.00,7.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2229960,3.00,5.00,2.00,0.00,6.00,6.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2229978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2229986,3.00,7.00,5.00,5.00,3.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2229994,3.00,6.00,4.00,4.00,5.00,6.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2230003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2230011,3.00,7.00,1.00,1.00,5.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2230020,2.00,6.00,2.00,4.00,4.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2230038,4.00,6.00,5.00,0.00,6.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2230062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2230070,4.00,6.00,5.00,4.00,5.00,5.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2230089,5.00,8.00,3.00,0.00,6.00,5.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2230097,0.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(15,2230100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2230119,2.00,5.00,5.00,6.00,5.00,6.75,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2230127,3.00,4.00,3.00,6.00,8.00,1.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2230143,2.00,6.00,3.00,4.00,7.00,5.00,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2230151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2230160,3.00,7.00,7.00,4.00,7.00,5.50,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2230186,2.00,5.00,3.00,5.00,7.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2230194,1.00,6.00,4.00,3.00,5.00,5.25,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2230208,4.00,4.00,8.00,9.00,9.00,6.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2230216,6.00,8.00,7.00,7.00,9.00,7.50,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2230224,3.00,5.00,3.00,4.00,6.00,5.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2230232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2230240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2230259,2.00,6.00,6.00,0.00,6.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2230267,3.00,7.00,3.00,9.00,7.00,5.75,5.00,8.00,4.00,NULL,NULL,NULL,'S'),(15,2230275,6.00,8.00,7.00,9.00,8.00,4.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2230283,3.00,4.00,3.00,5.00,6.00,5.75,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2230291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2230305,3.00,4.00,1.00,2.00,5.00,5.00,6.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2230313,3.00,5.00,1.00,0.00,5.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2230321,5.00,8.00,8.00,6.00,9.00,6.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2230330,6.00,8.00,6.00,6.00,7.00,4.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2230348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2230356,6.00,8.00,7.00,8.00,6.00,8.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2230364,4.00,7.00,2.00,5.00,2.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2230372,6.00,7.00,5.00,4.00,7.00,7.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2230380,7.00,9.00,7.00,9.00,9.00,7.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2230399,7.00,5.00,1.00,7.00,7.00,4.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2230402,5.00,6.00,3.00,3.00,8.00,4.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2230410,4.00,5.00,5.00,5.00,5.00,6.00,5.00,4.00,0.00,NULL,NULL,NULL,'S'),(15,2230437,1.00,7.00,2.00,1.00,6.00,5.75,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2230445,5.00,5.00,2.00,6.00,6.00,5.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2230453,2.00,5.00,3.00,5.00,7.00,6.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2230461,3.00,5.00,4.00,5.00,6.00,4.75,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2230470,2.00,8.00,1.00,6.00,8.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2230488,4.00,5.00,3.00,5.00,7.00,3.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2230496,7.00,8.00,5.00,4.00,8.00,7.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2230500,3.00,6.00,5.00,5.00,4.00,5.25,5.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2230518,3.00,4.00,2.00,3.00,6.00,4.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2230526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2230534,7.00,7.00,7.00,6.00,8.00,6.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2230542,5.00,5.00,3.00,1.00,7.00,7.00,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2230569,3.00,5.00,3.00,0.00,4.00,4.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2230577,1.00,5.00,0.00,1.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2230585,4.00,7.00,1.00,3.00,6.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2230593,3.00,6.00,3.00,4.00,6.00,4.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2230607,6.00,6.00,6.00,5.00,7.00,5.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2230615,2.00,5.00,4.00,4.00,4.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2230623,2.00,7.00,2.00,2.00,7.00,6.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2230640,3.00,5.00,3.00,0.00,7.00,4.75,5.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2230658,4.00,7.00,5.00,3.00,6.00,3.50,9.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2230666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2230674,3.00,7.00,4.00,7.00,8.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2230682,3.00,4.00,0.00,0.00,4.00,NULL,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2230690,3.00,3.00,4.00,3.00,4.00,5.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2230704,5.00,6.00,7.00,9.00,8.00,5.00,5.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2230712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2230720,2.00,4.00,1.00,1.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2230739,2.00,5.00,2.00,2.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2230747,2.00,5.00,4.00,4.00,7.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2230755,2.00,4.00,0.00,4.00,7.00,5.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2230763,2.00,3.00,4.00,3.00,5.00,4.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2230771,1.00,6.00,2.00,6.00,8.00,5.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2230780,7.00,9.00,9.00,9.00,8.00,7.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2230798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2230801,4.00,4.00,5.00,6.00,5.00,5.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2230810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2230828,5.00,7.00,5.00,4.00,6.00,4.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2230836,5.00,7.00,6.00,4.00,7.00,4.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2230844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2230852,0.00,4.00,1.00,1.00,4.00,4.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2230860,4.00,4.00,5.00,5.00,7.00,6.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2230879,1.00,5.00,3.00,1.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2230887,6.00,7.00,5.00,9.00,7.00,4.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2230895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2230925,2.00,7.00,5.00,5.00,9.00,7.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2230933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2230941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2230950,2.00,3.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2230968,2.00,4.00,0.00,4.00,7.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2230976,7.00,9.00,8.00,6.00,9.00,6.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2230992,4.00,9.00,7.00,9.00,7.00,5.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2231000,2.00,6.00,4.00,7.00,6.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2231026,5.00,6.00,8.00,6.00,7.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2231034,3.00,7.00,4.00,5.00,3.00,3.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2231042,2.00,6.00,1.00,4.00,6.00,6.50,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2231050,3.00,6.00,4.00,9.00,8.00,6.25,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2231085,1.00,5.00,3.00,3.00,4.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2231093,2.00,5.00,0.00,1.00,7.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2231107,6.00,9.00,8.00,7.00,8.00,5.75,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2231115,1.00,2.00,2.00,5.00,6.00,5.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2231131,3.00,6.00,2.00,0.00,7.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2231140,3.00,5.00,5.00,4.00,7.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2231158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2231166,3.00,7.00,1.00,8.00,6.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2231174,3.00,4.00,0.00,2.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2231190,3.00,7.00,5.00,6.00,8.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2231204,5.00,8.00,8.00,5.00,8.00,5.25,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2231212,0.00,5.00,1.00,1.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2231220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2231239,1.00,5.00,2.00,4.00,7.00,4.75,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2231255,2.00,5.00,2.00,1.00,4.00,3.00,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2231263,4.00,5.00,4.00,6.00,6.00,4.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2231271,2.00,6.00,2.00,5.00,6.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2231298,5.00,8.00,8.00,9.00,8.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2231301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2231310,5.00,6.00,4.00,4.00,8.00,5.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2231328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2231336,7.00,7.00,8.00,8.00,5.00,6.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2231344,2.00,5.00,5.00,7.00,5.00,4.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2231352,1.00,6.00,1.00,1.00,3.00,3.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2231360,5.00,6.00,5.00,8.00,8.00,4.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2231379,0.00,4.00,1.00,0.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2231387,2.00,5.00,1.00,3.00,6.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2231395,2.00,6.00,5.00,5.00,5.00,3.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2231409,7.00,7.00,6.00,7.00,7.00,6.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2231425,3.00,5.00,1.00,4.00,4.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2231433,1.00,5.00,1.00,3.00,3.00,5.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2231441,3.00,8.00,4.00,5.00,8.00,5.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2231450,2.00,5.00,1.00,1.00,5.00,4.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2231468,1.00,5.00,2.00,5.00,3.00,4.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2231476,0.00,6.00,1.00,5.00,5.00,1.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2231484,8.00,8.00,6.00,8.00,8.00,5.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2231492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2231506,1.00,6.00,6.00,9.00,5.00,4.50,9.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2231514,4.00,7.00,2.00,7.00,6.00,5.25,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2231522,2.00,5.00,3.00,4.00,5.00,4.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2231530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2231549,6.00,9.00,8.00,7.00,5.00,4.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2231557,3.00,6.00,1.00,4.00,4.00,4.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2231565,2.00,4.00,2.00,5.00,3.00,3.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2231573,4.00,8.00,0.00,5.00,6.00,2.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2231581,1.00,6.00,4.00,0.00,5.00,4.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2231590,5.00,7.00,5.00,6.00,6.00,6.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2231611,7.00,7.00,8.00,8.00,7.00,6.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2231620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2231638,2.00,6.00,3.00,5.00,6.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2231646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2231654,1.00,8.00,3.00,1.00,7.00,6.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2231662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2231689,4.00,8.00,8.00,8.00,8.00,7.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2231697,1.00,5.00,1.00,1.00,4.00,3.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2231700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2231727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2231735,1.00,1.00,0.00,3.00,2.00,NULL,4.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2231743,2.00,3.00,1.00,4.00,8.00,3.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2231751,1.00,3.00,2.00,3.00,5.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2231778,4.00,9.00,7.00,8.00,7.00,4.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2231786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2231794,1.00,3.00,1.00,1.00,5.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2231816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2231824,1.00,4.00,3.00,2.00,7.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2231832,2.00,4.00,3.00,0.00,3.00,3.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2231840,5.00,7.00,5.00,7.00,7.00,7.00,8.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2231859,4.00,8.00,6.00,7.00,7.00,5.75,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2231867,4.00,7.00,5.00,5.00,6.00,5.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2231875,2.00,4.00,2.00,0.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2231883,3.00,3.00,3.00,1.00,7.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2231891,7.00,8.00,7.00,4.00,6.00,6.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2231905,0.00,6.00,1.00,0.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2231913,2.00,4.00,0.00,1.00,3.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2231930,2.00,7.00,3.00,5.00,6.00,6.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2231948,4.00,5.00,5.00,7.00,7.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2231956,4.00,5.00,5.00,5.00,6.00,5.50,6.00,7.00,2.00,NULL,NULL,NULL,'S'),(15,2231964,2.00,8.00,2.00,6.00,7.00,4.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2231972,1.00,4.00,3.00,1.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2231980,6.00,6.00,7.00,9.00,9.00,6.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2232006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2232014,6.00,9.00,8.00,8.00,8.00,7.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2232022,0.00,3.00,1.00,2.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2232030,2.00,4.00,5.00,5.00,4.00,3.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2232049,0.00,6.00,3.00,5.00,5.00,2.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2232057,2.00,7.00,3.00,2.00,8.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2232065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2232073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2232081,4.00,5.00,6.00,4.00,4.00,4.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2232090,1.00,7.00,2.00,3.00,6.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2232103,3.00,5.00,2.00,4.00,5.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2232111,4.00,6.00,5.00,9.00,5.00,3.50,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2232120,2.00,2.00,0.00,3.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2232138,5.00,8.00,5.00,9.00,7.00,6.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2232146,1.00,2.00,0.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2232162,0.00,4.00,2.00,3.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2232170,4.00,4.00,1.00,4.00,6.00,4.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2232189,2.00,4.00,3.00,7.00,6.00,5.50,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2232197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2232200,3.00,2.00,2.00,7.00,4.00,4.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2232219,7.00,7.00,4.00,7.00,7.00,5.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2232227,3.00,6.00,2.00,3.00,5.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2232235,1.00,4.00,2.00,1.00,4.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2232243,1.00,8.00,6.00,8.00,7.00,7.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2232251,8.00,9.00,7.00,9.00,9.00,6.25,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2232260,1.00,4.00,3.00,6.00,7.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2232278,1.00,5.00,3.00,0.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2232286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2232294,3.00,4.00,1.00,5.00,4.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2232308,1.00,7.00,5.00,1.00,6.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2232316,6.00,4.00,7.00,9.00,7.00,6.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2232324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2232332,4.00,5.00,1.00,0.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2232340,4.00,1.00,3.00,1.00,3.00,2.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2232359,1.00,5.00,3.00,3.00,5.00,4.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2232367,2.00,6.00,1.00,2.00,3.00,4.75,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2232383,2.00,6.00,6.00,6.00,6.00,6.50,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2232391,3.00,3.00,6.00,3.00,3.00,6.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2232405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2232413,0.00,2.00,0.00,6.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2232430,0.00,5.00,1.00,4.00,4.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2232448,3.00,6.00,4.00,1.00,3.00,3.50,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2232456,4.00,5.00,2.00,7.00,6.00,6.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2232464,4.00,3.00,2.00,4.00,4.00,4.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2232480,2.00,5.00,2.00,3.00,5.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2232499,2.00,7.00,2.00,3.00,4.00,5.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2232510,4.00,6.00,1.00,1.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2232529,0.00,4.00,3.00,1.00,6.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2232537,5.00,8.00,7.00,7.00,8.00,6.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2232553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2232561,5.00,6.00,4.00,4.00,6.00,6.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2232570,2.00,5.00,2.00,7.00,5.00,5.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2232588,4.00,6.00,1.00,4.00,6.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2232596,2.00,3.00,1.00,7.00,5.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2232600,2.00,3.00,3.00,3.00,5.00,6.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2232618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2232626,3.00,5.00,0.00,4.00,6.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2232634,5.00,7.00,4.00,3.00,9.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2232642,2.00,5.00,1.00,0.00,0.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2232650,3.00,4.00,4.00,5.00,5.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2232669,3.00,4.00,4.00,4.00,5.00,8.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2232677,0.00,3.00,1.00,4.00,3.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2232685,3.00,5.00,4.00,8.00,6.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2232693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2232707,1.00,5.00,4.00,3.00,4.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2232715,4.00,7.00,7.00,6.00,7.00,5.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2232723,5.00,6.00,3.00,6.00,8.00,6.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2232740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2232758,4.00,4.00,3.00,5.00,6.00,3.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2232766,5.00,6.00,4.00,6.00,9.00,5.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2232774,2.00,5.00,8.00,4.00,5.00,6.50,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2232782,4.00,7.00,5.00,5.00,8.00,5.00,7.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2232790,1.00,6.00,5.00,6.00,4.00,4.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2232804,2.00,6.00,1.00,6.00,4.00,5.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2232812,6.00,8.00,3.00,5.00,8.00,5.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2232820,3.00,7.00,5.00,5.00,6.00,3.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2232839,2.00,7.00,7.00,6.00,8.00,6.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2232847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2232863,1.00,6.00,4.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2232871,6.00,7.00,5.00,8.00,8.00,4.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2232880,5.00,7.00,5.00,8.00,6.00,6.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2232898,0.00,3.00,3.00,2.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2232901,4.00,8.00,6.00,6.00,8.00,6.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2232910,5.00,6.00,4.00,7.00,8.00,8.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2232928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2232936,3.00,5.00,2.00,7.00,5.00,6.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2232944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2232952,1.00,6.00,4.00,0.00,4.00,4.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2232960,2.00,6.00,3.00,6.00,8.00,6.25,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2232979,4.00,5.00,6.00,6.00,5.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2232987,5.00,4.00,4.00,5.00,7.00,3.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2232995,4.00,5.00,5.00,5.00,6.00,7.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2233002,5.00,6.00,2.00,6.00,8.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2233029,2.00,7.00,1.00,2.00,5.00,6.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2233037,2.00,7.00,4.00,5.00,6.00,3.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2233045,4.00,7.00,1.00,2.00,5.00,4.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2233053,2.00,4.00,1.00,9.00,7.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2233061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2233070,6.00,8.00,9.00,4.00,6.00,5.25,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2233088,3.00,4.00,1.00,1.00,6.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2233100,3.00,6.00,1.00,7.00,4.00,5.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2233118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2233150,3.00,6.00,7.00,5.00,9.00,6.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2233169,3.00,6.00,2.00,8.00,8.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2233177,0.00,7.00,0.00,3.00,4.00,NULL,0.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2233185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2233193,2.00,3.00,2.00,2.00,3.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2233207,3.00,7.00,3.00,5.00,6.00,5.75,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2233215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2233223,2.00,7.00,2.00,3.00,6.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2233231,4.00,7.00,4.00,6.00,6.00,6.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2233258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2233266,1.00,7.00,6.00,6.00,6.00,5.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2233274,3.00,9.00,3.00,4.00,5.00,4.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2233282,4.00,6.00,3.00,6.00,9.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2233290,5.00,7.00,5.00,9.00,8.00,8.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2233304,3.00,8.00,2.00,6.00,6.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2233312,6.00,9.00,6.00,7.00,5.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2233320,4.00,4.00,4.00,4.00,5.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2233339,4.00,5.00,3.00,6.00,6.00,5.00,7.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2233347,4.00,6.00,7.00,7.00,9.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2233355,3.00,4.00,4.00,3.00,6.00,6.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2233363,6.00,6.00,6.00,5.00,7.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2233371,4.00,8.00,1.00,4.00,8.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2233380,3.00,7.00,2.00,5.00,5.00,6.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2233398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2233401,3.00,7.00,4.00,3.00,8.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2233410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2233428,8.00,8.00,5.00,7.00,6.00,6.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2233436,3.00,8.00,5.00,1.00,7.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2233444,4.00,8.00,5.00,3.00,7.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2233452,7.00,7.00,6.00,3.00,8.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2233460,6.00,8.00,7.00,7.00,8.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2233479,4.00,6.00,2.00,8.00,6.00,2.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2233487,5.00,8.00,1.00,2.00,7.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2233495,4.00,5.00,8.00,8.00,7.00,6.25,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2233509,2.00,5.00,1.00,1.00,7.00,6.25,4.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2233517,2.00,6.00,2.00,5.00,7.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2233525,1.00,6.00,4.00,4.00,6.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2233533,2.00,7.00,1.00,8.00,6.00,4.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2233550,2.00,4.00,3.00,0.00,5.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2233568,3.00,7.00,5.00,9.00,9.00,8.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2233576,6.00,7.00,7.00,7.00,8.00,7.50,6.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2233584,2.00,4.00,0.00,5.00,4.00,5.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2233592,0.00,6.00,2.00,6.00,7.00,6.50,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2233606,5.00,8.00,6.00,1.00,4.00,5.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2233614,3.00,6.00,8.00,6.00,8.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2233622,5.00,8.00,6.00,5.00,8.00,6.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2233649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2233665,5.00,7.00,8.00,8.00,8.00,6.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2233673,3.00,6.00,4.00,4.00,4.00,6.00,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(15,2233681,4.00,7.00,5.00,6.00,8.00,5.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2233703,2.00,8.00,5.00,7.00,7.00,4.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2233711,1.00,2.00,1.00,0.00,1.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2233720,5.00,6.00,3.00,6.00,7.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2233738,5.00,6.00,8.00,4.00,8.00,7.25,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2233746,3.00,5.00,5.00,4.00,5.00,3.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2233754,6.00,5.00,3.00,5.00,5.00,4.75,6.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2233762,3.00,4.00,0.00,0.00,5.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2233789,4.00,7.00,2.00,1.00,3.00,5.75,6.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2233797,3.00,1.00,0.00,5.00,8.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2233800,5.00,6.00,8.00,6.00,7.00,4.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2233827,0.00,0.00,0.00,5.00,4.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2233835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2233843,7.00,6.00,8.00,6.00,7.00,5.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2233851,4.00,6.00,4.00,4.00,7.00,7.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2233860,7.00,8.00,4.00,7.00,8.00,6.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2233878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2233886,1.00,5.00,3.00,4.00,3.00,3.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2233894,4.00,6.00,7.00,4.00,6.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2233908,5.00,7.00,2.00,6.00,9.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2233924,3.00,6.00,3.00,5.00,5.00,5.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2233940,1.00,3.00,4.00,5.00,5.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2233959,0.00,3.00,1.00,7.00,6.00,NULL,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2233967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2233975,6.00,7.00,4.00,6.00,7.00,4.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2233983,1.00,5.00,1.00,3.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2233991,0.00,5.00,3.00,5.00,4.00,3.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2234009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2234017,3.00,8.00,5.00,4.00,9.00,6.75,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2234025,2.00,4.00,0.00,0.00,1.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2234041,3.00,8.00,7.00,9.00,8.00,5.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2234050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2234068,4.00,5.00,5.00,6.00,5.00,5.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2234076,3.00,7.00,7.00,5.00,9.00,6.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2234084,3.00,6.00,1.00,5.00,8.00,5.00,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2234092,6.00,8.00,7.00,8.00,8.00,5.25,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2234106,1.00,2.00,2.00,3.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2234114,3.00,6.00,3.00,4.00,6.00,5.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2234122,1.00,8.00,6.00,5.00,7.00,5.00,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2234130,4.00,8.00,5.00,6.00,8.00,4.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2234149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2234157,1.00,5.00,1.00,4.00,3.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2234165,2.00,3.00,0.00,4.00,5.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2234190,6.00,8.00,5.00,4.00,4.00,7.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2234203,3.00,7.00,6.00,5.00,3.00,3.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2234211,2.00,6.00,3.00,2.00,6.00,4.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2234220,1.00,6.00,3.00,4.00,8.00,5.00,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2234246,3.00,5.00,0.00,2.00,4.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2234262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2234270,3.00,6.00,5.00,3.00,5.00,NULL,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2234300,4.00,7.00,8.00,4.00,5.00,3.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2234319,2.00,5.00,3.00,1.00,5.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2234327,2.00,2.00,5.00,0.00,2.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2234335,0.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2234343,4.00,6.00,7.00,10.00,8.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2234351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2234378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2234386,4.00,7.00,7.00,6.00,7.00,5.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2234394,4.00,7.00,7.00,8.00,7.00,6.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2234408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2234416,1.00,7.00,2.00,1.00,5.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2234424,2.00,5.00,3.00,1.00,7.00,6.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2234432,3.00,7.00,3.00,6.00,7.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2234440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2234459,3.00,6.00,3.00,5.00,5.00,4.00,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2234475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2234491,4.00,8.00,5.00,8.00,7.00,4.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2234505,3.00,5.00,3.00,6.00,7.00,4.50,5.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2234513,3.00,7.00,5.00,6.00,7.00,5.75,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2234521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2234530,2.00,6.00,4.00,6.00,7.00,4.75,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2234548,1.00,5.00,0.00,3.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2234556,4.00,6.00,2.00,8.00,5.00,4.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2234564,4.00,9.00,9.00,6.00,6.00,5.75,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2234572,2.00,5.00,1.00,3.00,3.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2234602,1.00,8.00,7.00,7.00,5.00,4.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2234610,6.00,7.00,5.00,6.00,9.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2234629,4.00,7.00,2.00,5.00,5.00,3.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2234637,3.00,3.00,5.00,3.00,5.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2234645,4.00,7.00,5.00,3.00,8.00,6.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2234653,5.00,6.00,7.00,5.00,6.00,4.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2234661,4.00,6.00,4.00,5.00,5.00,1.75,2.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2234670,5.00,6.00,4.00,1.00,8.00,4.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2234688,3.00,4.00,4.00,3.00,6.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2234696,4.00,6.00,4.00,5.00,6.00,6.00,5.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2234700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2234718,2.00,8.00,6.00,8.00,8.00,6.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2234726,6.00,6.00,5.00,3.00,8.00,6.00,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2234734,3.00,4.00,1.00,6.00,7.00,3.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2234742,2.00,7.00,4.00,4.00,6.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2234750,1.00,3.00,3.00,3.00,4.00,5.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2234769,0.00,7.00,2.00,4.00,3.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2234777,0.00,8.00,4.00,4.00,5.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2234793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2234807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2234815,2.00,5.00,3.00,1.00,5.00,5.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2234831,1.00,4.00,6.00,6.00,6.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2234840,2.00,6.00,4.00,6.00,5.00,4.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2234858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2234866,3.00,7.00,1.00,3.00,6.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2234874,1.00,8.00,0.00,3.00,3.00,5.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2234882,5.00,5.00,3.00,2.00,8.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2234890,3.00,4.00,0.00,4.00,7.00,5.75,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2234912,4.00,5.00,6.00,5.00,6.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2234920,4.00,6.00,3.00,5.00,8.00,3.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2234939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2234947,6.00,4.00,5.00,6.00,7.00,6.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2234998,5.00,6.00,8.00,7.00,8.00,7.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2235005,2.00,6.00,3.00,2.00,6.00,7.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2235013,2.00,7.00,4.00,3.00,8.00,6.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2235021,2.00,7.00,9.00,7.00,8.00,6.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2235030,3.00,7.00,3.00,3.00,6.00,7.25,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2235048,4.00,7.00,5.00,1.00,6.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2235056,1.00,4.00,3.00,6.00,6.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2235064,2.00,7.00,3.00,5.00,4.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2235072,0.00,6.00,4.00,4.00,5.00,6.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2235099,3.00,5.00,3.00,4.00,6.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2235110,1.00,5.00,1.00,2.00,3.00,5.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2235129,2.00,4.00,2.00,3.00,3.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2235137,0.00,7.00,4.00,8.00,7.00,8.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2235145,6.00,7.00,7.00,6.00,8.00,6.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2235153,4.00,7.00,1.00,2.00,6.00,5.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2235161,3.00,5.00,4.00,6.00,4.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2235170,3.00,7.00,3.00,3.00,6.00,4.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2235188,3.00,6.00,1.00,6.00,5.00,4.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2235196,2.00,3.00,2.00,6.00,5.00,4.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2235218,2.00,7.00,0.00,3.00,5.00,3.00,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2235226,2.00,5.00,0.00,1.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2235234,4.00,4.00,3.00,6.00,3.00,6.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2235242,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2235250,3.00,5.00,5.00,4.00,5.00,4.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2235277,2.00,5.00,4.00,6.00,4.00,4.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2235285,2.00,2.00,1.00,3.00,3.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2235293,5.00,8.00,6.00,8.00,8.00,6.50,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2235307,5.00,9.00,8.00,5.00,8.00,6.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2235315,2.00,4.00,3.00,7.00,6.00,5.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2235323,1.00,6.00,4.00,5.00,7.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2235331,2.00,7.00,6.00,7.00,5.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2235340,1.00,6.00,5.00,6.00,6.00,7.25,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2235366,2.00,3.00,1.00,4.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2235374,6.00,8.00,6.00,6.00,9.00,8.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2235382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2235390,2.00,7.00,3.00,6.00,4.00,4.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2235404,8.00,7.00,5.00,8.00,7.00,5.50,4.00,9.00,2.00,NULL,NULL,NULL,'S'),(15,2235420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2235439,2.00,7.00,6.00,3.00,7.00,4.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2235447,4.00,7.00,6.00,8.00,6.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2235455,3.00,3.00,4.00,1.00,4.00,5.50,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2235463,1.00,5.00,2.00,7.00,5.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2235471,3.00,9.00,7.00,8.00,6.00,7.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2235498,3.00,4.00,1.00,4.00,4.00,5.50,2.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2235501,2.00,7.00,9.00,8.00,7.00,5.50,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2235510,2.00,7.00,5.00,6.00,9.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2235536,4.00,6.00,0.00,6.00,6.00,3.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2235544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2235552,4.00,6.00,5.00,5.00,8.00,6.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2235560,3.00,4.00,1.00,0.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2235579,3.00,6.00,2.00,5.00,6.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2235587,0.00,2.00,2.00,3.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2235595,3.00,5.00,4.00,5.00,6.00,4.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2235609,2.00,9.00,6.00,7.00,7.00,7.50,6.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2235617,3.00,7.00,5.00,2.00,5.00,6.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2235625,2.00,7.00,4.00,9.00,6.00,7.00,5.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2235633,3.00,5.00,3.00,4.00,7.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2235650,6.00,7.00,5.00,5.00,8.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2235668,3.00,5.00,3.00,2.00,4.00,5.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2235676,6.00,9.00,8.00,4.00,9.00,5.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2235684,5.00,7.00,5.00,4.00,8.00,4.00,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2235692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2235706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2235714,7.00,8.00,6.00,6.00,8.00,6.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2235722,4.00,6.00,5.00,4.00,5.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2235730,8.00,8.00,7.00,8.00,7.00,7.50,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2235749,4.00,7.00,3.00,4.00,8.00,6.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2235757,0.00,7.00,5.00,3.00,7.00,3.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2235765,2.00,5.00,3.00,5.00,7.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2235773,3.00,6.00,3.00,7.00,7.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2235781,5.00,7.00,6.00,5.00,7.00,7.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2235790,4.00,7.00,5.00,2.00,6.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2235803,1.00,7.00,3.00,5.00,6.00,5.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2235811,2.00,6.00,2.00,4.00,6.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2235820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2235838,3.00,7.00,3.00,6.00,7.00,5.50,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2235846,1.00,0.00,2.00,3.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2235854,3.00,5.00,1.00,3.00,5.00,3.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2235862,7.00,8.00,7.00,7.00,7.00,5.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2235870,1.00,3.00,1.00,1.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2235889,3.00,7.00,3.00,3.00,6.00,5.00,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2235897,2.00,4.00,2.00,5.00,4.00,5.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2235900,8.00,8.00,10.00,9.00,9.00,5.25,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2235919,3.00,7.00,4.00,6.00,7.00,8.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2235927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2235935,4.00,6.00,5.00,9.00,5.00,7.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2235943,2.00,7.00,2.00,9.00,4.00,5.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2235951,2.00,8.00,7.00,6.00,8.00,6.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2235978,1.00,6.00,2.00,5.00,5.00,5.25,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2235986,2.00,8.00,2.00,8.00,7.00,5.00,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2235994,4.00,5.00,2.00,5.00,7.00,4.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2236001,7.00,7.00,6.00,8.00,7.00,3.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2236010,5.00,9.00,7.00,9.00,7.00,5.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2236028,2.00,5.00,6.00,6.00,6.00,6.25,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2236036,4.00,8.00,6.00,6.00,7.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2236044,5.00,6.00,2.00,5.00,4.00,3.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2236052,4.00,5.00,4.00,4.00,5.00,4.00,5.00,5.00,6.00,NULL,NULL,NULL,'S'),(15,2236060,6.00,8.00,6.00,10.00,8.00,8.00,5.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2236079,3.00,6.00,1.00,0.00,1.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2236087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2236109,3.00,7.00,7.00,5.00,7.00,5.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2236117,4.00,8.00,5.00,6.00,7.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2236125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2236133,7.00,8.00,5.00,7.00,9.00,4.50,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2236141,6.00,8.00,2.00,7.00,7.00,5.00,7.00,7.00,2.00,NULL,NULL,NULL,'S'),(15,2236150,2.00,3.00,3.00,2.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2236168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2236176,3.00,5.00,0.00,4.00,5.00,4.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2236184,3.00,1.00,0.00,3.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2236192,3.00,3.00,6.00,5.00,6.00,5.00,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2236206,3.00,7.00,1.00,6.00,3.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2236214,2.00,8.00,5.00,5.00,5.00,7.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2236222,4.00,8.00,1.00,3.00,8.00,6.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2236230,5.00,6.00,5.00,8.00,8.00,5.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2236249,4.00,8.00,3.00,4.00,6.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2236265,6.00,8.00,8.00,9.00,8.00,4.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2236273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2236281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2236290,2.00,7.00,5.00,5.00,7.00,3.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2236311,3.00,6.00,3.00,1.00,5.00,5.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2236320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2236346,4.00,6.00,1.00,4.00,5.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2236354,6.00,6.00,5.00,5.00,7.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2236362,4.00,8.00,6.00,3.00,6.00,6.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2236370,4.00,8.00,3.00,6.00,7.00,7.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2236389,3.00,3.00,5.00,5.00,5.00,3.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2236397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2236400,4.00,8.00,6.00,4.00,6.00,5.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2236419,2.00,7.00,4.00,5.00,6.00,5.00,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2236427,3.00,8.00,3.00,6.00,7.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2236435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2236443,0.00,0.00,0.00,0.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2236451,4.00,6.00,7.00,7.00,9.00,6.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2236460,5.00,8.00,5.00,3.00,7.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2236486,1.00,8.00,4.00,6.00,8.00,5.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2236494,2.00,6.00,3.00,5.00,7.00,4.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2236508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2236516,2.00,6.00,5.00,7.00,6.00,5.75,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2236524,3.00,5.00,2.00,1.00,3.00,3.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2236532,1.00,6.00,3.00,2.00,5.00,3.00,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2236559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2236567,3.00,8.00,4.00,8.00,5.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2236575,4.00,4.00,1.00,4.00,6.00,4.25,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2236583,6.00,5.00,5.00,2.00,4.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2236591,0.00,4.00,1.00,3.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2236605,0.00,4.00,4.00,1.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2236621,5.00,7.00,5.00,10.00,8.00,6.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2236630,2.00,7.00,4.00,3.00,5.00,5.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2236648,3.00,7.00,5.00,8.00,5.00,6.25,5.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2236664,5.00,4.00,1.00,2.00,6.00,5.50,6.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2236672,6.00,9.00,7.00,6.00,6.00,5.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2236680,6.00,7.00,6.00,6.00,7.00,5.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2236699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2236702,5.00,8.00,6.00,6.00,8.00,7.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2236710,3.00,7.00,5.00,4.00,7.00,4.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2236729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2236737,0.00,7.00,1.00,6.00,4.00,7.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2236745,6.00,8.00,6.00,8.00,8.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2236788,4.00,7.00,3.00,3.00,6.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2236796,5.00,7.00,3.00,7.00,6.00,4.50,6.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2236800,5.00,6.00,6.00,6.00,6.00,5.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2236818,1.00,6.00,5.00,6.00,5.00,5.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2236834,3.00,6.00,6.00,5.00,6.00,6.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2236850,3.00,3.00,2.00,2.00,3.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2236877,4.00,6.00,3.00,5.00,6.00,5.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2236885,1.00,2.00,4.00,1.00,5.00,5.50,5.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2236893,3.00,4.00,4.00,7.00,5.00,3.75,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2236907,2.00,1.00,0.00,1.00,0.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2236915,4.00,8.00,8.00,8.00,9.00,5.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2236931,1.00,5.00,2.00,3.00,5.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2236940,3.00,7.00,3.00,6.00,6.00,4.25,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2236958,3.00,4.00,2.00,2.00,5.00,3.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2236966,4.00,7.00,4.00,2.00,5.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2236974,1.00,8.00,4.00,4.00,5.00,6.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2236990,3.00,7.00,1.00,5.00,8.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2237008,5.00,5.00,2.00,7.00,4.00,7.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2237016,1.00,5.00,1.00,1.00,6.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2237024,2.00,4.00,1.00,5.00,3.00,3.25,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2237040,3.00,7.00,8.00,5.00,6.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2237059,0.00,3.00,2.00,8.00,7.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2237067,6.00,6.00,5.00,5.00,7.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2237075,2.00,6.00,6.00,1.00,5.00,5.25,4.00,8.00,4.00,NULL,NULL,NULL,'S'),(15,2237083,1.00,4.00,2.00,3.00,4.00,5.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2237091,5.00,8.00,8.00,5.00,5.00,7.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2237113,1.00,4.00,1.00,1.00,3.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2237121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2237130,4.00,4.00,3.00,3.00,7.00,5.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2237148,3.00,4.00,3.00,2.00,3.00,4.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2237156,7.00,8.00,7.00,9.00,8.00,4.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2237164,5.00,6.00,2.00,1.00,7.00,6.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2237172,4.00,5.00,4.00,6.00,7.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2237180,2.00,5.00,1.00,3.00,3.00,3.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2237199,3.00,7.00,4.00,5.00,7.00,5.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2237202,0.00,4.00,0.00,1.00,5.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2237210,3.00,7.00,3.00,7.00,5.00,4.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2237237,1.00,1.00,0.00,1.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2237245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2237253,3.00,5.00,3.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2237261,6.00,8.00,8.00,7.00,7.00,7.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2237270,2.00,6.00,5.00,3.00,5.00,4.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2237288,3.00,5.00,2.00,7.00,7.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2237300,2.00,6.00,0.00,7.00,7.00,5.50,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2237318,1.00,6.00,2.00,5.00,6.00,6.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2237326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2237342,7.00,7.00,8.00,6.00,6.00,4.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2237350,3.00,3.00,0.00,1.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2237385,4.00,7.00,3.00,6.00,8.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2237393,4.00,7.00,5.00,6.00,6.00,5.75,7.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2237407,5.00,5.00,4.00,4.00,6.00,3.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2237415,3.00,7.00,3.00,4.00,6.00,6.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2237431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2237440,2.00,7.00,5.00,4.00,7.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2237458,5.00,5.00,1.00,1.00,6.00,4.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2237466,2.00,4.00,2.00,3.00,4.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2237474,4.00,5.00,4.00,3.00,3.00,0.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2237482,5.00,8.00,7.00,5.00,8.00,6.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2237490,0.00,8.00,3.00,7.00,4.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2237504,1.00,3.00,0.00,3.00,5.00,NULL,5.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2237512,5.00,7.00,0.00,2.00,6.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2237539,3.00,6.00,8.00,3.00,7.00,6.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2237555,4.00,7.00,8.00,6.00,7.00,4.25,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2237563,3.00,6.00,4.00,2.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2237571,2.00,5.00,2.00,4.00,6.00,4.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2237580,7.00,9.00,9.00,9.00,9.00,6.00,10.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2237598,1.00,5.00,2.00,5.00,6.00,5.50,5.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2237601,6.00,7.00,8.00,8.00,8.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2237610,7.00,6.00,5.00,7.00,5.00,4.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2237628,7.00,7.00,3.00,0.00,6.00,5.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2237636,2.00,4.00,3.00,3.00,5.00,4.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2237644,0.00,0.00,1.00,0.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2237660,6.00,8.00,7.00,8.00,7.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2237679,1.00,5.00,1.00,3.00,4.00,4.00,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2237687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2237695,1.00,6.00,5.00,2.00,8.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2237709,1.00,5.00,4.00,4.00,6.00,4.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2237717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2237733,1.00,5.00,5.00,7.00,6.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2237741,1.00,7.00,3.00,2.00,5.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2237750,5.00,7.00,5.00,6.00,8.00,6.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2237768,4.00,8.00,7.00,5.00,6.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2237776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2237784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2237792,4.00,2.00,3.00,2.00,3.00,3.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2237806,1.00,3.00,3.00,4.00,7.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2237814,7.00,8.00,8.00,9.00,9.00,6.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2237822,1.00,3.00,3.00,2.00,8.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2237830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2237857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2237873,6.00,7.00,6.00,6.00,7.00,5.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2237881,0.00,6.00,2.00,0.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2237890,3.00,7.00,2.00,4.00,7.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2237903,8.00,8.00,8.00,6.00,9.00,9.00,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2237911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2237920,2.00,4.00,0.00,2.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2237938,2.00,5.00,3.00,6.00,4.00,4.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2237946,4.00,7.00,8.00,9.00,8.00,7.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2237954,1.00,5.00,3.00,3.00,6.00,4.75,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2237962,1.00,5.00,1.00,4.00,5.00,3.75,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2237970,0.00,3.00,2.00,0.00,5.00,NULL,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2237989,3.00,8.00,6.00,5.00,9.00,5.75,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2237997,1.00,7.00,3.00,9.00,4.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2238004,1.00,5.00,3.00,2.00,4.00,5.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2238012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2238020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2238039,8.00,7.00,6.00,5.00,6.00,3.75,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2238047,7.00,7.00,5.00,8.00,7.00,5.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2238055,0.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2238063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2238071,1.00,7.00,2.00,6.00,5.00,4.50,7.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2238080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2238098,3.00,5.00,1.00,6.00,6.00,4.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2238101,2.00,5.00,1.00,5.00,3.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2238110,6.00,5.00,1.00,4.00,3.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2238136,3.00,7.00,5.00,5.00,5.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2238144,3.00,7.00,7.00,9.00,8.00,6.25,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2238152,1.00,4.00,3.00,3.00,7.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2238160,3.00,7.00,2.00,8.00,6.00,4.75,5.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2238179,5.00,6.00,7.00,7.00,8.00,7.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2238187,0.00,6.00,3.00,5.00,6.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2238195,2.00,4.00,2.00,2.00,3.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2238209,5.00,7.00,6.00,9.00,8.00,6.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2238217,0.00,4.00,1.00,6.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'S'),(15,2238225,2.00,6.00,3.00,6.00,6.00,3.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2238233,2.00,4.00,3.00,4.00,4.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2238241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2238250,3.00,8.00,6.00,2.00,8.00,5.25,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2238268,1.00,3.00,2.00,0.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2238276,1.00,5.00,4.00,5.00,6.00,6.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2238284,3.00,5.00,4.00,5.00,5.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2238292,2.00,4.00,3.00,1.00,5.00,7.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2238306,4.00,6.00,7.00,9.00,9.00,7.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2238314,2.00,4.00,5.00,2.00,4.00,6.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2238330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2238349,5.00,8.00,5.00,6.00,6.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2238357,5.00,7.00,2.00,6.00,8.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2238365,3.00,4.00,4.00,2.00,5.00,5.00,5.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2238381,3.00,6.00,3.00,3.00,8.00,5.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2238390,1.00,5.00,3.00,5.00,2.00,NULL,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2238411,2.00,8.00,4.00,7.00,8.00,5.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2238420,0.00,7.00,2.00,5.00,6.00,5.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2238438,3.00,2.00,0.00,3.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2238446,2.00,4.00,4.00,2.00,6.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2238462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2238470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2238489,3.00,8.00,4.00,7.00,6.00,6.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2238497,3.00,7.00,5.00,8.00,8.00,6.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2238519,3.00,6.00,2.00,5.00,5.00,6.25,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2238527,2.00,5.00,5.00,1.00,2.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2238535,3.00,7.00,8.00,9.00,7.00,6.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2238543,2.00,7.00,3.00,5.00,7.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2238560,3.00,6.00,2.00,7.00,8.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2238578,2.00,6.00,3.00,4.00,4.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2238586,3.00,7.00,4.00,5.00,9.00,6.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2238594,2.00,7.00,7.00,6.00,9.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2238616,3.00,9.00,5.00,8.00,8.00,NULL,4.00,7.00,0.00,NULL,NULL,NULL,'N'),(15,2238624,4.00,7.00,6.00,5.00,8.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2238632,6.00,8.00,3.00,5.00,9.00,6.25,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2238659,1.00,0.00,1.00,3.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2238667,7.00,7.00,6.00,7.00,6.00,6.00,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2238675,2.00,8.00,1.00,3.00,5.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2238683,1.00,5.00,1.00,4.00,1.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2238705,8.00,9.00,7.00,8.00,8.00,6.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2238713,5.00,6.00,6.00,8.00,7.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2238721,1.00,4.00,0.00,6.00,7.00,5.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2238730,2.00,6.00,5.00,0.00,6.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2238756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2238764,5.00,7.00,4.00,5.00,7.00,5.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2238772,0.00,6.00,2.00,7.00,4.00,3.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2238780,1.00,3.00,2.00,1.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2238799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2238802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2238829,8.00,9.00,9.00,10.00,8.00,6.75,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2238837,2.00,6.00,4.00,4.00,8.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2238845,7.00,8.00,9.00,4.00,7.00,6.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2238853,1.00,4.00,4.00,3.00,5.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2238861,3.00,6.00,3.00,3.00,7.00,4.25,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2238888,6.00,8.00,5.00,9.00,9.00,7.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2238896,4.00,6.00,8.00,9.00,7.00,6.25,7.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2238900,3.00,7.00,6.00,2.00,7.00,5.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2238918,3.00,6.00,3.00,6.00,6.00,5.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2238926,5.00,6.00,8.00,7.00,6.00,6.25,5.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2238934,4.00,7.00,4.00,7.00,7.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2238942,1.00,4.00,4.00,4.00,5.00,5.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2238950,6.00,8.00,9.00,6.00,8.00,6.00,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2238969,2.00,3.00,3.00,5.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2238977,2.00,6.00,3.00,2.00,5.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2238985,4.00,7.00,6.00,6.00,4.00,6.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2238993,4.00,7.00,3.00,8.00,7.00,5.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2239000,2.00,6.00,3.00,3.00,7.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2239019,2.00,3.00,0.00,0.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2239035,2.00,7.00,3.00,2.00,6.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2239043,2.00,5.00,3.00,8.00,8.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2239051,3.00,7.00,5.00,5.00,5.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2239060,3.00,6.00,4.00,9.00,5.00,3.50,5.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2239078,6.00,7.00,8.00,8.00,8.00,4.00,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2239094,3.00,7.00,3.00,6.00,6.00,4.50,6.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2239108,4.00,8.00,3.00,5.00,7.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2239116,5.00,9.00,6.00,7.00,7.00,8.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2239124,4.00,8.00,4.00,6.00,5.00,3.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2239132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2239140,0.00,3.00,3.00,1.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2239159,3.00,7.00,4.00,9.00,7.00,5.00,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2239167,2.00,7.00,3.00,8.00,8.00,6.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2239183,4.00,8.00,7.00,9.00,8.00,5.75,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2239191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2239205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2239213,1.00,3.00,0.00,3.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2239221,5.00,8.00,7.00,7.00,8.00,6.50,7.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2239230,3.00,7.00,6.00,6.00,6.00,5.25,6.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2239248,5.00,8.00,4.00,3.00,8.00,6.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2239256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2239264,3.00,9.00,4.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2239272,3.00,5.00,1.00,5.00,6.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2239280,2.00,3.00,2.00,0.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2239302,5.00,6.00,1.00,5.00,3.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2239310,3.00,7.00,6.00,8.00,6.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2239329,3.00,7.00,2.00,1.00,6.00,2.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2239337,3.00,3.00,2.00,5.00,6.00,6.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2239353,3.00,5.00,0.00,8.00,8.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2239361,5.00,6.00,6.00,5.00,7.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2239370,2.00,5.00,5.00,0.00,5.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2239388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2239396,4.00,7.00,4.00,8.00,7.00,6.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2239400,2.00,5.00,7.00,3.00,5.00,5.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2239418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2239426,3.00,5.00,2.00,6.00,7.00,5.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2239434,4.00,6.00,5.00,1.00,7.00,6.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2239442,5.00,7.00,5.00,6.00,7.00,4.00,9.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2239450,2.00,4.00,0.00,4.00,6.00,4.75,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2239469,2.00,3.00,1.00,1.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2239477,6.00,8.00,6.00,8.00,7.00,5.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2239493,7.00,8.00,7.00,7.00,9.00,6.00,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2239507,6.00,5.00,5.00,7.00,8.00,4.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2239515,4.00,6.00,4.00,6.00,4.00,6.00,5.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2239523,5.00,8.00,7.00,9.00,6.00,7.50,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2239531,4.00,6.00,4.00,7.00,5.00,3.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2239540,7.00,8.00,6.00,8.00,6.00,7.25,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2239558,2.00,4.00,2.00,1.00,4.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2239566,3.00,2.00,2.00,3.00,5.00,4.50,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2239574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2239582,4.00,8.00,6.00,5.00,5.00,4.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2239590,3.00,5.00,3.00,4.00,4.00,4.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2239604,3.00,7.00,2.00,3.00,7.00,5.25,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2239612,2.00,4.00,0.00,1.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2239639,1.00,5.00,1.00,6.00,2.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2239655,1.00,5.00,5.00,4.00,5.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2239663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2239671,2.00,7.00,4.00,6.00,7.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2239680,5.00,7.00,0.00,4.00,6.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2239698,4.00,5.00,2.00,8.00,9.00,5.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2239701,2.00,3.00,5.00,2.00,4.00,4.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2239728,2.00,7.00,2.00,5.00,6.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2239736,3.00,3.00,1.00,0.00,5.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2239744,5.00,8.00,6.00,6.00,5.00,5.75,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2239752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2239760,3.00,7.00,3.00,7.00,5.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2239779,1.00,6.00,3.00,5.00,5.00,2.25,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2239787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2239795,6.00,8.00,6.00,6.00,7.00,6.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2239809,1.00,6.00,1.00,6.00,3.00,4.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2239817,4.00,3.00,4.00,1.00,3.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2239833,4.00,7.00,0.00,8.00,7.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2239841,2.00,7.00,2.00,1.00,3.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2239850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2239868,6.00,8.00,5.00,8.00,7.00,7.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2239876,3.00,4.00,4.00,4.00,6.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2239892,4.00,3.00,3.00,4.00,6.00,6.50,6.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2239914,8.00,7.00,3.00,9.00,7.00,5.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2239922,5.00,7.00,5.00,8.00,8.00,5.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2239957,7.00,8.00,7.00,7.00,7.00,5.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2239965,2.00,7.00,6.00,9.00,6.00,7.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2239973,4.00,7.00,4.00,1.00,7.00,4.00,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2239981,3.00,7.00,2.00,7.00,5.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2240009,4.00,7.00,5.00,1.00,7.00,5.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2240017,5.00,7.00,8.00,7.00,8.00,6.75,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2240025,4.00,6.00,6.00,5.00,3.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2240033,4.00,3.00,1.00,7.00,9.00,6.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2240041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2240050,2.00,6.00,1.00,1.00,6.00,5.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2240068,4.00,7.00,2.00,8.00,6.00,4.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2240076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2240084,2.00,8.00,7.00,6.00,9.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2240092,2.00,6.00,5.00,7.00,7.00,4.25,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2240106,3.00,9.00,2.00,5.00,7.00,5.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2240114,4.00,5.00,7.00,6.00,7.00,6.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2240122,7.00,7.00,9.00,8.00,8.00,6.25,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2240130,2.00,6.00,1.00,5.00,7.00,3.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2240149,4.00,8.00,7.00,8.00,7.00,6.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2240157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2240165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2240173,4.00,6.00,3.00,8.00,8.00,7.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2240181,2.00,7.00,5.00,5.00,4.00,4.50,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2240190,4.00,7.00,6.00,5.00,7.00,6.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2240203,3.00,8.00,1.00,6.00,6.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2240211,5.00,7.00,6.00,9.00,6.00,4.00,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2240220,3.00,4.00,4.00,9.00,4.00,7.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2240238,2.00,5.00,2.00,4.00,7.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2240246,1.00,4.00,3.00,9.00,7.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2240262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2240270,5.00,6.00,5.00,3.00,6.00,5.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2240289,3.00,5.00,5.00,7.00,4.00,5.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2240297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2240300,4.00,7.00,4.00,6.00,4.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2240319,3.00,5.00,7.00,3.00,7.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2240327,2.00,5.00,1.00,3.00,4.00,5.50,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2240335,6.00,8.00,6.00,8.00,9.00,7.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2240351,0.00,6.00,1.00,2.00,4.00,3.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2240360,5.00,5.00,7.00,5.00,6.00,4.75,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2240378,0.00,6.00,3.00,6.00,6.00,4.25,5.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2240386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2240394,3.00,5.00,8.00,8.00,6.00,6.00,9.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2240408,4.00,6.00,4.00,4.00,3.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2240416,5.00,6.00,4.00,6.00,5.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2240424,1.00,7.00,4.00,5.00,7.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2240440,2.00,5.00,6.00,6.00,6.00,3.50,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2240459,5.00,6.00,5.00,6.00,6.00,4.75,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2240467,4.00,6.00,4.00,6.00,6.00,5.25,2.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2240475,2.00,5.00,3.00,2.00,7.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2240483,4.00,6.00,6.00,9.00,4.00,7.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2240491,6.00,7.00,5.00,3.00,8.00,5.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2240505,5.00,8.00,6.00,9.00,8.00,4.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2240513,2.00,6.00,6.00,0.00,6.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2240521,8.00,8.00,8.00,4.00,8.00,5.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2240530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2240548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2240556,0.00,7.00,3.00,3.00,4.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2240564,5.00,6.00,4.00,3.00,6.00,6.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2240572,4.00,3.00,5.00,5.00,4.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2240580,1.00,5.00,1.00,8.00,5.00,4.50,6.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2240599,0.00,6.00,1.00,4.00,6.00,5.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2240637,6.00,8.00,7.00,7.00,6.00,6.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2240645,0.00,5.00,4.00,7.00,5.00,3.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2240653,3.00,9.00,4.00,6.00,8.00,4.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2240661,2.00,7.00,1.00,2.00,3.00,6.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2240670,2.00,7.00,6.00,6.00,7.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2240688,1.00,6.00,2.00,2.00,7.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2240700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2240718,6.00,8.00,5.00,7.00,8.00,7.25,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2240726,2.00,5.00,3.00,5.00,6.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2240734,1.00,4.00,3.00,2.00,3.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2240742,6.00,7.00,5.00,7.00,7.00,7.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2240750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2240777,1.00,4.00,3.00,4.00,4.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2240785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2240793,2.00,5.00,5.00,0.00,6.00,4.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2240815,3.00,7.00,4.00,7.00,8.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2240823,1.00,4.00,2.00,2.00,3.00,4.75,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2240831,4.00,8.00,1.00,6.00,7.00,5.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2240858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2240866,6.00,7.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2240874,4.00,8.00,6.00,9.00,6.00,5.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2240882,4.00,6.00,1.00,2.00,3.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2240904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2240912,0.00,7.00,0.00,6.00,6.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2240920,4.00,7.00,5.00,8.00,7.00,6.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2240939,3.00,5.00,1.00,4.00,8.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2240947,1.00,7.00,4.00,4.00,7.00,5.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2240955,5.00,8.00,5.00,4.00,8.00,6.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2240963,3.00,6.00,2.00,3.00,7.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2240971,3.00,5.00,3.00,4.00,6.00,6.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2240980,3.00,5.00,2.00,2.00,7.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2241005,0.00,3.00,1.00,4.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2241013,4.00,5.00,3.00,6.00,6.00,4.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2241021,2.00,5.00,1.00,0.00,5.00,4.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2241030,6.00,5.00,6.00,5.00,8.00,5.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2241048,1.00,6.00,3.00,8.00,5.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2241056,2.00,7.00,6.00,8.00,8.00,6.75,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2241064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2241080,3.00,9.00,4.00,9.00,8.00,7.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2241099,4.00,7.00,7.00,6.00,8.00,3.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2241102,4.00,8.00,2.00,5.00,6.00,6.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2241110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2241129,1.00,5.00,5.00,1.00,3.00,4.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2241137,3.00,7.00,4.00,7.00,5.00,5.50,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2241145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2241153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2241161,1.00,7.00,3.00,0.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2241170,4.00,4.00,3.00,6.00,5.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2241188,5.00,8.00,5.00,9.00,9.00,8.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2241196,1.00,5.00,2.00,2.00,6.00,5.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2241200,4.00,6.00,5.00,5.00,6.00,6.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2241218,0.00,6.00,1.00,0.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2241226,3.00,4.00,4.00,5.00,8.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2241234,7.00,6.00,8.00,7.00,8.00,7.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2241242,5.00,7.00,8.00,8.00,7.00,5.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2241269,4.00,8.00,7.00,6.00,8.00,6.75,7.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2241277,4.00,8.00,6.00,7.00,9.00,7.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2241293,4.00,7.00,5.00,4.00,7.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2241307,3.00,9.00,7.00,4.00,5.00,5.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2241315,6.00,7.00,5.00,7.00,8.00,6.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2241323,8.00,9.00,8.00,9.00,9.00,5.00,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2241331,2.00,6.00,5.00,5.00,6.00,6.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2241358,2.00,4.00,2.00,5.00,8.00,2.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2241366,2.00,3.00,4.00,5.00,5.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2241374,8.00,8.00,4.00,5.00,8.00,7.00,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2241382,4.00,7.00,4.00,2.00,5.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2241390,5.00,6.00,2.00,6.00,7.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2241404,3.00,6.00,2.00,5.00,6.00,5.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2241412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2241420,3.00,9.00,6.00,7.00,7.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2241439,3.00,8.00,6.00,7.00,6.00,6.75,6.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2241447,1.00,5.00,4.00,0.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2241455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2241463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2241471,1.00,6.00,1.00,2.00,3.00,4.50,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2241480,2.00,5.00,2.00,6.00,6.00,6.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2241498,3.00,7.00,3.00,6.00,8.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2241501,7.00,8.00,7.00,7.00,8.00,4.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2241510,5.00,5.00,7.00,7.00,9.00,5.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2241528,3.00,6.00,4.00,2.00,7.00,4.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2241536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2241544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2241552,4.00,5.00,4.00,5.00,3.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2241560,1.00,3.00,1.00,3.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2241579,0.00,5.00,1.00,5.00,5.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2241587,4.00,7.00,1.00,3.00,6.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2241595,3.00,4.00,4.00,7.00,5.00,6.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2241609,2.00,4.00,4.00,5.00,5.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2241617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2241625,3.00,5.00,3.00,7.00,6.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2241633,6.00,9.00,7.00,8.00,7.00,7.00,8.00,8.00,5.00,NULL,NULL,NULL,'S'),(15,2241641,1.00,6.00,3.00,1.00,5.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2241650,3.00,7.00,5.00,3.00,6.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2241668,3.00,6.00,1.00,2.00,4.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2241676,6.00,8.00,6.00,5.00,5.00,5.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2241684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2241692,6.00,7.00,3.00,5.00,8.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2241706,4.00,6.00,4.00,7.00,6.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2241714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2241722,1.00,5.00,0.00,2.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2241730,3.00,7.00,3.00,5.00,4.00,5.50,6.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2241749,3.00,6.00,5.00,6.00,6.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2241757,1.00,4.00,4.00,4.00,5.00,7.00,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2241765,3.00,7.00,5.00,5.00,7.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2241773,3.00,5.00,4.00,2.00,4.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2241781,2.00,5.00,0.00,6.00,4.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2241790,3.00,5.00,5.00,0.00,7.00,5.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2241803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2241811,6.00,6.00,3.00,2.00,5.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2241820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2241838,5.00,8.00,8.00,5.00,7.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2241846,3.00,6.00,2.00,1.00,5.00,4.75,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2241854,0.00,5.00,5.00,5.00,8.00,5.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2241862,2.00,4.00,4.00,4.00,3.00,4.00,3.00,1.00,2.00,NULL,NULL,NULL,'S'),(15,2241870,4.00,6.00,3.00,7.00,5.00,4.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2241889,3.00,9.00,6.00,9.00,7.00,6.75,7.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2241897,5.00,7.00,6.00,9.00,8.00,6.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2241900,6.00,7.00,8.00,8.00,7.00,7.75,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2241919,2.00,6.00,2.00,5.00,3.00,6.50,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2241935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2241943,2.00,7.00,2.00,8.00,5.00,5.25,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2241951,3.00,8.00,1.00,2.00,5.00,5.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2241960,5.00,6.00,4.00,7.00,7.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2241978,2.00,2.00,4.00,4.00,3.00,5.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2241986,4.00,6.00,2.00,4.00,6.00,6.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2241994,6.00,8.00,7.00,7.00,7.00,6.00,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2242001,7.00,8.00,4.00,9.00,8.00,7.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2242010,3.00,8.00,3.00,6.00,8.00,6.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2242028,1.00,5.00,3.00,3.00,5.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2242036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2242044,4.00,6.00,1.00,3.00,5.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2242060,4.00,5.00,2.00,0.00,4.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2242079,0.00,6.00,1.00,2.00,6.00,6.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2242095,3.00,7.00,5.00,3.00,6.00,5.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2242109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2242117,3.00,5.00,0.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2242125,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(15,2242133,3.00,5.00,2.00,5.00,6.00,4.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2242141,5.00,7.00,2.00,4.00,8.00,6.25,9.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2242150,3.00,6.00,2.00,0.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(15,2242168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2242176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2242184,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2242192,2.00,4.00,3.00,2.00,6.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2242214,3.00,4.00,1.00,2.00,6.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2242222,1.00,4.00,0.00,2.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2242230,1.00,2.00,2.00,7.00,7.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2242249,2.00,4.00,2.00,2.00,5.00,3.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2242265,8.00,7.00,6.00,7.00,9.00,8.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2242273,3.00,6.00,4.00,6.00,4.00,6.50,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2242281,7.00,7.00,4.00,8.00,8.00,5.25,5.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2242290,3.00,4.00,5.00,4.00,7.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2242303,6.00,9.00,6.00,4.00,8.00,6.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2242311,1.00,2.00,3.00,4.00,4.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2242320,3.00,5.00,5.00,6.00,6.00,5.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2242346,2.00,7.00,2.00,7.00,6.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2242354,2.00,5.00,5.00,0.00,7.00,NULL,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2242370,7.00,8.00,8.00,5.00,9.00,5.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2242389,5.00,3.00,3.00,2.00,4.00,3.50,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2242397,6.00,7.00,6.00,6.00,8.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2242400,7.00,7.00,6.00,8.00,3.00,5.75,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2242419,0.00,6.00,2.00,6.00,7.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2242427,3.00,4.00,4.00,6.00,7.00,6.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2242435,3.00,3.00,2.00,5.00,3.00,4.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2242443,6.00,9.00,9.00,4.00,7.00,6.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2242451,4.00,6.00,4.00,8.00,6.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2242460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2242478,4.00,8.00,6.00,9.00,8.00,6.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2242486,0.00,3.00,3.00,3.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2242508,1.00,5.00,2.00,6.00,6.00,4.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2242516,1.00,3.00,2.00,1.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(15,2242524,3.00,3.00,1.00,2.00,5.00,5.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2242559,1.00,5.00,2.00,4.00,5.00,4.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2242575,1.00,3.00,1.00,4.00,7.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2242583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2242591,2.00,6.00,2.00,6.00,4.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2242613,5.00,8.00,7.00,7.00,7.00,6.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2242621,5.00,5.00,7.00,8.00,9.00,8.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2242630,1.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2242648,3.00,6.00,4.00,3.00,6.00,5.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2242656,2.00,3.00,3.00,6.00,5.00,4.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2242664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2242672,2.00,4.00,2.00,3.00,6.00,2.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2242680,1.00,2.00,0.00,5.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2242702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2242710,8.00,7.00,9.00,8.00,9.00,6.75,10.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2242729,2.00,3.00,2.00,3.00,8.00,4.00,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2242737,2.00,8.00,6.00,3.00,7.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2242745,6.00,8.00,8.00,7.00,7.00,6.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2242753,2.00,4.00,2.00,3.00,4.00,5.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2242761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2242770,2.00,7.00,3.00,5.00,5.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2242796,3.00,8.00,2.00,2.00,5.00,5.00,5.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2242800,4.00,7.00,2.00,2.00,7.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2242826,2.00,4.00,3.00,1.00,6.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2242834,4.00,7.00,2.00,4.00,4.00,4.00,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2242842,2.00,6.00,1.00,4.00,6.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2242850,2.00,4.00,3.00,0.00,5.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2242869,3.00,5.00,2.00,2.00,3.00,4.00,5.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2242877,3.00,6.00,4.00,8.00,7.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2242885,5.00,7.00,7.00,5.00,8.00,5.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2242893,3.00,6.00,5.00,9.00,5.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2242915,2.00,8.00,2.00,3.00,5.00,3.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2242923,3.00,3.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2242940,5.00,5.00,5.00,5.00,5.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2242966,1.00,5.00,2.00,2.00,4.00,4.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2242974,4.00,7.00,4.00,7.00,6.00,6.25,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2242982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2242990,5.00,9.00,8.00,8.00,8.00,6.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2243008,5.00,8.00,3.00,5.00,7.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2243016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2243024,3.00,4.00,1.00,1.00,7.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2243032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2243040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2243059,2.00,3.00,3.00,4.00,3.00,4.25,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2243067,5.00,7.00,6.00,6.00,7.00,5.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2243075,3.00,5.00,2.00,4.00,5.00,6.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2243083,7.00,8.00,4.00,5.00,8.00,5.50,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2243091,4.00,3.00,2.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2243105,2.00,6.00,3.00,7.00,8.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2243113,2.00,8.00,6.00,4.00,5.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2243121,2.00,5.00,2.00,1.00,4.00,4.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2243148,5.00,7.00,7.00,9.00,7.00,8.00,7.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2243156,5.00,6.00,9.00,9.00,7.00,6.75,7.00,7.00,6.00,NULL,NULL,NULL,'S'),(15,2243164,4.00,6.00,5.00,5.00,9.00,6.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2243172,6.00,6.00,6.00,5.00,6.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2243180,3.00,6.00,5.00,8.00,7.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2243199,4.00,8.00,4.00,5.00,7.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2243202,2.00,6.00,2.00,1.00,3.00,4.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2243210,4.00,8.00,3.00,2.00,6.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2243229,1.00,3.00,5.00,2.00,6.00,3.75,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2243237,4.00,3.00,3.00,6.00,2.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2243245,5.00,8.00,4.00,7.00,8.00,6.00,6.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2243253,4.00,8.00,8.00,8.00,8.00,7.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2243261,2.00,5.00,4.00,4.00,8.00,5.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2243270,4.00,7.00,6.00,7.00,7.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2243288,2.00,3.00,2.00,6.00,4.00,5.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2243296,4.00,7.00,6.00,9.00,8.00,6.25,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2243300,5.00,6.00,5.00,5.00,8.00,6.00,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2243318,1.00,3.00,3.00,6.00,7.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2243326,7.00,8.00,6.00,7.00,7.00,7.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2243334,3.00,6.00,6.00,4.00,5.00,5.25,5.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2243342,5.00,9.00,6.00,9.00,9.00,7.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2243350,4.00,5.00,2.00,7.00,6.00,5.75,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2243369,0.00,6.00,0.00,4.00,5.00,6.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2243377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2243385,4.00,4.00,8.00,3.00,5.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2243393,4.00,5.00,7.00,5.00,6.00,7.00,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2243407,2.00,3.00,0.00,1.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2243415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2243423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2243431,3.00,4.00,4.00,1.00,5.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2243440,5.00,8.00,7.00,7.00,9.00,6.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2243458,9.00,9.00,6.00,8.00,8.00,4.50,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2243466,4.00,7.00,6.00,6.00,6.00,6.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2243474,7.00,6.00,9.00,5.00,8.00,6.25,9.00,4.00,8.00,NULL,NULL,NULL,'N'),(15,2243490,3.00,6.00,3.00,4.00,2.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2243512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2243520,1.00,7.00,4.00,8.00,4.00,6.75,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2243539,4.00,8.00,1.00,9.00,8.00,7.00,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2243547,7.00,8.00,8.00,9.00,9.00,6.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2243555,3.00,6.00,5.00,2.00,4.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2243563,5.00,8.00,4.00,7.00,7.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2243571,3.00,7.00,4.00,0.00,7.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2243580,2.00,7.00,3.00,4.00,8.00,7.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2243598,0.00,7.00,1.00,0.00,3.00,NULL,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2243610,2.00,6.00,4.00,7.00,7.00,4.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2243628,7.00,9.00,8.00,7.00,8.00,7.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2243636,5.00,6.00,4.00,6.00,7.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2243644,5.00,8.00,7.00,6.00,7.00,5.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2243652,2.00,5.00,2.00,1.00,4.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2243660,2.00,1.00,2.00,3.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2243695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2243709,5.00,9.00,8.00,6.00,8.00,5.75,9.00,4.00,8.00,NULL,NULL,NULL,'N'),(15,2243725,1.00,5.00,3.00,3.00,5.00,2.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2243733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2243741,2.00,6.00,1.00,5.00,6.00,6.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2243750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2243768,1.00,3.00,3.00,0.00,5.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2243776,0.00,9.00,5.00,5.00,6.00,NULL,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2243784,2.00,7.00,6.00,8.00,6.00,6.25,8.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2243806,1.00,5.00,3.00,2.00,8.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2243822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2243830,4.00,7.00,2.00,7.00,7.00,6.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2243849,5.00,7.00,6.00,9.00,8.00,7.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2243857,1.00,3.00,3.00,6.00,5.00,5.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2243865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2243873,5.00,4.00,4.00,5.00,6.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2243881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2243890,0.00,6.00,4.00,2.00,5.00,NULL,7.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2243903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2243911,4.00,3.00,3.00,5.00,7.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2243920,6.00,9.00,7.00,9.00,9.00,6.00,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2243938,5.00,8.00,1.00,9.00,9.00,6.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2243946,3.00,7.00,7.00,6.00,8.00,5.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2243954,1.00,4.00,2.00,2.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2243970,2.00,5.00,4.00,5.00,7.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2243989,2.00,6.00,1.00,0.00,5.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2243997,3.00,8.00,7.00,4.00,7.00,5.00,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2244004,4.00,5.00,6.00,1.00,6.00,5.25,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2244012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2244020,4.00,7.00,3.00,6.00,5.00,3.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2244039,2.00,4.00,4.00,4.00,4.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2244055,2.00,4.00,2.00,0.00,7.00,4.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2244063,3.00,7.00,2.00,4.00,5.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2244071,4.00,5.00,3.00,1.00,6.00,4.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2244080,2.00,5.00,2.00,4.00,5.00,5.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2244098,3.00,7.00,2.00,6.00,7.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2244101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2244110,3.00,6.00,3.00,5.00,7.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2244128,5.00,7.00,8.00,8.00,8.00,8.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2244136,1.00,3.00,2.00,3.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2244144,3.00,4.00,3.00,8.00,6.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2244152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2244179,6.00,7.00,6.00,7.00,6.00,8.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2244195,1.00,8.00,2.00,1.00,6.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2244209,0.00,5.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2244217,7.00,9.00,9.00,9.00,8.00,5.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2244225,0.00,6.00,2.00,6.00,5.00,5.75,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2244233,3.00,6.00,3.00,2.00,7.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2244241,5.00,6.00,6.00,9.00,5.00,4.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2244250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2244292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2244306,4.00,6.00,9.00,9.00,5.00,6.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2244314,2.00,6.00,2.00,1.00,5.00,4.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2244322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2244330,1.00,4.00,0.00,5.00,4.00,4.00,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2244365,2.00,7.00,4.00,2.00,6.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2244373,3.00,6.00,4.00,4.00,6.00,1.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2244403,2.00,6.00,5.00,9.00,8.00,6.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2244411,4.00,5.00,2.00,7.00,8.00,4.25,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2244420,5.00,7.00,7.00,4.00,9.00,5.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2244438,5.00,6.00,2.00,8.00,8.00,6.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2244446,4.00,9.00,7.00,9.00,9.00,6.25,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2244454,2.00,5.00,4.00,5.00,5.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2244462,4.00,7.00,3.00,7.00,7.00,5.25,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2244470,4.00,7.00,6.00,8.00,7.00,6.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2244489,2.00,7.00,6.00,9.00,7.00,5.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2244497,3.00,8.00,3.00,8.00,8.00,6.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2244500,2.00,7.00,2.00,5.00,7.00,5.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2244519,4.00,7.00,4.00,7.00,7.00,7.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2244527,6.00,9.00,6.00,8.00,7.00,5.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2244535,0.00,7.00,7.00,5.00,6.00,4.75,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2244543,3.00,6.00,2.00,9.00,4.00,6.25,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2244551,3.00,4.00,3.00,4.00,5.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2244560,0.00,6.00,2.00,3.00,5.00,5.75,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2244578,0.00,0.00,1.00,3.00,2.00,NULL,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2244586,2.00,5.00,4.00,5.00,6.00,5.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2244594,0.00,1.00,2.00,1.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2244616,3.00,4.00,0.00,2.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2244624,1.00,3.00,1.00,6.00,6.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2244632,3.00,7.00,4.00,9.00,8.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2244640,8.00,7.00,9.00,8.00,8.00,7.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2244659,6.00,7.00,5.00,8.00,8.00,6.00,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2244667,2.00,5.00,3.00,5.00,6.00,4.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2244675,1.00,4.00,4.00,6.00,5.00,6.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2244683,2.00,4.00,2.00,4.00,6.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2244691,1.00,3.00,0.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2244713,4.00,7.00,3.00,5.00,9.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2244730,8.00,8.00,8.00,5.00,9.00,6.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2244748,3.00,7.00,4.00,3.00,5.00,6.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2244756,5.00,7.00,8.00,7.00,9.00,6.75,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2244764,2.00,7.00,2.00,3.00,7.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2244772,4.00,7.00,4.00,6.00,5.00,4.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2244780,2.00,5.00,2.00,4.00,7.00,6.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2244810,1.00,2.00,1.00,1.00,5.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2244829,3.00,2.00,5.00,3.00,4.00,3.75,5.00,1.00,2.00,NULL,NULL,NULL,'S'),(15,2244837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2244845,2.00,3.00,1.00,3.00,3.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2244853,3.00,6.00,5.00,5.00,8.00,5.25,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2244861,2.00,2.00,2.00,3.00,3.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2244870,2.00,6.00,2.00,0.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(15,2244888,2.00,8.00,4.00,7.00,8.00,5.75,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2244896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2244900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2244918,2.00,6.00,2.00,3.00,5.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2244926,3.00,6.00,0.00,4.00,4.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2244934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2244950,5.00,4.00,4.00,1.00,3.00,5.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2244969,4.00,7.00,5.00,7.00,9.00,6.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2244977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2244985,7.00,7.00,8.00,6.00,6.00,4.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2244993,6.00,8.00,9.00,5.00,6.00,5.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2245000,3.00,6.00,4.00,1.00,4.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2245027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2245035,4.00,5.00,3.00,1.00,4.00,5.50,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2245043,2.00,7.00,2.00,3.00,4.00,4.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2245051,2.00,8.00,6.00,7.00,9.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2245060,4.00,5.00,5.00,7.00,5.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2245078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2245086,4.00,7.00,7.00,7.00,8.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2245094,6.00,7.00,5.00,7.00,9.00,7.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2245108,4.00,8.00,6.00,9.00,8.00,6.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2245116,4.00,5.00,3.00,4.00,5.00,4.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2245124,3.00,8.00,2.00,2.00,6.00,6.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2245132,3.00,4.00,1.00,0.00,3.00,4.50,2.00,7.00,0.00,NULL,NULL,NULL,'S'),(15,2245140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2245175,1.00,3.00,4.00,1.00,6.00,4.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2245183,6.00,6.00,6.00,3.00,6.00,7.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2245191,1.00,5.00,1.00,5.00,6.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2245205,3.00,4.00,1.00,3.00,3.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2245213,3.00,6.00,3.00,3.00,6.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2245221,5.00,6.00,7.00,6.00,6.00,7.00,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2245248,2.00,7.00,6.00,8.00,8.00,6.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2245256,2.00,6.00,4.00,7.00,5.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2245264,4.00,7.00,2.00,4.00,7.00,6.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2245272,4.00,7.00,3.00,4.00,6.00,5.50,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2245280,4.00,4.00,3.00,4.00,4.00,5.75,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2245299,3.00,4.00,3.00,2.00,3.00,5.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2245302,2.00,5.00,6.00,6.00,7.00,6.25,5.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2245310,3.00,4.00,2.00,1.00,3.00,4.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2245329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2245337,4.00,7.00,6.00,6.00,9.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2245345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2245353,7.00,8.00,3.00,9.00,8.00,5.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2245396,2.00,7.00,4.00,4.00,6.00,5.50,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2245400,4.00,5.00,1.00,3.00,2.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2245418,7.00,8.00,7.00,7.00,7.00,6.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2245426,4.00,5.00,4.00,7.00,5.00,6.25,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2245434,3.00,5.00,1.00,2.00,4.00,4.75,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2245442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2245450,8.00,9.00,9.00,8.00,8.00,6.75,10.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2245469,7.00,7.00,8.00,4.00,8.00,4.75,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2245477,2.00,7.00,7.00,6.00,6.00,5.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2245493,6.00,6.00,6.00,3.00,7.00,5.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2245507,2.00,6.00,4.00,2.00,7.00,6.25,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2245523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2245531,3.00,4.00,0.00,3.00,7.00,3.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2245540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2245558,3.00,3.00,3.00,2.00,4.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2245566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2245574,3.00,5.00,3.00,1.00,3.00,3.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2245582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2245590,2.00,3.00,5.00,8.00,6.00,6.25,6.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2245612,3.00,7.00,3.00,2.00,6.00,6.25,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2245620,3.00,7.00,7.00,7.00,9.00,5.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2245639,2.00,5.00,1.00,7.00,5.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2245647,1.00,8.00,2.00,5.00,7.00,6.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2245655,3.00,6.00,5.00,1.00,4.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2245663,4.00,4.00,3.00,6.00,8.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2245671,4.00,5.00,1.00,2.00,3.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2245680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2245698,1.00,7.00,3.00,4.00,6.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2245701,5.00,5.00,3.00,6.00,6.00,4.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2245710,4.00,6.00,2.00,8.00,6.00,4.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2245728,0.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2245736,1.00,5.00,4.00,1.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2245744,0.00,3.00,0.00,0.00,1.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2245760,1.00,6.00,4.00,5.00,5.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2245779,2.00,4.00,5.00,7.00,6.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2245795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2245809,6.00,6.00,4.00,3.00,7.00,6.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2245817,5.00,8.00,5.00,8.00,7.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2245825,4.00,6.00,5.00,5.00,5.00,6.75,6.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2245833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2245841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2245850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2245868,2.00,6.00,3.00,7.00,3.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2245876,3.00,8.00,4.00,2.00,7.00,5.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2245884,1.00,4.00,3.00,5.00,5.00,5.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2245892,2.00,5.00,2.00,4.00,5.00,4.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2245906,6.00,8.00,7.00,7.00,8.00,4.50,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2245922,3.00,8.00,6.00,6.00,8.00,7.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2245930,6.00,8.00,8.00,9.00,7.00,6.25,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2245949,5.00,5.00,4.00,3.00,6.00,6.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2245957,3.00,7.00,6.00,5.00,7.00,6.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2245965,5.00,8.00,8.00,6.00,9.00,6.00,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2245973,5.00,5.00,2.00,6.00,6.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2245981,3.00,7.00,6.00,4.00,8.00,6.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2245990,2.00,7.00,3.00,4.00,5.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2246007,1.00,8.00,2.00,6.00,6.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2246015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2246023,2.00,6.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2246031,4.00,7.00,4.00,3.00,5.00,5.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2246040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2246058,6.00,7.00,6.00,5.00,8.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2246066,4.00,6.00,7.00,6.00,8.00,6.00,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(15,2246074,4.00,7.00,3.00,4.00,7.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2246082,4.00,6.00,6.00,7.00,6.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2246090,7.00,9.00,8.00,8.00,8.00,6.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2246112,6.00,8.00,7.00,7.00,8.00,4.00,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2246120,4.00,6.00,4.00,1.00,4.00,6.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2246139,2.00,6.00,6.00,6.00,7.00,6.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2246147,8.00,7.00,5.00,6.00,8.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2246155,2.00,7.00,2.00,2.00,5.00,4.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2246163,1.00,4.00,5.00,9.00,5.00,6.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2246171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2246198,5.00,8.00,8.00,5.00,6.00,8.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2246210,3.00,3.00,2.00,1.00,4.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2246228,1.00,5.00,1.00,0.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2246236,6.00,9.00,5.00,8.00,9.00,7.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2246244,3.00,7.00,2.00,6.00,7.00,6.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2246260,4.00,7.00,5.00,7.00,7.00,6.00,8.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2246279,2.00,6.00,3.00,4.00,8.00,6.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2246287,0.00,0.00,0.00,0.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2246295,4.00,6.00,0.00,3.00,6.00,5.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2246309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2246317,1.00,2.00,2.00,3.00,4.00,3.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2246325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2246333,0.00,5.00,2.00,1.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2246341,7.00,7.00,6.00,5.00,6.00,4.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2246350,8.00,8.00,7.00,6.00,8.00,4.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2246368,2.00,3.00,1.00,1.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2246376,7.00,9.00,9.00,8.00,7.00,6.75,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2246392,5.00,7.00,4.00,5.00,6.00,4.75,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2246406,3.00,7.00,3.00,5.00,6.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2246414,1.00,5.00,3.00,5.00,6.00,5.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2246422,3.00,8.00,3.00,8.00,5.00,5.00,5.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2246430,4.00,8.00,5.00,5.00,7.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2246449,3.00,5.00,2.00,7.00,8.00,5.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2246457,3.00,5.00,5.00,6.00,8.00,4.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2246473,5.00,6.00,3.00,4.00,6.00,4.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2246481,4.00,5.00,7.00,4.00,8.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2246490,2.00,7.00,6.00,3.00,9.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2246503,1.00,7.00,5.00,4.00,7.00,3.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2246511,3.00,5.00,0.00,4.00,4.00,6.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2246520,3.00,7.00,1.00,4.00,7.00,6.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2246546,4.00,4.00,2.00,2.00,5.00,6.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2246554,3.00,4.00,3.00,4.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2246562,3.00,8.00,5.00,5.00,7.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2246570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2246589,7.00,9.00,7.00,8.00,9.00,7.50,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2246600,3.00,8.00,2.00,7.00,6.00,5.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2246619,4.00,4.00,7.00,7.00,9.00,7.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2246627,5.00,8.00,7.00,6.00,9.00,7.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2246635,7.00,7.00,8.00,6.00,8.00,7.00,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2246643,4.00,4.00,3.00,6.00,5.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2246651,2.00,3.00,1.00,7.00,7.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2246660,4.00,2.00,3.00,2.00,5.00,5.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2246678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2246686,2.00,6.00,4.00,4.00,4.00,5.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2246694,3.00,8.00,5.00,6.00,7.00,6.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2246708,3.00,4.00,2.00,4.00,6.00,3.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2246716,4.00,5.00,0.00,4.00,4.00,2.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2246724,4.00,6.00,2.00,4.00,6.00,5.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2246732,3.00,8.00,3.00,8.00,6.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2246740,3.00,8.00,0.00,6.00,7.00,7.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2246759,3.00,7.00,6.00,7.00,7.00,6.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2246767,2.00,7.00,4.00,5.00,7.00,6.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2246775,2.00,8.00,3.00,6.00,6.00,7.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2246783,2.00,6.00,0.00,3.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2246805,4.00,5.00,7.00,9.00,9.00,7.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2246813,1.00,6.00,2.00,3.00,4.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2246821,2.00,7.00,0.00,5.00,7.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2246848,2.00,8.00,3.00,5.00,5.00,4.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2246856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2246864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2246872,3.00,7.00,3.00,4.00,8.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2246880,6.00,7.00,7.00,5.00,7.00,4.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2246899,3.00,6.00,1.00,4.00,6.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2246902,3.00,6.00,5.00,7.00,6.00,4.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2246910,4.00,8.00,4.00,8.00,8.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2246929,0.00,6.00,4.00,5.00,5.00,4.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2246937,3.00,8.00,3.00,5.00,5.00,5.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2246945,3.00,9.00,2.00,4.00,8.00,5.75,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2246953,3.00,6.00,4.00,5.00,6.00,4.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2246961,5.00,6.00,3.00,5.00,5.00,5.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2246970,2.00,3.00,3.00,5.00,4.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2246988,3.00,6.00,2.00,3.00,3.00,4.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2246996,4.00,8.00,1.00,9.00,9.00,6.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2247011,3.00,7.00,5.00,7.00,6.00,3.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2247020,3.00,4.00,2.00,7.00,7.00,4.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2247046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2247054,6.00,7.00,5.00,9.00,6.00,7.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2247062,3.00,7.00,5.00,6.00,6.00,4.25,9.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2247089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2247097,4.00,7.00,3.00,5.00,9.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2247100,1.00,7.00,5.00,7.00,6.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2247119,4.00,7.00,1.00,8.00,7.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2247127,7.00,8.00,8.00,8.00,8.00,5.50,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2247135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2247143,6.00,7.00,3.00,1.00,6.00,6.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2247151,4.00,5.00,7.00,9.00,6.00,4.50,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2247160,1.00,8.00,6.00,6.00,5.00,4.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2247186,7.00,8.00,9.00,7.00,7.00,8.50,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2247194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2247216,5.00,6.00,7.00,5.00,8.00,4.75,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2247224,1.00,3.00,1.00,0.00,5.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2247232,3.00,5.00,4.00,4.00,6.00,4.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2247240,2.00,5.00,2.00,6.00,4.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2247259,3.00,3.00,1.00,1.00,5.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2247267,1.00,3.00,3.00,5.00,6.00,6.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2247275,2.00,4.00,1.00,4.00,6.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2247283,4.00,5.00,3.00,6.00,6.00,7.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2247291,4.00,7.00,2.00,9.00,7.00,6.75,7.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2247305,6.00,4.00,5.00,5.00,7.00,5.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2247313,4.00,5.00,3.00,5.00,8.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2247330,5.00,8.00,2.00,6.00,9.00,3.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2247348,4.00,5.00,3.00,0.00,5.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2247356,2.00,6.00,5.00,8.00,6.00,6.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2247364,7.00,9.00,7.00,7.00,7.00,5.75,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2247372,5.00,8.00,6.00,7.00,8.00,3.75,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2247399,3.00,6.00,3.00,1.00,4.00,7.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2247402,5.00,6.00,8.00,9.00,7.00,6.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2247410,2.00,8.00,1.00,6.00,6.00,6.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2247429,1.00,8.00,4.00,5.00,5.00,5.50,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2247437,7.00,9.00,7.00,8.00,5.00,7.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2247445,7.00,8.00,8.00,8.00,8.00,4.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2247453,5.00,8.00,8.00,9.00,9.00,6.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2247461,5.00,8.00,4.00,7.00,9.00,6.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2247470,1.00,5.00,4.00,6.00,5.00,5.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2247496,5.00,6.00,2.00,1.00,5.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2247518,1.00,4.00,1.00,5.00,3.00,4.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2247526,4.00,7.00,7.00,6.00,6.00,5.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2247534,5.00,7.00,3.00,0.00,5.00,5.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2247542,4.00,4.00,5.00,4.00,5.00,3.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2247550,3.00,4.00,4.00,2.00,4.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2247569,2.00,6.00,1.00,1.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2247577,1.00,5.00,2.00,3.00,5.00,4.25,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2247585,3.00,3.00,0.00,7.00,4.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2247593,5.00,7.00,3.00,6.00,9.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2247607,2.00,6.00,4.00,7.00,4.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2247623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2247631,6.00,7.00,4.00,6.00,7.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2247640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2247658,0.00,4.00,2.00,3.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2247666,4.00,5.00,1.00,2.00,3.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2247690,4.00,6.00,6.00,4.00,6.00,7.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2247704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2247720,2.00,8.00,3.00,2.00,7.00,6.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2247739,1.00,5.00,2.00,4.00,6.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2247755,3.00,7.00,4.00,6.00,9.00,6.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2247763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2247771,2.00,3.00,4.00,3.00,5.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2247780,2.00,6.00,6.00,9.00,7.00,4.25,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2247798,2.00,3.00,1.00,2.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2247810,5.00,6.00,4.00,6.00,8.00,5.00,5.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2247828,0.00,3.00,2.00,4.00,4.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2247836,0.00,4.00,3.00,1.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2247844,3.00,3.00,1.00,4.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2247852,3.00,5.00,1.00,3.00,7.00,5.50,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2247860,5.00,8.00,2.00,6.00,3.00,5.50,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2247879,5.00,7.00,4.00,7.00,7.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2247887,0.00,7.00,2.00,2.00,6.00,4.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2247895,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2247909,4.00,8.00,5.00,6.00,7.00,5.75,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2247917,2.00,4.00,3.00,6.00,9.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2247925,3.00,7.00,5.00,8.00,9.00,7.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2247933,5.00,6.00,3.00,5.00,7.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2247950,3.00,6.00,6.00,4.00,4.00,7.00,7.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2247968,4.00,6.00,2.00,4.00,4.00,6.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2247976,4.00,6.00,6.00,5.00,8.00,6.25,8.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2247984,4.00,7.00,2.00,6.00,5.00,7.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2248000,6.00,7.00,6.00,5.00,8.00,6.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2248026,2.00,4.00,4.00,3.00,4.00,3.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2248034,1.00,4.00,2.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2248042,3.00,6.00,5.00,7.00,5.00,6.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2248050,3.00,3.00,3.00,0.00,6.00,4.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2248069,3.00,7.00,3.00,6.00,8.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2248077,3.00,5.00,3.00,5.00,5.00,4.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2248085,3.00,4.00,1.00,4.00,6.00,4.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2248093,5.00,8.00,8.00,9.00,8.00,6.25,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2248107,3.00,3.00,3.00,2.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2248115,4.00,7.00,6.00,5.00,6.00,4.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2248123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2248131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2248140,4.00,5.00,5.00,7.00,5.00,5.75,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(15,2248166,2.00,6.00,1.00,5.00,5.00,3.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2248174,3.00,5.00,1.00,7.00,5.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2248182,6.00,7.00,7.00,5.00,7.00,6.25,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2248190,6.00,9.00,8.00,7.00,8.00,6.25,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2248204,3.00,7.00,5.00,7.00,6.00,4.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2248212,4.00,6.00,3.00,7.00,6.00,6.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2248239,0.00,3.00,1.00,0.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2248247,2.00,5.00,5.00,2.00,3.00,4.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2248255,3.00,4.00,3.00,1.00,6.00,5.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2248263,6.00,8.00,3.00,6.00,7.00,5.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2248271,7.00,7.00,6.00,9.00,9.00,3.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2248280,6.00,8.00,2.00,7.00,5.00,7.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2248298,2.00,8.00,4.00,4.00,6.00,5.00,6.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2248301,6.00,8.00,7.00,7.00,7.00,7.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2248310,3.00,6.00,2.00,0.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2248328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2248336,5.00,7.00,4.00,6.00,7.00,6.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2248344,4.00,7.00,4.00,8.00,6.00,7.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2248360,9.00,7.00,6.00,6.00,6.00,5.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2248379,4.00,8.00,5.00,6.00,9.00,4.75,7.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2248387,2.00,5.00,3.00,3.00,5.00,5.25,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2248409,1.00,3.00,2.00,6.00,5.00,5.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2248417,4.00,7.00,4.00,7.00,8.00,5.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2248425,5.00,9.00,8.00,7.00,8.00,9.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2248433,3.00,4.00,3.00,4.00,7.00,5.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2248441,4.00,7.00,2.00,4.00,6.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2248450,3.00,2.00,3.00,7.00,5.00,6.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2248468,4.00,7.00,2.00,7.00,8.00,6.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2248476,8.00,9.00,5.00,8.00,7.00,6.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2248484,5.00,7.00,4.00,6.00,6.00,7.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2248492,5.00,7.00,3.00,7.00,6.00,7.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2248506,4.00,8.00,7.00,8.00,9.00,6.50,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2248514,2.00,7.00,5.00,6.00,6.00,4.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2248522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2248530,9.00,8.00,2.00,5.00,6.00,7.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2248549,3.00,6.00,4.00,6.00,8.00,4.25,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2248557,2.00,4.00,5.00,0.00,0.00,NULL,4.00,7.00,2.00,'S',NULL,NULL,'S'),(15,2248565,3.00,9.00,7.00,9.00,9.00,6.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2248573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2248581,1.00,3.00,2.00,5.00,4.00,5.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2248590,5.00,8.00,3.00,6.00,5.00,4.75,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2248603,0.00,2.00,3.00,0.00,5.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2248611,5.00,9.00,8.00,7.00,8.00,4.50,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2248620,4.00,5.00,1.00,2.00,4.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2248638,5.00,8.00,6.00,9.00,6.00,7.00,7.00,7.00,7.00,NULL,NULL,NULL,'S'),(15,2248646,2.00,4.00,2.00,4.00,4.00,5.75,3.00,1.00,1.00,NULL,NULL,NULL,'S'),(15,2248654,3.00,4.00,2.00,3.00,5.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2248662,4.00,6.00,3.00,4.00,6.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2248670,4.00,3.00,4.00,5.00,6.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2248697,1.00,3.00,2.00,3.00,5.00,3.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2248700,3.00,7.00,4.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2248719,3.00,6.00,6.00,6.00,7.00,4.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2248735,3.00,3.00,4.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2248743,1.00,4.00,0.00,2.00,5.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2248751,5.00,7.00,5.00,8.00,7.00,5.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2248760,3.00,7.00,6.00,5.00,7.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2248778,3.00,5.00,2.00,5.00,7.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2248786,3.00,7.00,2.00,7.00,6.00,7.00,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2248794,3.00,4.00,2.00,6.00,8.00,5.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2248808,0.00,3.00,4.00,1.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'S'),(15,2248816,1.00,3.00,3.00,6.00,5.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2248824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2248832,0.00,7.00,3.00,9.00,5.00,NULL,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2248840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2248859,5.00,8.00,7.00,5.00,8.00,5.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2248875,4.00,6.00,6.00,7.00,8.00,6.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2248883,2.00,5.00,3.00,0.00,4.00,5.75,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2248891,4.00,5.00,3.00,7.00,7.00,6.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2248905,4.00,6.00,4.00,6.00,8.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2248913,2.00,7.00,5.00,3.00,8.00,6.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2248930,4.00,6.00,2.00,7.00,6.00,5.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2248956,2.00,5.00,7.00,6.00,8.00,4.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2248964,1.00,4.00,2.00,0.00,4.00,3.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2248972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2248980,2.00,7.00,6.00,6.00,7.00,6.75,5.00,8.00,6.00,NULL,NULL,NULL,'S'),(15,2248999,4.00,3.00,1.00,1.00,6.00,6.50,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2249006,3.00,8.00,2.00,6.00,6.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2249014,5.00,7.00,9.00,7.00,8.00,6.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2249022,3.00,6.00,4.00,1.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2249030,0.00,5.00,3.00,2.00,7.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2249049,5.00,8.00,2.00,5.00,5.00,7.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2249057,4.00,8.00,4.00,2.00,6.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2249073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2249081,5.00,8.00,9.00,7.00,8.00,4.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2249090,0.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2249103,3.00,7.00,1.00,3.00,6.00,3.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2249111,5.00,8.00,4.00,8.00,8.00,5.00,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2249120,6.00,8.00,7.00,4.00,7.00,8.25,8.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2249146,0.00,4.00,0.00,7.00,4.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2249154,3.00,4.00,4.00,3.00,8.00,4.25,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2249162,2.00,5.00,1.00,2.00,4.00,5.75,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2249170,3.00,8.00,2.00,2.00,7.00,6.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2249189,2.00,4.00,1.00,1.00,3.00,2.00,7.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2249197,3.00,5.00,3.00,7.00,7.00,6.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2249200,2.00,4.00,1.00,4.00,5.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2249219,5.00,7.00,3.00,5.00,9.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2249227,2.00,3.00,0.00,1.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2249235,5.00,6.00,5.00,5.00,5.00,0.00,6.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2249243,0.00,7.00,3.00,5.00,8.00,6.75,4.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2249251,6.00,6.00,3.00,7.00,9.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2249260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2249278,2.00,3.00,0.00,4.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2249286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2249294,7.00,8.00,6.00,4.00,8.00,6.75,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2249308,4.00,7.00,8.00,6.00,5.00,3.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2249316,6.00,6.00,2.00,3.00,8.00,6.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2249324,0.00,3.00,3.00,5.00,6.00,4.00,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2249332,2.00,6.00,3.00,1.00,5.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2249340,0.00,0.00,0.00,6.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2249359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2249367,7.00,8.00,7.00,8.00,9.00,7.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2249375,5.00,7.00,7.00,6.00,8.00,6.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2249383,1.00,3.00,3.00,0.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2249405,5.00,4.00,4.00,2.00,7.00,5.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2249413,5.00,7.00,6.00,7.00,8.00,5.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2249421,5.00,7.00,2.00,5.00,6.00,6.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2249430,1.00,3.00,3.00,5.00,6.00,5.50,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(15,2249448,2.00,4.00,2.00,3.00,6.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2249456,1.00,3.00,3.00,2.00,5.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2249464,1.00,1.00,1.00,4.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2249472,4.00,4.00,7.00,8.00,8.00,6.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2249480,6.00,7.00,5.00,7.00,8.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2249499,2.00,7.00,3.00,6.00,6.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2249502,7.00,8.00,8.00,9.00,9.00,7.75,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2249510,3.00,3.00,1.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2249529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2249537,5.00,8.00,6.00,9.00,8.00,6.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2249545,2.00,6.00,6.00,7.00,4.00,4.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2249553,6.00,8.00,7.00,5.00,8.00,5.00,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2249561,2.00,7.00,2.00,1.00,5.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2249570,1.00,5.00,5.00,6.00,6.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2249588,1.00,4.00,2.00,2.00,6.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2249596,4.00,5.00,5.00,8.00,7.00,6.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2249618,4.00,7.00,3.00,7.00,8.00,6.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2249626,3.00,4.00,5.00,2.00,8.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2249634,1.00,8.00,1.00,4.00,7.00,4.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2249642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2249650,1.00,6.00,1.00,0.00,3.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2249669,6.00,7.00,4.00,6.00,7.00,6.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2249677,3.00,8.00,1.00,5.00,4.00,3.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2249685,4.00,8.00,5.00,7.00,8.00,5.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2249693,6.00,8.00,7.00,8.00,7.00,5.75,7.00,9.00,7.00,NULL,NULL,NULL,'S'),(15,2249707,5.00,6.00,0.00,5.00,8.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2249715,2.00,7.00,1.00,6.00,6.00,4.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2249723,2.00,7.00,6.00,0.00,5.00,NULL,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2249731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2249740,2.00,3.00,5.00,3.00,7.00,5.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2249758,8.00,8.00,8.00,9.00,9.00,6.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2249766,5.00,5.00,3.00,5.00,4.00,2.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2249774,7.00,8.00,5.00,9.00,8.00,6.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2249782,6.00,8.00,6.00,8.00,9.00,6.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2249790,4.00,7.00,7.00,8.00,6.00,3.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2249804,4.00,9.00,5.00,7.00,7.00,4.25,8.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2249812,2.00,6.00,6.00,2.00,6.00,4.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2249820,0.00,4.00,2.00,3.00,6.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2249839,4.00,7.00,6.00,9.00,6.00,5.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2249847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2249855,1.00,2.00,3.00,2.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2249863,2.00,3.00,0.00,7.00,7.00,5.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2249871,5.00,7.00,7.00,3.00,8.00,5.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2249880,2.00,4.00,2.00,6.00,6.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2249898,4.00,5.00,2.00,5.00,3.00,4.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2249901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2249928,5.00,9.00,8.00,4.00,8.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2249936,5.00,8.00,2.00,8.00,8.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2249944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2249960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2249979,4.00,4.00,3.00,4.00,3.00,3.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2249987,4.00,8.00,6.00,7.00,6.00,6.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2249995,6.00,7.00,5.00,2.00,6.00,7.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2250004,7.00,8.00,9.00,6.00,7.00,5.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2250012,1.00,6.00,1.00,5.00,7.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2250020,4.00,7.00,4.00,7.00,3.00,4.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2250039,1.00,5.00,4.00,4.00,6.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2250047,3.00,9.00,5.00,7.00,6.00,6.75,5.00,8.00,3.00,NULL,NULL,NULL,'S'),(15,2250055,4.00,6.00,1.00,5.00,7.00,5.50,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2250063,3.00,7.00,3.00,7.00,6.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2250071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2250098,3.00,7.00,8.00,7.00,7.00,6.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2250110,4.00,7.00,3.00,6.00,4.00,7.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2250128,2.00,5.00,2.00,7.00,7.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2250136,5.00,7.00,7.00,9.00,8.00,6.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2250144,2.00,7.00,1.00,1.00,4.00,2.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2250152,4.00,7.00,2.00,6.00,6.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2250160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2250187,3.00,5.00,2.00,8.00,7.00,4.00,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2250195,2.00,5.00,2.00,7.00,6.00,8.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2250209,5.00,8.00,3.00,3.00,6.00,4.00,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2250217,4.00,6.00,4.00,7.00,7.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2250233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2250250,2.00,4.00,5.00,6.00,5.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2250268,2.00,7.00,2.00,4.00,5.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2250276,3.00,6.00,3.00,7.00,6.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2250284,6.00,7.00,7.00,9.00,9.00,5.25,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2250292,7.00,7.00,8.00,8.00,9.00,7.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2250306,3.00,6.00,1.00,7.00,6.00,5.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2250314,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2250322,6.00,8.00,8.00,4.00,9.00,6.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2250330,0.00,6.00,4.00,6.00,3.00,5.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2250349,2.00,3.00,0.00,1.00,5.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2250365,3.00,9.00,3.00,5.00,7.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2250373,0.00,5.00,3.00,4.00,5.00,4.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2250381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2250390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2250403,2.00,6.00,2.00,7.00,7.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2250411,0.00,6.00,3.00,7.00,7.00,5.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2250420,5.00,3.00,7.00,6.00,7.00,5.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2250438,3.00,5.00,1.00,1.00,5.00,3.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2250446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2250454,4.00,6.00,2.00,3.00,8.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2250462,3.00,5.00,2.00,6.00,4.00,4.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2250470,3.00,5.00,1.00,4.00,8.00,7.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2250489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2250497,2.00,1.00,4.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2250500,3.00,7.00,2.00,5.00,5.00,8.00,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2250519,4.00,5.00,6.00,1.00,6.00,4.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2250527,2.00,6.00,3.00,7.00,5.00,3.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2250535,5.00,6.00,8.00,7.00,8.00,6.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2250543,3.00,9.00,4.00,9.00,7.00,6.50,6.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2250551,4.00,7.00,3.00,7.00,6.00,5.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2250560,5.00,4.00,2.00,3.00,6.00,3.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2250586,2.00,6.00,5.00,3.00,6.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2250594,0.00,4.00,3.00,4.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2250616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2250624,0.00,4.00,3.00,6.00,4.00,5.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2250632,3.00,3.00,1.00,2.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2250640,3.00,5.00,3.00,9.00,6.00,4.50,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2250659,3.00,5.00,2.00,7.00,7.00,6.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2250667,2.00,5.00,3.00,6.00,6.00,5.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2250675,5.00,7.00,7.00,5.00,7.00,5.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2250683,4.00,5.00,6.00,6.00,7.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2250691,3.00,8.00,3.00,5.00,7.00,6.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2250705,3.00,6.00,3.00,7.00,7.00,5.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2250713,4.00,6.00,9.00,8.00,9.00,5.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2250730,4.00,5.00,5.00,5.00,7.00,6.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2250748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2250756,3.00,3.00,2.00,2.00,5.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2250764,4.00,5.00,7.00,6.00,5.00,3.75,5.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2250772,2.00,6.00,3.00,6.00,8.00,3.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2250780,7.00,8.00,7.00,3.00,7.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2250799,3.00,7.00,3.00,2.00,5.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2250802,5.00,5.00,7.00,4.00,6.00,6.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2250810,1.00,4.00,3.00,0.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2250829,5.00,8.00,5.00,9.00,6.00,5.50,6.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2250837,5.00,7.00,6.00,7.00,7.00,5.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2250845,3.00,4.00,1.00,7.00,6.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2250853,1.00,4.00,1.00,3.00,6.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2250861,3.00,9.00,6.00,9.00,7.00,7.00,7.00,7.00,6.00,NULL,NULL,NULL,'S'),(15,2250870,6.00,8.00,9.00,8.00,7.00,5.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2250888,6.00,7.00,6.00,7.00,8.00,6.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2250896,4.00,7.00,6.00,5.00,7.00,7.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2250900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2250918,8.00,7.00,6.00,6.00,8.00,6.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2250926,3.00,5.00,3.00,0.00,5.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2250934,6.00,6.00,8.00,9.00,8.00,9.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2250950,3.00,7.00,6.00,7.00,9.00,4.25,7.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2250969,5.00,8.00,2.00,8.00,8.00,6.00,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2250977,0.00,5.00,2.00,3.00,6.00,5.25,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2250985,4.00,5.00,1.00,7.00,8.00,5.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2250993,5.00,7.00,5.00,7.00,7.00,6.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2251000,2.00,4.00,2.00,4.00,3.00,4.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2251019,4.00,8.00,2.00,4.00,4.00,5.25,5.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2251027,4.00,7.00,4.00,2.00,8.00,4.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2251035,8.00,8.00,6.00,7.00,6.00,5.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2251043,4.00,5.00,2.00,5.00,6.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2251051,3.00,5.00,3.00,1.00,5.00,4.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2251060,7.00,7.00,5.00,7.00,6.00,5.50,5.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2251078,3.00,6.00,4.00,4.00,4.00,3.25,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2251094,1.00,7.00,0.00,3.00,3.00,6.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2251108,3.00,6.00,6.00,7.00,7.00,4.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2251116,3.00,6.00,4.00,2.00,6.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2251124,2.00,7.00,3.00,2.00,5.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2251132,2.00,5.00,1.00,3.00,7.00,6.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2251140,1.00,3.00,3.00,0.00,0.00,NULL,2.00,2.00,2.00,'S',NULL,NULL,'N'),(15,2251159,3.00,3.00,2.00,1.00,3.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'S'),(15,2251167,6.00,8.00,8.00,9.00,8.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2251175,0.00,3.00,3.00,7.00,5.00,4.75,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2251183,4.00,4.00,7.00,8.00,7.00,5.25,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2251191,2.00,2.00,3.00,2.00,1.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2251205,6.00,8.00,8.00,7.00,8.00,5.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2251213,5.00,5.00,4.00,6.00,8.00,6.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2251221,1.00,6.00,2.00,7.00,6.00,6.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2251230,6.00,6.00,6.00,4.00,6.00,5.75,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2251248,6.00,7.00,6.00,6.00,9.00,7.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2251256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2251264,3.00,6.00,3.00,5.00,5.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2251272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2251299,1.00,5.00,5.00,4.00,9.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2251302,5.00,5.00,4.00,5.00,8.00,6.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2251329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2251337,7.00,9.00,9.00,9.00,9.00,6.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2251345,2.00,6.00,3.00,4.00,4.00,5.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2251353,1.00,6.00,4.00,3.00,7.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2251361,3.00,5.00,3.00,6.00,7.00,3.50,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2251370,6.00,8.00,5.00,6.00,8.00,6.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2251388,3.00,6.00,1.00,7.00,6.00,4.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2251396,1.00,5.00,3.00,4.00,5.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2251400,5.00,5.00,5.00,1.00,4.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2251418,6.00,5.00,7.00,8.00,6.00,6.50,7.00,7.00,7.00,NULL,NULL,NULL,'S'),(15,2251426,4.00,6.00,2.00,2.00,6.00,5.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2251434,6.00,6.00,8.00,7.00,6.00,5.50,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2251442,8.00,7.00,9.00,3.00,8.00,6.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2251450,5.00,8.00,4.00,7.00,9.00,5.50,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2251469,2.00,2.00,1.00,2.00,5.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2251477,4.00,5.00,2.00,4.00,6.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2251485,2.00,7.00,6.00,5.00,8.00,5.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2251493,1.00,6.00,2.00,8.00,7.00,3.75,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2251507,6.00,9.00,5.00,4.00,6.00,5.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2251515,4.00,7.00,8.00,6.00,7.00,4.75,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2251523,7.00,8.00,7.00,8.00,8.00,5.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2251531,3.00,3.00,3.00,3.00,7.00,5.25,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2251540,2.00,6.00,4.00,7.00,7.00,4.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2251558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2251566,4.00,4.00,3.00,2.00,6.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2251574,4.00,6.00,5.00,8.00,6.00,6.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2251582,4.00,8.00,7.00,9.00,8.00,6.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2251590,6.00,9.00,8.00,7.00,7.00,7.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2251604,4.00,5.00,4.00,7.00,6.00,6.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2251612,2.00,4.00,2.00,3.00,6.00,4.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2251639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2251655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2251663,3.00,5.00,4.00,2.00,7.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2251671,5.00,6.00,2.00,8.00,6.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2251680,7.00,7.00,7.00,7.00,8.00,5.25,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2251698,3.00,7.00,6.00,8.00,5.00,6.00,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2251701,2.00,5.00,3.00,4.00,6.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2251710,5.00,6.00,5.00,4.00,8.00,5.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2251728,8.00,8.00,8.00,9.00,7.00,6.25,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2251744,4.00,8.00,6.00,9.00,8.00,7.00,6.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2251752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2251760,4.00,8.00,6.00,7.00,7.00,7.00,7.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2251779,7.00,8.00,3.00,7.00,8.00,7.50,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2251787,6.00,7.00,3.00,4.00,8.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2251795,2.00,8.00,3.00,6.00,7.00,5.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2251809,4.00,4.00,3.00,2.00,5.00,3.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2251817,2.00,8.00,4.00,5.00,5.00,4.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2251833,1.00,3.00,3.00,3.00,5.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2251841,7.00,9.00,6.00,9.00,8.00,6.50,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2251850,3.00,8.00,5.00,8.00,8.00,3.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2251868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2251876,0.00,5.00,4.00,6.00,4.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2251884,2.00,7.00,2.00,6.00,7.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2251892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2251914,3.00,6.00,2.00,4.00,7.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2251922,3.00,4.00,2.00,3.00,4.00,6.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2251930,3.00,4.00,3.00,2.00,4.00,2.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2251949,5.00,6.00,8.00,9.00,7.00,5.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2251957,6.00,7.00,8.00,7.00,7.00,6.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2251965,4.00,7.00,6.00,5.00,8.00,6.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2251973,2.00,7.00,1.00,5.00,9.00,6.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2251981,7.00,8.00,7.00,8.00,9.00,6.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2251990,4.00,8.00,4.00,6.00,8.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2252007,2.00,2.00,2.00,1.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2252015,1.00,4.00,3.00,3.00,5.00,5.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2252023,4.00,7.00,3.00,2.00,8.00,4.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2252031,6.00,6.00,7.00,5.00,7.00,6.50,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2252040,4.00,8.00,5.00,8.00,7.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2252058,3.00,6.00,4.00,7.00,8.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2252066,1.00,6.00,1.00,3.00,5.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2252082,0.00,7.00,2.00,5.00,7.00,5.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2252090,1.00,4.00,4.00,0.00,4.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2252104,4.00,7.00,4.00,9.00,6.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2252112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2252120,3.00,6.00,5.00,9.00,5.00,6.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2252139,6.00,8.00,6.00,5.00,8.00,4.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2252147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2252155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2252163,6.00,7.00,3.00,6.00,6.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2252171,5.00,8.00,5.00,2.00,6.00,4.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2252180,3.00,4.00,1.00,5.00,6.00,7.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2252198,2.00,3.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2252201,2.00,3.00,1.00,4.00,3.00,3.25,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2252210,1.00,8.00,4.00,7.00,4.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2252228,4.00,7.00,5.00,6.00,7.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2252236,3.00,6.00,3.00,1.00,6.00,6.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2252244,6.00,7.00,3.00,4.00,7.00,5.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2252252,4.00,8.00,5.00,6.00,8.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2252260,4.00,3.00,6.00,5.00,7.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2252279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2252287,1.00,3.00,2.00,4.00,7.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2252295,4.00,8.00,2.00,8.00,7.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2252317,1.00,6.00,2.00,3.00,6.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2252325,4.00,6.00,7.00,4.00,6.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2252333,1.00,6.00,1.00,1.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2252341,2.00,3.00,2.00,4.00,5.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2252350,4.00,6.00,5.00,7.00,6.00,7.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2252368,6.00,9.00,7.00,7.00,8.00,6.00,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2252376,7.00,7.00,7.00,6.00,6.00,5.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2252384,3.00,5.00,1.00,5.00,7.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2252392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2252406,2.00,7.00,1.00,3.00,5.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2252414,3.00,5.00,1.00,6.00,5.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2252422,8.00,9.00,8.00,8.00,7.00,5.75,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2252430,5.00,8.00,1.00,7.00,6.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2252449,3.00,4.00,1.00,4.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2252457,7.00,7.00,5.00,5.00,8.00,5.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2252465,2.00,7.00,0.00,3.00,4.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2252473,3.00,7.00,3.00,6.00,4.00,6.75,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2252481,0.00,4.00,0.00,2.00,4.00,NULL,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2252490,2.00,4.00,0.00,4.00,7.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2252503,3.00,5.00,3.00,4.00,5.00,4.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2252511,2.00,4.00,2.00,1.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2252520,4.00,8.00,5.00,5.00,6.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2252538,0.00,4.00,1.00,5.00,5.00,NULL,4.00,7.00,0.00,NULL,NULL,NULL,'N'),(15,2252546,5.00,9.00,3.00,9.00,7.00,5.75,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2252554,3.00,8.00,6.00,5.00,7.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2252562,4.00,6.00,5.00,3.00,5.00,5.25,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2252570,2.00,4.00,0.00,4.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2252589,2.00,5.00,3.00,3.00,5.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2252597,6.00,8.00,5.00,6.00,7.00,7.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2252600,4.00,5.00,6.00,4.00,8.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2252619,2.00,4.00,1.00,3.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2252627,3.00,6.00,3.00,4.00,7.00,0.00,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2252635,5.00,6.00,4.00,4.00,8.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2252643,3.00,6.00,2.00,8.00,6.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2252651,7.00,8.00,8.00,8.00,7.00,5.50,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2252678,4.00,9.00,7.00,7.00,9.00,7.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2252686,0.00,3.00,3.00,5.00,1.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2252694,1.00,3.00,1.00,4.00,3.00,5.75,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2252708,6.00,8.00,6.00,8.00,8.00,6.25,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2252724,2.00,6.00,3.00,6.00,5.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2252732,4.00,7.00,6.00,4.00,6.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2252740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2252759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2252767,6.00,8.00,5.00,9.00,7.00,7.25,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2252775,2.00,5.00,2.00,3.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2252783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2252791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2252805,5.00,6.00,3.00,5.00,8.00,6.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2252813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2252830,2.00,6.00,2.00,6.00,5.00,4.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2252848,3.00,7.00,3.00,5.00,7.00,4.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2252856,3.00,7.00,5.00,2.00,4.00,6.50,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2252872,3.00,9.00,4.00,8.00,8.00,7.50,5.00,9.00,2.00,NULL,NULL,NULL,'N'),(15,2252902,3.00,6.00,2.00,4.00,4.00,3.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2252929,3.00,7.00,4.00,4.00,8.00,7.00,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2252937,4.00,7.00,5.00,6.00,6.00,4.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2252945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2252953,5.00,6.00,5.00,4.00,6.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2252961,1.00,6.00,2.00,5.00,5.00,3.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2252970,2.00,6.00,4.00,4.00,6.00,3.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2252988,5.00,4.00,3.00,6.00,4.00,5.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2252996,4.00,7.00,3.00,5.00,8.00,5.50,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2253003,2.00,5.00,1.00,6.00,4.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2253011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2253020,3.00,7.00,8.00,8.00,6.00,6.50,8.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2253038,0.00,0.00,0.00,9.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2253046,3.00,7.00,2.00,6.00,5.00,4.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2253054,5.00,4.00,4.00,3.00,7.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2253070,5.00,5.00,3.00,4.00,7.00,5.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2253089,4.00,8.00,4.00,9.00,9.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2253097,4.00,6.00,5.00,6.00,8.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2253100,0.00,8.00,5.00,6.00,8.00,7.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2253119,5.00,9.00,6.00,6.00,7.00,6.50,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2253127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2253135,4.00,6.00,2.00,5.00,4.00,6.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2253143,0.00,5.00,0.00,6.00,6.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2253151,5.00,6.00,8.00,9.00,7.00,3.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2253160,5.00,6.00,4.00,8.00,7.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2253178,0.00,6.00,3.00,0.00,4.00,NULL,6.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2253186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2253194,4.00,8.00,7.00,4.00,8.00,6.00,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2253208,4.00,5.00,3.00,4.00,7.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2253216,2.00,5.00,1.00,6.00,6.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2253224,4.00,7.00,1.00,7.00,8.00,5.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2253232,7.00,9.00,7.00,6.00,8.00,6.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2253240,2.00,6.00,5.00,7.00,6.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2253259,0.00,5.00,3.00,2.00,8.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2253267,2.00,5.00,9.00,6.00,5.00,5.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2253275,3.00,7.00,4.00,3.00,4.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2253283,2.00,4.00,1.00,0.00,4.00,4.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2253291,2.00,9.00,3.00,6.00,6.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2253305,1.00,6.00,5.00,5.00,5.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2253313,3.00,1.00,2.00,6.00,4.00,4.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2253321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2253330,1.00,5.00,3.00,7.00,5.00,3.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2253348,2.00,8.00,4.00,7.00,6.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2253356,3.00,6.00,3.00,6.00,7.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2253364,2.00,5.00,1.00,3.00,5.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2253372,3.00,7.00,6.00,4.00,5.00,4.50,6.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2253380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2253399,2.00,8.00,5.00,6.00,5.00,5.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2253402,3.00,6.00,5.00,4.00,5.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2253410,2.00,6.00,4.00,8.00,8.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2253429,6.00,4.00,2.00,5.00,7.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2253445,5.00,9.00,6.00,6.00,8.00,7.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2253453,4.00,3.00,2.00,6.00,5.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2253461,2.00,2.00,2.00,1.00,5.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2253470,3.00,8.00,4.00,6.00,6.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2253488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2253496,2.00,5.00,4.00,0.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2253500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2253518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2253526,2.00,6.00,2.00,5.00,6.00,4.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2253534,4.00,8.00,0.00,4.00,4.00,4.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2253542,4.00,6.00,4.00,4.00,4.00,5.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2253550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2253569,5.00,7.00,7.00,5.00,8.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2253577,3.00,6.00,7.00,7.00,7.00,6.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2253585,2.00,3.00,4.00,2.00,6.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2253607,6.00,8.00,7.00,9.00,8.00,6.50,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2253615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2253623,1.00,5.00,3.00,2.00,5.00,5.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2253631,0.00,6.00,2.00,1.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2253640,6.00,8.00,0.00,3.00,8.00,NULL,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2253658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2253666,7.00,7.00,5.00,3.00,7.00,4.50,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2253674,5.00,7.00,5.00,7.00,8.00,5.25,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2253682,3.00,8.00,3.00,7.00,6.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2253690,5.00,8.00,6.00,6.00,7.00,3.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2253704,1.00,7.00,2.00,9.00,7.00,6.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2253712,3.00,6.00,4.00,8.00,4.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2253720,4.00,8.00,8.00,5.00,7.00,7.00,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2253739,4.00,4.00,5.00,8.00,6.00,6.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2253747,3.00,6.00,0.00,0.00,8.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2253755,2.00,6.00,2.00,3.00,5.00,6.00,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2253763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2253771,6.00,6.00,4.00,6.00,7.00,7.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2253780,0.00,0.00,0.00,0.00,0.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2253798,6.00,6.00,8.00,8.00,7.00,6.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2253801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2253810,5.00,8.00,5.00,9.00,8.00,6.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2253828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2253836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2253844,2.00,7.00,3.00,4.00,6.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2253852,5.00,7.00,3.00,8.00,7.00,6.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2253860,3.00,8.00,3.00,8.00,6.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2253879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2253887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2253895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2253909,2.00,5.00,3.00,8.00,8.00,6.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2253917,3.00,9.00,7.00,7.00,7.00,5.75,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2253925,3.00,8.00,7.00,8.00,9.00,6.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2253933,4.00,7.00,4.00,4.00,8.00,5.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2253941,5.00,8.00,9.00,7.00,6.00,5.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2253950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2253968,4.00,8.00,5.00,9.00,5.00,7.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2253984,2.00,8.00,5.00,7.00,7.00,7.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2253992,3.00,7.00,2.00,4.00,5.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2254000,6.00,6.00,6.00,6.00,9.00,7.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2254018,2.00,7.00,4.00,4.00,3.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2254026,4.00,4.00,1.00,2.00,8.00,3.75,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2254034,0.00,4.00,3.00,5.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2254042,2.00,6.00,5.00,7.00,5.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2254050,3.00,5.00,1.00,7.00,6.00,5.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2254069,5.00,8.00,8.00,6.00,8.00,5.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2254085,4.00,6.00,6.00,6.00,5.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2254093,2.00,6.00,2.00,1.00,6.00,3.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2254107,3.00,8.00,4.00,10.00,8.00,9.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2254115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2254123,5.00,5.00,3.00,0.00,7.00,4.25,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2254131,7.00,7.00,9.00,7.00,8.00,5.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2254140,2.00,6.00,3.00,4.00,5.00,6.00,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2254158,4.00,6.00,1.00,7.00,7.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2254166,4.00,8.00,5.00,5.00,6.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2254174,4.00,6.00,6.00,5.00,7.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2254182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2254190,2.00,6.00,5.00,6.00,7.00,6.25,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2254204,1.00,5.00,1.00,3.00,7.00,5.00,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2254212,2.00,4.00,4.00,5.00,5.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2254220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2254239,2.00,5.00,1.00,4.00,7.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2254247,4.00,6.00,6.00,8.00,7.00,7.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2254255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2254263,2.00,5.00,1.00,5.00,7.00,4.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2254271,3.00,5.00,0.00,2.00,5.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2254280,1.00,4.00,1.00,2.00,7.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2254298,1.00,7.00,5.00,5.00,6.00,4.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2254301,4.00,7.00,4.00,4.00,7.00,4.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2254328,5.00,8.00,8.00,2.00,7.00,5.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2254336,3.00,4.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2254344,4.00,7.00,6.00,6.00,7.00,9.00,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2254352,2.00,6.00,2.00,6.00,7.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2254360,5.00,8.00,5.00,7.00,8.00,6.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2254379,1.00,5.00,4.00,5.00,6.00,7.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2254409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2254417,2.00,6.00,4.00,5.00,4.00,0.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2254425,7.00,7.00,3.00,4.00,6.00,5.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2254433,6.00,6.00,5.00,9.00,5.00,4.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2254441,1.00,4.00,4.00,4.00,4.00,5.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2254450,3.00,7.00,6.00,2.00,6.00,3.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2254468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2254476,2.00,4.00,2.00,8.00,4.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2254484,3.00,4.00,2.00,1.00,6.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2254492,6.00,7.00,8.00,9.00,8.00,6.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2254506,3.00,6.00,3.00,7.00,4.00,5.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2254514,3.00,6.00,4.00,5.00,6.00,5.75,7.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2254522,3.00,5.00,5.00,5.00,6.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2254530,5.00,8.00,8.00,8.00,8.00,5.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2254549,5.00,5.00,1.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2254557,2.00,7.00,2.00,2.00,3.00,3.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2254565,3.00,7.00,7.00,6.00,8.00,6.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2254573,3.00,8.00,4.00,4.00,7.00,4.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2254581,3.00,7.00,4.00,4.00,6.00,6.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2254590,6.00,6.00,6.00,6.00,8.00,5.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2254603,2.00,5.00,4.00,4.00,5.00,4.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2254611,7.00,8.00,7.00,6.00,7.00,5.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2254620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2254638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2254646,4.00,6.00,4.00,2.00,7.00,7.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2254654,1.00,8.00,5.00,7.00,6.00,6.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2254662,5.00,8.00,7.00,6.00,6.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2254670,2.00,6.00,3.00,6.00,5.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2254689,6.00,8.00,8.00,9.00,8.00,7.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2254697,2.00,5.00,4.00,5.00,8.00,4.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2254700,3.00,3.00,2.00,2.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2254719,4.00,8.00,3.00,6.00,8.00,6.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2254727,2.00,5.00,1.00,2.00,8.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2254735,1.00,6.00,4.00,3.00,6.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2254743,3.00,5.00,1.00,5.00,5.00,5.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2254760,3.00,6.00,2.00,9.00,8.00,5.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2254778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2254786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2254794,3.00,8.00,1.00,7.00,4.00,7.00,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2254816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2254824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2254832,5.00,7.00,3.00,5.00,6.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2254840,8.00,8.00,7.00,4.00,7.00,5.25,9.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2254859,2.00,8.00,3.00,6.00,6.00,5.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2254867,4.00,7.00,3.00,7.00,8.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2254875,3.00,5.00,4.00,3.00,7.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2254883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2254891,1.00,7.00,3.00,6.00,4.00,5.25,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2254913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2254921,1.00,3.00,2.00,0.00,1.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2254930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2254948,6.00,7.00,5.00,6.00,7.00,5.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2254956,4.00,7.00,5.00,6.00,6.00,4.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2254964,4.00,4.00,4.00,5.00,5.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2254972,3.00,5.00,6.00,6.00,5.00,5.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2254980,2.00,3.00,2.00,5.00,6.00,4.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2254999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2255006,1.00,6.00,3.00,5.00,4.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2255014,2.00,3.00,3.00,1.00,4.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2255022,4.00,7.00,3.00,4.00,8.00,7.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2255030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2255049,5.00,9.00,7.00,7.00,8.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2255057,4.00,6.00,4.00,3.00,6.00,4.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2255065,0.00,6.00,4.00,6.00,8.00,7.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2255081,3.00,5.00,3.00,3.00,3.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2255090,7.00,8.00,7.00,6.00,7.00,6.25,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2255103,1.00,4.00,3.00,5.00,3.00,5.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2255111,3.00,5.00,4.00,5.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2255120,2.00,4.00,1.00,4.00,4.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2255138,5.00,9.00,6.00,7.00,7.00,5.50,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2255146,4.00,6.00,4.00,6.00,7.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2255154,3.00,4.00,5.00,1.00,4.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2255162,1.00,8.00,2.00,6.00,4.00,5.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2255170,1.00,5.00,0.00,5.00,5.00,3.00,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2255189,1.00,3.00,1.00,5.00,7.00,5.00,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2255197,8.00,8.00,8.00,5.00,6.00,7.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2255200,5.00,3.00,6.00,1.00,5.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2255219,3.00,6.00,4.00,3.00,6.00,1.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2255235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2255243,5.00,6.00,5.00,7.00,6.00,6.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2255251,2.00,8.00,4.00,6.00,6.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2255260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2255278,1.00,5.00,4.00,7.00,7.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2255286,0.00,7.00,3.00,2.00,5.00,4.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2255294,4.00,7.00,3.00,4.00,7.00,3.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2255308,6.00,7.00,7.00,6.00,8.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2255316,3.00,4.00,3.00,2.00,5.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2255324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2255332,4.00,8.00,5.00,7.00,7.00,4.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2255367,0.00,4.00,4.00,3.00,6.00,3.50,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(15,2255383,2.00,3.00,0.00,5.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2255391,2.00,8.00,4.00,10.00,7.00,5.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2255405,3.00,7.00,6.00,3.00,6.00,5.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2255413,2.00,4.00,3.00,6.00,7.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2255421,6.00,7.00,6.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2255430,1.00,7.00,2.00,2.00,6.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2255448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2255456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2255472,0.00,5.00,2.00,1.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2255480,0.00,5.00,2.00,1.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2255502,4.00,5.00,3.00,4.00,7.00,6.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2255510,3.00,5.00,3.00,8.00,5.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2255529,2.00,6.00,3.00,6.00,4.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2255537,3.00,4.00,3.00,0.00,3.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2255545,3.00,9.00,1.00,6.00,7.00,5.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2255553,6.00,6.00,5.00,7.00,8.00,5.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2255561,2.00,3.00,1.00,5.00,5.00,4.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2255570,5.00,4.00,3.00,6.00,4.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2255588,4.00,7.00,6.00,5.00,9.00,6.75,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2255596,3.00,3.00,2.00,5.00,6.00,9.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2255600,3.00,6.00,0.00,7.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2255618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2255626,8.00,8.00,8.00,8.00,9.00,7.75,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2255642,7.00,5.00,4.00,4.00,6.00,3.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2255650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2255669,7.00,8.00,8.00,7.00,8.00,7.75,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2255677,3.00,7.00,2.00,5.00,6.00,4.50,7.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2255685,3.00,6.00,3.00,0.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2255693,2.00,7.00,3.00,7.00,5.00,6.50,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2255715,0.00,5.00,3.00,2.00,5.00,3.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2255723,2.00,4.00,4.00,5.00,8.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2255731,1.00,3.00,1.00,0.00,4.00,NULL,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2255740,2.00,5.00,3.00,6.00,4.00,3.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2255758,1.00,4.00,5.00,9.00,8.00,4.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2255766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2255774,5.00,7.00,1.00,3.00,6.00,3.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2255782,1.00,5.00,0.00,5.00,4.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2255790,2.00,5.00,1.00,0.00,0.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2255804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2255812,2.00,6.00,2.00,3.00,4.00,6.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2255820,6.00,7.00,9.00,8.00,6.00,6.75,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2255839,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2255847,2.00,4.00,1.00,6.00,3.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2255855,7.00,9.00,6.00,3.00,7.00,5.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2255863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2255871,8.00,6.00,7.00,9.00,8.00,7.00,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2255880,4.00,5.00,2.00,1.00,6.00,4.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2255898,4.00,2.00,1.00,4.00,4.00,4.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2255901,2.00,9.00,1.00,3.00,6.00,5.50,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2255910,2.00,6.00,3.00,6.00,4.00,6.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2255928,4.00,9.00,5.00,7.00,8.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2255936,2.00,4.00,4.00,3.00,7.00,4.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2255944,4.00,7.00,2.00,9.00,6.00,5.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2255952,3.00,5.00,5.00,8.00,4.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2255960,3.00,7.00,3.00,4.00,8.00,6.50,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2255979,4.00,6.00,3.00,7.00,6.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2255987,5.00,8.00,6.00,8.00,9.00,5.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2255995,4.00,8.00,7.00,8.00,7.00,6.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2256002,3.00,7.00,1.00,6.00,6.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2256010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2256029,3.00,5.00,3.00,5.00,7.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2256037,0.00,4.00,2.00,3.00,5.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2256045,5.00,5.00,5.00,2.00,7.00,5.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2256053,6.00,8.00,7.00,7.00,8.00,7.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2256061,2.00,7.00,2.00,6.00,6.00,4.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2256070,1.00,7.00,3.00,6.00,7.00,5.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2256088,4.00,7.00,2.00,8.00,6.00,6.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2256096,5.00,7.00,6.00,8.00,6.00,4.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2256100,1.00,5.00,4.00,2.00,3.00,6.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2256118,8.00,8.00,9.00,8.00,8.00,6.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2256126,5.00,8.00,7.00,9.00,9.00,7.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2256150,4.00,5.00,4.00,1.00,3.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2256169,1.00,2.00,2.00,1.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2256177,2.00,7.00,7.00,6.00,7.00,6.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2256185,5.00,7.00,8.00,6.00,8.00,5.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2256193,6.00,6.00,3.00,7.00,7.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2256207,4.00,6.00,1.00,3.00,8.00,4.25,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2256215,3.00,5.00,5.00,7.00,8.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2256223,3.00,3.00,4.00,5.00,5.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2256231,2.00,4.00,2.00,3.00,5.00,1.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2256240,0.00,4.00,4.00,5.00,6.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2256258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2256266,2.00,7.00,2.00,7.00,8.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2256274,2.00,2.00,2.00,2.00,4.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2256290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2256304,0.00,3.00,6.00,6.00,6.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2256312,5.00,6.00,1.00,0.00,5.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2256320,3.00,8.00,5.00,7.00,5.00,7.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2256347,5.00,6.00,3.00,6.00,8.00,3.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2256355,2.00,6.00,3.00,6.00,7.00,4.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2256363,6.00,8.00,6.00,4.00,8.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2256371,4.00,8.00,6.00,7.00,5.00,6.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2256380,2.00,6.00,3.00,5.00,8.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2256398,3.00,5.00,3.00,5.00,5.00,3.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2256410,0.00,0.00,0.00,0.00,7.00,NULL,2.00,2.00,3.00,NULL,'S',NULL,'N'),(15,2256428,8.00,9.00,8.00,9.00,9.00,7.00,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2256436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2256444,2.00,5.00,3.00,0.00,7.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2256452,5.00,5.00,4.00,7.00,8.00,7.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2256460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2256479,3.00,4.00,0.00,4.00,4.00,4.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2256487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2256509,5.00,5.00,0.00,5.00,5.00,8.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2256517,3.00,7.00,3.00,4.00,7.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2256525,4.00,8.00,7.00,5.00,6.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2256533,3.00,6.00,4.00,9.00,7.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2256541,4.00,2.00,0.00,3.00,5.00,NULL,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2256568,3.00,4.00,1.00,1.00,7.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2256576,0.00,4.00,2.00,1.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2256584,1.00,6.00,3.00,3.00,3.00,4.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2256592,2.00,4.00,4.00,5.00,5.00,2.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2256606,4.00,8.00,8.00,6.00,9.00,5.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2256614,2.00,6.00,4.00,1.00,6.00,5.00,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2256622,0.00,1.00,2.00,3.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2256630,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(15,2256649,1.00,6.00,5.00,6.00,8.00,6.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2256657,2.00,5.00,5.00,6.00,6.00,5.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2256665,3.00,6.00,4.00,2.00,6.00,5.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2256673,4.00,4.00,2.00,3.00,7.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2256681,0.00,6.00,0.00,4.00,6.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2256690,3.00,7.00,4.00,9.00,5.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2256703,4.00,6.00,3.00,8.00,5.00,3.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2256711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2256720,3.00,5.00,3.00,6.00,7.00,5.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2256746,3.00,6.00,4.00,3.00,6.00,6.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2256754,3.00,6.00,6.00,8.00,6.00,5.50,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(15,2256762,7.00,6.00,8.00,6.00,8.00,7.25,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2256770,6.00,8.00,7.00,4.00,8.00,6.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2256789,6.00,8.00,7.00,6.00,8.00,7.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2256797,6.00,6.00,6.00,8.00,7.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2256800,1.00,4.00,0.00,3.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2256819,2.00,5.00,2.00,2.00,6.00,5.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2256827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2256835,3.00,7.00,4.00,6.00,7.00,4.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2256843,2.00,3.00,1.00,2.00,3.00,3.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2256851,7.00,7.00,7.00,7.00,7.00,6.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2256860,1.00,4.00,5.00,1.00,3.00,4.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2256878,3.00,6.00,3.00,3.00,7.00,5.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2256886,6.00,9.00,8.00,9.00,7.00,6.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2256894,2.00,8.00,7.00,3.00,8.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2256908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2256916,4.00,8.00,4.00,6.00,4.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2256924,1.00,6.00,5.00,5.00,6.00,4.50,2.00,7.00,2.00,NULL,NULL,NULL,'S'),(15,2256932,1.00,5.00,2.00,5.00,8.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2256940,4.00,6.00,7.00,7.00,6.00,4.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2256959,2.00,5.00,3.00,1.00,5.00,3.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2256967,2.00,7.00,3.00,2.00,6.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2256975,2.00,7.00,4.00,7.00,7.00,3.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2256983,2.00,2.00,1.00,1.00,6.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2256991,3.00,8.00,7.00,7.00,8.00,5.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2257009,5.00,9.00,6.00,7.00,8.00,6.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2257025,3.00,4.00,4.00,2.00,4.00,3.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2257033,3.00,5.00,4.00,4.00,6.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2257041,3.00,3.00,3.00,4.00,4.00,4.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2257050,2.00,7.00,1.00,1.00,6.00,4.25,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2257068,4.00,6.00,8.00,7.00,8.00,6.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2257076,2.00,3.00,3.00,0.00,3.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2257084,4.00,9.00,4.00,5.00,7.00,6.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2257092,5.00,6.00,4.00,4.00,7.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2257106,3.00,7.00,1.00,6.00,5.00,4.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2257114,4.00,8.00,4.00,8.00,8.00,3.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2257122,2.00,6.00,1.00,3.00,4.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2257130,2.00,5.00,5.00,6.00,7.00,6.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2257149,2.00,7.00,3.00,2.00,3.00,5.50,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2257157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2257165,4.00,6.00,4.00,6.00,7.00,5.50,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2257173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2257190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2257203,4.00,6.00,3.00,1.00,8.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2257211,1.00,7.00,4.00,9.00,7.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2257238,2.00,5.00,1.00,4.00,5.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2257246,7.00,8.00,7.00,7.00,8.00,5.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2257254,3.00,8.00,3.00,4.00,7.00,5.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2257262,8.00,8.00,5.00,7.00,8.00,6.25,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2257270,2.00,8.00,3.00,2.00,8.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2257289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2257297,7.00,8.00,6.00,8.00,7.00,6.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2257300,0.00,4.00,5.00,6.00,6.00,6.25,2.00,1.00,4.00,NULL,NULL,NULL,'S'),(15,2257319,3.00,6.00,4.00,6.00,5.00,6.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2257327,1.00,6.00,2.00,4.00,4.00,5.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2257335,4.00,7.00,4.00,8.00,5.00,4.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2257343,6.00,7.00,5.00,8.00,7.00,5.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2257351,3.00,6.00,5.00,5.00,7.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2257360,7.00,8.00,7.00,8.00,8.00,7.00,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(15,2257378,2.00,4.00,3.00,3.00,4.00,5.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2257386,4.00,7.00,3.00,3.00,7.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2257394,1.00,4.00,3.00,1.00,0.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2257408,8.00,7.00,7.00,9.00,8.00,5.75,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2257416,1.00,4.00,1.00,1.00,1.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2257432,5.00,9.00,8.00,4.00,7.00,4.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2257440,2.00,1.00,2.00,4.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2257459,5.00,4.00,5.00,6.00,7.00,5.25,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2257467,4.00,7.00,5.00,8.00,8.00,7.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2257475,3.00,2.00,3.00,3.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2257483,2.00,7.00,1.00,4.00,5.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2257491,2.00,6.00,5.00,5.00,4.00,6.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2257505,1.00,1.00,0.00,2.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2257513,6.00,8.00,6.00,8.00,6.00,5.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2257530,3.00,4.00,0.00,3.00,7.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2257548,2.00,0.00,4.00,0.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2257556,4.00,8.00,0.00,6.00,8.00,4.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2257564,4.00,7.00,3.00,4.00,6.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2257572,0.00,2.00,1.00,4.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2257580,2.00,4.00,2.00,7.00,7.00,3.25,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2257599,6.00,7.00,7.00,6.00,8.00,6.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2257602,4.00,6.00,3.00,5.00,6.00,5.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2257610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2257629,4.00,6.00,6.00,6.00,8.00,5.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2257637,2.00,5.00,1.00,8.00,7.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2257645,4.00,8.00,6.00,9.00,8.00,7.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2257653,3.00,6.00,3.00,7.00,6.00,7.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2257661,7.00,6.00,7.00,7.00,9.00,6.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2257670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2257688,1.00,5.00,2.00,2.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2257696,6.00,7.00,2.00,6.00,8.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2257700,3.00,7.00,6.00,6.00,5.00,4.50,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2257718,2.00,7.00,3.00,7.00,5.00,7.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2257726,1.00,5.00,4.00,6.00,6.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2257734,2.00,7.00,3.00,3.00,8.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2257750,1.00,0.00,1.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2257769,0.00,3.00,2.00,4.00,4.00,4.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2257777,4.00,8.00,5.00,8.00,5.00,6.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2257807,2.00,5.00,2.00,4.00,3.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2257815,6.00,4.00,7.00,6.00,6.00,3.00,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2257823,2.00,7.00,4.00,5.00,6.00,4.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2257831,4.00,6.00,7.00,7.00,6.00,4.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2257840,2.00,8.00,4.00,4.00,7.00,4.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2257858,0.00,7.00,0.00,4.00,5.00,2.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2257866,3.00,6.00,4.00,3.00,5.00,5.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2257874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2257882,6.00,6.00,2.00,2.00,6.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2257890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2257904,1.00,5.00,3.00,3.00,5.00,6.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2257912,4.00,7.00,7.00,7.00,6.00,6.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2257920,5.00,7.00,7.00,7.00,9.00,6.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2257947,3.00,5.00,2.00,4.00,6.00,5.50,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2257955,3.00,4.00,0.00,5.00,5.00,3.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2257963,3.00,7.00,3.00,9.00,8.00,6.75,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2257980,2.00,4.00,1.00,4.00,6.00,3.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2257998,1.00,5.00,2.00,8.00,8.00,7.00,5.00,1.00,5.00,NULL,NULL,NULL,'N'),(15,2258005,6.00,8.00,8.00,6.00,8.00,7.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2258013,3.00,8.00,4.00,8.00,7.00,5.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2258021,1.00,4.00,2.00,2.00,5.00,5.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2258048,1.00,4.00,3.00,6.00,6.00,6.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2258064,2.00,6.00,3.00,2.00,5.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2258072,2.00,4.00,3.00,0.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2258080,4.00,7.00,6.00,2.00,7.00,3.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2258102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2258110,1.00,3.00,1.00,7.00,7.00,5.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2258129,4.00,5.00,2.00,2.00,4.00,5.00,5.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2258137,6.00,8.00,4.00,7.00,7.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2258145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2258153,3.00,5.00,2.00,5.00,8.00,6.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2258161,2.00,0.00,5.00,2.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(15,2258170,2.00,6.00,4.00,5.00,4.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2258188,3.00,7.00,4.00,8.00,8.00,7.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2258196,2.00,5.00,2.00,3.00,5.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2258200,6.00,6.00,4.00,6.00,6.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2258218,0.00,5.00,2.00,0.00,3.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2258226,2.00,6.00,2.00,4.00,6.00,6.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2258234,3.00,5.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2258242,3.00,6.00,4.00,7.00,7.00,3.75,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2258250,4.00,5.00,5.00,5.00,8.00,7.25,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2258277,4.00,7.00,3.00,4.00,6.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2258285,3.00,6.00,2.00,4.00,5.00,3.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2258293,3.00,7.00,5.00,3.00,6.00,5.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2258307,5.00,7.00,7.00,8.00,7.00,5.75,8.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2258315,4.00,9.00,5.00,5.00,9.00,7.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2258323,4.00,7.00,3.00,6.00,4.00,3.75,7.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2258331,4.00,7.00,2.00,7.00,4.00,6.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2258340,4.00,6.00,3.00,4.00,6.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2258366,0.00,0.00,0.00,4.00,4.00,NULL,2.00,3.00,1.00,NULL,'S',NULL,'N'),(15,2258374,2.00,6.00,2.00,5.00,7.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2258382,3.00,6.00,6.00,6.00,8.00,5.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2258390,2.00,7.00,5.00,7.00,4.00,4.75,6.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2258404,1.00,1.00,3.00,5.00,4.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2258420,3.00,5.00,2.00,5.00,6.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2258439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2258447,6.00,8.00,7.00,5.00,7.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2258455,3.00,5.00,3.00,3.00,6.00,5.00,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2258463,5.00,6.00,5.00,6.00,8.00,4.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2258471,1.00,7.00,3.00,4.00,3.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2258480,3.00,4.00,3.00,6.00,8.00,7.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2258498,4.00,7.00,7.00,7.00,7.00,6.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2258501,3.00,4.00,5.00,8.00,5.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2258510,5.00,5.00,4.00,3.00,6.00,4.50,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2258528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2258536,1.00,4.00,0.00,0.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2258544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2258552,4.00,6.00,4.00,8.00,7.00,5.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2258579,4.00,6.00,6.00,8.00,8.00,5.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2258587,4.00,8.00,5.00,4.00,6.00,3.75,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2258595,1.00,2.00,4.00,0.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2258609,6.00,9.00,9.00,6.00,8.00,5.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2258617,3.00,5.00,1.00,4.00,4.00,4.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2258625,3.00,8.00,8.00,8.00,9.00,7.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2258633,6.00,7.00,7.00,8.00,8.00,5.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2258650,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2258676,7.00,8.00,8.00,9.00,8.00,5.50,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2258684,2.00,8.00,5.00,3.00,6.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2258692,4.00,8.00,6.00,3.00,8.00,4.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2258706,0.00,2.00,1.00,1.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2258714,2.00,7.00,4.00,4.00,7.00,4.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2258722,4.00,8.00,7.00,9.00,8.00,7.75,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2258730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2258749,0.00,7.00,7.00,4.00,7.00,4.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2258757,6.00,6.00,8.00,5.00,7.00,7.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2258765,1.00,4.00,1.00,1.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2258773,1.00,4.00,3.00,2.00,3.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2258781,3.00,8.00,9.00,7.00,6.00,7.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2258803,3.00,4.00,0.00,4.00,6.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2258811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2258820,4.00,6.00,2.00,6.00,5.00,4.75,6.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2258838,1.00,5.00,4.00,6.00,4.00,5.50,7.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2258846,4.00,7.00,1.00,7.00,8.00,4.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2258854,4.00,8.00,6.00,7.00,5.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2258862,7.00,8.00,5.00,9.00,8.00,7.25,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2258870,4.00,8.00,5.00,8.00,7.00,5.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2258889,3.00,6.00,2.00,1.00,7.00,4.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2258897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2258900,3.00,4.00,3.00,4.00,4.00,2.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2258927,7.00,7.00,5.00,8.00,9.00,5.75,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2258935,2.00,7.00,4.00,9.00,7.00,5.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2258943,2.00,7.00,2.00,6.00,5.00,2.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2258951,4.00,6.00,0.00,5.00,7.00,4.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2258960,2.00,5.00,3.00,3.00,6.00,5.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2258978,5.00,7.00,7.00,7.00,8.00,7.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2258986,6.00,9.00,5.00,7.00,6.00,6.00,8.00,7.00,7.00,NULL,NULL,NULL,'S'),(15,2258994,4.00,5.00,6.00,3.00,5.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2259001,4.00,6.00,6.00,1.00,7.00,4.75,7.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2259010,3.00,6.00,4.00,2.00,7.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2259028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2259036,4.00,6.00,2.00,5.00,7.00,6.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2259044,5.00,7.00,2.00,5.00,6.00,4.50,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2259052,3.00,5.00,3.00,6.00,7.00,3.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2259060,3.00,7.00,1.00,5.00,5.00,4.50,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2259087,2.00,4.00,2.00,4.00,6.00,3.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2259095,2.00,6.00,2.00,2.00,6.00,5.00,6.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2259109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2259117,4.00,8.00,8.00,9.00,7.00,5.25,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2259125,7.00,7.00,9.00,7.00,9.00,6.75,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2259133,7.00,6.00,5.00,7.00,8.00,6.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2259141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2259150,2.00,6.00,3.00,2.00,4.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2259168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2259176,2.00,3.00,2.00,4.00,3.00,3.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2259184,1.00,3.00,2.00,6.00,4.00,3.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2259192,0.00,0.00,2.00,0.00,0.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2259206,0.00,4.00,3.00,2.00,5.00,4.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2259214,3.00,5.00,5.00,4.00,5.00,5.00,3.00,3.00,6.00,NULL,NULL,NULL,'S'),(15,2259222,5.00,6.00,3.00,7.00,7.00,7.00,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2259230,3.00,4.00,5.00,1.00,6.00,6.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2259249,2.00,5.00,2.00,4.00,6.00,4.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2259257,4.00,7.00,6.00,6.00,7.00,4.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2259265,5.00,7.00,2.00,9.00,6.00,6.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2259273,2.00,7.00,2.00,8.00,5.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2259281,1.00,5.00,5.00,3.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2259290,1.00,4.00,6.00,6.00,5.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2259303,1.00,4.00,1.00,1.00,5.00,3.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2259311,2.00,6.00,3.00,5.00,7.00,6.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2259320,2.00,6.00,5.00,7.00,6.00,5.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2259338,1.00,3.00,0.00,0.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2259354,3.00,3.00,4.00,3.00,8.00,8.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2259362,3.00,6.00,6.00,5.00,8.00,5.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2259370,2.00,4.00,5.00,4.00,6.00,6.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2259389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2259400,1.00,7.00,4.00,6.00,6.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2259419,3.00,6.00,6.00,7.00,7.00,6.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2259427,1.00,7.00,5.00,3.00,4.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2259443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2259451,2.00,6.00,3.00,5.00,2.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2259460,8.00,8.00,9.00,2.00,9.00,5.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2259478,1.00,6.00,6.00,9.00,5.00,4.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2259486,3.00,5.00,3.00,7.00,8.00,6.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2259494,4.00,5.00,6.00,7.00,5.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2259516,3.00,4.00,1.00,3.00,6.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2259524,6.00,6.00,5.00,5.00,8.00,5.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2259532,3.00,5.00,1.00,5.00,4.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2259540,4.00,8.00,4.00,7.00,8.00,8.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2259559,2.00,5.00,4.00,3.00,4.00,4.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2259567,4.00,6.00,1.00,5.00,6.00,6.25,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2259575,2.00,7.00,2.00,4.00,4.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2259583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2259591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2259605,6.00,7.00,5.00,7.00,9.00,5.50,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2259613,0.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2259621,4.00,5.00,1.00,4.00,6.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2259630,3.00,7.00,1.00,4.00,3.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2259656,3.00,3.00,2.00,3.00,5.00,6.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2259664,4.00,5.00,4.00,4.00,4.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2259672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2259680,5.00,7.00,7.00,5.00,7.00,6.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2259699,4.00,6.00,3.00,6.00,7.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2259702,4.00,5.00,1.00,2.00,5.00,5.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2259710,0.00,3.00,4.00,3.00,4.00,3.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2259745,3.00,7.00,2.00,5.00,7.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2259761,5.00,8.00,8.00,7.00,5.00,5.50,6.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2259770,2.00,8.00,2.00,3.00,4.00,5.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2259788,3.00,7.00,5.00,4.00,8.00,6.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2259796,4.00,6.00,5.00,7.00,6.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2259800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2259818,5.00,6.00,6.00,6.00,6.00,6.00,4.00,2.00,4.00,NULL,NULL,NULL,'S'),(15,2259826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2259834,7.00,8.00,8.00,9.00,9.00,7.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2259842,7.00,6.00,7.00,8.00,6.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2259850,0.00,7.00,1.00,4.00,6.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2259877,1.00,7.00,3.00,3.00,4.00,4.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2259885,2.00,4.00,3.00,2.00,6.00,4.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2259893,6.00,8.00,7.00,8.00,7.00,5.50,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2259907,3.00,7.00,5.00,1.00,8.00,5.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2259915,4.00,7.00,6.00,6.00,8.00,6.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2259923,1.00,8.00,3.00,5.00,6.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2259931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2259940,3.00,7.00,5.00,4.00,6.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2259958,5.00,7.00,2.00,6.00,4.00,5.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2259966,2.00,5.00,0.00,2.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2259974,0.00,6.00,1.00,0.00,6.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2259982,2.00,4.00,3.00,5.00,4.00,6.75,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2259990,1.00,6.00,5.00,8.00,7.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2260000,0.00,7.00,1.00,6.00,6.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2260018,2.00,6.00,1.00,3.00,8.00,6.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2260026,5.00,5.00,3.00,1.00,6.00,6.50,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2260034,5.00,7.00,4.00,6.00,8.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2260042,2.00,7.00,5.00,2.00,5.00,5.75,6.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2260050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2260077,3.00,6.00,4.00,5.00,5.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2260085,3.00,6.00,3.00,0.00,0.00,NULL,1.00,3.00,1.00,'S',NULL,NULL,'N'),(15,2260093,3.00,4.00,5.00,6.00,4.00,4.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2260107,6.00,6.00,4.00,4.00,8.00,7.00,5.00,1.00,6.00,NULL,NULL,NULL,'N'),(15,2260115,1.00,7.00,7.00,5.00,9.00,4.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2260123,8.00,7.00,6.00,5.00,6.00,5.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2260131,3.00,3.00,3.00,5.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2260158,1.00,7.00,5.00,7.00,5.00,7.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2260166,4.00,4.00,3.00,0.00,5.00,5.00,6.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2260174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2260182,1.00,4.00,2.00,6.00,5.00,3.00,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2260190,2.00,4.00,3.00,4.00,3.00,4.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2260204,2.00,7.00,6.00,9.00,8.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2260212,2.00,7.00,1.00,5.00,8.00,5.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2260220,2.00,6.00,1.00,6.00,7.00,5.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2260239,3.00,7.00,4.00,5.00,7.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2260247,4.00,8.00,3.00,4.00,8.00,5.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2260255,2.00,8.00,5.00,9.00,7.00,6.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2260263,3.00,8.00,6.00,3.00,7.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2260271,4.00,7.00,8.00,8.00,6.00,8.00,8.00,8.00,4.00,NULL,NULL,NULL,'S'),(15,2260280,2.00,6.00,4.00,6.00,5.00,4.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2260298,8.00,8.00,5.00,6.00,9.00,5.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2260301,6.00,6.00,7.00,9.00,8.00,5.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2260310,3.00,7.00,2.00,3.00,7.00,6.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2260328,8.00,8.00,9.00,9.00,8.00,5.75,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2260336,1.00,5.00,2.00,1.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2260344,1.00,5.00,7.00,4.00,6.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2260352,4.00,7.00,3.00,2.00,7.00,5.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2260360,0.00,6.00,0.00,1.00,5.00,6.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2260379,0.00,4.00,1.00,4.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2260387,4.00,6.00,2.00,2.00,4.00,4.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2260395,1.00,4.00,2.00,5.00,4.00,3.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2260409,3.00,3.00,2.00,3.00,5.00,3.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2260425,1.00,6.00,1.00,6.00,6.00,4.00,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2260433,4.00,8.00,8.00,6.00,5.00,5.75,9.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2260441,2.00,7.00,4.00,3.00,5.00,3.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2260450,7.00,8.00,8.00,6.00,7.00,6.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2260476,2.00,4.00,3.00,4.00,3.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2260484,6.00,7.00,3.00,9.00,8.00,5.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2260492,0.00,4.00,5.00,2.00,3.00,3.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2260506,3.00,6.00,5.00,9.00,6.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2260522,2.00,7.00,2.00,6.00,5.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2260530,3.00,7.00,1.00,5.00,6.00,4.00,5.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2260549,4.00,4.00,4.00,6.00,4.00,6.25,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2260557,2.00,6.00,2.00,2.00,4.00,3.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2260565,6.00,8.00,5.00,5.00,8.00,4.50,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2260573,1.00,5.00,4.00,8.00,4.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2260581,3.00,8.00,4.00,9.00,7.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2260590,2.00,5.00,3.00,4.00,4.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2260611,3.00,6.00,2.00,5.00,7.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2260620,3.00,4.00,2.00,2.00,9.00,6.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2260638,4.00,7.00,4.00,4.00,5.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2260646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2260654,3.00,3.00,0.00,1.00,0.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2260662,2.00,4.00,3.00,1.00,4.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2260670,3.00,2.00,1.00,5.00,5.00,4.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2260689,2.00,6.00,2.00,4.00,5.00,4.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2260697,4.00,7.00,5.00,8.00,6.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2260700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2260727,2.00,5.00,2.00,0.00,4.00,3.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2260735,4.00,8.00,3.00,5.00,8.00,6.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2260743,3.00,5.00,2.00,6.00,4.00,6.00,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2260751,5.00,7.00,6.00,5.00,8.00,4.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2260760,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2260778,2.00,3.00,8.00,9.00,6.00,5.00,6.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2260786,6.00,8.00,6.00,2.00,6.00,5.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2260794,1.00,7.00,3.00,6.00,7.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2260808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2260816,4.00,7.00,4.00,0.00,6.00,4.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2260824,1.00,4.00,2.00,1.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2260840,4.00,7.00,4.00,6.00,8.00,6.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2260859,3.00,6.00,2.00,5.00,6.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2260867,2.00,8.00,5.00,4.00,4.00,4.75,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2260875,1.00,3.00,4.00,3.00,4.00,4.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2260883,3.00,5.00,1.00,9.00,7.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2260905,4.00,7.00,6.00,6.00,8.00,5.50,9.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2260913,5.00,8.00,8.00,7.00,8.00,5.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2260921,4.00,6.00,6.00,6.00,8.00,5.25,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2260930,4.00,7.00,1.00,4.00,8.00,4.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2260948,6.00,7.00,4.00,7.00,8.00,6.50,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2260956,3.00,6.00,5.00,6.00,8.00,7.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2260964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2260972,4.00,3.00,4.00,4.00,4.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2260980,4.00,6.00,4.00,0.00,6.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2260999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2261014,4.00,5.00,8.00,6.00,5.00,6.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2261022,2.00,5.00,3.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2261030,5.00,6.00,6.00,8.00,7.00,6.25,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2261049,7.00,7.00,8.00,2.00,7.00,5.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2261057,8.00,6.00,8.00,8.00,9.00,4.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2261065,2.00,3.00,3.00,6.00,4.00,3.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2261073,5.00,6.00,3.00,0.00,5.00,4.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2261081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2261090,4.00,8.00,5.00,5.00,7.00,6.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2261111,6.00,6.00,4.00,6.00,7.00,6.50,8.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2261120,2.00,2.00,4.00,1.00,4.00,4.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2261138,2.00,4.00,1.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2261146,4.00,6.00,4.00,4.00,6.00,5.00,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2261154,3.00,6.00,8.00,7.00,8.00,6.00,8.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2261170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2261189,1.00,6.00,4.00,4.00,5.00,3.50,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2261197,7.00,8.00,3.00,9.00,8.00,6.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2261200,1.00,8.00,7.00,8.00,7.00,3.75,9.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2261219,4.00,8.00,4.00,5.00,6.00,5.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2261227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2261235,4.00,6.00,4.00,3.00,6.00,4.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2261243,4.00,6.00,4.00,6.00,7.00,6.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2261251,2.00,3.00,0.00,2.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2261260,2.00,6.00,2.00,2.00,4.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2261278,4.00,6.00,0.00,3.00,6.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2261286,3.00,6.00,6.00,7.00,7.00,6.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2261294,2.00,6.00,2.00,3.00,3.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2261308,1.00,8.00,1.00,3.00,5.00,5.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2261324,3.00,7.00,4.00,5.00,6.00,6.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2261332,3.00,4.00,3.00,3.00,6.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2261340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2261359,7.00,7.00,6.00,7.00,6.00,6.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2261375,4.00,5.00,2.00,4.00,3.00,5.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2261383,2.00,6.00,4.00,9.00,3.00,3.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2261405,0.00,6.00,2.00,4.00,8.00,4.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2261421,2.00,4.00,4.00,5.00,8.00,6.25,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2261430,4.00,6.00,2.00,0.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2261448,6.00,9.00,8.00,7.00,9.00,6.25,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2261456,2.00,3.00,3.00,4.00,3.00,3.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2261464,2.00,5.00,2.00,2.00,4.00,5.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2261472,4.00,7.00,6.00,4.00,7.00,5.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2261480,4.00,8.00,9.00,9.00,5.00,7.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2261499,4.00,5.00,1.00,1.00,3.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2261502,3.00,7.00,6.00,3.00,5.00,5.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2261510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2261529,7.00,8.00,6.00,8.00,8.00,6.25,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2261537,4.00,6.00,7.00,5.00,6.00,7.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2261545,5.00,6.00,4.00,6.00,8.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2261553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2261561,1.00,7.00,2.00,5.00,7.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2261588,4.00,7.00,2.00,6.00,4.00,4.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2261596,3.00,2.00,0.00,3.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2261600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2261618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2261634,3.00,7.00,4.00,6.00,7.00,4.50,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2261650,2.00,8.00,3.00,4.00,7.00,4.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2261669,2.00,5.00,6.00,8.00,7.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2261677,2.00,7.00,5.00,5.00,4.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2261685,5.00,4.00,2.00,5.00,5.00,5.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2261693,6.00,8.00,6.00,7.00,9.00,6.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2261707,4.00,8.00,6.00,7.00,7.00,6.50,3.00,7.00,2.00,NULL,NULL,NULL,'S'),(15,2261715,1.00,5.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2261723,4.00,8.00,4.00,8.00,7.00,4.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2261740,2.00,4.00,1.00,1.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2261758,1.00,5.00,1.00,5.00,6.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2261766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2261774,4.00,7.00,5.00,4.00,6.00,4.50,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2261782,0.00,3.00,2.00,6.00,4.00,5.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2261790,3.00,8.00,4.00,6.00,6.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2261804,1.00,4.00,2.00,7.00,6.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2261812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2261820,5.00,5.00,5.00,7.00,7.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2261839,4.00,8.00,4.00,8.00,5.00,4.00,6.00,9.00,2.00,NULL,NULL,NULL,'N'),(15,2261847,2.00,5.00,3.00,6.00,6.00,5.00,4.00,2.00,5.00,NULL,NULL,NULL,'S'),(15,2261855,3.00,6.00,2.00,6.00,4.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2261863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2261871,5.00,8.00,4.00,2.00,5.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2261880,2.00,7.00,0.00,8.00,8.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2261898,1.00,5.00,1.00,1.00,6.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2261901,1.00,4.00,1.00,2.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2261910,3.00,6.00,2.00,3.00,3.00,6.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2261928,3.00,8.00,3.00,5.00,8.00,5.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2261936,0.00,4.00,5.00,7.00,6.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2261944,2.00,5.00,3.00,2.00,4.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2261952,6.00,8.00,9.00,5.00,8.00,5.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2261960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2261979,3.00,7.00,6.00,8.00,6.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2261987,6.00,9.00,6.00,9.00,8.00,6.25,7.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2261995,2.00,8.00,2.00,7.00,7.00,5.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2262002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2262010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2262029,2.00,5.00,3.00,7.00,5.00,6.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2262037,5.00,6.00,7.00,7.00,8.00,5.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2262045,5.00,6.00,3.00,6.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2262053,4.00,7.00,7.00,7.00,6.00,5.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2262061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2262070,8.00,6.00,9.00,6.00,6.00,6.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2262088,3.00,3.00,7.00,3.00,8.00,5.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2262096,4.00,8.00,6.00,8.00,8.00,7.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2262100,8.00,7.00,7.00,6.00,7.00,4.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2262118,3.00,7.00,2.00,7.00,7.00,5.00,5.00,5.00,6.00,NULL,NULL,NULL,'S'),(15,2262126,1.00,5.00,3.00,1.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2262134,0.00,4.00,5.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2262142,5.00,9.00,4.00,5.00,8.00,6.25,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2262150,3.00,6.00,6.00,8.00,6.00,6.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2262169,4.00,7.00,2.00,7.00,5.00,5.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2262185,3.00,5.00,2.00,4.00,7.00,4.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2262193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2262207,3.00,8.00,3.00,6.00,6.00,6.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2262215,2.00,2.00,2.00,4.00,4.00,5.00,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2262223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2262231,5.00,6.00,3.00,3.00,4.00,4.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2262240,4.00,5.00,1.00,0.00,0.00,NULL,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2262258,6.00,9.00,6.00,8.00,7.00,8.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2262266,3.00,5.00,2.00,4.00,5.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2262274,3.00,6.00,3.00,4.00,3.00,4.00,4.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2262282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2262290,4.00,6.00,6.00,6.00,7.00,7.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2262304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2262312,3.00,4.00,0.00,3.00,7.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2262320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2262339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2262347,0.00,4.00,3.00,1.00,4.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2262355,2.00,3.00,1.00,5.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2262363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2262371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2262380,6.00,7.00,6.00,5.00,8.00,8.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2262398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2262401,4.00,6.00,7.00,6.00,7.00,3.00,9.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2262410,3.00,8.00,3.00,8.00,6.00,5.75,4.00,9.00,2.00,NULL,NULL,NULL,'N'),(15,2262428,5.00,7.00,5.00,7.00,6.00,7.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2262436,6.00,6.00,4.00,7.00,7.00,5.25,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2262444,4.00,4.00,4.00,4.00,5.00,5.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2262452,3.00,4.00,6.00,5.00,7.00,5.25,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2262460,8.00,8.00,9.00,6.00,8.00,6.25,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2262479,5.00,9.00,7.00,8.00,9.00,6.25,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2262495,5.00,5.00,5.00,6.00,8.00,6.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2262517,1.00,3.00,5.00,1.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2262525,2.00,5.00,2.00,4.00,2.00,NULL,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2262533,3.00,4.00,1.00,6.00,4.00,4.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2262541,1.00,7.00,4.00,4.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2262550,2.00,5.00,2.00,6.00,5.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2262568,7.00,8.00,7.00,9.00,9.00,7.25,9.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2262576,2.00,5.00,5.00,6.00,7.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2262584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2262592,4.00,6.00,4.00,4.00,7.00,3.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2262606,2.00,5.00,2.00,4.00,3.00,6.00,5.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2262614,4.00,9.00,6.00,7.00,8.00,6.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2262622,4.00,6.00,3.00,1.00,3.00,2.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2262630,4.00,7.00,7.00,7.00,9.00,8.25,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2262649,3.00,8.00,3.00,6.00,8.00,6.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2262657,2.00,7.00,0.00,4.00,6.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2262673,3.00,7.00,4.00,4.00,7.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2262681,2.00,6.00,2.00,5.00,6.00,4.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2262690,3.00,6.00,3.00,8.00,6.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2262703,1.00,4.00,0.00,3.00,5.00,3.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2262711,3.00,2.00,0.00,5.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2262720,1.00,7.00,5.00,5.00,6.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2262738,2.00,8.00,5.00,3.00,4.00,6.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2262746,2.00,7.00,4.00,8.00,8.00,7.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2262754,2.00,4.00,2.00,1.00,5.00,6.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2262762,1.00,6.00,4.00,5.00,5.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2262797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2262800,3.00,7.00,1.00,8.00,8.00,5.25,4.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2262819,2.00,4.00,1.00,6.00,5.00,4.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2262827,6.00,8.00,5.00,7.00,7.00,6.00,6.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2262835,3.00,5.00,0.00,1.00,4.00,4.75,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(15,2262843,4.00,7.00,1.00,7.00,4.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2262851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2262860,3.00,7.00,5.00,7.00,8.00,7.00,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2262878,2.00,6.00,3.00,5.00,7.00,4.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2262894,4.00,8.00,4.00,5.00,7.00,5.00,8.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2262908,3.00,6.00,0.00,3.00,5.00,3.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2262916,4.00,6.00,7.00,7.00,6.00,3.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2262924,3.00,6.00,0.00,1.00,5.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2262932,2.00,4.00,4.00,5.00,3.00,5.25,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2262940,5.00,6.00,2.00,8.00,6.00,4.50,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2262959,1.00,6.00,3.00,1.00,6.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2262967,1.00,6.00,0.00,3.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2262975,2.00,4.00,1.00,4.00,6.00,6.50,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2262983,3.00,8.00,7.00,7.00,6.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2262991,2.00,7.00,2.00,0.00,5.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2263009,3.00,7.00,1.00,6.00,7.00,4.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2263017,3.00,5.00,3.00,4.00,6.00,4.50,5.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2263025,5.00,7.00,5.00,1.00,8.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2263041,3.00,4.00,1.00,6.00,6.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2263050,0.00,5.00,5.00,3.00,6.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2263068,4.00,7.00,6.00,5.00,7.00,6.00,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2263076,1.00,3.00,3.00,7.00,5.00,6.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2263084,4.00,4.00,1.00,3.00,4.00,7.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2263106,2.00,5.00,1.00,1.00,6.00,7.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2263114,2.00,8.00,3.00,9.00,5.00,6.50,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2263122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2263130,1.00,3.00,2.00,1.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2263149,3.00,7.00,3.00,8.00,6.00,5.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2263157,0.00,3.00,1.00,2.00,6.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2263165,1.00,6.00,3.00,2.00,6.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2263181,0.00,5.00,1.00,4.00,6.00,6.75,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2263190,1.00,5.00,3.00,1.00,6.00,5.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2263211,2.00,5.00,5.00,4.00,5.00,5.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2263220,4.00,6.00,4.00,2.00,8.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2263238,2.00,7.00,2.00,6.00,5.00,4.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2263246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2263254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2263262,5.00,7.00,5.00,3.00,8.00,5.25,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2263270,1.00,6.00,2.00,5.00,5.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2263289,2.00,5.00,5.00,4.00,5.00,4.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2263297,5.00,6.00,6.00,4.00,6.00,4.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2263300,3.00,4.00,4.00,4.00,5.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2263319,3.00,8.00,1.00,7.00,7.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2263327,3.00,5.00,1.00,7.00,5.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2263335,0.00,2.00,4.00,5.00,2.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2263343,4.00,7.00,5.00,7.00,7.00,3.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2263351,5.00,8.00,4.00,6.00,8.00,4.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2263360,7.00,8.00,8.00,3.00,6.00,6.00,7.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2263378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2263386,1.00,5.00,2.00,0.00,6.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2263394,3.00,5.00,3.00,4.00,5.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2263416,3.00,5.00,5.00,3.00,6.00,6.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2263424,8.00,9.00,8.00,9.00,8.00,5.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2263432,3.00,4.00,2.00,1.00,7.00,6.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2263440,4.00,6.00,8.00,6.00,8.00,6.00,8.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2263459,2.00,6.00,2.00,4.00,6.00,6.50,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2263467,4.00,5.00,3.00,7.00,6.00,2.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2263475,3.00,7.00,6.00,5.00,8.00,4.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2263483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2263491,2.00,6.00,4.00,6.00,5.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2263505,3.00,5.00,4.00,7.00,7.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2263513,4.00,7.00,2.00,7.00,7.00,4.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2263521,4.00,6.00,1.00,6.00,3.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2263530,1.00,4.00,1.00,2.00,3.00,6.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2263548,4.00,6.00,7.00,9.00,6.00,6.00,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2263556,2.00,8.00,1.00,5.00,5.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2263564,4.00,2.00,3.00,4.00,4.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2263572,8.00,5.00,6.00,8.00,8.00,7.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2263580,4.00,8.00,4.00,5.00,6.00,6.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2263599,2.00,4.00,2.00,7.00,6.00,4.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2263602,3.00,7.00,2.00,5.00,5.00,4.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2263610,4.00,8.00,9.00,7.00,6.00,3.75,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2263629,9.00,8.00,6.00,2.00,8.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2263637,3.00,5.00,6.00,2.00,6.00,4.75,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2263645,3.00,8.00,6.00,8.00,6.00,6.00,8.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2263653,2.00,7.00,7.00,6.00,7.00,7.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2263670,7.00,8.00,2.00,6.00,5.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2263688,2.00,8.00,3.00,4.00,5.00,5.50,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2263696,1.00,6.00,0.00,7.00,8.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2263700,2.00,4.00,4.00,0.00,6.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2263718,4.00,9.00,7.00,9.00,6.00,5.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2263726,5.00,6.00,7.00,9.00,5.00,6.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2263734,6.00,8.00,6.00,4.00,4.00,5.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2263742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2263750,4.00,5.00,2.00,1.00,6.00,3.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2263769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2263777,2.00,6.00,4.00,4.00,8.00,5.50,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2263785,1.00,5.00,2.00,7.00,5.00,4.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2263793,5.00,6.00,4.00,6.00,6.00,4.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2263807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2263815,6.00,8.00,4.00,4.00,7.00,3.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2263823,4.00,8.00,8.00,7.00,8.00,6.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2263840,3.00,8.00,3.00,9.00,6.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2263858,2.00,5.00,4.00,3.00,4.00,4.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2263866,0.00,0.00,0.00,9.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2263874,1.00,6.00,1.00,5.00,4.00,6.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2263882,3.00,6.00,3.00,8.00,8.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2263890,2.00,5.00,3.00,5.00,7.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2263912,6.00,7.00,6.00,9.00,9.00,5.50,7.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2263920,3.00,8.00,6.00,8.00,6.00,7.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2263939,0.00,6.00,2.00,6.00,6.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2263947,4.00,9.00,7.00,9.00,9.00,5.50,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2263955,1.00,5.00,3.00,6.00,6.00,2.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2263963,6.00,7.00,1.00,6.00,7.00,4.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2263971,3.00,7.00,6.00,8.00,9.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2263980,7.00,7.00,6.00,7.00,9.00,5.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2263998,4.00,7.00,8.00,3.00,8.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2264005,2.00,5.00,2.00,4.00,7.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2264013,3.00,5.00,3.00,7.00,7.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2264048,5.00,8.00,6.00,4.00,8.00,5.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2264056,2.00,4.00,3.00,4.00,5.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2264064,7.00,7.00,7.00,7.00,7.00,6.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2264080,2.00,3.00,4.00,7.00,5.00,3.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2264099,4.00,4.00,2.00,5.00,6.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2264102,3.00,4.00,2.00,0.00,3.00,6.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2264110,4.00,3.00,3.00,2.00,5.00,5.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2264129,3.00,6.00,5.00,2.00,7.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2264137,3.00,6.00,4.00,7.00,5.00,4.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2264145,3.00,7.00,7.00,6.00,6.00,5.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2264161,1.00,7.00,6.00,5.00,6.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2264170,3.00,7.00,3.00,7.00,7.00,6.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2264196,5.00,6.00,6.00,2.00,7.00,5.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2264200,5.00,6.00,6.00,2.00,4.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2264218,3.00,7.00,5.00,6.00,5.00,7.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2264226,5.00,8.00,5.00,10.00,8.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2264234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2264242,1.00,8.00,4.00,1.00,8.00,6.75,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2264250,4.00,4.00,3.00,6.00,7.00,6.00,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2264269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2264277,2.00,6.00,0.00,3.00,5.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2264285,3.00,9.00,6.00,9.00,9.00,6.50,7.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2264293,5.00,7.00,4.00,6.00,7.00,7.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2264307,3.00,7.00,5.00,7.00,6.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2264315,2.00,3.00,3.00,5.00,6.00,5.00,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2264323,3.00,6.00,3.00,6.00,6.00,4.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2264331,3.00,5.00,3.00,4.00,6.00,4.00,3.00,1.00,1.00,NULL,NULL,NULL,'S'),(15,2264340,4.00,8.00,6.00,6.00,7.00,4.50,6.00,3.00,5.00,NULL,NULL,NULL,'S'),(15,2264358,4.00,7.00,5.00,4.00,5.00,7.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2264366,5.00,8.00,8.00,7.00,9.00,6.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2264374,1.00,4.00,0.00,5.00,5.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2264382,2.00,5.00,1.00,0.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2264390,2.00,5.00,1.00,1.00,7.00,4.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2264404,1.00,5.00,2.00,5.00,8.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2264420,4.00,8.00,5.00,8.00,8.00,6.75,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2264439,0.00,5.00,1.00,6.00,5.00,NULL,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2264447,3.00,7.00,1.00,4.00,4.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2264455,4.00,7.00,7.00,5.00,7.00,5.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2264463,4.00,6.00,4.00,10.00,7.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2264471,4.00,6.00,3.00,5.00,4.00,2.00,8.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2264480,5.00,7.00,3.00,5.00,5.00,4.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2264501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2264510,3.00,5.00,5.00,7.00,6.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2264528,2.00,2.00,3.00,3.00,7.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2264536,3.00,7.00,6.00,2.00,5.00,5.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2264544,2.00,8.00,5.00,5.00,6.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2264552,8.00,9.00,9.00,8.00,9.00,6.25,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2264560,4.00,7.00,4.00,7.00,5.00,5.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2264579,5.00,8.00,7.00,6.00,7.00,6.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2264587,9.00,7.00,10.00,5.00,7.00,6.50,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2264609,2.00,5.00,3.00,3.00,5.00,3.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2264617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2264625,3.00,7.00,3.00,4.00,6.00,6.75,7.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2264633,2.00,3.00,1.00,3.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2264641,3.00,5.00,1.00,5.00,4.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2264650,3.00,6.00,0.00,3.00,7.00,4.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2264668,4.00,7.00,4.00,4.00,6.00,5.50,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2264684,0.00,6.00,1.00,6.00,5.00,5.25,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2264706,2.00,7.00,5.00,3.00,6.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2264714,7.00,8.00,4.00,6.00,9.00,7.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2264722,3.00,7.00,5.00,8.00,7.00,7.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2264730,4.00,3.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2264749,3.00,4.00,6.00,1.00,6.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2264757,3.00,7.00,2.00,8.00,7.00,5.50,8.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2264773,3.00,7.00,2.00,3.00,6.00,6.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2264781,5.00,5.00,5.00,6.00,7.00,6.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2264790,2.00,5.00,4.00,1.00,7.00,5.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2264803,0.00,5.00,1.00,1.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2264811,4.00,5.00,2.00,6.00,7.00,7.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2264820,3.00,5.00,8.00,0.00,5.00,5.75,6.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2264838,3.00,5.00,2.00,6.00,7.00,4.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2264846,4.00,8.00,2.00,6.00,6.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2264854,2.00,6.00,3.00,6.00,8.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2264862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2264870,1.00,6.00,3.00,5.00,5.00,4.75,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2264889,4.00,7.00,3.00,5.00,8.00,5.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2264897,2.00,8.00,7.00,3.00,6.00,4.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2264900,5.00,6.00,3.00,7.00,6.00,5.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2264919,2.00,5.00,1.00,5.00,3.00,5.50,5.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2264927,5.00,7.00,1.00,7.00,6.00,5.75,6.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2264935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2264943,3.00,6.00,7.00,4.00,6.00,5.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2264951,2.00,3.00,2.00,1.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2264960,6.00,7.00,3.00,5.00,7.00,5.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2264986,8.00,7.00,8.00,8.00,9.00,9.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2265001,2.00,7.00,4.00,4.00,7.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2265010,3.00,5.00,7.00,1.00,8.00,6.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2265028,3.00,8.00,5.00,7.00,8.00,5.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2265036,4.00,6.00,4.00,4.00,5.00,6.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2265044,3.00,6.00,4.00,7.00,6.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2265052,2.00,4.00,4.00,0.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2265060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2265079,5.00,7.00,5.00,6.00,8.00,5.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2265087,7.00,9.00,5.00,6.00,8.00,6.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2265109,1.00,3.00,1.00,6.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2265117,5.00,8.00,5.00,8.00,9.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2265125,2.00,5.00,4.00,7.00,6.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2265133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2265150,1.00,5.00,3.00,2.00,4.00,4.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2265168,6.00,9.00,6.00,7.00,6.00,6.00,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2265176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2265184,3.00,4.00,1.00,0.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2265192,3.00,8.00,7.00,5.00,6.00,5.75,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2265214,5.00,6.00,9.00,9.00,6.00,6.00,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2265222,7.00,8.00,3.00,8.00,6.00,7.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2265230,2.00,7.00,1.00,6.00,4.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2265249,2.00,2.00,7.00,4.00,5.00,4.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2265257,6.00,7.00,5.00,7.00,4.00,5.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2265265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2265273,2.00,5.00,2.00,7.00,5.00,4.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2265281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2265290,1.00,3.00,4.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2265303,4.00,3.00,3.00,5.00,6.00,6.75,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2265311,2.00,2.00,0.00,1.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2265320,3.00,8.00,1.00,1.00,6.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2265346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2265354,4.00,5.00,3.00,2.00,5.00,3.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2265362,3.00,8.00,1.00,5.00,4.00,3.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2265370,3.00,6.00,2.00,4.00,6.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2265389,2.00,3.00,4.00,5.00,4.00,5.00,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2265397,2.00,8.00,4.00,8.00,7.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2265400,4.00,6.00,3.00,2.00,5.00,5.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2265419,1.00,6.00,2.00,0.00,6.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2265427,1.00,4.00,1.00,7.00,3.00,5.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2265435,2.00,6.00,0.00,5.00,7.00,5.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2265443,5.00,6.00,6.00,4.00,6.00,5.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2265451,4.00,4.00,2.00,1.00,5.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2265460,1.00,5.00,3.00,6.00,4.00,5.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2265486,5.00,7.00,6.00,5.00,6.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2265494,1.00,8.00,5.00,6.00,7.00,5.50,8.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2265508,3.00,7.00,6.00,8.00,4.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2265516,0.00,3.00,0.00,1.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2265524,2.00,6.00,1.00,4.00,4.00,3.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2265532,2.00,6.00,1.00,1.00,5.00,5.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2265540,2.00,5.00,1.00,6.00,4.00,4.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2265559,1.00,3.00,2.00,5.00,6.00,3.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2265591,5.00,4.00,6.00,6.00,7.00,5.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2265605,6.00,6.00,8.00,9.00,9.00,9.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2265613,6.00,7.00,3.00,5.00,6.00,6.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2265621,3.00,6.00,4.00,7.00,6.00,4.50,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2265630,1.00,5.00,1.00,1.00,6.00,4.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2265648,6.00,7.00,5.00,6.00,8.00,7.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2265656,2.00,7.00,2.00,4.00,6.00,3.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2265664,6.00,7.00,7.00,6.00,8.00,6.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2265680,7.00,9.00,7.00,6.00,7.00,4.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2265699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2265702,4.00,7.00,6.00,1.00,3.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2265710,2.00,7.00,7.00,6.00,7.00,6.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2265729,1.00,5.00,1.00,3.00,5.00,5.75,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2265745,5.00,7.00,4.00,7.00,6.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2265753,3.00,6.00,4.00,5.00,7.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2265761,4.00,6.00,4.00,3.00,7.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2265770,0.00,3.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2265788,5.00,6.00,6.00,4.00,5.00,6.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2265796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2265800,7.00,8.00,9.00,8.00,9.00,4.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2265826,0.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2265842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2265850,5.00,5.00,2.00,7.00,4.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2265869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2265877,2.00,4.00,0.00,4.00,5.00,6.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2265885,0.00,6.00,6.00,2.00,2.00,NULL,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2265893,2.00,8.00,2.00,3.00,5.00,3.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2265923,4.00,9.00,9.00,9.00,7.00,5.75,8.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2265931,3.00,3.00,0.00,3.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2265958,6.00,7.00,9.00,5.00,9.00,5.75,8.00,4.00,8.00,NULL,NULL,NULL,'N'),(15,2265966,2.00,5.00,2.00,0.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2265974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2265982,2.00,4.00,3.00,5.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2265990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2266008,1.00,7.00,2.00,6.00,6.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2266016,2.00,7.00,3.00,2.00,4.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2266032,2.00,6.00,4.00,7.00,7.00,6.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2266040,4.00,3.00,2.00,1.00,3.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2266059,4.00,8.00,7.00,6.00,8.00,5.50,7.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2266067,3.00,7.00,5.00,6.00,6.00,5.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2266083,4.00,6.00,4.00,1.00,4.00,4.75,5.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2266091,6.00,7.00,6.00,7.00,6.00,6.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2266105,3.00,5.00,3.00,4.00,6.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2266113,5.00,7.00,5.00,7.00,7.00,6.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2266121,4.00,8.00,7.00,3.00,8.00,5.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2266130,6.00,8.00,7.00,9.00,9.00,6.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2266148,2.00,5.00,3.00,7.00,4.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2266156,0.00,2.00,3.00,4.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2266164,3.00,6.00,6.00,5.00,6.00,7.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2266172,4.00,6.00,3.00,6.00,8.00,5.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2266180,5.00,7.00,6.00,7.00,8.00,7.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2266199,2.00,5.00,2.00,5.00,6.00,6.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2266202,5.00,6.00,2.00,7.00,5.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2266210,4.00,6.00,1.00,5.00,7.00,6.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2266229,3.00,5.00,4.00,6.00,7.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2266237,3.00,7.00,6.00,7.00,6.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2266245,3.00,6.00,7.00,2.00,6.00,6.50,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2266261,5.00,8.00,3.00,5.00,8.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2266270,0.00,3.00,2.00,2.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2266288,4.00,5.00,1.00,2.00,5.00,4.75,4.00,7.00,1.00,NULL,NULL,NULL,'S'),(15,2266300,2.00,6.00,3.00,5.00,6.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2266318,0.00,4.00,3.00,2.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2266326,3.00,6.00,2.00,8.00,7.00,5.50,5.00,5.00,7.00,NULL,NULL,NULL,'S'),(15,2266334,6.00,7.00,5.00,1.00,5.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2266342,0.00,3.00,3.00,3.00,1.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2266369,4.00,6.00,2.00,7.00,7.00,7.00,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2266385,1.00,2.00,2.00,3.00,4.00,5.75,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2266407,1.00,4.00,4.00,4.00,5.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2266415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2266423,1.00,3.00,5.00,0.00,6.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2266431,3.00,6.00,3.00,6.00,7.00,6.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2266440,4.00,5.00,4.00,6.00,5.00,4.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2266458,1.00,5.00,1.00,2.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2266466,2.00,5.00,3.00,3.00,5.00,3.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2266474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2266482,0.00,7.00,1.00,1.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2266490,3.00,5.00,2.00,5.00,4.00,7.00,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2266504,1.00,4.00,2.00,4.00,3.00,6.25,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2266512,7.00,5.00,5.00,9.00,9.00,7.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2266520,3.00,6.00,5.00,5.00,8.00,6.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2266539,4.00,4.00,2.00,6.00,6.00,4.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2266547,1.00,6.00,2.00,3.00,6.00,6.00,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2266555,3.00,6.00,1.00,5.00,3.00,5.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2266563,6.00,7.00,6.00,8.00,8.00,6.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2266571,5.00,8.00,8.00,8.00,9.00,6.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2266580,1.00,5.00,0.00,1.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2266598,5.00,8.00,9.00,6.00,7.00,6.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2266601,7.00,7.00,4.00,6.00,8.00,6.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2266610,3.00,6.00,4.00,6.00,7.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2266628,3.00,4.00,4.00,6.00,8.00,6.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2266636,1.00,3.00,1.00,0.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2266644,5.00,7.00,6.00,8.00,8.00,5.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2266652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2266660,2.00,6.00,4.00,5.00,5.00,7.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2266679,3.00,7.00,3.00,4.00,5.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2266687,3.00,7.00,5.00,6.00,9.00,8.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2266709,4.00,7.00,2.00,5.00,5.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2266717,2.00,5.00,1.00,0.00,3.00,3.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2266733,2.00,6.00,1.00,6.00,7.00,6.50,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2266741,6.00,6.00,5.00,8.00,6.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2266750,0.00,7.00,4.00,6.00,6.00,7.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2266768,3.00,7.00,3.00,7.00,6.00,4.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2266776,2.00,5.00,2.00,5.00,6.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2266784,5.00,6.00,4.00,6.00,5.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2266792,0.00,0.00,0.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2266814,6.00,7.00,3.00,6.00,5.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2266822,6.00,6.00,4.00,2.00,5.00,4.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2266830,2.00,1.00,0.00,4.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2266849,1.00,2.00,3.00,6.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2266857,8.00,6.00,6.00,5.00,8.00,6.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2266865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2266873,1.00,8.00,4.00,7.00,7.00,4.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2266881,4.00,8.00,5.00,4.00,6.00,4.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2266890,1.00,2.00,4.00,3.00,5.00,5.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2266903,5.00,8.00,4.00,5.00,4.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2266911,3.00,5.00,4.00,1.00,3.00,5.75,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(15,2266946,4.00,6.00,5.00,6.00,7.00,3.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2266954,3.00,7.00,8.00,0.00,8.00,NULL,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2266962,2.00,4.00,4.00,5.00,4.00,6.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2266970,1.00,4.00,3.00,4.00,8.00,6.50,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2266989,4.00,8.00,1.00,3.00,7.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2266997,2.00,6.00,3.00,3.00,3.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2267004,0.00,6.00,3.00,3.00,6.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2267012,6.00,6.00,9.00,9.00,7.00,5.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2267020,4.00,7.00,5.00,6.00,6.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2267039,4.00,6.00,2.00,5.00,3.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2267047,7.00,7.00,8.00,6.00,9.00,5.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2267055,1.00,7.00,2.00,9.00,7.00,3.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2267063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2267071,4.00,7.00,6.00,6.00,6.00,4.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2267080,3.00,6.00,3.00,6.00,8.00,4.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2267098,7.00,7.00,6.00,7.00,8.00,9.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2267101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2267110,3.00,3.00,2.00,3.00,4.00,5.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2267128,7.00,5.00,5.00,4.00,8.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2267136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2267144,3.00,7.00,6.00,4.00,7.00,5.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2267152,2.00,2.00,1.00,5.00,5.00,4.75,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2267160,3.00,7.00,7.00,3.00,7.00,4.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2267187,6.00,8.00,5.00,6.00,8.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2267195,1.00,4.00,2.00,4.00,5.00,5.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2267209,3.00,7.00,3.00,4.00,7.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2267233,5.00,8.00,7.00,8.00,8.00,4.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2267241,1.00,7.00,1.00,2.00,4.00,3.25,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(15,2267250,2.00,3.00,1.00,0.00,5.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2267276,3.00,6.00,1.00,2.00,0.00,NULL,6.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2267292,6.00,8.00,8.00,6.00,8.00,6.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2267314,4.00,6.00,1.00,1.00,8.00,3.75,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2267330,3.00,5.00,3.00,4.00,6.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2267349,2.00,7.00,2.00,2.00,7.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2267357,4.00,6.00,3.00,6.00,6.00,7.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2267365,5.00,6.00,7.00,5.00,4.00,6.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2267381,1.00,4.00,3.00,0.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2267390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2267403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2267420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2267438,7.00,8.00,6.00,3.00,7.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2267446,3.00,5.00,4.00,5.00,7.00,4.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2267454,1.00,6.00,2.00,5.00,6.00,4.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2267462,3.00,5.00,6.00,1.00,3.00,4.75,5.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2267470,4.00,7.00,4.00,7.00,8.00,5.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2267489,4.00,8.00,5.00,8.00,8.00,7.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2267497,2.00,4.00,2.00,1.00,7.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2267500,1.00,6.00,4.00,4.00,5.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2267519,2.00,4.00,0.00,3.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2267527,2.00,5.00,2.00,6.00,5.00,4.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2267535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2267543,4.00,4.00,5.00,5.00,5.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2267551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2267560,4.00,3.00,3.00,0.00,5.00,3.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2267578,4.00,6.00,3.00,5.00,8.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2267586,2.00,5.00,4.00,2.00,8.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2267594,3.00,8.00,2.00,2.00,4.00,5.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2267608,2.00,8.00,1.00,5.00,8.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2267616,1.00,5.00,3.00,3.00,4.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2267624,4.00,6.00,1.00,2.00,5.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2267632,4.00,6.00,5.00,8.00,7.00,6.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2267640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2267659,4.00,5.00,0.00,6.00,4.00,3.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2267667,4.00,6.00,4.00,9.00,6.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2267675,2.00,3.00,0.00,3.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2267683,3.00,6.00,6.00,5.00,8.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2267691,3.00,5.00,5.00,2.00,6.00,3.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2267721,2.00,7.00,1.00,5.00,7.00,3.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2267730,2.00,5.00,1.00,4.00,9.00,6.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2267748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2267756,1.00,6.00,3.00,2.00,5.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2267764,2.00,3.00,1.00,2.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2267780,6.00,6.00,6.00,9.00,9.00,7.50,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2267802,4.00,4.00,3.00,8.00,7.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2267810,4.00,8.00,6.00,7.00,6.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2267829,5.00,6.00,6.00,8.00,6.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2267837,1.00,6.00,2.00,2.00,5.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2267845,3.00,5.00,4.00,6.00,4.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2267853,0.00,0.00,0.00,8.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2267861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2267888,6.00,6.00,6.00,2.00,8.00,5.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2267896,3.00,9.00,4.00,8.00,5.00,5.25,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2267900,1.00,0.00,0.00,2.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2267918,1.00,6.00,3.00,8.00,7.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2267926,3.00,8.00,6.00,7.00,9.00,6.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2267934,5.00,7.00,5.00,8.00,8.00,4.75,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2267950,4.00,6.00,5.00,7.00,7.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2267969,3.00,6.00,0.00,6.00,5.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2267985,3.00,8.00,4.00,4.00,5.00,3.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2267993,7.00,4.00,4.00,5.00,4.00,4.50,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2268000,6.00,8.00,7.00,8.00,6.00,6.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2268019,4.00,6.00,6.00,2.00,7.00,4.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2268035,4.00,6.00,3.00,7.00,7.00,6.25,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2268043,2.00,7.00,4.00,8.00,8.00,7.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2268051,2.00,4.00,6.00,3.00,4.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2268060,2.00,5.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2268078,3.00,8.00,2.00,3.00,8.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2268086,4.00,6.00,7.00,6.00,7.00,6.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2268094,3.00,6.00,3.00,8.00,7.00,6.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2268108,2.00,5.00,3.00,3.00,6.00,3.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2268116,2.00,7.00,4.00,5.00,4.00,5.00,5.00,8.00,1.00,NULL,NULL,NULL,'S'),(15,2268124,4.00,8.00,6.00,7.00,7.00,5.25,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2268132,4.00,6.00,1.00,0.00,5.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2268140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2268159,3.00,6.00,3.00,8.00,4.00,2.00,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2268167,2.00,7.00,4.00,6.00,7.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2268175,0.00,2.00,6.00,6.00,6.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2268183,3.00,8.00,1.00,4.00,8.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2268191,3.00,7.00,3.00,2.00,5.00,4.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2268205,5.00,6.00,7.00,8.00,9.00,7.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2268213,3.00,7.00,2.00,1.00,7.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2268221,8.00,7.00,8.00,9.00,8.00,6.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2268230,0.00,7.00,0.00,6.00,5.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2268248,0.00,5.00,0.00,5.00,5.00,4.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2268256,2.00,3.00,2.00,4.00,4.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2268264,3.00,7.00,3.00,6.00,8.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2268272,7.00,8.00,2.00,9.00,8.00,7.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2268280,3.00,5.00,2.00,5.00,4.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2268299,5.00,8.00,8.00,9.00,8.00,7.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2268302,0.00,7.00,4.00,9.00,6.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2268329,3.00,5.00,4.00,1.00,3.00,4.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2268337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2268345,6.00,6.00,7.00,8.00,7.00,7.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2268361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2268370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2268388,5.00,8.00,6.00,9.00,9.00,6.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2268396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2268400,2.00,3.00,2.00,3.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2268418,4.00,5.00,3.00,7.00,6.00,5.00,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2268434,8.00,7.00,8.00,9.00,8.00,7.25,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2268442,3.00,6.00,5.00,8.00,6.00,6.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2268450,7.00,8.00,8.00,7.00,5.00,4.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2268469,5.00,7.00,5.00,6.00,8.00,5.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2268477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2268485,1.00,6.00,5.00,3.00,6.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2268493,3.00,4.00,5.00,0.00,1.00,NULL,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2268507,1.00,3.00,1.00,4.00,5.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2268515,1.00,4.00,4.00,5.00,3.00,NULL,1.00,7.00,0.00,NULL,NULL,NULL,'N'),(15,2268523,4.00,5.00,6.00,6.00,7.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2268531,4.00,6.00,3.00,2.00,7.00,7.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2268540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2268558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2268566,3.00,3.00,5.00,1.00,5.00,5.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2268574,2.00,7.00,1.00,0.00,0.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2268582,4.00,8.00,7.00,3.00,7.00,5.25,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2268590,6.00,7.00,6.00,7.00,7.00,6.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2268604,3.00,6.00,5.00,4.00,4.00,6.50,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2268612,4.00,5.00,3.00,4.00,6.00,7.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2268620,9.00,7.00,7.00,6.00,8.00,5.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2268639,2.00,4.00,4.00,9.00,7.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2268647,3.00,4.00,2.00,2.00,3.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2268655,4.00,7.00,6.00,5.00,9.00,6.75,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2268671,4.00,8.00,2.00,6.00,4.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2268698,1.00,6.00,6.00,8.00,7.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2268701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2268710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2268728,8.00,7.00,9.00,9.00,8.00,6.75,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2268736,3.00,7.00,1.00,1.00,6.00,5.75,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2268744,4.00,6.00,5.00,7.00,8.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2268752,5.00,8.00,6.00,8.00,9.00,5.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2268760,1.00,3.00,1.00,0.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2268779,2.00,8.00,6.00,7.00,9.00,7.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2268787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2268795,2.00,4.00,3.00,4.00,3.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2268809,3.00,4.00,3.00,3.00,6.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2268825,7.00,7.00,8.00,9.00,8.00,7.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2268833,0.00,2.00,1.00,2.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2268850,2.00,6.00,5.00,6.00,5.00,2.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2268868,7.00,9.00,8.00,9.00,8.00,6.50,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2268876,5.00,9.00,8.00,6.00,7.00,3.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2268884,3.00,6.00,5.00,5.00,6.00,4.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2268906,7.00,7.00,6.00,1.00,6.00,5.25,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2268914,8.00,7.00,6.00,4.00,6.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2268922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2268949,2.00,7.00,2.00,1.00,6.00,6.50,2.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2268957,0.00,4.00,1.00,3.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2268965,2.00,3.00,2.00,1.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2268973,4.00,4.00,6.00,4.00,7.00,5.25,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2268990,3.00,6.00,0.00,3.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2269007,1.00,4.00,2.00,2.00,5.00,5.50,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2269015,5.00,5.00,5.00,5.00,8.00,5.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2269023,4.00,6.00,4.00,3.00,8.00,5.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2269031,3.00,6.00,2.00,1.00,3.00,4.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2269040,3.00,7.00,5.00,7.00,8.00,5.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2269058,4.00,7.00,9.00,7.00,9.00,6.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2269066,2.00,4.00,0.00,1.00,4.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2269074,3.00,3.00,3.00,5.00,7.00,6.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2269082,5.00,8.00,3.00,7.00,8.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2269090,3.00,6.00,4.00,7.00,7.00,3.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2269104,4.00,6.00,2.00,5.00,7.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2269112,1.00,5.00,1.00,4.00,3.00,4.25,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2269120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2269139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2269155,6.00,8.00,6.00,9.00,7.00,7.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2269163,3.00,8.00,3.00,8.00,5.00,4.25,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2269171,3.00,6.00,1.00,6.00,7.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2269180,4.00,7.00,3.00,9.00,7.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2269201,0.00,4.00,2.00,3.00,7.00,6.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2269210,4.00,8.00,6.00,8.00,7.00,7.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2269228,1.00,3.00,2.00,3.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'S'),(15,2269236,2.00,7.00,3.00,5.00,4.00,4.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2269244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2269252,2.00,6.00,2.00,0.00,4.00,2.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2269260,3.00,7.00,2.00,4.00,5.00,3.75,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2269279,2.00,4.00,3.00,1.00,5.00,6.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2269287,5.00,7.00,3.00,8.00,6.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2269295,7.00,6.00,6.00,8.00,7.00,5.50,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2269309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2269317,6.00,8.00,6.00,5.00,9.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2269325,3.00,6.00,2.00,4.00,7.00,5.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2269333,1.00,7.00,0.00,3.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2269341,2.00,3.00,2.00,0.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2269350,4.00,8.00,5.00,6.00,7.00,4.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2269368,3.00,4.00,1.00,5.00,5.00,5.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2269376,3.00,5.00,5.00,6.00,7.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2269384,4.00,7.00,1.00,5.00,4.00,4.75,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2269392,4.00,5.00,3.00,4.00,3.00,4.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2269406,0.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2269414,2.00,6.00,4.00,6.00,3.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2269430,2.00,6.00,4.00,6.00,5.00,3.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2269449,4.00,8.00,5.00,8.00,7.00,5.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2269457,2.00,5.00,3.00,8.00,9.00,6.75,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2269465,2.00,5.00,2.00,4.00,7.00,7.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2269473,4.00,4.00,4.00,5.00,6.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2269481,2.00,3.00,0.00,0.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2269490,4.00,8.00,4.00,8.00,6.00,5.00,7.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2269503,2.00,5.00,7.00,7.00,8.00,6.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2269511,3.00,3.00,2.00,3.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2269520,4.00,7.00,7.00,6.00,7.00,5.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2269546,3.00,4.00,0.00,6.00,5.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2269554,2.00,7.00,6.00,8.00,8.00,7.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2269562,7.00,7.00,8.00,8.00,9.00,6.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2269589,4.00,8.00,1.00,6.00,8.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2269597,2.00,6.00,0.00,9.00,4.00,4.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2269600,2.00,5.00,3.00,7.00,6.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2269619,3.00,6.00,4.00,5.00,6.00,6.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2269627,3.00,7.00,6.00,6.00,5.00,5.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2269635,5.00,8.00,2.00,7.00,8.00,5.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2269643,3.00,5.00,3.00,1.00,7.00,4.75,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2269651,1.00,4.00,2.00,0.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2269660,5.00,8.00,8.00,5.00,9.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2269678,3.00,7.00,2.00,2.00,3.00,6.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2269686,5.00,7.00,1.00,6.00,7.00,5.25,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2269694,1.00,3.00,1.00,7.00,6.00,5.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2269708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2269716,3.00,3.00,0.00,5.00,5.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2269724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2269732,3.00,7.00,6.00,7.00,6.00,6.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2269740,4.00,7.00,4.00,7.00,5.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2269759,2.00,4.00,2.00,3.00,4.00,4.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2269767,2.00,3.00,1.00,7.00,6.00,3.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2269775,3.00,5.00,6.00,5.00,4.00,4.50,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2269783,3.00,8.00,3.00,6.00,5.00,4.00,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2269791,5.00,5.00,2.00,3.00,6.00,3.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2269805,4.00,4.00,2.00,2.00,6.00,4.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2269821,6.00,8.00,5.00,7.00,8.00,6.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2269848,3.00,3.00,1.00,3.00,7.00,5.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2269856,4.00,5.00,3.00,3.00,6.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2269864,3.00,5.00,0.00,6.00,1.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2269872,2.00,4.00,3.00,0.00,6.00,NULL,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2269880,2.00,6.00,4.00,7.00,5.00,5.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2269899,2.00,5.00,2.00,2.00,4.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2269910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2269929,1.00,8.00,3.00,1.00,6.00,6.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2269937,2.00,6.00,1.00,2.00,4.00,4.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2269945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2269961,2.00,5.00,3.00,4.00,5.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2269970,4.00,4.00,5.00,5.00,4.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2269988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2269996,3.00,7.00,4.00,8.00,8.00,6.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2270005,0.00,2.00,3.00,2.00,5.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2270013,3.00,5.00,4.00,1.00,3.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2270021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2270030,2.00,5.00,6.00,5.00,6.00,6.25,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2270056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2270064,4.00,8.00,8.00,7.00,7.00,7.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2270072,3.00,4.00,2.00,6.00,6.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2270099,3.00,6.00,8.00,2.00,5.00,5.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2270102,2.00,6.00,1.00,3.00,6.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2270110,0.00,0.00,2.00,0.00,0.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2270129,4.00,6.00,1.00,4.00,6.00,6.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2270137,6.00,7.00,2.00,5.00,7.00,3.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2270145,3.00,5.00,4.00,8.00,6.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2270153,5.00,8.00,3.00,8.00,7.00,6.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2270161,3.00,5.00,0.00,3.00,6.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2270170,1.00,3.00,0.00,1.00,4.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2270188,3.00,4.00,5.00,4.00,5.00,5.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2270196,3.00,6.00,2.00,4.00,7.00,5.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2270200,1.00,5.00,1.00,5.00,7.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2270218,2.00,4.00,5.00,7.00,3.00,4.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2270226,1.00,2.00,1.00,5.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2270234,2.00,6.00,2.00,4.00,4.00,3.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2270242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2270250,1.00,4.00,2.00,2.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2270277,4.00,6.00,0.00,6.00,6.00,4.50,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2270285,4.00,7.00,4.00,8.00,6.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2270293,2.00,6.00,2.00,2.00,3.00,5.00,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2270307,4.00,2.00,2.00,0.00,5.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2270315,2.00,4.00,5.00,2.00,4.00,4.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2270323,3.00,7.00,4.00,7.00,7.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2270331,3.00,6.00,2.00,2.00,7.00,4.00,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2270340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2270358,4.00,8.00,9.00,3.00,7.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2270366,2.00,4.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2270374,3.00,7.00,1.00,3.00,5.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2270382,1.00,6.00,3.00,4.00,5.00,3.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2270412,1.00,5.00,1.00,1.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2270420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2270439,3.00,6.00,2.00,6.00,7.00,6.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2270447,5.00,7.00,4.00,5.00,6.00,4.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2270455,7.00,8.00,3.00,5.00,6.00,8.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2270463,2.00,6.00,2.00,3.00,5.00,6.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2270471,2.00,4.00,2.00,5.00,5.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2270480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2270498,1.00,6.00,4.00,2.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2270501,1.00,2.00,1.00,4.00,6.00,6.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2270510,3.00,6.00,4.00,5.00,4.00,5.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2270528,6.00,6.00,5.00,5.00,7.00,5.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2270544,4.00,5.00,4.00,4.00,7.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2270552,4.00,6.00,5.00,7.00,6.00,4.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2270560,4.00,5.00,4.00,4.00,8.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2270579,3.00,4.00,1.00,4.00,5.00,4.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2270595,2.00,6.00,6.00,6.00,8.00,5.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2270609,3.00,6.00,5.00,8.00,7.00,6.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2270617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2270625,4.00,6.00,1.00,4.00,5.00,4.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2270633,2.00,6.00,4.00,6.00,6.00,6.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2270641,2.00,3.00,2.00,0.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2270650,4.00,7.00,8.00,7.00,6.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2270668,7.00,8.00,4.00,2.00,5.00,4.00,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2270676,3.00,4.00,2.00,6.00,6.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2270684,8.00,7.00,7.00,8.00,8.00,7.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2270692,3.00,4.00,5.00,5.00,6.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2270706,7.00,7.00,8.00,7.00,8.00,5.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2270714,0.00,0.00,0.00,9.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2270722,3.00,5.00,5.00,5.00,5.00,4.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2270730,5.00,7.00,8.00,2.00,8.00,6.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2270749,2.00,7.00,5.00,3.00,5.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2270773,2.00,6.00,3.00,7.00,4.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2270781,3.00,2.00,1.00,0.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2270820,7.00,8.00,7.00,5.00,8.00,5.25,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2270838,1.00,4.00,0.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2270846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2270854,2.00,3.00,2.00,5.00,3.00,3.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2270862,0.00,5.00,0.00,0.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2270870,4.00,4.00,0.00,5.00,4.00,3.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2270889,2.00,3.00,1.00,6.00,4.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2270897,5.00,7.00,2.00,9.00,6.00,5.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2270900,4.00,7.00,3.00,5.00,7.00,8.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2270919,3.00,5.00,3.00,5.00,3.00,2.00,6.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2270927,3.00,3.00,3.00,3.00,4.00,2.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2270935,7.00,8.00,5.00,6.00,9.00,7.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2270943,5.00,7.00,6.00,8.00,5.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2270951,5.00,9.00,5.00,6.00,9.00,6.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2270960,5.00,8.00,6.00,8.00,8.00,4.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2270978,1.00,7.00,3.00,7.00,5.00,4.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2270986,7.00,7.00,3.00,6.00,6.00,5.00,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2270994,6.00,7.00,9.00,7.00,9.00,7.75,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2271001,0.00,4.00,0.00,3.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2271010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2271036,7.00,9.00,6.00,6.00,9.00,6.25,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2271052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2271060,1.00,6.00,5.00,1.00,3.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2271079,1.00,4.00,1.00,7.00,3.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2271087,5.00,6.00,4.00,9.00,6.00,6.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2271095,4.00,9.00,6.00,9.00,8.00,4.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2271117,2.00,2.00,3.00,6.00,4.00,3.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2271133,4.00,8.00,4.00,7.00,7.00,7.00,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2271141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2271150,3.00,5.00,5.00,6.00,7.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2271168,4.00,5.00,4.00,3.00,4.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2271176,3.00,2.00,1.00,3.00,4.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2271184,3.00,7.00,2.00,4.00,6.00,5.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2271192,3.00,3.00,4.00,5.00,3.00,3.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2271206,3.00,6.00,7.00,7.00,7.00,5.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2271222,4.00,7.00,4.00,5.00,6.00,4.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2271230,4.00,8.00,3.00,3.00,8.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2271249,3.00,6.00,5.00,7.00,5.00,5.25,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2271257,2.00,8.00,2.00,2.00,4.00,5.00,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2271265,8.00,7.00,9.00,7.00,8.00,5.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2271273,5.00,8.00,4.00,7.00,7.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2271290,1.00,7.00,5.00,1.00,7.00,5.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2271303,2.00,7.00,4.00,4.00,5.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2271311,3.00,5.00,2.00,5.00,4.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2271320,0.00,4.00,3.00,4.00,3.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2271338,0.00,6.00,1.00,4.00,5.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2271346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2271354,7.00,9.00,8.00,4.00,8.00,6.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2271362,2.00,5.00,3.00,1.00,6.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2271370,4.00,8.00,3.00,6.00,6.00,3.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2271389,4.00,8.00,8.00,8.00,8.00,6.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2271397,7.00,8.00,2.00,5.00,9.00,5.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2271400,2.00,5.00,4.00,8.00,8.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2271419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2271427,4.00,8.00,4.00,2.00,7.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2271435,2.00,7.00,3.00,8.00,7.00,5.00,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2271443,2.00,7.00,3.00,7.00,4.00,6.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2271451,3.00,4.00,2.00,2.00,4.00,4.75,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2271460,4.00,5.00,5.00,6.00,7.00,6.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2271478,5.00,7.00,5.00,7.00,7.00,5.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2271486,3.00,5.00,7.00,7.00,6.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2271494,3.00,6.00,2.00,4.00,5.00,4.75,6.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2271508,2.00,3.00,3.00,3.00,5.00,3.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2271516,1.00,3.00,3.00,4.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2271540,1.00,6.00,2.00,6.00,6.00,3.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2271559,2.00,7.00,1.00,5.00,6.00,6.50,6.00,7.00,2.00,NULL,NULL,NULL,'S'),(15,2271567,2.00,4.00,1.00,4.00,5.00,5.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2271575,3.00,4.00,3.00,4.00,5.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2271583,4.00,5.00,3.00,1.00,1.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2271591,7.00,8.00,5.00,5.00,8.00,5.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2271605,3.00,8.00,7.00,7.00,8.00,7.75,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2271613,4.00,7.00,4.00,7.00,7.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2271630,2.00,5.00,1.00,2.00,6.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2271648,3.00,5.00,6.00,5.00,8.00,5.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2271656,2.00,5.00,4.00,6.00,6.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2271664,1.00,4.00,4.00,4.00,3.00,6.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2271672,2.00,5.00,2.00,0.00,5.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2271680,4.00,8.00,8.00,9.00,7.00,7.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2271702,3.00,8.00,2.00,6.00,6.00,4.75,3.00,7.00,0.00,NULL,NULL,NULL,'S'),(15,2271710,0.00,0.00,0.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2271729,1.00,5.00,3.00,6.00,4.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2271737,5.00,5.00,5.00,3.00,7.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2271745,3.00,4.00,5.00,5.00,3.00,4.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2271753,6.00,7.00,3.00,8.00,7.00,5.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2271761,4.00,6.00,5.00,8.00,6.00,7.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2271770,5.00,8.00,9.00,4.00,7.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2271788,2.00,7.00,4.00,9.00,7.00,7.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2271796,5.00,6.00,3.00,8.00,5.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2271800,7.00,7.00,7.00,7.00,8.00,7.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2271818,5.00,7.00,4.00,3.00,6.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2271826,6.00,7.00,4.00,5.00,6.00,5.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2271834,5.00,6.00,3.00,1.00,6.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2271842,1.00,7.00,1.00,4.00,4.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2271850,4.00,3.00,4.00,4.00,6.00,6.50,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2271869,4.00,7.00,5.00,6.00,7.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2271877,7.00,8.00,9.00,8.00,8.00,5.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2271885,4.00,6.00,6.00,7.00,4.00,4.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2271893,1.00,5.00,0.00,1.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2271907,2.00,5.00,1.00,5.00,5.00,6.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2271915,6.00,6.00,3.00,6.00,9.00,6.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2271923,4.00,7.00,4.00,6.00,8.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2271931,2.00,4.00,6.00,1.00,4.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2271958,2.00,8.00,4.00,2.00,5.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2271966,4.00,6.00,2.00,5.00,6.00,6.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2271974,4.00,6.00,5.00,2.00,6.00,5.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2271982,3.00,4.00,1.00,5.00,4.00,2.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2271990,3.00,6.00,4.00,6.00,6.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2272008,3.00,4.00,3.00,3.00,4.00,6.00,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2272016,4.00,7.00,2.00,9.00,6.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2272024,3.00,3.00,2.00,7.00,3.00,5.25,4.00,2.00,4.00,NULL,NULL,NULL,'S'),(15,2272040,4.00,7.00,4.00,8.00,8.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2272059,2.00,6.00,5.00,6.00,3.00,3.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2272067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2272075,2.00,5.00,3.00,7.00,5.00,5.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2272083,2.00,9.00,4.00,3.00,4.00,5.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2272091,5.00,8.00,8.00,6.00,8.00,5.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2272105,3.00,4.00,3.00,2.00,5.00,3.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2272113,1.00,2.00,3.00,7.00,3.00,4.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2272121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2272130,4.00,5.00,6.00,5.00,5.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2272148,4.00,5.00,4.00,3.00,8.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2272156,3.00,4.00,4.00,3.00,3.00,4.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2272164,7.00,8.00,6.00,9.00,7.00,5.25,9.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2272172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2272180,4.00,4.00,5.00,6.00,3.00,5.25,4.00,8.00,5.00,NULL,NULL,NULL,'S'),(15,2272199,2.00,6.00,3.00,4.00,6.00,4.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2272202,4.00,6.00,2.00,2.00,4.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2272210,3.00,7.00,5.00,4.00,8.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2272229,3.00,7.00,5.00,7.00,7.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2272253,5.00,7.00,6.00,6.00,7.00,4.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2272261,1.00,2.00,0.00,1.00,4.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2272270,4.00,8.00,6.00,6.00,6.00,3.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2272288,4.00,5.00,3.00,5.00,8.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2272296,6.00,8.00,6.00,6.00,6.00,5.50,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2272300,1.00,8.00,2.00,3.00,6.00,3.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2272318,3.00,5.00,5.00,8.00,9.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2272326,1.00,4.00,2.00,7.00,5.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2272334,5.00,7.00,4.00,7.00,6.00,6.00,5.00,6.00,6.00,NULL,NULL,NULL,'S'),(15,2272342,8.00,6.00,7.00,1.00,8.00,6.00,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(15,2272350,2.00,3.00,0.00,5.00,2.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2272369,6.00,9.00,2.00,9.00,7.00,6.75,4.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2272377,0.00,3.00,1.00,1.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2272393,3.00,5.00,3.00,5.00,5.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2272407,4.00,7.00,4.00,8.00,8.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2272415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2272423,7.00,8.00,6.00,7.00,9.00,7.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2272431,5.00,8.00,6.00,6.00,8.00,4.25,8.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2272440,6.00,8.00,5.00,3.00,6.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2272458,4.00,6.00,8.00,3.00,8.00,6.00,9.00,3.00,7.00,NULL,NULL,NULL,'N'),(15,2272466,3.00,6.00,3.00,6.00,6.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2272482,6.00,5.00,4.00,0.00,8.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2272490,4.00,7.00,7.00,5.00,8.00,5.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2272504,2.00,7.00,4.00,5.00,6.00,3.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2272520,2.00,8.00,5.00,7.00,7.00,6.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2272539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2272547,7.00,6.00,4.00,5.00,7.00,6.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2272571,1.00,5.00,4.00,1.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2272580,1.00,4.00,2.00,6.00,5.00,5.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2272598,3.00,6.00,3.00,7.00,7.00,6.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2272601,2.00,3.00,2.00,6.00,4.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2272610,2.00,5.00,1.00,5.00,4.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2272628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2272636,5.00,8.00,3.00,2.00,7.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2272644,1.00,3.00,1.00,1.00,2.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2272652,6.00,6.00,7.00,7.00,6.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2272660,3.00,3.00,2.00,1.00,4.00,4.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2272679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2272687,6.00,8.00,4.00,8.00,5.00,5.75,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2272695,1.00,8.00,4.00,7.00,5.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2272709,3.00,5.00,3.00,5.00,5.00,5.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2272725,5.00,6.00,6.00,7.00,7.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2272733,7.00,6.00,7.00,8.00,8.00,5.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2272741,4.00,6.00,2.00,3.00,5.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2272750,4.00,6.00,1.00,6.00,8.00,4.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2272768,1.00,5.00,3.00,1.00,3.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2272776,2.00,6.00,3.00,7.00,7.00,7.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2272784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2272792,2.00,6.00,4.00,5.00,7.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2272806,3.00,4.00,4.00,6.00,5.00,4.50,7.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2272814,4.00,4.00,3.00,6.00,5.00,3.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2272822,2.00,3.00,2.00,0.00,5.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2272830,0.00,3.00,1.00,2.00,3.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2272857,5.00,8.00,5.00,8.00,7.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2272865,4.00,8.00,3.00,6.00,8.00,6.25,6.00,7.00,6.00,NULL,NULL,NULL,'S'),(15,2272873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2272881,1.00,5.00,3.00,4.00,4.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2272890,6.00,9.00,8.00,9.00,7.00,7.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2272903,1.00,4.00,3.00,0.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2272911,4.00,8.00,0.00,4.00,6.00,NULL,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2272938,7.00,9.00,9.00,7.00,8.00,7.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2272946,3.00,4.00,3.00,6.00,6.00,3.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2272954,8.00,8.00,5.00,8.00,9.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2272962,5.00,6.00,3.00,7.00,5.00,4.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2272970,2.00,4.00,1.00,4.00,6.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2272997,1.00,3.00,4.00,4.00,4.00,5.75,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2273004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2273012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2273020,3.00,6.00,4.00,8.00,6.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2273039,5.00,8.00,8.00,6.00,7.00,7.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2273047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2273055,4.00,6.00,4.00,6.00,5.00,2.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2273063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2273071,3.00,5.00,6.00,3.00,7.00,3.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2273080,1.00,5.00,1.00,4.00,4.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2273098,1.00,4.00,0.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2273101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2273110,4.00,4.00,3.00,0.00,6.00,7.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2273128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2273136,1.00,5.00,5.00,5.00,6.00,5.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2273144,3.00,5.00,3.00,3.00,6.00,6.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2273152,3.00,4.00,1.00,1.00,4.00,4.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2273160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2273179,3.00,6.00,4.00,5.00,8.00,6.50,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2273187,0.00,5.00,3.00,2.00,6.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2273195,3.00,6.00,6.00,4.00,8.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2273209,2.00,4.00,0.00,2.00,5.00,4.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2273217,2.00,2.00,2.00,2.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'S'),(15,2273225,6.00,8.00,7.00,6.00,9.00,7.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2273233,4.00,9.00,6.00,6.00,8.00,6.75,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2273241,2.00,6.00,2.00,4.00,4.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2273250,4.00,5.00,4.00,6.00,4.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2273268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2273276,3.00,7.00,2.00,2.00,7.00,6.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2273284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2273292,3.00,5.00,1.00,4.00,5.00,6.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2273306,1.00,5.00,0.00,6.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2273314,5.00,8.00,2.00,4.00,7.00,7.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2273322,4.00,5.00,3.00,6.00,7.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2273330,4.00,5.00,6.00,3.00,6.00,5.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2273349,3.00,3.00,4.00,4.00,3.00,5.00,5.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2273357,3.00,6.00,2.00,5.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2273365,5.00,7.00,7.00,9.00,5.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2273373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2273381,5.00,7.00,4.00,6.00,7.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2273390,4.00,8.00,5.00,8.00,6.00,6.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2273411,3.00,8.00,3.00,6.00,7.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2273420,2.00,5.00,2.00,1.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2273438,3.00,7.00,3.00,6.00,7.00,6.25,4.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2273446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2273454,6.00,7.00,5.00,3.00,8.00,5.00,8.00,4.00,7.00,NULL,NULL,NULL,'N'),(15,2273462,5.00,5.00,2.00,8.00,5.00,4.75,4.00,3.00,4.00,NULL,NULL,NULL,'S'),(15,2273470,4.00,6.00,5.00,5.00,5.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2273489,4.00,5.00,4.00,3.00,3.00,3.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2273497,3.00,6.00,2.00,6.00,5.00,6.25,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2273500,2.00,5.00,3.00,3.00,5.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2273519,4.00,7.00,6.00,6.00,9.00,6.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2273527,2.00,7.00,0.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2273535,2.00,8.00,4.00,2.00,4.00,6.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2273543,5.00,9.00,8.00,8.00,7.00,5.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2273560,3.00,5.00,5.00,3.00,7.00,7.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2273578,0.00,4.00,4.00,4.00,6.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2273586,3.00,7.00,7.00,7.00,7.00,4.50,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2273594,2.00,6.00,2.00,5.00,7.00,6.50,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2273608,7.00,8.00,9.00,9.00,8.00,6.75,9.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2273616,5.00,8.00,6.00,8.00,8.00,4.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2273632,1.00,7.00,4.00,6.00,8.00,6.50,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2273640,1.00,4.00,2.00,4.00,4.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2273659,3.00,5.00,6.00,8.00,6.00,5.75,7.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2273667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2273675,3.00,8.00,2.00,4.00,8.00,5.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2273691,3.00,6.00,5.00,2.00,7.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2273705,4.00,5.00,2.00,0.00,5.00,4.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2273713,3.00,6.00,5.00,4.00,6.00,4.50,7.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2273721,2.00,5.00,6.00,5.00,5.00,4.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2273730,3.00,5.00,2.00,3.00,3.00,6.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2273748,2.00,6.00,1.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2273756,0.00,2.00,1.00,0.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2273764,2.00,7.00,3.00,5.00,4.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2273772,3.00,7.00,2.00,4.00,4.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2273780,4.00,5.00,3.00,6.00,5.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2273799,3.00,7.00,1.00,2.00,3.00,4.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2273802,4.00,7.00,7.00,6.00,5.00,3.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2273810,4.00,3.00,4.00,7.00,8.00,7.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(15,2273837,3.00,8.00,3.00,9.00,7.00,6.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2273845,2.00,5.00,6.00,5.00,6.00,7.25,4.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2273853,2.00,6.00,9.00,9.00,8.00,6.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2273870,4.00,7.00,3.00,6.00,5.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2273900,7.00,9.00,6.00,8.00,7.00,6.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2273918,1.00,8.00,2.00,3.00,7.00,5.50,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2273934,5.00,7.00,6.00,2.00,6.00,5.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2273942,4.00,6.00,2.00,4.00,7.00,5.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2273969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2273977,4.00,7.00,4.00,4.00,5.00,5.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2273985,1.00,7.00,2.00,4.00,3.00,4.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2273993,0.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2274000,1.00,5.00,4.00,2.00,6.00,3.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2274019,6.00,7.00,6.00,5.00,5.00,5.50,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2274027,2.00,4.00,3.00,5.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2274035,2.00,6.00,3.00,8.00,7.00,5.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2274043,0.00,0.00,0.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2274051,3.00,6.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2274060,1.00,8.00,3.00,3.00,6.00,6.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2274078,7.00,6.00,7.00,6.00,7.00,6.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2274086,4.00,7.00,3.00,6.00,6.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2274094,2.00,3.00,5.00,3.00,5.00,7.75,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2274108,3.00,6.00,6.00,5.00,7.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2274116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2274124,3.00,7.00,4.00,2.00,7.00,4.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2274132,4.00,7.00,5.00,6.00,7.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2274140,3.00,6.00,4.00,8.00,5.00,5.00,6.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2274159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2274167,4.00,4.00,5.00,5.00,7.00,5.75,4.00,2.00,4.00,NULL,NULL,NULL,'S'),(15,2274175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2274183,1.00,4.00,6.00,6.00,6.00,5.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2274191,2.00,7.00,3.00,4.00,5.00,5.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2274205,5.00,6.00,3.00,2.00,6.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2274213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2274221,3.00,5.00,1.00,6.00,6.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2274230,3.00,3.00,3.00,6.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2274248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2274256,4.00,5.00,7.00,3.00,5.00,5.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2274264,3.00,5.00,3.00,1.00,5.00,3.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2274272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2274280,2.00,5.00,0.00,2.00,6.00,4.00,7.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2274299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2274302,5.00,7.00,1.00,4.00,3.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2274310,4.00,5.00,4.00,5.00,8.00,4.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2274329,3.00,7.00,3.00,4.00,6.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2274337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2274345,2.00,7.00,2.00,6.00,5.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2274353,3.00,5.00,7.00,3.00,5.00,5.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2274361,3.00,8.00,5.00,6.00,5.00,5.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2274370,3.00,8.00,2.00,5.00,7.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2274388,4.00,8.00,6.00,7.00,6.00,6.25,6.00,9.00,5.00,NULL,NULL,NULL,'S'),(15,2274396,1.00,1.00,1.00,0.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2274400,7.00,9.00,9.00,8.00,9.00,8.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2274418,7.00,8.00,9.00,7.00,7.00,7.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2274426,5.00,6.00,3.00,3.00,7.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2274434,2.00,3.00,2.00,0.00,0.00,NULL,2.00,2.00,2.00,'S',NULL,NULL,'S'),(15,2274442,4.00,7.00,5.00,7.00,6.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2274450,3.00,8.00,4.00,6.00,5.00,5.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2274469,2.00,6.00,2.00,6.00,6.00,5.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2274477,3.00,5.00,4.00,4.00,6.00,5.50,2.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2274485,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(15,2274493,4.00,6.00,5.00,7.00,7.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2274507,3.00,6.00,2.00,6.00,6.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2274515,5.00,5.00,4.00,5.00,7.00,5.00,8.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2274523,6.00,6.00,2.00,8.00,6.00,3.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2274531,3.00,4.00,3.00,7.00,5.00,5.00,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2274558,3.00,7.00,5.00,9.00,7.00,6.50,6.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2274566,1.00,5.00,2.00,3.00,6.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2274574,2.00,5.00,2.00,4.00,4.00,7.00,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(15,2274590,2.00,5.00,1.00,1.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2274604,3.00,4.00,2.00,5.00,5.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2274612,7.00,7.00,6.00,6.00,9.00,8.25,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2274620,1.00,5.00,2.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2274639,7.00,7.00,8.00,8.00,8.00,4.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2274647,2.00,5.00,2.00,7.00,4.00,5.00,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2274655,7.00,8.00,5.00,9.00,6.00,5.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2274663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2274671,7.00,9.00,9.00,9.00,8.00,7.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2274680,3.00,4.00,3.00,1.00,4.00,5.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2274698,3.00,4.00,0.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2274701,4.00,7.00,6.00,8.00,6.00,4.75,7.00,8.00,1.00,NULL,NULL,NULL,'S'),(15,2274710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2274728,1.00,7.00,1.00,6.00,5.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2274736,0.00,2.00,0.00,4.00,2.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2274744,1.00,2.00,1.00,2.00,4.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2274752,3.00,7.00,3.00,3.00,8.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2274760,6.00,9.00,6.00,4.00,9.00,8.00,9.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2274779,2.00,4.00,2.00,4.00,6.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2274795,0.00,3.00,0.00,1.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2274809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2274817,3.00,7.00,4.00,4.00,7.00,5.50,4.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2274825,3.00,2.00,2.00,4.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2274833,2.00,6.00,5.00,4.00,4.00,3.50,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2274841,0.00,0.00,0.00,5.00,5.00,NULL,5.00,4.00,2.00,NULL,'S',NULL,'S'),(15,2274850,3.00,8.00,6.00,4.00,7.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2274868,3.00,7.00,1.00,4.00,7.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2274876,3.00,7.00,2.00,6.00,8.00,7.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2274884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2274892,5.00,7.00,8.00,7.00,7.00,5.25,8.00,3.00,7.00,NULL,NULL,NULL,'N'),(15,2274906,2.00,7.00,3.00,2.00,4.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2274914,2.00,3.00,0.00,5.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2274922,3.00,7.00,3.00,5.00,4.00,4.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2274949,1.00,3.00,2.00,3.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2274957,4.00,4.00,2.00,3.00,6.00,5.75,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2274965,0.00,5.00,0.00,7.00,6.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2274973,4.00,7.00,4.00,6.00,6.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2274981,4.00,6.00,4.00,7.00,7.00,0.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2274990,3.00,8.00,2.00,7.00,5.00,4.75,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2275007,5.00,5.00,5.00,5.00,6.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2275015,1.00,7.00,5.00,4.00,8.00,6.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2275023,1.00,7.00,5.00,7.00,5.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2275031,3.00,6.00,4.00,7.00,5.00,4.75,6.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2275040,2.00,3.00,1.00,2.00,4.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2275058,5.00,4.00,4.00,3.00,4.00,3.25,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2275066,0.00,4.00,1.00,1.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2275074,8.00,8.00,9.00,7.00,9.00,7.00,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2275082,3.00,4.00,2.00,7.00,6.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2275090,2.00,8.00,5.00,4.00,5.00,6.50,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2275104,4.00,5.00,2.00,3.00,5.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2275112,2.00,4.00,2.00,6.00,7.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2275120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2275147,2.00,6.00,2.00,6.00,7.00,4.50,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2275155,3.00,7.00,4.00,4.00,6.00,6.25,6.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2275163,5.00,5.00,2.00,6.00,7.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2275180,2.00,7.00,1.00,4.00,6.00,6.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2275198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2275201,2.00,5.00,1.00,6.00,4.00,4.50,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2275210,3.00,6.00,4.00,5.00,5.00,5.75,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2275228,3.00,7.00,4.00,7.00,5.00,7.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2275236,4.00,9.00,7.00,6.00,8.00,4.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2275244,4.00,3.00,2.00,0.00,4.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2275260,1.00,6.00,3.00,3.00,5.00,5.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2275279,2.00,9.00,2.00,3.00,6.00,6.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2275287,5.00,8.00,4.00,7.00,9.00,7.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2275309,0.00,5.00,3.00,9.00,6.00,5.50,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2275317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2275325,3.00,5.00,1.00,4.00,4.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2275333,5.00,9.00,8.00,8.00,8.00,7.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2275341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2275350,1.00,6.00,4.00,5.00,6.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2275368,4.00,7.00,6.00,5.00,8.00,6.50,6.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2275376,4.00,6.00,1.00,6.00,6.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2275384,1.00,7.00,1.00,6.00,7.00,6.00,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2275392,1.00,5.00,7.00,6.00,5.00,5.00,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2275406,3.00,4.00,5.00,4.00,4.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2275414,5.00,7.00,4.00,5.00,6.00,7.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2275422,4.00,2.00,2.00,1.00,3.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2275430,0.00,5.00,1.00,5.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2275449,4.00,5.00,6.00,5.00,6.00,7.25,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2275457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2275465,0.00,0.00,3.00,0.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2275473,5.00,8.00,5.00,6.00,8.00,7.00,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2275481,1.00,6.00,4.00,6.00,6.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2275490,3.00,4.00,0.00,8.00,4.00,7.00,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2275503,6.00,9.00,7.00,9.00,8.00,4.25,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2275511,4.00,8.00,8.00,9.00,8.00,5.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2275520,5.00,7.00,2.00,5.00,7.00,6.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2275538,4.00,7.00,2.00,7.00,8.00,7.00,8.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2275546,1.00,3.00,3.00,1.00,6.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2275562,2.00,5.00,3.00,4.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2275589,3.00,6.00,4.00,6.00,5.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2275597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2275600,4.00,8.00,9.00,5.00,6.00,5.25,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2275619,4.00,3.00,2.00,3.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2275627,7.00,8.00,8.00,7.00,7.00,6.75,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2275635,4.00,7.00,5.00,3.00,3.00,5.25,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2275651,3.00,7.00,9.00,8.00,5.00,5.00,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2275660,5.00,7.00,7.00,9.00,8.00,6.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2275686,5.00,4.00,1.00,8.00,7.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2275694,3.00,5.00,1.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2275708,2.00,7.00,2.00,4.00,3.00,5.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2275716,0.00,6.00,3.00,0.00,4.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2275724,4.00,7.00,5.00,9.00,6.00,5.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2275732,3.00,2.00,4.00,4.00,4.00,2.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2275740,0.00,2.00,3.00,0.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2275759,5.00,8.00,6.00,9.00,9.00,8.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2275767,3.00,5.00,3.00,6.00,8.00,6.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2275775,2.00,5.00,2.00,4.00,6.00,4.75,4.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2275783,4.00,5.00,5.00,0.00,3.00,4.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2275791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2275805,4.00,8.00,5.00,7.00,6.00,6.25,5.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2275813,6.00,7.00,2.00,3.00,6.00,5.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2275821,1.00,2.00,0.00,0.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2275830,4.00,8.00,9.00,9.00,7.00,7.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2275848,3.00,5.00,4.00,4.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2275856,3.00,7.00,7.00,5.00,8.00,6.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2275864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2275872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2275880,2.00,5.00,1.00,7.00,6.00,7.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2275899,3.00,5.00,4.00,3.00,6.00,4.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2275902,3.00,5.00,0.00,1.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2275910,5.00,6.00,2.00,8.00,7.00,6.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2275937,4.00,5.00,2.00,8.00,5.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2275945,4.00,4.00,3.00,5.00,3.00,3.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2275953,0.00,3.00,0.00,2.00,1.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2275961,6.00,8.00,8.00,7.00,8.00,6.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2275970,5.00,5.00,4.00,8.00,6.00,3.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2275988,3.00,5.00,5.00,7.00,6.00,8.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2275996,4.00,3.00,2.00,1.00,6.00,5.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2276003,7.00,8.00,8.00,6.00,7.00,6.75,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2276011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2276020,2.00,8.00,4.00,6.00,6.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2276038,2.00,5.00,3.00,7.00,6.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2276046,3.00,5.00,3.00,0.00,0.00,NULL,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2276054,1.00,6.00,2.00,0.00,5.00,4.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2276062,4.00,7.00,6.00,4.00,7.00,6.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2276070,3.00,7.00,6.00,4.00,8.00,5.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2276089,3.00,5.00,6.00,8.00,6.00,6.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2276100,2.00,4.00,3.00,5.00,3.00,2.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2276119,2.00,5.00,3.00,3.00,4.00,3.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2276127,1.00,7.00,2.00,4.00,6.00,6.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2276143,3.00,7.00,2.00,4.00,3.00,5.75,4.00,7.00,2.00,NULL,NULL,NULL,'S'),(15,2276160,2.00,6.00,3.00,2.00,1.00,NULL,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2276178,5.00,9.00,7.00,8.00,6.00,6.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2276186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2276194,2.00,5.00,3.00,4.00,5.00,4.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2276224,4.00,4.00,4.00,8.00,6.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2276232,4.00,7.00,3.00,9.00,6.00,7.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2276259,6.00,6.00,5.00,8.00,7.00,6.25,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2276267,4.00,7.00,3.00,6.00,8.00,7.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2276275,3.00,5.00,1.00,3.00,5.00,3.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2276283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2276291,1.00,6.00,3.00,5.00,7.00,3.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2276305,3.00,5.00,5.00,6.00,7.00,7.00,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2276313,2.00,1.00,2.00,4.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2276321,0.00,4.00,1.00,2.00,4.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2276330,1.00,6.00,2.00,4.00,4.00,3.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2276348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2276364,4.00,6.00,4.00,5.00,6.00,5.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2276372,5.00,7.00,8.00,8.00,7.00,5.50,7.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2276399,3.00,7.00,5.00,2.00,8.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2276402,3.00,6.00,5.00,4.00,6.00,5.25,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2276410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2276429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2276437,5.00,6.00,5.00,5.00,6.00,5.50,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2276445,0.00,4.00,1.00,4.00,6.00,5.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2276453,2.00,4.00,1.00,2.00,3.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2276461,7.00,7.00,7.00,6.00,8.00,4.75,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2276488,7.00,9.00,3.00,7.00,9.00,7.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2276496,7.00,8.00,6.00,4.00,7.00,4.50,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2276500,8.00,7.00,4.00,6.00,6.00,6.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2276518,3.00,5.00,4.00,3.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2276526,8.00,6.00,7.00,6.00,6.00,7.50,9.00,4.00,7.00,NULL,NULL,NULL,'N'),(15,2276534,4.00,6.00,5.00,8.00,8.00,6.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2276542,3.00,3.00,3.00,5.00,5.00,3.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2276550,5.00,6.00,7.00,8.00,8.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2276569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2276577,3.00,8.00,5.00,7.00,3.00,3.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2276585,6.00,6.00,4.00,6.00,7.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2276593,3.00,3.00,2.00,3.00,3.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2276607,0.00,8.00,0.00,4.00,7.00,4.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2276615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2276623,5.00,7.00,7.00,0.00,6.00,4.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2276631,3.00,4.00,8.00,7.00,7.00,5.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2276640,4.00,8.00,5.00,7.00,8.00,6.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2276658,1.00,4.00,2.00,2.00,3.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2276666,2.00,3.00,1.00,0.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2276674,1.00,2.00,3.00,5.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2276682,3.00,6.00,1.00,7.00,4.00,5.50,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2276690,5.00,8.00,5.00,4.00,7.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2276704,3.00,8.00,6.00,1.00,4.00,4.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2276712,0.00,6.00,2.00,5.00,4.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2276720,1.00,3.00,7.00,2.00,4.00,5.75,9.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2276747,3.00,5.00,4.00,8.00,7.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2276755,5.00,7.00,6.00,5.00,7.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2276763,3.00,5.00,7.00,6.00,9.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2276771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2276798,4.00,6.00,2.00,6.00,8.00,7.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2276801,2.00,4.00,1.00,4.00,3.00,3.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2276810,2.00,7.00,3.00,2.00,8.00,5.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2276828,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2276836,5.00,8.00,7.00,5.00,9.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2276844,3.00,8.00,6.00,6.00,6.00,7.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2276852,4.00,5.00,3.00,7.00,6.00,4.25,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2276860,1.00,6.00,2.00,1.00,6.00,5.50,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2276879,5.00,7.00,2.00,7.00,6.00,7.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2276887,2.00,2.00,2.00,0.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2276895,2.00,5.00,6.00,7.00,6.00,5.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2276909,2.00,2.00,0.00,4.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2276917,3.00,6.00,5.00,7.00,9.00,5.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2276925,4.00,7.00,3.00,8.00,7.00,5.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2276933,5.00,8.00,6.00,9.00,7.00,7.50,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2276941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2276950,1.00,4.00,2.00,4.00,2.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2276968,5.00,5.00,3.00,5.00,7.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2276976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2276992,5.00,7.00,7.00,6.00,7.00,5.75,5.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2277034,6.00,8.00,7.00,8.00,9.00,5.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2277042,4.00,6.00,3.00,6.00,7.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2277050,4.00,8.00,8.00,7.00,8.00,6.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2277069,2.00,4.00,2.00,3.00,3.00,1.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2277077,3.00,5.00,4.00,4.00,6.00,5.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2277085,3.00,4.00,5.00,5.00,6.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2277093,4.00,7.00,6.00,4.00,8.00,6.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2277107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2277123,0.00,6.00,4.00,7.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2277131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2277140,4.00,7.00,7.00,5.00,7.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2277158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2277166,2.00,6.00,2.00,6.00,3.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2277174,1.00,5.00,4.00,1.00,7.00,3.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2277182,3.00,7.00,1.00,6.00,5.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2277190,1.00,6.00,1.00,7.00,4.00,4.00,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2277204,3.00,6.00,0.00,5.00,5.00,3.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2277212,3.00,4.00,5.00,5.00,5.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2277220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2277239,3.00,6.00,5.00,2.00,5.00,4.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2277247,4.00,7.00,4.00,2.00,6.00,6.25,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2277255,2.00,4.00,4.00,7.00,8.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2277263,8.00,8.00,8.00,9.00,9.00,5.25,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2277271,4.00,6.00,5.00,5.00,7.00,7.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2277280,2.00,6.00,5.00,4.00,4.00,4.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2277298,3.00,7.00,2.00,4.00,6.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2277301,3.00,6.00,1.00,6.00,5.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2277310,5.00,7.00,4.00,6.00,8.00,6.50,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2277336,7.00,7.00,6.00,5.00,7.00,6.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2277344,0.00,0.00,0.00,5.00,2.00,NULL,3.00,4.00,2.00,NULL,'S',NULL,'N'),(15,2277352,2.00,7.00,1.00,1.00,5.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2277379,8.00,8.00,9.00,8.00,8.00,8.25,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2277387,2.00,3.00,1.00,3.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2277409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2277417,0.00,3.00,0.00,3.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2277425,2.00,3.00,1.00,6.00,6.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2277433,0.00,3.00,3.00,5.00,5.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2277441,2.00,2.00,3.00,1.00,4.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(15,2277468,1.00,5.00,1.00,9.00,5.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2277476,2.00,6.00,4.00,4.00,7.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2277492,2.00,6.00,2.00,6.00,5.00,3.75,6.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2277506,1.00,6.00,7.00,3.00,4.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2277514,6.00,7.00,8.00,4.00,9.00,7.75,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2277549,2.00,7.00,1.00,0.00,6.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2277557,3.00,5.00,3.00,7.00,5.00,4.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2277565,3.00,7.00,3.00,8.00,5.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2277573,2.00,6.00,0.00,5.00,8.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2277581,6.00,8.00,5.00,5.00,7.00,3.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2277590,5.00,7.00,6.00,8.00,7.00,4.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2277603,2.00,2.00,1.00,2.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2277611,3.00,6.00,5.00,8.00,8.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2277620,3.00,5.00,4.00,5.00,6.00,6.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2277638,3.00,6.00,2.00,5.00,5.00,4.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2277646,5.00,6.00,4.00,7.00,7.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2277654,2.00,7.00,5.00,9.00,8.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2277670,4.00,5.00,4.00,3.00,6.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2277689,2.00,4.00,2.00,7.00,7.00,5.25,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2277697,2.00,8.00,5.00,1.00,5.00,3.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2277700,5.00,4.00,3.00,2.00,7.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2277719,2.00,4.00,3.00,4.00,5.00,5.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2277727,3.00,5.00,4.00,5.00,5.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2277735,8.00,6.00,8.00,4.00,7.00,6.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2277743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2277751,8.00,8.00,5.00,7.00,4.00,7.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2277778,8.00,7.00,5.00,7.00,5.00,4.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2277786,2.00,3.00,4.00,1.00,4.00,NULL,5.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2277794,5.00,5.00,6.00,3.00,7.00,7.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2277816,4.00,8.00,4.00,6.00,8.00,6.00,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2277824,4.00,6.00,0.00,2.00,4.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2277832,1.00,6.00,0.00,1.00,6.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2277859,2.00,5.00,6.00,8.00,9.00,7.75,7.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2277867,2.00,5.00,0.00,5.00,6.00,7.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2277883,2.00,7.00,6.00,5.00,5.00,6.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2277891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2277905,2.00,4.00,1.00,4.00,5.00,3.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2277913,7.00,8.00,3.00,9.00,7.00,7.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2277921,2.00,6.00,2.00,4.00,6.00,6.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2277948,3.00,3.00,4.00,2.00,3.00,5.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2277956,3.00,5.00,5.00,7.00,7.00,6.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2277964,3.00,8.00,4.00,5.00,6.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2277972,3.00,7.00,1.00,5.00,4.00,3.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2277980,8.00,9.00,6.00,9.00,9.00,6.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2277999,5.00,7.00,7.00,6.00,7.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2278006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2278022,3.00,7.00,2.00,1.00,4.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2278030,3.00,3.00,0.00,4.00,5.00,5.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2278049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2278065,4.00,4.00,3.00,5.00,7.00,6.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2278073,2.00,7.00,1.00,6.00,5.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2278081,7.00,6.00,9.00,8.00,8.00,5.00,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2278090,2.00,6.00,3.00,5.00,7.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2278103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2278111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2278120,3.00,5.00,5.00,4.00,5.00,2.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2278138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2278146,4.00,4.00,3.00,3.00,4.00,7.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2278154,1.00,4.00,2.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2278162,3.00,5.00,5.00,7.00,7.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2278170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2278189,4.00,8.00,7.00,6.00,6.00,6.75,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2278197,0.00,8.00,3.00,8.00,8.00,6.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2278200,3.00,4.00,5.00,1.00,5.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2278227,8.00,8.00,6.00,9.00,6.00,5.75,9.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2278235,1.00,6.00,4.00,4.00,7.00,4.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2278243,4.00,9.00,5.00,6.00,6.00,7.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2278251,2.00,7.00,4.00,5.00,5.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2278260,4.00,8.00,4.00,6.00,7.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2278278,4.00,7.00,4.00,2.00,6.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2278286,4.00,4.00,2.00,4.00,3.00,4.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2278294,7.00,6.00,2.00,8.00,8.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2278308,6.00,7.00,5.00,6.00,9.00,7.50,9.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2278316,1.00,4.00,3.00,2.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2278324,2.00,5.00,3.00,5.00,4.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2278332,6.00,7.00,2.00,5.00,8.00,5.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2278340,2.00,4.00,4.00,5.00,4.00,5.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2278359,3.00,8.00,2.00,3.00,6.00,7.00,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2278367,4.00,7.00,1.00,1.00,5.00,5.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2278375,0.00,4.00,4.00,5.00,3.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2278383,1.00,8.00,5.00,0.00,7.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2278391,7.00,8.00,8.00,7.00,8.00,7.00,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2278405,4.00,7.00,6.00,9.00,8.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2278413,5.00,6.00,4.00,6.00,6.00,4.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2278421,3.00,4.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2278430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2278448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2278456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2278464,2.00,7.00,4.00,4.00,7.00,6.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2278499,1.00,4.00,3.00,2.00,4.00,4.00,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2278502,5.00,7.00,8.00,9.00,8.00,5.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2278510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2278537,3.00,7.00,3.00,6.00,7.00,5.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2278545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2278561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2278588,3.00,5.00,4.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2278596,1.00,1.00,0.00,5.00,5.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2278600,3.00,7.00,6.00,5.00,4.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2278618,5.00,8.00,8.00,6.00,6.00,5.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2278626,6.00,8.00,8.00,8.00,9.00,7.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2278634,8.00,9.00,9.00,9.00,8.00,4.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2278642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2278650,0.00,6.00,2.00,1.00,3.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2278669,6.00,7.00,7.00,9.00,8.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2278677,8.00,8.00,9.00,8.00,5.00,7.25,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2278685,3.00,3.00,2.00,1.00,4.00,4.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2278693,1.00,4.00,0.00,3.00,8.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2278707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2278715,5.00,6.00,5.00,8.00,6.00,3.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2278731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2278740,7.00,8.00,8.00,7.00,9.00,6.50,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2278758,8.00,9.00,8.00,9.00,9.00,6.75,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2278774,2.00,8.00,5.00,3.00,7.00,5.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2278790,5.00,6.00,6.00,8.00,8.00,4.25,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2278804,3.00,6.00,2.00,5.00,5.00,5.00,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2278812,5.00,7.00,6.00,3.00,8.00,5.25,8.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2278820,3.00,3.00,2.00,4.00,6.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2278839,5.00,7.00,4.00,3.00,5.00,5.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2278847,4.00,9.00,5.00,5.00,8.00,5.00,9.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2278855,3.00,3.00,3.00,1.00,6.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2278863,4.00,7.00,1.00,8.00,6.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2278871,3.00,8.00,4.00,8.00,8.00,6.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2278880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2278898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2278901,0.00,3.00,2.00,1.00,5.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2278910,2.00,6.00,1.00,0.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2278928,4.00,5.00,2.00,6.00,7.00,5.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2278944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2278960,2.00,5.00,1.00,2.00,5.00,6.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2278979,2.00,7.00,6.00,4.00,6.00,5.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2278987,3.00,6.00,2.00,4.00,4.00,3.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2278995,2.00,8.00,2.00,3.00,6.00,6.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2279002,4.00,7.00,2.00,7.00,5.00,7.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2279029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2279037,1.00,6.00,2.00,8.00,5.00,7.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2279053,2.00,4.00,6.00,4.00,4.00,5.00,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2279061,4.00,6.00,6.00,5.00,7.00,4.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2279070,1.00,6.00,2.00,6.00,6.00,3.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2279088,4.00,7.00,4.00,5.00,5.00,4.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2279096,3.00,5.00,3.00,4.00,5.00,4.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2279100,2.00,3.00,1.00,6.00,5.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2279118,3.00,6.00,1.00,1.00,4.00,6.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2279126,2.00,5.00,2.00,4.00,6.00,3.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2279134,8.00,6.00,5.00,5.00,9.00,4.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2279142,0.00,8.00,2.00,1.00,5.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2279150,4.00,9.00,5.00,9.00,4.00,7.00,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2279169,3.00,7.00,3.00,3.00,7.00,5.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2279177,7.00,7.00,6.00,7.00,8.00,5.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2279185,1.00,4.00,2.00,2.00,4.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2279193,4.00,7.00,4.00,7.00,4.00,5.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2279215,5.00,8.00,8.00,6.00,8.00,6.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2279223,4.00,5.00,4.00,7.00,5.00,5.25,6.00,4.00,6.00,NULL,NULL,NULL,'S'),(15,2279231,4.00,5.00,3.00,2.00,3.00,3.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2279240,5.00,4.00,0.00,1.00,6.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2279258,3.00,7.00,4.00,2.00,6.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2279266,2.00,4.00,1.00,3.00,5.00,5.75,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2279274,4.00,4.00,1.00,2.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2279282,4.00,7.00,6.00,6.00,5.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2279290,1.00,4.00,1.00,1.00,6.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2279304,2.00,7.00,2.00,3.00,5.00,5.75,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2279312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2279320,3.00,6.00,3.00,8.00,5.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2279339,5.00,6.00,6.00,5.00,3.00,5.75,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2279347,2.00,6.00,6.00,3.00,3.00,4.50,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2279355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2279363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2279371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2279380,4.00,7.00,4.00,8.00,7.00,7.25,6.00,9.00,2.00,NULL,NULL,NULL,'N'),(15,2279401,9.00,7.00,9.00,7.00,8.00,6.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2279410,3.00,5.00,0.00,2.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2279428,4.00,2.00,1.00,3.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2279436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2279444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2279452,0.00,5.00,1.00,2.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2279460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2279479,2.00,4.00,1.00,3.00,6.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2279487,3.00,6.00,7.00,6.00,7.00,3.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2279495,3.00,5.00,0.00,1.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2279509,4.00,7.00,5.00,2.00,8.00,8.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2279517,3.00,4.00,4.00,4.00,6.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2279525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2279533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2279541,3.00,8.00,1.00,4.00,3.00,5.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2279550,2.00,5.00,5.00,1.00,4.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2279568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2279576,3.00,6.00,5.00,3.00,6.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2279584,3.00,2.00,2.00,1.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2279592,4.00,4.00,5.00,4.00,7.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2279606,3.00,5.00,5.00,6.00,6.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2279614,0.00,3.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2279622,3.00,6.00,2.00,7.00,7.00,5.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2279630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2279649,4.00,7.00,2.00,5.00,8.00,4.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2279657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2279665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2279673,1.00,6.00,4.00,6.00,5.00,4.00,7.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2279681,5.00,8.00,3.00,6.00,7.00,4.25,5.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2279711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2279720,2.00,3.00,1.00,2.00,3.00,6.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2279738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2279746,3.00,4.00,1.00,4.00,6.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2279754,4.00,5.00,3.00,2.00,4.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2279762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2279789,3.00,6.00,3.00,8.00,6.00,3.75,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2279797,3.00,6.00,0.00,7.00,5.00,7.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2279819,3.00,7.00,5.00,4.00,6.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2279827,1.00,7.00,7.00,5.00,5.00,6.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2279835,2.00,5.00,4.00,3.00,4.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2279843,0.00,8.00,3.00,4.00,3.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2279851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2279860,8.00,9.00,8.00,9.00,7.00,6.25,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2279878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2279908,2.00,8.00,5.00,8.00,6.00,7.50,7.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2279916,2.00,6.00,4.00,2.00,6.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2279924,3.00,7.00,1.00,6.00,7.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2279932,1.00,2.00,2.00,2.00,0.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2279940,7.00,6.00,7.00,7.00,7.00,6.50,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2279959,4.00,7.00,6.00,6.00,6.00,5.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2279967,5.00,7.00,4.00,5.00,5.00,6.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2279975,5.00,4.00,3.00,5.00,6.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2279983,3.00,5.00,5.00,5.00,6.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2279991,2.00,5.00,6.00,4.00,7.00,5.75,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2280000,4.00,7.00,5.00,3.00,7.00,4.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2280019,2.00,3.00,2.00,6.00,4.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2280027,2.00,7.00,3.00,8.00,7.00,7.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2280043,3.00,5.00,4.00,5.00,8.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2280051,2.00,5.00,0.00,0.00,0.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2280060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2280078,7.00,8.00,6.00,8.00,9.00,6.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2280086,4.00,5.00,7.00,7.00,6.00,5.25,9.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2280094,1.00,5.00,5.00,5.00,8.00,4.25,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2280124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2280132,3.00,8.00,2.00,6.00,7.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2280140,7.00,7.00,9.00,8.00,8.00,5.50,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2280159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2280167,3.00,8.00,4.00,5.00,7.00,5.25,4.00,8.00,3.00,NULL,NULL,NULL,'S'),(15,2280175,4.00,8.00,3.00,7.00,8.00,7.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2280183,4.00,7.00,4.00,8.00,4.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2280191,4.00,5.00,2.00,0.00,2.00,NULL,7.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2280205,6.00,6.00,4.00,6.00,9.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2280213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2280221,2.00,5.00,7.00,4.00,6.00,5.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2280230,5.00,8.00,6.00,7.00,8.00,6.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2280248,0.00,5.00,2.00,4.00,5.00,5.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2280256,4.00,6.00,2.00,6.00,5.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2280280,1.00,5.00,4.00,5.00,7.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2280299,3.00,6.00,4.00,6.00,5.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2280302,0.00,1.00,1.00,3.00,5.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2280310,3.00,5.00,5.00,1.00,5.00,4.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2280329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2280337,3.00,7.00,2.00,7.00,8.00,7.50,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2280345,3.00,5.00,4.00,3.00,4.00,4.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2280353,0.00,3.00,4.00,5.00,6.00,6.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2280361,7.00,9.00,9.00,9.00,8.00,6.25,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2280370,2.00,7.00,3.00,4.00,6.00,5.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2280388,4.00,6.00,4.00,7.00,6.00,5.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2280396,2.00,6.00,1.00,5.00,4.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2280400,3.00,3.00,3.00,4.00,3.00,5.25,4.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2280418,2.00,8.00,6.00,6.00,7.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2280426,3.00,8.00,5.00,7.00,7.00,8.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2280434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2280442,2.00,7.00,5.00,1.00,4.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2280469,1.00,4.00,4.00,5.00,4.00,3.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2280477,5.00,7.00,4.00,7.00,4.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2280485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2280493,2.00,8.00,1.00,7.00,9.00,6.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2280507,4.00,3.00,4.00,4.00,4.00,4.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2280515,3.00,5.00,0.00,5.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2280523,6.00,8.00,8.00,5.00,9.00,6.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2280531,1.00,5.00,3.00,4.00,5.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2280540,5.00,7.00,6.00,4.00,8.00,6.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2280558,3.00,6.00,9.00,7.00,5.00,4.25,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2280566,6.00,7.00,7.00,3.00,9.00,7.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2280574,4.00,7.00,4.00,5.00,8.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2280582,6.00,8.00,8.00,7.00,8.00,6.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2280590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2280604,6.00,6.00,3.00,1.00,7.00,6.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2280612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2280620,3.00,5.00,3.00,5.00,6.00,3.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2280639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2280647,0.00,4.00,1.00,1.00,7.00,4.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2280655,4.00,5.00,2.00,4.00,5.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2280663,2.00,6.00,3.00,5.00,7.00,3.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2280671,5.00,7.00,5.00,6.00,6.00,7.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2280680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2280701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2280710,2.00,9.00,3.00,7.00,8.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2280728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2280736,4.00,7.00,7.00,8.00,6.00,7.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2280752,2.00,4.00,1.00,2.00,3.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2280760,3.00,7.00,0.00,0.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2280779,3.00,5.00,0.00,3.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2280795,5.00,5.00,7.00,8.00,5.00,4.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2280809,1.00,7.00,4.00,1.00,5.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(15,2280817,1.00,3.00,2.00,6.00,3.00,4.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2280825,4.00,5.00,3.00,5.00,6.00,5.25,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(15,2280833,3.00,3.00,1.00,6.00,5.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2280841,2.00,3.00,3.00,7.00,5.00,5.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2280850,4.00,6.00,4.00,7.00,7.00,5.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2280868,2.00,5.00,3.00,2.00,7.00,6.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2280876,4.00,7.00,5.00,5.00,7.00,3.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2280884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2280892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2280906,2.00,6.00,4.00,2.00,4.00,3.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2280914,7.00,7.00,3.00,5.00,7.00,5.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2280922,4.00,7.00,6.00,5.00,6.00,6.25,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2280930,2.00,7.00,2.00,3.00,3.00,4.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2280949,5.00,6.00,6.00,3.00,8.00,6.50,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2280957,7.00,8.00,2.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2280965,3.00,7.00,7.00,6.00,6.00,4.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2280973,1.00,5.00,1.00,6.00,6.00,4.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2280981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2280990,1.00,4.00,3.00,3.00,6.00,4.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2281007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2281015,3.00,4.00,7.00,5.00,5.00,6.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2281023,4.00,4.00,2.00,5.00,5.00,6.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2281031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2281040,4.00,6.00,6.00,7.00,8.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2281066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2281074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2281082,3.00,7.00,1.00,0.00,0.00,NULL,3.00,6.00,1.00,'S',NULL,NULL,'N'),(15,2281090,4.00,6.00,0.00,5.00,6.00,5.00,3.00,4.00,0.00,NULL,NULL,NULL,'S'),(15,2281104,4.00,3.00,0.00,1.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2281112,1.00,5.00,1.00,4.00,7.00,6.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2281120,4.00,7.00,4.00,7.00,6.00,3.75,5.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2281139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2281147,1.00,5.00,1.00,0.00,4.00,6.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2281155,2.00,6.00,4.00,7.00,5.00,5.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2281163,5.00,7.00,3.00,5.00,7.00,5.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2281171,1.00,6.00,3.00,6.00,5.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2281180,4.00,5.00,2.00,7.00,5.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2281198,8.00,7.00,9.00,8.00,9.00,6.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2281201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2281210,1.00,6.00,5.00,7.00,7.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2281228,5.00,4.00,6.00,6.00,7.00,4.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2281244,1.00,7.00,1.00,3.00,7.00,4.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2281252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2281260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2281287,4.00,7.00,3.00,6.00,7.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2281295,4.00,7.00,1.00,2.00,7.00,4.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2281309,3.00,6.00,4.00,7.00,5.00,4.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2281317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2281325,3.00,7.00,3.00,5.00,7.00,7.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2281333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2281350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2281368,1.00,4.00,3.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2281376,1.00,5.00,1.00,3.00,3.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2281384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2281392,4.00,5.00,0.00,3.00,7.00,5.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2281406,2.00,3.00,2.00,5.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2281414,5.00,7.00,5.00,7.00,7.00,8.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2281422,4.00,6.00,4.00,8.00,5.00,6.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2281430,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(15,2281449,4.00,7.00,6.00,6.00,6.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2281465,1.00,4.00,3.00,8.00,5.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2281481,5.00,4.00,4.00,3.00,7.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2281503,4.00,6.00,2.00,3.00,5.00,4.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2281511,4.00,5.00,2.00,6.00,5.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2281520,1.00,7.00,1.00,4.00,5.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2281538,5.00,9.00,4.00,9.00,9.00,7.25,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2281546,2.00,3.00,3.00,2.00,4.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2281554,3.00,8.00,6.00,5.00,9.00,5.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2281562,4.00,8.00,6.00,6.00,7.00,5.75,4.00,9.00,2.00,NULL,NULL,NULL,'N'),(15,2281570,3.00,7.00,3.00,3.00,4.00,3.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2281589,2.00,6.00,3.00,3.00,6.00,4.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2281597,5.00,8.00,0.00,6.00,7.00,5.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2281600,8.00,8.00,8.00,8.00,7.00,5.50,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2281619,3.00,7.00,6.00,7.00,7.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2281627,2.00,6.00,4.00,5.00,6.00,5.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2281635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2281643,3.00,7.00,4.00,6.00,5.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2281678,2.00,4.00,3.00,4.00,6.00,6.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2281686,4.00,6.00,2.00,3.00,6.00,7.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2281694,2.00,5.00,2.00,6.00,5.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2281708,3.00,5.00,2.00,5.00,4.00,4.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2281716,3.00,7.00,3.00,5.00,5.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2281724,3.00,7.00,3.00,2.00,6.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2281732,3.00,3.00,3.00,2.00,6.00,4.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2281740,5.00,6.00,1.00,7.00,6.00,4.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2281767,0.00,6.00,1.00,3.00,4.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2281775,5.00,7.00,8.00,9.00,9.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2281783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2281791,2.00,6.00,4.00,5.00,6.00,6.75,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2281805,6.00,7.00,8.00,7.00,7.00,6.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2281813,0.00,7.00,3.00,2.00,5.00,NULL,7.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2281821,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2281848,3.00,5.00,3.00,6.00,8.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2281856,2.00,6.00,2.00,3.00,7.00,2.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2281880,2.00,8.00,2.00,7.00,8.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2281899,2.00,6.00,6.00,8.00,6.00,6.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2281902,3.00,6.00,4.00,5.00,6.00,4.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2281910,2.00,8.00,2.00,2.00,6.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2281945,2.00,6.00,4.00,4.00,6.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2281953,2.00,6.00,3.00,7.00,6.00,4.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2281970,6.00,6.00,8.00,7.00,8.00,7.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2281988,1.00,1.00,0.00,2.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2282003,5.00,7.00,8.00,4.00,7.00,4.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2282011,0.00,4.00,4.00,0.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2282020,5.00,6.00,5.00,8.00,8.00,6.50,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2282038,5.00,9.00,7.00,8.00,7.00,5.75,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2282046,6.00,7.00,9.00,9.00,8.00,7.00,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2282054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2282062,0.00,6.00,1.00,5.00,8.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2282070,4.00,7.00,4.00,8.00,6.00,6.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2282089,6.00,7.00,7.00,4.00,7.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2282097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2282100,3.00,7.00,6.00,8.00,4.00,6.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2282119,5.00,9.00,6.00,8.00,8.00,5.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2282127,4.00,7.00,3.00,2.00,7.00,6.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2282135,3.00,5.00,3.00,0.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2282143,2.00,5.00,4.00,1.00,3.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2282151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2282160,3.00,7.00,3.00,1.00,8.00,5.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2282178,4.00,7.00,5.00,7.00,8.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2282186,2.00,7.00,3.00,2.00,5.00,5.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2282194,0.00,6.00,3.00,5.00,5.00,3.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2282208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2282216,2.00,5.00,2.00,5.00,6.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2282240,1.00,5.00,2.00,3.00,5.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2282259,1.00,7.00,2.00,2.00,3.00,1.50,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2282267,5.00,7.00,5.00,6.00,7.00,5.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2282275,2.00,5.00,2.00,4.00,2.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2282283,3.00,5.00,1.00,3.00,6.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2282305,3.00,6.00,9.00,9.00,7.00,4.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2282313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2282321,0.00,5.00,2.00,1.00,6.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2282330,1.00,0.00,1.00,1.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2282348,2.00,6.00,6.00,9.00,7.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2282356,4.00,4.00,4.00,4.00,2.00,NULL,7.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2282364,2.00,6.00,1.00,2.00,5.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2282372,3.00,6.00,8.00,6.00,8.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2282380,0.00,4.00,2.00,4.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2282399,2.00,7.00,4.00,6.00,7.00,4.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2282402,4.00,9.00,8.00,1.00,7.00,6.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2282429,1.00,8.00,2.00,4.00,5.00,4.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2282437,1.00,5.00,2.00,7.00,5.00,7.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2282445,5.00,6.00,5.00,8.00,7.00,4.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2282453,4.00,7.00,5.00,5.00,6.00,5.00,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2282461,5.00,8.00,8.00,5.00,8.00,6.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2282470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2282496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2282500,7.00,9.00,2.00,4.00,6.00,6.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2282518,2.00,6.00,3.00,6.00,4.00,4.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2282526,2.00,6.00,2.00,4.00,7.00,4.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2282534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2282542,3.00,4.00,0.00,2.00,3.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2282550,6.00,7.00,5.00,5.00,7.00,5.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2282569,2.00,7.00,3.00,7.00,7.00,6.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2282577,0.00,4.00,2.00,2.00,7.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2282585,4.00,8.00,6.00,8.00,6.00,8.50,6.00,9.00,2.00,NULL,NULL,NULL,'N'),(15,2282593,2.00,4.00,1.00,2.00,4.00,4.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2282607,2.00,7.00,5.00,5.00,5.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2282623,5.00,7.00,2.00,5.00,7.00,4.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2282631,4.00,6.00,2.00,3.00,7.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2282640,3.00,7.00,6.00,6.00,5.00,4.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2282658,4.00,6.00,4.00,5.00,8.00,5.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2282682,3.00,6.00,4.00,3.00,3.00,5.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2282690,0.00,7.00,3.00,7.00,6.00,6.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2282704,1.00,7.00,3.00,9.00,9.00,5.00,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2282712,1.00,8.00,1.00,4.00,4.00,7.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2282720,3.00,4.00,3.00,3.00,6.00,3.75,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2282739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2282747,2.00,2.00,2.00,4.00,3.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2282755,2.00,4.00,1.00,6.00,4.00,5.25,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2282763,2.00,7.00,2.00,5.00,7.00,4.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2282771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2282780,0.00,6.00,2.00,7.00,4.00,5.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2282798,3.00,6.00,5.00,3.00,3.00,5.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2282801,2.00,6.00,1.00,1.00,6.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2282810,7.00,8.00,9.00,5.00,9.00,5.25,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2282828,5.00,6.00,4.00,3.00,4.00,6.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2282836,1.00,3.00,2.00,1.00,2.00,NULL,5.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2282852,1.00,5.00,2.00,2.00,4.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2282860,7.00,7.00,6.00,7.00,8.00,6.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2282887,6.00,8.00,5.00,2.00,9.00,4.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2282895,3.00,5.00,4.00,6.00,6.00,4.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2282909,6.00,7.00,7.00,5.00,6.00,5.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2282917,2.00,6.00,2.00,5.00,7.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2282925,1.00,1.00,1.00,1.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2282941,2.00,7.00,1.00,1.00,8.00,6.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2282950,3.00,4.00,3.00,1.00,4.00,3.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2282968,2.00,3.00,1.00,2.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(15,2282976,0.00,8.00,4.00,8.00,5.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2282984,3.00,5.00,3.00,7.00,8.00,5.00,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2282992,2.00,7.00,7.00,4.00,5.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2283000,5.00,7.00,7.00,5.00,7.00,6.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2283018,2.00,6.00,3.00,5.00,9.00,4.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2283034,5.00,6.00,5.00,4.00,7.00,6.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2283042,1.00,6.00,1.00,0.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2283050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2283069,5.00,7.00,2.00,9.00,7.00,8.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2283077,2.00,3.00,3.00,1.00,3.00,3.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2283085,1.00,6.00,1.00,1.00,4.00,5.00,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2283093,2.00,8.00,2.00,6.00,5.00,5.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2283107,2.00,7.00,1.00,6.00,5.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2283115,6.00,9.00,5.00,7.00,7.00,6.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2283123,2.00,7.00,5.00,2.00,6.00,4.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2283131,5.00,6.00,7.00,3.00,9.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2283140,2.00,7.00,5.00,6.00,5.00,0.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2283158,1.00,5.00,3.00,2.00,4.00,4.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2283166,5.00,8.00,4.00,4.00,7.00,5.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2283174,1.00,3.00,3.00,4.00,5.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2283182,3.00,2.00,0.00,0.00,0.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2283190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2283204,1.00,2.00,2.00,4.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2283220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2283239,2.00,1.00,2.00,4.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2283255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2283263,2.00,5.00,2.00,1.00,7.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2283271,5.00,5.00,3.00,0.00,8.00,6.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2283280,5.00,7.00,9.00,7.00,7.00,5.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2283298,2.00,3.00,2.00,0.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2283301,2.00,3.00,0.00,5.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2283310,4.00,8.00,4.00,7.00,8.00,7.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2283328,3.00,7.00,1.00,5.00,5.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2283344,0.00,2.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2283352,6.00,7.00,7.00,8.00,8.00,7.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2283360,3.00,6.00,1.00,3.00,5.00,4.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2283379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2283387,0.00,5.00,3.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2283395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2283409,1.00,4.00,1.00,1.00,5.00,5.00,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2283417,3.00,6.00,2.00,6.00,6.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2283425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2283450,0.00,2.00,2.00,2.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2283468,4.00,7.00,3.00,6.00,7.00,7.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2283476,6.00,7.00,4.00,7.00,7.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2283484,2.00,7.00,5.00,6.00,5.00,4.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2283492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2283506,2.00,5.00,2.00,5.00,5.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2283514,2.00,8.00,0.00,2.00,5.00,5.75,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2283522,6.00,8.00,8.00,9.00,7.00,6.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2283530,3.00,8.00,3.00,6.00,8.00,6.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2283549,4.00,8.00,5.00,7.00,6.00,6.50,9.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2283557,2.00,6.00,1.00,0.00,4.00,6.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2283565,4.00,7.00,3.00,5.00,6.00,5.50,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2283573,0.00,1.00,3.00,4.00,3.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2283581,0.00,3.00,1.00,5.00,7.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2283590,1.00,3.00,3.00,7.00,5.00,6.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2283603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2283611,3.00,7.00,5.00,1.00,5.00,6.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2283638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2283646,3.00,7.00,3.00,1.00,6.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2283654,5.00,8.00,6.00,7.00,8.00,5.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2283662,3.00,7.00,4.00,8.00,5.00,6.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2283689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2283700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2283727,2.00,4.00,1.00,6.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2283735,1.00,5.00,1.00,0.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2283743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2283751,3.00,7.00,6.00,8.00,5.00,6.75,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2283760,2.00,6.00,1.00,7.00,4.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2283786,2.00,7.00,5.00,4.00,7.00,5.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2283794,2.00,6.00,6.00,3.00,7.00,5.00,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2283808,3.00,5.00,4.00,6.00,5.00,4.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2283816,6.00,8.00,5.00,6.00,8.00,6.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2283832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2283840,4.00,6.00,8.00,7.00,6.00,6.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2283859,2.00,7.00,2.00,6.00,4.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2283867,2.00,3.00,2.00,1.00,4.00,4.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2283875,1.00,7.00,8.00,7.00,8.00,6.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2283883,4.00,6.00,4.00,1.00,7.00,5.25,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2283891,4.00,8.00,6.00,6.00,6.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2283905,6.00,8.00,7.00,7.00,8.00,6.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2283913,2.00,7.00,1.00,0.00,4.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2283921,3.00,5.00,3.00,7.00,6.00,4.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2283930,2.00,3.00,4.00,6.00,4.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2283948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2283956,1.00,5.00,1.00,5.00,5.00,5.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2283964,0.00,5.00,3.00,7.00,4.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2283972,3.00,7.00,3.00,6.00,8.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2283980,9.00,8.00,8.00,9.00,9.00,5.50,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2283999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2284006,0.00,2.00,1.00,6.00,7.00,4.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2284014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2284022,4.00,8.00,7.00,8.00,9.00,5.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2284030,2.00,5.00,5.00,6.00,6.00,5.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2284049,5.00,6.00,3.00,5.00,6.00,4.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2284057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2284065,2.00,3.00,2.00,1.00,2.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2284073,3.00,6.00,6.00,3.00,5.00,6.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2284081,4.00,3.00,3.00,4.00,7.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2284103,3.00,8.00,3.00,6.00,5.00,6.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2284120,5.00,8.00,7.00,5.00,8.00,5.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2284138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2284146,4.00,4.00,4.00,5.00,6.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2284154,3.00,5.00,6.00,6.00,6.00,4.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2284162,2.00,4.00,1.00,2.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2284170,4.00,3.00,3.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2284189,2.00,5.00,4.00,3.00,4.00,4.25,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2284197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2284200,5.00,7.00,7.00,1.00,8.00,5.75,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2284219,2.00,5.00,4.00,0.00,5.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2284227,4.00,6.00,4.00,8.00,5.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2284235,3.00,6.00,6.00,4.00,6.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2284251,3.00,5.00,7.00,5.00,5.00,6.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2284260,4.00,5.00,6.00,4.00,7.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2284278,3.00,6.00,3.00,6.00,5.00,4.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2284286,0.00,6.00,2.00,3.00,5.00,4.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2284294,2.00,7.00,3.00,2.00,6.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2284308,3.00,7.00,5.00,7.00,8.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2284316,4.00,6.00,5.00,6.00,5.00,4.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2284324,3.00,4.00,1.00,5.00,4.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2284332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2284340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2284359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2284367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2284375,4.00,7.00,6.00,8.00,8.00,4.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2284383,3.00,6.00,5.00,6.00,4.00,4.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2284391,2.00,5.00,5.00,6.00,5.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2284405,3.00,6.00,1.00,5.00,7.00,4.00,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2284413,4.00,6.00,5.00,2.00,4.00,4.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2284421,5.00,7.00,3.00,5.00,8.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2284430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2284448,5.00,6.00,1.00,2.00,7.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2284456,2.00,5.00,2.00,2.00,6.00,4.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2284464,2.00,6.00,6.00,6.00,7.00,5.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2284472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2284480,0.00,5.00,1.00,6.00,5.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2284499,2.00,5.00,2.00,7.00,6.00,4.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2284502,4.00,5.00,4.00,6.00,8.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2284510,3.00,8.00,3.00,7.00,5.00,6.25,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2284529,2.00,5.00,3.00,3.00,7.00,3.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2284537,0.00,5.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2284545,2.00,6.00,4.00,4.00,8.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2284553,2.00,5.00,3.00,7.00,5.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2284561,3.00,6.00,5.00,5.00,5.00,6.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2284570,3.00,7.00,5.00,5.00,7.00,3.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2284588,3.00,6.00,8.00,0.00,4.00,4.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2284596,1.00,9.00,3.00,6.00,5.00,4.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2284618,4.00,4.00,2.00,3.00,4.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2284626,2.00,2.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2284634,6.00,9.00,9.00,6.00,8.00,7.25,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2284650,1.00,7.00,5.00,5.00,5.00,4.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2284669,3.00,6.00,1.00,7.00,4.00,6.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2284677,4.00,7.00,2.00,3.00,7.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2284685,6.00,7.00,5.00,4.00,6.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2284693,3.00,7.00,3.00,6.00,6.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2284707,2.00,4.00,0.00,1.00,7.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2284715,3.00,5.00,3.00,2.00,6.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2284723,4.00,6.00,4.00,5.00,6.00,4.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2284740,3.00,2.00,1.00,0.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2284758,2.00,4.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2284766,4.00,6.00,8.00,6.00,6.00,5.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2284774,3.00,7.00,1.00,5.00,4.00,5.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2284782,1.00,3.00,1.00,5.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2284790,4.00,7.00,2.00,3.00,6.00,6.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2284804,2.00,6.00,4.00,4.00,6.00,3.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2284812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2284820,4.00,5.00,2.00,5.00,4.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2284847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2284863,4.00,7.00,5.00,7.00,8.00,3.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2284871,3.00,4.00,2.00,3.00,6.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2284880,3.00,5.00,2.00,5.00,6.00,4.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2284898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2284901,4.00,7.00,4.00,5.00,7.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2284910,1.00,2.00,4.00,5.00,5.00,4.75,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2284928,3.00,6.00,4.00,3.00,4.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2284936,4.00,6.00,1.00,9.00,7.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2284944,3.00,6.00,6.00,6.00,5.00,6.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2284952,1.00,6.00,4.00,6.00,6.00,5.00,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2284987,1.00,4.00,1.00,0.00,7.00,4.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2284995,4.00,9.00,5.00,8.00,7.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2285002,2.00,4.00,1.00,1.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2285010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2285029,4.00,6.00,3.00,8.00,4.00,6.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2285037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2285045,4.00,8.00,4.00,3.00,7.00,4.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2285053,3.00,3.00,0.00,2.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2285061,8.00,8.00,8.00,7.00,8.00,8.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2285070,6.00,8.00,4.00,7.00,8.00,7.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2285088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2285096,3.00,3.00,2.00,4.00,6.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2285100,3.00,5.00,3.00,2.00,5.00,4.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2285118,5.00,7.00,5.00,7.00,6.00,4.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2285126,0.00,4.00,1.00,0.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2285134,3.00,5.00,5.00,5.00,5.00,3.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2285142,1.00,8.00,3.00,5.00,6.00,0.00,4.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2285150,5.00,5.00,7.00,5.00,6.00,5.50,7.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2285169,5.00,9.00,1.00,1.00,6.00,4.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2285177,4.00,7.00,2.00,4.00,5.00,5.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2285185,3.00,4.00,6.00,7.00,7.00,6.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2285193,3.00,2.00,2.00,2.00,5.00,5.75,1.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2285207,2.00,7.00,4.00,3.00,7.00,6.00,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2285215,3.00,5.00,4.00,5.00,5.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2285223,2.00,5.00,1.00,3.00,6.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2285231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2285240,2.00,7.00,1.00,2.00,4.00,5.25,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2285258,3.00,8.00,3.00,5.00,6.00,5.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2285266,3.00,3.00,2.00,4.00,6.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2285274,1.00,4.00,0.00,2.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2285282,6.00,8.00,7.00,8.00,8.00,7.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2285290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2285304,1.00,4.00,1.00,1.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2285320,4.00,8.00,5.00,0.00,8.00,NULL,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2285339,1.00,7.00,2.00,3.00,7.00,4.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2285347,2.00,5.00,1.00,2.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2285355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2285371,6.00,8.00,9.00,9.00,8.00,6.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2285380,0.00,7.00,5.00,4.00,5.00,4.00,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2285398,3.00,7.00,7.00,4.00,9.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2285401,0.00,6.00,0.00,3.00,6.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2285410,3.00,6.00,3.00,3.00,7.00,6.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2285428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2285436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2285444,1.00,3.00,0.00,4.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2285452,5.00,5.00,2.00,3.00,5.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2285460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2285479,4.00,6.00,4.00,5.00,8.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2285487,6.00,9.00,7.00,8.00,9.00,7.50,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2285495,7.00,8.00,9.00,7.00,9.00,7.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2285509,2.00,7.00,3.00,3.00,5.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2285517,2.00,5.00,2.00,0.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2285525,1.00,4.00,3.00,1.00,5.00,5.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2285533,3.00,2.00,2.00,8.00,6.00,3.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2285541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2285550,1.00,3.00,4.00,1.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2285568,3.00,4.00,3.00,1.00,6.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2285576,4.00,6.00,3.00,4.00,6.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2285584,1.00,6.00,4.00,7.00,7.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2285606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2285614,3.00,4.00,4.00,2.00,4.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2285630,2.00,3.00,0.00,1.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2285649,4.00,5.00,4.00,5.00,5.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'S'),(15,2285657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2285665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2285673,1.00,6.00,6.00,1.00,3.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2285681,5.00,6.00,4.00,6.00,8.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2285690,3.00,7.00,6.00,5.00,7.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2285703,5.00,8.00,6.00,7.00,7.00,6.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2285711,3.00,7.00,3.00,7.00,7.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2285720,2.00,6.00,0.00,0.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2285738,5.00,7.00,5.00,3.00,7.00,4.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2285746,3.00,6.00,1.00,1.00,7.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2285754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2285762,3.00,6.00,6.00,7.00,8.00,6.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2285770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2285797,0.00,7.00,3.00,5.00,6.00,4.00,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2285800,1.00,5.00,3.00,7.00,3.00,6.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2285819,1.00,5.00,6.00,5.00,4.00,3.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2285827,2.00,7.00,0.00,4.00,4.00,4.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2285835,1.00,5.00,3.00,4.00,4.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2285843,3.00,8.00,4.00,9.00,5.00,8.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2285851,3.00,5.00,3.00,8.00,6.00,0.00,4.00,7.00,1.00,NULL,NULL,NULL,'S'),(15,2285860,1.00,5.00,2.00,2.00,6.00,6.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2285878,2.00,5.00,1.00,2.00,6.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2285886,2.00,5.00,4.00,7.00,7.00,6.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2285894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2285908,1.00,7.00,3.00,5.00,4.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2285916,4.00,8.00,7.00,5.00,8.00,6.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2285924,4.00,7.00,2.00,7.00,7.00,7.00,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2285932,7.00,7.00,7.00,5.00,8.00,4.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2285959,1.00,7.00,3.00,7.00,6.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2285967,4.00,8.00,5.00,9.00,7.00,7.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2285975,3.00,4.00,1.00,5.00,5.00,4.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2285991,3.00,7.00,5.00,3.00,5.00,5.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2286009,4.00,5.00,4.00,8.00,8.00,6.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2286017,3.00,6.00,5.00,4.00,8.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2286025,2.00,4.00,6.00,6.00,7.00,5.50,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2286033,2.00,5.00,1.00,5.00,4.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2286041,2.00,7.00,2.00,6.00,6.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2286050,3.00,7.00,4.00,1.00,3.00,3.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2286068,3.00,4.00,2.00,5.00,7.00,4.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2286076,2.00,4.00,7.00,1.00,3.00,4.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2286084,2.00,6.00,3.00,7.00,6.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2286106,7.00,6.00,6.00,9.00,7.00,7.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2286114,0.00,4.00,1.00,3.00,6.00,4.75,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2286122,2.00,4.00,3.00,5.00,4.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2286130,2.00,7.00,7.00,6.00,5.00,4.75,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2286149,5.00,8.00,6.00,8.00,7.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2286157,3.00,2.00,6.00,5.00,3.00,3.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2286165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2286173,0.00,6.00,2.00,0.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2286181,5.00,7.00,8.00,8.00,8.00,5.50,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2286190,3.00,8.00,3.00,4.00,7.00,5.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2286203,3.00,4.00,4.00,5.00,3.00,3.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2286220,8.00,8.00,8.00,8.00,9.00,5.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2286238,4.00,3.00,3.00,4.00,4.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2286246,2.00,3.00,4.00,4.00,6.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2286254,4.00,8.00,5.00,7.00,7.00,4.00,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2286262,5.00,9.00,4.00,3.00,7.00,7.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2286270,5.00,7.00,5.00,8.00,7.00,6.75,6.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2286289,0.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2286297,5.00,7.00,4.00,4.00,7.00,0.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2286300,4.00,8.00,8.00,6.00,8.00,6.25,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2286319,3.00,6.00,2.00,2.00,6.00,5.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2286327,2.00,3.00,1.00,2.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2286335,2.00,6.00,3.00,5.00,7.00,6.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2286343,5.00,5.00,2.00,4.00,5.00,4.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2286351,1.00,7.00,3.00,5.00,5.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2286360,5.00,7.00,3.00,3.00,9.00,6.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2286378,0.00,2.00,3.00,2.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2286386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'S'),(15,2286394,1.00,4.00,0.00,4.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2286408,3.00,6.00,2.00,4.00,5.00,4.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2286416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2286424,0.00,4.00,2.00,0.00,1.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2286432,2.00,4.00,1.00,6.00,4.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2286440,3.00,6.00,0.00,6.00,8.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2286459,7.00,7.00,6.00,7.00,7.00,6.50,9.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2286467,2.00,5.00,3.00,2.00,5.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2286475,3.00,7.00,6.00,7.00,7.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2286505,4.00,6.00,5.00,6.00,6.00,4.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2286513,2.00,5.00,4.00,8.00,6.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2286521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2286530,4.00,7.00,4.00,5.00,5.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2286548,4.00,8.00,4.00,1.00,6.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2286556,4.00,7.00,6.00,6.00,7.00,6.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2286564,4.00,5.00,4.00,7.00,6.00,4.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2286572,5.00,7.00,4.00,7.00,8.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2286580,3.00,6.00,3.00,4.00,5.00,4.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2286599,3.00,6.00,2.00,6.00,8.00,3.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2286602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2286610,1.00,6.00,5.00,6.00,6.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2286629,3.00,7.00,4.00,2.00,5.00,7.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2286637,5.00,7.00,5.00,4.00,5.00,4.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2286645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2286653,2.00,5.00,5.00,6.00,6.00,4.50,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2286661,2.00,5.00,0.00,4.00,4.00,3.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2286670,4.00,7.00,5.00,4.00,7.00,7.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2286688,5.00,7.00,5.00,3.00,4.00,4.75,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(15,2286696,2.00,8.00,2.00,5.00,4.00,6.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2286718,2.00,2.00,3.00,4.00,6.00,5.50,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2286726,1.00,5.00,1.00,0.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2286734,1.00,6.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2286750,6.00,8.00,7.00,8.00,7.00,8.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2286769,3.00,6.00,3.00,4.00,6.00,6.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2286777,3.00,5.00,4.00,0.00,6.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2286785,0.00,3.00,2.00,1.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2286793,4.00,5.00,2.00,5.00,6.00,5.75,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2286815,5.00,6.00,2.00,7.00,7.00,3.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2286823,2.00,6.00,5.00,4.00,5.00,7.00,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2286831,3.00,5.00,5.00,6.00,5.00,4.75,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2286840,1.00,3.00,1.00,5.00,5.00,5.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2286858,0.00,5.00,2.00,6.00,6.00,6.00,5.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2286866,2.00,5.00,3.00,3.00,5.00,6.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2286874,4.00,6.00,4.00,6.00,5.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2286882,2.00,6.00,2.00,4.00,6.00,4.75,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2286890,4.00,7.00,4.00,4.00,6.00,5.00,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2286904,1.00,4.00,1.00,2.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2286912,1.00,4.00,6.00,5.00,4.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2286920,2.00,4.00,3.00,6.00,7.00,5.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2286939,6.00,7.00,2.00,1.00,6.00,4.00,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2286947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2286955,3.00,8.00,6.00,5.00,6.00,5.00,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2286971,1.00,4.00,0.00,3.00,6.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2286980,3.00,7.00,4.00,4.00,7.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2286998,3.00,7.00,1.00,4.00,6.00,4.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2287005,5.00,6.00,7.00,6.00,7.00,5.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2287013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2287021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2287030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2287048,4.00,8.00,6.00,9.00,8.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2287056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2287064,4.00,8.00,2.00,5.00,4.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2287072,5.00,7.00,5.00,7.00,8.00,5.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2287080,6.00,4.00,3.00,3.00,7.00,6.00,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2287099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2287102,2.00,7.00,1.00,7.00,6.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2287110,4.00,6.00,7.00,7.00,8.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2287129,4.00,8.00,5.00,4.00,5.00,6.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2287137,2.00,4.00,2.00,4.00,5.00,5.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2287145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2287153,3.00,4.00,3.00,3.00,6.00,4.75,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2287161,2.00,5.00,5.00,5.00,5.00,4.00,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2287170,4.00,7.00,1.00,4.00,5.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2287196,2.00,6.00,2.00,6.00,6.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2287200,2.00,4.00,4.00,1.00,8.00,7.75,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2287218,2.00,4.00,5.00,6.00,8.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2287226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2287234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2287242,6.00,8.00,7.00,8.00,8.00,5.25,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2287269,4.00,7.00,3.00,6.00,6.00,4.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2287293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2287307,2.00,8.00,3.00,2.00,4.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2287315,6.00,8.00,9.00,9.00,8.00,5.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2287323,4.00,6.00,4.00,6.00,3.00,5.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2287331,1.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2287358,2.00,5.00,3.00,5.00,3.00,4.75,5.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2287366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2287374,2.00,6.00,3.00,5.00,6.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2287382,2.00,6.00,1.00,2.00,6.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2287390,3.00,5.00,2.00,4.00,5.00,3.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2287404,4.00,5.00,2.00,1.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2287412,1.00,6.00,5.00,1.00,3.00,4.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2287420,2.00,5.00,3.00,1.00,6.00,4.00,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2287439,3.00,6.00,1.00,4.00,4.00,4.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2287447,0.00,0.00,0.00,5.00,2.00,NULL,2.00,3.00,3.00,NULL,'S',NULL,'N'),(15,2287455,4.00,6.00,4.00,4.00,7.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2287463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2287471,2.00,5.00,1.00,1.00,7.00,5.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2287480,5.00,5.00,5.00,6.00,7.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2287498,0.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2287501,3.00,6.00,1.00,6.00,7.00,3.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2287528,1.00,7.00,3.00,6.00,5.00,4.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2287536,0.00,6.00,4.00,1.00,5.00,5.50,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2287544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2287552,0.00,3.00,2.00,5.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2287560,1.00,6.00,1.00,7.00,5.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2287579,3.00,6.00,1.00,3.00,5.00,5.00,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2287595,0.00,3.00,1.00,5.00,5.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2287609,5.00,7.00,7.00,6.00,7.00,4.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2287617,0.00,3.00,1.00,5.00,7.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2287625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2287641,1.00,6.00,3.00,3.00,7.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2287650,0.00,0.00,0.00,4.00,3.00,NULL,3.00,5.00,0.00,NULL,'S',NULL,'N'),(15,2287668,2.00,5.00,5.00,7.00,8.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2287676,4.00,7.00,6.00,3.00,5.00,5.00,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2287684,2.00,4.00,2.00,3.00,6.00,8.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2287692,3.00,5.00,3.00,4.00,7.00,3.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2287706,0.00,2.00,2.00,2.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2287714,6.00,7.00,5.00,7.00,6.00,3.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2287722,3.00,2.00,2.00,2.00,4.00,4.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2287730,4.00,8.00,5.00,7.00,9.00,6.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2287749,5.00,8.00,4.00,9.00,9.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2287757,1.00,4.00,6.00,5.00,6.00,7.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2287765,4.00,7.00,7.00,9.00,5.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2287773,3.00,9.00,6.00,6.00,7.00,5.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2287781,2.00,7.00,3.00,0.00,6.00,4.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2287790,5.00,8.00,6.00,7.00,8.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2287803,3.00,4.00,7.00,4.00,7.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2287811,3.00,6.00,3.00,2.00,6.00,5.00,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2287820,2.00,4.00,1.00,0.00,0.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2287838,3.00,6.00,4.00,4.00,7.00,4.00,5.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2287846,2.00,5.00,3.00,4.00,7.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2287854,3.00,5.00,4.00,7.00,6.00,6.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2287870,4.00,4.00,9.00,4.00,7.00,5.75,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2287889,4.00,6.00,5.00,3.00,8.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2287897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2287900,1.00,5.00,1.00,8.00,6.00,5.00,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2287927,3.00,4.00,3.00,1.00,5.00,4.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2287935,3.00,6.00,1.00,5.00,3.00,3.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2287943,4.00,6.00,3.00,5.00,6.00,4.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2287951,4.00,5.00,1.00,3.00,4.00,3.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2287960,3.00,5.00,1.00,1.00,3.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2287978,1.00,5.00,2.00,1.00,3.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2287994,0.00,5.00,3.00,2.00,4.00,7.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2288001,5.00,8.00,6.00,7.00,9.00,5.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2288010,5.00,8.00,7.00,7.00,6.00,4.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2288028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2288036,4.00,7.00,6.00,4.00,8.00,4.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2288044,3.00,2.00,2.00,4.00,5.00,3.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2288052,2.00,2.00,3.00,6.00,3.00,5.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2288060,4.00,6.00,2.00,4.00,7.00,4.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2288079,1.00,8.00,2.00,4.00,5.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2288087,1.00,3.00,1.00,0.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2288095,4.00,8.00,5.00,9.00,8.00,6.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2288109,3.00,7.00,6.00,3.00,5.00,5.50,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2288117,3.00,6.00,4.00,7.00,7.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2288125,3.00,7.00,3.00,5.00,5.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2288133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2288150,2.00,3.00,2.00,0.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2288168,4.00,7.00,4.00,6.00,6.00,6.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2288176,7.00,7.00,7.00,7.00,8.00,5.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2288184,3.00,7.00,5.00,9.00,6.00,4.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2288192,2.00,2.00,2.00,3.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2288206,3.00,7.00,0.00,4.00,4.00,3.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2288214,4.00,6.00,0.00,8.00,5.00,4.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2288222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2288230,5.00,6.00,5.00,5.00,5.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2288249,0.00,1.00,1.00,1.00,5.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2288257,1.00,5.00,2.00,2.00,5.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2288265,6.00,8.00,8.00,5.00,8.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2288273,2.00,6.00,4.00,0.00,5.00,3.75,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2288281,3.00,4.00,1.00,1.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(15,2288290,3.00,5.00,3.00,0.00,3.00,4.75,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2288303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2288311,5.00,8.00,1.00,6.00,6.00,6.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2288320,4.00,9.00,4.00,8.00,6.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2288338,5.00,8.00,6.00,5.00,7.00,6.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2288346,4.00,5.00,2.00,5.00,6.00,5.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2288370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2288389,3.00,7.00,5.00,4.00,5.00,4.00,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2288397,5.00,6.00,6.00,6.00,6.00,5.00,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2288400,7.00,8.00,7.00,8.00,6.00,7.75,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2288419,6.00,7.00,7.00,5.00,5.00,7.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2288427,2.00,8.00,1.00,6.00,5.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2288435,2.00,4.00,0.00,3.00,5.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2288443,3.00,0.00,2.00,2.00,6.00,3.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2288451,6.00,7.00,4.00,9.00,6.00,7.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2288460,2.00,6.00,1.00,6.00,7.00,6.75,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2288478,5.00,6.00,7.00,8.00,5.00,5.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2288486,4.00,6.00,4.00,7.00,4.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2288494,4.00,6.00,5.00,6.00,8.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2288516,2.00,7.00,3.00,6.00,7.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2288524,1.00,3.00,1.00,2.00,4.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2288532,2.00,5.00,3.00,6.00,8.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2288540,5.00,7.00,6.00,6.00,5.00,7.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2288567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2288575,3.00,7.00,4.00,3.00,4.00,4.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2288583,3.00,6.00,1.00,5.00,8.00,4.75,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2288591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2288605,5.00,9.00,2.00,4.00,6.00,4.00,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2288613,5.00,4.00,5.00,5.00,7.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2288621,3.00,6.00,1.00,6.00,5.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2288630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2288648,3.00,4.00,1.00,3.00,5.00,5.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2288656,4.00,7.00,3.00,5.00,7.00,6.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2288664,1.00,5.00,2.00,3.00,4.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2288672,2.00,3.00,0.00,5.00,3.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2288699,3.00,6.00,4.00,5.00,6.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2288702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2288710,1.00,5.00,2.00,4.00,5.00,6.00,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2288729,4.00,7.00,4.00,7.00,5.00,6.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2288737,4.00,8.00,1.00,1.00,8.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2288745,5.00,6.00,7.00,7.00,8.00,7.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2288753,4.00,5.00,3.00,6.00,7.00,6.75,4.00,3.00,0.00,NULL,NULL,NULL,'S'),(15,2288761,2.00,5.00,5.00,6.00,6.00,6.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2288770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2288788,3.00,3.00,0.00,4.00,4.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2288796,1.00,6.00,4.00,5.00,6.00,4.50,3.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2288800,2.00,6.00,6.00,7.00,5.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2288818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2288826,2.00,7.00,2.00,7.00,8.00,7.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2288834,5.00,9.00,6.00,6.00,7.00,6.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2288842,3.00,5.00,7.00,7.00,5.00,4.50,8.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2288850,5.00,5.00,9.00,8.00,6.00,5.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2288869,4.00,4.00,1.00,3.00,4.00,5.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2288885,3.00,6.00,2.00,3.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2288893,2.00,5.00,0.00,6.00,6.00,5.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2288907,2.00,7.00,4.00,9.00,7.00,6.25,4.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2288915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2288923,1.00,5.00,5.00,5.00,5.00,5.25,6.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2288931,4.00,5.00,5.00,6.00,5.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2288958,3.00,8.00,4.00,8.00,7.00,7.75,7.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2288966,2.00,6.00,2.00,2.00,4.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2288974,4.00,7.00,1.00,5.00,7.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2288982,6.00,6.00,5.00,7.00,9.00,5.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2288990,2.00,5.00,3.00,3.00,6.00,4.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2289008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2289016,4.00,6.00,8.00,1.00,6.00,5.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2289024,5.00,7.00,7.00,5.00,6.00,6.00,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2289032,1.00,6.00,5.00,3.00,6.00,5.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2289040,1.00,6.00,0.00,3.00,4.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2289059,4.00,7.00,5.00,7.00,6.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2289067,3.00,4.00,4.00,5.00,5.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2289083,2.00,7.00,5.00,7.00,4.00,8.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2289105,3.00,7.00,8.00,8.00,8.00,4.75,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2289113,4.00,6.00,2.00,4.00,5.00,6.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2289121,2.00,7.00,3.00,3.00,6.00,6.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2289130,4.00,7.00,5.00,8.00,8.00,6.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2289148,4.00,5.00,6.00,2.00,6.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2289156,3.00,8.00,2.00,4.00,3.00,6.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2289172,4.00,5.00,3.00,5.00,7.00,6.25,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2289180,5.00,7.00,1.00,4.00,7.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2289199,1.00,6.00,5.00,3.00,8.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2289202,2.00,4.00,2.00,6.00,7.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2289210,8.00,8.00,7.00,7.00,8.00,4.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2289229,2.00,8.00,5.00,2.00,8.00,5.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2289237,5.00,9.00,2.00,8.00,6.00,5.25,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2289245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2289253,4.00,8.00,5.00,6.00,8.00,6.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2289270,2.00,7.00,2.00,8.00,7.00,3.25,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2289288,8.00,8.00,3.00,6.00,8.00,5.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2289296,5.00,8.00,8.00,6.00,6.00,5.00,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2289300,1.00,3.00,4.00,5.00,5.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2289318,1.00,6.00,5.00,0.00,8.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2289326,5.00,6.00,3.00,1.00,6.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2289334,0.00,6.00,5.00,7.00,8.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2289342,3.00,6.00,3.00,0.00,7.00,6.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2289369,3.00,7.00,2.00,1.00,7.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2289377,3.00,6.00,3.00,1.00,4.00,6.00,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2289385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2289393,0.00,6.00,5.00,0.00,6.00,0.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2289407,3.00,8.00,1.00,5.00,6.00,6.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2289415,1.00,5.00,0.00,2.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2289423,6.00,9.00,7.00,8.00,8.00,7.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2289431,4.00,7.00,7.00,5.00,8.00,7.25,4.00,9.00,1.00,NULL,NULL,NULL,'N'),(15,2289440,0.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2289458,6.00,8.00,5.00,5.00,4.00,5.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2289466,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2289482,3.00,7.00,7.00,9.00,6.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2289490,0.00,2.00,2.00,6.00,1.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2289504,0.00,5.00,2.00,3.00,3.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2289512,2.00,5.00,4.00,0.00,0.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2289520,4.00,6.00,3.00,6.00,4.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2289539,2.00,5.00,4.00,3.00,5.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2289547,2.00,8.00,3.00,4.00,6.00,6.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2289555,2.00,5.00,2.00,1.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2289563,2.00,4.00,3.00,3.00,7.00,5.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2289571,3.00,4.00,4.00,4.00,3.00,5.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2289598,4.00,8.00,5.00,4.00,7.00,6.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2289601,1.00,7.00,3.00,4.00,7.00,7.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2289610,6.00,8.00,4.00,7.00,6.00,6.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2289628,4.00,7.00,7.00,7.00,8.00,4.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2289636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2289644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2289660,4.00,7.00,6.00,8.00,7.00,7.50,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2289679,5.00,7.00,5.00,5.00,6.00,3.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2289687,1.00,3.00,0.00,1.00,4.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2289695,2.00,4.00,2.00,3.00,6.00,3.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2289709,3.00,8.00,7.00,6.00,6.00,4.50,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2289725,2.00,3.00,1.00,2.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2289733,1.00,3.00,3.00,2.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2289741,1.00,5.00,2.00,4.00,6.00,4.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2289750,3.00,7.00,6.00,3.00,5.00,3.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2289768,1.00,6.00,1.00,2.00,5.00,4.75,4.00,9.00,1.00,NULL,NULL,NULL,'S'),(15,2289776,1.00,5.00,0.00,5.00,5.00,6.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2289784,3.00,5.00,2.00,4.00,6.00,4.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2289792,2.00,5.00,3.00,5.00,6.00,6.50,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2289806,0.00,6.00,3.00,3.00,4.00,3.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2289814,3.00,6.00,0.00,3.00,5.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2289830,4.00,7.00,3.00,3.00,7.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2289857,4.00,6.00,2.00,0.00,6.00,4.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2289873,1.00,3.00,0.00,5.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2289881,4.00,7.00,6.00,2.00,5.00,5.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2289890,6.00,7.00,3.00,7.00,6.00,6.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2289903,3.00,5.00,6.00,9.00,7.00,4.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2289920,5.00,5.00,1.00,6.00,5.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2289938,0.00,6.00,3.00,7.00,8.00,5.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2289954,0.00,2.00,2.00,2.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2289970,0.00,4.00,1.00,1.00,2.00,NULL,5.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2289989,3.00,4.00,5.00,2.00,4.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2289997,1.00,6.00,4.00,6.00,5.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2290006,3.00,8.00,4.00,7.00,7.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2290014,6.00,8.00,6.00,5.00,7.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2290022,2.00,7.00,2.00,2.00,5.00,6.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2290030,6.00,8.00,7.00,8.00,8.00,7.00,9.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2290049,2.00,6.00,1.00,8.00,5.00,3.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2290057,4.00,7.00,6.00,5.00,8.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2290065,2.00,7.00,3.00,2.00,5.00,3.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2290073,3.00,4.00,0.00,1.00,2.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2290081,4.00,6.00,2.00,0.00,5.00,5.25,0.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2290090,4.00,3.00,3.00,5.00,6.00,4.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2290103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2290111,2.00,7.00,0.00,2.00,5.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2290120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2290138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2290146,8.00,8.00,7.00,7.00,6.00,6.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2290154,3.00,4.00,2.00,0.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2290162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2290170,2.00,3.00,2.00,1.00,6.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2290189,3.00,3.00,3.00,0.00,6.00,6.00,7.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2290197,4.00,7.00,3.00,6.00,8.00,5.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2290200,2.00,7.00,4.00,3.00,4.00,5.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2290219,5.00,8.00,5.00,7.00,8.00,6.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2290227,2.00,4.00,3.00,4.00,5.00,6.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2290235,1.00,6.00,2.00,3.00,5.00,4.50,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2290243,5.00,5.00,1.00,1.00,7.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2290251,5.00,4.00,6.00,3.00,7.00,5.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2290260,6.00,8.00,7.00,7.00,6.00,5.25,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2290278,3.00,7.00,5.00,4.00,6.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2290286,1.00,1.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2290294,2.00,6.00,4.00,6.00,7.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2290308,3.00,4.00,3.00,2.00,3.00,2.25,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2290316,2.00,5.00,3.00,4.00,5.00,6.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2290324,3.00,7.00,3.00,6.00,9.00,7.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2290340,6.00,7.00,4.00,7.00,5.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2290359,3.00,7.00,6.00,4.00,9.00,5.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2290367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2290375,2.00,6.00,5.00,6.00,7.00,6.50,5.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2290383,2.00,7.00,2.00,5.00,3.00,4.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2290391,3.00,6.00,2.00,6.00,7.00,6.50,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2290405,4.00,5.00,3.00,7.00,7.00,6.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2290413,3.00,3.00,1.00,1.00,5.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2290421,3.00,4.00,4.00,1.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2290430,1.00,5.00,4.00,4.00,3.00,2.00,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2290456,4.00,4.00,3.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2290464,2.00,8.00,3.00,3.00,3.00,3.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2290472,3.00,4.00,2.00,5.00,5.00,4.50,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2290480,5.00,6.00,7.00,8.00,8.00,6.50,5.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2290499,5.00,8.00,5.00,8.00,7.00,7.25,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2290502,1.00,4.00,2.00,4.00,3.00,4.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2290510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2290529,4.00,6.00,5.00,9.00,6.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2290537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2290545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2290553,4.00,6.00,2.00,4.00,4.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2290561,1.00,2.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2290570,0.00,0.00,0.00,9.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2290588,2.00,4.00,4.00,5.00,6.00,5.75,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2290596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2290600,4.00,8.00,4.00,5.00,6.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2290618,7.00,8.00,6.00,7.00,9.00,5.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2290626,2.00,4.00,6.00,1.00,4.00,3.75,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2290634,3.00,7.00,3.00,5.00,5.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2290642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2290650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2290669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2290677,4.00,6.00,3.00,5.00,7.00,6.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2290707,0.00,4.00,4.00,4.00,3.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2290715,3.00,5.00,4.00,7.00,5.00,4.75,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2290723,3.00,7.00,4.00,5.00,7.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2290731,1.00,6.00,3.00,5.00,5.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2290740,1.00,8.00,2.00,7.00,8.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2290758,2.00,5.00,6.00,4.00,5.00,7.00,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2290766,3.00,5.00,4.00,6.00,5.00,7.00,3.00,4.00,0.00,NULL,NULL,NULL,'S'),(15,2290774,3.00,5.00,1.00,2.00,5.00,4.50,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2290782,2.00,8.00,1.00,4.00,5.00,2.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2290790,4.00,7.00,6.00,3.00,8.00,6.75,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2290804,4.00,7.00,8.00,8.00,7.00,4.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2290812,1.00,5.00,4.00,4.00,5.00,4.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2290839,3.00,6.00,4.00,5.00,7.00,5.50,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2290847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2290855,4.00,6.00,1.00,0.00,4.00,2.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2290863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2290871,6.00,6.00,6.00,6.00,7.00,4.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2290880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2290901,4.00,5.00,5.00,2.00,4.00,5.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2290910,3.00,5.00,4.00,6.00,4.00,3.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2290928,5.00,8.00,7.00,4.00,8.00,6.00,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2290936,4.00,5.00,2.00,9.00,8.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2290944,5.00,8.00,5.00,4.00,7.00,5.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2290952,3.00,3.00,2.00,3.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2290960,5.00,6.00,3.00,1.00,4.00,4.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2290979,3.00,7.00,5.00,8.00,8.00,7.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2290987,3.00,7.00,2.00,5.00,4.00,5.75,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2290995,4.00,6.00,4.00,3.00,6.00,7.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2291002,2.00,4.00,3.00,3.00,5.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2291010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2291029,2.00,7.00,3.00,3.00,8.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2291037,2.00,3.00,2.00,2.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2291045,2.00,2.00,0.00,0.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2291053,3.00,5.00,2.00,6.00,4.00,3.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2291061,1.00,4.00,0.00,3.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2291070,3.00,5.00,6.00,6.00,5.00,6.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2291088,3.00,6.00,1.00,6.00,4.00,4.75,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2291096,0.00,4.00,5.00,3.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2291118,1.00,3.00,1.00,4.00,5.00,2.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2291142,0.00,6.00,2.00,0.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2291150,4.00,6.00,1.00,7.00,5.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2291169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2291177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2291185,1.00,5.00,3.00,1.00,6.00,5.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2291193,2.00,6.00,7.00,2.00,6.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2291207,2.00,4.00,0.00,2.00,2.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2291223,1.00,7.00,0.00,3.00,3.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2291240,2.00,3.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2291258,1.00,6.00,4.00,4.00,6.00,4.50,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2291266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2291274,3.00,6.00,3.00,7.00,8.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2291282,8.00,9.00,8.00,6.00,9.00,6.25,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2291290,3.00,7.00,1.00,7.00,5.00,4.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2291312,2.00,6.00,1.00,0.00,1.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2291320,7.00,8.00,6.00,5.00,4.00,4.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2291339,2.00,5.00,3.00,7.00,6.00,4.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2291347,2.00,5.00,4.00,7.00,8.00,6.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2291355,5.00,7.00,5.00,4.00,7.00,4.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2291363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2291371,4.00,6.00,5.00,4.00,7.00,5.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2291398,2.00,6.00,2.00,2.00,7.00,3.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2291401,2.00,6.00,2.00,7.00,6.00,6.00,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2291410,0.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2291428,4.00,7.00,4.00,2.00,8.00,5.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2291444,3.00,7.00,6.00,2.00,7.00,5.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2291452,0.00,5.00,1.00,0.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2291460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2291479,6.00,6.00,1.00,4.00,8.00,5.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2291487,6.00,7.00,6.00,9.00,9.00,8.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2291509,5.00,7.00,7.00,7.00,5.00,5.75,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2291517,0.00,0.00,0.00,0.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2291525,5.00,6.00,8.00,9.00,8.00,6.75,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2291533,2.00,5.00,4.00,2.00,7.00,5.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2291550,2.00,6.00,2.00,0.00,6.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2291568,5.00,5.00,5.00,8.00,8.00,7.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2291576,0.00,5.00,2.00,2.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2291584,5.00,7.00,7.00,5.00,5.00,3.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2291592,2.00,3.00,3.00,3.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2291606,1.00,6.00,3.00,4.00,7.00,6.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2291614,2.00,4.00,3.00,5.00,4.00,4.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2291622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2291630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2291649,3.00,3.00,4.00,3.00,6.00,6.50,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2291657,3.00,7.00,3.00,5.00,6.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2291665,3.00,7.00,4.00,6.00,5.00,3.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2291673,5.00,7.00,5.00,6.00,6.00,6.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2291681,4.00,7.00,4.00,8.00,8.00,7.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2291690,3.00,5.00,0.00,5.00,8.00,4.25,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2291703,2.00,4.00,3.00,0.00,4.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2291711,2.00,7.00,1.00,8.00,6.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2291738,4.00,8.00,5.00,4.00,6.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2291746,4.00,5.00,5.00,5.00,4.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2291754,3.00,5.00,3.00,3.00,6.00,3.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2291762,3.00,6.00,3.00,3.00,4.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2291770,2.00,7.00,4.00,2.00,7.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2291789,2.00,4.00,1.00,0.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2291797,3.00,6.00,2.00,3.00,4.00,4.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2291800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2291819,6.00,8.00,7.00,9.00,6.00,7.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2291827,8.00,6.00,8.00,3.00,7.00,7.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2291835,3.00,6.00,2.00,7.00,7.00,7.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2291851,1.00,7.00,3.00,2.00,6.00,5.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2291860,4.00,5.00,2.00,6.00,5.00,4.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2291878,3.00,6.00,1.00,2.00,5.00,3.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2291886,6.00,6.00,6.00,5.00,7.00,4.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2291894,3.00,3.00,2.00,5.00,7.00,6.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2291908,4.00,4.00,3.00,2.00,3.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2291916,4.00,9.00,9.00,9.00,8.00,7.50,7.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2291924,3.00,5.00,2.00,5.00,6.00,5.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2291932,5.00,5.00,6.00,7.00,7.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2291940,3.00,3.00,5.00,4.00,6.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2291959,4.00,2.00,3.00,6.00,3.00,4.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2291967,3.00,5.00,2.00,6.00,4.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2291983,2.00,4.00,0.00,4.00,5.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2291991,3.00,6.00,1.00,1.00,8.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2292017,4.00,6.00,1.00,5.00,6.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2292025,3.00,7.00,6.00,4.00,6.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2292033,3.00,6.00,5.00,7.00,8.00,7.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2292041,2.00,7.00,4.00,4.00,6.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2292050,2.00,5.00,3.00,5.00,6.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2292068,1.00,6.00,1.00,6.00,7.00,6.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2292076,3.00,6.00,2.00,6.00,6.00,7.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2292084,2.00,4.00,2.00,2.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2292092,3.00,8.00,3.00,6.00,7.00,6.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2292106,0.00,6.00,5.00,1.00,5.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2292114,6.00,7.00,5.00,8.00,6.00,5.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2292122,3.00,6.00,4.00,4.00,4.00,4.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2292149,3.00,6.00,2.00,5.00,8.00,5.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2292157,2.00,5.00,1.00,1.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2292181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2292190,4.00,9.00,3.00,6.00,9.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2292203,0.00,7.00,4.00,5.00,4.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2292211,3.00,2.00,1.00,0.00,4.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2292220,5.00,7.00,5.00,8.00,8.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2292238,0.00,4.00,2.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2292246,1.00,7.00,2.00,0.00,7.00,6.00,5.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2292254,4.00,7.00,2.00,3.00,7.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2292262,6.00,9.00,8.00,8.00,7.00,7.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2292289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2292297,3.00,7.00,5.00,8.00,7.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2292300,1.00,5.00,6.00,2.00,6.00,7.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2292319,3.00,5.00,7.00,4.00,5.00,3.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2292327,2.00,7.00,3.00,0.00,4.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2292335,1.00,5.00,3.00,1.00,5.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2292343,3.00,7.00,5.00,1.00,5.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2292351,3.00,7.00,4.00,9.00,7.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2292360,5.00,7.00,4.00,7.00,6.00,3.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2292378,7.00,7.00,9.00,7.00,7.00,6.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2292386,0.00,6.00,3.00,7.00,7.00,5.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2292394,0.00,2.00,0.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2292408,4.00,6.00,7.00,5.00,5.00,5.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2292416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2292432,4.00,5.00,4.00,7.00,8.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2292440,3.00,6.00,2.00,5.00,3.00,4.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2292459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2292467,0.00,3.00,4.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2292475,3.00,5.00,6.00,1.00,5.00,7.25,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2292483,3.00,5.00,3.00,3.00,6.00,4.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2292491,3.00,4.00,2.00,4.00,8.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2292505,0.00,1.00,1.00,5.00,5.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2292513,3.00,7.00,7.00,8.00,6.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2292521,8.00,7.00,9.00,6.00,9.00,6.25,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2292530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2292556,2.00,5.00,2.00,1.00,4.00,4.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2292564,0.00,8.00,4.00,4.00,7.00,6.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2292572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2292580,5.00,7.00,7.00,3.00,7.00,6.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2292599,4.00,7.00,4.00,6.00,8.00,6.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2292602,2.00,8.00,4.00,0.00,8.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2292610,4.00,6.00,2.00,6.00,4.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2292637,3.00,6.00,3.00,5.00,7.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2292645,4.00,4.00,1.00,8.00,4.00,4.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2292653,2.00,5.00,3.00,2.00,5.00,5.25,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2292661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2292670,2.00,4.00,1.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2292688,4.00,5.00,3.00,4.00,7.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2292696,1.00,3.00,3.00,0.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2292700,2.00,6.00,1.00,2.00,6.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2292718,3.00,4.00,1.00,7.00,8.00,5.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2292726,1.00,5.00,2.00,6.00,5.00,4.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2292742,2.00,3.00,3.00,6.00,5.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2292750,3.00,6.00,4.00,6.00,4.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2292777,2.00,5.00,1.00,4.00,3.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2292785,1.00,6.00,5.00,7.00,4.00,5.50,5.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2292793,4.00,6.00,3.00,2.00,4.00,2.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2292807,6.00,8.00,1.00,2.00,8.00,6.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2292823,2.00,5.00,7.00,5.00,8.00,4.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2292831,6.00,9.00,9.00,9.00,9.00,6.75,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2292840,3.00,5.00,2.00,6.00,5.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2292858,5.00,5.00,3.00,6.00,5.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2292866,1.00,5.00,0.00,0.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2292874,3.00,7.00,3.00,5.00,5.00,4.00,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2292882,7.00,8.00,8.00,9.00,7.00,8.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2292890,3.00,5.00,3.00,4.00,5.00,5.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2292904,3.00,4.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2292912,3.00,5.00,4.00,6.00,5.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2292920,3.00,5.00,3.00,4.00,4.00,3.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2292939,4.00,7.00,4.00,5.00,7.00,4.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2292947,3.00,4.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,'S',NULL,'S','S'),(15,2292971,3.00,5.00,3.00,6.00,4.00,5.00,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2292998,7.00,9.00,9.00,6.00,9.00,7.00,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2293005,3.00,5.00,0.00,4.00,4.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2293013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2293021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2293030,2.00,3.00,3.00,5.00,5.00,3.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2293048,2.00,7.00,4.00,5.00,6.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2293056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2293064,1.00,7.00,2.00,3.00,4.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2293072,3.00,6.00,4.00,4.00,6.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2293080,1.00,4.00,1.00,2.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2293099,5.00,6.00,6.00,6.00,8.00,6.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2293102,1.00,7.00,4.00,9.00,5.00,4.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2293110,3.00,5.00,3.00,3.00,8.00,5.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2293137,3.00,8.00,6.00,6.00,8.00,5.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2293145,0.00,3.00,2.00,3.00,5.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2293153,0.00,6.00,4.00,5.00,6.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2293161,6.00,8.00,5.00,7.00,6.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2293170,5.00,8.00,5.00,9.00,8.00,4.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2293188,2.00,6.00,1.00,4.00,7.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2293196,5.00,5.00,5.00,4.00,7.00,5.50,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2293200,1.00,1.00,0.00,1.00,4.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2293218,2.00,7.00,3.00,5.00,8.00,4.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2293226,1.00,7.00,0.00,2.00,7.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2293234,1.00,3.00,0.00,0.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2293242,1.00,4.00,3.00,4.00,6.00,4.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2293250,1.00,3.00,3.00,6.00,6.00,4.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2293269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2293277,2.00,4.00,1.00,2.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2293285,2.00,4.00,1.00,0.00,7.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2293293,3.00,8.00,1.00,0.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2293307,3.00,7.00,2.00,8.00,8.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2293315,2.00,8.00,4.00,5.00,6.00,6.00,4.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2293323,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2293331,2.00,4.00,4.00,5.00,6.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2293340,4.00,6.00,4.00,3.00,5.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2293358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2293374,1.00,5.00,1.00,5.00,4.00,3.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2293382,2.00,4.00,5.00,5.00,7.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2293390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2293404,2.00,8.00,5.00,6.00,5.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2293412,1.00,4.00,3.00,5.00,3.00,4.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2293420,4.00,4.00,2.00,5.00,6.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2293439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2293447,3.00,1.00,4.00,4.00,3.00,4.75,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2293455,1.00,5.00,1.00,1.00,4.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2293463,5.00,5.00,3.00,8.00,5.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2293471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2293480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2293498,4.00,7.00,6.00,9.00,6.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2293501,5.00,5.00,3.00,5.00,7.00,5.00,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2293510,4.00,7.00,1.00,6.00,7.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2293528,4.00,8.00,8.00,7.00,7.00,5.75,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2293536,3.00,8.00,7.00,8.00,5.00,5.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2293544,3.00,4.00,1.00,2.00,4.00,4.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2293552,2.00,6.00,4.00,7.00,7.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2293560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2293579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2293587,4.00,7.00,5.00,7.00,6.00,5.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2293595,2.00,5.00,1.00,5.00,3.00,6.50,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2293609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2293617,4.00,6.00,7.00,7.00,7.00,5.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2293625,2.00,7.00,5.00,7.00,7.00,5.25,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2293633,3.00,6.00,3.00,4.00,6.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2293641,4.00,5.00,6.00,2.00,6.00,4.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2293650,2.00,6.00,3.00,1.00,6.00,4.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2293668,3.00,7.00,3.00,6.00,4.00,5.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2293676,0.00,4.00,1.00,1.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2293692,3.00,2.00,4.00,1.00,0.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2293722,5.00,8.00,3.00,5.00,6.00,5.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2293730,6.00,4.00,4.00,1.00,4.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2293749,3.00,6.00,1.00,4.00,4.00,4.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2293765,3.00,6.00,1.00,6.00,6.00,5.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2293773,3.00,3.00,3.00,4.00,4.00,4.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2293781,6.00,5.00,5.00,9.00,7.00,6.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2293790,4.00,5.00,4.00,2.00,6.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2293803,1.00,4.00,4.00,6.00,7.00,4.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2293820,0.00,5.00,0.00,1.00,1.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2293838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2293846,0.00,6.00,1.00,3.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2293854,2.00,6.00,2.00,5.00,7.00,5.50,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2293862,2.00,4.00,1.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2293870,1.00,3.00,1.00,6.00,5.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2293889,3.00,5.00,3.00,7.00,6.00,5.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2293897,5.00,6.00,4.00,8.00,7.00,4.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2293900,3.00,9.00,4.00,6.00,6.00,5.00,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2293927,2.00,5.00,3.00,4.00,7.00,7.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2293935,1.00,5.00,0.00,4.00,6.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2293951,2.00,4.00,3.00,2.00,4.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2293960,3.00,6.00,5.00,6.00,6.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2293978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2294010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2294036,4.00,8.00,9.00,7.00,8.00,4.00,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2294044,7.00,7.00,9.00,6.00,8.00,5.50,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(15,2294060,2.00,3.00,3.00,4.00,4.00,4.75,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2294087,4.00,7.00,4.00,5.00,7.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2294095,1.00,1.00,1.00,5.00,4.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2294109,4.00,8.00,8.00,7.00,7.00,7.00,8.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2294117,5.00,9.00,6.00,9.00,9.00,6.50,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2294125,2.00,4.00,0.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2294133,3.00,7.00,3.00,5.00,5.00,4.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2294141,1.00,6.00,4.00,7.00,4.00,4.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2294150,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2294168,3.00,5.00,0.00,4.00,7.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2294176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2294184,0.00,4.00,3.00,6.00,3.00,4.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2294192,2.00,6.00,0.00,6.00,5.00,4.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2294206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2294214,2.00,6.00,3.00,4.00,4.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2294222,2.00,3.00,1.00,0.00,4.00,NULL,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2294230,6.00,8.00,4.00,6.00,8.00,7.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2294249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2294257,4.00,5.00,3.00,3.00,4.00,6.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2294265,4.00,7.00,2.00,5.00,6.00,5.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2294273,4.00,4.00,6.00,4.00,6.00,3.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2294281,1.00,5.00,4.00,4.00,7.00,5.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2294311,1.00,4.00,3.00,5.00,6.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2294320,3.00,5.00,1.00,3.00,3.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2294338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2294346,4.00,7.00,6.00,5.00,9.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2294354,4.00,3.00,4.00,5.00,5.00,4.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2294362,4.00,7.00,5.00,8.00,6.00,5.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2294370,4.00,7.00,1.00,2.00,5.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2294389,4.00,7.00,4.00,7.00,6.00,6.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2294400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2294419,2.00,3.00,1.00,1.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2294427,4.00,7.00,4.00,8.00,5.00,3.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2294435,3.00,6.00,1.00,4.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2294443,4.00,4.00,2.00,4.00,6.00,6.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2294451,5.00,8.00,7.00,5.00,7.00,7.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2294460,1.00,5.00,1.00,4.00,5.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2294478,6.00,6.00,4.00,2.00,6.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2294486,4.00,6.00,5.00,6.00,7.00,3.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2294494,3.00,7.00,3.00,7.00,5.00,5.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2294508,5.00,4.00,4.00,8.00,7.00,7.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2294516,4.00,6.00,3.00,1.00,6.00,5.00,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2294524,4.00,2.00,3.00,3.00,6.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2294532,2.00,7.00,3.00,4.00,5.00,5.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2294540,2.00,8.00,4.00,8.00,4.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2294559,3.00,8.00,4.00,9.00,6.00,6.00,8.00,9.00,2.00,NULL,NULL,NULL,'N'),(15,2294567,4.00,8.00,3.00,8.00,7.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2294575,1.00,6.00,4.00,0.00,4.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2294583,6.00,6.00,3.00,3.00,6.00,5.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2294591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2294605,4.00,8.00,4.00,3.00,5.00,4.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2294613,1.00,3.00,1.00,2.00,4.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2294621,4.00,5.00,4.00,5.00,7.00,3.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2294630,2.00,7.00,3.00,7.00,6.00,7.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2294648,3.00,6.00,4.00,7.00,6.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2294672,4.00,7.00,2.00,6.00,6.00,7.00,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2294680,3.00,6.00,4.00,8.00,6.00,6.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2294699,4.00,6.00,3.00,7.00,8.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2294702,3.00,7.00,5.00,5.00,6.00,5.25,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2294729,3.00,7.00,0.00,3.00,7.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2294737,2.00,7.00,3.00,4.00,5.00,4.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2294745,3.00,7.00,4.00,4.00,8.00,6.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2294753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2294761,5.00,8.00,6.00,1.00,9.00,4.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2294770,3.00,7.00,1.00,6.00,4.00,5.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2294788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2294796,0.00,1.00,3.00,5.00,5.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2294800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2294826,3.00,5.00,1.00,5.00,4.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2294834,3.00,3.00,5.00,5.00,3.00,6.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2294842,6.00,8.00,6.00,9.00,7.00,9.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2294850,5.00,4.00,0.00,5.00,7.00,3.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2294869,5.00,9.00,8.00,4.00,8.00,4.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2294885,7.00,8.00,7.00,7.00,8.00,5.75,7.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2294893,1.00,3.00,2.00,1.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2294907,3.00,6.00,2.00,3.00,3.00,7.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2294915,5.00,6.00,3.00,7.00,8.00,5.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2294923,3.00,7.00,6.00,9.00,8.00,7.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2294931,3.00,8.00,2.00,3.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2294940,1.00,1.00,1.00,2.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2294958,3.00,5.00,4.00,3.00,4.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2294966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2294974,3.00,6.00,2.00,3.00,8.00,6.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2294982,1.00,2.00,2.00,0.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2295008,4.00,5.00,5.00,5.00,4.00,4.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2295016,3.00,7.00,4.00,5.00,6.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2295024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2295032,3.00,6.00,5.00,7.00,5.00,3.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2295040,3.00,6.00,1.00,2.00,4.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2295059,2.00,7.00,6.00,6.00,6.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2295075,3.00,4.00,5.00,4.00,7.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2295083,3.00,7.00,6.00,6.00,7.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2295091,5.00,7.00,4.00,7.00,8.00,6.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2295105,3.00,8.00,4.00,7.00,7.00,5.00,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2295148,2.00,6.00,3.00,6.00,8.00,6.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2295164,3.00,5.00,6.00,2.00,3.00,6.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2295172,3.00,5.00,4.00,2.00,6.00,5.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2295180,1.00,5.00,3.00,0.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2295199,3.00,6.00,7.00,6.00,8.00,8.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2295202,2.00,4.00,2.00,4.00,7.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2295210,2.00,8.00,1.00,3.00,6.00,6.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2295237,4.00,6.00,3.00,5.00,5.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2295245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2295253,4.00,6.00,4.00,7.00,7.00,6.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2295261,3.00,4.00,6.00,3.00,8.00,2.50,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2295270,2.00,8.00,1.00,5.00,6.00,6.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2295288,6.00,7.00,6.00,7.00,9.00,5.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2295296,3.00,6.00,2.00,2.00,3.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2295300,6.00,9.00,6.00,8.00,8.00,7.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2295318,7.00,8.00,8.00,4.00,8.00,5.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2295326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2295334,3.00,5.00,2.00,5.00,4.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2295342,5.00,8.00,3.00,4.00,7.00,6.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2295369,5.00,6.00,6.00,5.00,5.00,7.25,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2295377,2.00,5.00,5.00,3.00,4.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2295385,8.00,9.00,8.00,9.00,6.00,7.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2295393,2.00,3.00,3.00,4.00,4.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2295407,3.00,6.00,4.00,7.00,8.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2295415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2295423,6.00,7.00,4.00,5.00,7.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2295431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2295466,5.00,9.00,4.00,9.00,8.00,6.75,7.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2295474,9.00,8.00,8.00,5.00,8.00,5.25,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(15,2295482,3.00,4.00,3.00,3.00,3.00,5.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2295490,0.00,3.00,3.00,3.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2295512,8.00,9.00,8.00,9.00,8.00,8.25,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2295520,2.00,4.00,1.00,1.00,5.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2295539,3.00,7.00,4.00,9.00,8.00,7.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2295547,4.00,7.00,3.00,7.00,5.00,5.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2295555,5.00,7.00,9.00,8.00,7.00,6.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2295563,3.00,3.00,1.00,5.00,6.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2295580,1.00,7.00,4.00,5.00,6.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2295598,3.00,6.00,2.00,6.00,7.00,6.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2295601,3.00,7.00,4.00,8.00,6.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2295610,2.00,5.00,2.00,0.00,4.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2295628,4.00,7.00,4.00,7.00,5.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2295636,3.00,5.00,2.00,3.00,5.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2295644,4.00,7.00,4.00,8.00,8.00,5.75,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2295652,2.00,4.00,4.00,2.00,6.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2295687,2.00,4.00,1.00,0.00,7.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2295695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2295709,5.00,6.00,1.00,6.00,8.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2295717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2295733,2.00,5.00,4.00,2.00,3.00,3.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2295741,1.00,7.00,4.00,1.00,7.00,5.75,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2295750,3.00,3.00,1.00,6.00,5.00,3.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2295768,5.00,6.00,4.00,7.00,8.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2295776,1.00,8.00,6.00,6.00,9.00,7.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2295784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2295792,3.00,4.00,5.00,1.00,6.00,5.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2295806,4.00,6.00,5.00,2.00,7.00,2.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2295814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2295822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2295857,2.00,7.00,2.00,2.00,7.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2295865,2.00,8.00,6.00,5.00,5.00,4.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2295873,1.00,5.00,1.00,5.00,7.00,3.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2295881,2.00,5.00,0.00,3.00,3.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2295890,2.00,3.00,2.00,0.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2295903,0.00,4.00,2.00,3.00,3.00,4.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2295938,2.00,7.00,6.00,9.00,8.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2295946,3.00,8.00,1.00,0.00,4.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2295954,4.00,4.00,3.00,5.00,5.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2295962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2295970,1.00,5.00,1.00,2.00,4.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2295989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2295997,3.00,7.00,2.00,7.00,7.00,5.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2296004,4.00,7.00,3.00,4.00,7.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2296012,4.00,5.00,0.00,1.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2296020,2.00,6.00,2.00,1.00,6.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2296039,6.00,8.00,9.00,2.00,7.00,6.50,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2296047,2.00,5.00,3.00,7.00,6.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2296063,3.00,8.00,2.00,1.00,4.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2296071,4.00,6.00,3.00,3.00,6.00,3.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2296080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2296101,4.00,5.00,2.00,4.00,3.00,5.50,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2296110,4.00,7.00,6.00,8.00,9.00,6.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2296128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2296136,3.00,6.00,1.00,8.00,3.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2296144,2.00,9.00,4.00,6.00,6.00,5.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2296152,1.00,6.00,3.00,6.00,5.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2296160,0.00,2.00,2.00,0.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2296179,3.00,5.00,3.00,4.00,5.00,3.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2296187,7.00,7.00,7.00,9.00,7.00,5.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2296195,4.00,4.00,4.00,2.00,5.00,3.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2296209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2296217,1.00,5.00,2.00,3.00,5.00,3.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2296225,4.00,7.00,5.00,5.00,4.00,6.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2296241,3.00,7.00,2.00,3.00,5.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2296250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2296268,5.00,7.00,7.00,5.00,8.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2296276,4.00,7.00,5.00,4.00,5.00,4.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2296284,2.00,4.00,3.00,5.00,7.00,5.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2296292,3.00,4.00,4.00,6.00,5.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2296306,4.00,7.00,2.00,7.00,7.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2296314,2.00,5.00,3.00,3.00,2.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2296322,2.00,4.00,2.00,4.00,4.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2296330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2296349,4.00,6.00,1.00,6.00,5.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2296357,6.00,8.00,7.00,8.00,8.00,6.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2296365,4.00,7.00,3.00,7.00,7.00,3.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2296373,3.00,4.00,2.00,4.00,7.00,4.50,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2296390,3.00,7.00,5.00,2.00,4.00,4.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2296403,1.00,6.00,5.00,5.00,3.00,4.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2296411,2.00,8.00,4.00,0.00,4.00,7.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2296420,4.00,8.00,2.00,8.00,7.00,7.75,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2296438,4.00,6.00,4.00,9.00,8.00,7.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2296446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2296454,2.00,5.00,3.00,3.00,4.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2296462,5.00,8.00,4.00,8.00,5.00,5.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2296470,2.00,5.00,2.00,4.00,4.00,3.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2296489,4.00,7.00,7.00,5.00,5.00,5.25,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2296497,2.00,7.00,3.00,6.00,9.00,5.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2296500,3.00,6.00,3.00,6.00,8.00,6.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2296519,4.00,8.00,4.00,5.00,7.00,6.25,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2296527,4.00,5.00,0.00,3.00,4.00,4.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2296535,5.00,5.00,4.00,7.00,5.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2296543,1.00,8.00,4.00,6.00,6.00,7.00,8.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2296551,5.00,9.00,4.00,6.00,7.00,5.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2296560,4.00,9.00,6.00,8.00,7.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2296578,4.00,8.00,4.00,4.00,8.00,5.25,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2296586,6.00,6.00,8.00,9.00,7.00,6.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2296594,3.00,6.00,4.00,3.00,6.00,4.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2296608,4.00,7.00,4.00,6.00,7.00,4.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2296616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2296624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2296632,5.00,7.00,5.00,4.00,8.00,5.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2296640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2296659,3.00,7.00,4.00,4.00,8.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2296667,1.00,5.00,3.00,4.00,6.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2296675,4.00,7.00,0.00,4.00,7.00,6.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2296683,4.00,4.00,3.00,4.00,5.00,5.25,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2296705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2296713,5.00,4.00,2.00,3.00,5.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2296721,2.00,5.00,1.00,3.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2296730,5.00,8.00,3.00,6.00,5.00,6.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2296748,4.00,6.00,4.00,8.00,5.00,6.75,7.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2296756,1.00,5.00,4.00,1.00,6.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2296764,1.00,6.00,1.00,6.00,6.00,4.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2296772,4.00,4.00,3.00,4.00,4.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2296780,7.00,8.00,8.00,8.00,7.00,6.50,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2296799,3.00,6.00,2.00,4.00,6.00,5.75,3.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2296802,2.00,5.00,2.00,3.00,3.00,5.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2296810,4.00,4.00,6.00,0.00,5.00,1.75,5.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2296837,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2296853,1.00,6.00,5.00,2.00,6.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2296870,5.00,4.00,4.00,4.00,7.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2296888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2296896,4.00,7.00,6.00,8.00,8.00,4.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2296900,3.00,6.00,3.00,3.00,4.00,6.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2296918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2296934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2296942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2296950,3.00,5.00,3.00,2.00,4.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2296969,4.00,7.00,0.00,1.00,4.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2296977,2.00,5.00,1.00,4.00,5.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2296985,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2296993,0.00,3.00,1.00,5.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'S'),(15,2297000,1.00,4.00,2.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2297019,4.00,8.00,3.00,8.00,5.00,5.50,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2297027,2.00,5.00,1.00,4.00,5.00,5.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2297035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2297043,3.00,1.00,0.00,2.00,4.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2297051,6.00,8.00,2.00,4.00,8.00,5.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2297060,1.00,3.00,3.00,5.00,3.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2297078,4.00,8.00,5.00,6.00,6.00,5.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2297086,2.00,5.00,2.00,6.00,5.00,6.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2297094,3.00,5.00,1.00,3.00,7.00,4.75,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2297108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2297116,2.00,6.00,4.00,5.00,5.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2297124,4.00,7.00,3.00,4.00,4.00,4.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2297132,6.00,8.00,6.00,5.00,9.00,7.00,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2297140,1.00,6.00,5.00,3.00,4.00,3.50,5.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2297159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2297167,4.00,9.00,4.00,2.00,7.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2297175,5.00,8.00,5.00,6.00,6.00,5.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2297183,4.00,6.00,2.00,4.00,6.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2297191,3.00,3.00,0.00,3.00,4.00,6.50,6.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2297205,3.00,5.00,2.00,2.00,5.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2297213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2297221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2297230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2297248,2.00,4.00,0.00,1.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2297256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2297264,1.00,3.00,0.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2297272,5.00,8.00,6.00,7.00,5.00,7.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2297280,2.00,6.00,3.00,6.00,4.00,4.75,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(15,2297299,2.00,3.00,2.00,2.00,4.00,3.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2297302,4.00,3.00,5.00,6.00,7.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2297310,4.00,7.00,5.00,5.00,6.00,3.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2297329,2.00,5.00,2.00,4.00,4.00,5.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2297337,5.00,5.00,3.00,3.00,6.00,4.25,5.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2297345,3.00,7.00,4.00,6.00,5.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2297353,4.00,7.00,6.00,6.00,7.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2297361,2.00,3.00,1.00,1.00,4.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2297370,3.00,7.00,2.00,6.00,7.00,5.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2297388,4.00,6.00,3.00,7.00,8.00,6.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2297396,4.00,8.00,7.00,6.00,7.00,5.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2297400,2.00,5.00,1.00,2.00,4.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2297418,2.00,5.00,1.00,1.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2297426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2297434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2297442,2.00,5.00,1.00,2.00,3.00,4.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2297450,3.00,6.00,2.00,2.00,4.00,4.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2297469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2297477,2.00,3.00,1.00,3.00,4.00,5.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2297485,7.00,7.00,7.00,8.00,7.00,5.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2297493,2.00,6.00,2.00,6.00,5.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2297507,3.00,4.00,2.00,6.00,7.00,4.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2297515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2297523,3.00,6.00,4.00,7.00,6.00,5.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2297531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2297540,3.00,7.00,1.00,5.00,6.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2297558,2.00,7.00,2.00,1.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2297574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2297582,5.00,8.00,6.00,7.00,9.00,5.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2297590,0.00,5.00,2.00,2.00,3.00,NULL,5.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2297604,1.00,4.00,1.00,1.00,3.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2297612,4.00,7.00,4.00,6.00,6.00,4.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2297620,3.00,5.00,2.00,1.00,6.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2297639,5.00,6.00,7.00,8.00,7.00,6.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2297647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2297655,4.00,3.00,0.00,3.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2297663,3.00,7.00,5.00,4.00,5.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2297671,3.00,6.00,5.00,2.00,6.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2297680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2297698,3.00,3.00,2.00,5.00,5.00,6.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2297701,4.00,4.00,1.00,5.00,4.00,3.25,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2297710,3.00,6.00,4.00,5.00,7.00,3.75,9.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2297728,5.00,5.00,6.00,3.00,6.00,6.00,7.00,5.00,6.00,NULL,NULL,NULL,'S'),(15,2297736,2.00,6.00,6.00,4.00,8.00,6.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2297744,4.00,5.00,3.00,2.00,8.00,3.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2297752,4.00,7.00,3.00,6.00,6.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2297760,3.00,3.00,3.00,6.00,3.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2297779,5.00,5.00,5.00,5.00,7.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2297795,5.00,7.00,5.00,5.00,7.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2297809,1.00,5.00,3.00,2.00,4.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2297817,1.00,5.00,1.00,1.00,4.00,4.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2297825,3.00,3.00,1.00,2.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2297833,2.00,8.00,6.00,9.00,7.00,6.00,6.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2297841,2.00,5.00,5.00,7.00,4.00,5.50,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2297850,0.00,6.00,0.00,0.00,5.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2297868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2297876,4.00,3.00,4.00,6.00,7.00,3.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2297884,0.00,3.00,1.00,8.00,4.00,NULL,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2297892,1.00,4.00,6.00,4.00,6.00,4.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2297906,3.00,6.00,2.00,4.00,3.00,4.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2297914,4.00,8.00,6.00,0.00,9.00,3.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2297922,3.00,6.00,5.00,7.00,7.00,4.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2297930,4.00,3.00,1.00,5.00,5.00,5.50,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2297949,1.00,6.00,3.00,4.00,5.00,4.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2297957,1.00,3.00,1.00,0.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2297965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2297973,4.00,7.00,4.00,4.00,8.00,3.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2297981,1.00,4.00,1.00,1.00,6.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2297990,1.00,4.00,3.00,3.00,3.00,4.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2298007,4.00,8.00,2.00,5.00,7.00,6.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2298015,3.00,5.00,2.00,1.00,6.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2298023,6.00,8.00,6.00,7.00,8.00,6.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2298031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2298040,3.00,5.00,3.00,1.00,0.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2298058,1.00,4.00,1.00,1.00,6.00,5.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2298066,7.00,8.00,6.00,8.00,7.00,7.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2298074,3.00,7.00,4.00,7.00,7.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2298082,6.00,7.00,5.00,6.00,7.00,6.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2298104,5.00,9.00,7.00,7.00,7.00,7.00,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2298112,0.00,3.00,2.00,2.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2298120,1.00,3.00,3.00,2.00,7.00,4.25,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2298139,4.00,8.00,5.00,8.00,5.00,3.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2298147,2.00,5.00,7.00,2.00,8.00,7.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2298155,7.00,8.00,6.00,9.00,7.00,9.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2298163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2298171,2.00,2.00,0.00,4.00,4.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2298198,2.00,7.00,1.00,2.00,5.00,2.50,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2298201,3.00,8.00,5.00,5.00,8.00,6.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2298210,4.00,3.00,1.00,7.00,6.00,5.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2298236,6.00,8.00,5.00,6.00,9.00,8.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2298252,4.00,5.00,4.00,6.00,7.00,6.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2298260,3.00,8.00,4.00,5.00,5.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2298279,4.00,4.00,1.00,3.00,3.00,4.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2298287,3.00,7.00,3.00,5.00,4.00,4.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2298295,0.00,8.00,2.00,6.00,6.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2298309,1.00,4.00,4.00,2.00,4.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2298317,5.00,7.00,6.00,8.00,8.00,6.00,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2298325,4.00,5.00,4.00,9.00,8.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2298333,4.00,5.00,7.00,5.00,6.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2298341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2298350,3.00,7.00,6.00,4.00,5.00,7.75,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2298368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2298376,5.00,6.00,4.00,5.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2298384,3.00,8.00,4.00,2.00,6.00,6.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2298392,5.00,6.00,5.00,6.00,8.00,4.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2298406,0.00,4.00,2.00,2.00,4.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2298414,5.00,8.00,9.00,8.00,10.00,7.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2298422,1.00,4.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2298449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2298457,1.00,2.00,0.00,0.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2298465,5.00,7.00,1.00,3.00,7.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2298473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2298490,3.00,6.00,3.00,2.00,6.00,4.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2298503,1.00,2.00,1.00,3.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2298511,2.00,4.00,2.00,7.00,5.00,6.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2298520,5.00,7.00,2.00,2.00,6.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2298538,6.00,6.00,1.00,6.00,7.00,4.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2298546,2.00,3.00,3.00,0.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2298554,7.00,4.00,6.00,8.00,6.00,6.25,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2298562,3.00,4.00,2.00,8.00,6.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2298570,4.00,5.00,3.00,3.00,5.00,5.75,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2298589,4.00,7.00,4.00,8.00,6.00,6.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2298600,2.00,7.00,3.00,3.00,4.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2298619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2298635,5.00,4.00,4.00,5.00,6.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2298643,6.00,8.00,8.00,6.00,7.00,7.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2298651,6.00,7.00,8.00,3.00,5.00,7.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2298660,2.00,6.00,4.00,7.00,7.00,5.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2298686,0.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2298694,4.00,5.00,3.00,4.00,5.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2298708,2.00,5.00,4.00,9.00,5.00,6.75,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2298716,3.00,7.00,6.00,8.00,5.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2298740,4.00,8.00,3.00,9.00,4.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2298767,4.00,4.00,0.00,3.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2298775,3.00,8.00,3.00,1.00,9.00,7.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2298783,0.00,5.00,2.00,3.00,3.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2298791,1.00,5.00,2.00,4.00,6.00,5.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2298805,0.00,7.00,6.00,8.00,7.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2298813,2.00,4.00,5.00,8.00,6.00,0.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2298848,3.00,4.00,3.00,4.00,7.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2298856,5.00,6.00,6.00,4.00,8.00,5.75,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2298864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2298880,3.00,7.00,2.00,8.00,7.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2298899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2298910,1.00,4.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2298929,2.00,2.00,1.00,1.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2298937,2.00,8.00,6.00,5.00,7.00,5.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2298945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2298953,1.00,4.00,4.00,5.00,6.00,4.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2298961,4.00,4.00,3.00,5.00,3.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2298970,0.00,6.00,2.00,1.00,4.00,5.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2298996,2.00,6.00,2.00,4.00,6.00,6.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2299003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2299020,3.00,6.00,2.00,8.00,5.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2299038,2.00,4.00,0.00,4.00,5.00,4.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2299046,6.00,8.00,8.00,8.00,7.00,5.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2299054,2.00,7.00,2.00,7.00,6.00,5.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2299062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2299070,3.00,7.00,7.00,6.00,7.00,5.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2299089,3.00,2.00,1.00,5.00,3.00,4.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2299097,2.00,6.00,2.00,3.00,5.00,3.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2299119,2.00,4.00,3.00,3.00,5.00,5.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2299127,3.00,6.00,8.00,5.00,8.00,6.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2299135,4.00,7.00,6.00,4.00,6.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2299143,2.00,9.00,6.00,6.00,7.00,5.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2299151,2.00,6.00,1.00,4.00,6.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2299160,3.00,8.00,5.00,5.00,8.00,5.75,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2299178,5.00,8.00,6.00,9.00,8.00,4.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2299186,4.00,2.00,1.00,5.00,6.00,5.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2299194,5.00,5.00,7.00,6.00,6.00,5.25,8.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2299216,4.00,6.00,4.00,5.00,6.00,3.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2299232,3.00,7.00,6.00,5.00,9.00,6.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2299259,4.00,7.00,5.00,4.00,7.00,3.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2299267,4.00,6.00,4.00,5.00,6.00,6.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2299275,4.00,7.00,6.00,6.00,8.00,6.25,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2299283,1.00,6.00,7.00,5.00,7.00,5.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2299305,3.00,6.00,4.00,8.00,6.00,5.75,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2299313,2.00,6.00,6.00,5.00,5.00,3.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2299321,2.00,6.00,2.00,2.00,5.00,4.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2299330,3.00,7.00,2.00,5.00,9.00,5.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2299348,4.00,6.00,6.00,3.00,4.00,5.75,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2299356,3.00,7.00,2.00,2.00,4.00,0.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2299364,0.00,3.00,3.00,3.00,3.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2299372,3.00,5.00,6.00,7.00,8.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2299380,2.00,6.00,5.00,5.00,5.00,6.25,4.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2299399,3.00,3.00,2.00,3.00,3.00,4.00,5.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2299410,5.00,5.00,2.00,2.00,5.00,3.50,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2299429,5.00,9.00,8.00,7.00,7.00,7.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2299437,2.00,4.00,3.00,3.00,5.00,6.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2299445,4.00,4.00,3.00,6.00,6.00,6.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2299453,3.00,8.00,4.00,8.00,6.00,7.00,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2299461,4.00,6.00,4.00,8.00,7.00,5.75,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2299470,4.00,7.00,4.00,5.00,6.00,6.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2299488,5.00,6.00,6.00,7.00,9.00,7.00,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2299500,5.00,8.00,7.00,8.00,5.00,5.75,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2299518,2.00,5.00,4.00,6.00,3.00,3.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2299526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2299534,3.00,7.00,1.00,4.00,4.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2299542,4.00,8.00,5.00,7.00,7.00,6.25,4.00,3.00,4.00,NULL,NULL,NULL,'S'),(15,2299550,1.00,3.00,1.00,4.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2299569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2299585,5.00,6.00,5.00,4.00,5.00,5.75,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2299593,4.00,5.00,4.00,4.00,8.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2299615,3.00,5.00,2.00,4.00,7.00,3.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2299623,5.00,6.00,5.00,5.00,4.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2299640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2299658,4.00,8.00,2.00,5.00,7.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2299666,2.00,2.00,3.00,2.00,5.00,NULL,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(15,2299674,1.00,3.00,3.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2299682,2.00,4.00,1.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2299690,2.00,6.00,3.00,6.00,6.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2299704,3.00,3.00,0.00,4.00,5.00,4.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2299712,2.00,6.00,2.00,8.00,7.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2299720,5.00,5.00,4.00,9.00,4.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2299739,2.00,2.00,0.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2299747,6.00,6.00,6.00,9.00,4.00,6.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2299755,0.00,8.00,3.00,7.00,5.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2299763,4.00,6.00,3.00,7.00,4.00,5.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2299771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2299780,2.00,4.00,1.00,3.00,5.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2299798,1.00,5.00,4.00,7.00,7.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2299801,3.00,5.00,5.00,2.00,6.00,8.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2299810,4.00,6.00,3.00,2.00,6.00,6.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2299828,3.00,3.00,1.00,2.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2299844,1.00,6.00,3.00,4.00,6.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2299852,2.00,7.00,4.00,3.00,8.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2299860,1.00,5.00,4.00,6.00,7.00,5.25,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2299879,1.00,8.00,2.00,8.00,7.00,7.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2299887,2.00,5.00,4.00,5.00,5.00,4.75,5.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2299895,2.00,4.00,1.00,5.00,6.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2299909,4.00,5.00,4.00,3.00,5.00,4.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2299917,1.00,6.00,2.00,5.00,7.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2299925,6.00,6.00,7.00,8.00,7.00,4.75,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2299933,4.00,6.00,4.00,5.00,6.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2299941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2299950,6.00,5.00,3.00,1.00,4.00,5.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2299968,2.00,5.00,2.00,0.00,4.00,3.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2299984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2299992,5.00,7.00,2.00,7.00,8.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2300001,2.00,5.00,5.00,3.00,9.00,5.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2300010,4.00,8.00,7.00,6.00,7.00,5.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2300028,2.00,6.00,5.00,1.00,4.00,7.75,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2300036,2.00,6.00,1.00,6.00,6.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2300052,5.00,2.00,4.00,4.00,6.00,4.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2300060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2300079,4.00,7.00,1.00,3.00,6.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2300087,3.00,3.00,1.00,1.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2300095,1.00,5.00,1.00,0.00,3.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2300109,5.00,7.00,3.00,6.00,5.00,4.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2300117,6.00,8.00,6.00,8.00,7.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2300125,4.00,6.00,4.00,4.00,8.00,7.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2300133,2.00,6.00,3.00,7.00,6.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2300141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2300150,1.00,3.00,2.00,5.00,5.00,3.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2300168,3.00,2.00,2.00,3.00,5.00,3.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2300176,0.00,2.00,4.00,4.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2300192,6.00,8.00,7.00,9.00,8.00,6.00,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2300206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2300214,2.00,7.00,2.00,7.00,7.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2300222,2.00,3.00,2.00,0.00,5.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2300230,2.00,4.00,5.00,8.00,5.00,5.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2300249,1.00,5.00,4.00,6.00,5.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2300257,5.00,7.00,4.00,6.00,7.00,6.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2300265,2.00,7.00,3.00,7.00,4.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2300273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2300281,3.00,7.00,5.00,7.00,5.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2300290,4.00,5.00,3.00,5.00,7.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2300303,6.00,8.00,7.00,5.00,8.00,5.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2300311,1.00,4.00,0.00,2.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2300320,5.00,7.00,6.00,6.00,8.00,6.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2300338,3.00,7.00,7.00,7.00,5.00,5.25,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2300346,5.00,6.00,1.00,7.00,6.00,5.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2300354,3.00,3.00,4.00,5.00,3.00,4.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2300362,2.00,7.00,4.00,4.00,4.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2300370,2.00,3.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2300400,2.00,4.00,2.00,2.00,3.00,5.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2300419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2300435,2.00,6.00,6.00,6.00,6.00,5.75,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2300443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2300451,4.00,8.00,7.00,5.00,7.00,3.75,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2300460,1.00,2.00,5.00,6.00,6.00,3.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2300478,4.00,5.00,2.00,1.00,4.00,5.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2300486,5.00,5.00,3.00,3.00,5.00,7.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2300494,2.00,4.00,5.00,6.00,7.00,4.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2300508,2.00,4.00,2.00,3.00,5.00,3.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2300532,2.00,6.00,7.00,3.00,3.00,4.25,8.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2300540,2.00,4.00,1.00,4.00,7.00,4.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2300559,1.00,5.00,4.00,3.00,3.00,2.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2300567,2.00,8.00,4.00,7.00,4.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2300575,2.00,6.00,2.00,6.00,7.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2300583,3.00,6.00,4.00,3.00,8.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2300591,2.00,5.00,3.00,7.00,7.00,5.00,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2300605,4.00,4.00,3.00,9.00,6.00,7.25,5.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2300613,2.00,4.00,0.00,3.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2300621,3.00,7.00,5.00,3.00,5.00,8.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2300630,2.00,3.00,0.00,6.00,6.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2300656,4.00,5.00,0.00,3.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2300664,2.00,2.00,1.00,5.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2300672,5.00,7.00,4.00,9.00,8.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2300680,3.00,5.00,5.00,1.00,5.00,4.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2300699,2.00,6.00,4.00,3.00,5.00,4.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2300702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2300710,0.00,2.00,1.00,0.00,1.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2300729,3.00,6.00,2.00,2.00,6.00,5.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2300737,8.00,8.00,9.00,9.00,8.00,6.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2300770,3.00,5.00,1.00,6.00,6.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2300788,5.00,7.00,3.00,8.00,4.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2300800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2300818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2300826,3.00,6.00,4.00,5.00,5.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2300842,5.00,7.00,4.00,8.00,8.00,4.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2300850,5.00,8.00,8.00,9.00,7.00,5.50,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2300869,2.00,3.00,5.00,2.00,5.00,5.75,7.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2300877,3.00,6.00,1.00,1.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2300885,2.00,5.00,3.00,5.00,3.00,6.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2300893,3.00,4.00,2.00,5.00,5.00,6.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2300907,0.00,6.00,2.00,1.00,4.00,3.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2300915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2300923,0.00,3.00,1.00,5.00,6.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2300931,3.00,8.00,3.00,6.00,2.00,NULL,4.00,7.00,0.00,NULL,NULL,NULL,'N'),(15,2300940,5.00,4.00,5.00,5.00,6.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2300958,3.00,5.00,4.00,2.00,8.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2300966,3.00,5.00,3.00,0.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2300974,0.00,5.00,2.00,5.00,6.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2300982,0.00,7.00,2.00,7.00,6.00,3.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2300990,2.00,7.00,5.00,4.00,5.00,4.75,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2301016,2.00,4.00,0.00,5.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2301024,5.00,7.00,6.00,7.00,7.00,6.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2301032,3.00,6.00,2.00,3.00,6.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2301067,7.00,8.00,8.00,7.00,8.00,7.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2301075,3.00,6.00,4.00,8.00,7.00,5.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2301083,2.00,5.00,4.00,4.00,5.00,6.50,4.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2301091,2.00,6.00,6.00,2.00,7.00,6.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2301113,4.00,5.00,2.00,4.00,4.00,4.50,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2301121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2301130,4.00,4.00,2.00,8.00,4.00,5.25,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(15,2301148,1.00,4.00,2.00,1.00,3.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2301156,2.00,6.00,5.00,6.00,5.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2301172,4.00,7.00,5.00,5.00,7.00,5.50,7.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2301180,4.00,8.00,5.00,8.00,7.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2301202,2.00,6.00,7.00,1.00,7.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2301229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2301237,7.00,7.00,7.00,8.00,7.00,6.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2301245,4.00,8.00,5.00,6.00,8.00,5.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2301253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2301261,2.00,6.00,4.00,3.00,5.00,4.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2301270,2.00,3.00,3.00,4.00,4.00,5.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2301288,4.00,7.00,4.00,6.00,6.00,6.00,5.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2301296,4.00,7.00,3.00,2.00,4.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2301300,1.00,5.00,2.00,5.00,5.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2301318,4.00,6.00,4.00,7.00,5.00,5.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2301326,1.00,5.00,3.00,4.00,6.00,2.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2301334,4.00,5.00,3.00,5.00,3.00,7.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2301342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2301350,3.00,4.00,2.00,3.00,6.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2301369,3.00,3.00,2.00,3.00,6.00,4.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2301377,0.00,2.00,1.00,0.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2301385,4.00,7.00,2.00,5.00,8.00,5.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2301393,3.00,4.00,3.00,2.00,6.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2301407,0.00,4.00,2.00,7.00,5.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2301415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2301423,3.00,7.00,4.00,5.00,6.00,7.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2301431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2301458,3.00,3.00,1.00,6.00,4.00,3.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2301466,3.00,6.00,2.00,5.00,3.00,5.50,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2301474,2.00,5.00,3.00,4.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2301482,0.00,5.00,0.00,2.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2301490,3.00,8.00,4.00,5.00,6.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'S'),(15,2301504,1.00,5.00,2.00,1.00,5.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2301512,3.00,7.00,4.00,7.00,6.00,4.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2301520,0.00,7.00,3.00,6.00,6.00,5.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2301539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2301547,3.00,7.00,3.00,5.00,3.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2301555,4.00,4.00,3.00,2.00,3.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2301563,2.00,5.00,1.00,6.00,5.00,3.75,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2301571,4.00,4.00,2.00,7.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2301580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2301598,3.00,6.00,4.00,4.00,7.00,6.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2301601,2.00,7.00,2.00,6.00,7.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2301628,5.00,7.00,6.00,7.00,4.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2301636,0.00,5.00,4.00,0.00,6.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2301644,4.00,7.00,3.00,1.00,3.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2301652,3.00,7.00,3.00,4.00,6.00,7.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2301660,0.00,2.00,1.00,4.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2301679,4.00,5.00,1.00,6.00,5.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2301687,3.00,5.00,5.00,5.00,4.00,5.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2301695,4.00,5.00,1.00,1.00,3.00,5.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2301709,0.00,3.00,5.00,1.00,3.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2301717,3.00,2.00,0.00,5.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2301725,2.00,5.00,0.00,6.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2301733,6.00,7.00,5.00,5.00,7.00,7.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2301741,3.00,4.00,4.00,3.00,3.00,2.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2301750,2.00,5.00,3.00,2.00,3.00,3.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2301768,4.00,7.00,7.00,6.00,8.00,4.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2301776,3.00,4.00,4.00,4.00,3.00,5.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2301784,2.00,4.00,2.00,0.00,5.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2301792,3.00,6.00,4.00,3.00,5.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2301814,5.00,7.00,9.00,7.00,5.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2301822,2.00,3.00,2.00,7.00,4.00,4.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2301830,3.00,5.00,6.00,8.00,5.00,7.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2301849,5.00,5.00,2.00,5.00,7.00,6.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2301865,6.00,7.00,6.00,0.00,4.00,4.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2301873,4.00,5.00,4.00,6.00,5.00,4.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2301903,1.00,3.00,1.00,2.00,4.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2301920,2.00,4.00,5.00,7.00,7.00,6.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2301938,3.00,3.00,5.00,4.00,6.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2301946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2301954,2.00,5.00,3.00,1.00,4.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2301962,4.00,7.00,6.00,9.00,6.00,0.00,5.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2301970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2301989,3.00,5.00,2.00,3.00,6.00,5.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2301997,2.00,4.00,3.00,4.00,6.00,6.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2302004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2302012,3.00,6.00,1.00,7.00,4.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2302020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2302039,5.00,6.00,1.00,4.00,7.00,4.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2302047,3.00,5.00,4.00,6.00,7.00,3.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2302055,7.00,7.00,6.00,8.00,7.00,5.00,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2302063,3.00,5.00,0.00,2.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2302071,0.00,7.00,2.00,3.00,5.00,3.00,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2302080,3.00,6.00,5.00,2.00,6.00,4.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2302098,3.00,7.00,5.00,4.00,6.00,3.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2302101,4.00,5.00,4.00,2.00,8.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2302110,3.00,7.00,6.00,8.00,4.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2302128,1.00,8.00,3.00,7.00,4.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2302136,7.00,8.00,6.00,6.00,7.00,6.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2302144,2.00,3.00,0.00,6.00,6.00,NULL,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2302160,3.00,7.00,3.00,9.00,7.00,4.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2302187,5.00,6.00,0.00,8.00,7.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2302195,2.00,9.00,7.00,8.00,8.00,4.25,8.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2302217,3.00,7.00,5.00,8.00,6.00,5.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2302225,6.00,9.00,6.00,8.00,8.00,6.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2302233,3.00,7.00,3.00,6.00,5.00,6.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2302250,4.00,5.00,1.00,5.00,6.00,5.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2302268,5.00,7.00,6.00,4.00,5.00,4.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2302276,2.00,8.00,4.00,6.00,5.00,5.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2302284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2302292,2.00,4.00,3.00,6.00,7.00,4.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2302306,6.00,7.00,8.00,8.00,7.00,7.75,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2302314,4.00,4.00,3.00,5.00,6.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2302322,5.00,8.00,6.00,8.00,6.00,5.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2302330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2302349,3.00,5.00,4.00,1.00,7.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2302357,0.00,5.00,6.00,1.00,4.00,3.75,3.00,4.00,0.00,NULL,NULL,NULL,'S'),(15,2302365,3.00,6.00,4.00,7.00,7.00,4.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2302373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2302381,4.00,8.00,5.00,9.00,8.00,6.25,6.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2302403,1.00,6.00,2.00,3.00,3.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2302420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2302446,2.00,6.00,4.00,4.00,5.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2302462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2302470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2302489,2.00,6.00,3.00,8.00,6.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2302500,2.00,7.00,5.00,3.00,6.00,4.75,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2302519,2.00,3.00,0.00,0.00,4.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2302527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2302535,4.00,6.00,3.00,8.00,8.00,6.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2302543,4.00,5.00,5.00,0.00,4.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2302551,0.00,6.00,4.00,6.00,5.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2302560,2.00,5.00,3.00,2.00,5.00,3.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2302578,2.00,6.00,1.00,5.00,5.00,5.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2302594,2.00,6.00,3.00,1.00,7.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2302608,3.00,5.00,1.00,7.00,5.00,4.75,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2302616,2.00,6.00,1.00,3.00,6.00,3.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2302624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2302632,2.00,5.00,0.00,1.00,5.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2302640,7.00,9.00,7.00,4.00,7.00,5.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2302659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2302667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2302675,7.00,5.00,7.00,3.00,7.00,5.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2302683,4.00,7.00,4.00,6.00,5.00,4.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2302691,2.00,7.00,5.00,6.00,3.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2302705,1.00,8.00,3.00,7.00,5.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2302713,4.00,8.00,2.00,5.00,6.00,8.00,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2302721,4.00,6.00,1.00,7.00,5.00,4.50,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2302756,0.00,5.00,0.00,2.00,7.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2302772,1.00,6.00,4.00,3.00,6.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2302780,2.00,4.00,1.00,1.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2302799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2302802,5.00,7.00,5.00,5.00,5.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2302810,1.00,4.00,4.00,4.00,4.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2302829,3.00,7.00,5.00,9.00,7.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2302837,2.00,7.00,1.00,6.00,5.00,5.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2302853,5.00,6.00,4.00,5.00,4.00,5.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2302861,2.00,4.00,6.00,1.00,6.00,4.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2302870,4.00,6.00,7.00,7.00,6.00,4.25,6.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2302888,4.00,6.00,3.00,6.00,5.00,5.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2302896,1.00,4.00,2.00,2.00,5.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2302900,1.00,7.00,4.00,4.00,5.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2302918,3.00,8.00,3.00,4.00,6.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2302926,4.00,6.00,4.00,5.00,5.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2302934,2.00,2.00,0.00,4.00,4.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2302942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2302950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2302969,3.00,6.00,1.00,1.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2302977,3.00,4.00,0.00,2.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2302985,4.00,7.00,5.00,1.00,5.00,5.75,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2303000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2303019,4.00,8.00,3.00,4.00,7.00,5.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2303027,2.00,7.00,4.00,1.00,7.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2303035,4.00,6.00,2.00,5.00,9.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2303043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2303051,3.00,5.00,4.00,3.00,4.00,5.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2303060,2.00,5.00,1.00,2.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2303078,3.00,6.00,3.00,6.00,8.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2303086,5.00,4.00,1.00,1.00,5.00,4.00,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2303094,0.00,4.00,3.00,5.00,7.00,5.75,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2303108,2.00,4.00,5.00,4.00,7.00,5.25,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2303116,2.00,4.00,3.00,5.00,5.00,3.00,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2303124,1.00,2.00,2.00,0.00,2.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2303132,2.00,4.00,3.00,1.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2303140,2.00,3.00,1.00,2.00,6.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2303159,3.00,6.00,5.00,7.00,5.00,6.00,9.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2303167,2.00,6.00,2.00,7.00,5.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2303175,2.00,3.00,0.00,1.00,7.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2303191,2.00,3.00,3.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2303205,4.00,6.00,2.00,8.00,6.00,7.00,5.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2303213,1.00,6.00,1.00,6.00,6.00,5.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2303221,4.00,7.00,6.00,1.00,6.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2303230,3.00,6.00,6.00,4.00,6.00,5.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2303248,4.00,8.00,7.00,8.00,8.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2303256,5.00,8.00,6.00,7.00,9.00,8.50,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(15,2303264,2.00,6.00,0.00,4.00,5.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2303272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2303280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2303302,4.00,7.00,6.00,6.00,7.00,4.00,8.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2303310,1.00,2.00,2.00,7.00,4.00,6.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2303329,3.00,5.00,3.00,5.00,7.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2303337,2.00,8.00,2.00,2.00,4.00,5.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2303345,4.00,8.00,8.00,6.00,8.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2303361,5.00,6.00,3.00,6.00,8.00,4.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2303388,4.00,6.00,6.00,5.00,7.00,5.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2303396,6.00,7.00,3.00,7.00,8.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2303400,4.00,8.00,5.00,8.00,6.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2303418,5.00,8.00,9.00,8.00,4.00,5.75,9.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2303426,3.00,4.00,4.00,3.00,7.00,5.25,6.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2303434,1.00,2.00,5.00,2.00,1.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2303442,2.00,5.00,4.00,6.00,5.00,5.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2303450,3.00,5.00,2.00,7.00,6.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2303469,1.00,4.00,3.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2303477,4.00,7.00,5.00,6.00,6.00,6.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2303485,3.00,6.00,6.00,7.00,5.00,3.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2303493,3.00,7.00,4.00,4.00,3.00,3.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2303507,3.00,6.00,5.00,4.00,6.00,3.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2303515,2.00,4.00,0.00,7.00,7.00,NULL,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(15,2303523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2303531,1.00,7.00,1.00,3.00,5.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2303540,5.00,8.00,6.00,1.00,6.00,5.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2303558,0.00,8.00,2.00,7.00,4.00,3.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2303566,6.00,7.00,3.00,4.00,7.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2303574,2.00,4.00,1.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2303582,2.00,6.00,3.00,5.00,6.00,4.25,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2303590,5.00,8.00,5.00,9.00,7.00,6.50,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2303604,3.00,6.00,2.00,1.00,3.00,4.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2303612,2.00,5.00,3.00,1.00,7.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2303620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2303655,2.00,8.00,6.00,9.00,8.00,5.75,7.00,8.00,3.00,NULL,NULL,NULL,'S'),(15,2303663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2303671,1.00,2.00,2.00,4.00,4.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2303680,3.00,6.00,0.00,6.00,7.00,6.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2303698,3.00,6.00,2.00,1.00,4.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2303701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2303710,5.00,7.00,2.00,4.00,6.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2303728,5.00,8.00,3.00,4.00,5.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2303736,2.00,1.00,1.00,1.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2303744,1.00,7.00,2.00,7.00,7.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2303752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2303760,2.00,6.00,2.00,5.00,8.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2303779,2.00,5.00,1.00,6.00,3.00,4.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2303817,3.00,7.00,3.00,3.00,8.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2303825,0.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2303833,4.00,5.00,3.00,2.00,7.00,2.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2303850,4.00,6.00,1.00,2.00,4.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2303868,3.00,5.00,2.00,4.00,5.00,1.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2303876,6.00,6.00,6.00,7.00,7.00,5.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2303892,3.00,5.00,6.00,7.00,7.00,5.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2303906,5.00,8.00,5.00,6.00,9.00,6.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2303914,3.00,7.00,5.00,9.00,7.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2303922,2.00,3.00,0.00,5.00,3.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2303930,6.00,5.00,2.00,6.00,5.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2303949,5.00,7.00,6.00,6.00,7.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2303957,1.00,2.00,2.00,3.00,4.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2303965,7.00,8.00,8.00,8.00,7.00,6.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2303973,3.00,5.00,4.00,9.00,6.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2303981,5.00,8.00,7.00,8.00,9.00,7.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2303990,2.00,2.00,3.00,4.00,3.00,5.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2304007,5.00,5.00,6.00,5.00,7.00,7.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2304015,3.00,7.00,2.00,2.00,5.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2304023,2.00,3.00,2.00,4.00,5.00,5.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2304031,5.00,6.00,4.00,6.00,7.00,6.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2304040,2.00,9.00,6.00,5.00,7.00,5.00,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2304058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2304066,1.00,6.00,2.00,4.00,6.00,6.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2304074,5.00,6.00,4.00,7.00,7.00,7.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2304082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2304090,0.00,6.00,4.00,5.00,5.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2304104,4.00,7.00,7.00,7.00,6.00,5.00,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2304112,6.00,8.00,5.00,6.00,7.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2304139,4.00,4.00,3.00,5.00,3.00,5.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2304147,2.00,7.00,2.00,4.00,8.00,6.25,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2304155,0.00,0.00,0.00,1.00,4.00,NULL,1.00,2.00,0.00,NULL,'S',NULL,'N'),(15,2304163,2.00,4.00,5.00,4.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2304180,0.00,4.00,2.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2304201,2.00,3.00,5.00,1.00,6.00,6.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2304210,2.00,6.00,2.00,6.00,6.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2304228,1.00,4.00,4.00,6.00,7.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2304236,2.00,6.00,2.00,6.00,3.00,6.25,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2304244,4.00,6.00,3.00,8.00,6.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2304260,2.00,7.00,7.00,6.00,7.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2304279,4.00,4.00,4.00,7.00,6.00,5.00,5.00,4.00,5.00,NULL,NULL,NULL,'S'),(15,2304287,3.00,4.00,0.00,4.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2304295,4.00,7.00,4.00,4.00,5.00,5.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2304309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2304317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2304325,1.00,2.00,2.00,3.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2304333,3.00,7.00,2.00,5.00,8.00,6.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2304341,1.00,8.00,1.00,3.00,1.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2304350,6.00,7.00,6.00,8.00,7.00,4.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2304368,4.00,6.00,5.00,6.00,6.00,6.00,7.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2304376,4.00,5.00,5.00,6.00,5.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2304384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2304392,4.00,8.00,5.00,6.00,8.00,4.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2304406,2.00,7.00,4.00,5.00,4.00,4.75,4.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2304414,3.00,8.00,4.00,6.00,7.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2304422,2.00,6.00,3.00,3.00,6.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2304430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2304449,4.00,6.00,4.00,6.00,7.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2304457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2304465,3.00,8.00,1.00,6.00,5.00,4.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2304473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2304481,1.00,3.00,2.00,5.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2304490,0.00,4.00,2.00,0.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2304503,1.00,7.00,1.00,6.00,5.00,0.00,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2304511,5.00,8.00,6.00,7.00,6.00,7.00,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2304520,2.00,6.00,5.00,4.00,7.00,4.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2304538,5.00,7.00,6.00,9.00,6.00,6.50,9.00,7.00,6.00,NULL,NULL,NULL,'S'),(15,2304546,2.00,7.00,1.00,8.00,9.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2304554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2304589,2.00,4.00,1.00,4.00,6.00,5.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2304597,2.00,6.00,5.00,5.00,6.00,4.00,6.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2304600,2.00,6.00,1.00,4.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2304619,5.00,7.00,5.00,9.00,8.00,7.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2304627,0.00,0.00,0.00,7.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2304635,2.00,5.00,4.00,4.00,5.00,5.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2304643,4.00,5.00,2.00,2.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2304660,1.00,2.00,0.00,2.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2304678,3.00,6.00,5.00,7.00,4.00,4.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2304686,4.00,7.00,6.00,2.00,5.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2304694,3.00,5.00,4.00,5.00,8.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2304708,2.00,6.00,5.00,5.00,5.00,4.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2304716,0.00,0.00,0.00,5.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2304724,1.00,6.00,1.00,5.00,4.00,4.50,4.00,7.00,0.00,NULL,NULL,NULL,'N'),(15,2304732,6.00,6.00,8.00,9.00,8.00,7.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2304740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2304759,4.00,8.00,5.00,9.00,6.00,6.75,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2304767,2.00,3.00,2.00,4.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2304775,1.00,5.00,2.00,3.00,6.00,5.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2304783,4.00,3.00,2.00,1.00,4.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2304791,3.00,8.00,3.00,6.00,6.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2304805,4.00,7.00,7.00,4.00,7.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2304821,5.00,6.00,4.00,6.00,7.00,6.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2304830,2.00,5.00,3.00,5.00,4.00,6.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2304848,3.00,3.00,2.00,8.00,8.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2304856,2.00,4.00,1.00,4.00,4.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2304864,5.00,8.00,5.00,7.00,7.00,5.25,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2304872,5.00,6.00,5.00,5.00,6.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2304880,3.00,8.00,6.00,9.00,9.00,6.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2304899,3.00,8.00,6.00,2.00,3.00,4.75,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2304902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2304910,2.00,4.00,3.00,7.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2304929,2.00,7.00,5.00,5.00,6.00,7.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2304937,2.00,3.00,1.00,6.00,5.00,6.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2304945,3.00,6.00,3.00,2.00,6.00,3.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2304953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2304970,5.00,5.00,5.00,6.00,6.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2304988,5.00,8.00,5.00,5.00,5.00,5.00,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(15,2304996,3.00,6.00,4.00,4.00,6.00,3.75,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2305003,1.00,3.00,0.00,3.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2305011,1.00,5.00,4.00,5.00,5.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2305020,3.00,7.00,3.00,1.00,9.00,5.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2305038,3.00,6.00,1.00,0.00,4.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2305054,2.00,4.00,4.00,1.00,2.00,NULL,6.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2305062,4.00,7.00,6.00,8.00,7.00,6.00,6.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2305070,6.00,8.00,3.00,4.00,6.00,4.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2305089,3.00,6.00,2.00,3.00,3.00,4.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2305097,6.00,8.00,6.00,3.00,6.00,5.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2305100,2.00,8.00,1.00,4.00,6.00,4.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2305119,1.00,3.00,3.00,1.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2305127,1.00,8.00,3.00,4.00,9.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2305135,2.00,6.00,7.00,6.00,5.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2305143,0.00,5.00,2.00,3.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2305151,4.00,6.00,1.00,7.00,6.00,6.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2305160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2305178,3.00,7.00,4.00,7.00,7.00,5.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2305186,3.00,6.00,3.00,6.00,5.00,3.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2305194,2.00,3.00,1.00,5.00,2.00,NULL,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2305208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2305224,8.00,7.00,8.00,5.00,7.00,5.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2305232,1.00,5.00,2.00,4.00,3.00,3.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2305240,1.00,2.00,0.00,5.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2305259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2305267,1.00,5.00,3.00,5.00,5.00,5.00,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2305283,2.00,4.00,2.00,4.00,5.00,4.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2305291,0.00,0.00,0.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2305305,3.00,4.00,0.00,5.00,5.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2305313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2305321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2305330,0.00,2.00,0.00,2.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2305348,5.00,7.00,6.00,5.00,6.00,6.50,9.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2305364,4.00,7.00,2.00,5.00,7.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2305372,6.00,6.00,4.00,9.00,6.00,6.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2305380,2.00,5.00,4.00,2.00,5.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2305399,5.00,4.00,0.00,4.00,5.00,3.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2305402,6.00,8.00,9.00,6.00,8.00,6.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2305410,3.00,3.00,5.00,1.00,5.00,4.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2305429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2305437,1.00,5.00,3.00,0.00,5.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2305445,4.00,6.00,3.00,1.00,6.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2305453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2305461,5.00,7.00,4.00,3.00,8.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2305470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2305488,3.00,5.00,4.00,5.00,7.00,4.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2305496,3.00,6.00,3.00,3.00,6.00,4.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2305500,4.00,8.00,4.00,7.00,4.00,4.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2305518,4.00,6.00,8.00,6.00,5.00,4.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2305526,4.00,6.00,4.00,2.00,5.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2305534,6.00,8.00,2.00,5.00,6.00,5.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2305542,4.00,7.00,2.00,6.00,6.00,5.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2305550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2305569,2.00,5.00,0.00,0.00,3.00,4.50,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2305577,3.00,4.00,1.00,4.00,7.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2305585,6.00,8.00,7.00,7.00,9.00,4.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2305593,3.00,2.00,2.00,4.00,6.00,6.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2305607,2.00,9.00,3.00,7.00,6.00,7.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2305615,4.00,4.00,7.00,3.00,5.00,5.75,5.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2305623,3.00,4.00,2.00,4.00,4.00,4.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2305631,0.00,7.00,2.00,3.00,7.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2305640,3.00,5.00,5.00,7.00,5.00,3.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2305666,3.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2305674,1.00,6.00,0.00,1.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2305682,4.00,6.00,4.00,2.00,7.00,5.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2305690,5.00,8.00,6.00,9.00,9.00,6.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2305704,3.00,4.00,5.00,8.00,7.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2305720,0.00,4.00,2.00,3.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2305739,3.00,8.00,5.00,8.00,4.00,4.75,6.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2305747,5.00,9.00,8.00,8.00,7.00,6.50,7.00,9.00,5.00,NULL,NULL,NULL,'S'),(15,2305755,2.00,3.00,1.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2305763,3.00,6.00,3.00,5.00,5.00,4.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2305780,2.00,5.00,0.00,5.00,4.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2305798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2305801,3.00,5.00,1.00,7.00,6.00,6.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2305828,4.00,4.00,3.00,1.00,5.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2305836,5.00,8.00,3.00,7.00,6.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2305844,5.00,8.00,4.00,3.00,7.00,7.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2305852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2305860,4.00,6.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2305879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2305895,6.00,7.00,8.00,6.00,5.00,7.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2305909,5.00,5.00,3.00,1.00,8.00,4.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2305917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2305933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2305941,2.00,4.00,5.00,3.00,5.00,5.50,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2305950,6.00,9.00,6.00,9.00,8.00,5.00,9.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2305968,5.00,8.00,1.00,4.00,6.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2305976,3.00,5.00,4.00,2.00,3.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2305984,5.00,8.00,6.00,1.00,6.00,6.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2305992,1.00,6.00,1.00,5.00,3.00,6.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2306018,5.00,6.00,5.00,6.00,8.00,6.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2306026,2.00,7.00,6.00,3.00,6.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2306034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2306042,6.00,8.00,6.00,8.00,9.00,5.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2306050,4.00,3.00,2.00,5.00,3.00,3.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2306069,5.00,6.00,5.00,3.00,6.00,0.00,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2306077,7.00,7.00,9.00,6.00,9.00,6.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2306085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2306107,2.00,2.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2306115,3.00,8.00,8.00,6.00,5.00,5.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2306123,4.00,6.00,3.00,7.00,6.00,5.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2306131,4.00,8.00,3.00,9.00,6.00,7.50,7.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2306140,2.00,3.00,2.00,2.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2306158,4.00,6.00,4.00,5.00,6.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2306166,2.00,4.00,2.00,4.00,5.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2306174,0.00,4.00,0.00,0.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2306182,3.00,8.00,4.00,1.00,7.00,5.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2306190,0.00,4.00,0.00,3.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2306204,7.00,7.00,5.00,6.00,7.00,6.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2306212,6.00,5.00,3.00,7.00,6.00,7.50,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2306220,4.00,3.00,1.00,1.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2306239,4.00,3.00,2.00,4.00,5.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2306247,1.00,3.00,1.00,1.00,3.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2306255,6.00,5.00,7.00,7.00,7.00,6.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2306263,1.00,7.00,3.00,3.00,6.00,4.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2306271,8.00,9.00,5.00,8.00,8.00,6.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2306280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2306298,0.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2306301,2.00,4.00,3.00,6.00,7.00,5.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2306310,5.00,4.00,8.00,3.00,8.00,4.50,7.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2306328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2306344,1.00,3.00,3.00,4.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'S'),(15,2306352,4.00,4.00,2.00,3.00,5.00,6.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2306360,6.00,7.00,7.00,6.00,7.00,5.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2306379,4.00,5.00,2.00,4.00,5.00,6.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2306387,5.00,3.00,3.00,7.00,8.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2306395,1.00,7.00,4.00,5.00,5.00,5.75,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2306409,4.00,8.00,3.00,8.00,5.00,7.25,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2306417,2.00,5.00,3.00,5.00,7.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2306425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2306433,5.00,8.00,7.00,4.00,3.00,6.25,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2306441,3.00,6.00,2.00,6.00,5.00,4.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2306450,3.00,9.00,5.00,6.00,5.00,7.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2306468,7.00,8.00,7.00,4.00,6.00,6.25,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2306476,3.00,2.00,0.00,1.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2306492,2.00,1.00,4.00,4.00,5.00,4.00,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2306506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2306514,4.00,4.00,3.00,2.00,4.00,5.25,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2306522,1.00,7.00,5.00,2.00,8.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2306530,5.00,7.00,4.00,6.00,4.00,5.75,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2306549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2306557,4.00,7.00,4.00,7.00,5.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2306565,1.00,5.00,1.00,0.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2306573,3.00,7.00,0.00,8.00,5.00,NULL,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2306581,4.00,8.00,2.00,3.00,5.00,4.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2306590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2306603,3.00,3.00,2.00,6.00,4.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2306611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2306620,1.00,6.00,3.00,2.00,5.00,3.75,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(15,2306638,2.00,6.00,4.00,2.00,6.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2306646,1.00,6.00,2.00,3.00,6.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2306654,6.00,8.00,7.00,8.00,5.00,6.00,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2306662,2.00,7.00,3.00,4.00,6.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2306670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2306689,2.00,2.00,0.00,1.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2306697,6.00,9.00,7.00,8.00,9.00,6.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2306700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2306727,6.00,6.00,5.00,6.00,8.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2306743,3.00,6.00,0.00,6.00,3.00,6.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2306760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2306786,3.00,6.00,3.00,4.00,5.00,4.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2306794,1.00,6.00,3.00,3.00,4.00,5.25,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2306808,2.00,7.00,4.00,7.00,4.00,3.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2306816,7.00,5.00,3.00,3.00,9.00,4.50,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2306824,4.00,7.00,4.00,7.00,4.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2306840,3.00,6.00,1.00,2.00,4.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2306875,3.00,6.00,0.00,5.00,7.00,3.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2306891,1.00,5.00,2.00,4.00,7.00,3.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2306905,2.00,4.00,4.00,5.00,4.00,6.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2306913,3.00,5.00,7.00,7.00,7.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2306921,3.00,6.00,2.00,4.00,5.00,4.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2306948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2306956,5.00,7.00,1.00,9.00,5.00,6.75,7.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2306972,3.00,8.00,3.00,5.00,7.00,6.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2306980,3.00,8.00,6.00,6.00,8.00,7.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2306999,3.00,9.00,1.00,2.00,3.00,5.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2307006,3.00,6.00,4.00,2.00,5.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2307014,3.00,8.00,4.00,8.00,9.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2307022,1.00,6.00,0.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2307030,2.00,6.00,4.00,5.00,5.00,4.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2307049,7.00,8.00,8.00,7.00,9.00,5.00,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2307065,0.00,4.00,2.00,5.00,6.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2307073,6.00,6.00,6.00,9.00,7.00,7.25,8.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2307081,2.00,7.00,3.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2307090,6.00,8.00,4.00,7.00,9.00,6.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2307103,4.00,5.00,1.00,7.00,6.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2307111,3.00,6.00,5.00,1.00,5.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2307120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2307138,6.00,8.00,7.00,5.00,7.00,8.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2307146,3.00,8.00,2.00,6.00,7.00,7.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2307154,3.00,4.00,0.00,1.00,3.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2307162,1.00,7.00,3.00,6.00,4.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2307170,4.00,7.00,4.00,5.00,4.00,4.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2307189,5.00,7.00,2.00,5.00,6.00,8.00,6.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2307200,1.00,5.00,3.00,5.00,3.00,4.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2307219,2.00,5.00,4.00,4.00,1.00,NULL,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2307227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2307235,6.00,6.00,4.00,5.00,5.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2307243,1.00,3.00,2.00,1.00,4.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2307251,3.00,6.00,5.00,7.00,5.00,6.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2307260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2307286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2307294,1.00,6.00,1.00,6.00,5.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2307308,3.00,6.00,0.00,3.00,5.00,4.25,4.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2307316,5.00,8.00,8.00,7.00,6.00,6.00,9.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2307332,0.00,4.00,0.00,4.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2307340,2.00,6.00,1.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2307359,0.00,2.00,0.00,4.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2307367,6.00,7.00,8.00,5.00,7.00,5.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2307375,3.00,7.00,5.00,2.00,6.00,3.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2307391,4.00,7.00,2.00,5.00,9.00,5.75,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2307405,3.00,6.00,6.00,8.00,5.00,6.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2307413,2.00,3.00,0.00,2.00,5.00,0.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2307421,1.00,9.00,6.00,5.00,5.00,6.75,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2307430,0.00,5.00,1.00,3.00,5.00,6.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2307448,2.00,5.00,3.00,8.00,7.00,5.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2307456,5.00,2.00,3.00,5.00,6.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2307464,7.00,8.00,2.00,6.00,8.00,6.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2307472,3.00,6.00,5.00,4.00,7.00,6.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2307480,3.00,4.00,3.00,2.00,4.00,4.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2307499,1.00,4.00,0.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2307502,2.00,6.00,5.00,4.00,3.00,4.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2307510,4.00,6.00,5.00,9.00,2.00,NULL,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2307529,1.00,5.00,2.00,0.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2307537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2307545,4.00,6.00,1.00,5.00,7.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2307553,0.00,3.00,4.00,3.00,7.00,6.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2307561,6.00,5.00,6.00,8.00,5.00,6.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2307570,4.00,6.00,4.00,4.00,6.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2307588,5.00,6.00,7.00,4.00,2.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2307596,3.00,4.00,3.00,3.00,3.00,4.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2307600,2.00,3.00,1.00,3.00,6.00,5.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2307618,2.00,4.00,2.00,4.00,4.00,4.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2307626,3.00,6.00,0.00,5.00,5.00,6.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2307634,3.00,7.00,2.00,3.00,3.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2307642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2307650,3.00,8.00,6.00,9.00,6.00,4.75,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2307669,4.00,6.00,5.00,5.00,6.00,5.75,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2307685,4.00,6.00,1.00,6.00,8.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2307693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2307707,0.00,5.00,3.00,3.00,5.00,4.50,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2307715,3.00,7.00,2.00,3.00,6.00,3.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2307723,3.00,6.00,5.00,3.00,7.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2307731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2307740,3.00,2.00,2.00,4.00,4.00,4.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2307758,5.00,5.00,3.00,6.00,8.00,7.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2307774,5.00,7.00,7.00,5.00,6.00,8.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2307782,4.00,5.00,5.00,6.00,5.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2307790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2307812,0.00,5.00,1.00,2.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2307839,2.00,8.00,3.00,7.00,6.00,4.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2307847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2307855,2.00,7.00,8.00,5.00,7.00,6.00,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2307863,1.00,7.00,2.00,4.00,4.00,3.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2307871,2.00,5.00,5.00,4.00,4.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2307880,1.00,6.00,3.00,5.00,7.00,3.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2307898,1.00,4.00,2.00,2.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2307901,5.00,7.00,7.00,5.00,7.00,7.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2307910,4.00,5.00,2.00,4.00,7.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2307928,3.00,6.00,4.00,7.00,5.00,4.25,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2307936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2307952,3.00,6.00,3.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2307960,2.00,8.00,8.00,5.00,8.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2307979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2307987,2.00,2.00,1.00,0.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2307995,1.00,2.00,1.00,6.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2308010,3.00,7.00,5.00,8.00,5.00,5.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2308029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2308045,1.00,5.00,3.00,5.00,4.00,4.00,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2308053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2308061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2308088,6.00,7.00,5.00,8.00,6.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2308100,2.00,7.00,8.00,5.00,5.00,4.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2308134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2308142,2.00,7.00,3.00,4.00,6.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2308150,5.00,6.00,6.00,7.00,6.00,6.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2308169,3.00,8.00,1.00,7.00,3.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2308177,0.00,5.00,2.00,7.00,4.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2308193,3.00,6.00,3.00,8.00,8.00,8.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2308207,4.00,8.00,4.00,10.00,6.00,6.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2308215,3.00,7.00,6.00,7.00,7.00,4.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2308223,2.00,1.00,1.00,2.00,4.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'S'),(15,2308231,3.00,7.00,2.00,3.00,6.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2308240,4.00,5.00,7.00,4.00,8.00,4.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2308266,6.00,8.00,4.00,7.00,8.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2308274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2308282,2.00,3.00,3.00,3.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2308290,3.00,9.00,7.00,7.00,7.00,6.25,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2308304,3.00,9.00,2.00,3.00,8.00,7.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2308312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2308320,4.00,8.00,4.00,6.00,6.00,6.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2308347,2.00,7.00,2.00,1.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2308355,2.00,6.00,5.00,5.00,6.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2308363,2.00,2.00,1.00,4.00,2.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2308380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2308398,4.00,8.00,4.00,2.00,3.00,3.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2308401,3.00,4.00,1.00,2.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2308410,7.00,5.00,7.00,8.00,8.00,5.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2308428,0.00,4.00,3.00,4.00,5.00,5.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2308460,2.00,6.00,2.00,6.00,5.00,3.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2308479,4.00,7.00,6.00,8.00,7.00,6.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2308487,0.00,3.00,3.00,4.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2308495,4.00,7.00,3.00,4.00,6.00,4.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2308517,1.00,4.00,4.00,0.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2308525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2308533,4.00,8.00,2.00,5.00,4.00,5.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2308541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2308550,2.00,4.00,1.00,3.00,5.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2308568,3.00,7.00,5.00,8.00,6.00,4.75,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2308576,1.00,3.00,4.00,6.00,6.00,5.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2308584,2.00,2.00,0.00,4.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2308592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2308606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2308614,8.00,8.00,6.00,5.00,8.00,7.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2308622,3.00,5.00,6.00,7.00,5.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2308630,1.00,3.00,0.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2308649,3.00,9.00,2.00,2.00,4.00,6.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2308657,8.00,8.00,10.00,7.00,9.00,6.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2308665,4.00,5.00,5.00,5.00,7.00,3.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2308673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2308681,3.00,6.00,2.00,2.00,3.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2308690,4.00,3.00,2.00,6.00,5.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2308720,3.00,4.00,3.00,3.00,6.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2308738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2308746,3.00,7.00,5.00,3.00,6.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2308754,2.00,6.00,2.00,0.00,7.00,6.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2308762,2.00,5.00,1.00,6.00,7.00,4.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2308770,6.00,7.00,6.00,9.00,8.00,7.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2308789,2.00,8.00,3.00,6.00,8.00,1.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2308797,0.00,0.00,2.00,3.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2308800,5.00,7.00,1.00,6.00,7.00,6.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2308819,4.00,8.00,5.00,7.00,7.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2308827,3.00,6.00,3.00,4.00,5.00,4.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2308835,6.00,8.00,5.00,7.00,8.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2308843,5.00,8.00,2.00,8.00,9.00,7.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2308851,1.00,7.00,5.00,2.00,5.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2308860,3.00,6.00,1.00,3.00,4.00,2.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2308878,4.00,5.00,3.00,2.00,7.00,4.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2308886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2308894,3.00,4.00,3.00,2.00,3.00,3.75,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2308908,3.00,7.00,4.00,8.00,7.00,5.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2308916,5.00,9.00,6.00,4.00,5.00,3.75,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2308924,4.00,6.00,5.00,4.00,7.00,5.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2308932,0.00,4.00,0.00,4.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2308940,3.00,6.00,5.00,8.00,6.00,7.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2308959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2308975,3.00,5.00,1.00,2.00,5.00,6.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2308983,6.00,6.00,5.00,3.00,6.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2308991,3.00,4.00,2.00,3.00,7.00,7.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2309009,0.00,8.00,5.00,6.00,6.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2309017,1.00,3.00,3.00,1.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2309025,3.00,4.00,2.00,4.00,6.00,5.00,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2309033,4.00,5.00,5.00,6.00,6.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2309041,4.00,8.00,5.00,5.00,8.00,5.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2309050,3.00,8.00,4.00,3.00,7.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2309068,1.00,1.00,3.00,2.00,1.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2309076,3.00,4.00,2.00,6.00,4.00,4.75,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2309084,6.00,6.00,3.00,9.00,8.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2309092,7.00,8.00,8.00,8.00,8.00,6.25,9.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2309106,0.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2309114,3.00,4.00,3.00,3.00,7.00,3.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2309122,7.00,9.00,5.00,9.00,8.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2309130,2.00,4.00,6.00,6.00,6.00,5.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2309149,4.00,7.00,7.00,6.00,5.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2309157,7.00,7.00,6.00,6.00,7.00,5.00,7.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2309165,4.00,4.00,4.00,7.00,7.00,5.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2309173,4.00,5.00,4.00,7.00,6.00,4.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2309181,2.00,5.00,4.00,6.00,6.00,6.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2309190,0.00,0.00,0.00,2.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2309203,4.00,5.00,3.00,3.00,5.00,4.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2309211,2.00,6.00,1.00,4.00,5.00,4.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2309238,4.00,7.00,1.00,5.00,9.00,4.25,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2309246,0.00,5.00,4.00,2.00,8.00,5.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2309254,7.00,8.00,6.00,1.00,6.00,5.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2309262,3.00,7.00,3.00,7.00,7.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2309270,5.00,8.00,6.00,9.00,8.00,5.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2309289,3.00,6.00,7.00,5.00,8.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2309297,3.00,8.00,4.00,8.00,5.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2309327,4.00,4.00,1.00,7.00,4.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2309335,1.00,4.00,2.00,4.00,4.00,4.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2309351,3.00,4.00,3.00,5.00,6.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2309378,2.00,6.00,5.00,9.00,8.00,5.75,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2309386,1.00,7.00,6.00,2.00,6.00,6.00,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2309394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2309408,3.00,6.00,4.00,5.00,5.00,5.25,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2309416,5.00,8.00,8.00,6.00,6.00,7.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2309424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2309432,2.00,5.00,3.00,6.00,7.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2309440,2.00,3.00,2.00,4.00,5.00,4.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2309459,3.00,6.00,6.00,4.00,7.00,5.00,8.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2309467,4.00,8.00,1.00,7.00,8.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2309475,5.00,6.00,3.00,8.00,5.00,3.75,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2309483,8.00,7.00,6.00,7.00,8.00,6.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2309505,4.00,9.00,3.00,5.00,6.00,6.25,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2309513,3.00,7.00,4.00,4.00,2.00,NULL,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2309530,3.00,5.00,1.00,6.00,5.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2309548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2309564,1.00,6.00,1.00,2.00,6.00,3.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2309572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2309580,3.00,7.00,4.00,5.00,7.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2309599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2309602,6.00,6.00,4.00,8.00,8.00,7.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2309610,3.00,5.00,2.00,4.00,7.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2309629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2309637,7.00,8.00,7.00,9.00,9.00,5.75,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2309645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2309661,1.00,6.00,3.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2309696,6.00,8.00,6.00,7.00,8.00,5.25,7.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2309700,4.00,6.00,4.00,8.00,5.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2309718,6.00,7.00,5.00,3.00,7.00,6.25,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2309726,4.00,6.00,6.00,6.00,7.00,5.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2309734,4.00,7.00,6.00,5.00,6.00,5.50,7.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2309742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2309750,1.00,7.00,2.00,4.00,6.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2309777,4.00,2.00,2.00,5.00,8.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2309785,0.00,0.00,0.00,8.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2309793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2309807,2.00,7.00,2.00,6.00,5.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2309815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2309823,3.00,5.00,4.00,3.00,4.00,5.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2309831,0.00,5.00,1.00,7.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2309840,4.00,8.00,6.00,9.00,8.00,6.50,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2309858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2309866,2.00,8.00,4.00,2.00,2.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2309882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2309890,1.00,3.00,3.00,3.00,4.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2309912,1.00,4.00,4.00,3.00,5.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2309920,5.00,6.00,4.00,6.00,7.00,4.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2309939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2309947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2309963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2309971,5.00,6.00,3.00,8.00,8.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2309980,2.00,4.00,2.00,2.00,3.00,5.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2310007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2310015,3.00,8.00,5.00,3.00,6.00,5.00,6.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2310031,7.00,8.00,7.00,9.00,7.00,6.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2310040,1.00,7.00,6.00,6.00,6.00,5.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2310066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2310074,3.00,6.00,5.00,5.00,6.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2310082,0.00,5.00,4.00,2.00,4.00,NULL,5.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2310090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2310104,0.00,0.00,2.00,2.00,6.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2310112,5.00,5.00,5.00,5.00,6.00,6.00,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2310120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2310139,4.00,6.00,6.00,8.00,7.00,7.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2310147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2310155,4.00,6.00,4.00,3.00,5.00,4.25,5.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2310163,3.00,6.00,6.00,4.00,5.00,4.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2310171,4.00,7.00,5.00,4.00,5.00,5.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2310180,3.00,4.00,2.00,6.00,4.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2310198,2.00,2.00,1.00,1.00,0.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2310201,3.00,3.00,1.00,5.00,5.00,6.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2310228,6.00,6.00,4.00,6.00,7.00,7.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2310236,5.00,9.00,8.00,8.00,7.00,8.00,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2310244,1.00,6.00,3.00,5.00,6.00,2.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2310252,6.00,7.00,7.00,6.00,8.00,7.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2310260,4.00,8.00,6.00,7.00,8.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2310279,5.00,9.00,6.00,3.00,7.00,7.00,6.00,7.00,3.00,NULL,NULL,NULL,'S'),(15,2310287,5.00,7.00,9.00,7.00,6.00,6.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2310295,3.00,6.00,3.00,5.00,6.00,5.50,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2310309,2.00,4.00,3.00,5.00,4.00,4.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2310325,1.00,7.00,1.00,6.00,5.00,6.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2310333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2310341,3.00,5.00,3.00,4.00,7.00,4.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2310350,1.00,7.00,4.00,3.00,5.00,7.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2310368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2310376,3.00,6.00,2.00,5.00,6.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2310384,4.00,9.00,4.00,9.00,7.00,6.00,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2310392,2.00,6.00,7.00,8.00,7.00,3.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2310406,1.00,5.00,2.00,6.00,6.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2310414,3.00,6.00,5.00,0.00,5.00,5.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2310422,2.00,5.00,5.00,7.00,6.00,6.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2310430,0.00,4.00,1.00,1.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2310449,3.00,8.00,5.00,0.00,5.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2310457,4.00,4.00,5.00,4.00,6.00,5.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2310465,4.00,3.00,3.00,5.00,3.00,3.25,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2310473,2.00,4.00,3.00,6.00,7.00,5.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2310481,0.00,3.00,1.00,2.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2310490,2.00,7.00,1.00,3.00,5.00,5.25,1.00,7.00,0.00,NULL,NULL,NULL,'N'),(15,2310503,0.00,2.00,0.00,0.00,0.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2310511,7.00,8.00,7.00,7.00,8.00,6.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2310520,4.00,7.00,4.00,6.00,5.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2310538,4.00,5.00,5.00,3.00,5.00,7.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2310546,1.00,7.00,4.00,2.00,5.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2310554,2.00,4.00,3.00,3.00,6.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2310562,1.00,6.00,4.00,6.00,6.00,6.00,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2310570,5.00,8.00,5.00,6.00,7.00,5.50,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2310589,2.00,6.00,5.00,8.00,6.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2310600,4.00,7.00,2.00,3.00,4.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2310619,3.00,6.00,4.00,4.00,7.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2310627,0.00,3.00,1.00,0.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2310635,0.00,4.00,1.00,3.00,7.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2310643,3.00,7.00,5.00,6.00,7.00,4.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2310651,3.00,5.00,2.00,7.00,4.00,6.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2310660,4.00,6.00,7.00,8.00,7.00,6.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2310678,0.00,5.00,2.00,0.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2310694,3.00,8.00,3.00,2.00,7.00,4.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2310708,3.00,6.00,2.00,5.00,5.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2310716,6.00,8.00,5.00,7.00,7.00,5.75,9.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2310724,3.00,5.00,1.00,6.00,6.00,5.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2310732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2310740,2.00,7.00,3.00,5.00,5.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2310759,4.00,7.00,2.00,6.00,5.00,5.25,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2310767,4.00,4.00,3.00,5.00,7.00,5.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2310775,5.00,8.00,6.00,7.00,6.00,4.50,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2310783,7.00,9.00,6.00,8.00,8.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2310791,7.00,7.00,7.00,8.00,6.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2310805,1.00,4.00,5.00,1.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2310813,4.00,7.00,3.00,8.00,5.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2310821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2310848,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2310864,3.00,6.00,1.00,5.00,4.00,4.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2310872,2.00,7.00,3.00,3.00,4.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2310880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2310899,4.00,9.00,3.00,9.00,7.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2310902,2.00,4.00,1.00,6.00,6.00,3.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2310910,2.00,4.00,3.00,5.00,6.00,4.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2310929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2310937,3.00,5.00,4.00,6.00,7.00,4.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2310945,3.00,6.00,3.00,5.00,5.00,4.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2310953,0.00,7.00,2.00,6.00,3.00,NULL,6.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2310996,1.00,5.00,4.00,5.00,6.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2311003,1.00,4.00,3.00,2.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2311011,3.00,6.00,2.00,3.00,6.00,3.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2311038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311062,3.00,5.00,6.00,8.00,7.00,6.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2311070,3.00,7.00,7.00,1.00,7.00,6.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2311089,3.00,7.00,3.00,2.00,7.00,6.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2311097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311100,2.00,4.00,1.00,1.00,5.00,5.75,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2311119,0.00,5.00,4.00,2.00,3.00,6.25,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2311127,3.00,3.00,1.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2311135,3.00,4.00,5.00,5.00,7.00,5.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2311143,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2311151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311160,1.00,5.00,2.00,1.00,3.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2311178,6.00,9.00,9.00,7.00,9.00,5.50,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2311186,4.00,7.00,4.00,7.00,5.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2311194,0.00,4.00,3.00,3.00,6.00,5.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2311208,2.00,6.00,1.00,3.00,3.00,5.75,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2311216,6.00,4.00,5.00,6.00,4.00,5.25,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2311224,2.00,4.00,2.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2311232,4.00,5.00,3.00,4.00,4.00,5.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2311240,0.00,4.00,2.00,3.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2311259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311267,2.00,3.00,2.00,1.00,3.00,NULL,5.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2311275,1.00,6.00,1.00,5.00,4.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2311283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311305,2.00,6.00,2.00,7.00,7.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2311313,1.00,6.00,2.00,1.00,3.00,5.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2311321,2.00,4.00,1.00,2.00,6.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2311330,1.00,5.00,3.00,5.00,3.00,4.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2311348,2.00,8.00,2.00,7.00,5.00,5.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2311356,2.00,3.00,4.00,2.00,6.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2311364,4.00,7.00,6.00,6.00,7.00,5.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2311372,6.00,7.00,4.00,4.00,7.00,4.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2311380,4.00,7.00,5.00,8.00,7.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2311399,4.00,5.00,4.00,8.00,6.00,5.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2311402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311429,6.00,6.00,7.00,9.00,7.00,5.50,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2311437,5.00,6.00,6.00,6.00,5.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2311453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311461,2.00,5.00,2.00,4.00,6.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2311470,2.00,3.00,1.00,4.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2311488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311496,3.00,5.00,5.00,4.00,5.00,5.00,7.00,7.00,2.00,NULL,NULL,NULL,'S'),(15,2311518,3.00,7.00,2.00,2.00,6.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2311526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311534,4.00,7.00,3.00,3.00,6.00,6.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2311542,1.00,5.00,2.00,4.00,6.00,1.50,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2311550,1.00,8.00,6.00,6.00,4.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2311569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311607,5.00,9.00,2.00,3.00,4.00,5.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2311615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311623,4.00,7.00,3.00,4.00,5.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2311631,4.00,7.00,8.00,6.00,6.00,4.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2311640,1.00,0.00,3.00,0.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2311658,8.00,9.00,6.00,1.00,8.00,5.75,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2311666,2.00,5.00,2.00,3.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2311674,3.00,6.00,3.00,3.00,8.00,4.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2311690,2.00,7.00,3.00,5.00,6.00,3.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2311704,1.00,4.00,2.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2311712,4.00,7.00,3.00,4.00,7.00,3.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2311720,3.00,6.00,2.00,5.00,6.00,5.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2311739,1.00,4.00,1.00,3.00,3.00,4.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2311747,2.00,7.00,1.00,8.00,5.00,5.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2311755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311780,6.00,7.00,5.00,5.00,4.00,5.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2311798,3.00,6.00,0.00,1.00,7.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2311801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311810,4.00,6.00,8.00,6.00,9.00,8.00,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2311828,3.00,6.00,2.00,2.00,7.00,4.00,6.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2311836,1.00,6.00,1.00,3.00,4.00,6.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2311844,2.00,5.00,3.00,4.00,5.00,5.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2311860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311887,3.00,7.00,0.00,8.00,3.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2311895,2.00,7.00,6.00,6.00,7.00,6.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2311909,3.00,8.00,4.00,8.00,4.00,3.75,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2311925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2311933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311941,0.00,4.00,0.00,3.00,6.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2311950,1.00,4.00,2.00,3.00,3.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2311968,3.00,6.00,4.00,1.00,7.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2311976,1.00,3.00,3.00,2.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2311984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2311992,2.00,2.00,1.00,1.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2312000,3.00,6.00,0.00,3.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2312018,4.00,2.00,5.00,3.00,7.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2312034,3.00,3.00,3.00,5.00,5.00,4.00,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2312042,0.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2312050,4.00,6.00,6.00,7.00,7.00,4.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2312069,3.00,3.00,2.00,2.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2312077,2.00,7.00,3.00,5.00,4.00,5.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2312085,2.00,6.00,4.00,3.00,6.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2312107,4.00,4.00,1.00,5.00,5.00,5.25,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2312115,1.00,3.00,0.00,0.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2312123,2.00,4.00,0.00,3.00,7.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2312131,4.00,7.00,3.00,9.00,7.00,6.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2312140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2312158,3.00,8.00,3.00,5.00,7.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2312166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2312174,6.00,7.00,10.00,8.00,9.00,7.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2312182,2.00,6.00,0.00,0.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2312190,2.00,5.00,2.00,5.00,4.00,6.25,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(15,2312204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2312212,3.00,4.00,3.00,2.00,8.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2312220,0.00,6.00,2.00,0.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2312239,1.00,4.00,3.00,5.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2312247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2312255,4.00,5.00,1.00,3.00,3.00,4.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2312263,3.00,9.00,1.00,3.00,5.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2312301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2312310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2312328,4.00,3.00,3.00,4.00,5.00,4.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2312336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2312344,4.00,8.00,6.00,3.00,2.00,NULL,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2312360,3.00,4.00,0.00,2.00,5.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2312387,3.00,7.00,2.00,4.00,8.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2312395,2.00,4.00,1.00,0.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2312417,3.00,6.00,2.00,6.00,6.00,6.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2312425,1.00,7.00,4.00,2.00,3.00,5.00,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2312441,1.00,6.00,4.00,5.00,7.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2312450,4.00,4.00,5.00,0.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'S'),(15,2312468,0.00,2.00,0.00,2.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2312476,2.00,4.00,1.00,1.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2312484,3.00,5.00,4.00,5.00,6.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2312492,6.00,8.00,8.00,9.00,8.00,6.25,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2312506,1.00,7.00,2.00,6.00,5.00,4.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2312514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2312522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2312530,2.00,6.00,3.00,1.00,5.00,3.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2312549,3.00,7.00,1.00,6.00,5.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2312557,5.00,7.00,8.00,7.00,8.00,6.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2312565,2.00,5.00,3.00,0.00,6.00,3.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2312573,1.00,3.00,3.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2312581,2.00,6.00,3.00,6.00,6.00,5.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2312620,5.00,8.00,7.00,3.00,7.00,6.00,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2312638,2.00,6.00,5.00,3.00,5.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2312646,3.00,4.00,3.00,0.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2312654,6.00,7.00,5.00,5.00,8.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2312662,0.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2312670,0.00,7.00,1.00,2.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2312689,0.00,4.00,2.00,4.00,6.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2312697,1.00,3.00,4.00,4.00,3.00,3.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2312700,4.00,5.00,0.00,5.00,5.00,6.25,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2312719,7.00,7.00,6.00,8.00,7.00,6.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2312727,5.00,8.00,4.00,4.00,7.00,7.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2312735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2312743,1.00,5.00,4.00,3.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2312751,8.00,8.00,9.00,8.00,7.00,6.50,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2312760,2.00,5.00,2.00,5.00,5.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2312778,1.00,6.00,1.00,4.00,3.00,3.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2312794,1.00,5.00,2.00,7.00,7.00,7.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2312808,3.00,5.00,5.00,4.00,5.00,6.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2312816,7.00,6.00,8.00,8.00,8.00,7.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2312824,6.00,7.00,5.00,4.00,8.00,7.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2312859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2312867,4.00,5.00,3.00,5.00,7.00,5.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2312875,4.00,6.00,1.00,6.00,6.00,7.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2312883,4.00,4.00,1.00,4.00,6.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2312891,3.00,6.00,2.00,0.00,4.00,3.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2312905,1.00,2.00,2.00,2.00,5.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2312913,2.00,4.00,1.00,3.00,5.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2312930,0.00,6.00,1.00,3.00,5.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2312948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2312956,3.00,6.00,2.00,8.00,7.00,3.75,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2312964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2312972,1.00,6.00,2.00,7.00,8.00,5.00,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2312980,2.00,6.00,3.00,4.00,4.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2312999,1.00,7.00,2.00,4.00,4.00,3.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2313006,2.00,3.00,2.00,4.00,3.00,4.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2313014,4.00,9.00,7.00,9.00,6.00,7.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2313022,0.00,5.00,2.00,4.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2313030,3.00,8.00,1.00,6.00,5.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2313049,2.00,4.00,3.00,9.00,7.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2313057,4.00,7.00,3.00,3.00,7.00,4.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2313065,0.00,5.00,1.00,2.00,5.00,5.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2313081,0.00,4.00,1.00,6.00,3.00,3.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2313090,1.00,7.00,0.00,5.00,5.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2313103,1.00,3.00,4.00,0.00,6.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2313111,0.00,2.00,5.00,2.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2313138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2313146,1.00,4.00,0.00,4.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2313154,4.00,4.00,4.00,6.00,8.00,4.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2313162,6.00,6.00,6.00,6.00,5.00,4.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2313170,6.00,7.00,6.00,4.00,8.00,7.50,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2313189,3.00,6.00,3.00,4.00,6.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2313197,1.00,4.00,3.00,1.00,4.00,4.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2313200,2.00,6.00,4.00,4.00,5.00,3.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2313219,1.00,6.00,1.00,0.00,5.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2313227,1.00,5.00,2.00,5.00,4.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2313235,4.00,7.00,2.00,4.00,5.00,4.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2313243,3.00,8.00,3.00,6.00,6.00,3.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2313251,3.00,5.00,1.00,1.00,4.00,4.75,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2313260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2313278,4.00,4.00,3.00,0.00,6.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2313286,1.00,6.00,4.00,3.00,5.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2313294,3.00,6.00,4.00,6.00,4.00,6.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2313316,5.00,4.00,3.00,2.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2313324,1.00,4.00,4.00,7.00,6.00,5.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2313332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2313340,6.00,3.00,2.00,4.00,7.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2313359,3.00,7.00,3.00,4.00,4.00,6.50,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2313367,3.00,6.00,5.00,7.00,6.00,6.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2313375,1.00,6.00,4.00,2.00,6.00,6.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2313383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2313391,7.00,9.00,10.00,8.00,9.00,6.25,10.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2313405,4.00,4.00,3.00,1.00,4.00,3.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2313413,2.00,7.00,2.00,3.00,3.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2313421,5.00,7.00,2.00,5.00,8.00,8.25,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2313430,3.00,7.00,7.00,4.00,8.00,3.00,7.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2313448,5.00,6.00,1.00,5.00,6.00,5.00,5.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2313456,3.00,3.00,2.00,4.00,5.00,3.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2313464,4.00,8.00,2.00,7.00,7.00,7.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2313472,3.00,8.00,5.00,7.00,5.00,6.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2313480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2313510,1.00,4.00,0.00,8.00,7.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2313529,1.00,5.00,3.00,5.00,6.00,3.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2313537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2313545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2313561,3.00,7.00,6.00,5.00,6.00,4.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2313570,2.00,4.00,0.00,2.00,5.00,4.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2313588,3.00,3.00,3.00,3.00,5.00,4.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2313600,4.00,8.00,5.00,2.00,7.00,7.00,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2313618,2.00,5.00,3.00,2.00,4.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2313626,1.00,8.00,4.00,3.00,7.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2313634,4.00,5.00,3.00,5.00,7.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2313642,2.00,4.00,0.00,6.00,5.00,3.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2313650,3.00,6.00,3.00,5.00,8.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2313669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2313677,4.00,7.00,2.00,5.00,7.00,7.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2313685,3.00,7.00,2.00,6.00,7.00,3.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2313693,4.00,5.00,3.00,7.00,6.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2313715,4.00,7.00,3.00,4.00,5.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2313723,1.00,4.00,2.00,5.00,4.00,4.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2313731,3.00,3.00,3.00,4.00,4.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2313740,2.00,3.00,2.00,3.00,7.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2313766,4.00,6.00,3.00,3.00,6.00,6.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2313782,2.00,3.00,2.00,3.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2313790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2313804,2.00,4.00,3.00,5.00,6.00,4.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2313812,4.00,8.00,6.00,7.00,8.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2313839,6.00,6.00,6.00,5.00,8.00,4.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2313847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2313863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2313880,3.00,7.00,3.00,4.00,6.00,5.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2313898,3.00,7.00,7.00,9.00,6.00,8.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2313901,2.00,3.00,3.00,0.00,0.00,NULL,3.00,2.00,3.00,'S',NULL,NULL,'N'),(15,2313910,2.00,7.00,5.00,7.00,6.00,6.00,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2313928,2.00,6.00,5.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2313936,2.00,5.00,4.00,3.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2313944,2.00,2.00,4.00,4.00,7.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2313952,4.00,8.00,4.00,5.00,8.00,4.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2313960,4.00,7.00,6.00,7.00,8.00,6.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2313987,3.00,3.00,2.00,2.00,2.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2313995,3.00,9.00,6.00,6.00,5.00,5.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2314002,4.00,7.00,4.00,3.00,7.00,5.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2314010,0.00,3.00,2.00,5.00,3.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(15,2314029,5.00,6.00,1.00,9.00,6.00,4.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2314037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2314045,6.00,8.00,8.00,9.00,9.00,5.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2314053,0.00,4.00,3.00,5.00,3.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2314061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2314070,1.00,6.00,3.00,0.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2314088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2314096,2.00,3.00,0.00,5.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2314100,3.00,5.00,3.00,3.00,5.00,0.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2314118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2314126,3.00,5.00,4.00,5.00,6.00,5.00,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2314134,2.00,9.00,6.00,5.00,9.00,5.75,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2314142,4.00,5.00,4.00,2.00,6.00,5.50,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2314150,4.00,6.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2314169,4.00,9.00,5.00,2.00,5.00,6.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2314177,7.00,8.00,7.00,7.00,7.00,8.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2314185,0.00,6.00,3.00,1.00,4.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2314193,6.00,6.00,2.00,5.00,7.00,6.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2314207,6.00,8.00,6.00,7.00,6.00,5.25,9.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2314215,2.00,7.00,3.00,2.00,6.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2314240,0.00,1.00,1.00,5.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2314258,3.00,6.00,4.00,6.00,8.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2314274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2314290,1.00,6.00,3.00,2.00,4.00,4.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2314304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2314312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2314320,3.00,5.00,4.00,6.00,5.00,3.00,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2314347,1.00,4.00,1.00,1.00,4.00,4.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2314355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2314363,4.00,5.00,7.00,8.00,7.00,3.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2314371,5.00,8.00,6.00,6.00,7.00,4.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2314380,1.00,5.00,3.00,5.00,6.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2314398,3.00,8.00,3.00,8.00,7.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2314401,1.00,6.00,1.00,3.00,5.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2314410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2314436,2.00,7.00,2.00,4.00,4.00,5.75,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2314444,4.00,6.00,1.00,5.00,6.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2314452,2.00,4.00,3.00,3.00,3.00,3.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2314460,1.00,3.00,4.00,3.00,4.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2314479,1.00,7.00,7.00,7.00,5.00,4.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2314487,3.00,7.00,4.00,5.00,5.00,5.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2314509,2.00,6.00,2.00,7.00,6.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2314517,4.00,7.00,1.00,7.00,4.00,7.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2314525,1.00,6.00,4.00,3.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2314533,3.00,8.00,4.00,7.00,7.00,5.75,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2314541,3.00,7.00,1.00,4.00,5.00,6.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2314550,7.00,8.00,8.00,9.00,7.00,6.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2314568,1.00,5.00,4.00,0.00,4.00,NULL,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2314576,1.00,5.00,4.00,1.00,2.00,NULL,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2314584,2.00,6.00,6.00,8.00,6.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2314592,2.00,5.00,3.00,2.00,6.00,3.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2314606,4.00,5.00,4.00,6.00,4.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2314614,4.00,8.00,3.00,6.00,8.00,6.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2314622,5.00,4.00,2.00,4.00,5.00,3.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2314630,1.00,8.00,5.00,4.00,7.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2314649,6.00,8.00,8.00,6.00,7.00,4.50,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2314657,4.00,7.00,4.00,7.00,3.00,3.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2314665,4.00,7.00,5.00,1.00,7.00,5.75,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2314673,3.00,4.00,1.00,5.00,3.00,5.50,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2314681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2314690,3.00,4.00,2.00,4.00,6.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2314703,7.00,7.00,5.00,7.00,6.00,6.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2314711,4.00,5.00,7.00,4.00,6.00,5.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2314738,5.00,7.00,8.00,8.00,8.00,6.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2314746,6.00,5.00,5.00,4.00,7.00,5.50,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2314754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2314762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2314797,2.00,5.00,0.00,1.00,3.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2314800,1.00,1.00,1.00,2.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2314819,3.00,6.00,5.00,2.00,4.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2314835,2.00,7.00,2.00,5.00,5.00,5.00,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2314843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2314860,5.00,7.00,4.00,5.00,8.00,7.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2314878,5.00,5.00,5.00,5.00,8.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2314886,4.00,8.00,6.00,9.00,6.00,6.00,7.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2314894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2314908,2.00,2.00,2.00,8.00,7.00,5.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2314924,4.00,6.00,7.00,6.00,7.00,4.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2314932,2.00,5.00,1.00,0.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2314940,2.00,4.00,1.00,1.00,4.00,3.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2314959,3.00,7.00,2.00,7.00,5.00,2.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2314967,3.00,3.00,2.00,4.00,4.00,4.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2314975,3.00,7.00,4.00,6.00,7.00,4.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2314983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2314991,3.00,8.00,4.00,7.00,7.00,6.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2315009,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2315025,1.00,4.00,3.00,7.00,6.00,4.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2315033,2.00,6.00,5.00,5.00,6.00,6.00,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2315041,6.00,8.00,6.00,7.00,6.00,4.25,9.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2315050,3.00,6.00,3.00,7.00,6.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2315068,4.00,5.00,1.00,6.00,6.00,6.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2315076,3.00,8.00,4.00,3.00,5.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2315084,2.00,6.00,4.00,6.00,7.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2315114,4.00,5.00,1.00,7.00,6.00,5.50,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2315122,3.00,5.00,0.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2315130,2.00,4.00,2.00,6.00,6.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2315149,1.00,6.00,2.00,4.00,4.00,6.75,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2315157,3.00,6.00,2.00,7.00,5.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2315165,1.00,8.00,3.00,3.00,5.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2315173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315190,0.00,4.00,5.00,1.00,1.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2315203,2.00,6.00,2.00,5.00,5.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2315211,6.00,7.00,6.00,1.00,7.00,5.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2315220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315246,1.00,3.00,5.00,5.00,7.00,4.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2315254,1.00,2.00,1.00,2.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2315262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315270,2.00,7.00,3.00,8.00,5.00,4.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2315289,4.00,6.00,3.00,6.00,3.00,5.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2315297,3.00,3.00,1.00,1.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2315300,3.00,3.00,1.00,4.00,6.00,6.25,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2315319,4.00,7.00,4.00,5.00,7.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2315327,2.00,5.00,3.00,7.00,6.00,7.50,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2315335,3.00,7.00,5.00,5.00,6.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2315343,1.00,4.00,1.00,0.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2315351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315378,2.00,5.00,4.00,1.00,2.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2315394,3.00,5.00,3.00,7.00,8.00,5.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2315408,4.00,5.00,3.00,7.00,4.00,5.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2315416,2.00,3.00,2.00,0.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2315424,6.00,8.00,4.00,6.00,8.00,6.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2315432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315440,3.00,5.00,5.00,0.00,3.00,2.00,5.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2315459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315467,3.00,7.00,1.00,4.00,6.00,4.50,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2315475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315505,4.00,8.00,8.00,5.00,5.00,5.00,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2315513,4.00,6.00,3.00,5.00,7.00,7.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2315521,2.00,7.00,5.00,3.00,5.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2315530,1.00,7.00,2.00,5.00,3.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2315548,6.00,5.00,6.00,5.00,8.00,6.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2315556,1.00,3.00,1.00,5.00,5.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2315564,4.00,5.00,1.00,1.00,4.00,5.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2315572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315580,4.00,8.00,6.00,0.00,7.00,5.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2315599,6.00,7.00,6.00,5.00,8.00,6.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2315610,2.00,5.00,2.00,5.00,6.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2315629,0.00,2.00,1.00,3.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2315637,3.00,9.00,6.00,6.00,6.00,6.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2315645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315661,1.00,6.00,1.00,5.00,4.00,4.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2315670,2.00,5.00,2.00,4.00,7.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2315688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315700,0.00,4.00,2.00,0.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2315726,2.00,6.00,2.00,0.00,5.00,4.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2315734,4.00,5.00,3.00,2.00,6.00,4.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2315742,4.00,5.00,6.00,6.00,6.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2315750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315769,2.00,7.00,4.00,9.00,7.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2315777,2.00,5.00,5.00,6.00,5.00,3.50,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2315785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315793,0.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2315807,3.00,8.00,1.00,3.00,4.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2315815,3.00,5.00,2.00,7.00,4.00,5.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2315823,3.00,5.00,3.00,3.00,5.00,2.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2315831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315840,2.00,2.00,4.00,2.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2315858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315874,2.00,7.00,1.00,3.00,5.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2315882,3.00,4.00,0.00,2.00,7.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2315890,1.00,3.00,2.00,1.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2315904,1.00,4.00,1.00,3.00,3.00,5.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2315912,4.00,3.00,4.00,5.00,7.00,5.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2315920,3.00,7.00,4.00,5.00,7.00,4.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2315939,2.00,6.00,4.00,5.00,7.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2315947,3.00,3.00,3.00,5.00,5.00,5.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2315955,1.00,2.00,1.00,0.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2315963,0.00,4.00,2.00,4.00,4.00,2.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2315971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2315998,5.00,7.00,5.00,5.00,8.00,9.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2316005,2.00,2.00,0.00,0.00,4.00,NULL,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2316013,3.00,6.00,2.00,2.00,5.00,5.75,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2316021,1.00,7.00,2.00,6.00,7.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2316030,0.00,4.00,3.00,6.00,6.00,5.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2316048,2.00,7.00,1.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2316056,3.00,6.00,1.00,0.00,6.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2316064,5.00,7.00,4.00,9.00,8.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2316072,3.00,7.00,3.00,5.00,7.00,5.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2316080,3.00,9.00,3.00,6.00,5.00,5.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2316099,6.00,9.00,6.00,1.00,4.00,3.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2316102,0.00,2.00,3.00,8.00,7.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2316110,5.00,8.00,2.00,6.00,7.00,6.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2316129,2.00,7.00,4.00,0.00,4.00,5.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2316137,3.00,7.00,1.00,6.00,8.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2316145,4.00,6.00,4.00,0.00,7.00,NULL,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2316153,5.00,6.00,4.00,7.00,8.00,7.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2316161,1.00,5.00,7.00,4.00,2.00,NULL,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2316170,4.00,5.00,5.00,2.00,9.00,3.75,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2316188,4.00,7.00,5.00,2.00,8.00,5.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2316196,4.00,8.00,8.00,6.00,7.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2316200,3.00,6.00,1.00,2.00,4.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2316218,2.00,4.00,3.00,2.00,3.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2316226,2.00,6.00,0.00,3.00,1.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2316242,3.00,3.00,3.00,6.00,8.00,5.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2316250,3.00,6.00,5.00,6.00,4.00,5.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2316269,2.00,8.00,6.00,6.00,6.00,6.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2316285,2.00,3.00,1.00,0.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2316293,4.00,8.00,4.00,4.00,7.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2316315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2316323,3.00,7.00,3.00,7.00,4.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2316340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2316358,4.00,8.00,6.00,5.00,5.00,3.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2316366,3.00,4.00,2.00,3.00,5.00,4.25,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2316374,3.00,7.00,3.00,0.00,3.00,4.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2316382,3.00,5.00,2.00,3.00,6.00,6.00,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2316390,3.00,7.00,1.00,5.00,3.00,5.00,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2316404,2.00,2.00,1.00,2.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2316420,0.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2316439,2.00,4.00,2.00,1.00,3.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2316447,2.00,7.00,5.00,6.00,7.00,5.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2316455,5.00,5.00,3.00,3.00,7.00,7.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2316463,1.00,6.00,2.00,2.00,3.00,4.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2316471,2.00,3.00,0.00,6.00,4.00,5.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2316480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2316498,4.00,7.00,4.00,8.00,7.00,6.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2316501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2316510,4.00,8.00,5.00,9.00,6.00,6.50,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2316528,3.00,6.00,4.00,4.00,6.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2316536,2.00,3.00,3.00,8.00,4.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2316544,4.00,6.00,2.00,5.00,4.00,2.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2316552,1.00,8.00,2.00,3.00,4.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2316560,4.00,7.00,7.00,7.00,7.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2316587,4.00,7.00,5.00,8.00,4.00,4.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2316595,1.00,4.00,1.00,3.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2316609,3.00,4.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2316625,2.00,6.00,1.00,2.00,6.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2316633,2.00,5.00,1.00,7.00,5.00,0.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2316641,5.00,7.00,7.00,7.00,6.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2316650,4.00,6.00,5.00,1.00,5.00,3.00,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2316668,1.00,8.00,1.00,5.00,5.00,3.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2316676,3.00,5.00,2.00,6.00,3.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2316684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2316692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2316706,2.00,3.00,1.00,2.00,5.00,5.25,2.00,8.00,3.00,NULL,NULL,NULL,'S'),(15,2316714,1.00,6.00,5.00,7.00,9.00,6.75,6.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2316722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2316730,3.00,3.00,3.00,7.00,5.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2316749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2316757,2.00,8.00,5.00,8.00,7.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2316765,2.00,5.00,4.00,4.00,7.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2316773,2.00,7.00,6.00,4.00,4.00,6.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2316781,3.00,5.00,2.00,4.00,7.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2316790,4.00,4.00,5.00,5.00,6.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2316803,2.00,0.00,0.00,1.00,3.00,NULL,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2316811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2316820,7.00,7.00,5.00,8.00,8.00,5.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2316838,1.00,7.00,1.00,2.00,6.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2316846,5.00,7.00,6.00,5.00,7.00,8.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2316854,1.00,4.00,6.00,1.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2316862,3.00,5.00,2.00,3.00,4.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2316870,2.00,6.00,2.00,5.00,7.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2316889,4.00,8.00,6.00,9.00,6.00,6.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2316897,2.00,6.00,2.00,4.00,6.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2316900,4.00,6.00,7.00,8.00,7.00,5.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2316919,3.00,4.00,5.00,5.00,5.00,7.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2316927,3.00,6.00,1.00,3.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2316935,4.00,5.00,0.00,6.00,5.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2316943,4.00,3.00,4.00,7.00,5.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2316960,2.00,4.00,1.00,1.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2316978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2316986,2.00,7.00,4.00,6.00,4.00,6.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2316994,2.00,3.00,2.00,4.00,4.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2317001,2.00,6.00,3.00,9.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2317010,3.00,6.00,4.00,3.00,4.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'S');
INSERT INTO ponto_candidato VALUES (15,2317028,1.00,3.00,2.00,3.00,5.00,4.00,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2317036,3.00,5.00,3.00,2.00,5.00,5.00,3.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2317044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2317052,5.00,8.00,6.00,5.00,7.00,7.25,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2317079,1.00,4.00,3.00,1.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2317087,0.00,5.00,3.00,3.00,3.00,4.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2317109,1.00,3.00,0.00,1.00,3.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2317117,3.00,5.00,3.00,1.00,6.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2317125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2317133,5.00,8.00,8.00,7.00,8.00,6.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2317141,0.00,4.00,4.00,2.00,5.00,5.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2317150,1.00,7.00,4.00,7.00,6.00,4.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2317168,6.00,8.00,6.00,7.00,6.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2317176,5.00,5.00,4.00,3.00,6.00,5.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2317184,2.00,7.00,3.00,4.00,4.00,3.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2317192,0.00,3.00,4.00,4.00,4.00,4.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2317206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2317214,3.00,5.00,3.00,5.00,7.00,5.00,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2317222,4.00,4.00,4.00,8.00,4.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2317230,5.00,7.00,5.00,8.00,8.00,7.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2317249,2.00,7.00,3.00,5.00,4.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2317257,1.00,6.00,3.00,4.00,6.00,6.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2317265,4.00,6.00,5.00,3.00,8.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2317273,3.00,6.00,4.00,4.00,6.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2317281,2.00,4.00,2.00,1.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2317290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2317303,4.00,7.00,6.00,5.00,4.00,6.75,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2317311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2317320,4.00,5.00,6.00,7.00,5.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2317338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2317346,5.00,7.00,5.00,7.00,8.00,5.75,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2317354,2.00,5.00,4.00,4.00,6.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2317362,0.00,5.00,3.00,0.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2317389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2317397,1.00,3.00,5.00,5.00,4.00,5.75,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2317400,3.00,7.00,3.00,1.00,8.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2317419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2317427,5.00,7.00,6.00,7.00,6.00,8.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2317435,3.00,5.00,5.00,4.00,6.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2317443,4.00,6.00,5.00,5.00,5.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2317451,2.00,4.00,7.00,5.00,6.00,5.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2317460,3.00,3.00,3.00,4.00,7.00,4.50,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2317478,3.00,6.00,3.00,7.00,8.00,5.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2317494,3.00,6.00,3.00,5.00,5.00,4.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2317508,4.00,5.00,6.00,8.00,6.00,5.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2317516,3.00,5.00,4.00,7.00,6.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2317524,4.00,6.00,4.00,8.00,8.00,4.00,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2317532,3.00,4.00,3.00,5.00,7.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2317540,4.00,6.00,2.00,7.00,4.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2317559,1.00,5.00,6.00,2.00,7.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2317567,2.00,6.00,4.00,1.00,5.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2317575,1.00,5.00,4.00,1.00,5.00,6.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2317583,4.00,7.00,3.00,5.00,7.00,7.25,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2317591,5.00,6.00,3.00,5.00,6.00,5.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2317605,3.00,5.00,5.00,7.00,8.00,4.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2317613,1.00,7.00,3.00,6.00,8.00,5.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2317621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2317630,1.00,7.00,2.00,6.00,5.00,5.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2317648,6.00,8.00,3.00,7.00,6.00,6.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2317656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2317664,3.00,4.00,2.00,4.00,4.00,3.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2317672,3.00,6.00,1.00,6.00,5.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2317680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2317702,2.00,6.00,1.00,2.00,4.00,4.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2317710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2317729,7.00,7.00,8.00,4.00,4.00,5.00,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2317737,2.00,6.00,2.00,3.00,5.00,5.50,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(15,2317745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2317753,7.00,8.00,7.00,4.00,9.00,6.75,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2317761,8.00,7.00,9.00,7.00,8.00,6.00,10.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2317770,3.00,5.00,2.00,4.00,3.00,5.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2317788,3.00,2.00,0.00,1.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2317796,7.00,7.00,3.00,5.00,6.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2317800,4.00,5.00,5.00,3.00,6.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2317818,6.00,7.00,6.00,7.00,5.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2317826,3.00,7.00,7.00,8.00,8.00,4.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2317834,2.00,4.00,2.00,3.00,5.00,4.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2317842,7.00,7.00,4.00,8.00,9.00,5.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2317885,6.00,5.00,3.00,4.00,6.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2317893,1.00,1.00,2.00,2.00,1.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2317907,3.00,6.00,4.00,6.00,5.00,5.75,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2317915,4.00,8.00,4.00,4.00,9.00,6.75,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2317923,3.00,4.00,4.00,4.00,5.00,3.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2317931,1.00,5.00,4.00,6.00,4.00,6.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2317958,5.00,7.00,5.00,8.00,7.00,4.50,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2317966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2317974,2.00,3.00,0.00,2.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2317982,4.00,8.00,4.00,4.00,7.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2317990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2318008,2.00,5.00,1.00,2.00,5.00,3.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2318016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2318024,0.00,5.00,5.00,4.00,2.00,NULL,5.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2318032,3.00,7.00,5.00,9.00,6.00,9.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2318040,2.00,5.00,2.00,8.00,5.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2318059,3.00,4.00,3.00,8.00,3.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2318067,1.00,7.00,1.00,2.00,5.00,4.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2318075,3.00,3.00,4.00,5.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2318083,3.00,4.00,2.00,1.00,7.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2318091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2318105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2318113,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(15,2318130,4.00,6.00,2.00,6.00,6.00,2.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2318148,1.00,6.00,4.00,0.00,6.00,4.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2318156,2.00,8.00,1.00,1.00,4.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2318164,3.00,8.00,5.00,5.00,3.00,3.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2318172,1.00,0.00,2.00,0.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2318180,2.00,3.00,2.00,8.00,7.00,6.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2318199,2.00,3.00,4.00,6.00,4.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2318202,2.00,7.00,2.00,5.00,6.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2318210,4.00,6.00,4.00,3.00,6.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2318229,3.00,7.00,1.00,5.00,6.00,6.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2318237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2318245,4.00,7.00,6.00,5.00,7.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2318253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2318261,2.00,5.00,3.00,5.00,3.00,3.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2318270,5.00,8.00,5.00,7.00,7.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2318288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2318300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2318318,1.00,4.00,1.00,0.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2318326,3.00,7.00,2.00,6.00,7.00,4.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2318334,4.00,5.00,3.00,1.00,3.00,3.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2318342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2318350,1.00,4.00,2.00,5.00,4.00,3.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2318369,3.00,5.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2318377,2.00,7.00,4.00,3.00,4.00,4.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2318385,3.00,6.00,2.00,6.00,4.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2318393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2318407,0.00,5.00,4.00,2.00,5.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2318415,2.00,6.00,2.00,3.00,4.00,4.75,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2318423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2318431,1.00,4.00,1.00,1.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2318440,1.00,7.00,2.00,5.00,6.00,6.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2318458,2.00,6.00,4.00,3.00,5.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2318466,4.00,4.00,3.00,1.00,9.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2318474,0.00,3.00,2.00,3.00,3.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2318482,4.00,6.00,3.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2318490,4.00,9.00,3.00,7.00,8.00,8.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2318504,2.00,2.00,1.00,3.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2318520,2.00,3.00,2.00,4.00,0.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2318539,1.00,5.00,2.00,3.00,4.00,4.50,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2318547,6.00,8.00,2.00,2.00,7.00,5.25,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2318555,4.00,6.00,4.00,6.00,6.00,4.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2318563,2.00,4.00,3.00,0.00,4.00,NULL,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2318571,8.00,8.00,7.00,7.00,9.00,6.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2318580,3.00,7.00,3.00,5.00,7.00,4.75,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2318598,3.00,4.00,1.00,0.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2318601,2.00,4.00,0.00,6.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2318610,5.00,6.00,5.00,3.00,4.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2318628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2318636,3.00,7.00,5.00,8.00,5.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2318644,0.00,3.00,1.00,0.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2318652,2.00,7.00,1.00,7.00,4.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2318679,2.00,7.00,4.00,7.00,2.00,NULL,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2318687,0.00,3.00,4.00,4.00,6.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2318695,6.00,7.00,5.00,7.00,6.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2318709,3.00,4.00,2.00,0.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2318717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2318725,3.00,7.00,2.00,0.00,3.00,3.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2318733,3.00,7.00,5.00,6.00,6.00,5.25,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2318741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2318750,4.00,6.00,2.00,8.00,4.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2318768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2318776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2318784,3.00,5.00,1.00,3.00,6.00,5.50,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2318792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2318806,6.00,9.00,9.00,9.00,8.00,6.75,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2318814,3.00,8.00,4.00,5.00,8.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2318830,4.00,6.00,3.00,7.00,6.00,6.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2318849,0.00,8.00,2.00,6.00,5.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2318857,4.00,5.00,5.00,6.00,5.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2318865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2318873,4.00,7.00,2.00,5.00,3.00,4.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2318881,2.00,6.00,5.00,4.00,6.00,5.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2318890,5.00,5.00,5.00,6.00,4.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2318903,3.00,5.00,2.00,6.00,4.00,5.75,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2318911,1.00,2.00,1.00,1.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2318946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2318954,2.00,7.00,3.00,2.00,3.00,4.50,7.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2318962,1.00,5.00,3.00,7.00,5.00,4.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2318970,1.00,5.00,4.00,6.00,5.00,8.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2318989,2.00,5.00,1.00,0.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2318997,6.00,7.00,3.00,5.00,8.00,6.75,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2319004,2.00,5.00,1.00,4.00,7.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2319012,4.00,7.00,3.00,8.00,8.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2319020,4.00,5.00,7.00,8.00,6.00,7.25,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2319039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319047,2.00,3.00,4.00,5.00,5.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2319063,2.00,8.00,6.00,2.00,5.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2319071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319080,3.00,6.00,4.00,4.00,8.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2319098,3.00,6.00,3.00,6.00,5.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2319101,7.00,4.00,6.00,6.00,7.00,6.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2319110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319136,8.00,7.00,8.00,7.00,8.00,6.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(15,2319144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319152,4.00,7.00,4.00,7.00,8.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2319160,7.00,8.00,3.00,7.00,5.00,4.75,8.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2319179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319195,4.00,3.00,1.00,3.00,3.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2319209,2.00,5.00,2.00,6.00,4.00,4.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2319217,6.00,8.00,5.00,9.00,7.00,5.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2319225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319233,3.00,6.00,0.00,4.00,3.00,3.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2319241,8.00,6.00,8.00,7.00,8.00,6.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2319250,3.00,5.00,5.00,5.00,5.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2319268,3.00,7.00,5.00,6.00,6.00,3.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2319276,4.00,8.00,2.00,6.00,5.00,6.75,6.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2319292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319306,3.00,4.00,4.00,5.00,5.00,5.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2319314,2.00,5.00,3.00,4.00,5.00,4.50,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2319322,4.00,8.00,1.00,7.00,7.00,6.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2319330,3.00,5.00,2.00,3.00,4.00,2.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2319349,3.00,6.00,4.00,1.00,4.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2319357,1.00,4.00,2.00,5.00,5.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2319365,3.00,5.00,4.00,8.00,5.00,6.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2319373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319381,4.00,6.00,4.00,6.00,7.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2319390,1.00,4.00,1.00,1.00,3.00,NULL,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2319403,2.00,3.00,3.00,5.00,7.00,4.50,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2319411,4.00,4.00,3.00,7.00,7.00,4.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2319420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319438,3.00,7.00,7.00,7.00,7.00,5.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2319446,1.00,3.00,1.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2319454,5.00,6.00,5.00,6.00,8.00,5.00,6.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2319462,2.00,4.00,4.00,4.00,6.00,5.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2319470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319489,4.00,6.00,3.00,7.00,7.00,3.75,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2319497,4.00,4.00,0.00,1.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2319500,3.00,5.00,0.00,1.00,1.00,NULL,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2319519,5.00,8.00,4.00,3.00,7.00,7.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2319527,0.00,7.00,3.00,7.00,5.00,6.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2319535,2.00,5.00,3.00,2.00,5.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2319543,4.00,4.00,3.00,0.00,5.00,3.75,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2319551,1.00,4.00,2.00,3.00,5.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2319560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319578,1.00,3.00,1.00,1.00,1.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2319586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319594,0.00,5.00,2.00,1.00,4.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2319608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319616,3.00,8.00,7.00,8.00,7.00,4.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2319624,3.00,5.00,2.00,3.00,6.00,7.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2319640,4.00,7.00,2.00,1.00,7.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2319667,0.00,5.00,1.00,3.00,4.00,5.75,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2319675,1.00,7.00,5.00,0.00,7.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2319683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319713,3.00,4.00,2.00,0.00,5.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2319730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319748,6.00,7.00,7.00,6.00,8.00,5.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2319756,5.00,8.00,6.00,7.00,8.00,6.25,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2319764,2.00,4.00,2.00,7.00,4.00,5.50,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2319772,2.00,6.00,6.00,6.00,6.00,4.00,9.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2319780,4.00,7.00,4.00,8.00,5.00,6.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2319799,2.00,4.00,1.00,6.00,3.00,4.75,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2319802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319837,4.00,5.00,4.00,2.00,6.00,4.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2319845,3.00,4.00,0.00,1.00,6.00,5.75,5.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2319853,3.00,7.00,0.00,0.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2319861,3.00,4.00,3.00,2.00,7.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2319870,1.00,3.00,1.00,2.00,1.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2319888,3.00,7.00,3.00,6.00,5.00,5.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2319896,2.00,6.00,3.00,3.00,4.00,5.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2319918,4.00,7.00,1.00,6.00,7.00,5.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2319926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319934,4.00,5.00,0.00,4.00,5.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2319942,3.00,2.00,1.00,4.00,5.00,4.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2319950,3.00,5.00,4.00,7.00,6.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2319969,2.00,6.00,3.00,5.00,4.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2319977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2319985,3.00,6.00,4.00,3.00,6.00,5.50,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2319993,4.00,4.00,3.00,7.00,6.00,5.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2320002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320010,3.00,6.00,8.00,6.00,5.00,5.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2320029,6.00,6.00,3.00,6.00,5.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2320037,1.00,3.00,1.00,1.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2320045,5.00,7.00,6.00,8.00,7.00,4.25,6.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2320053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320061,3.00,5.00,0.00,5.00,4.00,5.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2320070,5.00,2.00,3.00,4.00,7.00,6.50,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2320088,4.00,6.00,5.00,6.00,6.00,7.00,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2320096,4.00,7.00,4.00,8.00,9.00,4.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2320100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320118,7.00,7.00,7.00,9.00,9.00,7.75,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2320126,2.00,6.00,4.00,6.00,8.00,6.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2320134,1.00,5.00,3.00,2.00,4.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2320142,2.00,5.00,6.00,6.00,4.00,6.25,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2320150,0.00,2.00,1.00,4.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2320169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320185,3.00,6.00,2.00,3.00,6.00,6.25,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2320193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320207,0.00,3.00,1.00,1.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2320223,0.00,8.00,2.00,5.00,5.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2320231,0.00,5.00,0.00,2.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2320240,2.00,8.00,5.00,8.00,7.00,3.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2320258,0.00,3.00,1.00,5.00,4.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2320266,4.00,7.00,4.00,4.00,6.00,6.50,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2320282,3.00,4.00,3.00,3.00,4.00,0.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2320290,0.00,4.00,3.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2320304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320312,4.00,5.00,3.00,9.00,7.00,6.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2320320,3.00,3.00,4.00,1.00,3.00,3.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2320339,6.00,8.00,8.00,9.00,8.00,4.75,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2320347,4.00,5.00,2.00,6.00,6.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2320363,5.00,8.00,7.00,5.00,8.00,6.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2320371,3.00,6.00,5.00,9.00,7.00,6.50,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2320380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320398,2.00,6.00,2.00,4.00,4.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2320410,4.00,4.00,2.00,7.00,7.00,7.50,5.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2320428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320444,3.00,4.00,0.00,1.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2320452,5.00,7.00,6.00,8.00,6.00,5.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2320460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320479,3.00,4.00,2.00,3.00,5.00,4.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2320487,7.00,5.00,3.00,7.00,5.00,5.25,8.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2320495,2.00,7.00,5.00,5.00,6.00,6.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2320517,2.00,5.00,2.00,4.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2320525,4.00,6.00,4.00,6.00,7.00,6.00,3.00,8.00,6.00,NULL,NULL,NULL,'S'),(15,2320533,1.00,4.00,3.00,9.00,4.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2320541,3.00,6.00,1.00,0.00,6.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2320550,3.00,4.00,2.00,2.00,5.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2320568,3.00,4.00,4.00,4.00,4.00,3.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2320576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320584,2.00,6.00,4.00,3.00,7.00,6.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2320592,3.00,6.00,5.00,2.00,6.00,3.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2320606,5.00,8.00,8.00,8.00,8.00,5.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2320614,7.00,7.00,6.00,6.00,7.00,3.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2320622,2.00,9.00,5.00,6.00,6.00,7.00,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2320630,2.00,3.00,2.00,0.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2320649,3.00,4.00,5.00,6.00,6.00,7.00,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2320657,1.00,2.00,3.00,1.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2320665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320673,4.00,7.00,6.00,6.00,7.00,5.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2320681,2.00,4.00,1.00,6.00,5.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2320690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320703,2.00,6.00,0.00,5.00,5.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2320738,2.00,5.00,2.00,2.00,7.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2320746,3.00,8.00,5.00,7.00,8.00,6.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2320754,6.00,5.00,2.00,6.00,6.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2320762,1.00,4.00,1.00,8.00,5.00,6.00,5.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2320770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320789,3.00,4.00,0.00,2.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2320797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320835,4.00,7.00,2.00,5.00,8.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2320843,3.00,3.00,2.00,4.00,4.00,4.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2320851,1.00,3.00,4.00,1.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2320860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320878,3.00,8.00,1.00,1.00,6.00,7.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2320886,3.00,5.00,3.00,7.00,4.00,6.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2320894,1.00,8.00,5.00,3.00,5.00,6.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2320908,6.00,4.00,1.00,3.00,3.00,4.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2320916,7.00,9.00,9.00,7.00,9.00,4.75,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2320924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2320959,4.00,7.00,8.00,6.00,6.00,5.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2320967,2.00,7.00,4.00,6.00,5.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2320975,4.00,7.00,6.00,7.00,6.00,6.00,6.00,6.00,1.00,NULL,NULL,NULL,'S'),(15,2320983,5.00,9.00,4.00,7.00,8.00,7.50,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2320991,3.00,8.00,3.00,2.00,8.00,5.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2321009,2.00,6.00,1.00,5.00,4.00,6.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2321025,3.00,6.00,2.00,8.00,7.00,5.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2321033,5.00,7.00,4.00,6.00,7.00,8.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2321041,1.00,3.00,2.00,4.00,7.00,3.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2321068,3.00,7.00,0.00,1.00,0.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2321076,2.00,7.00,4.00,8.00,7.00,4.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2321084,3.00,3.00,0.00,6.00,7.00,4.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2321092,3.00,8.00,5.00,4.00,6.00,3.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2321106,7.00,7.00,9.00,6.00,8.00,4.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2321114,3.00,6.00,2.00,5.00,6.00,4.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2321122,4.00,5.00,3.00,2.00,4.00,5.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2321130,4.00,7.00,5.00,5.00,8.00,5.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2321149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2321157,0.00,7.00,1.00,2.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2321165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2321181,3.00,6.00,1.00,4.00,5.00,6.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2321190,4.00,8.00,7.00,3.00,8.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2321203,4.00,7.00,0.00,7.00,7.00,7.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2321211,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2321220,5.00,3.00,4.00,7.00,9.00,7.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2321238,1.00,2.00,0.00,1.00,3.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2321246,3.00,7.00,2.00,4.00,4.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2321254,3.00,5.00,0.00,4.00,3.00,4.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2321262,2.00,4.00,2.00,6.00,5.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2321270,2.00,7.00,4.00,9.00,6.00,6.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2321289,3.00,7.00,5.00,5.00,3.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2321297,1.00,3.00,2.00,3.00,7.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2321300,2.00,3.00,3.00,1.00,6.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2321319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2321327,3.00,7.00,1.00,6.00,5.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2321335,4.00,7.00,4.00,1.00,5.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2321343,2.00,5.00,1.00,1.00,7.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2321351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2321360,1.00,8.00,4.00,5.00,7.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2321378,5.00,8.00,7.00,6.00,6.00,5.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2321386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2321394,0.00,4.00,2.00,5.00,4.00,3.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2321408,4.00,8.00,2.00,6.00,6.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2321416,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2321424,3.00,9.00,7.00,4.00,6.00,3.00,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2321432,5.00,8.00,9.00,9.00,6.00,4.25,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2321440,2.00,6.00,2.00,2.00,4.00,3.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2321459,4.00,3.00,3.00,2.00,6.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2321467,2.00,6.00,5.00,8.00,6.00,4.50,4.00,7.00,5.00,NULL,NULL,NULL,'S'),(15,2321475,0.00,2.00,0.00,1.00,4.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2321483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2321491,4.00,7.00,6.00,8.00,8.00,5.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2321505,3.00,5.00,1.00,4.00,4.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2321513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2321521,5.00,6.00,5.00,6.00,5.00,5.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2321530,4.00,8.00,3.00,6.00,7.00,5.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2321548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2321556,2.00,5.00,3.00,4.00,5.00,5.75,2.00,7.00,0.00,NULL,NULL,NULL,'N'),(15,2321564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2321580,4.00,6.00,7.00,6.00,7.00,6.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2321599,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2321602,6.00,8.00,5.00,6.00,7.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2321610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2321629,2.00,7.00,1.00,1.00,3.00,3.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2321637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2321645,6.00,6.00,5.00,2.00,5.00,5.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2321653,3.00,7.00,5.00,8.00,5.00,4.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2321661,1.00,2.00,0.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2321696,1.00,2.00,1.00,2.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2321700,3.00,5.00,3.00,3.00,5.00,4.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2321718,2.00,6.00,3.00,3.00,5.00,4.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2321726,0.00,5.00,4.00,1.00,5.00,4.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2321734,1.00,6.00,2.00,3.00,6.00,4.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2321742,3.00,6.00,3.00,5.00,6.00,6.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2321750,4.00,7.00,3.00,5.00,7.00,7.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2321769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2321777,4.00,5.00,1.00,6.00,4.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2321785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2321793,1.00,3.00,2.00,4.00,4.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2321807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2321815,4.00,7.00,4.00,5.00,7.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2321823,3.00,6.00,4.00,8.00,5.00,7.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2321831,1.00,6.00,2.00,5.00,4.00,3.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2321840,3.00,5.00,4.00,6.00,4.00,4.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2321866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2321874,5.00,7.00,6.00,8.00,5.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2321882,6.00,7.00,6.00,10.00,8.00,4.00,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2321890,1.00,2.00,2.00,5.00,4.00,3.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2321904,3.00,5.00,1.00,4.00,3.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2321912,5.00,6.00,1.00,2.00,5.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2321920,5.00,7.00,5.00,4.00,8.00,5.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2321939,1.00,4.00,2.00,2.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2321947,4.00,7.00,5.00,4.00,5.00,4.75,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2321963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2321971,0.00,3.00,4.00,3.00,3.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2321980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2321998,5.00,5.00,5.00,6.00,7.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2322005,4.00,7.00,2.00,7.00,5.00,5.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2322013,4.00,8.00,3.00,8.00,8.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2322021,3.00,6.00,6.00,4.00,5.00,5.00,5.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2322030,1.00,4.00,1.00,2.00,4.00,NULL,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2322048,2.00,6.00,3.00,6.00,5.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2322064,0.00,1.00,2.00,3.00,1.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2322072,1.00,5.00,3.00,8.00,7.00,5.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2322080,4.00,7.00,4.00,5.00,5.00,4.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2322099,1.00,7.00,5.00,8.00,5.00,7.00,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2322102,2.00,3.00,1.00,6.00,6.00,4.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2322110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322137,2.00,6.00,4.00,3.00,7.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2322153,3.00,7.00,4.00,3.00,4.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2322161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322188,3.00,7.00,2.00,3.00,5.00,4.00,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2322196,5.00,5.00,4.00,0.00,6.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2322200,0.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2322234,1.00,4.00,2.00,3.00,5.00,5.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2322250,2.00,5.00,1.00,5.00,7.00,4.75,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2322269,2.00,3.00,2.00,3.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2322277,5.00,9.00,6.00,6.00,6.00,5.00,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2322285,2.00,8.00,5.00,8.00,7.00,6.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2322293,3.00,6.00,0.00,1.00,7.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2322307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322323,3.00,6.00,6.00,7.00,7.00,4.50,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2322331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322358,1.00,4.00,3.00,6.00,5.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2322366,0.00,3.00,2.00,0.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2322374,3.00,7.00,5.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2322382,6.00,9.00,6.00,3.00,8.00,5.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2322390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322404,3.00,7.00,1.00,7.00,5.00,4.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2322412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322420,1.00,4.00,8.00,3.00,4.00,4.50,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2322439,3.00,7.00,4.00,2.00,6.00,4.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2322447,0.00,1.00,4.00,3.00,5.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2322455,3.00,4.00,0.00,0.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2322463,5.00,6.00,5.00,5.00,6.00,6.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2322471,5.00,3.00,3.00,1.00,3.00,3.00,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2322480,2.00,7.00,5.00,6.00,8.00,NULL,6.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2322498,3.00,6.00,2.00,6.00,6.00,7.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2322501,7.00,7.00,3.00,4.00,8.00,4.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2322510,2.00,3.00,1.00,2.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2322536,2.00,5.00,0.00,2.00,7.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2322544,1.00,8.00,4.00,5.00,6.00,5.75,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2322552,3.00,6.00,1.00,2.00,6.00,4.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2322560,2.00,5.00,0.00,0.00,5.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2322579,3.00,4.00,0.00,1.00,5.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2322587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322617,2.00,4.00,3.00,7.00,5.00,4.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2322625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322641,2.00,6.00,4.00,6.00,4.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2322650,0.00,5.00,3.00,1.00,2.00,NULL,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2322668,3.00,3.00,2.00,9.00,6.00,6.75,5.00,5.00,1.00,NULL,NULL,NULL,'S'),(15,2322676,2.00,5.00,1.00,3.00,5.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2322684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322692,3.00,8.00,1.00,3.00,7.00,3.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2322706,3.00,4.00,2.00,5.00,5.00,5.50,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2322714,2.00,7.00,1.00,3.00,7.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2322722,6.00,7.00,6.00,6.00,7.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2322730,7.00,8.00,2.00,8.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2322749,5.00,8.00,1.00,4.00,5.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2322757,1.00,7.00,5.00,7.00,5.00,6.75,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2322765,3.00,7.00,4.00,4.00,6.00,5.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2322781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322790,2.00,7.00,3.00,7.00,7.00,6.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2322803,1.00,4.00,2.00,5.00,5.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2322811,2.00,8.00,0.00,0.00,4.00,5.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2322820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322838,6.00,7.00,9.00,5.00,8.00,3.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2322846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322862,3.00,3.00,0.00,3.00,7.00,4.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2322870,2.00,7.00,2.00,5.00,4.00,4.25,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2322889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322897,3.00,7.00,6.00,7.00,8.00,6.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2322900,3.00,5.00,3.00,2.00,6.00,5.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2322919,3.00,2.00,1.00,0.00,0.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2322927,3.00,3.00,2.00,2.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2322935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322943,5.00,6.00,0.00,6.00,6.00,4.75,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2322951,3.00,7.00,0.00,0.00,4.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2322960,5.00,9.00,5.00,8.00,7.00,6.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2322978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2322986,5.00,7.00,5.00,7.00,8.00,4.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2322994,6.00,8.00,4.00,5.00,6.00,4.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2323001,4.00,6.00,3.00,5.00,4.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2323010,2.00,8.00,3.00,6.00,7.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2323028,3.00,6.00,6.00,6.00,6.00,5.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2323036,5.00,8.00,5.00,2.00,5.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2323044,3.00,7.00,5.00,7.00,7.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2323079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2323095,2.00,8.00,2.00,1.00,6.00,4.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2323109,3.00,7.00,5.00,2.00,8.00,6.50,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2323117,4.00,5.00,4.00,7.00,6.00,6.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2323125,3.00,6.00,1.00,4.00,8.00,3.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2323133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323150,4.00,7.00,6.00,7.00,5.00,6.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2323168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323184,1.00,2.00,3.00,0.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2323192,3.00,5.00,7.00,3.00,2.00,NULL,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2323206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323214,1.00,6.00,2.00,6.00,6.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2323222,4.00,7.00,3.00,7.00,7.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2323249,3.00,7.00,4.00,5.00,5.00,5.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2323265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323281,2.00,7.00,3.00,8.00,4.00,5.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2323290,6.00,7.00,3.00,4.00,5.00,4.25,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2323303,2.00,4.00,0.00,5.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2323311,3.00,6.00,6.00,4.00,4.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2323320,3.00,4.00,1.00,6.00,7.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2323338,2.00,5.00,5.00,2.00,5.00,4.75,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2323346,5.00,4.00,4.00,2.00,8.00,7.00,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2323354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323362,0.00,4.00,0.00,5.00,5.00,4.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2323370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323397,3.00,2.00,3.00,6.00,7.00,6.00,4.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2323419,2.00,7.00,5.00,4.00,7.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'S'),(15,2323427,3.00,4.00,2.00,3.00,4.00,4.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2323435,1.00,8.00,3.00,8.00,5.00,4.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2323443,8.00,8.00,7.00,7.00,7.00,7.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2323451,1.00,6.00,3.00,2.00,4.00,3.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2323460,0.00,3.00,2.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2323478,3.00,7.00,4.00,7.00,6.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2323486,2.00,4.00,4.00,7.00,9.00,7.00,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2323494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323508,2.00,5.00,2.00,3.00,5.00,6.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2323516,6.00,9.00,5.00,7.00,6.00,5.25,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2323524,3.00,5.00,3.00,2.00,5.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2323532,3.00,5.00,4.00,7.00,5.00,4.25,7.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2323540,3.00,3.00,1.00,2.00,3.00,4.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2323559,3.00,7.00,2.00,6.00,6.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2323567,1.00,2.00,3.00,1.00,4.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2323575,2.00,5.00,2.00,1.00,5.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2323583,3.00,7.00,2.00,5.00,6.00,3.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2323591,4.00,8.00,4.00,4.00,5.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2323605,5.00,5.00,2.00,2.00,7.00,6.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2323613,2.00,3.00,0.00,2.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2323621,2.00,5.00,4.00,3.00,5.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2323630,3.00,5.00,2.00,4.00,2.00,NULL,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2323648,1.00,5.00,5.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2323664,2.00,3.00,2.00,3.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2323672,3.00,7.00,6.00,6.00,7.00,4.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2323680,0.00,4.00,1.00,3.00,7.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2323699,7.00,7.00,6.00,6.00,9.00,5.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2323710,3.00,2.00,2.00,3.00,4.00,3.75,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2323729,6.00,9.00,3.00,5.00,7.00,6.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2323737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323745,1.00,5.00,4.00,5.00,3.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2323753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323788,2.00,6.00,4.00,1.00,5.00,4.25,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2323796,2.00,5.00,0.00,3.00,2.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2323800,3.00,5.00,3.00,2.00,3.00,5.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2323818,1.00,6.00,5.00,0.00,5.00,4.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2323826,3.00,5.00,1.00,4.00,7.00,4.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2323834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323850,4.00,5.00,6.00,4.00,8.00,5.50,9.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2323869,2.00,5.00,4.00,5.00,5.00,4.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2323877,2.00,6.00,3.00,2.00,5.00,6.25,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2323885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323893,4.00,3.00,1.00,1.00,5.00,NULL,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2323907,3.00,7.00,2.00,3.00,3.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2323915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323940,3.00,5.00,1.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2323958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2323982,1.00,4.00,2.00,1.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2323990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2324008,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(15,2324016,3.00,6.00,3.00,1.00,4.00,6.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2324024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2324032,1.00,4.00,4.00,0.00,5.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2324040,2.00,5.00,6.00,7.00,7.00,5.75,6.00,8.00,1.00,NULL,NULL,NULL,'S'),(15,2324059,3.00,6.00,5.00,4.00,6.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2324075,2.00,2.00,1.00,3.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2324083,2.00,6.00,3.00,2.00,5.00,4.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2324091,4.00,4.00,4.00,5.00,5.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2324105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2324113,1.00,3.00,0.00,2.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2324156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2324164,3.00,5.00,2.00,2.00,3.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2324172,3.00,7.00,6.00,9.00,9.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2324180,1.00,5.00,2.00,6.00,5.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2324199,3.00,7.00,2.00,4.00,5.00,6.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2324202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2324210,1.00,4.00,2.00,4.00,4.00,5.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2324229,6.00,6.00,8.00,7.00,5.00,6.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2324237,1.00,2.00,4.00,5.00,3.00,4.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2324245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2324253,2.00,7.00,5.00,4.00,4.00,0.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2324261,1.00,6.00,4.00,6.00,8.00,6.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2324270,2.00,3.00,1.00,1.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2324288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2324296,7.00,6.00,6.00,6.00,8.00,0.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2324300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2324318,3.00,6.00,3.00,5.00,5.00,4.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2324326,4.00,4.00,2.00,7.00,6.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2324334,1.00,5.00,4.00,8.00,5.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2324350,3.00,5.00,0.00,4.00,6.00,5.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2324369,3.00,5.00,1.00,5.00,6.00,4.00,5.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2324377,3.00,7.00,3.00,4.00,6.00,5.25,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2324385,8.00,9.00,6.00,8.00,7.00,5.50,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2324393,2.00,6.00,5.00,7.00,8.00,5.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2324407,0.00,0.00,0.00,1.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(15,2324415,4.00,6.00,7.00,8.00,7.00,5.75,7.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2324423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2324431,2.00,7.00,4.00,6.00,4.00,7.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2324440,4.00,6.00,7.00,3.00,7.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2324458,3.00,5.00,1.00,1.00,7.00,4.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2324466,3.00,5.00,3.00,4.00,4.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2324474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2324482,2.00,5.00,1.00,2.00,4.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2324490,7.00,8.00,9.00,5.00,6.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2324504,7.00,7.00,8.00,6.00,9.00,4.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2324512,2.00,5.00,1.00,3.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2324520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2324539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2324547,3.00,5.00,4.00,3.00,7.00,6.75,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2324555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2324571,4.00,6.00,0.00,6.00,8.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2324598,2.00,5.00,1.00,0.00,1.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2324601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2324610,3.00,8.00,5.00,4.00,6.00,4.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2324628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2324636,3.00,7.00,5.00,5.00,7.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2324644,3.00,6.00,3.00,6.00,4.00,6.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2324652,3.00,6.00,4.00,3.00,1.00,NULL,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2324679,0.00,2.00,2.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(15,2324687,1.00,7.00,1.00,5.00,9.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2324695,0.00,3.00,0.00,5.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2324709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2324717,0.00,2.00,0.00,0.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2324725,1.00,6.00,1.00,7.00,4.00,6.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2324733,5.00,6.00,1.00,7.00,5.00,5.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2324741,5.00,9.00,9.00,1.00,6.00,4.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2324768,4.00,7.00,5.00,6.00,5.00,5.50,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2324784,3.00,6.00,7.00,4.00,5.00,5.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2324792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2324806,4.00,5.00,3.00,3.00,6.00,0.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2324814,1.00,5.00,1.00,2.00,3.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2324822,1.00,4.00,3.00,1.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2324830,0.00,5.00,1.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2324849,4.00,5.00,2.00,5.00,7.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2324857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2324865,2.00,3.00,1.00,7.00,3.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2324873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2324881,0.00,4.00,4.00,2.00,3.00,0.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2324890,1.00,5.00,8.00,5.00,6.00,6.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2324903,4.00,4.00,2.00,4.00,3.00,0.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2324911,5.00,6.00,2.00,3.00,5.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2324920,4.00,7.00,1.00,9.00,7.00,6.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2324938,4.00,6.00,8.00,4.00,6.00,7.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2324954,5.00,6.00,5.00,6.00,6.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2324962,3.00,6.00,3.00,3.00,3.00,5.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2324970,2.00,4.00,0.00,2.00,5.00,5.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2324997,4.00,8.00,0.00,7.00,7.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2325004,3.00,5.00,4.00,1.00,5.00,4.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2325012,3.00,6.00,4.00,7.00,5.00,6.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2325020,2.00,7.00,2.00,2.00,1.00,NULL,2.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2325039,2.00,3.00,3.00,3.00,5.00,4.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2325047,3.00,4.00,1.00,3.00,6.00,4.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2325063,2.00,7.00,3.00,0.00,5.00,4.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2325071,4.00,5.00,3.00,4.00,6.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2325080,0.00,8.00,6.00,2.00,5.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2325098,6.00,8.00,5.00,8.00,5.00,4.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2325101,2.00,6.00,3.00,4.00,4.00,6.50,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2325110,3.00,4.00,3.00,5.00,4.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2325128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2325136,2.00,8.00,6.00,5.00,4.00,6.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2325144,4.00,7.00,5.00,9.00,9.00,6.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2325152,0.00,1.00,2.00,2.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2325160,3.00,8.00,2.00,2.00,6.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2325179,1.00,2.00,0.00,1.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2325187,0.00,3.00,1.00,1.00,5.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2325195,1.00,5.00,2.00,0.00,5.00,3.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2325209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2325217,3.00,2.00,3.00,4.00,5.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2325225,3.00,6.00,5.00,3.00,3.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2325233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2325241,3.00,4.00,1.00,3.00,6.00,3.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2325250,4.00,4.00,3.00,2.00,4.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2325268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2325276,5.00,5.00,5.00,7.00,5.00,5.50,8.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2325284,4.00,5.00,0.00,0.00,5.00,3.00,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2325292,1.00,5.00,1.00,6.00,5.00,5.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2325314,3.00,6.00,3.00,5.00,6.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2325322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2325330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2325357,2.00,5.00,2.00,4.00,2.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2325365,1.00,7.00,2.00,8.00,6.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2325373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2325381,2.00,4.00,4.00,1.00,5.00,7.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2325403,4.00,8.00,7.00,8.00,7.00,7.50,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2325411,4.00,6.00,7.00,6.00,9.00,4.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2325420,2.00,5.00,1.00,3.00,3.00,4.75,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2325438,2.00,8.00,2.00,3.00,4.00,4.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2325454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2325462,2.00,8.00,5.00,3.00,3.00,4.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2325489,4.00,6.00,3.00,9.00,6.00,6.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2325497,4.00,5.00,3.00,5.00,5.00,5.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2325500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2325519,0.00,5.00,1.00,1.00,3.00,3.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2325535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2325543,4.00,6.00,2.00,8.00,4.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2325551,2.00,6.00,6.00,8.00,6.00,6.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2325560,2.00,5.00,3.00,3.00,4.00,4.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2325578,2.00,6.00,3.00,9.00,6.00,5.00,5.00,7.00,2.00,NULL,NULL,NULL,'S'),(15,2325586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2325594,3.00,8.00,4.00,5.00,6.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2325608,4.00,7.00,1.00,3.00,5.00,4.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2325616,4.00,6.00,3.00,6.00,6.00,5.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2325624,2.00,3.00,0.00,2.00,4.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2325632,1.00,2.00,1.00,0.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2325640,2.00,3.00,1.00,5.00,4.00,4.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2325659,3.00,3.00,5.00,5.00,5.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2325667,4.00,3.00,2.00,2.00,1.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2325675,3.00,7.00,2.00,7.00,4.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2325683,3.00,6.00,4.00,5.00,6.00,7.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2325691,1.00,6.00,3.00,2.00,4.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2325713,5.00,7.00,4.00,3.00,6.00,4.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2325721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2325730,0.00,5.00,2.00,3.00,4.00,5.75,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(15,2325748,2.00,7.00,0.00,2.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2325756,6.00,5.00,4.00,9.00,7.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2325764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2325772,2.00,3.00,2.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2325780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2325799,3.00,7.00,1.00,7.00,6.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2325802,4.00,7.00,0.00,4.00,8.00,4.75,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2325810,4.00,7.00,7.00,6.00,6.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2325829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2325837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2325861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2325870,4.00,5.00,5.00,9.00,5.00,7.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2325888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2325896,2.00,4.00,3.00,3.00,5.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2325900,2.00,4.00,3.00,5.00,5.00,3.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2325918,1.00,6.00,3.00,4.00,6.00,4.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2325926,1.00,4.00,1.00,3.00,6.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2325934,8.00,7.00,7.00,7.00,7.00,5.25,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2325950,2.00,5.00,3.00,2.00,4.00,2.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2325969,3.00,8.00,5.00,6.00,5.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2325977,0.00,2.00,0.00,3.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2325985,4.00,6.00,0.00,6.00,7.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2326000,0.00,4.00,3.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2326019,1.00,5.00,1.00,1.00,6.00,6.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2326027,1.00,7.00,3.00,4.00,6.00,6.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2326035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2326043,3.00,7.00,5.00,1.00,4.00,5.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(15,2326051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2326060,3.00,8.00,2.00,8.00,6.00,6.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2326078,0.00,4.00,1.00,4.00,6.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2326094,0.00,7.00,1.00,7.00,7.00,7.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2326108,8.00,8.00,8.00,8.00,9.00,6.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2326116,0.00,0.00,0.00,7.00,7.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2326124,2.00,6.00,3.00,5.00,5.00,4.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2326132,5.00,7.00,5.00,6.00,7.00,7.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2326140,0.00,3.00,1.00,4.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2326167,0.00,2.00,2.00,1.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2326175,3.00,4.00,2.00,3.00,4.00,5.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2326183,2.00,5.00,1.00,2.00,5.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2326191,7.00,7.00,7.00,7.00,8.00,4.75,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2326205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2326213,2.00,5.00,2.00,2.00,7.00,4.00,5.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2326221,4.00,4.00,2.00,5.00,7.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2326230,2.00,5.00,3.00,3.00,7.00,5.00,7.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2326264,2.00,8.00,4.00,8.00,5.00,5.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2326272,3.00,3.00,3.00,2.00,5.00,4.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2326280,3.00,6.00,4.00,3.00,4.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(15,2326299,3.00,7.00,7.00,6.00,6.00,6.00,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2326302,3.00,5.00,3.00,4.00,7.00,4.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2326310,1.00,5.00,3.00,7.00,4.00,4.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2326329,2.00,4.00,0.00,0.00,4.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2326337,2.00,6.00,2.00,5.00,3.00,4.00,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(15,2326345,2.00,4.00,2.00,1.00,5.00,4.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2326361,2.00,6.00,3.00,4.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2326370,3.00,3.00,2.00,3.00,3.00,7.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2326388,2.00,4.00,3.00,3.00,6.00,5.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2326396,2.00,7.00,1.00,5.00,3.00,3.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2326400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2326418,3.00,3.00,3.00,0.00,7.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2326426,0.00,3.00,3.00,4.00,3.00,1.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2326434,2.00,4.00,4.00,4.00,5.00,4.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2326442,0.00,5.00,0.00,7.00,5.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2326450,3.00,3.00,0.00,4.00,6.00,4.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2326469,4.00,7.00,1.00,5.00,6.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2326477,2.00,5.00,1.00,3.00,5.00,6.75,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2326485,3.00,6.00,4.00,4.00,3.00,4.50,4.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2326493,1.00,4.00,1.00,1.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2326507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2326515,5.00,6.00,8.00,4.00,7.00,7.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2326523,5.00,7.00,6.00,8.00,7.00,5.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2326531,3.00,7.00,6.00,6.00,9.00,6.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2326540,5.00,7.00,5.00,7.00,7.00,3.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2326558,3.00,6.00,5.00,1.00,7.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2326566,4.00,8.00,6.00,4.00,6.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2326574,2.00,4.00,4.00,0.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2326582,1.00,7.00,4.00,6.00,4.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2326604,6.00,8.00,1.00,6.00,5.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2326612,1.00,3.00,1.00,5.00,3.00,4.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2326620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2326639,2.00,3.00,2.00,5.00,6.00,5.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2326647,3.00,5.00,3.00,7.00,4.00,4.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2326655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2326663,4.00,5.00,2.00,9.00,7.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2326698,2.00,7.00,2.00,5.00,4.00,5.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2326701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2326710,3.00,7.00,5.00,3.00,6.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2326728,1.00,6.00,1.00,6.00,5.00,5.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2326736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2326760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2326779,3.00,5.00,1.00,4.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2326787,2.00,4.00,1.00,1.00,2.00,NULL,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2326795,0.00,6.00,5.00,4.00,7.00,NULL,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2326809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2326825,2.00,6.00,1.00,0.00,6.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2326833,2.00,5.00,3.00,5.00,4.00,6.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2326841,1.00,3.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2326850,3.00,6.00,3.00,6.00,5.00,4.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2326868,0.00,7.00,2.00,0.00,1.00,NULL,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2326884,5.00,7.00,4.00,9.00,6.00,4.25,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2326892,4.00,6.00,6.00,5.00,8.00,5.25,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2326906,0.00,5.00,1.00,2.00,4.00,4.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2326914,2.00,8.00,3.00,5.00,4.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2326930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2326965,4.00,7.00,4.00,6.00,5.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2326973,3.00,5.00,4.00,6.00,6.00,4.75,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2326981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2326990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2327007,2.00,7.00,0.00,6.00,8.00,5.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2327015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2327023,2.00,6.00,5.00,6.00,5.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2327031,6.00,6.00,4.00,8.00,8.00,6.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2327040,3.00,7.00,2.00,7.00,8.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2327074,3.00,7.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2327082,4.00,4.00,2.00,1.00,5.00,6.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2327090,1.00,8.00,3.00,4.00,5.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2327104,1.00,6.00,4.00,0.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2327112,4.00,8.00,4.00,9.00,5.00,6.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2327120,3.00,2.00,1.00,2.00,5.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2327139,3.00,5.00,4.00,7.00,7.00,5.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2327147,2.00,4.00,2.00,0.00,2.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2327155,1.00,7.00,1.00,5.00,8.00,5.25,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2327163,1.00,1.00,3.00,5.00,4.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2327171,2.00,4.00,2.00,0.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2327180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2327198,3.00,5.00,2.00,1.00,5.00,3.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2327201,4.00,6.00,7.00,7.00,8.00,6.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2327210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2327228,3.00,6.00,4.00,2.00,5.00,5.25,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2327236,4.00,6.00,1.00,3.00,7.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2327244,3.00,7.00,3.00,9.00,4.00,6.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2327260,5.00,6.00,6.00,8.00,7.00,6.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2327279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2327287,1.00,5.00,4.00,3.00,4.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2327295,1.00,4.00,0.00,0.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2327309,4.00,8.00,7.00,5.00,6.00,5.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2327317,2.00,6.00,5.00,6.00,7.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2327325,2.00,9.00,0.00,4.00,5.00,5.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2327333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2327341,3.00,2.00,3.00,3.00,4.00,7.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2327350,6.00,8.00,3.00,3.00,9.00,3.50,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(15,2327368,2.00,4.00,4.00,8.00,5.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2327376,6.00,5.00,4.00,6.00,4.00,5.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2327384,4.00,6.00,4.00,5.00,6.00,3.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2327392,7.00,9.00,6.00,7.00,7.00,6.75,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2327406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2327414,3.00,6.00,3.00,1.00,3.00,3.25,4.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2327422,0.00,6.00,1.00,6.00,5.00,3.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2327430,2.00,6.00,2.00,6.00,2.00,NULL,3.00,7.00,0.00,NULL,NULL,NULL,'N'),(15,2327457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2327473,2.00,6.00,1.00,1.00,7.00,5.00,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2327481,3.00,6.00,3.00,3.00,6.00,6.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2327490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2327511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2327520,2.00,5.00,2.00,5.00,6.00,7.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2327538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2327546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2327554,4.00,6.00,5.00,6.00,6.00,4.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2327570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2327589,5.00,7.00,5.00,10.00,7.00,4.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2327597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2327600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2327627,0.00,0.00,0.00,4.00,4.00,NULL,3.00,3.00,3.00,NULL,'S',NULL,'N'),(15,2327635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2327643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2327651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2327660,2.00,4.00,3.00,4.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2327678,3.00,7.00,1.00,2.00,6.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2327686,3.00,5.00,3.00,2.00,7.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2327708,2.00,4.00,2.00,5.00,7.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2327724,3.00,7.00,2.00,6.00,6.00,6.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2327732,3.00,4.00,2.00,8.00,4.00,6.25,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2327740,4.00,7.00,1.00,2.00,5.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2327759,2.00,5.00,3.00,1.00,4.00,5.50,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2327767,2.00,8.00,2.00,5.00,7.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2327791,2.00,4.00,3.00,3.00,5.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2327813,1.00,5.00,3.00,6.00,4.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2327821,1.00,2.00,4.00,1.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2327830,3.00,7.00,3.00,2.00,4.00,4.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2327848,2.00,6.00,3.00,8.00,5.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2327856,0.00,5.00,1.00,5.00,4.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2327864,1.00,4.00,0.00,2.00,1.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2327872,5.00,8.00,7.00,6.00,9.00,6.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2327880,0.00,3.00,1.00,2.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2327899,5.00,8.00,6.00,8.00,5.00,6.25,9.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2327902,1.00,4.00,4.00,4.00,5.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2327929,2.00,1.00,1.00,3.00,4.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2327937,1.00,6.00,2.00,2.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2327945,2.00,8.00,5.00,1.00,8.00,7.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2327961,1.00,2.00,1.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2327970,1.00,7.00,4.00,5.00,6.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2327988,1.00,7.00,3.00,3.00,7.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2327996,5.00,7.00,4.00,3.00,6.00,5.25,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2328003,5.00,9.00,8.00,9.00,9.00,7.00,8.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2328011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2328020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2328038,3.00,4.00,4.00,5.00,6.00,3.50,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2328054,3.00,7.00,2.00,7.00,6.00,6.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2328070,3.00,5.00,4.00,7.00,6.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(15,2328097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2328100,5.00,6.00,7.00,3.00,7.00,6.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2328119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2328127,1.00,4.00,4.00,1.00,3.00,3.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2328143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2328151,1.00,5.00,6.00,6.00,7.00,5.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2328160,3.00,4.00,0.00,0.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2328178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2328186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2328194,3.00,5.00,5.00,4.00,5.00,4.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2328208,2.00,7.00,2.00,6.00,5.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(15,2328216,2.00,4.00,4.00,5.00,3.00,6.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2328224,3.00,4.00,1.00,5.00,5.00,5.00,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2328232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2328259,1.00,4.00,1.00,2.00,4.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(15,2328275,2.00,6.00,2.00,3.00,5.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2328283,2.00,5.00,2.00,2.00,7.00,5.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2328291,3.00,6.00,2.00,8.00,6.00,5.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2328305,1.00,4.00,3.00,8.00,6.00,1.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2328313,4.00,7.00,8.00,8.00,8.00,6.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2328330,5.00,4.00,3.00,1.00,6.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2328348,3.00,4.00,4.00,3.00,5.00,4.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2328364,1.00,4.00,3.00,2.00,6.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2328380,5.00,6.00,6.00,4.00,9.00,6.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2328399,4.00,4.00,3.00,3.00,3.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2328402,3.00,4.00,0.00,2.00,3.00,3.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2328410,1.00,4.00,4.00,4.00,4.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2328429,3.00,5.00,4.00,3.00,5.00,4.00,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2328445,4.00,4.00,1.00,5.00,6.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2328453,4.00,7.00,3.00,5.00,6.00,6.25,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2328461,3.00,5.00,2.00,1.00,5.00,4.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2328470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2328496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2328500,5.00,6.00,2.00,7.00,3.00,3.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2328518,4.00,5.00,3.00,8.00,5.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'S'),(15,2328526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2328534,1.00,4.00,0.00,8.00,5.00,5.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2328542,5.00,6.00,5.00,7.00,8.00,7.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2328550,3.00,6.00,2.00,5.00,4.00,6.75,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2328569,6.00,7.00,7.00,7.00,6.00,5.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2328577,2.00,6.00,3.00,4.00,4.00,5.00,4.00,2.00,0.00,NULL,NULL,NULL,'S'),(15,2328585,4.00,7.00,8.00,9.00,7.00,3.50,9.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2328593,4.00,8.00,7.00,9.00,6.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2328631,6.00,7.00,7.00,7.00,8.00,3.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2328640,4.00,5.00,3.00,1.00,5.00,3.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2328658,3.00,7.00,3.00,1.00,6.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2328666,2.00,7.00,8.00,4.00,6.00,3.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2328674,1.00,5.00,4.00,8.00,5.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2328682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2328704,6.00,7.00,3.00,8.00,8.00,7.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2328712,4.00,5.00,1.00,5.00,4.00,4.75,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(15,2328720,3.00,6.00,3.00,0.00,6.00,4.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2328747,4.00,7.00,5.00,8.00,7.00,7.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2328763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2328771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2328780,3.00,8.00,3.00,5.00,5.00,5.25,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2328798,2.00,7.00,2.00,0.00,5.00,3.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2328801,1.00,8.00,3.00,6.00,6.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2328810,0.00,2.00,3.00,1.00,0.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2328828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2328836,2.00,4.00,4.00,5.00,5.00,5.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2328844,3.00,6.00,2.00,7.00,9.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2328852,3.00,7.00,3.00,4.00,5.00,6.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2328860,0.00,3.00,1.00,1.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2328879,3.00,7.00,4.00,6.00,7.00,4.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2328887,3.00,8.00,4.00,6.00,7.00,4.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2328909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2328925,4.00,7.00,2.00,5.00,9.00,5.75,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2328933,4.00,7.00,3.00,8.00,8.00,6.75,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2328941,2.00,5.00,0.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2328968,5.00,6.00,5.00,6.00,7.00,6.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2328976,8.00,8.00,8.00,9.00,9.00,7.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(15,2328984,3.00,6.00,2.00,5.00,5.00,6.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2328992,0.00,4.00,2.00,1.00,5.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2329000,5.00,4.00,3.00,7.00,6.00,6.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2329018,3.00,9.00,7.00,10.00,7.00,7.00,6.00,9.00,2.00,NULL,NULL,NULL,'N'),(15,2329026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2329042,6.00,8.00,5.00,7.00,7.00,6.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2329050,2.00,8.00,7.00,3.00,6.00,5.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2329069,2.00,6.00,4.00,3.00,6.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2329085,5.00,8.00,3.00,8.00,7.00,6.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2329093,3.00,6.00,3.00,6.00,5.00,5.25,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2329107,2.00,7.00,4.00,7.00,6.00,5.00,7.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2329115,0.00,5.00,1.00,4.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2329123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2329131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2329140,3.00,6.00,4.00,2.00,5.00,5.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2329158,3.00,4.00,4.00,5.00,6.00,5.25,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2329166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2329182,3.00,6.00,1.00,7.00,7.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2329190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2329204,3.00,5.00,2.00,4.00,6.00,6.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2329212,3.00,7.00,5.00,6.00,7.00,6.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2329239,1.00,5.00,4.00,4.00,3.00,4.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2329247,3.00,4.00,3.00,8.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2329255,1.00,6.00,3.00,6.00,2.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(15,2329263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2329271,3.00,5.00,6.00,7.00,4.00,5.25,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2329280,3.00,6.00,2.00,5.00,8.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2329298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2329301,3.00,4.00,2.00,8.00,6.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2329310,0.00,0.00,0.00,0.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2329328,2.00,5.00,2.00,3.00,6.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2329336,6.00,6.00,6.00,4.00,4.00,4.25,5.00,4.00,0.00,NULL,NULL,NULL,'S'),(15,2329344,3.00,6.00,5.00,5.00,4.00,5.00,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2329352,1.00,7.00,3.00,5.00,8.00,5.00,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2329360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2329387,2.00,7.00,8.00,9.00,8.00,5.25,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2329395,1.00,4.00,1.00,0.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2329409,2.00,5.00,4.00,0.00,3.00,6.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2329425,3.00,7.00,2.00,0.00,5.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2329433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2329441,3.00,8.00,1.00,6.00,4.00,5.50,4.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2329450,3.00,6.00,1.00,3.00,4.00,3.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2329468,1.00,3.00,3.00,0.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2329476,2.00,3.00,0.00,5.00,5.00,6.50,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2329492,2.00,9.00,4.00,6.00,5.00,5.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2329506,3.00,7.00,2.00,8.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2329530,5.00,7.00,3.00,8.00,6.00,6.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2329549,3.00,5.00,2.00,6.00,6.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2329557,3.00,4.00,4.00,0.00,5.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2329573,2.00,3.00,1.00,1.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2329581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2329590,2.00,5.00,3.00,4.00,5.00,3.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2329603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2329620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2329638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2329670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2329689,4.00,6.00,4.00,3.00,7.00,7.25,5.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2329697,2.00,6.00,4.00,6.00,6.00,5.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2329700,4.00,8.00,7.00,6.00,7.00,6.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2329719,1.00,7.00,6.00,9.00,7.00,5.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2329727,1.00,5.00,1.00,3.00,6.00,3.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2329735,7.00,8.00,7.00,7.00,8.00,6.75,9.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2329743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2329751,3.00,6.00,4.00,6.00,5.00,6.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2329760,2.00,3.00,4.00,2.00,6.00,3.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2329778,3.00,7.00,5.00,6.00,5.00,5.00,6.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2329786,1.00,6.00,0.00,3.00,7.00,5.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2329794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2329808,3.00,5.00,4.00,3.00,5.00,6.25,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2329816,1.00,2.00,1.00,4.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2329832,1.00,4.00,5.00,6.00,5.00,3.00,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2329840,2.00,3.00,3.00,4.00,3.00,5.50,5.00,3.00,2.00,NULL,NULL,NULL,'S'),(15,2329883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2329891,3.00,8.00,8.00,6.00,7.00,6.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2329905,3.00,7.00,3.00,7.00,6.00,4.50,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2329913,4.00,9.00,7.00,8.00,8.00,4.50,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2329921,1.00,5.00,3.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(15,2329930,1.00,5.00,3.00,1.00,6.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2329948,2.00,3.00,0.00,3.00,5.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2329956,1.00,7.00,2.00,7.00,8.00,5.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2329964,2.00,5.00,3.00,5.00,6.00,4.00,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2329980,3.00,7.00,5.00,3.00,4.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2329999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2330008,4.00,8.00,6.00,2.00,4.00,3.75,5.00,6.00,5.00,NULL,NULL,NULL,'S'),(15,2330016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2330024,6.00,6.00,7.00,9.00,6.00,6.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2330032,1.00,4.00,2.00,2.00,6.00,6.25,5.00,0.00,4.00,NULL,NULL,NULL,'N'),(15,2330067,6.00,8.00,6.00,9.00,6.00,5.00,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2330075,5.00,8.00,5.00,8.00,8.00,6.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2330083,7.00,7.00,8.00,8.00,6.00,5.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2330091,2.00,6.00,2.00,8.00,5.00,3.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2330121,2.00,7.00,1.00,2.00,6.00,4.25,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2330130,1.00,5.00,4.00,3.00,0.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2330148,2.00,5.00,0.00,5.00,4.00,NULL,5.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2330156,3.00,7.00,3.00,4.00,6.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2330164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2330172,2.00,5.00,3.00,3.00,6.00,4.00,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(15,2330202,4.00,7.00,4.00,4.00,7.00,5.75,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2330210,2.00,8.00,4.00,8.00,7.00,7.25,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2330237,3.00,7.00,1.00,6.00,5.00,3.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2330245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2330253,1.00,4.00,1.00,9.00,6.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2330261,2.00,3.00,2.00,2.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2330288,0.00,0.00,0.00,9.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2330318,2.00,6.00,4.00,7.00,5.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2330326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2330334,4.00,6.00,5.00,3.00,5.00,5.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2330350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2330369,2.00,2.00,4.00,2.00,3.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2330377,3.00,7.00,5.00,7.00,9.00,6.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2330385,2.00,5.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2330393,1.00,3.00,0.00,3.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2330407,2.00,7.00,1.00,7.00,5.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2330415,2.00,8.00,7.00,8.00,3.00,4.50,8.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2330431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(15,2330440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2330458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2330482,4.00,7.00,5.00,4.00,5.00,5.50,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2330504,1.00,5.00,3.00,4.00,2.00,NULL,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2330512,1.00,5.00,2.00,1.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2330520,3.00,7.00,3.00,5.00,6.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2330547,3.00,5.00,2.00,4.00,3.00,3.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2330571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2330598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2330601,4.00,5.00,3.00,6.00,4.00,6.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2330610,1.00,5.00,1.00,0.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2330628,3.00,6.00,3.00,3.00,2.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(15,2330636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2330652,3.00,5.00,2.00,6.00,5.00,5.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2330660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2330679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2330695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2330709,4.00,3.00,4.00,6.00,5.00,5.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2330725,4.00,8.00,3.00,9.00,7.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2330733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2330750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2330776,7.00,8.00,7.00,6.00,8.00,5.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2330814,0.00,2.00,2.00,2.00,2.00,NULL,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2330849,5.00,9.00,7.00,8.00,8.00,7.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2330865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2330873,5.00,5.00,6.00,1.00,7.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2330890,6.00,6.00,6.00,5.00,7.00,7.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2330903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2330938,5.00,5.00,3.00,5.00,6.00,5.00,6.00,4.00,4.00,NULL,NULL,NULL,'S'),(15,2330946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2330954,4.00,8.00,7.00,7.00,7.00,7.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2330970,2.00,6.00,6.00,9.00,7.00,7.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2330989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2331004,3.00,7.00,4.00,3.00,5.00,4.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2331039,2.00,4.00,1.00,4.00,5.00,5.50,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2331055,2.00,3.00,0.00,1.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(15,2331063,4.00,6.00,2.00,6.00,6.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2331101,3.00,6.00,5.00,7.00,5.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2331144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2331152,5.00,7.00,4.00,8.00,6.00,6.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2331187,1.00,6.00,2.00,2.00,8.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2331195,2.00,6.00,0.00,1.00,7.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2331217,2.00,4.00,4.00,5.00,7.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2331241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2331268,4.00,6.00,1.00,6.00,5.00,5.50,4.00,8.00,5.00,NULL,NULL,NULL,'S'),(15,2331276,4.00,9.00,7.00,4.00,7.00,3.00,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2331292,2.00,5.00,3.00,5.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2331306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2331314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2331330,5.00,8.00,4.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2331349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2331357,4.00,6.00,7.00,4.00,6.00,5.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2331381,4.00,5.00,3.00,6.00,7.00,3.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2331390,2.00,2.00,1.00,3.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2331411,3.00,5.00,2.00,4.00,4.00,5.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2331420,3.00,7.00,9.00,7.00,8.00,7.75,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2331446,5.00,4.00,4.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2331454,3.00,2.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S',NULL,'S','N'),(15,2331470,7.00,8.00,6.00,4.00,7.00,7.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2331497,3.00,4.00,1.00,5.00,6.00,4.25,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(15,2331500,1.00,6.00,1.00,3.00,5.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(15,2331519,4.00,6.00,6.00,7.00,8.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2331578,1.00,1.00,3.00,2.00,4.00,3.00,6.00,2.00,3.00,NULL,NULL,NULL,'S'),(15,2331608,3.00,6.00,1.00,0.00,4.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(15,2331640,3.00,6.00,2.00,6.00,4.00,3.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2331659,0.00,0.00,0.00,8.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2331667,3.00,5.00,4.00,5.00,5.00,5.50,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2331691,6.00,8.00,6.00,10.00,6.00,7.25,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2331748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2800004,1.00,6.00,4.00,2.00,6.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2800012,0.00,5.00,3.00,3.00,6.00,4.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2800020,2.00,5.00,3.00,4.00,5.00,3.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2800039,1.00,4.00,3.00,4.00,6.00,4.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2800047,1.00,4.00,1.00,0.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2800055,1.00,3.00,0.00,3.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2800063,2.00,2.00,1.00,3.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2800071,3.00,5.00,2.00,5.00,7.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2800080,2.00,7.00,1.00,3.00,8.00,5.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2800098,6.00,5.00,4.00,0.00,8.00,4.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2800101,4.00,6.00,3.00,6.00,8.00,4.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2800110,5.00,4.00,3.00,2.00,3.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2800128,4.00,4.00,2.00,5.00,5.00,5.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2800136,3.00,6.00,5.00,6.00,5.00,4.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2800144,3.00,4.00,3.00,3.00,4.00,4.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2800152,5.00,6.00,1.00,2.00,7.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2800160,4.00,8.00,6.00,6.00,9.00,7.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2800179,3.00,6.00,1.00,4.00,5.00,4.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2800187,5.00,7.00,5.00,2.00,6.00,3.75,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2800195,4.00,4.00,5.00,6.00,7.00,5.25,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2800209,2.00,7.00,2.00,5.00,6.00,6.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2800217,3.00,4.00,0.00,4.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2800225,3.00,5.00,2.00,2.00,5.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2800233,1.00,4.00,4.00,6.00,6.00,3.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2800241,4.00,7.00,7.00,5.00,7.00,6.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2800250,4.00,5.00,4.00,1.00,9.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2800268,3.00,5.00,1.00,6.00,6.00,4.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2800276,5.00,6.00,1.00,1.00,7.00,6.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2800284,6.00,6.00,7.00,5.00,8.00,6.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2800292,2.00,3.00,1.00,0.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2800306,5.00,5.00,4.00,3.00,7.00,5.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2800314,4.00,6.00,5.00,3.00,6.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2800322,6.00,9.00,9.00,7.00,8.00,6.50,9.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2800330,1.00,7.00,3.00,4.00,4.00,6.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2800349,3.00,4.00,3.00,4.00,7.00,7.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2800357,3.00,6.00,0.00,1.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2800365,3.00,7.00,1.00,5.00,6.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2800373,6.00,8.00,8.00,7.00,7.00,6.00,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2800381,3.00,3.00,2.00,1.00,6.00,2.00,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2800390,3.00,6.00,0.00,4.00,5.00,4.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2800403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2800411,6.00,6.00,3.00,6.00,8.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2800420,4.00,7.00,7.00,7.00,7.00,4.75,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2800438,4.00,8.00,2.00,5.00,6.00,5.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2800446,2.00,6.00,1.00,1.00,5.00,3.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2800454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2800462,1.00,2.00,2.00,4.00,7.00,4.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2800470,2.00,5.00,3.00,0.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2800489,3.00,5.00,1.00,6.00,6.00,5.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2800497,2.00,6.00,2.00,3.00,5.00,3.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2800500,5.00,6.00,4.00,6.00,8.00,6.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2800519,4.00,6.00,4.00,5.00,7.00,4.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2800527,3.00,7.00,3.00,4.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2800543,3.00,5.00,3.00,3.00,6.00,6.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2800551,2.00,7.00,4.00,8.00,8.00,4.75,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2800560,3.00,7.00,6.00,6.00,6.00,5.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2800578,3.00,4.00,2.00,5.00,6.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2800586,3.00,2.00,2.00,3.00,1.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2800594,7.00,7.00,9.00,6.00,8.00,5.25,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(15,2800608,3.00,7.00,3.00,5.00,7.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2800616,3.00,8.00,6.00,6.00,7.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2800640,5.00,6.00,1.00,2.00,6.00,3.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2800659,1.00,5.00,3.00,6.00,7.00,4.25,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2800667,5.00,7.00,5.00,5.00,8.00,8.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2800675,3.00,8.00,3.00,4.00,5.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2800683,0.00,2.00,3.00,2.00,5.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2800691,2.00,6.00,4.00,4.00,4.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2800705,1.00,5.00,2.00,3.00,7.00,5.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2800713,6.00,7.00,3.00,4.00,7.00,6.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2800721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2800730,0.00,5.00,1.00,1.00,4.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2800748,2.00,6.00,1.00,5.00,6.00,5.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2800756,2.00,7.00,2.00,5.00,6.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2800764,3.00,8.00,3.00,3.00,7.00,6.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2800772,2.00,4.00,2.00,3.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2800780,4.00,6.00,3.00,5.00,6.00,4.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2800799,2.00,5.00,2.00,6.00,7.00,5.00,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2800802,1.00,6.00,1.00,6.00,6.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2800810,3.00,6.00,2.00,5.00,4.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2800829,0.00,7.00,1.00,3.00,7.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2800837,2.00,5.00,4.00,7.00,7.00,7.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2800845,2.00,7.00,0.00,4.00,7.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2800853,5.00,5.00,3.00,6.00,6.00,5.50,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2800861,2.00,6.00,3.00,6.00,6.00,5.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2800870,2.00,5.00,2.00,6.00,3.00,3.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2800888,4.00,7.00,4.00,7.00,8.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2800896,5.00,6.00,1.00,1.00,5.00,6.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2800900,4.00,6.00,6.00,5.00,6.00,6.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2800918,3.00,4.00,2.00,5.00,3.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2800934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2800942,2.00,5.00,0.00,6.00,7.00,6.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2800950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2800985,2.00,8.00,3.00,7.00,7.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2800993,4.00,6.00,2.00,3.00,5.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2801000,3.00,7.00,1.00,4.00,7.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2801019,5.00,7.00,5.00,2.00,8.00,5.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2801035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2801043,2.00,2.00,2.00,1.00,5.00,4.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2801051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2801060,3.00,8.00,1.00,6.00,8.00,5.50,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2801086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2801094,3.00,2.00,1.00,4.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2801108,1.00,3.00,1.00,3.00,5.00,5.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2801116,2.00,5.00,1.00,7.00,4.00,2.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2801124,4.00,3.00,2.00,0.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2801132,1.00,4.00,2.00,1.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2801140,3.00,6.00,5.00,1.00,7.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2801159,2.00,6.00,2.00,6.00,4.00,5.50,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2801167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2801175,5.00,6.00,3.00,6.00,7.00,5.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2801183,3.00,6.00,3.00,6.00,7.00,4.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2801191,1.00,6.00,3.00,4.00,8.00,6.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2801205,1.00,6.00,3.00,3.00,5.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2801213,3.00,5.00,1.00,5.00,6.00,6.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2801221,4.00,7.00,4.00,3.00,5.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2801230,2.00,5.00,2.00,6.00,7.00,5.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2801248,7.00,6.00,4.00,4.00,8.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2801256,3.00,7.00,3.00,2.00,4.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2801264,5.00,6.00,4.00,8.00,7.00,5.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2801272,2.00,5.00,3.00,3.00,3.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2801280,2.00,4.00,1.00,1.00,6.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2801299,4.00,6.00,4.00,6.00,5.00,7.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2801302,3.00,7.00,2.00,1.00,5.00,4.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2801310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2801329,3.00,5.00,1.00,1.00,6.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2801353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2801361,1.00,3.00,2.00,4.00,6.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2801370,2.00,5.00,2.00,2.00,3.00,3.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2801388,1.00,6.00,0.00,2.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2801396,2.00,5.00,3.00,0.00,7.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2801400,4.00,7.00,3.00,4.00,7.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2801418,4.00,8.00,4.00,5.00,8.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2801426,3.00,6.00,1.00,2.00,7.00,3.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2801434,3.00,6.00,2.00,6.00,5.00,5.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2801442,4.00,7.00,3.00,5.00,6.00,0.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2801450,2.00,4.00,2.00,2.00,5.00,6.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2801469,1.00,7.00,3.00,7.00,6.00,3.00,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2801477,2.00,5.00,1.00,3.00,6.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2801485,2.00,9.00,4.00,7.00,8.00,6.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2801493,4.00,6.00,1.00,5.00,6.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2801507,4.00,4.00,2.00,6.00,5.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2801515,2.00,8.00,2.00,5.00,7.00,5.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2801523,0.00,1.00,1.00,0.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2801531,2.00,7.00,2.00,5.00,6.00,4.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2801540,0.00,1.00,0.00,4.00,6.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2801558,0.00,3.00,0.00,3.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2801566,5.00,7.00,5.00,5.00,9.00,6.75,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2801574,1.00,6.00,5.00,3.00,6.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2801582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2801590,0.00,4.00,1.00,1.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2801604,3.00,7.00,4.00,5.00,5.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2801612,4.00,6.00,1.00,7.00,7.00,5.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2801620,5.00,7.00,3.00,3.00,8.00,3.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2801647,7.00,8.00,7.00,8.00,8.00,5.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2801655,2.00,4.00,2.00,2.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2801663,4.00,7.00,5.00,3.00,7.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2801671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2801680,2.00,5.00,0.00,4.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2801698,3.00,6.00,2.00,6.00,6.00,4.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2801701,3.00,3.00,3.00,4.00,6.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2801710,2.00,2.00,0.00,4.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2801728,4.00,5.00,4.00,5.00,6.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2801736,3.00,5.00,5.00,6.00,6.00,5.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2801744,4.00,5.00,0.00,4.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2801752,2.00,4.00,4.00,2.00,6.00,3.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2801760,5.00,5.00,5.00,9.00,7.00,4.50,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2801779,5.00,6.00,3.00,4.00,7.00,2.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2801787,2.00,6.00,1.00,5.00,7.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2801795,4.00,4.00,4.00,3.00,7.00,4.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2801809,0.00,1.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,'S',NULL,'S','N'),(15,2801825,2.00,2.00,3.00,3.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2801833,2.00,5.00,2.00,4.00,6.00,6.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2801841,3.00,2.00,2.00,2.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2801850,2.00,4.00,4.00,5.00,5.00,3.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2801868,2.00,2.00,1.00,4.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2801876,2.00,6.00,1.00,5.00,7.00,4.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2801884,3.00,4.00,2.00,4.00,6.00,4.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2801906,3.00,6.00,2.00,6.00,6.00,5.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2801914,2.00,3.00,2.00,0.00,5.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2801922,4.00,8.00,3.00,5.00,7.00,4.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2801930,2.00,7.00,4.00,4.00,8.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2801949,6.00,7.00,2.00,5.00,8.00,6.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2801957,3.00,7.00,3.00,4.00,3.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2801965,2.00,4.00,2.00,2.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2801973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2801990,5.00,5.00,3.00,4.00,7.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2802007,2.00,3.00,4.00,7.00,4.00,5.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2802015,2.00,7.00,2.00,5.00,9.00,7.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2802023,1.00,5.00,2.00,1.00,5.00,3.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2802031,2.00,4.00,4.00,2.00,5.00,4.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2802040,3.00,5.00,5.00,1.00,3.00,4.75,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2802058,1.00,7.00,1.00,2.00,7.00,5.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2802066,8.00,9.00,9.00,9.00,8.00,7.00,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2802074,2.00,6.00,4.00,6.00,7.00,5.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2802082,1.00,7.00,1.00,3.00,6.00,3.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2802090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2802104,4.00,6.00,3.00,6.00,8.00,4.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2802112,5.00,9.00,4.00,7.00,8.00,6.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2802120,4.00,7.00,1.00,6.00,7.00,4.75,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2802139,1.00,5.00,2.00,4.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2802147,3.00,7.00,4.00,4.00,8.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2802163,1.00,7.00,1.00,4.00,5.00,7.00,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2802171,1.00,8.00,2.00,0.00,7.00,6.00,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2802180,5.00,6.00,4.00,6.00,8.00,5.50,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2802198,3.00,6.00,1.00,4.00,6.00,5.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2802201,3.00,5.00,4.00,4.00,6.00,3.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2802210,3.00,7.00,3.00,0.00,3.00,4.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2802236,2.00,3.00,3.00,4.00,5.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2802244,1.00,5.00,3.00,1.00,7.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2802260,2.00,7.00,2.00,0.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2802279,2.00,4.00,0.00,5.00,6.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2802287,3.00,5.00,1.00,7.00,5.00,4.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2802295,2.00,3.00,1.00,3.00,3.00,3.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2802309,5.00,7.00,5.00,4.00,6.00,5.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2802317,3.00,2.00,3.00,6.00,5.00,4.25,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2802325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2802333,3.00,8.00,1.00,8.00,6.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2802341,4.00,7.00,2.00,3.00,8.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2802350,2.00,5.00,1.00,4.00,6.00,3.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2802368,4.00,7.00,3.00,4.00,6.00,4.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2802376,0.00,5.00,1.00,5.00,7.00,5.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2802384,2.00,6.00,2.00,2.00,8.00,5.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2802392,3.00,4.00,1.00,5.00,6.00,6.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2802406,2.00,6.00,5.00,2.00,7.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2802414,2.00,2.00,1.00,5.00,6.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2802422,2.00,7.00,7.00,5.00,6.00,3.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2802430,4.00,5.00,1.00,5.00,3.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2802449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2802457,3.00,4.00,2.00,4.00,5.00,2.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2802473,0.00,5.00,2.00,6.00,6.00,3.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2802481,4.00,5.00,5.00,4.00,6.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2802503,3.00,5.00,3.00,2.00,5.00,5.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2802511,1.00,4.00,3.00,2.00,6.00,6.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2802538,2.00,4.00,3.00,8.00,6.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2802546,1.00,6.00,1.00,4.00,7.00,4.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2802562,1.00,4.00,1.00,4.00,3.00,4.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2802570,4.00,6.00,6.00,4.00,6.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2802589,2.00,2.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2802597,3.00,6.00,3.00,5.00,8.00,5.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2802600,4.00,5.00,1.00,2.00,7.00,7.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2802619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2802635,3.00,7.00,3.00,0.00,2.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2802643,1.00,7.00,3.00,4.00,7.00,6.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2802651,2.00,6.00,3.00,5.00,5.00,4.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2802660,4.00,8.00,3.00,6.00,8.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2802678,7.00,7.00,6.00,5.00,7.00,5.75,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2802686,3.00,8.00,5.00,5.00,4.00,4.25,7.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2802694,1.00,4.00,3.00,0.00,5.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2802708,3.00,3.00,3.00,3.00,6.00,5.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2802716,3.00,5.00,1.00,8.00,6.00,5.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2802724,1.00,5.00,4.00,6.00,8.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2802732,2.00,7.00,1.00,5.00,6.00,4.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2802759,3.00,5.00,5.00,5.00,6.00,4.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2802767,4.00,6.00,0.00,2.00,6.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2802775,5.00,6.00,2.00,6.00,9.00,4.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2802783,2.00,3.00,3.00,3.00,5.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2802791,1.00,5.00,4.00,5.00,7.00,5.50,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2802805,3.00,5.00,2.00,3.00,5.00,6.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2802813,6.00,3.00,2.00,6.00,6.00,4.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2802821,0.00,5.00,3.00,5.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2802830,2.00,4.00,1.00,1.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2802848,4.00,7.00,2.00,6.00,8.00,4.50,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2802856,3.00,7.00,1.00,2.00,7.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2802864,2.00,5.00,1.00,4.00,3.00,4.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2802872,0.00,0.00,0.00,1.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2802880,1.00,3.00,1.00,4.00,3.00,4.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2802899,2.00,6.00,3.00,6.00,7.00,6.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2802929,1.00,3.00,1.00,2.00,4.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2802937,2.00,2.00,0.00,0.00,2.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2802945,4.00,8.00,2.00,5.00,8.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2802953,4.00,4.00,5.00,8.00,4.00,4.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2802961,3.00,5.00,4.00,1.00,8.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2802970,1.00,4.00,0.00,0.00,1.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2802988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2802996,1.00,6.00,3.00,5.00,6.00,4.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2803003,1.00,6.00,5.00,6.00,7.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2803011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2803020,5.00,6.00,5.00,5.00,4.00,3.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2803038,3.00,6.00,4.00,5.00,5.00,6.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2803046,4.00,5.00,3.00,5.00,5.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2803054,1.00,2.00,0.00,2.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2803062,2.00,6.00,3.00,5.00,8.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2803070,1.00,3.00,3.00,5.00,8.00,5.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2803089,7.00,5.00,2.00,5.00,8.00,4.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2803097,3.00,5.00,2.00,3.00,8.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2803100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2803119,2.00,7.00,3.00,6.00,6.00,6.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2803127,3.00,3.00,1.00,4.00,5.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2803135,2.00,7.00,1.00,7.00,8.00,6.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2803143,0.00,3.00,3.00,3.00,0.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2803151,4.00,4.00,4.00,2.00,7.00,4.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2803160,3.00,2.00,5.00,4.00,5.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2803178,3.00,8.00,3.00,6.00,6.00,6.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2803186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2803194,1.00,5.00,0.00,3.00,6.00,4.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2803208,1.00,6.00,1.00,5.00,6.00,6.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2803216,2.00,7.00,5.00,2.00,3.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2803224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2803232,1.00,5.00,1.00,4.00,7.00,4.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2803240,4.00,7.00,6.00,8.00,8.00,6.75,8.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2803259,1.00,4.00,4.00,4.00,5.00,4.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2803267,4.00,5.00,4.00,5.00,8.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2803275,3.00,3.00,5.00,4.00,6.00,4.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2803283,4.00,7.00,3.00,4.00,7.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2803291,3.00,4.00,2.00,1.00,4.00,3.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2803305,3.00,6.00,3.00,2.00,6.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2803313,3.00,6.00,3.00,6.00,7.00,3.00,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2803321,3.00,7.00,4.00,3.00,6.00,3.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2803348,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2803356,2.00,3.00,3.00,0.00,6.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2803372,2.00,3.00,1.00,1.00,7.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2803380,4.00,5.00,4.00,5.00,7.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2803399,4.00,5.00,2.00,7.00,5.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2803402,2.00,7.00,1.00,4.00,7.00,3.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2803410,4.00,6.00,4.00,6.00,6.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2803429,2.00,4.00,2.00,4.00,5.00,4.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2803437,4.00,5.00,2.00,3.00,4.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2803445,7.00,8.00,5.00,8.00,6.00,5.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2803453,1.00,3.00,1.00,7.00,5.00,5.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2803461,2.00,2.00,1.00,5.00,6.00,5.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2803470,7.00,8.00,4.00,5.00,9.00,5.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2803488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2803500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2803518,5.00,7.00,7.00,2.00,8.00,5.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2803534,5.00,7.00,5.00,5.00,8.00,5.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2803542,4.00,7.00,1.00,5.00,6.00,3.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2803550,7.00,6.00,0.00,6.00,6.00,3.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2803569,1.00,6.00,2.00,5.00,7.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2803577,3.00,4.00,2.00,6.00,6.00,6.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2803585,5.00,8.00,6.00,8.00,8.00,6.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2803593,4.00,5.00,2.00,5.00,6.00,3.50,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2803607,3.00,3.00,1.00,4.00,3.00,2.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2803615,2.00,4.00,2.00,4.00,8.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2803623,5.00,6.00,1.00,3.00,8.00,6.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2803631,7.00,6.00,7.00,7.00,8.00,5.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2803640,2.00,6.00,2.00,1.00,6.00,4.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2803658,2.00,5.00,0.00,7.00,8.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2803666,0.00,4.00,0.00,4.00,3.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2803674,2.00,7.00,5.00,3.00,7.00,6.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2803682,1.00,6.00,2.00,6.00,7.00,4.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2803690,7.00,5.00,1.00,1.00,7.00,5.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2803704,4.00,4.00,3.00,4.00,6.00,3.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2803712,4.00,2.00,2.00,2.00,6.00,3.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2803720,3.00,5.00,3.00,0.00,6.00,5.75,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2803739,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2803747,4.00,5.00,3.00,5.00,8.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2803755,3.00,8.00,1.00,3.00,8.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2803763,1.00,5.00,0.00,1.00,7.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2803771,4.00,6.00,4.00,6.00,7.00,5.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2803780,1.00,5.00,2.00,5.00,6.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2803798,3.00,6.00,1.00,2.00,6.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2803801,2.00,3.00,4.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2803810,1.00,5.00,2.00,4.00,8.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2803828,2.00,8.00,3.00,5.00,7.00,7.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2803836,3.00,7.00,2.00,2.00,7.00,4.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2803844,3.00,4.00,1.00,4.00,5.00,3.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2803852,3.00,5.00,0.00,6.00,7.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2803860,1.00,3.00,0.00,1.00,6.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(15,2803879,5.00,7.00,4.00,2.00,8.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2803887,3.00,7.00,4.00,4.00,8.00,6.25,6.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2803895,2.00,5.00,1.00,4.00,6.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2803909,1.00,6.00,0.00,6.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2803917,8.00,8.00,6.00,7.00,9.00,7.75,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2803925,4.00,7.00,4.00,5.00,8.00,4.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2803933,2.00,7.00,4.00,6.00,6.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2803941,2.00,4.00,3.00,3.00,7.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2803950,6.00,7.00,4.00,5.00,8.00,6.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2803968,5.00,7.00,3.00,8.00,5.00,6.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2803976,4.00,4.00,4.00,7.00,6.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2803984,6.00,7.00,3.00,3.00,6.00,3.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2803992,0.00,4.00,1.00,6.00,8.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2804000,4.00,6.00,1.00,7.00,6.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2804018,4.00,3.00,3.00,3.00,6.00,5.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2804026,2.00,3.00,0.00,3.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2804034,3.00,6.00,4.00,5.00,6.00,5.50,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2804042,0.00,6.00,1.00,6.00,8.00,5.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2804050,4.00,8.00,3.00,4.00,8.00,5.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2804069,2.00,5.00,3.00,1.00,5.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2804077,3.00,5.00,1.00,2.00,3.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2804085,0.00,3.00,1.00,2.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2804093,2.00,5.00,1.00,0.00,0.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2804107,1.00,7.00,1.00,5.00,4.00,6.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2804115,2.00,3.00,5.00,5.00,5.00,2.00,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2804123,4.00,4.00,1.00,4.00,3.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2804131,7.00,9.00,8.00,8.00,9.00,5.00,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(15,2804140,2.00,7.00,4.00,6.00,6.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2804158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2804166,2.00,6.00,3.00,5.00,5.00,3.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2804174,1.00,5.00,2.00,7.00,7.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2804190,1.00,2.00,1.00,2.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2804204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2804212,0.00,3.00,3.00,6.00,6.00,NULL,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2804220,3.00,6.00,2.00,6.00,7.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2804239,4.00,7.00,3.00,6.00,7.00,4.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2804247,1.00,8.00,2.00,4.00,5.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2804255,0.00,3.00,0.00,0.00,0.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2804263,1.00,3.00,2.00,6.00,6.00,4.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2804271,3.00,6.00,1.00,7.00,3.00,4.75,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2804280,4.00,9.00,5.00,5.00,7.00,5.50,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2804298,3.00,5.00,0.00,0.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2804301,2.00,4.00,0.00,2.00,1.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2804310,2.00,6.00,2.00,2.00,5.00,4.25,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2804328,0.00,7.00,1.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2804336,3.00,6.00,5.00,7.00,6.00,7.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2804344,2.00,5.00,3.00,4.00,5.00,5.00,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2804352,1.00,5.00,0.00,4.00,6.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2804360,1.00,7.00,1.00,4.00,3.00,4.75,5.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2804379,4.00,5.00,2.00,7.00,5.00,3.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2804387,3.00,3.00,3.00,4.00,6.00,4.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2804395,5.00,5.00,6.00,3.00,6.00,3.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2804409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2804417,3.00,6.00,4.00,2.00,4.00,2.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2804425,0.00,3.00,2.00,4.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2804433,4.00,6.00,5.00,4.00,7.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2804441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2804450,1.00,5.00,2.00,4.00,5.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2804468,2.00,8.00,3.00,1.00,7.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2804476,0.00,2.00,1.00,5.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2804484,4.00,6.00,4.00,7.00,6.00,6.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2804492,5.00,8.00,4.00,9.00,8.00,7.25,7.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2804506,3.00,5.00,4.00,6.00,7.00,6.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2804514,3.00,4.00,2.00,2.00,5.00,5.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2804522,2.00,5.00,3.00,5.00,5.00,5.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2804530,1.00,3.00,0.00,2.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2804557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2804565,4.00,5.00,3.00,1.00,7.00,5.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2804573,1.00,4.00,4.00,2.00,3.00,4.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2804581,3.00,7.00,2.00,6.00,9.00,4.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2804590,0.00,4.00,1.00,2.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2804611,1.00,3.00,1.00,2.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2804620,1.00,6.00,2.00,3.00,4.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2804638,2.00,4.00,2.00,2.00,0.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2804646,3.00,4.00,1.00,5.00,3.00,4.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2804654,2.00,4.00,4.00,4.00,5.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2804662,2.00,7.00,2.00,4.00,7.00,4.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2804670,4.00,6.00,2.00,4.00,6.00,NULL,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2804689,1.00,2.00,0.00,1.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2804697,2.00,7.00,2.00,4.00,6.00,5.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2804700,3.00,7.00,3.00,7.00,5.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2804719,3.00,6.00,3.00,3.00,7.00,3.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2804735,1.00,6.00,5.00,5.00,6.00,5.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2804751,1.00,8.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2804760,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2804778,2.00,6.00,1.00,3.00,3.00,3.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2804786,1.00,5.00,4.00,4.00,6.00,7.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2804794,3.00,8.00,8.00,6.00,8.00,7.00,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2804808,2.00,8.00,2.00,6.00,7.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2804816,3.00,6.00,4.00,5.00,8.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2804824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2804832,3.00,5.00,1.00,1.00,5.00,4.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2804840,3.00,3.00,1.00,5.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2804859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2804867,2.00,3.00,1.00,2.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2804875,3.00,8.00,5.00,6.00,7.00,4.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2804883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2804891,5.00,6.00,4.00,7.00,8.00,6.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2804905,1.00,5.00,0.00,5.00,5.00,5.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2804913,4.00,4.00,7.00,5.00,7.00,3.25,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2804921,3.00,7.00,1.00,4.00,4.00,5.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2804930,4.00,8.00,1.00,7.00,8.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2804948,2.00,5.00,0.00,2.00,4.00,5.25,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2804956,6.00,7.00,3.00,7.00,7.00,6.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2804964,1.00,5.00,2.00,4.00,6.00,4.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2804972,0.00,4.00,1.00,5.00,3.00,4.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2804980,3.00,6.00,0.00,2.00,5.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2804999,2.00,4.00,0.00,5.00,6.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2805006,3.00,6.00,2.00,4.00,7.00,6.00,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2805014,2.00,5.00,1.00,2.00,5.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2805022,2.00,2.00,1.00,1.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2805030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2805049,3.00,5.00,2.00,2.00,4.00,4.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2805065,4.00,6.00,1.00,5.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2805073,1.00,6.00,2.00,4.00,5.00,4.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2805081,4.00,7.00,4.00,4.00,8.00,5.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2805090,0.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2805103,3.00,5.00,2.00,6.00,5.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2805111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2805120,3.00,6.00,4.00,7.00,7.00,4.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2805138,3.00,6.00,2.00,7.00,5.00,5.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2805146,3.00,8.00,7.00,6.00,6.00,4.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2805154,4.00,6.00,4.00,7.00,5.00,5.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2805162,2.00,2.00,2.00,4.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2805170,2.00,4.00,3.00,4.00,4.00,5.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2805189,1.00,2.00,0.00,1.00,1.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2805197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2805200,2.00,4.00,4.00,5.00,3.00,4.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2805219,7.00,8.00,3.00,6.00,8.00,6.50,7.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2805227,3.00,7.00,3.00,6.00,7.00,5.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2805235,1.00,7.00,5.00,3.00,6.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2805243,4.00,7.00,6.00,6.00,8.00,4.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2805251,5.00,8.00,5.00,7.00,8.00,7.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2805260,1.00,6.00,5.00,3.00,7.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2805278,4.00,6.00,5.00,3.00,8.00,7.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2805286,3.00,4.00,0.00,0.00,4.00,4.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2805294,2.00,5.00,0.00,2.00,4.00,3.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2805316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2805324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2805332,6.00,8.00,6.00,4.00,6.00,6.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2805340,4.00,5.00,6.00,6.00,6.00,7.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2805359,2.00,5.00,2.00,3.00,6.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2805367,3.00,5.00,3.00,5.00,3.00,3.50,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2805375,2.00,3.00,1.00,5.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2805383,2.00,6.00,2.00,2.00,6.00,3.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2805391,3.00,6.00,3.00,8.00,7.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2805405,1.00,4.00,0.00,1.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2805413,5.00,6.00,4.00,7.00,9.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2805421,2.00,5.00,4.00,2.00,7.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2805430,5.00,8.00,8.00,7.00,9.00,5.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2805448,1.00,3.00,1.00,5.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2805456,3.00,3.00,3.00,2.00,5.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2805464,3.00,8.00,4.00,7.00,9.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2805472,2.00,7.00,4.00,1.00,4.00,4.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2805480,1.00,2.00,2.00,3.00,5.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2805499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2805502,2.00,4.00,1.00,3.00,5.00,4.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2805510,0.00,4.00,4.00,5.00,3.00,4.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2805529,6.00,8.00,5.00,8.00,8.00,5.75,9.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2805537,2.00,4.00,3.00,5.00,6.00,4.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2805545,1.00,7.00,2.00,3.00,6.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2805553,6.00,8.00,8.00,1.00,8.00,4.75,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2805561,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2805570,0.00,4.00,2.00,0.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2805588,3.00,8.00,5.00,6.00,7.00,5.50,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2805596,1.00,3.00,2.00,5.00,4.00,4.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2805600,1.00,3.00,2.00,4.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2805618,4.00,7.00,3.00,6.00,8.00,5.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2805626,3.00,5.00,6.00,5.00,8.00,6.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2805634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2805642,1.00,2.00,2.00,4.00,4.00,3.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2805650,4.00,4.00,1.00,4.00,3.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2805669,4.00,4.00,2.00,4.00,5.00,3.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2805677,3.00,6.00,3.00,5.00,7.00,6.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2805685,4.00,9.00,1.00,7.00,8.00,5.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2805693,1.00,5.00,5.00,2.00,6.00,5.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2805707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2805715,7.00,7.00,4.00,5.00,8.00,6.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2805723,0.00,3.00,1.00,1.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2805731,3.00,6.00,1.00,4.00,7.00,3.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2805740,4.00,8.00,2.00,4.00,7.00,4.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2805758,4.00,5.00,2.00,5.00,7.00,7.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2805766,1.00,5.00,2.00,1.00,3.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2805774,1.00,3.00,2.00,1.00,6.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2805782,3.00,5.00,0.00,7.00,4.00,5.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2805790,2.00,5.00,3.00,1.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2805804,1.00,3.00,2.00,4.00,2.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2805812,3.00,5.00,1.00,6.00,6.00,3.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2805820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2805839,2.00,6.00,2.00,5.00,4.00,3.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2805847,2.00,4.00,1.00,6.00,4.00,4.75,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2805855,7.00,9.00,6.00,9.00,9.00,6.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2805863,2.00,8.00,3.00,4.00,4.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2805871,3.00,4.00,3.00,3.00,5.00,4.50,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2805880,1.00,4.00,1.00,4.00,3.00,3.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2805898,3.00,7.00,5.00,6.00,8.00,5.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2805910,3.00,3.00,3.00,4.00,1.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2805928,1.00,6.00,4.00,5.00,3.00,3.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2805936,1.00,4.00,0.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2805944,2.00,6.00,3.00,6.00,8.00,6.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2805952,2.00,2.00,1.00,1.00,1.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2805960,1.00,2.00,3.00,0.00,6.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2805979,1.00,7.00,1.00,4.00,5.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2805987,0.00,3.00,2.00,4.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2805995,3.00,7.00,7.00,4.00,9.00,6.25,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2806002,5.00,3.00,2.00,1.00,5.00,5.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2806010,1.00,0.00,0.00,2.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2806029,4.00,6.00,5.00,0.00,7.00,5.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2806037,1.00,3.00,1.00,3.00,5.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2806045,3.00,5.00,3.00,4.00,4.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2806053,5.00,7.00,3.00,7.00,7.00,5.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2806061,1.00,3.00,4.00,2.00,5.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2806070,0.00,0.00,0.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2806096,2.00,5.00,1.00,1.00,5.00,3.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2806100,2.00,4.00,0.00,1.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2806118,3.00,6.00,1.00,6.00,4.00,3.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2806126,1.00,3.00,4.00,6.00,6.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2806134,3.00,7.00,3.00,7.00,6.00,6.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2806142,3.00,1.00,1.00,7.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2806150,5.00,4.00,4.00,1.00,4.00,3.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2806169,4.00,2.00,2.00,3.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2806177,2.00,6.00,2.00,6.00,7.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2806185,2.00,4.00,2.00,3.00,3.00,5.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2806193,3.00,7.00,4.00,4.00,4.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2806207,2.00,5.00,3.00,2.00,6.00,5.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2806215,3.00,7.00,2.00,2.00,4.00,5.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2806223,2.00,6.00,0.00,2.00,6.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2806231,0.00,8.00,2.00,3.00,3.00,5.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2806240,2.00,7.00,1.00,2.00,7.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2806258,2.00,2.00,1.00,2.00,0.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2806266,7.00,6.00,5.00,5.00,7.00,5.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2806274,3.00,3.00,1.00,5.00,4.00,4.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2806282,2.00,5.00,4.00,7.00,8.00,6.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2806290,0.00,5.00,0.00,5.00,6.00,6.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2806304,4.00,5.00,2.00,5.00,5.00,8.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2806320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2806339,1.00,5.00,2.00,4.00,8.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2806347,3.00,5.00,1.00,5.00,4.00,4.50,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2806355,2.00,2.00,3.00,0.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2806363,1.00,2.00,3.00,2.00,4.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2806371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2806380,1.00,5.00,0.00,6.00,7.00,4.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2806398,2.00,5.00,3.00,4.00,6.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2806401,2.00,5.00,2.00,5.00,7.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2806410,1.00,4.00,4.00,4.00,4.00,3.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2806428,5.00,8.00,4.00,3.00,7.00,6.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2806436,2.00,6.00,0.00,2.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2806444,5.00,5.00,2.00,5.00,4.00,4.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2806452,5.00,8.00,4.00,6.00,8.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2806460,1.00,8.00,3.00,6.00,8.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2806479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2806487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2806495,3.00,7.00,0.00,4.00,4.00,3.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2806509,4.00,7.00,2.00,4.00,6.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2806517,7.00,8.00,3.00,5.00,7.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2806525,1.00,7.00,0.00,4.00,6.00,3.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2806533,2.00,4.00,0.00,2.00,6.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2806541,1.00,3.00,1.00,0.00,1.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2806550,3.00,5.00,3.00,5.00,7.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2806568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2806576,3.00,7.00,6.00,5.00,6.00,4.50,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2806584,4.00,4.00,3.00,6.00,7.00,4.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2806592,2.00,5.00,4.00,6.00,8.00,5.50,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2806606,1.00,5.00,0.00,7.00,6.00,5.25,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2806614,0.00,2.00,0.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2806622,2.00,2.00,5.00,4.00,5.00,5.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2806630,3.00,6.00,6.00,6.00,7.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2806649,2.00,4.00,1.00,1.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2806657,2.00,2.00,1.00,0.00,2.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2806665,5.00,7.00,3.00,9.00,8.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2806681,5.00,7.00,7.00,9.00,9.00,8.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2806690,2.00,6.00,2.00,2.00,4.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2806711,3.00,5.00,5.00,8.00,5.00,5.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2806720,2.00,5.00,1.00,6.00,6.00,4.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2806738,3.00,5.00,1.00,1.00,3.00,5.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2806746,2.00,7.00,3.00,1.00,4.00,4.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2806754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2806762,3.00,3.00,4.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2806770,5.00,8.00,3.00,5.00,6.00,4.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2806789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2806797,3.00,8.00,5.00,4.00,6.00,5.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2806800,0.00,7.00,0.00,5.00,6.00,6.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2806819,4.00,6.00,3.00,4.00,7.00,7.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2806827,2.00,4.00,2.00,3.00,6.00,2.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2806835,1.00,6.00,1.00,5.00,5.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2806843,4.00,8.00,2.00,6.00,6.00,4.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2806860,2.00,3.00,2.00,3.00,4.00,6.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2806878,2.00,5.00,3.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2806886,4.00,7.00,6.00,5.00,6.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2806894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2806908,4.00,7.00,3.00,6.00,8.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2806916,4.00,6.00,4.00,3.00,6.00,5.25,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2806924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2806932,3.00,3.00,0.00,3.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2806940,3.00,5.00,3.00,5.00,5.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2806959,3.00,5.00,3.00,0.00,4.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2806967,3.00,4.00,3.00,2.00,6.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2806975,5.00,7.00,8.00,6.00,7.00,4.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2806983,4.00,3.00,1.00,3.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2806991,2.00,5.00,3.00,4.00,7.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2807009,2.00,4.00,5.00,4.00,4.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2807017,1.00,2.00,2.00,1.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2807025,2.00,5.00,0.00,0.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2807033,3.00,7.00,3.00,5.00,7.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2807041,2.00,6.00,1.00,1.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2807050,3.00,5.00,0.00,4.00,3.00,5.50,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2807068,8.00,9.00,7.00,7.00,8.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2807076,2.00,6.00,4.00,5.00,5.00,5.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(15,2807084,0.00,3.00,2.00,0.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2807092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2807106,2.00,5.00,1.00,5.00,3.00,4.25,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2807114,1.00,4.00,3.00,4.00,5.00,3.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2807122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2807130,2.00,3.00,1.00,3.00,3.00,0.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2807149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2807157,1.00,5.00,3.00,4.00,9.00,4.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2807165,4.00,3.00,3.00,2.00,4.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2807173,1.00,7.00,0.00,0.00,5.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2807181,0.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2807190,0.00,2.00,3.00,4.00,5.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2807203,4.00,4.00,5.00,2.00,6.00,5.50,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2807211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2807220,0.00,2.00,2.00,1.00,3.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2807246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2807254,2.00,3.00,2.00,3.00,3.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2807262,2.00,5.00,3.00,2.00,5.00,3.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2807270,1.00,6.00,2.00,2.00,5.00,5.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2807289,4.00,7.00,1.00,2.00,5.00,4.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2807297,3.00,6.00,3.00,3.00,8.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2807300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2807319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2807327,2.00,3.00,4.00,6.00,5.00,3.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2807335,1.00,8.00,3.00,7.00,6.00,7.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2807343,3.00,6.00,1.00,3.00,6.00,6.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2807351,3.00,8.00,4.00,6.00,6.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2807360,3.00,5.00,0.00,2.00,6.00,3.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2807378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2807386,2.00,5.00,6.00,5.00,9.00,4.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2807394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2807408,2.00,5.00,5.00,5.00,5.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2807416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2807424,4.00,5.00,3.00,4.00,6.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2807432,3.00,4.00,3.00,6.00,7.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2807440,3.00,4.00,2.00,4.00,3.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2807459,1.00,6.00,1.00,2.00,6.00,5.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2807467,3.00,7.00,4.00,5.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2807483,2.00,4.00,2.00,8.00,5.00,5.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2807491,4.00,8.00,8.00,6.00,8.00,6.25,5.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2807505,5.00,5.00,2.00,7.00,8.00,7.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2807513,0.00,2.00,0.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2807521,2.00,5.00,1.00,2.00,7.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2807530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2807548,2.00,4.00,4.00,1.00,7.00,5.25,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(15,2807556,3.00,7.00,4.00,8.00,7.00,5.25,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2807564,3.00,1.00,5.00,3.00,3.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2807572,6.00,7.00,3.00,5.00,7.00,5.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2807580,3.00,6.00,1.00,4.00,6.00,5.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2807599,3.00,6.00,5.00,3.00,5.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2807602,3.00,5.00,2.00,1.00,4.00,3.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2807610,2.00,8.00,2.00,8.00,7.00,7.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2807629,3.00,4.00,4.00,3.00,6.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2807637,0.00,5.00,5.00,3.00,3.00,4.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2807645,3.00,3.00,1.00,1.00,7.00,4.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2807653,3.00,6.00,2.00,2.00,3.00,3.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2807661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2807670,3.00,7.00,2.00,5.00,7.00,5.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2807688,1.00,7.00,3.00,2.00,6.00,7.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2807696,3.00,6.00,3.00,6.00,7.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2807700,3.00,6.00,1.00,3.00,5.00,3.00,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2807718,5.00,5.00,2.00,3.00,8.00,5.00,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2807726,2.00,4.00,5.00,3.00,5.00,4.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2807734,2.00,5.00,4.00,5.00,7.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2807742,3.00,6.00,2.00,5.00,7.00,5.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2807750,1.00,8.00,0.00,1.00,5.00,6.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2807769,3.00,5.00,3.00,1.00,4.00,5.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2807777,5.00,7.00,3.00,4.00,8.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2807785,2.00,3.00,3.00,0.00,5.00,7.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2807793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2807807,3.00,5.00,3.00,2.00,3.00,5.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2807815,0.00,3.00,1.00,2.00,4.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2807823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2807831,2.00,5.00,1.00,2.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2807840,3.00,7.00,3.00,7.00,6.00,6.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2807858,3.00,5.00,2.00,3.00,7.00,7.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2807866,1.00,5.00,2.00,3.00,4.00,5.75,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2807874,3.00,5.00,2.00,6.00,6.00,5.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2807882,3.00,6.00,3.00,7.00,7.00,4.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2807890,3.00,3.00,2.00,6.00,2.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2807904,2.00,4.00,1.00,5.00,7.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2807912,3.00,4.00,0.00,7.00,7.00,4.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2807920,5.00,7.00,4.00,5.00,8.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2807939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2807947,1.00,5.00,2.00,0.00,4.00,3.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2807955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2807963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2807971,5.00,5.00,4.00,2.00,8.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2807980,3.00,4.00,3.00,6.00,6.00,4.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2807998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2808005,3.00,4.00,4.00,6.00,4.00,5.00,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2808013,4.00,4.00,3.00,5.00,3.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2808021,1.00,5.00,3.00,5.00,5.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2808030,1.00,4.00,2.00,2.00,5.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2808048,2.00,2.00,2.00,1.00,3.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2808056,2.00,3.00,1.00,4.00,2.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2808064,2.00,5.00,3.00,0.00,4.00,3.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2808072,3.00,8.00,6.00,7.00,6.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2808080,3.00,5.00,4.00,5.00,5.00,5.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2808102,5.00,7.00,6.00,5.00,7.00,4.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2808110,5.00,5.00,2.00,2.00,5.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2808129,2.00,3.00,2.00,4.00,5.00,3.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2808137,2.00,1.00,0.00,5.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2808145,3.00,4.00,2.00,6.00,4.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2808153,1.00,6.00,5.00,7.00,6.00,4.50,7.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2808170,2.00,6.00,4.00,7.00,5.00,4.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2808188,3.00,4.00,3.00,5.00,6.00,3.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2808196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2808200,0.00,0.00,0.00,6.00,3.00,NULL,3.00,3.00,2.00,NULL,'S',NULL,'N'),(15,2808218,4.00,8.00,6.00,6.00,7.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2808226,2.00,3.00,0.00,2.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2808234,4.00,8.00,1.00,8.00,5.00,6.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2808242,3.00,3.00,1.00,1.00,2.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2808250,1.00,5.00,1.00,5.00,5.00,4.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2808269,1.00,7.00,3.00,0.00,5.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2808277,3.00,8.00,4.00,5.00,7.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2808285,2.00,2.00,2.00,2.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2808293,2.00,9.00,5.00,6.00,8.00,5.75,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2808307,4.00,7.00,6.00,5.00,8.00,7.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2808315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2808323,2.00,6.00,1.00,7.00,8.00,5.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2808331,7.00,8.00,6.00,3.00,7.00,7.50,9.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2808340,4.00,4.00,1.00,6.00,3.00,3.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2808358,1.00,2.00,1.00,4.00,6.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2808366,3.00,2.00,0.00,3.00,3.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2808374,2.00,3.00,2.00,4.00,3.00,5.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2808382,2.00,6.00,2.00,2.00,7.00,7.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2808390,0.00,4.00,0.00,3.00,4.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2808404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2808412,0.00,5.00,2.00,4.00,4.00,3.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2808420,2.00,2.00,2.00,2.00,3.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2808439,1.00,1.00,3.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2808447,0.00,2.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2808455,4.00,5.00,1.00,4.00,7.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2808463,4.00,6.00,5.00,6.00,8.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2808471,2.00,6.00,1.00,0.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2808480,4.00,5.00,4.00,7.00,4.00,5.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2808498,4.00,6.00,5.00,3.00,7.00,4.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2808501,5.00,4.00,4.00,0.00,6.00,4.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2808510,6.00,5.00,4.00,0.00,9.00,6.75,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2808528,3.00,3.00,2.00,2.00,7.00,5.00,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2808536,5.00,7.00,6.00,6.00,7.00,5.00,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2808544,2.00,8.00,6.00,6.00,7.00,4.50,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2808552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2808560,3.00,7.00,3.00,4.00,4.00,4.50,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2808579,1.00,3.00,0.00,5.00,3.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2808587,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2808595,5.00,8.00,6.00,4.00,9.00,7.00,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2808609,0.00,1.00,2.00,1.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2808617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2808625,3.00,8.00,2.00,2.00,8.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2808633,2.00,5.00,2.00,6.00,3.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2808641,2.00,4.00,3.00,4.00,5.00,6.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2808650,2.00,5.00,1.00,3.00,5.00,6.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2808668,5.00,7.00,5.00,7.00,6.00,6.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2808676,2.00,3.00,2.00,6.00,5.00,6.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2808684,1.00,2.00,2.00,1.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2808692,4.00,8.00,5.00,7.00,7.00,6.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2808706,1.00,7.00,3.00,6.00,6.00,5.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2808714,3.00,6.00,3.00,5.00,9.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2808722,3.00,5.00,1.00,4.00,7.00,5.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2808730,1.00,7.00,1.00,3.00,5.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2808749,3.00,6.00,5.00,7.00,6.00,7.25,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2808757,3.00,6.00,2.00,7.00,5.00,5.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2808765,1.00,7.00,1.00,3.00,4.00,4.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2808773,2.00,5.00,1.00,0.00,4.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2808781,1.00,4.00,2.00,5.00,6.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2808790,2.00,6.00,3.00,4.00,7.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2808803,3.00,8.00,4.00,6.00,9.00,5.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2808811,5.00,8.00,4.00,7.00,8.00,6.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2808820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2808838,1.00,5.00,3.00,0.00,6.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2808846,2.00,6.00,1.00,5.00,5.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2808854,2.00,6.00,3.00,1.00,8.00,5.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2808862,2.00,5.00,3.00,2.00,3.00,2.00,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2808870,2.00,6.00,1.00,1.00,5.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2808889,3.00,3.00,1.00,2.00,5.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2808897,2.00,2.00,1.00,2.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2808900,3.00,6.00,4.00,9.00,8.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2808919,2.00,7.00,6.00,3.00,7.00,7.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2808927,3.00,7.00,3.00,5.00,6.00,4.50,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2808935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2808943,2.00,3.00,3.00,4.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2808951,2.00,7.00,0.00,2.00,6.00,5.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2808960,0.00,1.00,0.00,0.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2808978,0.00,5.00,3.00,6.00,2.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2808986,3.00,5.00,4.00,3.00,6.00,6.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2808994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2809001,2.00,5.00,4.00,1.00,5.00,5.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2809010,1.00,5.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2809028,2.00,5.00,1.00,5.00,6.00,5.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2809036,3.00,7.00,2.00,8.00,9.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2809044,4.00,7.00,6.00,6.00,7.00,5.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2809052,5.00,9.00,7.00,7.00,7.00,9.00,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2809060,6.00,7.00,7.00,8.00,8.00,4.50,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2809079,3.00,5.00,3.00,5.00,5.00,4.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2809087,4.00,4.00,1.00,3.00,5.00,3.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2809095,4.00,6.00,2.00,1.00,5.00,2.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2809109,3.00,6.00,6.00,7.00,3.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2809117,3.00,8.00,3.00,8.00,7.00,5.75,2.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2809125,3.00,4.00,3.00,1.00,4.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2809133,2.00,9.00,2.00,2.00,5.00,3.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2809141,3.00,7.00,3.00,6.00,8.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2809150,1.00,3.00,1.00,1.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2809168,7.00,9.00,9.00,7.00,8.00,7.75,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2809176,2.00,2.00,1.00,3.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2809184,3.00,6.00,3.00,2.00,5.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2809192,0.00,5.00,1.00,2.00,4.00,5.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2809206,3.00,3.00,2.00,1.00,5.00,4.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2809214,0.00,4.00,1.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2809230,3.00,5.00,4.00,4.00,6.00,5.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2809249,0.00,5.00,3.00,3.00,5.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2809257,4.00,7.00,4.00,4.00,7.00,5.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2809265,3.00,7.00,6.00,6.00,5.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2809273,2.00,5.00,1.00,6.00,4.00,4.25,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2809281,3.00,5.00,1.00,5.00,6.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2809290,4.00,6.00,2.00,7.00,8.00,8.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2809303,3.00,5.00,4.00,5.00,6.00,6.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2809311,2.00,2.00,1.00,2.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2809320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2809338,5.00,7.00,7.00,5.00,4.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2809346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2809354,2.00,6.00,4.00,5.00,8.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2809362,4.00,7.00,3.00,6.00,7.00,4.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2809370,2.00,2.00,2.00,0.00,5.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2809389,4.00,8.00,6.00,4.00,8.00,7.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2809397,3.00,6.00,3.00,1.00,5.00,6.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2809400,3.00,6.00,5.00,6.00,9.00,6.25,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2809419,2.00,4.00,1.00,1.00,4.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2809427,2.00,8.00,4.00,6.00,8.00,7.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2809435,0.00,4.00,3.00,6.00,4.00,5.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2809443,2.00,4.00,1.00,5.00,5.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2809451,2.00,7.00,0.00,3.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2809478,4.00,8.00,4.00,5.00,6.00,6.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2809486,3.00,5.00,3.00,7.00,6.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2809494,1.00,3.00,2.00,2.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2809508,3.00,6.00,3.00,7.00,7.00,7.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2809516,3.00,6.00,3.00,5.00,6.00,4.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2809524,5.00,3.00,5.00,1.00,7.00,4.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2809532,5.00,6.00,3.00,1.00,5.00,5.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2809540,3.00,4.00,3.00,3.00,5.00,6.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2809567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2809575,2.00,3.00,2.00,2.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2809583,2.00,5.00,0.00,5.00,6.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2809591,2.00,5.00,2.00,5.00,4.00,5.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2809605,3.00,2.00,2.00,2.00,7.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2809613,2.00,5.00,2.00,4.00,3.00,5.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2809621,4.00,6.00,3.00,5.00,7.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2809630,3.00,5.00,3.00,2.00,4.00,4.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2809648,3.00,7.00,5.00,7.00,6.00,5.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2809656,0.00,4.00,3.00,2.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2809664,4.00,4.00,4.00,3.00,7.00,6.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2809672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2809680,2.00,6.00,2.00,5.00,4.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2809699,5.00,9.00,4.00,7.00,7.00,3.75,8.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2809702,3.00,7.00,2.00,4.00,4.00,5.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2809729,3.00,7.00,4.00,5.00,7.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2809737,1.00,7.00,1.00,4.00,7.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2809745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2809753,3.00,4.00,2.00,6.00,7.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2809761,1.00,6.00,1.00,6.00,5.00,2.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2809770,2.00,6.00,2.00,7.00,7.00,5.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2809788,2.00,2.00,2.00,1.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2809796,2.00,4.00,3.00,4.00,6.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2809800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2809818,1.00,4.00,4.00,1.00,5.00,4.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2809826,1.00,5.00,1.00,2.00,8.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2809834,2.00,6.00,2.00,7.00,6.00,7.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2809842,5.00,7.00,3.00,5.00,8.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2809850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2809869,2.00,5.00,4.00,6.00,6.00,4.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2809877,2.00,6.00,5.00,7.00,6.00,5.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2809885,2.00,8.00,3.00,9.00,8.00,5.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2809893,5.00,7.00,3.00,6.00,8.00,5.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2809907,4.00,5.00,2.00,4.00,3.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2809915,2.00,7.00,5.00,4.00,6.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2809923,4.00,6.00,4.00,4.00,6.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2809931,4.00,6.00,3.00,5.00,7.00,5.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2809940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2809958,3.00,5.00,0.00,7.00,3.00,4.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2809966,3.00,6.00,0.00,3.00,5.00,5.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2809974,1.00,4.00,2.00,3.00,5.00,4.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2809982,4.00,8.00,3.00,4.00,7.00,6.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2809990,3.00,8.00,5.00,2.00,6.00,4.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2810000,3.00,7.00,0.00,4.00,4.00,4.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2810018,3.00,5.00,1.00,6.00,5.00,6.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2810026,1.00,4.00,0.00,3.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2810034,3.00,7.00,4.00,5.00,7.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2810042,3.00,4.00,2.00,7.00,8.00,3.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2810050,2.00,4.00,2.00,4.00,5.00,5.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2810069,1.00,3.00,2.00,0.00,4.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2810077,1.00,6.00,1.00,4.00,5.00,5.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2810085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2810093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2810107,6.00,7.00,2.00,8.00,8.00,6.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2810115,1.00,5.00,1.00,8.00,6.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2810123,2.00,3.00,0.00,3.00,5.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2810131,4.00,7.00,4.00,3.00,5.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2810158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2810166,2.00,4.00,2.00,5.00,3.00,3.00,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2810174,0.00,4.00,2.00,2.00,3.00,3.75,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2810182,3.00,7.00,3.00,1.00,6.00,4.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2810190,2.00,3.00,3.00,3.00,7.00,4.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2810212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2810220,3.00,7.00,3.00,2.00,4.00,4.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2810239,2.00,7.00,4.00,3.00,3.00,2.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2810247,3.00,3.00,2.00,1.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2810255,3.00,6.00,3.00,1.00,5.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2810263,2.00,7.00,3.00,5.00,6.00,7.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2810271,2.00,6.00,1.00,2.00,3.00,3.50,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2810280,4.00,4.00,5.00,6.00,6.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2810298,3.00,6.00,2.00,8.00,6.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2810301,1.00,6.00,2.00,4.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2810310,3.00,6.00,2.00,4.00,4.00,3.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2810328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2810336,4.00,8.00,2.00,5.00,7.00,6.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2810344,1.00,1.00,1.00,3.00,0.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2810352,3.00,4.00,3.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2810360,4.00,5.00,2.00,7.00,7.00,7.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2810379,5.00,8.00,5.00,5.00,7.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2810387,1.00,4.00,4.00,5.00,4.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2810395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2810409,3.00,5.00,1.00,2.00,6.00,4.75,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2810417,1.00,5.00,3.00,6.00,7.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2810425,3.00,6.00,3.00,5.00,7.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2810433,4.00,5.00,2.00,5.00,5.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2810441,1.00,3.00,2.00,2.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2810450,2.00,7.00,1.00,3.00,5.00,6.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2810468,4.00,3.00,3.00,1.00,6.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(15,2810476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2810484,0.00,3.00,2.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2810492,2.00,7.00,4.00,6.00,5.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2810506,5.00,6.00,4.00,1.00,5.00,3.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2810514,5.00,7.00,4.00,9.00,9.00,8.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2810522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2810530,2.00,6.00,1.00,2.00,4.00,3.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2810549,0.00,3.00,2.00,5.00,5.00,5.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2810557,4.00,4.00,3.00,5.00,3.00,4.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2810565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2810573,6.00,5.00,5.00,7.00,7.00,6.00,6.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2810581,2.00,6.00,3.00,7.00,3.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2810590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2810603,4.00,6.00,4.00,5.00,5.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2810611,3.00,2.00,1.00,5.00,5.00,3.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2810620,1.00,1.00,3.00,5.00,5.00,4.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2810638,0.00,6.00,4.00,4.00,7.00,4.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2810646,2.00,5.00,2.00,5.00,4.00,4.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2810654,6.00,7.00,5.00,5.00,8.00,7.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2810662,3.00,5.00,4.00,7.00,8.00,5.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2810670,5.00,8.00,5.00,7.00,7.00,5.75,6.00,9.00,4.00,NULL,NULL,NULL,'N'),(15,2810689,2.00,2.00,1.00,6.00,5.00,6.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2810697,7.00,8.00,6.00,7.00,8.00,6.50,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2810700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2810719,5.00,8.00,2.00,6.00,8.00,7.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2810727,3.00,5.00,5.00,3.00,4.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2810735,2.00,3.00,1.00,0.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2810743,2.00,7.00,1.00,4.00,6.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2810760,1.00,0.00,5.00,3.00,3.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2810778,3.00,7.00,1.00,6.00,9.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2810786,0.00,0.00,1.00,1.00,3.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2810794,7.00,7.00,2.00,5.00,9.00,6.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2810808,0.00,8.00,2.00,0.00,6.00,5.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2810816,2.00,7.00,0.00,4.00,7.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2810824,4.00,5.00,2.00,1.00,7.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2810832,5.00,6.00,1.00,4.00,8.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2810840,1.00,5.00,5.00,2.00,5.00,4.50,8.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2810859,2.00,5.00,1.00,1.00,4.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2810867,3.00,5.00,4.00,7.00,6.00,3.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2810875,2.00,7.00,3.00,8.00,3.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2810883,0.00,4.00,0.00,1.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2810891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2810905,4.00,5.00,4.00,5.00,7.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2810921,1.00,5.00,2.00,2.00,6.00,4.75,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2810930,0.00,0.00,2.00,0.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2810956,5.00,9.00,6.00,8.00,8.00,7.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(15,2810972,4.00,8.00,3.00,8.00,6.00,7.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2810980,1.00,5.00,3.00,5.00,5.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2811006,1.00,2.00,0.00,1.00,2.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2811014,0.00,3.00,1.00,3.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2811022,0.00,5.00,0.00,5.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2811030,3.00,5.00,0.00,1.00,6.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2811049,1.00,2.00,1.00,0.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2811057,1.00,3.00,2.00,4.00,3.00,5.00,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2811065,1.00,7.00,5.00,7.00,7.00,3.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2811073,2.00,5.00,0.00,4.00,4.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2811081,4.00,5.00,2.00,6.00,6.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2811090,2.00,5.00,2.00,3.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2811103,1.00,3.00,2.00,5.00,5.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2811111,6.00,4.00,3.00,0.00,6.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2811120,0.00,4.00,1.00,7.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2811138,3.00,6.00,4.00,3.00,4.00,4.75,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2811146,3.00,4.00,3.00,3.00,5.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2811154,2.00,3.00,3.00,5.00,4.00,4.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2811162,4.00,7.00,5.00,5.00,8.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2811170,1.00,7.00,3.00,4.00,7.00,6.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2811189,4.00,6.00,5.00,5.00,7.00,5.00,9.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2811197,1.00,4.00,1.00,5.00,6.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2811200,2.00,6.00,0.00,6.00,6.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2811219,3.00,5.00,4.00,1.00,6.00,5.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2811227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2811235,6.00,8.00,6.00,8.00,8.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2811243,3.00,2.00,3.00,4.00,3.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2811251,0.00,6.00,5.00,5.00,4.00,3.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2811260,2.00,2.00,4.00,5.00,5.00,4.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2811278,1.00,4.00,0.00,4.00,4.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2811294,4.00,5.00,4.00,1.00,6.00,4.75,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2811308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2811316,0.00,4.00,3.00,3.00,3.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2811324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2811332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2811340,1.00,2.00,0.00,0.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2811359,1.00,6.00,1.00,6.00,6.00,4.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2811367,3.00,4.00,2.00,2.00,5.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2811375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2811383,1.00,6.00,1.00,4.00,8.00,3.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2811391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2811405,3.00,3.00,0.00,4.00,4.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2811413,2.00,4.00,2.00,1.00,2.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2811421,1.00,4.00,2.00,3.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2811430,7.00,7.00,5.00,3.00,9.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2811448,3.00,8.00,3.00,5.00,7.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2811456,1.00,4.00,2.00,1.00,6.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2811464,4.00,4.00,1.00,1.00,7.00,3.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2811472,4.00,7.00,6.00,6.00,3.00,4.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2811480,3.00,4.00,3.00,2.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2811499,3.00,6.00,1.00,6.00,6.00,3.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2811510,2.00,7.00,1.00,5.00,4.00,3.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2811529,1.00,6.00,2.00,5.00,5.00,5.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2811537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2811545,3.00,3.00,2.00,4.00,5.00,6.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2811553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2811561,0.00,5.00,5.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2811570,2.00,5.00,2.00,3.00,7.00,4.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2811588,0.00,4.00,0.00,6.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2811596,0.00,6.00,1.00,1.00,7.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2811600,3.00,8.00,4.00,2.00,8.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2811618,2.00,2.00,1.00,0.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2811626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2811634,5.00,8.00,4.00,6.00,8.00,3.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2811650,3.00,2.00,0.00,3.00,4.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2811669,3.00,6.00,5.00,6.00,5.00,6.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2811677,4.00,7.00,3.00,6.00,3.00,4.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2811685,3.00,7.00,3.00,5.00,6.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2811693,4.00,7.00,3.00,4.00,7.00,6.25,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2811707,1.00,4.00,1.00,5.00,6.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2811715,5.00,8.00,2.00,8.00,4.00,5.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2811723,4.00,6.00,1.00,6.00,4.00,6.25,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2811731,2.00,7.00,3.00,6.00,8.00,5.50,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2811740,4.00,6.00,5.00,5.00,6.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2811758,4.00,5.00,3.00,8.00,6.00,5.50,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2811766,1.00,5.00,3.00,5.00,5.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2811774,3.00,7.00,3.00,3.00,3.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2811782,2.00,7.00,4.00,6.00,6.00,5.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2811790,3.00,6.00,5.00,7.00,4.00,6.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2811804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2811812,2.00,3.00,3.00,1.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2811820,5.00,7.00,3.00,4.00,8.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2811839,2.00,4.00,2.00,5.00,6.00,6.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2811847,3.00,6.00,3.00,6.00,7.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2811855,5.00,6.00,2.00,3.00,8.00,6.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2811863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2811871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2811880,4.00,7.00,5.00,6.00,7.00,7.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2811898,1.00,0.00,1.00,1.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2811901,0.00,6.00,3.00,4.00,6.00,4.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2811910,4.00,9.00,6.00,3.00,8.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2811928,6.00,7.00,7.00,8.00,6.00,6.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2811936,2.00,8.00,3.00,5.00,7.00,5.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2811944,4.00,7.00,3.00,7.00,7.00,7.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2811952,4.00,8.00,3.00,3.00,7.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2811960,4.00,7.00,4.00,6.00,8.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2811979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2811987,3.00,5.00,0.00,7.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2811995,2.00,6.00,2.00,4.00,8.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2812002,0.00,6.00,1.00,7.00,6.00,7.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2812010,3.00,2.00,2.00,6.00,8.00,5.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2812037,0.00,6.00,1.00,5.00,7.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2812045,3.00,8.00,2.00,8.00,4.00,5.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2812053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2812061,2.00,3.00,1.00,3.00,4.00,2.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2812070,0.00,3.00,3.00,6.00,6.00,4.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2812088,2.00,3.00,1.00,3.00,0.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2812096,5.00,6.00,3.00,6.00,7.00,4.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2812100,3.00,7.00,4.00,7.00,8.00,4.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2812118,0.00,7.00,3.00,5.00,7.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2812126,1.00,5.00,1.00,7.00,7.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2812142,1.00,7.00,3.00,4.00,7.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2812150,5.00,3.00,2.00,5.00,6.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2812169,2.00,6.00,0.00,2.00,4.00,5.50,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2812177,4.00,7.00,4.00,7.00,8.00,6.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2812185,3.00,6.00,3.00,6.00,5.00,5.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2812193,3.00,6.00,4.00,4.00,7.00,6.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2812207,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2812215,1.00,5.00,3.00,1.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2812223,3.00,2.00,1.00,2.00,4.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2812231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2812240,3.00,8.00,6.00,7.00,8.00,5.75,7.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2812258,2.00,4.00,3.00,4.00,5.00,4.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2812266,3.00,3.00,2.00,2.00,5.00,4.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2812274,0.00,6.00,4.00,3.00,4.00,4.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2812282,9.00,7.00,7.00,8.00,9.00,7.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2812290,2.00,4.00,1.00,2.00,7.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2812304,3.00,6.00,3.00,4.00,5.00,6.00,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2812312,0.00,2.00,3.00,1.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2812320,1.00,5.00,2.00,1.00,6.00,5.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2812339,1.00,2.00,1.00,2.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2812347,1.00,6.00,2.00,7.00,4.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2812355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2812363,3.00,7.00,0.00,3.00,7.00,NULL,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2812371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2812380,1.00,3.00,3.00,3.00,7.00,5.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2812398,1.00,5.00,3.00,4.00,7.00,4.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2812401,1.00,1.00,0.00,0.00,3.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2812410,3.00,5.00,1.00,5.00,5.00,3.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2812428,4.00,6.00,0.00,3.00,3.00,2.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2812436,3.00,6.00,3.00,3.00,6.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2812444,1.00,6.00,3.00,3.00,3.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2812452,5.00,8.00,5.00,4.00,8.00,4.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2812460,3.00,5.00,3.00,4.00,6.00,3.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2812479,4.00,4.00,1.00,4.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2812487,1.00,5.00,2.00,4.00,5.00,2.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2812495,4.00,7.00,9.00,5.00,6.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2812509,2.00,4.00,2.00,4.00,6.00,5.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2812517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2812525,3.00,6.00,1.00,5.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2812533,2.00,5.00,2.00,4.00,6.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2812541,5.00,8.00,7.00,7.00,8.00,4.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2812550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2812568,4.00,8.00,2.00,5.00,7.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2812576,1.00,5.00,4.00,7.00,4.00,4.25,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2812584,2.00,7.00,3.00,2.00,3.00,6.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2812592,4.00,7.00,7.00,1.00,8.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2812606,0.00,6.00,0.00,5.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2812614,4.00,7.00,1.00,5.00,4.00,4.25,5.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2812622,5.00,5.00,7.00,4.00,6.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2812630,3.00,7.00,2.00,2.00,4.00,3.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2812649,2.00,6.00,2.00,6.00,8.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2812657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2812665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2812673,2.00,5.00,1.00,5.00,7.00,4.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2812681,1.00,4.00,3.00,5.00,6.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2812690,1.00,7.00,1.00,5.00,5.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2812703,3.00,4.00,3.00,2.00,5.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2812711,1.00,3.00,0.00,5.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2812720,1.00,6.00,3.00,3.00,5.00,5.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2812738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2812746,4.00,6.00,3.00,5.00,6.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2812754,2.00,6.00,2.00,5.00,4.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2812762,2.00,5.00,2.00,0.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2812770,6.00,8.00,8.00,5.00,6.00,6.25,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2812789,6.00,7.00,7.00,4.00,8.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2812797,3.00,3.00,4.00,4.00,5.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2812800,3.00,8.00,5.00,4.00,7.00,5.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2812819,3.00,4.00,2.00,1.00,4.00,3.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2812827,4.00,4.00,5.00,9.00,8.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2812835,3.00,3.00,0.00,2.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2812843,2.00,3.00,0.00,2.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2812851,0.00,3.00,2.00,2.00,0.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2812860,0.00,3.00,1.00,9.00,6.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2812878,0.00,3.00,1.00,1.00,1.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2812886,2.00,4.00,2.00,4.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2812894,2.00,4.00,3.00,0.00,2.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2812908,0.00,4.00,2.00,5.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2812916,0.00,7.00,4.00,7.00,8.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2812924,4.00,7.00,6.00,7.00,8.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2812932,4.00,5.00,5.00,4.00,6.00,3.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2812940,2.00,7.00,5.00,6.00,6.00,5.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2812959,2.00,6.00,2.00,3.00,3.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2812967,2.00,3.00,1.00,1.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2812983,2.00,5.00,5.00,7.00,5.00,6.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2812991,1.00,6.00,0.00,3.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2813009,2.00,6.00,4.00,5.00,8.00,4.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2813017,5.00,6.00,3.00,4.00,7.00,4.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2813025,3.00,6.00,4.00,6.00,7.00,6.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2813041,1.00,3.00,1.00,3.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2813050,6.00,9.00,2.00,5.00,6.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2813068,2.00,6.00,5.00,1.00,7.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2813076,4.00,2.00,2.00,2.00,4.00,3.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2813084,2.00,7.00,2.00,4.00,6.00,5.25,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2813092,1.00,5.00,1.00,5.00,6.00,4.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2813106,2.00,4.00,0.00,2.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2813114,2.00,5.00,2.00,5.00,5.00,6.00,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2813122,2.00,5.00,0.00,3.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2813130,1.00,6.00,4.00,2.00,3.00,3.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2813149,0.00,5.00,1.00,6.00,7.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2813157,3.00,4.00,1.00,3.00,4.00,4.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2813165,5.00,7.00,5.00,2.00,8.00,4.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2813173,1.00,3.00,2.00,7.00,4.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2813190,2.00,9.00,4.00,4.00,6.00,5.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(15,2813203,4.00,6.00,2.00,3.00,7.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2813211,4.00,4.00,3.00,1.00,6.00,5.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2813220,2.00,6.00,3.00,4.00,5.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2813238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2813246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2813254,4.00,5.00,1.00,4.00,3.00,3.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2813262,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2813270,1.00,4.00,1.00,3.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2813289,5.00,7.00,3.00,9.00,7.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2813297,0.00,2.00,2.00,1.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2813300,3.00,4.00,2.00,1.00,2.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2813319,4.00,7.00,1.00,5.00,5.00,5.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2813327,4.00,7.00,5.00,8.00,9.00,5.75,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2813335,2.00,4.00,3.00,1.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2813343,3.00,6.00,0.00,6.00,6.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2813351,2.00,6.00,2.00,6.00,7.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2813360,0.00,5.00,2.00,5.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2813378,3.00,6.00,4.00,6.00,7.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2813386,2.00,6.00,2.00,6.00,6.00,4.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2813394,2.00,6.00,3.00,3.00,4.00,2.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2813416,1.00,1.00,1.00,2.00,1.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2813424,3.00,4.00,1.00,3.00,3.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2813432,2.00,7.00,3.00,5.00,5.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2813440,1.00,6.00,2.00,1.00,6.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2813459,5.00,5.00,3.00,6.00,5.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2813467,2.00,4.00,2.00,3.00,6.00,4.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2813475,3.00,4.00,1.00,4.00,4.00,5.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2813491,2.00,5.00,2.00,5.00,4.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2813505,3.00,6.00,3.00,3.00,5.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2813513,2.00,5.00,3.00,3.00,5.00,4.75,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2813521,1.00,6.00,3.00,1.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2813530,3.00,5.00,6.00,6.00,6.00,4.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2813548,7.00,7.00,3.00,7.00,7.00,4.00,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2813556,3.00,4.00,3.00,0.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2813564,2.00,3.00,4.00,4.00,6.00,5.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2813572,2.00,5.00,4.00,4.00,3.00,5.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2813599,2.00,4.00,0.00,1.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2813602,4.00,6.00,3.00,8.00,6.00,6.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2813610,2.00,6.00,3.00,5.00,5.00,4.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2813629,5.00,7.00,2.00,0.00,7.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2813645,2.00,4.00,0.00,3.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2813653,2.00,3.00,3.00,5.00,3.00,5.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2813661,2.00,4.00,1.00,5.00,3.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2813670,2.00,3.00,2.00,5.00,6.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2813688,0.00,7.00,2.00,3.00,4.00,5.00,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2813700,2.00,5.00,4.00,7.00,7.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2813718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2813726,2.00,5.00,2.00,1.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2813734,0.00,5.00,5.00,6.00,5.00,3.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2813742,2.00,5.00,3.00,4.00,6.00,4.25,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2813750,1.00,5.00,3.00,5.00,4.00,4.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2813769,0.00,6.00,1.00,5.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2813777,4.00,7.00,4.00,5.00,7.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2813785,2.00,5.00,2.00,4.00,6.00,3.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2813793,1.00,3.00,2.00,2.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2813807,8.00,8.00,6.00,8.00,8.00,7.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2813815,2.00,4.00,1.00,6.00,4.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2813831,2.00,2.00,0.00,4.00,6.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2813840,2.00,4.00,2.00,2.00,3.00,6.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2813858,4.00,6.00,3.00,6.00,5.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2813866,1.00,4.00,2.00,6.00,5.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2813874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2813882,3.00,8.00,1.00,3.00,5.00,5.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2813890,2.00,5.00,3.00,7.00,7.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2813904,1.00,6.00,3.00,1.00,6.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2813912,4.00,5.00,5.00,4.00,6.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2813920,2.00,5.00,3.00,2.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2813939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2813947,2.00,7.00,5.00,6.00,6.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2813955,1.00,7.00,6.00,6.00,6.00,4.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2813963,1.00,4.00,4.00,0.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2813971,0.00,3.00,4.00,1.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2813980,2.00,6.00,4.00,4.00,6.00,7.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2813998,1.00,6.00,1.00,0.00,3.00,4.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2814005,1.00,5.00,0.00,2.00,6.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2814013,3.00,3.00,1.00,6.00,4.00,5.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2814021,1.00,6.00,4.00,3.00,5.00,3.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2814030,3.00,7.00,2.00,5.00,7.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2814048,3.00,6.00,0.00,4.00,5.00,3.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2814064,4.00,7.00,3.00,7.00,6.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2814072,4.00,7.00,1.00,4.00,5.00,5.50,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2814080,0.00,6.00,4.00,6.00,4.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2814099,4.00,4.00,0.00,7.00,6.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2814102,2.00,7.00,1.00,3.00,2.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2814110,4.00,3.00,1.00,2.00,4.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2814129,4.00,6.00,5.00,5.00,7.00,6.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2814137,1.00,7.00,4.00,3.00,6.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2814145,0.00,4.00,1.00,2.00,6.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2814153,4.00,4.00,4.00,0.00,0.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2814161,3.00,6.00,2.00,8.00,3.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2814170,2.00,5.00,4.00,7.00,8.00,4.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2814188,3.00,5.00,4.00,0.00,6.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2814196,2.00,7.00,2.00,7.00,5.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2814200,4.00,7.00,2.00,6.00,8.00,7.50,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2814218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2814226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2814234,0.00,2.00,1.00,0.00,0.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2814242,4.00,7.00,4.00,8.00,6.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2814250,2.00,8.00,4.00,5.00,7.00,3.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2814269,3.00,5.00,2.00,4.00,4.00,3.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2814277,2.00,5.00,4.00,7.00,6.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2814285,1.00,6.00,0.00,4.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2814293,1.00,3.00,2.00,4.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2814307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2814315,2.00,6.00,1.00,5.00,6.00,4.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2814323,4.00,8.00,2.00,5.00,8.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2814331,2.00,6.00,2.00,3.00,4.00,3.25,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2814340,2.00,2.00,4.00,1.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2814358,1.00,3.00,1.00,1.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2814366,2.00,5.00,0.00,4.00,6.00,5.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2814374,1.00,3.00,2.00,5.00,5.00,3.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2814382,6.00,7.00,4.00,7.00,8.00,5.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2814390,6.00,8.00,5.00,7.00,9.00,5.50,8.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2814404,3.00,7.00,3.00,3.00,5.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2814412,2.00,9.00,1.00,3.00,7.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2814420,3.00,3.00,4.00,4.00,3.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2814439,4.00,3.00,3.00,3.00,2.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2814447,3.00,7.00,5.00,6.00,5.00,4.25,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2814463,1.00,5.00,2.00,7.00,5.00,4.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2814471,2.00,4.00,2.00,2.00,7.00,4.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2814480,4.00,5.00,3.00,0.00,7.00,4.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2814498,3.00,6.00,2.00,3.00,5.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2814510,4.00,7.00,1.00,2.00,4.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2814528,1.00,4.00,1.00,6.00,4.00,3.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2814536,5.00,7.00,5.00,5.00,7.00,4.75,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2814544,3.00,6.00,3.00,2.00,6.00,3.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2814552,4.00,6.00,2.00,5.00,8.00,6.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2814560,5.00,6.00,6.00,6.00,7.00,7.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2814579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2814587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2814595,3.00,4.00,4.00,5.00,3.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2814609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2814617,3.00,7.00,0.00,3.00,3.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2814625,3.00,6.00,5.00,5.00,4.00,6.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2814633,2.00,6.00,6.00,7.00,4.00,3.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2814641,3.00,6.00,1.00,3.00,8.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2814650,2.00,5.00,2.00,5.00,7.00,5.75,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2814668,1.00,5.00,1.00,7.00,5.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2814676,3.00,5.00,0.00,1.00,2.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2814684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2814692,2.00,6.00,4.00,7.00,7.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2814706,6.00,7.00,4.00,0.00,7.00,6.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2814714,0.00,5.00,1.00,2.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2814722,1.00,4.00,1.00,5.00,2.00,NULL,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2814749,2.00,3.00,1.00,5.00,5.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2814757,2.00,5.00,3.00,2.00,6.00,6.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2814765,3.00,5.00,2.00,5.00,6.00,6.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2814773,3.00,7.00,3.00,5.00,8.00,5.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2814781,5.00,6.00,3.00,4.00,6.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2814790,4.00,7.00,1.00,6.00,5.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2814803,0.00,3.00,4.00,7.00,6.00,5.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2814811,2.00,3.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2814820,0.00,4.00,0.00,0.00,0.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2814838,3.00,9.00,6.00,5.00,7.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2814846,4.00,8.00,2.00,6.00,7.00,4.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2814854,3.00,5.00,3.00,1.00,4.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2814862,1.00,6.00,1.00,2.00,6.00,3.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2814870,3.00,4.00,0.00,0.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2814897,1.00,3.00,0.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2814900,4.00,5.00,3.00,2.00,8.00,4.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2814919,2.00,5.00,1.00,4.00,5.00,3.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2814927,3.00,4.00,3.00,4.00,6.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2814935,1.00,4.00,4.00,6.00,5.00,4.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2814943,2.00,5.00,2.00,4.00,7.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2814951,0.00,3.00,1.00,4.00,7.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2814960,2.00,5.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2814978,0.00,1.00,3.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2814986,2.00,3.00,0.00,5.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2814994,4.00,7.00,2.00,5.00,8.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2815001,4.00,6.00,2.00,0.00,6.00,6.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2815010,6.00,6.00,3.00,6.00,7.00,7.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2815036,2.00,4.00,1.00,4.00,3.00,4.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2815044,2.00,8.00,5.00,7.00,6.00,6.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2815052,3.00,2.00,2.00,6.00,4.00,5.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2815060,4.00,7.00,2.00,5.00,9.00,4.75,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2815079,2.00,4.00,4.00,6.00,9.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2815087,2.00,4.00,2.00,7.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2815095,1.00,3.00,0.00,1.00,5.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2815109,1.00,5.00,1.00,6.00,8.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2815125,3.00,7.00,4.00,5.00,7.00,6.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2815133,4.00,7.00,4.00,5.00,6.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2815141,0.00,5.00,5.00,0.00,4.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2815150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2815168,3.00,2.00,1.00,7.00,3.00,4.50,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2815176,2.00,5.00,0.00,2.00,6.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2815184,2.00,5.00,2.00,4.00,3.00,5.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2815192,0.00,5.00,1.00,2.00,6.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2815206,3.00,5.00,1.00,2.00,3.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2815214,3.00,5.00,3.00,2.00,5.00,5.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2815222,1.00,6.00,2.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2815230,3.00,5.00,2.00,0.00,3.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2815249,3.00,4.00,5.00,7.00,7.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2815257,3.00,6.00,5.00,8.00,5.00,5.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2815265,3.00,6.00,0.00,1.00,6.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2815273,5.00,7.00,7.00,5.00,4.00,4.50,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2815281,3.00,7.00,3.00,2.00,6.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2815290,6.00,6.00,5.00,8.00,8.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2815303,0.00,4.00,0.00,5.00,6.00,4.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2815311,1.00,4.00,0.00,5.00,8.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2815320,1.00,3.00,2.00,4.00,6.00,5.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2815338,2.00,3.00,1.00,3.00,3.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2815346,3.00,7.00,1.00,4.00,7.00,8.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2815354,3.00,5.00,2.00,4.00,5.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2815362,1.00,2.00,0.00,3.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2815370,2.00,3.00,2.00,1.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2815389,6.00,6.00,6.00,4.00,7.00,7.50,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2815397,1.00,5.00,5.00,3.00,5.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2815400,0.00,3.00,1.00,0.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2815419,3.00,2.00,2.00,1.00,2.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(15,2815427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2815435,5.00,6.00,5.00,4.00,5.00,5.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2815443,1.00,5.00,4.00,2.00,3.00,4.25,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2815451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2815460,2.00,5.00,3.00,4.00,7.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2815478,3.00,7.00,3.00,1.00,5.00,4.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2815486,2.00,3.00,2.00,3.00,5.00,5.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2815494,0.00,4.00,1.00,2.00,5.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2815508,0.00,3.00,4.00,3.00,3.00,4.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2815516,1.00,5.00,2.00,5.00,5.00,5.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2815524,4.00,5.00,3.00,5.00,5.00,5.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2815540,1.00,6.00,2.00,4.00,6.00,5.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2815559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2815567,2.00,6.00,2.00,8.00,7.00,4.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2815575,0.00,5.00,2.00,6.00,7.00,5.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2815583,1.00,1.00,3.00,1.00,8.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2815591,2.00,6.00,3.00,4.00,4.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2815605,4.00,6.00,6.00,6.00,5.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2815613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2815621,0.00,6.00,3.00,5.00,5.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2815630,2.00,4.00,2.00,5.00,5.00,6.75,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2815648,3.00,6.00,3.00,6.00,6.00,7.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2815656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2815664,4.00,6.00,3.00,5.00,7.00,5.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2815672,6.00,9.00,8.00,7.00,9.00,7.00,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2815699,2.00,4.00,1.00,3.00,5.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2815702,2.00,5.00,3.00,3.00,3.00,3.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2815737,3.00,8.00,3.00,6.00,7.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2815745,2.00,4.00,2.00,5.00,6.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2815753,3.00,6.00,4.00,6.00,6.00,4.75,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2815761,3.00,1.00,1.00,5.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2815770,3.00,7.00,1.00,4.00,8.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2815788,3.00,4.00,3.00,5.00,6.00,4.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2815796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2815800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2815818,2.00,6.00,2.00,2.00,6.00,4.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2815826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2815834,6.00,6.00,0.00,7.00,8.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2815842,3.00,8.00,2.00,7.00,8.00,4.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2815850,0.00,3.00,2.00,3.00,7.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2815869,3.00,4.00,0.00,4.00,6.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2815877,1.00,4.00,1.00,6.00,3.00,3.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2815885,6.00,3.00,0.00,1.00,4.00,4.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2815893,3.00,6.00,3.00,6.00,6.00,5.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2815907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2815915,4.00,8.00,2.00,5.00,9.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2815923,3.00,4.00,5.00,0.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2815931,3.00,6.00,3.00,5.00,7.00,4.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2815940,6.00,7.00,3.00,4.00,9.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2815958,2.00,6.00,1.00,1.00,2.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2815966,5.00,8.00,4.00,0.00,6.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2815974,3.00,5.00,5.00,3.00,5.00,4.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2815982,3.00,7.00,3.00,7.00,2.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2815990,1.00,2.00,1.00,2.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2816008,0.00,7.00,2.00,5.00,7.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2816016,4.00,7.00,3.00,4.00,8.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2816024,2.00,7.00,4.00,3.00,6.00,4.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2816032,3.00,5.00,4.00,6.00,7.00,6.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2816040,2.00,2.00,1.00,1.00,2.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2816059,3.00,6.00,2.00,2.00,4.00,3.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2816067,1.00,3.00,2.00,3.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2816075,1.00,2.00,2.00,5.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2816083,5.00,7.00,2.00,1.00,5.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2816091,8.00,8.00,8.00,8.00,9.00,8.50,9.00,9.00,7.00,NULL,NULL,NULL,'N'),(15,2816105,1.00,2.00,1.00,3.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2816113,4.00,6.00,4.00,2.00,5.00,4.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2816121,0.00,8.00,4.00,2.00,4.00,3.00,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2816148,3.00,3.00,4.00,2.00,5.00,5.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2816156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2816164,3.00,7.00,4.00,4.00,7.00,7.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2816172,5.00,4.00,5.00,6.00,7.00,3.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2816180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2816199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2816202,4.00,4.00,1.00,4.00,7.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2816210,1.00,5.00,1.00,5.00,7.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2816229,1.00,7.00,4.00,8.00,8.00,3.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2816237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2816245,5.00,5.00,2.00,4.00,4.00,3.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2816253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2816261,0.00,5.00,3.00,2.00,4.00,3.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2816270,1.00,4.00,1.00,4.00,7.00,3.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2816288,4.00,8.00,3.00,6.00,7.00,7.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2816296,3.00,9.00,6.00,7.00,7.00,6.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2816300,2.00,2.00,2.00,0.00,1.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2816318,0.00,3.00,3.00,1.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2816326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2816334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2816342,2.00,7.00,0.00,4.00,6.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2816350,2.00,5.00,4.00,4.00,3.00,5.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2816369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2816377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2816385,2.00,5.00,3.00,3.00,3.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2816393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2816407,2.00,3.00,0.00,3.00,7.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2816415,2.00,5.00,2.00,6.00,8.00,7.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2816423,1.00,6.00,2.00,2.00,6.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2816431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2816440,4.00,5.00,4.00,3.00,5.00,6.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2816458,2.00,5.00,4.00,6.00,6.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2816466,5.00,9.00,7.00,6.00,7.00,6.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2816474,2.00,4.00,2.00,5.00,5.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2816482,3.00,6.00,4.00,5.00,6.00,4.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2816490,3.00,7.00,4.00,3.00,6.00,4.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2816504,0.00,3.00,3.00,0.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2816512,3.00,4.00,3.00,6.00,8.00,4.75,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2816520,2.00,4.00,1.00,0.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2816539,3.00,5.00,0.00,4.00,6.00,1.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2816547,6.00,9.00,2.00,8.00,8.00,7.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2816555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2816563,6.00,5.00,4.00,4.00,6.00,4.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2816571,2.00,6.00,4.00,5.00,6.00,4.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2816580,1.00,4.00,5.00,6.00,7.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2816598,4.00,7.00,1.00,7.00,7.00,5.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2816601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2816610,3.00,1.00,1.00,5.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2816628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2816636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2816644,3.00,8.00,4.00,4.00,5.00,6.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2816652,3.00,5.00,4.00,6.00,7.00,5.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2816660,6.00,6.00,6.00,5.00,9.00,7.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2816679,3.00,5.00,2.00,5.00,6.00,6.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2816687,1.00,6.00,1.00,7.00,4.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2816695,1.00,4.00,3.00,2.00,6.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2816709,3.00,5.00,6.00,6.00,7.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2816717,5.00,8.00,2.00,4.00,7.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2816725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2816733,2.00,2.00,1.00,4.00,1.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2816741,1.00,3.00,3.00,0.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2816750,3.00,8.00,1.00,4.00,4.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2816768,5.00,6.00,0.00,7.00,8.00,7.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2816776,4.00,7.00,5.00,3.00,8.00,3.75,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2816784,1.00,5.00,0.00,3.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2816792,1.00,7.00,4.00,4.00,5.00,1.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2816806,3.00,5.00,3.00,4.00,6.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2816814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2816822,3.00,6.00,1.00,2.00,8.00,4.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2816830,3.00,8.00,4.00,2.00,7.00,5.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(15,2816849,0.00,7.00,2.00,3.00,6.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2816857,2.00,7.00,4.00,0.00,5.00,3.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2816865,2.00,6.00,1.00,5.00,5.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2816873,1.00,5.00,2.00,3.00,4.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2816881,3.00,5.00,1.00,6.00,6.00,4.00,5.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2816890,2.00,4.00,1.00,1.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2816903,7.00,8.00,5.00,4.00,7.00,6.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(15,2816911,3.00,4.00,4.00,2.00,4.00,6.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2816920,4.00,5.00,3.00,4.00,4.00,4.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2816938,3.00,7.00,3.00,6.00,8.00,7.00,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2816946,4.00,2.00,1.00,1.00,7.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2816954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2816962,3.00,7.00,2.00,5.00,9.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2816970,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2816989,2.00,8.00,5.00,6.00,6.00,5.25,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2816997,1.00,4.00,0.00,3.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2817004,3.00,6.00,2.00,7.00,6.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2817012,3.00,4.00,1.00,4.00,6.00,4.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2817020,5.00,5.00,2.00,4.00,4.00,5.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2817039,3.00,6.00,2.00,3.00,8.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2817047,3.00,5.00,0.00,2.00,6.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2817055,3.00,3.00,1.00,0.00,6.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2817063,1.00,5.00,0.00,1.00,3.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2817071,0.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2817080,1.00,5.00,2.00,3.00,6.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2817101,1.00,4.00,0.00,2.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2817110,3.00,6.00,3.00,5.00,5.00,4.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2817128,4.00,4.00,3.00,5.00,7.00,5.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2817144,1.00,3.00,2.00,4.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2817152,4.00,6.00,3.00,6.00,7.00,4.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2817160,2.00,7.00,2.00,6.00,6.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2817179,0.00,6.00,1.00,3.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2817187,5.00,6.00,0.00,2.00,6.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2817195,1.00,6.00,3.00,5.00,7.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2817209,3.00,5.00,3.00,9.00,5.00,5.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2817217,1.00,5.00,2.00,1.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2817233,3.00,7.00,3.00,2.00,6.00,5.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2817241,3.00,4.00,1.00,6.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2817250,3.00,6.00,3.00,6.00,8.00,6.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2817268,1.00,4.00,4.00,6.00,8.00,7.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2817276,0.00,2.00,0.00,0.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2817284,2.00,4.00,1.00,6.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2817292,2.00,4.00,1.00,1.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2817306,3.00,5.00,1.00,1.00,6.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2817314,0.00,2.00,0.00,5.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2817322,1.00,5.00,4.00,7.00,6.00,4.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2817330,5.00,6.00,5.00,5.00,7.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2817349,2.00,4.00,3.00,4.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2817357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2817365,2.00,5.00,3.00,1.00,4.00,5.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2817373,3.00,6.00,2.00,6.00,5.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2817381,2.00,6.00,5.00,2.00,5.00,4.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2817390,3.00,4.00,4.00,5.00,5.00,5.00,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2817403,4.00,7.00,2.00,6.00,7.00,5.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2817411,3.00,5.00,3.00,3.00,5.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2817420,3.00,5.00,1.00,2.00,4.00,5.00,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2817438,9.00,8.00,6.00,4.00,8.00,6.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2817446,0.00,5.00,3.00,6.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2817454,1.00,1.00,3.00,4.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2817462,2.00,5.00,5.00,5.00,6.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2817470,1.00,4.00,0.00,7.00,3.00,5.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2817489,6.00,7.00,6.00,5.00,7.00,5.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2817497,5.00,7.00,3.00,6.00,7.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2817500,4.00,7.00,3.00,6.00,8.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2817519,3.00,5.00,1.00,2.00,7.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2817527,0.00,7.00,4.00,6.00,7.00,5.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2817535,2.00,8.00,3.00,5.00,6.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2817543,1.00,2.00,0.00,1.00,3.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2817551,5.00,5.00,2.00,5.00,7.00,3.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2817560,4.00,8.00,5.00,6.00,9.00,6.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2817578,3.00,5.00,7.00,6.00,6.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2817586,3.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2817594,0.00,2.00,1.00,0.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2817608,0.00,4.00,3.00,4.00,5.00,2.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2817616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2817624,1.00,6.00,3.00,2.00,3.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2817640,3.00,5.00,3.00,3.00,5.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2817659,2.00,5.00,0.00,3.00,3.00,3.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2817667,3.00,7.00,1.00,6.00,6.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2817675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2817691,2.00,3.00,3.00,0.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2817705,4.00,6.00,3.00,2.00,6.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2817713,2.00,3.00,0.00,2.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'S'),(15,2817721,3.00,5.00,1.00,5.00,4.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2817730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2817748,3.00,8.00,2.00,1.00,4.00,3.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2817756,4.00,4.00,0.00,2.00,3.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2817764,1.00,3.00,1.00,6.00,6.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2817772,2.00,5.00,4.00,4.00,4.00,3.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2817780,7.00,8.00,5.00,8.00,8.00,5.50,6.00,9.00,3.00,NULL,NULL,NULL,'N'),(15,2817799,0.00,6.00,3.00,8.00,7.00,5.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2817802,2.00,4.00,1.00,5.00,6.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2817810,1.00,3.00,1.00,2.00,4.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2817829,2.00,4.00,4.00,4.00,6.00,4.00,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2817837,2.00,2.00,2.00,5.00,3.00,4.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2817845,5.00,5.00,1.00,7.00,7.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2817853,1.00,4.00,2.00,4.00,6.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2817861,2.00,4.00,2.00,2.00,5.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2817870,6.00,7.00,4.00,6.00,6.00,3.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2817888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2817896,3.00,5.00,4.00,7.00,6.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2817900,3.00,6.00,5.00,6.00,7.00,5.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2817918,4.00,5.00,5.00,2.00,3.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2817926,2.00,7.00,1.00,4.00,7.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2817934,2.00,5.00,0.00,3.00,7.00,4.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2817942,5.00,7.00,4.00,7.00,8.00,6.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2817950,3.00,4.00,2.00,3.00,3.00,4.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2817969,2.00,5.00,3.00,2.00,5.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2817977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2817985,3.00,5.00,0.00,0.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2817993,2.00,2.00,1.00,3.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2818000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2818019,5.00,4.00,4.00,1.00,7.00,5.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2818027,3.00,3.00,5.00,7.00,5.00,2.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2818035,1.00,4.00,5.00,4.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2818043,1.00,6.00,4.00,6.00,5.00,5.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2818051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2818060,4.00,6.00,0.00,5.00,8.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2818078,6.00,6.00,2.00,5.00,6.00,4.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2818086,0.00,5.00,2.00,5.00,4.00,3.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2818094,1.00,3.00,2.00,4.00,3.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2818108,3.00,3.00,0.00,4.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2818116,1.00,6.00,3.00,8.00,6.00,5.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2818124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2818132,4.00,4.00,0.00,4.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2818140,4.00,5.00,3.00,5.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2818159,6.00,7.00,4.00,6.00,7.00,5.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2818167,3.00,7.00,4.00,4.00,7.00,5.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2818175,4.00,4.00,2.00,0.00,5.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2818183,4.00,7.00,5.00,6.00,8.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2818191,2.00,5.00,3.00,3.00,4.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2818205,1.00,3.00,2.00,2.00,5.00,7.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2818213,3.00,6.00,4.00,7.00,7.00,5.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2818221,4.00,7.00,2.00,7.00,5.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2818230,5.00,8.00,8.00,7.00,6.00,6.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2818248,4.00,8.00,5.00,5.00,9.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2818256,2.00,2.00,0.00,5.00,5.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2818264,4.00,7.00,7.00,3.00,7.00,5.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2818272,3.00,6.00,4.00,2.00,7.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2818280,3.00,8.00,1.00,4.00,7.00,4.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2818299,3.00,6.00,1.00,7.00,5.00,6.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2818302,2.00,6.00,7.00,3.00,4.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2818310,4.00,6.00,3.00,3.00,7.00,5.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2818329,3.00,7.00,1.00,5.00,5.00,5.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2818337,6.00,5.00,5.00,3.00,3.00,4.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2818345,4.00,7.00,4.00,1.00,8.00,6.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2818353,2.00,6.00,3.00,3.00,7.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2818361,2.00,7.00,5.00,4.00,5.00,3.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2818370,1.00,4.00,2.00,0.00,0.00,NULL,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2818388,1.00,4.00,2.00,2.00,5.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2818396,0.00,5.00,5.00,5.00,4.00,2.00,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2818400,3.00,7.00,2.00,5.00,4.00,3.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2818418,2.00,3.00,2.00,6.00,7.00,4.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2818426,5.00,7.00,3.00,8.00,8.00,6.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2818434,0.00,6.00,4.00,3.00,3.00,NULL,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2818442,2.00,6.00,4.00,0.00,5.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2818450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2818469,2.00,6.00,2.00,6.00,5.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2818477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2818485,3.00,7.00,2.00,6.00,7.00,6.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2818493,2.00,5.00,3.00,6.00,5.00,5.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2818507,5.00,5.00,1.00,4.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2818515,3.00,5.00,4.00,5.00,6.00,4.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2818523,1.00,7.00,4.00,6.00,6.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2818531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2818540,2.00,7.00,3.00,2.00,7.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2818558,1.00,4.00,3.00,0.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2818566,3.00,4.00,4.00,0.00,6.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2818574,2.00,5.00,0.00,2.00,5.00,4.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2818582,1.00,5.00,5.00,4.00,7.00,5.75,3.00,7.00,0.00,NULL,NULL,NULL,'N'),(15,2818590,2.00,6.00,4.00,5.00,6.00,5.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2818604,2.00,5.00,2.00,1.00,3.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2818612,3.00,1.00,2.00,0.00,4.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2818620,2.00,3.00,3.00,3.00,6.00,6.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2818639,1.00,5.00,3.00,5.00,3.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2818647,1.00,7.00,4.00,6.00,7.00,4.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2818655,2.00,6.00,3.00,6.00,8.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2818663,2.00,5.00,3.00,1.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2818671,3.00,5.00,3.00,6.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2818680,2.00,6.00,3.00,7.00,8.00,5.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2818698,6.00,7.00,7.00,4.00,7.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2818701,2.00,3.00,0.00,1.00,2.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2818710,3.00,5.00,5.00,3.00,4.00,4.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2818728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2818736,2.00,7.00,4.00,7.00,6.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2818744,2.00,5.00,0.00,4.00,4.00,4.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2818752,2.00,2.00,3.00,0.00,1.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2818760,3.00,5.00,5.00,5.00,6.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2818779,3.00,5.00,1.00,1.00,3.00,3.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2818787,6.00,8.00,5.00,5.00,9.00,4.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2818795,4.00,8.00,1.00,6.00,8.00,5.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2818809,2.00,4.00,2.00,6.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2818817,2.00,6.00,2.00,0.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2818825,3.00,7.00,1.00,6.00,6.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2818841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2818850,2.00,5.00,3.00,7.00,4.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2818868,3.00,5.00,5.00,4.00,5.00,5.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2818876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2818884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2818892,4.00,3.00,5.00,5.00,6.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2818906,3.00,4.00,1.00,2.00,5.00,0.00,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2818914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2818922,2.00,5.00,5.00,1.00,7.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2818930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2818949,2.00,3.00,4.00,2.00,3.00,3.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2818957,3.00,5.00,5.00,4.00,4.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2818965,1.00,4.00,0.00,3.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2818973,1.00,6.00,4.00,7.00,7.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2818981,3.00,4.00,2.00,4.00,5.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2818990,2.00,8.00,2.00,2.00,4.00,4.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2819007,4.00,6.00,5.00,5.00,8.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2819015,2.00,6.00,4.00,7.00,4.00,5.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2819023,3.00,4.00,0.00,3.00,4.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2819031,3.00,4.00,4.00,6.00,6.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2819040,1.00,7.00,2.00,1.00,4.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2819058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2819066,2.00,3.00,1.00,5.00,7.00,4.75,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(15,2819074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2819082,1.00,1.00,1.00,2.00,4.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2819090,0.00,5.00,2.00,4.00,3.00,3.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2819104,5.00,5.00,2.00,1.00,3.00,5.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2819112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2819120,2.00,5.00,4.00,4.00,6.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2819139,2.00,3.00,2.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2819147,4.00,2.00,3.00,2.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2819171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2819180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2819198,3.00,4.00,3.00,3.00,4.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2819201,3.00,5.00,1.00,4.00,3.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2819210,3.00,3.00,3.00,2.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2819228,2.00,5.00,2.00,5.00,7.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2819236,1.00,5.00,4.00,7.00,6.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2819244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2819252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2819279,2.00,2.00,4.00,6.00,6.00,2.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2819295,4.00,7.00,4.00,8.00,7.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2819309,3.00,7.00,4.00,6.00,7.00,4.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2819317,0.00,4.00,1.00,2.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2819325,2.00,5.00,0.00,4.00,6.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2819333,3.00,4.00,0.00,1.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2819341,2.00,4.00,4.00,5.00,6.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2819350,4.00,4.00,3.00,0.00,0.00,NULL,0.00,0.00,0.00,'S',NULL,'S','N'),(15,2819368,4.00,3.00,2.00,4.00,4.00,4.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2819376,2.00,5.00,4.00,5.00,6.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2819384,2.00,2.00,1.00,1.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2819392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2819406,3.00,8.00,4.00,2.00,6.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2819414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2819422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2819449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2819457,0.00,1.00,3.00,1.00,2.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2819465,1.00,2.00,2.00,2.00,2.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2819473,3.00,5.00,2.00,7.00,6.00,5.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(15,2819481,1.00,5.00,3.00,1.00,3.00,3.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2819490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2819503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2819511,2.00,6.00,3.00,2.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2819520,6.00,9.00,4.00,6.00,8.00,5.75,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2819538,0.00,5.00,3.00,4.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2819546,1.00,7.00,2.00,5.00,6.00,7.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2819554,1.00,5.00,0.00,4.00,4.00,4.75,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2819562,0.00,6.00,2.00,2.00,6.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2819570,0.00,2.00,1.00,1.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2819589,2.00,4.00,2.00,4.00,7.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2819597,1.00,3.00,1.00,3.00,6.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2819600,4.00,5.00,3.00,5.00,7.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2819619,1.00,5.00,1.00,4.00,5.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2819627,1.00,1.00,0.00,0.00,0.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2819635,3.00,5.00,3.00,6.00,7.00,4.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2819643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2819651,3.00,5.00,3.00,7.00,8.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2819660,4.00,6.00,3.00,2.00,8.00,5.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2819678,1.00,3.00,3.00,4.00,5.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2819686,1.00,4.00,1.00,2.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2819694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2819708,5.00,6.00,4.00,4.00,7.00,5.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2819716,3.00,6.00,3.00,7.00,6.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2819724,2.00,7.00,4.00,3.00,6.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2819732,0.00,2.00,2.00,1.00,7.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2819740,2.00,6.00,2.00,5.00,8.00,6.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2819759,2.00,4.00,0.00,2.00,7.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2819767,4.00,3.00,1.00,4.00,4.00,2.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2819783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2819791,1.00,8.00,2.00,5.00,6.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2819805,1.00,6.00,3.00,5.00,8.00,4.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2819821,4.00,7.00,3.00,8.00,9.00,6.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2819830,3.00,6.00,4.00,6.00,4.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2819856,4.00,7.00,2.00,5.00,6.00,4.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2819872,2.00,2.00,3.00,5.00,5.00,3.50,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2819880,4.00,6.00,5.00,2.00,7.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2819899,1.00,5.00,0.00,4.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2819902,4.00,5.00,1.00,2.00,7.00,5.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2819910,2.00,4.00,1.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2819929,2.00,3.00,4.00,2.00,3.00,4.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2819937,4.00,5.00,6.00,3.00,6.00,5.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2819945,2.00,5.00,3.00,1.00,5.00,4.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2819953,5.00,7.00,8.00,10.00,9.00,6.25,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2819961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2819970,5.00,6.00,0.00,0.00,6.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2819988,2.00,5.00,2.00,2.00,4.00,2.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2819996,2.00,5.00,1.00,2.00,6.00,4.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2820005,5.00,8.00,1.00,5.00,6.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2820013,4.00,6.00,3.00,2.00,6.00,3.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2820021,1.00,5.00,3.00,2.00,4.00,5.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2820030,3.00,8.00,3.00,5.00,8.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2820048,3.00,4.00,4.00,5.00,7.00,5.50,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2820056,2.00,4.00,3.00,1.00,5.00,2.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2820064,6.00,8.00,3.00,4.00,7.00,4.25,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2820072,3.00,2.00,0.00,0.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2820080,4.00,6.00,6.00,7.00,4.00,3.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2820099,4.00,5.00,4.00,8.00,8.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2820102,0.00,6.00,4.00,3.00,6.00,4.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2820110,3.00,7.00,6.00,6.00,8.00,5.75,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(15,2820129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2820137,4.00,8.00,3.00,5.00,5.00,4.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2820145,3.00,9.00,3.00,7.00,7.00,5.75,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2820153,4.00,4.00,3.00,2.00,8.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2820161,1.00,1.00,4.00,3.00,5.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2820170,3.00,5.00,1.00,3.00,5.00,5.50,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2820188,1.00,3.00,1.00,7.00,4.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2820196,1.00,4.00,3.00,4.00,7.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2820218,2.00,7.00,4.00,5.00,5.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2820226,7.00,7.00,3.00,7.00,4.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2820234,4.00,6.00,7.00,5.00,5.00,4.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2820242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2820250,1.00,2.00,1.00,2.00,1.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2820269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2820277,2.00,5.00,1.00,4.00,1.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2820285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2820293,1.00,7.00,3.00,5.00,6.00,7.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2820307,3.00,6.00,1.00,5.00,4.00,0.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2820315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2820323,4.00,2.00,3.00,4.00,5.00,4.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2820331,3.00,5.00,3.00,3.00,6.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2820340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2820358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2820366,2.00,4.00,1.00,4.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2820374,3.00,7.00,4.00,2.00,6.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2820382,2.00,6.00,3.00,3.00,4.00,3.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2820390,6.00,6.00,6.00,7.00,6.00,6.25,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(15,2820404,5.00,8.00,1.00,5.00,8.00,5.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2820412,2.00,3.00,5.00,6.00,5.00,6.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2820439,1.00,6.00,3.00,4.00,7.00,4.50,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2820447,3.00,7.00,2.00,5.00,6.00,4.25,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2820455,2.00,3.00,1.00,5.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2820463,5.00,6.00,3.00,8.00,5.00,5.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2820471,2.00,6.00,1.00,6.00,6.00,4.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2820480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2820498,3.00,6.00,4.00,2.00,8.00,4.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2820501,3.00,7.00,3.00,5.00,7.00,6.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2820510,4.00,8.00,4.00,5.00,7.00,7.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2820528,3.00,5.00,3.00,4.00,4.00,4.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2820536,3.00,8.00,3.00,5.00,8.00,6.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2820544,2.00,3.00,3.00,1.00,4.00,3.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2820552,2.00,8.00,4.00,6.00,5.00,4.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2820560,2.00,7.00,2.00,4.00,4.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2820579,3.00,3.00,0.00,4.00,5.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2820587,4.00,6.00,1.00,2.00,6.00,3.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2820595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2820609,3.00,5.00,2.00,4.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2820617,4.00,7.00,4.00,7.00,8.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2820625,4.00,7.00,4.00,7.00,8.00,6.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2820633,2.00,6.00,1.00,1.00,5.00,4.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2820641,3.00,4.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2820650,0.00,5.00,4.00,1.00,7.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2820668,3.00,2.00,0.00,5.00,3.00,3.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2820676,4.00,5.00,4.00,1.00,6.00,5.25,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2820684,2.00,3.00,2.00,1.00,1.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2820692,1.00,4.00,1.00,4.00,4.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2820706,1.00,2.00,1.00,5.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2820714,1.00,4.00,1.00,0.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2820722,3.00,8.00,3.00,3.00,5.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2820730,4.00,5.00,2.00,3.00,7.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2820749,1.00,6.00,3.00,2.00,4.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2820757,1.00,0.00,1.00,0.00,4.00,NULL,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2820765,3.00,4.00,1.00,4.00,5.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2820773,2.00,4.00,4.00,3.00,6.00,4.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2820781,1.00,7.00,2.00,1.00,5.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2820790,3.00,6.00,4.00,6.00,5.00,5.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2820803,1.00,5.00,4.00,6.00,3.00,3.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2820811,3.00,6.00,2.00,3.00,3.00,6.25,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2820820,3.00,5.00,3.00,4.00,6.00,4.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2820838,2.00,5.00,3.00,4.00,4.00,4.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2820846,2.00,2.00,1.00,4.00,3.00,3.25,5.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2820854,1.00,4.00,2.00,0.00,1.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2820862,3.00,5.00,2.00,5.00,6.00,4.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2820870,3.00,3.00,1.00,7.00,5.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2820889,1.00,4.00,1.00,5.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(15,2820897,4.00,5.00,2.00,5.00,4.00,5.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2820900,0.00,8.00,1.00,1.00,6.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2820919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2820927,2.00,4.00,2.00,1.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2820935,2.00,3.00,0.00,5.00,3.00,3.50,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2820943,4.00,6.00,3.00,6.00,6.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2820960,8.00,8.00,7.00,6.00,7.00,6.00,8.00,9.00,5.00,NULL,NULL,NULL,'N'),(15,2820978,5.00,5.00,1.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2820986,4.00,6.00,4.00,5.00,8.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2820994,2.00,7.00,2.00,6.00,6.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2821001,2.00,4.00,3.00,1.00,3.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2821028,1.00,3.00,1.00,6.00,7.00,5.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2821036,2.00,6.00,3.00,3.00,4.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2821044,7.00,5.00,5.00,3.00,5.00,3.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2821052,2.00,4.00,4.00,5.00,5.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2821087,2.00,3.00,2.00,5.00,3.00,4.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2821095,2.00,7.00,0.00,3.00,7.00,4.75,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2821109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2821117,4.00,8.00,4.00,6.00,7.00,6.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2821125,4.00,5.00,6.00,6.00,3.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2821133,5.00,6.00,6.00,6.00,7.00,4.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2821141,3.00,3.00,2.00,0.00,3.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2821150,4.00,5.00,3.00,5.00,5.00,3.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2821168,4.00,3.00,2.00,4.00,4.00,4.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2821176,2.00,4.00,1.00,1.00,7.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2821184,4.00,5.00,3.00,7.00,7.00,4.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2821192,3.00,5.00,5.00,2.00,5.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2821206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2821214,4.00,6.00,3.00,4.00,5.00,5.50,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2821222,2.00,6.00,3.00,6.00,5.00,5.75,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2821230,0.00,5.00,5.00,3.00,3.00,4.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2821249,4.00,7.00,1.00,2.00,3.00,5.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2821257,5.00,8.00,6.00,7.00,7.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(15,2821265,5.00,8.00,7.00,4.00,8.00,6.25,9.00,6.00,6.00,NULL,NULL,NULL,'N'),(15,2821273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2821281,1.00,4.00,2.00,0.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2821290,2.00,4.00,4.00,4.00,4.00,6.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2821303,0.00,4.00,1.00,7.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2821311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2821320,2.00,3.00,1.00,1.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2821338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2821346,0.00,4.00,1.00,4.00,2.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2821354,3.00,6.00,3.00,5.00,6.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2821362,4.00,8.00,6.00,6.00,6.00,5.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2821370,2.00,2.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2821389,1.00,3.00,1.00,4.00,5.00,5.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2821397,1.00,6.00,4.00,6.00,7.00,6.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2821400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2821419,3.00,7.00,3.00,8.00,7.00,4.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(15,2821427,1.00,4.00,3.00,2.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2821435,1.00,8.00,2.00,3.00,4.00,6.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2821443,5.00,7.00,5.00,3.00,6.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2821451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2821460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2821478,2.00,8.00,3.00,7.00,7.00,5.50,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(15,2821486,2.00,6.00,1.00,2.00,6.00,5.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2821494,1.00,4.00,2.00,1.00,3.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2821516,3.00,2.00,1.00,3.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2821524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2821532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2821540,4.00,5.00,3.00,2.00,7.00,NULL,6.00,7.00,0.00,NULL,NULL,NULL,'N'),(15,2821559,4.00,3.00,5.00,4.00,6.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2821567,2.00,7.00,1.00,5.00,4.00,6.50,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(15,2821575,2.00,5.00,1.00,4.00,4.00,4.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2821583,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2821591,4.00,6.00,4.00,3.00,6.00,6.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2821605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2821613,3.00,6.00,3.00,3.00,7.00,6.00,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(15,2821621,4.00,8.00,5.00,2.00,5.00,4.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2821630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2821648,5.00,7.00,5.00,5.00,7.00,5.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2821656,3.00,6.00,2.00,7.00,7.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2821664,0.00,5.00,0.00,2.00,4.00,3.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2821672,2.00,5.00,2.00,7.00,7.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2821680,1.00,5.00,3.00,0.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2821699,4.00,6.00,6.00,4.00,9.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2821702,3.00,8.00,3.00,7.00,8.00,5.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2821710,1.00,6.00,2.00,1.00,5.00,7.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2821729,2.00,5.00,4.00,4.00,3.00,2.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2821737,5.00,8.00,5.00,5.00,7.00,5.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2821745,5.00,7.00,3.00,2.00,8.00,4.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2821753,1.00,5.00,5.00,6.00,6.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2821761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2821770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2821788,2.00,4.00,2.00,6.00,4.00,4.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2821796,5.00,7.00,6.00,4.00,7.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2821800,1.00,5.00,0.00,4.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2821818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2821826,6.00,6.00,4.00,5.00,4.00,6.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2821834,1.00,7.00,0.00,2.00,7.00,4.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2821842,1.00,3.00,1.00,4.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2821869,3.00,4.00,3.00,3.00,2.00,NULL,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(15,2821877,3.00,6.00,2.00,1.00,5.00,3.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2821885,2.00,2.00,2.00,3.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2821907,3.00,7.00,3.00,5.00,5.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2821915,1.00,4.00,0.00,3.00,4.00,NULL,4.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2821923,1.00,3.00,3.00,4.00,5.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2821931,1.00,7.00,3.00,4.00,5.00,3.25,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2821940,3.00,4.00,3.00,1.00,5.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2821958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2821966,3.00,5.00,1.00,7.00,7.00,6.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2821974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2821982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2821990,3.00,7.00,2.00,1.00,7.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2822008,6.00,8.00,8.00,7.00,8.00,6.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(15,2822016,3.00,5.00,3.00,5.00,5.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2822024,1.00,7.00,2.00,6.00,3.00,5.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2822032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822059,3.00,5.00,1.00,5.00,5.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2822067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822075,4.00,3.00,3.00,2.00,4.00,4.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2822083,2.00,5.00,3.00,2.00,7.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2822091,3.00,8.00,2.00,6.00,7.00,5.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2822105,0.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2822113,4.00,7.00,5.00,6.00,6.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2822121,1.00,7.00,5.00,2.00,4.00,6.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2822130,1.00,4.00,3.00,0.00,0.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2822156,3.00,5.00,4.00,0.00,5.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2822164,4.00,7.00,4.00,5.00,7.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2822172,4.00,5.00,5.00,6.00,7.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2822180,3.00,7.00,0.00,1.00,7.00,6.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2822199,2.00,5.00,1.00,2.00,2.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2822202,0.00,1.00,0.00,1.00,1.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2822229,2.00,6.00,2.00,1.00,5.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2822237,2.00,6.00,3.00,2.00,5.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2822245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822253,4.00,7.00,5.00,5.00,8.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2822261,3.00,7.00,4.00,6.00,8.00,6.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2822270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822296,1.00,4.00,2.00,0.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2822300,3.00,6.00,1.00,4.00,5.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2822318,2.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2822326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822342,3.00,7.00,1.00,3.00,7.00,7.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2822350,2.00,7.00,5.00,1.00,5.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2822407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822415,4.00,3.00,2.00,3.00,6.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2822423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822431,1.00,5.00,0.00,2.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2822458,4.00,6.00,5.00,1.00,4.00,4.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2822466,3.00,6.00,0.00,7.00,7.00,6.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2822490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822520,0.00,7.00,2.00,5.00,8.00,8.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2822547,2.00,6.00,3.00,1.00,6.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2822555,5.00,7.00,2.00,4.00,4.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2822563,2.00,7.00,1.00,1.00,6.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2822580,2.00,4.00,4.00,3.00,8.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2822598,4.00,5.00,5.00,6.00,4.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2822601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822628,2.00,4.00,4.00,2.00,7.00,7.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2822636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822687,1.00,4.00,2.00,0.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2822695,1.00,4.00,3.00,1.00,5.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2822709,3.00,4.00,1.00,3.00,3.00,3.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2822717,1.00,4.00,3.00,3.00,3.00,6.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2822725,3.00,7.00,2.00,4.00,5.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2822733,4.00,5.00,4.00,3.00,7.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2822741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822768,1.00,4.00,5.00,1.00,8.00,5.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2822776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822784,2.00,4.00,1.00,1.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2822792,1.00,4.00,2.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2822806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822814,2.00,6.00,5.00,3.00,4.00,4.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2822822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822865,3.00,7.00,2.00,4.00,5.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2822873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822881,7.00,9.00,8.00,4.00,9.00,5.00,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(15,2822890,4.00,5.00,1.00,5.00,4.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2822903,2.00,4.00,3.00,4.00,6.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2822911,4.00,7.00,3.00,6.00,6.00,4.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2822920,2.00,6.00,0.00,4.00,7.00,4.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2822938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822946,0.00,3.00,3.00,4.00,7.00,5.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2822954,2.00,4.00,0.00,5.00,4.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2822962,3.00,4.00,2.00,3.00,4.00,4.50,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2822970,1.00,2.00,3.00,4.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2822989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2822997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2823004,3.00,8.00,1.00,6.00,6.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2823012,6.00,6.00,3.00,3.00,3.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2823020,1.00,6.00,2.00,5.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2823039,2.00,7.00,4.00,5.00,7.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2823047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2823055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2823063,1.00,6.00,0.00,5.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2823071,3.00,6.00,0.00,4.00,4.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2823080,3.00,4.00,3.00,5.00,3.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2823098,0.00,4.00,1.00,0.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2823101,2.00,8.00,3.00,8.00,6.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2823110,2.00,3.00,0.00,3.00,5.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2823128,1.00,4.00,2.00,0.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2823136,2.00,4.00,1.00,1.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2823144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2823152,0.00,5.00,3.00,2.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(15,2823160,3.00,4.00,3.00,5.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2823179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2823187,3.00,4.00,1.00,5.00,4.00,6.00,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(15,2823195,2.00,8.00,3.00,6.00,8.00,7.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2823217,2.00,3.00,3.00,7.00,5.00,5.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2823225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2823233,4.00,4.00,1.00,5.00,5.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2823241,5.00,7.00,1.00,3.00,6.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2823250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2823268,1.00,4.00,1.00,2.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2823276,1.00,2.00,1.00,3.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2823284,4.00,7.00,5.00,7.00,6.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2823292,4.00,6.00,5.00,5.00,8.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2823306,3.00,5.00,4.00,5.00,7.00,5.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2823314,3.00,6.00,3.00,3.00,7.00,4.25,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2823322,4.00,6.00,4.00,4.00,8.00,4.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2823330,2.00,3.00,4.00,2.00,3.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2823349,2.00,4.00,3.00,2.00,4.00,3.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2823357,8.00,8.00,6.00,7.00,9.00,6.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2823365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2823373,1.00,3.00,2.00,5.00,5.00,3.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2823381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2823390,1.00,4.00,1.00,5.00,8.00,5.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2823403,1.00,4.00,4.00,3.00,5.00,3.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2823438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2823446,2.00,4.00,2.00,1.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2823454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2823462,1.00,3.00,0.00,1.00,5.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2823470,3.00,5.00,0.00,1.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2823497,0.00,7.00,1.00,4.00,7.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2823519,0.00,5.00,3.00,6.00,3.00,4.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2823527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2823543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2823551,3.00,5.00,0.00,3.00,5.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2823560,2.00,6.00,3.00,5.00,6.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2823578,3.00,5.00,4.00,0.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2823586,3.00,6.00,1.00,1.00,5.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2823594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2823608,0.00,6.00,2.00,0.00,6.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2823624,4.00,5.00,1.00,5.00,8.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2823632,1.00,4.00,1.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2823640,1.00,4.00,5.00,4.00,3.00,5.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2823659,0.00,5.00,1.00,1.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(15,2823667,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2823675,2.00,5.00,0.00,4.00,6.00,4.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2823683,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2823691,2.00,6.00,3.00,1.00,3.00,3.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2823705,1.00,3.00,0.00,8.00,5.00,6.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2823713,2.00,3.00,4.00,2.00,5.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2823721,1.00,4.00,2.00,1.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2823730,3.00,4.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2823748,3.00,5.00,2.00,6.00,5.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2823756,3.00,8.00,4.00,4.00,7.00,6.00,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2823764,2.00,6.00,1.00,6.00,6.00,3.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2823772,5.00,6.00,3.00,5.00,7.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2823780,2.00,3.00,1.00,1.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2823799,3.00,6.00,3.00,5.00,3.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2823802,2.00,7.00,3.00,5.00,6.00,5.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2823829,2.00,3.00,4.00,1.00,6.00,5.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2823837,5.00,4.00,3.00,7.00,7.00,6.00,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2823845,0.00,4.00,1.00,3.00,4.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2823853,2.00,3.00,1.00,5.00,3.00,5.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2823861,2.00,3.00,1.00,2.00,4.00,4.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2823870,3.00,7.00,1.00,3.00,4.00,4.75,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2823888,1.00,8.00,2.00,3.00,4.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2823896,3.00,5.00,1.00,1.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2823900,2.00,5.00,0.00,3.00,6.00,5.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2823918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2823926,0.00,2.00,2.00,2.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2823934,2.00,4.00,1.00,6.00,6.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2823942,3.00,6.00,2.00,2.00,4.00,4.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(15,2823950,1.00,1.00,1.00,0.00,4.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2823977,3.00,4.00,1.00,3.00,4.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2823985,3.00,5.00,4.00,8.00,8.00,5.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2823993,3.00,5.00,1.00,5.00,9.00,5.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(15,2824000,5.00,6.00,3.00,7.00,3.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2824019,1.00,2.00,1.00,5.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2824027,2.00,4.00,3.00,5.00,4.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2824035,5.00,7.00,6.00,6.00,8.00,6.00,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(15,2824043,4.00,7.00,2.00,6.00,5.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2824051,4.00,7.00,5.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(15,2824086,2.00,4.00,0.00,0.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2824094,2.00,7.00,2.00,4.00,4.00,4.75,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2824108,1.00,1.00,2.00,1.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2824116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2824124,3.00,5.00,0.00,5.00,4.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2824132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2824140,2.00,5.00,2.00,0.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2824159,1.00,3.00,1.00,4.00,3.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2824167,2.00,3.00,1.00,0.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(15,2824175,3.00,3.00,1.00,1.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2824183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2824191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2824205,1.00,6.00,2.00,5.00,3.00,6.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2824213,3.00,4.00,2.00,1.00,7.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2824230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2824248,4.00,8.00,4.00,8.00,7.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2824256,0.00,7.00,4.00,4.00,6.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2824264,2.00,6.00,1.00,8.00,8.00,7.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2824272,1.00,5.00,6.00,1.00,5.00,5.50,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2824280,1.00,6.00,3.00,4.00,6.00,4.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2824299,0.00,4.00,0.00,1.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2824302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2824329,4.00,4.00,6.00,5.00,6.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2824337,2.00,3.00,2.00,4.00,3.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2824345,4.00,6.00,5.00,6.00,7.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2824353,2.00,7.00,5.00,1.00,7.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2824361,4.00,6.00,3.00,3.00,4.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2824370,2.00,5.00,0.00,2.00,3.00,3.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2824388,1.00,3.00,0.00,4.00,6.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2824396,2.00,4.00,2.00,3.00,5.00,3.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2824400,3.00,6.00,5.00,0.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2824418,7.00,8.00,5.00,6.00,9.00,7.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2824426,2.00,3.00,0.00,2.00,4.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2824434,3.00,5.00,2.00,8.00,7.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2824442,1.00,7.00,2.00,3.00,5.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2824450,0.00,3.00,2.00,6.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2824477,2.00,7.00,4.00,8.00,6.00,3.50,8.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2824485,0.00,3.00,0.00,2.00,4.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(15,2824493,4.00,5.00,3.00,1.00,4.00,4.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2824507,2.00,7.00,3.00,8.00,7.00,6.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2824515,0.00,4.00,1.00,2.00,5.00,4.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2824523,0.00,2.00,0.00,3.00,4.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(15,2824531,3.00,3.00,0.00,1.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2824540,0.00,0.00,0.00,4.00,5.00,NULL,2.00,4.00,2.00,NULL,'S',NULL,'N'),(15,2824558,0.00,0.00,0.00,2.00,4.00,NULL,2.00,4.00,4.00,NULL,'S',NULL,'N'),(15,2824566,2.00,2.00,2.00,2.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2824574,3.00,5.00,3.00,6.00,4.00,6.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2824582,3.00,4.00,3.00,6.00,6.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2824590,3.00,4.00,2.00,7.00,3.00,2.50,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(15,2824604,1.00,3.00,3.00,2.00,6.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2824612,1.00,7.00,2.00,5.00,6.00,5.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2824620,4.00,7.00,4.00,6.00,6.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2824639,1.00,6.00,5.00,5.00,7.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2824647,2.00,6.00,2.00,3.00,6.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2824655,2.00,7.00,3.00,6.00,6.00,4.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2824663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2824671,3.00,6.00,3.00,7.00,8.00,5.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(15,2824680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2824698,1.00,4.00,0.00,1.00,2.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2824710,0.00,4.00,1.00,4.00,4.00,3.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(15,2824728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2824736,2.00,4.00,2.00,6.00,3.00,5.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2824744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2824752,1.00,8.00,2.00,2.00,2.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2824760,3.00,3.00,2.00,6.00,5.00,4.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2824779,6.00,8.00,5.00,5.00,6.00,6.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(15,2824787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2824795,4.00,7.00,3.00,7.00,6.00,7.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(15,2824809,6.00,8.00,7.00,8.00,7.00,7.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(15,2824817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2824825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2824833,1.00,4.00,4.00,4.00,6.00,6.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2824841,3.00,8.00,4.00,2.00,8.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(15,2824868,1.00,3.00,0.00,1.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2824876,2.00,4.00,4.00,0.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(15,2824892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2824914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2824922,2.00,1.00,2.00,3.00,2.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2824930,2.00,5.00,6.00,3.00,5.00,2.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2824949,0.00,6.00,3.00,5.00,5.00,3.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(15,2824957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2824965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2824973,2.00,3.00,1.00,3.00,1.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(15,2824981,3.00,3.00,3.00,1.00,3.00,4.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2824990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2825007,1.00,5.00,1.00,5.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2825015,4.00,4.00,1.00,6.00,4.00,5.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2825031,3.00,3.00,4.00,5.00,3.00,3.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2825040,3.00,5.00,1.00,5.00,6.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(15,2825058,0.00,4.00,0.00,6.00,4.00,6.25,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2825066,2.00,3.00,2.00,3.00,4.00,3.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2825074,2.00,3.00,0.00,1.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2825082,1.00,4.00,1.00,2.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2825090,3.00,5.00,1.00,4.00,5.00,6.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2825104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2825112,5.00,7.00,3.00,6.00,4.00,5.75,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(15,2825120,3.00,4.00,4.00,3.00,7.00,4.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2825139,3.00,6.00,4.00,2.00,7.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2825147,4.00,7.00,3.00,3.00,7.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2825155,1.00,3.00,0.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2825163,2.00,2.00,3.00,5.00,6.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2825171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2825198,3.00,6.00,4.00,7.00,6.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2825201,3.00,8.00,2.00,7.00,5.00,3.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(15,2825210,2.00,8.00,2.00,6.00,5.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2825228,1.00,5.00,1.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2825236,0.00,7.00,3.00,5.00,7.00,4.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(15,2825252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2825260,1.00,5.00,0.00,1.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(15,2825279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2825287,3.00,7.00,4.00,2.00,7.00,4.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2825295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2825309,2.00,6.00,1.00,4.00,5.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2825317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2825325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2825333,1.00,4.00,1.00,1.00,6.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2825341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2825350,2.00,5.00,1.00,4.00,4.00,3.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2825368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2825376,0.00,0.00,0.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(15,2825384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2825392,2.00,7.00,0.00,5.00,4.00,4.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2825406,3.00,6.00,4.00,1.00,6.00,5.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(15,2825414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2825422,2.00,5.00,5.00,2.00,4.00,4.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(15,2825430,0.00,3.00,3.00,0.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(15,2825449,3.00,4.00,4.00,0.00,4.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(15,2825457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(15,2825465,1.00,5.00,5.00,8.00,6.00,5.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2825481,1.00,6.00,2.00,4.00,7.00,4.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2825490,1.00,5.00,1.00,5.00,9.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(15,2825511,4.00,6.00,6.00,7.00,8.00,5.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(15,2825520,2.00,5.00,2.00,7.00,7.00,3.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2825538,4.00,5.00,1.00,0.00,7.00,3.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(15,2825546,5.00,2.00,6.00,4.00,6.00,6.00,6.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2825554,4.00,5.00,3.00,6.00,5.00,2.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(15,2825562,5.00,6.00,8.00,3.00,7.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(15,2825570,3.00,2.00,4.00,7.00,6.00,5.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(15,2825589,4.00,3.00,4.00,5.00,7.00,3.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2825597,3.00,6.00,1.00,3.00,7.00,3.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(15,2825600,3.00,6.00,0.00,3.00,9.00,NULL,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(15,2825619,1.00,0.00,3.00,6.00,6.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(15,2825627,3.00,6.00,1.00,3.00,4.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(15,2825635,1.00,3.00,0.00,2.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(15,2825651,0.00,5.00,0.00,1.00,3.00,NULL,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(15,2825660,7.00,5.00,5.00,2.00,6.00,5.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3000036,8.00,7.00,6.00,9.00,7.00,5.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3000044,5.00,3.00,5.00,7.00,7.00,7.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3000060,4.00,6.00,4.00,7.00,6.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3000079,5.00,8.00,7.00,7.00,7.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3000087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3000095,7.00,5.00,5.00,8.00,7.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3000109,4.00,5.00,5.00,6.00,6.00,5.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3000117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3000125,3.00,4.00,1.00,7.00,5.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3000133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3000141,6.00,6.00,6.00,9.00,7.00,7.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3000150,5.00,5.00,3.00,3.00,4.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3000168,7.00,4.00,6.00,6.00,6.00,7.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3000176,7.00,6.00,5.00,5.00,5.00,5.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3000184,2.00,5.00,3.00,4.00,5.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3000192,4.00,5.00,5.00,9.00,5.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3000206,4.00,1.00,5.00,7.00,5.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3000222,4.00,7.00,3.00,1.00,5.00,4.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3000230,2.00,4.00,2.00,2.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3000249,9.00,8.00,9.00,9.00,8.00,6.75,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3000257,4.00,4.00,2.00,7.00,4.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3000265,7.00,6.00,7.00,4.00,7.00,7.25,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3000281,6.00,7.00,7.00,7.00,6.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3000290,4.00,3.00,1.00,5.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3000303,4.00,6.00,1.00,6.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3000311,5.00,5.00,3.00,6.00,5.00,4.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3000320,5.00,5.00,3.00,1.00,3.00,NULL,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3000338,4.00,7.00,5.00,9.00,7.00,NULL,0.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3000346,3.00,4.00,2.00,7.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3000354,1.00,2.00,2.00,2.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3000362,7.00,5.00,5.00,5.00,7.00,7.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3000370,3.00,1.00,2.00,5.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3000389,6.00,0.00,4.00,4.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3000397,5.00,5.00,4.00,6.00,4.00,6.75,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3000400,5.00,5.00,2.00,5.00,6.00,5.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3000419,8.00,7.00,7.00,4.00,7.00,4.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3000427,4.00,3.00,4.00,8.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3000460,6.00,7.00,4.00,5.00,4.00,4.50,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3000478,4.00,5.00,6.00,6.00,6.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3000486,4.00,5.00,6.00,7.00,6.00,4.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3000508,4.00,4.00,2.00,6.00,6.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3000516,7.00,6.00,5.00,9.00,8.00,6.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3000524,7.00,5.00,7.00,8.00,5.00,5.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3000540,3.00,4.00,4.00,7.00,7.00,5.00,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3000567,8.00,8.00,5.00,8.00,7.00,6.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3000575,5.00,3.00,4.00,6.00,8.00,7.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3000583,7.00,6.00,4.00,7.00,5.00,6.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3000591,5.00,6.00,7.00,2.00,7.00,6.75,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3000613,6.00,5.00,5.00,7.00,5.00,5.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3000630,8.00,8.00,6.00,9.00,8.00,6.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3000648,5.00,5.00,3.00,7.00,4.00,5.75,1.00,8.00,2.00,NULL,NULL,NULL,'S'),(16,3000656,4.00,7.00,2.00,0.00,7.00,5.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3000664,4.00,5.00,3.00,0.00,0.00,NULL,3.00,6.00,4.00,'S',NULL,NULL,'N'),(16,3000672,1.00,2.00,2.00,6.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3000699,8.00,5.00,5.00,7.00,5.00,6.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3000702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3000729,3.00,4.00,3.00,7.00,4.00,6.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3000737,5.00,7.00,1.00,7.00,5.00,6.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3000745,7.00,7.00,5.00,2.00,5.00,7.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3000753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3000761,5.00,6.00,6.00,8.00,7.00,6.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3000770,4.00,2.00,1.00,5.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3000796,9.00,8.00,8.00,9.00,8.00,4.50,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3000800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3000818,9.00,6.00,8.00,7.00,7.00,6.50,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3000826,5.00,7.00,3.00,9.00,6.00,6.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3000834,4.00,3.00,3.00,5.00,4.00,4.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3000842,2.00,5.00,1.00,7.00,5.00,7.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3000850,2.00,3.00,3.00,1.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3000869,8.00,7.00,3.00,6.00,6.00,5.00,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3000877,6.00,6.00,8.00,8.00,7.00,5.75,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3000893,2.00,5.00,1.00,9.00,8.00,7.75,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3000907,7.00,5.00,5.00,8.00,5.00,7.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3000915,7.00,7.00,8.00,4.00,6.00,5.25,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3000923,5.00,7.00,5.00,8.00,8.00,7.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3000931,6.00,7.00,5.00,7.00,6.00,4.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3000940,5.00,3.00,2.00,3.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3000958,5.00,6.00,4.00,7.00,6.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3000990,2.00,2.00,2.00,7.00,4.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3001008,6.00,3.00,2.00,4.00,4.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3001016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3001024,0.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3001032,3.00,1.00,4.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3001040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3001059,4.00,7.00,7.00,6.00,5.00,7.25,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3001067,2.00,8.00,4.00,8.00,6.00,6.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3001075,3.00,4.00,4.00,7.00,6.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3001083,3.00,6.00,2.00,5.00,7.00,7.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3001091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3001105,8.00,6.00,6.00,6.00,6.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3001130,6.00,1.00,1.00,7.00,4.00,6.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3001148,5.00,7.00,5.00,8.00,4.00,4.75,2.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3001156,4.00,3.00,2.00,7.00,6.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3001164,7.00,8.00,5.00,6.00,3.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3001172,8.00,9.00,4.00,4.00,6.00,5.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3001180,7.00,7.00,6.00,6.00,5.00,4.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3001199,8.00,7.00,7.00,6.00,7.00,6.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3001202,4.00,8.00,5.00,4.00,4.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3001210,4.00,4.00,5.00,2.00,5.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3001237,0.00,4.00,1.00,3.00,1.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3001245,2.00,1.00,1.00,5.00,3.00,NULL,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3001253,2.00,3.00,1.00,1.00,0.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3001261,6.00,7.00,2.00,8.00,5.00,4.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3001270,6.00,2.00,3.00,3.00,3.00,NULL,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3001288,7.00,8.00,6.00,9.00,9.00,7.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3001296,5.00,5.00,2.00,8.00,5.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3001300,4.00,6.00,4.00,4.00,6.00,4.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3001318,4.00,2.00,1.00,3.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3001334,3.00,0.00,3.00,1.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3001342,1.00,2.00,1.00,0.00,0.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3001350,7.00,4.00,6.00,5.00,6.00,7.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3001369,7.00,4.00,5.00,7.00,6.00,4.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3001377,5.00,8.00,4.00,9.00,5.00,6.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3001407,9.00,6.00,8.00,9.00,8.00,5.75,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3001415,3.00,2.00,3.00,3.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3001423,8.00,6.00,2.00,8.00,7.00,6.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3001431,5.00,5.00,2.00,4.00,3.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3001458,6.00,7.00,1.00,6.00,6.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3001466,3.00,6.00,3.00,5.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3001474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3001482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3001490,6.00,6.00,2.00,5.00,4.00,6.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3001504,4.00,3.00,3.00,4.00,4.00,4.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3001512,8.00,6.00,5.00,6.00,6.00,4.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3001520,8.00,8.00,6.00,8.00,7.00,7.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3001539,1.00,2.00,3.00,5.00,1.00,NULL,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3001547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3001563,5.00,4.00,2.00,5.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3001571,2.00,4.00,4.00,4.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3001580,2.00,5.00,1.00,4.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3001598,7.00,7.00,5.00,6.00,7.00,7.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3001601,6.00,7.00,4.00,5.00,4.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3001610,6.00,5.00,3.00,3.00,8.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3001652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3001660,4.00,6.00,6.00,9.00,5.00,5.75,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3001679,3.00,6.00,4.00,7.00,7.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3001695,5.00,4.00,4.00,5.00,5.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3001709,5.00,6.00,4.00,8.00,6.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3001725,4.00,4.00,2.00,6.00,5.00,4.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3001733,7.00,6.00,7.00,9.00,7.00,7.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3001741,4.00,6.00,3.00,7.00,4.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3001750,5.00,4.00,2.00,5.00,6.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3001768,7.00,7.00,6.00,4.00,7.00,5.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3001776,4.00,7.00,3.00,7.00,7.00,5.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3001784,4.00,4.00,1.00,2.00,2.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3001792,2.00,6.00,1.00,7.00,7.00,5.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3001830,8.00,3.00,4.00,5.00,8.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3001849,4.00,3.00,3.00,4.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3001857,4.00,7.00,5.00,4.00,4.00,5.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3001865,3.00,2.00,3.00,3.00,3.00,NULL,4.00,0.00,5.00,NULL,NULL,NULL,'N'),(16,3001873,6.00,8.00,7.00,7.00,7.00,5.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3001881,3.00,2.00,1.00,5.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3001890,8.00,5.00,1.00,3.00,7.00,5.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3001903,6.00,3.00,2.00,6.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3001920,8.00,5.00,4.00,7.00,6.00,6.25,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3001946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3001954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3001962,2.00,3.00,3.00,1.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3001970,2.00,5.00,2.00,7.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3001997,5.00,6.00,3.00,6.00,8.00,5.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3002004,1.00,3.00,3.00,3.00,4.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3002012,5.00,2.00,3.00,2.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3002020,1.00,5.00,3.00,7.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3002039,4.00,4.00,4.00,7.00,5.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3002047,6.00,7.00,5.00,4.00,6.00,7.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3002055,4.00,6.00,4.00,6.00,8.00,5.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3002071,2.00,3.00,1.00,2.00,4.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3002080,7.00,5.00,3.00,4.00,6.00,5.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3002098,1.00,3.00,4.00,1.00,1.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3002101,1.00,4.00,1.00,6.00,4.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3002110,6.00,5.00,6.00,8.00,6.00,5.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3002128,5.00,2.00,3.00,3.00,3.00,NULL,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3002144,1.00,4.00,2.00,5.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3002160,6.00,5.00,6.00,8.00,6.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3002179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3002187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3002195,9.00,8.00,5.00,7.00,7.00,5.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3002217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3002225,6.00,5.00,3.00,4.00,6.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3002233,5.00,4.00,3.00,5.00,4.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3002241,2.00,3.00,3.00,2.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3002250,6.00,6.00,5.00,6.00,7.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3002268,3.00,1.00,2.00,5.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3002276,6.00,5.00,3.00,2.00,8.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3002292,6.00,3.00,6.00,3.00,4.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3002306,8.00,8.00,4.00,9.00,9.00,6.50,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3002314,4.00,4.00,1.00,5.00,1.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3002330,7.00,8.00,4.00,9.00,7.00,6.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3002357,6.00,6.00,7.00,8.00,4.00,6.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3002373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3002381,6.00,6.00,4.00,7.00,4.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3002390,3.00,4.00,1.00,3.00,2.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3002403,2.00,0.00,1.00,6.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3002411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3002420,4.00,5.00,4.00,2.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3002438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3002446,6.00,7.00,4.00,6.00,4.00,7.00,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3002454,8.00,7.00,7.00,6.00,5.00,5.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3002470,3.00,5.00,3.00,5.00,5.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3002500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3002527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3002535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3002551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3002560,5.00,4.00,1.00,7.00,5.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3002578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3002616,3.00,5.00,1.00,6.00,5.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3002632,3.00,6.00,3.00,6.00,4.00,6.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3002640,5.00,6.00,2.00,7.00,7.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3002659,6.00,5.00,3.00,4.00,4.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3002667,3.00,6.00,5.00,7.00,5.00,4.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3002675,5.00,5.00,3.00,7.00,4.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3002683,3.00,3.00,1.00,8.00,5.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3002691,7.00,8.00,5.00,6.00,6.00,5.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3002705,4.00,4.00,4.00,7.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3002713,7.00,8.00,8.00,9.00,9.00,5.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3002721,0.00,1.00,1.00,6.00,5.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3002730,8.00,8.00,7.00,7.00,8.00,6.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3002756,7.00,5.00,4.00,5.00,7.00,6.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3002764,6.00,8.00,5.00,5.00,7.00,6.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3002780,4.00,3.00,4.00,7.00,4.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3002802,4.00,4.00,4.00,9.00,5.00,6.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3002810,2.00,4.00,2.00,7.00,5.00,6.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3002829,4.00,2.00,1.00,5.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3002837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3002861,6.00,5.00,8.00,8.00,3.00,NULL,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3002888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3002900,3.00,4.00,4.00,8.00,5.00,6.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3002918,8.00,8.00,4.00,8.00,7.00,6.50,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3002926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3002934,4.00,6.00,6.00,8.00,6.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3002942,6.00,6.00,5.00,6.00,6.00,6.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3002950,7.00,5.00,4.00,7.00,6.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3002969,8.00,5.00,8.00,9.00,7.00,8.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3002977,4.00,6.00,4.00,5.00,4.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3002993,6.00,3.00,5.00,8.00,7.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3003000,3.00,4.00,4.00,5.00,5.00,5.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3003019,2.00,3.00,2.00,7.00,4.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3003027,4.00,4.00,3.00,1.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3003035,7.00,6.00,6.00,6.00,6.00,4.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3003043,5.00,9.00,3.00,4.00,6.00,6.75,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3003051,4.00,2.00,1.00,1.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3003060,1.00,6.00,1.00,9.00,5.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3003078,3.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3003086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3003108,6.00,6.00,7.00,8.00,7.00,6.00,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3003116,4.00,6.00,5.00,7.00,8.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3003124,6.00,9.00,5.00,9.00,7.00,6.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3003132,5.00,6.00,6.00,7.00,8.00,4.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3003159,6.00,4.00,4.00,7.00,7.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3003167,4.00,3.00,5.00,8.00,5.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3003175,4.00,2.00,2.00,3.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3003183,3.00,5.00,3.00,4.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3003191,4.00,3.00,6.00,8.00,4.00,4.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3003230,8.00,7.00,2.00,9.00,6.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3003248,5.00,5.00,4.00,6.00,7.00,5.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3003256,5.00,5.00,3.00,7.00,4.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3003302,4.00,3.00,2.00,4.00,4.00,4.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3003310,3.00,7.00,3.00,7.00,4.00,5.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3003329,6.00,6.00,8.00,8.00,7.00,4.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3003345,7.00,7.00,5.00,7.00,8.00,6.75,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3003353,9.00,8.00,6.00,9.00,8.00,6.50,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3003361,3.00,6.00,4.00,8.00,2.00,NULL,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3003370,8.00,8.00,6.00,7.00,6.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3003388,9.00,5.00,3.00,8.00,4.00,6.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3003396,3.00,5.00,4.00,9.00,7.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3003400,8.00,8.00,7.00,7.00,8.00,6.00,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3003418,8.00,8.00,7.00,6.00,8.00,7.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3003426,4.00,4.00,4.00,9.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3003442,9.00,7.00,7.00,7.00,5.00,6.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3003450,1.00,5.00,1.00,4.00,4.00,5.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3003477,4.00,4.00,2.00,6.00,6.00,5.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3003485,4.00,6.00,5.00,3.00,4.00,5.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3003507,4.00,4.00,1.00,6.00,3.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3003515,7.00,8.00,5.00,9.00,6.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3003523,4.00,4.00,2.00,1.00,4.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3003531,6.00,2.00,1.00,6.00,5.00,5.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3003540,6.00,8.00,6.00,8.00,5.00,7.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3003558,5.00,6.00,5.00,5.00,5.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3003566,5.00,2.00,2.00,5.00,5.00,4.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3003574,5.00,5.00,3.00,1.00,7.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3003582,5.00,8.00,2.00,9.00,8.00,6.00,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3003590,4.00,6.00,3.00,5.00,4.00,3.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3003612,4.00,2.00,2.00,5.00,7.00,5.00,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(16,3003620,3.00,2.00,1.00,8.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3003639,4.00,6.00,4.00,8.00,4.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3003647,5.00,7.00,3.00,1.00,7.00,4.75,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3003655,6.00,7.00,3.00,7.00,6.00,5.00,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3003671,7.00,7.00,6.00,9.00,6.00,7.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3003680,8.00,9.00,2.00,5.00,8.00,4.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3003698,8.00,7.00,5.00,9.00,7.00,6.50,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3003701,3.00,3.00,6.00,3.00,5.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3003710,5.00,4.00,5.00,7.00,6.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3003736,9.00,7.00,7.00,8.00,7.00,6.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3003744,3.00,2.00,1.00,4.00,6.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3003752,3.00,3.00,1.00,7.00,5.00,6.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3003760,3.00,2.00,2.00,6.00,5.00,4.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3003779,0.00,3.00,1.00,6.00,3.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3003787,3.00,4.00,4.00,2.00,5.00,4.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3003795,4.00,7.00,3.00,7.00,6.00,6.00,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3003809,3.00,6.00,3.00,6.00,4.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3003817,5.00,4.00,6.00,9.00,7.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3003825,6.00,5.00,9.00,7.00,3.00,NULL,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3003833,8.00,8.00,7.00,8.00,9.00,5.50,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3003850,5.00,5.00,3.00,6.00,4.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3003876,5.00,4.00,2.00,8.00,4.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3003884,5.00,7.00,5.00,9.00,5.00,6.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3003892,6.00,5.00,7.00,8.00,6.00,6.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3003906,1.00,4.00,1.00,6.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3003914,3.00,3.00,3.00,5.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3003922,3.00,5.00,1.00,6.00,4.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3003949,6.00,5.00,4.00,3.00,3.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3003957,6.00,7.00,5.00,7.00,6.00,6.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3003965,3.00,6.00,3.00,6.00,4.00,6.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3003973,2.00,4.00,2.00,6.00,5.00,6.00,2.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3003981,6.00,8.00,4.00,6.00,7.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3003990,8.00,7.00,7.00,2.00,8.00,6.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3004007,5.00,5.00,5.00,8.00,6.00,6.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3004015,4.00,4.00,2.00,3.00,5.00,3.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3004023,7.00,6.00,6.00,6.00,7.00,4.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3004031,5.00,3.00,6.00,5.00,5.00,5.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3004040,2.00,6.00,4.00,5.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3004058,4.00,5.00,3.00,2.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3004066,9.00,8.00,8.00,8.00,8.00,5.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3004074,5.00,6.00,1.00,7.00,4.00,4.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3004090,4.00,5.00,1.00,4.00,0.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3004104,5.00,5.00,4.00,7.00,6.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3004112,9.00,7.00,8.00,7.00,8.00,7.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3004139,7.00,9.00,9.00,9.00,9.00,9.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3004147,6.00,5.00,6.00,4.00,6.00,6.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3004163,8.00,8.00,7.00,5.00,5.00,4.75,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3004171,2.00,4.00,2.00,6.00,5.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3004201,7.00,6.00,6.00,6.00,8.00,6.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3004244,5.00,6.00,3.00,5.00,5.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3004252,4.00,5.00,2.00,8.00,4.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3004260,5.00,4.00,3.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3004279,8.00,7.00,8.00,4.00,5.00,5.75,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3004287,8.00,5.00,5.00,6.00,5.00,4.00,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3004295,4.00,6.00,3.00,6.00,7.00,5.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3004309,6.00,5.00,1.00,8.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3004317,9.00,8.00,7.00,9.00,8.00,5.50,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3004325,6.00,7.00,7.00,2.00,6.00,6.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3004350,4.00,4.00,3.00,1.00,1.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3004368,8.00,8.00,8.00,9.00,8.00,7.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3004376,6.00,8.00,4.00,9.00,7.00,5.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3004384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3004392,5.00,5.00,4.00,5.00,9.00,4.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3004406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3004414,2.00,3.00,4.00,5.00,4.00,5.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3004422,5.00,7.00,3.00,9.00,5.00,6.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3004449,4.00,1.00,3.00,8.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3004457,8.00,7.00,6.00,8.00,6.00,7.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3004465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3004481,7.00,7.00,6.00,8.00,9.00,5.00,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3004490,6.00,6.00,2.00,2.00,5.00,5.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3004511,5.00,4.00,2.00,6.00,4.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3004520,8.00,6.00,8.00,9.00,5.00,5.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3004538,6.00,5.00,4.00,7.00,6.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3004546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3004554,5.00,6.00,3.00,7.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3004562,5.00,6.00,4.00,7.00,6.00,7.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3004589,6.00,5.00,6.00,6.00,6.00,5.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3004597,4.00,2.00,3.00,1.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3004627,3.00,5.00,4.00,9.00,7.00,6.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3004635,5.00,5.00,4.00,2.00,4.00,3.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3004643,4.00,3.00,4.00,8.00,5.00,6.50,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3004651,6.00,8.00,7.00,8.00,7.00,6.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3004660,9.00,7.00,9.00,4.00,8.00,6.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3004678,6.00,4.00,1.00,2.00,5.00,5.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3004686,4.00,2.00,1.00,6.00,2.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3004694,7.00,5.00,7.00,9.00,8.00,7.00,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3004708,5.00,4.00,2.00,3.00,5.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3004716,4.00,1.00,2.00,2.00,3.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3004724,4.00,5.00,7.00,7.00,5.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3004732,6.00,7.00,8.00,8.00,8.00,7.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3004740,5.00,6.00,4.00,8.00,8.00,6.00,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3004759,9.00,7.00,4.00,8.00,8.00,5.25,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(16,3004767,7.00,6.00,8.00,9.00,5.00,7.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3004775,5.00,8.00,3.00,8.00,6.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3004783,5.00,6.00,5.00,7.00,4.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3004791,3.00,6.00,1.00,6.00,6.00,6.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3004805,4.00,4.00,3.00,8.00,3.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3004813,1.00,0.00,4.00,0.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3004821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3004830,3.00,4.00,2.00,2.00,5.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3004848,7.00,9.00,3.00,2.00,3.00,NULL,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3004856,5.00,7.00,4.00,5.00,5.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3004864,9.00,7.00,7.00,8.00,6.00,7.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3004872,8.00,7.00,7.00,8.00,8.00,8.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3004880,5.00,7.00,8.00,8.00,5.00,6.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3004899,8.00,9.00,6.00,8.00,9.00,8.00,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3004902,5.00,5.00,2.00,5.00,5.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3004910,7.00,8.00,7.00,9.00,7.00,8.00,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3004929,2.00,3.00,1.00,5.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3004937,0.00,3.00,2.00,4.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3004945,7.00,5.00,2.00,8.00,8.00,5.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3004953,2.00,3.00,3.00,3.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3004961,6.00,6.00,3.00,9.00,5.00,6.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3004996,7.00,8.00,8.00,8.00,8.00,6.50,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3005003,6.00,6.00,4.00,7.00,7.00,6.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3005011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3005038,7.00,9.00,7.00,8.00,5.00,4.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3005046,3.00,4.00,5.00,7.00,6.00,3.25,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3005054,6.00,6.00,4.00,4.00,7.00,5.75,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3005070,7.00,6.00,4.00,7.00,7.00,5.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3005089,3.00,3.00,4.00,7.00,1.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3005097,6.00,7.00,1.00,6.00,6.00,5.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3005100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3005119,5.00,5.00,5.00,6.00,8.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3005127,4.00,2.00,4.00,3.00,2.00,NULL,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3005143,6.00,3.00,2.00,2.00,7.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3005151,3.00,1.00,1.00,6.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3005160,4.00,3.00,1.00,7.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3005178,8.00,8.00,7.00,5.00,7.00,6.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3005186,5.00,6.00,3.00,6.00,5.00,7.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3005194,3.00,6.00,4.00,7.00,5.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3005208,4.00,3.00,2.00,1.00,7.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3005216,8.00,7.00,5.00,8.00,8.00,6.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3005224,5.00,4.00,7.00,7.00,5.00,6.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3005232,4.00,2.00,5.00,4.00,5.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3005240,7.00,7.00,5.00,9.00,7.00,6.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3005259,7.00,3.00,3.00,8.00,7.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3005267,8.00,8.00,3.00,3.00,6.00,6.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3005275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3005291,7.00,7.00,6.00,9.00,6.00,7.00,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3005305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3005313,4.00,7.00,4.00,6.00,7.00,6.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3005321,4.00,2.00,1.00,3.00,0.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3005348,2.00,3.00,5.00,3.00,1.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3005356,3.00,4.00,2.00,0.00,5.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3005364,4.00,5.00,3.00,1.00,4.00,NULL,0.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3005372,4.00,6.00,4.00,7.00,7.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3005380,5.00,5.00,5.00,8.00,7.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3005402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3005410,6.00,7.00,3.00,7.00,6.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3005429,7.00,6.00,7.00,8.00,8.00,7.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3005437,7.00,4.00,8.00,6.00,8.00,7.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3005445,9.00,8.00,5.00,9.00,6.00,7.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3005453,7.00,7.00,6.00,7.00,6.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3005461,7.00,2.00,4.00,9.00,7.00,7.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3005470,3.00,4.00,1.00,5.00,5.00,5.75,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3005488,6.00,7.00,4.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3005500,8.00,8.00,7.00,9.00,7.00,7.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3005518,2.00,2.00,1.00,2.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3005526,6.00,7.00,6.00,2.00,7.00,5.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3005534,6.00,4.00,1.00,7.00,5.00,6.00,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3005542,5.00,7.00,6.00,8.00,5.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3005550,2.00,7.00,3.00,8.00,2.00,NULL,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3005577,6.00,6.00,5.00,6.00,6.00,6.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3005585,6.00,6.00,4.00,2.00,5.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3005593,3.00,4.00,3.00,7.00,7.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3005623,6.00,6.00,1.00,4.00,5.00,5.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3005631,7.00,6.00,4.00,8.00,5.00,6.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3005640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3005658,9.00,6.00,9.00,8.00,7.00,5.50,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3005666,3.00,6.00,3.00,5.00,3.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3005682,6.00,6.00,5.00,5.00,6.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3005690,4.00,5.00,4.00,6.00,6.00,4.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3005704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3005712,5.00,8.00,6.00,7.00,6.00,5.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3005720,8.00,7.00,9.00,6.00,6.00,7.25,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3005739,5.00,6.00,5.00,5.00,6.00,4.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3005747,6.00,6.00,4.00,5.00,5.00,6.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3005755,7.00,5.00,4.00,5.00,4.00,6.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3005763,4.00,3.00,5.00,8.00,5.00,6.50,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(16,3005771,7.00,7.00,5.00,8.00,5.00,4.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3005798,3.00,5.00,2.00,3.00,4.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3005801,8.00,5.00,3.00,8.00,6.00,5.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3005810,4.00,4.00,4.00,5.00,4.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3005828,5.00,6.00,3.00,4.00,5.00,4.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3005836,7.00,7.00,2.00,8.00,5.00,5.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3005844,5.00,4.00,3.00,3.00,6.00,5.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3005852,3.00,3.00,3.00,6.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3005860,6.00,2.00,4.00,1.00,6.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3005879,4.00,5.00,2.00,6.00,5.00,5.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3005895,2.00,5.00,5.00,9.00,6.00,6.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3005909,6.00,6.00,2.00,7.00,4.00,4.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3005917,7.00,8.00,8.00,5.00,8.00,6.75,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3005941,5.00,3.00,8.00,9.00,6.00,5.50,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3005950,7.00,3.00,1.00,6.00,7.00,7.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3005968,4.00,5.00,2.00,1.00,3.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3005976,9.00,8.00,6.00,9.00,8.00,5.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3005984,9.00,8.00,8.00,9.00,7.00,6.75,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3006000,6.00,5.00,5.00,8.00,7.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3006018,7.00,8.00,7.00,7.00,7.00,4.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3006034,4.00,3.00,2.00,1.00,3.00,NULL,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3006042,2.00,7.00,2.00,7.00,6.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3006050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3006069,7.00,7.00,4.00,5.00,8.00,7.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3006077,2.00,4.00,2.00,2.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3006085,4.00,5.00,1.00,4.00,6.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3006093,4.00,2.00,2.00,3.00,4.00,5.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3006107,6.00,7.00,7.00,8.00,6.00,6.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3006115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3006123,7.00,3.00,3.00,7.00,5.00,6.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3006131,4.00,4.00,1.00,3.00,5.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3006140,6.00,8.00,7.00,9.00,5.00,6.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3006158,4.00,2.00,1.00,3.00,3.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3006166,3.00,7.00,6.00,7.00,7.00,6.50,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3006174,8.00,6.00,5.00,7.00,6.00,5.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3006190,7.00,8.00,4.00,6.00,5.00,5.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3006204,6.00,5.00,2.00,6.00,5.00,6.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3006212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3006220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3006239,6.00,7.00,5.00,7.00,7.00,6.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3006247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3006255,5.00,6.00,6.00,2.00,5.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3006263,5.00,3.00,4.00,7.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3006298,3.00,1.00,2.00,3.00,4.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3006301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3006310,3.00,5.00,3.00,6.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3006328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3006336,3.00,4.00,3.00,5.00,5.00,5.50,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3006379,2.00,3.00,2.00,4.00,4.00,6.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3006387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3006395,4.00,4.00,2.00,4.00,4.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3006409,7.00,6.00,7.00,9.00,9.00,6.00,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3006417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3006425,2.00,6.00,4.00,7.00,7.00,5.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3006433,4.00,3.00,2.00,6.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3006450,5.00,7.00,4.00,9.00,6.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3006476,6.00,7.00,6.00,9.00,8.00,7.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3006484,8.00,8.00,6.00,9.00,7.00,4.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3006506,7.00,8.00,4.00,7.00,9.00,7.50,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3006514,5.00,5.00,6.00,5.00,6.00,5.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3006522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3006530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3006549,6.00,6.00,3.00,2.00,4.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3006557,3.00,4.00,5.00,4.00,5.00,5.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3006565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3006573,9.00,7.00,5.00,9.00,9.00,6.00,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3006590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3006603,4.00,3.00,3.00,2.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3006638,7.00,8.00,6.00,8.00,8.00,6.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3006646,7.00,7.00,6.00,5.00,4.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3006654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3006662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3006670,5.00,3.00,2.00,3.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3006697,4.00,2.00,2.00,4.00,4.00,4.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3006700,5.00,4.00,2.00,6.00,4.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3006727,5.00,6.00,6.00,8.00,7.00,5.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3006735,3.00,6.00,1.00,9.00,4.00,6.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3006751,3.00,6.00,2.00,6.00,6.00,7.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3006760,4.00,5.00,6.00,7.00,6.00,7.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3006778,5.00,6.00,5.00,6.00,5.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3006786,5.00,4.00,4.00,4.00,7.00,6.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3006794,2.00,4.00,3.00,7.00,5.00,3.00,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3006808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3006816,2.00,3.00,5.00,7.00,6.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3006824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3006832,6.00,8.00,3.00,8.00,8.00,6.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3006840,6.00,5.00,1.00,8.00,8.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3006859,9.00,8.00,7.00,8.00,7.00,7.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3006891,6.00,3.00,1.00,6.00,6.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3006905,3.00,4.00,4.00,6.00,4.00,5.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3006913,6.00,3.00,4.00,5.00,4.00,6.25,5.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3006921,6.00,4.00,8.00,4.00,8.00,5.00,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3006930,8.00,9.00,8.00,9.00,8.00,7.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3006948,7.00,8.00,7.00,7.00,8.00,6.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3006956,5.00,6.00,4.00,9.00,6.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3006964,7.00,8.00,8.00,9.00,7.00,7.00,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3006972,4.00,5.00,4.00,5.00,8.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3006980,9.00,7.00,10.00,9.00,8.00,5.50,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3006999,0.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3007014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3007022,4.00,6.00,3.00,5.00,6.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3007030,3.00,6.00,2.00,5.00,4.00,6.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3007049,7.00,6.00,7.00,9.00,6.00,6.75,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3007057,6.00,4.00,3.00,3.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3007065,9.00,8.00,7.00,8.00,7.00,7.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3007073,7.00,6.00,6.00,6.00,6.00,5.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3007081,3.00,9.00,7.00,9.00,8.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3007111,8.00,7.00,9.00,9.00,9.00,5.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3007120,5.00,3.00,3.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3007138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3007146,5.00,4.00,3.00,7.00,6.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3007162,3.00,6.00,6.00,8.00,7.00,7.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3007170,3.00,3.00,1.00,4.00,4.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3007189,7.00,6.00,4.00,8.00,7.00,6.75,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3007197,3.00,4.00,1.00,4.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3007200,5.00,5.00,5.00,6.00,6.00,6.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3007219,3.00,3.00,1.00,6.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3007227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3007235,4.00,3.00,1.00,7.00,4.00,7.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3007243,4.00,4.00,3.00,7.00,6.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3007260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3007278,3.00,3.00,3.00,3.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3007286,6.00,6.00,6.00,7.00,6.00,5.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3007316,4.00,5.00,5.00,3.00,5.00,5.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3007332,4.00,1.00,3.00,4.00,7.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3007340,3.00,3.00,2.00,6.00,4.00,4.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3007359,4.00,6.00,4.00,6.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3007375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3007391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3007405,9.00,7.00,6.00,9.00,7.00,5.25,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3007421,3.00,8.00,4.00,9.00,6.00,7.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3007430,5.00,4.00,2.00,3.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3007448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3007456,5.00,5.00,4.00,8.00,4.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3007472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3007499,1.00,2.00,2.00,7.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3007502,6.00,3.00,4.00,4.00,4.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3007510,7.00,4.00,3.00,9.00,3.00,NULL,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3007529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3007537,4.00,3.00,4.00,5.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3007545,3.00,5.00,5.00,1.00,6.00,5.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3007553,6.00,7.00,3.00,8.00,7.00,6.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3007561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3007588,7.00,6.00,3.00,7.00,5.00,7.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3007596,3.00,4.00,1.00,6.00,7.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3007600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3007618,7.00,5.00,4.00,6.00,6.00,6.25,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3007626,9.00,5.00,9.00,9.00,8.00,6.00,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3007650,8.00,8.00,7.00,6.00,7.00,6.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3007669,4.00,4.00,4.00,3.00,4.00,6.00,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3007677,2.00,5.00,4.00,5.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3007685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3007693,6.00,8.00,4.00,9.00,7.00,4.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3007707,6.00,7.00,6.00,5.00,6.00,5.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3007715,7.00,5.00,5.00,6.00,6.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3007723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3007740,3.00,0.00,3.00,5.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3007758,3.00,5.00,3.00,6.00,6.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3007766,6.00,7.00,5.00,6.00,7.00,6.50,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3007774,4.00,2.00,5.00,4.00,3.00,NULL,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3007790,7.00,8.00,3.00,7.00,7.00,6.50,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3007804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3007839,6.00,5.00,4.00,8.00,8.00,5.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3007847,4.00,5.00,2.00,7.00,5.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3007855,6.00,5.00,4.00,9.00,5.00,6.50,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3007863,5.00,5.00,2.00,6.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3007880,3.00,5.00,2.00,8.00,6.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3007898,3.00,4.00,3.00,3.00,1.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3007901,3.00,3.00,2.00,6.00,4.00,5.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3007910,3.00,3.00,1.00,7.00,7.00,6.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3007928,5.00,5.00,3.00,3.00,4.00,4.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3007944,6.00,7.00,5.00,5.00,5.00,4.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3007952,4.00,7.00,1.00,7.00,7.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3007960,8.00,9.00,6.00,8.00,7.00,5.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3007979,3.00,4.00,3.00,5.00,2.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3007987,2.00,6.00,4.00,9.00,8.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3008002,2.00,2.00,2.00,6.00,4.00,6.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3008010,6.00,4.00,1.00,2.00,4.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3008029,5.00,4.00,4.00,8.00,6.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3008037,2.00,6.00,3.00,7.00,7.00,5.00,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3008045,5.00,5.00,1.00,1.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3008061,3.00,3.00,3.00,4.00,7.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3008070,7.00,6.00,7.00,6.00,7.00,5.50,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3008088,4.00,5.00,2.00,4.00,6.00,7.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3008118,4.00,6.00,4.00,3.00,2.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3008126,2.00,3.00,1.00,6.00,3.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3008134,5.00,6.00,3.00,8.00,8.00,7.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3008142,7.00,6.00,4.00,8.00,6.00,5.50,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3008150,5.00,6.00,1.00,9.00,8.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3008169,6.00,3.00,3.00,4.00,4.00,5.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3008177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3008193,3.00,6.00,6.00,5.00,5.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3008207,5.00,5.00,3.00,7.00,6.00,6.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3008215,7.00,8.00,7.00,6.00,6.00,4.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3008223,7.00,7.00,9.00,9.00,6.00,6.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3008231,3.00,3.00,6.00,5.00,6.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3008240,3.00,1.00,2.00,4.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3008258,4.00,4.00,5.00,5.00,7.00,6.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3008266,5.00,6.00,3.00,7.00,7.00,8.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3008274,3.00,0.00,4.00,2.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3008290,4.00,2.00,3.00,0.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3008304,5.00,4.00,3.00,8.00,6.00,6.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3008312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3008320,6.00,2.00,6.00,4.00,5.00,6.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3008339,3.00,2.00,3.00,3.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3008363,3.00,5.00,4.00,7.00,5.00,4.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3008371,6.00,6.00,4.00,7.00,5.00,5.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3008380,9.00,8.00,8.00,8.00,8.00,6.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3008398,3.00,3.00,2.00,8.00,2.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3008401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3008436,5.00,9.00,9.00,7.00,7.00,5.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3008444,3.00,8.00,5.00,7.00,7.00,7.50,1.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3008452,5.00,4.00,2.00,2.00,7.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3008460,7.00,6.00,2.00,8.00,6.00,7.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3008479,4.00,3.00,2.00,7.00,5.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3008487,3.00,3.00,3.00,4.00,6.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3008495,2.00,6.00,3.00,4.00,4.00,0.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3008509,8.00,4.00,6.00,7.00,5.00,5.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3008525,5.00,6.00,6.00,9.00,8.00,4.50,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3008533,4.00,4.00,1.00,3.00,4.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3008541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3008550,6.00,7.00,9.00,9.00,7.00,6.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3008584,4.00,5.00,3.00,8.00,5.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3008606,4.00,4.00,3.00,2.00,4.00,6.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3008622,3.00,3.00,1.00,3.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3008630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3008657,7.00,6.00,6.00,7.00,6.00,5.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3008665,4.00,4.00,2.00,4.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3008673,8.00,9.00,8.00,7.00,7.00,6.25,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3008681,2.00,3.00,2.00,6.00,2.00,NULL,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3008690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3008703,6.00,3.00,2.00,6.00,7.00,4.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3008711,7.00,6.00,2.00,8.00,6.00,4.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3008720,2.00,4.00,3.00,3.00,6.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3008738,1.00,1.00,2.00,5.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3008789,4.00,4.00,2.00,6.00,3.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3008827,2.00,2.00,2.00,6.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3008835,9.00,8.00,9.00,8.00,9.00,8.50,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3008851,5.00,7.00,4.00,7.00,5.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3008886,6.00,7.00,6.00,6.00,7.00,7.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3008894,4.00,1.00,3.00,4.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3008908,7.00,7.00,4.00,8.00,7.00,5.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3008916,6.00,6.00,5.00,6.00,6.00,6.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3008924,6.00,6.00,4.00,8.00,7.00,6.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3008932,4.00,5.00,4.00,3.00,6.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3008940,4.00,2.00,4.00,2.00,0.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3008959,2.00,2.00,2.00,5.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3008967,4.00,4.00,2.00,5.00,4.00,4.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3008975,6.00,6.00,8.00,8.00,7.00,7.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3008983,6.00,6.00,2.00,8.00,7.00,6.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3008991,4.00,0.00,4.00,5.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3009009,5.00,6.00,5.00,2.00,5.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3009025,7.00,8.00,5.00,8.00,7.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3009033,2.00,2.00,1.00,4.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3009041,6.00,4.00,2.00,5.00,5.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3009050,6.00,2.00,2.00,6.00,5.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3009068,3.00,4.00,1.00,6.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3009084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3009092,7.00,5.00,6.00,7.00,6.00,4.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3009106,4.00,5.00,3.00,3.00,2.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3009114,3.00,3.00,2.00,6.00,6.00,5.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3009122,5.00,6.00,1.00,5.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3009130,4.00,2.00,4.00,3.00,4.00,4.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3009149,8.00,8.00,6.00,9.00,7.00,4.75,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3009157,4.00,3.00,5.00,2.00,5.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3009165,5.00,4.00,5.00,7.00,6.00,4.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3009181,5.00,1.00,2.00,2.00,7.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3009190,8.00,8.00,9.00,9.00,8.00,8.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3009203,5.00,6.00,4.00,6.00,4.00,7.25,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(16,3009211,7.00,5.00,6.00,9.00,6.00,5.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3009220,3.00,4.00,5.00,2.00,5.00,6.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3009238,3.00,5.00,4.00,3.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3009254,5.00,4.00,3.00,8.00,5.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3009262,6.00,2.00,1.00,2.00,4.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3009297,4.00,4.00,1.00,7.00,5.00,6.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3009300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3009319,5.00,3.00,2.00,1.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3009327,3.00,4.00,1.00,3.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3009335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3009343,8.00,4.00,2.00,6.00,5.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3009351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3009360,4.00,4.00,1.00,4.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3009378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3009386,5.00,5.00,4.00,7.00,2.00,NULL,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3009408,4.00,4.00,4.00,7.00,8.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3009416,6.00,3.00,4.00,8.00,7.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3009424,3.00,3.00,3.00,5.00,5.00,5.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3009432,4.00,8.00,6.00,9.00,5.00,7.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3009440,4.00,3.00,3.00,3.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3009467,4.00,3.00,4.00,9.00,6.00,7.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3009475,8.00,7.00,7.00,5.00,5.00,6.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3009483,3.00,2.00,2.00,8.00,4.00,6.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3009491,3.00,0.00,2.00,0.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3009505,4.00,4.00,2.00,6.00,5.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3009521,9.00,9.00,7.00,8.00,8.00,7.00,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3009530,3.00,5.00,1.00,3.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3009548,8.00,5.00,5.00,8.00,6.00,6.00,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3009556,6.00,7.00,1.00,5.00,5.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3009572,5.00,6.00,4.00,7.00,6.00,6.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3009580,3.00,5.00,8.00,5.00,6.00,5.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3009599,7.00,7.00,4.00,8.00,6.00,6.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3009602,3.00,2.00,1.00,2.00,4.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3009610,6.00,2.00,3.00,4.00,5.00,5.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3009629,8.00,8.00,9.00,9.00,9.00,8.00,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3009637,7.00,6.00,7.00,8.00,8.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3009645,8.00,8.00,9.00,7.00,5.00,5.50,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3009653,3.00,3.00,4.00,2.00,4.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3009661,7.00,5.00,2.00,7.00,6.00,4.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3009670,3.00,4.00,3.00,5.00,4.00,6.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3009696,6.00,8.00,7.00,9.00,8.00,7.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3009700,2.00,6.00,1.00,8.00,6.00,6.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3009718,7.00,5.00,5.00,2.00,7.00,6.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3009726,2.00,4.00,2.00,3.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3009734,5.00,4.00,4.00,7.00,5.00,5.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3009742,7.00,7.00,3.00,8.00,8.00,5.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3009750,5.00,5.00,3.00,7.00,4.00,5.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3009769,3.00,6.00,2.00,3.00,2.00,NULL,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3009777,6.00,7.00,3.00,9.00,7.00,6.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3009785,7.00,8.00,6.00,6.00,5.00,5.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3009807,8.00,8.00,6.00,7.00,7.00,5.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3009815,4.00,4.00,2.00,5.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3009823,9.00,8.00,5.00,5.00,6.00,6.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3009840,5.00,6.00,5.00,5.00,6.00,5.75,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3009858,5.00,2.00,1.00,6.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3009866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3009874,8.00,7.00,4.00,9.00,6.00,6.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3009882,4.00,3.00,3.00,5.00,0.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3009890,5.00,3.00,4.00,7.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3009904,4.00,4.00,4.00,5.00,5.00,5.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3009912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3009920,5.00,6.00,8.00,3.00,7.00,6.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3009939,6.00,6.00,4.00,7.00,6.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3009955,9.00,7.00,8.00,8.00,8.00,6.75,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3009980,6.00,6.00,7.00,9.00,9.00,8.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3009998,6.00,3.00,3.00,7.00,4.00,6.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3010007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3010015,3.00,5.00,7.00,7.00,7.00,4.75,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3010023,9.00,9.00,8.00,8.00,5.00,7.25,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3010031,7.00,6.00,4.00,7.00,5.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3010040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3010058,4.00,6.00,2.00,3.00,4.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3010066,7.00,4.00,2.00,8.00,5.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3010074,2.00,7.00,2.00,1.00,5.00,7.00,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3010082,6.00,6.00,7.00,8.00,7.00,7.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3010090,7.00,5.00,3.00,6.00,6.00,5.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3010104,5.00,7.00,7.00,7.00,5.00,5.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3010112,7.00,6.00,5.00,8.00,8.00,7.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3010120,4.00,6.00,5.00,8.00,4.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3010139,9.00,9.00,6.00,8.00,7.00,5.50,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3010147,9.00,8.00,9.00,8.00,9.00,5.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3010155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3010163,3.00,6.00,2.00,7.00,7.00,5.75,4.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3010171,6.00,6.00,4.00,6.00,5.00,4.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3010198,6.00,4.00,3.00,8.00,4.00,6.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3010201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3010210,5.00,5.00,2.00,3.00,4.00,6.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3010228,1.00,2.00,4.00,8.00,5.00,6.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3010260,4.00,5.00,3.00,7.00,4.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3010279,9.00,8.00,5.00,9.00,8.00,6.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3010295,4.00,5.00,1.00,6.00,5.00,4.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3010309,4.00,2.00,4.00,4.00,5.00,6.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3010325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3010341,8.00,7.00,6.00,5.00,2.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3010368,6.00,7.00,3.00,9.00,8.00,6.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3010376,6.00,5.00,4.00,6.00,6.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3010384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3010392,5.00,3.00,1.00,3.00,4.00,3.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3010406,8.00,8.00,9.00,6.00,8.00,7.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3010414,8.00,5.00,6.00,6.00,5.00,4.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3010422,3.00,3.00,1.00,5.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3010449,2.00,3.00,1.00,1.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3010457,6.00,4.00,1.00,6.00,5.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3010465,4.00,4.00,3.00,4.00,7.00,4.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3010490,7.00,8.00,6.00,7.00,6.00,8.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3010503,1.00,3.00,4.00,1.00,0.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3010511,8.00,6.00,7.00,8.00,8.00,6.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3010538,4.00,8.00,7.00,6.00,6.00,7.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3010546,4.00,7.00,2.00,5.00,4.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3010562,7.00,7.00,7.00,8.00,7.00,5.25,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3010570,5.00,6.00,5.00,4.00,6.00,6.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3010589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3010597,7.00,7.00,5.00,5.00,5.00,7.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3010600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3010619,6.00,5.00,2.00,8.00,5.00,6.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3010627,4.00,6.00,4.00,9.00,5.00,5.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3010635,5.00,2.00,2.00,8.00,6.00,6.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3010643,4.00,2.00,1.00,7.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3010651,4.00,6.00,3.00,5.00,6.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3010660,3.00,5.00,5.00,6.00,6.00,5.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3010678,3.00,6.00,4.00,6.00,5.00,4.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3010686,2.00,2.00,4.00,6.00,4.00,7.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3010694,6.00,7.00,4.00,5.00,3.00,NULL,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3010708,6.00,6.00,6.00,4.00,6.00,5.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3010724,0.00,0.00,0.00,1.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3010732,1.00,5.00,2.00,5.00,4.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3010740,5.00,2.00,5.00,6.00,4.00,4.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3010759,6.00,8.00,7.00,4.00,6.00,6.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3010767,8.00,8.00,9.00,9.00,7.00,6.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3010775,2.00,5.00,5.00,5.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3010783,7.00,8.00,9.00,8.00,7.00,6.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3010791,5.00,4.00,1.00,7.00,5.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3010805,6.00,5.00,4.00,4.00,4.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3010821,6.00,6.00,3.00,5.00,6.00,4.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3010848,3.00,3.00,3.00,9.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(16,3010856,3.00,3.00,1.00,4.00,6.00,4.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3010872,7.00,7.00,5.00,7.00,6.00,6.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3010880,6.00,7.00,5.00,8.00,7.00,8.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3010899,6.00,3.00,4.00,8.00,6.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3010902,6.00,9.00,5.00,9.00,9.00,10.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3010929,5.00,8.00,4.00,5.00,5.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3010937,8.00,5.00,3.00,4.00,7.00,5.75,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3010945,8.00,7.00,8.00,9.00,9.00,6.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3010953,9.00,7.00,9.00,9.00,8.00,5.75,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3010961,3.00,4.00,4.00,6.00,3.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3010988,6.00,5.00,7.00,8.00,8.00,7.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3010996,4.00,5.00,4.00,6.00,4.00,7.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3011003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3011011,4.00,6.00,2.00,5.00,5.00,6.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3011020,1.00,7.00,5.00,9.00,4.00,6.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3011038,5.00,5.00,2.00,3.00,6.00,3.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3011054,4.00,5.00,5.00,7.00,4.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3011062,4.00,6.00,2.00,8.00,7.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3011070,6.00,5.00,6.00,9.00,7.00,4.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3011089,7.00,5.00,3.00,9.00,7.00,6.00,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3011097,6.00,4.00,5.00,6.00,4.00,6.25,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3011100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3011119,6.00,5.00,7.00,8.00,5.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3011127,4.00,4.00,2.00,6.00,4.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3011135,7.00,7.00,9.00,8.00,6.00,5.75,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3011143,6.00,5.00,1.00,5.00,3.00,NULL,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3011151,5.00,5.00,1.00,6.00,7.00,6.75,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3011160,8.00,6.00,6.00,6.00,7.00,6.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3011178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3011186,8.00,7.00,5.00,8.00,6.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3011194,5.00,3.00,2.00,7.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3011208,7.00,7.00,2.00,8.00,5.00,5.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3011216,6.00,6.00,5.00,7.00,4.00,4.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3011224,8.00,8.00,5.00,8.00,7.00,7.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3011232,8.00,9.00,8.00,9.00,8.00,7.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3011240,8.00,7.00,5.00,9.00,6.00,5.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3011275,6.00,8.00,2.00,8.00,6.00,6.50,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3011305,3.00,5.00,3.00,8.00,7.00,6.50,2.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3011321,4.00,4.00,3.00,3.00,4.00,6.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3011330,4.00,7.00,2.00,9.00,6.00,6.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3011348,4.00,4.00,1.00,0.00,3.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3011356,8.00,9.00,9.00,9.00,7.00,7.25,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3011364,5.00,6.00,6.00,7.00,5.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3011372,1.00,2.00,2.00,6.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3011380,4.00,2.00,2.00,6.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3011399,8.00,8.00,7.00,8.00,7.00,5.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3011402,5.00,8.00,7.00,8.00,7.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3011410,4.00,6.00,1.00,7.00,5.00,7.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3011429,7.00,4.00,3.00,6.00,7.00,6.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3011437,3.00,4.00,5.00,1.00,6.00,4.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3011453,9.00,8.00,9.00,8.00,8.00,6.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3011461,6.00,6.00,2.00,5.00,2.00,NULL,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3011470,7.00,6.00,1.00,6.00,7.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3011488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3011496,6.00,6.00,4.00,9.00,8.00,7.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3011500,6.00,8.00,5.00,7.00,8.00,5.75,3.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3011518,6.00,5.00,3.00,6.00,7.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3011534,5.00,4.00,4.00,7.00,5.00,7.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3011542,1.00,2.00,1.00,6.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3011550,1.00,6.00,2.00,8.00,5.00,5.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3011569,4.00,5.00,4.00,6.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3011577,5.00,4.00,6.00,5.00,7.00,6.00,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3011585,3.00,1.00,4.00,4.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3011593,9.00,7.00,6.00,9.00,7.00,6.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3011607,4.00,1.00,1.00,6.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3011615,2.00,4.00,2.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3011623,8.00,7.00,8.00,7.00,7.00,6.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3011631,7.00,8.00,8.00,7.00,7.00,6.25,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3011640,3.00,5.00,2.00,8.00,7.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3011658,7.00,7.00,5.00,7.00,7.00,6.00,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3011666,3.00,5.00,3.00,1.00,5.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3011674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3011682,1.00,3.00,1.00,5.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3011704,5.00,5.00,5.00,9.00,6.00,7.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3011712,9.00,5.00,5.00,9.00,7.00,7.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3011720,7.00,6.00,6.00,8.00,6.00,6.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3011739,3.00,3.00,4.00,2.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3011747,4.00,7.00,5.00,5.00,6.00,6.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3011763,6.00,5.00,4.00,6.00,4.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3011771,7.00,4.00,6.00,5.00,7.00,6.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3011780,5.00,7.00,4.00,8.00,6.00,6.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3011798,3.00,2.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3011801,1.00,6.00,2.00,4.00,4.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3011810,4.00,4.00,3.00,7.00,4.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3011828,6.00,8.00,5.00,7.00,8.00,5.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3011836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3011844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3011887,8.00,9.00,5.00,9.00,8.00,8.50,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3011895,4.00,6.00,4.00,6.00,6.00,4.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3011909,9.00,8.00,7.00,10.00,9.00,5.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3011917,8.00,8.00,8.00,9.00,8.00,8.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3011933,5.00,3.00,2.00,7.00,6.00,5.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3011941,5.00,4.00,1.00,1.00,5.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3011950,5.00,5.00,3.00,6.00,4.00,5.00,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3011976,5.00,2.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3011984,5.00,4.00,1.00,8.00,6.00,5.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3011992,3.00,5.00,4.00,5.00,4.00,4.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3012000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3012018,5.00,4.00,5.00,8.00,5.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3012026,7.00,7.00,5.00,8.00,7.00,5.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3012034,2.00,5.00,2.00,5.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3012042,7.00,6.00,5.00,9.00,7.00,6.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3012069,4.00,3.00,2.00,8.00,3.00,NULL,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3012077,9.00,8.00,9.00,9.00,8.00,7.50,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3012085,8.00,4.00,6.00,6.00,7.00,6.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3012093,3.00,6.00,2.00,8.00,5.00,5.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3012107,4.00,7.00,5.00,6.00,7.00,6.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3012115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3012123,3.00,5.00,4.00,7.00,6.00,6.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3012140,8.00,8.00,6.00,9.00,7.00,5.75,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3012158,5.00,6.00,4.00,6.00,5.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3012166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3012182,2.00,3.00,3.00,4.00,4.00,4.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3012190,8.00,8.00,6.00,7.00,8.00,6.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3012204,8.00,8.00,3.00,8.00,5.00,5.25,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3012212,3.00,3.00,4.00,5.00,4.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3012220,5.00,5.00,3.00,4.00,3.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3012239,8.00,8.00,8.00,9.00,7.00,6.00,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3012255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3012263,6.00,3.00,3.00,6.00,4.00,5.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3012271,5.00,3.00,6.00,3.00,5.00,6.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3012298,9.00,9.00,9.00,9.00,9.00,5.00,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3012301,7.00,8.00,7.00,8.00,6.00,6.00,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3012310,7.00,7.00,5.00,10.00,4.00,4.75,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3012328,6.00,7.00,6.00,8.00,7.00,5.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3012336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3012344,4.00,6.00,4.00,9.00,7.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3012352,5.00,7.00,8.00,9.00,8.00,6.25,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3012379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3012387,9.00,7.00,9.00,9.00,7.00,7.50,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3012395,1.00,1.00,1.00,3.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3012409,5.00,6.00,3.00,5.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3012417,4.00,4.00,1.00,4.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3012425,6.00,5.00,6.00,5.00,7.00,8.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3012433,5.00,6.00,3.00,4.00,5.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3012450,8.00,7.00,6.00,8.00,6.00,5.50,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3012468,5.00,7.00,3.00,4.00,5.00,4.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3012476,5.00,7.00,3.00,5.00,6.00,4.25,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3012484,5.00,5.00,3.00,7.00,6.00,5.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3012492,6.00,5.00,2.00,8.00,5.00,5.50,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3012506,5.00,2.00,1.00,3.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3012514,7.00,6.00,7.00,6.00,4.00,5.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3012522,8.00,8.00,8.00,9.00,8.00,6.50,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3012530,6.00,5.00,8.00,9.00,5.00,5.00,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3012549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3012557,3.00,5.00,3.00,5.00,3.00,NULL,1.00,7.00,2.00,NULL,NULL,NULL,'S'),(16,3012573,5.00,4.00,4.00,6.00,5.00,7.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3012581,6.00,5.00,4.00,8.00,7.00,7.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3012590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3012603,8.00,7.00,8.00,4.00,6.00,6.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3012611,7.00,5.00,4.00,8.00,6.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3012620,5.00,5.00,4.00,7.00,7.00,7.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3012638,3.00,5.00,5.00,7.00,5.00,6.50,3.00,9.00,0.00,NULL,NULL,NULL,'N'),(16,3012646,7.00,6.00,7.00,6.00,7.00,6.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3012654,5.00,4.00,3.00,3.00,8.00,6.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3012662,8.00,5.00,6.00,6.00,8.00,4.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3012670,6.00,9.00,5.00,8.00,6.00,5.75,5.00,9.00,7.00,NULL,NULL,NULL,'S'),(16,3012689,2.00,4.00,4.00,6.00,5.00,5.00,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3012697,7.00,7.00,5.00,9.00,6.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3012719,7.00,8.00,7.00,9.00,8.00,6.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3012735,4.00,7.00,4.00,7.00,8.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3012743,7.00,4.00,5.00,9.00,8.00,5.75,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3012760,3.00,2.00,3.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3012786,6.00,4.00,3.00,5.00,5.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3012794,3.00,7.00,2.00,4.00,6.00,6.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3012808,6.00,5.00,3.00,8.00,4.00,7.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3012816,6.00,7.00,5.00,5.00,8.00,6.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3012824,5.00,6.00,5.00,8.00,4.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3012832,4.00,4.00,3.00,3.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3012840,3.00,4.00,2.00,7.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3012859,4.00,5.00,8.00,6.00,7.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3012867,8.00,5.00,1.00,8.00,6.00,5.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3012875,6.00,8.00,4.00,6.00,8.00,7.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3012883,5.00,4.00,5.00,7.00,6.00,4.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3012891,6.00,4.00,2.00,7.00,8.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3012913,4.00,5.00,7.00,7.00,7.00,7.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3012921,6.00,6.00,5.00,7.00,5.00,5.75,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3012930,6.00,8.00,3.00,9.00,7.00,6.50,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3012948,6.00,6.00,3.00,6.00,4.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3012956,7.00,8.00,6.00,7.00,6.00,5.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3012964,6.00,6.00,6.00,8.00,5.00,5.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3012972,5.00,5.00,6.00,8.00,5.00,6.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3012980,4.00,2.00,1.00,7.00,5.00,6.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3012999,2.00,4.00,4.00,7.00,4.00,5.25,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3013014,6.00,7.00,9.00,8.00,8.00,6.00,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3013030,5.00,5.00,3.00,7.00,6.00,4.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3013049,3.00,7.00,1.00,7.00,6.00,5.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3013057,5.00,6.00,3.00,5.00,6.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3013065,4.00,2.00,3.00,6.00,6.00,6.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3013073,8.00,7.00,5.00,8.00,6.00,6.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3013090,6.00,4.00,5.00,8.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3013103,5.00,6.00,2.00,8.00,7.00,4.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3013120,5.00,5.00,3.00,2.00,5.00,3.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3013138,2.00,4.00,1.00,5.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3013146,6.00,5.00,7.00,6.00,5.00,5.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3013154,3.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3013162,5.00,3.00,7.00,9.00,4.00,5.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3013170,6.00,8.00,7.00,4.00,7.00,5.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3013189,3.00,3.00,2.00,7.00,5.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3013197,9.00,8.00,7.00,9.00,8.00,6.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3013200,7.00,7.00,4.00,9.00,7.00,4.75,4.00,8.00,6.00,NULL,NULL,NULL,'S'),(16,3013219,5.00,4.00,2.00,2.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3013227,5.00,3.00,3.00,8.00,5.00,7.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3013235,5.00,7.00,7.00,4.00,7.00,7.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3013243,6.00,4.00,5.00,6.00,7.00,6.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3013251,5.00,7.00,3.00,6.00,6.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3013260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3013278,9.00,7.00,4.00,7.00,6.00,5.75,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3013308,4.00,3.00,2.00,7.00,5.00,6.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3013324,5.00,5.00,7.00,3.00,4.00,3.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3013332,2.00,3.00,1.00,3.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3013340,9.00,6.00,6.00,6.00,6.00,6.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3013359,6.00,5.00,4.00,6.00,4.00,6.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3013367,4.00,4.00,4.00,5.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3013375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3013383,7.00,6.00,6.00,6.00,6.00,5.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3013391,5.00,6.00,5.00,7.00,6.00,5.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3013405,6.00,7.00,7.00,8.00,6.00,5.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3013413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3013421,3.00,5.00,4.00,6.00,4.00,5.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3013430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3013448,7.00,7.00,8.00,9.00,6.00,5.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3013456,2.00,3.00,2.00,5.00,5.00,5.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3013464,5.00,4.00,7.00,1.00,7.00,5.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3013472,8.00,6.00,4.00,9.00,7.00,5.75,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3013499,9.00,8.00,7.00,8.00,7.00,5.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3013502,8.00,5.00,5.00,6.00,7.00,4.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3013529,3.00,3.00,5.00,4.00,4.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3013545,3.00,2.00,4.00,8.00,5.00,5.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3013553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3013561,7.00,4.00,3.00,6.00,5.00,6.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3013570,7.00,7.00,1.00,7.00,4.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3013588,9.00,7.00,8.00,9.00,8.00,5.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3013596,2.00,0.00,1.00,1.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3013600,7.00,7.00,6.00,7.00,8.00,6.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3013618,7.00,8.00,6.00,7.00,7.00,6.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3013642,7.00,6.00,3.00,4.00,7.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3013650,6.00,6.00,5.00,8.00,7.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3013669,3.00,5.00,2.00,3.00,5.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3013685,4.00,1.00,3.00,4.00,6.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3013693,5.00,5.00,4.00,5.00,7.00,6.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3013707,2.00,5.00,3.00,4.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3013715,6.00,3.00,4.00,6.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3013723,9.00,6.00,4.00,8.00,6.00,5.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3013731,6.00,5.00,6.00,8.00,5.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3013740,8.00,8.00,5.00,7.00,7.00,5.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3013758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3013766,5.00,6.00,3.00,0.00,7.00,5.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3013774,8.00,5.00,5.00,4.00,6.00,5.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3013782,7.00,4.00,3.00,6.00,5.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3013790,1.00,3.00,3.00,0.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3013804,3.00,6.00,4.00,7.00,8.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3013820,4.00,4.00,6.00,6.00,4.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3013839,5.00,6.00,4.00,7.00,6.00,6.25,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3013847,5.00,6.00,3.00,8.00,6.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3013855,1.00,0.00,1.00,2.00,0.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3013871,7.00,6.00,4.00,6.00,6.00,5.50,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3013880,2.00,2.00,2.00,2.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3013898,3.00,7.00,5.00,4.00,5.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3013901,5.00,6.00,3.00,8.00,4.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3013910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3013928,3.00,6.00,3.00,7.00,4.00,6.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3013936,6.00,5.00,7.00,9.00,6.00,5.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3013944,4.00,3.00,2.00,1.00,4.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3013979,9.00,6.00,6.00,9.00,8.00,7.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3013987,3.00,2.00,1.00,1.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3014002,5.00,4.00,3.00,4.00,4.00,6.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3014029,5.00,5.00,6.00,8.00,8.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3014037,7.00,5.00,5.00,8.00,3.00,NULL,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3014045,4.00,4.00,4.00,4.00,3.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3014053,2.00,3.00,2.00,0.00,1.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3014061,2.00,3.00,3.00,5.00,3.00,NULL,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3014096,3.00,3.00,4.00,5.00,4.00,5.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3014100,7.00,8.00,3.00,8.00,7.00,7.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3014118,8.00,5.00,7.00,8.00,7.00,5.75,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3014126,7.00,7.00,5.00,9.00,6.00,5.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3014134,5.00,3.00,6.00,7.00,6.00,5.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3014150,3.00,1.00,2.00,3.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3014169,8.00,7.00,8.00,9.00,7.00,8.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3014177,7.00,7.00,2.00,7.00,7.00,5.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3014185,4.00,5.00,2.00,5.00,5.00,5.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3014193,7.00,8.00,5.00,8.00,7.00,6.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3014207,5.00,5.00,6.00,5.00,5.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3014215,4.00,5.00,5.00,7.00,5.00,7.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3014223,8.00,8.00,4.00,7.00,7.00,6.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3014231,4.00,2.00,2.00,7.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3014240,9.00,5.00,7.00,7.00,5.00,6.75,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3014258,4.00,6.00,2.00,4.00,5.00,5.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3014266,7.00,2.00,5.00,2.00,4.00,6.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3014274,3.00,3.00,2.00,1.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3014282,5.00,5.00,9.00,7.00,7.00,5.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3014290,3.00,5.00,4.00,6.00,5.00,5.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3014304,4.00,4.00,2.00,2.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3014312,5.00,5.00,3.00,5.00,5.00,3.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3014339,2.00,4.00,2.00,5.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3014355,4.00,5.00,6.00,7.00,7.00,6.25,4.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3014363,9.00,8.00,7.00,7.00,6.00,5.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3014371,5.00,5.00,5.00,8.00,8.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3014380,7.00,7.00,6.00,8.00,6.00,6.00,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3014398,5.00,3.00,2.00,1.00,5.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3014401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3014410,8.00,6.00,8.00,5.00,9.00,6.25,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3014428,8.00,6.00,5.00,6.00,6.00,6.25,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3014444,8.00,8.00,8.00,8.00,9.00,6.25,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3014452,3.00,5.00,3.00,8.00,6.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3014460,7.00,9.00,7.00,9.00,7.00,5.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3014479,3.00,7.00,2.00,9.00,7.00,6.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3014487,5.00,5.00,6.00,7.00,5.00,6.75,1.00,8.00,6.00,NULL,NULL,NULL,'S'),(16,3014495,4.00,3.00,1.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3014509,3.00,2.00,3.00,5.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3014517,1.00,4.00,1.00,1.00,3.00,NULL,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3014525,3.00,2.00,1.00,4.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3014533,3.00,4.00,1.00,4.00,4.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3014541,7.00,8.00,6.00,9.00,7.00,6.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3014550,9.00,5.00,6.00,5.00,6.00,4.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3014568,9.00,7.00,4.00,7.00,8.00,4.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3014576,4.00,4.00,2.00,2.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3014584,4.00,4.00,4.00,1.00,5.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3014592,5.00,4.00,1.00,2.00,5.00,4.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3014606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3014614,6.00,4.00,5.00,7.00,7.00,6.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3014622,5.00,5.00,4.00,7.00,8.00,6.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3014630,6.00,7.00,5.00,8.00,7.00,6.75,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3014649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3014665,7.00,8.00,3.00,7.00,6.00,6.00,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3014673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3014681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3014690,5.00,6.00,5.00,7.00,6.00,5.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3014703,0.00,4.00,2.00,6.00,4.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3014738,3.00,2.00,2.00,4.00,4.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3014746,7.00,3.00,1.00,5.00,7.00,4.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3014754,6.00,5.00,4.00,6.00,7.00,4.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3014770,6.00,3.00,3.00,7.00,6.00,5.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3014797,5.00,4.00,5.00,8.00,6.00,6.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3014800,5.00,5.00,5.00,8.00,6.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3014819,7.00,7.00,8.00,8.00,8.00,7.00,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3014835,6.00,4.00,2.00,6.00,4.00,5.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3014843,4.00,6.00,1.00,5.00,4.00,4.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3014851,3.00,5.00,4.00,7.00,7.00,7.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3014886,7.00,6.00,3.00,4.00,4.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3014894,5.00,4.00,2.00,8.00,8.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3014908,7.00,4.00,2.00,6.00,7.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3014916,8.00,7.00,7.00,9.00,7.00,6.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3014924,5.00,7.00,3.00,8.00,6.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3014932,4.00,1.00,3.00,3.00,4.00,5.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3014940,3.00,7.00,7.00,6.00,4.00,5.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3014959,4.00,4.00,4.00,5.00,3.00,NULL,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3014967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3014983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3014991,3.00,0.00,3.00,4.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3015009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3015017,5.00,7.00,2.00,8.00,6.00,5.75,0.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3015025,8.00,7.00,3.00,7.00,8.00,7.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3015033,8.00,6.00,7.00,9.00,8.00,6.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3015050,2.00,3.00,4.00,3.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3015068,6.00,6.00,2.00,7.00,7.00,6.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3015076,8.00,8.00,8.00,3.00,7.00,6.00,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3015084,5.00,6.00,6.00,4.00,6.00,6.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3015092,5.00,6.00,3.00,8.00,7.00,5.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3015106,3.00,4.00,2.00,8.00,5.00,5.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3015114,5.00,6.00,1.00,7.00,6.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3015122,5.00,3.00,1.00,5.00,4.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3015149,6.00,4.00,3.00,5.00,5.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3015157,7.00,7.00,5.00,7.00,6.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3015165,6.00,6.00,4.00,7.00,4.00,5.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3015173,5.00,5.00,1.00,8.00,5.00,6.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3015181,5.00,3.00,5.00,6.00,6.00,5.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3015190,9.00,6.00,9.00,9.00,7.00,7.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3015203,7.00,7.00,4.00,7.00,5.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3015220,3.00,2.00,3.00,5.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3015238,6.00,4.00,4.00,7.00,6.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3015246,8.00,8.00,4.00,8.00,7.00,7.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3015254,7.00,5.00,6.00,8.00,7.00,6.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3015262,7.00,7.00,8.00,5.00,5.00,5.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3015270,6.00,4.00,4.00,8.00,6.00,8.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3015289,5.00,6.00,6.00,8.00,5.00,5.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3015300,1.00,5.00,3.00,7.00,4.00,6.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3015319,9.00,8.00,9.00,8.00,7.00,7.00,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3015327,4.00,7.00,6.00,6.00,7.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3015343,6.00,6.00,3.00,6.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3015351,1.00,4.00,1.00,4.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3015360,4.00,5.00,4.00,7.00,5.00,5.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3015378,8.00,8.00,6.00,8.00,7.00,6.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3015386,5.00,6.00,1.00,3.00,7.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3015408,2.00,3.00,5.00,6.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3015416,1.00,2.00,3.00,1.00,3.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3015424,8.00,5.00,5.00,8.00,6.00,7.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3015432,4.00,3.00,2.00,3.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3015440,4.00,3.00,3.00,4.00,4.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3015459,5.00,4.00,1.00,5.00,4.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3015467,3.00,5.00,3.00,4.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3015475,8.00,8.00,9.00,9.00,9.00,5.75,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3015483,3.00,6.00,4.00,5.00,5.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3015491,3.00,6.00,6.00,6.00,4.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3015505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3015513,3.00,6.00,3.00,4.00,5.00,4.50,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3015521,5.00,7.00,6.00,6.00,7.00,6.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3015530,3.00,7.00,6.00,2.00,6.00,4.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3015548,3.00,3.00,2.00,3.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3015556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3015564,6.00,8.00,5.00,7.00,6.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3015572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3015580,7.00,7.00,7.00,7.00,7.00,5.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3015599,5.00,6.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3015602,4.00,5.00,4.00,6.00,4.00,4.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3015629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3015637,3.00,1.00,3.00,2.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3015645,3.00,2.00,5.00,1.00,4.00,3.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3015653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3015661,2.00,5.00,2.00,6.00,5.00,6.00,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3015670,5.00,6.00,4.00,7.00,7.00,5.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3015688,6.00,7.00,5.00,5.00,8.00,6.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3015696,8.00,7.00,3.00,9.00,5.00,5.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3015700,7.00,5.00,7.00,7.00,7.00,5.75,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3015726,6.00,6.00,4.00,7.00,7.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3015734,1.00,6.00,4.00,3.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3015742,6.00,5.00,8.00,6.00,6.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3015750,8.00,8.00,9.00,8.00,7.00,7.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3015769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3015777,5.00,6.00,5.00,6.00,5.00,3.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3015785,3.00,2.00,5.00,7.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3015793,8.00,8.00,9.00,9.00,7.00,5.50,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3015815,3.00,7.00,5.00,9.00,5.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3015823,6.00,7.00,2.00,9.00,9.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3015831,8.00,7.00,6.00,6.00,8.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3015840,9.00,9.00,7.00,6.00,6.00,6.00,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3015858,7.00,6.00,5.00,6.00,5.00,5.50,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3015866,4.00,3.00,4.00,6.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3015874,4.00,6.00,3.00,6.00,6.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3015882,4.00,5.00,2.00,4.00,2.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3015890,3.00,5.00,2.00,7.00,7.00,4.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3015904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3015912,3.00,5.00,4.00,2.00,4.00,5.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3015920,5.00,3.00,2.00,8.00,2.00,NULL,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3015939,5.00,5.00,4.00,9.00,7.00,5.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3015955,5.00,6.00,3.00,3.00,6.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3015963,6.00,8.00,7.00,8.00,9.00,5.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3015998,6.00,7.00,6.00,6.00,5.00,6.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3016013,4.00,2.00,5.00,6.00,6.00,5.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3016021,4.00,6.00,2.00,7.00,4.00,4.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3016030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3016048,5.00,3.00,2.00,6.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3016056,7.00,7.00,9.00,8.00,7.00,6.25,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3016064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3016072,9.00,8.00,8.00,9.00,7.00,5.75,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3016080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3016099,6.00,7.00,3.00,5.00,5.00,7.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3016102,3.00,4.00,3.00,5.00,4.00,4.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3016110,4.00,6.00,6.00,7.00,5.00,5.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3016129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3016137,6.00,4.00,3.00,5.00,5.00,5.75,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3016145,5.00,7.00,5.00,8.00,7.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3016161,6.00,6.00,4.00,4.00,5.00,5.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3016170,3.00,1.00,3.00,4.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3016188,5.00,4.00,2.00,9.00,4.00,5.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3016196,2.00,2.00,3.00,6.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3016200,5.00,4.00,6.00,6.00,7.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3016218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3016234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3016250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3016269,6.00,3.00,4.00,4.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3016277,4.00,4.00,1.00,5.00,4.00,6.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3016307,8.00,6.00,3.00,7.00,5.00,6.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3016315,8.00,5.00,2.00,7.00,5.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3016331,3.00,3.00,2.00,6.00,4.00,4.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3016340,2.00,6.00,2.00,7.00,7.00,6.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3016358,5.00,6.00,2.00,7.00,6.00,5.75,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3016366,7.00,7.00,2.00,7.00,7.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3016374,6.00,8.00,9.00,8.00,7.00,6.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3016404,5.00,6.00,3.00,3.00,4.00,2.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3016412,7.00,7.00,4.00,5.00,2.00,NULL,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3016420,7.00,7.00,3.00,3.00,7.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3016447,4.00,4.00,3.00,3.00,2.00,NULL,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3016455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3016463,3.00,6.00,1.00,7.00,6.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3016480,8.00,7.00,1.00,8.00,8.00,6.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3016498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3016501,8.00,6.00,4.00,6.00,6.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3016510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3016528,7.00,3.00,6.00,7.00,5.00,5.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3016536,7.00,5.00,7.00,6.00,5.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3016544,8.00,4.00,4.00,4.00,5.00,5.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3016552,8.00,8.00,8.00,9.00,7.00,5.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3016560,3.00,2.00,1.00,6.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3016579,4.00,4.00,3.00,7.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3016587,7.00,5.00,4.00,7.00,4.00,6.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3016609,2.00,5.00,2.00,3.00,5.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3016617,8.00,7.00,6.00,8.00,7.00,7.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3016641,4.00,4.00,4.00,5.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3016650,4.00,3.00,1.00,4.00,4.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3016668,6.00,7.00,7.00,8.00,8.00,6.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3016676,7.00,4.00,3.00,7.00,5.00,7.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3016684,2.00,2.00,3.00,5.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3016692,8.00,6.00,5.00,6.00,6.00,4.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3016706,6.00,4.00,5.00,8.00,6.00,5.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3016714,7.00,5.00,2.00,8.00,6.00,5.75,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3016730,4.00,6.00,1.00,3.00,7.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3016749,3.00,4.00,7.00,6.00,5.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3016765,5.00,5.00,5.00,8.00,4.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3016781,3.00,3.00,4.00,6.00,4.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3016790,4.00,6.00,4.00,8.00,7.00,4.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3016803,1.00,4.00,4.00,7.00,4.00,4.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3016811,4.00,5.00,2.00,4.00,3.00,NULL,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3016820,6.00,9.00,5.00,7.00,6.00,6.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3016838,5.00,2.00,3.00,5.00,5.00,4.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3016846,4.00,2.00,2.00,8.00,5.00,7.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3016862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3016870,6.00,4.00,4.00,7.00,6.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3016889,3.00,3.00,2.00,3.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3016897,7.00,5.00,8.00,8.00,7.00,6.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3016927,4.00,7.00,4.00,6.00,5.00,4.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3016935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3016943,5.00,7.00,5.00,7.00,4.00,5.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3016951,7.00,7.00,5.00,8.00,7.00,6.25,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3016960,7.00,4.00,6.00,8.00,5.00,5.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3016978,9.00,8.00,7.00,10.00,7.00,7.75,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3016986,2.00,5.00,4.00,7.00,7.00,5.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3016994,6.00,6.00,6.00,6.00,6.00,5.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3017001,3.00,5.00,5.00,7.00,5.00,5.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3017010,4.00,4.00,3.00,5.00,4.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3017028,4.00,6.00,6.00,6.00,4.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3017036,6.00,6.00,5.00,7.00,6.00,5.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3017044,5.00,2.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3017052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3017060,3.00,4.00,2.00,9.00,5.00,6.50,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3017079,4.00,6.00,5.00,9.00,5.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3017087,4.00,4.00,1.00,7.00,6.00,7.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3017095,6.00,7.00,5.00,6.00,6.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3017109,4.00,7.00,7.00,8.00,6.00,5.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3017117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3017125,6.00,5.00,4.00,8.00,4.00,4.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3017133,3.00,4.00,3.00,5.00,5.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3017150,5.00,5.00,2.00,5.00,7.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3017168,2.00,7.00,5.00,7.00,5.00,5.00,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3017176,0.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3017184,2.00,2.00,3.00,7.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3017192,7.00,7.00,7.00,8.00,7.00,5.25,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3017206,6.00,5.00,6.00,6.00,6.00,5.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3017214,6.00,7.00,4.00,9.00,8.00,7.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3017222,5.00,4.00,4.00,5.00,2.00,NULL,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3017230,3.00,2.00,4.00,9.00,7.00,6.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3017249,4.00,8.00,4.00,7.00,8.00,7.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3017265,4.00,3.00,4.00,0.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3017273,5.00,5.00,4.00,7.00,6.00,6.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3017281,5.00,3.00,1.00,6.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3017290,8.00,6.00,3.00,8.00,6.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3017303,5.00,3.00,2.00,3.00,4.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3017311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3017338,7.00,8.00,9.00,7.00,8.00,5.50,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3017346,6.00,5.00,4.00,9.00,7.00,7.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3017354,7.00,5.00,5.00,6.00,7.00,5.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3017362,8.00,4.00,6.00,9.00,8.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3017389,4.00,5.00,3.00,7.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3017397,6.00,7.00,5.00,8.00,7.00,7.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3017419,7.00,8.00,6.00,6.00,6.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3017435,4.00,6.00,4.00,6.00,5.00,4.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3017443,6.00,4.00,4.00,6.00,4.00,6.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3017451,3.00,4.00,3.00,0.00,5.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3017460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3017478,0.00,0.00,0.00,2.00,3.00,NULL,0.00,4.00,4.00,NULL,'S',NULL,'N'),(16,3017486,2.00,6.00,5.00,7.00,5.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3017494,8.00,9.00,5.00,9.00,8.00,7.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3017508,7.00,7.00,5.00,8.00,6.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3017516,1.00,3.00,1.00,0.00,5.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3017524,5.00,5.00,3.00,4.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3017532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3017559,6.00,5.00,4.00,5.00,4.00,5.75,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3017567,3.00,2.00,2.00,5.00,4.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3017583,5.00,2.00,2.00,0.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3017591,5.00,6.00,3.00,7.00,4.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3017605,2.00,3.00,4.00,3.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3017656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3017664,5.00,5.00,2.00,2.00,7.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3017672,2.00,2.00,5.00,5.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3017680,7.00,5.00,7.00,7.00,6.00,6.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3017699,7.00,6.00,6.00,6.00,7.00,5.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3017702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3017710,7.00,9.00,7.00,6.00,4.00,6.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3017729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3017737,7.00,8.00,6.00,7.00,6.00,5.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3017745,2.00,4.00,5.00,5.00,3.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3017753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3017761,7.00,8.00,7.00,8.00,7.00,7.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3017788,7.00,5.00,4.00,4.00,7.00,5.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3017796,6.00,5.00,1.00,9.00,6.00,5.50,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3017800,7.00,5.00,2.00,7.00,6.00,6.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3017834,4.00,1.00,4.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3017842,7.00,5.00,6.00,7.00,6.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3017850,5.00,7.00,7.00,9.00,4.00,7.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3017869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3017877,3.00,2.00,2.00,3.00,0.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3017893,3.00,0.00,2.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3017907,4.00,4.00,6.00,2.00,5.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3017915,4.00,7.00,5.00,7.00,6.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3017923,7.00,7.00,5.00,7.00,6.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3017931,4.00,4.00,4.00,0.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3017940,2.00,2.00,2.00,3.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3017966,6.00,5.00,3.00,4.00,6.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3017974,7.00,7.00,3.00,8.00,7.00,6.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3017982,7.00,6.00,5.00,8.00,8.00,5.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3017990,7.00,5.00,4.00,4.00,8.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3018008,3.00,3.00,2.00,5.00,5.00,5.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3018040,5.00,3.00,3.00,1.00,4.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3018067,4.00,8.00,4.00,6.00,6.00,5.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3018075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3018091,7.00,5.00,4.00,8.00,7.00,7.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3018105,5.00,3.00,2.00,4.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3018113,4.00,5.00,4.00,8.00,5.00,4.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3018121,5.00,5.00,3.00,5.00,5.00,5.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3018130,6.00,2.00,2.00,4.00,4.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3018148,5.00,7.00,8.00,6.00,7.00,5.75,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3018156,4.00,6.00,3.00,8.00,7.00,5.00,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3018164,8.00,7.00,6.00,9.00,7.00,6.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3018172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3018180,8.00,6.00,4.00,8.00,8.00,5.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3018199,7.00,6.00,8.00,9.00,7.00,6.00,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3018202,1.00,1.00,2.00,0.00,0.00,NULL,0.00,2.00,2.00,'S',NULL,NULL,'N'),(16,3018210,6.00,6.00,4.00,9.00,5.00,5.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3018229,3.00,3.00,2.00,4.00,4.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3018237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3018245,8.00,3.00,6.00,7.00,7.00,5.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3018253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3018261,9.00,6.00,4.00,9.00,7.00,NULL,0.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3018296,7.00,7.00,6.00,8.00,8.00,6.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3018300,4.00,5.00,3.00,5.00,4.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3018318,3.00,3.00,2.00,5.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3018326,8.00,7.00,8.00,9.00,6.00,6.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3018334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3018342,5.00,5.00,5.00,5.00,7.00,6.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3018350,6.00,5.00,3.00,7.00,4.00,6.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3018377,3.00,4.00,2.00,3.00,7.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3018385,5.00,5.00,3.00,6.00,5.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3018407,9.00,8.00,9.00,7.00,9.00,6.00,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3018415,4.00,6.00,3.00,5.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3018423,6.00,5.00,2.00,9.00,5.00,7.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3018440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3018458,2.00,3.00,1.00,4.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3018474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3018482,3.00,6.00,2.00,7.00,5.00,7.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3018490,6.00,5.00,5.00,7.00,5.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3018512,6.00,7.00,5.00,6.00,6.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3018520,3.00,0.00,3.00,3.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3018539,2.00,0.00,1.00,3.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3018571,2.00,8.00,2.00,8.00,8.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3018580,4.00,3.00,4.00,2.00,5.00,5.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3018610,5.00,5.00,1.00,8.00,8.00,5.50,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3018628,6.00,7.00,3.00,7.00,6.00,4.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3018636,6.00,3.00,3.00,4.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3018644,5.00,5.00,5.00,7.00,6.00,7.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3018679,1.00,3.00,3.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3018687,4.00,7.00,4.00,9.00,5.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3018709,5.00,5.00,5.00,8.00,5.00,7.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3018717,3.00,5.00,2.00,7.00,0.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3018725,5.00,6.00,5.00,9.00,5.00,7.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3018733,4.00,4.00,5.00,4.00,4.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3018741,5.00,7.00,2.00,7.00,7.00,6.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3018750,5.00,7.00,3.00,6.00,6.00,5.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3018768,7.00,7.00,9.00,8.00,9.00,8.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3018784,5.00,8.00,3.00,8.00,6.00,5.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3018792,2.00,6.00,1.00,6.00,4.00,4.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3018806,5.00,5.00,3.00,7.00,5.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3018814,4.00,6.00,4.00,7.00,5.00,6.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3018830,5.00,6.00,1.00,6.00,7.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3018849,6.00,7.00,5.00,8.00,7.00,5.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3018857,3.00,4.00,2.00,2.00,1.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3018881,8.00,8.00,7.00,8.00,7.00,5.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3018890,3.00,7.00,4.00,9.00,6.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3018903,6.00,7.00,4.00,8.00,6.00,5.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3018920,9.00,8.00,6.00,9.00,6.00,6.25,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3018938,2.00,4.00,3.00,3.00,5.00,4.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3018954,4.00,6.00,3.00,6.00,6.00,5.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3018970,4.00,3.00,2.00,6.00,1.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3018989,8.00,6.00,7.00,5.00,5.00,6.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3019020,2.00,6.00,5.00,7.00,6.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3019039,4.00,3.00,4.00,5.00,5.00,6.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3019047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3019063,4.00,6.00,2.00,7.00,6.00,4.25,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3019071,5.00,6.00,2.00,7.00,6.00,5.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3019080,6.00,8.00,4.00,6.00,5.00,6.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3019098,5.00,6.00,4.00,4.00,3.00,NULL,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3019101,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3019128,3.00,4.00,6.00,5.00,6.00,5.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3019144,4.00,4.00,4.00,4.00,5.00,2.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3019152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3019179,7.00,5.00,5.00,6.00,7.00,6.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3019187,6.00,6.00,2.00,7.00,5.00,7.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3019195,6.00,5.00,1.00,7.00,6.00,4.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3019209,7.00,6.00,4.00,8.00,5.00,6.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3019217,4.00,6.00,2.00,5.00,7.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3019250,0.00,0.00,0.00,9.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3019268,3.00,4.00,2.00,3.00,5.00,4.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3019276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3019284,7.00,7.00,2.00,4.00,5.00,4.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3019292,2.00,4.00,2.00,5.00,3.00,NULL,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3019314,5.00,4.00,4.00,5.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3019322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3019349,5.00,6.00,5.00,6.00,5.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3019357,1.00,4.00,1.00,7.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3019365,9.00,7.00,5.00,5.00,8.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3019390,5.00,3.00,1.00,4.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3019403,8.00,5.00,6.00,2.00,3.00,NULL,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3019420,3.00,5.00,3.00,9.00,6.00,4.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3019438,3.00,3.00,3.00,7.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3019446,3.00,1.00,4.00,5.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3019462,3.00,3.00,1.00,6.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3019470,4.00,7.00,3.00,8.00,5.00,6.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3019489,7.00,6.00,8.00,9.00,7.00,5.75,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3019497,8.00,6.00,8.00,8.00,8.00,5.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3019500,2.00,5.00,3.00,3.00,4.00,5.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3019543,5.00,3.00,1.00,7.00,5.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3019560,3.00,5.00,3.00,5.00,5.00,4.25,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3019578,2.00,2.00,2.00,4.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3019586,6.00,7.00,7.00,7.00,3.00,NULL,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3019594,2.00,2.00,3.00,4.00,5.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3019616,1.00,7.00,1.00,7.00,4.00,3.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3019632,5.00,3.00,2.00,4.00,8.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3019640,2.00,3.00,2.00,6.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3019659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3019667,6.00,7.00,6.00,9.00,7.00,5.75,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3019675,5.00,6.00,2.00,6.00,6.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3019683,4.00,3.00,2.00,4.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3019691,5.00,4.00,3.00,6.00,4.00,5.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3019713,2.00,6.00,5.00,7.00,5.00,6.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3019721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3019730,5.00,5.00,1.00,5.00,4.00,5.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3019748,7.00,4.00,7.00,9.00,7.00,7.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3019764,4.00,7.00,1.00,8.00,6.00,5.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3019772,4.00,4.00,2.00,2.00,5.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3019799,3.00,3.00,4.00,6.00,6.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3019802,6.00,7.00,5.00,6.00,3.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3019837,4.00,3.00,1.00,3.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3019845,2.00,6.00,3.00,3.00,3.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3019861,4.00,6.00,3.00,5.00,6.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3019870,3.00,8.00,5.00,9.00,6.00,6.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3019888,7.00,9.00,6.00,6.00,7.00,6.75,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3019896,3.00,3.00,2.00,3.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3019900,7.00,7.00,5.00,9.00,6.00,6.00,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3019918,3.00,4.00,2.00,4.00,5.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3019926,5.00,2.00,3.00,0.00,4.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3019942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3019950,7.00,7.00,6.00,7.00,8.00,6.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3019969,7.00,8.00,7.00,8.00,7.00,4.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3019977,5.00,6.00,3.00,7.00,6.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3019985,3.00,3.00,3.00,7.00,5.00,6.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3019993,8.00,6.00,6.00,5.00,5.00,4.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3020002,6.00,5.00,6.00,5.00,4.00,4.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3020037,2.00,1.00,1.00,5.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3020045,2.00,4.00,2.00,7.00,1.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(16,3020061,4.00,3.00,2.00,4.00,4.00,5.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3020070,7.00,5.00,4.00,6.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3020088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3020096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3020118,3.00,1.00,3.00,1.00,2.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3020126,6.00,6.00,7.00,7.00,6.00,5.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3020134,3.00,6.00,2.00,6.00,5.00,4.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3020169,6.00,7.00,4.00,8.00,5.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3020177,6.00,6.00,5.00,4.00,8.00,7.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3020193,5.00,7.00,4.00,9.00,7.00,7.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3020207,4.00,3.00,1.00,3.00,4.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3020215,9.00,9.00,5.00,9.00,9.00,5.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3020223,5.00,3.00,3.00,4.00,5.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3020240,6.00,7.00,4.00,7.00,6.00,6.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3020258,1.00,3.00,1.00,2.00,4.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3020266,8.00,9.00,5.00,9.00,6.00,6.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3020274,4.00,4.00,2.00,7.00,6.00,5.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3020290,1.00,3.00,2.00,7.00,4.00,4.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3020304,2.00,3.00,4.00,2.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3020312,6.00,5.00,4.00,7.00,4.00,4.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3020320,3.00,2.00,3.00,1.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3020339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3020347,7.00,6.00,6.00,8.00,6.00,5.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3020355,6.00,5.00,4.00,6.00,6.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3020363,3.00,5.00,3.00,8.00,5.00,4.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3020371,7.00,6.00,5.00,6.00,6.00,7.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3020380,8.00,7.00,6.00,7.00,6.00,6.50,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3020398,3.00,2.00,3.00,1.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3020401,5.00,4.00,4.00,6.00,4.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3020410,7.00,5.00,2.00,8.00,7.00,6.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3020428,8.00,7.00,7.00,9.00,8.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3020436,6.00,4.00,5.00,6.00,8.00,6.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3020444,4.00,6.00,3.00,4.00,4.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3020452,8.00,7.00,2.00,6.00,6.00,4.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3020460,2.00,1.00,2.00,1.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3020487,5.00,5.00,5.00,6.00,4.00,4.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3020495,5.00,6.00,6.00,4.00,7.00,4.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3020509,7.00,6.00,2.00,7.00,5.00,6.75,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3020525,4.00,8.00,4.00,7.00,5.00,5.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3020541,5.00,6.00,6.00,7.00,6.00,4.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3020550,3.00,4.00,2.00,7.00,2.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3020576,4.00,4.00,4.00,4.00,4.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3020584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3020592,2.00,3.00,3.00,4.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3020614,5.00,4.00,3.00,7.00,6.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3020622,4.00,3.00,3.00,7.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3020630,9.00,9.00,7.00,10.00,6.00,7.00,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3020649,2.00,5.00,2.00,3.00,5.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3020657,8.00,8.00,7.00,9.00,7.00,7.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3020665,5.00,4.00,5.00,6.00,3.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3020673,2.00,5.00,4.00,4.00,6.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3020681,5.00,6.00,7.00,9.00,6.00,4.75,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3020690,8.00,4.00,6.00,8.00,7.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3020703,5.00,3.00,5.00,1.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3020711,6.00,3.00,3.00,8.00,5.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3020720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3020738,4.00,4.00,1.00,5.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3020746,7.00,7.00,1.00,4.00,5.00,4.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3020754,7.00,7.00,4.00,7.00,6.00,5.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3020770,5.00,4.00,4.00,7.00,4.00,4.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3020789,1.00,0.00,2.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3020797,5.00,3.00,6.00,4.00,5.00,6.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3020800,7.00,7.00,8.00,8.00,7.00,5.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3020827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3020835,6.00,8.00,4.00,8.00,9.00,7.25,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3020860,0.00,0.00,0.00,5.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3020878,7.00,7.00,5.00,6.00,6.00,6.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3020886,3.00,1.00,2.00,5.00,0.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3020894,7.00,7.00,6.00,6.00,7.00,6.00,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3020908,5.00,4.00,1.00,1.00,2.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3020924,4.00,6.00,3.00,5.00,5.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3020932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3020940,3.00,3.00,2.00,4.00,3.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3020959,7.00,7.00,4.00,9.00,6.00,4.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3020975,2.00,5.00,2.00,4.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3020983,5.00,5.00,3.00,2.00,4.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3020991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3021009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3021025,4.00,6.00,2.00,7.00,6.00,5.25,1.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3021041,6.00,8.00,8.00,8.00,6.00,4.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3021076,6.00,9.00,5.00,9.00,5.00,6.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3021084,8.00,7.00,3.00,7.00,5.00,5.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3021114,6.00,3.00,3.00,7.00,5.00,4.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3021122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3021130,3.00,6.00,4.00,1.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3021149,6.00,5.00,5.00,6.00,4.00,5.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3021157,8.00,7.00,5.00,9.00,7.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3021165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3021173,3.00,3.00,1.00,5.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3021181,5.00,7.00,2.00,2.00,6.00,5.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3021190,4.00,6.00,4.00,5.00,3.00,NULL,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3021211,4.00,2.00,3.00,2.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3021220,2.00,2.00,2.00,4.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3021238,4.00,2.00,4.00,5.00,5.00,4.50,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3021246,5.00,3.00,1.00,3.00,5.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3021254,4.00,2.00,2.00,2.00,3.00,NULL,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3021262,0.00,1.00,2.00,0.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3021270,7.00,7.00,4.00,6.00,6.00,6.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3021289,7.00,6.00,8.00,8.00,6.00,5.00,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3021297,3.00,4.00,1.00,3.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3021300,4.00,5.00,2.00,8.00,5.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3021319,7.00,5.00,2.00,8.00,7.00,5.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3021327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3021335,8.00,6.00,6.00,2.00,6.00,5.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3021343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3021351,9.00,7.00,7.00,9.00,9.00,6.00,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3021360,4.00,9.00,3.00,7.00,5.00,5.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3021378,6.00,4.00,6.00,7.00,5.00,4.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3021386,3.00,5.00,6.00,7.00,5.00,4.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3021394,6.00,5.00,5.00,6.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3021408,7.00,5.00,5.00,7.00,6.00,4.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3021416,5.00,4.00,5.00,2.00,5.00,6.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3021432,6.00,5.00,1.00,1.00,5.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3021440,8.00,6.00,9.00,4.00,7.00,6.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3021459,4.00,4.00,1.00,1.00,3.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3021467,2.00,5.00,1.00,7.00,6.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3021475,5.00,4.00,3.00,5.00,4.00,5.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3021483,6.00,8.00,5.00,8.00,6.00,6.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3021505,5.00,8.00,5.00,8.00,4.00,6.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3021521,6.00,7.00,2.00,5.00,6.00,7.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3021530,9.00,9.00,9.00,6.00,7.00,6.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3021556,8.00,6.00,7.00,8.00,8.00,6.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3021564,4.00,6.00,3.00,4.00,5.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3021572,8.00,5.00,4.00,7.00,7.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3021599,6.00,8.00,4.00,8.00,5.00,5.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3021602,8.00,5.00,4.00,8.00,4.00,6.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3021610,3.00,4.00,2.00,2.00,4.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3021637,5.00,6.00,6.00,6.00,5.00,4.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3021645,4.00,3.00,2.00,8.00,7.00,5.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3021653,4.00,6.00,4.00,3.00,6.00,5.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3021661,2.00,2.00,2.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3021688,5.00,8.00,2.00,7.00,6.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3021700,5.00,5.00,2.00,7.00,6.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3021718,2.00,5.00,4.00,7.00,4.00,6.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3021734,5.00,5.00,2.00,9.00,7.00,7.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3021742,7.00,5.00,3.00,2.00,7.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3021750,8.00,9.00,7.00,7.00,5.00,6.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3021769,2.00,2.00,3.00,2.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3021777,7.00,5.00,6.00,9.00,7.00,7.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3021785,4.00,6.00,2.00,4.00,7.00,5.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3021793,5.00,3.00,3.00,4.00,5.00,5.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3021807,4.00,4.00,3.00,7.00,4.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3021815,3.00,5.00,6.00,7.00,2.00,NULL,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3021823,4.00,2.00,1.00,1.00,6.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3021840,5.00,4.00,2.00,5.00,4.00,4.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3021858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3021866,6.00,6.00,3.00,7.00,5.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3021874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3021882,6.00,7.00,5.00,9.00,7.00,5.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3021890,4.00,6.00,3.00,8.00,5.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3021912,3.00,4.00,3.00,7.00,4.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3021920,2.00,4.00,2.00,4.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3021939,8.00,8.00,6.00,1.00,7.00,5.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3021947,2.00,6.00,2.00,7.00,5.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3021963,6.00,8.00,5.00,7.00,4.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3021971,9.00,8.00,9.00,7.00,8.00,7.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3021998,6.00,2.00,1.00,6.00,6.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3022005,4.00,2.00,2.00,3.00,4.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3022021,3.00,6.00,4.00,6.00,6.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3022048,8.00,7.00,8.00,6.00,6.00,5.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3022064,4.00,3.00,2.00,6.00,6.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3022072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3022099,3.00,3.00,2.00,5.00,4.00,7.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3022102,7.00,5.00,7.00,9.00,5.00,6.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3022110,8.00,8.00,4.00,6.00,7.00,6.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3022129,5.00,5.00,3.00,4.00,6.00,4.75,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3022137,3.00,1.00,1.00,3.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3022145,6.00,4.00,5.00,8.00,7.00,7.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3022161,8.00,6.00,9.00,3.00,6.00,5.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3022188,5.00,7.00,2.00,8.00,5.00,4.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3022226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3022250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3022269,5.00,4.00,3.00,8.00,5.00,4.50,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3022277,2.00,5.00,3.00,2.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3022293,3.00,4.00,1.00,3.00,2.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3022315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3022323,5.00,4.00,5.00,6.00,6.00,8.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3022331,3.00,3.00,4.00,6.00,4.00,7.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3022340,6.00,5.00,7.00,9.00,6.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3022358,4.00,6.00,2.00,8.00,7.00,5.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3022374,5.00,5.00,5.00,8.00,7.00,6.25,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3022382,5.00,7.00,2.00,9.00,8.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3022390,8.00,5.00,8.00,9.00,5.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3022404,4.00,3.00,3.00,4.00,5.00,7.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3022420,4.00,5.00,3.00,7.00,5.00,6.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3022439,9.00,7.00,7.00,7.00,8.00,5.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3022447,4.00,2.00,3.00,0.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3022455,6.00,3.00,5.00,8.00,5.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3022463,3.00,2.00,3.00,2.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3022480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3022501,5.00,6.00,1.00,8.00,5.00,5.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3022510,6.00,6.00,3.00,8.00,5.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3022528,2.00,5.00,3.00,4.00,5.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3022536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3022544,6.00,4.00,3.00,8.00,5.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3022552,8.00,5.00,5.00,8.00,6.00,4.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3022560,7.00,9.00,3.00,7.00,8.00,7.25,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3022579,3.00,5.00,5.00,6.00,5.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3022587,7.00,5.00,7.00,8.00,8.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3022595,1.00,2.00,1.00,5.00,1.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3022617,7.00,5.00,5.00,4.00,5.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3022625,3.00,4.00,4.00,6.00,5.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3022633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3022650,7.00,9.00,8.00,8.00,6.00,7.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3022668,7.00,9.00,8.00,6.00,6.00,7.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3022676,7.00,7.00,5.00,5.00,6.00,6.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3022692,6.00,9.00,4.00,8.00,8.00,8.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3022706,3.00,4.00,5.00,6.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3022722,4.00,2.00,4.00,2.00,0.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3022749,7.00,7.00,7.00,9.00,9.00,6.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3022757,3.00,5.00,4.00,5.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3022765,3.00,4.00,2.00,6.00,5.00,7.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3022773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3022781,4.00,7.00,3.00,2.00,6.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3022790,5.00,5.00,2.00,7.00,6.00,6.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3022803,4.00,3.00,2.00,6.00,4.00,6.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3022811,3.00,4.00,4.00,3.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3022820,7.00,4.00,7.00,7.00,6.00,6.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3022838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3022846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3022854,6.00,5.00,3.00,7.00,5.00,3.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3022862,7.00,7.00,4.00,7.00,8.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3022870,7.00,7.00,5.00,9.00,4.00,5.50,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3022900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3022919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3022927,4.00,4.00,3.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3022935,3.00,4.00,4.00,6.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3022951,4.00,4.00,4.00,5.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3022978,5.00,5.00,3.00,7.00,4.00,4.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3022986,3.00,2.00,2.00,5.00,5.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3022994,5.00,6.00,3.00,0.00,6.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3023001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3023028,4.00,5.00,3.00,8.00,6.00,5.75,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3023036,2.00,4.00,3.00,7.00,4.00,6.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3023052,2.00,3.00,1.00,5.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3023079,4.00,5.00,4.00,8.00,7.00,7.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3023087,3.00,5.00,3.00,6.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3023095,4.00,3.00,3.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3023117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3023125,3.00,5.00,4.00,7.00,3.00,NULL,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3023133,5.00,6.00,6.00,7.00,6.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3023141,4.00,4.00,3.00,5.00,5.00,4.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3023150,3.00,1.00,5.00,5.00,4.00,5.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3023168,4.00,7.00,3.00,7.00,4.00,6.00,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3023176,3.00,6.00,4.00,1.00,4.00,4.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3023184,6.00,7.00,6.00,7.00,7.00,7.00,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3023206,6.00,5.00,5.00,3.00,5.00,7.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3023214,6.00,7.00,8.00,9.00,7.00,6.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3023222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3023230,6.00,8.00,5.00,7.00,7.00,6.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3023257,7.00,6.00,5.00,8.00,6.00,6.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3023273,5.00,4.00,4.00,4.00,5.00,5.25,6.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3023281,8.00,8.00,6.00,7.00,7.00,5.25,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3023290,4.00,5.00,2.00,7.00,5.00,5.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3023303,3.00,1.00,4.00,4.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3023311,7.00,7.00,5.00,6.00,5.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3023320,4.00,5.00,1.00,3.00,4.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3023338,3.00,4.00,3.00,4.00,4.00,5.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3023354,6.00,4.00,4.00,8.00,7.00,5.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3023362,5.00,7.00,5.00,7.00,7.00,6.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3023370,3.00,6.00,2.00,4.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3023389,0.00,0.00,0.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3023397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3023400,7.00,5.00,1.00,6.00,5.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3023419,8.00,5.00,8.00,9.00,6.00,5.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3023427,8.00,5.00,6.00,6.00,6.00,4.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3023435,6.00,7.00,5.00,9.00,6.00,6.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3023443,4.00,6.00,4.00,7.00,6.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3023460,9.00,6.00,7.00,8.00,5.00,5.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3023478,3.00,2.00,1.00,7.00,5.00,6.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3023486,3.00,1.00,4.00,5.00,4.00,4.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3023494,6.00,4.00,3.00,7.00,5.00,6.00,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3023524,7.00,6.00,6.00,7.00,7.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3023532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3023540,3.00,4.00,7.00,7.00,4.00,6.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3023559,3.00,5.00,4.00,7.00,8.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3023575,6.00,4.00,7.00,6.00,6.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3023591,6.00,6.00,2.00,7.00,6.00,4.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3023605,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3023613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3023621,0.00,2.00,3.00,1.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3023630,3.00,3.00,2.00,7.00,6.00,5.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3023656,5.00,4.00,2.00,5.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3023664,4.00,6.00,4.00,3.00,5.00,6.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3023672,4.00,3.00,3.00,7.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3023680,7.00,7.00,4.00,7.00,7.00,6.50,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3023702,2.00,2.00,3.00,7.00,5.00,5.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3023710,4.00,4.00,5.00,7.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3023729,3.00,4.00,1.00,3.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3023737,6.00,9.00,7.00,9.00,7.00,5.00,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3023745,2.00,5.00,2.00,7.00,5.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3023761,2.00,2.00,2.00,5.00,5.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3023770,8.00,5.00,8.00,5.00,8.00,6.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3023788,6.00,6.00,4.00,2.00,5.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3023796,6.00,5.00,5.00,7.00,5.00,5.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3023818,4.00,0.00,1.00,4.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3023826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3023834,3.00,2.00,2.00,7.00,5.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3023842,5.00,8.00,8.00,8.00,7.00,6.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3023850,7.00,7.00,5.00,8.00,7.00,6.50,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3023869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3023877,3.00,4.00,2.00,6.00,3.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3023885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3023893,4.00,5.00,3.00,6.00,6.00,5.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3023915,2.00,6.00,3.00,8.00,6.00,5.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3023923,3.00,7.00,1.00,4.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3023931,3.00,5.00,4.00,7.00,5.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3023958,4.00,7.00,5.00,6.00,7.00,5.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3023966,5.00,6.00,4.00,7.00,7.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3023982,3.00,2.00,1.00,7.00,4.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3023990,5.00,3.00,4.00,2.00,6.00,5.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3024008,4.00,1.00,3.00,5.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3024016,3.00,3.00,1.00,3.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3024024,6.00,5.00,2.00,6.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3024032,5.00,5.00,2.00,7.00,4.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3024040,5.00,5.00,3.00,7.00,5.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3024059,2.00,2.00,1.00,6.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3024075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3024083,4.00,2.00,3.00,3.00,5.00,5.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3024091,4.00,4.00,4.00,7.00,4.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3024105,5.00,7.00,6.00,6.00,7.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3024113,7.00,4.00,7.00,6.00,6.00,6.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3024121,0.00,4.00,1.00,5.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3024130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3024148,4.00,1.00,2.00,4.00,2.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3024164,4.00,3.00,4.00,8.00,4.00,4.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3024199,4.00,2.00,2.00,8.00,4.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3024202,7.00,6.00,3.00,4.00,7.00,5.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3024210,7.00,7.00,8.00,6.00,7.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3024229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3024237,7.00,8.00,7.00,9.00,8.00,7.50,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3024245,8.00,6.00,6.00,4.00,7.00,5.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3024253,5.00,4.00,3.00,3.00,4.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3024261,4.00,5.00,6.00,8.00,6.00,4.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3024270,7.00,8.00,7.00,9.00,8.00,6.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3024288,5.00,5.00,4.00,6.00,6.00,6.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3024300,4.00,5.00,5.00,6.00,4.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3024318,2.00,5.00,3.00,6.00,4.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3024326,5.00,5.00,2.00,5.00,7.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3024334,7.00,5.00,6.00,7.00,8.00,7.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3024342,7.00,5.00,5.00,8.00,7.00,6.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3024350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3024369,3.00,5.00,4.00,7.00,7.00,6.75,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3024377,3.00,5.00,5.00,4.00,4.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3024385,9.00,6.00,8.00,8.00,5.00,4.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3024407,6.00,6.00,5.00,7.00,6.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3024415,7.00,5.00,1.00,4.00,2.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3024423,7.00,8.00,5.00,5.00,7.00,7.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3024431,4.00,6.00,8.00,9.00,7.00,6.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3024458,4.00,5.00,3.00,3.00,4.00,4.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3024466,5.00,5.00,3.00,4.00,5.00,4.75,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3024474,3.00,4.00,3.00,4.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3024482,5.00,6.00,3.00,7.00,5.00,7.50,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3024490,6.00,7.00,7.00,7.00,7.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3024504,7.00,7.00,8.00,7.00,6.00,6.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3024512,5.00,8.00,7.00,9.00,8.00,6.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3024539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3024547,6.00,6.00,4.00,8.00,5.00,6.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3024555,7.00,6.00,4.00,8.00,3.00,NULL,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3024563,8.00,7.00,8.00,8.00,8.00,7.50,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3024580,8.00,7.00,7.00,7.00,7.00,5.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3024610,5.00,3.00,1.00,2.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3024628,8.00,7.00,8.00,9.00,7.00,5.75,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3024636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3024644,3.00,3.00,2.00,6.00,2.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3024652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3024660,4.00,5.00,3.00,8.00,5.00,5.50,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(16,3024695,5.00,6.00,9.00,8.00,9.00,7.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3024709,1.00,1.00,2.00,3.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3024717,6.00,6.00,5.00,7.00,6.00,6.50,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3024725,6.00,6.00,3.00,5.00,5.00,5.50,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3024750,7.00,8.00,3.00,8.00,6.00,5.75,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3024768,6.00,4.00,2.00,5.00,6.00,7.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3024776,7.00,7.00,5.00,7.00,7.00,6.00,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3024784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3024792,7.00,7.00,8.00,7.00,7.00,6.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3024806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3024814,6.00,7.00,6.00,9.00,7.00,5.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3024822,8.00,9.00,5.00,9.00,8.00,5.25,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3024849,4.00,4.00,1.00,0.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3024857,7.00,9.00,4.00,7.00,7.00,5.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3024865,5.00,4.00,3.00,7.00,6.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3024873,6.00,5.00,7.00,3.00,4.00,5.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3024890,8.00,5.00,4.00,6.00,6.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3024911,5.00,4.00,4.00,7.00,7.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3024920,5.00,2.00,5.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3024938,4.00,1.00,5.00,5.00,4.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3024946,3.00,6.00,2.00,3.00,6.00,5.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3024954,6.00,9.00,8.00,9.00,8.00,5.75,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3024962,5.00,9.00,7.00,6.00,5.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3024970,8.00,7.00,5.00,9.00,7.00,5.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3024989,6.00,8.00,4.00,5.00,6.00,6.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3024997,4.00,3.00,4.00,7.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3025004,6.00,7.00,6.00,9.00,4.00,6.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3025020,7.00,6.00,5.00,8.00,5.00,5.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3025047,5.00,8.00,7.00,8.00,6.00,6.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3025055,6.00,5.00,7.00,8.00,6.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3025063,5.00,3.00,2.00,3.00,6.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3025071,1.00,4.00,2.00,6.00,5.00,6.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3025080,4.00,6.00,2.00,8.00,4.00,4.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3025098,2.00,1.00,2.00,3.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3025101,4.00,3.00,5.00,4.00,4.00,5.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3025128,3.00,4.00,2.00,1.00,5.00,4.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3025144,5.00,6.00,7.00,7.00,7.00,5.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3025152,3.00,3.00,1.00,1.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3025160,8.00,6.00,5.00,8.00,7.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3025187,5.00,6.00,6.00,8.00,9.00,5.50,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3025195,9.00,7.00,8.00,8.00,6.00,5.75,8.00,5.00,9.00,NULL,NULL,NULL,'N'),(16,3025209,4.00,3.00,2.00,5.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3025217,2.00,2.00,2.00,1.00,1.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3025225,9.00,8.00,8.00,6.00,5.00,5.75,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3025233,3.00,4.00,2.00,0.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3025241,8.00,9.00,8.00,10.00,8.00,7.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3025276,3.00,2.00,1.00,1.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3025284,4.00,3.00,4.00,7.00,7.00,5.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3025292,3.00,7.00,3.00,8.00,5.00,7.25,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3025306,5.00,4.00,5.00,7.00,6.00,7.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3025314,5.00,6.00,4.00,9.00,6.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3025322,8.00,9.00,8.00,9.00,9.00,6.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3025330,3.00,4.00,1.00,2.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3025349,4.00,4.00,3.00,9.00,6.00,5.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3025357,4.00,5.00,2.00,3.00,6.00,7.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3025365,8.00,3.00,7.00,9.00,6.00,6.25,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3025373,2.00,3.00,3.00,5.00,3.00,NULL,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3025381,5.00,6.00,1.00,7.00,5.00,5.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3025390,5.00,7.00,3.00,7.00,5.00,5.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3025403,4.00,4.00,5.00,9.00,5.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3025411,8.00,7.00,6.00,7.00,5.00,4.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3025420,8.00,9.00,6.00,9.00,7.00,6.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3025446,8.00,6.00,3.00,7.00,6.00,4.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3025462,3.00,2.00,3.00,5.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3025470,7.00,3.00,2.00,7.00,6.00,5.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3025489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3025497,1.00,6.00,2.00,8.00,5.00,5.00,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3025519,5.00,5.00,3.00,2.00,6.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3025527,5.00,5.00,3.00,7.00,5.00,6.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3025535,1.00,3.00,3.00,2.00,1.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3025543,6.00,4.00,4.00,7.00,5.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3025551,3.00,3.00,2.00,0.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3025560,6.00,7.00,5.00,8.00,8.00,6.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3025578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3025586,2.00,0.00,2.00,2.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3025594,5.00,4.00,2.00,4.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3025616,8.00,8.00,1.00,8.00,6.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3025624,6.00,7.00,7.00,8.00,8.00,7.00,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3025632,6.00,6.00,4.00,6.00,4.00,5.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3025640,4.00,6.00,4.00,6.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3025659,9.00,7.00,3.00,8.00,7.00,6.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3025667,7.00,6.00,6.00,4.00,5.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3025675,1.00,5.00,3.00,7.00,4.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3025683,8.00,5.00,6.00,8.00,6.00,7.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3025691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3025705,7.00,5.00,5.00,8.00,7.00,4.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3025713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3025721,4.00,2.00,3.00,4.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3025730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3025748,6.00,6.00,2.00,3.00,6.00,6.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3025756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3025764,6.00,7.00,2.00,7.00,6.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3025780,8.00,6.00,4.00,8.00,7.00,6.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3025799,5.00,6.00,4.00,5.00,6.00,7.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3025802,6.00,5.00,5.00,7.00,5.00,8.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3025810,9.00,9.00,7.00,9.00,9.00,5.75,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3025837,4.00,6.00,6.00,4.00,5.00,5.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3025845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3025853,4.00,4.00,2.00,8.00,6.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3025861,4.00,6.00,3.00,4.00,4.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3025870,6.00,6.00,3.00,7.00,6.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3025888,6.00,3.00,3.00,6.00,6.00,6.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3025896,7.00,6.00,7.00,5.00,5.00,6.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3025900,7.00,5.00,3.00,9.00,7.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3025918,8.00,5.00,7.00,8.00,3.00,NULL,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3025926,3.00,5.00,3.00,9.00,5.00,4.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3025934,3.00,5.00,3.00,7.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3025942,4.00,5.00,8.00,8.00,6.00,6.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3025977,3.00,4.00,2.00,4.00,4.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3025985,6.00,7.00,6.00,7.00,5.00,5.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3025993,8.00,4.00,5.00,3.00,5.00,5.25,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3026000,3.00,4.00,4.00,4.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3026019,1.00,2.00,2.00,1.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3026027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3026035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3026051,9.00,7.00,7.00,9.00,9.00,6.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3026078,4.00,3.00,1.00,4.00,5.00,5.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3026086,9.00,5.00,5.00,5.00,7.00,6.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3026094,8.00,7.00,5.00,7.00,7.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3026108,6.00,7.00,5.00,7.00,8.00,7.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3026116,3.00,5.00,3.00,8.00,5.00,4.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3026124,6.00,7.00,4.00,8.00,6.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3026132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3026140,9.00,9.00,9.00,9.00,8.00,6.50,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3026159,7.00,7.00,9.00,7.00,7.00,6.50,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3026167,4.00,6.00,5.00,7.00,7.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3026175,6.00,5.00,4.00,4.00,6.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3026183,7.00,6.00,5.00,8.00,6.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3026191,6.00,4.00,5.00,6.00,7.00,6.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3026213,6.00,7.00,4.00,2.00,7.00,5.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3026221,6.00,6.00,6.00,8.00,8.00,6.75,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3026230,6.00,6.00,3.00,6.00,7.00,8.50,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3026248,4.00,5.00,5.00,4.00,4.00,2.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3026256,7.00,6.00,4.00,4.00,7.00,7.00,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3026264,0.00,6.00,2.00,6.00,4.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3026272,5.00,4.00,6.00,7.00,7.00,4.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3026280,4.00,5.00,3.00,8.00,7.00,7.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3026299,4.00,5.00,3.00,7.00,5.00,7.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3026302,5.00,4.00,4.00,5.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3026310,5.00,4.00,3.00,3.00,6.00,5.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3026345,5.00,8.00,6.00,8.00,7.00,5.75,0.00,7.00,2.00,NULL,NULL,NULL,'S'),(16,3026353,5.00,7.00,4.00,9.00,6.00,6.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3026361,3.00,7.00,3.00,7.00,5.00,5.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3026370,3.00,3.00,2.00,3.00,2.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3026388,3.00,2.00,3.00,1.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3026396,9.00,8.00,10.00,9.00,9.00,7.00,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3026400,6.00,7.00,6.00,9.00,8.00,5.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3026418,5.00,6.00,4.00,8.00,6.00,4.75,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3026434,7.00,6.00,3.00,5.00,8.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3026450,6.00,4.00,7.00,7.00,6.00,5.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3026469,5.00,6.00,5.00,9.00,6.00,6.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3026477,4.00,5.00,6.00,4.00,4.00,5.50,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3026485,6.00,7.00,7.00,8.00,5.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3026493,5.00,7.00,4.00,7.00,6.00,5.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3026507,5.00,4.00,5.00,5.00,7.00,5.25,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3026515,5.00,7.00,2.00,9.00,7.00,6.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3026523,5.00,4.00,2.00,5.00,4.00,6.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3026531,3.00,2.00,3.00,0.00,4.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3026566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3026574,6.00,6.00,4.00,6.00,6.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3026582,6.00,6.00,5.00,9.00,7.00,5.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3026590,6.00,6.00,1.00,5.00,4.00,5.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3026604,6.00,5.00,1.00,9.00,8.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3026612,5.00,3.00,2.00,4.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3026620,5.00,3.00,4.00,9.00,6.00,7.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3026639,4.00,2.00,1.00,6.00,3.00,NULL,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3026647,9.00,7.00,8.00,8.00,5.00,6.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3026655,6.00,5.00,3.00,8.00,6.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3026663,5.00,5.00,3.00,3.00,5.00,6.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3026671,7.00,5.00,4.00,1.00,6.00,4.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3026680,8.00,7.00,5.00,7.00,5.00,6.25,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3026698,5.00,3.00,5.00,9.00,5.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3026701,2.00,4.00,2.00,3.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3026710,7.00,8.00,8.00,8.00,8.00,6.00,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3026728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3026736,7.00,6.00,7.00,8.00,5.00,6.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3026744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3026752,2.00,3.00,1.00,5.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3026760,5.00,4.00,2.00,5.00,6.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3026779,7.00,7.00,3.00,7.00,4.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3026795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3026817,2.00,6.00,6.00,3.00,5.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3026825,3.00,4.00,3.00,2.00,3.00,NULL,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3026833,8.00,7.00,6.00,7.00,6.00,4.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3026841,6.00,4.00,1.00,9.00,6.00,6.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3026850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3026876,5.00,6.00,3.00,6.00,6.00,5.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3026884,5.00,7.00,5.00,8.00,6.00,6.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3026892,2.00,5.00,3.00,3.00,4.00,4.00,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3026914,8.00,6.00,7.00,7.00,6.00,5.50,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3026922,4.00,6.00,8.00,7.00,6.00,5.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3026930,9.00,6.00,9.00,8.00,6.00,5.75,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3026949,4.00,2.00,4.00,4.00,1.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3026957,4.00,4.00,1.00,6.00,4.00,5.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3026965,3.00,2.00,1.00,3.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3026973,6.00,6.00,6.00,8.00,5.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3026990,5.00,3.00,3.00,3.00,4.00,6.25,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3027015,3.00,3.00,3.00,6.00,4.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3027023,4.00,3.00,1.00,9.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3027040,4.00,3.00,5.00,1.00,5.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3027058,3.00,4.00,2.00,7.00,4.00,6.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3027066,8.00,7.00,2.00,9.00,7.00,6.50,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3027082,6.00,6.00,4.00,7.00,5.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3027090,4.00,5.00,4.00,6.00,4.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3027104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3027112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3027120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3027139,3.00,2.00,2.00,1.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3027147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3027155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3027163,6.00,7.00,3.00,8.00,7.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3027171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3027180,6.00,7.00,6.00,7.00,6.00,5.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3027198,1.00,4.00,3.00,1.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3027201,6.00,4.00,2.00,5.00,5.00,5.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3027228,3.00,3.00,6.00,6.00,4.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3027244,4.00,6.00,2.00,7.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3027252,3.00,5.00,4.00,4.00,6.00,5.75,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3027260,4.00,6.00,6.00,6.00,6.00,5.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3027279,8.00,7.00,7.00,7.00,7.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'S'),(16,3027287,6.00,7.00,5.00,5.00,5.00,4.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3027295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3027309,4.00,6.00,2.00,9.00,6.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3027317,6.00,7.00,5.00,6.00,7.00,4.75,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3027325,6.00,7.00,3.00,5.00,5.00,5.50,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3027333,2.00,1.00,4.00,4.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3027341,7.00,8.00,5.00,7.00,7.00,6.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3027350,7.00,7.00,4.00,8.00,7.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3027368,6.00,5.00,4.00,9.00,8.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3027376,6.00,6.00,5.00,8.00,3.00,NULL,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3027384,4.00,5.00,4.00,6.00,5.00,6.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3027406,4.00,7.00,3.00,2.00,5.00,6.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3027414,3.00,6.00,3.00,7.00,4.00,5.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3027422,8.00,7.00,4.00,8.00,6.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3027430,4.00,6.00,7.00,6.00,7.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3027449,4.00,4.00,5.00,6.00,6.00,6.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3027457,2.00,5.00,6.00,2.00,4.00,4.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3027473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3027481,2.00,4.00,3.00,1.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3027490,4.00,6.00,6.00,6.00,5.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3027503,4.00,6.00,1.00,0.00,4.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3027511,4.00,1.00,3.00,6.00,8.00,4.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3027520,8.00,7.00,4.00,9.00,7.00,5.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3027546,7.00,7.00,5.00,8.00,8.00,6.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3027554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3027562,3.00,2.00,2.00,7.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3027570,3.00,3.00,3.00,6.00,1.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3027589,6.00,9.00,6.00,8.00,7.00,5.75,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3027597,7.00,7.00,5.00,7.00,7.00,6.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3027600,5.00,5.00,1.00,6.00,5.00,5.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3027619,7.00,5.00,4.00,4.00,6.00,7.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3027627,8.00,7.00,6.00,8.00,7.00,5.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3027635,5.00,5.00,2.00,7.00,7.00,7.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3027643,9.00,7.00,9.00,7.00,6.00,6.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3027651,2.00,3.00,3.00,7.00,5.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3027660,7.00,5.00,6.00,5.00,6.00,6.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3027686,7.00,7.00,6.00,7.00,7.00,6.25,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3027708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3027716,6.00,5.00,7.00,7.00,8.00,5.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3027724,3.00,4.00,2.00,7.00,5.00,4.00,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3027740,4.00,3.00,2.00,7.00,5.00,5.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3027759,9.00,8.00,8.00,8.00,8.00,8.50,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3027767,5.00,5.00,5.00,4.00,4.00,5.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3027775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3027783,7.00,9.00,9.00,9.00,9.00,6.25,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3027791,7.00,7.00,4.00,8.00,7.00,7.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3027805,5.00,1.00,3.00,3.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3027813,6.00,6.00,3.00,8.00,4.00,7.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3027821,7.00,9.00,5.00,7.00,8.00,6.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3027830,0.00,1.00,2.00,0.00,0.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3027848,5.00,7.00,6.00,8.00,6.00,7.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3027864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3027872,3.00,4.00,2.00,6.00,4.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3027880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3027899,9.00,7.00,5.00,8.00,7.00,6.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3027910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3027929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3027937,4.00,7.00,7.00,8.00,7.00,5.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3027945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3027953,7.00,6.00,3.00,5.00,6.00,7.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3027961,4.00,4.00,3.00,6.00,5.00,4.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3027970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3027988,3.00,1.00,2.00,1.00,4.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3027996,7.00,7.00,3.00,6.00,5.00,6.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3028003,7.00,3.00,4.00,4.00,4.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3028011,7.00,8.00,3.00,8.00,7.00,5.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3028020,4.00,5.00,2.00,3.00,6.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3028038,8.00,8.00,8.00,8.00,7.00,7.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3028046,8.00,8.00,7.00,8.00,6.00,5.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3028054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3028062,6.00,6.00,6.00,7.00,6.00,7.50,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3028070,2.00,2.00,4.00,4.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3028089,1.00,4.00,2.00,5.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3028097,2.00,3.00,4.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3028100,9.00,8.00,9.00,9.00,8.00,7.00,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3028119,5.00,6.00,6.00,7.00,7.00,6.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3028127,4.00,6.00,3.00,8.00,7.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3028143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3028151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3028160,3.00,4.00,4.00,1.00,2.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3028178,2.00,4.00,2.00,4.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3028194,5.00,7.00,5.00,9.00,4.00,7.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3028208,8.00,4.00,7.00,8.00,4.00,6.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3028216,5.00,3.00,4.00,5.00,4.00,5.50,4.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3028224,3.00,5.00,3.00,7.00,4.00,6.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3028232,4.00,6.00,2.00,2.00,5.00,4.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3028240,5.00,7.00,7.00,8.00,7.00,5.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3028259,3.00,5.00,5.00,7.00,7.00,5.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3028267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3028275,7.00,5.00,5.00,8.00,5.00,4.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3028283,5.00,4.00,4.00,6.00,4.00,5.75,0.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3028291,4.00,2.00,3.00,6.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3028305,7.00,6.00,4.00,7.00,8.00,6.50,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3028313,3.00,2.00,2.00,2.00,4.00,4.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3028321,9.00,7.00,1.00,9.00,6.00,7.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3028330,9.00,8.00,5.00,8.00,7.00,5.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3028356,4.00,7.00,6.00,4.00,5.00,5.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3028364,6.00,7.00,7.00,6.00,7.00,6.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3028372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3028399,5.00,2.00,1.00,8.00,6.00,4.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3028402,7.00,7.00,7.00,8.00,8.00,6.25,7.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3028410,4.00,6.00,7.00,7.00,6.00,8.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3028429,3.00,3.00,5.00,6.00,4.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3028437,7.00,6.00,4.00,6.00,5.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3028445,6.00,5.00,1.00,7.00,6.00,5.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3028453,8.00,6.00,8.00,8.00,7.00,6.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3028461,6.00,8.00,6.00,9.00,9.00,7.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3028470,4.00,7.00,5.00,7.00,6.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3028488,7.00,7.00,7.00,5.00,7.00,7.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3028496,4.00,7.00,4.00,4.00,6.00,6.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3028500,9.00,7.00,4.00,6.00,8.00,5.50,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3028518,6.00,8.00,6.00,8.00,6.00,7.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3028526,5.00,6.00,5.00,7.00,2.00,NULL,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3028534,1.00,4.00,2.00,6.00,6.00,6.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3028542,5.00,7.00,4.00,9.00,7.00,7.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3028550,4.00,5.00,3.00,7.00,4.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3028569,4.00,4.00,1.00,3.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3028577,3.00,5.00,5.00,7.00,5.00,5.50,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3028585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3028593,5.00,5.00,6.00,8.00,6.00,6.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3028607,5.00,0.00,2.00,3.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3028615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3028623,9.00,6.00,9.00,9.00,9.00,6.75,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3028631,5.00,3.00,3.00,7.00,6.00,6.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3028640,4.00,5.00,3.00,7.00,3.00,NULL,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3028658,3.00,3.00,2.00,2.00,4.00,NULL,1.00,3.00,6.00,NULL,NULL,NULL,'S'),(16,3028666,3.00,4.00,2.00,3.00,4.00,4.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3028674,8.00,7.00,7.00,8.00,5.00,4.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3028682,3.00,4.00,4.00,8.00,4.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3028690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3028704,5.00,3.00,5.00,8.00,4.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3028720,2.00,1.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3028747,5.00,5.00,2.00,5.00,3.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3028755,7.00,2.00,4.00,7.00,6.00,5.00,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3028763,6.00,5.00,2.00,6.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3028780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3028798,7.00,6.00,4.00,8.00,7.00,4.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3028801,7.00,8.00,5.00,8.00,7.00,4.50,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3028810,2.00,1.00,1.00,4.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3028828,5.00,6.00,4.00,8.00,7.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3028836,7.00,7.00,5.00,8.00,5.00,6.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3028844,4.00,4.00,3.00,7.00,5.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3028852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3028860,0.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3028879,7.00,7.00,6.00,8.00,6.00,7.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3028887,5.00,8.00,6.00,8.00,7.00,6.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3028895,2.00,5.00,3.00,6.00,4.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3028909,3.00,2.00,2.00,5.00,5.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3028917,7.00,6.00,4.00,9.00,6.00,7.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3028925,4.00,6.00,7.00,7.00,7.00,7.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3028941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3028968,4.00,7.00,6.00,3.00,4.00,4.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3028984,4.00,4.00,2.00,6.00,5.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3029000,3.00,5.00,4.00,6.00,3.00,NULL,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3029018,5.00,5.00,4.00,6.00,6.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3029026,5.00,8.00,6.00,8.00,7.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3029034,1.00,5.00,1.00,4.00,5.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3029042,3.00,6.00,4.00,7.00,4.00,5.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3029050,3.00,3.00,3.00,6.00,6.00,3.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3029069,5.00,7.00,6.00,6.00,4.00,4.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3029077,5.00,6.00,2.00,8.00,8.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3029085,1.00,2.00,1.00,6.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3029093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3029115,7.00,9.00,6.00,6.00,5.00,6.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3029123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3029140,8.00,5.00,8.00,8.00,7.00,7.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3029158,7.00,7.00,9.00,9.00,8.00,7.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3029166,3.00,3.00,1.00,7.00,2.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3029182,4.00,3.00,7.00,6.00,4.00,5.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3029190,5.00,1.00,2.00,6.00,5.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3029204,7.00,8.00,4.00,9.00,6.00,7.25,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3029212,2.00,2.00,2.00,6.00,7.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3029220,7.00,5.00,5.00,8.00,6.00,5.00,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3029239,3.00,5.00,5.00,4.00,5.00,3.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3029247,2.00,6.00,4.00,8.00,7.00,5.50,4.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3029255,4.00,7.00,5.00,9.00,6.00,6.75,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3029263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3029271,3.00,1.00,3.00,6.00,2.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3029280,3.00,3.00,3.00,2.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3029310,4.00,3.00,3.00,6.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3029328,7.00,7.00,6.00,8.00,7.00,7.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3029336,6.00,5.00,4.00,9.00,5.00,6.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3029344,6.00,6.00,3.00,0.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3029352,1.00,3.00,3.00,5.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3029360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3029379,5.00,4.00,4.00,7.00,6.00,4.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3029387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3029409,6.00,2.00,3.00,5.00,6.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3029417,6.00,5.00,7.00,8.00,7.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3029433,6.00,5.00,2.00,4.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3029441,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3029450,4.00,4.00,2.00,0.00,5.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3029468,8.00,8.00,5.00,7.00,8.00,6.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3029484,4.00,5.00,4.00,8.00,6.00,4.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3029492,5.00,8.00,5.00,8.00,5.00,5.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3029506,5.00,5.00,4.00,8.00,5.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3029514,5.00,7.00,5.00,6.00,5.00,4.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3029522,3.00,4.00,4.00,8.00,7.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3029530,2.00,2.00,3.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3029549,7.00,8.00,5.00,9.00,7.00,6.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3029557,4.00,5.00,5.00,8.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3029573,5.00,3.00,2.00,3.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3029581,8.00,9.00,5.00,8.00,6.00,7.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3029590,7.00,8.00,6.00,8.00,6.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3029603,5.00,3.00,2.00,1.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3029611,4.00,4.00,2.00,6.00,4.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3029620,6.00,6.00,4.00,8.00,7.00,4.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3029654,7.00,6.00,2.00,7.00,5.00,6.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3029670,5.00,7.00,5.00,7.00,6.00,4.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3029689,8.00,8.00,8.00,9.00,8.00,7.00,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3029697,6.00,7.00,3.00,9.00,4.00,5.00,3.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3029727,3.00,3.00,2.00,5.00,5.00,5.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3029735,2.00,3.00,1.00,5.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3029743,6.00,5.00,5.00,7.00,6.00,5.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3029751,3.00,2.00,4.00,5.00,4.00,5.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3029778,5.00,6.00,4.00,4.00,6.00,0.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3029786,8.00,5.00,6.00,7.00,6.00,6.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3029794,4.00,8.00,7.00,4.00,7.00,5.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3029808,5.00,4.00,3.00,8.00,7.00,7.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3029816,4.00,4.00,5.00,0.00,3.00,NULL,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3029824,4.00,4.00,2.00,5.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3029832,4.00,5.00,4.00,5.00,5.00,5.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3029840,6.00,3.00,6.00,7.00,4.00,5.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3029859,5.00,4.00,5.00,6.00,6.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3029867,4.00,7.00,2.00,6.00,5.00,5.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3029875,8.00,5.00,7.00,8.00,7.00,5.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3029883,5.00,5.00,3.00,6.00,5.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3029891,5.00,5.00,6.00,4.00,4.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3029905,8.00,8.00,7.00,9.00,8.00,6.00,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3029921,6.00,7.00,5.00,8.00,7.00,4.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3029930,5.00,6.00,2.00,8.00,6.00,6.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3029948,5.00,6.00,3.00,1.00,4.00,2.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3029956,5.00,4.00,3.00,7.00,6.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3029964,5.00,7.00,5.00,5.00,5.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3029972,7.00,6.00,7.00,8.00,6.00,7.00,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3029999,6.00,7.00,5.00,2.00,6.00,6.25,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3030008,4.00,4.00,2.00,7.00,6.00,6.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3030016,8.00,7.00,6.00,9.00,9.00,7.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3030024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3030032,5.00,7.00,3.00,6.00,5.00,5.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3030040,6.00,5.00,5.00,8.00,6.00,5.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3030059,8.00,5.00,4.00,4.00,5.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3030075,1.00,3.00,1.00,2.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3030083,2.00,4.00,4.00,4.00,6.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3030091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3030130,3.00,4.00,4.00,7.00,5.00,5.25,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3030148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3030156,2.00,4.00,1.00,3.00,6.00,5.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3030164,7.00,5.00,4.00,5.00,6.00,4.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3030172,4.00,2.00,3.00,3.00,3.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3030180,6.00,5.00,4.00,4.00,7.00,5.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3030199,8.00,6.00,2.00,7.00,5.00,7.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3030202,6.00,3.00,1.00,5.00,6.00,6.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3030210,3.00,8.00,5.00,6.00,5.00,5.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3030229,4.00,2.00,1.00,5.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3030237,4.00,3.00,3.00,7.00,4.00,5.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3030245,5.00,2.00,2.00,5.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3030261,7.00,6.00,5.00,8.00,7.00,6.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3030270,3.00,3.00,2.00,6.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3030288,7.00,6.00,2.00,3.00,5.00,4.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3030296,3.00,2.00,1.00,5.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3030300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3030318,7.00,7.00,4.00,8.00,7.00,5.75,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3030326,4.00,4.00,1.00,7.00,5.00,4.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3030342,2.00,4.00,5.00,4.00,1.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3030377,2.00,2.00,4.00,8.00,2.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3030385,7.00,6.00,5.00,8.00,6.00,6.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3030393,3.00,6.00,2.00,7.00,6.00,7.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3030407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3030415,5.00,6.00,4.00,5.00,4.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3030423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3030431,2.00,3.00,4.00,3.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3030440,2.00,2.00,2.00,1.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3030458,8.00,7.00,4.00,6.00,6.00,7.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3030474,6.00,4.00,3.00,5.00,5.00,5.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3030482,4.00,8.00,5.00,8.00,5.00,6.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3030504,2.00,4.00,5.00,3.00,2.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3030512,5.00,6.00,3.00,5.00,5.00,5.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3030539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3030547,4.00,9.00,2.00,2.00,5.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3030555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3030563,3.00,6.00,2.00,4.00,5.00,5.25,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3030571,4.00,6.00,3.00,7.00,6.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3030636,5.00,0.00,4.00,7.00,5.00,5.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3030644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3030652,3.00,6.00,2.00,6.00,3.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3030679,3.00,2.00,1.00,4.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3030687,2.00,3.00,3.00,2.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3030725,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3030733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3030741,9.00,8.00,8.00,7.00,8.00,5.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3030750,3.00,2.00,2.00,5.00,4.00,4.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3030768,5.00,4.00,4.00,1.00,8.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3030776,3.00,1.00,1.00,2.00,5.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3030792,6.00,7.00,6.00,4.00,4.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3030806,5.00,5.00,4.00,9.00,4.00,3.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3030814,5.00,3.00,4.00,5.00,4.00,4.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3030849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3030857,6.00,7.00,4.00,7.00,7.00,7.50,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3030865,7.00,4.00,4.00,8.00,7.00,7.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3030881,7.00,5.00,6.00,6.00,6.00,5.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3030890,6.00,6.00,5.00,5.00,6.00,6.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3030903,4.00,3.00,2.00,5.00,4.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3030911,7.00,6.00,5.00,5.00,7.00,6.75,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3030938,5.00,5.00,2.00,5.00,4.00,5.50,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3030946,2.00,5.00,3.00,5.00,6.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3030954,5.00,5.00,3.00,3.00,3.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3030962,2.00,6.00,2.00,4.00,5.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3030970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3030989,5.00,5.00,3.00,5.00,6.00,7.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3031004,3.00,3.00,1.00,5.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3031020,9.00,8.00,6.00,9.00,8.00,6.00,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3031039,5.00,8.00,4.00,8.00,4.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3031047,3.00,5.00,5.00,7.00,5.00,7.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3031063,5.00,3.00,3.00,7.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3031071,4.00,5.00,1.00,6.00,5.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3031080,8.00,8.00,4.00,8.00,7.00,8.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3031098,5.00,5.00,1.00,8.00,6.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3031110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3031128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3031136,4.00,8.00,3.00,4.00,6.00,4.75,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3031144,7.00,8.00,3.00,8.00,8.00,7.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3031152,9.00,8.00,7.00,8.00,7.00,6.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3031179,8.00,8.00,6.00,9.00,6.00,6.75,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3031187,7.00,5.00,4.00,9.00,5.00,5.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3031195,2.00,5.00,2.00,7.00,4.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3031209,5.00,5.00,4.00,6.00,5.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3031217,4.00,3.00,4.00,6.00,6.00,4.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3031225,8.00,7.00,5.00,8.00,3.00,NULL,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3031241,8.00,7.00,7.00,6.00,6.00,8.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3031250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3031268,7.00,5.00,5.00,7.00,5.00,7.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3031276,9.00,7.00,7.00,9.00,5.00,5.25,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3031284,8.00,9.00,5.00,7.00,7.00,6.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3031292,6.00,7.00,3.00,5.00,6.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3031306,4.00,4.00,3.00,4.00,5.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3031314,4.00,4.00,3.00,7.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3031322,4.00,4.00,1.00,2.00,5.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3031349,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3031357,4.00,3.00,3.00,4.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3031365,6.00,5.00,6.00,4.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3031373,1.00,1.00,1.00,6.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3031390,4.00,5.00,3.00,3.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3031403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3031411,3.00,4.00,2.00,6.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3031420,8.00,7.00,5.00,8.00,8.00,5.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3031438,7.00,9.00,6.00,9.00,7.00,6.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3031446,7.00,6.00,5.00,8.00,6.00,5.00,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3031454,4.00,4.00,4.00,4.00,2.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3031462,4.00,5.00,3.00,2.00,4.00,4.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3031470,4.00,5.00,1.00,4.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3031489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3031500,8.00,7.00,3.00,8.00,8.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3031519,8.00,5.00,4.00,8.00,6.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3031527,9.00,7.00,6.00,5.00,6.00,6.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3031535,4.00,6.00,5.00,7.00,5.00,2.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3031543,5.00,5.00,4.00,4.00,4.00,5.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3031560,7.00,6.00,7.00,9.00,7.00,6.75,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3031578,4.00,2.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3031586,5.00,8.00,4.00,8.00,7.00,5.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3031594,9.00,4.00,9.00,9.00,8.00,6.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3031616,3.00,6.00,3.00,6.00,4.00,5.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3031624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3031640,6.00,5.00,8.00,4.00,5.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3031659,4.00,5.00,5.00,7.00,5.00,4.75,8.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3031675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3031683,3.00,0.00,2.00,6.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3031691,6.00,7.00,4.00,2.00,5.00,4.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3031705,9.00,7.00,8.00,8.00,7.00,5.25,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3031713,3.00,4.00,1.00,5.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3031721,4.00,6.00,6.00,6.00,5.00,5.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3031730,6.00,7.00,3.00,2.00,6.00,5.50,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3031748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3031756,6.00,6.00,3.00,7.00,6.00,4.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3031764,3.00,6.00,5.00,8.00,8.00,6.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3031772,8.00,8.00,4.00,8.00,8.00,6.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3031780,5.00,1.00,1.00,6.00,6.00,5.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3031799,4.00,1.00,4.00,6.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3031802,6.00,6.00,4.00,6.00,6.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3031810,7.00,8.00,6.00,8.00,8.00,6.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3031829,4.00,5.00,6.00,6.00,6.00,5.25,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3031837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3031845,5.00,6.00,3.00,8.00,5.00,4.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3031861,6.00,4.00,4.00,4.00,6.00,4.50,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3031888,4.00,2.00,3.00,7.00,4.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3031896,4.00,6.00,3.00,9.00,8.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3031900,4.00,8.00,2.00,7.00,4.00,5.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3031918,8.00,8.00,8.00,8.00,6.00,5.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3031926,4.00,5.00,4.00,8.00,5.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3031950,2.00,2.00,3.00,5.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3031969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3031977,2.00,6.00,2.00,8.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3031985,3.00,7.00,3.00,8.00,6.00,7.75,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3031993,3.00,3.00,2.00,8.00,6.00,5.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3032000,8.00,5.00,2.00,9.00,7.00,4.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3032019,5.00,4.00,6.00,8.00,7.00,6.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3032035,6.00,6.00,4.00,9.00,5.00,5.75,3.00,8.00,6.00,NULL,NULL,NULL,'S'),(16,3032043,7.00,6.00,5.00,8.00,5.00,5.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3032051,7.00,9.00,4.00,8.00,6.00,7.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3032060,4.00,7.00,1.00,4.00,6.00,4.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3032078,2.00,3.00,3.00,2.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3032086,0.00,4.00,2.00,4.00,3.00,NULL,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3032094,4.00,5.00,1.00,7.00,4.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3032108,3.00,4.00,3.00,4.00,4.00,4.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3032116,3.00,1.00,1.00,6.00,6.00,6.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3032124,6.00,6.00,4.00,9.00,6.00,6.50,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3032132,4.00,7.00,5.00,7.00,7.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3032140,8.00,8.00,5.00,7.00,6.00,6.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3032159,9.00,8.00,2.00,8.00,7.00,6.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3032167,6.00,6.00,5.00,7.00,5.00,6.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3032175,7.00,5.00,7.00,9.00,7.00,6.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3032191,5.00,7.00,8.00,9.00,6.00,6.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3032205,4.00,5.00,5.00,6.00,4.00,4.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3032213,3.00,3.00,3.00,6.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3032221,3.00,3.00,1.00,4.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3032230,7.00,6.00,4.00,9.00,6.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3032248,3.00,6.00,4.00,5.00,4.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3032256,3.00,2.00,3.00,5.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3032264,9.00,8.00,5.00,7.00,7.00,5.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3032272,5.00,4.00,2.00,1.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3032280,7.00,4.00,4.00,6.00,5.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3032299,8.00,6.00,5.00,4.00,6.00,5.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3032310,3.00,2.00,1.00,2.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3032329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3032337,5.00,8.00,5.00,9.00,7.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3032345,3.00,5.00,2.00,7.00,6.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3032353,2.00,3.00,2.00,4.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3032361,4.00,7.00,2.00,7.00,4.00,4.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3032370,5.00,5.00,4.00,4.00,6.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3032388,6.00,2.00,2.00,4.00,4.00,4.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3032396,2.00,3.00,2.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3032418,7.00,8.00,2.00,6.00,7.00,4.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3032434,2.00,1.00,2.00,2.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3032450,2.00,4.00,3.00,5.00,4.00,3.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3032477,5.00,6.00,5.00,5.00,6.00,5.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3032485,5.00,6.00,7.00,7.00,6.00,5.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3032493,7.00,5.00,4.00,3.00,4.00,6.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3032507,7.00,5.00,3.00,7.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3032515,5.00,2.00,2.00,6.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3032531,4.00,7.00,5.00,6.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3032540,6.00,5.00,7.00,8.00,9.00,6.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3032566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3032574,4.00,7.00,5.00,5.00,6.00,6.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3032582,7.00,5.00,2.00,4.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3032590,2.00,2.00,1.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3032612,6.00,7.00,7.00,9.00,6.00,5.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3032620,2.00,1.00,4.00,4.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3032639,7.00,4.00,3.00,6.00,8.00,4.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3032647,2.00,5.00,4.00,7.00,4.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3032663,7.00,5.00,2.00,6.00,3.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3032671,6.00,4.00,4.00,7.00,6.00,7.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3032680,3.00,0.00,4.00,2.00,4.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3032698,1.00,3.00,2.00,6.00,8.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3032710,4.00,4.00,3.00,2.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3032728,4.00,5.00,3.00,7.00,5.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3032744,4.00,2.00,1.00,2.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3032752,7.00,9.00,8.00,0.00,0.00,NULL,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(16,3032787,5.00,7.00,5.00,4.00,5.00,7.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3032795,3.00,2.00,2.00,6.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3032809,4.00,3.00,4.00,8.00,5.00,3.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3032817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3032825,8.00,4.00,7.00,9.00,7.00,6.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3032833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3032841,8.00,6.00,5.00,9.00,6.00,6.00,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3032850,3.00,6.00,1.00,6.00,5.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3032868,6.00,3.00,6.00,6.00,3.00,NULL,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3032876,4.00,5.00,1.00,7.00,4.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3032892,5.00,5.00,6.00,6.00,4.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3032906,5.00,5.00,1.00,9.00,8.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3032914,9.00,8.00,7.00,10.00,7.00,5.00,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3032922,8.00,6.00,5.00,2.00,6.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3032949,3.00,2.00,1.00,2.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3032965,2.00,2.00,4.00,3.00,1.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3032981,3.00,2.00,2.00,4.00,4.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3032990,4.00,5.00,3.00,7.00,6.00,4.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3033007,5.00,6.00,4.00,7.00,6.00,5.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3033015,6.00,2.00,2.00,4.00,6.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3033031,3.00,5.00,1.00,6.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3033040,6.00,8.00,6.00,9.00,9.00,8.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3033066,3.00,6.00,5.00,6.00,5.00,4.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3033074,5.00,6.00,5.00,8.00,4.00,5.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3033082,4.00,3.00,3.00,8.00,9.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3033090,2.00,4.00,3.00,6.00,4.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3033104,3.00,0.00,5.00,4.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3033112,7.00,5.00,7.00,9.00,6.00,4.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3033120,2.00,2.00,3.00,0.00,4.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3033139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3033147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3033155,8.00,6.00,6.00,8.00,8.00,6.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3033163,7.00,3.00,3.00,9.00,4.00,5.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3033171,4.00,5.00,3.00,7.00,4.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3033198,9.00,8.00,8.00,8.00,7.00,6.25,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3033210,5.00,3.00,2.00,6.00,4.00,3.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3033228,3.00,0.00,1.00,6.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3033252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3033260,3.00,0.00,2.00,5.00,2.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3033279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3033287,2.00,4.00,4.00,4.00,4.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3033295,4.00,5.00,5.00,6.00,5.00,5.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3033309,5.00,6.00,1.00,2.00,5.00,5.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3033317,8.00,6.00,5.00,6.00,5.00,5.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3033333,5.00,4.00,4.00,1.00,4.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3033341,1.00,2.00,4.00,1.00,4.00,NULL,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3033350,4.00,4.00,2.00,7.00,3.00,NULL,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3033368,4.00,8.00,1.00,6.00,5.00,4.50,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3033376,8.00,5.00,2.00,3.00,6.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3033406,6.00,6.00,4.00,8.00,7.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3033414,4.00,6.00,5.00,2.00,6.00,2.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3033422,5.00,4.00,3.00,4.00,4.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3033430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3033449,2.00,3.00,3.00,8.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3033465,6.00,5.00,5.00,8.00,6.00,6.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3033473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3033481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3033511,6.00,7.00,3.00,6.00,4.00,5.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3033520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3033538,5.00,4.00,4.00,6.00,6.00,5.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3033546,8.00,8.00,4.00,8.00,6.00,5.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3033554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3033562,3.00,3.00,2.00,6.00,4.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3033589,8.00,8.00,6.00,4.00,5.00,5.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3033597,3.00,5.00,7.00,9.00,5.00,7.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3033600,4.00,5.00,2.00,3.00,4.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3033619,2.00,0.00,1.00,3.00,6.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3033635,3.00,4.00,5.00,7.00,6.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3033651,2.00,4.00,1.00,7.00,5.00,7.50,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3033660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3033694,6.00,5.00,4.00,7.00,5.00,5.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3033716,6.00,5.00,2.00,4.00,8.00,5.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3033724,4.00,4.00,3.00,6.00,5.00,5.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3033732,6.00,6.00,7.00,7.00,6.00,4.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3033740,8.00,7.00,6.00,8.00,7.00,6.50,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3033759,4.00,1.00,4.00,2.00,4.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3033775,9.00,8.00,7.00,9.00,8.00,7.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3033783,4.00,4.00,5.00,5.00,5.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3033791,3.00,4.00,1.00,3.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3033813,5.00,7.00,3.00,6.00,5.00,4.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3033821,4.00,3.00,3.00,7.00,6.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3033830,7.00,5.00,8.00,6.00,7.00,6.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3033848,2.00,3.00,3.00,1.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3033856,6.00,6.00,3.00,8.00,7.00,6.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3033864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3033880,7.00,8.00,8.00,7.00,7.00,7.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3033902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3033937,7.00,7.00,2.00,7.00,5.00,6.50,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3033945,7.00,5.00,1.00,8.00,6.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3033953,7.00,4.00,6.00,4.00,7.00,6.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3033988,3.00,1.00,2.00,2.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3034003,2.00,4.00,1.00,6.00,7.00,6.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3034011,6.00,6.00,4.00,0.00,6.00,NULL,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3034020,8.00,7.00,8.00,5.00,8.00,6.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3034038,4.00,6.00,2.00,3.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3034046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3034062,8.00,8.00,9.00,9.00,7.00,6.50,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3034070,6.00,7.00,6.00,7.00,5.00,4.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3034089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3034097,7.00,7.00,4.00,7.00,8.00,6.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3034100,4.00,2.00,2.00,4.00,4.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3034127,3.00,2.00,4.00,6.00,4.00,4.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3034135,2.00,2.00,3.00,4.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3034151,4.00,7.00,4.00,6.00,7.00,7.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3034160,9.00,8.00,8.00,9.00,8.00,8.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3034178,5.00,6.00,2.00,7.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3034186,8.00,8.00,6.00,9.00,7.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3034194,6.00,5.00,3.00,8.00,6.00,5.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3034208,7.00,6.00,8.00,9.00,6.00,5.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3034216,6.00,6.00,5.00,6.00,6.00,5.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3034224,6.00,4.00,4.00,6.00,6.00,6.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3034240,3.00,2.00,1.00,4.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3034259,4.00,2.00,2.00,4.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3034267,3.00,6.00,5.00,6.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3034275,6.00,8.00,4.00,4.00,6.00,5.50,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3034283,2.00,5.00,3.00,6.00,4.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3034291,6.00,7.00,8.00,7.00,5.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3034305,3.00,7.00,6.00,7.00,7.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3034313,3.00,4.00,4.00,6.00,5.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3034321,8.00,8.00,5.00,8.00,7.00,4.75,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3034330,6.00,3.00,1.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3034348,4.00,6.00,6.00,1.00,6.00,5.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3034356,2.00,3.00,3.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3034364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3034372,5.00,5.00,4.00,3.00,7.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3034399,6.00,4.00,6.00,5.00,1.00,NULL,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3034402,4.00,5.00,8.00,3.00,6.00,4.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3034410,2.00,1.00,3.00,5.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3034437,3.00,1.00,1.00,4.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3034445,4.00,6.00,7.00,7.00,7.00,5.00,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3034453,4.00,6.00,4.00,7.00,6.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3034470,5.00,3.00,4.00,7.00,7.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3034488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3034518,5.00,6.00,3.00,7.00,7.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3034534,5.00,7.00,4.00,1.00,6.00,4.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3034550,2.00,3.00,2.00,5.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3034569,6.00,6.00,3.00,6.00,6.00,6.50,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3034577,6.00,6.00,4.00,8.00,7.00,5.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3034585,4.00,8.00,8.00,9.00,8.00,5.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3034607,2.00,2.00,1.00,0.00,5.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3034615,7.00,7.00,6.00,8.00,7.00,6.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3034623,7.00,4.00,3.00,5.00,3.00,NULL,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3034631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3034658,5.00,4.00,1.00,7.00,7.00,5.00,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3034666,4.00,3.00,2.00,1.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3034674,8.00,4.00,3.00,6.00,5.00,6.75,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3034682,6.00,7.00,7.00,5.00,6.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3034704,7.00,7.00,7.00,8.00,7.00,6.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3034712,6.00,7.00,1.00,0.00,7.00,4.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3034720,7.00,9.00,4.00,9.00,7.00,4.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3034739,4.00,3.00,3.00,2.00,0.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3034747,4.00,6.00,5.00,8.00,5.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3034755,8.00,8.00,8.00,8.00,7.00,6.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3034763,7.00,7.00,2.00,9.00,4.00,5.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3034771,5.00,8.00,5.00,8.00,6.00,5.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3034780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3034801,6.00,5.00,2.00,5.00,4.00,5.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3034810,3.00,3.00,2.00,6.00,5.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3034836,3.00,3.00,1.00,8.00,4.00,5.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3034844,4.00,1.00,2.00,3.00,4.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3034852,4.00,0.00,2.00,3.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3034860,5.00,5.00,4.00,9.00,8.00,6.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3034887,5.00,5.00,1.00,7.00,6.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3034895,6.00,2.00,2.00,8.00,4.00,8.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3034909,8.00,5.00,7.00,9.00,6.00,6.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3034917,6.00,6.00,5.00,4.00,6.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3034925,4.00,4.00,3.00,2.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3034933,8.00,7.00,4.00,6.00,7.00,5.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3034941,4.00,5.00,1.00,4.00,2.00,NULL,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3034950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3034968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3034976,5.00,6.00,6.00,9.00,7.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3034992,5.00,5.00,4.00,7.00,7.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3035000,4.00,3.00,3.00,5.00,4.00,5.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3035026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3035034,7.00,8.00,5.00,8.00,6.00,4.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3035042,1.00,2.00,3.00,1.00,2.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3035050,4.00,7.00,3.00,9.00,7.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3035069,5.00,4.00,5.00,1.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3035077,2.00,3.00,1.00,2.00,5.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3035085,6.00,5.00,3.00,7.00,6.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3035093,5.00,4.00,2.00,8.00,6.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3035107,7.00,6.00,7.00,8.00,7.00,5.25,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3035115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3035123,5.00,5.00,1.00,6.00,6.00,7.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3035131,4.00,5.00,3.00,8.00,3.00,NULL,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3035140,7.00,6.00,8.00,8.00,6.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3035158,5.00,4.00,4.00,4.00,6.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3035166,5.00,5.00,3.00,2.00,5.00,4.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3035174,0.00,2.00,2.00,2.00,4.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3035182,5.00,3.00,3.00,7.00,6.00,5.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3035190,4.00,6.00,2.00,8.00,7.00,3.25,4.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3035204,5.00,6.00,1.00,8.00,6.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3035212,4.00,6.00,4.00,7.00,8.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3035220,5.00,4.00,2.00,2.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3035239,8.00,6.00,7.00,7.00,6.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3035247,7.00,4.00,4.00,6.00,6.00,4.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3035255,2.00,2.00,2.00,1.00,0.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3035271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3035280,7.00,7.00,7.00,8.00,6.00,5.00,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3035298,2.00,4.00,1.00,7.00,5.00,4.50,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3035301,9.00,6.00,8.00,9.00,7.00,6.75,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3035310,5.00,6.00,7.00,7.00,5.00,6.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3035328,5.00,7.00,2.00,6.00,6.00,4.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3035336,4.00,1.00,1.00,3.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3035379,3.00,3.00,4.00,2.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3035395,4.00,3.00,2.00,6.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3035409,5.00,7.00,8.00,9.00,7.00,5.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3035425,0.00,5.00,2.00,4.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3035433,5.00,6.00,6.00,8.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3035441,7.00,5.00,6.00,7.00,4.00,7.00,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3035450,4.00,4.00,5.00,8.00,5.00,4.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3035476,4.00,3.00,2.00,4.00,2.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3035484,6.00,6.00,5.00,4.00,4.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3035506,5.00,7.00,7.00,9.00,4.00,5.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3035514,0.00,2.00,2.00,3.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3035530,4.00,3.00,2.00,4.00,3.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3035549,9.00,9.00,9.00,6.00,7.00,7.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3035557,8.00,7.00,8.00,7.00,7.00,6.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3035565,5.00,4.00,2.00,5.00,5.00,4.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3035573,6.00,4.00,7.00,9.00,7.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3035581,2.00,2.00,2.00,2.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3035603,5.00,3.00,1.00,2.00,2.00,NULL,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3035611,7.00,6.00,1.00,8.00,8.00,7.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3035620,3.00,6.00,3.00,5.00,4.00,5.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3035638,7.00,4.00,6.00,8.00,6.00,5.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3035662,7.00,3.00,2.00,5.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3035670,3.00,2.00,2.00,7.00,1.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3035689,2.00,5.00,3.00,5.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3035697,6.00,4.00,3.00,7.00,7.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3035719,3.00,4.00,2.00,0.00,5.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3035727,6.00,7.00,4.00,7.00,8.00,5.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3035735,5.00,3.00,3.00,6.00,4.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3035743,5.00,5.00,7.00,5.00,6.00,5.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3035751,6.00,4.00,2.00,6.00,4.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3035760,5.00,5.00,1.00,9.00,6.00,5.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3035778,7.00,5.00,7.00,9.00,6.00,6.50,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3035786,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3035794,7.00,6.00,5.00,3.00,6.00,7.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3035808,3.00,3.00,2.00,5.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3035832,4.00,2.00,1.00,4.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3035859,6.00,8.00,2.00,9.00,7.00,8.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3035867,6.00,3.00,1.00,3.00,4.00,4.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3035875,8.00,7.00,6.00,7.00,7.00,7.00,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3035883,5.00,5.00,3.00,7.00,4.00,6.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3035905,4.00,4.00,3.00,5.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3035913,4.00,5.00,3.00,6.00,4.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3035921,4.00,7.00,3.00,8.00,6.00,5.75,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3035930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3035948,5.00,7.00,7.00,8.00,5.00,6.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3035956,5.00,2.00,3.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3035980,3.00,7.00,1.00,5.00,6.00,6.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3035999,9.00,9.00,9.00,5.00,6.00,7.50,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3036022,3.00,3.00,1.00,1.00,1.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'S'),(16,3036030,5.00,6.00,4.00,5.00,6.00,7.50,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3036049,4.00,6.00,4.00,7.00,4.00,4.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3036057,6.00,5.00,4.00,7.00,8.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3036065,8.00,5.00,5.00,8.00,7.00,7.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3036073,7.00,3.00,5.00,7.00,8.00,5.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3036081,5.00,6.00,7.00,8.00,4.00,4.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3036103,2.00,5.00,3.00,6.00,4.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3036111,7.00,6.00,5.00,8.00,6.00,7.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3036138,8.00,6.00,7.00,8.00,7.00,6.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3036146,3.00,1.00,4.00,4.00,4.00,6.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3036154,7.00,8.00,6.00,8.00,7.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3036162,3.00,4.00,4.00,7.00,5.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3036170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3036189,8.00,5.00,9.00,8.00,6.00,6.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3036227,3.00,3.00,3.00,5.00,4.00,4.25,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3036235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3036251,4.00,5.00,3.00,6.00,6.00,5.50,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3036260,4.00,6.00,5.00,8.00,6.00,5.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3036286,6.00,5.00,1.00,7.00,6.00,3.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3036294,4.00,3.00,2.00,5.00,6.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3036316,2.00,7.00,3.00,4.00,4.00,5.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3036332,4.00,4.00,5.00,2.00,5.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3036340,6.00,5.00,7.00,7.00,6.00,5.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3036359,8.00,9.00,8.00,7.00,9.00,6.25,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3036367,7.00,8.00,6.00,5.00,7.00,5.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3036375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3036391,6.00,4.00,1.00,5.00,2.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3036405,5.00,7.00,5.00,7.00,8.00,6.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3036413,5.00,5.00,5.00,8.00,5.00,5.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3036421,3.00,6.00,2.00,6.00,5.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3036430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3036448,4.00,2.00,2.00,5.00,4.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3036456,8.00,6.00,7.00,9.00,6.00,6.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3036464,8.00,7.00,9.00,7.00,7.00,5.25,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3036472,7.00,6.00,4.00,6.00,4.00,7.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3036480,5.00,5.00,3.00,4.00,6.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3036499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3036502,6.00,5.00,1.00,7.00,8.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3036510,7.00,7.00,8.00,8.00,9.00,6.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3036545,2.00,4.00,5.00,7.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3036553,5.00,3.00,4.00,7.00,4.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3036561,2.00,6.00,7.00,7.00,7.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3036570,6.00,4.00,5.00,8.00,5.00,5.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3036588,8.00,7.00,5.00,8.00,6.00,4.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3036596,8.00,8.00,5.00,5.00,4.00,4.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3036600,4.00,6.00,7.00,6.00,7.00,5.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3036626,3.00,2.00,5.00,8.00,6.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3036634,7.00,5.00,2.00,8.00,4.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3036642,2.00,2.00,2.00,4.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3036650,4.00,8.00,5.00,7.00,6.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3036669,6.00,5.00,5.00,7.00,4.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3036677,3.00,6.00,6.00,7.00,6.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3036685,4.00,6.00,3.00,6.00,5.00,5.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3036693,8.00,8.00,9.00,8.00,9.00,6.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3036707,1.00,4.00,2.00,7.00,4.00,4.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3036715,5.00,5.00,4.00,7.00,5.00,6.00,4.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3036723,9.00,6.00,6.00,8.00,9.00,6.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3036731,4.00,3.00,5.00,4.00,3.00,NULL,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3036740,8.00,4.00,5.00,7.00,6.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3036766,7.00,4.00,4.00,7.00,5.00,7.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3036774,4.00,5.00,4.00,9.00,7.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3036782,2.00,2.00,3.00,2.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3036790,5.00,5.00,5.00,9.00,6.00,6.25,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3036804,7.00,7.00,3.00,5.00,6.00,6.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3036812,3.00,4.00,4.00,2.00,1.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3036839,7.00,9.00,5.00,8.00,6.00,6.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3036847,8.00,7.00,7.00,9.00,5.00,7.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3036855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3036863,5.00,6.00,6.00,8.00,8.00,6.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3036871,4.00,6.00,5.00,6.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3036880,3.00,6.00,5.00,5.00,3.00,NULL,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3036910,7.00,9.00,5.00,5.00,7.00,5.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3036928,4.00,4.00,4.00,7.00,5.00,6.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3036944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3036952,5.00,6.00,2.00,8.00,4.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3036960,5.00,1.00,1.00,4.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3036979,7.00,7.00,8.00,8.00,7.00,6.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3036987,6.00,6.00,4.00,8.00,7.00,7.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3036995,4.00,3.00,2.00,4.00,8.00,4.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3037002,5.00,5.00,2.00,5.00,2.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'S'),(16,3037037,4.00,5.00,4.00,8.00,6.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3037061,7.00,4.00,4.00,7.00,5.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3037070,3.00,4.00,3.00,6.00,5.00,7.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3037088,6.00,6.00,2.00,6.00,4.00,5.50,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3037096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3037100,9.00,7.00,3.00,9.00,9.00,7.25,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3037118,5.00,6.00,5.00,9.00,7.00,6.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3037126,5.00,3.00,4.00,5.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3037134,3.00,6.00,2.00,7.00,4.00,4.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3037150,6.00,4.00,3.00,3.00,5.00,4.25,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3037169,5.00,4.00,3.00,6.00,4.00,5.00,2.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3037177,6.00,4.00,3.00,8.00,5.00,5.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3037185,3.00,7.00,4.00,8.00,6.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3037193,7.00,6.00,4.00,8.00,5.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3037207,4.00,3.00,2.00,0.00,3.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3037215,4.00,6.00,4.00,2.00,3.00,NULL,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3037240,7.00,6.00,4.00,7.00,4.00,6.50,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3037258,3.00,4.00,5.00,3.00,3.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3037274,4.00,1.00,2.00,5.00,5.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3037282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3037290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3037312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3037320,6.00,5.00,5.00,9.00,8.00,5.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3037339,3.00,5.00,1.00,6.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3037347,2.00,3.00,2.00,2.00,4.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3037355,4.00,3.00,2.00,9.00,5.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3037363,4.00,5.00,1.00,8.00,1.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3037371,4.00,5.00,2.00,8.00,3.00,NULL,2.00,7.00,1.00,NULL,NULL,NULL,'S'),(16,3037380,3.00,4.00,2.00,4.00,5.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3037398,6.00,6.00,7.00,7.00,5.00,7.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3037401,6.00,6.00,8.00,9.00,7.00,5.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3037410,8.00,7.00,6.00,8.00,6.00,5.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3037428,3.00,5.00,5.00,2.00,5.00,5.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3037436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3037444,5.00,8.00,4.00,8.00,5.00,6.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3037452,4.00,2.00,1.00,5.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3037460,4.00,7.00,3.00,7.00,4.00,3.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3037479,8.00,7.00,6.00,7.00,7.00,5.50,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3037487,5.00,4.00,2.00,4.00,4.00,5.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3037495,4.00,2.00,3.00,2.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3037509,6.00,4.00,5.00,7.00,5.00,4.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3037517,2.00,6.00,2.00,7.00,4.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3037525,8.00,8.00,8.00,9.00,8.00,5.25,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3037533,8.00,7.00,6.00,8.00,6.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3037541,5.00,7.00,8.00,8.00,5.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3037550,5.00,4.00,4.00,7.00,7.00,4.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3037576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3037592,5.00,6.00,3.00,7.00,8.00,6.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3037606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3037622,3.00,4.00,1.00,6.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3037630,3.00,7.00,3.00,7.00,6.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3037665,4.00,3.00,3.00,8.00,5.00,5.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3037673,7.00,7.00,7.00,9.00,8.00,6.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3037690,7.00,5.00,5.00,7.00,8.00,7.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3037703,6.00,6.00,5.00,8.00,6.00,5.00,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3037746,7.00,8.00,5.00,7.00,6.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3037754,3.00,2.00,3.00,8.00,5.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3037762,9.00,7.00,9.00,9.00,6.00,6.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3037789,6.00,5.00,4.00,7.00,7.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3037797,6.00,7.00,5.00,9.00,7.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3037819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3037827,8.00,9.00,8.00,8.00,8.00,6.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3037835,7.00,6.00,6.00,9.00,9.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3037851,6.00,4.00,4.00,7.00,7.00,6.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3037886,5.00,6.00,5.00,7.00,5.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3037894,5.00,6.00,2.00,8.00,4.00,NULL,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3037908,4.00,4.00,6.00,7.00,5.00,4.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3037916,7.00,8.00,5.00,9.00,8.00,8.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3037924,4.00,8.00,4.00,9.00,5.00,6.25,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3037932,8.00,7.00,2.00,7.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3037940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3037959,2.00,5.00,3.00,4.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3037967,9.00,7.00,7.00,8.00,8.00,7.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3037975,5.00,2.00,4.00,2.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3037983,5.00,8.00,5.00,8.00,7.00,6.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3038009,6.00,5.00,6.00,8.00,7.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3038017,3.00,4.00,5.00,8.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3038025,4.00,5.00,4.00,7.00,5.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3038033,9.00,9.00,8.00,8.00,8.00,6.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3038041,6.00,6.00,7.00,3.00,6.00,6.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3038050,6.00,6.00,6.00,8.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3038068,6.00,6.00,3.00,6.00,6.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3038084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3038092,4.00,2.00,2.00,8.00,4.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3038106,3.00,4.00,4.00,4.00,6.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3038122,2.00,6.00,1.00,8.00,5.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3038157,5.00,4.00,3.00,3.00,7.00,7.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3038165,7.00,7.00,4.00,6.00,5.00,6.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3038173,2.00,3.00,2.00,2.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3038181,4.00,8.00,7.00,8.00,8.00,6.75,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3038190,3.00,6.00,3.00,6.00,6.00,4.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3038203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3038211,4.00,4.00,2.00,9.00,8.00,8.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3038220,2.00,2.00,2.00,3.00,4.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3038246,5.00,4.00,1.00,6.00,8.00,5.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3038254,4.00,4.00,2.00,6.00,7.00,5.50,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3038262,8.00,8.00,7.00,9.00,8.00,6.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3038270,4.00,6.00,3.00,8.00,5.00,5.50,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3038289,7.00,4.00,7.00,5.00,7.00,4.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3038297,9.00,6.00,9.00,8.00,6.00,5.50,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3038300,2.00,5.00,3.00,5.00,7.00,4.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3038319,3.00,6.00,4.00,5.00,3.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3038327,7.00,8.00,4.00,9.00,8.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3038335,5.00,5.00,3.00,8.00,7.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3038343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3038360,8.00,7.00,5.00,8.00,7.00,7.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3038378,3.00,6.00,4.00,9.00,7.00,7.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3038386,7.00,6.00,8.00,8.00,7.00,5.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3038394,4.00,4.00,4.00,7.00,4.00,4.00,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3038408,6.00,7.00,6.00,6.00,3.00,NULL,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3038416,6.00,4.00,4.00,6.00,5.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3038424,4.00,5.00,3.00,9.00,7.00,4.50,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3038432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3038440,4.00,8.00,6.00,10.00,5.00,4.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3038459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3038483,8.00,9.00,6.00,8.00,7.00,5.75,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3038491,3.00,4.00,4.00,1.00,6.00,8.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3038505,1.00,5.00,3.00,6.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3038513,6.00,6.00,5.00,9.00,7.00,5.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3038521,5.00,5.00,5.00,8.00,4.00,4.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3038530,8.00,9.00,7.00,6.00,5.00,5.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3038548,9.00,6.00,8.00,8.00,4.00,6.00,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3038564,3.00,3.00,1.00,6.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3038572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3038580,6.00,5.00,6.00,10.00,5.00,5.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3038599,2.00,3.00,2.00,3.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3038610,3.00,2.00,2.00,7.00,5.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3038629,4.00,6.00,5.00,2.00,5.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3038637,6.00,4.00,4.00,6.00,7.00,5.75,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3038645,8.00,7.00,6.00,7.00,7.00,7.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3038653,4.00,4.00,6.00,7.00,6.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3038661,2.00,3.00,5.00,6.00,4.00,4.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3038670,5.00,5.00,6.00,6.00,4.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3038688,5.00,7.00,5.00,4.00,7.00,6.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3038696,4.00,4.00,6.00,5.00,4.00,4.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3038700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3038718,2.00,6.00,4.00,7.00,7.00,7.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3038726,9.00,9.00,7.00,8.00,9.00,8.25,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3038750,7.00,9.00,6.00,9.00,7.00,6.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3038769,5.00,2.00,3.00,3.00,5.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3038777,5.00,7.00,2.00,6.00,4.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3038785,5.00,6.00,4.00,9.00,5.00,6.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3038793,5.00,3.00,1.00,6.00,5.00,6.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3038807,5.00,5.00,4.00,9.00,5.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3038823,2.00,3.00,2.00,2.00,2.00,NULL,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3038831,7.00,6.00,5.00,9.00,6.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3038840,4.00,4.00,2.00,6.00,6.00,5.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3038858,7.00,8.00,5.00,7.00,7.00,6.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3038866,2.00,4.00,3.00,5.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3038874,6.00,5.00,4.00,8.00,3.00,NULL,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3038882,7.00,7.00,7.00,8.00,8.00,6.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3038890,3.00,2.00,1.00,5.00,4.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3038904,5.00,5.00,1.00,5.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3038912,6.00,5.00,1.00,8.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3038920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3038939,3.00,7.00,6.00,8.00,8.00,8.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3038947,4.00,4.00,3.00,7.00,4.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3038955,4.00,1.00,3.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3038963,3.00,3.00,3.00,6.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3038980,5.00,7.00,4.00,7.00,5.00,4.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3038998,7.00,6.00,3.00,6.00,7.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3039005,8.00,4.00,5.00,8.00,6.00,5.25,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3039013,5.00,3.00,3.00,5.00,2.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3039021,3.00,2.00,3.00,2.00,0.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3039030,5.00,4.00,4.00,5.00,6.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3039048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3039056,3.00,5.00,1.00,2.00,1.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3039064,2.00,0.00,1.00,0.00,0.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3039080,9.00,9.00,8.00,9.00,8.00,7.00,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3039099,6.00,4.00,4.00,7.00,5.00,6.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3039102,3.00,7.00,1.00,8.00,5.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3039110,2.00,4.00,1.00,0.00,0.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(16,3039129,3.00,3.00,4.00,4.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3039137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3039153,5.00,6.00,5.00,3.00,4.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3039161,7.00,7.00,6.00,9.00,8.00,5.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3039170,7.00,8.00,6.00,9.00,8.00,5.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3039196,4.00,5.00,2.00,7.00,4.00,5.25,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3039200,4.00,8.00,4.00,6.00,7.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3039218,4.00,2.00,3.00,3.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3039226,4.00,3.00,5.00,4.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3039234,4.00,2.00,4.00,9.00,7.00,8.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3039242,4.00,4.00,3.00,2.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3039250,4.00,7.00,1.00,7.00,4.00,4.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3039277,4.00,5.00,4.00,6.00,6.00,6.25,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3039285,3.00,2.00,1.00,2.00,4.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3039293,5.00,4.00,4.00,4.00,4.00,4.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3039307,6.00,7.00,4.00,7.00,7.00,5.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3039323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3039331,8.00,5.00,4.00,9.00,8.00,7.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3039340,3.00,5.00,3.00,7.00,5.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3039366,7.00,8.00,6.00,8.00,7.00,7.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3039374,4.00,3.00,2.00,5.00,1.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3039382,2.00,4.00,1.00,2.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3039390,5.00,3.00,4.00,6.00,5.00,4.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3039404,3.00,6.00,3.00,8.00,4.00,5.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3039420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3039439,4.00,5.00,7.00,7.00,6.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3039447,7.00,7.00,6.00,9.00,6.00,5.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3039471,0.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3039480,6.00,8.00,7.00,8.00,7.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3039501,4.00,7.00,5.00,5.00,6.00,4.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3039510,3.00,5.00,6.00,6.00,5.00,4.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3039528,5.00,3.00,5.00,6.00,4.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3039536,7.00,4.00,7.00,5.00,6.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3039544,7.00,7.00,6.00,7.00,6.00,7.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3039552,9.00,9.00,6.00,8.00,7.00,7.75,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3039560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3039579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3039587,5.00,6.00,3.00,5.00,5.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3039609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3039617,3.00,6.00,2.00,8.00,5.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3039625,4.00,5.00,2.00,4.00,6.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3039633,3.00,3.00,1.00,2.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3039641,7.00,5.00,5.00,6.00,5.00,6.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3039650,5.00,6.00,6.00,4.00,6.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3039676,3.00,1.00,1.00,5.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3039692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3039730,5.00,6.00,4.00,8.00,5.00,6.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3039749,6.00,4.00,5.00,5.00,5.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3039757,4.00,5.00,5.00,3.00,3.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3039765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3039773,5.00,6.00,3.00,4.00,2.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3039781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3039790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3039803,5.00,7.00,6.00,8.00,8.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3039811,4.00,4.00,2.00,5.00,4.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3039838,6.00,8.00,5.00,9.00,6.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3039846,5.00,7.00,4.00,7.00,5.00,5.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3039854,4.00,5.00,5.00,6.00,7.00,7.50,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3039862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3039870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3039897,5.00,0.00,2.00,6.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3039900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3039919,4.00,3.00,2.00,5.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3039927,6.00,4.00,2.00,9.00,6.00,4.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3039935,6.00,6.00,5.00,9.00,4.00,6.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3039943,5.00,6.00,3.00,7.00,4.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3039960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3039978,9.00,8.00,5.00,9.00,6.00,6.25,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3039986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3039994,4.00,2.00,1.00,5.00,4.00,4.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3040003,3.00,5.00,4.00,6.00,4.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3040011,4.00,3.00,2.00,2.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3040020,6.00,7.00,4.00,9.00,6.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3040054,6.00,4.00,5.00,5.00,4.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3040062,5.00,7.00,6.00,7.00,6.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3040070,5.00,7.00,2.00,6.00,5.00,6.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3040089,0.00,3.00,2.00,0.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3040097,4.00,5.00,3.00,5.00,6.00,5.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3040119,4.00,4.00,2.00,5.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3040127,8.00,4.00,1.00,6.00,7.00,6.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3040135,3.00,5.00,1.00,6.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3040143,3.00,1.00,5.00,5.00,7.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3040178,6.00,8.00,4.00,8.00,6.00,6.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3040186,4.00,4.00,4.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3040194,5.00,9.00,5.00,9.00,5.00,5.00,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3040208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3040216,4.00,2.00,3.00,1.00,3.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3040224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3040240,5.00,7.00,5.00,2.00,3.00,NULL,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3040259,2.00,4.00,2.00,4.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3040267,6.00,7.00,6.00,4.00,5.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3040283,7.00,8.00,4.00,2.00,6.00,6.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3040291,2.00,3.00,2.00,4.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3040321,5.00,5.00,4.00,4.00,5.00,4.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3040330,4.00,3.00,4.00,3.00,3.00,NULL,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3040348,4.00,5.00,4.00,2.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3040364,2.00,4.00,3.00,4.00,0.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3040372,6.00,6.00,4.00,9.00,7.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3040380,7.00,6.00,2.00,9.00,6.00,5.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3040402,4.00,2.00,3.00,1.00,6.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3040410,6.00,7.00,2.00,8.00,7.00,5.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3040429,9.00,6.00,5.00,7.00,7.00,7.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3040437,3.00,1.00,2.00,1.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3040453,7.00,7.00,7.00,2.00,7.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3040496,8.00,8.00,7.00,9.00,8.00,6.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3040500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3040518,2.00,0.00,2.00,3.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3040526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3040534,5.00,6.00,2.00,9.00,7.00,4.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3040542,3.00,5.00,3.00,8.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3040550,6.00,6.00,4.00,7.00,6.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3040569,5.00,5.00,3.00,1.00,4.00,5.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3040577,5.00,8.00,5.00,7.00,6.00,6.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3040585,3.00,3.00,2.00,0.00,4.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3040593,2.00,7.00,3.00,8.00,5.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3040607,8.00,5.00,9.00,4.00,4.00,4.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3040615,4.00,2.00,3.00,3.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3040623,9.00,7.00,8.00,7.00,8.00,6.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3040631,4.00,6.00,2.00,8.00,6.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3040640,5.00,5.00,2.00,7.00,7.00,5.50,2.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3040658,7.00,6.00,3.00,7.00,8.00,7.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3040666,4.00,5.00,2.00,4.00,5.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3040674,3.00,5.00,3.00,8.00,4.00,6.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3040682,6.00,6.00,6.00,6.00,6.00,5.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3040690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3040704,5.00,5.00,3.00,8.00,7.00,5.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3040712,7.00,7.00,7.00,8.00,7.00,7.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3040755,5.00,4.00,4.00,4.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3040763,8.00,5.00,8.00,7.00,6.00,6.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3040771,7.00,5.00,2.00,2.00,6.00,7.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3040780,7.00,6.00,4.00,9.00,7.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3040798,6.00,5.00,4.00,3.00,5.00,5.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3040801,6.00,6.00,5.00,8.00,7.00,4.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3040810,2.00,2.00,2.00,2.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3040828,7.00,7.00,6.00,8.00,8.00,5.75,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3040836,7.00,6.00,2.00,6.00,5.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3040844,8.00,5.00,3.00,9.00,6.00,7.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3040852,8.00,3.00,4.00,9.00,7.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3040860,7.00,7.00,8.00,8.00,5.00,6.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3040887,4.00,2.00,1.00,6.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3040909,6.00,8.00,1.00,7.00,7.00,7.00,6.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3040917,6.00,3.00,2.00,9.00,5.00,7.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3040925,5.00,6.00,5.00,5.00,7.00,5.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3040933,4.00,5.00,3.00,4.00,7.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3040941,7.00,4.00,4.00,7.00,4.00,5.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3040950,3.00,5.00,4.00,9.00,7.00,5.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3040976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3040984,7.00,7.00,2.00,8.00,8.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3040992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3041000,5.00,7.00,5.00,6.00,6.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3041018,5.00,2.00,4.00,6.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3041026,8.00,7.00,8.00,8.00,6.00,4.75,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3041034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3041042,7.00,5.00,4.00,7.00,5.00,5.75,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3041050,5.00,7.00,7.00,8.00,9.00,5.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3041069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3041077,5.00,5.00,2.00,9.00,9.00,7.25,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3041085,7.00,6.00,3.00,5.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3041115,3.00,5.00,2.00,5.00,3.00,NULL,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3041123,4.00,7.00,5.00,6.00,4.00,4.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3041131,7.00,6.00,5.00,7.00,6.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3041158,7.00,7.00,6.00,8.00,6.00,6.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3041166,2.00,2.00,2.00,2.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3041174,8.00,8.00,3.00,9.00,8.00,6.50,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3041182,4.00,5.00,2.00,7.00,4.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3041190,2.00,4.00,2.00,5.00,5.00,5.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3041204,6.00,5.00,4.00,5.00,5.00,4.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3041212,2.00,4.00,2.00,1.00,4.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3041220,5.00,6.00,2.00,9.00,5.00,5.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3041247,5.00,5.00,5.00,7.00,5.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3041255,7.00,6.00,7.00,7.00,7.00,6.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3041271,8.00,7.00,6.00,6.00,6.00,5.50,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3041280,3.00,3.00,1.00,4.00,8.00,6.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3041298,5.00,6.00,2.00,2.00,4.00,7.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3041301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3041310,3.00,3.00,4.00,3.00,0.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3041328,4.00,2.00,4.00,6.00,4.00,6.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3041336,4.00,3.00,4.00,2.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3041344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3041352,3.00,7.00,5.00,7.00,5.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3041379,7.00,8.00,3.00,6.00,6.00,5.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3041387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3041395,8.00,4.00,3.00,8.00,7.00,4.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3041409,4.00,2.00,3.00,4.00,4.00,5.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3041417,5.00,4.00,6.00,9.00,5.00,6.50,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3041433,7.00,7.00,4.00,9.00,6.00,6.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3041441,4.00,6.00,3.00,8.00,6.00,6.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3041450,2.00,5.00,2.00,8.00,4.00,4.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3041468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3041476,3.00,2.00,3.00,2.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3041484,4.00,0.00,1.00,6.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3041492,6.00,7.00,6.00,8.00,8.00,4.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3041506,7.00,8.00,4.00,9.00,6.00,4.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3041514,4.00,7.00,3.00,8.00,6.00,5.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3041522,6.00,4.00,5.00,6.00,4.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3041530,7.00,5.00,8.00,9.00,7.00,6.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3041565,7.00,1.00,2.00,2.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3041573,2.00,6.00,2.00,10.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3041590,6.00,2.00,2.00,6.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3041638,1.00,3.00,3.00,3.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3041654,2.00,2.00,4.00,4.00,4.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(16,3041662,5.00,3.00,4.00,1.00,4.00,5.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3041670,0.00,0.00,0.00,0.00,0.00,NULL,3.00,7.00,6.00,'S','S',NULL,'N'),(16,3041689,4.00,5.00,4.00,6.00,6.00,5.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3041697,6.00,4.00,4.00,9.00,6.00,4.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3041719,4.00,4.00,6.00,4.00,8.00,7.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3041727,7.00,7.00,5.00,8.00,7.00,6.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3041735,5.00,7.00,3.00,5.00,7.00,7.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3041743,6.00,6.00,7.00,8.00,8.00,5.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3041760,5.00,3.00,1.00,2.00,1.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3041778,1.00,5.00,5.00,7.00,5.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3041794,5.00,6.00,4.00,7.00,7.00,5.50,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3041808,6.00,7.00,8.00,9.00,9.00,5.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3041824,9.00,7.00,6.00,7.00,6.00,5.50,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3041832,3.00,4.00,4.00,2.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3041840,4.00,6.00,4.00,7.00,5.00,5.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3041883,5.00,7.00,5.00,8.00,7.00,6.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3041891,5.00,6.00,2.00,9.00,6.00,5.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3041905,6.00,7.00,3.00,8.00,4.00,4.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3041913,8.00,5.00,5.00,5.00,6.00,4.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3041921,4.00,4.00,3.00,9.00,7.00,4.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3041930,2.00,3.00,3.00,7.00,2.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3041956,4.00,5.00,3.00,5.00,6.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3041964,3.00,3.00,2.00,4.00,4.00,3.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3041972,2.00,3.00,1.00,6.00,4.00,5.50,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3041980,4.00,4.00,4.00,7.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3041999,3.00,3.00,5.00,1.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3042006,7.00,7.00,6.00,9.00,9.00,6.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3042014,4.00,6.00,7.00,6.00,5.00,7.00,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3042022,4.00,4.00,4.00,6.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3042030,5.00,6.00,1.00,7.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3042049,2.00,2.00,2.00,4.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3042065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3042073,6.00,5.00,2.00,8.00,7.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3042081,3.00,4.00,4.00,8.00,5.00,4.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3042090,5.00,2.00,4.00,7.00,8.00,5.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3042103,5.00,3.00,4.00,6.00,6.00,4.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3042111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3042120,7.00,3.00,6.00,9.00,6.00,6.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3042138,4.00,3.00,1.00,3.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3042162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3042189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3042197,3.00,3.00,2.00,7.00,5.00,6.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3042200,4.00,6.00,5.00,7.00,5.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3042219,6.00,7.00,5.00,9.00,8.00,6.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3042227,7.00,7.00,5.00,8.00,7.00,6.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3042235,4.00,3.00,2.00,3.00,7.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3042243,8.00,8.00,3.00,6.00,7.00,7.50,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3042251,5.00,8.00,5.00,4.00,6.00,5.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3042260,5.00,1.00,2.00,3.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3042278,4.00,2.00,4.00,2.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3042294,6.00,6.00,4.00,4.00,2.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3042308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3042316,4.00,3.00,3.00,5.00,2.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3042324,3.00,4.00,4.00,3.00,5.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3042332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3042340,5.00,5.00,3.00,8.00,5.00,6.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3042359,6.00,2.00,3.00,6.00,3.00,NULL,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3042367,6.00,6.00,4.00,1.00,5.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3042375,7.00,4.00,3.00,6.00,5.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3042383,7.00,7.00,6.00,8.00,8.00,4.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3042405,5.00,5.00,5.00,4.00,7.00,5.00,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3042421,4.00,4.00,2.00,5.00,5.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3042448,3.00,4.00,3.00,7.00,4.00,6.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3042456,6.00,7.00,3.00,7.00,6.00,7.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3042464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3042480,3.00,6.00,3.00,4.00,6.00,4.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3042499,4.00,6.00,2.00,7.00,6.00,6.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3042502,2.00,2.00,2.00,3.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3042510,6.00,5.00,3.00,8.00,6.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3042529,6.00,7.00,3.00,8.00,7.00,4.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3042537,6.00,8.00,6.00,6.00,8.00,6.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3042545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3042561,4.00,3.00,5.00,4.00,4.00,5.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3042570,3.00,3.00,2.00,1.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3042588,6.00,7.00,6.00,8.00,7.00,7.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3042596,4.00,7.00,4.00,8.00,4.00,5.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3042626,7.00,8.00,6.00,7.00,7.00,5.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3042634,5.00,7.00,4.00,8.00,7.00,6.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3042650,3.00,4.00,2.00,3.00,6.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3042669,4.00,6.00,5.00,8.00,6.00,6.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3042677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3042685,2.00,1.00,2.00,2.00,2.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3042715,6.00,6.00,4.00,7.00,6.00,5.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3042723,2.00,4.00,2.00,5.00,6.00,4.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3042740,7.00,6.00,4.00,8.00,4.00,5.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3042758,7.00,5.00,4.00,4.00,5.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3042766,5.00,5.00,4.00,7.00,3.00,NULL,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3042774,1.00,0.00,3.00,3.00,0.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3042782,4.00,6.00,3.00,3.00,4.00,4.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3042790,5.00,5.00,4.00,7.00,5.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3042804,5.00,7.00,4.00,3.00,6.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3042812,8.00,8.00,4.00,6.00,5.00,7.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3042820,5.00,4.00,4.00,1.00,5.00,4.25,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3042847,5.00,6.00,7.00,7.00,7.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3042863,5.00,6.00,4.00,7.00,4.00,4.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3042871,7.00,7.00,5.00,6.00,8.00,6.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3042880,7.00,5.00,3.00,2.00,5.00,4.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3042898,3.00,5.00,4.00,5.00,4.00,6.25,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3042901,7.00,8.00,8.00,8.00,6.00,5.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3042910,7.00,8.00,5.00,8.00,6.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3042936,3.00,5.00,2.00,9.00,6.00,7.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3042944,3.00,7.00,4.00,8.00,5.00,4.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3042960,7.00,6.00,6.00,9.00,4.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3042979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3042987,6.00,8.00,6.00,8.00,6.00,4.00,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3042995,2.00,4.00,3.00,2.00,1.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3043002,2.00,4.00,3.00,4.00,4.00,4.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3043029,7.00,8.00,6.00,6.00,7.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3043037,5.00,6.00,5.00,7.00,4.00,5.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3043045,5.00,5.00,3.00,6.00,3.00,NULL,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3043053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3043061,4.00,4.00,6.00,8.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3043070,5.00,3.00,2.00,8.00,5.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3043088,7.00,7.00,1.00,8.00,3.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3043100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3043118,5.00,4.00,4.00,8.00,5.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3043126,9.00,9.00,6.00,8.00,9.00,8.50,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3043134,5.00,6.00,5.00,8.00,6.00,7.25,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3043142,3.00,7.00,4.00,9.00,7.00,5.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3043169,2.00,3.00,2.00,4.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3043177,3.00,2.00,4.00,3.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3043185,1.00,5.00,2.00,1.00,3.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3043193,9.00,9.00,9.00,9.00,8.00,6.00,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3043207,5.00,4.00,1.00,7.00,4.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3043215,7.00,8.00,6.00,4.00,5.00,5.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3043231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3043240,2.00,7.00,4.00,8.00,4.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3043258,6.00,7.00,3.00,7.00,5.00,6.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3043266,7.00,6.00,6.00,7.00,6.00,6.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3043282,9.00,5.00,6.00,9.00,7.00,4.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3043290,7.00,8.00,2.00,5.00,5.00,5.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3043304,9.00,8.00,6.00,9.00,8.00,6.75,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3043339,8.00,6.00,5.00,8.00,7.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3043347,6.00,5.00,7.00,6.00,2.00,NULL,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3043355,7.00,7.00,4.00,6.00,6.00,7.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3043363,5.00,6.00,6.00,5.00,3.00,NULL,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3043371,3.00,3.00,3.00,7.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3043380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3043398,7.00,5.00,3.00,9.00,5.00,6.50,6.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3043401,6.00,4.00,3.00,7.00,7.00,5.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3043410,3.00,6.00,5.00,7.00,4.00,6.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3043428,5.00,4.00,5.00,2.00,5.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3043436,6.00,5.00,2.00,3.00,6.00,5.00,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3043444,3.00,5.00,4.00,5.00,5.00,4.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3043452,6.00,7.00,4.00,9.00,7.00,5.75,3.00,8.00,5.00,NULL,NULL,NULL,'S'),(16,3043460,4.00,4.00,3.00,6.00,6.00,3.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3043479,5.00,7.00,6.00,7.00,6.00,6.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3043487,3.00,5.00,3.00,7.00,5.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3043495,7.00,7.00,5.00,7.00,7.00,4.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3043509,1.00,1.00,3.00,0.00,1.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3043517,7.00,7.00,8.00,7.00,7.00,6.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3043525,3.00,5.00,3.00,6.00,3.00,NULL,4.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3043533,3.00,3.00,2.00,0.00,0.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3043541,1.00,2.00,4.00,6.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3043550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3043568,5.00,3.00,1.00,3.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3043576,7.00,6.00,1.00,7.00,7.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3043584,9.00,5.00,9.00,6.00,6.00,5.75,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3043592,4.00,4.00,5.00,7.00,5.00,6.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3043606,7.00,9.00,1.00,8.00,6.00,6.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3043614,4.00,3.00,1.00,2.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3043622,3.00,5.00,2.00,3.00,3.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3043630,2.00,4.00,3.00,5.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3043649,6.00,6.00,3.00,9.00,6.00,5.00,3.00,7.00,7.00,NULL,NULL,NULL,'S'),(16,3043665,2.00,3.00,3.00,6.00,3.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3043673,6.00,6.00,1.00,6.00,6.00,5.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3043690,4.00,2.00,2.00,0.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3043703,5.00,1.00,5.00,2.00,6.00,7.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3043711,4.00,6.00,8.00,4.00,7.00,5.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3043720,4.00,6.00,3.00,6.00,5.00,4.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3043738,4.00,6.00,4.00,3.00,7.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3043746,7.00,7.00,5.00,8.00,6.00,7.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3043754,6.00,6.00,3.00,5.00,8.00,5.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3043762,9.00,8.00,9.00,6.00,9.00,6.50,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3043770,4.00,3.00,3.00,4.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3043797,2.00,5.00,4.00,1.00,5.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3043800,3.00,4.00,5.00,6.00,4.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3043827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3043835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3043843,8.00,7.00,7.00,8.00,5.00,6.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3043851,3.00,7.00,4.00,8.00,5.00,4.75,3.00,8.00,2.00,NULL,NULL,NULL,'S'),(16,3043860,5.00,4.00,5.00,4.00,4.00,4.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3043886,5.00,5.00,3.00,7.00,5.00,4.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3043908,5.00,6.00,3.00,9.00,6.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3043916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3043932,7.00,6.00,4.00,4.00,7.00,5.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3043967,7.00,8.00,4.00,7.00,7.00,5.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3043975,2.00,2.00,2.00,6.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3043983,5.00,5.00,7.00,7.00,3.00,NULL,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3043991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3044017,6.00,5.00,1.00,7.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3044025,7.00,5.00,4.00,8.00,6.00,6.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3044033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3044041,6.00,5.00,4.00,2.00,7.00,5.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3044068,4.00,4.00,2.00,3.00,7.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3044076,7.00,8.00,3.00,7.00,5.00,3.25,4.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3044084,6.00,5.00,4.00,7.00,5.00,4.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3044106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3044114,6.00,5.00,7.00,5.00,5.00,6.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3044122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3044130,6.00,6.00,5.00,8.00,5.00,5.25,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3044149,4.00,4.00,3.00,1.00,3.00,NULL,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3044157,7.00,8.00,3.00,3.00,7.00,4.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3044165,4.00,4.00,2.00,7.00,6.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3044173,5.00,3.00,4.00,6.00,3.00,NULL,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3044181,5.00,6.00,1.00,9.00,6.00,5.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3044190,7.00,6.00,5.00,3.00,4.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3044203,8.00,9.00,5.00,9.00,8.00,9.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3044220,6.00,9.00,2.00,3.00,4.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3044246,9.00,7.00,8.00,8.00,7.00,6.75,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3044254,6.00,6.00,6.00,9.00,9.00,7.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3044262,2.00,3.00,2.00,5.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3044289,6.00,7.00,3.00,9.00,6.00,5.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3044297,6.00,4.00,4.00,4.00,5.00,4.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3044300,6.00,5.00,4.00,9.00,5.00,7.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3044319,9.00,7.00,8.00,8.00,7.00,7.00,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3044327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3044335,2.00,5.00,2.00,0.00,4.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3044343,5.00,5.00,4.00,7.00,4.00,4.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3044351,2.00,3.00,4.00,2.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3044360,3.00,2.00,1.00,5.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3044378,5.00,5.00,1.00,5.00,4.00,4.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3044386,4.00,1.00,2.00,6.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3044394,5.00,6.00,3.00,7.00,7.00,4.25,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3044408,8.00,7.00,6.00,8.00,7.00,5.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3044416,8.00,5.00,1.00,5.00,8.00,6.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3044424,6.00,7.00,5.00,8.00,7.00,5.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3044432,5.00,3.00,3.00,3.00,3.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3044459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3044467,8.00,7.00,7.00,9.00,7.00,6.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3044475,4.00,3.00,2.00,3.00,4.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3044483,6.00,4.00,4.00,9.00,5.00,5.75,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3044513,9.00,6.00,5.00,7.00,6.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3044521,3.00,4.00,1.00,8.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3044530,5.00,8.00,2.00,7.00,3.00,NULL,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3044548,6.00,7.00,6.00,7.00,4.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3044556,5.00,7.00,5.00,8.00,7.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3044564,5.00,7.00,6.00,4.00,6.00,6.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3044572,3.00,1.00,4.00,4.00,1.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3044580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3044610,1.00,4.00,1.00,3.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3044629,8.00,8.00,7.00,7.00,7.00,5.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3044645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3044653,3.00,0.00,1.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3044661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3044670,7.00,5.00,6.00,8.00,8.00,8.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3044688,3.00,5.00,4.00,6.00,5.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3044696,3.00,1.00,2.00,4.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3044700,3.00,6.00,2.00,7.00,6.00,5.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3044718,5.00,5.00,4.00,9.00,5.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3044726,4.00,5.00,5.00,4.00,3.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3044734,3.00,3.00,2.00,6.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3044742,1.00,7.00,4.00,9.00,5.00,7.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3044750,1.00,3.00,3.00,3.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3044769,3.00,1.00,4.00,6.00,4.00,5.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3044777,3.00,3.00,3.00,3.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3044785,8.00,8.00,8.00,6.00,4.00,6.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3044793,7.00,4.00,5.00,9.00,7.00,6.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3044807,3.00,4.00,1.00,4.00,5.00,4.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3044815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3044823,8.00,7.00,4.00,9.00,7.00,4.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3044831,1.00,2.00,1.00,4.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(16,3044840,5.00,4.00,3.00,4.00,6.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3044858,4.00,4.00,4.00,7.00,6.00,4.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3044866,3.00,8.00,4.00,8.00,7.00,5.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3044874,4.00,4.00,2.00,6.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3044890,6.00,5.00,4.00,9.00,5.00,6.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3044912,8.00,8.00,5.00,7.00,8.00,6.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3044920,6.00,5.00,3.00,8.00,5.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3044939,5.00,6.00,5.00,7.00,7.00,5.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3044947,1.00,3.00,2.00,6.00,6.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3044955,5.00,6.00,4.00,8.00,4.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3044963,6.00,5.00,2.00,7.00,7.00,5.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3044971,5.00,6.00,6.00,8.00,5.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3044980,4.00,3.00,1.00,6.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3044998,9.00,7.00,8.00,8.00,7.00,5.50,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3045005,6.00,9.00,7.00,4.00,8.00,7.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3045013,5.00,3.00,4.00,3.00,4.00,5.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3045021,7.00,7.00,7.00,6.00,6.00,5.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3045030,4.00,6.00,4.00,5.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3045048,6.00,5.00,3.00,6.00,8.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3045056,5.00,3.00,4.00,7.00,7.00,6.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3045064,7.00,6.00,3.00,8.00,7.00,6.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3045080,4.00,2.00,2.00,8.00,4.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3045099,8.00,8.00,6.00,8.00,8.00,6.50,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3045102,4.00,4.00,2.00,8.00,6.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3045110,9.00,8.00,7.00,7.00,8.00,6.75,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3045129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3045137,6.00,7.00,4.00,9.00,8.00,6.25,7.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3045153,2.00,4.00,3.00,7.00,6.00,4.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3045170,4.00,6.00,3.00,7.00,4.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3045188,4.00,8.00,4.00,7.00,5.00,4.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3045196,3.00,5.00,7.00,8.00,4.00,7.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3045200,5.00,4.00,3.00,5.00,4.00,4.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3045218,3.00,5.00,3.00,8.00,6.00,4.50,2.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3045226,5.00,7.00,4.00,9.00,7.00,6.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3045242,8.00,7.00,6.00,7.00,6.00,5.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3045250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3045277,7.00,9.00,9.00,9.00,9.00,6.00,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3045293,4.00,5.00,5.00,1.00,7.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3045307,3.00,3.00,1.00,8.00,0.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3045323,4.00,5.00,3.00,4.00,4.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3045331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3045340,4.00,4.00,4.00,6.00,2.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3045366,4.00,6.00,6.00,9.00,6.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3045374,7.00,5.00,7.00,7.00,6.00,5.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3045382,6.00,6.00,6.00,8.00,6.00,4.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3045390,1.00,1.00,1.00,7.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3045404,5.00,6.00,5.00,9.00,6.00,4.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3045412,7.00,4.00,3.00,8.00,8.00,5.25,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(16,3045420,6.00,4.00,1.00,5.00,6.00,3.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3045439,3.00,1.00,3.00,6.00,4.00,4.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3045447,3.00,6.00,7.00,3.00,7.00,6.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3045455,4.00,6.00,2.00,9.00,8.00,5.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3045463,6.00,5.00,5.00,0.00,6.00,4.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3045480,6.00,7.00,6.00,6.00,6.00,6.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3045498,5.00,6.00,6.00,6.00,5.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3045501,3.00,4.00,3.00,5.00,3.00,NULL,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3045510,5.00,3.00,3.00,7.00,5.00,5.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3045528,4.00,6.00,6.00,7.00,5.00,4.00,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3045536,9.00,8.00,8.00,8.00,7.00,7.00,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3045552,6.00,2.00,2.00,8.00,4.00,6.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3045560,5.00,8.00,5.00,7.00,7.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3045587,3.00,4.00,2.00,6.00,4.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3045595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3045609,5.00,5.00,2.00,2.00,6.00,7.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3045633,1.00,5.00,4.00,1.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3045641,5.00,6.00,4.00,8.00,5.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3045650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3045668,6.00,4.00,7.00,3.00,3.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3045684,9.00,6.00,7.00,8.00,7.00,5.00,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3045692,4.00,4.00,4.00,4.00,5.00,6.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3045706,4.00,4.00,8.00,9.00,9.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3045714,9.00,5.00,7.00,8.00,6.00,7.75,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3045722,3.00,5.00,1.00,5.00,4.00,6.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3045749,3.00,4.00,2.00,6.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3045757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3045773,9.00,7.00,9.00,8.00,8.00,7.00,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3045803,2.00,3.00,3.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3045811,8.00,7.00,8.00,9.00,8.00,6.25,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3045838,4.00,3.00,2.00,8.00,5.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3045846,3.00,2.00,3.00,6.00,5.00,5.00,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3045862,6.00,5.00,3.00,5.00,6.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3045889,6.00,4.00,3.00,7.00,6.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3045897,6.00,8.00,5.00,9.00,8.00,5.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3045919,3.00,7.00,2.00,7.00,4.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3045927,7.00,7.00,4.00,3.00,6.00,5.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3045935,7.00,2.00,9.00,8.00,6.00,6.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3045943,3.00,5.00,1.00,7.00,5.00,5.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3045951,7.00,6.00,2.00,6.00,6.00,6.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3045960,4.00,6.00,6.00,2.00,4.00,5.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3045986,4.00,2.00,2.00,6.00,2.00,NULL,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3045994,6.00,4.00,4.00,7.00,7.00,5.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3046001,8.00,8.00,7.00,9.00,8.00,9.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3046010,0.00,0.00,0.00,7.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3046028,7.00,7.00,5.00,9.00,7.00,7.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3046036,5.00,6.00,3.00,7.00,8.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3046052,8.00,6.00,4.00,7.00,5.00,6.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3046060,6.00,7.00,4.00,9.00,6.00,4.00,3.00,9.00,5.00,NULL,NULL,NULL,'S'),(16,3046079,5.00,5.00,3.00,6.00,3.00,NULL,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3046087,8.00,7.00,7.00,6.00,8.00,5.75,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3046095,2.00,4.00,1.00,8.00,5.00,4.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3046109,6.00,8.00,5.00,9.00,5.00,8.00,0.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3046117,2.00,3.00,3.00,2.00,3.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3046125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3046133,7.00,9.00,2.00,7.00,8.00,5.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3046141,4.00,3.00,2.00,3.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3046150,8.00,9.00,6.00,9.00,8.00,7.75,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3046168,6.00,5.00,4.00,7.00,6.00,5.25,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3046176,9.00,7.00,7.00,8.00,6.00,7.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3046184,3.00,3.00,1.00,7.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3046192,5.00,5.00,1.00,9.00,6.00,7.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3046214,3.00,4.00,3.00,9.00,6.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3046230,5.00,4.00,3.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3046257,6.00,6.00,5.00,9.00,7.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3046265,5.00,7.00,6.00,9.00,7.00,5.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3046273,3.00,3.00,1.00,3.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3046281,9.00,9.00,8.00,8.00,7.00,7.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3046290,5.00,3.00,5.00,2.00,5.00,5.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3046303,4.00,3.00,1.00,8.00,6.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3046311,9.00,8.00,5.00,7.00,5.00,5.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3046320,4.00,5.00,6.00,8.00,5.00,4.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3046338,6.00,5.00,2.00,7.00,7.00,6.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3046346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3046354,8.00,8.00,9.00,9.00,7.00,7.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3046362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3046370,3.00,5.00,4.00,8.00,4.00,4.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3046397,8.00,5.00,3.00,8.00,8.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3046400,4.00,5.00,4.00,8.00,7.00,6.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3046427,4.00,4.00,5.00,2.00,6.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3046435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3046443,5.00,6.00,4.00,6.00,5.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3046451,4.00,1.00,2.00,7.00,1.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3046486,4.00,3.00,1.00,1.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3046494,8.00,8.00,6.00,6.00,7.00,6.00,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3046508,5.00,6.00,5.00,5.00,4.00,4.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3046516,3.00,5.00,4.00,4.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3046532,5.00,5.00,6.00,5.00,4.00,5.75,3.00,2.00,5.00,NULL,NULL,NULL,'S'),(16,3046540,3.00,3.00,3.00,4.00,4.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3046559,2.00,0.00,2.00,4.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3046567,3.00,4.00,3.00,5.00,1.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3046575,3.00,3.00,1.00,6.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3046591,5.00,3.00,3.00,6.00,5.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3046605,5.00,5.00,5.00,6.00,7.00,6.25,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3046613,7.00,9.00,6.00,3.00,5.00,5.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3046621,2.00,4.00,3.00,4.00,4.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3046630,5.00,6.00,4.00,5.00,6.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3046648,5.00,6.00,3.00,6.00,5.00,4.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3046656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3046664,1.00,4.00,1.00,3.00,5.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3046672,2.00,4.00,1.00,4.00,5.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3046699,8.00,7.00,6.00,7.00,7.00,7.00,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3046702,5.00,2.00,2.00,3.00,3.00,NULL,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3046710,6.00,4.00,3.00,6.00,6.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3046729,6.00,5.00,6.00,5.00,4.00,5.50,1.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3046745,4.00,3.00,2.00,7.00,4.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3046753,4.00,4.00,2.00,5.00,2.00,NULL,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3046761,6.00,5.00,4.00,8.00,5.00,6.00,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3046770,5.00,5.00,2.00,1.00,4.00,4.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3046788,6.00,3.00,1.00,6.00,6.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3046796,3.00,3.00,3.00,3.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3046818,8.00,9.00,5.00,3.00,7.00,7.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3046826,2.00,2.00,3.00,2.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3046834,4.00,5.00,2.00,2.00,4.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3046842,5.00,7.00,3.00,5.00,5.00,3.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3046850,3.00,2.00,1.00,6.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3046877,3.00,4.00,3.00,2.00,0.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3046885,8.00,5.00,2.00,5.00,4.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3046893,5.00,5.00,3.00,4.00,4.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3046907,3.00,4.00,2.00,1.00,3.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3046915,3.00,4.00,1.00,6.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3046923,3.00,3.00,3.00,0.00,5.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3046931,3.00,3.00,2.00,2.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3046940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3046958,4.00,4.00,2.00,6.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3046966,4.00,4.00,1.00,4.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3046974,8.00,9.00,4.00,2.00,5.00,5.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3046982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3046990,3.00,3.00,3.00,2.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3047008,2.00,6.00,3.00,2.00,3.00,NULL,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3047016,4.00,5.00,1.00,1.00,3.00,NULL,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3047024,5.00,3.00,4.00,8.00,6.00,5.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3047032,5.00,4.00,2.00,3.00,6.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3047040,4.00,3.00,1.00,2.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3047059,8.00,5.00,8.00,7.00,5.00,5.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3047067,6.00,5.00,3.00,6.00,6.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3047075,5.00,4.00,1.00,0.00,4.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3047083,7.00,8.00,3.00,5.00,6.00,4.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3047105,4.00,7.00,4.00,2.00,5.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3047130,4.00,6.00,4.00,9.00,5.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3047148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3047156,6.00,5.00,5.00,8.00,6.00,6.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3047172,7.00,6.00,8.00,6.00,6.00,7.00,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3047199,5.00,5.00,5.00,6.00,5.00,4.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3047202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3047210,4.00,6.00,5.00,2.00,7.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3047229,4.00,3.00,1.00,3.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3047245,5.00,5.00,3.00,6.00,5.00,6.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3047253,5.00,7.00,2.00,7.00,5.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3047261,6.00,5.00,4.00,5.00,4.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3047270,7.00,8.00,8.00,9.00,9.00,9.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3047296,4.00,3.00,6.00,5.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3047318,7.00,7.00,4.00,9.00,8.00,6.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3047326,3.00,3.00,1.00,6.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3047334,2.00,3.00,2.00,4.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3047342,2.00,4.00,2.00,5.00,5.00,4.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3047350,5.00,5.00,4.00,4.00,8.00,7.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3047369,4.00,8.00,2.00,7.00,8.00,5.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3047377,3.00,3.00,2.00,6.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3047385,6.00,5.00,3.00,9.00,4.00,7.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3047393,1.00,2.00,2.00,3.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3047407,2.00,2.00,3.00,3.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3047415,5.00,5.00,3.00,5.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3047423,7.00,7.00,6.00,9.00,6.00,4.75,4.00,8.00,3.00,NULL,NULL,NULL,'S'),(16,3047440,6.00,8.00,5.00,8.00,6.00,7.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3047458,5.00,4.00,2.00,9.00,4.00,4.75,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3047474,4.00,2.00,4.00,4.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3047482,5.00,4.00,4.00,5.00,4.00,6.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3047490,5.00,5.00,3.00,7.00,6.00,5.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3047504,4.00,4.00,6.00,7.00,7.00,6.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3047512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3047520,2.00,3.00,1.00,7.00,4.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3047539,3.00,6.00,5.00,7.00,6.00,7.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3047555,4.00,8.00,6.00,4.00,3.00,NULL,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3047563,8.00,9.00,5.00,8.00,8.00,7.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3047580,3.00,7.00,1.00,6.00,7.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3047598,2.00,4.00,1.00,4.00,4.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3047610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3047636,2.00,3.00,2.00,5.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3047652,8.00,7.00,8.00,4.00,7.00,7.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3047660,2.00,2.00,1.00,1.00,3.00,NULL,5.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3047679,9.00,9.00,10.00,8.00,8.00,6.25,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3047687,0.00,0.00,2.00,4.00,4.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3047695,2.00,3.00,4.00,5.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3047709,5.00,6.00,4.00,8.00,4.00,5.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3047717,6.00,7.00,3.00,9.00,7.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3047725,2.00,1.00,3.00,3.00,4.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3047733,5.00,5.00,2.00,8.00,5.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3047741,5.00,6.00,4.00,7.00,5.00,5.25,0.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3047768,4.00,1.00,3.00,3.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3047784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3047792,8.00,8.00,5.00,6.00,7.00,7.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3047806,5.00,2.00,5.00,9.00,5.00,4.50,2.00,4.00,6.00,NULL,NULL,NULL,'S'),(16,3047814,4.00,4.00,2.00,3.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3047822,4.00,3.00,4.00,5.00,6.00,4.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3047830,6.00,6.00,8.00,7.00,6.00,5.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3047865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3047873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3047881,9.00,8.00,9.00,8.00,6.00,8.00,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3047890,5.00,6.00,3.00,7.00,8.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3047903,6.00,3.00,3.00,8.00,7.00,5.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3047911,2.00,4.00,2.00,5.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3047920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3047938,9.00,6.00,8.00,6.00,6.00,6.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3047946,3.00,4.00,4.00,3.00,6.00,4.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3047954,6.00,7.00,5.00,8.00,6.00,5.75,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3047962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3047970,4.00,4.00,2.00,8.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3047997,3.00,4.00,3.00,3.00,2.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3048012,5.00,3.00,3.00,3.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3048039,2.00,5.00,3.00,6.00,4.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3048055,8.00,9.00,8.00,7.00,7.00,5.75,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3048063,6.00,7.00,4.00,5.00,6.00,4.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3048071,6.00,6.00,3.00,3.00,3.00,NULL,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3048080,7.00,5.00,4.00,3.00,5.00,5.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3048098,5.00,3.00,4.00,8.00,5.00,4.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3048101,4.00,6.00,5.00,4.00,6.00,5.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3048110,8.00,6.00,6.00,9.00,7.00,6.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3048136,5.00,5.00,2.00,8.00,7.00,7.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3048144,0.00,0.00,0.00,3.00,7.00,NULL,2.00,3.00,2.00,NULL,'S',NULL,'N'),(16,3048152,8.00,4.00,7.00,7.00,6.00,6.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3048160,5.00,7.00,1.00,8.00,5.00,5.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3048195,4.00,6.00,3.00,6.00,6.00,5.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3048209,4.00,3.00,7.00,9.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3048217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3048225,3.00,6.00,2.00,6.00,4.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3048241,5.00,6.00,3.00,4.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3048250,6.00,5.00,3.00,7.00,5.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3048268,3.00,3.00,1.00,5.00,7.00,6.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3048276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3048292,5.00,5.00,3.00,5.00,6.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3048306,3.00,4.00,3.00,1.00,1.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'S'),(16,3048314,5.00,2.00,6.00,2.00,2.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3048322,7.00,7.00,7.00,7.00,7.00,4.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3048330,3.00,5.00,2.00,7.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3048357,4.00,4.00,3.00,4.00,4.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3048365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3048373,4.00,4.00,4.00,6.00,4.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3048381,8.00,7.00,7.00,9.00,7.00,6.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3048390,6.00,5.00,7.00,9.00,7.00,5.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3048403,4.00,6.00,3.00,6.00,5.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3048411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3048420,2.00,2.00,4.00,1.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3048454,8.00,7.00,4.00,8.00,7.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3048462,7.00,4.00,3.00,8.00,6.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3048470,6.00,5.00,2.00,7.00,6.00,5.00,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3048489,3.00,3.00,2.00,6.00,4.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3048497,9.00,7.00,9.00,7.00,7.00,6.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3048500,8.00,5.00,2.00,7.00,6.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3048519,5.00,7.00,6.00,5.00,6.00,6.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3048527,5.00,8.00,6.00,7.00,6.00,6.50,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3048535,8.00,7.00,7.00,9.00,8.00,7.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3048543,4.00,3.00,3.00,6.00,1.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3048551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3048560,5.00,4.00,3.00,7.00,5.00,5.25,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3048578,2.00,4.00,1.00,3.00,2.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3048594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3048616,4.00,6.00,3.00,4.00,4.00,3.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3048624,8.00,6.00,7.00,7.00,6.00,6.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3048640,6.00,2.00,4.00,6.00,6.00,4.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3048675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3048683,7.00,4.00,5.00,8.00,7.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3048713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3048730,3.00,2.00,1.00,6.00,5.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3048748,7.00,7.00,7.00,8.00,7.00,6.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3048756,6.00,8.00,7.00,8.00,7.00,7.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3048764,4.00,5.00,3.00,8.00,6.00,4.50,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3048780,4.00,5.00,5.00,6.00,4.00,4.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3048799,3.00,3.00,2.00,5.00,5.00,5.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3048802,6.00,5.00,4.00,6.00,4.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3048810,2.00,2.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3048829,6.00,5.00,3.00,5.00,6.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3048837,7.00,8.00,3.00,5.00,4.00,6.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3048845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3048853,6.00,4.00,1.00,6.00,4.00,4.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3048861,5.00,5.00,3.00,4.00,6.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3048888,8.00,7.00,9.00,9.00,6.00,6.25,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3048896,6.00,6.00,4.00,6.00,6.00,4.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3048900,4.00,6.00,1.00,8.00,4.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3048918,6.00,7.00,4.00,8.00,7.00,7.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3048926,9.00,8.00,9.00,9.00,9.00,6.25,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3048934,7.00,5.00,6.00,6.00,6.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3048942,6.00,8.00,4.00,9.00,8.00,7.00,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3048950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3048969,3.00,2.00,3.00,1.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3048977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3048985,7.00,7.00,7.00,7.00,6.00,5.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3048993,5.00,6.00,8.00,8.00,8.00,6.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3049000,2.00,2.00,2.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3049019,6.00,4.00,5.00,5.00,6.00,4.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3049035,5.00,6.00,4.00,6.00,6.00,6.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3049043,7.00,7.00,4.00,5.00,6.00,5.50,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3049051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3049060,5.00,3.00,4.00,7.00,5.00,6.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3049086,6.00,7.00,3.00,9.00,8.00,6.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3049094,5.00,2.00,4.00,5.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3049108,7.00,9.00,7.00,8.00,6.00,7.00,3.00,8.00,5.00,NULL,NULL,NULL,'S'),(16,3049116,5.00,7.00,5.00,9.00,7.00,5.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3049132,7.00,8.00,4.00,9.00,7.00,4.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3049140,8.00,8.00,8.00,7.00,7.00,7.50,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3049159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3049167,9.00,8.00,8.00,9.00,6.00,5.75,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3049175,5.00,6.00,5.00,7.00,4.00,4.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3049183,8.00,8.00,9.00,7.00,6.00,6.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3049205,7.00,7.00,4.00,9.00,8.00,7.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3049213,7.00,7.00,1.00,7.00,6.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3049221,5.00,7.00,4.00,8.00,7.00,5.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3049248,4.00,6.00,6.00,9.00,8.00,6.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3049256,3.00,2.00,2.00,5.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3049264,8.00,5.00,7.00,8.00,8.00,7.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3049272,7.00,8.00,4.00,7.00,8.00,5.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3049280,3.00,4.00,3.00,5.00,4.00,5.50,2.00,1.00,4.00,NULL,NULL,NULL,'S'),(16,3049310,5.00,7.00,2.00,4.00,4.00,4.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3049329,5.00,6.00,8.00,8.00,6.00,5.75,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3049337,3.00,5.00,5.00,2.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3049345,7.00,7.00,4.00,7.00,5.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3049361,9.00,8.00,7.00,8.00,8.00,6.00,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3049370,6.00,4.00,1.00,5.00,6.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3049388,3.00,3.00,1.00,4.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3049396,9.00,7.00,5.00,5.00,7.00,5.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3049400,2.00,3.00,4.00,3.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3049418,3.00,3.00,4.00,5.00,4.00,0.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3049426,7.00,6.00,6.00,9.00,8.00,8.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3049434,5.00,3.00,3.00,7.00,5.00,4.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3049450,4.00,6.00,6.00,5.00,6.00,5.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3049469,5.00,2.00,4.00,4.00,4.00,4.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3049477,8.00,3.00,4.00,4.00,6.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3049493,5.00,5.00,5.00,6.00,5.00,6.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3049507,5.00,4.00,4.00,4.00,7.00,5.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3049515,4.00,3.00,4.00,7.00,4.00,6.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3049523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3049531,3.00,4.00,3.00,1.00,0.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3049540,3.00,7.00,3.00,6.00,5.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3049558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3049566,5.00,3.00,2.00,4.00,5.00,4.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3049582,7.00,6.00,6.00,7.00,8.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3049590,3.00,2.00,1.00,7.00,4.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3049604,7.00,4.00,4.00,6.00,6.00,5.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3049612,5.00,7.00,1.00,6.00,2.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3049620,6.00,6.00,4.00,8.00,7.00,4.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3049639,6.00,5.00,2.00,9.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3049647,5.00,3.00,5.00,5.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3049655,5.00,4.00,5.00,8.00,5.00,5.50,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3049671,4.00,6.00,3.00,4.00,6.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3049680,4.00,4.00,2.00,1.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3049698,5.00,3.00,6.00,8.00,6.00,7.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3049701,9.00,6.00,9.00,7.00,6.00,5.50,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3049710,3.00,0.00,4.00,5.00,2.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3049736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3049744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3049752,7.00,6.00,6.00,4.00,8.00,4.75,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3049760,3.00,5.00,3.00,4.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3049779,5.00,6.00,3.00,0.00,5.00,4.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3049787,3.00,4.00,4.00,4.00,5.00,6.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3049795,9.00,8.00,9.00,9.00,8.00,8.75,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3049809,7.00,7.00,6.00,8.00,6.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3049817,4.00,4.00,3.00,5.00,5.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3049833,4.00,5.00,6.00,9.00,7.00,7.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3049841,6.00,7.00,4.00,7.00,5.00,5.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3049850,5.00,5.00,2.00,9.00,7.00,5.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3049868,5.00,6.00,2.00,5.00,5.00,4.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3049876,7.00,7.00,6.00,7.00,7.00,6.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3049884,8.00,7.00,7.00,7.00,7.00,6.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3049892,8.00,6.00,9.00,7.00,8.00,5.50,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3049906,3.00,4.00,2.00,2.00,0.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3049914,6.00,5.00,6.00,4.00,4.00,4.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3049922,1.00,4.00,4.00,3.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3049949,3.00,4.00,4.00,2.00,5.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3049957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3049965,7.00,7.00,7.00,9.00,7.00,7.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3049973,6.00,4.00,8.00,9.00,7.00,5.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3049981,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3049990,3.00,1.00,2.00,4.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3050009,5.00,8.00,6.00,4.00,8.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3050017,3.00,2.00,2.00,4.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3050025,4.00,2.00,4.00,5.00,4.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3050033,5.00,7.00,7.00,7.00,7.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3050068,5.00,7.00,6.00,7.00,7.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3050076,2.00,1.00,3.00,6.00,2.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3050084,8.00,7.00,3.00,7.00,5.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3050092,8.00,7.00,1.00,3.00,3.00,NULL,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3050106,4.00,2.00,2.00,1.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3050114,6.00,6.00,1.00,4.00,7.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3050122,4.00,4.00,4.00,0.00,3.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3050130,5.00,7.00,8.00,9.00,7.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3050157,6.00,4.00,3.00,9.00,7.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3050165,3.00,2.00,3.00,2.00,4.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3050173,8.00,7.00,5.00,9.00,7.00,7.00,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3050181,5.00,5.00,4.00,6.00,4.00,5.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3050211,5.00,3.00,1.00,1.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3050246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3050262,6.00,5.00,3.00,7.00,4.00,5.00,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3050289,5.00,7.00,4.00,4.00,7.00,6.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3050300,6.00,7.00,5.00,9.00,7.00,6.75,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3050319,2.00,4.00,2.00,8.00,6.00,6.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3050327,8.00,8.00,9.00,9.00,8.00,5.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3050335,6.00,4.00,5.00,7.00,8.00,6.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3050343,4.00,3.00,3.00,6.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3050351,5.00,6.00,5.00,9.00,6.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3050360,6.00,6.00,5.00,9.00,7.00,7.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3050378,4.00,3.00,3.00,7.00,6.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3050386,8.00,6.00,7.00,8.00,8.00,6.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3050394,6.00,6.00,4.00,4.00,5.00,5.00,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3050408,6.00,6.00,2.00,3.00,5.00,5.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3050416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3050424,8.00,7.00,5.00,9.00,7.00,5.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3050432,4.00,7.00,5.00,4.00,7.00,7.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3050440,4.00,2.00,2.00,4.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3050467,4.00,4.00,3.00,7.00,4.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3050475,2.00,1.00,3.00,5.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3050483,4.00,7.00,1.00,5.00,5.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3050505,5.00,8.00,5.00,7.00,6.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3050521,7.00,8.00,6.00,9.00,6.00,5.75,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3050530,9.00,9.00,7.00,6.00,7.00,6.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3050548,3.00,5.00,2.00,5.00,4.00,5.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3050556,2.00,6.00,1.00,1.00,5.00,5.00,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3050564,7.00,9.00,9.00,9.00,8.00,5.75,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3050602,3.00,4.00,4.00,3.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3050629,6.00,4.00,3.00,8.00,8.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3050637,5.00,7.00,5.00,2.00,6.00,7.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3050645,5.00,3.00,4.00,6.00,4.00,5.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3050653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3050688,6.00,4.00,6.00,4.00,6.00,5.25,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3050696,2.00,7.00,1.00,6.00,7.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3050700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3050718,5.00,2.00,4.00,3.00,5.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3050726,5.00,6.00,3.00,7.00,6.00,6.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3050734,9.00,8.00,7.00,8.00,7.00,7.25,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3050750,5.00,4.00,3.00,8.00,5.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3050769,4.00,6.00,2.00,7.00,7.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3050777,1.00,2.00,2.00,0.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3050785,8.00,8.00,5.00,8.00,7.00,7.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3050793,5.00,7.00,2.00,8.00,6.00,8.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3050807,4.00,6.00,5.00,7.00,6.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3050823,6.00,8.00,2.00,7.00,8.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3050831,9.00,7.00,7.00,8.00,8.00,6.00,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3050840,2.00,4.00,3.00,6.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3050858,8.00,9.00,9.00,8.00,9.00,8.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3050866,9.00,7.00,8.00,9.00,9.00,8.50,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3050874,9.00,8.00,5.00,9.00,7.00,7.00,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3050882,8.00,7.00,6.00,8.00,6.00,7.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3050890,9.00,8.00,6.00,8.00,7.00,6.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3050904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3050912,5.00,9.00,4.00,3.00,6.00,6.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3050920,6.00,5.00,6.00,9.00,8.00,6.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3050939,4.00,5.00,3.00,3.00,4.00,4.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3050947,7.00,8.00,7.00,8.00,6.00,5.25,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3050955,6.00,6.00,3.00,3.00,4.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3050971,5.00,4.00,2.00,4.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3050980,4.00,4.00,4.00,7.00,6.00,3.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3051005,2.00,5.00,4.00,5.00,4.00,4.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3051013,6.00,6.00,3.00,9.00,6.00,5.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3051021,6.00,4.00,1.00,6.00,8.00,6.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3051030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3051048,7.00,7.00,6.00,8.00,7.00,5.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3051056,3.00,6.00,4.00,7.00,4.00,5.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3051064,4.00,6.00,4.00,0.00,7.00,4.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3051072,6.00,5.00,2.00,3.00,6.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3051080,7.00,4.00,3.00,7.00,9.00,6.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3051099,4.00,7.00,6.00,6.00,6.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3051102,3.00,4.00,3.00,7.00,4.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3051129,4.00,4.00,4.00,8.00,8.00,5.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3051137,7.00,3.00,7.00,6.00,6.00,5.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3051153,5.00,4.00,3.00,8.00,5.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3051161,5.00,6.00,4.00,9.00,6.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3051170,8.00,8.00,7.00,9.00,8.00,8.25,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3051188,1.00,4.00,1.00,3.00,4.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3051200,3.00,3.00,4.00,7.00,6.00,5.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3051218,3.00,3.00,4.00,6.00,7.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3051226,5.00,7.00,6.00,8.00,6.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3051234,8.00,7.00,6.00,9.00,8.00,6.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3051242,5.00,1.00,1.00,3.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3051269,6.00,5.00,4.00,7.00,5.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3051285,5.00,2.00,4.00,8.00,6.00,6.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3051293,5.00,5.00,3.00,3.00,7.00,5.50,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3051307,5.00,7.00,6.00,9.00,7.00,6.25,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3051315,2.00,5.00,1.00,4.00,5.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3051323,2.00,4.00,1.00,3.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3051331,7.00,7.00,2.00,7.00,8.00,7.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3051340,7.00,7.00,5.00,5.00,6.00,4.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3051358,2.00,5.00,1.00,6.00,7.00,5.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3051374,6.00,5.00,5.00,9.00,9.00,5.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3051382,4.00,7.00,4.00,3.00,5.00,5.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3051390,6.00,8.00,7.00,6.00,6.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3051404,8.00,8.00,5.00,7.00,9.00,7.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3051412,2.00,3.00,3.00,2.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3051420,6.00,5.00,3.00,7.00,4.00,4.50,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3051439,6.00,6.00,2.00,7.00,6.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3051447,5.00,5.00,5.00,7.00,6.00,5.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3051455,5.00,7.00,3.00,8.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3051463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3051471,6.00,7.00,5.00,7.00,6.00,5.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3051498,8.00,4.00,3.00,9.00,5.00,6.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3051501,8.00,1.00,2.00,2.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(16,3051510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3051528,8.00,6.00,6.00,5.00,4.00,6.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3051544,4.00,6.00,6.00,5.00,6.00,5.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3051552,8.00,7.00,7.00,8.00,8.00,0.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3051579,5.00,4.00,5.00,6.00,8.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3051587,2.00,3.00,3.00,1.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3051595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3051617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3051625,7.00,7.00,4.00,9.00,8.00,6.50,5.00,8.00,5.00,NULL,NULL,NULL,'S'),(16,3051650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3051668,4.00,7.00,5.00,6.00,7.00,6.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3051676,6.00,4.00,3.00,8.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3051684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3051692,0.00,0.00,1.00,0.00,1.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3051706,3.00,6.00,3.00,2.00,4.00,4.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3051714,5.00,3.00,3.00,3.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3051722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3051730,8.00,5.00,5.00,8.00,5.00,4.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3051749,3.00,6.00,3.00,6.00,6.00,7.00,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3051757,7.00,7.00,2.00,7.00,6.00,6.00,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3051765,9.00,8.00,5.00,8.00,6.00,6.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3051773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3051781,6.00,7.00,4.00,5.00,3.00,NULL,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3051790,7.00,7.00,4.00,9.00,7.00,6.25,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3051803,5.00,6.00,6.00,5.00,6.00,5.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3051811,4.00,7.00,4.00,6.00,6.00,4.75,3.00,7.00,2.00,NULL,NULL,NULL,'S'),(16,3051820,2.00,0.00,1.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3051838,9.00,9.00,7.00,9.00,7.00,8.50,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3051846,8.00,8.00,6.00,5.00,8.00,6.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3051854,8.00,7.00,4.00,7.00,8.00,6.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3051870,4.00,6.00,2.00,7.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3051889,4.00,8.00,4.00,7.00,3.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3051897,5.00,4.00,2.00,8.00,4.00,5.75,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3051900,3.00,1.00,2.00,2.00,3.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3051919,6.00,7.00,4.00,6.00,6.00,5.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3051927,5.00,4.00,4.00,8.00,4.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3051935,5.00,6.00,6.00,6.00,7.00,5.25,5.00,7.00,6.00,NULL,NULL,NULL,'S'),(16,3051943,6.00,8.00,8.00,8.00,7.00,6.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3051960,5.00,4.00,2.00,4.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3051986,4.00,3.00,2.00,8.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3052010,2.00,3.00,2.00,5.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3052028,6.00,6.00,4.00,4.00,4.00,5.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3052036,4.00,4.00,4.00,3.00,2.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3052044,4.00,5.00,3.00,9.00,4.00,6.50,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3052060,3.00,2.00,2.00,6.00,5.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3052079,6.00,9.00,8.00,9.00,7.00,6.50,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3052095,2.00,4.00,3.00,4.00,3.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3052109,6.00,4.00,4.00,3.00,4.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3052117,6.00,6.00,4.00,8.00,6.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3052125,5.00,5.00,4.00,8.00,6.00,3.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3052133,9.00,8.00,8.00,9.00,8.00,6.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3052150,3.00,3.00,1.00,6.00,4.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3052168,4.00,6.00,4.00,4.00,5.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3052176,7.00,7.00,7.00,8.00,6.00,6.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3052184,6.00,6.00,5.00,7.00,8.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3052192,3.00,5.00,3.00,3.00,4.00,5.75,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3052206,2.00,5.00,2.00,6.00,7.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3052214,5.00,8.00,7.00,7.00,9.00,5.00,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3052222,9.00,8.00,9.00,8.00,9.00,6.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3052230,5.00,5.00,4.00,4.00,6.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3052249,7.00,7.00,7.00,9.00,9.00,7.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3052257,3.00,5.00,4.00,7.00,3.00,NULL,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3052265,2.00,2.00,2.00,1.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3052273,4.00,5.00,3.00,5.00,4.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3052281,8.00,7.00,7.00,9.00,9.00,5.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3052290,5.00,6.00,3.00,6.00,8.00,5.75,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3052303,4.00,7.00,8.00,8.00,7.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3052311,6.00,7.00,2.00,8.00,8.00,7.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3052320,4.00,5.00,2.00,1.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3052338,5.00,4.00,1.00,4.00,5.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3052346,3.00,5.00,3.00,8.00,1.00,NULL,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3052354,7.00,7.00,5.00,2.00,5.00,5.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3052362,4.00,3.00,2.00,3.00,6.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3052370,7.00,7.00,4.00,9.00,7.00,6.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3052389,7.00,7.00,6.00,9.00,6.00,6.25,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3052397,6.00,8.00,5.00,7.00,8.00,5.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3052400,7.00,8.00,6.00,9.00,7.00,7.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3052427,7.00,8.00,5.00,7.00,6.00,6.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3052435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3052443,2.00,4.00,1.00,5.00,4.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3052451,1.00,2.00,3.00,4.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3052460,5.00,6.00,2.00,3.00,4.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3052478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3052486,6.00,7.00,4.00,4.00,7.00,5.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3052494,7.00,4.00,3.00,8.00,4.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3052508,8.00,9.00,7.00,8.00,7.00,7.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3052524,5.00,6.00,3.00,3.00,4.00,4.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3052540,5.00,6.00,6.00,6.00,4.00,4.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3052559,7.00,7.00,6.00,7.00,7.00,6.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3052567,6.00,5.00,2.00,6.00,5.00,6.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3052575,4.00,3.00,3.00,0.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3052591,6.00,7.00,2.00,9.00,7.00,6.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3052613,4.00,3.00,4.00,5.00,4.00,5.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3052630,3.00,2.00,5.00,9.00,7.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3052648,4.00,7.00,3.00,6.00,6.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3052656,7.00,7.00,6.00,8.00,7.00,6.00,5.00,8.00,7.00,NULL,NULL,NULL,'S'),(16,3052664,7.00,5.00,5.00,7.00,6.00,5.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3052672,6.00,7.00,6.00,8.00,6.00,4.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3052680,7.00,5.00,8.00,7.00,4.00,5.50,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3052699,9.00,6.00,7.00,6.00,6.00,7.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3052702,2.00,4.00,3.00,9.00,4.00,6.25,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3052710,8.00,6.00,3.00,8.00,1.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3052737,5.00,4.00,2.00,5.00,4.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3052745,7.00,8.00,3.00,8.00,7.00,7.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3052753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3052761,2.00,5.00,6.00,6.00,6.00,6.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3052770,8.00,7.00,5.00,9.00,7.00,6.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3052796,3.00,5.00,4.00,2.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3052818,6.00,6.00,6.00,7.00,7.00,5.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3052826,4.00,7.00,5.00,9.00,7.00,7.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3052834,7.00,8.00,7.00,9.00,7.00,7.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3052842,2.00,4.00,4.00,2.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3052850,4.00,3.00,1.00,3.00,4.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3052869,4.00,4.00,1.00,8.00,5.00,5.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3052877,3.00,2.00,3.00,5.00,4.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3052885,5.00,5.00,2.00,7.00,6.00,6.00,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3052893,8.00,7.00,6.00,8.00,6.00,6.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3052907,7.00,7.00,4.00,3.00,5.00,5.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3052915,5.00,6.00,4.00,6.00,4.00,4.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3052923,2.00,0.00,4.00,5.00,6.00,4.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3052931,6.00,5.00,5.00,7.00,4.00,6.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3052940,7.00,8.00,4.00,7.00,6.00,7.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3052958,4.00,5.00,2.00,4.00,2.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3052966,4.00,7.00,4.00,4.00,7.00,5.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3052974,5.00,5.00,3.00,2.00,7.00,4.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3052982,5.00,3.00,1.00,5.00,5.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3052990,9.00,7.00,4.00,7.00,8.00,5.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3053008,8.00,4.00,6.00,8.00,6.00,4.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3053024,3.00,5.00,1.00,7.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3053032,8.00,6.00,6.00,8.00,7.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3053040,3.00,3.00,5.00,5.00,5.00,5.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3053059,5.00,8.00,2.00,8.00,6.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3053067,9.00,7.00,4.00,9.00,9.00,8.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3053075,5.00,6.00,4.00,4.00,6.00,6.75,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3053083,6.00,7.00,7.00,7.00,6.00,6.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3053091,5.00,4.00,1.00,4.00,7.00,6.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3053113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3053121,3.00,5.00,1.00,3.00,2.00,NULL,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3053148,4.00,5.00,5.00,7.00,5.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3053156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3053164,8.00,8.00,8.00,8.00,8.00,7.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3053172,5.00,4.00,5.00,3.00,6.00,5.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3053202,6.00,6.00,5.00,9.00,6.00,5.50,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(16,3053210,7.00,5.00,5.00,8.00,5.00,5.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3053237,2.00,3.00,3.00,5.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3053245,8.00,7.00,3.00,7.00,6.00,5.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3053253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3053261,4.00,7.00,4.00,7.00,5.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3053270,9.00,7.00,7.00,7.00,8.00,7.00,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3053288,9.00,7.00,6.00,9.00,7.00,4.50,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3053296,5.00,4.00,3.00,9.00,7.00,5.25,0.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3053318,4.00,2.00,1.00,4.00,4.00,6.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3053326,2.00,1.00,1.00,3.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3053334,7.00,8.00,7.00,9.00,5.00,8.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3053342,7.00,7.00,9.00,8.00,6.00,5.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3053369,4.00,4.00,2.00,3.00,3.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3053385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3053393,6.00,6.00,2.00,4.00,4.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3053407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3053415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3053423,4.00,4.00,2.00,3.00,4.00,5.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3053431,5.00,6.00,5.00,8.00,7.00,6.75,3.00,8.00,5.00,NULL,NULL,NULL,'S'),(16,3053458,6.00,6.00,4.00,8.00,8.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3053466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3053474,4.00,4.00,5.00,6.00,7.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3053482,7.00,7.00,4.00,8.00,7.00,6.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3053490,6.00,6.00,4.00,8.00,6.00,7.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3053504,3.00,4.00,6.00,8.00,7.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3053512,9.00,8.00,9.00,8.00,7.00,6.75,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3053539,3.00,4.00,3.00,7.00,5.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3053547,6.00,4.00,5.00,3.00,3.00,NULL,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3053563,6.00,7.00,6.00,5.00,3.00,NULL,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3053571,6.00,3.00,3.00,9.00,3.00,NULL,0.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3053580,3.00,3.00,5.00,6.00,6.00,5.00,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3053598,7.00,5.00,6.00,8.00,8.00,7.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3053601,3.00,0.00,1.00,0.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3053628,6.00,6.00,4.00,6.00,5.00,5.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3053636,0.00,0.00,0.00,0.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3053644,3.00,4.00,2.00,3.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3053652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3053687,3.00,3.00,1.00,2.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3053695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3053709,6.00,7.00,5.00,8.00,6.00,8.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3053717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3053725,3.00,7.00,3.00,8.00,7.00,8.00,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3053733,4.00,4.00,4.00,5.00,5.00,5.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3053741,5.00,5.00,2.00,7.00,7.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3053750,5.00,5.00,2.00,2.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3053768,2.00,5.00,3.00,5.00,5.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3053776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3053784,5.00,4.00,3.00,7.00,6.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3053792,6.00,1.00,2.00,5.00,2.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3053806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3053814,7.00,7.00,3.00,8.00,7.00,5.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3053822,8.00,6.00,7.00,8.00,8.00,6.25,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3053830,6.00,7.00,7.00,7.00,7.00,5.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3053849,9.00,9.00,5.00,8.00,7.00,7.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3053857,4.00,4.00,3.00,6.00,4.00,7.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3053873,6.00,6.00,2.00,3.00,7.00,6.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3053881,4.00,5.00,2.00,4.00,6.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3053890,8.00,6.00,5.00,9.00,6.00,6.00,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3053903,4.00,4.00,3.00,2.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3053911,6.00,8.00,7.00,7.00,6.00,5.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3053920,4.00,9.00,4.00,8.00,6.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3053938,6.00,7.00,5.00,6.00,5.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3053946,5.00,4.00,5.00,8.00,4.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3053962,7.00,5.00,2.00,7.00,7.00,7.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3053970,4.00,5.00,1.00,5.00,5.00,5.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3053989,9.00,8.00,7.00,8.00,8.00,4.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3053997,8.00,7.00,7.00,8.00,6.00,6.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3054004,8.00,7.00,4.00,5.00,4.00,4.75,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3054012,8.00,5.00,6.00,9.00,6.00,7.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3054020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3054039,7.00,7.00,5.00,7.00,5.00,6.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3054047,9.00,7.00,9.00,7.00,6.00,5.50,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3054063,4.00,6.00,2.00,8.00,4.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3054071,7.00,7.00,4.00,7.00,5.00,6.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3054080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3054098,2.00,3.00,2.00,6.00,5.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3054101,4.00,6.00,2.00,7.00,5.00,6.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3054128,4.00,8.00,8.00,7.00,6.00,4.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3054136,8.00,9.00,5.00,9.00,8.00,7.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3054144,2.00,3.00,2.00,6.00,4.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3054152,6.00,7.00,3.00,10.00,7.00,7.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3054160,9.00,7.00,5.00,9.00,7.00,5.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3054179,5.00,4.00,3.00,8.00,7.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3054187,2.00,4.00,5.00,6.00,1.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3054195,5.00,6.00,4.00,6.00,6.00,6.75,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3054209,6.00,7.00,6.00,4.00,6.00,5.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3054217,6.00,5.00,2.00,7.00,5.00,6.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3054233,4.00,3.00,1.00,1.00,3.00,NULL,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3054250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3054268,8.00,6.00,5.00,8.00,7.00,6.50,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3054276,4.00,2.00,3.00,8.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3054284,3.00,4.00,2.00,3.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3054292,0.00,0.00,0.00,8.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3054314,2.00,5.00,2.00,8.00,6.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3054322,7.00,6.00,1.00,8.00,8.00,8.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3054330,6.00,7.00,4.00,8.00,7.00,6.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3054357,8.00,8.00,2.00,9.00,7.00,7.25,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3054365,6.00,7.00,7.00,7.00,4.00,6.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3054373,7.00,3.00,4.00,5.00,5.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3054381,9.00,9.00,2.00,6.00,6.00,6.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3054390,5.00,4.00,5.00,9.00,7.00,6.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3054403,9.00,6.00,9.00,9.00,8.00,6.50,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3054411,4.00,4.00,4.00,5.00,4.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3054420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3054446,7.00,5.00,5.00,7.00,5.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3054454,9.00,7.00,8.00,8.00,6.00,7.75,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3054462,3.00,5.00,5.00,7.00,3.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3054470,8.00,5.00,8.00,8.00,7.00,6.75,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3054489,4.00,3.00,2.00,7.00,4.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3054497,7.00,7.00,8.00,8.00,6.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3054500,9.00,9.00,8.00,9.00,8.00,7.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3054519,7.00,6.00,5.00,8.00,7.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3054527,6.00,2.00,3.00,8.00,5.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3054543,8.00,6.00,7.00,5.00,6.00,6.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3054560,5.00,3.00,2.00,4.00,6.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3054586,1.00,4.00,5.00,4.00,3.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3054594,5.00,5.00,4.00,3.00,6.00,4.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3054608,7.00,6.00,7.00,7.00,5.00,6.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3054616,3.00,6.00,4.00,8.00,4.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3054624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3054632,4.00,4.00,2.00,3.00,2.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3054640,5.00,6.00,6.00,8.00,7.00,6.25,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3054659,2.00,3.00,2.00,3.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3054667,4.00,2.00,2.00,5.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3054675,8.00,4.00,5.00,6.00,8.00,7.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3054683,9.00,9.00,7.00,8.00,7.00,6.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3054691,5.00,5.00,2.00,7.00,6.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3054705,4.00,3.00,1.00,3.00,0.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3054713,7.00,9.00,5.00,8.00,7.00,4.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3054721,2.00,1.00,3.00,6.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3054730,7.00,4.00,2.00,8.00,5.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3054748,6.00,6.00,7.00,8.00,6.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3054756,8.00,3.00,4.00,7.00,7.00,6.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3054764,6.00,3.00,2.00,5.00,5.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3054772,8.00,5.00,4.00,7.00,6.00,5.75,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3054799,9.00,5.00,7.00,8.00,5.00,4.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3054802,8.00,8.00,7.00,6.00,9.00,6.25,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3054829,9.00,8.00,6.00,8.00,7.00,5.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3054837,7.00,4.00,6.00,9.00,5.00,6.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3054845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3054853,4.00,4.00,5.00,4.00,5.00,5.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3054861,5.00,8.00,5.00,8.00,6.00,6.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3054870,0.00,3.00,1.00,3.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3054888,9.00,9.00,9.00,8.00,7.00,6.75,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3054918,3.00,1.00,2.00,3.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3054926,8.00,5.00,6.00,9.00,7.00,6.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3054934,2.00,2.00,2.00,5.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3054942,6.00,4.00,5.00,6.00,7.00,4.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3054950,8.00,4.00,4.00,3.00,5.00,6.00,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3054969,5.00,6.00,4.00,8.00,7.00,6.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3054985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3054993,3.00,4.00,3.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3055000,6.00,5.00,2.00,7.00,5.00,9.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3055019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3055027,2.00,3.00,2.00,2.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3055035,3.00,4.00,2.00,2.00,4.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3055043,6.00,5.00,2.00,8.00,4.00,4.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3055051,7.00,6.00,6.00,9.00,6.00,7.25,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3055060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3055078,4.00,2.00,7.00,6.00,4.00,5.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3055086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3055094,6.00,8.00,6.00,8.00,7.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3055108,7.00,6.00,4.00,5.00,8.00,5.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3055116,7.00,7.00,6.00,5.00,7.00,7.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3055124,5.00,2.00,4.00,4.00,4.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3055132,6.00,6.00,4.00,7.00,7.00,6.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3055140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3055159,7.00,5.00,8.00,6.00,7.00,6.75,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3055167,2.00,4.00,3.00,2.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3055175,6.00,6.00,4.00,7.00,7.00,6.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3055183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3055205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3055213,5.00,6.00,5.00,9.00,8.00,6.50,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3055221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3055230,5.00,7.00,3.00,7.00,7.00,5.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3055248,5.00,6.00,3.00,3.00,7.00,5.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3055256,6.00,9.00,7.00,6.00,6.00,5.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3055272,4.00,5.00,3.00,6.00,5.00,4.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3055280,3.00,3.00,2.00,3.00,4.00,5.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3055302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3055310,5.00,3.00,1.00,5.00,4.00,7.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3055329,5.00,8.00,7.00,8.00,8.00,6.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3055337,2.00,5.00,3.00,4.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3055345,5.00,5.00,6.00,8.00,5.00,6.25,2.00,1.00,7.00,NULL,NULL,NULL,'N'),(16,3055361,6.00,6.00,3.00,8.00,4.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3055370,3.00,4.00,1.00,7.00,4.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3055388,4.00,4.00,4.00,7.00,5.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3055396,7.00,8.00,9.00,7.00,7.00,8.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3055400,3.00,8.00,4.00,4.00,4.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3055418,2.00,5.00,2.00,3.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3055426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3055434,5.00,4.00,5.00,7.00,5.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3055442,5.00,7.00,3.00,8.00,8.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3055450,9.00,8.00,8.00,9.00,7.00,8.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3055469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3055477,4.00,6.00,3.00,8.00,7.00,4.75,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3055485,4.00,4.00,2.00,6.00,4.00,4.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3055493,3.00,4.00,4.00,2.00,4.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3055507,3.00,5.00,3.00,3.00,7.00,4.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3055523,2.00,4.00,2.00,6.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3055531,4.00,6.00,4.00,2.00,4.00,5.25,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3055540,5.00,2.00,1.00,3.00,5.00,6.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3055558,7.00,6.00,6.00,9.00,7.00,7.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3055566,3.00,5.00,3.00,4.00,6.00,4.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3055574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3055582,7.00,5.00,4.00,4.00,7.00,5.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3055590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3055604,4.00,3.00,6.00,6.00,5.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3055612,5.00,3.00,3.00,6.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3055620,5.00,5.00,6.00,6.00,7.00,4.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3055639,4.00,3.00,2.00,6.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3055647,3.00,1.00,2.00,5.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3055655,2.00,3.00,3.00,5.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3055663,6.00,7.00,4.00,8.00,4.00,5.25,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3055671,3.00,7.00,2.00,4.00,5.00,6.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3055680,5.00,5.00,4.00,7.00,6.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3055698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3055701,2.00,4.00,3.00,3.00,4.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3055728,2.00,5.00,3.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3055744,4.00,4.00,1.00,6.00,3.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3055752,4.00,3.00,3.00,5.00,4.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3055760,3.00,2.00,3.00,2.00,4.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3055779,3.00,4.00,3.00,0.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3055787,9.00,9.00,8.00,9.00,7.00,6.75,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3055795,7.00,7.00,8.00,8.00,5.00,6.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3055809,8.00,8.00,8.00,7.00,7.00,6.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3055817,4.00,0.00,1.00,4.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3055841,2.00,7.00,5.00,2.00,5.00,5.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3055850,4.00,8.00,7.00,9.00,7.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3055868,8.00,7.00,3.00,8.00,6.00,6.75,4.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3055876,5.00,6.00,2.00,7.00,6.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3055884,5.00,5.00,5.00,8.00,6.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3055892,5.00,8.00,4.00,7.00,6.00,5.50,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3055906,8.00,8.00,4.00,3.00,5.00,7.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3055914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3055922,9.00,7.00,9.00,7.00,6.00,6.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3055930,2.00,0.00,5.00,2.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3055949,4.00,4.00,2.00,5.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3055965,5.00,5.00,4.00,3.00,6.00,7.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3055973,8.00,9.00,8.00,8.00,7.00,5.50,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3055981,5.00,6.00,6.00,7.00,5.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3055990,2.00,4.00,2.00,7.00,4.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3056007,4.00,3.00,4.00,7.00,2.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3056015,4.00,4.00,4.00,6.00,4.00,4.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3056031,7.00,9.00,4.00,9.00,8.00,6.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3056058,2.00,2.00,2.00,3.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3056074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3056082,7.00,3.00,4.00,2.00,3.00,NULL,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3056090,8.00,7.00,5.00,6.00,6.00,6.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3056104,5.00,3.00,1.00,6.00,5.00,6.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3056112,2.00,1.00,1.00,1.00,5.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3056139,5.00,9.00,3.00,7.00,5.00,5.50,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3056147,5.00,4.00,5.00,9.00,6.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3056155,6.00,5.00,7.00,9.00,6.00,5.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3056163,3.00,2.00,2.00,0.00,0.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3056171,4.00,3.00,5.00,3.00,4.00,4.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3056201,2.00,5.00,3.00,0.00,6.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3056210,9.00,8.00,7.00,8.00,4.00,5.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3056228,3.00,3.00,3.00,4.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3056236,7.00,9.00,5.00,9.00,7.00,7.75,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3056244,8.00,7.00,4.00,8.00,7.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3056252,7.00,5.00,4.00,8.00,5.00,6.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3056260,8.00,5.00,5.00,7.00,8.00,5.75,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3056287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3056295,7.00,7.00,5.00,6.00,6.00,6.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3056309,4.00,6.00,3.00,1.00,5.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3056317,4.00,3.00,3.00,4.00,2.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3056325,4.00,5.00,2.00,6.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3056333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3056350,5.00,5.00,5.00,8.00,6.00,0.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3056368,4.00,5.00,3.00,6.00,6.00,5.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3056376,8.00,7.00,5.00,6.00,8.00,7.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3056384,8.00,5.00,5.00,9.00,5.00,6.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3056392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3056406,6.00,6.00,3.00,5.00,6.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3056414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3056430,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3056449,4.00,6.00,6.00,8.00,6.00,4.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3056457,5.00,2.00,1.00,4.00,4.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3056465,1.00,4.00,5.00,6.00,4.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3056481,4.00,8.00,4.00,8.00,6.00,5.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3056490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3056503,7.00,7.00,8.00,9.00,7.00,4.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3056511,3.00,4.00,2.00,7.00,7.00,5.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3056520,6.00,4.00,6.00,8.00,6.00,7.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3056538,5.00,6.00,6.00,8.00,7.00,6.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3056546,10.00,9.00,9.00,9.00,9.00,5.50,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3056562,3.00,2.00,2.00,7.00,6.00,6.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3056589,4.00,6.00,3.00,4.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3056597,7.00,3.00,3.00,5.00,4.00,4.75,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3056600,5.00,5.00,3.00,9.00,7.00,8.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3056619,5.00,5.00,3.00,8.00,5.00,5.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3056627,4.00,5.00,4.00,5.00,6.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3056635,6.00,4.00,3.00,8.00,6.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'S'),(16,3056643,2.00,4.00,3.00,6.00,1.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3056651,6.00,6.00,5.00,8.00,6.00,8.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3056660,2.00,5.00,4.00,0.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3056678,2.00,2.00,5.00,3.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3056686,4.00,2.00,2.00,7.00,5.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3056694,4.00,6.00,5.00,7.00,5.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3056716,9.00,9.00,9.00,8.00,8.00,5.75,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3056724,9.00,8.00,7.00,5.00,8.00,6.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3056740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3056759,5.00,3.00,4.00,4.00,5.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3056767,1.00,2.00,3.00,5.00,5.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3056775,4.00,6.00,4.00,2.00,6.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3056783,4.00,4.00,3.00,4.00,6.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3056791,4.00,4.00,3.00,8.00,7.00,5.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3056805,7.00,4.00,8.00,9.00,6.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3056813,2.00,3.00,5.00,4.00,5.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3056821,6.00,6.00,7.00,9.00,6.00,7.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3056830,6.00,7.00,4.00,6.00,8.00,6.25,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3056848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3056856,6.00,7.00,4.00,7.00,3.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3056864,8.00,6.00,8.00,8.00,6.00,6.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3056872,4.00,4.00,3.00,6.00,4.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3056880,4.00,6.00,4.00,5.00,5.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3056902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3056910,7.00,5.00,3.00,5.00,5.00,6.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3056929,6.00,7.00,5.00,9.00,6.00,6.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3056961,4.00,3.00,4.00,8.00,7.00,5.75,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3056988,4.00,7.00,3.00,6.00,7.00,5.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3056996,2.00,5.00,4.00,9.00,7.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3057003,2.00,3.00,3.00,6.00,3.00,NULL,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3057011,5.00,3.00,6.00,4.00,4.00,6.00,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(16,3057020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3057038,7.00,7.00,5.00,9.00,5.00,4.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3057054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3057062,3.00,2.00,4.00,4.00,3.00,NULL,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3057089,4.00,5.00,1.00,4.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3057097,5.00,5.00,5.00,8.00,7.00,5.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3057100,8.00,8.00,6.00,9.00,8.00,5.00,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3057119,4.00,7.00,3.00,9.00,5.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3057135,2.00,2.00,1.00,0.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3057143,3.00,5.00,3.00,8.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3057178,2.00,3.00,1.00,2.00,2.00,NULL,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3057186,3.00,3.00,2.00,8.00,5.00,6.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3057194,7.00,6.00,3.00,7.00,5.00,4.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3057208,6.00,7.00,4.00,4.00,3.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3057224,6.00,5.00,5.00,9.00,9.00,5.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3057240,6.00,7.00,7.00,8.00,5.00,5.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3057259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3057267,5.00,6.00,5.00,7.00,6.00,4.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3057275,6.00,3.00,3.00,7.00,4.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3057283,5.00,5.00,5.00,3.00,3.00,NULL,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3057291,4.00,3.00,3.00,6.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3057313,3.00,5.00,3.00,1.00,3.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3057321,6.00,7.00,1.00,1.00,4.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3057348,8.00,8.00,4.00,6.00,5.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3057356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3057364,6.00,5.00,7.00,9.00,8.00,7.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3057372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3057380,3.00,4.00,3.00,6.00,7.00,5.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3057399,7.00,7.00,4.00,8.00,5.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3057429,6.00,6.00,7.00,6.00,5.00,5.00,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3057437,4.00,4.00,4.00,7.00,7.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3057445,3.00,4.00,5.00,7.00,5.00,7.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3057453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3057461,7.00,7.00,4.00,9.00,6.00,7.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3057470,9.00,6.00,7.00,8.00,6.00,6.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3057488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3057496,7.00,6.00,6.00,8.00,6.00,6.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3057526,4.00,7.00,3.00,3.00,4.00,4.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3057534,4.00,5.00,2.00,6.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3057542,6.00,4.00,4.00,8.00,7.00,4.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3057577,2.00,7.00,2.00,8.00,5.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3057585,4.00,6.00,3.00,5.00,2.00,NULL,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3057593,3.00,3.00,2.00,7.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3057607,2.00,3.00,1.00,3.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3057615,9.00,8.00,9.00,8.00,9.00,7.50,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3057623,3.00,4.00,3.00,8.00,3.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3057631,7.00,7.00,3.00,4.00,7.00,7.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3057640,5.00,6.00,1.00,2.00,5.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3057658,7.00,6.00,6.00,7.00,5.00,4.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3057666,5.00,5.00,2.00,5.00,6.00,5.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3057674,4.00,3.00,2.00,8.00,6.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3057682,9.00,8.00,6.00,9.00,8.00,6.75,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3057690,3.00,2.00,3.00,6.00,5.00,6.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3057704,4.00,7.00,1.00,6.00,5.00,6.50,0.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3057712,3.00,4.00,4.00,4.00,5.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3057720,4.00,2.00,1.00,5.00,6.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3057747,2.00,1.00,3.00,6.00,4.00,5.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3057755,5.00,6.00,5.00,7.00,6.00,4.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3057763,2.00,3.00,2.00,6.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3057771,3.00,2.00,3.00,5.00,4.00,4.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3057780,6.00,6.00,4.00,7.00,3.00,NULL,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3057810,5.00,7.00,5.00,7.00,7.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3057828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3057836,4.00,4.00,2.00,7.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3057852,3.00,3.00,3.00,5.00,2.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3057860,5.00,8.00,5.00,8.00,6.00,7.00,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3057879,3.00,7.00,3.00,2.00,3.00,NULL,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3057887,6.00,4.00,2.00,5.00,2.00,NULL,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3057895,3.00,5.00,1.00,6.00,5.00,4.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3057909,7.00,7.00,6.00,7.00,8.00,6.25,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3057917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3057925,2.00,4.00,4.00,7.00,4.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3057933,5.00,4.00,3.00,6.00,7.00,3.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3057950,6.00,7.00,4.00,7.00,4.00,5.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3057968,6.00,7.00,4.00,6.00,7.00,5.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3057976,3.00,4.00,3.00,3.00,4.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3057984,4.00,5.00,3.00,5.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3058000,2.00,3.00,1.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3058018,4.00,6.00,4.00,7.00,7.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3058034,5.00,5.00,4.00,5.00,5.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3058069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3058085,1.00,2.00,2.00,6.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3058107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3058115,3.00,7.00,6.00,7.00,5.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3058140,3.00,3.00,3.00,7.00,6.00,6.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3058166,3.00,5.00,4.00,8.00,7.00,7.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3058174,5.00,7.00,4.00,6.00,6.00,4.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3058182,3.00,5.00,4.00,8.00,6.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3058190,6.00,8.00,5.00,1.00,5.00,6.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3058212,4.00,3.00,4.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3058220,2.00,3.00,2.00,5.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3058239,4.00,1.00,3.00,2.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3058247,9.00,7.00,2.00,8.00,8.00,5.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3058255,2.00,4.00,3.00,5.00,5.00,5.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3058263,8.00,6.00,8.00,9.00,7.00,5.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3058271,5.00,2.00,3.00,4.00,3.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3058280,2.00,2.00,1.00,4.00,2.00,NULL,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3058310,7.00,4.00,3.00,5.00,6.00,5.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3058328,6.00,7.00,3.00,7.00,6.00,5.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3058336,6.00,1.00,4.00,6.00,5.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3058344,3.00,4.00,1.00,6.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3058352,4.00,1.00,3.00,2.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3058360,7.00,8.00,9.00,8.00,8.00,7.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3058379,6.00,8.00,6.00,7.00,6.00,5.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3058387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3058395,3.00,6.00,2.00,6.00,5.00,6.75,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3058417,6.00,6.00,4.00,7.00,5.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3058425,4.00,3.00,1.00,3.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3058433,2.00,5.00,1.00,5.00,4.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3058441,5.00,3.00,3.00,6.00,4.00,5.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3058450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3058468,2.00,4.00,1.00,7.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3058476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3058484,6.00,7.00,5.00,8.00,6.00,5.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3058492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3058506,6.00,6.00,5.00,5.00,5.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3058522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3058530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3058557,3.00,4.00,1.00,9.00,7.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3058565,9.00,8.00,9.00,9.00,8.00,7.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3058573,3.00,2.00,1.00,2.00,0.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3058590,4.00,2.00,4.00,5.00,4.00,6.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3058603,7.00,3.00,4.00,5.00,5.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3058620,2.00,3.00,3.00,8.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3058654,7.00,7.00,7.00,10.00,5.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3058662,5.00,3.00,3.00,5.00,5.00,3.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3058670,6.00,9.00,7.00,9.00,8.00,6.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3058689,4.00,5.00,4.00,5.00,5.00,4.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3058697,3.00,4.00,4.00,5.00,4.00,4.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3058700,4.00,2.00,3.00,4.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3058719,8.00,7.00,5.00,7.00,7.00,5.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3058727,3.00,4.00,3.00,3.00,2.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3058735,3.00,4.00,3.00,7.00,4.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3058743,8.00,6.00,7.00,2.00,6.00,6.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3058778,8.00,8.00,7.00,9.00,8.00,6.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3058786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3058808,3.00,6.00,3.00,5.00,8.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3058816,3.00,5.00,3.00,5.00,6.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3058824,9.00,7.00,6.00,8.00,6.00,6.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3058832,7.00,7.00,4.00,9.00,6.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3058840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3058859,9.00,8.00,8.00,9.00,8.00,5.25,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3058875,4.00,4.00,4.00,1.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3058891,5.00,3.00,3.00,2.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3058905,7.00,4.00,6.00,7.00,8.00,5.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3058913,5.00,4.00,1.00,5.00,5.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3058921,2.00,3.00,3.00,0.00,0.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3058956,4.00,4.00,2.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3058964,6.00,8.00,3.00,6.00,5.00,5.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3058980,5.00,7.00,4.00,7.00,4.00,5.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3058999,7.00,6.00,5.00,2.00,6.00,6.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3059006,9.00,8.00,5.00,9.00,7.00,7.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3059014,4.00,3.00,4.00,8.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3059022,7.00,6.00,9.00,8.00,8.00,5.25,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3059030,7.00,6.00,7.00,8.00,8.00,6.25,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3059057,3.00,4.00,1.00,5.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3059065,6.00,8.00,7.00,7.00,6.00,6.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3059073,3.00,8.00,4.00,7.00,6.00,4.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3059081,4.00,5.00,6.00,8.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3059103,3.00,3.00,3.00,4.00,4.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3059111,8.00,6.00,8.00,4.00,4.00,5.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3059120,4.00,5.00,3.00,7.00,5.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3059138,4.00,5.00,3.00,3.00,4.00,5.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3059154,5.00,4.00,2.00,6.00,6.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3059170,3.00,3.00,3.00,6.00,4.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3059189,7.00,9.00,6.00,6.00,6.00,5.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3059197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3059219,4.00,6.00,1.00,1.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3059227,5.00,5.00,3.00,5.00,5.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3059235,3.00,4.00,2.00,6.00,6.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3059243,0.00,4.00,1.00,2.00,1.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3059251,6.00,8.00,3.00,8.00,8.00,7.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3059260,4.00,6.00,5.00,5.00,4.00,5.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3059278,7.00,7.00,2.00,8.00,5.00,5.50,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3059286,5.00,5.00,3.00,8.00,6.00,6.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3059294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3059308,5.00,6.00,5.00,8.00,6.00,5.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3059316,5.00,5.00,3.00,8.00,5.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3059324,6.00,6.00,5.00,8.00,4.00,4.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3059332,6.00,8.00,3.00,4.00,6.00,6.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3059340,5.00,4.00,3.00,5.00,5.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3059359,6.00,5.00,5.00,3.00,5.00,8.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3059375,5.00,3.00,1.00,3.00,5.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3059383,2.00,6.00,2.00,4.00,5.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3059391,7.00,5.00,3.00,6.00,6.00,7.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3059405,5.00,4.00,1.00,6.00,4.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3059413,4.00,4.00,4.00,7.00,4.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3059421,5.00,4.00,3.00,6.00,4.00,5.25,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3059430,2.00,2.00,3.00,5.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3059448,5.00,6.00,2.00,4.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3059456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3059464,7.00,3.00,6.00,6.00,8.00,7.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3059472,4.00,5.00,3.00,3.00,6.00,4.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3059499,6.00,6.00,4.00,8.00,7.00,4.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3059502,2.00,5.00,3.00,5.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3059510,5.00,6.00,2.00,5.00,5.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3059529,6.00,5.00,5.00,6.00,5.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3059537,6.00,6.00,8.00,6.00,6.00,5.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3059545,4.00,6.00,6.00,8.00,6.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3059561,3.00,2.00,2.00,5.00,6.00,4.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3059570,6.00,3.00,2.00,7.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3059588,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3059596,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3059634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3059642,3.00,3.00,2.00,5.00,0.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3059669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3059677,3.00,4.00,3.00,7.00,4.00,6.00,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3059685,9.00,7.00,9.00,8.00,8.00,6.75,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3059693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3059707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3059715,9.00,6.00,6.00,8.00,7.00,5.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3059723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3059731,8.00,7.00,8.00,9.00,8.00,5.50,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3059740,6.00,5.00,4.00,6.00,6.00,3.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3059766,5.00,6.00,4.00,4.00,5.00,4.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3059774,3.00,1.00,1.00,7.00,1.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3059782,8.00,8.00,8.00,9.00,7.00,4.50,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3059790,3.00,4.00,4.00,1.00,0.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3059804,6.00,6.00,3.00,7.00,4.00,5.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3059812,4.00,3.00,3.00,6.00,7.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3059820,2.00,5.00,2.00,8.00,7.00,5.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3059839,4.00,7.00,4.00,6.00,6.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3059847,9.00,7.00,8.00,9.00,6.00,6.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3059855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3059863,2.00,3.00,3.00,3.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3059898,5.00,5.00,3.00,7.00,6.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3059910,3.00,6.00,2.00,6.00,5.00,5.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3059928,3.00,5.00,5.00,6.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3059936,5.00,5.00,4.00,8.00,5.00,5.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3059952,7.00,8.00,9.00,8.00,8.00,6.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3059960,1.00,2.00,3.00,0.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3059979,4.00,4.00,2.00,8.00,5.00,5.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3059987,7.00,5.00,6.00,8.00,5.00,5.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3059995,7.00,5.00,4.00,8.00,8.00,6.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3060039,6.00,6.00,4.00,7.00,6.00,6.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3060047,3.00,2.00,3.00,6.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3060063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3060080,3.00,5.00,3.00,6.00,2.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3060098,2.00,3.00,2.00,5.00,4.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3060101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3060128,6.00,6.00,3.00,7.00,7.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3060136,6.00,6.00,6.00,7.00,4.00,7.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3060144,8.00,7.00,7.00,9.00,6.00,7.00,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3060152,8.00,8.00,7.00,7.00,5.00,5.75,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3060160,4.00,4.00,1.00,7.00,6.00,5.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3060179,5.00,6.00,4.00,7.00,6.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3060195,6.00,3.00,2.00,3.00,6.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3060209,5.00,6.00,8.00,4.00,5.00,4.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3060217,6.00,7.00,4.00,3.00,5.00,5.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3060225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3060233,3.00,2.00,3.00,5.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3060268,6.00,5.00,3.00,4.00,6.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3060276,4.00,4.00,3.00,7.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3060284,1.00,3.00,4.00,6.00,6.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3060292,3.00,6.00,3.00,7.00,5.00,4.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3060306,6.00,4.00,6.00,8.00,6.00,6.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3060314,7.00,7.00,5.00,4.00,6.00,4.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3060322,6.00,6.00,3.00,7.00,6.00,6.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3060330,1.00,6.00,1.00,5.00,4.00,5.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3060357,5.00,5.00,5.00,6.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3060365,3.00,5.00,3.00,8.00,7.00,0.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3060373,5.00,8.00,4.00,9.00,6.00,7.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3060381,4.00,5.00,4.00,6.00,3.00,NULL,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3060390,5.00,7.00,6.00,5.00,5.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3060403,4.00,5.00,4.00,5.00,5.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3060411,7.00,6.00,3.00,9.00,6.00,6.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3060420,3.00,3.00,1.00,5.00,5.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3060438,7.00,6.00,5.00,7.00,7.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3060446,8.00,9.00,9.00,9.00,8.00,7.25,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3060454,4.00,1.00,1.00,2.00,1.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3060462,3.00,4.00,6.00,9.00,6.00,6.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3060489,8.00,4.00,6.00,8.00,5.00,5.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3060497,2.00,3.00,2.00,6.00,5.00,4.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3060500,3.00,1.00,5.00,3.00,5.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3060527,2.00,1.00,2.00,1.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3060535,7.00,8.00,6.00,9.00,8.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3060543,4.00,4.00,5.00,6.00,6.00,5.75,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3060551,4.00,4.00,7.00,7.00,5.00,4.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3060560,5.00,3.00,5.00,7.00,2.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3060578,3.00,5.00,2.00,4.00,4.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3060594,7.00,8.00,7.00,7.00,7.00,6.50,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3060608,9.00,9.00,7.00,8.00,7.00,6.75,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3060616,6.00,5.00,6.00,8.00,6.00,5.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3060624,4.00,3.00,2.00,7.00,5.00,5.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3060640,2.00,3.00,1.00,1.00,4.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3060659,5.00,3.00,1.00,4.00,4.00,5.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3060675,5.00,6.00,4.00,6.00,8.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3060683,7.00,6.00,2.00,9.00,6.00,7.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3060705,1.00,4.00,3.00,4.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3060713,0.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3060721,5.00,4.00,4.00,3.00,5.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3060730,7.00,3.00,5.00,6.00,6.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'S'),(16,3060756,3.00,3.00,4.00,4.00,5.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3060764,5.00,4.00,3.00,6.00,6.00,7.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3060772,2.00,5.00,4.00,6.00,2.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3060780,5.00,2.00,4.00,7.00,5.00,2.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3060799,2.00,2.00,1.00,3.00,2.00,NULL,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3060802,5.00,5.00,1.00,8.00,5.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3060829,1.00,2.00,2.00,1.00,2.00,NULL,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3060837,3.00,7.00,5.00,9.00,6.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3060845,1.00,2.00,3.00,1.00,0.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3060853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3060861,4.00,5.00,4.00,5.00,4.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3060870,3.00,4.00,4.00,5.00,4.00,7.00,2.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3060888,5.00,2.00,2.00,6.00,5.00,5.00,1.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3060896,4.00,2.00,1.00,2.00,1.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3060900,9.00,7.00,5.00,9.00,7.00,5.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3060926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3060934,6.00,8.00,8.00,8.00,7.00,6.00,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3060950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3060969,2.00,4.00,3.00,5.00,4.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3060977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3060985,2.00,4.00,3.00,3.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3060993,3.00,5.00,3.00,7.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3061000,6.00,6.00,2.00,8.00,7.00,6.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3061019,7.00,7.00,8.00,7.00,8.00,5.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3061027,5.00,4.00,3.00,7.00,5.00,5.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3061035,3.00,4.00,2.00,5.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3061051,1.00,3.00,3.00,2.00,0.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3061060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3061086,3.00,5.00,2.00,4.00,5.00,5.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3061094,7.00,6.00,6.00,7.00,8.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3061108,5.00,1.00,3.00,3.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3061116,1.00,3.00,2.00,3.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3061124,5.00,6.00,4.00,8.00,3.00,NULL,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3061140,2.00,3.00,2.00,5.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3061159,6.00,8.00,2.00,7.00,4.00,6.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3061167,0.00,3.00,2.00,5.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3061175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3061183,8.00,8.00,6.00,8.00,8.00,7.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3061191,6.00,5.00,2.00,5.00,4.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3061205,2.00,6.00,3.00,4.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3061213,4.00,6.00,5.00,7.00,5.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3061221,5.00,5.00,2.00,5.00,6.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3061230,9.00,7.00,9.00,7.00,6.00,6.75,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3061248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3061256,5.00,3.00,3.00,2.00,7.00,6.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3061264,3.00,4.00,2.00,3.00,5.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3061272,8.00,5.00,6.00,6.00,6.00,8.50,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3061280,2.00,2.00,3.00,0.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3061299,9.00,8.00,8.00,8.00,8.00,6.25,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3061302,3.00,4.00,1.00,4.00,3.00,NULL,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3061310,6.00,6.00,4.00,7.00,5.00,5.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3061329,5.00,4.00,8.00,9.00,6.00,5.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3061337,6.00,4.00,5.00,9.00,5.00,6.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3061345,6.00,7.00,5.00,8.00,6.00,6.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3061353,6.00,8.00,3.00,3.00,8.00,6.25,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3061370,7.00,4.00,5.00,4.00,4.00,4.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3061388,9.00,7.00,8.00,8.00,7.00,6.75,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3061396,4.00,6.00,4.00,8.00,7.00,4.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3061418,4.00,4.00,4.00,9.00,5.00,7.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3061434,7.00,7.00,4.00,6.00,5.00,6.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3061442,5.00,6.00,1.00,8.00,5.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3061450,7.00,5.00,8.00,8.00,7.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3061469,3.00,0.00,1.00,4.00,4.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3061477,3.00,4.00,3.00,5.00,4.00,5.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3061485,3.00,3.00,3.00,5.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3061493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3061515,3.00,5.00,2.00,7.00,5.00,4.50,2.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3061523,3.00,2.00,3.00,3.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3061531,3.00,6.00,4.00,7.00,6.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3061566,7.00,6.00,2.00,4.00,7.00,4.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3061574,3.00,6.00,5.00,7.00,3.00,NULL,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3061590,1.00,5.00,2.00,7.00,2.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3061604,4.00,6.00,2.00,8.00,8.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3061612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3061620,3.00,2.00,2.00,4.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3061639,2.00,3.00,2.00,6.00,3.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3061655,4.00,3.00,4.00,6.00,4.00,6.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3061663,8.00,6.00,4.00,8.00,6.00,6.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3061671,7.00,6.00,2.00,5.00,4.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3061710,2.00,5.00,2.00,6.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3061728,5.00,5.00,4.00,8.00,5.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3061736,8.00,6.00,4.00,8.00,6.00,5.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3061744,6.00,6.00,3.00,7.00,4.00,6.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3061752,7.00,7.00,6.00,8.00,8.00,6.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3061760,1.00,5.00,3.00,5.00,3.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3061795,4.00,2.00,1.00,4.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3061809,2.00,1.00,2.00,0.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3061825,5.00,7.00,4.00,8.00,6.00,5.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3061833,5.00,6.00,1.00,5.00,5.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3061850,7.00,8.00,5.00,9.00,8.00,5.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3061884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3061892,1.00,2.00,2.00,5.00,7.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3061906,3.00,3.00,4.00,3.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3061914,7.00,8.00,7.00,7.00,6.00,6.00,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3061922,6.00,5.00,4.00,7.00,5.00,5.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3061930,6.00,6.00,2.00,7.00,5.00,5.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3061965,4.00,4.00,2.00,3.00,6.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3061973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3061981,4.00,3.00,2.00,3.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3061990,3.00,3.00,4.00,6.00,5.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3062015,6.00,3.00,6.00,8.00,8.00,5.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3062023,5.00,3.00,2.00,1.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3062031,3.00,4.00,2.00,4.00,4.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3062040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3062058,4.00,3.00,1.00,2.00,5.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3062066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3062082,7.00,8.00,5.00,8.00,7.00,7.00,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3062090,5.00,6.00,1.00,6.00,4.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3062104,6.00,5.00,4.00,8.00,6.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3062120,4.00,4.00,2.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3062139,1.00,2.00,2.00,1.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3062147,7.00,6.00,3.00,8.00,4.00,6.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3062155,7.00,8.00,8.00,7.00,8.00,5.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3062171,7.00,4.00,3.00,9.00,6.00,5.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3062180,4.00,3.00,1.00,6.00,6.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3062198,5.00,4.00,3.00,3.00,7.00,5.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3062201,7.00,4.00,7.00,8.00,5.00,5.50,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3062210,5.00,6.00,4.00,8.00,8.00,7.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3062228,3.00,4.00,4.00,7.00,5.00,6.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3062236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3062244,9.00,8.00,7.00,9.00,8.00,7.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3062252,6.00,5.00,7.00,8.00,7.00,4.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3062260,2.00,4.00,3.00,6.00,5.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3062279,6.00,2.00,1.00,2.00,4.00,6.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3062287,7.00,5.00,2.00,8.00,6.00,7.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3062295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3062317,3.00,5.00,5.00,3.00,5.00,4.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3062325,5.00,7.00,5.00,6.00,8.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3062333,4.00,7.00,3.00,9.00,7.00,5.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3062341,3.00,3.00,1.00,2.00,0.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3062350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3062368,2.00,5.00,3.00,6.00,6.00,4.00,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3062376,2.00,4.00,2.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3062384,8.00,8.00,5.00,5.00,5.00,6.50,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3062392,8.00,7.00,9.00,8.00,6.00,6.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3062406,5.00,4.00,4.00,8.00,5.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3062422,7.00,8.00,3.00,7.00,5.00,5.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3062430,6.00,6.00,5.00,7.00,7.00,5.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3062449,3.00,6.00,2.00,1.00,4.00,4.25,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3062457,6.00,6.00,4.00,9.00,8.00,7.50,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3062465,2.00,6.00,2.00,1.00,4.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3062503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3062511,4.00,2.00,2.00,6.00,6.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3062520,4.00,5.00,3.00,7.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3062538,5.00,7.00,3.00,9.00,7.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3062546,8.00,9.00,8.00,8.00,7.00,7.50,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3062554,5.00,5.00,1.00,8.00,6.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3062562,5.00,2.00,3.00,2.00,4.00,4.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3062570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3062597,7.00,8.00,4.00,6.00,7.00,6.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3062619,7.00,5.00,4.00,6.00,7.00,4.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3062643,4.00,6.00,1.00,1.00,4.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3062651,5.00,5.00,1.00,1.00,3.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3062660,2.00,4.00,1.00,0.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3062678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3062686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3062694,7.00,4.00,3.00,7.00,7.00,6.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3062716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3062724,7.00,1.00,2.00,2.00,4.00,4.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3062732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3062740,2.00,3.00,1.00,6.00,4.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3062767,5.00,4.00,1.00,5.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3062775,6.00,7.00,8.00,8.00,8.00,5.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3062783,8.00,6.00,5.00,6.00,4.00,5.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3062791,8.00,8.00,4.00,7.00,7.00,6.50,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3062805,1.00,2.00,2.00,0.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3062813,3.00,3.00,3.00,6.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3062821,6.00,5.00,5.00,6.00,8.00,6.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3062848,8.00,7.00,5.00,9.00,5.00,7.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3062864,5.00,3.00,1.00,3.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3062880,5.00,6.00,6.00,9.00,5.00,6.00,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3062902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3062910,6.00,5.00,6.00,5.00,7.00,4.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3062929,9.00,7.00,5.00,8.00,5.00,6.50,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3062937,8.00,5.00,7.00,5.00,5.00,4.50,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3062945,3.00,5.00,4.00,3.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3062953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3062961,3.00,5.00,3.00,5.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3062970,5.00,3.00,4.00,3.00,4.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3062988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3062996,5.00,2.00,3.00,7.00,6.00,4.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3063003,3.00,4.00,3.00,5.00,4.00,5.75,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3063020,7.00,6.00,5.00,8.00,6.00,5.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3063038,4.00,5.00,5.00,2.00,4.00,3.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3063046,4.00,4.00,4.00,0.00,6.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3063062,3.00,4.00,3.00,4.00,5.00,5.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3063143,7.00,8.00,4.00,7.00,5.00,7.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3063151,6.00,6.00,6.00,6.00,6.00,5.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3063160,8.00,7.00,9.00,8.00,7.00,6.25,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3063178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3063186,6.00,6.00,5.00,8.00,8.00,6.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3063194,5.00,7.00,6.00,8.00,5.00,5.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3063208,4.00,3.00,2.00,4.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3063216,6.00,7.00,8.00,9.00,5.00,4.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3063224,7.00,6.00,6.00,8.00,8.00,6.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3063240,3.00,0.00,1.00,2.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3063267,6.00,3.00,4.00,5.00,6.00,6.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3063283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3063305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3063321,5.00,4.00,2.00,4.00,5.00,6.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3063330,3.00,3.00,2.00,7.00,4.00,4.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3063348,3.00,2.00,1.00,3.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3063356,4.00,3.00,5.00,4.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3063364,5.00,5.00,1.00,8.00,6.00,4.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3063372,8.00,9.00,7.00,5.00,6.00,6.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3063402,7.00,5.00,4.00,2.00,7.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3063410,8.00,6.00,5.00,7.00,8.00,4.25,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3063429,7.00,7.00,6.00,5.00,6.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3063437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3063445,4.00,5.00,4.00,6.00,7.00,6.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3063453,4.00,6.00,4.00,6.00,5.00,4.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3063461,6.00,2.00,2.00,6.00,6.00,5.50,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3063470,6.00,5.00,3.00,8.00,4.00,5.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3063488,4.00,6.00,2.00,5.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3063496,3.00,4.00,1.00,3.00,5.00,4.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3063500,4.00,6.00,3.00,7.00,6.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3063518,7.00,6.00,6.00,7.00,6.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3063534,6.00,8.00,6.00,8.00,7.00,4.75,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3063550,5.00,7.00,6.00,6.00,5.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3063569,6.00,6.00,7.00,5.00,6.00,6.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3063577,9.00,8.00,8.00,8.00,8.00,7.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3063585,6.00,8.00,5.00,7.00,5.00,5.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3063607,6.00,5.00,6.00,9.00,6.00,5.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3063615,2.00,3.00,3.00,3.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3063623,6.00,6.00,2.00,6.00,3.00,NULL,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3063631,7.00,7.00,6.00,8.00,8.00,6.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3063640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3063658,4.00,5.00,5.00,4.00,6.00,4.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3063666,2.00,5.00,4.00,5.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3063674,9.00,9.00,7.00,9.00,9.00,8.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3063682,5.00,3.00,2.00,5.00,5.00,4.50,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3063704,5.00,4.00,6.00,7.00,4.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3063712,3.00,5.00,5.00,9.00,5.00,6.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3063720,6.00,6.00,3.00,5.00,5.00,5.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3063739,4.00,4.00,3.00,6.00,4.00,6.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3063747,2.00,5.00,2.00,4.00,6.00,5.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3063755,1.00,6.00,5.00,4.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3063763,5.00,4.00,3.00,2.00,5.00,5.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3063771,4.00,5.00,2.00,5.00,5.00,4.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3063780,4.00,3.00,5.00,8.00,6.00,5.00,4.00,1.00,8.00,NULL,NULL,NULL,'N'),(16,3063798,1.00,1.00,2.00,3.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3063801,6.00,5.00,2.00,7.00,6.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3063828,5.00,2.00,1.00,4.00,2.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3063844,6.00,6.00,3.00,6.00,7.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3063860,6.00,5.00,5.00,6.00,4.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3063887,5.00,6.00,2.00,7.00,7.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3063895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3063917,7.00,7.00,6.00,7.00,5.00,5.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3063925,3.00,3.00,4.00,5.00,7.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3063933,5.00,6.00,4.00,1.00,5.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3063941,6.00,4.00,3.00,6.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3063950,5.00,4.00,1.00,4.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3063968,5.00,4.00,4.00,7.00,5.00,4.25,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3063976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3063984,7.00,7.00,7.00,9.00,4.00,4.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3063992,4.00,1.00,1.00,8.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3064000,5.00,6.00,4.00,9.00,8.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3064026,7.00,6.00,5.00,6.00,6.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3064034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3064042,8.00,8.00,5.00,7.00,7.00,6.75,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3064077,5.00,4.00,3.00,2.00,4.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3064093,3.00,3.00,3.00,0.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3064107,7.00,5.00,3.00,8.00,5.00,5.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3064115,6.00,4.00,2.00,5.00,6.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3064123,9.00,5.00,4.00,9.00,7.00,6.00,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3064131,7.00,5.00,7.00,9.00,6.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3064140,3.00,3.00,1.00,8.00,7.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3064158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3064166,6.00,7.00,3.00,7.00,6.00,5.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3064174,4.00,5.00,2.00,2.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3064182,6.00,6.00,5.00,9.00,7.00,6.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3064190,2.00,1.00,2.00,2.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3064212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3064220,4.00,6.00,4.00,4.00,4.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3064239,3.00,6.00,2.00,7.00,4.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3064255,7.00,6.00,3.00,1.00,5.00,6.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3064271,9.00,8.00,8.00,8.00,5.00,5.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3064280,2.00,2.00,2.00,6.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3064301,3.00,5.00,3.00,6.00,6.00,6.50,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3064310,4.00,5.00,2.00,2.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3064328,6.00,7.00,6.00,7.00,6.00,5.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3064336,2.00,4.00,1.00,2.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3064344,5.00,5.00,3.00,7.00,5.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3064379,7.00,5.00,1.00,2.00,5.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3064387,5.00,6.00,4.00,6.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3064395,4.00,5.00,5.00,7.00,6.00,6.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3064409,7.00,5.00,4.00,8.00,5.00,4.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3064417,5.00,2.00,3.00,7.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3064425,6.00,7.00,4.00,9.00,5.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3064433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3064441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3064450,7.00,4.00,7.00,7.00,6.00,5.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3064468,8.00,8.00,8.00,8.00,8.00,7.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3064476,7.00,7.00,7.00,5.00,5.00,5.50,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3064484,6.00,7.00,5.00,7.00,6.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3064492,7.00,6.00,5.00,9.00,7.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3064514,3.00,4.00,5.00,4.00,5.00,5.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3064522,4.00,4.00,1.00,7.00,6.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3064530,7.00,4.00,2.00,8.00,6.00,5.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3064549,7.00,4.00,5.00,8.00,6.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3064557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3064565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3064581,6.00,9.00,4.00,8.00,8.00,6.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3064603,8.00,6.00,1.00,7.00,5.00,7.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3064620,4.00,4.00,2.00,3.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3064638,5.00,7.00,4.00,6.00,5.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3064646,3.00,2.00,3.00,5.00,4.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3064662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3064670,4.00,1.00,2.00,3.00,1.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3064689,3.00,5.00,3.00,4.00,7.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3064697,6.00,5.00,4.00,4.00,6.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3064700,5.00,2.00,3.00,5.00,5.00,7.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3064719,4.00,1.00,3.00,1.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3064727,3.00,2.00,1.00,5.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3064735,5.00,3.00,2.00,7.00,4.00,5.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3064743,6.00,3.00,3.00,5.00,5.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3064778,2.00,2.00,1.00,2.00,1.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3064786,8.00,7.00,6.00,9.00,8.00,5.25,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3064794,4.00,2.00,3.00,1.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3064816,2.00,3.00,4.00,6.00,5.00,5.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3064824,6.00,5.00,2.00,8.00,4.00,5.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3064840,4.00,6.00,5.00,4.00,4.00,4.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3064859,5.00,5.00,2.00,8.00,3.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3064867,5.00,6.00,3.00,7.00,6.00,6.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3064883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3064891,4.00,6.00,4.00,8.00,7.00,4.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3064905,8.00,7.00,3.00,6.00,6.00,4.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3064913,5.00,6.00,5.00,6.00,5.00,6.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3064930,5.00,7.00,8.00,8.00,8.00,6.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3064948,2.00,1.00,1.00,3.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3064956,6.00,8.00,7.00,8.00,8.00,6.50,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3064964,8.00,7.00,7.00,8.00,7.00,6.00,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3064972,4.00,5.00,5.00,7.00,6.00,7.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3064980,4.00,4.00,5.00,8.00,6.00,6.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3064999,2.00,3.00,3.00,4.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3065006,4.00,3.00,2.00,3.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3065014,4.00,4.00,4.00,5.00,6.00,6.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3065022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3065030,3.00,7.00,3.00,5.00,7.00,6.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3065049,6.00,3.00,4.00,6.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3065057,4.00,4.00,3.00,5.00,2.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3065065,6.00,3.00,4.00,7.00,2.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3065073,2.00,2.00,2.00,6.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3065081,5.00,3.00,3.00,8.00,8.00,8.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3065090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3065103,2.00,3.00,5.00,7.00,3.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3065111,2.00,3.00,3.00,6.00,4.00,5.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3065120,2.00,2.00,1.00,7.00,6.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3065146,6.00,7.00,5.00,8.00,6.00,5.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3065154,7.00,6.00,3.00,4.00,5.00,6.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3065170,3.00,6.00,1.00,9.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3065189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3065197,3.00,4.00,4.00,7.00,6.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3065200,5.00,6.00,6.00,8.00,7.00,6.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3065219,4.00,5.00,6.00,4.00,6.00,4.75,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3065235,4.00,5.00,1.00,8.00,4.00,7.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3065243,2.00,4.00,3.00,6.00,5.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3065251,4.00,3.00,4.00,4.00,7.00,4.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3065260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3065278,6.00,5.00,4.00,8.00,5.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3065286,5.00,5.00,6.00,9.00,7.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3065294,6.00,6.00,7.00,6.00,6.00,5.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3065308,4.00,3.00,1.00,6.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3065316,2.00,4.00,2.00,5.00,5.00,4.50,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(16,3065324,3.00,3.00,4.00,7.00,5.00,4.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3065332,4.00,7.00,4.00,8.00,5.00,4.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3065340,5.00,6.00,3.00,7.00,4.00,5.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3065359,7.00,6.00,3.00,4.00,8.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3065367,9.00,8.00,5.00,9.00,7.00,7.50,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3065375,6.00,5.00,4.00,8.00,7.00,5.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3065383,1.00,5.00,4.00,7.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3065391,4.00,6.00,3.00,2.00,4.00,4.50,2.00,6.00,6.00,NULL,NULL,NULL,'S'),(16,3065405,6.00,6.00,6.00,5.00,2.00,NULL,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3065413,5.00,5.00,2.00,6.00,2.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3065421,3.00,4.00,2.00,4.00,5.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3065430,3.00,3.00,3.00,3.00,5.00,6.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3065448,6.00,6.00,3.00,4.00,5.00,6.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3065456,6.00,7.00,3.00,7.00,4.00,5.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3065464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3065472,5.00,6.00,3.00,4.00,3.00,NULL,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3065480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3065502,5.00,8.00,7.00,9.00,6.00,6.00,3.00,8.00,7.00,NULL,NULL,NULL,'S'),(16,3065510,7.00,7.00,3.00,6.00,7.00,8.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3065529,3.00,2.00,3.00,8.00,4.00,5.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3065537,6.00,6.00,3.00,6.00,4.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3065545,5.00,3.00,3.00,2.00,1.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3065561,4.00,3.00,3.00,7.00,4.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3065588,4.00,5.00,2.00,3.00,4.00,4.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3065596,1.00,0.00,2.00,5.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3065600,3.00,8.00,2.00,7.00,6.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3065618,4.00,3.00,1.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3065626,3.00,3.00,5.00,7.00,6.00,4.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3065634,5.00,6.00,3.00,8.00,5.00,6.00,1.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3065642,8.00,4.00,4.00,8.00,6.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3065650,4.00,7.00,3.00,2.00,5.00,5.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3065669,7.00,7.00,8.00,9.00,7.00,5.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3065677,3.00,4.00,2.00,7.00,5.00,6.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3065707,8.00,7.00,8.00,9.00,7.00,7.00,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3065715,6.00,6.00,2.00,5.00,4.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3065723,7.00,6.00,9.00,7.00,8.00,5.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3065731,3.00,6.00,4.00,3.00,6.00,6.25,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3065740,2.00,2.00,3.00,3.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3065758,5.00,6.00,2.00,7.00,6.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3065766,4.00,6.00,4.00,8.00,3.00,NULL,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3065774,2.00,3.00,3.00,9.00,7.00,6.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3065782,4.00,7.00,4.00,5.00,3.00,NULL,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3065790,2.00,1.00,4.00,4.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3065812,6.00,7.00,6.00,9.00,7.00,7.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3065820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3065839,5.00,7.00,2.00,7.00,7.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3065847,5.00,5.00,1.00,6.00,4.00,5.50,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3065855,8.00,7.00,6.00,3.00,5.00,5.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3065863,5.00,7.00,8.00,8.00,8.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3065871,4.00,4.00,5.00,2.00,4.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3065880,4.00,8.00,4.00,3.00,5.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3065898,4.00,2.00,4.00,4.00,4.00,3.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3065901,5.00,6.00,5.00,4.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3065910,3.00,2.00,1.00,1.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3065944,6.00,6.00,6.00,8.00,6.00,5.50,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3065960,6.00,4.00,5.00,8.00,7.00,6.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3065987,5.00,3.00,3.00,7.00,3.00,NULL,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3065995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3066010,5.00,4.00,1.00,5.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3066029,8.00,8.00,7.00,9.00,9.00,6.75,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3066037,7.00,8.00,8.00,8.00,8.00,7.50,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3066045,4.00,5.00,2.00,4.00,4.00,6.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3066053,2.00,1.00,3.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3066070,5.00,6.00,4.00,7.00,8.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3066096,2.00,4.00,2.00,1.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3066100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3066118,7.00,5.00,7.00,9.00,5.00,6.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3066126,7.00,8.00,4.00,9.00,7.00,5.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3066134,3.00,4.00,5.00,7.00,6.00,5.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3066142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3066150,4.00,3.00,2.00,6.00,4.00,7.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3066185,5.00,5.00,4.00,9.00,5.00,4.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3066193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3066207,3.00,3.00,3.00,7.00,5.00,4.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3066215,4.00,4.00,4.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3066223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3066231,4.00,5.00,4.00,9.00,6.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3066240,4.00,3.00,3.00,5.00,4.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3066258,4.00,5.00,4.00,5.00,5.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3066266,5.00,5.00,1.00,2.00,6.00,7.25,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3066274,4.00,7.00,5.00,8.00,5.00,5.50,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3066282,3.00,7.00,4.00,5.00,5.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3066290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3066304,8.00,6.00,8.00,9.00,7.00,6.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3066320,4.00,3.00,1.00,4.00,6.00,4.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3066339,6.00,3.00,3.00,7.00,6.00,6.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3066347,3.00,4.00,1.00,1.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3066355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3066371,5.00,4.00,2.00,5.00,7.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3066380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3066398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3066410,6.00,6.00,3.00,8.00,8.00,5.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3066436,7.00,8.00,9.00,9.00,8.00,5.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3066444,2.00,3.00,2.00,3.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3066452,4.00,6.00,2.00,8.00,4.00,5.75,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3066460,1.00,4.00,1.00,5.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3066479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3066487,2.00,4.00,5.00,2.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3066495,7.00,6.00,8.00,5.00,7.00,5.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3066509,7.00,6.00,3.00,4.00,5.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3066517,7.00,5.00,2.00,4.00,5.00,5.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3066525,1.00,2.00,2.00,4.00,2.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3066533,3.00,2.00,1.00,1.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3066541,2.00,5.00,2.00,3.00,4.00,5.00,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3066550,7.00,6.00,5.00,7.00,4.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3066584,3.00,8.00,2.00,5.00,4.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3066592,7.00,6.00,4.00,8.00,8.00,7.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3066606,2.00,5.00,2.00,6.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3066614,4.00,7.00,4.00,8.00,7.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3066630,5.00,5.00,4.00,9.00,4.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3066657,4.00,4.00,1.00,4.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3066681,6.00,4.00,2.00,3.00,4.00,4.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3066690,2.00,3.00,3.00,2.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3066703,7.00,8.00,5.00,5.00,5.00,6.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3066711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3066738,6.00,6.00,4.00,2.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3066762,3.00,5.00,3.00,4.00,4.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3066789,4.00,4.00,5.00,5.00,6.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3066797,4.00,5.00,3.00,4.00,6.00,7.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3066800,9.00,9.00,9.00,9.00,8.00,7.25,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3066819,5.00,4.00,1.00,8.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3066827,8.00,7.00,7.00,7.00,7.00,7.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3066835,6.00,6.00,5.00,6.00,8.00,5.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3066843,7.00,5.00,3.00,4.00,3.00,NULL,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3066851,6.00,7.00,5.00,8.00,6.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3066860,5.00,2.00,3.00,8.00,8.00,6.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3066878,3.00,5.00,5.00,9.00,7.00,8.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3066916,4.00,3.00,3.00,3.00,4.00,4.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3066924,5.00,6.00,4.00,7.00,6.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3066932,4.00,4.00,2.00,6.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3066940,7.00,6.00,2.00,6.00,6.00,5.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3066983,3.00,2.00,2.00,1.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3067009,4.00,3.00,3.00,7.00,4.00,6.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3067017,5.00,3.00,4.00,4.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3067041,6.00,4.00,4.00,6.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3067050,7.00,8.00,5.00,7.00,7.00,5.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3067068,4.00,4.00,2.00,7.00,5.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3067076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3067084,7.00,8.00,6.00,8.00,7.00,5.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3067092,8.00,8.00,7.00,8.00,7.00,6.75,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3067106,1.00,4.00,5.00,7.00,3.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3067130,4.00,6.00,4.00,4.00,4.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3067157,6.00,8.00,3.00,5.00,5.00,6.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3067165,3.00,2.00,2.00,4.00,1.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3067173,5.00,1.00,3.00,5.00,5.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3067181,6.00,5.00,3.00,6.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3067203,1.00,2.00,2.00,0.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3067211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3067238,6.00,3.00,5.00,9.00,8.00,4.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3067246,5.00,3.00,3.00,3.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3067254,3.00,3.00,2.00,2.00,5.00,3.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3067262,2.00,7.00,4.00,6.00,8.00,4.50,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3067270,7.00,7.00,6.00,7.00,5.00,4.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3067297,4.00,2.00,2.00,6.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3067300,5.00,5.00,2.00,4.00,4.00,4.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3067319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3067327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3067335,8.00,7.00,4.00,8.00,5.00,6.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3067343,5.00,4.00,3.00,6.00,5.00,5.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3067351,4.00,5.00,3.00,7.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3067360,4.00,4.00,1.00,5.00,5.00,4.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3067378,2.00,1.00,4.00,5.00,2.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3067394,6.00,6.00,3.00,7.00,5.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3067416,5.00,4.00,4.00,7.00,5.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3067424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3067432,6.00,7.00,1.00,8.00,7.00,5.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3067467,2.00,3.00,2.00,5.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3067475,3.00,6.00,3.00,4.00,5.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3067483,5.00,4.00,2.00,0.00,5.00,5.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3067491,8.00,8.00,1.00,8.00,8.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3067505,2.00,3.00,4.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3067513,7.00,8.00,6.00,7.00,7.00,6.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3067521,7.00,4.00,5.00,5.00,5.00,4.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3067548,1.00,3.00,5.00,1.00,3.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3067564,4.00,6.00,4.00,8.00,7.00,7.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3067572,5.00,6.00,6.00,4.00,1.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3067580,5.00,3.00,4.00,7.00,4.00,4.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3067602,4.00,4.00,4.00,7.00,4.00,6.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3067610,4.00,2.00,2.00,7.00,4.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3067629,1.00,2.00,4.00,6.00,5.00,6.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3067645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3067653,7.00,5.00,7.00,8.00,5.00,5.25,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3067661,3.00,3.00,3.00,4.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3067670,4.00,5.00,3.00,8.00,5.00,6.00,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3067688,2.00,5.00,1.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3067696,7.00,9.00,5.00,7.00,6.00,6.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3067718,7.00,7.00,8.00,6.00,4.00,5.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3067726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3067734,7.00,7.00,4.00,7.00,7.00,6.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3067742,5.00,4.00,2.00,2.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3067750,7.00,7.00,7.00,4.00,7.00,6.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3067769,5.00,6.00,5.00,9.00,9.00,5.25,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3067777,2.00,2.00,3.00,7.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3067807,4.00,5.00,4.00,8.00,6.00,6.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3067815,2.00,8.00,4.00,5.00,7.00,4.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3067831,7.00,6.00,4.00,8.00,7.00,9.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3067840,7.00,7.00,5.00,8.00,8.00,5.75,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3067874,3.00,4.00,2.00,7.00,4.00,5.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3067890,6.00,5.00,4.00,6.00,4.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3067912,9.00,7.00,5.00,9.00,8.00,6.75,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3067920,3.00,6.00,7.00,3.00,3.00,NULL,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3067939,6.00,5.00,4.00,6.00,4.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3067955,4.00,5.00,3.00,0.00,1.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3067963,4.00,5.00,3.00,8.00,7.00,6.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3067971,2.00,3.00,3.00,5.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3067980,3.00,2.00,3.00,6.00,5.00,5.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3067998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3068005,8.00,7.00,7.00,7.00,8.00,5.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3068013,2.00,1.00,2.00,3.00,2.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'S'),(16,3068021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3068030,6.00,6.00,2.00,8.00,6.00,6.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3068048,8.00,7.00,5.00,7.00,7.00,6.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3068056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3068064,4.00,4.00,2.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3068080,5.00,4.00,3.00,8.00,7.00,5.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3068099,9.00,9.00,8.00,9.00,8.00,6.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3068110,3.00,8.00,3.00,6.00,4.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3068129,7.00,3.00,3.00,6.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3068137,7.00,5.00,6.00,7.00,8.00,6.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3068145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3068153,4.00,2.00,5.00,3.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3068161,5.00,6.00,4.00,5.00,4.00,4.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3068170,4.00,5.00,3.00,1.00,5.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3068196,4.00,2.00,2.00,6.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3068200,1.00,3.00,4.00,7.00,5.00,8.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3068218,5.00,6.00,4.00,7.00,7.00,5.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3068226,3.00,2.00,2.00,7.00,5.00,6.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3068234,3.00,4.00,4.00,4.00,6.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3068250,4.00,6.00,1.00,4.00,3.00,NULL,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3068277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3068285,9.00,9.00,9.00,9.00,8.00,6.50,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3068293,2.00,5.00,3.00,4.00,5.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3068307,4.00,4.00,2.00,4.00,5.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3068323,3.00,5.00,5.00,6.00,6.00,5.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3068340,2.00,3.00,1.00,3.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3068358,5.00,6.00,4.00,4.00,4.00,6.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3068374,7.00,7.00,8.00,9.00,8.00,6.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3068382,4.00,1.00,2.00,1.00,6.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3068390,3.00,1.00,3.00,6.00,5.00,6.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3068404,4.00,2.00,1.00,6.00,4.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3068420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3068439,8.00,8.00,7.00,7.00,6.00,5.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3068447,5.00,4.00,4.00,7.00,5.00,7.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3068455,7.00,6.00,6.00,8.00,6.00,6.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3068471,2.00,4.00,5.00,1.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3068480,5.00,5.00,5.00,3.00,5.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3068498,3.00,5.00,2.00,7.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3068501,7.00,4.00,2.00,6.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3068510,4.00,5.00,5.00,5.00,6.00,6.25,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3068528,3.00,4.00,2.00,5.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3068536,1.00,2.00,4.00,1.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3068544,2.00,2.00,3.00,2.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3068552,4.00,4.00,5.00,7.00,4.00,4.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3068560,6.00,5.00,5.00,3.00,7.00,4.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3068579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3068587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3068595,7.00,7.00,8.00,9.00,4.00,6.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3068609,5.00,6.00,3.00,7.00,6.00,5.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3068617,6.00,5.00,7.00,5.00,6.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3068625,8.00,7.00,7.00,9.00,6.00,6.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3068641,5.00,1.00,2.00,5.00,4.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3068676,8.00,8.00,6.00,9.00,5.00,4.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3068684,5.00,2.00,2.00,6.00,5.00,4.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3068692,6.00,5.00,1.00,6.00,6.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3068706,5.00,7.00,3.00,3.00,4.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3068714,3.00,6.00,5.00,4.00,5.00,4.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3068722,4.00,5.00,3.00,6.00,6.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3068730,5.00,7.00,6.00,7.00,6.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3068749,7.00,4.00,6.00,8.00,8.00,6.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3068757,6.00,8.00,5.00,8.00,5.00,4.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3068765,6.00,6.00,2.00,8.00,8.00,5.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3068773,2.00,2.00,3.00,4.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3068781,5.00,4.00,2.00,9.00,7.00,6.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3068790,5.00,5.00,8.00,5.00,4.00,5.50,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3068811,6.00,5.00,5.00,8.00,4.00,7.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3068820,0.00,1.00,4.00,3.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3068838,6.00,5.00,3.00,8.00,4.00,4.00,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3068846,6.00,7.00,4.00,9.00,6.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3068854,3.00,4.00,2.00,4.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3068862,2.00,0.00,2.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3068919,5.00,6.00,4.00,6.00,7.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3068927,4.00,8.00,3.00,7.00,8.00,6.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3068943,5.00,5.00,4.00,6.00,5.00,4.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3068951,4.00,6.00,1.00,6.00,5.00,4.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3068960,3.00,2.00,5.00,6.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3068978,5.00,4.00,4.00,4.00,1.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3068986,3.00,6.00,2.00,3.00,6.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3068994,6.00,4.00,4.00,6.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3069028,6.00,6.00,5.00,4.00,4.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3069036,6.00,5.00,3.00,3.00,6.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3069044,4.00,4.00,2.00,6.00,6.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3069052,7.00,7.00,8.00,7.00,8.00,7.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3069087,6.00,2.00,5.00,6.00,4.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3069095,7.00,7.00,8.00,5.00,4.00,5.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3069117,7.00,7.00,4.00,8.00,7.00,6.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3069125,5.00,4.00,4.00,7.00,6.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3069133,5.00,2.00,5.00,6.00,4.00,6.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3069150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3069168,6.00,7.00,6.00,8.00,6.00,4.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3069176,5.00,3.00,4.00,8.00,5.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3069184,1.00,3.00,4.00,3.00,3.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3069192,3.00,5.00,3.00,8.00,3.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3069206,7.00,6.00,5.00,7.00,6.00,6.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3069222,2.00,3.00,4.00,4.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3069230,5.00,5.00,2.00,7.00,6.00,4.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3069249,6.00,5.00,2.00,7.00,5.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3069265,6.00,4.00,4.00,5.00,4.00,4.75,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3069273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3069281,0.00,0.00,1.00,1.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3069290,2.00,4.00,4.00,5.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3069303,7.00,6.00,3.00,6.00,6.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3069320,5.00,4.00,4.00,7.00,6.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3069338,8.00,7.00,5.00,6.00,6.00,5.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3069346,6.00,5.00,2.00,6.00,4.00,5.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3069354,6.00,8.00,3.00,9.00,7.00,6.75,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3069362,5.00,5.00,5.00,7.00,5.00,6.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3069389,4.00,6.00,5.00,5.00,5.00,4.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3069397,1.00,1.00,1.00,3.00,4.00,NULL,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3069400,5.00,3.00,2.00,7.00,6.00,5.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3069427,7.00,3.00,6.00,8.00,6.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3069435,7.00,4.00,1.00,9.00,6.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3069443,7.00,8.00,4.00,9.00,6.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3069451,1.00,0.00,3.00,4.00,2.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3069460,8.00,8.00,5.00,9.00,7.00,5.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3069478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3069494,3.00,3.00,3.00,6.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3069508,4.00,6.00,4.00,7.00,7.00,5.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3069516,6.00,6.00,4.00,8.00,6.00,5.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3069524,4.00,6.00,5.00,7.00,4.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3069532,5.00,4.00,3.00,5.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3069540,3.00,3.00,1.00,2.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3069559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3069567,3.00,5.00,3.00,5.00,1.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3069575,2.00,5.00,5.00,6.00,8.00,4.75,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3069583,4.00,3.00,6.00,5.00,5.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3069591,6.00,8.00,5.00,7.00,7.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3069605,3.00,3.00,2.00,5.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3069613,7.00,8.00,1.00,7.00,7.00,4.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3069621,3.00,5.00,3.00,7.00,5.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3069656,6.00,4.00,2.00,1.00,4.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3069664,4.00,4.00,3.00,6.00,5.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3069672,3.00,3.00,2.00,6.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3069680,7.00,4.00,6.00,9.00,6.00,4.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3069699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3069710,8.00,7.00,5.00,7.00,5.00,6.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3069737,1.00,1.00,4.00,5.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3069753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3069761,4.00,3.00,1.00,1.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3069770,3.00,6.00,3.00,6.00,4.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3069788,5.00,6.00,3.00,6.00,6.00,6.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3069796,8.00,8.00,8.00,8.00,6.00,5.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3069800,4.00,5.00,4.00,6.00,5.00,4.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3069818,4.00,6.00,3.00,5.00,7.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3069826,5.00,4.00,2.00,8.00,7.00,4.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3069834,5.00,3.00,4.00,3.00,1.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3069842,4.00,3.00,3.00,3.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3069850,4.00,3.00,3.00,3.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3069869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3069885,9.00,6.00,4.00,3.00,4.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3069893,6.00,7.00,6.00,8.00,6.00,6.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3069907,1.00,1.00,2.00,3.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3069915,5.00,3.00,2.00,7.00,5.00,4.75,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3069931,5.00,5.00,5.00,4.00,7.00,6.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3069958,6.00,7.00,5.00,8.00,7.00,7.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3069966,6.00,7.00,5.00,7.00,5.00,5.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3069974,3.00,2.00,2.00,2.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3069982,7.00,6.00,4.00,7.00,6.00,5.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3070000,6.00,8.00,4.00,6.00,6.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3070034,4.00,5.00,3.00,7.00,6.00,5.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3070042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3070050,4.00,3.00,6.00,8.00,2.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3070069,4.00,5.00,3.00,5.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3070077,5.00,6.00,3.00,7.00,5.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3070085,5.00,2.00,2.00,7.00,7.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3070093,4.00,6.00,3.00,1.00,6.00,4.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3070115,7.00,8.00,4.00,7.00,7.00,6.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3070123,8.00,5.00,1.00,8.00,5.00,4.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3070131,3.00,2.00,2.00,1.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3070158,0.00,4.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3070174,4.00,1.00,1.00,7.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3070182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3070204,6.00,8.00,1.00,2.00,5.00,6.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3070212,2.00,7.00,4.00,6.00,7.00,8.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3070239,5.00,7.00,6.00,9.00,7.00,6.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3070255,6.00,5.00,6.00,7.00,5.00,3.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3070271,4.00,4.00,4.00,6.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3070298,6.00,6.00,5.00,7.00,5.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3070301,2.00,4.00,4.00,2.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3070310,5.00,8.00,3.00,5.00,5.00,4.00,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3070328,2.00,1.00,2.00,5.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3070336,2.00,4.00,2.00,3.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3070379,8.00,7.00,7.00,5.00,7.00,5.75,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3070387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3070395,4.00,2.00,3.00,6.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3070425,7.00,7.00,3.00,8.00,4.00,4.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3070441,6.00,2.00,3.00,5.00,6.00,5.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3070450,3.00,3.00,1.00,5.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3070476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3070492,2.00,4.00,3.00,6.00,4.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3070514,7.00,6.00,4.00,8.00,6.00,5.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3070522,8.00,7.00,4.00,8.00,5.00,7.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3070530,4.00,6.00,2.00,8.00,6.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3070549,4.00,3.00,1.00,8.00,4.00,4.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3070557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3070573,4.00,4.00,2.00,2.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3070581,6.00,6.00,7.00,9.00,8.00,7.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3070590,5.00,4.00,3.00,5.00,4.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3070603,5.00,6.00,6.00,8.00,5.00,6.50,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3070611,3.00,6.00,3.00,5.00,4.00,5.00,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3070620,7.00,8.00,8.00,8.00,6.00,6.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3070638,3.00,5.00,3.00,9.00,5.00,5.25,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3070646,7.00,7.00,6.00,8.00,6.00,5.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3070662,8.00,6.00,7.00,9.00,6.00,7.25,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3070670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3070697,3.00,4.00,2.00,7.00,5.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3070700,7.00,5.00,7.00,7.00,7.00,7.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3070751,7.00,7.00,7.00,6.00,8.00,7.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3070760,3.00,4.00,2.00,8.00,4.00,4.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3070778,4.00,3.00,1.00,4.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3070786,4.00,7.00,4.00,8.00,8.00,5.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3070794,5.00,6.00,4.00,8.00,5.00,5.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3070808,8.00,7.00,6.00,8.00,7.00,6.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3070816,5.00,7.00,2.00,6.00,5.00,4.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3070824,6.00,6.00,2.00,7.00,5.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3070832,4.00,7.00,2.00,8.00,6.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3070840,7.00,6.00,5.00,8.00,7.00,7.50,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3070859,5.00,6.00,6.00,9.00,5.00,8.25,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3070867,3.00,7.00,4.00,7.00,3.00,NULL,2.00,6.00,6.00,NULL,NULL,NULL,'S'),(16,3070875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3070891,4.00,6.00,6.00,8.00,4.00,4.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3070905,6.00,7.00,6.00,8.00,7.00,5.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3070921,7.00,7.00,3.00,2.00,6.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3070930,8.00,7.00,7.00,8.00,6.00,7.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3070956,4.00,3.00,5.00,5.00,6.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3070964,6.00,4.00,3.00,8.00,5.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3070972,8.00,7.00,7.00,7.00,8.00,6.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3070980,5.00,2.00,1.00,7.00,4.00,6.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3070999,7.00,6.00,6.00,4.00,5.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3071006,3.00,4.00,2.00,4.00,3.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3071014,6.00,7.00,6.00,5.00,5.00,6.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3071022,5.00,4.00,2.00,4.00,5.00,5.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3071030,4.00,7.00,6.00,7.00,7.00,6.00,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3071049,5.00,7.00,5.00,8.00,7.00,5.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3071057,6.00,8.00,5.00,7.00,6.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3071065,2.00,7.00,2.00,6.00,5.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3071081,5.00,4.00,4.00,4.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3071090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3071103,1.00,3.00,2.00,6.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3071111,5.00,6.00,4.00,7.00,8.00,5.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3071120,5.00,3.00,4.00,5.00,4.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3071138,2.00,3.00,2.00,3.00,4.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3071146,9.00,8.00,8.00,9.00,8.00,6.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3071154,8.00,9.00,7.00,9.00,7.00,8.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3071162,7.00,7.00,2.00,7.00,7.00,5.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3071170,7.00,7.00,3.00,7.00,8.00,4.75,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3071189,5.00,8.00,6.00,8.00,6.00,6.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3071197,5.00,1.00,5.00,6.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3071200,7.00,8.00,8.00,9.00,9.00,6.50,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3071219,0.00,0.00,1.00,0.00,0.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3071235,2.00,3.00,3.00,1.00,5.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3071251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3071260,7.00,7.00,5.00,5.00,4.00,4.75,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3071278,4.00,6.00,3.00,9.00,6.00,6.50,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3071286,2.00,4.00,2.00,8.00,5.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3071294,5.00,4.00,2.00,7.00,4.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3071308,2.00,0.00,3.00,1.00,1.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3071332,5.00,3.00,4.00,7.00,5.00,4.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3071340,6.00,5.00,3.00,7.00,4.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3071359,3.00,5.00,3.00,6.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3071367,3.00,6.00,4.00,8.00,6.00,5.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3071383,2.00,4.00,3.00,6.00,3.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3071391,7.00,6.00,3.00,9.00,8.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3071405,6.00,6.00,4.00,8.00,6.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3071413,9.00,8.00,7.00,9.00,6.00,6.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3071421,6.00,7.00,1.00,8.00,6.00,7.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3071448,5.00,4.00,5.00,4.00,5.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3071456,3.00,4.00,4.00,8.00,5.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3071464,6.00,8.00,8.00,8.00,7.00,6.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3071480,5.00,2.00,2.00,0.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3071499,2.00,1.00,3.00,3.00,5.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3071502,4.00,1.00,4.00,4.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3071510,6.00,3.00,1.00,1.00,3.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3071529,4.00,4.00,5.00,8.00,6.00,5.25,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3071537,5.00,5.00,4.00,9.00,6.00,7.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3071545,7.00,5.00,3.00,3.00,6.00,6.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3071561,8.00,4.00,8.00,7.00,7.00,5.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3071570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3071596,6.00,7.00,5.00,7.00,4.00,4.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3071618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3071626,5.00,5.00,7.00,6.00,7.00,4.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3071634,2.00,3.00,3.00,3.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'S'),(16,3071642,4.00,2.00,1.00,6.00,1.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3071669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3071685,3.00,2.00,4.00,6.00,5.00,4.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3071693,5.00,6.00,6.00,8.00,6.00,7.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3071707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3071715,2.00,4.00,4.00,0.00,5.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3071731,7.00,6.00,7.00,4.00,5.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3071766,4.00,4.00,3.00,4.00,5.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3071774,5.00,4.00,3.00,0.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3071782,9.00,9.00,9.00,9.00,7.00,6.75,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3071790,4.00,4.00,4.00,8.00,5.00,7.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3071804,5.00,7.00,5.00,7.00,4.00,7.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3071812,2.00,2.00,3.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3071839,3.00,4.00,4.00,6.00,4.00,5.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3071847,4.00,5.00,4.00,8.00,4.00,5.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3071855,5.00,6.00,4.00,8.00,6.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3071863,4.00,2.00,1.00,0.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3071871,4.00,3.00,1.00,4.00,7.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3071898,3.00,3.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3071901,8.00,9.00,6.00,8.00,8.00,7.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3071910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3071928,3.00,5.00,3.00,6.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3071944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3071952,4.00,4.00,2.00,6.00,5.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3071960,2.00,6.00,3.00,1.00,6.00,6.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3071979,5.00,0.00,1.00,4.00,4.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3071987,4.00,4.00,4.00,6.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3071995,2.00,4.00,1.00,6.00,4.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3072002,1.00,3.00,2.00,3.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3072010,2.00,4.00,3.00,7.00,4.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3072029,4.00,6.00,5.00,7.00,6.00,6.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3072037,8.00,8.00,7.00,8.00,5.00,5.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3072045,4.00,3.00,1.00,3.00,7.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3072053,7.00,8.00,5.00,7.00,6.00,4.75,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3072061,5.00,6.00,5.00,6.00,5.00,7.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3072096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3072100,5.00,3.00,1.00,2.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3072118,4.00,4.00,4.00,8.00,5.00,4.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3072126,5.00,3.00,6.00,7.00,6.00,4.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3072134,6.00,5.00,3.00,7.00,8.00,4.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3072142,7.00,6.00,5.00,6.00,6.00,6.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3072150,6.00,6.00,7.00,6.00,5.00,6.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3072177,5.00,6.00,5.00,4.00,5.00,7.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3072185,4.00,3.00,3.00,6.00,5.00,5.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3072193,4.00,5.00,4.00,9.00,6.00,5.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3072207,6.00,5.00,2.00,6.00,5.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3072215,4.00,4.00,5.00,6.00,6.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3072223,6.00,8.00,6.00,9.00,7.00,7.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3072231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3072240,5.00,3.00,3.00,3.00,5.00,7.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3072258,4.00,7.00,2.00,7.00,6.00,6.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3072274,5.00,5.00,4.00,7.00,4.00,4.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3072282,4.00,5.00,5.00,7.00,5.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3072290,6.00,6.00,2.00,5.00,6.00,5.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3072304,2.00,6.00,5.00,8.00,6.00,7.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3072312,6.00,5.00,5.00,8.00,6.00,6.50,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3072320,4.00,6.00,8.00,3.00,3.00,NULL,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3072347,8.00,8.00,3.00,9.00,9.00,8.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3072355,7.00,6.00,4.00,8.00,5.00,4.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3072363,9.00,9.00,8.00,8.00,9.00,6.75,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3072371,4.00,5.00,2.00,6.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3072380,5.00,4.00,2.00,7.00,5.00,4.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3072398,6.00,4.00,3.00,6.00,4.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3072401,3.00,3.00,1.00,6.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3072410,7.00,6.00,4.00,9.00,8.00,7.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3072428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3072436,5.00,3.00,3.00,9.00,5.00,4.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3072444,4.00,5.00,4.00,5.00,5.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3072452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3072479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3072495,7.00,7.00,7.00,7.00,7.00,5.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3072517,6.00,4.00,3.00,8.00,3.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3072525,3.00,2.00,2.00,6.00,4.00,6.25,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3072533,4.00,7.00,3.00,8.00,8.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3072568,7.00,5.00,5.00,5.00,4.00,5.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3072576,7.00,7.00,4.00,6.00,5.00,6.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3072584,5.00,3.00,5.00,4.00,6.00,4.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3072592,5.00,7.00,5.00,5.00,7.00,6.75,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3072606,6.00,6.00,2.00,7.00,5.00,6.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3072614,4.00,5.00,1.00,6.00,3.00,NULL,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3072622,4.00,6.00,5.00,3.00,7.00,6.75,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3072630,2.00,5.00,1.00,2.00,5.00,4.00,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3072649,5.00,6.00,4.00,4.00,6.00,5.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3072657,3.00,5.00,4.00,3.00,5.00,0.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3072665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3072673,8.00,7.00,8.00,9.00,8.00,8.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3072690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3072703,9.00,9.00,8.00,9.00,9.00,6.75,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3072711,7.00,5.00,5.00,9.00,7.00,7.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3072720,7.00,6.00,5.00,8.00,6.00,5.00,1.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3072738,5.00,4.00,3.00,1.00,5.00,7.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3072754,5.00,6.00,5.00,6.00,6.00,6.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3072762,5.00,5.00,6.00,6.00,6.00,5.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3072770,7.00,8.00,3.00,8.00,7.00,7.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3072800,6.00,5.00,5.00,7.00,3.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3072819,5.00,7.00,7.00,8.00,5.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3072827,5.00,5.00,3.00,5.00,5.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3072835,5.00,5.00,3.00,5.00,4.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3072843,3.00,4.00,3.00,2.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3072851,9.00,8.00,7.00,8.00,8.00,6.00,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3072860,1.00,2.00,2.00,1.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3072878,3.00,4.00,4.00,5.00,7.00,6.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3072886,6.00,7.00,7.00,8.00,4.00,6.25,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3072908,6.00,5.00,4.00,8.00,6.00,6.25,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3072924,8.00,5.00,7.00,8.00,6.00,6.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3072932,3.00,5.00,4.00,6.00,5.00,7.00,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3072940,3.00,4.00,2.00,4.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3072959,6.00,7.00,3.00,7.00,4.00,5.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3072975,3.00,4.00,2.00,9.00,5.00,6.25,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3072983,6.00,6.00,8.00,9.00,7.00,8.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3072991,5.00,3.00,2.00,5.00,5.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3073009,4.00,5.00,7.00,8.00,8.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3073033,5.00,4.00,5.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3073041,4.00,6.00,5.00,6.00,4.00,6.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3073050,0.00,2.00,3.00,4.00,1.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3073068,4.00,7.00,2.00,8.00,4.00,5.75,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3073076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3073084,4.00,4.00,3.00,5.00,7.00,5.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3073092,5.00,5.00,2.00,8.00,7.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3073106,6.00,8.00,2.00,6.00,6.00,7.25,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3073122,3.00,3.00,3.00,7.00,5.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3073130,3.00,5.00,4.00,7.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3073165,4.00,5.00,3.00,5.00,4.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3073173,7.00,7.00,4.00,5.00,7.00,6.75,5.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3073181,9.00,6.00,7.00,8.00,8.00,6.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3073203,6.00,6.00,3.00,7.00,4.00,5.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3073211,2.00,0.00,3.00,3.00,1.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3073220,0.00,2.00,3.00,5.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3073238,6.00,6.00,6.00,8.00,6.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3073246,6.00,5.00,5.00,5.00,6.00,4.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3073254,2.00,3.00,2.00,5.00,1.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3073270,4.00,3.00,5.00,7.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3073289,7.00,5.00,7.00,3.00,6.00,6.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3073297,5.00,3.00,2.00,6.00,6.00,4.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3073319,4.00,5.00,4.00,3.00,5.00,6.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3073327,3.00,5.00,2.00,2.00,5.00,4.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3073335,7.00,5.00,3.00,4.00,6.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3073343,7.00,5.00,4.00,6.00,7.00,4.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3073351,3.00,1.00,4.00,6.00,4.00,5.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3073378,7.00,7.00,8.00,9.00,5.00,6.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3073394,1.00,1.00,1.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3073408,4.00,6.00,4.00,3.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3073424,4.00,4.00,5.00,8.00,5.00,4.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3073432,8.00,6.00,5.00,7.00,5.00,5.00,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3073440,5.00,5.00,3.00,2.00,4.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3073459,4.00,1.00,3.00,3.00,4.00,5.25,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3073467,6.00,5.00,5.00,6.00,6.00,5.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3073475,4.00,3.00,1.00,3.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3073483,4.00,5.00,2.00,3.00,5.00,5.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3073491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3073505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3073513,5.00,5.00,4.00,6.00,5.00,4.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3073521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3073548,4.00,5.00,1.00,3.00,3.00,NULL,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3073556,4.00,2.00,2.00,2.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3073564,4.00,4.00,2.00,5.00,4.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3073572,8.00,7.00,6.00,7.00,6.00,5.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3073580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3073599,2.00,1.00,1.00,4.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3073602,7.00,6.00,6.00,5.00,4.00,5.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3073610,2.00,2.00,4.00,5.00,4.00,4.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3073637,5.00,5.00,5.00,2.00,4.00,5.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3073645,5.00,7.00,3.00,4.00,5.00,7.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3073653,5.00,5.00,4.00,5.00,7.00,5.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3073661,3.00,5.00,2.00,6.00,4.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3073688,2.00,0.00,1.00,2.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3073700,7.00,8.00,7.00,7.00,6.00,4.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3073718,7.00,7.00,6.00,8.00,7.00,7.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3073734,5.00,5.00,3.00,3.00,3.00,NULL,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3073742,2.00,6.00,5.00,8.00,6.00,7.50,5.00,7.00,2.00,NULL,NULL,NULL,'S'),(16,3073750,8.00,5.00,3.00,9.00,6.00,5.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3073769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3073777,2.00,4.00,1.00,3.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3073793,7.00,6.00,5.00,8.00,7.00,5.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3073831,3.00,1.00,4.00,0.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3073858,2.00,2.00,3.00,0.00,1.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3073874,3.00,3.00,2.00,2.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3073882,9.00,4.00,7.00,7.00,8.00,7.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3073912,6.00,4.00,4.00,8.00,5.00,5.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3073920,3.00,3.00,2.00,6.00,1.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3073939,5.00,3.00,1.00,5.00,7.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3073955,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3073963,5.00,6.00,3.00,9.00,7.00,5.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3073971,9.00,6.00,7.00,9.00,6.00,7.50,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3073980,5.00,6.00,5.00,6.00,5.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3073998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3074005,3.00,5.00,4.00,6.00,4.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3074013,6.00,7.00,4.00,6.00,7.00,4.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3074048,4.00,2.00,3.00,1.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3074056,4.00,1.00,2.00,2.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3074064,8.00,6.00,4.00,9.00,8.00,6.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3074080,3.00,1.00,4.00,0.00,4.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3074099,7.00,8.00,4.00,9.00,7.00,5.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3074102,2.00,3.00,3.00,5.00,2.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3074129,7.00,6.00,6.00,8.00,5.00,4.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3074137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3074145,6.00,6.00,6.00,3.00,5.00,5.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3074153,3.00,7.00,6.00,5.00,6.00,5.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3074161,5.00,5.00,2.00,5.00,1.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3074170,4.00,5.00,4.00,7.00,7.00,7.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3074188,5.00,4.00,1.00,7.00,7.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3074196,6.00,5.00,3.00,7.00,4.00,4.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3074200,6.00,5.00,4.00,6.00,7.00,5.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3074226,6.00,5.00,6.00,8.00,7.00,5.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3074234,6.00,8.00,5.00,8.00,4.00,4.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3074250,6.00,7.00,5.00,7.00,7.00,4.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3074269,6.00,9.00,7.00,9.00,8.00,6.75,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3074277,4.00,1.00,1.00,3.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3074285,3.00,6.00,1.00,3.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3074323,1.00,2.00,1.00,1.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3074331,3.00,4.00,2.00,2.00,2.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3074340,4.00,6.00,5.00,7.00,6.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3074358,4.00,3.00,3.00,4.00,5.00,5.75,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3074374,1.00,0.00,2.00,2.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3074382,3.00,2.00,3.00,7.00,5.00,4.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3074412,4.00,4.00,1.00,6.00,3.00,NULL,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3074439,2.00,3.00,4.00,0.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3074447,6.00,7.00,5.00,6.00,3.00,NULL,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3074455,4.00,5.00,2.00,7.00,4.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3074463,5.00,2.00,4.00,1.00,4.00,4.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3074471,4.00,5.00,3.00,5.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3074480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3074498,4.00,7.00,5.00,9.00,8.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3074501,2.00,3.00,5.00,5.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3074510,5.00,4.00,1.00,6.00,8.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3074528,5.00,7.00,4.00,8.00,8.00,7.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3074536,6.00,7.00,4.00,7.00,7.00,4.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3074544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3074552,5.00,8.00,2.00,5.00,8.00,5.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3074560,5.00,5.00,3.00,8.00,4.00,7.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3074579,5.00,7.00,3.00,5.00,4.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3074587,3.00,3.00,5.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3074595,7.00,8.00,9.00,7.00,7.00,4.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3074609,3.00,2.00,2.00,7.00,5.00,6.75,5.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3074617,9.00,7.00,9.00,8.00,7.00,6.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3074625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3074641,8.00,7.00,9.00,9.00,9.00,5.75,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3074650,5.00,3.00,1.00,5.00,6.00,4.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3074668,4.00,4.00,5.00,6.00,4.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3074676,5.00,2.00,1.00,1.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3074684,4.00,3.00,5.00,8.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3074692,6.00,7.00,5.00,7.00,5.00,4.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3074706,5.00,5.00,7.00,8.00,7.00,5.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3074714,5.00,6.00,6.00,9.00,8.00,7.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3074730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3074749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3074757,4.00,4.00,5.00,5.00,6.00,6.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3074765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3074773,4.00,6.00,3.00,6.00,7.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3074790,3.00,5.00,4.00,2.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3074803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3074820,8.00,8.00,6.00,8.00,7.00,5.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3074838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3074854,6.00,7.00,3.00,5.00,6.00,5.00,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3074862,3.00,6.00,3.00,7.00,5.00,4.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3074870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3074889,9.00,7.00,8.00,8.00,5.00,7.50,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3074900,0.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3074919,8.00,4.00,6.00,4.00,7.00,5.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3074927,4.00,8.00,3.00,8.00,5.00,5.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3074935,3.00,5.00,4.00,5.00,5.00,6.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3074943,4.00,5.00,5.00,6.00,4.00,4.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3074951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3074960,4.00,1.00,2.00,7.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3074978,6.00,7.00,2.00,7.00,7.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3074986,5.00,3.00,3.00,4.00,6.00,4.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3074994,7.00,2.00,2.00,5.00,5.00,4.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3075001,6.00,8.00,6.00,8.00,4.00,6.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3075010,7.00,6.00,4.00,3.00,5.00,5.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3075028,3.00,3.00,2.00,6.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3075036,6.00,6.00,4.00,8.00,6.00,5.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3075044,6.00,4.00,6.00,9.00,6.00,6.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3075052,4.00,4.00,4.00,2.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3075060,6.00,5.00,5.00,3.00,5.00,7.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3075079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3075087,8.00,8.00,5.00,4.00,8.00,6.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3075095,8.00,8.00,6.00,9.00,7.00,8.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3075117,7.00,7.00,5.00,6.00,7.00,4.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3075133,6.00,6.00,4.00,5.00,7.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3075141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3075150,6.00,7.00,1.00,9.00,5.00,6.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3075168,3.00,3.00,3.00,0.00,1.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3075176,5.00,3.00,4.00,7.00,6.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3075184,5.00,5.00,3.00,8.00,7.00,5.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3075192,4.00,2.00,5.00,3.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3075214,5.00,1.00,2.00,1.00,0.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3075222,8.00,8.00,7.00,9.00,8.00,6.75,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3075230,6.00,5.00,4.00,4.00,5.00,6.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3075257,3.00,7.00,2.00,6.00,7.00,6.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3075265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3075273,5.00,6.00,5.00,6.00,6.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3075281,4.00,3.00,2.00,5.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3075303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3075320,5.00,8.00,4.00,8.00,7.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3075338,4.00,3.00,6.00,8.00,4.00,6.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3075346,2.00,6.00,4.00,7.00,4.00,6.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3075354,6.00,4.00,2.00,3.00,7.00,6.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3075370,6.00,4.00,2.00,8.00,6.00,5.50,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3075389,4.00,5.00,4.00,7.00,6.00,3.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3075397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3075400,5.00,3.00,2.00,5.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3075419,6.00,4.00,4.00,8.00,7.00,7.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3075427,6.00,7.00,4.00,9.00,5.00,7.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3075443,4.00,3.00,4.00,1.00,4.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3075451,7.00,5.00,6.00,5.00,4.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3075460,8.00,6.00,5.00,2.00,5.00,4.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3075486,8.00,7.00,2.00,7.00,7.00,5.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3075494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3075508,5.00,4.00,3.00,5.00,2.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3075524,6.00,7.00,6.00,8.00,8.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3075532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3075540,4.00,5.00,2.00,2.00,2.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3075559,6.00,7.00,4.00,9.00,6.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3075567,5.00,3.00,3.00,7.00,7.00,8.00,2.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3075575,8.00,9.00,6.00,8.00,8.00,6.25,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3075591,5.00,3.00,2.00,8.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3075605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3075613,7.00,7.00,7.00,7.00,7.00,7.00,7.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3075621,7.00,6.00,5.00,3.00,4.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3075648,7.00,5.00,7.00,8.00,5.00,4.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3075656,5.00,6.00,5.00,8.00,7.00,4.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3075664,8.00,8.00,7.00,7.00,6.00,6.25,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3075672,6.00,3.00,2.00,6.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3075680,2.00,4.00,4.00,8.00,4.00,6.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3075699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3075702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3075710,7.00,8.00,6.00,9.00,9.00,5.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3075729,4.00,1.00,1.00,0.00,2.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3075737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3075745,1.00,0.00,1.00,2.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3075753,4.00,4.00,4.00,7.00,7.00,4.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3075770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3075788,2.00,2.00,3.00,4.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3075796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3075800,4.00,5.00,3.00,7.00,4.00,5.00,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3075818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3075826,3.00,3.00,2.00,4.00,4.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3075834,5.00,5.00,5.00,6.00,7.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3075842,7.00,5.00,5.00,6.00,8.00,6.75,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3075850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3075869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3075877,8.00,8.00,6.00,10.00,8.00,7.00,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3075885,6.00,9.00,3.00,8.00,8.00,6.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3075893,2.00,2.00,4.00,3.00,5.00,7.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3075915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3075923,2.00,2.00,3.00,2.00,4.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3075931,8.00,8.00,9.00,9.00,6.00,6.25,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3075940,4.00,4.00,1.00,3.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3075958,7.00,7.00,6.00,7.00,6.00,6.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3075966,8.00,8.00,8.00,9.00,7.00,7.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3075974,2.00,2.00,2.00,8.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3075982,5.00,5.00,3.00,8.00,5.00,4.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3075990,5.00,4.00,3.00,6.00,4.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3076008,5.00,6.00,4.00,8.00,6.00,6.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3076016,0.00,4.00,3.00,2.00,1.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3076024,5.00,7.00,1.00,7.00,5.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3076032,2.00,3.00,2.00,4.00,4.00,5.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3076040,2.00,4.00,4.00,4.00,4.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3076059,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3076075,6.00,6.00,6.00,7.00,7.00,4.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3076083,5.00,4.00,4.00,9.00,6.00,6.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3076091,8.00,8.00,5.00,7.00,6.00,6.50,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3076113,8.00,8.00,7.00,8.00,8.00,5.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3076121,2.00,2.00,1.00,3.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3076130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3076148,0.00,4.00,1.00,3.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3076156,8.00,7.00,4.00,8.00,9.00,6.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3076164,2.00,3.00,3.00,1.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3076180,5.00,4.00,4.00,5.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3076199,2.00,0.00,3.00,3.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3076202,6.00,8.00,4.00,6.00,7.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3076210,5.00,3.00,1.00,7.00,4.00,5.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3076229,5.00,6.00,3.00,9.00,5.00,5.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3076237,4.00,4.00,3.00,0.00,1.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3076245,6.00,6.00,5.00,7.00,6.00,6.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3076253,8.00,4.00,2.00,5.00,6.00,6.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3076261,7.00,7.00,3.00,8.00,6.00,6.50,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3076270,3.00,4.00,6.00,6.00,5.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3076296,5.00,3.00,2.00,5.00,4.00,5.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3076300,5.00,4.00,3.00,8.00,6.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3076318,5.00,5.00,6.00,3.00,6.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3076326,5.00,7.00,5.00,7.00,7.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3076334,5.00,5.00,6.00,7.00,6.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3076342,7.00,5.00,5.00,7.00,5.00,5.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3076350,5.00,4.00,3.00,7.00,5.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3076369,4.00,8.00,5.00,8.00,4.00,4.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3076377,2.00,6.00,1.00,1.00,2.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3076385,1.00,1.00,4.00,3.00,0.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3076393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3076407,5.00,4.00,4.00,4.00,6.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3076415,5.00,4.00,1.00,7.00,6.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3076423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3076431,4.00,3.00,4.00,5.00,1.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3076440,5.00,6.00,5.00,7.00,6.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3076474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3076482,5.00,6.00,6.00,7.00,4.00,5.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3076490,4.00,7.00,3.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3076504,6.00,5.00,5.00,6.00,6.00,5.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3076512,5.00,3.00,3.00,3.00,4.00,4.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3076520,3.00,8.00,5.00,9.00,7.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3076539,6.00,5.00,6.00,2.00,4.00,5.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3076547,5.00,3.00,2.00,5.00,6.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3076555,3.00,3.00,1.00,5.00,5.00,4.75,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3076563,3.00,2.00,4.00,1.00,4.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3076571,3.00,1.00,1.00,5.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3076580,2.00,4.00,3.00,5.00,5.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3076601,6.00,7.00,4.00,7.00,5.00,6.50,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3076610,1.00,4.00,4.00,8.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3076628,4.00,7.00,2.00,6.00,5.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3076636,6.00,7.00,4.00,7.00,5.00,4.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3076644,5.00,6.00,5.00,6.00,7.00,7.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3076652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3076679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3076687,9.00,6.00,6.00,7.00,6.00,5.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3076695,6.00,6.00,6.00,5.00,6.00,4.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3076709,3.00,3.00,3.00,7.00,3.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3076717,5.00,6.00,2.00,7.00,8.00,5.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3076725,6.00,6.00,7.00,8.00,5.00,6.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3076733,4.00,3.00,4.00,7.00,5.00,4.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3076741,3.00,8.00,3.00,6.00,3.00,NULL,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3076750,5.00,4.00,3.00,6.00,7.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3076768,3.00,5.00,3.00,5.00,4.00,5.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3076784,7.00,6.00,3.00,4.00,6.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3076792,5.00,4.00,4.00,8.00,8.00,7.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3076806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3076814,6.00,7.00,7.00,9.00,8.00,4.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3076830,6.00,2.00,2.00,5.00,6.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3076857,6.00,4.00,4.00,9.00,6.00,7.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3076865,6.00,6.00,5.00,7.00,5.00,5.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3076873,4.00,3.00,3.00,8.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3076881,5.00,4.00,4.00,6.00,6.00,5.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3076903,5.00,4.00,4.00,7.00,7.00,4.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3076911,2.00,2.00,2.00,5.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3076920,7.00,8.00,4.00,8.00,7.00,6.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3076938,2.00,1.00,2.00,5.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3076946,6.00,4.00,7.00,4.00,3.00,NULL,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3076954,3.00,6.00,4.00,6.00,6.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3076970,5.00,5.00,3.00,8.00,8.00,6.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3076989,5.00,2.00,6.00,7.00,6.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3077004,4.00,2.00,2.00,6.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3077012,4.00,8.00,8.00,9.00,7.00,6.25,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(16,3077020,6.00,7.00,6.00,8.00,6.00,4.25,5.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3077039,5.00,5.00,4.00,4.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3077047,4.00,6.00,5.00,3.00,4.00,4.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3077055,4.00,6.00,3.00,8.00,4.00,4.25,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3077063,4.00,3.00,3.00,7.00,4.00,6.25,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3077071,4.00,6.00,4.00,5.00,7.00,6.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3077080,5.00,3.00,1.00,9.00,7.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3077098,6.00,5.00,4.00,8.00,4.00,5.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3077110,4.00,7.00,2.00,7.00,6.00,5.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3077128,3.00,6.00,7.00,8.00,7.00,5.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3077136,7.00,8.00,5.00,8.00,5.00,6.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3077144,5.00,6.00,2.00,7.00,6.00,5.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3077179,5.00,5.00,1.00,4.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3077187,6.00,6.00,4.00,8.00,6.00,5.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3077195,7.00,8.00,9.00,8.00,8.00,6.75,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3077209,3.00,4.00,3.00,1.00,1.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3077217,4.00,5.00,1.00,3.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3077225,6.00,5.00,3.00,6.00,6.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3077233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3077241,5.00,4.00,3.00,7.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3077250,2.00,3.00,3.00,2.00,0.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3077268,7.00,6.00,6.00,7.00,5.00,4.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3077276,5.00,6.00,4.00,7.00,6.00,6.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3077284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3077292,5.00,6.00,6.00,9.00,6.00,6.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3077306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3077314,4.00,2.00,1.00,3.00,6.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3077322,6.00,4.00,3.00,8.00,6.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3077330,2.00,1.00,2.00,1.00,2.00,NULL,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3077349,9.00,7.00,4.00,7.00,7.00,7.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3077357,7.00,7.00,9.00,9.00,6.00,5.75,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3077365,7.00,7.00,1.00,7.00,5.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3077373,5.00,7.00,5.00,9.00,6.00,6.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3077381,3.00,6.00,3.00,8.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3077390,5.00,6.00,4.00,8.00,5.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3077403,9.00,8.00,8.00,7.00,5.00,5.50,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3077420,4.00,4.00,4.00,5.00,6.00,6.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3077438,2.00,7.00,6.00,9.00,6.00,4.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3077446,6.00,5.00,4.00,5.00,6.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3077454,5.00,7.00,4.00,5.00,8.00,7.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3077462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3077470,5.00,5.00,4.00,7.00,5.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3077489,8.00,8.00,6.00,9.00,8.00,7.50,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3077500,6.00,4.00,5.00,8.00,6.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3077519,8.00,6.00,5.00,8.00,6.00,6.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3077527,6.00,8.00,6.00,7.00,6.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3077535,3.00,5.00,4.00,4.00,4.00,4.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3077551,3.00,2.00,3.00,6.00,4.00,4.75,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3077578,5.00,2.00,4.00,7.00,5.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3077586,4.00,5.00,4.00,8.00,5.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3077594,6.00,7.00,6.00,8.00,7.00,6.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3077608,4.00,3.00,2.00,1.00,6.00,4.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3077616,7.00,7.00,4.00,8.00,6.00,4.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3077632,5.00,4.00,5.00,8.00,3.00,NULL,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3077640,5.00,6.00,3.00,6.00,6.00,5.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3077659,2.00,5.00,1.00,4.00,7.00,5.25,4.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3077667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3077675,7.00,7.00,5.00,6.00,5.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3077691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3077705,3.00,3.00,4.00,3.00,4.00,5.75,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(16,3077713,4.00,7.00,4.00,6.00,4.00,5.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3077721,6.00,6.00,6.00,4.00,7.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3077730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3077748,7.00,7.00,5.00,9.00,8.00,6.25,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3077756,4.00,5.00,4.00,7.00,6.00,6.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3077764,4.00,3.00,3.00,7.00,5.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3077772,3.00,0.00,1.00,1.00,2.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3077780,4.00,6.00,3.00,4.00,4.00,4.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3077799,2.00,1.00,3.00,0.00,3.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3077802,9.00,7.00,9.00,9.00,8.00,7.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3077810,4.00,5.00,4.00,5.00,6.00,4.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3077829,7.00,6.00,3.00,5.00,4.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3077837,8.00,7.00,5.00,8.00,7.00,5.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3077845,4.00,5.00,5.00,5.00,4.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3077853,2.00,3.00,3.00,5.00,5.00,4.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3077861,7.00,5.00,4.00,5.00,8.00,6.75,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3077870,6.00,9.00,3.00,6.00,7.00,6.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3077896,5.00,3.00,4.00,6.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3077900,6.00,4.00,3.00,5.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3077918,6.00,5.00,1.00,8.00,6.00,5.50,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3077926,6.00,6.00,5.00,9.00,7.00,6.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3077934,6.00,7.00,3.00,6.00,6.00,5.00,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3077950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3077969,6.00,5.00,6.00,7.00,4.00,6.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3077977,8.00,6.00,7.00,8.00,7.00,5.75,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3077985,6.00,3.00,2.00,9.00,6.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3077993,2.00,5.00,2.00,7.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3078000,5.00,3.00,2.00,7.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3078019,5.00,6.00,3.00,4.00,8.00,7.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3078027,3.00,5.00,2.00,7.00,4.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3078035,2.00,4.00,3.00,6.00,4.00,4.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3078043,6.00,6.00,4.00,8.00,5.00,6.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3078051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3078060,6.00,6.00,7.00,2.00,5.00,4.50,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3078078,4.00,7.00,6.00,7.00,6.00,5.25,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3078086,4.00,6.00,6.00,6.00,6.00,5.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3078094,5.00,5.00,5.00,5.00,6.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3078108,9.00,7.00,4.00,9.00,8.00,7.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3078124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3078132,2.00,4.00,4.00,7.00,5.00,6.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3078167,2.00,4.00,2.00,2.00,6.00,4.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3078175,8.00,4.00,5.00,3.00,4.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3078183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3078191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3078205,4.00,1.00,2.00,3.00,0.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3078213,7.00,7.00,5.00,6.00,5.00,5.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3078221,8.00,3.00,2.00,8.00,6.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3078230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3078248,5.00,6.00,4.00,8.00,4.00,4.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3078256,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3078264,5.00,3.00,1.00,0.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3078272,0.00,0.00,0.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3078280,6.00,4.00,4.00,8.00,7.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3078299,7.00,6.00,7.00,7.00,8.00,5.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3078310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3078329,5.00,4.00,3.00,6.00,5.00,4.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3078337,2.00,3.00,2.00,4.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3078345,8.00,6.00,6.00,9.00,6.00,6.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3078361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3078370,4.00,4.00,4.00,6.00,5.00,4.50,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3078388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3078396,7.00,6.00,2.00,4.00,6.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3078400,6.00,6.00,3.00,5.00,6.00,5.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3078418,5.00,6.00,1.00,7.00,5.00,6.50,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3078426,3.00,3.00,4.00,1.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3078434,5.00,4.00,1.00,8.00,5.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3078442,6.00,6.00,6.00,9.00,8.00,6.00,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3078450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3078477,9.00,6.00,9.00,9.00,9.00,5.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3078485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3078493,6.00,8.00,4.00,5.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3078507,5.00,5.00,1.00,8.00,5.00,5.75,2.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3078515,6.00,8.00,2.00,4.00,4.00,4.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3078523,3.00,5.00,3.00,3.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3078531,3.00,2.00,2.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3078540,3.00,6.00,6.00,8.00,8.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3078566,9.00,7.00,5.00,7.00,5.00,6.00,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3078574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3078582,4.00,5.00,3.00,7.00,5.00,6.00,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3078590,2.00,3.00,3.00,1.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3078604,5.00,5.00,3.00,4.00,4.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3078612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3078620,3.00,6.00,2.00,7.00,5.00,5.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3078639,6.00,8.00,5.00,7.00,6.00,8.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3078647,5.00,7.00,4.00,8.00,6.00,6.00,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3078671,6.00,8.00,6.00,7.00,4.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3078680,4.00,5.00,5.00,7.00,4.00,4.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3078698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3078701,4.00,7.00,5.00,9.00,8.00,6.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3078728,2.00,1.00,3.00,2.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3078736,5.00,4.00,4.00,2.00,5.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3078744,5.00,5.00,3.00,7.00,6.00,4.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3078752,6.00,3.00,4.00,4.00,4.00,4.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3078760,7.00,4.00,4.00,4.00,6.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3078779,5.00,5.00,6.00,7.00,4.00,4.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3078787,6.00,4.00,4.00,5.00,6.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3078795,7.00,5.00,7.00,7.00,8.00,6.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3078809,2.00,3.00,4.00,2.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3078817,7.00,4.00,4.00,8.00,6.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3078841,0.00,5.00,2.00,5.00,6.00,4.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3078850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3078868,2.00,2.00,3.00,7.00,0.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3078884,4.00,6.00,3.00,6.00,7.00,7.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3078892,4.00,5.00,4.00,8.00,6.00,6.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3078914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3078922,5.00,7.00,8.00,8.00,8.00,7.00,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3078930,5.00,6.00,3.00,7.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3078949,6.00,4.00,2.00,5.00,4.00,6.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3078957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3078965,6.00,7.00,4.00,7.00,6.00,5.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3078973,5.00,8.00,6.00,8.00,8.00,6.50,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3078981,9.00,9.00,4.00,7.00,7.00,7.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3079007,7.00,7.00,6.00,7.00,8.00,7.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3079015,4.00,6.00,1.00,6.00,5.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3079031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3079040,5.00,4.00,3.00,1.00,4.00,5.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3079058,3.00,1.00,3.00,5.00,4.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3079074,2.00,4.00,2.00,6.00,2.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3079082,4.00,4.00,2.00,6.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3079104,4.00,4.00,5.00,1.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3079112,4.00,4.00,2.00,6.00,6.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3079139,6.00,7.00,5.00,8.00,7.00,5.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3079147,4.00,4.00,4.00,3.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3079155,6.00,7.00,5.00,5.00,6.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3079171,6.00,7.00,6.00,8.00,8.00,6.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3079180,8.00,6.00,9.00,8.00,6.00,5.50,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3079198,6.00,5.00,5.00,4.00,6.00,7.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3079201,2.00,6.00,3.00,3.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3079210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3079236,3.00,6.00,1.00,4.00,5.00,5.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3079244,2.00,7.00,3.00,7.00,5.00,5.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3079260,5.00,7.00,7.00,7.00,4.00,7.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3079279,4.00,7.00,2.00,5.00,4.00,4.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3079287,4.00,5.00,4.00,6.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3079295,3.00,2.00,2.00,7.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3079309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3079317,3.00,2.00,2.00,6.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3079333,7.00,5.00,5.00,6.00,2.00,NULL,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3079341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3079368,5.00,1.00,3.00,5.00,5.00,5.75,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3079376,3.00,2.00,1.00,2.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3079384,3.00,3.00,1.00,3.00,4.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3079392,7.00,4.00,3.00,3.00,8.00,7.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3079406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3079414,3.00,6.00,2.00,7.00,5.00,6.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3079422,5.00,6.00,3.00,3.00,5.00,6.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3079430,4.00,2.00,2.00,3.00,2.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3079449,4.00,5.00,1.00,3.00,6.00,6.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3079457,2.00,4.00,3.00,8.00,7.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3079465,4.00,3.00,2.00,3.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3079473,3.00,2.00,1.00,1.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3079490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3079503,6.00,4.00,3.00,6.00,4.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3079511,4.00,1.00,4.00,3.00,5.00,5.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3079520,5.00,7.00,3.00,6.00,7.00,6.25,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3079538,3.00,7.00,2.00,7.00,7.00,6.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3079554,7.00,8.00,7.00,6.00,8.00,5.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3079562,7.00,8.00,7.00,7.00,7.00,7.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3079570,3.00,3.00,2.00,4.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3079589,8.00,3.00,5.00,6.00,4.00,5.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3079597,7.00,5.00,4.00,8.00,7.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3079619,0.00,0.00,0.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3079627,5.00,3.00,1.00,6.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3079635,5.00,3.00,1.00,4.00,4.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3079643,1.00,3.00,3.00,3.00,7.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3079651,7.00,5.00,7.00,8.00,8.00,6.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3079678,4.00,5.00,3.00,7.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3079686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3079708,1.00,4.00,1.00,6.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3079724,5.00,5.00,2.00,6.00,5.00,4.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3079759,5.00,7.00,4.00,8.00,5.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3079775,1.00,7.00,4.00,8.00,5.00,5.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3079783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3079791,3.00,6.00,2.00,1.00,2.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3079805,6.00,7.00,3.00,7.00,8.00,6.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3079813,5.00,6.00,2.00,4.00,6.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3079821,3.00,5.00,5.00,8.00,6.00,7.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3079830,9.00,9.00,8.00,8.00,7.00,7.50,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3079848,8.00,8.00,5.00,9.00,8.00,4.75,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3079856,5.00,3.00,3.00,6.00,4.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3079864,5.00,5.00,5.00,4.00,5.00,5.25,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3079872,3.00,3.00,4.00,7.00,6.00,6.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3079899,5.00,1.00,2.00,3.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3079902,4.00,5.00,6.00,9.00,7.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3079910,6.00,6.00,8.00,9.00,7.00,6.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3079929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3079953,4.00,3.00,4.00,5.00,2.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3079961,5.00,4.00,1.00,6.00,4.00,5.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3079988,3.00,6.00,4.00,3.00,5.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3079996,5.00,5.00,2.00,6.00,4.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3080005,8.00,9.00,4.00,8.00,7.00,6.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3080013,5.00,4.00,3.00,2.00,5.00,6.00,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3080021,5.00,7.00,6.00,7.00,5.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3080030,7.00,4.00,6.00,8.00,7.00,5.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3080048,8.00,9.00,7.00,9.00,8.00,6.50,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3080056,5.00,2.00,3.00,8.00,4.00,6.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3080064,6.00,6.00,3.00,3.00,7.00,6.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3080072,4.00,5.00,4.00,6.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3080102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3080110,5.00,5.00,1.00,3.00,2.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3080129,3.00,5.00,2.00,5.00,5.00,4.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3080137,8.00,7.00,6.00,7.00,6.00,5.00,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3080145,6.00,4.00,7.00,8.00,6.00,4.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3080153,6.00,3.00,1.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3080170,2.00,4.00,2.00,9.00,4.00,4.25,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3080188,4.00,3.00,4.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3080196,6.00,6.00,2.00,7.00,7.00,7.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3080200,1.00,4.00,2.00,1.00,0.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3080218,5.00,5.00,2.00,7.00,5.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3080226,3.00,1.00,3.00,4.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3080234,0.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3080242,4.00,5.00,5.00,7.00,5.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3080250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3080269,7.00,3.00,5.00,8.00,5.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3080277,6.00,3.00,4.00,7.00,6.00,4.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3080285,9.00,9.00,6.00,8.00,7.00,6.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3080293,7.00,7.00,6.00,5.00,6.00,4.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3080307,4.00,7.00,4.00,0.00,5.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3080315,5.00,4.00,2.00,6.00,5.00,4.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3080323,3.00,3.00,4.00,6.00,4.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3080331,6.00,3.00,6.00,4.00,2.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3080340,5.00,8.00,5.00,8.00,7.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3080358,5.00,5.00,2.00,3.00,7.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3080366,6.00,3.00,4.00,6.00,5.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3080374,6.00,3.00,4.00,2.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3080382,8.00,9.00,9.00,8.00,9.00,6.00,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3080390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3080404,3.00,5.00,1.00,6.00,8.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3080412,4.00,2.00,4.00,6.00,3.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3080420,6.00,5.00,4.00,3.00,3.00,NULL,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3080439,3.00,5.00,4.00,5.00,7.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3080447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3080455,3.00,3.00,2.00,4.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3080463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3080480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3080498,3.00,2.00,2.00,0.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3080501,6.00,4.00,2.00,8.00,7.00,8.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3080510,7.00,6.00,4.00,0.00,5.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3080528,3.00,5.00,4.00,7.00,5.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3080536,5.00,7.00,3.00,9.00,7.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3080544,7.00,7.00,4.00,8.00,6.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3080552,5.00,5.00,1.00,6.00,6.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3080560,5.00,6.00,3.00,5.00,4.00,4.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3080579,5.00,5.00,5.00,8.00,4.00,5.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3080587,9.00,8.00,7.00,9.00,7.00,8.25,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3080595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3080609,2.00,4.00,4.00,7.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3080617,5.00,6.00,4.00,5.00,6.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3080625,7.00,7.00,6.00,8.00,7.00,7.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3080633,4.00,5.00,8.00,6.00,5.00,6.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3080641,9.00,6.00,8.00,8.00,7.00,7.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3080650,5.00,2.00,2.00,4.00,4.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3080668,3.00,2.00,1.00,0.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3080684,4.00,3.00,2.00,6.00,5.00,4.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3080706,7.00,7.00,7.00,9.00,6.00,5.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3080722,3.00,1.00,2.00,1.00,3.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3080749,3.00,6.00,1.00,5.00,5.00,4.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3080757,9.00,8.00,8.00,7.00,7.00,6.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3080773,3.00,0.00,3.00,2.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3080790,8.00,5.00,5.00,5.00,5.00,4.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3080803,5.00,7.00,5.00,7.00,6.00,4.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3080838,5.00,4.00,4.00,5.00,6.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3080846,5.00,6.00,4.00,9.00,7.00,7.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3080854,0.00,5.00,3.00,4.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3080862,5.00,6.00,4.00,7.00,9.00,6.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3080870,2.00,0.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3080889,5.00,1.00,4.00,5.00,4.00,6.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3080897,5.00,5.00,4.00,8.00,4.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3080900,2.00,3.00,2.00,5.00,5.00,5.75,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3080919,8.00,7.00,3.00,6.00,6.00,4.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3080927,5.00,4.00,4.00,2.00,7.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3080935,4.00,4.00,2.00,7.00,5.00,4.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3080943,4.00,3.00,1.00,4.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3080951,3.00,2.00,1.00,6.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3080960,4.00,4.00,3.00,4.00,5.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3080978,4.00,4.00,5.00,7.00,4.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3080986,7.00,8.00,5.00,8.00,8.00,6.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3080994,8.00,8.00,7.00,6.00,6.00,4.50,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3081001,8.00,9.00,7.00,7.00,8.00,5.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3081010,1.00,3.00,1.00,4.00,3.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3081028,4.00,5.00,2.00,3.00,5.00,4.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3081036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3081044,8.00,7.00,4.00,6.00,7.00,7.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3081052,5.00,5.00,3.00,8.00,4.00,6.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3081060,6.00,6.00,8.00,2.00,5.00,5.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3081087,2.00,4.00,3.00,7.00,4.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3081095,4.00,4.00,2.00,3.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3081117,3.00,3.00,1.00,6.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3081125,5.00,5.00,4.00,9.00,6.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3081133,3.00,5.00,2.00,6.00,5.00,5.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3081141,7.00,6.00,5.00,8.00,6.00,7.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3081150,3.00,1.00,5.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3081176,4.00,2.00,2.00,0.00,5.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3081184,1.00,2.00,2.00,2.00,4.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3081206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3081214,8.00,6.00,3.00,9.00,8.00,6.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3081222,3.00,7.00,5.00,5.00,4.00,3.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3081249,3.00,5.00,4.00,6.00,2.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3081273,2.00,4.00,3.00,3.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3081281,3.00,3.00,3.00,6.00,6.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3081290,4.00,5.00,3.00,2.00,4.00,4.25,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3081311,7.00,7.00,5.00,6.00,5.00,5.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3081320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3081338,5.00,4.00,6.00,8.00,8.00,6.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3081346,7.00,8.00,8.00,5.00,6.00,6.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3081362,5.00,5.00,6.00,2.00,5.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3081370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3081389,2.00,1.00,1.00,1.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3081400,3.00,5.00,4.00,2.00,5.00,5.75,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3081419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3081427,3.00,2.00,1.00,1.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3081451,3.00,5.00,3.00,5.00,6.00,5.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3081460,3.00,3.00,3.00,5.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3081486,5.00,5.00,2.00,6.00,5.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3081494,7.00,7.00,5.00,7.00,6.00,4.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3081516,6.00,4.00,3.00,6.00,6.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3081524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3081540,7.00,7.00,5.00,8.00,6.00,5.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3081583,4.00,3.00,3.00,7.00,4.00,4.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3081605,4.00,4.00,4.00,6.00,6.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3081613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3081621,1.00,2.00,3.00,4.00,6.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3081630,5.00,6.00,2.00,4.00,4.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3081648,3.00,4.00,1.00,8.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3081656,7.00,8.00,9.00,9.00,7.00,7.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3081664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3081672,5.00,7.00,5.00,7.00,8.00,5.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3081710,2.00,5.00,4.00,8.00,6.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3081729,4.00,2.00,1.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3081737,5.00,4.00,3.00,8.00,5.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3081753,4.00,5.00,6.00,8.00,5.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3081761,3.00,5.00,1.00,9.00,7.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3081770,6.00,5.00,3.00,5.00,2.00,NULL,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3081796,4.00,7.00,6.00,8.00,7.00,5.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3081800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3081818,2.00,3.00,3.00,2.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3081826,6.00,7.00,3.00,8.00,7.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3081834,3.00,5.00,3.00,6.00,4.00,4.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3081842,5.00,5.00,2.00,4.00,7.00,5.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3081869,9.00,8.00,8.00,9.00,7.00,6.50,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3081877,5.00,5.00,1.00,1.00,6.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3081885,3.00,2.00,2.00,0.00,4.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3081893,5.00,5.00,5.00,8.00,6.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3081923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3081931,4.00,3.00,4.00,1.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3081940,3.00,3.00,1.00,4.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3081958,5.00,2.00,3.00,4.00,4.00,0.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3081966,3.00,4.00,1.00,7.00,5.00,7.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3081974,9.00,7.00,8.00,8.00,7.00,6.25,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3081982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3082008,1.00,1.00,2.00,1.00,3.00,NULL,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3082016,4.00,4.00,1.00,3.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3082024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3082032,7.00,8.00,9.00,8.00,9.00,6.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3082040,1.00,1.00,1.00,7.00,5.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3082059,1.00,1.00,1.00,3.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3082067,9.00,7.00,4.00,8.00,6.00,5.50,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3082075,3.00,3.00,6.00,5.00,4.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3082083,4.00,5.00,2.00,0.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3082091,1.00,2.00,1.00,0.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3082113,4.00,6.00,3.00,4.00,5.00,4.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3082121,3.00,3.00,2.00,2.00,4.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3082130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3082148,2.00,5.00,3.00,8.00,4.00,4.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3082156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3082202,7.00,6.00,9.00,8.00,9.00,7.50,9.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3082210,4.00,8.00,5.00,7.00,5.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3082229,3.00,1.00,2.00,8.00,3.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3082237,5.00,3.00,6.00,4.00,7.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3082245,8.00,6.00,4.00,8.00,8.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3082270,6.00,7.00,4.00,6.00,6.00,5.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3082288,5.00,7.00,4.00,9.00,5.00,6.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3082296,4.00,7.00,1.00,4.00,4.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3082318,4.00,4.00,3.00,2.00,5.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3082326,5.00,6.00,3.00,5.00,7.00,5.75,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3082342,5.00,4.00,3.00,5.00,6.00,6.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3082350,2.00,2.00,2.00,6.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3082369,2.00,3.00,2.00,7.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3082377,3.00,3.00,3.00,7.00,4.00,6.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3082385,4.00,3.00,1.00,6.00,5.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3082407,5.00,7.00,5.00,9.00,5.00,0.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3082415,3.00,1.00,5.00,1.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3082431,7.00,6.00,7.00,8.00,5.00,6.50,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3082440,3.00,4.00,1.00,4.00,5.00,NULL,0.00,7.00,0.00,NULL,NULL,NULL,'N'),(16,3082458,5.00,6.00,6.00,9.00,8.00,6.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3082466,8.00,7.00,6.00,8.00,7.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3082474,2.00,3.00,3.00,6.00,6.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3082482,5.00,1.00,5.00,1.00,5.00,5.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3082490,8.00,7.00,5.00,10.00,9.00,8.00,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3082504,8.00,8.00,6.00,5.00,8.00,7.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3082512,7.00,4.00,4.00,8.00,5.00,4.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3082520,3.00,4.00,5.00,7.00,5.00,5.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3082539,5.00,5.00,6.00,5.00,2.00,NULL,5.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3082547,9.00,8.00,8.00,9.00,6.00,7.75,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3082555,2.00,2.00,2.00,4.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3082563,4.00,4.00,3.00,3.00,4.00,4.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3082571,2.00,0.00,2.00,6.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3082580,2.00,4.00,2.00,4.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3082598,6.00,6.00,6.00,8.00,5.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3082601,5.00,4.00,3.00,8.00,4.00,5.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3082610,4.00,4.00,7.00,6.00,4.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3082628,3.00,4.00,1.00,4.00,4.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3082636,6.00,5.00,5.00,7.00,7.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3082644,9.00,8.00,5.00,8.00,7.00,5.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3082652,6.00,6.00,1.00,8.00,7.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3082660,5.00,7.00,3.00,4.00,5.00,4.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3082679,6.00,5.00,5.00,4.00,4.00,6.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3082687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3082695,8.00,9.00,7.00,9.00,7.00,6.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3082709,8.00,9.00,7.00,8.00,7.00,6.75,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3082717,7.00,8.00,5.00,6.00,7.00,6.25,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3082725,2.00,5.00,3.00,2.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3082733,4.00,2.00,2.00,6.00,4.00,4.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3082741,5.00,5.00,4.00,4.00,5.00,5.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3082768,1.00,3.00,1.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3082776,7.00,3.00,5.00,8.00,6.00,4.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3082784,5.00,4.00,3.00,7.00,8.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3082792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3082806,7.00,8.00,4.00,8.00,3.00,NULL,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3082814,4.00,3.00,2.00,2.00,1.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3082822,9.00,9.00,6.00,6.00,7.00,6.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3082830,4.00,5.00,3.00,6.00,7.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3082849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3082857,7.00,6.00,7.00,8.00,6.00,5.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3082881,4.00,6.00,5.00,8.00,5.00,4.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3082890,1.00,4.00,2.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3082903,3.00,3.00,2.00,6.00,6.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3082920,2.00,6.00,2.00,6.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3082938,3.00,2.00,3.00,6.00,5.00,5.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3082946,6.00,5.00,2.00,6.00,5.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3082954,4.00,5.00,3.00,8.00,6.00,6.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3082962,7.00,8.00,5.00,8.00,7.00,6.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3082970,9.00,7.00,6.00,8.00,7.00,4.50,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3082989,5.00,4.00,4.00,5.00,5.00,6.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3082997,9.00,7.00,8.00,9.00,7.00,6.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3083020,5.00,4.00,2.00,6.00,4.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3083063,2.00,3.00,1.00,0.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3083071,4.00,4.00,2.00,3.00,4.00,4.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3083098,4.00,2.00,4.00,4.00,4.00,5.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3083101,5.00,4.00,2.00,4.00,5.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3083110,8.00,8.00,4.00,7.00,7.00,6.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3083128,8.00,3.00,3.00,8.00,4.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3083136,3.00,5.00,5.00,2.00,4.00,5.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3083144,5.00,4.00,1.00,2.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3083152,3.00,3.00,5.00,8.00,6.00,5.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3083160,1.00,1.00,2.00,3.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3083179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3083187,2.00,2.00,4.00,5.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3083195,2.00,7.00,3.00,3.00,4.00,5.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3083209,6.00,8.00,5.00,8.00,8.00,7.25,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3083217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3083225,9.00,7.00,8.00,8.00,8.00,7.25,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3083233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3083241,8.00,8.00,5.00,8.00,5.00,5.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3083250,8.00,8.00,5.00,9.00,8.00,6.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3083276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3083284,5.00,4.00,3.00,7.00,6.00,6.25,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3083292,6.00,6.00,4.00,6.00,2.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3083314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3083322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3083349,4.00,5.00,1.00,2.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3083357,5.00,6.00,2.00,9.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3083365,3.00,6.00,4.00,4.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3083373,3.00,4.00,2.00,2.00,2.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3083390,9.00,8.00,6.00,6.00,7.00,6.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3083403,3.00,5.00,3.00,5.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3083438,7.00,5.00,7.00,8.00,8.00,8.25,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3083446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3083454,4.00,4.00,3.00,3.00,5.00,4.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3083462,8.00,8.00,6.00,6.00,7.00,4.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3083470,5.00,5.00,3.00,6.00,3.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'S'),(16,3083489,4.00,7.00,5.00,8.00,4.00,4.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3083497,4.00,6.00,2.00,8.00,7.00,5.75,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3083500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3083519,3.00,1.00,2.00,2.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3083535,5.00,8.00,3.00,8.00,8.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3083543,6.00,7.00,6.00,9.00,4.00,5.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3083551,6.00,5.00,4.00,9.00,5.00,5.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3083560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3083586,5.00,3.00,3.00,8.00,3.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3083594,4.00,4.00,2.00,9.00,7.00,6.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3083608,5.00,6.00,4.00,8.00,5.00,0.00,1.00,5.00,6.00,NULL,NULL,NULL,'S'),(16,3083616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3083624,5.00,5.00,8.00,8.00,7.00,7.75,3.00,2.00,8.00,NULL,NULL,NULL,'N'),(16,3083632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3083659,5.00,4.00,5.00,7.00,4.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3083667,3.00,3.00,5.00,7.00,6.00,4.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3083675,3.00,4.00,1.00,7.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3083683,4.00,6.00,3.00,5.00,4.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3083691,4.00,2.00,3.00,1.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3083705,2.00,4.00,3.00,3.00,2.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3083713,4.00,3.00,6.00,8.00,5.00,7.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3083721,2.00,3.00,4.00,5.00,4.00,6.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3083730,2.00,7.00,2.00,8.00,6.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3083748,3.00,4.00,1.00,3.00,4.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3083756,5.00,5.00,4.00,7.00,8.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3083764,8.00,7.00,2.00,6.00,6.00,4.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3083772,6.00,7.00,3.00,8.00,5.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3083780,2.00,4.00,2.00,2.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3083799,6.00,5.00,4.00,5.00,4.00,5.75,2.00,5.00,6.00,NULL,NULL,NULL,'S'),(16,3083802,5.00,5.00,4.00,5.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3083829,8.00,6.00,6.00,8.00,6.00,4.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3083837,4.00,4.00,1.00,5.00,3.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3083845,2.00,0.00,1.00,1.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3083861,7.00,6.00,4.00,8.00,6.00,5.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3083870,7.00,6.00,7.00,6.00,7.00,6.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3083888,4.00,4.00,2.00,5.00,4.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3083896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3083900,3.00,4.00,3.00,4.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3083918,5.00,5.00,1.00,6.00,4.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3083926,4.00,4.00,2.00,4.00,4.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3083934,4.00,5.00,3.00,3.00,4.00,4.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3083950,5.00,1.00,5.00,5.00,4.00,5.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3083969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3083977,5.00,1.00,4.00,7.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3083985,7.00,7.00,6.00,8.00,5.00,6.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3083993,5.00,6.00,6.00,9.00,7.00,5.00,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3084000,9.00,7.00,6.00,7.00,7.00,6.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3084019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3084027,4.00,3.00,1.00,6.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3084035,2.00,6.00,3.00,8.00,6.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3084043,1.00,3.00,5.00,7.00,6.00,6.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3084051,6.00,6.00,3.00,7.00,5.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3084078,5.00,5.00,3.00,7.00,5.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3084086,4.00,3.00,2.00,4.00,4.00,3.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3084094,4.00,5.00,5.00,2.00,3.00,NULL,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3084124,5.00,6.00,7.00,7.00,6.00,7.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3084140,8.00,6.00,5.00,8.00,5.00,6.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3084159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3084167,4.00,5.00,5.00,6.00,4.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3084175,2.00,2.00,2.00,3.00,4.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3084183,2.00,4.00,5.00,8.00,8.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3084205,6.00,7.00,4.00,7.00,6.00,5.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3084213,6.00,7.00,3.00,8.00,6.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3084221,4.00,3.00,4.00,6.00,5.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3084230,6.00,5.00,6.00,9.00,8.00,7.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3084248,4.00,4.00,3.00,6.00,4.00,6.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3084256,3.00,5.00,3.00,7.00,6.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3084264,7.00,6.00,5.00,8.00,9.00,6.50,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3084272,4.00,1.00,3.00,4.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3084280,7.00,5.00,7.00,7.00,7.00,6.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3084302,7.00,5.00,7.00,8.00,8.00,5.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3084310,6.00,7.00,6.00,9.00,8.00,5.75,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3084329,4.00,4.00,2.00,6.00,5.00,7.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3084337,6.00,7.00,7.00,8.00,5.00,5.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3084345,6.00,6.00,7.00,7.00,5.00,6.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3084353,6.00,4.00,5.00,4.00,4.00,5.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3084370,6.00,5.00,7.00,8.00,4.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3084388,8.00,4.00,6.00,8.00,7.00,7.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3084396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3084400,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3084418,8.00,7.00,7.00,4.00,7.00,6.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3084426,7.00,2.00,1.00,5.00,5.00,4.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3084434,6.00,6.00,6.00,7.00,6.00,6.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3084450,2.00,5.00,4.00,3.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3084469,5.00,3.00,5.00,2.00,1.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3084477,7.00,8.00,8.00,8.00,8.00,6.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3084485,6.00,6.00,5.00,4.00,4.00,4.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3084507,4.00,3.00,5.00,3.00,5.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3084515,6.00,8.00,3.00,7.00,7.00,4.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3084531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3084558,7.00,8.00,6.00,8.00,8.00,6.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3084566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3084574,7.00,6.00,1.00,5.00,7.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3084582,6.00,6.00,4.00,5.00,6.00,6.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3084590,0.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3084612,7.00,6.00,4.00,6.00,6.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3084620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3084639,4.00,4.00,5.00,6.00,6.00,5.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3084647,2.00,4.00,2.00,6.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3084655,4.00,4.00,1.00,3.00,2.00,NULL,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3084663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3084680,7.00,6.00,4.00,8.00,5.00,4.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3084698,7.00,7.00,9.00,8.00,9.00,8.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3084701,5.00,3.00,7.00,5.00,6.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3084710,1.00,0.00,3.00,2.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3084728,4.00,1.00,2.00,7.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3084736,4.00,3.00,2.00,5.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3084744,7.00,7.00,5.00,9.00,9.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3084752,4.00,4.00,2.00,5.00,4.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3084779,2.00,4.00,3.00,6.00,5.00,5.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3084787,7.00,6.00,4.00,8.00,6.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3084795,2.00,3.00,2.00,4.00,8.00,5.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3084809,6.00,8.00,2.00,4.00,5.00,6.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3084817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3084825,7.00,5.00,9.00,7.00,6.00,5.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3084850,2.00,5.00,4.00,5.00,1.00,NULL,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3084868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3084876,6.00,6.00,4.00,4.00,5.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3084884,4.00,4.00,2.00,2.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3084906,6.00,5.00,6.00,4.00,5.00,5.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3084930,5.00,2.00,1.00,4.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3084949,5.00,7.00,3.00,5.00,5.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3084973,2.00,4.00,4.00,7.00,5.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3084981,1.00,1.00,3.00,3.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3084990,4.00,3.00,1.00,2.00,3.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3085007,6.00,4.00,2.00,9.00,5.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3085015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3085023,4.00,2.00,6.00,7.00,7.00,5.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3085031,5.00,1.00,2.00,2.00,6.00,NULL,7.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3085040,6.00,7.00,5.00,8.00,6.00,4.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3085058,5.00,8.00,4.00,6.00,5.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3085066,6.00,9.00,5.00,3.00,6.00,5.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3085074,5.00,7.00,6.00,8.00,6.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3085082,2.00,2.00,4.00,1.00,5.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3085090,7.00,6.00,4.00,7.00,6.00,5.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3085104,3.00,6.00,1.00,4.00,2.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3085112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3085139,5.00,7.00,6.00,7.00,5.00,7.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3085147,3.00,4.00,2.00,8.00,6.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3085155,2.00,3.00,4.00,4.00,5.00,5.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3085163,8.00,8.00,8.00,8.00,7.00,6.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3085171,8.00,9.00,6.00,9.00,8.00,7.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3085180,9.00,8.00,8.00,9.00,5.00,6.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3085198,3.00,5.00,2.00,6.00,3.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(16,3085201,6.00,6.00,4.00,8.00,5.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3085210,3.00,5.00,3.00,5.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3085228,6.00,6.00,2.00,6.00,6.00,5.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3085236,9.00,8.00,9.00,9.00,8.00,6.25,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3085244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3085252,4.00,5.00,3.00,7.00,6.00,6.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3085260,2.00,2.00,2.00,3.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3085279,5.00,4.00,3.00,6.00,6.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3085287,5.00,7.00,5.00,8.00,4.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3085295,1.00,2.00,3.00,1.00,3.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3085309,5.00,3.00,3.00,7.00,5.00,5.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3085317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3085333,7.00,3.00,3.00,3.00,4.00,5.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3085341,5.00,7.00,1.00,4.00,6.00,4.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3085350,8.00,7.00,6.00,9.00,8.00,5.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3085368,9.00,7.00,5.00,8.00,8.00,6.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3085376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3085392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3085406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3085414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3085430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3085449,3.00,7.00,3.00,5.00,6.00,5.25,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3085465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3085481,4.00,5.00,2.00,9.00,7.00,5.00,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3085511,7.00,5.00,4.00,3.00,7.00,5.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3085520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3085538,6.00,8.00,6.00,7.00,4.00,4.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3085546,6.00,5.00,4.00,6.00,2.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3085554,3.00,4.00,4.00,5.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3085562,6.00,6.00,4.00,7.00,5.00,4.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3085570,4.00,4.00,2.00,6.00,5.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3085589,7.00,7.00,6.00,8.00,8.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3085597,5.00,6.00,5.00,7.00,6.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3085619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3085627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3085635,8.00,8.00,7.00,8.00,5.00,6.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3085643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3085651,2.00,3.00,1.00,3.00,4.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3085660,2.00,2.00,1.00,4.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3085678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3085686,4.00,3.00,4.00,8.00,5.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3085694,7.00,8.00,4.00,5.00,7.00,5.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3085708,6.00,5.00,6.00,6.00,6.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3085716,8.00,6.00,7.00,8.00,9.00,6.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3085740,0.00,1.00,5.00,3.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3085759,3.00,4.00,1.00,3.00,4.00,4.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3085767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3085775,6.00,5.00,4.00,0.00,5.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3085783,6.00,7.00,5.00,7.00,5.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3085791,5.00,5.00,2.00,7.00,6.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3085805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3085813,4.00,5.00,4.00,8.00,4.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3085821,6.00,3.00,3.00,6.00,6.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3085830,0.00,3.00,2.00,5.00,4.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3085856,5.00,5.00,7.00,8.00,7.00,5.75,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(16,3085864,7.00,6.00,5.00,6.00,5.00,6.25,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3085872,8.00,7.00,5.00,8.00,7.00,6.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3085880,2.00,5.00,5.00,8.00,6.00,6.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3085899,5.00,2.00,1.00,4.00,6.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3085910,2.00,4.00,4.00,2.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3085929,1.00,3.00,1.00,6.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3085937,4.00,5.00,6.00,9.00,6.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3085945,3.00,6.00,4.00,5.00,5.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3085961,5.00,4.00,2.00,7.00,5.00,6.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3085970,4.00,4.00,4.00,8.00,4.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3085988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3085996,5.00,6.00,4.00,8.00,5.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3086003,5.00,3.00,2.00,2.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3086011,5.00,5.00,4.00,3.00,3.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3086020,7.00,6.00,5.00,9.00,4.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3086038,7.00,7.00,4.00,9.00,8.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3086046,5.00,6.00,2.00,9.00,6.00,5.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3086070,5.00,8.00,2.00,4.00,5.00,6.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3086089,5.00,4.00,2.00,6.00,7.00,6.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3086097,7.00,6.00,7.00,9.00,6.00,6.00,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3086100,4.00,3.00,1.00,7.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3086119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3086127,6.00,5.00,2.00,7.00,5.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3086135,7.00,8.00,4.00,8.00,5.00,4.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3086143,4.00,6.00,3.00,4.00,4.00,4.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3086151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3086160,2.00,3.00,2.00,5.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3086178,7.00,4.00,4.00,9.00,5.00,5.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3086194,6.00,3.00,2.00,4.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3086208,4.00,7.00,2.00,9.00,4.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3086216,7.00,3.00,3.00,6.00,6.00,4.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3086224,5.00,8.00,7.00,8.00,6.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3086232,9.00,8.00,8.00,9.00,8.00,5.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3086240,8.00,9.00,7.00,9.00,7.00,6.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3086259,2.00,2.00,3.00,8.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3086267,6.00,7.00,4.00,4.00,4.00,7.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3086283,7.00,9.00,9.00,7.00,7.00,8.25,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3086291,6.00,5.00,3.00,8.00,6.00,8.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3086305,5.00,7.00,2.00,3.00,7.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3086313,4.00,6.00,2.00,5.00,5.00,4.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3086321,7.00,7.00,7.00,6.00,5.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3086330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3086348,3.00,6.00,9.00,9.00,5.00,6.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3086356,5.00,5.00,3.00,3.00,6.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3086364,6.00,4.00,2.00,6.00,7.00,6.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3086372,5.00,3.00,3.00,8.00,5.00,4.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3086399,1.00,4.00,2.00,4.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3086402,4.00,2.00,3.00,5.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3086429,6.00,4.00,3.00,9.00,6.00,6.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3086437,4.00,4.00,4.00,6.00,4.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3086445,3.00,4.00,6.00,4.00,5.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3086453,4.00,5.00,2.00,6.00,5.00,4.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3086461,4.00,7.00,4.00,1.00,6.00,5.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3086470,4.00,2.00,3.00,6.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3086488,5.00,4.00,5.00,2.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3086496,5.00,8.00,6.00,8.00,5.00,4.75,4.00,8.00,5.00,NULL,NULL,NULL,'S'),(16,3086518,7.00,8.00,5.00,7.00,6.00,5.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3086526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3086534,6.00,6.00,3.00,7.00,5.00,5.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3086542,0.00,7.00,1.00,6.00,7.00,6.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3086550,8.00,8.00,6.00,8.00,8.00,6.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3086569,0.00,4.00,1.00,3.00,4.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3086577,3.00,3.00,2.00,3.00,4.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3086585,4.00,6.00,3.00,1.00,5.00,5.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3086593,2.00,3.00,1.00,5.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3086607,3.00,4.00,1.00,2.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3086623,4.00,6.00,4.00,7.00,9.00,7.50,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3086631,5.00,3.00,4.00,4.00,4.00,4.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3086658,2.00,6.00,1.00,5.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3086666,4.00,7.00,4.00,3.00,5.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3086674,2.00,4.00,3.00,1.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3086690,4.00,4.00,2.00,0.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3086704,5.00,8.00,3.00,4.00,4.00,5.75,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3086712,9.00,8.00,8.00,8.00,8.00,6.50,9.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3086720,4.00,1.00,4.00,2.00,6.00,0.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3086739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3086755,8.00,7.00,8.00,9.00,8.00,6.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3086763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3086771,6.00,4.00,6.00,7.00,6.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3086780,5.00,6.00,4.00,5.00,6.00,4.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3086801,6.00,7.00,7.00,7.00,5.00,6.50,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3086810,4.00,2.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3086828,4.00,3.00,1.00,6.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3086836,5.00,6.00,3.00,9.00,4.00,5.75,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3086844,7.00,3.00,4.00,6.00,6.00,5.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3086860,4.00,4.00,2.00,7.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3086887,3.00,5.00,1.00,8.00,6.00,4.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3086895,2.00,1.00,1.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3086909,3.00,2.00,2.00,6.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3086917,9.00,7.00,7.00,7.00,4.00,4.75,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3086925,7.00,6.00,5.00,8.00,8.00,8.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3086933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3086941,6.00,4.00,5.00,1.00,6.00,4.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3086968,2.00,3.00,3.00,2.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3086992,4.00,7.00,3.00,1.00,4.00,4.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3087000,4.00,6.00,3.00,8.00,4.00,3.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3087034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3087042,5.00,5.00,3.00,8.00,5.00,4.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3087050,4.00,4.00,1.00,5.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3087069,3.00,4.00,3.00,5.00,5.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3087093,5.00,2.00,3.00,5.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3087107,3.00,4.00,3.00,2.00,1.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3087115,4.00,4.00,4.00,3.00,4.00,6.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3087131,1.00,2.00,2.00,3.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3087158,4.00,6.00,4.00,5.00,5.00,5.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3087174,5.00,7.00,6.00,6.00,6.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3087182,8.00,6.00,5.00,8.00,6.00,7.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3087190,3.00,1.00,3.00,4.00,3.00,NULL,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3087212,7.00,6.00,5.00,8.00,6.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3087239,8.00,7.00,5.00,8.00,8.00,7.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3087247,2.00,3.00,3.00,8.00,4.00,5.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3087255,1.00,2.00,1.00,4.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3087280,7.00,8.00,7.00,8.00,8.00,6.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3087298,4.00,8.00,4.00,7.00,7.00,5.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3087301,2.00,2.00,2.00,6.00,4.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3087310,4.00,6.00,3.00,6.00,6.00,5.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3087328,6.00,5.00,2.00,7.00,5.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3087336,7.00,4.00,5.00,6.00,5.00,6.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3087352,6.00,4.00,3.00,7.00,4.00,5.25,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3087360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3087379,3.00,5.00,4.00,9.00,3.00,NULL,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3087387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3087395,4.00,7.00,6.00,6.00,4.00,4.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3087409,3.00,1.00,1.00,7.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3087417,8.00,8.00,9.00,7.00,7.00,6.75,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3087425,5.00,4.00,8.00,6.00,8.00,4.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3087441,3.00,2.00,3.00,4.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3087450,6.00,2.00,5.00,6.00,4.00,4.75,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3087476,3.00,4.00,2.00,5.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3087484,2.00,2.00,4.00,6.00,5.00,5.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3087492,4.00,1.00,1.00,2.00,4.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3087506,7.00,8.00,5.00,8.00,6.00,5.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3087514,8.00,8.00,8.00,9.00,8.00,8.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3087522,5.00,7.00,2.00,7.00,5.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3087530,8.00,6.00,6.00,9.00,5.00,7.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3087549,5.00,9.00,5.00,6.00,7.00,5.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3087557,3.00,3.00,3.00,7.00,6.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3087565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3087573,4.00,5.00,3.00,7.00,4.00,4.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3087590,5.00,4.00,1.00,4.00,6.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3087603,5.00,4.00,1.00,1.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3087611,7.00,6.00,4.00,8.00,6.00,7.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3087620,5.00,5.00,2.00,8.00,6.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3087638,1.00,3.00,2.00,7.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3087646,7.00,6.00,7.00,8.00,8.00,5.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3087654,5.00,5.00,4.00,6.00,5.00,4.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3087662,5.00,2.00,4.00,6.00,8.00,5.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3087670,1.00,5.00,3.00,5.00,4.00,4.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3087689,5.00,5.00,4.00,9.00,6.00,7.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3087697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3087719,3.00,7.00,2.00,5.00,4.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3087735,8.00,7.00,7.00,6.00,6.00,6.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3087751,3.00,3.00,2.00,5.00,0.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3087760,4.00,2.00,2.00,8.00,5.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3087778,4.00,2.00,2.00,5.00,4.00,4.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3087786,4.00,2.00,3.00,4.00,3.00,NULL,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3087794,8.00,7.00,5.00,8.00,6.00,6.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3087808,7.00,6.00,5.00,7.00,5.00,5.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3087816,2.00,7.00,4.00,8.00,8.00,7.25,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3087824,6.00,7.00,4.00,9.00,8.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3087832,9.00,5.00,9.00,8.00,9.00,7.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3087859,2.00,2.00,1.00,5.00,4.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3087867,6.00,5.00,4.00,4.00,6.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3087891,4.00,6.00,6.00,7.00,4.00,4.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3087905,5.00,5.00,7.00,8.00,4.00,5.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3087913,2.00,4.00,2.00,3.00,3.00,NULL,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3087948,6.00,7.00,7.00,7.00,4.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3087956,4.00,5.00,4.00,6.00,8.00,4.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3087964,7.00,5.00,6.00,9.00,7.00,7.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3087972,3.00,5.00,2.00,2.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3087980,8.00,8.00,9.00,8.00,7.00,6.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3088006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3088014,5.00,5.00,6.00,8.00,8.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3088022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3088030,3.00,4.00,4.00,5.00,4.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3088049,5.00,4.00,1.00,3.00,4.00,4.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3088057,2.00,3.00,2.00,8.00,4.00,5.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3088065,3.00,6.00,3.00,7.00,5.00,6.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3088073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3088090,4.00,4.00,4.00,4.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3088103,6.00,6.00,5.00,9.00,8.00,7.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3088120,9.00,7.00,3.00,7.00,6.00,7.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3088138,3.00,2.00,2.00,1.00,0.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3088146,6.00,7.00,4.00,3.00,6.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3088154,6.00,7.00,5.00,7.00,6.00,5.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3088170,5.00,7.00,3.00,7.00,5.00,7.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3088189,4.00,3.00,2.00,3.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3088197,5.00,8.00,5.00,7.00,6.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3088200,6.00,5.00,5.00,5.00,8.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3088219,3.00,4.00,3.00,4.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3088227,1.00,1.00,1.00,4.00,5.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3088235,8.00,7.00,4.00,7.00,6.00,5.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3088251,1.00,3.00,3.00,2.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3088260,6.00,6.00,8.00,6.00,7.00,6.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3088294,3.00,6.00,1.00,7.00,5.00,5.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3088316,5.00,4.00,2.00,6.00,5.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3088324,4.00,5.00,3.00,7.00,6.00,7.25,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3088332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3088340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3088359,4.00,2.00,1.00,5.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3088367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3088391,4.00,2.00,1.00,4.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3088405,5.00,8.00,5.00,4.00,6.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3088413,8.00,8.00,7.00,7.00,8.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3088421,4.00,4.00,2.00,0.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3088430,6.00,5.00,4.00,6.00,4.00,5.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3088456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3088464,4.00,7.00,2.00,5.00,6.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3088472,4.00,3.00,1.00,1.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3088480,3.00,4.00,1.00,5.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3088499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3088502,1.00,4.00,4.00,8.00,4.00,6.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3088510,6.00,8.00,4.00,6.00,6.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3088537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3088545,5.00,4.00,5.00,2.00,4.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3088553,3.00,4.00,1.00,3.00,4.00,4.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3088570,5.00,6.00,3.00,5.00,5.00,4.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3088588,6.00,4.00,5.00,6.00,6.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3088596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3088600,5.00,5.00,2.00,6.00,6.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3088618,4.00,8.00,5.00,7.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3088626,5.00,3.00,4.00,4.00,6.00,8.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3088634,6.00,7.00,6.00,8.00,7.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3088642,7.00,7.00,6.00,7.00,6.00,6.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3088669,3.00,1.00,1.00,2.00,5.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3088677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3088685,1.00,6.00,2.00,0.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3088693,6.00,6.00,5.00,6.00,7.00,6.00,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3088707,4.00,7.00,3.00,8.00,5.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3088715,6.00,4.00,4.00,5.00,5.00,3.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3088731,6.00,3.00,7.00,6.00,4.00,5.25,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3088740,3.00,3.00,2.00,6.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3088758,4.00,4.00,2.00,7.00,4.00,4.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3088766,2.00,3.00,2.00,5.00,4.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3088774,3.00,6.00,3.00,9.00,8.00,4.75,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3088782,3.00,4.00,2.00,2.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3088790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3088812,5.00,4.00,3.00,7.00,5.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3088820,4.00,5.00,3.00,6.00,8.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3088847,5.00,3.00,1.00,4.00,4.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3088855,5.00,5.00,1.00,6.00,5.00,6.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3088863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3088871,6.00,6.00,5.00,3.00,6.00,5.75,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3088880,8.00,9.00,6.00,8.00,7.00,6.50,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3088898,3.00,3.00,3.00,1.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3088901,6.00,7.00,6.00,7.00,5.00,5.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3088910,3.00,2.00,3.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3088928,5.00,0.00,3.00,5.00,5.00,5.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3088936,8.00,7.00,5.00,6.00,5.00,4.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3088944,3.00,3.00,4.00,1.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3088952,4.00,5.00,1.00,8.00,6.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3088960,2.00,2.00,1.00,7.00,6.00,4.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3088979,5.00,7.00,1.00,8.00,7.00,5.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3088987,4.00,7.00,3.00,7.00,7.00,5.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3088995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3089002,4.00,3.00,4.00,7.00,5.00,6.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3089029,1.00,3.00,2.00,0.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3089037,5.00,3.00,5.00,7.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3089045,7.00,9.00,8.00,8.00,6.00,5.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3089053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3089061,3.00,7.00,4.00,6.00,6.00,7.00,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3089070,1.00,3.00,4.00,3.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3089088,8.00,8.00,8.00,8.00,8.00,6.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3089096,6.00,8.00,6.00,9.00,7.00,7.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3089100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3089118,5.00,4.00,3.00,4.00,7.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3089126,5.00,4.00,1.00,6.00,7.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3089134,3.00,4.00,2.00,7.00,4.00,6.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3089142,3.00,2.00,1.00,3.00,3.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3089150,2.00,4.00,3.00,5.00,6.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3089169,5.00,8.00,5.00,6.00,5.00,6.50,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3089185,3.00,2.00,3.00,2.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3089193,5.00,6.00,5.00,6.00,5.00,6.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3089207,8.00,6.00,5.00,7.00,7.00,6.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3089215,7.00,3.00,3.00,7.00,5.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3089223,7.00,8.00,5.00,8.00,5.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3089231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3089240,0.00,0.00,0.00,8.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3089258,9.00,9.00,6.00,7.00,6.00,8.25,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3089266,8.00,5.00,3.00,0.00,1.00,NULL,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3089282,7.00,3.00,5.00,7.00,4.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3089290,6.00,5.00,3.00,7.00,3.00,NULL,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3089304,3.00,2.00,1.00,5.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3089312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3089320,3.00,5.00,1.00,5.00,4.00,5.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3089339,5.00,6.00,4.00,8.00,5.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3089347,6.00,5.00,4.00,6.00,7.00,5.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3089355,4.00,5.00,3.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3089371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3089380,7.00,7.00,5.00,9.00,7.00,6.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3089401,9.00,8.00,8.00,9.00,7.00,5.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3089410,2.00,2.00,4.00,4.00,5.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3089428,8.00,8.00,6.00,9.00,6.00,6.25,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3089436,2.00,3.00,1.00,3.00,5.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3089444,2.00,6.00,4.00,6.00,4.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3089452,9.00,8.00,6.00,7.00,8.00,6.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3089460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3089487,5.00,2.00,2.00,3.00,6.00,4.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3089509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3089517,8.00,5.00,6.00,5.00,6.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3089525,6.00,6.00,7.00,7.00,5.00,7.50,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3089568,6.00,6.00,2.00,7.00,6.00,4.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3089576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3089584,4.00,1.00,3.00,6.00,6.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3089592,5.00,3.00,2.00,5.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3089606,3.00,3.00,2.00,7.00,4.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3089614,3.00,2.00,2.00,7.00,4.00,5.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3089622,5.00,4.00,3.00,5.00,5.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3089630,7.00,7.00,6.00,8.00,5.00,6.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3089649,5.00,5.00,3.00,7.00,7.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3089657,8.00,6.00,4.00,8.00,7.00,6.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3089665,4.00,7.00,1.00,4.00,4.00,5.50,4.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3089673,1.00,3.00,4.00,4.00,4.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3089681,5.00,7.00,1.00,5.00,6.00,6.50,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3089690,1.00,4.00,2.00,3.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3089703,4.00,3.00,4.00,4.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3089711,6.00,7.00,2.00,4.00,6.00,6.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3089720,3.00,7.00,3.00,6.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3089738,7.00,7.00,7.00,9.00,6.00,6.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3089746,2.00,6.00,5.00,3.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3089754,2.00,5.00,2.00,7.00,6.00,7.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3089762,4.00,5.00,2.00,9.00,4.00,7.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3089770,4.00,4.00,1.00,4.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3089797,5.00,3.00,3.00,7.00,5.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3089800,4.00,3.00,2.00,7.00,5.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3089819,3.00,3.00,1.00,5.00,0.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3089827,2.00,1.00,1.00,4.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3089835,5.00,7.00,7.00,9.00,6.00,4.50,2.00,7.00,6.00,NULL,NULL,NULL,'S'),(16,3089843,4.00,3.00,5.00,4.00,4.00,4.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3089860,3.00,5.00,3.00,7.00,5.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3089878,8.00,8.00,9.00,9.00,8.00,7.25,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3089886,4.00,5.00,1.00,3.00,4.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3089894,8.00,8.00,9.00,9.00,9.00,6.50,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3089908,4.00,6.00,2.00,7.00,6.00,5.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3089916,7.00,6.00,3.00,10.00,6.00,6.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3089932,3.00,0.00,1.00,7.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3089959,6.00,6.00,1.00,7.00,6.00,4.25,3.00,3.00,6.00,NULL,NULL,NULL,'S'),(16,3089975,9.00,8.00,8.00,9.00,6.00,6.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3089983,9.00,9.00,7.00,9.00,7.00,6.75,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3090000,2.00,3.00,4.00,4.00,4.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3090019,7.00,7.00,7.00,8.00,6.00,5.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3090027,8.00,9.00,6.00,3.00,4.00,5.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3090035,5.00,2.00,4.00,8.00,6.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3090051,9.00,8.00,7.00,9.00,8.00,9.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3090060,5.00,6.00,7.00,9.00,6.00,4.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3090078,4.00,5.00,2.00,7.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3090094,5.00,6.00,6.00,5.00,8.00,5.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3090108,3.00,2.00,2.00,9.00,4.00,4.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3090116,3.00,5.00,4.00,6.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3090140,5.00,4.00,2.00,7.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3090159,4.00,3.00,1.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3090175,7.00,8.00,7.00,9.00,6.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3090183,6.00,7.00,7.00,8.00,5.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3090191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3090205,3.00,3.00,5.00,6.00,5.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3090213,3.00,5.00,3.00,3.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3090221,2.00,5.00,3.00,7.00,8.00,6.75,4.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3090248,2.00,4.00,4.00,7.00,4.00,4.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3090256,2.00,7.00,2.00,9.00,6.00,7.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3090280,8.00,7.00,7.00,6.00,7.00,5.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3090302,7.00,7.00,7.00,7.00,6.00,6.25,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3090310,4.00,7.00,4.00,3.00,5.00,6.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3090329,5.00,3.00,2.00,6.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3090345,5.00,7.00,3.00,9.00,7.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3090353,4.00,4.00,2.00,5.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3090370,8.00,9.00,6.00,8.00,7.00,8.25,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3090388,1.00,2.00,2.00,0.00,4.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3090396,8.00,6.00,7.00,5.00,7.00,6.00,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3090418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3090426,3.00,3.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3090434,7.00,8.00,4.00,9.00,5.00,4.00,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3090442,7.00,5.00,2.00,9.00,6.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'S'),(16,3090450,6.00,6.00,5.00,7.00,7.00,5.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3090469,7.00,7.00,3.00,7.00,5.00,7.00,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3090477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3090485,6.00,2.00,5.00,6.00,4.00,6.25,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3090493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3090507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3090523,4.00,6.00,5.00,6.00,4.00,7.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3090531,5.00,3.00,4.00,7.00,5.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3090540,6.00,6.00,7.00,5.00,6.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3090558,5.00,3.00,4.00,3.00,5.00,5.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3090574,8.00,8.00,5.00,8.00,5.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3090582,4.00,2.00,2.00,3.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3090590,4.00,4.00,3.00,5.00,5.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3090604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3090612,6.00,7.00,4.00,9.00,6.00,4.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3090620,6.00,6.00,2.00,6.00,7.00,6.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3090639,5.00,1.00,3.00,3.00,1.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3090647,3.00,4.00,1.00,8.00,4.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3090663,8.00,8.00,5.00,8.00,6.00,6.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3090671,6.00,5.00,7.00,6.00,7.00,6.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3090680,5.00,6.00,5.00,5.00,4.00,4.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3090701,6.00,7.00,6.00,5.00,8.00,6.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3090728,9.00,5.00,8.00,6.00,6.00,7.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3090736,4.00,4.00,2.00,7.00,4.00,4.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3090744,3.00,3.00,3.00,6.00,6.00,4.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3090752,2.00,4.00,3.00,2.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3090760,8.00,7.00,8.00,8.00,7.00,5.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3090779,7.00,6.00,4.00,8.00,5.00,7.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3090787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3090809,8.00,7.00,9.00,9.00,4.00,4.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3090817,5.00,8.00,5.00,4.00,5.00,5.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3090825,7.00,6.00,3.00,8.00,5.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3090833,8.00,4.00,8.00,6.00,8.00,5.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3090841,3.00,8.00,7.00,9.00,5.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3090850,2.00,6.00,1.00,7.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3090868,7.00,3.00,4.00,7.00,5.00,7.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3090876,9.00,9.00,5.00,9.00,6.00,6.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3090884,6.00,3.00,2.00,9.00,7.00,6.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3090892,8.00,6.00,5.00,7.00,5.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3090906,3.00,5.00,1.00,6.00,6.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3090914,6.00,6.00,5.00,8.00,4.00,6.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3090922,2.00,2.00,1.00,6.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3090949,6.00,7.00,6.00,9.00,4.00,5.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3090957,6.00,5.00,3.00,6.00,7.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3090965,7.00,5.00,8.00,7.00,5.00,5.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3090973,5.00,2.00,2.00,7.00,4.00,5.25,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3090981,8.00,7.00,2.00,2.00,3.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3090990,3.00,3.00,3.00,4.00,5.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3091007,4.00,2.00,1.00,5.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3091015,4.00,6.00,1.00,8.00,6.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3091023,3.00,3.00,3.00,4.00,5.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3091031,6.00,7.00,4.00,8.00,6.00,4.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3091040,5.00,5.00,6.00,5.00,7.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3091058,6.00,5.00,2.00,7.00,6.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3091066,8.00,7.00,5.00,7.00,8.00,6.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3091074,3.00,3.00,3.00,5.00,5.00,4.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3091082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3091090,6.00,7.00,2.00,4.00,5.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3091104,5.00,5.00,4.00,5.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3091112,4.00,3.00,3.00,6.00,4.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3091120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3091139,6.00,5.00,4.00,6.00,6.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3091155,3.00,2.00,1.00,6.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3091171,4.00,7.00,8.00,7.00,7.00,6.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3091180,9.00,8.00,9.00,8.00,7.00,6.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3091198,4.00,5.00,3.00,5.00,5.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3091201,5.00,8.00,9.00,7.00,7.00,6.00,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3091210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3091228,9.00,5.00,4.00,6.00,8.00,7.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3091244,4.00,8.00,1.00,8.00,5.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3091260,4.00,5.00,2.00,2.00,4.00,6.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3091287,3.00,1.00,6.00,1.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3091295,4.00,7.00,3.00,7.00,5.00,6.00,0.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3091309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3091325,9.00,8.00,7.00,9.00,8.00,8.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3091341,5.00,5.00,5.00,8.00,4.00,5.25,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3091350,3.00,3.00,4.00,2.00,5.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3091368,6.00,6.00,3.00,3.00,6.00,4.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3091384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3091406,2.00,1.00,4.00,6.00,6.00,6.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3091414,8.00,5.00,3.00,4.00,6.00,6.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3091430,7.00,9.00,5.00,4.00,6.00,6.50,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3091449,5.00,6.00,4.00,7.00,7.00,6.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3091457,2.00,1.00,3.00,4.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3091465,2.00,2.00,5.00,2.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3091481,3.00,3.00,1.00,6.00,4.00,6.50,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3091503,7.00,8.00,8.00,9.00,5.00,4.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3091511,3.00,5.00,1.00,2.00,4.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3091520,4.00,7.00,2.00,8.00,5.00,5.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3091554,4.00,8.00,4.00,8.00,5.00,5.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3091562,2.00,2.00,3.00,3.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3091570,4.00,2.00,3.00,3.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3091597,8.00,7.00,6.00,9.00,8.00,6.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3091600,3.00,2.00,1.00,1.00,2.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3091619,7.00,5.00,5.00,9.00,8.00,5.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3091651,5.00,5.00,6.00,6.00,7.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3091660,8.00,8.00,9.00,9.00,9.00,8.25,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3091678,4.00,6.00,2.00,5.00,4.00,6.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3091686,3.00,4.00,1.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3091708,6.00,7.00,3.00,9.00,8.00,5.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3091716,6.00,7.00,6.00,8.00,6.00,6.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3091732,7.00,6.00,6.00,8.00,7.00,6.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3091740,3.00,6.00,3.00,4.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3091759,4.00,8.00,3.00,8.00,5.00,6.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3091767,7.00,6.00,6.00,8.00,7.00,6.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3091775,2.00,4.00,4.00,2.00,0.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3091783,4.00,2.00,4.00,5.00,7.00,7.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3091791,8.00,7.00,9.00,9.00,9.00,7.25,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3091805,3.00,3.00,3.00,3.00,4.00,5.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3091813,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3091821,7.00,7.00,4.00,6.00,4.00,7.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3091830,5.00,4.00,3.00,4.00,5.00,5.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3091856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3091864,7.00,6.00,1.00,5.00,5.00,4.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3091880,6.00,6.00,3.00,7.00,6.00,5.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3091899,4.00,5.00,1.00,4.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3091910,4.00,6.00,1.00,8.00,7.00,6.00,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3091937,9.00,7.00,6.00,9.00,8.00,7.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3091953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3091961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3091970,3.00,5.00,3.00,9.00,7.00,7.75,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3091988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3092003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3092011,6.00,7.00,5.00,9.00,6.00,5.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3092038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3092046,6.00,6.00,5.00,7.00,7.00,5.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3092054,9.00,7.00,5.00,7.00,5.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3092062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3092070,4.00,6.00,2.00,7.00,8.00,6.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3092089,3.00,1.00,3.00,3.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3092097,5.00,6.00,5.00,9.00,5.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3092119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3092127,8.00,7.00,6.00,7.00,5.00,4.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3092135,3.00,7.00,5.00,2.00,4.00,6.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3092143,4.00,1.00,1.00,4.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3092151,5.00,9.00,4.00,7.00,6.00,5.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3092160,3.00,4.00,3.00,5.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3092178,7.00,5.00,7.00,6.00,4.00,4.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3092186,6.00,5.00,1.00,6.00,4.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3092194,4.00,4.00,4.00,8.00,5.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3092208,3.00,4.00,2.00,8.00,5.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3092224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3092232,6.00,7.00,7.00,8.00,6.00,6.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3092240,7.00,5.00,2.00,3.00,6.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3092259,4.00,5.00,4.00,2.00,4.00,4.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3092267,3.00,3.00,4.00,5.00,4.00,5.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3092275,4.00,5.00,2.00,2.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3092283,3.00,6.00,4.00,7.00,7.00,6.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3092291,5.00,8.00,6.00,5.00,3.00,NULL,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3092305,4.00,4.00,1.00,4.00,4.00,7.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3092313,6.00,6.00,6.00,8.00,6.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3092321,6.00,7.00,3.00,8.00,7.00,5.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3092348,4.00,4.00,1.00,8.00,6.00,6.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3092356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3092372,1.00,1.00,2.00,2.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3092380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3092399,4.00,6.00,5.00,6.00,6.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3092402,2.00,5.00,2.00,6.00,3.00,NULL,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3092410,3.00,4.00,2.00,4.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3092437,4.00,8.00,4.00,4.00,3.00,NULL,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3092445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3092453,3.00,2.00,1.00,5.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3092461,3.00,5.00,2.00,3.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3092470,7.00,6.00,3.00,8.00,5.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3092488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3092496,3.00,1.00,4.00,2.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3092500,7.00,7.00,5.00,7.00,5.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3092518,7.00,6.00,3.00,8.00,5.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3092526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3092534,8.00,6.00,8.00,9.00,8.00,5.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3092542,4.00,1.00,3.00,4.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3092550,2.00,5.00,2.00,8.00,5.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3092569,6.00,6.00,5.00,6.00,6.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3092577,2.00,4.00,2.00,6.00,4.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3092585,3.00,3.00,2.00,2.00,4.00,6.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3092607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3092615,7.00,9.00,6.00,6.00,7.00,6.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3092623,7.00,7.00,5.00,8.00,8.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3092640,2.00,3.00,2.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3092658,4.00,7.00,6.00,7.00,4.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3092666,4.00,4.00,1.00,8.00,5.00,6.50,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3092674,6.00,5.00,5.00,9.00,7.00,6.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3092682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3092690,8.00,4.00,2.00,6.00,4.00,4.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3092704,4.00,3.00,2.00,5.00,5.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3092712,5.00,3.00,3.00,7.00,6.00,6.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3092739,5.00,2.00,4.00,5.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'S'),(16,3092755,6.00,5.00,6.00,7.00,5.00,4.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3092763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3092771,4.00,6.00,3.00,6.00,4.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3092780,6.00,7.00,9.00,6.00,8.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3092801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3092810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3092828,4.00,6.00,4.00,3.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3092836,5.00,4.00,2.00,9.00,6.00,6.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3092844,6.00,6.00,3.00,8.00,5.00,6.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3092852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3092879,9.00,7.00,6.00,9.00,6.00,7.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3092887,0.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3092895,2.00,4.00,2.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3092909,8.00,3.00,6.00,8.00,8.00,7.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3092917,5.00,3.00,2.00,6.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3092925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3092941,6.00,6.00,4.00,8.00,6.00,5.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3092950,5.00,3.00,4.00,8.00,7.00,6.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3092968,3.00,4.00,3.00,2.00,5.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3092976,7.00,5.00,4.00,8.00,6.00,6.25,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3092992,6.00,5.00,5.00,6.00,5.00,4.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3093000,6.00,9.00,6.00,8.00,7.00,5.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3093018,6.00,6.00,7.00,9.00,2.00,NULL,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3093026,6.00,4.00,6.00,6.00,4.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3093034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3093042,7.00,8.00,1.00,7.00,5.00,6.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3093050,7.00,9.00,5.00,7.00,4.00,4.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3093069,5.00,7.00,3.00,7.00,7.00,5.75,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3093077,5.00,5.00,4.00,9.00,5.00,5.00,2.00,4.00,6.00,NULL,NULL,NULL,'S'),(16,3093085,1.00,4.00,1.00,1.00,1.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3093093,5.00,7.00,4.00,5.00,6.00,4.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3093107,3.00,1.00,1.00,4.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3093115,7.00,6.00,5.00,2.00,4.00,5.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3093123,8.00,3.00,6.00,7.00,8.00,5.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3093131,4.00,4.00,4.00,7.00,7.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3093140,3.00,3.00,2.00,4.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3093158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3093166,7.00,6.00,4.00,6.00,6.00,5.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3093174,6.00,6.00,3.00,5.00,7.00,6.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3093190,4.00,6.00,3.00,8.00,5.00,6.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3093204,6.00,4.00,1.00,7.00,4.00,6.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3093212,7.00,6.00,3.00,8.00,6.00,7.00,2.00,7.00,6.00,NULL,NULL,NULL,'S'),(16,3093220,7.00,5.00,3.00,6.00,5.00,5.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3093239,8.00,4.00,4.00,6.00,7.00,6.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3093247,5.00,3.00,5.00,5.00,5.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3093255,6.00,5.00,2.00,2.00,7.00,6.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3093263,3.00,4.00,4.00,8.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3093271,3.00,5.00,4.00,4.00,4.00,5.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3093280,5.00,2.00,2.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3093298,6.00,5.00,4.00,5.00,4.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3093301,8.00,6.00,3.00,5.00,4.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3093310,6.00,4.00,2.00,6.00,6.00,6.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3093328,7.00,4.00,5.00,5.00,7.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3093336,3.00,4.00,4.00,2.00,1.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3093344,4.00,4.00,2.00,8.00,7.00,6.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3093352,4.00,5.00,5.00,2.00,6.00,5.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3093360,3.00,4.00,1.00,1.00,6.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3093379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3093395,5.00,7.00,4.00,7.00,5.00,3.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3093425,5.00,6.00,5.00,8.00,5.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3093433,5.00,6.00,4.00,9.00,7.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3093441,8.00,7.00,7.00,9.00,7.00,6.25,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3093450,4.00,4.00,2.00,6.00,6.00,5.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3093468,5.00,3.00,2.00,2.00,6.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3093476,0.00,2.00,1.00,3.00,4.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3093484,4.00,7.00,4.00,6.00,6.00,7.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3093492,4.00,2.00,2.00,1.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3093506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3093514,3.00,6.00,3.00,6.00,4.00,2.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3093522,2.00,3.00,2.00,8.00,5.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3093530,5.00,7.00,4.00,9.00,6.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3093549,3.00,4.00,3.00,2.00,3.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3093557,6.00,5.00,5.00,9.00,7.00,5.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3093565,3.00,5.00,2.00,7.00,5.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3093573,6.00,9.00,7.00,7.00,8.00,5.75,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3093590,7.00,6.00,8.00,9.00,5.00,6.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3093603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3093611,9.00,8.00,6.00,9.00,7.00,6.75,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3093638,5.00,7.00,4.00,6.00,6.00,6.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3093646,4.00,5.00,2.00,0.00,4.00,7.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3093662,5.00,5.00,3.00,4.00,7.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3093670,4.00,3.00,1.00,2.00,1.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3093689,4.00,7.00,5.00,2.00,5.00,5.50,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3093697,6.00,4.00,3.00,8.00,4.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3093700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3093719,3.00,0.00,1.00,4.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3093727,6.00,6.00,5.00,6.00,5.00,5.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3093735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3093743,8.00,7.00,7.00,7.00,6.00,6.00,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3093751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3093760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3093786,3.00,4.00,4.00,4.00,6.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3093794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3093808,5.00,1.00,1.00,5.00,1.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3093816,4.00,5.00,2.00,6.00,6.00,7.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3093824,3.00,4.00,1.00,2.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3093832,1.00,2.00,2.00,0.00,2.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3093840,8.00,8.00,5.00,9.00,7.00,6.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3093859,5.00,5.00,3.00,0.00,7.00,6.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3093883,5.00,3.00,2.00,7.00,6.00,4.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3093905,8.00,8.00,3.00,2.00,7.00,6.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3093921,6.00,7.00,6.00,7.00,7.00,8.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3093930,4.00,9.00,5.00,7.00,2.00,NULL,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3093948,7.00,7.00,4.00,7.00,8.00,6.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3093956,4.00,1.00,4.00,6.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3093964,7.00,7.00,4.00,5.00,5.00,5.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3093972,8.00,6.00,8.00,8.00,8.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3093980,4.00,5.00,5.00,7.00,4.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3093999,7.00,7.00,6.00,8.00,4.00,4.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3094006,7.00,6.00,4.00,8.00,8.00,5.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3094014,8.00,7.00,2.00,4.00,5.00,4.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3094022,3.00,1.00,2.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3094030,7.00,3.00,1.00,5.00,5.00,6.25,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3094049,7.00,7.00,5.00,7.00,4.00,6.25,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3094065,6.00,8.00,7.00,7.00,5.00,5.75,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3094073,4.00,3.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3094081,7.00,8.00,5.00,8.00,7.00,5.50,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3094103,2.00,0.00,3.00,1.00,2.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3094111,7.00,5.00,3.00,7.00,5.00,6.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3094120,4.00,5.00,4.00,8.00,5.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3094138,4.00,4.00,4.00,2.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3094146,3.00,2.00,2.00,2.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3094154,5.00,5.00,5.00,5.00,6.00,6.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3094162,6.00,5.00,4.00,7.00,6.00,7.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3094170,8.00,5.00,2.00,7.00,5.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3094189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3094197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3094200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3094219,6.00,4.00,3.00,5.00,7.00,5.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3094227,3.00,5.00,5.00,4.00,5.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3094235,2.00,3.00,1.00,4.00,4.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3094243,6.00,7.00,4.00,4.00,3.00,NULL,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3094251,6.00,4.00,3.00,5.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3094286,5.00,3.00,3.00,4.00,4.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3094294,6.00,6.00,3.00,8.00,7.00,6.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3094308,4.00,5.00,5.00,6.00,5.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3094316,6.00,6.00,4.00,6.00,6.00,4.25,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3094324,9.00,9.00,9.00,9.00,8.00,8.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3094340,6.00,5.00,5.00,6.00,4.00,4.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3094359,3.00,5.00,4.00,7.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3094367,1.00,2.00,2.00,1.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3094375,3.00,4.00,1.00,7.00,7.00,4.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3094383,9.00,6.00,6.00,8.00,4.00,6.00,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3094391,5.00,7.00,4.00,9.00,5.00,7.00,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3094413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3094421,6.00,8.00,4.00,5.00,6.00,4.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3094448,6.00,3.00,6.00,3.00,6.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3094464,9.00,9.00,6.00,8.00,7.00,5.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3094472,8.00,6.00,9.00,5.00,4.00,5.50,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3094480,5.00,8.00,5.00,8.00,7.00,4.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3094502,5.00,7.00,5.00,5.00,4.00,5.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3094510,6.00,3.00,1.00,7.00,6.00,6.00,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3094537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3094545,5.00,4.00,3.00,7.00,5.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3094553,2.00,1.00,3.00,2.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3094561,3.00,6.00,3.00,9.00,6.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3094570,4.00,3.00,5.00,2.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3094588,4.00,4.00,2.00,8.00,6.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3094596,5.00,5.00,4.00,7.00,7.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3094600,2.00,6.00,3.00,4.00,5.00,6.25,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3094618,4.00,4.00,2.00,7.00,6.00,4.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3094626,8.00,8.00,9.00,8.00,8.00,7.00,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3094642,3.00,2.00,4.00,4.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3094650,2.00,3.00,2.00,6.00,4.00,4.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3094669,5.00,5.00,2.00,6.00,7.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3094677,9.00,5.00,6.00,9.00,8.00,5.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3094685,7.00,6.00,5.00,4.00,6.00,4.25,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3094693,3.00,2.00,4.00,8.00,4.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3094707,7.00,8.00,7.00,9.00,6.00,7.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3094715,2.00,3.00,3.00,3.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3094723,5.00,5.00,7.00,5.00,4.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3094731,6.00,8.00,7.00,9.00,7.00,6.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3094740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3094758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3094774,4.00,3.00,2.00,6.00,5.00,6.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3094782,6.00,4.00,5.00,7.00,5.00,6.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3094804,3.00,2.00,2.00,6.00,5.00,5.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3094812,6.00,6.00,7.00,8.00,6.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3094820,6.00,7.00,6.00,8.00,5.00,7.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3094839,8.00,7.00,3.00,7.00,8.00,7.50,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3094855,3.00,4.00,2.00,7.00,5.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3094863,7.00,8.00,5.00,7.00,7.00,5.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3094871,7.00,8.00,5.00,9.00,8.00,7.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3094880,5.00,6.00,5.00,9.00,6.00,7.00,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3094898,3.00,3.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3094901,7.00,3.00,2.00,7.00,5.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3094928,4.00,3.00,3.00,4.00,4.00,5.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3094936,5.00,4.00,3.00,5.00,4.00,4.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3094944,6.00,7.00,5.00,7.00,6.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3094952,8.00,7.00,6.00,8.00,6.00,6.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3094979,3.00,7.00,5.00,6.00,7.00,7.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3094987,4.00,0.00,4.00,4.00,4.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3094995,1.00,1.00,2.00,1.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3095002,2.00,3.00,4.00,4.00,4.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3095010,1.00,3.00,4.00,5.00,4.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3095029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3095037,6.00,5.00,4.00,7.00,6.00,6.00,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3095045,2.00,4.00,3.00,2.00,4.00,4.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3095053,7.00,6.00,8.00,7.00,7.00,5.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3095070,5.00,5.00,3.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3095088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3095100,3.00,6.00,3.00,9.00,5.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3095126,5.00,7.00,5.00,4.00,4.00,5.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3095134,4.00,5.00,4.00,4.00,5.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3095142,4.00,3.00,1.00,2.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3095150,4.00,5.00,4.00,1.00,5.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3095169,6.00,6.00,6.00,6.00,3.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3095177,7.00,6.00,5.00,8.00,5.00,5.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3095185,3.00,2.00,1.00,1.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3095193,6.00,1.00,1.00,5.00,5.00,5.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3095207,5.00,5.00,2.00,3.00,4.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3095215,7.00,5.00,4.00,5.00,6.00,6.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3095223,5.00,6.00,2.00,7.00,6.00,5.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3095240,2.00,4.00,4.00,7.00,4.00,6.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3095258,5.00,3.00,6.00,4.00,4.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3095274,6.00,4.00,3.00,8.00,4.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3095282,9.00,9.00,4.00,8.00,7.00,5.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3095290,4.00,4.00,3.00,5.00,4.00,5.50,2.00,6.00,1.00,NULL,NULL,NULL,'S'),(16,3095304,2.00,3.00,2.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3095312,5.00,5.00,3.00,9.00,8.00,7.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3095320,2.00,4.00,1.00,2.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3095339,7.00,8.00,9.00,7.00,8.00,7.50,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3095347,8.00,6.00,4.00,5.00,7.00,6.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3095355,2.00,5.00,3.00,6.00,4.00,7.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3095371,3.00,5.00,1.00,5.00,6.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3095380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3095401,4.00,5.00,3.00,7.00,5.00,5.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3095410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3095428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3095444,3.00,4.00,4.00,9.00,7.00,4.25,3.00,7.00,2.00,NULL,NULL,NULL,'S'),(16,3095452,7.00,8.00,3.00,9.00,7.00,5.75,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3095460,8.00,7.00,8.00,8.00,8.00,6.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3095479,6.00,5.00,4.00,8.00,5.00,4.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3095487,6.00,5.00,5.00,3.00,3.00,NULL,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3095495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3095517,4.00,6.00,3.00,6.00,8.00,8.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3095525,2.00,2.00,5.00,6.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3095533,4.00,4.00,3.00,4.00,5.00,4.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3095541,4.00,6.00,3.00,8.00,5.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3095550,0.00,4.00,4.00,3.00,0.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'S'),(16,3095568,5.00,6.00,4.00,6.00,3.00,NULL,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3095584,2.00,6.00,4.00,3.00,4.00,5.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3095592,6.00,7.00,5.00,5.00,8.00,7.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3095606,4.00,4.00,3.00,8.00,2.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3095614,2.00,2.00,3.00,5.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3095622,3.00,7.00,2.00,4.00,4.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3095630,6.00,4.00,2.00,8.00,6.00,5.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3095657,8.00,7.00,4.00,8.00,6.00,6.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3095665,8.00,8.00,5.00,5.00,7.00,5.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3095673,6.00,7.00,5.00,7.00,6.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3095681,4.00,3.00,2.00,0.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3095690,4.00,4.00,3.00,7.00,5.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3095703,3.00,2.00,2.00,1.00,6.00,NULL,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3095711,8.00,7.00,2.00,8.00,5.00,4.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3095720,9.00,8.00,7.00,8.00,6.00,6.00,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3095738,4.00,4.00,3.00,7.00,5.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3095754,4.00,2.00,3.00,2.00,4.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3095762,4.00,4.00,2.00,6.00,7.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3095770,8.00,9.00,7.00,7.00,8.00,4.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3095789,3.00,3.00,5.00,6.00,4.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3095797,6.00,4.00,5.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3095827,6.00,7.00,5.00,7.00,7.00,5.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3095835,9.00,8.00,6.00,8.00,9.00,7.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3095843,3.00,6.00,3.00,2.00,4.00,6.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3095851,2.00,5.00,1.00,3.00,4.00,4.50,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3095860,6.00,7.00,4.00,6.00,8.00,6.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3095878,4.00,2.00,1.00,5.00,4.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3095886,6.00,5.00,4.00,8.00,4.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3095894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3095908,4.00,5.00,1.00,3.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3095916,7.00,8.00,6.00,8.00,7.00,4.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3095924,5.00,1.00,1.00,7.00,5.00,5.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3095940,7.00,7.00,5.00,8.00,5.00,7.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3095959,6.00,7.00,3.00,4.00,5.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3095975,4.00,7.00,4.00,3.00,7.00,6.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3095983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3095991,7.00,7.00,7.00,7.00,3.00,NULL,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3096009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3096017,2.00,2.00,2.00,7.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3096025,8.00,7.00,3.00,6.00,6.00,7.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3096033,5.00,7.00,6.00,8.00,6.00,7.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3096041,2.00,2.00,3.00,3.00,6.00,4.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3096050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3096076,4.00,6.00,5.00,7.00,6.00,6.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3096092,7.00,6.00,5.00,8.00,7.00,5.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3096106,7.00,8.00,5.00,8.00,7.00,6.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3096114,4.00,6.00,3.00,8.00,5.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3096122,6.00,7.00,4.00,8.00,5.00,4.50,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3096149,6.00,7.00,5.00,3.00,6.00,6.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3096157,8.00,8.00,4.00,8.00,4.00,5.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3096173,3.00,5.00,4.00,7.00,6.00,6.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3096181,5.00,3.00,3.00,7.00,6.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3096190,2.00,3.00,1.00,2.00,6.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3096211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3096238,7.00,5.00,4.00,8.00,7.00,4.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3096246,9.00,6.00,8.00,7.00,5.00,7.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3096254,7.00,8.00,5.00,7.00,7.00,6.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3096289,3.00,6.00,2.00,6.00,4.00,4.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3096297,3.00,6.00,4.00,4.00,4.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3096300,5.00,7.00,4.00,6.00,4.00,8.25,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3096319,6.00,8.00,7.00,5.00,7.00,6.00,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3096327,8.00,7.00,5.00,8.00,7.00,6.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3096343,2.00,6.00,5.00,5.00,1.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3096351,4.00,6.00,3.00,7.00,4.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3096360,6.00,8.00,3.00,5.00,5.00,4.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3096378,8.00,7.00,4.00,7.00,7.00,6.00,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3096386,7.00,8.00,2.00,6.00,7.00,4.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3096394,3.00,6.00,2.00,2.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3096408,9.00,8.00,8.00,9.00,8.00,5.25,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3096416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3096424,3.00,2.00,4.00,8.00,7.00,5.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3096432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3096440,3.00,5.00,1.00,6.00,4.00,NULL,4.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3096467,7.00,8.00,4.00,2.00,5.00,4.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3096475,5.00,2.00,5.00,4.00,6.00,5.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3096491,7.00,6.00,5.00,9.00,8.00,7.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3096505,7.00,8.00,6.00,8.00,7.00,7.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3096513,6.00,8.00,5.00,7.00,6.00,5.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3096530,5.00,1.00,1.00,6.00,5.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3096548,2.00,4.00,7.00,8.00,5.00,6.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3096556,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3096564,3.00,2.00,2.00,4.00,0.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3096580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3096599,5.00,5.00,5.00,7.00,5.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3096602,6.00,6.00,4.00,2.00,3.00,NULL,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3096629,7.00,6.00,5.00,9.00,7.00,8.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3096637,4.00,5.00,3.00,8.00,4.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3096645,6.00,6.00,3.00,7.00,5.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3096670,4.00,7.00,5.00,4.00,4.00,8.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3096688,5.00,6.00,5.00,4.00,7.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3096696,4.00,2.00,3.00,5.00,4.00,6.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3096726,5.00,6.00,5.00,9.00,7.00,5.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3096734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3096742,2.00,7.00,2.00,7.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3096750,7.00,5.00,5.00,4.00,6.00,4.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3096777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3096785,3.00,3.00,2.00,5.00,4.00,5.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3096815,6.00,7.00,5.00,9.00,7.00,6.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3096823,6.00,5.00,6.00,6.00,5.00,6.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3096831,6.00,6.00,3.00,8.00,4.00,5.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3096840,3.00,2.00,2.00,1.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'S'),(16,3096858,7.00,7.00,7.00,6.00,8.00,6.50,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3096866,1.00,7.00,1.00,9.00,8.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3096874,7.00,6.00,3.00,7.00,7.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3096882,8.00,8.00,9.00,8.00,6.00,8.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3096890,6.00,7.00,4.00,8.00,5.00,7.00,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3096912,5.00,5.00,6.00,4.00,5.00,7.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3096920,7.00,7.00,4.00,9.00,8.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3096939,8.00,7.00,6.00,8.00,8.00,7.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3096947,6.00,7.00,3.00,8.00,6.00,5.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3096955,6.00,6.00,6.00,8.00,6.00,6.50,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3096963,5.00,6.00,6.00,6.00,7.00,4.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3096980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3096998,3.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3097005,8.00,8.00,3.00,6.00,7.00,5.75,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3097013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3097021,9.00,8.00,4.00,5.00,6.00,5.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3097030,3.00,7.00,4.00,7.00,8.00,6.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3097064,6.00,6.00,3.00,8.00,9.00,7.50,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3097072,8.00,8.00,8.00,9.00,7.00,7.75,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3097080,0.00,8.00,1.00,6.00,7.00,7.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3097099,7.00,7.00,3.00,6.00,7.00,6.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3097110,5.00,6.00,1.00,6.00,4.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3097137,4.00,6.00,2.00,5.00,7.00,4.75,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3097145,6.00,3.00,5.00,7.00,6.00,5.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3097153,4.00,6.00,3.00,1.00,5.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3097161,4.00,5.00,4.00,4.00,4.00,6.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3097170,6.00,3.00,4.00,6.00,7.00,7.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3097188,8.00,6.00,9.00,6.00,8.00,6.50,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3097196,6.00,7.00,8.00,8.00,8.00,6.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3097200,5.00,3.00,5.00,5.00,7.00,4.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3097226,7.00,6.00,4.00,7.00,7.00,5.25,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3097234,3.00,8.00,7.00,7.00,7.00,6.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3097242,0.00,0.00,5.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3097250,8.00,8.00,4.00,8.00,7.00,5.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3097269,4.00,5.00,4.00,6.00,5.00,5.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3097277,3.00,5.00,2.00,8.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3097285,4.00,5.00,1.00,6.00,6.00,7.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3097293,3.00,2.00,1.00,9.00,5.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3097307,7.00,4.00,6.00,8.00,8.00,4.25,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3097315,7.00,3.00,4.00,8.00,5.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3097331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3097340,6.00,5.00,4.00,6.00,6.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3097358,4.00,6.00,5.00,2.00,6.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3097366,3.00,4.00,3.00,6.00,4.00,5.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3097374,6.00,4.00,3.00,6.00,6.00,4.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3097382,6.00,6.00,8.00,9.00,8.00,7.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3097390,5.00,5.00,5.00,7.00,6.00,4.25,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3097404,5.00,6.00,3.00,7.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3097412,5.00,5.00,7.00,8.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3097447,5.00,3.00,2.00,7.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3097455,5.00,5.00,4.00,5.00,6.00,5.50,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3097463,7.00,8.00,6.00,9.00,6.00,7.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3097471,6.00,7.00,6.00,7.00,6.00,6.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3097480,6.00,7.00,3.00,8.00,7.00,7.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3097498,9.00,7.00,8.00,9.00,8.00,4.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3097501,5.00,5.00,3.00,6.00,5.00,7.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3097510,7.00,5.00,1.00,6.00,5.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3097528,8.00,7.00,4.00,7.00,6.00,5.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3097536,5.00,3.00,5.00,6.00,4.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3097544,6.00,8.00,4.00,9.00,8.00,7.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3097552,6.00,7.00,7.00,6.00,6.00,6.75,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3097560,1.00,1.00,1.00,0.00,1.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3097579,4.00,5.00,4.00,7.00,5.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3097587,8.00,7.00,4.00,8.00,8.00,6.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3097595,0.00,3.00,1.00,2.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3097609,7.00,8.00,5.00,8.00,8.00,5.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3097617,6.00,4.00,4.00,6.00,6.00,5.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3097625,6.00,8.00,3.00,7.00,4.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3097633,5.00,3.00,3.00,1.00,5.00,4.00,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3097641,7.00,5.00,6.00,8.00,8.00,6.50,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3097650,8.00,5.00,6.00,7.00,5.00,5.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3097668,3.00,4.00,2.00,8.00,6.00,6.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3097676,7.00,6.00,7.00,5.00,8.00,6.75,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3097684,4.00,3.00,5.00,1.00,4.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3097692,4.00,1.00,1.00,1.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3097706,7.00,7.00,8.00,6.00,4.00,6.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3097714,8.00,5.00,8.00,8.00,6.00,5.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3097722,7.00,5.00,3.00,8.00,6.00,6.00,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3097730,8.00,6.00,6.00,8.00,7.00,6.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3097749,6.00,4.00,4.00,6.00,6.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3097757,4.00,2.00,4.00,6.00,4.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3097765,5.00,7.00,5.00,9.00,5.00,4.50,5.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3097773,8.00,7.00,5.00,6.00,6.00,4.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3097790,7.00,7.00,9.00,8.00,6.00,5.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3097803,4.00,4.00,5.00,8.00,6.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3097811,7.00,5.00,4.00,7.00,7.00,6.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3097820,4.00,7.00,2.00,3.00,2.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3097838,5.00,5.00,1.00,5.00,6.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3097846,6.00,7.00,5.00,8.00,6.00,6.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3097854,2.00,1.00,1.00,1.00,3.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3097862,2.00,4.00,3.00,1.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3097889,5.00,6.00,6.00,6.00,5.00,8.00,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3097897,6.00,3.00,4.00,2.00,5.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3097900,4.00,6.00,4.00,7.00,5.00,4.50,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3097919,9.00,7.00,7.00,9.00,8.00,7.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3097927,7.00,8.00,5.00,9.00,7.00,6.50,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3097943,8.00,6.00,7.00,7.00,5.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3097951,4.00,3.00,4.00,7.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3097960,1.00,0.00,1.00,4.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3097978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3097986,3.00,2.00,5.00,6.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3098001,2.00,1.00,1.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3098028,6.00,5.00,4.00,5.00,4.00,7.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3098036,4.00,5.00,2.00,7.00,7.00,4.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3098044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3098052,6.00,5.00,3.00,5.00,2.00,NULL,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3098060,3.00,2.00,3.00,2.00,3.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3098079,4.00,4.00,4.00,3.00,4.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3098087,8.00,8.00,4.00,9.00,7.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3098095,3.00,4.00,2.00,1.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3098117,7.00,7.00,6.00,8.00,6.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3098125,5.00,6.00,6.00,5.00,7.00,6.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3098133,7.00,6.00,5.00,8.00,7.00,6.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3098141,9.00,7.00,7.00,8.00,7.00,6.25,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3098150,9.00,9.00,9.00,9.00,7.00,5.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3098168,5.00,6.00,4.00,7.00,5.00,6.75,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3098176,4.00,6.00,4.00,7.00,7.00,7.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3098184,8.00,6.00,5.00,7.00,6.00,5.00,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3098206,7.00,7.00,3.00,8.00,4.00,4.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3098214,7.00,6.00,3.00,3.00,6.00,5.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3098222,5.00,7.00,4.00,4.00,5.00,4.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3098230,8.00,7.00,6.00,8.00,7.00,6.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3098249,6.00,3.00,5.00,8.00,4.00,5.50,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3098257,4.00,7.00,4.00,5.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3098265,6.00,9.00,9.00,9.00,6.00,7.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3098281,6.00,5.00,3.00,7.00,6.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3098290,5.00,5.00,5.00,9.00,6.00,5.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3098303,8.00,6.00,6.00,5.00,5.00,5.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3098311,7.00,8.00,6.00,9.00,6.00,6.25,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3098320,9.00,9.00,8.00,9.00,7.00,6.00,9.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3098338,7.00,9.00,5.00,9.00,9.00,7.75,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3098346,1.00,3.00,2.00,2.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3098354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3098362,7.00,5.00,7.00,8.00,8.00,6.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3098370,4.00,4.00,5.00,7.00,5.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3098389,5.00,8.00,3.00,7.00,7.00,6.50,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3098397,3.00,5.00,4.00,6.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3098419,3.00,2.00,3.00,7.00,4.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3098435,4.00,5.00,2.00,1.00,5.00,5.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3098443,5.00,5.00,3.00,6.00,6.00,5.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3098451,5.00,9.00,5.00,8.00,5.00,6.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3098460,3.00,0.00,1.00,3.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3098478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3098486,3.00,4.00,1.00,5.00,2.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3098494,8.00,8.00,7.00,8.00,6.00,6.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3098508,3.00,4.00,4.00,8.00,6.00,6.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3098524,2.00,2.00,1.00,1.00,6.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3098532,7.00,7.00,9.00,8.00,7.00,6.50,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3098540,4.00,6.00,2.00,5.00,5.00,4.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3098559,5.00,6.00,4.00,7.00,6.00,6.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3098567,7.00,7.00,5.00,9.00,8.00,7.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3098575,2.00,6.00,3.00,5.00,5.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3098583,3.00,6.00,4.00,8.00,5.00,4.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3098605,1.00,1.00,1.00,1.00,2.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3098613,7.00,6.00,4.00,8.00,8.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3098621,6.00,5.00,2.00,2.00,4.00,5.25,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3098630,4.00,4.00,3.00,1.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(16,3098656,5.00,4.00,5.00,4.00,5.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3098664,6.00,8.00,5.00,5.00,6.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3098672,4.00,4.00,2.00,6.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3098680,9.00,7.00,8.00,9.00,8.00,5.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3098699,5.00,7.00,4.00,6.00,6.00,4.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3098702,8.00,8.00,4.00,4.00,6.00,6.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3098710,4.00,4.00,4.00,6.00,4.00,4.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3098729,6.00,6.00,5.00,6.00,7.00,5.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3098737,8.00,6.00,6.00,8.00,6.00,5.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3098745,3.00,5.00,5.00,5.00,5.00,4.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3098761,8.00,9.00,7.00,9.00,7.00,8.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3098770,6.00,5.00,4.00,7.00,6.00,6.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3098788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3098800,5.00,5.00,5.00,1.00,7.00,6.75,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3098818,5.00,5.00,4.00,8.00,4.00,5.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3098826,6.00,5.00,6.00,7.00,7.00,6.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3098834,7.00,7.00,4.00,7.00,5.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3098842,6.00,4.00,4.00,2.00,6.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3098877,5.00,8.00,7.00,8.00,8.00,5.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3098885,6.00,5.00,5.00,7.00,6.00,5.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3098893,4.00,6.00,2.00,8.00,6.00,7.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3098907,4.00,6.00,1.00,7.00,4.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3098915,3.00,6.00,6.00,6.00,6.00,5.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3098923,8.00,8.00,5.00,8.00,6.00,8.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3098931,3.00,1.00,3.00,2.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3098940,4.00,5.00,5.00,7.00,5.00,6.25,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3098958,9.00,9.00,6.00,9.00,7.00,6.50,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3098966,6.00,5.00,5.00,7.00,5.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3098974,4.00,3.00,1.00,8.00,5.00,5.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3098982,6.00,6.00,5.00,7.00,7.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3098990,7.00,7.00,3.00,7.00,6.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3099008,4.00,4.00,3.00,3.00,1.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3099024,5.00,5.00,4.00,6.00,6.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3099032,5.00,7.00,6.00,7.00,7.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3099040,7.00,7.00,4.00,5.00,5.00,6.50,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3099059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3099067,5.00,8.00,1.00,9.00,7.00,5.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3099075,8.00,8.00,7.00,8.00,9.00,6.75,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3099091,4.00,7.00,2.00,7.00,6.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3099113,6.00,5.00,1.00,6.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3099121,7.00,8.00,1.00,7.00,7.00,5.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3099130,5.00,7.00,8.00,4.00,7.00,6.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3099148,7.00,9.00,9.00,9.00,8.00,5.50,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3099156,3.00,3.00,4.00,8.00,5.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3099164,6.00,6.00,4.00,7.00,6.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3099172,7.00,8.00,7.00,6.00,7.00,5.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3099180,2.00,0.00,3.00,2.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3099199,7.00,5.00,7.00,6.00,6.00,8.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3099202,5.00,2.00,4.00,4.00,6.00,6.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3099210,5.00,6.00,2.00,0.00,6.00,NULL,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3099229,7.00,9.00,3.00,8.00,7.00,6.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3099237,5.00,6.00,4.00,8.00,5.00,5.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3099245,8.00,8.00,8.00,8.00,7.00,6.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3099253,5.00,5.00,5.00,6.00,6.00,4.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3099270,7.00,6.00,7.00,9.00,7.00,6.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3099288,8.00,6.00,4.00,5.00,8.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3099300,5.00,6.00,4.00,7.00,6.00,4.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3099318,7.00,7.00,5.00,9.00,7.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3099326,1.00,2.00,2.00,2.00,2.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3099334,8.00,5.00,9.00,7.00,4.00,5.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3099342,7.00,8.00,7.00,7.00,7.00,5.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3099350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3099369,5.00,3.00,3.00,4.00,4.00,3.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3099377,8.00,8.00,6.00,8.00,7.00,4.75,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3099385,8.00,8.00,2.00,5.00,6.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3099393,4.00,4.00,2.00,0.00,4.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3099407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3099415,5.00,4.00,2.00,2.00,0.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3099423,5.00,4.00,2.00,1.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'S'),(16,3099431,3.00,1.00,3.00,8.00,4.00,6.25,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3099440,4.00,7.00,5.00,3.00,6.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3099458,5.00,7.00,5.00,7.00,7.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3099466,4.00,4.00,3.00,8.00,5.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3099474,5.00,7.00,7.00,5.00,5.00,6.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3099482,7.00,5.00,5.00,6.00,5.00,7.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3099490,2.00,3.00,1.00,2.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3099504,3.00,5.00,4.00,5.00,6.00,5.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3099512,6.00,5.00,4.00,9.00,6.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3099520,2.00,0.00,2.00,2.00,4.00,NULL,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3099539,6.00,6.00,4.00,8.00,7.00,7.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3099547,7.00,8.00,8.00,6.00,7.00,6.50,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3099555,7.00,5.00,4.00,4.00,5.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3099563,7.00,8.00,6.00,8.00,8.00,6.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3099571,5.00,4.00,3.00,5.00,5.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3099580,4.00,6.00,3.00,3.00,5.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3099598,6.00,7.00,1.00,8.00,7.00,5.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3099601,6.00,7.00,3.00,6.00,7.00,6.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3099628,1.00,4.00,2.00,5.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3099636,7.00,5.00,6.00,8.00,4.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3099652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3099687,2.00,4.00,4.00,1.00,2.00,NULL,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3099695,9.00,9.00,9.00,9.00,6.00,7.75,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3099709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3099725,8.00,6.00,5.00,6.00,6.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3099733,7.00,5.00,6.00,5.00,8.00,7.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3099741,2.00,5.00,3.00,8.00,5.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3099750,6.00,4.00,7.00,7.00,5.00,4.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3099776,2.00,4.00,3.00,2.00,7.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3099784,5.00,4.00,1.00,4.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3099792,3.00,5.00,1.00,5.00,4.00,5.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3099806,5.00,5.00,3.00,7.00,7.00,5.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3099814,4.00,4.00,1.00,2.00,4.00,4.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3099822,3.00,6.00,3.00,7.00,5.00,4.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3099830,5.00,7.00,5.00,9.00,7.00,7.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3099849,5.00,5.00,4.00,6.00,4.00,6.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3099857,6.00,7.00,5.00,7.00,7.00,4.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3099865,9.00,6.00,9.00,9.00,8.00,5.75,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3099873,7.00,6.00,6.00,8.00,5.00,4.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3099881,5.00,7.00,7.00,5.00,7.00,6.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3099890,5.00,6.00,2.00,2.00,4.00,5.75,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3099903,4.00,6.00,2.00,1.00,4.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3099911,4.00,3.00,3.00,1.00,4.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3099938,3.00,6.00,3.00,5.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3099946,5.00,4.00,2.00,1.00,6.00,5.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3099954,7.00,8.00,9.00,8.00,7.00,6.00,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3099962,5.00,4.00,1.00,5.00,6.00,4.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3099997,5.00,7.00,2.00,4.00,5.00,4.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3100006,4.00,8.00,5.00,8.00,7.00,6.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3100014,8.00,8.00,7.00,8.00,6.00,6.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3100022,7.00,7.00,3.00,6.00,5.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3100030,7.00,6.00,8.00,8.00,8.00,7.50,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3100049,4.00,5.00,4.00,3.00,4.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3100065,5.00,3.00,2.00,1.00,4.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3100073,4.00,3.00,4.00,3.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3100081,2.00,2.00,3.00,5.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3100103,6.00,1.00,2.00,3.00,5.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3100111,5.00,7.00,2.00,3.00,5.00,5.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3100120,5.00,4.00,2.00,7.00,6.00,4.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3100138,4.00,3.00,1.00,6.00,1.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3100146,6.00,1.00,2.00,2.00,2.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3100154,7.00,7.00,5.00,9.00,7.00,6.00,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3100162,1.00,1.00,2.00,7.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3100170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3100189,6.00,5.00,2.00,6.00,5.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3100197,8.00,8.00,4.00,8.00,6.00,6.50,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3100200,6.00,5.00,5.00,7.00,6.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3100219,6.00,5.00,5.00,8.00,7.00,5.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3100227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3100243,6.00,7.00,4.00,9.00,4.00,4.25,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3100251,8.00,6.00,1.00,5.00,6.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3100260,8.00,4.00,2.00,6.00,5.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3100278,6.00,6.00,3.00,7.00,6.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3100294,9.00,9.00,7.00,9.00,7.00,6.25,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3100308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3100316,7.00,7.00,5.00,2.00,6.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3100324,6.00,5.00,6.00,9.00,3.00,NULL,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3100332,9.00,9.00,7.00,8.00,7.00,5.75,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3100340,4.00,6.00,5.00,7.00,6.00,5.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3100359,6.00,5.00,4.00,5.00,4.00,7.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3100367,3.00,4.00,2.00,5.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3100375,8.00,8.00,8.00,9.00,8.00,7.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3100383,6.00,8.00,7.00,8.00,6.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3100391,7.00,7.00,6.00,7.00,7.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3100405,5.00,5.00,4.00,8.00,5.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3100413,6.00,5.00,5.00,8.00,5.00,6.50,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3100421,5.00,5.00,5.00,6.00,7.00,5.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3100430,4.00,6.00,4.00,7.00,5.00,5.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3100456,6.00,6.00,4.00,9.00,7.00,6.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3100472,4.00,5.00,3.00,3.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3100480,8.00,4.00,3.00,6.00,4.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3100502,2.00,5.00,2.00,3.00,4.00,4.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3100510,6.00,2.00,3.00,0.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3100529,5.00,6.00,1.00,3.00,6.00,4.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3100537,4.00,4.00,3.00,2.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3100545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3100561,8.00,7.00,8.00,9.00,8.00,7.50,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3100570,4.00,3.00,3.00,6.00,6.00,4.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3100588,4.00,1.00,1.00,5.00,4.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3100596,6.00,6.00,6.00,8.00,7.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3100600,7.00,4.00,5.00,7.00,7.00,7.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3100618,6.00,5.00,2.00,9.00,5.00,6.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3100626,3.00,6.00,6.00,6.00,4.00,5.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3100642,3.00,2.00,3.00,6.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3100650,6.00,6.00,2.00,7.00,7.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3100669,8.00,8.00,7.00,9.00,8.00,8.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3100677,3.00,4.00,2.00,1.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3100685,8.00,6.00,6.00,8.00,7.00,7.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3100693,7.00,4.00,4.00,6.00,5.00,4.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3100707,8.00,6.00,7.00,8.00,7.00,6.50,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3100723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3100731,4.00,4.00,3.00,7.00,5.00,5.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3100758,5.00,1.00,2.00,7.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3100766,6.00,7.00,2.00,9.00,5.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3100782,8.00,8.00,7.00,8.00,8.00,7.25,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3100790,5.00,7.00,3.00,4.00,8.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3100812,2.00,5.00,1.00,7.00,5.00,3.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3100820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3100839,3.00,3.00,1.00,7.00,4.00,8.00,2.00,7.00,1.00,NULL,NULL,NULL,'S'),(16,3100847,4.00,8.00,2.00,6.00,6.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3100855,8.00,9.00,5.00,9.00,6.00,6.50,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3100863,5.00,8.00,7.00,8.00,5.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3100871,2.00,5.00,3.00,1.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3100880,4.00,4.00,4.00,5.00,4.00,4.50,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3100901,6.00,6.00,7.00,9.00,6.00,5.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3100910,4.00,4.00,3.00,6.00,6.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3100928,7.00,7.00,5.00,6.00,6.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3100936,2.00,4.00,3.00,7.00,4.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3100944,8.00,5.00,4.00,8.00,7.00,6.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3100952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3100960,7.00,5.00,2.00,6.00,5.00,5.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3100979,7.00,6.00,7.00,8.00,7.00,4.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3100987,5.00,6.00,1.00,3.00,1.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3100995,2.00,0.00,1.00,4.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3101002,3.00,5.00,2.00,6.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3101010,9.00,6.00,5.00,8.00,9.00,6.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3101029,1.00,2.00,3.00,1.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3101037,8.00,5.00,7.00,7.00,6.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3101045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3101053,9.00,9.00,8.00,9.00,9.00,8.50,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3101061,1.00,2.00,2.00,2.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3101070,4.00,5.00,3.00,5.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3101088,3.00,4.00,3.00,4.00,4.00,4.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3101096,6.00,7.00,6.00,8.00,6.00,5.50,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3101100,6.00,5.00,4.00,4.00,4.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3101118,3.00,6.00,6.00,4.00,6.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3101126,5.00,6.00,5.00,6.00,5.00,4.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3101134,6.00,4.00,4.00,0.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3101142,7.00,6.00,5.00,7.00,6.00,5.75,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3101150,5.00,3.00,2.00,2.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3101177,4.00,1.00,5.00,3.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3101185,3.00,4.00,1.00,6.00,4.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3101193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3101207,4.00,2.00,3.00,6.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3101215,4.00,5.00,3.00,7.00,4.00,4.00,0.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3101223,6.00,8.00,7.00,7.00,8.00,6.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3101231,5.00,8.00,5.00,8.00,8.00,5.50,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3101240,8.00,5.00,7.00,6.00,6.00,4.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3101258,5.00,5.00,4.00,8.00,4.00,7.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3101266,8.00,4.00,7.00,4.00,2.00,NULL,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3101274,7.00,5.00,5.00,5.00,5.00,4.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3101282,7.00,6.00,5.00,7.00,6.00,7.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3101290,3.00,4.00,1.00,4.00,4.00,3.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3101304,4.00,4.00,3.00,7.00,5.00,5.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3101320,5.00,7.00,4.00,5.00,6.00,6.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3101339,9.00,8.00,9.00,8.00,8.00,7.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3101347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3101371,3.00,2.00,2.00,3.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3101380,6.00,3.00,2.00,4.00,4.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3101398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3101401,3.00,5.00,4.00,8.00,4.00,6.50,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3101428,4.00,5.00,4.00,9.00,6.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3101436,3.00,6.00,4.00,9.00,6.00,4.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3101444,9.00,8.00,8.00,9.00,8.00,6.50,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3101452,5.00,7.00,3.00,6.00,5.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3101479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3101487,8.00,7.00,7.00,6.00,6.00,5.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3101495,6.00,8.00,3.00,8.00,7.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3101509,4.00,4.00,5.00,8.00,5.00,5.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3101517,8.00,4.00,7.00,7.00,6.00,7.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3101525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3101533,8.00,6.00,9.00,8.00,9.00,6.75,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3101541,6.00,7.00,7.00,9.00,8.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3101550,5.00,6.00,4.00,7.00,5.00,6.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3101568,7.00,6.00,6.00,8.00,6.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3101576,3.00,7.00,1.00,5.00,5.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3101584,3.00,4.00,5.00,7.00,5.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3101592,2.00,5.00,4.00,8.00,0.00,NULL,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3101606,4.00,6.00,5.00,8.00,5.00,6.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3101614,5.00,7.00,1.00,8.00,6.00,4.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3101622,4.00,3.00,4.00,7.00,4.00,4.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3101630,5.00,2.00,2.00,3.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3101649,3.00,5.00,1.00,7.00,5.00,6.25,1.00,9.00,4.00,NULL,NULL,NULL,'S'),(16,3101657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3101665,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'S'),(16,3101681,1.00,2.00,3.00,6.00,4.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'S'),(16,3101690,5.00,6.00,6.00,9.00,6.00,6.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3101703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3101720,5.00,7.00,3.00,8.00,5.00,7.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3101746,2.00,1.00,2.00,2.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3101754,8.00,8.00,6.00,8.00,7.00,6.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3101762,9.00,6.00,6.00,8.00,7.00,6.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3101770,7.00,6.00,5.00,7.00,7.00,7.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3101789,5.00,9.00,4.00,9.00,6.00,7.00,4.00,7.00,6.00,NULL,NULL,NULL,'S'),(16,3101797,4.00,5.00,6.00,7.00,6.00,7.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3101800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3101819,4.00,1.00,4.00,5.00,5.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3101827,4.00,2.00,3.00,5.00,5.00,5.25,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3101835,4.00,3.00,2.00,0.00,0.00,NULL,2.00,5.00,3.00,'S',NULL,NULL,'S'),(16,3101843,5.00,5.00,3.00,6.00,5.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3101860,5.00,4.00,6.00,7.00,6.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3101894,6.00,8.00,8.00,7.00,6.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3101916,5.00,7.00,6.00,9.00,5.00,5.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3101924,4.00,4.00,4.00,7.00,5.00,5.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3101932,7.00,4.00,7.00,8.00,6.00,7.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3101959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3101967,6.00,7.00,4.00,8.00,6.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3101975,8.00,6.00,7.00,8.00,6.00,6.25,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3101983,4.00,4.00,3.00,6.00,6.00,6.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3101991,4.00,6.00,2.00,7.00,3.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3102017,8.00,8.00,6.00,6.00,7.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3102025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3102033,6.00,8.00,2.00,6.00,5.00,4.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3102041,8.00,9.00,7.00,3.00,8.00,6.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3102050,9.00,7.00,9.00,7.00,6.00,7.00,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3102068,6.00,6.00,4.00,8.00,5.00,6.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3102076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3102092,5.00,6.00,3.00,4.00,5.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3102106,6.00,4.00,6.00,6.00,6.00,4.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3102114,8.00,6.00,8.00,8.00,6.00,7.75,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3102122,4.00,4.00,4.00,2.00,3.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3102130,8.00,7.00,6.00,8.00,8.00,7.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3102149,7.00,5.00,4.00,7.00,5.00,4.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3102157,7.00,7.00,8.00,8.00,6.00,6.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3102165,7.00,8.00,7.00,7.00,6.00,5.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3102173,8.00,6.00,4.00,8.00,6.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3102181,4.00,2.00,4.00,6.00,4.00,5.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3102190,3.00,7.00,8.00,8.00,7.00,5.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3102203,2.00,4.00,2.00,1.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3102211,7.00,5.00,5.00,8.00,7.00,6.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3102238,3.00,8.00,4.00,4.00,7.00,6.50,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3102246,6.00,6.00,6.00,9.00,6.00,5.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3102254,2.00,9.00,2.00,5.00,8.00,5.50,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3102262,3.00,3.00,2.00,5.00,5.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3102270,3.00,4.00,4.00,1.00,3.00,NULL,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3102289,4.00,5.00,4.00,0.00,1.00,NULL,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3102297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3102319,8.00,7.00,6.00,8.00,5.00,6.50,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3102327,4.00,1.00,2.00,7.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3102343,5.00,5.00,6.00,5.00,5.00,6.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3102351,5.00,7.00,4.00,6.00,5.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3102360,8.00,6.00,5.00,8.00,5.00,5.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3102378,6.00,8.00,6.00,8.00,5.00,6.25,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3102386,5.00,6.00,3.00,0.00,5.00,5.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3102394,6.00,5.00,2.00,5.00,5.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3102408,5.00,7.00,3.00,7.00,5.00,5.25,3.00,6.00,6.00,NULL,NULL,NULL,'S'),(16,3102416,4.00,7.00,6.00,7.00,5.00,6.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3102459,2.00,5.00,2.00,6.00,4.00,5.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3102475,5.00,9.00,9.00,8.00,8.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'S'),(16,3102483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3102505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3102513,2.00,0.00,3.00,0.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3102521,2.00,2.00,4.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3102530,5.00,5.00,1.00,8.00,5.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3102556,6.00,5.00,7.00,9.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3102564,8.00,8.00,6.00,7.00,6.00,6.25,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3102572,4.00,3.00,4.00,2.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3102580,5.00,4.00,5.00,9.00,6.00,5.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3102599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3102610,4.00,8.00,5.00,8.00,6.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3102629,2.00,4.00,2.00,8.00,5.00,5.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3102645,4.00,5.00,3.00,6.00,4.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3102661,4.00,5.00,4.00,8.00,4.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3102670,8.00,6.00,3.00,6.00,4.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3102688,8.00,8.00,7.00,8.00,8.00,6.50,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3102700,8.00,8.00,8.00,8.00,8.00,7.25,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3102718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3102726,8.00,5.00,6.00,6.00,5.00,6.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3102734,4.00,6.00,4.00,10.00,7.00,5.75,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3102742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3102750,6.00,5.00,1.00,4.00,4.00,6.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3102769,7.00,7.00,4.00,8.00,7.00,5.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3102777,3.00,3.00,3.00,4.00,4.00,4.25,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3102785,9.00,5.00,7.00,7.00,7.00,5.50,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3102793,3.00,3.00,1.00,1.00,5.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3102807,5.00,6.00,3.00,6.00,6.00,8.00,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3102815,7.00,7.00,3.00,2.00,5.00,4.00,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3102823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3102831,5.00,1.00,5.00,7.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3102858,7.00,4.00,6.00,6.00,6.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3102866,8.00,7.00,7.00,9.00,6.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3102882,8.00,7.00,7.00,7.00,6.00,7.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3102890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3102904,5.00,2.00,3.00,6.00,4.00,4.50,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3102912,6.00,6.00,4.00,3.00,6.00,4.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3102920,6.00,5.00,2.00,8.00,6.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3102939,3.00,4.00,1.00,5.00,4.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3102955,8.00,6.00,1.00,4.00,5.00,5.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3102963,5.00,5.00,3.00,7.00,4.00,4.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3102971,2.00,6.00,4.00,8.00,3.00,NULL,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3102980,5.00,6.00,3.00,7.00,4.00,6.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3102998,4.00,3.00,3.00,2.00,4.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3103021,7.00,7.00,5.00,9.00,8.00,6.50,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3103030,4.00,4.00,3.00,2.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3103048,4.00,6.00,4.00,4.00,6.00,5.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3103056,2.00,1.00,3.00,4.00,0.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3103072,6.00,5.00,3.00,4.00,4.00,4.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3103080,3.00,6.00,1.00,2.00,2.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3103099,4.00,3.00,3.00,6.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3103110,1.00,3.00,2.00,1.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3103129,3.00,0.00,1.00,5.00,6.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3103137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3103145,1.00,4.00,2.00,4.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3103153,6.00,6.00,4.00,5.00,5.00,7.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3103161,6.00,6.00,1.00,7.00,9.00,4.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3103170,7.00,9.00,6.00,7.00,6.00,5.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3103188,5.00,6.00,5.00,5.00,6.00,5.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3103200,6.00,5.00,3.00,8.00,4.00,3.00,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3103218,2.00,1.00,1.00,1.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3103226,8.00,6.00,7.00,5.00,3.00,NULL,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3103234,4.00,6.00,6.00,8.00,7.00,6.00,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3103242,5.00,5.00,3.00,9.00,5.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3103250,4.00,8.00,6.00,8.00,6.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3103269,3.00,4.00,1.00,2.00,5.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3103285,5.00,7.00,3.00,5.00,5.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3103293,6.00,3.00,2.00,8.00,7.00,7.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3103307,2.00,2.00,2.00,5.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3103315,4.00,8.00,6.00,6.00,5.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3103323,3.00,4.00,4.00,4.00,2.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3103331,6.00,7.00,4.00,6.00,6.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3103340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3103358,5.00,3.00,6.00,7.00,7.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3103366,4.00,6.00,2.00,4.00,4.00,4.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3103374,5.00,4.00,3.00,5.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3103382,3.00,6.00,5.00,8.00,5.00,4.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3103390,4.00,3.00,4.00,4.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3103404,4.00,2.00,3.00,1.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3103412,3.00,2.00,1.00,2.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3103420,6.00,5.00,5.00,4.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3103439,3.00,5.00,2.00,0.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3103447,4.00,4.00,1.00,3.00,6.00,NULL,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3103455,9.00,8.00,7.00,8.00,8.00,5.75,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3103463,3.00,3.00,3.00,6.00,3.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3103471,8.00,5.00,4.00,6.00,6.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3103480,3.00,3.00,2.00,5.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3103498,2.00,5.00,4.00,2.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3103501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3103510,6.00,8.00,6.00,6.00,5.00,5.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3103536,9.00,9.00,6.00,9.00,7.00,5.25,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3103552,2.00,1.00,3.00,4.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3103560,3.00,1.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3103579,6.00,5.00,6.00,6.00,3.00,NULL,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3103587,2.00,2.00,4.00,2.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3103595,6.00,8.00,4.00,9.00,8.00,8.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3103617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3103633,2.00,7.00,1.00,5.00,4.00,4.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3103641,1.00,2.00,5.00,5.00,5.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3103676,4.00,6.00,2.00,7.00,5.00,5.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3103684,8.00,5.00,6.00,6.00,5.00,5.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3103692,5.00,4.00,5.00,2.00,6.00,4.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3103706,2.00,5.00,3.00,6.00,5.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3103714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3103722,8.00,4.00,4.00,6.00,5.00,6.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3103730,4.00,2.00,3.00,2.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3103757,5.00,6.00,2.00,7.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3103765,5.00,5.00,4.00,6.00,7.00,4.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3103773,7.00,6.00,4.00,2.00,7.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3103781,6.00,7.00,3.00,7.00,8.00,6.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3103790,4.00,3.00,2.00,4.00,6.00,6.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3103803,3.00,4.00,3.00,3.00,3.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3103820,3.00,4.00,3.00,3.00,4.00,5.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3103838,6.00,5.00,6.00,6.00,3.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3103846,3.00,0.00,3.00,4.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3103854,5.00,7.00,2.00,6.00,7.00,6.25,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3103862,5.00,6.00,2.00,5.00,4.00,4.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3103870,5.00,6.00,3.00,6.00,7.00,5.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3103889,3.00,4.00,4.00,5.00,5.00,5.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3103897,7.00,7.00,6.00,8.00,6.00,7.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3103919,5.00,3.00,1.00,4.00,2.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3103927,6.00,5.00,2.00,6.00,7.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3103935,3.00,6.00,1.00,6.00,7.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3103943,4.00,3.00,3.00,2.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3103951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3103960,3.00,6.00,5.00,4.00,6.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3103978,1.00,4.00,3.00,4.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3103986,4.00,8.00,2.00,7.00,5.00,6.00,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3103994,5.00,8.00,4.00,6.00,5.00,6.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3104001,3.00,3.00,2.00,6.00,6.00,5.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3104010,7.00,7.00,8.00,8.00,6.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3104028,7.00,7.00,5.00,9.00,6.00,5.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3104036,4.00,3.00,1.00,3.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3104044,3.00,1.00,3.00,2.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3104052,5.00,9.00,8.00,8.00,7.00,6.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3104060,3.00,6.00,1.00,5.00,4.00,4.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3104087,3.00,8.00,4.00,7.00,6.00,4.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3104095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3104117,3.00,1.00,1.00,2.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3104133,7.00,5.00,6.00,9.00,7.00,7.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3104141,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3104168,6.00,7.00,7.00,9.00,8.00,6.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3104176,4.00,5.00,2.00,5.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3104184,5.00,5.00,6.00,7.00,6.00,6.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3104192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3104206,7.00,7.00,6.00,8.00,8.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3104214,8.00,7.00,6.00,6.00,7.00,5.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3104222,6.00,5.00,3.00,5.00,4.00,5.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3104230,2.00,5.00,3.00,4.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3104257,5.00,5.00,5.00,4.00,7.00,5.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3104273,3.00,4.00,2.00,0.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3104281,4.00,4.00,2.00,5.00,6.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3104290,3.00,1.00,2.00,3.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3104303,5.00,4.00,5.00,2.00,7.00,7.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3104311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3104338,6.00,3.00,1.00,7.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3104362,7.00,7.00,3.00,6.00,7.00,4.75,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3104389,3.00,1.00,4.00,2.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3104400,2.00,4.00,4.00,2.00,0.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3104419,7.00,7.00,6.00,8.00,5.00,6.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3104435,5.00,2.00,3.00,7.00,5.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3104451,8.00,5.00,7.00,6.00,5.00,5.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3104478,4.00,2.00,1.00,3.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3104494,2.00,2.00,2.00,5.00,6.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3104508,7.00,7.00,5.00,9.00,6.00,5.25,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3104516,2.00,7.00,1.00,9.00,6.00,5.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3104524,3.00,5.00,1.00,2.00,6.00,5.00,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3104532,3.00,3.00,2.00,2.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3104559,1.00,3.00,4.00,5.00,1.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3104567,3.00,2.00,3.00,8.00,4.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3104583,5.00,4.00,5.00,6.00,5.00,5.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3104605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3104613,7.00,7.00,4.00,6.00,4.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3104621,4.00,0.00,2.00,1.00,3.00,NULL,5.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3104648,5.00,7.00,5.00,7.00,5.00,5.25,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3104656,8.00,6.00,8.00,8.00,5.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3104672,3.00,2.00,2.00,3.00,5.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3104680,4.00,6.00,4.00,5.00,5.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3104699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3104702,7.00,6.00,5.00,3.00,6.00,5.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3104710,6.00,4.00,4.00,3.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3104737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3104745,2.00,5.00,2.00,1.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3104761,0.00,3.00,3.00,3.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3104770,4.00,5.00,1.00,2.00,4.00,5.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3104788,3.00,1.00,2.00,2.00,2.00,NULL,4.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3104796,6.00,7.00,4.00,4.00,5.00,7.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3104818,4.00,7.00,4.00,4.00,5.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3104826,2.00,3.00,1.00,4.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3104834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3104850,9.00,6.00,7.00,9.00,7.00,6.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3104869,7.00,6.00,6.00,8.00,6.00,5.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3104877,6.00,7.00,6.00,8.00,6.00,4.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3104893,5.00,3.00,3.00,4.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3104907,3.00,6.00,3.00,3.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3104915,6.00,5.00,4.00,6.00,5.00,5.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3104931,4.00,5.00,1.00,4.00,5.00,7.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3104940,4.00,4.00,1.00,6.00,5.00,6.25,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3104958,7.00,5.00,2.00,6.00,6.00,6.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3104966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3104974,8.00,4.00,5.00,6.00,7.00,5.00,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3104982,6.00,8.00,6.00,8.00,6.00,6.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3104990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3105008,3.00,6.00,4.00,6.00,7.00,7.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3105016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3105024,2.00,0.00,3.00,2.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3105032,2.00,6.00,2.00,2.00,5.00,7.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3105040,4.00,4.00,1.00,7.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3105059,5.00,5.00,4.00,7.00,7.00,5.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3105075,9.00,7.00,7.00,6.00,6.00,7.00,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3105083,6.00,4.00,4.00,8.00,6.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3105091,3.00,2.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3105105,4.00,4.00,3.00,4.00,5.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3105113,2.00,4.00,2.00,5.00,4.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3105121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3105130,3.00,2.00,5.00,2.00,4.00,5.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3105148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3105156,8.00,5.00,9.00,8.00,9.00,7.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3105164,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3105172,4.00,6.00,5.00,3.00,3.00,NULL,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3105199,5.00,3.00,3.00,7.00,7.00,4.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3105202,3.00,4.00,1.00,7.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3105210,3.00,3.00,2.00,5.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3105229,7.00,7.00,3.00,9.00,7.00,6.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3105237,1.00,2.00,3.00,6.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3105245,6.00,8.00,5.00,9.00,7.00,6.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3105253,7.00,4.00,5.00,3.00,0.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3105270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3105288,3.00,5.00,1.00,6.00,3.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3105296,2.00,5.00,2.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3105300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3105318,3.00,4.00,2.00,5.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3105326,7.00,7.00,5.00,8.00,7.00,8.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3105334,5.00,5.00,3.00,4.00,5.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3105342,7.00,8.00,3.00,8.00,7.00,6.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3105350,6.00,5.00,2.00,2.00,4.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3105369,7.00,6.00,4.00,8.00,2.00,NULL,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3105377,8.00,7.00,7.00,8.00,7.00,5.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3105385,5.00,5.00,4.00,2.00,7.00,6.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3105393,6.00,5.00,6.00,7.00,7.00,5.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3105407,5.00,8.00,3.00,7.00,6.00,6.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3105415,6.00,5.00,6.00,4.00,5.00,5.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3105423,6.00,5.00,4.00,7.00,6.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3105431,3.00,3.00,1.00,7.00,4.00,4.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3105440,8.00,8.00,8.00,9.00,6.00,6.50,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3105458,3.00,2.00,1.00,5.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3105466,2.00,3.00,6.00,2.00,6.00,5.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3105474,8.00,5.00,1.00,4.00,6.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3105482,5.00,4.00,7.00,4.00,4.00,6.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3105490,3.00,6.00,2.00,8.00,6.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3105504,8.00,6.00,7.00,8.00,4.00,5.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3105512,8.00,5.00,2.00,6.00,6.00,6.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3105520,3.00,5.00,2.00,7.00,4.00,4.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3105539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3105547,3.00,6.00,2.00,3.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3105555,7.00,7.00,3.00,7.00,8.00,6.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3105563,6.00,4.00,1.00,6.00,4.00,6.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3105580,5.00,5.00,4.00,6.00,6.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3105598,6.00,7.00,5.00,6.00,7.00,4.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3105601,6.00,5.00,4.00,6.00,6.00,4.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3105610,4.00,4.00,6.00,6.00,5.00,5.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3105628,8.00,6.00,4.00,5.00,8.00,5.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3105636,3.00,6.00,4.00,7.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3105644,7.00,5.00,3.00,7.00,6.00,5.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3105652,7.00,8.00,6.00,9.00,7.00,6.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3105660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3105679,4.00,4.00,2.00,6.00,4.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3105687,7.00,7.00,7.00,7.00,8.00,4.75,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3105695,4.00,8.00,7.00,9.00,7.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3105717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3105725,4.00,4.00,3.00,6.00,5.00,7.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3105733,7.00,6.00,3.00,9.00,7.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3105741,2.00,3.00,3.00,6.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3105750,2.00,5.00,3.00,5.00,5.00,5.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3105768,7.00,7.00,4.00,5.00,7.00,7.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3105776,4.00,4.00,3.00,5.00,6.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3105792,3.00,5.00,4.00,3.00,4.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3105806,4.00,5.00,6.00,3.00,4.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3105814,7.00,4.00,4.00,5.00,6.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3105822,8.00,7.00,6.00,7.00,7.00,5.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3105830,1.00,4.00,2.00,5.00,4.00,6.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3105849,9.00,7.00,7.00,8.00,8.00,6.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3105857,9.00,8.00,8.00,9.00,6.00,6.75,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3105865,3.00,4.00,4.00,6.00,5.00,4.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3105873,5.00,3.00,4.00,1.00,4.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3105890,3.00,5.00,3.00,4.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3105903,3.00,6.00,4.00,4.00,5.00,3.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3105911,6.00,4.00,3.00,6.00,4.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3105920,3.00,5.00,4.00,8.00,6.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3105938,4.00,6.00,5.00,8.00,5.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3105946,6.00,6.00,4.00,7.00,5.00,4.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3105954,3.00,6.00,1.00,5.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3105962,6.00,7.00,7.00,5.00,6.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3105970,5.00,2.00,2.00,6.00,4.00,5.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3105997,9.00,8.00,4.00,7.00,7.00,6.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3106004,6.00,6.00,5.00,8.00,4.00,5.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3106012,3.00,5.00,4.00,5.00,3.00,NULL,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3106020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3106039,3.00,3.00,1.00,4.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3106047,5.00,6.00,2.00,9.00,5.00,5.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3106055,7.00,6.00,8.00,8.00,7.00,5.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3106063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3106071,7.00,9.00,5.00,7.00,6.00,5.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3106101,3.00,3.00,1.00,0.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3106110,7.00,6.00,6.00,8.00,7.00,5.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3106128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3106136,3.00,6.00,4.00,3.00,6.00,1.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3106144,4.00,4.00,2.00,3.00,6.00,6.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3106160,4.00,3.00,1.00,0.00,3.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3106179,4.00,7.00,5.00,5.00,7.00,4.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3106187,4.00,3.00,5.00,6.00,6.00,5.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3106195,8.00,6.00,9.00,8.00,7.00,7.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3106209,4.00,5.00,2.00,8.00,4.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3106217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3106225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3106233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3106241,3.00,4.00,3.00,7.00,4.00,6.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3106250,7.00,8.00,7.00,5.00,7.00,6.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3106268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3106284,4.00,3.00,3.00,7.00,5.00,4.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3106306,5.00,4.00,6.00,7.00,5.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3106314,4.00,5.00,1.00,3.00,5.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3106322,9.00,6.00,4.00,8.00,8.00,7.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3106330,1.00,4.00,4.00,0.00,0.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3106349,2.00,4.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3106357,3.00,5.00,3.00,6.00,4.00,5.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3106365,8.00,7.00,4.00,8.00,6.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3106373,7.00,6.00,3.00,4.00,5.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3106381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3106390,3.00,4.00,3.00,4.00,4.00,4.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3106403,2.00,2.00,4.00,6.00,6.00,7.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3106411,5.00,3.00,3.00,8.00,5.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3106420,3.00,8.00,2.00,1.00,5.00,5.00,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3106438,4.00,5.00,4.00,7.00,3.00,NULL,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3106446,8.00,6.00,7.00,8.00,5.00,4.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3106454,3.00,4.00,3.00,0.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3106470,4.00,5.00,8.00,8.00,4.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3106489,3.00,4.00,2.00,7.00,4.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3106500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3106519,5.00,5.00,6.00,7.00,5.00,6.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3106527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3106535,4.00,7.00,5.00,5.00,5.00,6.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3106543,5.00,4.00,3.00,5.00,4.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3106551,4.00,4.00,2.00,5.00,4.00,5.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3106560,4.00,5.00,3.00,3.00,5.00,4.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3106578,9.00,7.00,9.00,8.00,9.00,7.50,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3106586,2.00,4.00,3.00,6.00,5.00,5.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3106594,2.00,3.00,4.00,5.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3106608,3.00,5.00,3.00,6.00,7.00,4.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3106616,7.00,5.00,4.00,7.00,6.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3106632,4.00,3.00,3.00,8.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3106640,6.00,7.00,6.00,7.00,6.00,7.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3106659,4.00,3.00,3.00,5.00,4.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3106667,5.00,6.00,5.00,8.00,4.00,5.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3106675,5.00,7.00,8.00,8.00,8.00,6.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3106705,4.00,5.00,4.00,7.00,6.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3106721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3106748,4.00,3.00,3.00,1.00,6.00,5.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3106756,3.00,3.00,1.00,8.00,6.00,6.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3106764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3106772,6.00,4.00,4.00,5.00,6.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3106780,6.00,7.00,4.00,8.00,6.00,5.75,2.00,8.00,5.00,NULL,NULL,NULL,'S'),(16,3106799,1.00,5.00,4.00,9.00,7.00,7.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3106810,6.00,4.00,5.00,8.00,6.00,5.75,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(16,3106829,7.00,8.00,7.00,9.00,8.00,6.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3106837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3106845,7.00,4.00,3.00,9.00,5.00,5.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3106853,7.00,6.00,7.00,9.00,8.00,4.25,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3106870,7.00,7.00,6.00,5.00,4.00,5.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3106888,7.00,8.00,7.00,8.00,7.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3106896,4.00,1.00,3.00,0.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3106900,5.00,4.00,6.00,8.00,6.00,5.50,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3106918,6.00,4.00,4.00,3.00,5.00,6.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3106926,9.00,9.00,8.00,8.00,7.00,6.00,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3106934,6.00,4.00,3.00,8.00,6.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3106977,4.00,6.00,4.00,7.00,6.00,4.75,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3106985,5.00,6.00,4.00,4.00,5.00,5.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3106993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3107019,6.00,8.00,2.00,9.00,6.00,5.75,1.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3107027,7.00,8.00,4.00,8.00,8.00,8.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3107035,6.00,5.00,4.00,9.00,6.00,6.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3107043,7.00,5.00,4.00,7.00,8.00,6.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3107051,0.00,0.00,0.00,8.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3107060,3.00,4.00,2.00,4.00,4.00,6.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3107078,8.00,5.00,5.00,5.00,6.00,5.75,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3107086,5.00,5.00,4.00,4.00,5.00,7.50,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3107094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3107108,4.00,2.00,5.00,1.00,6.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3107116,2.00,4.00,1.00,3.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3107124,4.00,4.00,5.00,6.00,4.00,4.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3107132,6.00,5.00,4.00,4.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3107140,2.00,6.00,2.00,8.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3107175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3107213,6.00,1.00,2.00,8.00,5.00,6.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3107230,8.00,8.00,7.00,8.00,5.00,5.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3107248,2.00,5.00,4.00,9.00,6.00,7.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3107256,7.00,3.00,9.00,9.00,5.00,6.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3107264,4.00,3.00,6.00,7.00,7.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3107280,7.00,8.00,3.00,7.00,6.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3107299,6.00,8.00,5.00,9.00,7.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3107302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3107310,5.00,4.00,5.00,8.00,6.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3107329,8.00,4.00,7.00,8.00,7.00,7.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3107337,6.00,7.00,4.00,6.00,5.00,4.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3107345,2.00,1.00,4.00,6.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3107353,5.00,5.00,2.00,9.00,3.00,NULL,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3107361,7.00,5.00,2.00,4.00,5.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3107370,7.00,6.00,4.00,8.00,5.00,5.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3107396,0.00,3.00,2.00,3.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3107400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3107426,5.00,6.00,4.00,4.00,7.00,6.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3107442,5.00,3.00,3.00,2.00,5.00,6.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3107469,5.00,7.00,6.00,8.00,6.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3107477,3.00,3.00,2.00,2.00,4.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3107485,9.00,8.00,8.00,8.00,8.00,9.75,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3107493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3107507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3107515,0.00,0.00,0.00,3.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3107523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3107531,2.00,2.00,2.00,3.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3107540,1.00,0.00,2.00,2.00,2.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3107558,5.00,5.00,3.00,8.00,7.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3107566,5.00,5.00,4.00,3.00,7.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3107574,4.00,6.00,5.00,8.00,3.00,NULL,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3107582,3.00,4.00,4.00,0.00,2.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3107604,4.00,8.00,4.00,9.00,6.00,7.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3107612,6.00,8.00,3.00,2.00,6.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3107620,6.00,6.00,2.00,5.00,5.00,5.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3107647,9.00,8.00,6.00,8.00,8.00,5.25,9.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3107655,4.00,3.00,2.00,3.00,4.00,4.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3107663,4.00,5.00,3.00,7.00,4.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3107671,2.00,5.00,5.00,7.00,4.00,5.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3107680,7.00,9.00,5.00,8.00,7.00,7.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3107701,5.00,3.00,3.00,7.00,4.00,6.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3107728,5.00,5.00,3.00,7.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3107736,7.00,7.00,8.00,9.00,8.00,6.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3107744,7.00,7.00,8.00,9.00,5.00,5.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3107760,4.00,3.00,1.00,5.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3107779,2.00,5.00,4.00,3.00,5.00,5.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3107795,5.00,8.00,5.00,8.00,4.00,5.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3107809,7.00,7.00,5.00,4.00,5.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3107817,4.00,8.00,1.00,3.00,6.00,5.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3107825,6.00,2.00,4.00,6.00,5.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3107833,8.00,5.00,9.00,7.00,8.00,8.75,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3107841,4.00,4.00,3.00,5.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3107850,7.00,4.00,6.00,9.00,7.00,7.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3107868,4.00,4.00,2.00,8.00,6.00,8.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3107876,2.00,4.00,3.00,1.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3107884,7.00,6.00,6.00,9.00,8.00,7.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3107892,3.00,5.00,2.00,5.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3107906,5.00,7.00,7.00,6.00,5.00,5.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3107914,3.00,6.00,3.00,8.00,8.00,6.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3107922,6.00,7.00,8.00,7.00,6.00,6.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3107930,6.00,2.00,3.00,5.00,4.00,6.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3107949,4.00,7.00,5.00,6.00,8.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3107965,9.00,7.00,5.00,8.00,7.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3107973,4.00,3.00,8.00,7.00,8.00,5.75,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3107981,5.00,4.00,5.00,7.00,5.00,0.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3108007,5.00,7.00,4.00,7.00,6.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3108015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3108023,9.00,7.00,7.00,9.00,8.00,8.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3108058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3108066,7.00,5.00,8.00,7.00,3.00,NULL,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3108074,3.00,6.00,4.00,5.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3108082,2.00,5.00,3.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3108104,5.00,4.00,4.00,5.00,5.00,6.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3108112,3.00,5.00,1.00,2.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3108120,5.00,4.00,5.00,6.00,4.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3108139,3.00,2.00,5.00,9.00,5.00,4.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3108147,6.00,2.00,3.00,6.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3108155,5.00,5.00,2.00,9.00,7.00,5.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3108171,5.00,5.00,6.00,9.00,5.00,8.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3108180,7.00,8.00,5.00,8.00,5.00,6.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3108198,6.00,8.00,8.00,6.00,6.00,5.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3108201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3108210,4.00,6.00,2.00,4.00,5.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3108228,5.00,1.00,3.00,6.00,5.00,6.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3108236,8.00,8.00,4.00,8.00,7.00,6.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3108244,5.00,5.00,2.00,4.00,5.00,6.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3108252,3.00,0.00,3.00,6.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3108260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3108279,3.00,4.00,2.00,4.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3108287,6.00,7.00,5.00,7.00,6.00,6.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3108295,6.00,5.00,6.00,6.00,6.00,5.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3108309,5.00,8.00,4.00,5.00,6.00,5.50,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3108317,6.00,5.00,4.00,7.00,6.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3108333,2.00,1.00,2.00,5.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3108341,6.00,7.00,6.00,7.00,6.00,5.50,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3108368,3.00,6.00,2.00,5.00,5.00,4.25,4.00,8.00,0.00,NULL,NULL,NULL,'N'),(16,3108376,5.00,8.00,3.00,1.00,6.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3108384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3108392,3.00,7.00,3.00,7.00,5.00,6.50,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3108406,7.00,6.00,5.00,7.00,5.00,6.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3108414,6.00,8.00,4.00,8.00,8.00,7.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3108422,4.00,7.00,1.00,6.00,5.00,4.75,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3108430,7.00,9.00,5.00,9.00,7.00,7.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3108449,5.00,4.00,4.00,5.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3108457,3.00,4.00,3.00,3.00,1.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3108465,2.00,2.00,3.00,5.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3108473,6.00,7.00,6.00,8.00,6.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3108481,5.00,6.00,1.00,6.00,8.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3108511,8.00,8.00,7.00,9.00,7.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3108520,3.00,2.00,3.00,5.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3108538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3108546,3.00,3.00,2.00,8.00,5.00,7.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3108554,4.00,5.00,5.00,4.00,5.00,5.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3108562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3108570,8.00,7.00,7.00,8.00,5.00,7.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3108589,6.00,8.00,3.00,8.00,5.00,5.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3108597,5.00,6.00,4.00,4.00,4.00,4.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3108600,6.00,6.00,2.00,7.00,4.00,5.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3108619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3108635,5.00,6.00,3.00,7.00,5.00,4.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3108643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3108651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3108660,6.00,8.00,8.00,9.00,7.00,8.25,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3108678,5.00,5.00,2.00,4.00,5.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3108686,4.00,1.00,2.00,6.00,4.00,4.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3108694,4.00,4.00,2.00,6.00,5.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3108708,2.00,4.00,3.00,1.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3108716,5.00,4.00,1.00,2.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3108724,3.00,5.00,5.00,8.00,8.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3108732,7.00,5.00,1.00,5.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3108740,5.00,7.00,4.00,3.00,7.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3108759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3108775,5.00,3.00,3.00,9.00,6.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3108783,6.00,6.00,5.00,3.00,5.00,4.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3108791,6.00,7.00,7.00,4.00,6.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3108805,2.00,2.00,2.00,3.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3108830,7.00,6.00,8.00,7.00,8.00,7.00,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3108848,6.00,5.00,5.00,7.00,5.00,5.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3108856,0.00,0.00,0.00,9.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3108872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3108880,6.00,5.00,2.00,6.00,6.00,5.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3108899,5.00,7.00,4.00,7.00,7.00,5.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3108902,1.00,0.00,2.00,7.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3108910,9.00,7.00,9.00,7.00,8.00,6.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3108937,5.00,5.00,4.00,4.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3108945,5.00,5.00,5.00,9.00,6.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3108953,5.00,4.00,4.00,7.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3108961,3.00,4.00,3.00,5.00,6.00,5.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3108970,5.00,4.00,3.00,3.00,5.00,6.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3108988,4.00,6.00,5.00,6.00,5.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3108996,6.00,7.00,6.00,8.00,8.00,6.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3109003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3109011,7.00,6.00,3.00,3.00,4.00,5.50,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3109020,8.00,6.00,5.00,9.00,6.00,4.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3109038,2.00,6.00,3.00,9.00,4.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3109046,1.00,0.00,1.00,0.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3109054,4.00,7.00,2.00,8.00,7.00,5.50,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3109062,4.00,4.00,3.00,6.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3109070,4.00,3.00,2.00,7.00,5.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3109089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3109097,1.00,2.00,2.00,1.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3109100,6.00,9.00,7.00,7.00,7.00,5.25,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3109119,6.00,6.00,5.00,5.00,4.00,4.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3109127,4.00,5.00,6.00,6.00,6.00,6.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3109135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3109143,5.00,2.00,5.00,5.00,5.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3109151,8.00,5.00,5.00,9.00,8.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3109178,8.00,9.00,7.00,8.00,5.00,6.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3109186,6.00,7.00,5.00,6.00,6.00,6.50,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3109194,7.00,8.00,6.00,8.00,8.00,6.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3109208,5.00,5.00,5.00,7.00,6.00,3.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3109216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3109224,4.00,5.00,1.00,4.00,5.00,5.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3109232,6.00,9.00,1.00,5.00,8.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3109259,5.00,6.00,4.00,7.00,5.00,7.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3109267,3.00,5.00,4.00,7.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3109283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3109291,3.00,4.00,2.00,2.00,5.00,5.50,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3109305,5.00,4.00,5.00,3.00,3.00,NULL,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3109313,7.00,7.00,4.00,4.00,6.00,6.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3109321,4.00,6.00,3.00,7.00,5.00,4.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3109330,2.00,1.00,2.00,3.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3109348,4.00,6.00,5.00,9.00,6.00,6.00,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3109356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3109364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3109380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3109399,4.00,5.00,4.00,8.00,6.00,4.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3109402,4.00,6.00,2.00,8.00,6.00,7.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3109410,6.00,4.00,4.00,4.00,5.00,4.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3109429,4.00,4.00,2.00,7.00,6.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3109437,7.00,9.00,7.00,9.00,9.00,7.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3109445,1.00,3.00,1.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3109453,8.00,8.00,4.00,9.00,7.00,7.00,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3109461,8.00,7.00,8.00,9.00,7.00,6.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3109470,7.00,6.00,6.00,8.00,7.00,5.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3109496,6.00,4.00,5.00,7.00,7.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3109500,4.00,3.00,1.00,1.00,4.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3109518,5.00,8.00,3.00,6.00,7.00,5.00,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3109526,6.00,5.00,4.00,5.00,6.00,8.50,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3109534,3.00,2.00,2.00,1.00,1.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3109550,3.00,7.00,5.00,5.00,3.00,NULL,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3109569,4.00,7.00,1.00,9.00,5.00,4.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3109577,1.00,2.00,1.00,3.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3109585,7.00,6.00,5.00,8.00,7.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3109593,5.00,7.00,2.00,9.00,7.00,6.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3109615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3109623,5.00,2.00,4.00,5.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3109631,3.00,9.00,5.00,7.00,7.00,6.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3109640,4.00,6.00,2.00,3.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3109674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3109682,5.00,7.00,1.00,7.00,4.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3109704,4.00,6.00,2.00,3.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3109712,4.00,7.00,4.00,7.00,7.00,7.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3109720,7.00,7.00,6.00,7.00,7.00,5.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3109739,4.00,6.00,7.00,7.00,6.00,6.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3109755,7.00,5.00,3.00,2.00,4.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3109763,8.00,7.00,2.00,8.00,7.00,5.00,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3109771,4.00,3.00,6.00,7.00,6.00,6.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3109780,4.00,5.00,2.00,8.00,4.00,5.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3109798,4.00,7.00,2.00,5.00,5.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3109801,5.00,9.00,3.00,4.00,6.00,7.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3109828,5.00,5.00,3.00,5.00,4.00,4.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3109836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3109844,6.00,7.00,4.00,8.00,6.00,6.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3109852,8.00,6.00,8.00,8.00,8.00,6.50,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3109860,9.00,8.00,8.00,8.00,6.00,5.50,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3109879,6.00,7.00,7.00,5.00,4.00,4.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3109887,4.00,6.00,4.00,2.00,5.00,4.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3109895,4.00,7.00,4.00,5.00,7.00,7.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3109909,4.00,5.00,3.00,3.00,4.00,7.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3109917,3.00,6.00,3.00,6.00,5.00,NULL,0.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3109925,4.00,4.00,4.00,4.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3109933,5.00,6.00,5.00,0.00,1.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3109941,4.00,4.00,4.00,7.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3109950,4.00,3.00,5.00,6.00,5.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3109968,9.00,8.00,6.00,9.00,7.00,5.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3109976,3.00,7.00,2.00,8.00,4.00,5.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3109984,7.00,6.00,5.00,7.00,4.00,5.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3109992,5.00,4.00,2.00,5.00,4.00,4.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3110001,3.00,5.00,4.00,6.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3110010,6.00,6.00,4.00,5.00,6.00,5.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3110028,5.00,7.00,8.00,9.00,6.00,5.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3110036,8.00,3.00,4.00,1.00,5.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3110044,2.00,3.00,1.00,5.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3110052,3.00,5.00,3.00,2.00,6.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3110060,5.00,6.00,3.00,7.00,8.00,8.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3110079,6.00,8.00,6.00,8.00,6.00,4.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3110095,6.00,6.00,7.00,8.00,7.00,5.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3110117,8.00,7.00,6.00,7.00,4.00,6.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3110125,1.00,3.00,2.00,2.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3110133,6.00,5.00,4.00,7.00,8.00,4.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3110150,5.00,4.00,2.00,8.00,3.00,NULL,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3110168,6.00,7.00,1.00,3.00,7.00,6.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3110176,4.00,3.00,3.00,9.00,6.00,6.75,2.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3110184,5.00,6.00,4.00,5.00,5.00,4.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3110192,6.00,8.00,5.00,4.00,5.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3110206,3.00,0.00,3.00,3.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3110222,4.00,3.00,2.00,6.00,5.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3110230,2.00,2.00,1.00,3.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3110249,5.00,5.00,7.00,9.00,8.00,7.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3110265,7.00,5.00,6.00,9.00,6.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3110273,7.00,5.00,6.00,8.00,6.00,6.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3110281,3.00,6.00,6.00,8.00,6.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3110290,7.00,5.00,2.00,7.00,6.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3110303,4.00,7.00,2.00,8.00,7.00,4.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3110311,5.00,8.00,5.00,6.00,7.00,4.50,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3110320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3110338,2.00,4.00,5.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3110346,4.00,6.00,2.00,6.00,4.00,3.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3110354,7.00,7.00,9.00,5.00,6.00,6.00,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3110362,6.00,3.00,4.00,7.00,4.00,5.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3110370,4.00,3.00,3.00,4.00,3.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3110389,2.00,5.00,2.00,5.00,4.00,7.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3110397,5.00,5.00,3.00,5.00,6.00,2.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3110427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3110443,3.00,6.00,1.00,6.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3110451,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3110478,3.00,3.00,2.00,8.00,5.00,5.00,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3110486,6.00,8.00,7.00,7.00,7.00,5.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3110494,7.00,7.00,7.00,8.00,7.00,6.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3110516,6.00,4.00,3.00,8.00,6.00,5.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3110524,6.00,6.00,4.00,8.00,8.00,7.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3110532,5.00,4.00,4.00,8.00,3.00,NULL,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3110540,3.00,5.00,2.00,3.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3110559,8.00,8.00,4.00,9.00,7.00,7.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3110575,9.00,7.00,7.00,8.00,7.00,6.50,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3110583,7.00,6.00,5.00,6.00,5.00,5.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3110591,6.00,8.00,4.00,7.00,4.00,6.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3110605,7.00,6.00,1.00,3.00,5.00,4.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3110613,4.00,2.00,5.00,6.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3110621,4.00,5.00,2.00,4.00,5.00,5.00,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3110630,3.00,4.00,2.00,5.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3110648,7.00,4.00,4.00,7.00,5.00,6.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3110656,4.00,7.00,4.00,5.00,5.00,4.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3110664,5.00,3.00,4.00,5.00,5.00,5.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3110680,4.00,5.00,5.00,5.00,4.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3110699,4.00,4.00,2.00,7.00,4.00,7.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3110710,4.00,4.00,4.00,8.00,6.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3110729,3.00,3.00,3.00,1.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3110737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3110745,4.00,6.00,3.00,7.00,6.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3110753,5.00,6.00,3.00,5.00,6.00,4.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3110770,7.00,8.00,4.00,8.00,7.00,7.50,3.00,8.00,6.00,NULL,NULL,NULL,'S'),(16,3110788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3110796,7.00,6.00,7.00,8.00,7.00,6.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3110800,4.00,3.00,3.00,2.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3110818,3.00,2.00,3.00,4.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3110834,6.00,3.00,3.00,6.00,5.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3110842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3110850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3110869,7.00,8.00,5.00,8.00,8.00,5.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3110877,4.00,4.00,2.00,6.00,3.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3110885,4.00,4.00,2.00,7.00,3.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3110893,7.00,4.00,2.00,9.00,6.00,4.75,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3110907,4.00,4.00,1.00,7.00,5.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3110915,6.00,4.00,1.00,8.00,4.00,5.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3110923,6.00,3.00,5.00,5.00,5.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3110931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3110940,4.00,5.00,4.00,4.00,6.00,4.75,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3110958,4.00,3.00,3.00,7.00,4.00,4.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3110966,6.00,7.00,4.00,9.00,7.00,6.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3110974,4.00,7.00,2.00,9.00,6.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3110982,3.00,2.00,1.00,5.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3111008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3111016,6.00,3.00,3.00,8.00,5.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3111024,7.00,7.00,4.00,9.00,7.00,7.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3111032,6.00,6.00,4.00,6.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3111040,3.00,5.00,2.00,7.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3111059,2.00,1.00,2.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3111067,5.00,7.00,3.00,7.00,8.00,5.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3111075,3.00,5.00,2.00,1.00,3.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3111083,4.00,4.00,5.00,5.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3111091,8.00,7.00,6.00,7.00,8.00,6.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3111105,6.00,5.00,4.00,5.00,6.00,6.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3111113,8.00,7.00,5.00,7.00,7.00,5.75,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3111130,6.00,8.00,4.00,6.00,4.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3111148,5.00,7.00,3.00,6.00,5.00,2.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3111156,5.00,6.00,1.00,9.00,6.00,6.50,4.00,9.00,4.00,NULL,NULL,NULL,'S'),(16,3111164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3111172,9.00,8.00,6.00,8.00,8.00,7.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3111180,4.00,5.00,2.00,6.00,4.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3111199,8.00,7.00,5.00,9.00,6.00,6.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3111202,4.00,3.00,5.00,3.00,5.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3111210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3111229,3.00,4.00,2.00,6.00,5.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3111237,7.00,7.00,6.00,9.00,7.00,6.50,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3111245,6.00,5.00,5.00,10.00,7.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3111253,7.00,5.00,4.00,9.00,8.00,7.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3111261,8.00,6.00,7.00,8.00,6.00,6.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3111288,7.00,6.00,6.00,6.00,7.00,5.00,5.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3111296,2.00,5.00,3.00,6.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3111300,5.00,6.00,6.00,4.00,6.00,6.50,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3111318,6.00,7.00,4.00,8.00,6.00,6.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3111326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3111334,0.00,0.00,0.00,9.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3111342,5.00,6.00,5.00,8.00,4.00,6.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3111350,9.00,7.00,6.00,9.00,7.00,9.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3111369,6.00,5.00,1.00,4.00,5.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3111377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3111385,5.00,7.00,8.00,8.00,8.00,7.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3111393,9.00,7.00,8.00,9.00,8.00,6.25,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3111407,5.00,6.00,4.00,8.00,4.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3111415,5.00,3.00,3.00,6.00,5.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3111423,4.00,5.00,2.00,6.00,4.00,4.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3111440,9.00,7.00,4.00,6.00,7.00,6.25,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3111458,6.00,8.00,5.00,9.00,7.00,8.00,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3111466,3.00,5.00,3.00,8.00,3.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3111474,1.00,5.00,5.00,8.00,7.00,5.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3111482,2.00,4.00,4.00,2.00,1.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3111490,3.00,5.00,4.00,6.00,5.00,5.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3111504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3111512,4.00,5.00,5.00,6.00,5.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3111520,1.00,4.00,5.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3111539,5.00,7.00,6.00,9.00,9.00,7.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3111555,4.00,6.00,3.00,5.00,4.00,5.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3111580,3.00,3.00,2.00,8.00,4.00,4.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3111598,7.00,8.00,6.00,6.00,5.00,5.75,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3111601,2.00,3.00,5.00,2.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3111610,4.00,3.00,2.00,6.00,4.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3111628,7.00,6.00,7.00,8.00,7.00,6.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3111636,7.00,8.00,7.00,9.00,8.00,5.25,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3111644,4.00,5.00,4.00,5.00,4.00,6.00,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3111652,8.00,7.00,7.00,7.00,6.00,5.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3111679,9.00,8.00,7.00,9.00,9.00,6.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3111687,4.00,4.00,1.00,6.00,5.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3111695,5.00,8.00,2.00,5.00,5.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3111709,6.00,9.00,7.00,9.00,8.00,8.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3111717,4.00,4.00,3.00,6.00,3.00,NULL,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3111725,4.00,3.00,4.00,6.00,7.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3111750,6.00,3.00,2.00,3.00,5.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3111768,4.00,6.00,2.00,7.00,6.00,4.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3111776,7.00,7.00,3.00,7.00,6.00,8.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3111784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3111792,3.00,3.00,3.00,3.00,4.00,6.25,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3111806,3.00,3.00,3.00,2.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3111814,4.00,3.00,2.00,8.00,5.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3111822,8.00,9.00,7.00,9.00,8.00,7.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3111830,4.00,5.00,5.00,6.00,6.00,6.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3111857,4.00,6.00,4.00,6.00,6.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3111873,6.00,7.00,4.00,8.00,8.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3111881,4.00,3.00,3.00,6.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3111890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3111903,3.00,5.00,5.00,5.00,5.00,6.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3111911,8.00,7.00,6.00,4.00,4.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3111920,7.00,7.00,5.00,8.00,8.00,5.25,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3111938,7.00,6.00,5.00,8.00,6.00,6.00,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3111946,7.00,4.00,6.00,7.00,6.00,5.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3111962,6.00,3.00,6.00,0.00,3.00,NULL,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3111970,6.00,7.00,3.00,7.00,7.00,7.00,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3111989,4.00,2.00,5.00,5.00,4.00,4.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3111997,8.00,7.00,5.00,6.00,7.00,6.50,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3112004,6.00,6.00,7.00,5.00,7.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3112012,5.00,3.00,8.00,4.00,3.00,NULL,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3112020,9.00,9.00,8.00,7.00,8.00,5.75,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3112039,2.00,3.00,3.00,8.00,5.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3112055,5.00,8.00,1.00,7.00,5.00,6.00,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3112071,5.00,7.00,4.00,6.00,5.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3112098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3112101,4.00,5.00,7.00,8.00,8.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3112128,7.00,9.00,5.00,8.00,8.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3112136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3112144,7.00,6.00,6.00,8.00,6.00,8.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3112152,3.00,4.00,5.00,6.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3112160,8.00,6.00,7.00,9.00,9.00,6.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3112179,4.00,5.00,3.00,4.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3112195,3.00,5.00,1.00,7.00,5.00,8.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3112209,1.00,2.00,1.00,3.00,2.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3112217,5.00,4.00,1.00,4.00,1.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3112225,4.00,5.00,3.00,9.00,7.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3112233,4.00,1.00,1.00,4.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3112241,6.00,7.00,2.00,8.00,7.00,7.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3112268,7.00,5.00,5.00,5.00,5.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3112276,3.00,7.00,3.00,6.00,6.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3112284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3112292,7.00,8.00,6.00,8.00,8.00,6.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3112306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3112314,6.00,4.00,2.00,8.00,4.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3112322,9.00,7.00,7.00,8.00,6.00,5.00,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3112330,5.00,7.00,6.00,7.00,6.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3112349,3.00,6.00,3.00,7.00,6.00,6.50,0.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3112357,9.00,8.00,8.00,9.00,8.00,8.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3112365,6.00,4.00,2.00,7.00,6.00,6.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3112373,2.00,1.00,1.00,0.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3112381,2.00,3.00,2.00,4.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3112390,7.00,5.00,5.00,7.00,4.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3112403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3112411,6.00,5.00,4.00,8.00,4.00,5.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3112420,6.00,9.00,4.00,6.00,7.00,6.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3112446,6.00,3.00,4.00,8.00,5.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3112454,9.00,8.00,8.00,8.00,8.00,6.75,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3112462,6.00,6.00,3.00,6.00,5.00,6.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3112470,8.00,8.00,7.00,9.00,7.00,5.50,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3112489,2.00,3.00,3.00,4.00,1.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3112497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3112500,5.00,6.00,4.00,6.00,6.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3112519,3.00,4.00,2.00,7.00,6.00,6.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3112527,1.00,3.00,3.00,3.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3112535,3.00,7.00,3.00,8.00,6.00,5.75,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3112543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3112551,6.00,3.00,4.00,3.00,4.00,4.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3112586,3.00,2.00,4.00,1.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3112594,6.00,5.00,3.00,5.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3112608,5.00,4.00,5.00,9.00,5.00,4.75,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3112616,4.00,6.00,3.00,4.00,4.00,6.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3112624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3112632,5.00,5.00,3.00,7.00,7.00,6.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3112640,6.00,3.00,2.00,1.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3112659,5.00,6.00,5.00,7.00,3.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3112667,3.00,2.00,1.00,2.00,0.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3112683,5.00,5.00,4.00,8.00,6.00,6.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3112691,5.00,4.00,4.00,5.00,4.00,4.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3112713,5.00,7.00,2.00,8.00,7.00,6.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3112721,7.00,7.00,5.00,8.00,8.00,6.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3112730,3.00,3.00,2.00,6.00,6.00,4.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3112748,4.00,2.00,2.00,5.00,4.00,4.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3112756,5.00,4.00,4.00,3.00,5.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3112764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3112772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3112802,6.00,5.00,6.00,9.00,8.00,6.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3112810,5.00,4.00,6.00,6.00,4.00,4.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3112829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3112837,4.00,6.00,4.00,7.00,6.00,6.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3112853,2.00,1.00,4.00,3.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3112861,6.00,4.00,4.00,7.00,6.00,6.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3112870,2.00,4.00,3.00,3.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3112888,5.00,4.00,4.00,8.00,7.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3112896,3.00,7.00,6.00,7.00,8.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3112900,8.00,6.00,1.00,9.00,7.00,7.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3112934,2.00,2.00,1.00,3.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3112942,3.00,3.00,3.00,7.00,4.00,4.00,5.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3112950,2.00,4.00,2.00,6.00,4.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3112969,7.00,6.00,3.00,9.00,6.00,6.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3112977,3.00,7.00,1.00,7.00,4.00,4.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3112985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3113000,6.00,7.00,7.00,8.00,7.00,6.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3113019,4.00,6.00,3.00,6.00,6.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3113027,3.00,6.00,2.00,1.00,3.00,NULL,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3113043,3.00,5.00,4.00,9.00,4.00,4.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3113051,8.00,7.00,5.00,9.00,8.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3113060,6.00,8.00,3.00,8.00,6.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3113078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3113086,7.00,5.00,6.00,5.00,7.00,5.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3113094,5.00,5.00,3.00,5.00,4.00,4.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3113108,3.00,2.00,3.00,7.00,6.00,5.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3113116,8.00,7.00,6.00,8.00,8.00,6.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3113124,2.00,3.00,1.00,5.00,4.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3113132,7.00,7.00,3.00,2.00,8.00,5.50,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3113140,5.00,7.00,5.00,5.00,4.00,5.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3113159,4.00,7.00,2.00,2.00,3.00,NULL,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3113167,2.00,6.00,5.00,6.00,6.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3113175,4.00,4.00,7.00,3.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3113183,2.00,2.00,3.00,5.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3113191,1.00,0.00,3.00,5.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3113205,8.00,6.00,6.00,9.00,8.00,5.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3113213,7.00,6.00,4.00,7.00,6.00,4.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3113221,4.00,4.00,2.00,1.00,5.00,5.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3113230,6.00,7.00,2.00,2.00,7.00,6.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3113256,4.00,3.00,4.00,5.00,7.00,6.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3113272,3.00,5.00,3.00,3.00,3.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3113280,4.00,4.00,5.00,7.00,7.00,5.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3113299,4.00,2.00,2.00,4.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3113302,8.00,7.00,7.00,8.00,7.00,6.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3113310,0.00,0.00,0.00,6.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3113329,5.00,6.00,4.00,7.00,6.00,4.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3113337,6.00,7.00,5.00,8.00,5.00,5.25,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3113345,5.00,3.00,4.00,7.00,5.00,5.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3113353,1.00,2.00,4.00,0.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3113388,4.00,5.00,2.00,7.00,6.00,6.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3113396,6.00,4.00,1.00,7.00,6.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3113426,4.00,1.00,4.00,4.00,1.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3113434,4.00,6.00,4.00,8.00,6.00,6.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3113442,5.00,5.00,2.00,7.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3113450,3.00,5.00,2.00,9.00,7.00,6.00,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3113469,5.00,4.00,1.00,8.00,7.00,5.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3113477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3113485,7.00,7.00,4.00,7.00,7.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3113493,5.00,4.00,4.00,2.00,6.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3113507,4.00,5.00,3.00,5.00,4.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3113523,6.00,9.00,4.00,9.00,8.00,5.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3113566,4.00,6.00,1.00,1.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3113574,4.00,1.00,2.00,4.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3113582,8.00,6.00,5.00,5.00,5.00,5.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3113590,4.00,6.00,4.00,1.00,4.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3113604,9.00,8.00,9.00,9.00,8.00,7.25,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3113612,6.00,3.00,4.00,6.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3113620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3113647,3.00,3.00,2.00,6.00,5.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3113655,4.00,4.00,2.00,6.00,4.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3113663,8.00,4.00,6.00,5.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3113671,3.00,3.00,3.00,5.00,5.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3113680,2.00,3.00,4.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3113698,4.00,5.00,3.00,6.00,6.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3113701,6.00,5.00,1.00,8.00,4.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3113710,5.00,6.00,3.00,3.00,7.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3113728,7.00,8.00,5.00,9.00,8.00,7.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3113736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3113744,8.00,8.00,5.00,7.00,7.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3113752,6.00,4.00,5.00,6.00,5.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3113760,6.00,5.00,1.00,3.00,5.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3113779,2.00,4.00,2.00,8.00,5.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3113787,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3113795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3113809,0.00,2.00,3.00,3.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3113825,6.00,7.00,7.00,8.00,6.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3113833,5.00,3.00,5.00,7.00,6.00,5.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3113841,3.00,4.00,3.00,1.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3113850,2.00,0.00,3.00,5.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3113876,6.00,6.00,4.00,7.00,7.00,5.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3113892,3.00,3.00,1.00,4.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3113914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3113922,0.00,2.00,1.00,0.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3113930,3.00,2.00,1.00,4.00,4.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3113949,3.00,4.00,2.00,1.00,4.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3113957,2.00,5.00,6.00,3.00,4.00,4.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3113965,3.00,6.00,3.00,2.00,5.00,5.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3113981,3.00,4.00,4.00,4.00,6.00,4.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3113990,4.00,5.00,4.00,4.00,5.00,4.75,5.00,6.00,6.00,NULL,NULL,NULL,'S'),(16,3114007,6.00,7.00,2.00,7.00,4.00,6.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3114015,4.00,0.00,1.00,4.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3114031,4.00,9.00,6.00,9.00,8.00,4.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3114040,4.00,4.00,2.00,7.00,6.00,6.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3114066,7.00,5.00,6.00,8.00,5.00,6.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3114074,3.00,6.00,2.00,8.00,7.00,4.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3114090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3114112,6.00,7.00,4.00,8.00,8.00,5.50,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3114120,5.00,4.00,3.00,7.00,5.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3114139,1.00,2.00,1.00,3.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(16,3114147,5.00,8.00,6.00,9.00,6.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3114171,4.00,5.00,3.00,6.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3114180,4.00,7.00,1.00,4.00,7.00,4.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3114201,2.00,0.00,4.00,5.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3114210,6.00,5.00,7.00,9.00,5.00,7.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3114228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3114236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3114260,3.00,5.00,2.00,2.00,6.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3114279,6.00,3.00,2.00,4.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3114287,4.00,6.00,1.00,6.00,7.00,6.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3114309,5.00,6.00,3.00,6.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3114317,2.00,3.00,5.00,2.00,5.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3114325,2.00,3.00,2.00,4.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3114333,5.00,3.00,4.00,3.00,5.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3114341,5.00,3.00,1.00,3.00,7.00,7.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3114350,6.00,5.00,5.00,8.00,9.00,8.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3114368,5.00,6.00,3.00,3.00,4.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3114376,2.00,6.00,4.00,5.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3114384,6.00,6.00,5.00,4.00,5.00,6.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3114406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3114414,2.00,2.00,4.00,5.00,4.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3114449,3.00,6.00,3.00,5.00,7.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3114457,3.00,4.00,4.00,8.00,5.00,5.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3114465,3.00,3.00,2.00,4.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3114473,7.00,7.00,5.00,4.00,8.00,5.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3114481,2.00,4.00,3.00,4.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3114490,2.00,1.00,2.00,1.00,0.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3114503,4.00,3.00,4.00,6.00,5.00,5.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3114520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3114538,8.00,6.00,5.00,1.00,7.00,6.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3114546,5.00,4.00,1.00,2.00,6.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3114554,9.00,9.00,6.00,8.00,7.00,5.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3114562,1.00,3.00,2.00,2.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3114570,7.00,9.00,7.00,7.00,7.00,7.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3114589,2.00,1.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3114597,4.00,3.00,2.00,1.00,2.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3114600,4.00,5.00,5.00,8.00,6.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3114619,4.00,7.00,6.00,9.00,7.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3114627,8.00,6.00,7.00,8.00,6.00,6.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3114635,3.00,3.00,2.00,4.00,5.00,6.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3114651,4.00,5.00,2.00,6.00,6.00,6.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3114660,7.00,5.00,9.00,6.00,7.00,4.50,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3114686,5.00,3.00,1.00,8.00,4.00,5.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3114694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3114708,7.00,7.00,5.00,9.00,7.00,5.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3114716,7.00,5.00,1.00,5.00,5.00,6.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3114724,4.00,5.00,4.00,6.00,4.00,4.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3114732,7.00,9.00,5.00,7.00,6.00,5.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3114775,2.00,7.00,3.00,8.00,5.00,5.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3114783,3.00,4.00,3.00,4.00,4.00,5.00,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3114791,2.00,4.00,4.00,4.00,5.00,4.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3114805,7.00,5.00,4.00,5.00,5.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3114821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3114830,1.00,3.00,4.00,4.00,7.00,4.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3114856,3.00,2.00,2.00,3.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3114864,6.00,6.00,3.00,7.00,5.00,6.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3114872,5.00,4.00,2.00,7.00,5.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3114880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3114899,7.00,2.00,4.00,9.00,6.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3114910,3.00,6.00,4.00,4.00,4.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3114929,4.00,3.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3114937,3.00,4.00,2.00,3.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3114945,5.00,3.00,2.00,6.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3114953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3114970,6.00,6.00,6.00,3.00,5.00,4.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3114988,3.00,6.00,1.00,7.00,6.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3114996,3.00,3.00,1.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3115003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3115011,8.00,6.00,4.00,7.00,7.00,7.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3115020,7.00,6.00,4.00,4.00,6.00,4.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3115038,8.00,7.00,5.00,7.00,8.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3115046,5.00,6.00,5.00,7.00,6.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3115054,1.00,5.00,4.00,6.00,5.00,6.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3115062,3.00,3.00,2.00,5.00,3.00,NULL,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3115070,4.00,3.00,2.00,5.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3115089,2.00,2.00,1.00,3.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3115097,4.00,6.00,4.00,6.00,5.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3115100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3115127,1.00,0.00,3.00,0.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3115143,5.00,4.00,4.00,3.00,5.00,6.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3115151,1.00,3.00,3.00,1.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3115178,2.00,6.00,1.00,7.00,4.00,5.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3115186,2.00,4.00,4.00,0.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3115194,4.00,6.00,2.00,6.00,4.00,4.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3115208,7.00,5.00,7.00,8.00,6.00,5.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3115216,6.00,7.00,5.00,8.00,8.00,6.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3115224,7.00,6.00,6.00,7.00,6.00,5.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3115232,4.00,6.00,4.00,5.00,5.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3115240,5.00,8.00,7.00,7.00,6.00,5.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3115259,4.00,4.00,3.00,6.00,4.00,4.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3115267,3.00,6.00,6.00,9.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3115275,8.00,8.00,6.00,8.00,6.00,6.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3115283,5.00,5.00,3.00,6.00,5.00,5.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3115291,3.00,4.00,2.00,6.00,4.00,4.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3115305,3.00,5.00,2.00,2.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3115313,8.00,7.00,5.00,6.00,5.00,5.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3115321,4.00,5.00,2.00,6.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3115330,4.00,5.00,1.00,9.00,6.00,5.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3115348,6.00,4.00,4.00,8.00,7.00,4.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3115364,7.00,8.00,7.00,9.00,8.00,5.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3115372,3.00,4.00,2.00,6.00,0.00,NULL,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3115380,4.00,6.00,4.00,3.00,3.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3115399,3.00,6.00,3.00,6.00,7.00,5.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3115402,5.00,5.00,6.00,4.00,4.00,5.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3115410,6.00,8.00,7.00,8.00,7.00,7.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3115429,3.00,6.00,4.00,6.00,4.00,3.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3115437,7.00,5.00,3.00,9.00,9.00,6.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3115453,6.00,4.00,2.00,7.00,5.00,4.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3115461,5.00,2.00,2.00,5.00,4.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3115470,1.00,5.00,2.00,6.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3115488,4.00,2.00,1.00,5.00,6.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3115496,3.00,4.00,6.00,1.00,4.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3115500,5.00,3.00,4.00,5.00,4.00,4.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3115526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3115534,4.00,5.00,3.00,9.00,5.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3115550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3115569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3115577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3115585,4.00,6.00,4.00,7.00,5.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3115623,8.00,8.00,8.00,9.00,8.00,5.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3115631,5.00,4.00,4.00,6.00,3.00,NULL,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3115640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3115658,4.00,3.00,3.00,6.00,4.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3115666,5.00,4.00,2.00,9.00,6.00,4.00,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3115674,2.00,3.00,3.00,3.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3115682,5.00,1.00,2.00,4.00,7.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3115704,3.00,3.00,2.00,2.00,0.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3115712,5.00,8.00,2.00,5.00,7.00,5.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3115720,7.00,7.00,6.00,5.00,6.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3115739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3115747,5.00,8.00,1.00,7.00,5.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3115755,5.00,6.00,2.00,4.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3115763,2.00,0.00,3.00,2.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3115771,4.00,6.00,5.00,9.00,7.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3115798,5.00,3.00,3.00,8.00,6.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3115801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3115828,8.00,8.00,4.00,7.00,4.00,5.25,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3115836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3115844,4.00,3.00,2.00,2.00,8.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3115852,3.00,5.00,1.00,5.00,5.00,5.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3115860,5.00,5.00,4.00,8.00,2.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3115879,5.00,5.00,5.00,6.00,5.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3115887,6.00,4.00,5.00,7.00,4.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3115895,5.00,1.00,4.00,6.00,4.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3115909,8.00,8.00,6.00,9.00,6.00,7.50,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3115917,5.00,7.00,2.00,8.00,6.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3115925,6.00,7.00,6.00,5.00,7.00,6.00,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3115933,5.00,4.00,5.00,8.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3115941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3115968,5.00,6.00,3.00,1.00,4.00,7.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3115976,6.00,7.00,5.00,6.00,6.00,6.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3115984,5.00,4.00,5.00,0.00,6.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3115992,5.00,7.00,2.00,5.00,6.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3116000,4.00,7.00,7.00,6.00,6.00,4.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3116018,6.00,5.00,3.00,9.00,7.00,6.75,5.00,8.00,0.00,NULL,NULL,NULL,'N'),(16,3116026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3116034,8.00,9.00,7.00,8.00,7.00,7.00,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3116042,2.00,2.00,3.00,5.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3116050,8.00,8.00,1.00,9.00,8.00,4.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3116069,6.00,6.00,6.00,8.00,8.00,7.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3116077,5.00,3.00,5.00,7.00,4.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3116085,3.00,4.00,2.00,3.00,4.00,5.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3116093,5.00,4.00,3.00,5.00,5.00,4.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3116107,1.00,1.00,2.00,8.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3116115,2.00,1.00,2.00,2.00,5.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3116123,3.00,7.00,2.00,7.00,4.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3116131,9.00,7.00,5.00,8.00,9.00,7.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3116140,6.00,3.00,2.00,7.00,6.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3116158,4.00,4.00,3.00,6.00,4.00,4.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3116166,8.00,7.00,2.00,7.00,8.00,5.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3116174,8.00,5.00,3.00,8.00,8.00,6.50,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3116182,5.00,6.00,3.00,5.00,5.00,5.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3116190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3116204,4.00,5.00,3.00,0.00,2.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3116212,4.00,2.00,2.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3116220,4.00,5.00,4.00,8.00,2.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3116239,3.00,2.00,2.00,2.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3116247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3116255,3.00,2.00,2.00,1.00,3.00,NULL,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3116263,5.00,4.00,3.00,6.00,5.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3116280,2.00,2.00,3.00,2.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3116301,7.00,7.00,8.00,5.00,6.00,4.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3116310,5.00,6.00,2.00,6.00,5.00,5.50,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3116328,5.00,4.00,2.00,5.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3116344,6.00,9.00,5.00,7.00,7.00,6.50,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3116352,7.00,7.00,8.00,7.00,6.00,4.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3116387,5.00,6.00,5.00,5.00,5.00,4.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3116395,3.00,0.00,3.00,6.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3116409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3116425,3.00,5.00,1.00,8.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3116433,6.00,2.00,2.00,3.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3116450,2.00,2.00,3.00,4.00,0.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3116476,5.00,7.00,3.00,2.00,6.00,4.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3116484,3.00,5.00,2.00,4.00,4.00,3.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3116492,3.00,3.00,4.00,5.00,5.00,4.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3116506,1.00,4.00,1.00,3.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3116514,3.00,3.00,1.00,0.00,2.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3116522,7.00,7.00,7.00,8.00,7.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3116530,3.00,6.00,1.00,3.00,3.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3116549,2.00,2.00,1.00,3.00,2.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3116557,4.00,4.00,2.00,4.00,6.00,5.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3116565,1.00,0.00,3.00,3.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3116573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3116581,3.00,8.00,2.00,9.00,6.00,7.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3116590,4.00,1.00,1.00,7.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3116603,3.00,2.00,4.00,5.00,1.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3116611,8.00,7.00,9.00,9.00,6.00,7.50,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3116620,3.00,3.00,3.00,4.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3116638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3116646,5.00,6.00,4.00,2.00,4.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3116654,6.00,3.00,4.00,6.00,6.00,4.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3116662,4.00,4.00,3.00,6.00,4.00,5.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3116670,4.00,3.00,6.00,3.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3116689,2.00,2.00,4.00,3.00,4.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3116697,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3116719,3.00,6.00,5.00,7.00,6.00,5.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3116727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3116735,6.00,5.00,3.00,5.00,6.00,5.00,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3116743,4.00,6.00,6.00,6.00,5.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3116751,3.00,4.00,4.00,6.00,4.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3116760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3116778,2.00,6.00,3.00,6.00,5.00,6.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3116786,7.00,7.00,5.00,5.00,6.00,6.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3116794,3.00,7.00,4.00,3.00,4.00,5.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3116808,5.00,6.00,5.00,9.00,7.00,5.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3116816,4.00,6.00,4.00,5.00,6.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3116824,9.00,8.00,8.00,8.00,6.00,6.00,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3116832,9.00,8.00,8.00,8.00,6.00,6.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3116840,6.00,4.00,3.00,5.00,3.00,NULL,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3116859,2.00,1.00,1.00,1.00,7.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3116875,5.00,5.00,5.00,8.00,4.00,6.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3116883,6.00,4.00,3.00,8.00,5.00,3.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3116891,2.00,2.00,3.00,6.00,6.00,4.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3116905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3116913,3.00,8.00,5.00,6.00,4.00,5.75,3.00,9.00,3.00,NULL,NULL,NULL,'S'),(16,3116921,3.00,7.00,4.00,2.00,6.00,4.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3116948,4.00,5.00,2.00,6.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3116956,4.00,3.00,1.00,5.00,5.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3116964,3.00,5.00,3.00,3.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3116972,7.00,7.00,3.00,8.00,6.00,6.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3117006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3117030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3117049,4.00,7.00,4.00,7.00,8.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3117057,3.00,3.00,2.00,4.00,1.00,NULL,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3117073,5.00,5.00,5.00,4.00,6.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3117081,4.00,3.00,3.00,1.00,4.00,5.50,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3117090,4.00,4.00,6.00,1.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3117103,6.00,8.00,6.00,9.00,7.00,6.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3117111,3.00,7.00,4.00,8.00,6.00,5.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3117138,7.00,8.00,8.00,6.00,7.00,7.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3117146,2.00,3.00,2.00,4.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3117162,4.00,5.00,3.00,8.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3117170,3.00,1.00,1.00,4.00,4.00,4.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3117189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3117197,4.00,6.00,3.00,6.00,2.00,NULL,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3117200,3.00,5.00,4.00,2.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3117219,2.00,0.00,2.00,5.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(16,3117227,4.00,5.00,2.00,6.00,4.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3117235,4.00,4.00,1.00,8.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3117243,4.00,3.00,2.00,6.00,7.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3117251,4.00,1.00,2.00,2.00,6.00,4.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3117278,4.00,3.00,2.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3117286,5.00,6.00,3.00,7.00,5.00,6.75,1.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3117294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3117308,5.00,8.00,7.00,8.00,8.00,5.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3117316,5.00,5.00,3.00,7.00,4.00,4.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3117324,4.00,5.00,4.00,8.00,5.00,4.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3117332,3.00,5.00,7.00,4.00,2.00,NULL,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3117340,3.00,3.00,2.00,3.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3117359,5.00,3.00,4.00,7.00,6.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3117367,3.00,3.00,3.00,7.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3117375,7.00,3.00,6.00,9.00,6.00,5.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3117383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3117391,5.00,7.00,2.00,6.00,7.00,6.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3117405,5.00,6.00,7.00,8.00,5.00,5.50,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3117413,2.00,4.00,5.00,5.00,3.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3117430,6.00,3.00,3.00,5.00,5.00,4.75,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3117456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3117472,3.00,2.00,2.00,8.00,4.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3117480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3117499,7.00,3.00,7.00,3.00,5.00,4.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3117502,5.00,7.00,5.00,3.00,6.00,6.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3117510,5.00,4.00,3.00,8.00,6.00,4.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3117537,2.00,5.00,1.00,1.00,1.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3117545,6.00,6.00,1.00,4.00,4.00,4.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3117553,6.00,4.00,2.00,6.00,5.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3117561,8.00,8.00,7.00,9.00,9.00,4.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3117570,2.00,3.00,4.00,6.00,5.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3117588,8.00,5.00,7.00,8.00,6.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3117600,2.00,4.00,3.00,6.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3117618,0.00,0.00,0.00,7.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3117626,5.00,8.00,3.00,6.00,5.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3117634,7.00,5.00,5.00,8.00,3.00,NULL,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3117642,7.00,5.00,6.00,6.00,7.00,5.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3117650,4.00,2.00,1.00,4.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3117669,7.00,8.00,5.00,9.00,7.00,7.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3117677,4.00,3.00,2.00,2.00,4.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'S'),(16,3117685,3.00,4.00,2.00,5.00,2.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3117693,6.00,5.00,6.00,7.00,5.00,7.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3117715,4.00,7.00,2.00,6.00,2.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3117723,3.00,4.00,3.00,3.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3117731,3.00,3.00,4.00,5.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3117740,4.00,4.00,5.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3117758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3117766,5.00,2.00,1.00,2.00,4.00,4.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3117782,2.00,6.00,4.00,8.00,7.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3117790,3.00,0.00,1.00,5.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3117804,7.00,7.00,7.00,8.00,7.00,7.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3117812,3.00,8.00,2.00,8.00,3.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3117820,5.00,6.00,6.00,9.00,6.00,6.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3117839,4.00,5.00,2.00,7.00,4.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3117847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3117855,4.00,6.00,4.00,3.00,4.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3117863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3117871,2.00,4.00,3.00,6.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3117880,3.00,4.00,3.00,8.00,5.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3117910,4.00,6.00,5.00,5.00,7.00,5.25,0.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3117936,3.00,6.00,4.00,6.00,4.00,6.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3117944,7.00,7.00,4.00,3.00,4.00,4.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3117952,4.00,3.00,3.00,8.00,4.00,3.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3117960,6.00,3.00,4.00,4.00,4.00,5.50,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3117979,5.00,5.00,3.00,9.00,5.00,6.25,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3117987,3.00,3.00,3.00,2.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3118002,8.00,7.00,5.00,8.00,7.00,6.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3118010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3118029,3.00,5.00,5.00,3.00,4.00,4.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3118045,5.00,6.00,4.00,4.00,4.00,7.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3118053,3.00,2.00,3.00,5.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3118088,7.00,4.00,3.00,5.00,4.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3118118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3118126,2.00,3.00,3.00,3.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3118134,6.00,5.00,3.00,8.00,7.00,6.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3118177,5.00,5.00,3.00,7.00,6.00,5.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3118185,4.00,6.00,2.00,3.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3118193,3.00,3.00,3.00,5.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3118207,8.00,6.00,4.00,7.00,4.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3118215,4.00,5.00,4.00,7.00,5.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3118223,4.00,4.00,3.00,6.00,6.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3118231,7.00,5.00,4.00,6.00,5.00,4.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3118240,8.00,8.00,2.00,8.00,6.00,5.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3118258,7.00,7.00,6.00,8.00,5.00,5.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3118266,1.00,3.00,2.00,5.00,4.00,4.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3118282,4.00,7.00,4.00,6.00,5.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3118290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3118304,3.00,3.00,4.00,8.00,6.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3118312,5.00,5.00,5.00,9.00,4.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3118320,3.00,4.00,3.00,5.00,4.00,5.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3118339,7.00,7.00,5.00,8.00,6.00,5.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3118347,6.00,6.00,4.00,8.00,7.00,6.75,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3118355,6.00,7.00,4.00,7.00,6.00,5.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3118363,5.00,6.00,4.00,4.00,4.00,6.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3118380,1.00,4.00,2.00,1.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3118398,4.00,6.00,6.00,9.00,7.00,4.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3118401,4.00,3.00,4.00,6.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3118410,2.00,3.00,4.00,5.00,5.00,7.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3118428,4.00,8.00,8.00,9.00,8.00,6.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3118436,4.00,4.00,2.00,6.00,9.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3118444,3.00,4.00,4.00,5.00,4.00,4.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3118452,4.00,1.00,1.00,1.00,6.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3118460,8.00,6.00,3.00,9.00,5.00,6.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3118479,7.00,8.00,4.00,4.00,7.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3118487,4.00,6.00,3.00,7.00,5.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3118541,6.00,4.00,1.00,7.00,5.00,6.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3118550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3118568,6.00,5.00,2.00,4.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3118576,7.00,5.00,4.00,4.00,6.00,5.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3118584,6.00,6.00,1.00,3.00,7.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3118592,5.00,3.00,4.00,8.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3118622,7.00,7.00,2.00,10.00,7.00,5.50,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3118630,7.00,7.00,6.00,9.00,6.00,7.75,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3118649,5.00,6.00,5.00,9.00,6.00,7.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3118657,4.00,5.00,4.00,4.00,4.00,6.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3118665,3.00,4.00,4.00,2.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3118673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3118681,7.00,6.00,4.00,7.00,6.00,6.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3118690,6.00,5.00,4.00,7.00,8.00,5.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3118703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3118711,3.00,5.00,2.00,2.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3118720,5.00,8.00,4.00,9.00,8.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3118746,4.00,7.00,4.00,9.00,7.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3118754,2.00,5.00,3.00,5.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3118762,6.00,7.00,6.00,6.00,7.00,7.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3118789,6.00,4.00,4.00,5.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3118797,3.00,5.00,4.00,8.00,4.00,5.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3118800,5.00,4.00,4.00,9.00,6.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3118819,9.00,7.00,4.00,8.00,6.00,4.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3118827,7.00,3.00,7.00,7.00,3.00,NULL,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3118835,4.00,4.00,2.00,2.00,6.00,4.75,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3118843,7.00,6.00,4.00,6.00,7.00,5.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3118851,6.00,5.00,4.00,8.00,6.00,6.75,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3118860,5.00,5.00,1.00,1.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3118878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3118886,5.00,4.00,3.00,4.00,4.00,5.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3118894,6.00,7.00,5.00,8.00,7.00,4.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3118908,7.00,8.00,7.00,7.00,9.00,6.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3118916,4.00,6.00,3.00,2.00,4.00,5.50,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3118924,3.00,6.00,2.00,7.00,4.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3118940,8.00,8.00,8.00,7.00,7.00,6.25,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3118959,1.00,1.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3118967,6.00,8.00,4.00,8.00,8.00,5.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3118983,8.00,8.00,7.00,9.00,7.00,6.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3118991,4.00,5.00,4.00,7.00,6.00,5.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3119009,4.00,5.00,5.00,7.00,7.00,5.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3119017,7.00,4.00,2.00,8.00,2.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3119025,6.00,6.00,5.00,7.00,7.00,5.50,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3119033,4.00,3.00,2.00,1.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3119041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3119050,4.00,6.00,4.00,9.00,7.00,5.75,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3119068,7.00,7.00,3.00,6.00,5.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3119076,1.00,3.00,2.00,3.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3119084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3119092,6.00,6.00,5.00,4.00,4.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3119106,5.00,5.00,4.00,4.00,4.00,5.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3119114,4.00,7.00,1.00,6.00,6.00,5.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3119122,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3119130,4.00,1.00,1.00,6.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3119149,5.00,5.00,3.00,5.00,6.00,5.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3119181,8.00,8.00,2.00,8.00,3.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3119190,4.00,4.00,1.00,1.00,5.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3119203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3119211,6.00,8.00,7.00,8.00,4.00,5.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3119238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3119246,2.00,8.00,4.00,6.00,7.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3119254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3119262,3.00,4.00,1.00,5.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3119270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3119289,8.00,4.00,6.00,4.00,7.00,7.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3119297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3119300,3.00,5.00,2.00,7.00,7.00,6.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3119319,6.00,7.00,4.00,8.00,7.00,5.25,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3119327,5.00,4.00,3.00,7.00,5.00,4.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3119351,4.00,7.00,1.00,5.00,4.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3119360,6.00,5.00,5.00,6.00,5.00,7.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3119378,9.00,8.00,8.00,9.00,9.00,6.25,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3119386,4.00,4.00,3.00,6.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3119394,4.00,5.00,4.00,7.00,5.00,6.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3119408,9.00,8.00,9.00,7.00,6.00,5.00,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3119416,2.00,4.00,3.00,7.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3119432,4.00,1.00,3.00,5.00,5.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3119440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3119459,6.00,2.00,2.00,3.00,6.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3119467,4.00,5.00,4.00,9.00,4.00,6.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3119475,3.00,2.00,3.00,5.00,4.00,4.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3119483,4.00,4.00,1.00,9.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3119491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3119505,4.00,3.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3119521,3.00,4.00,1.00,7.00,6.00,5.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3119530,3.00,6.00,3.00,5.00,6.00,6.25,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3119548,3.00,1.00,1.00,3.00,0.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3119556,5.00,2.00,4.00,6.00,2.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3119564,5.00,6.00,6.00,8.00,8.00,5.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3119572,4.00,6.00,7.00,6.00,5.00,6.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3119599,7.00,6.00,6.00,10.00,8.00,6.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3119602,3.00,4.00,2.00,5.00,6.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3119610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3119629,5.00,3.00,2.00,4.00,5.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3119637,2.00,7.00,6.00,3.00,7.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3119645,5.00,0.00,3.00,5.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3119688,5.00,5.00,2.00,9.00,4.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3119696,4.00,6.00,3.00,3.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3119700,3.00,4.00,4.00,3.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3119718,5.00,4.00,6.00,1.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3119726,3.00,5.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3119734,5.00,4.00,1.00,5.00,4.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3119742,4.00,6.00,4.00,8.00,7.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3119750,5.00,6.00,2.00,7.00,6.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3119769,4.00,4.00,1.00,0.00,4.00,5.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3119777,4.00,4.00,2.00,6.00,4.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3119793,3.00,1.00,2.00,1.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3119807,3.00,3.00,1.00,3.00,5.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3119815,7.00,6.00,6.00,5.00,8.00,5.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3119823,5.00,4.00,1.00,4.00,5.00,6.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3119831,5.00,6.00,4.00,6.00,6.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3119858,2.00,5.00,2.00,8.00,5.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3119866,3.00,5.00,1.00,2.00,5.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3119874,8.00,9.00,5.00,6.00,6.00,5.50,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3119882,4.00,3.00,4.00,2.00,6.00,5.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3119890,5.00,5.00,5.00,5.00,5.00,6.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3119904,4.00,1.00,2.00,0.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3119912,7.00,5.00,4.00,9.00,8.00,6.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3119920,2.00,4.00,1.00,5.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3119939,6.00,5.00,4.00,5.00,7.00,4.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3119947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3119955,6.00,6.00,6.00,6.00,7.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3119963,9.00,9.00,7.00,7.00,8.00,7.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3119971,3.00,1.00,2.00,4.00,7.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3119980,6.00,5.00,1.00,6.00,5.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3119998,4.00,5.00,3.00,8.00,6.00,6.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3120007,5.00,6.00,3.00,6.00,5.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3120015,5.00,6.00,2.00,4.00,4.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3120023,4.00,8.00,5.00,9.00,8.00,5.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3120031,4.00,4.00,3.00,6.00,4.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3120074,6.00,6.00,6.00,8.00,6.00,6.00,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3120082,2.00,5.00,2.00,4.00,4.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3120090,3.00,4.00,4.00,6.00,5.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3120104,7.00,7.00,2.00,6.00,6.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3120112,3.00,7.00,3.00,8.00,6.00,5.00,3.00,6.00,7.00,NULL,NULL,NULL,'N');
INSERT INTO ponto_candidato VALUES (16,3120120,8.00,5.00,7.00,7.00,8.00,6.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3120139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3120147,5.00,7.00,2.00,7.00,5.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3120163,5.00,3.00,3.00,5.00,6.00,4.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3120171,3.00,4.00,2.00,4.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3120180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3120198,4.00,3.00,1.00,1.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3120201,9.00,8.00,8.00,8.00,8.00,7.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3120210,2.00,2.00,1.00,4.00,0.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3120228,5.00,6.00,6.00,8.00,8.00,6.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3120236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3120260,8.00,9.00,4.00,5.00,7.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3120279,4.00,3.00,4.00,5.00,6.00,5.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3120287,7.00,7.00,4.00,6.00,7.00,5.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3120295,4.00,4.00,7.00,9.00,6.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3120309,6.00,5.00,2.00,8.00,6.00,4.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3120317,5.00,6.00,2.00,5.00,5.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3120325,6.00,6.00,3.00,9.00,6.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3120333,2.00,3.00,1.00,5.00,5.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3120341,3.00,2.00,1.00,4.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3120350,5.00,5.00,4.00,4.00,6.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3120368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3120376,3.00,4.00,5.00,8.00,4.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3120384,3.00,5.00,5.00,6.00,5.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3120392,8.00,5.00,1.00,5.00,6.00,6.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3120406,7.00,5.00,2.00,2.00,7.00,5.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3120414,3.00,3.00,5.00,4.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3120430,5.00,5.00,4.00,3.00,4.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3120449,7.00,4.00,3.00,7.00,5.00,4.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3120457,6.00,6.00,6.00,8.00,6.00,6.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3120465,4.00,3.00,1.00,0.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3120473,4.00,6.00,1.00,4.00,1.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'S'),(16,3120481,7.00,5.00,6.00,8.00,8.00,5.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3120490,5.00,4.00,3.00,8.00,4.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3120503,2.00,1.00,2.00,1.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3120511,6.00,6.00,5.00,0.00,6.00,5.50,5.00,1.00,6.00,NULL,NULL,NULL,'N'),(16,3120538,8.00,7.00,6.00,9.00,6.00,6.25,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3120546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3120554,4.00,5.00,4.00,6.00,6.00,5.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3120562,8.00,5.00,3.00,9.00,7.00,7.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3120570,5.00,5.00,4.00,6.00,5.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3120589,5.00,4.00,3.00,1.00,5.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3120597,4.00,5.00,2.00,6.00,8.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3120600,5.00,5.00,3.00,3.00,6.00,5.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3120619,3.00,3.00,2.00,1.00,4.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3120627,3.00,4.00,4.00,5.00,4.00,6.00,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3120635,3.00,6.00,4.00,6.00,4.00,5.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3120643,3.00,2.00,1.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3120651,7.00,8.00,5.00,6.00,5.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3120660,5.00,2.00,7.00,7.00,5.00,5.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3120686,4.00,7.00,3.00,7.00,6.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3120694,2.00,6.00,3.00,8.00,3.00,NULL,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3120708,6.00,8.00,1.00,8.00,8.00,6.75,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3120716,3.00,4.00,4.00,3.00,5.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3120724,6.00,7.00,2.00,8.00,6.00,6.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3120732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3120759,2.00,5.00,3.00,6.00,5.00,6.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3120767,6.00,8.00,7.00,7.00,4.00,7.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3120775,5.00,5.00,3.00,8.00,6.00,5.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3120783,9.00,8.00,8.00,7.00,8.00,5.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3120805,5.00,6.00,2.00,3.00,5.00,5.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3120821,5.00,3.00,4.00,4.00,7.00,5.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3120830,7.00,6.00,6.00,8.00,5.00,6.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3120864,5.00,4.00,1.00,3.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3120872,4.00,3.00,1.00,8.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3120880,5.00,7.00,4.00,8.00,6.00,5.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3120899,4.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3120902,4.00,4.00,3.00,2.00,5.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3120910,8.00,8.00,5.00,8.00,8.00,8.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3120929,6.00,6.00,5.00,9.00,7.00,6.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3120945,2.00,5.00,1.00,8.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3120961,5.00,7.00,4.00,6.00,5.00,5.50,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3120970,4.00,3.00,3.00,8.00,6.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3120996,4.00,6.00,2.00,6.00,5.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3121003,4.00,5.00,5.00,7.00,2.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3121011,4.00,4.00,1.00,3.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3121020,3.00,4.00,3.00,5.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3121038,5.00,4.00,3.00,9.00,5.00,5.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3121046,5.00,5.00,4.00,8.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3121054,6.00,7.00,5.00,7.00,5.00,6.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3121062,4.00,4.00,5.00,3.00,4.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3121070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3121097,4.00,5.00,2.00,2.00,4.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3121100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3121119,2.00,4.00,2.00,3.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3121135,2.00,5.00,3.00,3.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3121143,6.00,6.00,6.00,8.00,6.00,5.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3121151,7.00,4.00,4.00,4.00,5.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3121178,6.00,4.00,4.00,7.00,7.00,7.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3121186,4.00,5.00,5.00,7.00,6.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3121194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3121208,7.00,8.00,8.00,8.00,6.00,6.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3121216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3121224,3.00,6.00,4.00,5.00,2.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3121232,4.00,5.00,4.00,9.00,5.00,6.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3121240,5.00,6.00,6.00,7.00,7.00,6.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3121259,5.00,7.00,4.00,8.00,9.00,5.25,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3121267,5.00,6.00,3.00,3.00,4.00,4.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3121275,6.00,8.00,4.00,1.00,6.00,6.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3121283,6.00,8.00,1.00,5.00,4.00,6.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3121291,3.00,3.00,1.00,3.00,4.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3121305,2.00,7.00,1.00,8.00,5.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3121313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3121321,4.00,6.00,5.00,7.00,7.00,7.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3121348,6.00,7.00,6.00,8.00,7.00,5.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3121356,4.00,4.00,2.00,5.00,5.00,5.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3121364,3.00,3.00,2.00,4.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3121372,4.00,3.00,3.00,5.00,5.00,6.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3121399,5.00,4.00,2.00,6.00,5.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3121402,3.00,3.00,5.00,6.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3121429,5.00,6.00,4.00,5.00,5.00,6.25,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3121437,2.00,2.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3121445,4.00,2.00,2.00,9.00,5.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3121461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3121500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3121518,2.00,6.00,2.00,7.00,6.00,5.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3121526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3121534,6.00,5.00,4.00,9.00,7.00,6.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3121542,4.00,2.00,4.00,5.00,5.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3121550,5.00,7.00,6.00,10.00,8.00,6.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3121569,6.00,6.00,5.00,7.00,5.00,7.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3121577,9.00,9.00,7.00,8.00,7.00,6.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3121585,6.00,5.00,4.00,4.00,6.00,5.25,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3121593,6.00,7.00,3.00,6.00,6.00,5.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3121607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3121615,6.00,4.00,6.00,8.00,5.00,6.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3121623,0.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3121631,4.00,3.00,4.00,9.00,4.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3121640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3121658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3121674,2.00,2.00,2.00,4.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3121682,2.00,3.00,2.00,5.00,4.00,5.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3121690,4.00,6.00,2.00,6.00,4.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3121704,6.00,6.00,5.00,8.00,4.00,5.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3121712,4.00,2.00,4.00,4.00,5.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3121720,3.00,3.00,2.00,7.00,6.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3121747,6.00,6.00,4.00,9.00,6.00,5.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3121755,4.00,5.00,3.00,5.00,5.00,6.00,0.00,5.00,7.00,NULL,NULL,NULL,'S'),(16,3121763,2.00,5.00,4.00,0.00,4.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3121771,6.00,4.00,5.00,6.00,6.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3121780,3.00,1.00,1.00,2.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3121798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3121801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3121810,5.00,5.00,4.00,7.00,7.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3121828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3121836,7.00,4.00,5.00,7.00,4.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3121844,2.00,3.00,4.00,3.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(16,3121852,7.00,2.00,4.00,2.00,0.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3121860,7.00,2.00,2.00,6.00,2.00,NULL,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3121879,4.00,4.00,6.00,8.00,5.00,5.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3121887,7.00,7.00,7.00,7.00,6.00,5.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3121909,4.00,4.00,2.00,1.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3121917,4.00,5.00,2.00,7.00,6.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3121925,0.00,0.00,0.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3121933,4.00,4.00,3.00,6.00,5.00,4.75,2.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3121941,6.00,6.00,2.00,8.00,6.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3121950,6.00,6.00,3.00,4.00,5.00,4.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3121968,6.00,6.00,3.00,8.00,6.00,5.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3121976,7.00,7.00,4.00,8.00,6.00,7.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3121984,4.00,5.00,7.00,5.00,4.00,6.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3121992,4.00,4.00,5.00,8.00,4.00,5.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3122000,1.00,4.00,3.00,8.00,4.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3122018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3122034,3.00,1.00,3.00,3.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3122042,5.00,4.00,4.00,8.00,6.00,6.50,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3122050,4.00,1.00,1.00,6.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3122069,3.00,3.00,2.00,4.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3122085,6.00,4.00,4.00,6.00,4.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3122093,6.00,6.00,5.00,7.00,6.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3122107,3.00,8.00,3.00,3.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3122115,3.00,5.00,4.00,5.00,6.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3122123,6.00,6.00,6.00,9.00,8.00,6.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3122140,5.00,3.00,3.00,4.00,5.00,5.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3122174,2.00,5.00,3.00,7.00,5.00,5.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3122212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3122220,3.00,4.00,1.00,7.00,5.00,NULL,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3122239,6.00,3.00,3.00,7.00,6.00,5.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3122247,4.00,4.00,2.00,4.00,7.00,5.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3122255,9.00,6.00,6.00,8.00,8.00,6.50,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3122263,4.00,3.00,1.00,6.00,4.00,5.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3122271,7.00,6.00,3.00,3.00,7.00,4.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3122280,1.00,6.00,5.00,5.00,7.00,6.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3122301,4.00,4.00,3.00,3.00,5.00,5.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3122310,5.00,7.00,3.00,5.00,7.00,5.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3122344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3122379,4.00,5.00,1.00,5.00,4.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3122387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3122395,3.00,4.00,3.00,6.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3122409,5.00,6.00,2.00,5.00,4.00,5.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3122417,6.00,7.00,5.00,8.00,8.00,5.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3122425,8.00,8.00,5.00,5.00,6.00,6.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3122433,4.00,9.00,6.00,7.00,7.00,5.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3122441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3122476,4.00,5.00,2.00,2.00,5.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3122484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3122492,5.00,5.00,3.00,8.00,7.00,7.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3122506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3122514,5.00,4.00,3.00,5.00,4.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3122522,2.00,2.00,3.00,5.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3122530,6.00,4.00,5.00,6.00,3.00,NULL,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3122549,4.00,6.00,2.00,4.00,6.00,5.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3122557,6.00,5.00,3.00,8.00,6.00,6.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3122565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3122573,3.00,5.00,3.00,2.00,4.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3122581,5.00,5.00,2.00,3.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3122590,4.00,1.00,4.00,3.00,6.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3122662,7.00,8.00,6.00,7.00,6.00,5.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3122670,3.00,2.00,3.00,2.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3122689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3122700,9.00,7.00,6.00,6.00,5.00,5.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3122719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3122743,1.00,1.00,3.00,6.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3122751,5.00,8.00,5.00,9.00,7.00,4.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3122760,2.00,6.00,4.00,4.00,4.00,5.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3122778,5.00,8.00,6.00,7.00,7.00,6.25,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3122786,4.00,6.00,3.00,6.00,6.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3122808,9.00,6.00,8.00,9.00,7.00,7.25,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3122816,3.00,0.00,3.00,2.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3122824,6.00,8.00,6.00,9.00,7.00,5.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3122832,2.00,3.00,2.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3122840,5.00,3.00,2.00,7.00,5.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3122859,3.00,5.00,3.00,2.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3122867,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3122875,3.00,5.00,5.00,1.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3122883,6.00,8.00,7.00,8.00,8.00,6.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3122905,3.00,2.00,1.00,3.00,0.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3122913,5.00,5.00,4.00,5.00,4.00,4.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3122921,6.00,3.00,1.00,3.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3122930,1.00,3.00,1.00,3.00,2.00,NULL,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3122956,4.00,6.00,2.00,7.00,4.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3122972,5.00,9.00,3.00,9.00,6.00,7.50,3.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3122980,4.00,4.00,4.00,5.00,5.00,6.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3122999,6.00,4.00,2.00,3.00,3.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3123006,3.00,4.00,3.00,2.00,5.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3123014,6.00,7.00,5.00,7.00,6.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3123022,9.00,9.00,9.00,8.00,8.00,7.75,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3123030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3123049,3.00,6.00,3.00,2.00,5.00,3.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3123057,5.00,4.00,5.00,7.00,7.00,6.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3123065,4.00,4.00,3.00,4.00,4.00,5.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3123073,4.00,4.00,1.00,3.00,7.00,6.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3123111,3.00,5.00,5.00,8.00,6.00,4.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3123138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3123146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3123154,7.00,5.00,6.00,8.00,4.00,4.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3123162,8.00,5.00,6.00,6.00,6.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3123189,8.00,8.00,5.00,7.00,5.00,6.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3123197,2.00,5.00,3.00,5.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3123200,7.00,8.00,6.00,8.00,7.00,4.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3123219,6.00,3.00,4.00,7.00,5.00,4.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3123227,4.00,6.00,2.00,1.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3123235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3123243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3123251,2.00,2.00,2.00,6.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3123260,4.00,6.00,5.00,8.00,5.00,4.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3123278,3.00,5.00,2.00,5.00,4.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3123286,5.00,4.00,4.00,7.00,5.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3123294,6.00,1.00,2.00,7.00,4.00,4.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3123316,1.00,2.00,3.00,2.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3123324,6.00,5.00,4.00,6.00,8.00,6.25,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3123332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3123340,6.00,6.00,3.00,6.00,6.00,6.00,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3123359,2.00,4.00,1.00,2.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3123375,2.00,5.00,5.00,9.00,5.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3123383,3.00,5.00,1.00,4.00,4.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3123391,5.00,4.00,2.00,6.00,3.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3123405,5.00,6.00,4.00,7.00,6.00,4.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3123421,6.00,7.00,5.00,6.00,5.00,6.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3123430,7.00,7.00,6.00,8.00,6.00,5.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3123448,5.00,6.00,2.00,4.00,8.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3123456,4.00,4.00,3.00,6.00,5.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3123464,6.00,6.00,6.00,6.00,7.00,5.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3123472,5.00,4.00,1.00,9.00,5.00,5.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3123480,6.00,8.00,4.00,5.00,3.00,NULL,4.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3123499,3.00,3.00,3.00,6.00,5.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3123502,5.00,5.00,5.00,3.00,6.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3123529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3123537,4.00,6.00,7.00,8.00,7.00,5.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3123561,5.00,8.00,3.00,8.00,5.00,7.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3123570,3.00,5.00,5.00,7.00,5.00,5.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3123588,8.00,6.00,4.00,8.00,7.00,6.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3123596,7.00,5.00,6.00,8.00,4.00,6.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3123600,2.00,3.00,4.00,4.00,2.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3123618,4.00,2.00,4.00,2.00,3.00,NULL,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3123626,1.00,2.00,2.00,1.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3123634,4.00,4.00,1.00,5.00,4.00,6.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3123642,4.00,0.00,5.00,2.00,1.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3123650,3.00,5.00,4.00,6.00,4.00,4.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3123677,7.00,7.00,8.00,8.00,6.00,6.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3123685,2.00,2.00,2.00,3.00,4.00,4.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3123693,2.00,2.00,2.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3123715,4.00,3.00,6.00,3.00,5.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3123723,5.00,8.00,3.00,7.00,7.00,6.50,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3123731,9.00,6.00,4.00,8.00,4.00,5.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3123740,3.00,2.00,1.00,4.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3123758,9.00,9.00,6.00,8.00,8.00,5.75,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3123766,4.00,3.00,4.00,7.00,5.00,4.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3123774,2.00,2.00,1.00,2.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3123782,4.00,3.00,4.00,3.00,4.00,4.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3123790,6.00,8.00,5.00,7.00,7.00,5.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3123804,6.00,6.00,3.00,3.00,5.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3123820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3123839,7.00,5.00,5.00,7.00,6.00,5.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3123847,7.00,9.00,6.00,7.00,6.00,5.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3123855,5.00,9.00,3.00,5.00,7.00,7.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3123863,6.00,4.00,6.00,9.00,4.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3123871,3.00,5.00,1.00,7.00,7.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3123880,9.00,8.00,4.00,6.00,4.00,6.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3123901,7.00,5.00,3.00,8.00,8.00,6.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3123910,5.00,3.00,2.00,2.00,4.00,6.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3123936,5.00,6.00,8.00,3.00,6.00,5.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3123944,2.00,3.00,2.00,2.00,2.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3123952,4.00,3.00,3.00,7.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3123960,9.00,8.00,6.00,9.00,8.00,7.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3123979,2.00,2.00,2.00,2.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3123995,3.00,4.00,4.00,2.00,6.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3124002,3.00,3.00,2.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3124010,5.00,4.00,3.00,5.00,4.00,4.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3124029,5.00,2.00,1.00,1.00,4.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3124037,4.00,9.00,6.00,9.00,7.00,5.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3124045,8.00,5.00,5.00,8.00,3.00,NULL,4.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3124053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3124061,3.00,3.00,3.00,6.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3124070,5.00,3.00,4.00,6.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3124088,4.00,4.00,3.00,8.00,5.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3124096,3.00,2.00,5.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3124100,2.00,5.00,3.00,8.00,6.00,5.75,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3124118,1.00,3.00,1.00,3.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3124134,5.00,4.00,3.00,8.00,4.00,4.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3124142,4.00,4.00,3.00,6.00,5.00,4.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3124150,7.00,6.00,3.00,7.00,6.00,8.00,2.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3124177,2.00,0.00,2.00,0.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3124185,4.00,3.00,7.00,6.00,6.00,6.00,5.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3124193,4.00,7.00,4.00,9.00,4.00,4.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3124223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3124240,1.00,2.00,3.00,6.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3124258,7.00,5.00,5.00,8.00,7.00,6.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3124266,1.00,4.00,1.00,1.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3124282,8.00,7.00,7.00,9.00,7.00,6.50,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3124290,2.00,5.00,3.00,2.00,4.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3124304,3.00,5.00,3.00,7.00,4.00,4.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3124312,2.00,2.00,3.00,0.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3124320,4.00,4.00,3.00,5.00,6.00,6.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3124347,4.00,5.00,3.00,5.00,5.00,0.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3124355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3124371,7.00,7.00,6.00,8.00,9.00,7.25,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3124380,1.00,3.00,3.00,6.00,2.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3124398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3124401,5.00,3.00,2.00,6.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3124410,7.00,7.00,9.00,8.00,6.00,6.50,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3124428,2.00,6.00,3.00,9.00,7.00,6.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3124436,4.00,6.00,4.00,9.00,7.00,6.75,5.00,9.00,5.00,NULL,NULL,NULL,'S'),(16,3124452,6.00,4.00,4.00,4.00,6.00,5.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3124460,5.00,4.00,2.00,7.00,5.00,5.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3124479,3.00,5.00,1.00,8.00,6.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3124487,4.00,4.00,3.00,9.00,6.00,7.75,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3124495,4.00,3.00,3.00,3.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3124509,3.00,2.00,2.00,4.00,3.00,NULL,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3124517,4.00,3.00,3.00,0.00,0.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3124525,6.00,7.00,6.00,5.00,8.00,5.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3124533,4.00,4.00,1.00,2.00,7.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3124550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3124568,4.00,4.00,2.00,5.00,1.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3124576,6.00,7.00,3.00,2.00,4.00,4.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3124584,4.00,2.00,3.00,6.00,5.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3124606,4.00,2.00,3.00,5.00,5.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3124614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3124622,8.00,5.00,5.00,8.00,7.00,6.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3124630,6.00,6.00,5.00,7.00,6.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3124649,2.00,0.00,5.00,6.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3124673,3.00,4.00,4.00,7.00,3.00,NULL,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3124690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3124703,6.00,5.00,4.00,7.00,7.00,6.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3124711,5.00,5.00,4.00,8.00,5.00,5.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3124720,6.00,7.00,4.00,7.00,6.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3124738,6.00,7.00,5.00,8.00,8.00,5.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3124746,7.00,7.00,3.00,7.00,5.00,6.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3124754,9.00,8.00,8.00,4.00,6.00,6.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3124762,8.00,8.00,5.00,7.00,8.00,5.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3124770,4.00,1.00,4.00,3.00,4.00,3.25,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3124789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3124797,3.00,6.00,1.00,3.00,4.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3124800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3124819,5.00,3.00,2.00,5.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3124835,1.00,2.00,4.00,3.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3124843,8.00,7.00,8.00,8.00,6.00,8.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3124851,6.00,6.00,5.00,4.00,5.00,7.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3124860,5.00,4.00,6.00,6.00,4.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3124878,5.00,7.00,1.00,7.00,2.00,NULL,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3124886,6.00,4.00,5.00,5.00,6.00,6.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3124894,8.00,9.00,7.00,7.00,8.00,5.25,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(16,3124908,5.00,6.00,6.00,5.00,6.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3124924,4.00,2.00,2.00,8.00,4.00,6.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3124932,8.00,6.00,8.00,6.00,6.00,4.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3124940,2.00,5.00,1.00,2.00,4.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3124959,4.00,7.00,2.00,4.00,6.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3124975,6.00,4.00,6.00,8.00,5.00,5.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3124983,4.00,1.00,1.00,7.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3124991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3125009,7.00,6.00,4.00,9.00,6.00,4.50,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3125017,2.00,5.00,4.00,5.00,6.00,5.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3125025,4.00,3.00,1.00,5.00,5.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3125033,5.00,5.00,2.00,4.00,4.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3125041,4.00,3.00,4.00,0.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3125050,7.00,8.00,5.00,9.00,7.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3125076,9.00,8.00,6.00,10.00,7.00,6.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3125084,6.00,5.00,2.00,7.00,6.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3125092,3.00,2.00,4.00,4.00,6.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3125106,2.00,5.00,1.00,6.00,1.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3125114,2.00,6.00,4.00,8.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3125122,7.00,8.00,6.00,8.00,7.00,6.00,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3125130,7.00,6.00,7.00,8.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3125149,2.00,4.00,2.00,5.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3125165,2.00,3.00,4.00,4.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3125173,2.00,2.00,1.00,1.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3125181,9.00,7.00,3.00,8.00,7.00,6.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3125203,9.00,8.00,6.00,8.00,7.00,7.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3125211,7.00,5.00,4.00,7.00,6.00,5.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3125220,6.00,4.00,5.00,5.00,5.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3125246,6.00,3.00,5.00,4.00,5.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3125254,3.00,3.00,5.00,2.00,6.00,4.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3125270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3125297,2.00,3.00,3.00,1.00,1.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3125319,5.00,3.00,3.00,1.00,6.00,6.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3125327,2.00,1.00,2.00,7.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3125360,7.00,8.00,6.00,7.00,7.00,7.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3125378,3.00,0.00,3.00,6.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3125386,3.00,4.00,5.00,6.00,5.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3125394,5.00,3.00,2.00,7.00,5.00,4.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3125408,4.00,5.00,1.00,7.00,4.00,6.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3125416,7.00,7.00,5.00,8.00,8.00,4.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3125424,6.00,7.00,5.00,8.00,5.00,0.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3125432,5.00,4.00,3.00,7.00,1.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3125440,2.00,5.00,4.00,1.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3125459,5.00,4.00,3.00,9.00,4.00,6.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3125467,4.00,0.00,2.00,3.00,3.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3125475,6.00,9.00,5.00,7.00,7.00,6.50,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3125483,8.00,7.00,5.00,9.00,6.00,5.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3125491,2.00,4.00,3.00,6.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3125505,4.00,8.00,6.00,1.00,3.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3125513,4.00,3.00,1.00,8.00,3.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3125521,5.00,6.00,4.00,7.00,5.00,4.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3125530,5.00,5.00,2.00,7.00,7.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3125548,3.00,4.00,1.00,5.00,4.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3125556,1.00,4.00,3.00,8.00,7.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3125572,3.00,5.00,3.00,8.00,5.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3125580,2.00,0.00,2.00,7.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3125599,3.00,7.00,2.00,8.00,6.00,5.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3125602,3.00,3.00,4.00,3.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3125610,4.00,2.00,2.00,5.00,2.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3125629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3125653,5.00,3.00,4.00,1.00,5.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3125661,4.00,4.00,2.00,8.00,5.00,6.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3125670,4.00,6.00,2.00,7.00,5.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3125688,5.00,6.00,3.00,6.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3125700,4.00,3.00,4.00,1.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3125718,4.00,3.00,4.00,8.00,5.00,6.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3125726,4.00,3.00,2.00,7.00,2.00,NULL,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3125734,5.00,8.00,3.00,2.00,6.00,5.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3125742,4.00,0.00,3.00,5.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3125750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3125769,7.00,7.00,4.00,7.00,5.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3125777,5.00,7.00,3.00,6.00,6.00,5.25,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3125785,3.00,3.00,4.00,7.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3125793,7.00,7.00,5.00,7.00,6.00,6.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3125807,4.00,3.00,4.00,4.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3125823,6.00,7.00,3.00,5.00,6.00,6.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3125831,4.00,1.00,3.00,8.00,6.00,6.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3125840,3.00,4.00,2.00,5.00,4.00,4.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3125858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3125866,3.00,4.00,2.00,4.00,5.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3125874,1.00,6.00,2.00,9.00,4.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3125882,0.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3125890,6.00,7.00,1.00,8.00,7.00,5.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3125904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3125920,3.00,2.00,2.00,3.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3125939,4.00,3.00,3.00,1.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3125947,3.00,1.00,2.00,4.00,0.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3125955,4.00,5.00,1.00,7.00,4.00,NULL,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3125963,7.00,6.00,5.00,8.00,8.00,6.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3126013,2.00,1.00,1.00,0.00,0.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3126030,5.00,4.00,1.00,5.00,4.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3126048,5.00,5.00,3.00,7.00,7.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3126056,7.00,4.00,2.00,3.00,7.00,6.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3126064,4.00,1.00,3.00,2.00,3.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3126072,6.00,8.00,6.00,8.00,7.00,6.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3126099,4.00,3.00,3.00,4.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3126102,1.00,4.00,3.00,6.00,4.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3126137,7.00,9.00,7.00,8.00,7.00,7.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3126145,4.00,5.00,3.00,8.00,5.00,4.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3126153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3126170,3.00,2.00,2.00,3.00,0.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3126188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3126196,6.00,7.00,6.00,7.00,6.00,5.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3126218,5.00,2.00,3.00,3.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3126234,5.00,2.00,2.00,7.00,6.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3126250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3126285,2.00,3.00,3.00,5.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3126293,8.00,6.00,6.00,6.00,6.00,7.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3126307,8.00,5.00,4.00,8.00,7.00,4.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3126315,6.00,6.00,4.00,4.00,6.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3126323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3126331,5.00,7.00,6.00,5.00,6.00,5.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3126340,5.00,4.00,2.00,6.00,3.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3126374,6.00,5.00,3.00,4.00,7.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3126382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3126390,3.00,3.00,2.00,3.00,4.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3126404,5.00,4.00,4.00,7.00,4.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3126412,5.00,6.00,2.00,9.00,7.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3126420,7.00,8.00,9.00,9.00,8.00,8.50,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3126439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3126447,4.00,3.00,2.00,7.00,4.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3126455,3.00,3.00,2.00,4.00,5.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3126463,4.00,5.00,4.00,7.00,5.00,5.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3126471,4.00,1.00,2.00,5.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3126480,4.00,3.00,1.00,3.00,2.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3126501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3126510,8.00,7.00,5.00,7.00,7.00,5.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3126528,3.00,6.00,6.00,5.00,5.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3126536,4.00,6.00,1.00,7.00,4.00,4.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3126552,5.00,3.00,5.00,4.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3126560,3.00,4.00,2.00,6.00,6.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3126579,6.00,3.00,2.00,8.00,6.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3126587,0.00,3.00,1.00,4.00,2.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3126617,3.00,5.00,4.00,2.00,5.00,4.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3126625,4.00,7.00,4.00,4.00,6.00,7.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3126633,1.00,4.00,2.00,4.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3126641,5.00,3.00,5.00,7.00,5.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3126650,4.00,3.00,4.00,8.00,4.00,5.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3126668,7.00,6.00,7.00,6.00,5.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3126676,6.00,6.00,4.00,6.00,6.00,4.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3126684,2.00,4.00,1.00,3.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3126692,7.00,6.00,2.00,2.00,4.00,5.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3126706,4.00,3.00,2.00,0.00,2.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3126714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3126722,5.00,2.00,4.00,6.00,4.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3126730,2.00,7.00,3.00,7.00,4.00,8.00,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3126749,4.00,6.00,2.00,6.00,4.00,5.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3126757,4.00,3.00,3.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3126773,2.00,3.00,4.00,3.00,5.00,5.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3126781,5.00,4.00,4.00,8.00,6.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3126790,2.00,3.00,3.00,7.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3126803,5.00,5.00,2.00,9.00,6.00,7.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3126811,8.00,7.00,7.00,6.00,7.00,6.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3126820,5.00,5.00,4.00,7.00,6.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3126838,3.00,4.00,2.00,7.00,5.00,5.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3126846,6.00,6.00,5.00,8.00,6.00,5.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3126854,9.00,7.00,5.00,7.00,7.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3126862,2.00,1.00,4.00,6.00,5.00,5.25,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3126870,5.00,8.00,3.00,7.00,5.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3126889,6.00,5.00,3.00,9.00,6.00,4.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3126900,4.00,5.00,1.00,1.00,5.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3126919,5.00,8.00,5.00,8.00,7.00,6.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3126935,3.00,5.00,8.00,7.00,4.00,4.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3126943,7.00,9.00,2.00,7.00,7.00,7.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3126951,2.00,3.00,1.00,1.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3126960,5.00,2.00,1.00,5.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3126978,7.00,8.00,6.00,6.00,7.00,4.50,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3126986,3.00,5.00,2.00,4.00,4.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3126994,6.00,6.00,3.00,7.00,5.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3127001,5.00,3.00,8.00,1.00,3.00,NULL,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3127010,1.00,4.00,4.00,5.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3127028,3.00,7.00,6.00,7.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3127036,6.00,8.00,5.00,4.00,7.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3127044,8.00,7.00,4.00,7.00,8.00,5.00,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3127079,7.00,6.00,1.00,6.00,5.00,5.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3127095,6.00,4.00,3.00,6.00,5.00,5.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3127109,6.00,7.00,5.00,9.00,8.00,7.75,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3127117,4.00,5.00,3.00,7.00,6.00,6.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3127133,4.00,4.00,5.00,6.00,5.00,4.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3127141,7.00,7.00,4.00,7.00,6.00,8.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3127150,5.00,7.00,5.00,7.00,7.00,7.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3127168,4.00,2.00,3.00,2.00,1.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3127176,5.00,4.00,2.00,7.00,4.00,6.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3127192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3127206,7.00,6.00,4.00,7.00,5.00,7.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3127214,4.00,3.00,4.00,5.00,3.00,NULL,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3127222,4.00,3.00,4.00,7.00,6.00,5.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3127230,5.00,3.00,4.00,4.00,5.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3127249,6.00,2.00,4.00,6.00,4.00,4.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3127265,4.00,5.00,1.00,3.00,5.00,6.50,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3127273,4.00,4.00,3.00,7.00,5.00,6.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3127281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3127290,2.00,3.00,4.00,2.00,2.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3127311,4.00,4.00,1.00,4.00,5.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3127320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3127346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3127354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3127362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3127370,9.00,8.00,8.00,8.00,7.00,6.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3127389,4.00,4.00,2.00,5.00,6.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3127397,3.00,0.00,1.00,1.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3127400,5.00,4.00,4.00,4.00,6.00,7.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3127419,3.00,3.00,2.00,5.00,4.00,7.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3127427,4.00,5.00,3.00,8.00,4.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3127435,3.00,6.00,3.00,5.00,4.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3127443,2.00,6.00,2.00,4.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3127451,8.00,8.00,4.00,6.00,5.00,6.25,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3127478,6.00,5.00,4.00,6.00,6.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3127486,5.00,1.00,2.00,9.00,6.00,6.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3127494,4.00,5.00,3.00,6.00,4.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3127508,3.00,6.00,1.00,6.00,1.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3127516,6.00,5.00,4.00,6.00,6.00,6.75,2.00,6.00,6.00,NULL,NULL,NULL,'S'),(16,3127524,8.00,5.00,4.00,3.00,5.00,4.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3127540,4.00,3.00,3.00,8.00,5.00,4.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3127559,4.00,4.00,5.00,7.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3127567,9.00,7.00,4.00,9.00,7.00,6.00,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3127575,5.00,7.00,6.00,9.00,8.00,7.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3127583,6.00,4.00,1.00,5.00,4.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3127621,8.00,7.00,3.00,7.00,4.00,4.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3127630,6.00,5.00,2.00,8.00,7.00,4.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3127648,3.00,5.00,1.00,3.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3127656,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3127664,3.00,5.00,2.00,9.00,7.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3127672,1.00,2.00,1.00,1.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3127680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3127699,7.00,6.00,6.00,6.00,7.00,6.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3127702,8.00,7.00,5.00,7.00,7.00,7.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3127710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3127729,5.00,8.00,8.00,8.00,5.00,6.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3127737,5.00,5.00,5.00,8.00,6.00,8.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3127745,6.00,4.00,2.00,2.00,4.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3127753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3127761,6.00,5.00,6.00,4.00,4.00,5.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3127770,4.00,4.00,3.00,2.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3127788,1.00,0.00,3.00,4.00,4.00,NULL,0.00,0.00,5.00,NULL,NULL,NULL,'N'),(16,3127796,4.00,2.00,2.00,2.00,5.00,3.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3127800,4.00,2.00,1.00,4.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3127818,8.00,6.00,4.00,9.00,9.00,6.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3127826,2.00,3.00,3.00,4.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3127834,4.00,7.00,6.00,5.00,5.00,7.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3127842,4.00,2.00,3.00,7.00,4.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3127850,6.00,7.00,5.00,3.00,7.00,7.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3127869,6.00,9.00,2.00,4.00,7.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3127877,8.00,7.00,4.00,7.00,7.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3127885,2.00,5.00,5.00,8.00,5.00,7.50,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3127893,6.00,8.00,4.00,7.00,5.00,5.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3127907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3127915,4.00,1.00,2.00,2.00,5.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3127923,5.00,5.00,5.00,8.00,6.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3127931,3.00,7.00,3.00,7.00,6.00,6.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3127940,4.00,3.00,2.00,6.00,3.00,NULL,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3127958,5.00,6.00,3.00,6.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3127966,2.00,3.00,3.00,4.00,4.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3127974,4.00,5.00,4.00,5.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3127982,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3127990,7.00,7.00,5.00,7.00,5.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3128008,7.00,6.00,6.00,8.00,6.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3128016,4.00,0.00,1.00,2.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3128024,8.00,7.00,5.00,7.00,6.00,7.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3128032,4.00,6.00,3.00,9.00,6.00,6.00,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3128040,2.00,6.00,2.00,7.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3128059,1.00,3.00,3.00,6.00,2.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3128067,5.00,5.00,2.00,3.00,6.00,4.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3128075,4.00,6.00,2.00,8.00,6.00,6.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3128083,3.00,5.00,3.00,5.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3128091,3.00,3.00,4.00,8.00,6.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3128105,9.00,9.00,9.00,8.00,7.00,7.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3128113,7.00,7.00,7.00,8.00,6.00,5.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3128121,5.00,8.00,6.00,6.00,6.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3128130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3128148,6.00,5.00,1.00,8.00,5.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3128156,6.00,7.00,3.00,6.00,5.00,5.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3128164,3.00,7.00,4.00,9.00,9.00,5.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3128172,7.00,4.00,2.00,5.00,6.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3128180,4.00,4.00,5.00,4.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3128199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3128202,7.00,5.00,3.00,6.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3128210,3.00,6.00,4.00,4.00,4.00,5.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3128237,4.00,5.00,5.00,9.00,6.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3128245,6.00,2.00,2.00,5.00,4.00,4.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3128253,6.00,6.00,7.00,8.00,6.00,5.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3128261,2.00,1.00,4.00,6.00,4.00,6.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3128270,3.00,4.00,4.00,3.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3128288,7.00,8.00,7.00,6.00,6.00,7.00,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3128296,4.00,5.00,3.00,6.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3128300,5.00,6.00,6.00,9.00,5.00,5.25,2.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3128318,7.00,7.00,6.00,8.00,6.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3128326,2.00,1.00,2.00,1.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3128342,5.00,5.00,4.00,6.00,5.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3128350,6.00,7.00,5.00,9.00,7.00,6.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3128369,2.00,1.00,1.00,2.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3128377,3.00,8.00,4.00,6.00,6.00,6.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3128385,3.00,0.00,2.00,2.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3128393,6.00,2.00,2.00,4.00,4.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3128407,4.00,4.00,2.00,8.00,7.00,7.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3128415,4.00,2.00,1.00,4.00,5.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3128423,4.00,1.00,2.00,8.00,7.00,4.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3128431,8.00,6.00,4.00,8.00,6.00,5.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3128440,4.00,7.00,2.00,5.00,5.00,5.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3128458,4.00,5.00,4.00,7.00,6.00,4.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3128474,7.00,3.00,2.00,0.00,3.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3128482,5.00,1.00,3.00,5.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3128490,4.00,5.00,1.00,4.00,4.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3128504,5.00,5.00,4.00,8.00,5.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3128512,5.00,8.00,4.00,5.00,6.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3128520,8.00,6.00,6.00,6.00,7.00,6.50,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3128539,3.00,1.00,1.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3128547,4.00,4.00,2.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3128555,5.00,6.00,3.00,6.00,6.00,5.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3128563,5.00,3.00,5.00,4.00,4.00,5.25,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3128580,3.00,6.00,2.00,5.00,4.00,4.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3128598,7.00,5.00,7.00,7.00,8.00,6.25,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3128601,4.00,3.00,5.00,2.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3128610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3128628,9.00,7.00,7.00,7.00,7.00,5.25,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3128636,6.00,5.00,3.00,3.00,5.00,5.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3128644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3128652,7.00,4.00,5.00,6.00,7.00,7.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3128660,4.00,6.00,5.00,8.00,5.00,5.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3128679,3.00,4.00,2.00,3.00,4.00,5.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3128709,5.00,5.00,3.00,8.00,5.00,5.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3128717,2.00,2.00,1.00,6.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3128725,4.00,1.00,1.00,1.00,1.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3128733,4.00,4.00,3.00,4.00,3.00,NULL,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3128741,5.00,4.00,3.00,6.00,3.00,NULL,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3128750,5.00,4.00,4.00,8.00,7.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3128768,0.00,5.00,3.00,9.00,4.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3128776,5.00,5.00,3.00,5.00,4.00,4.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3128784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3128792,4.00,4.00,1.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3128806,2.00,3.00,1.00,4.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3128814,3.00,4.00,4.00,6.00,5.00,5.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3128830,6.00,3.00,2.00,2.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3128849,4.00,5.00,4.00,8.00,4.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3128857,4.00,4.00,3.00,6.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3128873,7.00,3.00,2.00,7.00,6.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3128890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3128903,7.00,7.00,6.00,9.00,7.00,5.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3128911,3.00,3.00,3.00,7.00,3.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3128920,9.00,8.00,8.00,7.00,7.00,7.00,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3128946,4.00,2.00,3.00,8.00,7.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3128954,5.00,0.00,1.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3128962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3128970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3128989,4.00,5.00,2.00,2.00,4.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3128997,6.00,6.00,4.00,5.00,5.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3129012,5.00,6.00,4.00,7.00,5.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3129020,4.00,5.00,4.00,9.00,5.00,5.25,4.00,8.00,7.00,NULL,NULL,NULL,'S'),(16,3129039,6.00,8.00,6.00,8.00,7.00,7.00,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3129055,4.00,4.00,3.00,4.00,6.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3129071,4.00,6.00,4.00,8.00,5.00,8.75,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3129080,5.00,6.00,4.00,8.00,5.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3129098,7.00,7.00,6.00,9.00,5.00,6.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3129101,3.00,3.00,1.00,4.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'S'),(16,3129110,2.00,4.00,2.00,4.00,4.00,3.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3129128,3.00,4.00,4.00,8.00,6.00,5.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3129136,7.00,9.00,6.00,9.00,8.00,6.00,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3129144,8.00,8.00,6.00,8.00,8.00,5.75,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3129152,3.00,4.00,2.00,7.00,5.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3129160,7.00,7.00,6.00,8.00,6.00,6.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3129179,5.00,5.00,4.00,7.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3129187,5.00,6.00,2.00,6.00,5.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3129195,6.00,4.00,2.00,7.00,7.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3129209,4.00,2.00,2.00,4.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3129217,2.00,5.00,4.00,7.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3129225,6.00,7.00,4.00,8.00,5.00,6.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3129233,4.00,1.00,4.00,5.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3129250,5.00,4.00,1.00,6.00,4.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3129268,5.00,3.00,4.00,9.00,4.00,4.00,4.00,6.00,6.00,NULL,NULL,NULL,'S'),(16,3129292,7.00,9.00,6.00,8.00,7.00,7.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3129322,5.00,5.00,1.00,8.00,7.00,5.75,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3129330,3.00,6.00,4.00,5.00,5.00,4.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3129349,7.00,4.00,1.00,6.00,4.00,5.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3129365,7.00,8.00,5.00,7.00,6.00,6.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3129373,3.00,5.00,2.00,8.00,4.00,7.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3129381,5.00,6.00,3.00,3.00,6.00,5.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3129403,7.00,4.00,4.00,2.00,6.00,5.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3129411,7.00,6.00,6.00,4.00,5.00,4.75,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3129420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3129438,6.00,4.00,6.00,4.00,5.00,4.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3129454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3129470,9.00,7.00,5.00,6.00,6.00,5.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3129489,3.00,6.00,3.00,7.00,5.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3129497,8.00,7.00,6.00,9.00,7.00,4.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3129500,2.00,2.00,1.00,3.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3129519,6.00,7.00,2.00,6.00,8.00,5.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3129535,5.00,6.00,4.00,4.00,7.00,6.50,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3129543,9.00,6.00,5.00,8.00,7.00,6.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3129551,5.00,7.00,3.00,2.00,5.00,4.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3129560,7.00,3.00,4.00,7.00,5.00,6.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3129586,9.00,8.00,3.00,9.00,8.00,6.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3129594,5.00,2.00,1.00,2.00,3.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3129608,6.00,6.00,3.00,8.00,5.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3129616,4.00,5.00,2.00,8.00,6.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3129659,4.00,4.00,2.00,5.00,5.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3129667,3.00,4.00,5.00,7.00,5.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3129675,7.00,9.00,6.00,7.00,7.00,6.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3129683,4.00,6.00,2.00,9.00,6.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3129691,7.00,7.00,9.00,9.00,3.00,NULL,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3129705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3129713,4.00,6.00,4.00,7.00,6.00,6.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3129721,8.00,4.00,4.00,9.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3129730,5.00,3.00,4.00,5.00,4.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3129764,4.00,4.00,2.00,7.00,4.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3129772,1.00,3.00,1.00,6.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3129780,5.00,6.00,2.00,6.00,5.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3129799,2.00,4.00,4.00,5.00,5.00,4.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3129802,7.00,7.00,7.00,6.00,8.00,7.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3129810,7.00,4.00,5.00,6.00,3.00,NULL,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3129829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3129837,5.00,4.00,2.00,5.00,5.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3129845,2.00,4.00,1.00,7.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3129853,6.00,5.00,5.00,8.00,8.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3129861,5.00,2.00,1.00,1.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3129870,5.00,2.00,2.00,2.00,1.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3129888,4.00,6.00,3.00,7.00,6.00,3.25,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3129896,8.00,8.00,3.00,9.00,7.00,5.50,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3129900,4.00,4.00,4.00,8.00,4.00,5.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3129918,5.00,2.00,5.00,4.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3129926,5.00,5.00,2.00,8.00,9.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3129934,5.00,6.00,4.00,7.00,6.00,5.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3129969,8.00,8.00,5.00,9.00,8.00,6.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3129977,4.00,1.00,5.00,4.00,4.00,4.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3129985,4.00,2.00,3.00,6.00,4.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3129993,4.00,5.00,4.00,5.00,7.00,6.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3130002,4.00,6.00,4.00,8.00,7.00,5.75,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3130010,4.00,4.00,3.00,4.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3130029,3.00,6.00,5.00,1.00,4.00,4.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3130045,8.00,9.00,7.00,9.00,2.00,NULL,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3130053,1.00,4.00,3.00,9.00,4.00,4.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3130061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3130070,2.00,2.00,2.00,4.00,2.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3130096,8.00,8.00,6.00,8.00,7.00,6.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3130118,6.00,8.00,5.00,7.00,5.00,6.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3130126,1.00,4.00,5.00,6.00,5.00,5.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3130134,7.00,6.00,4.00,8.00,6.00,7.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3130142,4.00,5.00,3.00,7.00,5.00,6.50,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(16,3130150,4.00,4.00,3.00,0.00,2.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3130169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3130177,3.00,4.00,5.00,7.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3130185,4.00,6.00,5.00,6.00,6.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3130193,5.00,5.00,2.00,8.00,5.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3130215,4.00,5.00,1.00,3.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3130223,7.00,3.00,5.00,6.00,7.00,5.25,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3130231,9.00,9.00,8.00,9.00,6.00,7.25,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3130240,5.00,4.00,2.00,7.00,4.00,4.50,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3130258,0.00,0.00,0.00,7.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3130266,6.00,8.00,5.00,9.00,7.00,7.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3130274,3.00,6.00,4.00,8.00,3.00,NULL,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3130290,6.00,7.00,7.00,8.00,4.00,5.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3130312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3130320,5.00,8.00,7.00,8.00,7.00,7.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3130339,7.00,6.00,2.00,6.00,5.00,4.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3130347,5.00,6.00,2.00,1.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3130355,3.00,5.00,3.00,4.00,4.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3130363,9.00,9.00,6.00,8.00,9.00,6.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3130371,5.00,2.00,2.00,2.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3130380,6.00,3.00,3.00,7.00,6.00,5.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3130398,3.00,7.00,3.00,9.00,5.00,4.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3130401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3130410,0.00,2.00,3.00,3.00,1.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3130428,6.00,4.00,4.00,9.00,6.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3130436,5.00,6.00,4.00,3.00,7.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3130444,2.00,2.00,2.00,6.00,4.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3130460,2.00,2.00,2.00,0.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3130479,3.00,3.00,1.00,5.00,5.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3130487,8.00,8.00,3.00,8.00,7.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3130495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3130509,2.00,2.00,2.00,1.00,0.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3130533,8.00,6.00,4.00,8.00,6.00,6.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3130541,4.00,2.00,3.00,6.00,3.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3130550,9.00,7.00,7.00,5.00,7.00,5.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3130576,4.00,3.00,5.00,2.00,4.00,5.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3130584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3130592,2.00,7.00,5.00,7.00,6.00,6.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3130606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3130614,3.00,3.00,4.00,3.00,4.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3130622,6.00,7.00,2.00,8.00,7.00,5.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3130630,3.00,1.00,4.00,3.00,5.00,5.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3130649,7.00,6.00,7.00,9.00,6.00,4.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3130657,6.00,4.00,5.00,3.00,5.00,3.00,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3130665,4.00,2.00,2.00,5.00,5.00,4.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3130673,4.00,3.00,4.00,9.00,4.00,4.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3130681,7.00,5.00,4.00,7.00,5.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3130690,6.00,5.00,5.00,4.00,5.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3130711,4.00,5.00,5.00,8.00,5.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3130720,3.00,4.00,2.00,6.00,4.00,5.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3130738,3.00,2.00,4.00,5.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3130746,7.00,7.00,9.00,9.00,6.00,7.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3130754,8.00,4.00,3.00,6.00,4.00,4.00,2.00,8.00,2.00,NULL,NULL,NULL,'S'),(16,3130762,7.00,7.00,6.00,8.00,7.00,5.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3130770,4.00,1.00,2.00,6.00,6.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3130797,6.00,7.00,7.00,5.00,5.00,5.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3130800,6.00,6.00,6.00,8.00,6.00,5.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3130819,4.00,3.00,3.00,6.00,5.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3130827,4.00,4.00,3.00,6.00,5.00,6.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3130835,6.00,6.00,2.00,9.00,5.00,5.25,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3130843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3130851,3.00,5.00,1.00,8.00,5.00,5.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3130860,5.00,5.00,5.00,2.00,3.00,NULL,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3130878,7.00,6.00,4.00,5.00,5.00,7.25,4.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3130894,2.00,4.00,3.00,9.00,4.00,5.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3130908,3.00,3.00,2.00,5.00,2.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3130916,3.00,5.00,2.00,6.00,4.00,5.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3130932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3130940,6.00,6.00,5.00,6.00,4.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3130959,8.00,7.00,8.00,8.00,6.00,6.50,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3130967,8.00,7.00,6.00,9.00,7.00,6.75,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3130975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3130991,5.00,5.00,4.00,7.00,4.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3131009,7.00,7.00,4.00,9.00,6.00,6.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3131017,3.00,2.00,4.00,7.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3131041,8.00,8.00,7.00,5.00,6.00,7.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3131068,4.00,4.00,3.00,4.00,6.00,6.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3131076,7.00,5.00,2.00,7.00,6.00,4.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3131084,4.00,4.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3131092,2.00,3.00,2.00,6.00,1.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3131106,4.00,3.00,2.00,8.00,6.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3131114,4.00,5.00,2.00,7.00,6.00,5.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3131122,4.00,8.00,5.00,5.00,5.00,4.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3131149,0.00,3.00,2.00,3.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3131157,3.00,3.00,3.00,5.00,2.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3131165,7.00,8.00,4.00,3.00,6.00,7.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3131181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3131190,4.00,4.00,5.00,6.00,4.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3131220,4.00,3.00,1.00,4.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3131238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3131246,3.00,3.00,3.00,6.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3131254,3.00,4.00,2.00,8.00,4.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3131270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3131289,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3131297,9.00,7.00,6.00,7.00,7.00,5.75,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3131327,4.00,3.00,3.00,4.00,5.00,6.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3131335,4.00,3.00,2.00,1.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3131343,4.00,5.00,4.00,5.00,4.00,4.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3131360,3.00,1.00,2.00,3.00,4.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3131378,7.00,5.00,3.00,5.00,3.00,NULL,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3131386,6.00,7.00,1.00,7.00,5.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3131394,3.00,4.00,1.00,5.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3131408,4.00,3.00,2.00,1.00,0.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3131416,7.00,8.00,7.00,7.00,7.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3131424,2.00,6.00,1.00,5.00,1.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3131432,4.00,2.00,3.00,7.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3131440,3.00,4.00,3.00,7.00,4.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3131459,4.00,5.00,5.00,7.00,4.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3131467,2.00,5.00,4.00,5.00,4.00,4.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3131475,7.00,5.00,2.00,7.00,6.00,4.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3131483,3.00,5.00,4.00,1.00,4.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3131491,6.00,8.00,4.00,7.00,7.00,5.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3131505,5.00,6.00,2.00,4.00,7.00,8.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3131513,6.00,5.00,5.00,5.00,7.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3131521,2.00,3.00,1.00,7.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3131548,4.00,3.00,1.00,5.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3131556,6.00,5.00,5.00,7.00,7.00,7.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3131564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3131580,4.00,4.00,4.00,8.00,6.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3131599,2.00,5.00,4.00,4.00,5.00,5.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3131602,3.00,4.00,4.00,6.00,6.00,6.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3131610,8.00,7.00,5.00,8.00,7.00,5.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3131629,3.00,4.00,3.00,1.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3131637,2.00,5.00,4.00,6.00,6.00,5.50,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3131645,8.00,8.00,4.00,6.00,8.00,8.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3131653,2.00,1.00,2.00,7.00,3.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3131661,3.00,4.00,2.00,7.00,5.00,6.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3131688,2.00,5.00,3.00,3.00,4.00,5.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3131696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3131700,8.00,7.00,6.00,8.00,7.00,7.50,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3131718,5.00,7.00,6.00,8.00,7.00,6.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3131726,4.00,6.00,2.00,7.00,6.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3131734,1.00,3.00,2.00,3.00,2.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3131742,2.00,3.00,5.00,6.00,4.00,4.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3131750,3.00,3.00,1.00,1.00,5.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3131777,6.00,6.00,7.00,8.00,6.00,6.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3131785,2.00,0.00,4.00,3.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3131793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3131807,5.00,5.00,6.00,5.00,6.00,8.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3131815,5.00,6.00,3.00,8.00,4.00,4.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3131823,1.00,3.00,4.00,5.00,4.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3131840,2.00,5.00,4.00,7.00,6.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3131858,5.00,3.00,2.00,4.00,7.00,6.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3131866,5.00,4.00,3.00,5.00,6.00,6.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3131874,4.00,4.00,4.00,7.00,7.00,6.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3131882,4.00,4.00,3.00,4.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3131890,3.00,4.00,1.00,3.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3131904,2.00,5.00,2.00,1.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3131912,5.00,4.00,4.00,7.00,5.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3131920,6.00,5.00,2.00,8.00,8.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3131939,5.00,7.00,4.00,8.00,7.00,7.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3131947,2.00,8.00,5.00,8.00,6.00,5.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3131955,4.00,4.00,7.00,4.00,8.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3131998,3.00,7.00,3.00,7.00,5.00,4.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3132005,4.00,5.00,3.00,4.00,5.00,5.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3132013,4.00,7.00,5.00,6.00,5.00,4.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3132021,5.00,9.00,3.00,8.00,7.00,4.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3132030,4.00,3.00,4.00,3.00,4.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3132056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3132064,3.00,5.00,2.00,5.00,5.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3132072,6.00,6.00,4.00,6.00,6.00,7.25,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3132080,6.00,5.00,3.00,1.00,7.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3132099,4.00,5.00,4.00,6.00,5.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3132102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3132110,4.00,0.00,4.00,1.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3132129,4.00,0.00,8.00,3.00,6.00,5.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3132137,4.00,5.00,3.00,6.00,5.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3132145,6.00,5.00,4.00,7.00,7.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3132161,1.00,3.00,4.00,6.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3132170,3.00,2.00,2.00,2.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3132188,5.00,7.00,4.00,8.00,8.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3132196,1.00,2.00,2.00,8.00,6.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3132200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3132218,7.00,8.00,6.00,9.00,7.00,6.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3132226,5.00,4.00,7.00,7.00,3.00,NULL,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3132242,6.00,5.00,2.00,6.00,5.00,5.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3132269,5.00,2.00,2.00,3.00,3.00,NULL,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3132293,2.00,5.00,4.00,4.00,4.00,5.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3132307,4.00,3.00,5.00,8.00,6.00,5.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3132315,3.00,2.00,3.00,8.00,4.00,6.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3132323,7.00,7.00,4.00,2.00,4.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3132358,0.00,1.00,1.00,4.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3132366,8.00,6.00,6.00,8.00,6.00,4.75,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3132374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3132390,6.00,6.00,8.00,3.00,6.00,6.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3132404,4.00,7.00,7.00,9.00,8.00,5.50,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3132420,4.00,4.00,1.00,2.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3132439,5.00,4.00,3.00,3.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3132463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3132471,4.00,5.00,2.00,6.00,5.00,5.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3132480,5.00,5.00,4.00,7.00,6.00,5.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3132498,5.00,7.00,7.00,7.00,8.00,6.25,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3132501,3.00,6.00,3.00,5.00,4.00,4.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3132510,4.00,4.00,3.00,4.00,5.00,4.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3132528,2.00,6.00,2.00,6.00,4.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3132536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3132552,6.00,2.00,2.00,6.00,6.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3132560,5.00,3.00,3.00,2.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3132579,3.00,1.00,3.00,5.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3132587,6.00,6.00,1.00,8.00,9.00,5.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3132595,4.00,6.00,2.00,7.00,8.00,6.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3132609,2.00,2.00,3.00,3.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3132617,5.00,5.00,5.00,5.00,4.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3132625,5.00,7.00,3.00,9.00,7.00,4.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3132633,8.00,7.00,5.00,7.00,5.00,6.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3132641,2.00,2.00,4.00,1.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3132650,7.00,5.00,5.00,8.00,5.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3132668,4.00,4.00,2.00,1.00,0.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3132676,6.00,7.00,3.00,4.00,6.00,5.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3132684,2.00,3.00,3.00,4.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3132706,7.00,7.00,8.00,9.00,8.00,4.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3132722,3.00,4.00,1.00,6.00,5.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3132749,4.00,5.00,4.00,4.00,6.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3132765,5.00,6.00,6.00,6.00,4.00,4.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3132773,3.00,4.00,1.00,1.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3132781,2.00,3.00,2.00,5.00,3.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3132790,2.00,3.00,1.00,8.00,5.00,6.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3132803,5.00,4.00,2.00,5.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3132811,1.00,1.00,2.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3132820,4.00,4.00,4.00,7.00,5.00,5.50,3.00,2.00,5.00,NULL,NULL,NULL,'S'),(16,3132838,4.00,4.00,4.00,2.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3132854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3132862,6.00,6.00,6.00,7.00,9.00,4.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3132870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3132889,5.00,5.00,2.00,7.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3132897,6.00,4.00,3.00,4.00,6.00,6.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3132900,7.00,7.00,8.00,7.00,6.00,6.25,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3132919,4.00,3.00,2.00,3.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3132927,1.00,4.00,1.00,7.00,4.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3132935,6.00,7.00,5.00,7.00,7.00,5.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3132951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3132960,4.00,7.00,2.00,3.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3132978,6.00,5.00,7.00,7.00,5.00,5.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3132986,5.00,2.00,2.00,8.00,6.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3132994,4.00,6.00,4.00,6.00,4.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3133001,4.00,5.00,4.00,6.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(16,3133010,6.00,5.00,5.00,4.00,5.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3133028,4.00,1.00,4.00,8.00,4.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3133036,5.00,5.00,3.00,6.00,6.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3133060,4.00,8.00,6.00,7.00,5.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3133079,2.00,5.00,3.00,6.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3133087,3.00,6.00,1.00,7.00,6.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3133109,5.00,5.00,3.00,8.00,4.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3133117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3133125,7.00,6.00,6.00,6.00,7.00,7.00,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3133133,4.00,5.00,4.00,2.00,7.00,5.00,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3133141,6.00,6.00,2.00,8.00,7.00,5.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3133150,5.00,3.00,4.00,7.00,5.00,7.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3133168,6.00,4.00,4.00,7.00,6.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3133184,7.00,4.00,1.00,2.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3133192,6.00,6.00,4.00,7.00,5.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3133206,7.00,5.00,2.00,1.00,4.00,5.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3133214,4.00,6.00,2.00,6.00,3.00,NULL,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3133222,4.00,5.00,3.00,8.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3133230,4.00,4.00,3.00,6.00,7.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3133249,5.00,5.00,4.00,4.00,3.00,NULL,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3133265,6.00,9.00,5.00,8.00,8.00,5.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3133281,0.00,0.00,1.00,8.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3133303,5.00,3.00,1.00,6.00,1.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3133320,4.00,6.00,5.00,6.00,3.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3133338,3.00,3.00,2.00,2.00,3.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3133346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3133354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3133362,8.00,6.00,6.00,7.00,6.00,8.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3133370,2.00,5.00,2.00,2.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3133397,1.00,2.00,3.00,0.00,4.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3133419,3.00,7.00,4.00,9.00,7.00,6.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3133427,1.00,2.00,2.00,6.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3133435,4.00,6.00,6.00,4.00,7.00,6.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3133443,8.00,6.00,6.00,9.00,7.00,6.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3133460,6.00,7.00,5.00,8.00,6.00,5.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3133478,4.00,7.00,3.00,8.00,6.00,5.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3133486,5.00,7.00,5.00,5.00,8.00,6.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3133494,5.00,7.00,7.00,6.00,4.00,5.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3133508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3133516,3.00,4.00,2.00,7.00,4.00,4.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3133524,5.00,7.00,2.00,6.00,6.00,4.75,4.00,5.00,1.00,NULL,NULL,NULL,'S'),(16,3133532,3.00,4.00,3.00,6.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3133559,7.00,7.00,4.00,7.00,5.00,8.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3133567,2.00,5.00,1.00,6.00,4.00,5.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3133575,4.00,5.00,4.00,9.00,7.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3133583,6.00,5.00,5.00,9.00,7.00,6.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3133591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3133605,6.00,4.00,3.00,5.00,7.00,5.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3133613,2.00,5.00,1.00,1.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3133621,4.00,6.00,2.00,6.00,7.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3133630,4.00,5.00,3.00,1.00,4.00,4.25,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3133648,4.00,5.00,4.00,0.00,3.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3133656,9.00,9.00,7.00,7.00,7.00,7.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3133664,5.00,5.00,2.00,4.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3133672,5.00,5.00,2.00,9.00,6.00,7.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3133680,4.00,5.00,5.00,9.00,6.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3133710,3.00,3.00,3.00,1.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3133737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3133745,8.00,9.00,8.00,8.00,7.00,6.50,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3133761,4.00,4.00,3.00,7.00,4.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3133788,6.00,7.00,5.00,7.00,7.00,6.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3133796,4.00,6.00,3.00,4.00,6.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3133800,4.00,7.00,3.00,3.00,4.00,3.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3133818,4.00,6.00,4.00,7.00,4.00,6.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3133826,3.00,5.00,2.00,5.00,2.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3133834,7.00,2.00,7.00,7.00,6.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3133842,4.00,5.00,4.00,7.00,4.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3133850,0.00,0.00,0.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3133869,4.00,5.00,4.00,6.00,6.00,5.00,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3133885,7.00,3.00,2.00,5.00,4.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3133907,5.00,5.00,4.00,2.00,4.00,4.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3133923,5.00,6.00,3.00,5.00,5.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3133940,3.00,2.00,2.00,3.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3133958,5.00,7.00,5.00,9.00,6.00,5.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3133966,4.00,5.00,4.00,6.00,5.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3133974,4.00,5.00,4.00,6.00,9.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3133982,7.00,6.00,7.00,9.00,8.00,7.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3133990,3.00,5.00,4.00,0.00,0.00,NULL,1.00,1.00,0.00,'S',NULL,NULL,'N'),(16,3134008,1.00,1.00,2.00,3.00,3.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3134016,5.00,7.00,4.00,5.00,5.00,5.75,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3134024,6.00,3.00,7.00,7.00,4.00,5.00,3.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3134032,7.00,8.00,6.00,9.00,8.00,6.00,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3134059,6.00,5.00,3.00,9.00,6.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3134067,7.00,3.00,7.00,6.00,4.00,5.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3134075,8.00,5.00,8.00,7.00,5.00,5.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3134083,6.00,3.00,2.00,6.00,5.00,5.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3134091,4.00,2.00,1.00,5.00,6.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3134105,5.00,5.00,3.00,7.00,6.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3134113,4.00,6.00,4.00,4.00,7.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3134121,4.00,3.00,2.00,7.00,6.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3134130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3134148,5.00,5.00,2.00,7.00,4.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3134156,2.00,4.00,2.00,1.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3134164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3134180,4.00,2.00,4.00,3.00,0.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3134199,2.00,6.00,8.00,6.00,4.00,4.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3134202,3.00,6.00,4.00,8.00,7.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3134210,3.00,5.00,1.00,5.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3134229,3.00,7.00,4.00,3.00,5.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3134237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3134245,7.00,5.00,3.00,3.00,7.00,6.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3134253,0.00,4.00,1.00,8.00,5.00,5.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3134261,1.00,1.00,4.00,0.00,0.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3134270,4.00,2.00,2.00,6.00,2.00,NULL,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(16,3134288,9.00,9.00,5.00,8.00,6.00,7.75,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3134296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3134300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3134318,6.00,6.00,4.00,7.00,4.00,4.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3134326,9.00,8.00,9.00,7.00,9.00,6.50,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3134334,5.00,5.00,2.00,1.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3134342,4.00,2.00,3.00,3.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3134350,6.00,6.00,5.00,8.00,7.00,4.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3134377,6.00,8.00,1.00,6.00,7.00,4.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3134393,7.00,6.00,8.00,8.00,3.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3134407,4.00,3.00,1.00,4.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3134423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3134440,1.00,4.00,4.00,6.00,3.00,NULL,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3134466,2.00,2.00,2.00,4.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3134474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3134482,3.00,6.00,4.00,8.00,7.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3134490,5.00,5.00,4.00,5.00,5.00,6.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3134504,3.00,6.00,3.00,5.00,6.00,6.00,2.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3134512,7.00,6.00,4.00,7.00,7.00,6.75,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3134539,8.00,6.00,5.00,7.00,5.00,5.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3134547,6.00,6.00,1.00,8.00,5.00,6.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3134563,6.00,5.00,2.00,6.00,4.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3134571,6.00,7.00,4.00,6.00,4.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3134598,6.00,5.00,4.00,6.00,4.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3134601,4.00,6.00,2.00,4.00,5.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3134628,2.00,3.00,2.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3134636,5.00,5.00,4.00,7.00,5.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3134652,3.00,1.00,5.00,1.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3134660,4.00,5.00,3.00,4.00,4.00,4.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3134679,1.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3134687,3.00,0.00,2.00,3.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3134695,1.00,3.00,2.00,0.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3134709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3134717,4.00,4.00,3.00,3.00,4.00,5.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3134725,4.00,5.00,3.00,3.00,4.00,4.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3134733,4.00,6.00,4.00,7.00,6.00,5.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3134741,3.00,5.00,3.00,7.00,4.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3134750,5.00,4.00,2.00,6.00,4.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3134768,5.00,4.00,5.00,7.00,4.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3134776,7.00,7.00,2.00,4.00,8.00,6.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3134784,2.00,4.00,3.00,9.00,4.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3134792,8.00,7.00,7.00,9.00,8.00,7.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3134814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3134822,7.00,9.00,5.00,6.00,4.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3134849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3134857,4.00,6.00,3.00,8.00,7.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3134865,4.00,1.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3134873,2.00,3.00,4.00,5.00,1.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3134881,5.00,4.00,3.00,8.00,7.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3134890,3.00,2.00,4.00,7.00,5.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3134903,6.00,0.00,5.00,4.00,4.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3134911,3.00,2.00,1.00,6.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3134920,5.00,4.00,2.00,6.00,2.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3134938,4.00,4.00,2.00,3.00,2.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3134946,8.00,8.00,10.00,9.00,6.00,6.50,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3134954,3.00,2.00,2.00,1.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3134989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3134997,4.00,5.00,5.00,5.00,4.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3135004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3135020,6.00,6.00,4.00,7.00,6.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3135039,9.00,8.00,5.00,9.00,6.00,6.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3135055,3.00,3.00,2.00,0.00,1.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3135063,1.00,3.00,4.00,4.00,4.00,4.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3135071,5.00,7.00,2.00,5.00,5.00,6.50,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3135080,5.00,1.00,2.00,6.00,5.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3135098,7.00,7.00,5.00,9.00,7.00,7.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3135101,5.00,7.00,5.00,7.00,6.00,5.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3135110,5.00,3.00,3.00,5.00,1.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3135128,6.00,7.00,4.00,7.00,6.00,5.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3135136,3.00,4.00,3.00,3.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3135144,4.00,4.00,4.00,3.00,4.00,6.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3135152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3135160,4.00,4.00,3.00,8.00,7.00,5.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3135179,4.00,5.00,3.00,4.00,4.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3135195,3.00,3.00,2.00,0.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3135209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3135217,0.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3135225,6.00,7.00,2.00,7.00,5.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3135233,2.00,0.00,1.00,3.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3135250,5.00,6.00,2.00,8.00,5.00,6.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3135268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3135276,0.00,6.00,1.00,5.00,4.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3135284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3135292,1.00,5.00,2.00,4.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3135314,5.00,3.00,2.00,7.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3135322,3.00,2.00,3.00,2.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3135330,9.00,7.00,6.00,7.00,8.00,6.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3135349,6.00,7.00,7.00,8.00,6.00,5.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3135357,5.00,4.00,3.00,7.00,5.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3135365,5.00,3.00,3.00,4.00,1.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3135373,2.00,3.00,1.00,6.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'S'),(16,3135381,6.00,7.00,6.00,6.00,8.00,6.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3135390,6.00,6.00,3.00,9.00,7.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3135403,8.00,8.00,7.00,7.00,6.00,8.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3135411,2.00,4.00,4.00,2.00,5.00,4.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3135420,4.00,6.00,5.00,7.00,6.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3135438,4.00,6.00,3.00,5.00,3.00,NULL,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3135446,6.00,9.00,5.00,6.00,6.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3135454,5.00,5.00,4.00,7.00,7.00,6.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3135462,5.00,6.00,4.00,6.00,8.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3135470,5.00,5.00,3.00,2.00,6.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3135489,5.00,5.00,5.00,6.00,3.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3135497,3.00,4.00,2.00,4.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3135500,6.00,4.00,1.00,7.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3135527,8.00,5.00,3.00,8.00,5.00,6.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3135535,4.00,6.00,4.00,1.00,5.00,5.50,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3135543,8.00,7.00,3.00,6.00,5.00,6.00,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3135551,1.00,3.00,3.00,8.00,1.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3135560,1.00,2.00,1.00,0.00,0.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3135578,5.00,8.00,5.00,7.00,6.00,6.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3135586,8.00,8.00,4.00,8.00,6.00,6.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3135608,2.00,4.00,3.00,6.00,4.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3135616,5.00,4.00,3.00,6.00,5.00,6.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3135624,7.00,7.00,5.00,8.00,6.00,5.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3135632,3.00,5.00,3.00,5.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3135640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3135659,7.00,8.00,8.00,8.00,7.00,6.75,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3135667,4.00,2.00,2.00,5.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3135675,2.00,4.00,2.00,3.00,2.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3135683,2.00,5.00,3.00,5.00,5.00,5.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3135705,3.00,6.00,5.00,1.00,3.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3135713,7.00,6.00,1.00,6.00,5.00,4.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3135721,7.00,6.00,4.00,8.00,8.00,5.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3135756,4.00,5.00,3.00,6.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3135772,5.00,3.00,5.00,3.00,5.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3135780,4.00,6.00,8.00,5.00,4.00,4.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3135799,7.00,5.00,3.00,3.00,5.00,7.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3135802,4.00,4.00,3.00,1.00,3.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3135829,6.00,3.00,2.00,0.00,0.00,NULL,1.00,3.00,2.00,'S',NULL,NULL,'N'),(16,3135837,5.00,3.00,3.00,6.00,5.00,5.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3135845,7.00,7.00,2.00,9.00,8.00,7.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3135853,8.00,7.00,6.00,8.00,8.00,7.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3135861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3135888,4.00,5.00,4.00,4.00,4.00,5.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3135896,6.00,7.00,2.00,6.00,5.00,5.25,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3135900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3135918,5.00,5.00,4.00,3.00,5.00,5.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3135926,6.00,7.00,8.00,6.00,6.00,7.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3135934,5.00,4.00,4.00,7.00,7.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3135942,5.00,8.00,4.00,8.00,4.00,6.00,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3135950,6.00,6.00,3.00,8.00,5.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3135977,5.00,8.00,8.00,9.00,6.00,8.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3135985,6.00,5.00,3.00,8.00,5.00,5.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3136000,3.00,6.00,3.00,0.00,7.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3136019,7.00,6.00,3.00,6.00,5.00,6.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3136027,2.00,3.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3136035,2.00,3.00,1.00,5.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3136043,4.00,6.00,1.00,1.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3136051,5.00,1.00,3.00,4.00,2.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3136060,7.00,9.00,3.00,7.00,7.00,4.75,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3136078,5.00,5.00,4.00,5.00,6.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3136094,7.00,6.00,4.00,8.00,6.00,5.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3136108,5.00,6.00,3.00,6.00,4.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3136116,4.00,8.00,4.00,7.00,6.00,6.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3136124,9.00,4.00,5.00,4.00,7.00,4.50,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3136167,4.00,5.00,2.00,8.00,6.00,7.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3136175,3.00,7.00,5.00,4.00,4.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3136183,2.00,4.00,3.00,4.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3136191,6.00,6.00,6.00,3.00,5.00,7.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3136205,7.00,6.00,3.00,7.00,7.00,7.00,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3136213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3136221,4.00,4.00,3.00,6.00,6.00,6.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3136230,5.00,4.00,3.00,9.00,7.00,6.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3136248,2.00,1.00,3.00,7.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3136256,6.00,4.00,1.00,7.00,7.00,5.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3136264,6.00,5.00,6.00,7.00,6.00,7.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3136272,7.00,5.00,5.00,3.00,4.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3136280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3136299,3.00,4.00,4.00,4.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3136302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3136310,3.00,3.00,5.00,6.00,4.00,6.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3136329,7.00,8.00,6.00,9.00,7.00,6.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3136337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3136345,7.00,9.00,4.00,5.00,6.00,5.00,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3136353,4.00,7.00,4.00,6.00,7.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3136361,3.00,1.00,5.00,0.00,0.00,NULL,3.00,3.00,3.00,'S',NULL,NULL,'S'),(16,3136370,6.00,5.00,6.00,8.00,6.00,5.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3136388,4.00,5.00,1.00,7.00,6.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3136396,7.00,3.00,5.00,7.00,4.00,4.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3136400,4.00,6.00,1.00,6.00,5.00,5.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3136426,3.00,2.00,2.00,0.00,1.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3136434,4.00,4.00,2.00,4.00,4.00,4.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3136442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3136450,4.00,5.00,4.00,2.00,2.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3136477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3136485,6.00,3.00,6.00,2.00,4.00,4.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3136493,2.00,5.00,2.00,4.00,5.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3136515,3.00,5.00,1.00,7.00,5.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3136523,4.00,6.00,4.00,1.00,4.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3136531,5.00,2.00,3.00,3.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3136540,3.00,5.00,5.00,8.00,6.00,7.75,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3136558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3136566,5.00,6.00,5.00,7.00,5.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3136574,3.00,5.00,3.00,5.00,5.00,4.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3136590,3.00,4.00,5.00,6.00,4.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3136604,9.00,8.00,5.00,7.00,6.00,6.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3136612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3136620,5.00,2.00,2.00,1.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3136639,6.00,5.00,5.00,5.00,6.00,7.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3136655,0.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3136663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3136671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3136680,5.00,4.00,5.00,3.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3136698,3.00,4.00,4.00,6.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3136701,6.00,5.00,3.00,8.00,4.00,6.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3136710,2.00,7.00,4.00,6.00,5.00,6.25,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3136728,3.00,4.00,2.00,2.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3136736,2.00,1.00,1.00,0.00,5.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3136744,8.00,6.00,6.00,4.00,7.00,8.00,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3136752,3.00,5.00,5.00,6.00,7.00,3.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3136779,2.00,5.00,3.00,9.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3136787,5.00,3.00,3.00,2.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3136795,5.00,3.00,2.00,1.00,3.00,NULL,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3136809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3136817,3.00,2.00,1.00,4.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3136825,7.00,6.00,4.00,8.00,5.00,6.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3136833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3136841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3136850,9.00,7.00,10.00,9.00,7.00,7.25,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3136884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3136892,4.00,3.00,3.00,0.00,0.00,NULL,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3136906,6.00,3.00,1.00,6.00,5.00,4.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3136914,8.00,7.00,8.00,9.00,9.00,8.50,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3136922,6.00,8.00,4.00,7.00,6.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3136930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3136957,7.00,9.00,6.00,7.00,7.00,5.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3136965,6.00,4.00,5.00,7.00,4.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3136973,6.00,6.00,4.00,7.00,4.00,5.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3136981,6.00,4.00,6.00,9.00,7.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3136990,2.00,1.00,3.00,6.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3137007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3137015,3.00,5.00,7.00,7.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3137023,4.00,5.00,1.00,3.00,6.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3137031,4.00,5.00,3.00,6.00,4.00,4.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3137058,4.00,4.00,3.00,7.00,4.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3137066,8.00,6.00,7.00,8.00,6.00,6.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3137074,2.00,5.00,1.00,4.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3137082,5.00,6.00,5.00,3.00,6.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3137090,5.00,5.00,4.00,6.00,4.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3137112,8.00,5.00,3.00,7.00,5.00,5.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3137120,7.00,7.00,4.00,9.00,6.00,5.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3137139,4.00,2.00,2.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3137147,3.00,4.00,6.00,7.00,4.00,5.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3137155,5.00,7.00,7.00,6.00,5.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3137163,7.00,7.00,6.00,9.00,6.00,5.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3137171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3137198,4.00,3.00,3.00,9.00,7.00,7.00,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3137201,4.00,7.00,2.00,5.00,4.00,5.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3137210,3.00,4.00,2.00,4.00,6.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3137228,6.00,8.00,8.00,8.00,7.00,7.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3137236,2.00,4.00,2.00,5.00,4.00,3.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3137244,8.00,7.00,6.00,8.00,7.00,4.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3137252,8.00,9.00,4.00,7.00,7.00,5.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3137279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3137287,7.00,7.00,9.00,8.00,6.00,4.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3137295,8.00,8.00,6.00,8.00,7.00,7.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3137309,6.00,6.00,5.00,4.00,7.00,4.00,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(16,3137317,4.00,7.00,5.00,7.00,5.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3137325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3137333,5.00,6.00,2.00,1.00,5.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3137341,5.00,6.00,3.00,7.00,6.00,6.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3137350,5.00,6.00,4.00,5.00,7.00,5.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3137368,3.00,4.00,5.00,5.00,4.00,5.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3137384,7.00,5.00,8.00,9.00,6.00,5.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3137392,7.00,6.00,8.00,5.00,6.00,4.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3137406,5.00,6.00,1.00,8.00,4.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3137414,6.00,5.00,4.00,8.00,4.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3137422,3.00,6.00,3.00,3.00,4.00,6.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3137430,3.00,4.00,2.00,9.00,4.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3137449,4.00,5.00,5.00,9.00,8.00,7.25,2.00,9.00,5.00,NULL,NULL,NULL,'S'),(16,3137457,2.00,2.00,2.00,3.00,1.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3137465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3137473,4.00,5.00,1.00,8.00,5.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3137481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3137490,3.00,3.00,4.00,2.00,4.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3137503,2.00,6.00,4.00,8.00,5.00,4.25,4.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3137511,6.00,4.00,3.00,2.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3137520,2.00,2.00,2.00,3.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3137538,4.00,3.00,6.00,8.00,3.00,NULL,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3137546,5.00,6.00,6.00,7.00,5.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3137554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3137562,7.00,8.00,6.00,8.00,6.00,5.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3137570,8.00,9.00,9.00,8.00,8.00,6.75,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3137589,7.00,4.00,5.00,9.00,7.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3137597,5.00,5.00,6.00,7.00,6.00,4.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3137600,8.00,7.00,8.00,9.00,8.00,6.75,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3137619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3137627,6.00,5.00,5.00,8.00,7.00,6.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3137635,5.00,0.00,2.00,6.00,6.00,4.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3137651,6.00,1.00,4.00,7.00,5.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3137660,7.00,6.00,4.00,6.00,6.00,5.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3137678,3.00,4.00,3.00,8.00,4.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3137686,2.00,2.00,1.00,5.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'S'),(16,3137694,1.00,3.00,4.00,5.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3137708,7.00,5.00,6.00,7.00,4.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3137716,7.00,7.00,7.00,8.00,7.00,6.75,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3137724,3.00,5.00,2.00,5.00,5.00,2.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3137740,3.00,3.00,3.00,4.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3137759,3.00,3.00,2.00,8.00,7.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3137767,4.00,6.00,4.00,6.00,5.00,3.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3137775,4.00,3.00,3.00,4.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3137791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3137805,6.00,8.00,6.00,8.00,7.00,6.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3137813,8.00,5.00,3.00,8.00,7.00,6.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3137821,5.00,7.00,2.00,6.00,5.00,5.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3137848,5.00,5.00,3.00,9.00,7.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3137856,5.00,6.00,4.00,5.00,5.00,4.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3137864,3.00,4.00,3.00,7.00,4.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3137872,4.00,4.00,2.00,9.00,6.00,6.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3137899,2.00,0.00,4.00,3.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3137910,6.00,7.00,4.00,6.00,7.00,7.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3137929,3.00,5.00,1.00,5.00,4.00,5.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3137937,6.00,5.00,4.00,7.00,6.00,7.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3137953,2.00,5.00,5.00,2.00,4.00,5.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3137961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3137988,7.00,4.00,4.00,5.00,6.00,6.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3137996,0.00,2.00,3.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3138003,4.00,4.00,5.00,5.00,5.00,5.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3138011,4.00,4.00,5.00,7.00,4.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3138038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3138062,8.00,9.00,9.00,0.00,0.00,NULL,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3138070,6.00,8.00,7.00,5.00,7.00,6.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3138097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3138119,9.00,7.00,8.00,8.00,8.00,6.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3138127,3.00,5.00,4.00,5.00,4.00,5.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3138135,5.00,6.00,1.00,7.00,4.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3138143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3138151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3138160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3138178,4.00,6.00,5.00,9.00,7.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3138186,8.00,8.00,6.00,7.00,7.00,6.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3138208,2.00,5.00,1.00,2.00,5.00,4.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3138224,7.00,4.00,5.00,6.00,6.00,5.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3138240,6.00,2.00,2.00,6.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3138259,4.00,7.00,2.00,6.00,6.00,4.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3138275,7.00,6.00,5.00,9.00,8.00,6.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3138283,1.00,3.00,3.00,5.00,4.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3138291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3138321,3.00,3.00,1.00,5.00,5.00,6.00,2.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3138330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3138348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3138356,5.00,5.00,3.00,3.00,7.00,7.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3138364,3.00,5.00,5.00,8.00,2.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3138372,6.00,8.00,7.00,6.00,7.00,6.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3138380,2.00,2.00,2.00,1.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3138402,5.00,6.00,2.00,7.00,5.00,6.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3138410,1.00,5.00,5.00,3.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3138429,4.00,5.00,2.00,5.00,5.00,4.75,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3138437,6.00,8.00,8.00,9.00,8.00,8.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3138445,3.00,6.00,3.00,7.00,4.00,5.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3138453,5.00,5.00,6.00,8.00,4.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3138461,9.00,7.00,6.00,7.00,5.00,5.00,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3138470,6.00,4.00,6.00,7.00,4.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3138488,3.00,5.00,2.00,7.00,5.00,5.00,7.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3138496,5.00,7.00,4.00,5.00,4.00,4.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3138500,3.00,4.00,2.00,3.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3138518,6.00,7.00,2.00,7.00,6.00,7.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3138526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3138534,8.00,6.00,4.00,7.00,4.00,5.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3138542,7.00,5.00,4.00,5.00,4.00,5.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3138577,8.00,8.00,8.00,8.00,8.00,7.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3138585,8.00,4.00,5.00,8.00,6.00,1.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3138593,7.00,5.00,4.00,8.00,7.00,5.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3138607,4.00,1.00,2.00,8.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3138615,7.00,7.00,8.00,8.00,9.00,6.75,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3138623,4.00,2.00,1.00,5.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3138631,1.00,2.00,3.00,0.00,0.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3138658,5.00,6.00,4.00,6.00,4.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3138674,7.00,8.00,7.00,8.00,6.00,5.50,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3138682,5.00,5.00,5.00,2.00,7.00,4.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3138690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3138704,3.00,3.00,5.00,3.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3138712,7.00,6.00,6.00,4.00,5.00,4.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3138720,4.00,4.00,4.00,8.00,5.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3138739,5.00,6.00,4.00,8.00,7.00,4.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3138747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3138755,2.00,5.00,1.00,7.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3138763,6.00,5.00,3.00,9.00,7.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3138771,5.00,7.00,6.00,9.00,8.00,7.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3138780,8.00,7.00,8.00,6.00,8.00,6.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3138798,6.00,7.00,5.00,5.00,7.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3138810,6.00,7.00,5.00,8.00,8.00,4.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3138836,3.00,4.00,2.00,8.00,7.00,4.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3138844,6.00,7.00,2.00,7.00,7.00,7.00,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3138852,8.00,7.00,3.00,6.00,4.00,6.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3138860,2.00,5.00,2.00,3.00,6.00,7.75,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3138895,4.00,7.00,4.00,7.00,7.00,7.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3138909,2.00,4.00,2.00,1.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3138917,4.00,5.00,6.00,8.00,8.00,7.75,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3138925,5.00,4.00,4.00,3.00,4.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3138933,6.00,7.00,5.00,6.00,7.00,5.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3138941,6.00,8.00,7.00,8.00,7.00,6.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3138950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3138968,5.00,4.00,4.00,7.00,6.00,7.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3138976,5.00,7.00,4.00,3.00,5.00,6.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3138984,9.00,7.00,7.00,8.00,5.00,5.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3138992,3.00,8.00,4.00,8.00,7.00,6.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3139000,6.00,3.00,3.00,4.00,5.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3139018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3139034,3.00,3.00,2.00,2.00,5.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3139042,3.00,4.00,2.00,6.00,4.00,3.25,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3139050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3139069,5.00,4.00,3.00,7.00,7.00,5.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3139077,2.00,2.00,2.00,5.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3139085,4.00,5.00,3.00,4.00,4.00,4.25,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3139093,2.00,3.00,1.00,2.00,4.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3139107,6.00,3.00,5.00,8.00,7.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3139115,1.00,1.00,4.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3139140,6.00,7.00,3.00,9.00,7.00,4.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3139166,4.00,6.00,3.00,8.00,5.00,4.75,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3139174,2.00,3.00,3.00,6.00,4.00,3.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3139182,8.00,8.00,7.00,9.00,7.00,7.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3139190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3139204,4.00,7.00,4.00,5.00,4.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3139212,8.00,6.00,6.00,8.00,7.00,8.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3139220,4.00,7.00,3.00,9.00,9.00,6.25,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3139247,4.00,4.00,3.00,6.00,6.00,7.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3139255,4.00,6.00,5.00,6.00,6.00,5.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3139263,6.00,7.00,5.00,1.00,8.00,5.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3139280,5.00,2.00,2.00,3.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3139298,5.00,7.00,5.00,9.00,6.00,6.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3139301,8.00,9.00,6.00,8.00,7.00,6.50,2.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3139310,2.00,4.00,3.00,6.00,6.00,4.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3139328,3.00,5.00,4.00,5.00,4.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3139344,5.00,5.00,4.00,5.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3139352,5.00,5.00,4.00,4.00,6.00,5.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3139379,3.00,2.00,4.00,5.00,5.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3139387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3139395,4.00,4.00,2.00,3.00,4.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3139409,3.00,2.00,3.00,5.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3139417,4.00,6.00,5.00,3.00,3.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3139425,3.00,3.00,3.00,6.00,2.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3139433,7.00,8.00,7.00,7.00,5.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3139441,3.00,4.00,4.00,3.00,4.00,5.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3139450,3.00,3.00,4.00,5.00,4.00,7.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3139476,3.00,5.00,2.00,7.00,5.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3139484,0.00,0.00,0.00,2.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3139492,4.00,3.00,3.00,0.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3139506,5.00,2.00,1.00,3.00,3.00,NULL,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3139522,4.00,6.00,5.00,8.00,6.00,5.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3139530,2.00,4.00,2.00,5.00,5.00,6.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3139549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3139565,3.00,4.00,2.00,6.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3139581,9.00,7.00,6.00,5.00,4.00,5.50,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3139590,4.00,5.00,4.00,6.00,4.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3139603,5.00,5.00,3.00,8.00,6.00,4.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3139620,4.00,5.00,3.00,4.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3139638,7.00,9.00,6.00,9.00,7.00,5.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3139646,4.00,4.00,6.00,3.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3139654,9.00,8.00,6.00,5.00,7.00,6.00,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3139662,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3139670,7.00,8.00,3.00,4.00,4.00,5.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3139689,5.00,1.00,2.00,7.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3139697,3.00,3.00,4.00,5.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3139700,9.00,9.00,6.00,3.00,7.00,7.50,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3139735,5.00,6.00,3.00,4.00,5.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3139743,4.00,5.00,3.00,5.00,6.00,5.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3139760,6.00,6.00,6.00,8.00,7.00,7.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3139786,2.00,3.00,4.00,5.00,4.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3139794,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3139824,5.00,3.00,2.00,7.00,7.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3139859,4.00,5.00,3.00,7.00,6.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3139867,5.00,6.00,6.00,8.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3139883,8.00,8.00,6.00,9.00,7.00,5.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3139891,4.00,4.00,1.00,4.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3139913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3139921,3.00,2.00,1.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3139948,6.00,6.00,5.00,10.00,5.00,5.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3139956,3.00,3.00,2.00,4.00,4.00,4.25,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3139972,4.00,5.00,4.00,7.00,6.00,6.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3139980,5.00,4.00,4.00,4.00,5.00,4.75,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3139999,0.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3140016,5.00,7.00,7.00,7.00,6.00,5.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3140032,3.00,3.00,4.00,1.00,1.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3140040,7.00,7.00,8.00,7.00,7.00,5.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3140059,5.00,8.00,5.00,7.00,6.00,5.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3140067,5.00,8.00,4.00,6.00,4.00,5.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3140075,5.00,4.00,3.00,2.00,4.00,4.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3140091,4.00,6.00,6.00,7.00,7.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3140105,3.00,0.00,6.00,3.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3140113,6.00,7.00,5.00,8.00,5.00,5.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3140121,3.00,0.00,2.00,2.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3140130,5.00,7.00,7.00,8.00,7.00,5.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3140156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3140172,8.00,7.00,7.00,7.00,6.00,6.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3140180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3140199,3.00,5.00,4.00,8.00,4.00,5.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3140202,7.00,9.00,4.00,9.00,7.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3140210,6.00,8.00,6.00,6.00,8.00,7.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3140229,9.00,5.00,8.00,8.00,7.00,4.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3140237,7.00,5.00,3.00,5.00,7.00,6.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3140245,4.00,4.00,2.00,5.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3140253,6.00,7.00,6.00,7.00,5.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3140261,4.00,2.00,3.00,5.00,5.00,4.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3140270,4.00,3.00,5.00,4.00,2.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3140296,6.00,7.00,3.00,7.00,7.00,4.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3140300,5.00,5.00,4.00,5.00,6.00,5.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3140318,8.00,9.00,6.00,9.00,6.00,6.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3140326,5.00,8.00,6.00,9.00,8.00,5.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3140334,8.00,7.00,4.00,7.00,5.00,6.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3140342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3140350,4.00,2.00,4.00,6.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3140369,0.00,0.00,1.00,2.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3140385,6.00,5.00,5.00,4.00,4.00,4.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3140393,8.00,6.00,8.00,9.00,6.00,7.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3140407,8.00,9.00,7.00,8.00,8.00,6.50,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3140415,4.00,6.00,3.00,6.00,5.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3140431,4.00,7.00,3.00,5.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3140440,4.00,3.00,4.00,6.00,6.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3140458,3.00,7.00,1.00,5.00,4.00,4.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3140474,5.00,4.00,6.00,9.00,6.00,6.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3140482,4.00,4.00,1.00,7.00,5.00,6.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3140490,5.00,4.00,2.00,8.00,5.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3140504,3.00,4.00,2.00,1.00,2.00,NULL,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3140512,5.00,4.00,3.00,9.00,7.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3140520,3.00,2.00,2.00,0.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3140547,6.00,8.00,6.00,8.00,7.00,5.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3140555,4.00,4.00,2.00,6.00,5.00,6.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3140563,3.00,2.00,4.00,4.00,4.00,4.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3140598,7.00,5.00,5.00,8.00,8.00,6.50,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3140601,6.00,7.00,4.00,4.00,5.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3140610,7.00,6.00,5.00,7.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3140628,6.00,6.00,4.00,8.00,4.00,6.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3140644,7.00,5.00,3.00,7.00,4.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3140660,2.00,2.00,4.00,1.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3140679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3140687,2.00,4.00,4.00,3.00,1.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3140695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3140709,3.00,3.00,2.00,4.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3140717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3140725,3.00,4.00,2.00,2.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3140733,3.00,5.00,5.00,4.00,5.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3140741,5.00,5.00,2.00,7.00,5.00,5.75,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3140750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3140768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3140776,4.00,7.00,1.00,5.00,4.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3140784,3.00,4.00,2.00,1.00,4.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3140822,3.00,2.00,2.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3140849,4.00,6.00,3.00,3.00,2.00,NULL,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3140857,5.00,1.00,1.00,5.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3140865,7.00,7.00,4.00,6.00,5.00,7.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3140903,7.00,3.00,2.00,6.00,4.00,6.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3140911,4.00,8.00,4.00,7.00,5.00,4.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3140920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3140938,2.00,2.00,3.00,7.00,4.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3140946,3.00,4.00,1.00,7.00,5.00,5.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3140954,4.00,5.00,4.00,2.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3140962,5.00,5.00,6.00,8.00,6.00,6.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3140970,9.00,7.00,8.00,9.00,8.00,7.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3140989,3.00,3.00,1.00,3.00,0.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3140997,4.00,6.00,2.00,6.00,5.00,4.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3141004,3.00,4.00,4.00,9.00,8.00,6.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3141012,2.00,1.00,3.00,6.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3141020,5.00,6.00,5.00,4.00,7.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3141039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3141055,5.00,4.00,6.00,5.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3141063,4.00,4.00,3.00,9.00,5.00,5.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3141071,5.00,1.00,2.00,4.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3141080,5.00,6.00,5.00,4.00,4.00,5.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3141098,2.00,3.00,3.00,4.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3141101,6.00,6.00,4.00,6.00,8.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3141110,5.00,5.00,4.00,7.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3141128,5.00,5.00,3.00,5.00,4.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3141136,3.00,3.00,1.00,2.00,6.00,4.00,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3141144,1.00,3.00,1.00,1.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3141152,8.00,7.00,7.00,8.00,5.00,5.50,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3141179,2.00,6.00,4.00,1.00,4.00,6.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3141187,4.00,3.00,2.00,5.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3141195,1.00,2.00,3.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3141217,5.00,4.00,3.00,5.00,4.00,4.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3141225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3141233,7.00,8.00,8.00,9.00,6.00,6.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3141241,3.00,5.00,4.00,5.00,5.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3141250,5.00,2.00,1.00,3.00,1.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3141268,3.00,2.00,1.00,4.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3141292,5.00,5.00,3.00,6.00,4.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3141306,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3141314,5.00,8.00,4.00,7.00,5.00,6.00,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3141322,2.00,2.00,4.00,0.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3141330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3141349,1.00,2.00,2.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3141357,5.00,5.00,1.00,6.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3141365,3.00,4.00,1.00,6.00,5.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3141373,5.00,1.00,4.00,8.00,4.00,5.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3141381,4.00,4.00,6.00,5.00,5.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3141390,4.00,4.00,7.00,8.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3141403,5.00,5.00,3.00,8.00,6.00,5.25,1.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3141411,6.00,4.00,4.00,3.00,5.00,5.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3141420,3.00,4.00,2.00,2.00,5.00,5.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3141438,2.00,2.00,4.00,6.00,4.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3141446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3141462,2.00,5.00,2.00,7.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3141489,2.00,1.00,2.00,1.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3141497,5.00,4.00,5.00,8.00,4.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3141500,6.00,7.00,6.00,8.00,6.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3141519,3.00,2.00,3.00,8.00,4.00,4.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3141543,6.00,7.00,8.00,8.00,6.00,6.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3141551,4.00,5.00,3.00,6.00,7.00,5.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3141560,5.00,6.00,2.00,4.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3141578,4.00,5.00,2.00,5.00,6.00,6.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3141586,5.00,6.00,5.00,6.00,5.00,5.75,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3141594,6.00,9.00,4.00,7.00,5.00,4.50,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3141608,6.00,4.00,5.00,7.00,4.00,5.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3141624,6.00,6.00,1.00,8.00,6.00,4.75,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3141632,6.00,7.00,4.00,8.00,6.00,4.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3141659,6.00,7.00,7.00,8.00,9.00,9.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3141667,4.00,6.00,3.00,6.00,3.00,NULL,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3141675,4.00,6.00,4.00,7.00,4.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3141683,4.00,6.00,5.00,8.00,7.00,7.50,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3141691,3.00,5.00,2.00,4.00,3.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3141705,2.00,3.00,3.00,5.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3141730,2.00,2.00,2.00,4.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3141756,6.00,4.00,1.00,9.00,7.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3141764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3141772,8.00,8.00,9.00,8.00,7.00,5.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3141780,2.00,3.00,2.00,5.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3141799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3141802,3.00,4.00,3.00,2.00,5.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3141810,3.00,4.00,2.00,2.00,4.00,6.75,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3141829,3.00,4.00,6.00,5.00,4.00,5.75,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3141837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3141845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3141853,4.00,6.00,4.00,3.00,5.00,6.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3141861,2.00,6.00,2.00,6.00,6.00,5.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3141870,4.00,8.00,6.00,6.00,6.00,7.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3141888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3141896,3.00,3.00,1.00,3.00,6.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3141918,5.00,4.00,3.00,7.00,5.00,6.50,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3141926,9.00,9.00,7.00,8.00,9.00,7.75,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3141934,5.00,5.00,3.00,8.00,7.00,6.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3141942,3.00,2.00,2.00,5.00,5.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3141969,4.00,3.00,1.00,2.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3141985,4.00,3.00,2.00,6.00,6.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3141993,6.00,5.00,7.00,8.00,5.00,5.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3142000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3142027,7.00,5.00,5.00,6.00,4.00,6.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3142043,4.00,6.00,5.00,5.00,7.00,7.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3142051,6.00,8.00,6.00,8.00,7.00,5.50,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3142060,6.00,3.00,4.00,5.00,4.00,5.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3142078,5.00,5.00,6.00,5.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3142086,5.00,1.00,1.00,0.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3142094,4.00,3.00,2.00,8.00,4.00,5.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3142108,3.00,2.00,2.00,3.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3142116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3142132,7.00,4.00,7.00,7.00,6.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3142140,5.00,4.00,5.00,5.00,1.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3142159,5.00,3.00,4.00,3.00,4.00,4.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3142167,5.00,5.00,1.00,5.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3142175,5.00,6.00,2.00,6.00,4.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3142183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3142191,3.00,4.00,1.00,2.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3142213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3142221,5.00,7.00,6.00,3.00,5.00,5.00,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3142230,9.00,6.00,7.00,7.00,8.00,6.75,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3142248,2.00,3.00,3.00,5.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3142256,3.00,2.00,2.00,4.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3142264,0.00,3.00,2.00,8.00,4.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(16,3142272,6.00,2.00,3.00,4.00,5.00,5.50,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3142280,5.00,5.00,4.00,6.00,6.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3142299,8.00,9.00,3.00,8.00,7.00,7.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3142302,6.00,4.00,1.00,6.00,6.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3142310,6.00,3.00,4.00,4.00,2.00,NULL,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3142329,5.00,7.00,3.00,9.00,7.00,6.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3142337,3.00,1.00,2.00,5.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3142345,4.00,2.00,3.00,8.00,6.00,4.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3142353,6.00,8.00,4.00,7.00,7.00,6.50,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3142370,3.00,3.00,3.00,7.00,4.00,5.50,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3142388,6.00,5.00,5.00,7.00,4.00,4.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3142396,5.00,5.00,2.00,7.00,4.00,4.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3142400,7.00,5.00,3.00,8.00,4.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3142418,4.00,5.00,2.00,5.00,5.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3142426,4.00,4.00,2.00,1.00,4.00,4.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3142434,6.00,4.00,3.00,7.00,4.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3142442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3142469,4.00,5.00,3.00,6.00,7.00,4.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3142477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3142485,5.00,1.00,5.00,8.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3142493,3.00,6.00,3.00,4.00,1.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3142507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(16,3142515,3.00,0.00,2.00,5.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3142523,5.00,4.00,2.00,5.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3142540,6.00,6.00,4.00,8.00,4.00,4.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3142558,6.00,7.00,6.00,8.00,6.00,5.75,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3142566,7.00,6.00,5.00,8.00,7.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3142574,5.00,5.00,3.00,5.00,4.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3142582,6.00,3.00,4.00,7.00,5.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3142590,2.00,4.00,3.00,4.00,2.00,NULL,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3142604,4.00,7.00,6.00,8.00,6.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3142612,7.00,4.00,2.00,7.00,5.00,6.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3142620,5.00,6.00,3.00,8.00,6.00,5.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3142647,3.00,2.00,3.00,2.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3142655,6.00,4.00,4.00,7.00,6.00,6.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3142663,3.00,3.00,2.00,3.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3142698,9.00,4.00,3.00,7.00,7.00,7.25,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3142701,3.00,4.00,3.00,6.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3142710,4.00,4.00,2.00,1.00,6.00,5.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3142728,2.00,4.00,4.00,6.00,4.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3142736,6.00,7.00,3.00,7.00,4.00,4.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3142744,2.00,6.00,4.00,3.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3142752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3142779,6.00,4.00,4.00,7.00,5.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3142787,1.00,2.00,2.00,4.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3142795,5.00,7.00,1.00,6.00,5.00,6.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3142809,5.00,4.00,4.00,7.00,5.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3142817,4.00,4.00,4.00,5.00,4.00,4.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3142825,4.00,4.00,2.00,7.00,4.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3142841,6.00,3.00,4.00,6.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3142850,9.00,8.00,5.00,7.00,6.00,4.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3142868,8.00,6.00,5.00,7.00,6.00,4.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3142884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3142892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3142906,5.00,7.00,6.00,6.00,5.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3142914,3.00,1.00,4.00,6.00,5.00,6.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3142957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3142965,6.00,3.00,2.00,3.00,4.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3142973,5.00,5.00,1.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3142981,6.00,7.00,4.00,7.00,5.00,5.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3142990,8.00,7.00,5.00,8.00,7.00,5.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3143007,4.00,3.00,3.00,6.00,4.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3143015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3143023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3143031,8.00,4.00,9.00,5.00,3.00,NULL,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3143040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3143074,3.00,6.00,3.00,8.00,8.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3143082,3.00,3.00,2.00,2.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3143090,8.00,6.00,6.00,7.00,6.00,6.25,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3143104,3.00,4.00,3.00,6.00,0.00,NULL,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3143112,7.00,6.00,4.00,9.00,7.00,5.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3143139,9.00,8.00,7.00,9.00,6.00,5.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3143147,8.00,7.00,7.00,8.00,4.00,5.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3143155,4.00,5.00,2.00,1.00,5.00,4.75,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3143163,3.00,6.00,2.00,2.00,6.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3143180,5.00,4.00,1.00,2.00,7.00,4.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3143198,6.00,7.00,9.00,9.00,8.00,5.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3143201,8.00,5.00,8.00,7.00,6.00,7.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3143210,4.00,4.00,5.00,4.00,6.00,6.25,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3143228,6.00,4.00,3.00,5.00,4.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3143236,8.00,8.00,6.00,7.00,7.00,5.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3143252,3.00,2.00,2.00,1.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3143260,3.00,4.00,4.00,5.00,4.00,3.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3143287,5.00,7.00,3.00,8.00,7.00,6.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3143295,4.00,5.00,4.00,2.00,2.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3143309,7.00,6.00,6.00,3.00,6.00,4.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3143317,4.00,4.00,3.00,3.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3143325,4.00,5.00,6.00,8.00,7.00,7.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3143350,3.00,2.00,3.00,5.00,4.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3143368,9.00,9.00,8.00,9.00,7.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3143376,3.00,2.00,1.00,4.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3143384,6.00,8.00,4.00,7.00,6.00,4.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3143392,2.00,6.00,3.00,8.00,7.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3143414,4.00,4.00,5.00,5.00,4.00,4.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3143422,5.00,4.00,4.00,4.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3143430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3143449,2.00,1.00,1.00,2.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3143457,3.00,5.00,3.00,4.00,5.00,4.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3143465,2.00,2.00,4.00,8.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3143473,3.00,0.00,3.00,0.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3143490,5.00,8.00,5.00,8.00,4.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3143503,5.00,4.00,3.00,9.00,7.00,6.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3143511,7.00,6.00,4.00,7.00,8.00,5.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3143520,5.00,9.00,6.00,9.00,6.00,7.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3143538,4.00,1.00,2.00,6.00,4.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3143546,3.00,0.00,2.00,4.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3143554,5.00,4.00,3.00,6.00,4.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3143562,8.00,8.00,5.00,7.00,7.00,6.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3143570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3143589,5.00,5.00,4.00,6.00,7.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3143600,5.00,5.00,4.00,7.00,7.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3143619,7.00,8.00,4.00,8.00,7.00,5.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3143627,4.00,5.00,2.00,5.00,4.00,4.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3143635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3143643,2.00,3.00,6.00,7.00,6.00,5.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3143651,3.00,1.00,2.00,4.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3143660,5.00,6.00,6.00,9.00,7.00,4.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3143678,4.00,3.00,8.00,8.00,4.00,4.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3143686,7.00,7.00,6.00,9.00,7.00,6.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3143694,3.00,2.00,1.00,2.00,3.00,NULL,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3143708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3143716,5.00,6.00,4.00,5.00,4.00,4.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3143724,5.00,4.00,5.00,9.00,6.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3143732,7.00,5.00,6.00,6.00,6.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3143740,2.00,1.00,1.00,3.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3143767,4.00,5.00,4.00,3.00,4.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3143775,3.00,4.00,4.00,9.00,6.00,6.25,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3143783,5.00,5.00,6.00,7.00,5.00,4.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3143791,8.00,6.00,4.00,7.00,6.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3143805,3.00,4.00,3.00,4.00,4.00,4.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3143821,3.00,1.00,2.00,7.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3143830,8.00,9.00,7.00,7.00,8.00,6.25,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3143848,5.00,7.00,2.00,3.00,5.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3143856,3.00,5.00,3.00,5.00,4.00,4.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3143864,7.00,8.00,9.00,9.00,6.00,4.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3143872,7.00,7.00,4.00,7.00,8.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3143880,4.00,6.00,3.00,5.00,6.00,6.00,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3143899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3143902,4.00,7.00,5.00,8.00,5.00,6.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3143910,3.00,2.00,3.00,7.00,6.00,5.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3143929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3143937,4.00,4.00,3.00,1.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3143953,5.00,4.00,1.00,3.00,6.00,4.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3143961,5.00,6.00,5.00,5.00,6.00,6.50,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3143970,3.00,4.00,3.00,3.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3143996,6.00,6.00,4.00,9.00,6.00,4.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3144003,5.00,3.00,3.00,6.00,5.00,5.50,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3144038,6.00,3.00,5.00,7.00,6.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3144046,0.00,4.00,1.00,8.00,5.00,6.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3144054,4.00,6.00,7.00,6.00,1.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3144062,8.00,6.00,7.00,9.00,7.00,6.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3144070,7.00,7.00,3.00,6.00,5.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3144089,5.00,4.00,1.00,6.00,5.00,5.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3144100,3.00,6.00,3.00,9.00,8.00,4.50,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3144127,4.00,5.00,5.00,9.00,4.00,5.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3144135,3.00,6.00,1.00,7.00,5.00,7.50,2.00,8.00,3.00,NULL,NULL,NULL,'S'),(16,3144143,6.00,6.00,5.00,6.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3144151,4.00,7.00,6.00,7.00,5.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3144186,4.00,5.00,4.00,4.00,4.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3144194,4.00,2.00,2.00,5.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3144208,3.00,1.00,5.00,5.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3144216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3144224,6.00,8.00,4.00,8.00,8.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3144232,5.00,5.00,3.00,8.00,8.00,4.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3144240,2.00,4.00,1.00,5.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3144259,5.00,6.00,4.00,7.00,5.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3144267,3.00,4.00,3.00,2.00,5.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3144283,3.00,5.00,1.00,5.00,5.00,6.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3144291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3144305,6.00,6.00,7.00,8.00,6.00,5.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3144313,6.00,6.00,3.00,3.00,3.00,NULL,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3144321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3144348,5.00,7.00,5.00,6.00,4.00,5.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3144356,2.00,4.00,1.00,9.00,4.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3144364,8.00,9.00,6.00,6.00,7.00,7.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3144372,4.00,7.00,2.00,7.00,4.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3144380,4.00,4.00,5.00,2.00,4.00,5.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3144399,4.00,1.00,3.00,5.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3144402,2.00,6.00,2.00,5.00,6.00,4.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3144410,1.00,2.00,1.00,6.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3144429,3.00,4.00,4.00,4.00,5.00,4.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3144437,8.00,8.00,7.00,7.00,6.00,6.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3144445,2.00,1.00,4.00,4.00,4.00,4.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3144453,6.00,7.00,3.00,5.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3144461,8.00,7.00,3.00,8.00,7.00,4.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3144470,4.00,6.00,1.00,8.00,6.00,5.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3144488,6.00,3.00,6.00,6.00,5.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3144496,3.00,5.00,2.00,3.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3144500,3.00,5.00,2.00,5.00,6.00,5.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3144518,0.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3144542,5.00,5.00,4.00,7.00,7.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3144550,7.00,6.00,5.00,7.00,4.00,4.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3144569,5.00,6.00,4.00,7.00,5.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3144577,6.00,8.00,4.00,7.00,8.00,4.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3144607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3144615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3144623,4.00,6.00,3.00,4.00,3.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3144631,7.00,7.00,6.00,4.00,7.00,6.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3144640,6.00,7.00,3.00,6.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3144666,7.00,8.00,7.00,9.00,6.00,7.25,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3144674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3144682,9.00,7.00,7.00,7.00,7.00,7.50,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3144690,3.00,4.00,2.00,6.00,5.00,3.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3144704,8.00,7.00,3.00,0.00,4.00,NULL,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3144712,5.00,7.00,5.00,5.00,6.00,4.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3144720,7.00,8.00,2.00,3.00,5.00,5.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3144739,6.00,4.00,2.00,2.00,5.00,6.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3144747,8.00,6.00,4.00,6.00,8.00,5.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3144755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3144763,3.00,4.00,2.00,3.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3144771,1.00,2.00,2.00,0.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3144798,2.00,2.00,2.00,5.00,4.00,7.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3144801,2.00,4.00,1.00,6.00,4.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3144828,4.00,3.00,1.00,2.00,2.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3144836,4.00,3.00,4.00,1.00,7.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3144844,4.00,3.00,2.00,8.00,6.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3144852,4.00,4.00,1.00,5.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3144879,6.00,6.00,2.00,6.00,5.00,5.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3144895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3144909,8.00,7.00,4.00,8.00,8.00,5.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3144925,4.00,5.00,1.00,4.00,5.00,4.25,2.00,7.00,0.00,NULL,NULL,NULL,'S'),(16,3144933,4.00,5.00,3.00,7.00,3.00,NULL,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3144941,4.00,4.00,2.00,6.00,4.00,6.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3144976,7.00,5.00,3.00,1.00,4.00,5.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3144984,6.00,7.00,5.00,7.00,5.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3144992,6.00,7.00,3.00,8.00,5.00,7.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3145000,3.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3145026,8.00,5.00,8.00,9.00,6.00,6.75,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3145034,3.00,1.00,2.00,2.00,2.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3145077,2.00,5.00,3.00,5.00,4.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3145093,6.00,5.00,3.00,5.00,5.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3145107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3145115,5.00,4.00,4.00,7.00,4.00,4.75,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3145123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3145140,8.00,7.00,8.00,7.00,4.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3145158,4.00,4.00,2.00,8.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3145166,4.00,6.00,7.00,9.00,6.00,6.25,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3145174,3.00,6.00,4.00,4.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3145182,7.00,6.00,6.00,6.00,4.00,7.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3145190,4.00,7.00,2.00,5.00,5.00,7.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3145204,4.00,5.00,5.00,7.00,5.00,6.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3145212,4.00,5.00,5.00,9.00,8.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3145239,3.00,2.00,2.00,8.00,4.00,5.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3145247,3.00,4.00,1.00,1.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3145255,3.00,1.00,3.00,8.00,4.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3145263,6.00,8.00,8.00,8.00,9.00,6.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3145280,6.00,3.00,4.00,7.00,6.00,6.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3145298,3.00,8.00,2.00,8.00,7.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3145328,3.00,2.00,4.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3145336,5.00,6.00,6.00,8.00,7.00,4.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3145344,5.00,5.00,5.00,4.00,5.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3145352,8.00,5.00,3.00,7.00,6.00,7.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3145360,5.00,4.00,4.00,7.00,5.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3145379,5.00,4.00,5.00,5.00,5.00,6.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3145387,5.00,5.00,4.00,5.00,6.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3145409,3.00,1.00,2.00,4.00,0.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3145417,4.00,2.00,2.00,9.00,4.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3145425,1.00,1.00,3.00,5.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3145433,1.00,3.00,2.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3145441,4.00,4.00,3.00,6.00,4.00,5.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3145450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3145468,5.00,4.00,7.00,9.00,7.00,5.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3145476,7.00,6.00,4.00,4.00,6.00,4.75,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3145484,3.00,4.00,2.00,7.00,6.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3145506,7.00,4.00,2.00,9.00,6.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3145514,7.00,4.00,7.00,9.00,8.00,6.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3145530,3.00,2.00,2.00,6.00,5.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3145549,6.00,8.00,5.00,4.00,7.00,4.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3145557,3.00,4.00,4.00,5.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3145565,7.00,7.00,5.00,9.00,6.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3145573,4.00,7.00,3.00,5.00,6.00,6.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3145581,3.00,0.00,4.00,3.00,5.00,5.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3145590,6.00,6.00,7.00,9.00,8.00,7.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3145611,4.00,3.00,3.00,5.00,6.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3145620,3.00,2.00,4.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3145638,4.00,3.00,3.00,4.00,4.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3145646,3.00,3.00,4.00,7.00,7.00,5.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3145654,4.00,8.00,3.00,2.00,3.00,NULL,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3145662,3.00,3.00,3.00,4.00,6.00,5.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3145670,4.00,7.00,6.00,8.00,5.00,4.25,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3145689,8.00,6.00,5.00,6.00,3.00,NULL,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3145700,3.00,4.00,2.00,7.00,6.00,6.50,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3145719,6.00,8.00,6.00,3.00,7.00,6.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3145727,3.00,6.00,3.00,8.00,4.00,4.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3145743,5.00,4.00,6.00,9.00,7.00,5.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3145751,3.00,5.00,4.00,7.00,4.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3145760,7.00,6.00,4.00,8.00,7.00,6.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3145778,5.00,3.00,3.00,3.00,2.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3145786,2.00,4.00,3.00,6.00,4.00,5.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3145794,3.00,4.00,4.00,3.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3145808,4.00,6.00,4.00,5.00,5.00,5.50,3.00,2.00,5.00,NULL,NULL,NULL,'S'),(16,3145816,5.00,3.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3145824,5.00,2.00,3.00,1.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3145832,8.00,7.00,5.00,9.00,7.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3145840,6.00,5.00,5.00,4.00,7.00,4.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3145859,4.00,7.00,4.00,7.00,6.00,4.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3145867,2.00,3.00,4.00,1.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3145875,2.00,1.00,4.00,4.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3145891,5.00,6.00,3.00,7.00,6.00,4.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3145921,8.00,5.00,6.00,8.00,6.00,6.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3145930,4.00,3.00,4.00,8.00,6.00,8.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3145948,8.00,9.00,8.00,9.00,8.00,7.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3145956,2.00,4.00,4.00,0.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3145964,9.00,5.00,4.00,9.00,8.00,5.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3145972,8.00,6.00,3.00,8.00,5.00,5.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3145980,8.00,5.00,8.00,6.00,5.00,5.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3145999,6.00,5.00,2.00,6.00,5.00,3.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3146006,3.00,6.00,4.00,6.00,8.00,4.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3146014,2.00,4.00,3.00,8.00,5.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3146030,3.00,4.00,3.00,6.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3146049,3.00,1.00,4.00,0.00,4.00,NULL,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3146073,8.00,7.00,4.00,7.00,5.00,4.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3146081,6.00,6.00,4.00,7.00,4.00,5.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3146090,3.00,4.00,3.00,5.00,4.00,6.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3146103,3.00,4.00,6.00,8.00,5.00,5.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3146111,2.00,5.00,3.00,4.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3146120,4.00,3.00,4.00,4.00,6.00,2.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3146138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3146146,2.00,4.00,3.00,6.00,6.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3146154,6.00,5.00,4.00,7.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3146189,5.00,5.00,3.00,7.00,6.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3146197,4.00,3.00,6.00,7.00,5.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3146200,5.00,5.00,6.00,7.00,6.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3146219,3.00,2.00,2.00,3.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3146227,3.00,5.00,2.00,5.00,6.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3146235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3146251,7.00,8.00,5.00,6.00,7.00,6.00,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3146260,7.00,7.00,4.00,7.00,5.00,5.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3146278,2.00,4.00,4.00,4.00,6.00,5.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3146286,1.00,8.00,2.00,6.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3146294,7.00,6.00,8.00,6.00,5.00,6.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3146308,4.00,7.00,3.00,5.00,2.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3146316,1.00,1.00,2.00,1.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3146324,3.00,1.00,1.00,4.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3146340,2.00,5.00,2.00,7.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3146359,5.00,2.00,2.00,5.00,5.00,7.25,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3146375,6.00,6.00,4.00,7.00,6.00,5.00,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3146383,3.00,3.00,3.00,6.00,4.00,6.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3146391,5.00,5.00,1.00,4.00,4.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3146405,6.00,7.00,4.00,6.00,6.00,5.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3146413,4.00,4.00,4.00,1.00,4.00,3.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3146421,6.00,7.00,5.00,6.00,5.00,5.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3146448,4.00,2.00,3.00,3.00,2.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3146456,3.00,7.00,2.00,6.00,4.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3146464,4.00,4.00,2.00,5.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3146472,1.00,3.00,1.00,2.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3146502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3146510,3.00,7.00,4.00,8.00,5.00,7.25,3.00,6.00,6.00,NULL,NULL,NULL,'S'),(16,3146529,4.00,6.00,4.00,4.00,4.00,6.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3146537,6.00,2.00,2.00,7.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3146545,4.00,2.00,1.00,1.00,1.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3146553,4.00,5.00,3.00,7.00,5.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3146570,4.00,3.00,1.00,3.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3146588,3.00,3.00,2.00,1.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3146596,3.00,3.00,4.00,2.00,6.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3146618,3.00,4.00,3.00,9.00,5.00,4.00,4.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3146626,7.00,6.00,3.00,8.00,7.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3146634,1.00,4.00,3.00,5.00,4.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3146642,4.00,4.00,2.00,7.00,5.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3146650,5.00,5.00,3.00,6.00,5.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3146669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3146685,4.00,4.00,1.00,5.00,5.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3146693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3146707,2.00,4.00,1.00,5.00,4.00,4.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3146715,6.00,7.00,5.00,7.00,5.00,6.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3146723,6.00,3.00,3.00,3.00,4.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3146740,2.00,6.00,5.00,6.00,5.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3146758,5.00,8.00,1.00,7.00,4.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3146766,1.00,3.00,1.00,3.00,4.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3146774,7.00,7.00,4.00,5.00,7.00,7.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3146782,5.00,1.00,2.00,5.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3146790,4.00,6.00,2.00,2.00,4.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3146804,9.00,8.00,8.00,7.00,5.00,6.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3146812,5.00,3.00,4.00,6.00,6.00,6.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3146820,2.00,6.00,2.00,7.00,5.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3146847,3.00,6.00,4.00,7.00,5.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3146855,4.00,3.00,3.00,1.00,3.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3146880,7.00,6.00,5.00,5.00,2.00,NULL,2.00,6.00,6.00,NULL,NULL,NULL,'S'),(16,3146898,4.00,5.00,5.00,7.00,4.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3146901,5.00,4.00,4.00,5.00,5.00,4.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3146910,3.00,5.00,2.00,6.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3146928,5.00,2.00,3.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3146944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3146960,4.00,8.00,4.00,6.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3146979,5.00,7.00,5.00,7.00,8.00,7.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3146987,6.00,3.00,3.00,6.00,5.00,8.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3147010,3.00,6.00,6.00,6.00,6.00,5.50,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3147029,7.00,9.00,3.00,8.00,5.00,6.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3147037,4.00,6.00,6.00,8.00,7.00,6.50,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3147045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3147070,3.00,3.00,3.00,2.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3147088,7.00,5.00,5.00,9.00,3.00,NULL,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3147096,7.00,6.00,6.00,8.00,6.00,6.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3147100,3.00,5.00,3.00,2.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3147118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3147134,4.00,5.00,1.00,2.00,6.00,4.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3147150,3.00,3.00,2.00,7.00,3.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3147169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3147185,3.00,3.00,3.00,5.00,2.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3147193,6.00,5.00,2.00,6.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3147207,1.00,4.00,3.00,6.00,4.00,5.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3147215,5.00,4.00,4.00,0.00,6.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3147223,6.00,8.00,8.00,7.00,7.00,5.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3147231,2.00,5.00,4.00,8.00,4.00,7.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3147240,2.00,6.00,1.00,4.00,4.00,0.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3147258,2.00,0.00,2.00,5.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3147266,4.00,5.00,2.00,5.00,5.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3147274,6.00,7.00,4.00,8.00,8.00,6.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3147282,4.00,6.00,4.00,7.00,7.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3147290,3.00,3.00,2.00,3.00,4.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3147304,7.00,7.00,5.00,6.00,5.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3147312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3147320,4.00,2.00,1.00,4.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3147339,5.00,4.00,3.00,1.00,4.00,5.00,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3147347,1.00,3.00,4.00,3.00,2.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3147355,2.00,3.00,2.00,4.00,4.00,5.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3147363,6.00,5.00,6.00,8.00,5.00,4.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3147371,8.00,7.00,5.00,8.00,8.00,8.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3147380,6.00,8.00,4.00,9.00,8.00,7.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3147398,7.00,6.00,5.00,8.00,5.00,4.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3147401,7.00,5.00,4.00,8.00,6.00,5.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3147428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3147436,9.00,7.00,9.00,7.00,4.00,7.25,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3147452,0.00,4.00,4.00,6.00,5.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3147460,3.00,5.00,1.00,0.00,4.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3147479,7.00,7.00,4.00,1.00,6.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3147487,5.00,5.00,4.00,8.00,5.00,5.25,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3147495,6.00,4.00,3.00,6.00,6.00,6.75,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3147509,1.00,4.00,1.00,6.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3147517,2.00,6.00,4.00,6.00,6.00,4.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3147533,6.00,7.00,4.00,7.00,8.00,6.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3147541,6.00,4.00,2.00,9.00,7.00,7.00,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3147550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3147568,4.00,5.00,2.00,3.00,2.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3147584,7.00,5.00,3.00,7.00,7.00,6.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3147592,4.00,5.00,7.00,8.00,4.00,6.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3147606,5.00,6.00,5.00,9.00,5.00,5.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3147614,6.00,5.00,5.00,6.00,6.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3147630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3147657,3.00,4.00,3.00,6.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3147673,6.00,5.00,3.00,6.00,4.00,5.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3147681,3.00,5.00,6.00,7.00,6.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3147690,7.00,3.00,4.00,7.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3147711,3.00,4.00,2.00,1.00,1.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3147720,2.00,6.00,1.00,5.00,4.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3147738,6.00,5.00,3.00,5.00,6.00,5.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3147746,4.00,5.00,5.00,7.00,8.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3147754,3.00,5.00,3.00,6.00,6.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3147770,4.00,4.00,4.00,8.00,5.00,4.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3147789,4.00,6.00,4.00,7.00,4.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3147797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3147800,5.00,8.00,5.00,8.00,8.00,5.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3147819,5.00,5.00,3.00,8.00,6.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3147827,4.00,4.00,3.00,0.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3147835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3147843,5.00,4.00,3.00,6.00,5.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3147851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3147860,4.00,7.00,5.00,7.00,6.00,6.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3147878,7.00,6.00,5.00,7.00,8.00,5.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3147886,7.00,6.00,7.00,8.00,6.00,7.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3147916,8.00,7.00,6.00,8.00,6.00,7.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3147932,5.00,5.00,7.00,7.00,4.00,5.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3147940,3.00,5.00,6.00,6.00,7.00,5.25,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3147959,5.00,5.00,4.00,7.00,4.00,4.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3147967,5.00,5.00,5.00,5.00,6.00,6.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3147975,7.00,8.00,6.00,9.00,8.00,6.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3147983,0.00,0.00,0.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3147991,6.00,4.00,1.00,3.00,5.00,6.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3148017,2.00,3.00,3.00,7.00,6.00,6.25,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3148025,4.00,5.00,4.00,8.00,2.00,NULL,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3148033,3.00,4.00,1.00,3.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3148041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3148050,3.00,4.00,2.00,9.00,4.00,5.50,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3148076,7.00,7.00,8.00,9.00,8.00,7.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3148084,8.00,7.00,5.00,6.00,7.00,8.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3148092,2.00,0.00,1.00,3.00,1.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3148106,9.00,7.00,9.00,9.00,8.00,8.25,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3148122,5.00,4.00,2.00,8.00,5.00,5.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3148130,4.00,2.00,2.00,7.00,1.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3148149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3148157,6.00,1.00,1.00,5.00,5.00,5.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3148173,4.00,5.00,2.00,7.00,4.00,4.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3148181,2.00,1.00,4.00,6.00,6.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3148190,6.00,6.00,2.00,8.00,6.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3148211,6.00,5.00,6.00,7.00,4.00,5.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3148220,5.00,5.00,4.00,3.00,1.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3148238,5.00,1.00,2.00,0.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3148246,2.00,4.00,2.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3148254,1.00,7.00,3.00,8.00,4.00,5.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3148262,3.00,3.00,2.00,2.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3148270,6.00,6.00,4.00,6.00,6.00,5.50,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3148297,6.00,4.00,3.00,9.00,4.00,5.00,3.00,6.00,6.00,NULL,NULL,NULL,'S'),(16,3148319,8.00,7.00,6.00,9.00,8.00,6.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3148327,5.00,5.00,3.00,9.00,5.00,6.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3148335,6.00,6.00,3.00,9.00,3.00,NULL,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3148343,8.00,6.00,4.00,9.00,8.00,6.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3148351,0.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3148360,5.00,3.00,6.00,5.00,5.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3148378,6.00,6.00,6.00,10.00,6.00,6.75,1.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3148386,4.00,5.00,6.00,6.00,4.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3148394,8.00,5.00,2.00,6.00,4.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3148408,7.00,8.00,2.00,4.00,8.00,5.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3148416,3.00,4.00,2.00,8.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3148424,5.00,6.00,6.00,8.00,6.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3148440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3148459,8.00,7.00,8.00,9.00,6.00,7.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3148467,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3148475,6.00,8.00,3.00,8.00,8.00,7.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3148483,4.00,4.00,5.00,4.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3148491,6.00,6.00,7.00,7.00,6.00,7.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3148505,4.00,5.00,2.00,3.00,4.00,5.25,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3148513,3.00,5.00,3.00,3.00,5.00,7.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3148521,3.00,4.00,5.00,9.00,4.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3148530,3.00,2.00,5.00,6.00,7.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3148548,8.00,9.00,6.00,9.00,7.00,6.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3148556,5.00,4.00,4.00,6.00,5.00,6.25,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3148564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3148572,6.00,6.00,4.00,5.00,5.00,6.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3148602,5.00,4.00,6.00,8.00,6.00,6.00,8.00,5.00,9.00,NULL,NULL,NULL,'N'),(16,3148629,4.00,6.00,2.00,3.00,5.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3148637,3.00,5.00,1.00,5.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3148645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3148653,5.00,7.00,4.00,8.00,6.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3148661,5.00,5.00,4.00,1.00,8.00,4.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3148670,2.00,2.00,2.00,1.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3148688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3148696,7.00,6.00,4.00,6.00,2.00,NULL,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3148700,3.00,3.00,4.00,6.00,5.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3148718,8.00,5.00,7.00,6.00,8.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3148726,3.00,3.00,1.00,8.00,2.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3148734,1.00,3.00,2.00,0.00,5.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3148742,3.00,5.00,3.00,8.00,7.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3148750,3.00,2.00,2.00,3.00,0.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3148769,6.00,4.00,5.00,9.00,6.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3148777,3.00,3.00,1.00,7.00,4.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3148785,2.00,4.00,2.00,8.00,4.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3148793,7.00,6.00,7.00,8.00,6.00,6.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3148831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3148858,8.00,8.00,8.00,8.00,8.00,6.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3148866,5.00,4.00,3.00,5.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3148874,5.00,5.00,4.00,8.00,6.00,6.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3148882,3.00,4.00,4.00,8.00,5.00,6.50,4.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3148890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3148904,2.00,4.00,2.00,3.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3148912,6.00,5.00,2.00,7.00,4.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3148920,4.00,7.00,2.00,8.00,5.00,7.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3148939,3.00,3.00,4.00,4.00,5.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3148963,1.00,3.00,2.00,5.00,3.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3148971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3148980,6.00,7.00,2.00,6.00,5.00,4.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3148998,3.00,5.00,6.00,0.00,3.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3149005,3.00,4.00,1.00,5.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3149013,6.00,6.00,4.00,6.00,6.00,5.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3149021,3.00,5.00,3.00,6.00,6.00,5.00,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3149030,5.00,7.00,3.00,4.00,9.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3149048,2.00,5.00,4.00,3.00,4.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3149056,9.00,8.00,5.00,9.00,6.00,6.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3149064,4.00,3.00,3.00,6.00,5.00,5.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3149072,8.00,8.00,8.00,8.00,7.00,8.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3149080,4.00,4.00,3.00,4.00,6.00,5.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3149099,4.00,4.00,4.00,7.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3149102,3.00,2.00,2.00,6.00,4.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3149110,5.00,3.00,2.00,3.00,2.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3149129,5.00,9.00,5.00,9.00,6.00,4.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3149137,3.00,2.00,3.00,7.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3149161,5.00,5.00,2.00,7.00,5.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3149170,7.00,5.00,6.00,5.00,6.00,5.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3149188,3.00,6.00,1.00,6.00,4.00,4.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3149200,2.00,2.00,2.00,5.00,0.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3149226,4.00,6.00,1.00,8.00,5.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3149242,2.00,3.00,3.00,6.00,4.00,5.00,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3149250,7.00,8.00,8.00,9.00,7.00,7.25,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3149269,8.00,8.00,6.00,9.00,6.00,5.00,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3149277,3.00,7.00,5.00,8.00,7.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3149285,3.00,8.00,1.00,7.00,3.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3149307,4.00,6.00,4.00,7.00,6.00,7.00,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3149315,5.00,7.00,5.00,8.00,5.00,4.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3149323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3149331,6.00,1.00,1.00,2.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3149340,8.00,8.00,6.00,9.00,8.00,6.25,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3149358,6.00,6.00,4.00,6.00,5.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3149366,7.00,5.00,5.00,6.00,4.00,6.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3149374,4.00,4.00,5.00,4.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3149382,6.00,4.00,2.00,7.00,4.00,6.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3149390,2.00,3.00,2.00,3.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3149412,3.00,4.00,1.00,5.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3149420,2.00,6.00,3.00,7.00,5.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3149439,8.00,7.00,9.00,8.00,7.00,6.25,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3149447,3.00,3.00,3.00,3.00,0.00,NULL,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3149455,4.00,3.00,3.00,5.00,6.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3149463,3.00,4.00,4.00,6.00,4.00,4.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3149471,5.00,4.00,2.00,4.00,4.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3149480,4.00,6.00,5.00,7.00,6.00,6.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3149498,3.00,6.00,3.00,7.00,8.00,5.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3149510,6.00,8.00,4.00,8.00,6.00,5.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3149528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3149536,7.00,6.00,5.00,4.00,8.00,4.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3149544,8.00,9.00,8.00,9.00,8.00,5.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3149560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3149579,2.00,4.00,3.00,6.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3149587,8.00,9.00,7.00,6.00,9.00,7.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3149595,9.00,9.00,6.00,8.00,8.00,7.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3149609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3149617,4.00,3.00,1.00,5.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3149676,9.00,6.00,9.00,8.00,6.00,6.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3149684,8.00,8.00,7.00,9.00,4.00,6.50,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3149692,8.00,7.00,6.00,9.00,7.00,6.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3149722,5.00,7.00,3.00,5.00,4.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3149749,8.00,8.00,5.00,7.00,7.00,6.00,6.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3149757,5.00,2.00,1.00,6.00,1.00,NULL,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3149765,5.00,7.00,2.00,5.00,6.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3149773,5.00,6.00,5.00,7.00,5.00,7.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3149781,2.00,0.00,1.00,4.00,1.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3149790,4.00,4.00,2.00,3.00,4.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3149803,5.00,5.00,4.00,8.00,6.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3149811,4.00,5.00,3.00,7.00,7.00,4.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3149820,6.00,5.00,9.00,9.00,8.00,6.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3149846,4.00,7.00,4.00,2.00,4.00,5.75,3.00,8.00,5.00,NULL,NULL,NULL,'S'),(16,3149854,8.00,8.00,7.00,9.00,5.00,7.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3149862,4.00,4.00,3.00,7.00,4.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3149870,7.00,3.00,4.00,4.00,4.00,4.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3149889,5.00,2.00,4.00,7.00,5.00,4.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3149900,2.00,3.00,3.00,6.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3149919,1.00,3.00,4.00,7.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3149927,5.00,5.00,1.00,7.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3149935,4.00,8.00,7.00,9.00,6.00,5.75,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3149943,6.00,5.00,3.00,7.00,6.00,4.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3149951,4.00,2.00,2.00,5.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3149960,8.00,7.00,9.00,8.00,4.00,8.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3149978,5.00,6.00,2.00,9.00,5.00,5.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3149986,4.00,8.00,4.00,5.00,5.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3149994,1.00,5.00,1.00,8.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3150003,7.00,5.00,4.00,7.00,4.00,5.50,3.00,4.00,6.00,NULL,NULL,NULL,'S'),(16,3150011,7.00,7.00,5.00,9.00,8.00,5.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3150046,4.00,3.00,3.00,3.00,4.00,4.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3150054,3.00,3.00,2.00,7.00,5.00,4.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3150062,4.00,5.00,9.00,8.00,4.00,5.50,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3150070,6.00,7.00,4.00,9.00,5.00,6.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3150089,3.00,5.00,2.00,7.00,6.00,4.75,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3150097,8.00,7.00,6.00,7.00,5.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3150100,7.00,8.00,7.00,9.00,7.00,6.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3150119,8.00,6.00,6.00,7.00,7.00,6.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3150127,5.00,5.00,4.00,7.00,4.00,5.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3150135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3150143,5.00,5.00,3.00,6.00,5.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3150151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3150160,4.00,6.00,3.00,8.00,5.00,5.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3150178,5.00,5.00,2.00,6.00,7.00,7.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3150186,7.00,6.00,2.00,9.00,6.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3150194,5.00,6.00,1.00,3.00,6.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3150208,3.00,5.00,7.00,4.00,4.00,5.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3150216,6.00,3.00,3.00,7.00,4.00,4.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3150232,5.00,2.00,2.00,8.00,6.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3150240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3150259,6.00,5.00,3.00,7.00,6.00,5.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3150267,4.00,2.00,2.00,6.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3150275,6.00,5.00,1.00,5.00,3.00,NULL,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3150283,5.00,4.00,4.00,9.00,4.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3150291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3150305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3150313,8.00,7.00,6.00,9.00,8.00,5.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3150321,4.00,5.00,4.00,5.00,6.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3150348,3.00,5.00,3.00,8.00,7.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3150356,3.00,5.00,3.00,7.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3150364,4.00,7.00,3.00,9.00,8.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3150372,7.00,7.00,2.00,7.00,6.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3150399,5.00,3.00,5.00,6.00,5.00,6.50,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3150402,4.00,7.00,4.00,8.00,6.00,7.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3150410,7.00,7.00,7.00,5.00,7.00,6.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3150437,4.00,5.00,4.00,5.00,5.00,6.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3150445,2.00,5.00,3.00,6.00,2.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3150453,7.00,6.00,4.00,8.00,2.00,NULL,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3150488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3150526,4.00,3.00,2.00,5.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3150534,4.00,6.00,2.00,5.00,5.00,3.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3150542,8.00,7.00,6.00,8.00,9.00,8.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3150550,4.00,4.00,2.00,6.00,2.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3150569,5.00,5.00,5.00,3.00,6.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3150577,3.00,4.00,5.00,5.00,4.00,3.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3150585,3.00,3.00,2.00,8.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3150593,7.00,6.00,5.00,8.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3150607,4.00,8.00,6.00,9.00,8.00,6.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3150615,3.00,6.00,3.00,9.00,4.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3150623,4.00,2.00,1.00,4.00,6.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3150640,5.00,3.00,2.00,6.00,6.00,5.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3150658,4.00,5.00,2.00,7.00,4.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3150666,4.00,5.00,4.00,8.00,7.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3150674,6.00,5.00,6.00,7.00,8.00,5.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3150682,4.00,4.00,4.00,2.00,5.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3150690,6.00,7.00,5.00,8.00,7.00,6.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3150704,0.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3150712,3.00,5.00,4.00,7.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3150720,6.00,6.00,5.00,7.00,6.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3150739,1.00,2.00,3.00,4.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3150747,4.00,2.00,1.00,8.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3150755,7.00,7.00,8.00,6.00,7.00,6.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3150763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3150771,3.00,4.00,3.00,3.00,5.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3150780,6.00,4.00,3.00,9.00,5.00,4.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3150798,6.00,7.00,5.00,8.00,7.00,5.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3150801,4.00,5.00,1.00,8.00,7.00,7.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3150810,4.00,4.00,2.00,2.00,2.00,NULL,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3150828,2.00,3.00,2.00,5.00,4.00,5.75,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3150836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3150844,5.00,5.00,5.00,6.00,4.00,3.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3150852,3.00,5.00,3.00,4.00,5.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3150860,3.00,1.00,2.00,3.00,0.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3150879,6.00,6.00,6.00,7.00,8.00,6.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3150887,5.00,3.00,3.00,5.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3150895,5.00,6.00,4.00,7.00,5.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3150917,0.00,0.00,0.00,2.00,2.00,NULL,2.00,2.00,4.00,NULL,'S',NULL,'S'),(16,3150933,5.00,4.00,3.00,3.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3150941,6.00,6.00,4.00,5.00,4.00,4.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3150950,6.00,6.00,3.00,5.00,8.00,7.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3150968,7.00,7.00,7.00,9.00,8.00,6.50,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3150976,5.00,6.00,6.00,5.00,5.00,5.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3150984,8.00,8.00,9.00,8.00,7.00,6.75,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3150992,6.00,4.00,1.00,3.00,4.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3151000,3.00,4.00,1.00,5.00,4.00,4.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3151018,8.00,7.00,9.00,6.00,8.00,5.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3151026,4.00,0.00,4.00,4.00,5.00,4.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3151042,5.00,3.00,1.00,2.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3151050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3151069,5.00,6.00,4.00,5.00,4.00,6.00,5.00,8.00,5.00,NULL,NULL,NULL,'S'),(16,3151077,3.00,7.00,3.00,8.00,6.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3151085,4.00,6.00,5.00,4.00,4.00,6.75,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3151093,8.00,9.00,5.00,8.00,6.00,5.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3151107,6.00,5.00,7.00,6.00,4.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3151115,9.00,9.00,4.00,6.00,6.00,5.50,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3151123,4.00,6.00,1.00,1.00,5.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3151131,4.00,3.00,3.00,5.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3151158,7.00,7.00,5.00,6.00,8.00,5.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3151166,6.00,4.00,2.00,3.00,6.00,5.75,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3151174,3.00,2.00,2.00,8.00,4.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3151182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3151190,1.00,7.00,3.00,5.00,7.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3151204,5.00,6.00,6.00,8.00,5.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3151212,5.00,6.00,2.00,8.00,6.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3151220,4.00,5.00,3.00,5.00,6.00,4.25,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3151239,4.00,2.00,4.00,2.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3151247,4.00,6.00,3.00,8.00,7.00,4.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3151255,4.00,8.00,1.00,3.00,1.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3151263,3.00,4.00,3.00,5.00,5.00,6.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3151271,4.00,3.00,2.00,7.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3151280,4.00,3.00,3.00,9.00,7.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3151298,5.00,5.00,6.00,6.00,7.00,5.00,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3151301,7.00,7.00,6.00,7.00,8.00,6.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3151310,2.00,0.00,2.00,4.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3151336,5.00,3.00,2.00,6.00,4.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3151344,4.00,7.00,4.00,7.00,4.00,5.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3151352,9.00,7.00,6.00,3.00,8.00,6.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3151387,5.00,5.00,3.00,3.00,4.00,6.00,1.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3151417,4.00,3.00,1.00,5.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3151425,5.00,4.00,1.00,2.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3151433,6.00,5.00,5.00,6.00,6.00,6.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3151441,1.00,2.00,2.00,5.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3151450,5.00,4.00,1.00,7.00,5.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3151468,8.00,9.00,2.00,7.00,7.00,6.25,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3151476,3.00,3.00,1.00,6.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3151484,4.00,4.00,4.00,4.00,5.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3151492,4.00,8.00,5.00,5.00,6.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3151506,9.00,6.00,6.00,9.00,7.00,7.50,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3151514,5.00,3.00,4.00,6.00,7.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3151522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3151530,5.00,5.00,6.00,7.00,5.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3151549,2.00,8.00,2.00,4.00,4.00,5.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3151557,1.00,2.00,3.00,6.00,1.00,NULL,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3151565,3.00,4.00,5.00,6.00,4.00,6.75,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3151573,4.00,8.00,4.00,8.00,4.00,4.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3151590,6.00,7.00,3.00,8.00,9.00,7.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3151611,8.00,8.00,6.00,5.00,7.00,5.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3151638,1.00,3.00,2.00,1.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3151646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3151654,4.00,6.00,4.00,8.00,4.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3151662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3151670,1.00,2.00,2.00,5.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3151689,3.00,2.00,1.00,8.00,6.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3151697,7.00,8.00,5.00,6.00,7.00,6.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3151700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3151719,4.00,8.00,6.00,8.00,6.00,5.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3151727,2.00,4.00,1.00,7.00,7.00,7.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3151735,2.00,2.00,5.00,1.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3151743,3.00,2.00,1.00,1.00,5.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3151751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3151760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3151778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3151794,3.00,5.00,8.00,9.00,5.00,6.25,2.00,5.00,8.00,NULL,NULL,NULL,'S'),(16,3151816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3151840,1.00,1.00,1.00,4.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3151859,6.00,3.00,4.00,6.00,6.00,6.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3151867,5.00,2.00,2.00,7.00,4.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3151875,3.00,0.00,1.00,4.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3151883,8.00,8.00,7.00,7.00,8.00,6.25,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3151891,5.00,7.00,3.00,8.00,6.00,8.00,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3151905,2.00,2.00,5.00,5.00,5.00,5.75,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3151913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3151921,6.00,5.00,2.00,7.00,4.00,5.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3151930,5.00,8.00,4.00,9.00,5.00,4.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3151948,8.00,9.00,4.00,3.00,6.00,5.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3151964,9.00,7.00,9.00,8.00,7.00,6.75,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3151972,6.00,4.00,3.00,9.00,5.00,5.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3151980,5.00,5.00,6.00,6.00,5.00,6.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3151999,5.00,4.00,1.00,8.00,5.00,4.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3152006,5.00,5.00,5.00,6.00,5.00,4.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3152014,7.00,8.00,6.00,6.00,6.00,5.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3152022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3152030,6.00,6.00,3.00,8.00,6.00,5.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3152049,2.00,4.00,3.00,5.00,4.00,5.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3152057,0.00,5.00,1.00,4.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3152065,1.00,4.00,2.00,6.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3152073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3152081,5.00,5.00,2.00,6.00,7.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3152090,3.00,5.00,3.00,6.00,7.00,5.00,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3152120,2.00,4.00,4.00,3.00,4.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3152138,4.00,6.00,1.00,2.00,5.00,5.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3152146,4.00,4.00,4.00,2.00,5.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3152154,5.00,4.00,2.00,8.00,5.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3152162,3.00,4.00,2.00,6.00,2.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3152189,3.00,2.00,2.00,3.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3152227,4.00,1.00,1.00,1.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3152235,6.00,8.00,7.00,5.00,7.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3152243,4.00,4.00,1.00,0.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3152251,2.00,5.00,3.00,2.00,2.00,NULL,3.00,4.00,6.00,NULL,NULL,NULL,'S'),(16,3152260,3.00,1.00,3.00,5.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3152278,3.00,7.00,6.00,7.00,6.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3152286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3152294,4.00,3.00,3.00,8.00,8.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3152316,5.00,6.00,6.00,7.00,5.00,6.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3152324,6.00,7.00,4.00,8.00,6.00,4.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3152340,3.00,2.00,1.00,2.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3152359,5.00,6.00,1.00,8.00,7.00,3.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3152367,5.00,3.00,4.00,5.00,4.00,6.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3152375,4.00,6.00,1.00,2.00,6.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3152383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3152391,8.00,7.00,7.00,7.00,6.00,6.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3152413,3.00,5.00,3.00,1.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3152421,0.00,2.00,3.00,4.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3152430,1.00,6.00,4.00,3.00,5.00,4.75,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3152456,6.00,8.00,5.00,6.00,8.00,5.25,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3152464,1.00,4.00,2.00,2.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3152472,4.00,5.00,4.00,8.00,4.00,6.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3152499,6.00,6.00,4.00,5.00,7.00,5.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3152510,9.00,8.00,5.00,10.00,7.00,7.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3152529,8.00,7.00,6.00,8.00,7.00,6.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3152537,4.00,4.00,2.00,6.00,4.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3152545,6.00,7.00,7.00,5.00,8.00,5.75,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3152553,6.00,6.00,6.00,3.00,4.00,4.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3152561,3.00,6.00,4.00,6.00,4.00,4.75,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3152570,0.00,1.00,1.00,0.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3152588,3.00,3.00,2.00,6.00,7.00,4.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3152596,7.00,7.00,6.00,7.00,5.00,6.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3152600,9.00,8.00,8.00,7.00,9.00,7.75,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3152618,2.00,4.00,2.00,3.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3152626,8.00,7.00,6.00,8.00,9.00,7.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3152634,4.00,1.00,3.00,4.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3152642,3.00,3.00,1.00,2.00,4.00,6.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3152650,3.00,4.00,3.00,7.00,7.00,6.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3152669,7.00,7.00,8.00,7.00,7.00,5.25,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3152677,6.00,5.00,7.00,8.00,9.00,5.00,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3152685,7.00,6.00,9.00,8.00,8.00,5.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3152693,4.00,3.00,4.00,8.00,4.00,4.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3152707,2.00,5.00,4.00,7.00,5.00,6.00,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3152715,9.00,5.00,7.00,6.00,6.00,5.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3152723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3152740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3152758,5.00,4.00,4.00,7.00,5.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3152766,4.00,7.00,3.00,4.00,7.00,5.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3152774,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3152782,3.00,5.00,5.00,5.00,5.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3152790,8.00,8.00,5.00,8.00,7.00,8.25,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3152804,5.00,7.00,6.00,5.00,4.00,5.75,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3152812,5.00,0.00,2.00,6.00,7.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3152820,4.00,4.00,4.00,3.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3152839,7.00,8.00,5.00,8.00,5.00,5.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3152847,1.00,3.00,3.00,4.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3152855,5.00,4.00,3.00,2.00,7.00,5.25,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3152871,6.00,4.00,4.00,2.00,5.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3152880,3.00,2.00,2.00,2.00,1.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3152901,6.00,4.00,5.00,2.00,5.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3152910,8.00,6.00,5.00,1.00,6.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3152928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3152936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3152944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3152952,2.00,3.00,3.00,1.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3152960,7.00,5.00,5.00,7.00,6.00,6.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3152979,2.00,2.00,2.00,4.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3152987,5.00,3.00,3.00,6.00,5.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3152995,6.00,6.00,7.00,8.00,5.00,7.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3153002,7.00,6.00,6.00,6.00,5.00,5.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3153010,1.00,2.00,2.00,7.00,4.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3153029,6.00,7.00,6.00,9.00,8.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3153037,4.00,6.00,2.00,4.00,4.00,6.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3153045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3153053,1.00,2.00,3.00,3.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3153061,4.00,8.00,4.00,9.00,4.00,5.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3153070,7.00,3.00,2.00,7.00,4.00,5.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3153088,5.00,3.00,3.00,5.00,4.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3153096,9.00,7.00,5.00,5.00,6.00,2.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3153100,8.00,7.00,8.00,9.00,6.00,6.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3153126,6.00,4.00,3.00,2.00,6.00,7.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3153134,8.00,8.00,8.00,7.00,6.00,5.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3153150,5.00,3.00,2.00,2.00,6.00,4.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3153169,5.00,8.00,3.00,7.00,4.00,7.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3153177,3.00,4.00,4.00,6.00,6.00,5.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3153185,4.00,6.00,3.00,5.00,6.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3153193,3.00,6.00,1.00,1.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3153207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3153215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3153223,7.00,7.00,6.00,7.00,6.00,7.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3153231,6.00,7.00,4.00,7.00,6.00,6.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3153240,3.00,4.00,1.00,3.00,0.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3153258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3153266,6.00,5.00,4.00,4.00,4.00,4.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3153274,7.00,4.00,8.00,9.00,7.00,6.50,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3153282,5.00,5.00,2.00,7.00,5.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3153290,2.00,6.00,4.00,8.00,4.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3153304,5.00,5.00,2.00,7.00,7.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3153312,3.00,5.00,5.00,6.00,3.00,NULL,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3153320,4.00,7.00,1.00,2.00,7.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3153339,2.00,6.00,3.00,2.00,2.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3153347,3.00,2.00,4.00,5.00,4.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3153355,4.00,5.00,5.00,9.00,6.00,7.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3153371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3153380,7.00,5.00,2.00,5.00,5.00,4.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3153398,4.00,2.00,4.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3153401,5.00,6.00,4.00,6.00,5.00,5.75,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3153410,4.00,1.00,4.00,6.00,4.00,5.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3153428,6.00,4.00,4.00,3.00,1.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3153436,4.00,8.00,2.00,6.00,5.00,5.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3153444,2.00,2.00,2.00,2.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3153452,8.00,7.00,3.00,6.00,6.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3153479,3.00,4.00,2.00,8.00,6.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3153487,5.00,7.00,4.00,8.00,5.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3153495,3.00,4.00,3.00,6.00,6.00,4.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3153509,1.00,3.00,2.00,4.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3153517,4.00,6.00,4.00,5.00,6.00,5.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3153525,4.00,6.00,3.00,6.00,2.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3153533,8.00,5.00,6.00,5.00,8.00,6.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3153541,7.00,6.00,5.00,8.00,8.00,5.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3153550,9.00,8.00,8.00,7.00,8.00,5.75,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3153568,3.00,5.00,5.00,6.00,5.00,4.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3153576,7.00,6.00,6.00,8.00,8.00,6.50,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3153584,4.00,7.00,3.00,8.00,6.00,6.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3153592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3153606,3.00,0.00,1.00,6.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3153614,6.00,5.00,3.00,1.00,6.00,6.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3153622,5.00,8.00,8.00,6.00,5.00,5.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3153630,8.00,9.00,8.00,9.00,8.00,5.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3153649,3.00,4.00,4.00,7.00,4.00,4.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3153657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3153665,3.00,3.00,6.00,4.00,5.00,4.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3153681,2.00,5.00,2.00,3.00,4.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3153690,3.00,3.00,1.00,5.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3153703,4.00,6.00,2.00,5.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3153711,9.00,6.00,7.00,9.00,7.00,5.25,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(16,3153746,2.00,5.00,2.00,6.00,4.00,4.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3153754,6.00,1.00,3.00,7.00,4.00,6.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3153762,4.00,5.00,5.00,4.00,2.00,NULL,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3153770,4.00,6.00,3.00,4.00,5.00,4.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3153789,7.00,8.00,7.00,9.00,6.00,5.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3153800,4.00,3.00,4.00,7.00,5.00,5.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3153819,3.00,3.00,3.00,1.00,2.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3153827,5.00,7.00,8.00,5.00,7.00,5.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3153835,3.00,5.00,2.00,6.00,5.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3153843,4.00,5.00,1.00,6.00,3.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3153851,8.00,9.00,6.00,9.00,9.00,8.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3153860,8.00,7.00,7.00,5.00,7.00,7.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3153878,4.00,3.00,2.00,0.00,4.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3153886,5.00,7.00,5.00,3.00,4.00,4.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3153894,1.00,1.00,4.00,6.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3153908,6.00,4.00,4.00,6.00,6.00,6.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3153916,4.00,2.00,5.00,6.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3153924,7.00,8.00,7.00,8.00,7.00,6.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3153932,6.00,7.00,6.00,7.00,6.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3153940,4.00,6.00,4.00,7.00,8.00,7.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3153959,6.00,5.00,4.00,9.00,6.00,5.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3153967,3.00,5.00,5.00,2.00,5.00,6.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3153975,7.00,8.00,5.00,7.00,5.00,6.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3153983,7.00,8.00,5.00,7.00,6.00,6.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3154009,7.00,6.00,7.00,6.00,7.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3154025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3154033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3154041,8.00,7.00,5.00,9.00,6.00,8.25,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3154050,7.00,4.00,5.00,7.00,6.00,7.75,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3154068,3.00,4.00,3.00,8.00,5.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3154076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3154092,5.00,7.00,4.00,9.00,7.00,6.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3154106,5.00,5.00,2.00,2.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3154130,3.00,4.00,4.00,8.00,4.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3154149,7.00,6.00,5.00,9.00,9.00,4.50,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3154165,1.00,3.00,2.00,2.00,1.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3154181,4.00,6.00,3.00,7.00,6.00,5.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3154190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3154203,7.00,8.00,7.00,7.00,7.00,7.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3154211,6.00,6.00,5.00,7.00,6.00,4.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3154220,7.00,7.00,4.00,7.00,7.00,6.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3154238,9.00,7.00,8.00,8.00,8.00,6.50,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3154246,6.00,6.00,3.00,5.00,4.00,5.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3154254,6.00,6.00,5.00,9.00,8.00,5.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3154270,7.00,7.00,5.00,8.00,7.00,6.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3154289,6.00,8.00,4.00,8.00,7.00,5.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3154297,1.00,0.00,1.00,3.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3154300,7.00,3.00,3.00,0.00,7.00,5.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3154319,3.00,2.00,3.00,3.00,4.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3154327,3.00,6.00,2.00,8.00,4.00,7.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3154335,1.00,4.00,2.00,7.00,2.00,NULL,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3154343,6.00,5.00,5.00,7.00,5.00,6.00,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(16,3154351,4.00,1.00,2.00,1.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3154360,7.00,6.00,4.00,7.00,5.00,4.75,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3154378,7.00,4.00,5.00,7.00,6.00,6.00,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3154386,7.00,7.00,5.00,4.00,5.00,5.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3154394,5.00,6.00,4.00,6.00,5.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3154408,2.00,4.00,1.00,9.00,2.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3154416,3.00,6.00,2.00,3.00,6.00,6.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3154424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3154432,9.00,8.00,9.00,9.00,9.00,8.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3154440,5.00,7.00,3.00,6.00,3.00,NULL,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3154459,8.00,9.00,8.00,9.00,9.00,6.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3154467,3.00,3.00,2.00,3.00,1.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3154475,2.00,2.00,3.00,5.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3154483,7.00,10.00,6.00,5.00,3.00,NULL,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3154491,5.00,4.00,6.00,5.00,5.00,6.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3154505,9.00,6.00,7.00,8.00,7.00,8.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3154513,6.00,7.00,7.00,7.00,6.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3154521,3.00,4.00,1.00,6.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3154530,5.00,5.00,2.00,4.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3154556,4.00,5.00,3.00,2.00,1.00,NULL,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3154564,7.00,8.00,8.00,9.00,7.00,5.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3154572,2.00,3.00,5.00,9.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3154580,1.00,4.00,4.00,8.00,4.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3154599,5.00,7.00,4.00,7.00,5.00,4.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3154602,5.00,6.00,2.00,7.00,6.00,5.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3154645,5.00,6.00,1.00,4.00,8.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3154653,5.00,6.00,4.00,7.00,4.00,6.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3154661,4.00,4.00,1.00,1.00,4.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3154670,6.00,6.00,4.00,4.00,7.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3154688,7.00,7.00,5.00,10.00,7.00,6.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3154696,2.00,3.00,2.00,8.00,6.00,8.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3154700,9.00,9.00,7.00,8.00,7.00,6.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3154718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3154726,3.00,5.00,2.00,8.00,3.00,NULL,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3154734,6.00,5.00,7.00,5.00,6.00,5.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3154742,4.00,3.00,2.00,0.00,7.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3154750,3.00,1.00,1.00,4.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3154769,7.00,8.00,5.00,6.00,7.00,5.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3154777,9.00,5.00,7.00,7.00,6.00,5.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3154785,4.00,3.00,3.00,2.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3154793,3.00,7.00,2.00,1.00,4.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3154807,8.00,7.00,9.00,9.00,6.00,6.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3154815,2.00,1.00,2.00,2.00,1.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3154823,4.00,3.00,2.00,5.00,4.00,6.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3154831,3.00,3.00,1.00,8.00,5.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3154840,8.00,9.00,9.00,8.00,6.00,6.00,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3154858,4.00,4.00,5.00,8.00,4.00,6.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3154866,6.00,5.00,2.00,7.00,4.00,5.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3154882,4.00,3.00,5.00,4.00,4.00,3.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3154890,8.00,4.00,7.00,7.00,7.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3154904,5.00,7.00,2.00,5.00,6.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3154912,5.00,6.00,3.00,6.00,5.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3154920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3154939,7.00,3.00,4.00,8.00,7.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3154947,5.00,4.00,4.00,8.00,8.00,6.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3154955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3154963,7.00,7.00,5.00,8.00,4.00,7.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3154971,7.00,7.00,5.00,8.00,8.00,4.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3154980,5.00,5.00,5.00,6.00,6.00,6.25,1.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3154998,5.00,5.00,2.00,9.00,6.00,8.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3155013,9.00,9.00,7.00,9.00,8.00,7.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3155021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3155030,9.00,9.00,8.00,6.00,7.00,6.50,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3155048,2.00,5.00,3.00,7.00,3.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3155064,6.00,5.00,4.00,3.00,6.00,4.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3155080,5.00,6.00,2.00,4.00,8.00,4.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3155099,3.00,3.00,3.00,6.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3155102,4.00,6.00,5.00,9.00,7.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3155110,3.00,3.00,2.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3155129,3.00,4.00,4.00,7.00,4.00,4.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3155145,5.00,5.00,4.00,6.00,7.00,6.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3155153,7.00,5.00,4.00,9.00,6.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3155170,3.00,6.00,1.00,0.00,5.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3155188,5.00,3.00,4.00,5.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3155196,8.00,6.00,6.00,8.00,4.00,6.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3155200,6.00,6.00,3.00,7.00,6.00,6.50,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3155218,1.00,1.00,2.00,4.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3155226,6.00,7.00,6.00,8.00,8.00,6.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3155234,4.00,3.00,4.00,8.00,4.00,6.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3155250,6.00,2.00,4.00,1.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3155269,4.00,4.00,2.00,5.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3155277,4.00,3.00,3.00,1.00,6.00,5.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3155285,6.00,9.00,6.00,9.00,9.00,8.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3155293,5.00,7.00,6.00,7.00,5.00,5.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3155315,3.00,4.00,1.00,4.00,5.00,6.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3155323,5.00,4.00,4.00,6.00,5.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3155340,4.00,2.00,5.00,5.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3155358,5.00,8.00,4.00,7.00,7.00,4.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3155366,7.00,8.00,4.00,8.00,7.00,6.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3155374,8.00,7.00,5.00,8.00,7.00,6.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3155382,2.00,6.00,6.00,7.00,6.00,6.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3155390,6.00,5.00,5.00,4.00,4.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3155404,7.00,6.00,5.00,8.00,7.00,4.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3155412,7.00,4.00,5.00,9.00,7.00,6.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3155420,5.00,2.00,2.00,7.00,5.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3155439,5.00,7.00,4.00,7.00,5.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3155447,6.00,6.00,4.00,4.00,6.00,5.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3155455,7.00,5.00,5.00,6.00,5.00,6.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3155463,3.00,4.00,3.00,6.00,4.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3155471,5.00,6.00,4.00,0.00,6.00,4.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3155480,5.00,5.00,3.00,4.00,6.00,5.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3155498,7.00,5.00,7.00,9.00,5.00,5.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3155501,8.00,7.00,5.00,7.00,6.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3155510,5.00,8.00,7.00,3.00,5.00,6.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3155536,4.00,4.00,2.00,3.00,4.00,5.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3155544,4.00,5.00,1.00,4.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3155552,5.00,4.00,4.00,5.00,6.00,6.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3155560,4.00,6.00,4.00,5.00,4.00,5.25,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3155579,6.00,7.00,3.00,2.00,4.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3155587,3.00,3.00,2.00,4.00,4.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3155595,5.00,6.00,1.00,1.00,6.00,5.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3155609,3.00,2.00,5.00,8.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3155617,3.00,5.00,3.00,1.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3155625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3155633,3.00,3.00,4.00,1.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3155641,4.00,4.00,3.00,8.00,6.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3155650,5.00,4.00,6.00,3.00,5.00,4.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3155668,3.00,3.00,3.00,5.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3155676,6.00,7.00,4.00,4.00,7.00,5.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3155692,5.00,7.00,6.00,9.00,7.00,8.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3155714,5.00,3.00,5.00,5.00,8.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3155722,1.00,5.00,2.00,2.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3155730,4.00,1.00,1.00,2.00,5.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3155749,8.00,6.00,6.00,8.00,7.00,6.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3155757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3155765,5.00,6.00,6.00,7.00,6.00,6.25,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3155773,7.00,5.00,4.00,8.00,3.00,NULL,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3155781,3.00,2.00,4.00,5.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3155803,4.00,4.00,4.00,5.00,6.00,5.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3155811,5.00,2.00,6.00,9.00,5.00,5.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3155838,2.00,2.00,1.00,1.00,2.00,NULL,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3155846,3.00,4.00,1.00,1.00,6.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3155854,0.00,3.00,2.00,3.00,4.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3155870,5.00,3.00,2.00,5.00,5.00,5.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3155889,4.00,4.00,2.00,7.00,4.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3155897,5.00,4.00,3.00,5.00,4.00,5.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3155900,5.00,6.00,4.00,8.00,6.00,6.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3155919,4.00,4.00,4.00,3.00,4.00,4.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3155927,6.00,7.00,5.00,5.00,5.00,6.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3155935,4.00,2.00,4.00,5.00,4.00,5.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3155943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3155951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3155960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3155978,3.00,6.00,2.00,8.00,5.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3155986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3155994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3156001,4.00,4.00,3.00,4.00,7.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3156010,3.00,0.00,4.00,4.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3156028,9.00,8.00,8.00,9.00,7.00,7.00,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3156036,7.00,7.00,8.00,7.00,5.00,4.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3156044,8.00,9.00,7.00,9.00,7.00,7.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3156052,0.00,0.00,0.00,5.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3156060,3.00,5.00,4.00,7.00,7.00,4.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3156079,8.00,7.00,8.00,7.00,8.00,6.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3156087,7.00,8.00,5.00,6.00,6.00,5.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3156095,8.00,6.00,5.00,2.00,5.00,4.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3156109,4.00,4.00,1.00,6.00,5.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3156117,2.00,3.00,1.00,5.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3156125,6.00,5.00,5.00,9.00,6.00,6.00,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3156133,6.00,7.00,5.00,9.00,7.00,5.75,2.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3156141,4.00,6.00,4.00,8.00,5.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3156150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3156168,4.00,8.00,4.00,7.00,7.00,6.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3156176,5.00,8.00,1.00,5.00,6.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3156184,6.00,3.00,4.00,7.00,5.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3156192,5.00,5.00,1.00,4.00,4.00,4.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3156206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3156214,6.00,5.00,6.00,7.00,5.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3156222,5.00,3.00,2.00,7.00,7.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3156230,6.00,5.00,3.00,6.00,4.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3156249,8.00,5.00,9.00,9.00,7.00,6.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3156257,3.00,2.00,2.00,5.00,6.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3156265,6.00,5.00,6.00,3.00,5.00,6.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3156273,4.00,4.00,4.00,7.00,4.00,6.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3156281,4.00,5.00,3.00,7.00,5.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3156290,5.00,5.00,4.00,6.00,5.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3156303,5.00,5.00,7.00,7.00,7.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3156311,2.00,3.00,3.00,2.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3156346,3.00,2.00,2.00,1.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3156354,4.00,5.00,7.00,9.00,6.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3156362,5.00,6.00,3.00,3.00,4.00,6.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3156370,3.00,3.00,4.00,2.00,6.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3156389,7.00,7.00,6.00,9.00,6.00,6.00,5.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3156397,8.00,6.00,4.00,8.00,8.00,7.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3156400,8.00,9.00,9.00,8.00,9.00,5.50,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3156419,2.00,2.00,2.00,8.00,3.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'S'),(16,3156427,8.00,6.00,6.00,8.00,8.00,6.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3156435,4.00,2.00,4.00,4.00,3.00,NULL,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3156443,7.00,7.00,4.00,7.00,5.00,4.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3156451,2.00,2.00,2.00,7.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3156460,4.00,8.00,7.00,9.00,8.00,6.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3156478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3156486,5.00,7.00,6.00,4.00,4.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3156494,5.00,4.00,2.00,5.00,5.00,4.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3156508,8.00,4.00,5.00,3.00,6.00,6.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3156524,8.00,8.00,7.00,9.00,8.00,7.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3156532,5.00,7.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3156540,5.00,2.00,3.00,6.00,5.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3156559,5.00,6.00,3.00,4.00,4.00,6.50,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(16,3156567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3156575,5.00,6.00,3.00,4.00,4.00,4.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3156583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3156605,4.00,4.00,2.00,6.00,5.00,7.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3156613,3.00,2.00,1.00,3.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3156621,5.00,3.00,3.00,7.00,5.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3156630,4.00,2.00,3.00,1.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(16,3156648,3.00,4.00,1.00,1.00,5.00,3.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3156656,4.00,4.00,5.00,7.00,5.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3156664,6.00,5.00,6.00,9.00,7.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3156672,7.00,5.00,5.00,6.00,4.00,5.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3156680,4.00,5.00,2.00,9.00,5.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3156699,4.00,5.00,5.00,5.00,4.00,5.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3156702,4.00,2.00,2.00,0.00,0.00,NULL,2.00,2.00,4.00,'S',NULL,NULL,'S'),(16,3156729,3.00,4.00,1.00,3.00,4.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3156737,3.00,5.00,3.00,5.00,5.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3156745,7.00,5.00,2.00,4.00,8.00,7.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3156761,4.00,2.00,2.00,6.00,2.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3156770,8.00,4.00,3.00,7.00,7.00,4.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3156788,7.00,4.00,4.00,6.00,6.00,4.25,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3156796,4.00,0.00,3.00,0.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3156800,4.00,2.00,3.00,2.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3156818,6.00,2.00,1.00,8.00,5.00,6.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3156826,3.00,5.00,2.00,4.00,3.00,NULL,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3156834,4.00,2.00,2.00,5.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3156842,4.00,3.00,1.00,7.00,4.00,5.75,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3156850,6.00,5.00,6.00,6.00,5.00,6.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3156869,4.00,7.00,3.00,5.00,2.00,NULL,2.00,9.00,1.00,NULL,NULL,NULL,'N'),(16,3156877,3.00,4.00,3.00,3.00,5.00,3.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3156885,4.00,4.00,1.00,1.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3156893,5.00,3.00,1.00,8.00,5.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3156907,4.00,4.00,2.00,5.00,4.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3156915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3156923,6.00,6.00,2.00,9.00,7.00,9.25,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3156931,4.00,3.00,1.00,6.00,1.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3156940,6.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3156966,3.00,5.00,2.00,5.00,6.00,5.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3156974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3156990,3.00,4.00,2.00,6.00,4.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3157016,4.00,1.00,2.00,1.00,6.00,5.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3157024,7.00,7.00,4.00,6.00,4.00,5.50,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3157032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3157040,5.00,4.00,2.00,6.00,3.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3157067,5.00,4.00,1.00,3.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3157075,2.00,0.00,2.00,2.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3157083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3157091,4.00,3.00,4.00,5.00,5.00,5.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3157105,9.00,9.00,8.00,9.00,8.00,6.50,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3157113,3.00,4.00,5.00,5.00,6.00,5.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3157148,8.00,7.00,6.00,8.00,8.00,5.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3157156,8.00,4.00,4.00,1.00,5.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3157164,5.00,6.00,4.00,8.00,7.00,7.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3157172,6.00,6.00,4.00,9.00,8.00,5.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3157180,4.00,4.00,2.00,6.00,4.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3157202,0.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3157229,5.00,3.00,3.00,4.00,5.00,5.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3157237,6.00,4.00,4.00,7.00,6.00,5.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3157245,2.00,3.00,1.00,6.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3157253,9.00,7.00,7.00,9.00,9.00,6.25,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3157261,2.00,2.00,1.00,3.00,1.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3157270,6.00,6.00,4.00,3.00,6.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3157288,7.00,7.00,7.00,6.00,6.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3157296,9.00,8.00,9.00,6.00,8.00,7.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3157300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3157318,7.00,6.00,5.00,7.00,6.00,5.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3157342,5.00,6.00,3.00,5.00,5.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3157350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3157369,5.00,6.00,3.00,6.00,5.00,0.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3157377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3157385,7.00,7.00,5.00,6.00,5.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3157407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3157415,8.00,7.00,7.00,8.00,7.00,7.75,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3157423,5.00,7.00,2.00,7.00,6.00,4.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3157431,6.00,7.00,4.00,7.00,5.00,5.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3157440,6.00,6.00,3.00,8.00,7.00,7.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3157466,5.00,6.00,3.00,7.00,4.00,4.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3157474,9.00,8.00,6.00,8.00,7.00,7.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3157482,4.00,3.00,4.00,7.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3157490,3.00,5.00,2.00,0.00,0.00,NULL,2.00,3.00,0.00,'S',NULL,NULL,'N'),(16,3157504,1.00,3.00,3.00,8.00,6.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3157520,1.00,1.00,4.00,5.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3157539,4.00,5.00,2.00,7.00,7.00,5.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3157547,3.00,1.00,2.00,1.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3157563,6.00,5.00,8.00,8.00,5.00,4.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3157580,4.00,5.00,2.00,0.00,1.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3157628,8.00,8.00,7.00,9.00,6.00,5.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3157636,9.00,7.00,6.00,9.00,7.00,5.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3157644,4.00,6.00,1.00,7.00,5.00,NULL,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3157660,3.00,2.00,1.00,5.00,3.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(16,3157679,2.00,4.00,4.00,5.00,1.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3157687,4.00,4.00,4.00,1.00,7.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3157709,3.00,4.00,4.00,5.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3157717,1.00,3.00,1.00,7.00,2.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3157725,5.00,6.00,3.00,8.00,4.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3157733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3157741,6.00,6.00,5.00,8.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3157750,1.00,1.00,2.00,1.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3157768,3.00,3.00,2.00,7.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3157776,4.00,3.00,3.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3157784,4.00,8.00,4.00,9.00,6.00,4.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3157792,7.00,7.00,7.00,7.00,6.00,7.00,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3157806,0.00,2.00,1.00,3.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3157822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3157830,6.00,4.00,1.00,8.00,4.00,4.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3157849,7.00,7.00,9.00,8.00,6.00,4.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3157857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3157873,3.00,0.00,3.00,2.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3157881,3.00,7.00,3.00,5.00,5.00,5.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3157911,4.00,3.00,3.00,6.00,3.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3157920,5.00,6.00,2.00,5.00,4.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3157938,6.00,5.00,5.00,8.00,5.00,4.75,3.00,5.00,6.00,NULL,NULL,NULL,'S'),(16,3157946,6.00,7.00,5.00,8.00,4.00,6.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3157954,6.00,8.00,6.00,8.00,8.00,7.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3157962,6.00,7.00,7.00,8.00,6.00,6.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3157970,2.00,4.00,1.00,0.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3157997,5.00,5.00,7.00,7.00,5.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3158004,4.00,4.00,3.00,3.00,5.00,3.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3158012,5.00,7.00,5.00,6.00,6.00,6.25,4.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3158020,6.00,6.00,5.00,7.00,6.00,4.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3158047,8.00,5.00,6.00,6.00,8.00,6.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3158063,8.00,5.00,7.00,8.00,8.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3158071,6.00,3.00,2.00,3.00,4.00,4.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3158080,5.00,6.00,1.00,2.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3158098,6.00,7.00,1.00,7.00,6.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3158101,2.00,2.00,3.00,6.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3158110,4.00,6.00,2.00,4.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3158128,4.00,3.00,3.00,3.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3158136,3.00,5.00,3.00,6.00,4.00,4.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3158152,4.00,5.00,2.00,8.00,5.00,5.00,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3158160,4.00,4.00,4.00,5.00,4.00,4.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3158179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3158187,4.00,1.00,3.00,4.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3158195,0.00,5.00,3.00,8.00,6.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3158209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3158217,4.00,6.00,4.00,8.00,7.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3158225,5.00,6.00,3.00,8.00,8.00,5.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3158233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3158241,5.00,3.00,2.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3158250,7.00,7.00,4.00,9.00,7.00,7.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3158276,3.00,1.00,1.00,2.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3158284,3.00,3.00,4.00,3.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3158306,1.00,3.00,3.00,4.00,4.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3158314,6.00,6.00,4.00,8.00,8.00,5.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3158322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3158330,1.00,3.00,1.00,3.00,1.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3158365,5.00,8.00,8.00,2.00,6.00,6.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3158373,6.00,6.00,3.00,2.00,3.00,NULL,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3158381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3158390,4.00,8.00,6.00,4.00,7.00,6.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3158403,4.00,4.00,4.00,1.00,4.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3158411,4.00,3.00,3.00,5.00,3.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(16,3158420,6.00,2.00,1.00,1.00,7.00,4.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3158454,2.00,3.00,2.00,1.00,1.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3158462,7.00,8.00,6.00,8.00,6.00,4.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3158470,6.00,7.00,5.00,5.00,5.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3158489,7.00,8.00,6.00,8.00,6.00,6.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3158497,4.00,5.00,4.00,4.00,3.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3158500,5.00,7.00,6.00,7.00,5.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3158519,6.00,9.00,3.00,8.00,4.00,5.75,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3158527,2.00,3.00,3.00,6.00,4.00,6.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3158535,5.00,3.00,4.00,7.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3158543,2.00,3.00,3.00,5.00,4.00,6.00,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3158551,6.00,6.00,4.00,9.00,6.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3158560,7.00,9.00,6.00,5.00,7.00,6.50,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3158578,6.00,5.00,4.00,7.00,5.00,6.75,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3158586,1.00,4.00,1.00,4.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3158594,3.00,3.00,2.00,4.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3158608,6.00,7.00,4.00,7.00,7.00,6.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3158616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3158632,3.00,1.00,1.00,5.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3158640,6.00,5.00,6.00,7.00,6.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3158667,4.00,2.00,2.00,1.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3158675,6.00,7.00,4.00,6.00,4.00,4.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3158683,4.00,8.00,5.00,7.00,8.00,5.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3158691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3158705,5.00,7.00,3.00,6.00,5.00,7.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3158713,4.00,7.00,4.00,6.00,4.00,4.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3158721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3158730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3158748,5.00,5.00,1.00,1.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3158756,3.00,6.00,3.00,9.00,5.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3158764,4.00,5.00,3.00,5.00,4.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3158772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3158780,7.00,3.00,5.00,8.00,5.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3158799,3.00,3.00,1.00,4.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3158845,8.00,3.00,4.00,9.00,6.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3158853,5.00,7.00,9.00,8.00,7.00,6.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3158861,3.00,6.00,2.00,8.00,4.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3158870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3158888,7.00,7.00,4.00,8.00,7.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3158896,2.00,2.00,1.00,5.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3158900,4.00,1.00,3.00,4.00,1.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3158918,8.00,9.00,8.00,9.00,7.00,7.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3158926,5.00,7.00,2.00,4.00,5.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3158942,7.00,6.00,4.00,8.00,6.00,4.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3158950,5.00,7.00,2.00,8.00,8.00,6.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3158977,6.00,5.00,6.00,8.00,6.00,6.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3158985,4.00,6.00,2.00,3.00,5.00,6.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3159000,6.00,7.00,2.00,7.00,2.00,NULL,3.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3159019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3159027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3159035,7.00,6.00,8.00,9.00,6.00,6.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3159043,5.00,6.00,7.00,6.00,5.00,5.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3159051,3.00,4.00,3.00,4.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3159060,4.00,3.00,2.00,4.00,5.00,4.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3159086,7.00,5.00,7.00,8.00,7.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3159094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3159108,9.00,8.00,3.00,9.00,7.00,6.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3159116,5.00,3.00,3.00,7.00,6.00,5.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3159124,6.00,6.00,3.00,5.00,5.00,2.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3159132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3159140,7.00,6.00,6.00,9.00,6.00,5.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3159159,7.00,8.00,8.00,9.00,7.00,6.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3159167,5.00,1.00,3.00,8.00,4.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3159175,5.00,4.00,5.00,8.00,5.00,6.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3159183,2.00,5.00,3.00,6.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3159191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3159205,4.00,5.00,4.00,5.00,4.00,4.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3159213,4.00,8.00,3.00,7.00,6.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3159221,0.00,1.00,1.00,2.00,1.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3159230,4.00,2.00,4.00,3.00,4.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3159256,3.00,3.00,2.00,1.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3159264,4.00,6.00,1.00,7.00,4.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3159272,3.00,2.00,1.00,5.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3159280,6.00,3.00,1.00,5.00,5.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3159299,3.00,3.00,4.00,6.00,4.00,5.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3159302,2.00,0.00,5.00,6.00,7.00,6.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3159310,3.00,4.00,3.00,1.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3159329,9.00,9.00,8.00,6.00,6.00,5.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3159337,5.00,7.00,3.00,7.00,6.00,4.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3159345,3.00,3.00,2.00,1.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3159353,2.00,3.00,1.00,6.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3159361,9.00,7.00,6.00,7.00,4.00,4.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3159370,4.00,4.00,3.00,2.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3159388,4.00,4.00,1.00,1.00,5.00,5.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3159396,7.00,8.00,6.00,9.00,7.00,7.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3159400,1.00,5.00,3.00,4.00,4.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3159418,5.00,2.00,2.00,0.00,4.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3159426,0.00,0.00,0.00,1.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3159434,3.00,9.00,3.00,8.00,6.00,5.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3159450,1.00,1.00,2.00,1.00,0.00,NULL,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3159469,7.00,8.00,4.00,8.00,7.00,7.50,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3159477,4.00,5.00,2.00,6.00,6.00,6.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3159485,1.00,5.00,3.00,7.00,7.00,4.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3159493,5.00,5.00,6.00,8.00,8.00,6.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3159507,8.00,6.00,6.00,8.00,5.00,6.75,0.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3159515,6.00,7.00,7.00,8.00,8.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3159523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3159531,3.00,6.00,3.00,2.00,5.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3159540,4.00,4.00,4.00,6.00,3.00,NULL,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3159558,4.00,4.00,3.00,4.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3159566,6.00,6.00,4.00,6.00,6.00,5.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3159574,7.00,7.00,5.00,6.00,6.00,6.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3159582,5.00,6.00,3.00,9.00,3.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3159590,9.00,9.00,8.00,9.00,8.00,7.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3159612,3.00,3.00,1.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3159620,6.00,3.00,4.00,4.00,5.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3159647,4.00,4.00,4.00,7.00,6.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3159655,2.00,5.00,1.00,6.00,4.00,4.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3159663,9.00,8.00,8.00,9.00,8.00,6.75,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3159671,4.00,7.00,2.00,8.00,4.00,4.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3159698,9.00,8.00,4.00,5.00,6.00,5.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3159701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3159710,4.00,4.00,2.00,3.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3159728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3159736,8.00,7.00,8.00,6.00,7.00,6.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3159752,8.00,7.00,7.00,8.00,7.00,6.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3159760,6.00,4.00,3.00,7.00,6.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3159779,5.00,6.00,3.00,5.00,5.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3159787,4.00,7.00,3.00,3.00,5.00,4.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3159795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3159809,4.00,6.00,2.00,9.00,8.00,9.25,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3159817,4.00,6.00,3.00,3.00,4.00,5.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3159825,2.00,1.00,2.00,4.00,0.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3159833,5.00,5.00,4.00,6.00,7.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3159841,1.00,3.00,2.00,2.00,4.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3159850,8.00,7.00,5.00,8.00,7.00,6.00,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3159868,8.00,7.00,5.00,8.00,7.00,6.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3159876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3159884,2.00,4.00,2.00,9.00,4.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3159906,0.00,0.00,0.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3159914,2.00,4.00,2.00,5.00,4.00,5.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3159922,7.00,8.00,8.00,8.00,8.00,8.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3159930,3.00,3.00,2.00,4.00,6.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3159949,5.00,2.00,2.00,5.00,4.00,NULL,0.00,8.00,0.00,NULL,NULL,NULL,'N'),(16,3159965,6.00,7.00,4.00,8.00,6.00,5.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3159973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3159981,1.00,1.00,1.00,3.00,0.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3159990,7.00,7.00,6.00,8.00,9.00,5.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3160009,3.00,1.00,3.00,4.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3160017,5.00,3.00,2.00,4.00,7.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3160025,4.00,4.00,3.00,6.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3160033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3160041,0.00,3.00,1.00,0.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3160050,0.00,1.00,4.00,4.00,0.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3160068,5.00,4.00,1.00,7.00,4.00,4.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3160076,6.00,4.00,2.00,7.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3160092,4.00,4.00,1.00,2.00,4.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3160106,6.00,5.00,5.00,7.00,4.00,6.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3160114,5.00,3.00,2.00,3.00,4.00,4.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3160122,2.00,0.00,3.00,1.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3160130,8.00,9.00,8.00,9.00,8.00,6.00,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3160157,6.00,7.00,6.00,4.00,7.00,5.75,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3160165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3160173,4.00,5.00,2.00,3.00,4.00,4.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3160181,1.00,1.00,3.00,2.00,0.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3160190,2.00,4.00,3.00,1.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3160203,4.00,6.00,4.00,7.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3160220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3160238,6.00,5.00,4.00,7.00,4.00,5.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3160254,5.00,4.00,5.00,4.00,4.00,4.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3160262,6.00,6.00,6.00,5.00,5.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3160270,8.00,8.00,5.00,8.00,7.00,7.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3160289,4.00,3.00,4.00,5.00,5.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3160300,7.00,7.00,7.00,7.00,8.00,5.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3160319,3.00,3.00,4.00,4.00,5.00,4.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3160327,1.00,3.00,1.00,5.00,4.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3160335,5.00,8.00,4.00,7.00,7.00,8.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3160343,3.00,2.00,2.00,5.00,4.00,4.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3160351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3160386,5.00,5.00,3.00,9.00,7.00,6.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3160394,7.00,7.00,5.00,8.00,5.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3160408,5.00,5.00,3.00,8.00,6.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3160416,4.00,4.00,4.00,1.00,4.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3160424,4.00,4.00,3.00,5.00,5.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3160432,4.00,2.00,2.00,4.00,6.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3160440,6.00,4.00,5.00,5.00,7.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3160459,5.00,4.00,7.00,7.00,7.00,6.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3160467,4.00,4.00,4.00,8.00,3.00,NULL,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3160475,3.00,2.00,4.00,5.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3160483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3160491,1.00,3.00,3.00,3.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3160505,2.00,4.00,2.00,5.00,4.00,4.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3160521,3.00,1.00,2.00,7.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3160530,5.00,5.00,1.00,2.00,1.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3160548,3.00,5.00,4.00,6.00,5.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3160556,1.00,2.00,2.00,4.00,5.00,6.00,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3160564,3.00,5.00,3.00,6.00,4.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3160572,4.00,7.00,3.00,5.00,5.00,4.75,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3160580,4.00,3.00,3.00,7.00,6.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3160610,4.00,2.00,2.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3160637,7.00,8.00,8.00,9.00,8.00,7.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3160645,5.00,6.00,3.00,2.00,4.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3160661,4.00,3.00,3.00,4.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3160670,3.00,2.00,3.00,6.00,6.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3160688,6.00,8.00,1.00,5.00,6.00,6.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3160696,6.00,4.00,2.00,2.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3160700,3.00,6.00,4.00,6.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3160718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3160726,5.00,1.00,5.00,1.00,5.00,6.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3160734,3.00,3.00,4.00,7.00,4.00,3.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3160742,3.00,4.00,3.00,6.00,5.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3160750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3160769,5.00,5.00,4.00,5.00,5.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3160777,3.00,3.00,3.00,0.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3160785,3.00,4.00,3.00,6.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3160793,4.00,3.00,4.00,6.00,5.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3160807,3.00,4.00,2.00,3.00,5.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3160815,6.00,1.00,4.00,5.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3160823,4.00,3.00,2.00,0.00,1.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3160831,5.00,6.00,4.00,6.00,6.00,7.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3160840,2.00,4.00,1.00,6.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3160858,2.00,3.00,3.00,4.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3160890,8.00,7.00,6.00,5.00,5.00,5.50,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3160912,3.00,3.00,4.00,5.00,4.00,4.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3160920,6.00,3.00,3.00,8.00,5.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3160939,2.00,5.00,3.00,4.00,5.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3160947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3160955,3.00,4.00,7.00,5.00,6.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3160963,2.00,3.00,4.00,5.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3160971,4.00,2.00,1.00,5.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3160980,3.00,3.00,3.00,0.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3160998,2.00,3.00,1.00,5.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3161005,2.00,3.00,3.00,5.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3161013,7.00,4.00,3.00,4.00,6.00,8.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3161021,5.00,4.00,5.00,8.00,5.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3161048,2.00,1.00,1.00,6.00,4.00,5.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3161056,3.00,3.00,2.00,5.00,6.00,4.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3161064,3.00,4.00,3.00,5.00,5.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3161072,4.00,4.00,2.00,7.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3161080,6.00,4.00,1.00,4.00,8.00,5.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3161099,5.00,3.00,2.00,5.00,4.00,5.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3161102,4.00,8.00,1.00,9.00,5.00,4.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3161110,5.00,6.00,5.00,6.00,3.00,NULL,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3161129,5.00,8.00,4.00,9.00,7.00,5.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3161137,6.00,7.00,2.00,3.00,4.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3161145,4.00,1.00,2.00,0.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3161153,5.00,8.00,6.00,5.00,6.00,5.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3161161,4.00,5.00,2.00,7.00,4.00,5.75,5.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3161170,6.00,8.00,1.00,4.00,5.00,7.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3161188,6.00,5.00,4.00,2.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3161196,5.00,2.00,2.00,7.00,6.00,6.75,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3161200,6.00,8.00,7.00,8.00,5.00,6.00,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3161218,6.00,6.00,4.00,7.00,6.00,6.00,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(16,3161226,9.00,7.00,8.00,7.00,9.00,6.50,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3161234,7.00,5.00,4.00,7.00,6.00,4.75,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3161242,4.00,6.00,2.00,6.00,1.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3161250,3.00,3.00,1.00,6.00,4.00,4.50,0.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3161269,6.00,3.00,1.00,3.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3161277,3.00,5.00,3.00,5.00,7.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3161285,8.00,7.00,7.00,9.00,6.00,6.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3161293,6.00,7.00,5.00,6.00,5.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3161307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3161315,2.00,3.00,2.00,4.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3161323,2.00,4.00,2.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3161331,6.00,7.00,3.00,1.00,7.00,4.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3161340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3161358,5.00,7.00,2.00,3.00,4.00,4.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3161366,2.00,1.00,3.00,4.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3161374,5.00,7.00,2.00,5.00,6.00,4.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3161382,6.00,7.00,4.00,7.00,5.00,6.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3161390,6.00,6.00,4.00,8.00,6.00,4.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3161404,5.00,5.00,7.00,5.00,3.00,NULL,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3161412,3.00,4.00,2.00,8.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3161420,4.00,4.00,2.00,6.00,5.00,6.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3161447,2.00,3.00,2.00,4.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3161455,5.00,3.00,3.00,2.00,3.00,NULL,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3161471,7.00,6.00,8.00,9.00,7.00,5.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3161480,3.00,4.00,2.00,4.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3161498,3.00,4.00,4.00,7.00,4.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3161501,4.00,3.00,4.00,2.00,5.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3161510,2.00,3.00,2.00,0.00,5.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3161536,5.00,3.00,1.00,3.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3161552,5.00,4.00,4.00,7.00,1.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3161560,9.00,7.00,7.00,9.00,7.00,5.25,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3161579,5.00,9.00,5.00,8.00,6.00,6.00,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3161587,4.00,3.00,1.00,7.00,6.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3161595,9.00,8.00,6.00,8.00,9.00,6.75,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3161609,5.00,4.00,1.00,3.00,4.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3161617,1.00,1.00,2.00,4.00,1.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3161625,6.00,4.00,5.00,2.00,5.00,6.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3161633,4.00,4.00,2.00,5.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3161641,2.00,3.00,1.00,3.00,3.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3161650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3161668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3161676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3161684,3.00,3.00,4.00,7.00,0.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3161692,5.00,6.00,4.00,6.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3161706,2.00,4.00,3.00,6.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3161714,7.00,5.00,6.00,3.00,6.00,5.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3161722,8.00,5.00,4.00,7.00,7.00,5.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3161730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3161749,2.00,3.00,3.00,3.00,5.00,4.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3161757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3161765,3.00,6.00,3.00,3.00,5.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3161773,2.00,3.00,4.00,4.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3161781,7.00,5.00,2.00,7.00,6.00,7.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3161790,5.00,4.00,2.00,4.00,4.00,3.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3161803,3.00,4.00,2.00,0.00,2.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3161811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3161820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3161838,7.00,7.00,1.00,9.00,8.00,5.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3161846,2.00,1.00,3.00,2.00,4.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3161854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3161870,7.00,7.00,4.00,7.00,8.00,5.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3161889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3161897,4.00,1.00,2.00,1.00,2.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3161900,7.00,5.00,6.00,8.00,6.00,7.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3161927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3161935,6.00,6.00,4.00,5.00,2.00,NULL,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3161943,5.00,7.00,1.00,5.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3161951,8.00,7.00,7.00,6.00,6.00,6.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3161978,7.00,8.00,4.00,8.00,6.00,4.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3161986,8.00,7.00,4.00,4.00,7.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3161994,4.00,5.00,5.00,3.00,5.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3162010,7.00,9.00,8.00,6.00,8.00,6.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3162028,4.00,2.00,3.00,7.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3162036,6.00,5.00,1.00,2.00,5.00,6.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3162044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3162060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3162087,2.00,5.00,2.00,5.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3162095,3.00,5.00,3.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3162109,5.00,5.00,2.00,8.00,5.00,4.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3162117,2.00,3.00,4.00,2.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3162125,7.00,8.00,9.00,8.00,7.00,5.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3162141,5.00,4.00,4.00,6.00,7.00,7.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3162150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3162184,5.00,6.00,2.00,5.00,3.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3162192,3.00,4.00,3.00,6.00,4.00,4.50,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3162206,3.00,5.00,4.00,1.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3162214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3162222,8.00,5.00,4.00,10.00,8.00,6.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3162230,6.00,4.00,6.00,3.00,4.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3162249,5.00,7.00,3.00,7.00,5.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3162257,4.00,4.00,3.00,7.00,5.00,5.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3162265,2.00,4.00,3.00,8.00,5.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3162273,4.00,3.00,3.00,7.00,4.00,6.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3162281,2.00,4.00,1.00,1.00,6.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3162303,9.00,9.00,7.00,8.00,8.00,6.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3162311,5.00,4.00,2.00,6.00,2.00,NULL,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3162320,2.00,7.00,6.00,9.00,8.00,7.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3162346,3.00,4.00,3.00,6.00,5.00,4.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3162354,7.00,6.00,6.00,5.00,7.00,7.50,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3162370,8.00,6.00,5.00,8.00,7.00,7.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3162389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3162397,4.00,1.00,1.00,3.00,5.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3162400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3162419,6.00,8.00,5.00,4.00,5.00,5.50,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3162427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3162435,7.00,8.00,4.00,8.00,5.00,6.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3162460,1.00,3.00,1.00,4.00,4.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3162478,6.00,6.00,2.00,7.00,8.00,7.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3162486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3162494,5.00,4.00,4.00,5.00,1.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3162508,1.00,2.00,1.00,4.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3162516,3.00,1.00,1.00,1.00,4.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3162524,5.00,5.00,4.00,3.00,5.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3162532,4.00,4.00,2.00,6.00,4.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3162540,6.00,3.00,2.00,8.00,4.00,6.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3162559,4.00,4.00,5.00,8.00,6.00,5.00,4.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3162567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3162575,3.00,5.00,4.00,4.00,1.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3162583,3.00,5.00,4.00,7.00,6.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3162591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3162605,6.00,8.00,3.00,6.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3162613,4.00,4.00,2.00,8.00,4.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3162621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3162630,3.00,5.00,3.00,5.00,5.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3162648,2.00,6.00,4.00,6.00,3.00,NULL,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3162656,0.00,3.00,4.00,7.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3162664,3.00,8.00,2.00,4.00,5.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3162672,4.00,4.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3162680,5.00,6.00,2.00,6.00,4.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3162702,5.00,7.00,3.00,4.00,5.00,6.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3162710,8.00,8.00,9.00,9.00,7.00,8.00,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3162729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3162737,3.00,2.00,1.00,2.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3162745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3162753,5.00,4.00,4.00,5.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3162761,1.00,6.00,2.00,0.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3162788,3.00,1.00,3.00,6.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3162796,4.00,4.00,4.00,7.00,6.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3162800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3162826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3162834,4.00,4.00,4.00,2.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3162842,5.00,2.00,3.00,2.00,3.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3162850,6.00,6.00,4.00,5.00,7.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3162869,3.00,5.00,2.00,4.00,3.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3162877,7.00,5.00,4.00,5.00,5.00,6.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3162885,5.00,5.00,4.00,5.00,6.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3162893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3162907,5.00,8.00,3.00,9.00,7.00,7.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3162915,3.00,3.00,2.00,4.00,4.00,4.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3162923,7.00,4.00,3.00,7.00,6.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3162931,5.00,7.00,6.00,6.00,6.00,5.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3162940,5.00,7.00,8.00,8.00,5.00,4.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3162958,5.00,4.00,3.00,8.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3162966,4.00,5.00,5.00,2.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3162974,5.00,6.00,3.00,9.00,7.00,6.25,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3162982,8.00,7.00,4.00,4.00,6.00,5.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3162990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3163008,6.00,6.00,6.00,8.00,8.00,6.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3163024,5.00,5.00,4.00,8.00,5.00,5.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3163032,7.00,7.00,4.00,8.00,6.00,5.50,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3163040,4.00,4.00,1.00,3.00,5.00,5.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3163059,5.00,5.00,2.00,8.00,7.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3163083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3163091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3163105,4.00,5.00,3.00,7.00,5.00,4.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3163113,5.00,5.00,2.00,8.00,7.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3163130,3.00,5.00,2.00,0.00,4.00,6.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3163148,5.00,4.00,3.00,5.00,5.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3163156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3163164,4.00,5.00,4.00,5.00,5.00,6.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3163172,2.00,2.00,1.00,2.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3163180,5.00,3.00,2.00,0.00,0.00,NULL,3.00,6.00,5.00,'S',NULL,NULL,'S'),(16,3163199,8.00,8.00,7.00,8.00,6.00,6.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3163202,4.00,7.00,7.00,7.00,6.00,5.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3163210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3163229,3.00,3.00,3.00,2.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(16,3163237,4.00,5.00,3.00,5.00,8.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3163245,2.00,1.00,1.00,2.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3163253,7.00,6.00,3.00,6.00,6.00,5.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3163261,4.00,5.00,3.00,6.00,6.00,5.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3163270,4.00,7.00,6.00,8.00,4.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3163288,4.00,4.00,4.00,7.00,4.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3163296,1.00,3.00,3.00,3.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3163318,2.00,3.00,3.00,4.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3163326,5.00,7.00,5.00,6.00,7.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3163334,3.00,3.00,4.00,7.00,8.00,4.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3163342,6.00,2.00,1.00,6.00,6.00,4.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3163350,6.00,6.00,5.00,9.00,6.00,4.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3163369,8.00,5.00,4.00,3.00,6.00,6.25,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3163377,6.00,8.00,4.00,8.00,9.00,5.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3163385,6.00,3.00,2.00,3.00,5.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3163393,7.00,9.00,6.00,6.00,7.00,6.25,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3163407,4.00,4.00,3.00,6.00,5.00,5.75,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3163415,5.00,5.00,3.00,7.00,8.00,6.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3163423,2.00,2.00,4.00,3.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3163431,4.00,6.00,6.00,6.00,2.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3163440,4.00,6.00,2.00,5.00,3.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3163458,6.00,5.00,6.00,9.00,6.00,6.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3163466,3.00,3.00,3.00,2.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3163474,4.00,3.00,4.00,6.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3163490,7.00,8.00,6.00,7.00,8.00,6.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3163504,5.00,5.00,4.00,7.00,6.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3163512,4.00,4.00,1.00,6.00,4.00,5.25,2.00,6.00,1.00,NULL,NULL,NULL,'S'),(16,3163520,6.00,4.00,1.00,7.00,4.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3163539,3.00,4.00,2.00,2.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3163547,4.00,7.00,3.00,3.00,5.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3163555,3.00,7.00,3.00,3.00,4.00,5.50,1.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3163563,1.00,3.00,2.00,3.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3163571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3163580,3.00,2.00,3.00,2.00,0.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3163598,5.00,2.00,2.00,0.00,0.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3163601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3163610,6.00,7.00,6.00,9.00,6.00,6.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3163652,6.00,6.00,7.00,7.00,8.00,6.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3163660,4.00,5.00,4.00,7.00,8.00,5.50,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3163679,6.00,6.00,1.00,8.00,6.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3163687,2.00,5.00,1.00,6.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3163695,8.00,8.00,4.00,5.00,6.00,6.25,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3163709,3.00,5.00,3.00,8.00,5.00,4.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3163717,5.00,5.00,7.00,7.00,7.00,7.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3163733,4.00,4.00,2.00,4.00,5.00,6.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3163741,2.00,5.00,4.00,3.00,0.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3163750,5.00,5.00,2.00,6.00,6.00,5.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3163768,8.00,9.00,9.00,8.00,7.00,7.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3163776,6.00,6.00,3.00,6.00,4.00,6.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3163784,3.00,4.00,1.00,8.00,5.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3163792,3.00,3.00,2.00,2.00,0.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3163806,5.00,2.00,2.00,7.00,5.00,6.50,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3163814,9.00,8.00,7.00,8.00,8.00,5.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3163830,5.00,4.00,1.00,5.00,4.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3163849,5.00,5.00,1.00,6.00,6.00,4.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3163857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3163865,3.00,5.00,2.00,3.00,3.00,NULL,5.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3163873,2.00,3.00,1.00,3.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3163881,5.00,4.00,6.00,9.00,4.00,4.75,5.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3163890,5.00,4.00,2.00,3.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3163903,4.00,4.00,5.00,3.00,5.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3163911,7.00,7.00,6.00,9.00,8.00,4.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3163938,3.00,3.00,2.00,6.00,5.00,6.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3163946,5.00,4.00,7.00,8.00,6.00,4.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3163954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3163962,2.00,3.00,2.00,5.00,4.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3163970,5.00,3.00,2.00,6.00,6.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3163989,5.00,8.00,3.00,8.00,6.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3163997,4.00,2.00,3.00,6.00,5.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3164004,6.00,7.00,7.00,7.00,5.00,5.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3164012,5.00,5.00,8.00,3.00,4.00,4.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3164020,7.00,4.00,6.00,7.00,6.00,6.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3164039,6.00,6.00,7.00,9.00,9.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3164055,5.00,1.00,1.00,3.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3164063,5.00,4.00,1.00,6.00,3.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3164071,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3164080,2.00,2.00,2.00,1.00,1.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'S'),(16,3164098,1.00,1.00,3.00,3.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3164101,3.00,5.00,3.00,1.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3164110,3.00,2.00,3.00,4.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3164128,6.00,5.00,2.00,2.00,6.00,4.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3164136,4.00,4.00,3.00,0.00,5.00,5.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3164144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3164152,5.00,5.00,3.00,7.00,7.00,5.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3164160,7.00,7.00,5.00,9.00,7.00,4.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3164187,4.00,3.00,2.00,6.00,2.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3164195,3.00,4.00,4.00,3.00,4.00,5.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3164209,7.00,7.00,6.00,6.00,7.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3164217,4.00,0.00,1.00,5.00,2.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3164225,3.00,0.00,5.00,4.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3164233,4.00,3.00,1.00,3.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3164241,7.00,5.00,5.00,6.00,7.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3164250,7.00,4.00,9.00,9.00,7.00,6.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3164268,2.00,4.00,3.00,3.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3164276,4.00,4.00,5.00,4.00,7.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3164292,6.00,6.00,6.00,9.00,6.00,7.00,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3164306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3164314,6.00,7.00,4.00,9.00,6.00,5.50,1.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3164322,4.00,2.00,2.00,4.00,4.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3164330,2.00,0.00,2.00,5.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3164349,4.00,6.00,3.00,3.00,4.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3164357,8.00,8.00,8.00,9.00,6.00,5.75,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3164365,7.00,2.00,5.00,6.00,6.00,7.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3164373,3.00,6.00,5.00,7.00,4.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3164381,4.00,4.00,4.00,5.00,4.00,4.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3164390,6.00,7.00,3.00,6.00,6.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3164411,4.00,4.00,1.00,4.00,4.00,4.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3164420,4.00,3.00,1.00,5.00,4.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3164438,2.00,4.00,3.00,7.00,5.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3164446,8.00,7.00,6.00,6.00,6.00,4.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3164454,4.00,4.00,4.00,3.00,7.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3164462,4.00,3.00,1.00,0.00,4.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3164489,5.00,6.00,2.00,6.00,5.00,5.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3164500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3164527,6.00,5.00,7.00,8.00,5.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3164543,4.00,4.00,5.00,5.00,4.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3164551,1.00,6.00,3.00,7.00,5.00,5.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3164560,4.00,5.00,2.00,7.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3164578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3164586,6.00,6.00,2.00,6.00,7.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3164594,5.00,7.00,6.00,9.00,6.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3164608,4.00,6.00,2.00,8.00,3.00,NULL,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3164616,2.00,4.00,3.00,0.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3164624,5.00,6.00,3.00,4.00,4.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3164632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3164640,7.00,8.00,4.00,4.00,7.00,5.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3164659,5.00,7.00,8.00,7.00,5.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3164675,4.00,4.00,3.00,8.00,4.00,4.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3164683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3164691,5.00,5.00,8.00,7.00,5.00,5.25,4.00,7.00,7.00,NULL,NULL,NULL,'S'),(16,3164705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3164713,7.00,4.00,5.00,6.00,7.00,5.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3164730,4.00,2.00,1.00,3.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3164748,6.00,4.00,5.00,6.00,6.00,6.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3164756,7.00,6.00,7.00,7.00,8.00,6.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3164802,7.00,5.00,5.00,7.00,5.00,5.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3164810,3.00,0.00,3.00,3.00,4.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3164829,3.00,4.00,2.00,4.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3164845,3.00,3.00,4.00,7.00,4.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3164853,6.00,6.00,4.00,9.00,5.00,7.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3164870,5.00,4.00,4.00,8.00,4.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3164888,4.00,4.00,2.00,2.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3164896,4.00,3.00,2.00,6.00,5.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3164900,0.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3164918,2.00,3.00,2.00,6.00,5.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3164926,5.00,4.00,3.00,8.00,5.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3164934,2.00,4.00,4.00,3.00,4.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3164942,1.00,0.00,2.00,0.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3164950,5.00,2.00,2.00,8.00,4.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3164977,4.00,6.00,5.00,6.00,5.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3164985,4.00,0.00,4.00,4.00,4.00,6.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3164993,4.00,5.00,5.00,7.00,6.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3165000,8.00,8.00,9.00,9.00,7.00,5.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3165019,4.00,8.00,3.00,7.00,5.00,5.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3165027,9.00,6.00,8.00,9.00,6.00,5.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3165035,2.00,4.00,3.00,6.00,6.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3165043,7.00,4.00,5.00,7.00,5.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3165051,5.00,6.00,3.00,8.00,5.00,4.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3165060,5.00,5.00,4.00,5.00,1.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3165078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3165086,4.00,4.00,2.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3165094,5.00,4.00,2.00,5.00,2.00,NULL,5.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3165108,5.00,3.00,2.00,3.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3165116,5.00,2.00,4.00,7.00,4.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3165124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3165132,3.00,5.00,2.00,6.00,5.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3165140,4.00,4.00,2.00,7.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3165159,4.00,5.00,6.00,7.00,6.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3165167,4.00,4.00,3.00,3.00,3.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3165191,2.00,4.00,1.00,0.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(16,3165205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3165213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3165230,7.00,5.00,5.00,5.00,6.00,4.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3165248,6.00,7.00,6.00,5.00,6.00,5.75,1.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3165256,2.00,7.00,2.00,7.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3165272,4.00,7.00,2.00,9.00,7.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3165280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3165299,2.00,2.00,1.00,5.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3165302,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3165329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3165337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3165345,5.00,7.00,3.00,4.00,5.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3165353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3165361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3165370,4.00,4.00,3.00,6.00,5.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3165388,5.00,3.00,2.00,6.00,7.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3165396,1.00,3.00,1.00,5.00,4.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3165400,5.00,5.00,6.00,5.00,6.00,5.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3165426,4.00,3.00,3.00,6.00,5.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3165442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3165469,8.00,7.00,5.00,8.00,9.00,7.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3165477,3.00,5.00,2.00,0.00,4.00,4.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3165493,6.00,7.00,4.00,9.00,6.00,6.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3165515,4.00,2.00,1.00,2.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3165523,3.00,3.00,1.00,5.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3165531,2.00,8.00,4.00,3.00,4.00,5.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3165540,7.00,8.00,7.00,9.00,4.00,4.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3165566,7.00,5.00,6.00,5.00,4.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3165574,6.00,8.00,4.00,8.00,6.00,5.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3165582,6.00,7.00,8.00,8.00,7.00,5.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3165590,5.00,5.00,4.00,6.00,5.00,6.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3165612,3.00,4.00,2.00,8.00,5.00,6.25,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3165620,4.00,6.00,5.00,8.00,6.00,6.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3165639,7.00,7.00,8.00,9.00,9.00,6.50,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3165647,3.00,5.00,4.00,4.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3165655,3.00,1.00,1.00,5.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3165663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3165671,5.00,6.00,4.00,4.00,6.00,5.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3165698,3.00,4.00,5.00,4.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3165728,3.00,1.00,3.00,5.00,3.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3165736,2.00,7.00,3.00,2.00,4.00,4.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3165744,3.00,5.00,2.00,5.00,1.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3165760,6.00,7.00,5.00,9.00,5.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3165787,8.00,7.00,6.00,8.00,8.00,6.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3165795,2.00,3.00,2.00,4.00,2.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3165809,2.00,5.00,1.00,1.00,5.00,0.00,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3165817,2.00,2.00,3.00,4.00,1.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3165825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3165841,3.00,3.00,4.00,4.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3165850,7.00,5.00,7.00,8.00,6.00,4.75,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3165868,5.00,5.00,8.00,9.00,6.00,7.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3165876,3.00,3.00,4.00,9.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3165884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3165892,4.00,8.00,5.00,8.00,4.00,5.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3165906,1.00,3.00,2.00,7.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3165914,5.00,5.00,4.00,8.00,1.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3165930,5.00,3.00,2.00,7.00,5.00,4.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3165949,4.00,7.00,5.00,9.00,5.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3165965,5.00,5.00,4.00,5.00,4.00,7.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3165973,6.00,8.00,3.00,8.00,9.00,7.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3165981,8.00,9.00,8.00,9.00,8.00,5.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3165990,9.00,7.00,8.00,8.00,7.00,6.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3166007,7.00,5.00,7.00,4.00,4.00,6.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3166015,7.00,7.00,3.00,8.00,4.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3166023,2.00,2.00,1.00,3.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3166031,3.00,2.00,1.00,3.00,4.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3166040,7.00,6.00,4.00,8.00,5.00,5.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3166066,2.00,3.00,1.00,3.00,0.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3166074,3.00,2.00,2.00,5.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3166082,7.00,9.00,6.00,8.00,8.00,5.50,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3166090,6.00,3.00,5.00,5.00,4.00,3.00,6.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3166104,1.00,4.00,5.00,5.00,4.00,4.00,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3166112,4.00,3.00,5.00,7.00,5.00,6.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3166120,3.00,4.00,5.00,1.00,4.00,5.00,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3166139,7.00,6.00,8.00,2.00,6.00,5.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3166147,4.00,5.00,4.00,4.00,4.00,5.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3166155,6.00,5.00,3.00,9.00,5.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3166163,2.00,5.00,4.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3166171,5.00,5.00,1.00,5.00,5.00,5.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3166198,9.00,9.00,7.00,9.00,8.00,7.25,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3166201,8.00,7.00,6.00,4.00,6.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3166228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3166236,2.00,4.00,1.00,5.00,5.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3166244,5.00,4.00,5.00,7.00,6.00,6.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3166252,6.00,4.00,4.00,7.00,4.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3166260,3.00,3.00,3.00,4.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3166279,3.00,2.00,7.00,6.00,5.00,4.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3166287,3.00,4.00,2.00,0.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3166295,5.00,7.00,4.00,7.00,6.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3166309,5.00,5.00,6.00,7.00,7.00,4.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3166317,6.00,2.00,1.00,8.00,4.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3166325,9.00,7.00,7.00,9.00,8.00,7.25,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3166333,3.00,3.00,1.00,4.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3166341,4.00,6.00,5.00,7.00,4.00,6.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3166350,9.00,6.00,6.00,4.00,7.00,4.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3166368,3.00,3.00,2.00,1.00,2.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3166376,3.00,1.00,1.00,5.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3166384,3.00,5.00,2.00,7.00,4.00,5.50,3.00,9.00,1.00,NULL,NULL,NULL,'N'),(16,3166392,2.00,3.00,4.00,3.00,2.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3166406,5.00,7.00,3.00,6.00,5.00,5.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3166414,3.00,4.00,5.00,9.00,5.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3166422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3166430,5.00,4.00,5.00,7.00,5.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3166449,4.00,3.00,2.00,3.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3166457,3.00,4.00,4.00,7.00,5.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3166465,4.00,4.00,2.00,7.00,5.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3166473,6.00,4.00,2.00,5.00,4.00,5.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3166481,3.00,5.00,4.00,3.00,7.00,2.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3166490,7.00,3.00,3.00,6.00,7.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3166520,4.00,6.00,4.00,7.00,5.00,0.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3166546,7.00,7.00,2.00,7.00,7.00,6.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3166554,3.00,4.00,4.00,7.00,5.00,4.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3166562,4.00,2.00,3.00,6.00,4.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3166570,4.00,4.00,2.00,8.00,4.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3166589,4.00,3.00,4.00,3.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3166597,4.00,5.00,4.00,7.00,7.00,5.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3166600,4.00,4.00,2.00,7.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3166627,7.00,6.00,6.00,9.00,6.00,6.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3166635,3.00,4.00,3.00,2.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3166643,8.00,9.00,8.00,7.00,6.00,4.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3166651,7.00,7.00,7.00,9.00,8.00,6.50,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3166660,4.00,2.00,3.00,2.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3166678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3166694,2.00,2.00,1.00,5.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3166708,3.00,3.00,4.00,0.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3166716,1.00,3.00,4.00,2.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3166724,4.00,4.00,5.00,8.00,4.00,6.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3166732,6.00,5.00,5.00,7.00,3.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3166740,9.00,7.00,9.00,6.00,6.00,8.25,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3166759,3.00,4.00,2.00,3.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3166767,2.00,3.00,3.00,5.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3166783,7.00,9.00,4.00,9.00,6.00,5.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3166805,4.00,3.00,4.00,5.00,6.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3166821,2.00,1.00,4.00,7.00,5.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3166830,6.00,6.00,2.00,3.00,6.00,5.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3166848,5.00,4.00,2.00,3.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3166856,3.00,4.00,2.00,7.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3166872,2.00,6.00,1.00,7.00,5.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3166880,9.00,8.00,5.00,7.00,6.00,6.00,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3166899,5.00,8.00,5.00,6.00,7.00,8.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3166902,2.00,4.00,2.00,2.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3166910,7.00,4.00,3.00,8.00,8.00,5.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3166929,7.00,5.00,8.00,9.00,6.00,6.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3166937,3.00,3.00,1.00,5.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3166945,3.00,6.00,4.00,6.00,6.00,6.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3166953,5.00,4.00,4.00,7.00,6.00,6.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3166961,2.00,0.00,1.00,2.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3166988,2.00,8.00,3.00,7.00,5.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3167011,1.00,8.00,1.00,5.00,4.00,6.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3167020,3.00,1.00,2.00,3.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3167038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3167046,6.00,7.00,6.00,9.00,6.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3167054,5.00,6.00,5.00,8.00,6.00,5.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3167062,1.00,1.00,3.00,1.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3167070,5.00,4.00,4.00,4.00,5.00,7.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3167089,6.00,5.00,4.00,7.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3167097,7.00,6.00,3.00,8.00,7.00,4.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3167100,9.00,6.00,7.00,8.00,6.00,5.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3167119,5.00,5.00,5.00,7.00,7.00,6.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3167127,2.00,6.00,1.00,5.00,4.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3167135,6.00,7.00,3.00,8.00,5.00,5.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3167143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3167151,4.00,5.00,4.00,7.00,3.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3167160,5.00,5.00,4.00,2.00,5.00,4.75,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3167186,1.00,2.00,1.00,3.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3167208,8.00,8.00,3.00,8.00,5.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3167216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3167224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3167232,7.00,7.00,7.00,7.00,7.00,6.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3167259,3.00,4.00,2.00,5.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3167267,4.00,6.00,2.00,8.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3167275,3.00,4.00,4.00,8.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3167305,3.00,4.00,2.00,4.00,2.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3167313,5.00,5.00,6.00,8.00,6.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3167330,3.00,5.00,2.00,4.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3167348,3.00,4.00,4.00,7.00,6.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3167356,6.00,6.00,3.00,9.00,7.00,6.00,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3167364,3.00,2.00,3.00,3.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3167372,3.00,2.00,4.00,2.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3167402,5.00,5.00,4.00,9.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3167410,5.00,7.00,5.00,9.00,6.00,5.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3167429,3.00,5.00,3.00,4.00,3.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3167437,7.00,7.00,4.00,8.00,5.00,5.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3167445,5.00,5.00,4.00,5.00,4.00,4.50,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3167453,2.00,2.00,1.00,3.00,1.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3167461,8.00,6.00,9.00,9.00,8.00,6.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3167470,3.00,3.00,4.00,2.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3167496,5.00,7.00,6.00,7.00,4.00,4.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3167500,3.00,4.00,2.00,3.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3167518,4.00,6.00,5.00,8.00,4.00,5.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3167526,6.00,4.00,3.00,3.00,6.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3167534,5.00,7.00,3.00,9.00,5.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3167550,3.00,2.00,2.00,4.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3167569,3.00,6.00,4.00,3.00,5.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3167577,5.00,7.00,4.00,6.00,6.00,4.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3167585,4.00,5.00,3.00,3.00,5.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3167593,3.00,5.00,5.00,7.00,4.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3167607,3.00,4.00,2.00,4.00,6.00,4.25,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3167615,3.00,5.00,4.00,5.00,6.00,6.25,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3167623,4.00,4.00,3.00,7.00,5.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3167631,5.00,6.00,7.00,8.00,8.00,6.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3167658,3.00,3.00,3.00,5.00,2.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3167682,2.00,5.00,1.00,1.00,4.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3167690,7.00,7.00,5.00,8.00,8.00,6.25,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3167704,3.00,5.00,4.00,5.00,7.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3167712,6.00,3.00,3.00,4.00,2.00,NULL,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3167720,4.00,3.00,4.00,8.00,6.00,5.75,2.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3167739,2.00,1.00,2.00,6.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3167747,5.00,4.00,2.00,3.00,4.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3167755,2.00,5.00,3.00,7.00,3.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3167763,9.00,8.00,8.00,7.00,9.00,6.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3167771,5.00,6.00,4.00,7.00,5.00,8.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3167798,5.00,2.00,2.00,6.00,4.00,4.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3167801,2.00,4.00,5.00,8.00,5.00,6.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3167810,3.00,6.00,1.00,9.00,5.00,5.50,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3167828,4.00,5.00,3.00,5.00,4.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3167836,4.00,2.00,1.00,6.00,4.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3167852,4.00,5.00,2.00,4.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3167860,7.00,5.00,4.00,3.00,8.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3167879,5.00,6.00,5.00,6.00,4.00,5.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3167887,5.00,4.00,4.00,7.00,8.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3167895,4.00,0.00,1.00,0.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3167909,6.00,8.00,5.00,6.00,6.00,5.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3167917,4.00,5.00,2.00,6.00,3.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3167925,4.00,7.00,7.00,7.00,5.00,2.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3167933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3167950,5.00,5.00,2.00,4.00,4.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3167968,2.00,2.00,1.00,5.00,3.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3167976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3168018,6.00,7.00,6.00,7.00,5.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3168034,7.00,5.00,4.00,7.00,4.00,6.25,3.00,6.00,6.00,NULL,NULL,NULL,'S'),(16,3168042,1.00,3.00,2.00,5.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3168050,5.00,7.00,1.00,6.00,5.00,5.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3168069,5.00,6.00,3.00,7.00,6.00,5.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3168085,4.00,4.00,3.00,7.00,4.00,8.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3168093,7.00,6.00,4.00,7.00,7.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3168107,3.00,6.00,3.00,7.00,4.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3168115,4.00,4.00,3.00,8.00,6.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3168123,6.00,4.00,5.00,5.00,5.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3168131,4.00,4.00,4.00,3.00,7.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3168140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3168158,5.00,4.00,2.00,7.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3168166,3.00,6.00,3.00,7.00,6.00,5.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3168174,0.00,3.00,2.00,0.00,1.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3168204,6.00,6.00,5.00,6.00,4.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3168212,6.00,5.00,3.00,6.00,3.00,NULL,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3168220,2.00,6.00,6.00,9.00,6.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3168239,2.00,1.00,3.00,5.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3168247,6.00,7.00,4.00,8.00,7.00,6.00,7.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3168255,2.00,4.00,2.00,8.00,7.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3168263,6.00,5.00,4.00,4.00,5.00,4.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3168271,8.00,9.00,9.00,7.00,8.00,5.75,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3168280,4.00,3.00,5.00,4.00,4.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3168301,3.00,3.00,1.00,6.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3168310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3168328,4.00,3.00,2.00,4.00,5.00,3.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3168336,7.00,8.00,6.00,8.00,7.00,6.75,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3168344,5.00,6.00,4.00,9.00,6.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3168352,6.00,5.00,1.00,6.00,4.00,6.00,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3168360,3.00,2.00,2.00,4.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3168379,6.00,5.00,3.00,6.00,4.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3168387,7.00,6.00,5.00,5.00,4.00,5.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3168395,5.00,6.00,4.00,5.00,5.00,5.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3168409,7.00,7.00,4.00,9.00,7.00,5.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3168417,4.00,4.00,2.00,3.00,5.00,4.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3168425,4.00,5.00,5.00,5.00,4.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3168433,3.00,6.00,6.00,3.00,1.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3168441,5.00,3.00,3.00,6.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3168450,3.00,2.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3168468,8.00,6.00,4.00,7.00,8.00,6.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3168476,3.00,2.00,3.00,6.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3168484,4.00,3.00,3.00,4.00,5.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3168492,7.00,7.00,4.00,4.00,6.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3168506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3168514,2.00,4.00,1.00,3.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3168522,3.00,4.00,2.00,4.00,5.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3168530,4.00,5.00,1.00,7.00,4.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3168549,5.00,5.00,6.00,8.00,6.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3168557,2.00,2.00,2.00,4.00,0.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3168565,6.00,7.00,3.00,7.00,1.00,NULL,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3168573,8.00,5.00,4.00,7.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3168581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3168590,7.00,7.00,5.00,8.00,7.00,7.50,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3168603,3.00,6.00,2.00,7.00,7.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3168611,5.00,6.00,2.00,5.00,7.00,5.50,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3168620,5.00,6.00,3.00,7.00,4.00,5.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3168638,8.00,8.00,6.00,6.00,6.00,5.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3168646,4.00,5.00,3.00,8.00,7.00,7.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3168654,4.00,3.00,3.00,1.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3168662,9.00,5.00,5.00,6.00,4.00,4.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3168670,7.00,6.00,6.00,7.00,4.00,4.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3168689,4.00,4.00,2.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3168700,5.00,3.00,3.00,1.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3168719,4.00,4.00,1.00,7.00,4.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3168727,5.00,5.00,2.00,8.00,6.00,5.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3168743,7.00,5.00,6.00,7.00,7.00,4.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3168751,3.00,8.00,3.00,8.00,7.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3168760,2.00,7.00,4.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3168778,3.00,5.00,4.00,3.00,3.00,NULL,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3168786,2.00,4.00,2.00,1.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3168794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3168808,5.00,3.00,2.00,6.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3168816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3168824,1.00,1.00,1.00,2.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3168832,5.00,7.00,1.00,7.00,4.00,5.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3168840,4.00,2.00,2.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3168867,3.00,1.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3168875,3.00,5.00,4.00,6.00,6.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3168883,6.00,4.00,6.00,8.00,5.00,5.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3168905,4.00,4.00,4.00,8.00,6.00,6.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3168921,1.00,5.00,3.00,3.00,4.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3168930,9.00,8.00,8.00,8.00,7.00,7.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3168948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3168956,5.00,5.00,4.00,6.00,5.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3168964,8.00,5.00,4.00,0.00,4.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3168972,5.00,5.00,1.00,8.00,5.00,4.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3168980,3.00,6.00,1.00,5.00,4.00,6.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3168999,5.00,6.00,3.00,6.00,7.00,5.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3169006,3.00,3.00,1.00,5.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3169014,6.00,7.00,3.00,4.00,5.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3169022,4.00,4.00,5.00,7.00,6.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3169030,5.00,6.00,2.00,6.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3169065,5.00,5.00,2.00,6.00,4.00,5.50,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3169073,3.00,4.00,3.00,4.00,6.00,6.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3169081,6.00,5.00,5.00,8.00,6.00,4.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3169090,4.00,6.00,4.00,9.00,6.00,5.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3169103,1.00,4.00,2.00,1.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3169120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3169138,3.00,5.00,4.00,4.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3169146,5.00,5.00,3.00,8.00,5.00,6.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3169154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3169162,5.00,6.00,4.00,7.00,4.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3169189,4.00,0.00,3.00,1.00,0.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3169197,7.00,3.00,4.00,8.00,5.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3169200,1.00,2.00,1.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3169219,3.00,3.00,1.00,6.00,3.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3169235,2.00,2.00,3.00,6.00,4.00,6.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3169243,5.00,3.00,4.00,4.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3169260,3.00,3.00,2.00,2.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3169286,3.00,3.00,1.00,5.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3169294,5.00,2.00,1.00,0.00,6.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3169308,6.00,4.00,4.00,6.00,6.00,6.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3169316,4.00,4.00,1.00,2.00,5.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3169324,9.00,8.00,8.00,6.00,7.00,7.25,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3169332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3169340,7.00,8.00,5.00,8.00,6.00,6.75,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3169359,4.00,6.00,1.00,8.00,5.00,5.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3169367,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3169383,3.00,6.00,6.00,8.00,5.00,5.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3169391,3.00,6.00,1.00,4.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3169405,8.00,6.00,6.00,7.00,7.00,6.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3169413,5.00,4.00,2.00,2.00,3.00,NULL,4.00,2.00,8.00,NULL,NULL,NULL,'N'),(16,3169430,3.00,7.00,2.00,7.00,7.00,5.75,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3169448,3.00,2.00,2.00,3.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3169456,4.00,6.00,4.00,6.00,5.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3169464,9.00,9.00,8.00,8.00,9.00,7.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3169472,6.00,6.00,5.00,6.00,7.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3169480,2.00,4.00,6.00,8.00,5.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3169499,4.00,3.00,4.00,4.00,4.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3169502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3169510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3169529,5.00,6.00,6.00,9.00,8.00,7.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3169545,5.00,7.00,2.00,8.00,6.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3169553,4.00,4.00,3.00,6.00,5.00,4.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3169561,6.00,6.00,5.00,8.00,7.00,7.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3169588,4.00,3.00,3.00,6.00,4.00,5.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3169596,8.00,5.00,4.00,7.00,8.00,5.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3169600,7.00,3.00,4.00,8.00,7.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3169618,3.00,5.00,2.00,2.00,5.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3169634,1.00,4.00,4.00,0.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3169642,1.00,5.00,2.00,8.00,6.00,6.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3169650,5.00,8.00,3.00,3.00,5.00,6.50,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3169669,5.00,7.00,4.00,4.00,5.00,5.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3169677,4.00,3.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3169685,3.00,6.00,6.00,8.00,6.00,7.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3169693,2.00,2.00,4.00,5.00,5.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3169707,3.00,4.00,4.00,3.00,4.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3169715,1.00,3.00,4.00,3.00,2.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3169723,3.00,6.00,2.00,6.00,5.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3169731,5.00,4.00,1.00,6.00,5.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3169740,4.00,6.00,2.00,5.00,4.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3169766,8.00,8.00,7.00,8.00,8.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3169774,4.00,3.00,1.00,1.00,4.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3169782,4.00,4.00,3.00,6.00,6.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3169790,4.00,5.00,4.00,7.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3169804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3169812,3.00,6.00,4.00,7.00,5.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3169820,5.00,5.00,2.00,7.00,4.00,5.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3169847,3.00,2.00,3.00,4.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3169855,5.00,7.00,3.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3169863,7.00,6.00,5.00,8.00,6.00,7.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3169871,4.00,3.00,1.00,1.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3169880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3169898,5.00,3.00,3.00,7.00,4.00,5.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3169901,4.00,5.00,1.00,8.00,5.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3169910,3.00,4.00,5.00,7.00,5.00,4.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3169928,3.00,0.00,3.00,3.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3169936,4.00,4.00,1.00,8.00,6.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3169944,8.00,8.00,9.00,9.00,7.00,5.50,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3169952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3169960,4.00,2.00,1.00,5.00,3.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3169979,5.00,2.00,3.00,6.00,4.00,7.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3169987,6.00,3.00,1.00,2.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3169995,3.00,3.00,1.00,5.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(16,3170004,5.00,4.00,3.00,7.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3170020,0.00,3.00,3.00,4.00,3.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3170039,5.00,4.00,4.00,9.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3170047,2.00,6.00,4.00,8.00,4.00,5.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3170055,6.00,4.00,4.00,6.00,7.00,4.25,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3170063,2.00,5.00,2.00,1.00,3.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3170071,6.00,4.00,6.00,3.00,5.00,5.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3170080,7.00,6.00,4.00,8.00,7.00,5.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3170098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3170101,5.00,2.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3170110,6.00,4.00,3.00,8.00,5.00,6.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3170128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3170136,4.00,5.00,1.00,3.00,5.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3170144,5.00,6.00,2.00,5.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3170152,8.00,8.00,8.00,7.00,7.00,5.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3170160,5.00,6.00,4.00,6.00,6.00,6.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3170179,4.00,6.00,4.00,6.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3170187,4.00,2.00,1.00,6.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3170195,3.00,5.00,2.00,3.00,5.00,4.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3170209,4.00,7.00,5.00,7.00,5.00,8.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3170217,3.00,5.00,3.00,4.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3170225,6.00,6.00,4.00,7.00,4.00,4.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3170233,3.00,8.00,2.00,7.00,6.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3170241,2.00,3.00,3.00,4.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3170250,5.00,6.00,2.00,2.00,4.00,6.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3170268,5.00,4.00,3.00,3.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3170276,4.00,4.00,1.00,2.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3170284,3.00,3.00,4.00,3.00,4.00,2.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3170292,5.00,5.00,6.00,7.00,6.00,6.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3170306,3.00,2.00,1.00,0.00,4.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3170314,0.00,0.00,0.00,8.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3170322,6.00,8.00,3.00,4.00,5.00,4.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3170357,7.00,6.00,5.00,8.00,7.00,6.00,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3170365,4.00,3.00,3.00,4.00,6.00,5.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3170373,4.00,5.00,3.00,5.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3170381,5.00,6.00,1.00,8.00,7.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3170390,7.00,7.00,6.00,8.00,7.00,4.50,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3170403,2.00,2.00,2.00,6.00,4.00,5.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3170411,5.00,7.00,2.00,7.00,5.00,5.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3170420,4.00,6.00,2.00,3.00,5.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3170438,4.00,8.00,6.00,6.00,6.00,5.25,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3170454,4.00,2.00,2.00,3.00,4.00,NULL,4.00,0.00,3.00,NULL,NULL,NULL,'S'),(16,3170470,4.00,6.00,1.00,5.00,2.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3170489,6.00,2.00,7.00,6.00,8.00,4.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3170497,4.00,4.00,2.00,1.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3170500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3170519,4.00,7.00,3.00,8.00,5.00,3.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3170527,6.00,5.00,2.00,7.00,4.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3170535,5.00,6.00,4.00,3.00,5.00,6.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3170560,7.00,8.00,7.00,8.00,7.00,6.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3170578,1.00,4.00,3.00,2.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3170586,6.00,4.00,3.00,6.00,6.00,6.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3170594,6.00,5.00,3.00,6.00,4.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3170616,5.00,4.00,1.00,6.00,6.00,5.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3170624,8.00,8.00,7.00,7.00,8.00,6.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3170632,4.00,4.00,4.00,7.00,6.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3170640,8.00,7.00,7.00,6.00,7.00,6.00,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3170667,3.00,5.00,3.00,7.00,6.00,5.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3170683,5.00,4.00,4.00,7.00,5.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3170691,3.00,2.00,1.00,2.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3170705,3.00,5.00,2.00,6.00,4.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3170713,2.00,3.00,2.00,5.00,7.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3170721,4.00,3.00,3.00,7.00,4.00,6.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3170730,3.00,4.00,3.00,5.00,4.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3170748,5.00,2.00,4.00,6.00,4.00,5.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3170756,4.00,3.00,4.00,7.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3170764,5.00,3.00,2.00,5.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3170772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3170780,2.00,6.00,1.00,2.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3170799,3.00,2.00,3.00,6.00,4.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3170802,3.00,1.00,2.00,5.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3170810,6.00,7.00,7.00,6.00,6.00,6.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3170829,3.00,3.00,2.00,5.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3170837,3.00,4.00,3.00,7.00,5.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3170845,8.00,9.00,8.00,8.00,8.00,5.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3170853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3170861,3.00,2.00,4.00,8.00,7.00,5.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3170870,6.00,7.00,4.00,6.00,4.00,5.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3170896,5.00,6.00,6.00,9.00,5.00,5.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3170900,8.00,8.00,7.00,8.00,5.00,6.00,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3170918,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3170926,4.00,7.00,4.00,6.00,6.00,5.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3170934,0.00,0.00,0.00,0.00,0.00,NULL,3.00,3.00,4.00,'S','S',NULL,'N'),(16,3170942,4.00,5.00,1.00,7.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3170950,1.00,5.00,4.00,2.00,4.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3170977,5.00,7.00,3.00,6.00,6.00,7.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3170985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3170993,2.00,2.00,1.00,3.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3171000,4.00,3.00,3.00,7.00,5.00,5.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3171019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3171027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3171035,5.00,9.00,4.00,8.00,8.00,7.00,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3171043,7.00,7.00,5.00,8.00,6.00,4.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3171051,8.00,5.00,9.00,2.00,5.00,6.50,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3171078,2.00,6.00,5.00,5.00,5.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3171086,5.00,6.00,5.00,7.00,6.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3171094,4.00,5.00,4.00,6.00,5.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3171108,1.00,3.00,4.00,6.00,2.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3171116,7.00,8.00,4.00,9.00,6.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3171124,4.00,5.00,1.00,9.00,4.00,2.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3171132,6.00,4.00,3.00,8.00,6.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3171140,6.00,1.00,1.00,5.00,4.00,4.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3171159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3171175,2.00,3.00,2.00,2.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3171183,3.00,4.00,1.00,7.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3171205,6.00,8.00,4.00,5.00,6.00,7.00,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3171213,4.00,5.00,6.00,5.00,5.00,4.25,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3171221,3.00,4.00,1.00,6.00,5.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3171248,6.00,8.00,5.00,8.00,6.00,6.75,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3171256,3.00,4.00,4.00,0.00,0.00,NULL,4.00,6.00,2.00,'S',NULL,NULL,'N'),(16,3171280,7.00,4.00,8.00,8.00,9.00,5.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3171299,0.00,3.00,2.00,4.00,0.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3171302,3.00,6.00,5.00,9.00,5.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3171310,5.00,4.00,4.00,2.00,5.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3171329,9.00,7.00,8.00,8.00,9.00,6.50,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3171337,6.00,8.00,5.00,9.00,6.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3171345,6.00,5.00,2.00,9.00,4.00,6.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3171353,7.00,4.00,1.00,6.00,5.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3171361,2.00,2.00,4.00,2.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3171370,5.00,4.00,1.00,0.00,4.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3171396,3.00,4.00,3.00,6.00,5.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3171400,7.00,9.00,5.00,6.00,6.00,5.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3171418,3.00,1.00,1.00,7.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3171434,5.00,1.00,2.00,1.00,0.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3171442,6.00,4.00,2.00,8.00,6.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3171450,7.00,7.00,5.00,9.00,7.00,5.50,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3171469,3.00,4.00,2.00,7.00,5.00,7.00,1.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3171485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3171493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3171507,8.00,7.00,5.00,7.00,6.00,6.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3171515,9.00,7.00,6.00,9.00,8.00,5.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3171523,6.00,5.00,6.00,8.00,4.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3171531,3.00,5.00,2.00,2.00,1.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3171540,4.00,4.00,3.00,6.00,6.00,4.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3171558,6.00,8.00,4.00,8.00,7.00,5.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3171566,7.00,7.00,4.00,6.00,5.00,6.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3171574,6.00,6.00,3.00,6.00,5.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3171590,2.00,5.00,3.00,5.00,4.00,4.25,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3171604,6.00,4.00,2.00,6.00,5.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3171612,3.00,4.00,6.00,5.00,3.00,NULL,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3171620,4.00,4.00,2.00,9.00,4.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3171639,5.00,3.00,4.00,5.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3171647,3.00,3.00,1.00,7.00,4.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3171655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3171663,0.00,6.00,5.00,2.00,2.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3171680,5.00,6.00,2.00,5.00,4.00,4.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3171698,4.00,7.00,4.00,8.00,5.00,7.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3171701,4.00,3.00,4.00,8.00,4.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3171736,7.00,3.00,6.00,6.00,6.00,5.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3171744,2.00,5.00,3.00,8.00,4.00,6.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3171752,3.00,6.00,4.00,7.00,4.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3171760,4.00,3.00,2.00,6.00,5.00,6.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3171779,7.00,4.00,5.00,6.00,4.00,4.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3171787,2.00,3.00,3.00,3.00,4.00,5.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3171809,5.00,5.00,3.00,3.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3171817,1.00,1.00,1.00,2.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3171825,2.00,0.00,3.00,6.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3171833,5.00,8.00,2.00,8.00,9.00,7.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3171841,3.00,4.00,2.00,1.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3171850,2.00,5.00,3.00,7.00,7.00,6.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3171868,4.00,1.00,2.00,5.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3171876,7.00,6.00,6.00,9.00,6.00,6.00,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3171892,4.00,4.00,1.00,4.00,5.00,6.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3171906,4.00,5.00,3.00,5.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3171914,7.00,8.00,6.00,7.00,5.00,5.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3171922,4.00,2.00,3.00,4.00,4.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3171930,1.00,2.00,2.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3171949,4.00,5.00,4.00,7.00,5.00,3.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3171957,6.00,7.00,7.00,7.00,7.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3171965,5.00,6.00,5.00,5.00,5.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3171973,2.00,5.00,4.00,7.00,4.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3171981,2.00,3.00,2.00,3.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3171990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3172007,7.00,7.00,2.00,9.00,3.00,NULL,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3172023,5.00,3.00,5.00,4.00,6.00,6.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3172031,5.00,5.00,7.00,6.00,5.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3172040,7.00,7.00,4.00,6.00,7.00,5.25,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3172058,8.00,8.00,8.00,8.00,5.00,5.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3172066,3.00,2.00,3.00,1.00,1.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3172074,5.00,2.00,2.00,6.00,4.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3172082,5.00,4.00,2.00,4.00,5.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3172104,3.00,3.00,2.00,0.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3172112,5.00,3.00,2.00,1.00,4.00,5.75,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3172120,5.00,4.00,2.00,6.00,4.00,4.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3172147,5.00,3.00,5.00,6.00,6.00,4.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3172155,5.00,4.00,3.00,7.00,4.00,4.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3172163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3172171,6.00,8.00,6.00,9.00,8.00,5.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3172180,5.00,3.00,4.00,5.00,5.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3172210,1.00,5.00,1.00,3.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3172228,5.00,8.00,3.00,8.00,6.00,5.50,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3172236,6.00,5.00,7.00,5.00,4.00,4.00,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3172244,2.00,1.00,3.00,2.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3172260,2.00,5.00,1.00,5.00,4.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3172279,3.00,1.00,3.00,1.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3172287,2.00,0.00,3.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3172295,5.00,4.00,4.00,5.00,7.00,5.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3172317,5.00,7.00,5.00,2.00,6.00,5.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3172325,6.00,7.00,4.00,9.00,6.00,6.25,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3172341,7.00,6.00,3.00,8.00,6.00,4.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3172350,2.00,7.00,2.00,6.00,4.00,5.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3172368,3.00,2.00,2.00,1.00,4.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3172376,8.00,7.00,4.00,9.00,8.00,5.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3172384,3.00,3.00,4.00,3.00,5.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3172392,4.00,8.00,3.00,6.00,6.00,6.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3172406,6.00,7.00,3.00,7.00,4.00,5.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3172414,6.00,5.00,2.00,4.00,6.00,5.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3172422,5.00,4.00,2.00,4.00,5.00,4.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3172430,4.00,5.00,4.00,7.00,5.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3172449,6.00,6.00,2.00,3.00,7.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3172457,1.00,4.00,1.00,5.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3172465,5.00,4.00,2.00,8.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3172473,2.00,7.00,3.00,2.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3172481,3.00,5.00,2.00,5.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3172490,4.00,4.00,1.00,5.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3172511,5.00,5.00,4.00,7.00,4.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3172520,2.00,5.00,4.00,4.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3172538,3.00,4.00,2.00,6.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3172546,4.00,3.00,1.00,4.00,1.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3172554,4.00,6.00,4.00,5.00,6.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3172562,6.00,5.00,6.00,5.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3172570,6.00,7.00,4.00,2.00,6.00,6.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3172589,5.00,4.00,3.00,6.00,8.00,5.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3172600,4.00,5.00,2.00,2.00,5.00,5.25,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3172619,6.00,4.00,4.00,4.00,4.00,4.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3172643,4.00,5.00,4.00,8.00,4.00,7.25,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3172651,4.00,3.00,3.00,3.00,5.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3172660,7.00,5.00,4.00,4.00,5.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3172678,5.00,5.00,2.00,6.00,6.00,5.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3172686,6.00,4.00,5.00,3.00,6.00,6.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3172694,2.00,2.00,3.00,2.00,1.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3172708,5.00,5.00,2.00,7.00,2.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3172716,3.00,4.00,1.00,6.00,5.00,4.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3172724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3172732,7.00,7.00,6.00,9.00,9.00,5.75,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3172740,4.00,4.00,5.00,2.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3172759,5.00,8.00,4.00,8.00,7.00,4.25,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3172767,4.00,2.00,2.00,3.00,1.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3172775,2.00,4.00,2.00,6.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3172783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3172791,7.00,3.00,2.00,5.00,6.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3172805,6.00,7.00,7.00,7.00,6.00,5.50,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3172813,5.00,6.00,6.00,8.00,6.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3172821,5.00,2.00,1.00,0.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3172830,7.00,8.00,3.00,6.00,7.00,4.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3172848,3.00,5.00,3.00,2.00,1.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3172856,3.00,8.00,1.00,9.00,5.00,6.00,2.00,8.00,5.00,NULL,NULL,NULL,'S'),(16,3172864,2.00,3.00,2.00,5.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3172872,4.00,3.00,3.00,3.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3172880,4.00,2.00,4.00,7.00,6.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3172899,3.00,3.00,3.00,3.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3172902,7.00,6.00,4.00,7.00,5.00,7.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3172910,3.00,3.00,3.00,0.00,3.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3172929,6.00,6.00,4.00,6.00,7.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3172937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3172945,4.00,5.00,7.00,2.00,5.00,4.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3172953,8.00,7.00,4.00,6.00,8.00,4.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3172961,2.00,4.00,1.00,5.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(16,3172988,2.00,4.00,1.00,5.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3172996,7.00,7.00,9.00,9.00,7.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3173003,4.00,6.00,4.00,5.00,4.00,4.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3173011,7.00,7.00,5.00,7.00,6.00,7.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3173020,4.00,5.00,4.00,4.00,4.00,5.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3173046,2.00,6.00,4.00,7.00,7.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3173062,5.00,6.00,3.00,9.00,6.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3173070,4.00,3.00,6.00,4.00,6.00,6.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3173089,4.00,7.00,1.00,6.00,5.00,5.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3173097,3.00,3.00,2.00,8.00,3.00,NULL,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3173100,8.00,6.00,4.00,8.00,6.00,5.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3173119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3173135,5.00,3.00,4.00,5.00,4.00,4.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3173143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3173160,6.00,4.00,3.00,5.00,5.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3173178,6.00,6.00,6.00,4.00,7.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3173186,3.00,5.00,3.00,6.00,7.00,7.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3173194,9.00,5.00,4.00,8.00,7.00,5.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3173208,3.00,3.00,3.00,6.00,1.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3173216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3173224,4.00,6.00,3.00,6.00,4.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3173232,4.00,6.00,6.00,7.00,5.00,5.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3173240,6.00,7.00,5.00,7.00,5.00,5.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3173259,6.00,2.00,3.00,5.00,3.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3173267,4.00,5.00,3.00,9.00,7.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3173283,3.00,4.00,4.00,2.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3173291,4.00,7.00,2.00,6.00,1.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3173305,5.00,3.00,5.00,9.00,5.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3173313,7.00,7.00,6.00,5.00,8.00,6.25,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3173321,4.00,7.00,3.00,7.00,7.00,7.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3173330,6.00,6.00,5.00,9.00,7.00,5.00,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3173348,5.00,5.00,5.00,7.00,7.00,6.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3173356,2.00,4.00,2.00,2.00,4.00,5.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3173364,4.00,1.00,1.00,6.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3173372,5.00,4.00,7.00,6.00,3.00,NULL,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(16,3173380,4.00,5.00,4.00,6.00,5.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3173399,4.00,4.00,3.00,5.00,6.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3173402,4.00,4.00,2.00,7.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3173410,3.00,2.00,2.00,3.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3173429,0.00,0.00,1.00,0.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3173437,2.00,3.00,4.00,4.00,5.00,5.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3173445,3.00,5.00,2.00,6.00,4.00,4.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3173453,8.00,6.00,3.00,4.00,6.00,6.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3173461,5.00,6.00,4.00,3.00,3.00,NULL,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3173470,1.00,2.00,1.00,3.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3173488,4.00,5.00,2.00,8.00,6.00,4.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3173496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3173500,4.00,0.00,1.00,2.00,6.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3173518,1.00,3.00,2.00,4.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3173526,1.00,3.00,1.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3173542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3173550,4.00,4.00,2.00,2.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3173569,8.00,8.00,5.00,7.00,6.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3173593,4.00,4.00,3.00,6.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3173607,5.00,4.00,2.00,4.00,5.00,5.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3173615,2.00,2.00,2.00,2.00,2.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3173623,4.00,6.00,4.00,2.00,4.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3173631,4.00,5.00,2.00,4.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3173640,2.00,4.00,1.00,3.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3173658,4.00,3.00,4.00,6.00,5.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3173666,4.00,6.00,3.00,6.00,3.00,NULL,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3173674,6.00,6.00,6.00,5.00,5.00,4.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3173682,4.00,1.00,2.00,0.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3173690,8.00,7.00,8.00,8.00,7.00,6.25,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3173704,7.00,5.00,9.00,8.00,8.00,5.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3173712,6.00,5.00,2.00,5.00,5.00,7.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3173720,2.00,4.00,4.00,0.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3173747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3173755,4.00,5.00,4.00,6.00,7.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3173771,4.00,4.00,3.00,4.00,5.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3173780,5.00,3.00,4.00,7.00,7.00,6.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3173798,3.00,1.00,3.00,4.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3173801,6.00,6.00,5.00,7.00,6.00,5.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3173810,6.00,4.00,2.00,7.00,4.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3173828,4.00,6.00,2.00,6.00,4.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3173836,7.00,5.00,5.00,7.00,7.00,4.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3173844,5.00,6.00,4.00,7.00,6.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3173852,3.00,4.00,3.00,6.00,4.00,5.50,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3173860,6.00,4.00,3.00,7.00,5.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3173887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3173895,5.00,0.00,4.00,6.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3173909,6.00,3.00,4.00,6.00,5.00,5.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3173917,5.00,3.00,2.00,8.00,7.00,6.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3173925,3.00,2.00,3.00,6.00,4.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3173941,4.00,5.00,3.00,6.00,5.00,5.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3173950,4.00,4.00,4.00,8.00,6.00,5.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3173968,7.00,5.00,5.00,4.00,7.00,5.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3173976,3.00,4.00,2.00,6.00,5.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3173984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3173992,8.00,7.00,8.00,8.00,8.00,5.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3174000,9.00,5.00,8.00,4.00,7.00,5.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3174018,6.00,5.00,4.00,7.00,6.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3174026,3.00,4.00,4.00,7.00,7.00,4.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3174034,5.00,5.00,5.00,9.00,8.00,7.50,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3174050,2.00,4.00,1.00,8.00,6.00,5.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3174069,5.00,8.00,5.00,6.00,7.00,5.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3174093,2.00,7.00,6.00,8.00,5.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3174107,6.00,8.00,3.00,8.00,8.00,7.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3174115,3.00,2.00,2.00,7.00,4.00,5.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3174158,6.00,4.00,6.00,8.00,7.00,6.25,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3174174,4.00,4.00,5.00,6.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3174182,8.00,8.00,8.00,8.00,7.00,7.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3174220,5.00,4.00,2.00,3.00,6.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3174239,0.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3174247,2.00,6.00,3.00,6.00,7.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3174255,6.00,5.00,4.00,7.00,6.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3174263,3.00,3.00,3.00,5.00,4.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3174271,5.00,4.00,2.00,3.00,7.00,4.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3174301,3.00,3.00,3.00,6.00,4.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3174310,7.00,8.00,9.00,9.00,7.00,6.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3174328,3.00,1.00,1.00,3.00,5.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3174336,5.00,5.00,4.00,5.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3174344,5.00,6.00,3.00,9.00,5.00,4.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3174360,6.00,6.00,6.00,7.00,7.00,5.75,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3174395,7.00,7.00,4.00,6.00,6.00,5.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3174409,4.00,4.00,1.00,7.00,5.00,4.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3174417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3174425,6.00,6.00,3.00,7.00,8.00,6.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3174433,4.00,4.00,1.00,7.00,6.00,6.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3174441,2.00,2.00,2.00,5.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3174450,3.00,2.00,4.00,2.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3174468,7.00,5.00,3.00,5.00,3.00,NULL,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3174476,3.00,0.00,3.00,6.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3174492,7.00,7.00,4.00,7.00,6.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3174506,5.00,3.00,3.00,9.00,7.00,5.75,5.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3174522,1.00,3.00,2.00,3.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3174530,2.00,1.00,3.00,8.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3174549,0.00,3.00,2.00,2.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3174557,3.00,3.00,2.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3174565,4.00,6.00,5.00,9.00,5.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3174573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3174581,2.00,3.00,3.00,7.00,5.00,5.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3174590,4.00,5.00,2.00,6.00,5.00,6.50,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3174603,2.00,5.00,4.00,3.00,4.00,5.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3174611,5.00,6.00,5.00,7.00,5.00,4.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3174620,3.00,3.00,1.00,8.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3174638,7.00,2.00,2.00,2.00,6.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3174646,1.00,1.00,3.00,2.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3174654,0.00,4.00,2.00,1.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3174662,6.00,5.00,5.00,8.00,7.00,5.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3174670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3174689,5.00,3.00,2.00,7.00,5.00,5.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3174697,8.00,6.00,9.00,8.00,7.00,7.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3174700,3.00,2.00,4.00,6.00,5.00,7.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3174719,6.00,5.00,1.00,7.00,8.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3174727,5.00,5.00,6.00,6.00,5.00,4.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3174735,3.00,2.00,1.00,2.00,5.00,NULL,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3174743,1.00,4.00,2.00,2.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3174751,3.00,7.00,4.00,4.00,6.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3174778,4.00,4.00,3.00,2.00,3.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3174786,8.00,7.00,4.00,7.00,5.00,5.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3174794,6.00,7.00,5.00,8.00,8.00,6.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3174808,1.00,4.00,3.00,4.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3174816,3.00,7.00,3.00,6.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3174824,3.00,7.00,5.00,3.00,4.00,4.00,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3174859,7.00,8.00,6.00,7.00,5.00,7.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3174875,4.00,6.00,2.00,7.00,6.00,5.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3174883,7.00,6.00,4.00,5.00,5.00,6.50,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3174891,3.00,3.00,2.00,2.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3174905,5.00,8.00,7.00,8.00,8.00,6.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3174921,3.00,6.00,2.00,1.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3174930,2.00,5.00,4.00,9.00,7.00,4.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3174948,7.00,7.00,5.00,4.00,4.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3174972,4.00,6.00,3.00,7.00,6.00,5.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3174980,5.00,3.00,2.00,9.00,5.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3174999,7.00,8.00,7.00,8.00,7.00,5.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3175006,5.00,6.00,4.00,6.00,3.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3175014,2.00,3.00,1.00,2.00,4.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3175022,4.00,3.00,2.00,7.00,5.00,4.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3175030,3.00,2.00,2.00,2.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3175049,8.00,7.00,6.00,8.00,7.00,5.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3175057,4.00,4.00,1.00,6.00,4.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3175081,5.00,1.00,4.00,9.00,7.00,6.50,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3175103,3.00,5.00,2.00,4.00,3.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3175111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3175120,6.00,8.00,5.00,8.00,6.00,4.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3175146,5.00,8.00,7.00,10.00,9.00,6.75,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3175162,3.00,4.00,2.00,0.00,2.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3175170,4.00,5.00,2.00,6.00,5.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3175200,2.00,1.00,1.00,2.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3175219,6.00,7.00,4.00,8.00,6.00,4.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3175227,7.00,5.00,6.00,7.00,7.00,6.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3175235,5.00,7.00,6.00,7.00,7.00,5.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3175243,6.00,6.00,4.00,7.00,5.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3175260,4.00,4.00,3.00,8.00,5.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3175278,8.00,5.00,7.00,9.00,8.00,6.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3175286,6.00,8.00,4.00,7.00,6.00,6.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3175294,4.00,3.00,4.00,3.00,4.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3175308,5.00,6.00,4.00,8.00,6.00,5.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3175316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3175324,4.00,6.00,4.00,6.00,8.00,6.25,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3175332,7.00,6.00,7.00,8.00,4.00,7.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3175340,8.00,4.00,6.00,9.00,6.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3175359,1.00,3.00,2.00,3.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3175367,5.00,3.00,2.00,3.00,6.00,6.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3175375,7.00,7.00,5.00,7.00,6.00,6.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3175383,6.00,3.00,5.00,4.00,7.00,6.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3175391,8.00,4.00,2.00,7.00,5.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3175413,3.00,7.00,5.00,7.00,4.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3175421,3.00,6.00,3.00,4.00,4.00,6.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3175430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3175448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3175456,4.00,5.00,1.00,6.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3175464,3.00,3.00,3.00,7.00,7.00,5.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3175472,1.00,3.00,2.00,4.00,0.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3175480,2.00,2.00,3.00,3.00,3.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3175499,5.00,8.00,3.00,5.00,6.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3175502,1.00,2.00,2.00,0.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3175529,5.00,4.00,7.00,8.00,5.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3175537,1.00,2.00,3.00,4.00,3.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3175545,8.00,5.00,8.00,8.00,6.00,6.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3175553,1.00,2.00,3.00,8.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3175561,7.00,8.00,6.00,8.00,8.00,7.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3175570,3.00,3.00,4.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3175588,5.00,7.00,4.00,9.00,7.00,6.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3175596,5.00,5.00,2.00,7.00,4.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3175600,7.00,5.00,6.00,8.00,5.00,5.25,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3175626,7.00,7.00,8.00,8.00,8.00,6.50,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3175634,3.00,1.00,2.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3175642,4.00,5.00,6.00,6.00,6.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3175650,6.00,4.00,6.00,8.00,6.00,7.75,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3175669,3.00,5.00,2.00,9.00,6.00,3.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3175677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3175685,2.00,3.00,2.00,2.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3175693,2.00,5.00,6.00,5.00,6.00,4.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3175707,0.00,0.00,0.00,6.00,3.00,NULL,3.00,5.00,3.00,NULL,'S',NULL,'N'),(16,3175715,4.00,4.00,4.00,6.00,5.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3175723,2.00,3.00,1.00,4.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3175740,6.00,7.00,2.00,6.00,5.00,4.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3175758,4.00,4.00,5.00,6.00,5.00,5.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3175766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3175774,1.00,3.00,1.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3175790,7.00,5.00,2.00,6.00,6.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3175804,3.00,4.00,4.00,6.00,2.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3175820,4.00,8.00,6.00,7.00,7.00,4.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3175839,4.00,3.00,3.00,5.00,4.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3175847,3.00,3.00,3.00,5.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3175855,3.00,3.00,2.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3175863,6.00,6.00,3.00,6.00,6.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3175880,6.00,7.00,5.00,7.00,5.00,5.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3175898,3.00,3.00,2.00,7.00,4.00,5.25,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3175936,4.00,7.00,2.00,6.00,6.00,6.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3175944,5.00,3.00,5.00,1.00,3.00,NULL,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3175952,4.00,5.00,5.00,6.00,4.00,4.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3175960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3175979,7.00,6.00,4.00,6.00,4.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3175987,5.00,6.00,2.00,7.00,6.00,7.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3175995,5.00,5.00,2.00,3.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3176002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3176010,7.00,7.00,3.00,7.00,7.00,5.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3176029,2.00,3.00,4.00,4.00,4.00,6.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3176037,6.00,3.00,5.00,9.00,6.00,7.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3176045,6.00,6.00,4.00,5.00,5.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3176053,1.00,3.00,4.00,4.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3176061,7.00,6.00,5.00,8.00,5.00,5.00,4.00,10.00,4.00,NULL,NULL,NULL,'N'),(16,3176088,5.00,6.00,4.00,7.00,6.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3176096,5.00,4.00,7.00,7.00,4.00,5.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3176100,5.00,6.00,7.00,7.00,8.00,6.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3176126,7.00,8.00,2.00,8.00,4.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3176134,8.00,4.00,2.00,2.00,5.00,4.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3176142,8.00,7.00,9.00,8.00,6.00,8.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3176150,3.00,5.00,4.00,8.00,7.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3176169,5.00,7.00,2.00,9.00,6.00,5.25,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3176177,2.00,5.00,2.00,2.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3176185,4.00,2.00,2.00,8.00,5.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3176193,7.00,9.00,4.00,9.00,8.00,8.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3176207,3.00,4.00,4.00,3.00,4.00,5.75,3.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3176215,7.00,7.00,6.00,8.00,7.00,5.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3176223,4.00,5.00,6.00,7.00,6.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3176231,7.00,6.00,8.00,6.00,7.00,5.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3176274,5.00,5.00,4.00,7.00,6.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3176282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3176290,5.00,5.00,5.00,5.00,4.00,7.25,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3176304,8.00,8.00,6.00,9.00,7.00,7.25,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3176312,3.00,1.00,1.00,2.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3176320,5.00,7.00,3.00,8.00,5.00,4.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3176339,6.00,7.00,5.00,7.00,7.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3176347,3.00,3.00,1.00,4.00,5.00,4.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3176363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3176371,8.00,7.00,5.00,9.00,8.00,7.00,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3176380,4.00,4.00,5.00,4.00,4.00,3.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3176398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3176410,4.00,5.00,5.00,6.00,3.00,NULL,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3176428,4.00,4.00,3.00,6.00,6.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3176436,4.00,2.00,3.00,7.00,5.00,6.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3176452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3176460,4.00,4.00,5.00,8.00,6.00,6.50,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3176479,3.00,7.00,2.00,2.00,4.00,6.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3176487,7.00,7.00,3.00,9.00,5.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3176495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3176509,3.00,2.00,3.00,3.00,7.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3176517,4.00,1.00,1.00,5.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3176525,3.00,3.00,3.00,7.00,6.00,6.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3176533,3.00,5.00,3.00,8.00,8.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3176541,1.00,3.00,2.00,5.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3176550,6.00,6.00,1.00,9.00,6.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3176568,6.00,3.00,3.00,2.00,6.00,6.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3176576,8.00,7.00,5.00,9.00,8.00,5.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3176584,2.00,4.00,2.00,4.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3176592,8.00,7.00,6.00,6.00,5.00,6.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3176606,2.00,1.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3176614,5.00,4.00,4.00,5.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3176622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3176630,5.00,6.00,6.00,6.00,7.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3176649,7.00,6.00,7.00,4.00,7.00,6.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3176657,4.00,6.00,4.00,3.00,6.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3176665,3.00,4.00,4.00,7.00,7.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3176673,8.00,6.00,6.00,9.00,6.00,5.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3176681,1.00,6.00,1.00,7.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3176690,6.00,7.00,4.00,7.00,4.00,6.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3176703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3176711,7.00,5.00,5.00,6.00,8.00,5.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3176720,6.00,6.00,4.00,9.00,5.00,5.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3176738,7.00,4.00,7.00,8.00,7.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3176746,3.00,2.00,2.00,7.00,4.00,6.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3176754,6.00,9.00,4.00,8.00,5.00,5.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3176762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3176770,6.00,7.00,5.00,6.00,6.00,5.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3176789,5.00,7.00,2.00,7.00,4.00,6.50,5.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3176797,5.00,5.00,2.00,9.00,7.00,7.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3176800,5.00,7.00,4.00,6.00,4.00,4.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3176819,2.00,5.00,1.00,6.00,5.00,4.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3176827,7.00,8.00,5.00,8.00,6.00,5.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3176835,4.00,1.00,4.00,2.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3176843,6.00,3.00,2.00,2.00,4.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3176851,6.00,5.00,3.00,4.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3176860,6.00,6.00,1.00,8.00,5.00,5.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3176878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3176886,5.00,0.00,3.00,7.00,6.00,6.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3176894,6.00,4.00,5.00,4.00,7.00,4.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3176908,4.00,6.00,3.00,6.00,7.00,6.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3176916,4.00,5.00,3.00,7.00,5.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3176924,6.00,4.00,3.00,6.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3176932,2.00,0.00,3.00,5.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3176940,3.00,6.00,5.00,7.00,3.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3176959,3.00,2.00,2.00,1.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3176967,7.00,4.00,8.00,8.00,6.00,7.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3176975,3.00,4.00,2.00,5.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3176983,3.00,3.00,2.00,8.00,4.00,6.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3176991,5.00,4.00,3.00,8.00,5.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3177009,5.00,5.00,1.00,3.00,5.00,4.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3177017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3177025,4.00,4.00,3.00,0.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3177041,2.00,3.00,3.00,7.00,4.00,3.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3177050,4.00,3.00,1.00,5.00,6.00,4.75,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3177068,7.00,7.00,1.00,7.00,6.00,5.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3177076,2.00,4.00,4.00,4.00,5.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3177084,5.00,6.00,1.00,1.00,5.00,4.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3177092,7.00,3.00,2.00,7.00,2.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3177106,2.00,3.00,1.00,5.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3177114,4.00,5.00,3.00,6.00,5.00,4.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3177122,0.00,1.00,3.00,5.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3177130,7.00,4.00,6.00,7.00,8.00,4.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3177149,0.00,2.00,3.00,5.00,5.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3177157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3177165,2.00,4.00,4.00,2.00,6.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3177173,1.00,2.00,3.00,3.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3177181,6.00,4.00,2.00,5.00,5.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3177190,3.00,0.00,3.00,5.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3177211,7.00,7.00,7.00,8.00,7.00,6.25,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3177220,8.00,7.00,6.00,8.00,6.00,5.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3177238,4.00,6.00,4.00,8.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3177246,6.00,5.00,4.00,7.00,3.00,NULL,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3177254,1.00,3.00,1.00,7.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3177270,6.00,6.00,3.00,9.00,5.00,7.00,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3177289,4.00,5.00,2.00,3.00,8.00,5.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3177297,3.00,5.00,3.00,4.00,4.00,6.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3177300,5.00,6.00,1.00,7.00,5.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3177319,3.00,4.00,2.00,3.00,5.00,4.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3177327,1.00,4.00,2.00,2.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3177335,5.00,3.00,2.00,6.00,5.00,4.75,1.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3177343,1.00,1.00,1.00,1.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3177351,4.00,4.00,2.00,8.00,5.00,6.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3177360,5.00,4.00,2.00,2.00,5.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3177378,2.00,3.00,2.00,6.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3177386,6.00,8.00,5.00,7.00,5.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3177394,2.00,3.00,3.00,1.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3177416,5.00,5.00,3.00,7.00,4.00,4.25,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3177424,7.00,8.00,5.00,8.00,7.00,6.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3177432,3.00,4.00,1.00,0.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3177440,4.00,3.00,2.00,2.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3177459,7.00,5.00,4.00,6.00,8.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3177467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3177475,8.00,6.00,7.00,8.00,7.00,5.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3177483,2.00,4.00,2.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3177491,3.00,6.00,3.00,4.00,3.00,NULL,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3177505,8.00,8.00,5.00,9.00,7.00,7.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3177513,4.00,2.00,4.00,7.00,7.00,7.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3177521,5.00,5.00,4.00,4.00,5.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3177530,2.00,7.00,5.00,7.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3177548,4.00,8.00,4.00,6.00,5.00,5.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3177556,1.00,3.00,3.00,2.00,2.00,NULL,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3177564,6.00,6.00,4.00,3.00,6.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3177580,3.00,2.00,2.00,5.00,4.00,6.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3177599,5.00,6.00,8.00,5.00,5.00,5.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3177602,6.00,5.00,3.00,9.00,8.00,5.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3177610,4.00,4.00,3.00,6.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3177629,4.00,3.00,2.00,5.00,4.00,4.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3177637,3.00,5.00,3.00,3.00,4.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3177645,3.00,5.00,2.00,8.00,4.00,5.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3177653,4.00,4.00,2.00,6.00,4.00,5.00,2.00,7.00,2.00,NULL,NULL,NULL,'S'),(16,3177661,2.00,3.00,3.00,7.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3177670,5.00,6.00,5.00,9.00,7.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3177688,7.00,7.00,6.00,9.00,5.00,4.75,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3177696,3.00,2.00,2.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3177700,5.00,6.00,3.00,7.00,5.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3177718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3177726,3.00,3.00,1.00,5.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3177734,3.00,6.00,6.00,7.00,6.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3177742,5.00,7.00,3.00,7.00,7.00,5.50,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3177769,1.00,4.00,2.00,5.00,4.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3177777,3.00,3.00,1.00,2.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3177785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3177807,2.00,4.00,2.00,2.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3177815,6.00,7.00,4.00,8.00,8.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3177823,9.00,8.00,6.00,8.00,7.00,5.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3177831,4.00,3.00,4.00,7.00,4.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3177840,7.00,5.00,4.00,8.00,7.00,6.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3177866,5.00,4.00,2.00,9.00,4.00,5.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3177874,4.00,4.00,2.00,7.00,5.00,6.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3177890,9.00,9.00,3.00,6.00,6.00,5.75,1.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3177904,4.00,6.00,3.00,4.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3177912,7.00,7.00,8.00,8.00,8.00,7.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3177939,3.00,3.00,3.00,6.00,5.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3177947,5.00,3.00,3.00,0.00,0.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3177955,3.00,5.00,4.00,5.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3177963,5.00,4.00,4.00,7.00,5.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3177971,9.00,7.00,4.00,8.00,7.00,5.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3177980,5.00,6.00,4.00,5.00,6.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3177998,4.00,2.00,1.00,5.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3178005,6.00,8.00,4.00,5.00,8.00,5.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3178013,5.00,3.00,3.00,6.00,5.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3178021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3178030,3.00,4.00,3.00,4.00,5.00,4.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3178048,3.00,6.00,4.00,3.00,4.00,4.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3178056,3.00,5.00,6.00,2.00,5.00,5.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3178064,9.00,9.00,6.00,2.00,6.00,5.25,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3178080,6.00,7.00,7.00,7.00,8.00,6.00,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3178102,4.00,3.00,3.00,7.00,7.00,5.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3178110,4.00,5.00,1.00,5.00,5.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3178129,5.00,0.00,1.00,1.00,4.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3178137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3178145,8.00,6.00,5.00,8.00,7.00,6.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3178153,6.00,4.00,4.00,7.00,7.00,5.00,2.00,7.00,7.00,NULL,NULL,NULL,'S'),(16,3178161,4.00,6.00,3.00,6.00,2.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3178170,7.00,3.00,6.00,7.00,5.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3178188,3.00,6.00,3.00,5.00,4.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3178196,3.00,5.00,3.00,6.00,4.00,4.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3178200,6.00,5.00,2.00,4.00,5.00,5.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3178218,5.00,6.00,5.00,9.00,5.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3178226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3178234,5.00,4.00,2.00,3.00,4.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3178242,1.00,2.00,4.00,2.00,4.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3178250,4.00,6.00,5.00,8.00,5.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3178269,6.00,4.00,1.00,4.00,6.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3178277,7.00,5.00,3.00,9.00,6.00,5.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3178293,5.00,3.00,2.00,8.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3178307,5.00,6.00,4.00,5.00,7.00,7.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3178315,7.00,6.00,4.00,7.00,6.00,6.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3178323,6.00,5.00,4.00,7.00,5.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3178331,6.00,4.00,1.00,5.00,4.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3178340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3178358,2.00,1.00,1.00,4.00,5.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3178366,4.00,2.00,5.00,5.00,5.00,5.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3178374,8.00,8.00,5.00,8.00,6.00,4.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3178382,6.00,5.00,3.00,2.00,5.00,5.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3178390,7.00,8.00,7.00,7.00,6.00,6.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3178404,3.00,2.00,2.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3178412,3.00,6.00,3.00,5.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3178420,2.00,3.00,1.00,5.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3178439,1.00,5.00,1.00,1.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3178455,2.00,2.00,2.00,5.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3178463,5.00,5.00,1.00,8.00,5.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3178471,7.00,6.00,8.00,1.00,5.00,5.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3178498,7.00,7.00,4.00,7.00,7.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3178501,4.00,1.00,1.00,0.00,0.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3178510,4.00,3.00,4.00,6.00,2.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3178536,5.00,3.00,3.00,5.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3178544,1.00,5.00,5.00,2.00,5.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3178552,5.00,3.00,1.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3178560,7.00,6.00,4.00,2.00,6.00,5.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3178579,2.00,2.00,1.00,1.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3178587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3178595,4.00,2.00,3.00,3.00,5.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3178609,5.00,6.00,6.00,6.00,4.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3178617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3178625,4.00,6.00,6.00,4.00,5.00,3.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3178633,5.00,7.00,6.00,5.00,5.00,4.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3178641,3.00,7.00,5.00,8.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3178650,4.00,5.00,5.00,7.00,4.00,4.00,3.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3178668,5.00,3.00,3.00,9.00,4.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3178676,5.00,3.00,3.00,7.00,4.00,5.25,2.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3178684,7.00,4.00,2.00,7.00,6.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3178692,4.00,2.00,3.00,2.00,2.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3178706,4.00,6.00,3.00,7.00,3.00,NULL,1.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3178714,2.00,2.00,2.00,1.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3178722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3178730,0.00,3.00,2.00,3.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3178749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3178773,5.00,5.00,2.00,8.00,7.00,5.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3178781,4.00,6.00,2.00,8.00,3.00,NULL,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3178790,5.00,6.00,1.00,7.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3178803,7.00,8.00,4.00,4.00,5.00,4.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3178811,6.00,5.00,4.00,7.00,6.00,4.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3178820,5.00,4.00,4.00,7.00,6.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3178838,6.00,7.00,7.00,8.00,7.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3178846,5.00,7.00,6.00,4.00,5.00,5.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3178854,3.00,5.00,4.00,6.00,4.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3178862,4.00,6.00,4.00,8.00,7.00,6.00,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3178889,4.00,4.00,1.00,8.00,4.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3178897,5.00,5.00,4.00,5.00,5.00,6.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3178900,3.00,1.00,1.00,0.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3178919,8.00,6.00,7.00,7.00,6.00,5.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3178927,7.00,6.00,4.00,8.00,8.00,6.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3178935,3.00,4.00,3.00,7.00,5.00,5.75,1.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3178943,5.00,3.00,4.00,1.00,4.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3178951,3.00,5.00,2.00,6.00,5.00,5.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3178960,5.00,5.00,6.00,4.00,6.00,5.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3178978,5.00,6.00,4.00,7.00,5.00,5.75,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3178986,4.00,4.00,3.00,8.00,6.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3178994,6.00,3.00,2.00,3.00,7.00,5.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3179001,3.00,3.00,1.00,7.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3179010,4.00,3.00,3.00,3.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3179028,4.00,4.00,3.00,7.00,4.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3179044,8.00,6.00,4.00,7.00,7.00,6.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3179052,3.00,3.00,7.00,3.00,2.00,NULL,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3179060,3.00,5.00,3.00,4.00,1.00,NULL,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3179079,5.00,5.00,3.00,8.00,5.00,5.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3179087,6.00,2.00,2.00,6.00,6.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3179095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3179109,8.00,8.00,4.00,8.00,7.00,5.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3179117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3179125,8.00,7.00,6.00,9.00,9.00,7.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3179133,5.00,5.00,4.00,5.00,5.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3179141,2.00,2.00,2.00,5.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3179168,5.00,3.00,2.00,7.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3179176,5.00,1.00,2.00,5.00,4.00,7.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3179184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3179192,3.00,4.00,3.00,1.00,4.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3179222,8.00,5.00,5.00,7.00,6.00,5.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3179230,5.00,4.00,2.00,6.00,4.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3179257,8.00,8.00,7.00,7.00,5.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3179265,4.00,0.00,2.00,7.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3179273,2.00,7.00,4.00,5.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3179281,8.00,5.00,3.00,8.00,9.00,7.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3179290,6.00,6.00,5.00,5.00,5.00,5.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3179303,4.00,8.00,5.00,6.00,3.00,NULL,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3179311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3179320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3179338,6.00,7.00,1.00,7.00,4.00,4.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3179346,6.00,5.00,3.00,8.00,4.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3179354,7.00,6.00,4.00,8.00,6.00,4.75,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3179370,6.00,8.00,9.00,9.00,7.00,7.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3179389,1.00,3.00,3.00,6.00,4.00,3.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3179397,3.00,3.00,1.00,6.00,4.00,5.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3179400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3179419,8.00,9.00,5.00,7.00,5.00,5.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3179427,5.00,6.00,2.00,6.00,5.00,4.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3179435,2.00,3.00,3.00,4.00,1.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3179443,2.00,2.00,1.00,6.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3179451,2.00,5.00,6.00,8.00,6.00,7.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3179460,4.00,4.00,4.00,4.00,6.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3179478,6.00,7.00,5.00,7.00,5.00,5.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3179486,6.00,3.00,2.00,7.00,4.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3179508,4.00,3.00,2.00,5.00,5.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3179516,9.00,6.00,3.00,8.00,7.00,5.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3179532,8.00,8.00,4.00,7.00,8.00,6.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3179540,2.00,8.00,4.00,7.00,5.00,5.50,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3179559,6.00,5.00,3.00,7.00,7.00,4.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3179567,2.00,3.00,3.00,1.00,4.00,NULL,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3179575,4.00,0.00,4.00,6.00,4.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3179583,3.00,5.00,2.00,0.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3179605,4.00,4.00,5.00,5.00,5.00,5.25,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3179613,5.00,6.00,5.00,8.00,2.00,NULL,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3179621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3179648,3.00,3.00,4.00,6.00,6.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3179656,6.00,8.00,7.00,5.00,6.00,5.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3179664,2.00,2.00,4.00,3.00,4.00,6.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3179672,3.00,6.00,1.00,6.00,4.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3179680,4.00,4.00,6.00,7.00,5.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3179699,3.00,3.00,5.00,2.00,4.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3179702,4.00,6.00,4.00,7.00,6.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3179729,6.00,7.00,5.00,8.00,7.00,4.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3179737,1.00,6.00,2.00,6.00,3.00,NULL,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3179745,2.00,4.00,2.00,7.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3179753,4.00,5.00,3.00,1.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3179761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3179788,5.00,3.00,4.00,8.00,4.00,4.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3179796,3.00,4.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3179800,6.00,4.00,3.00,8.00,6.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3179826,6.00,7.00,6.00,8.00,6.00,6.25,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3179842,4.00,1.00,2.00,5.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3179850,2.00,3.00,2.00,1.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3179869,5.00,4.00,2.00,7.00,3.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3179877,6.00,7.00,6.00,7.00,6.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3179885,3.00,2.00,2.00,6.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3179907,4.00,6.00,5.00,8.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3179915,4.00,4.00,4.00,7.00,5.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3179923,3.00,4.00,4.00,4.00,4.00,3.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3179931,5.00,5.00,2.00,7.00,5.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3179940,7.00,9.00,4.00,8.00,6.00,4.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3179958,1.00,2.00,1.00,4.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3179966,4.00,4.00,2.00,8.00,6.00,8.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3179982,3.00,4.00,4.00,5.00,5.00,6.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3179990,2.00,4.00,2.00,6.00,4.00,4.75,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3180000,3.00,2.00,4.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3180018,5.00,4.00,7.00,7.00,6.00,6.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3180034,2.00,2.00,1.00,3.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3180042,6.00,6.00,5.00,8.00,3.00,NULL,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3180050,7.00,3.00,5.00,6.00,4.00,5.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3180069,5.00,3.00,4.00,8.00,7.00,7.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3180077,4.00,8.00,5.00,7.00,5.00,6.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3180085,3.00,3.00,2.00,5.00,5.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3180093,4.00,6.00,3.00,7.00,3.00,NULL,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3180107,3.00,4.00,3.00,2.00,5.00,5.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3180115,6.00,5.00,3.00,2.00,4.00,5.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3180123,2.00,2.00,1.00,1.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3180131,5.00,4.00,4.00,6.00,6.00,4.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3180140,2.00,2.00,3.00,2.00,1.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3180158,4.00,5.00,3.00,7.00,8.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3180166,7.00,6.00,7.00,3.00,6.00,6.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3180174,3.00,2.00,1.00,5.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3180182,7.00,5.00,5.00,6.00,6.00,6.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3180190,0.00,5.00,4.00,7.00,4.00,5.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3180204,3.00,5.00,1.00,5.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3180212,2.00,3.00,2.00,6.00,3.00,NULL,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3180220,8.00,7.00,6.00,9.00,7.00,7.50,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3180239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3180247,1.00,2.00,2.00,4.00,2.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3180255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3180263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3180280,6.00,5.00,4.00,8.00,5.00,5.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3180298,5.00,3.00,1.00,6.00,4.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3180301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3180310,2.00,1.00,2.00,3.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3180328,2.00,4.00,2.00,1.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3180336,3.00,3.00,6.00,7.00,7.00,4.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3180344,8.00,6.00,6.00,9.00,7.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3180352,7.00,4.00,3.00,6.00,4.00,3.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3180379,3.00,4.00,4.00,2.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3180387,3.00,4.00,3.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3180395,6.00,8.00,4.00,6.00,4.00,6.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3180409,5.00,5.00,1.00,7.00,6.00,2.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3180417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3180425,6.00,2.00,5.00,4.00,7.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3180433,3.00,4.00,2.00,6.00,6.00,4.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3180441,3.00,6.00,4.00,6.00,5.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3180450,5.00,3.00,2.00,4.00,6.00,6.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3180468,4.00,7.00,5.00,4.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3180476,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3180484,2.00,2.00,3.00,4.00,3.00,NULL,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(16,3180492,4.00,3.00,5.00,1.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3180506,6.00,6.00,7.00,5.00,8.00,5.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3180514,7.00,7.00,6.00,6.00,6.00,5.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3180522,1.00,4.00,3.00,4.00,1.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3180530,1.00,0.00,1.00,1.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3180557,5.00,4.00,2.00,6.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3180565,5.00,5.00,4.00,6.00,6.00,4.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3180581,4.00,2.00,2.00,6.00,4.00,5.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3180590,9.00,9.00,9.00,9.00,9.00,9.25,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3180611,2.00,4.00,3.00,5.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3180638,6.00,7.00,5.00,3.00,6.00,6.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3180646,5.00,3.00,2.00,5.00,4.00,3.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3180654,1.00,3.00,4.00,4.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3180670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3180697,3.00,5.00,3.00,3.00,1.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3180700,2.00,2.00,1.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3180727,3.00,4.00,3.00,1.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3180735,7.00,6.00,4.00,7.00,6.00,4.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3180743,4.00,6.00,2.00,5.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3180751,5.00,4.00,4.00,6.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3180760,6.00,4.00,4.00,6.00,4.00,4.25,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3180778,2.00,7.00,5.00,9.00,6.00,5.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3180816,3.00,2.00,3.00,2.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3180824,7.00,8.00,5.00,4.00,6.00,6.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3180832,6.00,6.00,4.00,7.00,6.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3180859,6.00,8.00,3.00,9.00,7.00,6.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3180867,2.00,4.00,4.00,4.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3180875,6.00,6.00,4.00,7.00,4.00,5.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3180883,5.00,5.00,3.00,5.00,4.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3180891,8.00,6.00,8.00,9.00,8.00,6.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3180905,8.00,3.00,3.00,9.00,6.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3180913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3180930,5.00,6.00,6.00,9.00,5.00,5.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3180964,5.00,4.00,4.00,7.00,4.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3180972,3.00,4.00,1.00,7.00,4.00,4.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3180980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3180999,5.00,6.00,4.00,2.00,5.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3181006,2.00,3.00,3.00,3.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3181014,1.00,3.00,3.00,5.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3181022,4.00,4.00,2.00,7.00,5.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3181030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3181049,3.00,1.00,3.00,5.00,3.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3181073,3.00,4.00,1.00,7.00,3.00,NULL,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3181081,2.00,4.00,2.00,2.00,5.00,NULL,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3181090,5.00,5.00,2.00,7.00,4.00,4.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3181103,3.00,4.00,1.00,9.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3181111,9.00,5.00,3.00,8.00,6.00,6.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3181120,2.00,0.00,1.00,3.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3181138,8.00,6.00,4.00,9.00,8.00,4.25,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3181146,6.00,2.00,4.00,6.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3181162,3.00,4.00,3.00,5.00,6.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3181170,5.00,6.00,3.00,6.00,8.00,6.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3181189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3181197,4.00,7.00,4.00,9.00,5.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3181219,5.00,2.00,1.00,2.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3181235,4.00,1.00,4.00,0.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3181251,1.00,4.00,4.00,2.00,2.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3181260,2.00,3.00,3.00,6.00,6.00,7.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3181278,2.00,5.00,3.00,3.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3181286,8.00,5.00,3.00,6.00,3.00,NULL,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3181294,3.00,4.00,2.00,0.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3181308,6.00,3.00,5.00,9.00,8.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3181316,2.00,4.00,5.00,7.00,5.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3181332,6.00,4.00,5.00,5.00,5.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3181340,1.00,2.00,2.00,5.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3181359,8.00,6.00,7.00,7.00,7.00,7.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3181367,2.00,1.00,4.00,3.00,5.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3181375,6.00,7.00,4.00,4.00,6.00,6.00,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3181391,6.00,6.00,4.00,8.00,6.00,6.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3181405,5.00,6.00,5.00,8.00,6.00,4.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3181413,4.00,2.00,2.00,7.00,5.00,4.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3181421,5.00,3.00,4.00,7.00,4.00,6.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3181430,4.00,0.00,2.00,3.00,0.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3181448,5.00,5.00,2.00,4.00,6.00,4.75,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3181456,3.00,4.00,3.00,5.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3181480,2.00,3.00,3.00,5.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3181499,0.00,2.00,3.00,4.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3181502,3.00,6.00,3.00,7.00,6.00,5.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3181510,2.00,2.00,3.00,1.00,2.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3181529,8.00,8.00,6.00,5.00,7.00,7.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3181537,5.00,2.00,3.00,5.00,3.00,NULL,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3181545,2.00,4.00,3.00,8.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3181553,5.00,7.00,3.00,7.00,6.00,4.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3181561,5.00,8.00,6.00,9.00,6.00,5.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3181588,2.00,2.00,4.00,2.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3181596,6.00,6.00,6.00,9.00,7.00,5.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3181600,2.00,5.00,3.00,5.00,4.00,4.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3181618,5.00,5.00,5.00,2.00,5.00,4.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3181626,4.00,7.00,4.00,8.00,6.00,4.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3181634,5.00,5.00,4.00,4.00,6.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3181642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3181650,6.00,6.00,5.00,7.00,6.00,6.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3181669,4.00,2.00,2.00,9.00,4.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3181677,5.00,4.00,3.00,7.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3181685,9.00,8.00,8.00,7.00,6.00,6.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3181707,3.00,2.00,3.00,2.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3181715,4.00,4.00,3.00,8.00,6.00,5.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3181723,3.00,4.00,6.00,8.00,6.00,7.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3181731,8.00,8.00,6.00,6.00,4.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3181758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3181782,5.00,3.00,4.00,1.00,4.00,6.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3181804,5.00,7.00,4.00,8.00,8.00,7.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3181812,8.00,7.00,7.00,8.00,8.00,5.25,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3181820,4.00,4.00,1.00,9.00,9.00,7.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3181839,4.00,4.00,4.00,7.00,6.00,4.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3181847,4.00,3.00,3.00,7.00,1.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3181855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3181863,5.00,2.00,3.00,8.00,1.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3181871,8.00,8.00,6.00,8.00,6.00,4.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3181880,8.00,6.00,5.00,9.00,5.00,7.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3181901,5.00,5.00,3.00,7.00,4.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3181910,6.00,5.00,6.00,6.00,5.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3181928,1.00,5.00,3.00,3.00,5.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3181936,8.00,6.00,8.00,8.00,5.00,6.00,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3181944,7.00,7.00,3.00,6.00,6.00,5.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3181952,6.00,7.00,7.00,8.00,9.00,5.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3181960,4.00,7.00,3.00,7.00,7.00,7.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3181987,6.00,5.00,4.00,3.00,3.00,NULL,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3181995,9.00,7.00,6.00,8.00,9.00,6.25,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3182002,4.00,7.00,4.00,6.00,6.00,5.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3182010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3182029,5.00,5.00,6.00,6.00,8.00,6.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3182045,3.00,4.00,3.00,2.00,4.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3182053,4.00,4.00,5.00,8.00,4.00,4.50,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3182061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3182070,2.00,2.00,4.00,5.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3182096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3182126,8.00,6.00,6.00,9.00,2.00,NULL,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3182134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3182142,3.00,4.00,4.00,4.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3182150,5.00,3.00,4.00,6.00,2.00,NULL,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3182169,6.00,7.00,6.00,7.00,7.00,5.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3182177,3.00,4.00,5.00,4.00,4.00,4.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3182193,3.00,4.00,2.00,4.00,3.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3182207,5.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3182215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3182223,4.00,3.00,4.00,7.00,6.00,5.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3182231,4.00,5.00,2.00,6.00,7.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3182240,6.00,7.00,6.00,5.00,4.00,5.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3182258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3182266,3.00,5.00,3.00,2.00,8.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3182274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3182290,5.00,5.00,4.00,3.00,4.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3182304,3.00,4.00,4.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3182312,9.00,8.00,8.00,8.00,9.00,5.75,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3182339,6.00,9.00,7.00,9.00,8.00,6.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3182347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3182363,4.00,2.00,2.00,1.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3182371,7.00,9.00,4.00,9.00,8.00,7.50,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3182380,2.00,3.00,3.00,3.00,1.00,NULL,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3182398,2.00,3.00,4.00,2.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3182401,5.00,4.00,1.00,3.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3182428,3.00,0.00,2.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3182436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3182460,6.00,7.00,6.00,6.00,8.00,6.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3182479,8.00,6.00,7.00,7.00,6.00,4.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3182487,2.00,3.00,2.00,0.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3182495,3.00,2.00,2.00,4.00,6.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3182509,0.00,4.00,4.00,3.00,4.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3182517,8.00,9.00,5.00,7.00,4.00,5.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3182525,7.00,5.00,8.00,8.00,6.00,4.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3182541,2.00,5.00,2.00,4.00,4.00,4.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3182550,5.00,4.00,4.00,8.00,2.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3182576,2.00,8.00,2.00,6.00,4.00,4.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3182584,3.00,3.00,3.00,0.00,5.00,5.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3182592,3.00,3.00,2.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3182606,3.00,5.00,1.00,5.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3182614,8.00,7.00,8.00,9.00,7.00,8.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3182622,5.00,7.00,8.00,7.00,7.00,5.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3182630,6.00,7.00,4.00,7.00,4.00,6.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3182649,2.00,1.00,2.00,0.00,0.00,NULL,2.00,3.00,3.00,'S',NULL,NULL,'N'),(16,3182657,5.00,8.00,7.00,8.00,6.00,5.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3182665,7.00,6.00,7.00,8.00,7.00,6.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3182673,5.00,4.00,2.00,5.00,7.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3182681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3182690,3.00,3.00,3.00,4.00,4.00,5.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3182703,2.00,3.00,4.00,5.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3182720,5.00,4.00,2.00,6.00,5.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3182754,0.00,1.00,1.00,4.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3182762,8.00,9.00,6.00,8.00,6.00,6.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3182789,3.00,3.00,3.00,2.00,4.00,4.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3182819,3.00,4.00,1.00,6.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3182827,5.00,7.00,7.00,8.00,6.00,5.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3182835,7.00,4.00,4.00,6.00,5.00,5.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3182843,7.00,8.00,7.00,9.00,7.00,6.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3182851,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3182860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3182878,5.00,5.00,2.00,6.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3182886,7.00,3.00,4.00,7.00,6.00,5.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3182908,3.00,0.00,1.00,6.00,4.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3182916,4.00,7.00,4.00,7.00,5.00,4.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3182924,4.00,4.00,2.00,6.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3182940,5.00,3.00,5.00,6.00,6.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3182967,4.00,3.00,1.00,7.00,7.00,6.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3182975,2.00,5.00,4.00,5.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3183009,2.00,4.00,1.00,4.00,4.00,6.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3183017,6.00,2.00,4.00,7.00,5.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3183025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3183033,8.00,5.00,5.00,3.00,4.00,4.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3183041,7.00,8.00,7.00,8.00,7.00,7.00,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3183050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3183068,3.00,3.00,1.00,3.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3183076,8.00,7.00,6.00,9.00,6.00,6.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3183084,2.00,4.00,2.00,9.00,5.00,7.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3183092,3.00,5.00,2.00,2.00,4.00,3.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3183122,3.00,5.00,4.00,4.00,6.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3183130,5.00,5.00,1.00,7.00,5.00,5.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3183149,8.00,7.00,9.00,8.00,8.00,6.50,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3183157,3.00,2.00,2.00,5.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3183165,2.00,5.00,2.00,2.00,1.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3183173,8.00,8.00,5.00,7.00,6.00,7.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3183181,5.00,6.00,4.00,8.00,6.00,6.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3183190,5.00,4.00,4.00,3.00,5.00,4.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3183203,2.00,3.00,3.00,8.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3183211,3.00,5.00,4.00,5.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3183220,8.00,8.00,9.00,8.00,9.00,6.75,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3183238,5.00,5.00,1.00,7.00,4.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3183246,4.00,1.00,5.00,8.00,6.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3183254,3.00,3.00,3.00,2.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3183262,1.00,5.00,2.00,3.00,4.00,5.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3183297,2.00,4.00,3.00,1.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3183300,3.00,6.00,3.00,5.00,4.00,4.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3183319,6.00,7.00,2.00,6.00,7.00,5.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3183327,6.00,7.00,4.00,8.00,7.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3183335,7.00,3.00,2.00,3.00,7.00,6.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3183343,7.00,6.00,5.00,7.00,7.00,5.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3183351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3183360,2.00,5.00,1.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3183378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3183386,8.00,7.00,4.00,8.00,6.00,6.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3183394,8.00,6.00,5.00,8.00,6.00,5.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3183408,5.00,7.00,3.00,7.00,5.00,5.00,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3183416,2.00,2.00,3.00,0.00,0.00,NULL,1.00,4.00,3.00,'S',NULL,NULL,'N'),(16,3183424,4.00,4.00,3.00,3.00,3.00,NULL,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3183440,1.00,2.00,1.00,2.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3183459,2.00,6.00,4.00,9.00,5.00,6.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3183467,1.00,5.00,1.00,2.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3183475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3183483,8.00,9.00,7.00,9.00,7.00,6.25,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3183491,3.00,5.00,4.00,7.00,4.00,4.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3183505,2.00,4.00,5.00,7.00,6.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3183521,5.00,5.00,4.00,6.00,5.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3183530,2.00,4.00,1.00,2.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3183548,5.00,5.00,5.00,7.00,8.00,4.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3183556,7.00,7.00,4.00,8.00,7.00,6.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3183564,2.00,4.00,2.00,8.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3183572,3.00,4.00,2.00,2.00,5.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3183580,5.00,6.00,4.00,7.00,6.00,6.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3183599,5.00,0.00,4.00,5.00,4.00,5.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3183602,3.00,3.00,3.00,6.00,1.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3183610,6.00,4.00,5.00,8.00,8.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3183629,4.00,3.00,4.00,7.00,6.00,4.75,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3183637,4.00,7.00,2.00,2.00,5.00,0.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3183645,1.00,1.00,3.00,2.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3183653,5.00,3.00,4.00,6.00,4.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3183661,6.00,6.00,3.00,5.00,5.00,6.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3183670,3.00,0.00,1.00,1.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3183688,3.00,2.00,1.00,5.00,0.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3183696,2.00,5.00,4.00,1.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3183718,7.00,6.00,8.00,9.00,8.00,6.75,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3183726,4.00,5.00,5.00,8.00,7.00,6.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3183734,7.00,8.00,6.00,8.00,6.00,6.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3183742,4.00,6.00,4.00,2.00,5.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3183750,2.00,3.00,3.00,5.00,6.00,2.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3183769,3.00,4.00,2.00,2.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3183777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3183793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3183807,6.00,5.00,8.00,9.00,8.00,5.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3183815,6.00,4.00,3.00,6.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3183823,5.00,7.00,3.00,7.00,6.00,5.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3183831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3183840,4.00,1.00,4.00,7.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3183858,4.00,3.00,2.00,1.00,3.00,NULL,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3183866,7.00,6.00,3.00,7.00,6.00,6.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3183874,2.00,1.00,4.00,2.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3183882,6.00,8.00,5.00,9.00,8.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3183890,3.00,6.00,4.00,2.00,3.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3183904,1.00,3.00,3.00,4.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3183912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3183920,7.00,8.00,6.00,8.00,7.00,6.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3183939,1.00,1.00,2.00,2.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3183947,5.00,5.00,3.00,5.00,4.00,4.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3183963,4.00,6.00,2.00,4.00,1.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3183998,2.00,2.00,4.00,7.00,4.00,4.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3184005,1.00,5.00,2.00,4.00,6.00,3.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3184021,6.00,6.00,1.00,4.00,6.00,4.00,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3184030,5.00,5.00,2.00,7.00,6.00,6.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3184048,9.00,9.00,5.00,7.00,7.00,7.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3184064,4.00,7.00,1.00,8.00,4.00,6.00,2.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3184072,3.00,4.00,3.00,4.00,4.00,5.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3184080,6.00,7.00,4.00,7.00,4.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3184099,5.00,5.00,5.00,8.00,7.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3184102,8.00,5.00,6.00,3.00,6.00,8.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3184110,5.00,2.00,1.00,6.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3184137,5.00,7.00,4.00,7.00,5.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3184145,4.00,5.00,5.00,5.00,5.00,6.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3184153,2.00,4.00,4.00,0.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3184161,3.00,3.00,2.00,3.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3184170,4.00,5.00,4.00,7.00,5.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3184188,6.00,7.00,2.00,7.00,3.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3184200,5.00,7.00,3.00,1.00,5.00,3.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3184218,0.00,2.00,3.00,3.00,0.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3184226,2.00,4.00,1.00,4.00,4.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3184234,5.00,4.00,3.00,7.00,5.00,3.00,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3184242,6.00,4.00,3.00,5.00,6.00,4.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3184250,4.00,4.00,1.00,7.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3184269,7.00,5.00,8.00,8.00,7.00,7.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3184277,2.00,3.00,1.00,5.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'S'),(16,3184285,4.00,4.00,2.00,6.00,4.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3184293,5.00,7.00,7.00,5.00,4.00,6.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3184307,2.00,2.00,3.00,5.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3184315,7.00,6.00,3.00,6.00,6.00,7.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3184323,6.00,7.00,4.00,7.00,8.00,6.75,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3184331,7.00,8.00,5.00,9.00,7.00,6.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3184340,0.00,6.00,4.00,7.00,6.00,5.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3184358,7.00,5.00,4.00,9.00,6.00,7.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3184366,3.00,5.00,2.00,5.00,4.00,6.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3184374,4.00,4.00,2.00,8.00,5.00,5.00,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3184382,3.00,3.00,1.00,3.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3184390,7.00,9.00,7.00,9.00,8.00,6.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3184404,4.00,5.00,3.00,6.00,3.00,NULL,2.00,7.00,6.00,NULL,NULL,NULL,'S'),(16,3184412,3.00,7.00,6.00,8.00,5.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3184420,4.00,3.00,3.00,7.00,5.00,6.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3184439,7.00,7.00,6.00,9.00,5.00,5.50,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3184447,3.00,6.00,4.00,9.00,6.00,4.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3184455,4.00,5.00,4.00,7.00,6.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3184463,1.00,4.00,2.00,2.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3184471,4.00,3.00,2.00,8.00,7.00,6.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3184480,4.00,6.00,3.00,6.00,5.00,6.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3184501,5.00,6.00,4.00,4.00,4.00,5.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3184510,5.00,5.00,2.00,8.00,5.00,6.50,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3184528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3184536,5.00,7.00,3.00,2.00,6.00,5.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3184544,6.00,7.00,5.00,7.00,7.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3184552,2.00,5.00,2.00,2.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3184560,5.00,3.00,1.00,6.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3184579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3184587,2.00,5.00,1.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3184595,7.00,7.00,5.00,7.00,7.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3184609,8.00,6.00,5.00,7.00,6.00,4.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3184617,5.00,2.00,3.00,2.00,1.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3184625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3184633,3.00,2.00,3.00,5.00,2.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3184641,2.00,1.00,2.00,3.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3184650,5.00,4.00,5.00,8.00,6.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3184668,3.00,1.00,2.00,0.00,0.00,NULL,0.00,0.00,0.00,'S',NULL,'S','S'),(16,3184676,3.00,4.00,4.00,6.00,4.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3184684,6.00,4.00,4.00,5.00,5.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3184692,0.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3184706,4.00,5.00,3.00,6.00,6.00,4.75,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3184714,3.00,3.00,3.00,9.00,7.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3184722,5.00,4.00,3.00,3.00,6.00,5.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3184730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3184749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3184757,5.00,8.00,5.00,5.00,4.00,6.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3184765,3.00,3.00,4.00,0.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3184773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3184781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3184790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3184803,1.00,1.00,2.00,3.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3184811,4.00,5.00,3.00,7.00,5.00,6.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3184820,3.00,2.00,3.00,8.00,5.00,4.50,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3184838,7.00,6.00,3.00,6.00,5.00,5.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3184846,5.00,7.00,6.00,8.00,7.00,7.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3184854,7.00,5.00,6.00,8.00,8.00,5.25,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3184862,6.00,7.00,3.00,8.00,5.00,5.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3184870,4.00,4.00,2.00,4.00,5.00,7.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3184897,4.00,6.00,2.00,5.00,6.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3184900,3.00,5.00,3.00,6.00,4.00,3.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3184919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3184927,5.00,4.00,7.00,8.00,8.00,7.00,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(16,3184935,0.00,2.00,2.00,3.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3184943,3.00,7.00,2.00,7.00,5.00,5.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3184951,4.00,6.00,4.00,7.00,5.00,3.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3184960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3184978,4.00,3.00,4.00,7.00,5.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3184986,6.00,6.00,4.00,8.00,8.00,6.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3185001,7.00,7.00,6.00,8.00,6.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3185028,6.00,4.00,3.00,2.00,4.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3185036,8.00,8.00,6.00,2.00,5.00,4.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3185044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3185052,3.00,0.00,3.00,0.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3185060,5.00,4.00,4.00,6.00,5.00,4.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3185079,4.00,5.00,3.00,5.00,6.00,7.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3185087,7.00,3.00,3.00,2.00,5.00,5.00,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3185117,6.00,8.00,5.00,4.00,6.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3185125,4.00,5.00,2.00,6.00,7.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3185133,5.00,7.00,3.00,8.00,4.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3185141,8.00,7.00,5.00,8.00,6.00,5.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3185168,9.00,9.00,8.00,7.00,8.00,6.50,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3185176,4.00,0.00,1.00,6.00,5.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3185192,6.00,6.00,5.00,5.00,3.00,NULL,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3185206,1.00,3.00,2.00,1.00,1.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3185214,8.00,7.00,4.00,8.00,4.00,5.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3185222,4.00,2.00,2.00,4.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3185230,3.00,3.00,1.00,2.00,5.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3185249,7.00,4.00,3.00,4.00,5.00,5.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3185273,8.00,5.00,5.00,6.00,4.00,7.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3185281,4.00,5.00,2.00,4.00,5.00,4.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3185290,6.00,6.00,1.00,6.00,7.00,4.25,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3185303,6.00,6.00,5.00,3.00,7.00,6.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3185311,2.00,2.00,1.00,4.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3185320,3.00,4.00,1.00,3.00,2.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3185338,2.00,6.00,3.00,6.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3185346,6.00,8.00,6.00,8.00,6.00,5.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3185354,6.00,1.00,3.00,3.00,5.00,4.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3185362,5.00,7.00,5.00,7.00,7.00,5.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3185370,6.00,4.00,2.00,3.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3185397,7.00,6.00,5.00,7.00,5.00,6.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3185400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3185419,5.00,6.00,3.00,3.00,6.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3185427,6.00,4.00,2.00,7.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3185435,0.00,3.00,2.00,4.00,4.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3185443,5.00,2.00,3.00,5.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3185451,6.00,7.00,6.00,7.00,6.00,6.25,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3185460,4.00,3.00,3.00,4.00,6.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3185486,3.00,5.00,1.00,7.00,7.00,7.00,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3185494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3185508,7.00,4.00,3.00,7.00,7.00,6.00,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3185524,6.00,6.00,1.00,4.00,4.00,6.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3185532,5.00,4.00,2.00,6.00,4.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3185540,3.00,2.00,3.00,1.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3185559,7.00,7.00,6.00,9.00,8.00,7.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3185567,2.00,4.00,2.00,9.00,5.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3185575,5.00,6.00,5.00,8.00,8.00,5.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3185583,3.00,7.00,1.00,9.00,7.00,2.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3185591,4.00,7.00,3.00,7.00,4.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3185613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3185621,5.00,7.00,6.00,8.00,6.00,4.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3185630,6.00,6.00,2.00,7.00,6.00,7.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3185656,4.00,4.00,1.00,8.00,4.00,6.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3185672,4.00,7.00,5.00,5.00,5.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3185680,4.00,3.00,4.00,7.00,4.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3185699,3.00,2.00,3.00,4.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3185702,6.00,6.00,3.00,7.00,4.00,6.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3185710,1.00,5.00,1.00,5.00,7.00,4.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3185729,4.00,4.00,4.00,5.00,7.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3185737,4.00,5.00,2.00,9.00,4.00,4.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3185761,4.00,5.00,2.00,8.00,6.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3185788,7.00,7.00,8.00,8.00,6.00,7.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3185818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3185826,5.00,6.00,2.00,5.00,7.00,4.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3185834,3.00,4.00,3.00,5.00,4.00,5.75,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3185842,3.00,4.00,5.00,4.00,3.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3185850,2.00,3.00,2.00,7.00,6.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3185869,7.00,7.00,3.00,8.00,6.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3185877,5.00,3.00,4.00,7.00,5.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3185893,3.00,5.00,2.00,2.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3185915,4.00,3.00,4.00,6.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3185923,1.00,3.00,4.00,4.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3185931,2.00,2.00,5.00,4.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3185940,4.00,2.00,2.00,8.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3185958,2.00,1.00,3.00,7.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3185966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3185974,4.00,6.00,5.00,4.00,7.00,4.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3185982,6.00,2.00,2.00,5.00,5.00,5.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3185990,4.00,6.00,3.00,5.00,5.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3186008,7.00,7.00,7.00,2.00,4.00,5.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3186016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3186040,3.00,3.00,2.00,3.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3186059,6.00,4.00,1.00,6.00,5.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3186075,4.00,6.00,1.00,3.00,3.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3186083,7.00,7.00,7.00,9.00,7.00,7.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3186091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3186105,5.00,5.00,5.00,8.00,5.00,4.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3186113,2.00,3.00,2.00,7.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3186130,4.00,7.00,3.00,4.00,4.00,4.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3186164,4.00,2.00,3.00,5.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3186172,5.00,6.00,3.00,7.00,8.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3186180,6.00,6.00,7.00,8.00,7.00,7.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3186199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3186202,8.00,7.00,7.00,7.00,7.00,6.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3186210,3.00,2.00,1.00,5.00,6.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3186229,6.00,7.00,4.00,6.00,4.00,0.00,1.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3186237,4.00,4.00,3.00,5.00,0.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3186253,3.00,7.00,3.00,8.00,5.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3186261,0.00,4.00,2.00,6.00,4.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3186270,6.00,7.00,3.00,7.00,5.00,5.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3186288,9.00,8.00,2.00,8.00,6.00,6.25,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3186296,4.00,7.00,3.00,3.00,4.00,6.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3186300,8.00,7.00,6.00,8.00,7.00,5.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3186318,5.00,5.00,3.00,5.00,3.00,NULL,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3186326,8.00,7.00,5.00,6.00,6.00,6.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3186334,2.00,1.00,1.00,6.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3186342,7.00,6.00,6.00,7.00,4.00,4.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3186350,3.00,2.00,3.00,1.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3186369,1.00,1.00,1.00,4.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3186385,3.00,4.00,1.00,5.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3186393,4.00,5.00,4.00,5.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3186407,3.00,6.00,2.00,6.00,6.00,4.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3186415,1.00,7.00,3.00,7.00,6.00,4.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3186423,5.00,1.00,3.00,2.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3186431,2.00,3.00,1.00,0.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3186440,4.00,3.00,3.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3186458,5.00,8.00,6.00,3.00,5.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3186466,5.00,5.00,6.00,8.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3186474,4.00,4.00,2.00,5.00,4.00,4.75,1.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3186482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3186490,5.00,4.00,4.00,4.00,4.00,5.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3186504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3186512,8.00,7.00,8.00,9.00,8.00,5.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3186520,2.00,3.00,3.00,7.00,4.00,4.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3186539,5.00,6.00,2.00,3.00,3.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3186547,4.00,3.00,1.00,7.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3186555,2.00,5.00,3.00,4.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3186563,2.00,3.00,3.00,6.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3186571,3.00,2.00,1.00,2.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3186598,3.00,5.00,2.00,6.00,6.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3186601,8.00,5.00,4.00,7.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3186610,5.00,3.00,3.00,6.00,5.00,5.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3186628,5.00,5.00,2.00,7.00,4.00,4.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3186636,3.00,7.00,5.00,9.00,8.00,5.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3186644,6.00,5.00,4.00,8.00,9.00,5.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3186652,3.00,2.00,3.00,4.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3186660,7.00,7.00,4.00,8.00,7.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3186679,3.00,3.00,2.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3186687,2.00,0.00,1.00,1.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3186695,3.00,4.00,4.00,2.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3186717,6.00,8.00,6.00,5.00,7.00,6.25,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3186725,2.00,7.00,2.00,3.00,5.00,5.25,2.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3186733,4.00,2.00,4.00,4.00,5.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3186741,4.00,4.00,4.00,8.00,6.00,5.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3186750,6.00,4.00,5.00,7.00,6.00,4.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3186776,2.00,3.00,2.00,6.00,6.00,5.25,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3186792,2.00,6.00,5.00,2.00,4.00,4.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3186806,3.00,0.00,3.00,3.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3186814,5.00,3.00,4.00,4.00,4.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3186822,3.00,2.00,3.00,7.00,6.00,6.50,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3186830,4.00,4.00,1.00,2.00,4.00,4.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3186865,3.00,6.00,2.00,4.00,6.00,4.25,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3186873,4.00,3.00,3.00,4.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3186881,7.00,7.00,6.00,7.00,5.00,4.00,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3186903,6.00,7.00,6.00,8.00,7.00,6.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3186911,7.00,6.00,3.00,2.00,5.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3186920,3.00,3.00,3.00,4.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3186938,3.00,7.00,3.00,8.00,4.00,6.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3186946,4.00,5.00,1.00,8.00,4.00,4.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3186954,4.00,5.00,3.00,7.00,7.00,4.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3186962,8.00,7.00,7.00,7.00,6.00,5.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3186970,3.00,5.00,1.00,3.00,4.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3186989,3.00,5.00,4.00,5.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3186997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3187004,6.00,4.00,1.00,6.00,5.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3187012,7.00,8.00,6.00,6.00,6.00,6.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3187020,4.00,6.00,2.00,1.00,4.00,4.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3187039,8.00,6.00,5.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3187047,3.00,3.00,1.00,1.00,2.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3187063,3.00,2.00,3.00,2.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3187071,4.00,0.00,1.00,3.00,4.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3187080,9.00,6.00,9.00,9.00,7.00,6.50,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3187098,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3187110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3187128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3187144,7.00,7.00,4.00,8.00,4.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3187160,5.00,4.00,2.00,6.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3187179,3.00,3.00,3.00,6.00,3.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3187187,4.00,3.00,4.00,3.00,4.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3187195,1.00,5.00,4.00,7.00,4.00,4.25,1.00,1.00,5.00,NULL,NULL,NULL,'S'),(16,3187209,3.00,3.00,4.00,2.00,7.00,5.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3187217,2.00,2.00,2.00,6.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3187225,2.00,4.00,2.00,6.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3187233,7.00,7.00,3.00,9.00,7.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3187241,4.00,4.00,3.00,6.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3187250,3.00,3.00,2.00,1.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3187268,8.00,7.00,5.00,9.00,4.00,7.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3187284,8.00,7.00,6.00,6.00,6.00,7.75,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3187292,5.00,4.00,2.00,8.00,5.00,5.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3187306,1.00,1.00,3.00,0.00,2.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3187314,4.00,1.00,4.00,7.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3187322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3187330,3.00,2.00,1.00,2.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3187349,3.00,3.00,1.00,4.00,3.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3187357,4.00,4.00,3.00,2.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3187373,5.00,4.00,1.00,1.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3187381,4.00,2.00,5.00,7.00,4.00,5.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3187390,6.00,8.00,5.00,7.00,9.00,7.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3187403,2.00,4.00,1.00,6.00,6.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3187411,7.00,4.00,2.00,4.00,5.00,5.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3187420,2.00,6.00,3.00,6.00,4.00,7.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3187438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3187446,2.00,2.00,3.00,1.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3187454,4.00,3.00,2.00,5.00,3.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3187462,7.00,5.00,5.00,9.00,8.00,5.75,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3187470,3.00,2.00,3.00,6.00,4.00,4.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3187489,8.00,5.00,5.00,7.00,7.00,4.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3187500,5.00,7.00,5.00,8.00,7.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3187519,5.00,5.00,2.00,8.00,6.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3187527,5.00,0.00,1.00,5.00,5.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3187535,3.00,4.00,2.00,2.00,5.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3187543,3.00,2.00,2.00,2.00,2.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3187551,6.00,8.00,6.00,9.00,7.00,6.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3187560,1.00,5.00,1.00,6.00,4.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3187578,4.00,6.00,3.00,6.00,6.00,6.75,3.00,7.00,6.00,NULL,NULL,NULL,'S'),(16,3187586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3187594,6.00,3.00,4.00,7.00,7.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3187608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3187616,5.00,3.00,1.00,5.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3187624,3.00,3.00,1.00,6.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3187632,4.00,3.00,2.00,5.00,5.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3187640,4.00,3.00,3.00,6.00,5.00,6.75,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3187659,7.00,6.00,5.00,1.00,6.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3187667,7.00,9.00,8.00,9.00,6.00,6.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3187683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3187691,3.00,1.00,2.00,1.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3187705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3187713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3187730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3187748,1.00,2.00,3.00,3.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3187756,6.00,5.00,1.00,9.00,7.00,5.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3187764,6.00,5.00,4.00,2.00,7.00,4.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3187772,1.00,1.00,1.00,5.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3187780,4.00,9.00,4.00,8.00,6.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3187799,1.00,3.00,3.00,4.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3187802,5.00,4.00,5.00,9.00,8.00,8.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3187810,5.00,3.00,4.00,5.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3187829,3.00,4.00,2.00,4.00,4.00,4.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3187837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3187845,3.00,3.00,2.00,5.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3187861,1.00,6.00,2.00,3.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3187870,2.00,2.00,4.00,3.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3187888,4.00,5.00,4.00,6.00,3.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3187896,8.00,6.00,7.00,7.00,6.00,4.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3187900,2.00,5.00,2.00,7.00,4.00,5.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3187918,5.00,2.00,2.00,6.00,5.00,5.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3187926,4.00,3.00,4.00,1.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3187934,4.00,4.00,5.00,8.00,3.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'S'),(16,3187942,4.00,2.00,1.00,8.00,4.00,3.00,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3187950,5.00,5.00,4.00,8.00,4.00,6.00,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3187969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3187977,9.00,7.00,6.00,4.00,7.00,5.75,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3187985,4.00,6.00,6.00,8.00,5.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3187993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3188000,3.00,3.00,2.00,4.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3188019,2.00,3.00,4.00,5.00,0.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3188027,2.00,3.00,4.00,4.00,5.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3188035,5.00,5.00,3.00,4.00,4.00,6.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3188043,1.00,3.00,2.00,4.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3188051,4.00,2.00,4.00,3.00,5.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3188060,7.00,7.00,4.00,5.00,4.00,6.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3188078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3188086,3.00,5.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3188116,3.00,4.00,4.00,5.00,4.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3188124,5.00,7.00,2.00,6.00,4.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3188132,5.00,8.00,2.00,9.00,5.00,6.50,2.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3188140,1.00,0.00,3.00,5.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3188159,2.00,3.00,6.00,8.00,7.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3188167,6.00,8.00,4.00,6.00,7.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3188175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3188183,6.00,6.00,3.00,7.00,6.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3188191,8.00,5.00,7.00,9.00,8.00,8.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3188205,6.00,7.00,4.00,6.00,7.00,5.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3188213,3.00,5.00,3.00,4.00,4.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3188221,3.00,6.00,4.00,7.00,5.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3188230,7.00,6.00,4.00,8.00,7.00,6.75,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3188248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3188256,4.00,0.00,2.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3188264,4.00,5.00,6.00,4.00,6.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3188272,3.00,2.00,3.00,4.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(16,3188280,3.00,7.00,3.00,7.00,5.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3188299,3.00,4.00,5.00,8.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3188302,8.00,5.00,6.00,3.00,4.00,5.75,6.00,6.00,6.00,NULL,NULL,NULL,'S'),(16,3188310,4.00,5.00,5.00,8.00,4.00,4.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3188329,6.00,7.00,5.00,2.00,4.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3188337,4.00,2.00,3.00,5.00,4.00,6.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3188345,3.00,4.00,2.00,7.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3188353,5.00,5.00,6.00,5.00,6.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3188361,5.00,2.00,3.00,8.00,6.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3188370,6.00,4.00,4.00,2.00,4.00,4.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3188388,6.00,3.00,2.00,5.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3188396,5.00,2.00,3.00,9.00,7.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3188418,4.00,5.00,1.00,3.00,5.00,5.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3188426,5.00,6.00,6.00,5.00,7.00,5.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3188442,5.00,5.00,2.00,3.00,6.00,6.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3188450,3.00,3.00,4.00,7.00,4.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3188469,7.00,5.00,2.00,7.00,4.00,4.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3188477,4.00,5.00,1.00,4.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3188493,5.00,4.00,6.00,7.00,7.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3188507,6.00,4.00,5.00,8.00,5.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3188515,3.00,4.00,3.00,5.00,5.00,4.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3188523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3188531,2.00,3.00,1.00,2.00,3.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3188540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3188566,5.00,4.00,4.00,5.00,6.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3188574,8.00,6.00,4.00,8.00,7.00,5.75,3.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3188582,3.00,4.00,5.00,7.00,5.00,5.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3188590,4.00,3.00,1.00,2.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3188612,4.00,2.00,1.00,4.00,6.00,5.50,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3188620,8.00,8.00,8.00,9.00,5.00,5.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3188639,2.00,4.00,3.00,8.00,5.00,7.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3188647,7.00,7.00,7.00,9.00,7.00,6.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3188663,7.00,8.00,8.00,9.00,9.00,6.50,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3188671,8.00,6.00,8.00,8.00,8.00,6.00,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3188680,1.00,4.00,4.00,3.00,4.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3188698,2.00,4.00,3.00,3.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3188710,7.00,6.00,9.00,9.00,8.00,6.00,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3188728,4.00,4.00,2.00,5.00,4.00,4.50,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3188744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3188752,5.00,4.00,2.00,6.00,5.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3188787,3.00,5.00,4.00,4.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3188809,5.00,6.00,5.00,9.00,6.00,5.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3188825,5.00,5.00,2.00,7.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3188833,4.00,1.00,3.00,6.00,4.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3188841,2.00,2.00,1.00,0.00,0.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3188850,6.00,3.00,4.00,6.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3188868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3188876,6.00,6.00,4.00,6.00,5.00,7.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3188884,7.00,6.00,4.00,7.00,7.00,4.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3188892,4.00,5.00,3.00,7.00,7.00,7.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3188914,5.00,4.00,3.00,7.00,7.00,5.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3188930,5.00,7.00,4.00,8.00,4.00,4.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3188949,0.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3188957,7.00,6.00,5.00,9.00,6.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3188965,3.00,3.00,3.00,9.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3188981,1.00,1.00,2.00,7.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3188990,3.00,1.00,4.00,2.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3189015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3189023,4.00,6.00,2.00,4.00,5.00,5.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3189040,7.00,6.00,3.00,9.00,8.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3189058,8.00,8.00,8.00,8.00,8.00,6.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3189066,4.00,7.00,4.00,6.00,5.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3189074,3.00,1.00,2.00,5.00,4.00,5.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3189104,7.00,7.00,7.00,8.00,8.00,5.50,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3189112,3.00,2.00,1.00,6.00,2.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3189120,3.00,4.00,1.00,4.00,4.00,4.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3189139,5.00,5.00,2.00,6.00,8.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3189147,4.00,4.00,1.00,4.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3189155,3.00,4.00,3.00,2.00,6.00,5.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3189163,8.00,6.00,6.00,4.00,5.00,4.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3189171,5.00,5.00,3.00,3.00,4.00,5.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3189180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3189198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3189201,5.00,4.00,2.00,1.00,6.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3189210,5.00,4.00,6.00,8.00,8.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3189228,5.00,8.00,6.00,8.00,7.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3189236,8.00,6.00,3.00,6.00,6.00,5.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3189252,2.00,1.00,2.00,4.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3189260,6.00,7.00,8.00,8.00,5.00,5.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3189279,2.00,4.00,4.00,6.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3189287,2.00,3.00,3.00,2.00,1.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3189295,5.00,7.00,5.00,9.00,6.00,4.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3189309,4.00,7.00,2.00,8.00,6.00,7.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3189317,3.00,5.00,1.00,1.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3189325,6.00,5.00,5.00,9.00,7.00,6.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3189333,5.00,4.00,1.00,7.00,6.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3189341,3.00,2.00,2.00,7.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3189368,7.00,6.00,6.00,5.00,5.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3189376,6.00,8.00,5.00,9.00,7.00,6.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3189384,4.00,4.00,5.00,6.00,4.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3189392,5.00,5.00,4.00,8.00,5.00,5.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3189406,2.00,3.00,2.00,2.00,4.00,3.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3189414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3189422,3.00,3.00,4.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3189449,4.00,2.00,1.00,7.00,7.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3189457,8.00,4.00,9.00,7.00,7.00,6.75,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3189465,6.00,6.00,8.00,8.00,6.00,6.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3189473,5.00,6.00,2.00,5.00,6.00,5.75,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3189481,4.00,3.00,7.00,9.00,4.00,4.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3189490,2.00,5.00,1.00,6.00,4.00,3.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3189503,6.00,5.00,6.00,4.00,6.00,5.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3189511,2.00,1.00,2.00,4.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3189520,5.00,6.00,2.00,5.00,3.00,NULL,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3189538,6.00,5.00,3.00,8.00,4.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3189546,7.00,7.00,7.00,6.00,7.00,4.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3189554,2.00,6.00,2.00,7.00,4.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3189562,9.00,8.00,7.00,8.00,7.00,5.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3189570,4.00,8.00,2.00,5.00,8.00,5.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3189597,3.00,5.00,4.00,6.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3189600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3189619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3189627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3189635,2.00,2.00,2.00,5.00,5.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3189651,7.00,9.00,7.00,7.00,4.00,6.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3189660,3.00,2.00,1.00,2.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3189678,2.00,5.00,5.00,2.00,4.00,NULL,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3189686,3.00,1.00,2.00,7.00,7.00,5.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3189694,3.00,2.00,1.00,1.00,4.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3189708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3189716,4.00,6.00,3.00,7.00,4.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3189724,4.00,7.00,5.00,8.00,7.00,5.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3189732,6.00,7.00,5.00,1.00,6.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3189740,4.00,3.00,1.00,4.00,4.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3189759,4.00,3.00,4.00,7.00,4.00,3.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3189767,4.00,6.00,2.00,7.00,4.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3189791,3.00,0.00,2.00,3.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3189805,6.00,6.00,3.00,7.00,7.00,7.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3189813,5.00,4.00,3.00,6.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3189821,1.00,3.00,1.00,2.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3189848,5.00,5.00,4.00,6.00,1.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3189856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3189864,5.00,6.00,4.00,9.00,6.00,6.50,2.00,8.00,6.00,NULL,NULL,NULL,'S'),(16,3189872,5.00,6.00,3.00,5.00,7.00,6.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3189880,5.00,3.00,5.00,4.00,5.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3189899,3.00,6.00,3.00,6.00,5.00,6.00,4.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3189902,6.00,5.00,3.00,3.00,4.00,6.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3189910,5.00,6.00,6.00,6.00,5.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3189929,4.00,8.00,4.00,8.00,6.00,4.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3189937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3189945,7.00,6.00,5.00,8.00,6.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3189953,4.00,6.00,1.00,4.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3189961,1.00,2.00,4.00,7.00,5.00,5.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3189970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3189996,5.00,7.00,5.00,7.00,5.00,4.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3190005,7.00,6.00,6.00,8.00,5.00,6.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3190013,2.00,3.00,2.00,5.00,4.00,5.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3190021,3.00,2.00,5.00,3.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(16,3190030,3.00,3.00,2.00,7.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3190056,7.00,5.00,4.00,7.00,5.00,6.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3190064,3.00,5.00,5.00,8.00,5.00,4.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3190072,8.00,8.00,7.00,7.00,9.00,5.50,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3190102,3.00,2.00,1.00,0.00,0.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3190110,5.00,7.00,4.00,8.00,4.00,5.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3190129,5.00,7.00,6.00,8.00,6.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3190137,2.00,1.00,3.00,1.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3190145,2.00,3.00,2.00,6.00,6.00,5.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3190153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3190161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3190170,5.00,5.00,2.00,7.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3190188,2.00,3.00,3.00,6.00,6.00,4.75,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3190196,5.00,5.00,7.00,4.00,7.00,6.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3190218,5.00,5.00,4.00,7.00,7.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3190226,2.00,3.00,4.00,5.00,3.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3190234,8.00,5.00,8.00,9.00,8.00,7.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3190277,4.00,4.00,2.00,4.00,5.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3190285,3.00,2.00,2.00,4.00,4.00,4.00,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3190293,1.00,5.00,2.00,2.00,5.00,5.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3190307,2.00,1.00,2.00,4.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3190315,3.00,4.00,5.00,9.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3190323,5.00,6.00,2.00,9.00,3.00,NULL,3.00,5.00,6.00,NULL,NULL,NULL,'S'),(16,3190331,3.00,2.00,2.00,4.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3190340,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3190358,4.00,7.00,1.00,3.00,6.00,3.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3190366,5.00,7.00,6.00,5.00,4.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3190374,7.00,8.00,7.00,9.00,8.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3190382,2.00,3.00,3.00,6.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3190404,8.00,6.00,6.00,7.00,6.00,6.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3190412,4.00,6.00,3.00,6.00,6.00,5.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3190420,4.00,4.00,2.00,6.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3190439,5.00,6.00,3.00,7.00,5.00,4.00,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3190447,1.00,3.00,4.00,2.00,1.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3190455,2.00,5.00,3.00,7.00,5.00,5.25,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3190463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3190471,3.00,3.00,4.00,9.00,6.00,5.75,0.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3190480,2.00,2.00,4.00,3.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(16,3190498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3190501,5.00,7.00,1.00,6.00,5.00,4.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3190528,5.00,5.00,3.00,8.00,4.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3190536,6.00,6.00,4.00,8.00,7.00,5.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3190544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3190552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3190560,3.00,4.00,1.00,2.00,3.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3190579,5.00,5.00,5.00,5.00,6.00,5.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3190587,3.00,6.00,3.00,6.00,4.00,7.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3190595,4.00,1.00,1.00,7.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3190609,4.00,2.00,4.00,3.00,4.00,4.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3190617,3.00,6.00,3.00,6.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3190625,7.00,4.00,1.00,7.00,5.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3190633,7.00,5.00,5.00,4.00,5.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3190650,1.00,3.00,2.00,7.00,4.00,6.50,2.00,6.00,1.00,NULL,NULL,NULL,'S'),(16,3190668,4.00,5.00,9.00,5.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3190676,4.00,8.00,1.00,4.00,6.00,4.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3190684,8.00,7.00,5.00,6.00,8.00,4.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3190692,4.00,4.00,6.00,5.00,7.00,5.25,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3190706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3190714,5.00,5.00,4.00,6.00,4.00,5.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3190749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3190757,4.00,3.00,1.00,3.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3190765,0.00,0.00,0.00,5.00,5.00,NULL,3.00,2.00,6.00,NULL,'S',NULL,'N'),(16,3190781,4.00,8.00,8.00,6.00,6.00,6.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3190790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3190811,7.00,5.00,3.00,7.00,6.00,4.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3190838,4.00,5.00,2.00,9.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3190862,3.00,5.00,3.00,5.00,6.00,5.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3190889,2.00,5.00,2.00,6.00,4.00,5.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3190897,5.00,3.00,2.00,7.00,4.00,6.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3190919,6.00,7.00,4.00,7.00,5.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3190927,3.00,8.00,1.00,9.00,6.00,5.25,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3190935,5.00,5.00,6.00,9.00,7.00,5.25,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3190943,3.00,4.00,1.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3190951,2.00,4.00,3.00,0.00,2.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3190978,6.00,5.00,8.00,6.00,6.00,5.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3190986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3190994,3.00,5.00,3.00,6.00,6.00,5.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3191001,9.00,7.00,7.00,7.00,7.00,5.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3191010,4.00,4.00,2.00,7.00,7.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3191028,4.00,2.00,2.00,4.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3191036,7.00,6.00,5.00,7.00,6.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3191044,4.00,8.00,2.00,7.00,6.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3191052,5.00,4.00,3.00,9.00,4.00,5.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3191060,9.00,8.00,8.00,7.00,9.00,5.50,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3191079,6.00,5.00,4.00,7.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3191087,3.00,5.00,3.00,5.00,6.00,5.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3191095,3.00,4.00,3.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3191109,5.00,7.00,3.00,9.00,5.00,5.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3191117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3191125,7.00,8.00,5.00,6.00,7.00,5.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3191133,2.00,2.00,2.00,0.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3191141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3191168,8.00,8.00,6.00,5.00,7.00,5.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3191184,6.00,5.00,5.00,5.00,6.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3191192,4.00,4.00,4.00,7.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3191206,3.00,3.00,2.00,3.00,4.00,4.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3191214,3.00,3.00,2.00,5.00,6.00,6.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3191222,2.00,6.00,2.00,5.00,8.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3191230,4.00,5.00,3.00,3.00,5.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3191249,6.00,7.00,4.00,8.00,5.00,3.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3191257,7.00,5.00,2.00,7.00,8.00,5.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3191265,4.00,1.00,2.00,1.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3191273,6.00,4.00,4.00,7.00,6.00,5.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3191290,3.00,1.00,1.00,3.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3191311,2.00,5.00,3.00,4.00,4.00,5.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3191320,2.00,5.00,4.00,5.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3191338,6.00,6.00,4.00,7.00,5.00,7.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3191346,4.00,5.00,3.00,4.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3191354,4.00,4.00,4.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3191362,0.00,4.00,1.00,4.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3191370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3191389,1.00,6.00,3.00,9.00,7.00,7.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3191397,3.00,4.00,3.00,8.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3191400,7.00,6.00,6.00,8.00,7.00,5.25,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3191419,3.00,7.00,4.00,2.00,3.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3191427,4.00,6.00,3.00,6.00,6.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3191435,4.00,1.00,1.00,5.00,5.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3191443,3.00,2.00,1.00,3.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3191451,3.00,5.00,1.00,0.00,0.00,NULL,2.00,5.00,5.00,'S',NULL,NULL,'N'),(16,3191460,6.00,5.00,5.00,4.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3191478,5.00,2.00,3.00,8.00,2.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3191486,6.00,6.00,5.00,7.00,7.00,7.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3191494,4.00,3.00,3.00,7.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3191508,2.00,2.00,3.00,1.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3191516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3191524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3191532,2.00,5.00,1.00,2.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3191540,6.00,8.00,5.00,7.00,7.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3191559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3191567,4.00,3.00,2.00,3.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(16,3191575,4.00,4.00,5.00,9.00,3.00,NULL,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3191583,6.00,2.00,3.00,7.00,6.00,5.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3191591,3.00,5.00,1.00,7.00,1.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3191605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3191613,6.00,5.00,2.00,3.00,6.00,4.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3191621,3.00,5.00,4.00,5.00,4.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3191648,1.00,2.00,2.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3191664,7.00,6.00,5.00,5.00,8.00,5.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3191680,9.00,7.00,7.00,9.00,7.00,8.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3191699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3191702,7.00,7.00,4.00,9.00,7.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3191710,5.00,4.00,3.00,8.00,5.00,4.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3191729,6.00,2.00,3.00,1.00,2.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3191745,3.00,4.00,2.00,3.00,4.00,4.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3191753,3.00,6.00,5.00,8.00,5.00,5.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3191761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3191770,3.00,6.00,3.00,8.00,6.00,7.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3191788,5.00,4.00,4.00,6.00,4.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3191796,9.00,7.00,5.00,3.00,8.00,6.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3191800,7.00,5.00,3.00,5.00,5.00,5.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3191818,4.00,4.00,5.00,4.00,4.00,5.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3191826,4.00,4.00,3.00,7.00,6.00,6.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3191834,6.00,7.00,6.00,9.00,7.00,7.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3191842,2.00,5.00,3.00,5.00,6.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3191869,4.00,3.00,2.00,1.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3191877,5.00,3.00,1.00,2.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3191893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3191907,4.00,2.00,5.00,2.00,5.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3191915,6.00,7.00,5.00,7.00,6.00,7.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3191923,9.00,7.00,7.00,7.00,7.00,6.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3191931,2.00,6.00,4.00,5.00,4.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3191940,7.00,5.00,2.00,7.00,6.00,7.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3191958,3.00,5.00,1.00,8.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3191966,9.00,8.00,8.00,8.00,7.00,8.00,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3191974,3.00,3.00,1.00,3.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3191990,7.00,4.00,5.00,6.00,8.00,6.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3192016,6.00,3.00,4.00,4.00,6.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3192024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3192032,2.00,1.00,2.00,6.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3192040,5.00,4.00,2.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3192059,7.00,6.00,6.00,7.00,6.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3192067,4.00,4.00,7.00,4.00,5.00,4.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3192075,4.00,6.00,3.00,9.00,7.00,7.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3192083,4.00,2.00,3.00,1.00,1.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3192091,3.00,5.00,4.00,7.00,5.00,5.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3192105,4.00,3.00,1.00,7.00,5.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3192113,6.00,5.00,1.00,8.00,6.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3192121,7.00,3.00,1.00,8.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3192130,4.00,5.00,5.00,7.00,8.00,7.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3192148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3192156,4.00,4.00,5.00,7.00,3.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3192164,3.00,6.00,4.00,3.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3192172,8.00,8.00,4.00,9.00,9.00,6.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3192180,5.00,6.00,4.00,8.00,4.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3192199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3192202,5.00,8.00,6.00,7.00,5.00,4.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3192210,2.00,5.00,2.00,0.00,0.00,NULL,0.00,0.00,0.00,'S',NULL,'S','N'),(16,3192229,5.00,3.00,6.00,6.00,3.00,NULL,1.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3192237,4.00,3.00,2.00,3.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3192245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3192253,4.00,4.00,3.00,6.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3192261,7.00,7.00,7.00,8.00,7.00,5.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3192270,5.00,3.00,2.00,2.00,4.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3192288,7.00,7.00,3.00,5.00,5.00,5.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3192296,4.00,3.00,2.00,1.00,6.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3192300,5.00,6.00,6.00,7.00,5.00,4.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3192318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3192326,4.00,5.00,3.00,6.00,6.00,5.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3192334,8.00,6.00,6.00,6.00,6.00,5.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3192342,4.00,3.00,4.00,4.00,3.00,NULL,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3192350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3192369,2.00,2.00,1.00,4.00,4.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3192377,5.00,5.00,6.00,6.00,5.00,4.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3192385,3.00,3.00,4.00,5.00,7.00,5.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3192393,5.00,4.00,2.00,2.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3192415,7.00,5.00,5.00,8.00,7.00,7.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3192423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3192431,6.00,4.00,4.00,6.00,5.00,5.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3192440,2.00,3.00,1.00,2.00,3.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3192458,4.00,4.00,2.00,6.00,4.00,4.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3192466,4.00,4.00,3.00,7.00,6.00,4.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3192474,1.00,4.00,1.00,0.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3192482,4.00,3.00,5.00,4.00,2.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3192490,4.00,4.00,5.00,6.00,5.00,5.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3192504,6.00,6.00,5.00,8.00,4.00,5.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3192512,1.00,3.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3192520,5.00,2.00,2.00,9.00,4.00,8.00,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(16,3192539,5.00,1.00,5.00,9.00,5.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3192547,2.00,4.00,3.00,6.00,4.00,4.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3192555,7.00,6.00,5.00,4.00,6.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3192580,4.00,1.00,4.00,6.00,5.00,4.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3192598,2.00,2.00,2.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3192601,5.00,3.00,2.00,5.00,4.00,6.00,0.00,7.00,1.00,NULL,NULL,NULL,'S'),(16,3192610,8.00,7.00,4.00,7.00,7.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3192628,5.00,4.00,2.00,5.00,5.00,6.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3192644,3.00,2.00,2.00,6.00,6.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3192652,7.00,8.00,4.00,9.00,7.00,6.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3192660,1.00,3.00,1.00,1.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3192679,5.00,6.00,3.00,1.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3192687,4.00,5.00,4.00,8.00,4.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3192695,8.00,7.00,8.00,6.00,6.00,5.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3192709,4.00,5.00,4.00,6.00,5.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3192717,4.00,5.00,5.00,6.00,6.00,4.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3192725,2.00,0.00,2.00,1.00,1.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3192741,5.00,6.00,1.00,6.00,5.00,7.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3192750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3192768,4.00,4.00,2.00,1.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3192776,5.00,7.00,2.00,6.00,3.00,NULL,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3192784,2.00,6.00,6.00,9.00,6.00,6.75,4.00,9.00,2.00,NULL,NULL,NULL,'S'),(16,3192806,6.00,4.00,4.00,9.00,7.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3192814,5.00,3.00,6.00,3.00,5.00,4.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3192822,3.00,4.00,3.00,5.00,5.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3192830,2.00,4.00,1.00,6.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3192849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3192857,7.00,8.00,9.00,6.00,8.00,5.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3192865,2.00,2.00,3.00,6.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3192873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3192881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3192890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3192903,4.00,3.00,4.00,3.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3192911,6.00,2.00,1.00,5.00,4.00,4.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3192920,5.00,4.00,4.00,6.00,5.00,5.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3192938,0.00,0.00,0.00,6.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3192946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3192962,5.00,5.00,4.00,7.00,4.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3192970,4.00,3.00,1.00,5.00,4.00,4.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3192989,3.00,4.00,3.00,5.00,5.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3192997,3.00,4.00,3.00,6.00,5.00,5.50,5.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3193012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3193020,1.00,3.00,3.00,6.00,3.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(16,3193039,6.00,6.00,6.00,8.00,5.00,4.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3193047,6.00,7.00,5.00,7.00,6.00,6.50,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3193055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3193063,2.00,3.00,1.00,6.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3193098,2.00,3.00,1.00,8.00,7.00,5.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3193101,3.00,6.00,6.00,5.00,6.00,5.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3193128,4.00,7.00,7.00,8.00,7.00,5.50,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3193136,6.00,6.00,6.00,3.00,6.00,4.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3193144,3.00,3.00,2.00,1.00,5.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3193152,2.00,6.00,3.00,5.00,4.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3193160,4.00,4.00,1.00,6.00,4.00,6.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3193179,5.00,7.00,3.00,6.00,6.00,6.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3193187,1.00,4.00,2.00,1.00,0.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3193195,3.00,3.00,2.00,2.00,5.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3193209,3.00,3.00,2.00,5.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3193217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3193225,2.00,5.00,1.00,2.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3193233,2.00,3.00,4.00,8.00,4.00,3.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3193241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3193250,7.00,8.00,7.00,7.00,8.00,5.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3193268,4.00,4.00,2.00,7.00,7.00,6.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3193276,3.00,6.00,2.00,3.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3193284,4.00,5.00,3.00,4.00,4.00,4.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3193306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3193314,5.00,5.00,4.00,7.00,7.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3193322,3.00,3.00,1.00,3.00,4.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3193330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3193349,5.00,4.00,2.00,3.00,4.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3193357,4.00,4.00,3.00,7.00,5.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3193365,7.00,7.00,4.00,8.00,7.00,6.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3193373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3193381,3.00,7.00,8.00,8.00,6.00,6.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3193411,3.00,3.00,2.00,3.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3193420,4.00,2.00,3.00,8.00,4.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3193438,5.00,6.00,2.00,4.00,7.00,4.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3193446,7.00,7.00,5.00,9.00,7.00,5.50,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3193454,8.00,9.00,5.00,8.00,5.00,5.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3193462,4.00,4.00,4.00,4.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(16,3193470,3.00,4.00,5.00,4.00,6.00,5.25,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(16,3193489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3193497,3.00,2.00,1.00,7.00,4.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'S'),(16,3193527,8.00,6.00,6.00,5.00,6.00,5.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3193535,3.00,4.00,5.00,7.00,3.00,NULL,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3193543,6.00,6.00,7.00,7.00,5.00,5.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3193551,6.00,6.00,4.00,9.00,5.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3193560,3.00,2.00,2.00,3.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3193578,2.00,3.00,3.00,0.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3193586,9.00,8.00,5.00,8.00,8.00,7.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3193594,3.00,3.00,4.00,2.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3193608,3.00,3.00,5.00,9.00,5.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3193616,3.00,5.00,2.00,3.00,2.00,NULL,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3193624,6.00,7.00,3.00,6.00,7.00,7.50,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3193632,8.00,9.00,6.00,9.00,7.00,7.75,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3193640,4.00,4.00,2.00,7.00,7.00,7.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3193667,5.00,6.00,5.00,9.00,6.00,6.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3193675,7.00,6.00,7.00,7.00,7.00,6.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3193683,5.00,5.00,6.00,7.00,5.00,5.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3193691,3.00,4.00,3.00,6.00,4.00,4.75,2.00,7.00,1.00,NULL,NULL,NULL,'S'),(16,3193721,4.00,6.00,1.00,6.00,4.00,4.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3193730,8.00,7.00,5.00,7.00,6.00,6.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3193748,2.00,4.00,5.00,6.00,5.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3193756,5.00,6.00,2.00,6.00,5.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3193764,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3193772,5.00,3.00,2.00,3.00,5.00,5.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3193780,5.00,6.00,3.00,3.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3193799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3193802,7.00,7.00,4.00,7.00,4.00,6.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3193810,8.00,8.00,5.00,8.00,8.00,5.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3193829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3193837,6.00,5.00,7.00,9.00,6.00,4.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3193845,2.00,1.00,1.00,0.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3193853,2.00,5.00,3.00,6.00,5.00,5.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3193861,3.00,3.00,3.00,2.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3193896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3193900,6.00,6.00,4.00,7.00,5.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3193926,3.00,5.00,2.00,6.00,5.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3193934,6.00,8.00,7.00,7.00,6.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3193942,3.00,5.00,1.00,0.00,0.00,NULL,1.00,6.00,3.00,'S',NULL,NULL,'N'),(16,3193950,5.00,6.00,2.00,4.00,2.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3193969,4.00,3.00,3.00,3.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3193993,3.00,7.00,5.00,6.00,6.00,5.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3194000,5.00,3.00,1.00,3.00,0.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3194019,8.00,8.00,8.00,8.00,8.00,7.00,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3194027,2.00,0.00,2.00,1.00,1.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3194051,3.00,1.00,3.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3194060,6.00,6.00,7.00,9.00,7.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3194078,4.00,4.00,2.00,7.00,4.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3194086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3194094,4.00,3.00,1.00,7.00,5.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3194108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3194116,8.00,8.00,9.00,8.00,7.00,6.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3194124,4.00,2.00,1.00,2.00,5.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3194132,4.00,6.00,4.00,6.00,7.00,6.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3194140,7.00,5.00,3.00,5.00,6.00,5.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3194159,5.00,3.00,5.00,1.00,2.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3194167,6.00,6.00,3.00,3.00,7.00,5.75,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3194175,3.00,4.00,3.00,9.00,5.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3194183,6.00,3.00,4.00,7.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3194205,6.00,8.00,5.00,6.00,9.00,6.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3194213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3194221,3.00,4.00,5.00,7.00,6.00,5.50,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3194230,7.00,4.00,4.00,5.00,5.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3194248,3.00,5.00,5.00,4.00,4.00,4.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3194256,3.00,0.00,1.00,1.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3194264,4.00,3.00,2.00,8.00,6.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3194272,6.00,4.00,4.00,7.00,5.00,6.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3194280,5.00,5.00,1.00,3.00,5.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3194299,5.00,6.00,6.00,7.00,7.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3194302,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3194310,7.00,8.00,5.00,7.00,6.00,6.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3194329,3.00,2.00,5.00,4.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3194345,2.00,5.00,5.00,7.00,2.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3194353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3194370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3194388,5.00,7.00,4.00,7.00,3.00,NULL,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3194396,6.00,3.00,4.00,8.00,5.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3194400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3194418,3.00,5.00,2.00,6.00,6.00,3.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3194426,2.00,9.00,1.00,7.00,7.00,5.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3194434,5.00,6.00,2.00,4.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3194442,4.00,6.00,4.00,6.00,4.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3194450,3.00,2.00,4.00,3.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3194469,5.00,5.00,1.00,8.00,5.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3194477,5.00,2.00,1.00,0.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3194493,6.00,5.00,1.00,3.00,5.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3194515,2.00,7.00,6.00,8.00,8.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3194523,5.00,5.00,5.00,3.00,5.00,4.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3194531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3194540,6.00,7.00,7.00,8.00,5.00,6.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3194558,7.00,5.00,3.00,5.00,6.00,5.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3194566,5.00,4.00,4.00,4.00,5.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3194574,6.00,7.00,3.00,8.00,8.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3194604,7.00,5.00,3.00,8.00,7.00,5.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3194612,4.00,6.00,4.00,4.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3194639,5.00,5.00,2.00,3.00,6.00,4.50,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3194647,4.00,5.00,3.00,7.00,5.00,6.25,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3194663,1.00,3.00,1.00,7.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3194671,4.00,3.00,2.00,7.00,3.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3194680,7.00,7.00,5.00,7.00,6.00,7.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3194698,4.00,5.00,4.00,8.00,4.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3194701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3194710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3194736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3194744,4.00,5.00,3.00,3.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3194752,4.00,5.00,4.00,1.00,5.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3194760,7.00,5.00,6.00,8.00,5.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3194779,4.00,1.00,4.00,5.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3194809,5.00,5.00,7.00,8.00,5.00,6.50,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3194833,1.00,4.00,3.00,1.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3194841,6.00,5.00,2.00,7.00,5.00,5.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3194850,2.00,4.00,4.00,5.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3194868,8.00,7.00,4.00,9.00,5.00,5.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3194876,2.00,4.00,2.00,5.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3194884,1.00,3.00,2.00,0.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3194892,4.00,6.00,2.00,7.00,6.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3194906,4.00,6.00,5.00,3.00,5.00,5.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3194914,4.00,6.00,4.00,6.00,4.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3194922,6.00,7.00,5.00,8.00,4.00,6.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3194949,5.00,4.00,5.00,8.00,6.00,6.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3194957,5.00,7.00,5.00,8.00,5.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3194965,4.00,5.00,5.00,9.00,7.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3194973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3194981,0.00,2.00,3.00,3.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3194990,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3195007,3.00,2.00,1.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3195015,4.00,2.00,3.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3195031,3.00,3.00,3.00,4.00,2.00,NULL,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3195040,5.00,6.00,2.00,8.00,5.00,3.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3195066,3.00,2.00,4.00,5.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3195074,3.00,4.00,1.00,4.00,2.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3195090,2.00,5.00,3.00,5.00,5.00,4.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3195112,3.00,2.00,3.00,7.00,0.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3195120,4.00,4.00,5.00,7.00,5.00,6.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3195139,4.00,5.00,4.00,7.00,6.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3195163,4.00,1.00,2.00,5.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3195171,2.00,2.00,2.00,0.00,2.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3195180,4.00,3.00,2.00,3.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3195198,8.00,7.00,4.00,7.00,5.00,5.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3195210,3.00,4.00,3.00,6.00,6.00,7.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3195228,6.00,5.00,6.00,9.00,6.00,7.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3195236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3195244,4.00,3.00,4.00,5.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3195252,3.00,5.00,2.00,6.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3195260,2.00,2.00,2.00,2.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3195279,5.00,4.00,4.00,7.00,5.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3195295,2.00,2.00,3.00,5.00,7.00,5.50,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3195309,5.00,7.00,7.00,6.00,7.00,5.25,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3195317,2.00,7.00,3.00,4.00,4.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3195325,3.00,6.00,4.00,6.00,2.00,NULL,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3195333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3195341,4.00,8.00,1.00,8.00,6.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3195350,1.00,4.00,2.00,5.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3195368,8.00,8.00,6.00,6.00,6.00,6.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3195376,3.00,2.00,1.00,7.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3195384,3.00,4.00,2.00,8.00,7.00,6.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3195392,8.00,7.00,7.00,7.00,8.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3195406,4.00,1.00,3.00,8.00,5.00,5.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3195414,4.00,6.00,6.00,9.00,6.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3195422,6.00,5.00,5.00,3.00,5.00,7.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3195430,2.00,6.00,2.00,6.00,5.00,5.50,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3195449,4.00,3.00,1.00,5.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3195457,4.00,4.00,1.00,2.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3195465,3.00,3.00,1.00,3.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3195473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3195490,2.00,4.00,7.00,3.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3195503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3195520,5.00,7.00,2.00,3.00,6.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3195538,3.00,2.00,3.00,3.00,5.00,5.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3195546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3195554,4.00,3.00,2.00,5.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3195562,3.00,5.00,4.00,6.00,4.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3195570,7.00,8.00,7.00,9.00,7.00,7.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3195589,3.00,2.00,3.00,3.00,4.00,6.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3195597,5.00,5.00,1.00,4.00,6.00,5.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3195600,7.00,5.00,6.00,0.00,5.00,4.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3195619,2.00,5.00,2.00,0.00,0.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3195635,4.00,5.00,3.00,7.00,6.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3195643,4.00,4.00,1.00,2.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3195651,7.00,5.00,6.00,7.00,6.00,8.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3195660,3.00,5.00,1.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3195678,5.00,4.00,4.00,5.00,7.00,4.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3195686,5.00,6.00,4.00,8.00,8.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3195694,1.00,2.00,3.00,3.00,2.00,NULL,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(16,3195708,4.00,2.00,2.00,3.00,2.00,NULL,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3195716,2.00,4.00,2.00,6.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3195740,5.00,4.00,3.00,8.00,5.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3195775,4.00,7.00,4.00,7.00,4.00,4.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3195783,3.00,5.00,2.00,6.00,6.00,4.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3195821,4.00,2.00,3.00,9.00,4.00,4.50,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(16,3195830,2.00,4.00,1.00,5.00,3.00,NULL,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3195848,3.00,2.00,2.00,6.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3195856,6.00,8.00,7.00,9.00,7.00,5.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3195864,5.00,3.00,4.00,1.00,4.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3195872,2.00,2.00,3.00,1.00,1.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3195880,8.00,8.00,8.00,7.00,6.00,6.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3195899,7.00,2.00,2.00,7.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3195902,3.00,4.00,1.00,6.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3195929,3.00,4.00,2.00,5.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3195945,3.00,8.00,3.00,7.00,7.00,8.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3195953,3.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3195970,4.00,5.00,3.00,5.00,4.00,7.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3195988,2.00,2.00,2.00,3.00,4.00,4.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3195996,3.00,6.00,2.00,7.00,2.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3196003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3196011,5.00,3.00,4.00,6.00,6.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3196020,7.00,2.00,7.00,3.00,4.00,5.25,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3196038,6.00,6.00,5.00,8.00,7.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3196046,4.00,4.00,5.00,7.00,3.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3196054,3.00,5.00,1.00,3.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3196062,8.00,7.00,2.00,6.00,7.00,6.75,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3196070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3196089,7.00,5.00,2.00,7.00,6.00,6.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3196097,5.00,3.00,1.00,4.00,4.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3196100,5.00,0.00,4.00,7.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3196119,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3196127,4.00,3.00,1.00,6.00,5.00,6.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3196135,2.00,4.00,3.00,5.00,4.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3196143,1.00,4.00,4.00,4.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3196151,4.00,7.00,4.00,7.00,7.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3196160,7.00,6.00,4.00,0.00,3.00,NULL,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3196178,9.00,7.00,3.00,7.00,8.00,6.25,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3196186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3196194,4.00,1.00,8.00,9.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3196208,2.00,4.00,3.00,5.00,1.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3196224,5.00,8.00,3.00,7.00,5.00,4.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3196232,5.00,7.00,4.00,5.00,7.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3196240,1.00,0.00,3.00,0.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3196259,6.00,5.00,3.00,7.00,3.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3196267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3196275,4.00,2.00,3.00,1.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3196283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3196291,8.00,7.00,4.00,8.00,4.00,4.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3196305,4.00,3.00,3.00,3.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3196313,2.00,4.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3196321,5.00,3.00,4.00,4.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3196330,2.00,3.00,3.00,4.00,4.00,3.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3196348,4.00,2.00,2.00,3.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3196356,6.00,6.00,3.00,7.00,4.00,4.50,1.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3196364,2.00,2.00,1.00,5.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3196372,6.00,6.00,6.00,8.00,7.00,8.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3196380,2.00,2.00,4.00,5.00,5.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3196399,3.00,4.00,1.00,5.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3196410,3.00,8.00,1.00,7.00,5.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3196429,5.00,6.00,4.00,4.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3196437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3196445,5.00,2.00,3.00,6.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3196453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3196470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3196488,8.00,5.00,5.00,8.00,7.00,6.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3196496,5.00,8.00,7.00,9.00,7.00,6.00,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3196500,9.00,8.00,8.00,9.00,7.00,7.25,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3196518,7.00,5.00,2.00,1.00,4.00,4.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3196542,2.00,3.00,2.00,3.00,5.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3196550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3196569,0.00,2.00,1.00,4.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3196577,4.00,3.00,2.00,5.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3196585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3196593,3.00,3.00,3.00,4.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3196607,6.00,2.00,4.00,6.00,3.00,NULL,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3196615,7.00,7.00,2.00,9.00,8.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3196631,3.00,6.00,4.00,8.00,5.00,6.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3196640,4.00,5.00,5.00,5.00,6.00,7.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3196674,2.00,4.00,3.00,2.00,4.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3196690,6.00,7.00,4.00,6.00,4.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3196704,1.00,3.00,3.00,2.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3196720,7.00,6.00,4.00,4.00,2.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3196739,6.00,4.00,2.00,6.00,5.00,6.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3196747,8.00,7.00,5.00,9.00,8.00,7.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3196755,5.00,5.00,5.00,6.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3196763,2.00,3.00,4.00,8.00,5.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3196771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3196780,4.00,5.00,2.00,6.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3196798,2.00,2.00,2.00,6.00,4.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3196801,4.00,9.00,5.00,9.00,6.00,7.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3196810,2.00,3.00,3.00,2.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3196828,8.00,8.00,3.00,8.00,7.00,5.50,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3196844,7.00,4.00,2.00,8.00,5.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3196852,4.00,6.00,6.00,8.00,7.00,5.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3196860,7.00,5.00,4.00,8.00,4.00,6.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3196879,5.00,3.00,2.00,5.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3196887,4.00,2.00,1.00,6.00,4.00,4.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3196895,6.00,7.00,4.00,8.00,7.00,6.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3196909,5.00,5.00,3.00,3.00,5.00,0.00,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3196917,1.00,4.00,2.00,6.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3196925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3196933,3.00,3.00,2.00,6.00,4.00,4.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3196950,6.00,8.00,8.00,6.00,7.00,7.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3196968,4.00,3.00,4.00,3.00,4.00,4.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3196976,6.00,7.00,2.00,7.00,6.00,5.25,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3196984,5.00,4.00,2.00,6.00,5.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3197000,6.00,5.00,2.00,5.00,5.00,5.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3197018,2.00,1.00,3.00,4.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3197026,3.00,5.00,6.00,7.00,6.00,6.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3197034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3197042,6.00,3.00,4.00,2.00,5.00,4.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3197050,3.00,3.00,1.00,8.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3197069,3.00,5.00,2.00,4.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3197077,2.00,5.00,2.00,4.00,4.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3197085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3197093,4.00,3.00,5.00,8.00,3.00,NULL,3.00,5.00,6.00,NULL,NULL,NULL,'S'),(16,3197107,1.00,1.00,3.00,4.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3197131,3.00,4.00,2.00,6.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3197158,4.00,1.00,4.00,4.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3197166,4.00,4.00,4.00,2.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3197174,3.00,3.00,3.00,6.00,5.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3197182,2.00,3.00,2.00,3.00,4.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3197190,3.00,6.00,5.00,9.00,4.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3197220,3.00,3.00,4.00,6.00,4.00,4.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3197239,3.00,4.00,3.00,1.00,4.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3197247,7.00,6.00,5.00,8.00,8.00,5.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3197255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3197263,4.00,3.00,2.00,3.00,5.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3197271,4.00,2.00,4.00,3.00,7.00,5.25,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3197298,6.00,6.00,6.00,3.00,3.00,NULL,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3197310,5.00,4.00,1.00,2.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3197328,4.00,5.00,1.00,5.00,4.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3197336,6.00,6.00,5.00,6.00,6.00,4.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3197344,5.00,5.00,4.00,5.00,5.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3197360,0.00,0.00,1.00,7.00,4.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3197379,3.00,2.00,2.00,4.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3197387,4.00,4.00,4.00,4.00,2.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3197425,6.00,8.00,5.00,2.00,4.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3197468,8.00,7.00,5.00,8.00,5.00,6.50,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3197476,3.00,6.00,7.00,4.00,7.00,4.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3197484,4.00,7.00,3.00,3.00,2.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3197492,4.00,2.00,3.00,7.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3197506,3.00,5.00,2.00,5.00,2.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3197514,6.00,6.00,4.00,3.00,3.00,NULL,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3197522,1.00,4.00,2.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3197530,2.00,5.00,4.00,5.00,5.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3197549,3.00,3.00,1.00,6.00,5.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3197557,3.00,4.00,1.00,8.00,5.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3197565,3.00,5.00,3.00,1.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3197581,6.00,6.00,1.00,9.00,7.00,6.50,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3197590,3.00,4.00,2.00,4.00,5.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3197603,4.00,2.00,5.00,1.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3197611,4.00,2.00,4.00,0.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3197620,5.00,6.00,3.00,6.00,4.00,5.25,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3197638,4.00,5.00,4.00,8.00,6.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3197646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3197654,7.00,4.00,2.00,7.00,5.00,7.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3197662,5.00,4.00,5.00,4.00,5.00,5.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3197689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3197697,5.00,7.00,4.00,6.00,5.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3197700,6.00,4.00,2.00,4.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3197727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3197735,5.00,2.00,6.00,3.00,4.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3197743,9.00,8.00,4.00,8.00,7.00,5.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3197751,1.00,6.00,4.00,3.00,4.00,4.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3197786,6.00,6.00,6.00,8.00,6.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3197794,6.00,4.00,3.00,5.00,5.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3197808,4.00,1.00,1.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3197816,5.00,7.00,4.00,7.00,6.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3197824,6.00,6.00,4.00,5.00,5.00,5.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3197832,6.00,4.00,3.00,8.00,6.00,4.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3197840,4.00,3.00,1.00,7.00,4.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3197859,4.00,4.00,2.00,7.00,4.00,5.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3197867,7.00,7.00,9.00,8.00,7.00,6.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3197875,9.00,9.00,7.00,8.00,6.00,6.00,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3197891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3197905,3.00,3.00,3.00,6.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3197921,2.00,3.00,1.00,6.00,0.00,NULL,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3197948,6.00,9.00,3.00,6.00,6.00,5.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3197956,3.00,5.00,2.00,5.00,5.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3197964,4.00,5.00,4.00,3.00,6.00,4.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3197999,7.00,5.00,3.00,6.00,4.00,4.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3198006,6.00,5.00,4.00,8.00,4.00,4.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3198014,6.00,2.00,6.00,7.00,7.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3198022,5.00,3.00,2.00,2.00,4.00,5.00,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3198030,5.00,4.00,1.00,7.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3198049,6.00,8.00,6.00,6.00,6.00,6.75,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3198057,3.00,4.00,5.00,6.00,4.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3198065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3198073,3.00,5.00,3.00,4.00,2.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3198081,3.00,2.00,4.00,8.00,7.00,6.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3198090,3.00,6.00,4.00,5.00,4.00,4.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3198103,4.00,5.00,3.00,3.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3198111,1.00,4.00,1.00,4.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3198138,5.00,6.00,3.00,9.00,4.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3198146,3.00,5.00,5.00,4.00,4.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3198154,4.00,4.00,5.00,3.00,5.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3198162,9.00,8.00,8.00,4.00,7.00,7.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3198170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3198197,2.00,3.00,2.00,1.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3198200,6.00,5.00,2.00,1.00,5.00,5.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3198219,4.00,4.00,2.00,6.00,3.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3198227,2.00,2.00,3.00,4.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3198235,7.00,6.00,5.00,8.00,5.00,5.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3198243,4.00,4.00,4.00,8.00,4.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3198251,5.00,4.00,4.00,2.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3198260,4.00,5.00,7.00,4.00,6.00,6.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3198278,4.00,0.00,2.00,5.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3198286,4.00,7.00,5.00,7.00,8.00,6.00,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3198294,2.00,5.00,3.00,2.00,3.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3198316,6.00,9.00,7.00,7.00,7.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3198324,5.00,3.00,5.00,9.00,6.00,7.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3198332,6.00,7.00,4.00,9.00,7.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3198340,3.00,4.00,6.00,7.00,5.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3198367,3.00,2.00,4.00,2.00,1.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3198375,4.00,3.00,1.00,2.00,5.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3198383,2.00,2.00,2.00,4.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3198391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3198413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3198421,3.00,7.00,3.00,7.00,5.00,6.25,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3198430,1.00,0.00,3.00,1.00,3.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3198448,2.00,4.00,4.00,2.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3198456,3.00,1.00,2.00,4.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3198464,3.00,4.00,1.00,4.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3198472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3198480,6.00,6.00,5.00,6.00,4.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3198499,4.00,5.00,4.00,5.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3198502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3198510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3198529,1.00,1.00,3.00,4.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3198537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3198545,7.00,7.00,4.00,7.00,7.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3198553,5.00,3.00,5.00,6.00,6.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3198570,3.00,4.00,4.00,7.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3198588,5.00,6.00,4.00,1.00,4.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3198596,1.00,4.00,4.00,4.00,1.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(16,3198600,3.00,6.00,2.00,5.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3198618,6.00,3.00,2.00,4.00,6.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3198626,6.00,9.00,6.00,8.00,3.00,NULL,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3198642,3.00,6.00,2.00,7.00,6.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3198650,6.00,6.00,6.00,9.00,8.00,6.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3198669,3.00,4.00,3.00,5.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3198677,4.00,6.00,5.00,3.00,5.00,5.25,4.00,7.00,6.00,NULL,NULL,NULL,'S'),(16,3198685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3198693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3198707,5.00,6.00,4.00,7.00,8.00,4.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3198715,1.00,6.00,2.00,0.00,4.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3198723,3.00,6.00,4.00,9.00,7.00,5.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3198731,4.00,3.00,3.00,9.00,5.00,5.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3198740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3198766,5.00,7.00,5.00,6.00,7.00,6.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3198774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3198782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3198790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3198804,4.00,5.00,3.00,3.00,7.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3198812,9.00,8.00,6.00,9.00,7.00,5.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3198820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3198839,7.00,7.00,3.00,8.00,5.00,6.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3198847,4.00,2.00,2.00,3.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3198855,4.00,5.00,4.00,6.00,7.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3198863,4.00,1.00,1.00,4.00,5.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3198871,4.00,4.00,2.00,3.00,4.00,4.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3198898,4.00,3.00,2.00,6.00,4.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3198901,3.00,2.00,3.00,5.00,4.00,4.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3198910,5.00,4.00,3.00,6.00,5.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3198936,4.00,8.00,3.00,8.00,4.00,6.50,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3198944,2.00,1.00,4.00,0.00,0.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3198952,4.00,3.00,2.00,3.00,5.00,5.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3198960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3198979,0.00,6.00,3.00,1.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3198995,3.00,6.00,2.00,5.00,5.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3199002,6.00,6.00,4.00,6.00,5.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3199010,7.00,5.00,4.00,7.00,4.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3199029,5.00,6.00,3.00,3.00,5.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3199037,6.00,4.00,5.00,6.00,4.00,5.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3199045,4.00,6.00,2.00,9.00,7.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3199053,3.00,4.00,1.00,6.00,4.00,4.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3199070,5.00,6.00,4.00,7.00,6.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3199100,4.00,3.00,3.00,4.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3199118,7.00,5.00,6.00,9.00,6.00,5.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3199126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3199134,6.00,7.00,5.00,7.00,6.00,5.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3199142,4.00,2.00,3.00,7.00,7.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3199150,7.00,7.00,4.00,7.00,6.00,6.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3199177,7.00,5.00,8.00,8.00,6.00,6.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3199185,2.00,2.00,2.00,5.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3199193,1.00,3.00,4.00,2.00,0.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3199215,3.00,1.00,2.00,2.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(16,3199223,7.00,7.00,6.00,8.00,7.00,5.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3199240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3199258,6.00,4.00,3.00,6.00,2.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3199266,5.00,6.00,2.00,7.00,4.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3199274,5.00,7.00,4.00,6.00,5.00,6.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3199282,1.00,3.00,1.00,3.00,1.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3199290,6.00,8.00,6.00,7.00,6.00,6.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3199304,1.00,1.00,3.00,7.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3199312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3199320,6.00,5.00,5.00,5.00,5.00,6.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3199339,1.00,2.00,2.00,3.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3199347,3.00,6.00,1.00,5.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3199355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3199371,7.00,7.00,4.00,7.00,8.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3199398,5.00,8.00,3.00,6.00,6.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3199401,4.00,2.00,3.00,2.00,2.00,NULL,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3199428,5.00,6.00,1.00,2.00,3.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3199436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3199444,3.00,2.00,4.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3199452,4.00,2.00,4.00,3.00,4.00,4.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3199460,8.00,7.00,3.00,7.00,7.00,5.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3199479,8.00,8.00,5.00,9.00,8.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(16,3199487,6.00,7.00,3.00,6.00,6.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3199495,3.00,2.00,3.00,5.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3199509,5.00,5.00,1.00,7.00,4.00,4.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3199517,4.00,7.00,2.00,6.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3199525,4.00,3.00,1.00,2.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3199533,4.00,3.00,3.00,3.00,5.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3199541,5.00,5.00,3.00,8.00,5.00,5.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3199550,6.00,3.00,5.00,8.00,7.00,5.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3199568,4.00,4.00,3.00,0.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3199584,3.00,3.00,3.00,5.00,5.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3199606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3199614,3.00,6.00,4.00,5.00,6.00,5.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3199622,4.00,4.00,3.00,5.00,4.00,6.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3199630,1.00,5.00,1.00,4.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3199649,6.00,6.00,5.00,3.00,7.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3199657,4.00,4.00,4.00,7.00,7.00,6.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3199665,6.00,5.00,3.00,6.00,1.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3199673,4.00,4.00,1.00,4.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3199681,3.00,3.00,3.00,3.00,5.00,5.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3199703,6.00,6.00,5.00,9.00,6.00,6.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3199720,1.00,0.00,1.00,5.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3199738,3.00,1.00,1.00,6.00,4.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3199746,7.00,8.00,4.00,8.00,7.00,5.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3199754,6.00,6.00,4.00,8.00,5.00,6.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3199762,5.00,3.00,2.00,6.00,7.00,4.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3199770,4.00,5.00,1.00,7.00,7.00,4.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3199789,7.00,5.00,3.00,5.00,8.00,4.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3199797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3199800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3199819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3199827,8.00,5.00,4.00,6.00,6.00,6.00,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3199835,4.00,3.00,1.00,6.00,6.00,7.75,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3199843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3199851,4.00,5.00,6.00,7.00,7.00,4.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3199860,5.00,4.00,4.00,2.00,7.00,4.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3199886,7.00,6.00,6.00,7.00,7.00,6.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3199894,6.00,7.00,2.00,2.00,6.00,5.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3199908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3199916,3.00,4.00,2.00,2.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3199924,2.00,4.00,1.00,1.00,6.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3199932,5.00,6.00,2.00,8.00,5.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3199940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3199967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3199975,6.00,7.00,6.00,7.00,8.00,6.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3199983,5.00,6.00,6.00,5.00,7.00,6.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3199991,4.00,3.00,1.00,7.00,5.00,6.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3200000,3.00,2.00,3.00,4.00,1.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3200019,3.00,5.00,1.00,9.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3200027,3.00,4.00,1.00,6.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3200035,5.00,7.00,4.00,9.00,7.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3200060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3200078,5.00,7.00,5.00,8.00,5.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3200086,4.00,3.00,4.00,7.00,5.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3200108,3.00,5.00,5.00,8.00,8.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3200116,5.00,6.00,2.00,6.00,6.00,6.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3200124,2.00,3.00,1.00,2.00,4.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3200132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3200140,6.00,6.00,6.00,9.00,6.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3200159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3200167,1.00,3.00,3.00,3.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'S'),(16,3200175,8.00,9.00,2.00,8.00,8.00,6.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3200183,3.00,4.00,1.00,6.00,5.00,4.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3200191,3.00,3.00,1.00,6.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3200205,2.00,6.00,4.00,8.00,5.00,6.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3200213,2.00,4.00,4.00,1.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3200221,4.00,5.00,2.00,7.00,4.00,4.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3200230,5.00,5.00,3.00,5.00,5.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3200248,4.00,4.00,2.00,2.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3200256,5.00,7.00,5.00,8.00,6.00,6.25,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3200272,2.00,6.00,3.00,2.00,1.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3200299,2.00,2.00,1.00,8.00,5.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3200302,3.00,3.00,3.00,3.00,4.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3200310,4.00,4.00,4.00,8.00,5.00,5.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3200337,2.00,2.00,4.00,3.00,7.00,4.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3200345,2.00,4.00,1.00,3.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3200353,8.00,7.00,7.00,7.00,7.00,7.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3200370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3200400,4.00,4.00,2.00,6.00,5.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3200418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3200426,2.00,2.00,4.00,1.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3200434,9.00,7.00,4.00,7.00,7.00,6.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3200442,2.00,3.00,3.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3200469,9.00,5.00,6.00,9.00,8.00,7.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3200477,5.00,6.00,3.00,8.00,6.00,6.50,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3200515,6.00,6.00,5.00,8.00,5.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3200523,3.00,3.00,5.00,4.00,4.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3200531,5.00,2.00,3.00,6.00,6.00,6.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3200540,4.00,4.00,3.00,6.00,5.00,4.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3200558,5.00,5.00,4.00,5.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3200574,4.00,5.00,4.00,8.00,4.00,4.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3200582,2.00,2.00,1.00,1.00,1.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3200604,2.00,4.00,5.00,6.00,5.00,2.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3200612,6.00,4.00,6.00,4.00,7.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3200620,5.00,3.00,4.00,7.00,7.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3200639,7.00,9.00,7.00,10.00,7.00,5.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3200647,4.00,4.00,3.00,4.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3200655,4.00,2.00,2.00,3.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3200663,4.00,1.00,4.00,4.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3200671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3200680,5.00,3.00,5.00,6.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3200698,4.00,4.00,1.00,8.00,5.00,6.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3200701,4.00,6.00,2.00,6.00,7.00,4.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3200710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3200728,4.00,5.00,4.00,6.00,6.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3200736,5.00,6.00,3.00,8.00,5.00,6.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3200744,4.00,3.00,2.00,2.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3200752,3.00,1.00,3.00,3.00,4.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3200760,3.00,4.00,2.00,5.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3200779,1.00,4.00,3.00,1.00,3.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3200787,7.00,6.00,4.00,7.00,6.00,6.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3200795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3200809,4.00,6.00,1.00,3.00,4.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3200817,4.00,5.00,2.00,7.00,5.00,5.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3200833,4.00,4.00,2.00,8.00,4.00,5.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3200841,8.00,7.00,2.00,6.00,8.00,5.25,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3200850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3200868,3.00,3.00,4.00,4.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3200884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3200906,5.00,4.00,6.00,6.00,7.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3200914,3.00,3.00,3.00,5.00,4.00,5.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3200922,6.00,3.00,2.00,5.00,5.00,4.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3200930,7.00,9.00,2.00,9.00,8.00,6.00,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3200949,6.00,5.00,3.00,6.00,5.00,4.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3200957,4.00,6.00,2.00,9.00,6.00,5.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3200965,3.00,5.00,4.00,5.00,4.00,5.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3201007,5.00,6.00,5.00,7.00,5.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3201015,4.00,6.00,2.00,8.00,6.00,5.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3201023,2.00,2.00,1.00,1.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3201040,5.00,4.00,2.00,8.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3201058,6.00,3.00,5.00,4.00,6.00,5.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3201090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3201104,2.00,3.00,1.00,3.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3201120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3201139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3201147,4.00,7.00,7.00,1.00,4.00,4.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3201155,4.00,4.00,5.00,6.00,4.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3201163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3201171,7.00,3.00,2.00,6.00,4.00,5.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3201180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3201198,5.00,3.00,2.00,2.00,1.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3201201,5.00,3.00,1.00,5.00,7.00,5.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3201210,3.00,6.00,2.00,7.00,6.00,7.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3201236,3.00,1.00,4.00,0.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3201244,3.00,5.00,3.00,2.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3201260,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3201279,9.00,6.00,8.00,9.00,7.00,6.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3201287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3201295,3.00,7.00,2.00,2.00,7.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3201309,1.00,6.00,4.00,7.00,5.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3201317,2.00,3.00,3.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3201333,6.00,3.00,6.00,9.00,6.00,6.00,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3201341,3.00,5.00,2.00,7.00,4.00,5.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3201350,2.00,1.00,2.00,1.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3201368,4.00,5.00,4.00,6.00,7.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3201376,6.00,4.00,1.00,3.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3201384,1.00,1.00,1.00,7.00,4.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3201392,8.00,7.00,8.00,8.00,7.00,7.00,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3201406,5.00,6.00,7.00,9.00,6.00,5.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3201414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3201422,5.00,5.00,2.00,5.00,4.00,6.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3201430,4.00,6.00,2.00,3.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3201457,1.00,4.00,4.00,7.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3201473,6.00,4.00,3.00,8.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3201481,5.00,4.00,4.00,7.00,4.00,4.50,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3201490,6.00,6.00,6.00,9.00,7.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3201503,3.00,2.00,2.00,8.00,4.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3201511,4.00,7.00,1.00,9.00,4.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3201520,0.00,3.00,4.00,2.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3201538,5.00,0.00,1.00,1.00,1.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3201546,4.00,4.00,5.00,8.00,8.00,6.75,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3201554,4.00,5.00,1.00,1.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3201562,3.00,4.00,5.00,5.00,4.00,4.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3201570,4.00,1.00,3.00,6.00,5.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3201589,3.00,3.00,1.00,0.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3201597,5.00,4.00,3.00,5.00,4.00,4.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3201600,2.00,1.00,1.00,3.00,1.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3201619,9.00,8.00,6.00,9.00,7.00,7.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3201627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3201635,8.00,7.00,6.00,8.00,7.00,7.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3201651,3.00,1.00,2.00,3.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3201660,2.00,4.00,3.00,5.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3201678,5.00,3.00,2.00,8.00,2.00,NULL,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3201686,5.00,6.00,7.00,5.00,5.00,5.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3201694,5.00,4.00,3.00,6.00,6.00,4.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3201708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3201716,5.00,5.00,1.00,5.00,4.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3201724,2.00,2.00,1.00,2.00,4.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3201732,4.00,6.00,4.00,7.00,5.00,3.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3201740,6.00,6.00,3.00,6.00,8.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3201759,3.00,4.00,1.00,0.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3201767,7.00,9.00,3.00,3.00,4.00,5.50,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3201775,3.00,2.00,3.00,6.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3201805,7.00,6.00,7.00,6.00,5.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3201813,1.00,2.00,3.00,3.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3201821,6.00,6.00,7.00,8.00,5.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3201830,2.00,4.00,4.00,3.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3201848,7.00,3.00,4.00,7.00,5.00,4.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3201856,5.00,8.00,4.00,7.00,8.00,7.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3201864,4.00,3.00,3.00,1.00,6.00,5.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3201872,4.00,5.00,4.00,5.00,4.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3201880,4.00,5.00,3.00,6.00,4.00,4.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3201899,8.00,7.00,4.00,8.00,4.00,6.25,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3201902,5.00,6.00,2.00,1.00,2.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3201910,5.00,3.00,2.00,5.00,2.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3201929,5.00,5.00,2.00,8.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3201937,2.00,6.00,5.00,7.00,7.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3201945,3.00,7.00,2.00,2.00,6.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3201953,4.00,6.00,5.00,9.00,6.00,5.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3201961,5.00,2.00,2.00,6.00,5.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3201970,5.00,3.00,5.00,5.00,6.00,4.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3201996,4.00,3.00,4.00,6.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3202003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3202011,4.00,6.00,5.00,5.00,5.00,6.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3202020,7.00,5.00,4.00,1.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3202038,7.00,7.00,8.00,7.00,8.00,7.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3202046,5.00,7.00,4.00,7.00,6.00,7.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3202054,6.00,6.00,6.00,5.00,8.00,5.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3202070,3.00,5.00,4.00,6.00,2.00,NULL,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3202089,5.00,2.00,1.00,7.00,4.00,6.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3202097,2.00,6.00,4.00,4.00,5.00,1.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3202100,8.00,5.00,7.00,8.00,6.00,6.75,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3202119,2.00,4.00,4.00,5.00,4.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3202127,6.00,7.00,5.00,3.00,5.00,4.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3202135,4.00,4.00,2.00,7.00,6.00,4.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3202143,6.00,6.00,5.00,7.00,7.00,4.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3202160,2.00,3.00,3.00,3.00,2.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3202178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3202186,7.00,5.00,2.00,7.00,7.00,5.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3202194,2.00,5.00,2.00,5.00,4.00,5.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3202208,5.00,4.00,3.00,7.00,6.00,5.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3202216,3.00,2.00,2.00,0.00,0.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3202224,6.00,6.00,2.00,5.00,6.00,3.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3202240,3.00,4.00,5.00,3.00,4.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3202259,2.00,3.00,2.00,2.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3202267,4.00,4.00,1.00,7.00,5.00,5.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3202275,7.00,4.00,3.00,5.00,7.00,5.50,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3202283,1.00,2.00,1.00,1.00,0.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3202291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3202313,4.00,4.00,6.00,8.00,5.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3202321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3202330,3.00,8.00,4.00,9.00,8.00,6.50,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3202348,9.00,9.00,7.00,8.00,8.00,7.25,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3202356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3202372,4.00,4.00,3.00,3.00,5.00,4.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3202380,2.00,3.00,2.00,3.00,1.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3202402,3.00,4.00,5.00,8.00,7.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3202410,1.00,3.00,3.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3202429,4.00,5.00,2.00,4.00,5.00,5.50,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3202437,6.00,6.00,3.00,5.00,4.00,4.25,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3202453,1.00,1.00,3.00,4.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3202461,3.00,1.00,2.00,0.00,4.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3202470,0.00,3.00,3.00,4.00,4.00,6.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3202496,1.00,6.00,2.00,4.00,0.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3202500,9.00,8.00,8.00,8.00,7.00,7.50,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3202518,3.00,3.00,2.00,3.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3202526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3202534,2.00,4.00,3.00,5.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3202550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3202569,5.00,3.00,3.00,7.00,6.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3202577,3.00,3.00,2.00,4.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3202585,4.00,6.00,3.00,8.00,4.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3202607,2.00,4.00,2.00,2.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3202615,3.00,5.00,4.00,8.00,6.00,5.75,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3202623,5.00,6.00,4.00,9.00,5.00,7.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3202631,5.00,3.00,4.00,5.00,5.00,7.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3202640,6.00,7.00,5.00,4.00,7.00,6.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3202658,6.00,5.00,5.00,3.00,6.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3202666,6.00,6.00,3.00,8.00,8.00,7.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3202674,4.00,7.00,3.00,7.00,6.00,5.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3202682,2.00,3.00,4.00,3.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3202690,9.00,7.00,5.00,4.00,6.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3202704,5.00,3.00,1.00,2.00,1.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3202712,4.00,4.00,3.00,5.00,6.00,4.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3202739,7.00,7.00,3.00,4.00,7.00,5.00,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3202747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3202755,9.00,8.00,3.00,7.00,6.00,5.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3202763,5.00,4.00,4.00,5.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3202771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3202780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3202798,5.00,5.00,2.00,7.00,8.00,4.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3202810,4.00,3.00,2.00,5.00,6.00,7.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3202836,2.00,3.00,3.00,3.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3202844,2.00,2.00,5.00,2.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3202852,6.00,5.00,7.00,9.00,8.00,5.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3202860,6.00,7.00,3.00,5.00,5.00,4.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3202879,7.00,8.00,5.00,9.00,8.00,6.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3202887,8.00,7.00,8.00,6.00,6.00,5.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3202895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3202909,5.00,5.00,5.00,7.00,4.00,5.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3202917,1.00,2.00,1.00,0.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3202925,3.00,5.00,2.00,9.00,6.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3202933,5.00,6.00,4.00,7.00,6.00,4.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3202941,5.00,4.00,1.00,0.00,7.00,NULL,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3202950,6.00,5.00,7.00,9.00,6.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3202968,1.00,2.00,4.00,4.00,0.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3202976,4.00,8.00,4.00,6.00,7.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3202984,4.00,4.00,2.00,3.00,5.00,5.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3202992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3203018,2.00,0.00,3.00,4.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3203026,5.00,4.00,6.00,9.00,7.00,4.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3203034,4.00,5.00,4.00,6.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3203042,4.00,5.00,1.00,2.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'S'),(16,3203050,2.00,4.00,3.00,7.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3203069,3.00,4.00,2.00,4.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3203077,3.00,3.00,4.00,6.00,5.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3203093,8.00,6.00,5.00,9.00,6.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3203107,2.00,2.00,2.00,1.00,5.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3203115,8.00,7.00,7.00,5.00,7.00,7.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3203123,6.00,5.00,5.00,6.00,4.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3203131,4.00,5.00,2.00,8.00,5.00,4.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3203140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3203166,4.00,5.00,6.00,4.00,4.00,3.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3203174,3.00,7.00,2.00,9.00,5.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3203182,6.00,7.00,6.00,9.00,8.00,5.00,3.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3203190,0.00,0.00,0.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3203204,5.00,3.00,3.00,4.00,4.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3203212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3203220,5.00,2.00,2.00,3.00,1.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3203239,3.00,2.00,3.00,6.00,5.00,5.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3203247,4.00,2.00,2.00,6.00,5.00,5.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3203255,3.00,5.00,2.00,8.00,5.00,5.75,3.00,6.00,1.00,NULL,NULL,NULL,'S'),(16,3203263,4.00,3.00,1.00,4.00,1.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3203271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3203280,9.00,6.00,3.00,7.00,6.00,4.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3203298,5.00,5.00,5.00,2.00,4.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3203301,5.00,6.00,4.00,6.00,6.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3203310,3.00,3.00,4.00,3.00,2.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'S'),(16,3203328,7.00,6.00,5.00,8.00,7.00,4.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3203336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3203344,1.00,3.00,3.00,1.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3203352,7.00,5.00,5.00,4.00,5.00,5.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3203360,5.00,5.00,4.00,5.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3203409,5.00,6.00,2.00,4.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3203417,4.00,8.00,1.00,4.00,7.00,5.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3203433,7.00,4.00,6.00,9.00,4.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3203441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3203450,6.00,6.00,5.00,6.00,6.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3203468,6.00,6.00,8.00,9.00,6.00,8.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3203476,6.00,6.00,4.00,7.00,7.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3203484,6.00,6.00,5.00,7.00,2.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3203492,5.00,6.00,2.00,4.00,5.00,5.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3203514,6.00,7.00,5.00,6.00,7.00,4.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3203549,2.00,8.00,2.00,8.00,4.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3203557,3.00,5.00,2.00,8.00,4.00,5.25,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3203565,4.00,7.00,2.00,2.00,4.00,4.75,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3203573,8.00,8.00,4.00,7.00,5.00,6.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3203581,8.00,8.00,5.00,8.00,6.00,6.75,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3203590,7.00,7.00,7.00,9.00,8.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3203603,6.00,6.00,2.00,8.00,6.00,4.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3203620,6.00,3.00,3.00,5.00,4.00,NULL,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3203638,7.00,5.00,8.00,5.00,5.00,4.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3203654,6.00,5.00,3.00,3.00,4.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3203662,4.00,4.00,3.00,3.00,3.00,NULL,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3203670,3.00,3.00,2.00,3.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3203697,3.00,3.00,3.00,6.00,0.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3203700,6.00,7.00,1.00,5.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3203719,3.00,3.00,2.00,6.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3203735,4.00,5.00,3.00,4.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3203743,3.00,1.00,2.00,2.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3203751,1.00,0.00,3.00,3.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3203760,9.00,8.00,6.00,6.00,5.00,7.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3203786,9.00,7.00,8.00,8.00,6.00,6.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3203794,3.00,3.00,2.00,5.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3203808,7.00,5.00,4.00,8.00,7.00,6.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3203816,5.00,4.00,3.00,7.00,7.00,6.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3203824,5.00,6.00,8.00,8.00,5.00,6.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3203832,6.00,7.00,5.00,7.00,6.00,5.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3203840,5.00,7.00,4.00,8.00,4.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3203867,4.00,4.00,4.00,8.00,6.00,6.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3203875,2.00,0.00,4.00,7.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3203883,5.00,4.00,3.00,7.00,6.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3203891,7.00,6.00,7.00,8.00,5.00,5.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3203905,0.00,1.00,2.00,5.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3203913,6.00,3.00,2.00,2.00,3.00,NULL,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3203921,4.00,7.00,4.00,6.00,6.00,6.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3203930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3203948,2.00,4.00,3.00,6.00,4.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3203956,7.00,4.00,3.00,7.00,5.00,5.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3203972,7.00,4.00,5.00,7.00,6.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3203980,7.00,4.00,5.00,7.00,6.00,4.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3203999,3.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3204006,5.00,5.00,3.00,8.00,6.00,7.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3204014,2.00,4.00,4.00,6.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3204022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3204030,6.00,6.00,3.00,9.00,5.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3204049,3.00,3.00,2.00,3.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3204057,0.00,3.00,1.00,0.00,0.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3204065,8.00,7.00,6.00,9.00,8.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3204081,7.00,8.00,4.00,6.00,6.00,5.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3204090,6.00,5.00,5.00,9.00,7.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3204103,7.00,6.00,2.00,7.00,4.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3204111,2.00,3.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3204120,2.00,3.00,3.00,6.00,4.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3204138,8.00,7.00,5.00,8.00,6.00,7.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3204146,3.00,5.00,9.00,8.00,5.00,4.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3204154,6.00,7.00,8.00,9.00,7.00,7.00,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3204162,4.00,5.00,3.00,5.00,5.00,5.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3204170,5.00,7.00,4.00,7.00,5.00,5.25,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3204189,6.00,5.00,3.00,9.00,5.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3204200,5.00,5.00,4.00,8.00,6.00,6.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3204219,2.00,3.00,2.00,7.00,5.00,7.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3204235,2.00,3.00,3.00,7.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3204243,4.00,3.00,3.00,4.00,5.00,5.75,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3204251,4.00,0.00,2.00,3.00,4.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3204260,2.00,2.00,2.00,5.00,6.00,6.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3204278,7.00,7.00,2.00,9.00,6.00,6.25,4.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3204286,2.00,4.00,4.00,6.00,4.00,4.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3204294,6.00,2.00,3.00,5.00,5.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3204308,4.00,7.00,1.00,8.00,6.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3204316,4.00,4.00,6.00,5.00,3.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3204324,7.00,6.00,8.00,8.00,8.00,4.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3204332,4.00,4.00,3.00,4.00,3.00,NULL,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3204340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3204359,1.00,4.00,4.00,0.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3204367,5.00,6.00,4.00,8.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3204375,6.00,5.00,6.00,7.00,6.00,5.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3204383,4.00,7.00,2.00,7.00,5.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3204391,3.00,3.00,3.00,5.00,5.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3204413,3.00,4.00,2.00,4.00,6.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3204421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3204448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3204456,2.00,3.00,3.00,2.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3204472,3.00,4.00,3.00,5.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3204480,4.00,5.00,7.00,8.00,7.00,5.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3204499,6.00,6.00,5.00,5.00,5.00,5.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3204502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3204510,3.00,5.00,1.00,1.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3204529,8.00,8.00,3.00,8.00,6.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3204537,2.00,0.00,4.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3204545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3204553,1.00,3.00,2.00,7.00,6.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(16,3204570,2.00,1.00,3.00,2.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3204588,4.00,4.00,3.00,6.00,6.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3204600,7.00,4.00,7.00,6.00,4.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3204618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3204626,3.00,2.00,3.00,4.00,4.00,5.50,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3204634,9.00,7.00,7.00,8.00,8.00,6.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3204650,4.00,5.00,4.00,3.00,4.00,6.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3204669,4.00,3.00,3.00,4.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3204677,3.00,3.00,3.00,3.00,4.00,5.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3204685,4.00,4.00,2.00,8.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3204693,4.00,8.00,1.00,4.00,5.00,3.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3204707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3204715,4.00,4.00,5.00,4.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3204723,4.00,3.00,4.00,7.00,5.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3204731,5.00,2.00,4.00,6.00,6.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3204740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3204758,6.00,4.00,2.00,7.00,5.00,6.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3204766,3.00,3.00,3.00,5.00,2.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3204774,3.00,3.00,1.00,2.00,4.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3204782,6.00,4.00,2.00,6.00,5.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3204790,5.00,6.00,3.00,8.00,5.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3204804,1.00,3.00,2.00,0.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3204812,4.00,4.00,1.00,4.00,0.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3204820,8.00,7.00,7.00,6.00,7.00,5.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3204839,5.00,7.00,4.00,8.00,7.00,4.50,7.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3204847,4.00,4.00,2.00,4.00,5.00,3.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3204855,6.00,5.00,3.00,7.00,5.00,4.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3204863,7.00,7.00,3.00,8.00,3.00,NULL,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3204871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3204880,6.00,6.00,5.00,6.00,7.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3204898,1.00,0.00,3.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3204901,3.00,5.00,3.00,8.00,6.00,5.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3204910,3.00,4.00,1.00,1.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3204928,4.00,2.00,2.00,1.00,4.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3204936,4.00,4.00,3.00,3.00,6.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3204944,6.00,6.00,2.00,7.00,4.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3204952,4.00,7.00,6.00,9.00,4.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3204960,6.00,6.00,5.00,8.00,6.00,5.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3204979,4.00,0.00,1.00,4.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3204995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3205002,2.00,4.00,2.00,3.00,6.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3205010,7.00,4.00,4.00,7.00,5.00,5.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3205029,7.00,9.00,7.00,9.00,5.00,6.75,1.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3205037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3205045,3.00,6.00,3.00,6.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3205061,4.00,7.00,3.00,0.00,3.00,NULL,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3205070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3205088,1.00,6.00,4.00,3.00,4.00,6.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3205096,5.00,5.00,1.00,7.00,6.00,4.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3205100,3.00,5.00,4.00,0.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3205126,6.00,6.00,4.00,8.00,6.00,5.00,1.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3205134,6.00,8.00,5.00,8.00,6.00,4.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3205142,4.00,5.00,4.00,3.00,7.00,3.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3205150,3.00,5.00,2.00,6.00,2.00,NULL,2.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3205169,2.00,4.00,1.00,2.00,4.00,5.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3205177,1.00,0.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3205185,6.00,5.00,3.00,2.00,3.00,NULL,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3205193,3.00,4.00,2.00,4.00,4.00,5.50,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3205207,6.00,8.00,3.00,8.00,6.00,6.00,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3205215,6.00,5.00,3.00,9.00,6.00,7.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3205223,5.00,5.00,3.00,8.00,4.00,5.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3205231,6.00,6.00,4.00,8.00,6.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3205240,5.00,6.00,4.00,7.00,6.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3205258,8.00,9.00,3.00,10.00,8.00,6.50,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3205266,2.00,4.00,3.00,5.00,5.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3205282,4.00,5.00,3.00,6.00,7.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3205290,9.00,8.00,6.00,4.00,8.00,7.00,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3205304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3205312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3205320,4.00,3.00,4.00,5.00,5.00,4.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3205347,5.00,2.00,4.00,0.00,5.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3205355,6.00,8.00,6.00,9.00,9.00,5.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3205371,6.00,6.00,1.00,9.00,4.00,4.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3205380,6.00,4.00,2.00,7.00,6.00,5.75,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3205398,2.00,5.00,2.00,7.00,6.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3205401,4.00,6.00,6.00,6.00,4.00,5.75,4.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3205410,1.00,3.00,1.00,2.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3205428,4.00,1.00,4.00,1.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3205436,3.00,4.00,4.00,2.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3205444,2.00,1.00,1.00,7.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3205452,3.00,4.00,3.00,2.00,2.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3205460,4.00,3.00,2.00,3.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3205479,7.00,6.00,7.00,8.00,6.00,2.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3205487,6.00,6.00,3.00,7.00,5.00,4.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3205509,4.00,1.00,6.00,7.00,6.00,7.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3205517,3.00,3.00,4.00,6.00,5.00,5.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3205525,3.00,3.00,1.00,5.00,5.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'S'),(16,3205533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3205541,6.00,5.00,6.00,7.00,7.00,4.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3205550,7.00,7.00,7.00,8.00,7.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3205568,5.00,8.00,4.00,1.00,8.00,7.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3205576,3.00,0.00,1.00,4.00,3.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3205592,6.00,5.00,5.00,4.00,7.00,6.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3205606,6.00,6.00,3.00,5.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3205614,4.00,8.00,3.00,6.00,7.00,6.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3205622,4.00,3.00,3.00,7.00,4.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3205649,8.00,6.00,6.00,8.00,7.00,6.00,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3205657,4.00,4.00,4.00,6.00,4.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3205665,6.00,6.00,6.00,9.00,6.00,4.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3205673,1.00,3.00,2.00,0.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(16,3205681,5.00,4.00,4.00,5.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3205690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3205703,2.00,4.00,2.00,5.00,4.00,4.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3205711,4.00,7.00,5.00,4.00,6.00,6.25,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3205720,5.00,3.00,2.00,1.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3205738,6.00,4.00,1.00,6.00,5.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3205746,6.00,5.00,8.00,6.00,8.00,4.25,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3205754,6.00,4.00,2.00,7.00,6.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3205770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3205789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3205797,2.00,1.00,1.00,7.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3205800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3205819,5.00,7.00,3.00,8.00,7.00,6.00,6.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3205827,6.00,3.00,3.00,6.00,8.00,6.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3205835,3.00,6.00,2.00,7.00,4.00,5.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3205843,6.00,6.00,4.00,9.00,5.00,8.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3205851,5.00,9.00,2.00,9.00,4.00,5.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3205860,5.00,3.00,2.00,4.00,4.00,2.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3205878,6.00,8.00,8.00,9.00,5.00,5.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3205886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3205894,4.00,7.00,3.00,2.00,6.00,6.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3205908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3205916,3.00,5.00,4.00,3.00,3.00,NULL,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3205924,4.00,7.00,4.00,6.00,7.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3205932,4.00,2.00,2.00,1.00,1.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3205940,5.00,4.00,4.00,9.00,5.00,5.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3205959,3.00,2.00,2.00,6.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(16,3205967,4.00,3.00,2.00,4.00,2.00,NULL,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3205975,3.00,3.00,4.00,6.00,4.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3205983,8.00,8.00,6.00,7.00,6.00,5.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3205991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3206009,4.00,4.00,2.00,4.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3206017,6.00,5.00,2.00,4.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3206025,3.00,3.00,3.00,2.00,7.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3206033,7.00,8.00,7.00,8.00,8.00,6.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3206041,6.00,3.00,3.00,9.00,6.00,5.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3206050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3206068,0.00,5.00,2.00,3.00,2.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3206076,5.00,3.00,3.00,2.00,4.00,4.50,5.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3206084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3206092,3.00,2.00,3.00,7.00,4.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3206106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3206114,4.00,4.00,3.00,6.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3206122,2.00,2.00,3.00,6.00,4.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3206157,4.00,2.00,4.00,4.00,5.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3206165,9.00,5.00,2.00,6.00,6.00,7.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3206173,4.00,5.00,4.00,6.00,5.00,5.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3206181,0.00,3.00,4.00,5.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3206190,4.00,3.00,2.00,5.00,6.00,5.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3206203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3206211,3.00,5.00,3.00,7.00,6.00,5.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3206220,9.00,9.00,7.00,8.00,6.00,7.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3206238,9.00,7.00,9.00,7.00,7.00,6.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3206246,5.00,7.00,4.00,9.00,7.00,7.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3206254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3206262,7.00,6.00,6.00,8.00,6.00,5.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3206270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3206289,1.00,5.00,1.00,5.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3206297,5.00,5.00,2.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3206300,6.00,9.00,7.00,9.00,7.00,6.50,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3206319,6.00,4.00,4.00,6.00,6.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3206327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3206335,5.00,4.00,4.00,6.00,4.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3206351,5.00,7.00,4.00,6.00,6.00,6.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3206360,6.00,5.00,4.00,8.00,6.00,5.75,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3206378,6.00,6.00,2.00,6.00,3.00,NULL,3.00,7.00,7.00,NULL,NULL,NULL,'S'),(16,3206394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3206408,3.00,0.00,4.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3206416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3206432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3206440,1.00,1.00,4.00,2.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3206467,8.00,8.00,2.00,8.00,7.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3206475,4.00,6.00,7.00,6.00,5.00,3.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3206483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3206491,4.00,7.00,3.00,8.00,7.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3206505,5.00,8.00,5.00,9.00,7.00,6.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3206521,5.00,3.00,2.00,5.00,4.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3206530,3.00,2.00,4.00,4.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3206548,7.00,4.00,6.00,5.00,5.00,4.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3206556,5.00,6.00,3.00,6.00,6.00,5.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3206564,4.00,4.00,4.00,2.00,4.00,4.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3206572,5.00,5.00,6.00,9.00,6.00,6.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3206599,4.00,1.00,2.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3206602,8.00,7.00,6.00,8.00,7.00,6.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3206610,4.00,7.00,3.00,8.00,5.00,7.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3206629,5.00,4.00,7.00,9.00,6.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3206637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3206645,3.00,6.00,1.00,4.00,5.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3206653,2.00,5.00,1.00,7.00,5.00,5.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3206661,3.00,3.00,3.00,2.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3206670,3.00,3.00,4.00,0.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3206700,4.00,5.00,3.00,6.00,5.00,4.50,3.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3206718,7.00,4.00,5.00,6.00,6.00,5.25,1.00,2.00,6.00,NULL,NULL,NULL,'S'),(16,3206726,3.00,2.00,2.00,2.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3206734,6.00,8.00,7.00,8.00,4.00,5.25,5.00,8.00,5.00,NULL,NULL,NULL,'S'),(16,3206742,5.00,8.00,6.00,7.00,5.00,5.25,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3206750,4.00,7.00,2.00,4.00,5.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3206769,4.00,3.00,3.00,1.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3206777,5.00,4.00,4.00,6.00,5.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3206785,5.00,5.00,4.00,8.00,6.00,6.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3206793,8.00,9.00,7.00,8.00,6.00,6.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3206807,6.00,5.00,3.00,6.00,5.00,7.00,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3206815,8.00,7.00,7.00,7.00,7.00,5.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3206823,2.00,3.00,5.00,4.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3206831,7.00,6.00,5.00,8.00,5.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3206840,4.00,5.00,3.00,2.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3206858,7.00,7.00,4.00,6.00,5.00,5.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3206866,2.00,5.00,3.00,4.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3206874,3.00,1.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3206882,5.00,4.00,4.00,6.00,4.00,5.00,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3206890,5.00,3.00,3.00,8.00,7.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3206904,6.00,6.00,4.00,6.00,6.00,5.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3206912,2.00,5.00,4.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3206920,3.00,4.00,2.00,2.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3206939,7.00,7.00,6.00,9.00,5.00,4.75,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3206947,2.00,2.00,3.00,6.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3206955,6.00,8.00,4.00,5.00,6.00,6.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3206971,9.00,8.00,8.00,9.00,8.00,6.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3206980,8.00,8.00,5.00,9.00,6.00,7.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3206998,7.00,8.00,7.00,9.00,5.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3207005,2.00,3.00,2.00,4.00,4.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3207013,6.00,7.00,8.00,8.00,6.00,5.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3207021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3207030,5.00,4.00,7.00,9.00,4.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3207048,6.00,1.00,3.00,6.00,3.00,NULL,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3207056,2.00,2.00,2.00,3.00,6.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3207064,1.00,1.00,2.00,0.00,2.00,NULL,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3207072,3.00,2.00,5.00,2.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3207080,6.00,4.00,5.00,7.00,7.00,6.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3207099,3.00,5.00,3.00,0.00,4.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3207102,3.00,3.00,4.00,2.00,4.00,4.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3207110,4.00,4.00,3.00,4.00,4.00,4.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3207137,5.00,4.00,3.00,6.00,6.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3207145,5.00,5.00,2.00,8.00,6.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3207153,7.00,7.00,7.00,8.00,7.00,7.00,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3207161,2.00,4.00,4.00,8.00,5.00,7.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3207170,6.00,7.00,8.00,4.00,5.00,5.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3207188,5.00,8.00,2.00,1.00,5.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3207196,4.00,5.00,4.00,4.00,6.00,5.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3207200,5.00,3.00,5.00,7.00,4.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3207218,6.00,6.00,5.00,6.00,6.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3207234,2.00,5.00,3.00,6.00,5.00,6.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3207242,5.00,6.00,2.00,8.00,5.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3207250,4.00,1.00,2.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3207269,7.00,8.00,8.00,8.00,7.00,8.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3207277,8.00,8.00,5.00,8.00,6.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3207285,1.00,3.00,2.00,4.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3207293,4.00,6.00,2.00,8.00,4.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3207307,4.00,4.00,1.00,2.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3207315,5.00,8.00,4.00,6.00,8.00,5.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3207331,4.00,1.00,3.00,7.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3207340,3.00,2.00,4.00,4.00,5.00,5.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3207382,2.00,4.00,3.00,2.00,1.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3207390,2.00,4.00,2.00,1.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3207404,5.00,7.00,5.00,8.00,6.00,5.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3207420,2.00,1.00,5.00,1.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3207439,3.00,3.00,6.00,4.00,4.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3207447,7.00,6.00,5.00,8.00,6.00,6.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3207455,7.00,7.00,8.00,9.00,7.00,7.50,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3207463,6.00,5.00,8.00,3.00,4.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3207471,3.00,8.00,3.00,8.00,4.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3207480,8.00,7.00,6.00,6.00,7.00,5.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3207498,5.00,4.00,4.00,8.00,7.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3207501,2.00,2.00,3.00,6.00,5.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3207510,3.00,5.00,4.00,7.00,5.00,4.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3207536,7.00,8.00,7.00,8.00,8.00,7.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3207544,1.00,1.00,3.00,4.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3207552,6.00,4.00,2.00,6.00,5.00,5.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3207560,7.00,5.00,3.00,9.00,7.00,6.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3207579,5.00,2.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3207587,3.00,5.00,3.00,4.00,4.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3207595,7.00,4.00,7.00,6.00,8.00,6.50,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3207609,7.00,5.00,4.00,8.00,4.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3207617,8.00,7.00,5.00,5.00,6.00,7.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3207625,2.00,5.00,5.00,6.00,6.00,4.50,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3207633,5.00,3.00,4.00,8.00,6.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3207641,6.00,6.00,2.00,6.00,6.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3207650,3.00,4.00,2.00,7.00,3.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3207668,2.00,0.00,2.00,4.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3207676,4.00,3.00,4.00,6.00,4.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3207684,6.00,5.00,2.00,7.00,5.00,4.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3207692,4.00,2.00,5.00,3.00,3.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3207706,7.00,6.00,4.00,8.00,6.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3207714,1.00,4.00,1.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3207722,3.00,3.00,4.00,2.00,4.00,NULL,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(16,3207730,8.00,6.00,4.00,6.00,6.00,5.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3207749,4.00,5.00,5.00,8.00,6.00,4.75,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3207757,3.00,6.00,1.00,1.00,5.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3207765,7.00,7.00,4.00,7.00,5.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3207773,9.00,6.00,6.00,7.00,6.00,7.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3207781,3.00,6.00,5.00,8.00,5.00,7.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3207790,7.00,8.00,3.00,7.00,5.00,4.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3207803,5.00,3.00,3.00,8.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3207811,4.00,5.00,1.00,9.00,3.00,NULL,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3207820,6.00,7.00,5.00,8.00,9.00,5.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3207838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3207846,4.00,3.00,8.00,6.00,6.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3207854,3.00,3.00,2.00,0.00,0.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3207870,9.00,9.00,7.00,8.00,8.00,5.75,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3207889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3207897,3.00,4.00,5.00,5.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3207900,4.00,4.00,4.00,6.00,4.00,4.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3207919,2.00,5.00,3.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3207927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3207935,4.00,6.00,2.00,1.00,5.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3207943,5.00,6.00,3.00,7.00,5.00,5.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3207951,3.00,1.00,2.00,4.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3207978,5.00,5.00,4.00,8.00,6.00,5.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3207986,4.00,1.00,1.00,2.00,0.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3208001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3208010,5.00,4.00,2.00,7.00,5.00,6.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3208028,6.00,6.00,6.00,8.00,5.00,7.25,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3208036,5.00,8.00,4.00,6.00,6.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3208044,8.00,6.00,3.00,5.00,7.00,5.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3208052,6.00,8.00,6.00,7.00,7.00,5.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3208060,3.00,4.00,3.00,5.00,4.00,2.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3208079,8.00,8.00,6.00,9.00,8.00,4.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3208087,6.00,7.00,6.00,9.00,7.00,6.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3208095,4.00,6.00,2.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3208109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3208117,4.00,1.00,2.00,3.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3208125,4.00,2.00,2.00,6.00,2.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3208133,4.00,3.00,1.00,6.00,5.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3208141,4.00,3.00,2.00,5.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3208150,5.00,4.00,6.00,7.00,4.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3208168,6.00,6.00,4.00,5.00,5.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3208176,3.00,4.00,1.00,4.00,4.00,4.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3208184,4.00,5.00,3.00,4.00,5.00,5.25,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3208192,4.00,2.00,2.00,2.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3208214,4.00,3.00,2.00,4.00,5.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3208222,3.00,2.00,4.00,7.00,4.00,4.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3208230,3.00,3.00,1.00,2.00,2.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3208257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3208265,2.00,3.00,1.00,3.00,1.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3208273,7.00,6.00,2.00,7.00,3.00,NULL,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3208281,1.00,2.00,2.00,6.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3208290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3208303,3.00,3.00,2.00,3.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3208320,3.00,3.00,3.00,3.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3208338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3208346,1.00,4.00,4.00,2.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3208354,6.00,4.00,2.00,8.00,6.00,7.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3208362,5.00,5.00,4.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3208370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3208389,5.00,5.00,2.00,0.00,5.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3208397,5.00,5.00,6.00,8.00,7.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3208400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3208419,5.00,7.00,3.00,7.00,8.00,6.00,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3208427,5.00,6.00,3.00,4.00,4.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3208435,4.00,4.00,1.00,3.00,6.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3208443,4.00,4.00,5.00,4.00,7.00,6.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3208451,5.00,6.00,1.00,5.00,5.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3208460,4.00,0.00,3.00,3.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3208478,3.00,7.00,1.00,5.00,4.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3208486,3.00,4.00,4.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3208494,4.00,4.00,2.00,2.00,4.00,5.25,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3208508,4.00,6.00,2.00,4.00,4.00,4.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3208516,4.00,3.00,2.00,2.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3208524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3208532,8.00,9.00,3.00,9.00,7.00,7.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3208540,6.00,7.00,6.00,9.00,7.00,7.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3208559,4.00,4.00,3.00,7.00,4.00,4.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3208567,3.00,8.00,5.00,7.00,5.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3208583,4.00,7.00,4.00,7.00,7.00,4.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3208591,3.00,5.00,3.00,6.00,6.00,3.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3208605,4.00,1.00,3.00,1.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3208613,4.00,5.00,3.00,8.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3208621,7.00,6.00,5.00,8.00,6.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3208630,5.00,4.00,2.00,6.00,6.00,5.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3208656,2.00,5.00,3.00,8.00,3.00,NULL,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3208672,4.00,8.00,5.00,7.00,6.00,7.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3208680,3.00,2.00,2.00,3.00,2.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3208699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3208702,2.00,3.00,1.00,3.00,5.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3208710,2.00,1.00,4.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3208729,3.00,2.00,1.00,4.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3208737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3208745,3.00,3.00,1.00,5.00,1.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3208753,4.00,5.00,4.00,5.00,3.00,NULL,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3208761,5.00,3.00,3.00,7.00,3.00,NULL,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3208770,3.00,6.00,3.00,6.00,5.00,6.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3208788,5.00,7.00,4.00,8.00,5.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3208800,6.00,7.00,3.00,9.00,7.00,6.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3208818,4.00,1.00,2.00,2.00,0.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3208826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3208834,5.00,6.00,2.00,4.00,5.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3208850,4.00,5.00,3.00,4.00,5.00,3.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3208869,1.00,1.00,2.00,3.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3208877,6.00,7.00,2.00,5.00,2.00,NULL,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3208885,4.00,4.00,6.00,4.00,6.00,5.50,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3208893,4.00,6.00,3.00,5.00,5.00,5.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3208915,1.00,5.00,1.00,6.00,3.00,NULL,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3208923,3.00,7.00,1.00,4.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3208931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3208940,2.00,3.00,4.00,0.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3208974,1.00,2.00,1.00,2.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3208990,2.00,1.00,4.00,6.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3209008,3.00,6.00,4.00,6.00,5.00,4.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3209016,5.00,4.00,2.00,1.00,6.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3209024,6.00,4.00,2.00,2.00,5.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3209032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3209040,3.00,3.00,2.00,0.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3209075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3209091,2.00,5.00,1.00,3.00,5.00,4.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3209105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3209113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3209121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3209130,1.00,3.00,4.00,2.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3209156,5.00,4.00,3.00,1.00,4.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3209180,5.00,5.00,1.00,7.00,5.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3209210,5.00,7.00,5.00,7.00,8.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3209229,3.00,3.00,3.00,4.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3209237,3.00,4.00,1.00,5.00,6.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3209245,5.00,6.00,4.00,8.00,4.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3209261,2.00,5.00,4.00,5.00,4.00,6.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3209270,3.00,0.00,3.00,7.00,5.00,5.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3209300,3.00,4.00,2.00,3.00,2.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3209318,3.00,1.00,2.00,8.00,4.00,6.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3209326,1.00,6.00,4.00,4.00,4.00,4.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3209350,4.00,7.00,5.00,6.00,5.00,7.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3209377,3.00,4.00,4.00,4.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3209385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3209393,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3209407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3209415,8.00,6.00,6.00,6.00,7.00,6.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3209423,1.00,4.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3209431,5.00,6.00,3.00,8.00,0.00,NULL,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3209440,7.00,6.00,7.00,6.00,4.00,6.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3209458,3.00,5.00,1.00,5.00,6.00,3.25,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3209466,5.00,4.00,5.00,7.00,4.00,4.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3209474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3209482,6.00,6.00,7.00,6.00,5.00,6.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3209490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3209512,3.00,7.00,3.00,7.00,6.00,6.75,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3209539,4.00,3.00,1.00,6.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3209555,7.00,6.00,5.00,5.00,4.00,7.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3209563,2.00,6.00,2.00,3.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3209571,5.00,4.00,2.00,8.00,4.00,5.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3209580,2.00,2.00,3.00,6.00,1.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3209598,7.00,5.00,5.00,6.00,6.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3209601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3209610,6.00,2.00,2.00,5.00,7.00,4.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3209636,4.00,2.00,1.00,2.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3209644,6.00,6.00,6.00,8.00,6.00,7.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3209652,8.00,7.00,4.00,7.00,7.00,4.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3209660,7.00,7.00,4.00,5.00,6.00,6.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3209679,7.00,7.00,8.00,8.00,8.00,6.50,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3209687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3209695,4.00,2.00,2.00,1.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3209709,4.00,5.00,3.00,7.00,5.00,4.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3209717,3.00,7.00,4.00,7.00,8.00,7.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3209725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3209733,4.00,5.00,2.00,6.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3209741,3.00,7.00,1.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3209768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3209776,3.00,3.00,3.00,2.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3209784,3.00,3.00,4.00,9.00,4.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3209806,3.00,6.00,4.00,8.00,5.00,5.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3209814,4.00,3.00,5.00,3.00,7.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3209822,5.00,5.00,1.00,7.00,9.00,8.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3209857,9.00,6.00,7.00,8.00,8.00,7.00,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3209865,5.00,7.00,1.00,8.00,5.00,8.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3209873,4.00,6.00,2.00,8.00,6.00,7.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3209881,7.00,6.00,5.00,8.00,6.00,7.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3209890,5.00,5.00,5.00,6.00,6.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3209903,0.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3209911,2.00,3.00,5.00,6.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3209920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3209946,4.00,4.00,1.00,4.00,5.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3209954,6.00,8.00,6.00,6.00,6.00,5.50,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3209962,4.00,3.00,1.00,3.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3209970,5.00,5.00,4.00,2.00,4.00,5.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3209997,4.00,3.00,8.00,8.00,6.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3210006,6.00,8.00,7.00,6.00,7.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3210014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3210022,4.00,5.00,2.00,5.00,3.00,NULL,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3210057,7.00,4.00,4.00,8.00,6.00,6.75,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(16,3210065,8.00,4.00,4.00,7.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3210073,4.00,2.00,2.00,4.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3210090,1.00,1.00,3.00,0.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3210103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3210111,3.00,4.00,3.00,4.00,6.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3210120,5.00,4.00,1.00,3.00,6.00,4.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3210146,2.00,1.00,3.00,4.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3210154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3210162,2.00,1.00,1.00,2.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3210170,7.00,8.00,6.00,6.00,6.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3210189,6.00,6.00,6.00,9.00,7.00,5.75,3.00,6.00,6.00,NULL,NULL,NULL,'S'),(16,3210197,6.00,5.00,5.00,3.00,7.00,5.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3210200,4.00,4.00,2.00,10.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3210243,7.00,6.00,3.00,7.00,5.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3210251,5.00,5.00,3.00,3.00,7.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3210260,5.00,3.00,3.00,7.00,5.00,4.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3210278,3.00,1.00,2.00,5.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3210286,4.00,5.00,1.00,8.00,6.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3210294,5.00,3.00,4.00,6.00,4.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3210308,4.00,2.00,1.00,0.00,2.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3210316,5.00,8.00,5.00,5.00,4.00,6.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3210324,5.00,0.00,1.00,4.00,1.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3210332,8.00,8.00,8.00,8.00,7.00,5.25,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3210340,5.00,3.00,1.00,3.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3210367,4.00,5.00,2.00,5.00,3.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3210375,3.00,4.00,2.00,7.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3210383,2.00,3.00,3.00,6.00,2.00,NULL,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(16,3210391,4.00,5.00,3.00,5.00,5.00,5.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3210405,3.00,4.00,2.00,0.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3210413,5.00,5.00,2.00,2.00,3.00,NULL,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3210421,3.00,5.00,4.00,6.00,6.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3210448,6.00,9.00,4.00,9.00,7.00,6.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3210456,6.00,5.00,4.00,7.00,6.00,8.50,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3210464,4.00,6.00,4.00,8.00,4.00,4.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3210472,6.00,5.00,4.00,8.00,7.00,6.00,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3210499,0.00,0.00,0.00,6.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3210502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3210510,5.00,5.00,1.00,7.00,5.00,5.25,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3210529,6.00,7.00,5.00,7.00,6.00,4.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3210537,5.00,4.00,2.00,3.00,6.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3210545,2.00,1.00,2.00,3.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3210553,1.00,5.00,2.00,6.00,5.00,5.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3210561,3.00,5.00,4.00,5.00,5.00,6.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3210570,4.00,6.00,4.00,7.00,5.00,6.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3210596,2.00,4.00,2.00,6.00,5.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3210600,6.00,6.00,5.00,9.00,6.00,4.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3210618,3.00,3.00,1.00,4.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3210626,6.00,7.00,6.00,8.00,7.00,5.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3210634,8.00,8.00,8.00,8.00,6.00,7.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3210642,9.00,9.00,5.00,9.00,7.00,6.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3210650,5.00,4.00,4.00,2.00,6.00,3.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3210669,5.00,7.00,4.00,8.00,7.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3210677,2.00,5.00,1.00,6.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3210685,4.00,3.00,1.00,0.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3210693,4.00,4.00,1.00,2.00,4.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3210707,3.00,1.00,1.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3210715,3.00,4.00,4.00,7.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3210723,5.00,6.00,4.00,7.00,4.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3210731,8.00,6.00,5.00,5.00,5.00,4.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3210740,2.00,2.00,1.00,1.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3210766,5.00,4.00,4.00,4.00,4.00,4.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3210774,3.00,5.00,3.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3210790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3210804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3210812,7.00,7.00,5.00,4.00,6.00,6.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3210820,6.00,6.00,6.00,7.00,5.00,6.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3210839,5.00,4.00,3.00,5.00,4.00,4.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3210847,3.00,2.00,2.00,2.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3210855,4.00,4.00,2.00,3.00,3.00,NULL,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3210863,7.00,6.00,5.00,4.00,5.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3210871,4.00,4.00,6.00,7.00,5.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3210880,2.00,3.00,2.00,2.00,4.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3210898,5.00,5.00,4.00,6.00,6.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3210901,4.00,6.00,1.00,6.00,6.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3210910,7.00,7.00,7.00,7.00,5.00,6.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3210936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3210944,6.00,5.00,4.00,8.00,5.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3210952,3.00,7.00,3.00,6.00,5.00,6.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3210960,5.00,6.00,2.00,7.00,6.00,4.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3210979,3.00,5.00,4.00,6.00,4.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3210987,4.00,6.00,5.00,5.00,4.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3210995,8.00,7.00,4.00,6.00,8.00,5.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3211002,7.00,6.00,6.00,9.00,7.00,7.50,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3211010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3211029,4.00,7.00,2.00,8.00,6.00,4.00,2.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3211037,2.00,5.00,2.00,7.00,4.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3211045,3.00,7.00,4.00,8.00,5.00,6.50,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3211053,2.00,7.00,2.00,4.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3211061,7.00,6.00,6.00,8.00,6.00,5.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3211070,4.00,2.00,5.00,6.00,8.00,4.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3211096,3.00,3.00,6.00,7.00,4.00,4.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3211100,5.00,6.00,4.00,3.00,3.00,NULL,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3211118,2.00,3.00,2.00,8.00,4.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3211126,5.00,5.00,4.00,8.00,6.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3211142,8.00,6.00,4.00,7.00,5.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3211150,7.00,8.00,7.00,9.00,9.00,5.75,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3211169,3.00,4.00,2.00,4.00,5.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3211177,3.00,4.00,1.00,5.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3211185,1.00,2.00,3.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3211193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3211207,4.00,3.00,3.00,3.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3211215,6.00,4.00,4.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3211223,0.00,1.00,1.00,1.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3211231,5.00,3.00,2.00,8.00,5.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3211240,4.00,3.00,2.00,5.00,5.00,5.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3211258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3211266,2.00,4.00,2.00,3.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3211274,1.00,4.00,2.00,5.00,4.00,4.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3211282,6.00,7.00,4.00,8.00,7.00,6.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3211290,5.00,6.00,4.00,6.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3211304,9.00,6.00,8.00,9.00,8.00,6.50,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3211312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3211320,2.00,5.00,2.00,5.00,6.00,5.00,2.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3211339,8.00,8.00,8.00,9.00,8.00,4.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3211347,2.00,3.00,3.00,2.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3211355,3.00,3.00,4.00,1.00,4.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3211363,7.00,5.00,7.00,9.00,5.00,5.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3211371,3.00,4.00,4.00,0.00,3.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3211398,5.00,4.00,6.00,7.00,7.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3211401,6.00,4.00,2.00,6.00,5.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3211410,7.00,5.00,4.00,7.00,5.00,7.75,4.00,6.00,1.00,NULL,NULL,NULL,'S'),(16,3211428,3.00,4.00,3.00,1.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3211436,3.00,3.00,4.00,3.00,4.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3211444,3.00,5.00,5.00,6.00,6.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3211452,3.00,3.00,1.00,5.00,6.00,5.50,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3211460,5.00,5.00,3.00,6.00,5.00,4.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3211479,3.00,4.00,3.00,8.00,4.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3211487,6.00,6.00,6.00,7.00,6.00,5.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3211495,4.00,3.00,2.00,1.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3211509,4.00,6.00,3.00,8.00,6.00,7.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3211517,2.00,6.00,6.00,7.00,6.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3211533,6.00,6.00,4.00,7.00,4.00,4.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3211541,6.00,6.00,5.00,1.00,7.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3211550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3211568,0.00,0.00,0.00,8.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3211576,4.00,2.00,1.00,2.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3211584,4.00,6.00,4.00,8.00,7.00,7.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3211592,4.00,4.00,1.00,5.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3211606,4.00,5.00,1.00,3.00,3.00,NULL,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3211614,7.00,6.00,5.00,7.00,6.00,5.50,7.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3211622,7.00,6.00,8.00,9.00,7.00,6.25,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3211649,3.00,5.00,2.00,7.00,6.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3211657,6.00,2.00,3.00,6.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3211665,4.00,5.00,2.00,8.00,5.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3211673,4.00,4.00,2.00,6.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3211681,4.00,5.00,3.00,9.00,4.00,4.50,3.00,7.00,1.00,NULL,NULL,NULL,'S'),(16,3211690,2.00,3.00,2.00,3.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3211703,2.00,4.00,1.00,1.00,5.00,4.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3211711,5.00,3.00,3.00,8.00,4.00,4.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3211720,5.00,4.00,3.00,4.00,6.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3211738,4.00,4.00,2.00,3.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3211746,4.00,1.00,2.00,7.00,1.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3211754,6.00,4.00,3.00,4.00,4.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3211762,3.00,2.00,2.00,5.00,5.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3211770,4.00,6.00,2.00,7.00,4.00,6.25,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3211789,5.00,6.00,4.00,5.00,6.00,6.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3211797,2.00,3.00,3.00,5.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3211800,7.00,8.00,3.00,7.00,4.00,6.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3211819,4.00,7.00,2.00,5.00,5.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3211827,4.00,5.00,6.00,7.00,6.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3211835,5.00,7.00,2.00,9.00,5.00,6.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3211843,3.00,8.00,6.00,6.00,2.00,NULL,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3211851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3211878,3.00,8.00,3.00,8.00,8.00,9.25,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3211886,4.00,5.00,3.00,7.00,5.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3211908,3.00,3.00,1.00,5.00,4.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3211916,6.00,7.00,6.00,7.00,7.00,5.25,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3211924,3.00,4.00,2.00,5.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3211932,3.00,2.00,4.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3211959,5.00,3.00,1.00,9.00,7.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3211975,3.00,6.00,2.00,4.00,6.00,4.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3211983,5.00,5.00,6.00,8.00,5.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3212009,8.00,4.00,4.00,8.00,6.00,6.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3212017,4.00,5.00,3.00,7.00,5.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3212033,3.00,5.00,1.00,4.00,6.00,4.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3212041,1.00,2.00,4.00,5.00,4.00,3.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3212050,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3212068,2.00,4.00,2.00,2.00,6.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3212084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3212106,2.00,2.00,1.00,2.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3212122,5.00,7.00,5.00,6.00,6.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3212130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3212149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3212157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3212165,6.00,5.00,5.00,3.00,6.00,5.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3212173,3.00,6.00,4.00,8.00,6.00,0.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3212181,1.00,4.00,3.00,3.00,5.00,4.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3212190,3.00,1.00,3.00,2.00,3.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3212203,5.00,7.00,5.00,8.00,7.00,6.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3212211,4.00,3.00,3.00,5.00,5.00,4.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3212220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3212238,6.00,7.00,4.00,5.00,7.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3212254,4.00,5.00,3.00,1.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3212262,8.00,8.00,5.00,8.00,6.00,6.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3212270,2.00,5.00,5.00,5.00,4.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3212289,0.00,0.00,0.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3212297,5.00,5.00,5.00,8.00,4.00,4.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3212300,1.00,3.00,3.00,3.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3212319,2.00,6.00,2.00,4.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3212327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3212335,4.00,5.00,3.00,1.00,4.00,5.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3212343,4.00,5.00,4.00,6.00,6.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3212351,6.00,3.00,2.00,4.00,2.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3212360,3.00,3.00,1.00,3.00,4.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3212378,4.00,4.00,5.00,3.00,3.00,NULL,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3212386,3.00,4.00,2.00,5.00,4.00,4.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3212394,5.00,4.00,4.00,6.00,4.00,5.75,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3212408,5.00,5.00,2.00,3.00,5.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3212416,5.00,7.00,5.00,6.00,8.00,7.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3212424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3212432,6.00,6.00,5.00,6.00,8.00,6.75,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3212440,4.00,3.00,3.00,6.00,7.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3212459,3.00,6.00,3.00,6.00,5.00,5.50,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3212467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3212475,2.00,4.00,2.00,2.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3212483,3.00,2.00,2.00,3.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'S'),(16,3212505,5.00,4.00,5.00,4.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3212513,7.00,6.00,7.00,7.00,7.00,5.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3212521,4.00,1.00,4.00,5.00,4.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3212530,5.00,8.00,5.00,6.00,4.00,4.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3212548,3.00,5.00,2.00,8.00,5.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3212556,7.00,4.00,5.00,6.00,6.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3212564,3.00,4.00,3.00,4.00,5.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3212572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3212580,7.00,4.00,6.00,8.00,6.00,6.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3212599,2.00,6.00,5.00,6.00,6.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3212602,3.00,3.00,1.00,7.00,5.00,6.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3212610,9.00,7.00,7.00,7.00,8.00,7.00,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3212629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3212637,2.00,1.00,1.00,5.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3212645,7.00,6.00,5.00,8.00,7.00,4.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3212653,3.00,4.00,1.00,8.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3212661,4.00,4.00,1.00,6.00,3.00,NULL,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3212670,4.00,7.00,3.00,7.00,8.00,4.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3212688,8.00,7.00,6.00,1.00,4.00,5.75,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3212696,6.00,9.00,9.00,4.00,8.00,8.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3212718,5.00,6.00,1.00,4.00,5.00,4.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3212726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3212734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3212742,5.00,8.00,3.00,8.00,8.00,5.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3212750,3.00,2.00,2.00,3.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3212769,0.00,0.00,1.00,1.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3212777,3.00,2.00,1.00,7.00,4.00,7.00,2.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3212785,4.00,3.00,2.00,7.00,6.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3212793,3.00,6.00,1.00,2.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3212807,6.00,7.00,6.00,7.00,6.00,6.25,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3212823,4.00,5.00,6.00,5.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3212831,2.00,5.00,1.00,1.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3212840,5.00,3.00,3.00,2.00,4.00,5.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3212858,3.00,5.00,2.00,1.00,5.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3212866,4.00,3.00,1.00,5.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3212874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3212882,3.00,6.00,4.00,9.00,5.00,6.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3212890,5.00,3.00,2.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3212904,2.00,3.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3212920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3212939,4.00,5.00,2.00,6.00,5.00,4.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3212947,5.00,2.00,1.00,2.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3212955,8.00,7.00,5.00,8.00,7.00,6.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3212980,3.00,3.00,2.00,5.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3212998,7.00,4.00,6.00,9.00,4.00,7.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3213013,5.00,5.00,1.00,1.00,2.00,NULL,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3213021,8.00,8.00,9.00,9.00,7.00,6.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3213048,2.00,3.00,5.00,5.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3213056,2.00,3.00,3.00,0.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3213064,4.00,4.00,4.00,5.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3213072,2.00,3.00,2.00,3.00,1.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3213099,3.00,4.00,1.00,6.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3213102,6.00,4.00,2.00,6.00,6.00,7.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3213110,4.00,5.00,3.00,7.00,6.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3213129,3.00,7.00,4.00,8.00,4.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(16,3213145,8.00,7.00,9.00,9.00,4.00,5.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3213153,10.00,7.00,6.00,6.00,6.00,7.25,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3213161,6.00,6.00,3.00,3.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3213170,3.00,5.00,4.00,5.00,6.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3213200,6.00,6.00,4.00,6.00,5.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3213218,3.00,2.00,1.00,1.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3213226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3213234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3213242,1.00,5.00,2.00,9.00,5.00,6.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3213269,6.00,7.00,5.00,7.00,4.00,4.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3213277,2.00,3.00,1.00,6.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3213285,1.00,2.00,2.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3213307,4.00,4.00,1.00,1.00,6.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(16,3213315,4.00,8.00,3.00,8.00,4.00,5.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3213323,8.00,7.00,7.00,8.00,8.00,7.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3213331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3213340,4.00,4.00,3.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3213358,6.00,5.00,4.00,7.00,6.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3213366,7.00,4.00,2.00,6.00,6.00,4.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3213374,7.00,7.00,5.00,6.00,7.00,4.75,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3213390,7.00,5.00,1.00,3.00,5.00,5.50,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3213404,4.00,1.00,3.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3213412,3.00,6.00,3.00,5.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3213420,5.00,3.00,1.00,5.00,4.00,4.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3213439,2.00,1.00,2.00,2.00,2.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3213447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3213455,1.00,3.00,1.00,3.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3213463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3213480,7.00,8.00,6.00,8.00,5.00,6.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3213498,3.00,1.00,3.00,8.00,4.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3213501,4.00,2.00,1.00,3.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3213510,6.00,5.00,1.00,7.00,7.00,7.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3213528,4.00,6.00,4.00,6.00,5.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3213544,4.00,5.00,4.00,7.00,3.00,NULL,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3213560,7.00,6.00,2.00,4.00,3.00,NULL,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3213579,4.00,4.00,2.00,7.00,4.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3213587,1.00,1.00,4.00,2.00,1.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3213595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3213609,6.00,7.00,1.00,8.00,7.00,5.50,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3213617,6.00,5.00,3.00,8.00,7.00,5.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3213625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3213633,7.00,6.00,5.00,6.00,4.00,5.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3213641,6.00,8.00,6.00,5.00,6.00,4.75,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3213650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3213668,4.00,7.00,2.00,3.00,6.00,4.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3213676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3213692,2.00,4.00,4.00,4.00,4.00,3.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3213706,4.00,1.00,2.00,5.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3213714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3213722,5.00,2.00,2.00,5.00,1.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3213730,5.00,4.00,2.00,3.00,5.00,5.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3213749,3.00,6.00,3.00,7.00,6.00,4.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3213757,4.00,6.00,2.00,7.00,8.00,6.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3213773,7.00,7.00,6.00,6.00,8.00,6.00,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3213781,6.00,4.00,3.00,6.00,6.00,6.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3213790,4.00,6.00,4.00,7.00,4.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3213803,4.00,2.00,4.00,4.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3213811,7.00,5.00,6.00,8.00,7.00,4.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3213820,7.00,5.00,3.00,2.00,4.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3213846,6.00,7.00,4.00,3.00,4.00,4.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3213854,7.00,7.00,7.00,8.00,7.00,5.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3213862,3.00,1.00,2.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3213870,7.00,7.00,6.00,8.00,8.00,7.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3213889,2.00,1.00,2.00,3.00,0.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3213897,4.00,2.00,4.00,3.00,4.00,6.50,1.00,6.00,1.00,NULL,NULL,NULL,'S'),(16,3213900,4.00,6.00,1.00,7.00,5.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3213919,6.00,3.00,5.00,7.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3213927,6.00,7.00,4.00,7.00,7.00,5.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3213935,5.00,2.00,5.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3213943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3213951,3.00,3.00,2.00,4.00,5.00,5.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3213960,3.00,2.00,2.00,0.00,1.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3213978,4.00,0.00,1.00,3.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3213986,7.00,3.00,5.00,6.00,2.00,NULL,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3213994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3214001,8.00,5.00,4.00,8.00,7.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3214010,6.00,5.00,6.00,8.00,6.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3214028,4.00,6.00,4.00,8.00,4.00,5.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3214036,2.00,4.00,3.00,6.00,6.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3214044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3214052,4.00,3.00,4.00,9.00,4.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3214060,3.00,3.00,1.00,3.00,8.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3214079,4.00,3.00,1.00,3.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3214087,7.00,5.00,7.00,7.00,6.00,6.50,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3214095,4.00,2.00,2.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3214109,6.00,4.00,2.00,7.00,6.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3214117,3.00,4.00,3.00,5.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3214133,5.00,5.00,5.00,8.00,6.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3214141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3214150,5.00,4.00,2.00,7.00,5.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3214168,3.00,5.00,1.00,6.00,7.00,NULL,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3214176,2.00,2.00,1.00,2.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3214184,3.00,5.00,3.00,3.00,5.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3214192,3.00,4.00,2.00,6.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3214206,6.00,4.00,4.00,7.00,5.00,5.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3214214,3.00,2.00,4.00,5.00,5.00,6.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3214222,5.00,6.00,4.00,7.00,5.00,7.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3214230,3.00,3.00,1.00,3.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3214249,7.00,5.00,4.00,8.00,5.00,6.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3214257,9.00,6.00,7.00,9.00,8.00,7.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3214265,4.00,4.00,2.00,5.00,6.00,6.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3214273,1.00,1.00,2.00,7.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3214281,6.00,4.00,2.00,8.00,5.00,4.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3214290,5.00,7.00,5.00,6.00,6.00,5.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3214303,7.00,5.00,7.00,7.00,6.00,6.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3214311,2.00,5.00,5.00,4.00,6.00,4.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3214338,4.00,3.00,2.00,8.00,4.00,5.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3214354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3214362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3214370,2.00,2.00,1.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3214389,2.00,0.00,3.00,8.00,5.00,7.00,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3214397,7.00,8.00,7.00,8.00,6.00,5.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3214427,2.00,2.00,3.00,4.00,3.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3214435,4.00,3.00,4.00,7.00,5.00,4.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3214443,2.00,3.00,2.00,7.00,2.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3214451,5.00,4.00,3.00,5.00,4.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3214460,3.00,5.00,1.00,5.00,4.00,6.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3214478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3214486,1.00,3.00,2.00,2.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3214494,4.00,8.00,3.00,3.00,3.00,NULL,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3214508,3.00,5.00,3.00,7.00,6.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3214516,5.00,7.00,1.00,5.00,5.00,4.75,4.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3214524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3214532,1.00,2.00,1.00,6.00,3.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3214540,3.00,6.00,3.00,5.00,4.00,5.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3214559,5.00,8.00,2.00,7.00,4.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3214567,5.00,7.00,3.00,8.00,8.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3214583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3214591,7.00,6.00,5.00,2.00,6.00,4.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3214605,5.00,6.00,4.00,5.00,5.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3214613,6.00,8.00,4.00,8.00,6.00,5.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3214630,2.00,5.00,5.00,6.00,4.00,4.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3214648,1.00,3.00,3.00,7.00,6.00,5.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3214656,3.00,5.00,4.00,4.00,7.00,6.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3214664,5.00,2.00,5.00,7.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(16,3214672,0.00,3.00,1.00,1.00,3.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3214680,8.00,6.00,8.00,3.00,6.00,6.00,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3214699,1.00,3.00,1.00,6.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3214702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3214729,4.00,3.00,4.00,4.00,6.00,5.50,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3214737,2.00,0.00,4.00,4.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3214745,5.00,6.00,3.00,7.00,7.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3214753,6.00,5.00,2.00,4.00,4.00,6.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3214761,1.00,3.00,1.00,5.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3214770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3214796,4.00,7.00,2.00,5.00,3.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3214800,7.00,6.00,7.00,7.00,6.00,5.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3214818,2.00,6.00,6.00,9.00,6.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3214826,6.00,5.00,3.00,1.00,6.00,5.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3214834,3.00,5.00,1.00,3.00,3.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3214842,4.00,3.00,1.00,0.00,2.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3214850,5.00,5.00,4.00,6.00,7.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3214869,7.00,4.00,5.00,6.00,8.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3214877,4.00,3.00,1.00,7.00,0.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3214885,4.00,5.00,3.00,5.00,5.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3214893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3214907,6.00,3.00,4.00,7.00,4.00,5.50,1.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3214915,7.00,2.00,6.00,8.00,6.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3214923,2.00,1.00,1.00,1.00,1.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3214931,6.00,6.00,4.00,8.00,6.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3214940,8.00,8.00,5.00,6.00,6.00,7.25,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3214958,5.00,7.00,3.00,6.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3214966,7.00,7.00,4.00,7.00,3.00,NULL,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3214974,2.00,2.00,1.00,4.00,2.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3214982,5.00,6.00,3.00,6.00,4.00,4.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3214990,2.00,3.00,2.00,6.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3215008,3.00,6.00,2.00,5.00,4.00,5.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3215032,2.00,5.00,1.00,6.00,5.00,4.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3215059,6.00,5.00,2.00,9.00,7.00,8.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3215067,6.00,3.00,3.00,9.00,5.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3215075,7.00,4.00,2.00,7.00,5.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3215083,6.00,6.00,3.00,6.00,8.00,7.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3215091,1.00,2.00,4.00,1.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3215105,6.00,5.00,3.00,5.00,4.00,5.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3215113,5.00,5.00,5.00,2.00,4.00,4.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3215121,8.00,7.00,3.00,9.00,8.00,7.00,1.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3215130,7.00,6.00,7.00,3.00,6.00,2.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3215148,3.00,2.00,2.00,5.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3215156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3215164,4.00,2.00,2.00,2.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3215172,3.00,7.00,4.00,8.00,6.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3215180,5.00,8.00,5.00,8.00,8.00,6.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3215199,7.00,8.00,5.00,8.00,4.00,5.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3215202,5.00,5.00,7.00,9.00,6.00,6.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3215210,4.00,3.00,2.00,7.00,4.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3215229,4.00,1.00,1.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3215237,4.00,1.00,1.00,3.00,1.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3215245,6.00,3.00,7.00,9.00,6.00,5.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3215253,2.00,1.00,4.00,3.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3215261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3215270,8.00,4.00,6.00,8.00,8.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3215288,8.00,5.00,6.00,9.00,6.00,5.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3215300,4.00,3.00,3.00,6.00,5.00,4.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3215318,3.00,2.00,1.00,7.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3215342,8.00,7.00,6.00,8.00,6.00,7.75,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3215350,4.00,3.00,2.00,7.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3215369,4.00,4.00,4.00,6.00,4.00,5.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3215377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3215385,6.00,8.00,3.00,5.00,6.00,7.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3215393,4.00,5.00,4.00,7.00,5.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3215407,7.00,4.00,3.00,7.00,3.00,NULL,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3215415,4.00,3.00,1.00,7.00,4.00,5.50,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3215423,5.00,2.00,3.00,8.00,6.00,6.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3215431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3215440,8.00,7.00,8.00,6.00,7.00,5.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3215458,2.00,3.00,2.00,5.00,5.00,5.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3215466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3215474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3215482,3.00,5.00,3.00,6.00,4.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3215490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3215504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3215512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3215520,2.00,0.00,1.00,3.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3215539,8.00,7.00,6.00,9.00,6.00,6.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3215547,2.00,5.00,2.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3215555,4.00,1.00,1.00,3.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3215563,2.00,3.00,2.00,2.00,3.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3215571,0.00,7.00,3.00,4.00,5.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3215580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3215598,8.00,7.00,7.00,5.00,7.00,4.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3215601,3.00,5.00,3.00,6.00,3.00,NULL,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3215610,5.00,6.00,2.00,7.00,7.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3215628,5.00,5.00,2.00,7.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3215636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3215644,2.00,5.00,4.00,5.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3215652,2.00,5.00,4.00,7.00,4.00,6.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3215660,3.00,2.00,2.00,7.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'S'),(16,3215679,3.00,4.00,1.00,2.00,2.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3215687,4.00,4.00,5.00,5.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3215695,4.00,2.00,4.00,3.00,4.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3215709,6.00,5.00,6.00,8.00,5.00,6.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3215717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3215725,5.00,5.00,7.00,4.00,6.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3215733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3215741,6.00,4.00,2.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3215750,5.00,4.00,2.00,5.00,7.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3215768,6.00,5.00,5.00,8.00,7.00,4.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3215776,4.00,3.00,1.00,4.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3215784,4.00,2.00,2.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3215792,2.00,5.00,1.00,1.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3215806,5.00,7.00,5.00,3.00,5.00,5.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3215814,3.00,5.00,2.00,5.00,4.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(16,3215822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3215830,4.00,2.00,2.00,6.00,4.00,5.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3215849,4.00,4.00,3.00,4.00,4.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3215857,3.00,2.00,5.00,3.00,4.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3215865,3.00,2.00,4.00,4.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3215873,6.00,6.00,5.00,4.00,4.00,5.75,5.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3215881,6.00,6.00,4.00,9.00,7.00,6.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3215890,4.00,5.00,4.00,9.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3215920,5.00,2.00,3.00,7.00,4.00,5.25,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3215938,6.00,4.00,4.00,7.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3215946,7.00,5.00,3.00,9.00,9.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3215954,6.00,5.00,2.00,7.00,8.00,6.50,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3215970,0.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3215989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3215997,3.00,4.00,2.00,5.00,6.00,5.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3216004,5.00,4.00,5.00,5.00,4.00,4.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3216012,5.00,3.00,2.00,6.00,6.00,5.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3216047,3.00,5.00,2.00,4.00,2.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3216055,7.00,5.00,2.00,7.00,5.00,6.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3216063,7.00,7.00,2.00,9.00,7.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3216071,5.00,4.00,3.00,9.00,7.00,5.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3216080,3.00,2.00,2.00,3.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3216098,9.00,4.00,5.00,6.00,3.00,NULL,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3216101,2.00,4.00,3.00,4.00,7.00,6.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3216110,5.00,3.00,1.00,7.00,4.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3216136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3216144,1.00,4.00,3.00,5.00,6.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3216152,5.00,8.00,5.00,8.00,7.00,5.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3216160,7.00,6.00,7.00,8.00,7.00,5.75,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3216179,6.00,4.00,4.00,7.00,5.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3216217,5.00,4.00,2.00,8.00,7.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3216225,3.00,7.00,3.00,9.00,4.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3216233,5.00,6.00,5.00,7.00,8.00,4.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3216241,5.00,4.00,5.00,3.00,5.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3216250,3.00,4.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3216276,3.00,6.00,2.00,7.00,7.00,4.50,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3216284,5.00,7.00,6.00,8.00,6.00,6.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3216292,5.00,3.00,5.00,3.00,6.00,5.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3216306,8.00,7.00,7.00,8.00,7.00,6.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3216314,2.00,3.00,3.00,8.00,4.00,5.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3216322,7.00,6.00,2.00,3.00,7.00,4.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3216330,2.00,5.00,3.00,6.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3216349,3.00,3.00,1.00,2.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3216357,5.00,4.00,4.00,7.00,4.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3216365,9.00,9.00,5.00,6.00,6.00,4.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3216373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3216381,1.00,4.00,3.00,2.00,3.00,NULL,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3216403,1.00,6.00,1.00,2.00,5.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3216411,8.00,8.00,6.00,5.00,8.00,6.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3216420,5.00,6.00,2.00,8.00,5.00,5.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3216438,6.00,5.00,5.00,6.00,5.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3216446,5.00,3.00,1.00,6.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3216462,7.00,6.00,4.00,7.00,5.00,7.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3216470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3216489,8.00,9.00,7.00,9.00,8.00,6.25,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3216497,7.00,5.00,3.00,8.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3216500,6.00,5.00,3.00,9.00,2.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3216519,4.00,6.00,4.00,3.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3216527,8.00,8.00,3.00,7.00,6.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3216535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3216543,3.00,2.00,3.00,4.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3216551,5.00,3.00,4.00,6.00,4.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3216560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3216578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3216586,5.00,6.00,1.00,9.00,6.00,4.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3216594,9.00,7.00,8.00,8.00,7.00,6.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3216608,2.00,5.00,4.00,9.00,4.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3216616,3.00,6.00,4.00,9.00,7.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3216624,2.00,5.00,2.00,5.00,4.00,5.25,1.00,9.00,5.00,NULL,NULL,NULL,'S'),(16,3216632,8.00,8.00,6.00,8.00,8.00,6.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3216640,8.00,6.00,7.00,8.00,8.00,7.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3216659,2.00,2.00,1.00,0.00,3.00,NULL,5.00,3.00,1.00,NULL,NULL,NULL,'S'),(16,3216667,2.00,2.00,2.00,2.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3216675,4.00,7.00,4.00,9.00,6.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'S'),(16,3216683,4.00,4.00,4.00,6.00,6.00,4.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3216691,7.00,7.00,6.00,7.00,5.00,5.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3216705,3.00,4.00,2.00,7.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3216713,8.00,7.00,6.00,9.00,6.00,6.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3216721,5.00,5.00,2.00,5.00,6.00,6.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3216730,6.00,5.00,6.00,8.00,6.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3216756,6.00,4.00,2.00,4.00,5.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3216764,6.00,7.00,6.00,8.00,8.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3216780,3.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3216799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3216802,3.00,0.00,2.00,7.00,3.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3216810,4.00,5.00,6.00,8.00,6.00,5.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3216837,2.00,1.00,1.00,5.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3216845,5.00,2.00,1.00,5.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3216853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3216870,4.00,5.00,2.00,9.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3216888,7.00,7.00,5.00,4.00,6.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3216896,5.00,4.00,3.00,5.00,5.00,5.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3216900,1.00,4.00,2.00,4.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3216918,5.00,5.00,4.00,4.00,4.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3216926,2.00,4.00,3.00,5.00,3.00,NULL,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3216934,3.00,6.00,1.00,7.00,4.00,6.75,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3216942,4.00,7.00,2.00,8.00,6.00,7.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3216950,4.00,3.00,5.00,6.00,6.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3216977,7.00,8.00,9.00,7.00,6.00,6.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3216985,5.00,3.00,1.00,3.00,7.00,4.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3216993,6.00,5.00,4.00,6.00,6.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3217000,3.00,4.00,2.00,4.00,4.00,4.50,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3217019,8.00,7.00,5.00,6.00,7.00,4.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3217027,3.00,2.00,2.00,5.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3217035,2.00,1.00,1.00,5.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3217043,4.00,4.00,3.00,5.00,3.00,NULL,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3217051,5.00,6.00,7.00,7.00,4.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3217078,5.00,3.00,4.00,6.00,5.00,3.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3217086,4.00,6.00,4.00,9.00,7.00,5.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3217094,6.00,4.00,5.00,6.00,7.00,6.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3217116,5.00,6.00,2.00,8.00,6.00,6.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3217124,4.00,8.00,3.00,8.00,6.00,5.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3217132,6.00,6.00,1.00,6.00,7.00,4.50,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3217159,4.00,6.00,5.00,8.00,6.00,7.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3217167,6.00,8.00,7.00,9.00,9.00,7.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3217175,7.00,4.00,5.00,6.00,7.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3217213,6.00,6.00,1.00,5.00,5.00,5.50,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3217230,7.00,4.00,4.00,4.00,4.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3217248,5.00,2.00,3.00,8.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3217272,2.00,3.00,1.00,3.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3217280,5.00,8.00,2.00,3.00,5.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3217299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3217302,4.00,2.00,2.00,2.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3217329,5.00,6.00,4.00,5.00,3.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3217337,5.00,6.00,5.00,9.00,6.00,6.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3217361,6.00,8.00,5.00,8.00,5.00,5.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3217370,6.00,6.00,9.00,8.00,5.00,5.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3217388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3217396,4.00,5.00,4.00,7.00,3.00,NULL,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3217400,5.00,5.00,4.00,6.00,6.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3217418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3217426,4.00,5.00,1.00,0.00,5.00,NULL,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3217434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3217442,5.00,7.00,4.00,9.00,6.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3217450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3217469,5.00,6.00,6.00,8.00,7.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3217477,4.00,2.00,4.00,2.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3217485,7.00,7.00,5.00,6.00,7.00,6.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3217493,6.00,7.00,7.00,8.00,7.00,7.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3217507,2.00,3.00,5.00,5.00,3.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3217515,3.00,3.00,2.00,4.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3217531,3.00,4.00,3.00,0.00,2.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3217540,4.00,5.00,2.00,3.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3217558,6.00,5.00,3.00,7.00,5.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3217566,5.00,5.00,4.00,5.00,6.00,5.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3217574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3217582,2.00,1.00,2.00,4.00,5.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3217590,5.00,5.00,2.00,1.00,5.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3217612,4.00,3.00,1.00,3.00,1.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3217647,4.00,3.00,1.00,6.00,5.00,4.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3217655,5.00,3.00,3.00,3.00,6.00,5.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3217663,2.00,1.00,1.00,4.00,3.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3217671,4.00,6.00,4.00,5.00,5.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3217680,4.00,6.00,6.00,8.00,6.00,5.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3217698,4.00,6.00,3.00,7.00,4.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3217736,2.00,2.00,2.00,5.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3217744,1.00,5.00,2.00,3.00,3.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3217752,3.00,5.00,1.00,6.00,4.00,5.50,0.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3217779,2.00,0.00,1.00,6.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3217787,6.00,5.00,9.00,8.00,5.00,5.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3217809,1.00,6.00,5.00,8.00,4.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3217817,4.00,1.00,1.00,8.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3217825,2.00,5.00,3.00,5.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3217833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3217841,5.00,6.00,3.00,8.00,7.00,8.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3217868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3217876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3217892,4.00,5.00,2.00,5.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3217906,4.00,4.00,3.00,5.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3217914,7.00,7.00,6.00,8.00,8.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3217922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3217949,9.00,8.00,7.00,8.00,6.00,4.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3217957,5.00,4.00,5.00,4.00,4.00,6.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3217965,6.00,7.00,6.00,8.00,8.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3217973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3217981,3.00,4.00,2.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3217990,8.00,8.00,4.00,5.00,6.00,5.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3218007,2.00,4.00,4.00,2.00,3.00,NULL,4.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3218015,7.00,8.00,6.00,9.00,7.00,5.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3218031,1.00,3.00,2.00,2.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3218040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3218058,4.00,3.00,3.00,5.00,5.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3218074,7.00,6.00,5.00,6.00,5.00,4.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3218082,5.00,5.00,3.00,4.00,6.00,7.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3218090,2.00,1.00,1.00,1.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3218104,1.00,3.00,1.00,7.00,7.00,5.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3218112,6.00,5.00,6.00,4.00,5.00,5.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3218120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3218139,3.00,6.00,1.00,7.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3218155,3.00,1.00,2.00,3.00,1.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3218171,9.00,7.00,9.00,6.00,8.00,6.25,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3218180,4.00,2.00,4.00,5.00,5.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3218198,4.00,0.00,4.00,5.00,4.00,5.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3218201,6.00,8.00,6.00,6.00,5.00,7.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3218210,3.00,4.00,3.00,4.00,4.00,2.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3218228,5.00,4.00,1.00,5.00,2.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3218236,4.00,1.00,3.00,0.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3218279,6.00,5.00,3.00,7.00,7.00,5.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3218287,4.00,4.00,1.00,2.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'S'),(16,3218309,2.00,4.00,3.00,7.00,6.00,4.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3218325,3.00,3.00,3.00,2.00,3.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3218333,4.00,8.00,3.00,5.00,5.00,4.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3218341,4.00,1.00,1.00,2.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3218376,4.00,5.00,1.00,2.00,6.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3218384,6.00,5.00,4.00,8.00,4.00,5.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3218406,4.00,4.00,3.00,1.00,1.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3218414,3.00,7.00,2.00,5.00,3.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3218422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3218430,2.00,5.00,6.00,5.00,4.00,5.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3218449,6.00,7.00,6.00,6.00,6.00,4.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3218457,3.00,2.00,3.00,4.00,1.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3218465,3.00,4.00,1.00,5.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3218481,1.00,4.00,3.00,4.00,4.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3218503,7.00,5.00,7.00,9.00,5.00,7.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3218511,7.00,7.00,9.00,9.00,7.00,8.00,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3218520,8.00,7.00,4.00,6.00,5.00,6.50,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3218538,7.00,7.00,5.00,8.00,7.00,5.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3218546,2.00,1.00,1.00,4.00,3.00,NULL,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3218554,2.00,6.00,2.00,7.00,4.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3218562,4.00,5.00,2.00,3.00,3.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3218570,6.00,7.00,3.00,9.00,7.00,5.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3218589,5.00,6.00,4.00,6.00,6.00,5.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3218600,7.00,5.00,7.00,8.00,7.00,5.50,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3218619,4.00,3.00,8.00,4.00,2.00,NULL,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3218627,5.00,5.00,2.00,7.00,7.00,6.50,5.00,8.00,3.00,NULL,NULL,NULL,'S'),(16,3218635,4.00,6.00,4.00,5.00,4.00,4.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3218643,5.00,7.00,5.00,7.00,6.00,6.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3218651,9.00,8.00,9.00,7.00,6.00,6.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3218660,2.00,5.00,2.00,6.00,4.00,3.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3218678,5.00,7.00,1.00,7.00,5.00,6.25,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3218686,3.00,4.00,3.00,6.00,2.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'S'),(16,3218708,5.00,3.00,4.00,7.00,5.00,4.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3218716,4.00,0.00,2.00,2.00,1.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3218724,4.00,4.00,4.00,9.00,7.00,6.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3218732,7.00,9.00,6.00,4.00,5.00,5.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3218740,4.00,9.00,2.00,3.00,3.00,NULL,1.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3218759,2.00,1.00,1.00,3.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3218767,6.00,6.00,4.00,9.00,8.00,6.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3218775,6.00,6.00,5.00,6.00,5.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3218783,6.00,4.00,3.00,4.00,4.00,6.00,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3218791,1.00,4.00,3.00,6.00,4.00,5.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3218805,8.00,4.00,5.00,9.00,5.00,5.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3218821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3218830,6.00,7.00,6.00,9.00,7.00,6.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3218848,0.00,5.00,5.00,7.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3218856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3218864,4.00,6.00,1.00,7.00,4.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3218880,4.00,5.00,2.00,5.00,5.00,4.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3218899,3.00,3.00,3.00,4.00,4.00,4.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3218902,7.00,6.00,5.00,8.00,6.00,6.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3218937,6.00,6.00,7.00,8.00,7.00,7.50,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3218945,6.00,5.00,2.00,4.00,4.00,5.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3218953,4.00,6.00,3.00,5.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3218970,3.00,2.00,2.00,1.00,7.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3218988,5.00,3.00,3.00,6.00,4.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3218996,9.00,9.00,7.00,8.00,8.00,6.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3219003,2.00,2.00,1.00,2.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3219011,1.00,3.00,2.00,0.00,0.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3219020,7.00,5.00,3.00,6.00,5.00,6.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3219038,8.00,6.00,8.00,7.00,6.00,6.00,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3219046,4.00,6.00,3.00,8.00,5.00,6.00,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3219054,5.00,6.00,4.00,8.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3219062,3.00,0.00,1.00,2.00,1.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3219070,2.00,5.00,1.00,3.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3219089,3.00,5.00,3.00,2.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3219097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3219100,2.00,4.00,4.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3219127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3219135,3.00,5.00,3.00,3.00,3.00,NULL,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3219143,4.00,6.00,3.00,6.00,4.00,4.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3219151,7.00,6.00,3.00,8.00,6.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3219160,4.00,3.00,4.00,6.00,4.00,5.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3219178,4.00,4.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3219186,5.00,4.00,2.00,7.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3219194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3219208,3.00,6.00,3.00,5.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3219216,8.00,8.00,6.00,8.00,8.00,6.50,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3219224,1.00,2.00,2.00,2.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3219232,6.00,3.00,6.00,8.00,6.00,6.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3219259,2.00,1.00,2.00,1.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3219267,9.00,8.00,4.00,8.00,5.00,5.00,2.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3219275,1.00,0.00,1.00,3.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3219283,2.00,3.00,4.00,7.00,5.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3219291,2.00,2.00,2.00,1.00,0.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3219305,3.00,5.00,4.00,7.00,5.00,5.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3219313,8.00,6.00,4.00,6.00,7.00,5.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3219321,3.00,5.00,1.00,6.00,5.00,4.00,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3219330,6.00,6.00,7.00,3.00,5.00,5.25,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3219348,3.00,4.00,2.00,2.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3219356,6.00,2.00,2.00,6.00,4.00,4.00,2.00,2.00,5.00,NULL,NULL,NULL,'S'),(16,3219364,3.00,3.00,2.00,7.00,6.00,6.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3219372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3219380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3219399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3219402,4.00,5.00,4.00,9.00,6.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3219410,3.00,2.00,2.00,3.00,4.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3219429,9.00,8.00,7.00,8.00,8.00,5.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3219437,4.00,6.00,5.00,6.00,5.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3219445,4.00,3.00,3.00,5.00,5.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3219453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3219461,7.00,8.00,1.00,6.00,6.00,6.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3219470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3219488,2.00,6.00,2.00,5.00,5.00,5.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3219496,6.00,8.00,5.00,5.00,5.00,6.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3219500,3.00,2.00,3.00,4.00,4.00,3.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3219518,3.00,6.00,7.00,5.00,8.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3219526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3219534,2.00,5.00,1.00,4.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3219542,4.00,4.00,1.00,5.00,5.00,6.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3219550,1.00,2.00,4.00,6.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3219585,3.00,3.00,2.00,4.00,4.00,5.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3219593,5.00,7.00,4.00,9.00,7.00,5.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3219607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3219615,3.00,1.00,1.00,4.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3219623,4.00,4.00,4.00,7.00,5.00,6.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3219631,8.00,8.00,7.00,8.00,7.00,5.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3219658,2.00,4.00,1.00,2.00,4.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3219674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3219682,2.00,1.00,4.00,5.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3219690,4.00,4.00,7.00,5.00,6.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3219704,8.00,4.00,1.00,6.00,5.00,6.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3219712,4.00,7.00,5.00,9.00,8.00,5.25,2.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3219720,5.00,7.00,4.00,5.00,5.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3219739,3.00,3.00,1.00,5.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3219747,3.00,1.00,3.00,2.00,3.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3219755,1.00,2.00,2.00,5.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3219771,5.00,5.00,4.00,4.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3219780,2.00,2.00,3.00,4.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3219801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3219810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3219828,1.00,4.00,1.00,7.00,7.00,7.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3219836,3.00,2.00,3.00,1.00,3.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3219844,5.00,5.00,4.00,7.00,4.00,4.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3219852,5.00,5.00,5.00,6.00,7.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3219860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3219879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3219887,7.00,6.00,5.00,8.00,7.00,7.00,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3219895,7.00,5.00,5.00,7.00,4.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3219925,5.00,4.00,3.00,3.00,4.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3219933,3.00,2.00,3.00,1.00,2.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3219941,2.00,2.00,2.00,7.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3219950,3.00,2.00,4.00,5.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3219968,4.00,3.00,5.00,3.00,6.00,5.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3219984,5.00,7.00,4.00,6.00,4.00,4.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3219992,3.00,4.00,1.00,6.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3220001,6.00,6.00,2.00,8.00,7.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3220010,2.00,4.00,3.00,1.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3220028,4.00,5.00,4.00,9.00,3.00,NULL,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3220044,3.00,4.00,1.00,4.00,4.00,6.75,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3220052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3220060,8.00,8.00,5.00,8.00,7.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3220079,9.00,8.00,7.00,9.00,8.00,6.50,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3220087,7.00,6.00,4.00,6.00,5.00,4.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3220095,9.00,9.00,7.00,8.00,8.00,7.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3220109,2.00,2.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3220117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3220125,4.00,3.00,2.00,5.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3220133,4.00,3.00,2.00,6.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3220141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3220150,4.00,2.00,2.00,2.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3220168,5.00,2.00,2.00,1.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3220176,5.00,3.00,3.00,1.00,6.00,4.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3220192,4.00,3.00,3.00,7.00,1.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3220206,6.00,5.00,6.00,7.00,4.00,4.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3220214,2.00,1.00,1.00,5.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3220222,2.00,5.00,2.00,2.00,4.00,4.50,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3220230,3.00,5.00,1.00,7.00,5.00,6.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3220249,1.00,3.00,1.00,2.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3220257,4.00,6.00,4.00,6.00,4.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3220273,7.00,7.00,4.00,8.00,5.00,5.50,5.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3220290,2.00,2.00,2.00,4.00,4.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3220303,6.00,6.00,4.00,5.00,2.00,NULL,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3220311,4.00,1.00,2.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3220320,5.00,9.00,4.00,7.00,6.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3220338,4.00,5.00,3.00,6.00,6.00,6.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3220346,5.00,4.00,2.00,7.00,6.00,4.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3220362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3220370,4.00,2.00,1.00,1.00,2.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'S'),(16,3220389,4.00,6.00,7.00,9.00,6.00,4.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3220397,1.00,4.00,1.00,0.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3220400,3.00,2.00,1.00,5.00,4.00,6.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3220419,5.00,5.00,5.00,4.00,4.00,4.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3220427,5.00,1.00,1.00,6.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3220435,3.00,1.00,1.00,2.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3220443,8.00,6.00,6.00,7.00,8.00,4.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3220451,6.00,4.00,3.00,1.00,4.00,4.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3220460,2.00,3.00,1.00,4.00,4.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3220478,8.00,4.00,6.00,6.00,2.00,NULL,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3220486,3.00,4.00,5.00,2.00,1.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3220494,7.00,6.00,6.00,7.00,7.00,4.50,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3220508,6.00,6.00,6.00,5.00,3.00,NULL,0.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3220516,3.00,7.00,3.00,6.00,4.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3220524,7.00,7.00,6.00,6.00,7.00,6.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3220532,7.00,8.00,5.00,9.00,8.00,5.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3220559,2.00,1.00,4.00,3.00,0.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3220575,4.00,7.00,3.00,8.00,7.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3220583,3.00,4.00,2.00,9.00,6.00,4.75,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3220591,4.00,3.00,4.00,0.00,4.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3220621,6.00,3.00,2.00,4.00,6.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3220648,5.00,6.00,1.00,6.00,6.00,3.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3220664,2.00,3.00,2.00,2.00,4.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3220672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3220680,5.00,6.00,6.00,7.00,6.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3220699,6.00,6.00,4.00,7.00,4.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3220702,8.00,6.00,8.00,8.00,6.00,7.75,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3220710,2.00,1.00,4.00,1.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3220729,3.00,1.00,3.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3220737,2.00,2.00,1.00,6.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3220745,7.00,3.00,2.00,4.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3220753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3220761,5.00,7.00,1.00,8.00,9.00,7.75,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3220770,4.00,0.00,1.00,4.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3220788,3.00,4.00,1.00,1.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3220800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3220818,3.00,5.00,3.00,6.00,6.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3220826,3.00,5.00,3.00,5.00,4.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3220834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3220842,6.00,7.00,2.00,7.00,7.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3220850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3220869,6.00,7.00,3.00,7.00,5.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3220877,7.00,3.00,3.00,5.00,6.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3220885,5.00,3.00,3.00,0.00,0.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3220893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3220907,0.00,1.00,2.00,2.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3220915,7.00,7.00,5.00,8.00,6.00,6.75,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3220923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3220940,8.00,7.00,6.00,7.00,6.00,7.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3220958,5.00,6.00,3.00,5.00,4.00,4.25,1.00,9.00,2.00,NULL,NULL,NULL,'S'),(16,3220974,4.00,6.00,3.00,5.00,5.00,5.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3220982,7.00,6.00,1.00,2.00,4.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3221008,9.00,6.00,4.00,8.00,7.00,6.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3221016,4.00,5.00,4.00,7.00,5.00,4.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3221032,2.00,4.00,2.00,3.00,6.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3221040,6.00,5.00,5.00,8.00,5.00,6.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3221083,2.00,3.00,1.00,6.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3221091,5.00,3.00,4.00,7.00,5.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3221105,7.00,7.00,3.00,7.00,4.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3221113,2.00,4.00,1.00,1.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(16,3221121,2.00,4.00,2.00,3.00,0.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3221130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3221148,5.00,7.00,5.00,9.00,4.00,5.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3221156,6.00,4.00,5.00,9.00,5.00,5.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3221164,5.00,5.00,6.00,6.00,6.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3221172,6.00,6.00,6.00,9.00,9.00,6.75,1.00,8.00,5.00,NULL,NULL,NULL,'S'),(16,3221180,2.00,5.00,5.00,3.00,4.00,5.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3221199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3221202,4.00,8.00,5.00,6.00,8.00,4.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3221210,4.00,5.00,3.00,4.00,4.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3221229,4.00,4.00,4.00,5.00,5.00,6.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3221237,2.00,5.00,5.00,5.00,4.00,4.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3221245,6.00,7.00,5.00,7.00,6.00,5.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3221253,5.00,7.00,3.00,7.00,6.00,5.25,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3221270,5.00,5.00,4.00,6.00,6.00,4.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3221288,5.00,4.00,5.00,6.00,5.00,4.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3221296,6.00,7.00,5.00,8.00,7.00,7.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3221300,4.00,6.00,2.00,2.00,7.00,5.25,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3221318,7.00,6.00,5.00,7.00,7.00,6.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3221326,6.00,4.00,2.00,4.00,4.00,7.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3221342,5.00,4.00,4.00,5.00,3.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3221350,2.00,4.00,2.00,5.00,4.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3221369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3221377,1.00,4.00,2.00,1.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3221385,3.00,4.00,5.00,7.00,5.00,5.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3221393,3.00,5.00,2.00,6.00,4.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3221407,5.00,5.00,3.00,7.00,7.00,5.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3221415,4.00,3.00,3.00,4.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3221423,4.00,4.00,2.00,1.00,5.00,5.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3221458,3.00,2.00,3.00,4.00,4.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3221466,3.00,4.00,2.00,7.00,5.00,5.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3221474,4.00,3.00,4.00,1.00,5.00,4.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3221482,3.00,6.00,1.00,5.00,5.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3221504,6.00,5.00,2.00,8.00,6.00,4.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3221512,5.00,6.00,9.00,8.00,7.00,4.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3221520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3221539,4.00,3.00,4.00,5.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3221547,1.00,5.00,2.00,8.00,5.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3221555,5.00,3.00,3.00,7.00,7.00,4.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3221563,4.00,4.00,2.00,7.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3221580,7.00,6.00,6.00,6.00,5.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3221598,5.00,2.00,2.00,4.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3221601,3.00,5.00,7.00,2.00,5.00,4.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3221610,8.00,5.00,5.00,8.00,5.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3221628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3221636,6.00,5.00,4.00,8.00,5.00,6.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3221644,2.00,4.00,1.00,6.00,6.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3221652,3.00,3.00,2.00,5.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3221679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3221687,3.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3221695,3.00,1.00,1.00,4.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3221709,4.00,4.00,5.00,5.00,5.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3221717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3221725,7.00,5.00,3.00,8.00,5.00,5.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3221733,2.00,3.00,2.00,4.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3221741,8.00,8.00,5.00,9.00,9.00,5.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3221750,3.00,5.00,3.00,4.00,4.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3221776,3.00,2.00,3.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3221784,5.00,5.00,1.00,6.00,6.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3221792,5.00,6.00,3.00,2.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3221806,6.00,5.00,9.00,4.00,6.00,5.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3221814,2.00,0.00,4.00,4.00,6.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3221822,2.00,7.00,4.00,9.00,5.00,5.75,1.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3221830,3.00,3.00,3.00,2.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3221857,9.00,6.00,6.00,9.00,8.00,5.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3221865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3221873,4.00,7.00,4.00,8.00,4.00,6.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3221881,4.00,7.00,7.00,5.00,7.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3221903,7.00,4.00,3.00,9.00,5.00,7.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3221911,5.00,2.00,4.00,7.00,5.00,4.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3221920,6.00,6.00,5.00,0.00,5.00,5.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3221938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3221946,4.00,3.00,1.00,2.00,3.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3221954,6.00,9.00,5.00,9.00,6.00,6.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3221970,4.00,4.00,3.00,7.00,4.00,6.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3221989,3.00,1.00,2.00,2.00,5.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3221997,1.00,1.00,2.00,0.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3222012,6.00,5.00,7.00,7.00,6.00,6.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3222020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3222039,4.00,5.00,4.00,5.00,7.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3222047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3222055,7.00,6.00,6.00,6.00,5.00,5.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3222063,6.00,5.00,5.00,8.00,5.00,5.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3222071,4.00,4.00,4.00,5.00,5.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3222080,2.00,3.00,3.00,6.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3222101,8.00,5.00,7.00,6.00,7.00,7.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3222110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3222128,3.00,3.00,1.00,2.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3222144,2.00,2.00,5.00,3.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3222152,0.00,0.00,0.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3222160,6.00,2.00,2.00,7.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3222179,2.00,4.00,6.00,2.00,5.00,6.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3222195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3222209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3222217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3222225,7.00,4.00,3.00,6.00,7.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3222233,9.00,9.00,6.00,9.00,9.00,7.00,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3222241,4.00,9.00,3.00,9.00,9.00,6.75,6.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3222268,2.00,4.00,1.00,4.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3222276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3222292,6.00,5.00,6.00,4.00,4.00,5.75,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3222306,3.00,4.00,2.00,4.00,5.00,5.25,3.00,7.00,1.00,NULL,NULL,NULL,'S'),(16,3222314,3.00,1.00,3.00,2.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3222322,7.00,6.00,4.00,9.00,6.00,5.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3222330,4.00,5.00,3.00,5.00,1.00,NULL,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3222349,7.00,3.00,4.00,6.00,6.00,4.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3222357,3.00,5.00,2.00,5.00,5.00,6.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3222373,9.00,9.00,9.00,7.00,8.00,7.00,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3222381,2.00,5.00,2.00,5.00,3.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3222390,3.00,5.00,2.00,2.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3222403,4.00,6.00,7.00,8.00,8.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3222411,8.00,7.00,9.00,9.00,8.00,6.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3222420,9.00,4.00,5.00,9.00,7.00,4.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3222438,2.00,4.00,1.00,5.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3222446,3.00,4.00,2.00,5.00,5.00,3.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3222454,6.00,4.00,1.00,4.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3222462,3.00,8.00,4.00,4.00,6.00,6.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3222470,8.00,7.00,5.00,8.00,7.00,6.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3222489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3222497,6.00,6.00,4.00,8.00,7.00,6.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3222500,2.00,4.00,4.00,5.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3222519,2.00,3.00,4.00,6.00,3.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3222535,6.00,5.00,3.00,4.00,5.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3222551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3222560,7.00,4.00,6.00,6.00,7.00,7.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3222586,6.00,7.00,5.00,8.00,7.00,6.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3222594,6.00,8.00,4.00,8.00,7.00,5.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3222608,5.00,4.00,3.00,4.00,4.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3222616,3.00,0.00,2.00,3.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3222624,2.00,5.00,3.00,7.00,5.00,5.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3222632,2.00,2.00,3.00,7.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3222640,5.00,5.00,6.00,8.00,6.00,5.50,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3222659,5.00,4.00,2.00,8.00,4.00,7.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3222667,4.00,3.00,2.00,3.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3222683,2.00,1.00,2.00,6.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(16,3222691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3222705,6.00,3.00,2.00,6.00,4.00,5.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3222721,5.00,4.00,4.00,6.00,4.00,5.50,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3222730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3222756,5.00,8.00,6.00,6.00,6.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3222764,5.00,6.00,7.00,6.00,7.00,5.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3222772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3222780,5.00,3.00,1.00,5.00,4.00,7.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3222799,6.00,4.00,3.00,7.00,6.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3222802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3222829,4.00,2.00,4.00,8.00,4.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3222837,2.00,2.00,2.00,4.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3222845,7.00,6.00,7.00,9.00,6.00,6.00,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3222853,2.00,3.00,5.00,4.00,4.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3222861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3222870,7.00,6.00,3.00,7.00,5.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3222888,3.00,3.00,4.00,4.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3222896,3.00,5.00,2.00,2.00,4.00,5.75,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3222900,4.00,5.00,4.00,4.00,5.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3222918,5.00,1.00,3.00,2.00,7.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3222926,3.00,3.00,1.00,3.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3222934,3.00,5.00,3.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3222950,6.00,6.00,7.00,6.00,7.00,5.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3222977,6.00,5.00,1.00,7.00,4.00,4.50,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3222993,6.00,7.00,8.00,8.00,6.00,6.25,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3223000,4.00,3.00,3.00,3.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3223019,5.00,4.00,3.00,6.00,3.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3223027,3.00,3.00,2.00,7.00,4.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3223035,7.00,6.00,6.00,7.00,4.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3223043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3223051,7.00,7.00,3.00,7.00,7.00,6.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3223060,6.00,4.00,3.00,7.00,5.00,7.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3223078,10.00,8.00,8.00,8.00,6.00,5.75,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3223086,7.00,7.00,5.00,3.00,5.00,6.75,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3223094,4.00,6.00,6.00,7.00,6.00,5.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3223108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3223124,5.00,8.00,7.00,8.00,5.00,6.25,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3223140,5.00,3.00,5.00,6.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3223159,8.00,7.00,3.00,7.00,4.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3223175,4.00,4.00,3.00,4.00,6.00,5.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3223183,2.00,5.00,1.00,3.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3223205,7.00,7.00,3.00,6.00,4.00,4.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3223213,3.00,4.00,2.00,7.00,4.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3223221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3223230,5.00,5.00,2.00,9.00,4.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3223248,2.00,4.00,4.00,6.00,4.00,4.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3223256,4.00,5.00,3.00,5.00,5.00,5.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3223264,5.00,7.00,4.00,5.00,5.00,5.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3223299,6.00,3.00,2.00,3.00,4.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3223310,5.00,8.00,2.00,8.00,7.00,5.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3223329,8.00,4.00,4.00,6.00,4.00,5.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3223337,5.00,6.00,4.00,3.00,4.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3223345,4.00,5.00,1.00,8.00,6.00,4.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3223361,6.00,4.00,3.00,7.00,5.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3223370,2.00,2.00,2.00,1.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3223388,5.00,3.00,2.00,1.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3223396,4.00,4.00,5.00,3.00,5.00,5.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3223400,2.00,4.00,4.00,7.00,7.00,6.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3223418,5.00,5.00,3.00,6.00,4.00,6.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3223426,5.00,9.00,2.00,8.00,7.00,6.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3223434,4.00,6.00,3.00,6.00,4.00,4.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3223442,3.00,4.00,2.00,4.00,6.00,6.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3223450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3223477,1.00,0.00,2.00,4.00,0.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3223493,7.00,8.00,7.00,9.00,7.00,6.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3223507,6.00,7.00,4.00,6.00,6.00,7.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3223515,0.00,0.00,1.00,4.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3223523,4.00,3.00,2.00,5.00,2.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3223531,9.00,7.00,7.00,4.00,5.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3223540,5.00,6.00,4.00,8.00,5.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3223558,6.00,6.00,5.00,5.00,7.00,4.25,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3223566,2.00,0.00,3.00,1.00,0.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3223574,6.00,6.00,4.00,8.00,7.00,7.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3223582,4.00,5.00,3.00,5.00,4.00,4.75,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3223590,4.00,3.00,3.00,5.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3223604,7.00,6.00,2.00,7.00,4.00,5.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3223612,5.00,8.00,4.00,6.00,4.00,6.00,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3223620,4.00,3.00,1.00,5.00,7.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3223639,7.00,7.00,3.00,7.00,6.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3223647,3.00,4.00,2.00,1.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3223655,5.00,4.00,2.00,3.00,6.00,5.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3223663,4.00,5.00,2.00,5.00,4.00,4.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3223671,3.00,3.00,3.00,6.00,4.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3223698,3.00,6.00,2.00,7.00,5.00,4.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3223701,3.00,2.00,1.00,2.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3223728,8.00,5.00,9.00,8.00,5.00,5.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3223736,5.00,4.00,1.00,6.00,6.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3223744,2.00,3.00,1.00,4.00,3.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'S'),(16,3223779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3223787,7.00,7.00,5.00,9.00,8.00,6.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3223795,5.00,4.00,1.00,0.00,6.00,7.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3223809,5.00,6.00,5.00,6.00,6.00,6.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3223817,6.00,4.00,4.00,7.00,6.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3223825,7.00,8.00,2.00,8.00,7.00,6.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3223833,3.00,4.00,2.00,7.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3223841,3.00,4.00,2.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3223850,8.00,6.00,8.00,9.00,8.00,6.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3223868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3223876,5.00,5.00,6.00,8.00,6.00,5.00,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3223884,2.00,2.00,4.00,4.00,5.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3223892,4.00,4.00,4.00,9.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3223914,8.00,8.00,8.00,9.00,8.00,6.00,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3223922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3223930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3223949,4.00,4.00,3.00,7.00,4.00,6.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3223957,3.00,5.00,5.00,5.00,5.00,0.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3223965,6.00,4.00,3.00,7.00,4.00,5.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3223973,1.00,2.00,2.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3223981,5.00,8.00,5.00,9.00,7.00,6.75,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3223990,6.00,7.00,5.00,8.00,7.00,6.25,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3224007,3.00,4.00,5.00,6.00,4.00,7.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3224015,4.00,4.00,2.00,5.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'S'),(16,3224023,3.00,0.00,2.00,4.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3224031,5.00,5.00,4.00,8.00,4.00,6.50,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3224040,3.00,6.00,4.00,4.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3224058,3.00,4.00,3.00,2.00,3.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3224082,5.00,7.00,2.00,7.00,6.00,NULL,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3224112,7.00,7.00,5.00,6.00,7.00,6.25,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3224120,2.00,3.00,1.00,5.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3224139,3.00,4.00,1.00,2.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3224147,6.00,5.00,3.00,6.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3224155,3.00,5.00,4.00,7.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3224171,4.00,3.00,1.00,5.00,7.00,4.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3224198,3.00,6.00,5.00,8.00,3.00,NULL,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3224201,2.00,4.00,3.00,6.00,1.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3224210,8.00,8.00,5.00,9.00,7.00,5.75,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3224236,6.00,7.00,7.00,6.00,5.00,5.00,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3224244,8.00,7.00,7.00,7.00,6.00,5.75,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3224260,4.00,5.00,1.00,5.00,3.00,NULL,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3224279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3224287,8.00,6.00,4.00,8.00,6.00,6.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3224295,4.00,3.00,3.00,1.00,1.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3224317,5.00,4.00,2.00,6.00,5.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3224325,3.00,1.00,5.00,2.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3224333,4.00,2.00,4.00,2.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3224350,2.00,4.00,2.00,2.00,4.00,4.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3224368,3.00,3.00,3.00,2.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3224376,5.00,1.00,1.00,8.00,6.00,4.75,4.00,5.00,6.00,NULL,NULL,NULL,'S'),(16,3224384,8.00,7.00,7.00,8.00,6.00,6.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3224392,3.00,4.00,5.00,6.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3224406,8.00,6.00,3.00,7.00,8.00,6.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3224414,5.00,4.00,1.00,6.00,6.00,5.25,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3224422,5.00,5.00,3.00,7.00,6.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3224430,6.00,6.00,3.00,8.00,4.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3224465,5.00,6.00,2.00,7.00,6.00,4.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3224473,8.00,6.00,6.00,6.00,5.00,5.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3224481,7.00,8.00,7.00,9.00,8.00,7.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3224490,4.00,4.00,3.00,7.00,7.00,7.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3224503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3224511,6.00,5.00,9.00,7.00,5.00,6.25,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3224538,7.00,6.00,6.00,9.00,5.00,6.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3224546,2.00,1.00,1.00,5.00,3.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3224554,3.00,3.00,1.00,5.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3224562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3224570,6.00,4.00,2.00,4.00,4.00,5.25,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3224589,2.00,3.00,2.00,6.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3224597,5.00,6.00,4.00,5.00,6.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3224600,9.00,7.00,1.00,7.00,3.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3224627,2.00,4.00,4.00,6.00,5.00,6.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3224635,8.00,8.00,8.00,7.00,7.00,8.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3224643,2.00,2.00,3.00,4.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3224651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3224660,6.00,5.00,4.00,5.00,3.00,NULL,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3224678,5.00,8.00,6.00,6.00,6.00,6.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3224686,0.00,0.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3224694,2.00,4.00,1.00,4.00,3.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3224708,4.00,5.00,2.00,6.00,5.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3224724,4.00,4.00,2.00,6.00,4.00,5.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3224732,6.00,6.00,5.00,9.00,5.00,5.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3224740,1.00,3.00,3.00,4.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3224759,7.00,6.00,3.00,9.00,7.00,7.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3224767,2.00,7.00,3.00,1.00,2.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3224775,5.00,4.00,2.00,7.00,5.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3224783,5.00,4.00,6.00,5.00,4.00,4.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3224791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3224805,1.00,5.00,4.00,7.00,5.00,6.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3224813,5.00,4.00,2.00,2.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3224821,0.00,5.00,3.00,5.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3224830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3224848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3224856,3.00,2.00,2.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3224864,6.00,8.00,5.00,8.00,6.00,6.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3224872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3224880,6.00,5.00,6.00,7.00,6.00,6.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3224902,4.00,6.00,2.00,1.00,4.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3224910,7.00,7.00,4.00,7.00,7.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3224929,6.00,6.00,2.00,5.00,4.00,6.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3224945,1.00,0.00,3.00,3.00,2.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'S'),(16,3224953,6.00,5.00,3.00,0.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3224961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3224970,4.00,4.00,4.00,7.00,4.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3225003,3.00,2.00,8.00,6.00,4.00,5.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3225011,3.00,1.00,1.00,2.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3225020,3.00,5.00,3.00,4.00,0.00,NULL,1.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3225038,6.00,5.00,6.00,7.00,6.00,6.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3225046,5.00,6.00,10.00,7.00,8.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3225054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3225062,2.00,2.00,4.00,7.00,1.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3225089,4.00,4.00,3.00,6.00,6.00,5.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3225097,5.00,3.00,5.00,7.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'S'),(16,3225100,4.00,3.00,3.00,4.00,2.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3225119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3225127,2.00,4.00,1.00,3.00,5.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3225135,2.00,7.00,1.00,5.00,6.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3225143,4.00,5.00,1.00,9.00,2.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3225151,6.00,5.00,3.00,7.00,5.00,4.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3225160,6.00,6.00,5.00,6.00,6.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3225178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3225194,5.00,6.00,1.00,9.00,8.00,8.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3225216,4.00,4.00,2.00,6.00,4.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3225224,4.00,3.00,4.00,1.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3225240,4.00,1.00,3.00,5.00,4.00,4.75,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3225267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3225275,2.00,5.00,2.00,4.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3225283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3225291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3225305,1.00,0.00,3.00,4.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3225313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3225321,5.00,4.00,1.00,2.00,5.00,4.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3225330,5.00,4.00,3.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3225348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3225356,0.00,4.00,3.00,0.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3225364,3.00,4.00,4.00,5.00,5.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3225372,3.00,2.00,1.00,5.00,5.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3225380,4.00,4.00,4.00,6.00,5.00,4.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3225399,5.00,6.00,4.00,7.00,7.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3225402,6.00,1.00,2.00,2.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3225410,1.00,2.00,4.00,4.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3225453,3.00,2.00,1.00,6.00,4.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3225461,3.00,5.00,3.00,6.00,4.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3225470,9.00,8.00,5.00,7.00,4.00,5.00,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3225488,7.00,3.00,3.00,6.00,7.00,6.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3225496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3225500,2.00,4.00,3.00,7.00,5.00,4.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3225518,3.00,1.00,1.00,5.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3225526,4.00,4.00,3.00,5.00,5.00,6.50,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3225534,5.00,6.00,5.00,8.00,4.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3225542,4.00,4.00,1.00,5.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3225550,6.00,6.00,4.00,7.00,5.00,4.75,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3225569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3225577,4.00,4.00,3.00,6.00,5.00,5.50,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3225585,6.00,8.00,3.00,2.00,6.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3225593,6.00,3.00,3.00,9.00,5.00,4.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3225607,4.00,2.00,3.00,4.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3225615,6.00,7.00,4.00,9.00,5.00,7.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3225640,4.00,4.00,1.00,5.00,5.00,5.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3225658,6.00,5.00,4.00,7.00,6.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3225666,5.00,4.00,7.00,4.00,6.00,6.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3225674,2.00,2.00,1.00,8.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3225682,7.00,6.00,7.00,8.00,8.00,5.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3225690,1.00,4.00,2.00,2.00,0.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3225704,5.00,3.00,4.00,8.00,6.00,6.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3225712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3225747,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3225755,8.00,6.00,5.00,9.00,9.00,5.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3225763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3225780,9.00,9.00,9.00,6.00,7.00,7.00,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3225798,3.00,7.00,4.00,4.00,2.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3225801,5.00,6.00,4.00,7.00,6.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3225810,5.00,4.00,2.00,6.00,5.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3225844,7.00,7.00,3.00,4.00,6.00,6.75,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3225852,3.00,4.00,4.00,3.00,4.00,7.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3225860,7.00,6.00,7.00,9.00,6.00,3.00,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3225879,4.00,4.00,4.00,2.00,4.00,6.00,3.00,5.00,6.00,NULL,NULL,NULL,'S'),(16,3225887,7.00,7.00,9.00,9.00,7.00,6.25,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3225895,7.00,6.00,2.00,9.00,6.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3225917,6.00,7.00,5.00,8.00,7.00,4.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3225925,8.00,8.00,4.00,9.00,7.00,7.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3225941,3.00,5.00,3.00,5.00,4.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3225950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3225968,1.00,1.00,2.00,3.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3225976,2.00,8.00,2.00,6.00,9.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3225984,5.00,5.00,4.00,5.00,4.00,7.25,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3225992,5.00,4.00,4.00,4.00,4.00,7.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3226000,3.00,7.00,6.00,7.00,7.00,6.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3226026,3.00,4.00,4.00,8.00,5.00,5.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3226050,4.00,5.00,3.00,2.00,5.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3226077,4.00,4.00,4.00,6.00,5.00,6.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3226085,3.00,3.00,4.00,5.00,4.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3226093,5.00,5.00,5.00,5.00,4.00,5.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3226107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3226115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3226123,5.00,6.00,1.00,5.00,4.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3226131,7.00,5.00,5.00,6.00,8.00,6.50,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3226140,8.00,4.00,5.00,7.00,7.00,7.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3226158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3226166,4.00,3.00,2.00,6.00,4.00,5.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3226174,9.00,9.00,8.00,7.00,3.00,NULL,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3226182,2.00,2.00,1.00,2.00,3.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3226190,8.00,7.00,5.00,7.00,7.00,6.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3226204,6.00,3.00,3.00,5.00,5.00,6.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3226212,4.00,3.00,1.00,2.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3226239,6.00,6.00,7.00,7.00,7.00,7.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3226247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3226255,6.00,5.00,5.00,8.00,7.00,6.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3226263,7.00,5.00,5.00,8.00,4.00,5.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3226271,3.00,2.00,4.00,6.00,4.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3226298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3226301,6.00,5.00,4.00,9.00,6.00,6.25,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3226310,1.00,3.00,1.00,0.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3226328,3.00,7.00,4.00,6.00,2.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3226336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3226344,3.00,3.00,4.00,1.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3226352,4.00,1.00,1.00,1.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3226360,3.00,3.00,2.00,8.00,5.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3226387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3226395,3.00,1.00,1.00,6.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(16,3226409,3.00,6.00,4.00,7.00,6.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3226417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3226425,6.00,6.00,3.00,5.00,6.00,6.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3226433,1.00,0.00,1.00,1.00,1.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3226441,4.00,6.00,4.00,7.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3226450,7.00,5.00,8.00,7.00,6.00,6.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3226476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3226484,4.00,1.00,2.00,5.00,4.00,4.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3226506,3.00,4.00,4.00,5.00,3.00,NULL,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3226514,5.00,2.00,3.00,7.00,4.00,4.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3226522,5.00,3.00,5.00,4.00,4.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3226530,4.00,3.00,4.00,4.00,0.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3226549,3.00,1.00,2.00,6.00,5.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3226557,5.00,5.00,2.00,7.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3226565,4.00,0.00,3.00,7.00,4.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3226573,5.00,7.00,3.00,5.00,6.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3226581,9.00,9.00,5.00,6.00,7.00,6.25,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3226590,4.00,6.00,5.00,8.00,6.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3226603,9.00,5.00,4.00,5.00,6.00,6.75,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3226611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3226620,5.00,8.00,4.00,7.00,5.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3226638,7.00,3.00,3.00,5.00,5.00,5.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3226654,2.00,3.00,2.00,3.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3226662,3.00,1.00,2.00,1.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3226689,5.00,3.00,1.00,8.00,5.00,6.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3226697,6.00,8.00,7.00,9.00,6.00,6.25,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3226700,4.00,1.00,4.00,1.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3226719,3.00,5.00,2.00,3.00,4.00,4.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3226727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3226735,6.00,3.00,3.00,2.00,4.00,6.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3226743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3226751,4.00,3.00,5.00,5.00,4.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3226760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3226778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3226786,1.00,3.00,3.00,1.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3226794,6.00,5.00,3.00,7.00,5.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3226808,7.00,3.00,6.00,2.00,5.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3226816,2.00,5.00,3.00,8.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3226824,3.00,3.00,4.00,1.00,4.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3226832,3.00,4.00,4.00,7.00,5.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3226840,4.00,0.00,2.00,2.00,5.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3226859,3.00,4.00,3.00,6.00,6.00,5.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3226867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3226875,7.00,5.00,6.00,7.00,5.00,8.00,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3226891,4.00,5.00,4.00,5.00,6.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3226905,2.00,4.00,2.00,4.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3226913,5.00,4.00,2.00,7.00,7.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3226921,4.00,5.00,3.00,4.00,3.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3226930,2.00,4.00,3.00,6.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3226948,5.00,5.00,2.00,1.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3226964,6.00,5.00,3.00,6.00,6.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3226972,8.00,7.00,5.00,8.00,7.00,5.50,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3226980,3.00,7.00,3.00,7.00,5.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3226999,2.00,3.00,1.00,1.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3227006,7.00,7.00,8.00,8.00,7.00,9.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3227030,5.00,5.00,5.00,6.00,5.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3227049,2.00,3.00,2.00,2.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3227065,4.00,4.00,2.00,2.00,2.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3227073,3.00,2.00,1.00,3.00,5.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3227081,4.00,7.00,3.00,3.00,4.00,6.25,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3227090,6.00,8.00,6.00,8.00,8.00,5.25,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3227103,3.00,5.00,3.00,4.00,4.00,4.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3227111,6.00,5.00,5.00,8.00,6.00,7.75,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3227120,3.00,4.00,3.00,8.00,4.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3227138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3227146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3227154,3.00,4.00,3.00,2.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(16,3227162,3.00,3.00,2.00,0.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3227189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3227197,3.00,4.00,5.00,6.00,6.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3227200,8.00,4.00,3.00,7.00,6.00,6.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3227219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3227227,3.00,2.00,3.00,1.00,4.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3227235,6.00,5.00,2.00,6.00,5.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3227243,6.00,4.00,6.00,7.00,6.00,6.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3227251,3.00,5.00,2.00,7.00,6.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3227260,2.00,6.00,2.00,7.00,3.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3227278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3227286,3.00,5.00,2.00,7.00,5.00,4.25,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3227294,4.00,4.00,4.00,6.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3227308,5.00,5.00,6.00,7.00,5.00,6.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3227316,6.00,5.00,1.00,8.00,3.00,NULL,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3227324,4.00,5.00,1.00,4.00,3.00,NULL,4.00,5.00,1.00,NULL,NULL,NULL,'S'),(16,3227359,2.00,4.00,2.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3227367,5.00,7.00,5.00,9.00,7.00,6.50,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3227375,4.00,5.00,2.00,5.00,4.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3227383,4.00,4.00,4.00,5.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3227391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3227405,7.00,7.00,6.00,7.00,7.00,6.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3227413,4.00,4.00,6.00,2.00,4.00,6.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3227421,4.00,6.00,5.00,6.00,6.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3227430,4.00,5.00,1.00,1.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3227448,4.00,5.00,5.00,8.00,4.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3227456,2.00,4.00,1.00,5.00,4.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3227480,8.00,8.00,6.00,7.00,7.00,7.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3227499,3.00,3.00,2.00,1.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3227502,3.00,6.00,1.00,2.00,4.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3227510,1.00,2.00,2.00,6.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3227529,3.00,3.00,1.00,4.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3227537,8.00,8.00,6.00,9.00,7.00,6.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3227545,8.00,6.00,6.00,10.00,9.00,6.75,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3227553,2.00,2.00,3.00,4.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3227570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3227588,4.00,4.00,3.00,8.00,6.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3227596,9.00,6.00,7.00,9.00,7.00,5.00,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3227626,3.00,2.00,2.00,5.00,4.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3227642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3227650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3227669,5.00,8.00,2.00,8.00,7.00,6.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3227677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3227685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3227693,2.00,1.00,4.00,2.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3227715,4.00,5.00,5.00,3.00,4.00,5.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3227723,5.00,6.00,6.00,7.00,5.00,5.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3227731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3227740,6.00,8.00,5.00,8.00,8.00,7.75,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3227758,2.00,3.00,3.00,7.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3227766,4.00,4.00,4.00,5.00,4.00,5.75,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3227790,3.00,5.00,3.00,5.00,6.00,5.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3227804,5.00,3.00,2.00,0.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3227812,3.00,3.00,4.00,4.00,4.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3227820,2.00,3.00,2.00,1.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3227839,7.00,7.00,6.00,9.00,7.00,6.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3227847,3.00,2.00,4.00,8.00,6.00,6.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3227863,5.00,3.00,4.00,2.00,5.00,5.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3227871,6.00,6.00,3.00,6.00,5.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3227880,6.00,6.00,5.00,5.00,4.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3227898,3.00,4.00,1.00,1.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3227901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3227928,6.00,1.00,2.00,4.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3227936,8.00,7.00,6.00,6.00,5.00,5.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3227944,2.00,3.00,3.00,2.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3227952,4.00,3.00,4.00,1.00,4.00,3.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3227960,1.00,3.00,2.00,5.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3227979,5.00,8.00,4.00,9.00,6.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3227995,4.00,7.00,3.00,2.00,6.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3228002,3.00,7.00,1.00,8.00,5.00,5.50,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3228010,5.00,7.00,5.00,8.00,6.00,4.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3228029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3228037,9.00,8.00,8.00,8.00,7.00,6.25,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3228045,3.00,4.00,2.00,7.00,4.00,4.75,2.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3228070,3.00,3.00,3.00,2.00,6.00,6.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3228088,4.00,6.00,2.00,8.00,6.00,4.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3228096,5.00,7.00,2.00,4.00,5.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3228100,4.00,6.00,1.00,1.00,4.00,4.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3228118,2.00,5.00,2.00,6.00,4.00,4.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3228126,6.00,7.00,5.00,7.00,4.00,5.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3228142,1.00,2.00,2.00,7.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3228150,4.00,3.00,1.00,7.00,6.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3228169,4.00,5.00,3.00,8.00,7.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3228177,3.00,2.00,1.00,5.00,4.00,4.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3228185,4.00,4.00,2.00,2.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3228207,5.00,5.00,5.00,7.00,5.00,4.25,1.00,0.00,3.00,NULL,NULL,NULL,'S'),(16,3228215,5.00,7.00,3.00,6.00,5.00,6.25,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3228223,5.00,5.00,4.00,4.00,7.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3228231,5.00,1.00,1.00,3.00,5.00,7.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3228258,6.00,3.00,1.00,4.00,5.00,5.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3228266,5.00,2.00,2.00,2.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3228282,5.00,4.00,2.00,5.00,7.00,5.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3228290,4.00,3.00,2.00,6.00,5.00,5.25,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3228304,8.00,7.00,6.00,9.00,7.00,6.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3228320,3.00,1.00,3.00,5.00,0.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3228339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3228347,6.00,4.00,4.00,7.00,5.00,5.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3228355,5.00,6.00,3.00,7.00,5.00,4.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3228363,3.00,4.00,2.00,6.00,2.00,NULL,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3228371,4.00,1.00,3.00,3.00,4.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3228380,4.00,5.00,1.00,7.00,7.00,7.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3228401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3228410,3.00,3.00,2.00,5.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3228428,9.00,8.00,7.00,7.00,7.00,7.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3228436,5.00,7.00,7.00,8.00,5.00,5.25,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3228444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3228452,5.00,3.00,3.00,7.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3228460,3.00,4.00,3.00,8.00,4.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3228479,5.00,8.00,6.00,7.00,6.00,5.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3228487,8.00,8.00,5.00,7.00,6.00,6.50,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3228495,6.00,6.00,3.00,7.00,7.00,4.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3228509,7.00,5.00,5.00,4.00,5.00,6.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3228517,7.00,7.00,7.00,7.00,6.00,7.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3228525,2.00,4.00,2.00,3.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3228533,9.00,8.00,9.00,8.00,8.00,6.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3228541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3228550,8.00,8.00,3.00,8.00,6.00,5.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3228568,6.00,5.00,7.00,5.00,6.00,6.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3228584,6.00,5.00,6.00,2.00,5.00,6.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3228592,4.00,7.00,6.00,6.00,6.00,6.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3228606,3.00,0.00,3.00,5.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3228614,3.00,4.00,4.00,6.00,5.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3228622,3.00,4.00,2.00,1.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3228630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3228649,3.00,4.00,2.00,4.00,3.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3228657,6.00,3.00,4.00,7.00,5.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3228673,7.00,7.00,8.00,9.00,8.00,7.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3228681,4.00,7.00,3.00,8.00,8.00,5.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3228690,4.00,8.00,8.00,4.00,6.00,5.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3228703,5.00,6.00,5.00,6.00,4.00,4.50,4.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3228711,4.00,5.00,2.00,2.00,6.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3228720,9.00,6.00,5.00,7.00,6.00,6.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3228738,7.00,7.00,5.00,9.00,4.00,6.25,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3228746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3228754,7.00,8.00,4.00,9.00,8.00,7.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3228762,5.00,6.00,5.00,3.00,6.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3228770,2.00,4.00,4.00,3.00,4.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3228789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3228797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3228800,6.00,7.00,1.00,6.00,7.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3228827,8.00,6.00,8.00,10.00,4.00,5.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3228835,4.00,6.00,4.00,7.00,2.00,NULL,1.00,7.00,2.00,NULL,NULL,NULL,'S'),(16,3228851,4.00,6.00,2.00,2.00,7.00,4.50,7.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3228860,6.00,6.00,7.00,8.00,7.00,6.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3228878,3.00,4.00,3.00,2.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3228894,3.00,4.00,3.00,6.00,6.00,5.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3228916,7.00,6.00,7.00,7.00,2.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3228924,3.00,3.00,4.00,4.00,3.00,NULL,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3228932,4.00,2.00,1.00,4.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3228940,0.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3228959,2.00,4.00,1.00,2.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3228975,4.00,4.00,2.00,8.00,6.00,4.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3228983,7.00,6.00,6.00,9.00,7.00,4.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3228991,4.00,7.00,4.00,4.00,4.00,5.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3229009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3229025,7.00,5.00,4.00,8.00,8.00,4.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3229033,6.00,4.00,3.00,7.00,5.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3229041,8.00,5.00,4.00,6.00,6.00,7.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3229050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3229068,4.00,3.00,3.00,4.00,6.00,6.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3229076,2.00,3.00,1.00,6.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3229084,3.00,2.00,2.00,5.00,3.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3229106,3.00,2.00,1.00,3.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3229114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3229130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3229149,9.00,7.00,7.00,7.00,8.00,6.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3229157,3.00,3.00,3.00,3.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3229165,4.00,5.00,1.00,6.00,7.00,5.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3229181,4.00,5.00,4.00,3.00,5.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3229190,7.00,5.00,5.00,3.00,5.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3229211,6.00,5.00,5.00,7.00,4.00,4.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3229220,7.00,2.00,2.00,5.00,7.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3229238,8.00,7.00,5.00,8.00,7.00,6.00,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3229246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3229254,4.00,4.00,3.00,5.00,6.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3229270,6.00,4.00,4.00,7.00,5.00,4.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3229289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3229297,4.00,6.00,4.00,8.00,5.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3229300,6.00,3.00,3.00,8.00,6.00,4.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3229319,5.00,6.00,3.00,2.00,4.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3229327,3.00,5.00,5.00,9.00,6.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3229335,4.00,2.00,1.00,4.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3229351,4.00,4.00,1.00,3.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3229360,5.00,8.00,6.00,8.00,6.00,8.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3229378,2.00,5.00,3.00,1.00,5.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3229386,4.00,3.00,2.00,5.00,2.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3229394,4.00,4.00,3.00,5.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3229408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3229416,3.00,2.00,1.00,8.00,4.00,6.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3229424,4.00,4.00,3.00,2.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3229440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3229467,4.00,5.00,4.00,2.00,4.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3229475,7.00,9.00,7.00,8.00,5.00,6.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3229483,5.00,6.00,2.00,7.00,2.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3229491,3.00,6.00,4.00,6.00,6.00,4.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3229505,5.00,3.00,2.00,3.00,5.00,4.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3229513,5.00,8.00,6.00,7.00,7.00,5.50,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3229521,2.00,5.00,4.00,7.00,5.00,6.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3229530,6.00,5.00,5.00,6.00,6.00,5.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3229548,4.00,5.00,3.00,7.00,5.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3229556,3.00,6.00,2.00,8.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3229564,5.00,6.00,3.00,9.00,5.00,6.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3229580,5.00,3.00,4.00,0.00,4.00,NULL,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3229599,3.00,5.00,2.00,6.00,5.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3229602,6.00,5.00,1.00,8.00,6.00,5.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3229610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3229629,4.00,4.00,2.00,5.00,5.00,6.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3229637,4.00,2.00,4.00,8.00,4.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3229645,7.00,7.00,8.00,8.00,7.00,6.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3229653,3.00,5.00,1.00,7.00,5.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3229661,3.00,2.00,4.00,6.00,6.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3229670,4.00,5.00,2.00,7.00,5.00,6.75,4.00,4.00,1.00,NULL,NULL,NULL,'S'),(16,3229688,5.00,3.00,3.00,7.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3229696,1.00,5.00,4.00,6.00,5.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3229700,4.00,8.00,5.00,7.00,4.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3229718,8.00,6.00,2.00,9.00,6.00,6.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3229726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3229734,3.00,4.00,2.00,4.00,5.00,5.50,5.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3229742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3229750,6.00,7.00,1.00,4.00,4.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3229769,1.00,3.00,1.00,2.00,4.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3229777,1.00,4.00,3.00,6.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3229785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3229793,4.00,4.00,3.00,8.00,6.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3229807,2.00,4.00,2.00,5.00,6.00,7.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3229815,4.00,5.00,2.00,4.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3229823,5.00,4.00,5.00,5.00,6.00,7.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3229840,6.00,4.00,4.00,8.00,4.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3229866,4.00,6.00,3.00,5.00,4.00,4.50,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3229874,1.00,6.00,3.00,7.00,5.00,7.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3229882,7.00,5.00,5.00,9.00,7.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3229890,5.00,5.00,3.00,7.00,5.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3229904,7.00,5.00,6.00,7.00,6.00,5.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3229912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3229947,8.00,6.00,7.00,8.00,7.00,5.75,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3229955,3.00,2.00,2.00,4.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3229963,6.00,6.00,3.00,8.00,5.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3229971,7.00,9.00,6.00,8.00,9.00,5.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3229980,7.00,6.00,8.00,8.00,8.00,6.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3229998,3.00,3.00,3.00,6.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3230007,5.00,6.00,4.00,3.00,5.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3230015,5.00,4.00,3.00,6.00,7.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3230023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3230031,5.00,7.00,2.00,5.00,4.00,4.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3230074,6.00,6.00,5.00,5.00,6.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3230082,3.00,6.00,5.00,8.00,7.00,4.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3230090,4.00,5.00,2.00,6.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3230104,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3230112,7.00,8.00,8.00,7.00,6.00,5.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3230120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3230139,5.00,2.00,2.00,0.00,5.00,5.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3230147,3.00,5.00,2.00,7.00,2.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3230155,9.00,8.00,8.00,8.00,6.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3230163,4.00,2.00,7.00,8.00,6.00,5.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3230171,2.00,4.00,3.00,3.00,6.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3230180,6.00,7.00,3.00,6.00,4.00,7.25,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3230198,6.00,6.00,6.00,5.00,4.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3230201,9.00,9.00,7.00,7.00,7.00,7.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3230210,4.00,5.00,6.00,7.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3230228,6.00,6.00,5.00,8.00,5.00,5.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3230236,3.00,4.00,2.00,3.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(16,3230244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3230252,6.00,7.00,5.00,5.00,5.00,5.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3230260,2.00,3.00,1.00,1.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3230279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3230287,7.00,8.00,6.00,8.00,6.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3230309,1.00,3.00,2.00,2.00,4.00,4.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3230317,1.00,6.00,4.00,6.00,5.00,5.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3230333,6.00,7.00,3.00,5.00,6.00,6.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3230341,2.00,7.00,5.00,6.00,4.00,4.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3230350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3230368,8.00,9.00,8.00,9.00,8.00,7.75,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3230384,4.00,2.00,2.00,3.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3230392,0.00,0.00,0.00,9.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3230406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3230414,4.00,2.00,3.00,3.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3230422,7.00,5.00,7.00,8.00,6.00,7.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3230430,4.00,7.00,5.00,5.00,6.00,4.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3230449,3.00,3.00,1.00,8.00,6.00,5.00,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3230457,5.00,5.00,3.00,5.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3230465,5.00,5.00,3.00,6.00,8.00,7.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3230473,4.00,6.00,4.00,5.00,5.00,4.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3230481,6.00,8.00,5.00,8.00,5.00,6.00,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3230490,4.00,6.00,4.00,0.00,6.00,5.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3230511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3230520,5.00,5.00,4.00,6.00,4.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3230538,4.00,3.00,5.00,8.00,5.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3230546,5.00,3.00,2.00,5.00,3.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3230554,3.00,2.00,2.00,1.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3230562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3230570,4.00,7.00,3.00,8.00,6.00,6.00,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3230589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3230597,7.00,6.00,4.00,8.00,7.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3230619,7.00,6.00,3.00,7.00,6.00,7.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3230627,7.00,5.00,3.00,7.00,5.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3230635,2.00,3.00,4.00,6.00,4.00,3.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3230643,8.00,5.00,7.00,8.00,6.00,7.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3230660,5.00,5.00,4.00,6.00,4.00,5.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3230678,4.00,5.00,1.00,8.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3230686,6.00,8.00,8.00,8.00,5.00,7.50,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3230694,5.00,6.00,4.00,10.00,5.00,6.50,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3230708,3.00,3.00,2.00,4.00,0.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3230716,3.00,4.00,1.00,8.00,4.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3230724,6.00,6.00,6.00,8.00,7.00,6.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3230740,5.00,5.00,5.00,7.00,5.00,5.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3230759,4.00,2.00,1.00,6.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3230767,5.00,3.00,4.00,4.00,4.00,4.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3230775,9.00,8.00,6.00,7.00,8.00,6.50,3.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3230783,7.00,7.00,5.00,6.00,6.00,5.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3230791,4.00,3.00,3.00,6.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3230805,6.00,5.00,3.00,1.00,6.00,4.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3230813,2.00,2.00,2.00,7.00,5.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3230821,6.00,4.00,6.00,8.00,4.00,5.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3230830,4.00,6.00,2.00,6.00,3.00,NULL,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3230848,5.00,6.00,2.00,7.00,4.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3230856,2.00,5.00,1.00,7.00,4.00,3.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3230864,2.00,3.00,2.00,6.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3230872,5.00,3.00,2.00,6.00,4.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3230880,4.00,5.00,1.00,5.00,4.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3230899,6.00,6.00,7.00,7.00,7.00,5.50,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3230902,4.00,6.00,5.00,8.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3230910,6.00,8.00,4.00,8.00,8.00,5.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3230929,4.00,5.00,4.00,5.00,4.00,4.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3230937,1.00,2.00,2.00,2.00,1.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3230945,3.00,7.00,6.00,9.00,6.00,7.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3230953,3.00,5.00,4.00,4.00,5.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3230961,4.00,3.00,2.00,5.00,2.00,NULL,1.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3230970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3230996,5.00,6.00,6.00,8.00,7.00,6.00,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3231003,5.00,7.00,2.00,2.00,7.00,4.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3231020,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3231046,4.00,4.00,2.00,6.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3231054,8.00,8.00,9.00,7.00,8.00,6.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3231062,7.00,8.00,4.00,6.00,5.00,5.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3231070,5.00,5.00,6.00,7.00,6.00,6.50,3.00,7.00,6.00,NULL,NULL,NULL,'S'),(16,3231097,5.00,5.00,1.00,5.00,4.00,4.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3231100,9.00,9.00,7.00,4.00,8.00,5.75,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3231119,2.00,5.00,2.00,7.00,7.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3231127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3231135,4.00,2.00,2.00,3.00,4.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3231143,9.00,8.00,9.00,9.00,6.00,7.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3231151,2.00,2.00,5.00,8.00,4.00,5.75,2.00,5.00,6.00,NULL,NULL,NULL,'S'),(16,3231160,6.00,6.00,5.00,9.00,6.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3231178,8.00,5.00,4.00,6.00,6.00,5.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3231186,6.00,5.00,4.00,9.00,6.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3231194,8.00,7.00,6.00,1.00,6.00,5.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3231208,6.00,8.00,3.00,8.00,5.00,5.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3231224,3.00,3.00,2.00,6.00,4.00,4.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3231240,6.00,6.00,3.00,4.00,6.00,5.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3231259,9.00,6.00,7.00,9.00,6.00,6.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3231267,8.00,7.00,7.00,9.00,7.00,6.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3231275,5.00,7.00,6.00,8.00,6.00,5.25,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3231283,6.00,4.00,4.00,7.00,7.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3231291,2.00,3.00,3.00,5.00,4.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3231305,2.00,6.00,2.00,6.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3231313,7.00,6.00,7.00,8.00,5.00,5.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3231321,3.00,5.00,3.00,0.00,0.00,NULL,1.00,7.00,1.00,'S',NULL,NULL,'N'),(16,3231330,7.00,7.00,9.00,8.00,7.00,5.25,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3231348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3231356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3231364,6.00,8.00,6.00,8.00,4.00,6.00,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3231372,8.00,6.00,3.00,6.00,2.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3231399,4.00,5.00,2.00,0.00,6.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3231402,4.00,3.00,2.00,0.00,0.00,NULL,3.00,5.00,2.00,'S',NULL,NULL,'S'),(16,3231410,4.00,3.00,1.00,6.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3231429,5.00,0.00,4.00,4.00,1.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3231437,4.00,5.00,1.00,5.00,4.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3231445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3231453,7.00,4.00,5.00,3.00,5.00,7.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3231461,4.00,3.00,2.00,6.00,5.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3231470,8.00,7.00,6.00,5.00,5.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3231488,8.00,7.00,4.00,9.00,8.00,5.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3231496,5.00,9.00,3.00,7.00,7.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3231500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3231518,2.00,6.00,3.00,3.00,6.00,4.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3231526,6.00,6.00,4.00,8.00,3.00,NULL,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3231542,9.00,9.00,5.00,8.00,7.00,5.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3231550,5.00,5.00,1.00,8.00,7.00,6.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3231569,5.00,4.00,2.00,7.00,5.00,3.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3231577,4.00,1.00,1.00,7.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3231585,5.00,6.00,3.00,7.00,7.00,4.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3231593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3231607,3.00,2.00,1.00,2.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3231615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3231623,5.00,8.00,4.00,6.00,7.00,6.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3231631,5.00,5.00,4.00,3.00,7.00,5.75,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3231658,4.00,4.00,8.00,9.00,8.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3231666,3.00,4.00,1.00,6.00,3.00,NULL,5.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3231674,6.00,6.00,4.00,9.00,8.00,8.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3231682,0.00,0.00,0.00,4.00,2.00,NULL,3.00,2.00,3.00,NULL,'S',NULL,'S'),(16,3231690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3231704,5.00,5.00,4.00,0.00,0.00,NULL,5.00,7.00,2.00,'S',NULL,NULL,'N'),(16,3231712,6.00,4.00,2.00,5.00,5.00,4.50,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3231747,2.00,2.00,2.00,3.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3231755,7.00,5.00,5.00,8.00,8.00,6.25,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3231763,3.00,4.00,3.00,5.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3231771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3231798,4.00,4.00,3.00,2.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3231801,7.00,5.00,2.00,8.00,6.00,6.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3231810,5.00,6.00,6.00,7.00,6.00,6.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3231828,5.00,5.00,1.00,7.00,7.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3231844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3231852,4.00,5.00,4.00,6.00,5.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3231860,4.00,5.00,5.00,5.00,4.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3231887,6.00,6.00,4.00,8.00,4.00,4.00,1.00,7.00,6.00,NULL,NULL,NULL,'S'),(16,3231895,4.00,3.00,3.00,3.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3231909,6.00,3.00,2.00,8.00,5.00,4.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3231917,1.00,2.00,2.00,6.00,5.00,4.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3231941,2.00,2.00,1.00,2.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3231950,8.00,9.00,6.00,5.00,8.00,4.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3231968,8.00,5.00,7.00,8.00,4.00,4.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3231976,4.00,7.00,1.00,9.00,5.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3231984,9.00,5.00,6.00,8.00,6.00,6.75,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3231992,5.00,5.00,3.00,5.00,6.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3232018,8.00,2.00,2.00,3.00,9.00,7.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3232026,4.00,3.00,3.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3232034,4.00,4.00,4.00,1.00,5.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3232042,4.00,5.00,4.00,6.00,5.00,5.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3232050,3.00,7.00,5.00,4.00,4.00,4.50,0.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3232069,3.00,7.00,1.00,8.00,6.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3232085,2.00,6.00,3.00,3.00,7.00,6.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3232093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3232107,4.00,4.00,3.00,9.00,6.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3232123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3232131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3232140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3232158,5.00,4.00,5.00,8.00,5.00,6.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3232166,0.00,4.00,3.00,1.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3232174,9.00,6.00,5.00,8.00,8.00,5.00,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3232182,6.00,5.00,3.00,6.00,4.00,5.75,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3232190,8.00,8.00,5.00,3.00,5.00,6.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3232212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3232220,6.00,5.00,6.00,5.00,8.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3232239,5.00,4.00,3.00,4.00,5.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3232247,6.00,8.00,6.00,8.00,7.00,5.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3232255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3232263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3232271,2.00,2.00,1.00,1.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3232280,7.00,3.00,4.00,8.00,6.00,5.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3232298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3232301,8.00,6.00,6.00,8.00,5.00,4.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3232310,6.00,7.00,5.00,6.00,7.00,5.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3232328,6.00,4.00,4.00,8.00,6.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3232336,3.00,3.00,4.00,6.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3232344,6.00,6.00,1.00,8.00,8.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3232352,3.00,4.00,2.00,0.00,4.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3232360,7.00,5.00,5.00,6.00,5.00,5.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3232379,5.00,5.00,5.00,7.00,4.00,7.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3232387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3232409,5.00,3.00,5.00,7.00,6.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3232417,7.00,7.00,6.00,8.00,6.00,4.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3232425,2.00,3.00,1.00,4.00,1.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3232433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3232441,3.00,3.00,3.00,5.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3232450,4.00,6.00,4.00,5.00,4.00,6.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3232468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3232476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3232484,8.00,5.00,8.00,7.00,7.00,4.00,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3232492,3.00,1.00,1.00,0.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3232506,7.00,7.00,6.00,10.00,8.00,7.00,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3232514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3232522,5.00,6.00,5.00,6.00,7.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3232530,9.00,5.00,7.00,8.00,5.00,6.25,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3232549,2.00,5.00,4.00,9.00,5.00,6.25,3.00,2.00,6.00,NULL,NULL,NULL,'S'),(16,3232557,1.00,4.00,4.00,3.00,5.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3232573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3232581,4.00,2.00,2.00,4.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3232590,4.00,5.00,4.00,2.00,6.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3232603,8.00,6.00,8.00,7.00,8.00,6.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3232611,7.00,6.00,4.00,2.00,6.00,5.50,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3232620,7.00,8.00,6.00,6.00,4.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3232638,6.00,5.00,4.00,8.00,4.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3232654,3.00,5.00,4.00,6.00,1.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3232662,7.00,8.00,7.00,9.00,8.00,7.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3232670,5.00,5.00,5.00,6.00,4.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3232689,7.00,7.00,3.00,5.00,5.00,5.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3232700,7.00,6.00,4.00,4.00,4.00,5.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3232719,6.00,3.00,5.00,1.00,4.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3232727,6.00,6.00,5.00,9.00,7.00,4.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3232735,5.00,6.00,4.00,3.00,6.00,4.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3232743,4.00,8.00,4.00,6.00,6.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3232751,1.00,6.00,3.00,7.00,5.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3232760,3.00,4.00,6.00,6.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3232778,8.00,8.00,6.00,5.00,6.00,6.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3232786,8.00,6.00,9.00,6.00,6.00,6.25,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3232794,1.00,1.00,2.00,1.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3232808,4.00,4.00,4.00,8.00,8.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3232816,8.00,5.00,2.00,7.00,5.00,5.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3232824,2.00,1.00,2.00,1.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3232832,6.00,8.00,5.00,9.00,6.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3232840,9.00,8.00,6.00,9.00,9.00,7.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3232859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3232867,1.00,3.00,3.00,3.00,1.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3232875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3232883,6.00,4.00,3.00,7.00,6.00,5.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3232891,6.00,7.00,4.00,8.00,6.00,5.00,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3232905,2.00,2.00,3.00,5.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3232913,3.00,7.00,3.00,8.00,5.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3232948,8.00,8.00,7.00,9.00,7.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3232956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3232964,7.00,6.00,5.00,1.00,4.00,4.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3232972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3232980,3.00,4.00,2.00,2.00,5.00,4.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3232999,4.00,4.00,1.00,5.00,4.00,6.00,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3233006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3233014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3233022,2.00,5.00,3.00,6.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3233030,6.00,6.00,4.00,7.00,2.00,NULL,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3233057,5.00,4.00,3.00,7.00,5.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3233065,5.00,3.00,2.00,5.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3233073,2.00,3.00,3.00,2.00,5.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3233081,6.00,7.00,4.00,7.00,5.00,5.75,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3233090,5.00,1.00,3.00,8.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3233103,5.00,5.00,2.00,4.00,7.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3233111,1.00,6.00,2.00,5.00,3.00,NULL,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3233120,4.00,8.00,4.00,8.00,6.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3233138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3233146,6.00,5.00,6.00,8.00,8.00,7.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3233154,3.00,6.00,5.00,7.00,6.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3233162,4.00,4.00,5.00,6.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3233170,7.00,6.00,6.00,7.00,6.00,6.75,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3233197,1.00,6.00,2.00,7.00,4.00,5.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3233200,6.00,8.00,5.00,8.00,6.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3233219,3.00,3.00,4.00,5.00,4.00,5.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3233227,9.00,7.00,6.00,7.00,6.00,4.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3233235,2.00,1.00,1.00,2.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3233243,3.00,1.00,2.00,1.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3233260,2.00,5.00,5.00,3.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3233278,3.00,6.00,1.00,5.00,5.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3233286,4.00,5.00,2.00,5.00,5.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3233294,6.00,7.00,4.00,6.00,5.00,6.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3233308,3.00,1.00,2.00,2.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3233316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3233324,1.00,4.00,1.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3233332,7.00,6.00,5.00,7.00,5.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3233340,3.00,5.00,4.00,5.00,0.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3233359,6.00,5.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3233367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3233375,7.00,7.00,5.00,9.00,7.00,5.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3233383,4.00,1.00,4.00,5.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3233391,6.00,5.00,7.00,7.00,7.00,5.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3233405,4.00,1.00,4.00,6.00,5.00,5.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3233413,6.00,7.00,4.00,6.00,5.00,4.25,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3233421,6.00,5.00,4.00,7.00,6.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3233430,4.00,6.00,2.00,7.00,1.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3233448,7.00,6.00,5.00,9.00,6.00,8.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3233456,3.00,3.00,3.00,2.00,1.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3233464,5.00,5.00,4.00,6.00,4.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3233472,4.00,3.00,3.00,6.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3233480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3233499,5.00,5.00,2.00,7.00,2.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3233502,6.00,4.00,3.00,4.00,6.00,6.25,2.00,7.00,0.00,NULL,NULL,NULL,'N'),(16,3233510,3.00,5.00,2.00,5.00,7.00,7.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3233529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3233537,9.00,8.00,5.00,7.00,7.00,7.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3233545,6.00,6.00,3.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3233553,7.00,8.00,4.00,9.00,7.00,4.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3233561,8.00,3.00,7.00,8.00,6.00,5.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3233570,5.00,5.00,5.00,6.00,6.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3233588,6.00,5.00,6.00,8.00,7.00,6.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3233596,7.00,9.00,6.00,9.00,7.00,6.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3233600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3233618,4.00,5.00,3.00,9.00,5.00,6.00,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3233626,5.00,3.00,3.00,8.00,5.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3233634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3233642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3233650,2.00,0.00,1.00,3.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3233669,4.00,5.00,4.00,5.00,5.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3233677,5.00,6.00,5.00,7.00,6.00,4.50,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3233707,5.00,6.00,4.00,0.00,0.00,NULL,0.00,0.00,0.00,'S',NULL,'S','N'),(16,3233715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3233723,3.00,5.00,4.00,5.00,4.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3233731,2.00,5.00,3.00,4.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3233740,0.00,0.00,1.00,0.00,0.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3233758,5.00,4.00,3.00,8.00,6.00,7.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3233766,5.00,4.00,4.00,2.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3233774,6.00,3.00,4.00,8.00,4.00,4.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3233790,1.00,2.00,4.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3233804,3.00,1.00,3.00,1.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3233812,9.00,6.00,9.00,9.00,7.00,8.00,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3233820,1.00,3.00,4.00,0.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3233839,6.00,5.00,3.00,5.00,5.00,7.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3233855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3233871,2.00,3.00,1.00,5.00,0.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3233880,1.00,3.00,2.00,4.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3233898,4.00,0.00,3.00,9.00,5.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3233901,9.00,5.00,6.00,9.00,6.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3233910,7.00,6.00,5.00,8.00,6.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3233936,5.00,4.00,3.00,7.00,5.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3233944,2.00,3.00,4.00,0.00,1.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3233952,4.00,4.00,3.00,1.00,0.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3233960,9.00,8.00,7.00,7.00,5.00,7.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3233987,5.00,4.00,4.00,4.00,5.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3233995,8.00,8.00,7.00,9.00,9.00,8.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3234010,4.00,6.00,4.00,6.00,7.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3234029,2.00,6.00,1.00,5.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3234037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3234045,3.00,4.00,3.00,3.00,5.00,6.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3234053,6.00,7.00,7.00,8.00,6.00,6.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3234070,5.00,3.00,3.00,5.00,7.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3234088,6.00,7.00,4.00,7.00,5.00,5.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3234096,5.00,2.00,3.00,2.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(16,3234100,5.00,4.00,6.00,8.00,5.00,5.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3234118,4.00,5.00,5.00,0.00,0.00,NULL,4.00,2.00,4.00,'S',NULL,NULL,'S'),(16,3234126,2.00,4.00,4.00,6.00,4.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3234142,3.00,4.00,2.00,7.00,6.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3234150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3234169,3.00,3.00,2.00,4.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3234185,3.00,7.00,6.00,3.00,5.00,4.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3234193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3234207,3.00,4.00,4.00,6.00,6.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3234215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3234223,4.00,6.00,5.00,6.00,5.00,6.00,1.00,8.00,5.00,NULL,NULL,NULL,'S'),(16,3234231,4.00,4.00,2.00,0.00,5.00,5.75,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3234240,5.00,4.00,4.00,6.00,5.00,6.25,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3234258,3.00,7.00,5.00,4.00,4.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3234266,5.00,6.00,3.00,8.00,6.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3234274,4.00,3.00,2.00,5.00,4.00,6.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3234290,9.00,7.00,5.00,5.00,5.00,8.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3234304,1.00,2.00,1.00,4.00,2.00,NULL,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3234312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3234320,4.00,7.00,2.00,5.00,5.00,5.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3234347,8.00,7.00,3.00,8.00,8.00,7.50,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3234355,7.00,5.00,6.00,4.00,6.00,7.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3234363,5.00,8.00,4.00,8.00,5.00,5.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3234371,6.00,7.00,7.00,7.00,7.00,5.25,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3234380,6.00,6.00,4.00,4.00,7.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3234398,4.00,6.00,4.00,2.00,5.00,5.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3234401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3234410,3.00,4.00,4.00,7.00,4.00,7.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3234436,8.00,9.00,7.00,8.00,6.00,6.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3234444,1.00,2.00,2.00,0.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3234452,0.00,3.00,2.00,3.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3234460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3234487,8.00,8.00,9.00,8.00,6.00,5.75,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3234509,7.00,6.00,3.00,8.00,5.00,6.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3234517,2.00,4.00,2.00,1.00,4.00,4.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3234533,9.00,8.00,2.00,8.00,8.00,5.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3234550,4.00,7.00,5.00,7.00,7.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3234568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3234576,3.00,3.00,3.00,6.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3234584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3234606,4.00,4.00,4.00,7.00,6.00,6.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3234614,7.00,6.00,2.00,9.00,7.00,5.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3234622,7.00,6.00,4.00,7.00,5.00,4.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3234630,2.00,7.00,9.00,7.00,8.00,6.00,5.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3234649,6.00,7.00,4.00,7.00,6.00,6.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3234657,3.00,2.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3234665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3234673,8.00,9.00,6.00,9.00,7.00,6.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3234681,6.00,8.00,6.00,5.00,5.00,7.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3234690,1.00,2.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3234703,4.00,1.00,2.00,1.00,5.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3234711,3.00,4.00,3.00,8.00,5.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3234720,2.00,2.00,3.00,1.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3234738,4.00,3.00,3.00,4.00,4.00,5.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3234746,5.00,6.00,4.00,6.00,5.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3234754,4.00,5.00,4.00,6.00,6.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3234762,4.00,7.00,3.00,9.00,5.00,5.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3234770,3.00,3.00,3.00,6.00,6.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3234789,1.00,0.00,2.00,2.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3234797,2.00,6.00,1.00,6.00,2.00,NULL,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3234800,2.00,1.00,4.00,5.00,2.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3234827,6.00,3.00,5.00,7.00,1.00,NULL,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3234835,2.00,3.00,3.00,5.00,5.00,3.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3234843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3234851,3.00,4.00,3.00,6.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3234878,3.00,5.00,5.00,3.00,5.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3234886,2.00,4.00,1.00,1.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3234894,4.00,3.00,4.00,5.00,5.00,6.25,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3234908,3.00,5.00,4.00,3.00,4.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3234916,3.00,7.00,4.00,7.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3234924,1.00,3.00,3.00,2.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3234932,6.00,7.00,4.00,6.00,4.00,3.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3234959,5.00,6.00,4.00,8.00,5.00,4.75,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3234967,3.00,4.00,2.00,3.00,4.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3234975,7.00,7.00,5.00,4.00,5.00,6.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3234983,8.00,8.00,7.00,9.00,6.00,5.75,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3234991,1.00,1.00,3.00,0.00,0.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3235009,2.00,4.00,3.00,1.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3235017,3.00,6.00,3.00,3.00,5.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3235025,4.00,2.00,1.00,5.00,0.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3235033,5.00,7.00,7.00,8.00,5.00,5.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3235041,5.00,2.00,4.00,4.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3235050,5.00,4.00,4.00,9.00,7.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3235076,4.00,7.00,7.00,8.00,7.00,5.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3235084,5.00,5.00,3.00,9.00,6.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3235092,5.00,6.00,4.00,7.00,8.00,6.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3235106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3235114,3.00,3.00,1.00,8.00,5.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3235122,3.00,4.00,1.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3235130,4.00,4.00,5.00,1.00,4.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3235149,5.00,4.00,2.00,4.00,5.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3235157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3235165,5.00,6.00,4.00,7.00,4.00,4.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3235173,4.00,5.00,4.00,6.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3235181,8.00,6.00,4.00,1.00,6.00,5.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3235190,4.00,5.00,1.00,9.00,6.00,6.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3235211,4.00,5.00,4.00,4.00,5.00,6.50,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3235220,7.00,3.00,4.00,6.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3235238,5.00,4.00,4.00,8.00,6.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3235246,3.00,4.00,1.00,7.00,5.00,4.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3235254,3.00,4.00,1.00,2.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3235262,5.00,7.00,4.00,6.00,5.00,6.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3235270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3235289,4.00,4.00,1.00,5.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3235297,5.00,3.00,5.00,6.00,2.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3235300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3235319,5.00,4.00,4.00,7.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3235327,2.00,4.00,2.00,5.00,4.00,5.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3235335,6.00,6.00,5.00,7.00,5.00,3.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3235351,1.00,1.00,2.00,2.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3235378,4.00,2.00,3.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3235386,5.00,5.00,3.00,1.00,3.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3235394,4.00,3.00,2.00,4.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3235416,4.00,5.00,2.00,7.00,5.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3235424,3.00,2.00,2.00,4.00,6.00,6.25,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3235432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3235440,2.00,2.00,3.00,4.00,7.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3235459,3.00,2.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3235467,8.00,6.00,4.00,8.00,4.00,6.00,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3235475,3.00,3.00,1.00,7.00,3.00,NULL,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3235483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3235491,7.00,7.00,5.00,6.00,5.00,5.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3235505,1.00,5.00,2.00,2.00,1.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3235513,4.00,5.00,4.00,8.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3235521,3.00,2.00,2.00,4.00,1.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3235548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3235556,3.00,2.00,1.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3235564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3235572,2.00,2.00,1.00,2.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3235580,5.00,2.00,2.00,5.00,1.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3235599,3.00,5.00,5.00,6.00,4.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3235602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3235629,3.00,4.00,5.00,8.00,4.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3235637,6.00,5.00,1.00,5.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3235645,3.00,6.00,3.00,4.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3235653,5.00,5.00,4.00,3.00,6.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3235661,6.00,5.00,3.00,8.00,6.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3235670,1.00,5.00,3.00,7.00,4.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3235696,1.00,1.00,1.00,5.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3235700,7.00,9.00,4.00,7.00,6.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3235718,4.00,4.00,3.00,2.00,5.00,6.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3235726,2.00,4.00,2.00,3.00,2.00,NULL,2.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3235734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3235742,4.00,2.00,3.00,8.00,8.00,6.75,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3235750,5.00,4.00,2.00,8.00,7.00,4.50,1.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3235769,5.00,3.00,4.00,6.00,4.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3235777,4.00,4.00,4.00,7.00,5.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3235785,6.00,6.00,3.00,8.00,7.00,5.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3235793,9.00,8.00,5.00,8.00,7.00,6.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3235807,5.00,2.00,3.00,4.00,4.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3235815,5.00,5.00,1.00,6.00,6.00,4.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3235831,4.00,3.00,2.00,0.00,3.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3235858,4.00,6.00,2.00,5.00,5.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3235866,5.00,7.00,7.00,8.00,5.00,5.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3235874,3.00,5.00,4.00,2.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3235882,3.00,4.00,2.00,9.00,5.00,5.50,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3235890,4.00,5.00,1.00,4.00,2.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3235904,5.00,8.00,4.00,6.00,5.00,5.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3235912,4.00,3.00,3.00,4.00,5.00,5.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3235920,6.00,7.00,7.00,5.00,7.00,5.25,4.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3235939,6.00,5.00,6.00,7.00,5.00,5.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3235947,3.00,3.00,1.00,6.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3235963,4.00,6.00,4.00,6.00,4.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3235971,4.00,5.00,3.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3235980,4.00,6.00,6.00,9.00,7.00,6.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3235998,4.00,5.00,3.00,8.00,4.00,4.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3236005,8.00,7.00,5.00,8.00,4.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3236013,5.00,5.00,4.00,7.00,4.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3236021,2.00,5.00,5.00,8.00,5.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3236030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3236048,4.00,3.00,2.00,8.00,5.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3236056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3236064,4.00,3.00,3.00,9.00,4.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3236072,5.00,4.00,3.00,7.00,7.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3236102,4.00,4.00,3.00,5.00,4.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3236110,8.00,8.00,4.00,6.00,6.00,4.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3236129,4.00,3.00,5.00,8.00,7.00,5.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3236137,4.00,3.00,4.00,7.00,4.00,5.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3236153,1.00,1.00,2.00,1.00,0.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3236161,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3236170,3.00,1.00,2.00,0.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3236188,7.00,5.00,7.00,5.00,3.00,NULL,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(16,3236196,5.00,4.00,2.00,7.00,7.00,6.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3236200,3.00,4.00,3.00,8.00,5.00,3.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3236218,5.00,5.00,5.00,5.00,5.00,5.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3236226,7.00,5.00,2.00,8.00,5.00,7.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3236234,3.00,3.00,4.00,5.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3236242,9.00,7.00,5.00,7.00,7.00,6.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3236250,3.00,6.00,2.00,6.00,4.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3236269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3236277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3236307,4.00,2.00,2.00,2.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3236323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3236331,2.00,5.00,3.00,6.00,7.00,4.50,3.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3236340,5.00,3.00,3.00,9.00,5.00,3.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3236358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3236366,4.00,5.00,4.00,8.00,5.00,3.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3236374,3.00,1.00,1.00,5.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3236390,2.00,6.00,1.00,7.00,4.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3236412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3236420,8.00,6.00,6.00,7.00,5.00,5.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3236447,6.00,7.00,5.00,9.00,6.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3236463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3236471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3236480,9.00,9.00,7.00,8.00,8.00,9.50,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3236498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3236501,7.00,5.00,4.00,8.00,7.00,6.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3236510,3.00,1.00,2.00,1.00,2.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3236528,5.00,3.00,2.00,8.00,5.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3236536,8.00,6.00,7.00,8.00,6.00,5.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3236544,3.00,4.00,3.00,6.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3236552,7.00,6.00,3.00,5.00,7.00,8.50,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3236560,5.00,7.00,3.00,7.00,6.00,5.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3236579,6.00,8.00,2.00,7.00,9.00,7.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3236587,4.00,3.00,4.00,2.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3236595,5.00,5.00,3.00,6.00,5.00,5.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3236609,5.00,5.00,6.00,3.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3236617,3.00,4.00,2.00,0.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3236625,3.00,4.00,1.00,7.00,4.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3236633,3.00,5.00,5.00,5.00,3.00,NULL,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3236641,6.00,5.00,6.00,8.00,6.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3236650,9.00,9.00,9.00,9.00,7.00,8.00,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3236668,5.00,1.00,4.00,6.00,1.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3236676,5.00,5.00,8.00,9.00,7.00,6.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3236684,1.00,4.00,2.00,5.00,4.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3236692,5.00,4.00,7.00,9.00,5.00,6.50,4.00,4.00,7.00,NULL,NULL,NULL,'S'),(16,3236706,7.00,7.00,8.00,8.00,7.00,5.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3236714,4.00,3.00,3.00,9.00,6.00,6.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3236730,3.00,2.00,3.00,5.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3236749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3236757,5.00,5.00,6.00,7.00,5.00,4.75,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3236765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3236773,3.00,4.00,2.00,3.00,4.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3236790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3236803,5.00,6.00,3.00,6.00,4.00,6.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3236820,3.00,3.00,2.00,4.00,4.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3236838,5.00,7.00,3.00,9.00,5.00,6.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3236846,3.00,2.00,2.00,4.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3236854,2.00,4.00,5.00,6.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3236862,4.00,4.00,4.00,6.00,4.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3236870,3.00,8.00,4.00,7.00,5.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3236889,9.00,7.00,6.00,8.00,8.00,6.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3236897,5.00,7.00,4.00,7.00,7.00,6.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3236900,5.00,2.00,2.00,5.00,5.00,6.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3236919,6.00,6.00,2.00,4.00,5.00,6.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3236927,6.00,4.00,2.00,6.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3236935,7.00,8.00,4.00,6.00,5.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3236943,2.00,1.00,4.00,4.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3236951,3.00,2.00,6.00,8.00,8.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3236960,5.00,5.00,3.00,8.00,6.00,5.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3236978,4.00,2.00,2.00,6.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3236986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3236994,3.00,5.00,3.00,5.00,6.00,5.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3237001,8.00,5.00,3.00,9.00,4.00,6.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3237010,3.00,7.00,4.00,7.00,4.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3237028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3237036,2.00,5.00,6.00,4.00,2.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3237044,7.00,8.00,6.00,8.00,9.00,7.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3237052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3237060,5.00,6.00,5.00,2.00,3.00,NULL,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3237079,6.00,8.00,8.00,9.00,9.00,7.75,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3237087,4.00,7.00,4.00,3.00,4.00,5.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3237095,3.00,3.00,2.00,4.00,0.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3237117,6.00,8.00,6.00,8.00,6.00,6.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3237125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3237133,1.00,0.00,1.00,4.00,4.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3237141,4.00,5.00,2.00,3.00,4.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3237150,8.00,5.00,5.00,4.00,5.00,6.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3237168,3.00,5.00,2.00,4.00,5.00,5.00,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3237176,3.00,2.00,1.00,2.00,0.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3237184,5.00,6.00,2.00,3.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3237192,6.00,4.00,5.00,8.00,5.00,2.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3237206,7.00,6.00,3.00,8.00,8.00,6.50,5.00,8.00,6.00,NULL,NULL,NULL,'S'),(16,3237214,5.00,8.00,4.00,8.00,7.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3237222,5.00,5.00,4.00,6.00,6.00,4.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3237249,5.00,3.00,4.00,2.00,3.00,NULL,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3237257,4.00,3.00,3.00,5.00,5.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3237265,7.00,7.00,4.00,8.00,8.00,7.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3237281,5.00,4.00,4.00,6.00,6.00,5.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3237290,7.00,7.00,3.00,9.00,6.00,7.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3237303,2.00,3.00,4.00,3.00,3.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3237311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3237320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3237338,5.00,3.00,3.00,3.00,3.00,NULL,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3237354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3237362,4.00,4.00,4.00,4.00,6.00,5.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3237370,9.00,9.00,7.00,8.00,8.00,7.50,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3237400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3237427,5.00,6.00,2.00,6.00,3.00,NULL,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3237435,6.00,5.00,3.00,5.00,5.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3237443,4.00,4.00,2.00,2.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3237451,4.00,3.00,3.00,9.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3237460,7.00,6.00,3.00,4.00,6.00,5.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3237478,0.00,3.00,1.00,2.00,2.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3237486,5.00,3.00,4.00,7.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3237494,2.00,6.00,5.00,7.00,5.00,5.00,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3237516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3237524,3.00,5.00,3.00,7.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3237540,2.00,5.00,5.00,7.00,3.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3237559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3237567,4.00,6.00,5.00,7.00,4.00,3.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3237575,3.00,4.00,4.00,2.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3237583,0.00,2.00,2.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3237591,5.00,7.00,6.00,8.00,8.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3237605,3.00,4.00,5.00,7.00,5.00,7.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3237613,2.00,3.00,4.00,7.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3237630,4.00,6.00,5.00,4.00,3.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3237648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3237664,5.00,8.00,2.00,9.00,6.00,4.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3237672,7.00,7.00,4.00,8.00,5.00,6.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3237680,1.00,5.00,4.00,8.00,4.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3237702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3237710,6.00,4.00,4.00,9.00,7.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3237729,1.00,3.00,2.00,5.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3237737,5.00,4.00,1.00,5.00,6.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3237745,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3237753,1.00,4.00,1.00,8.00,3.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3237761,4.00,3.00,3.00,2.00,6.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3237770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3237788,6.00,6.00,4.00,8.00,7.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3237796,5.00,4.00,2.00,8.00,5.00,4.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3237800,6.00,7.00,4.00,5.00,7.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3237826,4.00,6.00,3.00,6.00,5.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3237842,2.00,2.00,4.00,4.00,0.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3237850,4.00,6.00,3.00,2.00,4.00,6.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3237869,1.00,1.00,2.00,4.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3237877,4.00,5.00,4.00,5.00,4.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3237885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3237893,2.00,4.00,1.00,5.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3237907,2.00,4.00,2.00,7.00,4.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3237915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3237923,1.00,3.00,3.00,0.00,1.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'S'),(16,3237931,4.00,4.00,4.00,5.00,4.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3237940,5.00,2.00,1.00,7.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3237958,8.00,4.00,3.00,6.00,7.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3237966,4.00,6.00,5.00,7.00,7.00,7.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3237974,6.00,5.00,5.00,7.00,7.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3237982,2.00,3.00,4.00,4.00,4.00,1.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3237990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3238008,0.00,4.00,1.00,6.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3238016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3238024,3.00,0.00,2.00,2.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3238032,5.00,8.00,3.00,8.00,3.00,NULL,0.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3238040,6.00,8.00,7.00,7.00,7.00,6.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3238059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3238067,4.00,4.00,2.00,8.00,6.00,5.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3238075,6.00,2.00,7.00,8.00,5.00,5.00,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3238083,8.00,7.00,4.00,9.00,7.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3238091,3.00,3.00,1.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3238105,9.00,8.00,7.00,7.00,9.00,7.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3238121,2.00,5.00,3.00,6.00,2.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3238130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3238148,3.00,0.00,2.00,3.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3238156,3.00,6.00,4.00,7.00,6.00,8.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3238164,1.00,4.00,2.00,3.00,4.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3238172,3.00,3.00,3.00,7.00,5.00,3.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3238180,4.00,4.00,4.00,7.00,5.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3238199,5.00,7.00,4.00,2.00,5.00,4.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3238202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3238229,5.00,5.00,5.00,3.00,6.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3238237,3.00,3.00,3.00,5.00,3.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3238245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3238253,5.00,7.00,4.00,1.00,5.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3238261,9.00,8.00,6.00,7.00,7.00,6.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3238270,2.00,5.00,2.00,5.00,0.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3238288,3.00,3.00,4.00,3.00,3.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3238296,8.00,1.00,5.00,6.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3238300,3.00,5.00,2.00,7.00,5.00,6.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3238318,5.00,2.00,1.00,7.00,5.00,5.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3238326,8.00,8.00,6.00,8.00,5.00,6.00,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3238334,5.00,3.00,5.00,8.00,5.00,4.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3238342,6.00,5.00,4.00,6.00,6.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3238350,2.00,4.00,1.00,0.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3238369,3.00,2.00,4.00,5.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3238377,4.00,3.00,1.00,2.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3238385,4.00,5.00,4.00,8.00,6.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3238393,5.00,5.00,4.00,5.00,5.00,6.50,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3238407,6.00,2.00,1.00,4.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3238415,2.00,4.00,2.00,4.00,4.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3238423,5.00,2.00,4.00,4.00,4.00,6.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3238458,6.00,5.00,4.00,8.00,6.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3238466,3.00,7.00,3.00,1.00,5.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3238474,5.00,1.00,1.00,5.00,3.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3238482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3238490,6.00,3.00,2.00,3.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3238504,3.00,5.00,4.00,6.00,4.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3238512,5.00,5.00,1.00,2.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3238520,3.00,7.00,3.00,7.00,5.00,6.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3238539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3238555,3.00,8.00,3.00,3.00,4.00,4.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3238563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3238571,3.00,6.00,3.00,8.00,5.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3238580,6.00,5.00,4.00,6.00,8.00,7.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3238598,4.00,4.00,4.00,4.00,4.00,5.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3238601,7.00,5.00,4.00,6.00,8.00,6.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3238610,0.00,0.00,1.00,0.00,0.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3238628,2.00,1.00,2.00,6.00,2.00,NULL,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3238636,5.00,4.00,2.00,5.00,4.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3238644,5.00,3.00,3.00,8.00,4.00,6.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3238652,4.00,4.00,2.00,3.00,4.00,4.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3238660,6.00,5.00,4.00,4.00,5.00,4.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3238679,5.00,9.00,7.00,8.00,7.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3238687,4.00,1.00,3.00,5.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3238695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3238709,2.00,3.00,4.00,7.00,5.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3238717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3238725,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3238733,4.00,1.00,1.00,4.00,1.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3238741,3.00,3.00,2.00,0.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3238750,7.00,5.00,4.00,6.00,8.00,7.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3238768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3238776,2.00,3.00,1.00,0.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3238784,1.00,2.00,2.00,3.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3238792,4.00,5.00,4.00,5.00,4.00,3.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3238806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3238814,4.00,5.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3238822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3238830,2.00,3.00,3.00,2.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3238849,4.00,4.00,3.00,5.00,4.00,6.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3238857,3.00,4.00,4.00,2.00,4.00,5.00,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3238865,2.00,4.00,2.00,6.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3238873,5.00,4.00,2.00,4.00,6.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3238881,3.00,2.00,2.00,4.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3238903,5.00,3.00,3.00,4.00,4.00,5.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3238911,3.00,2.00,2.00,2.00,1.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3238920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3238938,4.00,4.00,3.00,6.00,5.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3238946,3.00,4.00,3.00,2.00,4.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3238954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3238962,3.00,4.00,2.00,5.00,4.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3238970,3.00,2.00,2.00,4.00,1.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3238989,3.00,4.00,2.00,1.00,1.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3238997,1.00,1.00,1.00,3.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3239004,4.00,5.00,1.00,5.00,6.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3239020,3.00,2.00,2.00,5.00,4.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3239039,3.00,4.00,1.00,2.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3239047,4.00,6.00,3.00,8.00,5.00,5.75,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3239055,9.00,7.00,5.00,3.00,5.00,6.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3239071,2.00,3.00,1.00,6.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3239080,4.00,7.00,1.00,3.00,3.00,NULL,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3239098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3239101,4.00,3.00,2.00,6.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3239110,4.00,4.00,4.00,7.00,6.00,6.25,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3239128,4.00,4.00,2.00,1.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3239136,8.00,7.00,7.00,6.00,7.00,7.50,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3239144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3239152,5.00,3.00,3.00,7.00,6.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3239179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3239187,5.00,6.00,3.00,2.00,2.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3239195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3239217,2.00,0.00,2.00,4.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3239233,4.00,3.00,1.00,7.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3239241,7.00,6.00,6.00,7.00,8.00,5.00,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3239250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3239268,7.00,9.00,7.00,8.00,8.00,6.25,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3239276,3.00,7.00,4.00,5.00,6.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3239284,1.00,4.00,1.00,7.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3239292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3239306,3.00,5.00,4.00,6.00,6.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3239314,3.00,6.00,3.00,7.00,4.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3239322,7.00,8.00,7.00,5.00,6.00,5.00,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3239330,4.00,3.00,1.00,6.00,4.00,4.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3239349,1.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3239357,7.00,5.00,4.00,8.00,5.00,6.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3239365,4.00,3.00,2.00,0.00,0.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3239373,3.00,2.00,2.00,3.00,0.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3239381,3.00,4.00,1.00,4.00,6.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3239390,1.00,0.00,3.00,6.00,0.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3239403,5.00,5.00,4.00,9.00,6.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3239411,7.00,4.00,5.00,6.00,8.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3239420,1.00,5.00,2.00,6.00,4.00,5.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3239438,9.00,9.00,6.00,7.00,9.00,7.00,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3239446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3239462,1.00,1.00,4.00,1.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3239470,4.00,4.00,2.00,1.00,5.00,6.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3239489,6.00,6.00,3.00,7.00,5.00,4.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3239497,5.00,3.00,5.00,4.00,1.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3239500,4.00,5.00,2.00,2.00,6.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3239519,1.00,6.00,1.00,5.00,4.00,5.50,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3239527,6.00,6.00,5.00,8.00,7.00,6.50,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3239535,4.00,0.00,3.00,6.00,0.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3239543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3239551,3.00,2.00,3.00,0.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3239560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3239578,4.00,6.00,2.00,7.00,4.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3239586,3.00,1.00,1.00,2.00,4.00,NULL,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3239594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3239608,2.00,2.00,3.00,6.00,2.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3239616,4.00,4.00,1.00,2.00,5.00,6.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3239624,6.00,6.00,3.00,8.00,6.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3239632,0.00,0.00,0.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3239640,5.00,4.00,4.00,6.00,4.00,5.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3239659,1.00,2.00,1.00,3.00,2.00,NULL,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3239667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3239675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3239683,5.00,2.00,2.00,5.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3239713,6.00,3.00,1.00,6.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3239721,1.00,2.00,3.00,2.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3239730,1.00,2.00,2.00,1.00,6.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3239748,4.00,4.00,5.00,2.00,6.00,6.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3239756,5.00,8.00,5.00,9.00,9.00,7.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3239764,4.00,5.00,3.00,7.00,4.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3239772,5.00,4.00,3.00,8.00,7.00,6.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3239780,6.00,8.00,4.00,7.00,6.00,6.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3239799,3.00,2.00,2.00,1.00,1.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3239802,6.00,4.00,3.00,5.00,5.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3239810,4.00,2.00,6.00,5.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3239829,6.00,2.00,2.00,7.00,4.00,5.25,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3239837,6.00,5.00,4.00,5.00,6.00,7.00,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3239845,9.00,9.00,6.00,9.00,8.00,5.75,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3239853,5.00,8.00,6.00,9.00,5.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3239861,3.00,3.00,2.00,1.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3239870,5.00,4.00,3.00,8.00,4.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3239888,4.00,5.00,4.00,5.00,6.00,4.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3239896,3.00,5.00,5.00,8.00,8.00,8.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3239918,3.00,5.00,1.00,1.00,5.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3239926,8.00,7.00,6.00,6.00,5.00,6.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3239934,2.00,3.00,2.00,2.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3239942,5.00,2.00,2.00,5.00,5.00,5.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3239950,6.00,3.00,2.00,1.00,3.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3239969,6.00,7.00,4.00,8.00,5.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3239977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3239985,2.00,2.00,2.00,2.00,1.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3239993,6.00,7.00,3.00,5.00,5.00,4.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3240002,3.00,4.00,3.00,4.00,3.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3240010,5.00,3.00,2.00,0.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3240029,4.00,3.00,2.00,1.00,4.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3240037,2.00,5.00,1.00,4.00,5.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3240045,4.00,5.00,5.00,7.00,4.00,4.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3240053,2.00,3.00,2.00,0.00,0.00,NULL,2.00,2.00,6.00,'S',NULL,NULL,'N'),(16,3240061,5.00,6.00,3.00,9.00,4.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3240070,6.00,6.00,7.00,9.00,8.00,6.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3240088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3240096,5.00,4.00,3.00,6.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3240100,4.00,2.00,3.00,3.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3240118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3240126,5.00,6.00,6.00,8.00,7.00,7.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3240134,6.00,5.00,6.00,8.00,8.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3240142,3.00,2.00,1.00,0.00,0.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3240150,6.00,3.00,2.00,5.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3240169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3240177,5.00,2.00,2.00,3.00,4.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3240185,6.00,6.00,3.00,7.00,7.00,5.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3240193,2.00,3.00,3.00,3.00,6.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3240207,3.00,4.00,3.00,6.00,7.00,4.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3240215,7.00,4.00,3.00,2.00,4.00,4.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3240223,1.00,3.00,2.00,6.00,3.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3240231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3240240,3.00,4.00,4.00,4.00,2.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3240258,2.00,4.00,2.00,4.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3240266,2.00,5.00,1.00,6.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3240274,2.00,3.00,3.00,3.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3240282,6.00,8.00,6.00,9.00,9.00,6.00,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3240290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3240304,8.00,7.00,6.00,9.00,6.00,5.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3240312,4.00,2.00,2.00,2.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3240320,3.00,5.00,4.00,8.00,6.00,4.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3240339,5.00,5.00,3.00,5.00,4.00,4.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3240347,8.00,6.00,8.00,8.00,9.00,6.50,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3240363,6.00,6.00,4.00,5.00,4.00,4.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3240380,6.00,8.00,8.00,5.00,5.00,5.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3240398,5.00,2.00,5.00,1.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3240401,5.00,3.00,5.00,3.00,5.00,6.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3240410,5.00,6.00,4.00,3.00,4.00,5.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3240444,5.00,4.00,7.00,6.00,6.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3240452,3.00,6.00,4.00,2.00,6.00,4.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3240460,2.00,2.00,4.00,6.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3240487,4.00,5.00,3.00,7.00,7.00,7.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3240495,4.00,1.00,1.00,2.00,5.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3240517,7.00,6.00,5.00,9.00,7.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3240525,6.00,6.00,2.00,6.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3240541,7.00,7.00,3.00,5.00,8.00,6.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3240568,6.00,6.00,2.00,9.00,6.00,5.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3240576,7.00,7.00,4.00,9.00,5.00,6.75,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3240584,3.00,6.00,2.00,7.00,4.00,5.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3240592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3240630,3.00,4.00,3.00,2.00,6.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3240649,5.00,6.00,7.00,8.00,7.00,6.00,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3240657,6.00,6.00,4.00,7.00,4.00,6.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3240665,9.00,7.00,5.00,7.00,7.00,4.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3240673,4.00,5.00,2.00,9.00,4.00,4.25,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3240681,2.00,2.00,2.00,8.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3240690,8.00,7.00,8.00,8.00,6.00,5.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3240703,2.00,0.00,1.00,4.00,2.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3240711,2.00,3.00,1.00,5.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3240720,5.00,5.00,5.00,8.00,8.00,4.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3240738,5.00,6.00,4.00,9.00,4.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3240746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3240754,5.00,7.00,3.00,7.00,6.00,6.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3240762,4.00,5.00,1.00,3.00,4.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3240770,2.00,3.00,5.00,0.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3240789,2.00,6.00,1.00,6.00,4.00,5.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3240797,5.00,9.00,4.00,8.00,8.00,6.75,4.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3240800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3240819,3.00,6.00,5.00,8.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3240835,6.00,8.00,5.00,7.00,6.00,6.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3240843,8.00,8.00,8.00,7.00,7.00,6.25,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3240851,4.00,4.00,3.00,4.00,4.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3240860,5.00,1.00,2.00,3.00,5.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3240886,5.00,2.00,4.00,4.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3240894,2.00,4.00,2.00,1.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3240908,6.00,6.00,3.00,9.00,7.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3240916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3240932,7.00,8.00,6.00,6.00,6.00,6.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3240940,3.00,1.00,3.00,5.00,5.00,4.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3240959,4.00,7.00,5.00,8.00,7.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3240967,6.00,5.00,6.00,7.00,5.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3240975,5.00,6.00,5.00,6.00,5.00,5.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3240983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3240991,2.00,3.00,4.00,7.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3241017,9.00,8.00,9.00,8.00,6.00,7.75,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3241025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3241033,5.00,6.00,4.00,8.00,4.00,5.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3241041,4.00,3.00,3.00,7.00,7.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3241050,3.00,2.00,2.00,5.00,3.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3241068,2.00,4.00,2.00,6.00,7.00,6.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3241076,4.00,1.00,1.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3241084,5.00,6.00,1.00,5.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3241092,3.00,4.00,3.00,8.00,5.00,5.50,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3241106,7.00,6.00,4.00,8.00,7.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3241114,3.00,4.00,2.00,3.00,5.00,4.25,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3241122,5.00,6.00,3.00,0.00,0.00,NULL,2.00,8.00,4.00,'S',NULL,NULL,'N'),(16,3241130,2.00,2.00,3.00,4.00,2.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3241149,5.00,6.00,3.00,7.00,5.00,5.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3241157,5.00,6.00,1.00,8.00,5.00,6.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3241165,3.00,6.00,4.00,8.00,6.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3241173,5.00,3.00,1.00,5.00,4.00,6.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3241181,4.00,5.00,3.00,5.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3241190,3.00,5.00,2.00,7.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3241211,7.00,5.00,2.00,3.00,3.00,NULL,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3241220,2.00,3.00,1.00,5.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3241238,5.00,6.00,3.00,7.00,6.00,7.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3241254,4.00,1.00,2.00,3.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3241262,5.00,5.00,4.00,8.00,7.00,6.25,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3241270,7.00,6.00,8.00,5.00,6.00,7.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3241289,9.00,6.00,4.00,8.00,8.00,7.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3241297,2.00,4.00,1.00,4.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3241300,0.00,1.00,2.00,2.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3241335,2.00,0.00,2.00,0.00,2.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3241343,4.00,4.00,1.00,6.00,5.00,6.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3241351,7.00,5.00,7.00,8.00,7.00,5.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3241378,3.00,4.00,2.00,4.00,4.00,4.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3241386,5.00,6.00,3.00,5.00,3.00,NULL,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3241408,6.00,5.00,3.00,7.00,6.00,4.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3241416,2.00,2.00,2.00,6.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3241424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3241432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3241459,2.00,4.00,2.00,7.00,4.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3241467,6.00,5.00,5.00,7.00,6.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3241483,3.00,4.00,3.00,7.00,6.00,4.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3241491,3.00,4.00,3.00,8.00,5.00,5.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3241505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3241513,2.00,4.00,2.00,3.00,3.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3241521,3.00,4.00,3.00,1.00,5.00,5.75,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3241530,1.00,2.00,2.00,4.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3241556,5.00,7.00,3.00,3.00,4.00,6.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3241564,2.00,3.00,4.00,3.00,2.00,NULL,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3241572,3.00,4.00,4.00,7.00,4.00,6.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3241580,3.00,0.00,3.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3241599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3241602,4.00,4.00,4.00,6.00,5.00,6.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3241610,0.00,0.00,0.00,7.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3241629,4.00,3.00,4.00,3.00,0.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3241637,4.00,5.00,5.00,7.00,8.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3241645,2.00,3.00,1.00,1.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3241670,7.00,4.00,4.00,8.00,7.00,6.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3241688,5.00,4.00,1.00,3.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3241696,3.00,3.00,3.00,2.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3241700,4.00,6.00,3.00,5.00,4.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3241718,5.00,7.00,5.00,5.00,4.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3241726,0.00,0.00,0.00,6.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3241734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3241742,7.00,7.00,6.00,4.00,6.00,6.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3241750,7.00,5.00,7.00,8.00,6.00,5.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3241777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3241785,3.00,8.00,7.00,8.00,4.00,6.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3241793,6.00,6.00,4.00,3.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3241807,7.00,9.00,7.00,7.00,7.00,7.25,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3241815,5.00,4.00,3.00,6.00,4.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3241823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3241831,4.00,4.00,5.00,9.00,7.00,NULL,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(16,3241840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3241858,3.00,5.00,2.00,0.00,4.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3241866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3241874,4.00,2.00,4.00,1.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3241882,3.00,5.00,3.00,2.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3241904,4.00,4.00,4.00,6.00,5.00,4.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3241912,5.00,7.00,3.00,3.00,7.00,5.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3241920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3241939,5.00,5.00,2.00,6.00,6.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3241947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3241955,3.00,1.00,1.00,2.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3241963,6.00,5.00,3.00,9.00,9.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3241971,5.00,5.00,5.00,2.00,4.00,6.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3241980,4.00,5.00,3.00,5.00,5.00,5.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3241998,5.00,6.00,6.00,7.00,8.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3242005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3242013,7.00,7.00,5.00,8.00,5.00,7.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3242021,2.00,4.00,1.00,3.00,3.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3242030,1.00,4.00,1.00,7.00,4.00,6.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3242048,3.00,7.00,3.00,7.00,4.00,5.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3242064,6.00,9.00,4.00,6.00,8.00,5.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3242072,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3242080,5.00,7.00,2.00,4.00,4.00,5.75,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3242099,6.00,8.00,6.00,7.00,6.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3242102,6.00,6.00,5.00,6.00,5.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3242110,3.00,3.00,2.00,7.00,4.00,4.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3242129,5.00,7.00,7.00,9.00,6.00,4.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3242153,2.00,1.00,4.00,1.00,1.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3242161,9.00,8.00,6.00,5.00,7.00,6.25,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3242170,7.00,6.00,5.00,1.00,7.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3242188,5.00,5.00,2.00,9.00,8.00,4.00,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3242196,7.00,6.00,4.00,7.00,5.00,7.25,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3242200,8.00,5.00,9.00,9.00,7.00,6.50,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3242218,6.00,8.00,5.00,5.00,6.00,4.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3242234,2.00,6.00,4.00,6.00,4.00,5.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3242242,6.00,5.00,3.00,6.00,5.00,5.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3242250,4.00,2.00,4.00,4.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3242269,2.00,3.00,3.00,7.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3242277,9.00,8.00,6.00,6.00,7.00,7.00,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3242293,2.00,4.00,3.00,3.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3242307,5.00,4.00,4.00,7.00,4.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3242315,7.00,6.00,3.00,6.00,8.00,5.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3242323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3242331,7.00,8.00,8.00,9.00,8.00,6.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3242340,2.00,3.00,3.00,6.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3242358,5.00,4.00,3.00,8.00,6.00,4.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3242366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3242374,2.00,3.00,2.00,8.00,2.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3242390,2.00,1.00,1.00,2.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3242404,8.00,6.00,2.00,4.00,6.00,6.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3242412,3.00,3.00,1.00,1.00,4.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3242420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3242439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3242447,4.00,4.00,2.00,6.00,5.00,6.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3242455,3.00,2.00,2.00,6.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3242463,5.00,5.00,3.00,4.00,4.00,4.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3242471,3.00,4.00,3.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3242480,3.00,2.00,2.00,3.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3242498,4.00,2.00,4.00,5.00,5.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3242501,3.00,3.00,3.00,6.00,5.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3242510,5.00,4.00,1.00,6.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3242528,3.00,6.00,6.00,7.00,5.00,4.25,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3242536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3242544,2.00,3.00,2.00,7.00,4.00,5.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3242552,5.00,7.00,5.00,6.00,5.00,6.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3242579,5.00,1.00,1.00,4.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3242587,5.00,5.00,4.00,8.00,5.00,6.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3242595,2.00,3.00,1.00,1.00,2.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3242609,2.00,2.00,2.00,4.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3242617,4.00,8.00,4.00,8.00,6.00,5.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3242633,6.00,9.00,7.00,8.00,6.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3242650,4.00,4.00,2.00,5.00,2.00,NULL,1.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3242676,2.00,6.00,3.00,6.00,7.00,4.50,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3242684,3.00,5.00,2.00,5.00,3.00,NULL,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3242692,6.00,6.00,5.00,7.00,4.00,4.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3242714,2.00,3.00,1.00,3.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3242722,3.00,2.00,2.00,3.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3242730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3242749,3.00,5.00,6.00,5.00,5.00,5.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3242757,5.00,4.00,2.00,8.00,5.00,5.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3242765,8.00,7.00,5.00,5.00,4.00,4.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3242773,6.00,8.00,5.00,9.00,5.00,6.25,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3242781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3242790,3.00,1.00,3.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3242803,5.00,5.00,5.00,8.00,4.00,4.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3242811,6.00,7.00,6.00,6.00,4.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3242820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3242846,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3242854,2.00,2.00,3.00,1.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3242862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3242870,2.00,3.00,2.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3242889,3.00,5.00,3.00,4.00,5.00,4.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3242897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3242900,8.00,7.00,6.00,8.00,5.00,5.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3242919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3242927,7.00,7.00,4.00,9.00,6.00,4.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3242935,3.00,1.00,1.00,4.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3242943,7.00,6.00,5.00,2.00,5.00,6.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3242951,8.00,7.00,4.00,7.00,9.00,5.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3242960,1.00,2.00,3.00,2.00,4.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3242978,3.00,2.00,2.00,6.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3242986,0.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3242994,5.00,4.00,4.00,3.00,5.00,3.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3243001,3.00,5.00,5.00,6.00,5.00,7.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3243010,3.00,5.00,3.00,8.00,6.00,6.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3243028,3.00,2.00,3.00,6.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3243036,1.00,1.00,1.00,0.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3243052,3.00,3.00,3.00,2.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3243060,4.00,7.00,2.00,10.00,7.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3243079,4.00,3.00,4.00,3.00,2.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3243087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3243095,2.00,4.00,2.00,5.00,5.00,6.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3243109,5.00,2.00,3.00,7.00,6.00,5.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3243117,2.00,1.00,2.00,6.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3243125,5.00,5.00,2.00,6.00,5.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3243133,5.00,7.00,6.00,8.00,5.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3243141,4.00,3.00,2.00,3.00,4.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3243150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3243176,7.00,9.00,8.00,7.00,8.00,8.25,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3243184,5.00,4.00,6.00,8.00,5.00,6.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3243192,2.00,1.00,4.00,2.00,4.00,NULL,6.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3243214,5.00,3.00,4.00,5.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3243222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3243230,4.00,4.00,1.00,5.00,4.00,5.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3243249,5.00,4.00,4.00,3.00,4.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3243257,5.00,6.00,5.00,9.00,8.00,7.50,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3243265,4.00,4.00,5.00,6.00,4.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3243273,2.00,4.00,3.00,8.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3243281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3243290,5.00,4.00,5.00,7.00,7.00,4.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3243303,5.00,2.00,3.00,4.00,7.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3243311,4.00,5.00,4.00,4.00,6.00,5.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3243320,5.00,4.00,2.00,9.00,9.00,6.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3243338,1.00,5.00,4.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3243346,3.00,3.00,1.00,4.00,5.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3243354,3.00,2.00,5.00,2.00,1.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3243362,3.00,6.00,3.00,3.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3243370,3.00,4.00,5.00,6.00,4.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3243389,4.00,5.00,2.00,2.00,6.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3243397,1.00,4.00,2.00,0.00,1.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3243400,5.00,8.00,8.00,7.00,6.00,7.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3243419,5.00,8.00,6.00,8.00,7.00,6.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3243427,7.00,8.00,6.00,7.00,7.00,7.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3243451,3.00,3.00,1.00,6.00,3.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3243460,3.00,2.00,1.00,5.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3243478,3.00,3.00,3.00,6.00,3.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3243486,3.00,4.00,1.00,5.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3243494,3.00,2.00,1.00,4.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3243508,4.00,5.00,4.00,8.00,6.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3243516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3243524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3243540,3.00,6.00,4.00,6.00,3.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3243559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3243567,8.00,7.00,4.00,9.00,8.00,5.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3243591,7.00,7.00,2.00,8.00,5.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3243605,2.00,6.00,2.00,6.00,5.00,4.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3243613,3.00,4.00,2.00,5.00,4.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3243621,2.00,1.00,1.00,3.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3243630,2.00,3.00,1.00,2.00,1.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3243648,8.00,7.00,2.00,5.00,5.00,4.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3243656,4.00,5.00,2.00,7.00,5.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3243664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3243672,7.00,5.00,2.00,7.00,5.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3243680,7.00,3.00,6.00,8.00,3.00,NULL,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3243699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3243702,3.00,3.00,2.00,6.00,5.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3243710,5.00,3.00,4.00,5.00,5.00,6.50,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3243729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3243737,1.00,3.00,3.00,6.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3243745,5.00,5.00,5.00,8.00,4.00,5.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3243753,5.00,8.00,3.00,9.00,7.00,5.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3243761,7.00,8.00,3.00,9.00,6.00,5.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3243770,3.00,2.00,2.00,4.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3243788,3.00,3.00,1.00,7.00,5.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3243818,4.00,8.00,3.00,4.00,4.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3243826,4.00,3.00,4.00,2.00,2.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3243834,2.00,0.00,2.00,6.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3243842,2.00,2.00,2.00,7.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3243869,3.00,3.00,3.00,4.00,7.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3243877,5.00,5.00,2.00,7.00,4.00,4.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3243893,4.00,5.00,1.00,7.00,4.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3243907,8.00,9.00,9.00,9.00,8.00,7.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3243915,3.00,4.00,4.00,7.00,5.00,4.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3243923,6.00,7.00,1.00,7.00,4.00,4.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3243931,3.00,3.00,4.00,5.00,4.00,4.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3243940,5.00,5.00,4.00,1.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3243958,4.00,2.00,3.00,4.00,4.00,5.50,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3243966,6.00,6.00,4.00,4.00,5.00,4.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3243974,4.00,8.00,3.00,6.00,5.00,6.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3243990,3.00,7.00,1.00,6.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3244008,2.00,4.00,3.00,3.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3244016,4.00,2.00,3.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3244024,2.00,5.00,3.00,8.00,6.00,5.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3244032,5.00,8.00,6.00,4.00,7.00,5.75,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3244040,3.00,3.00,2.00,6.00,5.00,4.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3244067,3.00,6.00,1.00,8.00,3.00,NULL,4.00,8.00,5.00,NULL,NULL,NULL,'S'),(16,3244075,5.00,6.00,5.00,8.00,6.00,5.25,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3244083,8.00,4.00,4.00,5.00,5.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3244091,2.00,3.00,2.00,7.00,1.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3244105,6.00,3.00,4.00,7.00,5.00,6.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3244113,6.00,8.00,6.00,8.00,7.00,6.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3244130,5.00,4.00,2.00,8.00,5.00,5.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3244148,2.00,3.00,4.00,1.00,3.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3244156,4.00,4.00,6.00,7.00,4.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3244164,6.00,4.00,6.00,7.00,6.00,6.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3244172,4.00,7.00,1.00,8.00,6.00,5.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3244180,4.00,4.00,5.00,3.00,3.00,NULL,5.00,8.00,0.00,NULL,NULL,NULL,'N'),(16,3244199,6.00,5.00,4.00,6.00,4.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3244202,3.00,7.00,2.00,8.00,5.00,5.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3244210,3.00,6.00,3.00,6.00,4.00,4.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3244229,1.00,2.00,4.00,3.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3244237,3.00,6.00,5.00,7.00,6.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3244245,7.00,6.00,6.00,4.00,5.00,4.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3244253,6.00,4.00,4.00,6.00,5.00,4.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3244261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3244270,2.00,3.00,1.00,2.00,1.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3244288,7.00,7.00,2.00,9.00,6.00,6.75,2.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3244296,9.00,6.00,6.00,7.00,8.00,6.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3244300,4.00,6.00,5.00,5.00,5.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3244326,5.00,5.00,3.00,9.00,5.00,6.50,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3244334,6.00,8.00,6.00,9.00,8.00,5.75,4.00,7.00,6.00,NULL,NULL,NULL,'S'),(16,3244342,5.00,4.00,3.00,8.00,4.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3244369,7.00,6.00,6.00,8.00,7.00,5.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3244377,6.00,4.00,4.00,7.00,5.00,5.50,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3244385,4.00,4.00,5.00,6.00,4.00,4.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3244393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3244407,4.00,7.00,2.00,4.00,6.00,5.25,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3244415,4.00,6.00,4.00,5.00,6.00,5.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3244423,5.00,9.00,5.00,7.00,7.00,7.50,5.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3244440,2.00,5.00,2.00,8.00,5.00,5.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3244458,2.00,5.00,2.00,3.00,5.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3244466,3.00,5.00,4.00,8.00,5.00,4.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3244474,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3244482,4.00,6.00,2.00,5.00,5.00,5.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3244490,5.00,3.00,2.00,5.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(16,3244504,5.00,2.00,1.00,3.00,5.00,4.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3244512,3.00,6.00,4.00,5.00,6.00,4.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3244520,9.00,8.00,5.00,9.00,7.00,5.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3244547,6.00,5.00,5.00,7.00,5.00,5.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3244555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3244563,1.00,2.00,3.00,5.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3244571,2.00,3.00,1.00,5.00,6.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3244580,3.00,3.00,2.00,2.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3244598,1.00,3.00,1.00,2.00,0.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3244601,3.00,3.00,3.00,6.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3244636,4.00,2.00,3.00,9.00,4.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3244644,5.00,5.00,5.00,7.00,5.00,7.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3244652,4.00,0.00,1.00,0.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3244660,1.00,2.00,4.00,2.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3244679,6.00,6.00,3.00,8.00,8.00,5.75,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3244687,4.00,5.00,4.00,7.00,4.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3244717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3244725,5.00,4.00,2.00,6.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3244733,3.00,3.00,1.00,4.00,4.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3244741,0.00,0.00,0.00,5.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3244750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3244776,4.00,4.00,6.00,0.00,0.00,NULL,3.00,5.00,3.00,'S',NULL,NULL,'N'),(16,3244784,2.00,0.00,1.00,3.00,1.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3244792,3.00,4.00,2.00,5.00,4.00,6.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3244806,6.00,5.00,4.00,5.00,5.00,4.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3244814,1.00,2.00,4.00,1.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3244822,9.00,6.00,8.00,7.00,7.00,5.25,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3244830,6.00,4.00,3.00,7.00,6.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3244849,6.00,3.00,6.00,4.00,5.00,4.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3244857,5.00,4.00,3.00,7.00,4.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3244865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3244873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3244890,4.00,6.00,5.00,2.00,6.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3244903,6.00,6.00,3.00,7.00,5.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3244911,5.00,6.00,2.00,5.00,6.00,6.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3244920,4.00,7.00,3.00,4.00,6.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3244938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3244946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3244954,8.00,7.00,3.00,5.00,6.00,7.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3244962,6.00,9.00,1.00,9.00,5.00,6.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3244970,3.00,1.00,3.00,6.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3244989,6.00,9.00,2.00,7.00,5.00,5.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3245004,3.00,4.00,1.00,6.00,4.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3245012,4.00,3.00,3.00,3.00,4.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3245020,8.00,4.00,5.00,8.00,8.00,5.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3245039,4.00,6.00,3.00,7.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3245055,6.00,7.00,6.00,7.00,6.00,6.00,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3245063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3245071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3245080,6.00,6.00,5.00,5.00,4.00,4.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3245098,3.00,7.00,2.00,5.00,5.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3245101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3245110,3.00,4.00,1.00,7.00,7.00,4.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3245128,3.00,4.00,4.00,2.00,2.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3245136,3.00,5.00,2.00,6.00,5.00,7.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3245152,3.00,3.00,3.00,1.00,2.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3245160,3.00,2.00,2.00,3.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3245179,5.00,6.00,4.00,5.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3245187,6.00,4.00,4.00,7.00,6.00,4.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3245217,2.00,4.00,1.00,5.00,3.00,NULL,0.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3245225,5.00,4.00,1.00,2.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3245241,2.00,7.00,2.00,3.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3245250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3245268,5.00,5.00,4.00,7.00,5.00,5.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3245276,3.00,4.00,3.00,5.00,2.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3245284,1.00,3.00,3.00,5.00,2.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3245292,5.00,3.00,4.00,2.00,0.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3245322,2.00,1.00,3.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3245330,7.00,3.00,5.00,8.00,2.00,NULL,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3245349,5.00,5.00,3.00,6.00,6.00,6.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3245357,6.00,5.00,2.00,6.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3245365,2.00,7.00,5.00,5.00,6.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3245373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3245381,2.00,1.00,1.00,9.00,6.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3245390,2.00,3.00,3.00,2.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3245403,1.00,2.00,1.00,2.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3245411,2.00,3.00,3.00,3.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3245420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3245438,3.00,4.00,1.00,8.00,5.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3245446,4.00,3.00,2.00,8.00,4.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3245454,1.00,6.00,2.00,5.00,4.00,4.75,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3245462,9.00,6.00,8.00,9.00,6.00,7.25,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3245489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3245497,1.00,1.00,1.00,3.00,3.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3245500,1.00,2.00,4.00,5.00,7.00,5.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3245519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3245527,6.00,3.00,1.00,7.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3245535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3245543,3.00,7.00,4.00,9.00,5.00,6.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3245551,4.00,3.00,5.00,7.00,4.00,6.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3245560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3245578,2.00,4.00,2.00,2.00,5.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3245594,5.00,5.00,2.00,5.00,5.00,4.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3245616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3245624,2.00,2.00,2.00,7.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3245632,2.00,1.00,3.00,0.00,5.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3245640,3.00,7.00,4.00,5.00,6.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3245667,6.00,3.00,1.00,6.00,5.00,4.50,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3245675,6.00,7.00,5.00,7.00,8.00,6.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3245683,3.00,5.00,3.00,6.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3245691,3.00,4.00,5.00,8.00,6.00,4.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3245705,8.00,7.00,7.00,9.00,8.00,6.25,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3245713,3.00,5.00,2.00,5.00,4.00,5.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3245721,3.00,4.00,1.00,7.00,3.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3245730,3.00,2.00,3.00,3.00,2.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3245748,4.00,3.00,4.00,4.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3245756,5.00,5.00,2.00,4.00,3.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3245764,8.00,5.00,7.00,9.00,5.00,7.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3245772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3245780,2.00,3.00,4.00,3.00,6.00,6.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3245799,7.00,4.00,6.00,8.00,5.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3245802,9.00,6.00,6.00,5.00,8.00,5.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3245810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3245829,6.00,4.00,4.00,5.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3245837,7.00,8.00,4.00,5.00,5.00,4.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3245845,2.00,3.00,3.00,9.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3245853,3.00,4.00,3.00,1.00,1.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3245861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3245870,3.00,4.00,3.00,8.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3245888,0.00,4.00,2.00,1.00,4.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3245900,5.00,6.00,1.00,6.00,7.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3245918,2.00,6.00,3.00,4.00,6.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3245926,7.00,7.00,6.00,9.00,8.00,8.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3245934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3245942,6.00,7.00,4.00,8.00,6.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3245950,3.00,2.00,1.00,3.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3245969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3245977,4.00,5.00,3.00,6.00,4.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3245985,4.00,5.00,5.00,6.00,4.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3245993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3246000,6.00,6.00,5.00,9.00,5.00,6.25,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3246019,5.00,5.00,1.00,5.00,6.00,4.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3246027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3246035,3.00,6.00,3.00,6.00,4.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3246043,1.00,3.00,1.00,8.00,4.00,4.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3246060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3246078,4.00,4.00,3.00,3.00,3.00,NULL,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3246086,3.00,3.00,4.00,8.00,5.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3246094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3246108,4.00,7.00,2.00,5.00,5.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3246116,3.00,7.00,2.00,3.00,3.00,NULL,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3246124,7.00,6.00,6.00,9.00,8.00,7.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3246140,4.00,5.00,5.00,6.00,5.00,5.00,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3246159,1.00,6.00,3.00,3.00,4.00,5.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3246167,3.00,7.00,3.00,4.00,5.00,6.75,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3246175,4.00,5.00,3.00,5.00,6.00,7.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3246183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3246205,6.00,7.00,6.00,8.00,8.00,7.00,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3246213,8.00,6.00,8.00,8.00,8.00,8.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3246221,5.00,8.00,7.00,6.00,7.00,5.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3246230,2.00,3.00,4.00,6.00,4.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3246248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3246256,5.00,7.00,4.00,7.00,4.00,6.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3246264,3.00,3.00,3.00,6.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3246272,6.00,2.00,2.00,2.00,5.00,4.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3246280,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3246299,5.00,6.00,3.00,3.00,4.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3246302,3.00,5.00,1.00,5.00,4.00,4.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3246310,4.00,7.00,4.00,8.00,7.00,6.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3246337,4.00,4.00,3.00,6.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3246345,3.00,6.00,4.00,9.00,7.00,7.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3246353,8.00,5.00,9.00,7.00,6.00,7.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3246361,8.00,5.00,6.00,8.00,8.00,6.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3246370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3246388,4.00,4.00,4.00,6.00,4.00,4.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3246396,3.00,6.00,1.00,1.00,2.00,NULL,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3246418,2.00,6.00,4.00,2.00,4.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(16,3246426,9.00,7.00,4.00,7.00,6.00,4.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3246434,8.00,7.00,4.00,6.00,4.00,4.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3246442,6.00,7.00,1.00,0.00,5.00,5.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3246469,3.00,4.00,3.00,6.00,5.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3246477,0.00,0.00,0.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3246485,6.00,8.00,5.00,7.00,7.00,7.00,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3246493,2.00,2.00,4.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3246507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3246515,3.00,4.00,2.00,4.00,4.00,6.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3246523,5.00,3.00,4.00,6.00,6.00,6.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3246531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3246540,2.00,0.00,2.00,2.00,2.00,NULL,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3246558,8.00,7.00,7.00,8.00,7.00,6.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3246566,6.00,5.00,3.00,6.00,3.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3246574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3246582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3246604,6.00,3.00,5.00,5.00,4.00,5.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3246612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3246620,9.00,6.00,9.00,8.00,4.00,6.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3246639,4.00,0.00,1.00,3.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'S'),(16,3246647,5.00,7.00,4.00,5.00,4.00,4.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3246655,9.00,5.00,7.00,7.00,7.00,7.25,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3246698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3246710,2.00,6.00,4.00,7.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3246728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3246736,5.00,3.00,4.00,5.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3246744,4.00,3.00,5.00,2.00,4.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3246752,6.00,6.00,5.00,8.00,6.00,6.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3246760,4.00,3.00,2.00,5.00,5.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3246787,5.00,4.00,3.00,6.00,5.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3246795,2.00,5.00,1.00,6.00,3.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3246817,2.00,2.00,4.00,2.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3246825,4.00,5.00,3.00,7.00,5.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3246833,4.00,5.00,6.00,3.00,5.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3246841,6.00,5.00,4.00,3.00,3.00,NULL,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3246850,4.00,6.00,5.00,5.00,5.00,5.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3246868,4.00,5.00,4.00,4.00,3.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3246884,6.00,2.00,1.00,4.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3246892,7.00,5.00,6.00,8.00,8.00,5.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3246914,7.00,6.00,8.00,9.00,7.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3246922,4.00,5.00,2.00,1.00,5.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3246930,6.00,3.00,5.00,4.00,5.00,5.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3246949,4.00,4.00,1.00,4.00,4.00,0.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3246957,5.00,5.00,5.00,8.00,5.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3246965,4.00,1.00,1.00,7.00,4.00,5.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3246973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3246981,2.00,3.00,4.00,4.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3246990,4.00,5.00,2.00,7.00,5.00,5.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3247031,6.00,7.00,7.00,8.00,8.00,6.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3247040,6.00,6.00,3.00,4.00,5.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3247058,4.00,5.00,4.00,8.00,4.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3247066,1.00,3.00,2.00,3.00,1.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3247074,5.00,3.00,2.00,2.00,3.00,NULL,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3247082,5.00,5.00,2.00,4.00,4.00,5.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3247090,4.00,2.00,3.00,6.00,4.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3247112,3.00,3.00,3.00,9.00,7.00,5.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3247120,4.00,7.00,2.00,2.00,4.00,4.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3247147,6.00,3.00,1.00,7.00,4.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3247155,4.00,5.00,1.00,6.00,5.00,4.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3247163,4.00,6.00,4.00,6.00,6.00,5.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3247171,3.00,1.00,2.00,5.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3247180,5.00,5.00,4.00,7.00,5.00,4.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3247198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3247201,3.00,4.00,1.00,1.00,3.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3247210,4.00,5.00,4.00,7.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3247228,6.00,6.00,3.00,3.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3247236,5.00,5.00,2.00,6.00,2.00,NULL,1.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3247244,5.00,7.00,3.00,7.00,7.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3247252,3.00,4.00,5.00,9.00,5.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3247260,3.00,5.00,1.00,6.00,4.00,5.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3247279,5.00,5.00,6.00,9.00,3.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3247287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3247295,5.00,5.00,7.00,5.00,5.00,4.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3247309,9.00,7.00,7.00,9.00,7.00,6.75,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3247317,4.00,8.00,6.00,9.00,6.00,7.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3247325,2.00,7.00,4.00,7.00,4.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3247341,5.00,3.00,2.00,8.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3247350,2.00,1.00,4.00,6.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3247368,7.00,7.00,4.00,7.00,6.00,7.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3247376,5.00,2.00,2.00,6.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3247384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3247392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3247406,2.00,3.00,4.00,4.00,4.00,7.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3247414,3.00,3.00,4.00,5.00,6.00,4.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3247422,1.00,4.00,3.00,6.00,4.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3247430,1.00,3.00,2.00,3.00,4.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3247457,1.00,4.00,4.00,7.00,4.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3247465,5.00,4.00,2.00,5.00,5.00,6.50,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3247473,0.00,1.00,3.00,3.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3247481,8.00,6.00,8.00,5.00,7.00,7.25,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3247490,3.00,5.00,2.00,6.00,4.00,4.75,1.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3247503,1.00,3.00,2.00,0.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3247511,6.00,5.00,4.00,8.00,6.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3247520,2.00,1.00,1.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3247538,8.00,9.00,4.00,6.00,5.00,5.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3247546,3.00,7.00,3.00,6.00,5.00,5.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3247554,1.00,2.00,2.00,3.00,6.00,5.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3247562,1.00,6.00,3.00,7.00,6.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3247570,2.00,4.00,2.00,7.00,5.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3247589,4.00,4.00,1.00,4.00,2.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3247600,5.00,7.00,5.00,3.00,5.00,5.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3247619,4.00,2.00,2.00,3.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3247627,3.00,5.00,4.00,5.00,5.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3247635,6.00,3.00,3.00,7.00,6.00,5.50,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3247643,7.00,7.00,4.00,7.00,6.00,6.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3247651,3.00,3.00,3.00,3.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3247660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3247678,6.00,7.00,3.00,3.00,7.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3247686,5.00,6.00,4.00,7.00,6.00,6.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3247694,6.00,2.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3247708,5.00,6.00,3.00,8.00,7.00,5.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3247716,3.00,4.00,2.00,5.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3247724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3247732,1.00,3.00,3.00,3.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3247740,3.00,2.00,1.00,4.00,6.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3247759,5.00,5.00,5.00,9.00,6.00,6.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3247767,5.00,3.00,1.00,5.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3247783,3.00,5.00,4.00,7.00,4.00,4.25,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3247791,2.00,4.00,4.00,0.00,0.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3247805,2.00,3.00,3.00,1.00,2.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3247813,1.00,3.00,6.00,6.00,5.00,4.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3247821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3247830,5.00,7.00,6.00,7.00,7.00,5.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3247848,2.00,2.00,2.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3247856,3.00,3.00,3.00,4.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3247864,5.00,5.00,5.00,6.00,7.00,5.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3247872,3.00,4.00,1.00,4.00,3.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3247880,0.00,0.00,3.00,4.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3247902,2.00,3.00,2.00,5.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3247910,2.00,5.00,4.00,3.00,1.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3247929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3247937,5.00,8.00,6.00,3.00,5.00,7.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3247945,4.00,8.00,5.00,9.00,7.00,6.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3247953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3247961,2.00,1.00,1.00,3.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3247970,3.00,6.00,4.00,6.00,4.00,5.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3247996,3.00,3.00,1.00,7.00,4.00,6.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3248003,2.00,3.00,3.00,7.00,4.00,6.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3248011,4.00,4.00,4.00,7.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3248020,2.00,3.00,1.00,5.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3248038,3.00,3.00,3.00,6.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3248054,7.00,7.00,5.00,8.00,8.00,5.50,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3248062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3248089,5.00,6.00,3.00,7.00,6.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3248100,1.00,3.00,3.00,3.00,1.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3248119,6.00,5.00,7.00,5.00,6.00,7.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3248127,3.00,7.00,4.00,6.00,5.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3248135,5.00,3.00,3.00,1.00,4.00,4.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3248143,7.00,6.00,3.00,6.00,5.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3248151,5.00,4.00,1.00,5.00,4.00,4.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3248160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3248178,2.00,1.00,1.00,2.00,5.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3248186,6.00,4.00,3.00,8.00,7.00,6.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3248194,5.00,4.00,2.00,5.00,2.00,NULL,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3248208,3.00,6.00,1.00,3.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3248216,3.00,5.00,1.00,4.00,2.00,NULL,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3248224,0.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3248232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3248240,4.00,4.00,1.00,4.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3248259,6.00,4.00,1.00,4.00,4.00,4.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3248267,1.00,2.00,1.00,4.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3248275,1.00,3.00,3.00,8.00,6.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3248283,6.00,3.00,3.00,5.00,3.00,NULL,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3248291,1.00,1.00,4.00,4.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3248321,6.00,4.00,2.00,5.00,5.00,6.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3248330,3.00,7.00,5.00,8.00,6.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3248348,4.00,7.00,2.00,9.00,9.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3248356,7.00,6.00,5.00,8.00,6.00,5.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3248364,5.00,4.00,4.00,6.00,5.00,5.75,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3248372,2.00,4.00,3.00,1.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3248380,4.00,3.00,1.00,5.00,4.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3248399,9.00,9.00,8.00,8.00,6.00,6.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3248429,3.00,4.00,3.00,4.00,6.00,4.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3248437,3.00,4.00,3.00,5.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3248453,4.00,3.00,3.00,3.00,3.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3248461,0.00,5.00,3.00,2.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3248470,5.00,5.00,5.00,7.00,6.00,6.25,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3248488,5.00,6.00,2.00,4.00,4.00,5.50,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3248496,8.00,7.00,5.00,8.00,7.00,5.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3248500,3.00,4.00,4.00,4.00,4.00,3.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3248518,4.00,6.00,4.00,6.00,6.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3248526,2.00,3.00,3.00,2.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3248534,3.00,2.00,4.00,1.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3248550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3248569,6.00,5.00,2.00,7.00,5.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3248577,9.00,8.00,8.00,5.00,7.00,6.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3248585,3.00,1.00,4.00,6.00,5.00,4.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3248593,4.00,8.00,2.00,8.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3248607,4.00,3.00,2.00,5.00,5.00,5.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3248615,3.00,5.00,2.00,8.00,4.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3248623,5.00,4.00,1.00,5.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3248631,5.00,4.00,5.00,5.00,4.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3248640,2.00,6.00,2.00,4.00,5.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3248658,4.00,3.00,3.00,5.00,3.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'S'),(16,3248666,3.00,5.00,3.00,5.00,8.00,6.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3248674,1.00,4.00,3.00,1.00,1.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3248682,7.00,8.00,7.00,7.00,6.00,6.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3248690,5.00,6.00,5.00,7.00,4.00,5.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3248704,2.00,6.00,3.00,8.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3248712,5.00,6.00,5.00,6.00,4.00,5.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3248720,3.00,4.00,3.00,6.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3248739,2.00,3.00,2.00,5.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3248755,5.00,6.00,4.00,7.00,7.00,6.75,4.00,0.00,5.00,NULL,NULL,NULL,'S'),(16,3248763,6.00,5.00,4.00,5.00,6.00,5.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3248771,4.00,6.00,5.00,7.00,4.00,4.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3248780,4.00,3.00,2.00,6.00,4.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3248798,1.00,2.00,2.00,6.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3248801,5.00,4.00,1.00,6.00,5.00,4.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3248810,4.00,3.00,4.00,3.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3248828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3248836,1.00,2.00,2.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3248844,9.00,7.00,9.00,7.00,8.00,6.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3248860,6.00,4.00,5.00,6.00,5.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3248879,3.00,0.00,1.00,3.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3248887,4.00,3.00,4.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3248895,7.00,6.00,5.00,8.00,6.00,6.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3248909,3.00,1.00,3.00,3.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3248917,3.00,3.00,2.00,3.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3248925,4.00,4.00,2.00,2.00,4.00,4.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3248933,6.00,4.00,4.00,5.00,8.00,7.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3248941,2.00,2.00,3.00,2.00,0.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3248950,5.00,3.00,2.00,7.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3248968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3248976,2.00,3.00,4.00,5.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3248984,6.00,5.00,3.00,8.00,7.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3248992,5.00,4.00,4.00,5.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3249000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3249026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3249042,7.00,4.00,2.00,8.00,6.00,6.50,5.00,6.00,6.00,NULL,NULL,NULL,'S'),(16,3249050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3249077,7.00,7.00,4.00,5.00,4.00,5.00,2.00,7.00,2.00,NULL,NULL,NULL,'S'),(16,3249085,1.00,3.00,3.00,4.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3249093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3249107,4.00,0.00,2.00,2.00,2.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3249115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3249123,5.00,6.00,4.00,6.00,6.00,4.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3249131,6.00,3.00,2.00,3.00,4.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3249140,3.00,1.00,1.00,2.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3249158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3249166,4.00,4.00,4.00,6.00,4.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3249174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3249182,3.00,3.00,4.00,3.00,4.00,5.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3249190,7.00,5.00,6.00,8.00,5.00,4.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3249204,7.00,8.00,6.00,10.00,8.00,7.00,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3249212,2.00,5.00,4.00,5.00,6.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3249220,6.00,7.00,5.00,7.00,6.00,4.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3249239,8.00,6.00,3.00,6.00,4.00,4.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3249247,5.00,6.00,3.00,4.00,2.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3249255,7.00,2.00,2.00,6.00,4.00,5.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3249271,3.00,6.00,5.00,1.00,6.00,4.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3249280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3249298,5.00,5.00,3.00,5.00,4.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3249301,5.00,3.00,2.00,8.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3249328,2.00,5.00,1.00,3.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3249336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3249344,7.00,7.00,4.00,8.00,4.00,6.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3249352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3249360,1.00,3.00,1.00,6.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3249387,3.00,3.00,2.00,1.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3249395,5.00,6.00,6.00,9.00,9.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3249409,4.00,3.00,1.00,2.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3249417,3.00,2.00,4.00,4.00,1.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3249425,3.00,2.00,2.00,1.00,5.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3249433,4.00,6.00,6.00,7.00,5.00,5.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3249441,1.00,1.00,3.00,5.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3249450,4.00,6.00,2.00,1.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3249468,5.00,8.00,7.00,2.00,5.00,4.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3249476,3.00,6.00,4.00,6.00,4.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3249484,3.00,5.00,3.00,8.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3249506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3249522,2.00,5.00,1.00,3.00,4.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3249530,1.00,4.00,1.00,2.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3249549,4.00,4.00,6.00,3.00,8.00,5.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3249565,5.00,4.00,3.00,3.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3249573,5.00,6.00,4.00,7.00,8.00,7.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3249581,5.00,6.00,2.00,8.00,4.00,5.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3249590,5.00,4.00,2.00,5.00,5.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3249603,2.00,1.00,1.00,2.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3249620,2.00,3.00,3.00,9.00,6.00,6.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3249638,3.00,6.00,5.00,8.00,6.00,4.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3249646,6.00,5.00,3.00,3.00,3.00,NULL,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3249654,4.00,0.00,2.00,0.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3249670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3249689,1.00,3.00,1.00,3.00,3.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3249697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3249700,3.00,4.00,2.00,6.00,4.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3249719,3.00,3.00,2.00,2.00,4.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3249735,4.00,3.00,3.00,5.00,4.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3249743,3.00,2.00,2.00,5.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3249751,5.00,6.00,2.00,6.00,4.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3249760,3.00,4.00,1.00,7.00,7.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3249778,4.00,0.00,1.00,6.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3249786,5.00,7.00,4.00,8.00,3.00,NULL,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3249794,5.00,6.00,4.00,8.00,5.00,5.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3249808,3.00,0.00,1.00,2.00,6.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3249816,6.00,6.00,7.00,6.00,7.00,6.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3249832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3249840,4.00,2.00,3.00,1.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3249859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3249883,2.00,7.00,2.00,3.00,6.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3249891,5.00,6.00,4.00,8.00,7.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3249905,4.00,5.00,4.00,3.00,5.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3249930,6.00,3.00,4.00,7.00,5.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3249948,2.00,3.00,2.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3249956,4.00,1.00,1.00,2.00,2.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'S'),(16,3249964,5.00,4.00,6.00,4.00,4.00,6.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3249972,4.00,2.00,2.00,4.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3249980,3.00,3.00,4.00,6.00,6.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3249999,7.00,5.00,4.00,8.00,5.00,4.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3250008,1.00,1.00,3.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3250016,5.00,7.00,4.00,9.00,6.00,5.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3250024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3250032,4.00,5.00,4.00,7.00,5.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3250040,4.00,2.00,3.00,2.00,4.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3250091,2.00,2.00,2.00,4.00,5.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3250105,6.00,5.00,3.00,4.00,6.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3250113,3.00,5.00,4.00,6.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3250121,4.00,7.00,5.00,8.00,4.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3250130,2.00,2.00,4.00,4.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3250148,5.00,3.00,2.00,4.00,0.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3250156,9.00,7.00,8.00,8.00,7.00,5.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3250164,2.00,3.00,4.00,5.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'S'),(16,3250172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3250199,4.00,6.00,3.00,7.00,7.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3250202,0.00,3.00,2.00,3.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3250210,3.00,6.00,4.00,9.00,5.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3250229,4.00,6.00,3.00,5.00,3.00,NULL,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3250237,4.00,1.00,2.00,6.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3250245,2.00,4.00,4.00,8.00,4.00,6.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3250253,6.00,8.00,5.00,7.00,6.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3250261,7.00,5.00,4.00,8.00,6.00,4.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3250270,6.00,6.00,1.00,8.00,7.00,8.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3250288,8.00,9.00,4.00,8.00,7.00,5.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3250296,4.00,3.00,4.00,3.00,5.00,6.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3250300,6.00,7.00,4.00,8.00,5.00,5.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3250318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3250326,5.00,6.00,2.00,7.00,2.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3250334,7.00,4.00,2.00,6.00,7.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3250342,5.00,2.00,2.00,6.00,1.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3250350,6.00,1.00,6.00,3.00,3.00,NULL,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3250369,8.00,7.00,2.00,8.00,4.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3250377,2.00,4.00,4.00,7.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3250385,6.00,3.00,4.00,6.00,6.00,5.75,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3250393,4.00,5.00,4.00,8.00,6.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3250407,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3250415,3.00,5.00,3.00,3.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3250431,4.00,5.00,4.00,7.00,5.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3250440,3.00,3.00,4.00,5.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3250458,6.00,6.00,5.00,7.00,5.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3250466,4.00,2.00,4.00,2.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3250482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3250490,4.00,2.00,3.00,6.00,5.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3250504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3250512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3250520,5.00,5.00,3.00,9.00,3.00,NULL,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3250539,3.00,1.00,2.00,1.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3250555,5.00,5.00,3.00,7.00,6.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3250571,5.00,5.00,4.00,5.00,4.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3250580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3250598,4.00,3.00,4.00,5.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3250601,4.00,1.00,2.00,4.00,4.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3250610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3250644,2.00,5.00,1.00,5.00,4.00,3.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3250660,3.00,5.00,4.00,8.00,4.00,4.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3250679,1.00,1.00,1.00,4.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3250687,4.00,1.00,1.00,2.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3250709,5.00,8.00,3.00,5.00,7.00,4.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3250717,2.00,2.00,4.00,4.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3250725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3250741,2.00,5.00,4.00,5.00,5.00,6.00,3.00,7.00,0.00,NULL,NULL,NULL,'N'),(16,3250750,6.00,5.00,3.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3250768,4.00,5.00,2.00,10.00,8.00,5.50,3.00,8.00,5.00,NULL,NULL,NULL,'S'),(16,3250792,8.00,8.00,5.00,8.00,8.00,6.50,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3250814,3.00,3.00,1.00,6.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3250822,6.00,6.00,5.00,8.00,6.00,5.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3250830,6.00,3.00,3.00,3.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3250849,5.00,7.00,7.00,9.00,5.00,4.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3250857,1.00,1.00,2.00,3.00,3.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3250865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3250873,7.00,8.00,3.00,6.00,6.00,6.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3250881,3.00,1.00,1.00,2.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3250890,7.00,6.00,4.00,6.00,4.00,5.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3250903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3250911,5.00,7.00,6.00,5.00,7.00,6.25,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3250920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3250946,1.00,1.00,2.00,0.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3250962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3250970,7.00,6.00,6.00,4.00,7.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3250997,6.00,8.00,7.00,9.00,8.00,5.75,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3251012,1.00,5.00,2.00,3.00,5.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3251020,4.00,4.00,5.00,5.00,5.00,4.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3251039,4.00,4.00,4.00,4.00,0.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(16,3251047,4.00,4.00,3.00,0.00,4.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3251055,5.00,4.00,4.00,8.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3251063,0.00,1.00,2.00,6.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3251071,6.00,6.00,5.00,8.00,5.00,5.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3251080,1.00,3.00,1.00,6.00,3.00,NULL,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3251098,7.00,6.00,5.00,8.00,7.00,6.00,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3251101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3251128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3251136,6.00,5.00,5.00,5.00,7.00,4.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3251144,8.00,7.00,9.00,9.00,9.00,6.50,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3251152,1.00,2.00,4.00,3.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3251160,2.00,1.00,4.00,2.00,2.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3251179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3251187,5.00,5.00,3.00,5.00,5.00,4.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3251195,4.00,5.00,4.00,7.00,4.00,5.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3251209,5.00,5.00,1.00,8.00,7.00,6.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3251217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3251225,1.00,2.00,2.00,1.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3251233,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3251241,1.00,4.00,2.00,6.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3251250,5.00,4.00,1.00,3.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3251268,4.00,4.00,1.00,2.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3251276,4.00,5.00,3.00,5.00,5.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3251284,5.00,5.00,3.00,6.00,6.00,6.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3251292,6.00,7.00,2.00,9.00,7.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3251306,4.00,3.00,1.00,4.00,6.00,4.00,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3251314,0.00,0.00,0.00,7.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3251330,5.00,5.00,9.00,7.00,6.00,5.50,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3251349,1.00,2.00,1.00,7.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3251357,4.00,6.00,2.00,7.00,5.00,7.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3251365,5.00,4.00,1.00,4.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3251373,0.00,0.00,0.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3251381,7.00,5.00,4.00,7.00,7.00,6.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3251390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3251411,6.00,4.00,6.00,6.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3251438,2.00,5.00,1.00,5.00,7.00,6.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3251446,3.00,7.00,5.00,3.00,5.00,5.25,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3251454,2.00,5.00,3.00,0.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3251462,5.00,6.00,3.00,8.00,6.00,8.25,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3251470,4.00,3.00,4.00,4.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3251489,6.00,4.00,4.00,8.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3251497,3.00,1.00,1.00,2.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3251500,5.00,3.00,4.00,7.00,1.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3251519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3251527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3251543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3251560,7.00,6.00,8.00,8.00,6.00,5.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3251578,4.00,3.00,1.00,7.00,4.00,5.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3251586,4.00,3.00,3.00,7.00,5.00,4.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3251608,3.00,3.00,3.00,1.00,5.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3251616,3.00,4.00,2.00,4.00,4.00,4.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3251624,3.00,8.00,2.00,9.00,4.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3251632,4.00,4.00,2.00,8.00,1.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3251640,2.00,5.00,2.00,6.00,6.00,5.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3251659,7.00,6.00,4.00,7.00,6.00,7.00,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3251667,4.00,5.00,2.00,7.00,6.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3251675,2.00,4.00,5.00,6.00,4.00,4.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3251691,4.00,3.00,4.00,8.00,6.00,4.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3251705,4.00,6.00,3.00,7.00,5.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3251713,4.00,4.00,4.00,4.00,5.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3251721,2.00,3.00,1.00,4.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3251730,4.00,5.00,4.00,6.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3251748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3251756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3251772,3.00,4.00,1.00,6.00,4.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3251799,4.00,4.00,2.00,8.00,5.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3251802,4.00,6.00,5.00,7.00,5.00,5.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3251810,3.00,4.00,2.00,3.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3251829,1.00,3.00,4.00,0.00,4.00,NULL,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3251837,5.00,2.00,4.00,9.00,4.00,4.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3251845,4.00,6.00,6.00,4.00,7.00,5.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3251853,4.00,6.00,4.00,7.00,4.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3251870,5.00,3.00,4.00,7.00,6.00,4.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3251888,5.00,4.00,3.00,2.00,6.00,6.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3251896,3.00,4.00,4.00,7.00,6.00,5.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3251900,6.00,8.00,5.00,6.00,5.00,6.50,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3251918,5.00,7.00,4.00,7.00,9.00,5.00,1.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3251926,1.00,4.00,4.00,8.00,4.00,4.50,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3251934,4.00,3.00,7.00,7.00,4.00,6.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3251942,2.00,5.00,3.00,0.00,0.00,NULL,0.00,0.00,0.00,'S',NULL,'S','S'),(16,3251950,3.00,5.00,4.00,0.00,4.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3251969,4.00,6.00,2.00,8.00,8.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3251977,3.00,4.00,2.00,1.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3251985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3251993,9.00,9.00,5.00,6.00,8.00,4.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3252000,2.00,5.00,3.00,6.00,6.00,6.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3252019,3.00,6.00,5.00,8.00,4.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3252027,3.00,3.00,2.00,3.00,1.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3252035,2.00,2.00,4.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3252043,6.00,4.00,5.00,5.00,6.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3252060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3252078,2.00,5.00,4.00,7.00,5.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3252086,3.00,1.00,2.00,5.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3252094,0.00,2.00,2.00,4.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'S'),(16,3252108,6.00,5.00,5.00,8.00,8.00,7.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3252116,4.00,6.00,4.00,6.00,5.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3252124,4.00,6.00,5.00,6.00,3.00,NULL,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3252132,5.00,4.00,4.00,5.00,5.00,4.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3252140,4.00,4.00,4.00,6.00,5.00,5.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3252159,0.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3252167,3.00,6.00,2.00,9.00,6.00,4.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3252175,3.00,7.00,4.00,7.00,6.00,5.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3252183,5.00,4.00,3.00,1.00,5.00,4.75,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3252191,7.00,7.00,5.00,9.00,8.00,6.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3252205,4.00,7.00,3.00,9.00,6.00,4.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3252213,4.00,6.00,4.00,9.00,4.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3252221,3.00,4.00,3.00,4.00,7.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3252230,3.00,1.00,4.00,6.00,6.00,5.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3252256,5.00,1.00,3.00,6.00,4.00,5.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3252264,7.00,6.00,7.00,8.00,7.00,6.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3252272,2.00,4.00,5.00,3.00,5.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3252280,3.00,4.00,3.00,1.00,3.00,NULL,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3252302,1.00,2.00,3.00,3.00,4.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3252310,1.00,1.00,3.00,2.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3252329,1.00,0.00,1.00,0.00,1.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3252337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3252345,2.00,2.00,4.00,7.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3252353,3.00,6.00,2.00,0.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(16,3252370,6.00,8.00,4.00,8.00,6.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3252396,7.00,5.00,5.00,7.00,5.00,6.25,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3252400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3252426,5.00,3.00,2.00,2.00,0.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3252434,3.00,3.00,2.00,6.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3252442,2.00,3.00,1.00,2.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3252450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3252477,6.00,3.00,3.00,4.00,6.00,5.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3252485,4.00,3.00,2.00,2.00,1.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3252493,3.00,5.00,3.00,8.00,5.00,7.00,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3252507,3.00,8.00,8.00,9.00,7.00,6.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3252515,3.00,3.00,2.00,3.00,7.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3252523,2.00,1.00,3.00,5.00,4.00,4.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3252531,3.00,5.00,3.00,5.00,6.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3252540,1.00,0.00,3.00,2.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3252558,3.00,4.00,3.00,4.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3252566,4.00,1.00,2.00,8.00,5.00,6.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3252574,7.00,4.00,4.00,4.00,8.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3252582,2.00,4.00,2.00,2.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3252590,3.00,4.00,2.00,3.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3252604,5.00,4.00,1.00,6.00,4.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3252612,3.00,4.00,1.00,4.00,1.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3252639,0.00,2.00,3.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3252647,3.00,3.00,4.00,6.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3252655,4.00,5.00,4.00,7.00,4.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3252663,2.00,7.00,7.00,4.00,4.00,4.50,4.00,9.00,4.00,NULL,NULL,NULL,'S'),(16,3252671,8.00,6.00,8.00,8.00,6.00,6.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3252680,2.00,3.00,2.00,4.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3252698,4.00,5.00,3.00,4.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3252701,3.00,3.00,4.00,5.00,5.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3252710,5.00,1.00,1.00,4.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3252728,3.00,3.00,2.00,3.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3252736,5.00,3.00,2.00,3.00,5.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3252744,4.00,5.00,4.00,3.00,6.00,5.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3252752,6.00,7.00,2.00,3.00,5.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3252779,5.00,5.00,4.00,3.00,6.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3252787,4.00,4.00,3.00,5.00,5.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3252795,5.00,5.00,3.00,5.00,4.00,6.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3252809,4.00,4.00,2.00,8.00,6.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3252817,7.00,5.00,4.00,9.00,7.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3252825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3252833,4.00,3.00,6.00,5.00,3.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3252841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3252850,5.00,2.00,2.00,8.00,5.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3252868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3252876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3252884,7.00,3.00,4.00,2.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3252906,2.00,4.00,1.00,6.00,5.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3252914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3252922,5.00,5.00,3.00,5.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3252930,3.00,4.00,5.00,1.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3252949,5.00,6.00,2.00,7.00,4.00,5.00,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3252957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3252965,3.00,7.00,5.00,8.00,5.00,6.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3252990,5.00,4.00,4.00,6.00,3.00,NULL,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3253015,1.00,3.00,2.00,6.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3253031,5.00,5.00,4.00,2.00,3.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3253040,4.00,4.00,5.00,6.00,5.00,7.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3253058,3.00,0.00,1.00,0.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3253066,7.00,6.00,5.00,8.00,7.00,6.25,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3253074,9.00,6.00,8.00,9.00,8.00,7.25,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3253082,4.00,4.00,4.00,3.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3253090,3.00,5.00,1.00,2.00,2.00,NULL,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3253104,5.00,3.00,5.00,0.00,0.00,NULL,3.00,3.00,4.00,'S',NULL,NULL,'N'),(16,3253112,3.00,4.00,5.00,5.00,4.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3253120,5.00,8.00,3.00,8.00,7.00,5.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3253139,4.00,0.00,1.00,7.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3253147,2.00,3.00,4.00,6.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3253155,2.00,2.00,2.00,1.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3253171,5.00,6.00,2.00,1.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3253180,3.00,4.00,2.00,7.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3253198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3253201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3253210,4.00,6.00,4.00,7.00,3.00,NULL,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3253228,6.00,3.00,7.00,2.00,4.00,7.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3253236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3253244,3.00,4.00,2.00,6.00,5.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3253252,8.00,7.00,5.00,7.00,8.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3253260,6.00,5.00,3.00,4.00,6.00,5.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3253279,3.00,1.00,4.00,5.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3253287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3253295,2.00,1.00,1.00,3.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3253317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3253325,6.00,7.00,5.00,7.00,6.00,4.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3253333,3.00,5.00,2.00,5.00,6.00,6.75,5.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3253341,5.00,3.00,3.00,4.00,5.00,4.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3253350,5.00,5.00,3.00,9.00,7.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3253368,4.00,4.00,2.00,6.00,4.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3253376,5.00,3.00,4.00,3.00,4.00,5.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3253384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3253392,3.00,4.00,5.00,2.00,4.00,4.00,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3253414,3.00,3.00,1.00,4.00,5.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3253422,4.00,2.00,4.00,6.00,4.00,4.75,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(16,3253449,6.00,6.00,7.00,7.00,6.00,6.50,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(16,3253457,4.00,1.00,3.00,4.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3253465,8.00,5.00,5.00,7.00,6.00,5.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3253473,4.00,2.00,2.00,4.00,4.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3253481,2.00,3.00,1.00,4.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3253490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3253503,3.00,8.00,1.00,7.00,7.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3253511,4.00,4.00,1.00,7.00,6.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3253520,5.00,6.00,3.00,8.00,8.00,4.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3253546,3.00,2.00,3.00,5.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3253554,3.00,4.00,1.00,5.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3253562,2.00,1.00,2.00,3.00,1.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3253570,4.00,5.00,2.00,4.00,5.00,4.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3253589,3.00,3.00,2.00,7.00,3.00,NULL,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3253597,9.00,7.00,7.00,5.00,8.00,7.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3253600,8.00,9.00,5.00,7.00,6.00,7.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3253619,3.00,4.00,1.00,6.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3253627,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3253635,3.00,5.00,3.00,5.00,5.00,4.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3253643,4.00,4.00,2.00,7.00,5.00,5.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3253651,4.00,3.00,2.00,6.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3253678,5.00,4.00,4.00,7.00,7.00,5.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3253686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3253694,5.00,5.00,3.00,8.00,2.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3253708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3253716,2.00,3.00,1.00,3.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3253724,3.00,6.00,3.00,6.00,4.00,4.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3253732,4.00,3.00,2.00,3.00,5.00,4.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3253740,2.00,2.00,6.00,4.00,5.00,5.75,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3253759,4.00,3.00,1.00,9.00,0.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3253767,2.00,3.00,5.00,6.00,4.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3253775,6.00,5.00,3.00,0.00,6.00,4.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3253791,5.00,1.00,3.00,4.00,4.00,4.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3253805,5.00,8.00,5.00,5.00,6.00,4.25,4.00,7.00,0.00,NULL,NULL,NULL,'N'),(16,3253813,4.00,6.00,3.00,8.00,4.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3253821,3.00,3.00,2.00,1.00,5.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3253830,4.00,2.00,1.00,7.00,4.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3253864,5.00,3.00,4.00,3.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3253872,7.00,9.00,7.00,8.00,8.00,6.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3253880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3253902,3.00,5.00,7.00,5.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3253910,4.00,5.00,1.00,5.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(16,3253953,3.00,3.00,4.00,6.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3253961,4.00,6.00,3.00,7.00,6.00,5.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3253970,5.00,4.00,3.00,1.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3253988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3253996,3.00,2.00,4.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3254003,5.00,2.00,2.00,7.00,4.00,5.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3254011,5.00,4.00,6.00,2.00,2.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3254020,6.00,6.00,6.00,9.00,6.00,6.50,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3254038,3.00,5.00,2.00,7.00,7.00,7.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3254046,5.00,7.00,3.00,7.00,5.00,6.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3254054,7.00,6.00,2.00,6.00,4.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3254062,5.00,4.00,5.00,9.00,6.00,5.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3254089,3.00,3.00,1.00,0.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3254100,2.00,5.00,3.00,1.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3254127,2.00,1.00,2.00,3.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3254135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3254143,3.00,4.00,2.00,3.00,6.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3254151,4.00,4.00,6.00,9.00,6.00,6.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3254160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3254178,5.00,5.00,7.00,2.00,4.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3254186,4.00,6.00,5.00,7.00,5.00,4.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3254208,3.00,2.00,1.00,2.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3254224,4.00,4.00,4.00,4.00,5.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3254232,7.00,7.00,4.00,8.00,6.00,6.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3254240,2.00,3.00,1.00,3.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3254259,3.00,4.00,2.00,6.00,4.00,7.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3254267,2.00,5.00,4.00,5.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3254283,3.00,4.00,2.00,1.00,4.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3254291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3254305,5.00,5.00,3.00,8.00,6.00,6.25,4.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3254313,4.00,6.00,5.00,8.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3254321,7.00,8.00,4.00,4.00,5.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3254330,3.00,5.00,2.00,7.00,5.00,4.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3254348,4.00,6.00,5.00,5.00,6.00,5.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3254356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3254364,3.00,2.00,2.00,5.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3254372,4.00,5.00,4.00,3.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3254380,8.00,7.00,6.00,8.00,7.00,5.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3254399,8.00,7.00,6.00,8.00,6.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3254402,7.00,5.00,4.00,7.00,6.00,5.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3254410,1.00,0.00,3.00,4.00,1.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3254429,7.00,9.00,6.00,6.00,7.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3254437,3.00,5.00,3.00,2.00,4.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3254453,7.00,7.00,2.00,8.00,5.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3254461,6.00,8.00,8.00,8.00,6.00,7.00,5.00,8.00,6.00,NULL,NULL,NULL,'S'),(16,3254470,2.00,5.00,3.00,4.00,2.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3254488,4.00,3.00,4.00,6.00,7.00,5.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3254496,4.00,5.00,5.00,7.00,4.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3254500,4.00,4.00,5.00,5.00,5.00,7.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3254518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3254526,7.00,6.00,6.00,7.00,6.00,6.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3254534,6.00,4.00,4.00,5.00,4.00,5.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3254550,7.00,5.00,5.00,3.00,5.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3254569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3254577,2.00,6.00,2.00,2.00,4.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3254585,3.00,2.00,4.00,5.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3254593,5.00,7.00,4.00,5.00,6.00,7.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3254607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3254615,5.00,7.00,3.00,8.00,6.00,6.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3254623,3.00,1.00,1.00,5.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'S'),(16,3254640,6.00,6.00,6.00,8.00,6.00,4.75,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3254658,6.00,4.00,8.00,9.00,4.00,5.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3254666,5.00,2.00,3.00,2.00,5.00,6.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3254674,5.00,3.00,2.00,0.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3254682,8.00,7.00,9.00,7.00,8.00,7.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3254690,6.00,6.00,4.00,8.00,7.00,7.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3254704,5.00,3.00,2.00,3.00,5.00,4.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3254712,3.00,3.00,3.00,6.00,3.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3254720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3254739,7.00,5.00,4.00,6.00,7.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3254747,6.00,6.00,3.00,7.00,4.00,4.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3254755,4.00,3.00,4.00,7.00,5.00,6.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3254763,7.00,8.00,4.00,6.00,4.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3254771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3254780,6.00,4.00,7.00,5.00,6.00,6.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3254798,1.00,2.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3254801,4.00,4.00,2.00,3.00,4.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3254810,4.00,3.00,4.00,6.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3254836,5.00,5.00,5.00,5.00,6.00,7.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3254844,9.00,7.00,6.00,9.00,6.00,5.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3254852,4.00,2.00,2.00,4.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3254860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3254879,5.00,4.00,5.00,6.00,6.00,4.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3254887,1.00,4.00,2.00,4.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3254895,4.00,5.00,3.00,6.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3254909,3.00,4.00,4.00,1.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'S'),(16,3254917,3.00,5.00,1.00,7.00,4.00,0.00,5.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3254925,5.00,4.00,2.00,5.00,4.00,4.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3254933,2.00,5.00,4.00,4.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3254941,6.00,5.00,7.00,7.00,8.00,5.25,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3254950,3.00,7.00,3.00,6.00,6.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3254976,1.00,1.00,1.00,2.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3254984,9.00,8.00,6.00,8.00,8.00,7.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3254992,4.00,6.00,4.00,8.00,6.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3255000,7.00,5.00,3.00,8.00,6.00,6.75,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3255018,2.00,5.00,5.00,7.00,6.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3255026,2.00,1.00,3.00,2.00,1.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3255034,3.00,4.00,4.00,8.00,8.00,6.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3255042,3.00,4.00,4.00,6.00,5.00,4.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3255050,6.00,5.00,8.00,8.00,6.00,5.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3255069,1.00,6.00,2.00,7.00,4.00,5.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3255077,4.00,3.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3255085,2.00,3.00,5.00,1.00,6.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3255093,3.00,6.00,2.00,7.00,1.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3255107,5.00,5.00,3.00,2.00,4.00,3.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3255123,3.00,5.00,3.00,6.00,7.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3255131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3255140,3.00,3.00,3.00,1.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3255158,4.00,0.00,2.00,5.00,2.00,NULL,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3255174,4.00,3.00,2.00,0.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3255182,8.00,7.00,7.00,9.00,7.00,5.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3255190,3.00,3.00,3.00,2.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3255204,3.00,4.00,2.00,3.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3255212,4.00,3.00,3.00,2.00,3.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3255220,5.00,2.00,6.00,6.00,2.00,NULL,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3255239,5.00,3.00,2.00,2.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3255247,4.00,7.00,3.00,8.00,7.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3255271,8.00,9.00,4.00,8.00,8.00,7.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3255280,8.00,6.00,6.00,6.00,6.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3255298,4.00,5.00,3.00,7.00,4.00,6.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3255301,3.00,2.00,2.00,3.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3255310,1.00,1.00,2.00,2.00,2.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3255328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3255336,7.00,4.00,5.00,5.00,5.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3255352,4.00,4.00,4.00,8.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3255360,8.00,7.00,7.00,9.00,6.00,6.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3255379,1.00,6.00,4.00,4.00,2.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3255395,4.00,5.00,4.00,1.00,4.00,6.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3255417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3255425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3255433,5.00,3.00,1.00,5.00,5.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3255441,6.00,8.00,6.00,8.00,7.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3255450,3.00,6.00,6.00,3.00,7.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3255468,3.00,2.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3255476,5.00,4.00,4.00,5.00,4.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3255484,3.00,4.00,2.00,1.00,3.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3255492,6.00,7.00,4.00,9.00,8.00,8.25,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3255506,4.00,4.00,6.00,0.00,5.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3255514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3255522,2.00,4.00,2.00,5.00,4.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3255549,5.00,0.00,5.00,1.00,5.00,5.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3255557,5.00,6.00,3.00,3.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3255565,7.00,7.00,4.00,6.00,4.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3255581,7.00,7.00,7.00,8.00,4.00,6.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3255590,7.00,7.00,3.00,4.00,4.00,5.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3255603,7.00,4.00,5.00,7.00,5.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3255611,4.00,3.00,2.00,4.00,5.00,4.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3255620,6.00,7.00,6.00,8.00,7.00,5.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3255638,7.00,4.00,4.00,9.00,3.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3255646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3255654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3255662,5.00,7.00,7.00,6.00,5.00,6.50,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3255689,2.00,0.00,1.00,3.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3255697,2.00,2.00,1.00,2.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3255719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3255727,1.00,1.00,2.00,1.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3255735,7.00,4.00,3.00,0.00,5.00,6.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3255743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3255751,5.00,5.00,5.00,5.00,7.00,6.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3255760,1.00,2.00,1.00,7.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3255778,4.00,6.00,2.00,5.00,3.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3255794,3.00,4.00,1.00,3.00,1.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3255808,7.00,5.00,4.00,9.00,6.00,5.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3255816,6.00,7.00,6.00,8.00,6.00,7.75,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3255824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3255832,2.00,1.00,3.00,2.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3255840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3255859,6.00,5.00,3.00,7.00,4.00,6.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3255867,3.00,5.00,4.00,5.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3255875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3255883,5.00,7.00,3.00,7.00,4.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3255891,4.00,1.00,4.00,1.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3255905,5.00,7.00,1.00,2.00,3.00,NULL,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3255930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3255956,3.00,4.00,3.00,8.00,5.00,3.25,2.00,2.00,5.00,NULL,NULL,NULL,'S'),(16,3255964,5.00,2.00,4.00,2.00,5.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3255980,3.00,2.00,3.00,3.00,4.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3255999,2.00,5.00,3.00,5.00,4.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3256006,6.00,4.00,2.00,6.00,5.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3256014,8.00,6.00,6.00,7.00,8.00,7.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3256022,3.00,4.00,2.00,8.00,6.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3256030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3256049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3256057,2.00,2.00,1.00,1.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3256065,4.00,5.00,2.00,4.00,0.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3256081,3.00,2.00,3.00,6.00,4.00,3.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3256090,3.00,3.00,3.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3256103,5.00,6.00,3.00,9.00,7.00,7.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3256111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3256120,3.00,2.00,2.00,1.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3256138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3256146,3.00,5.00,2.00,4.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3256154,3.00,5.00,5.00,7.00,6.00,5.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3256162,3.00,8.00,5.00,6.00,8.00,7.00,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3256170,9.00,7.00,4.00,9.00,9.00,6.50,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3256189,4.00,5.00,3.00,9.00,4.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3256197,0.00,0.00,0.00,7.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3256200,5.00,3.00,3.00,7.00,4.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3256219,6.00,8.00,3.00,3.00,6.00,6.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3256227,3.00,6.00,7.00,7.00,6.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3256235,5.00,0.00,1.00,2.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3256243,8.00,7.00,8.00,9.00,7.00,6.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3256251,5.00,4.00,4.00,6.00,6.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3256260,1.00,0.00,1.00,3.00,6.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3256278,2.00,4.00,1.00,3.00,1.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3256286,3.00,6.00,4.00,4.00,2.00,NULL,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3256294,4.00,4.00,8.00,6.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3256308,7.00,8.00,2.00,6.00,6.00,6.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3256316,5.00,3.00,2.00,2.00,4.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3256332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3256340,5.00,8.00,5.00,5.00,5.00,6.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3256359,4.00,6.00,6.00,1.00,6.00,6.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3256367,5.00,5.00,5.00,9.00,5.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3256383,2.00,4.00,4.00,7.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3256391,5.00,5.00,1.00,9.00,5.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3256405,8.00,8.00,5.00,8.00,7.00,4.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3256413,3.00,3.00,2.00,2.00,5.00,4.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3256421,2.00,4.00,2.00,1.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3256430,7.00,6.00,6.00,9.00,8.00,5.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3256448,7.00,8.00,9.00,6.00,6.00,6.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3256456,3.00,2.00,3.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3256464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3256472,2.00,5.00,4.00,7.00,5.00,4.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3256480,6.00,6.00,4.00,9.00,8.00,6.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3256499,5.00,4.00,5.00,8.00,4.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3256502,5.00,5.00,4.00,6.00,4.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3256529,7.00,5.00,4.00,7.00,6.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3256537,4.00,6.00,2.00,1.00,4.00,5.00,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3256545,8.00,7.00,9.00,9.00,8.00,6.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3256553,7.00,4.00,3.00,7.00,5.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3256561,7.00,4.00,3.00,7.00,7.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3256570,5.00,7.00,6.00,6.00,8.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3256588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3256596,7.00,7.00,5.00,8.00,4.00,6.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3256600,3.00,4.00,4.00,4.00,4.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3256618,3.00,3.00,3.00,2.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3256626,4.00,6.00,2.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3256634,1.00,3.00,2.00,3.00,5.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3256642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3256669,8.00,8.00,9.00,4.00,7.00,5.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3256685,6.00,7.00,3.00,7.00,4.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3256693,5.00,3.00,6.00,8.00,6.00,5.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3256715,4.00,4.00,3.00,6.00,7.00,7.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3256723,4.00,3.00,3.00,5.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3256731,7.00,5.00,3.00,8.00,4.00,5.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3256740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3256758,6.00,6.00,3.00,8.00,6.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3256766,4.00,5.00,1.00,5.00,4.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3256774,7.00,4.00,2.00,6.00,4.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3256782,0.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3256790,6.00,3.00,2.00,4.00,6.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3256804,4.00,4.00,4.00,3.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3256812,1.00,4.00,4.00,6.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3256839,5.00,3.00,3.00,6.00,4.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3256863,3.00,2.00,1.00,6.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3256871,0.00,2.00,2.00,4.00,0.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3256880,6.00,6.00,5.00,8.00,4.00,6.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3256898,5.00,8.00,5.00,7.00,5.00,5.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3256901,3.00,1.00,4.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3256928,8.00,7.00,9.00,3.00,7.00,5.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3256936,8.00,7.00,7.00,8.00,8.00,8.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3256944,3.00,4.00,2.00,8.00,5.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3256952,4.00,4.00,2.00,7.00,5.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3256979,2.00,5.00,3.00,2.00,3.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3256987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3257002,4.00,5.00,4.00,5.00,4.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3257010,3.00,5.00,4.00,5.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3257029,2.00,3.00,2.00,3.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3257037,5.00,7.00,4.00,8.00,4.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3257045,2.00,2.00,2.00,4.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3257053,4.00,5.00,2.00,2.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3257061,4.00,1.00,1.00,0.00,2.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3257070,4.00,2.00,3.00,2.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3257088,2.00,5.00,2.00,3.00,5.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3257096,4.00,2.00,2.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3257100,4.00,1.00,1.00,5.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3257118,1.00,2.00,2.00,5.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3257126,3.00,6.00,3.00,8.00,5.00,5.75,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3257134,7.00,5.00,5.00,8.00,7.00,6.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3257142,6.00,4.00,3.00,6.00,5.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3257150,9.00,6.00,7.00,5.00,8.00,7.00,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3257169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3257177,0.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3257185,3.00,6.00,1.00,8.00,5.00,4.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3257207,7.00,6.00,5.00,7.00,6.00,6.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3257215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3257223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3257231,1.00,6.00,2.00,1.00,5.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3257240,6.00,7.00,6.00,8.00,7.00,6.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3257258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3257266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3257274,2.00,3.00,1.00,3.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3257282,4.00,0.00,2.00,4.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3257290,2.00,1.00,2.00,7.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3257304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3257312,2.00,5.00,3.00,5.00,4.00,4.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3257347,4.00,5.00,2.00,5.00,4.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3257355,5.00,6.00,7.00,2.00,5.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3257363,5.00,4.00,2.00,8.00,5.00,5.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3257380,2.00,4.00,1.00,6.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3257398,3.00,3.00,5.00,4.00,5.00,5.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3257401,6.00,6.00,6.00,7.00,6.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3257428,5.00,6.00,4.00,8.00,6.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3257436,4.00,7.00,4.00,9.00,5.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3257444,6.00,5.00,4.00,5.00,6.00,4.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3257452,6.00,7.00,5.00,8.00,7.00,4.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3257460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3257479,3.00,3.00,2.00,3.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3257487,4.00,3.00,4.00,6.00,4.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3257495,2.00,1.00,4.00,8.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3257509,4.00,4.00,2.00,5.00,4.00,7.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3257517,7.00,7.00,5.00,1.00,8.00,6.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3257525,8.00,6.00,5.00,6.00,4.00,6.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3257533,2.00,3.00,4.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3257541,6.00,8.00,8.00,9.00,9.00,6.25,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3257550,3.00,3.00,2.00,7.00,7.00,5.75,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3257568,6.00,3.00,5.00,7.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3257576,5.00,3.00,3.00,5.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3257584,6.00,5.00,7.00,7.00,6.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3257592,3.00,7.00,4.00,7.00,6.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3257622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3257630,6.00,4.00,4.00,8.00,7.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3257649,4.00,4.00,5.00,7.00,6.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3257657,0.00,0.00,0.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3257665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3257673,2.00,5.00,3.00,3.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3257681,3.00,3.00,4.00,4.00,5.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3257690,4.00,7.00,4.00,8.00,5.00,4.25,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3257703,2.00,1.00,1.00,3.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3257711,3.00,4.00,5.00,5.00,2.00,NULL,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3257720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3257738,6.00,5.00,2.00,3.00,4.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3257746,3.00,7.00,1.00,9.00,6.00,6.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3257754,3.00,4.00,1.00,1.00,2.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3257770,5.00,6.00,5.00,5.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3257789,5.00,2.00,1.00,6.00,2.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3257797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3257800,4.00,6.00,1.00,7.00,4.00,6.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3257819,4.00,4.00,2.00,5.00,4.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3257827,6.00,6.00,3.00,5.00,3.00,NULL,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3257835,3.00,4.00,5.00,6.00,4.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3257843,3.00,0.00,4.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3257851,4.00,1.00,2.00,6.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3257860,3.00,3.00,1.00,7.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3257878,3.00,5.00,4.00,8.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3257886,2.00,2.00,1.00,3.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3257894,1.00,4.00,3.00,7.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3257908,7.00,8.00,7.00,8.00,8.00,6.50,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3257916,5.00,8.00,4.00,5.00,5.00,6.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3257924,4.00,7.00,4.00,7.00,6.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3257932,2.00,1.00,4.00,5.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3257940,0.00,0.00,0.00,4.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3257959,3.00,4.00,1.00,0.00,5.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3257967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3257975,4.00,2.00,2.00,2.00,1.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3257983,6.00,4.00,3.00,3.00,7.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3257991,3.00,2.00,1.00,3.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3258009,5.00,3.00,1.00,5.00,5.00,6.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3258017,5.00,5.00,6.00,7.00,6.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3258025,2.00,5.00,3.00,8.00,6.00,6.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3258033,3.00,5.00,6.00,7.00,5.00,4.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3258068,3.00,3.00,3.00,8.00,4.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3258076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3258084,3.00,6.00,1.00,5.00,4.00,3.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3258092,0.00,0.00,0.00,3.00,4.00,NULL,3.00,4.00,2.00,NULL,'S',NULL,'N'),(16,3258106,5.00,6.00,3.00,5.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3258122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3258130,4.00,3.00,4.00,3.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3258149,5.00,6.00,2.00,4.00,8.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3258165,6.00,4.00,6.00,1.00,4.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3258173,6.00,7.00,7.00,8.00,6.00,6.50,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3258181,4.00,4.00,2.00,2.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3258190,5.00,3.00,3.00,7.00,4.00,6.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3258203,2.00,4.00,2.00,4.00,4.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3258220,2.00,1.00,3.00,3.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3258238,3.00,3.00,3.00,5.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3258246,8.00,7.00,7.00,9.00,8.00,6.75,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3258254,5.00,6.00,5.00,7.00,4.00,6.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3258262,6.00,4.00,2.00,8.00,5.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3258270,4.00,3.00,8.00,8.00,6.00,5.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3258289,3.00,4.00,2.00,7.00,4.00,5.75,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3258297,6.00,6.00,4.00,7.00,7.00,4.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3258319,5.00,3.00,2.00,3.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3258327,6.00,8.00,4.00,9.00,5.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3258335,2.00,3.00,2.00,1.00,1.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3258343,8.00,8.00,6.00,7.00,5.00,5.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3258351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3258360,5.00,7.00,5.00,4.00,5.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3258378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3258386,3.00,5.00,3.00,5.00,4.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3258408,3.00,3.00,3.00,6.00,4.00,5.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3258416,4.00,1.00,4.00,3.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3258424,4.00,5.00,6.00,6.00,6.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3258432,3.00,6.00,3.00,6.00,5.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3258440,5.00,3.00,4.00,5.00,4.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3258459,7.00,6.00,8.00,7.00,5.00,4.00,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3258467,3.00,4.00,2.00,6.00,1.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3258475,0.00,2.00,2.00,7.00,5.00,7.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3258491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3258513,7.00,7.00,5.00,5.00,5.00,7.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3258521,4.00,5.00,1.00,4.00,5.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3258530,1.00,2.00,2.00,8.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3258548,5.00,5.00,3.00,4.00,4.00,2.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3258556,2.00,2.00,2.00,1.00,1.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3258564,0.00,0.00,0.00,3.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3258572,5.00,8.00,4.00,6.00,6.00,7.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3258580,7.00,7.00,9.00,8.00,7.00,5.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3258599,4.00,5.00,1.00,4.00,4.00,5.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3258602,3.00,3.00,4.00,5.00,2.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3258610,3.00,7.00,4.00,9.00,8.00,5.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3258629,4.00,3.00,2.00,2.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3258645,2.00,2.00,3.00,2.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3258653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3258661,5.00,6.00,7.00,7.00,6.00,5.25,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3258670,4.00,1.00,4.00,6.00,7.00,5.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3258688,1.00,2.00,3.00,4.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3258696,6.00,5.00,5.00,6.00,6.00,6.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3258700,5.00,5.00,5.00,8.00,6.00,7.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3258718,4.00,3.00,3.00,3.00,6.00,4.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3258726,3.00,3.00,4.00,6.00,7.00,5.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3258734,5.00,7.00,4.00,8.00,6.00,6.50,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3258742,6.00,8.00,6.00,7.00,5.00,5.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3258750,7.00,5.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3258769,3.00,2.00,3.00,5.00,5.00,5.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3258777,5.00,5.00,3.00,9.00,2.00,NULL,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3258785,8.00,8.00,5.00,6.00,4.00,6.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3258793,5.00,5.00,2.00,6.00,6.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3258807,7.00,3.00,4.00,6.00,5.00,5.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3258815,5.00,4.00,1.00,2.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3258831,4.00,3.00,2.00,7.00,6.00,3.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3258840,3.00,1.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3258858,5.00,5.00,2.00,6.00,6.00,4.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3258866,2.00,4.00,3.00,9.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3258874,2.00,2.00,2.00,3.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3258882,2.00,4.00,2.00,5.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3258890,8.00,7.00,5.00,7.00,5.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3258904,6.00,4.00,3.00,7.00,7.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3258912,2.00,7.00,5.00,7.00,5.00,4.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3258920,6.00,2.00,2.00,8.00,3.00,NULL,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3258939,2.00,2.00,2.00,3.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3258947,9.00,7.00,9.00,9.00,7.00,5.50,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3258955,5.00,8.00,5.00,4.00,6.00,6.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3258963,7.00,6.00,5.00,9.00,5.00,7.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3258971,5.00,7.00,4.00,8.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3258980,5.00,6.00,2.00,7.00,6.00,5.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3258998,6.00,5.00,1.00,1.00,1.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3259005,2.00,5.00,3.00,0.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3259013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3259021,5.00,5.00,2.00,9.00,7.00,6.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3259030,5.00,6.00,8.00,6.00,6.00,7.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3259048,7.00,6.00,5.00,7.00,3.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3259056,4.00,4.00,1.00,4.00,6.00,5.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3259064,2.00,2.00,1.00,6.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3259080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3259099,6.00,9.00,3.00,3.00,5.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3259102,4.00,4.00,3.00,4.00,4.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3259110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3259137,3.00,4.00,2.00,3.00,2.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3259145,0.00,4.00,1.00,5.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3259153,4.00,4.00,3.00,5.00,4.00,4.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3259170,5.00,0.00,3.00,3.00,2.00,NULL,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3259196,3.00,2.00,2.00,4.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3259218,6.00,8.00,6.00,8.00,5.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3259226,6.00,1.00,4.00,4.00,2.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3259234,7.00,6.00,6.00,8.00,6.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3259242,6.00,3.00,2.00,7.00,5.00,5.00,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(16,3259250,5.00,6.00,3.00,6.00,5.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3259285,5.00,3.00,3.00,7.00,5.00,6.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3259293,3.00,4.00,1.00,1.00,4.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3259307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3259331,5.00,5.00,7.00,8.00,6.00,4.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3259340,3.00,5.00,3.00,8.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3259358,6.00,4.00,6.00,2.00,7.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3259366,7.00,6.00,3.00,7.00,5.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3259374,4.00,4.00,3.00,6.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3259390,6.00,7.00,4.00,6.00,5.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3259412,4.00,6.00,4.00,9.00,7.00,7.25,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3259420,1.00,6.00,5.00,5.00,3.00,NULL,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3259439,4.00,4.00,2.00,1.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3259447,3.00,4.00,1.00,0.00,8.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3259455,3.00,2.00,3.00,2.00,4.00,5.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3259463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3259471,6.00,3.00,1.00,6.00,4.00,4.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3259480,7.00,6.00,2.00,4.00,3.00,NULL,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3259498,2.00,7.00,1.00,8.00,6.00,6.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3259501,2.00,4.00,4.00,8.00,4.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3259510,3.00,3.00,2.00,8.00,5.00,4.25,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3259528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3259544,3.00,3.00,2.00,3.00,3.00,NULL,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3259552,2.00,6.00,3.00,6.00,5.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3259560,2.00,2.00,1.00,5.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3259579,4.00,7.00,4.00,3.00,4.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3259587,7.00,5.00,6.00,5.00,6.00,4.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3259595,3.00,5.00,3.00,3.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3259617,6.00,3.00,5.00,7.00,5.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3259625,5.00,6.00,4.00,6.00,6.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3259641,4.00,5.00,4.00,4.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3259650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3259676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3259684,0.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3259692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3259706,4.00,6.00,5.00,7.00,7.00,5.75,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3259714,3.00,2.00,3.00,3.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3259722,1.00,5.00,3.00,2.00,4.00,4.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3259730,3.00,2.00,2.00,4.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3259765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3259773,4.00,6.00,1.00,1.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3259781,8.00,8.00,5.00,7.00,5.00,6.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3259790,2.00,4.00,2.00,1.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3259803,6.00,4.00,3.00,4.00,4.00,4.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3259811,5.00,3.00,2.00,3.00,2.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3259820,4.00,3.00,2.00,7.00,4.00,6.75,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3259846,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3259854,8.00,7.00,5.00,8.00,7.00,7.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3259870,5.00,2.00,4.00,6.00,7.00,7.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3259897,3.00,4.00,4.00,7.00,5.00,4.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3259900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3259927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3259935,4.00,5.00,5.00,6.00,5.00,4.75,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3259943,5.00,2.00,1.00,7.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3259951,1.00,3.00,4.00,9.00,6.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3259960,3.00,0.00,1.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3259978,6.00,7.00,5.00,6.00,6.00,6.75,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3259994,3.00,4.00,3.00,1.00,5.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3260003,2.00,1.00,1.00,6.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3260011,6.00,4.00,4.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3260020,2.00,4.00,3.00,5.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3260038,4.00,5.00,2.00,8.00,5.00,4.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3260046,3.00,5.00,4.00,5.00,6.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3260062,1.00,1.00,2.00,1.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3260070,5.00,5.00,4.00,4.00,5.00,6.25,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3260100,2.00,1.00,2.00,3.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3260119,4.00,5.00,4.00,1.00,5.00,6.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3260143,2.00,3.00,4.00,5.00,4.00,4.50,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3260151,3.00,5.00,3.00,1.00,5.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3260160,2.00,3.00,2.00,5.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(16,3260178,4.00,3.00,3.00,1.00,7.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3260186,5.00,2.00,4.00,5.00,4.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3260194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3260216,7.00,6.00,3.00,8.00,4.00,4.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3260224,2.00,5.00,3.00,6.00,4.00,4.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3260240,3.00,6.00,4.00,7.00,4.00,4.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3260259,4.00,5.00,6.00,5.00,5.00,4.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3260267,3.00,6.00,3.00,6.00,4.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3260275,2.00,2.00,1.00,7.00,8.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3260283,7.00,5.00,3.00,7.00,6.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3260291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3260305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3260313,3.00,4.00,2.00,5.00,4.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3260321,2.00,3.00,3.00,1.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3260330,1.00,4.00,2.00,5.00,5.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3260348,7.00,7.00,4.00,7.00,4.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3260356,6.00,7.00,6.00,9.00,5.00,5.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3260364,2.00,3.00,4.00,3.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3260372,8.00,8.00,2.00,3.00,5.00,5.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3260380,3.00,3.00,1.00,3.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3260410,5.00,6.00,1.00,5.00,5.00,3.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3260429,3.00,3.00,1.00,3.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3260437,5.00,6.00,6.00,7.00,6.00,7.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3260453,3.00,3.00,1.00,4.00,5.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3260461,4.00,3.00,4.00,2.00,4.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3260470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3260488,5.00,7.00,6.00,8.00,5.00,5.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3260496,5.00,4.00,5.00,5.00,6.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3260518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3260526,2.00,3.00,1.00,1.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3260542,4.00,5.00,3.00,7.00,5.00,4.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3260550,3.00,2.00,3.00,5.00,4.00,4.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3260569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3260577,2.00,6.00,5.00,2.00,5.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3260585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3260615,4.00,4.00,4.00,3.00,5.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3260623,5.00,2.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3260640,2.00,3.00,3.00,6.00,4.00,4.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3260666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3260674,6.00,3.00,3.00,6.00,7.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3260682,4.00,4.00,2.00,6.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3260690,5.00,5.00,4.00,8.00,5.00,4.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3260704,2.00,1.00,3.00,2.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(16,3260712,2.00,3.00,1.00,2.00,4.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3260720,2.00,1.00,2.00,2.00,0.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3260739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3260763,4.00,6.00,3.00,7.00,3.00,NULL,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3260771,1.00,2.00,3.00,5.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3260780,5.00,4.00,3.00,8.00,5.00,6.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3260798,2.00,4.00,2.00,1.00,4.00,5.50,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3260801,7.00,7.00,8.00,4.00,6.00,7.50,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3260828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3260836,5.00,6.00,2.00,6.00,5.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3260844,3.00,3.00,2.00,1.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3260852,3.00,5.00,2.00,7.00,4.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3260879,6.00,3.00,2.00,3.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3260909,9.00,8.00,7.00,7.00,7.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3260917,5.00,5.00,1.00,8.00,5.00,6.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3260925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3260933,5.00,4.00,1.00,3.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3260941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3260950,4.00,3.00,4.00,3.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3260968,4.00,4.00,4.00,4.00,4.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3260976,3.00,4.00,2.00,1.00,2.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3260992,8.00,8.00,4.00,9.00,8.00,7.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3261000,5.00,5.00,3.00,2.00,4.00,6.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3261018,4.00,8.00,5.00,7.00,2.00,NULL,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3261026,3.00,1.00,2.00,1.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3261034,1.00,1.00,2.00,3.00,0.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3261042,5.00,8.00,5.00,6.00,8.00,6.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3261050,8.00,8.00,7.00,4.00,8.00,5.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3261069,4.00,3.00,2.00,1.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3261077,1.00,2.00,3.00,3.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3261085,3.00,6.00,4.00,4.00,4.00,5.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3261093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3261107,8.00,6.00,9.00,7.00,7.00,5.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3261115,6.00,4.00,3.00,7.00,5.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3261123,8.00,4.00,7.00,7.00,7.00,4.75,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3261131,1.00,3.00,4.00,6.00,5.00,5.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3261140,2.00,2.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3261158,6.00,5.00,6.00,7.00,7.00,6.25,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3261166,4.00,5.00,5.00,7.00,7.00,7.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3261174,2.00,6.00,4.00,7.00,4.00,5.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3261182,8.00,7.00,4.00,8.00,8.00,6.75,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3261212,3.00,5.00,3.00,6.00,4.00,6.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3261220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3261239,3.00,5.00,3.00,4.00,5.00,5.00,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3261247,3.00,2.00,2.00,5.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3261255,3.00,5.00,2.00,0.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3261263,6.00,4.00,5.00,7.00,6.00,8.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3261271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3261298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3261301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3261310,2.00,1.00,2.00,4.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3261328,0.00,4.00,4.00,4.00,0.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3261336,2.00,4.00,4.00,5.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3261344,5.00,1.00,1.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3261352,4.00,3.00,3.00,1.00,3.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3261360,0.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3261387,4.00,4.00,1.00,4.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3261395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3261409,1.00,3.00,5.00,1.00,4.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3261417,6.00,5.00,4.00,7.00,6.00,5.50,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3261425,3.00,8.00,7.00,9.00,8.00,7.00,5.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3261433,4.00,4.00,1.00,5.00,3.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3261441,8.00,8.00,8.00,8.00,8.00,6.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3261450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3261468,6.00,7.00,5.00,8.00,6.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3261476,5.00,3.00,1.00,3.00,3.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3261484,3.00,3.00,3.00,3.00,6.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3261492,6.00,3.00,3.00,5.00,5.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3261506,5.00,6.00,5.00,9.00,6.00,5.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3261514,3.00,3.00,1.00,5.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3261522,4.00,6.00,3.00,8.00,5.00,7.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3261530,4.00,4.00,2.00,7.00,5.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3261549,4.00,3.00,4.00,5.00,4.00,6.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3261557,6.00,4.00,2.00,7.00,4.00,5.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3261565,3.00,6.00,2.00,4.00,6.00,7.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3261573,4.00,2.00,5.00,5.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3261581,2.00,4.00,2.00,4.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3261590,3.00,2.00,2.00,6.00,5.00,6.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3261603,2.00,4.00,5.00,7.00,6.00,5.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3261620,5.00,5.00,6.00,5.00,5.00,5.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3261638,5.00,6.00,4.00,6.00,5.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3261646,6.00,4.00,4.00,6.00,6.00,4.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3261654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3261662,3.00,5.00,4.00,5.00,7.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3261670,5.00,6.00,4.00,5.00,4.00,4.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3261689,8.00,4.00,6.00,8.00,7.00,6.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3261697,7.00,8.00,5.00,9.00,6.00,4.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3261700,5.00,4.00,1.00,7.00,6.00,5.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3261719,3.00,5.00,4.00,4.00,2.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'S'),(16,3261727,4.00,6.00,1.00,6.00,3.00,NULL,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3261735,3.00,3.00,3.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3261743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3261751,7.00,6.00,7.00,5.00,5.00,5.00,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3261760,6.00,4.00,2.00,3.00,6.00,4.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3261778,3.00,6.00,3.00,2.00,5.00,5.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3261794,2.00,1.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3261808,0.00,0.00,0.00,7.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3261816,5.00,6.00,4.00,3.00,6.00,6.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3261859,3.00,3.00,3.00,7.00,2.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3261867,5.00,6.00,1.00,7.00,7.00,6.50,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3261875,2.00,4.00,2.00,7.00,4.00,6.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3261883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3261891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3261905,7.00,7.00,8.00,8.00,8.00,5.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3261913,7.00,6.00,5.00,7.00,7.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3261921,6.00,7.00,4.00,9.00,9.00,7.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3261930,8.00,8.00,7.00,7.00,6.00,7.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3261948,4.00,5.00,3.00,8.00,2.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3261956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3261972,4.00,3.00,3.00,7.00,6.00,4.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3261980,4.00,7.00,4.00,4.00,6.00,5.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3261999,7.00,5.00,5.00,6.00,4.00,5.75,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3262006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3262014,7.00,8.00,6.00,7.00,6.00,4.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3262022,2.00,4.00,1.00,4.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3262065,3.00,6.00,1.00,5.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3262073,1.00,3.00,1.00,7.00,5.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3262081,4.00,3.00,3.00,3.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3262090,4.00,5.00,2.00,7.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3262103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3262111,4.00,4.00,1.00,5.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3262120,4.00,4.00,1.00,2.00,4.00,5.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3262138,2.00,4.00,2.00,5.00,3.00,NULL,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3262146,4.00,4.00,1.00,7.00,1.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3262154,0.00,0.00,0.00,3.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3262170,2.00,3.00,1.00,0.00,0.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3262189,2.00,4.00,1.00,4.00,5.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3262200,4.00,6.00,5.00,2.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3262219,1.00,3.00,2.00,3.00,1.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3262227,2.00,4.00,3.00,7.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3262235,4.00,5.00,4.00,3.00,2.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3262243,5.00,5.00,6.00,3.00,4.00,4.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3262251,5.00,6.00,4.00,9.00,5.00,7.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3262260,4.00,2.00,4.00,6.00,5.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3262278,3.00,5.00,4.00,5.00,7.00,6.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3262286,5.00,3.00,2.00,4.00,6.00,4.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3262294,2.00,3.00,2.00,4.00,5.00,4.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3262308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3262316,2.00,1.00,2.00,4.00,0.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3262324,3.00,3.00,2.00,6.00,4.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3262332,4.00,5.00,2.00,5.00,4.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3262340,3.00,2.00,1.00,5.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3262359,6.00,6.00,5.00,5.00,8.00,6.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3262367,6.00,6.00,2.00,2.00,6.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3262375,3.00,3.00,2.00,6.00,5.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3262383,4.00,7.00,3.00,6.00,1.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3262391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3262405,1.00,4.00,1.00,7.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3262413,4.00,5.00,5.00,5.00,4.00,6.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3262421,5.00,7.00,4.00,7.00,8.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3262430,5.00,4.00,4.00,6.00,7.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3262448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3262456,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3262464,5.00,7.00,5.00,5.00,6.00,4.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3262472,3.00,5.00,4.00,3.00,6.00,5.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3262480,4.00,1.00,1.00,1.00,4.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3262510,4.00,2.00,1.00,2.00,5.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3262529,7.00,6.00,5.00,6.00,5.00,4.75,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3262537,5.00,8.00,6.00,9.00,6.00,7.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3262545,8.00,6.00,4.00,1.00,8.00,7.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3262553,4.00,7.00,3.00,8.00,7.00,5.50,5.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3262561,5.00,6.00,3.00,7.00,6.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3262570,3.00,6.00,3.00,6.00,4.00,4.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3262588,6.00,6.00,3.00,6.00,8.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3262596,2.00,3.00,2.00,4.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3262600,2.00,4.00,2.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3262626,5.00,8.00,6.00,8.00,6.00,5.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3262634,5.00,2.00,4.00,3.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3262642,4.00,4.00,3.00,4.00,5.00,4.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3262650,8.00,3.00,7.00,8.00,6.00,5.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3262669,2.00,3.00,1.00,5.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3262677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3262685,6.00,6.00,4.00,6.00,4.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3262693,6.00,6.00,4.00,7.00,6.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3262707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3262715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3262731,1.00,0.00,2.00,3.00,1.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3262740,3.00,4.00,4.00,7.00,7.00,6.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3262758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3262766,4.00,3.00,4.00,7.00,4.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3262774,7.00,5.00,4.00,6.00,6.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3262782,4.00,2.00,3.00,5.00,5.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3262790,5.00,6.00,4.00,5.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3262804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3262812,4.00,2.00,2.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3262820,7.00,7.00,4.00,8.00,9.00,7.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3262839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3262847,4.00,5.00,4.00,5.00,4.00,4.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3262855,2.00,8.00,4.00,7.00,8.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3262863,4.00,4.00,2.00,1.00,6.00,6.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3262871,2.00,4.00,2.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3262880,5.00,4.00,3.00,4.00,3.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3262901,2.00,2.00,3.00,3.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3262910,5.00,5.00,4.00,8.00,7.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3262928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3262936,6.00,7.00,3.00,9.00,7.00,4.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3262944,3.00,4.00,3.00,7.00,5.00,5.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3262952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3262960,5.00,6.00,3.00,4.00,6.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3262987,3.00,2.00,3.00,3.00,5.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3262995,4.00,5.00,3.00,6.00,5.00,6.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3263002,5.00,1.00,2.00,0.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3263010,1.00,3.00,3.00,1.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3263029,6.00,3.00,3.00,2.00,7.00,4.75,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3263037,4.00,2.00,2.00,0.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3263045,4.00,8.00,7.00,8.00,7.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3263070,3.00,4.00,3.00,6.00,4.00,4.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3263088,4.00,5.00,5.00,8.00,3.00,NULL,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3263118,4.00,6.00,7.00,8.00,8.00,8.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3263126,7.00,6.00,3.00,9.00,8.00,6.00,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3263134,4.00,6.00,2.00,2.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3263142,0.00,0.00,0.00,8.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3263150,4.00,5.00,2.00,7.00,5.00,6.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3263169,9.00,8.00,3.00,9.00,8.00,5.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3263177,2.00,6.00,1.00,6.00,5.00,4.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3263185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3263193,3.00,4.00,3.00,6.00,4.00,6.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3263207,4.00,4.00,2.00,3.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(16,3263215,5.00,8.00,9.00,7.00,4.00,4.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3263223,3.00,0.00,1.00,6.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'S'),(16,3263231,3.00,5.00,3.00,6.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3263240,3.00,8.00,4.00,7.00,4.00,6.50,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3263258,4.00,3.00,1.00,3.00,1.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3263274,5.00,5.00,6.00,8.00,6.00,5.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3263282,3.00,4.00,2.00,3.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3263290,3.00,5.00,4.00,5.00,4.00,3.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3263304,3.00,3.00,1.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3263312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3263320,6.00,5.00,2.00,5.00,6.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3263347,2.00,3.00,3.00,6.00,4.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3263355,2.00,6.00,3.00,1.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3263363,7.00,8.00,9.00,7.00,7.00,5.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3263371,3.00,6.00,4.00,9.00,6.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3263380,3.00,2.00,3.00,3.00,5.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3263398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3263401,4.00,5.00,7.00,9.00,8.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3263410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3263428,2.00,3.00,2.00,5.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3263436,4.00,4.00,5.00,7.00,6.00,4.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3263444,1.00,5.00,4.00,4.00,4.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3263452,3.00,1.00,2.00,7.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3263460,7.00,7.00,6.00,7.00,7.00,6.50,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3263479,2.00,2.00,2.00,3.00,4.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3263487,4.00,6.00,6.00,9.00,6.00,6.50,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3263495,3.00,4.00,4.00,7.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3263509,1.00,3.00,4.00,6.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3263517,5.00,5.00,4.00,6.00,6.00,5.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3263525,3.00,3.00,2.00,6.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3263533,3.00,4.00,4.00,5.00,3.00,NULL,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3263541,2.00,3.00,4.00,2.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3263550,5.00,2.00,3.00,4.00,2.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3263568,3.00,5.00,4.00,0.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3263576,8.00,9.00,7.00,8.00,9.00,7.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3263584,3.00,1.00,2.00,2.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3263592,5.00,7.00,5.00,8.00,4.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3263606,2.00,3.00,1.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3263622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3263630,0.00,0.00,0.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3263649,4.00,4.00,2.00,8.00,5.00,6.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3263657,6.00,8.00,7.00,6.00,8.00,5.75,1.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3263665,5.00,4.00,4.00,6.00,5.00,4.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3263673,1.00,0.00,2.00,4.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3263681,3.00,4.00,3.00,6.00,4.00,0.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3263690,5.00,5.00,4.00,2.00,4.00,2.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3263703,6.00,6.00,3.00,6.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3263711,4.00,2.00,3.00,3.00,4.00,6.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3263720,8.00,6.00,1.00,7.00,5.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3263738,1.00,4.00,1.00,5.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3263746,2.00,4.00,1.00,6.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3263754,3.00,6.00,1.00,7.00,6.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3263762,4.00,4.00,6.00,3.00,3.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3263789,2.00,3.00,1.00,4.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3263797,2.00,2.00,1.00,2.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3263800,4.00,3.00,3.00,5.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3263819,3.00,4.00,4.00,6.00,5.00,6.50,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3263827,2.00,4.00,4.00,7.00,6.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3263843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3263851,2.00,1.00,1.00,5.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3263878,4.00,2.00,4.00,1.00,4.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'S'),(16,3263894,7.00,5.00,2.00,4.00,6.00,5.25,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3263908,6.00,6.00,4.00,7.00,9.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3263916,4.00,3.00,2.00,2.00,4.00,4.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3263924,3.00,2.00,5.00,5.00,4.00,5.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3263932,5.00,4.00,5.00,9.00,5.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3263940,2.00,3.00,4.00,0.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3263959,7.00,4.00,3.00,9.00,6.00,6.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3263967,4.00,2.00,4.00,1.00,6.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3263975,5.00,4.00,1.00,4.00,4.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3263983,3.00,4.00,1.00,2.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3264009,2.00,4.00,3.00,5.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3264025,5.00,4.00,5.00,8.00,5.00,5.25,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3264033,0.00,5.00,2.00,3.00,6.00,0.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3264041,3.00,5.00,2.00,5.00,3.00,NULL,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3264050,1.00,5.00,3.00,2.00,4.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3264068,4.00,4.00,2.00,3.00,5.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3264076,6.00,6.00,3.00,5.00,4.00,5.50,1.00,7.00,2.00,NULL,NULL,NULL,'S'),(16,3264084,4.00,4.00,4.00,6.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3264092,2.00,1.00,1.00,6.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3264106,2.00,4.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3264114,4.00,4.00,1.00,9.00,6.00,7.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3264122,3.00,3.00,2.00,1.00,2.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3264130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3264149,4.00,4.00,4.00,8.00,4.00,4.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3264157,2.00,2.00,4.00,8.00,6.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3264165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3264173,4.00,5.00,3.00,7.00,3.00,NULL,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3264181,6.00,7.00,4.00,8.00,7.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3264190,2.00,5.00,2.00,8.00,8.00,6.25,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3264203,3.00,4.00,2.00,4.00,5.00,5.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3264211,7.00,7.00,5.00,4.00,7.00,4.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3264220,5.00,3.00,4.00,7.00,3.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3264238,4.00,4.00,4.00,9.00,6.00,5.75,1.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3264246,1.00,4.00,4.00,5.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3264254,3.00,4.00,4.00,1.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3264262,0.00,3.00,4.00,8.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3264270,4.00,6.00,3.00,6.00,8.00,7.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3264289,0.00,2.00,2.00,3.00,4.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3264297,4.00,3.00,3.00,2.00,5.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3264300,1.00,3.00,4.00,2.00,1.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3264319,2.00,6.00,3.00,0.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3264327,2.00,4.00,3.00,4.00,4.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3264335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3264343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3264351,3.00,3.00,2.00,3.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3264360,5.00,3.00,3.00,3.00,5.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3264378,4.00,4.00,2.00,3.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3264386,0.00,0.00,0.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,'S',NULL,'S'),(16,3264394,3.00,2.00,3.00,3.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3264408,7.00,5.00,4.00,5.00,5.00,5.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3264424,1.00,3.00,4.00,4.00,5.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(16,3264432,6.00,7.00,6.00,5.00,6.00,6.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3264440,6.00,9.00,6.00,6.00,8.00,5.75,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3264467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3264475,2.00,4.00,6.00,7.00,5.00,4.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3264483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3264505,3.00,5.00,4.00,0.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3264513,4.00,4.00,4.00,9.00,5.00,7.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3264521,2.00,3.00,2.00,3.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3264530,2.00,2.00,1.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3264548,3.00,4.00,6.00,8.00,4.00,7.00,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3264556,3.00,5.00,3.00,6.00,6.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3264564,4.00,3.00,1.00,3.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3264572,3.00,5.00,2.00,8.00,3.00,NULL,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3264602,2.00,1.00,2.00,4.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3264610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3264629,5.00,2.00,3.00,6.00,5.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3264637,4.00,6.00,5.00,8.00,4.00,4.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3264645,6.00,5.00,2.00,7.00,6.00,4.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3264653,3.00,2.00,1.00,2.00,3.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3264661,1.00,1.00,2.00,2.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3264670,5.00,3.00,6.00,9.00,3.00,NULL,5.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3264696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3264700,3.00,3.00,1.00,7.00,5.00,7.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3264718,2.00,5.00,3.00,8.00,5.00,7.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3264726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3264734,5.00,3.00,5.00,5.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3264742,2.00,2.00,3.00,6.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3264750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3264769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3264777,2.00,7.00,4.00,7.00,7.00,5.50,4.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3264785,6.00,8.00,7.00,8.00,8.00,8.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3264793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3264807,5.00,8.00,5.00,8.00,5.00,5.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3264815,2.00,6.00,3.00,5.00,2.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3264823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3264840,7.00,5.00,6.00,6.00,5.00,5.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3264858,3.00,5.00,1.00,4.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3264866,1.00,2.00,4.00,2.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3264874,3.00,4.00,1.00,5.00,0.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3264882,2.00,1.00,2.00,2.00,3.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3264890,5.00,2.00,2.00,6.00,5.00,5.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3264912,9.00,8.00,6.00,8.00,7.00,7.50,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3264920,6.00,8.00,5.00,7.00,5.00,4.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3264939,4.00,3.00,2.00,3.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3264955,2.00,4.00,2.00,4.00,2.00,NULL,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3264963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3264971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3264980,3.00,5.00,4.00,2.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3264998,6.00,2.00,5.00,8.00,6.00,5.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3265005,2.00,0.00,4.00,2.00,4.00,NULL,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3265013,4.00,3.00,5.00,5.00,4.00,4.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3265021,9.00,5.00,6.00,8.00,6.00,6.25,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3265030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3265048,4.00,7.00,4.00,8.00,6.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3265056,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3265064,7.00,6.00,5.00,9.00,7.00,7.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3265072,5.00,5.00,3.00,3.00,5.00,6.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3265080,6.00,5.00,5.00,8.00,6.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3265099,3.00,1.00,2.00,5.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3265102,4.00,7.00,2.00,7.00,4.00,5.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3265110,6.00,6.00,3.00,8.00,8.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3265129,4.00,0.00,1.00,5.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3265137,2.00,5.00,2.00,8.00,4.00,6.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3265153,3.00,4.00,1.00,3.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3265161,5.00,4.00,2.00,5.00,4.00,6.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3265170,4.00,4.00,2.00,7.00,5.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3265188,4.00,7.00,3.00,5.00,7.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3265196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3265200,7.00,6.00,6.00,8.00,8.00,5.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3265218,1.00,5.00,1.00,5.00,4.00,4.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3265226,5.00,5.00,3.00,6.00,6.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3265234,4.00,3.00,5.00,5.00,6.00,7.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3265242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3265250,1.00,4.00,1.00,2.00,0.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3265269,5.00,6.00,2.00,3.00,4.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3265277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3265285,2.00,0.00,3.00,4.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3265293,4.00,7.00,6.00,9.00,8.00,5.25,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3265315,8.00,5.00,6.00,8.00,7.00,5.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3265323,6.00,6.00,5.00,6.00,6.00,6.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3265331,6.00,7.00,5.00,8.00,7.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3265340,4.00,6.00,3.00,7.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3265358,4.00,5.00,4.00,4.00,4.00,0.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3265366,6.00,6.00,4.00,6.00,6.00,7.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3265374,7.00,6.00,4.00,4.00,5.00,5.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3265382,4.00,3.00,4.00,3.00,6.00,5.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3265404,5.00,5.00,1.00,9.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3265412,5.00,3.00,4.00,6.00,5.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3265420,5.00,7.00,8.00,7.00,6.00,5.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3265439,3.00,3.00,1.00,2.00,4.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3265455,4.00,6.00,7.00,8.00,6.00,6.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3265463,6.00,8.00,1.00,9.00,6.00,5.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3265480,3.00,2.00,3.00,5.00,6.00,5.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3265498,2.00,5.00,2.00,5.00,6.00,5.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3265501,4.00,3.00,2.00,4.00,5.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3265528,2.00,4.00,2.00,5.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3265544,4.00,2.00,2.00,5.00,4.00,4.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3265560,4.00,6.00,5.00,6.00,6.00,5.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3265587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3265595,5.00,6.00,2.00,3.00,2.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3265609,2.00,5.00,6.00,7.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3265617,6.00,7.00,7.00,8.00,6.00,6.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3265625,3.00,3.00,2.00,7.00,4.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3265633,2.00,6.00,4.00,7.00,4.00,4.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3265641,6.00,4.00,4.00,3.00,5.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3265650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3265668,7.00,8.00,6.00,8.00,5.00,5.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3265676,7.00,4.00,5.00,6.00,7.00,6.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3265684,6.00,6.00,5.00,9.00,6.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3265692,4.00,1.00,5.00,7.00,6.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3265706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3265714,2.00,2.00,1.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3265722,4.00,4.00,4.00,2.00,5.00,6.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3265757,2.00,4.00,2.00,6.00,5.00,7.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3265765,6.00,5.00,3.00,7.00,6.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3265773,4.00,4.00,2.00,4.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3265781,4.00,7.00,4.00,8.00,6.00,4.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3265790,3.00,4.00,5.00,4.00,4.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3265803,7.00,5.00,7.00,9.00,5.00,6.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3265811,4.00,6.00,3.00,4.00,6.00,7.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3265820,5.00,7.00,3.00,8.00,7.00,4.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3265838,6.00,7.00,7.00,3.00,5.00,6.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3265846,6.00,3.00,4.00,7.00,5.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3265854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3265862,4.00,4.00,5.00,8.00,7.00,6.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3265870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3265889,5.00,9.00,4.00,8.00,4.00,6.25,1.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3265897,4.00,1.00,3.00,6.00,5.00,7.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3265900,2.00,4.00,5.00,7.00,7.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3265919,4.00,4.00,4.00,1.00,5.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3265927,6.00,8.00,4.00,5.00,5.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3265935,4.00,2.00,3.00,4.00,2.00,NULL,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3265943,2.00,4.00,1.00,3.00,3.00,NULL,2.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3265951,5.00,5.00,1.00,1.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3265960,4.00,5.00,2.00,3.00,5.00,4.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3265978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3265986,4.00,8.00,7.00,8.00,8.00,6.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3265994,3.00,4.00,1.00,6.00,4.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3266001,5.00,7.00,2.00,8.00,4.00,7.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3266010,4.00,4.00,3.00,6.00,5.00,4.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3266028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266036,7.00,8.00,6.00,8.00,8.00,6.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3266044,1.00,1.00,4.00,5.00,4.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3266052,6.00,6.00,5.00,5.00,5.00,4.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3266060,2.00,5.00,2.00,2.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3266087,3.00,4.00,2.00,5.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3266095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266117,4.00,2.00,3.00,5.00,5.00,4.50,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3266125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266133,2.00,5.00,5.00,2.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3266141,4.00,4.00,2.00,4.00,5.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3266150,6.00,2.00,5.00,5.00,6.00,7.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3266168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266176,2.00,5.00,5.00,6.00,4.00,5.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3266184,9.00,9.00,4.00,9.00,7.00,6.25,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3266192,3.00,7.00,5.00,5.00,7.00,5.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3266206,6.00,4.00,3.00,8.00,7.00,4.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3266214,6.00,3.00,4.00,6.00,7.00,5.50,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3266222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266249,8.00,7.00,7.00,9.00,6.00,6.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3266257,3.00,6.00,3.00,4.00,4.00,4.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3266265,2.00,7.00,2.00,3.00,5.00,5.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3266273,5.00,6.00,5.00,8.00,4.00,4.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3266281,1.00,2.00,1.00,6.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3266290,5.00,3.00,2.00,2.00,4.00,4.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3266303,4.00,0.00,2.00,7.00,5.00,4.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3266311,3.00,2.00,5.00,5.00,5.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'S'),(16,3266320,3.00,5.00,1.00,0.00,5.00,4.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3266346,1.00,4.00,1.00,7.00,4.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3266354,3.00,3.00,2.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3266362,3.00,1.00,3.00,3.00,3.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3266370,4.00,4.00,1.00,3.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3266389,4.00,3.00,1.00,4.00,5.00,5.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3266397,5.00,7.00,3.00,2.00,7.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3266400,5.00,4.00,3.00,2.00,3.00,NULL,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3266419,5.00,5.00,4.00,7.00,6.00,4.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3266427,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3266435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266443,4.00,4.00,2.00,6.00,5.00,5.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3266451,7.00,8.00,3.00,7.00,7.00,5.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3266460,3.00,3.00,3.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3266486,3.00,8.00,4.00,7.00,5.00,4.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3266494,4.00,5.00,4.00,8.00,4.00,5.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3266508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266516,1.00,4.00,3.00,6.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3266524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266532,2.00,4.00,5.00,0.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3266540,5.00,3.00,1.00,7.00,5.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3266559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3266567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266575,5.00,3.00,2.00,6.00,5.00,4.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3266583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266591,4.00,5.00,2.00,7.00,5.00,6.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3266605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266630,7.00,8.00,5.00,6.00,7.00,6.00,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3266648,8.00,4.00,5.00,3.00,4.00,5.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3266656,3.00,4.00,2.00,5.00,4.00,3.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3266664,3.00,4.00,2.00,3.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3266672,5.00,4.00,4.00,6.00,6.00,6.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3266680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266702,5.00,6.00,4.00,6.00,6.00,6.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3266710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266761,5.00,7.00,4.00,7.00,7.00,6.75,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3266770,3.00,1.00,3.00,5.00,4.00,5.50,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3266788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266796,6.00,2.00,4.00,1.00,4.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3266818,4.00,2.00,3.00,0.00,0.00,NULL,3.00,4.00,2.00,'S',NULL,NULL,'N'),(16,3266826,7.00,6.00,9.00,9.00,7.00,7.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3266834,7.00,7.00,6.00,9.00,8.00,9.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3266842,3.00,1.00,4.00,5.00,1.00,NULL,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(16,3266850,5.00,4.00,3.00,2.00,5.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(16,3266869,4.00,7.00,4.00,8.00,8.00,6.50,3.00,8.00,6.00,NULL,NULL,NULL,'S'),(16,3266877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266885,5.00,5.00,2.00,8.00,5.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3266893,7.00,7.00,2.00,5.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3266907,6.00,5.00,4.00,7.00,6.00,5.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3266915,2.00,5.00,3.00,7.00,5.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3266923,8.00,8.00,5.00,7.00,6.00,5.00,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3266931,1.00,4.00,2.00,2.00,4.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3266940,8.00,8.00,8.00,7.00,7.00,5.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3266958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266974,4.00,1.00,1.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3266982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3266990,4.00,6.00,2.00,5.00,5.00,6.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3267016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3267024,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3267032,3.00,6.00,5.00,6.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3267040,4.00,6.00,2.00,5.00,5.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3267059,5.00,1.00,2.00,5.00,4.00,2.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3267067,4.00,3.00,3.00,3.00,5.00,7.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3267075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3267083,3.00,4.00,3.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3267091,2.00,2.00,3.00,3.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3267105,4.00,4.00,4.00,1.00,1.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3267113,2.00,5.00,4.00,3.00,4.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3267121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3267130,8.00,8.00,8.00,7.00,7.00,7.00,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3267148,2.00,2.00,1.00,4.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3267156,3.00,2.00,2.00,1.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3267164,0.00,5.00,1.00,7.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3267172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3267199,6.00,5.00,4.00,6.00,5.00,5.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3267202,3.00,3.00,3.00,2.00,2.00,NULL,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3267210,4.00,4.00,1.00,7.00,6.00,5.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3267229,4.00,5.00,3.00,3.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3267237,2.00,3.00,4.00,6.00,4.00,4.25,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3267245,2.00,3.00,1.00,5.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3267253,4.00,4.00,2.00,5.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3267261,6.00,7.00,7.00,9.00,8.00,5.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3267270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3267288,4.00,4.00,4.00,7.00,4.00,6.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3267300,5.00,6.00,1.00,8.00,3.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3267326,5.00,3.00,1.00,3.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3267334,5.00,4.00,2.00,5.00,4.00,4.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3267342,3.00,4.00,1.00,1.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3267350,1.00,6.00,8.00,7.00,5.00,5.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3267369,9.00,5.00,7.00,9.00,7.00,6.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3267377,3.00,4.00,3.00,8.00,7.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3267385,4.00,2.00,3.00,1.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3267393,6.00,4.00,4.00,7.00,7.00,6.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3267407,3.00,3.00,2.00,1.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3267415,5.00,6.00,5.00,4.00,6.00,7.00,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3267423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3267431,5.00,3.00,9.00,5.00,6.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3267440,2.00,5.00,2.00,3.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3267458,3.00,3.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3267466,5.00,5.00,8.00,9.00,7.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3267482,3.00,3.00,4.00,5.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3267490,6.00,5.00,3.00,6.00,4.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3267520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3267539,5.00,6.00,4.00,3.00,6.00,6.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3267547,8.00,8.00,4.00,8.00,4.00,6.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3267555,5.00,4.00,2.00,0.00,2.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'S'),(16,3267563,3.00,6.00,4.00,4.00,5.00,5.25,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3267571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3267598,2.00,3.00,3.00,6.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3267601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3267610,4.00,4.00,4.00,7.00,5.00,7.25,4.00,3.00,1.00,NULL,NULL,NULL,'S'),(16,3267628,5.00,4.00,5.00,5.00,4.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3267652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3267660,3.00,3.00,4.00,7.00,5.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3267679,5.00,7.00,2.00,8.00,6.00,7.75,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3267687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3267695,2.00,3.00,1.00,1.00,5.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3267709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3267717,3.00,3.00,1.00,1.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3267741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3267750,7.00,6.00,2.00,4.00,6.00,7.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3267768,4.00,0.00,1.00,6.00,6.00,6.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3267776,4.00,4.00,4.00,6.00,4.00,5.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3267784,2.00,5.00,5.00,8.00,6.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3267792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3267806,2.00,2.00,3.00,7.00,4.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3267814,5.00,4.00,2.00,3.00,5.00,6.75,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3267822,7.00,3.00,4.00,7.00,6.00,7.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3267830,3.00,1.00,4.00,0.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3267849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3267857,3.00,6.00,3.00,5.00,7.00,6.00,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3267865,3.00,4.00,2.00,7.00,4.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3267873,1.00,7.00,6.00,3.00,4.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3267881,8.00,8.00,6.00,9.00,7.00,6.50,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3267890,2.00,7.00,1.00,8.00,6.00,6.25,2.00,9.00,1.00,NULL,NULL,NULL,'N'),(16,3267903,5.00,6.00,4.00,6.00,5.00,5.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3267911,5.00,5.00,5.00,7.00,6.00,4.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3267938,3.00,6.00,4.00,4.00,4.00,3.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3267946,4.00,6.00,4.00,9.00,7.00,5.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3267954,1.00,2.00,1.00,2.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3267962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3267970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3267989,3.00,6.00,1.00,3.00,5.00,5.25,1.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3267997,4.00,3.00,3.00,1.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3268004,1.00,4.00,2.00,4.00,4.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3268012,4.00,6.00,4.00,4.00,3.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3268020,4.00,6.00,3.00,5.00,7.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3268039,2.00,4.00,3.00,8.00,4.00,4.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3268047,4.00,6.00,5.00,6.00,7.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3268055,8.00,8.00,5.00,9.00,8.00,6.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3268063,6.00,7.00,5.00,7.00,4.00,6.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3268071,5.00,5.00,2.00,4.00,4.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3268080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3268098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3268110,6.00,7.00,8.00,8.00,4.00,5.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3268128,1.00,4.00,1.00,3.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3268144,7.00,7.00,6.00,7.00,5.00,5.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3268160,6.00,4.00,4.00,8.00,7.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3268179,6.00,5.00,3.00,6.00,5.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3268187,7.00,5.00,5.00,7.00,7.00,5.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3268195,5.00,2.00,1.00,2.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3268209,4.00,6.00,3.00,9.00,6.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3268217,4.00,5.00,2.00,4.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3268225,4.00,8.00,5.00,9.00,6.00,7.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3268233,4.00,3.00,3.00,5.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3268241,3.00,5.00,4.00,6.00,5.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3268250,1.00,3.00,2.00,7.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3268268,1.00,2.00,1.00,1.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3268276,6.00,4.00,4.00,8.00,7.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3268284,3.00,2.00,2.00,5.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3268292,5.00,6.00,3.00,7.00,4.00,6.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3268306,5.00,5.00,1.00,5.00,4.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3268322,5.00,7.00,4.00,8.00,4.00,5.75,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3268330,3.00,4.00,4.00,8.00,6.00,5.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3268349,6.00,2.00,1.00,8.00,2.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3268373,3.00,5.00,4.00,5.00,4.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3268381,8.00,6.00,7.00,8.00,7.00,6.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3268390,2.00,0.00,3.00,2.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3268411,2.00,0.00,2.00,3.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3268420,7.00,6.00,8.00,7.00,5.00,5.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3268446,6.00,6.00,3.00,6.00,4.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3268454,2.00,3.00,5.00,0.00,2.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3268462,5.00,8.00,7.00,9.00,8.00,6.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3268470,8.00,7.00,6.00,8.00,8.00,6.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3268489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3268497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3268500,4.00,1.00,3.00,4.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3268519,5.00,2.00,4.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3268527,0.00,0.00,0.00,1.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3268535,3.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3268551,7.00,2.00,5.00,3.00,6.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3268560,3.00,5.00,4.00,8.00,6.00,5.00,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3268578,1.00,4.00,2.00,2.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3268586,2.00,4.00,3.00,4.00,5.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3268594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3268608,6.00,5.00,3.00,8.00,6.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3268616,4.00,5.00,3.00,8.00,4.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3268624,3.00,3.00,2.00,5.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3268632,2.00,3.00,2.00,4.00,4.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3268640,4.00,5.00,5.00,6.00,4.00,5.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3268659,5.00,3.00,4.00,4.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3268667,4.00,8.00,3.00,7.00,6.00,7.75,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3268675,4.00,5.00,4.00,4.00,5.00,3.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3268683,5.00,5.00,2.00,7.00,4.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3268691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3268713,1.00,4.00,2.00,2.00,1.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3268721,4.00,4.00,2.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3268730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3268748,4.00,4.00,1.00,3.00,4.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3268756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3268772,8.00,6.00,4.00,8.00,5.00,5.25,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3268780,4.00,2.00,2.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(16,3268799,2.00,4.00,2.00,3.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3268810,4.00,2.00,2.00,3.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3268829,8.00,8.00,6.00,8.00,9.00,8.00,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3268837,4.00,4.00,5.00,5.00,6.00,6.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3268845,5.00,7.00,7.00,5.00,6.00,4.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3268853,2.00,4.00,4.00,5.00,3.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3268861,1.00,4.00,2.00,5.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3268870,4.00,4.00,3.00,8.00,4.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3268896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3268918,2.00,2.00,2.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3268926,5.00,7.00,4.00,1.00,7.00,5.25,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3268934,3.00,4.00,4.00,6.00,4.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3268942,3.00,5.00,2.00,8.00,7.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3268950,7.00,7.00,6.00,8.00,6.00,5.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3268969,2.00,1.00,3.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3268985,3.00,6.00,4.00,7.00,5.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3268993,3.00,3.00,3.00,5.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3269000,5.00,6.00,2.00,8.00,6.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3269019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3269027,5.00,3.00,3.00,0.00,0.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3269035,1.00,1.00,2.00,0.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3269043,3.00,2.00,2.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3269051,2.00,4.00,2.00,6.00,5.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3269060,9.00,8.00,8.00,8.00,8.00,6.75,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3269078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3269086,5.00,7.00,2.00,5.00,4.00,4.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3269108,4.00,2.00,2.00,4.00,5.00,5.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3269124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3269132,1.00,1.00,2.00,5.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3269140,7.00,7.00,7.00,9.00,9.00,5.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3269159,5.00,4.00,3.00,5.00,4.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3269167,3.00,4.00,1.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3269183,2.00,2.00,3.00,4.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3269205,5.00,8.00,4.00,8.00,7.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3269213,2.00,4.00,4.00,7.00,6.00,6.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3269221,4.00,5.00,2.00,8.00,7.00,6.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3269230,3.00,2.00,2.00,4.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3269248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3269256,4.00,5.00,3.00,3.00,5.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3269264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3269272,2.00,5.00,3.00,7.00,5.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3269280,3.00,5.00,3.00,3.00,3.00,NULL,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3269299,1.00,3.00,4.00,5.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3269302,5.00,4.00,2.00,2.00,7.00,5.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3269310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3269329,3.00,2.00,1.00,7.00,4.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3269337,7.00,4.00,1.00,2.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3269353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3269370,3.00,7.00,2.00,3.00,6.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3269388,3.00,7.00,4.00,1.00,3.00,NULL,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3269396,1.00,2.00,2.00,0.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3269400,7.00,8.00,8.00,8.00,7.00,7.50,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3269418,1.00,2.00,2.00,1.00,1.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3269426,5.00,3.00,6.00,7.00,6.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3269434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3269450,3.00,2.00,2.00,3.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3269469,2.00,4.00,2.00,4.00,5.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3269477,2.00,0.00,2.00,6.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3269485,3.00,4.00,3.00,4.00,4.00,5.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3269493,5.00,6.00,5.00,9.00,8.00,4.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3269507,5.00,6.00,4.00,8.00,7.00,7.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3269515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3269523,2.00,4.00,5.00,7.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3269531,3.00,3.00,1.00,1.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3269558,4.00,4.00,3.00,2.00,1.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3269566,5.00,6.00,4.00,7.00,6.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3269582,6.00,4.00,4.00,7.00,5.00,4.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3269590,8.00,3.00,1.00,9.00,4.00,6.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3269604,4.00,4.00,3.00,0.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3269612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3269620,2.00,5.00,3.00,4.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3269639,4.00,4.00,3.00,3.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3269647,4.00,5.00,2.00,6.00,5.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3269655,4.00,4.00,1.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3269663,4.00,4.00,1.00,8.00,5.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3269671,4.00,7.00,2.00,6.00,4.00,4.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3269680,6.00,2.00,4.00,6.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3269698,7.00,8.00,7.00,9.00,6.00,6.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3269701,4.00,6.00,2.00,4.00,4.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3269710,8.00,8.00,5.00,9.00,8.00,7.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3269728,3.00,3.00,4.00,2.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3269736,9.00,7.00,8.00,9.00,8.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3269760,3.00,4.00,2.00,3.00,6.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3269779,5.00,4.00,2.00,8.00,5.00,4.25,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3269787,3.00,3.00,2.00,6.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3269795,6.00,7.00,6.00,9.00,7.00,4.00,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3269809,2.00,0.00,4.00,2.00,4.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3269817,4.00,1.00,2.00,4.00,1.00,NULL,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3269833,7.00,4.00,7.00,4.00,7.00,6.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3269841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3269868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3269884,6.00,3.00,2.00,6.00,5.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3269906,7.00,5.00,5.00,9.00,6.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3269914,4.00,7.00,5.00,9.00,4.00,5.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3269930,4.00,5.00,2.00,7.00,6.00,4.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3269949,8.00,6.00,5.00,7.00,6.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3269957,2.00,2.00,3.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3269965,5.00,3.00,1.00,9.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3269973,3.00,3.00,2.00,8.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3269981,1.00,1.00,5.00,2.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3269990,9.00,7.00,5.00,8.00,5.00,4.25,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3270009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3270017,6.00,7.00,3.00,7.00,5.00,6.25,1.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3270025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3270033,1.00,2.00,3.00,7.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3270041,3.00,3.00,3.00,4.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3270050,7.00,5.00,4.00,6.00,7.00,5.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3270068,6.00,5.00,5.00,6.00,7.00,6.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3270076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3270084,3.00,5.00,2.00,5.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3270092,2.00,0.00,3.00,6.00,1.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3270114,2.00,3.00,4.00,4.00,4.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3270122,3.00,1.00,5.00,2.00,2.00,NULL,5.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3270130,3.00,1.00,1.00,7.00,5.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3270149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3270157,8.00,6.00,7.00,9.00,7.00,7.00,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3270165,4.00,4.00,4.00,2.00,6.00,5.75,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3270181,2.00,5.00,3.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3270190,8.00,8.00,4.00,8.00,9.00,6.75,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3270203,7.00,6.00,5.00,8.00,7.00,6.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3270220,2.00,1.00,2.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3270238,5.00,4.00,1.00,6.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3270246,8.00,7.00,5.00,7.00,5.00,4.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3270254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3270262,5.00,3.00,4.00,6.00,6.00,6.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3270289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3270319,3.00,5.00,2.00,7.00,5.00,3.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3270327,6.00,7.00,3.00,8.00,6.00,5.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3270335,4.00,6.00,1.00,6.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3270343,7.00,6.00,3.00,9.00,7.00,6.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3270351,3.00,5.00,3.00,8.00,4.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3270360,6.00,8.00,6.00,6.00,6.00,5.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3270378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3270386,7.00,7.00,5.00,6.00,7.00,6.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3270408,5.00,6.00,5.00,6.00,6.00,6.00,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3270416,5.00,4.00,5.00,6.00,3.00,NULL,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3270424,5.00,7.00,3.00,9.00,8.00,7.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3270432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3270440,3.00,7.00,3.00,7.00,6.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3270459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3270467,4.00,4.00,4.00,0.00,3.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3270475,5.00,6.00,4.00,7.00,5.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3270483,1.00,4.00,1.00,5.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3270491,6.00,6.00,3.00,5.00,5.00,6.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3270505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3270521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3270530,2.00,1.00,1.00,6.00,3.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3270548,2.00,7.00,1.00,0.00,2.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3270556,3.00,7.00,4.00,7.00,6.00,6.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3270564,5.00,6.00,4.00,5.00,6.00,5.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3270572,5.00,3.00,3.00,4.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3270580,2.00,4.00,1.00,3.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3270599,1.00,3.00,3.00,1.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3270602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3270610,3.00,3.00,1.00,3.00,6.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(16,3270629,4.00,2.00,3.00,3.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3270637,4.00,4.00,2.00,5.00,4.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3270645,3.00,5.00,3.00,3.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3270653,5.00,4.00,4.00,4.00,3.00,NULL,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3270661,1.00,6.00,2.00,2.00,6.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3270670,4.00,5.00,3.00,0.00,5.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3270688,3.00,4.00,5.00,6.00,4.00,4.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3270696,5.00,4.00,5.00,5.00,5.00,4.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3270700,4.00,3.00,2.00,4.00,2.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3270718,1.00,2.00,1.00,6.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3270726,3.00,3.00,1.00,2.00,0.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3270734,1.00,1.00,2.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3270742,8.00,6.00,3.00,8.00,5.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3270769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3270777,5.00,2.00,2.00,8.00,4.00,8.00,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3270785,1.00,2.00,1.00,4.00,3.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3270793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3270807,4.00,6.00,5.00,3.00,5.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3270815,6.00,5.00,2.00,6.00,4.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3270823,3.00,4.00,5.00,5.00,1.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3270831,1.00,2.00,2.00,5.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3270840,2.00,2.00,2.00,1.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3270866,4.00,2.00,1.00,3.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3270874,3.00,4.00,7.00,7.00,6.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3270882,3.00,5.00,4.00,3.00,2.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3270890,4.00,2.00,4.00,8.00,4.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3270904,3.00,7.00,2.00,9.00,8.00,6.00,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3270912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3270920,0.00,0.00,0.00,1.00,3.00,NULL,3.00,3.00,3.00,NULL,'S',NULL,'N'),(16,3270939,6.00,8.00,2.00,7.00,5.00,5.75,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3270947,2.00,3.00,2.00,5.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3270955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3270963,6.00,7.00,5.00,5.00,6.00,5.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3270971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3270980,2.00,3.00,3.00,2.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3270998,2.00,2.00,3.00,3.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3271005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3271013,3.00,1.00,3.00,2.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3271030,4.00,5.00,3.00,5.00,7.00,5.75,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3271048,3.00,4.00,2.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3271056,6.00,6.00,3.00,5.00,4.00,5.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3271064,0.00,0.00,1.00,0.00,0.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3271072,7.00,2.00,3.00,5.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3271099,4.00,4.00,4.00,4.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3271102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3271110,4.00,4.00,4.00,1.00,1.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3271137,1.00,2.00,3.00,5.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3271145,2.00,2.00,2.00,3.00,6.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3271153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3271161,5.00,3.00,3.00,1.00,5.00,4.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3271170,4.00,4.00,2.00,9.00,4.00,5.50,4.00,8.00,5.00,NULL,NULL,NULL,'S'),(16,3271188,3.00,7.00,3.00,5.00,2.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3271196,4.00,4.00,4.00,4.00,6.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3271200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3271218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3271234,2.00,0.00,3.00,5.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3271269,2.00,2.00,1.00,5.00,0.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3271277,4.00,5.00,3.00,7.00,3.00,NULL,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3271285,7.00,6.00,3.00,8.00,8.00,5.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3271293,2.00,1.00,4.00,0.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3271315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3271331,3.00,2.00,2.00,3.00,5.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3271340,4.00,5.00,3.00,5.00,6.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3271358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3271366,8.00,7.00,5.00,9.00,8.00,6.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3271374,2.00,0.00,3.00,1.00,1.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3271382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3271390,7.00,6.00,3.00,5.00,5.00,5.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3271404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3271420,5.00,6.00,3.00,4.00,5.00,5.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3271439,3.00,2.00,2.00,2.00,1.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3271455,4.00,4.00,2.00,2.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3271463,4.00,4.00,2.00,4.00,1.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3271471,8.00,8.00,3.00,8.00,9.00,7.00,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3271480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3271498,4.00,6.00,1.00,3.00,3.00,NULL,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3271501,3.00,4.00,4.00,2.00,1.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3271510,5.00,5.00,4.00,8.00,4.00,6.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3271528,4.00,2.00,2.00,2.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'S'),(16,3271544,4.00,1.00,4.00,3.00,1.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3271552,4.00,6.00,8.00,6.00,5.00,5.25,4.00,8.00,3.00,NULL,NULL,NULL,'S'),(16,3271560,1.00,2.00,2.00,5.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3271579,4.00,4.00,4.00,3.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3271587,3.00,1.00,1.00,6.00,6.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3271595,6.00,4.00,2.00,3.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3271617,2.00,2.00,1.00,2.00,4.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3271625,3.00,3.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3271633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3271650,6.00,5.00,2.00,4.00,5.00,6.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3271668,3.00,0.00,4.00,2.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3271684,2.00,1.00,1.00,2.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3271692,4.00,4.00,1.00,7.00,5.00,4.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3271706,5.00,7.00,2.00,8.00,5.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3271714,3.00,6.00,1.00,8.00,4.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3271722,3.00,6.00,1.00,3.00,6.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3271730,3.00,3.00,4.00,4.00,4.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3271749,4.00,3.00,4.00,2.00,4.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3271757,0.00,2.00,1.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3271765,5.00,4.00,4.00,8.00,7.00,4.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3271773,3.00,5.00,3.00,4.00,4.00,4.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3271781,5.00,3.00,2.00,6.00,5.00,5.25,3.00,7.00,2.00,NULL,NULL,NULL,'S'),(16,3271790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3271803,6.00,7.00,5.00,8.00,6.00,5.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3271811,5.00,3.00,2.00,7.00,4.00,4.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3271820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3271838,5.00,2.00,3.00,5.00,5.00,5.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3271846,5.00,8.00,5.00,7.00,4.00,5.25,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3271854,2.00,4.00,4.00,2.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3271862,2.00,5.00,5.00,2.00,7.00,4.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3271870,5.00,5.00,2.00,5.00,6.00,4.75,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3271889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3271897,2.00,3.00,1.00,6.00,2.00,NULL,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3271900,6.00,6.00,3.00,6.00,7.00,1.75,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3271919,5.00,7.00,6.00,8.00,7.00,7.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3271927,2.00,2.00,5.00,6.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3271951,4.00,6.00,5.00,3.00,5.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3271960,4.00,2.00,3.00,7.00,6.00,5.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3271978,7.00,8.00,5.00,4.00,7.00,7.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3271986,3.00,4.00,1.00,8.00,3.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3272001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3272028,2.00,4.00,2.00,2.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3272044,4.00,4.00,4.00,2.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3272052,6.00,5.00,4.00,6.00,5.00,5.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3272060,4.00,2.00,4.00,3.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3272079,4.00,5.00,1.00,3.00,5.00,5.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3272087,2.00,3.00,1.00,5.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3272095,4.00,6.00,1.00,6.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3272109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3272117,5.00,2.00,5.00,2.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3272125,3.00,1.00,5.00,0.00,1.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'S'),(16,3272133,7.00,5.00,3.00,5.00,6.00,7.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3272141,6.00,6.00,3.00,9.00,4.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3272150,3.00,4.00,2.00,5.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3272168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3272176,3.00,8.00,3.00,8.00,7.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3272184,2.00,3.00,3.00,7.00,4.00,5.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3272192,2.00,5.00,5.00,8.00,7.00,5.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3272206,3.00,4.00,2.00,1.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3272214,4.00,3.00,5.00,1.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3272222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3272230,3.00,4.00,4.00,6.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3272249,6.00,5.00,6.00,7.00,7.00,4.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3272257,5.00,4.00,3.00,8.00,5.00,6.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3272265,7.00,6.00,4.00,5.00,7.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3272273,5.00,3.00,2.00,6.00,5.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3272281,2.00,4.00,3.00,0.00,0.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3272290,5.00,1.00,2.00,1.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3272303,7.00,8.00,3.00,7.00,7.00,6.75,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3272311,4.00,9.00,3.00,8.00,9.00,5.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3272320,5.00,3.00,1.00,5.00,6.00,6.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3272338,2.00,2.00,2.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3272346,5.00,4.00,2.00,3.00,6.00,5.50,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3272354,4.00,1.00,1.00,3.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3272362,4.00,4.00,3.00,9.00,6.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3272370,4.00,4.00,3.00,6.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3272389,5.00,4.00,1.00,6.00,6.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3272397,4.00,4.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3272400,5.00,5.00,6.00,7.00,6.00,4.75,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3272419,4.00,5.00,6.00,8.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3272427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3272443,4.00,1.00,1.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3272451,7.00,3.00,3.00,5.00,5.00,5.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3272460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3272478,2.00,4.00,1.00,6.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3272486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3272508,5.00,5.00,3.00,1.00,4.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3272516,3.00,7.00,2.00,4.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3272532,4.00,3.00,8.00,8.00,6.00,6.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3272540,4.00,7.00,4.00,4.00,4.00,4.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3272559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3272567,5.00,4.00,5.00,4.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3272575,4.00,4.00,5.00,3.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3272583,5.00,4.00,3.00,6.00,5.00,4.25,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3272605,4.00,5.00,5.00,0.00,4.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3272613,3.00,4.00,2.00,7.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3272621,8.00,8.00,4.00,8.00,7.00,5.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3272630,3.00,4.00,6.00,7.00,7.00,5.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3272656,3.00,5.00,1.00,7.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3272664,3.00,3.00,4.00,6.00,4.00,5.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3272680,4.00,2.00,2.00,2.00,1.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3272699,3.00,2.00,3.00,4.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3272729,5.00,3.00,5.00,4.00,3.00,NULL,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3272753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3272761,5.00,3.00,3.00,5.00,5.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3272770,4.00,3.00,2.00,9.00,5.00,4.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3272796,3.00,4.00,1.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3272818,5.00,4.00,2.00,2.00,5.00,6.25,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3272826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3272834,1.00,1.00,3.00,4.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3272842,4.00,7.00,6.00,8.00,7.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3272850,3.00,3.00,5.00,4.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3272869,0.00,4.00,4.00,5.00,3.00,NULL,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3272877,4.00,5.00,4.00,4.00,5.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3272885,6.00,5.00,5.00,6.00,6.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3272893,2.00,4.00,2.00,2.00,4.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3272907,2.00,3.00,1.00,2.00,1.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3272915,5.00,2.00,4.00,8.00,5.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3272923,5.00,3.00,5.00,5.00,2.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3272940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3272966,4.00,4.00,3.00,0.00,3.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3272974,6.00,4.00,4.00,7.00,7.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3272982,5.00,5.00,1.00,8.00,4.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3272990,4.00,5.00,4.00,7.00,6.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3273008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3273016,3.00,5.00,2.00,3.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3273024,2.00,3.00,1.00,4.00,3.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3273032,6.00,4.00,2.00,6.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3273059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3273067,3.00,5.00,1.00,5.00,4.00,7.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3273075,5.00,5.00,1.00,3.00,7.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3273083,5.00,4.00,4.00,7.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3273091,5.00,3.00,2.00,4.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3273105,2.00,5.00,2.00,6.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3273121,4.00,4.00,1.00,1.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3273130,2.00,3.00,3.00,6.00,3.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3273148,6.00,6.00,4.00,8.00,8.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3273164,3.00,1.00,3.00,5.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3273172,4.00,3.00,3.00,6.00,4.00,4.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3273180,3.00,6.00,3.00,7.00,5.00,5.75,2.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3273199,2.00,5.00,2.00,2.00,3.00,NULL,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3273202,3.00,1.00,1.00,3.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3273210,6.00,7.00,1.00,7.00,5.00,4.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3273229,5.00,4.00,3.00,3.00,3.00,NULL,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3273245,2.00,4.00,4.00,3.00,4.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3273253,2.00,1.00,2.00,6.00,3.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3273261,6.00,3.00,4.00,7.00,6.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3273270,5.00,1.00,3.00,6.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3273296,7.00,6.00,6.00,10.00,7.00,7.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3273300,5.00,5.00,2.00,6.00,4.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3273326,4.00,4.00,3.00,6.00,4.00,4.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3273334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3273350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3273377,5.00,7.00,4.00,7.00,5.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3273385,9.00,6.00,4.00,8.00,5.00,8.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3273393,5.00,7.00,4.00,4.00,6.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3273407,7.00,3.00,4.00,5.00,4.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3273423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3273431,4.00,2.00,3.00,4.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3273440,5.00,3.00,4.00,3.00,5.00,3.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3273466,2.00,3.00,4.00,8.00,6.00,6.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3273474,5.00,8.00,4.00,8.00,6.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3273482,6.00,3.00,3.00,7.00,5.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3273490,3.00,3.00,4.00,7.00,7.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3273504,5.00,3.00,2.00,8.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3273512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3273520,2.00,4.00,4.00,8.00,6.00,6.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3273539,2.00,2.00,3.00,7.00,4.00,4.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3273547,2.00,1.00,1.00,4.00,2.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3273555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3273563,3.00,5.00,2.00,6.00,6.00,5.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3273571,1.00,3.00,3.00,2.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3273580,3.00,3.00,1.00,0.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3273598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3273610,3.00,7.00,2.00,4.00,2.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3273628,5.00,6.00,4.00,6.00,6.00,5.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3273636,4.00,5.00,4.00,9.00,7.00,5.50,1.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3273644,6.00,3.00,4.00,6.00,5.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3273652,4.00,5.00,3.00,3.00,6.00,4.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3273660,7.00,6.00,1.00,5.00,3.00,NULL,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3273679,4.00,4.00,5.00,6.00,5.00,4.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3273687,2.00,5.00,3.00,1.00,4.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3273695,3.00,5.00,1.00,7.00,5.00,5.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3273709,5.00,8.00,7.00,9.00,5.00,6.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3273717,2.00,2.00,3.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3273725,2.00,3.00,6.00,5.00,6.00,5.00,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3273733,5.00,4.00,1.00,5.00,5.00,5.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3273750,4.00,2.00,2.00,4.00,5.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3273768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3273776,2.00,5.00,2.00,5.00,6.00,5.25,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3273784,5.00,5.00,3.00,4.00,4.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3273806,4.00,3.00,5.00,5.00,4.00,5.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3273814,4.00,2.00,1.00,7.00,4.00,6.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3273822,9.00,8.00,9.00,9.00,7.00,7.50,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3273830,5.00,2.00,2.00,3.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3273849,7.00,5.00,4.00,6.00,3.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3273857,0.00,0.00,0.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3273865,2.00,3.00,4.00,5.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3273873,4.00,0.00,3.00,0.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3273890,3.00,3.00,3.00,1.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3273903,8.00,7.00,3.00,8.00,8.00,6.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3273911,1.00,3.00,3.00,5.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3273938,3.00,5.00,2.00,0.00,5.00,5.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3273946,4.00,1.00,3.00,2.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3273954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3273962,5.00,7.00,4.00,8.00,5.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3273970,5.00,5.00,6.00,9.00,6.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3273989,5.00,5.00,3.00,5.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3273997,5.00,2.00,4.00,5.00,6.00,5.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3274004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3274012,1.00,2.00,2.00,3.00,0.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3274020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3274039,2.00,6.00,1.00,9.00,6.00,5.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3274047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3274055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3274063,2.00,3.00,4.00,3.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3274080,9.00,8.00,8.00,8.00,8.00,8.00,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3274098,6.00,6.00,4.00,6.00,7.00,5.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3274110,5.00,7.00,4.00,4.00,7.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3274128,2.00,3.00,5.00,6.00,3.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3274144,7.00,5.00,3.00,5.00,4.00,5.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3274152,7.00,5.00,2.00,4.00,2.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3274160,2.00,3.00,2.00,4.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3274179,6.00,6.00,2.00,8.00,6.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3274187,1.00,4.00,3.00,4.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3274195,5.00,4.00,6.00,3.00,7.00,5.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3274209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3274225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3274233,2.00,2.00,4.00,2.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3274241,7.00,7.00,6.00,8.00,7.00,6.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3274250,2.00,1.00,1.00,5.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3274268,3.00,6.00,2.00,5.00,7.00,4.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3274276,6.00,5.00,6.00,7.00,4.00,6.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3274284,4.00,6.00,2.00,3.00,0.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3274292,9.00,5.00,8.00,9.00,7.00,5.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3274306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3274314,5.00,5.00,5.00,7.00,5.00,5.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3274349,5.00,5.00,1.00,8.00,4.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3274365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3274373,4.00,5.00,1.00,4.00,2.00,NULL,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3274381,4.00,6.00,6.00,8.00,4.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3274390,4.00,1.00,2.00,2.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3274403,9.00,7.00,9.00,7.00,8.00,6.75,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3274411,2.00,4.00,1.00,5.00,1.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3274420,7.00,8.00,7.00,6.00,6.00,5.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3274438,3.00,3.00,2.00,1.00,7.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3274446,0.00,4.00,2.00,5.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3274454,1.00,2.00,3.00,2.00,1.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3274470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3274489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3274497,6.00,7.00,3.00,8.00,8.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3274500,2.00,4.00,3.00,7.00,4.00,7.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3274519,3.00,8.00,5.00,4.00,5.00,4.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3274527,9.00,6.00,7.00,7.00,5.00,8.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3274535,5.00,4.00,3.00,5.00,4.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3274543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3274551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3274560,3.00,1.00,3.00,6.00,3.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3274578,3.00,3.00,7.00,2.00,3.00,NULL,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3274586,1.00,1.00,2.00,5.00,5.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3274594,2.00,4.00,1.00,1.00,1.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3274608,4.00,5.00,4.00,8.00,5.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3274616,2.00,4.00,4.00,6.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3274624,5.00,5.00,3.00,5.00,5.00,3.00,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3274632,6.00,7.00,3.00,9.00,6.00,7.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3274640,6.00,5.00,4.00,9.00,3.00,NULL,6.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3274659,5.00,5.00,1.00,7.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'S'),(16,3274667,5.00,5.00,4.00,3.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3274683,7.00,7.00,5.00,9.00,7.00,7.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3274691,1.00,2.00,4.00,4.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3274705,4.00,4.00,2.00,2.00,3.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3274721,6.00,6.00,7.00,9.00,6.00,5.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3274730,4.00,5.00,3.00,5.00,4.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3274748,5.00,2.00,4.00,1.00,4.00,6.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3274756,4.00,2.00,3.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3274764,7.00,7.00,8.00,7.00,8.00,4.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3274772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3274780,6.00,5.00,4.00,7.00,6.00,3.00,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3274799,5.00,5.00,1.00,6.00,5.00,7.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3274802,3.00,2.00,1.00,5.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3274810,6.00,6.00,5.00,7.00,7.00,5.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3274829,5.00,5.00,2.00,7.00,3.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3274837,3.00,3.00,2.00,6.00,4.00,6.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3274845,8.00,6.00,8.00,9.00,8.00,9.00,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3274861,4.00,3.00,3.00,3.00,4.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3274870,4.00,3.00,5.00,7.00,5.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3274888,3.00,4.00,1.00,2.00,6.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3274918,8.00,5.00,5.00,7.00,7.00,6.75,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3274950,4.00,6.00,4.00,8.00,6.00,5.75,1.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3274969,4.00,4.00,4.00,4.00,4.00,4.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3274977,3.00,3.00,3.00,6.00,4.00,4.00,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3274993,8.00,9.00,6.00,8.00,8.00,6.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3275000,4.00,7.00,5.00,9.00,7.00,6.00,4.00,8.00,3.00,NULL,NULL,NULL,'S'),(16,3275019,4.00,4.00,3.00,5.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3275027,1.00,5.00,3.00,4.00,4.00,4.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3275035,3.00,1.00,4.00,4.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3275051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3275078,7.00,7.00,6.00,8.00,6.00,6.75,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3275086,3.00,3.00,3.00,3.00,4.00,4.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3275094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3275108,5.00,5.00,8.00,8.00,5.00,4.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3275124,4.00,3.00,1.00,0.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3275132,5.00,8.00,7.00,5.00,6.00,5.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3275140,4.00,5.00,4.00,8.00,5.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3275159,3.00,3.00,3.00,8.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3275167,4.00,5.00,2.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3275175,2.00,3.00,2.00,7.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3275183,2.00,4.00,3.00,2.00,4.00,NULL,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3275191,6.00,8.00,4.00,8.00,5.00,6.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3275205,6.00,4.00,1.00,6.00,7.00,6.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3275213,6.00,1.00,2.00,8.00,4.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3275221,3.00,6.00,4.00,5.00,4.00,4.50,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3275230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3275248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3275256,7.00,5.00,4.00,9.00,6.00,5.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3275264,4.00,3.00,1.00,4.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3275272,3.00,2.00,1.00,7.00,6.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3275280,4.00,5.00,5.00,2.00,6.00,5.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3275299,3.00,5.00,3.00,3.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3275302,5.00,4.00,1.00,6.00,5.00,4.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3275310,4.00,5.00,4.00,2.00,5.00,5.25,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3275329,3.00,3.00,1.00,5.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3275337,5.00,3.00,4.00,7.00,6.00,5.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3275345,4.00,4.00,1.00,4.00,3.00,NULL,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3275361,4.00,4.00,4.00,5.00,3.00,NULL,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3275370,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3275388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3275396,4.00,7.00,1.00,4.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3275400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3275418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3275426,4.00,5.00,4.00,1.00,6.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3275434,5.00,3.00,1.00,8.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3275442,4.00,2.00,2.00,7.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3275450,6.00,7.00,5.00,3.00,5.00,5.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3275477,7.00,3.00,3.00,5.00,4.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3275485,3.00,3.00,1.00,0.00,1.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3275493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3275507,2.00,3.00,3.00,6.00,4.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3275515,2.00,4.00,3.00,6.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3275523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3275531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3275540,8.00,8.00,9.00,9.00,8.00,7.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3275566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3275574,8.00,8.00,4.00,3.00,7.00,7.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3275582,7.00,7.00,6.00,5.00,6.00,6.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3275590,6.00,5.00,6.00,8.00,4.00,6.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3275612,4.00,5.00,2.00,2.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3275620,3.00,5.00,5.00,5.00,4.00,6.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3275663,5.00,3.00,3.00,7.00,5.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3275671,6.00,3.00,2.00,7.00,4.00,5.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3275680,5.00,8.00,6.00,9.00,8.00,8.25,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3275698,3.00,6.00,5.00,4.00,4.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3275701,2.00,6.00,2.00,7.00,4.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3275710,5.00,4.00,4.00,4.00,7.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3275728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3275736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3275744,2.00,2.00,1.00,4.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3275752,1.00,2.00,3.00,5.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3275779,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3275795,5.00,6.00,3.00,3.00,3.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3275809,7.00,3.00,4.00,6.00,6.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3275817,4.00,4.00,3.00,6.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3275825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3275833,5.00,4.00,5.00,6.00,4.00,5.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3275841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3275850,6.00,6.00,6.00,8.00,7.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3275876,3.00,4.00,2.00,3.00,6.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3275884,3.00,0.00,3.00,6.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3275892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3275906,6.00,7.00,4.00,8.00,5.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3275914,5.00,4.00,3.00,7.00,5.00,5.25,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3275930,4.00,2.00,1.00,4.00,5.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3275949,3.00,1.00,1.00,2.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3275957,4.00,4.00,1.00,9.00,6.00,7.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3275965,4.00,4.00,2.00,6.00,4.00,5.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3275973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3275981,6.00,4.00,1.00,3.00,5.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3275990,0.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3276007,4.00,4.00,4.00,4.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3276015,4.00,6.00,1.00,2.00,7.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3276023,6.00,5.00,3.00,3.00,4.00,4.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3276031,3.00,5.00,3.00,8.00,4.00,4.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3276040,6.00,4.00,2.00,0.00,0.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3276058,0.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3276066,4.00,7.00,2.00,3.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3276074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3276082,4.00,7.00,5.00,3.00,4.00,3.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3276090,2.00,6.00,1.00,7.00,4.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3276104,7.00,7.00,2.00,7.00,3.00,NULL,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3276112,5.00,7.00,2.00,5.00,3.00,NULL,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3276120,2.00,2.00,4.00,7.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3276139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3276147,5.00,4.00,2.00,8.00,4.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3276155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3276163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3276171,5.00,4.00,4.00,5.00,5.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3276180,4.00,5.00,3.00,7.00,7.00,5.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3276201,3.00,5.00,3.00,7.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3276210,5.00,4.00,1.00,3.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3276236,4.00,6.00,4.00,5.00,6.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3276252,3.00,3.00,2.00,7.00,6.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3276260,3.00,5.00,2.00,7.00,5.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3276279,4.00,4.00,4.00,7.00,3.00,NULL,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3276287,5.00,7.00,3.00,8.00,5.00,4.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3276295,4.00,5.00,4.00,8.00,5.00,7.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3276309,5.00,4.00,2.00,1.00,4.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3276325,4.00,3.00,5.00,3.00,4.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3276333,4.00,6.00,2.00,7.00,4.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3276341,8.00,4.00,4.00,6.00,4.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3276350,0.00,0.00,0.00,3.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3276368,5.00,3.00,5.00,7.00,5.00,5.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3276376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3276384,3.00,4.00,3.00,6.00,2.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3276406,7.00,8.00,3.00,7.00,6.00,7.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3276414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3276430,7.00,4.00,6.00,7.00,6.00,5.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3276449,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3276457,5.00,1.00,4.00,0.00,5.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3276465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3276473,5.00,8.00,6.00,7.00,8.00,4.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3276481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3276490,3.00,2.00,3.00,7.00,4.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3276503,4.00,1.00,1.00,5.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3276511,2.00,3.00,3.00,3.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3276520,1.00,3.00,2.00,6.00,4.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3276538,4.00,4.00,1.00,2.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3276546,2.00,4.00,4.00,5.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3276554,4.00,4.00,3.00,0.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3276562,3.00,5.00,3.00,5.00,6.00,4.75,0.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3276570,3.00,5.00,4.00,2.00,3.00,NULL,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3276589,4.00,2.00,2.00,4.00,3.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3276619,3.00,3.00,3.00,5.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3276627,3.00,6.00,2.00,5.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3276635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3276643,3.00,4.00,4.00,9.00,6.00,5.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3276651,2.00,2.00,2.00,2.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3276660,8.00,8.00,7.00,9.00,7.00,5.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3276678,8.00,7.00,6.00,9.00,7.00,5.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3276686,3.00,3.00,3.00,2.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3276694,4.00,1.00,1.00,2.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3276708,3.00,1.00,4.00,5.00,5.00,3.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3276716,3.00,1.00,2.00,4.00,5.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3276724,4.00,2.00,1.00,3.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3276732,5.00,1.00,3.00,4.00,0.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3276740,5.00,4.00,6.00,6.00,5.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3276759,3.00,5.00,6.00,2.00,6.00,5.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3276767,6.00,3.00,1.00,7.00,5.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3276775,2.00,3.00,4.00,6.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3276783,2.00,2.00,4.00,5.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3276791,6.00,3.00,2.00,4.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3276805,3.00,0.00,2.00,3.00,1.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3276813,4.00,6.00,5.00,5.00,7.00,5.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3276821,3.00,3.00,3.00,8.00,5.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3276830,3.00,5.00,1.00,2.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3276848,5.00,4.00,2.00,5.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3276856,5.00,4.00,3.00,4.00,4.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3276864,1.00,5.00,2.00,3.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3276872,8.00,7.00,7.00,7.00,5.00,6.00,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3276880,3.00,4.00,1.00,5.00,4.00,6.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3276899,4.00,6.00,2.00,6.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3276902,3.00,3.00,4.00,2.00,0.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3276910,2.00,5.00,1.00,8.00,6.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3276929,3.00,1.00,5.00,4.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3276937,5.00,6.00,3.00,8.00,7.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3276945,8.00,7.00,7.00,8.00,7.00,7.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3276953,6.00,7.00,3.00,8.00,8.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3276961,4.00,4.00,2.00,3.00,4.00,4.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3276970,3.00,1.00,2.00,0.00,4.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3276988,1.00,0.00,3.00,2.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3276996,4.00,7.00,5.00,7.00,6.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3277003,2.00,4.00,1.00,4.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3277011,3.00,2.00,1.00,2.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(16,3277020,5.00,4.00,3.00,7.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3277038,2.00,3.00,2.00,5.00,1.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3277054,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3277062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3277070,4.00,1.00,1.00,1.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3277089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3277097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3277119,5.00,7.00,3.00,5.00,3.00,NULL,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3277127,4.00,1.00,3.00,7.00,3.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3277143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3277160,3.00,3.00,4.00,4.00,4.00,5.50,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3277178,7.00,6.00,4.00,8.00,6.00,7.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3277186,5.00,1.00,4.00,6.00,2.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3277194,3.00,4.00,3.00,8.00,5.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3277208,4.00,4.00,2.00,2.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3277216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3277224,1.00,2.00,2.00,2.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3277232,9.00,7.00,3.00,9.00,8.00,6.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3277240,4.00,3.00,2.00,2.00,2.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3277259,4.00,1.00,1.00,1.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3277267,7.00,7.00,4.00,8.00,7.00,6.00,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3277275,4.00,4.00,4.00,6.00,4.00,6.75,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3277283,2.00,3.00,5.00,7.00,5.00,5.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3277291,6.00,3.00,2.00,4.00,5.00,5.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3277305,2.00,3.00,3.00,3.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3277313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3277321,2.00,3.00,1.00,0.00,0.00,NULL,3.00,5.00,4.00,'S',NULL,NULL,'N'),(16,3277330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3277356,5.00,2.00,2.00,5.00,4.00,5.75,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3277372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3277399,3.00,5.00,4.00,7.00,3.00,NULL,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3277402,4.00,4.00,4.00,6.00,4.00,5.50,3.00,8.00,2.00,NULL,NULL,NULL,'S'),(16,3277410,4.00,5.00,2.00,8.00,6.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3277429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3277437,2.00,8.00,7.00,7.00,6.00,6.00,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3277445,3.00,3.00,3.00,5.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3277453,4.00,2.00,1.00,4.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3277461,3.00,3.00,3.00,6.00,4.00,4.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3277470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3277488,9.00,5.00,6.00,8.00,6.00,5.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3277496,6.00,8.00,6.00,9.00,8.00,6.00,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3277500,6.00,5.00,2.00,7.00,6.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3277518,4.00,6.00,3.00,4.00,5.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3277534,4.00,4.00,2.00,6.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3277542,7.00,5.00,3.00,8.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3277550,3.00,3.00,1.00,7.00,4.00,4.50,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(16,3277569,7.00,6.00,5.00,3.00,2.00,NULL,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3277577,4.00,7.00,2.00,4.00,4.00,4.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3277585,5.00,4.00,5.00,4.00,4.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3277593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3277607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3277615,5.00,6.00,6.00,8.00,8.00,6.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3277623,2.00,1.00,2.00,5.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3277631,0.00,0.00,0.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3277640,7.00,7.00,6.00,7.00,8.00,6.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3277658,6.00,5.00,8.00,9.00,5.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3277666,4.00,1.00,1.00,1.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3277674,7.00,9.00,6.00,9.00,6.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3277682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3277690,5.00,4.00,4.00,1.00,4.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3277704,1.00,1.00,1.00,6.00,5.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3277712,4.00,5.00,3.00,2.00,3.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3277720,6.00,2.00,3.00,4.00,0.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3277739,5.00,8.00,5.00,9.00,6.00,6.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3277747,5.00,3.00,3.00,5.00,1.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3277755,3.00,5.00,4.00,3.00,5.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3277763,4.00,6.00,4.00,0.00,0.00,NULL,2.00,6.00,5.00,'S',NULL,NULL,'S'),(16,3277771,7.00,7.00,5.00,8.00,7.00,5.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3277780,5.00,3.00,3.00,8.00,7.00,5.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3277798,6.00,5.00,3.00,5.00,5.00,4.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3277810,6.00,7.00,4.00,8.00,6.00,5.50,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3277828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3277836,4.00,4.00,6.00,2.00,5.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3277844,2.00,2.00,2.00,5.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3277852,4.00,1.00,3.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3277879,6.00,4.00,3.00,7.00,4.00,6.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3277887,7.00,5.00,9.00,8.00,7.00,7.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3277895,6.00,5.00,1.00,4.00,4.00,3.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3277909,1.00,5.00,6.00,8.00,5.00,6.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3277917,5.00,6.00,1.00,0.00,3.00,NULL,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3277925,5.00,7.00,4.00,4.00,4.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3277933,7.00,8.00,7.00,9.00,7.00,6.75,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3277941,2.00,7.00,2.00,5.00,5.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3277950,1.00,0.00,3.00,2.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3277968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3277976,8.00,7.00,8.00,8.00,6.00,5.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3277984,5.00,3.00,2.00,8.00,5.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3277992,7.00,9.00,5.00,9.00,8.00,5.50,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3278000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3278018,6.00,4.00,4.00,7.00,7.00,5.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3278026,3.00,5.00,4.00,5.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3278034,4.00,3.00,1.00,2.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3278042,7.00,3.00,5.00,0.00,5.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3278069,2.00,2.00,3.00,8.00,4.00,6.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3278077,2.00,2.00,3.00,4.00,0.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3278085,2.00,4.00,2.00,6.00,5.00,5.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3278093,3.00,3.00,4.00,9.00,4.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3278107,3.00,4.00,2.00,4.00,5.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3278115,2.00,2.00,3.00,6.00,4.00,4.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3278123,5.00,4.00,2.00,6.00,5.00,8.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3278140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3278166,4.00,1.00,1.00,5.00,6.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'S');
INSERT INTO ponto_candidato VALUES (16,3278174,5.00,3.00,4.00,8.00,5.00,4.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3278182,5.00,5.00,3.00,8.00,4.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3278190,4.00,3.00,3.00,7.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3278204,3.00,6.00,3.00,2.00,4.00,5.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3278212,3.00,2.00,3.00,5.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3278220,2.00,3.00,1.00,2.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3278239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3278247,4.00,4.00,2.00,7.00,5.00,6.25,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(16,3278255,4.00,4.00,3.00,3.00,4.00,3.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3278263,4.00,3.00,2.00,3.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3278271,1.00,5.00,4.00,1.00,5.00,4.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3278280,7.00,2.00,6.00,5.00,6.00,6.50,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3278298,2.00,2.00,1.00,4.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3278301,5.00,8.00,3.00,9.00,6.00,6.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3278310,4.00,6.00,3.00,7.00,5.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3278328,3.00,5.00,4.00,6.00,4.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3278336,4.00,6.00,5.00,9.00,5.00,4.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3278344,3.00,3.00,3.00,7.00,4.00,6.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3278352,5.00,3.00,5.00,8.00,6.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3278360,6.00,4.00,6.00,5.00,6.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3278379,2.00,2.00,2.00,7.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3278387,5.00,4.00,5.00,3.00,5.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3278395,5.00,5.00,2.00,9.00,5.00,5.25,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3278409,0.00,0.00,0.00,4.00,6.00,NULL,3.00,5.00,3.00,NULL,'S',NULL,'N'),(16,3278417,2.00,1.00,4.00,4.00,4.00,6.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3278425,7.00,8.00,4.00,9.00,7.00,4.50,3.00,9.00,4.00,NULL,NULL,NULL,'S'),(16,3278433,2.00,4.00,1.00,6.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3278450,6.00,8.00,7.00,9.00,7.00,5.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3278468,0.00,2.00,1.00,0.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3278476,6.00,7.00,2.00,7.00,7.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3278484,6.00,2.00,3.00,6.00,6.00,8.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3278492,2.00,3.00,4.00,3.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'S'),(16,3278514,5.00,7.00,1.00,5.00,6.00,4.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3278522,4.00,3.00,4.00,7.00,5.00,6.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3278530,3.00,1.00,2.00,2.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3278549,3.00,4.00,4.00,8.00,5.00,4.75,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(16,3278557,8.00,6.00,6.00,8.00,6.00,5.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3278565,3.00,0.00,1.00,5.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3278573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3278581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3278590,4.00,4.00,2.00,6.00,4.00,4.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3278603,3.00,4.00,1.00,7.00,4.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3278611,4.00,5.00,4.00,6.00,4.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3278620,4.00,2.00,2.00,5.00,6.00,5.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3278638,3.00,7.00,5.00,8.00,6.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3278654,4.00,4.00,2.00,8.00,5.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3278662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3278670,4.00,4.00,5.00,5.00,4.00,4.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3278697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3278719,2.00,2.00,1.00,4.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3278743,3.00,6.00,5.00,7.00,6.00,6.50,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3278751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3278760,3.00,3.00,2.00,4.00,6.00,4.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3278778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3278786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3278794,3.00,3.00,1.00,5.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3278808,5.00,8.00,4.00,4.00,6.00,5.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3278816,3.00,4.00,2.00,8.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(16,3278824,4.00,3.00,2.00,8.00,6.00,6.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3278832,5.00,6.00,2.00,5.00,7.00,3.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3278840,3.00,2.00,2.00,3.00,6.00,NULL,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3278859,6.00,6.00,6.00,9.00,7.00,5.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3278867,2.00,4.00,3.00,3.00,5.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3278875,4.00,4.00,3.00,3.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3278883,3.00,2.00,1.00,7.00,5.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3278891,2.00,6.00,5.00,7.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3278905,5.00,8.00,5.00,8.00,5.00,5.50,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3278913,6.00,7.00,4.00,8.00,6.00,5.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3278921,7.00,4.00,5.00,8.00,4.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3278930,2.00,3.00,4.00,6.00,4.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3278948,6.00,7.00,6.00,8.00,5.00,4.50,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3278980,5.00,5.00,3.00,4.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3278999,6.00,5.00,6.00,7.00,6.00,7.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3279006,3.00,5.00,2.00,4.00,5.00,6.50,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3279014,6.00,7.00,7.00,9.00,8.00,7.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3279022,6.00,4.00,5.00,7.00,6.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3279057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3279065,3.00,3.00,3.00,8.00,4.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3279081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3279090,2.00,2.00,2.00,2.00,0.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3279103,1.00,5.00,4.00,1.00,2.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3279111,4.00,5.00,3.00,4.00,5.00,6.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3279120,5.00,6.00,2.00,3.00,7.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3279138,6.00,4.00,5.00,9.00,7.00,5.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3279146,3.00,3.00,2.00,3.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3279154,3.00,6.00,2.00,5.00,5.00,NULL,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3279162,2.00,2.00,1.00,4.00,3.00,NULL,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3279170,6.00,6.00,3.00,8.00,6.00,6.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3279189,8.00,8.00,7.00,7.00,7.00,6.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3279197,6.00,6.00,4.00,9.00,6.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3279200,2.00,5.00,4.00,1.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3279219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3279235,3.00,4.00,2.00,4.00,5.00,5.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3279243,7.00,6.00,4.00,7.00,8.00,7.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3279251,1.00,3.00,3.00,5.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3279260,5.00,3.00,4.00,7.00,6.00,5.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3279278,6.00,6.00,3.00,8.00,7.00,6.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3279286,6.00,5.00,5.00,7.00,6.00,8.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3279294,3.00,2.00,1.00,6.00,8.00,4.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3279308,7.00,8.00,1.00,9.00,7.00,6.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3279316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3279324,6.00,6.00,3.00,6.00,5.00,4.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3279332,4.00,6.00,4.00,8.00,8.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3279359,2.00,4.00,2.00,6.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3279367,4.00,2.00,6.00,6.00,6.00,6.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3279375,8.00,5.00,9.00,9.00,8.00,6.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3279383,3.00,4.00,6.00,6.00,2.00,NULL,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3279405,6.00,7.00,5.00,8.00,5.00,6.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3279413,2.00,2.00,2.00,3.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3279421,4.00,3.00,3.00,2.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3279430,6.00,7.00,4.00,6.00,3.00,NULL,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3279448,3.00,5.00,1.00,5.00,5.00,6.50,3.00,8.00,5.00,NULL,NULL,NULL,'S'),(16,3279456,7.00,5.00,3.00,3.00,8.00,7.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3279464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3279472,7.00,5.00,1.00,2.00,6.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3279480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3279499,6.00,7.00,2.00,9.00,5.00,6.50,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3279502,6.00,5.00,2.00,6.00,5.00,4.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3279510,3.00,5.00,3.00,8.00,7.00,5.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3279529,4.00,2.00,2.00,2.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3279537,4.00,3.00,3.00,6.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3279545,5.00,6.00,5.00,8.00,7.00,7.00,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3279553,4.00,4.00,1.00,2.00,4.00,NULL,4.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3279570,1.00,3.00,3.00,5.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3279588,4.00,4.00,1.00,2.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3279596,3.00,7.00,3.00,4.00,6.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3279600,4.00,5.00,3.00,0.00,6.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3279618,4.00,4.00,3.00,7.00,6.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3279626,4.00,6.00,3.00,4.00,5.00,5.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3279634,5.00,3.00,2.00,3.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'S'),(16,3279650,2.00,6.00,1.00,4.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3279669,2.00,4.00,3.00,8.00,6.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3279685,8.00,8.00,5.00,7.00,7.00,7.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3279693,3.00,3.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3279707,3.00,6.00,7.00,8.00,6.00,6.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3279715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3279723,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3279731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3279740,5.00,6.00,3.00,2.00,6.00,5.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3279766,2.00,2.00,2.00,2.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3279774,4.00,2.00,3.00,3.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3279782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3279790,3.00,4.00,1.00,0.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3279812,4.00,6.00,3.00,8.00,6.00,7.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3279820,4.00,4.00,2.00,3.00,2.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3279839,7.00,7.00,8.00,7.00,5.00,5.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3279847,2.00,3.00,2.00,6.00,6.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3279863,7.00,6.00,7.00,7.00,5.00,5.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3279880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3279898,6.00,3.00,7.00,4.00,7.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3279901,6.00,8.00,8.00,7.00,7.00,5.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3279910,3.00,7.00,3.00,6.00,4.00,3.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3279928,2.00,4.00,4.00,5.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3279944,4.00,6.00,4.00,8.00,4.00,5.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3279952,2.00,3.00,2.00,6.00,4.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3279960,0.00,5.00,3.00,4.00,1.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3279979,4.00,5.00,1.00,2.00,4.00,0.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3279987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3279995,0.00,0.00,0.00,8.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3280004,5.00,3.00,5.00,9.00,5.00,6.00,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3280012,4.00,4.00,4.00,6.00,5.00,7.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3280020,4.00,4.00,2.00,7.00,3.00,NULL,1.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3280039,5.00,5.00,2.00,7.00,6.00,7.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3280047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3280055,6.00,6.00,4.00,5.00,6.00,5.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3280063,5.00,5.00,3.00,4.00,5.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3280071,2.00,5.00,3.00,4.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3280080,8.00,7.00,8.00,9.00,8.00,6.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3280098,3.00,3.00,2.00,7.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3280101,4.00,4.00,5.00,7.00,6.00,5.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3280110,3.00,1.00,2.00,0.00,0.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3280128,7.00,6.00,6.00,5.00,6.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3280136,3.00,4.00,6.00,8.00,5.00,6.25,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3280144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3280152,1.00,5.00,1.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3280160,3.00,2.00,2.00,7.00,5.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3280179,4.00,5.00,4.00,7.00,5.00,5.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3280187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3280195,2.00,1.00,3.00,6.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3280209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3280217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3280225,7.00,4.00,6.00,7.00,6.00,4.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3280233,6.00,2.00,3.00,4.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3280241,3.00,2.00,4.00,3.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3280250,5.00,4.00,3.00,4.00,5.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3280276,4.00,8.00,2.00,7.00,4.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3280284,5.00,5.00,4.00,8.00,6.00,5.50,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3280292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3280306,3.00,3.00,2.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3280314,4.00,5.00,3.00,7.00,4.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3280322,2.00,1.00,2.00,4.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3280330,3.00,1.00,3.00,5.00,2.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3280357,2.00,4.00,4.00,2.00,3.00,NULL,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3280365,5.00,4.00,2.00,7.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3280373,4.00,7.00,3.00,8.00,4.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3280381,5.00,2.00,2.00,3.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3280390,1.00,0.00,1.00,1.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3280403,3.00,3.00,3.00,2.00,5.00,5.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3280411,3.00,3.00,2.00,4.00,7.00,5.25,1.00,4.00,7.00,NULL,NULL,NULL,'S'),(16,3280420,1.00,4.00,4.00,4.00,0.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3280446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3280454,3.00,4.00,5.00,7.00,5.00,4.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3280470,4.00,4.00,2.00,5.00,4.00,6.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3280489,3.00,3.00,2.00,3.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3280500,0.00,0.00,0.00,7.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3280519,5.00,1.00,3.00,3.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3280527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3280535,6.00,6.00,7.00,6.00,6.00,5.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3280543,4.00,5.00,3.00,6.00,3.00,NULL,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3280551,3.00,3.00,2.00,4.00,0.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3280560,3.00,5.00,3.00,3.00,5.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3280578,3.00,2.00,2.00,4.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3280586,3.00,2.00,2.00,5.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3280594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3280608,3.00,5.00,5.00,3.00,4.00,5.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3280616,5.00,5.00,5.00,6.00,2.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3280624,3.00,2.00,1.00,4.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(16,3280632,5.00,2.00,5.00,1.00,4.00,6.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3280640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3280659,6.00,5.00,2.00,7.00,4.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3280675,4.00,5.00,3.00,1.00,6.00,7.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3280683,7.00,7.00,1.00,6.00,7.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3280691,5.00,5.00,4.00,5.00,4.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3280705,1.00,3.00,3.00,5.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3280713,5.00,4.00,2.00,6.00,5.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3280721,5.00,5.00,1.00,7.00,5.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3280730,3.00,2.00,2.00,7.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3280748,6.00,8.00,4.00,8.00,7.00,6.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3280756,5.00,7.00,5.00,9.00,7.00,6.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3280764,0.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3280772,2.00,3.00,2.00,3.00,4.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'S'),(16,3280780,7.00,5.00,5.00,5.00,6.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3280799,4.00,5.00,5.00,3.00,5.00,4.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3280802,5.00,1.00,2.00,1.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3280810,5.00,3.00,1.00,6.00,7.00,5.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3280829,2.00,1.00,2.00,4.00,1.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3280837,4.00,3.00,4.00,4.00,4.00,4.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3280845,8.00,7.00,9.00,7.00,5.00,6.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3280853,6.00,6.00,6.00,6.00,4.00,5.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3280861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3280870,4.00,4.00,3.00,6.00,4.00,5.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3280888,3.00,1.00,1.00,3.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3280896,4.00,5.00,4.00,8.00,4.00,7.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3280900,1.00,1.00,1.00,3.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3280918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3280926,2.00,6.00,1.00,7.00,5.00,5.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3280934,4.00,4.00,4.00,4.00,6.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3280942,6.00,7.00,4.00,8.00,7.00,5.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3280950,5.00,7.00,4.00,1.00,6.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3280985,5.00,6.00,4.00,3.00,2.00,NULL,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3280993,6.00,6.00,3.00,7.00,6.00,5.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3281000,1.00,1.00,3.00,1.00,2.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3281019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3281027,3.00,4.00,2.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3281035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3281043,6.00,7.00,1.00,5.00,6.00,4.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3281051,6.00,2.00,4.00,6.00,6.00,6.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3281078,7.00,7.00,5.00,7.00,5.00,6.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3281086,2.00,3.00,1.00,3.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3281094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3281108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3281116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3281132,4.00,1.00,1.00,6.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3281140,5.00,6.00,5.00,8.00,6.00,4.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3281167,6.00,5.00,5.00,6.00,5.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3281183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3281191,3.00,2.00,2.00,1.00,1.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3281205,4.00,3.00,2.00,6.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3281213,8.00,8.00,5.00,4.00,6.00,7.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3281221,5.00,6.00,2.00,8.00,7.00,8.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3281230,6.00,7.00,3.00,6.00,6.00,5.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3281256,3.00,3.00,3.00,3.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3281264,3.00,4.00,2.00,7.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3281272,6.00,3.00,1.00,3.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3281280,7.00,8.00,6.00,7.00,6.00,7.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3281299,5.00,6.00,3.00,6.00,4.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3281302,4.00,2.00,6.00,4.00,5.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3281310,2.00,4.00,1.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3281329,2.00,2.00,2.00,4.00,4.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'S'),(16,3281337,5.00,5.00,4.00,8.00,7.00,6.25,0.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3281345,6.00,6.00,3.00,7.00,3.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3281353,5.00,7.00,4.00,8.00,5.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3281361,2.00,6.00,3.00,8.00,5.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3281370,5.00,3.00,2.00,3.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3281388,5.00,5.00,4.00,5.00,4.00,4.00,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3281396,1.00,3.00,2.00,0.00,2.00,NULL,5.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3281400,4.00,3.00,3.00,4.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3281418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3281426,3.00,2.00,1.00,6.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3281434,3.00,3.00,4.00,1.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3281442,4.00,6.00,3.00,4.00,4.00,6.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3281450,7.00,6.00,7.00,8.00,5.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3281469,3.00,5.00,4.00,5.00,6.00,5.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3281477,5.00,7.00,7.00,10.00,9.00,6.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3281485,7.00,5.00,5.00,7.00,7.00,6.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3281493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3281507,2.00,4.00,4.00,3.00,1.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3281515,5.00,8.00,4.00,7.00,5.00,5.50,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3281531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3281558,7.00,3.00,3.00,5.00,4.00,5.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3281566,4.00,7.00,5.00,7.00,4.00,7.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3281574,4.00,3.00,2.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3281590,4.00,5.00,4.00,3.00,5.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3281604,4.00,3.00,4.00,6.00,6.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3281612,6.00,6.00,3.00,7.00,5.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3281620,4.00,5.00,3.00,7.00,6.00,4.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3281639,5.00,8.00,4.00,8.00,8.00,7.25,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3281647,6.00,5.00,2.00,4.00,6.00,4.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3281655,7.00,5.00,6.00,9.00,6.00,6.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3281663,1.00,3.00,3.00,2.00,2.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3281671,5.00,5.00,4.00,7.00,8.00,6.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3281680,7.00,6.00,7.00,7.00,6.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3281698,5.00,6.00,2.00,9.00,5.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3281701,2.00,2.00,1.00,8.00,3.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'S'),(16,3281728,4.00,4.00,2.00,7.00,4.00,8.00,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3281736,7.00,7.00,7.00,8.00,8.00,6.50,5.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3281744,4.00,6.00,4.00,8.00,5.00,5.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3281752,4.00,5.00,4.00,6.00,6.00,5.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3281760,3.00,1.00,1.00,1.00,1.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3281779,5.00,7.00,3.00,7.00,7.00,7.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3281787,5.00,8.00,5.00,3.00,6.00,5.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3281795,4.00,4.00,2.00,1.00,7.00,4.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3281809,7.00,6.00,6.00,8.00,6.00,6.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3281817,3.00,5.00,1.00,7.00,6.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3281825,6.00,6.00,4.00,5.00,7.00,4.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3281833,3.00,2.00,3.00,6.00,4.00,4.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3281841,5.00,2.00,3.00,5.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3281850,5.00,5.00,3.00,7.00,5.00,5.75,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3281876,6.00,3.00,3.00,6.00,5.00,5.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3281884,7.00,4.00,2.00,7.00,4.00,6.75,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3281892,2.00,1.00,1.00,2.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3281906,7.00,3.00,4.00,6.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3281914,0.00,0.00,0.00,7.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3281922,5.00,6.00,4.00,9.00,5.00,6.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3281930,4.00,7.00,2.00,7.00,4.00,5.00,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3281949,4.00,4.00,2.00,2.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3281957,4.00,4.00,5.00,7.00,8.00,6.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3281965,5.00,2.00,1.00,2.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3281981,4.00,7.00,3.00,7.00,6.00,6.00,2.00,7.00,0.00,NULL,NULL,NULL,'N'),(16,3281990,6.00,7.00,6.00,7.00,5.00,6.75,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3282007,5.00,6.00,4.00,6.00,6.00,5.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3282015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3282023,3.00,4.00,3.00,6.00,5.00,4.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3282031,8.00,6.00,8.00,7.00,7.00,5.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3282040,3.00,5.00,3.00,2.00,3.00,NULL,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3282058,3.00,7.00,8.00,9.00,6.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3282066,7.00,4.00,4.00,7.00,4.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3282074,0.00,2.00,2.00,5.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3282090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3282104,7.00,8.00,2.00,6.00,5.00,6.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3282112,3.00,6.00,4.00,5.00,5.00,5.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3282120,6.00,5.00,6.00,9.00,8.00,8.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3282139,3.00,5.00,3.00,5.00,4.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3282147,5.00,1.00,3.00,2.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3282155,5.00,5.00,6.00,7.00,6.00,5.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3282163,3.00,3.00,4.00,0.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3282171,4.00,3.00,3.00,3.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3282180,5.00,6.00,5.00,7.00,6.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3282198,7.00,5.00,4.00,4.00,7.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3282201,5.00,8.00,8.00,9.00,7.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3282210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3282228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3282236,6.00,6.00,3.00,8.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3282244,0.00,0.00,0.00,8.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3282252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3282279,5.00,4.00,2.00,6.00,2.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3282287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3282295,2.00,4.00,3.00,3.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3282309,5.00,4.00,4.00,6.00,6.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3282317,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3282325,3.00,3.00,1.00,7.00,4.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3282333,2.00,0.00,2.00,3.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3282368,1.00,3.00,1.00,4.00,3.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3282376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3282384,3.00,5.00,4.00,8.00,6.00,3.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3282392,3.00,1.00,1.00,3.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3282406,5.00,2.00,1.00,1.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3282414,4.00,6.00,4.00,7.00,2.00,NULL,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3282422,2.00,3.00,2.00,1.00,4.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3282430,4.00,2.00,3.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3282449,5.00,2.00,3.00,7.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3282457,3.00,5.00,4.00,6.00,5.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3282473,8.00,7.00,5.00,7.00,7.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3282490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3282503,6.00,6.00,6.00,8.00,6.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3282511,5.00,4.00,4.00,7.00,6.00,6.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3282520,2.00,4.00,3.00,7.00,5.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3282538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3282546,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3282554,6.00,4.00,3.00,6.00,5.00,4.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3282562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3282589,7.00,5.00,1.00,5.00,7.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3282597,3.00,2.00,3.00,3.00,4.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3282600,5.00,6.00,6.00,9.00,7.00,6.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3282619,3.00,4.00,1.00,6.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3282627,7.00,7.00,6.00,9.00,8.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3282635,3.00,3.00,3.00,5.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3282643,5.00,4.00,1.00,6.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3282660,6.00,5.00,7.00,9.00,7.00,4.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3282678,2.00,1.00,3.00,3.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3282686,3.00,2.00,3.00,2.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3282694,7.00,5.00,4.00,3.00,6.00,5.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3282708,3.00,2.00,2.00,5.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3282716,5.00,3.00,3.00,2.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3282740,4.00,7.00,4.00,5.00,6.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3282759,3.00,6.00,3.00,4.00,5.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3282767,6.00,8.00,8.00,8.00,7.00,5.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3282775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3282783,1.00,6.00,5.00,3.00,4.00,5.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3282791,2.00,3.00,4.00,9.00,6.00,5.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3282805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3282813,3.00,1.00,3.00,3.00,3.00,NULL,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3282821,6.00,6.00,4.00,6.00,7.00,7.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3282830,7.00,6.00,4.00,7.00,5.00,7.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3282848,7.00,4.00,5.00,2.00,5.00,4.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3282856,2.00,7.00,3.00,1.00,6.00,7.50,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3282864,3.00,6.00,2.00,8.00,3.00,NULL,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3282872,6.00,8.00,2.00,9.00,6.00,5.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3282880,5.00,4.00,2.00,2.00,3.00,NULL,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3282899,3.00,4.00,1.00,4.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3282929,5.00,5.00,2.00,9.00,4.00,4.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3282937,2.00,4.00,4.00,4.00,4.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3282945,5.00,6.00,4.00,7.00,4.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3282953,7.00,8.00,4.00,8.00,8.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3282961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3282988,6.00,4.00,3.00,1.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3282996,6.00,7.00,4.00,10.00,9.00,6.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3283003,8.00,7.00,8.00,9.00,9.00,5.50,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3283011,6.00,7.00,4.00,5.00,6.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3283020,5.00,9.00,7.00,7.00,6.00,6.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3283038,1.00,4.00,2.00,0.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3283046,5.00,4.00,4.00,2.00,0.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3283054,4.00,7.00,4.00,8.00,6.00,5.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3283062,6.00,6.00,4.00,7.00,4.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3283070,8.00,8.00,8.00,9.00,7.00,6.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3283089,5.00,6.00,4.00,3.00,1.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3283100,3.00,5.00,2.00,1.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3283119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3283127,4.00,7.00,5.00,5.00,7.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3283135,2.00,0.00,4.00,2.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3283143,3.00,6.00,2.00,5.00,4.00,6.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3283151,5.00,4.00,2.00,3.00,5.00,6.25,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3283178,4.00,4.00,4.00,5.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3283186,3.00,2.00,1.00,2.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3283194,5.00,7.00,2.00,3.00,5.00,4.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3283208,7.00,8.00,4.00,8.00,7.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3283216,4.00,3.00,1.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3283224,1.00,5.00,3.00,4.00,5.00,6.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3283232,3.00,1.00,2.00,2.00,0.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3283240,3.00,4.00,2.00,3.00,4.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3283267,3.00,3.00,2.00,2.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3283291,2.00,2.00,2.00,2.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(16,3283305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3283313,3.00,3.00,2.00,3.00,4.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3283321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3283330,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3283348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3283356,5.00,2.00,1.00,5.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3283372,3.00,7.00,5.00,9.00,4.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3283380,7.00,7.00,5.00,7.00,5.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3283399,5.00,4.00,3.00,5.00,4.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3283402,6.00,6.00,5.00,8.00,8.00,2.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3283410,3.00,6.00,3.00,7.00,5.00,6.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3283429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3283437,3.00,4.00,4.00,3.00,5.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3283445,7.00,7.00,5.00,6.00,7.00,7.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3283453,6.00,0.00,5.00,3.00,1.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3283461,1.00,2.00,3.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3283470,3.00,6.00,1.00,1.00,4.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3283488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3283496,4.00,6.00,1.00,2.00,4.00,4.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3283500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3283518,3.00,6.00,4.00,3.00,6.00,4.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3283534,3.00,3.00,2.00,5.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3283542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3283550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3283569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3283577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3283585,3.00,2.00,4.00,6.00,5.00,4.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3283607,8.00,6.00,3.00,9.00,5.00,5.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3283615,3.00,5.00,2.00,7.00,6.00,5.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3283631,4.00,7.00,2.00,4.00,2.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3283640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3283666,1.00,3.00,2.00,7.00,4.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3283674,4.00,7.00,1.00,3.00,6.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3283682,2.00,3.00,4.00,6.00,0.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3283690,3.00,3.00,2.00,2.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3283712,1.00,4.00,1.00,3.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3283720,8.00,7.00,4.00,3.00,7.00,5.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3283739,6.00,5.00,9.00,5.00,6.00,6.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3283747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3283755,4.00,3.00,3.00,6.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3283763,4.00,5.00,3.00,6.00,5.00,5.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3283771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3283780,5.00,7.00,4.00,3.00,7.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3283798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3283801,3.00,4.00,4.00,7.00,5.00,5.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3283810,2.00,4.00,2.00,1.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3283828,6.00,6.00,2.00,9.00,7.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3283836,2.00,4.00,2.00,0.00,2.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3283844,2.00,2.00,3.00,1.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3283852,3.00,4.00,3.00,5.00,6.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3283879,6.00,4.00,2.00,6.00,4.00,4.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3283887,4.00,1.00,4.00,6.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3283895,3.00,5.00,2.00,1.00,1.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3283909,2.00,1.00,2.00,2.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3283917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3283925,5.00,5.00,7.00,8.00,6.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3283933,2.00,4.00,7.00,8.00,5.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3283941,1.00,2.00,3.00,3.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3283968,4.00,6.00,3.00,8.00,6.00,6.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3283976,2.00,4.00,3.00,4.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3283984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3283992,2.00,4.00,1.00,7.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3284018,6.00,6.00,6.00,9.00,5.00,4.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3284034,2.00,2.00,3.00,1.00,2.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3284042,5.00,3.00,2.00,8.00,4.00,4.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3284050,9.00,7.00,7.00,8.00,8.00,6.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3284069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3284077,2.00,1.00,2.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3284093,3.00,5.00,4.00,0.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3284107,6.00,6.00,6.00,8.00,5.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3284115,7.00,5.00,6.00,7.00,7.00,6.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3284123,3.00,5.00,4.00,5.00,6.00,5.25,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3284131,4.00,5.00,1.00,7.00,4.00,6.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3284140,3.00,3.00,2.00,4.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3284158,4.00,6.00,6.00,8.00,5.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3284166,0.00,4.00,2.00,7.00,5.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3284174,4.00,5.00,3.00,7.00,5.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3284190,5.00,5.00,2.00,8.00,5.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3284204,1.00,2.00,1.00,3.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3284212,9.00,7.00,9.00,7.00,6.00,6.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3284220,5.00,4.00,7.00,8.00,5.00,6.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3284239,4.00,6.00,3.00,6.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3284255,5.00,7.00,2.00,4.00,5.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3284263,3.00,3.00,3.00,2.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3284271,3.00,5.00,1.00,4.00,5.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3284280,1.00,1.00,4.00,9.00,5.00,5.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3284298,2.00,0.00,2.00,5.00,5.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3284301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3284310,5.00,6.00,3.00,9.00,6.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3284328,3.00,4.00,4.00,8.00,3.00,NULL,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3284344,5.00,4.00,3.00,4.00,6.00,4.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3284352,4.00,8.00,7.00,2.00,5.00,5.75,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3284360,7.00,6.00,7.00,8.00,7.00,6.50,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3284379,4.00,3.00,5.00,5.00,6.00,6.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3284387,3.00,1.00,1.00,1.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3284409,8.00,8.00,9.00,8.00,6.00,6.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3284417,4.00,6.00,3.00,6.00,4.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3284433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3284441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3284450,3.00,5.00,3.00,6.00,6.00,5.50,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3284468,4.00,5.00,4.00,2.00,5.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3284476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3284492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3284506,4.00,3.00,2.00,3.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3284514,1.00,2.00,2.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3284522,4.00,6.00,5.00,8.00,7.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3284530,3.00,2.00,1.00,1.00,1.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3284549,1.00,2.00,4.00,5.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3284557,8.00,5.00,5.00,7.00,6.00,6.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3284565,3.00,4.00,2.00,8.00,4.00,5.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3284573,3.00,4.00,4.00,7.00,4.00,6.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3284581,3.00,4.00,1.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3284590,6.00,5.00,6.00,5.00,5.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3284603,5.00,5.00,1.00,0.00,4.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3284611,5.00,3.00,3.00,8.00,7.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3284620,4.00,4.00,1.00,2.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3284638,2.00,4.00,3.00,4.00,4.00,4.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3284646,5.00,2.00,2.00,7.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3284654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3284662,4.00,4.00,2.00,7.00,5.00,4.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3284670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3284689,8.00,7.00,5.00,7.00,8.00,6.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3284697,2.00,4.00,1.00,2.00,4.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3284700,3.00,0.00,2.00,4.00,6.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3284719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3284727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3284735,2.00,3.00,4.00,7.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3284743,3.00,2.00,3.00,6.00,4.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3284778,2.00,3.00,3.00,0.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3284786,6.00,6.00,4.00,5.00,2.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3284794,4.00,3.00,2.00,7.00,5.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3284816,0.00,0.00,0.00,7.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3284824,3.00,5.00,2.00,5.00,4.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3284832,7.00,4.00,4.00,7.00,4.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3284840,4.00,5.00,2.00,4.00,4.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3284859,3.00,5.00,2.00,7.00,4.00,5.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3284867,2.00,1.00,3.00,3.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3284875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3284883,4.00,7.00,5.00,7.00,7.00,5.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3284891,3.00,3.00,4.00,3.00,4.00,6.50,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3284905,8.00,9.00,4.00,3.00,5.00,6.50,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3284913,8.00,8.00,8.00,7.00,8.00,6.25,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3284930,3.00,5.00,1.00,4.00,4.00,4.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3284948,1.00,1.00,1.00,4.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3284956,4.00,7.00,4.00,7.00,6.00,5.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3284972,4.00,4.00,4.00,2.00,4.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3284999,6.00,6.00,5.00,9.00,7.00,6.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3285006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3285022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3285030,3.00,4.00,5.00,6.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3285049,2.00,3.00,3.00,1.00,1.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3285057,3.00,6.00,2.00,7.00,5.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3285065,4.00,4.00,5.00,5.00,5.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3285073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3285081,2.00,4.00,4.00,6.00,6.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3285090,0.00,5.00,1.00,2.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3285111,4.00,5.00,2.00,9.00,6.00,6.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3285120,6.00,7.00,6.00,7.00,8.00,7.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3285138,3.00,3.00,6.00,7.00,3.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3285146,5.00,5.00,4.00,5.00,4.00,4.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3285154,3.00,5.00,4.00,5.00,5.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3285170,4.00,7.00,1.00,4.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3285189,2.00,3.00,2.00,5.00,6.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3285200,2.00,1.00,1.00,3.00,5.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3285219,9.00,8.00,6.00,6.00,6.00,6.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3285227,0.00,0.00,0.00,6.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3285235,3.00,7.00,6.00,9.00,4.00,6.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3285243,4.00,6.00,4.00,4.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3285251,5.00,5.00,5.00,5.00,3.00,NULL,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3285260,2.00,2.00,3.00,7.00,4.00,4.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3285278,2.00,3.00,1.00,6.00,2.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3285286,5.00,6.00,2.00,5.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3285324,6.00,6.00,5.00,6.00,5.00,4.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3285340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3285367,5.00,5.00,5.00,6.00,6.00,5.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3285383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3285391,3.00,3.00,1.00,4.00,5.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3285405,5.00,2.00,2.00,1.00,4.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3285413,4.00,4.00,2.00,4.00,4.00,4.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3285421,2.00,5.00,3.00,4.00,5.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3285430,0.00,1.00,7.00,2.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3285448,6.00,7.00,4.00,4.00,7.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3285464,3.00,5.00,4.00,4.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3285472,8.00,7.00,2.00,6.00,6.00,6.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3285480,3.00,2.00,1.00,4.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3285499,2.00,2.00,1.00,1.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3285502,0.00,0.00,0.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3285510,3.00,6.00,3.00,9.00,7.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3285529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3285537,1.00,3.00,1.00,2.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3285545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3285553,3.00,5.00,1.00,4.00,2.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3285561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3285570,3.00,4.00,1.00,1.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3285588,5.00,6.00,5.00,4.00,5.00,6.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3285596,1.00,0.00,2.00,6.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3285600,4.00,4.00,5.00,7.00,5.00,5.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3285618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3285626,5.00,5.00,7.00,8.00,6.00,6.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3285634,5.00,7.00,2.00,7.00,6.00,7.50,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3285650,6.00,5.00,6.00,8.00,8.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3285669,2.00,4.00,1.00,1.00,1.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3285677,3.00,7.00,3.00,5.00,4.00,2.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3285685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3285693,1.00,2.00,2.00,3.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3285707,5.00,3.00,5.00,7.00,4.00,6.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3285723,2.00,2.00,2.00,5.00,1.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3285731,4.00,4.00,2.00,8.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3285740,5.00,7.00,6.00,9.00,6.00,7.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3285758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3285766,2.00,3.00,5.00,6.00,4.00,6.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3285774,3.00,5.00,2.00,4.00,3.00,NULL,2.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3285782,2.00,3.00,3.00,2.00,4.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3285804,5.00,8.00,7.00,7.00,6.00,5.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3285812,3.00,7.00,3.00,1.00,5.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3285820,1.00,2.00,4.00,2.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3285839,5.00,4.00,4.00,7.00,6.00,6.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3285855,4.00,4.00,4.00,8.00,4.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3285871,4.00,1.00,1.00,6.00,6.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3285898,3.00,3.00,2.00,2.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3285901,4.00,7.00,4.00,7.00,8.00,5.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3285910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3285928,3.00,2.00,2.00,3.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3285936,3.00,3.00,3.00,5.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3285952,4.00,3.00,2.00,6.00,4.00,5.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3285960,2.00,1.00,2.00,6.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3285979,6.00,5.00,2.00,5.00,3.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3285987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3285995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3286002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3286010,4.00,6.00,5.00,7.00,5.00,4.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3286029,0.00,4.00,2.00,0.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3286045,6.00,7.00,1.00,6.00,5.00,4.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3286053,4.00,5.00,1.00,3.00,4.00,3.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3286061,1.00,2.00,2.00,5.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3286070,2.00,3.00,6.00,6.00,4.00,6.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3286088,5.00,7.00,2.00,7.00,7.00,4.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3286096,4.00,4.00,3.00,7.00,8.00,5.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3286100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3286126,5.00,7.00,3.00,3.00,6.00,4.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3286134,9.00,9.00,8.00,9.00,9.00,7.75,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3286150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3286169,5.00,3.00,2.00,0.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3286177,6.00,7.00,5.00,9.00,6.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3286185,2.00,3.00,2.00,2.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3286193,4.00,6.00,4.00,6.00,3.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3286207,4.00,3.00,1.00,3.00,4.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3286215,1.00,0.00,2.00,2.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3286223,1.00,5.00,2.00,7.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3286231,5.00,3.00,1.00,2.00,3.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3286240,5.00,8.00,5.00,8.00,6.00,5.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3286258,4.00,6.00,4.00,8.00,7.00,7.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3286274,2.00,7.00,3.00,3.00,7.00,5.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3286282,2.00,3.00,2.00,6.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3286290,0.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3286304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3286320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3286347,4.00,6.00,4.00,3.00,7.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3286355,6.00,4.00,4.00,9.00,8.00,7.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3286363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3286371,9.00,8.00,7.00,7.00,7.00,5.25,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3286380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3286398,1.00,3.00,2.00,4.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3286410,2.00,3.00,2.00,4.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3286428,5.00,3.00,2.00,7.00,5.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3286436,3.00,5.00,1.00,5.00,5.00,7.00,0.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3286444,6.00,5.00,6.00,7.00,6.00,8.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3286452,5.00,6.00,3.00,6.00,4.00,7.25,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3286460,6.00,4.00,4.00,0.00,6.00,4.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3286479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3286487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3286495,2.00,1.00,3.00,3.00,0.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3286517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3286541,8.00,8.00,7.00,9.00,7.00,6.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3286550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3286568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3286576,7.00,5.00,6.00,0.00,4.00,5.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3286592,2.00,2.00,2.00,8.00,6.00,5.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3286606,1.00,4.00,4.00,7.00,6.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3286614,2.00,1.00,4.00,1.00,6.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3286622,0.00,3.00,3.00,5.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3286630,8.00,6.00,4.00,8.00,9.00,4.50,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3286649,5.00,5.00,5.00,8.00,5.00,8.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3286657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3286665,7.00,4.00,1.00,3.00,4.00,7.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3286673,3.00,4.00,1.00,1.00,4.00,5.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3286681,2.00,3.00,2.00,8.00,5.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3286690,4.00,4.00,1.00,1.00,4.00,4.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3286703,1.00,4.00,2.00,5.00,2.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3286711,7.00,5.00,8.00,6.00,7.00,5.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3286720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3286738,3.00,5.00,3.00,0.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3286746,4.00,3.00,5.00,6.00,5.00,5.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3286754,2.00,4.00,3.00,0.00,4.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3286762,1.00,5.00,4.00,6.00,6.00,5.25,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3286770,8.00,4.00,6.00,9.00,7.00,6.50,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3286797,3.00,1.00,4.00,3.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3286819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3286827,5.00,5.00,5.00,8.00,6.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3286835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3286843,3.00,4.00,4.00,2.00,5.00,4.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3286860,9.00,7.00,6.00,8.00,8.00,7.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3286878,5.00,6.00,1.00,7.00,5.00,5.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3286886,1.00,2.00,2.00,3.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3286908,3.00,3.00,2.00,4.00,1.00,NULL,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(16,3286916,5.00,5.00,1.00,1.00,5.00,4.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3286924,2.00,4.00,4.00,6.00,7.00,8.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3286932,5.00,3.00,3.00,4.00,4.00,4.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3286940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3286959,2.00,3.00,3.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3286967,3.00,6.00,4.00,4.00,3.00,NULL,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3286975,2.00,5.00,5.00,7.00,5.00,5.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3286983,3.00,3.00,2.00,3.00,4.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3286991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3287017,6.00,4.00,6.00,7.00,6.00,4.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3287025,5.00,0.00,1.00,3.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3287033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3287041,5.00,9.00,4.00,6.00,8.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3287068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3287076,2.00,5.00,1.00,7.00,3.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3287084,3.00,5.00,4.00,6.00,6.00,7.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3287092,4.00,5.00,5.00,5.00,6.00,5.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3287106,6.00,4.00,4.00,8.00,6.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3287114,1.00,6.00,3.00,6.00,5.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3287122,7.00,7.00,3.00,7.00,6.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3287130,3.00,4.00,5.00,3.00,5.00,6.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3287149,2.00,3.00,3.00,4.00,4.00,4.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3287157,3.00,4.00,1.00,6.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3287165,3.00,3.00,1.00,7.00,4.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3287173,4.00,3.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3287203,7.00,6.00,2.00,7.00,6.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3287211,3.00,3.00,2.00,5.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3287220,2.00,4.00,5.00,9.00,5.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3287238,2.00,3.00,1.00,3.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3287254,4.00,5.00,4.00,7.00,5.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3287262,4.00,4.00,1.00,7.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3287270,3.00,5.00,4.00,7.00,4.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3287289,1.00,0.00,4.00,5.00,0.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3287297,2.00,3.00,2.00,2.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3287300,6.00,5.00,8.00,6.00,5.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3287319,4.00,7.00,5.00,8.00,6.00,5.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3287327,3.00,4.00,3.00,1.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3287335,6.00,4.00,2.00,5.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3287343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3287351,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3287378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3287386,1.00,1.00,2.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3287394,4.00,3.00,3.00,0.00,4.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3287408,3.00,6.00,5.00,8.00,7.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3287416,6.00,6.00,8.00,9.00,8.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3287424,3.00,2.00,2.00,6.00,2.00,NULL,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3287432,2.00,5.00,2.00,2.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3287440,6.00,9.00,5.00,6.00,7.00,4.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3287459,5.00,4.00,3.00,6.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3287467,4.00,6.00,2.00,4.00,4.00,4.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3287475,6.00,6.00,6.00,7.00,5.00,6.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3287483,4.00,3.00,1.00,3.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3287491,1.00,1.00,3.00,2.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3287505,6.00,5.00,7.00,8.00,6.00,6.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3287513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3287530,3.00,6.00,4.00,7.00,4.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3287548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3287564,5.00,5.00,2.00,8.00,4.00,5.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3287572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3287599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3287602,2.00,3.00,1.00,6.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3287610,3.00,6.00,3.00,8.00,6.00,5.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3287629,4.00,4.00,2.00,5.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3287637,3.00,3.00,3.00,2.00,7.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3287645,5.00,5.00,4.00,6.00,5.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3287661,5.00,7.00,2.00,3.00,6.00,5.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3287696,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3287700,4.00,4.00,1.00,2.00,3.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3287718,6.00,6.00,4.00,7.00,4.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3287726,6.00,2.00,3.00,3.00,7.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3287742,7.00,5.00,2.00,9.00,6.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3287769,2.00,3.00,4.00,4.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3287777,6.00,7.00,6.00,5.00,8.00,6.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3287785,2.00,5.00,3.00,7.00,4.00,5.75,3.00,7.00,1.00,NULL,NULL,NULL,'S'),(16,3287793,0.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3287807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3287815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3287823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3287831,3.00,2.00,3.00,7.00,5.00,6.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3287840,4.00,1.00,2.00,3.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3287858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3287866,3.00,3.00,3.00,7.00,5.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3287874,1.00,7.00,2.00,3.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3287882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3287890,2.00,3.00,4.00,0.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3287904,3.00,5.00,2.00,2.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3287912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3287920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3287947,0.00,0.00,0.00,9.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3287955,2.00,4.00,3.00,5.00,5.00,4.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3287971,3.00,5.00,4.00,3.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3287980,3.00,1.00,1.00,6.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3287998,2.00,4.00,2.00,6.00,2.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3288021,5.00,4.00,4.00,7.00,5.00,5.75,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(16,3288048,3.00,2.00,1.00,3.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3288056,3.00,3.00,4.00,6.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3288064,6.00,1.00,3.00,4.00,5.00,4.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3288072,4.00,7.00,2.00,7.00,6.00,5.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3288080,2.00,3.00,2.00,5.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3288099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3288102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3288110,3.00,3.00,4.00,2.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3288129,4.00,4.00,4.00,3.00,2.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3288137,3.00,2.00,4.00,2.00,1.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3288145,5.00,4.00,3.00,7.00,7.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3288153,2.00,1.00,1.00,2.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3288161,1.00,3.00,3.00,5.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3288170,4.00,5.00,5.00,8.00,5.00,4.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3288188,4.00,2.00,2.00,6.00,3.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3288200,6.00,5.00,4.00,8.00,6.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3288226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3288242,3.00,6.00,4.00,5.00,3.00,NULL,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3288250,6.00,8.00,4.00,5.00,6.00,5.00,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3288269,4.00,2.00,2.00,1.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3288277,5.00,4.00,4.00,1.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3288285,9.00,8.00,7.00,7.00,8.00,6.00,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3288293,3.00,8.00,4.00,7.00,6.00,6.25,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3288307,2.00,0.00,2.00,2.00,4.00,NULL,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3288315,5.00,5.00,6.00,7.00,6.00,8.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3288323,5.00,4.00,4.00,7.00,6.00,5.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3288331,3.00,0.00,2.00,0.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3288340,2.00,5.00,4.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3288358,3.00,4.00,3.00,4.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3288366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3288374,5.00,4.00,5.00,9.00,6.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3288382,1.00,2.00,3.00,7.00,4.00,4.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3288390,7.00,5.00,2.00,5.00,6.00,6.75,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3288404,1.00,3.00,3.00,4.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3288412,4.00,6.00,3.00,8.00,4.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3288420,9.00,5.00,4.00,7.00,5.00,4.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3288439,4.00,6.00,7.00,9.00,8.00,7.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3288447,2.00,3.00,3.00,8.00,4.00,5.75,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3288455,5.00,6.00,2.00,3.00,4.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3288463,5.00,5.00,2.00,0.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3288471,6.00,2.00,3.00,4.00,4.00,7.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3288480,6.00,6.00,5.00,7.00,3.00,NULL,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3288498,1.00,2.00,3.00,3.00,4.00,NULL,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3288501,5.00,3.00,2.00,7.00,4.00,6.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3288510,4.00,5.00,1.00,5.00,6.00,7.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3288528,2.00,2.00,2.00,1.00,1.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3288536,2.00,3.00,3.00,7.00,3.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3288544,2.00,4.00,1.00,8.00,4.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3288552,2.00,4.00,2.00,4.00,2.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'S'),(16,3288560,3.00,5.00,2.00,5.00,7.00,5.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3288579,2.00,0.00,4.00,3.00,2.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'S'),(16,3288587,2.00,6.00,1.00,8.00,5.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3288595,2.00,1.00,3.00,4.00,4.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3288609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3288625,4.00,6.00,3.00,6.00,5.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3288633,6.00,4.00,6.00,4.00,5.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3288641,3.00,5.00,3.00,8.00,5.00,4.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3288650,4.00,3.00,5.00,7.00,5.00,4.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3288668,6.00,8.00,3.00,9.00,9.00,5.25,5.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3288676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3288684,3.00,4.00,3.00,1.00,2.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3288692,4.00,6.00,3.00,6.00,2.00,NULL,1.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3288706,3.00,2.00,2.00,4.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3288714,1.00,4.00,1.00,6.00,4.00,5.75,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3288722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3288730,2.00,3.00,6.00,8.00,1.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3288749,2.00,0.00,3.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3288757,7.00,4.00,6.00,7.00,5.00,5.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3288765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3288781,5.00,4.00,4.00,7.00,3.00,NULL,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3288790,1.00,2.00,4.00,1.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3288803,0.00,2.00,4.00,4.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3288811,2.00,5.00,3.00,6.00,4.00,4.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3288820,5.00,2.00,2.00,4.00,4.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3288838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3288846,5.00,6.00,1.00,1.00,5.00,6.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3288854,6.00,5.00,5.00,7.00,5.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3288862,6.00,5.00,5.00,5.00,5.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3288870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3288889,6.00,7.00,2.00,0.00,7.00,NULL,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3288897,0.00,4.00,7.00,2.00,4.00,7.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3288900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3288919,5.00,5.00,1.00,4.00,4.00,5.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3288927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3288935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3288943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3288951,3.00,3.00,6.00,7.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3288960,1.00,3.00,2.00,3.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3288978,6.00,8.00,3.00,3.00,4.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3288986,2.00,3.00,4.00,4.00,6.00,6.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3288994,1.00,2.00,2.00,4.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3289010,3.00,4.00,2.00,4.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3289028,6.00,7.00,3.00,10.00,6.00,5.00,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3289036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3289044,5.00,5.00,6.00,5.00,5.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3289052,4.00,5.00,2.00,7.00,4.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3289060,5.00,2.00,2.00,5.00,5.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3289079,2.00,2.00,2.00,3.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3289087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3289095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3289109,2.00,3.00,4.00,2.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3289125,8.00,5.00,4.00,4.00,6.00,6.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3289133,3.00,1.00,1.00,1.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3289141,4.00,3.00,2.00,2.00,3.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3289150,3.00,2.00,2.00,2.00,2.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3289168,2.00,2.00,1.00,3.00,4.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'S'),(16,3289184,5.00,5.00,3.00,6.00,4.00,5.25,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3289192,1.00,3.00,1.00,3.00,0.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3289206,3.00,8.00,3.00,5.00,4.00,6.00,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3289214,8.00,8.00,5.00,8.00,8.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3289222,2.00,3.00,1.00,2.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3289230,5.00,5.00,3.00,7.00,4.00,4.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3289249,2.00,2.00,4.00,4.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3289257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3289265,9.00,7.00,6.00,8.00,6.00,6.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3289281,3.00,4.00,2.00,6.00,1.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3289311,4.00,4.00,3.00,8.00,4.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3289320,4.00,4.00,2.00,5.00,6.00,5.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3289338,7.00,6.00,5.00,2.00,5.00,4.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3289346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3289354,3.00,7.00,3.00,9.00,6.00,6.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3289362,5.00,6.00,5.00,8.00,6.00,8.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3289370,4.00,3.00,4.00,5.00,5.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3289389,3.00,6.00,5.00,7.00,6.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3289397,5.00,6.00,7.00,8.00,5.00,6.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3289400,8.00,7.00,6.00,8.00,6.00,6.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3289419,1.00,4.00,3.00,2.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3289427,1.00,3.00,2.00,3.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'S'),(16,3289435,6.00,7.00,2.00,9.00,5.00,5.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3289443,3.00,4.00,2.00,1.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3289451,3.00,1.00,3.00,8.00,4.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3289460,2.00,6.00,4.00,7.00,4.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3289478,4.00,4.00,2.00,7.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3289486,2.00,4.00,3.00,7.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3289494,2.00,7.00,4.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3289516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3289524,5.00,3.00,5.00,8.00,6.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3289532,2.00,6.00,3.00,4.00,1.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3289540,5.00,5.00,5.00,5.00,4.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3289559,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3289567,2.00,2.00,2.00,4.00,5.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3289575,6.00,7.00,5.00,7.00,5.00,5.25,1.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3289583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3289591,5.00,6.00,2.00,8.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3289613,3.00,4.00,1.00,6.00,1.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3289621,1.00,6.00,1.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3289630,5.00,6.00,7.00,3.00,3.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3289648,5.00,5.00,5.00,9.00,8.00,6.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3289672,1.00,0.00,2.00,2.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3289680,4.00,2.00,2.00,5.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3289699,1.00,0.00,2.00,7.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3289702,5.00,5.00,1.00,9.00,6.00,5.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3289710,1.00,2.00,2.00,3.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3289729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3289737,2.00,2.00,1.00,0.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3289745,5.00,1.00,2.00,3.00,6.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3289753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3289770,6.00,6.00,4.00,9.00,6.00,4.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3289788,2.00,5.00,3.00,2.00,4.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3289796,3.00,3.00,1.00,0.00,2.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3289800,2.00,3.00,1.00,0.00,0.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3289818,6.00,5.00,3.00,6.00,4.00,4.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3289826,6.00,3.00,2.00,3.00,6.00,4.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3289834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3289842,3.00,4.00,3.00,4.00,4.00,5.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3289850,4.00,6.00,1.00,8.00,5.00,4.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3289869,6.00,5.00,8.00,8.00,7.00,7.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3289877,3.00,4.00,3.00,5.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(16,3289885,3.00,3.00,4.00,8.00,5.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3289893,1.00,6.00,4.00,7.00,4.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3289915,7.00,7.00,1.00,9.00,7.00,5.75,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3289923,4.00,3.00,2.00,1.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3289940,6.00,6.00,3.00,3.00,3.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3289966,2.00,5.00,4.00,3.00,5.00,4.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3289974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3289982,2.00,2.00,3.00,6.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3289990,3.00,4.00,5.00,7.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3290018,5.00,5.00,2.00,6.00,6.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3290026,1.00,3.00,4.00,3.00,6.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3290034,3.00,4.00,2.00,0.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3290050,3.00,0.00,2.00,2.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3290069,5.00,8.00,5.00,6.00,8.00,4.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3290077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3290085,5.00,4.00,2.00,9.00,7.00,4.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3290093,4.00,0.00,2.00,8.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3290115,3.00,6.00,1.00,6.00,3.00,NULL,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3290123,5.00,5.00,2.00,3.00,3.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3290131,3.00,2.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3290140,3.00,4.00,4.00,2.00,4.00,5.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3290158,4.00,4.00,3.00,7.00,4.00,4.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3290166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3290174,4.00,4.00,1.00,6.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3290182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3290190,3.00,3.00,3.00,4.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3290220,4.00,1.00,2.00,5.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3290239,3.00,6.00,3.00,4.00,3.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3290247,4.00,1.00,1.00,1.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3290255,2.00,4.00,4.00,4.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3290263,3.00,3.00,5.00,3.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3290271,7.00,7.00,3.00,6.00,4.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3290301,5.00,4.00,2.00,7.00,5.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3290310,5.00,2.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3290328,2.00,5.00,5.00,8.00,6.00,6.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3290336,4.00,5.00,3.00,0.00,3.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3290344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3290352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3290360,4.00,2.00,1.00,1.00,4.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3290379,2.00,4.00,1.00,6.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3290387,3.00,5.00,3.00,8.00,7.00,6.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3290395,3.00,5.00,3.00,5.00,6.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3290409,3.00,4.00,4.00,8.00,6.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3290417,3.00,3.00,6.00,6.00,4.00,5.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3290425,3.00,3.00,5.00,5.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(16,3290441,4.00,4.00,2.00,5.00,7.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3290450,2.00,2.00,3.00,5.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3290468,3.00,6.00,2.00,7.00,7.00,7.25,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3290476,4.00,6.00,6.00,9.00,5.00,5.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3290484,4.00,4.00,5.00,6.00,4.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3290492,7.00,8.00,8.00,8.00,8.00,6.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3290506,4.00,2.00,1.00,8.00,4.00,5.75,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3290514,5.00,6.00,4.00,8.00,7.00,7.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3290522,5.00,6.00,5.00,6.00,2.00,NULL,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3290530,4.00,4.00,3.00,3.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3290549,0.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3290565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3290573,2.00,1.00,2.00,5.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3290581,6.00,4.00,4.00,7.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3290590,3.00,4.00,1.00,7.00,7.00,5.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3290603,5.00,5.00,5.00,8.00,7.00,6.50,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3290611,1.00,0.00,4.00,2.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3290638,3.00,1.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3290646,7.00,6.00,6.00,9.00,8.00,5.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3290654,4.00,4.00,2.00,5.00,5.00,4.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3290662,5.00,2.00,3.00,3.00,4.00,4.50,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3290670,4.00,2.00,3.00,6.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3290689,2.00,1.00,4.00,3.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3290697,6.00,5.00,3.00,5.00,5.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3290719,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3290727,2.00,5.00,4.00,2.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3290735,3.00,5.00,2.00,2.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3290743,3.00,3.00,2.00,5.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3290751,6.00,5.00,6.00,9.00,7.00,5.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3290760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3290778,6.00,2.00,3.00,3.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3290786,4.00,5.00,1.00,6.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3290794,3.00,4.00,4.00,3.00,4.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3290808,6.00,6.00,4.00,3.00,5.00,6.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3290816,2.00,4.00,1.00,2.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3290824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3290832,1.00,4.00,2.00,3.00,1.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3290840,5.00,4.00,5.00,3.00,2.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3290859,0.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3290875,3.00,5.00,3.00,7.00,4.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3290883,1.00,5.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3290913,5.00,4.00,2.00,4.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3290921,6.00,4.00,3.00,0.00,2.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3290930,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3290948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3290956,3.00,4.00,2.00,4.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3290964,3.00,2.00,1.00,6.00,4.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3290972,7.00,3.00,3.00,8.00,5.00,5.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3290999,8.00,7.00,5.00,8.00,8.00,6.50,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(16,3291006,3.00,1.00,2.00,6.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3291014,2.00,6.00,3.00,7.00,5.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3291022,5.00,7.00,4.00,8.00,5.00,4.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3291030,4.00,4.00,3.00,6.00,4.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3291049,3.00,4.00,2.00,5.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3291057,0.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3291065,5.00,2.00,5.00,7.00,5.00,4.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3291081,5.00,3.00,3.00,2.00,1.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3291090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3291103,6.00,8.00,6.00,8.00,7.00,4.50,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3291111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3291120,6.00,5.00,3.00,6.00,6.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3291138,2.00,7.00,2.00,7.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3291146,4.00,4.00,4.00,7.00,6.00,4.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3291154,1.00,0.00,2.00,4.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3291162,3.00,4.00,4.00,5.00,8.00,5.00,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3291170,6.00,6.00,6.00,7.00,5.00,6.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3291189,4.00,6.00,6.00,6.00,6.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3291197,2.00,3.00,1.00,7.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3291200,6.00,4.00,6.00,3.00,4.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3291227,2.00,0.00,2.00,5.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3291235,2.00,1.00,3.00,4.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3291243,2.00,4.00,2.00,6.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3291251,4.00,2.00,3.00,4.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3291260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3291278,0.00,2.00,2.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3291286,6.00,6.00,3.00,8.00,6.00,6.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3291294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3291308,4.00,6.00,7.00,4.00,5.00,6.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3291316,2.00,3.00,4.00,6.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3291324,5.00,5.00,2.00,5.00,6.00,4.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3291332,4.00,1.00,1.00,2.00,5.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3291340,3.00,4.00,2.00,3.00,5.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3291359,3.00,2.00,2.00,2.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3291375,6.00,6.00,4.00,9.00,5.00,5.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3291383,3.00,3.00,2.00,7.00,4.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3291391,6.00,5.00,4.00,6.00,5.00,5.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3291405,5.00,5.00,3.00,7.00,8.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3291413,3.00,2.00,1.00,6.00,5.00,6.00,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3291421,0.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3291430,3.00,3.00,4.00,6.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3291448,4.00,6.00,4.00,8.00,6.00,4.75,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3291456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3291464,2.00,6.00,5.00,2.00,4.00,4.00,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3291472,4.00,5.00,4.00,5.00,3.00,NULL,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3291480,4.00,4.00,3.00,5.00,5.00,5.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3291499,5.00,4.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3291502,3.00,2.00,4.00,8.00,5.00,5.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3291510,5.00,8.00,6.00,9.00,8.00,6.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3291529,3.00,7.00,1.00,2.00,6.00,6.50,2.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3291537,4.00,7.00,3.00,9.00,9.00,4.75,1.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3291553,6.00,4.00,1.00,5.00,4.00,3.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3291561,4.00,3.00,2.00,4.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3291588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3291596,2.00,2.00,4.00,8.00,7.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3291618,5.00,5.00,6.00,4.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3291626,4.00,3.00,4.00,7.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3291634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3291642,6.00,6.00,4.00,7.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3291650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3291669,4.00,2.00,2.00,3.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3291677,3.00,1.00,2.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3291685,4.00,6.00,5.00,5.00,4.00,4.25,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3291693,5.00,4.00,4.00,8.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3291707,4.00,3.00,2.00,3.00,5.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3291715,7.00,5.00,1.00,8.00,5.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3291723,5.00,5.00,2.00,6.00,4.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3291740,4.00,4.00,1.00,7.00,3.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3291758,2.00,3.00,1.00,6.00,1.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3291766,2.00,4.00,4.00,8.00,5.00,4.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3291774,5.00,1.00,1.00,5.00,5.00,4.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3291782,4.00,1.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3291790,4.00,4.00,3.00,3.00,2.00,NULL,3.00,2.00,6.00,NULL,NULL,NULL,'S'),(16,3291804,2.00,6.00,3.00,6.00,4.00,4.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3291812,3.00,3.00,1.00,2.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3291820,3.00,4.00,2.00,0.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3291839,3.00,3.00,3.00,3.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3291847,6.00,5.00,5.00,7.00,4.00,5.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3291863,3.00,6.00,4.00,2.00,5.00,4.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3291871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3291898,2.00,2.00,1.00,8.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3291901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3291910,4.00,5.00,6.00,8.00,4.00,7.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3291928,2.00,2.00,3.00,5.00,4.00,5.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3291936,3.00,0.00,1.00,3.00,0.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3291944,5.00,6.00,4.00,4.00,4.00,6.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3291952,2.00,5.00,3.00,9.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3291960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3291987,2.00,4.00,2.00,4.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3291995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3292002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3292029,4.00,4.00,2.00,6.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3292037,5.00,5.00,3.00,9.00,1.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3292045,4.00,4.00,4.00,6.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3292053,8.00,7.00,8.00,8.00,7.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3292061,8.00,6.00,3.00,6.00,5.00,5.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3292088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3292096,4.00,4.00,4.00,8.00,5.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3292100,0.00,2.00,2.00,7.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3292118,3.00,6.00,3.00,2.00,5.00,6.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3292126,3.00,3.00,5.00,2.00,1.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3292134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3292142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3292150,1.00,3.00,4.00,1.00,1.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3292169,4.00,4.00,5.00,4.00,6.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3292177,6.00,1.00,2.00,1.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3292185,7.00,8.00,4.00,8.00,7.00,4.75,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3292193,4.00,4.00,2.00,6.00,4.00,6.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3292207,7.00,7.00,4.00,6.00,8.00,8.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3292215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3292223,6.00,5.00,3.00,8.00,5.00,6.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3292231,3.00,4.00,2.00,5.00,4.00,4.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3292258,7.00,8.00,6.00,8.00,5.00,6.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3292266,6.00,8.00,6.00,8.00,7.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3292282,4.00,5.00,3.00,3.00,6.00,8.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3292290,2.00,4.00,1.00,7.00,0.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3292304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3292312,6.00,6.00,6.00,9.00,7.00,5.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3292320,4.00,1.00,4.00,3.00,6.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3292339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3292347,6.00,4.00,2.00,4.00,5.00,5.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3292355,2.00,3.00,3.00,4.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3292363,2.00,4.00,4.00,5.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3292371,2.00,3.00,1.00,1.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3292380,3.00,6.00,2.00,5.00,5.00,6.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3292398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3292410,5.00,2.00,2.00,5.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3292428,9.00,9.00,8.00,9.00,9.00,7.50,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3292436,3.00,3.00,1.00,3.00,1.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3292444,4.00,7.00,7.00,6.00,7.00,7.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3292452,1.00,2.00,3.00,5.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3292479,4.00,4.00,1.00,9.00,5.00,4.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3292495,5.00,5.00,3.00,8.00,6.00,5.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3292509,7.00,6.00,8.00,9.00,6.00,7.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3292525,5.00,6.00,6.00,9.00,6.00,5.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3292533,3.00,4.00,2.00,8.00,6.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3292541,2.00,4.00,4.00,5.00,2.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3292550,3.00,4.00,5.00,3.00,4.00,4.25,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3292576,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3292592,4.00,4.00,3.00,8.00,6.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3292614,9.00,8.00,8.00,7.00,2.00,NULL,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3292622,5.00,3.00,1.00,5.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3292649,2.00,5.00,4.00,8.00,5.00,4.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3292657,4.00,6.00,4.00,4.00,5.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3292665,5.00,6.00,4.00,5.00,8.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3292673,6.00,7.00,6.00,7.00,6.00,6.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3292703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3292711,1.00,5.00,4.00,6.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3292720,6.00,5.00,5.00,7.00,6.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3292738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3292746,7.00,7.00,2.00,6.00,5.00,6.50,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3292754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3292789,1.00,1.00,3.00,4.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3292797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3292819,3.00,2.00,3.00,5.00,5.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3292827,4.00,4.00,2.00,5.00,5.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3292835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3292843,5.00,4.00,3.00,2.00,4.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3292851,4.00,4.00,4.00,8.00,5.00,5.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3292878,6.00,4.00,2.00,8.00,6.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3292886,1.00,3.00,3.00,3.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3292894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3292908,3.00,4.00,4.00,1.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3292916,2.00,1.00,2.00,3.00,2.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3292940,2.00,2.00,3.00,4.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3292959,6.00,6.00,5.00,8.00,5.00,5.00,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3292967,1.00,2.00,4.00,4.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3292975,2.00,7.00,4.00,6.00,1.00,NULL,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3292983,0.00,0.00,0.00,8.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3293009,3.00,4.00,2.00,4.00,4.00,5.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3293025,5.00,5.00,3.00,9.00,6.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3293041,5.00,2.00,3.00,6.00,4.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3293050,2.00,6.00,2.00,5.00,6.00,5.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3293068,4.00,9.00,4.00,9.00,5.00,6.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3293076,2.00,4.00,3.00,5.00,4.00,5.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3293092,2.00,2.00,1.00,6.00,4.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3293106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3293114,3.00,9.00,1.00,7.00,6.00,6.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3293122,1.00,4.00,1.00,2.00,2.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3293130,2.00,4.00,4.00,5.00,5.00,5.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3293157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3293173,5.00,6.00,3.00,9.00,5.00,4.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3293181,4.00,1.00,2.00,6.00,5.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3293190,3.00,6.00,2.00,8.00,6.00,4.75,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3293203,3.00,4.00,4.00,4.00,2.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3293211,3.00,4.00,2.00,4.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3293220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3293238,4.00,5.00,4.00,8.00,2.00,NULL,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3293246,3.00,6.00,4.00,2.00,5.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3293254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3293262,4.00,2.00,5.00,1.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3293270,3.00,4.00,5.00,5.00,6.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3293297,1.00,3.00,2.00,5.00,1.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3293300,5.00,4.00,6.00,0.00,4.00,4.50,5.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3293327,3.00,2.00,4.00,5.00,4.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3293335,8.00,6.00,5.00,7.00,7.00,6.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3293351,5.00,4.00,6.00,8.00,4.00,5.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3293360,3.00,6.00,4.00,5.00,3.00,NULL,0.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3293378,7.00,4.00,4.00,8.00,7.00,6.25,4.00,3.00,5.00,NULL,NULL,NULL,'S'),(16,3293386,5.00,3.00,4.00,6.00,2.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3293394,6.00,6.00,7.00,8.00,7.00,7.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3293408,2.00,2.00,2.00,4.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3293416,5.00,3.00,4.00,6.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3293432,2.00,6.00,2.00,2.00,2.00,NULL,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3293440,3.00,4.00,3.00,7.00,4.00,6.00,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3293459,6.00,5.00,2.00,7.00,4.00,6.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3293467,4.00,3.00,3.00,5.00,5.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3293475,4.00,2.00,5.00,5.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3293483,2.00,3.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3293491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3293505,6.00,3.00,4.00,6.00,6.00,6.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3293521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3293530,1.00,5.00,2.00,5.00,4.00,5.50,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3293548,3.00,5.00,3.00,4.00,5.00,4.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3293556,3.00,5.00,2.00,0.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3293564,1.00,2.00,2.00,5.00,3.00,NULL,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3293572,6.00,6.00,3.00,9.00,5.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3293580,6.00,6.00,2.00,8.00,5.00,4.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3293599,3.00,4.00,3.00,6.00,5.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3293602,0.00,5.00,1.00,4.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3293610,4.00,7.00,2.00,6.00,5.00,4.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3293637,1.00,2.00,5.00,3.00,0.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3293645,4.00,6.00,5.00,4.00,5.00,4.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3293653,8.00,7.00,6.00,8.00,7.00,5.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3293688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3293696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3293700,6.00,6.00,5.00,5.00,5.00,7.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3293718,6.00,7.00,8.00,8.00,5.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3293726,6.00,6.00,1.00,6.00,2.00,NULL,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3293734,2.00,3.00,3.00,4.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3293742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3293750,2.00,3.00,4.00,2.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3293785,3.00,1.00,4.00,6.00,4.00,5.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3293807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3293815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3293823,2.00,2.00,4.00,4.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3293831,5.00,7.00,3.00,6.00,5.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3293840,2.00,2.00,3.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3293858,8.00,8.00,5.00,8.00,7.00,6.50,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3293866,2.00,4.00,4.00,0.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3293874,2.00,5.00,2.00,4.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3293882,1.00,5.00,4.00,6.00,5.00,6.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3293890,6.00,6.00,2.00,5.00,7.00,6.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3293904,4.00,3.00,3.00,6.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3293920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3293939,4.00,3.00,4.00,8.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3293947,5.00,5.00,2.00,5.00,4.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3293955,6.00,5.00,3.00,7.00,3.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3293963,4.00,0.00,2.00,3.00,3.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3293971,6.00,7.00,6.00,7.00,7.00,4.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3293980,4.00,2.00,2.00,4.00,5.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3293998,4.00,3.00,2.00,4.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3294005,3.00,4.00,2.00,5.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3294013,7.00,5.00,4.00,6.00,7.00,5.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3294021,1.00,0.00,1.00,4.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3294030,4.00,5.00,3.00,5.00,6.00,5.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3294048,4.00,3.00,1.00,2.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3294056,3.00,2.00,1.00,2.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3294064,5.00,3.00,4.00,1.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3294072,4.00,5.00,7.00,8.00,5.00,7.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3294080,4.00,1.00,4.00,2.00,1.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3294099,2.00,2.00,1.00,5.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3294129,7.00,8.00,5.00,4.00,6.00,6.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3294137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3294145,4.00,1.00,2.00,2.00,2.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3294153,8.00,7.00,7.00,8.00,8.00,6.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3294161,2.00,2.00,2.00,2.00,2.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'S'),(16,3294170,2.00,4.00,3.00,5.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3294188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3294196,5.00,6.00,2.00,6.00,4.00,6.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3294200,2.00,3.00,2.00,7.00,6.00,4.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3294218,3.00,4.00,1.00,1.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3294226,3.00,4.00,3.00,5.00,7.00,5.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3294234,3.00,2.00,1.00,2.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3294250,5.00,8.00,6.00,9.00,4.00,6.25,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3294269,4.00,2.00,1.00,3.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3294277,1.00,1.00,1.00,0.00,2.00,NULL,7.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3294285,6.00,3.00,2.00,7.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3294293,4.00,1.00,2.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3294307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3294323,3.00,5.00,4.00,7.00,4.00,5.50,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3294331,3.00,4.00,3.00,3.00,3.00,NULL,4.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3294340,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3294358,3.00,2.00,3.00,7.00,3.00,NULL,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3294366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3294374,5.00,3.00,3.00,0.00,4.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3294382,6.00,6.00,3.00,7.00,6.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3294390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3294404,3.00,2.00,5.00,7.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3294412,4.00,3.00,4.00,5.00,3.00,NULL,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3294420,1.00,2.00,4.00,9.00,4.00,5.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3294439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3294447,4.00,3.00,2.00,8.00,4.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3294455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3294463,6.00,8.00,1.00,3.00,6.00,6.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3294471,3.00,6.00,4.00,4.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3294498,3.00,6.00,2.00,1.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3294501,6.00,2.00,2.00,2.00,3.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3294510,4.00,1.00,2.00,2.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3294528,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3294536,4.00,3.00,2.00,5.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3294544,2.00,5.00,4.00,4.00,5.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3294560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3294579,6.00,2.00,1.00,3.00,0.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3294587,9.00,6.00,4.00,7.00,7.00,6.50,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3294595,6.00,7.00,5.00,5.00,7.00,6.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3294609,3.00,6.00,4.00,6.00,4.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3294617,7.00,8.00,6.00,9.00,5.00,5.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3294625,4.00,3.00,4.00,6.00,3.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3294633,4.00,3.00,3.00,7.00,4.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3294641,5.00,5.00,2.00,7.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3294650,5.00,6.00,2.00,5.00,3.00,NULL,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3294668,7.00,3.00,3.00,7.00,5.00,6.00,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3294676,5.00,4.00,2.00,5.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3294684,5.00,4.00,3.00,7.00,4.00,4.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3294692,4.00,5.00,4.00,6.00,7.00,5.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3294706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3294714,2.00,3.00,2.00,4.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3294722,4.00,5.00,3.00,7.00,8.00,5.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3294730,7.00,8.00,4.00,9.00,5.00,7.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3294749,5.00,5.00,2.00,7.00,4.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3294757,6.00,6.00,7.00,6.00,6.00,5.50,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3294765,2.00,3.00,3.00,2.00,0.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3294773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3294781,6.00,4.00,3.00,8.00,5.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3294803,2.00,5.00,4.00,7.00,4.00,5.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3294811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3294820,4.00,4.00,2.00,5.00,1.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3294838,4.00,4.00,3.00,7.00,6.00,4.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3294846,3.00,1.00,3.00,0.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3294854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3294862,2.00,2.00,2.00,6.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3294870,1.00,1.00,1.00,5.00,0.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3294889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3294897,6.00,5.00,4.00,5.00,6.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3294900,3.00,7.00,2.00,9.00,7.00,5.25,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3294919,3.00,6.00,1.00,5.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'S'),(16,3294927,5.00,3.00,3.00,8.00,4.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3294935,5.00,6.00,3.00,4.00,5.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3294943,3.00,4.00,2.00,7.00,4.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3294951,4.00,6.00,3.00,9.00,5.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3294960,3.00,1.00,2.00,1.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3294978,4.00,4.00,1.00,5.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3294986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3295001,4.00,3.00,3.00,6.00,4.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3295010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3295028,1.00,5.00,3.00,0.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3295036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3295052,2.00,5.00,1.00,0.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3295060,5.00,3.00,3.00,7.00,5.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3295079,5.00,4.00,4.00,1.00,4.00,4.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3295087,2.00,0.00,1.00,1.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3295095,5.00,5.00,4.00,7.00,6.00,4.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3295109,6.00,2.00,2.00,6.00,5.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3295117,5.00,6.00,2.00,7.00,6.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3295125,5.00,3.00,2.00,8.00,5.00,7.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3295133,6.00,8.00,4.00,7.00,8.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3295150,7.00,6.00,5.00,5.00,6.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3295168,6.00,5.00,2.00,8.00,7.00,4.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3295176,6.00,5.00,3.00,3.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3295184,6.00,5.00,5.00,6.00,6.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3295192,3.00,4.00,1.00,3.00,5.00,5.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3295206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3295214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3295222,4.00,5.00,3.00,5.00,5.00,5.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3295230,1.00,7.00,3.00,4.00,5.00,6.25,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(16,3295249,3.00,4.00,4.00,0.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3295265,3.00,6.00,2.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3295281,7.00,7.00,8.00,3.00,7.00,4.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3295303,6.00,4.00,2.00,7.00,4.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3295311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3295320,4.00,7.00,4.00,6.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3295354,2.00,4.00,2.00,3.00,6.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3295362,6.00,7.00,4.00,8.00,7.00,5.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3295370,3.00,5.00,2.00,7.00,5.00,4.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3295389,6.00,5.00,3.00,7.00,5.00,4.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3295397,4.00,4.00,5.00,4.00,3.00,NULL,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3295400,4.00,4.00,5.00,8.00,3.00,NULL,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3295419,3.00,3.00,3.00,2.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3295427,4.00,3.00,4.00,8.00,2.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3295435,5.00,9.00,5.00,9.00,7.00,5.25,4.00,8.00,5.00,NULL,NULL,NULL,'S'),(16,3295451,5.00,5.00,2.00,7.00,5.00,4.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3295460,5.00,6.00,4.00,7.00,4.00,5.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3295478,4.00,6.00,3.00,6.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3295516,5.00,4.00,4.00,7.00,7.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3295524,0.00,1.00,2.00,6.00,1.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3295532,1.00,2.00,2.00,0.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3295540,4.00,3.00,4.00,3.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3295559,6.00,7.00,5.00,3.00,5.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3295567,1.00,3.00,2.00,6.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3295575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3295583,3.00,3.00,2.00,6.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3295591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3295605,0.00,7.00,2.00,7.00,6.00,5.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3295613,4.00,5.00,1.00,5.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3295621,3.00,1.00,2.00,5.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3295630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3295648,4.00,2.00,1.00,6.00,4.00,6.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3295656,3.00,6.00,3.00,6.00,3.00,NULL,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3295672,3.00,4.00,4.00,1.00,4.00,4.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3295680,3.00,3.00,2.00,1.00,4.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3295699,6.00,4.00,2.00,6.00,5.00,5.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3295710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3295729,6.00,6.00,5.00,8.00,5.00,6.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3295737,4.00,4.00,2.00,5.00,4.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3295745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3295753,4.00,1.00,3.00,0.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3295761,7.00,6.00,6.00,9.00,5.00,6.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3295770,5.00,4.00,4.00,3.00,1.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3295788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3295800,7.00,5.00,7.00,3.00,6.00,6.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3295818,0.00,3.00,3.00,8.00,1.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3295826,3.00,2.00,1.00,6.00,0.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3295834,8.00,6.00,8.00,8.00,7.00,7.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3295842,5.00,5.00,2.00,6.00,4.00,6.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3295850,7.00,5.00,7.00,4.00,5.00,5.75,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3295869,5.00,5.00,3.00,5.00,6.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3295877,6.00,4.00,5.00,6.00,5.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3295885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3295893,4.00,3.00,2.00,4.00,5.00,4.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3295923,6.00,6.00,7.00,8.00,7.00,7.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3295931,3.00,2.00,2.00,7.00,0.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3295940,4.00,3.00,2.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3295958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3295966,6.00,5.00,4.00,3.00,4.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3295982,4.00,6.00,3.00,5.00,8.00,6.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3295990,2.00,3.00,1.00,1.00,0.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3296008,3.00,4.00,3.00,5.00,6.00,4.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3296016,4.00,5.00,2.00,3.00,5.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3296024,5.00,3.00,2.00,6.00,3.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3296032,0.00,0.00,0.00,4.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3296040,4.00,3.00,1.00,3.00,6.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3296059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3296075,6.00,1.00,3.00,5.00,7.00,6.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3296083,9.00,5.00,9.00,3.00,6.00,7.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3296105,2.00,7.00,4.00,6.00,5.00,4.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3296113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3296121,5.00,5.00,2.00,0.00,0.00,NULL,2.00,8.00,6.00,'S',NULL,NULL,'N'),(16,3296130,4.00,4.00,2.00,6.00,5.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3296148,2.00,3.00,3.00,3.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3296156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3296164,4.00,3.00,2.00,3.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3296172,8.00,7.00,9.00,7.00,6.00,7.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3296180,3.00,3.00,2.00,1.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3296199,4.00,4.00,2.00,3.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3296210,1.00,4.00,3.00,4.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3296229,5.00,3.00,5.00,6.00,7.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3296237,4.00,3.00,4.00,6.00,5.00,4.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3296245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3296253,5.00,3.00,2.00,3.00,4.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3296261,4.00,6.00,3.00,7.00,6.00,6.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3296270,5.00,5.00,1.00,5.00,4.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3296288,0.00,3.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3296296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3296300,5.00,3.00,4.00,9.00,4.00,5.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3296318,9.00,8.00,9.00,10.00,8.00,4.50,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3296342,2.00,2.00,4.00,4.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3296350,5.00,2.00,4.00,8.00,4.00,2.50,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(16,3296377,6.00,7.00,6.00,5.00,7.00,5.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3296385,4.00,3.00,1.00,8.00,4.00,6.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3296393,2.00,3.00,2.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3296415,3.00,5.00,2.00,2.00,5.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3296423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3296440,4.00,4.00,4.00,8.00,6.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3296458,1.00,3.00,1.00,1.00,5.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3296474,5.00,5.00,2.00,8.00,6.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3296504,4.00,5.00,6.00,8.00,3.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3296512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3296520,2.00,5.00,4.00,9.00,7.00,6.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3296539,4.00,1.00,2.00,3.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3296547,4.00,3.00,1.00,4.00,9.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3296555,2.00,3.00,4.00,6.00,6.00,5.75,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3296563,3.00,4.00,3.00,5.00,4.00,5.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3296571,7.00,2.00,3.00,8.00,7.00,4.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3296580,4.00,2.00,3.00,5.00,3.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3296598,3.00,5.00,5.00,9.00,4.00,4.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3296601,4.00,5.00,4.00,6.00,7.00,5.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3296628,6.00,7.00,6.00,8.00,6.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3296636,4.00,4.00,3.00,5.00,5.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3296644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3296652,5.00,3.00,2.00,6.00,5.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3296660,2.00,3.00,2.00,0.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3296679,5.00,4.00,3.00,7.00,4.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3296687,5.00,5.00,2.00,4.00,4.00,4.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3296695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3296709,5.00,6.00,3.00,2.00,4.00,4.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3296717,2.00,2.00,1.00,5.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3296725,6.00,5.00,4.00,3.00,6.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3296741,4.00,1.00,2.00,5.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3296768,6.00,5.00,4.00,7.00,6.00,4.25,1.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3296792,3.00,5.00,4.00,7.00,2.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3296806,3.00,2.00,2.00,3.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3296814,5.00,6.00,5.00,9.00,8.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3296822,3.00,2.00,3.00,2.00,1.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3296830,6.00,7.00,7.00,9.00,7.00,8.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3296865,6.00,4.00,1.00,6.00,6.00,5.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3296873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3296881,3.00,2.00,2.00,2.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3296890,2.00,2.00,4.00,3.00,2.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3296903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3296911,6.00,6.00,4.00,3.00,4.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3296920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3296938,7.00,4.00,4.00,6.00,2.00,NULL,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3296954,5.00,5.00,4.00,7.00,6.00,5.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3296962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3296970,4.00,8.00,3.00,8.00,6.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3296997,8.00,6.00,4.00,7.00,6.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3297004,6.00,6.00,3.00,6.00,5.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3297012,4.00,4.00,2.00,4.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3297039,3.00,1.00,2.00,4.00,4.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'S'),(16,3297047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3297055,4.00,3.00,4.00,8.00,7.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3297063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3297071,1.00,3.00,2.00,5.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3297098,6.00,5.00,2.00,8.00,5.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3297101,4.00,6.00,3.00,3.00,5.00,5.50,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3297110,6.00,3.00,3.00,5.00,6.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3297136,6.00,6.00,3.00,5.00,5.00,5.25,4.00,7.00,6.00,NULL,NULL,NULL,'S'),(16,3297144,3.00,4.00,2.00,6.00,4.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3297152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3297160,5.00,3.00,2.00,6.00,5.00,4.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3297179,7.00,8.00,4.00,9.00,6.00,5.75,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3297187,5.00,3.00,2.00,1.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3297195,6.00,3.00,2.00,8.00,6.00,6.25,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3297209,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3297225,3.00,5.00,4.00,8.00,5.00,5.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3297233,7.00,6.00,6.00,8.00,5.00,6.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3297241,3.00,5.00,3.00,2.00,2.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3297250,0.00,2.00,2.00,0.00,2.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3297276,3.00,7.00,3.00,8.00,7.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3297284,3.00,4.00,2.00,2.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3297292,2.00,4.00,1.00,2.00,3.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3297306,3.00,6.00,4.00,5.00,4.00,4.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3297314,4.00,5.00,2.00,8.00,3.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3297330,3.00,1.00,4.00,2.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(16,3297349,7.00,9.00,6.00,8.00,6.00,6.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3297357,5.00,3.00,5.00,8.00,6.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3297365,6.00,7.00,3.00,0.00,7.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3297381,6.00,4.00,4.00,7.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3297390,5.00,5.00,6.00,7.00,5.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3297403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3297411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3297420,2.00,3.00,1.00,1.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3297438,2.00,3.00,3.00,5.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3297446,3.00,1.00,2.00,2.00,3.00,NULL,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3297454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3297462,3.00,3.00,4.00,7.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3297470,3.00,0.00,3.00,1.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3297489,3.00,6.00,4.00,5.00,5.00,4.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3297497,4.00,7.00,3.00,4.00,5.00,5.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3297500,5.00,5.00,3.00,4.00,5.00,5.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3297519,9.00,8.00,6.00,5.00,7.00,4.75,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3297527,6.00,5.00,3.00,4.00,7.00,6.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3297535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3297543,3.00,2.00,2.00,8.00,4.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3297551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3297560,6.00,6.00,5.00,7.00,7.00,7.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3297578,2.00,6.00,3.00,8.00,5.00,5.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3297586,4.00,4.00,5.00,7.00,4.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3297594,8.00,8.00,7.00,9.00,7.00,6.75,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3297616,4.00,4.00,4.00,4.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3297624,3.00,6.00,2.00,7.00,6.00,6.50,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3297632,5.00,4.00,3.00,5.00,5.00,4.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3297640,4.00,5.00,6.00,5.00,5.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3297659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3297667,8.00,5.00,3.00,7.00,5.00,5.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3297675,6.00,4.00,3.00,7.00,5.00,6.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3297683,4.00,6.00,2.00,9.00,5.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3297705,3.00,6.00,2.00,8.00,4.00,7.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3297713,3.00,1.00,3.00,1.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3297721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3297730,2.00,2.00,3.00,5.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3297748,5.00,3.00,2.00,8.00,1.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3297756,4.00,1.00,3.00,8.00,6.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3297764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3297772,7.00,5.00,2.00,2.00,3.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3297780,4.00,2.00,2.00,6.00,3.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3297802,5.00,4.00,4.00,2.00,5.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3297810,5.00,3.00,1.00,5.00,5.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3297829,4.00,4.00,2.00,7.00,7.00,4.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3297837,8.00,5.00,6.00,6.00,5.00,4.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3297845,7.00,7.00,8.00,9.00,8.00,5.50,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3297853,6.00,7.00,2.00,6.00,6.00,5.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3297870,5.00,6.00,2.00,6.00,8.00,4.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3297888,0.00,3.00,3.00,4.00,4.00,4.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3297896,5.00,4.00,2.00,5.00,4.00,5.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3297900,4.00,4.00,1.00,5.00,4.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3297918,3.00,4.00,1.00,4.00,4.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3297926,2.00,3.00,1.00,2.00,2.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3297934,3.00,7.00,4.00,4.00,6.00,7.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3297969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3297977,3.00,4.00,2.00,3.00,4.00,3.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3297985,3.00,3.00,2.00,6.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3298000,3.00,3.00,3.00,4.00,1.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'S'),(16,3298027,3.00,5.00,4.00,8.00,7.00,6.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3298035,4.00,7.00,2.00,4.00,3.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3298043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3298060,4.00,4.00,4.00,4.00,6.00,4.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3298078,2.00,4.00,2.00,6.00,5.00,6.75,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3298086,7.00,8.00,6.00,9.00,8.00,5.75,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3298094,0.00,0.00,0.00,8.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3298116,4.00,1.00,2.00,1.00,3.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3298124,3.00,4.00,5.00,0.00,4.00,5.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3298132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3298140,1.00,1.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3298159,7.00,6.00,3.00,7.00,4.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3298167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3298175,4.00,3.00,1.00,4.00,5.00,4.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3298191,5.00,6.00,4.00,6.00,5.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3298205,4.00,5.00,1.00,8.00,8.00,5.75,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3298213,2.00,2.00,4.00,7.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3298248,4.00,1.00,1.00,6.00,4.00,5.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3298256,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3298272,5.00,2.00,4.00,4.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3298280,6.00,6.00,2.00,7.00,6.00,4.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3298299,1.00,2.00,3.00,1.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3298302,3.00,5.00,1.00,4.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3298310,3.00,6.00,6.00,9.00,4.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3298337,8.00,5.00,5.00,9.00,7.00,6.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3298345,3.00,7.00,3.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3298353,8.00,8.00,8.00,9.00,7.00,7.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3298361,2.00,1.00,2.00,6.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3298370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3298396,8.00,6.00,6.00,7.00,6.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3298400,4.00,5.00,3.00,6.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3298418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3298426,3.00,4.00,3.00,6.00,3.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3298434,6.00,2.00,2.00,8.00,6.00,6.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3298442,7.00,6.00,5.00,4.00,7.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3298477,2.00,2.00,3.00,6.00,6.00,5.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3298485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3298493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3298507,2.00,4.00,1.00,6.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3298515,4.00,3.00,3.00,5.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3298523,5.00,4.00,5.00,1.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3298540,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3298558,3.00,1.00,3.00,5.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3298566,4.00,3.00,3.00,7.00,4.00,4.25,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3298574,2.00,6.00,2.00,2.00,2.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3298582,3.00,0.00,1.00,1.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3298590,6.00,3.00,6.00,8.00,7.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3298604,4.00,4.00,4.00,5.00,5.00,5.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3298612,1.00,1.00,1.00,2.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3298620,4.00,6.00,3.00,9.00,4.00,5.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3298639,5.00,7.00,6.00,7.00,5.00,6.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3298647,6.00,2.00,3.00,5.00,6.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3298655,3.00,7.00,5.00,8.00,4.00,6.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3298680,4.00,3.00,1.00,6.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3298698,7.00,6.00,2.00,6.00,7.00,4.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3298701,4.00,6.00,2.00,5.00,6.00,7.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3298710,4.00,5.00,6.00,5.00,3.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3298728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3298736,4.00,1.00,2.00,6.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3298744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3298752,4.00,2.00,3.00,4.00,4.00,6.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3298760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3298779,5.00,2.00,2.00,7.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3298787,7.00,6.00,4.00,8.00,6.00,4.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3298795,3.00,2.00,3.00,2.00,2.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3298809,5.00,4.00,3.00,3.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'S'),(16,3298817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3298825,5.00,8.00,1.00,8.00,4.00,6.00,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3298833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3298868,1.00,1.00,1.00,2.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(16,3298876,4.00,4.00,2.00,6.00,4.00,3.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3298892,4.00,4.00,4.00,7.00,5.00,4.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3298906,3.00,4.00,2.00,3.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3298914,5.00,4.00,2.00,8.00,4.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3298922,4.00,3.00,2.00,7.00,5.00,6.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3298930,3.00,2.00,1.00,3.00,5.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3298949,3.00,3.00,5.00,2.00,0.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3298957,4.00,3.00,2.00,0.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3298965,6.00,4.00,4.00,6.00,7.00,6.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3298973,2.00,1.00,4.00,3.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3298981,4.00,6.00,2.00,8.00,5.00,6.00,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3298990,3.00,3.00,3.00,6.00,6.00,5.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3299007,3.00,5.00,4.00,3.00,4.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3299015,7.00,7.00,6.00,8.00,3.00,NULL,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3299023,4.00,4.00,4.00,5.00,4.00,4.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3299031,5.00,4.00,1.00,7.00,3.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'S'),(16,3299040,3.00,5.00,4.00,6.00,5.00,6.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3299058,2.00,1.00,2.00,5.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3299066,6.00,7.00,4.00,8.00,5.00,6.00,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3299074,7.00,5.00,3.00,7.00,6.00,4.25,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(16,3299082,3.00,7.00,3.00,3.00,5.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3299090,3.00,2.00,2.00,5.00,3.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'S'),(16,3299104,5.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3299112,2.00,1.00,1.00,3.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3299120,5.00,3.00,3.00,7.00,6.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3299139,7.00,6.00,2.00,6.00,5.00,4.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3299147,3.00,6.00,3.00,7.00,6.00,5.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3299155,1.00,4.00,1.00,0.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3299163,6.00,3.00,1.00,3.00,7.00,5.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3299171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3299180,4.00,5.00,3.00,1.00,1.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3299198,3.00,2.00,2.00,7.00,5.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3299201,2.00,2.00,3.00,1.00,2.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3299210,0.00,3.00,2.00,2.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(16,3299228,3.00,5.00,3.00,3.00,5.00,4.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3299236,6.00,6.00,3.00,8.00,8.00,5.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3299244,4.00,5.00,2.00,5.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3299252,5.00,2.00,1.00,7.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3299260,6.00,5.00,2.00,5.00,4.00,4.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3299287,3.00,6.00,1.00,1.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3299295,4.00,4.00,3.00,7.00,4.00,4.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3299317,2.00,1.00,4.00,2.00,6.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3299325,2.00,3.00,2.00,7.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3299333,4.00,4.00,2.00,6.00,5.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3299341,6.00,6.00,5.00,3.00,4.00,5.50,4.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3299350,5.00,4.00,4.00,7.00,5.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3299368,4.00,5.00,4.00,5.00,2.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3299376,2.00,2.00,4.00,4.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3299384,3.00,2.00,3.00,6.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3299392,1.00,2.00,1.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3299406,3.00,7.00,2.00,8.00,4.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3299414,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3299430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3299449,6.00,4.00,2.00,8.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3299457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3299465,4.00,5.00,2.00,3.00,3.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3299473,2.00,2.00,2.00,3.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3299481,4.00,5.00,3.00,7.00,4.00,5.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3299490,4.00,3.00,4.00,6.00,5.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3299503,7.00,6.00,7.00,8.00,8.00,7.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3299511,3.00,5.00,4.00,2.00,6.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3299546,4.00,2.00,3.00,6.00,5.00,5.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3299554,4.00,4.00,2.00,8.00,5.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3299562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3299570,1.00,2.00,4.00,3.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3299589,4.00,6.00,4.00,7.00,5.00,6.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3299600,2.00,1.00,2.00,1.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3299619,2.00,3.00,3.00,0.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3299627,3.00,1.00,3.00,6.00,4.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3299635,4.00,5.00,3.00,5.00,5.00,5.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3299643,3.00,3.00,3.00,1.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3299651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3299660,7.00,7.00,5.00,6.00,6.00,6.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3299694,2.00,2.00,3.00,2.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3299708,6.00,3.00,4.00,2.00,6.00,5.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3299716,3.00,6.00,3.00,6.00,6.00,4.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3299724,5.00,5.00,4.00,7.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3299732,3.00,4.00,3.00,6.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3299740,4.00,3.00,2.00,8.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3299759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3299767,2.00,2.00,1.00,2.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3299775,4.00,7.00,5.00,4.00,6.00,1.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3299783,3.00,5.00,3.00,8.00,5.00,7.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3299791,5.00,5.00,5.00,9.00,6.00,7.00,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3299805,5.00,7.00,3.00,10.00,6.00,4.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3299813,2.00,4.00,1.00,5.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3299821,5.00,3.00,7.00,6.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3299848,5.00,5.00,3.00,6.00,5.00,6.25,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3299856,5.00,3.00,1.00,5.00,5.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3299864,6.00,3.00,4.00,7.00,7.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3299880,4.00,4.00,1.00,6.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3299899,7.00,5.00,5.00,7.00,6.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3299902,2.00,3.00,2.00,5.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3299910,4.00,6.00,2.00,7.00,4.00,5.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3299937,3.00,1.00,2.00,4.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3299945,1.00,3.00,2.00,2.00,2.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3299953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3299961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3299970,6.00,7.00,4.00,8.00,4.00,5.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3299988,2.00,3.00,4.00,2.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3299996,6.00,5.00,6.00,6.00,6.00,5.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3300005,3.00,4.00,1.00,1.00,1.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3300013,3.00,7.00,1.00,3.00,5.00,7.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3300021,3.00,5.00,3.00,5.00,4.00,4.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3300048,6.00,6.00,2.00,8.00,4.00,6.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3300056,4.00,6.00,1.00,2.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3300064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3300072,1.00,6.00,3.00,5.00,4.00,4.25,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3300080,3.00,2.00,3.00,1.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3300099,2.00,2.00,2.00,2.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3300102,5.00,5.00,1.00,6.00,4.00,4.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3300110,6.00,3.00,3.00,6.00,5.00,4.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3300137,5.00,5.00,5.00,6.00,5.00,5.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3300145,4.00,6.00,2.00,2.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3300153,4.00,2.00,1.00,6.00,6.00,4.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3300161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3300170,4.00,3.00,4.00,5.00,5.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3300188,5.00,6.00,2.00,8.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3300196,8.00,8.00,7.00,8.00,8.00,7.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3300200,3.00,4.00,3.00,7.00,5.00,8.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3300218,6.00,2.00,1.00,7.00,3.00,NULL,1.00,7.00,2.00,NULL,NULL,NULL,'S'),(16,3300226,7.00,7.00,8.00,8.00,5.00,7.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3300234,1.00,3.00,2.00,2.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3300242,4.00,4.00,2.00,3.00,5.00,7.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3300250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3300269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3300285,4.00,6.00,3.00,6.00,6.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3300293,2.00,2.00,3.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3300315,2.00,3.00,2.00,5.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3300323,3.00,5.00,2.00,6.00,5.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3300331,7.00,6.00,5.00,6.00,7.00,5.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3300340,7.00,6.00,3.00,9.00,4.00,5.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3300358,6.00,1.00,2.00,7.00,5.00,5.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3300366,5.00,5.00,4.00,4.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3300404,1.00,3.00,5.00,3.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3300412,2.00,2.00,3.00,4.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3300420,2.00,3.00,3.00,4.00,4.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3300439,5.00,7.00,2.00,8.00,5.00,6.75,2.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3300455,3.00,1.00,3.00,3.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3300480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3300498,5.00,6.00,2.00,7.00,7.00,6.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3300501,5.00,7.00,1.00,5.00,6.00,6.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3300510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3300536,0.00,5.00,4.00,8.00,4.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3300544,6.00,2.00,5.00,4.00,5.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3300552,4.00,8.00,1.00,0.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3300560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3300579,4.00,5.00,3.00,4.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3300587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3300595,6.00,8.00,5.00,7.00,7.00,5.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3300609,4.00,2.00,1.00,1.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3300617,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3300625,6.00,5.00,5.00,6.00,6.00,5.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3300633,6.00,5.00,1.00,7.00,6.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3300641,4.00,4.00,1.00,9.00,4.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3300650,6.00,4.00,2.00,8.00,6.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3300668,3.00,4.00,2.00,5.00,2.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3300676,4.00,3.00,3.00,6.00,4.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3300684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3300692,4.00,6.00,5.00,6.00,4.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3300706,8.00,8.00,5.00,8.00,6.00,5.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3300714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3300722,5.00,3.00,2.00,6.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3300749,3.00,3.00,1.00,8.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'S'),(16,3300757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3300765,7.00,6.00,7.00,9.00,6.00,5.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3300773,9.00,8.00,8.00,9.00,8.00,6.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3300781,3.00,2.00,2.00,1.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3300790,3.00,2.00,2.00,5.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3300803,2.00,3.00,3.00,2.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3300811,1.00,2.00,3.00,4.00,3.00,NULL,4.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3300820,3.00,3.00,2.00,7.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3300838,0.00,2.00,1.00,1.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3300846,4.00,3.00,2.00,5.00,5.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3300854,5.00,5.00,3.00,2.00,3.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3300862,4.00,3.00,2.00,8.00,6.00,5.25,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3300870,3.00,5.00,4.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3300889,6.00,5.00,4.00,5.00,6.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3300900,4.00,3.00,3.00,4.00,2.00,NULL,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3300919,4.00,4.00,3.00,7.00,4.00,5.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3300927,5.00,1.00,3.00,4.00,5.00,4.00,3.00,4.00,7.00,NULL,NULL,NULL,'S'),(16,3300935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3300943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3300951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3300960,5.00,5.00,4.00,7.00,4.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3300978,4.00,1.00,3.00,5.00,5.00,6.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3300994,4.00,4.00,3.00,8.00,4.00,5.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3301001,2.00,1.00,3.00,0.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3301010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3301028,5.00,4.00,1.00,6.00,5.00,4.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3301036,4.00,3.00,5.00,8.00,3.00,NULL,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3301044,5.00,2.00,1.00,6.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3301052,3.00,1.00,2.00,0.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3301060,2.00,3.00,2.00,7.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3301079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3301087,4.00,0.00,2.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3301095,0.00,0.00,0.00,6.00,3.00,NULL,2.00,4.00,6.00,NULL,'S',NULL,'S'),(16,3301109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3301117,4.00,7.00,3.00,6.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3301125,5.00,4.00,3.00,1.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3301141,1.00,1.00,1.00,4.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3301150,4.00,3.00,2.00,6.00,8.00,4.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3301168,4.00,5.00,6.00,5.00,5.00,7.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3301176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3301184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3301192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3301206,4.00,3.00,3.00,7.00,4.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3301222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3301230,2.00,3.00,1.00,3.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3301257,4.00,5.00,3.00,9.00,4.00,6.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3301265,3.00,3.00,5.00,7.00,5.00,6.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3301281,2.00,3.00,1.00,6.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3301303,6.00,2.00,2.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3301311,2.00,3.00,1.00,6.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3301320,2.00,4.00,1.00,6.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3301338,3.00,2.00,2.00,2.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3301346,3.00,7.00,1.00,7.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3301354,4.00,4.00,5.00,5.00,6.00,4.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3301362,4.00,5.00,2.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3301370,3.00,4.00,1.00,0.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3301389,2.00,5.00,1.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3301397,2.00,2.00,3.00,6.00,3.00,NULL,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3301400,3.00,3.00,4.00,5.00,3.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3301419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3301427,2.00,5.00,3.00,1.00,4.00,4.25,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3301435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3301443,3.00,6.00,4.00,6.00,5.00,4.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3301451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3301460,0.00,5.00,2.00,2.00,4.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3301478,4.00,5.00,3.00,5.00,4.00,6.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3301494,3.00,0.00,3.00,1.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3301508,2.00,6.00,7.00,6.00,6.00,6.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3301516,6.00,5.00,2.00,8.00,5.00,6.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3301524,4.00,5.00,1.00,2.00,6.00,4.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3301532,3.00,2.00,1.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3301540,3.00,6.00,3.00,4.00,6.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3301559,5.00,4.00,4.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3301567,2.00,4.00,2.00,2.00,5.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3301575,5.00,1.00,4.00,6.00,5.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3301583,5.00,8.00,3.00,9.00,7.00,8.00,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3301591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3301605,3.00,2.00,4.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3301613,5.00,4.00,2.00,4.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3301621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3301656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3301664,3.00,6.00,6.00,8.00,5.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3301672,3.00,4.00,3.00,4.00,2.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3301680,2.00,2.00,2.00,2.00,0.00,NULL,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3301702,3.00,4.00,2.00,3.00,4.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3301710,0.00,2.00,1.00,1.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3301729,6.00,5.00,2.00,8.00,4.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3301745,3.00,2.00,2.00,7.00,4.00,6.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3301753,4.00,0.00,2.00,1.00,2.00,NULL,4.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3301761,3.00,2.00,4.00,5.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3301770,1.00,2.00,2.00,0.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3301788,4.00,5.00,3.00,2.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3301796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3301818,5.00,2.00,4.00,7.00,5.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3301826,4.00,6.00,6.00,8.00,5.00,6.50,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3301834,3.00,3.00,2.00,5.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3301842,6.00,7.00,2.00,1.00,6.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3301850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3301877,5.00,6.00,5.00,4.00,5.00,5.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3301885,3.00,3.00,2.00,7.00,4.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3301893,4.00,3.00,4.00,7.00,4.00,5.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3301907,3.00,5.00,3.00,8.00,5.00,5.00,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3301915,3.00,7.00,3.00,7.00,5.00,5.00,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3301923,4.00,5.00,4.00,5.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3301931,1.00,4.00,3.00,6.00,6.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3301940,6.00,7.00,3.00,8.00,6.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3301958,5.00,2.00,4.00,2.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3301966,6.00,4.00,4.00,3.00,4.00,6.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3301974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3301982,5.00,6.00,2.00,9.00,4.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3301990,5.00,2.00,4.00,8.00,5.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3302008,0.00,0.00,0.00,2.00,3.00,NULL,0.00,1.00,1.00,NULL,'S',NULL,'S'),(16,3302016,3.00,4.00,1.00,7.00,5.00,7.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3302024,5.00,3.00,2.00,7.00,4.00,6.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3302032,4.00,3.00,2.00,6.00,6.00,5.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3302040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3302059,4.00,4.00,1.00,5.00,1.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3302067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3302075,2.00,4.00,3.00,3.00,5.00,NULL,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3302083,3.00,1.00,1.00,6.00,5.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3302091,4.00,5.00,5.00,6.00,2.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3302105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3302121,5.00,3.00,3.00,2.00,6.00,4.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3302130,6.00,8.00,5.00,8.00,5.00,6.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3302156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3302172,4.00,6.00,3.00,4.00,4.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3302180,4.00,6.00,2.00,6.00,2.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3302210,7.00,5.00,3.00,4.00,4.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3302229,4.00,3.00,2.00,6.00,5.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3302237,4.00,1.00,1.00,2.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3302245,6.00,7.00,5.00,9.00,6.00,6.75,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3302253,1.00,3.00,2.00,5.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3302261,4.00,2.00,3.00,5.00,5.00,5.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3302296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3302318,3.00,6.00,5.00,2.00,4.00,6.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3302326,4.00,7.00,4.00,4.00,6.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3302334,3.00,4.00,5.00,5.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3302342,6.00,6.00,3.00,6.00,5.00,5.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3302350,4.00,7.00,1.00,7.00,6.00,6.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3302369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3302377,4.00,1.00,1.00,6.00,4.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3302385,2.00,1.00,2.00,0.00,2.00,NULL,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3302393,2.00,2.00,4.00,4.00,4.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3302407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3302415,5.00,7.00,8.00,8.00,8.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3302423,2.00,3.00,2.00,7.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3302440,7.00,4.00,2.00,7.00,6.00,5.25,5.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3302458,3.00,5.00,2.00,8.00,5.00,5.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3302466,1.00,3.00,1.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3302474,3.00,3.00,2.00,6.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3302482,3.00,5.00,2.00,6.00,5.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3302490,2.00,0.00,3.00,2.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3302504,3.00,4.00,1.00,6.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3302512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3302520,4.00,1.00,2.00,0.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3302539,4.00,0.00,1.00,3.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3302547,3.00,3.00,4.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3302555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3302563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3302571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3302580,1.00,3.00,4.00,5.00,6.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3302598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3302601,4.00,1.00,3.00,2.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3302610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3302628,2.00,4.00,2.00,4.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3302636,2.00,1.00,2.00,4.00,3.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3302644,7.00,4.00,4.00,8.00,4.00,5.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3302652,5.00,6.00,6.00,9.00,7.00,5.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3302660,8.00,7.00,4.00,4.00,4.00,6.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3302679,4.00,5.00,1.00,2.00,7.00,6.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3302687,5.00,5.00,2.00,6.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3302695,2.00,2.00,1.00,1.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3302717,3.00,2.00,2.00,2.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3302733,4.00,6.00,6.00,8.00,7.00,6.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3302741,4.00,5.00,3.00,8.00,6.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3302750,5.00,2.00,3.00,2.00,4.00,6.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3302768,2.00,5.00,2.00,5.00,5.00,5.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3302792,8.00,7.00,7.00,9.00,6.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3302806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3302814,5.00,4.00,3.00,7.00,4.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3302822,5.00,2.00,2.00,2.00,6.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3302830,3.00,5.00,5.00,6.00,7.00,4.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3302849,2.00,5.00,2.00,3.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3302865,3.00,6.00,1.00,7.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3302873,4.00,7.00,5.00,6.00,7.00,4.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3302881,2.00,1.00,1.00,2.00,0.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3302890,4.00,4.00,3.00,3.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(16,3302903,7.00,3.00,4.00,7.00,5.00,4.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3302911,4.00,6.00,3.00,7.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3302920,5.00,6.00,2.00,7.00,5.00,4.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3302938,5.00,4.00,6.00,9.00,4.00,7.00,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3302946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3302954,3.00,1.00,3.00,5.00,4.00,4.00,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3302970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3302989,5.00,7.00,4.00,8.00,7.00,6.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3302997,2.00,4.00,2.00,0.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3303012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3303020,5.00,4.00,3.00,6.00,6.00,5.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3303039,5.00,4.00,2.00,2.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3303047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3303055,4.00,6.00,2.00,7.00,8.00,7.50,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3303063,4.00,6.00,1.00,2.00,6.00,4.75,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3303071,5.00,5.00,3.00,2.00,6.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3303080,0.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3303098,4.00,3.00,1.00,5.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3303101,2.00,4.00,1.00,6.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3303110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3303128,7.00,6.00,6.00,6.00,6.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3303136,1.00,1.00,2.00,5.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3303144,2.00,5.00,1.00,2.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3303152,4.00,5.00,5.00,7.00,6.00,4.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3303179,5.00,4.00,2.00,2.00,5.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3303187,8.00,9.00,7.00,9.00,6.00,8.50,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3303195,7.00,6.00,3.00,9.00,8.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3303209,6.00,6.00,7.00,9.00,7.00,6.00,4.00,9.00,6.00,NULL,NULL,NULL,'S'),(16,3303217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3303225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3303233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3303241,3.00,3.00,1.00,1.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3303250,6.00,6.00,3.00,6.00,4.00,5.50,1.00,7.00,2.00,NULL,NULL,NULL,'S'),(16,3303284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3303292,5.00,3.00,5.00,6.00,5.00,5.25,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3303306,1.00,2.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3303322,1.00,6.00,3.00,7.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3303330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3303349,9.00,8.00,8.00,7.00,6.00,5.75,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3303357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3303365,1.00,2.00,1.00,0.00,0.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3303373,6.00,6.00,6.00,6.00,5.00,6.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3303381,2.00,3.00,3.00,7.00,1.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'S'),(16,3303390,5.00,7.00,2.00,6.00,5.00,2.75,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3303403,5.00,4.00,1.00,4.00,5.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3303411,3.00,0.00,3.00,2.00,1.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3303420,1.00,0.00,1.00,3.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3303438,5.00,4.00,5.00,4.00,4.00,7.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3303446,2.00,2.00,1.00,6.00,6.00,6.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3303454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3303462,1.00,3.00,3.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3303470,3.00,2.00,2.00,6.00,6.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3303489,5.00,0.00,4.00,1.00,1.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3303497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3303500,5.00,3.00,3.00,2.00,6.00,4.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3303519,5.00,5.00,4.00,4.00,5.00,3.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3303527,4.00,4.00,6.00,5.00,6.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3303543,5.00,4.00,3.00,8.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3303551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3303560,2.00,5.00,2.00,6.00,2.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3303586,2.00,4.00,1.00,4.00,3.00,NULL,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3303608,2.00,3.00,3.00,2.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3303616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3303632,5.00,5.00,4.00,7.00,6.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3303640,3.00,3.00,2.00,2.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3303659,4.00,7.00,4.00,2.00,7.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3303667,5.00,4.00,2.00,6.00,5.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3303675,4.00,3.00,4.00,1.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3303691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3303713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3303721,6.00,6.00,2.00,5.00,4.00,0.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3303730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3303748,6.00,7.00,6.00,7.00,7.00,6.50,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3303756,4.00,3.00,4.00,6.00,6.00,4.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3303772,2.00,3.00,2.00,7.00,5.00,5.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3303780,6.00,1.00,3.00,3.00,7.00,4.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3303799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3303802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3303810,3.00,3.00,4.00,6.00,6.00,5.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3303829,6.00,4.00,4.00,8.00,5.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3303837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3303845,3.00,3.00,3.00,5.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3303861,2.00,3.00,3.00,5.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3303870,5.00,5.00,3.00,0.00,2.00,NULL,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3303888,6.00,7.00,1.00,2.00,5.00,7.50,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3303896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3303918,3.00,4.00,3.00,2.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3303942,2.00,4.00,2.00,3.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3303950,3.00,2.00,1.00,0.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3303969,3.00,4.00,5.00,8.00,4.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3303977,4.00,5.00,4.00,6.00,5.00,6.50,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3303985,3.00,6.00,4.00,5.00,6.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3303993,2.00,1.00,3.00,6.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3304027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3304035,6.00,5.00,2.00,6.00,5.00,NULL,0.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3304043,4.00,3.00,2.00,4.00,6.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3304051,1.00,5.00,4.00,7.00,4.00,6.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3304060,3.00,6.00,4.00,3.00,4.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3304078,8.00,8.00,6.00,9.00,6.00,6.00,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3304086,7.00,6.00,5.00,7.00,6.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3304094,4.00,5.00,2.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3304108,5.00,5.00,5.00,4.00,4.00,2.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3304116,5.00,3.00,2.00,5.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3304132,0.00,3.00,2.00,2.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3304140,3.00,6.00,2.00,0.00,0.00,NULL,1.00,5.00,4.00,'S',NULL,NULL,'S'),(16,3304159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3304167,4.00,4.00,4.00,9.00,5.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3304183,5.00,6.00,3.00,4.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3304191,6.00,5.00,6.00,8.00,8.00,5.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3304205,3.00,2.00,1.00,6.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3304213,5.00,7.00,6.00,2.00,4.00,4.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3304221,3.00,3.00,3.00,2.00,4.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3304230,5.00,6.00,5.00,8.00,5.00,5.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3304248,0.00,4.00,5.00,5.00,3.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3304256,3.00,5.00,3.00,7.00,5.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3304264,4.00,5.00,4.00,2.00,5.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3304280,5.00,4.00,3.00,1.00,3.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3304299,4.00,3.00,3.00,3.00,5.00,6.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3304302,6.00,4.00,4.00,5.00,4.00,4.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3304310,3.00,1.00,1.00,1.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3304329,4.00,2.00,3.00,7.00,4.00,5.50,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3304337,3.00,5.00,4.00,6.00,4.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3304345,5.00,3.00,3.00,8.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3304353,3.00,5.00,4.00,5.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3304361,3.00,5.00,3.00,6.00,4.00,4.75,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3304388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3304396,8.00,6.00,5.00,8.00,8.00,8.75,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3304400,6.00,7.00,7.00,7.00,5.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3304426,7.00,6.00,7.00,6.00,7.00,6.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3304434,6.00,8.00,7.00,7.00,6.00,5.75,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3304442,2.00,6.00,5.00,9.00,6.00,6.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3304469,6.00,5.00,2.00,6.00,4.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3304477,4.00,5.00,4.00,4.00,6.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3304523,9.00,5.00,6.00,7.00,5.00,8.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3304531,5.00,5.00,3.00,6.00,4.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3304558,7.00,6.00,5.00,8.00,5.00,6.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3304566,2.00,3.00,3.00,2.00,6.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3304574,6.00,3.00,3.00,7.00,7.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3304590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3304604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3304612,3.00,1.00,2.00,4.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3304620,3.00,4.00,6.00,8.00,7.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3304647,2.00,2.00,2.00,2.00,2.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3304655,2.00,3.00,3.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3304663,4.00,2.00,2.00,5.00,5.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3304671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3304680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3304698,6.00,4.00,4.00,4.00,3.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3304701,6.00,5.00,6.00,6.00,2.00,NULL,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3304710,2.00,3.00,1.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3304728,3.00,4.00,1.00,8.00,5.00,5.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3304736,2.00,2.00,3.00,5.00,4.00,5.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3304744,1.00,0.00,1.00,0.00,0.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3304752,4.00,3.00,4.00,9.00,5.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3304760,7.00,6.00,3.00,6.00,6.00,5.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3304787,3.00,1.00,1.00,4.00,2.00,NULL,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(16,3304795,4.00,4.00,2.00,6.00,6.00,4.25,1.00,7.00,0.00,NULL,NULL,NULL,'S'),(16,3304809,7.00,2.00,4.00,6.00,7.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3304817,1.00,4.00,2.00,5.00,1.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3304825,5.00,1.00,2.00,1.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3304841,4.00,4.00,2.00,9.00,6.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3304850,6.00,0.00,2.00,3.00,0.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3304868,4.00,4.00,1.00,8.00,7.00,7.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3304876,5.00,4.00,1.00,7.00,6.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3304884,8.00,7.00,4.00,7.00,7.00,6.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3304892,2.00,5.00,2.00,2.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3304914,5.00,6.00,9.00,8.00,6.00,5.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3304922,6.00,9.00,5.00,7.00,8.00,7.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3304930,5.00,3.00,3.00,4.00,4.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3304949,3.00,3.00,3.00,5.00,2.00,NULL,1.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3304957,6.00,8.00,2.00,9.00,8.00,5.50,3.00,8.00,3.00,NULL,NULL,NULL,'S'),(16,3304965,9.00,6.00,7.00,7.00,7.00,5.75,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3304981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3305007,5.00,3.00,4.00,2.00,4.00,5.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3305015,6.00,2.00,2.00,2.00,3.00,NULL,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3305023,3.00,3.00,2.00,4.00,1.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3305040,3.00,3.00,3.00,8.00,5.00,5.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3305066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3305074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3305082,4.00,0.00,4.00,6.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3305090,3.00,3.00,2.00,5.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3305104,4.00,6.00,3.00,1.00,3.00,NULL,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3305120,4.00,3.00,2.00,5.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3305139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3305147,2.00,4.00,2.00,5.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3305163,3.00,6.00,3.00,7.00,5.00,6.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3305171,5.00,7.00,2.00,4.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3305180,5.00,5.00,4.00,7.00,6.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3305198,1.00,5.00,2.00,5.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3305210,6.00,6.00,2.00,9.00,6.00,6.75,2.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3305244,4.00,5.00,2.00,1.00,3.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3305252,5.00,4.00,6.00,6.00,6.00,5.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3305279,3.00,3.00,5.00,6.00,5.00,4.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3305287,4.00,6.00,3.00,7.00,4.00,0.00,4.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3305295,4.00,2.00,2.00,5.00,5.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3305309,5.00,7.00,5.00,7.00,7.00,7.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3305325,5.00,2.00,4.00,6.00,5.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3305333,3.00,4.00,3.00,5.00,7.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3305341,3.00,5.00,3.00,3.00,4.00,5.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3305350,3.00,6.00,4.00,3.00,6.00,4.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3305368,3.00,4.00,3.00,4.00,4.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3305376,3.00,6.00,4.00,7.00,5.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3305384,4.00,7.00,1.00,6.00,5.00,5.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3305392,4.00,4.00,2.00,6.00,4.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3305414,4.00,3.00,2.00,5.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3305422,6.00,5.00,4.00,6.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3305430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3305449,4.00,6.00,4.00,8.00,5.00,6.25,4.00,9.00,1.00,NULL,NULL,NULL,'N'),(16,3305457,3.00,4.00,2.00,2.00,1.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3305465,2.00,6.00,3.00,0.00,7.00,6.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3305473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3305481,6.00,4.00,2.00,7.00,5.00,5.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3305490,5.00,6.00,3.00,2.00,5.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3305511,8.00,7.00,4.00,6.00,7.00,5.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3305520,6.00,8.00,2.00,2.00,4.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3305538,6.00,7.00,5.00,8.00,8.00,7.25,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3305546,3.00,6.00,4.00,9.00,5.00,4.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3305554,3.00,2.00,1.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3305562,4.00,2.00,5.00,3.00,5.00,4.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3305597,4.00,2.00,3.00,2.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3305600,2.00,2.00,1.00,1.00,4.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3305619,4.00,6.00,3.00,7.00,5.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3305627,6.00,3.00,4.00,7.00,5.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3305635,3.00,3.00,1.00,4.00,5.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3305651,4.00,3.00,4.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3305660,5.00,4.00,4.00,9.00,4.00,5.50,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3305678,5.00,1.00,1.00,4.00,4.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3305694,7.00,7.00,5.00,7.00,5.00,5.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3305708,9.00,8.00,8.00,8.00,7.00,6.75,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3305716,2.00,6.00,8.00,8.00,6.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3305732,4.00,5.00,3.00,4.00,7.00,4.75,5.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3305740,7.00,7.00,5.00,6.00,7.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3305759,2.00,6.00,3.00,7.00,5.00,4.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3305767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3305791,5.00,5.00,3.00,7.00,6.00,4.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3305813,7.00,6.00,1.00,9.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3305830,6.00,5.00,2.00,7.00,4.00,5.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3305848,0.00,0.00,0.00,5.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3305856,4.00,7.00,3.00,6.00,5.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3305864,3.00,5.00,4.00,7.00,6.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3305872,6.00,7.00,5.00,6.00,7.00,6.25,4.00,7.00,6.00,NULL,NULL,NULL,'S'),(16,3305880,3.00,6.00,4.00,5.00,4.00,4.50,4.00,7.00,2.00,NULL,NULL,NULL,'S'),(16,3305899,2.00,2.00,1.00,5.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3305910,6.00,8.00,4.00,7.00,6.00,5.50,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3305929,3.00,3.00,3.00,3.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3305937,2.00,5.00,3.00,3.00,2.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3305953,0.00,0.00,0.00,2.00,6.00,NULL,1.00,4.00,4.00,NULL,'S',NULL,'N'),(16,3305961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3305970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3305988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3305996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3306003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3306011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3306020,4.00,5.00,1.00,9.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3306038,1.00,3.00,2.00,6.00,2.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3306046,4.00,6.00,1.00,2.00,1.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3306054,3.00,2.00,4.00,6.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(16,3306062,4.00,6.00,5.00,4.00,5.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3306070,3.00,3.00,3.00,5.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3306089,5.00,5.00,4.00,5.00,2.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3306097,3.00,2.00,3.00,6.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3306100,4.00,4.00,3.00,2.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3306119,3.00,4.00,2.00,8.00,5.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3306127,3.00,5.00,1.00,4.00,4.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3306135,2.00,4.00,1.00,8.00,4.00,5.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3306143,5.00,1.00,5.00,2.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3306151,4.00,4.00,3.00,4.00,4.00,4.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3306160,3.00,5.00,4.00,6.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3306178,6.00,5.00,3.00,7.00,8.00,6.50,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3306186,1.00,1.00,5.00,1.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3306194,4.00,8.00,7.00,7.00,5.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3306208,4.00,5.00,3.00,3.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3306216,5.00,3.00,2.00,6.00,4.00,6.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3306224,2.00,4.00,2.00,2.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3306232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3306240,2.00,5.00,3.00,6.00,4.00,5.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3306267,3.00,8.00,1.00,8.00,6.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3306275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3306291,3.00,1.00,3.00,2.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3306305,4.00,5.00,1.00,6.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3306313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3306321,6.00,7.00,4.00,5.00,5.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3306330,4.00,1.00,4.00,2.00,1.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3306356,3.00,5.00,2.00,4.00,0.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3306364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3306372,4.00,0.00,1.00,3.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3306380,5.00,6.00,5.00,7.00,4.00,3.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3306402,3.00,1.00,1.00,5.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3306410,7.00,7.00,3.00,8.00,5.00,5.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3306429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3306437,6.00,7.00,3.00,5.00,7.00,5.50,1.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3306445,2.00,3.00,5.00,4.00,4.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3306453,3.00,3.00,4.00,5.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3306461,7.00,6.00,4.00,6.00,6.00,6.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3306470,6.00,6.00,3.00,6.00,4.00,5.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3306488,3.00,8.00,5.00,8.00,6.00,7.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3306496,3.00,5.00,3.00,6.00,4.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3306500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3306518,7.00,6.00,2.00,7.00,6.00,6.00,1.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3306526,4.00,8.00,3.00,7.00,5.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3306542,0.00,0.00,0.00,8.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3306550,5.00,2.00,1.00,5.00,3.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3306569,1.00,4.00,3.00,7.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3306577,3.00,7.00,4.00,7.00,5.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3306585,4.00,4.00,3.00,6.00,1.00,NULL,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3306593,2.00,4.00,5.00,1.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3306615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3306623,3.00,3.00,2.00,2.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3306631,6.00,4.00,3.00,7.00,5.00,5.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3306640,6.00,6.00,5.00,7.00,7.00,5.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3306658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3306674,3.00,3.00,4.00,5.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3306682,2.00,4.00,2.00,5.00,1.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3306690,5.00,6.00,5.00,8.00,7.00,7.00,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3306704,6.00,6.00,2.00,9.00,7.00,8.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3306712,5.00,3.00,1.00,4.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3306720,6.00,7.00,4.00,9.00,7.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3306739,2.00,5.00,3.00,4.00,0.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3306755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3306763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3306771,0.00,2.00,2.00,6.00,3.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3306780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3306798,7.00,8.00,6.00,8.00,7.00,5.75,3.00,6.00,7.00,NULL,NULL,NULL,'S'),(16,3306801,7.00,6.00,4.00,7.00,7.00,7.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3306810,7.00,5.00,4.00,2.00,4.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3306828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3306836,6.00,3.00,4.00,8.00,6.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3306844,4.00,3.00,1.00,2.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3306852,2.00,2.00,1.00,6.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3306860,6.00,6.00,7.00,3.00,6.00,5.75,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3306895,1.00,1.00,3.00,2.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3306909,5.00,3.00,5.00,8.00,4.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3306917,6.00,6.00,1.00,4.00,7.00,5.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3306925,3.00,3.00,4.00,8.00,6.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3306933,9.00,8.00,3.00,5.00,8.00,4.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3306941,4.00,6.00,4.00,8.00,6.00,7.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3306968,5.00,1.00,1.00,0.00,3.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3306976,6.00,6.00,5.00,9.00,8.00,7.25,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3306992,2.00,4.00,3.00,3.00,5.00,4.50,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(16,3307000,7.00,8.00,6.00,7.00,9.00,5.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3307018,5.00,5.00,2.00,6.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3307034,4.00,4.00,5.00,7.00,6.00,5.75,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(16,3307069,6.00,8.00,6.00,9.00,8.00,5.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3307085,4.00,2.00,5.00,7.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3307093,2.00,3.00,3.00,3.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3307107,3.00,5.00,1.00,7.00,4.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3307115,6.00,6.00,2.00,8.00,4.00,7.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3307123,6.00,8.00,6.00,7.00,5.00,5.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3307131,0.00,2.00,1.00,1.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3307140,5.00,8.00,4.00,2.00,4.00,7.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3307158,5.00,6.00,1.00,8.00,6.00,5.50,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3307174,3.00,4.00,4.00,7.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3307190,0.00,4.00,1.00,7.00,5.00,5.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3307204,4.00,3.00,2.00,8.00,5.00,6.50,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3307212,5.00,4.00,9.00,8.00,5.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3307220,6.00,5.00,3.00,8.00,5.00,4.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3307239,3.00,4.00,2.00,4.00,5.00,4.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3307247,3.00,7.00,4.00,4.00,4.00,5.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3307255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3307263,3.00,3.00,3.00,7.00,5.00,4.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3307271,4.00,6.00,3.00,6.00,5.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3307280,3.00,7.00,2.00,5.00,5.00,7.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3307298,6.00,5.00,6.00,9.00,6.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3307301,2.00,4.00,3.00,7.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3307310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3307328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3307336,5.00,4.00,4.00,8.00,2.00,NULL,5.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3307344,6.00,6.00,6.00,6.00,7.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3307352,8.00,6.00,2.00,8.00,5.00,6.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3307360,3.00,4.00,8.00,8.00,3.00,NULL,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3307379,5.00,8.00,1.00,9.00,6.00,6.50,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3307387,5.00,5.00,7.00,7.00,6.00,4.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3307417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3307425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3307433,4.00,3.00,4.00,5.00,7.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3307441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3307450,2.00,3.00,2.00,1.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(16,3307468,4.00,7.00,3.00,0.00,0.00,NULL,2.00,8.00,5.00,'S',NULL,NULL,'N'),(16,3307476,5.00,3.00,2.00,4.00,4.00,4.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3307484,3.00,4.00,3.00,2.00,4.00,6.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3307492,3.00,3.00,1.00,2.00,5.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3307506,5.00,4.00,2.00,6.00,4.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3307522,3.00,5.00,3.00,9.00,5.00,5.50,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3307530,6.00,5.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3307549,1.00,4.00,3.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3307557,4.00,3.00,1.00,3.00,5.00,5.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3307565,4.00,2.00,5.00,4.00,4.00,5.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3307573,8.00,8.00,7.00,9.00,7.00,7.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3307581,0.00,3.00,1.00,2.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3307590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3307603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3307611,4.00,4.00,6.00,7.00,4.00,7.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3307620,3.00,1.00,1.00,4.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'S'),(16,3307638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3307646,3.00,3.00,2.00,3.00,2.00,NULL,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3307654,1.00,3.00,4.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3307662,1.00,3.00,1.00,7.00,5.00,4.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3307697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3307700,5.00,6.00,5.00,9.00,7.00,6.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3307719,1.00,3.00,4.00,6.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3307727,1.00,3.00,3.00,2.00,4.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3307735,6.00,3.00,4.00,6.00,4.00,3.00,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3307743,1.00,3.00,2.00,2.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3307751,7.00,6.00,3.00,5.00,5.00,4.75,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3307760,3.00,3.00,1.00,6.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3307786,1.00,1.00,2.00,3.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3307794,5.00,5.00,2.00,8.00,6.00,4.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3307808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3307816,4.00,7.00,3.00,2.00,3.00,NULL,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3307824,4.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3307832,3.00,4.00,5.00,6.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3307840,7.00,8.00,4.00,9.00,9.00,7.25,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3307859,3.00,4.00,1.00,4.00,5.00,NULL,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3307867,6.00,7.00,5.00,7.00,6.00,6.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3307883,3.00,5.00,3.00,4.00,4.00,4.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3307891,5.00,6.00,3.00,9.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3307905,8.00,5.00,6.00,6.00,7.00,5.75,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3307913,7.00,6.00,6.00,9.00,7.00,7.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3307921,4.00,5.00,4.00,6.00,5.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3307930,5.00,4.00,4.00,6.00,6.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3307948,1.00,4.00,3.00,1.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3307956,4.00,4.00,5.00,7.00,6.00,6.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3307964,4.00,4.00,1.00,7.00,4.00,5.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3307972,8.00,6.00,5.00,4.00,6.00,6.00,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3307980,2.00,1.00,2.00,6.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3307999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3308006,1.00,4.00,1.00,3.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3308014,4.00,5.00,1.00,3.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'S'),(16,3308022,4.00,3.00,2.00,5.00,4.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3308030,2.00,6.00,2.00,3.00,5.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3308049,4.00,7.00,7.00,9.00,7.00,8.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3308057,5.00,4.00,4.00,5.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3308065,3.00,4.00,3.00,8.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3308073,3.00,2.00,4.00,4.00,4.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3308081,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3308090,1.00,4.00,1.00,6.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3308111,3.00,4.00,1.00,4.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3308120,3.00,5.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3308138,2.00,5.00,2.00,2.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3308146,2.00,2.00,1.00,1.00,0.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3308154,2.00,4.00,2.00,3.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3308162,4.00,2.00,3.00,7.00,5.00,6.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3308170,3.00,4.00,1.00,3.00,4.00,3.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3308189,8.00,7.00,3.00,6.00,5.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3308197,2.00,2.00,3.00,2.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3308200,9.00,8.00,9.00,9.00,8.00,6.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3308227,6.00,5.00,6.00,6.00,8.00,7.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3308235,2.00,3.00,1.00,7.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3308251,5.00,4.00,4.00,6.00,5.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3308260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3308278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3308286,6.00,3.00,5.00,8.00,6.00,6.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3308294,3.00,2.00,3.00,5.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3308308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3308324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3308340,1.00,4.00,3.00,5.00,4.00,5.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3308359,4.00,5.00,4.00,3.00,6.00,4.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3308367,1.00,2.00,4.00,3.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3308375,3.00,4.00,1.00,2.00,2.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3308391,2.00,4.00,1.00,6.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3308405,3.00,6.00,5.00,9.00,6.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3308421,9.00,7.00,7.00,9.00,8.00,5.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3308430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3308448,4.00,6.00,5.00,5.00,6.00,5.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3308456,1.00,3.00,2.00,5.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3308464,4.00,2.00,1.00,3.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3308472,1.00,3.00,2.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3308480,3.00,3.00,3.00,7.00,4.00,4.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3308499,3.00,6.00,2.00,6.00,2.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3308510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3308529,5.00,6.00,5.00,8.00,5.00,5.00,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3308537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3308553,4.00,5.00,7.00,8.00,7.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3308561,9.00,5.00,8.00,8.00,6.00,6.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3308570,5.00,8.00,5.00,8.00,8.00,6.25,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3308588,5.00,7.00,4.00,7.00,3.00,NULL,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3308596,6.00,7.00,3.00,6.00,5.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3308600,5.00,5.00,3.00,4.00,2.00,NULL,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3308618,5.00,5.00,4.00,7.00,6.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3308626,4.00,4.00,1.00,6.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3308634,5.00,3.00,2.00,4.00,1.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3308642,6.00,6.00,4.00,6.00,6.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3308650,4.00,5.00,3.00,5.00,6.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3308669,5.00,3.00,2.00,6.00,4.00,5.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3308685,2.00,0.00,3.00,3.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3308693,4.00,6.00,3.00,7.00,6.00,7.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3308715,5.00,6.00,3.00,5.00,2.00,NULL,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3308723,3.00,2.00,2.00,2.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3308740,5.00,4.00,2.00,1.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3308758,3.00,3.00,3.00,8.00,7.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3308766,3.00,3.00,2.00,8.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3308774,3.00,1.00,2.00,4.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3308782,6.00,6.00,2.00,7.00,6.00,4.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3308804,5.00,7.00,5.00,9.00,7.00,6.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3308812,5.00,6.00,5.00,9.00,7.00,6.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3308820,6.00,8.00,4.00,9.00,7.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3308839,6.00,4.00,3.00,6.00,7.00,7.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3308847,4.00,6.00,5.00,5.00,6.00,5.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3308863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3308871,1.00,1.00,3.00,5.00,6.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3308880,4.00,5.00,2.00,0.00,6.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3308898,1.00,3.00,4.00,0.00,0.00,NULL,0.00,0.00,0.00,'S',NULL,'S','N'),(16,3308901,8.00,4.00,3.00,9.00,3.00,NULL,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3308910,6.00,6.00,6.00,8.00,5.00,6.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3308928,6.00,7.00,4.00,6.00,5.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3308936,5.00,5.00,5.00,6.00,5.00,5.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3308952,1.00,8.00,1.00,6.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3308960,5.00,5.00,2.00,5.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3308979,3.00,6.00,3.00,6.00,3.00,NULL,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3308995,3.00,2.00,1.00,5.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3309002,2.00,2.00,2.00,4.00,4.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3309010,7.00,4.00,3.00,4.00,4.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3309029,7.00,7.00,4.00,7.00,6.00,4.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3309037,0.00,0.00,0.00,7.00,2.00,NULL,3.00,3.00,3.00,NULL,'S',NULL,'N'),(16,3309045,2.00,3.00,4.00,2.00,4.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3309053,3.00,3.00,2.00,6.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3309061,5.00,5.00,5.00,9.00,2.00,NULL,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3309070,3.00,3.00,1.00,6.00,5.00,4.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3309088,3.00,4.00,1.00,2.00,2.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3309100,1.00,2.00,3.00,3.00,4.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3309118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3309126,3.00,3.00,3.00,5.00,3.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3309134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3309169,3.00,6.00,2.00,9.00,6.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3309177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3309193,3.00,1.00,1.00,1.00,2.00,NULL,5.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3309207,6.00,7.00,4.00,7.00,5.00,4.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3309215,3.00,8.00,4.00,4.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3309223,6.00,4.00,3.00,5.00,7.00,7.00,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3309231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3309240,3.00,2.00,4.00,3.00,2.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3309258,2.00,1.00,4.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3309282,5.00,6.00,4.00,8.00,6.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3309290,2.00,2.00,3.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3309304,6.00,7.00,8.00,6.00,7.00,6.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3309320,3.00,4.00,1.00,5.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3309339,3.00,2.00,1.00,3.00,5.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3309347,7.00,5.00,1.00,8.00,6.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3309355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3309363,4.00,4.00,6.00,7.00,6.00,7.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3309371,6.00,7.00,3.00,5.00,4.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3309380,4.00,6.00,2.00,3.00,3.00,NULL,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3309398,3.00,4.00,1.00,3.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3309401,2.00,0.00,2.00,2.00,1.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3309410,3.00,5.00,4.00,7.00,5.00,5.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3309444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3309452,5.00,4.00,3.00,4.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3309460,4.00,6.00,3.00,7.00,3.00,NULL,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3309479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3309495,3.00,2.00,4.00,2.00,2.00,NULL,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3309509,2.00,5.00,4.00,3.00,5.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3309517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3309533,4.00,3.00,4.00,3.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3309550,3.00,3.00,4.00,6.00,5.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3309568,0.00,0.00,1.00,4.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3309576,3.00,3.00,1.00,7.00,5.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3309584,4.00,6.00,2.00,5.00,6.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3309592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3309614,1.00,4.00,2.00,2.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3309657,3.00,6.00,2.00,7.00,4.00,6.75,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3309665,5.00,3.00,4.00,5.00,7.00,5.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3309673,3.00,3.00,1.00,4.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3309681,3.00,5.00,3.00,7.00,6.00,4.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3309690,3.00,7.00,4.00,8.00,5.00,4.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3309703,6.00,7.00,8.00,8.00,8.00,5.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3309711,3.00,4.00,1.00,4.00,3.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(16,3309720,4.00,7.00,3.00,7.00,4.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3309738,4.00,6.00,2.00,8.00,6.00,4.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3309746,5.00,5.00,4.00,7.00,5.00,6.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3309754,2.00,3.00,4.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3309762,3.00,4.00,4.00,5.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3309770,4.00,2.00,1.00,5.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3309789,3.00,5.00,4.00,5.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3309797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3309800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3309819,5.00,2.00,1.00,2.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3309827,2.00,3.00,1.00,0.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3309835,4.00,3.00,3.00,5.00,4.00,5.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3309843,7.00,7.00,6.00,7.00,4.00,4.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3309851,7.00,6.00,8.00,6.00,6.00,5.75,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3309860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3309878,7.00,7.00,1.00,7.00,1.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3309886,2.00,3.00,2.00,9.00,4.00,4.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3309894,6.00,4.00,5.00,6.00,7.00,5.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3309908,3.00,4.00,2.00,5.00,7.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3309916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3309924,4.00,5.00,4.00,7.00,6.00,3.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3309932,5.00,7.00,5.00,8.00,7.00,5.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3309940,5.00,2.00,2.00,5.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3309959,4.00,4.00,4.00,8.00,7.00,6.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3309967,4.00,5.00,2.00,3.00,3.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3309975,5.00,7.00,2.00,5.00,5.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3309983,1.00,2.00,3.00,3.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3309991,6.00,5.00,3.00,7.00,4.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3310000,4.00,5.00,4.00,2.00,7.00,5.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3310019,6.00,7.00,3.00,7.00,5.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3310027,3.00,2.00,2.00,4.00,2.00,NULL,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3310035,3.00,3.00,2.00,0.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3310043,5.00,5.00,3.00,4.00,4.00,5.75,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3310051,5.00,4.00,3.00,5.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3310060,3.00,3.00,3.00,3.00,5.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3310078,3.00,5.00,3.00,3.00,4.00,6.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3310086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3310094,6.00,6.00,4.00,7.00,9.00,6.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3310108,4.00,4.00,5.00,5.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3310116,6.00,4.00,4.00,7.00,6.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3310124,6.00,8.00,3.00,5.00,6.00,4.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3310140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3310159,5.00,4.00,4.00,4.00,7.00,3.25,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3310167,3.00,4.00,1.00,6.00,6.00,5.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3310183,2.00,1.00,4.00,5.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3310191,3.00,4.00,3.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3310205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3310213,3.00,1.00,3.00,7.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3310221,3.00,4.00,5.00,4.00,4.00,4.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3310230,1.00,2.00,3.00,5.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3310248,5.00,5.00,5.00,9.00,5.00,5.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3310256,4.00,3.00,1.00,1.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3310264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3310272,5.00,3.00,1.00,1.00,4.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3310280,5.00,5.00,5.00,5.00,5.00,5.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3310299,6.00,7.00,1.00,7.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3310310,5.00,5.00,5.00,6.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3310329,6.00,5.00,3.00,6.00,5.00,4.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3310337,2.00,3.00,3.00,0.00,0.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3310345,4.00,2.00,4.00,3.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3310353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3310361,4.00,0.00,1.00,1.00,1.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3310370,7.00,6.00,6.00,9.00,7.00,0.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3310388,2.00,6.00,3.00,3.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3310396,7.00,7.00,4.00,7.00,7.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3310400,3.00,4.00,2.00,4.00,3.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3310418,3.00,6.00,4.00,7.00,5.00,5.50,1.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3310426,3.00,5.00,1.00,8.00,6.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3310434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3310442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3310450,6.00,6.00,2.00,2.00,5.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3310469,3.00,2.00,4.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3310477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3310485,8.00,6.00,4.00,5.00,5.00,5.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3310515,2.00,1.00,3.00,3.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3310523,4.00,2.00,4.00,4.00,4.00,7.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3310531,1.00,5.00,1.00,6.00,4.00,3.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3310540,9.00,7.00,2.00,7.00,5.00,4.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3310558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3310566,5.00,7.00,5.00,7.00,7.00,5.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3310582,3.00,0.00,2.00,5.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3310590,2.00,3.00,2.00,8.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3310604,6.00,6.00,3.00,4.00,4.00,4.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3310620,2.00,7.00,3.00,1.00,3.00,NULL,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3310639,6.00,6.00,4.00,9.00,7.00,6.50,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3310647,6.00,7.00,5.00,9.00,6.00,5.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3310655,3.00,4.00,3.00,1.00,2.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3310663,4.00,3.00,1.00,7.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3310671,3.00,4.00,2.00,5.00,5.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3310680,4.00,4.00,4.00,7.00,6.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3310698,3.00,5.00,3.00,7.00,3.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3310701,6.00,6.00,5.00,9.00,7.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3310710,3.00,1.00,1.00,7.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3310728,1.00,3.00,2.00,5.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3310736,3.00,3.00,4.00,5.00,4.00,6.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3310744,1.00,1.00,3.00,6.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3310760,5.00,7.00,3.00,4.00,6.00,5.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3310779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3310787,5.00,8.00,3.00,7.00,4.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3310795,4.00,2.00,2.00,4.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3310809,9.00,7.00,9.00,9.00,9.00,7.75,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3310825,3.00,4.00,1.00,10.00,3.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3310833,4.00,5.00,2.00,6.00,7.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3310850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3310892,0.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3310906,4.00,4.00,2.00,3.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3310914,3.00,7.00,4.00,5.00,6.00,5.75,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3310957,2.00,4.00,3.00,2.00,5.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3310965,3.00,6.00,4.00,9.00,5.00,6.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3310973,2.00,4.00,2.00,1.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3310981,2.00,4.00,1.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3310990,6.00,7.00,3.00,7.00,7.00,7.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3311007,3.00,3.00,2.00,8.00,5.00,6.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3311015,1.00,0.00,5.00,4.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3311023,5.00,6.00,6.00,6.00,7.00,5.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3311040,3.00,9.00,1.00,9.00,6.00,8.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3311058,7.00,7.00,4.00,5.00,4.00,7.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3311066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3311074,6.00,7.00,3.00,9.00,8.00,6.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3311104,4.00,6.00,3.00,7.00,5.00,6.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3311120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3311139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3311147,3.00,2.00,2.00,2.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3311155,3.00,3.00,1.00,3.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3311163,0.00,1.00,2.00,1.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3311171,5.00,5.00,4.00,7.00,4.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3311180,3.00,4.00,3.00,6.00,3.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3311198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3311210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3311228,3.00,3.00,2.00,6.00,6.00,7.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3311236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3311244,2.00,4.00,3.00,6.00,4.00,5.50,1.00,7.00,0.00,NULL,NULL,NULL,'N'),(16,3311252,5.00,5.00,5.00,4.00,5.00,5.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3311260,2.00,5.00,3.00,4.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3311287,2.00,4.00,4.00,7.00,5.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3311295,5.00,6.00,5.00,7.00,6.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3311317,7.00,6.00,7.00,9.00,8.00,5.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3311325,5.00,4.00,6.00,9.00,5.00,7.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3311333,2.00,5.00,3.00,2.00,2.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3311368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3311376,5.00,4.00,2.00,5.00,6.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3311384,7.00,6.00,5.00,9.00,7.00,4.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3311392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3311406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3311414,1.00,7.00,4.00,7.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3311422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3311430,6.00,7.00,4.00,9.00,7.00,8.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3311449,5.00,4.00,3.00,6.00,8.00,7.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3311457,4.00,3.00,1.00,7.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3311465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3311473,5.00,6.00,6.00,8.00,5.00,7.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3311481,6.00,6.00,5.00,6.00,5.00,5.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3311490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3311503,5.00,4.00,2.00,8.00,7.00,5.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3311511,4.00,3.00,4.00,4.00,4.00,6.25,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3311520,1.00,2.00,2.00,1.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3311538,3.00,1.00,4.00,3.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3311546,3.00,3.00,3.00,3.00,6.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3311562,5.00,3.00,4.00,5.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3311589,2.00,7.00,3.00,9.00,8.00,7.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3311597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3311600,5.00,5.00,5.00,8.00,6.00,5.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3311619,6.00,6.00,4.00,8.00,5.00,6.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3311627,2.00,1.00,3.00,1.00,4.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3311635,3.00,4.00,1.00,9.00,4.00,4.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3311643,5.00,5.00,2.00,8.00,5.00,4.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3311651,2.00,5.00,4.00,0.00,2.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3311686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3311694,5.00,7.00,2.00,6.00,5.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3311716,5.00,4.00,3.00,6.00,5.00,5.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3311724,2.00,5.00,2.00,2.00,0.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3311740,6.00,5.00,3.00,5.00,4.00,6.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3311759,2.00,3.00,3.00,4.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3311775,4.00,4.00,3.00,3.00,5.00,5.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3311783,3.00,5.00,1.00,6.00,4.00,4.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3311791,9.00,7.00,5.00,5.00,6.00,7.00,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3311813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3311821,3.00,6.00,5.00,6.00,4.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3311830,3.00,3.00,2.00,4.00,6.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3311848,3.00,0.00,3.00,6.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3311856,5.00,5.00,3.00,6.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3311864,4.00,5.00,2.00,7.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3311872,3.00,4.00,5.00,3.00,5.00,5.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3311880,5.00,3.00,2.00,3.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3311899,4.00,8.00,7.00,8.00,4.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3311902,3.00,4.00,5.00,7.00,5.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3311910,4.00,7.00,5.00,8.00,4.00,6.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3311929,4.00,3.00,3.00,4.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3311937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3311945,4.00,6.00,3.00,3.00,4.00,4.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3311953,4.00,6.00,4.00,7.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3311961,2.00,4.00,7.00,3.00,3.00,NULL,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3311988,5.00,5.00,3.00,5.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3312003,3.00,3.00,1.00,5.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3312011,9.00,9.00,8.00,9.00,7.00,7.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3312020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3312038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3312046,2.00,2.00,4.00,4.00,6.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3312054,5.00,8.00,7.00,9.00,7.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3312062,4.00,5.00,3.00,7.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3312070,3.00,5.00,4.00,6.00,5.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3312089,3.00,4.00,2.00,8.00,5.00,5.50,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3312119,2.00,4.00,3.00,5.00,7.00,4.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3312127,2.00,3.00,4.00,3.00,5.00,0.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3312135,3.00,3.00,3.00,5.00,4.00,3.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3312151,6.00,6.00,2.00,4.00,2.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3312160,0.00,2.00,3.00,4.00,1.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3312186,3.00,4.00,2.00,7.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3312194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3312208,0.00,5.00,2.00,2.00,4.00,2.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3312216,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3312224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3312232,6.00,6.00,4.00,8.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3312240,3.00,2.00,3.00,2.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3312259,5.00,7.00,4.00,7.00,7.00,7.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3312267,3.00,5.00,3.00,7.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3312275,4.00,1.00,2.00,1.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3312283,5.00,4.00,3.00,3.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3312305,2.00,3.00,2.00,4.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3312313,3.00,7.00,2.00,6.00,4.00,4.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3312321,3.00,6.00,3.00,1.00,4.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3312356,6.00,4.00,6.00,8.00,5.00,6.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3312364,3.00,4.00,4.00,3.00,6.00,5.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3312380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3312399,4.00,3.00,4.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3312402,9.00,7.00,5.00,9.00,6.00,6.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3312410,2.00,4.00,3.00,8.00,5.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3312429,2.00,3.00,2.00,2.00,3.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3312445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3312453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3312461,2.00,4.00,1.00,5.00,2.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3312470,7.00,6.00,7.00,4.00,5.00,5.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3312488,3.00,4.00,2.00,4.00,0.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3312518,1.00,4.00,2.00,3.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3312534,5.00,4.00,7.00,9.00,7.00,4.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3312550,5.00,4.00,2.00,5.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3312569,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3312577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3312585,2.00,0.00,2.00,3.00,4.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3312593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3312607,4.00,4.00,2.00,3.00,2.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3312615,6.00,5.00,2.00,9.00,5.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3312623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3312640,5.00,3.00,4.00,0.00,4.00,4.75,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3312658,1.00,1.00,1.00,3.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3312666,2.00,3.00,2.00,6.00,2.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3312682,5.00,5.00,2.00,5.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3312690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3312712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3312720,2.00,5.00,5.00,3.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3312739,6.00,7.00,5.00,8.00,4.00,6.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3312747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3312755,4.00,7.00,4.00,8.00,5.00,6.50,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3312763,2.00,5.00,2.00,8.00,5.00,6.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3312771,2.00,4.00,4.00,6.00,4.00,3.00,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3312780,3.00,0.00,1.00,0.00,2.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3312810,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3312828,6.00,6.00,1.00,3.00,9.00,6.75,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3312836,1.00,2.00,4.00,1.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3312844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3312852,0.00,4.00,4.00,6.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3312860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3312879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3312887,6.00,6.00,4.00,5.00,4.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3312895,5.00,4.00,2.00,2.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3312909,3.00,4.00,2.00,3.00,3.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3312917,2.00,3.00,1.00,1.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3312925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3312933,4.00,6.00,3.00,7.00,6.00,4.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3312941,3.00,6.00,3.00,7.00,4.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3312950,2.00,2.00,3.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3312976,5.00,3.00,1.00,7.00,2.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3312992,5.00,5.00,2.00,9.00,6.00,7.50,0.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3313000,4.00,4.00,5.00,4.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3313026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3313034,3.00,3.00,2.00,2.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3313050,8.00,7.00,9.00,9.00,7.00,6.75,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3313077,3.00,3.00,2.00,5.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3313085,5.00,7.00,2.00,8.00,4.00,5.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3313093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3313107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3313115,0.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3313123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3313131,4.00,2.00,3.00,6.00,5.00,5.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3313140,5.00,8.00,4.00,6.00,4.00,7.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3313158,5.00,6.00,6.00,8.00,6.00,6.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3313166,4.00,4.00,2.00,9.00,4.00,7.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3313182,3.00,4.00,5.00,3.00,8.00,5.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3313190,3.00,4.00,3.00,0.00,1.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3313204,5.00,7.00,4.00,9.00,6.00,8.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3313212,9.00,5.00,9.00,7.00,5.00,5.25,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3313220,3.00,4.00,4.00,9.00,5.00,5.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3313239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3313263,0.00,2.00,3.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3313271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3313280,2.00,4.00,2.00,4.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3313298,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3313301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3313310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3313328,1.00,3.00,3.00,4.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3313336,4.00,3.00,3.00,3.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3313344,6.00,9.00,2.00,9.00,6.00,8.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3313352,5.00,3.00,1.00,6.00,5.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3313360,5.00,5.00,2.00,7.00,4.00,5.25,2.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3313379,4.00,4.00,2.00,6.00,6.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3313387,6.00,7.00,7.00,7.00,4.00,5.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3313395,1.00,2.00,2.00,4.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3313409,4.00,5.00,4.00,5.00,3.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3313425,1.00,1.00,3.00,2.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3313433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3313441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3313450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3313468,3.00,2.00,3.00,3.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3313476,4.00,3.00,4.00,9.00,4.00,5.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3313484,7.00,4.00,4.00,3.00,6.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3313492,5.00,5.00,4.00,8.00,6.00,6.75,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3313506,3.00,2.00,3.00,6.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3313514,2.00,3.00,1.00,5.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3313522,6.00,5.00,3.00,7.00,7.00,5.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3313530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3313549,6.00,8.00,2.00,9.00,8.00,6.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3313565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3313573,4.00,3.00,2.00,0.00,4.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3313581,3.00,6.00,1.00,4.00,8.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3313590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3313603,3.00,5.00,2.00,5.00,6.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3313611,1.00,2.00,1.00,6.00,1.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3313620,3.00,3.00,3.00,8.00,3.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3313646,3.00,5.00,1.00,5.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3313654,6.00,6.00,4.00,7.00,8.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3313662,4.00,6.00,2.00,8.00,6.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3313670,2.00,3.00,2.00,0.00,0.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3313689,3.00,3.00,4.00,5.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3313697,3.00,6.00,4.00,7.00,7.00,7.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3313700,3.00,6.00,3.00,6.00,5.00,5.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3313719,3.00,3.00,5.00,6.00,5.00,4.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3313727,3.00,4.00,3.00,1.00,5.00,5.25,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3313735,4.00,7.00,4.00,3.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3313743,3.00,4.00,1.00,2.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3313778,2.00,7.00,1.00,6.00,2.00,NULL,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3313786,6.00,2.00,1.00,5.00,6.00,4.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3313794,2.00,2.00,4.00,4.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3313808,2.00,4.00,2.00,6.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3313816,2.00,4.00,3.00,1.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3313824,2.00,2.00,1.00,4.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3313832,5.00,8.00,3.00,6.00,4.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3313840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3313867,4.00,1.00,3.00,2.00,3.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3313875,1.00,2.00,4.00,5.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3313883,4.00,3.00,1.00,7.00,4.00,6.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3313891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3313905,2.00,1.00,3.00,5.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3313913,3.00,5.00,4.00,5.00,5.00,6.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3313921,3.00,2.00,1.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3313930,3.00,4.00,1.00,4.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3313948,4.00,5.00,3.00,2.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3313956,4.00,5.00,4.00,6.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3313964,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3313972,5.00,5.00,2.00,6.00,4.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3313980,4.00,4.00,5.00,5.00,5.00,4.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3313999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3314006,7.00,6.00,8.00,6.00,6.00,5.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3314014,5.00,4.00,4.00,8.00,4.00,5.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3314030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3314049,1.00,4.00,4.00,1.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3314057,3.00,4.00,4.00,7.00,6.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3314065,5.00,3.00,3.00,6.00,7.00,4.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3314073,6.00,5.00,5.00,9.00,7.00,4.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3314081,2.00,2.00,3.00,4.00,2.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3314090,3.00,8.00,5.00,9.00,6.00,5.75,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3314111,5.00,2.00,1.00,5.00,6.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3314146,5.00,4.00,2.00,6.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3314154,5.00,6.00,3.00,2.00,6.00,5.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3314162,5.00,4.00,4.00,4.00,7.00,7.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3314170,3.00,7.00,2.00,8.00,4.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3314189,4.00,7.00,7.00,5.00,5.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3314200,2.00,3.00,1.00,6.00,4.00,6.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3314219,3.00,6.00,2.00,6.00,3.00,NULL,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3314227,4.00,3.00,3.00,2.00,4.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3314243,8.00,6.00,8.00,6.00,5.00,5.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3314251,6.00,7.00,5.00,7.00,5.00,5.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3314260,3.00,4.00,1.00,3.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3314278,3.00,2.00,2.00,3.00,1.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3314286,2.00,7.00,4.00,6.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3314294,3.00,3.00,2.00,6.00,5.00,5.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3314308,4.00,3.00,3.00,5.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3314316,3.00,3.00,1.00,8.00,5.00,4.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3314324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3314332,3.00,4.00,4.00,1.00,5.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3314340,3.00,4.00,4.00,8.00,4.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3314359,1.00,2.00,3.00,2.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3314367,4.00,5.00,2.00,6.00,2.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3314375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3314383,4.00,2.00,3.00,8.00,4.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3314391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3314405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3314413,3.00,3.00,3.00,8.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3314421,3.00,4.00,2.00,4.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3314430,4.00,3.00,2.00,5.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3314456,3.00,5.00,5.00,9.00,4.00,4.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3314464,3.00,4.00,1.00,4.00,5.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3314472,4.00,6.00,2.00,0.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3314480,8.00,7.00,4.00,6.00,6.00,5.75,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3314499,2.00,2.00,3.00,3.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3314502,3.00,7.00,3.00,7.00,7.00,7.25,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3314510,3.00,5.00,3.00,5.00,6.00,4.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3314529,5.00,7.00,2.00,2.00,4.00,5.75,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3314537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3314545,9.00,7.00,9.00,9.00,8.00,6.25,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3314561,6.00,3.00,3.00,2.00,5.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3314570,5.00,4.00,4.00,3.00,3.00,NULL,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3314588,1.00,2.00,3.00,5.00,5.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3314596,4.00,0.00,3.00,3.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3314600,7.00,6.00,4.00,8.00,6.00,6.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3314618,3.00,4.00,3.00,6.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3314626,4.00,6.00,2.00,9.00,8.00,7.00,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3314634,7.00,8.00,4.00,5.00,5.00,5.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3314642,3.00,5.00,2.00,7.00,5.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3314650,6.00,4.00,3.00,8.00,5.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3314669,1.00,3.00,1.00,2.00,0.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3314677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3314685,3.00,3.00,1.00,6.00,5.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3314693,5.00,6.00,2.00,4.00,7.00,5.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3314707,4.00,4.00,1.00,5.00,4.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3314715,1.00,1.00,2.00,6.00,0.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3314723,5.00,3.00,2.00,6.00,6.00,3.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3314731,2.00,4.00,2.00,4.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3314740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3314766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3314774,6.00,8.00,3.00,4.00,6.00,7.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3314790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3314804,1.00,5.00,2.00,3.00,0.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3314812,3.00,4.00,4.00,6.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3314839,7.00,6.00,3.00,8.00,8.00,6.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3314855,5.00,7.00,2.00,8.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3314863,4.00,5.00,1.00,3.00,3.00,NULL,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3314871,3.00,3.00,3.00,2.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3314880,5.00,5.00,2.00,7.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3314898,4.00,7.00,4.00,8.00,7.00,6.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3314901,5.00,7.00,5.00,8.00,7.00,7.00,4.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3314910,2.00,1.00,3.00,2.00,0.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3314936,8.00,8.00,9.00,9.00,8.00,6.25,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3314944,3.00,5.00,3.00,5.00,6.00,6.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3314960,4.00,4.00,2.00,3.00,2.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3314979,6.00,5.00,5.00,3.00,4.00,5.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3314987,2.00,2.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3314995,4.00,7.00,1.00,7.00,7.00,8.00,3.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3315002,2.00,5.00,3.00,6.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3315010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3315029,1.00,5.00,3.00,2.00,2.00,NULL,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3315037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3315045,4.00,5.00,1.00,7.00,5.00,5.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3315053,5.00,4.00,1.00,3.00,4.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3315061,1.00,3.00,1.00,8.00,4.00,5.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3315070,5.00,5.00,6.00,8.00,6.00,6.00,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3315096,3.00,7.00,4.00,2.00,7.00,4.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3315100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3315118,4.00,3.00,3.00,2.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3315126,4.00,2.00,3.00,2.00,4.00,4.50,2.00,8.00,4.00,NULL,NULL,NULL,'S'),(16,3315134,4.00,3.00,4.00,6.00,6.00,6.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3315142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3315150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3315169,4.00,5.00,4.00,7.00,5.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3315177,6.00,5.00,2.00,8.00,7.00,4.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3315185,3.00,3.00,2.00,2.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3315193,5.00,8.00,3.00,9.00,9.00,8.00,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3315207,6.00,7.00,3.00,8.00,5.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3315215,2.00,2.00,4.00,3.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3315223,7.00,7.00,4.00,9.00,6.00,7.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3315240,2.00,3.00,3.00,5.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3315258,2.00,2.00,3.00,6.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3315266,5.00,5.00,3.00,8.00,4.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3315282,5.00,5.00,3.00,6.00,4.00,2.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3315290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3315312,8.00,5.00,6.00,8.00,7.00,6.50,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3315339,2.00,7.00,3.00,8.00,7.00,5.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3315347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3315355,2.00,3.00,2.00,6.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3315363,2.00,4.00,1.00,7.00,2.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3315371,3.00,4.00,4.00,7.00,7.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3315380,4.00,4.00,4.00,9.00,4.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3315398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3315401,1.00,0.00,1.00,2.00,4.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3315410,5.00,6.00,4.00,8.00,5.00,5.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3315428,5.00,4.00,3.00,2.00,4.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3315436,4.00,5.00,2.00,8.00,4.00,5.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3315444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3315452,6.00,4.00,6.00,9.00,7.00,5.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3315460,4.00,7.00,3.00,9.00,8.00,7.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3315479,2.00,5.00,5.00,7.00,5.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3315487,4.00,1.00,4.00,6.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3315495,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3315509,9.00,7.00,4.00,9.00,6.00,5.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3315517,5.00,5.00,3.00,3.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3315533,2.00,4.00,2.00,4.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3315541,6.00,3.00,4.00,4.00,4.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3315550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3315568,4.00,6.00,4.00,4.00,6.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3315576,7.00,8.00,2.00,8.00,8.00,6.75,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3315584,1.00,4.00,4.00,7.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3315592,7.00,6.00,7.00,6.00,5.00,6.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3315606,3.00,5.00,3.00,5.00,4.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3315622,2.00,3.00,4.00,5.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3315630,5.00,4.00,2.00,7.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3315649,3.00,4.00,1.00,7.00,5.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3315657,6.00,5.00,7.00,6.00,7.00,8.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3315665,5.00,6.00,6.00,4.00,5.00,5.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3315681,4.00,4.00,2.00,1.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3315703,2.00,5.00,6.00,8.00,7.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3315711,3.00,2.00,3.00,4.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3315720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3315738,3.00,3.00,4.00,5.00,4.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3315746,3.00,4.00,4.00,3.00,5.00,4.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3315754,9.00,5.00,5.00,8.00,7.00,5.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3315762,7.00,5.00,5.00,8.00,6.00,5.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3315770,4.00,3.00,1.00,4.00,4.00,4.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3315789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3315819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3315843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3315851,6.00,8.00,3.00,6.00,3.00,NULL,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3315860,2.00,4.00,2.00,4.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3315878,2.00,2.00,2.00,6.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3315886,4.00,4.00,2.00,3.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3315894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3315908,3.00,3.00,4.00,2.00,5.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3315916,9.00,7.00,9.00,7.00,7.00,5.25,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3315924,2.00,2.00,2.00,4.00,2.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3315932,6.00,7.00,7.00,7.00,5.00,4.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3315959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3315975,3.00,3.00,3.00,6.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3315983,2.00,3.00,3.00,1.00,0.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3316009,6.00,3.00,5.00,9.00,4.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3316017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3316025,3.00,7.00,2.00,9.00,7.00,5.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3316033,3.00,3.00,4.00,6.00,4.00,3.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3316041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3316050,3.00,3.00,2.00,5.00,4.00,5.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3316068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3316076,3.00,7.00,5.00,6.00,5.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3316084,4.00,5.00,4.00,6.00,4.00,4.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3316092,3.00,3.00,1.00,6.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3316106,2.00,4.00,4.00,4.00,4.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3316114,0.00,0.00,0.00,7.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3316122,3.00,6.00,4.00,3.00,6.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3316130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3316149,4.00,4.00,2.00,3.00,5.00,6.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3316157,5.00,5.00,4.00,2.00,5.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3316165,4.00,2.00,2.00,6.00,5.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3316203,3.00,3.00,2.00,3.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3316211,6.00,4.00,5.00,7.00,7.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3316220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3316238,0.00,4.00,4.00,8.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3316246,5.00,7.00,7.00,9.00,8.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3316254,3.00,4.00,2.00,0.00,1.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3316262,6.00,6.00,3.00,7.00,4.00,5.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3316270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3316289,2.00,6.00,4.00,8.00,4.00,4.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3316297,5.00,8.00,6.00,8.00,6.00,6.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3316300,3.00,6.00,4.00,2.00,6.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3316319,4.00,4.00,2.00,6.00,5.00,5.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3316327,1.00,2.00,1.00,5.00,4.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3316335,6.00,7.00,3.00,7.00,4.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3316343,3.00,5.00,3.00,6.00,3.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3316351,5.00,5.00,1.00,8.00,5.00,4.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3316360,4.00,4.00,1.00,7.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3316378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3316386,2.00,2.00,5.00,6.00,3.00,NULL,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3316394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3316408,3.00,5.00,3.00,6.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3316416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3316424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3316459,6.00,6.00,4.00,7.00,6.00,6.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3316483,2.00,6.00,5.00,9.00,6.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3316491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3316505,2.00,4.00,3.00,1.00,4.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3316513,6.00,4.00,1.00,1.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3316521,5.00,7.00,1.00,7.00,5.00,5.75,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3316548,3.00,6.00,2.00,6.00,4.00,5.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3316556,1.00,0.00,1.00,2.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3316564,2.00,6.00,1.00,7.00,4.00,6.25,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3316572,3.00,3.00,6.00,9.00,5.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3316580,4.00,3.00,1.00,2.00,4.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3316599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3316610,4.00,6.00,2.00,9.00,8.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3316629,3.00,7.00,5.00,4.00,5.00,5.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3316637,3.00,4.00,2.00,4.00,4.00,5.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3316645,4.00,5.00,1.00,4.00,4.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3316653,7.00,3.00,5.00,7.00,6.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3316670,6.00,7.00,5.00,9.00,6.00,7.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3316688,1.00,3.00,4.00,1.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3316696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3316700,0.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3316718,3.00,5.00,4.00,4.00,4.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3316726,2.00,3.00,3.00,4.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3316734,2.00,4.00,4.00,7.00,7.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3316742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3316750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3316769,0.00,3.00,2.00,3.00,0.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3316777,7.00,5.00,1.00,8.00,6.00,4.75,5.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3316785,6.00,6.00,2.00,5.00,5.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3316793,5.00,4.00,2.00,5.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3316807,4.00,3.00,1.00,9.00,5.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3316815,7.00,4.00,3.00,8.00,6.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3316823,2.00,6.00,1.00,7.00,4.00,5.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3316831,6.00,5.00,5.00,5.00,3.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3316858,7.00,5.00,6.00,7.00,8.00,5.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3316866,7.00,4.00,4.00,6.00,4.00,5.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3316874,6.00,3.00,7.00,7.00,6.00,4.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3316882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3316890,3.00,3.00,4.00,5.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3316904,3.00,2.00,1.00,5.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3316920,3.00,3.00,2.00,2.00,1.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3316947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3316955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3316963,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3316971,5.00,5.00,3.00,4.00,5.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3316980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3317005,1.00,5.00,2.00,6.00,4.00,7.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3317013,5.00,3.00,4.00,5.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3317021,4.00,6.00,2.00,6.00,1.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3317030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3317048,2.00,1.00,2.00,4.00,1.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3317056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3317064,1.00,3.00,3.00,3.00,5.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3317080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3317099,6.00,6.00,7.00,7.00,7.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3317102,7.00,7.00,5.00,7.00,6.00,7.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3317110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3317129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3317137,3.00,5.00,3.00,7.00,6.00,8.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3317145,5.00,6.00,5.00,9.00,7.00,6.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3317153,3.00,3.00,2.00,2.00,0.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3317161,4.00,5.00,4.00,5.00,5.00,5.00,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3317170,6.00,6.00,3.00,9.00,7.00,8.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3317188,5.00,4.00,2.00,6.00,4.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3317196,1.00,6.00,5.00,7.00,5.00,5.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3317200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3317226,6.00,7.00,1.00,7.00,6.00,6.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3317242,3.00,5.00,3.00,3.00,4.00,4.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3317250,1.00,2.00,2.00,6.00,4.00,5.50,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3317269,1.00,2.00,1.00,5.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3317285,3.00,2.00,2.00,5.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3317293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3317307,2.00,0.00,6.00,1.00,1.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3317315,6.00,5.00,2.00,7.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3317331,6.00,4.00,2.00,4.00,4.00,5.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3317358,4.00,8.00,4.00,4.00,4.00,6.75,2.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3317366,3.00,5.00,3.00,6.00,4.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3317374,5.00,9.00,8.00,5.00,7.00,5.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3317382,0.00,0.00,0.00,3.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3317390,5.00,5.00,5.00,8.00,7.00,5.50,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3317404,3.00,5.00,3.00,5.00,5.00,6.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3317412,4.00,6.00,4.00,6.00,4.00,7.00,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3317439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3317447,4.00,6.00,2.00,7.00,4.00,5.75,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3317455,3.00,1.00,2.00,2.00,0.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3317463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3317471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3317480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3317498,5.00,4.00,3.00,8.00,4.00,6.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3317501,2.00,1.00,2.00,6.00,3.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3317528,0.00,2.00,4.00,5.00,4.00,4.25,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(16,3317536,1.00,3.00,3.00,5.00,4.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3317544,4.00,4.00,2.00,5.00,6.00,6.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3317560,5.00,7.00,4.00,9.00,7.00,7.75,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3317579,2.00,6.00,2.00,4.00,3.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3317587,4.00,7.00,1.00,4.00,4.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3317595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3317609,6.00,8.00,7.00,8.00,7.00,5.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3317617,4.00,7.00,4.00,5.00,5.00,6.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3317625,0.00,0.00,0.00,7.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3317633,7.00,6.00,5.00,8.00,4.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3317641,3.00,0.00,1.00,2.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3317668,5.00,6.00,4.00,8.00,7.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3317676,4.00,3.00,2.00,4.00,6.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3317684,4.00,7.00,9.00,9.00,8.00,6.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3317692,5.00,2.00,1.00,7.00,4.00,4.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3317706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3317722,1.00,0.00,2.00,5.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3317730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3317757,5.00,3.00,2.00,2.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3317765,2.00,6.00,2.00,6.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(16,3317773,8.00,7.00,3.00,7.00,7.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3317781,3.00,5.00,5.00,5.00,5.00,6.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3317790,2.00,4.00,2.00,2.00,0.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3317803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3317811,1.00,3.00,4.00,6.00,2.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3317820,5.00,7.00,4.00,8.00,8.00,8.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3317838,5.00,4.00,3.00,6.00,4.00,3.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3317846,5.00,5.00,2.00,6.00,5.00,6.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3317862,1.00,3.00,1.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3317870,2.00,3.00,4.00,5.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3317889,2.00,6.00,3.00,8.00,7.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3317897,2.00,0.00,3.00,4.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3317900,4.00,3.00,3.00,8.00,4.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3317919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3317927,3.00,3.00,2.00,7.00,4.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3317935,3.00,4.00,4.00,4.00,5.00,3.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3317943,4.00,4.00,2.00,3.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3317951,6.00,4.00,3.00,9.00,6.00,5.50,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3317978,5.00,7.00,7.00,7.00,7.00,5.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3317986,4.00,5.00,3.00,3.00,4.00,5.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3317994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318010,4.00,1.00,3.00,6.00,4.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3318028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318044,2.00,2.00,4.00,6.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3318052,1.00,3.00,1.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3318060,5.00,5.00,3.00,7.00,4.00,4.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3318079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318087,6.00,4.00,6.00,8.00,6.00,5.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3318095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318109,4.00,2.00,4.00,1.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3318117,5.00,6.00,5.00,2.00,3.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3318133,5.00,6.00,4.00,3.00,6.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3318141,7.00,7.00,1.00,7.00,5.00,5.75,1.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3318168,5.00,7.00,5.00,8.00,6.00,5.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3318176,3.00,6.00,5.00,6.00,5.00,6.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3318184,4.00,5.00,1.00,9.00,7.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3318206,4.00,2.00,1.00,4.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3318214,1.00,5.00,3.00,6.00,6.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3318222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318230,4.00,8.00,4.00,8.00,4.00,5.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3318249,3.00,3.00,3.00,8.00,6.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3318265,4.00,3.00,3.00,0.00,1.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3318273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318281,2.00,3.00,2.00,4.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3318290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318311,4.00,5.00,3.00,8.00,7.00,7.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3318320,2.00,1.00,2.00,1.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3318338,0.00,0.00,0.00,1.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3318346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318362,8.00,6.00,6.00,6.00,7.00,5.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3318370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318419,3.00,1.00,3.00,1.00,5.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3318427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318435,1.00,2.00,4.00,6.00,5.00,5.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3318443,5.00,5.00,6.00,8.00,8.00,5.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3318451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318460,3.00,4.00,2.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3318478,2.00,6.00,2.00,7.00,6.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3318486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318494,2.00,5.00,1.00,4.00,5.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3318516,6.00,3.00,2.00,4.00,4.00,4.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3318524,3.00,4.00,4.00,3.00,4.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3318540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318559,3.00,2.00,3.00,7.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3318567,3.00,5.00,3.00,2.00,2.00,NULL,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3318575,0.00,4.00,3.00,5.00,2.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3318583,3.00,1.00,1.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3318591,3.00,5.00,2.00,5.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'S'),(16,3318605,4.00,4.00,4.00,5.00,5.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3318613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318621,3.00,0.00,2.00,7.00,3.00,NULL,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(16,3318630,4.00,4.00,2.00,7.00,5.00,7.00,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3318648,4.00,5.00,4.00,3.00,5.00,7.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3318656,3.00,7.00,4.00,8.00,5.00,5.25,1.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3318664,4.00,4.00,3.00,7.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3318672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3318680,4.00,2.00,3.00,6.00,5.00,5.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3318699,3.00,3.00,2.00,0.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3318710,4.00,3.00,3.00,2.00,5.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3318729,3.00,4.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3318745,1.00,2.00,3.00,1.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3318753,8.00,4.00,4.00,5.00,7.00,7.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3318761,5.00,5.00,3.00,0.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3318770,3.00,4.00,3.00,4.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3318788,2.00,5.00,1.00,7.00,5.00,6.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3318800,7.00,3.00,4.00,6.00,5.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3318818,5.00,5.00,4.00,7.00,5.00,3.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3318826,6.00,7.00,5.00,2.00,4.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3318834,4.00,6.00,2.00,7.00,6.00,7.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3318842,2.00,1.00,3.00,4.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3318850,4.00,3.00,3.00,7.00,6.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3318877,1.00,3.00,4.00,5.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3318885,5.00,7.00,5.00,7.00,6.00,4.25,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3318893,3.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3318907,3.00,2.00,1.00,2.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3318915,1.00,2.00,3.00,3.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3318923,0.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3318931,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3318940,6.00,7.00,4.00,8.00,5.00,7.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3318958,1.00,2.00,3.00,0.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3318966,3.00,5.00,2.00,7.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3318974,2.00,3.00,3.00,5.00,4.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3318982,4.00,2.00,3.00,3.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3318990,3.00,4.00,3.00,4.00,5.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3319016,1.00,2.00,1.00,3.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3319024,5.00,6.00,3.00,9.00,6.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3319032,6.00,5.00,2.00,8.00,7.00,6.25,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3319040,1.00,6.00,1.00,7.00,4.00,6.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3319059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3319067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3319075,7.00,7.00,1.00,7.00,7.00,6.25,1.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3319083,3.00,4.00,3.00,4.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3319091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3319105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3319113,5.00,6.00,3.00,9.00,6.00,6.00,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3319121,6.00,3.00,2.00,3.00,6.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3319130,3.00,5.00,2.00,3.00,4.00,4.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3319148,2.00,6.00,5.00,3.00,4.00,4.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3319156,6.00,5.00,2.00,8.00,8.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3319164,3.00,6.00,2.00,8.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3319172,3.00,3.00,1.00,6.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3319199,5.00,2.00,5.00,2.00,5.00,5.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3319210,6.00,8.00,6.00,7.00,7.00,4.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3319229,3.00,2.00,4.00,2.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3319237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3319245,3.00,3.00,1.00,8.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3319261,4.00,4.00,1.00,8.00,5.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3319270,4.00,4.00,3.00,2.00,5.00,5.25,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3319288,4.00,5.00,4.00,7.00,7.00,5.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3319300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3319318,2.00,2.00,3.00,2.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3319326,2.00,4.00,1.00,3.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3319350,4.00,2.00,1.00,6.00,7.00,5.50,2.00,9.00,2.00,NULL,NULL,NULL,'S'),(16,3319369,4.00,4.00,5.00,3.00,4.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3319377,3.00,2.00,2.00,6.00,4.00,4.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3319385,3.00,5.00,2.00,7.00,5.00,2.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3319393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3319407,4.00,3.00,2.00,2.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3319415,3.00,5.00,2.00,7.00,3.00,NULL,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3319423,2.00,2.00,2.00,1.00,3.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3319431,7.00,9.00,2.00,8.00,7.00,7.00,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3319440,6.00,5.00,2.00,7.00,5.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3319458,0.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3319466,2.00,5.00,1.00,8.00,4.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3319474,3.00,7.00,4.00,8.00,4.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3319482,7.00,4.00,4.00,3.00,4.00,6.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3319504,5.00,6.00,5.00,6.00,4.00,5.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3319512,5.00,5.00,1.00,8.00,5.00,5.50,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3319520,7.00,7.00,4.00,8.00,7.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3319539,3.00,4.00,3.00,5.00,5.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3319555,7.00,7.00,7.00,7.00,7.00,6.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3319580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3319598,5.00,4.00,5.00,6.00,6.00,5.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3319601,2.00,5.00,3.00,3.00,5.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3319610,3.00,4.00,3.00,2.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3319628,3.00,6.00,1.00,3.00,1.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3319636,5.00,5.00,5.00,5.00,5.00,4.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3319644,4.00,4.00,3.00,4.00,3.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3319652,6.00,5.00,4.00,8.00,6.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3319679,4.00,2.00,4.00,8.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3319687,6.00,8.00,5.00,9.00,7.00,4.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3319695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3319709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3319717,6.00,6.00,4.00,8.00,2.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'S'),(16,3319725,6.00,7.00,1.00,3.00,4.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3319733,3.00,4.00,3.00,7.00,4.00,6.25,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3319741,1.00,1.00,2.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3319768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3319776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3319784,7.00,6.00,6.00,7.00,9.00,7.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3319792,3.00,2.00,2.00,4.00,3.00,NULL,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3319806,7.00,4.00,9.00,9.00,5.00,6.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3319814,3.00,0.00,4.00,3.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3319822,5.00,6.00,5.00,9.00,5.00,7.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3319830,4.00,3.00,4.00,4.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3319849,7.00,6.00,6.00,8.00,6.00,4.50,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3319865,4.00,5.00,3.00,7.00,4.00,5.25,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3319873,5.00,6.00,3.00,6.00,5.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3319881,3.00,1.00,2.00,2.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3319890,3.00,3.00,4.00,1.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3319903,2.00,3.00,1.00,4.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3319920,3.00,2.00,3.00,3.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3319938,2.00,1.00,2.00,4.00,3.00,NULL,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3319946,3.00,5.00,5.00,4.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3319954,5.00,7.00,4.00,0.00,0.00,NULL,1.00,8.00,7.00,'S',NULL,NULL,'S'),(16,3319962,4.00,3.00,6.00,6.00,5.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3319970,5.00,4.00,7.00,8.00,7.00,6.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3319989,4.00,3.00,4.00,6.00,4.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3319997,4.00,6.00,4.00,6.00,3.00,NULL,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3320006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3320022,2.00,4.00,1.00,3.00,4.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3320030,3.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3320049,2.00,2.00,2.00,3.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3320057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3320065,6.00,3.00,5.00,8.00,5.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3320073,3.00,6.00,3.00,4.00,7.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3320081,3.00,5.00,1.00,6.00,4.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3320090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3320111,1.00,3.00,1.00,5.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3320138,1.00,2.00,3.00,7.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3320146,1.00,2.00,2.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3320154,3.00,5.00,1.00,1.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3320162,3.00,2.00,4.00,8.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3320170,4.00,6.00,4.00,8.00,7.00,5.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3320189,5.00,7.00,3.00,4.00,4.00,5.75,1.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3320197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3320200,6.00,6.00,7.00,8.00,4.00,8.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3320219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3320227,6.00,7.00,5.00,6.00,5.00,4.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3320235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3320251,3.00,4.00,1.00,4.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3320260,3.00,0.00,1.00,3.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3320278,1.00,5.00,3.00,6.00,6.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3320286,1.00,3.00,4.00,6.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3320294,1.00,7.00,5.00,7.00,5.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3320308,6.00,7.00,4.00,7.00,5.00,7.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3320316,6.00,6.00,5.00,7.00,6.00,4.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3320332,3.00,3.00,6.00,3.00,2.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3320340,4.00,4.00,3.00,5.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3320359,7.00,7.00,5.00,8.00,6.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3320367,4.00,3.00,1.00,7.00,6.00,4.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3320375,8.00,5.00,8.00,9.00,5.00,6.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3320383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3320405,5.00,3.00,3.00,4.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3320413,4.00,7.00,4.00,8.00,5.00,5.75,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3320421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3320430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3320448,2.00,4.00,1.00,6.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3320456,3.00,5.00,4.00,7.00,3.00,NULL,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3320464,3.00,3.00,1.00,6.00,4.00,4.00,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3320472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3320480,8.00,6.00,4.00,8.00,6.00,6.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3320499,3.00,5.00,2.00,8.00,3.00,NULL,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3320502,6.00,3.00,2.00,5.00,4.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3320510,1.00,2.00,1.00,4.00,2.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3320537,6.00,5.00,8.00,7.00,7.00,5.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3320545,4.00,6.00,4.00,3.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3320553,3.00,4.00,3.00,5.00,4.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3320561,8.00,2.00,3.00,3.00,5.00,6.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3320570,3.00,5.00,1.00,6.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3320588,5.00,6.00,5.00,9.00,7.00,6.25,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3320596,5.00,3.00,2.00,1.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3320600,2.00,5.00,1.00,5.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3320626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3320634,3.00,5.00,5.00,1.00,5.00,4.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3320642,4.00,6.00,5.00,2.00,4.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3320650,5.00,6.00,3.00,6.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3320669,1.00,3.00,5.00,2.00,1.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3320677,3.00,0.00,1.00,5.00,1.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3320715,1.00,1.00,2.00,1.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3320723,4.00,8.00,4.00,6.00,5.00,5.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3320731,5.00,6.00,3.00,7.00,8.00,7.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3320758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3320766,4.00,6.00,3.00,5.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3320774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3320782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3320790,2.00,2.00,1.00,2.00,2.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3320804,7.00,7.00,4.00,7.00,7.00,6.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3320812,4.00,5.00,3.00,7.00,5.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3320820,4.00,2.00,3.00,4.00,2.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3320839,2.00,4.00,3.00,4.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3320847,3.00,1.00,2.00,2.00,4.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3320855,5.00,4.00,3.00,6.00,5.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3320863,8.00,5.00,3.00,7.00,6.00,4.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3320871,5.00,9.00,6.00,8.00,8.00,6.00,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3320880,6.00,3.00,3.00,7.00,5.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3320901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3320910,5.00,4.00,4.00,1.00,3.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3320928,3.00,4.00,1.00,0.00,1.00,NULL,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3320936,6.00,1.00,2.00,5.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3320944,4.00,3.00,4.00,2.00,5.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3320952,2.00,5.00,1.00,3.00,4.00,6.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3320979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3320987,4.00,6.00,3.00,8.00,6.00,6.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3320995,1.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3321002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3321010,4.00,1.00,3.00,5.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3321029,1.00,4.00,5.00,5.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3321037,4.00,5.00,2.00,1.00,2.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3321045,5.00,7.00,2.00,7.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3321061,2.00,4.00,2.00,3.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3321070,3.00,2.00,1.00,5.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3321096,6.00,8.00,6.00,7.00,6.00,5.25,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3321100,3.00,6.00,4.00,9.00,5.00,5.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3321118,4.00,7.00,5.00,7.00,5.00,4.50,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3321126,4.00,5.00,3.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3321134,1.00,4.00,5.00,9.00,4.00,6.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3321142,0.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3321150,5.00,6.00,2.00,8.00,7.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3321169,4.00,4.00,1.00,6.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3321177,2.00,2.00,2.00,5.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3321185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3321193,5.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3321207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3321215,0.00,0.00,0.00,9.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3321223,5.00,4.00,3.00,7.00,4.00,5.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3321231,6.00,5.00,2.00,6.00,5.00,7.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3321240,4.00,3.00,2.00,6.00,7.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3321258,2.00,3.00,3.00,6.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3321266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3321282,4.00,6.00,2.00,3.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3321290,5.00,1.00,5.00,7.00,6.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3321304,2.00,2.00,1.00,1.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3321312,2.00,6.00,1.00,7.00,5.00,7.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3321320,5.00,3.00,4.00,2.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3321339,4.00,3.00,2.00,8.00,5.00,6.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3321355,4.00,5.00,3.00,6.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3321363,5.00,7.00,3.00,3.00,4.00,2.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3321380,4.00,4.00,3.00,6.00,4.00,4.25,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3321398,3.00,4.00,5.00,9.00,5.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3321401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3321410,3.00,5.00,4.00,4.00,8.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3321436,5.00,5.00,7.00,5.00,7.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3321444,6.00,7.00,3.00,6.00,5.00,5.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3321452,3.00,2.00,2.00,6.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3321460,4.00,2.00,4.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3321487,4.00,5.00,5.00,7.00,6.00,5.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3321495,2.00,5.00,2.00,1.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3321509,3.00,3.00,2.00,8.00,6.00,7.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3321517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3321525,3.00,1.00,1.00,2.00,0.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3321533,7.00,6.00,4.00,8.00,8.00,6.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3321541,3.00,6.00,2.00,5.00,4.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3321550,6.00,6.00,4.00,2.00,6.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3321576,4.00,6.00,4.00,7.00,6.00,7.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3321584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3321606,6.00,3.00,2.00,5.00,5.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3321614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3321622,3.00,4.00,1.00,5.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3321630,3.00,2.00,3.00,5.00,2.00,NULL,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3321649,8.00,6.00,4.00,9.00,5.00,5.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3321657,4.00,3.00,4.00,2.00,5.00,4.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3321665,3.00,5.00,3.00,8.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3321673,3.00,5.00,2.00,8.00,6.00,6.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3321681,2.00,3.00,4.00,4.00,4.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3321703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3321711,6.00,6.00,6.00,6.00,5.00,4.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3321720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3321738,2.00,1.00,1.00,1.00,0.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3321746,3.00,5.00,3.00,2.00,1.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3321754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3321762,6.00,5.00,3.00,4.00,3.00,NULL,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3321789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3321797,6.00,4.00,5.00,9.00,5.00,4.75,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3321800,4.00,5.00,2.00,0.00,6.00,6.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3321819,4.00,5.00,3.00,3.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3321835,3.00,5.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3321851,2.00,5.00,1.00,5.00,6.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3321886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3321894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3321908,4.00,4.00,4.00,3.00,3.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3321916,4.00,4.00,3.00,4.00,4.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3321940,3.00,2.00,3.00,5.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3321959,2.00,3.00,2.00,4.00,0.00,NULL,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3321983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322009,3.00,5.00,4.00,0.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3322017,3.00,5.00,2.00,5.00,7.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3322025,3.00,6.00,3.00,7.00,9.00,7.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3322033,5.00,3.00,2.00,6.00,4.00,5.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3322041,3.00,4.00,2.00,7.00,4.00,7.75,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3322050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322068,1.00,2.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3322076,1.00,2.00,2.00,5.00,6.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3322084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322092,2.00,3.00,2.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3322106,4.00,5.00,5.00,7.00,6.00,7.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3322114,1.00,4.00,2.00,4.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3322122,2.00,7.00,4.00,1.00,5.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3322130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322157,1.00,4.00,3.00,1.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3322165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322173,2.00,3.00,4.00,0.00,4.00,4.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3322181,7.00,6.00,5.00,9.00,7.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3322190,5.00,7.00,3.00,1.00,5.00,4.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3322203,4.00,2.00,3.00,2.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3322211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322238,2.00,0.00,3.00,1.00,1.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3322246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322254,3.00,5.00,1.00,4.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3322262,6.00,6.00,4.00,7.00,8.00,6.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3322270,2.00,6.00,4.00,1.00,4.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3322289,6.00,5.00,2.00,5.00,6.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3322300,3.00,3.00,1.00,5.00,5.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3322327,6.00,7.00,5.00,8.00,6.00,5.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3322335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322343,3.00,6.00,3.00,9.00,5.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3322351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322360,3.00,3.00,3.00,7.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3322378,5.00,5.00,1.00,8.00,7.00,8.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3322386,6.00,5.00,3.00,8.00,7.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3322394,4.00,8.00,5.00,9.00,8.00,6.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3322408,5.00,5.00,1.00,1.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3322416,6.00,6.00,8.00,7.00,5.00,5.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3322424,9.00,7.00,7.00,7.00,5.00,5.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3322432,6.00,3.00,5.00,6.00,3.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3322440,4.00,1.00,3.00,4.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3322467,1.00,5.00,3.00,7.00,1.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3322475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322483,5.00,3.00,4.00,7.00,5.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3322521,4.00,4.00,5.00,5.00,5.00,5.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3322530,4.00,5.00,2.00,2.00,4.00,5.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3322548,2.00,1.00,4.00,6.00,4.00,4.00,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3322556,5.00,6.00,5.00,8.00,6.00,7.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3322564,2.00,4.00,3.00,6.00,4.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3322572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322580,6.00,7.00,6.00,2.00,6.00,4.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3322599,5.00,6.00,2.00,6.00,5.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3322602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322629,3.00,1.00,2.00,1.00,0.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3322637,3.00,2.00,2.00,7.00,4.00,4.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3322645,6.00,7.00,6.00,7.00,5.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3322653,5.00,6.00,5.00,7.00,5.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3322661,4.00,5.00,1.00,2.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3322670,3.00,4.00,2.00,2.00,1.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3322696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322700,2.00,2.00,2.00,3.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3322718,3.00,3.00,3.00,3.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3322726,2.00,7.00,4.00,8.00,8.00,5.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3322734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322750,4.00,5.00,2.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3322777,4.00,6.00,6.00,7.00,7.00,4.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3322785,1.00,3.00,2.00,8.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3322793,5.00,2.00,4.00,7.00,6.00,5.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3322807,2.00,1.00,2.00,5.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3322815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322840,3.00,4.00,5.00,4.00,3.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3322858,2.00,0.00,4.00,2.00,1.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3322866,4.00,2.00,4.00,7.00,5.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3322874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3322882,5.00,6.00,7.00,8.00,3.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3322890,3.00,1.00,6.00,5.00,1.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3322904,2.00,2.00,3.00,2.00,1.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3322912,2.00,1.00,3.00,3.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3322920,2.00,5.00,4.00,6.00,5.00,6.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3322939,0.00,4.00,1.00,1.00,1.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3322955,6.00,6.00,6.00,6.00,5.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3322971,6.00,6.00,2.00,6.00,7.00,5.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3322980,6.00,6.00,4.00,5.00,3.00,NULL,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3322998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323013,6.00,7.00,4.00,9.00,5.00,4.00,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3323030,4.00,2.00,4.00,6.00,4.00,4.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3323048,2.00,7.00,2.00,6.00,3.00,NULL,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3323056,4.00,6.00,3.00,6.00,5.00,4.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3323064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323080,0.00,0.00,0.00,6.00,1.00,NULL,4.00,1.00,2.00,NULL,'S',NULL,'N'),(16,3323099,5.00,2.00,4.00,4.00,5.00,4.50,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3323102,5.00,7.00,2.00,7.00,5.00,5.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3323110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323137,4.00,6.00,5.00,8.00,4.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3323145,4.00,4.00,2.00,5.00,4.00,4.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3323161,4.00,5.00,3.00,6.00,7.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3323170,3.00,1.00,1.00,1.00,2.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3323188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323200,4.00,3.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3323218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323234,2.00,6.00,1.00,0.00,4.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3323242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323250,3.00,5.00,5.00,8.00,6.00,6.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3323269,3.00,3.00,3.00,0.00,1.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3323277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323293,4.00,3.00,2.00,0.00,3.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3323315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323323,4.00,2.00,1.00,8.00,2.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3323331,4.00,6.00,4.00,6.00,5.00,7.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3323340,1.00,5.00,2.00,4.00,4.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3323358,5.00,3.00,5.00,8.00,5.00,4.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3323382,4.00,4.00,2.00,4.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3323390,3.00,5.00,3.00,7.00,6.00,6.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3323412,2.00,5.00,3.00,3.00,5.00,4.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3323420,3.00,2.00,1.00,3.00,3.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3323447,5.00,1.00,4.00,3.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3323455,7.00,6.00,4.00,7.00,5.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3323463,6.00,4.00,5.00,3.00,6.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3323471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323498,4.00,4.00,3.00,2.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3323501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323560,2.00,1.00,4.00,1.00,0.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3323587,7.00,6.00,4.00,8.00,4.00,6.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3323609,5.00,4.00,5.00,8.00,7.00,4.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3323617,7.00,5.00,2.00,8.00,7.00,4.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3323625,2.00,4.00,5.00,6.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3323633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323641,5.00,4.00,3.00,9.00,5.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3323650,3.00,6.00,3.00,5.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3323668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323676,3.00,6.00,3.00,7.00,6.00,8.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3323684,6.00,3.00,5.00,3.00,4.00,6.25,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3323692,3.00,3.00,2.00,3.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3323706,4.00,8.00,3.00,5.00,4.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3323722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323749,1.00,5.00,3.00,6.00,5.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3323757,1.00,5.00,3.00,5.00,4.00,7.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3323773,6.00,6.00,8.00,9.00,6.00,6.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3323781,9.00,7.00,7.00,8.00,6.00,7.25,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3323790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323803,6.00,3.00,6.00,8.00,8.00,4.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3323811,4.00,3.00,4.00,3.00,2.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3323820,4.00,6.00,4.00,7.00,4.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3323838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323854,1.00,1.00,4.00,0.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3323862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323870,7.00,7.00,2.00,7.00,5.00,6.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3323889,2.00,3.00,1.00,4.00,4.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3323897,6.00,6.00,1.00,8.00,4.00,4.75,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3323900,6.00,6.00,7.00,6.00,6.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3323919,7.00,7.00,3.00,7.00,6.00,4.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3323927,1.00,0.00,2.00,6.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3323935,4.00,6.00,4.00,7.00,5.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3323943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3323951,5.00,8.00,4.00,8.00,6.00,5.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3323960,2.00,4.00,4.00,4.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3323978,4.00,5.00,5.00,6.00,5.00,5.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3323986,2.00,5.00,1.00,1.00,6.00,7.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3323994,5.00,1.00,4.00,3.00,6.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3324001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324010,4.00,3.00,1.00,7.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3324028,8.00,8.00,7.00,4.00,7.00,6.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3324036,6.00,5.00,3.00,8.00,6.00,5.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3324044,3.00,2.00,2.00,5.00,6.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3324052,7.00,8.00,6.00,7.00,5.00,4.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3324079,5.00,6.00,4.00,8.00,7.00,7.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3324087,3.00,8.00,4.00,6.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(16,3324095,8.00,7.00,7.00,6.00,6.00,6.50,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3324109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324117,3.00,5.00,1.00,5.00,3.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3324125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324141,3.00,6.00,3.00,7.00,5.00,5.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3324150,2.00,4.00,4.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3324168,3.00,3.00,3.00,7.00,4.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3324192,1.00,5.00,2.00,3.00,0.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3324206,3.00,3.00,4.00,6.00,5.00,4.50,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3324222,8.00,7.00,5.00,4.00,6.00,6.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3324230,2.00,4.00,2.00,6.00,3.00,NULL,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3324257,5.00,2.00,2.00,1.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3324265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324273,3.00,3.00,2.00,9.00,6.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3324281,9.00,5.00,2.00,5.00,3.00,NULL,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3324290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324303,4.00,4.00,6.00,3.00,4.00,4.25,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3324311,3.00,4.00,2.00,5.00,5.00,4.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3324320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324354,6.00,4.00,4.00,6.00,3.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3324362,1.00,4.00,1.00,5.00,5.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'S'),(16,3324370,6.00,4.00,3.00,6.00,5.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3324389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324397,4.00,5.00,3.00,1.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3324400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324419,3.00,3.00,1.00,1.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3324427,5.00,4.00,3.00,5.00,4.00,5.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3324443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324460,0.00,2.00,2.00,2.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3324478,3.00,4.00,3.00,5.00,4.00,7.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3324486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324524,3.00,5.00,4.00,8.00,7.00,4.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3324532,2.00,2.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3324540,5.00,7.00,5.00,9.00,5.00,5.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3324559,1.00,1.00,3.00,8.00,7.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3324567,3.00,1.00,2.00,8.00,6.00,6.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3324575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324583,2.00,3.00,3.00,6.00,4.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3324591,7.00,7.00,5.00,4.00,5.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3324613,6.00,3.00,4.00,7.00,4.00,4.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3324621,2.00,3.00,1.00,3.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3324630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324656,4.00,3.00,3.00,6.00,4.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3324672,2.00,4.00,2.00,5.00,2.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3324680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324699,8.00,6.00,3.00,6.00,5.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3324710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324737,2.00,2.00,3.00,2.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3324745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324770,7.00,5.00,4.00,5.00,7.00,6.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3324788,5.00,4.00,4.00,9.00,5.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3324796,4.00,5.00,2.00,7.00,7.00,5.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3324800,5.00,2.00,1.00,1.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3324818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324826,2.00,6.00,7.00,7.00,5.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3324842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324893,0.00,2.00,3.00,4.00,1.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3324915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3324923,2.00,4.00,2.00,4.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3324931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3324966,5.00,5.00,3.00,8.00,5.00,4.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3324974,4.00,4.00,1.00,3.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'S'),(16,3324982,4.00,5.00,2.00,1.00,2.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3325008,2.00,2.00,3.00,2.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3325016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3325040,6.00,4.00,5.00,8.00,6.00,6.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3325059,6.00,4.00,2.00,8.00,4.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3325067,7.00,7.00,4.00,6.00,5.00,4.50,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3325075,4.00,5.00,1.00,4.00,5.00,5.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3325083,7.00,6.00,3.00,8.00,5.00,4.00,6.00,3.00,6.00,NULL,NULL,NULL,'S'),(16,3325105,2.00,2.00,3.00,5.00,5.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3325113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3325121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3325130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3325148,5.00,5.00,2.00,6.00,5.00,4.75,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3325156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3325164,4.00,1.00,3.00,3.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3325172,5.00,6.00,1.00,5.00,5.00,5.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3325199,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3325202,2.00,4.00,2.00,10.00,5.00,7.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3325210,6.00,5.00,4.00,8.00,5.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3325229,2.00,2.00,2.00,6.00,7.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3325237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3325253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3325261,3.00,4.00,3.00,3.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3325296,6.00,7.00,4.00,8.00,7.00,7.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3325318,5.00,5.00,3.00,6.00,6.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3325326,2.00,2.00,1.00,5.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3325334,1.00,5.00,3.00,1.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3325369,5.00,9.00,3.00,9.00,9.00,5.50,5.00,9.00,1.00,NULL,NULL,NULL,'N'),(16,3325377,3.00,2.00,1.00,6.00,1.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3325385,3.00,3.00,4.00,4.00,6.00,5.00,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3325407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3325415,3.00,4.00,1.00,8.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3325423,4.00,6.00,4.00,8.00,2.00,NULL,3.00,9.00,5.00,NULL,NULL,NULL,'S'),(16,3325431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3325440,2.00,3.00,2.00,7.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3325458,4.00,5.00,3.00,7.00,4.00,7.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3325482,2.00,1.00,2.00,6.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3325490,4.00,2.00,1.00,5.00,5.00,5.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3325504,4.00,4.00,2.00,7.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3325512,4.00,4.00,2.00,6.00,3.00,NULL,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3325520,3.00,4.00,2.00,2.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3325539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3325547,2.00,5.00,2.00,3.00,4.00,5.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3325555,1.00,4.00,1.00,6.00,4.00,6.75,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3325563,3.00,4.00,3.00,2.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3325571,0.00,0.00,0.00,2.00,4.00,NULL,2.00,4.00,3.00,NULL,'S',NULL,'N'),(16,3325580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3325598,2.00,4.00,3.00,9.00,6.00,6.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3325601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3325610,3.00,6.00,2.00,5.00,3.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3325636,2.00,2.00,1.00,3.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3325644,5.00,3.00,6.00,8.00,4.00,5.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3325652,1.00,1.00,1.00,2.00,1.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3325660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3325679,4.00,3.00,5.00,6.00,6.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3325695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3325709,5.00,3.00,2.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3325717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3325725,6.00,7.00,5.00,8.00,7.00,6.00,2.00,7.00,2.00,NULL,NULL,NULL,'S'),(16,3325733,3.00,1.00,1.00,2.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3325741,6.00,4.00,6.00,7.00,6.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3325750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3325768,2.00,4.00,2.00,7.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3325776,3.00,2.00,1.00,1.00,1.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3325784,5.00,7.00,2.00,8.00,4.00,6.25,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(16,3325792,4.00,5.00,1.00,7.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3325806,8.00,6.00,6.00,9.00,7.00,5.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3325814,0.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3325830,2.00,2.00,2.00,0.00,4.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3325849,7.00,6.00,5.00,4.00,4.00,5.50,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3325865,3.00,0.00,2.00,3.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3325873,3.00,0.00,2.00,1.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3325881,4.00,8.00,3.00,9.00,5.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3325911,1.00,5.00,1.00,0.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3325920,3.00,4.00,2.00,3.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3325938,6.00,5.00,5.00,7.00,6.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3325946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3325954,3.00,4.00,3.00,6.00,4.00,5.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3325962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3325989,3.00,1.00,1.00,8.00,5.00,5.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3326004,6.00,5.00,4.00,2.00,4.00,5.75,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(16,3326012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3326020,5.00,5.00,5.00,6.00,6.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3326039,8.00,8.00,6.00,9.00,9.00,8.25,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3326047,4.00,7.00,4.00,2.00,6.00,5.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3326055,5.00,7.00,2.00,5.00,3.00,NULL,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3326063,7.00,5.00,5.00,4.00,5.00,6.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3326071,4.00,6.00,3.00,9.00,5.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3326080,2.00,2.00,2.00,4.00,0.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3326098,3.00,3.00,2.00,5.00,5.00,6.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3326101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3326110,4.00,6.00,2.00,3.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3326128,3.00,4.00,3.00,1.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(16,3326136,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3326152,6.00,1.00,3.00,7.00,4.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3326179,4.00,4.00,1.00,7.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3326187,6.00,7.00,4.00,1.00,6.00,4.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3326195,4.00,7.00,4.00,3.00,4.00,4.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3326217,5.00,4.00,2.00,4.00,6.00,4.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3326225,1.00,3.00,3.00,6.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3326233,2.00,6.00,5.00,6.00,7.00,7.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3326250,8.00,6.00,6.00,8.00,4.00,5.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3326276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3326292,2.00,2.00,6.00,6.00,5.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3326306,3.00,4.00,3.00,3.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3326314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3326322,3.00,3.00,3.00,5.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3326330,3.00,5.00,4.00,8.00,6.00,7.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3326349,4.00,4.00,3.00,2.00,4.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3326365,5.00,6.00,5.00,8.00,6.00,6.25,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3326373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3326390,2.00,2.00,4.00,6.00,4.00,4.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3326403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3326411,5.00,6.00,2.00,7.00,6.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3326420,3.00,4.00,1.00,7.00,4.00,3.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3326438,4.00,6.00,3.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3326446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3326470,3.00,2.00,1.00,4.00,4.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3326489,8.00,9.00,7.00,6.00,5.00,6.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3326497,2.00,1.00,3.00,2.00,2.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3326500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3326519,1.00,6.00,1.00,3.00,3.00,NULL,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3326535,4.00,5.00,3.00,5.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3326551,0.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3326560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3326578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3326586,3.00,3.00,3.00,4.00,5.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3326594,3.00,2.00,3.00,6.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3326608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3326616,6.00,3.00,1.00,3.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3326624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3326632,3.00,3.00,4.00,3.00,4.00,4.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3326640,3.00,5.00,3.00,4.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3326659,5.00,6.00,3.00,4.00,6.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3326667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3326683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3326713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3326721,5.00,6.00,3.00,6.00,7.00,7.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3326730,2.00,4.00,1.00,3.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3326748,3.00,3.00,3.00,7.00,5.00,5.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3326764,4.00,8.00,4.00,8.00,5.00,2.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3326772,6.00,3.00,2.00,3.00,0.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3326780,3.00,5.00,3.00,2.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3326799,5.00,4.00,5.00,6.00,4.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3326802,4.00,3.00,3.00,3.00,5.00,5.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3326810,4.00,6.00,6.00,8.00,5.00,6.50,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3326829,3.00,5.00,3.00,4.00,5.00,6.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3326845,5.00,5.00,8.00,8.00,7.00,5.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3326853,6.00,7.00,5.00,8.00,7.00,4.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3326861,5.00,5.00,4.00,8.00,4.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3326870,2.00,0.00,1.00,0.00,2.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3326888,5.00,5.00,3.00,7.00,5.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3326896,4.00,3.00,2.00,5.00,3.00,NULL,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3326900,5.00,3.00,3.00,1.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3326918,2.00,3.00,3.00,5.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3326926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3326934,1.00,6.00,4.00,3.00,5.00,5.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3326950,4.00,5.00,6.00,9.00,6.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3326969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3326977,4.00,1.00,3.00,5.00,4.00,6.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3326985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3326993,7.00,7.00,6.00,6.00,5.00,5.50,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3327000,2.00,4.00,3.00,7.00,5.00,5.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3327019,3.00,2.00,2.00,4.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3327035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327043,4.00,5.00,4.00,8.00,5.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3327051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327060,5.00,6.00,5.00,4.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3327078,1.00,3.00,4.00,2.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3327086,8.00,6.00,3.00,8.00,5.00,8.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3327094,1.00,4.00,3.00,3.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3327108,5.00,8.00,5.00,8.00,6.00,5.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3327124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327140,6.00,3.00,1.00,6.00,4.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3327167,4.00,5.00,1.00,5.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3327183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327191,4.00,4.00,3.00,6.00,6.00,5.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3327205,5.00,5.00,2.00,3.00,4.00,5.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3327230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327248,6.00,5.00,4.00,3.00,2.00,NULL,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3327256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327264,5.00,6.00,4.00,8.00,6.00,5.50,0.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3327272,3.00,2.00,3.00,0.00,0.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3327280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327299,5.00,5.00,2.00,8.00,4.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3327329,5.00,7.00,4.00,9.00,5.00,5.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3327337,6.00,4.00,5.00,5.00,9.00,7.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3327345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327353,3.00,4.00,1.00,7.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3327361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327400,4.00,2.00,1.00,5.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3327418,3.00,2.00,2.00,6.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3327426,3.00,5.00,3.00,6.00,5.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3327434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327442,1.00,4.00,2.00,6.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3327450,2.00,4.00,2.00,5.00,5.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3327469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327477,3.00,5.00,5.00,5.00,5.00,5.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3327485,5.00,4.00,3.00,9.00,6.00,4.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3327493,6.00,6.00,4.00,6.00,5.00,5.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3327523,1.00,2.00,3.00,2.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3327531,3.00,4.00,4.00,6.00,4.00,5.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3327540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327558,5.00,6.00,2.00,4.00,4.00,5.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3327566,0.00,0.00,0.00,3.00,2.00,NULL,3.00,3.00,4.00,NULL,'S',NULL,'S'),(16,3327574,2.00,0.00,1.00,1.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3327582,6.00,6.00,4.00,7.00,5.00,5.00,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3327590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327620,4.00,2.00,1.00,7.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3327639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327647,4.00,5.00,3.00,8.00,4.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3327655,6.00,2.00,2.00,6.00,2.00,NULL,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3327671,3.00,2.00,1.00,6.00,7.00,6.00,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3327680,1.00,1.00,4.00,1.00,3.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3327698,3.00,6.00,4.00,6.00,6.00,5.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3327701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327710,5.00,4.00,5.00,5.00,7.00,4.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3327736,5.00,5.00,2.00,9.00,5.00,6.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3327760,3.00,2.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3327787,3.00,2.00,4.00,7.00,1.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3327795,4.00,3.00,2.00,1.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3327809,5.00,5.00,2.00,7.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3327817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327833,4.00,4.00,2.00,5.00,7.00,6.50,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3327841,6.00,6.00,5.00,9.00,7.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3327868,6.00,6.00,7.00,8.00,8.00,7.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3327884,5.00,5.00,1.00,5.00,6.00,3.00,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3327906,3.00,0.00,1.00,4.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3327914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327922,1.00,1.00,1.00,0.00,0.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3327949,3.00,0.00,3.00,5.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3327957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3327973,7.00,6.00,6.00,5.00,7.00,6.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3327981,2.00,5.00,4.00,5.00,4.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3327990,0.00,1.00,3.00,5.00,0.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3328015,0.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3328023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3328040,0.00,0.00,0.00,3.00,4.00,NULL,3.00,4.00,4.00,NULL,'S',NULL,'N'),(16,3328058,2.00,1.00,2.00,4.00,4.00,4.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3328066,4.00,6.00,3.00,6.00,6.00,5.25,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3328074,3.00,4.00,1.00,4.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3328090,4.00,6.00,1.00,2.00,4.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3328104,1.00,4.00,2.00,6.00,0.00,NULL,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3328112,4.00,4.00,3.00,6.00,4.00,6.00,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3328139,7.00,8.00,3.00,9.00,5.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3328147,0.00,0.00,0.00,5.00,4.00,NULL,2.00,2.00,2.00,NULL,'S',NULL,'S'),(16,3328163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3328171,2.00,3.00,3.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3328180,0.00,0.00,0.00,5.00,2.00,NULL,3.00,5.00,3.00,NULL,'S',NULL,'S'),(16,3328198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3328201,3.00,3.00,1.00,5.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3328210,1.00,2.00,2.00,2.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3328228,8.00,9.00,5.00,9.00,9.00,8.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3328236,2.00,2.00,1.00,5.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3328244,2.00,2.00,1.00,1.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3328260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3328279,3.00,1.00,2.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3328295,6.00,6.00,4.00,7.00,6.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3328309,6.00,6.00,5.00,6.00,6.00,6.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3328325,5.00,7.00,2.00,8.00,3.00,NULL,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3328333,8.00,6.00,6.00,4.00,7.00,6.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3328341,2.00,2.00,1.00,0.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3328350,5.00,5.00,4.00,7.00,3.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3328368,2.00,3.00,2.00,5.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3328376,3.00,3.00,3.00,2.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3328384,7.00,5.00,7.00,8.00,7.00,5.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3328392,8.00,7.00,5.00,6.00,6.00,6.50,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3328406,2.00,8.00,3.00,9.00,6.00,4.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3328430,3.00,5.00,2.00,1.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3328449,1.00,1.00,2.00,3.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3328457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3328465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3328473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3328481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3328490,3.00,3.00,4.00,6.00,4.00,4.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3328511,6.00,2.00,1.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3328520,5.00,4.00,6.00,8.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3328538,8.00,7.00,9.00,8.00,7.00,8.00,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(16,3328546,3.00,3.00,3.00,2.00,4.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3328554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3328570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3328589,3.00,3.00,4.00,7.00,4.00,6.00,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3328597,0.00,0.00,0.00,7.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3328600,6.00,3.00,7.00,8.00,6.00,5.75,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3328627,3.00,2.00,2.00,5.00,5.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3328643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3328651,7.00,3.00,3.00,9.00,8.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3328660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3328678,3.00,4.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3328686,1.00,6.00,3.00,9.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3328694,5.00,3.00,3.00,5.00,5.00,6.25,1.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3328716,4.00,6.00,3.00,6.00,5.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3328732,2.00,4.00,4.00,6.00,5.00,5.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3328740,4.00,6.00,2.00,9.00,5.00,6.25,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3328759,2.00,3.00,2.00,4.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3328767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3328775,8.00,8.00,7.00,8.00,7.00,6.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3328783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3328791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3328805,5.00,5.00,1.00,8.00,6.00,5.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3328821,1.00,3.00,1.00,8.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3328830,2.00,4.00,3.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3328848,1.00,3.00,2.00,4.00,2.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3328872,2.00,4.00,2.00,6.00,5.00,6.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3328910,3.00,4.00,3.00,3.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3328929,3.00,2.00,3.00,0.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3328937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3328945,3.00,3.00,3.00,4.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3328953,3.00,3.00,4.00,3.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3328961,3.00,5.00,3.00,4.00,5.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3328970,0.00,1.00,1.00,0.00,0.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3328988,3.00,3.00,2.00,2.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3328996,5.00,6.00,2.00,9.00,6.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3329003,3.00,4.00,3.00,0.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3329020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3329046,2.00,4.00,1.00,6.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3329054,3.00,6.00,3.00,0.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3329062,3.00,3.00,4.00,8.00,6.00,4.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3329089,4.00,3.00,2.00,8.00,5.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3329119,0.00,0.00,0.00,8.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3329127,2.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3329143,0.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3329151,2.00,2.00,1.00,4.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3329160,9.00,6.00,9.00,7.00,7.00,6.75,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3329178,3.00,3.00,1.00,5.00,5.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3329186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3329194,3.00,6.00,2.00,6.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3329208,4.00,4.00,3.00,3.00,6.00,5.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3329216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3329224,2.00,5.00,3.00,7.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3329240,4.00,4.00,3.00,5.00,2.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3329259,7.00,6.00,5.00,8.00,5.00,5.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3329267,5.00,5.00,4.00,8.00,5.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3329275,5.00,5.00,3.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3329283,3.00,4.00,1.00,7.00,5.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3329305,3.00,3.00,2.00,7.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3329313,7.00,5.00,4.00,4.00,5.00,5.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3329321,2.00,3.00,1.00,1.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3329348,9.00,7.00,7.00,8.00,6.00,7.00,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3329356,3.00,5.00,4.00,7.00,5.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3329372,4.00,6.00,3.00,4.00,3.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3329380,5.00,5.00,2.00,3.00,5.00,4.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3329399,4.00,7.00,4.00,8.00,6.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3329410,5.00,4.00,4.00,6.00,5.00,6.00,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3329437,2.00,3.00,3.00,7.00,4.00,4.25,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(16,3329445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3329453,5.00,5.00,3.00,8.00,6.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3329461,3.00,4.00,2.00,5.00,5.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3329470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3329488,4.00,2.00,2.00,1.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3329496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3329518,6.00,6.00,4.00,7.00,6.00,3.25,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3329526,6.00,5.00,3.00,7.00,6.00,6.25,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3329534,4.00,5.00,1.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3329542,2.00,4.00,2.00,8.00,5.00,2.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3329569,4.00,1.00,3.00,2.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3329585,5.00,6.00,5.00,8.00,4.00,5.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3329593,1.00,3.00,1.00,3.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3329607,4.00,4.00,1.00,4.00,1.00,NULL,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3329615,4.00,2.00,3.00,0.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3329623,2.00,5.00,1.00,2.00,4.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3329631,7.00,5.00,6.00,6.00,7.00,7.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3329666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3329682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3329690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3329704,2.00,5.00,5.00,4.00,4.00,3.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3329712,1.00,4.00,2.00,2.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3329739,6.00,5.00,5.00,8.00,6.00,5.25,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3329747,7.00,5.00,4.00,6.00,5.00,5.50,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3329755,7.00,5.00,5.00,3.00,5.00,5.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3329763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3329771,4.00,1.00,3.00,1.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3329780,4.00,5.00,2.00,5.00,5.00,6.25,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3329798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3329801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3329810,2.00,0.00,2.00,6.00,3.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3329828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3329844,7.00,7.00,2.00,9.00,8.00,5.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3329852,3.00,4.00,1.00,0.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3329860,9.00,7.00,9.00,9.00,6.00,5.25,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3329879,4.00,2.00,2.00,1.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3329909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3329917,6.00,7.00,4.00,3.00,4.00,6.50,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3329925,3.00,3.00,2.00,6.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3329941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3329950,2.00,3.00,2.00,1.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3329976,3.00,3.00,2.00,0.00,2.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3329984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3330001,2.00,1.00,3.00,2.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3330028,2.00,3.00,1.00,5.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3330052,4.00,4.00,3.00,4.00,4.00,5.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3330060,3.00,5.00,1.00,4.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3330117,8.00,8.00,1.00,6.00,7.00,6.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3330125,3.00,6.00,3.00,1.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3330133,6.00,5.00,2.00,2.00,5.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3330141,3.00,6.00,5.00,7.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3330150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3330168,2.00,2.00,2.00,6.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3330176,5.00,6.00,5.00,5.00,5.00,4.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3330184,3.00,4.00,3.00,2.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3330192,2.00,4.00,2.00,4.00,2.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3330206,3.00,2.00,2.00,3.00,0.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3330222,4.00,4.00,5.00,2.00,4.00,5.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3330230,4.00,4.00,4.00,6.00,4.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3330249,5.00,6.00,2.00,4.00,4.00,5.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3330265,4.00,1.00,4.00,3.00,1.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3330273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3330281,5.00,1.00,1.00,3.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3330290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3330311,4.00,5.00,3.00,7.00,6.00,5.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3330320,0.00,0.00,0.00,6.00,3.00,NULL,2.00,3.00,4.00,NULL,'S',NULL,'N'),(16,3330338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3330346,2.00,3.00,3.00,0.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3330354,6.00,6.00,4.00,5.00,7.00,5.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3330370,5.00,6.00,1.00,8.00,4.00,5.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3330389,4.00,3.00,1.00,1.00,1.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3330397,4.00,5.00,5.00,8.00,5.00,6.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3330400,4.00,4.00,1.00,2.00,6.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3330427,5.00,7.00,7.00,8.00,4.00,4.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3330435,1.00,1.00,1.00,5.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3330460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3330478,3.00,5.00,4.00,4.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3330486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3330494,7.00,6.00,6.00,5.00,8.00,4.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3330508,0.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3330524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3330532,4.00,4.00,5.00,5.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3330540,4.00,0.00,2.00,8.00,7.00,8.50,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3330567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3330591,5.00,6.00,2.00,8.00,6.00,4.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3330605,1.00,2.00,1.00,2.00,1.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3330613,4.00,4.00,2.00,0.00,4.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3330621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3330630,4.00,3.00,2.00,5.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3330648,7.00,8.00,3.00,9.00,6.00,7.50,6.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3330656,1.00,0.00,2.00,0.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3330664,2.00,1.00,2.00,3.00,2.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3330672,6.00,6.00,1.00,8.00,9.00,5.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3330680,0.00,0.00,0.00,5.00,3.00,NULL,4.00,5.00,2.00,NULL,'S',NULL,'S'),(16,3330702,6.00,6.00,5.00,7.00,6.00,5.00,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3330710,6.00,1.00,1.00,6.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3330737,5.00,6.00,6.00,6.00,5.00,5.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3330745,1.00,2.00,2.00,5.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3330761,5.00,1.00,4.00,7.00,2.00,NULL,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3330770,7.00,7.00,6.00,7.00,4.00,7.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3330788,8.00,6.00,6.00,5.00,4.00,5.00,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3330796,7.00,5.00,4.00,7.00,6.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3330800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3330818,6.00,6.00,4.00,7.00,5.00,6.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3330826,5.00,6.00,5.00,6.00,5.00,6.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3330850,7.00,8.00,9.00,9.00,8.00,6.00,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(16,3330869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3330877,5.00,3.00,3.00,6.00,7.00,7.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3330885,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3330893,5.00,3.00,4.00,5.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3330907,3.00,4.00,3.00,2.00,2.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3330915,2.00,4.00,2.00,7.00,4.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3330923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3330931,6.00,6.00,5.00,5.00,4.00,4.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3330966,7.00,5.00,4.00,6.00,5.00,5.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3330974,9.00,7.00,7.00,4.00,4.00,5.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3330982,3.00,4.00,2.00,2.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3331024,3.00,3.00,1.00,3.00,1.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3331032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3331040,4.00,4.00,4.00,9.00,6.00,7.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3331059,3.00,3.00,2.00,0.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3331075,2.00,4.00,2.00,5.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3331083,6.00,6.00,3.00,7.00,7.00,7.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3331113,1.00,2.00,2.00,2.00,4.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3331130,4.00,5.00,6.00,7.00,6.00,6.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3331148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3331156,4.00,8.00,1.00,5.00,6.00,5.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3331164,1.00,1.00,1.00,2.00,3.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3331172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3331180,4.00,2.00,1.00,0.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3331199,1.00,3.00,1.00,3.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3331202,4.00,4.00,4.00,6.00,3.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3331210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3331229,6.00,5.00,4.00,5.00,4.00,5.00,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3331245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3331253,2.00,4.00,1.00,3.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3331288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3331300,4.00,5.00,4.00,8.00,7.00,6.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3331318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3331326,0.00,0.00,0.00,1.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3331334,8.00,3.00,4.00,6.00,6.00,6.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3331342,5.00,5.00,4.00,9.00,4.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3331350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3331369,2.00,4.00,1.00,2.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3331377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3331431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3331440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3331466,5.00,5.00,2.00,4.00,6.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3331482,3.00,6.00,4.00,8.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3331490,4.00,5.00,2.00,3.00,6.00,5.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3331504,3.00,3.00,1.00,4.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3331520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3331547,2.00,4.00,2.00,1.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3331555,1.00,1.00,1.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3331563,5.00,8.00,3.00,5.00,4.00,6.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3331571,3.00,4.00,1.00,6.00,2.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3331580,3.00,7.00,4.00,5.00,4.00,5.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3331598,7.00,7.00,3.00,5.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3331601,3.00,2.00,2.00,6.00,5.00,5.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3331610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3331628,1.00,1.00,2.00,2.00,0.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3331636,0.00,3.00,2.00,6.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3331644,6.00,7.00,2.00,5.00,6.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3331652,4.00,6.00,4.00,6.00,4.00,4.50,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3331660,5.00,4.00,2.00,2.00,4.00,3.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3331687,2.00,4.00,5.00,7.00,5.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3331695,3.00,4.00,4.00,2.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3331709,3.00,0.00,2.00,1.00,6.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3331717,2.00,2.00,3.00,5.00,3.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3331725,0.00,1.00,3.00,4.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3331733,1.00,4.00,1.00,2.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3331741,0.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3331750,7.00,3.00,8.00,8.00,6.00,7.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3331768,4.00,0.00,1.00,4.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3331776,7.00,6.00,4.00,8.00,6.00,6.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3331784,3.00,3.00,3.00,1.00,5.00,6.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3331792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3331806,1.00,1.00,3.00,3.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3331814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3331822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3331849,3.00,5.00,3.00,3.00,6.00,4.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3331857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3331865,2.00,5.00,2.00,5.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3331873,3.00,3.00,2.00,6.00,4.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3331881,2.00,3.00,2.00,4.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3331890,6.00,3.00,2.00,4.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3331911,2.00,4.00,3.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3331920,2.00,3.00,3.00,4.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3331938,7.00,6.00,5.00,6.00,7.00,6.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(16,3331946,1.00,0.00,3.00,4.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3331954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3331970,6.00,4.00,3.00,5.00,2.00,NULL,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(16,3331989,8.00,8.00,8.00,8.00,8.00,7.50,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3331997,0.00,2.00,2.00,6.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3332004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3332012,1.00,4.00,1.00,3.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3332039,0.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3332063,1.00,3.00,3.00,0.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3332080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3332098,6.00,3.00,3.00,8.00,6.00,6.25,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3332101,5.00,4.00,2.00,5.00,4.00,5.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3332110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3332136,3.00,5.00,4.00,2.00,5.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3332144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3332152,6.00,5.00,3.00,8.00,7.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3332160,4.00,7.00,8.00,9.00,5.00,5.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3332187,4.00,5.00,1.00,7.00,7.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3332195,8.00,6.00,7.00,8.00,6.00,7.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3332217,3.00,2.00,4.00,7.00,4.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3332233,2.00,1.00,3.00,3.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3332250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3332268,4.00,4.00,4.00,7.00,4.00,4.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3332276,2.00,3.00,3.00,4.00,1.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3332284,1.00,2.00,2.00,6.00,2.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3332292,3.00,3.00,3.00,2.00,3.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3332314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3332322,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3332330,4.00,6.00,1.00,0.00,0.00,NULL,2.00,4.00,1.00,'S',NULL,NULL,'S'),(16,3332373,4.00,4.00,4.00,8.00,5.00,5.50,1.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3332381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3332403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3332411,1.00,1.00,2.00,5.00,3.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3332420,3.00,7.00,3.00,6.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3332438,6.00,3.00,3.00,7.00,8.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3332454,4.00,3.00,2.00,2.00,1.00,NULL,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3332470,4.00,4.00,2.00,5.00,4.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3332489,2.00,7.00,2.00,5.00,4.00,5.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3332497,3.00,3.00,3.00,0.00,0.00,NULL,3.00,3.00,2.00,'S',NULL,NULL,'N'),(16,3332500,2.00,4.00,3.00,0.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3332535,5.00,4.00,4.00,5.00,5.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3332543,4.00,3.00,2.00,9.00,5.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3332551,9.00,5.00,4.00,7.00,6.00,6.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3332578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3332594,1.00,4.00,1.00,4.00,7.00,6.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3332608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3332624,4.00,7.00,1.00,7.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3332640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3332659,4.00,6.00,3.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','S'),(16,3332675,4.00,5.00,6.00,7.00,5.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3332683,4.00,3.00,4.00,5.00,2.00,NULL,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3332705,3.00,5.00,3.00,5.00,7.00,6.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3332713,0.00,3.00,3.00,5.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3332721,0.00,0.00,0.00,1.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3332730,5.00,1.00,1.00,2.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3332748,0.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(16,3332764,3.00,2.00,2.00,4.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3332772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3332799,5.00,5.00,5.00,3.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3332810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3332837,3.00,5.00,3.00,3.00,2.00,NULL,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3332853,5.00,5.00,3.00,7.00,5.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3332870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3332896,4.00,6.00,3.00,5.00,4.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3332900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3332926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3332934,5.00,1.00,3.00,0.00,3.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3332942,3.00,4.00,1.00,6.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3332950,4.00,4.00,4.00,6.00,4.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3332977,4.00,5.00,2.00,6.00,2.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3332985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3332993,2.00,3.00,3.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(16,3333019,1.00,4.00,4.00,5.00,2.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3333035,3.00,5.00,3.00,5.00,4.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(16,3333043,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3333051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3333060,4.00,3.00,2.00,1.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3333078,3.00,7.00,4.00,4.00,4.00,4.50,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3333086,4.00,5.00,3.00,6.00,5.00,5.25,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3333108,3.00,4.00,3.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3333132,2.00,4.00,2.00,2.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3333159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3333167,4.00,4.00,5.00,3.00,4.00,4.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3333175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3333191,1.00,2.00,1.00,2.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3333205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3333221,0.00,4.00,4.00,6.00,8.00,6.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3333230,8.00,7.00,4.00,6.00,5.00,7.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3333256,6.00,5.00,6.00,8.00,5.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3333264,3.00,3.00,2.00,6.00,4.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3333302,6.00,7.00,8.00,8.00,5.00,5.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3333310,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3333329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3333337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3333345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3333353,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3333370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3333396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3333400,4.00,3.00,1.00,5.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3333426,3.00,3.00,6.00,3.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3333434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3333442,2.00,3.00,3.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3333450,2.00,5.00,3.00,5.00,1.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3333469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3333485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3333493,2.00,2.00,3.00,6.00,4.00,6.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3333507,8.00,4.00,4.00,6.00,5.00,6.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3333515,2.00,3.00,1.00,3.00,1.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3333531,4.00,0.00,1.00,7.00,5.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3333540,0.00,0.00,1.00,0.00,0.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3333558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3333574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3333582,4.00,6.00,7.00,7.00,7.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(16,3333604,3.00,4.00,2.00,2.00,0.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3333639,2.00,4.00,1.00,3.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3333647,4.00,4.00,2.00,7.00,4.00,5.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3333655,1.00,5.00,1.00,0.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3333663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3333671,4.00,6.00,3.00,8.00,5.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3333680,3.00,5.00,3.00,9.00,4.00,3.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3333698,4.00,1.00,1.00,3.00,1.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3333701,2.00,3.00,3.00,0.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3333710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3333728,5.00,4.00,3.00,4.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3333736,3.00,5.00,2.00,4.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3333744,1.00,3.00,4.00,2.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3333752,3.00,1.00,3.00,1.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3333779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3333787,1.00,3.00,2.00,5.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3333817,2.00,2.00,2.00,2.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3333850,3.00,5.00,4.00,9.00,6.00,7.25,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3333876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3333884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3333906,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3333914,5.00,4.00,3.00,7.00,6.00,6.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3333922,4.00,4.00,2.00,0.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3333930,3.00,7.00,3.00,6.00,6.00,4.50,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3333949,3.00,3.00,3.00,7.00,4.00,4.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3333965,1.00,2.00,2.00,2.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3333973,3.00,4.00,3.00,5.00,3.00,NULL,6.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3333990,2.00,5.00,4.00,7.00,4.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3334007,1.00,2.00,1.00,2.00,0.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3334015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334031,2.00,2.00,2.00,2.00,0.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3334040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334058,4.00,4.00,1.00,3.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3334066,4.00,2.00,2.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3334074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334082,4.00,6.00,1.00,9.00,8.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3334090,3.00,4.00,2.00,3.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3334104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334120,3.00,3.00,3.00,0.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3334139,3.00,5.00,1.00,6.00,3.00,NULL,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3334155,5.00,4.00,6.00,8.00,6.00,6.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3334163,3.00,2.00,2.00,2.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3334171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334180,4.00,5.00,1.00,3.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3334201,3.00,3.00,1.00,7.00,4.00,5.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3334210,9.00,6.00,8.00,9.00,5.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3334236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334252,4.00,6.00,4.00,2.00,4.00,4.00,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(16,3334260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334287,6.00,6.00,2.00,8.00,4.00,5.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3334309,3.00,3.00,1.00,5.00,4.00,5.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3334325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334333,6.00,6.00,4.00,6.00,4.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3334341,8.00,8.00,7.00,9.00,8.00,6.50,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3334350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334376,4.00,1.00,1.00,1.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(16,3334384,4.00,3.00,1.00,1.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3334392,5.00,6.00,4.00,7.00,6.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3334406,4.00,4.00,2.00,3.00,5.00,6.75,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3334414,4.00,5.00,2.00,4.00,7.00,6.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3334449,5.00,7.00,4.00,7.00,6.00,7.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3334457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334465,2.00,3.00,3.00,2.00,1.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3334473,4.00,3.00,2.00,4.00,4.00,6.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3334490,4.00,3.00,2.00,5.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3334503,5.00,6.00,3.00,2.00,1.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3334520,6.00,6.00,2.00,3.00,5.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3334538,4.00,4.00,4.00,7.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(16,3334546,3.00,4.00,3.00,2.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3334554,4.00,5.00,3.00,7.00,4.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(16,3334562,2.00,4.00,1.00,4.00,5.00,6.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3334570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334589,5.00,3.00,1.00,4.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3334597,0.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3334600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334627,5.00,2.00,4.00,9.00,7.00,7.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3334635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334643,2.00,5.00,3.00,8.00,6.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3334660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334678,3.00,1.00,4.00,2.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3334686,4.00,3.00,2.00,5.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3334694,3.00,7.00,4.00,4.00,6.00,6.50,4.00,9.00,2.00,NULL,NULL,NULL,'N'),(16,3334716,5.00,5.00,2.00,9.00,7.00,7.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3334740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334759,6.00,4.00,1.00,5.00,4.00,7.25,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(16,3334775,6.00,7.00,3.00,9.00,5.00,6.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3334791,5.00,4.00,2.00,0.00,4.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3334805,3.00,4.00,4.00,2.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3334813,3.00,3.00,3.00,2.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3334848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334856,1.00,4.00,5.00,5.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3334880,6.00,6.00,7.00,9.00,7.00,8.25,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3334899,6.00,5.00,3.00,4.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'S'),(16,3334902,3.00,3.00,2.00,4.00,5.00,4.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3334910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3334937,4.00,5.00,2.00,6.00,5.00,5.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3334945,2.00,5.00,2.00,4.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3334953,4.00,4.00,3.00,4.00,1.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3334961,3.00,2.00,1.00,6.00,6.00,6.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3335011,2.00,3.00,3.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3335020,3.00,5.00,4.00,6.00,5.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3335038,5.00,6.00,1.00,3.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3335046,3.00,3.00,3.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3335054,1.00,1.00,2.00,6.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3335062,2.00,2.00,3.00,2.00,4.00,NULL,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3335070,5.00,2.00,3.00,6.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3335089,1.00,4.00,2.00,3.00,4.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3335100,4.00,8.00,2.00,9.00,4.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3335127,4.00,3.00,3.00,4.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3335135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3335151,2.00,3.00,1.00,2.00,5.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3335160,3.00,4.00,3.00,3.00,4.00,4.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3335178,5.00,6.00,4.00,8.00,8.00,6.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3335186,5.00,5.00,4.00,6.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3335194,3.00,4.00,4.00,2.00,3.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3335216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3335224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3335267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3335275,5.00,3.00,1.00,2.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3335283,3.00,4.00,4.00,5.00,5.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3335291,2.00,3.00,1.00,6.00,5.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(16,3335305,3.00,5.00,2.00,3.00,4.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3335313,2.00,1.00,1.00,1.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3335321,4.00,5.00,1.00,3.00,5.00,6.25,3.00,8.00,0.00,NULL,NULL,NULL,'N'),(16,3335348,2.00,7.00,4.00,2.00,6.00,4.75,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3335356,2.00,2.00,2.00,4.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3335364,8.00,8.00,7.00,7.00,7.00,7.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3335372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3335380,4.00,5.00,5.00,8.00,5.00,5.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3335410,3.00,4.00,4.00,6.00,5.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3335429,7.00,7.00,4.00,7.00,6.00,5.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3335437,6.00,3.00,3.00,3.00,4.00,4.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3335445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3335453,5.00,3.00,5.00,7.00,6.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3335461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3335470,4.00,3.00,1.00,2.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3335500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3335518,6.00,5.00,4.00,8.00,7.00,6.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3335526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3335534,0.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3335550,6.00,5.00,6.00,9.00,5.00,4.75,2.00,7.00,6.00,NULL,NULL,NULL,'S'),(16,3335569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3335585,3.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3335593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3335607,3.00,3.00,2.00,2.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3335623,5.00,4.00,2.00,5.00,5.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3335631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3335658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3335666,4.00,3.00,4.00,6.00,5.00,5.00,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3335674,1.00,2.00,1.00,5.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3335682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3335690,7.00,6.00,5.00,6.00,6.00,5.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3335704,5.00,6.00,3.00,3.00,4.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3335712,4.00,4.00,5.00,5.00,5.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3335720,6.00,6.00,3.00,9.00,6.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3335739,7.00,6.00,3.00,6.00,7.00,6.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3335755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3335771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3335780,6.00,8.00,5.00,9.00,4.00,5.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3335798,5.00,5.00,4.00,8.00,6.00,4.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3335801,5.00,4.00,5.00,0.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3335810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3335836,2.00,5.00,3.00,8.00,7.00,7.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3335860,2.00,7.00,2.00,6.00,6.00,6.00,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3335879,4.00,4.00,4.00,5.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3335887,3.00,4.00,2.00,6.00,5.00,5.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3335895,2.00,3.00,1.00,0.00,1.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3335917,5.00,7.00,2.00,4.00,5.00,6.75,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3335925,5.00,4.00,4.00,7.00,5.00,6.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3335933,2.00,5.00,2.00,8.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3335941,3.00,4.00,1.00,5.00,4.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3335950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3335968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3335984,4.00,5.00,3.00,6.00,5.00,5.00,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3335992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3336000,2.00,5.00,3.00,7.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3336018,1.00,1.00,1.00,2.00,4.00,NULL,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3336026,2.00,2.00,3.00,1.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3336034,4.00,4.00,4.00,4.00,4.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3336050,3.00,5.00,4.00,7.00,4.00,NULL,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3336077,7.00,7.00,1.00,7.00,5.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3336093,1.00,0.00,3.00,2.00,3.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3336123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3336131,2.00,2.00,1.00,2.00,1.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3336140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3336166,3.00,3.00,3.00,7.00,4.00,7.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3336174,4.00,5.00,4.00,3.00,4.00,4.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3336182,5.00,5.00,4.00,8.00,6.00,5.00,4.00,8.00,5.00,NULL,NULL,NULL,'S'),(16,3336190,5.00,6.00,5.00,3.00,4.00,4.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3336212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3336239,1.00,3.00,2.00,5.00,3.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'S'),(16,3336247,1.00,2.00,3.00,1.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3336255,4.00,6.00,3.00,4.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(16,3336271,1.00,3.00,2.00,3.00,3.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3336280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3336301,3.00,5.00,7.00,6.00,4.00,5.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3336310,2.00,4.00,2.00,0.00,0.00,NULL,1.00,3.00,3.00,'S',NULL,NULL,'N'),(16,3336336,1.00,1.00,1.00,2.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3336344,6.00,4.00,3.00,4.00,5.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3336352,2.00,7.00,4.00,4.00,4.00,4.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3336395,2.00,4.00,1.00,2.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3336409,6.00,6.00,5.00,9.00,7.00,5.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3336425,5.00,5.00,4.00,7.00,4.00,6.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3336433,3.00,5.00,3.00,7.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3336441,5.00,6.00,8.00,9.00,7.00,5.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3336468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3336492,6.00,7.00,5.00,8.00,7.00,4.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3336506,2.00,3.00,2.00,4.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3336530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3336557,3.00,5.00,6.00,6.00,6.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3336565,3.00,3.00,5.00,4.00,3.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3336573,2.00,2.00,2.00,7.00,5.00,5.75,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(16,3336603,7.00,2.00,2.00,3.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3336611,0.00,1.00,4.00,3.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3336620,4.00,4.00,1.00,7.00,6.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(16,3336646,5.00,2.00,3.00,3.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3336654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3336662,3.00,4.00,4.00,5.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3336670,1.00,3.00,3.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3336689,2.00,4.00,2.00,8.00,7.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'S'),(16,3336700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3336719,4.00,3.00,3.00,6.00,5.00,3.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3336727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3336735,5.00,5.00,3.00,9.00,6.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'S'),(16,3336743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3336778,5.00,5.00,5.00,7.00,5.00,6.25,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(16,3336786,0.00,0.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3336816,6.00,7.00,6.00,7.00,7.00,4.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3336824,5.00,4.00,1.00,1.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3336840,4.00,8.00,6.00,7.00,4.00,7.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3336859,3.00,2.00,2.00,7.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3336875,7.00,6.00,9.00,9.00,6.00,7.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3336883,6.00,9.00,3.00,7.00,3.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3336891,4.00,4.00,3.00,4.00,4.00,5.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3336913,2.00,2.00,1.00,3.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3336921,6.00,6.00,4.00,3.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3336956,3.00,4.00,2.00,3.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3336964,3.00,1.00,2.00,3.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3336972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(16,3337006,5.00,7.00,8.00,9.00,7.00,6.50,3.00,8.00,5.00,NULL,NULL,NULL,'S'),(16,3337014,3.00,4.00,4.00,5.00,5.00,6.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3337022,2.00,3.00,1.00,3.00,4.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3337057,2.00,3.00,4.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3337090,3.00,3.00,3.00,4.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3337111,4.00,3.00,5.00,3.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'S'),(16,3337120,3.00,5.00,4.00,8.00,6.00,5.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3337138,5.00,5.00,4.00,7.00,7.00,5.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3337146,4.00,4.00,4.00,4.00,6.00,4.75,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3337170,2.00,5.00,2.00,7.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3337189,6.00,4.00,3.00,4.00,6.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3337219,3.00,4.00,3.00,1.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'S'),(16,3337227,3.00,4.00,4.00,1.00,4.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3337235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3337243,1.00,4.00,2.00,5.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3337251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3337316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3337324,2.00,0.00,1.00,0.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3337340,7.00,7.00,4.00,6.00,7.00,5.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3337359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3337375,5.00,4.00,4.00,5.00,6.00,4.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3337405,0.00,2.00,1.00,1.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3337413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3337421,2.00,5.00,2.00,4.00,5.00,4.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3337430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3337448,3.00,6.00,5.00,2.00,4.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3337464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3337480,7.00,5.00,6.00,7.00,7.00,7.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3337499,4.00,6.00,5.00,7.00,5.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3337510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3337529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3337537,4.00,8.00,4.00,1.00,4.00,4.50,2.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3337545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3337553,6.00,3.00,2.00,4.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3337561,3.00,2.00,4.00,7.00,5.00,6.25,1.00,7.00,3.00,NULL,NULL,NULL,'S'),(16,3337570,4.00,5.00,2.00,8.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3337588,5.00,4.00,2.00,4.00,5.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3337596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3337618,9.00,6.00,5.00,8.00,4.00,5.00,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3337626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3337634,4.00,2.00,1.00,3.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(16,3337642,2.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3337650,3.00,3.00,1.00,5.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3337669,6.00,7.00,7.00,7.00,5.00,5.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3337677,3.00,5.00,2.00,2.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3337685,3.00,4.00,4.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3337693,7.00,8.00,7.00,8.00,6.00,5.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3337707,8.00,6.00,2.00,7.00,5.00,4.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3337715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3337731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3337740,2.00,2.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3337766,2.00,5.00,1.00,6.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3337774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3337804,3.00,3.00,6.00,7.00,6.00,5.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3337812,0.00,3.00,1.00,3.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3337820,0.00,0.00,0.00,1.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3337839,0.00,0.00,0.00,3.00,2.00,NULL,1.00,1.00,2.00,NULL,'S',NULL,'N'),(16,3337847,3.00,3.00,2.00,6.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3337863,2.00,3.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3337880,0.00,0.00,0.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3337898,5.00,4.00,5.00,8.00,5.00,5.00,2.00,3.00,0.00,NULL,NULL,NULL,'S'),(16,3337910,4.00,2.00,1.00,5.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3337928,2.00,4.00,3.00,1.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3337936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3337944,3.00,0.00,1.00,3.00,2.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'S'),(16,3337952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3337979,5.00,4.00,4.00,4.00,4.00,4.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3337987,7.00,5.00,4.00,8.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(16,3337995,7.00,7.00,3.00,6.00,5.00,6.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3338002,4.00,7.00,3.00,3.00,4.00,5.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3338029,0.00,0.00,0.00,2.00,5.00,NULL,2.00,2.00,1.00,NULL,'S',NULL,'S'),(16,3338037,4.00,4.00,3.00,4.00,4.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3338045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3338070,4.00,6.00,2.00,2.00,4.00,5.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3338088,2.00,3.00,3.00,2.00,2.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3338096,3.00,2.00,1.00,4.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3338100,7.00,5.00,3.00,8.00,7.00,6.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3338118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3338126,1.00,2.00,1.00,2.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3338134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3338142,3.00,4.00,3.00,4.00,4.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3338185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3338193,3.00,5.00,5.00,3.00,5.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3338215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3338231,2.00,5.00,3.00,5.00,3.00,NULL,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3338240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3338258,4.00,7.00,5.00,8.00,7.00,6.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3338266,2.00,5.00,4.00,5.00,4.00,4.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3338274,5.00,4.00,3.00,3.00,3.00,NULL,5.00,1.00,7.00,NULL,NULL,NULL,'N'),(16,3338282,4.00,5.00,3.00,4.00,4.00,4.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3338290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3338304,8.00,6.00,6.00,9.00,8.00,7.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3338320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3338339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3338363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3338380,6.00,7.00,4.00,7.00,6.00,8.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3338401,5.00,6.00,4.00,7.00,6.00,4.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3338410,5.00,3.00,2.00,3.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3338436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3338452,3.00,4.00,4.00,9.00,5.00,6.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3338479,2.00,2.00,1.00,1.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3338487,4.00,4.00,4.00,7.00,5.00,6.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3338495,5.00,3.00,6.00,7.00,5.00,7.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3338509,3.00,2.00,3.00,8.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(16,3338517,0.00,0.00,0.00,9.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3338525,5.00,5.00,1.00,5.00,7.00,4.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3338533,2.00,2.00,4.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3338550,4.00,3.00,2.00,7.00,4.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3338568,4.00,3.00,1.00,3.00,6.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3338576,3.00,2.00,2.00,9.00,4.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3338592,5.00,4.00,5.00,5.00,6.00,5.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3338606,6.00,1.00,2.00,7.00,4.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3338614,1.00,4.00,4.00,6.00,3.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3338622,6.00,3.00,3.00,8.00,2.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(16,3338630,5.00,6.00,2.00,3.00,6.00,6.75,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3338657,1.00,3.00,2.00,3.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3338690,5.00,7.00,2.00,9.00,7.00,6.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3338720,4.00,4.00,3.00,9.00,6.00,7.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3338738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3338746,4.00,5.00,1.00,6.00,5.00,4.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3338770,6.00,8.00,5.00,9.00,8.00,7.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3338789,5.00,7.00,3.00,6.00,7.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3338800,3.00,5.00,3.00,1.00,3.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3338819,1.00,3.00,2.00,3.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3338827,1.00,5.00,1.00,0.00,1.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3338843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3338851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3338860,6.00,6.00,5.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3338878,4.00,4.00,2.00,2.00,4.00,3.00,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3338894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3338908,8.00,9.00,8.00,9.00,7.00,7.25,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3338916,0.00,1.00,4.00,4.00,2.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3338924,3.00,3.00,3.00,0.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3338940,5.00,1.00,2.00,4.00,4.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3338959,3.00,5.00,2.00,6.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3338967,8.00,8.00,5.00,9.00,8.00,7.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3338975,3.00,8.00,6.00,7.00,6.00,7.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3338991,3.00,2.00,1.00,2.00,4.00,5.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3339009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3339025,1.00,3.00,3.00,6.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3339033,4.00,3.00,2.00,2.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3339041,5.00,3.00,6.00,5.00,2.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3339050,2.00,1.00,3.00,4.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3339068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3339084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3339092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3339106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3339122,5.00,6.00,4.00,5.00,6.00,0.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3339130,4.00,5.00,1.00,6.00,5.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3339149,0.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3339157,5.00,5.00,2.00,7.00,6.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3339165,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3339190,2.00,2.00,5.00,1.00,6.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3339203,3.00,4.00,2.00,1.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3339211,3.00,3.00,2.00,5.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3339220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3339238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3339246,6.00,7.00,3.00,7.00,4.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3339262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3339270,2.00,4.00,2.00,5.00,4.00,6.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3339289,5.00,5.00,1.00,3.00,6.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3339297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3339319,4.00,5.00,6.00,9.00,6.00,4.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3339327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3339335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3339386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3339394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3339408,7.00,7.00,5.00,8.00,7.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3339416,1.00,3.00,2.00,3.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3339424,2.00,6.00,2.00,5.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3339432,4.00,7.00,3.00,3.00,4.00,6.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3339467,2.00,3.00,2.00,1.00,5.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3339475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3339483,3.00,2.00,8.00,8.00,5.00,4.25,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3800008,4.00,1.00,3.00,5.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3800016,4.00,5.00,3.00,5.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3800024,2.00,1.00,1.00,0.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3800032,5.00,3.00,1.00,2.00,2.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3800040,3.00,3.00,2.00,7.00,5.00,5.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3800067,4.00,1.00,5.00,5.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3800075,2.00,5.00,2.00,4.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3800083,3.00,5.00,1.00,6.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3800091,4.00,3.00,1.00,1.00,3.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3800105,5.00,2.00,1.00,0.00,1.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3800113,2.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3800121,4.00,5.00,2.00,5.00,6.00,4.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3800130,6.00,7.00,4.00,8.00,5.00,5.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3800156,5.00,4.00,4.00,8.00,5.00,6.25,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3800164,3.00,6.00,1.00,3.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3800172,6.00,7.00,4.00,7.00,6.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3800180,7.00,5.00,4.00,8.00,8.00,4.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3800202,3.00,6.00,2.00,2.00,6.00,4.00,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3800229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3800237,2.00,4.00,3.00,0.00,0.00,NULL,2.00,4.00,2.00,'S',NULL,NULL,'N'),(16,3800245,3.00,4.00,2.00,1.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3800270,6.00,7.00,5.00,7.00,7.00,5.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3800288,5.00,1.00,1.00,4.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3800296,2.00,1.00,2.00,2.00,5.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3800300,4.00,3.00,3.00,2.00,4.00,4.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3800318,4.00,2.00,3.00,3.00,1.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3800326,3.00,2.00,3.00,5.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3800342,1.00,3.00,2.00,1.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3800350,3.00,2.00,1.00,6.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3800377,5.00,4.00,4.00,6.00,5.00,4.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3800407,7.00,5.00,5.00,6.00,5.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3800415,5.00,6.00,6.00,6.00,6.00,5.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3800423,3.00,2.00,1.00,2.00,0.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3800431,4.00,4.00,3.00,3.00,4.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3800440,5.00,3.00,4.00,0.00,5.00,7.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3800458,2.00,3.00,3.00,3.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3800466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3800474,2.00,1.00,1.00,2.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3800482,2.00,2.00,2.00,2.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3800490,2.00,1.00,1.00,3.00,0.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3800504,4.00,5.00,5.00,0.00,3.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3800512,5.00,3.00,2.00,4.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3800520,2.00,7.00,3.00,7.00,6.00,5.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3800539,2.00,4.00,3.00,3.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3800547,3.00,4.00,3.00,3.00,4.00,7.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3800555,5.00,6.00,1.00,0.00,5.00,NULL,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3800563,1.00,2.00,2.00,2.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3800580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3800598,6.00,5.00,2.00,7.00,6.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3800601,3.00,3.00,3.00,2.00,5.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3800610,2.00,2.00,3.00,1.00,5.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3800628,6.00,2.00,2.00,1.00,5.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3800636,5.00,3.00,4.00,7.00,5.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3800644,4.00,5.00,4.00,1.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3800652,4.00,3.00,3.00,2.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3800660,3.00,4.00,2.00,6.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3800679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3800687,4.00,5.00,4.00,4.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3800695,6.00,5.00,2.00,2.00,5.00,4.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3800709,5.00,4.00,1.00,4.00,6.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3800717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3800725,3.00,4.00,3.00,8.00,6.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3800733,3.00,2.00,4.00,5.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3800741,4.00,3.00,2.00,6.00,5.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3800750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3800776,4.00,6.00,5.00,8.00,3.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3800784,3.00,6.00,3.00,3.00,5.00,4.50,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3800792,4.00,3.00,5.00,1.00,1.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3800806,1.00,5.00,2.00,5.00,1.00,NULL,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3800814,4.00,5.00,2.00,5.00,4.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3800822,1.00,4.00,1.00,5.00,1.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3800830,1.00,4.00,1.00,6.00,2.00,NULL,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3800849,0.00,4.00,2.00,5.00,7.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3800857,2.00,3.00,3.00,3.00,1.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3800865,5.00,2.00,2.00,6.00,4.00,5.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3800873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3800881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3800890,5.00,4.00,2.00,2.00,5.00,5.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3800903,2.00,3.00,1.00,6.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3800911,3.00,4.00,1.00,2.00,6.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3800920,4.00,2.00,2.00,5.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3800938,2.00,4.00,1.00,6.00,4.00,6.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3800946,7.00,4.00,4.00,0.00,4.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3800954,2.00,3.00,1.00,3.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3800962,3.00,2.00,3.00,4.00,4.00,6.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3800970,2.00,5.00,3.00,7.00,7.00,4.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3800989,0.00,3.00,1.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3801012,2.00,3.00,3.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3801020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3801039,3.00,1.00,1.00,5.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3801047,2.00,3.00,2.00,5.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3801055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3801063,2.00,3.00,2.00,2.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3801071,3.00,2.00,4.00,4.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3801080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3801098,4.00,6.00,3.00,3.00,3.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3801101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3801110,2.00,1.00,2.00,5.00,1.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3801128,4.00,2.00,1.00,5.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3801144,3.00,2.00,4.00,3.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3801152,5.00,4.00,2.00,7.00,6.00,4.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3801160,3.00,3.00,3.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3801179,3.00,4.00,1.00,5.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3801187,2.00,3.00,4.00,7.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3801209,6.00,8.00,3.00,6.00,6.00,5.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3801217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3801225,2.00,2.00,2.00,1.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3801233,2.00,1.00,3.00,0.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3801241,3.00,4.00,2.00,3.00,4.00,4.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3801250,1.00,3.00,1.00,3.00,4.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3801268,4.00,6.00,3.00,5.00,4.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3801276,4.00,4.00,1.00,0.00,1.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3801292,3.00,3.00,5.00,5.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3801306,4.00,6.00,4.00,7.00,4.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3801314,2.00,3.00,3.00,1.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3801322,2.00,3.00,3.00,4.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3801330,1.00,1.00,4.00,4.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3801349,3.00,4.00,3.00,6.00,4.00,7.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3801365,3.00,3.00,4.00,5.00,1.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3801373,2.00,4.00,3.00,6.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3801381,2.00,5.00,4.00,2.00,4.00,6.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3801390,7.00,7.00,3.00,5.00,6.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3801403,3.00,5.00,5.00,4.00,5.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3801411,5.00,5.00,1.00,1.00,5.00,4.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3801420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3801438,3.00,4.00,2.00,5.00,7.00,7.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3801446,4.00,5.00,2.00,3.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3801470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3801497,4.00,3.00,1.00,5.00,4.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3801500,3.00,2.00,2.00,2.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3801519,4.00,8.00,5.00,6.00,5.00,4.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3801527,3.00,4.00,4.00,7.00,6.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3801535,5.00,4.00,3.00,6.00,5.00,6.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3801543,1.00,2.00,2.00,3.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3801560,5.00,4.00,2.00,5.00,5.00,5.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3801578,3.00,3.00,1.00,5.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3801586,5.00,6.00,4.00,3.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3801594,5.00,2.00,3.00,4.00,6.00,6.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3801616,2.00,5.00,2.00,4.00,7.00,5.00,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3801624,1.00,3.00,1.00,7.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3801632,2.00,3.00,4.00,0.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3801659,3.00,4.00,3.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3801691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3801705,6.00,5.00,4.00,8.00,4.00,5.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3801713,3.00,2.00,4.00,0.00,0.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3801721,5.00,4.00,3.00,6.00,6.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3801730,6.00,3.00,5.00,6.00,7.00,6.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3801756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3801764,4.00,3.00,4.00,5.00,5.00,4.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3801772,7.00,5.00,4.00,5.00,7.00,6.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3801780,8.00,9.00,5.00,7.00,5.00,5.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3801799,5.00,6.00,2.00,2.00,5.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3801802,3.00,2.00,2.00,6.00,5.00,5.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3801810,3.00,2.00,2.00,2.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3801829,3.00,1.00,1.00,3.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3801837,4.00,3.00,4.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3801845,3.00,0.00,1.00,0.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3801853,3.00,7.00,3.00,6.00,7.00,5.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3801861,5.00,6.00,1.00,7.00,6.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3801870,4.00,5.00,3.00,4.00,5.00,4.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3801888,4.00,3.00,3.00,5.00,4.00,3.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3801896,3.00,4.00,1.00,3.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3801900,5.00,4.00,3.00,4.00,6.00,5.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3801926,4.00,1.00,3.00,4.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3801934,2.00,3.00,2.00,5.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3801942,4.00,7.00,6.00,8.00,5.00,6.75,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3801950,3.00,5.00,2.00,3.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3801969,4.00,1.00,2.00,5.00,5.00,4.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3801977,4.00,6.00,2.00,2.00,8.00,5.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3801985,5.00,4.00,3.00,3.00,3.00,NULL,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3801993,1.00,0.00,1.00,0.00,2.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3802000,3.00,0.00,4.00,5.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3802019,3.00,4.00,2.00,2.00,6.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3802027,3.00,5.00,4.00,6.00,5.00,5.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3802035,5.00,4.00,3.00,1.00,0.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3802051,7.00,7.00,5.00,5.00,6.00,4.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3802060,2.00,4.00,3.00,6.00,6.00,5.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3802078,4.00,4.00,3.00,3.00,4.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3802086,3.00,3.00,2.00,2.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3802094,4.00,7.00,3.00,8.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3802108,2.00,3.00,3.00,7.00,6.00,5.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3802116,5.00,6.00,2.00,6.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3802124,3.00,4.00,4.00,6.00,5.00,4.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3802132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3802140,0.00,4.00,2.00,1.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3802159,3.00,6.00,2.00,7.00,7.00,5.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3802167,2.00,1.00,1.00,5.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3802175,4.00,3.00,2.00,5.00,2.00,NULL,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3802183,3.00,4.00,3.00,4.00,4.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3802205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3802213,3.00,3.00,2.00,1.00,5.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3802221,5.00,6.00,4.00,7.00,3.00,NULL,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(16,3802230,5.00,3.00,4.00,1.00,4.00,4.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3802248,1.00,3.00,2.00,6.00,5.00,4.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3802256,1.00,5.00,4.00,6.00,6.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3802264,4.00,4.00,4.00,6.00,5.00,5.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3802272,4.00,3.00,5.00,2.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3802280,5.00,6.00,2.00,1.00,4.00,4.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3802299,3.00,5.00,5.00,7.00,6.00,5.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3802302,5.00,1.00,2.00,5.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3802310,3.00,3.00,3.00,5.00,1.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3802329,2.00,6.00,2.00,5.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3802337,5.00,6.00,4.00,7.00,2.00,NULL,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3802345,4.00,4.00,3.00,4.00,5.00,5.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3802353,4.00,4.00,1.00,6.00,5.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3802361,0.00,0.00,3.00,3.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3802370,1.00,3.00,1.00,3.00,5.00,4.75,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3802388,3.00,5.00,4.00,3.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3802396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3802400,5.00,8.00,4.00,6.00,6.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3802426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3802434,2.00,2.00,2.00,4.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3802450,4.00,3.00,3.00,1.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3802469,1.00,4.00,3.00,4.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3802477,8.00,5.00,5.00,6.00,8.00,5.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3802485,3.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3802493,4.00,5.00,2.00,7.00,4.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3802507,3.00,4.00,2.00,6.00,5.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3802531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3802540,2.00,5.00,3.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3802566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3802574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3802582,4.00,6.00,4.00,4.00,5.00,4.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3802590,4.00,5.00,1.00,5.00,4.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3802604,7.00,8.00,2.00,7.00,7.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3802612,3.00,0.00,2.00,3.00,4.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3802620,3.00,3.00,2.00,7.00,6.00,4.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3802639,4.00,3.00,1.00,3.00,6.00,4.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3802647,3.00,3.00,4.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3802655,1.00,1.00,2.00,3.00,0.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3802663,3.00,4.00,4.00,1.00,0.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3802671,2.00,2.00,1.00,3.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3802680,5.00,4.00,4.00,5.00,5.00,6.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3802698,2.00,2.00,1.00,3.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3802701,6.00,5.00,4.00,7.00,4.00,5.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3802728,7.00,8.00,2.00,8.00,5.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3802736,3.00,4.00,1.00,1.00,5.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3802744,5.00,8.00,4.00,7.00,8.00,5.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3802752,5.00,7.00,4.00,6.00,6.00,4.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3802760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3802779,4.00,1.00,1.00,3.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3802787,5.00,7.00,4.00,4.00,7.00,4.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3802809,2.00,1.00,1.00,2.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3802817,6.00,6.00,4.00,2.00,6.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3802825,8.00,4.00,2.00,3.00,6.00,4.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3802841,2.00,2.00,2.00,4.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3802850,4.00,7.00,3.00,7.00,6.00,6.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3802876,1.00,4.00,1.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3802884,1.00,1.00,1.00,3.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3802906,5.00,4.00,1.00,7.00,5.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3802914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3802922,3.00,1.00,2.00,2.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3802930,4.00,6.00,2.00,3.00,6.00,6.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3802949,2.00,4.00,3.00,3.00,4.00,4.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3802957,3.00,5.00,4.00,6.00,9.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3802965,2.00,5.00,3.00,5.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3802973,3.00,4.00,2.00,1.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3802981,3.00,1.00,2.00,1.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3802990,2.00,4.00,1.00,1.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3803007,0.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3803015,6.00,8.00,6.00,9.00,7.00,7.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3803023,4.00,4.00,4.00,6.00,7.00,5.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3803031,3.00,0.00,3.00,2.00,1.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3803040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3803058,6.00,7.00,2.00,4.00,7.00,5.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3803074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3803082,5.00,6.00,4.00,5.00,7.00,5.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3803104,1.00,3.00,1.00,1.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3803112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3803147,3.00,2.00,2.00,3.00,3.00,NULL,0.00,0.00,5.00,NULL,NULL,NULL,'N'),(16,3803155,3.00,5.00,2.00,2.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3803163,7.00,4.00,5.00,8.00,5.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3803171,5.00,7.00,5.00,8.00,6.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3803180,3.00,4.00,4.00,5.00,4.00,3.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3803198,6.00,5.00,4.00,7.00,3.00,NULL,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3803201,4.00,4.00,3.00,2.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3803210,4.00,7.00,4.00,4.00,9.00,5.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3803228,4.00,3.00,1.00,4.00,3.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3803236,2.00,3.00,4.00,1.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3803244,3.00,3.00,3.00,2.00,7.00,6.00,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3803252,1.00,4.00,2.00,0.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3803260,3.00,4.00,2.00,8.00,4.00,7.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3803287,3.00,2.00,3.00,5.00,0.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3803295,5.00,4.00,3.00,8.00,5.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3803309,2.00,4.00,2.00,4.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3803317,5.00,4.00,3.00,6.00,5.00,5.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3803325,3.00,5.00,4.00,9.00,5.00,5.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3803333,4.00,7.00,3.00,7.00,5.00,6.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3803341,3.00,7.00,4.00,6.00,6.00,4.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3803350,6.00,7.00,4.00,6.00,5.00,4.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3803368,5.00,8.00,4.00,8.00,5.00,6.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3803376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3803384,1.00,2.00,2.00,7.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3803406,3.00,3.00,1.00,4.00,0.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3803414,3.00,1.00,3.00,4.00,5.00,4.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3803422,3.00,1.00,4.00,5.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3803449,5.00,3.00,2.00,7.00,4.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3803457,3.00,2.00,2.00,1.00,3.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3803465,5.00,5.00,4.00,8.00,8.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3803473,1.00,2.00,1.00,6.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3803481,0.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3803490,2.00,2.00,1.00,3.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3803520,4.00,1.00,1.00,1.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3803538,1.00,2.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3803546,5.00,6.00,4.00,7.00,5.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3803554,3.00,5.00,2.00,5.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3803562,2.00,2.00,2.00,8.00,6.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3803570,4.00,6.00,3.00,7.00,7.00,4.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3803589,2.00,6.00,1.00,8.00,4.00,4.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3803597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3803600,3.00,2.00,2.00,3.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3803619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3803627,4.00,4.00,2.00,3.00,6.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3803635,5.00,4.00,2.00,4.00,7.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3803643,3.00,3.00,4.00,5.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3803660,5.00,6.00,4.00,4.00,4.00,4.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3803678,3.00,3.00,1.00,7.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3803686,2.00,2.00,1.00,3.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3803716,4.00,4.00,2.00,5.00,4.00,5.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3803732,6.00,4.00,4.00,5.00,5.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3803740,3.00,0.00,4.00,3.00,0.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3803759,6.00,6.00,6.00,7.00,7.00,5.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3803767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3803775,4.00,3.00,3.00,5.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3803783,7.00,9.00,7.00,7.00,7.00,5.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3803791,5.00,6.00,4.00,4.00,6.00,5.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3803805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3803813,6.00,7.00,4.00,8.00,8.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3803821,2.00,4.00,2.00,3.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3803830,4.00,3.00,2.00,7.00,4.00,4.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3803848,6.00,7.00,3.00,3.00,6.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3803856,5.00,3.00,2.00,0.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3803864,0.00,2.00,1.00,1.00,2.00,NULL,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3803872,5.00,4.00,2.00,7.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3803880,3.00,7.00,4.00,6.00,6.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3803899,4.00,6.00,3.00,7.00,5.00,6.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3803910,6.00,5.00,4.00,1.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3803929,3.00,4.00,4.00,4.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3803937,2.00,1.00,1.00,1.00,1.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3803945,5.00,4.00,4.00,6.00,4.00,4.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3803953,5.00,7.00,2.00,5.00,4.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3803961,8.00,4.00,3.00,6.00,7.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3803988,1.00,4.00,1.00,5.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3803996,3.00,2.00,2.00,2.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3804003,4.00,5.00,1.00,2.00,3.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3804011,4.00,3.00,1.00,7.00,3.00,NULL,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3804020,4.00,3.00,3.00,5.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3804038,4.00,0.00,3.00,4.00,0.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3804046,4.00,1.00,1.00,2.00,1.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3804054,4.00,5.00,2.00,5.00,6.00,5.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3804062,3.00,3.00,1.00,1.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3804070,3.00,4.00,1.00,3.00,3.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3804097,3.00,2.00,2.00,5.00,5.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3804100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3804119,2.00,3.00,1.00,3.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3804127,4.00,4.00,2.00,3.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3804143,4.00,4.00,2.00,4.00,4.00,4.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3804151,3.00,5.00,2.00,7.00,7.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3804160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3804178,4.00,6.00,2.00,5.00,4.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3804186,2.00,3.00,3.00,4.00,1.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3804194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3804208,2.00,3.00,1.00,5.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3804216,3.00,3.00,2.00,6.00,3.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3804232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3804240,4.00,5.00,2.00,7.00,4.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3804259,5.00,7.00,9.00,8.00,9.00,5.75,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3804267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3804275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3804283,3.00,6.00,5.00,4.00,3.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3804291,6.00,5.00,3.00,3.00,6.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3804305,1.00,3.00,2.00,5.00,4.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3804313,5.00,2.00,3.00,6.00,4.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3804321,4.00,5.00,1.00,8.00,5.00,6.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3804330,3.00,4.00,5.00,4.00,6.00,6.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3804348,1.00,2.00,2.00,4.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3804364,3.00,5.00,3.00,6.00,5.00,5.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3804372,3.00,3.00,3.00,4.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3804380,7.00,7.00,3.00,5.00,5.00,6.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3804399,1.00,3.00,2.00,3.00,1.00,NULL,4.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3804410,2.00,2.00,3.00,2.00,1.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3804429,2.00,0.00,3.00,6.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3804437,4.00,5.00,3.00,5.00,7.00,6.25,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3804445,4.00,2.00,3.00,5.00,4.00,4.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3804453,4.00,4.00,4.00,4.00,6.00,7.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3804461,3.00,7.00,3.00,3.00,5.00,7.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3804470,5.00,3.00,1.00,6.00,4.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3804488,1.00,1.00,1.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3804496,6.00,6.00,4.00,7.00,6.00,5.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3804500,3.00,4.00,3.00,5.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3804518,3.00,1.00,1.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3804526,3.00,3.00,2.00,3.00,5.00,3.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3804534,1.00,1.00,3.00,5.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3804542,3.00,3.00,1.00,7.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3804550,4.00,6.00,2.00,7.00,6.00,6.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3804569,1.00,0.00,1.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3804577,5.00,3.00,1.00,6.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3804593,4.00,7.00,3.00,3.00,6.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3804607,1.00,5.00,3.00,3.00,2.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(16,3804615,3.00,3.00,4.00,4.00,4.00,3.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3804623,6.00,8.00,4.00,7.00,6.00,5.75,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3804631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3804640,2.00,4.00,4.00,8.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3804658,5.00,2.00,3.00,5.00,4.00,6.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3804666,3.00,3.00,2.00,6.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3804674,3.00,1.00,1.00,5.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3804682,6.00,5.00,4.00,5.00,6.00,6.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3804690,3.00,3.00,4.00,7.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3804704,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3804712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3804720,1.00,3.00,3.00,3.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3804739,2.00,3.00,3.00,1.00,2.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3804747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3804755,2.00,3.00,5.00,8.00,5.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3804763,3.00,5.00,2.00,0.00,8.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3804771,0.00,2.00,2.00,0.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3804780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3804798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3804801,4.00,3.00,2.00,6.00,5.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3804810,5.00,6.00,3.00,3.00,5.00,4.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3804828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3804836,4.00,6.00,6.00,6.00,6.00,6.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3804844,3.00,0.00,5.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3804852,2.00,1.00,5.00,3.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3804860,6.00,4.00,1.00,8.00,5.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3804879,5.00,4.00,1.00,6.00,7.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3804887,5.00,8.00,6.00,6.00,7.00,6.50,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3804895,2.00,4.00,1.00,6.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3804917,6.00,5.00,4.00,8.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3804925,4.00,4.00,2.00,3.00,6.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3804933,7.00,4.00,4.00,2.00,5.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3804941,4.00,5.00,1.00,6.00,6.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3804950,5.00,4.00,3.00,7.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3804968,2.00,6.00,3.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3804976,2.00,0.00,2.00,4.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3804984,2.00,6.00,3.00,5.00,5.00,6.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3804992,4.00,5.00,2.00,5.00,0.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3805000,3.00,5.00,2.00,7.00,5.00,6.50,4.00,7.00,0.00,NULL,NULL,NULL,'N'),(16,3805018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3805026,3.00,5.00,2.00,6.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3805034,5.00,3.00,5.00,5.00,4.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3805042,3.00,3.00,4.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3805050,1.00,1.00,4.00,4.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3805069,3.00,6.00,5.00,4.00,4.00,4.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3805077,5.00,6.00,3.00,6.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3805085,6.00,5.00,3.00,5.00,5.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3805093,2.00,1.00,1.00,5.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3805107,5.00,1.00,1.00,6.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3805115,2.00,3.00,3.00,2.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3805123,3.00,6.00,4.00,7.00,5.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3805131,3.00,0.00,1.00,4.00,3.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3805158,4.00,6.00,6.00,7.00,8.00,5.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3805166,7.00,4.00,4.00,2.00,4.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3805174,4.00,5.00,2.00,2.00,6.00,5.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3805182,2.00,3.00,2.00,4.00,5.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3805190,2.00,4.00,3.00,2.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3805212,4.00,2.00,2.00,3.00,0.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3805220,4.00,5.00,3.00,7.00,6.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3805239,5.00,3.00,2.00,6.00,7.00,5.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3805247,2.00,3.00,1.00,7.00,7.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3805255,2.00,1.00,1.00,1.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3805263,2.00,3.00,2.00,6.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3805271,4.00,3.00,1.00,1.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3805280,1.00,3.00,2.00,5.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3805298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3805301,5.00,6.00,7.00,6.00,5.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3805336,5.00,5.00,4.00,5.00,3.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3805344,3.00,2.00,1.00,6.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3805352,1.00,3.00,2.00,3.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3805360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3805379,2.00,3.00,3.00,7.00,5.00,4.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3805387,3.00,3.00,3.00,6.00,5.00,6.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3805409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3805425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3805433,5.00,7.00,1.00,6.00,4.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3805441,2.00,7.00,2.00,3.00,2.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3805450,4.00,5.00,6.00,3.00,4.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3805468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3805476,8.00,6.00,1.00,8.00,6.00,6.75,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3805484,4.00,2.00,2.00,4.00,3.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3805492,3.00,5.00,4.00,6.00,4.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3805506,2.00,2.00,3.00,4.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3805522,2.00,2.00,2.00,7.00,4.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3805549,5.00,6.00,6.00,3.00,6.00,6.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3805557,2.00,1.00,2.00,0.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3805573,2.00,2.00,2.00,7.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3805581,3.00,5.00,2.00,5.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3805590,3.00,2.00,2.00,6.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3805603,6.00,4.00,2.00,6.00,5.00,5.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3805620,0.00,2.00,2.00,3.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3805638,3.00,4.00,3.00,4.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3805646,2.00,3.00,4.00,3.00,5.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3805654,2.00,4.00,3.00,0.00,5.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3805662,7.00,7.00,3.00,1.00,4.00,5.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3805670,2.00,2.00,3.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3805697,3.00,6.00,3.00,2.00,6.00,5.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3805700,3.00,3.00,1.00,5.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3805719,6.00,7.00,4.00,7.00,5.00,5.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3805727,5.00,4.00,4.00,7.00,8.00,5.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3805735,3.00,5.00,1.00,5.00,5.00,6.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3805743,3.00,3.00,3.00,2.00,4.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3805751,4.00,1.00,3.00,6.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3805760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3805778,2.00,2.00,1.00,5.00,5.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3805794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3805808,4.00,2.00,3.00,4.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3805816,4.00,7.00,2.00,3.00,5.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3805824,5.00,1.00,3.00,5.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3805832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3805840,5.00,6.00,4.00,9.00,7.00,4.50,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3805859,4.00,4.00,3.00,2.00,4.00,5.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3805875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3805883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3805891,3.00,2.00,1.00,4.00,6.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3805905,5.00,7.00,2.00,3.00,4.00,4.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3805913,3.00,1.00,3.00,4.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3805921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3805930,0.00,0.00,2.00,3.00,0.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3805948,5.00,6.00,4.00,7.00,4.00,6.25,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3805956,7.00,5.00,3.00,0.00,7.00,6.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3805964,2.00,1.00,3.00,5.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3805972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3805980,8.00,8.00,2.00,8.00,8.00,7.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3806006,3.00,3.00,3.00,6.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3806014,1.00,4.00,2.00,4.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3806022,6.00,4.00,2.00,4.00,4.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3806030,2.00,3.00,1.00,5.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3806057,5.00,6.00,2.00,4.00,5.00,4.25,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3806065,4.00,9.00,4.00,9.00,6.00,8.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3806073,5.00,1.00,1.00,6.00,6.00,4.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3806081,1.00,3.00,4.00,3.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3806090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3806103,3.00,3.00,1.00,3.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3806111,2.00,3.00,3.00,2.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3806120,3.00,4.00,4.00,1.00,0.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3806138,3.00,6.00,1.00,6.00,6.00,5.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3806146,1.00,4.00,4.00,4.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3806154,6.00,6.00,4.00,5.00,6.00,6.75,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3806162,4.00,4.00,2.00,5.00,4.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3806170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3806189,3.00,4.00,1.00,4.00,5.00,5.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3806197,5.00,1.00,1.00,3.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3806200,2.00,5.00,3.00,7.00,2.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3806219,2.00,2.00,3.00,3.00,4.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3806227,2.00,4.00,2.00,4.00,6.00,4.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3806243,1.00,2.00,3.00,0.00,5.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3806251,5.00,7.00,1.00,6.00,5.00,6.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3806260,4.00,5.00,4.00,1.00,6.00,6.50,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3806278,3.00,7.00,6.00,7.00,4.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3806286,4.00,0.00,2.00,3.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3806294,3.00,4.00,4.00,6.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3806308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3806316,2.00,4.00,5.00,5.00,4.00,5.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3806324,4.00,5.00,1.00,9.00,6.00,7.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3806359,0.00,3.00,3.00,0.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3806367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3806375,7.00,4.00,2.00,4.00,5.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3806383,5.00,3.00,1.00,2.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3806391,4.00,5.00,4.00,7.00,6.00,4.50,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3806405,0.00,4.00,3.00,3.00,1.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3806413,3.00,4.00,3.00,7.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3806421,3.00,2.00,3.00,3.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3806430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3806448,3.00,4.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3806456,2.00,4.00,2.00,4.00,4.00,4.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3806464,3.00,3.00,2.00,6.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3806472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3806480,5.00,7.00,4.00,8.00,5.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3806499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3806502,6.00,5.00,2.00,4.00,3.00,NULL,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3806510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3806529,5.00,6.00,4.00,6.00,7.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3806537,5.00,4.00,1.00,6.00,7.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3806545,5.00,5.00,2.00,6.00,6.00,4.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3806553,5.00,4.00,3.00,7.00,5.00,3.00,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3806561,3.00,4.00,1.00,3.00,4.00,4.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3806570,4.00,6.00,4.00,6.00,5.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3806588,5.00,3.00,2.00,4.00,4.00,6.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3806596,5.00,5.00,2.00,5.00,4.00,4.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3806600,6.00,7.00,4.00,9.00,7.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3806618,3.00,4.00,3.00,6.00,4.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3806626,8.00,4.00,8.00,6.00,3.00,NULL,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3806634,4.00,4.00,3.00,4.00,4.00,5.75,5.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3806642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3806650,1.00,0.00,2.00,5.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3806677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3806685,3.00,5.00,2.00,3.00,4.00,6.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3806693,2.00,2.00,1.00,7.00,5.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3806715,2.00,2.00,1.00,6.00,5.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3806723,2.00,2.00,2.00,4.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3806731,1.00,4.00,3.00,6.00,5.00,5.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3806758,3.00,6.00,3.00,6.00,7.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3806766,4.00,5.00,3.00,6.00,5.00,4.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3806774,5.00,3.00,1.00,4.00,7.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3806782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3806790,5.00,7.00,5.00,7.00,7.00,5.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3806804,4.00,5.00,1.00,6.00,4.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3806812,2.00,5.00,3.00,6.00,4.00,6.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3806820,5.00,7.00,2.00,5.00,7.00,5.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3806839,3.00,3.00,2.00,5.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3806855,2.00,3.00,3.00,4.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3806863,2.00,2.00,4.00,4.00,4.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3806880,3.00,1.00,2.00,2.00,1.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3806898,2.00,5.00,3.00,4.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3806901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3806910,3.00,3.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3806928,4.00,5.00,4.00,5.00,5.00,4.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3806936,2.00,1.00,1.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3806944,3.00,7.00,5.00,7.00,8.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3806952,1.00,3.00,2.00,2.00,1.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3806960,3.00,2.00,1.00,3.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3806979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3806987,5.00,3.00,6.00,7.00,5.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3806995,1.00,0.00,2.00,4.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3807002,2.00,0.00,1.00,0.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3807010,3.00,4.00,2.00,3.00,6.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3807037,1.00,1.00,2.00,4.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3807045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3807053,1.00,1.00,2.00,0.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3807061,2.00,2.00,1.00,2.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3807070,2.00,2.00,4.00,6.00,3.00,NULL,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3807088,2.00,5.00,2.00,5.00,4.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3807096,3.00,4.00,5.00,7.00,6.00,6.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3807118,2.00,3.00,3.00,0.00,4.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3807126,3.00,1.00,3.00,1.00,0.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3807134,3.00,4.00,4.00,3.00,4.00,4.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3807142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3807150,3.00,4.00,3.00,1.00,5.00,5.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3807169,3.00,4.00,1.00,2.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3807185,0.00,0.00,0.00,1.00,2.00,NULL,3.00,4.00,2.00,NULL,'S',NULL,'N'),(16,3807193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3807207,1.00,4.00,2.00,6.00,5.00,4.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3807215,5.00,6.00,4.00,6.00,8.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3807223,1.00,3.00,3.00,1.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3807231,1.00,3.00,2.00,3.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3807240,3.00,4.00,1.00,4.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3807258,3.00,5.00,4.00,7.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3807282,4.00,6.00,3.00,4.00,6.00,5.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3807290,4.00,6.00,3.00,6.00,7.00,4.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3807304,4.00,4.00,4.00,3.00,2.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3807312,4.00,2.00,1.00,0.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3807320,5.00,2.00,1.00,6.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3807339,5.00,4.00,4.00,5.00,5.00,5.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3807347,4.00,5.00,3.00,5.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3807355,2.00,1.00,3.00,6.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3807363,2.00,4.00,4.00,3.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3807371,6.00,4.00,6.00,7.00,5.00,6.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3807380,0.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3807398,2.00,2.00,3.00,5.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3807401,2.00,3.00,1.00,3.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3807410,3.00,7.00,1.00,7.00,5.00,5.75,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3807428,4.00,5.00,3.00,5.00,6.00,5.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3807436,2.00,2.00,1.00,3.00,3.00,NULL,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3807444,2.00,4.00,2.00,7.00,4.00,7.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3807452,3.00,4.00,3.00,8.00,5.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3807460,7.00,9.00,5.00,6.00,6.00,4.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(16,3807479,1.00,6.00,4.00,1.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3807487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3807495,5.00,4.00,1.00,4.00,4.00,5.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3807509,6.00,6.00,4.00,8.00,6.00,7.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3807525,4.00,3.00,4.00,6.00,4.00,5.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3807541,4.00,3.00,2.00,1.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3807550,2.00,6.00,2.00,5.00,5.00,5.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3807568,5.00,4.00,3.00,8.00,7.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3807576,3.00,2.00,1.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3807584,4.00,4.00,1.00,5.00,4.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3807592,0.00,4.00,4.00,2.00,2.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3807606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3807614,6.00,4.00,5.00,8.00,7.00,4.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3807622,3.00,2.00,3.00,3.00,5.00,4.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3807630,5.00,7.00,4.00,5.00,4.00,4.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3807649,2.00,4.00,2.00,8.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3807657,7.00,5.00,4.00,6.00,7.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3807673,2.00,3.00,4.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3807681,1.00,4.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3807690,5.00,7.00,4.00,6.00,6.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3807711,6.00,3.00,1.00,5.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3807720,6.00,5.00,4.00,6.00,5.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3807738,3.00,4.00,1.00,5.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3807746,4.00,2.00,3.00,6.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3807754,1.00,5.00,3.00,2.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3807762,3.00,5.00,4.00,6.00,5.00,4.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3807770,2.00,5.00,4.00,4.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3807789,5.00,6.00,2.00,7.00,6.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3807797,2.00,3.00,2.00,4.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3807819,6.00,4.00,2.00,0.00,6.00,5.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3807827,2.00,1.00,2.00,1.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3807835,4.00,2.00,1.00,0.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3807843,1.00,4.00,4.00,5.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3807851,6.00,1.00,4.00,2.00,0.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3807860,3.00,3.00,2.00,1.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3807878,3.00,2.00,3.00,6.00,6.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3807886,3.00,2.00,2.00,5.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3807894,6.00,3.00,3.00,4.00,4.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3807916,4.00,5.00,2.00,5.00,5.00,4.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3807924,3.00,3.00,4.00,5.00,4.00,4.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3807932,4.00,3.00,3.00,2.00,6.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3807940,5.00,7.00,2.00,9.00,7.00,6.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3807959,4.00,4.00,4.00,5.00,6.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3807967,5.00,7.00,5.00,5.00,5.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3807983,2.00,1.00,3.00,4.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3807991,3.00,3.00,2.00,1.00,1.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3808009,2.00,2.00,1.00,5.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3808025,7.00,5.00,2.00,5.00,3.00,NULL,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3808033,2.00,1.00,1.00,1.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3808041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3808050,1.00,3.00,4.00,7.00,6.00,6.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3808068,3.00,1.00,2.00,1.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3808076,3.00,2.00,2.00,2.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3808084,3.00,6.00,2.00,5.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3808092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3808106,5.00,2.00,3.00,6.00,4.00,6.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3808114,2.00,3.00,1.00,3.00,5.00,5.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3808122,4.00,6.00,2.00,9.00,5.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3808130,3.00,4.00,4.00,3.00,5.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3808149,4.00,4.00,3.00,6.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3808165,2.00,2.00,2.00,2.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3808173,6.00,6.00,5.00,7.00,5.00,5.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3808181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3808190,5.00,5.00,5.00,5.00,5.00,6.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3808203,4.00,3.00,4.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3808211,1.00,1.00,3.00,6.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3808220,1.00,4.00,3.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3808246,2.00,2.00,4.00,3.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3808254,1.00,2.00,3.00,0.00,0.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3808262,3.00,5.00,3.00,5.00,5.00,4.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3808270,4.00,5.00,2.00,6.00,6.00,4.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3808289,5.00,6.00,5.00,4.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3808297,2.00,5.00,4.00,7.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3808300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3808319,2.00,1.00,4.00,5.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3808327,2.00,3.00,3.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3808335,3.00,2.00,2.00,6.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3808351,0.00,3.00,5.00,2.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3808360,1.00,3.00,3.00,1.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3808378,1.00,3.00,1.00,2.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3808386,3.00,5.00,4.00,0.00,2.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3808394,4.00,2.00,2.00,4.00,3.00,NULL,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3808408,3.00,6.00,4.00,4.00,4.00,4.00,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3808416,2.00,3.00,2.00,2.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3808424,3.00,3.00,2.00,4.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3808432,2.00,4.00,3.00,1.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3808440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3808459,1.00,5.00,1.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3808467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3808483,1.00,0.00,2.00,1.00,1.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3808491,5.00,5.00,2.00,8.00,5.00,5.75,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3808505,4.00,5.00,4.00,8.00,7.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3808521,1.00,4.00,3.00,3.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3808530,2.00,1.00,3.00,1.00,2.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3808548,0.00,0.00,1.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3808556,3.00,2.00,4.00,5.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3808564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3808572,4.00,4.00,3.00,5.00,5.00,5.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3808580,2.00,2.00,2.00,3.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3808602,5.00,6.00,4.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3808610,6.00,5.00,4.00,6.00,4.00,5.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3808629,4.00,3.00,2.00,7.00,4.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3808637,2.00,2.00,3.00,0.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3808653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3808661,2.00,5.00,2.00,6.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3808670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3808688,2.00,5.00,3.00,2.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3808696,5.00,3.00,3.00,7.00,4.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3808700,5.00,3.00,2.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3808718,2.00,3.00,2.00,3.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3808726,3.00,2.00,3.00,6.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3808734,3.00,4.00,2.00,3.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3808742,3.00,4.00,2.00,6.00,7.00,7.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3808750,6.00,5.00,3.00,3.00,5.00,5.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3808769,2.00,5.00,1.00,6.00,4.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3808777,4.00,3.00,4.00,6.00,6.00,5.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3808807,4.00,5.00,4.00,0.00,2.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3808815,4.00,2.00,5.00,7.00,6.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3808823,4.00,6.00,4.00,4.00,4.00,5.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3808831,2.00,3.00,2.00,5.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3808840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3808858,6.00,4.00,6.00,8.00,7.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3808866,5.00,6.00,4.00,4.00,6.00,4.00,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3808874,4.00,5.00,5.00,6.00,4.00,5.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3808882,3.00,1.00,2.00,2.00,0.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3808890,2.00,1.00,2.00,0.00,2.00,NULL,5.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3808904,3.00,0.00,1.00,1.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3808912,3.00,3.00,1.00,1.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3808920,4.00,4.00,4.00,6.00,5.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3808939,5.00,7.00,6.00,5.00,4.00,4.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3808947,5.00,7.00,6.00,8.00,6.00,6.50,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3808963,2.00,4.00,1.00,5.00,5.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3808971,3.00,3.00,3.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3808980,4.00,2.00,4.00,6.00,5.00,4.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3808998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3809005,3.00,2.00,2.00,5.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3809013,4.00,6.00,4.00,6.00,4.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3809021,3.00,6.00,5.00,8.00,6.00,4.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3809030,2.00,4.00,2.00,5.00,4.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3809048,1.00,3.00,3.00,2.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3809056,4.00,3.00,2.00,1.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3809064,1.00,4.00,4.00,8.00,7.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3809072,4.00,1.00,1.00,7.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3809080,3.00,2.00,4.00,6.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3809099,8.00,6.00,6.00,6.00,6.00,4.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3809102,2.00,1.00,1.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3809110,2.00,4.00,2.00,4.00,0.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3809129,3.00,3.00,3.00,2.00,2.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3809137,4.00,2.00,3.00,4.00,5.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3809145,3.00,0.00,4.00,4.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3809161,1.00,1.00,1.00,1.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3809170,3.00,4.00,3.00,7.00,4.00,4.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3809188,1.00,1.00,4.00,1.00,1.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3809196,5.00,5.00,4.00,7.00,6.00,5.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3809200,4.00,6.00,1.00,4.00,6.00,4.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3809218,4.00,6.00,4.00,6.00,5.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3809226,3.00,4.00,1.00,7.00,5.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3809234,3.00,2.00,2.00,3.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3809242,3.00,2.00,4.00,3.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3809250,1.00,2.00,4.00,1.00,1.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3809269,1.00,2.00,4.00,3.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3809277,6.00,8.00,7.00,7.00,5.00,5.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3809293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3809307,3.00,1.00,3.00,2.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3809315,3.00,1.00,2.00,2.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3809323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3809331,3.00,3.00,4.00,6.00,5.00,5.25,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3809340,4.00,5.00,4.00,8.00,6.00,5.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3809366,3.00,1.00,3.00,6.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3809382,6.00,6.00,5.00,4.00,7.00,7.25,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3809390,3.00,2.00,3.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3809404,3.00,1.00,2.00,5.00,4.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3809420,4.00,6.00,4.00,4.00,8.00,5.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3809439,5.00,5.00,4.00,6.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3809447,3.00,4.00,3.00,5.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3809455,3.00,3.00,2.00,6.00,5.00,6.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3809463,3.00,5.00,1.00,8.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3809471,4.00,4.00,3.00,5.00,5.00,3.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3809480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3809498,4.00,4.00,3.00,5.00,4.00,5.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3809501,2.00,4.00,3.00,5.00,3.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3809510,3.00,4.00,2.00,4.00,0.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3809536,2.00,3.00,1.00,5.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3809544,2.00,5.00,4.00,6.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3809552,3.00,5.00,2.00,5.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3809579,3.00,0.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3809587,2.00,3.00,3.00,2.00,7.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3809595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3809617,4.00,4.00,2.00,8.00,6.00,4.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3809625,4.00,5.00,2.00,8.00,4.00,4.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3809633,3.00,3.00,3.00,7.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3809641,3.00,2.00,1.00,2.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3809650,4.00,5.00,2.00,9.00,7.00,5.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3809668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3809676,4.00,4.00,3.00,5.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3809684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3809692,1.00,1.00,2.00,2.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3809706,2.00,6.00,4.00,6.00,6.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3809714,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3809722,3.00,4.00,5.00,3.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3809730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3809749,0.00,2.00,2.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3809757,6.00,3.00,3.00,7.00,3.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3809765,4.00,2.00,2.00,8.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3809773,5.00,3.00,1.00,6.00,6.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3809781,1.00,3.00,2.00,3.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3809790,1.00,1.00,4.00,5.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3809838,3.00,4.00,2.00,1.00,2.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3809846,5.00,5.00,3.00,3.00,7.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3809862,6.00,4.00,5.00,2.00,6.00,5.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3809870,2.00,3.00,2.00,5.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3809889,2.00,3.00,1.00,4.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3809897,3.00,3.00,2.00,1.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3809900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3809919,2.00,5.00,2.00,0.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3809943,2.00,5.00,3.00,6.00,5.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3809951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3809960,1.00,4.00,2.00,5.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3809978,5.00,5.00,1.00,4.00,6.00,6.00,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(16,3809986,4.00,3.00,2.00,7.00,5.00,NULL,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3809994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810011,4.00,2.00,1.00,5.00,5.00,5.25,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3810020,3.00,1.00,2.00,7.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3810038,3.00,3.00,3.00,4.00,4.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3810046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810054,0.00,3.00,1.00,6.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3810062,4.00,2.00,3.00,4.00,6.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3810070,3.00,6.00,2.00,6.00,6.00,4.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3810089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810097,1.00,1.00,3.00,5.00,6.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3810100,5.00,3.00,3.00,7.00,4.00,5.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3810119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810143,1.00,3.00,3.00,6.00,0.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3810151,2.00,5.00,2.00,6.00,5.00,7.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3810160,2.00,2.00,4.00,5.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3810178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810186,2.00,1.00,2.00,2.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3810208,4.00,6.00,4.00,8.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3810216,4.00,4.00,4.00,6.00,3.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3810224,3.00,6.00,3.00,3.00,5.00,4.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3810232,3.00,2.00,4.00,2.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3810240,4.00,3.00,2.00,4.00,5.00,4.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3810259,4.00,5.00,4.00,5.00,5.00,5.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3810267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810275,4.00,4.00,2.00,3.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3810283,5.00,4.00,2.00,6.00,4.00,5.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3810291,2.00,0.00,4.00,5.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3810305,5.00,5.00,6.00,7.00,6.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3810313,0.00,0.00,0.00,3.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3810321,5.00,5.00,4.00,5.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3810330,3.00,3.00,4.00,5.00,4.00,4.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3810348,5.00,7.00,1.00,4.00,2.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3810364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810410,2.00,2.00,2.00,4.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3810429,4.00,4.00,1.00,4.00,5.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3810437,5.00,6.00,3.00,5.00,6.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3810445,5.00,7.00,2.00,3.00,6.00,6.00,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3810453,5.00,4.00,1.00,6.00,6.00,4.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3810461,7.00,5.00,3.00,6.00,6.00,5.50,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3810470,3.00,0.00,1.00,3.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3810488,4.00,4.00,1.00,7.00,4.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3810500,5.00,4.00,2.00,4.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3810518,6.00,3.00,4.00,5.00,6.00,4.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3810526,5.00,5.00,3.00,2.00,6.00,4.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3810534,2.00,3.00,2.00,6.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3810542,3.00,5.00,2.00,5.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3810550,2.00,2.00,1.00,6.00,6.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3810569,4.00,5.00,3.00,5.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3810577,2.00,1.00,4.00,4.00,5.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3810585,3.00,8.00,3.00,5.00,6.00,5.00,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3810593,4.00,4.00,3.00,5.00,4.00,4.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3810607,3.00,4.00,4.00,6.00,4.00,4.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3810615,3.00,4.00,2.00,8.00,7.00,7.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3810623,5.00,4.00,5.00,3.00,5.00,6.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3810631,4.00,4.00,4.00,8.00,3.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3810640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810658,1.00,5.00,1.00,5.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3810666,4.00,5.00,5.00,3.00,5.00,5.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3810674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810682,4.00,2.00,3.00,5.00,4.00,5.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3810690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810704,4.00,6.00,2.00,6.00,0.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3810712,4.00,6.00,1.00,4.00,5.00,5.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3810720,0.00,1.00,3.00,5.00,1.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3810739,3.00,4.00,4.00,3.00,1.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3810747,3.00,5.00,2.00,5.00,1.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3810755,0.00,2.00,1.00,0.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3810763,2.00,5.00,5.00,3.00,4.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3810771,5.00,6.00,2.00,7.00,7.00,5.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3810780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810810,1.00,3.00,2.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3810828,6.00,6.00,2.00,4.00,6.00,5.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3810844,3.00,4.00,2.00,7.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3810852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810879,3.00,4.00,2.00,7.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3810887,2.00,2.00,2.00,6.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3810895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810909,2.00,2.00,3.00,4.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3810917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810941,2.00,4.00,2.00,5.00,5.00,4.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3810950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3810968,2.00,1.00,2.00,2.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3810976,2.00,4.00,2.00,6.00,6.00,4.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3810984,2.00,1.00,1.00,2.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3810992,4.00,2.00,3.00,5.00,5.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3811000,4.00,2.00,2.00,7.00,5.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3811018,4.00,4.00,3.00,5.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3811026,4.00,3.00,2.00,4.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3811042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811050,5.00,5.00,3.00,8.00,5.00,6.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3811069,3.00,2.00,3.00,2.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3811077,5.00,3.00,3.00,4.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3811085,4.00,1.00,3.00,0.00,5.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3811107,4.00,3.00,4.00,3.00,7.00,4.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3811115,3.00,4.00,3.00,5.00,4.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3811123,5.00,3.00,1.00,2.00,3.00,NULL,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3811131,3.00,3.00,1.00,2.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3811158,3.00,5.00,4.00,7.00,6.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3811166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811174,1.00,5.00,4.00,5.00,5.00,6.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3811182,4.00,7.00,1.00,6.00,4.00,7.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3811190,4.00,5.00,1.00,3.00,4.00,4.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3811204,3.00,5.00,3.00,5.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3811212,3.00,4.00,4.00,6.00,6.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3811220,4.00,2.00,3.00,3.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3811247,2.00,4.00,4.00,3.00,1.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3811255,2.00,2.00,4.00,2.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3811263,1.00,4.00,2.00,0.00,0.00,NULL,3.00,5.00,2.00,'S',NULL,NULL,'N'),(16,3811271,1.00,0.00,1.00,0.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3811280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811301,0.00,0.00,0.00,4.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3811310,3.00,2.00,2.00,2.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3811328,5.00,3.00,1.00,2.00,1.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3811336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811344,3.00,2.00,2.00,5.00,1.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3811352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811379,1.00,5.00,3.00,5.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3811387,1.00,0.00,1.00,1.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3811395,4.00,6.00,2.00,3.00,5.00,6.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3811409,4.00,3.00,3.00,5.00,4.00,5.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3811417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811425,1.00,1.00,4.00,4.00,2.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3811433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811450,5.00,8.00,1.00,4.00,1.00,NULL,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3811468,3.00,5.00,1.00,3.00,6.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3811476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811492,1.00,3.00,1.00,6.00,5.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3811506,0.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3811514,2.00,2.00,4.00,5.00,2.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3811522,2.00,2.00,2.00,5.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3811530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811565,3.00,8.00,4.00,7.00,7.00,6.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3811573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811581,3.00,3.00,4.00,2.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3811603,4.00,2.00,3.00,5.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3811611,3.00,5.00,3.00,4.00,2.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3811620,6.00,4.00,3.00,6.00,4.00,5.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3811638,3.00,4.00,2.00,2.00,4.00,4.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3811646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811654,3.00,3.00,3.00,5.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3811662,5.00,6.00,3.00,5.00,5.00,5.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3811670,2.00,2.00,2.00,3.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3811689,5.00,3.00,1.00,3.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3811697,1.00,3.00,2.00,2.00,0.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3811700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811727,2.00,2.00,1.00,4.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3811735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811743,2.00,2.00,3.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3811760,0.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3811778,6.00,7.00,2.00,3.00,4.00,5.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3811786,4.00,7.00,3.00,7.00,6.00,4.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3811794,2.00,6.00,4.00,5.00,4.00,5.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3811808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811816,4.00,5.00,4.00,3.00,4.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3811824,3.00,4.00,2.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3811832,0.00,3.00,1.00,5.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3811840,6.00,2.00,1.00,7.00,5.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3811859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811867,3.00,4.00,3.00,3.00,4.00,6.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3811875,2.00,4.00,3.00,4.00,3.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3811883,2.00,4.00,4.00,2.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3811891,3.00,2.00,3.00,6.00,4.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3811905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811921,9.00,7.00,6.00,6.00,8.00,6.25,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3811948,5.00,5.00,3.00,5.00,5.00,5.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3811956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3811964,6.00,5.00,5.00,7.00,7.00,6.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3811972,2.00,6.00,3.00,7.00,5.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3811980,4.00,2.00,3.00,0.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3811999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3812006,3.00,5.00,1.00,7.00,5.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3812014,2.00,3.00,1.00,7.00,5.00,4.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3812022,6.00,6.00,1.00,6.00,4.00,4.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3812030,6.00,2.00,2.00,4.00,5.00,6.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3812065,4.00,1.00,3.00,1.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3812073,7.00,5.00,5.00,7.00,6.00,5.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3812081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3812090,8.00,8.00,3.00,8.00,8.00,5.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3812103,4.00,4.00,3.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3812111,9.00,9.00,6.00,8.00,6.00,5.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3812120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3812138,2.00,3.00,3.00,3.00,4.00,5.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3812146,5.00,5.00,1.00,6.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3812154,4.00,3.00,3.00,8.00,4.00,6.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3812162,4.00,3.00,4.00,3.00,6.00,5.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3812170,4.00,3.00,2.00,6.00,5.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3812189,3.00,4.00,3.00,5.00,6.00,5.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3812197,5.00,4.00,3.00,3.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3812200,1.00,2.00,4.00,6.00,3.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3812219,4.00,5.00,3.00,5.00,4.00,5.75,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3812227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3812235,3.00,3.00,2.00,5.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3812243,3.00,2.00,2.00,1.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3812251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3812260,3.00,4.00,2.00,1.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3812278,6.00,6.00,3.00,4.00,7.00,6.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3812286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3812294,3.00,4.00,2.00,7.00,6.00,6.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3812308,4.00,5.00,5.00,6.00,6.00,5.75,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3812316,3.00,2.00,2.00,3.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3812324,4.00,4.00,2.00,5.00,6.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3812332,8.00,7.00,5.00,2.00,8.00,6.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3812340,8.00,4.00,2.00,4.00,4.00,4.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3812359,1.00,2.00,3.00,4.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3812367,7.00,7.00,4.00,5.00,9.00,6.75,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3812375,2.00,6.00,2.00,9.00,6.00,6.00,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3812391,4.00,6.00,3.00,5.00,6.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3812405,4.00,1.00,1.00,2.00,3.00,NULL,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3812413,3.00,2.00,3.00,6.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3812421,2.00,2.00,4.00,3.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3812430,2.00,2.00,3.00,1.00,0.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3812448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3812456,4.00,2.00,3.00,5.00,4.00,5.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3812472,2.00,3.00,4.00,2.00,5.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3812480,2.00,2.00,1.00,2.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3812502,3.00,2.00,1.00,2.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3812510,1.00,3.00,1.00,0.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3812529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3812537,3.00,3.00,2.00,2.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3812553,5.00,3.00,3.00,6.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3812561,2.00,0.00,3.00,0.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3812570,1.00,6.00,2.00,2.00,6.00,5.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3812588,3.00,1.00,1.00,2.00,1.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3812596,2.00,5.00,3.00,8.00,5.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3812600,5.00,6.00,2.00,4.00,9.00,5.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3812618,4.00,5.00,3.00,2.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3812626,3.00,1.00,1.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3812634,3.00,4.00,4.00,7.00,5.00,6.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3812642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3812669,4.00,6.00,4.00,4.00,9.00,8.00,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3812677,7.00,5.00,4.00,6.00,5.00,5.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3812685,5.00,4.00,3.00,7.00,5.00,5.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3812693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3812707,2.00,3.00,3.00,1.00,3.00,NULL,6.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3812715,3.00,4.00,3.00,5.00,4.00,5.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3812723,2.00,3.00,1.00,5.00,7.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3812731,2.00,4.00,2.00,7.00,4.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3812740,0.00,1.00,3.00,5.00,3.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3812758,5.00,1.00,2.00,0.00,0.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3812766,1.00,4.00,2.00,2.00,5.00,4.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3812782,3.00,3.00,2.00,2.00,5.00,4.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3812790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3812820,1.00,3.00,1.00,3.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3812839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3812847,5.00,4.00,4.00,4.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3812855,1.00,2.00,2.00,1.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3812871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3812898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3812901,4.00,4.00,3.00,2.00,4.00,4.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3812910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3812936,3.00,2.00,1.00,3.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3812944,0.00,1.00,3.00,4.00,2.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3812952,1.00,3.00,1.00,2.00,3.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3812960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3812979,4.00,3.00,4.00,5.00,5.00,4.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3812987,3.00,3.00,1.00,1.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3812995,4.00,4.00,1.00,2.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3813002,4.00,3.00,3.00,5.00,6.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3813010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3813029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3813037,2.00,4.00,3.00,4.00,6.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3813045,2.00,4.00,2.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3813053,1.00,0.00,1.00,5.00,1.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3813061,6.00,5.00,2.00,9.00,5.00,7.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3813088,8.00,8.00,3.00,7.00,5.00,6.00,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3813096,2.00,3.00,3.00,4.00,7.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3813100,3.00,6.00,2.00,5.00,4.00,4.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3813118,1.00,0.00,4.00,2.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3813126,4.00,3.00,1.00,3.00,2.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3813134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3813169,4.00,5.00,2.00,6.00,5.00,4.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3813185,3.00,6.00,3.00,0.00,2.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3813193,6.00,4.00,3.00,3.00,4.00,6.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3813207,7.00,4.00,2.00,4.00,5.00,4.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3813215,2.00,1.00,3.00,5.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3813223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3813231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3813240,3.00,7.00,2.00,3.00,4.00,4.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3813258,2.00,1.00,3.00,4.00,1.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3813266,3.00,4.00,1.00,7.00,4.00,5.50,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3813274,5.00,8.00,7.00,5.00,7.00,5.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3813282,6.00,7.00,4.00,6.00,6.00,4.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3813290,3.00,2.00,2.00,6.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3813304,2.00,3.00,2.00,3.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3813312,0.00,0.00,2.00,5.00,0.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3813320,4.00,4.00,1.00,5.00,6.00,5.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3813339,5.00,6.00,3.00,5.00,3.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3813347,2.00,5.00,4.00,7.00,5.00,5.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3813355,2.00,2.00,4.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3813363,1.00,4.00,2.00,3.00,7.00,4.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3813371,2.00,5.00,5.00,3.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3813380,2.00,2.00,4.00,5.00,4.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3813398,6.00,4.00,3.00,3.00,5.00,5.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3813401,3.00,2.00,3.00,3.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3813410,5.00,5.00,1.00,7.00,4.00,7.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3813428,4.00,4.00,2.00,2.00,3.00,NULL,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3813436,4.00,3.00,2.00,2.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3813444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3813452,2.00,2.00,3.00,3.00,0.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3813460,2.00,4.00,2.00,2.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3813487,2.00,1.00,3.00,7.00,4.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3813509,2.00,3.00,2.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3813525,4.00,6.00,4.00,6.00,4.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3813533,2.00,4.00,2.00,7.00,4.00,5.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3813541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3813550,3.00,3.00,3.00,0.00,6.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3813568,4.00,3.00,4.00,3.00,6.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3813576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3813584,4.00,2.00,5.00,2.00,4.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3813592,4.00,5.00,2.00,2.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3813606,2.00,1.00,1.00,3.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3813614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3813622,2.00,3.00,3.00,5.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3813630,4.00,7.00,3.00,4.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3813649,4.00,4.00,3.00,2.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3813657,1.00,3.00,2.00,2.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3813665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3813673,5.00,3.00,1.00,6.00,4.00,4.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3813681,3.00,4.00,4.00,3.00,1.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3813690,1.00,8.00,3.00,6.00,5.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3813703,1.00,3.00,2.00,6.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3813711,4.00,2.00,2.00,9.00,4.00,5.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3813720,3.00,3.00,1.00,0.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3813738,3.00,3.00,2.00,2.00,1.00,NULL,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3813746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3813754,5.00,5.00,2.00,5.00,5.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3813762,5.00,5.00,3.00,0.00,2.00,NULL,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3813770,4.00,5.00,3.00,5.00,4.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3813789,2.00,1.00,1.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3813797,5.00,3.00,3.00,8.00,4.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3813827,2.00,5.00,2.00,8.00,6.00,6.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3813851,7.00,8.00,2.00,7.00,6.00,5.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3813860,4.00,5.00,5.00,6.00,4.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3813878,2.00,3.00,2.00,7.00,4.00,6.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3813886,3.00,3.00,2.00,6.00,5.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3813916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3813940,2.00,4.00,2.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3813967,8.00,7.00,7.00,9.00,6.00,8.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3813975,5.00,5.00,1.00,3.00,6.00,5.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3813991,5.00,4.00,4.00,4.00,5.00,6.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3814017,6.00,6.00,6.00,7.00,5.00,7.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3814041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3814076,2.00,4.00,2.00,4.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3814106,5.00,4.00,6.00,7.00,6.00,6.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3814130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3814149,6.00,6.00,5.00,6.00,6.00,6.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3814165,1.00,2.00,1.00,0.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3814181,3.00,3.00,1.00,7.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3814190,3.00,3.00,4.00,5.00,6.00,6.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3814203,2.00,5.00,2.00,0.00,5.00,6.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3814211,5.00,5.00,5.00,7.00,7.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3814238,2.00,0.00,2.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3814246,3.00,2.00,2.00,4.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3814262,4.00,3.00,2.00,3.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3814270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3814289,1.00,0.00,2.00,2.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3814327,5.00,4.00,5.00,8.00,7.00,6.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3814343,3.00,6.00,3.00,7.00,6.00,4.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3814351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3814360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3814378,4.00,4.00,4.00,6.00,5.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3814386,5.00,4.00,3.00,2.00,5.00,4.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3814394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3814408,2.00,4.00,2.00,6.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3814416,5.00,3.00,2.00,2.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3814424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3814432,2.00,3.00,4.00,7.00,6.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3814440,3.00,0.00,4.00,0.00,0.00,NULL,3.00,6.00,4.00,'S',NULL,NULL,'N'),(16,3814459,5.00,6.00,5.00,4.00,5.00,4.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3814467,4.00,4.00,3.00,7.00,6.00,7.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3814475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3814483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3814491,1.00,2.00,3.00,3.00,3.00,NULL,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3814505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3814521,2.00,3.00,3.00,6.00,4.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3814530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3814548,3.00,1.00,1.00,2.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3814556,1.00,1.00,1.00,3.00,0.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3814564,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3814572,2.00,2.00,1.00,2.00,4.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3814580,2.00,2.00,2.00,4.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3814599,5.00,6.00,2.00,8.00,8.00,6.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3814602,3.00,3.00,2.00,4.00,4.00,5.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3814610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3814629,5.00,4.00,2.00,6.00,3.00,NULL,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3814645,2.00,4.00,3.00,5.00,0.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3814653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3814661,3.00,1.00,4.00,1.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3814670,3.00,0.00,1.00,5.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3814688,3.00,6.00,4.00,6.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3814700,3.00,2.00,3.00,4.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3814718,5.00,3.00,6.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3814726,6.00,3.00,3.00,7.00,5.00,7.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3814734,3.00,6.00,3.00,6.00,6.00,5.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3814742,2.00,3.00,5.00,6.00,6.00,4.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3814750,5.00,4.00,2.00,4.00,0.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3814769,5.00,5.00,4.00,5.00,7.00,5.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3814777,3.00,3.00,1.00,4.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3814785,5.00,5.00,3.00,0.00,3.00,NULL,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3814793,3.00,1.00,2.00,3.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3814807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3814815,1.00,1.00,2.00,1.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3814823,5.00,5.00,4.00,5.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3814831,2.00,4.00,1.00,5.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3814840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3814858,3.00,2.00,3.00,5.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3814866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3814874,3.00,6.00,6.00,5.00,6.00,4.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3814882,5.00,6.00,4.00,6.00,4.00,4.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3814890,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3814904,1.00,3.00,5.00,5.00,4.00,4.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3814912,9.00,7.00,7.00,9.00,6.00,5.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3814920,4.00,3.00,1.00,4.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3814939,1.00,2.00,5.00,1.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3814947,5.00,7.00,2.00,6.00,7.00,5.50,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3814955,6.00,6.00,1.00,6.00,3.00,NULL,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3814963,3.00,3.00,1.00,5.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3814971,3.00,3.00,3.00,2.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3814980,4.00,6.00,3.00,4.00,3.00,NULL,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3814998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3815005,2.00,4.00,4.00,1.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3815013,5.00,5.00,6.00,3.00,6.00,5.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3815030,5.00,4.00,4.00,1.00,4.00,6.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3815048,3.00,1.00,3.00,1.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3815064,3.00,4.00,2.00,3.00,4.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3815072,1.00,4.00,2.00,4.00,2.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3815080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3815099,3.00,1.00,3.00,4.00,1.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3815102,5.00,5.00,1.00,5.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3815110,4.00,4.00,2.00,8.00,4.00,6.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3815129,7.00,6.00,2.00,9.00,5.00,5.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3815161,5.00,3.00,5.00,4.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3815170,5.00,5.00,2.00,3.00,4.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3815200,2.00,3.00,1.00,0.00,0.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3815218,1.00,0.00,2.00,2.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3815226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3815234,2.00,2.00,3.00,3.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3815242,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3815250,4.00,2.00,3.00,1.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3815269,1.00,1.00,3.00,1.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3815277,4.00,5.00,4.00,2.00,6.00,6.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3815293,7.00,5.00,4.00,6.00,5.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3815307,0.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3815315,1.00,5.00,1.00,5.00,4.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3815323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3815331,3.00,3.00,2.00,4.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3815340,4.00,4.00,3.00,3.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3815358,2.00,2.00,3.00,1.00,0.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3815366,3.00,6.00,2.00,5.00,3.00,NULL,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3815374,2.00,3.00,3.00,4.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3815382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3815390,5.00,3.00,1.00,4.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3815404,3.00,5.00,2.00,6.00,4.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3815412,3.00,4.00,1.00,4.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3815420,1.00,5.00,2.00,5.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3815439,6.00,7.00,3.00,2.00,5.00,6.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3815447,6.00,4.00,3.00,6.00,4.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3815455,5.00,3.00,4.00,2.00,6.00,4.25,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(16,3815471,5.00,6.00,2.00,0.00,5.00,6.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3815480,3.00,3.00,3.00,8.00,5.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3815498,4.00,5.00,5.00,0.00,0.00,NULL,3.00,6.00,3.00,'S',NULL,NULL,'N'),(16,3815501,5.00,6.00,4.00,1.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3815510,5.00,1.00,1.00,3.00,0.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3815528,4.00,1.00,2.00,6.00,4.00,4.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3815536,4.00,4.00,3.00,6.00,6.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3815544,0.00,3.00,3.00,0.00,0.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3815552,9.00,7.00,8.00,8.00,7.00,8.50,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3815560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3815587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3815595,3.00,6.00,1.00,2.00,6.00,4.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3815609,2.00,4.00,2.00,2.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3815617,3.00,5.00,3.00,8.00,4.00,5.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3815625,2.00,0.00,2.00,3.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3815641,3.00,3.00,4.00,5.00,5.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3815650,2.00,3.00,3.00,1.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3815668,2.00,4.00,1.00,5.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3815676,2.00,2.00,1.00,1.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3815684,4.00,1.00,1.00,7.00,5.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3815692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3815706,4.00,2.00,2.00,5.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3815714,4.00,2.00,4.00,4.00,4.00,1.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3815722,0.00,3.00,2.00,3.00,2.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3815730,2.00,3.00,4.00,5.00,2.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3815749,4.00,3.00,1.00,6.00,4.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3815757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3815773,2.00,5.00,3.00,7.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3815781,2.00,2.00,3.00,5.00,0.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3815790,2.00,1.00,2.00,5.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3815803,1.00,3.00,2.00,1.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3815811,5.00,7.00,5.00,7.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3815820,4.00,5.00,1.00,8.00,4.00,6.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3815838,3.00,1.00,3.00,0.00,0.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3815846,4.00,4.00,2.00,6.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3815854,3.00,2.00,5.00,6.00,5.00,7.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3815862,3.00,4.00,3.00,7.00,4.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3815870,2.00,1.00,3.00,6.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3815889,4.00,5.00,4.00,9.00,9.00,6.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3815897,3.00,3.00,3.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3815900,3.00,5.00,4.00,6.00,4.00,4.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3815919,2.00,5.00,4.00,6.00,5.00,4.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3815927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3815935,4.00,5.00,2.00,6.00,6.00,6.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3815943,5.00,7.00,5.00,7.00,6.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3815951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3815960,3.00,3.00,4.00,3.00,6.00,6.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3815978,6.00,4.00,3.00,7.00,6.00,4.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3815986,3.00,2.00,2.00,0.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3815994,2.00,3.00,2.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3816001,3.00,0.00,1.00,5.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3816010,4.00,2.00,6.00,7.00,5.00,6.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3816028,3.00,3.00,3.00,6.00,6.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3816036,3.00,4.00,2.00,3.00,4.00,4.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3816044,2.00,3.00,1.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3816052,0.00,6.00,2.00,7.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3816060,2.00,4.00,5.00,7.00,7.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3816079,0.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3816087,2.00,3.00,3.00,6.00,4.00,5.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3816095,3.00,6.00,3.00,2.00,4.00,4.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3816109,3.00,5.00,4.00,6.00,6.00,5.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3816117,7.00,5.00,2.00,5.00,6.00,4.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3816125,2.00,2.00,3.00,3.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3816133,5.00,2.00,3.00,8.00,5.00,6.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3816141,2.00,1.00,2.00,5.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3816150,4.00,5.00,3.00,3.00,7.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3816168,3.00,1.00,1.00,4.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3816176,3.00,0.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3816184,0.00,0.00,0.00,6.00,6.00,NULL,4.00,6.00,2.00,NULL,'S',NULL,'N'),(16,3816192,1.00,4.00,1.00,4.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3816206,2.00,2.00,2.00,2.00,6.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3816214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3816222,7.00,6.00,2.00,7.00,7.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3816230,7.00,6.00,3.00,2.00,6.00,6.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3816249,3.00,4.00,3.00,2.00,5.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3816257,3.00,5.00,1.00,6.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3816265,4.00,4.00,3.00,6.00,5.00,4.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3816281,2.00,3.00,2.00,4.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3816303,6.00,5.00,3.00,5.00,5.00,5.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3816311,1.00,5.00,2.00,6.00,6.00,8.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3816320,0.00,0.00,3.00,2.00,2.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3816338,7.00,7.00,6.00,9.00,8.00,7.25,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3816346,4.00,2.00,4.00,7.00,6.00,6.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3816354,5.00,3.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3816362,1.00,0.00,2.00,2.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(16,3816370,3.00,2.00,2.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3816389,5.00,3.00,2.00,4.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3816397,1.00,2.00,4.00,1.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3816400,1.00,4.00,1.00,7.00,4.00,4.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3816419,1.00,4.00,1.00,2.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3816427,3.00,4.00,3.00,1.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3816435,3.00,3.00,2.00,1.00,4.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3816443,5.00,3.00,3.00,5.00,6.00,4.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3816451,3.00,3.00,1.00,2.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3816460,2.00,1.00,2.00,6.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3816478,2.00,2.00,3.00,1.00,0.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3816486,2.00,2.00,4.00,3.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3816494,2.00,0.00,3.00,4.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3816508,5.00,2.00,2.00,7.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3816516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3816532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3816540,3.00,5.00,2.00,0.00,6.00,6.25,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3816567,3.00,6.00,4.00,6.00,5.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3816575,3.00,3.00,3.00,2.00,5.00,4.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3816583,3.00,2.00,1.00,6.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3816591,2.00,4.00,2.00,4.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3816605,1.00,1.00,2.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3816613,6.00,7.00,3.00,9.00,7.00,5.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3816621,1.00,3.00,2.00,1.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3816630,3.00,1.00,1.00,3.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3816648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3816656,2.00,2.00,2.00,6.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3816664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3816672,3.00,3.00,4.00,5.00,6.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3816680,3.00,2.00,3.00,3.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3816699,4.00,3.00,1.00,2.00,4.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3816702,3.00,3.00,1.00,3.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3816710,1.00,4.00,1.00,6.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3816745,2.00,4.00,4.00,6.00,6.00,6.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3816761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3816770,6.00,8.00,5.00,7.00,8.00,6.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3816796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3816800,3.00,4.00,2.00,5.00,1.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3816818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3816826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3816834,7.00,8.00,4.00,7.00,8.00,7.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3816842,4.00,5.00,5.00,6.00,5.00,7.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3816850,4.00,5.00,1.00,7.00,4.00,5.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3816869,5.00,4.00,4.00,4.00,4.00,4.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3816877,7.00,4.00,3.00,7.00,7.00,7.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3816885,5.00,5.00,4.00,5.00,6.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3816893,6.00,3.00,5.00,7.00,6.00,5.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3816907,3.00,4.00,3.00,5.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3816915,4.00,2.00,2.00,5.00,2.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3816923,4.00,5.00,4.00,6.00,5.00,4.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3816931,3.00,4.00,3.00,1.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3816940,3.00,3.00,2.00,4.00,5.00,5.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3816958,3.00,3.00,3.00,0.00,4.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3816966,4.00,6.00,3.00,7.00,7.00,6.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3816974,3.00,6.00,3.00,3.00,0.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3816982,3.00,3.00,2.00,7.00,4.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3816990,1.00,1.00,3.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3817008,5.00,7.00,2.00,5.00,4.00,6.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3817016,5.00,7.00,3.00,7.00,5.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3817024,6.00,6.00,2.00,8.00,6.00,5.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3817032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3817040,4.00,8.00,6.00,8.00,7.00,6.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3817067,4.00,4.00,1.00,2.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3817075,4.00,6.00,5.00,5.00,5.00,5.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3817083,4.00,5.00,3.00,5.00,5.00,6.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3817091,1.00,0.00,4.00,0.00,4.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3817105,1.00,1.00,4.00,0.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3817113,3.00,3.00,2.00,3.00,5.00,4.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3817121,4.00,5.00,3.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3817164,2.00,2.00,5.00,3.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3817172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3817180,1.00,2.00,4.00,2.00,4.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3817199,5.00,6.00,5.00,8.00,7.00,6.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3817202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3817210,3.00,1.00,1.00,0.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3817237,1.00,1.00,3.00,0.00,0.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3817245,5.00,4.00,2.00,4.00,3.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3817253,2.00,6.00,4.00,5.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3817261,1.00,4.00,2.00,4.00,3.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3817288,0.00,2.00,2.00,4.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3817296,5.00,4.00,3.00,6.00,4.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3817300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3817326,2.00,5.00,2.00,4.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3817334,4.00,5.00,3.00,5.00,5.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3817342,2.00,3.00,2.00,4.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3817350,2.00,5.00,2.00,6.00,3.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3817377,2.00,2.00,3.00,0.00,1.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3817385,5.00,2.00,3.00,1.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3817393,1.00,3.00,1.00,5.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3817407,3.00,1.00,1.00,6.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3817415,2.00,5.00,2.00,2.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3817423,2.00,2.00,1.00,2.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3817431,4.00,1.00,2.00,5.00,4.00,6.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3817440,4.00,1.00,1.00,3.00,6.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3817458,3.00,4.00,3.00,6.00,5.00,5.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3817466,4.00,4.00,4.00,6.00,5.00,4.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3817474,5.00,5.00,5.00,5.00,6.00,4.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3817482,5.00,1.00,1.00,5.00,2.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3817490,2.00,1.00,1.00,2.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3817504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3817512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3817520,4.00,5.00,2.00,5.00,4.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3817539,4.00,7.00,4.00,5.00,5.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3817547,2.00,3.00,1.00,4.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3817571,1.00,2.00,2.00,1.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3817580,3.00,2.00,2.00,2.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3817598,3.00,5.00,4.00,6.00,5.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3817610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3817628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3817636,2.00,5.00,4.00,2.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3817644,2.00,4.00,4.00,6.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3817652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3817660,2.00,2.00,3.00,3.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3817679,2.00,4.00,3.00,5.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3817687,2.00,2.00,2.00,2.00,6.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3817709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3817717,4.00,2.00,2.00,0.00,1.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3817725,7.00,7.00,5.00,7.00,7.00,6.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3817733,5.00,7.00,2.00,7.00,7.00,7.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3817741,4.00,7.00,4.00,8.00,6.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3817776,8.00,9.00,4.00,7.00,7.00,6.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3817784,1.00,3.00,4.00,0.00,0.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3817806,6.00,5.00,2.00,7.00,4.00,6.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3817814,2.00,3.00,1.00,6.00,4.00,4.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3817822,2.00,2.00,2.00,2.00,5.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3817830,2.00,3.00,2.00,1.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3817849,4.00,3.00,2.00,7.00,4.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3817857,2.00,0.00,1.00,4.00,1.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(16,3817865,4.00,8.00,2.00,8.00,4.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3817873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3817881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3817890,7.00,6.00,5.00,7.00,7.00,6.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3817903,7.00,4.00,2.00,8.00,5.00,4.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3817911,5.00,6.00,4.00,5.00,4.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3817920,3.00,3.00,2.00,4.00,5.00,6.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3817938,3.00,1.00,3.00,6.00,4.00,5.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3817946,5.00,4.00,4.00,8.00,6.00,6.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3817954,1.00,4.00,4.00,6.00,5.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3817962,1.00,4.00,3.00,4.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3817970,4.00,8.00,6.00,7.00,6.00,7.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3817989,5.00,5.00,3.00,4.00,5.00,5.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3817997,2.00,1.00,4.00,2.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3818004,6.00,2.00,3.00,4.00,4.00,4.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3818012,1.00,4.00,2.00,5.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3818020,5.00,5.00,4.00,6.00,5.00,4.75,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3818039,4.00,1.00,3.00,2.00,1.00,NULL,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3818047,6.00,5.00,4.00,6.00,7.00,6.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3818055,4.00,4.00,4.00,8.00,6.00,6.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3818063,1.00,6.00,2.00,5.00,5.00,3.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3818071,7.00,5.00,6.00,3.00,5.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3818080,4.00,3.00,2.00,5.00,6.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3818098,3.00,5.00,3.00,2.00,5.00,4.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3818101,1.00,0.00,1.00,5.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3818110,5.00,3.00,3.00,3.00,5.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3818128,5.00,8.00,4.00,8.00,6.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3818136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3818144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3818152,0.00,4.00,3.00,4.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3818160,0.00,4.00,2.00,6.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3818179,4.00,5.00,2.00,6.00,8.00,6.75,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3818187,2.00,2.00,3.00,2.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3818195,5.00,6.00,4.00,5.00,6.00,5.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3818209,3.00,1.00,2.00,4.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3818217,4.00,6.00,1.00,8.00,3.00,NULL,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3818225,3.00,1.00,2.00,1.00,4.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3818233,4.00,3.00,5.00,4.00,4.00,6.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3818241,2.00,2.00,1.00,5.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3818250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3818268,6.00,4.00,4.00,4.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3818276,0.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3818284,5.00,5.00,5.00,2.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3818292,4.00,2.00,1.00,6.00,4.00,5.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3818306,3.00,6.00,2.00,6.00,3.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3818314,6.00,8.00,5.00,4.00,6.00,6.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(16,3818322,3.00,1.00,3.00,3.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3818349,3.00,6.00,4.00,8.00,5.00,5.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3818357,5.00,6.00,2.00,7.00,6.00,5.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3818365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3818373,5.00,0.00,3.00,2.00,6.00,4.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3818381,4.00,4.00,2.00,7.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3818390,3.00,3.00,2.00,6.00,5.00,5.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3818403,5.00,7.00,4.00,4.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3818411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3818420,1.00,1.00,1.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3818438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3818446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3818454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3818462,5.00,6.00,1.00,7.00,6.00,5.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3818470,3.00,5.00,3.00,4.00,4.00,2.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3818489,8.00,8.00,7.00,7.00,8.00,5.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3818500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3818519,3.00,2.00,4.00,5.00,2.00,NULL,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3818527,2.00,4.00,5.00,6.00,1.00,NULL,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3818535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3818551,4.00,2.00,3.00,4.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3818560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3818578,1.00,4.00,2.00,5.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3818594,1.00,3.00,4.00,1.00,5.00,5.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3818608,4.00,6.00,5.00,5.00,5.00,5.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3818616,2.00,1.00,2.00,0.00,0.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3818624,3.00,5.00,3.00,5.00,4.00,4.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3818632,4.00,3.00,1.00,4.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3818640,3.00,5.00,1.00,6.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3818659,3.00,5.00,2.00,6.00,2.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3818667,3.00,6.00,4.00,7.00,3.00,NULL,2.00,8.00,1.00,NULL,NULL,NULL,'N'),(16,3818675,2.00,2.00,3.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3818683,3.00,5.00,2.00,6.00,4.00,5.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3818691,3.00,3.00,2.00,3.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3818705,3.00,2.00,2.00,2.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3818713,0.00,0.00,0.00,4.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3818721,1.00,1.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3818730,2.00,5.00,1.00,0.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3818748,3.00,3.00,1.00,4.00,1.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3818756,4.00,5.00,3.00,4.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3818764,5.00,6.00,3.00,8.00,5.00,5.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3818780,4.00,6.00,4.00,7.00,7.00,5.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3818799,4.00,4.00,2.00,8.00,8.00,5.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3818802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3818810,6.00,9.00,7.00,0.00,7.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3818837,5.00,2.00,1.00,6.00,6.00,6.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3818845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3818853,4.00,3.00,3.00,5.00,3.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3818870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3818888,3.00,4.00,1.00,4.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3818900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3818918,2.00,0.00,2.00,3.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3818926,6.00,6.00,4.00,5.00,5.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3818942,4.00,0.00,2.00,0.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3818950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3818969,2.00,2.00,1.00,0.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3818977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3818985,2.00,4.00,3.00,6.00,3.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3818993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3819000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3819019,1.00,1.00,2.00,1.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3819027,4.00,4.00,1.00,7.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3819035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3819043,2.00,1.00,1.00,2.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3819051,5.00,4.00,5.00,0.00,4.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3819060,5.00,4.00,4.00,6.00,5.00,4.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3819078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3819086,1.00,2.00,2.00,5.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3819094,1.00,1.00,1.00,1.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3819108,2.00,4.00,2.00,1.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3819116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3819124,1.00,2.00,1.00,1.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3819132,3.00,3.00,4.00,6.00,4.00,4.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3819140,2.00,3.00,2.00,2.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3819159,2.00,5.00,4.00,4.00,1.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3819167,4.00,2.00,2.00,6.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3819175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3819183,6.00,4.00,5.00,4.00,6.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3819191,2.00,3.00,2.00,6.00,0.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3819205,2.00,3.00,1.00,0.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3819213,0.00,0.00,4.00,4.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3819230,6.00,6.00,4.00,2.00,5.00,6.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3819256,5.00,2.00,3.00,5.00,6.00,4.50,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3819264,2.00,4.00,2.00,6.00,1.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3819272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3819280,1.00,3.00,5.00,5.00,6.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3819299,3.00,5.00,2.00,7.00,6.00,6.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3819302,3.00,1.00,2.00,4.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3819310,5.00,8.00,2.00,7.00,5.00,5.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3819329,4.00,4.00,2.00,1.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3819337,3.00,4.00,3.00,3.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3819345,4.00,0.00,2.00,7.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3819353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3819370,1.00,6.00,2.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3819388,2.00,2.00,2.00,3.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3819396,7.00,6.00,2.00,7.00,5.00,6.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3819418,3.00,2.00,1.00,3.00,5.00,5.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3819426,3.00,5.00,4.00,2.00,7.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3819434,6.00,4.00,2.00,3.00,4.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3819442,0.00,1.00,1.00,4.00,1.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3819469,2.00,2.00,4.00,4.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3819477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3819485,2.00,5.00,2.00,4.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3819507,4.00,2.00,3.00,4.00,4.00,6.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3819515,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3819531,6.00,6.00,2.00,6.00,7.00,5.50,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3819558,1.00,1.00,4.00,3.00,0.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3819566,2.00,3.00,3.00,6.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3819574,4.00,3.00,2.00,2.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3819582,3.00,6.00,4.00,5.00,6.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3819590,8.00,9.00,4.00,6.00,4.00,5.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3819604,3.00,0.00,2.00,0.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3819612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3819620,4.00,1.00,2.00,7.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3819639,2.00,1.00,2.00,3.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3819647,3.00,5.00,3.00,1.00,3.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3819671,2.00,4.00,1.00,4.00,4.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3819680,0.00,0.00,1.00,0.00,0.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3819698,3.00,2.00,1.00,0.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3819701,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3819710,4.00,4.00,5.00,6.00,5.00,5.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3819736,2.00,3.00,1.00,5.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3819744,3.00,2.00,3.00,0.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3819752,4.00,0.00,2.00,4.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3819760,4.00,5.00,4.00,5.00,3.00,NULL,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3819779,0.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3819787,2.00,3.00,2.00,1.00,4.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3819809,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3819817,2.00,3.00,4.00,5.00,5.00,4.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3819825,5.00,6.00,4.00,7.00,7.00,5.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3819833,1.00,1.00,1.00,6.00,4.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3819841,1.00,1.00,2.00,5.00,3.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3819850,1.00,2.00,2.00,1.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3819884,2.00,4.00,5.00,3.00,5.00,4.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3819892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3819906,5.00,6.00,2.00,6.00,6.00,5.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3819914,3.00,2.00,2.00,5.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3819922,5.00,5.00,3.00,2.00,5.00,5.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3819949,1.00,2.00,2.00,2.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3819957,6.00,6.00,4.00,6.00,4.00,5.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3819965,7.00,7.00,5.00,6.00,6.00,5.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3819973,4.00,4.00,4.00,4.00,4.00,3.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3819981,3.00,2.00,2.00,1.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3819990,5.00,7.00,3.00,7.00,5.00,5.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3820009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3820017,4.00,3.00,4.00,4.00,4.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3820025,4.00,5.00,2.00,4.00,3.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3820041,4.00,6.00,1.00,3.00,4.00,4.75,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3820050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3820068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3820076,1.00,0.00,4.00,1.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3820084,7.00,6.00,4.00,7.00,6.00,5.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3820106,3.00,3.00,2.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3820114,3.00,5.00,3.00,6.00,5.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3820130,5.00,5.00,3.00,2.00,5.00,4.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3820149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3820157,5.00,3.00,1.00,1.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3820165,6.00,7.00,4.00,6.00,5.00,6.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(16,3820173,3.00,5.00,4.00,4.00,4.00,6.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3820181,6.00,6.00,3.00,7.00,6.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3820190,4.00,5.00,2.00,6.00,5.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3820203,3.00,2.00,1.00,2.00,2.00,NULL,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3820238,2.00,2.00,1.00,1.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3820246,5.00,3.00,2.00,3.00,4.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3820254,6.00,4.00,3.00,2.00,4.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3820270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3820300,4.00,3.00,1.00,5.00,4.00,5.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3820319,3.00,5.00,1.00,6.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3820327,6.00,5.00,5.00,6.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3820343,0.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3820351,2.00,3.00,4.00,1.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3820360,5.00,2.00,4.00,2.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3820378,1.00,4.00,3.00,6.00,3.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3820386,2.00,4.00,2.00,4.00,2.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3820394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3820408,3.00,3.00,2.00,5.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3820416,8.00,8.00,5.00,6.00,7.00,6.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3820424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3820432,4.00,5.00,1.00,7.00,5.00,4.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3820440,5.00,4.00,3.00,2.00,4.00,5.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3820459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3820467,5.00,7.00,4.00,3.00,5.00,5.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3820475,3.00,5.00,4.00,5.00,5.00,5.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3820483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3820491,2.00,3.00,4.00,0.00,0.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3820505,6.00,5.00,4.00,8.00,7.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3820521,2.00,1.00,1.00,5.00,5.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3820530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3820548,4.00,3.00,1.00,3.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3820556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3820564,4.00,5.00,4.00,4.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3820572,4.00,3.00,5.00,6.00,4.00,5.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3820599,4.00,5.00,1.00,7.00,5.00,7.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3820602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3820610,5.00,3.00,2.00,6.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3820629,3.00,1.00,3.00,2.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3820637,5.00,2.00,2.00,3.00,1.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3820645,2.00,2.00,4.00,4.00,5.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3820653,4.00,3.00,2.00,9.00,5.00,6.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3820670,5.00,5.00,5.00,5.00,7.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3820688,1.00,4.00,1.00,3.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3820700,3.00,2.00,2.00,4.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3820718,7.00,8.00,2.00,8.00,6.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3820726,4.00,4.00,2.00,0.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3820734,7.00,6.00,6.00,9.00,8.00,6.00,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3820769,1.00,1.00,2.00,2.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3820777,3.00,0.00,6.00,5.00,6.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3820785,4.00,6.00,5.00,3.00,5.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3820793,3.00,2.00,3.00,3.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3820807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3820815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3820823,1.00,1.00,1.00,3.00,1.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3820831,5.00,4.00,3.00,6.00,3.00,NULL,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3820840,6.00,5.00,2.00,3.00,6.00,5.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3820858,2.00,5.00,5.00,8.00,6.00,4.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3820874,2.00,1.00,1.00,3.00,3.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3820882,1.00,0.00,4.00,5.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3820890,4.00,4.00,2.00,6.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3820912,3.00,4.00,3.00,6.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3820939,2.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3820947,3.00,0.00,2.00,3.00,0.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3820955,2.00,1.00,2.00,6.00,5.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3820963,4.00,5.00,3.00,2.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3820971,5.00,5.00,5.00,8.00,5.00,8.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3820980,3.00,5.00,3.00,3.00,4.00,4.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3820998,8.00,5.00,5.00,4.00,6.00,6.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3821005,2.00,3.00,2.00,5.00,4.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3821013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3821021,4.00,7.00,5.00,8.00,6.00,6.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3821030,6.00,8.00,8.00,8.00,9.00,7.75,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(16,3821048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3821056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3821064,6.00,5.00,3.00,8.00,5.00,6.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(16,3821072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3821080,2.00,4.00,4.00,3.00,5.00,4.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3821099,4.00,5.00,2.00,4.00,2.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3821102,4.00,5.00,3.00,4.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3821129,2.00,8.00,2.00,5.00,4.00,4.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3821137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3821145,4.00,7.00,4.00,6.00,7.00,7.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3821153,4.00,7.00,6.00,7.00,6.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3821170,0.00,6.00,2.00,3.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3821188,3.00,3.00,3.00,7.00,6.00,5.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3821200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3821218,3.00,2.00,3.00,4.00,5.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3821285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3821323,3.00,2.00,2.00,5.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3821340,4.00,2.00,2.00,1.00,6.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3821366,2.00,3.00,3.00,2.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3821374,4.00,4.00,3.00,8.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3821382,7.00,6.00,4.00,7.00,8.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3821390,5.00,4.00,4.00,7.00,6.00,5.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3821404,4.00,2.00,4.00,4.00,3.00,NULL,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(16,3821412,3.00,6.00,4.00,3.00,4.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3821439,3.00,4.00,4.00,2.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3821447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3821455,3.00,4.00,2.00,8.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3821463,2.00,2.00,4.00,1.00,4.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3821471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3821498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3821501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3821510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3821536,2.00,2.00,4.00,7.00,4.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3821552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3821560,1.00,3.00,2.00,1.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3821609,1.00,5.00,1.00,3.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3821617,4.00,0.00,1.00,0.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3821625,6.00,3.00,4.00,5.00,4.00,5.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3821633,3.00,8.00,2.00,6.00,5.00,5.25,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3821641,2.00,1.00,2.00,6.00,3.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3821650,3.00,0.00,1.00,3.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3821668,5.00,2.00,3.00,2.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3821676,5.00,8.00,2.00,7.00,7.00,5.75,1.00,9.00,3.00,NULL,NULL,NULL,'N'),(16,3821684,1.00,5.00,2.00,2.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3821692,0.00,2.00,4.00,7.00,4.00,NULL,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3821706,1.00,3.00,2.00,2.00,0.00,NULL,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3821714,0.00,4.00,3.00,4.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3821722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3821730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3821749,5.00,6.00,2.00,2.00,4.00,5.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3821757,3.00,4.00,2.00,2.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3821765,3.00,0.00,1.00,0.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3821773,2.00,1.00,3.00,2.00,3.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3821781,5.00,7.00,6.00,9.00,7.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3821790,2.00,4.00,2.00,4.00,4.00,4.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3821803,4.00,5.00,3.00,4.00,5.00,6.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3821811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3821820,3.00,6.00,3.00,9.00,7.00,6.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3821838,2.00,6.00,4.00,6.00,4.00,7.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3821846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3821854,4.00,3.00,2.00,5.00,2.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3821870,3.00,5.00,2.00,4.00,5.00,4.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3821889,1.00,5.00,4.00,5.00,2.00,NULL,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3821900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3821919,3.00,1.00,4.00,3.00,3.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(16,3821927,5.00,7.00,2.00,6.00,7.00,6.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3821935,2.00,2.00,2.00,2.00,5.00,5.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3821943,6.00,8.00,1.00,9.00,4.00,6.00,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3821951,3.00,5.00,4.00,8.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3821960,2.00,0.00,3.00,0.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3821978,0.00,4.00,1.00,6.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3821986,7.00,6.00,3.00,7.00,6.00,6.25,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3822001,2.00,1.00,2.00,3.00,2.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3822010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3822028,4.00,3.00,4.00,8.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3822036,5.00,4.00,2.00,3.00,5.00,5.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3822044,3.00,4.00,2.00,6.00,7.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3822052,2.00,6.00,4.00,9.00,5.00,7.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3822060,4.00,3.00,1.00,3.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3822079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3822087,3.00,4.00,4.00,7.00,7.00,4.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3822095,4.00,2.00,2.00,7.00,5.00,6.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3822109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3822133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3822141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3822168,5.00,5.00,2.00,7.00,4.00,7.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3822176,1.00,1.00,2.00,5.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3822184,4.00,1.00,2.00,3.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3822192,3.00,4.00,2.00,5.00,5.00,6.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3822214,4.00,2.00,3.00,5.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3822222,6.00,7.00,5.00,8.00,7.00,7.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3822230,3.00,3.00,3.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3822249,1.00,3.00,2.00,6.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3822257,4.00,5.00,1.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3822265,3.00,5.00,4.00,6.00,4.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3822273,3.00,4.00,1.00,3.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3822281,1.00,6.00,1.00,3.00,5.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3822290,3.00,5.00,1.00,3.00,7.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3822303,3.00,5.00,2.00,7.00,3.00,NULL,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3822311,3.00,6.00,4.00,7.00,6.00,4.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3822320,6.00,8.00,4.00,2.00,5.00,5.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3822338,3.00,3.00,2.00,6.00,5.00,5.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3822346,5.00,2.00,3.00,6.00,4.00,6.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3822354,4.00,7.00,4.00,7.00,5.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3822362,3.00,7.00,2.00,4.00,5.00,5.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3822370,0.00,0.00,0.00,6.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3822389,2.00,2.00,3.00,4.00,2.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3822397,1.00,3.00,1.00,6.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3822400,1.00,7.00,2.00,3.00,5.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3822419,3.00,5.00,1.00,7.00,5.00,5.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3822427,6.00,6.00,5.00,6.00,6.00,5.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(16,3822435,5.00,5.00,1.00,5.00,4.00,4.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3822443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3822451,4.00,4.00,4.00,7.00,5.00,4.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3822460,5.00,5.00,1.00,2.00,7.00,6.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3822478,4.00,4.00,2.00,5.00,5.00,7.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3822486,4.00,2.00,3.00,1.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3822494,5.00,6.00,1.00,7.00,5.00,4.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3822508,5.00,6.00,6.00,7.00,7.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3822516,6.00,2.00,3.00,0.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3822524,7.00,4.00,4.00,5.00,5.00,4.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3822532,4.00,3.00,4.00,5.00,4.00,4.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3822540,2.00,3.00,3.00,6.00,2.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3822559,7.00,6.00,4.00,7.00,2.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3822567,3.00,4.00,1.00,5.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3822575,7.00,6.00,4.00,7.00,8.00,5.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3822583,5.00,7.00,3.00,7.00,8.00,7.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(16,3822591,3.00,7.00,1.00,6.00,4.00,5.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3822605,5.00,5.00,3.00,7.00,5.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3822613,5.00,5.00,4.00,7.00,6.00,6.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3822621,4.00,2.00,2.00,6.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3822630,1.00,3.00,4.00,7.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3822648,1.00,2.00,4.00,5.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3822656,3.00,4.00,4.00,5.00,6.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3822664,0.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3822672,4.00,7.00,2.00,3.00,5.00,3.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3822680,3.00,2.00,1.00,5.00,1.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3822699,2.00,3.00,2.00,8.00,5.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3822702,1.00,2.00,1.00,3.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3822710,3.00,3.00,4.00,4.00,4.00,4.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3822729,5.00,5.00,2.00,5.00,6.00,6.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3822737,5.00,4.00,2.00,5.00,4.00,4.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3822745,3.00,0.00,1.00,4.00,3.00,NULL,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3822753,3.00,5.00,1.00,6.00,2.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3822761,5.00,6.00,2.00,5.00,7.00,4.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3822770,5.00,3.00,4.00,7.00,4.00,4.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3822788,4.00,4.00,5.00,6.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3822796,4.00,4.00,4.00,7.00,4.00,5.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3822800,4.00,4.00,3.00,8.00,7.00,5.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3822818,3.00,5.00,4.00,5.00,5.00,5.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3822826,4.00,5.00,1.00,0.00,7.00,4.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3822834,4.00,4.00,5.00,6.00,7.00,5.50,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3822842,4.00,1.00,4.00,5.00,4.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3822850,4.00,5.00,4.00,5.00,4.00,4.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3822869,2.00,5.00,2.00,3.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3822877,5.00,3.00,1.00,4.00,2.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3822893,2.00,3.00,3.00,6.00,6.00,4.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3822907,6.00,8.00,4.00,5.00,5.00,4.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3822915,2.00,5.00,5.00,4.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3822923,3.00,3.00,2.00,4.00,4.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3822931,5.00,7.00,2.00,6.00,5.00,5.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3822940,4.00,2.00,1.00,3.00,1.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3822958,4.00,7.00,2.00,7.00,6.00,6.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3822966,3.00,3.00,4.00,6.00,6.00,3.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3822974,3.00,0.00,3.00,4.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3822982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3822990,3.00,5.00,3.00,6.00,4.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3823008,4.00,8.00,1.00,6.00,5.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3823016,2.00,3.00,1.00,3.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3823024,4.00,4.00,1.00,3.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3823032,7.00,6.00,2.00,5.00,7.00,5.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3823040,3.00,5.00,1.00,5.00,5.00,5.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3823059,5.00,6.00,4.00,6.00,5.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3823067,5.00,6.00,3.00,7.00,4.00,4.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3823075,1.00,3.00,4.00,5.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3823083,3.00,3.00,4.00,5.00,1.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3823091,4.00,6.00,3.00,6.00,4.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3823105,4.00,3.00,1.00,2.00,5.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3823113,6.00,6.00,4.00,7.00,6.00,7.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3823121,3.00,2.00,2.00,1.00,0.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3823130,6.00,5.00,4.00,5.00,5.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3823148,2.00,3.00,3.00,2.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3823156,5.00,6.00,3.00,6.00,3.00,NULL,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3823164,0.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3823172,2.00,0.00,1.00,3.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3823180,4.00,5.00,3.00,7.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3823199,5.00,5.00,4.00,6.00,5.00,6.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3823202,2.00,4.00,4.00,2.00,6.00,5.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3823210,4.00,5.00,2.00,5.00,5.00,0.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3823229,6.00,4.00,1.00,6.00,5.00,4.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3823237,1.00,2.00,2.00,1.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3823245,5.00,6.00,4.00,8.00,6.00,4.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3823253,6.00,5.00,3.00,7.00,5.00,4.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3823261,2.00,4.00,2.00,6.00,7.00,4.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3823270,2.00,4.00,1.00,6.00,7.00,5.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3823288,6.00,3.00,2.00,4.00,5.00,4.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3823296,3.00,3.00,6.00,2.00,4.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3823300,4.00,6.00,2.00,8.00,5.00,5.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3823318,7.00,6.00,3.00,7.00,7.00,5.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3823326,4.00,3.00,2.00,4.00,4.00,4.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3823334,4.00,3.00,4.00,4.00,4.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3823342,2.00,5.00,4.00,7.00,4.00,5.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3823350,0.00,4.00,2.00,3.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3823369,4.00,4.00,1.00,5.00,1.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3823377,3.00,5.00,3.00,6.00,4.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3823385,4.00,2.00,1.00,3.00,3.00,NULL,4.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3823407,6.00,2.00,5.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3823415,4.00,6.00,2.00,6.00,6.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3823423,3.00,4.00,3.00,5.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3823431,2.00,3.00,3.00,1.00,1.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3823440,4.00,3.00,3.00,6.00,5.00,4.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3823458,3.00,1.00,2.00,4.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3823466,5.00,5.00,2.00,5.00,7.00,5.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3823474,5.00,6.00,1.00,4.00,5.00,4.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3823482,2.00,0.00,3.00,2.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(16,3823490,6.00,3.00,4.00,5.00,6.00,4.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3823504,6.00,4.00,4.00,7.00,7.00,5.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3823512,5.00,6.00,5.00,3.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3823520,5.00,3.00,1.00,0.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3823547,3.00,3.00,2.00,4.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3823555,5.00,4.00,4.00,5.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3823563,4.00,3.00,1.00,6.00,5.00,6.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3823571,1.00,4.00,3.00,4.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3823580,3.00,2.00,1.00,6.00,5.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(16,3823598,5.00,3.00,3.00,5.00,5.00,5.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3823601,2.00,5.00,3.00,5.00,6.00,4.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3823610,5.00,4.00,1.00,8.00,5.00,5.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3823628,2.00,1.00,2.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3823636,3.00,6.00,4.00,7.00,7.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3823644,3.00,4.00,5.00,6.00,4.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3823660,3.00,2.00,3.00,3.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3823679,3.00,6.00,4.00,6.00,4.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3823687,4.00,6.00,2.00,4.00,5.00,4.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3823695,4.00,3.00,1.00,4.00,4.00,5.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3823709,3.00,5.00,5.00,7.00,6.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3823717,5.00,5.00,5.00,9.00,7.00,6.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3823725,4.00,2.00,3.00,4.00,4.00,5.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3823733,3.00,5.00,1.00,6.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3823741,4.00,5.00,2.00,1.00,5.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3823750,3.00,4.00,4.00,4.00,4.00,3.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3823768,2.00,1.00,4.00,2.00,2.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3823776,5.00,6.00,1.00,4.00,6.00,3.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3823784,5.00,4.00,3.00,2.00,4.00,4.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3823792,4.00,6.00,3.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3823814,6.00,7.00,5.00,7.00,5.00,4.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3823822,2.00,2.00,1.00,3.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3823830,3.00,4.00,3.00,6.00,4.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3823849,2.00,2.00,3.00,5.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3823857,3.00,3.00,2.00,5.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3823865,2.00,3.00,2.00,4.00,4.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3823873,4.00,5.00,2.00,5.00,6.00,5.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3823881,5.00,5.00,4.00,7.00,7.00,4.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3823890,3.00,5.00,4.00,6.00,5.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3823903,5.00,5.00,3.00,8.00,7.00,5.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3823911,3.00,3.00,2.00,5.00,7.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3823920,5.00,6.00,4.00,4.00,4.00,5.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3823938,3.00,1.00,4.00,7.00,4.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3823946,2.00,4.00,4.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3823954,3.00,7.00,4.00,6.00,4.00,4.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3823962,5.00,5.00,3.00,6.00,4.00,5.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3823970,3.00,2.00,2.00,5.00,4.00,5.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3823989,3.00,4.00,3.00,6.00,5.00,4.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3823997,4.00,4.00,3.00,5.00,4.00,5.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3824004,5.00,7.00,3.00,4.00,9.00,5.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3824012,4.00,6.00,5.00,6.00,6.00,6.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3824020,3.00,6.00,5.00,6.00,6.00,7.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3824039,3.00,4.00,3.00,6.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3824047,5.00,4.00,2.00,4.00,2.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(16,3824055,4.00,2.00,2.00,6.00,5.00,4.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3824063,6.00,6.00,3.00,4.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3824071,4.00,4.00,4.00,4.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3824080,5.00,5.00,2.00,7.00,6.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3824098,5.00,1.00,2.00,4.00,6.00,4.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3824101,7.00,7.00,4.00,7.00,5.00,4.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3824110,2.00,1.00,2.00,2.00,2.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3824128,4.00,6.00,4.00,5.00,8.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3824136,2.00,2.00,4.00,1.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3824144,4.00,4.00,1.00,3.00,7.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3824160,1.00,4.00,3.00,2.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3824179,3.00,4.00,1.00,6.00,7.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3824187,4.00,6.00,4.00,4.00,4.00,3.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3824195,4.00,3.00,4.00,3.00,5.00,4.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3824209,2.00,4.00,1.00,3.00,4.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(16,3824217,3.00,1.00,2.00,4.00,5.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3824225,5.00,4.00,2.00,5.00,5.00,5.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3824233,6.00,6.00,5.00,3.00,7.00,7.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3824241,1.00,1.00,2.00,1.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3824250,3.00,2.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3824268,0.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3824276,3.00,2.00,2.00,4.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3824284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3824292,5.00,5.00,2.00,8.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3824306,6.00,4.00,3.00,4.00,5.00,6.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3824314,3.00,3.00,2.00,3.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3824322,7.00,5.00,4.00,6.00,6.00,6.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3824330,5.00,2.00,3.00,4.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3824349,2.00,3.00,3.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3824357,4.00,7.00,4.00,7.00,6.00,5.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(16,3824365,4.00,3.00,2.00,8.00,7.00,6.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3824373,2.00,5.00,2.00,6.00,5.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3824381,4.00,6.00,3.00,7.00,3.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3824390,2.00,2.00,1.00,0.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3824403,6.00,7.00,5.00,8.00,8.00,4.25,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3824411,4.00,7.00,4.00,5.00,4.00,4.50,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(16,3824420,4.00,0.00,4.00,3.00,1.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3824438,3.00,4.00,1.00,5.00,5.00,5.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3824446,7.00,6.00,3.00,6.00,6.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3824454,3.00,1.00,2.00,2.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3824462,6.00,7.00,5.00,8.00,7.00,7.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3824470,3.00,3.00,2.00,3.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3824489,5.00,5.00,2.00,3.00,6.00,5.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3824497,4.00,2.00,5.00,6.00,5.00,5.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3824500,1.00,3.00,3.00,4.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3824519,6.00,6.00,5.00,3.00,4.00,6.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3824527,1.00,4.00,3.00,2.00,2.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3824535,3.00,2.00,3.00,4.00,3.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3824543,1.00,2.00,1.00,5.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3824551,2.00,0.00,2.00,6.00,5.00,4.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3824560,2.00,5.00,3.00,1.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3824578,5.00,6.00,3.00,7.00,4.00,4.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3824594,2.00,6.00,3.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3824608,3.00,3.00,4.00,6.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3824616,5.00,6.00,3.00,4.00,5.00,4.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3824624,2.00,1.00,2.00,2.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3824632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3824640,4.00,5.00,3.00,6.00,6.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3824659,4.00,4.00,1.00,5.00,5.00,5.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3824667,5.00,7.00,4.00,7.00,3.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3824675,4.00,4.00,4.00,4.00,4.00,4.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3824683,7.00,7.00,3.00,5.00,5.00,7.25,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(16,3824691,6.00,7.00,4.00,2.00,7.00,4.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3824705,2.00,2.00,4.00,6.00,5.00,4.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3824713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3824721,2.00,3.00,4.00,3.00,4.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3824730,4.00,7.00,5.00,6.00,3.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3824748,1.00,3.00,3.00,1.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3824756,4.00,4.00,5.00,3.00,5.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3824772,5.00,7.00,3.00,6.00,8.00,7.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3824780,7.00,4.00,4.00,5.00,4.00,4.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3824799,4.00,3.00,4.00,5.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3824802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3824810,2.00,3.00,4.00,4.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3824829,2.00,4.00,1.00,6.00,2.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3824837,2.00,5.00,4.00,5.00,5.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3824845,1.00,2.00,3.00,1.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3824853,2.00,3.00,6.00,5.00,6.00,5.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3824861,4.00,4.00,6.00,6.00,4.00,6.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3824870,6.00,5.00,3.00,5.00,5.00,4.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3824888,4.00,1.00,1.00,2.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3824896,3.00,6.00,4.00,6.00,5.00,4.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3824900,2.00,3.00,1.00,4.00,5.00,2.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3824918,2.00,6.00,5.00,7.00,6.00,5.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3824926,4.00,6.00,5.00,7.00,7.00,4.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3824934,4.00,4.00,4.00,4.00,6.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3824942,6.00,5.00,4.00,3.00,6.00,7.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3824950,2.00,5.00,2.00,5.00,8.00,4.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3824969,3.00,4.00,3.00,8.00,6.00,4.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3824977,4.00,4.00,2.00,4.00,0.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3824985,5.00,8.00,4.00,7.00,7.00,5.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3825000,6.00,4.00,1.00,4.00,4.00,4.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3825019,6.00,6.00,5.00,7.00,5.00,5.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(16,3825027,4.00,6.00,5.00,7.00,8.00,5.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3825035,1.00,0.00,1.00,4.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3825043,5.00,4.00,2.00,5.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3825051,3.00,3.00,1.00,4.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3825060,1.00,2.00,2.00,6.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3825078,5.00,3.00,3.00,6.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(16,3825086,2.00,5.00,1.00,6.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3825094,1.00,2.00,2.00,0.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(16,3825108,6.00,6.00,5.00,5.00,5.00,4.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3825116,2.00,4.00,2.00,7.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3825124,3.00,3.00,5.00,7.00,6.00,5.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3825140,0.00,4.00,1.00,5.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3825159,5.00,4.00,2.00,7.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3825167,3.00,6.00,3.00,3.00,5.00,4.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3825175,4.00,3.00,3.00,3.00,5.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3825183,6.00,6.00,3.00,7.00,7.00,5.00,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3825191,4.00,6.00,3.00,6.00,4.00,5.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3825205,5.00,4.00,2.00,7.00,4.00,6.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3825213,5.00,6.00,2.00,6.00,5.00,6.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3825221,5.00,4.00,2.00,7.00,5.00,6.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3825230,3.00,7.00,5.00,7.00,6.00,6.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3825248,4.00,5.00,1.00,7.00,4.00,4.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3825256,3.00,4.00,3.00,8.00,4.00,6.00,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(16,3825264,3.00,5.00,2.00,6.00,5.00,4.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3825272,2.00,3.00,2.00,5.00,4.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3825280,2.00,5.00,2.00,4.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3825299,1.00,3.00,2.00,2.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3825302,1.00,4.00,3.00,6.00,4.00,7.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3825329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3825337,6.00,5.00,1.00,7.00,4.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3825345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3825353,4.00,4.00,4.00,6.00,3.00,NULL,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(16,3825361,2.00,2.00,2.00,4.00,0.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3825370,6.00,8.00,4.00,7.00,8.00,5.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3825388,0.00,1.00,2.00,6.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3825396,6.00,7.00,3.00,7.00,6.00,5.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3825400,6.00,8.00,5.00,6.00,6.00,5.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3825418,2.00,4.00,2.00,5.00,6.00,4.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3825426,4.00,5.00,1.00,3.00,4.00,4.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3825434,4.00,6.00,4.00,7.00,6.00,5.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3825442,7.00,6.00,2.00,9.00,7.00,4.25,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(16,3825450,5.00,3.00,3.00,2.00,4.00,4.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3825469,3.00,3.00,1.00,6.00,5.00,5.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3825485,5.00,7.00,4.00,6.00,4.00,4.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3825493,1.00,5.00,5.00,4.00,1.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3825507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3825515,3.00,7.00,5.00,5.00,7.00,7.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3825523,1.00,5.00,2.00,6.00,4.00,4.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3825531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3825540,2.00,3.00,1.00,3.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3825558,4.00,5.00,4.00,4.00,2.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3825566,3.00,3.00,4.00,0.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3825574,4.00,5.00,2.00,7.00,8.00,4.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3825582,4.00,5.00,2.00,7.00,6.00,4.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3825590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3825604,2.00,2.00,1.00,4.00,4.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3825612,4.00,5.00,4.00,6.00,5.00,6.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3825620,3.00,7.00,2.00,2.00,4.00,5.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3825639,1.00,2.00,1.00,5.00,5.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3825647,3.00,7.00,3.00,5.00,5.00,4.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3825655,1.00,3.00,1.00,4.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3825663,2.00,4.00,2.00,3.00,4.00,5.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3825671,3.00,6.00,4.00,4.00,4.00,4.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3825680,6.00,6.00,6.00,7.00,7.00,5.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3825698,3.00,4.00,2.00,4.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3825701,3.00,1.00,3.00,7.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3825710,6.00,6.00,4.00,6.00,3.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3825728,2.00,4.00,1.00,5.00,5.00,4.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3825736,3.00,6.00,2.00,4.00,4.00,5.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3825744,4.00,2.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3825752,4.00,3.00,4.00,4.00,4.00,3.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3825760,3.00,3.00,1.00,2.00,6.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3825787,5.00,7.00,2.00,7.00,3.00,NULL,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3825795,2.00,5.00,1.00,6.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3825809,6.00,5.00,3.00,7.00,6.00,4.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3825817,6.00,6.00,2.00,7.00,6.00,5.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3825825,5.00,2.00,1.00,6.00,4.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3825833,4.00,4.00,4.00,7.00,4.00,3.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3825841,3.00,6.00,2.00,5.00,5.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3825850,3.00,1.00,4.00,2.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3825868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3825884,2.00,3.00,2.00,2.00,7.00,6.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3825892,3.00,5.00,4.00,4.00,2.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3825906,5.00,7.00,3.00,5.00,5.00,5.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3825914,4.00,3.00,4.00,6.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3825922,3.00,4.00,3.00,5.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(16,3825930,3.00,4.00,3.00,6.00,4.00,5.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3825949,4.00,7.00,2.00,6.00,4.00,4.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3825957,5.00,5.00,2.00,7.00,7.00,6.50,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(16,3825965,4.00,6.00,4.00,4.00,5.00,4.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3825973,4.00,6.00,3.00,7.00,6.00,4.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3825981,3.00,3.00,2.00,3.00,0.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3825990,4.00,5.00,3.00,4.00,7.00,5.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3826007,4.00,6.00,2.00,3.00,5.00,5.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3826015,2.00,5.00,4.00,2.00,6.00,5.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3826023,4.00,2.00,4.00,6.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3826031,5.00,3.00,3.00,5.00,3.00,NULL,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3826040,6.00,6.00,4.00,6.00,5.00,6.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3826058,3.00,3.00,4.00,6.00,5.00,5.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3826066,3.00,3.00,2.00,3.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3826074,6.00,8.00,5.00,7.00,7.00,5.00,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(16,3826082,2.00,4.00,4.00,5.00,4.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3826090,2.00,4.00,4.00,5.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3826104,4.00,4.00,2.00,2.00,4.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3826112,6.00,4.00,3.00,5.00,3.00,NULL,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3826120,4.00,7.00,2.00,7.00,5.00,4.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3826139,4.00,6.00,3.00,7.00,8.00,5.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3826147,2.00,4.00,2.00,2.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3826163,3.00,7.00,2.00,3.00,4.00,4.50,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3826171,1.00,5.00,4.00,7.00,5.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3826180,5.00,8.00,4.00,7.00,7.00,5.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3826198,2.00,2.00,4.00,3.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3826201,5.00,5.00,2.00,6.00,6.00,6.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(16,3826210,4.00,4.00,1.00,3.00,5.00,7.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3826228,0.00,1.00,2.00,6.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3826236,3.00,4.00,4.00,5.00,4.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3826244,6.00,5.00,4.00,5.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3826252,2.00,3.00,3.00,4.00,4.00,4.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3826260,3.00,2.00,1.00,6.00,5.00,6.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3826279,5.00,6.00,3.00,6.00,6.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3826287,4.00,6.00,1.00,6.00,5.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3826295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3826309,1.00,5.00,1.00,2.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3826317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3826325,0.00,0.00,0.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(16,3826333,4.00,6.00,3.00,8.00,6.00,6.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3826341,3.00,5.00,3.00,6.00,5.00,6.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3826350,3.00,5.00,1.00,7.00,4.00,4.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3826368,5.00,6.00,4.00,7.00,6.00,4.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3826376,4.00,7.00,2.00,7.00,6.00,5.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3826384,2.00,5.00,1.00,3.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3826406,1.00,3.00,4.00,4.00,5.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3826414,2.00,1.00,3.00,5.00,6.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3826422,3.00,1.00,2.00,4.00,1.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3826430,3.00,3.00,1.00,5.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3826449,6.00,5.00,4.00,7.00,5.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3826457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3826465,4.00,7.00,3.00,6.00,6.00,5.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3826473,2.00,4.00,3.00,6.00,5.00,6.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3826481,4.00,4.00,1.00,2.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3826490,4.00,6.00,3.00,5.00,5.00,4.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3826503,2.00,2.00,2.00,6.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3826511,6.00,5.00,3.00,4.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3826520,5.00,4.00,3.00,5.00,6.00,7.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3826538,4.00,6.00,1.00,7.00,6.00,8.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3826546,4.00,4.00,4.00,7.00,4.00,4.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3826589,5.00,2.00,2.00,5.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3826597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3826600,6.00,4.00,3.00,7.00,6.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3826619,1.00,5.00,3.00,4.00,8.00,5.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3826627,2.00,2.00,2.00,2.00,0.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3826643,2.00,2.00,1.00,1.00,0.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3826651,3.00,5.00,4.00,6.00,6.00,5.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3826660,0.00,1.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3826678,4.00,5.00,2.00,2.00,4.00,5.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3826708,5.00,5.00,4.00,6.00,5.00,5.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3826716,5.00,5.00,2.00,7.00,6.00,5.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(16,3826724,2.00,5.00,2.00,5.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3826732,3.00,3.00,6.00,5.00,5.00,5.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3826740,4.00,3.00,3.00,4.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3826759,5.00,3.00,4.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3826767,2.00,6.00,3.00,7.00,6.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3826775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3826783,5.00,4.00,4.00,6.00,4.00,5.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3826791,2.00,3.00,3.00,6.00,4.00,4.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3826805,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3826813,4.00,7.00,3.00,1.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3826821,3.00,5.00,3.00,6.00,7.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3826830,2.00,1.00,3.00,4.00,4.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3826848,2.00,4.00,1.00,6.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3826856,6.00,3.00,4.00,2.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3826864,3.00,4.00,4.00,7.00,6.00,5.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3826872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3826880,4.00,5.00,4.00,6.00,7.00,5.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3826899,2.00,3.00,4.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3826902,4.00,7.00,4.00,6.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3826910,5.00,5.00,3.00,5.00,5.00,5.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(16,3826929,2.00,2.00,3.00,2.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3826937,6.00,7.00,5.00,8.00,8.00,6.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3826945,3.00,5.00,4.00,7.00,3.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3826953,7.00,8.00,7.00,7.00,6.00,6.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(16,3826970,1.00,3.00,3.00,1.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3826988,4.00,5.00,3.00,8.00,6.00,4.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3826996,5.00,6.00,4.00,5.00,3.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(16,3827003,2.00,3.00,1.00,1.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3827011,6.00,5.00,4.00,5.00,5.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3827020,1.00,2.00,4.00,5.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3827038,3.00,6.00,4.00,6.00,5.00,6.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3827046,3.00,5.00,1.00,6.00,5.00,4.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3827054,2.00,3.00,3.00,6.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3827062,5.00,7.00,2.00,7.00,4.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3827089,4.00,1.00,2.00,2.00,4.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3827097,3.00,4.00,3.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3827100,2.00,3.00,3.00,3.00,5.00,4.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3827119,4.00,3.00,1.00,5.00,5.00,5.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3827127,5.00,2.00,2.00,6.00,4.00,5.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3827135,3.00,3.00,4.00,7.00,4.00,4.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3827143,4.00,7.00,4.00,2.00,4.00,4.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3827151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3827160,4.00,3.00,2.00,3.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3827178,6.00,5.00,4.00,2.00,3.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3827186,5.00,6.00,2.00,5.00,5.00,5.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3827194,4.00,6.00,3.00,6.00,5.00,4.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(16,3827224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3827232,1.00,3.00,2.00,3.00,1.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(16,3827240,6.00,4.00,2.00,7.00,4.00,5.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(16,3827259,3.00,4.00,2.00,4.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3827267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3827275,3.00,2.00,2.00,3.00,2.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(16,3827283,4.00,1.00,2.00,5.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3827291,1.00,4.00,3.00,5.00,4.00,5.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3827305,3.00,3.00,1.00,3.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3827313,4.00,4.00,1.00,7.00,4.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(16,3827321,2.00,3.00,2.00,4.00,4.00,6.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3827330,5.00,1.00,3.00,2.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(16,3827348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3827364,2.00,2.00,4.00,2.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3827372,4.00,5.00,2.00,5.00,5.00,5.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3827380,0.00,0.00,1.00,3.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3827399,3.00,4.00,2.00,7.00,5.00,4.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3827402,5.00,6.00,1.00,2.00,5.00,5.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3827429,2.00,2.00,1.00,7.00,4.00,5.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3827437,2.00,3.00,1.00,3.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3827445,6.00,5.00,3.00,2.00,7.00,5.00,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3827453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3827461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3827470,6.00,4.00,5.00,6.00,6.00,6.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3827488,2.00,1.00,2.00,3.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(16,3827496,0.00,2.00,2.00,3.00,0.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3827500,5.00,4.00,4.00,1.00,4.00,7.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3827518,1.00,4.00,3.00,1.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3827526,4.00,4.00,4.00,5.00,4.00,4.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(16,3827534,2.00,5.00,3.00,0.00,0.00,NULL,3.00,3.00,2.00,'S',NULL,NULL,'N'),(16,3827542,4.00,5.00,2.00,3.00,5.00,5.25,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3827550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3827569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3827585,2.00,1.00,2.00,5.00,1.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3827593,4.00,3.00,5.00,6.00,5.00,6.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3827607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3827615,4.00,4.00,3.00,2.00,4.00,6.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3827623,4.00,4.00,3.00,4.00,5.00,4.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3827631,5.00,6.00,2.00,5.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3827640,3.00,0.00,2.00,0.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3827658,5.00,4.00,2.00,6.00,4.00,5.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3827666,3.00,3.00,5.00,1.00,6.00,5.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3827674,6.00,7.00,1.00,3.00,5.00,5.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(16,3827690,3.00,5.00,4.00,5.00,6.00,5.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(16,3827704,3.00,4.00,2.00,4.00,0.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(16,3827712,5.00,4.00,6.00,6.00,6.00,6.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(16,3827720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3827739,4.00,6.00,3.00,1.00,4.00,6.25,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3827755,3.00,5.00,3.00,0.00,0.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3827763,2.00,2.00,2.00,8.00,5.00,6.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3827771,4.00,4.00,1.00,2.00,3.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(16,3827780,3.00,3.00,2.00,3.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3827798,2.00,2.00,1.00,4.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3827801,3.00,0.00,4.00,0.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3827810,4.00,4.00,3.00,5.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3827828,1.00,3.00,4.00,2.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3827844,1.00,7.00,4.00,2.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3827852,2.00,3.00,1.00,3.00,1.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(16,3827860,2.00,0.00,2.00,4.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3827879,8.00,8.00,4.00,5.00,6.00,7.00,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(16,3827887,4.00,5.00,3.00,3.00,5.00,5.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(16,3827895,2.00,3.00,3.00,1.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3827909,4.00,4.00,3.00,7.00,6.00,6.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(16,3827925,3.00,5.00,3.00,3.00,4.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(16,3827941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3827950,2.00,3.00,3.00,4.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(16,3827968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3827992,2.00,3.00,2.00,1.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3828026,5.00,3.00,3.00,5.00,2.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(16,3828034,2.00,4.00,1.00,6.00,5.00,3.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3828042,7.00,7.00,1.00,8.00,5.00,4.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(16,3828050,1.00,1.00,3.00,4.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3828069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3828077,4.00,6.00,2.00,7.00,4.00,5.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(16,3828093,2.00,1.00,3.00,0.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(16,3828107,3.00,3.00,1.00,0.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(16,3828115,3.00,3.00,3.00,2.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(16,3828131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3828140,3.00,0.00,3.00,0.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3828158,3.00,3.00,2.00,4.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(16,3828166,3.00,3.00,2.00,2.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3828174,5.00,6.00,5.00,1.00,6.00,6.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(16,3828182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3828190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3828204,2.00,4.00,4.00,5.00,5.00,5.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(16,3828212,2.00,2.00,1.00,6.00,2.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3828220,3.00,4.00,3.00,3.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(16,3828239,3.00,3.00,3.00,1.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(16,3828247,5.00,3.00,1.00,7.00,5.00,4.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(16,3828255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3828263,4.00,4.00,3.00,5.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(16,3828271,2.00,0.00,1.00,1.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(16,3828280,1.00,4.00,2.00,0.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(16,3828298,5.00,0.00,3.00,1.00,0.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(16,3828301,1.00,0.00,4.00,1.00,0.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(16,3828310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(16,3828379,6.00,5.00,4.00,7.00,7.00,6.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(16,3828387,3.00,6.00,5.00,7.00,7.00,6.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5000009,8.00,8.00,4.00,7.00,9.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5000017,3.00,6.00,1.00,6.00,4.00,11.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5000033,7.00,8.00,0.00,7.00,9.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5000041,6.00,8.00,2.00,7.00,8.00,12.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5000050,3.00,6.00,3.00,5.00,4.00,9.38,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5000068,7.00,8.00,4.00,6.00,8.00,9.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5000092,8.00,7.00,6.00,7.00,10.00,11.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5000114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5000122,5.00,6.00,4.00,1.00,5.00,8.25,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5000157,5.00,5.00,1.00,3.00,5.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5000165,7.00,7.00,4.00,4.00,6.00,7.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5000181,2.00,2.00,0.00,6.00,6.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5000190,6.00,7.00,6.00,7.00,7.00,9.00,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5000203,7.00,8.00,4.00,4.00,6.00,8.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5000211,3.00,3.00,4.00,5.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5000246,8.00,7.00,5.00,6.00,10.00,10.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5000254,6.00,6.00,5.00,7.00,7.00,7.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5000262,6.00,3.00,1.00,4.00,7.00,10.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5000270,6.00,6.00,2.00,3.00,8.00,9.00,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5000289,3.00,6.00,1.00,6.00,7.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5000319,8.00,9.00,4.00,6.00,9.00,9.00,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5000343,2.00,6.00,4.00,3.00,4.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5000351,9.00,8.00,6.00,6.00,9.00,12.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5000360,5.00,7.00,1.00,4.00,6.00,9.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5000386,8.00,7.00,5.00,5.00,9.00,10.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5000394,7.00,7.00,1.00,6.00,4.00,8.25,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5000408,5.00,7.00,0.00,6.00,8.00,7.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5000416,6.00,6.00,2.00,5.00,8.00,8.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5000424,5.00,6.00,1.00,4.00,7.00,11.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5000432,2.00,6.00,0.00,2.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5000440,8.00,7.00,2.00,7.00,6.00,9.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5000467,8.00,9.00,8.00,7.00,9.00,11.63,8.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5000475,5.00,6.00,3.00,7.00,9.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5000483,8.00,6.00,2.00,7.00,9.00,8.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5000491,8.00,7.00,0.00,6.00,8.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5000513,5.00,7.00,1.00,6.00,8.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5000530,7.00,7.00,2.00,7.00,8.00,8.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5000548,7.00,8.00,4.00,6.00,7.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5000556,5.00,7.00,7.00,6.00,7.00,10.50,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5000564,4.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5000572,7.00,6.00,5.00,5.00,9.00,9.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5000580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5000599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5000602,3.00,4.00,3.00,2.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5000629,3.00,3.00,0.00,2.00,5.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5000637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5000645,8.00,5.00,4.00,5.00,9.00,7.88,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5000653,9.00,6.00,7.00,6.00,8.00,9.00,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5000670,3.00,2.00,0.00,2.00,1.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5000688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5000696,3.00,6.00,5.00,1.00,4.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5000700,3.00,5.00,2.00,4.00,6.00,0.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5000718,4.00,6.00,1.00,4.00,5.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5000734,7.00,6.00,2.00,3.00,4.00,9.38,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5000742,8.00,5.00,4.00,6.00,8.00,6.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5000750,7.00,7.00,4.00,5.00,6.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5000769,4.00,7.00,4.00,6.00,6.00,8.63,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5000777,4.00,6.00,2.00,7.00,6.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5000785,5.00,8.00,3.00,3.00,6.00,6.75,0.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5000793,8.00,7.00,7.00,7.00,8.00,9.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5000807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5000815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5000823,7.00,5.00,4.00,7.00,6.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5000831,3.00,5.00,3.00,1.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5000840,8.00,6.00,2.00,5.00,8.00,10.50,4.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5000858,8.00,5.00,3.00,5.00,9.00,10.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5000874,8.00,7.00,6.00,7.00,10.00,11.63,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5000882,6.00,6.00,4.00,6.00,5.00,7.88,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5000890,5.00,3.00,2.00,6.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5000904,8.00,5.00,5.00,7.00,8.00,7.88,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5000912,7.00,5.00,1.00,6.00,9.00,9.00,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5000920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5000939,8.00,9.00,6.00,7.00,10.00,9.75,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5000955,5.00,6.00,5.00,4.00,5.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5000963,5.00,5.00,4.00,4.00,6.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5000980,8.00,6.00,1.00,7.00,9.00,6.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5000998,4.00,6.00,0.00,4.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5001013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5001021,5.00,4.00,2.00,6.00,5.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5001030,3.00,3.00,3.00,2.00,3.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5001064,2.00,2.00,1.00,4.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5001072,3.00,6.00,6.00,5.00,6.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5001080,8.00,7.00,6.00,7.00,11.00,11.63,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5001099,8.00,6.00,4.00,4.00,8.00,9.75,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5001102,6.00,5.00,3.00,5.00,5.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5001137,6.00,7.00,3.00,7.00,9.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5001145,6.00,6.00,5.00,5.00,8.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5001153,9.00,9.00,8.00,6.00,11.00,11.25,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5001161,5.00,7.00,0.00,5.00,6.00,8.25,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5001170,3.00,4.00,4.00,4.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5001188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5001200,8.00,7.00,7.00,8.00,9.00,11.25,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5001218,5.00,3.00,2.00,6.00,7.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5001226,6.00,7.00,6.00,5.00,8.00,6.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5001234,5.00,5.00,5.00,3.00,5.00,6.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5001242,9.00,8.00,9.00,8.00,11.00,11.63,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5001250,5.00,7.00,3.00,5.00,9.00,6.00,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5001277,7.00,4.00,4.00,7.00,9.00,7.13,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5001285,4.00,8.00,2.00,4.00,7.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5001293,3.00,5.00,1.00,5.00,5.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5001307,7.00,4.00,4.00,4.00,6.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5001315,6.00,6.00,4.00,6.00,8.00,10.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5001331,8.00,8.00,4.00,7.00,9.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5001340,5.00,6.00,6.00,7.00,7.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5001358,4.00,3.00,2.00,5.00,5.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5001374,3.00,4.00,1.00,2.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5001382,5.00,4.00,0.00,5.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5001390,5.00,7.00,5.00,4.00,5.00,8.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5001404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5001412,7.00,7.00,7.00,6.00,7.00,7.50,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5001439,7.00,6.00,3.00,5.00,6.00,9.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5001447,5.00,3.00,2.00,0.00,6.00,NULL,3.00,1.00,3.00,NULL,NULL,'S','N'),(20,5001455,8.00,8.00,3.00,7.00,9.00,7.88,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5001463,7.00,5.00,1.00,7.00,6.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5001471,5.00,6.00,5.00,6.00,6.00,7.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5001480,7.00,6.00,1.00,3.00,5.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5001498,8.00,5.00,5.00,7.00,8.00,8.63,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5001501,6.00,6.00,4.00,3.00,6.00,9.38,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5001510,7.00,6.00,5.00,8.00,9.00,9.38,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5001528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5001536,5.00,5.00,1.00,2.00,6.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5001544,4.00,4.00,0.00,2.00,6.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5001552,3.00,5.00,2.00,7.00,5.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5001560,6.00,7.00,4.00,4.00,9.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5001579,8.00,6.00,4.00,7.00,7.00,12.00,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5001595,3.00,6.00,3.00,5.00,7.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5001625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5001633,6.00,6.00,3.00,0.00,5.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5001641,8.00,8.00,6.00,6.00,9.00,11.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5001684,5.00,5.00,5.00,7.00,4.00,12.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5001706,6.00,6.00,3.00,4.00,8.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5001714,4.00,5.00,2.00,3.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5001722,8.00,7.00,4.00,7.00,10.00,11.63,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5001730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5001749,0.00,6.00,5.00,6.00,1.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5001757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5001773,7.00,5.00,4.00,7.00,8.00,10.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5001790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5001803,8.00,6.00,4.00,6.00,9.00,9.38,6.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5001811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5001820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5001854,7.00,5.00,4.00,6.00,8.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5001862,4.00,3.00,1.00,4.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5001870,9.00,6.00,4.00,6.00,8.00,7.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5001900,4.00,7.00,1.00,7.00,7.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5001919,6.00,4.00,3.00,5.00,7.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5001943,5.00,5.00,0.00,2.00,0.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5001951,7.00,6.00,3.00,5.00,8.00,8.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5001960,4.00,4.00,1.00,2.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5001994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5002001,8.00,5.00,5.00,7.00,8.00,9.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5002028,4.00,6.00,3.00,4.00,6.00,7.88,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5002036,5.00,3.00,1.00,3.00,6.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5002052,6.00,6.00,3.00,6.00,7.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5002060,9.00,6.00,5.00,5.00,9.00,8.63,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5002095,5.00,6.00,3.00,5.00,7.00,9.00,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5002109,6.00,4.00,1.00,4.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5002125,8.00,3.00,1.00,3.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5002133,7.00,6.00,4.00,6.00,9.00,8.63,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5002141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5002150,5.00,7.00,1.00,5.00,6.00,7.13,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5002168,4.00,6.00,3.00,7.00,7.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5002176,8.00,8.00,5.00,5.00,9.00,8.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5002206,6.00,3.00,2.00,4.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5002214,7.00,6.00,2.00,4.00,7.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5002222,6.00,5.00,4.00,8.00,7.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5002230,7.00,8.00,6.00,7.00,10.00,9.75,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5002249,6.00,7.00,1.00,5.00,4.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5002257,8.00,7.00,8.00,5.00,9.00,10.88,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5002265,4.00,3.00,4.00,4.00,4.00,8.63,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5002273,6.00,5.00,3.00,3.00,5.00,6.38,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5002281,1.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5002290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5002303,4.00,7.00,2.00,4.00,4.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5002311,6.00,7.00,4.00,6.00,7.00,6.75,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5002320,8.00,8.00,6.00,6.00,10.00,9.00,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5002338,5.00,5.00,2.00,6.00,7.00,7.88,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5002346,3.00,5.00,0.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5002354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5002362,2.00,2.00,1.00,2.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5002389,4.00,4.00,0.00,4.00,6.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5002397,6.00,8.00,3.00,3.00,8.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5002400,8.00,7.00,2.00,5.00,7.00,8.63,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5002419,3.00,3.00,4.00,4.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5002427,2.00,4.00,0.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5002435,6.00,6.00,4.00,4.00,6.00,6.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5002443,3.00,4.00,2.00,1.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5002451,9.00,6.00,1.00,7.00,8.00,7.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5002460,9.00,8.00,4.00,7.00,10.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5002478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5002486,6.00,7.00,2.00,4.00,8.00,11.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5002494,5.00,6.00,1.00,5.00,7.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5002508,9.00,8.00,5.00,8.00,9.00,11.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5002516,6.00,7.00,4.00,7.00,8.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5002524,8.00,8.00,5.00,7.00,8.00,9.75,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5002532,4.00,7.00,1.00,7.00,4.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5002559,9.00,8.00,5.00,7.00,9.00,8.63,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5002567,7.00,6.00,1.00,3.00,7.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5002575,8.00,8.00,1.00,5.00,7.00,11.63,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5002583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5002591,4.00,6.00,1.00,2.00,3.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5002621,2.00,5.00,1.00,5.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,'S','N'),(20,5002630,5.00,7.00,2.00,6.00,5.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5002664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5002672,9.00,7.00,7.00,7.00,11.00,8.63,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5002680,7.00,5.00,3.00,6.00,6.00,9.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5002699,9.00,6.00,1.00,6.00,9.00,10.50,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5002702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5002729,6.00,5.00,2.00,6.00,7.00,7.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5002737,7.00,8.00,5.00,7.00,6.00,9.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5002753,7.00,6.00,3.00,7.00,10.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5002761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5002796,8.00,7.00,4.00,5.00,9.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5002800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5002826,9.00,7.00,6.00,7.00,9.00,10.88,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5002834,5.00,5.00,0.00,7.00,5.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5002842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5002850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5002869,2.00,5.00,0.00,6.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5002877,4.00,5.00,2.00,4.00,6.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5002885,4.00,9.00,1.00,7.00,9.00,10.13,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5002893,6.00,7.00,3.00,6.00,9.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5002907,8.00,6.00,6.00,6.00,8.00,7.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5002915,7.00,7.00,4.00,4.00,7.00,11.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5002923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5002940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5002958,8.00,8.00,7.00,7.00,8.00,9.38,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5002966,5.00,6.00,2.00,6.00,7.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5002974,9.00,8.00,6.00,7.00,10.00,8.63,5.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5002982,5.00,6.00,2.00,3.00,7.00,9.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5003008,8.00,6.00,3.00,2.00,5.00,9.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5003016,5.00,7.00,1.00,6.00,8.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5003032,4.00,7.00,0.00,6.00,8.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5003040,7.00,7.00,0.00,7.00,9.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5003059,6.00,7.00,3.00,5.00,7.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5003067,2.00,4.00,0.00,3.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5003083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5003091,6.00,4.00,4.00,3.00,5.00,6.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5003105,8.00,8.00,2.00,3.00,9.00,10.88,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5003113,4.00,8.00,3.00,4.00,6.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5003121,6.00,7.00,3.00,7.00,9.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5003130,3.00,5.00,1.00,4.00,4.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5003148,6.00,4.00,2.00,4.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5003156,7.00,8.00,1.00,6.00,8.00,10.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5003164,4.00,6.00,4.00,3.00,6.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5003172,3.00,6.00,1.00,3.00,5.00,NULL,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5003180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5003199,6.00,6.00,2.00,7.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5003202,3.00,5.00,0.00,5.00,6.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5003210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5003229,6.00,7.00,3.00,5.00,6.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5003237,5.00,5.00,2.00,7.00,7.00,8.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5003245,2.00,1.00,1.00,3.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5003253,3.00,4.00,0.00,4.00,6.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5003261,9.00,6.00,7.00,7.00,9.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5003270,7.00,8.00,6.00,7.00,8.00,11.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5003296,5.00,7.00,4.00,6.00,6.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5003300,3.00,7.00,1.00,3.00,5.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5003334,8.00,8.00,6.00,6.00,10.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5003342,3.00,4.00,2.00,6.00,9.00,11.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5003350,1.00,3.00,2.00,3.00,6.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5003369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5003377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5003407,6.00,8.00,5.00,4.00,6.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5003415,8.00,7.00,9.00,7.00,8.00,9.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5003423,7.00,7.00,1.00,7.00,7.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5003431,5.00,4.00,2.00,5.00,6.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5003440,5.00,5.00,5.00,5.00,8.00,8.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5003458,9.00,7.00,4.00,7.00,7.00,11.25,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5003466,3.00,1.00,5.00,2.00,1.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5003474,2.00,5.00,0.00,3.00,1.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5003482,5.00,7.00,2.00,4.00,8.00,9.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5003490,2.00,5.00,0.00,2.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5003504,5.00,7.00,4.00,3.00,7.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5003512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5003520,8.00,5.00,1.00,6.00,6.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5003539,7.00,8.00,2.00,5.00,9.00,9.38,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5003547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5003555,5.00,4.00,4.00,6.00,5.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5003571,7.00,7.00,4.00,8.00,10.00,13.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5003580,5.00,5.00,1.00,7.00,5.00,7.13,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5003598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5003601,7.00,5.00,3.00,4.00,8.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5003610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5003628,6.00,3.00,3.00,7.00,7.00,9.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5003636,9.00,8.00,6.00,7.00,10.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5003644,3.00,2.00,2.00,4.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5003652,5.00,4.00,0.00,4.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5003660,3.00,3.00,3.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5003679,6.00,5.00,5.00,3.00,6.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5003687,3.00,5.00,1.00,3.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5003695,4.00,5.00,3.00,4.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5003709,6.00,9.00,4.00,4.00,9.00,6.38,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(20,5003717,8.00,4.00,3.00,4.00,4.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5003725,5.00,0.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(20,5003733,8.00,6.00,4.00,7.00,7.00,6.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5003741,7.00,6.00,3.00,4.00,7.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5003750,2.00,3.00,1.00,2.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,'S','N'),(20,5003768,8.00,7.00,5.00,7.00,9.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5003776,4.00,5.00,1.00,3.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5003784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5003814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5003822,9.00,7.00,6.00,6.00,9.00,6.75,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5003830,4.00,4.00,4.00,6.00,8.00,7.13,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5003849,4.00,6.00,1.00,3.00,8.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5003857,7.00,6.00,3.00,7.00,7.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5003865,5.00,5.00,4.00,4.00,8.00,11.63,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5003873,7.00,6.00,4.00,7.00,9.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5003881,4.00,4.00,0.00,5.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5003890,9.00,7.00,4.00,6.00,7.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5003903,7.00,4.00,3.00,3.00,4.00,6.75,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5003911,6.00,7.00,2.00,7.00,7.00,11.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5003920,7.00,8.00,4.00,7.00,10.00,12.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5003938,3.00,6.00,2.00,4.00,5.00,9.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5003946,6.00,8.00,6.00,7.00,9.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5003954,8.00,8.00,8.00,7.00,9.00,11.25,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5003962,7.00,6.00,5.00,6.00,8.00,11.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5003989,3.00,2.00,3.00,1.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5004004,3.00,3.00,2.00,7.00,6.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5004020,8.00,8.00,2.00,7.00,7.00,6.75,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5004039,1.00,5.00,2.00,0.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5004047,3.00,8.00,4.00,4.00,4.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5004055,1.00,3.00,1.00,2.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5004063,4.00,5.00,1.00,4.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5004071,4.00,3.00,1.00,6.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5004080,8.00,6.00,3.00,8.00,7.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5004098,7.00,7.00,4.00,8.00,9.00,10.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5004101,4.00,5.00,0.00,1.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,'S','N'),(20,5004110,8.00,6.00,2.00,7.00,8.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5004128,5.00,4.00,2.00,3.00,6.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5004136,2.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5004179,7.00,6.00,2.00,4.00,8.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5004187,5.00,5.00,0.00,3.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5004209,4.00,3.00,0.00,2.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5004233,8.00,7.00,1.00,6.00,7.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5004241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5004250,8.00,7.00,6.00,6.00,7.00,8.25,3.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5004268,5.00,7.00,5.00,7.00,8.00,7.50,5.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5004276,3.00,3.00,0.00,5.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5004284,8.00,8.00,5.00,7.00,9.00,10.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5004292,3.00,6.00,2.00,7.00,4.00,9.75,1.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5004306,8.00,8.00,1.00,8.00,9.00,10.50,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5004314,2.00,5.00,1.00,5.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5004330,5.00,4.00,4.00,7.00,6.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5004349,4.00,5.00,3.00,6.00,5.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5004373,4.00,5.00,1.00,5.00,5.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5004381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5004390,6.00,6.00,0.00,7.00,4.00,13.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5004411,6.00,7.00,4.00,7.00,8.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5004438,5.00,6.00,1.00,5.00,8.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5004446,4.00,7.00,4.00,5.00,4.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5004454,5.00,7.00,4.00,4.00,6.00,9.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5004462,7.00,6.00,0.00,4.00,8.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5004470,7.00,7.00,2.00,7.00,8.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5004489,8.00,7.00,7.00,7.00,10.00,10.13,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5004497,8.00,7.00,3.00,7.00,8.00,8.25,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5004500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5004519,5.00,8.00,5.00,5.00,6.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5004543,9.00,9.00,7.00,7.00,9.00,10.88,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5004551,6.00,4.00,4.00,5.00,5.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5004560,5.00,4.00,0.00,6.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5004578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5004586,9.00,6.00,7.00,8.00,10.00,7.88,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5004594,9.00,9.00,8.00,7.00,9.00,10.13,9.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5004608,6.00,8.00,4.00,7.00,8.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5004624,8.00,8.00,6.00,6.00,8.00,7.88,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5004632,0.00,2.00,3.00,2.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5004640,6.00,6.00,4.00,6.00,6.00,10.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5004659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5004667,9.00,7.00,5.00,7.00,10.00,10.88,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5004675,6.00,6.00,1.00,6.00,7.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5004691,8.00,7.00,1.00,7.00,6.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5004705,8.00,7.00,6.00,6.00,10.00,9.75,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5004713,8.00,5.00,3.00,7.00,8.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5004721,8.00,6.00,4.00,7.00,10.00,10.50,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5004748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5004756,7.00,6.00,2.00,5.00,6.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5004764,3.00,4.00,0.00,4.00,3.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5004772,8.00,6.00,4.00,7.00,7.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5004780,7.00,6.00,5.00,6.00,5.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5004799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5004810,5.00,8.00,0.00,4.00,8.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5004837,6.00,6.00,1.00,4.00,6.00,5.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5004845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5004861,1.00,4.00,1.00,3.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5004870,3.00,3.00,1.00,0.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5004888,9.00,6.00,5.00,4.00,6.00,10.50,6.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5004896,7.00,6.00,2.00,6.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5004918,5.00,0.00,2.00,1.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5004926,6.00,7.00,2.00,6.00,7.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5004942,6.00,6.00,4.00,8.00,9.00,7.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5004950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5004977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5004985,5.00,5.00,1.00,5.00,6.00,7.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5004993,7.00,5.00,3.00,6.00,7.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5005019,5.00,5.00,2.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5005035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5005043,5.00,7.00,3.00,7.00,5.00,6.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5005051,4.00,2.00,0.00,4.00,8.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5005060,6.00,6.00,1.00,5.00,6.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5005078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5005108,6.00,6.00,6.00,7.00,5.00,8.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5005116,6.00,5.00,3.00,6.00,8.00,9.38,1.00,0.00,7.00,NULL,NULL,NULL,'N'),(20,5005132,5.00,4.00,0.00,7.00,5.00,10.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5005140,5.00,7.00,3.00,6.00,8.00,9.75,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5005167,4.00,8.00,4.00,7.00,7.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5005175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5005183,8.00,8.00,3.00,7.00,7.00,7.13,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5005191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5005205,4.00,4.00,2.00,0.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5005213,3.00,6.00,1.00,4.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5005221,4.00,3.00,2.00,2.00,5.00,7.13,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5005230,9.00,5.00,7.00,6.00,10.00,9.00,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5005248,8.00,7.00,3.00,7.00,7.00,12.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5005256,3.00,6.00,0.00,7.00,5.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5005272,8.00,7.00,4.00,7.00,7.00,8.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5005280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5005299,1.00,3.00,0.00,3.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5005302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5005329,8.00,6.00,5.00,5.00,6.00,9.38,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5005337,8.00,8.00,8.00,7.00,8.00,11.63,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5005361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5005370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5005388,6.00,7.00,0.00,0.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5005400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5005418,7.00,4.00,3.00,3.00,7.00,9.00,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5005434,6.00,7.00,4.00,5.00,6.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5005442,3.00,6.00,1.00,6.00,4.00,8.25,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5005450,9.00,8.00,5.00,5.00,9.00,10.50,5.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5005469,8.00,4.00,1.00,7.00,6.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5005477,2.00,5.00,1.00,3.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5005485,4.00,7.00,2.00,7.00,9.00,9.75,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(20,5005493,5.00,8.00,3.00,4.00,9.00,10.13,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5005507,8.00,7.00,6.00,7.00,6.00,7.88,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5005515,3.00,4.00,1.00,7.00,8.00,10.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5005540,8.00,7.00,7.00,7.00,10.00,12.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5005558,6.00,5.00,3.00,5.00,11.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5005566,6.00,5.00,0.00,1.00,4.00,6.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5005574,5.00,6.00,4.00,4.00,7.00,9.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5005604,4.00,4.00,4.00,5.00,5.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5005612,8.00,7.00,5.00,6.00,9.00,10.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5005639,2.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5005647,4.00,6.00,2.00,4.00,4.00,6.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5005655,2.00,4.00,1.00,7.00,5.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5005663,9.00,8.00,4.00,7.00,10.00,11.63,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5005671,7.00,6.00,2.00,6.00,9.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5005680,7.00,3.00,5.00,5.00,7.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5005698,8.00,7.00,4.00,7.00,8.00,7.88,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5005701,7.00,7.00,2.00,3.00,5.00,3.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5005710,2.00,5.00,2.00,1.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5005736,3.00,6.00,2.00,5.00,5.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5005744,4.00,6.00,2.00,4.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5005752,6.00,6.00,3.00,7.00,8.00,7.13,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5005760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5005795,4.00,4.00,2.00,7.00,9.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5005809,4.00,3.00,1.00,5.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5005817,4.00,2.00,0.00,3.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5005825,7.00,5.00,2.00,6.00,7.00,7.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5005833,2.00,4.00,2.00,5.00,5.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5005841,4.00,6.00,4.00,5.00,9.00,9.00,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5005850,6.00,7.00,1.00,5.00,10.00,8.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5005868,3.00,1.00,0.00,4.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5005876,4.00,6.00,1.00,4.00,7.00,8.63,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5005884,7.00,8.00,3.00,6.00,8.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5005892,1.00,3.00,2.00,3.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5005906,5.00,3.00,3.00,5.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5005914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5005922,4.00,4.00,3.00,4.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5005930,7.00,7.00,8.00,7.00,7.00,10.13,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5005949,6.00,6.00,3.00,6.00,5.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5005965,4.00,6.00,1.00,4.00,3.00,NULL,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5005973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5005981,9.00,8.00,7.00,7.00,10.00,6.75,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5005990,6.00,6.00,2.00,5.00,6.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5006007,7.00,7.00,0.00,4.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5006015,9.00,7.00,2.00,7.00,7.00,10.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5006040,7.00,4.00,0.00,7.00,7.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5006066,9.00,7.00,8.00,7.00,9.00,6.38,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5006082,6.00,5.00,1.00,7.00,8.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5006104,3.00,2.00,3.00,3.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5006112,8.00,5.00,6.00,7.00,6.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5006120,4.00,4.00,1.00,0.00,6.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5006139,3.00,2.00,6.00,6.00,5.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5006155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5006163,4.00,3.00,1.00,3.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5006171,5.00,4.00,2.00,7.00,7.00,10.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5006180,6.00,4.00,2.00,5.00,9.00,9.00,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5006198,5.00,8.00,2.00,4.00,6.00,6.38,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5006201,8.00,5.00,6.00,7.00,9.00,9.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5006210,2.00,6.00,1.00,2.00,6.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5006228,2.00,5.00,0.00,4.00,5.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5006236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5006244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5006260,5.00,5.00,0.00,6.00,6.00,8.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(20,5006279,6.00,7.00,4.00,8.00,9.00,9.00,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5006287,6.00,5.00,4.00,6.00,8.00,8.63,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5006333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5006341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5006350,5.00,6.00,1.00,7.00,10.00,8.63,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5006368,4.00,5.00,5.00,1.00,5.00,9.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5006376,5.00,5.00,1.00,4.00,5.00,4.50,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5006384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5006392,5.00,4.00,3.00,5.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5006414,4.00,6.00,1.00,2.00,7.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5006422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5006430,3.00,4.00,2.00,3.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5006449,6.00,6.00,1.00,6.00,7.00,10.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5006457,8.00,6.00,6.00,5.00,6.00,8.25,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5006473,9.00,6.00,0.00,8.00,9.00,NULL,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5006481,3.00,3.00,0.00,2.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5006490,7.00,5.00,4.00,6.00,6.00,7.50,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5006503,9.00,6.00,4.00,7.00,8.00,10.13,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5006511,5.00,7.00,5.00,7.00,7.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5006520,7.00,6.00,3.00,7.00,8.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5006538,7.00,6.00,2.00,7.00,9.00,6.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5006546,7.00,7.00,7.00,7.00,6.00,10.13,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5006554,2.00,5.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5006562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5006570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5006589,4.00,3.00,4.00,4.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5006600,7.00,6.00,1.00,6.00,8.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5006619,4.00,5.00,4.00,4.00,7.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5006627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5006635,8.00,6.00,2.00,7.00,8.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5006643,8.00,7.00,1.00,6.00,9.00,10.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5006651,5.00,6.00,1.00,6.00,5.00,8.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5006660,8.00,6.00,4.00,7.00,5.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5006678,9.00,9.00,8.00,7.00,9.00,10.88,8.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5006686,8.00,6.00,4.00,7.00,5.00,7.88,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5006694,6.00,3.00,0.00,4.00,4.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5006708,4.00,5.00,3.00,7.00,8.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5006716,1.00,3.00,1.00,1.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5006724,9.00,6.00,6.00,6.00,9.00,10.50,3.00,2.00,9.00,NULL,NULL,NULL,'N'),(20,5006732,6.00,5.00,1.00,3.00,6.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5006740,9.00,6.00,4.00,7.00,9.00,6.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5006775,7.00,6.00,1.00,4.00,7.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5006783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5006791,5.00,5.00,5.00,3.00,4.00,8.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5006805,6.00,6.00,3.00,5.00,7.00,6.38,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5006813,3.00,3.00,0.00,2.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5006821,1.00,3.00,1.00,3.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5006830,2.00,7.00,1.00,4.00,5.00,6.38,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5006848,9.00,7.00,4.00,7.00,7.00,11.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5006856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5006864,5.00,4.00,2.00,3.00,5.00,9.00,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5006872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5006880,7.00,7.00,6.00,6.00,10.00,9.00,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5006899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5006902,3.00,5.00,2.00,6.00,7.00,7.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5006910,5.00,5.00,2.00,5.00,7.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5006929,7.00,6.00,4.00,5.00,8.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5006961,5.00,4.00,3.00,4.00,4.00,4.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5006970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5006988,7.00,5.00,3.00,7.00,10.00,8.63,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5006996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5007003,5.00,7.00,1.00,6.00,8.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5007011,9.00,7.00,7.00,5.00,10.00,9.00,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5007046,9.00,6.00,0.00,6.00,8.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5007062,3.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(20,5007070,5.00,7.00,3.00,6.00,9.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5007097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5007100,3.00,4.00,2.00,2.00,7.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5007119,8.00,9.00,4.00,5.00,6.00,9.38,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5007127,7.00,6.00,1.00,5.00,9.00,9.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5007135,8.00,5.00,4.00,7.00,7.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5007143,8.00,5.00,6.00,7.00,6.00,9.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5007151,6.00,7.00,4.00,5.00,8.00,11.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5007160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5007178,6.00,3.00,1.00,5.00,3.00,NULL,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5007194,8.00,5.00,1.00,7.00,9.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5007208,5.00,4.00,1.00,4.00,9.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5007216,3.00,5.00,3.00,7.00,5.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5007224,7.00,4.00,3.00,5.00,8.00,6.75,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5007240,4.00,6.00,2.00,3.00,7.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5007267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5007291,6.00,7.00,3.00,5.00,5.00,6.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5007305,9.00,9.00,7.00,6.00,9.00,12.75,7.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5007313,7.00,5.00,2.00,6.00,9.00,9.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5007330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5007356,6.00,7.00,1.00,7.00,8.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5007372,6.00,6.00,2.00,3.00,7.00,9.38,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5007380,4.00,5.00,2.00,2.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5007399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5007402,7.00,7.00,2.00,7.00,8.00,7.88,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5007410,6.00,7.00,4.00,7.00,8.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5007429,4.00,2.00,2.00,5.00,6.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5007437,4.00,5.00,3.00,6.00,7.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5007445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5007453,5.00,6.00,0.00,3.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5007461,8.00,5.00,1.00,6.00,7.00,11.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5007488,7.00,9.00,5.00,7.00,9.00,8.63,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5007496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5007500,7.00,7.00,6.00,7.00,6.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5007526,5.00,6.00,1.00,4.00,7.00,7.13,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5007534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5007542,9.00,7.00,4.00,7.00,8.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'S'),(20,5007550,6.00,6.00,4.00,5.00,6.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5007569,6.00,4.00,3.00,5.00,6.00,9.00,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5007577,6.00,5.00,3.00,4.00,6.00,6.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5007593,9.00,8.00,8.00,6.00,10.00,10.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5007615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5007623,5.00,5.00,5.00,2.00,7.00,12.38,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5007640,2.00,6.00,2.00,1.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5007658,6.00,7.00,3.00,6.00,8.00,10.13,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5007666,8.00,7.00,3.00,6.00,8.00,10.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5007674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5007682,7.00,7.00,5.00,7.00,8.00,9.38,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5007690,5.00,8.00,4.00,6.00,6.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5007704,2.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5007712,6.00,5.00,1.00,5.00,8.00,9.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5007720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5007739,2.00,4.00,0.00,1.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5007755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5007763,3.00,5.00,0.00,2.00,5.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5007771,6.00,6.00,4.00,3.00,6.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5007780,7.00,7.00,1.00,7.00,9.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5007798,5.00,4.00,4.00,6.00,8.00,8.25,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5007801,3.00,6.00,2.00,4.00,6.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5007828,5.00,4.00,3.00,2.00,4.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5007836,5.00,4.00,0.00,5.00,4.00,8.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5007879,5.00,6.00,5.00,3.00,5.00,6.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5007887,1.00,2.00,0.00,3.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5007895,6.00,8.00,5.00,7.00,7.00,9.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5007909,6.00,7.00,3.00,1.00,7.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5007917,2.00,4.00,3.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5007925,7.00,3.00,3.00,4.00,5.00,7.88,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5007933,9.00,8.00,2.00,7.00,9.00,11.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5007941,8.00,7.00,4.00,5.00,7.00,7.13,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5007950,6.00,6.00,2.00,5.00,4.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5007976,9.00,6.00,5.00,7.00,7.00,9.38,8.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5008000,7.00,5.00,2.00,7.00,8.00,7.13,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5008018,7.00,6.00,1.00,5.00,7.00,8.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5008026,4.00,6.00,4.00,7.00,7.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5008042,4.00,6.00,2.00,5.00,7.00,6.00,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5008050,3.00,7.00,4.00,0.00,2.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5008069,1.00,4.00,2.00,3.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5008077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008085,8.00,5.00,1.00,3.00,7.00,7.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5008093,6.00,6.00,4.00,3.00,8.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5008107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008115,2.00,0.00,1.00,2.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5008131,5.00,4.00,3.00,5.00,5.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5008140,4.00,6.00,2.00,5.00,7.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5008158,3.00,4.00,0.00,4.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5008166,7.00,5.00,2.00,5.00,6.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5008182,8.00,5.00,1.00,7.00,7.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5008190,8.00,7.00,3.00,6.00,8.00,7.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5008204,5.00,6.00,3.00,7.00,9.00,9.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5008247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008263,6.00,6.00,7.00,5.00,9.00,6.38,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5008271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008280,5.00,8.00,6.00,5.00,9.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5008298,3.00,6.00,0.00,1.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5008301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008310,3.00,5.00,2.00,4.00,5.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5008328,7.00,6.00,0.00,5.00,5.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5008336,7.00,6.00,4.00,7.00,7.00,9.75,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5008360,4.00,4.00,4.00,7.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5008379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008387,6.00,7.00,4.00,7.00,9.00,9.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5008409,9.00,7.00,3.00,5.00,7.00,9.38,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5008425,8.00,7.00,5.00,3.00,6.00,10.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5008450,5.00,5.00,0.00,7.00,8.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5008468,3.00,3.00,2.00,5.00,5.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5008476,2.00,2.00,0.00,3.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5008484,6.00,8.00,6.00,6.00,8.00,10.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5008492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008506,7.00,7.00,2.00,5.00,8.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5008514,6.00,6.00,3.00,6.00,8.00,10.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5008522,6.00,6.00,3.00,5.00,6.00,8.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5008530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008557,9.00,7.00,7.00,6.00,9.00,10.13,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5008565,6.00,7.00,2.00,5.00,8.00,11.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5008573,9.00,7.00,6.00,6.00,11.00,9.00,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5008581,7.00,7.00,3.00,6.00,8.00,9.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5008590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008603,4.00,6.00,0.00,3.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5008611,8.00,5.00,9.00,6.00,9.00,6.00,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5008620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008662,8.00,7.00,4.00,7.00,8.00,10.13,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5008670,4.00,5.00,4.00,7.00,7.00,10.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5008689,6.00,9.00,5.00,7.00,7.00,8.63,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5008697,6.00,7.00,1.00,6.00,8.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5008700,3.00,5.00,2.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5008719,5.00,7.00,6.00,6.00,8.00,10.50,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5008727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008735,5.00,7.00,2.00,4.00,6.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5008760,7.00,8.00,4.00,7.00,8.00,8.63,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5008786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008808,4.00,4.00,0.00,7.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5008816,6.00,5.00,2.00,6.00,7.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5008824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008840,9.00,6.00,6.00,7.00,9.00,6.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5008867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5008875,6.00,6.00,4.00,3.00,6.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5008883,9.00,7.00,7.00,7.00,11.00,7.50,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5008905,6.00,7.00,4.00,7.00,6.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5008913,7.00,4.00,4.00,5.00,6.00,9.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5008921,3.00,7.00,1.00,5.00,6.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5008930,2.00,4.00,2.00,4.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5008972,6.00,7.00,0.00,4.00,6.00,NULL,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5008980,7.00,6.00,7.00,8.00,9.00,13.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5008999,5.00,4.00,2.00,6.00,5.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5009006,2.00,5.00,3.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5009014,3.00,7.00,2.00,3.00,5.00,8.63,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5009022,3.00,2.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5009030,9.00,6.00,7.00,7.00,8.00,9.00,8.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5009049,8.00,9.00,5.00,6.00,9.00,10.13,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5009057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5009065,9.00,7.00,3.00,5.00,8.00,8.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5009073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5009090,9.00,8.00,6.00,6.00,9.00,6.75,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5009111,5.00,3.00,2.00,3.00,5.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5009120,3.00,4.00,2.00,0.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5009146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5009154,4.00,4.00,1.00,4.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5009162,7.00,4.00,2.00,5.00,8.00,9.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5009170,5.00,4.00,1.00,4.00,5.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5009197,3.00,3.00,2.00,5.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5009200,6.00,6.00,4.00,4.00,6.00,8.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5009219,7.00,8.00,2.00,4.00,9.00,9.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5009227,3.00,4.00,4.00,3.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5009243,3.00,4.00,1.00,2.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5009251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5009260,7.00,5.00,5.00,6.00,4.00,9.75,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5009278,3.00,3.00,2.00,2.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5009286,7.00,5.00,2.00,4.00,7.00,10.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5009294,4.00,4.00,1.00,3.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5009308,9.00,8.00,7.00,7.00,9.00,11.63,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5009316,6.00,5.00,4.00,7.00,9.00,9.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5009324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5009332,3.00,7.00,4.00,4.00,6.00,4.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5009340,8.00,7.00,3.00,5.00,9.00,9.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5009359,5.00,6.00,2.00,2.00,6.00,8.25,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5009367,9.00,7.00,5.00,7.00,10.00,12.38,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5009383,5.00,4.00,1.00,3.00,7.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5009391,6.00,8.00,7.00,6.00,8.00,10.88,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5009405,4.00,3.00,2.00,5.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5009413,7.00,5.00,8.00,5.00,11.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5009421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5009430,4.00,4.00,0.00,3.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5009448,7.00,8.00,3.00,4.00,7.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5009464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5009502,8.00,9.00,3.00,6.00,9.00,9.38,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5009510,1.00,8.00,6.00,5.00,4.00,6.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5009529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5009553,5.00,5.00,0.00,7.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5009570,6.00,4.00,2.00,7.00,5.00,9.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5009588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5009600,7.00,5.00,3.00,7.00,5.00,10.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5009618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5009626,5.00,8.00,1.00,4.00,5.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5009634,4.00,7.00,4.00,7.00,8.00,11.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5009642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5009650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5009677,9.00,9.00,5.00,7.00,7.00,9.00,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5009685,9.00,9.00,8.00,7.00,11.00,0.00,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5009707,3.00,6.00,2.00,4.00,7.00,10.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5009715,8.00,6.00,4.00,7.00,8.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5009740,3.00,6.00,1.00,5.00,6.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5009758,8.00,6.00,6.00,7.00,10.00,8.25,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5009766,8.00,5.00,3.00,4.00,5.00,4.88,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5009774,9.00,7.00,7.00,6.00,9.00,10.88,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5009782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5009790,6.00,6.00,0.00,6.00,8.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5009820,5.00,6.00,3.00,5.00,6.00,7.88,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5009839,7.00,9.00,6.00,7.00,8.00,10.50,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5009847,5.00,5.00,6.00,3.00,4.00,9.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5009855,6.00,4.00,1.00,3.00,8.00,7.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5009863,7.00,5.00,1.00,6.00,7.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5009871,3.00,3.00,1.00,4.00,6.00,8.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5009880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5009898,5.00,6.00,0.00,7.00,6.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5009901,7.00,8.00,2.00,7.00,9.00,8.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5009910,6.00,5.00,4.00,5.00,7.00,12.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5009936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5009944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5009952,7.00,6.00,6.00,7.00,9.00,7.50,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5009960,9.00,5.00,0.00,7.00,8.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5009979,5.00,6.00,4.00,6.00,6.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5009995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5010004,5.00,4.00,5.00,7.00,5.00,10.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5010012,6.00,6.00,1.00,6.00,9.00,9.00,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5010020,4.00,4.00,1.00,5.00,8.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5010039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5010047,9.00,7.00,6.00,7.00,8.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5010055,4.00,5.00,3.00,7.00,8.00,8.63,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5010063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5010071,5.00,6.00,2.00,6.00,7.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5010080,6.00,5.00,5.00,6.00,6.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5010098,8.00,6.00,4.00,7.00,8.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5010101,9.00,7.00,3.00,7.00,7.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5010110,7.00,6.00,6.00,7.00,9.00,9.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5010128,8.00,8.00,3.00,6.00,10.00,12.75,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5010136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5010144,8.00,5.00,5.00,7.00,9.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5010152,7.00,7.00,3.00,3.00,6.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5010160,9.00,6.00,8.00,7.00,9.00,9.38,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5010179,4.00,5.00,2.00,5.00,6.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5010195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5010209,4.00,6.00,4.00,7.00,7.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5010217,6.00,7.00,1.00,6.00,7.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5010225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5010250,6.00,6.00,2.00,4.00,4.00,10.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5010268,7.00,5.00,3.00,5.00,6.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5010276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5010292,5.00,6.00,4.00,7.00,8.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5010306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5010314,3.00,3.00,1.00,4.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5010322,8.00,8.00,3.00,6.00,8.00,7.13,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5010330,9.00,8.00,6.00,7.00,9.00,9.00,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5010349,7.00,7.00,2.00,7.00,9.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5010357,4.00,4.00,0.00,6.00,5.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5010373,7.00,8.00,2.00,4.00,6.00,10.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5010381,8.00,5.00,2.00,7.00,9.00,9.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5010403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5010411,3.00,4.00,1.00,3.00,7.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5010420,3.00,6.00,3.00,7.00,4.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5010438,7.00,6.00,8.00,7.00,6.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5010446,0.00,3.00,2.00,2.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5010489,2.00,7.00,1.00,7.00,5.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5010497,4.00,5.00,5.00,3.00,5.00,6.00,5.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5010500,5.00,5.00,1.00,5.00,7.00,7.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5010535,4.00,6.00,3.00,5.00,4.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5010551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5010560,8.00,8.00,4.00,7.00,9.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5010578,5.00,7.00,4.00,2.00,9.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5010586,6.00,4.00,3.00,3.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5010594,4.00,4.00,0.00,5.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5010608,8.00,6.00,2.00,5.00,6.00,9.00,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5010616,7.00,7.00,6.00,7.00,10.00,10.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5010624,6.00,4.00,4.00,6.00,6.00,9.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5010632,8.00,6.00,7.00,6.00,8.00,10.13,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5010640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5010659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5010667,6.00,4.00,2.00,7.00,6.00,10.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5010675,6.00,7.00,3.00,7.00,7.00,10.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5010683,5.00,6.00,3.00,7.00,7.00,7.50,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5010691,8.00,6.00,8.00,7.00,8.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5010721,2.00,0.00,2.00,3.00,0.00,NULL,2.00,0.00,2.00,NULL,NULL,'S','N'),(20,5010730,7.00,7.00,2.00,5.00,8.00,9.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5010748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5010756,7.00,6.00,4.00,6.00,6.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5010764,8.00,6.00,5.00,7.00,7.00,8.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5010772,4.00,4.00,2.00,4.00,6.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5010780,4.00,6.00,1.00,4.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5010799,2.00,5.00,0.00,0.00,0.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5010802,4.00,6.00,1.00,6.00,5.00,9.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5010810,5.00,5.00,1.00,4.00,4.00,6.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5010837,8.00,6.00,4.00,7.00,9.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5010870,5.00,5.00,0.00,6.00,7.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5010896,5.00,5.00,3.00,4.00,5.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5010918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5010926,5.00,7.00,5.00,6.00,8.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5010934,8.00,6.00,2.00,4.00,8.00,7.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5010950,6.00,6.00,1.00,5.00,5.00,8.63,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5010969,1.00,4.00,0.00,1.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5010977,2.00,6.00,1.00,6.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5010985,2.00,5.00,0.00,4.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5011019,4.00,5.00,5.00,7.00,6.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5011027,5.00,5.00,2.00,6.00,5.00,8.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5011035,4.00,6.00,5.00,5.00,6.00,13.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5011043,5.00,5.00,0.00,5.00,4.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5011051,9.00,9.00,6.00,5.00,9.00,9.38,9.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5011060,9.00,9.00,4.00,6.00,10.00,10.13,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5011078,8.00,6.00,5.00,5.00,10.00,7.88,3.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5011086,3.00,3.00,1.00,4.00,7.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5011094,8.00,7.00,1.00,7.00,9.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5011108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5011116,2.00,5.00,2.00,4.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5011124,7.00,6.00,6.00,6.00,9.00,9.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5011132,5.00,6.00,0.00,5.00,6.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5011140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5011159,8.00,7.00,3.00,7.00,9.00,9.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5011167,9.00,7.00,6.00,7.00,9.00,6.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5011175,7.00,6.00,3.00,5.00,8.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5011183,5.00,5.00,3.00,7.00,9.00,8.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5011191,7.00,7.00,0.00,7.00,9.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5011205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5011213,6.00,4.00,3.00,4.00,4.00,6.38,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5011221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5011230,6.00,7.00,3.00,5.00,7.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5011248,3.00,2.00,5.00,3.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5011256,4.00,5.00,2.00,5.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5011264,4.00,5.00,2.00,3.00,5.00,8.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5011272,8.00,6.00,7.00,7.00,9.00,6.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5011280,9.00,7.00,1.00,7.00,8.00,9.00,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5011302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5011310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5011329,5.00,5.00,5.00,7.00,6.00,7.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5011345,9.00,8.00,8.00,8.00,10.00,10.50,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5011353,8.00,7.00,5.00,7.00,8.00,6.75,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5011361,6.00,5.00,4.00,1.00,5.00,12.00,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5011370,7.00,6.00,1.00,7.00,6.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5011388,8.00,6.00,2.00,5.00,8.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5011396,6.00,5.00,1.00,4.00,6.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5011400,4.00,6.00,1.00,3.00,7.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5011418,5.00,8.00,4.00,5.00,5.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5011426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5011434,2.00,6.00,0.00,2.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5011442,5.00,7.00,1.00,6.00,10.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5011450,5.00,5.00,5.00,6.00,6.00,11.25,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5011469,6.00,7.00,4.00,6.00,6.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5011477,2.00,3.00,2.00,5.00,8.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5011485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5011493,5.00,6.00,1.00,6.00,7.00,7.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5011507,8.00,7.00,1.00,4.00,9.00,11.63,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5011540,7.00,7.00,5.00,4.00,6.00,9.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5011558,3.00,2.00,3.00,3.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5011566,5.00,6.00,0.00,5.00,7.00,7.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5011574,7.00,6.00,5.00,7.00,8.00,10.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5011582,6.00,7.00,2.00,6.00,6.00,6.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5011604,3.00,5.00,4.00,5.00,4.00,9.38,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5011612,8.00,6.00,1.00,5.00,4.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5011620,7.00,3.00,0.00,6.00,8.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5011647,5.00,7.00,3.00,5.00,4.00,6.75,0.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5011655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5011663,7.00,7.00,3.00,6.00,7.00,10.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5011671,3.00,6.00,2.00,7.00,7.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5011680,5.00,2.00,0.00,4.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5011698,9.00,6.00,7.00,6.00,8.00,9.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5011701,7.00,2.00,4.00,5.00,7.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5011710,8.00,8.00,5.00,6.00,8.00,9.38,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5011728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5011736,7.00,7.00,1.00,7.00,9.00,6.38,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5011760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5011787,7.00,6.00,4.00,7.00,9.00,8.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5011809,8.00,8.00,8.00,7.00,9.00,9.38,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5011817,5.00,5.00,2.00,4.00,8.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5011825,7.00,7.00,4.00,5.00,7.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5011833,8.00,8.00,6.00,8.00,9.00,13.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5011841,7.00,5.00,1.00,7.00,9.00,12.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5011850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5011868,7.00,9.00,3.00,7.00,9.00,10.50,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5011876,5.00,7.00,3.00,5.00,8.00,7.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5011892,8.00,7.00,7.00,8.00,9.00,10.88,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5011906,8.00,5.00,7.00,7.00,10.00,9.38,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5011914,6.00,5.00,5.00,4.00,7.00,7.88,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5011922,6.00,4.00,3.00,2.00,5.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5011957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5011965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5011973,7.00,6.00,3.00,6.00,6.00,10.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5011981,3.00,4.00,3.00,2.00,7.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5011990,5.00,5.00,0.00,4.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5012007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5012015,6.00,6.00,1.00,3.00,7.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5012031,8.00,6.00,0.00,7.00,8.00,10.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5012040,7.00,7.00,1.00,4.00,8.00,7.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5012058,2.00,3.00,0.00,4.00,5.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5012066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5012074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5012082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5012090,4.00,5.00,1.00,3.00,5.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5012104,8.00,8.00,5.00,6.00,9.00,10.13,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5012112,8.00,7.00,6.00,4.00,9.00,10.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5012120,7.00,8.00,3.00,7.00,9.00,9.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5012139,7.00,8.00,6.00,6.00,8.00,10.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5012155,7.00,7.00,4.00,4.00,9.00,12.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5012163,7.00,7.00,4.00,5.00,6.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5012171,6.00,5.00,1.00,4.00,7.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5012198,7.00,6.00,5.00,8.00,7.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5012201,2.00,1.00,3.00,1.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5012210,4.00,6.00,3.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5012228,2.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5012236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5012252,7.00,7.00,3.00,5.00,9.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5012260,6.00,6.00,5.00,8.00,8.00,12.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5012279,9.00,7.00,5.00,7.00,9.00,10.88,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5012287,4.00,7.00,1.00,6.00,9.00,7.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5012295,5.00,5.00,4.00,5.00,6.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5012309,8.00,7.00,9.00,6.00,7.00,9.00,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5012317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5012325,8.00,7.00,4.00,5.00,9.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5012341,1.00,2.00,3.00,1.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5012350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5012368,6.00,8.00,5.00,5.00,7.00,10.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5012376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5012384,6.00,4.00,5.00,6.00,6.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5012392,8.00,5.00,3.00,6.00,8.00,8.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5012406,3.00,6.00,1.00,5.00,6.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5012414,6.00,7.00,2.00,5.00,8.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5012422,2.00,1.00,0.00,4.00,7.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5012430,4.00,6.00,2.00,6.00,9.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5012449,3.00,4.00,1.00,4.00,5.00,9.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5012465,5.00,5.00,2.00,8.00,5.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5012481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5012490,4.00,5.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5012511,4.00,5.00,0.00,4.00,4.00,8.63,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5012520,4.00,8.00,3.00,5.00,9.00,10.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5012546,4.00,5.00,4.00,2.00,4.00,7.50,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5012554,7.00,7.00,3.00,6.00,9.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5012562,5.00,4.00,3.00,3.00,4.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5012570,7.00,5.00,0.00,5.00,6.00,7.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5012597,9.00,7.00,7.00,7.00,10.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5012600,4.00,4.00,4.00,1.00,7.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5012627,7.00,6.00,1.00,5.00,5.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5012635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5012643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5012651,4.00,4.00,3.00,4.00,3.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5012660,6.00,6.00,5.00,8.00,10.00,9.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5012678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5012686,9.00,7.00,4.00,5.00,7.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5012694,5.00,5.00,1.00,5.00,7.00,9.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5012716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5012732,3.00,6.00,3.00,6.00,10.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5012740,6.00,6.00,5.00,7.00,9.00,9.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5012767,9.00,7.00,6.00,6.00,8.00,8.63,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5012783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5012791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5012805,8.00,4.00,3.00,6.00,8.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5012813,9.00,7.00,0.00,6.00,9.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5012821,7.00,6.00,0.00,6.00,7.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5012830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5012848,4.00,3.00,3.00,6.00,5.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5012856,9.00,8.00,7.00,5.00,7.00,14.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5012864,7.00,6.00,0.00,6.00,4.00,10.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5012872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5012880,6.00,7.00,2.00,6.00,9.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5012899,7.00,5.00,0.00,6.00,7.00,6.75,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5012910,4.00,3.00,2.00,6.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5012929,7.00,6.00,6.00,3.00,5.00,7.88,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5012937,6.00,3.00,3.00,4.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5012945,8.00,7.00,4.00,7.00,8.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5012953,3.00,3.00,2.00,4.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5012961,8.00,5.00,1.00,7.00,8.00,8.25,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5012970,8.00,8.00,7.00,4.00,8.00,8.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5012988,7.00,6.00,0.00,5.00,8.00,8.25,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5012996,5.00,7.00,0.00,4.00,6.00,8.63,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5013003,7.00,7.00,4.00,7.00,8.00,10.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5013011,9.00,7.00,4.00,5.00,7.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5013020,4.00,4.00,0.00,5.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5013038,4.00,5.00,1.00,5.00,4.00,6.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5013046,7.00,8.00,6.00,6.00,7.00,9.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5013054,8.00,4.00,3.00,3.00,5.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5013062,9.00,8.00,4.00,7.00,10.00,12.38,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5013070,6.00,4.00,2.00,6.00,7.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5013089,3.00,4.00,5.00,5.00,6.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5013100,2.00,5.00,3.00,4.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5013119,5.00,4.00,4.00,6.00,8.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5013127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5013135,7.00,6.00,2.00,4.00,6.00,9.38,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5013143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5013151,9.00,8.00,9.00,7.00,10.00,10.13,9.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5013160,4.00,4.00,5.00,5.00,7.00,6.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5013178,8.00,6.00,4.00,7.00,9.00,11.63,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5013186,5.00,4.00,1.00,4.00,6.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5013194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5013208,8.00,7.00,1.00,6.00,9.00,7.88,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5013216,8.00,6.00,4.00,4.00,7.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5013224,4.00,4.00,1.00,5.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5013232,6.00,5.00,4.00,7.00,9.00,10.50,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5013240,4.00,6.00,1.00,5.00,4.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5013259,5.00,3.00,0.00,1.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5013267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5013275,7.00,7.00,7.00,7.00,7.00,8.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5013283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5013291,7.00,4.00,4.00,6.00,8.00,10.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5013305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5013313,9.00,7.00,8.00,7.00,10.00,12.00,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5013321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5013330,6.00,7.00,1.00,4.00,6.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5013348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5013364,8.00,8.00,7.00,7.00,7.00,7.88,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5013380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5013429,5.00,6.00,1.00,5.00,4.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5013437,5.00,8.00,3.00,7.00,8.00,9.38,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5013445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5013461,7.00,7.00,3.00,6.00,6.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5013470,2.00,6.00,0.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5013488,8.00,5.00,5.00,7.00,8.00,10.88,7.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5013496,5.00,3.00,2.00,3.00,3.00,NULL,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5013500,9.00,8.00,6.00,6.00,8.00,11.63,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5013518,7.00,4.00,6.00,7.00,8.00,6.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5013526,8.00,2.00,5.00,7.00,7.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5013534,6.00,5.00,3.00,4.00,5.00,7.88,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5013542,9.00,7.00,7.00,7.00,10.00,8.25,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5013550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5013569,9.00,6.00,4.00,4.00,9.00,8.25,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5013577,9.00,9.00,4.00,4.00,9.00,10.88,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5013585,9.00,6.00,2.00,8.00,9.00,8.63,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5013593,5.00,8.00,5.00,5.00,7.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5013607,6.00,6.00,3.00,7.00,10.00,9.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5013640,9.00,9.00,8.00,7.00,11.00,12.00,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5013658,4.00,4.00,2.00,7.00,4.00,10.88,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(20,5013666,6.00,6.00,2.00,4.00,4.00,10.50,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5013674,8.00,8.00,6.00,3.00,9.00,10.13,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5013682,4.00,6.00,3.00,6.00,6.00,11.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5013690,6.00,6.00,5.00,6.00,6.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5013712,5.00,5.00,2.00,5.00,8.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5013720,3.00,5.00,2.00,6.00,5.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5013739,3.00,3.00,0.00,2.00,7.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5013747,8.00,4.00,6.00,7.00,9.00,9.38,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5013755,7.00,6.00,2.00,7.00,9.00,10.50,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5013763,6.00,6.00,6.00,7.00,10.00,9.38,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5013771,8.00,7.00,1.00,4.00,6.00,10.13,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5013780,8.00,4.00,2.00,7.00,10.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5013798,5.00,5.00,0.00,6.00,7.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5013801,5.00,7.00,1.00,2.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5013810,4.00,3.00,6.00,6.00,6.00,6.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5013828,5.00,5.00,3.00,5.00,8.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5013836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5013844,5.00,2.00,0.00,6.00,7.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5013852,3.00,3.00,3.00,6.00,9.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5013879,9.00,7.00,7.00,7.00,11.00,10.88,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5013887,6.00,6.00,6.00,7.00,7.00,9.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5013895,8.00,8.00,1.00,5.00,8.00,8.63,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5013909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5013917,9.00,5.00,7.00,6.00,8.00,10.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5013933,8.00,7.00,3.00,7.00,8.00,9.00,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5013941,4.00,4.00,2.00,4.00,7.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5013976,4.00,4.00,0.00,6.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5013984,4.00,7.00,2.00,7.00,9.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5013992,3.00,5.00,0.00,2.00,4.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5014000,9.00,8.00,6.00,7.00,11.00,8.63,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5014018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5014026,6.00,4.00,3.00,6.00,8.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5014042,8.00,7.00,6.00,7.00,10.00,9.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5014050,5.00,4.00,1.00,3.00,8.00,4.13,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5014069,5.00,6.00,2.00,5.00,5.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5014085,9.00,6.00,6.00,7.00,8.00,8.63,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5014093,5.00,7.00,0.00,4.00,4.00,8.63,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5014131,4.00,5.00,2.00,0.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5014140,4.00,4.00,1.00,6.00,8.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5014158,3.00,5.00,2.00,5.00,4.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5014166,5.00,4.00,6.00,4.00,7.00,8.63,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5014174,8.00,7.00,3.00,7.00,9.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5014182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5014190,4.00,6.00,3.00,4.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5014204,4.00,7.00,1.00,5.00,8.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5014212,6.00,6.00,0.00,2.00,5.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5014220,6.00,3.00,3.00,5.00,6.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5014239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5014247,8.00,5.00,4.00,7.00,6.00,9.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5014255,5.00,4.00,2.00,2.00,5.00,7.50,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5014263,9.00,6.00,4.00,7.00,11.00,9.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5014280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5014298,3.00,2.00,1.00,5.00,7.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5014301,3.00,2.00,1.00,3.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5014310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5014336,7.00,8.00,2.00,6.00,9.00,11.25,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5014344,5.00,6.00,3.00,5.00,4.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5014352,9.00,7.00,7.00,7.00,6.00,11.63,5.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5014379,3.00,5.00,0.00,4.00,5.00,NULL,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5014395,5.00,7.00,4.00,3.00,7.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5014409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5014417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5014425,7.00,6.00,3.00,8.00,8.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5014433,8.00,8.00,4.00,3.00,8.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5014441,1.00,4.00,1.00,6.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5014450,8.00,6.00,5.00,7.00,7.00,12.00,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5014468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5014476,9.00,6.00,4.00,7.00,8.00,7.50,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5014484,4.00,8.00,5.00,4.00,7.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5014492,3.00,5.00,2.00,4.00,4.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5014506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5014514,5.00,4.00,1.00,4.00,6.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5014522,7.00,8.00,0.00,5.00,6.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5014530,9.00,8.00,5.00,7.00,9.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5014549,7.00,6.00,2.00,6.00,9.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5014557,6.00,6.00,0.00,7.00,8.00,10.88,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5014565,6.00,7.00,2.00,6.00,8.00,8.63,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5014581,7.00,6.00,2.00,5.00,5.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5014590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5014603,9.00,7.00,8.00,7.00,9.00,9.75,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5014620,2.00,5.00,1.00,6.00,8.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5014638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5014646,6.00,6.00,6.00,4.00,9.00,7.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5014654,5.00,5.00,1.00,5.00,8.00,9.38,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5014662,8.00,8.00,4.00,6.00,10.00,7.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5014670,8.00,7.00,5.00,7.00,8.00,10.50,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5014689,9.00,7.00,3.00,7.00,10.00,8.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5014697,5.00,5.00,1.00,5.00,6.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5014700,9.00,8.00,4.00,7.00,8.00,8.63,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5014719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5014735,7.00,7.00,7.00,6.00,7.00,8.63,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5014743,8.00,7.00,2.00,7.00,10.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5014751,5.00,4.00,1.00,6.00,5.00,9.38,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5014760,8.00,7.00,6.00,7.00,10.00,6.38,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5014778,6.00,6.00,3.00,5.00,4.00,6.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5014786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5014794,4.00,7.00,1.00,1.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5014808,8.00,7.00,2.00,7.00,7.00,12.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5014816,8.00,6.00,5.00,5.00,6.00,10.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5014824,7.00,8.00,4.00,6.00,7.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5014832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5014840,1.00,5.00,2.00,3.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5014859,5.00,4.00,2.00,5.00,2.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5014867,3.00,5.00,2.00,4.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5014883,9.00,6.00,3.00,5.00,10.00,10.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5014891,8.00,7.00,0.00,7.00,10.00,NULL,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5014905,6.00,6.00,4.00,3.00,8.00,10.13,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5014913,6.00,6.00,4.00,6.00,7.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5014921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5014948,5.00,6.00,5.00,4.00,7.00,8.25,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5014964,6.00,6.00,5.00,7.00,4.00,4.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5014972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5014980,3.00,6.00,1.00,5.00,5.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5014999,6.00,5.00,3.00,5.00,9.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5015006,6.00,6.00,1.00,7.00,5.00,4.88,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5015014,9.00,7.00,3.00,4.00,7.00,7.88,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5015022,7.00,6.00,2.00,5.00,7.00,6.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5015030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5015049,9.00,8.00,5.00,7.00,10.00,12.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5015057,8.00,6.00,3.00,7.00,7.00,7.13,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5015065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5015073,5.00,8.00,1.00,7.00,9.00,6.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5015081,6.00,5.00,4.00,4.00,8.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5015090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5015103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5015111,4.00,5.00,4.00,6.00,6.00,6.00,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5015120,8.00,6.00,9.00,7.00,10.00,8.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5015138,2.00,5.00,0.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5015154,5.00,3.00,2.00,1.00,7.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5015170,6.00,8.00,3.00,6.00,8.00,10.13,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5015189,3.00,6.00,5.00,6.00,5.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5015197,6.00,6.00,2.00,6.00,9.00,8.63,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5015200,3.00,4.00,3.00,6.00,6.00,8.25,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5015219,9.00,7.00,3.00,5.00,8.00,12.38,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5015227,9.00,7.00,9.00,5.00,8.00,10.88,7.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5015235,6.00,6.00,3.00,2.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5015243,5.00,7.00,3.00,7.00,10.00,8.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5015251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5015260,5.00,4.00,3.00,3.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5015278,6.00,4.00,4.00,7.00,8.00,10.13,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5015286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5015294,4.00,5.00,5.00,4.00,6.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5015308,3.00,4.00,2.00,2.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5015316,4.00,7.00,1.00,3.00,4.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5015324,4.00,7.00,1.00,3.00,6.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5015332,6.00,7.00,1.00,4.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5015367,8.00,6.00,5.00,7.00,7.00,7.88,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5015375,7.00,6.00,5.00,4.00,9.00,10.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5015383,9.00,6.00,6.00,7.00,7.00,10.50,6.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5015391,4.00,1.00,3.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5015405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5015413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5015421,2.00,4.00,1.00,4.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5015430,8.00,8.00,4.00,7.00,8.00,11.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5015448,8.00,7.00,6.00,7.00,9.00,10.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5015456,3.00,6.00,6.00,5.00,7.00,8.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5015464,8.00,8.00,9.00,4.00,8.00,7.88,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5015472,8.00,7.00,3.00,5.00,8.00,9.38,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(20,5015480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5015499,5.00,7.00,6.00,6.00,7.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5015510,1.00,5.00,2.00,2.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5015529,7.00,9.00,4.00,7.00,8.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5015537,8.00,7.00,7.00,6.00,8.00,9.38,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5015553,5.00,6.00,0.00,5.00,6.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5015570,9.00,7.00,3.00,6.00,10.00,11.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5015588,9.00,6.00,2.00,7.00,7.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5015596,5.00,7.00,1.00,4.00,7.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5015600,6.00,5.00,0.00,4.00,6.00,9.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5015618,6.00,5.00,2.00,5.00,8.00,7.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5015626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5015634,7.00,7.00,5.00,7.00,8.00,11.63,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5015642,6.00,6.00,2.00,6.00,6.00,10.88,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5015669,8.00,8.00,5.00,7.00,10.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5015677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5015685,5.00,6.00,3.00,7.00,8.00,10.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5015693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5015707,4.00,7.00,0.00,6.00,8.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5015715,6.00,4.00,2.00,6.00,4.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5015723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5015731,3.00,7.00,4.00,3.00,7.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5015740,7.00,4.00,2.00,4.00,6.00,10.13,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5015758,7.00,6.00,5.00,5.00,8.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5015766,7.00,5.00,1.00,6.00,8.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5015774,4.00,0.00,1.00,5.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(20,5015782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5015790,6.00,7.00,6.00,6.00,7.00,7.88,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5015804,6.00,5.00,2.00,7.00,9.00,8.63,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5015812,6.00,6.00,3.00,7.00,8.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5015820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5015839,8.00,6.00,4.00,7.00,9.00,12.75,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5015847,8.00,4.00,5.00,6.00,7.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5015855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5015863,8.00,5.00,4.00,7.00,10.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5015871,7.00,8.00,5.00,7.00,10.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5015880,9.00,8.00,7.00,6.00,10.00,9.38,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5015898,5.00,5.00,3.00,7.00,9.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5015901,8.00,4.00,2.00,5.00,10.00,9.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5015910,6.00,6.00,5.00,7.00,7.00,9.38,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5015928,5.00,5.00,0.00,3.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5015952,8.00,6.00,5.00,7.00,8.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5015960,9.00,6.00,6.00,7.00,10.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5015979,3.00,4.00,4.00,5.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5015987,2.00,5.00,1.00,2.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5015995,4.00,8.00,3.00,5.00,8.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'S'),(20,5016002,8.00,5.00,3.00,5.00,9.00,7.13,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5016029,3.00,4.00,1.00,4.00,5.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5016053,4.00,7.00,3.00,4.00,7.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5016061,7.00,7.00,6.00,6.00,8.00,7.50,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5016088,6.00,4.00,0.00,5.00,5.00,7.88,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5016096,5.00,6.00,3.00,7.00,8.00,8.25,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5016100,8.00,4.00,3.00,6.00,10.00,6.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5016118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5016126,8.00,8.00,4.00,7.00,9.00,9.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5016134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5016142,6.00,4.00,1.00,3.00,4.00,0.00,2.00,6.00,7.00,NULL,NULL,NULL,'S'),(20,5016150,5.00,7.00,2.00,6.00,10.00,10.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5016169,4.00,6.00,1.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5016177,6.00,6.00,4.00,7.00,9.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5016185,9.00,6.00,2.00,7.00,8.00,7.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5016193,7.00,7.00,6.00,6.00,9.00,7.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5016207,4.00,4.00,1.00,6.00,4.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5016215,8.00,6.00,2.00,7.00,8.00,9.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5016223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5016231,2.00,4.00,2.00,5.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5016240,6.00,6.00,3.00,7.00,7.00,7.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5016266,8.00,7.00,3.00,5.00,9.00,10.13,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5016274,7.00,5.00,0.00,7.00,9.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5016282,6.00,6.00,0.00,5.00,6.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5016290,4.00,6.00,6.00,4.00,7.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5016304,5.00,4.00,3.00,6.00,5.00,7.50,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5016312,7.00,8.00,0.00,3.00,9.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5016320,3.00,5.00,4.00,6.00,6.00,11.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5016347,4.00,6.00,4.00,6.00,8.00,5.25,5.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5016355,5.00,7.00,3.00,4.00,6.00,6.00,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5016363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5016380,8.00,7.00,7.00,5.00,10.00,9.75,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5016398,4.00,3.00,2.00,2.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5016401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5016410,7.00,6.00,4.00,7.00,8.00,11.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5016428,5.00,6.00,4.00,7.00,6.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5016436,8.00,5.00,0.00,4.00,9.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5016460,2.00,7.00,2.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5016479,4.00,4.00,2.00,5.00,5.00,8.25,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5016487,7.00,8.00,0.00,7.00,9.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5016495,7.00,7.00,1.00,6.00,8.00,9.75,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5016509,4.00,8.00,3.00,7.00,8.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5016525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5016533,4.00,4.00,2.00,4.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5016541,8.00,9.00,6.00,8.00,9.00,11.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5016568,4.00,6.00,2.00,5.00,5.00,10.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5016576,9.00,9.00,6.00,6.00,8.00,11.25,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5016584,5.00,5.00,3.00,6.00,6.00,7.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5016592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5016606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5016614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5016622,7.00,7.00,1.00,5.00,8.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5016630,8.00,5.00,4.00,7.00,9.00,8.25,7.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5016649,5.00,5.00,4.00,7.00,7.00,8.63,3.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5016657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5016665,6.00,7.00,4.00,8.00,9.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5016673,8.00,7.00,6.00,7.00,9.00,10.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5016681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5016690,8.00,7.00,1.00,7.00,9.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5016703,3.00,6.00,3.00,5.00,6.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5016711,3.00,6.00,0.00,4.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5016720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5016738,5.00,5.00,4.00,5.00,8.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5016746,6.00,6.00,3.00,7.00,7.00,8.63,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5016754,1.00,3.00,1.00,1.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5016762,8.00,5.00,3.00,5.00,7.00,10.88,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5016770,4.00,6.00,4.00,6.00,6.00,6.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5016797,6.00,5.00,3.00,2.00,5.00,6.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5016800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5016819,8.00,9.00,6.00,7.00,9.00,11.63,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5016827,7.00,9.00,7.00,6.00,8.00,9.38,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5016835,1.00,7.00,0.00,4.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5016843,7.00,6.00,7.00,7.00,9.00,8.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5016851,9.00,6.00,6.00,6.00,8.00,8.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5016860,7.00,6.00,4.00,7.00,6.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5016878,9.00,8.00,9.00,7.00,9.00,9.00,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5016886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5016894,6.00,6.00,5.00,7.00,10.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5016908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5016916,5.00,4.00,0.00,6.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5016924,9.00,7.00,4.00,7.00,9.00,10.13,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5016932,9.00,8.00,8.00,7.00,10.00,10.50,8.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5016959,7.00,7.00,5.00,6.00,6.00,3.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5016967,7.00,8.00,7.00,7.00,5.00,9.75,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5016983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5016991,7.00,8.00,1.00,7.00,10.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5017009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5017017,4.00,4.00,0.00,2.00,4.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5017025,6.00,5.00,2.00,6.00,5.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5017033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5017041,6.00,5.00,3.00,6.00,4.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5017076,8.00,8.00,1.00,7.00,10.00,10.13,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5017084,3.00,5.00,1.00,2.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5017092,5.00,5.00,1.00,6.00,8.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5017106,6.00,6.00,1.00,3.00,4.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5017114,8.00,5.00,1.00,7.00,7.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5017122,7.00,5.00,4.00,2.00,2.00,NULL,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5017149,8.00,8.00,2.00,6.00,6.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5017157,6.00,5.00,3.00,2.00,2.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5017165,7.00,6.00,1.00,6.00,6.00,6.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5017173,6.00,7.00,5.00,4.00,6.00,6.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5017181,8.00,8.00,4.00,7.00,8.00,10.50,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5017190,5.00,3.00,0.00,5.00,9.00,11.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5017203,5.00,5.00,3.00,4.00,7.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5017211,9.00,6.00,5.00,7.00,8.00,9.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5017220,7.00,8.00,2.00,5.00,9.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5017238,7.00,6.00,2.00,4.00,8.00,10.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5017246,5.00,6.00,3.00,7.00,5.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5017254,6.00,6.00,4.00,6.00,7.00,9.75,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5017270,7.00,7.00,1.00,6.00,5.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5017289,2.00,5.00,0.00,3.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5017297,4.00,6.00,2.00,6.00,7.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5017319,9.00,6.00,0.00,7.00,7.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5017343,5.00,6.00,3.00,7.00,9.00,NULL,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5017378,4.00,6.00,1.00,5.00,5.00,6.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5017386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5017394,7.00,4.00,5.00,5.00,8.00,9.00,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5017408,8.00,6.00,6.00,7.00,5.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5017424,9.00,8.00,8.00,8.00,10.00,10.88,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5017432,2.00,6.00,2.00,2.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,'S','N'),(20,5017440,6.00,7.00,5.00,6.00,8.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5017459,9.00,9.00,3.00,5.00,9.00,10.13,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5017483,5.00,7.00,1.00,2.00,5.00,NULL,0.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5017491,9.00,7.00,8.00,6.00,10.00,10.50,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5017505,8.00,6.00,3.00,5.00,8.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5017521,9.00,6.00,5.00,7.00,7.00,7.88,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5017530,6.00,4.00,5.00,6.00,7.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5017556,2.00,4.00,0.00,2.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5017564,9.00,7.00,5.00,7.00,9.00,10.88,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5017580,9.00,7.00,3.00,6.00,9.00,9.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5017599,6.00,6.00,5.00,5.00,6.00,6.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5017602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5017610,3.00,4.00,0.00,3.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5017629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5017637,4.00,4.00,0.00,5.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5017645,8.00,6.00,2.00,7.00,8.00,11.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5017653,5.00,5.00,3.00,5.00,6.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5017661,5.00,6.00,5.00,4.00,6.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5017670,6.00,5.00,6.00,5.00,8.00,9.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5017688,9.00,7.00,9.00,7.00,7.00,10.13,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5017700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5017718,5.00,7.00,4.00,7.00,6.00,11.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5017726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5017734,9.00,8.00,8.00,5.00,10.00,11.63,8.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5017742,7.00,7.00,7.00,7.00,7.00,10.50,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5017750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5017769,8.00,9.00,9.00,7.00,9.00,11.25,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5017777,9.00,7.00,7.00,7.00,8.00,9.75,3.00,2.00,9.00,NULL,NULL,NULL,'N'),(20,5017785,6.00,7.00,3.00,5.00,9.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5017793,7.00,7.00,4.00,6.00,10.00,9.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5017807,5.00,7.00,2.00,5.00,8.00,8.25,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5017823,9.00,6.00,3.00,7.00,7.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5017840,4.00,5.00,4.00,7.00,8.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5017858,6.00,6.00,4.00,7.00,8.00,7.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5017866,8.00,6.00,2.00,4.00,7.00,6.75,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5017874,5.00,7.00,2.00,5.00,7.00,9.75,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5017890,5.00,6.00,6.00,3.00,5.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5017904,8.00,6.00,5.00,6.00,8.00,9.38,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5017912,8.00,7.00,6.00,6.00,9.00,8.63,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5017939,4.00,6.00,0.00,4.00,3.00,NULL,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5017947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5017955,4.00,6.00,4.00,0.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5017971,8.00,7.00,2.00,6.00,6.00,10.50,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5017980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5017998,6.00,7.00,1.00,7.00,8.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5018005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018013,9.00,5.00,9.00,7.00,8.00,12.00,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5018021,6.00,7.00,3.00,7.00,9.00,8.63,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5018030,8.00,9.00,2.00,7.00,8.00,12.00,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5018056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018064,5.00,6.00,5.00,5.00,2.00,NULL,6.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5018072,8.00,8.00,7.00,6.00,9.00,7.50,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5018080,8.00,7.00,6.00,7.00,9.00,9.75,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5018102,7.00,6.00,4.00,7.00,5.00,6.75,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5018110,3.00,6.00,2.00,7.00,5.00,6.38,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5018129,8.00,3.00,3.00,7.00,9.00,9.75,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5018137,6.00,7.00,1.00,6.00,6.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5018153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018161,4.00,5.00,2.00,3.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5018170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018196,4.00,5.00,4.00,5.00,8.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5018200,8.00,8.00,4.00,3.00,7.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5018218,5.00,6.00,1.00,7.00,8.00,8.25,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5018226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018242,5.00,7.00,0.00,5.00,5.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5018250,3.00,7.00,5.00,7.00,8.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5018277,9.00,9.00,3.00,6.00,10.00,6.75,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5018285,8.00,8.00,3.00,7.00,10.00,12.38,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5018307,4.00,6.00,2.00,5.00,6.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5018315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018358,3.00,5.00,4.00,4.00,8.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5018366,7.00,7.00,5.00,4.00,9.00,9.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5018374,4.00,6.00,2.00,5.00,4.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5018382,5.00,6.00,4.00,5.00,8.00,8.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5018390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018404,7.00,7.00,5.00,6.00,8.00,6.00,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5018412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018420,8.00,7.00,6.00,7.00,7.00,10.13,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5018439,5.00,5.00,3.00,7.00,6.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5018447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018455,6.00,3.00,1.00,3.00,5.00,7.50,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5018463,7.00,3.00,2.00,7.00,10.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5018480,6.00,6.00,0.00,7.00,10.00,7.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5018498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018510,4.00,3.00,3.00,6.00,8.00,7.50,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5018528,1.00,4.00,5.00,5.00,7.00,9.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5018544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018552,3.00,5.00,1.00,5.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5018579,5.00,6.00,1.00,7.00,7.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5018587,8.00,7.00,3.00,7.00,4.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5018609,5.00,3.00,3.00,6.00,8.00,9.75,8.00,1.00,9.00,NULL,NULL,NULL,'N'),(20,5018617,2.00,5.00,1.00,6.00,5.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5018625,5.00,6.00,1.00,6.00,7.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5018633,6.00,4.00,1.00,6.00,5.00,10.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5018668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018676,1.00,4.00,1.00,2.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5018684,5.00,6.00,0.00,4.00,4.00,6.38,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5018692,6.00,6.00,2.00,7.00,6.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5018706,4.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(20,5018714,2.00,0.00,1.00,2.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5018730,5.00,5.00,2.00,6.00,5.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5018749,9.00,8.00,9.00,7.00,10.00,10.50,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5018757,5.00,7.00,2.00,7.00,7.00,6.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5018781,4.00,6.00,3.00,6.00,7.00,6.38,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5018790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018803,8.00,8.00,8.00,7.00,10.00,8.63,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5018811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018820,5.00,4.00,3.00,6.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5018862,9.00,8.00,6.00,7.00,9.00,11.25,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5018870,6.00,5.00,4.00,6.00,6.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5018889,7.00,8.00,3.00,6.00,6.00,9.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5018897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5018919,8.00,5.00,8.00,6.00,8.00,9.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5018927,8.00,6.00,2.00,7.00,7.00,7.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5018935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5018951,8.00,6.00,3.00,7.00,5.00,7.13,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5018960,6.00,7.00,0.00,4.00,5.00,9.00,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5018986,6.00,6.00,4.00,6.00,9.00,10.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5018994,7.00,6.00,1.00,7.00,8.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5019001,8.00,8.00,6.00,7.00,10.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5019010,9.00,8.00,5.00,8.00,8.00,12.00,7.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5019028,6.00,5.00,4.00,7.00,6.00,10.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5019036,8.00,6.00,3.00,6.00,7.00,7.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5019044,4.00,4.00,4.00,3.00,6.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5019052,6.00,7.00,1.00,7.00,7.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5019060,4.00,4.00,1.00,7.00,4.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5019079,6.00,2.00,2.00,4.00,5.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5019087,8.00,7.00,1.00,5.00,7.00,8.63,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5019095,6.00,6.00,4.00,4.00,5.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5019117,6.00,6.00,1.00,6.00,7.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5019125,3.00,4.00,1.00,4.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5019133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5019141,7.00,5.00,5.00,2.00,6.00,9.00,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5019168,4.00,3.00,3.00,5.00,6.00,10.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5019176,7.00,7.00,2.00,7.00,10.00,10.88,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5019184,3.00,4.00,2.00,1.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5019192,7.00,8.00,2.00,7.00,10.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5019206,7.00,6.00,6.00,6.00,6.00,6.75,7.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5019214,5.00,8.00,3.00,5.00,6.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5019230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5019249,8.00,7.00,3.00,7.00,7.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5019257,6.00,5.00,5.00,5.00,9.00,11.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5019265,5.00,5.00,3.00,4.00,8.00,11.63,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5019281,7.00,5.00,1.00,8.00,7.00,6.75,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5019290,1.00,5.00,3.00,8.00,7.00,12.38,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5019303,3.00,4.00,2.00,7.00,7.00,9.00,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5019320,9.00,8.00,2.00,4.00,8.00,9.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5019338,2.00,3.00,2.00,3.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5019362,3.00,5.00,0.00,4.00,0.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5019370,6.00,4.00,2.00,6.00,5.00,6.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5019397,5.00,6.00,0.00,3.00,7.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5019427,3.00,0.00,1.00,5.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5019435,5.00,4.00,0.00,7.00,9.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5019443,5.00,6.00,3.00,5.00,9.00,10.13,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5019460,8.00,7.00,5.00,7.00,9.00,7.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5019478,9.00,7.00,5.00,6.00,9.00,8.25,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5019486,4.00,5.00,5.00,6.00,3.00,NULL,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5019494,6.00,6.00,4.00,6.00,10.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5019508,4.00,6.00,2.00,4.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5019516,3.00,5.00,3.00,5.00,3.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5019524,8.00,4.00,2.00,5.00,5.00,8.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5019567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5019575,7.00,8.00,2.00,5.00,9.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5019583,9.00,9.00,8.00,7.00,8.00,7.13,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5019591,6.00,7.00,6.00,5.00,8.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5019605,6.00,5.00,3.00,5.00,7.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5019648,6.00,8.00,1.00,7.00,7.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5019656,6.00,5.00,4.00,6.00,8.00,7.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5019664,7.00,5.00,0.00,2.00,5.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5019672,9.00,7.00,8.00,8.00,8.00,12.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5019699,8.00,8.00,4.00,5.00,8.00,10.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5019702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5019710,6.00,5.00,5.00,7.00,8.00,10.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5019729,9.00,9.00,2.00,7.00,11.00,7.13,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5019737,6.00,7.00,4.00,5.00,5.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5019745,3.00,6.00,3.00,2.00,6.00,9.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5019753,5.00,6.00,1.00,3.00,5.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5019761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5019788,7.00,8.00,4.00,6.00,8.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5019818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5019826,2.00,5.00,3.00,5.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5019842,8.00,9.00,6.00,8.00,10.00,8.63,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5019850,9.00,9.00,2.00,7.00,10.00,10.88,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5019869,8.00,6.00,2.00,7.00,6.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5019877,9.00,7.00,4.00,8.00,10.00,12.75,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5019885,8.00,8.00,7.00,7.00,10.00,9.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5019893,8.00,6.00,1.00,2.00,5.00,6.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5019907,8.00,5.00,6.00,2.00,7.00,7.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5019915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5019931,7.00,7.00,2.00,4.00,5.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5019940,8.00,7.00,2.00,4.00,4.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5019958,4.00,6.00,2.00,2.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5019974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5019982,3.00,7.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5019990,6.00,6.00,3.00,5.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5020000,3.00,6.00,0.00,2.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5020018,7.00,7.00,4.00,7.00,9.00,11.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5020026,5.00,8.00,1.00,4.00,8.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5020034,4.00,6.00,3.00,4.00,6.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5020042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5020050,7.00,6.00,6.00,7.00,6.00,8.25,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5020069,3.00,4.00,1.00,3.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5020077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5020085,8.00,5.00,5.00,7.00,8.00,9.38,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5020093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5020107,5.00,4.00,2.00,5.00,4.00,6.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5020115,4.00,5.00,2.00,5.00,6.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5020131,5.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5020140,3.00,4.00,0.00,4.00,7.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5020158,4.00,7.00,3.00,6.00,5.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5020166,3.00,4.00,2.00,5.00,4.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5020174,8.00,7.00,5.00,5.00,9.00,7.13,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5020182,5.00,2.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5020204,7.00,4.00,2.00,6.00,5.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5020212,8.00,8.00,4.00,7.00,10.00,10.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5020220,8.00,8.00,3.00,7.00,10.00,7.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5020255,3.00,5.00,1.00,3.00,1.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5020263,7.00,5.00,3.00,6.00,6.00,10.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5020271,8.00,6.00,0.00,6.00,8.00,9.38,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5020298,3.00,6.00,4.00,4.00,8.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5020301,3.00,5.00,0.00,6.00,8.00,10.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5020310,7.00,3.00,1.00,4.00,7.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5020328,0.00,6.00,3.00,2.00,7.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5020336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5020352,7.00,7.00,3.00,4.00,9.00,10.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5020360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5020379,6.00,4.00,1.00,3.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5020387,6.00,6.00,1.00,7.00,8.00,10.88,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5020395,5.00,4.00,1.00,2.00,7.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5020409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5020425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5020433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5020441,4.00,5.00,2.00,4.00,6.00,6.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5020450,7.00,6.00,5.00,4.00,8.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5020492,5.00,6.00,3.00,7.00,8.00,7.88,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5020506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5020514,2.00,4.00,0.00,2.00,3.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5020530,2.00,5.00,3.00,2.00,5.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5020565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5020573,5.00,4.00,1.00,5.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5020581,2.00,5.00,1.00,5.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5020603,4.00,8.00,1.00,7.00,7.00,10.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5020646,4.00,4.00,3.00,6.00,8.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5020662,5.00,7.00,2.00,5.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5020689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5020697,7.00,6.00,0.00,8.00,6.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5020719,4.00,6.00,2.00,4.00,6.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5020727,5.00,5.00,0.00,5.00,6.00,7.13,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5020735,7.00,6.00,2.00,7.00,7.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5020751,3.00,5.00,5.00,7.00,7.00,10.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5020786,8.00,6.00,1.00,6.00,10.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5020832,2.00,2.00,2.00,2.00,5.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5020840,4.00,5.00,3.00,4.00,7.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5020859,3.00,5.00,3.00,1.00,4.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5020867,7.00,8.00,6.00,6.00,9.00,9.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5020875,3.00,6.00,1.00,5.00,9.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5020883,4.00,7.00,2.00,6.00,7.00,12.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5020891,3.00,4.00,0.00,2.00,7.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5020905,5.00,4.00,5.00,5.00,8.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5020913,3.00,1.00,0.00,6.00,7.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5020921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5020930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5020948,5.00,3.00,3.00,4.00,4.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5020956,4.00,6.00,3.00,5.00,4.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5020964,7.00,6.00,6.00,7.00,6.00,8.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5020980,1.00,4.00,1.00,5.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5020999,6.00,6.00,8.00,7.00,6.00,9.75,8.00,1.00,8.00,NULL,NULL,NULL,'N'),(20,5021006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5021014,2.00,4.00,2.00,6.00,4.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5021049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5021057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5021073,3.00,4.00,0.00,4.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5021081,9.00,7.00,4.00,6.00,8.00,7.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5021103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5021111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5021120,4.00,3.00,2.00,1.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5021138,6.00,7.00,4.00,6.00,8.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5021146,3.00,6.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5021162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5021197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5021200,5.00,7.00,0.00,4.00,8.00,9.00,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5021219,6.00,3.00,1.00,4.00,6.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5021235,2.00,2.00,1.00,3.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5021260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5021278,3.00,7.00,2.00,3.00,4.00,8.25,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5021286,7.00,5.00,4.00,5.00,8.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5021294,5.00,7.00,3.00,7.00,6.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5021308,5.00,5.00,3.00,4.00,5.00,7.88,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5021316,3.00,6.00,2.00,5.00,7.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5021324,4.00,8.00,1.00,6.00,8.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5021332,4.00,3.00,0.00,3.00,7.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5021359,5.00,5.00,3.00,0.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5021367,3.00,6.00,4.00,5.00,6.00,6.00,3.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5021383,6.00,5.00,3.00,3.00,8.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5021391,7.00,6.00,2.00,6.00,10.00,10.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5021405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5021421,5.00,5.00,2.00,6.00,9.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5021430,6.00,6.00,3.00,3.00,9.00,10.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5021448,8.00,6.00,3.00,6.00,8.00,9.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5021456,4.00,7.00,1.00,5.00,7.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5021464,3.00,4.00,1.00,2.00,7.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5021472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5021480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5021499,2.00,7.00,1.00,3.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5021502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5021510,8.00,7.00,4.00,7.00,7.00,6.75,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5021529,9.00,7.00,4.00,7.00,10.00,13.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5021537,2.00,5.00,0.00,5.00,5.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5021545,7.00,7.00,0.00,4.00,7.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5021588,7.00,6.00,4.00,5.00,6.00,8.25,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5021618,2.00,3.00,1.00,3.00,4.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5021634,5.00,7.00,3.00,3.00,4.00,7.50,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5021669,9.00,6.00,3.00,6.00,10.00,8.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5021685,5.00,2.00,0.00,0.00,5.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5021693,3.00,4.00,0.00,5.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5021707,2.00,2.00,2.00,4.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5021731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5021740,7.00,7.00,1.00,5.00,10.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5021758,5.00,3.00,0.00,7.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5021766,8.00,5.00,2.00,4.00,5.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5021782,7.00,5.00,1.00,7.00,9.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5021790,4.00,6.00,2.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5021804,8.00,8.00,7.00,7.00,10.00,8.63,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5021820,8.00,7.00,2.00,6.00,10.00,8.25,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5021839,8.00,5.00,5.00,7.00,9.00,9.38,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5021847,7.00,4.00,3.00,6.00,8.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5021855,8.00,4.00,6.00,4.00,6.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5021863,6.00,4.00,1.00,3.00,4.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5021871,6.00,6.00,4.00,4.00,8.00,9.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5021898,2.00,4.00,2.00,3.00,1.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5021901,4.00,6.00,1.00,3.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5021910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5021928,5.00,4.00,5.00,5.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5021944,6.00,4.00,2.00,4.00,6.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5021952,6.00,7.00,5.00,7.00,9.00,8.25,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5021960,3.00,7.00,3.00,5.00,6.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5021987,4.00,7.00,0.00,4.00,9.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5021995,3.00,6.00,0.00,5.00,8.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5022002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5022037,5.00,6.00,4.00,7.00,5.00,7.88,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5022053,6.00,5.00,1.00,7.00,9.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5022070,8.00,8.00,4.00,6.00,9.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5022088,2.00,4.00,1.00,4.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5022096,8.00,8.00,4.00,7.00,10.00,13.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5022100,3.00,4.00,2.00,4.00,5.00,7.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5022118,9.00,7.00,6.00,5.00,9.00,11.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5022126,6.00,6.00,2.00,5.00,6.00,8.63,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5022134,8.00,7.00,3.00,5.00,7.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5022142,9.00,9.00,5.00,4.00,9.00,10.88,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5022150,7.00,7.00,1.00,6.00,6.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5022169,6.00,4.00,1.00,6.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5022177,2.00,4.00,2.00,3.00,5.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5022185,6.00,6.00,3.00,5.00,8.00,11.25,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5022193,5.00,7.00,4.00,6.00,8.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5022258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5022266,2.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5022274,6.00,6.00,4.00,4.00,5.00,8.63,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5022282,7.00,5.00,3.00,5.00,7.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5022304,5.00,7.00,2.00,6.00,6.00,10.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5022312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5022320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5022347,6.00,6.00,4.00,4.00,5.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5022355,6.00,7.00,1.00,3.00,5.00,10.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5022371,3.00,7.00,3.00,7.00,8.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5022380,3.00,3.00,0.00,2.00,7.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5022401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5022428,8.00,6.00,4.00,4.00,8.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5022436,4.00,6.00,0.00,7.00,4.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5022444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5022479,3.00,4.00,1.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5022487,3.00,5.00,4.00,2.00,8.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5022495,7.00,5.00,3.00,7.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5022509,5.00,7.00,4.00,5.00,8.00,10.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5022517,6.00,6.00,2.00,5.00,4.00,9.75,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5022533,3.00,4.00,1.00,1.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5022541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5022568,8.00,6.00,4.00,4.00,7.00,9.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5022576,5.00,7.00,6.00,7.00,8.00,7.88,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5022606,8.00,7.00,7.00,5.00,10.00,7.50,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5022614,6.00,4.00,1.00,3.00,5.00,9.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5022622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5022630,8.00,6.00,0.00,7.00,6.00,9.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5022657,4.00,4.00,1.00,4.00,5.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5022665,7.00,5.00,1.00,5.00,9.00,7.50,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5022673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5022681,7.00,7.00,4.00,7.00,9.00,10.88,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5022703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5022711,8.00,7.00,7.00,7.00,9.00,7.88,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5022738,6.00,5.00,1.00,3.00,6.00,8.63,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5022746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5022754,3.00,5.00,4.00,5.00,7.00,6.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5022789,3.00,6.00,1.00,1.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5022797,2.00,5.00,1.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5022800,8.00,6.00,0.00,0.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5022819,4.00,7.00,1.00,3.00,5.00,7.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5022827,3.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5022843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5022851,6.00,5.00,1.00,4.00,8.00,9.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5022860,5.00,6.00,4.00,4.00,7.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5022878,9.00,8.00,8.00,7.00,9.00,9.00,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5022886,4.00,4.00,0.00,2.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5022894,5.00,5.00,1.00,2.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5022908,5.00,5.00,5.00,7.00,8.00,9.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5022916,4.00,2.00,3.00,4.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5022932,6.00,4.00,3.00,4.00,6.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5022959,9.00,8.00,8.00,7.00,10.00,9.75,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5022975,6.00,5.00,1.00,4.00,9.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5022983,8.00,6.00,1.00,6.00,5.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5022991,5.00,8.00,0.00,6.00,8.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5023009,9.00,7.00,4.00,6.00,9.00,10.50,8.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5023017,6.00,7.00,4.00,1.00,4.00,9.38,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5023033,5.00,6.00,2.00,6.00,6.00,9.00,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5023041,4.00,5.00,1.00,6.00,5.00,10.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5023068,6.00,8.00,3.00,7.00,7.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5023076,5.00,5.00,0.00,4.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5023084,7.00,3.00,4.00,6.00,8.00,9.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5023092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5023106,3.00,4.00,2.00,5.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5023114,6.00,3.00,4.00,5.00,5.00,10.13,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5023122,5.00,2.00,2.00,3.00,6.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5023130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5023149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5023157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5023165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5023173,3.00,4.00,3.00,3.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5023181,3.00,5.00,2.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5023211,2.00,7.00,2.00,3.00,5.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5023220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5023238,3.00,5.00,2.00,4.00,9.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5023246,9.00,6.00,6.00,7.00,9.00,9.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5023254,2.00,3.00,0.00,2.00,0.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5023262,3.00,6.00,0.00,5.00,4.00,7.13,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5023270,5.00,3.00,1.00,4.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5023289,9.00,6.00,4.00,8.00,6.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5023297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5023319,3.00,5.00,0.00,3.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5023327,8.00,6.00,2.00,6.00,8.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5023335,6.00,3.00,2.00,7.00,8.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5023343,4.00,6.00,2.00,4.00,7.00,4.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5023351,6.00,6.00,1.00,5.00,8.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5023360,5.00,6.00,1.00,7.00,6.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5023378,8.00,4.00,4.00,2.00,7.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5023386,4.00,4.00,1.00,5.00,5.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5023394,3.00,3.00,2.00,2.00,5.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5023408,3.00,8.00,1.00,6.00,7.00,9.00,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5023416,4.00,7.00,3.00,7.00,8.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5023424,3.00,6.00,2.00,3.00,5.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5023432,7.00,7.00,5.00,8.00,9.00,7.88,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5023440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5023459,7.00,6.00,1.00,4.00,7.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5023467,7.00,5.00,2.00,7.00,8.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5023475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5023491,5.00,6.00,3.00,4.00,6.00,4.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5023505,6.00,6.00,5.00,8.00,5.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5023513,7.00,7.00,1.00,6.00,8.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5023521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5023530,6.00,6.00,5.00,4.00,7.00,10.13,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5023548,1.00,4.00,1.00,3.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5023556,2.00,7.00,3.00,3.00,5.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5023564,6.00,5.00,4.00,4.00,4.00,6.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5023572,4.00,5.00,2.00,3.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5023580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5023599,4.00,4.00,4.00,4.00,6.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5023602,6.00,5.00,2.00,3.00,6.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5023610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5023637,4.00,8.00,2.00,4.00,4.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5023645,3.00,5.00,4.00,4.00,4.00,9.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5023661,8.00,7.00,5.00,5.00,9.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5023670,2.00,4.00,0.00,1.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5023696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5023700,5.00,5.00,4.00,7.00,7.00,4.50,3.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5023718,1.00,4.00,1.00,1.00,0.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5023726,7.00,3.00,3.00,2.00,5.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5023742,5.00,4.00,3.00,5.00,6.00,6.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5023750,8.00,6.00,4.00,6.00,7.00,11.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5023769,6.00,2.00,0.00,3.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5023777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5023785,6.00,7.00,3.00,7.00,7.00,9.38,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5023793,3.00,7.00,5.00,3.00,7.00,6.38,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5023807,8.00,8.00,1.00,7.00,7.00,7.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5023823,7.00,7.00,4.00,5.00,9.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5023866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5023882,4.00,4.00,4.00,1.00,6.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5023890,5.00,4.00,2.00,6.00,7.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5023904,8.00,7.00,5.00,7.00,10.00,11.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5023920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5023963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5023971,6.00,8.00,2.00,6.00,11.00,13.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5023980,6.00,7.00,3.00,8.00,9.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5023998,9.00,8.00,7.00,5.00,10.00,8.25,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5024005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5024013,5.00,8.00,3.00,3.00,4.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5024021,6.00,7.00,4.00,2.00,8.00,9.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5024030,4.00,4.00,0.00,3.00,4.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5024048,3.00,2.00,0.00,3.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5024056,2.00,8.00,5.00,4.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5024080,7.00,5.00,4.00,7.00,7.00,11.25,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5024099,4.00,4.00,2.00,4.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5024102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5024110,4.00,4.00,3.00,3.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5024129,8.00,7.00,1.00,6.00,8.00,9.38,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5024137,6.00,4.00,2.00,4.00,8.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5024153,4.00,6.00,2.00,6.00,7.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5024161,7.00,8.00,6.00,7.00,9.00,10.88,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5024170,6.00,3.00,0.00,1.00,2.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5024196,4.00,5.00,1.00,6.00,5.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5024218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5024226,5.00,4.00,4.00,0.00,4.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(20,5024234,5.00,6.00,1.00,4.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5024242,5.00,5.00,3.00,5.00,6.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5024250,8.00,8.00,7.00,6.00,7.00,10.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5024269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5024277,3.00,5.00,0.00,2.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5024285,3.00,4.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5024293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5024307,8.00,4.00,3.00,6.00,7.00,9.38,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5024315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5024323,6.00,5.00,2.00,7.00,10.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5024331,5.00,5.00,1.00,6.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5024340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5024358,3.00,8.00,3.00,7.00,5.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5024366,4.00,5.00,2.00,4.00,5.00,6.38,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5024404,8.00,8.00,7.00,7.00,7.00,11.25,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5024412,6.00,5.00,3.00,3.00,7.00,4.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5024420,6.00,6.00,2.00,8.00,8.00,6.00,6.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5024439,4.00,6.00,1.00,6.00,8.00,9.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5024447,3.00,8.00,1.00,4.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5024455,8.00,6.00,6.00,5.00,4.00,10.88,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5024463,3.00,4.00,0.00,3.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5024471,7.00,5.00,1.00,6.00,7.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5024480,7.00,8.00,5.00,7.00,8.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5024498,9.00,6.00,6.00,7.00,9.00,10.50,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5024501,7.00,6.00,2.00,5.00,5.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5024510,5.00,6.00,5.00,5.00,8.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5024528,6.00,7.00,4.00,7.00,10.00,9.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5024536,8.00,6.00,8.00,6.00,10.00,8.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5024544,1.00,5.00,4.00,1.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5024552,5.00,5.00,2.00,5.00,5.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5024560,6.00,5.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5024579,8.00,6.00,6.00,7.00,10.00,10.13,4.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5024587,5.00,4.00,4.00,6.00,7.00,6.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5024595,5.00,5.00,5.00,6.00,8.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5024609,7.00,7.00,5.00,7.00,9.00,7.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5024625,9.00,8.00,8.00,7.00,9.00,9.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5024641,6.00,7.00,4.00,6.00,10.00,8.63,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5024650,8.00,6.00,4.00,7.00,9.00,11.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5024668,8.00,5.00,3.00,6.00,8.00,8.25,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5024676,6.00,8.00,3.00,6.00,10.00,11.25,6.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5024684,5.00,6.00,1.00,4.00,10.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5024692,5.00,5.00,7.00,7.00,7.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5024706,8.00,8.00,8.00,7.00,8.00,9.38,7.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5024714,9.00,5.00,3.00,6.00,7.00,9.38,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5024722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5024749,3.00,6.00,1.00,4.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5024757,9.00,7.00,4.00,5.00,10.00,6.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5024765,3.00,6.00,4.00,5.00,5.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5024773,7.00,6.00,4.00,7.00,8.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5024781,9.00,7.00,5.00,6.00,9.00,10.13,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5024811,3.00,2.00,1.00,4.00,5.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5024820,9.00,7.00,7.00,6.00,10.00,10.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5024838,7.00,4.00,4.00,3.00,5.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5024846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5024854,7.00,4.00,4.00,6.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5024862,5.00,4.00,3.00,6.00,7.00,4.88,3.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5024870,6.00,8.00,1.00,3.00,5.00,3.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5024889,9.00,8.00,7.00,7.00,9.00,10.88,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5024897,6.00,6.00,1.00,4.00,9.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5024900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5024919,2.00,6.00,2.00,3.00,7.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5024927,6.00,4.00,4.00,7.00,5.00,6.38,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5024935,6.00,7.00,0.00,4.00,7.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5024951,6.00,8.00,2.00,6.00,7.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5024960,7.00,6.00,1.00,5.00,8.00,7.13,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5024978,4.00,7.00,1.00,5.00,10.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5024994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5025001,8.00,8.00,5.00,7.00,9.00,7.50,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5025010,7.00,6.00,4.00,5.00,9.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5025028,7.00,4.00,3.00,7.00,9.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5025036,8.00,6.00,8.00,7.00,7.00,12.00,8.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5025044,7.00,8.00,2.00,7.00,10.00,6.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5025052,5.00,6.00,0.00,4.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5025079,7.00,3.00,4.00,7.00,6.00,10.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5025087,4.00,5.00,5.00,7.00,6.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5025109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5025117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5025133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5025141,3.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5025168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5025176,5.00,6.00,2.00,5.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5025184,5.00,5.00,0.00,7.00,5.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5025192,4.00,4.00,1.00,6.00,9.00,10.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5025206,4.00,5.00,5.00,4.00,8.00,7.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5025214,7.00,5.00,6.00,7.00,6.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5025222,8.00,7.00,4.00,3.00,9.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5025230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5025249,5.00,5.00,2.00,5.00,7.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5025257,3.00,4.00,3.00,2.00,5.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5025265,6.00,6.00,1.00,3.00,6.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5025273,3.00,5.00,1.00,1.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5025290,8.00,6.00,8.00,7.00,9.00,9.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5025311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5025320,7.00,7.00,5.00,4.00,7.00,7.13,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5025346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5025354,4.00,6.00,5.00,4.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5025362,5.00,5.00,4.00,5.00,7.00,7.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5025397,4.00,7.00,2.00,3.00,8.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5025419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5025427,2.00,8.00,2.00,7.00,4.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5025435,7.00,7.00,3.00,4.00,6.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5025443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5025451,0.00,3.00,2.00,2.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5025460,8.00,6.00,2.00,7.00,8.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5025478,1.00,3.00,0.00,1.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5025486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5025494,4.00,4.00,0.00,4.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5025508,7.00,5.00,5.00,7.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5025516,5.00,7.00,7.00,5.00,7.00,9.38,4.00,1.00,8.00,NULL,NULL,NULL,'N'),(20,5025524,5.00,6.00,2.00,5.00,6.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5025532,7.00,8.00,1.00,7.00,8.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5025559,2.00,4.00,3.00,4.00,7.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5025567,9.00,6.00,7.00,7.00,9.00,10.50,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5025575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5025583,6.00,6.00,3.00,8.00,8.00,10.13,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5025591,4.00,6.00,5.00,4.00,6.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5025621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5025630,4.00,4.00,2.00,6.00,6.00,10.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5025648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5025656,7.00,7.00,2.00,5.00,8.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5025664,8.00,6.00,5.00,3.00,8.00,7.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5025672,2.00,0.00,0.00,3.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5025699,7.00,7.00,3.00,6.00,5.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5025702,8.00,9.00,3.00,6.00,5.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5025710,8.00,7.00,8.00,7.00,9.00,9.75,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5025745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5025753,3.00,3.00,1.00,4.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5025761,7.00,6.00,5.00,7.00,6.00,8.25,7.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5025770,7.00,6.00,4.00,5.00,8.00,7.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5025788,1.00,4.00,3.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5025796,5.00,6.00,1.00,5.00,7.00,7.50,4.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5025800,8.00,7.00,7.00,8.00,9.00,10.50,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5025818,6.00,6.00,3.00,6.00,6.00,10.13,1.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5025826,9.00,8.00,4.00,6.00,10.00,9.38,4.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5025834,4.00,3.00,3.00,6.00,7.00,7.50,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5025850,8.00,7.00,4.00,6.00,6.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5025869,7.00,7.00,2.00,3.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5025885,6.00,4.00,1.00,7.00,7.00,10.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5025893,2.00,5.00,0.00,2.00,6.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5025907,7.00,5.00,2.00,5.00,9.00,10.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5025915,1.00,5.00,0.00,3.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5025931,9.00,6.00,7.00,7.00,8.00,10.50,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5025940,4.00,0.00,2.00,6.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5025966,7.00,8.00,1.00,5.00,10.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5025974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5025982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5025990,5.00,3.00,2.00,2.00,7.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5026008,6.00,6.00,4.00,7.00,6.00,8.63,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5026016,4.00,5.00,3.00,7.00,4.00,7.88,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5026024,5.00,6.00,4.00,5.00,5.00,6.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5026032,9.00,7.00,3.00,7.00,7.00,8.63,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5026040,6.00,6.00,5.00,4.00,8.00,7.13,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5026059,4.00,6.00,1.00,3.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5026067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5026075,9.00,7.00,7.00,7.00,8.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5026083,7.00,5.00,4.00,4.00,5.00,8.25,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5026091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S',NULL,'N'),(20,5026113,5.00,5.00,3.00,2.00,4.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5026121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5026130,8.00,8.00,1.00,4.00,6.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5026148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5026164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5026172,7.00,5.00,1.00,6.00,7.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5026180,6.00,4.00,2.00,4.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5026202,8.00,8.00,6.00,4.00,8.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5026229,8.00,7.00,3.00,5.00,7.00,12.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5026237,8.00,7.00,3.00,6.00,8.00,10.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5026245,3.00,5.00,2.00,2.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5026253,6.00,6.00,0.00,6.00,7.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5026261,6.00,6.00,4.00,8.00,10.00,8.63,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5026288,8.00,9.00,6.00,6.00,11.00,12.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5026296,5.00,6.00,3.00,4.00,6.00,7.13,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5026318,4.00,4.00,1.00,4.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5026326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5026342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5026350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5026369,6.00,5.00,5.00,3.00,6.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5026377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5026393,4.00,6.00,5.00,2.00,8.00,6.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5026407,3.00,6.00,1.00,6.00,7.00,7.13,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5026415,7.00,5.00,6.00,7.00,8.00,10.13,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5026423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5026431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5026474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5026482,9.00,7.00,5.00,6.00,9.00,7.13,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5026490,7.00,3.00,2.00,6.00,5.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5026504,6.00,5.00,1.00,5.00,6.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5026512,8.00,4.00,1.00,4.00,8.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5026520,9.00,7.00,2.00,7.00,9.00,10.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5026539,2.00,6.00,0.00,4.00,1.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5026547,5.00,3.00,0.00,6.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5026555,6.00,6.00,1.00,4.00,6.00,7.88,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5026563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5026571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5026598,3.00,4.00,4.00,2.00,2.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5026601,7.00,5.00,2.00,6.00,8.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5026610,8.00,7.00,3.00,7.00,8.00,6.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5026636,9.00,6.00,7.00,7.00,6.00,6.75,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5026644,6.00,8.00,2.00,6.00,7.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'S'),(20,5026652,9.00,8.00,6.00,7.00,11.00,10.13,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5026660,8.00,7.00,1.00,6.00,8.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5026679,3.00,6.00,1.00,7.00,6.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5026687,5.00,5.00,0.00,3.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5026695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5026709,8.00,8.00,4.00,6.00,6.00,7.88,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5026717,4.00,4.00,0.00,6.00,8.00,8.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5026733,5.00,3.00,1.00,4.00,6.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5026750,4.00,4.00,2.00,5.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5026768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5026776,2.00,5.00,1.00,4.00,4.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5026784,6.00,7.00,5.00,8.00,8.00,12.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5026792,8.00,7.00,5.00,7.00,8.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5026806,6.00,0.00,3.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5026814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5026849,9.00,5.00,4.00,8.00,9.00,9.38,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5026857,1.00,5.00,1.00,5.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5026865,4.00,2.00,1.00,3.00,4.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5026873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5026881,6.00,5.00,0.00,4.00,5.00,6.38,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5026890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5026911,4.00,2.00,5.00,3.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5026920,8.00,3.00,3.00,7.00,9.00,10.88,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5026938,7.00,9.00,6.00,6.00,9.00,10.50,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5026946,3.00,6.00,1.00,4.00,6.00,6.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5026954,5.00,6.00,3.00,3.00,4.00,7.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5026962,4.00,5.00,0.00,6.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5026970,3.00,4.00,4.00,2.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5026989,4.00,3.00,1.00,3.00,7.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5026997,7.00,6.00,1.00,6.00,4.00,7.13,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5027004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5027012,4.00,7.00,3.00,7.00,6.00,11.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5027020,8.00,7.00,3.00,7.00,8.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5027039,2.00,1.00,1.00,3.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5027047,3.00,7.00,3.00,6.00,7.00,9.38,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5027055,8.00,7.00,3.00,6.00,7.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5027063,7.00,7.00,1.00,7.00,8.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5027071,6.00,7.00,1.00,6.00,6.00,11.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5027080,8.00,9.00,5.00,7.00,10.00,9.75,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5027098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5027101,5.00,6.00,3.00,4.00,8.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5027136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5027144,9.00,7.00,5.00,7.00,8.00,9.00,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5027152,5.00,5.00,2.00,2.00,6.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5027160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5027179,4.00,4.00,0.00,4.00,6.00,9.38,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5027187,6.00,6.00,4.00,6.00,6.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5027195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5027217,2.00,4.00,1.00,7.00,8.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5027225,7.00,8.00,3.00,6.00,9.00,12.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5027241,9.00,8.00,5.00,7.00,8.00,12.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5027250,5.00,6.00,5.00,7.00,10.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5027276,2.00,4.00,1.00,2.00,4.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5027292,7.00,6.00,1.00,5.00,7.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5027306,1.00,6.00,3.00,3.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5027314,7.00,6.00,3.00,5.00,6.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5027322,8.00,7.00,3.00,5.00,9.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5027330,8.00,7.00,4.00,5.00,8.00,9.38,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5027349,5.00,4.00,1.00,2.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5027357,9.00,6.00,4.00,7.00,10.00,11.25,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5027373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5027381,7.00,7.00,6.00,6.00,7.00,7.13,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5027390,5.00,0.00,4.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5027403,7.00,8.00,8.00,7.00,10.00,8.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5027411,4.00,6.00,0.00,3.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5027420,9.00,7.00,5.00,5.00,8.00,6.38,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5027438,8.00,7.00,1.00,7.00,10.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5027470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5027489,4.00,7.00,3.00,1.00,6.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5027497,4.00,5.00,3.00,4.00,5.00,12.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5027519,5.00,5.00,2.00,4.00,6.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5027535,5.00,7.00,1.00,4.00,7.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5027543,8.00,8.00,4.00,7.00,8.00,8.25,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5027551,6.00,6.00,4.00,3.00,5.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5027560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5027578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5027586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5027594,6.00,7.00,5.00,5.00,8.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5027616,4.00,6.00,5.00,7.00,7.00,7.13,2.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5027632,6.00,5.00,4.00,6.00,8.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5027640,7.00,6.00,1.00,7.00,11.00,9.00,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5027659,8.00,5.00,5.00,7.00,9.00,9.38,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5027667,5.00,4.00,2.00,3.00,5.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5027675,2.00,6.00,2.00,6.00,3.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5027683,6.00,6.00,1.00,3.00,8.00,10.13,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5027691,7.00,6.00,3.00,6.00,7.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5027705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5027721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5027730,2.00,3.00,1.00,4.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5027748,8.00,5.00,0.00,6.00,6.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5027756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5027764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5027780,7.00,9.00,6.00,7.00,9.00,12.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5027810,5.00,7.00,2.00,4.00,7.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5027829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5027837,9.00,6.00,7.00,7.00,8.00,9.75,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5027845,5.00,6.00,0.00,7.00,8.00,NULL,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5027870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5027888,7.00,8.00,4.00,7.00,10.00,11.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5027896,6.00,7.00,1.00,7.00,6.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5027926,6.00,6.00,0.00,3.00,8.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5027942,4.00,4.00,1.00,7.00,6.00,10.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5027950,5.00,6.00,1.00,4.00,8.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5027969,3.00,5.00,2.00,3.00,8.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5027977,7.00,7.00,3.00,5.00,6.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5027985,2.00,4.00,2.00,4.00,3.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5028019,4.00,5.00,0.00,6.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5028043,6.00,6.00,1.00,5.00,8.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5028051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5028086,7.00,7.00,3.00,4.00,7.00,7.50,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5028094,5.00,5.00,3.00,4.00,7.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5028108,6.00,7.00,5.00,7.00,8.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5028116,6.00,8.00,2.00,6.00,7.00,10.13,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5028132,7.00,4.00,3.00,6.00,7.00,7.88,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5028140,5.00,6.00,1.00,7.00,6.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5028159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5028167,9.00,7.00,4.00,8.00,8.00,7.88,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5028175,6.00,4.00,2.00,5.00,4.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5028205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5028213,7.00,7.00,3.00,7.00,9.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5028221,7.00,7.00,2.00,4.00,9.00,10.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5028248,6.00,4.00,5.00,3.00,7.00,11.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5028264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5028280,9.00,3.00,2.00,5.00,7.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5028299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5028302,9.00,9.00,7.00,7.00,9.00,10.50,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5028310,7.00,7.00,5.00,6.00,10.00,9.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5028329,7.00,7.00,5.00,7.00,10.00,9.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5028337,8.00,7.00,5.00,6.00,8.00,10.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5028353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5028361,9.00,7.00,3.00,7.00,9.00,9.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5028370,5.00,7.00,2.00,7.00,8.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5028396,2.00,3.00,1.00,2.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5028418,6.00,7.00,1.00,6.00,8.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5028426,9.00,8.00,4.00,7.00,9.00,9.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5028434,6.00,6.00,2.00,2.00,5.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5028442,8.00,5.00,4.00,6.00,7.00,9.00,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5028450,9.00,8.00,8.00,5.00,10.00,10.13,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5028469,6.00,4.00,3.00,4.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5028477,4.00,4.00,2.00,6.00,7.00,8.63,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5028485,3.00,4.00,2.00,5.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5028493,8.00,5.00,2.00,5.00,9.00,10.13,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5028507,7.00,7.00,7.00,6.00,9.00,10.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5028515,5.00,2.00,0.00,2.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5028531,6.00,5.00,3.00,7.00,8.00,9.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5028558,6.00,7.00,5.00,8.00,7.00,9.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5028566,5.00,5.00,3.00,6.00,7.00,4.50,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5028574,2.00,7.00,3.00,2.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5028582,4.00,6.00,1.00,4.00,5.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5028604,4.00,0.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5028620,7.00,4.00,2.00,6.00,8.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5028639,8.00,7.00,1.00,4.00,8.00,6.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5028647,6.00,7.00,4.00,5.00,5.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5028655,8.00,6.00,4.00,7.00,7.00,8.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5028671,4.00,5.00,2.00,6.00,5.00,7.88,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5028680,9.00,9.00,4.00,5.00,10.00,9.38,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5028710,5.00,5.00,2.00,3.00,6.00,6.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5028728,0.00,6.00,0.00,4.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5028736,8.00,5.00,2.00,4.00,7.00,10.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5028744,4.00,4.00,3.00,5.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5028752,4.00,7.00,3.00,6.00,10.00,9.75,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5028760,6.00,8.00,2.00,5.00,10.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5028787,8.00,7.00,3.00,6.00,9.00,9.00,6.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5028795,6.00,6.00,3.00,5.00,8.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5028809,6.00,6.00,6.00,7.00,7.00,7.88,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5028817,6.00,5.00,5.00,4.00,7.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5028825,4.00,4.00,2.00,6.00,7.00,7.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5028833,8.00,8.00,7.00,7.00,10.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5028841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5028850,6.00,4.00,3.00,4.00,4.00,10.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5028868,3.00,3.00,2.00,4.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5028876,4.00,3.00,0.00,4.00,5.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5028892,4.00,4.00,0.00,4.00,8.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5028906,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5028922,6.00,7.00,6.00,5.00,10.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5028930,1.00,2.00,1.00,4.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5028949,5.00,6.00,2.00,3.00,5.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5028957,5.00,7.00,4.00,7.00,6.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5028965,9.00,7.00,3.00,7.00,9.00,10.13,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5028973,3.00,2.00,0.00,5.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5028981,8.00,5.00,3.00,6.00,7.00,10.88,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5028990,8.00,7.00,4.00,3.00,7.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5029007,2.00,7.00,3.00,6.00,6.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5029015,5.00,6.00,2.00,6.00,5.00,7.88,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5029023,6.00,8.00,1.00,5.00,7.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5029031,8.00,7.00,7.00,6.00,8.00,7.50,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5029040,9.00,9.00,6.00,6.00,11.00,7.13,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5029058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5029066,8.00,8.00,3.00,7.00,8.00,8.25,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5029082,6.00,7.00,5.00,5.00,9.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5029090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5029104,1.00,4.00,3.00,2.00,6.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5029112,6.00,6.00,2.00,7.00,8.00,9.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5029120,8.00,6.00,1.00,6.00,7.00,7.50,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5029139,9.00,6.00,1.00,5.00,9.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5029147,3.00,3.00,0.00,1.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5029155,8.00,4.00,2.00,7.00,7.00,10.13,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5029163,7.00,6.00,2.00,7.00,8.00,10.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5029171,7.00,6.00,4.00,7.00,7.00,8.63,7.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5029198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5029201,6.00,6.00,3.00,6.00,7.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5029210,7.00,6.00,7.00,8.00,9.00,9.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5029236,9.00,7.00,4.00,7.00,10.00,12.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5029244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5029260,5.00,5.00,2.00,4.00,8.00,9.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5029279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5029287,8.00,6.00,3.00,6.00,7.00,10.13,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5029309,6.00,7.00,5.00,6.00,7.00,6.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5029317,6.00,3.00,1.00,6.00,8.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5029325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5029333,8.00,6.00,4.00,6.00,8.00,6.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5029341,0.00,5.00,2.00,2.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5029350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5029368,8.00,8.00,4.00,7.00,8.00,7.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5029376,8.00,8.00,2.00,7.00,9.00,6.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5029384,8.00,7.00,3.00,7.00,5.00,7.88,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5029392,3.00,6.00,2.00,6.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5029406,4.00,6.00,1.00,5.00,9.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5029414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5029422,5.00,4.00,0.00,2.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5029430,7.00,6.00,1.00,4.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5029449,8.00,6.00,3.00,7.00,8.00,11.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5029457,5.00,7.00,2.00,4.00,5.00,7.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5029465,5.00,7.00,4.00,4.00,7.00,9.75,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5029473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5029481,9.00,8.00,6.00,6.00,10.00,9.00,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5029490,1.00,3.00,1.00,4.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5029503,8.00,8.00,2.00,4.00,7.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5029511,6.00,7.00,5.00,7.00,11.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5029520,9.00,4.00,5.00,0.00,6.00,6.75,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5029554,9.00,7.00,2.00,7.00,10.00,10.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5029562,6.00,7.00,4.00,8.00,9.00,10.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5029570,4.00,4.00,3.00,4.00,9.00,10.13,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5029589,7.00,6.00,5.00,6.00,8.00,10.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5029597,2.00,4.00,0.00,4.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5029600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5029627,7.00,4.00,4.00,5.00,8.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5029635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5029643,3.00,2.00,0.00,6.00,6.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5029651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5029660,8.00,7.00,3.00,5.00,7.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5029686,3.00,4.00,1.00,3.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5029694,5.00,5.00,1.00,4.00,5.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5029708,6.00,6.00,4.00,6.00,9.00,10.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5029724,7.00,8.00,3.00,4.00,8.00,7.50,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5029732,8.00,8.00,4.00,5.00,7.00,7.88,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5029740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5029759,7.00,8.00,3.00,5.00,7.00,6.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5029767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5029783,6.00,5.00,4.00,4.00,7.00,9.38,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5029805,5.00,5.00,3.00,7.00,7.00,9.38,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5029813,8.00,6.00,6.00,6.00,10.00,9.00,3.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5029821,4.00,6.00,0.00,4.00,7.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5029830,7.00,4.00,2.00,3.00,8.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5029848,3.00,2.00,2.00,2.00,3.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5029872,9.00,7.00,6.00,7.00,9.00,13.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5029880,7.00,5.00,1.00,6.00,8.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5029899,3.00,5.00,2.00,2.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5029902,6.00,5.00,1.00,4.00,9.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5029910,4.00,4.00,1.00,4.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5029929,6.00,6.00,3.00,7.00,7.00,8.63,5.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5029937,9.00,5.00,3.00,7.00,6.00,9.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5029945,8.00,7.00,4.00,7.00,7.00,8.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5029953,8.00,6.00,1.00,8.00,9.00,10.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5029961,8.00,7.00,7.00,4.00,9.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5029988,7.00,4.00,2.00,6.00,8.00,7.88,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5029996,8.00,7.00,7.00,5.00,9.00,8.25,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5030005,7.00,5.00,5.00,7.00,8.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5030013,6.00,7.00,5.00,5.00,8.00,5.25,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5030021,6.00,6.00,3.00,6.00,6.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5030030,4.00,5.00,3.00,6.00,8.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5030048,8.00,6.00,3.00,3.00,6.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5030056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5030064,8.00,8.00,4.00,7.00,10.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5030072,5.00,5.00,4.00,6.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5030080,7.00,7.00,8.00,6.00,7.00,10.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5030102,1.00,1.00,1.00,2.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5030110,8.00,6.00,3.00,7.00,9.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5030129,8.00,7.00,6.00,7.00,10.00,13.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5030137,6.00,6.00,3.00,6.00,4.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5030145,9.00,6.00,8.00,7.00,9.00,9.75,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5030153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5030161,9.00,9.00,7.00,8.00,11.00,10.50,8.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5030188,8.00,7.00,5.00,5.00,8.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5030196,5.00,7.00,3.00,5.00,9.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5030200,8.00,6.00,4.00,8.00,9.00,10.88,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5030218,9.00,6.00,3.00,6.00,9.00,9.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5030226,7.00,7.00,1.00,7.00,4.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5030234,5.00,4.00,1.00,3.00,6.00,8.25,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5030242,3.00,6.00,1.00,5.00,4.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5030250,3.00,4.00,0.00,5.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5030269,3.00,5.00,0.00,4.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5030277,4.00,3.00,2.00,4.00,5.00,7.88,4.00,1.00,5.00,NULL,NULL,NULL,'S'),(20,5030293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5030307,6.00,7.00,1.00,5.00,5.00,9.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5030315,4.00,3.00,4.00,7.00,5.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5030323,3.00,5.00,2.00,2.00,8.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5030331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5030340,0.00,5.00,2.00,5.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5030358,9.00,6.00,1.00,7.00,10.00,9.38,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5030366,4.00,0.00,1.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'S'),(20,5030374,4.00,6.00,6.00,3.00,7.00,6.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5030390,4.00,6.00,3.00,4.00,6.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5030404,7.00,7.00,4.00,7.00,9.00,9.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5030412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5030420,8.00,9.00,4.00,7.00,7.00,12.00,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5030439,5.00,5.00,3.00,3.00,7.00,8.63,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5030447,5.00,6.00,3.00,6.00,5.00,6.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5030455,8.00,7.00,3.00,4.00,7.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5030463,3.00,6.00,2.00,4.00,5.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5030471,7.00,6.00,2.00,6.00,9.00,6.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5030480,8.00,6.00,6.00,6.00,7.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5030498,2.00,5.00,0.00,4.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5030510,0.00,4.00,0.00,1.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5030528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5030536,7.00,5.00,3.00,4.00,7.00,9.75,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5030544,4.00,5.00,2.00,6.00,7.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5030552,7.00,6.00,4.00,7.00,6.00,11.63,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5030560,6.00,5.00,1.00,2.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5030579,5.00,7.00,2.00,4.00,6.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5030587,7.00,7.00,3.00,6.00,7.00,8.63,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(20,5030595,9.00,6.00,5.00,6.00,8.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5030617,9.00,7.00,1.00,6.00,8.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5030625,4.00,4.00,1.00,6.00,5.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5030633,8.00,5.00,0.00,5.00,5.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5030641,7.00,7.00,3.00,6.00,10.00,10.13,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5030650,6.00,4.00,2.00,4.00,9.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5030668,7.00,8.00,3.00,7.00,8.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5030676,7.00,4.00,1.00,7.00,8.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5030684,8.00,9.00,7.00,5.00,9.00,11.25,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5030714,5.00,5.00,3.00,3.00,6.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5030722,4.00,5.00,1.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5030749,3.00,4.00,1.00,4.00,4.00,8.25,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5030757,5.00,6.00,3.00,4.00,5.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5030765,7.00,6.00,1.00,5.00,9.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5030773,6.00,7.00,2.00,6.00,5.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5030781,8.00,7.00,2.00,7.00,8.00,7.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5030790,7.00,7.00,5.00,7.00,5.00,8.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5030803,7.00,6.00,2.00,5.00,7.00,6.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5030811,6.00,6.00,1.00,7.00,8.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5030820,9.00,8.00,3.00,7.00,8.00,12.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5030838,6.00,8.00,3.00,6.00,9.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5030846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5030854,8.00,7.00,2.00,5.00,9.00,10.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5030862,7.00,6.00,2.00,6.00,8.00,6.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5030870,9.00,6.00,6.00,6.00,9.00,11.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5030889,8.00,7.00,6.00,7.00,9.00,9.38,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5030897,9.00,6.00,4.00,5.00,10.00,10.50,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5030900,0.00,4.00,1.00,3.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5030927,7.00,6.00,5.00,7.00,8.00,6.75,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5030943,4.00,6.00,1.00,4.00,4.00,10.13,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5030951,7.00,6.00,6.00,7.00,8.00,9.38,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5030978,8.00,5.00,1.00,7.00,8.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5030994,3.00,5.00,0.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5031001,8.00,6.00,3.00,7.00,10.00,11.25,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5031010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5031028,7.00,5.00,3.00,3.00,6.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5031036,5.00,7.00,4.00,4.00,6.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5031044,5.00,2.00,4.00,4.00,4.00,4.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5031052,6.00,4.00,1.00,2.00,6.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5031060,9.00,9.00,4.00,8.00,9.00,10.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5031095,9.00,7.00,4.00,7.00,10.00,10.13,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5031109,6.00,6.00,4.00,5.00,6.00,10.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5031117,8.00,7.00,2.00,6.00,8.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5031133,3.00,1.00,2.00,1.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5031141,5.00,6.00,5.00,7.00,7.00,6.38,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5031168,1.00,6.00,2.00,1.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5031176,3.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5031184,3.00,7.00,0.00,3.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5031192,8.00,6.00,8.00,3.00,10.00,12.75,6.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5031206,6.00,4.00,2.00,2.00,8.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5031214,6.00,5.00,5.00,7.00,4.00,9.38,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5031230,6.00,5.00,2.00,7.00,6.00,8.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5031249,0.00,2.00,1.00,3.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5031257,0.00,2.00,1.00,2.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5031265,4.00,7.00,1.00,6.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5031273,2.00,4.00,2.00,2.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5031281,8.00,6.00,5.00,7.00,9.00,9.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5031290,5.00,3.00,1.00,6.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5031303,4.00,5.00,0.00,5.00,8.00,10.13,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5031311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5031338,8.00,7.00,5.00,7.00,9.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5031346,7.00,5.00,3.00,7.00,8.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5031354,5.00,5.00,4.00,4.00,7.00,6.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5031370,6.00,6.00,3.00,6.00,6.00,10.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5031389,7.00,7.00,5.00,2.00,8.00,11.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5031397,7.00,6.00,2.00,6.00,8.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5031400,3.00,5.00,2.00,4.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5031419,5.00,5.00,3.00,7.00,8.00,8.25,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5031435,7.00,7.00,3.00,7.00,7.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5031451,8.00,7.00,8.00,6.00,11.00,9.00,5.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5031460,7.00,4.00,4.00,5.00,7.00,11.25,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5031478,3.00,4.00,3.00,2.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5031486,6.00,6.00,5.00,5.00,3.00,NULL,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5031494,7.00,5.00,2.00,7.00,4.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(20,5031516,2.00,4.00,2.00,3.00,5.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5031524,5.00,6.00,3.00,7.00,6.00,11.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5031532,8.00,6.00,3.00,5.00,8.00,8.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5031540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5031559,1.00,6.00,0.00,4.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5031567,1.00,4.00,2.00,5.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5031575,7.00,4.00,5.00,6.00,7.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5031583,9.00,9.00,7.00,7.00,10.00,10.88,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5031591,5.00,6.00,0.00,4.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5031605,7.00,5.00,4.00,6.00,7.00,7.13,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5031613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5031630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5031672,7.00,6.00,2.00,5.00,8.00,11.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5031680,2.00,8.00,0.00,6.00,5.00,7.13,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5031699,5.00,6.00,1.00,5.00,6.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5031702,7.00,8.00,4.00,7.00,7.00,9.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5031710,9.00,4.00,1.00,7.00,7.00,8.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5031729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5031737,6.00,0.00,0.00,5.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5031745,6.00,7.00,5.00,7.00,7.00,4.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5031761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5031770,4.00,7.00,4.00,4.00,8.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5031788,3.00,6.00,2.00,5.00,6.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5031796,8.00,9.00,5.00,6.00,9.00,11.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5031800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5031826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5031834,7.00,6.00,2.00,6.00,9.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5031850,3.00,6.00,1.00,5.00,6.00,10.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5031869,6.00,6.00,3.00,7.00,7.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5031877,4.00,6.00,3.00,5.00,8.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5031885,5.00,5.00,1.00,7.00,8.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5031893,9.00,4.00,5.00,7.00,6.00,8.25,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5031907,7.00,7.00,4.00,7.00,8.00,8.63,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5031915,6.00,6.00,1.00,6.00,8.00,12.00,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5031923,3.00,6.00,1.00,2.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5031931,9.00,8.00,8.00,7.00,9.00,9.75,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5031958,8.00,7.00,7.00,7.00,8.00,10.50,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5031966,8.00,6.00,4.00,6.00,7.00,9.38,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5031974,9.00,6.00,3.00,7.00,8.00,11.25,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5031982,8.00,6.00,2.00,6.00,8.00,7.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5031990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5032008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5032016,5.00,3.00,3.00,5.00,5.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5032024,9.00,9.00,5.00,8.00,10.00,8.25,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5032040,6.00,6.00,3.00,7.00,7.00,9.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5032067,6.00,6.00,0.00,4.00,6.00,6.75,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5032083,6.00,7.00,2.00,6.00,4.00,9.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5032091,0.00,4.00,0.00,0.00,0.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5032105,9.00,7.00,2.00,5.00,10.00,10.13,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5032113,5.00,7.00,4.00,5.00,7.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5032121,7.00,6.00,4.00,7.00,7.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5032130,2.00,5.00,2.00,5.00,5.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5032148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5032156,9.00,8.00,5.00,7.00,8.00,9.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5032164,4.00,5.00,1.00,2.00,8.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5032172,5.00,6.00,2.00,6.00,8.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5032199,0.00,3.00,0.00,4.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5032202,9.00,6.00,2.00,6.00,8.00,7.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5032210,7.00,7.00,2.00,6.00,6.00,7.88,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5032229,7.00,7.00,5.00,6.00,9.00,9.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5032237,7.00,6.00,4.00,7.00,5.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5032245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5032253,7.00,6.00,4.00,1.00,8.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5032261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5032270,4.00,6.00,0.00,2.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5032296,4.00,5.00,1.00,4.00,6.00,6.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5032300,8.00,6.00,3.00,7.00,8.00,7.88,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5032318,8.00,6.00,4.00,6.00,7.00,9.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5032326,8.00,9.00,5.00,6.00,11.00,11.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5032334,9.00,7.00,8.00,7.00,9.00,10.13,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5032342,5.00,4.00,7.00,6.00,6.00,9.00,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5032350,2.00,4.00,2.00,5.00,5.00,3.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5032369,7.00,4.00,1.00,4.00,7.00,9.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5032377,9.00,7.00,4.00,5.00,7.00,9.38,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5032385,3.00,4.00,1.00,3.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5032393,7.00,8.00,3.00,7.00,8.00,9.38,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5032407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5032415,8.00,8.00,4.00,7.00,8.00,10.13,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5032423,6.00,5.00,5.00,7.00,6.00,9.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5032458,0.00,2.00,1.00,5.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5032466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5032482,6.00,5.00,3.00,4.00,6.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5032490,7.00,5.00,1.00,7.00,10.00,11.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5032504,9.00,8.00,5.00,7.00,10.00,9.38,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5032512,8.00,6.00,4.00,7.00,7.00,8.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5032520,7.00,6.00,2.00,7.00,7.00,10.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5032539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5032547,9.00,7.00,6.00,6.00,6.00,9.38,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5032571,8.00,6.00,5.00,7.00,6.00,8.63,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5032580,2.00,2.00,2.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5032598,8.00,7.00,6.00,6.00,9.00,8.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5032601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5032610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5032636,7.00,0.00,2.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5032652,8.00,9.00,2.00,6.00,9.00,7.50,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5032679,6.00,4.00,5.00,3.00,7.00,8.63,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5032687,8.00,8.00,7.00,5.00,7.00,12.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5032695,4.00,3.00,1.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5032709,5.00,3.00,4.00,4.00,6.00,8.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5032725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5032733,9.00,7.00,5.00,7.00,7.00,6.38,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5032741,7.00,5.00,0.00,4.00,8.00,9.00,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5032750,8.00,7.00,4.00,6.00,8.00,7.88,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5032768,9.00,8.00,0.00,7.00,7.00,8.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5032784,8.00,7.00,3.00,7.00,9.00,7.88,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5032792,5.00,7.00,5.00,7.00,6.00,10.50,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5032806,6.00,4.00,3.00,3.00,6.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5032814,4.00,5.00,3.00,4.00,6.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5032822,7.00,5.00,3.00,5.00,7.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5032830,8.00,7.00,7.00,7.00,10.00,12.00,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5032865,8.00,8.00,3.00,6.00,8.00,9.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5032873,4.00,5.00,1.00,7.00,8.00,8.25,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5032881,6.00,7.00,7.00,6.00,9.00,9.38,7.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5032890,9.00,9.00,8.00,7.00,10.00,10.50,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5032911,5.00,7.00,5.00,8.00,8.00,9.75,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5032920,5.00,6.00,1.00,3.00,7.00,8.25,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5032938,7.00,4.00,5.00,5.00,6.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5032962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5032970,7.00,5.00,4.00,4.00,8.00,8.25,4.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5032989,7.00,7.00,5.00,5.00,7.00,6.75,7.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5032997,0.00,0.00,1.00,2.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5033004,3.00,5.00,3.00,3.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5033012,4.00,4.00,4.00,4.00,5.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5033020,7.00,6.00,3.00,7.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5033047,5.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(20,5033055,6.00,4.00,0.00,4.00,6.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5033063,4.00,6.00,0.00,4.00,9.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5033071,8.00,6.00,2.00,6.00,10.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5033080,5.00,6.00,6.00,5.00,5.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5033098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5033101,2.00,5.00,1.00,3.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5033110,5.00,5.00,0.00,6.00,9.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5033128,5.00,6.00,0.00,5.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5033136,4.00,6.00,7.00,6.00,6.00,7.88,1.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5033152,6.00,7.00,3.00,7.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5033160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5033179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5033187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5033195,5.00,5.00,1.00,7.00,5.00,10.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5033209,4.00,3.00,1.00,6.00,6.00,6.38,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5033225,5.00,3.00,2.00,7.00,6.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5033233,4.00,3.00,4.00,2.00,6.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5033241,5.00,6.00,2.00,4.00,5.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5033268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5033284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5033292,7.00,8.00,0.00,6.00,8.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5033314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5033322,8.00,7.00,5.00,6.00,10.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5033330,2.00,7.00,0.00,2.00,4.00,6.75,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5033349,6.00,6.00,6.00,7.00,7.00,7.13,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5033373,4.00,6.00,3.00,5.00,8.00,7.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5033381,6.00,6.00,5.00,6.00,8.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5033390,4.00,4.00,2.00,1.00,6.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5033403,9.00,9.00,5.00,6.00,10.00,9.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5033411,8.00,8.00,4.00,5.00,8.00,9.38,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5033420,9.00,8.00,6.00,6.00,11.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5033438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5033446,7.00,7.00,4.00,5.00,8.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5033454,7.00,7.00,7.00,8.00,9.00,8.63,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5033462,3.00,5.00,3.00,6.00,6.00,7.13,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5033489,4.00,6.00,1.00,6.00,6.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5033497,6.00,7.00,4.00,2.00,4.00,10.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5033500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5033519,8.00,8.00,7.00,6.00,11.00,11.63,8.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5033527,9.00,7.00,5.00,7.00,8.00,10.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5033535,6.00,5.00,3.00,6.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5033543,5.00,5.00,4.00,6.00,7.00,7.88,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5033551,7.00,4.00,5.00,6.00,8.00,8.25,2.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5033560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5033578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5033586,0.00,4.00,0.00,5.00,6.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5033594,5.00,5.00,3.00,6.00,8.00,12.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5033608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5033616,5.00,5.00,2.00,3.00,5.00,6.75,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5033624,4.00,5.00,2.00,4.00,5.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5033640,3.00,6.00,3.00,3.00,6.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5033659,4.00,4.00,2.00,5.00,7.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5033667,2.00,4.00,4.00,4.00,5.00,6.00,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5033683,4.00,6.00,2.00,4.00,4.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5033691,4.00,3.00,1.00,1.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5033721,6.00,4.00,3.00,1.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5033730,2.00,4.00,1.00,3.00,0.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5033748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5033756,5.00,5.00,2.00,3.00,6.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5033764,6.00,6.00,3.00,5.00,8.00,9.38,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5033780,5.00,6.00,2.00,3.00,5.00,6.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5033829,7.00,6.00,7.00,7.00,9.00,8.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5033837,8.00,7.00,3.00,6.00,10.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5033845,7.00,8.00,2.00,4.00,7.00,7.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5033853,3.00,2.00,1.00,4.00,3.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5033870,1.00,3.00,1.00,3.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5033888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5033896,6.00,5.00,2.00,5.00,5.00,7.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5033900,9.00,7.00,4.00,7.00,9.00,10.88,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5033918,4.00,5.00,0.00,2.00,3.00,NULL,2.00,0.00,7.00,NULL,NULL,NULL,'N'),(20,5033926,9.00,9.00,7.00,8.00,9.00,12.00,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5033934,4.00,7.00,2.00,3.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5033942,9.00,8.00,5.00,5.00,9.00,9.75,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5033950,7.00,8.00,2.00,5.00,9.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5033977,7.00,6.00,4.00,7.00,9.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5033993,7.00,6.00,1.00,7.00,9.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5034019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5034027,3.00,5.00,1.00,7.00,7.00,9.38,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5034035,4.00,6.00,4.00,6.00,8.00,9.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5034043,1.00,5.00,0.00,7.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5034051,8.00,5.00,5.00,4.00,7.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5034078,8.00,7.00,4.00,5.00,9.00,10.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5034094,6.00,6.00,6.00,5.00,8.00,7.88,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5034116,6.00,7.00,5.00,1.00,4.00,6.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5034132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5034140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5034159,3.00,4.00,0.00,2.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5034167,4.00,6.00,2.00,5.00,6.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5034183,5.00,7.00,1.00,7.00,8.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5034191,9.00,7.00,6.00,7.00,10.00,10.13,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5034205,7.00,7.00,2.00,6.00,8.00,9.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5034213,7.00,7.00,3.00,5.00,6.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5034221,5.00,7.00,1.00,3.00,7.00,9.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5034230,7.00,6.00,3.00,7.00,6.00,7.13,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5034256,8.00,7.00,7.00,7.00,8.00,8.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5034264,5.00,5.00,4.00,4.00,7.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5034272,7.00,4.00,2.00,4.00,5.00,9.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5034299,8.00,6.00,2.00,7.00,8.00,8.25,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5034302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5034310,4.00,5.00,2.00,1.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5034329,2.00,0.00,3.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5034337,3.00,5.00,3.00,5.00,6.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5034353,8.00,9.00,9.00,6.00,9.00,10.13,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5034370,3.00,7.00,1.00,2.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5034396,4.00,8.00,0.00,7.00,9.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5034418,7.00,6.00,5.00,5.00,7.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5034426,5.00,4.00,2.00,7.00,6.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5034434,9.00,7.00,6.00,7.00,9.00,6.00,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5034442,7.00,7.00,6.00,5.00,8.00,8.63,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5034469,3.00,6.00,2.00,1.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5034477,4.00,4.00,2.00,3.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5034493,5.00,5.00,2.00,6.00,8.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5034507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5034515,4.00,6.00,4.00,6.00,7.00,10.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5034523,3.00,7.00,1.00,6.00,7.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5034531,3.00,3.00,0.00,2.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5034540,4.00,5.00,6.00,7.00,5.00,8.63,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5034558,8.00,8.00,6.00,7.00,8.00,10.50,4.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5034566,5.00,5.00,2.00,3.00,8.00,7.88,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5034574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5034582,4.00,3.00,0.00,4.00,7.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5034590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5034604,8.00,7.00,7.00,7.00,8.00,9.38,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5034612,0.00,4.00,0.00,0.00,0.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5034620,4.00,0.00,2.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5034639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5034647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5034663,8.00,5.00,3.00,7.00,7.00,6.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5034671,8.00,8.00,5.00,7.00,9.00,9.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5034680,7.00,6.00,2.00,6.00,4.00,8.25,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5034710,9.00,5.00,3.00,7.00,10.00,11.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5034728,4.00,4.00,0.00,5.00,7.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5034736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5034744,2.00,2.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5034752,3.00,3.00,3.00,5.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5034779,9.00,6.00,3.00,7.00,7.00,10.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5034795,7.00,7.00,5.00,6.00,8.00,9.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5034809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5034817,5.00,7.00,1.00,5.00,6.00,9.00,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5034825,3.00,5.00,0.00,4.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5034833,3.00,5.00,2.00,0.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5034841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5034850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5034868,6.00,4.00,1.00,2.00,9.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5034884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5034906,4.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5034922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5034930,3.00,3.00,1.00,2.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5034957,6.00,6.00,2.00,4.00,7.00,6.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5034965,1.00,5.00,1.00,3.00,7.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5034973,6.00,6.00,8.00,6.00,8.00,10.13,9.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5034990,3.00,4.00,1.00,2.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5035007,8.00,8.00,4.00,7.00,8.00,10.13,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5035015,2.00,5.00,3.00,3.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5035031,2.00,5.00,2.00,2.00,5.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5035040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5035058,5.00,7.00,2.00,5.00,6.00,8.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5035066,7.00,5.00,4.00,7.00,6.00,9.00,4.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5035090,6.00,3.00,0.00,3.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5035120,8.00,4.00,4.00,6.00,7.00,10.88,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5035139,8.00,6.00,2.00,7.00,10.00,7.50,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5035147,5.00,6.00,2.00,4.00,5.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5035155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5035163,6.00,5.00,3.00,5.00,8.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5035171,5.00,5.00,3.00,2.00,5.00,8.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5035180,5.00,3.00,2.00,6.00,4.00,6.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5035198,2.00,6.00,2.00,1.00,8.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5035201,7.00,5.00,1.00,6.00,7.00,0.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5035210,8.00,7.00,3.00,4.00,8.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5035228,7.00,8.00,3.00,5.00,7.00,7.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5035236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5035244,2.00,5.00,4.00,3.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5035252,8.00,7.00,4.00,7.00,10.00,8.63,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5035260,1.00,6.00,1.00,3.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5035279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5035287,7.00,7.00,5.00,4.00,6.00,9.38,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5035309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5035325,6.00,7.00,1.00,5.00,8.00,9.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5035333,8.00,6.00,0.00,7.00,6.00,9.38,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5035341,9.00,7.00,6.00,7.00,8.00,8.63,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5035368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5035384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5035392,3.00,3.00,0.00,1.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5035406,4.00,7.00,2.00,7.00,7.00,12.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5035414,8.00,7.00,2.00,6.00,8.00,10.13,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5035430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5035449,3.00,6.00,1.00,3.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5035457,6.00,6.00,4.00,4.00,6.00,8.63,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5035465,3.00,4.00,2.00,3.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5035473,3.00,3.00,0.00,2.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5035481,8.00,6.00,2.00,3.00,5.00,6.38,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5035490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5035503,6.00,6.00,4.00,7.00,4.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5035511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5035520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5035538,5.00,0.00,1.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5035546,8.00,8.00,5.00,5.00,9.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5035570,4.00,7.00,2.00,2.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5035589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5035597,4.00,6.00,1.00,7.00,4.00,8.63,5.00,4.00,0.00,NULL,NULL,NULL,'S'),(20,5035600,8.00,7.00,4.00,6.00,10.00,9.38,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5035627,1.00,5.00,0.00,2.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5035643,2.00,3.00,0.00,4.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5035660,8.00,5.00,3.00,4.00,8.00,8.63,1.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5035678,6.00,6.00,2.00,7.00,7.00,10.13,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5035694,3.00,7.00,2.00,5.00,7.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5035708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5035716,6.00,5.00,2.00,5.00,5.00,10.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5035724,7.00,8.00,4.00,4.00,7.00,10.88,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5035732,4.00,7.00,2.00,7.00,6.00,6.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5035740,6.00,7.00,1.00,3.00,8.00,7.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5035759,2.00,4.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5035767,9.00,8.00,8.00,8.00,9.00,12.00,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5035775,1.00,2.00,1.00,3.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5035783,8.00,6.00,2.00,7.00,6.00,8.63,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5035791,8.00,8.00,2.00,5.00,8.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5035821,5.00,4.00,2.00,5.00,4.00,7.50,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5035830,7.00,5.00,2.00,7.00,8.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5035856,2.00,6.00,3.00,5.00,6.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5035864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5035872,4.00,6.00,0.00,6.00,8.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5035880,6.00,7.00,1.00,7.00,6.00,11.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5035899,3.00,5.00,3.00,5.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5035929,5.00,4.00,4.00,6.00,6.00,0.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5035953,3.00,4.00,3.00,6.00,3.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5035961,8.00,6.00,6.00,6.00,8.00,9.75,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5035988,6.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5035996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5036038,7.00,8.00,2.00,7.00,10.00,8.63,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5036054,5.00,7.00,4.00,6.00,7.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5036062,3.00,4.00,1.00,1.00,6.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5036097,8.00,7.00,6.00,7.00,6.00,9.38,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5036100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5036127,3.00,5.00,6.00,2.00,7.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5036135,3.00,4.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5036143,9.00,9.00,7.00,7.00,9.00,11.25,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5036151,5.00,6.00,4.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5036160,7.00,5.00,4.00,7.00,8.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5036178,8.00,5.00,7.00,7.00,9.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5036186,8.00,8.00,6.00,7.00,10.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5036194,7.00,5.00,4.00,7.00,4.00,4.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5036208,3.00,5.00,4.00,5.00,6.00,8.63,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5036216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5036224,7.00,6.00,2.00,5.00,9.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5036232,3.00,6.00,4.00,0.00,5.00,NULL,4.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5036240,5.00,6.00,4.00,3.00,6.00,6.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5036267,1.00,4.00,2.00,4.00,6.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5036283,7.00,7.00,0.00,5.00,8.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5036291,6.00,5.00,1.00,4.00,5.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5036305,9.00,9.00,5.00,8.00,10.00,14.25,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5036313,6.00,5.00,3.00,5.00,8.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5036321,2.00,5.00,1.00,3.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5036330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5036348,1.00,3.00,3.00,3.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5036356,2.00,5.00,3.00,4.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5036364,9.00,8.00,5.00,6.00,7.00,6.38,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5036372,1.00,4.00,2.00,3.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5036380,6.00,3.00,0.00,7.00,8.00,8.25,1.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5036399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5036402,3.00,4.00,0.00,3.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5036410,8.00,7.00,3.00,7.00,10.00,9.00,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5036429,9.00,7.00,6.00,8.00,11.00,9.00,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5036437,4.00,3.00,1.00,4.00,2.00,NULL,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5036445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5036470,6.00,6.00,1.00,3.00,9.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5036488,7.00,6.00,2.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5036500,3.00,6.00,1.00,3.00,7.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5036518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5036526,9.00,5.00,6.00,7.00,10.00,10.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5036534,3.00,7.00,1.00,5.00,8.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5036542,5.00,5.00,4.00,6.00,8.00,6.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5036550,3.00,3.00,2.00,2.00,3.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5036569,4.00,7.00,1.00,7.00,7.00,7.88,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5036577,3.00,6.00,1.00,6.00,4.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'S'),(20,5036585,7.00,4.00,3.00,5.00,6.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5036593,9.00,6.00,2.00,8.00,7.00,6.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5036615,5.00,7.00,5.00,4.00,6.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5036623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5036631,9.00,8.00,2.00,7.00,8.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5036640,7.00,5.00,3.00,3.00,7.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5036658,8.00,6.00,7.00,6.00,7.00,7.50,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5036666,9.00,7.00,3.00,5.00,9.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5036674,6.00,4.00,4.00,5.00,6.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5036682,5.00,4.00,6.00,6.00,7.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5036690,6.00,7.00,2.00,7.00,5.00,7.13,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5036704,9.00,5.00,3.00,8.00,7.00,9.00,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5036739,9.00,7.00,6.00,7.00,9.00,8.25,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5036747,7.00,5.00,5.00,7.00,8.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5036755,3.00,4.00,0.00,4.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5036771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5036780,6.00,4.00,2.00,1.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5036801,8.00,4.00,0.00,6.00,6.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5036810,5.00,5.00,1.00,7.00,7.00,11.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5036828,8.00,8.00,5.00,7.00,7.00,9.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5036836,8.00,7.00,3.00,7.00,7.00,NULL,5.00,6.00,5.00,NULL,NULL,'S','N'),(20,5036844,7.00,4.00,1.00,5.00,5.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5036852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5036860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5036879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5036887,5.00,5.00,2.00,4.00,6.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5036909,4.00,5.00,4.00,2.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5036917,7.00,6.00,4.00,1.00,7.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5036925,8.00,4.00,4.00,7.00,7.00,9.38,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5036933,6.00,4.00,3.00,6.00,6.00,8.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5036941,7.00,8.00,1.00,5.00,7.00,10.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5036950,5.00,6.00,2.00,3.00,5.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5036976,4.00,4.00,2.00,6.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5037000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5037018,8.00,9.00,5.00,6.00,10.00,10.88,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5037026,9.00,5.00,3.00,6.00,6.00,7.88,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5037034,4.00,6.00,2.00,5.00,7.00,NULL,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5037042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5037050,1.00,6.00,1.00,5.00,6.00,7.50,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5037069,6.00,6.00,7.00,4.00,5.00,7.88,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5037077,7.00,6.00,2.00,5.00,8.00,8.63,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5037093,3.00,7.00,1.00,3.00,5.00,8.25,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5037107,7.00,3.00,4.00,7.00,7.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5037115,9.00,8.00,6.00,7.00,10.00,8.63,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5037123,6.00,5.00,4.00,6.00,9.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5037131,8.00,6.00,6.00,7.00,9.00,9.75,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5037158,8.00,7.00,3.00,7.00,8.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5037166,8.00,8.00,1.00,8.00,10.00,11.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5037174,6.00,6.00,2.00,6.00,5.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5037182,9.00,9.00,8.00,7.00,9.00,11.25,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5037190,9.00,6.00,4.00,7.00,8.00,9.00,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5037204,5.00,4.00,3.00,4.00,5.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5037212,6.00,7.00,1.00,6.00,5.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5037220,7.00,5.00,6.00,5.00,6.00,10.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5037255,3.00,6.00,4.00,4.00,5.00,5.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5037271,8.00,6.00,3.00,6.00,7.00,4.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5037280,3.00,2.00,2.00,5.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5037298,6.00,7.00,2.00,5.00,9.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5037301,5.00,4.00,1.00,6.00,10.00,0.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5037310,0.00,3.00,2.00,2.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5037328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5037344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5037352,8.00,8.00,6.00,7.00,10.00,8.25,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5037379,8.00,6.00,8.00,7.00,7.00,9.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5037387,7.00,6.00,0.00,7.00,8.00,0.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5037395,8.00,6.00,5.00,7.00,8.00,10.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5037409,9.00,8.00,6.00,7.00,10.00,7.13,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5037425,6.00,5.00,4.00,7.00,5.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5037433,4.00,7.00,1.00,6.00,8.00,11.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5037441,5.00,4.00,1.00,6.00,7.00,10.88,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5037450,5.00,4.00,3.00,2.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5037468,9.00,9.00,5.00,5.00,10.00,9.00,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5037476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5037484,4.00,5.00,6.00,7.00,8.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5037492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5037514,4.00,7.00,0.00,5.00,5.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5037522,9.00,8.00,4.00,6.00,9.00,11.63,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5037530,3.00,6.00,0.00,5.00,8.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5037549,5.00,5.00,1.00,5.00,8.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5037557,5.00,6.00,4.00,6.00,8.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5037565,8.00,6.00,6.00,7.00,11.00,11.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5037573,9.00,7.00,4.00,7.00,8.00,10.50,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5037590,6.00,7.00,0.00,5.00,9.00,NULL,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5037620,7.00,6.00,4.00,3.00,9.00,9.00,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5037638,6.00,5.00,4.00,7.00,7.00,9.75,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5037654,5.00,6.00,2.00,7.00,6.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5037662,2.00,6.00,2.00,5.00,6.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5037670,2.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5037689,9.00,7.00,4.00,7.00,11.00,12.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5037697,8.00,7.00,1.00,6.00,9.00,8.63,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5037700,9.00,5.00,6.00,5.00,8.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5037727,5.00,4.00,1.00,2.00,6.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5037735,2.00,2.00,1.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5037751,5.00,3.00,3.00,5.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5037760,7.00,6.00,5.00,7.00,8.00,9.38,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5037778,4.00,5.00,2.00,7.00,6.00,6.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5037786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5037840,2.00,7.00,1.00,5.00,10.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5037859,9.00,7.00,6.00,7.00,8.00,9.00,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5037867,3.00,5.00,5.00,4.00,6.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5037891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5037905,7.00,0.00,4.00,6.00,10.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5037913,4.00,2.00,2.00,4.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5037948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5037956,1.00,3.00,0.00,5.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5037972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5037980,5.00,6.00,2.00,3.00,7.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5037999,8.00,5.00,4.00,7.00,7.00,9.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5038006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5038014,3.00,5.00,2.00,4.00,6.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5038030,3.00,6.00,2.00,7.00,7.00,8.25,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5038073,8.00,7.00,3.00,8.00,8.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5038081,6.00,6.00,2.00,7.00,8.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'S'),(20,5038103,7.00,8.00,3.00,5.00,7.00,7.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5038111,5.00,5.00,3.00,5.00,7.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5038138,9.00,7.00,4.00,6.00,10.00,9.75,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5038146,6.00,5.00,3.00,7.00,7.00,0.00,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5038154,2.00,4.00,0.00,3.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5038162,9.00,7.00,3.00,7.00,8.00,10.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5038170,3.00,8.00,1.00,4.00,6.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5038197,7.00,7.00,4.00,4.00,6.00,9.75,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5038200,3.00,4.00,1.00,2.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5038227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5038243,9.00,8.00,3.00,7.00,9.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5038251,7.00,6.00,4.00,5.00,7.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5038260,7.00,5.00,1.00,7.00,4.00,9.38,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5038286,6.00,6.00,5.00,7.00,6.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5038324,1.00,3.00,1.00,5.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5038332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5038375,5.00,4.00,0.00,2.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5038383,6.00,7.00,4.00,5.00,7.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5038391,5.00,5.00,1.00,5.00,4.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5038405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5038413,7.00,7.00,2.00,7.00,7.00,7.13,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5038421,8.00,5.00,1.00,5.00,5.00,8.63,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5038448,8.00,8.00,6.00,7.00,9.00,10.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5038456,1.00,1.00,4.00,3.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5038464,9.00,9.00,5.00,6.00,9.00,9.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5038480,6.00,7.00,5.00,4.00,9.00,8.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5038499,4.00,4.00,0.00,6.00,8.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5038529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5038545,4.00,3.00,1.00,5.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5038553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5038561,5.00,6.00,0.00,3.00,8.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5038570,3.00,7.00,1.00,6.00,4.00,10.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5038596,6.00,8.00,1.00,7.00,7.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5038600,6.00,4.00,3.00,5.00,5.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5038618,6.00,6.00,2.00,5.00,8.00,10.88,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5038626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5038634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5038642,8.00,6.00,5.00,6.00,6.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5038650,5.00,5.00,3.00,6.00,4.00,8.25,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5038669,5.00,5.00,1.00,3.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5038685,4.00,4.00,4.00,1.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5038707,4.00,5.00,3.00,6.00,5.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5038715,2.00,5.00,1.00,2.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5038723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5038731,8.00,6.00,3.00,6.00,7.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5038758,4.00,5.00,1.00,3.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5038766,3.00,3.00,0.00,3.00,4.00,10.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5038774,8.00,5.00,5.00,5.00,8.00,9.38,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5038782,0.00,6.00,0.00,0.00,0.00,NULL,2.00,4.00,3.00,'S',NULL,NULL,'S'),(20,5038790,9.00,6.00,4.00,6.00,10.00,8.63,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5038804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5038812,7.00,7.00,3.00,5.00,10.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5038820,3.00,3.00,4.00,6.00,6.00,7.88,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5038839,3.00,5.00,4.00,3.00,4.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5038863,3.00,4.00,1.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5038871,8.00,8.00,4.00,7.00,10.00,12.00,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5038880,7.00,7.00,5.00,3.00,10.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5038910,5.00,5.00,0.00,4.00,4.00,9.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5038944,5.00,5.00,5.00,5.00,8.00,8.25,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5038952,7.00,5.00,3.00,5.00,8.00,6.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5038960,5.00,6.00,4.00,4.00,8.00,7.13,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5038979,7.00,9.00,4.00,5.00,7.00,10.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5038995,3.00,5.00,2.00,4.00,7.00,6.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5039002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5039053,8.00,6.00,5.00,7.00,7.00,8.63,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5039061,5.00,5.00,5.00,6.00,6.00,10.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5039088,5.00,5.00,1.00,5.00,7.00,9.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5039096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5039100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5039118,9.00,7.00,4.00,8.00,10.00,10.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5039126,8.00,6.00,5.00,7.00,8.00,11.63,7.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5039134,2.00,8.00,0.00,4.00,8.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5039142,1.00,1.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5039150,8.00,5.00,2.00,5.00,7.00,7.88,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5039169,6.00,6.00,0.00,6.00,9.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5039177,3.00,6.00,1.00,4.00,8.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5039185,4.00,6.00,3.00,4.00,7.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5039193,8.00,9.00,4.00,6.00,5.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5039207,5.00,5.00,1.00,1.00,8.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5039215,9.00,5.00,2.00,7.00,6.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5039223,5.00,3.00,0.00,5.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5039240,4.00,7.00,2.00,7.00,7.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5039266,8.00,7.00,6.00,7.00,7.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5039274,3.00,4.00,3.00,6.00,8.00,9.38,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5039282,6.00,6.00,4.00,4.00,4.00,4.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5039290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5039304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5039347,6.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5039363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5039371,8.00,8.00,5.00,8.00,9.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5039380,4.00,7.00,2.00,7.00,5.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5039398,7.00,6.00,4.00,3.00,6.00,4.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5039401,3.00,7.00,1.00,6.00,6.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5039436,2.00,5.00,1.00,4.00,0.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5039444,3.00,5.00,2.00,3.00,9.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5039452,6.00,6.00,4.00,6.00,5.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5039460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5039479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5039487,6.00,4.00,0.00,6.00,5.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5039495,7.00,7.00,5.00,5.00,7.00,7.13,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5039509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5039517,1.00,2.00,2.00,2.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5039525,7.00,7.00,7.00,6.00,10.00,7.88,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5039533,9.00,5.00,8.00,7.00,9.00,9.00,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5039541,6.00,8.00,2.00,4.00,6.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5039550,5.00,3.00,3.00,4.00,5.00,9.00,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5039568,8.00,8.00,8.00,6.00,8.00,9.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5039576,3.00,3.00,1.00,3.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5039584,5.00,3.00,1.00,6.00,6.00,8.25,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5039614,6.00,6.00,5.00,4.00,7.00,8.63,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5039622,6.00,8.00,3.00,4.00,7.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5039630,4.00,5.00,4.00,6.00,7.00,7.88,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5039649,7.00,3.00,2.00,6.00,8.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5039657,8.00,5.00,4.00,6.00,9.00,7.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5039665,4.00,4.00,0.00,3.00,6.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5039673,7.00,8.00,2.00,6.00,9.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5039681,3.00,7.00,4.00,5.00,8.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5039711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5039720,9.00,6.00,4.00,6.00,9.00,9.00,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5039738,8.00,7.00,3.00,4.00,9.00,8.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5039754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5039762,9.00,8.00,8.00,8.00,10.00,12.00,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5039770,9.00,9.00,6.00,7.00,10.00,10.50,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5039789,4.00,4.00,3.00,6.00,4.00,11.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5039800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5039827,5.00,5.00,2.00,1.00,4.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5039835,7.00,7.00,3.00,7.00,8.00,7.50,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5039843,3.00,7.00,2.00,6.00,6.00,8.63,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5039851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5039860,7.00,6.00,2.00,3.00,7.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5039878,5.00,7.00,3.00,6.00,6.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5039894,9.00,7.00,4.00,7.00,5.00,10.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5039908,4.00,7.00,2.00,3.00,5.00,9.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(20,5039916,6.00,7.00,2.00,5.00,7.00,7.50,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5039924,4.00,3.00,3.00,3.00,7.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5039932,9.00,6.00,2.00,7.00,11.00,10.50,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5039940,8.00,7.00,4.00,5.00,7.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5039959,8.00,8.00,4.00,7.00,10.00,10.88,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(20,5039967,7.00,6.00,4.00,5.00,8.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5039975,6.00,6.00,0.00,4.00,5.00,8.25,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5039983,8.00,5.00,4.00,7.00,6.00,11.25,5.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5039991,2.00,5.00,1.00,1.00,5.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5040000,4.00,4.00,2.00,3.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5040019,5.00,6.00,4.00,6.00,8.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5040027,7.00,7.00,6.00,7.00,9.00,7.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5040035,1.00,6.00,2.00,3.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5040051,4.00,2.00,1.00,4.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5040060,4.00,7.00,2.00,4.00,6.00,6.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5040078,6.00,4.00,1.00,4.00,5.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5040086,8.00,2.00,1.00,6.00,6.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5040094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5040108,6.00,7.00,5.00,7.00,8.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'S'),(20,5040116,5.00,6.00,3.00,4.00,10.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5040132,3.00,4.00,1.00,2.00,6.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5040167,3.00,6.00,2.00,2.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5040175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5040183,5.00,8.00,4.00,7.00,8.00,8.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5040191,8.00,5.00,3.00,6.00,7.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5040205,9.00,8.00,4.00,7.00,7.00,NULL,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5040213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5040230,9.00,6.00,6.00,6.00,10.00,10.88,7.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5040248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5040256,3.00,5.00,1.00,2.00,7.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5040264,5.00,6.00,3.00,6.00,6.00,9.75,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5040280,7.00,7.00,3.00,7.00,5.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5040302,7.00,7.00,5.00,5.00,6.00,11.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5040310,4.00,7.00,1.00,0.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5040329,9.00,4.00,2.00,7.00,6.00,9.38,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5040337,4.00,4.00,0.00,5.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5040345,4.00,4.00,0.00,6.00,7.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5040353,3.00,8.00,2.00,5.00,7.00,7.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5040361,8.00,6.00,6.00,7.00,7.00,9.38,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5040396,7.00,5.00,2.00,5.00,6.00,9.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5040400,6.00,7.00,6.00,7.00,8.00,9.38,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5040418,7.00,6.00,1.00,6.00,9.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5040434,7.00,8.00,1.00,7.00,4.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5040442,8.00,6.00,3.00,3.00,6.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5040450,4.00,4.00,1.00,4.00,4.00,4.88,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5040469,4.00,4.00,4.00,7.00,7.00,6.75,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5040485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5040493,5.00,5.00,1.00,5.00,4.00,6.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5040507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5040515,7.00,5.00,2.00,5.00,5.00,7.88,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5040523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5040531,9.00,8.00,3.00,7.00,11.00,11.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5040558,7.00,6.00,2.00,7.00,9.00,9.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5040566,4.00,6.00,5.00,4.00,5.00,8.63,5.00,5.00,5.00,NULL,NULL,NULL,'S'),(20,5040574,6.00,4.00,1.00,4.00,9.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5040582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5040604,6.00,7.00,4.00,7.00,6.00,9.38,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5040612,8.00,7.00,6.00,6.00,8.00,9.38,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5040620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5040639,8.00,8.00,5.00,6.00,3.00,NULL,8.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5040647,3.00,2.00,0.00,4.00,7.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5040663,8.00,7.00,2.00,7.00,6.00,7.50,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5040680,1.00,2.00,2.00,1.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5040698,9.00,8.00,9.00,7.00,10.00,11.63,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5040701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5040728,7.00,6.00,3.00,6.00,9.00,7.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5040744,2.00,5.00,1.00,1.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5040752,4.00,5.00,1.00,3.00,9.00,11.63,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5040760,8.00,8.00,8.00,7.00,10.00,12.75,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5040779,5.00,6.00,2.00,6.00,6.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5040787,7.00,7.00,0.00,6.00,8.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5040795,5.00,5.00,4.00,7.00,8.00,7.13,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5040809,7.00,5.00,2.00,7.00,8.00,10.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5040817,2.00,4.00,2.00,3.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5040825,6.00,5.00,1.00,5.00,6.00,9.75,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5040833,9.00,8.00,6.00,7.00,9.00,10.88,7.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5040850,5.00,5.00,1.00,4.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5040868,6.00,6.00,1.00,6.00,5.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5040876,1.00,4.00,0.00,7.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5040884,7.00,7.00,1.00,6.00,8.00,7.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5040892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5040906,2.00,6.00,2.00,3.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5040949,3.00,7.00,3.00,7.00,7.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5040957,2.00,3.00,1.00,4.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5040965,9.00,5.00,1.00,7.00,7.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5040973,3.00,3.00,4.00,3.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5040981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5040990,7.00,7.00,6.00,7.00,7.00,7.50,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5041007,9.00,7.00,5.00,8.00,10.00,10.13,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5041015,3.00,3.00,1.00,4.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5041031,6.00,5.00,0.00,4.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5041040,7.00,6.00,5.00,7.00,9.00,11.63,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5041074,6.00,5.00,4.00,5.00,5.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5041090,9.00,7.00,3.00,7.00,10.00,7.50,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5041112,8.00,9.00,7.00,6.00,10.00,10.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5041139,4.00,6.00,1.00,6.00,6.00,10.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5041147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5041155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5041171,3.00,2.00,0.00,2.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5041198,5.00,5.00,2.00,5.00,7.00,9.38,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5041201,9.00,7.00,3.00,5.00,10.00,7.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5041210,5.00,9.00,2.00,7.00,10.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5041228,5.00,5.00,2.00,7.00,6.00,4.88,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5041236,7.00,7.00,1.00,6.00,8.00,9.38,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5041244,6.00,7.00,4.00,7.00,5.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5041252,9.00,9.00,8.00,6.00,11.00,10.50,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5041260,4.00,6.00,1.00,3.00,5.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5041279,5.00,8.00,2.00,5.00,6.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5041287,9.00,8.00,3.00,7.00,10.00,9.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5041295,5.00,7.00,1.00,4.00,8.00,6.00,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5041309,7.00,9.00,6.00,6.00,10.00,10.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5041317,5.00,4.00,0.00,4.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5041333,2.00,6.00,0.00,7.00,7.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5041341,5.00,7.00,1.00,4.00,6.00,6.75,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5041350,1.00,4.00,3.00,5.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5041376,6.00,6.00,3.00,4.00,8.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5041384,5.00,4.00,1.00,4.00,4.00,8.63,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5041392,6.00,5.00,1.00,5.00,7.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5041406,4.00,7.00,1.00,4.00,4.00,9.75,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5041414,2.00,5.00,1.00,6.00,5.00,9.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5041422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5041457,7.00,5.00,3.00,7.00,6.00,6.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5041465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5041473,3.00,5.00,4.00,5.00,6.00,10.13,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5041490,8.00,7.00,4.00,7.00,10.00,10.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5041511,7.00,7.00,4.00,3.00,5.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5041520,8.00,5.00,3.00,6.00,6.00,8.25,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5041538,4.00,3.00,0.00,5.00,3.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5041546,3.00,4.00,1.00,4.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5041554,4.00,5.00,2.00,5.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5041562,5.00,5.00,3.00,6.00,9.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5041570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5041589,7.00,4.00,7.00,7.00,10.00,9.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5041597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5041600,6.00,6.00,3.00,4.00,6.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5041619,4.00,6.00,1.00,6.00,7.00,9.38,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5041627,1.00,6.00,4.00,4.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5041635,4.00,7.00,2.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5041643,5.00,3.00,3.00,3.00,7.00,10.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5041651,4.00,6.00,4.00,5.00,7.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5041660,4.00,5.00,1.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5041678,3.00,4.00,1.00,3.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5041694,3.00,6.00,2.00,6.00,7.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5041732,6.00,6.00,0.00,5.00,4.00,7.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5041740,5.00,7.00,3.00,5.00,8.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5041759,4.00,3.00,4.00,4.00,6.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5041767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5041783,3.00,4.00,2.00,6.00,5.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5041791,2.00,3.00,0.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5041805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5041830,2.00,5.00,3.00,3.00,5.00,11.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5041848,8.00,7.00,3.00,4.00,9.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5041856,4.00,2.00,1.00,3.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5041864,7.00,5.00,0.00,6.00,5.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5041872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5041899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5041910,6.00,5.00,2.00,7.00,6.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5041937,3.00,5.00,0.00,3.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5041953,9.00,6.00,6.00,6.00,8.00,9.75,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5041961,8.00,6.00,4.00,7.00,9.00,8.25,1.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5041970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5041988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5041996,4.00,6.00,0.00,6.00,6.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5042003,6.00,5.00,2.00,5.00,7.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5042020,7.00,6.00,2.00,6.00,5.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5042038,4.00,4.00,0.00,3.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5042046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5042054,6.00,5.00,1.00,4.00,5.00,6.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5042070,6.00,8.00,4.00,7.00,7.00,9.38,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5042100,3.00,6.00,3.00,3.00,5.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5042127,9.00,6.00,4.00,7.00,8.00,10.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5042135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5042143,7.00,8.00,7.00,7.00,10.00,8.63,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5042178,7.00,6.00,5.00,7.00,9.00,9.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5042186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5042208,4.00,5.00,2.00,7.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5042224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5042232,7.00,7.00,4.00,7.00,9.00,10.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5042259,8.00,6.00,4.00,4.00,4.00,9.38,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5042267,4.00,5.00,3.00,4.00,8.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5042275,7.00,8.00,2.00,4.00,7.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5042283,7.00,7.00,5.00,7.00,7.00,10.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5042291,4.00,3.00,3.00,5.00,4.00,4.50,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5042305,8.00,9.00,4.00,6.00,9.00,9.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5042313,3.00,3.00,2.00,6.00,6.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5042321,4.00,4.00,0.00,6.00,4.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5042330,5.00,6.00,4.00,6.00,4.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5042348,8.00,7.00,1.00,4.00,4.00,4.88,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5042364,6.00,6.00,4.00,5.00,8.00,10.88,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5042372,5.00,6.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5042380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5042399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5042402,8.00,7.00,1.00,5.00,9.00,NULL,4.00,6.00,5.00,NULL,NULL,'S','N'),(20,5042429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5042445,2.00,6.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5042453,9.00,8.00,3.00,7.00,8.00,10.13,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5042461,9.00,7.00,4.00,6.00,10.00,8.63,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5042470,4.00,4.00,0.00,3.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5042488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5042496,6.00,4.00,3.00,5.00,9.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5042500,4.00,6.00,1.00,7.00,6.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5042518,6.00,7.00,3.00,6.00,4.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5042534,6.00,4.00,3.00,3.00,6.00,9.38,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5042542,8.00,9.00,6.00,7.00,8.00,9.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5042577,6.00,3.00,3.00,6.00,8.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5042585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5042593,6.00,6.00,2.00,6.00,6.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5042607,6.00,6.00,3.00,7.00,8.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5042615,1.00,4.00,0.00,1.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5042623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5042631,6.00,7.00,7.00,7.00,8.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5042640,5.00,6.00,3.00,7.00,7.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5042682,2.00,4.00,0.00,6.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5042704,8.00,5.00,2.00,7.00,5.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5042712,3.00,6.00,3.00,4.00,6.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5042720,2.00,7.00,2.00,7.00,7.00,10.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5042739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5042747,1.00,6.00,3.00,4.00,6.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5042755,5.00,6.00,1.00,5.00,7.00,0.00,3.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5042763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5042771,3.00,5.00,2.00,3.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5042798,2.00,5.00,1.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5042801,7.00,8.00,5.00,7.00,6.00,7.88,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5042828,3.00,4.00,3.00,3.00,7.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5042836,4.00,5.00,4.00,6.00,7.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5042844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5042852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5042860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5042879,7.00,6.00,0.00,5.00,7.00,4.13,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5042895,6.00,6.00,3.00,7.00,8.00,8.63,2.00,2.00,6.00,NULL,NULL,NULL,'S'),(20,5042909,6.00,7.00,3.00,4.00,6.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5042917,6.00,5.00,0.00,4.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5042925,8.00,7.00,5.00,3.00,9.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5042933,4.00,8.00,0.00,4.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5042968,6.00,8.00,4.00,4.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5042984,5.00,5.00,3.00,4.00,4.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5042992,7.00,7.00,3.00,5.00,9.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5043018,9.00,8.00,6.00,6.00,8.00,9.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5043026,9.00,7.00,4.00,6.00,9.00,12.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5043034,8.00,8.00,5.00,7.00,9.00,9.75,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5043050,4.00,3.00,4.00,6.00,5.00,7.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5043069,6.00,5.00,3.00,7.00,8.00,7.88,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5043077,5.00,5.00,3.00,3.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5043085,8.00,7.00,6.00,5.00,8.00,8.63,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5043093,7.00,7.00,2.00,7.00,9.00,7.50,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5043107,3.00,3.00,2.00,5.00,8.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5043115,8.00,8.00,5.00,7.00,8.00,10.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5043123,3.00,5.00,0.00,4.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5043131,3.00,4.00,0.00,6.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5043140,4.00,6.00,0.00,4.00,7.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5043158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5043174,4.00,7.00,3.00,6.00,5.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5043182,4.00,4.00,3.00,5.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5043190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5043220,6.00,3.00,0.00,5.00,7.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5043247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5043255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5043271,7.00,4.00,4.00,7.00,8.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5043280,5.00,6.00,2.00,4.00,7.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5043298,5.00,5.00,2.00,6.00,9.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5043301,7.00,5.00,3.00,6.00,8.00,8.63,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5043310,4.00,6.00,4.00,6.00,7.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5043328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5043336,0.00,5.00,0.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5043352,9.00,7.00,6.00,7.00,9.00,9.00,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5043360,6.00,6.00,1.00,6.00,5.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5043379,2.00,3.00,0.00,2.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5043409,9.00,9.00,7.00,8.00,8.00,10.13,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5043417,6.00,6.00,4.00,4.00,8.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5043425,7.00,7.00,6.00,7.00,7.00,11.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5043433,3.00,5.00,2.00,7.00,5.00,8.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5043441,5.00,4.00,1.00,4.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5043450,3.00,4.00,2.00,4.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5043468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5043484,7.00,5.00,3.00,7.00,8.00,8.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5043492,4.00,4.00,1.00,6.00,6.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5043514,4.00,6.00,2.00,4.00,6.00,10.88,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5043522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5043530,9.00,8.00,6.00,7.00,8.00,10.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5043549,2.00,0.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5043557,4.00,4.00,0.00,3.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5043565,9.00,8.00,2.00,5.00,10.00,10.88,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(20,5043573,4.00,4.00,2.00,4.00,7.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5043581,8.00,5.00,1.00,7.00,9.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5043590,5.00,4.00,2.00,7.00,7.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5043603,7.00,5.00,2.00,7.00,4.00,9.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5043611,9.00,4.00,7.00,6.00,9.00,6.38,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5043620,3.00,4.00,0.00,4.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5043638,7.00,8.00,7.00,7.00,9.00,9.75,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5043646,4.00,2.00,5.00,7.00,6.00,NULL,3.00,3.00,1.00,NULL,NULL,'S','N'),(20,5043654,3.00,7.00,2.00,4.00,4.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5043662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5043670,7.00,6.00,4.00,5.00,7.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5043689,8.00,8.00,7.00,8.00,9.00,9.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5043700,3.00,5.00,1.00,2.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5043719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5043727,4.00,4.00,2.00,4.00,9.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5043735,8.00,5.00,6.00,5.00,6.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5043743,7.00,3.00,2.00,4.00,8.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5043760,9.00,6.00,4.00,8.00,10.00,10.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5043786,2.00,3.00,2.00,3.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5043794,9.00,7.00,5.00,7.00,5.00,11.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5043808,4.00,7.00,4.00,3.00,9.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5043824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5043832,6.00,5.00,4.00,7.00,4.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5043840,7.00,8.00,7.00,7.00,8.00,9.75,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5043859,4.00,4.00,5.00,4.00,5.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5043867,7.00,4.00,1.00,4.00,7.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5043875,3.00,3.00,2.00,4.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5043891,7.00,0.00,4.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5043905,7.00,7.00,2.00,7.00,7.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5043913,7.00,5.00,3.00,7.00,6.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5043921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5043948,7.00,6.00,1.00,2.00,7.00,13.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5043956,5.00,7.00,1.00,7.00,6.00,9.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5043964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5043972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5043980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5043999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5044006,7.00,4.00,1.00,6.00,8.00,6.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5044014,5.00,4.00,0.00,6.00,6.00,11.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5044022,2.00,4.00,2.00,2.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5044057,3.00,2.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5044065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5044103,6.00,7.00,3.00,5.00,9.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5044111,7.00,6.00,2.00,7.00,8.00,8.63,2.00,2.00,6.00,NULL,NULL,NULL,'S'),(20,5044120,7.00,5.00,0.00,5.00,6.00,0.00,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5044138,5.00,4.00,1.00,6.00,6.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5044146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5044154,7.00,6.00,2.00,5.00,5.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5044170,1.00,4.00,0.00,6.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5044189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5044200,5.00,5.00,0.00,3.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5044219,7.00,5.00,2.00,5.00,8.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5044235,5.00,6.00,1.00,4.00,8.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5044243,8.00,6.00,1.00,7.00,7.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5044260,8.00,6.00,5.00,4.00,9.00,12.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5044278,4.00,7.00,2.00,5.00,6.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5044286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5044294,4.00,7.00,1.00,4.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5044308,8.00,5.00,7.00,7.00,8.00,9.00,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5044316,10.00,7.00,5.00,8.00,9.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5044324,6.00,8.00,5.00,7.00,9.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5044340,9.00,8.00,3.00,4.00,9.00,9.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5044359,6.00,7.00,5.00,7.00,7.00,8.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5044367,9.00,6.00,7.00,7.00,8.00,9.75,6.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5044375,8.00,6.00,2.00,7.00,8.00,10.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5044383,8.00,8.00,8.00,7.00,10.00,9.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5044405,6.00,6.00,6.00,7.00,11.00,10.50,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5044413,8.00,7.00,4.00,8.00,11.00,11.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5044421,5.00,7.00,3.00,6.00,7.00,10.50,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5044456,3.00,7.00,1.00,2.00,6.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5044464,5.00,7.00,0.00,7.00,7.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5044472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5044480,8.00,8.00,4.00,7.00,7.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5044499,4.00,5.00,3.00,5.00,8.00,6.38,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5044502,4.00,4.00,2.00,7.00,4.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5044529,8.00,5.00,5.00,7.00,6.00,9.38,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5044537,2.00,4.00,1.00,6.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5044545,6.00,5.00,2.00,3.00,6.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5044553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5044561,7.00,6.00,4.00,6.00,3.00,NULL,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5044570,4.00,7.00,4.00,4.00,8.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5044588,3.00,5.00,0.00,6.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5044596,7.00,6.00,3.00,6.00,5.00,8.25,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5044600,4.00,5.00,1.00,6.00,5.00,9.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5044618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5044634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5044642,7.00,8.00,5.00,8.00,10.00,10.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5044650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5044677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5044685,5.00,5.00,1.00,6.00,5.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5044707,8.00,8.00,2.00,7.00,10.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5044715,5.00,5.00,3.00,6.00,9.00,8.63,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5044723,9.00,9.00,7.00,8.00,10.00,10.13,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5044731,5.00,8.00,4.00,6.00,6.00,11.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5044740,9.00,4.00,5.00,6.00,6.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5044758,6.00,5.00,2.00,5.00,5.00,7.13,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5044766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5044774,6.00,7.00,1.00,7.00,8.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5044782,8.00,7.00,7.00,3.00,7.00,8.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5044790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5044812,7.00,8.00,3.00,5.00,8.00,12.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5044839,4.00,4.00,2.00,6.00,5.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5044847,8.00,3.00,3.00,5.00,4.00,7.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5044855,4.00,6.00,0.00,5.00,8.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5044863,3.00,4.00,2.00,3.00,8.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5044871,6.00,6.00,1.00,6.00,9.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5044880,4.00,7.00,4.00,7.00,6.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5044898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5044901,9.00,7.00,3.00,6.00,7.00,7.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5044910,9.00,5.00,0.00,7.00,7.00,NULL,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5044936,6.00,6.00,2.00,4.00,7.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5044944,6.00,5.00,5.00,5.00,7.00,7.88,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5044979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5044987,9.00,7.00,7.00,6.00,11.00,12.00,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5045010,8.00,8.00,6.00,7.00,7.00,7.88,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5045037,6.00,7.00,2.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5045053,6.00,5.00,1.00,6.00,9.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5045061,5.00,4.00,1.00,2.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5045088,9.00,8.00,6.00,7.00,10.00,9.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5045118,4.00,6.00,2.00,7.00,5.00,7.50,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5045126,1.00,4.00,2.00,3.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5045134,8.00,7.00,3.00,7.00,9.00,11.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5045150,8.00,7.00,6.00,7.00,6.00,11.25,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5045169,6.00,8.00,2.00,6.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5045177,2.00,5.00,0.00,2.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5045193,2.00,3.00,3.00,2.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5045207,8.00,7.00,5.00,8.00,8.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5045215,3.00,1.00,1.00,4.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5045223,3.00,6.00,1.00,3.00,7.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5045240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5045258,5.00,5.00,1.00,5.00,7.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5045266,2.00,4.00,1.00,2.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5045274,6.00,8.00,2.00,5.00,9.00,10.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5045282,4.00,4.00,4.00,7.00,7.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5045290,9.00,9.00,6.00,6.00,9.00,9.38,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5045304,8.00,6.00,4.00,5.00,7.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5045320,8.00,5.00,0.00,5.00,8.00,8.25,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5045339,9.00,7.00,5.00,7.00,8.00,8.25,1.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5045347,6.00,6.00,0.00,7.00,6.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5045355,8.00,7.00,3.00,7.00,8.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5045363,6.00,6.00,3.00,5.00,6.00,7.50,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5045371,2.00,2.00,2.00,2.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5045380,7.00,7.00,3.00,5.00,4.00,7.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5045398,9.00,6.00,0.00,7.00,6.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5045401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5045410,7.00,7.00,2.00,7.00,8.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5045428,5.00,6.00,1.00,7.00,7.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5045436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5045444,9.00,6.00,5.00,7.00,8.00,12.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5045452,5.00,5.00,1.00,5.00,9.00,6.75,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5045479,6.00,4.00,1.00,3.00,6.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5045487,7.00,7.00,3.00,7.00,10.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5045495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5045509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5045517,5.00,4.00,1.00,5.00,6.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5045525,8.00,8.00,5.00,7.00,11.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5045533,7.00,7.00,7.00,4.00,8.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5045541,3.00,5.00,2.00,5.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5045550,2.00,5.00,1.00,7.00,5.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5045568,4.00,6.00,3.00,7.00,5.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5045576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5045584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5045614,8.00,6.00,7.00,6.00,10.00,9.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5045622,8.00,8.00,5.00,7.00,9.00,9.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5045630,9.00,7.00,5.00,5.00,9.00,9.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5045657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5045673,4.00,4.00,3.00,2.00,6.00,8.25,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5045690,8.00,7.00,5.00,5.00,6.00,10.50,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5045703,7.00,7.00,4.00,7.00,7.00,11.63,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5045711,4.00,7.00,0.00,6.00,6.00,10.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5045738,5.00,5.00,1.00,7.00,5.00,8.63,3.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5045746,3.00,7.00,0.00,5.00,6.00,9.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5045754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5045789,8.00,7.00,5.00,3.00,7.00,9.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5045797,2.00,5.00,1.00,3.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5045819,9.00,7.00,9.00,7.00,10.00,12.00,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5045827,7.00,5.00,6.00,5.00,8.00,11.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5045843,3.00,3.00,2.00,2.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5045851,7.00,7.00,5.00,7.00,8.00,10.13,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5045860,7.00,7.00,4.00,7.00,8.00,12.38,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5045878,5.00,6.00,3.00,5.00,8.00,10.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5045886,3.00,4.00,1.00,4.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5045894,8.00,6.00,1.00,7.00,10.00,9.75,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5045908,7.00,8.00,7.00,7.00,8.00,8.63,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5045916,5.00,7.00,2.00,2.00,8.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5045924,3.00,5.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5045932,7.00,4.00,6.00,6.00,9.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5045940,8.00,8.00,4.00,7.00,8.00,6.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5045959,3.00,5.00,4.00,5.00,7.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5045967,6.00,6.00,5.00,6.00,7.00,9.38,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5045975,4.00,4.00,1.00,7.00,4.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5045983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5045991,4.00,4.00,2.00,4.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5046009,6.00,4.00,3.00,7.00,7.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5046017,7.00,6.00,7.00,6.00,7.00,10.13,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5046025,7.00,8.00,6.00,7.00,9.00,12.00,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5046033,1.00,6.00,3.00,3.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5046041,7.00,8.00,3.00,7.00,6.00,6.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5046076,8.00,4.00,0.00,4.00,6.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5046084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5046092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5046106,5.00,8.00,3.00,6.00,8.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5046114,5.00,6.00,0.00,6.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5046157,3.00,3.00,0.00,2.00,3.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5046173,5.00,3.00,2.00,3.00,4.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5046181,1.00,3.00,2.00,4.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5046190,9.00,7.00,4.00,7.00,7.00,10.50,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5046203,6.00,8.00,2.00,7.00,9.00,10.13,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5046211,4.00,4.00,3.00,4.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5046220,5.00,6.00,3.00,6.00,7.00,7.13,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5046238,8.00,7.00,3.00,7.00,7.00,9.00,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5046246,6.00,6.00,3.00,7.00,10.00,9.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5046254,3.00,3.00,1.00,5.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5046289,4.00,5.00,4.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5046297,9.00,8.00,7.00,8.00,10.00,6.75,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5046300,7.00,6.00,4.00,7.00,5.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5046319,6.00,6.00,1.00,5.00,5.00,9.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5046327,5.00,6.00,4.00,7.00,6.00,8.25,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5046335,4.00,7.00,1.00,6.00,4.00,10.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5046343,7.00,5.00,4.00,5.00,4.00,8.25,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5046351,1.00,5.00,2.00,4.00,7.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5046360,9.00,9.00,9.00,7.00,8.00,9.38,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5046378,9.00,8.00,7.00,6.00,8.00,9.75,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5046386,7.00,5.00,4.00,6.00,6.00,6.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5046394,8.00,7.00,5.00,7.00,8.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5046408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5046416,2.00,5.00,2.00,5.00,5.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5046440,2.00,7.00,2.00,3.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5046459,9.00,8.00,5.00,6.00,9.00,7.13,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5046475,1.00,4.00,1.00,3.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5046483,4.00,7.00,6.00,6.00,7.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5046491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5046505,6.00,5.00,3.00,7.00,9.00,7.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5046513,4.00,5.00,4.00,5.00,8.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5046521,5.00,6.00,1.00,6.00,3.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5046548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5046556,7.00,8.00,1.00,6.00,9.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5046564,8.00,5.00,3.00,5.00,7.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5046572,2.00,7.00,1.00,4.00,7.00,6.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5046610,8.00,8.00,2.00,7.00,7.00,10.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5046637,7.00,5.00,3.00,6.00,9.00,10.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5046645,3.00,5.00,1.00,2.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5046653,9.00,9.00,9.00,7.00,11.00,12.00,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5046661,4.00,5.00,3.00,6.00,6.00,9.00,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5046670,4.00,7.00,1.00,4.00,7.00,9.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5046688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5046700,3.00,5.00,1.00,2.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5046769,8.00,8.00,2.00,7.00,9.00,10.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5046777,9.00,8.00,4.00,6.00,10.00,7.50,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5046785,6.00,4.00,2.00,4.00,4.00,10.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5046793,7.00,6.00,3.00,3.00,7.00,8.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5046815,5.00,7.00,4.00,4.00,7.00,6.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5046840,4.00,7.00,3.00,4.00,7.00,7.50,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5046858,0.00,4.00,0.00,0.00,0.00,NULL,1.00,1.00,4.00,NULL,NULL,'S','N'),(20,5046866,3.00,5.00,2.00,4.00,6.00,8.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5046874,8.00,5.00,4.00,5.00,9.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5046890,3.00,3.00,0.00,2.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,'S','N'),(20,5046904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5046939,7.00,7.00,4.00,5.00,8.00,11.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5046955,5.00,5.00,2.00,5.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5046963,7.00,8.00,8.00,6.00,10.00,7.88,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5046971,9.00,6.00,4.00,5.00,7.00,7.50,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5046980,8.00,7.00,3.00,7.00,10.00,9.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5046998,4.00,3.00,2.00,7.00,6.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5047005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5047013,8.00,7.00,1.00,6.00,7.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5047030,9.00,8.00,2.00,7.00,8.00,9.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5047048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5047056,3.00,3.00,1.00,3.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5047064,9.00,7.00,2.00,8.00,10.00,9.75,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5047072,3.00,6.00,1.00,4.00,5.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5047099,5.00,4.00,4.00,7.00,6.00,10.50,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5047110,1.00,4.00,1.00,2.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5047137,3.00,4.00,3.00,4.00,5.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5047153,1.00,4.00,1.00,3.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5047161,2.00,4.00,1.00,4.00,8.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5047188,5.00,3.00,1.00,1.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5047200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5047218,4.00,4.00,0.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5047226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5047234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5047242,3.00,6.00,3.00,6.00,5.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5047250,6.00,5.00,4.00,6.00,5.00,7.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5047323,8.00,7.00,4.00,6.00,8.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5047331,6.00,6.00,5.00,6.00,9.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5047340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5047358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5047366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5047374,8.00,6.00,6.00,5.00,8.00,9.00,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5047382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5047404,5.00,7.00,3.00,5.00,4.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5047412,3.00,5.00,2.00,5.00,5.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5047439,6.00,6.00,5.00,8.00,8.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5047455,3.00,5.00,1.00,2.00,0.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5047480,3.00,7.00,3.00,4.00,4.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5047498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5047501,3.00,6.00,3.00,4.00,5.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5047528,7.00,5.00,0.00,3.00,7.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5047536,3.00,6.00,2.00,3.00,5.00,6.75,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5047552,6.00,5.00,4.00,6.00,3.00,NULL,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5047560,8.00,6.00,5.00,7.00,8.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5047579,3.00,3.00,0.00,2.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5047587,9.00,7.00,7.00,7.00,10.00,11.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5047595,7.00,7.00,5.00,6.00,6.00,8.63,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5047617,6.00,6.00,2.00,5.00,6.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5047625,5.00,5.00,2.00,6.00,7.00,10.13,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5047633,4.00,3.00,0.00,3.00,5.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5047641,7.00,8.00,4.00,6.00,6.00,8.25,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5047650,8.00,6.00,2.00,7.00,6.00,8.25,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5047668,4.00,5.00,1.00,6.00,7.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5047676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5047684,4.00,5.00,3.00,4.00,5.00,4.13,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5047706,6.00,8.00,1.00,3.00,6.00,7.88,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5047722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5047749,7.00,6.00,1.00,7.00,7.00,11.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5047765,9.00,8.00,7.00,7.00,11.00,12.38,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5047773,5.00,4.00,2.00,4.00,4.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5047790,8.00,6.00,3.00,6.00,6.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5047803,3.00,5.00,3.00,7.00,5.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5047811,9.00,7.00,4.00,5.00,9.00,11.25,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5047820,8.00,6.00,0.00,4.00,9.00,NULL,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5047838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5047846,8.00,7.00,5.00,7.00,9.00,9.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5047862,9.00,9.00,5.00,7.00,10.00,11.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5047870,6.00,5.00,4.00,6.00,9.00,11.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5047897,7.00,8.00,2.00,7.00,6.00,6.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5047900,7.00,6.00,2.00,4.00,6.00,6.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5047927,7.00,5.00,3.00,5.00,6.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5047935,6.00,5.00,2.00,6.00,7.00,7.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5047943,4.00,5.00,2.00,5.00,7.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5047951,8.00,8.00,3.00,6.00,7.00,6.38,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5047960,7.00,4.00,2.00,7.00,10.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5047986,1.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5047994,6.00,5.00,4.00,4.00,6.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5048001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5048010,8.00,8.00,3.00,6.00,9.00,11.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5048044,4.00,4.00,2.00,7.00,5.00,6.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5048052,9.00,8.00,1.00,3.00,8.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5048060,2.00,4.00,1.00,1.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5048079,4.00,4.00,1.00,5.00,7.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5048087,4.00,8.00,0.00,5.00,5.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5048109,8.00,9.00,5.00,7.00,10.00,13.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5048117,8.00,7.00,1.00,7.00,8.00,7.13,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5048125,8.00,7.00,5.00,7.00,6.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5048133,4.00,5.00,0.00,3.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5048141,8.00,7.00,4.00,3.00,10.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5048150,8.00,7.00,5.00,7.00,8.00,10.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5048176,4.00,6.00,2.00,4.00,6.00,9.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5048192,8.00,5.00,4.00,4.00,8.00,9.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5048206,6.00,4.00,0.00,5.00,7.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5048214,3.00,5.00,1.00,3.00,5.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5048222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5048230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5048257,7.00,6.00,4.00,6.00,10.00,9.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5048273,1.00,2.00,0.00,2.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5048311,7.00,4.00,1.00,5.00,5.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5048320,6.00,6.00,2.00,7.00,7.00,7.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5048346,9.00,9.00,6.00,7.00,10.00,10.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5048354,8.00,7.00,0.00,7.00,9.00,9.38,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5048362,7.00,5.00,8.00,7.00,7.00,10.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5048370,5.00,3.00,4.00,4.00,8.00,9.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5048389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5048400,8.00,6.00,1.00,3.00,8.00,7.88,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5048427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5048435,4.00,2.00,1.00,4.00,6.00,NULL,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5048443,6.00,8.00,4.00,6.00,9.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5048451,6.00,4.00,1.00,7.00,4.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5048460,8.00,8.00,2.00,7.00,7.00,7.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5048478,6.00,7.00,5.00,7.00,8.00,9.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5048486,8.00,7.00,2.00,7.00,6.00,8.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5048508,4.00,4.00,1.00,2.00,7.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5048524,3.00,4.00,3.00,8.00,7.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5048532,6.00,7.00,2.00,7.00,8.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5048540,7.00,5.00,3.00,7.00,8.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5048559,1.00,3.00,0.00,2.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5048567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5048575,4.00,4.00,1.00,5.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5048583,8.00,8.00,7.00,7.00,9.00,13.13,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5048591,2.00,4.00,2.00,5.00,5.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5048613,2.00,5.00,2.00,4.00,5.00,6.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5048621,4.00,5.00,0.00,5.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5048630,7.00,7.00,2.00,7.00,10.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5048648,9.00,6.00,3.00,5.00,8.00,6.75,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5048656,8.00,9.00,7.00,6.00,10.00,10.13,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5048664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5048672,6.00,5.00,1.00,6.00,7.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5048680,7.00,6.00,1.00,5.00,8.00,7.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5048702,3.00,2.00,1.00,2.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,'S','N'),(20,5048710,8.00,6.00,5.00,4.00,8.00,9.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5048729,3.00,5.00,1.00,6.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,'S','N'),(20,5048737,4.00,4.00,0.00,3.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5048753,2.00,4.00,0.00,3.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5048761,6.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5048770,2.00,3.00,2.00,2.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5048788,9.00,9.00,6.00,7.00,8.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5048796,9.00,7.00,4.00,4.00,7.00,9.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5048800,9.00,9.00,6.00,6.00,9.00,8.63,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5048826,0.00,3.00,0.00,1.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5048842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5048850,1.00,3.00,4.00,3.00,4.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5048869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5048877,2.00,6.00,5.00,6.00,10.00,9.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5048885,7.00,7.00,5.00,5.00,7.00,6.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5048915,9.00,8.00,5.00,7.00,10.00,10.50,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5048923,8.00,7.00,6.00,7.00,8.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5048931,5.00,6.00,3.00,5.00,6.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5048940,7.00,6.00,2.00,5.00,8.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5048958,6.00,5.00,4.00,6.00,10.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5048966,3.00,3.00,0.00,5.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5048974,3.00,5.00,0.00,2.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5048990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5049008,3.00,4.00,1.00,4.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5049016,5.00,5.00,2.00,7.00,8.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5049024,5.00,6.00,2.00,7.00,8.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5049032,5.00,6.00,2.00,5.00,4.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5049040,8.00,4.00,3.00,4.00,7.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5049059,7.00,8.00,5.00,7.00,9.00,9.38,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5049067,9.00,7.00,7.00,7.00,9.00,8.25,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5049075,4.00,7.00,3.00,3.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5049083,6.00,4.00,1.00,8.00,8.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5049091,8.00,8.00,5.00,6.00,8.00,10.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5049105,7.00,6.00,6.00,5.00,9.00,10.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5049113,5.00,6.00,1.00,3.00,8.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5049130,4.00,7.00,4.00,5.00,8.00,10.13,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5049156,8.00,8.00,5.00,7.00,7.00,9.75,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5049164,2.00,4.00,1.00,4.00,6.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5049172,4.00,6.00,0.00,3.00,8.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5049180,8.00,8.00,3.00,7.00,10.00,9.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5049199,7.00,6.00,0.00,6.00,5.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5049202,4.00,6.00,3.00,6.00,7.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5049210,4.00,5.00,0.00,1.00,2.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5049229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5049237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5049245,9.00,7.00,5.00,4.00,10.00,8.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5049261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5049270,3.00,5.00,1.00,2.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5049288,3.00,5.00,0.00,6.00,6.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5049296,7.00,4.00,3.00,3.00,6.00,6.75,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5049300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5049326,6.00,6.00,0.00,7.00,8.00,10.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5049334,7.00,5.00,6.00,7.00,8.00,11.25,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5049342,2.00,6.00,2.00,3.00,4.00,NULL,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5049369,4.00,4.00,0.00,3.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5049377,4.00,3.00,0.00,3.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5049393,6.00,6.00,4.00,3.00,7.00,8.63,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5049407,9.00,8.00,4.00,5.00,7.00,6.75,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5049415,5.00,3.00,4.00,3.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5049423,3.00,5.00,0.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5049431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5049440,8.00,5.00,3.00,5.00,8.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5049458,5.00,6.00,3.00,2.00,6.00,8.25,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5049466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5049474,7.00,5.00,5.00,6.00,4.00,0.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5049482,9.00,9.00,5.00,6.00,11.00,10.88,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5049490,6.00,6.00,4.00,6.00,7.00,9.75,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5049504,7.00,6.00,3.00,8.00,8.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5049512,6.00,6.00,3.00,6.00,7.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5049547,5.00,5.00,2.00,5.00,6.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5049555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5049563,8.00,7.00,5.00,5.00,8.00,8.63,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5049571,9.00,8.00,5.00,7.00,10.00,9.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5049580,6.00,4.00,4.00,4.00,5.00,8.63,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5049598,8.00,8.00,3.00,5.00,10.00,10.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5049601,6.00,5.00,3.00,6.00,7.00,11.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5049610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5049628,2.00,5.00,0.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5049636,5.00,5.00,1.00,6.00,8.00,9.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5049644,5.00,6.00,1.00,4.00,8.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5049652,9.00,9.00,9.00,7.00,10.00,12.75,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(20,5049660,6.00,7.00,1.00,5.00,8.00,7.50,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5049679,1.00,4.00,1.00,1.00,5.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5049687,5.00,7.00,2.00,5.00,8.00,7.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5049717,9.00,8.00,5.00,5.00,9.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5049725,5.00,3.00,2.00,3.00,6.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5049741,3.00,5.00,3.00,5.00,5.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5049750,0.00,1.00,0.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5049768,3.00,5.00,2.00,4.00,8.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5049776,4.00,7.00,2.00,6.00,8.00,11.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5049784,3.00,3.00,1.00,5.00,6.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5049792,4.00,2.00,2.00,4.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5049806,5.00,4.00,0.00,2.00,10.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5049814,3.00,6.00,1.00,6.00,5.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5049822,7.00,7.00,4.00,5.00,8.00,6.38,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5049830,9.00,6.00,7.00,7.00,8.00,8.25,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5049849,6.00,7.00,4.00,5.00,8.00,9.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5049857,9.00,6.00,7.00,6.00,10.00,8.25,8.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5049865,4.00,5.00,4.00,6.00,5.00,9.38,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5049873,5.00,5.00,4.00,3.00,4.00,0.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5049881,4.00,4.00,3.00,5.00,7.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5049903,9.00,9.00,8.00,7.00,10.00,12.38,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5049920,5.00,8.00,2.00,7.00,6.00,0.00,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5049938,6.00,6.00,1.00,5.00,8.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5049946,7.00,7.00,6.00,8.00,9.00,7.88,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5049954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5049962,5.00,7.00,4.00,8.00,7.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5049970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5049989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5049997,2.00,3.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5050006,5.00,0.00,3.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5050049,7.00,6.00,2.00,5.00,8.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5050065,6.00,9.00,1.00,5.00,7.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5050081,8.00,7.00,5.00,4.00,7.00,9.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5050090,5.00,6.00,3.00,3.00,4.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5050103,6.00,6.00,5.00,6.00,8.00,6.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5050111,5.00,6.00,2.00,4.00,5.00,6.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5050120,3.00,4.00,5.00,0.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5050138,9.00,7.00,5.00,8.00,9.00,7.13,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5050154,8.00,8.00,2.00,4.00,7.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5050162,7.00,7.00,5.00,5.00,8.00,7.88,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5050170,7.00,6.00,4.00,7.00,7.00,9.75,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5050189,6.00,8.00,3.00,6.00,5.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5050200,5.00,7.00,2.00,5.00,10.00,11.63,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5050219,7.00,4.00,1.00,3.00,8.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5050227,5.00,7.00,4.00,6.00,6.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5050235,7.00,5.00,2.00,7.00,7.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5050251,7.00,6.00,6.00,8.00,9.00,12.75,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5050260,9.00,7.00,7.00,7.00,8.00,10.88,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5050278,3.00,5.00,6.00,7.00,7.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5050308,8.00,6.00,2.00,7.00,8.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5050316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5050324,5.00,6.00,3.00,5.00,5.00,10.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5050340,9.00,7.00,9.00,7.00,10.00,13.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5050359,7.00,7.00,5.00,5.00,8.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5050367,8.00,7.00,8.00,7.00,9.00,8.25,7.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5050383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5050391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5050405,7.00,4.00,4.00,6.00,6.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5050413,3.00,8.00,3.00,7.00,8.00,6.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5050430,2.00,4.00,0.00,1.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5050448,9.00,7.00,5.00,7.00,10.00,11.25,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5050456,6.00,7.00,5.00,5.00,5.00,7.50,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5050464,5.00,6.00,5.00,3.00,9.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5050480,8.00,7.00,3.00,7.00,8.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5050510,7.00,8.00,3.00,3.00,6.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5050529,8.00,6.00,5.00,6.00,9.00,9.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5050570,8.00,8.00,3.00,5.00,9.00,10.13,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5050588,8.00,5.00,0.00,4.00,5.00,7.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5050596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5050600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5050618,7.00,6.00,1.00,5.00,7.00,NULL,0.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5050626,4.00,6.00,3.00,5.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5050634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5050642,6.00,6.00,3.00,5.00,8.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5050650,1.00,0.00,0.00,0.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5050685,5.00,5.00,2.00,4.00,8.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5050693,2.00,6.00,0.00,5.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5050723,8.00,7.00,6.00,7.00,9.00,11.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5050731,6.00,5.00,4.00,5.00,7.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5050740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5050758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5050766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5050774,2.00,4.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5050790,6.00,5.00,4.00,6.00,7.00,9.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5050804,2.00,5.00,2.00,4.00,4.00,7.13,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5050812,5.00,5.00,6.00,7.00,6.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5050820,7.00,7.00,4.00,8.00,9.00,11.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5050839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5050847,8.00,8.00,0.00,7.00,8.00,7.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5050855,9.00,7.00,5.00,5.00,6.00,10.13,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5050880,5.00,6.00,4.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5050898,6.00,5.00,1.00,4.00,8.00,10.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5050901,7.00,7.00,4.00,5.00,7.00,10.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5050910,9.00,7.00,4.00,7.00,7.00,9.75,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5050944,5.00,7.00,4.00,7.00,7.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5050960,8.00,7.00,6.00,7.00,7.00,8.25,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5050979,6.00,6.00,3.00,7.00,6.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5050987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5050995,6.00,6.00,3.00,5.00,8.00,7.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5051002,7.00,5.00,4.00,6.00,9.00,11.63,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5051029,4.00,5.00,0.00,5.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5051045,6.00,4.00,2.00,5.00,7.00,8.63,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5051061,5.00,4.00,1.00,5.00,8.00,9.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5051096,7.00,7.00,2.00,0.00,9.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5051100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5051118,3.00,3.00,1.00,3.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5051126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5051134,6.00,4.00,0.00,5.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5051142,5.00,0.00,3.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5051150,4.00,5.00,1.00,5.00,8.00,11.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5051169,4.00,4.00,1.00,2.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5051177,4.00,7.00,1.00,4.00,5.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5051185,5.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5051193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5051207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5051215,4.00,7.00,0.00,5.00,2.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5051223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5051258,8.00,6.00,0.00,6.00,8.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5051266,4.00,4.00,1.00,5.00,6.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5051274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5051282,6.00,7.00,2.00,6.00,8.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5051304,0.00,2.00,0.00,0.00,0.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5051312,1.00,2.00,4.00,2.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5051320,7.00,8.00,5.00,5.00,9.00,6.75,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5051339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5051347,7.00,7.00,1.00,7.00,8.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5051355,4.00,3.00,0.00,5.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5051363,3.00,6.00,3.00,6.00,7.00,9.75,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5051371,2.00,4.00,0.00,6.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5051398,3.00,5.00,1.00,4.00,3.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5051410,6.00,7.00,4.00,5.00,8.00,10.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5051428,5.00,5.00,5.00,0.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5051436,5.00,5.00,2.00,7.00,4.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5051444,8.00,6.00,8.00,4.00,8.00,9.38,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5051452,3.00,2.00,0.00,3.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5051460,8.00,7.00,3.00,7.00,7.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5051479,5.00,0.00,3.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5051487,4.00,4.00,6.00,4.00,9.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5051495,3.00,4.00,0.00,0.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5051509,4.00,6.00,2.00,4.00,5.00,9.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5051517,7.00,8.00,2.00,7.00,6.00,11.25,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5051525,8.00,7.00,7.00,6.00,10.00,7.88,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5051533,5.00,2.00,0.00,5.00,6.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5051550,5.00,5.00,2.00,4.00,7.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5051568,5.00,7.00,5.00,7.00,8.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5051584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5051606,5.00,7.00,3.00,7.00,8.00,10.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5051614,1.00,3.00,0.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5051622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5051630,5.00,6.00,2.00,7.00,6.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5051649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5051657,5.00,7.00,0.00,4.00,5.00,NULL,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5051665,4.00,4.00,1.00,3.00,4.00,NULL,4.00,1.00,2.00,NULL,NULL,'S','N'),(20,5051681,6.00,4.00,2.00,3.00,5.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5051690,8.00,8.00,2.00,6.00,9.00,7.50,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5051703,6.00,5.00,4.00,7.00,10.00,10.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5051711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5051720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5051746,6.00,5.00,2.00,7.00,7.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5051754,8.00,8.00,8.00,7.00,9.00,9.38,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5051762,5.00,5.00,2.00,3.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5051770,4.00,4.00,0.00,5.00,4.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5051789,2.00,3.00,3.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5051797,9.00,7.00,9.00,7.00,8.00,10.50,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5051800,7.00,5.00,2.00,7.00,9.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5051819,5.00,7.00,3.00,5.00,9.00,6.00,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5051851,8.00,8.00,7.00,7.00,6.00,9.38,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5051878,8.00,6.00,0.00,6.00,9.00,9.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5051886,5.00,2.00,0.00,5.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5051894,6.00,6.00,7.00,5.00,6.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5051908,2.00,5.00,0.00,2.00,2.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5051916,5.00,4.00,2.00,2.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5051924,4.00,6.00,0.00,1.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5051932,9.00,9.00,4.00,7.00,9.00,9.00,8.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5051959,7.00,5.00,0.00,5.00,8.00,10.13,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5051967,6.00,4.00,3.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5051975,4.00,4.00,1.00,5.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5051991,6.00,5.00,3.00,1.00,7.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5052017,4.00,2.00,4.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5052025,3.00,6.00,3.00,1.00,4.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5052033,4.00,5.00,1.00,4.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5052041,8.00,7.00,4.00,5.00,5.00,7.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5052050,7.00,8.00,5.00,5.00,10.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5052068,5.00,2.00,0.00,4.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5052084,7.00,7.00,4.00,6.00,8.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5052092,6.00,7.00,2.00,7.00,4.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5052106,7.00,7.00,3.00,6.00,8.00,7.13,1.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5052114,7.00,6.00,1.00,6.00,10.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5052122,5.00,5.00,2.00,4.00,7.00,6.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5052130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5052157,5.00,7.00,4.00,4.00,7.00,6.38,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5052165,5.00,3.00,1.00,6.00,7.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5052173,9.00,6.00,6.00,7.00,9.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5052181,9.00,7.00,3.00,6.00,8.00,10.13,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5052190,6.00,6.00,1.00,6.00,10.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5052203,4.00,3.00,4.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5052220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5052238,8.00,4.00,0.00,7.00,6.00,10.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5052246,6.00,5.00,4.00,5.00,8.00,6.38,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5052254,5.00,6.00,1.00,6.00,8.00,9.00,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5052262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5052270,6.00,7.00,2.00,6.00,9.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5052289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5052297,7.00,5.00,3.00,5.00,4.00,9.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5052300,7.00,5.00,1.00,7.00,6.00,7.88,0.00,0.00,4.00,NULL,NULL,NULL,'S'),(20,5052319,3.00,6.00,1.00,0.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5052327,7.00,8.00,4.00,7.00,10.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5052335,2.00,3.00,2.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5052343,6.00,5.00,2.00,7.00,7.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5052351,6.00,4.00,0.00,3.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5052360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5052378,2.00,4.00,1.00,1.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5052386,8.00,7.00,5.00,6.00,8.00,7.88,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5052394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5052408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5052416,6.00,5.00,0.00,6.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5052424,8.00,6.00,7.00,7.00,10.00,11.63,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(20,5052440,4.00,4.00,1.00,3.00,7.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5052467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5052475,8.00,7.00,5.00,6.00,9.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5052483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5052491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5052505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5052513,6.00,5.00,4.00,7.00,7.00,6.38,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5052521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5052530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5052572,6.00,5.00,4.00,4.00,7.00,8.63,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5052580,5.00,5.00,0.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5052599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5052602,6.00,7.00,2.00,6.00,5.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5052610,4.00,6.00,0.00,4.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5052629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5052645,7.00,7.00,4.00,6.00,5.00,9.75,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5052653,3.00,5.00,2.00,5.00,7.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5052661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5052696,4.00,7.00,4.00,5.00,7.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5052700,8.00,7.00,5.00,4.00,8.00,8.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5052718,5.00,8.00,3.00,4.00,6.00,10.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5052726,4.00,6.00,3.00,6.00,9.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5052734,7.00,6.00,3.00,5.00,8.00,9.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5052742,4.00,1.00,1.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5052750,9.00,7.00,6.00,7.00,9.00,9.38,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5052769,3.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5052785,7.00,5.00,3.00,6.00,8.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5052793,8.00,6.00,6.00,7.00,10.00,8.63,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5052807,1.00,3.00,0.00,1.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5052815,6.00,6.00,5.00,6.00,8.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5052831,5.00,3.00,1.00,7.00,4.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5052840,7.00,5.00,6.00,7.00,9.00,7.50,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5052858,9.00,7.00,0.00,7.00,11.00,8.25,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5052866,3.00,5.00,1.00,3.00,4.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5052874,5.00,5.00,0.00,7.00,8.00,8.25,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5052882,7.00,6.00,5.00,4.00,7.00,7.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5052904,8.00,7.00,2.00,5.00,10.00,7.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5052912,8.00,5.00,5.00,6.00,8.00,10.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5052920,7.00,6.00,1.00,4.00,5.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5052939,9.00,5.00,6.00,6.00,10.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5052955,2.00,3.00,1.00,4.00,6.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5052971,7.00,5.00,1.00,7.00,10.00,8.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5052980,7.00,6.00,1.00,6.00,8.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5052998,5.00,4.00,1.00,2.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5053005,5.00,4.00,3.00,4.00,7.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5053021,4.00,6.00,0.00,6.00,6.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5053030,8.00,9.00,3.00,7.00,11.00,11.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5053056,7.00,5.00,5.00,1.00,5.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5053080,7.00,5.00,1.00,6.00,7.00,10.50,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5053099,7.00,7.00,3.00,6.00,8.00,10.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5053102,8.00,8.00,3.00,7.00,9.00,9.38,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5053110,6.00,6.00,7.00,5.00,7.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5053129,3.00,2.00,1.00,2.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5053137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5053145,3.00,4.00,2.00,4.00,8.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5053153,8.00,9.00,3.00,7.00,9.00,10.50,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5053161,0.00,5.00,0.00,0.00,0.00,NULL,3.00,2.00,5.00,'S',NULL,NULL,'N'),(20,5053170,7.00,5.00,5.00,6.00,6.00,9.75,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5053188,6.00,8.00,6.00,2.00,7.00,10.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5053200,6.00,7.00,2.00,6.00,10.00,10.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5053218,2.00,5.00,2.00,2.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5053226,8.00,6.00,7.00,7.00,10.00,9.00,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5053234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5053242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5053269,1.00,6.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5053277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5053285,8.00,7.00,3.00,7.00,7.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5053293,4.00,7.00,1.00,3.00,7.00,6.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5053307,9.00,7.00,5.00,6.00,10.00,7.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5053315,2.00,7.00,0.00,6.00,5.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5053323,7.00,6.00,8.00,7.00,8.00,8.63,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5053340,6.00,5.00,2.00,3.00,5.00,7.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5053358,3.00,4.00,2.00,3.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5053374,8.00,7.00,3.00,4.00,7.00,3.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5053382,8.00,5.00,1.00,4.00,8.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5053390,8.00,5.00,1.00,7.00,5.00,8.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5053404,6.00,3.00,0.00,7.00,6.00,6.75,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5053412,8.00,7.00,4.00,7.00,8.00,10.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5053439,6.00,5.00,3.00,5.00,10.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5053447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5053455,6.00,2.00,5.00,5.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,'S','N'),(20,5053463,7.00,7.00,3.00,5.00,7.00,7.13,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5053471,7.00,7.00,3.00,7.00,8.00,10.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5053480,3.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5053510,7.00,8.00,3.00,6.00,7.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5053536,2.00,4.00,2.00,3.00,8.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5053544,5.00,6.00,3.00,4.00,5.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5053552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5053560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5053579,8.00,7.00,5.00,7.00,8.00,9.38,7.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5053587,5.00,7.00,1.00,4.00,8.00,6.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5053595,4.00,4.00,0.00,5.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5053617,7.00,7.00,1.00,6.00,8.00,10.13,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5053625,5.00,6.00,4.00,4.00,5.00,7.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5053633,3.00,4.00,1.00,5.00,8.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5053641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5053650,8.00,6.00,6.00,6.00,9.00,9.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5053668,9.00,8.00,6.00,7.00,9.00,7.88,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5053684,7.00,6.00,3.00,6.00,5.00,8.63,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5053706,8.00,7.00,5.00,6.00,9.00,9.75,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5053714,7.00,4.00,5.00,5.00,4.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5053722,5.00,6.00,3.00,3.00,5.00,8.63,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5053749,7.00,5.00,3.00,7.00,6.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5053757,5.00,3.00,0.00,6.00,4.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5053765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5053773,4.00,4.00,1.00,4.00,5.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5053781,7.00,7.00,5.00,6.00,7.00,6.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5053803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5053811,5.00,8.00,2.00,3.00,6.00,7.13,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5053838,5.00,5.00,1.00,5.00,9.00,11.63,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5053846,4.00,4.00,2.00,4.00,6.00,7.88,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5053870,7.00,6.00,3.00,6.00,8.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5053889,9.00,8.00,5.00,6.00,8.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5053897,4.00,3.00,3.00,3.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5053900,8.00,7.00,1.00,7.00,8.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5053919,9.00,7.00,2.00,6.00,7.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5053927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5053935,7.00,7.00,4.00,5.00,9.00,10.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5053951,5.00,3.00,0.00,5.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5053960,4.00,6.00,1.00,1.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5053978,6.00,6.00,7.00,7.00,10.00,10.50,7.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5053986,7.00,8.00,7.00,7.00,9.00,12.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5053994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5054001,8.00,6.00,0.00,6.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5054010,8.00,8.00,9.00,7.00,11.00,11.25,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5054028,3.00,5.00,1.00,6.00,7.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5054036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5054044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5054052,2.00,4.00,4.00,4.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5054079,9.00,6.00,7.00,7.00,11.00,9.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5054087,6.00,4.00,2.00,4.00,9.00,10.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5054095,5.00,7.00,5.00,4.00,5.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5054109,4.00,6.00,1.00,5.00,7.00,6.38,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5054117,9.00,6.00,5.00,6.00,10.00,9.75,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5054125,7.00,7.00,4.00,7.00,9.00,10.88,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5054133,8.00,7.00,6.00,5.00,9.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5054150,4.00,7.00,3.00,5.00,8.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5054168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5054176,3.00,5.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5054184,7.00,6.00,1.00,8.00,8.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5054230,3.00,6.00,1.00,2.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5054257,6.00,8.00,2.00,3.00,7.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5054265,9.00,7.00,5.00,8.00,8.00,10.13,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5054273,7.00,7.00,4.00,7.00,8.00,10.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5054281,5.00,7.00,3.00,6.00,7.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5054290,8.00,6.00,5.00,6.00,8.00,8.25,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5054303,7.00,7.00,4.00,3.00,8.00,13.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5054311,5.00,5.00,4.00,7.00,5.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5054320,7.00,8.00,3.00,7.00,9.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5054338,5.00,4.00,6.00,5.00,8.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5054346,7.00,6.00,4.00,7.00,8.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5054362,6.00,7.00,3.00,5.00,4.00,6.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5054370,9.00,5.00,8.00,6.00,8.00,9.00,7.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5054419,9.00,5.00,4.00,5.00,6.00,9.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5054443,6.00,5.00,2.00,7.00,6.00,8.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5054451,3.00,5.00,4.00,5.00,7.00,9.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5054460,6.00,8.00,5.00,3.00,6.00,7.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5054486,3.00,6.00,1.00,7.00,7.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5054494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5054508,9.00,8.00,8.00,6.00,10.00,7.13,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5054516,9.00,7.00,7.00,6.00,10.00,9.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5054524,4.00,3.00,3.00,2.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5054540,4.00,3.00,1.00,5.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5054567,7.00,6.00,2.00,7.00,6.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5054575,8.00,5.00,5.00,7.00,7.00,6.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5054583,3.00,3.00,0.00,1.00,6.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5054591,9.00,8.00,6.00,7.00,7.00,10.13,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5054605,9.00,7.00,7.00,7.00,8.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5054613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5054621,3.00,2.00,0.00,2.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5054630,7.00,8.00,3.00,7.00,4.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5054656,9.00,8.00,2.00,6.00,11.00,9.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5054672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5054680,3.00,3.00,0.00,1.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5054702,7.00,6.00,4.00,7.00,8.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5054710,8.00,6.00,2.00,7.00,9.00,12.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5054729,3.00,7.00,1.00,5.00,6.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5054737,1.00,3.00,2.00,3.00,7.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5054753,8.00,5.00,1.00,8.00,8.00,9.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5054761,8.00,7.00,2.00,6.00,8.00,9.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5054788,7.00,8.00,5.00,4.00,9.00,7.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5054796,8.00,7.00,5.00,7.00,10.00,8.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5054800,7.00,6.00,3.00,7.00,9.00,10.13,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5054818,4.00,4.00,4.00,4.00,5.00,7.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5054826,8.00,5.00,5.00,7.00,9.00,10.13,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5054834,6.00,4.00,4.00,7.00,6.00,6.75,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5054842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5054850,8.00,7.00,6.00,7.00,11.00,9.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5054869,5.00,8.00,1.00,6.00,8.00,9.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5054877,9.00,8.00,4.00,4.00,9.00,8.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5054885,8.00,7.00,6.00,6.00,10.00,12.00,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5054893,8.00,6.00,0.00,7.00,7.00,8.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5054907,4.00,6.00,1.00,1.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5054915,2.00,6.00,3.00,6.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,'S','S'),(20,5054923,5.00,6.00,2.00,4.00,5.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5054931,7.00,6.00,3.00,4.00,6.00,6.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5054940,3.00,6.00,2.00,8.00,7.00,9.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5054958,6.00,6.00,5.00,5.00,5.00,9.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5054974,3.00,3.00,3.00,6.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5054982,3.00,4.00,4.00,6.00,4.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5054990,2.00,2.00,2.00,3.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5055008,9.00,7.00,1.00,5.00,6.00,7.88,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5055016,8.00,7.00,6.00,7.00,3.00,NULL,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5055024,8.00,5.00,4.00,6.00,8.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5055032,5.00,7.00,2.00,5.00,9.00,11.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5055040,9.00,5.00,6.00,6.00,6.00,7.13,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5055059,7.00,7.00,4.00,4.00,9.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5055067,6.00,5.00,4.00,4.00,4.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5055075,9.00,7.00,7.00,6.00,9.00,7.13,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5055083,7.00,6.00,2.00,7.00,5.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5055113,8.00,6.00,6.00,6.00,8.00,11.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5055121,5.00,5.00,4.00,4.00,6.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5055130,3.00,4.00,1.00,4.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5055156,6.00,6.00,3.00,7.00,8.00,9.00,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5055164,6.00,6.00,0.00,7.00,7.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5055172,5.00,6.00,2.00,7.00,9.00,10.13,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5055180,3.00,7.00,2.00,4.00,8.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5055199,6.00,6.00,1.00,7.00,9.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5055202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5055210,8.00,8.00,5.00,7.00,9.00,10.13,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5055229,3.00,4.00,1.00,7.00,6.00,10.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5055237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5055245,6.00,6.00,2.00,3.00,4.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5055253,9.00,8.00,7.00,6.00,9.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5055288,7.00,7.00,3.00,5.00,8.00,13.13,4.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5055296,7.00,2.00,2.00,5.00,8.00,7.13,4.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5055300,8.00,7.00,2.00,7.00,9.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5055318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5055326,6.00,7.00,4.00,4.00,8.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5055334,7.00,7.00,4.00,6.00,10.00,10.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5055342,6.00,2.00,3.00,3.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5055350,6.00,6.00,0.00,5.00,9.00,12.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5055369,1.00,4.00,0.00,3.00,7.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5055377,5.00,4.00,1.00,4.00,7.00,6.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5055385,4.00,6.00,0.00,7.00,6.00,10.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5055393,4.00,7.00,2.00,3.00,8.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5055407,6.00,4.00,0.00,4.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5055423,5.00,6.00,3.00,6.00,8.00,9.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5055431,8.00,5.00,3.00,4.00,6.00,8.63,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5055466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5055474,3.00,4.00,3.00,3.00,4.00,4.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5055482,8.00,9.00,3.00,7.00,10.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5055490,3.00,5.00,3.00,5.00,5.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5055504,9.00,7.00,2.00,7.00,7.00,10.50,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5055512,3.00,7.00,3.00,6.00,7.00,9.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5055520,6.00,7.00,6.00,4.00,8.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5055547,8.00,8.00,3.00,6.00,8.00,11.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5055555,7.00,7.00,3.00,4.00,4.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5055563,4.00,6.00,1.00,7.00,5.00,7.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5055571,3.00,7.00,0.00,4.00,6.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5055580,3.00,5.00,0.00,1.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5055598,6.00,6.00,5.00,6.00,6.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5055601,2.00,3.00,0.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5055610,9.00,7.00,6.00,5.00,7.00,8.63,1.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5055628,7.00,6.00,2.00,5.00,9.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5055636,8.00,6.00,2.00,5.00,10.00,10.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5055644,8.00,4.00,8.00,7.00,9.00,7.50,7.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5055652,7.00,7.00,1.00,7.00,8.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5055679,5.00,4.00,2.00,4.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5055695,5.00,7.00,1.00,6.00,7.00,7.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5055709,6.00,6.00,4.00,6.00,6.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5055717,6.00,7.00,1.00,6.00,10.00,10.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5055725,7.00,5.00,1.00,5.00,6.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5055733,5.00,7.00,2.00,4.00,9.00,9.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5055741,4.00,6.00,1.00,2.00,4.00,11.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5055750,4.00,6.00,3.00,3.00,4.00,9.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5055768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5055776,3.00,4.00,0.00,2.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5055784,8.00,6.00,8.00,7.00,9.00,12.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5055792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5055806,4.00,5.00,4.00,3.00,6.00,6.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5055814,5.00,7.00,4.00,6.00,5.00,6.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5055822,4.00,5.00,4.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5055830,7.00,7.00,2.00,7.00,8.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5055849,3.00,2.00,1.00,2.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5055857,7.00,7.00,2.00,3.00,4.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5055865,7.00,6.00,4.00,5.00,8.00,7.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5055873,7.00,6.00,3.00,6.00,10.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5055890,2.00,5.00,3.00,5.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5055903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5055911,3.00,6.00,2.00,4.00,4.00,6.38,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5055920,6.00,8.00,5.00,7.00,10.00,8.63,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5055946,7.00,4.00,5.00,7.00,7.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5055954,3.00,7.00,1.00,0.00,5.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5055970,5.00,5.00,5.00,3.00,1.00,NULL,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5055989,6.00,4.00,4.00,7.00,8.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5055997,3.00,4.00,2.00,7.00,2.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5056004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5056012,3.00,6.00,0.00,2.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5056020,8.00,8.00,7.00,7.00,9.00,10.88,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5056039,8.00,7.00,5.00,6.00,9.00,6.38,1.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5056047,7.00,5.00,1.00,5.00,6.00,6.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5056055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5056063,6.00,5.00,2.00,4.00,7.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5056071,7.00,6.00,4.00,4.00,7.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5056080,8.00,7.00,6.00,7.00,7.00,10.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5056098,4.00,5.00,5.00,5.00,5.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5056101,4.00,5.00,2.00,6.00,6.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5056110,7.00,7.00,3.00,5.00,7.00,9.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5056136,3.00,4.00,2.00,3.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5056144,3.00,4.00,0.00,2.00,5.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5056187,9.00,8.00,7.00,5.00,10.00,9.38,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5056195,4.00,6.00,5.00,3.00,7.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5056209,9.00,7.00,2.00,6.00,9.00,10.88,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5056217,5.00,6.00,4.00,6.00,8.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5056233,8.00,6.00,6.00,5.00,7.00,11.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5056241,1.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5056250,8.00,8.00,4.00,6.00,8.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5056276,2.00,5.00,1.00,4.00,5.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5056284,3.00,6.00,4.00,6.00,5.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5056292,6.00,5.00,4.00,7.00,6.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5056306,8.00,7.00,1.00,8.00,9.00,10.88,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5056314,0.00,5.00,0.00,0.00,0.00,NULL,1.00,3.00,0.00,'S',NULL,'S','N'),(20,5056330,6.00,6.00,2.00,7.00,9.00,9.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5056349,5.00,7.00,4.00,6.00,9.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5056357,7.00,8.00,1.00,5.00,10.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5056373,7.00,6.00,0.00,7.00,8.00,7.50,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5056390,5.00,4.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5056403,8.00,8.00,1.00,7.00,10.00,12.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5056411,8.00,9.00,5.00,7.00,9.00,9.38,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5056420,7.00,6.00,3.00,7.00,10.00,4.50,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5056438,1.00,6.00,0.00,1.00,4.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5056446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5056454,2.00,5.00,0.00,5.00,7.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5056462,8.00,8.00,5.00,7.00,9.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5056470,6.00,5.00,2.00,1.00,6.00,6.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5056489,7.00,8.00,7.00,7.00,8.00,11.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5056500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5056519,5.00,5.00,5.00,7.00,6.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5056527,7.00,6.00,5.00,5.00,5.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5056551,6.00,4.00,3.00,7.00,8.00,9.38,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5056594,1.00,5.00,2.00,4.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5056608,4.00,3.00,2.00,5.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5056616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5056632,9.00,7.00,7.00,7.00,10.00,12.75,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5056640,8.00,4.00,3.00,6.00,6.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5056659,6.00,8.00,6.00,7.00,9.00,7.88,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5056667,6.00,8.00,3.00,6.00,7.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5056675,3.00,4.00,2.00,7.00,4.00,7.88,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5056691,7.00,5.00,3.00,5.00,8.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5056713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5056721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5056730,4.00,7.00,2.00,7.00,6.00,10.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5056748,8.00,7.00,4.00,5.00,9.00,8.63,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5056756,7.00,5.00,6.00,7.00,7.00,6.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5056772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5056780,5.00,5.00,0.00,5.00,5.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5056802,2.00,5.00,1.00,5.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5056810,7.00,5.00,1.00,2.00,5.00,9.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5056829,3.00,6.00,0.00,4.00,8.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5056837,8.00,6.00,3.00,5.00,9.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5056861,1.00,1.00,1.00,1.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5056888,8.00,7.00,0.00,7.00,7.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5056896,5.00,6.00,2.00,6.00,4.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5056900,6.00,5.00,2.00,4.00,9.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5056918,6.00,7.00,2.00,3.00,8.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5056926,6.00,6.00,5.00,5.00,7.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5056934,2.00,4.00,2.00,4.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5056942,8.00,7.00,7.00,6.00,10.00,11.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5056969,9.00,6.00,2.00,6.00,10.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5056977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5056985,9.00,9.00,9.00,7.00,10.00,7.50,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5057000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5057019,7.00,6.00,6.00,6.00,6.00,6.75,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5057035,4.00,3.00,1.00,2.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5057043,6.00,6.00,5.00,7.00,4.00,8.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5057051,8.00,7.00,5.00,7.00,9.00,10.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5057060,4.00,4.00,2.00,4.00,9.00,7.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5057078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5057086,4.00,6.00,3.00,3.00,5.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5057094,8.00,5.00,4.00,6.00,8.00,9.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5057108,9.00,7.00,7.00,7.00,9.00,10.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5057116,5.00,7.00,3.00,7.00,5.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5057124,7.00,7.00,3.00,5.00,6.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5057132,2.00,5.00,2.00,1.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5057140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5057159,5.00,4.00,3.00,5.00,9.00,11.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5057167,5.00,7.00,3.00,7.00,6.00,3.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5057175,5.00,6.00,3.00,4.00,6.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5057183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5057191,5.00,4.00,2.00,1.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5057213,6.00,7.00,3.00,4.00,6.00,7.88,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5057230,8.00,5.00,0.00,4.00,4.00,6.38,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5057248,9.00,6.00,8.00,7.00,8.00,10.88,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5057256,8.00,7.00,4.00,7.00,8.00,10.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5057264,8.00,7.00,4.00,7.00,9.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5057272,5.00,4.00,0.00,5.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5057280,8.00,9.00,6.00,7.00,9.00,9.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5057302,3.00,4.00,2.00,4.00,5.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5057310,7.00,6.00,1.00,8.00,8.00,13.50,6.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5057329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5057337,8.00,5.00,5.00,5.00,8.00,7.88,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5057345,4.00,6.00,2.00,3.00,8.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5057353,1.00,6.00,1.00,5.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5057370,4.00,4.00,0.00,3.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5057388,8.00,7.00,4.00,5.00,8.00,6.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5057396,2.00,7.00,1.00,2.00,5.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5057400,9.00,5.00,6.00,8.00,7.00,8.63,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5057418,8.00,8.00,7.00,7.00,9.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5057426,2.00,3.00,2.00,5.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5057434,6.00,3.00,3.00,4.00,8.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5057442,9.00,7.00,5.00,5.00,7.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5057450,6.00,5.00,1.00,7.00,6.00,0.00,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5057477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5057485,5.00,3.00,4.00,5.00,7.00,11.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5057507,7.00,6.00,2.00,5.00,9.00,10.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5057515,9.00,9.00,6.00,7.00,10.00,10.88,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5057523,8.00,7.00,5.00,7.00,9.00,10.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5057531,7.00,4.00,1.00,6.00,4.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5057540,5.00,6.00,4.00,2.00,6.00,8.25,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5057558,3.00,5.00,1.00,3.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5057566,5.00,4.00,1.00,5.00,9.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5057574,8.00,4.00,2.00,7.00,9.00,7.88,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5057582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5057590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5057604,5.00,3.00,1.00,6.00,9.00,10.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5057620,4.00,6.00,4.00,7.00,5.00,7.13,3.00,2.00,6.00,NULL,NULL,NULL,'S'),(20,5057639,4.00,4.00,4.00,4.00,7.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5057655,8.00,4.00,3.00,7.00,6.00,6.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5057671,5.00,5.00,0.00,4.00,6.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5057680,5.00,4.00,3.00,6.00,6.00,8.63,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5057701,5.00,7.00,0.00,2.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5057710,8.00,9.00,5.00,6.00,9.00,8.63,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5057728,8.00,6.00,2.00,5.00,4.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5057736,5.00,4.00,4.00,5.00,9.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5057752,8.00,7.00,4.00,8.00,8.00,11.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5057779,5.00,6.00,3.00,5.00,7.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5057795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5057809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5057817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5057833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5057841,8.00,8.00,4.00,5.00,7.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5057850,9.00,9.00,7.00,7.00,7.00,8.63,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5057876,4.00,6.00,1.00,0.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5057884,5.00,5.00,4.00,1.00,9.00,6.38,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5057892,5.00,6.00,5.00,4.00,5.00,7.50,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5057906,8.00,5.00,6.00,7.00,6.00,7.50,5.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5057914,5.00,6.00,3.00,7.00,8.00,10.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5057922,5.00,6.00,3.00,5.00,4.00,7.88,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5057930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5057949,5.00,7.00,3.00,7.00,6.00,11.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5057957,6.00,6.00,6.00,6.00,8.00,12.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5057973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5057981,0.00,4.00,3.00,2.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5057990,6.00,5.00,3.00,2.00,7.00,8.25,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5058007,4.00,7.00,0.00,4.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5058015,5.00,5.00,1.00,3.00,5.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5058023,5.00,7.00,4.00,3.00,10.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5058031,2.00,6.00,3.00,7.00,9.00,8.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5058040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5058058,7.00,4.00,4.00,6.00,8.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5058066,4.00,6.00,3.00,6.00,5.00,7.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5058074,7.00,8.00,3.00,7.00,5.00,10.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5058090,3.00,3.00,1.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5058104,6.00,6.00,4.00,7.00,6.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5058112,6.00,3.00,1.00,4.00,8.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5058120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5058139,3.00,4.00,1.00,6.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5058171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5058180,1.00,4.00,0.00,2.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5058198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5058210,1.00,1.00,0.00,4.00,5.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5058228,5.00,5.00,6.00,5.00,7.00,9.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5058236,5.00,5.00,1.00,5.00,8.00,9.00,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5058244,5.00,6.00,5.00,6.00,4.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5058252,3.00,2.00,0.00,4.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5058260,3.00,4.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5058279,5.00,6.00,1.00,5.00,6.00,9.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5058287,4.00,8.00,3.00,7.00,9.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5058309,9.00,8.00,4.00,6.00,9.00,4.50,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5058317,2.00,5.00,1.00,2.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5058325,9.00,6.00,3.00,5.00,7.00,8.25,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5058333,4.00,4.00,0.00,5.00,6.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5058341,9.00,6.00,1.00,7.00,5.00,11.25,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5058350,4.00,5.00,1.00,5.00,9.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5058376,4.00,5.00,3.00,7.00,4.00,9.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5058384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5058406,0.00,5.00,3.00,4.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5058414,2.00,2.00,0.00,4.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5058422,8.00,8.00,4.00,5.00,6.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5058430,8.00,7.00,3.00,7.00,9.00,9.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5058457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5058473,9.00,7.00,8.00,6.00,10.00,10.50,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5058490,3.00,5.00,0.00,5.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5058503,6.00,6.00,3.00,6.00,4.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5058511,6.00,6.00,1.00,5.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5058520,4.00,8.00,2.00,7.00,7.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5058538,7.00,5.00,3.00,5.00,6.00,6.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5058546,9.00,7.00,6.00,7.00,8.00,10.13,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5058554,9.00,7.00,5.00,7.00,10.00,10.13,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5058562,4.00,7.00,4.00,4.00,6.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5058589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5058597,4.00,5.00,0.00,5.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5058600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5058619,8.00,7.00,5.00,7.00,8.00,9.75,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5058635,4.00,6.00,2.00,2.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5058651,6.00,8.00,1.00,3.00,9.00,9.38,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5058686,6.00,5.00,0.00,5.00,5.00,9.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5058694,3.00,3.00,3.00,3.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5058708,5.00,7.00,0.00,3.00,5.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5058716,2.00,3.00,1.00,3.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5058724,7.00,6.00,2.00,6.00,8.00,9.00,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5058732,6.00,7.00,0.00,3.00,7.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5058740,0.00,3.00,1.00,4.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5058759,2.00,6.00,4.00,5.00,7.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5058767,6.00,4.00,2.00,5.00,4.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5058775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5058783,7.00,7.00,3.00,4.00,8.00,12.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5058805,4.00,4.00,1.00,3.00,7.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5058813,5.00,6.00,0.00,4.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5058821,8.00,6.00,6.00,6.00,5.00,9.00,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5058830,5.00,5.00,6.00,3.00,8.00,6.75,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5058848,0.00,5.00,0.00,0.00,0.00,NULL,6.00,4.00,4.00,'S',NULL,NULL,'S'),(20,5058856,6.00,8.00,4.00,8.00,9.00,10.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5058872,5.00,7.00,2.00,1.00,7.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5058880,3.00,6.00,2.00,6.00,7.00,10.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5058899,4.00,0.00,1.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5058902,7.00,5.00,4.00,4.00,6.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5058910,6.00,5.00,1.00,4.00,8.00,9.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5058929,4.00,4.00,2.00,5.00,7.00,6.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5058945,6.00,8.00,5.00,6.00,8.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5058953,4.00,2.00,1.00,4.00,5.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5058961,4.00,4.00,1.00,5.00,7.00,7.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5058970,6.00,4.00,3.00,4.00,6.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5058988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5058996,1.00,1.00,0.00,2.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5059011,7.00,5.00,3.00,6.00,6.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5059038,3.00,7.00,4.00,4.00,4.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5059046,4.00,5.00,2.00,3.00,7.00,7.88,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5059054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5059062,8.00,7.00,6.00,7.00,7.00,7.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5059070,3.00,6.00,1.00,2.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5059089,9.00,6.00,6.00,7.00,9.00,8.63,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5059097,2.00,7.00,0.00,4.00,1.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5059100,6.00,4.00,2.00,5.00,7.00,8.63,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5059119,6.00,7.00,5.00,5.00,10.00,10.50,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5059127,8.00,6.00,4.00,5.00,8.00,9.38,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5059143,8.00,6.00,6.00,5.00,9.00,8.63,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5059151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5059160,4.00,6.00,4.00,5.00,5.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5059186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5059208,9.00,7.00,7.00,7.00,8.00,10.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5059216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5059224,2.00,3.00,0.00,4.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5059240,9.00,6.00,2.00,5.00,7.00,9.00,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5059259,7.00,4.00,1.00,6.00,5.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5059267,5.00,3.00,2.00,2.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5059275,5.00,5.00,3.00,5.00,6.00,9.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5059283,7.00,7.00,2.00,6.00,8.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5059305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5059313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5059321,7.00,6.00,4.00,4.00,9.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5059356,4.00,3.00,0.00,3.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5059364,3.00,5.00,1.00,4.00,5.00,7.13,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5059372,2.00,4.00,2.00,2.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5059380,2.00,5.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5059399,6.00,6.00,1.00,5.00,6.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5059410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5059429,9.00,7.00,5.00,7.00,11.00,12.75,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5059437,3.00,3.00,0.00,1.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5059453,3.00,4.00,4.00,6.00,6.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5059461,8.00,8.00,8.00,7.00,9.00,11.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5059470,8.00,6.00,1.00,7.00,10.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5059488,8.00,8.00,5.00,6.00,8.00,13.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5059496,8.00,7.00,0.00,6.00,7.00,9.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5059500,9.00,8.00,6.00,7.00,9.00,11.25,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5059518,1.00,4.00,1.00,5.00,7.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5059526,2.00,6.00,1.00,5.00,6.00,4.88,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5059534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5059550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5059569,7.00,5.00,5.00,3.00,4.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5059577,3.00,3.00,0.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5059585,3.00,4.00,2.00,5.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5059593,4.00,3.00,1.00,4.00,6.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5059607,3.00,4.00,0.00,3.00,7.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5059623,4.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(20,5059631,8.00,7.00,7.00,8.00,9.00,12.38,8.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5059640,4.00,7.00,1.00,7.00,9.00,11.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5059658,6.00,4.00,1.00,4.00,8.00,8.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5059666,6.00,4.00,2.00,7.00,7.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5059674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5059682,8.00,7.00,7.00,7.00,8.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5059690,8.00,7.00,2.00,7.00,4.00,8.63,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5059712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5059720,7.00,6.00,3.00,5.00,10.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5059739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5059747,1.00,5.00,3.00,2.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5059755,4.00,5.00,1.00,5.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5059763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5059771,8.00,7.00,2.00,5.00,8.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5059780,3.00,6.00,2.00,3.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5059798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5059801,3.00,2.00,2.00,1.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5059810,8.00,5.00,3.00,5.00,5.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5059836,9.00,8.00,6.00,4.00,10.00,10.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5059852,8.00,6.00,3.00,7.00,7.00,10.13,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5059860,7.00,6.00,4.00,7.00,10.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5059879,2.00,1.00,0.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5059887,8.00,7.00,8.00,7.00,8.00,9.38,8.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5059895,8.00,7.00,4.00,7.00,9.00,11.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5059909,3.00,4.00,1.00,3.00,5.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5059917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5059976,4.00,5.00,2.00,3.00,6.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5059984,8.00,7.00,2.00,5.00,6.00,6.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5059992,9.00,7.00,3.00,5.00,9.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5060001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5060010,9.00,9.00,8.00,8.00,11.00,8.63,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5060028,4.00,5.00,2.00,4.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5060036,9.00,7.00,5.00,8.00,8.00,9.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5060044,6.00,7.00,4.00,3.00,4.00,6.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5060052,7.00,8.00,5.00,7.00,9.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5060060,5.00,3.00,2.00,3.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5060079,9.00,7.00,5.00,7.00,7.00,10.13,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5060087,6.00,6.00,3.00,6.00,9.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5060095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5060117,6.00,3.00,4.00,6.00,6.00,12.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5060125,8.00,7.00,5.00,6.00,7.00,9.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5060141,4.00,5.00,2.00,5.00,7.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5060150,8.00,5.00,6.00,6.00,8.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5060176,9.00,8.00,5.00,6.00,8.00,8.63,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5060184,8.00,6.00,7.00,8.00,7.00,7.88,0.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5060192,4.00,6.00,3.00,7.00,6.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'S'),(20,5060206,6.00,5.00,3.00,6.00,6.00,9.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5060214,8.00,5.00,2.00,7.00,8.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5060222,8.00,4.00,2.00,6.00,9.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5060230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5060257,3.00,7.00,3.00,2.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5060273,5.00,4.00,0.00,7.00,7.00,4.50,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5060281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5060320,6.00,5.00,1.00,4.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5060346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5060354,6.00,6.00,2.00,7.00,7.00,10.88,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5060362,7.00,9.00,6.00,5.00,7.00,7.13,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5060370,6.00,6.00,0.00,2.00,7.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5060389,6.00,4.00,2.00,4.00,6.00,8.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5060400,5.00,4.00,0.00,4.00,6.00,11.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5060419,7.00,6.00,5.00,7.00,8.00,7.88,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5060435,7.00,6.00,7.00,6.00,7.00,11.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5060443,0.00,5.00,3.00,2.00,5.00,7.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5060451,3.00,5.00,1.00,3.00,4.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5060478,8.00,8.00,6.00,6.00,9.00,7.88,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5060486,2.00,6.00,3.00,5.00,5.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5060494,8.00,7.00,3.00,7.00,7.00,7.50,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5060508,4.00,6.00,2.00,2.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5060516,7.00,7.00,0.00,4.00,4.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5060524,5.00,6.00,3.00,6.00,9.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5060532,2.00,1.00,0.00,3.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5060540,6.00,4.00,3.00,6.00,4.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5060567,4.00,6.00,1.00,6.00,5.00,9.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5060575,9.00,6.00,6.00,6.00,9.00,10.50,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5060583,8.00,7.00,6.00,6.00,9.00,9.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5060605,3.00,3.00,0.00,5.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5060613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5060621,3.00,4.00,1.00,6.00,4.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5060630,5.00,7.00,2.00,3.00,5.00,8.25,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5060648,1.00,4.00,1.00,4.00,6.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5060664,8.00,9.00,5.00,8.00,10.00,11.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5060672,9.00,7.00,2.00,5.00,11.00,8.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5060699,7.00,5.00,6.00,7.00,8.00,10.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5060702,8.00,9.00,3.00,5.00,8.00,7.13,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5060710,5.00,5.00,0.00,4.00,6.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5060729,7.00,8.00,5.00,4.00,8.00,8.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5060737,9.00,8.00,7.00,7.00,9.00,9.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5060745,7.00,5.00,3.00,4.00,6.00,10.13,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5060753,6.00,5.00,1.00,3.00,5.00,7.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5060761,9.00,9.00,5.00,7.00,10.00,10.50,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5060770,6.00,5.00,4.00,6.00,6.00,10.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5060788,6.00,5.00,4.00,3.00,8.00,8.25,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5060796,5.00,4.00,3.00,5.00,8.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5060800,9.00,6.00,4.00,6.00,6.00,7.50,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5060826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5060842,2.00,3.00,0.00,3.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5060850,4.00,5.00,3.00,6.00,6.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5060869,6.00,7.00,5.00,3.00,7.00,7.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5060877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5060893,3.00,4.00,1.00,6.00,8.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5060907,3.00,3.00,2.00,6.00,7.00,NULL,3.00,1.00,3.00,NULL,NULL,'S','N'),(20,5060915,8.00,7.00,2.00,7.00,9.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5060923,7.00,6.00,5.00,7.00,9.00,7.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5060931,4.00,6.00,3.00,3.00,5.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5060940,8.00,5.00,1.00,5.00,3.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5060958,8.00,8.00,6.00,7.00,10.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5060974,7.00,6.00,3.00,4.00,5.00,9.38,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5060982,2.00,3.00,2.00,4.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5060990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5061008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5061016,7.00,5.00,3.00,4.00,8.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5061032,5.00,5.00,3.00,3.00,9.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5061040,8.00,6.00,4.00,4.00,5.00,8.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5061067,6.00,4.00,1.00,3.00,4.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5061075,9.00,7.00,3.00,7.00,9.00,9.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5061083,7.00,5.00,4.00,7.00,8.00,10.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5061091,5.00,5.00,2.00,4.00,7.00,6.38,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5061105,6.00,4.00,3.00,5.00,5.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5061113,7.00,8.00,6.00,6.00,8.00,9.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5061121,4.00,3.00,1.00,3.00,6.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5061130,5.00,8.00,0.00,1.00,8.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5061148,6.00,6.00,2.00,6.00,8.00,10.50,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5061156,9.00,5.00,5.00,6.00,8.00,7.50,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5061164,9.00,8.00,6.00,5.00,10.00,9.00,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5061172,5.00,6.00,2.00,7.00,7.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5061180,7.00,7.00,5.00,7.00,8.00,7.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5061199,7.00,7.00,6.00,7.00,7.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5061202,7.00,8.00,2.00,7.00,7.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5061210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5061229,8.00,7.00,7.00,7.00,10.00,9.38,9.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5061237,5.00,7.00,5.00,7.00,6.00,10.88,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5061245,9.00,9.00,6.00,5.00,10.00,10.13,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5061253,8.00,7.00,8.00,7.00,9.00,10.50,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5061261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5061270,5.00,6.00,1.00,4.00,7.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5061288,5.00,3.00,1.00,5.00,4.00,8.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5061296,7.00,6.00,3.00,4.00,7.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5061300,7.00,7.00,3.00,7.00,8.00,8.25,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5061318,1.00,5.00,1.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5061326,5.00,7.00,2.00,6.00,9.00,9.38,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5061334,9.00,6.00,4.00,7.00,9.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5061342,9.00,6.00,2.00,4.00,9.00,8.63,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5061350,4.00,6.00,1.00,7.00,8.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5061369,8.00,8.00,6.00,8.00,9.00,11.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5061377,7.00,7.00,5.00,7.00,9.00,10.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5061385,6.00,4.00,4.00,4.00,5.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5061393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5061407,6.00,5.00,2.00,1.00,5.00,7.50,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5061415,8.00,7.00,6.00,7.00,9.00,7.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5061423,8.00,6.00,5.00,7.00,8.00,10.88,6.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5061431,8.00,7.00,2.00,7.00,7.00,8.63,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5061440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5061458,9.00,6.00,3.00,4.00,7.00,10.13,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5061466,1.00,6.00,2.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5061474,5.00,6.00,1.00,6.00,6.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5061482,6.00,6.00,4.00,0.00,6.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5061490,3.00,6.00,2.00,3.00,5.00,3.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5061504,4.00,6.00,1.00,6.00,4.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5061520,4.00,7.00,2.00,4.00,6.00,8.63,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5061539,8.00,6.00,4.00,7.00,6.00,6.38,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5061547,6.00,5.00,1.00,8.00,9.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5061563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5061571,2.00,5.00,2.00,6.00,6.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5061580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5061598,9.00,9.00,7.00,8.00,9.00,10.50,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5061601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5061610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5061628,5.00,3.00,0.00,7.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5061652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5061679,8.00,4.00,6.00,6.00,10.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5061687,3.00,4.00,4.00,0.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5061695,5.00,5.00,2.00,4.00,5.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5061709,6.00,8.00,3.00,4.00,8.00,9.38,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5061717,7.00,6.00,0.00,5.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5061733,5.00,7.00,4.00,7.00,8.00,7.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5061741,4.00,4.00,0.00,5.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5061750,7.00,7.00,2.00,6.00,6.00,6.38,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5061768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5061776,7.00,6.00,2.00,7.00,10.00,11.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5061784,8.00,7.00,6.00,6.00,7.00,11.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5061792,3.00,4.00,0.00,4.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,'S','N'),(20,5061806,4.00,6.00,2.00,5.00,4.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5061814,9.00,8.00,9.00,7.00,7.00,8.25,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5061822,8.00,8.00,3.00,1.00,5.00,8.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5061830,2.00,3.00,3.00,3.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5061881,7.00,7.00,0.00,5.00,8.00,11.63,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5061890,4.00,7.00,4.00,6.00,9.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5061903,5.00,6.00,2.00,5.00,8.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5061911,6.00,6.00,2.00,6.00,9.00,7.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5061938,9.00,4.00,3.00,6.00,9.00,11.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5061962,6.00,6.00,4.00,4.00,5.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5061970,8.00,5.00,3.00,6.00,10.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5061989,4.00,4.00,3.00,5.00,7.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5062012,5.00,7.00,1.00,5.00,7.00,11.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5062020,4.00,7.00,4.00,5.00,5.00,10.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5062047,7.00,5.00,1.00,6.00,6.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5062071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5062080,2.00,3.00,0.00,1.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5062098,5.00,4.00,3.00,5.00,4.00,8.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5062101,4.00,5.00,3.00,5.00,6.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5062110,3.00,2.00,0.00,1.00,5.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5062128,7.00,9.00,1.00,6.00,5.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5062136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5062152,4.00,5.00,3.00,5.00,7.00,6.75,1.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5062160,4.00,7.00,1.00,5.00,5.00,10.88,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5062179,6.00,6.00,2.00,6.00,8.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5062187,0.00,3.00,1.00,4.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5062195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5062209,3.00,5.00,1.00,4.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5062217,4.00,4.00,0.00,3.00,3.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5062225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5062233,4.00,6.00,2.00,7.00,5.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5062250,5.00,8.00,3.00,6.00,5.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5062276,4.00,5.00,0.00,5.00,6.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5062284,8.00,8.00,1.00,7.00,7.00,9.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5062292,4.00,6.00,3.00,5.00,6.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5062306,6.00,6.00,2.00,5.00,9.00,10.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5062322,9.00,9.00,6.00,7.00,9.00,9.75,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5062330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5062349,9.00,6.00,3.00,5.00,9.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5062357,9.00,7.00,4.00,6.00,8.00,10.50,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5062365,3.00,4.00,3.00,4.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5062373,8.00,7.00,5.00,5.00,8.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5062390,9.00,6.00,6.00,6.00,10.00,10.13,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5062403,9.00,5.00,7.00,6.00,11.00,8.63,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5062411,4.00,5.00,3.00,6.00,4.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5062420,6.00,7.00,4.00,5.00,7.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5062438,6.00,7.00,5.00,7.00,6.00,10.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5062446,8.00,9.00,4.00,6.00,7.00,8.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5062454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5062470,3.00,5.00,6.00,5.00,4.00,9.38,5.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5062497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5062519,7.00,6.00,3.00,6.00,8.00,7.50,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5062527,3.00,6.00,0.00,5.00,8.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5062535,8.00,6.00,3.00,7.00,7.00,11.63,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5062543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5062551,9.00,7.00,7.00,8.00,9.00,10.88,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5062560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5062578,8.00,8.00,7.00,7.00,7.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5062586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5062594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5062616,5.00,5.00,2.00,5.00,7.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5062624,6.00,5.00,0.00,5.00,6.00,7.50,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5062632,8.00,6.00,5.00,7.00,8.00,7.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5062640,7.00,4.00,3.00,4.00,7.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5062675,9.00,8.00,6.00,7.00,10.00,9.75,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5062683,3.00,5.00,0.00,3.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5062691,5.00,5.00,0.00,4.00,8.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5062705,7.00,7.00,4.00,2.00,4.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5062713,4.00,3.00,2.00,6.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5062721,6.00,7.00,3.00,4.00,5.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5062730,8.00,7.00,7.00,6.00,8.00,9.00,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5062756,6.00,3.00,1.00,5.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5062764,6.00,5.00,6.00,6.00,8.00,6.75,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5062772,9.00,8.00,3.00,7.00,9.00,9.75,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5062780,3.00,6.00,1.00,4.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5062799,7.00,7.00,6.00,7.00,10.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5062802,6.00,5.00,2.00,4.00,7.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5062829,9.00,8.00,8.00,7.00,8.00,11.63,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5062837,7.00,3.00,2.00,4.00,7.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5062845,4.00,4.00,5.00,4.00,6.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5062861,3.00,5.00,1.00,6.00,5.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5062870,7.00,6.00,2.00,6.00,8.00,9.00,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5062888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5062896,4.00,6.00,1.00,3.00,5.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'S'),(20,5062900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5062934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5062942,6.00,4.00,3.00,7.00,8.00,6.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5062969,5.00,8.00,2.00,4.00,4.00,9.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5062977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5062985,3.00,5.00,2.00,3.00,4.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5062993,7.00,7.00,1.00,4.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5063000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5063019,5.00,6.00,4.00,7.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5063027,6.00,6.00,5.00,7.00,8.00,9.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5063035,4.00,2.00,0.00,4.00,6.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5063043,7.00,5.00,0.00,7.00,6.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5063051,7.00,8.00,3.00,6.00,9.00,10.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5063060,8.00,6.00,0.00,7.00,8.00,NULL,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5063078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5063086,6.00,5.00,4.00,4.00,5.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5063094,4.00,3.00,4.00,5.00,5.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5063108,5.00,6.00,2.00,1.00,5.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5063116,9.00,8.00,8.00,8.00,10.00,7.88,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5063124,4.00,5.00,5.00,5.00,6.00,6.00,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5063132,2.00,2.00,3.00,0.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5063140,7.00,5.00,1.00,4.00,7.00,10.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5063159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5063167,7.00,8.00,4.00,7.00,6.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5063175,8.00,6.00,7.00,6.00,10.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5063183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5063191,9.00,6.00,3.00,8.00,8.00,10.50,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5063213,7.00,7.00,2.00,7.00,8.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5063221,2.00,4.00,3.00,5.00,8.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5063248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5063256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5063264,3.00,3.00,0.00,5.00,6.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5063272,6.00,4.00,3.00,5.00,8.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5063280,5.00,5.00,4.00,7.00,6.00,8.25,7.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5063299,6.00,5.00,2.00,6.00,6.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5063302,2.00,4.00,3.00,4.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5063310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5063329,7.00,8.00,1.00,7.00,7.00,10.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5063337,5.00,5.00,1.00,7.00,6.00,7.13,1.00,1.00,8.00,NULL,NULL,NULL,'N'),(20,5063345,9.00,8.00,6.00,6.00,9.00,10.13,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5063353,7.00,6.00,3.00,7.00,4.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5063400,8.00,9.00,5.00,7.00,9.00,10.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5063418,5.00,5.00,6.00,4.00,10.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5063426,7.00,6.00,3.00,7.00,10.00,10.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5063434,5.00,5.00,2.00,6.00,8.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5063442,5.00,8.00,1.00,5.00,9.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5063469,3.00,4.00,1.00,5.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5063485,8.00,6.00,2.00,2.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5063493,5.00,7.00,5.00,5.00,6.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5063507,8.00,5.00,1.00,2.00,7.00,7.50,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5063515,7.00,7.00,6.00,7.00,7.00,9.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5063523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5063540,4.00,4.00,3.00,4.00,4.00,6.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5063558,1.00,6.00,2.00,3.00,6.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5063574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5063590,4.00,8.00,3.00,4.00,4.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5063604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5063612,8.00,6.00,2.00,6.00,5.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5063639,7.00,5.00,7.00,3.00,8.00,9.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5063655,7.00,6.00,3.00,4.00,11.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5063663,6.00,6.00,2.00,5.00,8.00,10.13,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5063671,7.00,5.00,6.00,4.00,9.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5063680,9.00,7.00,8.00,7.00,8.00,10.50,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5063698,6.00,6.00,5.00,7.00,10.00,12.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5063701,8.00,6.00,3.00,6.00,7.00,11.63,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5063728,8.00,8.00,5.00,7.00,7.00,9.38,6.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5063736,7.00,8.00,4.00,6.00,8.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5063744,7.00,6.00,6.00,8.00,10.00,9.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5063752,4.00,6.00,5.00,6.00,8.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5063760,7.00,7.00,2.00,5.00,6.00,9.75,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5063779,3.00,5.00,0.00,6.00,4.00,7.88,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5063787,6.00,6.00,7.00,7.00,11.00,10.13,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5063809,4.00,5.00,3.00,3.00,8.00,10.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5063817,7.00,6.00,2.00,2.00,7.00,7.50,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5063825,5.00,2.00,5.00,7.00,4.00,6.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5063833,7.00,4.00,3.00,7.00,4.00,10.88,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5063841,8.00,9.00,5.00,7.00,10.00,8.63,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5063868,1.00,2.00,1.00,6.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5063884,1.00,3.00,0.00,5.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5063906,4.00,5.00,3.00,6.00,8.00,8.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5063914,1.00,5.00,1.00,4.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5063922,8.00,9.00,7.00,7.00,10.00,14.25,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5063930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5063949,3.00,4.00,2.00,2.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5063957,8.00,6.00,4.00,7.00,5.00,7.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5063965,6.00,6.00,5.00,4.00,6.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5063973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5063981,4.00,6.00,5.00,2.00,6.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5063990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5064007,3.00,7.00,3.00,3.00,4.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5064015,7.00,4.00,4.00,7.00,6.00,6.38,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5064023,7.00,5.00,6.00,6.00,5.00,7.88,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5064031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5064058,8.00,7.00,7.00,7.00,9.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5064066,3.00,7.00,2.00,5.00,4.00,6.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5064074,8.00,8.00,3.00,6.00,10.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5064082,9.00,6.00,9.00,6.00,11.00,8.63,8.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5064090,8.00,7.00,5.00,7.00,8.00,10.13,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5064104,7.00,8.00,4.00,6.00,7.00,9.75,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5064112,4.00,3.00,2.00,6.00,3.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5064120,8.00,7.00,6.00,7.00,10.00,6.75,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5064139,4.00,7.00,7.00,5.00,10.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5064147,7.00,7.00,7.00,7.00,7.00,8.63,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5064171,9.00,6.00,2.00,7.00,6.00,9.00,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5064180,7.00,6.00,2.00,7.00,9.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5064201,4.00,6.00,0.00,4.00,8.00,7.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5064210,4.00,7.00,3.00,5.00,7.00,8.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5064228,4.00,6.00,3.00,4.00,6.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5064236,8.00,6.00,7.00,6.00,7.00,7.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5064244,8.00,8.00,3.00,6.00,10.00,10.88,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5064252,6.00,4.00,1.00,7.00,7.00,10.88,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5064260,4.00,6.00,5.00,6.00,6.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5064279,7.00,6.00,4.00,6.00,9.00,10.13,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5064309,8.00,5.00,4.00,2.00,8.00,9.00,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5064317,7.00,8.00,6.00,6.00,7.00,10.88,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5064325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5064333,9.00,7.00,7.00,7.00,9.00,11.63,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5064341,6.00,7.00,2.00,3.00,7.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5064368,4.00,4.00,2.00,5.00,4.00,5.25,3.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5064376,2.00,7.00,3.00,5.00,7.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5064384,3.00,4.00,2.00,3.00,8.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5064392,9.00,7.00,3.00,7.00,9.00,10.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5064406,7.00,8.00,4.00,4.00,7.00,11.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5064414,5.00,6.00,2.00,7.00,7.00,8.63,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5064422,5.00,0.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(20,5064430,8.00,7.00,6.00,8.00,8.00,9.38,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5064449,5.00,5.00,3.00,6.00,5.00,6.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5064457,5.00,7.00,4.00,5.00,10.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5064465,8.00,6.00,3.00,7.00,11.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5064481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5064490,5.00,7.00,1.00,6.00,7.00,12.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5064503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5064511,9.00,6.00,2.00,6.00,9.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5064520,9.00,8.00,5.00,7.00,10.00,10.88,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5064538,3.00,5.00,1.00,7.00,9.00,7.88,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5064546,9.00,5.00,4.00,7.00,9.00,8.63,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5064562,5.00,6.00,3.00,5.00,4.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5064570,7.00,5.00,4.00,7.00,9.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5064589,5.00,7.00,1.00,6.00,8.00,9.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5064597,8.00,6.00,6.00,6.00,7.00,10.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5064600,5.00,3.00,1.00,2.00,1.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5064627,8.00,8.00,6.00,7.00,9.00,10.88,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5064635,8.00,6.00,4.00,5.00,7.00,9.00,7.00,1.00,8.00,NULL,NULL,NULL,'N'),(20,5064643,7.00,6.00,6.00,6.00,8.00,9.38,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5064651,6.00,6.00,4.00,7.00,8.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5064660,8.00,8.00,6.00,6.00,8.00,11.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5064678,5.00,5.00,0.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5064686,4.00,7.00,0.00,1.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5064694,7.00,4.00,1.00,7.00,7.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5064724,8.00,5.00,3.00,2.00,5.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5064740,9.00,7.00,6.00,7.00,8.00,8.63,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5064759,8.00,6.00,4.00,6.00,8.00,12.38,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5064767,7.00,2.00,2.00,6.00,6.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5064775,8.00,8.00,1.00,7.00,7.00,9.38,1.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5064783,8.00,7.00,7.00,8.00,7.00,9.00,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5064805,6.00,5.00,4.00,7.00,5.00,7.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5064813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5064830,5.00,6.00,3.00,5.00,8.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5064848,5.00,5.00,2.00,5.00,6.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5064856,6.00,6.00,3.00,4.00,8.00,6.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5064864,2.00,4.00,1.00,4.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5064872,7.00,5.00,5.00,7.00,8.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5064899,4.00,8.00,6.00,8.00,5.00,10.13,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5064902,8.00,5.00,1.00,3.00,8.00,7.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5064929,4.00,5.00,0.00,7.00,7.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5064937,5.00,5.00,2.00,7.00,6.00,9.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5064945,7.00,5.00,3.00,4.00,5.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5064953,8.00,4.00,2.00,6.00,9.00,7.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5064961,6.00,5.00,6.00,7.00,6.00,7.13,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5064988,2.00,4.00,1.00,5.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5064996,5.00,6.00,6.00,4.00,8.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5065011,9.00,8.00,7.00,7.00,10.00,9.38,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5065020,8.00,8.00,4.00,7.00,11.00,9.75,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5065038,7.00,6.00,1.00,7.00,6.00,7.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5065046,8.00,3.00,4.00,5.00,8.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5065054,9.00,7.00,3.00,6.00,8.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5065062,3.00,6.00,0.00,3.00,2.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5065070,8.00,6.00,5.00,6.00,6.00,9.75,7.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5065089,7.00,7.00,5.00,7.00,7.00,10.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5065097,2.00,4.00,0.00,4.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5065100,6.00,7.00,1.00,5.00,8.00,11.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5065127,9.00,8.00,7.00,5.00,9.00,8.63,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5065135,2.00,4.00,3.00,5.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5065143,5.00,5.00,2.00,2.00,1.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5065151,9.00,9.00,7.00,6.00,10.00,10.13,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5065160,5.00,6.00,4.00,7.00,5.00,8.25,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5065178,5.00,4.00,1.00,6.00,5.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5065186,8.00,7.00,6.00,6.00,7.00,9.75,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5065208,6.00,5.00,4.00,6.00,7.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5065216,3.00,5.00,3.00,7.00,7.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5065224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5065232,6.00,5.00,1.00,5.00,7.00,6.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5065240,3.00,6.00,0.00,4.00,9.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5065267,6.00,7.00,6.00,7.00,6.00,11.63,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5065275,9.00,7.00,6.00,6.00,10.00,11.25,8.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5065291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5065305,7.00,7.00,4.00,6.00,10.00,11.63,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5065313,4.00,6.00,1.00,5.00,5.00,10.50,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5065321,2.00,7.00,1.00,6.00,7.00,10.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5065330,8.00,5.00,4.00,8.00,6.00,8.25,5.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5065356,7.00,6.00,5.00,6.00,10.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5065364,7.00,8.00,5.00,7.00,10.00,12.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5065372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5065380,5.00,4.00,2.00,5.00,9.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5065402,8.00,8.00,4.00,6.00,9.00,8.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5065410,5.00,5.00,4.00,7.00,7.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5065429,4.00,7.00,0.00,1.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5065437,8.00,5.00,3.00,4.00,5.00,8.63,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5065445,6.00,7.00,5.00,7.00,7.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5065453,8.00,6.00,5.00,6.00,9.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5065461,7.00,8.00,4.00,5.00,8.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5065470,9.00,7.00,4.00,6.00,10.00,11.25,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5065488,2.00,5.00,3.00,3.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'S'),(20,5065526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5065534,4.00,3.00,1.00,5.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5065550,7.00,4.00,5.00,7.00,6.00,6.75,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5065569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5065577,3.00,4.00,3.00,5.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5065585,8.00,7.00,5.00,6.00,9.00,10.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5065593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5065607,7.00,4.00,5.00,3.00,6.00,6.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5065623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5065631,3.00,3.00,2.00,2.00,3.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5065640,7.00,8.00,8.00,5.00,10.00,10.50,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5065666,3.00,4.00,2.00,5.00,4.00,7.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5065674,5.00,5.00,5.00,6.00,8.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5065682,9.00,6.00,5.00,4.00,8.00,6.38,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5065690,7.00,9.00,3.00,5.00,9.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5065704,7.00,8.00,3.00,6.00,8.00,10.88,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5065712,2.00,5.00,1.00,4.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5065739,3.00,5.00,2.00,6.00,9.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5065747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5065755,5.00,5.00,3.00,6.00,7.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5065763,5.00,3.00,1.00,6.00,4.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5065771,6.00,4.00,3.00,1.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5065798,7.00,6.00,6.00,6.00,10.00,9.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5065801,8.00,7.00,4.00,7.00,7.00,10.88,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5065810,7.00,6.00,8.00,7.00,10.00,9.00,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5065828,5.00,6.00,4.00,6.00,10.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5065836,6.00,4.00,1.00,4.00,5.00,7.50,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5065844,5.00,5.00,3.00,6.00,6.00,8.63,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5065860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5065879,1.00,5.00,1.00,5.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5065887,9.00,8.00,7.00,7.00,9.00,11.63,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5065909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5065917,9.00,8.00,3.00,7.00,10.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5065933,4.00,5.00,2.00,3.00,6.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5065941,3.00,2.00,0.00,2.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5065950,5.00,5.00,3.00,6.00,7.00,10.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5065968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5065976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5065984,3.00,3.00,2.00,5.00,6.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5065992,3.00,6.00,1.00,3.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5066000,4.00,5.00,1.00,4.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5066026,5.00,7.00,5.00,5.00,9.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5066034,9.00,7.00,3.00,4.00,9.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5066042,3.00,4.00,1.00,7.00,7.00,9.75,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(20,5066050,9.00,7.00,4.00,7.00,9.00,8.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5066069,6.00,5.00,2.00,5.00,8.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5066077,8.00,7.00,5.00,6.00,7.00,10.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5066085,9.00,8.00,5.00,7.00,8.00,10.13,9.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5066093,8.00,7.00,5.00,6.00,7.00,7.13,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5066107,3.00,4.00,1.00,3.00,8.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5066115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5066131,7.00,9.00,0.00,4.00,7.00,10.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5066140,6.00,7.00,1.00,4.00,6.00,7.88,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5066158,6.00,7.00,3.00,6.00,7.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5066174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5066182,7.00,5.00,2.00,5.00,5.00,10.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5066190,4.00,5.00,0.00,4.00,7.00,7.13,2.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5066212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5066220,9.00,8.00,9.00,6.00,10.00,10.88,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(20,5066239,8.00,7.00,7.00,5.00,9.00,7.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5066247,8.00,4.00,2.00,5.00,10.00,12.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5066255,7.00,7.00,5.00,6.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5066263,5.00,5.00,2.00,3.00,5.00,8.25,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5066280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5066298,5.00,7.00,0.00,7.00,7.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5066310,6.00,5.00,1.00,2.00,6.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5066328,9.00,8.00,1.00,4.00,5.00,11.63,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5066336,8.00,8.00,7.00,6.00,9.00,9.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5066344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5066379,3.00,7.00,3.00,5.00,9.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5066387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5066409,6.00,6.00,2.00,6.00,6.00,6.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5066417,8.00,6.00,4.00,4.00,6.00,10.88,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5066425,7.00,4.00,3.00,6.00,6.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5066433,7.00,4.00,2.00,5.00,6.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5066441,8.00,7.00,7.00,7.00,9.00,9.38,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5066450,7.00,8.00,1.00,6.00,9.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5066468,8.00,7.00,7.00,5.00,10.00,9.38,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5066476,4.00,5.00,3.00,5.00,5.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5066484,6.00,5.00,3.00,7.00,5.00,6.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5066492,5.00,7.00,2.00,5.00,7.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5066506,7.00,7.00,4.00,6.00,6.00,10.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5066514,6.00,7.00,9.00,7.00,9.00,7.50,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5066522,3.00,6.00,2.00,6.00,7.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5066530,3.00,3.00,5.00,4.00,4.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5066549,3.00,5.00,0.00,3.00,7.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5066557,8.00,6.00,2.00,5.00,9.00,9.00,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5066565,5.00,5.00,1.00,3.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5066581,8.00,9.00,9.00,7.00,10.00,9.00,9.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5066590,7.00,8.00,3.00,6.00,7.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5066603,7.00,7.00,0.00,6.00,8.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5066611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5066620,9.00,7.00,2.00,7.00,7.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5066638,7.00,7.00,5.00,6.00,10.00,9.00,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5066654,0.00,3.00,2.00,2.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5066689,5.00,3.00,2.00,2.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5066697,5.00,5.00,2.00,3.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5066700,9.00,8.00,7.00,5.00,7.00,9.00,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5066719,4.00,6.00,3.00,5.00,9.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5066727,7.00,5.00,1.00,7.00,6.00,9.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5066735,4.00,4.00,1.00,1.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5066743,6.00,8.00,2.00,4.00,5.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5066751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5066760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5066778,4.00,6.00,2.00,1.00,6.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5066786,1.00,5.00,0.00,0.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5066808,9.00,8.00,6.00,8.00,11.00,8.63,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5066824,8.00,8.00,6.00,7.00,8.00,8.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5066832,7.00,8.00,4.00,6.00,9.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5066840,6.00,5.00,3.00,6.00,8.00,NULL,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5066859,8.00,7.00,5.00,4.00,9.00,11.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5066875,7.00,5.00,2.00,5.00,9.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5066883,4.00,4.00,1.00,6.00,4.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5066891,7.00,7.00,3.00,4.00,6.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5066905,7.00,7.00,5.00,4.00,8.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5066913,5.00,8.00,5.00,4.00,7.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5066921,2.00,5.00,1.00,1.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5066948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5066956,4.00,7.00,1.00,7.00,7.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5066964,6.00,7.00,3.00,6.00,8.00,8.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5066972,6.00,3.00,4.00,7.00,5.00,9.38,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5066999,4.00,6.00,3.00,6.00,7.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5067006,9.00,8.00,8.00,7.00,8.00,10.13,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5067014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067030,9.00,6.00,4.00,7.00,8.00,12.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5067049,9.00,7.00,7.00,6.00,9.00,8.25,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5067057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067065,3.00,5.00,0.00,5.00,6.00,7.50,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5067073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067081,9.00,7.00,6.00,5.00,8.00,8.63,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5067090,4.00,6.00,2.00,7.00,9.00,10.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5067103,4.00,2.00,0.00,4.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5067111,7.00,7.00,5.00,8.00,6.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5067138,9.00,9.00,6.00,7.00,11.00,9.38,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5067146,9.00,6.00,2.00,8.00,10.00,11.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5067154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067189,6.00,7.00,4.00,7.00,9.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5067197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067200,4.00,2.00,1.00,6.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5067219,8.00,7.00,3.00,5.00,6.00,10.13,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5067235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067243,8.00,6.00,6.00,6.00,7.00,10.13,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5067251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067294,1.00,3.00,1.00,2.00,1.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5067308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067332,5.00,0.00,1.00,7.00,4.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5067340,8.00,5.00,4.00,7.00,9.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5067359,8.00,6.00,5.00,7.00,7.00,11.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5067367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067375,0.00,5.00,1.00,1.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5067383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067391,6.00,6.00,2.00,4.00,5.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5067405,5.00,7.00,5.00,6.00,7.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5067413,6.00,4.00,0.00,4.00,5.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5067421,7.00,7.00,4.00,7.00,9.00,7.50,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5067456,8.00,7.00,5.00,7.00,8.00,10.50,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5067464,3.00,4.00,1.00,7.00,7.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5067472,9.00,8.00,8.00,7.00,10.00,8.25,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5067480,5.00,5.00,0.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5067499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067502,3.00,5.00,4.00,2.00,6.00,7.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5067510,1.00,3.00,1.00,2.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5067529,9.00,6.00,4.00,7.00,8.00,10.13,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5067537,8.00,6.00,5.00,5.00,10.00,9.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5067553,7.00,6.00,3.00,7.00,7.00,7.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5067561,3.00,4.00,2.00,3.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5067570,7.00,7.00,4.00,5.00,6.00,10.13,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5067588,5.00,6.00,3.00,6.00,8.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5067596,4.00,5.00,2.00,5.00,4.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5067600,4.00,6.00,1.00,5.00,7.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5067618,6.00,6.00,2.00,7.00,8.00,7.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5067626,7.00,5.00,3.00,7.00,6.00,7.13,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5067634,5.00,5.00,1.00,4.00,5.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5067642,6.00,8.00,1.00,7.00,9.00,10.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5067650,5.00,5.00,1.00,6.00,4.00,7.50,3.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5067669,4.00,7.00,2.00,7.00,7.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5067677,6.00,3.00,3.00,5.00,8.00,6.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5067685,9.00,5.00,6.00,7.00,10.00,9.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5067693,9.00,6.00,1.00,6.00,7.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5067707,3.00,3.00,1.00,1.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5067715,8.00,6.00,6.00,5.00,8.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5067723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067740,4.00,5.00,3.00,1.00,4.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5067758,9.00,8.00,7.00,8.00,9.00,7.88,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5067774,8.00,7.00,7.00,6.00,10.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5067782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067820,6.00,8.00,7.00,7.00,10.00,6.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5067839,3.00,6.00,2.00,4.00,9.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5067847,3.00,2.00,2.00,3.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5067855,7.00,6.00,2.00,5.00,9.00,8.25,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5067871,8.00,7.00,4.00,6.00,7.00,6.00,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5067880,7.00,5.00,3.00,6.00,6.00,9.38,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5067898,6.00,8.00,6.00,6.00,7.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5067901,2.00,2.00,1.00,2.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5067910,5.00,8.00,4.00,7.00,8.00,9.38,6.00,6.00,4.00,NULL,NULL,NULL,'S'),(20,5067928,7.00,9.00,4.00,8.00,9.00,10.13,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5067936,9.00,7.00,5.00,7.00,8.00,9.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5067944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067952,8.00,6.00,4.00,5.00,8.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5067960,4.00,5.00,1.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5067979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5067995,8.00,6.00,0.00,6.00,8.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5068002,7.00,6.00,7.00,7.00,7.00,8.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5068037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5068045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5068053,2.00,4.00,3.00,2.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5068061,8.00,5.00,1.00,7.00,8.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5068070,6.00,7.00,3.00,6.00,6.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5068088,9.00,9.00,5.00,4.00,7.00,7.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5068096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5068100,9.00,7.00,2.00,5.00,6.00,8.25,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5068118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5068126,8.00,7.00,5.00,8.00,9.00,7.50,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5068142,6.00,5.00,5.00,8.00,9.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5068150,8.00,8.00,5.00,7.00,9.00,9.75,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5068177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5068185,8.00,6.00,4.00,6.00,8.00,11.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5068193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5068207,9.00,6.00,1.00,6.00,9.00,7.88,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5068215,7.00,8.00,5.00,6.00,8.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5068223,7.00,5.00,1.00,5.00,4.00,11.25,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5068231,7.00,7.00,4.00,7.00,8.00,8.25,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5068240,8.00,7.00,3.00,5.00,5.00,NULL,4.00,4.00,6.00,NULL,NULL,'S','N'),(20,5068258,9.00,6.00,6.00,5.00,6.00,8.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5068266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5068274,9.00,3.00,1.00,7.00,7.00,10.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5068290,8.00,5.00,3.00,4.00,6.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5068304,6.00,6.00,4.00,1.00,5.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5068312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5068320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5068347,7.00,7.00,7.00,6.00,6.00,8.63,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5068355,2.00,3.00,2.00,3.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5068363,2.00,3.00,2.00,4.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5068371,7.00,5.00,4.00,5.00,4.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5068398,4.00,6.00,4.00,5.00,8.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5068401,8.00,8.00,3.00,7.00,10.00,10.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5068410,9.00,6.00,6.00,6.00,9.00,8.63,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5068428,6.00,4.00,7.00,7.00,3.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5068436,5.00,5.00,3.00,6.00,7.00,9.38,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5068444,3.00,6.00,3.00,3.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5068452,5.00,4.00,1.00,3.00,6.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5068460,9.00,9.00,7.00,8.00,11.00,12.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5068479,6.00,4.00,2.00,3.00,5.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5068487,7.00,8.00,1.00,6.00,6.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5068495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5068509,9.00,7.00,8.00,7.00,9.00,13.50,8.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5068517,9.00,9.00,7.00,7.00,9.00,11.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5068525,3.00,6.00,0.00,4.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5068533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5068541,4.00,4.00,1.00,6.00,4.00,8.25,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5068550,6.00,7.00,6.00,5.00,5.00,6.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5068568,9.00,8.00,6.00,7.00,9.00,9.75,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5068576,8.00,4.00,2.00,7.00,9.00,7.13,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(20,5068584,4.00,6.00,4.00,6.00,3.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5068592,7.00,6.00,0.00,4.00,5.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5068606,5.00,4.00,0.00,4.00,6.00,7.13,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5068614,7.00,8.00,3.00,7.00,8.00,9.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5068622,4.00,6.00,4.00,4.00,7.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5068630,3.00,5.00,1.00,2.00,6.00,6.38,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5068649,9.00,7.00,5.00,5.00,9.00,7.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5068657,5.00,6.00,4.00,5.00,7.00,6.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5068665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5068673,9.00,8.00,8.00,7.00,9.00,8.25,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5068681,4.00,6.00,0.00,4.00,6.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5068690,8.00,7.00,0.00,7.00,10.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5068703,9.00,8.00,1.00,7.00,9.00,8.63,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5068720,3.00,5.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5068738,1.00,2.00,0.00,4.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5068746,5.00,5.00,3.00,3.00,5.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5068754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5068762,8.00,8.00,5.00,7.00,10.00,10.88,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5068770,4.00,4.00,3.00,1.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5068789,2.00,5.00,3.00,4.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5068797,9.00,9.00,7.00,7.00,9.00,9.75,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5068800,3.00,4.00,4.00,4.00,4.00,7.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5068827,6.00,5.00,4.00,3.00,4.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5068835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5068843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5068851,5.00,8.00,3.00,7.00,7.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5068860,8.00,7.00,4.00,6.00,10.00,8.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5068886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5068908,4.00,6.00,3.00,6.00,4.00,9.38,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5068916,8.00,8.00,3.00,7.00,10.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5068924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5068940,9.00,6.00,6.00,7.00,7.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5068959,5.00,6.00,1.00,3.00,9.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5068967,8.00,5.00,3.00,4.00,6.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5068975,7.00,4.00,1.00,5.00,3.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5068983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5069017,1.00,1.00,2.00,2.00,4.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5069025,5.00,7.00,4.00,5.00,7.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5069033,8.00,7.00,5.00,5.00,5.00,12.00,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5069041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5069050,3.00,4.00,2.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5069068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5069076,4.00,7.00,3.00,2.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5069084,8.00,9.00,8.00,8.00,10.00,10.50,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5069092,4.00,5.00,3.00,5.00,7.00,10.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5069106,9.00,6.00,3.00,6.00,7.00,9.38,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5069114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5069122,5.00,2.00,1.00,5.00,4.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5069130,6.00,4.00,4.00,6.00,11.00,11.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5069149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5069157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5069165,3.00,8.00,4.00,5.00,8.00,8.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5069173,6.00,6.00,1.00,6.00,9.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5069181,6.00,5.00,5.00,6.00,6.00,8.25,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5069190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5069211,4.00,7.00,3.00,7.00,7.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5069220,3.00,5.00,2.00,5.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5069238,7.00,7.00,5.00,7.00,9.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5069254,4.00,3.00,1.00,4.00,7.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5069262,5.00,6.00,3.00,7.00,6.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5069289,5.00,6.00,6.00,5.00,8.00,9.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5069297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5069300,6.00,6.00,1.00,3.00,8.00,9.00,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5069319,6.00,0.00,2.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5069327,5.00,7.00,1.00,7.00,7.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5069335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5069343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5069351,8.00,7.00,7.00,6.00,9.00,9.00,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5069360,3.00,4.00,0.00,2.00,4.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5069378,3.00,6.00,2.00,7.00,7.00,10.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5069386,3.00,5.00,1.00,4.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5069394,6.00,6.00,4.00,4.00,6.00,10.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5069408,4.00,7.00,0.00,6.00,8.00,10.13,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5069416,5.00,5.00,0.00,7.00,8.00,11.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5069424,7.00,6.00,4.00,6.00,7.00,10.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5069432,5.00,6.00,3.00,4.00,6.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5069440,4.00,5.00,3.00,5.00,9.00,9.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5069459,1.00,2.00,3.00,5.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5069467,5.00,4.00,2.00,5.00,6.00,10.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5069475,7.00,7.00,5.00,6.00,8.00,8.63,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5069483,7.00,5.00,3.00,7.00,7.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5069491,4.00,5.00,2.00,2.00,4.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5069513,4.00,7.00,1.00,4.00,4.00,6.00,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5069521,7.00,4.00,5.00,7.00,5.00,7.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5069530,4.00,5.00,2.00,6.00,7.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5069548,7.00,7.00,1.00,5.00,7.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5069556,4.00,5.00,4.00,7.00,6.00,2.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5069564,4.00,6.00,5.00,5.00,8.00,11.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5069572,3.00,7.00,0.00,4.00,4.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5069580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5069599,3.00,7.00,3.00,5.00,4.00,9.38,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5069602,3.00,3.00,0.00,4.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5069629,1.00,3.00,2.00,4.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5069645,9.00,7.00,7.00,7.00,10.00,11.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5069653,9.00,7.00,8.00,7.00,6.00,9.75,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5069661,3.00,5.00,4.00,2.00,5.00,6.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5069670,3.00,5.00,0.00,6.00,4.00,5.25,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5069688,3.00,4.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5069696,5.00,5.00,3.00,5.00,7.00,8.25,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5069700,8.00,7.00,7.00,7.00,8.00,10.13,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5069718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5069726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5069734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5069750,7.00,6.00,1.00,5.00,7.00,7.88,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5069769,8.00,4.00,4.00,5.00,7.00,7.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5069777,4.00,3.00,0.00,2.00,6.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5069793,6.00,4.00,2.00,7.00,9.00,4.88,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5069815,7.00,7.00,3.00,4.00,6.00,8.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5069831,5.00,2.00,4.00,2.00,5.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5069840,4.00,5.00,2.00,3.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5069858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5069866,5.00,5.00,2.00,3.00,6.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5069874,9.00,7.00,5.00,4.00,8.00,8.63,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5069882,7.00,7.00,2.00,7.00,10.00,12.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5069890,4.00,5.00,0.00,3.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5069904,7.00,8.00,3.00,7.00,10.00,10.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5069920,7.00,7.00,5.00,7.00,6.00,9.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5069939,6.00,6.00,2.00,1.00,6.00,6.75,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5069947,6.00,7.00,2.00,6.00,7.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5069955,7.00,5.00,1.00,5.00,5.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5069963,3.00,4.00,1.00,2.00,8.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5069971,7.00,6.00,7.00,7.00,10.00,10.13,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5069980,4.00,4.00,2.00,6.00,6.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5069998,4.00,4.00,3.00,6.00,7.00,11.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5070007,7.00,6.00,2.00,6.00,6.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5070015,8.00,9.00,7.00,7.00,8.00,11.25,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5070023,9.00,7.00,4.00,7.00,10.00,11.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5070031,9.00,8.00,1.00,7.00,9.00,9.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5070040,5.00,6.00,2.00,3.00,6.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5070058,8.00,7.00,6.00,7.00,10.00,9.38,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5070066,6.00,6.00,5.00,7.00,7.00,10.13,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5070074,6.00,6.00,0.00,6.00,9.00,9.00,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5070090,9.00,7.00,2.00,7.00,9.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5070104,1.00,3.00,3.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5070120,9.00,9.00,6.00,8.00,10.00,9.75,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5070139,7.00,8.00,4.00,4.00,9.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5070147,8.00,6.00,6.00,6.00,7.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5070163,7.00,7.00,7.00,5.00,7.00,11.25,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5070171,8.00,6.00,4.00,7.00,8.00,9.38,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5070180,2.00,3.00,1.00,2.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5070198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5070201,3.00,6.00,2.00,4.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5070210,7.00,7.00,1.00,5.00,7.00,10.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5070228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5070236,5.00,6.00,0.00,3.00,5.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5070244,2.00,3.00,1.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5070252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5070260,7.00,7.00,1.00,4.00,6.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5070279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5070287,9.00,4.00,1.00,7.00,7.00,11.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5070295,9.00,8.00,6.00,7.00,9.00,10.88,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5070309,8.00,7.00,5.00,6.00,6.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5070325,9.00,7.00,4.00,7.00,9.00,9.38,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5070333,8.00,7.00,6.00,6.00,10.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5070341,8.00,9.00,6.00,7.00,9.00,9.38,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5070350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5070368,2.00,6.00,1.00,3.00,5.00,10.50,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5070376,8.00,5.00,3.00,6.00,5.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5070384,5.00,3.00,1.00,4.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5070430,8.00,7.00,3.00,5.00,9.00,8.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5070449,3.00,6.00,2.00,6.00,5.00,6.38,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5070457,6.00,5.00,0.00,3.00,6.00,8.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5070465,6.00,4.00,2.00,4.00,8.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5070481,6.00,5.00,2.00,7.00,5.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5070490,3.00,5.00,0.00,2.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5070503,8.00,7.00,7.00,6.00,9.00,8.25,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5070511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5070538,6.00,7.00,4.00,7.00,6.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5070546,7.00,6.00,7.00,7.00,5.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5070554,6.00,7.00,5.00,5.00,7.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5070562,4.00,4.00,3.00,4.00,4.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5070570,4.00,6.00,4.00,7.00,7.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5070589,2.00,3.00,1.00,5.00,6.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5070597,3.00,4.00,0.00,4.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5070600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5070627,2.00,3.00,0.00,5.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5070635,5.00,8.00,1.00,6.00,8.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5070643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5070651,7.00,6.00,5.00,4.00,7.00,8.63,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5070660,6.00,6.00,3.00,6.00,7.00,6.75,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5070686,2.00,0.00,1.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5070694,7.00,7.00,2.00,7.00,9.00,10.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5070708,4.00,4.00,1.00,6.00,5.00,0.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5070716,5.00,5.00,0.00,1.00,5.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5070724,7.00,6.00,3.00,7.00,7.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5070732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5070740,5.00,6.00,4.00,4.00,10.00,10.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5070759,5.00,7.00,4.00,3.00,5.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5070767,9.00,7.00,7.00,7.00,11.00,8.63,5.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5070775,7.00,4.00,2.00,8.00,7.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5070783,9.00,7.00,8.00,6.00,9.00,7.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5070805,6.00,4.00,4.00,5.00,8.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5070848,7.00,5.00,1.00,7.00,9.00,12.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5070864,3.00,3.00,4.00,4.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5070872,3.00,5.00,2.00,7.00,4.00,7.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5070880,9.00,7.00,5.00,6.00,9.00,8.63,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5070899,8.00,7.00,4.00,7.00,8.00,10.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5070902,5.00,7.00,3.00,5.00,5.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5070910,8.00,5.00,3.00,7.00,8.00,12.38,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5070929,7.00,4.00,6.00,5.00,6.00,7.13,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5070937,4.00,4.00,2.00,5.00,4.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5070953,3.00,5.00,1.00,2.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5070961,5.00,6.00,4.00,4.00,7.00,NULL,1.00,3.00,2.00,NULL,NULL,'S','N'),(20,5070970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5070996,7.00,5.00,1.00,6.00,8.00,10.88,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5071011,6.00,6.00,0.00,7.00,4.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5071020,3.00,3.00,0.00,4.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5071038,4.00,9.00,2.00,2.00,6.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5071046,1.00,5.00,2.00,4.00,5.00,7.88,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5071054,9.00,7.00,5.00,6.00,10.00,9.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5071062,6.00,5.00,3.00,7.00,7.00,7.88,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5071070,3.00,3.00,3.00,3.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5071097,5.00,4.00,4.00,5.00,4.00,11.25,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5071100,5.00,5.00,1.00,7.00,5.00,9.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5071119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5071135,1.00,4.00,8.00,4.00,6.00,7.88,5.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5071151,5.00,7.00,2.00,7.00,9.00,7.88,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5071160,9.00,7.00,7.00,7.00,10.00,9.38,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5071178,5.00,6.00,5.00,5.00,5.00,11.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5071194,7.00,5.00,1.00,5.00,5.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5071208,7.00,8.00,5.00,5.00,8.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5071224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5071232,5.00,6.00,4.00,3.00,8.00,9.75,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5071240,3.00,6.00,2.00,5.00,7.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5071259,2.00,6.00,3.00,3.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5071267,4.00,6.00,4.00,2.00,6.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5071275,4.00,3.00,0.00,3.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5071283,7.00,8.00,4.00,4.00,8.00,9.38,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5071291,3.00,6.00,1.00,3.00,4.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5071305,6.00,7.00,2.00,6.00,7.00,6.38,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5071313,2.00,5.00,2.00,7.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5071330,9.00,7.00,1.00,6.00,9.00,9.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5071348,8.00,5.00,6.00,7.00,8.00,6.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5071356,4.00,7.00,2.00,3.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5071364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5071372,6.00,4.00,4.00,4.00,9.00,10.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5071380,2.00,3.00,0.00,1.00,2.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5071402,1.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5071410,7.00,8.00,0.00,7.00,8.00,10.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5071429,4.00,6.00,3.00,6.00,8.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5071437,8.00,4.00,5.00,6.00,7.00,9.38,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5071445,4.00,5.00,2.00,4.00,6.00,7.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5071461,7.00,5.00,5.00,5.00,5.00,8.25,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5071470,5.00,6.00,3.00,6.00,6.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5071488,6.00,7.00,2.00,4.00,8.00,10.13,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5071496,5.00,5.00,2.00,4.00,5.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5071500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5071518,6.00,6.00,1.00,4.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5071526,7.00,5.00,6.00,7.00,8.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5071534,7.00,0.00,5.00,7.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5071542,5.00,6.00,2.00,6.00,8.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5071550,7.00,7.00,4.00,6.00,8.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5071585,7.00,7.00,4.00,1.00,4.00,4.50,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5071593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5071615,3.00,4.00,4.00,5.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5071640,4.00,4.00,1.00,5.00,8.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5071658,7.00,6.00,5.00,5.00,6.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5071674,5.00,5.00,1.00,3.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5071682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5071712,7.00,6.00,3.00,5.00,8.00,9.38,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5071739,5.00,6.00,1.00,6.00,7.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5071747,6.00,7.00,2.00,4.00,5.00,11.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5071755,8.00,7.00,4.00,7.00,8.00,9.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5071763,6.00,6.00,1.00,3.00,7.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5071771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5071798,3.00,6.00,1.00,7.00,6.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5071801,8.00,8.00,3.00,5.00,8.00,8.63,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5071810,4.00,2.00,1.00,1.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5071828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5071836,7.00,7.00,1.00,7.00,8.00,9.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5071852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5071860,4.00,5.00,2.00,3.00,4.00,6.00,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5071879,8.00,9.00,4.00,6.00,9.00,6.75,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5071887,9.00,7.00,5.00,7.00,10.00,9.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5071895,3.00,5.00,3.00,4.00,6.00,7.13,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5071909,6.00,8.00,3.00,6.00,8.00,10.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5071925,6.00,6.00,5.00,4.00,8.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5071941,5.00,2.00,1.00,0.00,4.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5071950,7.00,7.00,3.00,7.00,9.00,6.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5071968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5071976,1.00,3.00,2.00,3.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5071984,5.00,7.00,1.00,4.00,6.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5071992,9.00,5.00,4.00,7.00,7.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5072000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5072034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5072042,4.00,2.00,1.00,2.00,6.00,9.75,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5072050,6.00,6.00,1.00,3.00,5.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5072069,6.00,5.00,1.00,6.00,6.00,7.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5072085,7.00,3.00,0.00,4.00,6.00,6.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5072093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5072107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5072123,4.00,6.00,4.00,5.00,8.00,6.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5072131,3.00,2.00,0.00,5.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5072158,4.00,5.00,2.00,5.00,9.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5072166,6.00,7.00,4.00,5.00,5.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5072174,6.00,7.00,4.00,7.00,11.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5072182,2.00,2.00,0.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5072190,3.00,8.00,0.00,4.00,5.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5072204,5.00,7.00,3.00,6.00,8.00,10.13,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5072220,8.00,7.00,4.00,4.00,9.00,9.75,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5072239,4.00,5.00,3.00,6.00,6.00,10.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5072247,3.00,6.00,4.00,4.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5072255,6.00,5.00,4.00,4.00,7.00,NULL,3.00,2.00,5.00,NULL,NULL,'S','N'),(20,5072263,9.00,6.00,4.00,6.00,8.00,9.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5072280,6.00,8.00,1.00,7.00,7.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5072298,4.00,5.00,1.00,4.00,6.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5072310,6.00,7.00,6.00,7.00,8.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5072328,9.00,8.00,6.00,6.00,5.00,9.38,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5072344,4.00,6.00,3.00,5.00,9.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5072360,5.00,3.00,4.00,5.00,9.00,10.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5072379,9.00,5.00,3.00,7.00,9.00,10.13,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5072387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5072409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5072417,6.00,3.00,1.00,0.00,1.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5072425,8.00,6.00,4.00,5.00,8.00,10.13,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(20,5072433,6.00,6.00,0.00,4.00,7.00,10.88,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5072450,6.00,6.00,2.00,5.00,7.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5072476,5.00,7.00,4.00,4.00,9.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5072484,0.00,5.00,0.00,0.00,0.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5072506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5072530,5.00,5.00,3.00,3.00,5.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5072549,3.00,2.00,2.00,3.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5072565,8.00,4.00,4.00,3.00,5.00,7.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5072573,4.00,4.00,2.00,4.00,5.00,7.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5072581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5072590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5072603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5072611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5072646,3.00,6.00,3.00,4.00,10.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5072654,8.00,6.00,1.00,3.00,8.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5072662,3.00,4.00,0.00,5.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5072670,4.00,7.00,4.00,5.00,7.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5072689,9.00,9.00,2.00,7.00,8.00,8.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5072697,4.00,3.00,1.00,7.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5072700,6.00,4.00,3.00,7.00,8.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5072727,1.00,5.00,1.00,2.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5072735,4.00,6.00,3.00,3.00,4.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5072743,6.00,4.00,4.00,4.00,5.00,7.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5072760,5.00,4.00,3.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5072786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5072794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5072808,5.00,6.00,3.00,5.00,7.00,7.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5072816,7.00,5.00,3.00,6.00,5.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5072824,3.00,5.00,4.00,2.00,4.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5072832,3.00,6.00,2.00,3.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5072840,7.00,7.00,7.00,6.00,8.00,10.13,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5072867,4.00,6.00,2.00,6.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5072883,9.00,5.00,7.00,8.00,8.00,10.13,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5072891,1.00,2.00,3.00,4.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5072905,8.00,7.00,7.00,7.00,8.00,6.38,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5072921,3.00,3.00,0.00,1.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5072930,6.00,6.00,2.00,3.00,5.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5072948,5.00,7.00,4.00,6.00,11.00,3.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5072956,5.00,5.00,3.00,2.00,5.00,6.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5072964,2.00,7.00,2.00,4.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5072972,4.00,0.00,1.00,5.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5072980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073014,6.00,7.00,2.00,6.00,10.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5073022,5.00,5.00,1.00,5.00,7.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5073030,8.00,9.00,7.00,7.00,10.00,12.38,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5073049,8.00,4.00,3.00,4.00,6.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5073057,6.00,4.00,2.00,7.00,6.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5073065,1.00,4.00,0.00,4.00,8.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5073081,6.00,7.00,5.00,4.00,7.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5073090,6.00,7.00,3.00,5.00,8.00,8.63,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5073103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073120,7.00,2.00,2.00,5.00,5.00,7.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5073138,7.00,6.00,0.00,4.00,7.00,6.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5073146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073162,5.00,5.00,1.00,5.00,5.00,7.50,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5073170,7.00,5.00,3.00,5.00,10.00,11.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5073189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073197,8.00,7.00,7.00,7.00,9.00,7.88,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5073200,6.00,6.00,5.00,6.00,6.00,8.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5073219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073251,5.00,8.00,1.00,7.00,5.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5073260,7.00,6.00,2.00,7.00,6.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5073278,8.00,8.00,3.00,6.00,6.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5073286,7.00,6.00,2.00,5.00,9.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5073294,1.00,6.00,3.00,1.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5073308,8.00,6.00,2.00,4.00,8.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5073324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073332,6.00,5.00,3.00,6.00,6.00,7.50,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5073340,8.00,7.00,6.00,3.00,10.00,8.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5073359,8.00,7.00,5.00,7.00,10.00,10.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5073375,4.00,6.00,2.00,7.00,5.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5073383,6.00,7.00,1.00,4.00,6.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5073391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073413,4.00,3.00,0.00,4.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5073421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073430,5.00,3.00,1.00,5.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5073464,7.00,7.00,5.00,4.00,6.00,9.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5073480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073502,6.00,6.00,2.00,6.00,8.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5073529,6.00,4.00,1.00,7.00,5.00,7.13,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5073537,3.00,3.00,0.00,4.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5073545,9.00,8.00,7.00,5.00,9.00,9.38,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5073553,4.00,3.00,0.00,1.00,8.00,9.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5073561,4.00,3.00,3.00,6.00,5.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5073570,6.00,7.00,0.00,4.00,8.00,7.13,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5073588,8.00,5.00,3.00,6.00,7.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5073596,6.00,5.00,3.00,7.00,6.00,7.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5073600,8.00,6.00,8.00,7.00,7.00,4.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5073618,2.00,5.00,2.00,7.00,6.00,9.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5073626,7.00,5.00,1.00,5.00,6.00,8.25,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5073634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073642,7.00,8.00,4.00,7.00,9.00,8.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5073650,5.00,4.00,0.00,5.00,8.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5073669,6.00,6.00,4.00,4.00,7.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5073685,3.00,5.00,1.00,3.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5073693,3.00,5.00,2.00,5.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5073715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073723,2.00,7.00,2.00,4.00,7.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5073731,7.00,7.00,9.00,7.00,10.00,9.38,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5073740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073758,7.00,5.00,5.00,6.00,8.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5073766,4.00,7.00,2.00,5.00,9.00,8.63,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5073774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073790,5.00,7.00,5.00,7.00,10.00,10.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5073804,8.00,6.00,5.00,6.00,9.00,10.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5073820,2.00,5.00,0.00,5.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5073839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073847,7.00,9.00,1.00,6.00,7.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5073863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073871,3.00,4.00,2.00,6.00,8.00,9.38,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5073880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073910,9.00,9.00,7.00,7.00,11.00,10.13,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5073928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073936,4.00,7.00,1.00,6.00,6.00,4.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5073944,4.00,6.00,2.00,3.00,7.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5073952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5073960,1.00,0.00,1.00,1.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5073979,4.00,3.00,1.00,4.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5074002,6.00,7.00,1.00,6.00,5.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5074010,3.00,5.00,1.00,5.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5074029,1.00,2.00,1.00,1.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5074037,8.00,7.00,6.00,5.00,9.00,8.25,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5074053,6.00,6.00,1.00,7.00,5.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5074088,6.00,7.00,3.00,3.00,6.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5074100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5074118,7.00,6.00,0.00,6.00,6.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5074126,5.00,4.00,4.00,3.00,5.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5074134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5074142,4.00,4.00,0.00,2.00,7.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5074169,8.00,8.00,5.00,8.00,6.00,8.63,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5074177,6.00,6.00,1.00,4.00,5.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5074185,3.00,4.00,1.00,3.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5074193,2.00,3.00,2.00,4.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5074207,7.00,7.00,2.00,7.00,8.00,9.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5074223,4.00,6.00,2.00,2.00,6.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5074240,7.00,6.00,1.00,6.00,7.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5074258,1.00,5.00,0.00,6.00,8.00,10.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5074266,6.00,5.00,1.00,6.00,7.00,10.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5074274,5.00,3.00,1.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5074282,5.00,6.00,5.00,5.00,4.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5074290,6.00,7.00,7.00,6.00,9.00,9.00,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5074304,2.00,3.00,2.00,4.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5074312,4.00,7.00,2.00,2.00,3.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5074339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5074347,2.00,1.00,0.00,1.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5074363,7.00,7.00,4.00,5.00,7.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5074371,4.00,6.00,4.00,7.00,6.00,9.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5074380,9.00,9.00,5.00,5.00,9.00,8.25,3.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5074398,5.00,4.00,5.00,6.00,7.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5074401,9.00,9.00,3.00,7.00,8.00,9.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5074410,6.00,7.00,2.00,7.00,8.00,10.88,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5074436,3.00,7.00,0.00,5.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5074444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5074452,7.00,5.00,6.00,7.00,8.00,9.00,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5074479,5.00,3.00,2.00,2.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5074487,5.00,7.00,3.00,2.00,7.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5074495,7.00,7.00,6.00,7.00,9.00,7.50,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5074509,9.00,7.00,6.00,7.00,9.00,10.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5074517,7.00,5.00,3.00,5.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5074525,0.00,2.00,0.00,4.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5074533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5074541,3.00,4.00,0.00,0.00,7.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5074550,7.00,6.00,5.00,6.00,8.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5074568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5074576,5.00,4.00,4.00,6.00,7.00,9.00,4.00,2.00,4.00,NULL,NULL,NULL,'N');
INSERT INTO ponto_candidato VALUES (20,5074584,3.00,1.00,2.00,5.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5074592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5074606,8.00,9.00,5.00,7.00,9.00,10.13,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5074614,8.00,7.00,6.00,7.00,5.00,7.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5074622,6.00,5.00,0.00,7.00,7.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5074630,8.00,9.00,6.00,5.00,7.00,8.25,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5074649,6.00,5.00,1.00,1.00,7.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5074657,4.00,4.00,0.00,5.00,4.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5074673,3.00,3.00,0.00,3.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5074681,5.00,5.00,1.00,3.00,6.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5074711,1.00,6.00,1.00,4.00,4.00,6.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5074720,3.00,5.00,0.00,2.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5074738,8.00,8.00,4.00,7.00,8.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5074746,6.00,5.00,4.00,3.00,8.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5074754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5074762,4.00,4.00,2.00,4.00,6.00,4.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5074770,8.00,7.00,3.00,6.00,7.00,7.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5074789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5074797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5074800,8.00,6.00,1.00,7.00,6.00,7.13,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5074827,7.00,5.00,3.00,5.00,9.00,6.00,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5074835,8.00,4.00,5.00,7.00,6.00,8.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5074843,7.00,7.00,4.00,6.00,7.00,9.00,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5074851,1.00,5.00,1.00,1.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5074860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5074878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5074886,4.00,6.00,1.00,4.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5074894,7.00,8.00,5.00,8.00,9.00,9.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5074908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5074916,4.00,7.00,2.00,5.00,7.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5074924,8.00,7.00,7.00,4.00,9.00,10.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5074932,6.00,7.00,6.00,7.00,7.00,9.38,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5074940,9.00,6.00,4.00,6.00,6.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5074983,2.00,5.00,1.00,4.00,7.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5074991,7.00,5.00,5.00,7.00,8.00,9.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5075009,7.00,7.00,1.00,5.00,4.00,9.38,0.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5075017,8.00,6.00,3.00,5.00,6.00,9.75,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5075050,3.00,5.00,2.00,5.00,5.00,6.00,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5075068,1.00,4.00,3.00,2.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5075076,8.00,9.00,5.00,7.00,8.00,8.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5075092,3.00,2.00,2.00,4.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5075106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5075114,6.00,5.00,6.00,6.00,9.00,8.25,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5075122,7.00,6.00,2.00,3.00,7.00,10.50,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5075149,5.00,7.00,2.00,4.00,8.00,7.88,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5075157,7.00,6.00,2.00,3.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5075238,5.00,4.00,2.00,3.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5075246,2.00,5.00,1.00,7.00,5.00,7.13,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5075254,3.00,5.00,1.00,2.00,4.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5075262,2.00,5.00,4.00,4.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5075270,5.00,1.00,1.00,4.00,2.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5075289,7.00,7.00,3.00,7.00,9.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5075297,8.00,8.00,2.00,7.00,9.00,7.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5075300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5075319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5075327,6.00,7.00,4.00,5.00,8.00,6.00,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5075335,1.00,5.00,0.00,2.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5075343,5.00,6.00,0.00,2.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5075351,4.00,7.00,0.00,6.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5075360,3.00,0.00,0.00,0.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5075378,3.00,5.00,2.00,7.00,9.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5075386,1.00,3.00,2.00,5.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5075394,8.00,7.00,6.00,6.00,6.00,7.13,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5075416,4.00,5.00,1.00,4.00,9.00,9.00,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5075424,4.00,5.00,2.00,3.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5075432,5.00,7.00,6.00,5.00,5.00,9.38,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5075440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5075459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5075467,8.00,5.00,5.00,6.00,11.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5075475,6.00,5.00,0.00,4.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5075483,6.00,4.00,3.00,5.00,7.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5075491,8.00,7.00,4.00,7.00,7.00,10.13,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5075505,8.00,5.00,4.00,6.00,8.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5075513,8.00,6.00,2.00,2.00,4.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5075521,6.00,6.00,3.00,3.00,9.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5075530,5.00,4.00,4.00,4.00,7.00,6.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5075548,8.00,7.00,3.00,8.00,5.00,6.75,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5075556,4.00,6.00,4.00,4.00,7.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5075564,5.00,7.00,1.00,4.00,8.00,7.88,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5075580,5.00,7.00,1.00,5.00,6.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5075599,3.00,4.00,2.00,5.00,7.00,9.38,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5075602,5.00,7.00,2.00,4.00,9.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5075610,4.00,3.00,0.00,5.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5075629,9.00,7.00,3.00,6.00,9.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5075637,5.00,5.00,1.00,5.00,7.00,9.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5075645,8.00,8.00,4.00,7.00,7.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5075653,7.00,7.00,5.00,7.00,8.00,10.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5075661,4.00,3.00,2.00,4.00,5.00,10.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5075670,5.00,7.00,3.00,7.00,7.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5075688,9.00,7.00,1.00,6.00,7.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5075696,8.00,7.00,5.00,7.00,11.00,7.88,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5075700,8.00,6.00,5.00,7.00,7.00,9.38,3.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5075718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5075726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5075734,3.00,5.00,1.00,3.00,5.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5075742,2.00,3.00,3.00,2.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5075750,8.00,7.00,3.00,5.00,6.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5075777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5075785,5.00,7.00,2.00,5.00,9.00,10.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5075793,2.00,4.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5075823,6.00,5.00,3.00,4.00,9.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5075840,5.00,6.00,4.00,5.00,4.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5075858,8.00,9.00,3.00,6.00,9.00,9.38,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5075866,3.00,6.00,2.00,5.00,5.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5075890,1.00,6.00,1.00,4.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5075904,4.00,4.00,2.00,4.00,5.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5075912,6.00,4.00,3.00,3.00,7.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5075920,5.00,4.00,2.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5075939,7.00,7.00,4.00,4.00,5.00,8.63,2.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5075947,2.00,4.00,1.00,2.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5075955,8.00,6.00,6.00,7.00,8.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5075980,5.00,6.00,5.00,6.00,5.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5076005,5.00,5.00,2.00,3.00,5.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5076021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5076030,6.00,6.00,1.00,4.00,6.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5076048,9.00,8.00,8.00,6.00,10.00,11.63,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5076056,5.00,7.00,1.00,3.00,6.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5076072,5.00,4.00,0.00,3.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5076102,4.00,7.00,2.00,6.00,6.00,10.13,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5076110,6.00,7.00,2.00,4.00,8.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5076129,3.00,4.00,0.00,2.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5076137,5.00,5.00,2.00,5.00,5.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5076170,6.00,5.00,5.00,5.00,8.00,11.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5076196,3.00,7.00,3.00,4.00,7.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5076200,6.00,5.00,0.00,2.00,8.00,6.38,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5076218,7.00,7.00,8.00,6.00,6.00,7.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5076226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5076242,2.00,3.00,2.00,2.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5076269,3.00,4.00,0.00,5.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5076285,9.00,7.00,7.00,7.00,9.00,9.38,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5076293,4.00,4.00,0.00,5.00,6.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5076307,5.00,5.00,4.00,6.00,8.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5076331,7.00,5.00,7.00,7.00,8.00,10.13,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5076340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5076358,7.00,8.00,2.00,3.00,7.00,6.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5076366,6.00,3.00,3.00,3.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5076382,9.00,9.00,9.00,7.00,10.00,9.38,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5076390,2.00,4.00,1.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5076404,5.00,5.00,2.00,3.00,7.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5076412,6.00,6.00,4.00,5.00,6.00,9.38,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5076420,9.00,8.00,4.00,6.00,8.00,6.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5076447,9.00,8.00,5.00,4.00,9.00,8.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5076455,7.00,8.00,3.00,6.00,8.00,7.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5076463,7.00,5.00,2.00,7.00,8.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5076471,6.00,5.00,3.00,5.00,6.00,9.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5076480,6.00,5.00,1.00,7.00,9.00,9.75,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5076498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5076501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5076510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5076528,5.00,4.00,3.00,7.00,6.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5076536,3.00,5.00,2.00,7.00,6.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5076544,7.00,8.00,7.00,7.00,10.00,11.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5076552,6.00,6.00,3.00,3.00,7.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5076560,5.00,6.00,2.00,2.00,6.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5076579,2.00,6.00,3.00,4.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5076595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5076609,8.00,8.00,5.00,4.00,6.00,7.50,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5076617,6.00,7.00,3.00,5.00,7.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5076625,8.00,7.00,4.00,7.00,8.00,11.25,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5076633,6.00,6.00,2.00,6.00,4.00,6.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5076641,4.00,4.00,1.00,4.00,6.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5076650,9.00,7.00,3.00,5.00,7.00,3.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5076668,7.00,6.00,5.00,4.00,6.00,NULL,5.00,4.00,5.00,NULL,NULL,'S','N'),(20,5076684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5076692,8.00,6.00,3.00,6.00,10.00,12.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5076706,5.00,9.00,2.00,5.00,7.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5076714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5076722,6.00,6.00,5.00,6.00,7.00,9.75,6.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5076730,6.00,6.00,2.00,3.00,6.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5076749,4.00,4.00,1.00,2.00,6.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5076757,7.00,4.00,1.00,6.00,6.00,10.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5076765,5.00,6.00,3.00,6.00,7.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5076773,5.00,6.00,3.00,6.00,5.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5076781,4.00,8.00,3.00,5.00,4.00,8.25,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5076790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5076803,8.00,7.00,2.00,5.00,5.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5076820,8.00,8.00,5.00,7.00,9.00,8.25,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5076838,7.00,5.00,4.00,6.00,6.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5076846,4.00,5.00,1.00,4.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5076854,7.00,7.00,5.00,8.00,6.00,9.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5076862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5076870,3.00,5.00,2.00,2.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5076897,7.00,8.00,4.00,7.00,8.00,9.38,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5076900,6.00,8.00,5.00,7.00,9.00,9.75,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5076919,6.00,6.00,3.00,6.00,7.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5076927,8.00,6.00,4.00,6.00,6.00,6.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5076935,5.00,4.00,2.00,6.00,4.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5076943,6.00,6.00,2.00,6.00,6.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5076951,7.00,7.00,0.00,5.00,8.00,8.25,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5076960,9.00,7.00,8.00,7.00,8.00,10.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5076978,5.00,4.00,1.00,4.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5076986,4.00,3.00,3.00,2.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5077001,8.00,6.00,5.00,7.00,6.00,9.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5077010,8.00,5.00,2.00,5.00,8.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5077028,5.00,4.00,3.00,4.00,6.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5077036,8.00,4.00,0.00,5.00,8.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5077044,6.00,6.00,4.00,6.00,6.00,8.63,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5077052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5077060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5077087,7.00,6.00,3.00,6.00,3.00,NULL,3.00,4.00,6.00,NULL,NULL,NULL,'S'),(20,5077095,9.00,9.00,5.00,7.00,10.00,7.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5077125,2.00,6.00,2.00,3.00,7.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5077133,6.00,5.00,1.00,6.00,7.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5077141,6.00,5.00,1.00,4.00,5.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5077150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5077168,6.00,5.00,2.00,4.00,5.00,6.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5077176,2.00,4.00,1.00,4.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5077184,5.00,6.00,0.00,4.00,7.00,8.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5077192,4.00,5.00,0.00,5.00,7.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5077206,9.00,8.00,3.00,7.00,9.00,10.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5077214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5077222,5.00,5.00,1.00,3.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5077249,4.00,5.00,0.00,5.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5077265,8.00,7.00,1.00,5.00,8.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5077273,6.00,6.00,3.00,7.00,7.00,9.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5077281,9.00,6.00,4.00,3.00,8.00,6.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5077290,7.00,4.00,2.00,7.00,6.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5077303,8.00,5.00,3.00,7.00,8.00,8.63,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5077311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5077320,6.00,5.00,1.00,6.00,5.00,10.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5077338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5077346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5077354,6.00,7.00,1.00,5.00,4.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5077362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5077370,2.00,5.00,0.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5077389,3.00,8.00,2.00,5.00,8.00,6.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5077397,7.00,6.00,3.00,7.00,7.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5077400,9.00,8.00,5.00,7.00,9.00,10.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5077419,4.00,4.00,2.00,5.00,5.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5077427,4.00,6.00,4.00,4.00,4.00,8.25,4.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5077435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5077443,3.00,5.00,2.00,7.00,9.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5077451,2.00,6.00,3.00,5.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5077460,6.00,5.00,4.00,6.00,6.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5077486,8.00,7.00,4.00,7.00,10.00,10.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5077494,6.00,4.00,2.00,2.00,5.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5077516,5.00,7.00,3.00,0.00,4.00,6.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5077532,9.00,8.00,6.00,6.00,8.00,8.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5077540,4.00,2.00,1.00,3.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5077559,5.00,3.00,3.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5077575,6.00,7.00,4.00,6.00,8.00,7.13,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5077583,8.00,7.00,5.00,6.00,9.00,9.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5077591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5077605,9.00,7.00,6.00,6.00,10.00,10.13,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5077621,6.00,6.00,4.00,7.00,8.00,7.50,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5077630,9.00,8.00,7.00,7.00,10.00,9.75,9.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5077648,5.00,7.00,3.00,4.00,8.00,9.00,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5077656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5077664,9.00,9.00,8.00,7.00,10.00,12.00,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5077672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5077699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5077702,3.00,8.00,1.00,4.00,10.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5077710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5077729,0.00,4.00,4.00,0.00,6.00,NULL,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5077737,7.00,3.00,3.00,5.00,5.00,7.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5077753,7.00,5.00,4.00,7.00,8.00,11.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5077761,3.00,4.00,1.00,4.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5077788,5.00,3.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5077796,9.00,6.00,5.00,7.00,8.00,8.25,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5077800,8.00,7.00,7.00,7.00,7.00,10.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5077818,8.00,5.00,3.00,4.00,7.00,6.75,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5077826,6.00,5.00,1.00,3.00,5.00,11.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5077842,7.00,6.00,0.00,5.00,8.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5077850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5077869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5077877,7.00,7.00,0.00,6.00,7.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5077885,5.00,5.00,4.00,3.00,5.00,6.75,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5077893,1.00,8.00,3.00,2.00,7.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5077907,7.00,6.00,3.00,7.00,7.00,9.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5077915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5077923,8.00,8.00,3.00,6.00,7.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5077931,9.00,6.00,3.00,7.00,7.00,7.88,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5077940,7.00,7.00,4.00,5.00,8.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5077966,7.00,8.00,4.00,7.00,10.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5077974,4.00,7.00,1.00,3.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5077990,5.00,4.00,3.00,7.00,5.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5078008,6.00,5.00,4.00,6.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5078016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5078024,8.00,5.00,2.00,5.00,6.00,11.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5078032,5.00,6.00,5.00,1.00,4.00,4.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5078067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5078075,6.00,6.00,4.00,7.00,10.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5078083,5.00,8.00,4.00,4.00,8.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5078091,7.00,7.00,4.00,6.00,7.00,8.63,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5078105,3.00,3.00,2.00,3.00,7.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5078113,9.00,6.00,4.00,4.00,7.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5078121,6.00,4.00,0.00,7.00,8.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5078148,4.00,5.00,4.00,5.00,4.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5078156,6.00,8.00,3.00,5.00,7.00,7.13,7.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5078172,1.00,3.00,2.00,5.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5078199,8.00,7.00,1.00,5.00,8.00,10.50,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5078202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5078210,6.00,6.00,2.00,5.00,4.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5078229,8.00,6.00,2.00,7.00,7.00,7.88,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5078237,1.00,2.00,1.00,1.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,'S','N'),(20,5078245,3.00,4.00,0.00,5.00,6.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5078253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5078261,8.00,9.00,7.00,7.00,9.00,12.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5078270,5.00,6.00,3.00,1.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5078300,4.00,4.00,2.00,6.00,4.00,9.00,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5078318,4.00,6.00,4.00,6.00,5.00,8.63,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5078326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5078342,9.00,5.00,5.00,7.00,8.00,12.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5078350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5078369,3.00,3.00,1.00,2.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5078377,2.00,7.00,3.00,6.00,6.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5078385,5.00,5.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5078393,7.00,4.00,4.00,6.00,8.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5078407,7.00,7.00,1.00,8.00,9.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5078423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5078431,6.00,6.00,2.00,7.00,7.00,8.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5078440,9.00,8.00,8.00,7.00,9.00,9.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5078458,3.00,3.00,2.00,6.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5078466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5078474,6.00,7.00,4.00,5.00,9.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5078482,4.00,5.00,4.00,5.00,5.00,9.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5078490,7.00,5.00,2.00,7.00,6.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5078520,4.00,5.00,2.00,4.00,4.00,7.50,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5078539,3.00,6.00,3.00,5.00,9.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5078547,8.00,4.00,4.00,6.00,4.00,8.25,3.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5078555,5.00,5.00,6.00,5.00,9.00,10.13,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5078563,4.00,5.00,6.00,5.00,5.00,8.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5078571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5078580,3.00,6.00,1.00,3.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5078598,3.00,6.00,0.00,3.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5078601,3.00,7.00,2.00,2.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5078610,5.00,8.00,3.00,7.00,7.00,6.75,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5078628,8.00,6.00,4.00,7.00,7.00,10.13,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5078644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5078652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5078660,2.00,4.00,2.00,4.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5078679,0.00,1.00,0.00,3.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5078687,2.00,7.00,2.00,2.00,4.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5078695,7.00,8.00,5.00,6.00,8.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5078709,7.00,7.00,1.00,6.00,6.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5078717,6.00,7.00,2.00,7.00,8.00,12.00,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5078725,5.00,5.00,4.00,4.00,7.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5078733,2.00,5.00,0.00,1.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5078741,5.00,5.00,7.00,3.00,5.00,6.75,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5078750,3.00,5.00,1.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5078768,3.00,5.00,1.00,5.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5078776,8.00,7.00,3.00,6.00,7.00,8.63,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5078784,3.00,5.00,1.00,6.00,4.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5078806,0.00,5.00,2.00,3.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5078814,7.00,6.00,3.00,1.00,5.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5078830,4.00,4.00,1.00,4.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5078849,9.00,5.00,7.00,5.00,6.00,9.75,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5078865,7.00,5.00,5.00,4.00,7.00,8.25,6.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5078873,9.00,7.00,5.00,7.00,9.00,8.63,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5078881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5078903,7.00,6.00,2.00,6.00,4.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5078911,7.00,5.00,5.00,5.00,6.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5078946,6.00,4.00,2.00,5.00,10.00,9.38,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5078954,4.00,5.00,4.00,7.00,5.00,6.38,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5078962,2.00,3.00,3.00,7.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5078970,6.00,6.00,3.00,4.00,5.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5078989,2.00,4.00,2.00,5.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5078997,7.00,8.00,7.00,7.00,8.00,9.38,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5079004,5.00,5.00,0.00,5.00,7.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5079012,8.00,6.00,4.00,7.00,7.00,4.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5079020,2.00,5.00,0.00,2.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5079039,5.00,4.00,1.00,7.00,5.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5079047,4.00,5.00,1.00,4.00,5.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5079071,4.00,4.00,2.00,3.00,5.00,7.88,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5079101,9.00,7.00,4.00,6.00,7.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5079110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5079128,2.00,6.00,4.00,3.00,4.00,6.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5079144,4.00,5.00,2.00,2.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5079152,3.00,5.00,2.00,4.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5079160,5.00,6.00,3.00,7.00,8.00,10.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5079179,3.00,6.00,4.00,3.00,5.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5079209,7.00,6.00,4.00,7.00,8.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5079217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5079225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5079233,5.00,6.00,1.00,5.00,8.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5079241,6.00,5.00,8.00,6.00,8.00,7.13,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5079268,6.00,7.00,1.00,4.00,4.00,10.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5079276,7.00,4.00,6.00,6.00,5.00,7.88,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5079284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5079292,2.00,7.00,0.00,3.00,2.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5079306,8.00,7.00,4.00,5.00,9.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5079314,5.00,4.00,0.00,5.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5079322,2.00,5.00,3.00,3.00,2.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5079330,8.00,8.00,6.00,8.00,8.00,8.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5079349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5079357,5.00,5.00,2.00,7.00,5.00,6.38,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5079365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5079373,7.00,5.00,3.00,6.00,7.00,8.63,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5079390,3.00,6.00,1.00,6.00,4.00,9.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5079411,2.00,4.00,0.00,3.00,4.00,NULL,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5079420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5079438,6.00,5.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5079446,3.00,7.00,0.00,4.00,5.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5079454,1.00,5.00,0.00,5.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5079470,8.00,7.00,4.00,7.00,4.00,7.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5079489,7.00,5.00,4.00,3.00,8.00,11.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5079497,6.00,8.00,2.00,6.00,5.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5079500,9.00,9.00,9.00,7.00,10.00,10.50,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5079519,6.00,7.00,2.00,7.00,9.00,7.50,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5079535,4.00,7.00,2.00,3.00,4.00,10.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5079543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5079551,6.00,7.00,3.00,7.00,7.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5079560,5.00,6.00,2.00,5.00,7.00,7.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5079578,6.00,5.00,0.00,5.00,7.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5079608,6.00,7.00,4.00,5.00,6.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5079624,2.00,4.00,0.00,4.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5079640,9.00,6.00,6.00,7.00,10.00,9.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5079659,9.00,8.00,8.00,7.00,9.00,9.38,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5079667,8.00,6.00,5.00,6.00,6.00,7.50,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5079675,4.00,5.00,0.00,3.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5079683,8.00,8.00,5.00,7.00,9.00,10.50,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5079691,4.00,3.00,3.00,5.00,6.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5079705,9.00,8.00,3.00,7.00,7.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5079713,9.00,7.00,7.00,7.00,6.00,8.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5079721,5.00,5.00,1.00,5.00,5.00,7.88,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5079730,6.00,4.00,0.00,3.00,7.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5079748,6.00,5.00,0.00,4.00,8.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5079756,6.00,8.00,5.00,6.00,9.00,9.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5079764,8.00,7.00,4.00,7.00,7.00,12.38,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5079799,5.00,5.00,3.00,6.00,4.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5079802,7.00,6.00,5.00,5.00,9.00,8.63,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5079810,5.00,3.00,0.00,2.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5079829,6.00,5.00,2.00,7.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5079837,6.00,8.00,5.00,5.00,8.00,10.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5079845,4.00,5.00,3.00,4.00,5.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5079853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5079861,3.00,7.00,2.00,1.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5079870,6.00,4.00,2.00,1.00,5.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5079888,7.00,3.00,2.00,4.00,6.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5079896,9.00,6.00,3.00,5.00,3.00,NULL,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5079900,7.00,5.00,6.00,4.00,9.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5079926,4.00,5.00,4.00,6.00,6.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5079934,4.00,5.00,2.00,3.00,7.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5079942,9.00,8.00,9.00,7.00,9.00,8.25,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5079969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5079985,7.00,8.00,5.00,5.00,10.00,10.13,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5079993,6.00,7.00,0.00,6.00,9.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5080002,4.00,7.00,4.00,5.00,6.00,4.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5080010,9.00,5.00,9.00,7.00,9.00,10.13,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5080029,5.00,4.00,0.00,7.00,9.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5080037,3.00,5.00,1.00,1.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5080045,8.00,9.00,4.00,7.00,9.00,9.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5080053,8.00,6.00,2.00,3.00,7.00,8.63,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5080061,8.00,5.00,0.00,5.00,6.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5080070,3.00,2.00,1.00,3.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5080088,4.00,5.00,2.00,6.00,6.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5080096,4.00,7.00,5.00,5.00,6.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5080100,4.00,4.00,0.00,5.00,6.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5080118,9.00,5.00,1.00,7.00,7.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5080134,4.00,2.00,1.00,4.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5080142,5.00,5.00,1.00,6.00,7.00,7.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5080150,5.00,6.00,5.00,6.00,6.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5080169,6.00,4.00,3.00,6.00,7.00,10.13,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5080177,7.00,7.00,4.00,2.00,8.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5080185,3.00,6.00,1.00,5.00,6.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5080193,3.00,4.00,1.00,5.00,5.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5080207,5.00,7.00,3.00,4.00,8.00,6.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5080215,4.00,4.00,4.00,4.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5080223,6.00,6.00,5.00,7.00,9.00,6.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5080240,6.00,6.00,6.00,6.00,7.00,7.13,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5080258,8.00,7.00,6.00,5.00,8.00,7.13,4.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5080266,6.00,5.00,4.00,5.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5080274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5080282,7.00,6.00,4.00,5.00,6.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5080290,6.00,7.00,2.00,6.00,5.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5080312,5.00,6.00,1.00,5.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,'S','N'),(20,5080320,8.00,6.00,4.00,6.00,5.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5080347,8.00,8.00,4.00,7.00,9.00,11.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5080355,7.00,6.00,3.00,6.00,8.00,7.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5080363,7.00,7.00,2.00,5.00,9.00,10.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5080371,3.00,4.00,2.00,5.00,5.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5080380,5.00,5.00,2.00,6.00,7.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5080410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5080428,9.00,6.00,4.00,5.00,8.00,8.25,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5080436,7.00,5.00,4.00,5.00,5.00,8.63,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5080444,6.00,7.00,1.00,6.00,8.00,11.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5080452,7.00,7.00,5.00,8.00,7.00,10.13,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(20,5080460,6.00,5.00,6.00,7.00,8.00,10.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5080495,8.00,7.00,4.00,3.00,10.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5080509,4.00,6.00,3.00,3.00,5.00,6.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5080517,7.00,6.00,5.00,4.00,6.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5080533,4.00,4.00,3.00,4.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5080541,7.00,6.00,2.00,6.00,7.00,8.25,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5080550,7.00,6.00,4.00,7.00,6.00,10.50,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5080568,6.00,5.00,1.00,3.00,7.00,4.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5080576,7.00,7.00,1.00,7.00,8.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5080584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5080592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5080606,3.00,8.00,4.00,5.00,7.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5080614,8.00,6.00,4.00,3.00,6.00,4.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5080622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5080630,6.00,5.00,1.00,7.00,7.00,8.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5080649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5080657,7.00,3.00,4.00,3.00,6.00,9.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5080673,5.00,8.00,3.00,7.00,8.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5080681,6.00,6.00,4.00,7.00,8.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5080690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5080703,6.00,7.00,2.00,6.00,6.00,8.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5080711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5080720,8.00,7.00,0.00,5.00,9.00,10.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5080738,8.00,7.00,3.00,5.00,7.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5080746,6.00,5.00,3.00,5.00,6.00,10.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5080762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5080789,8.00,5.00,4.00,7.00,10.00,7.88,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5080797,8.00,6.00,3.00,4.00,9.00,8.25,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5080800,4.00,5.00,1.00,3.00,5.00,7.88,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5080819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5080827,6.00,8.00,4.00,7.00,8.00,9.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5080843,3.00,3.00,1.00,5.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5080851,9.00,6.00,8.00,6.00,9.00,9.00,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5080860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5080878,7.00,7.00,4.00,6.00,9.00,6.00,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5080886,5.00,6.00,3.00,6.00,6.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5080894,7.00,6.00,3.00,7.00,8.00,6.00,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5080908,4.00,4.00,0.00,4.00,5.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(20,5080916,4.00,5.00,1.00,3.00,3.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5080932,6.00,5.00,2.00,5.00,5.00,6.75,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5080940,7.00,7.00,3.00,2.00,5.00,11.63,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5080959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5080967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5080975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5080983,6.00,4.00,3.00,5.00,5.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5080991,7.00,8.00,2.00,5.00,6.00,7.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5081009,6.00,8.00,5.00,4.00,8.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5081017,4.00,6.00,3.00,7.00,8.00,11.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5081025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5081041,9.00,9.00,4.00,7.00,6.00,8.25,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5081050,7.00,8.00,5.00,6.00,9.00,10.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5081076,8.00,5.00,6.00,6.00,7.00,8.63,0.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5081092,4.00,5.00,3.00,5.00,6.00,9.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5081114,5.00,7.00,1.00,6.00,8.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5081122,6.00,4.00,2.00,5.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5081130,3.00,4.00,0.00,5.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5081149,8.00,8.00,5.00,7.00,8.00,11.25,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5081157,6.00,5.00,3.00,4.00,6.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5081165,3.00,5.00,3.00,4.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5081173,4.00,5.00,1.00,3.00,5.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5081181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5081203,0.00,4.00,1.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5081220,7.00,5.00,6.00,5.00,8.00,6.00,4.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5081238,7.00,8.00,2.00,7.00,11.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5081254,8.00,9.00,1.00,7.00,9.00,8.63,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5081262,7.00,7.00,5.00,5.00,6.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5081270,9.00,7.00,4.00,5.00,9.00,12.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5081289,4.00,5.00,1.00,4.00,6.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5081297,8.00,7.00,3.00,8.00,9.00,9.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5081319,8.00,5.00,4.00,7.00,10.00,7.88,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5081327,9.00,8.00,5.00,7.00,10.00,9.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5081335,8.00,7.00,6.00,7.00,10.00,9.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5081351,5.00,7.00,1.00,5.00,8.00,6.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5081360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5081378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5081386,4.00,3.00,2.00,7.00,5.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5081416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5081424,1.00,4.00,2.00,4.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5081440,7.00,6.00,7.00,5.00,7.00,7.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5081459,5.00,6.00,3.00,7.00,5.00,7.88,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5081467,6.00,4.00,5.00,4.00,6.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5081475,4.00,7.00,4.00,6.00,9.00,9.75,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5081483,6.00,6.00,3.00,6.00,6.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5081491,9.00,7.00,5.00,5.00,6.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5081505,8.00,8.00,8.00,7.00,10.00,9.38,6.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5081513,5.00,6.00,2.00,6.00,8.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5081521,3.00,3.00,3.00,5.00,4.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5081530,6.00,8.00,3.00,5.00,8.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5081548,4.00,4.00,0.00,3.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5081564,8.00,7.00,7.00,7.00,9.00,10.88,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5081572,9.00,7.00,6.00,7.00,8.00,7.50,8.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5081580,5.00,5.00,4.00,6.00,7.00,8.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5081610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5081629,3.00,4.00,3.00,2.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5081645,9.00,6.00,7.00,7.00,7.00,9.38,9.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5081653,1.00,2.00,0.00,2.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5081661,1.00,5.00,1.00,7.00,3.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'S'),(20,5081670,5.00,4.00,2.00,6.00,6.00,10.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5081696,3.00,3.00,1.00,7.00,4.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5081700,7.00,4.00,3.00,3.00,9.00,4.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5081718,8.00,8.00,6.00,7.00,9.00,9.00,8.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5081726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5081734,7.00,7.00,5.00,6.00,9.00,7.13,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5081742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5081750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5081769,5.00,6.00,3.00,7.00,8.00,10.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5081785,3.00,5.00,0.00,5.00,7.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5081807,6.00,6.00,1.00,3.00,3.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5081815,6.00,6.00,4.00,6.00,8.00,9.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5081831,6.00,3.00,1.00,6.00,7.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5081840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5081858,8.00,6.00,3.00,6.00,9.00,11.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5081874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5081882,2.00,3.00,1.00,1.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5081890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5081904,8.00,5.00,3.00,4.00,7.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5081920,8.00,5.00,7.00,6.00,8.00,8.63,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5081939,6.00,6.00,0.00,5.00,7.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5081947,7.00,5.00,2.00,7.00,5.00,6.75,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5081963,7.00,8.00,4.00,5.00,9.00,10.88,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5081971,5.00,5.00,4.00,6.00,8.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5081998,9.00,7.00,7.00,6.00,7.00,10.13,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5082005,7.00,6.00,7.00,8.00,10.00,8.63,9.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5082013,4.00,5.00,3.00,5.00,4.00,NULL,1.00,3.00,0.00,NULL,NULL,'S','N'),(20,5082021,7.00,9.00,4.00,7.00,8.00,10.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5082030,3.00,4.00,4.00,5.00,6.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5082048,9.00,7.00,7.00,7.00,6.00,7.13,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5082056,9.00,7.00,5.00,7.00,8.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5082064,8.00,6.00,2.00,7.00,7.00,12.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5082072,3.00,3.00,1.00,3.00,6.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5082080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5082099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5082102,9.00,8.00,8.00,8.00,10.00,11.63,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5082110,7.00,6.00,3.00,7.00,8.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5082129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5082137,7.00,8.00,3.00,5.00,7.00,7.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5082145,8.00,6.00,1.00,7.00,8.00,4.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5082153,6.00,6.00,7.00,6.00,8.00,7.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5082161,9.00,8.00,6.00,6.00,8.00,7.13,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5082170,7.00,6.00,2.00,7.00,7.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5082188,5.00,7.00,4.00,3.00,7.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5082200,4.00,3.00,3.00,1.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5082226,8.00,7.00,3.00,7.00,8.00,12.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5082234,8.00,8.00,5.00,6.00,10.00,10.50,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5082250,9.00,6.00,6.00,2.00,7.00,8.63,4.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5082269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5082277,3.00,3.00,1.00,2.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5082285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5082293,3.00,5.00,4.00,2.00,4.00,6.75,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5082307,3.00,6.00,1.00,7.00,9.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5082323,2.00,5.00,0.00,6.00,5.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5082331,8.00,6.00,3.00,6.00,10.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5082340,3.00,5.00,1.00,4.00,6.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5082358,3.00,4.00,1.00,5.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5082366,8.00,7.00,5.00,7.00,8.00,8.63,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5082374,9.00,4.00,5.00,4.00,7.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5082382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5082390,7.00,4.00,4.00,5.00,8.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5082404,4.00,5.00,0.00,3.00,6.00,9.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5082412,6.00,7.00,4.00,4.00,6.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5082420,8.00,7.00,4.00,7.00,8.00,8.63,8.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5082439,6.00,4.00,4.00,7.00,7.00,9.00,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5082447,8.00,8.00,6.00,7.00,10.00,12.38,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5082463,8.00,8.00,4.00,6.00,10.00,11.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5082471,2.00,4.00,1.00,5.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5082480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5082501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5082510,6.00,7.00,4.00,7.00,9.00,11.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5082544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5082552,8.00,5.00,1.00,6.00,9.00,6.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5082560,4.00,4.00,6.00,7.00,6.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5082579,8.00,7.00,3.00,6.00,5.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5082587,5.00,6.00,3.00,4.00,5.00,7.50,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5082595,8.00,5.00,4.00,7.00,5.00,9.00,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5082609,5.00,7.00,2.00,5.00,7.00,9.38,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5082617,5.00,7.00,3.00,7.00,8.00,7.13,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5082625,4.00,6.00,4.00,3.00,8.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5082633,2.00,4.00,2.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5082641,4.00,5.00,4.00,3.00,6.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5082650,5.00,7.00,1.00,6.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5082668,6.00,7.00,0.00,7.00,7.00,7.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5082676,4.00,6.00,2.00,5.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5082684,8.00,5.00,1.00,7.00,7.00,10.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5082692,3.00,5.00,1.00,5.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5082706,4.00,5.00,1.00,6.00,5.00,6.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5082714,3.00,3.00,5.00,4.00,6.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5082730,8.00,9.00,5.00,7.00,9.00,10.50,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5082749,8.00,6.00,4.00,8.00,7.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5082790,6.00,6.00,0.00,5.00,5.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5082803,6.00,6.00,5.00,3.00,7.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5082811,3.00,3.00,2.00,0.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5082820,7.00,6.00,2.00,7.00,7.00,11.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5082838,5.00,5.00,0.00,5.00,8.00,NULL,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5082846,9.00,8.00,5.00,6.00,9.00,10.50,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5082854,4.00,5.00,2.00,2.00,5.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5082870,6.00,5.00,4.00,5.00,4.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5082889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5082897,5.00,5.00,0.00,6.00,8.00,6.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5082900,8.00,7.00,0.00,6.00,7.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5082919,7.00,6.00,7.00,0.00,7.00,9.75,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5082927,4.00,3.00,3.00,4.00,8.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5082935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5082943,6.00,8.00,2.00,4.00,6.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5082951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5082960,1.00,6.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5082994,6.00,5.00,7.00,7.00,8.00,8.25,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5083001,6.00,4.00,1.00,5.00,7.00,8.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5083036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5083060,9.00,6.00,4.00,7.00,11.00,9.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5083087,7.00,6.00,1.00,7.00,6.00,8.25,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5083109,5.00,4.00,2.00,2.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5083117,7.00,7.00,6.00,7.00,6.00,NULL,0.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5083125,7.00,6.00,2.00,7.00,7.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5083133,3.00,6.00,3.00,3.00,5.00,4.13,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5083141,8.00,7.00,5.00,3.00,6.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5083176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5083192,4.00,4.00,0.00,4.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5083214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5083222,8.00,6.00,5.00,7.00,9.00,9.00,5.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5083230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5083257,8.00,6.00,5.00,8.00,10.00,10.50,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5083265,3.00,4.00,0.00,2.00,2.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5083273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5083320,1.00,5.00,0.00,3.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5083338,5.00,6.00,2.00,4.00,7.00,9.75,3.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5083354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5083362,8.00,7.00,5.00,5.00,10.00,9.38,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5083370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5083389,8.00,8.00,8.00,6.00,10.00,8.63,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5083397,3.00,5.00,1.00,5.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5083400,5.00,5.00,1.00,4.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5083419,6.00,7.00,4.00,3.00,5.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5083427,9.00,8.00,7.00,3.00,9.00,10.13,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5083435,6.00,8.00,3.00,4.00,8.00,6.75,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5083443,6.00,5.00,1.00,4.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5083478,6.00,6.00,4.00,5.00,8.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5083486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5083508,5.00,7.00,3.00,7.00,7.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5083516,3.00,6.00,2.00,6.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5083524,2.00,5.00,1.00,5.00,7.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5083532,7.00,3.00,2.00,6.00,7.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5083540,8.00,6.00,3.00,6.00,7.00,7.50,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5083559,7.00,6.00,5.00,7.00,10.00,9.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5083575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5083583,3.00,5.00,4.00,1.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5083591,3.00,6.00,2.00,6.00,5.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5083605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5083613,2.00,5.00,1.00,5.00,6.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5083630,6.00,5.00,3.00,6.00,9.00,14.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5083648,3.00,4.00,0.00,6.00,6.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5083656,3.00,4.00,1.00,3.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5083672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5083680,2.00,3.00,1.00,4.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5083699,8.00,8.00,2.00,6.00,9.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5083702,5.00,5.00,4.00,5.00,8.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5083710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5083729,7.00,9.00,2.00,5.00,10.00,8.63,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5083737,3.00,4.00,0.00,2.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5083753,8.00,6.00,8.00,7.00,7.00,6.75,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5083761,8.00,7.00,6.00,7.00,8.00,10.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5083788,5.00,7.00,1.00,4.00,5.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5083796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5083800,8.00,7.00,6.00,7.00,9.00,11.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5083818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5083826,3.00,4.00,1.00,5.00,6.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5083850,6.00,8.00,3.00,6.00,8.00,9.38,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5083869,8.00,8.00,3.00,5.00,8.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5083877,9.00,6.00,5.00,6.00,8.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5083885,6.00,8.00,4.00,7.00,7.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5083893,9.00,8.00,2.00,5.00,10.00,10.13,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5083907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5083915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5083923,9.00,5.00,4.00,6.00,8.00,10.50,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5083931,5.00,5.00,1.00,2.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5083958,4.00,5.00,0.00,0.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5083966,4.00,3.00,2.00,5.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5083974,8.00,8.00,3.00,7.00,7.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5083982,3.00,5.00,3.00,6.00,4.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5084008,5.00,6.00,2.00,4.00,6.00,10.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(20,5084016,2.00,4.00,3.00,3.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5084024,2.00,4.00,3.00,4.00,8.00,8.63,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5084032,3.00,6.00,0.00,2.00,4.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5084040,6.00,6.00,6.00,6.00,7.00,7.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5084059,8.00,6.00,7.00,7.00,9.00,9.38,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5084075,6.00,5.00,0.00,7.00,3.00,NULL,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5084091,7.00,7.00,6.00,5.00,8.00,9.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5084105,4.00,5.00,0.00,5.00,8.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5084113,4.00,7.00,3.00,2.00,4.00,4.88,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5084121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5084130,7.00,5.00,4.00,5.00,6.00,6.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5084148,4.00,5.00,1.00,4.00,7.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5084164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5084180,3.00,4.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5084202,8.00,8.00,2.00,6.00,9.00,12.00,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5084210,7.00,6.00,5.00,8.00,8.00,9.38,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5084229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5084237,6.00,5.00,3.00,6.00,8.00,9.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5084253,5.00,4.00,1.00,7.00,7.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5084261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5084296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5084318,9.00,7.00,5.00,7.00,10.00,11.63,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5084326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5084334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5084342,8.00,7.00,3.00,6.00,6.00,9.00,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5084377,4.00,1.00,3.00,4.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5084385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5084393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5084415,7.00,7.00,7.00,7.00,8.00,8.25,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5084423,7.00,6.00,1.00,4.00,8.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5084440,8.00,7.00,5.00,7.00,7.00,7.13,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5084458,4.00,7.00,1.00,6.00,6.00,11.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5084490,6.00,5.00,1.00,7.00,8.00,10.13,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5084504,8.00,7.00,8.00,6.00,6.00,8.63,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5084512,7.00,6.00,3.00,6.00,10.00,10.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5084520,8.00,6.00,5.00,7.00,9.00,7.88,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5084547,5.00,4.00,1.00,4.00,5.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5084555,6.00,4.00,0.00,1.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5084571,4.00,4.00,1.00,3.00,7.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5084580,7.00,6.00,3.00,6.00,10.00,10.13,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5084598,8.00,9.00,1.00,7.00,10.00,8.63,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5084601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5084610,3.00,2.00,0.00,4.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5084628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5084652,5.00,6.00,5.00,5.00,6.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5084695,2.00,6.00,2.00,2.00,4.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5084709,5.00,5.00,5.00,6.00,7.00,11.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5084725,2.00,5.00,0.00,2.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5084733,8.00,9.00,4.00,7.00,8.00,10.50,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5084741,9.00,6.00,4.00,6.00,6.00,8.25,6.00,2.00,9.00,NULL,NULL,NULL,'N'),(20,5084750,3.00,5.00,2.00,3.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5084768,5.00,2.00,2.00,7.00,7.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5084776,3.00,5.00,2.00,4.00,8.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5084784,6.00,3.00,0.00,5.00,8.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5084792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5084806,3.00,8.00,0.00,4.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5084814,3.00,0.00,4.00,2.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5084822,5.00,6.00,3.00,5.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5084849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5084857,7.00,4.00,3.00,4.00,7.00,8.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5084873,6.00,4.00,3.00,6.00,8.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5084881,6.00,4.00,3.00,4.00,8.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5084890,4.00,7.00,2.00,5.00,9.00,7.13,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5084920,7.00,7.00,3.00,3.00,6.00,9.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5084938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5084954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5084962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5084970,3.00,4.00,1.00,6.00,5.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5084989,6.00,7.00,2.00,5.00,6.00,6.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5085004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5085012,3.00,5.00,2.00,7.00,5.00,6.38,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5085020,7.00,8.00,1.00,6.00,7.00,9.38,2.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5085039,5.00,5.00,3.00,5.00,5.00,6.38,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5085047,4.00,4.00,0.00,1.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5085055,9.00,8.00,6.00,4.00,7.00,8.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5085071,3.00,6.00,4.00,4.00,4.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5085080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5085101,9.00,8.00,3.00,7.00,10.00,10.13,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5085136,4.00,6.00,4.00,7.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5085144,8.00,5.00,3.00,6.00,5.00,8.63,2.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5085152,7.00,7.00,6.00,6.00,7.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5085160,5.00,5.00,1.00,5.00,6.00,6.75,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5085179,2.00,2.00,1.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5085187,3.00,6.00,3.00,5.00,7.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5085195,3.00,4.00,6.00,2.00,7.00,8.25,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5085217,2.00,5.00,2.00,1.00,5.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5085225,7.00,6.00,3.00,7.00,8.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5085241,8.00,8.00,5.00,4.00,9.00,7.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5085250,1.00,3.00,0.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5085268,8.00,3.00,1.00,5.00,10.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5085276,4.00,5.00,1.00,4.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5085284,4.00,5.00,0.00,5.00,8.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5085292,7.00,7.00,4.00,7.00,6.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5085306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5085314,2.00,5.00,0.00,0.00,5.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5085322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5085330,8.00,6.00,4.00,7.00,8.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5085349,5.00,5.00,3.00,2.00,4.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5085357,6.00,5.00,3.00,7.00,4.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5085365,9.00,6.00,7.00,6.00,9.00,7.13,8.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5085373,1.00,3.00,2.00,2.00,7.00,NULL,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5085403,7.00,6.00,5.00,7.00,7.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5085420,6.00,6.00,0.00,2.00,3.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5085438,0.00,4.00,0.00,2.00,0.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5085446,7.00,9.00,7.00,6.00,10.00,11.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5085454,7.00,6.00,7.00,3.00,8.00,9.00,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5085470,5.00,4.00,0.00,7.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5085497,8.00,7.00,7.00,7.00,9.00,10.13,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5085500,6.00,8.00,3.00,7.00,10.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5085519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5085527,6.00,5.00,3.00,5.00,4.00,7.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5085543,7.00,6.00,6.00,2.00,5.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5085551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5085560,9.00,7.00,3.00,7.00,8.00,8.25,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5085578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5085594,3.00,4.00,1.00,6.00,8.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5085608,5.00,6.00,2.00,4.00,7.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5085616,7.00,7.00,3.00,7.00,8.00,6.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5085624,5.00,5.00,0.00,5.00,7.00,6.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5085632,6.00,6.00,3.00,7.00,6.00,7.13,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5085640,5.00,6.00,2.00,5.00,5.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5085659,7.00,6.00,4.00,3.00,7.00,10.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5085667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5085675,7.00,6.00,1.00,5.00,6.00,10.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5085683,4.00,5.00,1.00,6.00,7.00,8.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5085691,6.00,7.00,3.00,7.00,6.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5085705,7.00,7.00,1.00,5.00,9.00,7.88,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5085713,9.00,8.00,8.00,7.00,9.00,9.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5085721,8.00,7.00,5.00,3.00,6.00,9.00,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5085748,7.00,6.00,3.00,4.00,5.00,11.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5085756,8.00,6.00,5.00,6.00,9.00,8.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5085764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5085772,6.00,5.00,4.00,5.00,6.00,7.88,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5085780,3.00,4.00,2.00,1.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5085799,5.00,6.00,2.00,6.00,6.00,6.75,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5085802,8.00,6.00,7.00,7.00,9.00,9.75,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5085810,7.00,5.00,1.00,7.00,9.00,10.13,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5085837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5085845,4.00,5.00,2.00,6.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,'S','N'),(20,5085853,8.00,6.00,4.00,5.00,8.00,8.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5085861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5085888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5085896,4.00,4.00,0.00,4.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5085900,4.00,5.00,1.00,5.00,6.00,9.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5085926,5.00,6.00,0.00,6.00,3.00,NULL,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5085934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5085942,3.00,6.00,4.00,5.00,7.00,7.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5085969,3.00,3.00,1.00,6.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5085993,5.00,5.00,0.00,5.00,6.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5086019,8.00,7.00,3.00,7.00,8.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5086027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5086051,8.00,6.00,5.00,6.00,7.00,10.88,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5086060,5.00,4.00,2.00,7.00,5.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5086078,7.00,6.00,1.00,3.00,8.00,8.25,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5086108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5086116,3.00,4.00,5.00,2.00,4.00,7.13,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5086124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5086132,6.00,8.00,3.00,7.00,7.00,10.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5086140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5086159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5086183,4.00,6.00,4.00,7.00,7.00,9.38,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5086191,5.00,4.00,4.00,5.00,9.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5086205,5.00,4.00,0.00,6.00,5.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5086213,5.00,5.00,5.00,4.00,7.00,8.63,7.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5086230,6.00,7.00,1.00,6.00,9.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5086248,5.00,6.00,3.00,2.00,9.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5086256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5086264,0.00,4.00,1.00,3.00,7.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5086272,6.00,7.00,5.00,7.00,8.00,8.63,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5086280,4.00,6.00,3.00,3.00,6.00,8.63,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5086299,6.00,6.00,2.00,7.00,8.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5086302,3.00,6.00,2.00,4.00,5.00,NULL,5.00,3.00,5.00,NULL,NULL,'S','S'),(20,5086310,2.00,3.00,1.00,4.00,7.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5086329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5086337,7.00,6.00,6.00,5.00,9.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5086345,4.00,4.00,1.00,7.00,8.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5086353,8.00,8.00,6.00,7.00,10.00,11.63,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5086361,9.00,5.00,3.00,7.00,6.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5086370,3.00,6.00,1.00,4.00,7.00,10.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5086388,0.00,3.00,1.00,5.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5086400,6.00,5.00,0.00,6.00,6.00,6.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5086418,4.00,7.00,1.00,5.00,6.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5086426,7.00,6.00,2.00,5.00,7.00,8.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5086434,7.00,8.00,4.00,7.00,7.00,10.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5086450,6.00,5.00,2.00,3.00,8.00,7.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5086469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5086477,3.00,4.00,2.00,2.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5086485,4.00,4.00,0.00,0.00,3.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5086493,3.00,7.00,2.00,5.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5086507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5086523,4.00,4.00,0.00,4.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5086531,7.00,8.00,4.00,3.00,8.00,10.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5086540,2.00,4.00,0.00,3.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5086558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5086574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5086582,3.00,2.00,1.00,0.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5086590,3.00,6.00,0.00,5.00,6.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5086604,2.00,2.00,1.00,3.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5086612,3.00,4.00,0.00,6.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5086620,5.00,5.00,3.00,6.00,5.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5086639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5086647,7.00,8.00,2.00,5.00,9.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5086663,2.00,6.00,2.00,8.00,5.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5086680,5.00,6.00,4.00,6.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5086698,4.00,4.00,2.00,2.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5086701,5.00,5.00,3.00,3.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5086744,5.00,4.00,4.00,2.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5086760,2.00,5.00,0.00,4.00,5.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5086787,3.00,6.00,1.00,4.00,9.00,7.88,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5086795,9.00,9.00,4.00,7.00,10.00,11.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5086809,4.00,6.00,3.00,7.00,7.00,0.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5086817,5.00,6.00,4.00,6.00,6.00,10.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5086825,8.00,4.00,2.00,5.00,5.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5086850,2.00,4.00,1.00,7.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5086884,4.00,5.00,1.00,5.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5086892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5086906,3.00,6.00,0.00,4.00,5.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5086922,9.00,7.00,9.00,7.00,9.00,8.25,8.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5086930,4.00,6.00,1.00,4.00,7.00,7.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5086949,7.00,8.00,5.00,7.00,10.00,9.75,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5086965,3.00,7.00,0.00,3.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5086973,7.00,5.00,0.00,3.00,8.00,8.25,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5087007,3.00,5.00,1.00,5.00,10.00,9.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5087015,1.00,3.00,0.00,6.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5087023,6.00,7.00,3.00,7.00,7.00,9.00,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5087031,5.00,6.00,4.00,4.00,5.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5087040,6.00,6.00,5.00,7.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5087066,7.00,7.00,3.00,7.00,8.00,9.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5087074,4.00,4.00,1.00,2.00,7.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5087082,2.00,6.00,1.00,1.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5087090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5087104,6.00,6.00,2.00,7.00,9.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5087112,7.00,5.00,5.00,7.00,8.00,8.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5087120,5.00,6.00,2.00,1.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5087139,0.00,3.00,0.00,3.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5087155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5087163,8.00,6.00,2.00,6.00,8.00,7.50,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5087171,8.00,6.00,2.00,8.00,8.00,11.63,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5087180,2.00,3.00,2.00,2.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5087198,7.00,4.00,3.00,4.00,7.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5087201,4.00,4.00,2.00,1.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5087210,5.00,7.00,4.00,4.00,7.00,7.13,6.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5087228,5.00,6.00,3.00,1.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5087236,9.00,7.00,3.00,6.00,10.00,7.13,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5087260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5087279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5087287,8.00,6.00,5.00,7.00,9.00,10.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5087295,7.00,6.00,6.00,6.00,9.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5087325,5.00,8.00,7.00,8.00,6.00,7.13,4.00,7.00,6.00,NULL,NULL,NULL,'S'),(20,5087341,5.00,5.00,3.00,4.00,6.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(20,5087350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5087376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5087384,3.00,5.00,1.00,6.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5087406,3.00,4.00,2.00,3.00,8.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5087414,4.00,5.00,1.00,4.00,8.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5087422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5087430,6.00,8.00,6.00,4.00,7.00,6.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5087457,4.00,6.00,4.00,3.00,4.00,10.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5087465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5087473,3.00,5.00,0.00,4.00,6.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5087490,6.00,6.00,2.00,6.00,7.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5087503,3.00,6.00,1.00,4.00,7.00,9.75,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5087511,3.00,8.00,1.00,5.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5087538,4.00,5.00,4.00,4.00,4.00,7.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5087554,8.00,6.00,9.00,7.00,9.00,11.25,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5087562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5087570,7.00,8.00,5.00,7.00,8.00,7.13,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5087597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5087600,3.00,4.00,2.00,2.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5087619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5087627,6.00,6.00,0.00,3.00,7.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5087635,6.00,6.00,0.00,3.00,8.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5087651,6.00,4.00,5.00,4.00,7.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5087660,3.00,7.00,5.00,3.00,4.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5087678,7.00,6.00,3.00,7.00,5.00,7.88,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5087694,5.00,8.00,1.00,6.00,9.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5087716,9.00,7.00,5.00,6.00,9.00,9.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5087724,3.00,2.00,1.00,3.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5087732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5087767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5087783,3.00,4.00,0.00,7.00,7.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5087791,8.00,6.00,6.00,5.00,8.00,9.00,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5087805,3.00,5.00,0.00,5.00,4.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5087813,5.00,5.00,1.00,7.00,5.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5087830,5.00,5.00,1.00,5.00,3.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5087848,4.00,6.00,0.00,4.00,4.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5087864,3.00,0.00,2.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5087872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5087880,7.00,6.00,6.00,5.00,9.00,9.38,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5087899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5087902,7.00,7.00,1.00,4.00,7.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5087910,8.00,6.00,1.00,7.00,7.00,7.13,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5087937,4.00,3.00,1.00,2.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5087945,9.00,9.00,6.00,7.00,9.00,8.63,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5087953,5.00,3.00,3.00,2.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5087961,6.00,7.00,3.00,6.00,8.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5087970,4.00,6.00,2.00,5.00,7.00,10.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5088003,4.00,3.00,2.00,5.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5088011,7.00,3.00,3.00,7.00,10.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5088020,5.00,6.00,0.00,4.00,4.00,10.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5088038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5088062,5.00,4.00,0.00,4.00,6.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5088070,4.00,6.00,1.00,5.00,7.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5088089,7.00,7.00,2.00,4.00,7.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5088097,4.00,5.00,1.00,6.00,5.00,6.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5088119,7.00,7.00,3.00,3.00,8.00,4.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5088127,4.00,5.00,1.00,5.00,6.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5088135,8.00,7.00,1.00,4.00,8.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5088143,3.00,3.00,4.00,5.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5088160,4.00,3.00,0.00,4.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5088178,2.00,6.00,4.00,4.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5088186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5088194,8.00,8.00,3.00,5.00,8.00,10.13,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5088208,6.00,2.00,2.00,4.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5088216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5088224,2.00,4.00,0.00,3.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5088240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5088259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5088267,7.00,7.00,0.00,7.00,7.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5088275,2.00,4.00,0.00,3.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5088283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5088291,4.00,6.00,4.00,6.00,7.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5088305,4.00,4.00,2.00,6.00,8.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5088313,6.00,6.00,1.00,4.00,7.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5088321,5.00,6.00,2.00,5.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5088330,6.00,7.00,2.00,7.00,8.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5088348,7.00,8.00,3.00,8.00,9.00,10.13,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5088356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5088364,2.00,6.00,2.00,6.00,6.00,10.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5088380,7.00,7.00,6.00,7.00,8.00,10.13,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5088399,2.00,4.00,0.00,4.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5088410,6.00,5.00,1.00,6.00,6.00,0.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5088429,9.00,8.00,5.00,7.00,8.00,9.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5088437,5.00,6.00,2.00,3.00,6.00,4.13,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5088445,6.00,5.00,2.00,5.00,5.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5088453,8.00,6.00,4.00,7.00,10.00,11.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5088461,6.00,8.00,4.00,7.00,9.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5088488,6.00,5.00,1.00,6.00,8.00,8.63,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5088496,4.00,4.00,3.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5088500,3.00,4.00,0.00,0.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5088526,9.00,7.00,4.00,6.00,10.00,10.88,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5088550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5088569,5.00,5.00,0.00,7.00,9.00,8.63,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5088577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5088585,8.00,8.00,6.00,7.00,9.00,8.25,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5088593,6.00,5.00,2.00,3.00,7.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5088607,7.00,6.00,4.00,7.00,6.00,8.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5088615,8.00,7.00,5.00,7.00,9.00,9.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5088640,5.00,7.00,2.00,5.00,9.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5088666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5088704,8.00,9.00,3.00,7.00,9.00,11.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5088712,9.00,8.00,1.00,7.00,10.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5088720,6.00,9.00,5.00,6.00,7.00,8.63,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5088739,5.00,5.00,0.00,4.00,6.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5088747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5088755,2.00,5.00,3.00,4.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5088763,9.00,6.00,5.00,8.00,10.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5088771,4.00,5.00,0.00,4.00,7.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5088780,7.00,4.00,5.00,2.00,4.00,7.50,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5088798,7.00,7.00,5.00,7.00,9.00,8.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5088801,2.00,4.00,1.00,6.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5088810,3.00,6.00,3.00,5.00,9.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5088836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5088844,7.00,6.00,2.00,4.00,5.00,10.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5088852,4.00,3.00,1.00,2.00,5.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5088860,5.00,5.00,1.00,3.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5088879,8.00,8.00,5.00,6.00,9.00,7.88,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5088887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5088895,7.00,7.00,6.00,5.00,10.00,7.88,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5088909,8.00,6.00,1.00,7.00,6.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5088925,7.00,5.00,1.00,5.00,7.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5088933,5.00,5.00,0.00,7.00,8.00,7.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5088950,5.00,4.00,2.00,3.00,4.00,6.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5088976,5.00,6.00,4.00,7.00,9.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5088992,4.00,4.00,2.00,6.00,4.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5089000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5089018,4.00,3.00,1.00,4.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5089026,6.00,4.00,4.00,1.00,8.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5089042,3.00,6.00,2.00,6.00,4.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5089050,5.00,7.00,1.00,6.00,7.00,6.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5089069,7.00,7.00,4.00,5.00,6.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5089077,6.00,4.00,4.00,0.00,6.00,7.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5089085,4.00,6.00,2.00,7.00,4.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'S'),(20,5089107,3.00,3.00,2.00,4.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5089115,4.00,6.00,3.00,6.00,7.00,7.88,5.00,1.00,8.00,NULL,NULL,NULL,'N'),(20,5089123,7.00,6.00,2.00,7.00,7.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5089166,3.00,7.00,1.00,7.00,6.00,9.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5089190,9.00,9.00,7.00,7.00,9.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5089204,5.00,4.00,2.00,2.00,7.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5089212,6.00,6.00,0.00,6.00,6.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5089220,7.00,5.00,6.00,5.00,5.00,9.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5089239,7.00,6.00,0.00,7.00,7.00,10.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5089255,5.00,5.00,1.00,7.00,5.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5089263,7.00,7.00,6.00,6.00,9.00,9.38,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5089271,5.00,5.00,0.00,5.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5089280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5089298,6.00,6.00,1.00,8.00,9.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5089310,5.00,7.00,1.00,0.00,5.00,4.88,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5089328,6.00,5.00,2.00,6.00,5.00,10.50,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5089344,8.00,6.00,2.00,5.00,6.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5089360,6.00,7.00,2.00,4.00,4.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5089387,3.00,3.00,3.00,2.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5089409,8.00,5.00,1.00,6.00,9.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5089425,3.00,6.00,2.00,6.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5089450,4.00,5.00,0.00,4.00,5.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5089468,5.00,4.00,2.00,5.00,6.00,9.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5089484,5.00,5.00,4.00,6.00,4.00,9.38,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5089492,3.00,5.00,1.00,5.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5089506,1.00,2.00,1.00,5.00,5.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5089514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5089522,9.00,4.00,5.00,5.00,8.00,8.63,4.00,2.00,9.00,NULL,NULL,NULL,'N'),(20,5089530,6.00,6.00,4.00,7.00,5.00,7.50,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5089549,6.00,5.00,5.00,7.00,7.00,6.75,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5089557,5.00,2.00,2.00,3.00,4.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5089565,8.00,6.00,3.00,7.00,7.00,9.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5089573,8.00,7.00,2.00,7.00,6.00,8.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5089590,4.00,5.00,1.00,0.00,7.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5089620,4.00,5.00,2.00,2.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5089638,6.00,7.00,1.00,7.00,8.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5089654,5.00,5.00,2.00,3.00,4.00,7.88,3.00,2.00,7.00,NULL,NULL,NULL,'S'),(20,5089662,7.00,7.00,0.00,6.00,9.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5089689,8.00,6.00,2.00,7.00,7.00,10.88,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5089700,6.00,6.00,5.00,5.00,4.00,7.13,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5089719,9.00,8.00,5.00,8.00,9.00,10.13,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5089727,4.00,6.00,1.00,6.00,5.00,9.38,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5089751,7.00,7.00,5.00,6.00,9.00,10.13,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5089778,5.00,6.00,5.00,7.00,6.00,7.13,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5089794,4.00,4.00,1.00,2.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5089808,5.00,6.00,3.00,4.00,6.00,7.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5089832,2.00,1.00,2.00,3.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5089840,7.00,7.00,2.00,7.00,10.00,11.63,3.00,6.00,8.00,NULL,NULL,NULL,'S'),(20,5089859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5089867,8.00,8.00,0.00,6.00,7.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5089883,5.00,5.00,4.00,6.00,5.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5089891,3.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5089905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5089913,6.00,2.00,2.00,6.00,5.00,9.38,5.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5089921,6.00,4.00,0.00,5.00,7.00,8.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5089930,3.00,8.00,1.00,6.00,6.00,8.63,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5089948,4.00,5.00,1.00,4.00,4.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5089964,7.00,7.00,3.00,5.00,8.00,7.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5089972,8.00,5.00,4.00,7.00,7.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5089980,7.00,5.00,3.00,8.00,9.00,7.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5089999,4.00,5.00,1.00,7.00,7.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5090008,7.00,4.00,5.00,5.00,6.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5090016,4.00,0.00,2.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5090024,3.00,5.00,0.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5090032,6.00,7.00,2.00,5.00,6.00,9.00,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5090040,7.00,7.00,7.00,6.00,6.00,9.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5090059,5.00,6.00,2.00,4.00,7.00,7.50,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5090067,7.00,5.00,5.00,7.00,8.00,6.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5090075,8.00,7.00,3.00,7.00,8.00,10.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5090083,6.00,6.00,5.00,4.00,6.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5090091,4.00,4.00,2.00,4.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5090113,9.00,8.00,4.00,6.00,8.00,7.50,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5090121,3.00,6.00,1.00,5.00,6.00,9.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5090156,9.00,6.00,5.00,7.00,8.00,10.13,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5090164,2.00,3.00,1.00,6.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5090172,6.00,6.00,1.00,6.00,5.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5090180,9.00,6.00,7.00,7.00,8.00,9.75,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5090199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5090202,7.00,7.00,0.00,6.00,6.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5090210,4.00,4.00,2.00,3.00,4.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5090229,5.00,6.00,3.00,7.00,6.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5090245,7.00,6.00,4.00,6.00,9.00,9.00,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5090261,9.00,5.00,2.00,7.00,9.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5090270,6.00,4.00,1.00,5.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5090296,4.00,6.00,1.00,4.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5090300,7.00,5.00,2.00,4.00,7.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5090318,7.00,7.00,2.00,4.00,6.00,7.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5090326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5090334,6.00,6.00,0.00,5.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5090342,6.00,6.00,3.00,7.00,6.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5090350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5090369,6.00,5.00,1.00,4.00,5.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5090377,6.00,5.00,2.00,6.00,5.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5090385,7.00,7.00,3.00,6.00,10.00,12.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5090393,3.00,6.00,4.00,4.00,6.00,8.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5090407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5090415,3.00,7.00,4.00,7.00,8.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5090423,4.00,6.00,1.00,5.00,6.00,10.88,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5090431,0.00,0.00,1.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5090440,3.00,4.00,2.00,5.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5090458,7.00,8.00,4.00,6.00,9.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5090466,8.00,7.00,2.00,7.00,9.00,11.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5090474,4.00,6.00,2.00,7.00,7.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5090482,3.00,3.00,1.00,2.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5090490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5090504,3.00,3.00,1.00,3.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5090520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5090539,5.00,5.00,2.00,7.00,8.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5090547,9.00,7.00,2.00,7.00,11.00,9.75,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5090555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5090563,8.00,7.00,5.00,7.00,10.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5090571,6.00,6.00,6.00,6.00,7.00,9.38,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5090580,6.00,3.00,5.00,5.00,6.00,10.50,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(20,5090598,2.00,3.00,1.00,2.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5090636,4.00,6.00,3.00,5.00,6.00,9.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5090644,7.00,7.00,7.00,4.00,4.00,6.00,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5090652,5.00,5.00,2.00,7.00,4.00,9.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5090660,4.00,4.00,0.00,4.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5090687,9.00,6.00,5.00,5.00,10.00,9.38,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5090717,6.00,5.00,7.00,7.00,6.00,8.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5090733,8.00,6.00,6.00,7.00,7.00,7.50,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5090750,9.00,5.00,2.00,4.00,7.00,10.88,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5090776,8.00,7.00,1.00,7.00,9.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5090792,4.00,6.00,0.00,4.00,4.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5090806,9.00,9.00,6.00,7.00,9.00,13.50,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5090814,8.00,7.00,4.00,7.00,9.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5090822,3.00,1.00,2.00,4.00,4.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5090830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5090865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5090881,4.00,3.00,1.00,3.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5090890,8.00,8.00,8.00,8.00,9.00,10.13,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5090903,1.00,5.00,2.00,5.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5090911,8.00,6.00,5.00,6.00,5.00,12.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5090920,8.00,7.00,2.00,6.00,9.00,9.38,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5090938,5.00,6.00,1.00,7.00,6.00,7.13,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5090946,6.00,5.00,2.00,6.00,9.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5090954,8.00,8.00,6.00,5.00,9.00,6.75,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5090962,8.00,7.00,6.00,7.00,8.00,10.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5090989,7.00,8.00,2.00,4.00,10.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5091004,3.00,6.00,0.00,3.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5091012,4.00,4.00,2.00,3.00,6.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5091020,6.00,5.00,0.00,6.00,8.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5091039,6.00,4.00,4.00,5.00,8.00,8.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5091047,5.00,5.00,0.00,6.00,7.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5091055,1.00,4.00,1.00,1.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5091071,6.00,4.00,4.00,6.00,7.00,8.63,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5091080,8.00,6.00,4.00,4.00,7.00,7.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5091098,3.00,7.00,2.00,7.00,5.00,7.13,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5091101,8.00,8.00,2.00,4.00,7.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5091110,6.00,6.00,2.00,4.00,9.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5091128,3.00,4.00,1.00,5.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5091136,5.00,5.00,1.00,4.00,5.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5091144,7.00,7.00,3.00,7.00,8.00,10.13,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5091152,7.00,5.00,3.00,6.00,7.00,0.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5091160,4.00,5.00,2.00,2.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5091179,3.00,7.00,4.00,3.00,6.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5091187,6.00,7.00,1.00,6.00,8.00,11.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5091195,3.00,6.00,3.00,6.00,7.00,10.13,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5091209,6.00,6.00,3.00,6.00,5.00,10.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5091217,5.00,8.00,6.00,6.00,7.00,8.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5091225,2.00,6.00,1.00,2.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5091233,3.00,2.00,0.00,2.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'S'),(20,5091241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5091250,6.00,7.00,3.00,3.00,5.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5091284,7.00,6.00,1.00,5.00,5.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5091292,9.00,7.00,1.00,5.00,8.00,10.88,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5091306,3.00,3.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5091314,7.00,6.00,8.00,7.00,8.00,8.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5091322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5091330,6.00,6.00,3.00,6.00,6.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5091349,9.00,8.00,5.00,7.00,10.00,11.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5091357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5091365,6.00,4.00,2.00,5.00,7.00,7.13,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5091373,1.00,3.00,3.00,5.00,8.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5091381,9.00,7.00,6.00,7.00,9.00,8.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5091390,7.00,7.00,1.00,7.00,8.00,7.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5091403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5091411,6.00,4.00,0.00,4.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'S'),(20,5091438,7.00,6.00,3.00,7.00,9.00,8.25,7.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5091446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5091454,4.00,3.00,0.00,2.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5091470,8.00,8.00,7.00,7.00,9.00,11.25,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5091497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5091500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5091519,8.00,7.00,2.00,4.00,6.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5091535,4.00,5.00,2.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5091543,8.00,6.00,4.00,7.00,8.00,8.63,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5091560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5091578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5091586,9.00,9.00,7.00,7.00,10.00,11.63,7.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5091594,7.00,6.00,5.00,7.00,8.00,7.88,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5091608,6.00,4.00,6.00,7.00,7.00,7.50,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5091616,5.00,4.00,1.00,5.00,6.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5091624,7.00,5.00,1.00,6.00,9.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5091632,9.00,8.00,5.00,7.00,8.00,11.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5091659,4.00,5.00,1.00,4.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5091667,7.00,6.00,4.00,5.00,5.00,10.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5091683,3.00,5.00,4.00,4.00,5.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5091691,6.00,6.00,4.00,7.00,7.00,7.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5091705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5091713,5.00,7.00,1.00,4.00,5.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5091721,9.00,8.00,8.00,5.00,11.00,12.00,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5091730,8.00,7.00,5.00,5.00,8.00,14.25,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5091748,6.00,8.00,3.00,7.00,9.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5091756,5.00,7.00,6.00,5.00,6.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5091764,6.00,7.00,2.00,6.00,10.00,9.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5091772,7.00,6.00,7.00,7.00,7.00,8.63,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5091799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5091802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5091810,8.00,6.00,2.00,5.00,8.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5091829,9.00,7.00,5.00,4.00,8.00,9.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5091837,7.00,6.00,0.00,4.00,7.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5091853,9.00,8.00,5.00,6.00,10.00,11.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5091870,3.00,5.00,5.00,7.00,5.00,11.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5091896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5091900,6.00,6.00,4.00,6.00,8.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5091918,5.00,6.00,3.00,5.00,8.00,9.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5091926,4.00,4.00,1.00,4.00,5.00,6.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5091942,8.00,4.00,2.00,4.00,10.00,10.13,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5091950,8.00,6.00,4.00,5.00,9.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5091969,5.00,6.00,4.00,4.00,5.00,10.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5091977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5091985,8.00,4.00,3.00,7.00,8.00,10.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5091993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5092000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5092019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5092027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5092035,3.00,4.00,1.00,3.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5092051,7.00,8.00,4.00,7.00,11.00,12.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5092086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5092094,9.00,6.00,7.00,6.00,10.00,9.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5092108,8.00,6.00,5.00,8.00,9.00,8.63,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5092116,4.00,6.00,0.00,5.00,6.00,8.63,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5092124,8.00,6.00,4.00,6.00,8.00,13.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5092167,4.00,3.00,1.00,1.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5092183,9.00,7.00,6.00,7.00,8.00,11.25,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5092191,3.00,4.00,0.00,6.00,6.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5092205,4.00,5.00,0.00,3.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5092213,2.00,4.00,0.00,3.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5092221,7.00,7.00,4.00,7.00,9.00,10.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5092230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5092248,5.00,5.00,0.00,6.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5092256,4.00,1.00,1.00,7.00,8.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5092264,5.00,4.00,3.00,6.00,5.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5092302,5.00,5.00,2.00,7.00,5.00,9.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5092310,2.00,7.00,1.00,1.00,1.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5092329,4.00,2.00,0.00,2.00,0.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5092345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5092353,7.00,9.00,4.00,3.00,6.00,6.75,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5092370,8.00,8.00,6.00,7.00,9.00,9.75,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5092388,4.00,5.00,4.00,7.00,4.00,9.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5092396,5.00,7.00,3.00,4.00,4.00,9.00,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5092400,1.00,0.00,2.00,4.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5092418,8.00,6.00,7.00,7.00,7.00,11.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5092426,5.00,2.00,0.00,0.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5092434,8.00,8.00,2.00,4.00,8.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5092442,9.00,8.00,9.00,8.00,8.00,9.38,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5092469,8.00,7.00,4.00,7.00,9.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5092477,6.00,6.00,4.00,4.00,6.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5092485,6.00,7.00,1.00,5.00,9.00,10.50,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5092507,8.00,7.00,7.00,8.00,9.00,9.38,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5092515,3.00,6.00,3.00,4.00,5.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5092523,6.00,4.00,4.00,4.00,5.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5092531,7.00,7.00,5.00,5.00,8.00,7.50,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5092540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5092558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5092566,2.00,5.00,2.00,2.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5092590,8.00,5.00,0.00,8.00,6.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5092604,8.00,9.00,5.00,7.00,7.00,7.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5092612,9.00,7.00,5.00,6.00,6.00,7.13,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5092620,1.00,5.00,0.00,3.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5092639,4.00,7.00,2.00,4.00,4.00,6.75,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5092647,9.00,7.00,6.00,7.00,7.00,7.88,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5092655,3.00,5.00,1.00,7.00,7.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5092663,7.00,7.00,2.00,5.00,6.00,7.88,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5092671,4.00,6.00,2.00,6.00,4.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5092680,6.00,7.00,3.00,7.00,7.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5092698,6.00,7.00,6.00,6.00,6.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5092701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5092710,8.00,5.00,3.00,6.00,5.00,10.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5092744,2.00,4.00,0.00,4.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5092752,9.00,7.00,7.00,7.00,5.00,9.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5092760,7.00,8.00,2.00,7.00,8.00,7.50,2.00,3.00,7.00,NULL,NULL,NULL,'S'),(20,5092779,2.00,6.00,5.00,3.00,5.00,4.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5092787,1.00,2.00,1.00,1.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5092795,4.00,4.00,2.00,5.00,5.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5092809,7.00,7.00,4.00,6.00,9.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5092817,7.00,7.00,4.00,7.00,10.00,9.38,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(20,5092825,6.00,3.00,1.00,7.00,4.00,7.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5092833,9.00,9.00,8.00,7.00,10.00,11.25,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5092841,6.00,4.00,1.00,6.00,7.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5092850,3.00,5.00,2.00,2.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5092868,7.00,6.00,6.00,6.00,7.00,8.63,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5092884,4.00,3.00,3.00,3.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5092892,6.00,5.00,6.00,6.00,9.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5092906,8.00,7.00,8.00,8.00,9.00,11.25,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5092914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5092949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5092965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5092973,5.00,5.00,2.00,4.00,6.00,6.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5092981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5092990,5.00,6.00,2.00,5.00,7.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5093007,6.00,8.00,2.00,5.00,9.00,7.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5093015,5.00,4.00,3.00,5.00,5.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5093023,0.00,0.00,0.00,3.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5093031,4.00,4.00,0.00,7.00,8.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5093040,0.00,3.00,0.00,1.00,2.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5093058,6.00,7.00,3.00,6.00,5.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5093066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5093074,6.00,6.00,2.00,7.00,8.00,7.88,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5093082,3.00,3.00,0.00,7.00,6.00,NULL,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5093090,8.00,8.00,7.00,7.00,9.00,7.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5093120,7.00,7.00,8.00,7.00,8.00,12.38,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5093139,6.00,8.00,6.00,3.00,3.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5093155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5093163,6.00,5.00,2.00,6.00,6.00,9.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5093180,7.00,6.00,2.00,6.00,8.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5093210,4.00,6.00,4.00,6.00,5.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5093228,9.00,8.00,5.00,7.00,8.00,7.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5093236,6.00,4.00,2.00,6.00,7.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5093244,8.00,3.00,1.00,6.00,6.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5093252,5.00,6.00,5.00,2.00,6.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5093260,5.00,5.00,3.00,5.00,9.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5093279,2.00,5.00,1.00,6.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5093287,4.00,6.00,0.00,3.00,5.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5093295,6.00,5.00,3.00,4.00,6.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5093309,4.00,3.00,2.00,4.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5093317,5.00,4.00,2.00,6.00,6.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5093325,8.00,7.00,4.00,7.00,11.00,9.75,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5093333,6.00,8.00,3.00,4.00,7.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5093341,6.00,7.00,4.00,7.00,8.00,7.50,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5093350,8.00,7.00,4.00,7.00,9.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5093368,5.00,6.00,1.00,7.00,7.00,8.63,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5093376,8.00,7.00,6.00,7.00,10.00,10.13,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5093392,9.00,7.00,3.00,5.00,11.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5093406,3.00,6.00,3.00,5.00,6.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5093422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5093430,8.00,7.00,6.00,6.00,8.00,9.38,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5093449,6.00,5.00,4.00,7.00,6.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5093457,7.00,5.00,3.00,3.00,9.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5093465,6.00,8.00,5.00,7.00,9.00,9.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5093473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5093481,7.00,5.00,3.00,5.00,8.00,10.13,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5093490,8.00,6.00,0.00,7.00,7.00,10.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5093503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5093511,8.00,8.00,7.00,7.00,9.00,8.63,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5093520,8.00,6.00,1.00,3.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5093538,8.00,8.00,5.00,7.00,6.00,6.75,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(20,5093546,6.00,5.00,3.00,6.00,5.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5093554,5.00,5.00,0.00,6.00,5.00,8.25,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5093562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5093570,7.00,3.00,2.00,5.00,7.00,10.13,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5093589,5.00,6.00,3.00,6.00,4.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5093597,4.00,5.00,4.00,7.00,8.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5093600,5.00,3.00,3.00,5.00,6.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5093627,6.00,6.00,0.00,7.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5093635,9.00,8.00,1.00,6.00,10.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5093643,6.00,4.00,4.00,6.00,6.00,8.25,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5093651,9.00,7.00,2.00,6.00,8.00,12.38,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5093660,7.00,7.00,0.00,7.00,8.00,7.13,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5093678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5093686,6.00,6.00,1.00,7.00,4.00,7.88,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5093694,8.00,8.00,5.00,7.00,7.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5093708,9.00,5.00,2.00,7.00,9.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5093716,6.00,4.00,3.00,3.00,6.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5093724,5.00,4.00,1.00,2.00,4.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5093732,7.00,6.00,4.00,5.00,8.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5093740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5093767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5093775,5.00,7.00,0.00,6.00,9.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5093783,8.00,5.00,4.00,7.00,8.00,9.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5093791,6.00,4.00,3.00,7.00,7.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5093805,9.00,4.00,3.00,7.00,9.00,13.13,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5093813,6.00,3.00,1.00,4.00,5.00,10.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5093821,7.00,6.00,4.00,7.00,5.00,7.88,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5093830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5093848,5.00,6.00,2.00,7.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5093856,8.00,8.00,6.00,6.00,8.00,9.38,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5093864,4.00,7.00,4.00,5.00,6.00,11.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5093872,5.00,4.00,1.00,5.00,7.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5093880,9.00,6.00,7.00,6.00,8.00,7.13,6.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5093902,3.00,7.00,1.00,4.00,4.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5093929,4.00,2.00,0.00,3.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5093945,8.00,8.00,3.00,7.00,7.00,8.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5093953,7.00,4.00,3.00,6.00,10.00,10.50,6.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5093961,4.00,2.00,0.00,1.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5093988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5094003,2.00,2.00,0.00,1.00,4.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5094011,4.00,8.00,6.00,4.00,6.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5094020,9.00,8.00,5.00,7.00,7.00,9.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5094038,4.00,3.00,4.00,3.00,5.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5094046,4.00,6.00,1.00,2.00,4.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5094089,1.00,7.00,1.00,3.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5094097,4.00,3.00,1.00,3.00,6.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5094100,4.00,5.00,0.00,4.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5094119,6.00,7.00,4.00,4.00,9.00,7.88,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5094127,2.00,4.00,0.00,1.00,4.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5094135,8.00,4.00,0.00,7.00,8.00,7.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5094143,9.00,7.00,7.00,7.00,9.00,12.00,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5094160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5094186,8.00,5.00,5.00,7.00,6.00,6.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5094194,5.00,6.00,6.00,7.00,6.00,8.25,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5094208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5094216,8.00,6.00,5.00,7.00,8.00,9.00,4.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5094224,7.00,8.00,8.00,7.00,9.00,8.63,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5094232,5.00,7.00,1.00,7.00,9.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5094240,4.00,5.00,1.00,6.00,6.00,9.75,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5094259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5094267,6.00,6.00,3.00,5.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5094275,7.00,5.00,4.00,6.00,8.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5094283,8.00,6.00,4.00,5.00,10.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5094291,4.00,8.00,3.00,5.00,8.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5094305,4.00,5.00,6.00,7.00,8.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5094321,7.00,5.00,3.00,7.00,7.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5094348,8.00,7.00,7.00,6.00,7.00,9.38,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5094356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5094372,3.00,5.00,4.00,5.00,7.00,NULL,0.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5094380,3.00,5.00,3.00,5.00,8.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5094410,8.00,7.00,8.00,8.00,10.00,8.63,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5094429,4.00,3.00,2.00,5.00,6.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5094453,6.00,4.00,2.00,8.00,7.00,10.88,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5094461,8.00,6.00,5.00,7.00,10.00,6.38,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5094470,7.00,9.00,8.00,7.00,9.00,11.25,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5094496,8.00,7.00,5.00,8.00,10.00,10.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5094500,8.00,6.00,5.00,7.00,8.00,9.38,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5094518,7.00,7.00,2.00,6.00,9.00,6.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5094526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5094534,7.00,7.00,5.00,2.00,6.00,10.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5094542,8.00,5.00,3.00,5.00,9.00,11.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5094550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5094569,8.00,6.00,4.00,7.00,5.00,8.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5094585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5094607,3.00,2.00,0.00,2.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5094615,6.00,5.00,2.00,6.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5094623,1.00,5.00,2.00,3.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5094631,6.00,6.00,1.00,4.00,7.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5094640,8.00,6.00,3.00,7.00,6.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5094658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5094666,2.00,7.00,2.00,5.00,7.00,9.75,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5094682,1.00,4.00,1.00,6.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5094712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5094720,7.00,6.00,4.00,5.00,7.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5094739,6.00,6.00,3.00,8.00,8.00,10.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5094755,3.00,3.00,0.00,5.00,3.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5094763,2.00,5.00,0.00,2.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5094771,1.00,6.00,0.00,3.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5094780,5.00,6.00,5.00,5.00,7.00,8.63,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5094798,7.00,7.00,4.00,3.00,7.00,9.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5094801,3.00,6.00,3.00,6.00,7.00,10.13,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5094836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5094844,3.00,3.00,0.00,5.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5094852,6.00,6.00,3.00,4.00,9.00,11.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5094879,5.00,7.00,1.00,0.00,6.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5094887,8.00,6.00,2.00,6.00,9.00,12.38,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5094895,8.00,6.00,6.00,7.00,7.00,9.38,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5094909,4.00,6.00,3.00,2.00,9.00,7.13,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5094917,4.00,4.00,0.00,3.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5094933,8.00,6.00,5.00,6.00,9.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5094941,6.00,6.00,3.00,7.00,6.00,9.00,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5094950,7.00,6.00,3.00,5.00,7.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5094968,6.00,6.00,3.00,7.00,8.00,12.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5094976,8.00,9.00,5.00,7.00,9.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5094984,7.00,4.00,4.00,7.00,8.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5094992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5095000,6.00,7.00,4.00,6.00,3.00,NULL,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5095026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5095034,5.00,7.00,3.00,5.00,8.00,6.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5095042,2.00,6.00,0.00,3.00,5.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5095069,7.00,5.00,3.00,4.00,9.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5095077,2.00,6.00,3.00,3.00,7.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5095085,8.00,9.00,7.00,7.00,9.00,9.75,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5095093,6.00,7.00,3.00,5.00,9.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5095107,2.00,6.00,0.00,2.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5095115,8.00,8.00,3.00,7.00,10.00,10.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5095131,3.00,4.00,2.00,5.00,6.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5095140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5095174,5.00,4.00,2.00,6.00,6.00,7.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5095190,6.00,6.00,0.00,6.00,7.00,10.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5095204,5.00,3.00,2.00,5.00,7.00,9.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5095212,5.00,0.00,1.00,6.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5095220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5095239,6.00,6.00,7.00,7.00,5.00,10.88,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5095247,6.00,5.00,1.00,5.00,6.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5095255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5095271,4.00,4.00,1.00,4.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5095280,8.00,7.00,4.00,6.00,7.00,8.63,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5095328,4.00,4.00,1.00,4.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5095344,9.00,8.00,5.00,8.00,9.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5095379,6.00,7.00,5.00,8.00,6.00,8.63,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5095387,4.00,4.00,1.00,3.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5095395,5.00,6.00,4.00,8.00,6.00,8.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5095417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5095425,4.00,6.00,4.00,4.00,7.00,8.63,6.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5095433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5095450,8.00,8.00,6.00,7.00,10.00,8.63,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5095468,5.00,4.00,5.00,7.00,8.00,8.63,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5095492,5.00,6.00,1.00,5.00,7.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5095506,7.00,3.00,1.00,7.00,9.00,9.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5095514,8.00,5.00,2.00,7.00,9.00,12.38,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5095530,2.00,5.00,2.00,3.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5095549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5095565,5.00,7.00,2.00,6.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5095573,6.00,5.00,1.00,7.00,6.00,12.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5095603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5095611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5095620,4.00,4.00,4.00,3.00,5.00,9.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5095638,5.00,5.00,3.00,6.00,8.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5095646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5095654,5.00,6.00,1.00,3.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5095662,1.00,4.00,4.00,5.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5095670,4.00,7.00,4.00,7.00,6.00,7.50,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5095689,5.00,5.00,0.00,5.00,7.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5095697,8.00,8.00,6.00,7.00,10.00,7.88,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5095700,8.00,7.00,2.00,5.00,8.00,9.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5095719,9.00,7.00,7.00,7.00,6.00,9.00,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5095727,6.00,5.00,4.00,7.00,5.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5095735,6.00,5.00,2.00,5.00,7.00,9.00,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5095743,9.00,6.00,9.00,6.00,6.00,9.00,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5095751,3.00,6.00,1.00,7.00,7.00,9.38,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5095760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5095778,4.00,6.00,3.00,2.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5095786,5.00,7.00,5.00,7.00,8.00,6.38,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5095794,4.00,7.00,2.00,4.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5095816,9.00,7.00,5.00,7.00,8.00,12.75,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5095832,7.00,6.00,4.00,6.00,8.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5095840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5095859,6.00,5.00,2.00,6.00,7.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5095867,6.00,5.00,4.00,6.00,4.00,7.13,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5095875,3.00,4.00,6.00,7.00,6.00,11.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5095883,4.00,5.00,0.00,3.00,7.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5095905,8.00,7.00,7.00,7.00,9.00,10.50,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5095913,6.00,5.00,2.00,3.00,9.00,10.13,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5095921,4.00,7.00,2.00,3.00,8.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5095930,2.00,6.00,4.00,5.00,9.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5095948,3.00,4.00,1.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5095956,3.00,5.00,2.00,5.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5095964,4.00,5.00,0.00,3.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5095972,3.00,6.00,0.00,4.00,6.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5095999,6.00,6.00,4.00,5.00,8.00,9.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5096006,2.00,3.00,2.00,5.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5096022,6.00,4.00,4.00,7.00,6.00,7.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5096049,9.00,7.00,5.00,7.00,10.00,10.50,9.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5096065,6.00,3.00,2.00,4.00,6.00,6.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5096073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5096081,8.00,7.00,3.00,6.00,7.00,9.38,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5096090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5096111,9.00,5.00,2.00,6.00,5.00,9.00,5.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5096138,3.00,5.00,3.00,7.00,4.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5096154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5096170,7.00,6.00,4.00,7.00,9.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5096189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5096200,7.00,6.00,1.00,6.00,6.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5096219,5.00,5.00,4.00,7.00,10.00,11.63,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5096235,7.00,7.00,3.00,7.00,8.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5096243,3.00,5.00,4.00,7.00,7.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5096251,2.00,3.00,1.00,5.00,7.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5096278,8.00,8.00,3.00,6.00,7.00,9.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5096286,7.00,8.00,3.00,7.00,5.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5096316,8.00,8.00,4.00,7.00,11.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5096324,8.00,7.00,7.00,6.00,8.00,9.00,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5096340,7.00,7.00,0.00,6.00,6.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5096359,6.00,7.00,4.00,6.00,7.00,11.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5096367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5096383,7.00,6.00,3.00,7.00,8.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5096391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5096405,4.00,7.00,1.00,4.00,4.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5096413,2.00,5.00,1.00,3.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5096430,7.00,6.00,3.00,3.00,6.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5096472,9.00,8.00,7.00,4.00,10.00,9.00,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5096480,7.00,8.00,0.00,6.00,8.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5096499,7.00,8.00,3.00,7.00,8.00,9.00,6.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5096502,2.00,2.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5096510,8.00,7.00,4.00,3.00,7.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5096529,6.00,6.00,4.00,3.00,6.00,3.75,0.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5096537,7.00,5.00,0.00,2.00,5.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5096545,9.00,7.00,8.00,8.00,7.00,8.63,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5096553,3.00,4.00,1.00,2.00,6.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5096570,6.00,7.00,4.00,5.00,7.00,10.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5096588,2.00,4.00,0.00,2.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5096596,5.00,3.00,1.00,5.00,9.00,6.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5096618,6.00,6.00,1.00,4.00,5.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5096626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5096634,7.00,7.00,7.00,6.00,8.00,8.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5096669,3.00,4.00,0.00,5.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5096677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5096685,5.00,7.00,3.00,4.00,8.00,6.00,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5096715,8.00,6.00,1.00,7.00,5.00,6.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5096723,5.00,7.00,4.00,6.00,6.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5096731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5096740,5.00,5.00,2.00,4.00,5.00,5.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5096758,7.00,6.00,3.00,5.00,9.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5096766,1.00,3.00,1.00,3.00,1.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5096774,6.00,5.00,2.00,5.00,7.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5096790,2.00,4.00,1.00,7.00,4.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5096804,6.00,8.00,1.00,6.00,9.00,8.63,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5096812,0.00,2.00,0.00,0.00,0.00,NULL,1.00,1.00,2.00,'S',NULL,'S','N'),(20,5096839,9.00,9.00,4.00,7.00,9.00,9.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5096847,4.00,6.00,4.00,5.00,6.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5096855,6.00,6.00,2.00,6.00,6.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5096863,8.00,4.00,0.00,4.00,4.00,6.00,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5096880,3.00,4.00,0.00,2.00,4.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5096898,6.00,3.00,3.00,4.00,7.00,6.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5096901,9.00,6.00,1.00,6.00,9.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5096910,5.00,6.00,0.00,6.00,7.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5096936,3.00,2.00,1.00,2.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5096952,3.00,4.00,4.00,6.00,7.00,9.38,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5096960,5.00,5.00,2.00,7.00,10.00,7.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5096979,4.00,5.00,3.00,4.00,6.00,7.88,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5096987,3.00,6.00,1.00,4.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5096995,3.00,6.00,2.00,1.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5097002,6.00,5.00,2.00,4.00,7.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5097010,5.00,7.00,5.00,6.00,7.00,7.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5097045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5097053,5.00,6.00,1.00,4.00,7.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5097061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5097070,9.00,8.00,6.00,5.00,9.00,8.25,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5097134,8.00,7.00,3.00,7.00,4.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5097142,4.00,5.00,2.00,1.00,8.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5097150,5.00,7.00,3.00,6.00,6.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5097169,6.00,6.00,0.00,7.00,6.00,7.13,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5097177,4.00,6.00,3.00,5.00,7.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5097185,4.00,6.00,2.00,5.00,5.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5097193,6.00,7.00,1.00,2.00,6.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5097207,3.00,5.00,1.00,3.00,6.00,NULL,0.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5097215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5097223,7.00,7.00,7.00,6.00,7.00,9.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5097231,7.00,7.00,3.00,7.00,4.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5097240,6.00,3.00,0.00,4.00,8.00,10.50,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5097258,8.00,8.00,7.00,4.00,5.00,9.38,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5097266,5.00,4.00,3.00,4.00,5.00,9.00,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5097274,7.00,8.00,1.00,6.00,8.00,6.00,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5097282,9.00,8.00,8.00,7.00,10.00,7.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5097290,5.00,2.00,6.00,5.00,6.00,7.50,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5097312,7.00,4.00,2.00,5.00,7.00,9.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5097320,4.00,0.00,1.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5097339,2.00,3.00,1.00,2.00,3.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5097355,5.00,4.00,1.00,6.00,5.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5097371,4.00,6.00,1.00,8.00,6.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5097380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5097398,6.00,3.00,3.00,2.00,5.00,6.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5097401,1.00,4.00,1.00,1.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5097410,6.00,4.00,1.00,5.00,7.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5097428,7.00,6.00,3.00,7.00,8.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5097436,5.00,3.00,4.00,3.00,6.00,9.38,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5097444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5097452,3.00,3.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5097460,8.00,6.00,6.00,5.00,9.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5097487,3.00,5.00,0.00,4.00,7.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5097495,5.00,6.00,1.00,1.00,4.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5097509,3.00,7.00,1.00,2.00,7.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5097517,8.00,5.00,3.00,4.00,6.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5097525,3.00,6.00,4.00,2.00,0.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5097533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5097541,6.00,7.00,5.00,5.00,8.00,12.00,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5097550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5097568,4.00,4.00,2.00,3.00,6.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5097576,6.00,6.00,3.00,5.00,7.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5097584,8.00,7.00,1.00,4.00,6.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5097606,6.00,5.00,2.00,3.00,4.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5097614,2.00,6.00,0.00,6.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5097622,4.00,7.00,5.00,7.00,9.00,6.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5097630,7.00,6.00,3.00,7.00,7.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5097649,9.00,5.00,5.00,6.00,10.00,8.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5097657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5097665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5097690,7.00,8.00,4.00,7.00,11.00,12.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5097703,5.00,4.00,2.00,4.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5097711,8.00,8.00,4.00,7.00,6.00,9.38,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5097720,5.00,7.00,1.00,2.00,7.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5097746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5097754,6.00,7.00,2.00,6.00,9.00,10.13,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5097762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5097789,4.00,4.00,3.00,6.00,4.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5097835,4.00,4.00,1.00,5.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5097843,5.00,5.00,3.00,2.00,6.00,11.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5097851,7.00,5.00,1.00,3.00,7.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5097878,3.00,5.00,4.00,2.00,5.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5097886,8.00,7.00,7.00,4.00,9.00,9.00,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5097908,4.00,4.00,4.00,3.00,6.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5097924,5.00,5.00,3.00,5.00,5.00,7.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5097940,9.00,6.00,3.00,7.00,9.00,9.75,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5097959,6.00,5.00,0.00,4.00,4.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5097967,1.00,2.00,1.00,1.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5097975,1.00,5.00,2.00,4.00,7.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5097983,3.00,5.00,1.00,3.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5098009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5098017,2.00,5.00,1.00,6.00,4.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5098025,5.00,8.00,4.00,6.00,6.00,7.88,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5098033,5.00,4.00,1.00,5.00,4.00,8.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5098041,8.00,5.00,4.00,5.00,7.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5098050,3.00,3.00,0.00,5.00,4.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5098076,9.00,6.00,3.00,6.00,10.00,7.13,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5098092,6.00,4.00,3.00,5.00,10.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5098106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5098122,6.00,6.00,2.00,3.00,8.00,6.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5098130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5098149,6.00,6.00,4.00,3.00,7.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5098157,9.00,9.00,6.00,7.00,11.00,10.50,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5098165,5.00,7.00,2.00,5.00,4.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5098181,5.00,4.00,0.00,2.00,9.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5098190,7.00,6.00,5.00,6.00,6.00,7.50,0.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5098203,2.00,4.00,0.00,2.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5098220,1.00,4.00,1.00,1.00,5.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5098238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5098246,7.00,8.00,2.00,5.00,9.00,10.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5098254,7.00,3.00,4.00,5.00,6.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5098297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5098300,6.00,8.00,2.00,6.00,10.00,7.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5098319,6.00,6.00,1.00,6.00,5.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5098327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5098335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5098343,3.00,8.00,2.00,2.00,7.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5098351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5098378,4.00,7.00,1.00,5.00,4.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5098386,8.00,8.00,6.00,5.00,8.00,8.25,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5098394,2.00,3.00,4.00,7.00,4.00,6.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5098408,7.00,6.00,2.00,5.00,8.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5098432,6.00,5.00,2.00,6.00,6.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5098459,1.00,4.00,1.00,5.00,8.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5098467,1.00,4.00,0.00,2.00,2.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5098483,8.00,7.00,2.00,5.00,7.00,9.75,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5098491,6.00,5.00,3.00,1.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5098521,7.00,6.00,6.00,4.00,8.00,11.63,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5098530,6.00,7.00,2.00,6.00,6.00,9.00,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5098556,4.00,5.00,1.00,5.00,6.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5098564,3.00,4.00,1.00,3.00,7.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5098572,8.00,7.00,6.00,7.00,8.00,11.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5098580,3.00,6.00,2.00,1.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5098599,7.00,4.00,3.00,7.00,8.00,9.38,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5098602,8.00,6.00,3.00,8.00,9.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5098610,4.00,6.00,1.00,3.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5098629,4.00,4.00,4.00,5.00,8.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5098637,1.00,5.00,4.00,6.00,3.00,NULL,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5098645,7.00,7.00,4.00,6.00,7.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5098661,6.00,5.00,0.00,4.00,5.00,8.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5098670,7.00,7.00,7.00,2.00,7.00,6.00,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5098696,6.00,7.00,1.00,3.00,6.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5098700,8.00,6.00,3.00,7.00,8.00,12.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5098726,7.00,6.00,4.00,6.00,6.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5098734,6.00,6.00,2.00,5.00,7.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5098750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5098769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5098777,4.00,5.00,2.00,4.00,6.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5098785,2.00,3.00,2.00,7.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5098793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5098807,3.00,4.00,2.00,2.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5098815,10.00,8.00,5.00,6.00,9.00,10.13,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5098823,4.00,4.00,3.00,5.00,6.00,6.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5098831,1.00,3.00,1.00,7.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5098858,4.00,7.00,4.00,2.00,8.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5098874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5098882,8.00,8.00,3.00,4.00,9.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5098890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5098920,3.00,7.00,2.00,6.00,6.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5098947,9.00,9.00,7.00,7.00,10.00,11.25,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5098955,6.00,4.00,2.00,6.00,4.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5098963,9.00,6.00,5.00,5.00,4.00,11.63,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5098998,8.00,6.00,4.00,5.00,10.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5099005,5.00,6.00,4.00,6.00,9.00,7.50,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5099030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5099048,5.00,7.00,4.00,3.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5099056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5099064,1.00,3.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5099099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5099110,7.00,6.00,0.00,4.00,6.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5099129,1.00,0.00,1.00,3.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5099137,8.00,5.00,5.00,5.00,5.00,7.50,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5099145,6.00,7.00,6.00,7.00,9.00,10.88,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5099153,2.00,4.00,3.00,4.00,7.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5099161,5.00,7.00,3.00,4.00,7.00,10.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5099170,7.00,6.00,3.00,5.00,5.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5099188,7.00,7.00,2.00,6.00,7.00,12.00,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5099200,3.00,6.00,1.00,5.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5099218,7.00,7.00,4.00,5.00,6.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5099226,8.00,5.00,3.00,7.00,9.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5099242,6.00,8.00,1.00,6.00,8.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5099250,5.00,6.00,3.00,5.00,7.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5099277,3.00,5.00,3.00,4.00,4.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5099285,4.00,3.00,0.00,3.00,8.00,10.88,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5099293,9.00,6.00,3.00,7.00,7.00,11.63,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5099307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5099323,9.00,7.00,6.00,8.00,9.00,8.63,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5099331,7.00,6.00,3.00,5.00,6.00,10.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5099340,8.00,6.00,3.00,7.00,6.00,6.75,4.00,7.00,5.00,NULL,NULL,NULL,'S'),(20,5099358,5.00,5.00,4.00,0.00,5.00,8.63,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5099366,7.00,7.00,4.00,6.00,7.00,9.00,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5099374,7.00,7.00,1.00,2.00,7.00,9.38,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5099382,4.00,4.00,2.00,7.00,7.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5099390,6.00,5.00,3.00,5.00,7.00,10.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5099404,8.00,6.00,3.00,7.00,7.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5099412,9.00,9.00,7.00,7.00,10.00,12.38,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5099420,5.00,6.00,3.00,5.00,8.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5099439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5099447,9.00,5.00,2.00,6.00,7.00,12.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5099455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5099463,5.00,6.00,3.00,3.00,6.00,8.63,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5099471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5099498,8.00,6.00,1.00,5.00,6.00,9.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5099501,6.00,6.00,2.00,7.00,8.00,7.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5099510,7.00,8.00,6.00,7.00,8.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5099528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5099552,7.00,5.00,2.00,2.00,6.00,9.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5099560,7.00,6.00,6.00,6.00,5.00,6.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5099579,4.00,6.00,2.00,3.00,6.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5099609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5099617,6.00,5.00,5.00,4.00,3.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5099625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5099633,5.00,4.00,3.00,4.00,5.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5099641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5099650,7.00,8.00,5.00,7.00,9.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5099668,4.00,6.00,2.00,4.00,7.00,6.38,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5099676,8.00,7.00,1.00,6.00,6.00,10.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5099684,8.00,5.00,3.00,4.00,7.00,11.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5099692,5.00,6.00,2.00,6.00,8.00,10.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5099706,5.00,6.00,1.00,4.00,5.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5099722,9.00,7.00,2.00,1.00,7.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5099730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5099757,9.00,5.00,8.00,4.00,9.00,10.50,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5099773,1.00,4.00,3.00,2.00,6.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5099781,2.00,3.00,1.00,6.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5099803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5099820,8.00,7.00,6.00,8.00,7.00,9.38,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5099838,6.00,6.00,1.00,4.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5099846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5099854,5.00,6.00,5.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5099862,9.00,8.00,3.00,5.00,8.00,7.13,2.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5099870,6.00,6.00,5.00,4.00,8.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5099889,6.00,8.00,4.00,6.00,8.00,11.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5099897,4.00,6.00,2.00,4.00,4.00,6.75,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5099900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5099919,4.00,3.00,2.00,1.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5099927,3.00,6.00,4.00,6.00,7.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5099935,5.00,4.00,3.00,3.00,7.00,7.50,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5099943,2.00,6.00,0.00,5.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5099951,6.00,4.00,4.00,1.00,6.00,0.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5099960,6.00,5.00,0.00,7.00,8.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5099978,3.00,2.00,3.00,5.00,1.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5099986,7.00,5.00,4.00,7.00,6.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5099994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5100003,1.00,6.00,0.00,4.00,7.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5100011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5100038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5100046,6.00,6.00,0.00,7.00,7.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5100054,5.00,7.00,4.00,5.00,8.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5100062,2.00,3.00,1.00,4.00,9.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5100089,6.00,7.00,2.00,7.00,5.00,7.50,0.00,2.00,7.00,NULL,NULL,NULL,'S'),(20,5100100,3.00,3.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5100119,8.00,8.00,1.00,7.00,9.00,10.88,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5100127,3.00,5.00,1.00,3.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5100135,2.00,3.00,0.00,1.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5100151,3.00,0.00,1.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5100160,7.00,5.00,1.00,7.00,9.00,9.75,2.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5100186,3.00,4.00,0.00,7.00,7.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5100194,9.00,7.00,5.00,7.00,11.00,8.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5100208,3.00,5.00,1.00,1.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5100224,5.00,4.00,1.00,4.00,8.00,7.13,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5100232,6.00,6.00,4.00,5.00,7.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5100240,4.00,7.00,3.00,7.00,5.00,6.00,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5100259,8.00,4.00,2.00,4.00,7.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5100275,8.00,7.00,2.00,4.00,9.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5100283,9.00,5.00,5.00,6.00,10.00,7.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5100291,5.00,6.00,0.00,3.00,4.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5100305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5100313,2.00,3.00,1.00,3.00,8.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5100330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5100348,2.00,5.00,1.00,6.00,6.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5100356,3.00,4.00,3.00,2.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5100372,2.00,3.00,3.00,3.00,6.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5100380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5100402,5.00,5.00,2.00,4.00,4.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5100410,8.00,7.00,5.00,6.00,8.00,10.13,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5100429,4.00,5.00,2.00,2.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5100437,5.00,5.00,0.00,7.00,8.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5100445,4.00,2.00,2.00,3.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5100453,3.00,4.00,2.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5100461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5100470,5.00,6.00,3.00,3.00,3.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5100488,6.00,4.00,0.00,3.00,6.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5100496,1.00,2.00,2.00,2.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5100500,6.00,5.00,2.00,4.00,4.00,10.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5100526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5100534,4.00,6.00,0.00,3.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5100542,3.00,5.00,0.00,7.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5100550,5.00,5.00,4.00,5.00,6.00,11.25,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5100569,3.00,4.00,4.00,3.00,6.00,4.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5100577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5100585,4.00,1.00,0.00,4.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5100593,4.00,5.00,3.00,4.00,6.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5100623,2.00,6.00,3.00,5.00,5.00,10.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5100631,7.00,5.00,3.00,6.00,10.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5100640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5100658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5100666,2.00,4.00,1.00,7.00,7.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5100674,7.00,6.00,4.00,5.00,9.00,7.13,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5100682,5.00,4.00,1.00,6.00,7.00,8.63,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5100690,6.00,5.00,1.00,5.00,9.00,9.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5100704,1.00,5.00,1.00,4.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5100712,0.00,2.00,3.00,1.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5100720,2.00,3.00,5.00,8.00,6.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5100739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5100747,5.00,8.00,4.00,2.00,4.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5100755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5100763,4.00,4.00,0.00,1.00,6.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5100771,2.00,3.00,0.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5100780,3.00,4.00,2.00,4.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5100798,5.00,8.00,1.00,1.00,9.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5100810,6.00,7.00,1.00,6.00,7.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5100828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5100836,5.00,6.00,0.00,4.00,7.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5100852,3.00,6.00,6.00,7.00,8.00,7.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5100879,8.00,7.00,4.00,5.00,6.00,7.50,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5100887,5.00,6.00,4.00,4.00,7.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5100895,5.00,4.00,1.00,5.00,5.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5100909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5100917,5.00,4.00,0.00,4.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5100933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5100950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5100976,2.00,6.00,2.00,5.00,7.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5100984,2.00,3.00,0.00,4.00,5.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5100992,5.00,6.00,5.00,7.00,7.00,6.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5101000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5101018,5.00,7.00,3.00,2.00,6.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5101034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5101042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5101077,7.00,5.00,3.00,8.00,10.00,11.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5101085,3.00,5.00,1.00,5.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5101093,4.00,6.00,1.00,4.00,7.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5101115,9.00,6.00,4.00,5.00,6.00,9.00,4.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5101123,8.00,8.00,4.00,4.00,10.00,7.88,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5101140,6.00,6.00,2.00,5.00,9.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5101158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5101174,8.00,8.00,7.00,6.00,10.00,7.50,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5101182,4.00,6.00,1.00,5.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5101190,5.00,7.00,2.00,5.00,8.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5101204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5101212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5101220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5101247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5101255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5101263,7.00,8.00,5.00,7.00,9.00,11.63,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5101271,8.00,6.00,4.00,7.00,10.00,8.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5101298,7.00,5.00,2.00,5.00,5.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5101301,7.00,8.00,5.00,5.00,6.00,9.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5101310,2.00,5.00,0.00,2.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5101328,5.00,5.00,1.00,5.00,8.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5101336,8.00,6.00,1.00,4.00,8.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5101344,9.00,8.00,5.00,7.00,9.00,11.63,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5101352,3.00,6.00,1.00,2.00,5.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5101360,6.00,5.00,2.00,7.00,5.00,6.38,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5101379,6.00,6.00,2.00,6.00,9.00,7.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5101387,5.00,5.00,0.00,6.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5101409,5.00,7.00,6.00,5.00,4.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5101417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5101433,4.00,5.00,2.00,2.00,7.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5101476,9.00,8.00,6.00,8.00,11.00,11.25,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5101484,7.00,6.00,4.00,3.00,9.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5101492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5101506,2.00,1.00,1.00,4.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5101514,8.00,8.00,6.00,7.00,9.00,12.75,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5101522,6.00,6.00,2.00,8.00,6.00,6.38,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5101549,8.00,4.00,2.00,4.00,5.00,12.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5101557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5101565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5101573,3.00,5.00,0.00,1.00,8.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5101581,3.00,6.00,2.00,5.00,7.00,7.88,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5101611,6.00,7.00,1.00,5.00,6.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5101620,5.00,4.00,6.00,8.00,8.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5101646,2.00,5.00,1.00,6.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5101654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5101670,6.00,6.00,3.00,6.00,7.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5101689,8.00,7.00,7.00,6.00,10.00,9.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5101697,5.00,6.00,5.00,6.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5101735,0.00,5.00,1.00,4.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5101743,9.00,5.00,4.00,7.00,10.00,11.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5101751,5.00,5.00,1.00,7.00,9.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5101794,7.00,6.00,6.00,6.00,7.00,9.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5101808,7.00,6.00,3.00,4.00,6.00,6.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5101816,9.00,7.00,9.00,6.00,8.00,11.25,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5101840,3.00,6.00,2.00,5.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5101859,1.00,3.00,2.00,5.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5101867,8.00,4.00,3.00,6.00,7.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5101875,5.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5101883,3.00,5.00,1.00,4.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5101891,6.00,6.00,2.00,7.00,9.00,7.88,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5101921,5.00,7.00,2.00,7.00,6.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5101948,4.00,5.00,3.00,1.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5101972,7.00,6.00,1.00,4.00,7.00,8.63,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5101980,5.00,7.00,1.00,7.00,7.00,10.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5101999,2.00,5.00,2.00,5.00,8.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5102006,4.00,6.00,2.00,2.00,6.00,9.38,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5102014,7.00,5.00,4.00,6.00,6.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5102030,3.00,6.00,0.00,2.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5102049,7.00,7.00,5.00,6.00,8.00,10.88,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5102057,8.00,7.00,8.00,7.00,8.00,8.63,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5102065,3.00,5.00,1.00,3.00,2.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5102073,6.00,5.00,3.00,6.00,9.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5102081,4.00,5.00,3.00,7.00,8.00,10.50,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5102090,2.00,5.00,3.00,6.00,2.00,NULL,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5102103,9.00,5.00,4.00,6.00,8.00,9.00,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5102111,4.00,5.00,1.00,1.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5102120,9.00,8.00,6.00,7.00,7.00,10.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5102138,7.00,3.00,1.00,4.00,5.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5102146,5.00,6.00,2.00,5.00,7.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5102162,3.00,7.00,3.00,7.00,8.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5102170,6.00,8.00,5.00,7.00,4.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5102189,3.00,4.00,2.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5102200,8.00,4.00,3.00,8.00,4.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5102219,5.00,6.00,0.00,6.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5102227,4.00,2.00,3.00,3.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5102235,9.00,7.00,4.00,7.00,8.00,10.88,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5102243,8.00,6.00,1.00,7.00,10.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5102251,5.00,4.00,2.00,6.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5102278,5.00,7.00,6.00,7.00,4.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5102286,6.00,6.00,6.00,7.00,7.00,10.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5102294,2.00,2.00,1.00,4.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5102308,4.00,6.00,3.00,7.00,8.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5102316,2.00,5.00,3.00,5.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5102324,9.00,7.00,4.00,7.00,8.00,9.75,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5102332,7.00,6.00,5.00,5.00,8.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5102340,3.00,2.00,0.00,4.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5102359,7.00,7.00,0.00,5.00,10.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5102367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5102383,9.00,7.00,5.00,7.00,10.00,7.88,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5102391,4.00,7.00,1.00,4.00,6.00,7.50,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5102413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5102448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5102464,3.00,4.00,3.00,3.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5102472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5102480,6.00,6.00,0.00,6.00,5.00,9.00,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5102499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5102510,1.00,2.00,2.00,5.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5102529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5102537,5.00,4.00,4.00,4.00,6.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5102545,5.00,4.00,1.00,3.00,5.00,6.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5102553,4.00,5.00,2.00,7.00,5.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5102561,7.00,7.00,3.00,7.00,5.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5102588,5.00,0.00,0.00,4.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5102596,7.00,8.00,2.00,7.00,10.00,6.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5102618,5.00,6.00,1.00,5.00,6.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5102626,7.00,8.00,2.00,7.00,5.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5102634,5.00,6.00,0.00,6.00,5.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5102642,3.00,6.00,2.00,2.00,5.00,7.50,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5102650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5102669,1.00,2.00,0.00,2.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5102685,9.00,6.00,4.00,7.00,5.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5102693,9.00,8.00,6.00,7.00,9.00,8.25,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5102707,5.00,4.00,3.00,4.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,'S','N'),(20,5102715,8.00,8.00,8.00,7.00,10.00,9.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5102723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5102731,3.00,5.00,2.00,7.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5102740,8.00,8.00,7.00,7.00,8.00,9.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5102758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5102766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5102774,7.00,5.00,1.00,6.00,5.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5102782,9.00,9.00,6.00,7.00,10.00,7.50,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5102790,8.00,7.00,2.00,7.00,9.00,12.75,2.00,0.00,7.00,NULL,NULL,NULL,'N'),(20,5102812,4.00,6.00,4.00,7.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5102820,7.00,5.00,3.00,7.00,9.00,10.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5102839,7.00,5.00,4.00,8.00,5.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5102847,6.00,5.00,0.00,3.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5102871,7.00,7.00,4.00,8.00,10.00,10.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5102880,8.00,5.00,5.00,6.00,3.00,NULL,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5102901,6.00,7.00,4.00,5.00,9.00,9.75,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5102910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5102936,3.00,4.00,2.00,6.00,4.00,4.50,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5102944,7.00,7.00,2.00,2.00,9.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5102960,8.00,7.00,0.00,5.00,6.00,NULL,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5102979,5.00,4.00,4.00,6.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5102987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5102995,7.00,6.00,1.00,5.00,9.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5103002,6.00,7.00,3.00,6.00,7.00,10.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5103010,3.00,7.00,3.00,4.00,5.00,6.38,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5103029,6.00,7.00,4.00,4.00,7.00,7.88,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5103037,6.00,7.00,5.00,7.00,8.00,9.38,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5103045,7.00,5.00,2.00,7.00,6.00,6.00,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5103053,6.00,6.00,0.00,6.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5103061,9.00,7.00,4.00,7.00,8.00,10.13,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5103096,6.00,8.00,3.00,6.00,5.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5103100,5.00,5.00,3.00,5.00,6.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5103118,8.00,6.00,2.00,8.00,9.00,10.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5103126,8.00,7.00,3.00,7.00,9.00,11.25,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5103134,4.00,5.00,0.00,3.00,6.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5103142,7.00,6.00,4.00,5.00,5.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5103193,5.00,4.00,0.00,7.00,8.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5103207,9.00,9.00,6.00,7.00,10.00,11.63,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5103223,10.00,7.00,7.00,8.00,10.00,9.38,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5103231,7.00,7.00,5.00,6.00,8.00,9.00,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5103240,6.00,6.00,1.00,7.00,9.00,11.25,5.00,6.00,6.00,NULL,NULL,NULL,'S'),(20,5103258,9.00,9.00,8.00,7.00,9.00,10.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5103266,1.00,3.00,1.00,1.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5103274,8.00,0.00,2.00,5.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5103282,5.00,7.00,2.00,5.00,7.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5103290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5103320,6.00,5.00,1.00,3.00,5.00,4.88,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5103339,4.00,7.00,1.00,4.00,8.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5103347,3.00,6.00,7.00,7.00,4.00,7.50,6.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5103355,4.00,4.00,3.00,3.00,6.00,7.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5103363,6.00,5.00,3.00,7.00,5.00,8.63,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5103371,4.00,5.00,2.00,2.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5103398,5.00,6.00,5.00,4.00,8.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5103401,6.00,6.00,3.00,7.00,8.00,11.63,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5103410,6.00,7.00,6.00,6.00,10.00,9.75,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5103428,3.00,6.00,2.00,3.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5103444,3.00,4.00,3.00,4.00,7.00,6.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5103452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5103460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5103487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5103495,6.00,7.00,4.00,5.00,8.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5103517,4.00,5.00,2.00,5.00,6.00,7.13,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5103525,6.00,7.00,2.00,6.00,9.00,8.25,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5103533,5.00,6.00,3.00,7.00,8.00,7.88,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5103550,9.00,7.00,2.00,8.00,7.00,7.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5103568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5103576,4.00,6.00,0.00,4.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5103584,5.00,3.00,2.00,5.00,9.00,6.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5103592,9.00,7.00,5.00,4.00,9.00,9.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5103614,7.00,6.00,4.00,6.00,6.00,6.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5103622,2.00,4.00,0.00,2.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5103630,5.00,6.00,2.00,6.00,8.00,9.38,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5103649,5.00,6.00,7.00,5.00,9.00,7.88,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5103665,6.00,6.00,3.00,7.00,9.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5103681,3.00,7.00,2.00,6.00,5.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5103703,8.00,6.00,1.00,8.00,5.00,7.13,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5103711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5103738,6.00,5.00,2.00,3.00,7.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5103746,4.00,4.00,0.00,1.00,6.00,NULL,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5103754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5103762,7.00,4.00,3.00,4.00,8.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5103770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5103789,7.00,8.00,1.00,5.00,9.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5103819,2.00,4.00,1.00,2.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5103827,4.00,2.00,1.00,2.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5103835,2.00,3.00,0.00,3.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5103843,5.00,5.00,3.00,5.00,5.00,8.63,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5103851,6.00,8.00,2.00,7.00,6.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5103860,8.00,8.00,7.00,5.00,9.00,9.38,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5103878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5103894,6.00,6.00,1.00,4.00,7.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5103908,4.00,4.00,1.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5103924,8.00,8.00,2.00,5.00,9.00,11.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5103932,5.00,6.00,1.00,5.00,6.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5103940,8.00,8.00,3.00,7.00,9.00,8.25,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5103959,5.00,5.00,1.00,3.00,5.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5103967,3.00,4.00,0.00,1.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5103983,5.00,5.00,1.00,7.00,7.00,8.25,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5104017,4.00,6.00,2.00,2.00,4.00,6.75,0.00,5.00,4.00,NULL,NULL,NULL,'S'),(20,5104025,4.00,4.00,4.00,3.00,9.00,8.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5104033,1.00,4.00,2.00,4.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5104050,9.00,7.00,7.00,6.00,5.00,7.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5104068,5.00,7.00,2.00,5.00,7.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5104084,8.00,8.00,7.00,7.00,10.00,10.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5104092,5.00,6.00,1.00,6.00,5.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5104106,8.00,7.00,6.00,7.00,9.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5104122,2.00,5.00,2.00,7.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5104149,6.00,5.00,2.00,6.00,5.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(20,5104157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5104181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5104190,8.00,5.00,4.00,4.00,6.00,6.38,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5104203,6.00,6.00,2.00,7.00,7.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5104211,6.00,5.00,4.00,6.00,7.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5104220,7.00,8.00,2.00,7.00,7.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5104238,4.00,6.00,2.00,5.00,5.00,10.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5104246,7.00,7.00,2.00,7.00,7.00,7.13,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5104254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5104262,5.00,7.00,3.00,6.00,4.00,7.88,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5104270,6.00,7.00,3.00,7.00,8.00,11.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5104289,6.00,6.00,1.00,5.00,9.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5104297,4.00,5.00,4.00,4.00,5.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5104300,6.00,7.00,3.00,4.00,6.00,7.50,0.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5104319,4.00,4.00,3.00,0.00,6.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(20,5104327,3.00,5.00,0.00,2.00,6.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5104343,3.00,5.00,2.00,2.00,6.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5104351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5104360,2.00,3.00,3.00,3.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5104378,3.00,5.00,1.00,5.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5104416,1.00,5.00,0.00,4.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5104424,6.00,5.00,1.00,6.00,8.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5104432,8.00,8.00,7.00,6.00,10.00,8.25,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5104440,6.00,4.00,1.00,7.00,8.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5104459,6.00,6.00,2.00,6.00,7.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5104475,6.00,6.00,0.00,5.00,7.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5104505,9.00,5.00,3.00,5.00,5.00,8.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5104513,9.00,8.00,8.00,7.00,8.00,7.88,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5104521,5.00,5.00,2.00,4.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5104548,4.00,5.00,2.00,4.00,2.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5104564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5104572,7.00,6.00,6.00,7.00,6.00,7.88,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5104580,7.00,7.00,3.00,5.00,10.00,9.75,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5104599,4.00,6.00,2.00,7.00,7.00,8.63,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5104602,9.00,6.00,4.00,6.00,9.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5104610,5.00,6.00,2.00,5.00,8.00,6.75,5.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5104629,4.00,7.00,3.00,5.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5104637,7.00,5.00,5.00,6.00,9.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5104645,5.00,3.00,4.00,5.00,9.00,7.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5104653,6.00,6.00,3.00,4.00,7.00,9.75,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5104661,6.00,3.00,3.00,6.00,7.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5104688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5104696,7.00,7.00,6.00,6.00,6.00,10.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5104700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5104718,8.00,8.00,7.00,8.00,10.00,10.13,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5104734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5104750,5.00,7.00,0.00,7.00,7.00,12.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5104769,3.00,5.00,0.00,4.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5104777,7.00,8.00,2.00,7.00,10.00,11.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5104785,5.00,7.00,7.00,7.00,6.00,9.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5104807,3.00,6.00,2.00,4.00,7.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5104815,3.00,6.00,2.00,5.00,6.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5104823,8.00,7.00,4.00,7.00,8.00,8.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5104831,9.00,9.00,5.00,7.00,10.00,9.38,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5104840,3.00,7.00,4.00,5.00,6.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5104858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5104882,4.00,5.00,1.00,2.00,7.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5104890,6.00,5.00,1.00,7.00,9.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5104904,5.00,5.00,3.00,2.00,5.00,4.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5104920,8.00,5.00,4.00,8.00,6.00,10.13,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5104947,5.00,7.00,3.00,7.00,9.00,10.88,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5104955,6.00,5.00,4.00,2.00,7.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5104963,6.00,7.00,2.00,3.00,8.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5104971,4.00,6.00,3.00,6.00,5.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5104998,9.00,6.00,5.00,5.00,7.00,7.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5105013,3.00,5.00,1.00,7.00,7.00,11.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5105021,4.00,5.00,3.00,5.00,4.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5105030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5105048,7.00,6.00,8.00,4.00,4.00,9.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5105056,4.00,6.00,4.00,7.00,7.00,8.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5105064,3.00,6.00,2.00,2.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5105072,8.00,9.00,8.00,8.00,10.00,9.00,8.00,5.00,10.00,NULL,NULL,NULL,'N'),(20,5105080,8.00,7.00,5.00,7.00,6.00,7.13,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5105099,8.00,7.00,4.00,7.00,9.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5105102,9.00,7.00,1.00,6.00,5.00,10.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5105110,5.00,6.00,3.00,5.00,8.00,6.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5105129,8.00,8.00,5.00,7.00,8.00,7.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5105137,6.00,6.00,3.00,6.00,7.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5105145,3.00,3.00,1.00,2.00,7.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5105153,7.00,4.00,0.00,4.00,5.00,7.13,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5105161,7.00,5.00,1.00,3.00,8.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5105170,6.00,7.00,1.00,7.00,8.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5105188,0.00,5.00,5.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5105196,4.00,6.00,1.00,7.00,9.00,10.50,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5105200,8.00,7.00,8.00,7.00,8.00,9.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5105218,8.00,7.00,1.00,5.00,9.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5105234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5105242,6.00,9.00,5.00,7.00,9.00,7.88,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5105269,5.00,7.00,5.00,6.00,6.00,6.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5105285,6.00,5.00,1.00,2.00,4.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5105293,2.00,4.00,3.00,3.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5105307,6.00,5.00,5.00,0.00,4.00,6.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5105315,8.00,7.00,5.00,7.00,9.00,8.63,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5105323,8.00,8.00,4.00,8.00,9.00,7.50,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5105331,7.00,4.00,2.00,4.00,7.00,7.50,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5105340,7.00,5.00,6.00,7.00,6.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5105358,5.00,5.00,1.00,6.00,6.00,6.38,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5105366,6.00,2.00,1.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5105374,4.00,5.00,4.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5105382,8.00,8.00,6.00,8.00,8.00,8.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5105390,9.00,8.00,2.00,6.00,8.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5105404,2.00,6.00,0.00,7.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5105412,6.00,3.00,2.00,7.00,6.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5105420,4.00,3.00,1.00,7.00,7.00,9.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5105439,3.00,5.00,3.00,5.00,8.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5105447,7.00,6.00,6.00,6.00,8.00,10.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5105455,7.00,6.00,2.00,4.00,7.00,10.13,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5105463,3.00,5.00,0.00,2.00,4.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(20,5105471,6.00,6.00,2.00,7.00,7.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5105480,6.00,2.00,0.00,3.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5105498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5105510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5105528,8.00,8.00,4.00,6.00,8.00,7.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5105536,9.00,7.00,6.00,6.00,9.00,7.13,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5105544,5.00,4.00,1.00,3.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5105552,1.00,5.00,2.00,5.00,5.00,7.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5105560,4.00,3.00,0.00,4.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5105579,4.00,3.00,1.00,0.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5105587,7.00,3.00,3.00,4.00,9.00,10.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5105595,2.00,5.00,1.00,4.00,5.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5105609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5105617,5.00,6.00,2.00,6.00,9.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5105625,4.00,4.00,0.00,3.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5105633,0.00,0.00,3.00,5.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5105641,7.00,7.00,5.00,6.00,9.00,8.63,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5105650,7.00,6.00,4.00,4.00,6.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5105668,3.00,7.00,1.00,3.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5105676,6.00,7.00,4.00,7.00,5.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5105684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5105692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5105706,8.00,5.00,2.00,4.00,9.00,NULL,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5105714,4.00,7.00,3.00,3.00,5.00,9.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5105722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5105730,3.00,5.00,0.00,6.00,9.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5105749,7.00,5.00,3.00,5.00,6.00,10.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5105757,5.00,6.00,4.00,5.00,5.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5105765,9.00,6.00,7.00,7.00,10.00,9.00,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5105781,6.00,7.00,6.00,4.00,9.00,9.38,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5105803,6.00,7.00,2.00,5.00,5.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5105811,5.00,4.00,0.00,7.00,7.00,7.13,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5105820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5105846,3.00,4.00,1.00,6.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5105854,5.00,4.00,5.00,7.00,4.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5105862,9.00,8.00,3.00,7.00,10.00,9.38,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5105870,7.00,7.00,2.00,7.00,5.00,10.88,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5105889,8.00,6.00,6.00,7.00,10.00,9.38,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5105897,5.00,5.00,3.00,4.00,8.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5105900,3.00,6.00,0.00,4.00,5.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5105935,3.00,3.00,0.00,4.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5105943,7.00,7.00,3.00,6.00,5.00,6.38,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5105978,7.00,8.00,2.00,7.00,5.00,7.13,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5105986,3.00,6.00,1.00,1.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5105994,6.00,6.00,2.00,6.00,8.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5106010,7.00,7.00,3.00,7.00,8.00,9.38,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5106028,5.00,6.00,2.00,6.00,7.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5106036,8.00,5.00,8.00,5.00,9.00,8.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5106044,5.00,5.00,2.00,7.00,5.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5106052,4.00,2.00,1.00,4.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5106087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5106117,6.00,5.00,2.00,3.00,7.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5106125,6.00,7.00,5.00,6.00,8.00,9.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5106133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5106141,5.00,5.00,2.00,4.00,9.00,6.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5106150,7.00,5.00,0.00,3.00,5.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5106168,6.00,4.00,4.00,6.00,7.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5106176,7.00,7.00,2.00,7.00,9.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5106206,5.00,6.00,2.00,7.00,9.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5106214,6.00,6.00,2.00,7.00,7.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5106230,5.00,3.00,2.00,5.00,7.00,12.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5106249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5106265,1.00,5.00,3.00,6.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5106273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5106281,5.00,5.00,2.00,5.00,9.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5106303,4.00,7.00,3.00,6.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5106311,8.00,7.00,4.00,7.00,8.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5106320,5.00,2.00,0.00,6.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,'S','N'),(20,5106338,4.00,5.00,2.00,6.00,7.00,6.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5106346,4.00,4.00,1.00,3.00,5.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5106354,6.00,6.00,5.00,5.00,7.00,8.25,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5106362,5.00,3.00,2.00,5.00,5.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5106370,5.00,7.00,3.00,7.00,9.00,9.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5106389,5.00,6.00,1.00,5.00,6.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5106397,5.00,4.00,5.00,7.00,6.00,7.88,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5106400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5106419,0.00,4.00,0.00,0.00,0.00,NULL,1.00,3.00,5.00,'S',NULL,NULL,'N'),(20,5106427,6.00,8.00,4.00,7.00,7.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5106443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5106451,2.00,4.00,4.00,3.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5106460,1.00,6.00,0.00,4.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5106486,9.00,6.00,7.00,7.00,8.00,8.63,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5106508,3.00,5.00,2.00,6.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5106524,2.00,5.00,1.00,4.00,4.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5106559,1.00,6.00,2.00,6.00,5.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'S'),(20,5106567,8.00,7.00,3.00,3.00,8.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5106575,1.00,4.00,4.00,4.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5106583,6.00,6.00,1.00,5.00,7.00,10.13,3.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5106591,6.00,6.00,2.00,7.00,6.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5106605,7.00,6.00,4.00,5.00,4.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5106613,8.00,6.00,4.00,6.00,10.00,10.13,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5106621,5.00,6.00,1.00,6.00,8.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5106630,3.00,4.00,1.00,5.00,6.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5106656,2.00,6.00,1.00,4.00,5.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(20,5106664,4.00,6.00,1.00,6.00,6.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5106672,7.00,7.00,3.00,6.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5106680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5106699,2.00,5.00,2.00,4.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5106710,6.00,5.00,4.00,6.00,7.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5106729,6.00,5.00,2.00,4.00,4.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5106745,5.00,8.00,4.00,6.00,8.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5106753,5.00,4.00,0.00,6.00,5.00,9.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5106761,6.00,5.00,2.00,6.00,8.00,7.88,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5106770,8.00,5.00,2.00,5.00,7.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5106788,4.00,6.00,1.00,6.00,6.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5106796,9.00,6.00,2.00,7.00,7.00,12.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5106800,6.00,5.00,2.00,7.00,7.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5106818,1.00,4.00,0.00,2.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5106834,8.00,5.00,5.00,5.00,9.00,7.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5106842,5.00,1.00,2.00,2.00,6.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5106850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5106877,8.00,8.00,5.00,7.00,8.00,11.63,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5106885,4.00,3.00,1.00,3.00,4.00,7.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5106907,7.00,8.00,8.00,6.00,6.00,9.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5106923,7.00,5.00,1.00,7.00,9.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5106931,4.00,6.00,3.00,6.00,4.00,5.25,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5106940,8.00,7.00,3.00,5.00,7.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5106958,6.00,5.00,0.00,6.00,3.00,NULL,5.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5106974,5.00,7.00,0.00,7.00,8.00,7.13,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5106982,7.00,7.00,5.00,6.00,7.00,9.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5106990,1.00,4.00,1.00,4.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5107024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5107032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5107059,9.00,9.00,6.00,7.00,10.00,9.00,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5107067,5.00,6.00,2.00,3.00,6.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5107075,7.00,6.00,1.00,4.00,6.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5107083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5107113,5.00,0.00,1.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5107121,6.00,5.00,1.00,4.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5107130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5107148,8.00,5.00,4.00,5.00,8.00,6.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5107156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5107164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5107172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5107180,9.00,9.00,4.00,8.00,11.00,11.63,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5107199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5107202,3.00,7.00,4.00,5.00,6.00,7.13,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5107229,5.00,6.00,2.00,6.00,5.00,6.75,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5107237,9.00,6.00,2.00,6.00,6.00,7.50,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5107245,4.00,6.00,3.00,5.00,4.00,6.38,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5107253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5107261,8.00,7.00,2.00,7.00,8.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5107270,3.00,6.00,3.00,3.00,5.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5107300,5.00,4.00,0.00,4.00,6.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5107334,8.00,8.00,5.00,7.00,9.00,10.13,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5107342,7.00,8.00,7.00,5.00,6.00,8.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5107393,2.00,2.00,1.00,3.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5107415,6.00,5.00,2.00,7.00,8.00,9.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5107423,1.00,5.00,0.00,5.00,7.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'S'),(20,5107431,5.00,5.00,4.00,4.00,6.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5107466,7.00,7.00,2.00,5.00,7.00,7.13,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5107474,5.00,4.00,1.00,4.00,8.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5107482,4.00,6.00,2.00,4.00,1.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5107490,6.00,5.00,4.00,6.00,8.00,6.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5107520,1.00,3.00,0.00,1.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5107555,8.00,7.00,5.00,7.00,5.00,9.38,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5107563,5.00,3.00,0.00,4.00,4.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5107571,2.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5107580,1.00,3.00,4.00,6.00,3.00,NULL,1.00,0.00,4.00,NULL,NULL,'S','N'),(20,5107601,7.00,7.00,5.00,7.00,7.00,8.25,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5107628,9.00,8.00,7.00,7.00,10.00,10.50,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5107636,8.00,7.00,4.00,5.00,6.00,9.00,6.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5107652,6.00,3.00,5.00,6.00,4.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5107660,9.00,6.00,1.00,5.00,10.00,9.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5107679,8.00,7.00,4.00,7.00,9.00,9.75,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5107695,2.00,5.00,3.00,3.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5107709,8.00,8.00,6.00,4.00,7.00,11.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5107717,5.00,5.00,5.00,5.00,8.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5107725,2.00,2.00,1.00,2.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5107733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5107741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5107750,10.00,7.00,6.00,8.00,10.00,9.38,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5107776,6.00,6.00,1.00,7.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,'S','N'),(20,5107784,6.00,5.00,1.00,1.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5107792,1.00,4.00,0.00,3.00,3.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5107806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5107814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5107822,7.00,4.00,2.00,5.00,8.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5107830,6.00,5.00,2.00,4.00,6.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5107865,3.00,5.00,2.00,4.00,6.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5107873,3.00,5.00,4.00,7.00,6.00,6.38,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5107890,5.00,6.00,2.00,7.00,4.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5107903,5.00,6.00,3.00,8.00,6.00,9.38,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5107911,7.00,8.00,5.00,5.00,4.00,7.50,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5107920,5.00,5.00,4.00,5.00,7.00,9.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5107938,7.00,6.00,6.00,5.00,7.00,10.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5107946,5.00,6.00,3.00,5.00,8.00,12.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5107954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5107962,5.00,3.00,2.00,1.00,6.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5107970,7.00,4.00,7.00,7.00,9.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5107989,2.00,5.00,2.00,3.00,5.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5108004,9.00,8.00,8.00,7.00,11.00,11.25,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5108012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5108020,3.00,4.00,2.00,3.00,7.00,10.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5108039,4.00,8.00,3.00,3.00,5.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5108055,1.00,3.00,1.00,3.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5108063,9.00,8.00,2.00,5.00,10.00,12.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5108080,3.00,4.00,1.00,4.00,6.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5108101,9.00,8.00,5.00,6.00,9.00,9.38,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5108144,6.00,4.00,1.00,4.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5108160,4.00,3.00,0.00,2.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5108179,7.00,7.00,3.00,5.00,7.00,7.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5108195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5108209,7.00,7.00,5.00,5.00,8.00,8.63,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5108217,9.00,7.00,2.00,7.00,9.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5108233,4.00,5.00,0.00,2.00,7.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5108241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5108268,7.00,7.00,3.00,5.00,4.00,7.50,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5108276,6.00,7.00,5.00,7.00,9.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5108284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5108306,3.00,4.00,0.00,5.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5108349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5108357,5.00,4.00,1.00,2.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5108381,5.00,5.00,4.00,4.00,8.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5108390,7.00,5.00,0.00,7.00,7.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5108403,6.00,6.00,3.00,7.00,9.00,11.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5108411,3.00,4.00,0.00,3.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5108420,7.00,8.00,1.00,7.00,6.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5108438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5108446,4.00,5.00,0.00,4.00,7.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5108454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5108462,7.00,2.00,4.00,6.00,8.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5108470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5108489,9.00,9.00,6.00,7.00,9.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5108497,6.00,6.00,2.00,5.00,7.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5108500,4.00,4.00,2.00,3.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5108527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5108535,5.00,3.00,2.00,5.00,8.00,9.38,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5108543,4.00,2.00,2.00,3.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5108551,3.00,6.00,2.00,3.00,6.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5108560,4.00,7.00,0.00,4.00,8.00,6.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5108586,2.00,5.00,0.00,5.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5108594,5.00,6.00,4.00,4.00,8.00,9.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5108608,9.00,8.00,2.00,4.00,8.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5108616,8.00,7.00,2.00,5.00,6.00,6.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5108624,2.00,3.00,1.00,3.00,5.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5108632,5.00,5.00,0.00,3.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5108659,5.00,9.00,2.00,6.00,5.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5108675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5108683,6.00,7.00,4.00,5.00,9.00,8.25,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(20,5108691,3.00,6.00,0.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5108705,6.00,3.00,3.00,4.00,5.00,7.50,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5108713,9.00,8.00,5.00,7.00,7.00,8.25,5.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5108721,3.00,3.00,1.00,2.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5108748,6.00,7.00,3.00,4.00,5.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5108756,9.00,8.00,5.00,7.00,9.00,11.63,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5108772,4.00,6.00,3.00,5.00,7.00,10.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5108780,2.00,3.00,3.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5108799,2.00,4.00,4.00,2.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5108829,7.00,6.00,5.00,5.00,6.00,7.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5108870,3.00,4.00,1.00,2.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5108888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5108896,6.00,7.00,3.00,5.00,8.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5108918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5108926,5.00,5.00,3.00,7.00,4.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5108934,7.00,6.00,3.00,5.00,9.00,10.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5108969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5109000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5109019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5109027,3.00,5.00,1.00,4.00,4.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5109043,2.00,5.00,1.00,4.00,5.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5109094,4.00,5.00,5.00,6.00,8.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5109124,4.00,6.00,4.00,4.00,7.00,9.38,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5109132,4.00,3.00,2.00,5.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5109159,7.00,7.00,2.00,4.00,4.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5109167,8.00,8.00,6.00,7.00,7.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5109175,5.00,4.00,1.00,6.00,5.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5109183,8.00,7.00,6.00,6.00,7.00,7.50,6.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5109191,6.00,7.00,1.00,7.00,5.00,9.00,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5109205,3.00,6.00,3.00,6.00,8.00,8.63,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5109213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5109221,0.00,0.00,0.00,0.00,0.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5109230,5.00,5.00,4.00,3.00,8.00,8.63,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5109256,2.00,3.00,1.00,3.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,'S','N'),(20,5109264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5109272,3.00,5.00,0.00,2.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5109280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5109302,2.00,2.00,0.00,3.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5109310,8.00,6.00,2.00,7.00,9.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5109329,6.00,7.00,2.00,8.00,10.00,8.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5109337,6.00,6.00,2.00,7.00,6.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5109345,5.00,7.00,1.00,6.00,5.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5109353,8.00,7.00,7.00,4.00,8.00,9.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5109388,8.00,5.00,4.00,5.00,7.00,6.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5109396,5.00,6.00,2.00,5.00,5.00,10.88,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5109400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5109418,5.00,4.00,5.00,6.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5109442,1.00,3.00,2.00,5.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5109477,2.00,5.00,4.00,3.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5109485,4.00,6.00,1.00,6.00,7.00,10.50,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5109493,4.00,5.00,2.00,5.00,6.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5109523,6.00,7.00,6.00,7.00,8.00,9.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5109531,9.00,6.00,6.00,6.00,8.00,9.38,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5109540,5.00,6.00,4.00,3.00,6.00,4.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5109558,7.00,7.00,6.00,5.00,10.00,12.00,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5109566,3.00,6.00,2.00,4.00,5.00,6.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5109574,4.00,7.00,3.00,6.00,6.00,11.25,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5109582,1.00,3.00,1.00,1.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5109590,7.00,2.00,3.00,4.00,8.00,9.00,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5109604,7.00,4.00,4.00,6.00,8.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5109612,5.00,2.00,6.00,6.00,6.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5109620,7.00,7.00,7.00,7.00,5.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5109655,4.00,0.00,1.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5109663,6.00,7.00,3.00,5.00,7.00,10.50,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5109680,2.00,5.00,3.00,4.00,5.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5109701,7.00,5.00,4.00,6.00,7.00,7.13,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5109710,6.00,6.00,2.00,6.00,6.00,11.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5109728,5.00,6.00,5.00,2.00,7.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5109736,2.00,5.00,3.00,4.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5109744,5.00,7.00,0.00,4.00,5.00,7.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5109752,5.00,4.00,0.00,5.00,8.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5109760,2.00,5.00,2.00,7.00,6.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5109795,2.00,4.00,0.00,4.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5109809,4.00,6.00,2.00,2.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5109825,4.00,3.00,0.00,3.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5109833,4.00,2.00,1.00,3.00,7.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5109841,5.00,3.00,0.00,4.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5109850,4.00,5.00,2.00,4.00,4.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5109876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5109892,6.00,6.00,5.00,7.00,9.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5109914,8.00,7.00,1.00,7.00,6.00,11.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5109922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5109930,6.00,4.00,3.00,5.00,7.00,9.38,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5109965,5.00,4.00,0.00,2.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5109973,7.00,5.00,4.00,6.00,7.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5109981,7.00,4.00,1.00,7.00,6.00,10.13,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5110009,9.00,5.00,5.00,4.00,10.00,7.88,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5110017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5110025,8.00,6.00,4.00,7.00,8.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5110033,1.00,4.00,0.00,3.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5110041,3.00,4.00,2.00,6.00,5.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5110092,2.00,4.00,1.00,4.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5110106,6.00,6.00,2.00,2.00,5.00,6.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5110114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5110122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5110130,5.00,6.00,1.00,3.00,5.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5110149,7.00,7.00,4.00,5.00,8.00,7.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5110173,5.00,6.00,1.00,3.00,6.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5110181,3.00,3.00,4.00,4.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5110190,3.00,6.00,3.00,4.00,6.00,6.00,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5110203,5.00,5.00,2.00,3.00,4.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5110211,9.00,6.00,6.00,3.00,8.00,8.25,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5110220,3.00,7.00,1.00,2.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5110246,6.00,6.00,1.00,4.00,8.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5110254,4.00,7.00,3.00,5.00,7.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5110262,1.00,3.00,1.00,1.00,0.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5110270,5.00,6.00,4.00,4.00,7.00,9.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5110289,1.00,3.00,0.00,3.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5110300,5.00,4.00,0.00,0.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5110319,6.00,8.00,5.00,6.00,6.00,6.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5110327,5.00,7.00,5.00,5.00,6.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5110335,2.00,5.00,2.00,6.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5110343,6.00,7.00,1.00,6.00,6.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5110386,9.00,7.00,7.00,7.00,9.00,7.88,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5110394,5.00,4.00,1.00,6.00,4.00,11.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5110408,4.00,4.00,0.00,4.00,2.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5110416,2.00,5.00,2.00,6.00,6.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5110424,5.00,5.00,4.00,5.00,8.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5110432,2.00,3.00,0.00,2.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5110440,4.00,7.00,5.00,7.00,7.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5110467,5.00,6.00,5.00,6.00,6.00,9.00,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5110475,8.00,8.00,6.00,7.00,9.00,10.13,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5110483,7.00,5.00,1.00,6.00,8.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5110505,6.00,7.00,4.00,3.00,6.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5110521,8.00,7.00,4.00,4.00,5.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5110530,4.00,4.00,0.00,3.00,7.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5110548,8.00,7.00,4.00,8.00,10.00,6.00,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5110556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5110572,6.00,6.00,2.00,4.00,9.00,6.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5110599,7.00,4.00,4.00,7.00,8.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5110602,7.00,0.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(20,5110610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5110645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5110653,8.00,5.00,3.00,5.00,8.00,9.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5110661,4.00,5.00,1.00,6.00,4.00,4.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5110688,5.00,3.00,1.00,5.00,8.00,8.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5110696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5110718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5110726,7.00,6.00,7.00,7.00,9.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5110734,4.00,6.00,1.00,4.00,8.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5110750,8.00,9.00,0.00,6.00,8.00,NULL,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5110769,6.00,4.00,2.00,3.00,6.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5110777,4.00,7.00,1.00,4.00,5.00,11.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5110793,8.00,6.00,8.00,6.00,9.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5110807,4.00,3.00,1.00,4.00,5.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5110815,6.00,7.00,5.00,4.00,6.00,7.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5110823,6.00,5.00,1.00,2.00,5.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5110831,8.00,6.00,3.00,5.00,7.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5110840,7.00,6.00,1.00,4.00,7.00,9.00,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5110866,6.00,6.00,0.00,7.00,8.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5110882,4.00,4.00,3.00,5.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5110890,5.00,6.00,3.00,4.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5110904,7.00,7.00,1.00,7.00,9.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5110912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5110920,5.00,7.00,3.00,3.00,6.00,6.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5110939,2.00,3.00,0.00,1.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5110947,4.00,5.00,0.00,4.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5110963,8.00,7.00,1.00,7.00,7.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5110971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5110980,4.00,6.00,4.00,7.00,10.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5110998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5111005,4.00,2.00,0.00,7.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5111013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5111021,6.00,3.00,1.00,4.00,5.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5111030,7.00,5.00,4.00,7.00,9.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5111056,1.00,5.00,1.00,6.00,4.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5111064,7.00,8.00,3.00,6.00,8.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5111110,7.00,7.00,2.00,6.00,9.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5111129,6.00,7.00,3.00,7.00,9.00,10.88,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5111137,3.00,6.00,1.00,4.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5111145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5111153,5.00,4.00,1.00,6.00,5.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5111170,7.00,7.00,2.00,7.00,9.00,7.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5111188,6.00,5.00,4.00,8.00,5.00,7.50,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5111196,5.00,5.00,4.00,4.00,6.00,9.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5111200,5.00,6.00,2.00,4.00,5.00,7.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5111218,5.00,6.00,0.00,4.00,8.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5111234,4.00,6.00,4.00,4.00,8.00,9.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5111242,3.00,5.00,2.00,5.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5111250,2.00,5.00,0.00,3.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5111269,8.00,6.00,1.00,7.00,10.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5111277,2.00,4.00,1.00,2.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5111285,9.00,7.00,8.00,4.00,11.00,10.50,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5111293,3.00,5.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5111307,7.00,6.00,8.00,2.00,10.00,8.25,9.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5111323,4.00,4.00,2.00,6.00,7.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5111331,5.00,6.00,3.00,7.00,7.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5111340,2.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5111358,3.00,5.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5111366,2.00,2.00,1.00,4.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5111374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5111390,8.00,8.00,2.00,7.00,9.00,11.63,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5111404,7.00,6.00,5.00,7.00,9.00,10.88,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5111412,8.00,7.00,3.00,4.00,8.00,9.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5111439,4.00,5.00,2.00,5.00,5.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5111455,3.00,4.00,2.00,5.00,6.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5111463,4.00,5.00,3.00,4.00,6.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5111480,8.00,7.00,2.00,7.00,10.00,9.75,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5111498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5111501,8.00,8.00,5.00,2.00,5.00,7.13,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5111510,5.00,7.00,6.00,4.00,3.00,NULL,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5111528,8.00,7.00,4.00,7.00,10.00,11.25,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5111536,3.00,4.00,1.00,4.00,7.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5111544,3.00,6.00,1.00,2.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5111560,9.00,8.00,7.00,6.00,7.00,10.50,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5111579,7.00,5.00,2.00,5.00,5.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5111609,4.00,3.00,3.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5111617,7.00,8.00,2.00,4.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5111625,9.00,8.00,8.00,7.00,9.00,10.13,7.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5111633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5111641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5111668,7.00,5.00,3.00,3.00,7.00,10.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5111676,4.00,5.00,2.00,6.00,6.00,6.00,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5111692,8.00,8.00,5.00,8.00,10.00,9.75,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5111706,8.00,6.00,3.00,7.00,5.00,8.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5111714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5111722,3.00,6.00,0.00,4.00,5.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5111730,4.00,6.00,2.00,5.00,9.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5111749,9.00,7.00,6.00,8.00,9.00,13.50,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5111765,3.00,4.00,1.00,6.00,3.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5111773,5.00,6.00,3.00,6.00,7.00,8.63,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5111781,5.00,5.00,4.00,7.00,9.00,9.00,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5111790,3.00,3.00,0.00,2.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5111811,3.00,4.00,1.00,5.00,4.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5111820,6.00,6.00,2.00,6.00,6.00,10.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5111838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5111846,6.00,5.00,1.00,4.00,6.00,10.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5111854,4.00,4.00,2.00,6.00,8.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5111862,9.00,6.00,7.00,8.00,9.00,8.25,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5111870,7.00,5.00,4.00,7.00,4.00,6.75,5.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5111889,0.00,5.00,2.00,4.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5111897,5.00,3.00,0.00,4.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5111900,7.00,7.00,2.00,6.00,6.00,10.13,5.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5111927,4.00,5.00,0.00,4.00,6.00,12.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5111935,8.00,6.00,4.00,7.00,8.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5111943,7.00,7.00,4.00,5.00,9.00,10.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5111960,5.00,6.00,3.00,7.00,8.00,10.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5111978,9.00,7.00,5.00,6.00,9.00,8.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5111986,8.00,5.00,5.00,6.00,10.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5112001,5.00,6.00,1.00,6.00,5.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5112010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5112028,3.00,5.00,3.00,3.00,5.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5112036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5112044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5112052,3.00,5.00,3.00,2.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5112060,7.00,5.00,5.00,4.00,5.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5112079,6.00,5.00,3.00,6.00,4.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5112087,9.00,7.00,2.00,4.00,9.00,9.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5112095,4.00,7.00,5.00,6.00,4.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5112109,2.00,3.00,3.00,1.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5112117,3.00,5.00,3.00,3.00,7.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5112125,4.00,5.00,2.00,6.00,6.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5112133,9.00,8.00,4.00,6.00,9.00,10.50,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5112141,6.00,0.00,6.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5112150,8.00,5.00,2.00,7.00,9.00,12.00,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5112176,4.00,7.00,1.00,7.00,4.00,8.63,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5112184,0.00,7.00,0.00,6.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5112192,7.00,6.00,3.00,6.00,8.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5112206,6.00,4.00,2.00,4.00,4.00,8.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5112214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5112230,8.00,7.00,4.00,5.00,8.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5112257,6.00,6.00,5.00,4.00,8.00,6.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5112265,2.00,7.00,2.00,5.00,7.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5112273,6.00,6.00,0.00,4.00,8.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5112281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5112290,7.00,8.00,1.00,5.00,5.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5112303,9.00,8.00,5.00,7.00,6.00,8.25,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5112320,2.00,6.00,1.00,4.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5112346,6.00,5.00,3.00,7.00,9.00,9.75,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5112354,5.00,5.00,4.00,5.00,8.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5112362,4.00,5.00,2.00,3.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5112370,6.00,7.00,4.00,6.00,7.00,7.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5112389,6.00,6.00,3.00,4.00,5.00,6.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5112397,6.00,5.00,3.00,3.00,6.00,12.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5112400,4.00,3.00,2.00,4.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5112419,7.00,6.00,3.00,8.00,8.00,7.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5112427,6.00,5.00,3.00,5.00,10.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5112435,7.00,7.00,1.00,6.00,6.00,8.25,1.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5112443,3.00,3.00,1.00,6.00,6.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5112460,9.00,9.00,4.00,7.00,10.00,10.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5112486,4.00,3.00,0.00,4.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5112494,5.00,4.00,3.00,6.00,4.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5112508,6.00,0.00,3.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5112516,6.00,7.00,4.00,7.00,6.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5112532,8.00,6.00,5.00,6.00,6.00,13.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5112540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5112567,4.00,5.00,2.00,4.00,2.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5112575,6.00,6.00,3.00,6.00,9.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5112583,9.00,8.00,8.00,7.00,7.00,10.88,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5112591,8.00,5.00,2.00,7.00,7.00,7.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5112605,4.00,5.00,2.00,2.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5112613,2.00,4.00,0.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5112621,4.00,4.00,1.00,4.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5112630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5112648,5.00,7.00,1.00,2.00,9.00,11.25,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5112664,3.00,8.00,6.00,6.00,8.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5112672,5.00,6.00,3.00,5.00,5.00,7.88,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5112680,5.00,3.00,0.00,4.00,9.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5112699,3.00,4.00,2.00,3.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5112702,5.00,5.00,2.00,6.00,7.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5112729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5112737,9.00,7.00,4.00,7.00,9.00,7.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5112745,2.00,3.00,1.00,6.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,'S','N'),(20,5112753,7.00,6.00,4.00,6.00,10.00,8.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5112761,6.00,7.00,4.00,6.00,1.00,NULL,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5112770,9.00,8.00,4.00,7.00,10.00,10.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5112788,3.00,4.00,0.00,4.00,9.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5112796,6.00,4.00,2.00,5.00,6.00,9.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5112818,5.00,3.00,0.00,6.00,6.00,0.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5112826,7.00,7.00,4.00,4.00,7.00,6.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5112834,4.00,0.00,2.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5112842,4.00,6.00,3.00,1.00,5.00,6.00,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5112850,6.00,8.00,6.00,7.00,6.00,11.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5112877,8.00,7.00,4.00,7.00,10.00,11.25,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5112907,4.00,6.00,1.00,4.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5112915,6.00,7.00,1.00,2.00,5.00,7.50,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5112923,8.00,6.00,6.00,7.00,8.00,8.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5112931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5112940,8.00,6.00,5.00,5.00,9.00,9.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5112958,1.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5112966,6.00,6.00,5.00,7.00,8.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5112974,4.00,6.00,4.00,6.00,8.00,11.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5112990,5.00,3.00,0.00,7.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5113016,3.00,3.00,2.00,4.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5113024,7.00,7.00,6.00,3.00,9.00,8.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5113040,5.00,3.00,2.00,1.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5113059,6.00,6.00,0.00,4.00,6.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5113067,2.00,2.00,1.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5113083,4.00,5.00,5.00,4.00,7.00,6.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5113091,2.00,5.00,2.00,3.00,5.00,4.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5113113,9.00,6.00,1.00,5.00,9.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5113121,4.00,4.00,0.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5113130,8.00,5.00,3.00,7.00,7.00,10.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5113172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5113180,7.00,7.00,0.00,5.00,8.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5113199,5.00,5.00,3.00,6.00,8.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5113229,3.00,6.00,0.00,4.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5113237,0.00,1.00,2.00,1.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5113245,8.00,4.00,2.00,4.00,8.00,7.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5113253,6.00,8.00,3.00,7.00,7.00,9.38,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5113270,8.00,8.00,5.00,8.00,8.00,12.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5113288,7.00,6.00,3.00,5.00,8.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5113296,2.00,4.00,4.00,4.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5113300,5.00,4.00,0.00,3.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5113318,2.00,2.00,1.00,4.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5113326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5113334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5113342,0.00,2.00,3.00,4.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5113350,5.00,6.00,3.00,3.00,8.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5113369,9.00,8.00,7.00,8.00,7.00,9.75,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5113377,7.00,7.00,6.00,5.00,9.00,6.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5113385,6.00,7.00,3.00,5.00,8.00,9.00,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5113423,2.00,7.00,0.00,6.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5113431,9.00,6.00,3.00,6.00,4.00,7.13,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5113440,4.00,7.00,1.00,5.00,8.00,9.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5113458,4.00,6.00,4.00,4.00,7.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5113466,1.00,2.00,0.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5113474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5113482,3.00,6.00,2.00,5.00,5.00,7.88,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5113520,8.00,7.00,4.00,6.00,6.00,9.75,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5113539,8.00,9.00,5.00,7.00,10.00,7.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5113547,8.00,7.00,2.00,6.00,9.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5113555,6.00,6.00,4.00,4.00,6.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5113563,5.00,0.00,3.00,5.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5113571,4.00,5.00,3.00,6.00,7.00,8.63,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5113580,8.00,7.00,5.00,5.00,7.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5113598,2.00,4.00,1.00,3.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5113628,3.00,5.00,1.00,6.00,7.00,10.13,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5113636,6.00,6.00,2.00,5.00,9.00,12.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5113644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5113652,7.00,7.00,3.00,6.00,7.00,8.25,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5113660,7.00,4.00,0.00,1.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5113679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5113687,3.00,4.00,0.00,2.00,4.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5113709,4.00,9.00,6.00,5.00,6.00,10.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5113717,5.00,5.00,5.00,7.00,7.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5113725,8.00,7.00,6.00,4.00,9.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5113733,6.00,5.00,3.00,7.00,7.00,10.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5113741,6.00,4.00,2.00,4.00,6.00,6.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5113750,9.00,8.00,7.00,7.00,8.00,9.38,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5113768,5.00,3.00,1.00,5.00,1.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5113776,6.00,5.00,4.00,7.00,6.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5113784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5113806,2.00,3.00,2.00,1.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5113814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5113822,8.00,7.00,5.00,8.00,10.00,11.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5113849,9.00,6.00,1.00,6.00,9.00,7.50,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5113857,4.00,5.00,2.00,5.00,4.00,8.25,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5113865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5113881,8.00,7.00,3.00,7.00,8.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5113890,6.00,3.00,1.00,1.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5113903,5.00,4.00,1.00,6.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5113911,3.00,7.00,2.00,6.00,6.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5113920,4.00,4.00,2.00,6.00,6.00,7.13,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5113938,1.00,4.00,0.00,0.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5113954,5.00,6.00,0.00,1.00,4.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5113970,7.00,6.00,6.00,7.00,10.00,9.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5113989,9.00,5.00,5.00,6.00,5.00,NULL,2.00,4.00,6.00,NULL,NULL,'S','N'),(20,5113997,8.00,8.00,2.00,7.00,9.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5114004,4.00,7.00,0.00,3.00,5.00,10.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5114012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5114020,3.00,3.00,0.00,4.00,7.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5114039,6.00,7.00,6.00,7.00,9.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5114055,7.00,6.00,3.00,6.00,8.00,8.63,4.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5114063,5.00,7.00,0.00,4.00,7.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5114080,3.00,6.00,2.00,7.00,8.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5114101,6.00,6.00,0.00,4.00,6.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5114110,3.00,5.00,3.00,4.00,10.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5114128,8.00,8.00,2.00,4.00,10.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5114136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5114144,9.00,7.00,6.00,7.00,10.00,11.63,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5114152,6.00,7.00,1.00,6.00,5.00,7.13,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5114160,5.00,4.00,1.00,3.00,4.00,6.38,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5114179,3.00,6.00,2.00,2.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5114187,4.00,5.00,3.00,6.00,5.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5114195,5.00,7.00,4.00,4.00,4.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5114209,7.00,7.00,5.00,5.00,9.00,11.25,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5114217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5114225,6.00,5.00,3.00,7.00,8.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5114250,5.00,5.00,5.00,7.00,9.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5114284,2.00,2.00,1.00,3.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5114314,3.00,3.00,2.00,0.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5114322,2.00,0.00,3.00,4.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5114349,4.00,7.00,1.00,6.00,7.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5114357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5114365,5.00,2.00,3.00,6.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5114373,3.00,5.00,2.00,2.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,'S','N'),(20,5114381,5.00,5.00,0.00,6.00,7.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5114390,8.00,7.00,4.00,6.00,9.00,9.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5114403,6.00,7.00,2.00,6.00,8.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5114420,1.00,5.00,3.00,3.00,6.00,NULL,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5114438,1.00,7.00,1.00,3.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5114446,5.00,7.00,3.00,6.00,10.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5114454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5114462,4.00,4.00,2.00,4.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5114470,7.00,6.00,2.00,4.00,6.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5114489,1.00,5.00,2.00,6.00,7.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5114497,4.00,5.00,4.00,4.00,5.00,4.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5114519,3.00,3.00,1.00,5.00,8.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5114527,3.00,4.00,3.00,0.00,9.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5114535,5.00,7.00,5.00,4.00,7.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5114543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5114551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5114560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5114578,3.00,4.00,0.00,5.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5114594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5114624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5114632,5.00,5.00,0.00,2.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5114640,3.00,4.00,2.00,5.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5114659,3.00,3.00,0.00,3.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5114675,6.00,6.00,2.00,8.00,11.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5114683,7.00,7.00,1.00,6.00,8.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5114705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5114721,5.00,4.00,3.00,4.00,8.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5114730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5114748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5114756,5.00,6.00,2.00,3.00,7.00,6.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5114764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5114780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5114799,6.00,5.00,5.00,3.00,8.00,7.88,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5114802,8.00,7.00,4.00,6.00,8.00,9.75,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5114810,6.00,6.00,5.00,5.00,6.00,6.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5114829,3.00,3.00,0.00,2.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5114837,5.00,5.00,3.00,6.00,7.00,7.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5114845,6.00,7.00,5.00,7.00,8.00,6.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5114853,6.00,8.00,4.00,7.00,9.00,10.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5114861,9.00,5.00,4.00,6.00,7.00,10.13,0.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5114870,3.00,4.00,0.00,3.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5114900,9.00,6.00,2.00,6.00,7.00,7.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5114926,4.00,4.00,0.00,2.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5114934,5.00,8.00,2.00,5.00,3.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5114942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5114950,4.00,3.00,5.00,1.00,5.00,7.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5114969,8.00,7.00,8.00,7.00,8.00,10.88,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5114977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5114985,2.00,6.00,2.00,7.00,7.00,7.88,3.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5114993,5.00,6.00,2.00,5.00,7.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5115019,3.00,4.00,0.00,2.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5115027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5115035,7.00,3.00,1.00,4.00,5.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5115043,7.00,7.00,2.00,6.00,10.00,7.88,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5115078,3.00,2.00,3.00,2.00,5.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5115086,4.00,8.00,3.00,4.00,5.00,6.38,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5115094,4.00,5.00,6.00,6.00,10.00,9.00,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5115116,8.00,6.00,5.00,7.00,7.00,8.25,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5115124,1.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5115132,7.00,6.00,5.00,3.00,7.00,7.88,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5115140,3.00,6.00,1.00,2.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5115159,7.00,7.00,5.00,6.00,6.00,6.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5115175,9.00,8.00,7.00,7.00,10.00,10.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5115205,7.00,7.00,6.00,6.00,8.00,8.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5115221,3.00,4.00,1.00,1.00,3.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5115230,6.00,6.00,5.00,5.00,3.00,NULL,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5115248,6.00,5.00,2.00,6.00,6.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5115256,3.00,3.00,1.00,4.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5115264,9.00,9.00,7.00,6.00,8.00,10.88,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5115280,6.00,6.00,1.00,5.00,5.00,10.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5115299,3.00,5.00,0.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5115302,5.00,5.00,1.00,4.00,5.00,8.63,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5115337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5115345,6.00,6.00,4.00,6.00,5.00,6.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5115353,2.00,0.00,2.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5115361,7.00,7.00,5.00,7.00,10.00,10.88,7.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5115370,9.00,9.00,5.00,7.00,10.00,9.75,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5115388,2.00,5.00,2.00,2.00,2.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5115396,4.00,6.00,0.00,4.00,5.00,7.88,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5115400,6.00,5.00,2.00,6.00,6.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5115418,6.00,5.00,2.00,7.00,9.00,10.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5115426,3.00,4.00,1.00,4.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5115434,4.00,5.00,3.00,6.00,6.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5115442,2.00,3.00,1.00,2.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5115450,4.00,6.00,0.00,3.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5115469,5.00,6.00,5.00,5.00,9.00,9.38,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5115477,9.00,9.00,6.00,6.00,9.00,13.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5115485,8.00,6.00,1.00,7.00,9.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5115493,8.00,6.00,3.00,7.00,5.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5115515,4.00,3.00,2.00,2.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5115523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5115531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5115540,4.00,4.00,1.00,3.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5115566,3.00,5.00,3.00,4.00,4.00,6.75,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5115582,8.00,6.00,4.00,5.00,8.00,10.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5115590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5115604,5.00,7.00,2.00,5.00,4.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5115612,4.00,5.00,1.00,3.00,4.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5115620,3.00,6.00,2.00,5.00,4.00,9.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5115647,6.00,3.00,3.00,6.00,8.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5115663,8.00,6.00,3.00,5.00,7.00,10.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5115671,9.00,8.00,7.00,6.00,10.00,9.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5115680,2.00,5.00,4.00,5.00,6.00,7.13,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5115698,8.00,6.00,6.00,5.00,9.00,10.13,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5115701,9.00,6.00,5.00,7.00,9.00,9.75,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5115710,1.00,4.00,3.00,7.00,5.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5115736,9.00,6.00,5.00,5.00,5.00,8.63,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5115744,9.00,6.00,4.00,7.00,8.00,9.75,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5115752,8.00,6.00,3.00,6.00,7.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5115760,2.00,4.00,1.00,2.00,2.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5115779,3.00,4.00,1.00,3.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5115787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5115817,8.00,8.00,6.00,6.00,10.00,12.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5115825,7.00,6.00,2.00,7.00,7.00,10.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5115833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5115841,4.00,4.00,2.00,5.00,7.00,6.38,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5115850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5115868,8.00,8.00,9.00,6.00,8.00,9.75,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5115876,8.00,8.00,7.00,6.00,10.00,8.25,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5115884,8.00,8.00,1.00,7.00,9.00,10.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5115892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5115906,8.00,7.00,6.00,5.00,6.00,10.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5115914,7.00,7.00,5.00,5.00,9.00,7.13,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5115922,7.00,5.00,0.00,6.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5115930,3.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5115949,5.00,4.00,4.00,7.00,6.00,7.50,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5115957,8.00,5.00,5.00,7.00,6.00,8.25,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5115965,8.00,9.00,2.00,7.00,9.00,11.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5115981,2.00,4.00,3.00,2.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5116007,4.00,6.00,1.00,5.00,6.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5116023,6.00,7.00,3.00,5.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5116040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5116058,8.00,6.00,2.00,6.00,6.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5116074,9.00,8.00,8.00,6.00,9.00,8.63,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5116082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5116090,5.00,5.00,2.00,5.00,4.00,6.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5116104,7.00,6.00,4.00,6.00,9.00,8.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5116112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5116120,9.00,8.00,6.00,7.00,9.00,9.00,5.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5116139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5116147,5.00,6.00,4.00,6.00,4.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5116155,9.00,7.00,3.00,5.00,10.00,7.50,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5116171,7.00,5.00,4.00,7.00,9.00,8.25,4.00,8.00,4.00,NULL,NULL,NULL,'S'),(20,5116198,4.00,3.00,5.00,4.00,5.00,9.00,3.00,1.00,8.00,NULL,NULL,NULL,'N'),(20,5116201,6.00,5.00,0.00,7.00,9.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5116228,3.00,2.00,3.00,5.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5116236,4.00,5.00,5.00,6.00,6.00,9.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5116244,7.00,0.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5116252,6.00,7.00,2.00,7.00,5.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5116279,8.00,5.00,5.00,5.00,9.00,6.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5116287,6.00,5.00,3.00,6.00,6.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5116309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5116317,4.00,3.00,0.00,3.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5116333,9.00,9.00,9.00,7.00,11.00,12.00,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5116350,3.00,5.00,1.00,7.00,6.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5116368,8.00,4.00,3.00,6.00,8.00,10.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5116384,5.00,4.00,5.00,4.00,8.00,6.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5116392,6.00,7.00,5.00,5.00,6.00,7.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5116406,9.00,8.00,7.00,7.00,10.00,10.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5116414,8.00,5.00,4.00,5.00,8.00,10.88,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5116422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5116430,8.00,5.00,3.00,4.00,3.00,NULL,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5116449,4.00,6.00,3.00,5.00,8.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5116457,8.00,8.00,8.00,7.00,9.00,11.63,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5116465,4.00,7.00,4.00,4.00,6.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5116481,5.00,6.00,1.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5116490,8.00,6.00,5.00,8.00,9.00,10.13,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5116511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5116520,2.00,5.00,3.00,4.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5116554,8.00,8.00,4.00,6.00,9.00,9.38,6.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5116562,5.00,6.00,3.00,3.00,5.00,7.88,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5116619,6.00,7.00,1.00,6.00,5.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5116627,5.00,6.00,1.00,7.00,5.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5116635,6.00,5.00,2.00,6.00,8.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5116643,2.00,5.00,3.00,3.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5116651,9.00,8.00,5.00,7.00,10.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5116678,3.00,2.00,1.00,3.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5116686,7.00,6.00,5.00,7.00,8.00,9.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5116694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5116708,3.00,5.00,0.00,4.00,8.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5116716,7.00,8.00,2.00,5.00,7.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5116724,8.00,8.00,1.00,4.00,9.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5116732,3.00,5.00,2.00,3.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5116740,0.00,2.00,0.00,3.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5116767,7.00,4.00,4.00,6.00,5.00,7.88,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5116775,7.00,8.00,2.00,7.00,8.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5116783,6.00,6.00,3.00,7.00,7.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5116791,7.00,7.00,2.00,5.00,7.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5116805,4.00,6.00,5.00,6.00,7.00,9.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5116813,8.00,7.00,3.00,7.00,9.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5116821,1.00,5.00,1.00,5.00,4.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5116830,9.00,8.00,5.00,6.00,10.00,11.25,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5116848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5116856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5116872,5.00,7.00,0.00,6.00,5.00,7.13,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5116880,3.00,5.00,2.00,5.00,7.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5116899,4.00,5.00,1.00,4.00,7.00,6.75,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5116902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5116910,6.00,6.00,1.00,5.00,7.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5116929,5.00,6.00,0.00,7.00,9.00,9.75,2.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5116937,5.00,5.00,1.00,2.00,8.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5116945,4.00,6.00,4.00,2.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5116953,3.00,1.00,1.00,2.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5116961,3.00,3.00,1.00,5.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5116970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5116996,5.00,8.00,2.00,6.00,4.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(20,5117011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5117020,2.00,7.00,1.00,3.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5117038,9.00,7.00,3.00,5.00,6.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5117046,1.00,0.00,1.00,4.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5117054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5117070,1.00,4.00,2.00,5.00,5.00,7.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5117089,9.00,9.00,1.00,7.00,9.00,11.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5117100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5117119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5117127,6.00,6.00,4.00,6.00,10.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5117135,8.00,8.00,7.00,4.00,9.00,9.00,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5117143,9.00,7.00,7.00,7.00,10.00,12.00,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5117151,6.00,4.00,3.00,4.00,4.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5117160,8.00,7.00,6.00,7.00,8.00,9.75,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5117194,4.00,7.00,3.00,7.00,6.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5117208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5117216,8.00,3.00,5.00,6.00,7.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5117232,5.00,7.00,2.00,3.00,6.00,7.50,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5117240,6.00,3.00,2.00,5.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5117259,5.00,7.00,3.00,6.00,9.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5117275,6.00,3.00,2.00,3.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5117283,6.00,7.00,3.00,5.00,8.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5117291,8.00,5.00,2.00,7.00,7.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5117305,8.00,7.00,2.00,7.00,6.00,9.38,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5117330,7.00,6.00,2.00,6.00,8.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5117348,6.00,5.00,4.00,6.00,6.00,8.63,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5117356,8.00,6.00,2.00,5.00,9.00,9.38,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5117364,7.00,7.00,1.00,6.00,7.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5117380,8.00,6.00,3.00,5.00,6.00,7.88,6.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5117399,5.00,6.00,2.00,6.00,7.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5117437,8.00,7.00,4.00,4.00,8.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5117445,7.00,7.00,2.00,6.00,4.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5117453,5.00,4.00,3.00,3.00,7.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5117461,6.00,6.00,5.00,7.00,10.00,9.75,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5117470,7.00,6.00,3.00,7.00,9.00,7.50,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5117488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5117500,3.00,5.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5117518,2.00,1.00,1.00,0.00,0.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5117526,0.00,7.00,1.00,4.00,4.00,7.50,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5117534,6.00,5.00,2.00,7.00,5.00,6.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5117569,6.00,5.00,5.00,7.00,8.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5117577,3.00,6.00,1.00,3.00,4.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5117585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5117607,6.00,6.00,0.00,7.00,8.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5117615,8.00,5.00,2.00,7.00,9.00,9.38,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5117623,2.00,3.00,0.00,4.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5117631,3.00,5.00,2.00,5.00,7.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5117640,5.00,5.00,2.00,4.00,8.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5117658,5.00,6.00,5.00,7.00,5.00,8.25,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5117666,4.00,5.00,3.00,4.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5117674,7.00,6.00,3.00,6.00,9.00,11.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5117682,4.00,6.00,0.00,7.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5117690,8.00,7.00,5.00,6.00,10.00,10.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5117704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5117712,6.00,8.00,3.00,7.00,10.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5117720,4.00,5.00,1.00,4.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5117739,3.00,3.00,0.00,0.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5117747,2.00,5.00,3.00,3.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5117755,3.00,7.00,1.00,4.00,4.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5117763,6.00,6.00,6.00,7.00,8.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5117771,5.00,5.00,0.00,3.00,5.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5117780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5117844,3.00,6.00,1.00,5.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5117852,7.00,8.00,4.00,7.00,9.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5117860,6.00,5.00,4.00,5.00,8.00,10.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5117887,3.00,6.00,1.00,5.00,8.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5117895,2.00,0.00,3.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5117909,2.00,4.00,2.00,6.00,9.00,7.50,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5117941,8.00,8.00,4.00,4.00,10.00,8.63,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5117950,4.00,4.00,1.00,4.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5117968,2.00,4.00,0.00,5.00,7.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5117976,4.00,5.00,1.00,7.00,5.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5117984,6.00,3.00,2.00,3.00,9.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5117992,8.00,8.00,4.00,7.00,7.00,8.63,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5118000,2.00,4.00,1.00,3.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5118018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5118026,8.00,5.00,3.00,7.00,8.00,10.50,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5118034,7.00,5.00,3.00,5.00,6.00,6.75,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5118042,2.00,2.00,0.00,4.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5118069,5.00,4.00,4.00,6.00,6.00,7.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5118077,1.00,2.00,1.00,3.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5118085,5.00,5.00,2.00,6.00,5.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5118093,8.00,7.00,1.00,7.00,8.00,10.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5118107,2.00,6.00,2.00,4.00,5.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5118140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5118158,8.00,6.00,3.00,5.00,6.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5118166,2.00,4.00,1.00,6.00,6.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5118182,3.00,0.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5118190,5.00,7.00,2.00,5.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5118212,6.00,6.00,2.00,4.00,7.00,7.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5118220,3.00,6.00,1.00,7.00,4.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5118239,2.00,3.00,1.00,1.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5118247,6.00,4.00,3.00,6.00,8.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5118263,7.00,9.00,4.00,7.00,8.00,10.13,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5118271,4.00,4.00,2.00,2.00,3.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5118280,4.00,5.00,1.00,2.00,4.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5118301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5118310,6.00,6.00,2.00,6.00,5.00,6.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(20,5118328,5.00,8.00,1.00,6.00,7.00,9.38,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5118336,6.00,6.00,1.00,5.00,9.00,4.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5118352,7.00,8.00,0.00,4.00,7.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5118360,6.00,8.00,4.00,4.00,6.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5118379,3.00,4.00,0.00,4.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5118409,6.00,4.00,5.00,2.00,5.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5118417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5118425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5118450,4.00,5.00,2.00,4.00,3.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5118468,8.00,8.00,5.00,7.00,9.00,9.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5118476,9.00,5.00,1.00,8.00,9.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5118484,4.00,6.00,3.00,3.00,8.00,10.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5118492,2.00,4.00,1.00,5.00,8.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5118506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5118514,9.00,5.00,5.00,7.00,10.00,10.50,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5118522,6.00,7.00,3.00,4.00,7.00,7.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5118530,3.00,5.00,2.00,4.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5118549,6.00,6.00,1.00,5.00,7.00,7.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5118557,9.00,7.00,3.00,7.00,9.00,9.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5118565,6.00,3.00,4.00,3.00,7.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5118573,6.00,5.00,5.00,6.00,5.00,8.63,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5118581,6.00,3.00,2.00,3.00,5.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5118590,5.00,5.00,1.00,4.00,6.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5118603,5.00,7.00,1.00,3.00,7.00,6.75,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5118611,3.00,6.00,2.00,4.00,5.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5118646,8.00,7.00,4.00,6.00,8.00,11.25,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5118654,7.00,6.00,5.00,6.00,9.00,9.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5118662,6.00,4.00,1.00,4.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5118670,5.00,3.00,3.00,4.00,8.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5118689,6.00,7.00,7.00,8.00,9.00,8.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5118697,3.00,4.00,1.00,2.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5118700,3.00,5.00,1.00,3.00,8.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5118719,3.00,4.00,4.00,4.00,7.00,6.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5118727,7.00,7.00,4.00,6.00,8.00,10.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5118743,3.00,0.00,0.00,0.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5118751,5.00,5.00,4.00,4.00,8.00,8.63,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5118760,3.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5118778,6.00,7.00,2.00,3.00,6.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5118786,8.00,8.00,3.00,6.00,11.00,11.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5118794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5118808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5118816,2.00,4.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5118824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5118859,2.00,5.00,0.00,2.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5118875,5.00,4.00,4.00,5.00,6.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5118883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5118891,4.00,4.00,0.00,3.00,5.00,NULL,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5118905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5118913,2.00,3.00,1.00,4.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5118930,4.00,6.00,3.00,3.00,7.00,9.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5118948,3.00,3.00,1.00,5.00,8.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5118956,4.00,3.00,0.00,1.00,3.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5118964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5118972,9.00,7.00,4.00,8.00,9.00,8.25,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5118980,7.00,7.00,4.00,5.00,5.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5118999,5.00,8.00,3.00,7.00,10.00,8.63,0.00,5.00,6.00,NULL,NULL,NULL,'S'),(20,5119022,7.00,7.00,2.00,7.00,10.00,7.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5119030,2.00,4.00,1.00,3.00,1.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5119049,3.00,7.00,1.00,4.00,6.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5119057,5.00,5.00,6.00,4.00,6.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5119073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5119081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5119103,7.00,5.00,4.00,6.00,10.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5119120,6.00,7.00,6.00,3.00,9.00,7.50,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5119138,9.00,6.00,5.00,7.00,8.00,7.13,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5119146,6.00,5.00,3.00,3.00,6.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5119154,5.00,4.00,2.00,5.00,8.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5119162,9.00,7.00,9.00,6.00,8.00,11.25,7.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5119170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5119189,9.00,9.00,4.00,6.00,9.00,9.00,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5119197,7.00,6.00,2.00,6.00,9.00,11.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5119200,5.00,6.00,4.00,6.00,5.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5119219,5.00,5.00,5.00,7.00,9.00,NULL,4.00,4.00,8.00,NULL,NULL,'S','N'),(20,5119227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5119235,9.00,9.00,7.00,8.00,9.00,10.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5119243,7.00,6.00,1.00,4.00,8.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5119251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5119260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5119278,5.00,7.00,2.00,3.00,8.00,7.50,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5119308,3.00,2.00,1.00,2.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5119324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5119332,4.00,6.00,1.00,4.00,6.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5119340,9.00,7.00,4.00,8.00,10.00,10.88,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5119359,4.00,6.00,1.00,6.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5119367,5.00,3.00,3.00,6.00,9.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5119375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5119391,5.00,5.00,1.00,5.00,7.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5119413,2.00,5.00,1.00,3.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5119421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5119430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5119448,4.00,4.00,1.00,3.00,7.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5119456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5119464,6.00,5.00,2.00,6.00,8.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5119472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5119480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5119499,9.00,7.00,7.00,7.00,10.00,10.88,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5119502,7.00,2.00,0.00,5.00,9.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5119510,7.00,7.00,4.00,7.00,9.00,7.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5119537,4.00,5.00,2.00,6.00,6.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5119545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5119561,4.00,5.00,2.00,7.00,5.00,10.88,1.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5119570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5119588,3.00,6.00,4.00,4.00,6.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5119596,6.00,6.00,3.00,7.00,6.00,8.63,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5119600,6.00,7.00,2.00,6.00,7.00,8.63,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5119618,5.00,4.00,4.00,4.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5119626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5119634,0.00,4.00,0.00,0.00,0.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5119642,6.00,7.00,0.00,6.00,7.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5119650,9.00,8.00,3.00,7.00,10.00,12.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5119669,7.00,5.00,7.00,7.00,6.00,10.50,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5119685,3.00,4.00,2.00,5.00,6.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5119693,5.00,7.00,3.00,6.00,7.00,10.88,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5119707,4.00,4.00,2.00,5.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5119715,2.00,4.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5119723,4.00,7.00,4.00,2.00,8.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5119731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5119740,6.00,5.00,1.00,7.00,6.00,6.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5119758,5.00,7.00,2.00,4.00,6.00,7.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5119766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5119782,9.00,7.00,5.00,6.00,9.00,8.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5119790,5.00,5.00,2.00,6.00,6.00,7.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5119839,5.00,5.00,0.00,4.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5119847,3.00,4.00,3.00,7.00,7.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5119855,5.00,5.00,5.00,1.00,4.00,8.63,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5119863,2.00,7.00,1.00,5.00,4.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5119871,6.00,5.00,0.00,4.00,7.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5119910,8.00,6.00,1.00,8.00,8.00,10.88,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5119928,2.00,7.00,2.00,7.00,7.00,9.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5119936,4.00,5.00,4.00,7.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5119944,4.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5119952,8.00,6.00,3.00,6.00,6.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5119960,5.00,6.00,2.00,5.00,8.00,7.88,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5119979,1.00,0.00,2.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5119995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5120004,7.00,6.00,6.00,5.00,6.00,6.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5120012,6.00,6.00,3.00,6.00,8.00,6.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5120020,9.00,9.00,7.00,7.00,10.00,10.88,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5120039,9.00,8.00,3.00,5.00,9.00,10.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5120047,6.00,5.00,2.00,6.00,4.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5120063,4.00,7.00,1.00,3.00,7.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5120080,6.00,4.00,2.00,4.00,7.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5120098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5120101,4.00,4.00,2.00,3.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5120110,5.00,3.00,3.00,4.00,6.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5120136,6.00,8.00,0.00,6.00,8.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5120144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5120152,9.00,7.00,7.00,6.00,10.00,9.38,6.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5120160,7.00,6.00,7.00,7.00,9.00,10.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5120179,4.00,6.00,1.00,1.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5120187,7.00,5.00,3.00,6.00,7.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5120195,3.00,3.00,0.00,4.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5120209,4.00,7.00,4.00,5.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5120217,2.00,6.00,0.00,1.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5120233,6.00,6.00,2.00,6.00,6.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5120241,6.00,6.00,1.00,6.00,8.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5120250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5120276,3.00,5.00,0.00,4.00,8.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5120284,4.00,7.00,2.00,6.00,4.00,7.88,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5120292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5120314,4.00,5.00,0.00,3.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5120322,4.00,3.00,2.00,6.00,7.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5120330,4.00,3.00,4.00,3.00,4.00,9.38,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5120349,5.00,4.00,3.00,6.00,7.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5120357,4.00,1.00,1.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5120365,8.00,8.00,7.00,6.00,7.00,9.38,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5120381,0.00,8.00,0.00,5.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5120390,1.00,5.00,0.00,6.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5120403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5120411,8.00,5.00,3.00,6.00,7.00,7.88,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5120420,2.00,6.00,1.00,7.00,7.00,9.38,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5120438,6.00,6.00,4.00,5.00,7.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5120446,9.00,7.00,6.00,6.00,8.00,10.88,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5120462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5120489,7.00,7.00,3.00,8.00,6.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5120497,8.00,7.00,4.00,7.00,7.00,10.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5120500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5120519,9.00,8.00,7.00,2.00,5.00,11.25,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5120527,2.00,4.00,1.00,3.00,5.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5120535,4.00,4.00,1.00,2.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5120543,9.00,6.00,8.00,7.00,6.00,7.88,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5120560,4.00,4.00,4.00,4.00,7.00,10.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5120578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5120586,7.00,5.00,7.00,4.00,7.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5120608,8.00,6.00,7.00,6.00,8.00,9.00,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5120632,2.00,5.00,3.00,5.00,5.00,6.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5120659,2.00,5.00,1.00,1.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5120667,8.00,5.00,4.00,6.00,9.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5120713,3.00,4.00,2.00,4.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5120721,2.00,3.00,4.00,2.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5120730,6.00,7.00,3.00,5.00,9.00,11.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5120748,0.00,3.00,0.00,3.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5120756,7.00,5.00,1.00,7.00,7.00,6.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5120764,3.00,6.00,3.00,6.00,6.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5120772,8.00,5.00,4.00,6.00,7.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5120780,4.00,6.00,4.00,4.00,6.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5120799,8.00,7.00,8.00,8.00,9.00,9.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5120802,2.00,6.00,2.00,6.00,5.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5120810,2.00,4.00,0.00,2.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,'S','N'),(20,5120829,7.00,8.00,5.00,8.00,9.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5120861,6.00,7.00,2.00,5.00,5.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5120870,7.00,7.00,1.00,5.00,10.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5120896,9.00,7.00,8.00,7.00,9.00,9.38,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5120900,4.00,6.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5120918,8.00,7.00,5.00,7.00,10.00,9.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5120926,5.00,3.00,2.00,4.00,6.00,8.63,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5120934,3.00,5.00,1.00,7.00,6.00,10.50,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5120942,3.00,6.00,2.00,2.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5120977,9.00,8.00,9.00,7.00,10.00,9.00,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5120985,6.00,4.00,6.00,4.00,8.00,7.88,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5121019,6.00,6.00,1.00,7.00,7.00,7.88,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5121027,6.00,4.00,2.00,6.00,7.00,10.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5121035,7.00,7.00,6.00,4.00,5.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5121051,7.00,8.00,5.00,6.00,9.00,9.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5121086,3.00,6.00,2.00,4.00,4.00,6.00,4.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5121094,6.00,6.00,3.00,5.00,6.00,NULL,2.00,5.00,5.00,NULL,NULL,'S','N'),(20,5121108,9.00,7.00,7.00,7.00,9.00,9.38,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5121116,4.00,2.00,0.00,2.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5121132,3.00,7.00,1.00,1.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,'S','N'),(20,5121140,6.00,5.00,4.00,5.00,8.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5121159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5121167,9.00,3.00,1.00,5.00,6.00,10.50,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5121183,4.00,5.00,2.00,5.00,7.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5121191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5121205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5121213,6.00,3.00,1.00,5.00,7.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5121256,6.00,4.00,2.00,4.00,8.00,8.63,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5121299,5.00,0.00,1.00,4.00,6.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5121302,6.00,6.00,3.00,4.00,4.00,10.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5121329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5121337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5121345,7.00,7.00,0.00,7.00,5.00,8.63,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5121353,3.00,4.00,0.00,2.00,4.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5121361,2.00,7.00,1.00,6.00,5.00,0.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5121370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5121388,0.00,4.00,1.00,2.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5121418,6.00,5.00,2.00,5.00,5.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5121434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5121442,7.00,8.00,3.00,4.00,4.00,9.38,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5121450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5121469,8.00,5.00,4.00,5.00,9.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5121477,7.00,8.00,5.00,7.00,7.00,6.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5121485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5121493,4.00,5.00,5.00,4.00,6.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5121515,2.00,4.00,0.00,3.00,5.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5121523,4.00,3.00,3.00,4.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5121531,7.00,6.00,6.00,7.00,6.00,8.63,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5121540,5.00,3.00,0.00,3.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5121558,3.00,2.00,0.00,3.00,1.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5121566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5121574,8.00,3.00,5.00,4.00,6.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5121582,6.00,7.00,3.00,3.00,5.00,7.13,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5121590,9.00,7.00,5.00,7.00,7.00,10.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5121604,8.00,7.00,6.00,7.00,10.00,10.50,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5121612,8.00,6.00,3.00,6.00,5.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5121620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5121639,4.00,7.00,0.00,4.00,5.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5121655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5121663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5121680,3.00,6.00,4.00,6.00,4.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5121698,7.00,5.00,6.00,7.00,7.00,10.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5121710,5.00,6.00,2.00,1.00,2.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5121736,6.00,6.00,1.00,3.00,6.00,7.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5121744,3.00,3.00,2.00,1.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5121779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5121787,7.00,7.00,1.00,4.00,9.00,10.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5121795,7.00,6.00,1.00,7.00,8.00,8.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5121809,6.00,7.00,3.00,5.00,9.00,9.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5121817,8.00,8.00,5.00,6.00,9.00,9.38,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5121825,3.00,4.00,0.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5121833,2.00,5.00,2.00,5.00,7.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5121841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5121850,1.00,1.00,0.00,4.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5121876,7.00,6.00,5.00,7.00,8.00,7.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5121884,4.00,6.00,3.00,3.00,8.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5121892,7.00,6.00,0.00,3.00,6.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5121906,8.00,7.00,4.00,7.00,10.00,8.63,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5121922,4.00,6.00,6.00,3.00,5.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5121930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5121949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5121957,4.00,2.00,0.00,3.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5121965,8.00,7.00,7.00,5.00,8.00,3.75,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5121973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5121981,5.00,6.00,3.00,7.00,10.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5121990,2.00,5.00,3.00,3.00,5.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5122007,3.00,5.00,4.00,4.00,5.00,6.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5122015,6.00,5.00,4.00,5.00,5.00,10.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5122023,6.00,4.00,4.00,2.00,8.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5122031,6.00,6.00,1.00,5.00,4.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5122040,7.00,6.00,4.00,7.00,9.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5122058,7.00,5.00,4.00,7.00,6.00,6.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5122074,6.00,6.00,4.00,4.00,9.00,12.38,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5122104,4.00,3.00,2.00,3.00,6.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5122112,0.00,3.00,1.00,6.00,5.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5122120,5.00,5.00,1.00,6.00,5.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5122139,3.00,4.00,4.00,2.00,4.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5122147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5122171,4.00,5.00,4.00,6.00,5.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5122180,6.00,4.00,5.00,7.00,8.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5122198,6.00,5.00,1.00,5.00,6.00,8.63,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5122244,6.00,5.00,1.00,7.00,8.00,8.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5122252,7.00,7.00,4.00,4.00,4.00,8.63,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5122287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5122295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5122309,1.00,3.00,1.00,3.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5122317,4.00,5.00,2.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5122333,3.00,6.00,2.00,5.00,4.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5122341,2.00,3.00,1.00,3.00,1.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5122350,4.00,5.00,2.00,3.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5122376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5122392,5.00,5.00,3.00,6.00,7.00,9.38,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5122406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5122414,6.00,4.00,1.00,5.00,5.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5122430,7.00,7.00,2.00,7.00,5.00,6.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5122465,8.00,5.00,6.00,6.00,7.00,8.25,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5122473,5.00,4.00,5.00,5.00,4.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5122481,6.00,6.00,5.00,5.00,9.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5122503,7.00,3.00,4.00,6.00,5.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5122511,4.00,5.00,0.00,2.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5122538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5122546,8.00,4.00,1.00,7.00,6.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5122554,3.00,4.00,0.00,5.00,5.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5122562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5122597,9.00,6.00,5.00,8.00,11.00,11.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5122619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5122627,4.00,5.00,3.00,5.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5122635,5.00,5.00,2.00,5.00,10.00,9.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5122643,5.00,5.00,1.00,6.00,3.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5122651,7.00,7.00,6.00,6.00,9.00,9.75,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5122660,5.00,5.00,3.00,5.00,8.00,10.50,1.00,1.00,5.00,NULL,NULL,NULL,'S'),(20,5122678,0.00,0.00,0.00,7.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5122694,4.00,6.00,4.00,4.00,6.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5122708,7.00,4.00,1.00,4.00,5.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5122716,3.00,4.00,1.00,3.00,5.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5122724,8.00,7.00,8.00,7.00,10.00,10.50,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5122732,1.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5122740,3.00,6.00,2.00,5.00,4.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5122759,7.00,4.00,0.00,5.00,2.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5122767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5122775,1.00,5.00,0.00,5.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5122783,4.00,6.00,1.00,5.00,4.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5122813,6.00,7.00,6.00,4.00,9.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5122848,3.00,4.00,0.00,7.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5122856,6.00,6.00,3.00,7.00,8.00,6.38,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5122864,7.00,6.00,4.00,6.00,8.00,8.25,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5122872,6.00,5.00,4.00,6.00,7.00,8.63,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5122880,4.00,6.00,5.00,7.00,5.00,9.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5122899,3.00,6.00,1.00,6.00,7.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5122902,4.00,4.00,2.00,4.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5122929,5.00,3.00,2.00,5.00,9.00,12.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5122937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5122945,2.00,5.00,1.00,6.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5122953,2.00,5.00,1.00,5.00,6.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5122961,3.00,4.00,1.00,4.00,4.00,10.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5122988,8.00,7.00,1.00,7.00,9.00,10.88,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5122996,5.00,8.00,6.00,7.00,6.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5123003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5123020,1.00,2.00,1.00,0.00,3.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'S'),(20,5123038,8.00,5.00,7.00,7.00,9.00,9.75,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5123046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5123054,5.00,7.00,5.00,7.00,9.00,10.50,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5123062,1.00,4.00,1.00,6.00,10.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5123070,6.00,4.00,4.00,4.00,9.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5123089,8.00,5.00,3.00,5.00,8.00,6.38,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5123119,6.00,6.00,2.00,5.00,8.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5123127,0.00,0.00,3.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5123135,3.00,4.00,1.00,5.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5123143,8.00,9.00,7.00,6.00,10.00,10.13,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5123151,3.00,3.00,1.00,3.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5123160,2.00,5.00,1.00,2.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5123178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5123186,4.00,5.00,2.00,6.00,5.00,6.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5123194,8.00,7.00,3.00,5.00,7.00,9.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5123208,4.00,6.00,1.00,6.00,4.00,NULL,1.00,1.00,5.00,NULL,NULL,'S','N'),(20,5123240,7.00,7.00,2.00,7.00,8.00,7.50,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5123259,6.00,5.00,3.00,5.00,4.00,9.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5123267,9.00,8.00,6.00,7.00,9.00,6.75,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5123291,3.00,6.00,3.00,4.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5123305,8.00,7.00,4.00,7.00,9.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5123313,3.00,3.00,5.00,3.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5123321,3.00,7.00,2.00,3.00,10.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5123330,0.00,2.00,2.00,2.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5123348,5.00,6.00,4.00,4.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5123356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5123364,4.00,4.00,0.00,7.00,4.00,11.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5123372,5.00,5.00,2.00,5.00,5.00,7.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5123380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5123402,9.00,8.00,8.00,5.00,9.00,9.00,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5123410,0.00,0.00,3.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(20,5123437,6.00,5.00,3.00,4.00,7.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5123461,8.00,7.00,4.00,6.00,7.00,10.13,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5123470,4.00,5.00,0.00,6.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5123488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5123500,5.00,7.00,4.00,7.00,7.00,10.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5123518,4.00,4.00,0.00,7.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5123526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5123534,7.00,6.00,5.00,7.00,7.00,11.25,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5123542,2.00,2.00,3.00,3.00,1.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5123550,9.00,8.00,5.00,7.00,10.00,8.63,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5123569,8.00,7.00,5.00,4.00,8.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5123577,9.00,6.00,8.00,6.00,8.00,10.50,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5123585,4.00,5.00,1.00,3.00,4.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5123593,8.00,7.00,5.00,6.00,10.00,8.63,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5123607,6.00,7.00,1.00,7.00,8.00,9.00,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5123615,5.00,4.00,3.00,5.00,7.00,7.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5123623,2.00,4.00,1.00,3.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5123631,6.00,6.00,4.00,2.00,7.00,10.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5123640,8.00,6.00,2.00,7.00,10.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5123658,5.00,6.00,5.00,6.00,6.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5123666,8.00,7.00,1.00,6.00,9.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5123674,5.00,9.00,5.00,7.00,9.00,9.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5123682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5123690,8.00,6.00,1.00,8.00,6.00,7.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5123704,8.00,7.00,9.00,7.00,11.00,12.38,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5123712,8.00,8.00,4.00,4.00,11.00,8.63,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5123720,4.00,7.00,1.00,2.00,7.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5123739,7.00,4.00,1.00,7.00,8.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5123747,8.00,7.00,2.00,6.00,11.00,9.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5123763,6.00,4.00,1.00,6.00,9.00,9.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5123771,8.00,6.00,4.00,6.00,6.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5123780,9.00,7.00,4.00,5.00,8.00,7.50,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5123798,5.00,5.00,4.00,7.00,8.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5123801,6.00,3.00,1.00,1.00,8.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5123810,4.00,6.00,2.00,5.00,5.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5123828,8.00,6.00,2.00,4.00,8.00,9.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5123836,6.00,7.00,4.00,4.00,6.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5123844,7.00,7.00,5.00,6.00,8.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5123852,6.00,4.00,0.00,7.00,5.00,11.25,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5123860,8.00,7.00,7.00,5.00,9.00,8.63,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5123887,4.00,4.00,1.00,0.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5123895,2.00,2.00,0.00,2.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5123909,7.00,5.00,3.00,5.00,7.00,12.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5123917,3.00,3.00,0.00,7.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5123933,4.00,6.00,1.00,3.00,7.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5123941,8.00,5.00,6.00,6.00,6.00,10.13,6.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5123950,6.00,6.00,3.00,3.00,7.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5123968,6.00,8.00,4.00,6.00,9.00,4.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5123976,8.00,7.00,2.00,6.00,6.00,6.75,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5123984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5123992,8.00,8.00,7.00,7.00,8.00,9.00,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5124000,5.00,6.00,3.00,6.00,4.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5124018,5.00,6.00,2.00,1.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5124026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5124034,2.00,6.00,1.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5124042,8.00,8.00,3.00,6.00,7.00,11.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5124050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5124069,6.00,6.00,1.00,7.00,7.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5124077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5124085,8.00,6.00,4.00,7.00,7.00,10.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5124107,3.00,5.00,1.00,3.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5124115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5124123,4.00,3.00,0.00,3.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5124131,4.00,7.00,2.00,6.00,4.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5124140,1.00,4.00,1.00,0.00,2.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5124158,5.00,6.00,3.00,4.00,7.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5124166,6.00,4.00,3.00,7.00,5.00,10.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5124174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5124190,4.00,6.00,6.00,6.00,5.00,12.38,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5124212,6.00,4.00,5.00,5.00,8.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(20,5124220,7.00,6.00,1.00,5.00,9.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5124239,7.00,8.00,1.00,5.00,8.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5124247,7.00,0.00,4.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5124263,6.00,7.00,8.00,6.00,6.00,8.25,6.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5124271,5.00,8.00,2.00,3.00,7.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5124298,9.00,7.00,6.00,7.00,9.00,9.38,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5124301,7.00,6.00,2.00,5.00,10.00,7.88,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5124310,5.00,5.00,3.00,5.00,6.00,7.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5124328,8.00,5.00,4.00,4.00,7.00,8.25,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5124336,4.00,5.00,3.00,4.00,6.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5124344,5.00,3.00,2.00,5.00,7.00,9.38,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5124352,6.00,8.00,3.00,7.00,8.00,9.00,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5124360,6.00,7.00,0.00,7.00,10.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5124379,4.00,4.00,2.00,2.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5124387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5124395,8.00,6.00,3.00,4.00,5.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5124409,8.00,7.00,4.00,4.00,9.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5124417,4.00,6.00,3.00,2.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5124425,6.00,4.00,4.00,3.00,5.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5124468,8.00,6.00,3.00,7.00,7.00,9.75,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5124476,7.00,7.00,5.00,7.00,10.00,7.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5124484,6.00,8.00,3.00,6.00,5.00,6.38,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5124492,5.00,3.00,2.00,5.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5124506,4.00,5.00,4.00,5.00,4.00,6.75,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5124514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5124522,5.00,6.00,3.00,4.00,5.00,11.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5124530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5124557,5.00,4.00,2.00,4.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5124565,4.00,4.00,0.00,3.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5124573,9.00,5.00,3.00,6.00,6.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5124581,7.00,6.00,1.00,7.00,9.00,6.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5124590,7.00,7.00,6.00,7.00,9.00,11.25,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5124603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5124611,8.00,0.00,4.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(20,5124620,8.00,5.00,4.00,6.00,8.00,7.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5124638,2.00,5.00,2.00,1.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5124654,7.00,8.00,4.00,7.00,9.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5124662,9.00,7.00,3.00,7.00,7.00,9.38,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5124697,3.00,7.00,1.00,5.00,6.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5124700,8.00,8.00,5.00,7.00,8.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5124719,9.00,7.00,4.00,6.00,9.00,11.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5124727,4.00,4.00,0.00,7.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5124735,5.00,5.00,1.00,6.00,8.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5124743,4.00,6.00,2.00,6.00,7.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5124751,8.00,7.00,8.00,5.00,8.00,9.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5124760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5124778,4.00,4.00,1.00,3.00,6.00,10.88,4.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5124786,8.00,8.00,6.00,5.00,9.00,7.88,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5124794,9.00,8.00,5.00,6.00,7.00,7.50,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5124808,7.00,5.00,2.00,6.00,8.00,6.75,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5124816,9.00,8.00,6.00,4.00,8.00,10.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5124824,6.00,6.00,6.00,6.00,1.00,NULL,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5124832,7.00,7.00,2.00,3.00,9.00,9.75,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5124840,4.00,5.00,3.00,6.00,5.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5124859,8.00,3.00,2.00,7.00,7.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5124875,3.00,6.00,4.00,5.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5124883,6.00,6.00,3.00,3.00,8.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5124891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5124905,3.00,6.00,4.00,2.00,1.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5124913,4.00,6.00,1.00,5.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,'S','N'),(20,5124921,7.00,5.00,2.00,7.00,6.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5124930,7.00,6.00,4.00,7.00,7.00,10.50,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5124972,6.00,6.00,2.00,4.00,7.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5124980,7.00,6.00,0.00,3.00,5.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5124999,6.00,7.00,2.00,4.00,5.00,6.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5125006,4.00,3.00,1.00,3.00,7.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5125014,4.00,5.00,4.00,4.00,5.00,7.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5125022,3.00,6.00,3.00,6.00,7.00,8.63,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5125030,4.00,4.00,1.00,2.00,6.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5125049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5125057,2.00,7.00,2.00,5.00,5.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5125073,4.00,0.00,2.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5125081,6.00,5.00,3.00,6.00,8.00,7.13,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5125090,3.00,4.00,1.00,2.00,8.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5125103,8.00,6.00,5.00,5.00,6.00,11.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5125120,4.00,5.00,3.00,5.00,5.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5125138,3.00,4.00,2.00,4.00,5.00,7.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5125154,2.00,3.00,2.00,2.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5125170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5125189,4.00,7.00,3.00,5.00,8.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5125197,3.00,3.00,3.00,3.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5125200,1.00,3.00,2.00,3.00,2.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5125219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5125227,1.00,4.00,3.00,4.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5125235,4.00,4.00,1.00,7.00,7.00,9.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5125243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5125260,8.00,8.00,5.00,7.00,9.00,10.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5125278,4.00,8.00,1.00,5.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5125286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5125294,4.00,6.00,4.00,5.00,7.00,7.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5125316,7.00,7.00,5.00,6.00,7.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5125359,8.00,6.00,2.00,5.00,8.00,9.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5125367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5125375,7.00,4.00,2.00,5.00,7.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5125405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5125413,3.00,7.00,1.00,2.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'S'),(20,5125421,7.00,5.00,3.00,5.00,9.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5125430,8.00,8.00,4.00,7.00,9.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5125448,5.00,4.00,1.00,4.00,5.00,6.38,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5125456,6.00,3.00,4.00,7.00,7.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5125464,7.00,5.00,1.00,5.00,8.00,7.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5125472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5125480,4.00,5.00,2.00,6.00,6.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5125499,6.00,6.00,1.00,3.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5125502,6.00,5.00,1.00,7.00,7.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5125510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5125529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5125545,6.00,8.00,4.00,4.00,9.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5125553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5125561,8.00,7.00,4.00,7.00,8.00,10.13,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5125570,5.00,6.00,2.00,4.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5125588,3.00,4.00,0.00,7.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5125596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5125600,6.00,8.00,4.00,7.00,10.00,10.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5125618,3.00,4.00,1.00,3.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5125626,4.00,6.00,0.00,6.00,6.00,8.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5125634,6.00,8.00,5.00,7.00,8.00,10.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5125669,5.00,6.00,1.00,4.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5125677,5.00,6.00,0.00,2.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5125685,2.00,3.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5125693,8.00,8.00,6.00,8.00,7.00,10.13,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5125707,2.00,4.00,0.00,0.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5125715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5125731,3.00,5.00,1.00,4.00,6.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5125740,5.00,5.00,3.00,4.00,4.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5125758,6.00,7.00,0.00,7.00,8.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5125766,6.00,7.00,3.00,6.00,7.00,7.50,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5125774,4.00,5.00,2.00,3.00,4.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5125782,2.00,5.00,1.00,5.00,5.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5125790,2.00,5.00,0.00,4.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5125820,6.00,8.00,2.00,6.00,9.00,6.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5125839,9.00,7.00,9.00,7.00,11.00,10.13,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5125847,4.00,6.00,3.00,6.00,6.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5125855,5.00,5.00,0.00,1.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5125863,8.00,6.00,6.00,7.00,9.00,10.13,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5125880,3.00,6.00,1.00,6.00,7.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5125898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5125901,4.00,5.00,2.00,5.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5125910,6.00,7.00,4.00,6.00,8.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5125928,6.00,8.00,5.00,6.00,7.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5125936,2.00,3.00,0.00,3.00,7.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5125952,3.00,5.00,1.00,5.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,'S','N'),(20,5125987,5.00,6.00,3.00,5.00,6.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5126002,9.00,6.00,7.00,8.00,8.00,10.13,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5126010,7.00,6.00,5.00,4.00,5.00,10.50,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5126037,7.00,5.00,2.00,7.00,8.00,9.38,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5126053,4.00,7.00,5.00,7.00,9.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5126061,8.00,7.00,4.00,7.00,8.00,8.63,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5126088,4.00,7.00,3.00,5.00,5.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5126100,9.00,7.00,5.00,6.00,7.00,8.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5126126,5.00,7.00,5.00,7.00,8.00,12.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5126134,6.00,5.00,4.00,5.00,4.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5126142,1.00,4.00,2.00,3.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5126169,3.00,5.00,1.00,4.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5126193,5.00,7.00,3.00,6.00,4.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5126215,8.00,7.00,2.00,6.00,11.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5126223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5126240,6.00,7.00,3.00,6.00,7.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5126258,8.00,6.00,3.00,4.00,4.00,9.38,3.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5126266,0.00,2.00,4.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5126274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5126282,8.00,7.00,3.00,7.00,9.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5126290,0.00,3.00,0.00,1.00,0.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5126304,9.00,7.00,2.00,7.00,10.00,10.50,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5126312,8.00,5.00,5.00,5.00,8.00,7.88,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5126320,5.00,5.00,4.00,6.00,8.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5126339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5126347,6.00,7.00,2.00,7.00,6.00,10.50,1.00,3.00,7.00,NULL,NULL,NULL,'S'),(20,5126355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5126363,3.00,7.00,3.00,3.00,5.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5126371,6.00,5.00,5.00,5.00,6.00,7.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5126380,9.00,7.00,5.00,7.00,10.00,9.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5126398,4.00,3.00,0.00,4.00,8.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5126436,3.00,5.00,1.00,4.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5126452,4.00,7.00,2.00,3.00,8.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5126460,2.00,3.00,3.00,7.00,5.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5126495,4.00,1.00,1.00,5.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5126509,4.00,4.00,2.00,4.00,5.00,7.88,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5126517,8.00,6.00,1.00,4.00,5.00,8.63,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5126525,9.00,7.00,6.00,7.00,10.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5126541,4.00,5.00,6.00,5.00,6.00,10.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5126550,3.00,4.00,1.00,2.00,6.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5126568,2.00,6.00,3.00,5.00,6.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5126576,4.00,4.00,2.00,2.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5126584,2.00,3.00,1.00,5.00,7.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5126592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5126614,8.00,6.00,1.00,6.00,11.00,10.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5126622,3.00,3.00,2.00,5.00,5.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5126630,3.00,3.00,1.00,3.00,4.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5126649,5.00,3.00,2.00,4.00,8.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5126657,5.00,5.00,2.00,3.00,5.00,8.25,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5126665,6.00,4.00,4.00,4.00,5.00,7.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5126673,7.00,8.00,3.00,6.00,11.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5126681,6.00,5.00,3.00,3.00,7.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5126690,6.00,6.00,1.00,7.00,7.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5126703,7.00,7.00,0.00,5.00,5.00,10.88,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5126711,7.00,6.00,3.00,5.00,8.00,12.75,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5126720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5126738,6.00,6.00,2.00,4.00,6.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5126746,8.00,9.00,6.00,5.00,8.00,9.75,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5126762,4.00,6.00,4.00,3.00,8.00,7.88,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5126770,9.00,7.00,6.00,7.00,11.00,9.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5126789,2.00,4.00,0.00,4.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5126797,6.00,7.00,2.00,3.00,6.00,7.13,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5126800,7.00,8.00,2.00,5.00,9.00,12.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5126819,2.00,6.00,0.00,4.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5126827,6.00,8.00,5.00,7.00,8.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5126843,4.00,4.00,2.00,5.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5126860,3.00,6.00,1.00,5.00,4.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5126878,8.00,6.00,2.00,6.00,7.00,9.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5126886,8.00,8.00,6.00,7.00,11.00,11.63,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5126894,3.00,3.00,4.00,3.00,7.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5126908,4.00,7.00,3.00,3.00,9.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5126924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5126932,5.00,7.00,2.00,6.00,4.00,10.50,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5126940,4.00,4.00,0.00,3.00,5.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'S'),(20,5126959,4.00,5.00,1.00,4.00,6.00,8.63,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5126975,6.00,7.00,4.00,7.00,8.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5126983,7.00,5.00,4.00,6.00,5.00,9.38,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5127009,6.00,6.00,1.00,7.00,6.00,10.88,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5127025,9.00,6.00,3.00,7.00,9.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5127041,7.00,3.00,0.00,4.00,9.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5127050,3.00,5.00,2.00,6.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5127068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5127084,4.00,4.00,1.00,4.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5127092,5.00,5.00,0.00,1.00,7.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5127106,9.00,7.00,5.00,7.00,10.00,9.38,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5127114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5127122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5127130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5127149,2.00,2.00,2.00,5.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5127157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5127173,4.00,6.00,1.00,4.00,6.00,6.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5127181,8.00,6.00,4.00,7.00,6.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5127190,5.00,3.00,1.00,3.00,3.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5127203,8.00,7.00,6.00,8.00,10.00,12.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5127220,5.00,2.00,1.00,3.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5127246,6.00,3.00,2.00,4.00,8.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5127254,5.00,6.00,5.00,6.00,7.00,12.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5127262,3.00,5.00,0.00,5.00,5.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5127270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5127289,6.00,8.00,2.00,5.00,8.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5127297,7.00,6.00,0.00,5.00,7.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5127319,7.00,8.00,4.00,5.00,7.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5127327,6.00,4.00,0.00,5.00,2.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5127335,8.00,5.00,3.00,7.00,9.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5127343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5127360,6.00,5.00,1.00,4.00,8.00,8.25,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5127386,3.00,6.00,0.00,7.00,7.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5127394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5127408,5.00,6.00,6.00,5.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5127416,4.00,4.00,0.00,3.00,4.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5127424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5127440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5127459,4.00,5.00,4.00,6.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5127467,9.00,7.00,6.00,6.00,8.00,9.75,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5127475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5127483,9.00,8.00,3.00,6.00,10.00,7.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5127491,2.00,5.00,2.00,6.00,4.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5127505,3.00,3.00,3.00,6.00,5.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5127521,5.00,4.00,3.00,5.00,7.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5127530,8.00,8.00,5.00,2.00,8.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5127556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5127572,5.00,4.00,1.00,3.00,7.00,7.50,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5127580,5.00,6.00,1.00,7.00,7.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5127599,2.00,5.00,2.00,4.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5127602,3.00,4.00,0.00,5.00,3.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5127610,8.00,6.00,4.00,3.00,7.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5127629,4.00,5.00,1.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5127637,4.00,5.00,1.00,3.00,6.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5127645,8.00,9.00,5.00,7.00,11.00,10.50,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5127696,3.00,5.00,2.00,5.00,4.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5127718,7.00,2.00,0.00,5.00,5.00,9.38,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5127742,9.00,7.00,7.00,6.00,7.00,9.38,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5127750,3.00,5.00,1.00,7.00,5.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5127769,3.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5127777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5127785,8.00,6.00,1.00,4.00,8.00,10.50,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5127793,2.00,3.00,1.00,0.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5127807,3.00,6.00,1.00,5.00,7.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5127815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5127823,5.00,5.00,1.00,5.00,10.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5127831,5.00,4.00,2.00,4.00,8.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5127840,7.00,5.00,3.00,6.00,9.00,10.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5127858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5127866,6.00,6.00,1.00,4.00,4.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5127890,7.00,8.00,4.00,6.00,9.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5127904,5.00,5.00,2.00,6.00,9.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5127912,6.00,6.00,3.00,5.00,9.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5127939,3.00,7.00,1.00,5.00,6.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5127947,8.00,8.00,4.00,7.00,9.00,10.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5127955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5127963,8.00,8.00,1.00,6.00,9.00,9.00,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5127971,4.00,3.00,0.00,0.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5127980,4.00,6.00,3.00,1.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5127998,3.00,3.00,0.00,3.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5128005,8.00,8.00,8.00,6.00,7.00,9.00,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5128013,1.00,4.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5128021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5128048,9.00,7.00,3.00,5.00,8.00,9.00,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5128056,4.00,7.00,3.00,5.00,8.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5128072,5.00,5.00,3.00,2.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5128080,6.00,3.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5128102,2.00,1.00,3.00,1.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5128110,5.00,4.00,2.00,2.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5128129,4.00,5.00,2.00,3.00,6.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5128137,5.00,6.00,1.00,7.00,7.00,9.00,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5128145,5.00,3.00,1.00,4.00,6.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5128153,5.00,4.00,1.00,3.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5128161,7.00,6.00,5.00,7.00,9.00,9.38,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5128188,4.00,5.00,4.00,6.00,7.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5128196,3.00,6.00,5.00,7.00,4.00,6.75,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5128218,6.00,5.00,5.00,8.00,8.00,11.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5128226,6.00,5.00,1.00,7.00,6.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5128234,6.00,7.00,6.00,7.00,7.00,9.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5128242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5128250,5.00,5.00,2.00,7.00,5.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5128269,5.00,5.00,5.00,6.00,6.00,8.63,5.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5128285,4.00,5.00,0.00,1.00,5.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5128293,9.00,8.00,4.00,6.00,5.00,9.38,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5128315,4.00,6.00,2.00,6.00,7.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5128323,8.00,7.00,3.00,7.00,7.00,10.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5128331,3.00,3.00,1.00,3.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5128340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5128358,7.00,5.00,3.00,5.00,7.00,8.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5128366,6.00,5.00,4.00,4.00,8.00,10.13,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5128382,7.00,4.00,2.00,2.00,5.00,8.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5128390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5128404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5128412,7.00,5.00,1.00,6.00,8.00,10.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5128420,4.00,7.00,4.00,5.00,8.00,6.75,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5128439,7.00,6.00,1.00,7.00,9.00,7.13,5.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5128447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5128455,6.00,7.00,3.00,3.00,9.00,8.25,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5128463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5128471,6.00,7.00,2.00,4.00,5.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5128480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5128498,6.00,5.00,3.00,4.00,7.00,6.38,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5128510,5.00,5.00,2.00,2.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5128528,8.00,7.00,8.00,7.00,10.00,10.50,6.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5128536,7.00,5.00,1.00,7.00,5.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5128544,6.00,7.00,3.00,7.00,6.00,8.63,2.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5128579,4.00,0.00,2.00,2.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5128587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5128595,8.00,8.00,2.00,8.00,8.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5128609,2.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(20,5128617,7.00,5.00,2.00,2.00,7.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5128633,7.00,5.00,2.00,4.00,7.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5128641,3.00,5.00,2.00,4.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5128650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5128668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5128684,9.00,9.00,8.00,7.00,9.00,11.25,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5128692,6.00,7.00,3.00,5.00,5.00,7.88,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5128706,6.00,8.00,1.00,7.00,10.00,10.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5128714,5.00,3.00,0.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5128730,5.00,7.00,2.00,4.00,8.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5128757,7.00,6.00,2.00,5.00,8.00,11.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5128765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5128773,3.00,4.00,3.00,1.00,6.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5128781,2.00,6.00,4.00,3.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5128790,7.00,7.00,6.00,6.00,6.00,8.25,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5128803,7.00,7.00,2.00,7.00,6.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5128811,7.00,6.00,4.00,6.00,8.00,7.50,6.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5128820,4.00,7.00,4.00,7.00,8.00,12.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5128838,2.00,7.00,3.00,2.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5128846,6.00,7.00,0.00,5.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5128862,7.00,5.00,0.00,2.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5128889,3.00,4.00,0.00,0.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5128897,8.00,8.00,8.00,7.00,8.00,9.38,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5128900,7.00,8.00,3.00,1.00,5.00,8.25,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5128919,8.00,8.00,4.00,5.00,8.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5128927,4.00,6.00,2.00,4.00,8.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5128943,9.00,6.00,6.00,6.00,9.00,7.88,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5128960,5.00,6.00,4.00,7.00,4.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5128978,5.00,7.00,6.00,6.00,9.00,8.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5128986,6.00,4.00,2.00,3.00,5.00,6.75,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5129001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5129010,7.00,8.00,6.00,7.00,9.00,9.38,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5129028,7.00,9.00,2.00,7.00,8.00,9.75,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5129044,9.00,7.00,2.00,8.00,10.00,10.50,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5129052,8.00,6.00,3.00,7.00,7.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5129060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5129079,9.00,6.00,6.00,3.00,4.00,7.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5129087,7.00,6.00,6.00,7.00,9.00,9.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5129095,8.00,6.00,1.00,4.00,10.00,11.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5129109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5129117,8.00,8.00,2.00,6.00,8.00,9.00,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5129125,4.00,5.00,2.00,6.00,6.00,7.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5129133,6.00,7.00,4.00,5.00,8.00,9.00,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5129141,7.00,7.00,2.00,7.00,9.00,11.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5129168,3.00,4.00,1.00,4.00,6.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5129176,4.00,4.00,5.00,7.00,7.00,7.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5129184,7.00,7.00,6.00,7.00,9.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5129192,2.00,7.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5129206,8.00,9.00,6.00,6.00,11.00,7.50,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5129214,5.00,3.00,0.00,4.00,6.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5129230,9.00,8.00,7.00,7.00,10.00,9.75,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5129249,4.00,3.00,0.00,3.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5129265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5129273,6.00,6.00,6.00,7.00,9.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'S'),(20,5129281,8.00,8.00,5.00,6.00,9.00,11.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5129290,5.00,5.00,1.00,3.00,7.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5129303,3.00,6.00,1.00,0.00,5.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5129311,7.00,6.00,5.00,5.00,9.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5129346,3.00,6.00,1.00,6.00,6.00,9.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5129354,8.00,8.00,5.00,3.00,6.00,7.88,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5129362,9.00,7.00,7.00,7.00,9.00,12.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5129397,8.00,5.00,6.00,7.00,9.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5129419,7.00,6.00,3.00,6.00,7.00,11.63,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5129435,3.00,0.00,1.00,1.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5129443,6.00,6.00,2.00,4.00,5.00,10.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5129451,9.00,8.00,6.00,6.00,8.00,10.13,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5129460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5129478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5129486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5129494,7.00,7.00,2.00,7.00,7.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5129508,5.00,6.00,0.00,5.00,5.00,10.88,1.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5129516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5129524,3.00,5.00,1.00,5.00,5.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5129559,7.00,4.00,4.00,4.00,4.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5129567,1.00,2.00,0.00,5.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5129575,3.00,6.00,1.00,3.00,4.00,NULL,1.00,3.00,6.00,NULL,NULL,'S','N'),(20,5129591,9.00,7.00,6.00,6.00,8.00,11.25,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5129605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5129613,4.00,4.00,3.00,4.00,5.00,6.00,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5129621,0.00,0.00,1.00,4.00,0.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5129648,0.00,2.00,1.00,0.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5129656,8.00,5.00,3.00,6.00,6.00,7.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5129664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5129680,8.00,5.00,6.00,6.00,5.00,11.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5129702,4.00,2.00,5.00,4.00,6.00,7.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5129710,9.00,6.00,6.00,7.00,8.00,7.50,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5129729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5129737,8.00,6.00,2.00,7.00,6.00,10.13,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5129745,4.00,4.00,3.00,5.00,4.00,4.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5129761,5.00,5.00,0.00,6.00,8.00,7.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5129770,6.00,6.00,4.00,6.00,9.00,9.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5129788,2.00,6.00,1.00,2.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5129800,7.00,4.00,0.00,5.00,5.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5129818,7.00,6.00,4.00,3.00,3.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5129826,6.00,6.00,2.00,5.00,7.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5129834,6.00,6.00,5.00,8.00,9.00,9.38,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5129842,4.00,4.00,1.00,4.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5129850,2.00,5.00,0.00,5.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5129869,7.00,8.00,1.00,5.00,4.00,7.50,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5129877,2.00,4.00,1.00,3.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5129885,3.00,5.00,1.00,3.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,'S','N'),(20,5129893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5129907,8.00,4.00,1.00,7.00,8.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5129915,4.00,5.00,1.00,3.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5129923,4.00,4.00,3.00,3.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5129940,5.00,7.00,3.00,5.00,6.00,7.13,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5129958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5129974,9.00,6.00,5.00,6.00,8.00,12.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5129990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5130018,3.00,4.00,1.00,3.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5130026,9.00,8.00,6.00,8.00,11.00,10.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5130050,7.00,6.00,5.00,4.00,5.00,0.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5130069,4.00,5.00,5.00,5.00,8.00,11.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5130085,5.00,5.00,1.00,1.00,3.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5130093,6.00,6.00,2.00,5.00,8.00,8.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5130115,8.00,5.00,6.00,7.00,9.00,8.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5130123,4.00,6.00,4.00,5.00,7.00,7.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5130131,4.00,6.00,4.00,5.00,5.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5130140,9.00,8.00,7.00,5.00,9.00,8.25,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5130166,6.00,5.00,5.00,5.00,6.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5130174,7.00,6.00,5.00,5.00,9.00,7.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5130182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5130190,6.00,4.00,1.00,6.00,6.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5130204,7.00,7.00,7.00,4.00,7.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5130220,6.00,7.00,5.00,6.00,9.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5130255,5.00,3.00,1.00,3.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5130263,4.00,3.00,4.00,3.00,4.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5130271,8.00,7.00,7.00,7.00,6.00,6.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5130280,9.00,7.00,6.00,6.00,10.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5130301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5130310,4.00,3.00,0.00,2.00,1.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5130336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5130344,7.00,7.00,3.00,4.00,8.00,9.00,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5130352,5.00,6.00,8.00,4.00,6.00,9.38,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5130360,7.00,9.00,3.00,6.00,5.00,6.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5130379,6.00,3.00,0.00,4.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5130387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5130395,8.00,7.00,4.00,6.00,10.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5130409,9.00,7.00,5.00,7.00,10.00,11.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5130417,4.00,5.00,1.00,2.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5130425,2.00,1.00,0.00,2.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5130433,9.00,8.00,4.00,7.00,9.00,9.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5130468,6.00,4.00,4.00,5.00,4.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5130476,8.00,6.00,3.00,6.00,8.00,9.38,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5130484,1.00,3.00,0.00,6.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5130492,1.00,4.00,1.00,2.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5130506,7.00,6.00,4.00,7.00,9.00,12.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5130514,9.00,7.00,6.00,7.00,10.00,10.13,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5130530,6.00,7.00,2.00,6.00,8.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5130557,4.00,5.00,3.00,6.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5130581,1.00,5.00,2.00,4.00,6.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5130603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5130611,8.00,7.00,3.00,5.00,7.00,8.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5130620,4.00,6.00,3.00,6.00,7.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5130638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5130646,8.00,5.00,5.00,6.00,8.00,10.88,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5130662,8.00,9.00,5.00,7.00,11.00,13.50,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5130670,4.00,2.00,0.00,3.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5130697,5.00,7.00,1.00,2.00,7.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5130700,7.00,5.00,2.00,5.00,6.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5130727,4.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5130735,3.00,8.00,2.00,4.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5130743,3.00,6.00,2.00,1.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5130760,8.00,8.00,5.00,7.00,9.00,10.13,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5130778,7.00,7.00,5.00,6.00,7.00,9.00,7.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5130794,5.00,5.00,1.00,5.00,6.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5130824,9.00,5.00,3.00,8.00,7.00,10.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5130832,3.00,4.00,1.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5130840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5130859,7.00,7.00,4.00,8.00,10.00,10.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5130875,6.00,4.00,3.00,5.00,8.00,7.50,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5130883,7.00,5.00,4.00,5.00,8.00,10.88,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5130891,8.00,8.00,7.00,8.00,7.00,9.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5130913,3.00,7.00,4.00,5.00,9.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5130921,9.00,8.00,7.00,7.00,7.00,10.88,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5130930,9.00,8.00,8.00,5.00,10.00,12.00,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5130948,7.00,8.00,3.00,8.00,8.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5130956,9.00,7.00,6.00,7.00,9.00,9.38,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5130972,6.00,4.00,6.00,5.00,5.00,7.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5130980,8.00,6.00,6.00,7.00,7.00,7.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5130999,1.00,4.00,3.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5131006,8.00,8.00,3.00,7.00,8.00,7.13,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5131014,6.00,6.00,4.00,6.00,7.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5131030,9.00,6.00,7.00,5.00,10.00,7.50,3.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5131049,4.00,4.00,3.00,2.00,5.00,0.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5131073,5.00,7.00,4.00,4.00,6.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5131081,7.00,7.00,2.00,7.00,9.00,12.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5131090,5.00,4.00,3.00,6.00,6.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5131103,6.00,5.00,1.00,4.00,9.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5131111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5131120,7.00,8.00,5.00,5.00,9.00,11.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5131138,1.00,5.00,1.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5131146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5131154,6.00,3.00,2.00,5.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5131162,8.00,6.00,5.00,7.00,4.00,6.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5131170,3.00,6.00,2.00,4.00,5.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5131189,4.00,4.00,1.00,1.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5131197,2.00,6.00,0.00,6.00,4.00,7.13,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5131200,7.00,6.00,5.00,6.00,3.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5131219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5131227,5.00,5.00,1.00,3.00,5.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5131235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5131243,7.00,5.00,2.00,7.00,7.00,8.25,1.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5131251,9.00,7.00,8.00,4.00,6.00,9.00,7.00,6.00,10.00,NULL,NULL,NULL,'N'),(20,5131278,7.00,5.00,3.00,3.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5131286,8.00,7.00,6.00,7.00,11.00,10.88,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5131294,7.00,6.00,5.00,6.00,6.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5131308,6.00,6.00,3.00,4.00,6.00,9.00,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5131316,8.00,5.00,6.00,7.00,7.00,7.13,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5131324,6.00,9.00,5.00,5.00,7.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5131332,4.00,7.00,6.00,7.00,5.00,6.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5131340,4.00,2.00,3.00,2.00,7.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5131359,6.00,0.00,7.00,6.00,9.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5131375,9.00,7.00,5.00,7.00,7.00,9.38,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5131383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5131391,9.00,6.00,5.00,7.00,8.00,10.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5131405,8.00,7.00,3.00,7.00,10.00,9.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5131421,5.00,3.00,3.00,5.00,7.00,7.50,4.00,3.00,6.00,NULL,NULL,NULL,'S'),(20,5131430,8.00,6.00,4.00,8.00,9.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5131448,8.00,8.00,6.00,8.00,6.00,8.63,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5131456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5131464,6.00,6.00,1.00,6.00,7.00,10.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5131480,1.00,6.00,2.00,1.00,2.00,NULL,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5131499,9.00,7.00,7.00,6.00,10.00,9.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5131502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5131510,5.00,6.00,3.00,3.00,9.00,8.25,1.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5131529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5131545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5131553,9.00,7.00,5.00,7.00,10.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5131561,6.00,5.00,1.00,5.00,5.00,8.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5131570,9.00,8.00,3.00,6.00,8.00,7.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5131596,8.00,7.00,5.00,8.00,10.00,7.13,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5131600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5131618,5.00,8.00,6.00,7.00,8.00,8.25,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5131634,2.00,1.00,1.00,1.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5131642,5.00,6.00,2.00,4.00,9.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5131650,6.00,6.00,1.00,5.00,7.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5131669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5131677,7.00,8.00,6.00,7.00,6.00,7.13,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5131685,8.00,5.00,1.00,4.00,7.00,10.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5131693,9.00,8.00,4.00,6.00,10.00,11.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5131723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5131731,5.00,6.00,3.00,6.00,6.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5131758,5.00,3.00,1.00,6.00,7.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5131766,5.00,7.00,2.00,7.00,3.00,NULL,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5131774,7.00,6.00,4.00,6.00,7.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5131782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5131804,3.00,6.00,4.00,7.00,4.00,9.38,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5131812,9.00,8.00,5.00,4.00,8.00,8.25,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5131820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5131839,5.00,4.00,4.00,5.00,6.00,6.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5131847,4.00,6.00,2.00,4.00,7.00,8.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5131855,7.00,6.00,3.00,7.00,7.00,7.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5131863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5131871,3.00,2.00,0.00,3.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5131880,4.00,6.00,1.00,3.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5131898,3.00,3.00,0.00,2.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5131901,6.00,5.00,3.00,5.00,6.00,8.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5131910,7.00,4.00,5.00,6.00,10.00,10.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5131936,5.00,7.00,4.00,5.00,7.00,8.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5131944,6.00,4.00,0.00,5.00,5.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5131987,9.00,7.00,5.00,7.00,8.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5131995,8.00,5.00,2.00,6.00,8.00,6.38,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5132010,2.00,6.00,0.00,3.00,3.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5132029,1.00,4.00,1.00,3.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5132037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5132053,6.00,8.00,3.00,7.00,8.00,7.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5132061,4.00,5.00,2.00,7.00,7.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5132088,6.00,6.00,3.00,6.00,8.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5132096,9.00,7.00,4.00,7.00,10.00,10.88,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5132100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5132118,0.00,6.00,2.00,2.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5132126,5.00,5.00,2.00,7.00,9.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5132134,4.00,4.00,3.00,3.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5132142,4.00,5.00,2.00,6.00,5.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5132150,9.00,8.00,4.00,7.00,10.00,9.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5132169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5132177,6.00,7.00,3.00,5.00,4.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5132185,8.00,8.00,6.00,8.00,10.00,9.38,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5132193,3.00,0.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5132207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5132215,9.00,9.00,5.00,7.00,9.00,11.63,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5132223,6.00,6.00,2.00,5.00,7.00,8.63,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5132231,6.00,4.00,0.00,6.00,9.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5132240,8.00,7.00,4.00,7.00,9.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5132274,5.00,6.00,5.00,3.00,7.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5132282,8.00,7.00,1.00,5.00,7.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5132290,3.00,7.00,4.00,6.00,6.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5132304,6.00,4.00,0.00,6.00,6.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5132312,5.00,5.00,2.00,4.00,6.00,11.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5132320,7.00,3.00,3.00,4.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5132339,4.00,9.00,3.00,7.00,6.00,7.88,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5132347,8.00,6.00,5.00,4.00,9.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5132363,6.00,0.00,1.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5132371,9.00,7.00,4.00,6.00,6.00,7.50,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5132398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5132401,4.00,6.00,3.00,3.00,6.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5132410,5.00,3.00,3.00,4.00,8.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5132436,4.00,6.00,3.00,5.00,4.00,7.88,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5132444,8.00,6.00,5.00,6.00,8.00,11.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5132479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5132495,7.00,7.00,1.00,7.00,8.00,9.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5132509,1.00,4.00,2.00,5.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5132517,6.00,7.00,4.00,3.00,9.00,6.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5132525,1.00,0.00,4.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5132533,6.00,5.00,0.00,5.00,5.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5132541,3.00,5.00,2.00,7.00,7.00,9.38,3.00,3.00,0.00,NULL,NULL,NULL,'S'),(20,5132550,8.00,6.00,5.00,4.00,6.00,8.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5132568,8.00,6.00,7.00,7.00,9.00,9.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5132576,2.00,1.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5132614,4.00,7.00,1.00,3.00,7.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5132622,8.00,6.00,3.00,6.00,9.00,9.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5132630,9.00,6.00,4.00,7.00,8.00,9.38,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5132649,6.00,7.00,4.00,7.00,9.00,9.38,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5132657,7.00,8.00,7.00,6.00,8.00,8.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5132665,7.00,6.00,2.00,5.00,8.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5132673,2.00,2.00,0.00,4.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5132681,3.00,4.00,0.00,3.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5132690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5132703,7.00,7.00,5.00,6.00,9.00,10.88,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5132711,7.00,6.00,4.00,6.00,8.00,10.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5132720,2.00,2.00,1.00,5.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5132746,9.00,5.00,2.00,6.00,8.00,11.63,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5132754,6.00,5.00,2.00,4.00,8.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5132762,5.00,5.00,4.00,7.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5132770,5.00,6.00,3.00,6.00,9.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5132789,6.00,6.00,4.00,7.00,7.00,9.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5132797,6.00,5.00,4.00,6.00,7.00,9.38,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5132800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5132819,4.00,5.00,1.00,5.00,8.00,10.88,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5132835,8.00,7.00,5.00,6.00,10.00,10.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5132843,2.00,6.00,2.00,4.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5132851,8.00,9.00,9.00,7.00,8.00,10.50,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5132860,5.00,4.00,4.00,6.00,7.00,9.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5132886,6.00,6.00,2.00,4.00,8.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5132916,8.00,5.00,4.00,7.00,7.00,9.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5132924,8.00,6.00,1.00,3.00,6.00,8.25,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5132932,1.00,6.00,2.00,7.00,9.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5132940,4.00,4.00,3.00,5.00,6.00,7.13,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5132959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5132967,1.00,4.00,0.00,2.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5132975,4.00,5.00,2.00,3.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5132983,8.00,6.00,4.00,4.00,5.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5132991,3.00,2.00,2.00,1.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5133009,6.00,8.00,3.00,6.00,8.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5133017,3.00,7.00,1.00,3.00,5.00,4.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5133025,6.00,6.00,3.00,8.00,6.00,9.38,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5133033,1.00,4.00,1.00,0.00,6.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5133041,2.00,4.00,1.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5133050,3.00,5.00,3.00,2.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5133068,2.00,6.00,0.00,3.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5133076,5.00,8.00,4.00,7.00,10.00,9.38,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5133084,7.00,8.00,4.00,7.00,9.00,12.75,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5133092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5133106,5.00,6.00,2.00,5.00,8.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5133114,9.00,9.00,7.00,7.00,10.00,10.13,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5133122,6.00,7.00,3.00,8.00,6.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5133130,8.00,7.00,3.00,7.00,7.00,7.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5133149,5.00,6.00,5.00,2.00,5.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5133157,6.00,5.00,1.00,7.00,8.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5133165,5.00,5.00,2.00,7.00,8.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5133173,3.00,5.00,1.00,5.00,4.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5133181,6.00,3.00,0.00,3.00,7.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5133203,2.00,5.00,1.00,6.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5133211,7.00,8.00,3.00,7.00,6.00,9.00,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5133220,5.00,6.00,3.00,6.00,6.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5133238,8.00,5.00,8.00,6.00,8.00,9.75,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5133246,8.00,8.00,8.00,7.00,8.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5133254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5133270,8.00,7.00,4.00,5.00,9.00,9.38,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5133289,5.00,7.00,4.00,6.00,8.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5133300,8.00,6.00,1.00,2.00,5.00,9.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5133327,3.00,5.00,3.00,3.00,9.00,9.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5133335,4.00,4.00,2.00,5.00,6.00,8.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5133343,2.00,4.00,1.00,1.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5133351,1.00,6.00,2.00,5.00,4.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5133360,6.00,6.00,1.00,4.00,7.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5133378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5133386,3.00,5.00,1.00,2.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5133394,7.00,6.00,5.00,8.00,10.00,9.38,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5133408,4.00,6.00,4.00,5.00,7.00,3.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5133416,7.00,6.00,0.00,5.00,8.00,6.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5133432,2.00,2.00,0.00,0.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5133440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5133459,5.00,5.00,1.00,2.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5133467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5133475,4.00,6.00,3.00,5.00,4.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5133483,9.00,6.00,8.00,7.00,8.00,9.38,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5133505,8.00,6.00,2.00,4.00,5.00,7.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5133513,2.00,3.00,1.00,3.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5133530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5133564,4.00,5.00,1.00,4.00,4.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5133572,4.00,5.00,1.00,4.00,6.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5133580,3.00,4.00,3.00,2.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5133599,8.00,8.00,6.00,5.00,10.00,10.13,9.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5133602,8.00,5.00,4.00,7.00,9.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5133610,6.00,7.00,2.00,6.00,9.00,9.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5133629,3.00,4.00,0.00,6.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5133637,7.00,8.00,2.00,4.00,7.00,9.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5133645,6.00,4.00,1.00,7.00,8.00,11.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5133661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5133670,7.00,7.00,2.00,6.00,10.00,8.63,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5133688,0.00,7.00,0.00,0.00,0.00,NULL,1.00,5.00,5.00,'S',NULL,NULL,'N'),(20,5133696,9.00,8.00,5.00,7.00,9.00,6.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5133700,7.00,7.00,4.00,6.00,8.00,8.63,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5133718,4.00,6.00,4.00,4.00,5.00,7.13,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5133726,4.00,5.00,0.00,5.00,6.00,0.00,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5133734,9.00,8.00,8.00,7.00,10.00,9.75,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5133742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5133769,9.00,9.00,7.00,7.00,9.00,9.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5133785,4.00,6.00,2.00,5.00,7.00,10.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5133793,5.00,4.00,1.00,5.00,5.00,6.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5133807,7.00,5.00,2.00,6.00,8.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5133815,5.00,4.00,5.00,2.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5133823,7.00,5.00,2.00,7.00,9.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5133858,2.00,6.00,1.00,2.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5133866,8.00,6.00,6.00,7.00,5.00,9.00,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5133874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5133882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5133904,5.00,6.00,4.00,6.00,9.00,6.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5133912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5133963,6.00,5.00,5.00,4.00,7.00,8.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5133971,4.00,6.00,3.00,7.00,7.00,10.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5133980,5.00,6.00,2.00,6.00,6.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5134005,8.00,8.00,3.00,6.00,9.00,9.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5134013,9.00,8.00,9.00,7.00,9.00,6.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5134021,5.00,7.00,5.00,7.00,10.00,7.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5134030,5.00,7.00,1.00,2.00,7.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5134048,9.00,9.00,4.00,8.00,10.00,10.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5134056,7.00,6.00,4.00,5.00,8.00,9.38,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5134072,9.00,7.00,7.00,7.00,9.00,8.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5134080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5134099,9.00,8.00,6.00,5.00,9.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5134102,8.00,7.00,2.00,5.00,9.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5134110,3.00,5.00,4.00,7.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5134137,3.00,5.00,4.00,5.00,6.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5134145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5134153,7.00,5.00,1.00,5.00,6.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5134161,5.00,3.00,1.00,3.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5134188,7.00,8.00,4.00,7.00,8.00,12.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5134200,5.00,7.00,2.00,4.00,6.00,6.38,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5134218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5134234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5134242,8.00,6.00,6.00,7.00,9.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5134250,2.00,6.00,2.00,2.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5134269,4.00,6.00,1.00,4.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5134277,6.00,5.00,3.00,4.00,10.00,6.00,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5134285,8.00,8.00,4.00,6.00,6.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5134293,3.00,4.00,0.00,6.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5134307,8.00,7.00,5.00,7.00,10.00,12.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5134315,3.00,5.00,3.00,7.00,5.00,6.75,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5134323,0.00,4.00,4.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5134340,8.00,6.00,0.00,6.00,6.00,7.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5134366,4.00,5.00,2.00,5.00,5.00,10.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5134374,2.00,3.00,4.00,4.00,4.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5134382,4.00,2.00,3.00,0.00,5.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5134390,0.00,4.00,4.00,4.00,4.00,NULL,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5134404,5.00,7.00,5.00,7.00,10.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5134412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5134420,5.00,6.00,1.00,7.00,7.00,11.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5134439,4.00,4.00,0.00,4.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5134447,9.00,8.00,8.00,7.00,10.00,9.38,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5134455,3.00,3.00,1.00,4.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5134463,3.00,6.00,0.00,4.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5134471,2.00,4.00,0.00,2.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5134480,5.00,7.00,3.00,7.00,7.00,9.00,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5134498,5.00,4.00,1.00,5.00,6.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5134510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5134528,5.00,7.00,2.00,4.00,7.00,9.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5134536,9.00,6.00,3.00,6.00,8.00,9.38,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5134544,7.00,6.00,3.00,2.00,6.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5134552,5.00,3.00,0.00,4.00,5.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5134560,5.00,6.00,1.00,7.00,8.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5134579,8.00,6.00,3.00,7.00,8.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5134587,7.00,4.00,4.00,7.00,9.00,8.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5134595,3.00,1.00,3.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5134609,7.00,7.00,0.00,6.00,6.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5134617,4.00,6.00,3.00,4.00,8.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5134625,6.00,5.00,4.00,6.00,7.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5134668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5134692,8.00,7.00,4.00,6.00,6.00,10.50,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5134706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5134749,6.00,7.00,4.00,4.00,5.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5134757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5134765,6.00,8.00,4.00,6.00,7.00,7.50,2.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5134773,6.00,8.00,5.00,6.00,9.00,8.63,3.00,1.00,8.00,NULL,NULL,NULL,'N'),(20,5134781,5.00,6.00,2.00,4.00,7.00,7.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5134790,8.00,6.00,1.00,7.00,7.00,4.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5134803,4.00,5.00,4.00,5.00,7.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5134811,7.00,7.00,2.00,7.00,8.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5134820,5.00,5.00,2.00,4.00,9.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5134838,5.00,5.00,1.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5134846,9.00,6.00,1.00,7.00,8.00,10.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5134862,5.00,3.00,2.00,4.00,8.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5134870,3.00,4.00,0.00,1.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5134889,9.00,9.00,5.00,7.00,9.00,9.38,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5134897,3.00,3.00,0.00,2.00,5.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5134900,4.00,6.00,1.00,7.00,10.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5134919,5.00,4.00,1.00,4.00,8.00,8.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5134927,7.00,7.00,1.00,5.00,7.00,9.00,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5134935,9.00,8.00,3.00,6.00,9.00,11.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5134943,5.00,5.00,1.00,4.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5134951,8.00,8.00,2.00,3.00,6.00,8.63,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5134960,5.00,4.00,1.00,6.00,5.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5134978,9.00,6.00,5.00,7.00,9.00,9.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5134986,7.00,5.00,6.00,8.00,8.00,9.00,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5134994,6.00,7.00,2.00,3.00,6.00,9.38,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5135001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5135010,7.00,7.00,2.00,7.00,9.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5135028,5.00,6.00,3.00,1.00,3.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5135036,7.00,3.00,4.00,5.00,5.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5135044,8.00,6.00,5.00,6.00,4.00,7.13,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5135052,4.00,5.00,4.00,4.00,4.00,10.50,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5135060,2.00,4.00,4.00,5.00,6.00,9.00,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5135079,4.00,5.00,1.00,3.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5135087,6.00,6.00,4.00,7.00,7.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5135095,5.00,2.00,1.00,4.00,5.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5135117,2.00,0.00,4.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5135133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5135150,5.00,7.00,0.00,7.00,5.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5135176,7.00,6.00,4.00,7.00,9.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5135184,6.00,7.00,6.00,4.00,8.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5135192,6.00,8.00,6.00,7.00,9.00,8.63,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5135206,7.00,6.00,2.00,3.00,8.00,7.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5135214,4.00,5.00,4.00,4.00,3.00,NULL,0.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5135222,9.00,9.00,6.00,7.00,8.00,8.63,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5135230,5.00,7.00,4.00,7.00,8.00,10.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5135265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5135273,4.00,4.00,3.00,7.00,6.00,7.13,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5135281,3.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5135303,7.00,8.00,4.00,6.00,7.00,0.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5135311,3.00,5.00,1.00,3.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5135320,6.00,6.00,6.00,5.00,8.00,9.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5135338,6.00,4.00,0.00,5.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5135362,8.00,7.00,3.00,7.00,9.00,7.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5135389,9.00,8.00,3.00,7.00,8.00,7.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5135397,4.00,5.00,1.00,5.00,8.00,10.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5135400,6.00,8.00,4.00,7.00,8.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5135419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5135427,5.00,7.00,5.00,5.00,6.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5135443,9.00,7.00,3.00,5.00,8.00,12.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5135451,6.00,6.00,0.00,6.00,9.00,NULL,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5135460,5.00,7.00,5.00,4.00,6.00,8.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5135478,9.00,7.00,6.00,8.00,9.00,13.50,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5135486,2.00,3.00,0.00,3.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5135494,5.00,6.00,2.00,4.00,5.00,6.00,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5135508,7.00,6.00,3.00,3.00,9.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5135524,5.00,6.00,4.00,3.00,5.00,8.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5135532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5135540,8.00,4.00,6.00,7.00,6.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5135567,7.00,5.00,1.00,4.00,6.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5135575,8.00,7.00,7.00,8.00,10.00,12.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5135583,7.00,6.00,5.00,6.00,7.00,6.38,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5135591,9.00,7.00,2.00,8.00,10.00,9.00,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5135605,3.00,6.00,4.00,2.00,8.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5135613,6.00,7.00,0.00,6.00,5.00,7.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5135621,2.00,5.00,2.00,4.00,7.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5135648,1.00,6.00,1.00,7.00,5.00,10.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5135656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5135664,4.00,6.00,2.00,3.00,6.00,7.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5135672,8.00,7.00,4.00,8.00,7.00,8.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5135699,3.00,8.00,2.00,8.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5135702,4.00,4.00,1.00,4.00,7.00,7.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5135729,9.00,5.00,5.00,7.00,8.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5135737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5135745,8.00,5.00,2.00,6.00,4.00,7.88,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5135753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5135761,5.00,5.00,0.00,6.00,4.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5135788,3.00,4.00,2.00,6.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5135796,9.00,6.00,7.00,6.00,9.00,10.13,4.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5135800,3.00,5.00,2.00,7.00,9.00,8.63,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5135826,4.00,2.00,1.00,6.00,7.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5135834,3.00,6.00,1.00,0.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5135842,5.00,5.00,1.00,4.00,7.00,7.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5135850,6.00,6.00,4.00,4.00,7.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5135869,8.00,8.00,2.00,6.00,8.00,6.38,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5135877,6.00,6.00,6.00,4.00,8.00,10.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5135885,3.00,4.00,2.00,3.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5135893,9.00,8.00,6.00,6.00,7.00,8.63,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5135907,5.00,6.00,2.00,5.00,9.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5135923,8.00,7.00,2.00,6.00,8.00,9.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5135931,5.00,7.00,2.00,2.00,6.00,9.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5135940,4.00,6.00,1.00,4.00,5.00,7.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5135958,6.00,4.00,3.00,5.00,6.00,8.25,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5135966,8.00,5.00,5.00,3.00,7.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5135974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5135982,8.00,6.00,2.00,7.00,9.00,10.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5135990,9.00,9.00,2.00,7.00,7.00,9.75,1.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5136008,3.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5136016,6.00,5.00,3.00,5.00,7.00,10.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5136024,5.00,5.00,4.00,7.00,8.00,9.38,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5136032,7.00,6.00,3.00,4.00,6.00,8.25,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5136040,7.00,7.00,4.00,7.00,8.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5136059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5136067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5136075,5.00,5.00,4.00,7.00,6.00,7.50,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(20,5136083,4.00,4.00,2.00,7.00,5.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5136091,6.00,3.00,1.00,3.00,7.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5136105,9.00,7.00,9.00,7.00,9.00,10.13,5.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5136113,9.00,8.00,2.00,6.00,10.00,10.50,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5136121,7.00,6.00,4.00,6.00,8.00,8.63,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5136148,9.00,7.00,7.00,7.00,10.00,9.00,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5136156,4.00,2.00,0.00,3.00,4.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5136164,4.00,4.00,0.00,2.00,6.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5136172,9.00,9.00,8.00,7.00,9.00,7.88,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5136180,4.00,3.00,3.00,7.00,6.00,10.88,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5136199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5136202,4.00,6.00,1.00,6.00,7.00,9.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5136210,5.00,6.00,1.00,4.00,6.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5136229,7.00,6.00,4.00,7.00,10.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5136237,2.00,4.00,1.00,2.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5136245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5136253,5.00,7.00,3.00,7.00,7.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5136261,5.00,3.00,3.00,5.00,6.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5136270,5.00,5.00,3.00,3.00,6.00,6.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5136288,3.00,5.00,0.00,5.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5136296,4.00,5.00,0.00,4.00,7.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5136300,7.00,4.00,3.00,5.00,9.00,12.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5136318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5136326,3.00,4.00,3.00,3.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5136334,7.00,6.00,2.00,5.00,5.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5136342,3.00,5.00,6.00,7.00,5.00,8.63,4.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5136350,5.00,8.00,2.00,5.00,7.00,6.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5136369,8.00,7.00,3.00,5.00,5.00,7.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5136377,4.00,5.00,4.00,5.00,9.00,9.00,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5136385,2.00,4.00,0.00,2.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5136393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5136407,8.00,8.00,2.00,5.00,7.00,6.75,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5136415,5.00,5.00,1.00,6.00,8.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5136423,3.00,7.00,3.00,1.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5136431,7.00,7.00,2.00,7.00,8.00,11.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5136440,7.00,5.00,5.00,7.00,8.00,9.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5136458,9.00,8.00,9.00,7.00,10.00,10.13,8.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5136466,6.00,3.00,0.00,4.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5136474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5136482,9.00,6.00,4.00,7.00,8.00,8.25,9.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5136490,5.00,5.00,2.00,2.00,3.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5136504,9.00,6.00,5.00,7.00,8.00,11.63,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5136547,7.00,5.00,2.00,7.00,7.00,9.00,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5136555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5136563,8.00,7.00,4.00,7.00,6.00,8.63,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5136571,2.00,4.00,1.00,2.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5136580,7.00,5.00,0.00,4.00,7.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5136598,8.00,7.00,7.00,7.00,9.00,12.00,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5136601,5.00,6.00,3.00,5.00,6.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5136610,8.00,8.00,4.00,6.00,9.00,9.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5136628,5.00,5.00,1.00,6.00,5.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5136636,9.00,6.00,3.00,8.00,6.00,10.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5136644,3.00,6.00,3.00,5.00,8.00,7.50,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5136652,7.00,6.00,1.00,6.00,5.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5136660,5.00,6.00,3.00,4.00,4.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5136687,9.00,8.00,4.00,6.00,10.00,9.38,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5136695,2.00,0.00,4.00,2.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5136709,4.00,6.00,2.00,2.00,6.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5136717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5136725,8.00,9.00,6.00,7.00,10.00,7.88,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5136733,6.00,5.00,4.00,5.00,9.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5136741,7.00,0.00,5.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5136750,8.00,9.00,1.00,6.00,10.00,7.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5136768,9.00,7.00,5.00,7.00,7.00,7.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5136784,8.00,7.00,7.00,6.00,10.00,7.88,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5136792,7.00,7.00,1.00,6.00,9.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5136806,3.00,4.00,0.00,4.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5136822,8.00,8.00,2.00,7.00,8.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5136830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5136849,6.00,5.00,2.00,6.00,9.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5136857,6.00,6.00,4.00,4.00,2.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5136865,8.00,9.00,9.00,8.00,11.00,11.63,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5136873,7.00,5.00,0.00,3.00,5.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5136890,3.00,6.00,4.00,3.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5136903,8.00,6.00,5.00,7.00,10.00,7.88,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5136911,8.00,7.00,6.00,7.00,9.00,12.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5136920,8.00,9.00,6.00,7.00,10.00,10.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5136938,7.00,8.00,1.00,4.00,8.00,6.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5136946,2.00,2.00,0.00,3.00,3.00,NULL,3.00,0.00,1.00,NULL,NULL,'S','N'),(20,5136954,9.00,8.00,8.00,8.00,8.00,11.63,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5136989,5.00,7.00,5.00,4.00,4.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5136997,7.00,5.00,5.00,6.00,7.00,7.88,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5137004,3.00,4.00,1.00,5.00,5.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5137012,1.00,4.00,0.00,6.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5137020,9.00,9.00,8.00,6.00,8.00,9.38,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5137039,2.00,2.00,3.00,3.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5137047,4.00,4.00,5.00,5.00,5.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5137063,9.00,8.00,7.00,7.00,7.00,10.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5137071,7.00,7.00,4.00,7.00,8.00,8.63,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5137080,9.00,6.00,5.00,7.00,8.00,6.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5137098,5.00,6.00,1.00,4.00,6.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5137101,2.00,3.00,0.00,2.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5137110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5137128,7.00,8.00,4.00,7.00,7.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5137136,9.00,7.00,7.00,6.00,8.00,8.25,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5137152,6.00,6.00,3.00,6.00,8.00,9.00,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5137160,5.00,5.00,4.00,7.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5137179,8.00,6.00,5.00,6.00,10.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5137187,6.00,7.00,4.00,6.00,8.00,6.75,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5137195,5.00,6.00,4.00,7.00,7.00,9.38,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5137217,5.00,4.00,1.00,6.00,7.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5137233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5137241,6.00,6.00,0.00,4.00,6.00,6.75,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5137250,8.00,8.00,5.00,8.00,8.00,11.25,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5137268,9.00,7.00,8.00,7.00,10.00,7.88,7.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5137276,6.00,7.00,3.00,5.00,7.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5137284,5.00,4.00,4.00,4.00,5.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5137306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5137314,7.00,6.00,4.00,5.00,9.00,7.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5137322,7.00,6.00,8.00,6.00,10.00,8.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5137330,3.00,3.00,0.00,4.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5137349,3.00,3.00,1.00,3.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5137357,4.00,3.00,0.00,4.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5137365,9.00,6.00,4.00,7.00,9.00,NULL,6.00,6.00,7.00,NULL,NULL,'S','N'),(20,5137373,4.00,4.00,1.00,2.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5137390,6.00,6.00,5.00,4.00,6.00,9.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5137403,4.00,4.00,0.00,3.00,7.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5137411,4.00,6.00,1.00,3.00,6.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5137420,7.00,7.00,5.00,6.00,7.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5137438,9.00,8.00,4.00,8.00,7.00,8.63,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5137446,6.00,5.00,3.00,4.00,4.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5137454,8.00,4.00,6.00,7.00,8.00,8.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5137462,3.00,4.00,2.00,5.00,4.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5137470,9.00,7.00,4.00,5.00,8.00,8.63,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5137489,8.00,8.00,8.00,7.00,9.00,7.88,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5137497,8.00,7.00,8.00,5.00,10.00,12.00,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5137500,5.00,6.00,1.00,6.00,6.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5137527,8.00,5.00,1.00,3.00,4.00,8.25,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5137535,6.00,3.00,1.00,0.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5137543,2.00,3.00,4.00,7.00,5.00,7.13,4.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5137551,7.00,7.00,5.00,7.00,9.00,12.75,5.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5137578,8.00,5.00,0.00,5.00,7.00,9.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5137586,9.00,9.00,6.00,7.00,10.00,11.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5137594,5.00,4.00,2.00,5.00,8.00,8.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5137608,8.00,5.00,2.00,7.00,8.00,8.25,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5137616,6.00,7.00,8.00,7.00,9.00,9.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5137624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5137659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5137667,7.00,8.00,4.00,6.00,4.00,10.13,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5137675,6.00,7.00,1.00,3.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5137683,5.00,7.00,4.00,4.00,6.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5137705,8.00,6.00,6.00,6.00,9.00,8.63,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5137713,5.00,6.00,2.00,6.00,7.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5137721,7.00,6.00,2.00,6.00,8.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5137730,5.00,4.00,0.00,6.00,6.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5137748,5.00,2.00,1.00,3.00,4.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5137756,9.00,7.00,5.00,7.00,7.00,8.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5137764,9.00,8.00,7.00,7.00,9.00,10.88,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5137772,7.00,6.00,5.00,7.00,9.00,9.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5137799,4.00,6.00,0.00,3.00,1.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5137802,8.00,8.00,2.00,7.00,7.00,9.75,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5137810,7.00,7.00,4.00,6.00,8.00,8.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5137829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5137837,4.00,4.00,2.00,5.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5137845,5.00,6.00,2.00,7.00,4.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5137861,4.00,5.00,2.00,3.00,8.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5137870,8.00,6.00,5.00,7.00,6.00,12.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5137896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5137900,6.00,5.00,2.00,6.00,5.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5137918,5.00,5.00,1.00,4.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5137926,4.00,7.00,3.00,7.00,6.00,6.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5137934,9.00,8.00,7.00,8.00,8.00,9.00,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5137942,2.00,5.00,0.00,7.00,7.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5137950,3.00,6.00,3.00,7.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5137969,6.00,3.00,3.00,4.00,7.00,11.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5137977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5137985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5137993,5.00,5.00,2.00,3.00,7.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5138000,7.00,8.00,4.00,5.00,8.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5138019,1.00,3.00,0.00,0.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5138027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5138035,2.00,5.00,1.00,4.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5138051,4.00,6.00,4.00,2.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5138060,6.00,5.00,4.00,5.00,5.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5138078,5.00,4.00,0.00,6.00,5.00,8.25,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5138086,4.00,6.00,2.00,5.00,4.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5138094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5138108,6.00,5.00,4.00,7.00,6.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5138116,3.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5138124,7.00,4.00,1.00,3.00,6.00,8.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5138132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5138140,9.00,5.00,7.00,7.00,9.00,10.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5138159,8.00,8.00,3.00,7.00,9.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5138167,7.00,8.00,1.00,7.00,10.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5138175,8.00,4.00,6.00,7.00,5.00,8.63,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5138183,5.00,6.00,4.00,7.00,7.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5138191,7.00,6.00,5.00,7.00,8.00,12.38,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5138205,6.00,7.00,3.00,7.00,7.00,10.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5138213,4.00,4.00,1.00,5.00,4.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5138221,3.00,2.00,0.00,7.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5138230,9.00,8.00,6.00,6.00,9.00,6.38,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5138248,7.00,7.00,4.00,7.00,5.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5138272,6.00,8.00,3.00,5.00,9.00,8.63,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5138280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5138299,6.00,7.00,6.00,3.00,4.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5138302,3.00,5.00,1.00,6.00,7.00,10.50,2.00,1.00,7.00,NULL,NULL,NULL,'S'),(20,5138310,9.00,8.00,6.00,6.00,11.00,12.38,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5138329,7.00,3.00,2.00,3.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5138345,10.00,7.00,5.00,6.00,8.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5138361,7.00,7.00,0.00,6.00,10.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5138370,4.00,4.00,3.00,3.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5138388,2.00,4.00,1.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5138396,3.00,5.00,0.00,5.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5138400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5138418,9.00,6.00,6.00,7.00,8.00,10.13,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5138434,4.00,5.00,3.00,4.00,4.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5138442,8.00,7.00,4.00,4.00,9.00,8.63,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5138450,4.00,5.00,3.00,7.00,4.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(20,5138477,7.00,7.00,7.00,7.00,10.00,8.63,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5138485,2.00,5.00,1.00,5.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5138493,5.00,4.00,3.00,6.00,9.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5138507,9.00,8.00,6.00,7.00,10.00,8.25,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5138540,5.00,4.00,4.00,5.00,8.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5138558,5.00,4.00,2.00,3.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5138566,4.00,6.00,2.00,5.00,5.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5138574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5138582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5138590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5138612,2.00,7.00,2.00,4.00,8.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5138620,5.00,7.00,1.00,4.00,9.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5138647,8.00,6.00,3.00,6.00,4.00,7.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5138655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5138663,8.00,5.00,4.00,6.00,8.00,11.63,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5138671,6.00,8.00,4.00,4.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5138701,2.00,4.00,1.00,3.00,7.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5138710,4.00,4.00,2.00,4.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5138728,6.00,4.00,1.00,6.00,8.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5138736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5138744,4.00,1.00,1.00,2.00,4.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5138752,8.00,6.00,1.00,6.00,10.00,9.38,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5138760,9.00,7.00,6.00,7.00,9.00,6.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5138779,7.00,5.00,2.00,6.00,8.00,9.75,5.00,2.00,9.00,NULL,NULL,NULL,'N'),(20,5138787,7.00,6.00,4.00,6.00,7.00,10.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5138795,3.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5138817,9.00,9.00,6.00,6.00,9.00,11.25,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5138825,8.00,6.00,4.00,6.00,8.00,8.25,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5138833,8.00,8.00,8.00,7.00,8.00,8.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5138850,8.00,7.00,8.00,7.00,5.00,8.63,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5138868,9.00,8.00,4.00,5.00,7.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5138876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5138884,6.00,6.00,3.00,5.00,6.00,7.13,0.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5138892,5.00,6.00,3.00,7.00,7.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5138906,8.00,6.00,5.00,6.00,7.00,11.25,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5138914,2.00,5.00,4.00,7.00,4.00,7.50,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5138922,6.00,6.00,3.00,8.00,9.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5138930,4.00,4.00,0.00,3.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5138949,7.00,6.00,5.00,5.00,9.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5138957,9.00,9.00,4.00,7.00,8.00,11.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5138965,5.00,7.00,2.00,6.00,6.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5138981,6.00,6.00,1.00,5.00,8.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5138990,7.00,8.00,7.00,7.00,7.00,11.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5139007,5.00,6.00,3.00,3.00,6.00,6.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5139015,4.00,5.00,1.00,7.00,4.00,0.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5139040,7.00,6.00,2.00,2.00,7.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5139066,8.00,8.00,7.00,7.00,9.00,8.25,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5139074,4.00,5.00,2.00,3.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5139082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5139090,3.00,3.00,3.00,3.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5139104,5.00,6.00,3.00,3.00,4.00,9.38,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5139112,4.00,6.00,4.00,2.00,6.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5139139,2.00,4.00,1.00,3.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5139155,8.00,7.00,8.00,7.00,7.00,7.13,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5139163,6.00,6.00,1.00,6.00,6.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5139171,6.00,6.00,4.00,5.00,9.00,9.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5139180,7.00,8.00,7.00,8.00,9.00,6.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5139198,5.00,5.00,1.00,5.00,6.00,8.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5139201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5139210,6.00,4.00,4.00,7.00,7.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5139228,3.00,4.00,3.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5139236,3.00,5.00,0.00,5.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5139244,7.00,8.00,0.00,7.00,8.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5139252,2.00,4.00,2.00,3.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5139279,8.00,7.00,2.00,7.00,10.00,9.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5139295,4.00,5.00,3.00,3.00,4.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5139317,5.00,6.00,3.00,3.00,8.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5139325,5.00,6.00,1.00,6.00,7.00,9.75,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5139333,9.00,6.00,7.00,7.00,9.00,10.13,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5139341,6.00,5.00,4.00,6.00,8.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5139350,6.00,5.00,1.00,3.00,7.00,11.63,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5139368,5.00,6.00,5.00,7.00,4.00,6.75,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5139376,9.00,7.00,2.00,7.00,10.00,12.00,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5139384,6.00,3.00,2.00,6.00,6.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5139392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5139414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5139422,8.00,6.00,3.00,5.00,6.00,9.38,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5139430,5.00,6.00,2.00,5.00,4.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5139457,5.00,6.00,3.00,6.00,6.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5139473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5139490,7.00,6.00,3.00,7.00,8.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5139503,6.00,7.00,3.00,4.00,7.00,8.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5139511,8.00,6.00,3.00,4.00,5.00,6.00,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5139520,3.00,6.00,0.00,2.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5139538,5.00,3.00,3.00,5.00,4.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5139546,3.00,5.00,2.00,7.00,7.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5139554,5.00,6.00,4.00,6.00,6.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5139562,5.00,5.00,2.00,2.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5139570,9.00,8.00,7.00,7.00,10.00,7.13,8.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5139589,9.00,7.00,3.00,8.00,10.00,11.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5139597,0.00,0.00,0.00,0.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5139600,5.00,4.00,2.00,3.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5139619,7.00,8.00,2.00,6.00,7.00,8.63,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5139627,5.00,6.00,3.00,3.00,6.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5139635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5139643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5139651,5.00,4.00,5.00,7.00,6.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5139686,2.00,6.00,0.00,5.00,9.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5139694,6.00,5.00,1.00,6.00,7.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5139708,4.00,7.00,4.00,7.00,6.00,8.63,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5139716,1.00,5.00,2.00,2.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5139724,7.00,6.00,2.00,7.00,7.00,7.13,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5139732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5139740,7.00,7.00,1.00,8.00,7.00,10.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5139767,9.00,6.00,7.00,7.00,10.00,8.63,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5139775,8.00,6.00,2.00,6.00,6.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5139783,8.00,7.00,6.00,5.00,7.00,10.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5139791,6.00,3.00,1.00,4.00,8.00,NULL,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5139805,4.00,4.00,3.00,3.00,5.00,8.63,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5139813,4.00,2.00,2.00,5.00,4.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5139821,2.00,7.00,1.00,7.00,6.00,0.00,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5139830,7.00,4.00,2.00,6.00,9.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5139856,4.00,7.00,0.00,6.00,7.00,9.75,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5139864,5.00,6.00,2.00,5.00,5.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5139880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5139899,5.00,7.00,3.00,4.00,8.00,9.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5139937,3.00,6.00,1.00,2.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5139945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5139953,4.00,6.00,4.00,6.00,5.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5139970,3.00,6.00,2.00,3.00,8.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5139988,9.00,5.00,1.00,7.00,9.00,12.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5139996,1.00,6.00,1.00,6.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5140005,6.00,5.00,6.00,5.00,4.00,8.63,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5140013,8.00,6.00,3.00,7.00,9.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5140021,6.00,7.00,5.00,5.00,8.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5140030,5.00,5.00,3.00,3.00,4.00,6.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5140048,6.00,3.00,2.00,6.00,5.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5140056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5140072,3.00,5.00,2.00,5.00,7.00,8.63,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5140080,5.00,7.00,2.00,4.00,6.00,6.75,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5140099,6.00,6.00,2.00,6.00,8.00,9.38,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5140102,4.00,5.00,3.00,2.00,6.00,6.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5140110,8.00,9.00,7.00,6.00,10.00,8.25,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5140137,2.00,0.00,0.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5140145,6.00,3.00,3.00,4.00,5.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5140161,8.00,6.00,3.00,7.00,7.00,6.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5140170,3.00,5.00,3.00,2.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5140196,4.00,7.00,0.00,6.00,5.00,4.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5140200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5140226,3.00,6.00,1.00,2.00,6.00,3.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5140234,8.00,5.00,2.00,7.00,9.00,10.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5140250,7.00,6.00,1.00,7.00,10.00,11.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5140269,2.00,4.00,0.00,2.00,5.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5140277,6.00,7.00,2.00,6.00,6.00,10.88,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5140293,2.00,5.00,0.00,0.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5140307,7.00,6.00,6.00,7.00,7.00,9.75,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5140315,6.00,4.00,1.00,1.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5140323,3.00,5.00,2.00,4.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5140331,1.00,5.00,0.00,2.00,6.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5140340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5140358,8.00,6.00,4.00,7.00,8.00,11.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5140366,4.00,6.00,2.00,6.00,4.00,6.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5140374,3.00,5.00,3.00,3.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5140390,6.00,6.00,3.00,5.00,7.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5140412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5140420,0.00,3.00,2.00,4.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5140447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5140455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5140463,4.00,8.00,5.00,5.00,5.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5140471,6.00,5.00,0.00,7.00,8.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5140480,1.00,4.00,3.00,6.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5140501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5140528,4.00,5.00,0.00,6.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5140544,3.00,3.00,2.00,5.00,7.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5140552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5140560,7.00,5.00,1.00,4.00,6.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5140595,3.00,6.00,4.00,3.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5140617,8.00,5.00,0.00,5.00,5.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5140633,2.00,6.00,0.00,2.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5140641,9.00,8.00,2.00,7.00,10.00,9.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5140650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5140668,8.00,7.00,6.00,8.00,8.00,10.13,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5140676,3.00,4.00,1.00,2.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5140706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5140714,5.00,5.00,0.00,1.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5140722,7.00,8.00,2.00,6.00,6.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5140730,7.00,5.00,5.00,6.00,6.00,6.38,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5140757,7.00,6.00,4.00,5.00,7.00,10.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5140773,5.00,5.00,8.00,7.00,8.00,9.00,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5140781,6.00,6.00,5.00,7.00,7.00,6.38,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5140803,6.00,7.00,3.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5140838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5140862,8.00,7.00,4.00,7.00,10.00,11.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5140870,4.00,7.00,4.00,7.00,7.00,10.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5140889,7.00,7.00,1.00,4.00,6.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5140897,3.00,5.00,2.00,6.00,5.00,7.88,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5140919,6.00,7.00,4.00,6.00,7.00,7.13,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5140927,6.00,4.00,2.00,1.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5140935,4.00,2.00,1.00,5.00,4.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5140951,6.00,5.00,1.00,3.00,7.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5140978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5140986,8.00,6.00,1.00,8.00,5.00,7.50,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5141001,3.00,7.00,5.00,4.00,6.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5141010,6.00,6.00,1.00,7.00,9.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5141036,9.00,7.00,5.00,7.00,8.00,9.38,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5141044,7.00,8.00,4.00,5.00,6.00,8.25,1.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5141052,6.00,6.00,0.00,4.00,6.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5141060,3.00,6.00,2.00,5.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5141079,7.00,5.00,6.00,5.00,9.00,9.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5141095,6.00,7.00,2.00,5.00,7.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5141109,5.00,5.00,3.00,4.00,5.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5141117,6.00,5.00,4.00,5.00,5.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5141125,5.00,4.00,1.00,1.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5141141,5.00,7.00,2.00,7.00,8.00,9.38,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5141176,3.00,7.00,5.00,6.00,8.00,7.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5141192,6.00,5.00,3.00,4.00,8.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5141206,2.00,2.00,4.00,1.00,5.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5141222,3.00,5.00,0.00,2.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5141230,6.00,5.00,2.00,4.00,5.00,8.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5141273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5141281,5.00,8.00,7.00,7.00,7.00,11.25,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5141303,1.00,4.00,1.00,0.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5141311,6.00,6.00,2.00,7.00,9.00,10.13,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5141320,7.00,6.00,5.00,5.00,4.00,4.50,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5141346,0.00,5.00,0.00,0.00,0.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5141354,5.00,6.00,1.00,7.00,7.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5141370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5141389,7.00,8.00,4.00,6.00,4.00,8.25,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5141397,3.00,6.00,0.00,7.00,7.00,6.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5141419,8.00,8.00,4.00,6.00,10.00,8.63,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5141427,7.00,6.00,4.00,4.00,6.00,7.50,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5141435,3.00,6.00,2.00,7.00,7.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5141451,5.00,5.00,1.00,4.00,5.00,9.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5141460,9.00,9.00,6.00,7.00,9.00,8.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5141478,4.00,0.00,3.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5141486,4.00,7.00,1.00,5.00,7.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5141494,5.00,6.00,0.00,6.00,6.00,7.88,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5141508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5141516,5.00,5.00,2.00,4.00,5.00,6.38,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5141524,6.00,7.00,3.00,5.00,9.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5141532,5.00,7.00,7.00,5.00,7.00,7.13,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5141540,4.00,7.00,5.00,2.00,7.00,10.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5141559,5.00,7.00,1.00,3.00,6.00,9.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5141567,3.00,5.00,1.00,4.00,7.00,9.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5141605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5141613,2.00,4.00,2.00,3.00,3.00,NULL,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5141621,4.00,4.00,3.00,3.00,7.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5141630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5141648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5141656,3.00,5.00,4.00,7.00,7.00,7.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5141699,9.00,7.00,4.00,7.00,9.00,8.63,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(20,5141702,6.00,5.00,3.00,4.00,4.00,6.38,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5141729,8.00,8.00,5.00,7.00,8.00,8.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5141737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5141745,6.00,4.00,2.00,4.00,8.00,9.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5141753,5.00,7.00,2.00,2.00,5.00,4.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5141770,2.00,7.00,5.00,5.00,6.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5141788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5141800,8.00,6.00,4.00,6.00,7.00,9.75,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5141826,3.00,5.00,2.00,4.00,3.00,NULL,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5141834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5141842,9.00,7.00,3.00,7.00,9.00,8.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5141850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5141869,5.00,5.00,2.00,5.00,4.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5141877,8.00,8.00,6.00,7.00,8.00,7.13,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5141885,5.00,4.00,4.00,5.00,5.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5141893,4.00,6.00,2.00,5.00,5.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5141915,2.00,5.00,1.00,2.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5141931,9.00,7.00,6.00,6.00,9.00,9.38,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5141940,0.00,5.00,0.00,5.00,6.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5141958,4.00,6.00,3.00,8.00,7.00,9.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5141982,5.00,2.00,1.00,4.00,3.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5141990,6.00,7.00,4.00,4.00,7.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5142008,9.00,6.00,6.00,7.00,8.00,7.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5142016,6.00,5.00,1.00,4.00,6.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5142024,5.00,7.00,2.00,6.00,5.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5142032,5.00,4.00,1.00,5.00,5.00,8.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5142040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5142059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5142067,6.00,5.00,2.00,5.00,9.00,8.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5142075,8.00,6.00,5.00,7.00,6.00,6.38,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5142083,2.00,3.00,2.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5142091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5142105,1.00,0.00,1.00,0.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5142113,6.00,6.00,4.00,5.00,3.00,NULL,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5142121,8.00,4.00,5.00,7.00,8.00,7.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5142130,8.00,7.00,4.00,7.00,7.00,6.75,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5142148,7.00,7.00,3.00,8.00,6.00,8.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5142156,5.00,5.00,1.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5142180,5.00,6.00,3.00,2.00,5.00,4.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5142199,6.00,6.00,3.00,7.00,4.00,11.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5142202,5.00,5.00,2.00,4.00,6.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5142210,4.00,4.00,2.00,8.00,8.00,9.38,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5142237,5.00,8.00,6.00,5.00,6.00,8.63,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5142245,5.00,5.00,1.00,4.00,7.00,6.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5142253,8.00,6.00,1.00,5.00,6.00,4.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5142270,6.00,6.00,1.00,7.00,8.00,6.75,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5142296,5.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(20,5142300,4.00,6.00,0.00,4.00,6.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5142318,1.00,1.00,2.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5142326,0.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5142334,3.00,6.00,5.00,6.00,5.00,7.13,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5142342,6.00,7.00,4.00,6.00,10.00,10.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5142369,5.00,6.00,0.00,7.00,6.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5142377,5.00,5.00,4.00,3.00,6.00,9.00,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5142385,7.00,6.00,7.00,8.00,8.00,9.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5142393,9.00,8.00,5.00,5.00,6.00,7.88,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5142407,8.00,8.00,6.00,6.00,8.00,7.13,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5142423,6.00,7.00,7.00,7.00,6.00,10.13,8.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5142431,2.00,6.00,1.00,2.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5142440,7.00,4.00,3.00,6.00,6.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5142458,3.00,4.00,1.00,1.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5142474,4.00,6.00,1.00,6.00,7.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5142482,5.00,5.00,0.00,3.00,5.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5142490,6.00,5.00,2.00,7.00,8.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5142504,4.00,4.00,3.00,2.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5142512,6.00,6.00,5.00,3.00,7.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5142539,4.00,5.00,4.00,6.00,6.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5142547,5.00,6.00,4.00,6.00,4.00,9.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5142563,6.00,7.00,4.00,6.00,6.00,7.13,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5142571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5142580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5142598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5142601,7.00,4.00,1.00,7.00,8.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5142628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5142636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5142644,2.00,5.00,1.00,5.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5142652,8.00,7.00,2.00,7.00,8.00,10.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5142660,4.00,6.00,2.00,4.00,6.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5142679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5142687,6.00,5.00,1.00,7.00,8.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5142695,9.00,7.00,1.00,6.00,10.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5142709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5142717,4.00,3.00,0.00,2.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5142725,0.00,2.00,0.00,3.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'S'),(20,5142741,8.00,8.00,3.00,7.00,8.00,11.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5142750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5142768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5142784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5142792,6.00,7.00,1.00,6.00,5.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5142814,8.00,5.00,7.00,6.00,8.00,8.25,5.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5142830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5142849,4.00,5.00,1.00,4.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5142865,4.00,3.00,1.00,5.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5142873,6.00,6.00,5.00,5.00,7.00,7.88,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5142881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5142903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5142911,3.00,7.00,3.00,7.00,7.00,8.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5142938,5.00,5.00,6.00,5.00,5.00,9.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5142946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5142954,4.00,5.00,1.00,4.00,6.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5142989,8.00,7.00,2.00,7.00,8.00,7.88,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5142997,9.00,4.00,1.00,5.00,8.00,7.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5143004,3.00,7.00,1.00,7.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5143012,4.00,1.00,1.00,4.00,6.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5143039,2.00,5.00,2.00,1.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5143055,9.00,7.00,6.00,6.00,11.00,8.63,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5143063,7.00,6.00,1.00,4.00,6.00,7.88,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5143071,9.00,7.00,7.00,5.00,10.00,9.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5143080,5.00,5.00,5.00,4.00,5.00,8.25,3.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5143098,5.00,6.00,7.00,5.00,9.00,6.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5143101,8.00,7.00,1.00,4.00,8.00,8.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5143110,8.00,8.00,7.00,5.00,7.00,7.13,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5143128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5143136,8.00,6.00,2.00,7.00,9.00,12.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5143144,4.00,2.00,2.00,1.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5143152,8.00,3.00,3.00,4.00,7.00,9.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5143160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5143195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5143209,9.00,6.00,5.00,7.00,10.00,8.63,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5143217,7.00,7.00,0.00,2.00,7.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5143225,4.00,6.00,2.00,6.00,9.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5143233,5.00,6.00,2.00,7.00,9.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5143241,5.00,5.00,3.00,3.00,5.00,0.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5143250,5.00,5.00,0.00,3.00,7.00,6.00,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5143268,4.00,4.00,0.00,3.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5143284,4.00,6.00,4.00,6.00,8.00,9.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5143292,6.00,6.00,2.00,2.00,8.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5143306,8.00,6.00,2.00,4.00,5.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5143314,7.00,8.00,4.00,4.00,5.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5143322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5143330,7.00,5.00,1.00,4.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,'S','N'),(20,5143349,9.00,6.00,6.00,4.00,7.00,8.63,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5143357,7.00,6.00,4.00,5.00,7.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5143365,3.00,5.00,3.00,6.00,7.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5143373,7.00,5.00,2.00,7.00,9.00,11.63,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5143381,8.00,6.00,2.00,7.00,8.00,8.25,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5143390,5.00,4.00,2.00,5.00,8.00,9.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5143403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5143411,7.00,4.00,4.00,7.00,8.00,7.88,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5143420,5.00,4.00,0.00,6.00,5.00,9.75,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5143438,5.00,6.00,3.00,4.00,6.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5143454,5.00,4.00,2.00,4.00,7.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5143470,1.00,5.00,0.00,7.00,5.00,12.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5143497,4.00,3.00,1.00,4.00,4.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5143500,5.00,6.00,5.00,7.00,7.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5143519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5143527,4.00,3.00,1.00,3.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5143535,9.00,7.00,7.00,1.00,5.00,7.88,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5143543,3.00,4.00,3.00,3.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5143551,3.00,6.00,1.00,6.00,10.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5143560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5143578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5143586,2.00,4.00,3.00,6.00,8.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5143594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5143608,8.00,7.00,2.00,5.00,8.00,7.13,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5143616,3.00,8.00,2.00,7.00,7.00,11.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5143624,5.00,6.00,4.00,5.00,6.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5143632,8.00,5.00,3.00,5.00,4.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5143640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5143659,7.00,3.00,3.00,4.00,6.00,7.13,2.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5143667,6.00,3.00,3.00,6.00,6.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5143683,6.00,5.00,1.00,5.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5143691,5.00,5.00,1.00,5.00,8.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5143713,8.00,6.00,3.00,6.00,9.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5143721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5143730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5143748,2.00,5.00,3.00,3.00,6.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5143756,7.00,6.00,6.00,7.00,5.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5143764,8.00,7.00,3.00,7.00,8.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5143772,4.00,4.00,0.00,4.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5143780,6.00,6.00,5.00,7.00,6.00,10.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5143799,4.00,6.00,2.00,6.00,9.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5143802,3.00,6.00,3.00,6.00,5.00,8.63,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5143829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5143837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5143845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5143853,2.00,3.00,1.00,3.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,'S','N'),(20,5143861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5143870,7.00,8.00,4.00,6.00,6.00,8.25,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5143896,4.00,5.00,0.00,4.00,4.00,7.88,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5143918,8.00,7.00,7.00,7.00,9.00,12.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5143926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5143934,8.00,5.00,1.00,4.00,10.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5143942,3.00,4.00,1.00,7.00,7.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(20,5143950,3.00,1.00,3.00,6.00,6.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5143977,4.00,5.00,2.00,3.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5143985,3.00,2.00,1.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5143993,7.00,6.00,6.00,7.00,8.00,9.00,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5144019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5144027,6.00,4.00,2.00,7.00,7.00,9.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5144035,4.00,5.00,1.00,6.00,6.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5144043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5144051,1.00,3.00,0.00,3.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5144078,8.00,6.00,0.00,3.00,9.00,9.00,6.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5144086,7.00,7.00,3.00,4.00,5.00,4.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5144094,3.00,4.00,1.00,4.00,5.00,9.00,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5144116,9.00,7.00,4.00,7.00,9.00,7.88,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5144124,8.00,7.00,5.00,7.00,9.00,11.25,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5144132,1.00,6.00,2.00,4.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5144159,4.00,3.00,0.00,4.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5144167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5144191,4.00,3.00,1.00,0.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5144213,5.00,3.00,3.00,5.00,2.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5144221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5144256,5.00,5.00,2.00,7.00,5.00,7.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5144264,4.00,5.00,2.00,3.00,8.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5144272,9.00,7.00,5.00,0.00,7.00,12.00,3.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5144299,8.00,8.00,4.00,7.00,8.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5144337,4.00,4.00,1.00,4.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5144345,6.00,7.00,1.00,7.00,9.00,12.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5144353,6.00,5.00,1.00,5.00,8.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5144361,8.00,6.00,2.00,7.00,9.00,10.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5144370,4.00,4.00,2.00,5.00,4.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5144388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5144396,2.00,7.00,1.00,5.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5144400,7.00,6.00,2.00,5.00,6.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5144418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5144426,4.00,4.00,1.00,5.00,5.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5144434,9.00,6.00,4.00,7.00,8.00,10.88,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5144450,6.00,7.00,4.00,5.00,9.00,9.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5144469,9.00,8.00,2.00,7.00,10.00,9.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5144477,6.00,8.00,4.00,4.00,7.00,6.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5144485,2.00,4.00,4.00,3.00,3.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5144493,4.00,5.00,4.00,2.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5144523,4.00,6.00,4.00,3.00,4.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5144531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5144540,4.00,6.00,0.00,7.00,8.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5144558,1.00,5.00,2.00,4.00,2.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5144574,4.00,4.00,1.00,4.00,6.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5144582,1.00,4.00,3.00,2.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5144590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5144612,4.00,5.00,2.00,4.00,6.00,8.63,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5144620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5144639,9.00,5.00,4.00,7.00,10.00,9.00,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5144647,5.00,7.00,1.00,6.00,9.00,8.25,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5144655,7.00,5.00,1.00,5.00,6.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5144663,3.00,4.00,0.00,6.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5144671,2.00,6.00,2.00,1.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5144680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5144701,7.00,6.00,3.00,6.00,7.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5144736,6.00,6.00,2.00,6.00,4.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5144744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5144752,9.00,6.00,4.00,7.00,7.00,10.88,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5144787,6.00,7.00,6.00,7.00,7.00,9.38,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5144795,4.00,3.00,2.00,4.00,7.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5144817,5.00,5.00,3.00,1.00,4.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5144841,8.00,6.00,6.00,4.00,6.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5144850,3.00,3.00,2.00,5.00,7.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5144868,6.00,6.00,5.00,4.00,5.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5144876,0.00,2.00,0.00,0.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5144892,7.00,5.00,1.00,5.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5144906,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5144922,6.00,5.00,3.00,5.00,4.00,7.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5144930,6.00,9.00,4.00,7.00,9.00,12.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5144949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5144957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5144973,6.00,4.00,0.00,4.00,6.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5144981,2.00,5.00,1.00,0.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5144990,2.00,6.00,3.00,5.00,6.00,8.63,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5145007,4.00,2.00,2.00,3.00,5.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5145015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5145031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5145058,3.00,4.00,1.00,5.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5145066,9.00,7.00,3.00,5.00,6.00,9.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5145074,3.00,5.00,1.00,6.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5145090,8.00,6.00,7.00,7.00,9.00,8.25,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5145104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5145112,8.00,8.00,6.00,5.00,9.00,9.00,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5145120,6.00,7.00,5.00,4.00,6.00,10.13,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5145155,8.00,8.00,3.00,6.00,10.00,9.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5145163,8.00,6.00,5.00,7.00,9.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5145171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5145180,3.00,4.00,2.00,4.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5145198,7.00,9.00,5.00,7.00,11.00,11.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5145210,4.00,5.00,2.00,5.00,7.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5145228,9.00,7.00,6.00,7.00,7.00,8.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5145236,2.00,5.00,2.00,5.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5145244,7.00,7.00,2.00,6.00,8.00,9.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5145260,5.00,6.00,2.00,4.00,4.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5145287,5.00,5.00,3.00,7.00,6.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5145295,9.00,8.00,5.00,7.00,9.00,8.25,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5145309,4.00,5.00,5.00,5.00,6.00,8.63,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5145317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5145333,8.00,7.00,8.00,5.00,5.00,9.00,5.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5145341,3.00,6.00,4.00,4.00,5.00,7.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5145350,8.00,9.00,7.00,6.00,10.00,9.38,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5145376,1.00,7.00,2.00,2.00,4.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5145384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5145406,5.00,6.00,2.00,2.00,5.00,11.25,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5145430,7.00,5.00,2.00,4.00,7.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5145449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5145457,8.00,7.00,6.00,7.00,8.00,10.13,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5145465,9.00,9.00,6.00,7.00,11.00,12.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5145473,3.00,5.00,2.00,6.00,4.00,7.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5145490,8.00,7.00,5.00,7.00,9.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5145503,4.00,5.00,2.00,5.00,6.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5145511,7.00,6.00,3.00,7.00,9.00,10.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5145520,7.00,8.00,0.00,6.00,5.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5145538,2.00,5.00,1.00,3.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5145546,1.00,4.00,2.00,4.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5145554,2.00,4.00,1.00,2.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5145570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5145589,0.00,4.00,0.00,0.00,0.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5145597,6.00,5.00,2.00,5.00,4.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5145600,4.00,2.00,1.00,1.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5145627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5145635,5.00,4.00,4.00,8.00,5.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5145643,2.00,1.00,3.00,5.00,3.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5145660,3.00,5.00,3.00,4.00,5.00,9.75,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5145678,8.00,9.00,5.00,5.00,10.00,8.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5145686,6.00,7.00,3.00,6.00,4.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5145694,4.00,6.00,2.00,5.00,6.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5145716,9.00,7.00,4.00,5.00,8.00,8.25,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5145724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5145732,8.00,9.00,5.00,7.00,11.00,10.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5145740,2.00,5.00,4.00,5.00,7.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5145759,6.00,8.00,4.00,7.00,6.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5145767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5145775,9.00,7.00,5.00,8.00,9.00,12.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5145783,7.00,6.00,4.00,3.00,6.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5145805,7.00,7.00,3.00,7.00,6.00,8.63,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5145813,3.00,8.00,0.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5145821,3.00,8.00,3.00,3.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5145830,6.00,6.00,6.00,7.00,6.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5145848,5.00,3.00,1.00,4.00,7.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5145902,7.00,6.00,2.00,6.00,10.00,7.50,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5145910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5145945,5.00,5.00,5.00,3.00,7.00,7.88,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5145953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5145961,7.00,5.00,0.00,3.00,6.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5145970,3.00,4.00,2.00,4.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5145988,7.00,7.00,2.00,2.00,7.00,9.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5146003,8.00,9.00,6.00,5.00,9.00,9.75,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5146020,6.00,6.00,2.00,4.00,5.00,6.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5146038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5146046,4.00,4.00,4.00,5.00,6.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5146070,3.00,7.00,1.00,4.00,9.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5146089,2.00,4.00,1.00,2.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5146097,9.00,5.00,4.00,5.00,9.00,9.00,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5146100,2.00,6.00,1.00,0.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5146119,8.00,7.00,4.00,7.00,8.00,7.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5146135,6.00,6.00,3.00,3.00,4.00,4.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5146143,4.00,4.00,0.00,5.00,5.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5146160,6.00,9.00,2.00,5.00,7.00,9.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5146178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5146186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5146194,1.00,5.00,0.00,1.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5146208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5146216,7.00,0.00,4.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5146224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5146232,6.00,6.00,0.00,2.00,5.00,6.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5146240,8.00,6.00,6.00,7.00,8.00,12.00,6.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5146259,2.00,3.00,0.00,2.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5146267,6.00,6.00,2.00,7.00,6.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5146275,3.00,3.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5146291,5.00,4.00,2.00,6.00,6.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5146305,7.00,9.00,0.00,4.00,9.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5146313,6.00,6.00,0.00,4.00,6.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5146330,3.00,4.00,2.00,5.00,4.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5146348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5146356,7.00,5.00,4.00,7.00,10.00,8.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5146364,7.00,8.00,7.00,5.00,9.00,10.13,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5146380,6.00,6.00,1.00,5.00,5.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5146402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5146410,5.00,5.00,3.00,4.00,5.00,7.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5146429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5146437,6.00,4.00,3.00,2.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5146445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5146453,4.00,4.00,1.00,7.00,5.00,4.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5146461,7.00,8.00,5.00,7.00,6.00,7.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5146470,9.00,7.00,7.00,8.00,8.00,9.00,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5146488,2.00,7.00,2.00,3.00,3.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5146500,3.00,6.00,3.00,3.00,5.00,4.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5146526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5146550,4.00,5.00,7.00,8.00,9.00,7.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5146569,5.00,6.00,1.00,6.00,7.00,9.00,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5146577,5.00,7.00,3.00,6.00,9.00,9.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5146585,4.00,4.00,1.00,4.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5146593,8.00,7.00,6.00,7.00,8.00,13.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5146607,5.00,5.00,3.00,3.00,3.00,NULL,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5146623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5146640,4.00,2.00,3.00,6.00,5.00,7.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5146674,5.00,3.00,0.00,5.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5146682,4.00,2.00,0.00,5.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5146690,7.00,7.00,4.00,8.00,7.00,7.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5146704,8.00,7.00,4.00,7.00,10.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5146712,4.00,6.00,3.00,7.00,7.00,6.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5146720,0.00,6.00,0.00,3.00,7.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5146739,3.00,3.00,0.00,4.00,6.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5146747,6.00,5.00,2.00,1.00,7.00,8.63,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5146755,5.00,5.00,3.00,4.00,5.00,6.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5146763,4.00,2.00,1.00,5.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5146780,7.00,4.00,3.00,7.00,10.00,9.38,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5146798,4.00,2.00,2.00,3.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5146801,3.00,3.00,4.00,4.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5146828,5.00,5.00,2.00,2.00,6.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5146836,1.00,4.00,1.00,6.00,5.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5146844,6.00,5.00,1.00,3.00,5.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5146860,5.00,5.00,2.00,5.00,5.00,8.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5146879,4.00,5.00,2.00,7.00,6.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5146895,3.00,3.00,0.00,4.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5146909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5146925,5.00,7.00,2.00,5.00,7.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5146933,3.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5146941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5146968,6.00,8.00,5.00,3.00,5.00,6.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5146976,9.00,6.00,6.00,7.00,9.00,7.88,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5146984,8.00,9.00,5.00,8.00,7.00,9.38,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5146992,4.00,4.00,0.00,5.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5147000,6.00,5.00,2.00,3.00,4.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5147018,6.00,6.00,0.00,2.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5147026,1.00,4.00,1.00,6.00,5.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5147042,5.00,3.00,0.00,2.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5147050,6.00,5.00,7.00,6.00,8.00,7.50,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5147069,5.00,6.00,1.00,5.00,7.00,6.38,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5147085,6.00,4.00,0.00,4.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5147093,5.00,5.00,0.00,3.00,6.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5147107,5.00,5.00,3.00,4.00,6.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5147115,8.00,4.00,0.00,7.00,9.00,7.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5147123,7.00,5.00,3.00,7.00,7.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5147131,5.00,4.00,0.00,7.00,8.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5147140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5147158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5147166,4.00,4.00,1.00,5.00,6.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5147174,4.00,5.00,2.00,5.00,7.00,4.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5147182,3.00,4.00,1.00,4.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5147190,5.00,3.00,1.00,4.00,5.00,NULL,0.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5147204,5.00,6.00,2.00,3.00,6.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5147212,5.00,7.00,5.00,7.00,8.00,7.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5147239,8.00,7.00,4.00,8.00,10.00,8.63,7.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5147247,6.00,8.00,2.00,2.00,8.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5147255,7.00,8.00,7.00,5.00,7.00,9.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5147263,4.00,6.00,4.00,7.00,7.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5147271,8.00,6.00,6.00,8.00,7.00,9.75,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5147298,4.00,6.00,4.00,6.00,9.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5147301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5147328,6.00,4.00,3.00,7.00,5.00,4.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5147336,4.00,5.00,4.00,5.00,7.00,7.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5147344,4.00,6.00,3.00,7.00,5.00,8.63,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5147360,2.00,5.00,1.00,4.00,7.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5147395,3.00,4.00,2.00,2.00,6.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5147417,9.00,5.00,1.00,7.00,6.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5147425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5147433,4.00,3.00,0.00,5.00,6.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5147441,8.00,7.00,2.00,7.00,7.00,8.63,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5147468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5147476,8.00,5.00,5.00,5.00,7.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5147484,4.00,4.00,1.00,4.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5147492,5.00,5.00,1.00,6.00,5.00,7.88,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5147514,3.00,5.00,2.00,6.00,6.00,8.25,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5147530,9.00,6.00,9.00,7.00,8.00,11.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5147549,5.00,6.00,1.00,7.00,6.00,8.63,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5147573,4.00,5.00,3.00,4.00,4.00,11.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5147581,5.00,2.00,1.00,1.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5147590,7.00,8.00,3.00,5.00,9.00,7.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5147603,4.00,5.00,1.00,4.00,4.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5147620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5147638,3.00,5.00,6.00,7.00,7.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5147646,4.00,5.00,0.00,6.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5147662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5147689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5147697,5.00,3.00,3.00,3.00,6.00,7.88,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5147700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5147719,5.00,6.00,2.00,6.00,4.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5147735,8.00,8.00,5.00,5.00,8.00,10.13,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5147751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5147760,3.00,6.00,4.00,3.00,4.00,7.50,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5147778,3.00,5.00,0.00,3.00,5.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'S'),(20,5147786,2.00,5.00,2.00,4.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5147794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5147808,6.00,3.00,3.00,6.00,7.00,7.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5147816,8.00,8.00,5.00,7.00,6.00,9.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5147824,7.00,5.00,1.00,5.00,5.00,7.88,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5147832,4.00,5.00,3.00,6.00,7.00,9.38,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5147875,8.00,7.00,8.00,7.00,7.00,12.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5147891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5147913,8.00,7.00,5.00,5.00,9.00,8.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5147921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5147930,3.00,7.00,0.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,'S','S'),(20,5147948,9.00,7.00,6.00,8.00,9.00,11.25,6.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5147980,6.00,4.00,2.00,4.00,6.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5147999,6.00,7.00,2.00,8.00,7.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5148006,6.00,6.00,2.00,2.00,7.00,6.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5148014,9.00,7.00,5.00,4.00,7.00,9.38,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5148022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5148030,2.00,3.00,1.00,1.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5148057,5.00,6.00,4.00,5.00,10.00,10.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5148065,7.00,7.00,3.00,3.00,6.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5148073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5148081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5148103,6.00,4.00,3.00,7.00,9.00,12.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5148120,5.00,6.00,0.00,5.00,9.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5148138,6.00,5.00,4.00,7.00,6.00,12.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5148146,3.00,3.00,1.00,2.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5148170,2.00,6.00,0.00,5.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5148189,4.00,4.00,0.00,7.00,7.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5148197,0.00,6.00,0.00,0.00,0.00,NULL,0.00,1.00,1.00,'S',NULL,NULL,'N'),(20,5148219,9.00,6.00,7.00,6.00,7.00,9.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5148227,3.00,5.00,1.00,4.00,4.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5148235,6.00,7.00,7.00,6.00,7.00,8.63,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5148251,6.00,5.00,3.00,6.00,9.00,8.63,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5148260,4.00,6.00,2.00,6.00,9.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5148278,3.00,3.00,1.00,5.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5148286,2.00,4.00,0.00,2.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5148294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5148308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5148316,5.00,6.00,1.00,6.00,4.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5148332,4.00,3.00,0.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5148340,9.00,6.00,2.00,7.00,9.00,7.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5148359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5148367,8.00,7.00,3.00,6.00,10.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5148375,1.00,3.00,1.00,3.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5148383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5148391,3.00,7.00,2.00,7.00,8.00,9.38,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5148405,3.00,3.00,0.00,3.00,3.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5148413,5.00,5.00,2.00,7.00,4.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5148421,7.00,6.00,3.00,7.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5148448,5.00,5.00,3.00,4.00,6.00,7.13,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5148464,8.00,7.00,4.00,6.00,6.00,11.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5148499,9.00,6.00,7.00,7.00,8.00,11.63,8.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5148502,7.00,6.00,3.00,5.00,8.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5148510,3.00,7.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5148529,8.00,7.00,1.00,4.00,9.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5148537,5.00,4.00,1.00,5.00,4.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5148545,8.00,7.00,2.00,7.00,9.00,11.25,3.00,1.00,8.00,NULL,NULL,NULL,'N'),(20,5148553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5148561,8.00,7.00,2.00,5.00,9.00,7.13,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5148570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5148588,9.00,7.00,4.00,7.00,10.00,NULL,1.00,6.00,5.00,NULL,NULL,'S','N'),(20,5148596,8.00,8.00,2.00,7.00,8.00,7.88,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5148600,6.00,7.00,2.00,3.00,6.00,8.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5148618,3.00,4.00,1.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5148626,2.00,2.00,1.00,1.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5148634,4.00,6.00,3.00,7.00,9.00,7.88,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5148642,3.00,4.00,1.00,3.00,3.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5148650,7.00,7.00,5.00,7.00,8.00,9.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5148669,8.00,7.00,3.00,7.00,10.00,9.38,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5148677,5.00,6.00,3.00,6.00,6.00,8.25,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5148693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5148707,5.00,5.00,2.00,6.00,9.00,10.50,2.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5148715,4.00,5.00,0.00,1.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5148723,4.00,8.00,6.00,7.00,6.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5148731,2.00,7.00,0.00,5.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5148740,7.00,5.00,7.00,7.00,6.00,8.63,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5148766,4.00,6.00,3.00,5.00,5.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5148774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5148782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5148790,7.00,6.00,4.00,6.00,8.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5148804,8.00,4.00,7.00,7.00,7.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5148812,7.00,6.00,5.00,7.00,9.00,9.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5148820,6.00,5.00,3.00,7.00,7.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5148839,5.00,5.00,1.00,4.00,8.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5148847,7.00,6.00,3.00,7.00,8.00,10.88,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5148855,6.00,6.00,1.00,4.00,4.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5148871,8.00,8.00,6.00,7.00,8.00,11.25,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5148898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5148901,9.00,8.00,2.00,4.00,6.00,10.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5148928,6.00,6.00,4.00,7.00,7.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5148936,5.00,4.00,2.00,1.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5148944,8.00,6.00,5.00,7.00,9.00,7.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5148952,4.00,4.00,1.00,3.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5148960,8.00,6.00,1.00,7.00,7.00,7.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5148979,5.00,6.00,7.00,3.00,7.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5148995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5149002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5149029,7.00,5.00,4.00,6.00,8.00,7.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5149045,4.00,4.00,0.00,5.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5149053,8.00,7.00,7.00,5.00,9.00,10.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5149096,6.00,8.00,2.00,6.00,8.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5149100,7.00,5.00,1.00,6.00,5.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5149118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5149126,7.00,5.00,2.00,5.00,6.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5149134,3.00,4.00,2.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5149142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5149150,7.00,7.00,4.00,7.00,10.00,6.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5149177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5149185,5.00,7.00,2.00,5.00,6.00,6.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5149215,7.00,7.00,4.00,5.00,8.00,10.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5149223,3.00,5.00,2.00,4.00,10.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5149274,1.00,3.00,0.00,3.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5149282,6.00,5.00,0.00,7.00,9.00,10.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5149290,3.00,2.00,1.00,2.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5149304,6.00,6.00,0.00,3.00,4.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5149312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5149320,8.00,9.00,4.00,5.00,9.00,11.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5149339,8.00,6.00,5.00,7.00,7.00,8.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5149347,6.00,5.00,1.00,2.00,5.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5149363,2.00,2.00,1.00,1.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5149371,3.00,6.00,2.00,4.00,8.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5149398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5149410,2.00,5.00,2.00,2.00,6.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5149428,3.00,3.00,3.00,7.00,4.00,8.25,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5149436,1.00,3.00,0.00,4.00,3.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5149444,7.00,5.00,5.00,6.00,8.00,NULL,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5149460,5.00,4.00,1.00,5.00,6.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5149479,6.00,8.00,1.00,7.00,8.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5149487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5149517,3.00,0.00,2.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5149525,7.00,7.00,4.00,4.00,7.00,6.75,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5149550,9.00,6.00,6.00,6.00,8.00,7.13,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5149568,2.00,5.00,1.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5149576,4.00,4.00,2.00,7.00,5.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5149584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5149592,2.00,4.00,1.00,2.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5149606,3.00,5.00,0.00,1.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5149622,9.00,7.00,7.00,4.00,8.00,11.25,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5149630,3.00,2.00,1.00,1.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5149649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5149673,6.00,7.00,0.00,5.00,8.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5149681,7.00,5.00,9.00,3.00,8.00,10.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5149690,2.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5149703,4.00,4.00,1.00,1.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5149711,6.00,7.00,2.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5149720,1.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5149738,5.00,4.00,5.00,6.00,7.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5149746,4.00,1.00,0.00,2.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5149754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5149762,2.00,3.00,2.00,2.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5149819,8.00,8.00,4.00,8.00,8.00,10.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5149827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5149843,3.00,5.00,0.00,2.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5149851,9.00,6.00,4.00,7.00,9.00,10.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5149860,6.00,6.00,4.00,6.00,6.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5149878,3.00,2.00,0.00,3.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5149886,5.00,7.00,4.00,4.00,4.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5149908,4.00,8.00,3.00,6.00,9.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5149924,1.00,5.00,1.00,4.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5149932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5149959,4.00,0.00,0.00,6.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5149975,3.00,6.00,3.00,3.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5149991,2.00,3.00,2.00,5.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5150000,9.00,9.00,1.00,8.00,8.00,11.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5150019,8.00,6.00,4.00,6.00,7.00,8.63,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5150027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5150043,8.00,5.00,5.00,7.00,8.00,8.63,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5150051,6.00,5.00,3.00,5.00,8.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5150060,8.00,8.00,2.00,5.00,7.00,8.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5150078,3.00,7.00,0.00,6.00,7.00,7.88,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5150086,8.00,8.00,3.00,7.00,5.00,10.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5150108,9.00,7.00,0.00,5.00,7.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5150124,2.00,5.00,2.00,5.00,6.00,6.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5150132,9.00,4.00,8.00,8.00,9.00,7.13,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5150167,5.00,7.00,2.00,1.00,7.00,NULL,3.00,5.00,3.00,NULL,NULL,'S','N'),(20,5150175,4.00,3.00,2.00,3.00,6.00,9.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5150183,6.00,7.00,0.00,5.00,6.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5150191,2.00,2.00,0.00,4.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5150205,9.00,4.00,2.00,7.00,6.00,7.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5150213,6.00,7.00,8.00,5.00,7.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5150221,8.00,8.00,6.00,6.00,7.00,10.50,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5150230,9.00,4.00,3.00,5.00,7.00,9.75,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5150248,7.00,5.00,4.00,6.00,7.00,7.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5150256,5.00,5.00,1.00,4.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5150264,4.00,7.00,2.00,2.00,4.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5150272,7.00,5.00,2.00,6.00,7.00,9.75,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5150280,4.00,6.00,5.00,7.00,6.00,7.88,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5150302,6.00,8.00,2.00,4.00,8.00,10.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5150310,5.00,6.00,3.00,7.00,6.00,12.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5150337,1.00,5.00,2.00,3.00,0.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5150345,4.00,7.00,3.00,5.00,7.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5150370,3.00,5.00,0.00,3.00,2.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5150388,4.00,3.00,1.00,4.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5150396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5150400,4.00,7.00,3.00,4.00,7.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5150418,6.00,5.00,4.00,5.00,4.00,6.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5150426,8.00,8.00,2.00,6.00,9.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5150434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5150442,7.00,8.00,6.00,6.00,7.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5150450,8.00,8.00,5.00,7.00,9.00,11.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5150477,4.00,4.00,0.00,4.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5150485,1.00,3.00,1.00,3.00,7.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5150493,5.00,5.00,0.00,4.00,4.00,NULL,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5150507,5.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5150531,6.00,4.00,4.00,7.00,4.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5150540,5.00,5.00,1.00,3.00,6.00,7.88,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5150566,8.00,6.00,4.00,7.00,7.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5150574,3.00,3.00,1.00,3.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5150612,6.00,5.00,2.00,4.00,7.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5150620,5.00,6.00,4.00,4.00,7.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5150639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5150647,5.00,7.00,4.00,3.00,8.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5150663,6.00,5.00,0.00,7.00,9.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5150680,8.00,8.00,6.00,6.00,9.00,9.75,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5150698,3.00,6.00,2.00,6.00,9.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5150701,6.00,7.00,5.00,5.00,8.00,10.13,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5150710,8.00,4.00,3.00,7.00,7.00,9.00,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5150736,8.00,8.00,7.00,7.00,7.00,10.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5150744,9.00,7.00,6.00,6.00,10.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5150760,7.00,7.00,4.00,7.00,6.00,10.50,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5150779,6.00,4.00,2.00,5.00,5.00,9.75,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5150787,4.00,3.00,0.00,4.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5150795,8.00,4.00,3.00,6.00,6.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5150809,5.00,5.00,3.00,4.00,7.00,6.75,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5150817,7.00,8.00,3.00,7.00,8.00,10.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5150833,6.00,6.00,1.00,6.00,4.00,7.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5150841,7.00,9.00,7.00,6.00,8.00,9.38,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5150850,3.00,4.00,2.00,3.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5150868,6.00,7.00,6.00,7.00,9.00,9.00,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5150876,6.00,5.00,3.00,2.00,5.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5150884,9.00,6.00,5.00,7.00,8.00,11.63,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5150906,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5150914,8.00,6.00,5.00,6.00,10.00,12.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5150922,2.00,2.00,1.00,4.00,7.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5150930,2.00,5.00,1.00,4.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5150949,7.00,6.00,3.00,7.00,9.00,10.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5150990,7.00,6.00,5.00,7.00,10.00,9.38,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5151007,6.00,4.00,2.00,2.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5151015,4.00,6.00,0.00,3.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5151023,3.00,4.00,3.00,3.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,'S','N'),(20,5151031,5.00,7.00,4.00,6.00,5.00,9.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5151040,3.00,1.00,0.00,1.00,2.00,NULL,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5151066,3.00,6.00,2.00,4.00,4.00,6.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5151074,3.00,6.00,5.00,4.00,6.00,6.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5151082,6.00,8.00,8.00,7.00,8.00,6.75,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5151090,6.00,6.00,4.00,3.00,6.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5151104,4.00,5.00,1.00,0.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5151112,9.00,8.00,4.00,5.00,8.00,7.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5151120,8.00,7.00,5.00,8.00,9.00,7.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5151139,6.00,6.00,4.00,3.00,8.00,12.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5151147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5151163,2.00,1.00,1.00,3.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5151198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5151201,4.00,5.00,1.00,7.00,10.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5151210,5.00,5.00,2.00,6.00,7.00,8.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5151228,8.00,8.00,2.00,7.00,4.00,11.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5151236,3.00,3.00,2.00,1.00,2.00,NULL,0.00,2.00,5.00,NULL,NULL,'S','N'),(20,5151244,5.00,4.00,4.00,5.00,7.00,7.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5151252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5151260,6.00,7.00,0.00,4.00,5.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5151279,9.00,8.00,4.00,8.00,10.00,9.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5151287,3.00,5.00,0.00,3.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5151295,6.00,5.00,3.00,4.00,5.00,7.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5151309,4.00,6.00,3.00,5.00,9.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5151317,5.00,4.00,4.00,5.00,8.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5151333,8.00,4.00,4.00,5.00,6.00,11.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5151368,5.00,4.00,1.00,3.00,7.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5151376,5.00,6.00,4.00,4.00,7.00,9.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5151384,6.00,7.00,6.00,3.00,7.00,7.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5151392,8.00,7.00,3.00,6.00,10.00,10.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5151406,5.00,5.00,2.00,5.00,6.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5151422,3.00,4.00,0.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5151430,4.00,5.00,0.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5151449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5151457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5151473,4.00,6.00,5.00,7.00,9.00,15.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5151481,3.00,2.00,0.00,4.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5151503,6.00,2.00,2.00,0.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5151511,4.00,4.00,3.00,5.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5151520,7.00,4.00,4.00,3.00,8.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5151538,6.00,7.00,4.00,7.00,5.00,10.13,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5151546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5151562,1.00,6.00,5.00,6.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5151570,6.00,7.00,1.00,4.00,5.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5151589,5.00,5.00,5.00,7.00,7.00,10.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5151597,8.00,9.00,4.00,7.00,9.00,10.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5151619,8.00,7.00,2.00,5.00,6.00,9.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5151627,3.00,4.00,0.00,4.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5151660,8.00,7.00,3.00,6.00,7.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5151678,3.00,7.00,1.00,4.00,7.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5151686,1.00,4.00,0.00,5.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5151694,6.00,5.00,1.00,7.00,8.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5151708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5151716,4.00,4.00,4.00,4.00,5.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5151724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5151732,9.00,9.00,7.00,7.00,8.00,12.00,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5151759,7.00,6.00,5.00,7.00,8.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5151775,3.00,6.00,0.00,4.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5151783,4.00,4.00,4.00,3.00,6.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5151791,8.00,7.00,5.00,5.00,8.00,9.38,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5151805,8.00,7.00,3.00,5.00,9.00,10.13,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5151813,8.00,6.00,5.00,7.00,5.00,11.25,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5151821,2.00,2.00,0.00,3.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5151830,8.00,5.00,0.00,5.00,9.00,9.38,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5151856,9.00,7.00,4.00,7.00,10.00,8.63,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5151864,5.00,8.00,3.00,6.00,10.00,9.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5151872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5151880,6.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5151899,3.00,4.00,4.00,3.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5151902,5.00,6.00,4.00,6.00,2.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5151910,3.00,2.00,0.00,4.00,10.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5151929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5151937,3.00,3.00,2.00,2.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5151953,3.00,7.00,0.00,3.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5151961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5151970,9.00,9.00,9.00,5.00,10.00,12.00,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5151996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5152003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5152020,3.00,4.00,2.00,5.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5152038,0.00,5.00,0.00,4.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5152046,4.00,5.00,0.00,2.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5152054,4.00,6.00,1.00,6.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5152070,3.00,6.00,0.00,2.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5152089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5152127,7.00,7.00,2.00,7.00,8.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5152135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5152143,4.00,5.00,1.00,1.00,2.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5152151,2.00,3.00,1.00,1.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5152186,4.00,3.00,1.00,5.00,7.00,7.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5152194,5.00,6.00,1.00,5.00,8.00,8.25,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5152208,7.00,7.00,6.00,3.00,6.00,6.75,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5152224,7.00,6.00,4.00,7.00,7.00,8.63,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5152232,8.00,8.00,8.00,6.00,6.00,11.63,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5152240,2.00,5.00,2.00,4.00,5.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5152259,7.00,8.00,4.00,6.00,9.00,9.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5152267,5.00,5.00,3.00,5.00,5.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5152275,5.00,5.00,2.00,4.00,7.00,10.13,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5152291,7.00,7.00,4.00,6.00,9.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5152305,2.00,2.00,2.00,3.00,6.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5152330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5152348,8.00,5.00,2.00,7.00,7.00,10.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5152356,3.00,4.00,2.00,7.00,5.00,9.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5152364,8.00,5.00,5.00,7.00,7.00,11.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5152372,8.00,6.00,3.00,7.00,6.00,8.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5152399,7.00,6.00,4.00,5.00,7.00,9.38,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5152402,4.00,4.00,2.00,2.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5152429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5152437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5152445,2.00,6.00,6.00,6.00,7.00,6.00,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5152453,3.00,4.00,1.00,2.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5152461,8.00,8.00,7.00,7.00,7.00,7.13,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5152470,8.00,7.00,5.00,7.00,6.00,8.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5152488,5.00,6.00,4.00,2.00,4.00,6.38,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5152496,5.00,4.00,4.00,6.00,6.00,8.25,3.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5152500,8.00,7.00,4.00,6.00,10.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5152518,3.00,4.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5152526,3.00,4.00,1.00,6.00,5.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5152542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5152550,9.00,7.00,7.00,6.00,6.00,7.88,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5152569,9.00,7.00,2.00,7.00,10.00,7.88,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5152577,5.00,6.00,1.00,4.00,5.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5152585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5152607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5152623,8.00,5.00,0.00,6.00,7.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5152631,5.00,5.00,2.00,6.00,7.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5152640,7.00,7.00,3.00,6.00,5.00,9.38,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5152658,3.00,2.00,0.00,6.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5152666,9.00,6.00,4.00,7.00,9.00,11.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5152674,5.00,6.00,2.00,7.00,8.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5152712,6.00,5.00,1.00,4.00,3.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5152720,3.00,2.00,0.00,4.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5152739,6.00,6.00,5.00,5.00,6.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5152755,9.00,9.00,7.00,7.00,9.00,10.88,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5152763,7.00,8.00,6.00,7.00,11.00,9.75,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5152771,4.00,6.00,0.00,3.00,6.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5152798,9.00,9.00,5.00,7.00,10.00,10.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5152801,3.00,4.00,1.00,4.00,6.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5152810,6.00,9.00,1.00,4.00,6.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5152828,7.00,6.00,4.00,5.00,8.00,11.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5152836,3.00,6.00,2.00,3.00,7.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5152844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5152852,6.00,4.00,2.00,4.00,6.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5152879,6.00,9.00,9.00,7.00,7.00,10.88,6.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5152887,6.00,4.00,1.00,5.00,4.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5152895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5152933,3.00,3.00,3.00,5.00,5.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5152941,4.00,5.00,2.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5152950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5152968,5.00,6.00,3.00,6.00,4.00,4.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5152984,8.00,7.00,5.00,7.00,9.00,6.38,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5153018,7.00,7.00,2.00,5.00,7.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5153026,6.00,5.00,1.00,7.00,7.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5153042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5153050,7.00,5.00,5.00,7.00,11.00,7.88,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5153069,5.00,4.00,1.00,5.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5153085,4.00,4.00,0.00,5.00,5.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5153115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5153131,3.00,6.00,4.00,6.00,7.00,11.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5153140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5153158,8.00,7.00,4.00,7.00,6.00,7.50,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5153174,3.00,6.00,6.00,6.00,5.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5153182,4.00,4.00,0.00,8.00,8.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5153239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5153247,4.00,4.00,1.00,3.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5153263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5153271,5.00,6.00,2.00,5.00,7.00,10.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5153280,5.00,5.00,2.00,5.00,8.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5153298,6.00,4.00,3.00,6.00,6.00,10.50,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(20,5153301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5153328,7.00,4.00,5.00,6.00,6.00,NULL,3.00,4.00,5.00,NULL,NULL,'S','N'),(20,5153344,8.00,7.00,3.00,4.00,4.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5153352,9.00,8.00,5.00,5.00,11.00,9.00,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5153360,2.00,3.00,0.00,3.00,8.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5153379,5.00,6.00,5.00,4.00,8.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5153395,5.00,5.00,1.00,3.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5153409,2.00,4.00,0.00,3.00,6.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5153417,8.00,4.00,4.00,7.00,5.00,6.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5153425,3.00,5.00,2.00,6.00,7.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5153433,9.00,9.00,8.00,7.00,10.00,10.13,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5153441,3.00,2.00,2.00,1.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,'S','N'),(20,5153450,9.00,7.00,6.00,6.00,7.00,10.88,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5153468,6.00,5.00,4.00,6.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,'S','N'),(20,5153476,8.00,8.00,6.00,5.00,9.00,9.38,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5153484,6.00,5.00,2.00,7.00,7.00,10.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5153506,8.00,6.00,3.00,7.00,9.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5153522,6.00,5.00,2.00,2.00,7.00,9.75,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5153530,9.00,7.00,2.00,7.00,9.00,9.38,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5153549,3.00,4.00,0.00,4.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5153557,2.00,4.00,1.00,3.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5153565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5153573,4.00,6.00,0.00,3.00,7.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5153581,6.00,7.00,4.00,4.00,5.00,9.00,4.00,3.00,6.00,NULL,NULL,NULL,'S'),(20,5153638,4.00,4.00,2.00,6.00,5.00,9.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5153646,2.00,1.00,0.00,4.00,2.00,NULL,5.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5153654,1.00,3.00,1.00,2.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5153662,2.00,2.00,1.00,2.00,4.00,NULL,4.00,2.00,2.00,NULL,NULL,'S','N'),(20,5153670,5.00,3.00,4.00,7.00,8.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5153697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5153727,9.00,7.00,7.00,8.00,7.00,8.25,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5153735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5153743,6.00,5.00,1.00,4.00,7.00,7.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5153751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5153760,9.00,7.00,4.00,7.00,10.00,8.63,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5153778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5153786,3.00,6.00,1.00,6.00,6.00,9.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5153808,8.00,8.00,4.00,7.00,8.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5153816,7.00,4.00,2.00,6.00,5.00,8.63,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5153824,4.00,7.00,1.00,5.00,5.00,6.38,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5153832,8.00,7.00,6.00,8.00,9.00,12.38,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5153859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5153867,8.00,6.00,5.00,7.00,10.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5153883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5153891,7.00,5.00,6.00,5.00,8.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5153905,6.00,6.00,2.00,7.00,7.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5153913,8.00,9.00,8.00,7.00,8.00,7.88,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5153921,4.00,0.00,2.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(20,5153930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5153956,5.00,2.00,1.00,4.00,4.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5153964,3.00,6.00,4.00,3.00,7.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5153972,7.00,7.00,2.00,4.00,7.00,9.00,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5153980,5.00,6.00,4.00,6.00,5.00,6.75,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5153999,8.00,6.00,6.00,4.00,8.00,11.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5154006,8.00,7.00,3.00,6.00,10.00,9.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5154030,6.00,6.00,2.00,6.00,4.00,9.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5154049,8.00,5.00,2.00,6.00,5.00,7.13,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5154057,4.00,6.00,1.00,3.00,9.00,0.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5154065,3.00,4.00,0.00,4.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5154073,9.00,6.00,7.00,5.00,9.00,7.88,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5154081,3.00,5.00,0.00,3.00,7.00,NULL,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5154090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5154103,4.00,7.00,4.00,4.00,7.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5154111,1.00,4.00,0.00,2.00,3.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5154120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5154138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5154154,8.00,7.00,8.00,7.00,9.00,7.13,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5154189,5.00,2.00,1.00,4.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5154200,7.00,3.00,3.00,4.00,5.00,8.25,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5154219,3.00,3.00,2.00,3.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5154235,5.00,6.00,2.00,7.00,9.00,8.25,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5154243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5154260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5154278,8.00,7.00,4.00,7.00,6.00,7.88,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5154286,4.00,4.00,0.00,2.00,7.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5154294,6.00,5.00,2.00,6.00,6.00,10.13,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5154308,7.00,7.00,5.00,7.00,6.00,10.88,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5154316,9.00,8.00,4.00,7.00,10.00,10.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5154324,5.00,8.00,3.00,0.00,2.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5154359,5.00,2.00,1.00,6.00,5.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5154367,5.00,7.00,3.00,6.00,5.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5154375,5.00,5.00,1.00,4.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,'S','N'),(20,5154405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5154413,4.00,3.00,1.00,2.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5154421,5.00,5.00,1.00,5.00,8.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5154448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5154456,3.00,5.00,2.00,6.00,4.00,10.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5154464,1.00,4.00,1.00,1.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5154472,1.00,2.00,1.00,6.00,4.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'S'),(20,5154480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5154502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5154510,8.00,5.00,1.00,6.00,9.00,9.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5154529,9.00,8.00,8.00,8.00,9.00,8.25,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5154537,4.00,2.00,1.00,2.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5154545,3.00,4.00,2.00,3.00,3.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5154553,3.00,5.00,1.00,4.00,3.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5154561,8.00,5.00,3.00,5.00,7.00,7.50,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5154588,6.00,8.00,1.00,7.00,9.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5154596,5.00,7.00,2.00,6.00,7.00,7.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5154600,4.00,6.00,0.00,4.00,5.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5154618,8.00,6.00,5.00,5.00,6.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5154642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5154650,8.00,6.00,1.00,6.00,7.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5154669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5154677,6.00,4.00,1.00,3.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5154685,4.00,4.00,4.00,5.00,7.00,7.50,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5154693,7.00,7.00,3.00,6.00,7.00,6.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5154707,4.00,7.00,4.00,7.00,7.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5154715,8.00,8.00,2.00,7.00,8.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5154723,4.00,6.00,0.00,6.00,4.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5154731,3.00,5.00,1.00,5.00,6.00,6.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5154740,1.00,4.00,0.00,4.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5154758,7.00,4.00,2.00,6.00,6.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5154790,5.00,5.00,1.00,3.00,5.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5154804,9.00,6.00,8.00,8.00,7.00,7.50,5.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5154820,7.00,4.00,0.00,3.00,4.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5154839,3.00,5.00,1.00,7.00,5.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5154847,9.00,5.00,3.00,6.00,9.00,8.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5154855,4.00,4.00,3.00,1.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5154863,3.00,5.00,0.00,5.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5154871,2.00,6.00,1.00,6.00,6.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5154880,5.00,5.00,3.00,4.00,7.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5154928,4.00,3.00,2.00,2.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5154936,6.00,7.00,3.00,4.00,6.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5154944,1.00,3.00,1.00,4.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5154952,8.00,7.00,5.00,7.00,10.00,11.25,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5154960,3.00,6.00,2.00,4.00,5.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5154979,3.00,4.00,2.00,3.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5154995,7.00,5.00,4.00,7.00,7.00,10.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5155002,5.00,6.00,2.00,5.00,9.00,9.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5155010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5155029,5.00,0.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5155037,6.00,6.00,3.00,7.00,7.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5155045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5155070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5155088,7.00,6.00,2.00,5.00,9.00,10.13,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5155096,4.00,6.00,2.00,5.00,6.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5155100,7.00,7.00,5.00,7.00,7.00,11.63,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5155118,1.00,5.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5155126,8.00,5.00,5.00,7.00,7.00,10.13,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5155134,8.00,7.00,2.00,6.00,7.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5155142,7.00,5.00,2.00,7.00,9.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5155150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5155169,8.00,7.00,8.00,7.00,10.00,10.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5155177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5155185,8.00,7.00,2.00,3.00,5.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5155193,7.00,6.00,7.00,7.00,8.00,10.13,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5155207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5155215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5155223,5.00,5.00,2.00,6.00,4.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5155231,2.00,1.00,0.00,3.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,'S','N'),(20,5155240,7.00,7.00,5.00,4.00,9.00,10.88,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5155258,8.00,7.00,8.00,6.00,8.00,7.88,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5155266,5.00,7.00,0.00,5.00,9.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5155274,7.00,7.00,4.00,6.00,5.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5155290,4.00,6.00,1.00,6.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5155312,7.00,6.00,5.00,6.00,9.00,8.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5155339,6.00,5.00,3.00,4.00,1.00,NULL,3.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5155347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5155355,4.00,7.00,2.00,3.00,6.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5155363,7.00,7.00,7.00,4.00,5.00,6.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5155380,6.00,7.00,4.00,6.00,5.00,12.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5155398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5155401,6.00,5.00,2.00,4.00,4.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5155428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5155444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5155452,5.00,5.00,0.00,3.00,7.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5155479,3.00,4.00,3.00,5.00,7.00,8.63,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5155495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5155509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5155517,5.00,5.00,3.00,6.00,4.00,8.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5155525,4.00,7.00,1.00,6.00,5.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5155541,3.00,4.00,4.00,4.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5155550,6.00,4.00,3.00,7.00,6.00,8.25,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5155568,8.00,8.00,5.00,7.00,9.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5155576,2.00,5.00,2.00,1.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5155584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5155592,7.00,6.00,7.00,7.00,8.00,9.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5155606,3.00,3.00,0.00,4.00,7.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5155614,9.00,7.00,7.00,6.00,10.00,6.38,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5155622,7.00,6.00,2.00,6.00,5.00,7.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5155630,5.00,5.00,3.00,4.00,6.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5155657,7.00,6.00,3.00,7.00,10.00,9.38,4.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5155665,4.00,7.00,5.00,5.00,6.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5155681,7.00,6.00,4.00,4.00,8.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5155690,3.00,1.00,0.00,6.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5155703,6.00,4.00,0.00,3.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5155711,6.00,3.00,5.00,1.00,2.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5155720,6.00,7.00,5.00,6.00,8.00,12.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5155738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5155746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5155754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5155770,5.00,7.00,2.00,5.00,7.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5155789,6.00,8.00,1.00,4.00,8.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5155797,6.00,4.00,1.00,7.00,6.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5155819,6.00,5.00,2.00,7.00,6.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5155827,7.00,6.00,4.00,8.00,8.00,12.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5155835,4.00,4.00,1.00,7.00,4.00,6.38,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5155851,3.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5155860,7.00,8.00,2.00,6.00,6.00,11.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5155878,4.00,6.00,1.00,2.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5155886,5.00,4.00,3.00,4.00,9.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5155916,5.00,4.00,1.00,4.00,8.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5155924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5155940,8.00,8.00,8.00,7.00,7.00,11.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5155959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5155967,3.00,8.00,2.00,4.00,7.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5155975,5.00,6.00,2.00,5.00,5.00,8.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5155983,5.00,6.00,4.00,6.00,5.00,8.63,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5155991,6.00,7.00,1.00,7.00,10.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5156017,2.00,4.00,0.00,3.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5156033,7.00,7.00,0.00,4.00,4.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5156041,1.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(20,5156050,6.00,6.00,3.00,6.00,7.00,10.88,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5156068,3.00,4.00,4.00,3.00,3.00,NULL,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5156076,6.00,5.00,0.00,6.00,5.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5156084,6.00,5.00,2.00,4.00,7.00,6.75,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(20,5156092,8.00,8.00,7.00,7.00,6.00,6.75,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5156114,6.00,7.00,4.00,5.00,6.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5156122,9.00,7.00,6.00,7.00,11.00,11.63,8.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5156130,7.00,7.00,4.00,7.00,7.00,10.13,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5156149,9.00,7.00,6.00,7.00,9.00,8.25,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(20,5156157,6.00,8.00,1.00,6.00,9.00,6.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5156165,8.00,6.00,5.00,4.00,5.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5156173,7.00,5.00,1.00,7.00,9.00,10.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5156181,5.00,3.00,4.00,3.00,5.00,4.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5156190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5156203,6.00,6.00,5.00,5.00,9.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5156211,2.00,2.00,1.00,5.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5156238,6.00,4.00,2.00,3.00,5.00,4.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5156246,7.00,5.00,2.00,5.00,9.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5156254,7.00,6.00,2.00,4.00,5.00,6.75,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5156262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5156270,7.00,6.00,5.00,8.00,8.00,9.38,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5156289,1.00,6.00,3.00,1.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5156297,8.00,9.00,4.00,7.00,5.00,8.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5156300,3.00,6.00,1.00,5.00,7.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5156319,0.00,4.00,0.00,2.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5156327,6.00,8.00,3.00,6.00,10.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5156335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5156343,4.00,3.00,3.00,5.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5156351,0.00,5.00,3.00,3.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5156386,4.00,2.00,0.00,7.00,5.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5156394,6.00,7.00,3.00,4.00,8.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5156408,9.00,9.00,4.00,7.00,7.00,8.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5156440,3.00,8.00,1.00,3.00,6.00,6.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5156459,2.00,3.00,1.00,4.00,5.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5156467,7.00,6.00,1.00,7.00,6.00,8.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5156475,4.00,6.00,4.00,4.00,5.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5156491,6.00,5.00,1.00,4.00,4.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5156505,6.00,6.00,5.00,4.00,7.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5156513,2.00,3.00,0.00,6.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5156521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5156530,8.00,6.00,2.00,7.00,10.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5156548,5.00,4.00,0.00,4.00,4.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5156556,6.00,6.00,5.00,5.00,7.00,8.63,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5156564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5156572,6.00,8.00,4.00,6.00,8.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5156580,7.00,7.00,4.00,7.00,6.00,10.13,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5156599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5156602,6.00,7.00,1.00,4.00,5.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5156610,3.00,5.00,1.00,5.00,4.00,6.38,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5156629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5156637,5.00,4.00,3.00,5.00,5.00,7.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5156645,7.00,8.00,7.00,4.00,9.00,12.38,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5156653,6.00,7.00,1.00,2.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5156661,7.00,7.00,0.00,4.00,8.00,10.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5156670,5.00,4.00,1.00,4.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5156688,5.00,6.00,0.00,5.00,8.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5156700,7.00,9.00,5.00,6.00,5.00,8.63,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5156718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5156726,2.00,3.00,0.00,4.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5156734,8.00,7.00,4.00,7.00,8.00,10.50,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5156742,4.00,6.00,3.00,1.00,5.00,4.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5156750,7.00,8.00,0.00,6.00,7.00,10.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5156769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5156777,7.00,7.00,5.00,7.00,9.00,9.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5156785,6.00,7.00,6.00,3.00,6.00,9.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5156793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5156815,8.00,8.00,1.00,5.00,7.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5156823,4.00,4.00,2.00,4.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5156831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5156840,3.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5156858,9.00,7.00,7.00,6.00,8.00,9.38,7.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5156866,4.00,5.00,3.00,6.00,5.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5156874,4.00,6.00,5.00,7.00,4.00,8.63,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5156890,5.00,5.00,0.00,7.00,6.00,9.38,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5156904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5156912,1.00,3.00,2.00,1.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5156920,4.00,2.00,2.00,4.00,7.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'S'),(20,5156939,8.00,8.00,8.00,7.00,10.00,9.00,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5156955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5156971,6.00,6.00,4.00,4.00,6.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5156998,6.00,4.00,3.00,6.00,6.00,6.38,4.00,1.00,8.00,NULL,NULL,NULL,'N'),(20,5157005,4.00,6.00,3.00,4.00,5.00,9.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5157013,7.00,8.00,4.00,7.00,9.00,10.50,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5157021,7.00,8.00,7.00,7.00,10.00,9.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5157064,9.00,9.00,4.00,6.00,8.00,6.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5157072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5157099,3.00,2.00,3.00,4.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5157102,3.00,4.00,1.00,2.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5157110,3.00,3.00,1.00,3.00,7.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5157129,6.00,5.00,1.00,6.00,7.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5157137,6.00,7.00,3.00,7.00,9.00,8.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5157145,5.00,3.00,4.00,6.00,6.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5157153,2.00,3.00,2.00,2.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5157161,8.00,7.00,7.00,7.00,10.00,10.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5157196,8.00,6.00,7.00,7.00,8.00,9.75,7.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5157200,6.00,8.00,2.00,6.00,9.00,10.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5157218,3.00,3.00,2.00,7.00,5.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5157234,6.00,4.00,0.00,6.00,5.00,6.38,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5157242,7.00,5.00,5.00,6.00,6.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5157269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5157277,3.00,2.00,1.00,5.00,8.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5157285,5.00,6.00,2.00,5.00,9.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5157293,9.00,7.00,7.00,8.00,8.00,12.00,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5157307,5.00,4.00,1.00,7.00,6.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5157323,8.00,6.00,2.00,6.00,7.00,9.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5157331,7.00,7.00,4.00,6.00,7.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5157358,4.00,4.00,0.00,5.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5157366,8.00,7.00,9.00,7.00,10.00,8.63,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5157382,3.00,2.00,2.00,5.00,1.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5157390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5157404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5157412,5.00,5.00,4.00,3.00,4.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5157420,4.00,6.00,4.00,7.00,7.00,11.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5157439,3.00,4.00,0.00,5.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5157447,8.00,7.00,6.00,7.00,10.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5157455,4.00,7.00,0.00,3.00,5.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5157471,3.00,7.00,3.00,3.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5157480,3.00,5.00,0.00,0.00,1.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5157498,5.00,4.00,1.00,6.00,8.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5157501,7.00,8.00,6.00,6.00,7.00,7.50,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5157510,2.00,6.00,0.00,3.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5157528,4.00,5.00,0.00,4.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5157536,4.00,7.00,4.00,7.00,5.00,6.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5157544,3.00,4.00,1.00,5.00,4.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5157552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5157579,8.00,5.00,6.00,6.00,8.00,6.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5157587,1.00,3.00,2.00,4.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5157595,4.00,7.00,1.00,7.00,5.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5157609,5.00,3.00,1.00,4.00,9.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5157617,7.00,7.00,7.00,7.00,6.00,9.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5157625,6.00,3.00,3.00,6.00,5.00,9.75,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5157641,4.00,6.00,1.00,3.00,4.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5157668,8.00,7.00,4.00,7.00,9.00,12.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5157684,1.00,2.00,0.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5157706,5.00,4.00,3.00,5.00,6.00,7.13,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5157730,9.00,8.00,5.00,7.00,8.00,12.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5157757,5.00,5.00,7.00,6.00,7.00,8.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5157773,7.00,8.00,6.00,7.00,6.00,9.00,5.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5157781,7.00,8.00,2.00,7.00,9.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5157811,4.00,6.00,1.00,4.00,5.00,10.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5157846,4.00,5.00,0.00,6.00,7.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5157862,5.00,4.00,5.00,7.00,6.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5157889,2.00,4.00,0.00,4.00,3.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5157897,3.00,3.00,4.00,5.00,6.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5157919,4.00,3.00,3.00,6.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5157927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5157935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5157943,4.00,4.00,2.00,4.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5157960,4.00,3.00,1.00,3.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5157978,2.00,2.00,1.00,1.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5157986,6.00,6.00,2.00,6.00,5.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'S'),(20,5157994,9.00,6.00,6.00,7.00,9.00,10.88,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5158010,8.00,9.00,6.00,7.00,10.00,9.38,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5158028,6.00,5.00,3.00,6.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5158044,3.00,5.00,3.00,5.00,4.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5158052,5.00,5.00,3.00,5.00,9.00,10.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5158060,6.00,6.00,3.00,7.00,7.00,7.88,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5158079,7.00,8.00,3.00,7.00,10.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5158109,8.00,6.00,2.00,5.00,10.00,9.00,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5158117,7.00,8.00,4.00,2.00,8.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5158125,4.00,4.00,2.00,7.00,7.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5158133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5158141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5158150,2.00,3.00,0.00,6.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5158168,4.00,5.00,1.00,6.00,5.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5158176,6.00,5.00,1.00,5.00,5.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5158192,3.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'S'),(20,5158214,3.00,6.00,2.00,6.00,6.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5158222,4.00,3.00,0.00,2.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5158249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5158265,2.00,7.00,4.00,3.00,7.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5158273,7.00,7.00,2.00,6.00,8.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5158281,6.00,6.00,1.00,6.00,6.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5158290,7.00,5.00,4.00,4.00,4.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5158303,4.00,6.00,3.00,6.00,8.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5158311,6.00,5.00,1.00,3.00,4.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5158320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5158346,3.00,7.00,1.00,6.00,6.00,7.50,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5158354,4.00,3.00,4.00,6.00,7.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5158362,5.00,6.00,4.00,5.00,6.00,NULL,3.00,4.00,5.00,NULL,NULL,'S','N'),(20,5158370,7.00,8.00,6.00,7.00,10.00,7.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5158397,5.00,7.00,3.00,3.00,6.00,9.38,2.00,2.00,6.00,NULL,NULL,NULL,'S'),(20,5158419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5158427,7.00,6.00,5.00,6.00,8.00,9.75,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5158435,2.00,7.00,0.00,5.00,8.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5158443,8.00,5.00,7.00,4.00,10.00,9.75,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5158451,3.00,3.00,5.00,4.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5158460,5.00,6.00,2.00,3.00,3.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5158478,5.00,4.00,0.00,6.00,7.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5158486,3.00,7.00,0.00,6.00,8.00,8.63,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5158494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5158508,5.00,7.00,0.00,7.00,8.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5158516,5.00,4.00,0.00,5.00,4.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5158524,4.00,6.00,1.00,7.00,5.00,8.63,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5158540,9.00,8.00,5.00,7.00,9.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5158559,4.00,5.00,4.00,3.00,7.00,6.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5158567,8.00,9.00,7.00,7.00,10.00,10.88,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5158583,5.00,6.00,4.00,7.00,7.00,7.50,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5158605,5.00,6.00,1.00,3.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5158613,1.00,4.00,1.00,6.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5158621,7.00,3.00,2.00,7.00,9.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5158630,7.00,6.00,3.00,7.00,8.00,8.25,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5158648,5.00,5.00,2.00,5.00,8.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5158656,7.00,8.00,2.00,5.00,8.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5158699,5.00,6.00,2.00,7.00,6.00,10.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5158702,5.00,6.00,6.00,7.00,7.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5158710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5158729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5158745,9.00,7.00,4.00,5.00,9.00,12.00,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5158753,6.00,4.00,3.00,5.00,7.00,3.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5158761,5.00,5.00,3.00,2.00,6.00,10.13,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5158770,7.00,5.00,5.00,3.00,6.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5158788,7.00,3.00,5.00,2.00,5.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5158796,3.00,5.00,0.00,2.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5158800,7.00,4.00,2.00,6.00,4.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5158818,7.00,5.00,4.00,7.00,6.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5158826,8.00,4.00,5.00,6.00,7.00,NULL,3.00,2.00,6.00,NULL,NULL,'S','N'),(20,5158834,6.00,6.00,3.00,4.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5158842,6.00,4.00,4.00,6.00,5.00,10.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5158850,7.00,7.00,5.00,7.00,6.00,8.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5158877,3.00,6.00,0.00,5.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5158885,3.00,4.00,0.00,5.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5158893,6.00,8.00,3.00,7.00,10.00,10.50,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5158907,9.00,5.00,4.00,7.00,9.00,10.50,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5158915,3.00,5.00,2.00,3.00,3.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5158923,3.00,4.00,1.00,4.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5158931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5158940,5.00,2.00,1.00,6.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,'S','N'),(20,5158958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5158966,8.00,7.00,5.00,7.00,9.00,10.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5158990,5.00,5.00,3.00,6.00,7.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5159008,2.00,4.00,1.00,3.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5159016,6.00,5.00,2.00,3.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5159024,2.00,1.00,2.00,3.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5159032,6.00,4.00,2.00,5.00,4.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5159040,6.00,7.00,5.00,7.00,8.00,11.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5159059,7.00,8.00,0.00,7.00,7.00,9.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5159067,6.00,6.00,0.00,4.00,6.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5159075,7.00,7.00,7.00,7.00,10.00,8.63,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5159083,8.00,6.00,6.00,7.00,6.00,9.00,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5159091,4.00,6.00,1.00,4.00,4.00,7.50,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5159105,3.00,4.00,3.00,4.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5159113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5159121,8.00,8.00,7.00,2.00,8.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5159130,3.00,5.00,0.00,6.00,6.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5159148,3.00,1.00,0.00,0.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5159156,3.00,5.00,3.00,1.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5159164,8.00,7.00,7.00,7.00,9.00,8.25,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5159172,4.00,5.00,1.00,5.00,7.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5159180,9.00,6.00,2.00,8.00,10.00,11.25,5.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5159199,4.00,4.00,1.00,7.00,5.00,4.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5159202,4.00,5.00,1.00,4.00,8.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5159237,3.00,6.00,3.00,3.00,5.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5159245,9.00,8.00,5.00,6.00,8.00,6.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5159253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5159261,4.00,6.00,2.00,4.00,4.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5159288,9.00,8.00,3.00,7.00,9.00,10.13,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5159300,9.00,8.00,7.00,7.00,10.00,8.25,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5159318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5159326,7.00,8.00,4.00,5.00,9.00,9.38,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5159342,5.00,5.00,2.00,7.00,9.00,9.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5159350,4.00,8.00,7.00,4.00,7.00,6.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5159369,6.00,7.00,2.00,4.00,8.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5159377,4.00,6.00,1.00,4.00,6.00,7.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5159393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5159407,6.00,5.00,3.00,4.00,8.00,10.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5159423,7.00,6.00,2.00,6.00,4.00,10.50,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5159431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5159440,4.00,6.00,1.00,6.00,4.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5159474,4.00,4.00,4.00,3.00,4.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5159482,3.00,4.00,1.00,4.00,5.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5159504,3.00,5.00,1.00,4.00,6.00,7.13,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5159520,7.00,7.00,5.00,7.00,7.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5159539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5159563,6.00,7.00,4.00,5.00,7.00,NULL,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5159598,4.00,0.00,0.00,3.00,2.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5159601,6.00,5.00,3.00,3.00,4.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5159610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5159628,3.00,6.00,3.00,4.00,4.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5159644,7.00,5.00,4.00,6.00,6.00,7.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5159652,7.00,5.00,2.00,6.00,6.00,12.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5159660,6.00,8.00,3.00,4.00,6.00,8.63,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5159725,9.00,9.00,4.00,7.00,9.00,10.13,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5159750,6.00,7.00,4.00,6.00,7.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5159768,6.00,7.00,4.00,7.00,7.00,8.25,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5159776,2.00,4.00,0.00,3.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,'S','N'),(20,5159784,3.00,2.00,1.00,2.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5159792,9.00,4.00,3.00,7.00,6.00,10.13,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5159806,4.00,4.00,1.00,4.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5159814,4.00,5.00,2.00,0.00,4.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5159822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5159830,4.00,4.00,2.00,7.00,9.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5159881,4.00,4.00,2.00,5.00,4.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5159920,7.00,3.00,0.00,6.00,4.00,7.88,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(20,5159946,3.00,3.00,0.00,2.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5159954,3.00,3.00,0.00,4.00,7.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5159962,6.00,7.00,4.00,7.00,10.00,7.50,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5159970,2.00,6.00,2.00,5.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5159989,8.00,5.00,3.00,1.00,7.00,7.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5159997,6.00,6.00,3.00,2.00,4.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5160022,6.00,8.00,1.00,5.00,7.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5160030,4.00,4.00,2.00,2.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5160049,6.00,7.00,3.00,7.00,9.00,9.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5160103,3.00,2.00,1.00,2.00,1.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5160111,7.00,5.00,4.00,6.00,7.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5160146,5.00,7.00,2.00,5.00,8.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5160154,6.00,5.00,1.00,6.00,7.00,8.63,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5160162,5.00,5.00,1.00,4.00,9.00,8.63,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5160170,3.00,4.00,2.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5160189,6.00,5.00,2.00,4.00,8.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5160197,4.00,5.00,1.00,3.00,6.00,0.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5160227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5160235,8.00,6.00,0.00,2.00,4.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5160243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5160260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5160286,7.00,9.00,4.00,7.00,5.00,8.25,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5160359,6.00,7.00,5.00,3.00,7.00,8.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5160367,7.00,6.00,2.00,6.00,9.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5160383,5.00,6.00,0.00,5.00,5.00,9.75,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5160391,5.00,4.00,1.00,2.00,5.00,8.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5160421,3.00,6.00,1.00,6.00,5.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5160480,6.00,6.00,2.00,6.00,9.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5160499,4.00,2.00,0.00,5.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5160502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5160510,8.00,8.00,4.00,7.00,7.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5160529,3.00,6.00,5.00,6.00,8.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5160537,2.00,5.00,1.00,5.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5160553,3.00,1.00,2.00,3.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5160561,3.00,6.00,6.00,6.00,6.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5160570,9.00,8.00,4.00,6.00,8.00,10.13,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5160588,2.00,5.00,1.00,6.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5160596,4.00,3.00,2.00,5.00,6.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5160600,4.00,5.00,0.00,6.00,4.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5160618,6.00,8.00,3.00,4.00,7.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5160634,5.00,3.00,5.00,7.00,8.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5160642,3.00,6.00,2.00,3.00,7.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5160669,5.00,6.00,2.00,7.00,5.00,11.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5160677,5.00,6.00,0.00,5.00,4.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5160685,8.00,7.00,9.00,7.00,10.00,8.25,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5160693,5.00,5.00,0.00,1.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5160715,4.00,6.00,2.00,4.00,6.00,9.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5160774,2.00,7.00,2.00,3.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5160782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5160790,4.00,4.00,0.00,1.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5160812,2.00,4.00,2.00,3.00,6.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5160820,2.00,7.00,1.00,2.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5160839,3.00,6.00,1.00,5.00,4.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5160863,3.00,4.00,2.00,2.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5160871,6.00,7.00,3.00,5.00,6.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5160880,8.00,7.00,2.00,5.00,8.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5160898,5.00,7.00,4.00,7.00,7.00,7.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5160901,5.00,2.00,2.00,5.00,6.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5160910,1.00,7.00,2.00,4.00,4.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5160936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5160952,4.00,5.00,2.00,5.00,9.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5160979,4.00,3.00,2.00,4.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5160987,6.00,7.00,1.00,4.00,6.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5160995,6.00,6.00,0.00,4.00,6.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5161002,4.00,4.00,3.00,3.00,6.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5161037,5.00,4.00,0.00,2.00,6.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5161045,4.00,4.00,0.00,3.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5161061,2.00,8.00,2.00,2.00,7.00,7.88,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5161070,5.00,0.00,1.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5161088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5161118,7.00,7.00,2.00,5.00,9.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5161134,4.00,5.00,0.00,3.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5161142,6.00,5.00,0.00,4.00,6.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5161150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5161177,4.00,4.00,3.00,4.00,5.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5161185,9.00,8.00,4.00,5.00,8.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5161207,5.00,6.00,2.00,4.00,6.00,8.63,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5161215,6.00,6.00,7.00,2.00,8.00,7.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5161231,5.00,8.00,5.00,6.00,8.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5161258,4.00,6.00,4.00,5.00,5.00,7.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5161266,4.00,5.00,0.00,2.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5161274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5161304,7.00,8.00,4.00,2.00,7.00,9.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5161312,6.00,4.00,2.00,7.00,7.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5161320,8.00,7.00,3.00,7.00,10.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5161339,9.00,8.00,2.00,4.00,8.00,10.13,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5161355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5161363,7.00,6.00,4.00,4.00,6.00,0.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5161371,8.00,5.00,3.00,7.00,9.00,10.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5161398,8.00,7.00,4.00,7.00,10.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5161401,6.00,4.00,0.00,1.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5161410,6.00,5.00,1.00,7.00,5.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5161444,8.00,5.00,5.00,5.00,8.00,7.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5161452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5161487,3.00,0.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5161509,1.00,4.00,3.00,4.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5161525,2.00,6.00,0.00,2.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5161541,5.00,6.00,4.00,4.00,8.00,7.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5161576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5161584,6.00,6.00,5.00,7.00,8.00,10.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5161606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5161614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5161657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5161665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5161673,5.00,4.00,2.00,5.00,5.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5161681,8.00,7.00,7.00,3.00,9.00,10.13,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5161690,2.00,3.00,1.00,3.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5161703,0.00,3.00,1.00,3.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5161711,5.00,6.00,4.00,5.00,9.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5161720,7.00,7.00,1.00,7.00,9.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5161738,7.00,4.00,0.00,4.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5161746,4.00,6.00,2.00,6.00,6.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5161754,8.00,4.00,6.00,6.00,6.00,6.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5161762,5.00,9.00,2.00,5.00,4.00,8.63,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5161789,8.00,9.00,5.00,4.00,10.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5161797,8.00,7.00,2.00,5.00,6.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5161800,4.00,4.00,5.00,4.00,6.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5161819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5161835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5161843,6.00,4.00,3.00,3.00,6.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5161851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5161860,6.00,7.00,3.00,2.00,6.00,6.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5161878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5161894,8.00,7.00,1.00,5.00,7.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5161908,6.00,5.00,4.00,6.00,5.00,11.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5161916,6.00,6.00,2.00,2.00,6.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5161924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5161932,1.00,4.00,3.00,2.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5161940,6.00,4.00,0.00,7.00,7.00,9.75,0.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5161959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5161967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5161975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5161983,5.00,6.00,1.00,7.00,4.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5161991,7.00,7.00,3.00,5.00,9.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5162009,4.00,3.00,2.00,4.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5162017,6.00,5.00,4.00,5.00,7.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5162025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5162033,0.00,3.00,0.00,3.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5162041,7.00,7.00,5.00,6.00,9.00,8.25,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5162050,8.00,6.00,4.00,6.00,9.00,9.38,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5162068,2.00,3.00,2.00,3.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5162076,0.00,3.00,0.00,1.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5162084,4.00,4.00,0.00,2.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5162092,7.00,8.00,2.00,7.00,8.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5162106,8.00,5.00,3.00,5.00,7.00,7.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5162122,4.00,5.00,5.00,3.00,4.00,5.25,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5162130,8.00,7.00,6.00,3.00,7.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5162149,8.00,5.00,6.00,6.00,6.00,7.88,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5162157,9.00,7.00,1.00,6.00,5.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5162165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5162173,8.00,6.00,6.00,6.00,6.00,7.50,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5162181,3.00,4.00,1.00,3.00,5.00,7.88,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5162190,2.00,4.00,2.00,3.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5162203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5162211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5162238,3.00,3.00,0.00,5.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5162246,8.00,7.00,3.00,7.00,9.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5162254,7.00,6.00,2.00,4.00,5.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5162262,7.00,6.00,4.00,7.00,6.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5162270,8.00,8.00,4.00,7.00,7.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5162289,4.00,7.00,2.00,7.00,8.00,10.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5162297,1.00,1.00,1.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5162300,2.00,6.00,3.00,5.00,4.00,4.88,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(20,5162319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5162327,3.00,6.00,1.00,1.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5162335,2.00,2.00,1.00,5.00,6.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5162351,5.00,8.00,0.00,5.00,7.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5162360,7.00,5.00,1.00,3.00,7.00,12.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5162378,3.00,2.00,2.00,3.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5162386,3.00,2.00,0.00,6.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5162394,6.00,7.00,2.00,3.00,9.00,11.63,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5162408,1.00,7.00,1.00,0.00,0.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5162416,8.00,5.00,4.00,7.00,9.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5162424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5162432,0.00,4.00,2.00,3.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5162459,9.00,8.00,4.00,7.00,7.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5162467,3.00,6.00,2.00,4.00,8.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5162483,7.00,6.00,2.00,6.00,6.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5162491,7.00,6.00,2.00,3.00,7.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5162513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5162521,4.00,5.00,1.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5162530,9.00,5.00,2.00,7.00,10.00,7.88,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5162548,5.00,3.00,3.00,6.00,5.00,10.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5162572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5162599,6.00,7.00,2.00,5.00,6.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5162602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5162610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5162629,6.00,4.00,1.00,8.00,8.00,9.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5162637,5.00,4.00,1.00,5.00,5.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5162645,5.00,5.00,0.00,6.00,7.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5162653,1.00,4.00,1.00,3.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5162661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5162670,7.00,7.00,1.00,5.00,6.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5162696,7.00,6.00,1.00,7.00,8.00,9.00,3.00,6.00,7.00,NULL,NULL,NULL,'S'),(20,5162700,2.00,4.00,2.00,1.00,3.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5162718,9.00,6.00,4.00,7.00,9.00,11.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5162726,4.00,7.00,2.00,3.00,6.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5162734,7.00,7.00,5.00,6.00,8.00,9.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5162742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5162769,8.00,8.00,4.00,5.00,7.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5162777,4.00,6.00,2.00,7.00,5.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5162793,3.00,7.00,0.00,5.00,5.00,6.75,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5162807,4.00,7.00,3.00,4.00,7.00,7.13,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5162815,4.00,6.00,2.00,7.00,6.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5162831,4.00,5.00,4.00,7.00,7.00,6.75,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5162840,4.00,5.00,0.00,2.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5162866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5162874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5162882,2.00,2.00,0.00,5.00,2.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5162890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5162904,5.00,6.00,2.00,5.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5162912,4.00,3.00,0.00,5.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5162920,6.00,5.00,0.00,6.00,9.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5162939,1.00,7.00,5.00,0.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5162947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5162955,3.00,5.00,0.00,2.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5162971,4.00,3.00,4.00,3.00,5.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5162980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5162998,2.00,3.00,0.00,2.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5163005,1.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5163013,5.00,6.00,1.00,2.00,5.00,9.38,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5163021,9.00,7.00,6.00,6.00,7.00,9.38,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5163030,5.00,7.00,0.00,4.00,6.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5163048,1.00,0.00,2.00,4.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5163056,4.00,6.00,3.00,5.00,5.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5163064,7.00,7.00,5.00,7.00,7.00,10.13,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5163072,0.00,6.00,0.00,3.00,5.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5163080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5163102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5163110,2.00,2.00,1.00,4.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5163129,5.00,6.00,2.00,2.00,6.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5163137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5163145,3.00,1.00,1.00,3.00,2.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5163153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5163161,4.00,5.00,0.00,4.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5163170,7.00,4.00,4.00,3.00,7.00,6.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5163188,2.00,5.00,1.00,4.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5163200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5163218,4.00,6.00,3.00,3.00,7.00,8.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5163234,8.00,5.00,0.00,2.00,5.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5163250,1.00,3.00,2.00,4.00,6.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5163269,6.00,4.00,0.00,4.00,6.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5163277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5163285,4.00,7.00,2.00,7.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5163307,3.00,3.00,1.00,5.00,5.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5163315,7.00,8.00,1.00,7.00,4.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5163323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5163331,4.00,5.00,2.00,3.00,2.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5163340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5163358,3.00,4.00,4.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5163366,6.00,7.00,3.00,3.00,6.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5163382,4.00,7.00,2.00,7.00,8.00,12.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5163404,4.00,4.00,0.00,2.00,6.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5163412,5.00,7.00,4.00,8.00,5.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5163439,8.00,7.00,7.00,5.00,6.00,7.13,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5163455,4.00,5.00,1.00,2.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5163463,2.00,4.00,1.00,3.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5163480,5.00,5.00,3.00,3.00,4.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5163498,2.00,6.00,4.00,3.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5163501,5.00,5.00,2.00,3.00,7.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5163528,3.00,4.00,0.00,2.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5163536,6.00,6.00,2.00,5.00,8.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5163544,2.00,5.00,1.00,2.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5163560,3.00,2.00,0.00,1.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5163587,7.00,7.00,1.00,7.00,10.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5163595,9.00,7.00,2.00,7.00,9.00,14.25,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5163609,7.00,7.00,4.00,7.00,8.00,8.63,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5163617,4.00,4.00,2.00,4.00,4.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5163625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5163641,4.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5163650,5.00,6.00,2.00,6.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5163668,4.00,3.00,2.00,3.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5163692,5.00,7.00,5.00,6.00,5.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5163714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5163722,6.00,8.00,2.00,7.00,9.00,7.13,2.00,5.00,7.00,NULL,NULL,NULL,'S'),(20,5163730,4.00,3.00,1.00,2.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5163749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5163757,2.00,5.00,1.00,2.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5163765,2.00,5.00,1.00,2.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5163781,2.00,4.00,2.00,6.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5163790,4.00,6.00,4.00,4.00,5.00,7.88,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5163811,2.00,6.00,2.00,4.00,2.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5163838,3.00,4.00,0.00,3.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5163846,4.00,3.00,3.00,5.00,5.00,10.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5163870,2.00,3.00,0.00,5.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5163897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5163900,5.00,5.00,2.00,0.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5163919,5.00,5.00,1.00,3.00,6.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5163927,6.00,7.00,3.00,5.00,4.00,7.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5163951,9.00,6.00,2.00,5.00,9.00,9.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5163960,6.00,5.00,0.00,2.00,7.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5163978,2.00,6.00,2.00,3.00,8.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5163986,3.00,3.00,3.00,3.00,6.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5163994,2.00,5.00,0.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5164001,2.00,3.00,2.00,5.00,4.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5164028,7.00,5.00,5.00,7.00,6.00,9.38,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5164036,9.00,4.00,6.00,5.00,9.00,9.38,8.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5164044,2.00,3.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5164060,8.00,7.00,5.00,5.00,8.00,7.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5164079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5164087,5.00,5.00,1.00,4.00,7.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5164095,5.00,6.00,1.00,3.00,4.00,4.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5164109,5.00,6.00,2.00,5.00,7.00,8.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5164117,8.00,5.00,5.00,3.00,8.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5164125,4.00,6.00,2.00,7.00,8.00,8.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5164133,4.00,4.00,2.00,3.00,5.00,6.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5164141,4.00,4.00,0.00,4.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5164150,8.00,6.00,0.00,7.00,8.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5164168,1.00,3.00,0.00,2.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,'S','N'),(20,5164184,3.00,4.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5164192,7.00,6.00,7.00,6.00,9.00,10.13,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5164206,1.00,4.00,0.00,2.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5164214,6.00,5.00,2.00,5.00,5.00,9.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5164249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5164257,2.00,5.00,2.00,2.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5164265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5164273,8.00,6.00,5.00,7.00,5.00,7.13,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5164290,3.00,4.00,0.00,4.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5164303,1.00,6.00,1.00,1.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5164311,4.00,6.00,1.00,3.00,4.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5164320,4.00,3.00,3.00,3.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5164346,8.00,6.00,3.00,7.00,8.00,11.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5164354,8.00,8.00,4.00,6.00,8.00,7.13,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5164362,5.00,5.00,4.00,7.00,7.00,10.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5164370,6.00,8.00,2.00,4.00,6.00,9.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5164389,5.00,7.00,4.00,7.00,7.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5164397,4.00,5.00,3.00,8.00,8.00,10.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5164400,7.00,7.00,3.00,5.00,7.00,6.75,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5164443,5.00,6.00,2.00,7.00,4.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5164451,7.00,6.00,3.00,4.00,9.00,7.88,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5164460,2.00,3.00,3.00,4.00,4.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5164478,5.00,6.00,3.00,5.00,6.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5164494,6.00,3.00,3.00,7.00,8.00,10.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5164508,3.00,5.00,0.00,3.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5164516,6.00,4.00,1.00,5.00,9.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5164532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5164540,7.00,7.00,4.00,7.00,5.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5164559,8.00,6.00,5.00,7.00,9.00,10.13,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5164567,3.00,3.00,3.00,3.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5164575,4.00,5.00,3.00,4.00,7.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5164583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5164591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5164613,4.00,5.00,1.00,0.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5164621,5.00,6.00,1.00,6.00,7.00,9.38,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5164630,4.00,5.00,0.00,3.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5164648,1.00,4.00,4.00,5.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5164656,7.00,6.00,1.00,5.00,5.00,10.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5164672,6.00,6.00,3.00,6.00,7.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5164702,3.00,6.00,5.00,5.00,8.00,6.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5164710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5164737,5.00,4.00,1.00,3.00,2.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5164745,3.00,3.00,0.00,5.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5164753,9.00,6.00,1.00,7.00,9.00,10.13,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5164761,3.00,6.00,1.00,2.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5164770,4.00,7.00,5.00,3.00,4.00,7.88,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5164788,4.00,7.00,3.00,3.00,6.00,8.25,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5164796,4.00,2.00,1.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5164800,4.00,7.00,1.00,1.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5164818,9.00,5.00,5.00,5.00,7.00,8.63,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5164826,5.00,6.00,3.00,3.00,5.00,6.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5164834,9.00,7.00,3.00,7.00,8.00,9.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5164842,5.00,8.00,3.00,5.00,8.00,10.88,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5164850,2.00,1.00,2.00,4.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5164869,7.00,5.00,5.00,6.00,6.00,6.00,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5164877,4.00,4.00,1.00,5.00,9.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5164885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5164915,4.00,4.00,2.00,6.00,6.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5164923,4.00,4.00,2.00,3.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5164966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5164974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5164982,7.00,4.00,1.00,6.00,6.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5164990,8.00,9.00,4.00,7.00,8.00,10.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5165016,2.00,5.00,4.00,3.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5165024,6.00,7.00,1.00,3.00,8.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5165032,3.00,6.00,0.00,4.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5165059,1.00,2.00,4.00,2.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5165067,6.00,5.00,1.00,4.00,5.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5165075,5.00,7.00,0.00,2.00,1.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5165083,6.00,5.00,1.00,5.00,8.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5165091,6.00,7.00,3.00,4.00,6.00,NULL,3.00,4.00,3.00,NULL,NULL,'S','N'),(20,5165105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5165121,0.00,3.00,0.00,0.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5165130,3.00,2.00,1.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5165148,4.00,5.00,0.00,4.00,7.00,10.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5165172,8.00,8.00,4.00,6.00,11.00,10.88,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5165180,3.00,4.00,4.00,2.00,5.00,0.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5165199,3.00,7.00,4.00,5.00,6.00,0.00,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5165202,2.00,5.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5165210,9.00,7.00,6.00,7.00,9.00,9.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5165237,5.00,5.00,4.00,4.00,6.00,9.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5165245,5.00,2.00,0.00,6.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5165253,1.00,1.00,0.00,4.00,1.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5165270,5.00,5.00,2.00,4.00,8.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5165288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5165296,2.00,6.00,2.00,1.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5165300,3.00,6.00,0.00,4.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5165318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5165326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5165334,2.00,2.00,2.00,3.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5165350,7.00,7.00,2.00,7.00,5.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5165369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5165377,6.00,7.00,7.00,5.00,9.00,7.88,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5165385,4.00,4.00,0.00,4.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5165407,3.00,4.00,1.00,4.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5165423,1.00,5.00,1.00,4.00,3.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5165431,4.00,7.00,3.00,6.00,5.00,10.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5165440,6.00,3.00,2.00,5.00,5.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5165466,5.00,5.00,0.00,4.00,7.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5165482,4.00,3.00,4.00,5.00,4.00,NULL,2.00,5.00,3.00,NULL,NULL,'S','N'),(20,5165490,4.00,6.00,0.00,6.00,7.00,7.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5165504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5165539,2.00,3.00,0.00,4.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5165547,7.00,7.00,2.00,5.00,8.00,7.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5165555,5.00,5.00,4.00,6.00,4.00,12.00,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5165563,2.00,5.00,3.00,5.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5165571,3.00,6.00,0.00,7.00,6.00,10.88,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5165580,7.00,5.00,6.00,4.00,7.00,9.00,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5165598,9.00,4.00,7.00,5.00,7.00,8.25,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5165601,9.00,7.00,8.00,7.00,9.00,8.25,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5165610,9.00,8.00,7.00,8.00,6.00,10.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5165628,8.00,9.00,8.00,7.00,9.00,12.38,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5165636,6.00,6.00,3.00,6.00,5.00,6.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5165660,2.00,2.00,0.00,3.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5165679,8.00,8.00,3.00,6.00,11.00,9.75,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5165687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5165695,3.00,5.00,4.00,6.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5165709,4.00,5.00,0.00,5.00,6.00,6.38,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5165717,5.00,5.00,1.00,6.00,5.00,8.63,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5165725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5165733,3.00,5.00,1.00,3.00,7.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5165784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5165792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5165806,5.00,4.00,3.00,3.00,6.00,8.63,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5165814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5165830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5165849,4.00,4.00,1.00,4.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5165857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5165873,2.00,0.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5165890,4.00,7.00,2.00,3.00,4.00,7.13,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5165911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5165962,7.00,5.00,0.00,6.00,5.00,4.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5165997,2.00,5.00,1.00,6.00,6.00,NULL,5.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5166004,8.00,7.00,1.00,5.00,7.00,6.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5166020,4.00,7.00,5.00,7.00,7.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5166039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5166055,4.00,5.00,1.00,3.00,6.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5166063,4.00,5.00,2.00,4.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5166098,5.00,3.00,0.00,6.00,4.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5166101,6.00,5.00,2.00,7.00,8.00,9.38,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5166110,7.00,4.00,1.00,6.00,6.00,9.00,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5166128,5.00,6.00,6.00,6.00,6.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5166136,6.00,7.00,2.00,5.00,8.00,9.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5166144,9.00,8.00,7.00,4.00,9.00,9.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5166152,3.00,4.00,2.00,7.00,4.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5166160,6.00,7.00,1.00,7.00,4.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'S'),(20,5166179,8.00,5.00,4.00,5.00,7.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5166187,5.00,6.00,1.00,3.00,4.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5166209,7.00,6.00,4.00,8.00,8.00,9.75,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5166217,5.00,7.00,3.00,6.00,9.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5166225,8.00,9.00,5.00,7.00,9.00,11.25,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5166241,4.00,5.00,0.00,7.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5166250,8.00,7.00,3.00,7.00,10.00,10.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5166268,3.00,4.00,1.00,3.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5166276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5166284,5.00,6.00,2.00,3.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5166292,4.00,4.00,1.00,5.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5166306,2.00,2.00,0.00,2.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5166314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5166330,2.00,4.00,5.00,5.00,8.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5166349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5166357,4.00,5.00,2.00,5.00,5.00,7.50,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5166365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5166373,7.00,4.00,1.00,4.00,7.00,7.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5166381,3.00,6.00,4.00,2.00,5.00,9.38,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5166390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5166403,4.00,4.00,2.00,4.00,3.00,NULL,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5166420,6.00,6.00,2.00,5.00,8.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5166438,4.00,4.00,1.00,7.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5166446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5166454,3.00,4.00,4.00,2.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5166462,8.00,8.00,3.00,7.00,10.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5166470,9.00,8.00,5.00,6.00,9.00,10.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5166489,7.00,6.00,4.00,4.00,8.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5166497,8.00,7.00,5.00,6.00,10.00,7.88,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5166500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5166519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5166527,1.00,5.00,0.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5166535,5.00,8.00,4.00,7.00,8.00,6.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5166543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5166560,3.00,4.00,2.00,4.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5166578,1.00,3.00,1.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5166586,7.00,7.00,1.00,5.00,7.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5166608,4.00,4.00,1.00,6.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5166616,4.00,8.00,0.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5166624,1.00,5.00,0.00,2.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5166632,5.00,4.00,2.00,2.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5166667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5166683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5166691,9.00,7.00,5.00,7.00,10.00,13.88,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5166705,1.00,3.00,1.00,7.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5166713,6.00,4.00,2.00,0.00,8.00,6.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5166730,7.00,7.00,1.00,6.00,7.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5166756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5166764,6.00,4.00,0.00,5.00,2.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5166772,3.00,6.00,4.00,4.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5166780,3.00,0.00,1.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5166799,4.00,5.00,3.00,3.00,6.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5166810,2.00,4.00,2.00,4.00,9.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5166829,8.00,7.00,7.00,7.00,8.00,8.25,6.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5166837,5.00,6.00,4.00,7.00,6.00,8.63,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5166845,6.00,8.00,5.00,7.00,9.00,10.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5166870,3.00,4.00,0.00,2.00,2.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'S'),(20,5166888,1.00,5.00,0.00,2.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5166896,2.00,3.00,2.00,5.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5166900,7.00,7.00,2.00,7.00,9.00,11.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5166918,6.00,5.00,3.00,7.00,8.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5166934,3.00,5.00,4.00,7.00,4.00,8.25,3.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5166942,4.00,5.00,2.00,1.00,7.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5166950,8.00,7.00,5.00,7.00,8.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5166985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5167000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5167019,3.00,5.00,0.00,3.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5167027,7.00,6.00,2.00,7.00,5.00,7.50,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5167043,6.00,8.00,3.00,6.00,9.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5167051,7.00,5.00,2.00,5.00,10.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5167060,6.00,6.00,3.00,3.00,8.00,7.88,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5167078,4.00,7.00,1.00,7.00,5.00,6.00,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5167086,4.00,5.00,5.00,5.00,7.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5167094,5.00,5.00,0.00,4.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5167108,3.00,6.00,2.00,3.00,6.00,11.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5167116,5.00,3.00,0.00,1.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5167124,7.00,7.00,3.00,5.00,7.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5167132,7.00,7.00,2.00,4.00,5.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5167167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5167175,4.00,6.00,4.00,5.00,6.00,7.50,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5167183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5167191,5.00,6.00,5.00,6.00,6.00,10.88,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5167205,5.00,5.00,2.00,3.00,5.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5167213,3.00,5.00,2.00,3.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5167230,6.00,4.00,1.00,7.00,5.00,10.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5167248,6.00,7.00,2.00,3.00,8.00,10.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5167264,6.00,8.00,4.00,5.00,9.00,10.88,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5167272,8.00,8.00,8.00,7.00,7.00,9.38,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5167299,7.00,4.00,1.00,7.00,7.00,9.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5167302,3.00,6.00,3.00,4.00,4.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5167310,3.00,3.00,1.00,2.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5167329,6.00,5.00,4.00,3.00,4.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5167337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5167345,2.00,5.00,1.00,2.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5167353,7.00,6.00,2.00,6.00,6.00,7.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5167361,4.00,5.00,1.00,1.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5167370,6.00,6.00,2.00,6.00,7.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5167388,5.00,7.00,4.00,7.00,7.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5167396,3.00,4.00,1.00,7.00,7.00,8.63,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5167400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5167434,8.00,6.00,1.00,7.00,9.00,8.63,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5167442,3.00,3.00,0.00,4.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5167450,3.00,7.00,4.00,7.00,9.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5167469,8.00,6.00,5.00,5.00,9.00,10.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5167477,3.00,7.00,5.00,5.00,4.00,7.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5167485,5.00,5.00,2.00,7.00,6.00,6.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5167493,4.00,4.00,0.00,5.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5167507,5.00,3.00,5.00,4.00,5.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5167523,6.00,8.00,2.00,6.00,9.00,7.88,2.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5167531,3.00,5.00,1.00,5.00,7.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5167540,5.00,4.00,2.00,6.00,7.00,8.25,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5167566,3.00,5.00,0.00,4.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5167574,7.00,5.00,1.00,3.00,5.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5167582,4.00,6.00,3.00,7.00,9.00,9.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5167590,6.00,4.00,1.00,6.00,6.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5167604,5.00,7.00,1.00,4.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5167612,7.00,7.00,3.00,7.00,8.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5167620,7.00,6.00,6.00,7.00,9.00,9.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5167639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5167647,5.00,6.00,2.00,6.00,7.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5167655,4.00,6.00,0.00,8.00,9.00,9.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5167663,4.00,4.00,0.00,2.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5167671,4.00,6.00,0.00,6.00,6.00,7.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5167680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5167698,4.00,5.00,2.00,7.00,7.00,9.38,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5167710,5.00,2.00,2.00,2.00,9.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5167728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5167736,0.00,3.00,0.00,0.00,0.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5167744,7.00,8.00,0.00,5.00,8.00,10.13,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5167752,6.00,5.00,0.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5167760,2.00,3.00,0.00,2.00,3.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5167787,7.00,8.00,5.00,7.00,10.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5167795,3.00,5.00,2.00,4.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5167809,4.00,5.00,2.00,6.00,8.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5167817,6.00,8.00,4.00,5.00,8.00,6.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5167825,3.00,4.00,1.00,6.00,6.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5167833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5167850,6.00,6.00,3.00,4.00,6.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5167868,5.00,7.00,4.00,3.00,7.00,9.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5167876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5167884,4.00,7.00,2.00,6.00,7.00,7.50,3.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5167906,9.00,7.00,7.00,7.00,10.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5167914,7.00,8.00,4.00,7.00,10.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5167922,8.00,8.00,5.00,7.00,11.00,11.25,8.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5167930,8.00,5.00,3.00,7.00,6.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5167949,4.00,5.00,2.00,3.00,7.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5167965,3.00,3.00,2.00,2.00,0.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5167973,4.00,6.00,0.00,2.00,5.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5167990,0.00,4.00,2.00,3.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5168007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5168015,4.00,5.00,1.00,4.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5168023,6.00,3.00,0.00,3.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5168040,8.00,8.00,4.00,5.00,8.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5168058,9.00,6.00,3.00,7.00,8.00,10.13,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5168066,6.00,6.00,3.00,7.00,10.00,10.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5168074,5.00,6.00,0.00,5.00,7.00,0.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5168104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5168112,7.00,8.00,6.00,6.00,9.00,8.25,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5168120,8.00,7.00,6.00,5.00,8.00,9.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5168139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5168147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5168155,7.00,5.00,2.00,6.00,8.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5168163,4.00,2.00,2.00,4.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5168171,5.00,5.00,0.00,5.00,4.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5168180,8.00,5.00,3.00,4.00,6.00,7.13,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5168210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5168228,6.00,6.00,2.00,5.00,10.00,10.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5168236,1.00,1.00,2.00,3.00,2.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5168252,6.00,7.00,4.00,5.00,7.00,9.75,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5168260,7.00,7.00,3.00,4.00,7.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5168279,3.00,6.00,1.00,1.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5168295,5.00,4.00,2.00,5.00,4.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5168309,6.00,5.00,5.00,7.00,10.00,8.63,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5168317,2.00,7.00,2.00,6.00,8.00,10.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5168333,4.00,6.00,3.00,4.00,4.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5168341,5.00,5.00,4.00,6.00,7.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5168350,7.00,7.00,2.00,5.00,5.00,9.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5168368,2.00,4.00,2.00,4.00,6.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5168376,7.00,8.00,8.00,7.00,9.00,10.13,9.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5168384,1.00,5.00,1.00,4.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5168392,6.00,6.00,1.00,6.00,5.00,11.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5168406,3.00,3.00,1.00,4.00,5.00,NULL,5.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5168414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5168422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5168430,4.00,5.00,2.00,6.00,3.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'S'),(20,5168449,7.00,6.00,5.00,6.00,8.00,7.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5168457,7.00,7.00,4.00,0.00,5.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5168473,6.00,5.00,1.00,5.00,6.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5168503,4.00,3.00,0.00,7.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5168511,7.00,6.00,5.00,6.00,5.00,7.13,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5168520,2.00,6.00,2.00,3.00,5.00,9.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5168538,6.00,5.00,1.00,3.00,3.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5168546,7.00,7.00,1.00,5.00,7.00,6.00,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5168570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5168589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5168619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5168627,2.00,7.00,3.00,3.00,3.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5168635,6.00,6.00,2.00,7.00,7.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5168643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5168660,7.00,6.00,4.00,6.00,8.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5168678,2.00,4.00,0.00,3.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5168686,2.00,6.00,4.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5168694,4.00,5.00,3.00,8.00,9.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5168708,7.00,7.00,1.00,6.00,2.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5168716,9.00,7.00,5.00,7.00,9.00,10.13,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5168724,8.00,7.00,5.00,6.00,7.00,7.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5168732,2.00,6.00,2.00,6.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5168759,2.00,4.00,1.00,5.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5168767,1.00,5.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5168783,5.00,4.00,1.00,6.00,6.00,4.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5168791,2.00,5.00,5.00,3.00,6.00,9.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5168805,3.00,5.00,2.00,3.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5168813,4.00,5.00,2.00,7.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,'S','N'),(20,5168821,4.00,6.00,1.00,5.00,8.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5168856,5.00,5.00,2.00,7.00,8.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5168864,3.00,4.00,0.00,4.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5168872,4.00,4.00,1.00,5.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5168880,2.00,5.00,2.00,6.00,5.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5168899,3.00,7.00,0.00,3.00,6.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5168910,3.00,4.00,2.00,2.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5168937,5.00,6.00,3.00,5.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5168945,3.00,3.00,2.00,3.00,3.00,NULL,4.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5168953,7.00,6.00,3.00,7.00,6.00,9.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5168961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5168970,6.00,6.00,2.00,6.00,8.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5168988,5.00,7.00,1.00,6.00,7.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5168996,2.00,6.00,4.00,3.00,6.00,10.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5169003,4.00,2.00,0.00,3.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5169011,9.00,7.00,4.00,7.00,6.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5169020,6.00,6.00,2.00,5.00,8.00,9.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5169038,5.00,4.00,3.00,7.00,4.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5169046,9.00,6.00,3.00,7.00,7.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5169054,5.00,5.00,1.00,2.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5169070,7.00,7.00,6.00,6.00,7.00,7.50,6.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5169089,2.00,4.00,0.00,5.00,6.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5169097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5169100,6.00,6.00,4.00,7.00,7.00,8.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5169119,7.00,7.00,1.00,6.00,6.00,10.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5169127,6.00,7.00,6.00,7.00,9.00,7.50,5.00,0.00,8.00,NULL,NULL,NULL,'N'),(20,5169135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5169143,9.00,8.00,6.00,7.00,8.00,8.63,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5169151,7.00,5.00,1.00,7.00,4.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5169160,1.00,5.00,1.00,3.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5169178,4.00,4.00,0.00,5.00,7.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5169186,6.00,4.00,3.00,3.00,6.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5169194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5169208,7.00,6.00,2.00,3.00,5.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5169216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5169224,7.00,7.00,8.00,6.00,9.00,9.38,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5169240,9.00,7.00,4.00,6.00,10.00,9.38,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5169259,3.00,5.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5169291,8.00,7.00,2.00,7.00,9.00,10.13,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5169305,0.00,5.00,0.00,5.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5169313,5.00,5.00,4.00,6.00,9.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5169321,4.00,3.00,2.00,2.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5169330,7.00,7.00,5.00,7.00,9.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5169348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5169372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5169380,1.00,5.00,0.00,2.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5169399,7.00,0.00,6.00,7.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5169402,3.00,1.00,0.00,1.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5169410,2.00,5.00,0.00,6.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5169429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5169437,5.00,4.00,1.00,4.00,7.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5169453,6.00,5.00,5.00,5.00,9.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5169461,5.00,5.00,4.00,7.00,6.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5169470,2.00,3.00,1.00,2.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5169496,3.00,6.00,5.00,4.00,7.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5169518,5.00,7.00,3.00,7.00,6.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5169526,7.00,5.00,4.00,7.00,8.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5169542,8.00,7.00,7.00,7.00,10.00,8.25,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5169569,5.00,7.00,4.00,5.00,5.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5169577,8.00,5.00,8.00,7.00,10.00,9.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5169585,7.00,7.00,1.00,7.00,8.00,10.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5169593,7.00,6.00,6.00,7.00,6.00,7.88,6.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5169607,5.00,6.00,0.00,5.00,5.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5169615,3.00,6.00,2.00,7.00,7.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5169623,1.00,3.00,2.00,1.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5169631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5169640,3.00,7.00,5.00,7.00,8.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5169658,8.00,7.00,3.00,7.00,10.00,11.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5169666,5.00,4.00,3.00,2.00,7.00,8.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5169674,6.00,7.00,4.00,2.00,5.00,10.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5169682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5169690,3.00,0.00,3.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5169704,4.00,4.00,0.00,5.00,7.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5169720,3.00,4.00,1.00,7.00,7.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5169739,6.00,4.00,2.00,5.00,6.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5169747,6.00,8.00,2.00,6.00,10.00,15.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5169763,2.00,0.00,0.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5169771,5.00,7.00,1.00,7.00,7.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5169780,5.00,4.00,6.00,6.00,8.00,7.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5169798,8.00,8.00,6.00,7.00,9.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5169801,8.00,8.00,5.00,6.00,8.00,7.88,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5169810,3.00,4.00,0.00,2.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5169836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5169844,8.00,5.00,4.00,5.00,8.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5169852,7.00,3.00,3.00,7.00,7.00,11.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5169860,0.00,6.00,0.00,1.00,0.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5169879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5169887,4.00,4.00,0.00,0.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5169895,2.00,5.00,4.00,7.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5169909,3.00,2.00,0.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5169917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5169925,3.00,7.00,2.00,4.00,7.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5169968,4.00,8.00,0.00,5.00,7.00,11.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5169976,4.00,4.00,0.00,4.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5170001,4.00,6.00,3.00,4.00,5.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5170010,3.00,6.00,3.00,2.00,7.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5170044,4.00,6.00,1.00,3.00,6.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5170052,0.00,2.00,1.00,5.00,5.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5170060,6.00,3.00,0.00,5.00,4.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5170109,6.00,5.00,4.00,2.00,4.00,3.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5170125,3.00,5.00,1.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5170133,5.00,5.00,1.00,7.00,6.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5170141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5170150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5170168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5170176,5.00,4.00,1.00,1.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5170192,3.00,6.00,2.00,2.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5170206,3.00,5.00,1.00,4.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5170214,0.00,4.00,2.00,3.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5170230,5.00,6.00,4.00,2.00,5.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5170249,6.00,4.00,1.00,1.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5170257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5170265,4.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5170290,2.00,3.00,0.00,2.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5170311,7.00,5.00,1.00,6.00,8.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5170320,6.00,6.00,3.00,5.00,4.00,6.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5170338,1.00,3.00,1.00,2.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5170346,9.00,7.00,7.00,7.00,10.00,9.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5170362,3.00,4.00,2.00,4.00,5.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5170370,4.00,3.00,1.00,2.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5170389,1.00,1.00,1.00,1.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5170400,3.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5170419,5.00,5.00,2.00,7.00,7.00,8.63,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(20,5170427,4.00,6.00,1.00,5.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5170435,4.00,6.00,5.00,3.00,5.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5170451,7.00,8.00,0.00,6.00,7.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5170460,3.00,5.00,0.00,6.00,5.00,6.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5170478,5.00,5.00,2.00,4.00,7.00,11.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5170486,9.00,7.00,2.00,7.00,9.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5170494,6.00,9.00,1.00,5.00,7.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5170559,4.00,5.00,3.00,6.00,6.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5170575,3.00,4.00,0.00,4.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5170583,3.00,5.00,4.00,2.00,5.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5170630,5.00,3.00,0.00,2.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5170664,7.00,6.00,2.00,5.00,9.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5170702,9.00,7.00,5.00,5.00,9.00,9.00,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5170710,8.00,5.00,4.00,7.00,10.00,9.38,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5170729,5.00,4.00,4.00,4.00,4.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5170737,8.00,7.00,2.00,5.00,8.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5170745,4.00,6.00,6.00,4.00,4.00,7.50,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5170761,2.00,5.00,0.00,5.00,4.00,8.63,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5170770,4.00,6.00,4.00,5.00,5.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5170788,9.00,8.00,8.00,7.00,7.00,9.38,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5170800,4.00,6.00,5.00,4.00,6.00,7.50,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5170818,9.00,8.00,3.00,8.00,10.00,9.75,8.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5170826,4.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5170834,7.00,7.00,3.00,7.00,8.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5170842,8.00,6.00,4.00,6.00,9.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5170850,6.00,5.00,4.00,8.00,9.00,9.38,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5170869,7.00,5.00,1.00,5.00,8.00,6.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5170877,5.00,4.00,2.00,7.00,7.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5170885,7.00,7.00,4.00,6.00,7.00,8.25,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5170907,9.00,7.00,7.00,7.00,8.00,7.88,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5170966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5170974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5170982,4.00,4.00,2.00,4.00,5.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5171008,5.00,6.00,4.00,4.00,8.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5171016,3.00,6.00,2.00,4.00,6.00,7.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5171024,4.00,3.00,2.00,5.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5171032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5171040,7.00,7.00,4.00,7.00,8.00,10.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5171059,6.00,4.00,1.00,6.00,9.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5171067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5171075,9.00,7.00,9.00,6.00,10.00,12.00,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5171091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5171121,8.00,8.00,5.00,6.00,9.00,10.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5171130,8.00,6.00,2.00,4.00,4.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5171164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5171172,8.00,8.00,2.00,6.00,9.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5171180,8.00,7.00,1.00,7.00,8.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5171199,6.00,5.00,3.00,3.00,7.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5171202,5.00,4.00,0.00,3.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5171210,6.00,7.00,0.00,3.00,8.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5171229,5.00,5.00,1.00,2.00,7.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5171237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5171245,4.00,4.00,3.00,3.00,5.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5171253,2.00,0.00,3.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5171270,5.00,4.00,5.00,3.00,6.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5171288,3.00,3.00,1.00,7.00,4.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5171296,5.00,4.00,1.00,5.00,5.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5171300,7.00,7.00,3.00,6.00,8.00,6.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5171326,7.00,7.00,3.00,6.00,10.00,10.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5171342,5.00,7.00,0.00,6.00,6.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5171350,1.00,6.00,3.00,3.00,4.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(20,5171369,3.00,5.00,0.00,5.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5171377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5171407,3.00,5.00,3.00,2.00,4.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5171415,4.00,4.00,3.00,2.00,6.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5171431,6.00,3.00,4.00,5.00,7.00,7.88,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5171440,4.00,4.00,1.00,2.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5171458,7.00,7.00,7.00,5.00,9.00,7.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5171482,2.00,2.00,0.00,4.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5171490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5171504,4.00,6.00,3.00,2.00,8.00,8.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5171520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5171555,3.00,2.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5171580,4.00,5.00,1.00,4.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5171610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5171628,7.00,7.00,1.00,5.00,7.00,6.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5171636,7.00,6.00,5.00,7.00,5.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5171644,8.00,5.00,2.00,6.00,7.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5171652,6.00,8.00,2.00,6.00,7.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5171660,7.00,6.00,1.00,5.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5171679,6.00,6.00,5.00,3.00,6.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5171695,5.00,5.00,2.00,6.00,4.00,7.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5171709,5.00,5.00,1.00,3.00,7.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5171725,2.00,5.00,1.00,8.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5171750,3.00,6.00,2.00,7.00,6.00,8.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5171768,3.00,3.00,2.00,6.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5171784,3.00,3.00,1.00,6.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5171792,0.00,5.00,1.00,7.00,6.00,9.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5171806,3.00,6.00,5.00,7.00,5.00,8.63,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5171822,7.00,7.00,0.00,6.00,7.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5171830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5171857,8.00,7.00,8.00,7.00,10.00,7.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5171865,6.00,7.00,0.00,5.00,8.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5171873,3.00,4.00,1.00,0.00,7.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5171881,5.00,5.00,1.00,4.00,7.00,10.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5171938,8.00,8.00,1.00,7.00,9.00,10.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5171954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5171970,4.00,5.00,0.00,4.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5171997,3.00,7.00,2.00,6.00,7.00,6.00,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5172004,3.00,5.00,1.00,4.00,7.00,10.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5172012,4.00,6.00,0.00,3.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5172020,8.00,7.00,0.00,2.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5172039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5172071,7.00,7.00,1.00,6.00,8.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5172080,2.00,2.00,2.00,5.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5172101,9.00,8.00,2.00,6.00,9.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5172110,4.00,4.00,1.00,4.00,7.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5172128,4.00,6.00,2.00,5.00,5.00,8.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5172152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5172160,3.00,7.00,3.00,1.00,5.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5172179,2.00,3.00,3.00,6.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5172187,7.00,6.00,0.00,7.00,6.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5172209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5172217,4.00,3.00,3.00,5.00,6.00,10.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5172225,6.00,6.00,3.00,7.00,9.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5172233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5172241,2.00,6.00,2.00,5.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5172250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5172268,7.00,6.00,4.00,6.00,8.00,10.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5172276,9.00,7.00,6.00,7.00,10.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5172306,8.00,5.00,2.00,4.00,6.00,7.13,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5172314,7.00,5.00,0.00,5.00,5.00,8.25,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5172322,5.00,4.00,1.00,6.00,5.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5172330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5172349,5.00,6.00,0.00,7.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5172365,7.00,6.00,6.00,8.00,7.00,6.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5172373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5172381,2.00,6.00,0.00,4.00,6.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5172403,7.00,6.00,3.00,7.00,8.00,11.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5172411,7.00,8.00,6.00,7.00,8.00,11.25,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5172420,1.00,3.00,0.00,1.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5172438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5172462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5172470,6.00,8.00,2.00,6.00,7.00,7.88,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5172497,1.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5172500,5.00,3.00,0.00,6.00,6.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5172519,4.00,4.00,2.00,4.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5172527,2.00,3.00,1.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5172551,3.00,4.00,1.00,1.00,2.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5172560,6.00,6.00,2.00,6.00,7.00,12.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5172578,6.00,4.00,5.00,7.00,9.00,9.38,5.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5172586,5.00,6.00,4.00,5.00,4.00,7.88,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5172594,4.00,5.00,2.00,4.00,6.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5172608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5172624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5172632,3.00,3.00,1.00,3.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5172640,0.00,0.00,0.00,1.00,0.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5172659,5.00,4.00,2.00,7.00,3.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5172667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5172675,2.00,6.00,3.00,0.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5172691,5.00,3.00,2.00,6.00,6.00,10.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5172705,8.00,4.00,1.00,8.00,7.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5172721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5172730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5172748,1.00,5.00,2.00,7.00,4.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5172756,3.00,3.00,0.00,2.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5172764,4.00,7.00,3.00,5.00,8.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5172780,5.00,4.00,0.00,3.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5172802,2.00,4.00,1.00,2.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5172810,4.00,5.00,0.00,4.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5172845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5172861,5.00,5.00,2.00,5.00,9.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5172870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5172896,3.00,5.00,2.00,5.00,6.00,12.75,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5172900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5172926,6.00,6.00,4.00,5.00,10.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5172934,4.00,4.00,1.00,4.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5172950,2.00,5.00,0.00,5.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5172969,6.00,8.00,3.00,8.00,7.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5172993,7.00,7.00,2.00,4.00,10.00,10.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5173000,4.00,5.00,0.00,5.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5173019,8.00,3.00,4.00,7.00,7.00,7.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5173027,3.00,2.00,3.00,6.00,6.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5173060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5173086,3.00,2.00,0.00,1.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5173094,5.00,3.00,2.00,5.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5173108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5173116,1.00,2.00,0.00,2.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5173124,4.00,6.00,3.00,2.00,6.00,4.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5173132,6.00,6.00,4.00,3.00,9.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5173140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5173167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5173175,5.00,7.00,4.00,3.00,6.00,NULL,2.00,3.00,5.00,NULL,NULL,'S','N'),(20,5173183,7.00,7.00,1.00,5.00,7.00,7.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5173191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5173213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5173221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5173248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5173256,9.00,7.00,3.00,7.00,10.00,9.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5173299,3.00,4.00,1.00,5.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5173310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5173337,8.00,7.00,7.00,7.00,9.00,10.88,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5173361,7.00,6.00,1.00,7.00,7.00,7.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(20,5173370,6.00,7.00,5.00,5.00,9.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5173400,6.00,4.00,1.00,7.00,6.00,7.50,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5173426,8.00,5.00,8.00,5.00,6.00,8.63,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5173434,2.00,4.00,0.00,1.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5173442,4.00,5.00,2.00,1.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5173469,9.00,7.00,6.00,7.00,9.00,8.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5173485,7.00,8.00,3.00,8.00,6.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5173515,3.00,5.00,0.00,3.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5173531,5.00,5.00,4.00,6.00,8.00,8.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5173574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5173582,4.00,6.00,4.00,6.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5173620,4.00,5.00,4.00,6.00,4.00,6.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5173647,8.00,5.00,1.00,7.00,8.00,9.00,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5173663,5.00,6.00,0.00,5.00,5.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5173671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5173680,5.00,5.00,1.00,4.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5173698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5173701,8.00,5.00,4.00,6.00,6.00,8.63,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5173710,2.00,4.00,2.00,2.00,8.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5173728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5173736,7.00,3.00,3.00,5.00,5.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5173744,6.00,7.00,4.00,1.00,7.00,7.13,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5173752,3.00,5.00,2.00,5.00,6.00,6.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5173760,9.00,7.00,5.00,7.00,9.00,11.25,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5173787,7.00,7.00,2.00,5.00,7.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5173795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5173809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5173817,3.00,6.00,4.00,6.00,5.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5173833,3.00,0.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5173850,1.00,3.00,4.00,4.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5173892,3.00,4.00,1.00,4.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5173906,4.00,3.00,2.00,3.00,4.00,6.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5173949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5173957,3.00,7.00,3.00,7.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5173981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5173990,6.00,7.00,4.00,4.00,6.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5174007,9.00,7.00,6.00,7.00,9.00,10.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5174023,6.00,3.00,4.00,3.00,5.00,7.88,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5174031,7.00,6.00,2.00,6.00,9.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5174040,8.00,8.00,6.00,6.00,8.00,8.25,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5174058,3.00,4.00,2.00,5.00,7.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5174074,5.00,5.00,3.00,6.00,8.00,9.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5174090,4.00,6.00,1.00,7.00,9.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5174112,6.00,6.00,1.00,6.00,6.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5174120,6.00,5.00,5.00,5.00,7.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5174155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5174171,2.00,4.00,1.00,2.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5174198,1.00,6.00,1.00,2.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5174210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5174228,3.00,6.00,0.00,5.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5174236,0.00,5.00,2.00,3.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5174244,2.00,7.00,5.00,2.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5174287,5.00,6.00,2.00,6.00,7.00,8.63,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5174309,3.00,3.00,0.00,6.00,5.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5174317,8.00,6.00,5.00,7.00,10.00,7.13,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5174325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5174333,7.00,7.00,4.00,5.00,7.00,9.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5174341,3.00,6.00,0.00,4.00,3.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5174368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5174384,1.00,3.00,0.00,5.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5174392,4.00,4.00,2.00,0.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5174414,5.00,3.00,4.00,3.00,7.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5174422,4.00,5.00,4.00,3.00,3.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5174430,3.00,5.00,2.00,6.00,6.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5174457,4.00,3.00,3.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5174473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5174503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5174520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5174538,6.00,7.00,1.00,6.00,8.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5174554,6.00,6.00,1.00,4.00,7.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5174562,8.00,4.00,3.00,6.00,6.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5174589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5174597,7.00,5.00,2.00,8.00,7.00,9.38,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5174600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5174619,7.00,6.00,3.00,7.00,8.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5174635,6.00,3.00,1.00,3.00,7.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5174643,9.00,7.00,5.00,7.00,6.00,9.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5174651,6.00,5.00,2.00,6.00,6.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5174660,1.00,3.00,1.00,6.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5174678,8.00,7.00,1.00,4.00,8.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5174686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5174708,7.00,6.00,2.00,5.00,2.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5174716,9.00,7.00,5.00,7.00,10.00,10.88,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5174724,5.00,6.00,3.00,4.00,6.00,NULL,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5174732,5.00,6.00,3.00,4.00,4.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5174740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5174759,4.00,7.00,1.00,3.00,4.00,6.75,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5174767,5.00,6.00,2.00,5.00,5.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5174775,3.00,3.00,3.00,1.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5174805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5174813,3.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(20,5174821,6.00,5.00,1.00,6.00,6.00,4.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5174856,6.00,6.00,0.00,6.00,6.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5174864,6.00,7.00,3.00,7.00,8.00,9.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5174872,0.00,4.00,1.00,3.00,1.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5174899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5174902,3.00,5.00,2.00,2.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5174910,4.00,4.00,2.00,4.00,5.00,5.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5174945,5.00,6.00,1.00,7.00,9.00,9.38,5.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5174953,6.00,5.00,2.00,4.00,5.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5174961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5174970,1.00,0.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5174996,4.00,5.00,1.00,4.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5175003,2.00,8.00,1.00,6.00,7.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5175011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5175020,1.00,3.00,0.00,2.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5175038,7.00,5.00,1.00,5.00,6.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5175046,5.00,6.00,3.00,8.00,9.00,9.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5175062,5.00,6.00,0.00,4.00,6.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5175070,6.00,5.00,2.00,4.00,7.00,12.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5175089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5175097,3.00,6.00,1.00,4.00,6.00,11.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5175100,7.00,5.00,4.00,4.00,9.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5175119,7.00,7.00,2.00,6.00,6.00,8.63,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5175143,6.00,7.00,3.00,7.00,7.00,9.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5175151,6.00,4.00,4.00,5.00,5.00,9.38,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5175160,1.00,1.00,1.00,2.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5175178,6.00,4.00,1.00,6.00,5.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5175186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5175194,8.00,3.00,4.00,7.00,7.00,6.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5175208,3.00,2.00,1.00,3.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5175216,5.00,5.00,1.00,4.00,3.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'S'),(20,5175240,9.00,6.00,6.00,7.00,8.00,10.50,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5175259,2.00,8.00,3.00,6.00,7.00,9.38,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(20,5175283,7.00,7.00,3.00,7.00,10.00,10.88,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5175291,5.00,5.00,7.00,7.00,8.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5175305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5175313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5175330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5175356,9.00,8.00,5.00,8.00,11.00,10.13,8.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5175364,4.00,4.00,0.00,4.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5175372,6.00,7.00,5.00,7.00,10.00,12.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5175380,5.00,5.00,1.00,6.00,5.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5175399,7.00,8.00,8.00,7.00,10.00,9.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5175402,6.00,6.00,1.00,3.00,8.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5175410,8.00,7.00,6.00,7.00,10.00,9.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5175437,4.00,4.00,1.00,2.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5175445,6.00,4.00,5.00,6.00,7.00,6.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5175470,3.00,5.00,2.00,0.00,5.00,NULL,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5175488,3.00,3.00,0.00,4.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5175496,8.00,6.00,1.00,6.00,7.00,7.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5175500,5.00,6.00,1.00,7.00,7.00,6.75,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5175526,5.00,8.00,1.00,7.00,5.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5175534,5.00,6.00,1.00,1.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5175542,3.00,2.00,0.00,3.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5175550,6.00,7.00,2.00,6.00,10.00,10.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5175569,8.00,7.00,2.00,6.00,8.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5175577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5175585,8.00,5.00,2.00,3.00,8.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5175593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5175607,6.00,4.00,1.00,6.00,8.00,9.00,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5175623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5175631,5.00,4.00,3.00,3.00,6.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5175640,7.00,6.00,0.00,5.00,6.00,4.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5175658,4.00,6.00,1.00,3.00,6.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5175666,2.00,3.00,0.00,3.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5175682,2.00,6.00,4.00,4.00,2.00,NULL,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5175690,6.00,5.00,0.00,5.00,6.00,7.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5175704,5.00,4.00,1.00,4.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,'S','S'),(20,5175739,3.00,4.00,4.00,1.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5175747,3.00,3.00,0.00,4.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5175763,5.00,7.00,1.00,4.00,4.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5175771,4.00,5.00,2.00,2.00,7.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5175801,3.00,3.00,0.00,4.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5175810,8.00,7.00,3.00,6.00,8.00,8.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5175828,4.00,7.00,0.00,4.00,5.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5175836,3.00,3.00,1.00,4.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5175844,2.00,3.00,3.00,3.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5175852,3.00,5.00,2.00,5.00,7.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5175860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5175879,4.00,6.00,2.00,1.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5175887,4.00,6.00,1.00,6.00,6.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5175895,4.00,1.00,1.00,3.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5175925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5175941,4.00,5.00,2.00,4.00,7.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5175950,9.00,7.00,8.00,8.00,9.00,12.38,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5175968,6.00,6.00,2.00,6.00,9.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5175984,5.00,5.00,2.00,7.00,6.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5176000,7.00,5.00,1.00,4.00,8.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5176018,3.00,5.00,1.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5176026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5176034,4.00,4.00,0.00,3.00,0.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5176042,6.00,5.00,6.00,5.00,5.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5176077,3.00,5.00,2.00,7.00,4.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5176085,4.00,6.00,3.00,5.00,6.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5176107,4.00,8.00,2.00,5.00,7.00,9.38,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5176115,8.00,7.00,2.00,5.00,8.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5176123,2.00,6.00,4.00,5.00,5.00,9.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5176131,0.00,2.00,1.00,4.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5176140,7.00,7.00,4.00,5.00,7.00,9.00,3.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5176166,9.00,8.00,3.00,6.00,10.00,12.38,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5176174,7.00,6.00,2.00,4.00,7.00,8.63,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5176182,8.00,7.00,5.00,6.00,9.00,9.38,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5176212,4.00,6.00,0.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5176220,4.00,7.00,3.00,1.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5176247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5176255,4.00,8.00,1.00,5.00,3.00,NULL,0.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5176263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5176271,4.00,5.00,2.00,3.00,6.00,10.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5176280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5176298,1.00,2.00,1.00,2.00,4.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5176328,3.00,6.00,2.00,4.00,6.00,9.38,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5176336,5.00,5.00,3.00,6.00,4.00,8.25,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5176344,8.00,7.00,4.00,3.00,8.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5176360,1.00,6.00,0.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5176379,5.00,5.00,1.00,7.00,8.00,11.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5176387,8.00,4.00,0.00,7.00,7.00,7.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5176395,5.00,5.00,0.00,3.00,4.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5176409,5.00,6.00,8.00,7.00,6.00,9.38,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5176417,4.00,4.00,4.00,4.00,5.00,6.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5176425,3.00,7.00,4.00,5.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5176450,5.00,4.00,2.00,5.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5176468,2.00,7.00,3.00,5.00,6.00,0.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5176476,8.00,6.00,4.00,7.00,10.00,7.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5176484,5.00,8.00,5.00,7.00,6.00,9.38,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5176492,8.00,5.00,0.00,7.00,9.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5176514,4.00,5.00,0.00,4.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5176522,8.00,6.00,0.00,4.00,7.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5176530,3.00,7.00,4.00,3.00,6.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5176549,4.00,6.00,0.00,4.00,6.00,7.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5176557,5.00,4.00,3.00,6.00,5.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5176565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5176573,4.00,5.00,0.00,4.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5176581,5.00,5.00,0.00,7.00,8.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5176590,3.00,4.00,3.00,4.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5176603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5176611,1.00,3.00,2.00,2.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5176620,6.00,7.00,2.00,7.00,9.00,8.25,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5176638,4.00,5.00,1.00,5.00,3.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5176646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5176654,9.00,6.00,7.00,7.00,9.00,9.38,7.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5176662,8.00,6.00,1.00,7.00,10.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5176670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5176697,8.00,6.00,5.00,5.00,7.00,7.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5176700,8.00,7.00,6.00,6.00,10.00,7.13,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5176735,0.00,6.00,2.00,2.00,3.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5176751,3.00,6.00,1.00,5.00,6.00,7.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5176760,9.00,7.00,5.00,7.00,11.00,9.75,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5176786,2.00,7.00,3.00,3.00,10.00,6.75,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5176794,3.00,3.00,0.00,2.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5176808,2.00,3.00,2.00,4.00,9.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5176824,4.00,7.00,1.00,6.00,8.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5176832,5.00,5.00,2.00,4.00,5.00,8.63,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5176840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5176859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5176867,7.00,5.00,1.00,4.00,8.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5176875,4.00,7.00,0.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5176883,3.00,6.00,1.00,5.00,7.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5176891,2.00,3.00,0.00,3.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5176905,3.00,6.00,0.00,3.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5176921,8.00,7.00,5.00,7.00,9.00,11.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5176930,3.00,7.00,1.00,5.00,6.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5176956,8.00,5.00,4.00,6.00,6.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5176972,6.00,7.00,0.00,6.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5176980,5.00,6.00,2.00,7.00,7.00,12.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5176999,9.00,9.00,2.00,7.00,7.00,10.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5177014,7.00,6.00,0.00,3.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5177030,6.00,8.00,3.00,7.00,9.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5177049,3.00,3.00,2.00,6.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5177057,4.00,3.00,3.00,4.00,5.00,7.88,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5177065,4.00,3.00,1.00,3.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5177073,4.00,3.00,4.00,5.00,4.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5177081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5177103,2.00,7.00,3.00,6.00,4.00,6.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5177111,8.00,6.00,6.00,7.00,6.00,8.25,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5177120,0.00,5.00,0.00,7.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5177138,7.00,4.00,2.00,6.00,5.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5177146,3.00,5.00,2.00,6.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5177154,8.00,8.00,4.00,7.00,10.00,10.88,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5177162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5177170,6.00,8.00,6.00,4.00,9.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5177189,5.00,5.00,1.00,7.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5177197,4.00,6.00,2.00,3.00,7.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5177200,2.00,3.00,1.00,3.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5177219,6.00,6.00,4.00,5.00,8.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5177227,9.00,6.00,5.00,6.00,7.00,10.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5177243,5.00,5.00,4.00,6.00,7.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5177251,4.00,4.00,2.00,6.00,8.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5177260,8.00,6.00,3.00,7.00,9.00,10.50,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(20,5177278,7.00,6.00,0.00,6.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5177286,5.00,7.00,2.00,5.00,8.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5177308,4.00,5.00,0.00,1.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5177316,5.00,5.00,2.00,4.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5177324,4.00,2.00,1.00,3.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5177332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5177340,2.00,6.00,3.00,8.00,9.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5177359,3.00,7.00,2.00,5.00,7.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5177367,3.00,6.00,2.00,4.00,8.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5177375,4.00,6.00,2.00,5.00,4.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5177383,8.00,7.00,4.00,5.00,8.00,10.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5177391,6.00,6.00,2.00,6.00,9.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5177413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5177421,3.00,0.00,2.00,1.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5177430,6.00,6.00,1.00,7.00,9.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5177472,2.00,4.00,1.00,5.00,4.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5177480,3.00,6.00,3.00,6.00,6.00,7.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5177499,3.00,5.00,0.00,5.00,6.00,7.88,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5177510,9.00,5.00,1.00,7.00,9.00,10.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5177537,5.00,7.00,2.00,7.00,5.00,10.88,4.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5177545,6.00,3.00,3.00,4.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5177553,3.00,4.00,3.00,5.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5177570,6.00,4.00,3.00,5.00,5.00,7.88,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5177588,0.00,5.00,0.00,4.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5177596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5177600,9.00,7.00,2.00,6.00,9.00,10.13,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5177626,4.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5177634,6.00,8.00,1.00,6.00,6.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5177642,8.00,7.00,7.00,5.00,9.00,9.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5177650,6.00,6.00,0.00,7.00,7.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5177669,9.00,6.00,1.00,6.00,7.00,8.25,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5177677,8.00,6.00,2.00,6.00,5.00,8.63,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5177685,5.00,7.00,1.00,5.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5177693,2.00,4.00,2.00,5.00,6.00,10.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5177715,2.00,5.00,4.00,3.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5177723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5177731,8.00,5.00,7.00,7.00,8.00,9.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5177740,4.00,4.00,2.00,4.00,6.00,8.25,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5177758,3.00,4.00,2.00,5.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5177774,7.00,6.00,1.00,7.00,8.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5177790,4.00,6.00,2.00,5.00,7.00,7.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5177804,6.00,6.00,1.00,3.00,8.00,8.63,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5177812,6.00,6.00,3.00,7.00,6.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5177820,6.00,6.00,0.00,7.00,5.00,10.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5177839,3.00,3.00,0.00,1.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5177847,3.00,4.00,2.00,5.00,5.00,7.13,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5177855,4.00,5.00,0.00,5.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5177871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5177880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5177898,4.00,7.00,6.00,7.00,6.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5177910,8.00,7.00,5.00,7.00,9.00,7.13,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5177928,7.00,5.00,3.00,6.00,5.00,4.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5177936,6.00,5.00,1.00,5.00,7.00,10.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5177944,4.00,5.00,1.00,6.00,5.00,8.25,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5177952,6.00,4.00,2.00,4.00,5.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5177960,9.00,6.00,2.00,7.00,9.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5177987,5.00,4.00,4.00,8.00,9.00,9.38,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5178002,8.00,7.00,4.00,7.00,8.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5178010,8.00,6.00,5.00,8.00,6.00,8.63,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5178029,3.00,6.00,0.00,6.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5178037,5.00,6.00,0.00,5.00,7.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5178045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5178061,4.00,7.00,5.00,4.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5178070,5.00,7.00,3.00,6.00,9.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5178088,7.00,7.00,5.00,7.00,10.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5178096,2.00,5.00,2.00,2.00,0.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5178100,2.00,3.00,4.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5178118,3.00,0.00,1.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5178142,3.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5178150,4.00,4.00,4.00,6.00,5.00,6.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5178169,3.00,5.00,1.00,1.00,6.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5178185,7.00,7.00,4.00,5.00,6.00,9.75,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5178193,5.00,7.00,5.00,7.00,8.00,7.13,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5178207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5178223,1.00,5.00,2.00,2.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5178240,7.00,6.00,6.00,7.00,6.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5178258,4.00,3.00,2.00,6.00,6.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5178266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5178282,6.00,4.00,1.00,5.00,5.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5178304,2.00,3.00,1.00,0.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,'S','N'),(20,5178312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5178339,6.00,6.00,2.00,5.00,10.00,6.38,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5178347,6.00,5.00,2.00,7.00,7.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5178355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5178363,5.00,8.00,2.00,3.00,7.00,9.38,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5178371,7.00,5.00,3.00,8.00,9.00,9.00,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5178398,4.00,5.00,1.00,6.00,6.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5178401,7.00,7.00,6.00,7.00,9.00,12.38,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5178410,6.00,5.00,4.00,7.00,7.00,7.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5178436,5.00,6.00,1.00,6.00,9.00,9.00,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5178444,6.00,6.00,2.00,4.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,'S','N'),(20,5178452,2.00,5.00,3.00,5.00,5.00,10.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5178460,8.00,8.00,6.00,7.00,10.00,7.13,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5178479,7.00,7.00,4.00,4.00,6.00,7.50,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5178487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5178495,3.00,5.00,1.00,6.00,5.00,9.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5178509,4.00,6.00,1.00,6.00,5.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5178517,3.00,1.00,1.00,3.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5178525,9.00,7.00,5.00,7.00,7.00,6.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5178533,1.00,6.00,0.00,3.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5178568,8.00,7.00,5.00,7.00,9.00,9.00,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5178576,7.00,7.00,4.00,5.00,6.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5178584,3.00,3.00,2.00,3.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5178592,2.00,5.00,3.00,4.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5178606,4.00,4.00,4.00,5.00,7.00,7.88,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5178614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5178622,5.00,5.00,2.00,4.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5178630,2.00,4.00,0.00,3.00,1.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5178649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5178657,6.00,6.00,7.00,6.00,6.00,8.25,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5178681,5.00,6.00,0.00,6.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5178690,8.00,6.00,3.00,4.00,6.00,9.38,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5178703,4.00,2.00,1.00,2.00,7.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5178711,5.00,8.00,2.00,7.00,5.00,7.88,4.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5178720,3.00,7.00,4.00,3.00,5.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5178746,3.00,0.00,4.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'S'),(20,5178754,4.00,3.00,2.00,3.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5178762,4.00,2.00,0.00,4.00,6.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5178789,6.00,4.00,2.00,7.00,8.00,9.75,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5178797,4.00,4.00,1.00,5.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5178800,7.00,6.00,4.00,5.00,9.00,11.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5178827,7.00,8.00,6.00,8.00,9.00,7.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5178835,6.00,8.00,4.00,5.00,8.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5178843,5.00,8.00,1.00,5.00,8.00,10.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5178851,7.00,5.00,3.00,2.00,7.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5178860,2.00,3.00,3.00,6.00,7.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5178878,7.00,6.00,6.00,7.00,10.00,11.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5178886,4.00,6.00,2.00,3.00,6.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5178916,3.00,6.00,9.00,7.00,8.00,10.13,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5178924,4.00,3.00,3.00,5.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5178932,9.00,8.00,4.00,7.00,9.00,14.25,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5178967,6.00,5.00,0.00,7.00,9.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5178975,8.00,7.00,4.00,7.00,8.00,11.63,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5178983,3.00,7.00,4.00,5.00,8.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5178991,3.00,3.00,1.00,4.00,5.00,NULL,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5179009,4.00,7.00,3.00,6.00,4.00,7.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5179017,4.00,6.00,3.00,6.00,6.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5179050,3.00,3.00,1.00,2.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5179068,8.00,7.00,5.00,5.00,6.00,7.50,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5179084,7.00,6.00,3.00,7.00,8.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5179092,5.00,5.00,1.00,3.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5179106,5.00,5.00,1.00,4.00,3.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5179114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5179122,3.00,8.00,2.00,4.00,4.00,6.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5179130,1.00,4.00,2.00,1.00,6.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5179149,1.00,6.00,3.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5179157,4.00,6.00,0.00,6.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5179165,6.00,5.00,5.00,7.00,7.00,11.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5179173,6.00,8.00,1.00,5.00,5.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5179203,6.00,6.00,2.00,7.00,8.00,6.75,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5179211,4.00,5.00,1.00,7.00,4.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5179220,4.00,5.00,3.00,5.00,8.00,10.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5179238,2.00,5.00,0.00,5.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5179246,6.00,5.00,3.00,5.00,4.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5179254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5179262,2.00,4.00,1.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5179270,4.00,5.00,0.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5179297,6.00,4.00,4.00,5.00,7.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5179300,5.00,5.00,4.00,7.00,5.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5179319,7.00,7.00,3.00,7.00,10.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5179327,5.00,6.00,0.00,5.00,5.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5179335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5179351,7.00,7.00,3.00,6.00,8.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5179360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5179378,5.00,6.00,0.00,4.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5179386,5.00,5.00,5.00,2.00,6.00,6.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5179394,8.00,6.00,5.00,7.00,11.00,10.13,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5179408,4.00,3.00,4.00,4.00,5.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5179416,5.00,7.00,3.00,5.00,9.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5179424,6.00,6.00,1.00,5.00,6.00,8.63,3.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5179432,6.00,7.00,5.00,7.00,9.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5179440,7.00,7.00,6.00,7.00,8.00,9.38,7.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5179459,6.00,6.00,3.00,8.00,8.00,7.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5179475,3.00,3.00,2.00,2.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5179491,3.00,7.00,1.00,5.00,4.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5179505,4.00,7.00,3.00,7.00,4.00,9.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5179513,5.00,8.00,2.00,5.00,8.00,10.50,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5179530,6.00,5.00,1.00,7.00,8.00,9.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5179548,1.00,3.00,1.00,3.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5179556,5.00,3.00,3.00,5.00,6.00,6.75,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5179564,5.00,5.00,1.00,5.00,6.00,7.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5179572,1.00,4.00,0.00,4.00,6.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5179599,6.00,6.00,2.00,6.00,7.00,9.38,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5179602,5.00,7.00,2.00,5.00,8.00,11.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5179610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5179629,9.00,7.00,5.00,7.00,9.00,7.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5179645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5179653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5179670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5179688,5.00,4.00,4.00,4.00,1.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5179700,8.00,6.00,2.00,6.00,8.00,7.88,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5179718,5.00,6.00,2.00,7.00,5.00,9.75,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5179726,2.00,2.00,0.00,4.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5179750,5.00,5.00,0.00,5.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5179769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5179785,1.00,4.00,0.00,3.00,6.00,NULL,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5179793,5.00,7.00,4.00,6.00,7.00,8.25,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5179807,5.00,3.00,2.00,5.00,8.00,8.63,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5179815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5179823,1.00,4.00,5.00,5.00,8.00,12.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5179831,4.00,3.00,1.00,6.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5179840,7.00,7.00,2.00,7.00,7.00,10.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5179866,0.00,3.00,2.00,4.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5179882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5179890,5.00,8.00,5.00,4.00,4.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5179904,3.00,5.00,0.00,5.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5179912,6.00,7.00,2.00,2.00,5.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5179920,7.00,7.00,0.00,6.00,6.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5179939,5.00,4.00,1.00,4.00,8.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5179947,4.00,5.00,1.00,2.00,1.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5179955,3.00,6.00,3.00,2.00,6.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5179963,5.00,5.00,3.00,7.00,8.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5179971,6.00,5.00,1.00,7.00,6.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5179980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5180007,5.00,4.00,2.00,5.00,4.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5180015,3.00,4.00,2.00,5.00,5.00,NULL,4.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5180023,6.00,7.00,2.00,6.00,6.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5180031,7.00,7.00,5.00,5.00,6.00,7.13,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5180040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5180066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5180082,6.00,6.00,4.00,5.00,7.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5180090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5180104,9.00,6.00,0.00,6.00,9.00,9.75,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5180112,3.00,5.00,1.00,2.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5180120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5180155,5.00,7.00,2.00,5.00,10.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(20,5180163,2.00,1.00,0.00,4.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5180171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5180180,6.00,4.00,1.00,4.00,5.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5180201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5180228,9.00,6.00,4.00,6.00,9.00,10.13,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5180260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5180287,3.00,7.00,4.00,4.00,6.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5180295,6.00,7.00,1.00,7.00,10.00,12.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5180309,2.00,5.00,0.00,4.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5180317,4.00,4.00,2.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5180325,7.00,8.00,3.00,7.00,6.00,7.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5180333,2.00,6.00,0.00,5.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5180341,3.00,7.00,4.00,4.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5180376,2.00,4.00,1.00,3.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5180384,7.00,7.00,2.00,6.00,8.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5180392,4.00,7.00,4.00,4.00,5.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5180414,8.00,7.00,6.00,3.00,7.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5180422,1.00,5.00,2.00,4.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5180465,6.00,6.00,4.00,5.00,6.00,9.38,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5180481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5180503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5180538,6.00,6.00,2.00,4.00,6.00,8.25,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5180554,7.00,5.00,3.00,5.00,8.00,6.75,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5180562,4.00,6.00,0.00,4.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5180597,5.00,7.00,4.00,2.00,5.00,9.38,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5180619,2.00,5.00,0.00,3.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5180627,6.00,7.00,1.00,4.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5180635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5180643,1.00,3.00,5.00,0.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5180651,3.00,5.00,2.00,7.00,8.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5180660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5180678,5.00,5.00,1.00,4.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5180686,2.00,4.00,0.00,6.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5180694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5180708,2.00,4.00,3.00,3.00,7.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5180716,3.00,5.00,2.00,6.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5180724,6.00,6.00,1.00,6.00,7.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'S'),(20,5180759,7.00,6.00,1.00,6.00,9.00,9.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5180767,2.00,5.00,0.00,3.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5180783,7.00,8.00,3.00,7.00,8.00,7.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5180813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5180821,7.00,5.00,2.00,6.00,10.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5180830,8.00,5.00,5.00,5.00,7.00,6.38,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5180899,9.00,7.00,4.00,7.00,6.00,9.75,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5180902,6.00,4.00,3.00,5.00,6.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5180929,5.00,0.00,3.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5180937,3.00,4.00,0.00,5.00,7.00,9.00,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5180961,8.00,6.00,1.00,4.00,9.00,10.50,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5180970,6.00,6.00,4.00,6.00,5.00,10.13,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5180996,5.00,8.00,2.00,7.00,6.00,7.88,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5181003,3.00,0.00,2.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(20,5181020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5181046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5181062,9.00,6.00,7.00,6.00,11.00,8.25,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5181070,5.00,5.00,2.00,5.00,5.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5181089,8.00,8.00,1.00,5.00,7.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5181100,5.00,6.00,2.00,4.00,5.00,8.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5181119,3.00,5.00,0.00,5.00,3.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5181127,8.00,6.00,2.00,6.00,8.00,10.13,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5181135,5.00,4.00,0.00,4.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5181143,8.00,6.00,5.00,8.00,8.00,7.13,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5181160,5.00,4.00,3.00,7.00,4.00,9.75,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5181186,9.00,7.00,7.00,6.00,10.00,10.50,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5181194,4.00,5.00,0.00,2.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5181208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5181216,6.00,8.00,7.00,7.00,9.00,12.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5181224,1.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5181232,3.00,6.00,0.00,5.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5181240,5.00,4.00,3.00,2.00,6.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5181267,5.00,7.00,5.00,7.00,7.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5181275,1.00,4.00,0.00,3.00,5.00,NULL,2.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5181283,3.00,3.00,0.00,4.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5181291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5181305,5.00,4.00,1.00,5.00,6.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5181313,5.00,6.00,7.00,6.00,7.00,6.38,8.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5181330,4.00,6.00,4.00,0.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5181348,8.00,7.00,5.00,6.00,10.00,11.63,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5181356,5.00,6.00,2.00,6.00,7.00,8.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5181364,5.00,8.00,2.00,7.00,8.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5181372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5181380,8.00,8.00,7.00,7.00,9.00,11.63,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5181399,4.00,7.00,3.00,5.00,6.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5181402,9.00,7.00,3.00,8.00,7.00,9.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5181429,1.00,4.00,1.00,1.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5181437,1.00,6.00,1.00,3.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5181445,5.00,5.00,3.00,7.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5181453,5.00,5.00,2.00,3.00,1.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5181488,9.00,6.00,3.00,6.00,8.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5181496,4.00,4.00,3.00,4.00,4.00,6.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5181500,3.00,7.00,1.00,5.00,7.00,11.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5181518,2.00,6.00,0.00,3.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5181526,3.00,5.00,0.00,3.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5181534,6.00,8.00,2.00,3.00,5.00,9.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5181542,6.00,5.00,1.00,5.00,6.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5181550,7.00,6.00,5.00,7.00,7.00,8.63,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5181569,8.00,7.00,1.00,5.00,9.00,8.63,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5181593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5181607,2.00,3.00,1.00,5.00,4.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5181615,3.00,7.00,1.00,7.00,7.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5181623,8.00,3.00,1.00,2.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,'S','S'),(20,5181640,5.00,5.00,2.00,4.00,4.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5181658,2.00,3.00,0.00,1.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5181674,4.00,7.00,3.00,6.00,7.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'S'),(20,5181682,7.00,5.00,3.00,7.00,8.00,10.88,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5181690,4.00,3.00,1.00,0.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5181704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5181712,4.00,6.00,0.00,1.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5181739,9.00,8.00,3.00,5.00,11.00,10.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5181747,8.00,6.00,3.00,4.00,8.00,11.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5181755,6.00,5.00,4.00,4.00,8.00,8.25,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5181771,7.00,5.00,2.00,5.00,10.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5181798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5181801,7.00,4.00,3.00,5.00,4.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5181810,4.00,5.00,3.00,7.00,7.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5181828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5181836,8.00,7.00,4.00,7.00,10.00,8.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5181844,5.00,5.00,3.00,6.00,8.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5181852,4.00,6.00,1.00,5.00,5.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5181860,4.00,7.00,4.00,0.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5181879,4.00,6.00,4.00,1.00,5.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5181887,7.00,7.00,2.00,4.00,6.00,7.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5181895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5181909,5.00,5.00,5.00,6.00,7.00,7.88,0.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5181917,7.00,6.00,5.00,6.00,8.00,8.63,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5181925,8.00,6.00,5.00,5.00,7.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5181933,3.00,4.00,1.00,2.00,2.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5181941,6.00,5.00,5.00,7.00,10.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5181950,2.00,4.00,3.00,4.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5181968,2.00,3.00,0.00,4.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5181992,8.00,6.00,5.00,6.00,6.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5182018,8.00,8.00,5.00,2.00,6.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5182026,4.00,5.00,3.00,5.00,6.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5182042,6.00,5.00,0.00,5.00,6.00,9.38,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5182050,7.00,7.00,3.00,4.00,9.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5182069,7.00,6.00,0.00,5.00,7.00,10.50,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5182077,1.00,6.00,1.00,2.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5182085,3.00,4.00,2.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5182093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5182115,7.00,5.00,1.00,5.00,6.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5182123,2.00,3.00,0.00,2.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5182140,3.00,6.00,4.00,5.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5182166,4.00,5.00,2.00,1.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5182174,2.00,4.00,0.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5182182,4.00,5.00,2.00,4.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5182190,3.00,4.00,2.00,4.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5182212,7.00,8.00,5.00,7.00,7.00,7.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5182220,8.00,8.00,4.00,7.00,11.00,8.63,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5182263,5.00,5.00,1.00,5.00,6.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5182271,8.00,7.00,2.00,5.00,9.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5182280,8.00,6.00,3.00,7.00,10.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5182310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5182336,2.00,3.00,4.00,3.00,1.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5182344,6.00,8.00,1.00,7.00,10.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5182352,7.00,6.00,4.00,4.00,7.00,8.63,4.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5182387,3.00,3.00,2.00,5.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5182395,0.00,4.00,0.00,4.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5182409,7.00,7.00,5.00,7.00,7.00,8.25,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5182417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5182425,7.00,5.00,4.00,6.00,6.00,8.25,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5182433,7.00,6.00,0.00,7.00,6.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5182441,3.00,6.00,1.00,4.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,'S','N'),(20,5182468,5.00,7.00,4.00,7.00,6.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5182476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5182484,8.00,6.00,2.00,5.00,7.00,8.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5182492,3.00,4.00,3.00,5.00,7.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5182514,2.00,5.00,2.00,3.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5182522,4.00,5.00,2.00,1.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5182530,9.00,7.00,3.00,6.00,8.00,9.38,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5182557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5182565,3.00,4.00,0.00,2.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5182573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5182581,9.00,6.00,9.00,7.00,10.00,10.13,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5182590,4.00,4.00,3.00,5.00,5.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5182603,5.00,6.00,4.00,6.00,8.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5182611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5182620,2.00,4.00,1.00,4.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5182646,4.00,6.00,1.00,5.00,7.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5182662,6.00,6.00,3.00,7.00,7.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5182670,4.00,3.00,0.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5182689,7.00,6.00,4.00,7.00,7.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5182697,3.00,7.00,1.00,3.00,5.00,7.13,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5182719,4.00,4.00,2.00,3.00,5.00,6.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5182727,3.00,5.00,1.00,6.00,10.00,11.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5182735,3.00,5.00,4.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5182751,6.00,6.00,2.00,6.00,7.00,9.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5182760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5182786,2.00,3.00,3.00,4.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5182794,7.00,6.00,1.00,7.00,4.00,6.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5182808,5.00,5.00,2.00,5.00,7.00,8.25,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5182816,7.00,5.00,1.00,4.00,9.00,9.38,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5182824,1.00,4.00,3.00,5.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5182832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5182840,7.00,6.00,4.00,2.00,8.00,10.13,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5182859,8.00,8.00,4.00,6.00,7.00,9.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5182867,5.00,5.00,1.00,5.00,7.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5182891,4.00,5.00,3.00,3.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5182905,8.00,8.00,5.00,7.00,9.00,9.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5182921,5.00,3.00,3.00,4.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5182948,3.00,4.00,1.00,3.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5182964,3.00,4.00,2.00,3.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5182972,8.00,6.00,7.00,7.00,10.00,9.00,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5182980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5183006,8.00,8.00,6.00,7.00,8.00,10.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5183014,7.00,6.00,1.00,3.00,7.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5183022,3.00,4.00,1.00,7.00,6.00,6.75,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5183030,4.00,4.00,2.00,5.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5183049,4.00,6.00,0.00,4.00,5.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5183057,3.00,6.00,3.00,2.00,6.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5183073,8.00,7.00,1.00,6.00,8.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5183081,8.00,5.00,4.00,5.00,7.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5183090,7.00,8.00,6.00,7.00,9.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5183111,5.00,7.00,0.00,3.00,6.00,10.50,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5183120,6.00,4.00,3.00,6.00,5.00,8.63,1.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5183138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5183154,2.00,3.00,2.00,1.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5183170,8.00,9.00,5.00,7.00,9.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5183189,3.00,3.00,0.00,5.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5183197,5.00,6.00,3.00,4.00,4.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5183200,7.00,4.00,4.00,7.00,7.00,11.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5183219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5183227,3.00,6.00,1.00,7.00,8.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5183243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5183251,4.00,4.00,2.00,3.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5183260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5183278,8.00,7.00,4.00,7.00,10.00,9.38,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5183286,4.00,3.00,1.00,1.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5183294,8.00,4.00,2.00,5.00,6.00,9.38,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5183308,4.00,4.00,4.00,6.00,5.00,6.38,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5183332,7.00,6.00,6.00,7.00,9.00,9.38,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5183340,3.00,4.00,4.00,5.00,6.00,9.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5183367,5.00,6.00,3.00,5.00,8.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5183375,5.00,6.00,0.00,6.00,7.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5183391,9.00,7.00,8.00,7.00,9.00,7.50,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5183413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5183421,5.00,6.00,5.00,3.00,5.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5183430,2.00,4.00,1.00,2.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5183448,7.00,5.00,4.00,6.00,7.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5183456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5183464,7.00,6.00,5.00,7.00,7.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5183480,4.00,6.00,4.00,7.00,8.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5183529,8.00,6.00,0.00,4.00,9.00,11.25,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5183553,7.00,6.00,1.00,4.00,7.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5183570,4.00,3.00,0.00,4.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5183588,5.00,1.00,0.00,5.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5183596,7.00,6.00,3.00,6.00,8.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5183600,1.00,6.00,2.00,5.00,4.00,9.00,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5183618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5183626,4.00,6.00,3.00,4.00,4.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5183634,3.00,3.00,2.00,3.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5183669,3.00,4.00,2.00,3.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5183677,9.00,7.00,5.00,7.00,7.00,7.88,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5183685,8.00,6.00,6.00,6.00,10.00,8.63,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5183693,4.00,6.00,3.00,3.00,5.00,6.00,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5183723,8.00,4.00,3.00,7.00,8.00,7.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5183740,6.00,6.00,2.00,3.00,3.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5183758,7.00,7.00,6.00,4.00,8.00,9.00,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5183766,4.00,8.00,1.00,4.00,6.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5183774,8.00,5.00,4.00,4.00,7.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5183790,2.00,6.00,3.00,7.00,7.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5183804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5183839,1.00,5.00,2.00,5.00,5.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5183847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5183855,5.00,2.00,0.00,5.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5183863,6.00,6.00,2.00,6.00,7.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5183871,9.00,5.00,5.00,4.00,9.00,9.38,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5183880,4.00,5.00,2.00,6.00,6.00,7.13,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5183901,9.00,7.00,5.00,5.00,8.00,9.00,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5183910,6.00,4.00,3.00,6.00,7.00,11.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5183928,4.00,6.00,2.00,6.00,8.00,12.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5183936,4.00,5.00,5.00,6.00,3.00,NULL,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5183944,7.00,7.00,3.00,7.00,7.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5183952,7.00,6.00,3.00,8.00,6.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5183960,6.00,7.00,5.00,7.00,7.00,6.38,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5183979,3.00,7.00,4.00,5.00,7.00,9.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5183987,7.00,5.00,2.00,5.00,7.00,10.50,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5184002,2.00,4.00,2.00,3.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5184010,7.00,5.00,2.00,6.00,9.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5184029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5184045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5184061,8.00,7.00,7.00,7.00,9.00,11.63,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5184070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5184088,7.00,7.00,6.00,7.00,7.00,7.50,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5184096,8.00,6.00,6.00,4.00,8.00,9.00,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5184100,2.00,5.00,1.00,3.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5184118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5184126,3.00,3.00,1.00,2.00,2.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5184177,6.00,5.00,2.00,5.00,6.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5184185,3.00,4.00,4.00,3.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5184193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5184215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5184223,4.00,3.00,2.00,4.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5184231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5184258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5184274,7.00,7.00,2.00,7.00,8.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5184290,2.00,6.00,1.00,5.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5184304,8.00,8.00,7.00,8.00,8.00,10.50,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5184312,6.00,8.00,2.00,6.00,9.00,9.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5184320,1.00,6.00,4.00,1.00,8.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5184339,5.00,6.00,3.00,4.00,7.00,8.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5184355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5184363,6.00,6.00,4.00,5.00,7.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5184371,4.00,5.00,5.00,5.00,5.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5184380,3.00,4.00,1.00,4.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5184398,2.00,4.00,1.00,1.00,6.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5184401,3.00,4.00,5.00,3.00,6.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5184410,3.00,5.00,3.00,4.00,7.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5184428,6.00,4.00,4.00,7.00,5.00,10.50,6.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5184460,9.00,3.00,7.00,7.00,8.00,7.88,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5184479,7.00,7.00,5.00,7.00,8.00,11.25,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5184487,2.00,3.00,0.00,4.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5184509,5.00,4.00,3.00,4.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5184525,5.00,3.00,0.00,1.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5184533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5184568,5.00,3.00,0.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5184584,3.00,6.00,0.00,1.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5184622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5184630,2.00,5.00,5.00,6.00,5.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5184649,6.00,5.00,2.00,7.00,6.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5184665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5184690,1.00,2.00,2.00,2.00,1.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5184711,9.00,8.00,5.00,5.00,10.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5184738,3.00,7.00,1.00,3.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,'S','N'),(20,5184746,9.00,6.00,2.00,6.00,7.00,8.63,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5184754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5184762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5184770,3.00,3.00,3.00,2.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5184789,6.00,5.00,3.00,6.00,7.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5184797,6.00,5.00,0.00,6.00,6.00,NULL,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5184819,8.00,6.00,7.00,5.00,8.00,10.13,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5184827,4.00,6.00,1.00,7.00,9.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5184843,2.00,5.00,1.00,4.00,1.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5184851,6.00,3.00,0.00,2.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5184860,7.00,6.00,2.00,6.00,8.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5184878,4.00,2.00,2.00,4.00,6.00,6.00,4.00,2.00,6.00,NULL,NULL,NULL,'S'),(20,5184894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5184908,8.00,7.00,3.00,7.00,8.00,13.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5184916,4.00,6.00,2.00,5.00,6.00,7.88,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5184924,5.00,5.00,5.00,6.00,3.00,NULL,6.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5184932,1.00,2.00,0.00,3.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5184940,3.00,6.00,1.00,3.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5184959,2.00,4.00,1.00,4.00,8.00,6.38,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5184967,7.00,3.00,2.00,3.00,5.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5184975,8.00,8.00,1.00,7.00,7.00,12.00,1.00,4.00,6.00,NULL,NULL,NULL,'S'),(20,5184983,7.00,6.00,5.00,5.00,9.00,9.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5184991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5185009,4.00,5.00,2.00,6.00,4.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5185017,5.00,5.00,5.00,4.00,9.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5185025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5185041,6.00,4.00,3.00,5.00,8.00,10.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5185050,5.00,7.00,1.00,3.00,9.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5185068,9.00,9.00,6.00,7.00,6.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'S'),(20,5185076,6.00,6.00,2.00,7.00,10.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5185092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5185106,5.00,4.00,1.00,2.00,8.00,NULL,1.00,2.00,2.00,NULL,NULL,'S','N'),(20,5185114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5185122,8.00,6.00,4.00,8.00,9.00,9.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5185130,5.00,6.00,1.00,1.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5185149,5.00,6.00,2.00,6.00,5.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5185165,3.00,4.00,0.00,4.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5185173,4.00,6.00,1.00,7.00,7.00,6.38,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5185181,4.00,7.00,4.00,4.00,4.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5185190,3.00,5.00,0.00,5.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5185203,8.00,9.00,4.00,7.00,10.00,11.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5185211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5185220,3.00,2.00,1.00,3.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5185246,6.00,7.00,2.00,3.00,4.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5185254,5.00,4.00,5.00,4.00,7.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5185270,4.00,3.00,3.00,2.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5185289,8.00,7.00,8.00,7.00,9.00,11.63,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5185297,6.00,5.00,5.00,8.00,4.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5185319,7.00,6.00,5.00,6.00,7.00,10.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5185327,4.00,4.00,2.00,0.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5185335,3.00,8.00,1.00,2.00,8.00,8.63,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5185343,9.00,6.00,6.00,5.00,10.00,9.00,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5185351,2.00,6.00,3.00,4.00,2.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5185360,4.00,5.00,1.00,4.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5185378,3.00,5.00,0.00,5.00,4.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5185386,6.00,6.00,7.00,7.00,9.00,12.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5185394,2.00,8.00,1.00,3.00,6.00,8.63,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5185408,3.00,3.00,1.00,1.00,0.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'S'),(20,5185424,8.00,6.00,6.00,4.00,8.00,9.00,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5185440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5185467,1.00,5.00,4.00,7.00,7.00,10.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5185483,7.00,6.00,8.00,7.00,8.00,11.63,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5185491,2.00,5.00,0.00,5.00,7.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5185513,8.00,8.00,7.00,6.00,9.00,9.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5185521,4.00,7.00,0.00,5.00,6.00,10.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5185548,3.00,4.00,2.00,2.00,6.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5185556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5185572,8.00,7.00,4.00,5.00,9.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5185580,8.00,6.00,0.00,6.00,7.00,6.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5185602,3.00,5.00,0.00,2.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5185610,4.00,4.00,0.00,4.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5185629,4.00,4.00,0.00,3.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5185645,2.00,3.00,1.00,3.00,6.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5185661,5.00,7.00,4.00,1.00,6.00,NULL,3.00,3.00,3.00,NULL,NULL,'S','N'),(20,5185670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5185688,7.00,5.00,3.00,5.00,6.00,10.50,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5185696,3.00,5.00,0.00,3.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5185700,8.00,8.00,4.00,7.00,9.00,9.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5185718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5185726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5185742,3.00,3.00,1.00,3.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5185750,2.00,4.00,1.00,6.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5185769,6.00,3.00,4.00,6.00,8.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5185777,8.00,8.00,2.00,7.00,8.00,9.00,1.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5185785,4.00,3.00,1.00,1.00,6.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5185793,5.00,5.00,2.00,6.00,3.00,NULL,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5185823,6.00,6.00,1.00,6.00,6.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5185840,4.00,4.00,0.00,2.00,4.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5185858,9.00,8.00,7.00,6.00,9.00,7.88,8.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5185874,8.00,6.00,0.00,6.00,9.00,NULL,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5185890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5185904,6.00,5.00,4.00,7.00,9.00,11.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5185912,8.00,7.00,7.00,6.00,7.00,10.88,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5185920,8.00,7.00,6.00,6.00,7.00,10.13,8.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5185939,5.00,6.00,4.00,6.00,5.00,6.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5185947,2.00,6.00,1.00,5.00,4.00,6.38,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5185955,2.00,4.00,0.00,4.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5185963,7.00,7.00,2.00,7.00,7.00,10.13,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5185998,2.00,4.00,2.00,3.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,'S','N'),(20,5186005,6.00,7.00,2.00,2.00,7.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5186013,8.00,5.00,3.00,7.00,8.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5186030,4.00,5.00,1.00,3.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5186048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5186056,7.00,7.00,5.00,7.00,8.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5186080,7.00,7.00,5.00,7.00,9.00,9.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5186102,4.00,6.00,4.00,3.00,5.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5186110,9.00,8.00,8.00,7.00,8.00,11.63,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5186129,4.00,5.00,3.00,4.00,4.00,4.88,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5186137,6.00,6.00,5.00,7.00,8.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5186145,2.00,6.00,0.00,6.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5186153,9.00,7.00,6.00,5.00,9.00,10.13,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5186161,6.00,0.00,2.00,3.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5186170,4.00,6.00,3.00,6.00,7.00,10.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5186196,1.00,2.00,0.00,1.00,1.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5186218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5186234,4.00,6.00,0.00,5.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5186242,3.00,5.00,1.00,3.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5186250,1.00,5.00,2.00,1.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5186269,2.00,5.00,3.00,5.00,5.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5186277,8.00,8.00,1.00,7.00,8.00,11.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5186285,5.00,8.00,2.00,6.00,4.00,10.13,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5186293,3.00,4.00,2.00,1.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5186307,6.00,6.00,1.00,5.00,6.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5186315,8.00,7.00,4.00,7.00,10.00,9.38,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5186331,6.00,5.00,3.00,6.00,5.00,6.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5186340,6.00,5.00,6.00,4.00,7.00,9.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5186358,2.00,5.00,1.00,3.00,4.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5186374,3.00,7.00,1.00,5.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5186382,5.00,5.00,3.00,5.00,5.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5186390,4.00,5.00,1.00,5.00,6.00,6.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5186404,5.00,6.00,4.00,5.00,4.00,6.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5186412,9.00,8.00,4.00,6.00,8.00,12.38,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5186420,1.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5186447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5186455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5186463,3.00,6.00,1.00,4.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5186480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5186498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5186501,3.00,3.00,5.00,3.00,5.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5186510,8.00,6.00,2.00,6.00,7.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5186528,3.00,5.00,2.00,3.00,5.00,3.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5186536,3.00,2.00,1.00,4.00,3.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5186544,4.00,7.00,3.00,4.00,8.00,9.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5186552,5.00,5.00,2.00,7.00,6.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5186560,2.00,4.00,1.00,1.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5186579,7.00,7.00,1.00,6.00,9.00,0.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5186587,3.00,4.00,1.00,1.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5186609,4.00,8.00,2.00,6.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5186617,8.00,5.00,5.00,7.00,5.00,10.88,4.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5186633,5.00,6.00,2.00,3.00,8.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5186641,4.00,6.00,2.00,2.00,5.00,8.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5186650,9.00,9.00,5.00,7.00,10.00,11.25,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5186668,8.00,8.00,5.00,7.00,7.00,9.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5186684,2.00,4.00,4.00,4.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5186692,3.00,5.00,2.00,3.00,6.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5186706,2.00,7.00,3.00,7.00,8.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5186722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5186749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5186757,2.00,3.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5186765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5186781,3.00,2.00,3.00,3.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5186811,3.00,4.00,0.00,4.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5186820,2.00,6.00,1.00,4.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5186838,6.00,4.00,3.00,7.00,5.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5186846,7.00,8.00,6.00,6.00,6.00,7.50,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5186862,5.00,3.00,4.00,5.00,7.00,9.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5186870,5.00,8.00,4.00,5.00,9.00,10.88,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5186889,9.00,6.00,5.00,4.00,8.00,9.75,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5186897,7.00,6.00,1.00,5.00,9.00,9.38,4.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5186919,8.00,7.00,5.00,8.00,10.00,10.13,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5186935,5.00,5.00,1.00,6.00,9.00,10.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5186951,8.00,7.00,7.00,7.00,9.00,9.38,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5186960,7.00,7.00,7.00,5.00,8.00,8.25,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5186978,6.00,7.00,4.00,6.00,7.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5186986,8.00,8.00,5.00,5.00,8.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5186994,6.00,8.00,4.00,5.00,8.00,10.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5187001,6.00,4.00,1.00,5.00,6.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5187010,7.00,7.00,0.00,8.00,9.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5187028,3.00,4.00,2.00,3.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5187052,5.00,5.00,2.00,7.00,5.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5187079,6.00,6.00,2.00,6.00,6.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5187109,7.00,6.00,3.00,7.00,8.00,7.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5187117,3.00,4.00,2.00,4.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5187125,6.00,5.00,2.00,2.00,4.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5187133,7.00,9.00,3.00,4.00,6.00,6.38,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5187141,1.00,5.00,2.00,5.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5187150,4.00,6.00,3.00,2.00,5.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5187176,5.00,5.00,3.00,4.00,8.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5187184,6.00,4.00,2.00,1.00,6.00,6.75,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5187192,8.00,7.00,3.00,7.00,8.00,8.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5187206,7.00,7.00,7.00,4.00,7.00,10.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5187214,6.00,6.00,3.00,3.00,7.00,7.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(20,5187230,6.00,7.00,1.00,5.00,6.00,9.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5187249,8.00,8.00,6.00,5.00,8.00,10.13,5.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5187257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5187273,6.00,5.00,0.00,5.00,5.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5187281,4.00,4.00,3.00,5.00,7.00,10.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5187290,4.00,5.00,1.00,5.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5187303,6.00,7.00,5.00,7.00,8.00,11.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5187311,5.00,6.00,2.00,5.00,6.00,9.38,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5187320,6.00,4.00,0.00,7.00,8.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5187338,6.00,7.00,4.00,5.00,7.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5187346,5.00,5.00,2.00,4.00,7.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5187362,6.00,7.00,8.00,8.00,9.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5187370,7.00,6.00,3.00,5.00,9.00,10.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5187389,2.00,6.00,0.00,3.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5187397,9.00,6.00,5.00,7.00,9.00,7.88,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5187400,7.00,6.00,3.00,8.00,4.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5187419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5187427,9.00,7.00,8.00,8.00,9.00,10.50,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5187435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5187451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5187460,6.00,6.00,8.00,6.00,5.00,9.38,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5187478,7.00,5.00,4.00,6.00,7.00,9.00,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5187486,7.00,7.00,1.00,5.00,4.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5187508,1.00,2.00,0.00,0.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5187524,6.00,4.00,1.00,2.00,5.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5187532,2.00,6.00,1.00,3.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5187540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5187559,0.00,1.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5187575,5.00,4.00,0.00,3.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5187583,5.00,4.00,0.00,6.00,5.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5187591,6.00,7.00,3.00,5.00,6.00,10.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5187613,3.00,2.00,0.00,3.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5187621,7.00,9.00,5.00,4.00,8.00,8.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5187630,3.00,5.00,1.00,6.00,5.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5187648,7.00,8.00,7.00,5.00,9.00,9.75,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5187656,8.00,7.00,7.00,7.00,4.00,8.63,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5187664,4.00,5.00,6.00,7.00,6.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5187702,5.00,9.00,1.00,7.00,9.00,12.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5187710,6.00,8.00,4.00,7.00,7.00,10.88,0.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5187729,7.00,5.00,3.00,5.00,7.00,8.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5187737,8.00,8.00,8.00,5.00,7.00,11.63,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5187745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5187753,8.00,7.00,5.00,7.00,5.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5187761,3.00,4.00,2.00,3.00,8.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5187770,3.00,6.00,3.00,3.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5187788,8.00,7.00,3.00,6.00,9.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5187800,6.00,7.00,3.00,7.00,7.00,10.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5187818,6.00,7.00,1.00,4.00,7.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5187826,3.00,5.00,4.00,7.00,9.00,9.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5187842,7.00,4.00,2.00,7.00,9.00,10.13,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5187850,8.00,8.00,4.00,7.00,10.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5187869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5187877,2.00,5.00,3.00,3.00,5.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5187893,4.00,1.00,1.00,0.00,4.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5187907,3.00,6.00,0.00,5.00,5.00,6.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5187915,5.00,5.00,1.00,5.00,4.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5187923,2.00,3.00,2.00,3.00,5.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5187931,2.00,6.00,3.00,6.00,6.00,8.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5187940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5187958,5.00,5.00,1.00,4.00,4.00,8.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5187966,6.00,6.00,1.00,3.00,6.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5187974,8.00,3.00,3.00,7.00,7.00,8.25,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5187982,3.00,4.00,0.00,5.00,7.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5187990,5.00,5.00,4.00,4.00,7.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5188008,5.00,7.00,1.00,7.00,8.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5188016,2.00,3.00,1.00,2.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5188032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5188040,6.00,7.00,3.00,4.00,8.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5188059,4.00,6.00,5.00,3.00,4.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5188067,5.00,3.00,3.00,3.00,5.00,9.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5188075,3.00,4.00,2.00,4.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5188083,5.00,4.00,0.00,6.00,2.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5188091,4.00,4.00,1.00,7.00,8.00,3.75,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(20,5188105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5188113,4.00,6.00,1.00,1.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5188121,6.00,5.00,2.00,5.00,9.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(20,5188130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5188156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5188164,4.00,7.00,3.00,5.00,5.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5188172,7.00,7.00,2.00,7.00,7.00,8.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5188199,7.00,6.00,2.00,6.00,6.00,9.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5188210,6.00,4.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5188229,3.00,5.00,1.00,4.00,4.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5188237,5.00,6.00,4.00,1.00,7.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5188245,7.00,7.00,1.00,5.00,8.00,8.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5188253,3.00,3.00,0.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5188261,1.00,5.00,1.00,4.00,7.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5188270,7.00,5.00,1.00,7.00,5.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5188288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5188296,2.00,1.00,0.00,3.00,0.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5188300,4.00,6.00,3.00,7.00,7.00,11.25,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5188318,7.00,6.00,5.00,7.00,8.00,11.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5188342,4.00,8.00,5.00,6.00,7.00,8.25,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5188350,8.00,6.00,5.00,5.00,9.00,12.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5188369,5.00,5.00,2.00,7.00,8.00,10.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5188377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5188385,9.00,8.00,6.00,7.00,7.00,7.50,5.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5188407,4.00,3.00,2.00,3.00,6.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5188415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5188423,5.00,7.00,1.00,5.00,5.00,9.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5188431,3.00,5.00,1.00,3.00,4.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5188458,4.00,7.00,1.00,5.00,7.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5188466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5188474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5188482,4.00,4.00,2.00,7.00,5.00,6.75,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5188490,9.00,6.00,1.00,7.00,6.00,10.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5188504,3.00,5.00,1.00,3.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5188512,8.00,3.00,2.00,2.00,4.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5188520,1.00,4.00,2.00,1.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'S'),(20,5188539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5188547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5188555,8.00,6.00,3.00,4.00,6.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5188563,1.00,3.00,1.00,5.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5188571,8.00,6.00,3.00,4.00,9.00,7.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5188580,3.00,6.00,1.00,6.00,9.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5188598,8.00,5.00,2.00,4.00,7.00,10.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5188601,3.00,3.00,0.00,2.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5188610,3.00,5.00,2.00,4.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5188628,4.00,5.00,0.00,3.00,6.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5188636,5.00,6.00,1.00,5.00,8.00,9.00,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5188644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5188652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5188660,7.00,6.00,2.00,7.00,10.00,12.00,1.00,5.00,6.00,NULL,NULL,NULL,'S'),(20,5188679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5188687,1.00,4.00,2.00,4.00,6.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5188695,5.00,6.00,5.00,7.00,8.00,7.50,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5188709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5188717,2.00,5.00,0.00,4.00,7.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5188725,0.00,2.00,0.00,5.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5188733,2.00,3.00,0.00,3.00,7.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5188750,5.00,4.00,0.00,4.00,7.00,9.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5188768,7.00,8.00,7.00,7.00,9.00,7.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5188776,10.00,8.00,5.00,7.00,11.00,12.75,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5188784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5188792,9.00,8.00,8.00,7.00,10.00,10.88,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5188806,7.00,8.00,6.00,7.00,9.00,7.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5188814,9.00,9.00,5.00,7.00,8.00,10.13,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5188822,6.00,4.00,2.00,6.00,6.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5188830,3.00,3.00,2.00,2.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'S'),(20,5188849,4.00,5.00,2.00,4.00,4.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5188857,2.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5188873,4.00,0.00,1.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5188881,5.00,6.00,4.00,5.00,7.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5188890,4.00,4.00,3.00,4.00,6.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5188903,9.00,8.00,2.00,7.00,7.00,7.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5188911,7.00,8.00,2.00,2.00,8.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5188920,3.00,3.00,1.00,3.00,7.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5188938,7.00,5.00,7.00,2.00,6.00,6.00,6.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5188946,5.00,6.00,2.00,7.00,6.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5188954,7.00,8.00,3.00,7.00,9.00,9.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5188970,6.00,7.00,0.00,5.00,5.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5188997,3.00,3.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5189004,5.00,5.00,1.00,2.00,4.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5189012,6.00,5.00,5.00,6.00,6.00,10.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5189039,9.00,6.00,3.00,6.00,6.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5189055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5189071,0.00,6.00,5.00,4.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5189080,7.00,6.00,2.00,5.00,9.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5189098,6.00,5.00,0.00,6.00,5.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5189101,3.00,4.00,1.00,3.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5189128,2.00,3.00,1.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5189136,6.00,5.00,1.00,8.00,8.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5189144,1.00,1.00,1.00,0.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5189152,3.00,3.00,0.00,4.00,4.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5189179,8.00,6.00,3.00,2.00,7.00,6.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5189187,8.00,5.00,5.00,6.00,6.00,7.50,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5189195,6.00,5.00,2.00,5.00,8.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5189209,9.00,7.00,6.00,7.00,9.00,10.13,9.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5189217,6.00,6.00,1.00,6.00,5.00,8.25,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5189225,4.00,5.00,1.00,7.00,8.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5189233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5189241,3.00,5.00,2.00,4.00,9.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5189250,8.00,6.00,4.00,5.00,7.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5189268,7.00,4.00,2.00,5.00,5.00,7.13,0.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5189284,1.00,4.00,1.00,6.00,4.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5189292,4.00,7.00,1.00,8.00,7.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5189306,3.00,6.00,4.00,6.00,8.00,9.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5189322,5.00,6.00,4.00,7.00,8.00,3.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5189330,4.00,5.00,2.00,4.00,4.00,NULL,0.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5189357,6.00,3.00,3.00,4.00,5.00,7.50,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5189365,6.00,6.00,0.00,5.00,7.00,NULL,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5189373,4.00,5.00,0.00,5.00,6.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5189381,5.00,6.00,1.00,5.00,6.00,7.88,5.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5189390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5189403,7.00,4.00,5.00,5.00,8.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5189420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5189446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5189454,3.00,6.00,0.00,1.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,'S','N'),(20,5189462,9.00,6.00,6.00,7.00,7.00,7.13,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5189470,9.00,7.00,5.00,8.00,10.00,10.50,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5189489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5189497,9.00,7.00,3.00,7.00,8.00,11.63,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5189519,5.00,6.00,2.00,3.00,5.00,9.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5189535,2.00,6.00,1.00,1.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5189551,6.00,5.00,2.00,6.00,7.00,11.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5189578,5.00,5.00,0.00,2.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5189594,7.00,7.00,4.00,4.00,8.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5189608,8.00,7.00,5.00,7.00,9.00,9.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5189616,1.00,1.00,0.00,1.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5189624,8.00,7.00,6.00,7.00,7.00,7.88,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5189640,6.00,5.00,3.00,6.00,7.00,6.38,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5189667,1.00,6.00,1.00,3.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5189675,9.00,9.00,7.00,7.00,9.00,9.00,9.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5189683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5189691,8.00,5.00,6.00,7.00,8.00,7.88,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5189705,3.00,4.00,2.00,3.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,'S','N'),(20,5189713,7.00,5.00,3.00,5.00,7.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5189721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5189730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5189748,3.00,3.00,1.00,5.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5189756,6.00,5.00,3.00,6.00,5.00,7.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5189764,8.00,6.00,1.00,2.00,7.00,7.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5189772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5189799,8.00,8.00,1.00,5.00,8.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5189802,2.00,4.00,1.00,4.00,7.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5189810,4.00,3.00,0.00,7.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5189837,6.00,7.00,0.00,2.00,4.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5189845,3.00,6.00,0.00,5.00,8.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(20,5189853,3.00,4.00,2.00,4.00,4.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5189870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5189888,2.00,4.00,1.00,4.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5189896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5189900,6.00,4.00,5.00,5.00,7.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5189918,7.00,4.00,4.00,7.00,8.00,7.88,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5189926,8.00,8.00,6.00,6.00,10.00,8.25,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5189934,7.00,7.00,0.00,6.00,5.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5189942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5189969,6.00,6.00,2.00,6.00,9.00,11.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5189977,3.00,4.00,3.00,4.00,6.00,NULL,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5189993,5.00,5.00,0.00,4.00,6.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5190002,5.00,6.00,0.00,5.00,7.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5190010,4.00,7.00,0.00,6.00,6.00,10.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5190037,6.00,6.00,5.00,6.00,6.00,10.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5190045,8.00,7.00,7.00,7.00,8.00,7.88,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5190053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5190061,3.00,4.00,2.00,4.00,5.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5190070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5190088,2.00,5.00,0.00,1.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5190100,7.00,8.00,3.00,8.00,10.00,6.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5190118,4.00,4.00,4.00,1.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5190126,7.00,5.00,1.00,3.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5190134,6.00,6.00,0.00,4.00,6.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5190142,8.00,7.00,5.00,5.00,9.00,10.13,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5190150,9.00,5.00,5.00,7.00,10.00,10.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5190169,2.00,5.00,3.00,3.00,6.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5190177,3.00,2.00,3.00,3.00,2.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5190185,3.00,5.00,0.00,3.00,1.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5190193,7.00,7.00,6.00,7.00,9.00,10.13,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5190207,6.00,6.00,1.00,5.00,5.00,8.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5190215,7.00,6.00,7.00,4.00,9.00,12.00,8.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5190223,8.00,7.00,0.00,7.00,7.00,8.63,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5190231,7.00,8.00,4.00,5.00,8.00,9.38,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5190240,5.00,6.00,4.00,4.00,9.00,9.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5190258,8.00,7.00,2.00,6.00,8.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5190266,8.00,6.00,0.00,7.00,10.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5190274,9.00,8.00,2.00,6.00,10.00,10.88,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5190282,5.00,8.00,2.00,5.00,6.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5190312,4.00,3.00,1.00,1.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5190320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5190339,4.00,5.00,2.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5190347,8.00,7.00,3.00,8.00,8.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5190355,5.00,5.00,0.00,3.00,7.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5190371,5.00,6.00,2.00,3.00,8.00,6.38,3.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5190380,5.00,4.00,2.00,2.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5190398,4.00,6.00,1.00,5.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5190401,7.00,6.00,7.00,3.00,8.00,8.25,6.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5190428,4.00,4.00,0.00,3.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5190436,8.00,9.00,4.00,6.00,8.00,11.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5190452,6.00,7.00,4.00,6.00,9.00,7.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5190460,4.00,5.00,0.00,4.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5190479,1.00,5.00,2.00,1.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5190487,4.00,3.00,2.00,5.00,5.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5190495,9.00,6.00,4.00,7.00,9.00,8.25,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5190509,8.00,7.00,5.00,6.00,7.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5190517,7.00,7.00,2.00,3.00,8.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5190525,6.00,3.00,1.00,1.00,6.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5190533,9.00,7.00,6.00,6.00,9.00,6.38,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5190541,7.00,8.00,1.00,6.00,9.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5190550,3.00,2.00,0.00,3.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5190568,3.00,5.00,0.00,6.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5190576,9.00,6.00,4.00,5.00,8.00,8.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5190584,7.00,6.00,5.00,6.00,9.00,9.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5190592,6.00,0.00,2.00,7.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(20,5190606,0.00,4.00,0.00,4.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5190614,9.00,5.00,6.00,6.00,9.00,7.50,5.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5190622,6.00,5.00,1.00,6.00,5.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5190630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5190649,2.00,4.00,0.00,6.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5190657,2.00,4.00,1.00,4.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5190665,4.00,4.00,2.00,7.00,7.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5190673,7.00,5.00,2.00,6.00,3.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(20,5190681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5190690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5190703,3.00,2.00,1.00,5.00,4.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'S'),(20,5190711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5190738,5.00,5.00,3.00,3.00,5.00,11.63,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5190746,8.00,7.00,5.00,7.00,5.00,10.88,0.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5190754,9.00,7.00,3.00,7.00,7.00,11.63,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5190762,3.00,2.00,1.00,3.00,4.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5190800,8.00,6.00,6.00,5.00,8.00,8.25,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5190819,9.00,6.00,5.00,7.00,7.00,10.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5190827,4.00,4.00,2.00,4.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5190835,7.00,6.00,4.00,7.00,7.00,7.13,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5190851,5.00,8.00,1.00,7.00,7.00,10.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5190878,9.00,9.00,8.00,7.00,8.00,9.38,7.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5190894,3.00,4.00,0.00,1.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5190916,3.00,6.00,0.00,5.00,6.00,10.13,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5190932,8.00,5.00,2.00,7.00,8.00,9.75,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5190940,3.00,3.00,2.00,1.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5190959,8.00,8.00,8.00,7.00,10.00,9.00,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5190967,3.00,6.00,3.00,3.00,5.00,7.88,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5190975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5190983,6.00,6.00,1.00,6.00,9.00,9.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5190991,5.00,3.00,0.00,4.00,6.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5191009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5191025,7.00,4.00,6.00,5.00,6.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5191033,7.00,7.00,2.00,5.00,6.00,7.50,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5191041,5.00,5.00,1.00,6.00,7.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5191076,3.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5191084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5191092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5191106,3.00,4.00,5.00,5.00,7.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5191114,7.00,8.00,6.00,6.00,10.00,9.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5191149,7.00,5.00,5.00,5.00,8.00,7.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5191157,8.00,7.00,5.00,5.00,8.00,9.75,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5191165,9.00,8.00,8.00,7.00,7.00,9.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5191173,7.00,3.00,2.00,6.00,9.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5191181,1.00,6.00,4.00,1.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5191190,5.00,7.00,1.00,7.00,9.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5191203,5.00,6.00,2.00,7.00,7.00,9.00,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5191211,2.00,4.00,2.00,3.00,6.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5191220,9.00,7.00,5.00,8.00,8.00,8.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5191238,5.00,6.00,4.00,7.00,7.00,10.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5191246,5.00,6.00,4.00,6.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5191254,5.00,6.00,2.00,5.00,6.00,7.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5191262,7.00,7.00,4.00,5.00,6.00,7.88,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5191270,4.00,7.00,1.00,3.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5191297,3.00,4.00,0.00,3.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5191319,0.00,4.00,0.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5191327,8.00,7.00,6.00,7.00,11.00,12.38,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5191335,5.00,6.00,2.00,5.00,5.00,7.50,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5191343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5191360,7.00,6.00,8.00,6.00,6.00,8.25,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5191378,8.00,4.00,0.00,4.00,7.00,8.63,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5191386,3.00,7.00,1.00,5.00,3.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5191394,3.00,4.00,1.00,2.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5191408,3.00,4.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5191416,7.00,7.00,5.00,8.00,5.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5191432,4.00,2.00,2.00,7.00,8.00,9.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5191440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5191459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5191467,7.00,6.00,3.00,5.00,8.00,9.00,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5191475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5191483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5191491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5191505,8.00,8.00,7.00,7.00,9.00,11.63,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5191513,7.00,5.00,2.00,7.00,5.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5191521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5191530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5191556,6.00,5.00,0.00,3.00,5.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5191564,9.00,7.00,5.00,7.00,9.00,13.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5191580,9.00,7.00,4.00,6.00,9.00,10.50,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5191602,5.00,7.00,1.00,5.00,6.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5191610,5.00,2.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5191629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5191645,3.00,3.00,1.00,6.00,5.00,7.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5191653,5.00,4.00,1.00,7.00,8.00,7.88,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5191661,6.00,6.00,4.00,7.00,9.00,11.25,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5191688,7.00,6.00,4.00,7.00,7.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5191696,6.00,6.00,2.00,4.00,9.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5191700,2.00,3.00,0.00,2.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5191726,8.00,5.00,4.00,6.00,8.00,9.00,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5191742,7.00,7.00,2.00,5.00,8.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5191750,6.00,6.00,6.00,7.00,9.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5191769,8.00,5.00,3.00,6.00,9.00,7.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5191777,3.00,2.00,2.00,3.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5191793,6.00,5.00,5.00,5.00,6.00,6.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5191823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5191831,5.00,4.00,3.00,6.00,7.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5191840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5191858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5191866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5191874,6.00,6.00,4.00,4.00,9.00,8.63,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5191882,4.00,4.00,3.00,5.00,8.00,6.38,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5191890,8.00,7.00,4.00,7.00,7.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5191904,8.00,8.00,3.00,2.00,7.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5191912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5191920,9.00,9.00,6.00,8.00,10.00,8.63,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5191939,7.00,3.00,0.00,3.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5191947,9.00,8.00,7.00,5.00,8.00,9.38,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5191955,6.00,7.00,2.00,3.00,7.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5191971,8.00,7.00,1.00,5.00,9.00,9.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5191980,4.00,6.00,1.00,4.00,6.00,8.63,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5192005,3.00,5.00,3.00,6.00,6.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5192013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5192021,7.00,7.00,3.00,7.00,8.00,12.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5192030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5192048,3.00,4.00,1.00,3.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5192056,9.00,8.00,7.00,6.00,9.00,9.00,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5192064,6.00,7.00,5.00,3.00,6.00,8.25,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5192072,6.00,5.00,0.00,6.00,7.00,9.00,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5192080,8.00,7.00,5.00,4.00,7.00,7.13,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5192099,4.00,5.00,2.00,7.00,8.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5192110,9.00,9.00,6.00,7.00,9.00,10.88,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5192129,8.00,7.00,2.00,4.00,7.00,8.25,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5192137,7.00,6.00,4.00,4.00,6.00,4.88,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5192145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5192153,5.00,7.00,7.00,5.00,9.00,10.13,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5192161,7.00,6.00,3.00,6.00,4.00,10.13,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5192170,8.00,8.00,4.00,7.00,9.00,9.38,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5192188,7.00,7.00,5.00,6.00,7.00,7.13,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5192196,3.00,2.00,1.00,7.00,8.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5192200,4.00,7.00,0.00,4.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5192218,9.00,6.00,5.00,7.00,9.00,7.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5192226,6.00,7.00,4.00,7.00,8.00,9.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5192242,4.00,5.00,2.00,3.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5192250,7.00,8.00,6.00,7.00,6.00,9.38,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5192269,6.00,8.00,3.00,4.00,7.00,8.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5192285,1.00,4.00,2.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5192293,5.00,6.00,0.00,5.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5192315,4.00,7.00,4.00,6.00,7.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5192323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5192331,3.00,3.00,1.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5192340,8.00,6.00,1.00,2.00,8.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5192358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5192366,7.00,5.00,6.00,6.00,6.00,10.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5192374,6.00,6.00,2.00,5.00,5.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5192390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5192404,5.00,5.00,4.00,6.00,9.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5192412,6.00,8.00,1.00,6.00,8.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5192420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5192439,7.00,7.00,4.00,6.00,5.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5192447,6.00,5.00,0.00,3.00,6.00,6.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5192455,8.00,7.00,4.00,7.00,8.00,8.63,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5192471,8.00,4.00,4.00,3.00,4.00,7.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5192480,5.00,7.00,5.00,6.00,7.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5192501,8.00,8.00,8.00,7.00,10.00,8.25,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5192528,3.00,3.00,1.00,3.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5192536,0.00,2.00,0.00,0.00,1.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5192544,6.00,8.00,2.00,5.00,8.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5192552,2.00,0.00,2.00,6.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5192579,7.00,6.00,3.00,3.00,8.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5192595,2.00,5.00,2.00,2.00,6.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5192609,2.00,1.00,0.00,4.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5192617,6.00,6.00,2.00,7.00,9.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5192625,0.00,3.00,0.00,3.00,1.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5192633,9.00,6.00,4.00,7.00,4.00,7.13,7.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5192641,5.00,6.00,2.00,4.00,5.00,6.38,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5192668,4.00,4.00,1.00,3.00,6.00,8.25,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5192676,4.00,5.00,3.00,5.00,5.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5192684,6.00,7.00,2.00,6.00,8.00,10.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5192692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5192714,4.00,5.00,0.00,4.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5192722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5192730,8.00,6.00,2.00,7.00,7.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5192749,8.00,7.00,3.00,7.00,8.00,9.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5192781,3.00,6.00,4.00,3.00,4.00,9.00,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5192790,5.00,4.00,2.00,3.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5192803,7.00,6.00,3.00,5.00,7.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5192811,3.00,4.00,1.00,5.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5192820,7.00,6.00,2.00,4.00,8.00,8.63,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5192838,2.00,1.00,0.00,4.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5192846,8.00,6.00,3.00,3.00,6.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5192854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5192862,5.00,5.00,1.00,4.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5192870,6.00,8.00,2.00,7.00,9.00,6.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5192897,8.00,6.00,4.00,6.00,9.00,11.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5192900,1.00,5.00,0.00,4.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5192919,4.00,5.00,0.00,4.00,4.00,11.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5192927,4.00,6.00,2.00,3.00,3.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5192943,4.00,5.00,2.00,3.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5192951,3.00,5.00,0.00,3.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5192978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5192986,6.00,6.00,3.00,5.00,10.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5193052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5193060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5193079,9.00,9.00,8.00,7.00,10.00,9.75,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5193087,8.00,6.00,3.00,7.00,10.00,11.25,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5193095,5.00,6.00,1.00,2.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5193109,5.00,5.00,2.00,1.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5193125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5193133,6.00,8.00,5.00,6.00,8.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5193141,4.00,4.00,2.00,5.00,6.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5193150,4.00,8.00,7.00,5.00,8.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5193168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5193176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5193184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5193192,8.00,4.00,4.00,5.00,6.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5193206,9.00,8.00,8.00,7.00,9.00,10.50,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5193214,6.00,4.00,4.00,4.00,4.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5193222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5193230,5.00,3.00,2.00,4.00,6.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5193249,7.00,5.00,1.00,5.00,8.00,6.00,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5193265,3.00,5.00,3.00,5.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5193281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5193290,9.00,6.00,7.00,7.00,9.00,10.13,8.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5193303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5193311,3.00,4.00,0.00,3.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5193320,9.00,6.00,3.00,6.00,9.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5193338,6.00,7.00,3.00,7.00,6.00,6.00,2.00,3.00,7.00,NULL,NULL,NULL,'S'),(20,5193354,4.00,5.00,1.00,3.00,5.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5193362,9.00,5.00,5.00,7.00,8.00,8.63,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5193370,6.00,6.00,2.00,6.00,8.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5193389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5193397,3.00,4.00,3.00,1.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5193400,6.00,7.00,1.00,5.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5193427,1.00,5.00,2.00,2.00,3.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5193435,9.00,8.00,2.00,7.00,9.00,10.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5193443,6.00,5.00,2.00,5.00,8.00,9.75,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5193451,0.00,2.00,0.00,3.00,2.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5193460,3.00,3.00,0.00,0.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5193478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5193486,4.00,6.00,4.00,6.00,9.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5193494,6.00,3.00,0.00,3.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5193508,7.00,7.00,5.00,6.00,8.00,7.50,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5193516,5.00,7.00,3.00,7.00,5.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5193524,6.00,6.00,3.00,5.00,5.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5193532,5.00,6.00,5.00,7.00,5.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5193540,6.00,5.00,2.00,3.00,7.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5193559,5.00,4.00,1.00,4.00,8.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5193567,2.00,4.00,1.00,4.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5193575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5193583,4.00,4.00,3.00,3.00,7.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5193605,8.00,7.00,2.00,5.00,10.00,7.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5193613,5.00,8.00,4.00,5.00,4.00,6.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5193621,5.00,8.00,4.00,6.00,8.00,8.25,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5193630,7.00,5.00,2.00,5.00,8.00,8.63,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5193648,7.00,6.00,6.00,6.00,10.00,9.75,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5193664,6.00,7.00,3.00,5.00,10.00,10.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5193672,1.00,3.00,1.00,2.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5193699,9.00,8.00,6.00,7.00,10.00,9.38,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5193729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5193737,3.00,6.00,1.00,6.00,9.00,10.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5193745,6.00,5.00,2.00,5.00,10.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5193753,1.00,3.00,1.00,2.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5193761,9.00,6.00,5.00,6.00,7.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5193770,9.00,6.00,6.00,7.00,8.00,10.13,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5193788,9.00,8.00,4.00,5.00,10.00,8.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5193796,1.00,4.00,0.00,0.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5193800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5193826,8.00,8.00,3.00,5.00,10.00,11.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5193834,5.00,5.00,1.00,3.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5193842,3.00,5.00,2.00,3.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5193850,3.00,7.00,3.00,2.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5193877,5.00,4.00,3.00,5.00,8.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5193885,6.00,6.00,2.00,5.00,7.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5193893,8.00,5.00,3.00,7.00,5.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5193907,5.00,6.00,2.00,7.00,7.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5193915,4.00,5.00,1.00,2.00,7.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5193931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5193940,6.00,5.00,1.00,4.00,5.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5193966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5193982,3.00,6.00,0.00,4.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5194024,8.00,7.00,6.00,7.00,9.00,8.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5194032,3.00,2.00,1.00,1.00,1.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5194040,5.00,6.00,3.00,4.00,7.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5194059,3.00,6.00,0.00,6.00,4.00,8.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5194075,7.00,7.00,4.00,5.00,6.00,9.00,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5194083,4.00,6.00,2.00,6.00,9.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5194091,5.00,6.00,6.00,7.00,5.00,8.63,5.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5194105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5194113,6.00,6.00,1.00,6.00,9.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5194121,5.00,3.00,0.00,7.00,9.00,9.38,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5194130,6.00,5.00,5.00,7.00,6.00,9.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5194148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5194156,4.00,3.00,5.00,2.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5194180,7.00,7.00,4.00,7.00,7.00,11.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5194199,10.00,8.00,8.00,6.00,9.00,11.63,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5194202,5.00,5.00,5.00,3.00,7.00,8.25,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5194210,7.00,6.00,6.00,5.00,8.00,7.88,8.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5194237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5194253,3.00,5.00,1.00,4.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5194261,2.00,6.00,2.00,6.00,7.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5194270,8.00,5.00,1.00,6.00,7.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5194288,8.00,7.00,4.00,6.00,10.00,10.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5194300,3.00,5.00,2.00,3.00,4.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5194318,6.00,4.00,5.00,5.00,4.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5194326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5194334,2.00,5.00,2.00,4.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5194342,8.00,8.00,5.00,6.00,10.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5194350,5.00,7.00,4.00,6.00,7.00,10.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5194369,1.00,4.00,2.00,1.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5194385,5.00,6.00,0.00,4.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5194393,2.00,3.00,2.00,3.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5194415,3.00,3.00,1.00,3.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5194423,4.00,5.00,1.00,3.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5194431,6.00,7.00,2.00,7.00,8.00,11.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5194440,1.00,3.00,1.00,3.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'S'),(20,5194458,2.00,3.00,0.00,4.00,3.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5194466,8.00,7.00,5.00,7.00,9.00,7.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5194474,6.00,5.00,4.00,5.00,6.00,7.50,5.00,5.00,4.00,NULL,NULL,NULL,'S'),(20,5194482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5194490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5194504,4.00,2.00,4.00,3.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5194512,7.00,8.00,3.00,5.00,6.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5194520,9.00,6.00,4.00,6.00,9.00,9.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5194547,6.00,6.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5194555,4.00,7.00,4.00,3.00,4.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5194571,6.00,4.00,1.00,7.00,6.00,8.63,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5194580,7.00,6.00,2.00,7.00,6.00,10.13,4.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5194598,4.00,6.00,0.00,1.00,6.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5194601,4.00,7.00,3.00,7.00,8.00,9.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5194628,4.00,7.00,0.00,4.00,7.00,8.63,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5194644,4.00,6.00,1.00,6.00,6.00,7.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5194652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5194660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5194679,5.00,6.00,1.00,6.00,5.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5194687,7.00,5.00,1.00,6.00,9.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5194695,6.00,6.00,4.00,5.00,4.00,5.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5194741,6.00,8.00,3.00,5.00,10.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5194750,2.00,4.00,2.00,2.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5194768,2.00,4.00,0.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5194776,3.00,2.00,0.00,5.00,4.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5194784,7.00,5.00,4.00,7.00,8.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5194792,4.00,2.00,0.00,3.00,5.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5194806,3.00,0.00,5.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5194814,4.00,5.00,3.00,6.00,6.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5194822,9.00,6.00,5.00,7.00,10.00,10.50,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5194830,8.00,4.00,3.00,7.00,8.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5194849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5194857,8.00,7.00,5.00,5.00,10.00,10.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5194865,3.00,4.00,3.00,7.00,9.00,7.13,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5194873,4.00,5.00,1.00,1.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5194881,5.00,5.00,0.00,4.00,7.00,NULL,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5194890,3.00,4.00,2.00,4.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5194911,8.00,8.00,5.00,7.00,10.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5194920,3.00,6.00,2.00,5.00,5.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5194946,8.00,8.00,8.00,7.00,9.00,10.88,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5194954,8.00,7.00,6.00,6.00,7.00,8.25,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5194962,5.00,7.00,3.00,7.00,6.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5194970,3.00,5.00,3.00,2.00,4.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5194989,8.00,7.00,3.00,6.00,9.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5194997,6.00,6.00,3.00,7.00,7.00,10.88,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5195004,4.00,4.00,2.00,3.00,9.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5195012,8.00,7.00,6.00,7.00,9.00,7.88,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5195020,6.00,5.00,4.00,3.00,7.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5195039,6.00,6.00,4.00,4.00,7.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5195047,9.00,8.00,3.00,8.00,8.00,13.13,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5195055,6.00,6.00,4.00,7.00,7.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5195063,3.00,8.00,4.00,6.00,8.00,0.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5195071,5.00,7.00,4.00,3.00,4.00,7.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5195098,2.00,0.00,3.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5195101,4.00,3.00,0.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5195110,9.00,9.00,8.00,7.00,10.00,9.00,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5195128,9.00,8.00,8.00,8.00,11.00,13.50,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5195136,4.00,5.00,4.00,7.00,9.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5195144,6.00,6.00,3.00,6.00,5.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5195160,8.00,8.00,4.00,7.00,10.00,9.75,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5195179,7.00,7.00,5.00,7.00,8.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5195187,4.00,4.00,1.00,7.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5195195,9.00,7.00,3.00,5.00,5.00,9.00,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5195209,2.00,3.00,3.00,4.00,7.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5195217,5.00,7.00,2.00,4.00,8.00,8.25,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5195225,6.00,0.00,2.00,4.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5195250,6.00,3.00,2.00,4.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5195268,8.00,7.00,1.00,5.00,9.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5195276,4.00,6.00,1.00,3.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5195284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5195292,2.00,4.00,1.00,3.00,2.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5195306,4.00,6.00,0.00,5.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5195314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5195330,3.00,2.00,1.00,2.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5195349,5.00,3.00,0.00,3.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5195365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5195381,9.00,7.00,8.00,7.00,10.00,9.38,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5195390,8.00,7.00,3.00,6.00,9.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5195403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5195411,3.00,3.00,4.00,4.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5195438,7.00,6.00,3.00,4.00,6.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5195454,1.00,4.00,2.00,6.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5195462,4.00,5.00,0.00,6.00,6.00,NULL,2.00,2.00,5.00,NULL,NULL,'S','S'),(20,5195470,9.00,7.00,7.00,7.00,9.00,12.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5195489,7.00,6.00,7.00,7.00,7.00,8.63,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5195497,3.00,3.00,1.00,2.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5195500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5195527,7.00,7.00,7.00,6.00,8.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5195535,3.00,7.00,2.00,5.00,9.00,11.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5195543,5.00,5.00,2.00,3.00,4.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5195551,5.00,5.00,3.00,2.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5195560,7.00,2.00,0.00,3.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5195578,7.00,7.00,3.00,4.00,5.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5195586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5195594,2.00,3.00,2.00,2.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5195608,7.00,8.00,2.00,6.00,7.00,9.75,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5195616,2.00,5.00,1.00,2.00,6.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5195624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5195632,4.00,5.00,4.00,7.00,7.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5195640,6.00,7.00,2.00,7.00,5.00,8.63,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5195659,9.00,6.00,1.00,5.00,10.00,10.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5195667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5195675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5195683,6.00,5.00,0.00,5.00,7.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5195691,9.00,9.00,9.00,7.00,10.00,10.13,8.00,6.00,10.00,NULL,NULL,NULL,'N'),(20,5195705,3.00,5.00,1.00,4.00,6.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5195721,1.00,4.00,1.00,5.00,4.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5195730,2.00,4.00,0.00,1.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5195764,5.00,7.00,3.00,7.00,7.00,9.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5195772,5.00,5.00,2.00,4.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5195780,8.00,6.00,2.00,5.00,9.00,12.00,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5195799,8.00,5.00,0.00,4.00,9.00,NULL,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5195802,7.00,8.00,7.00,2.00,8.00,8.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5195810,6.00,6.00,5.00,7.00,6.00,10.88,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5195829,5.00,4.00,4.00,3.00,7.00,8.25,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5195837,5.00,5.00,0.00,5.00,7.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5195845,5.00,6.00,1.00,4.00,7.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5195853,4.00,5.00,3.00,4.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,'S','S'),(20,5195861,1.00,4.00,1.00,3.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5195870,5.00,0.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5195888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5195896,4.00,7.00,2.00,4.00,6.00,7.50,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5195918,3.00,5.00,0.00,1.00,5.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5195926,7.00,6.00,5.00,3.00,7.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5195942,7.00,6.00,5.00,6.00,8.00,8.25,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5195950,4.00,7.00,1.00,2.00,9.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5195969,5.00,5.00,1.00,5.00,7.00,9.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5196000,7.00,4.00,2.00,4.00,4.00,10.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5196019,9.00,8.00,8.00,7.00,10.00,9.38,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5196035,2.00,5.00,0.00,6.00,9.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5196043,5.00,4.00,1.00,7.00,7.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5196051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5196078,5.00,5.00,2.00,5.00,6.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5196086,6.00,6.00,3.00,5.00,8.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5196094,7.00,7.00,5.00,5.00,7.00,7.13,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5196108,9.00,6.00,8.00,6.00,8.00,7.88,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5196124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5196132,5.00,4.00,0.00,3.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5196140,7.00,8.00,3.00,5.00,7.00,10.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5196159,7.00,6.00,6.00,7.00,9.00,15.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5196167,5.00,4.00,2.00,5.00,5.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5196175,3.00,3.00,0.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5196191,5.00,5.00,2.00,6.00,4.00,9.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5196205,3.00,7.00,3.00,4.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5196213,5.00,6.00,1.00,6.00,9.00,8.63,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5196221,4.00,7.00,4.00,5.00,4.00,10.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5196230,5.00,8.00,3.00,5.00,8.00,6.38,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5196248,5.00,4.00,0.00,3.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5196256,6.00,8.00,3.00,6.00,9.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5196264,2.00,5.00,1.00,5.00,6.00,NULL,1.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5196272,7.00,5.00,2.00,7.00,8.00,7.88,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5196280,9.00,8.00,5.00,7.00,10.00,9.00,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5196299,8.00,8.00,7.00,7.00,9.00,9.38,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5196302,4.00,4.00,5.00,3.00,5.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5196310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5196329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5196337,8.00,7.00,3.00,7.00,6.00,6.75,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5196345,7.00,6.00,2.00,6.00,9.00,8.63,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5196353,4.00,6.00,4.00,6.00,8.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5196361,1.00,3.00,1.00,2.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5196370,1.00,6.00,1.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5196388,5.00,7.00,4.00,3.00,7.00,8.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5196396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5196400,4.00,4.00,0.00,0.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5196418,9.00,7.00,5.00,8.00,9.00,11.25,2.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5196426,8.00,7.00,5.00,6.00,8.00,9.38,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5196434,5.00,8.00,2.00,7.00,5.00,10.88,2.00,1.00,5.00,NULL,NULL,NULL,'S'),(20,5196442,9.00,9.00,3.00,7.00,7.00,6.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5196469,8.00,6.00,3.00,7.00,9.00,11.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5196477,4.00,3.00,2.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5196485,2.00,3.00,1.00,3.00,3.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5196493,4.00,4.00,0.00,4.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5196507,6.00,3.00,2.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5196515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5196531,9.00,8.00,4.00,7.00,7.00,9.38,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5196566,9.00,8.00,3.00,6.00,7.00,11.25,5.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5196574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5196582,9.00,6.00,4.00,5.00,9.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5196590,4.00,2.00,1.00,4.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5196604,9.00,8.00,6.00,7.00,9.00,11.63,7.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5196612,5.00,6.00,3.00,7.00,6.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5196639,5.00,6.00,6.00,4.00,3.00,NULL,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5196647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5196663,2.00,0.00,0.00,3.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5196671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5196680,6.00,7.00,3.00,7.00,7.00,9.00,2.00,3.00,7.00,NULL,NULL,NULL,'S'),(20,5196698,7.00,5.00,2.00,6.00,7.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5196701,6.00,5.00,5.00,7.00,8.00,6.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5196710,4.00,4.00,3.00,5.00,4.00,7.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5196728,7.00,8.00,4.00,6.00,7.00,10.88,2.00,5.00,5.00,NULL,NULL,NULL,'S'),(20,5196744,7.00,6.00,5.00,8.00,5.00,9.75,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5196752,7.00,5.00,3.00,5.00,5.00,7.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5196760,6.00,5.00,3.00,4.00,7.00,10.13,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5196779,9.00,6.00,5.00,7.00,9.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5196795,7.00,7.00,2.00,4.00,6.00,9.00,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5196817,4.00,4.00,2.00,6.00,7.00,6.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5196825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5196833,8.00,7.00,5.00,7.00,10.00,8.63,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5196841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5196868,9.00,8.00,9.00,7.00,10.00,10.88,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5196876,6.00,7.00,0.00,7.00,7.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5196884,6.00,5.00,4.00,7.00,3.00,NULL,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5196892,8.00,7.00,7.00,7.00,11.00,9.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5196906,6.00,7.00,2.00,7.00,7.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5196914,9.00,6.00,7.00,7.00,10.00,8.63,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5196922,3.00,4.00,1.00,6.00,4.00,12.75,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5196930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5196957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5196965,9.00,6.00,6.00,4.00,10.00,9.75,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5196973,8.00,6.00,3.00,3.00,6.00,NULL,1.00,5.00,2.00,NULL,NULL,'S','N'),(20,5196981,4.00,7.00,5.00,6.00,8.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5196990,2.00,5.00,1.00,4.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5197007,7.00,7.00,1.00,4.00,9.00,11.25,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5197015,6.00,6.00,1.00,6.00,7.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5197023,5.00,6.00,6.00,4.00,8.00,4.88,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5197066,2.00,5.00,0.00,3.00,5.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5197082,8.00,9.00,3.00,7.00,11.00,9.00,0.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5197090,8.00,7.00,1.00,7.00,9.00,7.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5197104,4.00,7.00,4.00,4.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5197112,7.00,5.00,4.00,7.00,8.00,10.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5197120,8.00,6.00,4.00,6.00,8.00,10.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5197147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5197163,9.00,5.00,3.00,7.00,7.00,9.00,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5197171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5197180,6.00,5.00,4.00,7.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5197198,5.00,4.00,4.00,6.00,6.00,10.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5197210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5197228,4.00,3.00,1.00,5.00,7.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5197236,5.00,6.00,1.00,5.00,6.00,NULL,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5197244,6.00,6.00,2.00,7.00,8.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5197252,6.00,7.00,4.00,3.00,7.00,7.13,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5197260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5197279,8.00,7.00,5.00,6.00,7.00,11.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5197287,7.00,7.00,4.00,6.00,7.00,7.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5197295,4.00,3.00,1.00,6.00,6.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5197309,8.00,6.00,5.00,5.00,10.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5197317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5197325,3.00,7.00,3.00,5.00,7.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5197333,3.00,7.00,6.00,7.00,4.00,13.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5197341,1.00,6.00,2.00,7.00,6.00,8.25,2.00,1.00,5.00,NULL,NULL,NULL,'S'),(20,5197350,8.00,6.00,3.00,7.00,7.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5197376,0.00,3.00,1.00,4.00,2.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5197392,9.00,8.00,4.00,7.00,10.00,9.38,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5197406,6.00,8.00,4.00,6.00,10.00,9.75,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5197414,4.00,4.00,2.00,6.00,4.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5197422,8.00,6.00,0.00,7.00,8.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5197430,6.00,7.00,6.00,7.00,7.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5197449,5.00,5.00,4.00,6.00,6.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5197457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5197465,6.00,8.00,2.00,7.00,6.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5197481,6.00,7.00,3.00,5.00,5.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5197490,4.00,8.00,2.00,5.00,4.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5197503,3.00,6.00,0.00,5.00,5.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5197511,6.00,5.00,4.00,6.00,6.00,10.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5197520,3.00,6.00,2.00,4.00,5.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5197538,6.00,8.00,4.00,5.00,6.00,11.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5197546,5.00,7.00,5.00,7.00,8.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5197554,6.00,6.00,3.00,5.00,5.00,7.88,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5197570,3.00,4.00,1.00,1.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5197597,9.00,9.00,3.00,7.00,8.00,7.13,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5197600,3.00,3.00,3.00,4.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5197619,8.00,7.00,4.00,4.00,9.00,9.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5197635,5.00,7.00,2.00,6.00,8.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5197643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5197651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5197660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5197678,2.00,3.00,0.00,2.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5197686,7.00,7.00,3.00,3.00,5.00,7.50,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5197694,8.00,6.00,6.00,6.00,9.00,9.38,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5197716,9.00,7.00,7.00,7.00,10.00,9.00,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5197724,6.00,7.00,3.00,8.00,7.00,12.75,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(20,5197732,7.00,6.00,4.00,5.00,8.00,7.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5197740,8.00,8.00,3.00,7.00,9.00,10.50,6.00,1.00,8.00,NULL,NULL,NULL,'N'),(20,5197759,9.00,9.00,6.00,7.00,10.00,9.75,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5197767,7.00,8.00,6.00,7.00,9.00,8.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5197775,8.00,5.00,1.00,5.00,4.00,9.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5197791,6.00,7.00,3.00,6.00,7.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5197805,6.00,6.00,4.00,5.00,5.00,8.63,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5197813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5197821,5.00,6.00,4.00,7.00,8.00,9.38,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5197864,0.00,5.00,0.00,0.00,0.00,NULL,4.00,4.00,5.00,'S',NULL,'S','N'),(20,5197872,4.00,6.00,4.00,4.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5197880,7.00,6.00,0.00,7.00,10.00,9.75,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5197899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5197902,5.00,8.00,4.00,5.00,6.00,6.00,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5197910,5.00,6.00,0.00,3.00,7.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5197937,5.00,5.00,0.00,3.00,8.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5197945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5197953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5197961,7.00,4.00,5.00,6.00,5.00,10.50,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5197970,3.00,3.00,1.00,4.00,7.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5197988,6.00,5.00,4.00,5.00,5.00,6.38,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5197996,3.00,7.00,3.00,3.00,5.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5198003,3.00,2.00,2.00,7.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5198046,4.00,4.00,0.00,4.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5198054,8.00,4.00,2.00,5.00,10.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5198089,4.00,5.00,0.00,1.00,1.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5198097,7.00,5.00,3.00,7.00,5.00,8.25,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5198100,2.00,4.00,0.00,4.00,5.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5198127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5198143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5198151,6.00,4.00,3.00,7.00,7.00,7.13,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5198194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5198208,7.00,6.00,5.00,8.00,5.00,10.50,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5198216,4.00,4.00,3.00,5.00,6.00,6.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5198224,5.00,4.00,0.00,6.00,4.00,9.75,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5198232,3.00,3.00,1.00,4.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5198240,2.00,5.00,0.00,4.00,6.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5198259,8.00,7.00,8.00,7.00,9.00,10.88,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5198267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5198275,6.00,4.00,5.00,4.00,6.00,7.88,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5198283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5198305,9.00,8.00,6.00,5.00,6.00,7.88,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5198313,8.00,7.00,1.00,6.00,9.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5198330,7.00,6.00,4.00,0.00,5.00,11.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5198348,8.00,6.00,1.00,6.00,9.00,8.63,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5198356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5198364,7.00,6.00,4.00,3.00,8.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5198372,9.00,8.00,4.00,7.00,10.00,12.75,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5198380,9.00,5.00,1.00,6.00,8.00,11.25,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5198399,2.00,3.00,1.00,5.00,7.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5198410,7.00,6.00,1.00,4.00,8.00,7.88,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5198429,3.00,6.00,2.00,3.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5198437,4.00,1.00,0.00,2.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5198445,4.00,5.00,2.00,5.00,5.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5198453,8.00,5.00,3.00,5.00,6.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5198461,1.00,5.00,2.00,3.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5198470,4.00,4.00,1.00,5.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5198488,8.00,6.00,5.00,5.00,8.00,7.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5198500,3.00,4.00,1.00,6.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5198526,9.00,7.00,5.00,3.00,8.00,7.88,3.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5198534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5198577,4.00,4.00,3.00,7.00,4.00,10.50,3.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5198585,5.00,8.00,4.00,7.00,7.00,8.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5198593,4.00,5.00,0.00,3.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5198631,7.00,8.00,2.00,7.00,9.00,8.63,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5198658,3.00,7.00,3.00,6.00,9.00,8.63,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5198666,4.00,5.00,2.00,4.00,7.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5198674,2.00,4.00,0.00,3.00,4.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5198682,3.00,4.00,5.00,7.00,7.00,8.63,8.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5198739,8.00,7.00,2.00,4.00,8.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5198747,6.00,4.00,2.00,3.00,5.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5198755,9.00,6.00,6.00,6.00,9.00,7.50,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5198763,2.00,3.00,4.00,2.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5198771,7.00,8.00,2.00,6.00,6.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5198798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5198801,4.00,3.00,1.00,2.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5198810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5198828,8.00,6.00,1.00,5.00,10.00,9.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5198836,5.00,4.00,3.00,4.00,4.00,9.00,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5198844,7.00,7.00,6.00,7.00,9.00,8.25,6.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5198852,9.00,4.00,3.00,7.00,9.00,10.13,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5198879,4.00,6.00,1.00,3.00,6.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5198887,0.00,2.00,2.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5198895,4.00,6.00,3.00,3.00,7.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5198917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5198933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5198976,3.00,4.00,4.00,5.00,6.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5198992,6.00,4.00,1.00,5.00,9.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5199000,6.00,7.00,1.00,6.00,6.00,9.00,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5199034,5.00,7.00,2.00,5.00,9.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5199042,2.00,5.00,2.00,1.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5199050,5.00,7.00,2.00,6.00,5.00,8.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5199069,9.00,8.00,9.00,5.00,8.00,9.00,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5199077,4.00,3.00,2.00,2.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5199085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5199093,5.00,6.00,2.00,7.00,9.00,9.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5199107,7.00,7.00,6.00,3.00,8.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5199115,4.00,7.00,2.00,5.00,8.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5199123,3.00,3.00,2.00,4.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5199131,6.00,5.00,3.00,4.00,8.00,11.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5199140,5.00,7.00,1.00,4.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5199174,4.00,7.00,7.00,5.00,3.00,NULL,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5199182,9.00,8.00,4.00,7.00,10.00,9.38,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5199190,6.00,4.00,1.00,5.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5199204,7.00,8.00,5.00,6.00,9.00,12.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5199263,3.00,4.00,0.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5199271,8.00,6.00,6.00,4.00,7.00,8.63,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5199298,7.00,5.00,0.00,6.00,6.00,NULL,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5199301,8.00,6.00,7.00,6.00,9.00,10.13,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5199328,6.00,4.00,0.00,5.00,9.00,NULL,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5199336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5199344,7.00,6.00,2.00,4.00,4.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5199360,4.00,5.00,0.00,6.00,6.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5199387,6.00,5.00,2.00,7.00,7.00,8.63,0.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5199395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5199409,5.00,5.00,0.00,5.00,5.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5199425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5199433,5.00,4.00,1.00,3.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5199441,7.00,7.00,3.00,5.00,7.00,9.75,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5199476,8.00,8.00,7.00,7.00,8.00,10.13,7.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5199484,4.00,6.00,0.00,2.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5199492,8.00,6.00,7.00,7.00,8.00,9.38,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5199506,8.00,8.00,4.00,7.00,10.00,8.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5199514,3.00,3.00,0.00,4.00,3.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5199522,7.00,7.00,0.00,6.00,3.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5199530,2.00,6.00,3.00,4.00,7.00,7.50,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5199549,3.00,4.00,1.00,6.00,7.00,10.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5199557,7.00,7.00,4.00,5.00,8.00,10.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5199565,5.00,5.00,4.00,4.00,5.00,12.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5199581,8.00,8.00,6.00,7.00,9.00,11.25,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5199590,6.00,5.00,1.00,3.00,5.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5199603,5.00,8.00,3.00,5.00,7.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5199611,5.00,7.00,1.00,4.00,9.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5199620,5.00,6.00,4.00,3.00,5.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5199654,5.00,5.00,2.00,4.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5199689,5.00,6.00,3.00,5.00,6.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5199697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5199735,4.00,2.00,4.00,5.00,6.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5199751,3.00,8.00,0.00,1.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5199760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5199778,3.00,5.00,3.00,4.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5199786,6.00,7.00,6.00,5.00,3.00,NULL,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5199808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5199824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5199840,5.00,6.00,4.00,5.00,6.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5199859,7.00,5.00,4.00,5.00,7.00,8.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5199867,5.00,4.00,2.00,3.00,7.00,8.63,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5199875,4.00,4.00,4.00,5.00,7.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5199883,8.00,7.00,4.00,7.00,6.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5199891,2.00,6.00,1.00,5.00,8.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5199905,3.00,7.00,0.00,4.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5199913,6.00,6.00,0.00,5.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5199921,5.00,5.00,4.00,6.00,4.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5199930,5.00,4.00,2.00,3.00,7.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5199948,8.00,9.00,8.00,7.00,11.00,13.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5199964,7.00,5.00,6.00,5.00,7.00,10.13,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5199972,8.00,6.00,3.00,6.00,8.00,6.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5199980,7.00,5.00,2.00,5.00,9.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5199999,4.00,3.00,2.00,4.00,6.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5200016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5200024,6.00,7.00,0.00,6.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5200032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5200059,6.00,6.00,3.00,7.00,9.00,8.63,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5200067,5.00,5.00,1.00,7.00,8.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5200075,8.00,7.00,4.00,5.00,9.00,9.38,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5200083,5.00,5.00,3.00,2.00,6.00,6.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5200091,6.00,8.00,8.00,4.00,7.00,8.25,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5200130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5200148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5200156,9.00,7.00,7.00,5.00,10.00,9.75,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5200172,6.00,6.00,3.00,3.00,5.00,3.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5200180,8.00,6.00,1.00,3.00,7.00,6.75,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5200199,9.00,6.00,5.00,6.00,10.00,9.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5200202,9.00,9.00,7.00,7.00,11.00,10.50,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5200210,5.00,4.00,0.00,4.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5200229,3.00,4.00,1.00,2.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5200237,5.00,7.00,4.00,6.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5200245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5200253,7.00,6.00,2.00,6.00,8.00,6.38,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5200261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5200270,7.00,6.00,5.00,7.00,8.00,7.13,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5200288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5200296,6.00,7.00,1.00,7.00,5.00,9.75,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5200300,5.00,8.00,2.00,5.00,6.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5200326,5.00,5.00,3.00,6.00,7.00,9.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5200334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5200342,5.00,5.00,1.00,4.00,7.00,7.88,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5200369,7.00,6.00,3.00,5.00,7.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5200377,7.00,7.00,3.00,5.00,6.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5200385,9.00,7.00,6.00,7.00,8.00,10.88,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5200393,5.00,4.00,3.00,4.00,6.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5200407,7.00,5.00,4.00,2.00,5.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5200415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5200423,6.00,7.00,3.00,6.00,6.00,10.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5200431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5200440,6.00,6.00,0.00,5.00,4.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5200458,4.00,6.00,2.00,8.00,9.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5200466,9.00,6.00,4.00,6.00,8.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5200474,8.00,8.00,1.00,7.00,7.00,7.50,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5200482,7.00,5.00,2.00,4.00,7.00,10.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5200490,6.00,5.00,4.00,6.00,4.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5200504,2.00,4.00,0.00,1.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5200512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5200520,2.00,5.00,3.00,1.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5200539,9.00,7.00,5.00,7.00,4.00,9.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5200547,2.00,3.00,1.00,2.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5200555,5.00,3.00,1.00,0.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5200563,7.00,6.00,0.00,6.00,8.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5200580,2.00,4.00,0.00,4.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5200598,3.00,6.00,2.00,6.00,7.00,10.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5200601,3.00,6.00,5.00,6.00,7.00,8.25,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5200610,4.00,3.00,0.00,6.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5200628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5200636,9.00,9.00,6.00,5.00,11.00,10.88,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5200644,3.00,5.00,1.00,5.00,5.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5200652,6.00,6.00,7.00,5.00,7.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5200660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5200679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5200687,9.00,7.00,4.00,7.00,10.00,8.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5200695,8.00,9.00,2.00,7.00,9.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5200709,6.00,7.00,4.00,6.00,7.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5200717,5.00,0.00,3.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5200733,3.00,6.00,1.00,2.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5200741,7.00,4.00,2.00,6.00,10.00,8.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5200750,2.00,3.00,3.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5200768,9.00,5.00,5.00,4.00,5.00,9.38,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5200776,8.00,3.00,3.00,3.00,6.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5200784,7.00,6.00,4.00,8.00,9.00,10.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5200792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5200806,7.00,6.00,5.00,7.00,8.00,8.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5200822,6.00,5.00,0.00,2.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5200830,9.00,6.00,4.00,7.00,10.00,8.63,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5200849,2.00,5.00,0.00,4.00,6.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5200857,7.00,7.00,4.00,5.00,8.00,10.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5200865,5.00,6.00,3.00,2.00,5.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5200873,4.00,6.00,0.00,5.00,5.00,7.13,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5200881,5.00,6.00,4.00,7.00,6.00,7.88,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5200890,7.00,8.00,4.00,4.00,9.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5200911,4.00,5.00,4.00,3.00,7.00,12.00,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5200920,3.00,6.00,0.00,2.00,8.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5200938,7.00,6.00,1.00,7.00,7.00,7.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5200946,9.00,7.00,4.00,7.00,7.00,6.00,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5200962,4.00,4.00,1.00,5.00,2.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5200970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5200989,5.00,5.00,0.00,5.00,8.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'S'),(20,5201004,6.00,8.00,3.00,2.00,8.00,7.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(20,5201012,7.00,6.00,4.00,5.00,6.00,6.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5201020,9.00,6.00,2.00,6.00,8.00,5.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5201039,3.00,4.00,2.00,5.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5201047,6.00,6.00,3.00,4.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5201071,3.00,4.00,3.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5201080,3.00,8.00,4.00,7.00,8.00,8.63,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5201098,6.00,6.00,4.00,5.00,8.00,10.88,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5201101,5.00,7.00,2.00,5.00,5.00,9.75,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5201110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5201128,1.00,2.00,1.00,2.00,6.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5201136,7.00,6.00,1.00,4.00,2.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5201144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5201160,8.00,8.00,9.00,7.00,10.00,10.88,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5201179,5.00,4.00,4.00,7.00,4.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5201187,3.00,1.00,0.00,5.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5201195,4.00,3.00,1.00,2.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5201209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5201217,8.00,7.00,7.00,6.00,9.00,10.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5201233,8.00,8.00,3.00,4.00,7.00,9.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5201241,8.00,6.00,2.00,3.00,8.00,0.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5201250,5.00,7.00,3.00,3.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5201268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5201276,6.00,4.00,2.00,5.00,6.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5201292,6.00,5.00,3.00,6.00,6.00,10.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5201306,2.00,3.00,1.00,4.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5201314,5.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(20,5201322,5.00,4.00,1.00,2.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5201349,4.00,6.00,2.00,4.00,6.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5201365,1.00,4.00,0.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5201381,4.00,3.00,2.00,5.00,4.00,10.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5201390,6.00,7.00,6.00,6.00,6.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5201403,4.00,3.00,1.00,6.00,8.00,7.88,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5201411,4.00,4.00,0.00,3.00,5.00,NULL,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5201420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5201446,6.00,5.00,2.00,5.00,5.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5201454,3.00,6.00,1.00,2.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5201462,6.00,5.00,4.00,5.00,8.00,10.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5201489,5.00,4.00,1.00,6.00,6.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5201500,6.00,5.00,1.00,3.00,3.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5201527,3.00,5.00,5.00,3.00,5.00,10.13,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5201535,3.00,5.00,1.00,2.00,1.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5201551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5201560,5.00,7.00,4.00,4.00,8.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5201578,6.00,5.00,2.00,6.00,3.00,NULL,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5201586,6.00,7.00,7.00,6.00,10.00,9.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5201608,1.00,5.00,4.00,7.00,7.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5201616,6.00,5.00,1.00,7.00,7.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5201624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5201632,5.00,7.00,3.00,2.00,5.00,4.88,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5201640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5201659,5.00,6.00,0.00,4.00,7.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5201667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5201675,8.00,7.00,5.00,6.00,7.00,9.38,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5201683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5201691,3.00,4.00,1.00,4.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5201705,8.00,7.00,4.00,7.00,7.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5201713,2.00,2.00,1.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5201721,5.00,7.00,2.00,7.00,9.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5201730,6.00,3.00,2.00,4.00,7.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5201748,4.00,5.00,4.00,7.00,4.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5201756,4.00,6.00,2.00,7.00,7.00,10.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5201764,5.00,3.00,2.00,4.00,6.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5201772,8.00,6.00,1.00,6.00,8.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5201780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5201802,3.00,7.00,4.00,1.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5201829,8.00,8.00,5.00,6.00,10.00,9.38,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5201837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5201845,8.00,8.00,4.00,5.00,9.00,8.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5201861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5201870,9.00,7.00,5.00,7.00,8.00,10.13,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5201888,2.00,3.00,1.00,3.00,1.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5201918,2.00,6.00,1.00,5.00,8.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5201942,8.00,5.00,3.00,6.00,9.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5201950,0.00,5.00,0.00,2.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5201969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5201977,2.00,3.00,3.00,2.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5201985,5.00,5.00,0.00,3.00,3.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5201993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5202000,4.00,1.00,1.00,5.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5202035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5202043,6.00,6.00,3.00,6.00,9.00,9.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5202051,8.00,8.00,4.00,7.00,8.00,10.13,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5202060,7.00,8.00,8.00,6.00,8.00,10.88,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5202078,8.00,7.00,2.00,6.00,10.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5202086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5202094,7.00,4.00,2.00,4.00,6.00,9.38,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5202116,7.00,5.00,2.00,6.00,7.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5202124,6.00,7.00,5.00,7.00,7.00,10.50,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5202159,9.00,8.00,6.00,7.00,9.00,11.63,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5202175,7.00,7.00,6.00,5.00,9.00,9.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5202183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5202191,5.00,3.00,2.00,4.00,5.00,7.13,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5202205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5202213,7.00,6.00,4.00,7.00,10.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5202230,6.00,4.00,0.00,4.00,5.00,7.50,0.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5202248,6.00,4.00,1.00,8.00,8.00,10.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5202256,5.00,4.00,5.00,2.00,5.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5202264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5202272,8.00,6.00,5.00,7.00,8.00,11.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5202280,5.00,4.00,4.00,6.00,7.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5202299,1.00,3.00,1.00,6.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5202302,2.00,3.00,2.00,4.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5202310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5202329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5202337,4.00,4.00,0.00,4.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5202345,6.00,4.00,1.00,5.00,8.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5202353,9.00,6.00,8.00,6.00,6.00,8.25,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5202361,8.00,5.00,2.00,6.00,8.00,4.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5202370,7.00,8.00,4.00,6.00,7.00,10.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5202388,5.00,8.00,4.00,6.00,9.00,6.38,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5202396,6.00,6.00,4.00,7.00,5.00,9.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5202400,2.00,2.00,2.00,5.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5202426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5202434,4.00,6.00,1.00,2.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5202442,5.00,5.00,4.00,4.00,3.00,NULL,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5202450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5202477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5202485,3.00,6.00,4.00,7.00,7.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5202493,7.00,6.00,4.00,8.00,10.00,8.25,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5202507,3.00,1.00,0.00,3.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5202515,8.00,5.00,2.00,0.00,7.00,9.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5202523,2.00,2.00,0.00,5.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5202531,9.00,7.00,3.00,7.00,10.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5202558,9.00,8.00,8.00,6.00,9.00,9.38,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5202566,6.00,3.00,1.00,4.00,6.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5202582,5.00,3.00,2.00,3.00,6.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5202590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5202604,4.00,8.00,2.00,6.00,7.00,9.00,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5202639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5202647,9.00,8.00,3.00,8.00,9.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5202655,7.00,7.00,2.00,4.00,5.00,7.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5202663,7.00,6.00,2.00,7.00,7.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5202671,8.00,3.00,3.00,6.00,4.00,6.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5202680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5202698,6.00,8.00,3.00,6.00,10.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5202710,7.00,9.00,1.00,7.00,9.00,10.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5202728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5202744,7.00,6.00,3.00,7.00,8.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5202752,4.00,6.00,1.00,3.00,4.00,9.38,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5202760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5202779,4.00,3.00,3.00,5.00,6.00,5.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5202787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5202795,5.00,7.00,3.00,3.00,6.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5202809,5.00,7.00,1.00,7.00,7.00,11.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5202817,4.00,4.00,2.00,4.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5202825,6.00,6.00,2.00,7.00,7.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5202833,5.00,6.00,4.00,7.00,7.00,8.25,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5202841,6.00,7.00,4.00,5.00,8.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5202868,6.00,6.00,4.00,6.00,9.00,8.63,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5202892,9.00,7.00,4.00,6.00,9.00,11.25,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5202906,4.00,7.00,2.00,7.00,5.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5202922,3.00,5.00,1.00,3.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5202930,9.00,8.00,4.00,6.00,9.00,12.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5202957,6.00,4.00,0.00,5.00,9.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5202965,4.00,6.00,2.00,8.00,6.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5202973,7.00,6.00,6.00,7.00,9.00,11.25,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5202981,4.00,3.00,2.00,7.00,6.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5202990,6.00,6.00,3.00,5.00,6.00,8.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5203007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5203031,3.00,4.00,0.00,2.00,5.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5203040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5203066,6.00,3.00,1.00,4.00,5.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5203074,2.00,2.00,2.00,4.00,4.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5203090,6.00,7.00,0.00,7.00,7.00,10.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5203112,7.00,8.00,4.00,5.00,9.00,10.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5203120,7.00,5.00,1.00,6.00,7.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5203139,2.00,4.00,0.00,3.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5203163,6.00,6.00,2.00,4.00,4.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5203171,9.00,7.00,6.00,7.00,9.00,8.63,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5203180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5203198,2.00,6.00,0.00,4.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5203201,4.00,4.00,4.00,6.00,7.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5203244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5203252,8.00,7.00,2.00,7.00,8.00,8.63,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5203260,8.00,8.00,4.00,6.00,8.00,6.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5203287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5203309,7.00,7.00,2.00,5.00,9.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5203317,5.00,4.00,1.00,5.00,4.00,9.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5203325,2.00,7.00,1.00,4.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5203341,3.00,5.00,2.00,4.00,1.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5203350,4.00,4.00,3.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5203368,7.00,7.00,4.00,7.00,6.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5203376,3.00,5.00,2.00,6.00,6.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5203384,2.00,3.00,1.00,2.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5203392,3.00,6.00,2.00,5.00,5.00,10.50,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5203422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5203430,2.00,3.00,3.00,0.00,1.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5203449,2.00,5.00,3.00,5.00,2.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5203457,6.00,6.00,4.00,5.00,9.00,9.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5203465,3.00,7.00,4.00,4.00,6.00,8.25,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5203473,5.00,5.00,3.00,6.00,7.00,7.88,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5203481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5203503,8.00,8.00,1.00,8.00,9.00,12.00,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5203520,6.00,7.00,3.00,2.00,6.00,10.88,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5203538,9.00,6.00,1.00,3.00,6.00,7.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5203546,3.00,5.00,3.00,2.00,6.00,4.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5203554,2.00,5.00,0.00,5.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5203562,3.00,2.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5203570,6.00,4.00,3.00,7.00,9.00,7.88,4.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5203589,4.00,8.00,2.00,3.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5203597,5.00,4.00,2.00,2.00,5.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5203600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5203619,4.00,5.00,0.00,4.00,9.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5203627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5203635,4.00,5.00,0.00,4.00,6.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5203643,3.00,6.00,1.00,4.00,4.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5203651,2.00,4.00,2.00,1.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,'S','N'),(20,5203678,6.00,7.00,1.00,7.00,5.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5203686,5.00,7.00,4.00,6.00,9.00,8.25,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5203694,8.00,8.00,7.00,6.00,9.00,10.50,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5203708,2.00,3.00,2.00,5.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5203716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5203724,3.00,3.00,0.00,7.00,6.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5203732,6.00,5.00,5.00,7.00,7.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5203759,7.00,5.00,2.00,6.00,6.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5203767,9.00,5.00,3.00,7.00,8.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5203775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5203791,6.00,5.00,1.00,4.00,8.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5203805,0.00,2.00,1.00,2.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5203813,6.00,7.00,3.00,7.00,10.00,11.63,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5203830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5203848,7.00,8.00,1.00,7.00,6.00,9.75,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5203856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5203864,8.00,7.00,5.00,5.00,6.00,6.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5203872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5203899,4.00,4.00,0.00,4.00,7.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5203929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5203937,5.00,3.00,3.00,6.00,6.00,7.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5203945,2.00,3.00,2.00,2.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5203953,1.00,5.00,0.00,6.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5203961,9.00,8.00,4.00,7.00,5.00,9.75,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5203970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5203988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5203996,3.00,4.00,5.00,5.00,4.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5204003,4.00,2.00,1.00,2.00,0.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5204011,4.00,7.00,0.00,7.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5204020,1.00,5.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5204038,7.00,9.00,3.00,6.00,8.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5204046,7.00,7.00,4.00,6.00,3.00,NULL,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5204054,3.00,5.00,0.00,5.00,7.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5204062,5.00,1.00,2.00,3.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5204070,3.00,4.00,4.00,3.00,7.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5204089,6.00,7.00,2.00,7.00,6.00,10.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5204100,8.00,7.00,6.00,6.00,9.00,9.38,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5204119,4.00,5.00,1.00,2.00,4.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5204127,3.00,3.00,0.00,4.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5204135,8.00,5.00,6.00,7.00,7.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5204143,2.00,6.00,1.00,2.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5204151,7.00,4.00,0.00,2.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5204160,8.00,6.00,2.00,5.00,6.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5204178,3.00,5.00,2.00,3.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5204186,5.00,7.00,5.00,4.00,7.00,10.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5204194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5204208,3.00,5.00,1.00,4.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5204216,3.00,6.00,4.00,4.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5204224,2.00,4.00,1.00,5.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5204232,6.00,6.00,1.00,5.00,4.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5204240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5204259,1.00,5.00,4.00,3.00,4.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5204267,1.00,1.00,0.00,1.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5204275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5204283,0.00,4.00,1.00,4.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5204291,5.00,7.00,2.00,4.00,5.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5204305,3.00,6.00,0.00,3.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5204330,1.00,4.00,0.00,3.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5204348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5204364,5.00,3.00,1.00,1.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5204372,4.00,3.00,3.00,7.00,5.00,10.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5204402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5204437,2.00,4.00,1.00,1.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5204445,1.00,3.00,1.00,3.00,6.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5204453,8.00,6.00,3.00,4.00,7.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5204461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5204470,2.00,7.00,2.00,5.00,4.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5204488,6.00,6.00,6.00,7.00,7.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5204496,6.00,8.00,4.00,7.00,6.00,9.00,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5204500,3.00,5.00,1.00,0.00,6.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5204518,5.00,5.00,2.00,4.00,8.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5204526,6.00,6.00,2.00,6.00,8.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5204534,4.00,6.00,3.00,3.00,5.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5204542,2.00,6.00,0.00,2.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5204550,5.00,6.00,1.00,4.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5204569,4.00,3.00,0.00,4.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5204577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5204593,3.00,5.00,1.00,5.00,8.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5204607,7.00,8.00,5.00,7.00,8.00,9.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5204615,5.00,7.00,3.00,5.00,5.00,10.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5204623,9.00,8.00,2.00,7.00,7.00,10.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5204631,4.00,5.00,1.00,3.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5204640,8.00,6.00,2.00,7.00,8.00,6.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5204690,3.00,4.00,1.00,4.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5204704,8.00,4.00,5.00,5.00,6.00,7.88,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5204712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5204739,8.00,7.00,5.00,7.00,10.00,10.50,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5204755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5204763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5204780,9.00,7.00,5.00,7.00,6.00,8.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5204801,8.00,7.00,4.00,6.00,10.00,8.25,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5204810,8.00,5.00,5.00,5.00,10.00,9.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5204828,4.00,7.00,1.00,3.00,8.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5204836,2.00,7.00,3.00,2.00,8.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5204844,7.00,7.00,4.00,4.00,9.00,9.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5204852,0.00,6.00,0.00,3.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5204860,9.00,4.00,0.00,6.00,6.00,6.38,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5204887,6.00,6.00,1.00,5.00,6.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5204895,5.00,7.00,0.00,4.00,9.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5204909,6.00,5.00,2.00,6.00,9.00,10.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5204933,9.00,7.00,2.00,4.00,5.00,6.75,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5204941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5204950,5.00,4.00,4.00,7.00,4.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5204968,8.00,5.00,5.00,7.00,7.00,10.13,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5204976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5204984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5204992,1.00,5.00,1.00,5.00,8.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5205000,4.00,5.00,5.00,5.00,5.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5205018,0.00,1.00,0.00,5.00,5.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'S'),(20,5205026,6.00,6.00,3.00,4.00,8.00,10.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5205034,3.00,2.00,2.00,3.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5205042,4.00,3.00,5.00,4.00,7.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5205050,5.00,6.00,3.00,4.00,6.00,6.75,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5205069,6.00,7.00,0.00,3.00,5.00,7.13,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5205077,5.00,7.00,2.00,4.00,5.00,7.13,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5205085,3.00,5.00,0.00,3.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5205093,9.00,8.00,4.00,7.00,9.00,10.13,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5205140,7.00,7.00,3.00,5.00,9.00,6.38,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5205166,2.00,6.00,4.00,5.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5205174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5205182,1.00,2.00,0.00,2.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5205204,0.00,5.00,2.00,1.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5205212,2.00,4.00,1.00,3.00,3.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5205220,6.00,5.00,3.00,6.00,7.00,7.50,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5205247,2.00,6.00,3.00,4.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5205255,4.00,6.00,0.00,6.00,4.00,8.25,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5205263,7.00,7.00,2.00,5.00,7.00,8.63,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5205271,3.00,4.00,1.00,4.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5205280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5205298,6.00,8.00,2.00,7.00,6.00,10.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5205301,6.00,6.00,0.00,6.00,7.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5205310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5205328,5.00,7.00,2.00,5.00,10.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5205336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5205344,1.00,4.00,0.00,4.00,4.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5205360,6.00,6.00,2.00,5.00,8.00,10.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5205379,3.00,3.00,1.00,5.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5205387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5205395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5205409,4.00,3.00,4.00,4.00,5.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5205417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5205425,8.00,7.00,5.00,7.00,8.00,9.00,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5205441,2.00,3.00,1.00,3.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5205450,2.00,3.00,0.00,5.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5205476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5205484,6.00,6.00,4.00,4.00,8.00,10.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5205506,6.00,7.00,2.00,4.00,5.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5205514,8.00,6.00,5.00,4.00,9.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5205522,8.00,8.00,5.00,7.00,8.00,8.63,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5205557,3.00,4.00,0.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5205565,5.00,4.00,1.00,7.00,4.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5205573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5205581,9.00,8.00,6.00,7.00,10.00,11.25,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5205590,5.00,7.00,1.00,4.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5205611,2.00,1.00,0.00,4.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5205620,3.00,7.00,2.00,4.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5205638,3.00,5.00,1.00,6.00,6.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5205654,3.00,3.00,0.00,4.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5205662,5.00,4.00,0.00,4.00,8.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5205670,7.00,6.00,6.00,5.00,2.00,NULL,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5205689,6.00,5.00,3.00,7.00,6.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5205697,4.00,7.00,2.00,5.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5205700,5.00,7.00,3.00,5.00,8.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5205719,7.00,5.00,2.00,7.00,10.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5205727,7.00,6.00,0.00,4.00,8.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5205743,5.00,6.00,1.00,3.00,5.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5205751,9.00,8.00,3.00,7.00,5.00,10.13,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5205760,5.00,6.00,8.00,5.00,4.00,9.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5205786,8.00,8.00,6.00,6.00,8.00,10.50,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5205794,8.00,6.00,5.00,7.00,7.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5205808,3.00,8.00,2.00,5.00,4.00,9.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5205816,4.00,6.00,2.00,4.00,7.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5205832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5205840,4.00,3.00,1.00,1.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5205859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5205867,3.00,6.00,3.00,7.00,5.00,10.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5205875,5.00,6.00,3.00,6.00,4.00,7.13,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5205883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5205891,5.00,7.00,3.00,5.00,8.00,10.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5205905,5.00,4.00,2.00,2.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5205913,8.00,5.00,4.00,5.00,10.00,9.75,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5205921,2.00,4.00,0.00,5.00,5.00,6.38,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5205956,7.00,5.00,0.00,7.00,7.00,8.25,3.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5205964,7.00,5.00,4.00,5.00,8.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5205972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5205980,7.00,5.00,0.00,4.00,5.00,7.88,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5206006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5206014,2.00,6.00,1.00,6.00,7.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5206022,5.00,5.00,3.00,6.00,6.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5206030,5.00,5.00,1.00,6.00,7.00,6.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5206049,7.00,6.00,3.00,6.00,9.00,10.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5206057,6.00,5.00,5.00,7.00,6.00,9.38,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5206065,2.00,3.00,0.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5206081,3.00,5.00,3.00,3.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5206090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5206103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5206111,3.00,5.00,1.00,5.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5206120,7.00,5.00,7.00,6.00,9.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5206138,6.00,4.00,2.00,7.00,6.00,7.50,2.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5206154,3.00,4.00,0.00,3.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5206189,5.00,6.00,2.00,5.00,9.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5206197,3.00,0.00,1.00,3.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5206200,6.00,6.00,1.00,7.00,7.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5206219,6.00,7.00,1.00,4.00,6.00,9.00,0.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5206235,4.00,2.00,1.00,5.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5206243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5206260,7.00,3.00,0.00,6.00,7.00,8.63,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5206278,8.00,6.00,6.00,7.00,7.00,7.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5206286,1.00,4.00,0.00,2.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5206294,1.00,5.00,0.00,5.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5206316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5206324,2.00,2.00,3.00,2.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5206359,7.00,6.00,3.00,3.00,5.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5206367,5.00,7.00,4.00,7.00,7.00,8.25,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5206375,9.00,9.00,8.00,8.00,8.00,11.25,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5206405,2.00,5.00,0.00,6.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5206421,2.00,3.00,0.00,7.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5206448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5206456,6.00,6.00,1.00,7.00,4.00,7.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5206464,6.00,5.00,1.00,7.00,7.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5206472,2.00,5.00,0.00,3.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5206480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5206499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5206502,6.00,3.00,3.00,5.00,6.00,6.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5206529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5206537,6.00,3.00,4.00,4.00,6.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5206545,5.00,6.00,2.00,7.00,5.00,13.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5206553,5.00,7.00,5.00,5.00,9.00,12.00,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5206561,8.00,9.00,4.00,5.00,7.00,8.25,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5206570,8.00,7.00,7.00,7.00,6.00,6.00,2.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5206588,8.00,7.00,4.00,7.00,8.00,9.00,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5206596,3.00,4.00,1.00,4.00,6.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5206600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5206618,4.00,4.00,1.00,8.00,7.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5206626,4.00,3.00,2.00,4.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5206650,3.00,3.00,2.00,1.00,5.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5206677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5206685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5206707,7.00,7.00,3.00,7.00,9.00,11.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5206731,8.00,6.00,6.00,6.00,8.00,9.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5206758,5.00,5.00,2.00,4.00,5.00,6.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5206766,6.00,4.00,3.00,5.00,5.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5206774,4.00,7.00,4.00,6.00,7.00,8.25,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5206782,9.00,6.00,4.00,8.00,9.00,10.88,8.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5206790,7.00,7.00,4.00,6.00,8.00,6.75,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5206812,9.00,8.00,7.00,7.00,10.00,11.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5206839,3.00,5.00,0.00,4.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5206847,8.00,8.00,6.00,7.00,9.00,9.38,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5206855,5.00,7.00,1.00,5.00,9.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5206863,5.00,7.00,4.00,6.00,8.00,9.00,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5206871,3.00,4.00,0.00,4.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5206880,4.00,6.00,5.00,6.00,7.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5206898,5.00,4.00,3.00,5.00,8.00,8.63,1.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5206901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5206910,7.00,6.00,3.00,6.00,9.00,9.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5206928,9.00,7.00,2.00,6.00,8.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5206936,2.00,3.00,7.00,7.00,2.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5206952,5.00,5.00,2.00,7.00,5.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5206960,5.00,5.00,1.00,7.00,7.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5206987,4.00,1.00,3.00,4.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5207002,7.00,6.00,6.00,5.00,8.00,9.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5207010,8.00,6.00,7.00,4.00,7.00,6.00,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5207029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5207045,2.00,3.00,4.00,5.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5207053,7.00,7.00,1.00,5.00,6.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5207061,4.00,5.00,4.00,7.00,5.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5207070,2.00,5.00,1.00,4.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5207088,5.00,8.00,0.00,5.00,8.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5207096,4.00,7.00,4.00,7.00,5.00,6.75,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5207100,3.00,4.00,0.00,7.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5207118,1.00,5.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5207126,8.00,8.00,9.00,6.00,9.00,13.50,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5207134,8.00,5.00,4.00,6.00,7.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5207150,3.00,3.00,1.00,4.00,7.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5207177,5.00,6.00,0.00,5.00,9.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5207193,4.00,4.00,1.00,2.00,3.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5207207,7.00,6.00,3.00,3.00,4.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5207215,8.00,8.00,3.00,3.00,7.00,10.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5207223,7.00,8.00,2.00,6.00,5.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5207231,7.00,6.00,4.00,5.00,10.00,10.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5207258,7.00,8.00,6.00,6.00,9.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5207266,8.00,6.00,4.00,7.00,8.00,8.25,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5207274,6.00,3.00,5.00,5.00,9.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5207282,4.00,5.00,0.00,1.00,4.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5207290,3.00,6.00,3.00,3.00,5.00,8.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5207304,8.00,8.00,5.00,7.00,10.00,8.63,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5207312,7.00,4.00,3.00,3.00,9.00,7.88,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5207320,2.00,6.00,2.00,0.00,5.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5207363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5207371,4.00,5.00,3.00,4.00,4.00,9.00,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5207380,9.00,7.00,3.00,7.00,8.00,7.13,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5207398,4.00,5.00,1.00,4.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5207401,4.00,5.00,2.00,5.00,4.00,10.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5207410,1.00,5.00,2.00,1.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5207436,4.00,5.00,1.00,2.00,4.00,NULL,0.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5207444,6.00,7.00,4.00,7.00,9.00,9.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5207460,5.00,5.00,4.00,5.00,5.00,6.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5207487,2.00,6.00,3.00,3.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5207509,8.00,7.00,8.00,7.00,8.00,8.63,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5207525,4.00,3.00,1.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5207533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5207541,2.00,5.00,2.00,6.00,7.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5207550,5.00,0.00,5.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(20,5207568,3.00,5.00,0.00,3.00,2.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5207576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5207606,5.00,7.00,2.00,2.00,6.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5207614,8.00,9.00,3.00,7.00,9.00,11.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5207622,6.00,7.00,2.00,6.00,8.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5207657,5.00,5.00,3.00,5.00,7.00,11.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5207673,0.00,4.00,1.00,5.00,0.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5207681,9.00,7.00,3.00,7.00,7.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5207690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5207703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5207711,7.00,6.00,3.00,1.00,4.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5207720,4.00,5.00,1.00,5.00,4.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5207738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5207746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5207762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5207770,5.00,5.00,2.00,3.00,5.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5207789,6.00,6.00,4.00,7.00,8.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5207797,8.00,7.00,4.00,6.00,8.00,7.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5207800,8.00,7.00,5.00,7.00,9.00,8.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5207819,4.00,4.00,3.00,4.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5207827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5207835,2.00,4.00,2.00,4.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5207843,5.00,8.00,4.00,3.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5207851,8.00,7.00,6.00,7.00,8.00,8.63,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5207860,7.00,8.00,2.00,5.00,8.00,8.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5207878,1.00,5.00,2.00,6.00,6.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5207908,4.00,6.00,3.00,5.00,6.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5207916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5207924,5.00,6.00,1.00,6.00,7.00,11.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5207932,9.00,7.00,5.00,6.00,7.00,11.25,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5207959,2.00,8.00,3.00,5.00,4.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5207967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5207975,4.00,5.00,3.00,4.00,5.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5207983,5.00,7.00,2.00,3.00,7.00,6.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5208009,5.00,5.00,1.00,4.00,6.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5208025,8.00,7.00,8.00,6.00,9.00,10.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5208050,4.00,5.00,2.00,5.00,5.00,6.75,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5208068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5208084,1.00,3.00,2.00,5.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5208092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5208106,7.00,6.00,2.00,6.00,8.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5208130,4.00,6.00,4.00,7.00,5.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5208149,9.00,8.00,2.00,6.00,9.00,9.38,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5208157,7.00,9.00,2.00,7.00,8.00,8.63,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5208165,6.00,6.00,2.00,7.00,6.00,9.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5208173,8.00,7.00,2.00,8.00,6.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5208190,4.00,8.00,3.00,4.00,9.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5208203,6.00,5.00,0.00,2.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5208220,8.00,6.00,7.00,7.00,9.00,8.25,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5208238,5.00,7.00,2.00,6.00,8.00,11.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5208246,7.00,6.00,2.00,5.00,4.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5208254,4.00,6.00,2.00,5.00,6.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5208262,6.00,5.00,2.00,3.00,5.00,7.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5208270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5208289,5.00,3.00,1.00,3.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5208297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5208300,4.00,7.00,4.00,5.00,7.00,7.88,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5208327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5208343,6.00,4.00,3.00,4.00,9.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5208360,5.00,6.00,3.00,7.00,4.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5208378,4.00,5.00,1.00,5.00,6.00,8.25,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5208386,5.00,6.00,5.00,7.00,8.00,8.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5208394,6.00,8.00,3.00,4.00,9.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5208416,5.00,7.00,0.00,4.00,4.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5208424,7.00,4.00,3.00,5.00,6.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5208432,3.00,4.00,1.00,5.00,5.00,NULL,1.00,1.00,6.00,NULL,NULL,'S','N'),(20,5208459,3.00,5.00,2.00,4.00,7.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5208483,8.00,5.00,5.00,5.00,6.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5208505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5208513,4.00,5.00,2.00,4.00,9.00,6.38,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5208521,6.00,4.00,2.00,2.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5208530,7.00,5.00,4.00,6.00,5.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5208548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5208556,5.00,7.00,1.00,4.00,7.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5208564,6.00,8.00,2.00,7.00,6.00,11.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5208572,7.00,4.00,5.00,5.00,7.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5208580,4.00,4.00,1.00,1.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5208599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5208602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5208610,2.00,5.00,1.00,3.00,3.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5208629,4.00,6.00,4.00,6.00,7.00,9.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5208637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5208645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5208653,7.00,5.00,2.00,4.00,5.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5208670,5.00,6.00,3.00,5.00,5.00,6.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5208688,8.00,5.00,6.00,7.00,8.00,7.13,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5208696,8.00,8.00,8.00,6.00,8.00,11.63,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5208700,4.00,5.00,3.00,1.00,6.00,8.63,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5208718,4.00,5.00,1.00,6.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,'S','N'),(20,5208726,4.00,4.00,0.00,2.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5208734,3.00,5.00,3.00,6.00,5.00,7.88,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5208742,4.00,5.00,3.00,3.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5208750,5.00,3.00,3.00,3.00,6.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5208769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5208785,8.00,6.00,7.00,6.00,10.00,10.50,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5208815,6.00,4.00,1.00,7.00,4.00,6.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5208823,3.00,4.00,0.00,4.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5208831,9.00,7.00,0.00,7.00,9.00,8.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5208840,7.00,7.00,4.00,5.00,8.00,7.88,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5208858,6.00,7.00,2.00,5.00,8.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5208874,1.00,3.00,1.00,4.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5208882,6.00,4.00,1.00,5.00,8.00,6.75,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5208890,8.00,5.00,8.00,8.00,7.00,9.00,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5208904,6.00,4.00,4.00,6.00,9.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5208920,4.00,0.00,1.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5208939,5.00,6.00,2.00,4.00,4.00,6.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5208947,6.00,6.00,2.00,5.00,5.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5208971,5.00,3.00,2.00,6.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5209013,5.00,5.00,3.00,3.00,9.00,9.38,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5209021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5209030,7.00,8.00,0.00,5.00,6.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5209056,3.00,4.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5209064,7.00,5.00,1.00,4.00,7.00,7.50,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5209080,8.00,7.00,3.00,7.00,9.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5209099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5209102,3.00,4.00,0.00,3.00,5.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5209110,5.00,6.00,3.00,5.00,6.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5209129,4.00,4.00,2.00,4.00,9.00,10.13,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5209145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5209153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5209161,7.00,7.00,2.00,5.00,9.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5209170,6.00,5.00,4.00,5.00,7.00,8.25,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5209188,3.00,4.00,0.00,2.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5209196,5.00,6.00,0.00,7.00,8.00,NULL,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5209200,9.00,8.00,3.00,7.00,10.00,10.88,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5209226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5209234,6.00,7.00,3.00,5.00,8.00,9.75,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5209242,4.00,5.00,1.00,1.00,2.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5209250,7.00,6.00,3.00,6.00,8.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5209307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5209331,6.00,5.00,4.00,4.00,10.00,11.63,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5209340,8.00,6.00,3.00,5.00,8.00,7.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5209358,6.00,5.00,1.00,6.00,6.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5209374,3.00,5.00,4.00,6.00,4.00,9.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5209390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5209404,6.00,5.00,3.00,3.00,7.00,7.50,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5209412,5.00,5.00,3.00,5.00,7.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5209420,3.00,6.00,1.00,4.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5209439,5.00,6.00,3.00,6.00,9.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5209447,4.00,4.00,1.00,4.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5209455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5209471,6.00,4.00,5.00,3.00,7.00,8.25,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5209480,7.00,6.00,6.00,2.00,5.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5209498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5209501,6.00,4.00,2.00,4.00,8.00,9.38,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5209510,5.00,6.00,1.00,6.00,6.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5209528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5209536,6.00,6.00,2.00,6.00,5.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5209552,4.00,5.00,0.00,3.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5209579,4.00,5.00,3.00,6.00,8.00,7.50,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5209587,9.00,8.00,6.00,7.00,11.00,10.88,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5209595,3.00,7.00,2.00,6.00,10.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5209617,9.00,8.00,5.00,8.00,10.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5209625,9.00,8.00,9.00,7.00,11.00,9.38,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(20,5209641,7.00,6.00,4.00,5.00,7.00,7.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5209650,8.00,7.00,0.00,3.00,8.00,7.88,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5209668,4.00,4.00,2.00,5.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5209684,1.00,4.00,0.00,4.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5209692,3.00,1.00,1.00,3.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5209706,6.00,6.00,2.00,6.00,4.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5209722,4.00,4.00,2.00,5.00,9.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5209730,7.00,8.00,6.00,6.00,9.00,9.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5209749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5209757,5.00,7.00,1.00,6.00,7.00,8.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5209765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5209773,4.00,6.00,4.00,4.00,2.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5209790,1.00,3.00,1.00,4.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5209803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5209811,7.00,6.00,3.00,7.00,7.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5209820,6.00,6.00,4.00,1.00,8.00,4.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5209838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5209846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5209862,9.00,7.00,2.00,6.00,9.00,12.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5209870,6.00,6.00,2.00,6.00,8.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5209889,4.00,8.00,5.00,5.00,6.00,11.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5209897,4.00,4.00,2.00,5.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5209900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5209927,3.00,5.00,1.00,5.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5209935,5.00,4.00,0.00,5.00,4.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5209943,6.00,7.00,2.00,3.00,7.00,10.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5209951,9.00,8.00,4.00,7.00,9.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5209960,3.00,2.00,1.00,4.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5209978,3.00,3.00,2.00,7.00,5.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5209994,6.00,7.00,2.00,7.00,6.00,10.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5210003,4.00,6.00,1.00,7.00,3.00,NULL,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5210020,3.00,5.00,1.00,4.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5210038,5.00,6.00,1.00,5.00,9.00,10.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5210046,1.00,3.00,1.00,4.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5210054,8.00,6.00,5.00,5.00,5.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5210062,8.00,5.00,3.00,6.00,5.00,10.88,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5210070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5210089,6.00,7.00,0.00,5.00,8.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5210097,8.00,7.00,4.00,7.00,5.00,8.25,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5210100,4.00,7.00,2.00,5.00,4.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5210119,6.00,4.00,4.00,4.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5210127,3.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5210135,2.00,6.00,3.00,7.00,7.00,10.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5210143,8.00,7.00,5.00,7.00,9.00,10.13,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5210151,8.00,9.00,7.00,7.00,9.00,9.75,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5210160,4.00,3.00,1.00,0.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5210178,2.00,6.00,3.00,3.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5210186,5.00,6.00,1.00,5.00,4.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5210194,2.00,2.00,0.00,0.00,0.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5210208,8.00,5.00,1.00,4.00,5.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5210216,7.00,7.00,4.00,6.00,7.00,9.75,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5210232,3.00,2.00,1.00,2.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5210240,4.00,6.00,4.00,5.00,9.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5210259,5.00,4.00,1.00,4.00,6.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5210275,4.00,4.00,3.00,4.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5210283,6.00,7.00,4.00,5.00,8.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5210291,3.00,6.00,1.00,6.00,6.00,9.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5210305,7.00,7.00,1.00,7.00,6.00,9.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5210313,1.00,4.00,1.00,0.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5210321,5.00,5.00,0.00,4.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5210348,8.00,8.00,5.00,5.00,8.00,9.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5210364,2.00,5.00,2.00,5.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5210372,5.00,8.00,3.00,6.00,8.00,4.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5210380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5210399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5210402,5.00,7.00,1.00,6.00,8.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5210429,8.00,7.00,4.00,2.00,5.00,10.50,1.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5210445,9.00,7.00,8.00,8.00,10.00,9.38,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5210453,2.00,4.00,3.00,3.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5210470,4.00,4.00,1.00,5.00,4.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5210496,5.00,4.00,4.00,5.00,7.00,6.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5210500,3.00,2.00,1.00,4.00,6.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5210526,5.00,6.00,2.00,3.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5210534,7.00,6.00,4.00,8.00,8.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(20,5210542,9.00,8.00,6.00,5.00,9.00,9.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5210550,3.00,5.00,3.00,2.00,6.00,6.00,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5210577,5.00,5.00,4.00,6.00,6.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5210585,3.00,7.00,2.00,5.00,6.00,4.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5210593,8.00,6.00,3.00,7.00,7.00,10.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5210623,4.00,6.00,4.00,4.00,7.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5210631,9.00,8.00,5.00,6.00,6.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5210640,4.00,7.00,4.00,6.00,6.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5210658,5.00,7.00,5.00,8.00,4.00,10.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5210674,4.00,5.00,0.00,4.00,9.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5210682,2.00,7.00,4.00,7.00,4.00,11.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5210704,3.00,4.00,1.00,5.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5210720,4.00,5.00,3.00,4.00,7.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5210755,4.00,0.00,2.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5210763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5210771,6.00,6.00,5.00,7.00,6.00,9.00,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5210798,4.00,6.00,0.00,6.00,8.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5210810,4.00,5.00,2.00,1.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5210828,7.00,7.00,5.00,5.00,7.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5210836,3.00,4.00,4.00,3.00,5.00,7.13,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5210844,5.00,6.00,0.00,5.00,6.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5210852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5210887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5210895,5.00,6.00,4.00,6.00,6.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5210917,3.00,7.00,1.00,7.00,6.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5210925,9.00,5.00,6.00,4.00,7.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5210941,3.00,7.00,0.00,6.00,6.00,4.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5210950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5210968,2.00,4.00,1.00,3.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5210976,6.00,6.00,2.00,5.00,10.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5210984,3.00,5.00,1.00,3.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5210992,5.00,6.00,3.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5211018,5.00,7.00,4.00,3.00,5.00,10.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5211034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5211069,3.00,6.00,2.00,6.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5211077,3.00,5.00,1.00,2.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5211085,7.00,7.00,6.00,7.00,8.00,10.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5211123,2.00,5.00,5.00,2.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5211140,3.00,4.00,0.00,3.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5211166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5211174,1.00,0.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5211204,3.00,2.00,1.00,5.00,6.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5211212,9.00,8.00,7.00,6.00,9.00,9.00,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5211220,6.00,3.00,0.00,6.00,5.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5211239,8.00,6.00,3.00,4.00,8.00,7.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5211247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5211255,5.00,5.00,3.00,7.00,6.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5211271,9.00,8.00,7.00,7.00,10.00,9.00,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5211280,2.00,1.00,0.00,2.00,0.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5211301,1.00,5.00,3.00,3.00,5.00,6.38,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5211328,6.00,5.00,0.00,5.00,6.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5211336,6.00,6.00,0.00,3.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5211352,7.00,5.00,5.00,7.00,7.00,7.13,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5211360,4.00,7.00,0.00,3.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5211379,3.00,5.00,1.00,6.00,5.00,7.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5211387,6.00,4.00,5.00,4.00,10.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5211417,8.00,8.00,5.00,7.00,8.00,12.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5211441,2.00,3.00,0.00,2.00,4.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5211476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5211492,7.00,8.00,5.00,6.00,7.00,7.50,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5211514,4.00,4.00,3.00,6.00,7.00,12.38,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5211522,5.00,6.00,4.00,7.00,6.00,9.75,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5211530,6.00,6.00,3.00,7.00,7.00,8.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5211557,6.00,5.00,1.00,6.00,5.00,6.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5211565,4.00,7.00,3.00,4.00,9.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5211573,3.00,4.00,1.00,4.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5211581,9.00,4.00,3.00,7.00,9.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5211590,8.00,7.00,0.00,7.00,6.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5211603,5.00,5.00,3.00,6.00,6.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5211646,4.00,6.00,2.00,4.00,9.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5211654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5211670,5.00,6.00,3.00,1.00,5.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5211689,6.00,7.00,1.00,6.00,9.00,10.88,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5211700,4.00,5.00,4.00,2.00,8.00,8.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5211735,3.00,6.00,2.00,6.00,6.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5211743,6.00,4.00,2.00,6.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5211751,4.00,1.00,1.00,3.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5211786,4.00,5.00,2.00,2.00,4.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5211808,5.00,5.00,4.00,4.00,5.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5211824,3.00,6.00,3.00,6.00,8.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5211832,5.00,4.00,0.00,4.00,7.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5211840,4.00,6.00,3.00,4.00,5.00,6.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5211867,8.00,7.00,6.00,8.00,7.00,11.63,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5211875,8.00,7.00,6.00,7.00,7.00,7.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5211883,1.00,4.00,2.00,3.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5211891,4.00,6.00,1.00,4.00,6.00,10.13,1.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5211913,4.00,2.00,0.00,4.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5211921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5211930,6.00,8.00,5.00,5.00,7.00,8.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5211948,4.00,4.00,0.00,2.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5211956,4.00,7.00,0.00,4.00,7.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5211964,7.00,8.00,7.00,5.00,8.00,7.88,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5211972,7.00,7.00,5.00,6.00,6.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5212006,6.00,5.00,4.00,6.00,5.00,7.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5212022,5.00,3.00,2.00,7.00,5.00,6.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5212065,3.00,2.00,4.00,3.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5212073,7.00,7.00,2.00,7.00,8.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5212103,7.00,8.00,4.00,7.00,8.00,8.63,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5212111,8.00,7.00,4.00,7.00,7.00,9.38,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5212138,6.00,7.00,1.00,4.00,6.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5212146,3.00,5.00,0.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5212154,2.00,4.00,2.00,2.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5212162,4.00,5.00,2.00,3.00,6.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5212170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5212189,3.00,6.00,3.00,7.00,6.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5212200,7.00,7.00,5.00,6.00,6.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5212219,1.00,8.00,1.00,3.00,7.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5212235,3.00,3.00,0.00,3.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5212243,1.00,3.00,1.00,6.00,8.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5212260,7.00,4.00,5.00,3.00,8.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5212278,7.00,7.00,7.00,6.00,9.00,9.38,8.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5212286,9.00,5.00,0.00,7.00,8.00,12.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5212294,2.00,5.00,0.00,2.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5212308,2.00,1.00,1.00,4.00,0.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5212316,2.00,5.00,2.00,3.00,3.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5212324,2.00,5.00,3.00,5.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5212332,8.00,7.00,5.00,7.00,7.00,6.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5212359,2.00,4.00,2.00,7.00,6.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5212367,6.00,5.00,4.00,6.00,7.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5212375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5212383,4.00,7.00,2.00,4.00,7.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5212391,8.00,6.00,5.00,7.00,7.00,10.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5212405,9.00,7.00,6.00,8.00,10.00,10.88,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5212421,3.00,7.00,4.00,2.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5212430,5.00,4.00,2.00,3.00,6.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5212448,8.00,9.00,1.00,6.00,10.00,8.63,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5212456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5212464,6.00,5.00,1.00,5.00,5.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5212472,3.00,8.00,1.00,4.00,5.00,6.38,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5212480,3.00,5.00,0.00,3.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5212499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5212502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5212510,4.00,5.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5212529,5.00,7.00,2.00,6.00,5.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5212553,6.00,6.00,3.00,5.00,4.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5212561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5212570,5.00,6.00,2.00,5.00,5.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5212588,5.00,3.00,0.00,5.00,6.00,NULL,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5212596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5212600,3.00,1.00,1.00,2.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5212618,3.00,0.00,1.00,4.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5212626,8.00,6.00,6.00,7.00,10.00,9.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5212634,7.00,6.00,1.00,4.00,4.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5212642,4.00,6.00,3.00,7.00,8.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5212650,3.00,5.00,2.00,2.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5212669,9.00,9.00,4.00,7.00,10.00,12.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5212677,3.00,3.00,0.00,5.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5212693,1.00,3.00,0.00,3.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5212707,6.00,5.00,2.00,5.00,7.00,7.88,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5212715,6.00,5.00,3.00,1.00,5.00,6.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5212731,6.00,5.00,2.00,7.00,8.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5212740,1.00,2.00,2.00,3.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5212758,7.00,6.00,5.00,7.00,9.00,9.00,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5212766,7.00,3.00,2.00,0.00,5.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5212782,4.00,6.00,4.00,7.00,6.00,8.25,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5212790,7.00,8.00,1.00,5.00,8.00,9.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5212804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5212812,7.00,5.00,4.00,6.00,7.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5212820,7.00,4.00,7.00,5.00,6.00,8.25,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5212839,5.00,6.00,3.00,3.00,7.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5212847,6.00,8.00,1.00,5.00,6.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5212855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5212863,8.00,6.00,4.00,7.00,8.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5212871,3.00,5.00,0.00,3.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5212880,3.00,5.00,3.00,3.00,7.00,10.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5212898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5212901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5212910,4.00,6.00,3.00,3.00,5.00,4.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5212936,8.00,8.00,4.00,5.00,6.00,7.88,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5212944,4.00,3.00,1.00,2.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5212960,6.00,6.00,1.00,6.00,9.00,9.38,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5212979,5.00,3.00,2.00,3.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5212987,5.00,6.00,3.00,7.00,4.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5212995,4.00,6.00,0.00,5.00,8.00,10.13,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5213002,2.00,7.00,2.00,4.00,5.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5213010,5.00,6.00,1.00,3.00,7.00,9.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5213029,5.00,5.00,4.00,4.00,7.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5213037,6.00,6.00,1.00,6.00,8.00,7.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5213045,2.00,5.00,2.00,4.00,6.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5213053,3.00,5.00,1.00,4.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5213061,4.00,4.00,0.00,0.00,8.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5213070,6.00,7.00,3.00,4.00,9.00,9.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5213096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5213100,8.00,5.00,3.00,5.00,9.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5213118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5213126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5213134,1.00,5.00,1.00,5.00,4.00,NULL,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5213142,4.00,3.00,0.00,2.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5213150,7.00,6.00,4.00,7.00,9.00,6.75,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5213169,5.00,7.00,5.00,4.00,8.00,10.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5213185,8.00,7.00,6.00,6.00,7.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5213193,3.00,7.00,0.00,4.00,9.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5213207,6.00,6.00,3.00,6.00,9.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5213215,6.00,4.00,3.00,6.00,8.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5213223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5213231,7.00,7.00,1.00,3.00,4.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5213240,8.00,8.00,5.00,5.00,8.00,12.00,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5213258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5213266,3.00,6.00,2.00,4.00,7.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5213274,4.00,4.00,1.00,3.00,5.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5213282,6.00,4.00,6.00,4.00,9.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5213290,0.00,5.00,2.00,5.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5213304,4.00,6.00,2.00,5.00,8.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5213312,1.00,6.00,0.00,2.00,3.00,NULL,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5213320,6.00,7.00,3.00,3.00,8.00,10.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5213339,9.00,7.00,8.00,6.00,9.00,11.63,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5213347,4.00,4.00,0.00,4.00,8.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5213355,5.00,7.00,2.00,1.00,6.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5213363,1.00,6.00,2.00,4.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5213371,6.00,6.00,2.00,5.00,7.00,10.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5213380,3.00,3.00,0.00,2.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5213398,6.00,6.00,5.00,3.00,7.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5213401,4.00,4.00,1.00,5.00,7.00,10.13,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5213410,2.00,5.00,0.00,4.00,7.00,11.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5213428,2.00,6.00,3.00,4.00,6.00,6.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5213436,5.00,5.00,3.00,4.00,8.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5213444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5213460,4.00,4.00,1.00,3.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5213479,5.00,8.00,0.00,5.00,7.00,11.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5213487,4.00,5.00,1.00,6.00,10.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5213495,6.00,6.00,1.00,6.00,7.00,8.63,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5213509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5213517,2.00,2.00,3.00,1.00,0.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5213525,6.00,5.00,4.00,3.00,5.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5213533,5.00,8.00,2.00,3.00,8.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5213541,4.00,4.00,1.00,1.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5213576,3.00,4.00,0.00,4.00,5.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5213584,4.00,7.00,2.00,4.00,7.00,9.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5213606,7.00,6.00,2.00,7.00,8.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5213614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5213622,3.00,4.00,0.00,7.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5213630,9.00,7.00,5.00,7.00,8.00,7.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5213649,4.00,5.00,2.00,7.00,7.00,12.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5213657,3.00,4.00,4.00,7.00,6.00,10.13,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5213665,3.00,2.00,2.00,5.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5213673,2.00,5.00,0.00,5.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5213681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5213690,5.00,6.00,1.00,4.00,5.00,7.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5213703,4.00,6.00,4.00,3.00,5.00,7.13,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5213711,0.00,4.00,2.00,4.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5213720,4.00,5.00,0.00,3.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5213738,5.00,5.00,1.00,3.00,7.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5213746,2.00,5.00,2.00,3.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5213754,9.00,8.00,8.00,7.00,6.00,9.75,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5213762,4.00,8.00,1.00,1.00,1.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5213770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5213789,5.00,4.00,3.00,6.00,7.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5213797,8.00,8.00,3.00,6.00,9.00,9.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5213800,4.00,4.00,0.00,5.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5213835,5.00,3.00,5.00,6.00,7.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5213843,4.00,7.00,4.00,4.00,7.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5213851,7.00,7.00,3.00,3.00,8.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5213860,6.00,4.00,2.00,3.00,6.00,6.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5213878,4.00,4.00,3.00,3.00,6.00,8.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5213886,5.00,6.00,3.00,4.00,6.00,9.38,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5213894,4.00,6.00,4.00,5.00,7.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5213908,3.00,5.00,1.00,6.00,7.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5213916,4.00,5.00,2.00,4.00,6.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5213924,0.00,2.00,0.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5213932,8.00,8.00,5.00,7.00,9.00,9.38,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5213940,4.00,8.00,4.00,7.00,8.00,10.50,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5213959,8.00,6.00,4.00,3.00,9.00,6.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5213967,7.00,6.00,2.00,4.00,6.00,9.00,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5213975,4.00,5.00,1.00,3.00,4.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5213991,4.00,7.00,3.00,8.00,6.00,9.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5214009,5.00,6.00,2.00,5.00,8.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5214017,6.00,7.00,3.00,2.00,6.00,6.75,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5214025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5214033,8.00,7.00,4.00,5.00,10.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5214041,9.00,7.00,4.00,4.00,3.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5214068,5.00,5.00,2.00,7.00,6.00,7.13,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5214084,3.00,5.00,1.00,4.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5214092,2.00,5.00,4.00,2.00,3.00,NULL,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5214106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5214114,0.00,2.00,0.00,2.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5214122,3.00,5.00,1.00,4.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5214130,1.00,3.00,4.00,5.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5214149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5214157,6.00,7.00,2.00,6.00,7.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5214165,4.00,6.00,2.00,4.00,9.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5214173,4.00,4.00,5.00,4.00,4.00,6.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5214181,2.00,5.00,3.00,3.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5214190,3.00,1.00,1.00,7.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5214203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5214211,9.00,7.00,7.00,6.00,7.00,10.88,7.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5214220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5214238,6.00,5.00,2.00,3.00,7.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5214246,8.00,4.00,2.00,5.00,7.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5214254,3.00,7.00,1.00,3.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5214262,2.00,5.00,1.00,4.00,5.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5214270,5.00,5.00,1.00,4.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5214300,3.00,4.00,1.00,3.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5214319,8.00,8.00,6.00,6.00,10.00,10.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5214327,7.00,5.00,2.00,3.00,6.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5214335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5214343,2.00,3.00,2.00,4.00,1.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5214351,5.00,4.00,1.00,3.00,6.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5214360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5214378,5.00,6.00,1.00,6.00,9.00,9.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5214386,1.00,3.00,2.00,4.00,2.00,NULL,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5214394,7.00,7.00,2.00,3.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5214408,4.00,6.00,3.00,4.00,6.00,6.75,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5214416,3.00,5.00,1.00,4.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5214424,2.00,4.00,1.00,3.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5214432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5214440,9.00,8.00,7.00,7.00,8.00,9.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5214467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5214475,3.00,5.00,2.00,3.00,5.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5214483,4.00,7.00,4.00,4.00,7.00,9.38,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5214491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5214505,3.00,3.00,1.00,3.00,8.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5214513,3.00,5.00,2.00,6.00,6.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5214521,4.00,4.00,1.00,5.00,7.00,7.50,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5214530,3.00,5.00,5.00,5.00,9.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5214548,8.00,5.00,0.00,6.00,7.00,6.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5214556,5.00,7.00,0.00,3.00,6.00,7.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5214564,6.00,6.00,2.00,3.00,8.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5214572,7.00,6.00,1.00,5.00,7.00,8.25,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5214580,7.00,6.00,2.00,6.00,5.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5214599,4.00,3.00,1.00,3.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5214602,8.00,8.00,5.00,7.00,9.00,9.00,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5214610,8.00,7.00,5.00,4.00,7.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5214629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5214637,5.00,2.00,1.00,5.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5214645,5.00,7.00,3.00,5.00,6.00,8.25,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5214653,6.00,6.00,2.00,5.00,6.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5214661,4.00,4.00,2.00,4.00,7.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5214670,3.00,5.00,1.00,2.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5214688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5214696,2.00,3.00,4.00,3.00,3.00,NULL,5.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5214700,5.00,4.00,2.00,3.00,8.00,7.13,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5214718,6.00,5.00,3.00,5.00,10.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5214726,4.00,6.00,4.00,6.00,7.00,6.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5214750,4.00,3.00,4.00,2.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5214769,6.00,5.00,5.00,3.00,8.00,NULL,3.00,2.00,5.00,NULL,NULL,'S','N'),(20,5214777,5.00,5.00,3.00,7.00,10.00,9.75,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5214785,2.00,6.00,1.00,5.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5214793,5.00,5.00,0.00,7.00,8.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5214807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5214815,6.00,5.00,0.00,4.00,6.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5214831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5214840,8.00,7.00,2.00,6.00,9.00,10.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5214866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5214874,4.00,5.00,0.00,6.00,8.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5214890,4.00,6.00,1.00,4.00,7.00,9.38,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5214904,5.00,6.00,3.00,3.00,5.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5214912,2.00,3.00,3.00,3.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5214920,7.00,7.00,3.00,4.00,9.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5214939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5214947,3.00,5.00,2.00,3.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5214955,2.00,7.00,1.00,3.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5214963,7.00,6.00,3.00,4.00,8.00,9.75,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5214971,2.00,1.00,0.00,4.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5214980,4.00,6.00,2.00,3.00,8.00,11.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5215005,3.00,5.00,4.00,3.00,7.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5215013,2.00,5.00,0.00,3.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5215030,7.00,7.00,6.00,7.00,11.00,11.63,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5215056,6.00,5.00,2.00,5.00,9.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5215064,5.00,5.00,4.00,3.00,5.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5215072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5215080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5215099,3.00,3.00,1.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5215110,5.00,6.00,3.00,5.00,5.00,10.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5215129,6.00,7.00,6.00,4.00,5.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5215145,3.00,7.00,4.00,5.00,7.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5215153,3.00,3.00,4.00,0.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5215161,8.00,6.00,6.00,5.00,7.00,7.50,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5215200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5215218,2.00,5.00,0.00,2.00,5.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5215226,5.00,7.00,2.00,3.00,7.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5215242,9.00,8.00,8.00,7.00,8.00,9.75,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5215250,7.00,7.00,6.00,5.00,7.00,9.38,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5215269,6.00,7.00,4.00,6.00,8.00,9.38,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5215277,4.00,7.00,2.00,5.00,7.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5215285,6.00,4.00,2.00,3.00,6.00,6.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5215293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5215315,9.00,8.00,1.00,7.00,10.00,7.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5215323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5215331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5215340,4.00,5.00,6.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5215358,8.00,7.00,5.00,7.00,8.00,9.00,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5215366,5.00,5.00,1.00,2.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5215374,7.00,6.00,6.00,6.00,7.00,6.38,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5215382,4.00,6.00,1.00,3.00,5.00,7.13,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5215404,3.00,4.00,4.00,3.00,3.00,NULL,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5215412,6.00,4.00,2.00,7.00,6.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5215420,4.00,3.00,1.00,3.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5215447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5215455,7.00,6.00,3.00,5.00,8.00,9.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5215463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5215471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5215480,3.00,8.00,1.00,5.00,6.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5215498,6.00,8.00,2.00,5.00,6.00,9.38,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5215501,5.00,6.00,1.00,5.00,5.00,10.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5215510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5215528,3.00,5.00,1.00,2.00,1.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5215536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5215544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5215552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5215560,6.00,4.00,1.00,3.00,6.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5215579,9.00,7.00,8.00,7.00,8.00,8.63,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5215595,3.00,6.00,2.00,5.00,6.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5215609,6.00,6.00,2.00,4.00,6.00,9.75,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5215617,3.00,1.00,2.00,3.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5215625,1.00,4.00,0.00,3.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5215633,3.00,5.00,3.00,4.00,5.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5215650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5215668,3.00,4.00,2.00,4.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5215676,3.00,3.00,3.00,4.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5215684,1.00,5.00,3.00,4.00,6.00,7.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5215692,6.00,5.00,0.00,4.00,4.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5215706,5.00,5.00,4.00,5.00,7.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5215714,3.00,1.00,1.00,2.00,7.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5215722,4.00,7.00,2.00,4.00,6.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5215730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5215749,4.00,5.00,0.00,5.00,8.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5215757,4.00,5.00,2.00,6.00,7.00,9.38,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5215765,3.00,6.00,4.00,5.00,8.00,8.63,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5215773,3.00,4.00,2.00,1.00,4.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5215790,9.00,8.00,4.00,5.00,9.00,10.50,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5215803,9.00,8.00,5.00,4.00,9.00,8.25,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5215820,5.00,5.00,1.00,4.00,4.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5215838,5.00,3.00,1.00,2.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5215846,3.00,4.00,2.00,4.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5215862,4.00,6.00,1.00,6.00,6.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5215870,3.00,4.00,0.00,2.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5215889,9.00,6.00,3.00,7.00,7.00,9.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5215897,5.00,8.00,1.00,3.00,6.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5215919,3.00,3.00,2.00,3.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5215927,1.00,5.00,0.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5215935,6.00,5.00,2.00,5.00,5.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5215943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5215951,4.00,7.00,5.00,4.00,7.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(20,5215960,3.00,5.00,0.00,4.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5215978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5215986,4.00,5.00,4.00,4.00,8.00,6.00,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5215994,5.00,5.00,1.00,2.00,3.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5216001,2.00,3.00,1.00,5.00,7.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5216010,8.00,8.00,7.00,7.00,8.00,6.00,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5216028,7.00,8.00,1.00,4.00,8.00,6.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5216052,3.00,5.00,0.00,7.00,7.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5216060,3.00,3.00,1.00,3.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5216079,6.00,7.00,3.00,5.00,7.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5216087,6.00,6.00,4.00,5.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5216095,7.00,6.00,1.00,5.00,8.00,11.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5216109,7.00,8.00,5.00,7.00,9.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5216117,1.00,2.00,2.00,3.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,'S','S'),(20,5216125,4.00,7.00,4.00,5.00,10.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5216133,3.00,4.00,2.00,2.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5216141,7.00,7.00,3.00,3.00,7.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5216150,5.00,7.00,6.00,7.00,6.00,8.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5216168,7.00,8.00,5.00,4.00,6.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5216176,3.00,4.00,0.00,5.00,6.00,8.25,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5216184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5216192,4.00,5.00,4.00,5.00,7.00,6.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5216206,8.00,6.00,4.00,3.00,10.00,6.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5216214,4.00,8.00,6.00,4.00,9.00,7.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5216222,5.00,7.00,4.00,3.00,6.00,11.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5216230,3.00,3.00,1.00,4.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5216249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5216257,6.00,9.00,4.00,6.00,10.00,12.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5216265,3.00,6.00,1.00,6.00,4.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5216273,5.00,6.00,5.00,7.00,8.00,9.38,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5216281,5.00,3.00,1.00,4.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5216290,4.00,6.00,0.00,7.00,7.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5216303,9.00,9.00,4.00,6.00,9.00,10.88,0.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5216311,6.00,7.00,2.00,4.00,8.00,8.25,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5216320,5.00,4.00,3.00,3.00,5.00,6.75,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5216338,6.00,5.00,0.00,3.00,6.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5216354,4.00,3.00,4.00,4.00,4.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5216362,4.00,5.00,4.00,1.00,9.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5216370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5216389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5216397,5.00,6.00,1.00,6.00,6.00,NULL,3.00,5.00,5.00,NULL,NULL,'S','S'),(20,5216400,9.00,7.00,6.00,5.00,9.00,10.13,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5216427,4.00,4.00,2.00,7.00,4.00,9.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5216435,4.00,6.00,3.00,3.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5216443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5216451,4.00,5.00,0.00,5.00,8.00,6.38,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5216460,4.00,5.00,1.00,5.00,8.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5216478,7.00,7.00,4.00,4.00,6.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5216486,6.00,7.00,4.00,6.00,8.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5216494,3.00,3.00,5.00,0.00,6.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5216508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5216516,7.00,6.00,5.00,7.00,8.00,9.75,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5216524,6.00,7.00,3.00,5.00,6.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5216532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5216540,0.00,3.00,0.00,2.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5216567,9.00,8.00,4.00,7.00,7.00,8.63,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5216575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5216583,4.00,3.00,0.00,2.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5216591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5216605,6.00,7.00,6.00,4.00,7.00,10.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5216613,5.00,3.00,1.00,4.00,7.00,8.25,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5216621,4.00,6.00,2.00,5.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5216630,4.00,4.00,1.00,4.00,6.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5216648,3.00,2.00,1.00,3.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5216656,4.00,4.00,3.00,2.00,8.00,8.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5216664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5216672,5.00,6.00,0.00,5.00,6.00,9.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5216680,7.00,7.00,3.00,6.00,6.00,10.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5216699,4.00,4.00,2.00,4.00,7.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5216702,3.00,3.00,1.00,3.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5216729,3.00,1.00,0.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5216745,6.00,4.00,0.00,6.00,5.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5216753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5216761,7.00,4.00,1.00,4.00,4.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5216770,8.00,7.00,6.00,7.00,9.00,7.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5216788,7.00,4.00,3.00,2.00,4.00,6.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5216796,5.00,5.00,4.00,6.00,4.00,7.50,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5216800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5216818,9.00,7.00,5.00,8.00,9.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5216826,3.00,5.00,0.00,3.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5216834,6.00,7.00,1.00,4.00,8.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5216842,5.00,7.00,0.00,3.00,4.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5216869,4.00,5.00,1.00,5.00,7.00,12.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5216877,9.00,7.00,6.00,6.00,9.00,10.50,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5216885,2.00,6.00,0.00,3.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5216893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5216907,0.00,5.00,2.00,4.00,7.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5216915,4.00,7.00,4.00,2.00,5.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5216923,6.00,5.00,4.00,4.00,8.00,7.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5216931,3.00,5.00,4.00,0.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5216940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5216958,7.00,6.00,4.00,6.00,7.00,10.88,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5216966,4.00,4.00,1.00,2.00,4.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5216974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5216982,3.00,6.00,1.00,7.00,7.00,9.00,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5217008,6.00,4.00,5.00,2.00,7.00,7.88,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5217016,4.00,5.00,1.00,2.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5217024,3.00,4.00,3.00,1.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5217032,7.00,7.00,1.00,4.00,6.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5217040,6.00,5.00,1.00,5.00,6.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5217059,5.00,4.00,1.00,4.00,5.00,NULL,0.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5217067,8.00,6.00,1.00,6.00,6.00,10.50,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5217083,6.00,7.00,1.00,6.00,7.00,10.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5217091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5217105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5217113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5217121,3.00,4.00,1.00,4.00,4.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5217130,7.00,5.00,3.00,6.00,8.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5217148,4.00,7.00,2.00,3.00,7.00,7.88,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5217156,2.00,6.00,0.00,3.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5217172,4.00,5.00,1.00,4.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5217180,4.00,3.00,0.00,4.00,7.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5217199,9.00,7.00,0.00,7.00,8.00,NULL,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5217202,3.00,3.00,1.00,2.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5217210,7.00,5.00,2.00,5.00,5.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5217229,4.00,5.00,4.00,4.00,5.00,7.50,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5217245,5.00,5.00,1.00,4.00,5.00,6.00,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5217253,4.00,6.00,5.00,4.00,9.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5217261,5.00,8.00,1.00,6.00,7.00,7.13,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5217270,4.00,7.00,3.00,7.00,9.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5217288,5.00,5.00,1.00,6.00,4.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5217296,5.00,5.00,3.00,6.00,9.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5217300,2.00,4.00,1.00,2.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5217318,2.00,3.00,1.00,2.00,6.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5217326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5217342,4.00,4.00,2.00,3.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5217369,3.00,6.00,1.00,4.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5217377,5.00,6.00,5.00,4.00,6.00,6.75,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5217385,9.00,5.00,4.00,7.00,7.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5217407,8.00,6.00,5.00,7.00,8.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5217423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5217431,8.00,8.00,4.00,5.00,10.00,9.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5217440,6.00,5.00,2.00,5.00,7.00,9.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5217458,6.00,4.00,4.00,2.00,3.00,NULL,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5217482,3.00,5.00,0.00,3.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5217490,7.00,6.00,0.00,7.00,8.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5217504,5.00,6.00,3.00,4.00,9.00,10.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5217512,3.00,4.00,0.00,1.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5217520,6.00,7.00,3.00,4.00,6.00,7.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5217539,5.00,6.00,4.00,5.00,8.00,7.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5217547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5217555,3.00,8.00,1.00,4.00,5.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5217563,3.00,0.00,0.00,2.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5217571,8.00,6.00,4.00,6.00,6.00,8.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5217598,8.00,6.00,4.00,6.00,7.00,8.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5217601,3.00,4.00,1.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5217610,2.00,5.00,3.00,4.00,5.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5217628,5.00,6.00,2.00,7.00,10.00,10.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5217636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5217644,4.00,5.00,0.00,4.00,7.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5217679,3.00,4.00,1.00,5.00,8.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5217687,4.00,6.00,4.00,5.00,5.00,9.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5217695,8.00,5.00,5.00,3.00,8.00,11.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5217709,7.00,7.00,4.00,7.00,8.00,10.13,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5217717,6.00,6.00,1.00,6.00,6.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5217725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5217741,5.00,6.00,1.00,4.00,6.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5217750,9.00,9.00,9.00,7.00,11.00,12.38,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5217768,5.00,5.00,2.00,3.00,8.00,9.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5217776,4.00,4.00,2.00,2.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5217784,3.00,4.00,1.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5217792,7.00,9.00,4.00,3.00,8.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5217806,2.00,3.00,1.00,3.00,8.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5217814,6.00,2.00,0.00,1.00,2.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5217830,7.00,6.00,2.00,4.00,6.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5217849,3.00,5.00,4.00,2.00,5.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5217865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5217881,3.00,6.00,5.00,1.00,4.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5217890,4.00,7.00,3.00,4.00,7.00,10.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5217903,9.00,9.00,3.00,5.00,10.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5217911,4.00,5.00,1.00,3.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5217920,2.00,3.00,2.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5217946,3.00,6.00,1.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5217954,5.00,4.00,2.00,3.00,4.00,7.13,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5217962,4.00,6.00,1.00,5.00,8.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5217970,8.00,6.00,3.00,6.00,7.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5217989,5.00,6.00,2.00,4.00,7.00,10.13,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5217997,5.00,6.00,3.00,6.00,4.00,8.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5218004,7.00,8.00,1.00,6.00,9.00,10.13,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5218012,6.00,5.00,2.00,6.00,5.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5218020,5.00,6.00,3.00,3.00,3.00,NULL,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5218047,6.00,5.00,2.00,2.00,3.00,NULL,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5218055,3.00,5.00,2.00,3.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5218063,3.00,4.00,2.00,0.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5218071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5218080,2.00,7.00,2.00,5.00,4.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5218098,3.00,8.00,0.00,5.00,7.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5218101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5218110,6.00,5.00,4.00,6.00,9.00,10.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5218136,7.00,0.00,1.00,5.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5218152,4.00,6.00,4.00,6.00,5.00,10.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5218160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5218179,2.00,5.00,1.00,6.00,4.00,9.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5218187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5218209,9.00,8.00,8.00,7.00,7.00,7.13,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5218217,5.00,3.00,1.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5218225,2.00,2.00,1.00,1.00,6.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5218250,8.00,7.00,5.00,6.00,9.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5218268,0.00,4.00,1.00,3.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,'S','S'),(20,5218276,5.00,8.00,1.00,4.00,8.00,11.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5218292,6.00,4.00,0.00,6.00,8.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5218306,3.00,4.00,0.00,3.00,4.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5218314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5218322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5218330,6.00,6.00,2.00,4.00,7.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5218349,6.00,5.00,1.00,6.00,7.00,11.63,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5218357,5.00,5.00,3.00,3.00,4.00,4.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5218365,6.00,5.00,1.00,6.00,6.00,9.38,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5218373,2.00,4.00,2.00,1.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,'S','N'),(20,5218381,4.00,6.00,2.00,4.00,7.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5218390,7.00,8.00,6.00,5.00,6.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5218403,6.00,7.00,1.00,5.00,7.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5218411,6.00,5.00,4.00,5.00,8.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5218420,6.00,6.00,1.00,3.00,4.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5218438,6.00,5.00,3.00,6.00,5.00,9.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5218446,4.00,6.00,0.00,4.00,5.00,7.50,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5218454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5218462,4.00,8.00,1.00,4.00,5.00,6.00,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5218489,0.00,2.00,1.00,2.00,1.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5218497,5.00,7.00,2.00,7.00,10.00,12.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5218500,4.00,5.00,3.00,3.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5218519,3.00,5.00,1.00,2.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5218527,3.00,6.00,2.00,5.00,5.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5218535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5218560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5218594,9.00,3.00,3.00,7.00,7.00,7.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5218608,1.00,3.00,0.00,1.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5218616,5.00,7.00,5.00,6.00,7.00,7.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5218632,6.00,5.00,4.00,7.00,6.00,7.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5218640,5.00,7.00,3.00,7.00,8.00,10.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5218659,6.00,6.00,2.00,7.00,4.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5218667,4.00,8.00,1.00,4.00,6.00,7.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5218675,3.00,5.00,2.00,2.00,5.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5218683,4.00,1.00,0.00,3.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5218691,1.00,4.00,0.00,3.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5218705,2.00,3.00,4.00,3.00,2.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5218713,5.00,6.00,3.00,3.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5218730,6.00,6.00,2.00,5.00,9.00,8.25,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5218748,7.00,6.00,5.00,7.00,10.00,8.25,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5218756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5218764,5.00,6.00,4.00,4.00,6.00,8.63,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5218772,3.00,7.00,0.00,5.00,6.00,8.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5218780,4.00,7.00,3.00,6.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'S'),(20,5218799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5218802,2.00,6.00,2.00,4.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5218810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5218829,7.00,5.00,3.00,3.00,5.00,9.38,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5218837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5218845,7.00,5.00,5.00,7.00,6.00,9.75,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5218853,4.00,4.00,1.00,4.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5218861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5218870,2.00,0.00,4.00,4.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5218888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5218896,4.00,8.00,3.00,6.00,8.00,8.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5218900,3.00,6.00,1.00,3.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5218918,2.00,2.00,0.00,1.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5218926,8.00,5.00,3.00,6.00,6.00,5.25,5.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5218934,5.00,2.00,3.00,3.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5218942,8.00,6.00,1.00,2.00,8.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5218950,7.00,7.00,3.00,3.00,5.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5218977,4.00,5.00,1.00,4.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5218985,2.00,4.00,1.00,2.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5218993,3.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5219000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5219019,3.00,5.00,4.00,4.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5219027,6.00,5.00,0.00,4.00,5.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5219035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5219043,0.00,2.00,1.00,2.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5219051,3.00,5.00,0.00,3.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5219078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5219086,5.00,7.00,1.00,7.00,7.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5219094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5219116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5219124,6.00,6.00,2.00,6.00,9.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5219132,8.00,6.00,7.00,6.00,8.00,10.13,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5219140,7.00,6.00,6.00,7.00,11.00,10.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5219159,7.00,8.00,5.00,7.00,10.00,11.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5219167,4.00,0.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5219175,2.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5219183,8.00,6.00,5.00,8.00,9.00,9.38,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5219191,6.00,5.00,1.00,6.00,7.00,9.38,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5219205,7.00,8.00,1.00,8.00,9.00,11.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5219213,2.00,5.00,2.00,1.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5219221,4.00,5.00,2.00,5.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5219230,5.00,4.00,0.00,3.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5219248,4.00,3.00,1.00,1.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5219264,5.00,7.00,3.00,7.00,6.00,8.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5219272,4.00,7.00,3.00,5.00,6.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5219280,5.00,6.00,2.00,4.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5219299,5.00,4.00,1.00,2.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5219302,6.00,8.00,3.00,6.00,10.00,12.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5219310,7.00,7.00,2.00,6.00,9.00,8.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5219329,6.00,7.00,5.00,3.00,8.00,8.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5219345,6.00,5.00,4.00,5.00,8.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5219361,4.00,6.00,1.00,3.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5219370,6.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5219388,4.00,5.00,0.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5219396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5219400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5219418,7.00,7.00,5.00,8.00,8.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5219426,3.00,5.00,2.00,4.00,7.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5219442,6.00,6.00,1.00,7.00,5.00,10.88,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5219450,3.00,3.00,1.00,5.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5219469,4.00,5.00,1.00,4.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5219477,0.00,5.00,1.00,2.00,5.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5219485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5219493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5219507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5219515,9.00,6.00,6.00,5.00,10.00,9.00,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5219523,6.00,5.00,0.00,5.00,8.00,8.25,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5219531,7.00,7.00,3.00,6.00,8.00,10.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5219540,7.00,5.00,4.00,6.00,8.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5219558,5.00,4.00,1.00,6.00,8.00,9.00,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5219566,7.00,6.00,0.00,4.00,9.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5219574,3.00,5.00,4.00,6.00,7.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5219582,3.00,6.00,0.00,2.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5219590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5219604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5219612,5.00,4.00,1.00,4.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5219639,8.00,8.00,5.00,6.00,9.00,11.63,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5219647,1.00,3.00,1.00,2.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5219655,3.00,4.00,1.00,1.00,1.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5219663,8.00,8.00,6.00,7.00,9.00,10.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5219671,3.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5219680,9.00,7.00,3.00,5.00,6.00,8.63,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5219698,8.00,7.00,4.00,5.00,9.00,10.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5219701,8.00,4.00,2.00,6.00,9.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5219710,5.00,4.00,1.00,5.00,3.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5219728,5.00,6.00,6.00,7.00,6.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5219736,3.00,4.00,1.00,2.00,6.00,NULL,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5219744,4.00,5.00,0.00,5.00,6.00,0.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5219752,4.00,5.00,3.00,4.00,7.00,9.75,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5219760,4.00,0.00,1.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5219779,4.00,5.00,2.00,7.00,8.00,11.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5219787,4.00,6.00,4.00,5.00,7.00,7.88,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5219795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5219809,4.00,0.00,3.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5219817,1.00,5.00,4.00,6.00,6.00,8.63,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5219825,3.00,3.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5219833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5219841,4.00,3.00,1.00,4.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5219850,2.00,3.00,2.00,3.00,8.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5219868,9.00,9.00,8.00,8.00,9.00,9.38,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5219876,8.00,6.00,7.00,7.00,7.00,6.00,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5219884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5219892,8.00,8.00,3.00,3.00,4.00,7.88,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5219914,5.00,4.00,2.00,5.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5219930,4.00,3.00,0.00,3.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5219957,3.00,4.00,4.00,4.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5219965,5.00,3.00,1.00,6.00,4.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5219981,6.00,5.00,3.00,7.00,7.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5219990,6.00,4.00,0.00,3.00,6.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5220009,2.00,7.00,1.00,4.00,9.00,6.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5220017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5220025,5.00,5.00,1.00,3.00,6.00,6.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5220033,3.00,7.00,1.00,6.00,7.00,4.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5220050,4.00,7.00,0.00,6.00,7.00,6.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5220068,7.00,6.00,0.00,8.00,8.00,9.38,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5220084,6.00,6.00,2.00,6.00,6.00,NULL,3.00,6.00,3.00,NULL,NULL,'S','N'),(20,5220092,6.00,4.00,0.00,5.00,6.00,NULL,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5220106,3.00,6.00,1.00,0.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5220114,4.00,7.00,1.00,5.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5220130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5220149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5220157,6.00,6.00,2.00,6.00,6.00,6.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5220165,2.00,4.00,3.00,3.00,5.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5220173,7.00,6.00,2.00,3.00,9.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5220181,4.00,6.00,3.00,2.00,7.00,7.13,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5220190,2.00,6.00,1.00,4.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5220203,2.00,3.00,3.00,4.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5220211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5220220,4.00,4.00,2.00,4.00,9.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5220254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5220262,4.00,4.00,0.00,5.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5220270,2.00,4.00,4.00,5.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5220289,8.00,6.00,3.00,4.00,9.00,8.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5220297,7.00,9.00,3.00,5.00,5.00,6.00,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5220300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5220319,3.00,2.00,2.00,2.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5220327,4.00,6.00,2.00,4.00,6.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5220335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5220343,6.00,4.00,4.00,4.00,5.00,9.38,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5220351,2.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5220360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5220378,2.00,2.00,0.00,3.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5220386,4.00,4.00,2.00,4.00,7.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5220408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5220416,4.00,3.00,1.00,5.00,8.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5220424,6.00,6.00,2.00,6.00,8.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5220432,5.00,7.00,4.00,7.00,8.00,7.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5220440,2.00,5.00,0.00,2.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5220459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5220467,7.00,7.00,7.00,7.00,6.00,6.75,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5220475,7.00,5.00,0.00,3.00,7.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5220483,4.00,6.00,1.00,4.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5220491,9.00,7.00,7.00,6.00,8.00,9.00,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5220505,2.00,2.00,5.00,2.00,8.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5220513,2.00,4.00,2.00,0.00,6.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5220521,5.00,3.00,1.00,4.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5220530,4.00,3.00,3.00,4.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5220548,3.00,4.00,3.00,2.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5220556,3.00,5.00,4.00,7.00,4.00,6.00,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5220564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5220572,9.00,8.00,6.00,7.00,8.00,10.13,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5220580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5220610,4.00,3.00,0.00,4.00,7.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5220629,6.00,7.00,3.00,5.00,4.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5220645,2.00,3.00,1.00,2.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5220653,7.00,7.00,6.00,4.00,8.00,9.75,7.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5220661,2.00,3.00,3.00,6.00,10.00,12.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5220670,5.00,5.00,2.00,4.00,6.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5220688,5.00,5.00,0.00,0.00,7.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5220696,6.00,6.00,4.00,3.00,6.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5220718,7.00,5.00,1.00,7.00,7.00,10.50,3.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5220726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5220734,7.00,8.00,3.00,7.00,7.00,10.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5220742,9.00,5.00,4.00,7.00,10.00,10.13,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5220750,2.00,3.00,1.00,3.00,5.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5220769,3.00,3.00,0.00,2.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5220777,3.00,1.00,2.00,5.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5220785,8.00,6.00,2.00,7.00,7.00,11.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5220793,8.00,5.00,4.00,7.00,8.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5220807,5.00,6.00,4.00,6.00,8.00,9.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5220815,7.00,7.00,2.00,3.00,7.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5220823,2.00,4.00,1.00,4.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5220831,2.00,6.00,2.00,4.00,4.00,6.75,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5220840,6.00,7.00,2.00,6.00,8.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5220858,8.00,8.00,4.00,8.00,7.00,7.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5220866,5.00,6.00,4.00,3.00,9.00,10.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5220874,5.00,6.00,3.00,3.00,5.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5220882,2.00,2.00,0.00,0.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5220890,1.00,6.00,2.00,2.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5220904,3.00,3.00,3.00,5.00,6.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5220912,5.00,6.00,1.00,4.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5220920,1.00,1.00,2.00,3.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5220939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5220955,2.00,6.00,4.00,3.00,5.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5220963,2.00,5.00,0.00,5.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5220971,5.00,5.00,2.00,3.00,7.00,7.13,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5220980,3.00,5.00,4.00,4.00,6.00,7.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5220998,5.00,6.00,2.00,2.00,4.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5221005,4.00,6.00,2.00,4.00,5.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5221013,4.00,7.00,3.00,6.00,5.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5221021,6.00,8.00,0.00,5.00,7.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5221030,4.00,5.00,2.00,2.00,7.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5221048,2.00,5.00,3.00,3.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5221056,1.00,4.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5221064,2.00,2.00,0.00,2.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'S'),(20,5221072,4.00,6.00,2.00,3.00,6.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5221080,4.00,7.00,0.00,4.00,3.00,NULL,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5221099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5221102,4.00,5.00,2.00,7.00,8.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5221110,3.00,4.00,0.00,2.00,7.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5221129,1.00,4.00,3.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5221137,6.00,5.00,3.00,7.00,7.00,7.13,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5221145,3.00,4.00,1.00,4.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5221153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5221161,5.00,4.00,2.00,6.00,6.00,5.25,1.00,3.00,6.00,NULL,NULL,NULL,'S'),(20,5221170,3.00,5.00,3.00,3.00,7.00,8.25,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5221188,2.00,4.00,1.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5221196,8.00,7.00,2.00,5.00,7.00,8.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5221200,4.00,4.00,5.00,4.00,5.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5221218,9.00,8.00,6.00,6.00,8.00,8.25,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5221226,4.00,7.00,0.00,8.00,7.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5221234,7.00,7.00,4.00,6.00,9.00,7.88,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5221242,4.00,4.00,3.00,5.00,5.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5221250,6.00,5.00,2.00,4.00,6.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5221269,5.00,5.00,5.00,4.00,7.00,10.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5221277,8.00,6.00,3.00,7.00,5.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5221285,8.00,7.00,7.00,8.00,8.00,9.38,8.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5221293,6.00,6.00,4.00,5.00,8.00,6.75,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5221307,4.00,6.00,0.00,3.00,5.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5221315,5.00,7.00,5.00,6.00,6.00,9.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5221323,4.00,4.00,1.00,2.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5221331,4.00,6.00,3.00,5.00,8.00,8.63,1.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5221340,1.00,7.00,2.00,7.00,4.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5221358,8.00,6.00,4.00,5.00,8.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5221366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5221374,4.00,2.00,3.00,4.00,7.00,7.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5221382,3.00,5.00,2.00,5.00,8.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5221404,3.00,3.00,1.00,3.00,6.00,NULL,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5221439,6.00,6.00,1.00,7.00,4.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5221447,6.00,7.00,4.00,7.00,6.00,9.00,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5221455,6.00,5.00,0.00,3.00,8.00,10.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5221463,8.00,0.00,3.00,5.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5221471,2.00,3.00,0.00,2.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5221480,4.00,5.00,2.00,2.00,3.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5221498,8.00,6.00,6.00,8.00,10.00,9.75,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5221501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5221510,2.00,2.00,0.00,2.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5221528,1.00,3.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5221544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5221552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5221560,3.00,3.00,2.00,3.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5221579,5.00,6.00,0.00,6.00,6.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5221587,5.00,6.00,2.00,6.00,6.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5221595,5.00,5.00,1.00,2.00,6.00,6.00,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5221609,7.00,7.00,3.00,6.00,9.00,8.63,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5221617,4.00,4.00,0.00,4.00,6.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5221625,5.00,7.00,1.00,6.00,8.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5221641,3.00,4.00,0.00,1.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5221650,3.00,3.00,1.00,5.00,7.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5221668,1.00,2.00,3.00,3.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5221676,5.00,6.00,2.00,5.00,7.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5221684,4.00,5.00,0.00,5.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5221692,8.00,7.00,1.00,3.00,6.00,9.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5221706,0.00,6.00,1.00,5.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5221722,4.00,5.00,3.00,7.00,6.00,6.38,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5221730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5221749,9.00,5.00,2.00,5.00,10.00,9.00,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5221757,2.00,3.00,0.00,3.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5221765,5.00,8.00,3.00,2.00,6.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5221773,4.00,6.00,3.00,3.00,6.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5221781,3.00,5.00,5.00,4.00,4.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5221790,5.00,5.00,1.00,3.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5221803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5221811,3.00,7.00,2.00,7.00,5.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5221820,1.00,4.00,1.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5221838,3.00,4.00,5.00,5.00,5.00,7.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5221846,6.00,8.00,4.00,4.00,7.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5221854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5221862,3.00,5.00,0.00,2.00,5.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5221870,3.00,6.00,2.00,2.00,6.00,7.88,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5221889,9.00,7.00,5.00,5.00,8.00,11.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5221919,5.00,6.00,0.00,3.00,6.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5221927,4.00,5.00,1.00,5.00,4.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5221935,3.00,4.00,4.00,5.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5221986,8.00,7.00,3.00,7.00,8.00,14.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5221994,5.00,7.00,1.00,6.00,8.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5222010,4.00,4.00,3.00,4.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5222028,1.00,3.00,0.00,4.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5222036,3.00,6.00,4.00,4.00,6.00,6.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5222044,6.00,6.00,1.00,5.00,6.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5222052,3.00,4.00,1.00,2.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5222087,4.00,6.00,6.00,5.00,5.00,8.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5222095,6.00,6.00,6.00,6.00,5.00,7.88,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5222109,3.00,1.00,0.00,3.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'S'),(20,5222117,6.00,3.00,0.00,6.00,4.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5222125,4.00,4.00,2.00,4.00,6.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5222141,6.00,6.00,0.00,4.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5222150,9.00,7.00,7.00,8.00,10.00,11.63,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5222168,3.00,6.00,2.00,2.00,5.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5222176,9.00,7.00,6.00,7.00,9.00,11.63,8.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5222192,3.00,5.00,1.00,3.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5222206,3.00,4.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5222222,4.00,4.00,1.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5222230,8.00,6.00,2.00,6.00,7.00,7.13,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5222249,4.00,6.00,4.00,7.00,8.00,9.00,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5222257,3.00,6.00,2.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5222265,3.00,5.00,4.00,1.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5222273,4.00,5.00,2.00,6.00,5.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5222281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5222290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5222303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5222320,7.00,6.00,2.00,4.00,4.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5222338,4.00,4.00,4.00,4.00,5.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5222354,7.00,7.00,3.00,6.00,8.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5222362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5222370,6.00,5.00,0.00,5.00,5.00,NULL,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5222389,5.00,6.00,4.00,5.00,6.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5222397,4.00,5.00,3.00,5.00,7.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5222400,2.00,2.00,0.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5222419,9.00,7.00,3.00,7.00,7.00,9.00,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5222427,4.00,6.00,1.00,7.00,6.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5222435,5.00,6.00,2.00,3.00,8.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5222443,6.00,6.00,3.00,7.00,6.00,8.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5222460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5222486,2.00,4.00,1.00,2.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5222494,3.00,5.00,0.00,6.00,6.00,6.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5222508,6.00,6.00,0.00,5.00,8.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5222516,1.00,5.00,1.00,3.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5222524,3.00,4.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5222532,7.00,5.00,4.00,7.00,6.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5222540,2.00,5.00,0.00,3.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5222575,2.00,5.00,3.00,5.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5222591,3.00,6.00,0.00,2.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5222605,4.00,6.00,3.00,4.00,8.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5222613,4.00,4.00,0.00,5.00,7.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5222621,6.00,4.00,4.00,7.00,5.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5222630,4.00,6.00,2.00,3.00,4.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5222648,5.00,4.00,2.00,3.00,7.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5222656,5.00,4.00,2.00,4.00,5.00,9.00,2.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5222664,2.00,5.00,4.00,3.00,6.00,4.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5222672,1.00,5.00,1.00,4.00,7.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5222680,5.00,4.00,3.00,3.00,5.00,7.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5222699,7.00,5.00,2.00,7.00,6.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5222702,9.00,9.00,6.00,7.00,10.00,11.25,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5222710,3.00,3.00,0.00,4.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5222729,5.00,7.00,1.00,7.00,6.00,10.13,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5222737,6.00,7.00,2.00,8.00,8.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5222745,4.00,5.00,5.00,5.00,8.00,NULL,0.00,4.00,3.00,NULL,NULL,'S','N'),(20,5222761,5.00,4.00,1.00,2.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5222770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5222788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5222796,9.00,7.00,6.00,6.00,8.00,7.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5222800,2.00,5.00,1.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5222818,8.00,7.00,7.00,5.00,8.00,10.88,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5222826,5.00,6.00,1.00,2.00,7.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5222834,1.00,6.00,2.00,4.00,4.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5222842,4.00,5.00,4.00,5.00,8.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5222869,4.00,4.00,4.00,5.00,6.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5222877,8.00,6.00,5.00,7.00,10.00,12.00,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5222885,3.00,4.00,2.00,5.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5222893,6.00,7.00,4.00,6.00,6.00,9.38,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5222915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5222923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5222931,8.00,6.00,2.00,7.00,6.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5222940,7.00,7.00,2.00,7.00,8.00,8.25,0.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5222974,6.00,6.00,1.00,2.00,5.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5222982,3.00,5.00,1.00,5.00,4.00,7.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5222990,6.00,5.00,1.00,6.00,4.00,8.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5223016,5.00,6.00,3.00,5.00,5.00,7.88,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5223024,2.00,5.00,3.00,2.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5223032,8.00,9.00,3.00,6.00,6.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5223040,2.00,4.00,2.00,7.00,7.00,8.63,0.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5223059,4.00,2.00,0.00,0.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5223067,2.00,1.00,1.00,1.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5223075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5223083,5.00,5.00,1.00,6.00,5.00,9.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5223091,0.00,2.00,2.00,3.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5223113,5.00,5.00,1.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5223121,7.00,8.00,4.00,6.00,8.00,11.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5223130,3.00,6.00,3.00,3.00,0.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5223148,3.00,6.00,1.00,4.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5223156,7.00,5.00,1.00,4.00,6.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5223164,3.00,6.00,2.00,6.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5223172,5.00,5.00,2.00,5.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5223180,4.00,4.00,3.00,2.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5223199,4.00,5.00,2.00,6.00,5.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5223202,0.00,6.00,3.00,7.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5223210,4.00,3.00,2.00,4.00,6.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5223237,1.00,5.00,0.00,2.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5223253,2.00,3.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5223261,3.00,5.00,2.00,5.00,7.00,10.88,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5223270,6.00,6.00,2.00,4.00,5.00,7.88,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5223288,7.00,7.00,3.00,7.00,10.00,7.88,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5223296,2.00,4.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5223300,9.00,8.00,6.00,7.00,10.00,10.13,9.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5223318,6.00,8.00,5.00,6.00,6.00,10.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5223326,5.00,5.00,1.00,4.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5223334,7.00,8.00,4.00,7.00,7.00,10.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5223342,5.00,6.00,3.00,4.00,7.00,8.25,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5223350,6.00,7.00,3.00,5.00,6.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5223377,7.00,7.00,4.00,4.00,8.00,8.25,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5223393,5.00,7.00,4.00,7.00,7.00,9.38,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5223407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5223415,8.00,6.00,2.00,7.00,6.00,7.88,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5223431,4.00,4.00,0.00,4.00,4.00,7.88,2.00,2.00,6.00,NULL,NULL,NULL,'S'),(20,5223440,5.00,6.00,3.00,5.00,5.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5223458,3.00,5.00,2.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5223466,7.00,6.00,4.00,6.00,7.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5223490,3.00,3.00,1.00,4.00,4.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5223504,4.00,7.00,0.00,3.00,7.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5223520,3.00,6.00,0.00,2.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5223539,7.00,6.00,5.00,7.00,4.00,7.88,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5223547,7.00,7.00,4.00,7.00,7.00,8.25,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5223555,5.00,5.00,0.00,3.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5223563,2.00,4.00,0.00,2.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5223601,6.00,4.00,1.00,7.00,7.00,8.63,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5223610,9.00,7.00,5.00,7.00,8.00,10.13,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5223628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5223636,1.00,6.00,1.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5223644,5.00,7.00,6.00,7.00,7.00,10.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5223652,6.00,5.00,0.00,6.00,6.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5223660,3.00,7.00,1.00,7.00,6.00,9.75,4.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5223679,7.00,6.00,0.00,7.00,4.00,9.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5223687,0.00,3.00,0.00,0.00,1.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5223695,8.00,5.00,3.00,8.00,8.00,10.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5223709,4.00,6.00,6.00,4.00,4.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5223717,6.00,5.00,4.00,4.00,7.00,8.25,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5223725,5.00,6.00,0.00,4.00,4.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5223733,8.00,8.00,1.00,6.00,7.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5223741,1.00,5.00,1.00,2.00,8.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5223784,3.00,6.00,4.00,7.00,6.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5223792,4.00,6.00,2.00,7.00,7.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5223814,3.00,2.00,3.00,3.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5223822,5.00,7.00,1.00,5.00,6.00,6.75,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5223830,6.00,5.00,0.00,6.00,4.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5223849,8.00,6.00,7.00,6.00,7.00,8.63,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5223857,4.00,5.00,1.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5223865,5.00,3.00,5.00,7.00,5.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5223873,7.00,6.00,5.00,4.00,8.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5223881,7.00,5.00,3.00,7.00,5.00,7.13,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5223890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5223903,6.00,7.00,4.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5223920,2.00,5.00,2.00,4.00,5.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5223938,8.00,6.00,4.00,7.00,10.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5223946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5223954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5223962,7.00,6.00,4.00,7.00,9.00,10.88,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5223970,5.00,5.00,0.00,4.00,6.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5223989,2.00,5.00,2.00,0.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5223997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5224004,6.00,5.00,1.00,1.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5224012,7.00,6.00,2.00,7.00,9.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5224020,4.00,6.00,1.00,1.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5224047,6.00,5.00,3.00,4.00,4.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5224055,5.00,4.00,2.00,3.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5224071,3.00,6.00,1.00,4.00,8.00,7.13,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5224080,6.00,6.00,4.00,4.00,9.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5224098,4.00,5.00,3.00,3.00,6.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5224101,3.00,6.00,1.00,2.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5224110,9.00,5.00,2.00,7.00,9.00,9.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5224128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5224136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5224144,7.00,6.00,4.00,7.00,9.00,8.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5224152,7.00,8.00,7.00,4.00,6.00,9.75,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5224160,3.00,7.00,2.00,3.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5224179,9.00,9.00,7.00,7.00,9.00,9.75,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5224187,2.00,4.00,4.00,3.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5224209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5224217,4.00,5.00,4.00,4.00,7.00,9.38,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5224225,4.00,6.00,0.00,6.00,5.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5224233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5224241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5224250,6.00,8.00,4.00,6.00,5.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5224276,9.00,8.00,3.00,6.00,10.00,9.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5224292,1.00,3.00,0.00,0.00,1.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5224306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5224314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5224322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5224330,3.00,5.00,2.00,5.00,7.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5224349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5224365,7.00,6.00,0.00,5.00,6.00,6.75,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5224373,3.00,7.00,3.00,7.00,8.00,10.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5224381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5224390,4.00,2.00,0.00,6.00,7.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5224403,4.00,7.00,2.00,3.00,6.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5224411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5224420,6.00,6.00,2.00,6.00,8.00,11.25,6.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5224438,4.00,5.00,2.00,4.00,6.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5224446,3.00,4.00,2.00,3.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5224454,5.00,5.00,2.00,6.00,5.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5224462,3.00,4.00,2.00,7.00,5.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5224489,5.00,7.00,4.00,5.00,8.00,9.38,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5224497,9.00,7.00,4.00,5.00,10.00,9.00,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5224500,2.00,2.00,1.00,2.00,4.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5224519,1.00,3.00,3.00,3.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5224527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5224543,9.00,6.00,7.00,6.00,9.00,10.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5224551,5.00,5.00,0.00,5.00,6.00,8.63,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5224560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5224578,8.00,7.00,7.00,5.00,9.00,12.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5224586,5.00,5.00,3.00,7.00,6.00,7.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5224594,5.00,5.00,0.00,5.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5224608,0.00,7.00,0.00,0.00,0.00,NULL,1.00,1.00,3.00,'S',NULL,NULL,'S'),(20,5224616,1.00,4.00,0.00,1.00,4.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5224624,6.00,6.00,2.00,6.00,6.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5224640,6.00,7.00,2.00,4.00,5.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5224659,3.00,3.00,1.00,0.00,0.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5224667,6.00,5.00,3.00,4.00,8.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5224675,5.00,7.00,3.00,4.00,7.00,6.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5224683,1.00,2.00,2.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5224691,5.00,7.00,3.00,4.00,5.00,8.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5224705,2.00,3.00,2.00,5.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5224713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5224721,9.00,8.00,5.00,8.00,7.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5224730,6.00,5.00,2.00,2.00,5.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5224748,7.00,5.00,4.00,7.00,6.00,10.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5224756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5224772,6.00,7.00,2.00,6.00,8.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5224780,7.00,6.00,2.00,5.00,6.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5224802,3.00,0.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5224829,3.00,3.00,0.00,4.00,7.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5224837,8.00,6.00,6.00,6.00,5.00,11.25,9.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5224845,4.00,6.00,0.00,7.00,8.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5224853,3.00,7.00,4.00,3.00,5.00,10.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5224861,6.00,5.00,3.00,4.00,3.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5224870,7.00,4.00,7.00,7.00,7.00,7.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5224888,2.00,5.00,1.00,1.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5224896,5.00,7.00,4.00,2.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5224900,2.00,2.00,0.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5224918,5.00,5.00,4.00,7.00,7.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5224926,1.00,3.00,5.00,3.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5224942,7.00,6.00,2.00,7.00,5.00,7.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5224950,7.00,8.00,5.00,7.00,6.00,7.50,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5224977,5.00,5.00,1.00,5.00,7.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5224985,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5225000,0.00,5.00,1.00,4.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5225019,5.00,9.00,3.00,3.00,8.00,8.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5225027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5225035,3.00,6.00,2.00,4.00,4.00,8.25,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5225043,5.00,5.00,0.00,5.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5225051,5.00,5.00,4.00,5.00,4.00,6.38,1.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5225086,3.00,7.00,3.00,4.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5225094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5225116,3.00,6.00,4.00,3.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5225124,2.00,6.00,1.00,3.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5225132,4.00,5.00,1.00,3.00,5.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5225140,2.00,5.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5225159,2.00,7.00,0.00,6.00,7.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5225183,4.00,5.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5225191,5.00,4.00,1.00,7.00,6.00,12.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5225221,4.00,2.00,0.00,2.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5225248,6.00,7.00,2.00,4.00,7.00,9.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(20,5225256,8.00,9.00,7.00,8.00,10.00,9.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5225264,8.00,5.00,5.00,6.00,10.00,9.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5225280,4.00,6.00,0.00,3.00,6.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5225299,1.00,5.00,1.00,1.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5225302,5.00,3.00,2.00,5.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5225310,2.00,5.00,3.00,2.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5225329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5225337,5.00,5.00,0.00,3.00,3.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5225345,4.00,7.00,1.00,4.00,5.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5225353,3.00,5.00,0.00,6.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5225361,3.00,3.00,1.00,1.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5225370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5225388,1.00,3.00,0.00,4.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5225396,1.00,4.00,2.00,3.00,1.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5225400,4.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(20,5225418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5225426,8.00,5.00,2.00,6.00,6.00,11.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5225434,3.00,6.00,1.00,2.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5225442,1.00,6.00,0.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5225450,7.00,7.00,1.00,7.00,11.00,8.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5225485,7.00,6.00,2.00,4.00,6.00,10.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5225493,3.00,1.00,1.00,4.00,4.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5225507,5.00,4.00,1.00,7.00,6.00,7.88,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5225523,3.00,3.00,1.00,2.00,7.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5225531,4.00,5.00,2.00,3.00,8.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5225540,2.00,6.00,0.00,3.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5225558,7.00,7.00,2.00,3.00,10.00,10.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5225566,5.00,4.00,0.00,4.00,5.00,10.13,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5225574,4.00,7.00,0.00,5.00,7.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5225582,4.00,6.00,5.00,3.00,5.00,9.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5225590,4.00,5.00,0.00,3.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5225612,0.00,4.00,1.00,4.00,4.00,NULL,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5225620,5.00,7.00,4.00,5.00,7.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5225639,4.00,5.00,0.00,0.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5225647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5225663,5.00,7.00,0.00,4.00,4.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5225671,5.00,5.00,1.00,3.00,8.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5225698,3.00,3.00,2.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5225701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5225728,4.00,2.00,0.00,2.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5225736,1.00,6.00,1.00,2.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5225744,3.00,5.00,0.00,4.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5225752,7.00,4.00,2.00,5.00,6.00,10.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5225760,5.00,6.00,4.00,3.00,7.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5225779,5.00,5.00,3.00,4.00,8.00,4.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5225787,5.00,5.00,0.00,5.00,5.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5225795,2.00,5.00,1.00,4.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5225809,3.00,4.00,3.00,2.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5225817,4.00,6.00,3.00,4.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5225825,3.00,2.00,4.00,2.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5225833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5225841,2.00,6.00,1.00,5.00,5.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5225850,6.00,6.00,1.00,4.00,8.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5225868,7.00,8.00,4.00,5.00,9.00,11.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5225876,3.00,4.00,0.00,6.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5225884,7.00,7.00,3.00,7.00,9.00,7.88,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5225906,7.00,8.00,3.00,7.00,9.00,9.75,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5225914,6.00,7.00,2.00,7.00,7.00,8.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5225922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5225930,5.00,6.00,2.00,6.00,5.00,7.88,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5225957,9.00,9.00,6.00,7.00,8.00,9.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5225981,3.00,3.00,0.00,4.00,5.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5225990,4.00,3.00,0.00,2.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5226007,6.00,7.00,3.00,7.00,4.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5226015,9.00,5.00,7.00,5.00,9.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5226023,5.00,7.00,2.00,7.00,8.00,9.75,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5226031,2.00,6.00,1.00,5.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5226040,9.00,7.00,6.00,6.00,7.00,12.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5226058,3.00,3.00,2.00,0.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5226066,2.00,5.00,3.00,1.00,4.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5226074,3.00,7.00,4.00,4.00,7.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5226082,2.00,3.00,0.00,5.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5226090,3.00,4.00,2.00,4.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5226104,4.00,4.00,2.00,7.00,7.00,11.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5226112,7.00,7.00,3.00,4.00,7.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5226120,9.00,8.00,6.00,5.00,11.00,7.13,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5226139,3.00,4.00,3.00,2.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5226147,3.00,6.00,1.00,4.00,5.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5226155,0.00,4.00,0.00,4.00,6.00,NULL,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5226163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5226171,2.00,5.00,0.00,3.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5226180,3.00,7.00,2.00,3.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5226201,5.00,3.00,2.00,4.00,6.00,9.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5226210,4.00,5.00,1.00,3.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5226228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5226236,6.00,6.00,1.00,4.00,7.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5226244,5.00,1.00,5.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5226252,4.00,4.00,2.00,4.00,5.00,7.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5226260,3.00,6.00,4.00,4.00,6.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5226279,6.00,7.00,4.00,3.00,7.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5226287,0.00,3.00,0.00,5.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5226309,9.00,6.00,7.00,8.00,10.00,8.25,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5226325,4.00,5.00,2.00,4.00,6.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5226333,5.00,6.00,3.00,5.00,6.00,6.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5226341,4.00,7.00,4.00,5.00,4.00,8.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5226350,8.00,7.00,0.00,5.00,8.00,7.88,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5226368,3.00,5.00,2.00,1.00,5.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5226376,7.00,7.00,2.00,3.00,7.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5226384,4.00,6.00,1.00,5.00,5.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5226392,1.00,3.00,0.00,3.00,2.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5226406,5.00,6.00,3.00,6.00,7.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5226430,6.00,4.00,3.00,6.00,7.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5226449,4.00,4.00,4.00,5.00,6.00,7.88,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5226457,7.00,7.00,1.00,5.00,4.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5226465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5226473,5.00,8.00,2.00,6.00,7.00,10.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5226481,8.00,6.00,3.00,7.00,6.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5226490,3.00,5.00,0.00,6.00,5.00,10.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5226503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5226511,7.00,8.00,5.00,6.00,9.00,7.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5226520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5226554,3.00,2.00,2.00,3.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5226589,5.00,6.00,1.00,4.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5226597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5226600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5226619,3.00,7.00,3.00,4.00,6.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5226651,4.00,5.00,0.00,4.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5226678,5.00,4.00,0.00,4.00,6.00,6.75,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5226686,5.00,5.00,2.00,2.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5226694,4.00,6.00,2.00,2.00,7.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5226708,6.00,8.00,4.00,5.00,5.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5226716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5226732,3.00,3.00,3.00,4.00,5.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5226740,8.00,5.00,0.00,6.00,8.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5226759,3.00,7.00,2.00,7.00,4.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5226767,3.00,2.00,0.00,2.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5226775,5.00,6.00,2.00,5.00,6.00,10.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5226783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5226791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5226805,2.00,4.00,0.00,5.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5226813,8.00,7.00,6.00,7.00,9.00,11.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5226821,5.00,6.00,0.00,4.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5226830,3.00,5.00,3.00,5.00,7.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5226848,5.00,7.00,4.00,3.00,6.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5226856,2.00,3.00,1.00,5.00,7.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5226864,6.00,5.00,1.00,1.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5226872,2.00,5.00,2.00,2.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5226880,7.00,7.00,1.00,7.00,9.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5226899,2.00,2.00,1.00,2.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5226902,6.00,6.00,5.00,5.00,7.00,9.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5226910,2.00,2.00,2.00,1.00,6.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5226937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5226945,4.00,7.00,0.00,5.00,7.00,12.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5226953,2.00,3.00,0.00,4.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5226961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5226970,2.00,5.00,2.00,2.00,7.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5226988,7.00,7.00,2.00,5.00,8.00,6.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5226996,4.00,3.00,4.00,3.00,6.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5227003,9.00,6.00,6.00,4.00,10.00,10.13,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5227011,5.00,5.00,2.00,5.00,9.00,9.38,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5227020,3.00,2.00,3.00,3.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5227046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5227062,2.00,3.00,1.00,4.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5227070,5.00,6.00,2.00,7.00,4.00,10.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5227089,5.00,0.00,2.00,0.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5227100,3.00,5.00,0.00,4.00,7.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5227119,0.00,2.00,4.00,3.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5227127,4.00,6.00,2.00,4.00,5.00,7.13,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5227135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5227151,4.00,5.00,0.00,4.00,5.00,6.38,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5227160,4.00,3.00,2.00,3.00,7.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5227178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5227186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5227194,7.00,4.00,2.00,3.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5227208,5.00,6.00,0.00,6.00,5.00,10.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5227216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5227224,3.00,6.00,2.00,5.00,7.00,7.13,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5227232,5.00,6.00,2.00,5.00,6.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5227240,3.00,2.00,1.00,0.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5227259,7.00,8.00,4.00,5.00,9.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5227267,6.00,6.00,4.00,6.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5227275,3.00,2.00,1.00,1.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5227283,4.00,5.00,2.00,2.00,5.00,0.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5227291,3.00,5.00,2.00,5.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5227305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5227313,4.00,2.00,2.00,2.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5227321,7.00,6.00,2.00,4.00,8.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5227330,6.00,6.00,4.00,6.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5227348,5.00,7.00,3.00,4.00,9.00,10.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5227356,3.00,4.00,4.00,3.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5227364,1.00,5.00,1.00,1.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5227372,4.00,5.00,0.00,2.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5227380,4.00,4.00,1.00,5.00,7.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5227399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5227402,3.00,4.00,1.00,0.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5227410,6.00,4.00,0.00,5.00,5.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5227429,8.00,7.00,2.00,7.00,8.00,11.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5227445,3.00,6.00,0.00,3.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5227453,7.00,6.00,2.00,5.00,6.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5227461,3.00,6.00,3.00,4.00,5.00,3.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5227470,6.00,6.00,1.00,5.00,7.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5227488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5227500,9.00,6.00,3.00,0.00,6.00,NULL,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5227518,6.00,6.00,0.00,4.00,8.00,8.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5227534,6.00,5.00,1.00,6.00,5.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5227542,5.00,6.00,2.00,5.00,4.00,4.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5227569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5227577,6.00,5.00,0.00,5.00,8.00,10.88,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5227593,4.00,4.00,2.00,4.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5227607,4.00,7.00,1.00,4.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5227615,6.00,5.00,3.00,4.00,8.00,11.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5227623,3.00,4.00,2.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5227631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5227640,5.00,6.00,4.00,6.00,5.00,7.13,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5227658,4.00,4.00,1.00,3.00,4.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5227666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5227674,2.00,3.00,3.00,5.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5227682,9.00,8.00,6.00,8.00,11.00,8.63,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5227690,7.00,5.00,0.00,5.00,7.00,NULL,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5227704,2.00,4.00,1.00,5.00,7.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5227712,3.00,4.00,2.00,3.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5227720,6.00,8.00,7.00,7.00,10.00,8.63,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5227739,9.00,8.00,5.00,8.00,11.00,11.63,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5227747,6.00,6.00,4.00,6.00,6.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5227755,1.00,7.00,1.00,3.00,2.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5227763,7.00,5.00,5.00,5.00,10.00,9.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5227771,7.00,4.00,4.00,5.00,6.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5227780,5.00,6.00,4.00,6.00,6.00,10.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5227798,6.00,7.00,1.00,6.00,7.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5227801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5227810,5.00,4.00,1.00,4.00,8.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5227828,3.00,0.00,4.00,2.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5227836,8.00,6.00,6.00,6.00,7.00,10.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5227844,7.00,6.00,4.00,7.00,8.00,12.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5227860,6.00,5.00,2.00,5.00,6.00,7.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5227879,5.00,4.00,2.00,4.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5227887,6.00,6.00,5.00,5.00,8.00,6.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5227895,7.00,5.00,2.00,6.00,7.00,10.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5227909,4.00,5.00,3.00,6.00,10.00,8.63,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5227917,3.00,6.00,1.00,7.00,7.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5227925,6.00,4.00,4.00,6.00,6.00,8.25,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5227933,4.00,4.00,1.00,6.00,8.00,10.88,0.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5227941,5.00,6.00,3.00,5.00,7.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5227950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5227968,6.00,7.00,0.00,6.00,9.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5227976,1.00,2.00,3.00,1.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5227984,4.00,7.00,2.00,5.00,7.00,11.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5228000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5228018,5.00,5.00,3.00,4.00,5.00,9.00,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5228026,3.00,5.00,3.00,7.00,5.00,8.63,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5228034,8.00,7.00,3.00,5.00,7.00,7.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5228050,2.00,5.00,3.00,4.00,7.00,6.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5228077,7.00,8.00,3.00,5.00,6.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5228085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5228093,8.00,6.00,3.00,5.00,10.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5228107,4.00,4.00,1.00,5.00,8.00,10.88,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5228115,3.00,1.00,4.00,5.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5228123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5228131,3.00,2.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5228140,4.00,6.00,4.00,5.00,6.00,6.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5228158,4.00,4.00,2.00,4.00,8.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5228166,4.00,5.00,0.00,3.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5228174,5.00,9.00,5.00,4.00,8.00,8.63,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5228182,6.00,5.00,4.00,5.00,9.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5228204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5228212,2.00,7.00,1.00,2.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5228220,7.00,6.00,4.00,4.00,5.00,6.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5228239,6.00,7.00,3.00,7.00,6.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5228247,5.00,6.00,3.00,1.00,4.00,4.88,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5228255,4.00,5.00,1.00,1.00,8.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5228263,4.00,5.00,1.00,6.00,7.00,10.13,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5228271,2.00,5.00,0.00,4.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5228280,5.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5228298,4.00,3.00,0.00,5.00,7.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5228310,2.00,3.00,2.00,1.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5228328,3.00,2.00,1.00,2.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5228336,2.00,4.00,2.00,4.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5228352,8.00,5.00,7.00,7.00,8.00,11.63,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5228360,4.00,1.00,0.00,5.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5228379,5.00,6.00,2.00,3.00,7.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5228387,6.00,8.00,4.00,3.00,6.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5228395,3.00,5.00,1.00,4.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5228409,6.00,5.00,4.00,4.00,7.00,9.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5228417,4.00,3.00,3.00,4.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5228425,5.00,3.00,3.00,4.00,4.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5228433,5.00,6.00,4.00,4.00,9.00,8.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5228441,5.00,5.00,4.00,6.00,9.00,9.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5228450,5.00,8.00,5.00,4.00,8.00,7.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5228468,3.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5228492,8.00,5.00,1.00,8.00,10.00,10.88,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5228506,1.00,6.00,3.00,4.00,8.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5228514,7.00,6.00,3.00,6.00,7.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5228522,4.00,5.00,2.00,3.00,7.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5228530,6.00,5.00,0.00,4.00,9.00,7.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5228549,2.00,3.00,1.00,3.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5228557,5.00,5.00,2.00,5.00,4.00,7.88,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5228565,6.00,6.00,5.00,7.00,7.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5228590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5228603,3.00,2.00,1.00,2.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5228611,2.00,5.00,1.00,2.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5228620,4.00,4.00,1.00,3.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5228638,3.00,6.00,1.00,5.00,8.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5228646,6.00,4.00,2.00,6.00,5.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5228654,5.00,4.00,2.00,4.00,5.00,7.88,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5228662,7.00,4.00,2.00,4.00,7.00,7.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5228670,5.00,7.00,4.00,5.00,6.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5228689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5228697,5.00,5.00,3.00,5.00,6.00,9.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5228700,5.00,7.00,3.00,5.00,4.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5228719,7.00,6.00,4.00,3.00,7.00,7.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5228735,1.00,6.00,0.00,3.00,4.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5228743,7.00,5.00,4.00,5.00,8.00,7.13,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5228751,5.00,4.00,1.00,5.00,5.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5228760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5228778,5.00,5.00,2.00,2.00,7.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5228786,2.00,3.00,2.00,2.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5228794,7.00,5.00,4.00,7.00,4.00,7.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5228808,6.00,6.00,1.00,3.00,9.00,9.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5228824,4.00,3.00,1.00,4.00,8.00,9.38,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5228859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5228867,2.00,6.00,3.00,4.00,4.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5228875,5.00,5.00,3.00,4.00,6.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5228883,7.00,6.00,2.00,0.00,7.00,NULL,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5228891,7.00,5.00,2.00,4.00,8.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5228913,8.00,4.00,3.00,5.00,6.00,0.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5228921,6.00,8.00,2.00,5.00,9.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5228930,4.00,5.00,1.00,7.00,6.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5228948,3.00,4.00,3.00,7.00,6.00,9.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(20,5228956,3.00,3.00,1.00,2.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5228964,4.00,6.00,1.00,5.00,8.00,3.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5228972,5.00,2.00,1.00,4.00,7.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5228980,8.00,8.00,4.00,5.00,4.00,13.88,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5228999,5.00,8.00,4.00,3.00,8.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5229006,4.00,6.00,1.00,8.00,5.00,11.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5229014,4.00,6.00,4.00,3.00,9.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5229049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5229057,5.00,7.00,2.00,5.00,6.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5229073,6.00,8.00,1.00,5.00,5.00,10.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5229081,3.00,3.00,3.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5229090,4.00,0.00,2.00,6.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5229111,6.00,7.00,4.00,5.00,8.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5229138,9.00,8.00,8.00,7.00,9.00,9.75,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5229146,4.00,3.00,3.00,3.00,4.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5229154,4.00,7.00,2.00,6.00,6.00,7.88,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5229170,2.00,4.00,0.00,2.00,6.00,NULL,5.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5229189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5229197,5.00,4.00,1.00,5.00,8.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5229200,5.00,2.00,0.00,2.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5229227,5.00,7.00,2.00,6.00,6.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5229235,3.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5229251,6.00,7.00,3.00,6.00,8.00,12.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5229260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5229278,5.00,7.00,1.00,5.00,4.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5229286,2.00,4.00,2.00,2.00,5.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5229294,7.00,8.00,5.00,3.00,6.00,7.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5229316,3.00,6.00,1.00,3.00,5.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5229324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5229332,4.00,6.00,1.00,6.00,9.00,8.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(20,5229340,6.00,8.00,0.00,5.00,7.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5229359,9.00,5.00,3.00,6.00,9.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5229367,6.00,5.00,1.00,7.00,6.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5229375,3.00,8.00,2.00,6.00,7.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5229383,3.00,4.00,0.00,4.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5229391,1.00,4.00,0.00,2.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5229413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5229421,8.00,8.00,4.00,6.00,8.00,7.13,0.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5229430,3.00,5.00,1.00,3.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5229448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5229456,4.00,6.00,0.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5229464,2.00,5.00,2.00,2.00,4.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5229472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5229480,1.00,5.00,3.00,4.00,1.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5229499,6.00,5.00,3.00,4.00,5.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5229502,1.00,6.00,0.00,2.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5229510,5.00,3.00,0.00,2.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5229529,9.00,8.00,2.00,6.00,9.00,12.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5229537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5229553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5229561,4.00,3.00,1.00,3.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5229570,4.00,6.00,2.00,2.00,6.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5229588,1.00,2.00,2.00,3.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5229596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5229600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5229618,9.00,6.00,7.00,7.00,8.00,10.50,5.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5229626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5229634,4.00,4.00,1.00,5.00,8.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5229642,5.00,6.00,0.00,1.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5229650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5229669,1.00,2.00,0.00,4.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5229677,4.00,6.00,4.00,5.00,5.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5229685,4.00,6.00,1.00,5.00,8.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5229693,0.00,4.00,0.00,0.00,0.00,NULL,2.00,3.00,3.00,'S',NULL,NULL,'N'),(20,5229707,5.00,6.00,0.00,3.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5229723,7.00,6.00,3.00,7.00,6.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5229740,2.00,5.00,0.00,5.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5229766,3.00,7.00,0.00,5.00,8.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5229774,4.00,6.00,2.00,6.00,7.00,7.50,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5229782,4.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5229790,7.00,7.00,3.00,3.00,9.00,9.00,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5229812,2.00,4.00,2.00,1.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5229820,6.00,6.00,1.00,4.00,9.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5229839,3.00,6.00,2.00,3.00,4.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5229855,5.00,7.00,0.00,3.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5229863,5.00,6.00,1.00,3.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5229871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5229880,5.00,7.00,1.00,6.00,5.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5229898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5229901,6.00,6.00,4.00,5.00,6.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5229910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5229928,7.00,5.00,0.00,5.00,7.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5229936,2.00,5.00,2.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5229944,2.00,4.00,1.00,2.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5229952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5229960,0.00,0.00,1.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5229979,5.00,6.00,3.00,6.00,8.00,8.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5229987,4.00,7.00,3.00,4.00,6.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5229995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5230004,4.00,7.00,5.00,5.00,6.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5230012,4.00,6.00,0.00,6.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5230039,6.00,5.00,2.00,4.00,4.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5230047,4.00,4.00,1.00,6.00,7.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5230055,3.00,6.00,5.00,6.00,5.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5230063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5230071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5230101,4.00,6.00,0.00,3.00,0.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5230110,8.00,6.00,5.00,6.00,8.00,8.25,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5230128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5230144,5.00,5.00,0.00,7.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5230152,6.00,5.00,2.00,4.00,7.00,9.38,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5230179,3.00,3.00,1.00,2.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5230187,5.00,4.00,2.00,3.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5230195,4.00,4.00,1.00,4.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5230209,4.00,4.00,5.00,6.00,4.00,9.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5230217,3.00,3.00,1.00,5.00,8.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5230225,4.00,5.00,1.00,5.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5230233,6.00,6.00,3.00,6.00,7.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5230241,8.00,5.00,2.00,5.00,7.00,11.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5230250,4.00,7.00,2.00,7.00,7.00,9.38,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5230268,0.00,6.00,1.00,3.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5230276,3.00,4.00,3.00,4.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5230284,6.00,4.00,3.00,6.00,6.00,10.13,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5230292,4.00,6.00,3.00,3.00,7.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5230306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5230314,3.00,5.00,4.00,7.00,8.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5230322,4.00,5.00,0.00,4.00,5.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5230330,5.00,7.00,0.00,6.00,8.00,11.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5230349,5.00,7.00,3.00,7.00,4.00,10.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5230357,4.00,4.00,1.00,2.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5230365,4.00,2.00,0.00,1.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5230381,3.00,5.00,3.00,4.00,6.00,8.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5230390,3.00,5.00,2.00,5.00,4.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5230403,3.00,2.00,1.00,4.00,4.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5230411,2.00,5.00,0.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5230420,6.00,7.00,1.00,3.00,6.00,7.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5230438,6.00,7.00,4.00,6.00,8.00,8.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5230446,3.00,3.00,2.00,5.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5230454,9.00,7.00,4.00,6.00,10.00,8.63,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5230462,3.00,6.00,2.00,3.00,8.00,NULL,0.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5230470,6.00,5.00,0.00,6.00,9.00,12.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5230489,2.00,6.00,2.00,4.00,5.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5230500,4.00,4.00,3.00,4.00,2.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5230535,8.00,7.00,1.00,6.00,7.00,7.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5230543,1.00,1.00,1.00,0.00,0.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5230560,2.00,4.00,3.00,2.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5230578,7.00,8.00,5.00,5.00,7.00,7.50,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5230586,5.00,6.00,2.00,7.00,7.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5230594,7.00,6.00,1.00,7.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5230608,6.00,5.00,1.00,5.00,6.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5230616,9.00,6.00,8.00,8.00,9.00,10.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5230624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5230632,3.00,5.00,0.00,3.00,6.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5230640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5230659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5230683,6.00,7.00,4.00,5.00,9.00,7.50,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5230691,8.00,7.00,6.00,7.00,8.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5230705,3.00,6.00,0.00,3.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5230713,7.00,6.00,2.00,5.00,8.00,7.50,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5230721,5.00,4.00,0.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5230730,4.00,7.00,2.00,2.00,4.00,7.13,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5230748,3.00,4.00,3.00,3.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5230756,8.00,5.00,3.00,7.00,9.00,7.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5230764,8.00,7.00,6.00,7.00,10.00,9.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5230772,5.00,4.00,0.00,4.00,5.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5230780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5230799,2.00,4.00,3.00,4.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5230802,6.00,7.00,0.00,4.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5230810,3.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5230829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5230837,2.00,6.00,1.00,1.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5230845,8.00,7.00,5.00,7.00,9.00,7.50,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5230853,6.00,5.00,0.00,2.00,7.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5230861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5230870,2.00,3.00,3.00,4.00,5.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5230888,4.00,6.00,1.00,7.00,5.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5230896,6.00,5.00,1.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5230900,2.00,3.00,3.00,3.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5230926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5230934,2.00,3.00,2.00,1.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5230942,4.00,4.00,2.00,2.00,6.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5230969,4.00,6.00,4.00,7.00,8.00,9.38,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5230977,1.00,3.00,0.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5230985,3.00,2.00,0.00,2.00,6.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5230993,3.00,7.00,1.00,7.00,6.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5231000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5231019,3.00,5.00,1.00,3.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5231027,2.00,2.00,1.00,3.00,3.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5231035,3.00,7.00,0.00,4.00,6.00,9.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5231043,3.00,2.00,1.00,7.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5231051,7.00,7.00,4.00,6.00,7.00,11.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5231060,4.00,3.00,3.00,4.00,5.00,9.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5231094,7.00,7.00,4.00,3.00,8.00,8.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5231108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5231116,7.00,6.00,4.00,6.00,8.00,8.25,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5231124,9.00,6.00,7.00,5.00,8.00,7.13,6.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5231132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5231140,8.00,6.00,2.00,4.00,5.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5231159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5231167,4.00,6.00,0.00,4.00,5.00,9.38,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5231175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5231183,8.00,7.00,6.00,2.00,8.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5231191,6.00,6.00,2.00,7.00,6.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5231205,9.00,6.00,5.00,7.00,9.00,7.88,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5231213,3.00,4.00,1.00,2.00,5.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5231221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5231230,2.00,3.00,2.00,3.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5231248,10.00,8.00,4.00,6.00,8.00,9.38,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5231256,6.00,5.00,2.00,3.00,8.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5231264,6.00,4.00,2.00,6.00,9.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5231272,8.00,6.00,7.00,5.00,8.00,8.25,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5231280,3.00,4.00,1.00,3.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5231299,4.00,6.00,2.00,2.00,1.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5231302,7.00,8.00,0.00,4.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5231310,5.00,6.00,4.00,4.00,8.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5231337,4.00,5.00,2.00,2.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5231345,0.00,4.00,1.00,4.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5231353,9.00,7.00,5.00,6.00,6.00,9.38,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5231361,3.00,3.00,0.00,4.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5231388,6.00,5.00,2.00,4.00,7.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5231396,2.00,6.00,3.00,1.00,6.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5231400,6.00,7.00,1.00,4.00,6.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5231418,6.00,5.00,2.00,7.00,9.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5231426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5231434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5231442,6.00,6.00,4.00,5.00,8.00,6.00,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5231450,4.00,6.00,0.00,4.00,3.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5231477,9.00,8.00,9.00,7.00,7.00,6.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5231485,2.00,4.00,1.00,5.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5231493,3.00,6.00,3.00,2.00,7.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5231507,3.00,8.00,1.00,7.00,5.00,6.75,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5231515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5231523,4.00,4.00,0.00,2.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5231531,7.00,6.00,3.00,4.00,7.00,NULL,2.00,5.00,1.00,NULL,NULL,'S','N'),(20,5231540,8.00,7.00,4.00,7.00,9.00,9.00,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5231558,3.00,5.00,1.00,3.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5231566,4.00,4.00,1.00,4.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5231574,9.00,4.00,1.00,4.00,6.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5231582,6.00,6.00,0.00,5.00,8.00,6.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5231590,4.00,7.00,4.00,5.00,8.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5231604,8.00,5.00,6.00,7.00,8.00,6.75,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5231612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5231620,7.00,7.00,4.00,6.00,10.00,11.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5231639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5231655,2.00,2.00,3.00,4.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5231663,7.00,7.00,3.00,5.00,8.00,8.63,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5231671,2.00,6.00,0.00,3.00,4.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5231680,5.00,6.00,2.00,4.00,9.00,9.75,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5231698,5.00,5.00,3.00,7.00,8.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5231701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5231710,4.00,5.00,3.00,6.00,6.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5231728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5231736,5.00,7.00,3.00,3.00,5.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5231744,6.00,5.00,2.00,2.00,8.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5231752,6.00,5.00,1.00,6.00,4.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5231760,7.00,7.00,5.00,3.00,5.00,8.63,2.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5231779,2.00,1.00,1.00,2.00,4.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5231787,3.00,5.00,3.00,7.00,4.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5231795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5231809,3.00,4.00,0.00,3.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5231817,2.00,4.00,0.00,1.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5231825,4.00,6.00,0.00,6.00,5.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5231833,4.00,7.00,0.00,7.00,8.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5231841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5231850,5.00,4.00,2.00,5.00,6.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5231868,6.00,6.00,2.00,6.00,9.00,9.38,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5231876,4.00,3.00,1.00,2.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5231884,2.00,3.00,2.00,5.00,9.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5231892,4.00,7.00,1.00,4.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5231914,8.00,4.00,2.00,4.00,7.00,9.38,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5231922,2.00,4.00,0.00,1.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5231930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5231949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5231957,9.00,7.00,5.00,6.00,7.00,7.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5231965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5231973,4.00,6.00,3.00,7.00,4.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5231981,5.00,6.00,3.00,3.00,8.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5231990,2.00,5.00,1.00,5.00,9.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5232007,2.00,4.00,1.00,3.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5232015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5232023,4.00,3.00,1.00,3.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5232031,1.00,1.00,0.00,2.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5232040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5232058,2.00,4.00,1.00,4.00,7.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5232066,3.00,4.00,0.00,3.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5232082,5.00,6.00,3.00,3.00,5.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5232090,7.00,6.00,5.00,5.00,9.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5232104,9.00,8.00,7.00,6.00,9.00,12.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5232120,8.00,6.00,4.00,5.00,8.00,7.13,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5232139,4.00,5.00,1.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5232147,7.00,5.00,2.00,6.00,8.00,10.88,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5232155,4.00,4.00,3.00,4.00,5.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5232163,3.00,2.00,2.00,3.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5232171,2.00,6.00,1.00,2.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5232180,1.00,6.00,2.00,4.00,5.00,8.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5232198,3.00,3.00,1.00,2.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5232210,7.00,8.00,4.00,6.00,9.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5232228,2.00,7.00,3.00,3.00,5.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5232236,5.00,5.00,7.00,4.00,5.00,7.13,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5232244,6.00,7.00,3.00,4.00,4.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5232252,1.00,4.00,1.00,2.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5232260,5.00,3.00,2.00,1.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5232279,2.00,4.00,2.00,6.00,4.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5232287,3.00,6.00,6.00,6.00,7.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5232295,9.00,9.00,8.00,6.00,8.00,8.63,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(20,5232309,4.00,4.00,0.00,5.00,7.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5232317,7.00,7.00,3.00,6.00,8.00,8.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5232325,8.00,6.00,1.00,6.00,6.00,10.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5232333,6.00,7.00,2.00,2.00,7.00,0.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5232341,3.00,5.00,2.00,4.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5232350,7.00,7.00,4.00,5.00,6.00,8.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5232368,6.00,7.00,1.00,5.00,9.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5232376,5.00,5.00,0.00,4.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5232392,5.00,8.00,1.00,7.00,5.00,12.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5232414,1.00,4.00,0.00,5.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5232422,4.00,5.00,1.00,3.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5232430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5232449,3.00,3.00,0.00,5.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5232465,2.00,3.00,0.00,1.00,1.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5232481,3.00,3.00,3.00,3.00,4.00,6.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5232490,7.00,5.00,4.00,6.00,7.00,11.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5232503,5.00,5.00,4.00,5.00,8.00,9.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5232511,3.00,4.00,2.00,2.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5232520,6.00,4.00,0.00,4.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5232538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5232546,6.00,6.00,0.00,3.00,7.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5232554,7.00,5.00,0.00,6.00,10.00,7.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5232570,4.00,5.00,3.00,6.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5232589,2.00,5.00,1.00,2.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5232597,8.00,7.00,6.00,7.00,7.00,7.50,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5232600,5.00,6.00,1.00,5.00,6.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5232619,8.00,6.00,2.00,6.00,10.00,9.75,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5232627,6.00,6.00,1.00,7.00,8.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5232635,5.00,6.00,1.00,5.00,5.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5232643,6.00,4.00,2.00,6.00,8.00,6.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5232651,3.00,5.00,0.00,6.00,7.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5232660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5232678,8.00,6.00,4.00,5.00,8.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5232686,4.00,4.00,0.00,2.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5232694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5232708,5.00,6.00,1.00,7.00,6.00,9.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5232716,7.00,8.00,1.00,7.00,7.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5232724,6.00,7.00,1.00,5.00,7.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5232740,4.00,4.00,5.00,3.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5232759,4.00,5.00,1.00,2.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5232767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5232783,4.00,4.00,3.00,5.00,6.00,7.88,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5232791,5.00,6.00,1.00,7.00,5.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5232813,5.00,7.00,2.00,6.00,6.00,9.38,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5232830,7.00,6.00,4.00,7.00,7.00,10.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5232848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5232856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5232864,3.00,5.00,5.00,4.00,5.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5232872,4.00,3.00,3.00,1.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5232880,5.00,7.00,1.00,4.00,9.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5232899,3.00,6.00,4.00,2.00,5.00,11.63,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(20,5232902,7.00,6.00,1.00,5.00,4.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5232910,2.00,5.00,1.00,3.00,4.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5232937,6.00,4.00,2.00,5.00,7.00,11.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5232945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5232953,4.00,7.00,2.00,7.00,10.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5232961,6.00,7.00,3.00,6.00,4.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5232970,6.00,5.00,3.00,7.00,7.00,9.38,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5232988,6.00,3.00,1.00,2.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5232996,2.00,6.00,5.00,5.00,4.00,7.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5233003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5233011,3.00,4.00,1.00,6.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5233020,8.00,7.00,4.00,3.00,6.00,10.13,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5233046,4.00,6.00,4.00,7.00,5.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5233054,4.00,6.00,1.00,7.00,5.00,9.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5233062,4.00,7.00,4.00,4.00,7.00,8.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5233070,6.00,8.00,5.00,6.00,6.00,9.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5233089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5233100,8.00,7.00,7.00,7.00,10.00,8.25,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5233119,8.00,6.00,1.00,4.00,6.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5233127,4.00,5.00,0.00,5.00,4.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5233135,7.00,5.00,0.00,5.00,6.00,NULL,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5233143,6.00,7.00,4.00,7.00,8.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5233151,4.00,4.00,3.00,6.00,6.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5233160,1.00,1.00,1.00,3.00,1.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5233178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5233186,0.00,3.00,0.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5233194,0.00,3.00,1.00,2.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5233208,4.00,5.00,0.00,4.00,7.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5233216,4.00,4.00,2.00,6.00,5.00,8.63,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5233224,1.00,4.00,0.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5233232,6.00,3.00,2.00,6.00,6.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5233240,8.00,9.00,4.00,7.00,9.00,8.25,5.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5233259,5.00,7.00,2.00,6.00,9.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5233267,3.00,5.00,0.00,1.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5233275,5.00,6.00,0.00,5.00,9.00,12.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5233283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5233291,3.00,5.00,3.00,3.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5233305,3.00,5.00,0.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5233313,3.00,3.00,2.00,4.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5233348,9.00,6.00,4.00,7.00,9.00,9.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5233364,1.00,3.00,0.00,2.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5233372,4.00,4.00,2.00,0.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5233402,5.00,7.00,2.00,6.00,7.00,10.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5233410,4.00,6.00,3.00,3.00,7.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5233429,8.00,8.00,5.00,6.00,9.00,9.38,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5233437,4.00,5.00,1.00,7.00,6.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5233445,4.00,5.00,2.00,5.00,5.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5233453,2.00,3.00,2.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5233461,5.00,7.00,0.00,7.00,9.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5233470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5233488,6.00,8.00,5.00,7.00,8.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5233496,8.00,6.00,1.00,7.00,6.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5233518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5233526,5.00,6.00,2.00,3.00,4.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5233542,4.00,5.00,5.00,5.00,6.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5233550,1.00,1.00,1.00,2.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5233577,8.00,8.00,4.00,6.00,10.00,10.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5233585,3.00,5.00,2.00,6.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5233607,3.00,5.00,0.00,4.00,7.00,10.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5233615,0.00,3.00,0.00,0.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5233623,3.00,4.00,1.00,6.00,6.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5233631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5233640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5233666,4.00,2.00,1.00,6.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5233674,7.00,8.00,1.00,6.00,8.00,11.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5233682,5.00,6.00,1.00,7.00,6.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5233690,4.00,7.00,4.00,7.00,7.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5233704,8.00,6.00,6.00,7.00,10.00,8.63,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5233712,4.00,5.00,0.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5233720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5233739,5.00,8.00,2.00,4.00,6.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5233747,9.00,8.00,8.00,8.00,8.00,9.00,8.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5233755,5.00,6.00,0.00,4.00,4.00,9.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5233763,4.00,5.00,3.00,4.00,7.00,11.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5233771,1.00,4.00,0.00,3.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5233780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5233798,3.00,7.00,3.00,3.00,6.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5233810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5233836,4.00,7.00,1.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5233852,9.00,7.00,4.00,7.00,9.00,10.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5233879,7.00,8.00,4.00,7.00,7.00,12.00,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5233895,4.00,6.00,1.00,6.00,5.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5233909,2.00,5.00,1.00,4.00,6.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5233917,6.00,6.00,1.00,2.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5233941,6.00,9.00,5.00,6.00,10.00,9.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5233950,3.00,5.00,0.00,4.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5233968,4.00,5.00,5.00,4.00,6.00,6.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5233976,3.00,3.00,2.00,0.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5233984,6.00,5.00,3.00,5.00,10.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5233992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234018,8.00,6.00,6.00,7.00,8.00,7.88,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5234026,3.00,3.00,0.00,3.00,1.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5234034,6.00,8.00,5.00,7.00,8.00,9.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5234042,3.00,1.00,2.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5234050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234069,3.00,7.00,0.00,4.00,6.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5234077,5.00,7.00,4.00,3.00,4.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5234085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234093,7.00,7.00,1.00,3.00,6.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5234107,2.00,0.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5234115,5.00,3.00,2.00,4.00,4.00,8.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5234123,3.00,1.00,3.00,3.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5234131,5.00,6.00,3.00,6.00,5.00,7.13,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5234140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234158,5.00,6.00,3.00,5.00,6.00,8.63,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5234166,3.00,6.00,1.00,3.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5234174,8.00,7.00,1.00,7.00,5.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5234182,6.00,6.00,3.00,1.00,6.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5234190,2.00,4.00,0.00,2.00,1.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'S'),(20,5234204,4.00,6.00,1.00,5.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5234212,6.00,6.00,2.00,4.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5234220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234239,5.00,5.00,1.00,4.00,7.00,6.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5234247,3.00,4.00,0.00,3.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5234263,5.00,4.00,3.00,6.00,8.00,9.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5234271,2.00,4.00,0.00,2.00,2.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5234280,8.00,8.00,6.00,7.00,6.00,11.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5234298,3.00,6.00,1.00,4.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5234301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234336,0.00,1.00,2.00,2.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5234344,8.00,6.00,4.00,7.00,7.00,6.38,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5234352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234360,2.00,3.00,4.00,3.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5234387,1.00,7.00,0.00,5.00,6.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5234395,8.00,8.00,9.00,7.00,10.00,10.50,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5234409,9.00,8.00,8.00,7.00,10.00,9.38,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5234417,9.00,6.00,3.00,7.00,9.00,10.50,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5234433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234468,1.00,4.00,0.00,3.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5234476,5.00,5.00,0.00,6.00,10.00,9.00,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5234484,8.00,7.00,4.00,8.00,10.00,8.25,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5234492,4.00,5.00,2.00,6.00,8.00,9.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5234506,3.00,5.00,1.00,5.00,8.00,10.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5234514,5.00,7.00,3.00,5.00,8.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5234522,9.00,3.00,3.00,5.00,6.00,7.88,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5234530,8.00,8.00,7.00,6.00,7.00,9.00,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5234549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234557,1.00,6.00,1.00,6.00,8.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5234565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234581,4.00,2.00,3.00,0.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5234590,0.00,4.00,0.00,0.00,0.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5234603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234611,8.00,5.00,4.00,7.00,7.00,8.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5234620,3.00,6.00,1.00,4.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5234638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234646,6.00,5.00,3.00,4.00,7.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5234654,2.00,4.00,1.00,2.00,5.00,NULL,5.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5234662,5.00,4.00,2.00,3.00,4.00,6.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5234689,4.00,4.00,1.00,6.00,4.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5234697,4.00,5.00,3.00,4.00,6.00,6.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5234700,2.00,2.00,1.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5234719,7.00,7.00,2.00,5.00,8.00,9.75,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5234727,3.00,6.00,0.00,4.00,7.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5234735,4.00,4.00,4.00,3.00,8.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5234743,2.00,5.00,3.00,3.00,5.00,11.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5234751,4.00,1.00,5.00,7.00,6.00,7.13,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5234760,5.00,6.00,1.00,5.00,7.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5234778,4.00,4.00,2.00,5.00,5.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5234786,9.00,4.00,4.00,5.00,9.00,9.00,5.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5234794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234816,9.00,9.00,6.00,5.00,10.00,10.50,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5234832,3.00,6.00,0.00,4.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5234840,5.00,2.00,2.00,3.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5234859,8.00,7.00,6.00,8.00,9.00,9.38,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5234867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234905,5.00,3.00,0.00,2.00,4.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5234921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234948,7.00,7.00,2.00,7.00,8.00,10.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5234956,5.00,7.00,3.00,3.00,6.00,8.63,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5234964,6.00,7.00,4.00,5.00,10.00,10.50,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5234972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5234980,5.00,7.00,3.00,3.00,7.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5234999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5235006,2.00,2.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5235014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5235022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5235030,4.00,6.00,1.00,2.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5235049,5.00,6.00,2.00,7.00,5.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5235057,4.00,4.00,4.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5235065,6.00,6.00,1.00,2.00,8.00,7.13,2.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5235073,8.00,6.00,0.00,4.00,9.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5235081,3.00,5.00,1.00,2.00,5.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5235090,4.00,4.00,2.00,2.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5235103,5.00,4.00,3.00,5.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5235111,5.00,5.00,1.00,4.00,9.00,8.63,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5235120,2.00,2.00,1.00,4.00,5.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5235138,5.00,4.00,0.00,0.00,5.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5235146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5235154,7.00,5.00,2.00,6.00,9.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5235162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5235170,2.00,5.00,2.00,3.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5235189,4.00,5.00,3.00,3.00,7.00,6.75,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5235197,5.00,6.00,2.00,6.00,6.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5235200,2.00,3.00,1.00,3.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5235219,3.00,5.00,1.00,2.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5235227,1.00,5.00,1.00,1.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5235235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5235243,4.00,5.00,0.00,3.00,3.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5235251,7.00,6.00,0.00,6.00,4.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5235260,5.00,5.00,0.00,6.00,6.00,7.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5235278,4.00,5.00,1.00,5.00,5.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5235286,2.00,3.00,2.00,5.00,6.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5235294,0.00,7.00,1.00,2.00,4.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5235308,3.00,5.00,0.00,4.00,6.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5235316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5235324,3.00,4.00,2.00,4.00,5.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5235332,7.00,5.00,3.00,5.00,5.00,6.38,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5235340,5.00,2.00,1.00,3.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5235359,1.00,4.00,1.00,3.00,6.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5235367,9.00,6.00,1.00,7.00,5.00,10.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5235375,7.00,5.00,3.00,4.00,8.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5235383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5235391,6.00,5.00,4.00,6.00,8.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5235413,2.00,6.00,0.00,4.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5235421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5235430,5.00,3.00,2.00,2.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5235456,4.00,4.00,5.00,4.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5235464,9.00,7.00,7.00,7.00,9.00,8.25,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5235472,1.00,5.00,2.00,4.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5235480,6.00,7.00,3.00,5.00,6.00,9.75,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5235529,2.00,4.00,0.00,5.00,7.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5235537,3.00,5.00,1.00,7.00,5.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5235545,5.00,7.00,3.00,7.00,3.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5235553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5235561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5235570,7.00,6.00,4.00,7.00,9.00,9.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5235588,6.00,6.00,3.00,5.00,4.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5235596,2.00,2.00,1.00,3.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5235600,5.00,5.00,2.00,2.00,6.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5235618,2.00,7.00,2.00,3.00,2.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5235626,5.00,8.00,5.00,6.00,7.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5235634,9.00,7.00,2.00,6.00,8.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5235642,1.00,3.00,1.00,1.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5235650,2.00,2.00,0.00,4.00,5.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5235669,8.00,7.00,1.00,4.00,7.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5235677,5.00,7.00,1.00,5.00,7.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5235707,4.00,3.00,0.00,4.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5235715,5.00,5.00,1.00,6.00,8.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5235723,8.00,6.00,5.00,5.00,9.00,9.38,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5235731,4.00,4.00,1.00,3.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5235740,3.00,5.00,2.00,3.00,5.00,4.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5235758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5235766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5235782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5235790,8.00,6.00,1.00,4.00,7.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5235804,9.00,6.00,5.00,5.00,9.00,8.25,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5235812,6.00,7.00,4.00,5.00,4.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5235820,3.00,3.00,1.00,1.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5235839,8.00,6.00,4.00,7.00,8.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5235871,2.00,6.00,3.00,3.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5235880,4.00,7.00,3.00,2.00,6.00,7.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5235928,7.00,8.00,4.00,6.00,9.00,12.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5235936,1.00,4.00,1.00,6.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5235944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5235952,6.00,5.00,3.00,6.00,8.00,11.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5235960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5235987,6.00,5.00,1.00,4.00,8.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5235995,2.00,3.00,2.00,4.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5236002,5.00,6.00,0.00,6.00,5.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5236010,5.00,7.00,5.00,8.00,8.00,12.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5236029,4.00,6.00,1.00,6.00,6.00,11.25,1.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5236037,3.00,3.00,2.00,3.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5236053,8.00,9.00,8.00,6.00,9.00,8.25,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5236061,8.00,4.00,1.00,5.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5236070,8.00,3.00,6.00,5.00,8.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5236088,6.00,5.00,5.00,3.00,5.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5236096,6.00,6.00,0.00,7.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5236118,9.00,6.00,5.00,7.00,9.00,7.13,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5236126,3.00,4.00,1.00,3.00,6.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5236134,3.00,6.00,4.00,2.00,4.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5236142,9.00,7.00,2.00,4.00,7.00,8.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5236150,5.00,5.00,4.00,5.00,6.00,10.88,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5236169,7.00,6.00,2.00,5.00,7.00,9.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5236177,9.00,8.00,6.00,4.00,9.00,10.50,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5236185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5236207,5.00,7.00,5.00,6.00,7.00,8.63,3.00,2.00,6.00,NULL,NULL,NULL,'S'),(20,5236215,9.00,6.00,1.00,4.00,7.00,9.38,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5236223,3.00,6.00,1.00,3.00,6.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5236231,3.00,2.00,2.00,7.00,5.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5236240,8.00,5.00,3.00,5.00,6.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5236258,6.00,5.00,4.00,6.00,8.00,8.63,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5236266,8.00,8.00,2.00,8.00,9.00,12.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5236290,7.00,7.00,4.00,5.00,8.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5236312,3.00,6.00,3.00,0.00,7.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5236320,6.00,7.00,1.00,5.00,5.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5236339,4.00,5.00,0.00,4.00,5.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5236347,4.00,4.00,0.00,5.00,6.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5236355,8.00,7.00,5.00,7.00,9.00,11.25,8.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5236363,1.00,3.00,1.00,4.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5236371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5236380,4.00,6.00,3.00,5.00,3.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5236398,8.00,6.00,1.00,6.00,5.00,10.50,0.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5236401,6.00,6.00,3.00,3.00,6.00,9.38,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5236410,4.00,7.00,1.00,4.00,4.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5236436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5236444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5236452,3.00,3.00,4.00,2.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5236460,4.00,6.00,5.00,4.00,5.00,4.88,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5236479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5236487,8.00,8.00,3.00,7.00,9.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5236495,4.00,5.00,5.00,6.00,8.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5236509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5236517,3.00,4.00,0.00,5.00,8.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5236533,3.00,7.00,2.00,4.00,7.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5236541,9.00,7.00,3.00,7.00,11.00,10.88,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5236550,9.00,9.00,8.00,7.00,10.00,10.13,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5236568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5236576,2.00,3.00,0.00,2.00,6.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5236592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5236606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5236614,7.00,5.00,3.00,5.00,4.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5236630,5.00,5.00,0.00,4.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5236649,9.00,6.00,3.00,6.00,7.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5236657,5.00,5.00,4.00,5.00,6.00,8.25,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5236665,7.00,5.00,2.00,7.00,5.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5236673,5.00,6.00,2.00,7.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5236681,4.00,6.00,3.00,3.00,6.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5236690,7.00,6.00,4.00,7.00,8.00,7.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5236703,3.00,1.00,0.00,3.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5236711,5.00,5.00,3.00,2.00,5.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5236720,4.00,5.00,0.00,5.00,4.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5236738,3.00,3.00,0.00,4.00,1.00,NULL,1.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5236746,4.00,2.00,4.00,5.00,9.00,9.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5236754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5236762,9.00,6.00,0.00,4.00,8.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5236770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5236789,4.00,3.00,2.00,0.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5236797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5236800,7.00,6.00,1.00,3.00,4.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5236819,6.00,7.00,3.00,3.00,9.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5236827,5.00,4.00,1.00,5.00,5.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5236835,3.00,4.00,4.00,6.00,6.00,8.63,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5236851,5.00,5.00,0.00,5.00,5.00,10.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5236860,7.00,7.00,4.00,4.00,8.00,6.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5236878,6.00,6.00,0.00,4.00,7.00,6.75,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5236886,2.00,0.00,0.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5236894,4.00,4.00,1.00,7.00,4.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5236916,4.00,5.00,0.00,6.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5236924,7.00,6.00,4.00,7.00,8.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5236932,5.00,5.00,1.00,3.00,7.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5236959,3.00,5.00,1.00,5.00,8.00,7.13,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5236967,3.00,6.00,5.00,1.00,7.00,6.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5236975,0.00,6.00,0.00,0.00,0.00,NULL,2.00,4.00,4.00,'S',NULL,NULL,'N'),(20,5236983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5236991,7.00,7.00,2.00,4.00,7.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5237009,2.00,3.00,3.00,1.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5237025,6.00,6.00,2.00,5.00,7.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5237041,3.00,6.00,3.00,7.00,8.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5237050,2.00,5.00,2.00,3.00,3.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5237068,1.00,5.00,4.00,7.00,5.00,6.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5237076,5.00,3.00,3.00,5.00,7.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5237084,8.00,3.00,6.00,5.00,10.00,7.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5237092,6.00,7.00,4.00,7.00,10.00,11.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5237106,6.00,4.00,0.00,5.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5237122,6.00,4.00,4.00,6.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5237130,6.00,3.00,2.00,5.00,6.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5237149,5.00,5.00,2.00,3.00,4.00,11.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5237157,8.00,5.00,5.00,5.00,5.00,9.38,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5237165,4.00,6.00,2.00,3.00,6.00,7.88,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5237173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5237181,2.00,5.00,2.00,2.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5237190,6.00,6.00,1.00,7.00,10.00,8.25,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5237203,1.00,6.00,3.00,5.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5237211,5.00,8.00,4.00,4.00,5.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5237220,5.00,6.00,2.00,3.00,6.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5237238,9.00,8.00,7.00,6.00,8.00,10.50,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5237246,7.00,7.00,3.00,6.00,7.00,9.38,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5237254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5237262,5.00,6.00,1.00,5.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,'S','N'),(20,5237270,2.00,1.00,1.00,4.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,'S','N'),(20,5237289,7.00,7.00,3.00,7.00,9.00,9.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5237297,6.00,6.00,3.00,4.00,8.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5237300,7.00,5.00,3.00,7.00,7.00,10.88,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5237319,4.00,4.00,2.00,7.00,7.00,10.88,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5237335,5.00,6.00,2.00,6.00,8.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5237343,6.00,6.00,1.00,7.00,7.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5237351,4.00,2.00,0.00,6.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5237360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5237378,3.00,3.00,1.00,2.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5237386,8.00,4.00,0.00,4.00,7.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5237394,4.00,3.00,1.00,3.00,6.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5237408,3.00,8.00,0.00,3.00,7.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5237416,8.00,6.00,3.00,6.00,9.00,9.38,3.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5237424,5.00,7.00,1.00,4.00,6.00,7.88,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5237432,7.00,5.00,0.00,5.00,4.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5237440,6.00,6.00,2.00,3.00,6.00,10.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5237459,2.00,4.00,1.00,2.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5237467,8.00,7.00,4.00,5.00,6.00,7.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5237475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5237483,4.00,5.00,0.00,3.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5237491,3.00,3.00,2.00,2.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5237505,2.00,3.00,0.00,4.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5237513,9.00,5.00,3.00,6.00,10.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5237521,5.00,5.00,3.00,4.00,8.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5237530,0.00,4.00,2.00,1.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5237548,4.00,5.00,2.00,2.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5237564,3.00,5.00,1.00,5.00,5.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5237572,3.00,6.00,2.00,3.00,6.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5237580,4.00,4.00,2.00,4.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5237599,3.00,6.00,1.00,3.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5237602,7.00,7.00,1.00,6.00,10.00,10.50,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5237610,5.00,7.00,1.00,5.00,6.00,6.00,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5237629,4.00,4.00,1.00,4.00,7.00,7.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5237637,6.00,5.00,3.00,6.00,7.00,9.38,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5237645,3.00,3.00,2.00,4.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5237653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5237670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5237688,7.00,6.00,2.00,6.00,10.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5237696,0.00,2.00,0.00,2.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5237718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5237726,2.00,5.00,3.00,4.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5237734,4.00,6.00,1.00,5.00,7.00,10.13,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5237742,7.00,6.00,7.00,5.00,8.00,11.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5237750,5.00,3.00,2.00,4.00,6.00,7.88,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5237769,3.00,4.00,1.00,2.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5237777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5237785,5.00,8.00,4.00,6.00,5.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5237807,5.00,4.00,1.00,5.00,6.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5237815,4.00,6.00,0.00,6.00,7.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5237823,7.00,8.00,3.00,7.00,6.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5237831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5237840,2.00,4.00,1.00,1.00,1.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5237858,5.00,4.00,4.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5237866,5.00,7.00,1.00,4.00,8.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5237874,4.00,3.00,0.00,4.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5237882,1.00,2.00,2.00,0.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5237890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5237912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5237920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5237939,5.00,6.00,1.00,5.00,7.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5237947,7.00,4.00,6.00,7.00,6.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5237963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5237971,4.00,6.00,1.00,4.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5237998,9.00,6.00,3.00,5.00,9.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5238005,3.00,4.00,3.00,5.00,8.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5238013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5238021,2.00,5.00,2.00,2.00,3.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5238030,7.00,8.00,0.00,4.00,9.00,NULL,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5238048,5.00,1.00,4.00,4.00,7.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5238056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5238064,2.00,5.00,3.00,4.00,5.00,10.13,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5238080,6.00,5.00,4.00,2.00,6.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5238102,2.00,4.00,2.00,0.00,0.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5238110,4.00,6.00,1.00,5.00,6.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5238129,4.00,5.00,3.00,5.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5238137,7.00,3.00,1.00,6.00,7.00,11.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5238145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5238161,3.00,2.00,0.00,3.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5238170,6.00,7.00,2.00,5.00,9.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5238188,8.00,4.00,7.00,7.00,7.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5238196,2.00,4.00,2.00,2.00,3.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5238218,3.00,4.00,2.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5238226,3.00,4.00,2.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5238242,7.00,4.00,2.00,4.00,8.00,7.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5238250,8.00,7.00,3.00,7.00,8.00,10.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5238269,3.00,3.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5238277,7.00,7.00,1.00,5.00,7.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5238285,7.00,6.00,0.00,4.00,6.00,6.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5238307,4.00,6.00,0.00,4.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5238315,1.00,0.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(20,5238323,4.00,6.00,0.00,4.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5238331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5238340,1.00,3.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5238358,2.00,5.00,1.00,2.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5238366,3.00,5.00,3.00,7.00,5.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5238374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5238382,5.00,4.00,2.00,2.00,5.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5238390,10.00,6.00,8.00,8.00,10.00,6.75,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5238404,4.00,5.00,1.00,6.00,6.00,12.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5238412,5.00,5.00,5.00,5.00,7.00,6.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5238420,7.00,4.00,6.00,4.00,5.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5238439,6.00,5.00,6.00,5.00,7.00,9.38,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5238447,6.00,3.00,2.00,6.00,3.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5238455,8.00,8.00,4.00,6.00,9.00,8.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5238463,6.00,5.00,3.00,7.00,7.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5238480,7.00,7.00,2.00,7.00,6.00,9.00,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5238498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5238501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5238510,6.00,6.00,4.00,6.00,5.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5238528,3.00,6.00,3.00,6.00,5.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5238536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5238544,6.00,5.00,5.00,7.00,7.00,10.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5238552,4.00,6.00,2.00,3.00,5.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5238560,5.00,4.00,2.00,4.00,6.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5238579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5238587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5238595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5238609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5238617,5.00,6.00,1.00,4.00,8.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5238625,3.00,3.00,1.00,4.00,5.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5238633,9.00,7.00,4.00,3.00,7.00,9.00,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5238641,6.00,3.00,2.00,2.00,3.00,NULL,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5238650,2.00,2.00,3.00,3.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5238668,1.00,2.00,0.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5238676,6.00,6.00,2.00,2.00,5.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5238684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5238692,1.00,5.00,0.00,3.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5238706,4.00,7.00,3.00,1.00,8.00,4.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5238714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5238722,4.00,6.00,5.00,7.00,8.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5238730,7.00,3.00,3.00,6.00,6.00,9.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5238757,6.00,5.00,4.00,4.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5238765,3.00,4.00,2.00,5.00,3.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5238773,3.00,1.00,2.00,4.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5238781,2.00,2.00,2.00,6.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5238790,1.00,5.00,0.00,3.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5238803,3.00,5.00,2.00,5.00,5.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5238811,5.00,7.00,2.00,4.00,5.00,10.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5238820,3.00,4.00,0.00,4.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5238838,2.00,6.00,2.00,6.00,6.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5238854,5.00,3.00,1.00,1.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5238862,4.00,7.00,2.00,5.00,5.00,9.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5238889,6.00,0.00,2.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(20,5238897,4.00,7.00,1.00,5.00,10.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5238900,5.00,8.00,0.00,7.00,9.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5238919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5238927,3.00,2.00,3.00,5.00,4.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5238943,2.00,6.00,2.00,2.00,7.00,7.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5238951,3.00,6.00,2.00,5.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5238960,3.00,5.00,3.00,6.00,6.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5238978,5.00,6.00,3.00,4.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5238986,6.00,8.00,3.00,6.00,10.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5239001,5.00,5.00,0.00,5.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5239010,6.00,7.00,3.00,6.00,5.00,6.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5239028,6.00,7.00,3.00,4.00,6.00,5.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5239036,7.00,6.00,4.00,4.00,6.00,8.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5239044,6.00,3.00,3.00,7.00,6.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5239052,6.00,5.00,3.00,3.00,5.00,5.25,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5239060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5239079,5.00,4.00,1.00,5.00,6.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5239125,3.00,5.00,3.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5239141,4.00,3.00,0.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5239150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5239168,6.00,6.00,5.00,3.00,8.00,6.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5239176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5239184,3.00,3.00,0.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5239192,4.00,5.00,3.00,4.00,7.00,9.38,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5239206,4.00,4.00,4.00,2.00,8.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5239214,6.00,4.00,0.00,2.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5239222,6.00,8.00,2.00,6.00,9.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5239249,7.00,7.00,4.00,6.00,9.00,8.63,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5239265,5.00,6.00,0.00,4.00,7.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5239273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5239281,8.00,4.00,2.00,6.00,9.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5239290,8.00,6.00,4.00,7.00,8.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5239303,6.00,3.00,0.00,4.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5239311,5.00,6.00,3.00,5.00,7.00,9.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5239320,3.00,3.00,3.00,6.00,6.00,4.50,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5239338,6.00,5.00,4.00,3.00,5.00,6.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5239362,4.00,4.00,1.00,5.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5239370,4.00,3.00,1.00,3.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5239389,3.00,5.00,3.00,5.00,5.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5239397,1.00,3.00,2.00,2.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5239400,4.00,4.00,1.00,7.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5239419,3.00,3.00,1.00,7.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5239427,5.00,2.00,2.00,3.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5239443,2.00,5.00,1.00,2.00,3.00,NULL,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5239451,9.00,5.00,1.00,7.00,7.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5239460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5239478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5239486,6.00,7.00,4.00,5.00,6.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5239494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5239524,5.00,6.00,0.00,7.00,5.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5239540,5.00,6.00,0.00,2.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5239559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5239567,3.00,4.00,1.00,2.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5239575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5239583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5239591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5239605,2.00,5.00,3.00,5.00,8.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5239613,6.00,6.00,4.00,2.00,6.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5239621,7.00,7.00,4.00,7.00,9.00,9.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5239630,1.00,4.00,0.00,1.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5239648,9.00,5.00,1.00,3.00,9.00,10.50,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5239656,8.00,7.00,5.00,7.00,7.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5239664,6.00,6.00,1.00,5.00,8.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5239672,6.00,4.00,2.00,6.00,8.00,8.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5239680,5.00,4.00,1.00,3.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5239699,4.00,7.00,4.00,4.00,5.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5239702,5.00,6.00,0.00,7.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5239710,7.00,6.00,7.00,6.00,8.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5239729,3.00,4.00,0.00,2.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5239737,3.00,6.00,0.00,6.00,7.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5239745,2.00,7.00,2.00,5.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5239753,4.00,6.00,5.00,4.00,6.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5239761,2.00,2.00,1.00,4.00,8.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5239770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5239788,7.00,8.00,1.00,5.00,10.00,9.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5239818,0.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(20,5239826,5.00,7.00,3.00,5.00,4.00,9.75,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5239850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5239869,9.00,6.00,1.00,7.00,7.00,8.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5239893,4.00,5.00,2.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5239915,3.00,4.00,5.00,6.00,9.00,9.00,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5239923,6.00,7.00,4.00,7.00,9.00,10.50,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5239931,3.00,6.00,0.00,2.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5239940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5239958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5239974,3.00,4.00,3.00,6.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5239990,3.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(20,5240000,4.00,2.00,1.00,5.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5240018,4.00,5.00,3.00,1.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5240026,9.00,7.00,8.00,7.00,8.00,8.63,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5240034,0.00,3.00,0.00,2.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5240042,1.00,1.00,4.00,1.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5240085,8.00,7.00,2.00,5.00,7.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5240093,6.00,6.00,5.00,5.00,4.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5240107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5240115,7.00,9.00,2.00,7.00,8.00,11.63,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5240123,2.00,6.00,2.00,5.00,5.00,6.38,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5240131,7.00,7.00,3.00,6.00,9.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5240158,2.00,3.00,2.00,2.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5240166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5240174,4.00,5.00,2.00,4.00,8.00,9.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5240182,4.00,6.00,2.00,5.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5240190,7.00,6.00,2.00,7.00,7.00,8.63,1.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5240204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5240212,7.00,5.00,2.00,7.00,9.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5240239,4.00,5.00,1.00,2.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5240255,5.00,5.00,4.00,6.00,6.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(20,5240263,5.00,7.00,2.00,6.00,4.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5240271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5240280,3.00,3.00,0.00,4.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5240298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5240310,0.00,5.00,2.00,5.00,8.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5240328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5240344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5240379,3.00,3.00,0.00,3.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5240387,7.00,6.00,3.00,6.00,5.00,6.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5240395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5240409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5240417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5240425,5.00,7.00,5.00,5.00,9.00,10.50,7.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5240433,1.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5240441,3.00,4.00,4.00,3.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5240450,2.00,4.00,1.00,2.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5240468,3.00,3.00,1.00,4.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5240476,8.00,6.00,1.00,6.00,7.00,7.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5240484,2.00,1.00,1.00,3.00,4.00,NULL,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5240506,7.00,7.00,2.00,6.00,6.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5240522,5.00,2.00,0.00,5.00,8.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5240549,8.00,7.00,5.00,7.00,9.00,9.38,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5240565,8.00,7.00,0.00,6.00,10.00,NULL,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5240573,5.00,6.00,3.00,7.00,5.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5240581,4.00,4.00,0.00,0.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5240590,6.00,6.00,4.00,6.00,5.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5240611,8.00,6.00,5.00,5.00,8.00,9.38,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5240620,4.00,6.00,2.00,6.00,6.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5240662,5.00,5.00,0.00,6.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5240670,5.00,6.00,1.00,7.00,7.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5240689,4.00,6.00,2.00,3.00,7.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5240697,5.00,6.00,4.00,7.00,8.00,11.25,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5240719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5240727,6.00,9.00,2.00,6.00,9.00,9.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5240735,6.00,6.00,2.00,2.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5240743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5240751,5.00,5.00,4.00,4.00,4.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5240760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5240786,2.00,3.00,2.00,3.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5240794,2.00,4.00,2.00,4.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5240808,7.00,8.00,1.00,7.00,4.00,7.13,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5240816,3.00,3.00,2.00,6.00,5.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5240824,6.00,5.00,3.00,2.00,8.00,8.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5240832,1.00,3.00,3.00,1.00,3.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5240859,7.00,6.00,3.00,6.00,8.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5240867,7.00,2.00,4.00,7.00,6.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5240875,5.00,5.00,3.00,7.00,6.00,7.50,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5240883,5.00,6.00,1.00,6.00,5.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5240891,4.00,6.00,4.00,5.00,7.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5240905,3.00,7.00,3.00,6.00,6.00,7.88,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5240913,3.00,5.00,2.00,4.00,6.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5240921,8.00,6.00,5.00,6.00,5.00,7.50,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5240948,6.00,7.00,5.00,5.00,6.00,6.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5240956,8.00,5.00,3.00,7.00,9.00,9.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5240964,2.00,2.00,1.00,2.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5240972,9.00,7.00,4.00,7.00,7.00,6.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5240980,6.00,7.00,4.00,5.00,6.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5240999,5.00,5.00,1.00,3.00,3.00,NULL,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5241030,6.00,7.00,4.00,5.00,5.00,6.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5241049,6.00,5.00,2.00,4.00,8.00,9.38,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5241057,2.00,4.00,1.00,2.00,2.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5241065,9.00,8.00,5.00,6.00,9.00,12.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5241073,2.00,5.00,3.00,2.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5241081,8.00,5.00,5.00,7.00,5.00,9.00,3.00,1.00,8.00,NULL,NULL,NULL,'N'),(20,5241090,8.00,5.00,6.00,7.00,7.00,10.50,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5241103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5241111,6.00,8.00,3.00,6.00,7.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5241120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5241138,0.00,4.00,0.00,3.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,'S','N'),(20,5241146,4.00,3.00,6.00,6.00,7.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5241154,7.00,6.00,2.00,5.00,9.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5241170,3.00,2.00,0.00,3.00,6.00,NULL,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5241189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5241227,6.00,5.00,2.00,7.00,7.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5241235,5.00,4.00,2.00,2.00,5.00,NULL,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5241260,1.00,3.00,0.00,3.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5241278,5.00,8.00,4.00,7.00,9.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5241294,4.00,6.00,0.00,4.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5241308,6.00,5.00,8.00,5.00,7.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5241316,3.00,6.00,2.00,7.00,5.00,11.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5241324,4.00,6.00,0.00,4.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,'S','N'),(20,5241332,7.00,7.00,2.00,6.00,5.00,9.38,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5241340,8.00,6.00,6.00,7.00,8.00,9.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5241359,7.00,6.00,3.00,7.00,9.00,NULL,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5241375,6.00,5.00,1.00,7.00,6.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5241383,8.00,7.00,4.00,5.00,7.00,7.88,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5241391,7.00,6.00,2.00,7.00,4.00,10.50,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5241405,6.00,6.00,4.00,4.00,5.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5241413,8.00,7.00,5.00,7.00,6.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5241421,8.00,9.00,6.00,7.00,9.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5241448,8.00,5.00,3.00,6.00,7.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5241456,3.00,4.00,0.00,1.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5241464,7.00,7.00,4.00,7.00,2.00,NULL,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5241472,3.00,5.00,1.00,2.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5241480,9.00,5.00,6.00,6.00,8.00,7.13,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5241502,0.00,0.00,1.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5241510,8.00,7.00,4.00,6.00,9.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5241529,4.00,5.00,1.00,3.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5241537,5.00,5.00,4.00,7.00,7.00,11.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5241545,8.00,7.00,2.00,7.00,7.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5241553,7.00,7.00,5.00,6.00,11.00,9.38,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5241561,3.00,3.00,1.00,2.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5241570,7.00,4.00,6.00,7.00,9.00,8.63,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5241588,2.00,3.00,0.00,1.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5241596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5241600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5241618,7.00,6.00,5.00,5.00,8.00,9.75,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5241626,7.00,7.00,1.00,7.00,10.00,12.38,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5241634,4.00,3.00,2.00,6.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5241650,3.00,5.00,2.00,4.00,5.00,7.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5241669,0.00,3.00,2.00,3.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5241685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5241693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5241707,8.00,7.00,5.00,7.00,7.00,9.00,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5241731,9.00,5.00,2.00,7.00,8.00,7.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5241740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5241758,1.00,2.00,1.00,1.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,'S','N'),(20,5241774,5.00,4.00,3.00,7.00,8.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5241782,3.00,3.00,2.00,5.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5241790,4.00,4.00,3.00,3.00,5.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5241804,5.00,7.00,3.00,5.00,7.00,8.25,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5241812,3.00,2.00,0.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5241820,4.00,4.00,1.00,5.00,3.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5241839,3.00,4.00,2.00,3.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5241847,3.00,3.00,1.00,4.00,5.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5241855,2.00,5.00,2.00,3.00,5.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5241863,4.00,4.00,0.00,5.00,7.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5241871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5241880,0.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5241901,3.00,3.00,1.00,1.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5241910,6.00,4.00,3.00,4.00,8.00,6.75,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5241928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5241936,6.00,8.00,5.00,3.00,6.00,7.88,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5241944,9.00,7.00,4.00,6.00,8.00,11.25,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5241952,6.00,7.00,1.00,5.00,6.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5241960,5.00,7.00,5.00,7.00,8.00,7.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5241979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5241995,5.00,5.00,4.00,6.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5242002,1.00,5.00,1.00,4.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5242010,7.00,8.00,5.00,6.00,6.00,7.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5242037,3.00,5.00,3.00,5.00,6.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5242045,8.00,7.00,6.00,6.00,7.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5242053,7.00,6.00,2.00,4.00,4.00,7.13,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5242061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5242070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5242088,9.00,8.00,8.00,7.00,6.00,11.25,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5242100,6.00,3.00,1.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5242118,4.00,6.00,2.00,5.00,3.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5242134,5.00,6.00,2.00,7.00,10.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5242142,7.00,5.00,1.00,4.00,7.00,8.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5242150,2.00,5.00,4.00,3.00,5.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5242169,4.00,5.00,2.00,3.00,6.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5242177,1.00,3.00,3.00,1.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5242185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5242193,2.00,4.00,2.00,2.00,4.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5242215,2.00,2.00,1.00,1.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5242223,1.00,4.00,0.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5242231,6.00,5.00,3.00,7.00,8.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5242240,4.00,3.00,3.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5242258,7.00,5.00,4.00,5.00,7.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5242266,8.00,7.00,6.00,7.00,10.00,10.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5242274,8.00,5.00,1.00,7.00,10.00,8.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5242282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5242304,3.00,3.00,0.00,3.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5242312,7.00,6.00,6.00,6.00,8.00,7.88,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5242320,6.00,7.00,2.00,6.00,8.00,10.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5242339,5.00,0.00,3.00,4.00,8.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5242347,2.00,4.00,2.00,2.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5242355,4.00,4.00,1.00,3.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5242363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5242371,8.00,7.00,7.00,6.00,8.00,10.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5242380,6.00,4.00,2.00,5.00,8.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5242398,6.00,6.00,2.00,6.00,9.00,12.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5242401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5242410,4.00,2.00,2.00,5.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5242428,6.00,6.00,4.00,4.00,6.00,7.13,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5242436,6.00,7.00,4.00,6.00,7.00,9.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5242460,1.00,5.00,0.00,7.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5242479,7.00,9.00,3.00,5.00,7.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5242487,3.00,7.00,1.00,2.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5242509,5.00,6.00,2.00,5.00,7.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5242525,8.00,5.00,2.00,7.00,5.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5242533,8.00,8.00,8.00,7.00,10.00,10.88,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5242541,6.00,6.00,3.00,7.00,10.00,9.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5242550,7.00,8.00,6.00,5.00,9.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5242568,3.00,4.00,1.00,1.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5242576,6.00,7.00,5.00,6.00,9.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5242584,9.00,7.00,4.00,6.00,9.00,6.38,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5242592,3.00,2.00,1.00,3.00,8.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5242606,4.00,4.00,2.00,3.00,6.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5242614,6.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5242622,3.00,7.00,5.00,7.00,7.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5242630,7.00,8.00,0.00,6.00,8.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5242649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5242657,3.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5242665,5.00,7.00,1.00,6.00,6.00,8.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5242673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5242681,6.00,7.00,2.00,6.00,6.00,8.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5242690,4.00,7.00,3.00,5.00,8.00,10.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5242703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5242711,7.00,5.00,2.00,4.00,7.00,9.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5242720,1.00,3.00,0.00,3.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5242738,6.00,6.00,3.00,4.00,6.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5242746,3.00,6.00,2.00,6.00,4.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5242754,3.00,6.00,1.00,4.00,6.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5242762,0.00,5.00,2.00,3.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5242770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5242789,2.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5242797,3.00,5.00,2.00,3.00,4.00,6.00,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5242800,6.00,3.00,1.00,6.00,4.00,8.25,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5242819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5242827,1.00,6.00,0.00,2.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5242835,9.00,7.00,6.00,7.00,11.00,12.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5242843,5.00,7.00,1.00,5.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5242851,3.00,5.00,1.00,2.00,3.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5242860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5242878,7.00,7.00,4.00,6.00,6.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5242886,4.00,6.00,4.00,5.00,8.00,7.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5242908,3.00,2.00,1.00,3.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5242916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5242924,8.00,6.00,6.00,7.00,10.00,9.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5242932,5.00,6.00,2.00,3.00,5.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5242940,4.00,7.00,1.00,6.00,6.00,11.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5242959,3.00,4.00,2.00,7.00,4.00,7.13,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5242967,7.00,7.00,4.00,6.00,7.00,10.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5242975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5242983,5.00,5.00,1.00,4.00,6.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5242991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5243009,6.00,5.00,0.00,5.00,5.00,7.13,2.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5243017,3.00,6.00,2.00,6.00,5.00,10.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5243025,7.00,5.00,4.00,6.00,7.00,8.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5243041,5.00,7.00,6.00,6.00,9.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5243050,2.00,5.00,4.00,5.00,7.00,10.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5243068,6.00,7.00,2.00,6.00,6.00,0.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5243076,3.00,5.00,1.00,4.00,9.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5243106,4.00,3.00,4.00,7.00,4.00,6.38,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5243114,4.00,4.00,0.00,2.00,5.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5243122,5.00,3.00,2.00,3.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5243130,4.00,2.00,2.00,6.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5243157,4.00,7.00,2.00,5.00,8.00,7.13,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5243165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5243173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5243181,7.00,4.00,5.00,0.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5243190,7.00,6.00,0.00,7.00,7.00,9.38,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5243203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5243211,3.00,6.00,0.00,3.00,6.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5243220,3.00,4.00,1.00,4.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5243238,4.00,5.00,0.00,7.00,8.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5243246,7.00,5.00,2.00,5.00,7.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5243254,4.00,5.00,1.00,5.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5243262,8.00,7.00,4.00,7.00,9.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5243270,3.00,6.00,0.00,3.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5243300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5243335,6.00,6.00,3.00,4.00,6.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5243343,1.00,4.00,0.00,5.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5243351,0.00,4.00,0.00,0.00,0.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5243360,5.00,5.00,0.00,5.00,4.00,10.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5243378,3.00,4.00,1.00,4.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5243394,6.00,5.00,3.00,3.00,9.00,8.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5243416,8.00,8.00,2.00,7.00,9.00,9.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5243432,3.00,2.00,2.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5243440,4.00,4.00,2.00,5.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5243459,5.00,2.00,3.00,4.00,8.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5243467,4.00,5.00,4.00,4.00,8.00,7.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5243475,2.00,5.00,2.00,2.00,1.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5243483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5243491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5243505,7.00,6.00,3.00,5.00,6.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5243513,8.00,3.00,0.00,3.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5243530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5243556,3.00,4.00,3.00,2.00,6.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5243564,4.00,4.00,0.00,5.00,5.00,7.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5243572,5.00,5.00,1.00,4.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5243599,4.00,6.00,1.00,4.00,6.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5243602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5243629,8.00,7.00,2.00,5.00,7.00,8.63,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5243645,5.00,6.00,2.00,5.00,6.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5243653,4.00,6.00,1.00,6.00,7.00,9.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5243670,3.00,2.00,2.00,4.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5243696,6.00,7.00,4.00,5.00,5.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5243700,5.00,4.00,2.00,6.00,4.00,8.63,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5243718,4.00,3.00,1.00,2.00,5.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5243726,6.00,7.00,0.00,7.00,10.00,8.63,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5243734,8.00,7.00,3.00,7.00,9.00,7.13,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5243742,3.00,5.00,0.00,1.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5243750,4.00,4.00,3.00,4.00,5.00,6.38,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5243777,4.00,4.00,3.00,5.00,7.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5243785,5.00,5.00,0.00,3.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5243793,5.00,8.00,3.00,7.00,7.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5243807,5.00,8.00,4.00,3.00,5.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5243823,4.00,6.00,1.00,5.00,9.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5243831,4.00,3.00,1.00,5.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5243840,7.00,6.00,2.00,6.00,7.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5243858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5243866,5.00,6.00,2.00,7.00,7.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5243882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5243890,6.00,7.00,4.00,5.00,8.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5243904,3.00,7.00,1.00,3.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5243920,5.00,4.00,0.00,3.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5243939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5243947,6.00,5.00,5.00,7.00,8.00,9.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5243955,1.00,6.00,0.00,6.00,6.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5243963,9.00,8.00,4.00,6.00,10.00,9.00,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5243971,4.00,6.00,4.00,6.00,6.00,7.13,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5243980,6.00,5.00,0.00,5.00,7.00,7.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5243998,5.00,5.00,2.00,3.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5244005,6.00,7.00,3.00,6.00,8.00,8.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5244013,5.00,2.00,1.00,2.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5244021,7.00,6.00,4.00,7.00,6.00,10.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5244030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5244048,5.00,2.00,1.00,4.00,5.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5244056,1.00,1.00,4.00,2.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5244064,5.00,5.00,1.00,6.00,10.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5244072,8.00,5.00,2.00,7.00,4.00,7.88,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5244080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5244099,7.00,5.00,8.00,5.00,5.00,6.75,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5244102,4.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5244110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5244129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5244170,5.00,5.00,2.00,5.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5244188,5.00,8.00,4.00,7.00,8.00,8.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5244218,7.00,4.00,3.00,5.00,8.00,6.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5244242,5.00,7.00,0.00,3.00,7.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5244269,4.00,5.00,1.00,4.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5244277,7.00,8.00,2.00,4.00,6.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5244285,4.00,3.00,2.00,2.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5244293,7.00,7.00,1.00,7.00,10.00,14.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5244307,1.00,4.00,3.00,4.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5244315,4.00,4.00,1.00,5.00,8.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5244323,2.00,6.00,2.00,4.00,5.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5244331,6.00,5.00,2.00,3.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5244340,5.00,5.00,3.00,3.00,7.00,8.25,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5244358,3.00,1.00,1.00,2.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5244366,2.00,6.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5244374,5.00,7.00,4.00,6.00,7.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5244382,5.00,4.00,1.00,1.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5244390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5244404,8.00,8.00,4.00,6.00,9.00,10.13,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5244412,5.00,5.00,1.00,5.00,5.00,7.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5244420,7.00,7.00,4.00,7.00,10.00,10.88,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5244447,5.00,5.00,2.00,4.00,8.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5244455,2.00,8.00,3.00,7.00,7.00,11.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5244463,7.00,7.00,0.00,7.00,8.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5244471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5244480,5.00,6.00,3.00,7.00,7.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5244498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5244510,5.00,0.00,4.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5244528,4.00,4.00,2.00,3.00,6.00,7.50,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5244536,3.00,4.00,1.00,5.00,8.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5244544,9.00,9.00,6.00,6.00,9.00,8.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5244552,5.00,6.00,1.00,3.00,5.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5244560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5244579,5.00,7.00,1.00,3.00,5.00,10.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5244595,7.00,7.00,4.00,6.00,9.00,10.13,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5244609,2.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5244625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5244633,4.00,3.00,1.00,7.00,7.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5244641,6.00,5.00,3.00,7.00,5.00,11.63,2.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5244668,8.00,7.00,7.00,6.00,9.00,9.75,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5244676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5244684,4.00,6.00,2.00,5.00,4.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5244692,3.00,7.00,0.00,4.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5244706,7.00,6.00,2.00,6.00,8.00,11.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5244714,8.00,8.00,4.00,8.00,9.00,10.88,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5244722,1.00,6.00,0.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5244749,2.00,5.00,0.00,1.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5244757,6.00,6.00,4.00,3.00,8.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5244765,5.00,5.00,0.00,6.00,7.00,11.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5244773,8.00,7.00,4.00,5.00,6.00,7.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5244781,9.00,7.00,4.00,4.00,8.00,12.00,0.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5244790,8.00,8.00,4.00,7.00,9.00,8.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5244803,2.00,2.00,0.00,2.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5244820,4.00,7.00,1.00,7.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5244838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5244854,7.00,3.00,3.00,4.00,7.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5244862,5.00,5.00,1.00,2.00,8.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5244870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5244897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5244919,9.00,7.00,5.00,6.00,8.00,11.63,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5244927,4.00,4.00,2.00,2.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5244935,2.00,5.00,0.00,2.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5244943,4.00,5.00,0.00,1.00,8.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5244951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5244960,3.00,7.00,1.00,5.00,6.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5244978,2.00,2.00,1.00,1.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5244986,9.00,8.00,2.00,6.00,10.00,10.13,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5244994,3.00,5.00,2.00,1.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5245001,8.00,7.00,4.00,6.00,8.00,10.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5245010,5.00,8.00,3.00,6.00,8.00,8.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5245028,6.00,5.00,2.00,6.00,6.00,12.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5245044,3.00,4.00,0.00,4.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5245052,1.00,6.00,0.00,1.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5245079,4.00,5.00,4.00,5.00,5.00,7.50,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5245087,2.00,3.00,0.00,1.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5245095,4.00,1.00,0.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5245109,5.00,5.00,2.00,3.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5245117,4.00,5.00,2.00,6.00,8.00,11.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5245125,1.00,2.00,1.00,1.00,3.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5245133,2.00,6.00,0.00,4.00,6.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5245141,2.00,5.00,2.00,4.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5245168,4.00,5.00,1.00,4.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5245176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5245184,3.00,0.00,0.00,5.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5245192,5.00,6.00,3.00,4.00,8.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5245206,5.00,4.00,1.00,3.00,7.00,7.13,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5245214,4.00,5.00,2.00,2.00,4.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5245222,6.00,7.00,1.00,5.00,9.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5245230,3.00,4.00,2.00,1.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5245257,9.00,6.00,7.00,5.00,10.00,9.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5245265,1.00,6.00,0.00,5.00,5.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5245281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5245290,6.00,8.00,2.00,5.00,9.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5245303,6.00,6.00,2.00,6.00,6.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5245311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5245320,5.00,5.00,2.00,5.00,8.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5245338,7.00,4.00,2.00,3.00,6.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5245346,5.00,7.00,2.00,4.00,8.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5245354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5245362,2.00,1.00,2.00,2.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5245370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5245389,5.00,7.00,4.00,1.00,9.00,7.13,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5245397,7.00,7.00,5.00,8.00,8.00,10.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5245400,8.00,6.00,2.00,5.00,6.00,9.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5245419,4.00,5.00,2.00,5.00,6.00,7.13,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5245427,9.00,7.00,5.00,4.00,5.00,6.75,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5245443,7.00,4.00,4.00,4.00,7.00,8.25,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5245451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5245478,5.00,5.00,4.00,5.00,8.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5245486,7.00,7.00,4.00,2.00,2.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5245494,2.00,3.00,1.00,4.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5245508,5.00,7.00,6.00,6.00,8.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5245516,3.00,6.00,1.00,2.00,4.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5245524,3.00,4.00,1.00,4.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5245532,4.00,5.00,2.00,4.00,8.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5245540,5.00,6.00,2.00,6.00,4.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5245559,2.00,6.00,0.00,0.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5245567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5245575,1.00,1.00,1.00,3.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5245583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5245591,6.00,6.00,3.00,7.00,7.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5245605,6.00,6.00,1.00,7.00,10.00,10.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5245621,3.00,2.00,2.00,2.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5245630,6.00,8.00,3.00,7.00,7.00,10.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5245648,3.00,5.00,0.00,3.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5245656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5245672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5245699,7.00,9.00,0.00,7.00,8.00,NULL,5.00,4.00,1.00,NULL,NULL,'S','N'),(20,5245710,9.00,0.00,5.00,7.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5245737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5245745,2.00,4.00,1.00,3.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5245753,4.00,6.00,1.00,4.00,6.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5245770,8.00,6.00,5.00,8.00,9.00,9.75,5.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5245788,8.00,5.00,4.00,5.00,8.00,8.63,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5245796,6.00,6.00,4.00,4.00,6.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5245800,7.00,6.00,5.00,5.00,5.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5245818,3.00,4.00,1.00,5.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5245826,4.00,3.00,3.00,1.00,4.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5245834,2.00,5.00,1.00,2.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5245842,4.00,5.00,4.00,3.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5245869,7.00,7.00,1.00,7.00,9.00,11.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5245885,3.00,6.00,0.00,7.00,6.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5245893,8.00,7.00,5.00,6.00,8.00,8.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5245907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5245915,6.00,6.00,2.00,6.00,7.00,6.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5245923,2.00,1.00,1.00,5.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5245931,8.00,7.00,6.00,5.00,9.00,7.50,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5245940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5245982,1.00,5.00,0.00,3.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5245990,4.00,6.00,4.00,8.00,8.00,10.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5246008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5246016,4.00,5.00,5.00,6.00,8.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5246024,3.00,5.00,4.00,5.00,5.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5246032,4.00,2.00,0.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5246040,2.00,6.00,1.00,4.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5246059,3.00,5.00,1.00,3.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5246067,8.00,4.00,3.00,4.00,6.00,NULL,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5246075,2.00,1.00,3.00,2.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5246083,5.00,6.00,2.00,7.00,10.00,9.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5246091,3.00,4.00,2.00,2.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5246105,4.00,5.00,0.00,6.00,8.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5246113,4.00,9.00,3.00,3.00,8.00,8.25,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5246121,4.00,4.00,1.00,5.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5246130,2.00,4.00,3.00,2.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5246148,5.00,8.00,1.00,6.00,7.00,10.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5246156,7.00,7.00,4.00,6.00,7.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5246164,3.00,6.00,4.00,3.00,7.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5246172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5246180,5.00,7.00,7.00,3.00,8.00,6.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5246199,2.00,7.00,2.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5246202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5246210,3.00,5.00,3.00,1.00,8.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5246229,6.00,5.00,5.00,6.00,9.00,9.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5246245,9.00,7.00,6.00,6.00,10.00,9.75,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5246253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5246261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5246270,3.00,3.00,0.00,3.00,4.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5246296,8.00,5.00,4.00,6.00,7.00,6.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5246300,7.00,5.00,3.00,5.00,8.00,9.38,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5246318,5.00,7.00,3.00,6.00,6.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5246334,5.00,6.00,3.00,6.00,8.00,11.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5246342,5.00,6.00,2.00,7.00,9.00,9.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5246350,5.00,5.00,1.00,3.00,8.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N');
INSERT INTO ponto_candidato VALUES (20,5246369,2.00,4.00,0.00,3.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5246377,6.00,7.00,3.00,4.00,10.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5246385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5246393,4.00,5.00,3.00,3.00,5.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5246415,5.00,7.00,2.00,6.00,9.00,10.50,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5246423,1.00,3.00,2.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5246431,9.00,5.00,8.00,7.00,7.00,7.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5246440,4.00,5.00,2.00,5.00,6.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5246466,4.00,3.00,0.00,4.00,6.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5246474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5246482,2.00,5.00,0.00,4.00,5.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5246490,2.00,3.00,1.00,3.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5246504,4.00,3.00,2.00,3.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5246520,1.00,1.00,2.00,2.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5246539,3.00,3.00,1.00,3.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5246547,3.00,4.00,0.00,5.00,7.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5246555,4.00,6.00,3.00,2.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5246563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5246571,4.00,5.00,4.00,7.00,7.00,10.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5246598,5.00,4.00,4.00,7.00,6.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5246601,3.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5246636,5.00,6.00,2.00,4.00,5.00,4.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5246644,3.00,3.00,1.00,6.00,5.00,6.75,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5246652,3.00,6.00,3.00,3.00,6.00,7.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5246660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5246679,4.00,4.00,1.00,4.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5246687,3.00,3.00,0.00,4.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5246695,5.00,6.00,3.00,2.00,3.00,NULL,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5246709,2.00,3.00,0.00,2.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5246717,8.00,7.00,0.00,4.00,7.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5246725,3.00,2.00,3.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5246733,7.00,7.00,0.00,6.00,6.00,8.63,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5246741,8.00,7.00,7.00,6.00,8.00,9.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5246750,4.00,5.00,2.00,3.00,6.00,9.75,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5246768,4.00,4.00,0.00,5.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5246776,3.00,5.00,1.00,6.00,6.00,7.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5246784,3.00,6.00,2.00,5.00,7.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5246792,1.00,4.00,1.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5246806,2.00,5.00,3.00,4.00,5.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5246822,4.00,5.00,0.00,3.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5246830,2.00,1.00,4.00,2.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5246857,1.00,3.00,1.00,1.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5246865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5246873,9.00,5.00,4.00,7.00,7.00,8.63,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5246881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5246890,6.00,3.00,2.00,6.00,6.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5246903,7.00,5.00,3.00,1.00,5.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5246911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5246920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5246938,3.00,4.00,0.00,1.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5246946,6.00,6.00,5.00,5.00,7.00,9.38,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5246954,3.00,4.00,1.00,4.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5246962,4.00,5.00,2.00,4.00,6.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5246970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5246997,9.00,5.00,4.00,7.00,7.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5247004,8.00,6.00,4.00,7.00,8.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5247012,8.00,5.00,5.00,6.00,7.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5247020,2.00,5.00,1.00,4.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5247039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5247063,4.00,5.00,2.00,4.00,4.00,8.63,1.00,1.00,5.00,NULL,NULL,NULL,'S'),(20,5247071,8.00,8.00,1.00,4.00,8.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5247080,2.00,6.00,0.00,6.00,6.00,10.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5247098,4.00,6.00,3.00,2.00,7.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5247110,3.00,7.00,4.00,4.00,4.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5247128,9.00,9.00,4.00,6.00,9.00,9.38,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5247144,6.00,7.00,6.00,7.00,8.00,8.25,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5247152,6.00,6.00,1.00,7.00,7.00,10.88,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5247160,3.00,5.00,0.00,3.00,1.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5247179,1.00,5.00,1.00,4.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5247195,2.00,5.00,1.00,5.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5247209,6.00,6.00,3.00,3.00,5.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5247217,4.00,3.00,5.00,5.00,5.00,10.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5247225,4.00,5.00,0.00,6.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5247233,5.00,5.00,0.00,7.00,5.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5247241,3.00,4.00,1.00,3.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5247250,6.00,6.00,3.00,3.00,5.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5247268,9.00,6.00,8.00,7.00,11.00,8.63,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5247276,6.00,6.00,5.00,5.00,8.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5247292,5.00,7.00,1.00,4.00,5.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5247306,2.00,3.00,0.00,5.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5247314,5.00,6.00,1.00,3.00,7.00,10.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5247322,4.00,5.00,1.00,5.00,5.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5247330,6.00,7.00,2.00,6.00,8.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5247349,9.00,7.00,2.00,7.00,7.00,10.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5247357,5.00,5.00,3.00,3.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5247365,0.00,5.00,4.00,1.00,0.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5247373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5247381,4.00,6.00,0.00,7.00,6.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5247390,8.00,6.00,4.00,7.00,10.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5247403,7.00,7.00,3.00,5.00,9.00,10.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5247411,5.00,5.00,2.00,6.00,5.00,11.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5247420,5.00,7.00,2.00,6.00,6.00,10.88,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5247438,8.00,7.00,7.00,6.00,8.00,6.38,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5247446,5.00,5.00,3.00,1.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5247462,8.00,8.00,5.00,7.00,7.00,9.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5247470,3.00,6.00,0.00,6.00,6.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5247489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5247497,9.00,7.00,3.00,7.00,9.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5247500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5247519,1.00,4.00,1.00,5.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5247527,7.00,4.00,1.00,2.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5247535,8.00,4.00,3.00,7.00,8.00,NULL,2.00,4.00,8.00,NULL,NULL,'S','N'),(20,5247551,4.00,4.00,4.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5247560,3.00,4.00,2.00,4.00,6.00,7.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5247578,5.00,6.00,2.00,7.00,9.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5247594,4.00,4.00,2.00,4.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5247608,0.00,4.00,0.00,0.00,0.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5247616,8.00,7.00,5.00,7.00,7.00,9.38,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5247624,5.00,2.00,0.00,3.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'S'),(20,5247632,3.00,7.00,2.00,4.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5247640,3.00,6.00,2.00,5.00,5.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5247659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5247667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5247675,7.00,8.00,4.00,6.00,7.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5247691,4.00,8.00,1.00,6.00,5.00,7.88,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5247713,7.00,8.00,5.00,5.00,9.00,9.38,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5247721,1.00,4.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5247730,3.00,5.00,4.00,6.00,7.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5247748,3.00,5.00,1.00,6.00,7.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5247756,4.00,6.00,1.00,5.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5247764,9.00,8.00,8.00,7.00,10.00,9.75,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5247772,8.00,5.00,2.00,5.00,8.00,12.00,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5247780,3.00,4.00,1.00,4.00,7.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5247799,2.00,7.00,1.00,5.00,5.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5247802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5247829,5.00,5.00,1.00,4.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5247845,0.00,5.00,0.00,3.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5247853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5247861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5247870,5.00,6.00,1.00,3.00,3.00,NULL,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5247888,5.00,6.00,5.00,4.00,7.00,9.00,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5247896,6.00,6.00,2.00,6.00,8.00,10.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5247900,6.00,5.00,2.00,2.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5247918,7.00,6.00,1.00,4.00,7.00,8.63,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5247934,3.00,4.00,0.00,0.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5247942,5.00,5.00,0.00,3.00,4.00,4.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5247950,6.00,9.00,2.00,5.00,7.00,9.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5247969,4.00,4.00,2.00,5.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5247977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5247985,7.00,6.00,2.00,5.00,5.00,10.13,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5247993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248019,6.00,6.00,2.00,6.00,5.00,8.25,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5248027,5.00,8.00,1.00,4.00,7.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5248035,8.00,6.00,3.00,5.00,7.00,8.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5248051,2.00,5.00,2.00,2.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5248060,7.00,6.00,5.00,7.00,9.00,9.00,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5248078,2.00,8.00,1.00,0.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5248086,5.00,5.00,4.00,4.00,7.00,10.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5248094,2.00,6.00,1.00,4.00,7.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5248108,7.00,7.00,6.00,5.00,8.00,8.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5248116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248132,6.00,6.00,2.00,6.00,5.00,9.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5248159,0.00,5.00,0.00,0.00,1.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5248167,4.00,7.00,3.00,4.00,6.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5248175,5.00,6.00,4.00,8.00,9.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5248183,7.00,7.00,5.00,7.00,6.00,10.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5248191,6.00,5.00,4.00,2.00,3.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5248205,7.00,6.00,3.00,5.00,6.00,7.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5248213,6.00,5.00,3.00,4.00,3.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5248221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248230,4.00,5.00,2.00,5.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5248248,6.00,4.00,0.00,7.00,9.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5248256,8.00,4.00,3.00,3.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,'S','N'),(20,5248264,1.00,3.00,1.00,2.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5248272,2.00,5.00,1.00,5.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5248299,1.00,4.00,3.00,1.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5248329,4.00,4.00,1.00,4.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5248353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248361,6.00,3.00,3.00,4.00,8.00,8.25,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5248388,3.00,4.00,1.00,4.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5248400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248418,3.00,6.00,0.00,3.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5248426,1.00,3.00,1.00,2.00,1.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5248434,3.00,7.00,3.00,6.00,8.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5248442,3.00,5.00,3.00,3.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5248450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248493,4.00,6.00,2.00,1.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5248507,2.00,5.00,1.00,4.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5248523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248540,5.00,5.00,0.00,2.00,7.00,4.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5248558,4.00,7.00,2.00,7.00,8.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5248566,3.00,8.00,2.00,6.00,7.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5248582,1.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(20,5248590,6.00,7.00,1.00,3.00,7.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5248604,7.00,6.00,3.00,6.00,8.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5248612,1.00,4.00,0.00,0.00,1.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5248620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248639,9.00,6.00,5.00,7.00,9.00,10.50,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5248647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248655,3.00,3.00,0.00,5.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5248663,6.00,4.00,1.00,5.00,5.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5248698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248701,2.00,3.00,2.00,5.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5248710,5.00,7.00,3.00,5.00,6.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5248728,4.00,3.00,0.00,3.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5248736,9.00,9.00,7.00,7.00,11.00,9.38,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5248744,7.00,6.00,1.00,4.00,10.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5248752,1.00,1.00,0.00,2.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,'S','N'),(20,5248760,9.00,8.00,5.00,7.00,10.00,10.13,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5248779,3.00,5.00,1.00,3.00,7.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5248787,8.00,5.00,3.00,6.00,9.00,7.50,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5248795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5248817,3.00,4.00,0.00,3.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5248825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248850,6.00,7.00,2.00,3.00,4.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5248868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5248876,3.00,7.00,5.00,6.00,7.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5248884,6.00,6.00,5.00,5.00,7.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5248892,7.00,7.00,3.00,7.00,7.00,6.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5248906,6.00,5.00,6.00,7.00,5.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5248914,2.00,3.00,0.00,1.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5248930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248949,3.00,6.00,1.00,3.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5248965,8.00,8.00,2.00,7.00,4.00,7.13,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5248973,2.00,5.00,1.00,3.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5248981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5248990,4.00,2.00,2.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5249007,6.00,5.00,3.00,5.00,4.00,7.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5249015,3.00,4.00,3.00,1.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5249023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5249031,3.00,4.00,0.00,6.00,4.00,NULL,2.00,4.00,4.00,NULL,NULL,'S','N'),(20,5249058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5249066,3.00,4.00,0.00,5.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5249074,6.00,6.00,7.00,7.00,6.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5249082,8.00,8.00,3.00,8.00,10.00,10.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5249090,7.00,8.00,2.00,6.00,9.00,8.63,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5249112,7.00,8.00,3.00,6.00,9.00,13.13,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5249139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5249147,8.00,7.00,3.00,7.00,7.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5249155,5.00,3.00,0.00,2.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5249163,3.00,5.00,1.00,4.00,7.00,NULL,1.00,1.00,2.00,NULL,NULL,'S','N'),(20,5249171,3.00,4.00,2.00,4.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5249180,8.00,7.00,5.00,8.00,10.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5249198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5249201,1.00,3.00,1.00,3.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5249210,4.00,6.00,4.00,7.00,7.00,9.75,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5249228,4.00,3.00,1.00,2.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5249236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5249244,8.00,6.00,2.00,6.00,8.00,10.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5249252,0.00,4.00,0.00,0.00,0.00,NULL,0.00,1.00,4.00,NULL,NULL,'S','N'),(20,5249260,8.00,6.00,3.00,7.00,7.00,10.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5249279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5249287,9.00,8.00,8.00,8.00,8.00,10.50,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5249309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5249317,8.00,9.00,5.00,7.00,10.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5249325,9.00,7.00,5.00,7.00,8.00,9.75,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5249333,5.00,6.00,2.00,3.00,8.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5249341,7.00,8.00,7.00,7.00,8.00,9.38,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5249376,6.00,8.00,5.00,6.00,9.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5249384,5.00,6.00,6.00,6.00,6.00,10.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5249392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5249406,4.00,3.00,1.00,3.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5249414,4.00,6.00,3.00,6.00,8.00,NULL,1.00,2.00,5.00,NULL,NULL,'S','N'),(20,5249422,5.00,5.00,4.00,4.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5249449,6.00,5.00,0.00,6.00,6.00,NULL,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5249457,3.00,4.00,0.00,2.00,7.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5249465,7.00,6.00,3.00,3.00,7.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5249473,9.00,7.00,8.00,7.00,7.00,10.13,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5249481,6.00,8.00,2.00,7.00,6.00,11.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5249490,4.00,6.00,3.00,5.00,5.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5249503,4.00,5.00,2.00,6.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5249538,3.00,6.00,1.00,2.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5249546,8.00,6.00,1.00,7.00,10.00,11.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5249562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5249570,4.00,6.00,1.00,2.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5249589,2.00,5.00,1.00,4.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5249619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5249627,6.00,7.00,3.00,5.00,6.00,10.88,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5249635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5249643,7.00,7.00,1.00,7.00,8.00,12.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5249651,3.00,5.00,2.00,6.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5249660,4.00,5.00,1.00,5.00,6.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5249678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5249686,7.00,5.00,3.00,4.00,7.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5249694,8.00,8.00,3.00,7.00,7.00,9.38,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5249708,1.00,7.00,2.00,4.00,5.00,9.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5249716,8.00,6.00,7.00,8.00,10.00,9.38,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5249724,8.00,6.00,3.00,6.00,5.00,7.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5249732,1.00,5.00,0.00,5.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5249740,3.00,2.00,1.00,5.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5249759,2.00,7.00,0.00,4.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5249767,2.00,1.00,0.00,2.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5249775,3.00,5.00,2.00,6.00,8.00,6.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5249791,1.00,3.00,1.00,6.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5249830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5249848,4.00,4.00,2.00,3.00,5.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5249856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5249864,6.00,5.00,3.00,7.00,6.00,6.00,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5249872,4.00,5.00,1.00,3.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5249880,7.00,7.00,3.00,7.00,10.00,9.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5249902,7.00,5.00,2.00,6.00,5.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5249910,4.00,7.00,1.00,5.00,6.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5249929,5.00,7.00,3.00,3.00,8.00,7.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5249937,3.00,5.00,1.00,6.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5249945,8.00,6.00,2.00,5.00,5.00,8.63,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5249953,1.00,4.00,1.00,4.00,6.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5249961,7.00,6.00,5.00,8.00,8.00,10.50,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5249988,6.00,5.00,2.00,6.00,9.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5249996,5.00,5.00,1.00,4.00,6.00,9.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5250005,4.00,5.00,1.00,4.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5250013,8.00,7.00,6.00,5.00,10.00,11.25,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5250021,6.00,7.00,5.00,5.00,5.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5250030,6.00,6.00,3.00,7.00,9.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5250048,4.00,4.00,1.00,4.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5250056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5250064,3.00,2.00,0.00,3.00,5.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5250072,1.00,4.00,1.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5250099,6.00,5.00,1.00,7.00,5.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5250110,6.00,7.00,5.00,8.00,9.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5250129,3.00,6.00,2.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5250137,3.00,5.00,1.00,5.00,4.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5250153,3.00,3.00,1.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5250161,9.00,6.00,6.00,3.00,10.00,10.13,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5250170,2.00,4.00,2.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5250196,9.00,7.00,6.00,6.00,10.00,12.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5250200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5250218,3.00,5.00,2.00,4.00,7.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5250226,6.00,6.00,1.00,6.00,9.00,11.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5250234,4.00,3.00,3.00,2.00,5.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5250242,5.00,2.00,1.00,6.00,7.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5250250,8.00,8.00,4.00,7.00,7.00,7.88,7.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5250277,5.00,5.00,2.00,0.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5250285,8.00,7.00,3.00,6.00,7.00,7.13,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5250293,6.00,7.00,4.00,3.00,6.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5250307,5.00,5.00,1.00,6.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5250315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5250323,4.00,7.00,1.00,5.00,4.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5250331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5250340,4.00,3.00,2.00,5.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5250366,2.00,3.00,3.00,5.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5250374,1.00,4.00,2.00,3.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5250390,5.00,7.00,3.00,8.00,5.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5250404,5.00,6.00,4.00,7.00,8.00,9.38,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5250412,5.00,3.00,0.00,7.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5250420,3.00,7.00,1.00,4.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5250439,5.00,6.00,3.00,7.00,7.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5250447,3.00,5.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5250455,6.00,6.00,4.00,4.00,7.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5250463,3.00,3.00,0.00,4.00,6.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5250471,6.00,5.00,5.00,4.00,5.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5250480,4.00,5.00,1.00,5.00,4.00,6.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5250498,3.00,3.00,3.00,3.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5250501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5250536,1.00,6.00,4.00,3.00,1.00,NULL,7.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5250552,3.00,2.00,1.00,2.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5250560,7.00,8.00,4.00,5.00,10.00,7.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5250579,4.00,7.00,1.00,5.00,7.00,7.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5250595,2.00,5.00,3.00,3.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5250609,9.00,8.00,7.00,7.00,9.00,9.38,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5250617,2.00,5.00,1.00,6.00,4.00,8.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5250625,3.00,4.00,2.00,3.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5250633,5.00,7.00,2.00,5.00,7.00,6.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5250650,7.00,6.00,1.00,7.00,7.00,11.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5250668,4.00,3.00,2.00,4.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5250676,8.00,6.00,4.00,6.00,4.00,8.63,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5250684,2.00,5.00,1.00,5.00,2.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5250692,5.00,2.00,0.00,1.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5250706,8.00,8.00,5.00,5.00,8.00,8.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5250714,4.00,7.00,2.00,4.00,7.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5250722,2.00,3.00,0.00,0.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5250730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5250749,0.00,3.00,0.00,4.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5250757,3.00,4.00,0.00,4.00,7.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5250765,8.00,8.00,6.00,7.00,8.00,6.00,7.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5250773,3.00,4.00,0.00,3.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5250781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5250838,7.00,6.00,3.00,5.00,4.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5250846,3.00,4.00,2.00,4.00,4.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5250854,5.00,6.00,2.00,6.00,8.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5250870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5250897,2.00,7.00,1.00,5.00,7.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5250900,3.00,4.00,0.00,2.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5250919,6.00,7.00,2.00,4.00,9.00,7.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5250927,8.00,8.00,5.00,7.00,7.00,7.50,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5250935,7.00,7.00,3.00,6.00,7.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5250943,5.00,7.00,2.00,3.00,8.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5250951,7.00,5.00,3.00,5.00,6.00,9.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5250960,8.00,6.00,7.00,7.00,7.00,10.50,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5250978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5250986,6.00,8.00,4.00,4.00,8.00,6.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(20,5250994,3.00,1.00,1.00,2.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5251001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5251010,4.00,5.00,4.00,6.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5251036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5251044,3.00,3.00,1.00,2.00,5.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5251052,4.00,4.00,0.00,4.00,8.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5251060,5.00,8.00,6.00,5.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5251079,8.00,8.00,4.00,5.00,6.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5251087,3.00,5.00,2.00,4.00,6.00,12.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5251095,3.00,4.00,1.00,2.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5251109,2.00,7.00,0.00,2.00,6.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5251117,8.00,6.00,6.00,7.00,7.00,10.13,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5251125,1.00,4.00,0.00,3.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5251133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5251141,4.00,8.00,0.00,6.00,5.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5251150,6.00,7.00,0.00,4.00,7.00,7.88,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5251168,1.00,2.00,0.00,0.00,1.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5251184,9.00,6.00,0.00,3.00,7.00,NULL,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5251192,6.00,7.00,2.00,2.00,5.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5251206,4.00,5.00,0.00,6.00,7.00,7.13,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5251214,3.00,4.00,3.00,6.00,5.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5251222,3.00,6.00,4.00,7.00,7.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5251230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5251249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5251265,5.00,3.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5251273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5251290,4.00,6.00,2.00,6.00,9.00,6.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5251303,3.00,5.00,5.00,1.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5251311,6.00,4.00,0.00,5.00,5.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5251320,5.00,1.00,2.00,4.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5251338,2.00,3.00,1.00,4.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5251346,5.00,7.00,4.00,7.00,10.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5251354,3.00,3.00,0.00,5.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5251362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5251370,5.00,4.00,1.00,4.00,8.00,10.88,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5251400,8.00,7.00,3.00,5.00,9.00,7.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5251419,3.00,5.00,3.00,7.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,'S','N'),(20,5251427,2.00,1.00,0.00,2.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5251435,0.00,6.00,0.00,1.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,'S','N'),(20,5251443,7.00,7.00,3.00,5.00,7.00,9.00,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5251451,7.00,6.00,3.00,4.00,8.00,11.63,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5251460,4.00,2.00,0.00,4.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5251478,3.00,5.00,3.00,3.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5251486,7.00,5.00,3.00,6.00,9.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5251508,4.00,3.00,1.00,3.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5251516,7.00,5.00,2.00,7.00,7.00,9.38,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5251524,7.00,7.00,6.00,7.00,6.00,6.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(20,5251532,7.00,8.00,7.00,7.00,8.00,10.50,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5251540,5.00,6.00,5.00,5.00,5.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5251559,1.00,1.00,0.00,1.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5251567,4.00,5.00,3.00,4.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5251575,1.00,3.00,0.00,5.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5251583,0.00,3.00,3.00,5.00,0.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5251591,5.00,6.00,2.00,3.00,5.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5251605,5.00,5.00,0.00,4.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5251630,4.00,5.00,2.00,5.00,6.00,6.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5251648,5.00,5.00,1.00,4.00,3.00,NULL,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5251656,2.00,2.00,1.00,1.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5251664,6.00,6.00,4.00,7.00,6.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5251672,6.00,5.00,2.00,4.00,5.00,7.88,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5251680,7.00,9.00,0.00,7.00,5.00,10.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5251702,2.00,6.00,0.00,4.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5251710,3.00,6.00,2.00,2.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5251729,4.00,5.00,1.00,5.00,6.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5251737,2.00,7.00,2.00,6.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,'S','N'),(20,5251753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5251761,3.00,4.00,0.00,2.00,7.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5251770,5.00,6.00,5.00,7.00,8.00,9.38,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5251788,7.00,6.00,4.00,4.00,9.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5251796,3.00,3.00,2.00,2.00,1.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5251800,2.00,5.00,1.00,4.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5251818,6.00,6.00,1.00,6.00,7.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5251826,6.00,6.00,0.00,5.00,6.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5251834,5.00,7.00,3.00,4.00,8.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5251842,7.00,4.00,4.00,7.00,7.00,9.38,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5251850,8.00,8.00,8.00,6.00,9.00,9.75,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5251869,4.00,6.00,1.00,2.00,4.00,6.75,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5251877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5251885,2.00,5.00,2.00,1.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5251893,5.00,0.00,4.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5251907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5251923,3.00,7.00,3.00,2.00,7.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5251931,2.00,3.00,2.00,4.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5251940,0.00,6.00,0.00,0.00,0.00,NULL,3.00,1.00,5.00,'S',NULL,NULL,'N'),(20,5251958,2.00,3.00,2.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5251966,7.00,5.00,4.00,7.00,9.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5251974,7.00,8.00,0.00,3.00,5.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5251982,4.00,5.00,3.00,6.00,6.00,6.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5251990,8.00,5.00,2.00,7.00,5.00,NULL,1.00,5.00,3.00,NULL,NULL,'S','N'),(20,5252008,5.00,7.00,3.00,6.00,10.00,8.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5252016,8.00,6.00,2.00,7.00,8.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5252024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5252040,9.00,9.00,7.00,7.00,10.00,10.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5252059,9.00,7.00,3.00,7.00,6.00,7.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5252067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5252075,5.00,4.00,2.00,2.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5252091,3.00,7.00,2.00,4.00,5.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5252105,7.00,6.00,3.00,6.00,6.00,9.38,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5252113,7.00,5.00,2.00,2.00,7.00,4.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5252121,5.00,6.00,1.00,5.00,6.00,6.75,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5252130,5.00,4.00,2.00,6.00,6.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5252148,4.00,6.00,0.00,4.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5252156,9.00,7.00,5.00,5.00,8.00,9.00,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5252172,2.00,7.00,1.00,4.00,4.00,6.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5252180,4.00,4.00,3.00,2.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5252199,5.00,5.00,0.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5252210,7.00,7.00,5.00,4.00,7.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5252229,5.00,4.00,4.00,5.00,7.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5252245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5252253,5.00,5.00,2.00,3.00,7.00,9.00,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5252261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5252270,6.00,6.00,1.00,3.00,8.00,10.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5252288,5.00,6.00,2.00,7.00,8.00,7.50,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5252296,8.00,6.00,2.00,4.00,6.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5252300,8.00,7.00,3.00,7.00,10.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5252318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5252326,1.00,2.00,0.00,2.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,'S','N'),(20,5252342,7.00,6.00,4.00,4.00,8.00,9.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5252350,2.00,5.00,2.00,2.00,6.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5252369,2.00,5.00,1.00,5.00,6.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5252377,8.00,7.00,6.00,7.00,7.00,7.13,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5252385,7.00,4.00,3.00,7.00,10.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5252393,4.00,4.00,0.00,6.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5252407,9.00,8.00,2.00,6.00,8.00,10.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5252415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5252423,6.00,5.00,1.00,5.00,7.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5252431,6.00,5.00,2.00,7.00,6.00,9.75,0.00,1.00,5.00,NULL,NULL,NULL,'S'),(20,5252440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5252458,8.00,9.00,8.00,7.00,8.00,9.38,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5252466,6.00,6.00,3.00,5.00,7.00,9.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5252474,6.00,5.00,3.00,6.00,6.00,9.00,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5252482,10.00,8.00,5.00,5.00,8.00,12.00,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5252490,2.00,7.00,1.00,3.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5252504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5252512,4.00,6.00,3.00,6.00,6.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5252520,6.00,5.00,2.00,6.00,5.00,9.38,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5252547,5.00,3.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5252555,1.00,2.00,2.00,5.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5252571,4.00,7.00,3.00,3.00,7.00,9.00,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5252580,7.00,7.00,4.00,4.00,9.00,7.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5252598,4.00,4.00,3.00,7.00,6.00,10.13,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5252601,6.00,7.00,2.00,4.00,6.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5252610,7.00,7.00,6.00,4.00,9.00,9.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5252628,6.00,7.00,3.00,4.00,7.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5252636,4.00,6.00,1.00,3.00,5.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5252644,4.00,6.00,5.00,4.00,5.00,6.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5252652,5.00,6.00,3.00,5.00,6.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5252660,8.00,7.00,7.00,7.00,9.00,10.13,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5252679,6.00,7.00,4.00,6.00,7.00,9.38,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5252687,0.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5252695,8.00,6.00,4.00,5.00,8.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5252709,3.00,2.00,4.00,1.00,4.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5252717,4.00,4.00,2.00,3.00,4.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5252725,7.00,5.00,3.00,2.00,7.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5252733,5.00,7.00,4.00,6.00,8.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5252750,6.00,6.00,1.00,6.00,9.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5252768,2.00,5.00,1.00,4.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5252776,7.00,6.00,2.00,5.00,8.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5252784,9.00,9.00,8.00,5.00,10.00,9.75,9.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5252792,9.00,8.00,5.00,6.00,10.00,10.13,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5252806,0.00,5.00,0.00,2.00,6.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5252814,8.00,5.00,7.00,2.00,6.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5252822,3.00,4.00,2.00,4.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5252830,1.00,4.00,1.00,4.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5252849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5252865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5252873,4.00,4.00,4.00,3.00,6.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5252890,3.00,3.00,2.00,5.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5252903,6.00,4.00,2.00,2.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,'S','N'),(20,5252920,8.00,8.00,7.00,5.00,9.00,7.13,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5252954,5.00,3.00,4.00,6.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5252962,7.00,7.00,7.00,6.00,8.00,9.00,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5252970,6.00,3.00,1.00,3.00,5.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5252997,7.00,5.00,1.00,6.00,6.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5253004,6.00,3.00,0.00,5.00,7.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5253020,3.00,5.00,2.00,5.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5253039,4.00,7.00,1.00,3.00,6.00,11.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5253047,3.00,7.00,1.00,4.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5253055,3.00,4.00,1.00,1.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5253063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5253071,3.00,4.00,1.00,2.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5253080,2.00,5.00,2.00,3.00,8.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5253098,9.00,5.00,6.00,6.00,10.00,7.88,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5253101,3.00,7.00,2.00,3.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5253110,5.00,4.00,0.00,5.00,6.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5253128,2.00,4.00,2.00,5.00,3.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5253136,4.00,6.00,3.00,6.00,8.00,10.13,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5253144,5.00,6.00,2.00,3.00,7.00,9.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5253152,6.00,8.00,4.00,6.00,9.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5253160,3.00,7.00,4.00,2.00,4.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5253179,1.00,1.00,0.00,3.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5253187,7.00,6.00,4.00,7.00,8.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5253195,7.00,5.00,3.00,5.00,7.00,7.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5253209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5253217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5253225,4.00,2.00,1.00,2.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5253233,2.00,4.00,0.00,1.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5253241,2.00,7.00,4.00,7.00,7.00,9.38,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5253250,9.00,6.00,6.00,8.00,7.00,9.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5253284,5.00,5.00,4.00,7.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5253292,7.00,7.00,7.00,6.00,7.00,7.88,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5253306,7.00,7.00,4.00,6.00,7.00,9.00,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5253314,6.00,6.00,3.00,3.00,6.00,7.50,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5253322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5253330,1.00,5.00,2.00,4.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5253349,8.00,8.00,6.00,6.00,9.00,12.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5253365,6.00,6.00,2.00,4.00,8.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5253373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5253381,5.00,5.00,1.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5253390,9.00,8.00,5.00,6.00,8.00,7.88,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5253403,6.00,7.00,2.00,6.00,3.00,NULL,3.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5253411,6.00,7.00,2.00,7.00,7.00,11.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5253420,7.00,8.00,7.00,7.00,7.00,10.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5253438,7.00,6.00,5.00,3.00,8.00,8.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5253446,5.00,4.00,4.00,2.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5253454,4.00,5.00,0.00,5.00,7.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5253462,7.00,4.00,0.00,3.00,6.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5253489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5253497,2.00,6.00,1.00,5.00,5.00,9.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5253519,5.00,4.00,0.00,7.00,7.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5253527,3.00,6.00,7.00,7.00,9.00,7.13,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5253535,4.00,5.00,1.00,4.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5253543,4.00,5.00,3.00,4.00,6.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5253551,7.00,7.00,4.00,4.00,8.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5253578,7.00,6.00,4.00,5.00,7.00,6.38,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5253586,5.00,8.00,3.00,4.00,7.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5253608,1.00,5.00,3.00,4.00,5.00,7.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5253616,3.00,6.00,2.00,3.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5253624,9.00,8.00,7.00,7.00,7.00,12.00,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5253632,6.00,6.00,7.00,7.00,5.00,8.25,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5253640,8.00,5.00,6.00,5.00,6.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5253659,2.00,4.00,0.00,0.00,0.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5253667,8.00,8.00,7.00,8.00,10.00,10.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5253675,7.00,8.00,3.00,3.00,6.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5253683,8.00,7.00,4.00,7.00,6.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5253691,5.00,3.00,0.00,3.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5253705,4.00,3.00,3.00,2.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5253713,6.00,7.00,2.00,4.00,6.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5253721,7.00,8.00,4.00,6.00,9.00,9.38,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5253730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5253748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5253756,6.00,7.00,5.00,7.00,9.00,6.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5253764,5.00,1.00,3.00,4.00,7.00,4.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5253772,5.00,7.00,0.00,6.00,8.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5253780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5253802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5253829,8.00,9.00,8.00,7.00,9.00,10.50,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5253837,7.00,5.00,2.00,4.00,6.00,7.13,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5253845,5.00,2.00,3.00,4.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5253853,7.00,7.00,3.00,6.00,10.00,7.88,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5253870,6.00,6.00,3.00,4.00,6.00,8.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5253888,5.00,6.00,2.00,5.00,7.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5253896,7.00,6.00,1.00,7.00,7.00,7.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5253900,2.00,4.00,3.00,5.00,7.00,NULL,2.00,3.00,3.00,NULL,NULL,'S','N'),(20,5253918,5.00,5.00,2.00,7.00,6.00,6.75,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5253934,5.00,4.00,1.00,3.00,5.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5253942,7.00,7.00,3.00,7.00,7.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5253950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5253969,6.00,4.00,0.00,1.00,7.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5253977,3.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5253985,5.00,6.00,2.00,2.00,7.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5253993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5254000,5.00,7.00,4.00,6.00,10.00,13.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5254019,7.00,7.00,3.00,7.00,7.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5254027,8.00,3.00,1.00,4.00,5.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5254035,6.00,7.00,0.00,2.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5254043,5.00,6.00,3.00,5.00,5.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5254060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5254078,7.00,7.00,1.00,4.00,10.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5254086,5.00,6.00,3.00,6.00,7.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5254094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5254116,5.00,5.00,1.00,5.00,8.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5254132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5254140,4.00,4.00,3.00,4.00,1.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5254159,3.00,4.00,2.00,7.00,5.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5254175,7.00,7.00,5.00,7.00,9.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5254191,3.00,4.00,1.00,5.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5254221,3.00,4.00,1.00,3.00,3.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5254230,4.00,5.00,1.00,5.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5254248,4.00,3.00,4.00,3.00,6.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5254256,4.00,3.00,0.00,2.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5254272,4.00,5.00,0.00,3.00,8.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5254280,5.00,6.00,4.00,4.00,8.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5254299,7.00,7.00,5.00,7.00,6.00,12.00,5.00,5.00,7.00,NULL,NULL,NULL,'S'),(20,5254329,6.00,6.00,1.00,7.00,9.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5254337,4.00,5.00,0.00,6.00,4.00,7.50,3.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5254345,4.00,4.00,0.00,1.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5254353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5254361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5254370,3.00,5.00,2.00,6.00,4.00,10.13,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5254388,8.00,6.00,2.00,8.00,9.00,4.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5254396,8.00,3.00,0.00,5.00,9.00,9.38,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5254400,3.00,5.00,1.00,2.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5254418,8.00,8.00,2.00,5.00,7.00,8.25,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5254426,9.00,9.00,6.00,7.00,10.00,13.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5254434,2.00,8.00,1.00,0.00,2.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5254442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5254450,5.00,7.00,1.00,4.00,7.00,7.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5254469,3.00,7.00,4.00,5.00,4.00,8.25,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5254477,4.00,6.00,5.00,6.00,7.00,9.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5254485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5254493,1.00,4.00,1.00,3.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5254507,5.00,4.00,0.00,6.00,6.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5254515,8.00,9.00,1.00,6.00,8.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5254523,9.00,5.00,3.00,7.00,8.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5254531,8.00,6.00,5.00,7.00,8.00,11.25,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5254558,8.00,5.00,4.00,8.00,8.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5254566,6.00,6.00,2.00,5.00,7.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5254574,6.00,3.00,4.00,6.00,7.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5254582,5.00,6.00,1.00,4.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5254590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5254604,3.00,6.00,5.00,4.00,4.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5254612,7.00,7.00,2.00,7.00,7.00,8.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5254620,4.00,5.00,0.00,7.00,5.00,7.50,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5254639,3.00,7.00,1.00,4.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5254647,6.00,5.00,2.00,6.00,8.00,10.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5254655,4.00,5.00,4.00,7.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5254663,2.00,5.00,2.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5254680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5254701,8.00,7.00,3.00,6.00,10.00,10.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5254710,4.00,6.00,3.00,4.00,7.00,6.38,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5254736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5254744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5254752,4.00,4.00,0.00,3.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5254760,5.00,6.00,2.00,3.00,4.00,6.75,0.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5254779,8.00,6.00,6.00,6.00,6.00,9.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5254787,3.00,5.00,2.00,6.00,6.00,10.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5254795,2.00,0.00,1.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5254809,6.00,6.00,0.00,4.00,7.00,6.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5254817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5254825,3.00,7.00,1.00,4.00,5.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5254833,6.00,5.00,2.00,1.00,5.00,6.00,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5254841,8.00,6.00,3.00,4.00,8.00,8.63,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5254868,2.00,3.00,1.00,2.00,4.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5254876,8.00,6.00,4.00,7.00,9.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5254884,3.00,7.00,2.00,6.00,4.00,7.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5254892,5.00,7.00,2.00,5.00,6.00,NULL,2.00,5.00,5.00,NULL,NULL,'S','S'),(20,5254906,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5254914,3.00,6.00,1.00,4.00,4.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5254922,7.00,7.00,1.00,7.00,9.00,11.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5254930,3.00,4.00,4.00,4.00,6.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5254957,4.00,6.00,5.00,5.00,6.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5254965,2.00,6.00,2.00,5.00,5.00,10.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5254973,3.00,5.00,2.00,4.00,7.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5254981,1.00,6.00,0.00,4.00,7.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5254990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5255007,3.00,5.00,0.00,5.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5255023,4.00,6.00,2.00,6.00,8.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5255031,5.00,7.00,1.00,3.00,7.00,8.25,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5255040,0.00,3.00,0.00,0.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5255058,6.00,7.00,2.00,6.00,4.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5255074,7.00,7.00,1.00,6.00,8.00,9.75,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5255082,3.00,4.00,2.00,4.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5255090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5255104,0.00,2.00,0.00,0.00,0.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5255139,3.00,5.00,3.00,5.00,4.00,10.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5255147,3.00,4.00,1.00,1.00,1.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5255155,8.00,9.00,9.00,8.00,9.00,13.50,8.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5255163,9.00,7.00,1.00,6.00,4.00,10.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5255171,5.00,3.00,2.00,4.00,4.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5255180,6.00,8.00,5.00,6.00,8.00,10.50,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5255198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5255201,8.00,6.00,1.00,6.00,6.00,8.63,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5255210,8.00,4.00,3.00,7.00,7.00,10.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5255228,4.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5255252,7.00,8.00,4.00,7.00,5.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5255260,7.00,6.00,3.00,7.00,7.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5255279,8.00,5.00,0.00,3.00,7.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5255287,6.00,6.00,1.00,6.00,9.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5255295,4.00,5.00,0.00,5.00,7.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5255309,3.00,6.00,0.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5255317,7.00,4.00,1.00,5.00,7.00,10.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5255325,8.00,6.00,1.00,6.00,8.00,5.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5255341,9.00,5.00,2.00,7.00,7.00,6.75,7.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5255350,5.00,6.00,4.00,7.00,7.00,7.50,5.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5255376,3.00,7.00,1.00,4.00,6.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5255384,5.00,8.00,0.00,4.00,5.00,NULL,1.00,3.00,5.00,NULL,NULL,'S','N'),(20,5255392,3.00,5.00,0.00,5.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5255406,3.00,3.00,1.00,2.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5255414,4.00,4.00,1.00,3.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5255422,8.00,8.00,4.00,6.00,11.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5255430,8.00,5.00,2.00,7.00,8.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5255449,8.00,6.00,2.00,6.00,8.00,9.38,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5255457,6.00,6.00,2.00,5.00,7.00,4.13,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5255465,3.00,4.00,1.00,4.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5255473,4.00,6.00,2.00,5.00,7.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5255481,4.00,6.00,2.00,3.00,1.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5255490,5.00,4.00,1.00,6.00,7.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5255503,3.00,4.00,2.00,5.00,6.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5255511,9.00,6.00,8.00,6.00,8.00,10.88,4.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5255520,8.00,7.00,6.00,7.00,7.00,11.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5255538,6.00,6.00,4.00,4.00,5.00,4.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5255546,6.00,5.00,2.00,7.00,9.00,6.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5255554,7.00,7.00,3.00,4.00,7.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5255562,4.00,4.00,2.00,5.00,2.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5255570,9.00,6.00,5.00,7.00,9.00,9.75,8.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5255589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5255597,2.00,6.00,6.00,7.00,5.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5255600,6.00,5.00,6.00,6.00,7.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5255627,2.00,2.00,1.00,5.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5255643,8.00,4.00,5.00,7.00,7.00,10.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5255651,9.00,7.00,6.00,6.00,8.00,10.50,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5255660,3.00,6.00,1.00,3.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5255678,8.00,7.00,5.00,7.00,9.00,10.88,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5255694,5.00,6.00,2.00,5.00,8.00,6.38,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5255716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5255724,9.00,9.00,6.00,3.00,8.00,9.38,7.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5255759,1.00,5.00,1.00,5.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5255767,8.00,8.00,5.00,6.00,8.00,7.88,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5255783,4.00,4.00,3.00,7.00,6.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5255791,5.00,6.00,3.00,7.00,10.00,12.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5255813,3.00,5.00,1.00,5.00,5.00,10.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5255821,5.00,0.00,2.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5255830,5.00,5.00,2.00,5.00,6.00,7.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5255848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5255856,6.00,3.00,1.00,5.00,6.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5255872,9.00,8.00,4.00,5.00,7.00,11.25,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5255880,6.00,7.00,2.00,7.00,8.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5255899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5255902,5.00,4.00,0.00,4.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5255910,5.00,5.00,1.00,4.00,5.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5255945,3.00,3.00,1.00,4.00,6.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5255953,4.00,4.00,1.00,5.00,6.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5255961,4.00,4.00,1.00,7.00,3.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5255988,8.00,8.00,5.00,5.00,8.00,7.13,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5256003,4.00,4.00,1.00,5.00,7.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5256011,3.00,3.00,1.00,4.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5256020,1.00,3.00,1.00,1.00,3.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'S'),(20,5256038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5256046,3.00,4.00,1.00,3.00,7.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5256054,4.00,6.00,4.00,5.00,6.00,6.75,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5256070,3.00,6.00,2.00,2.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5256089,4.00,6.00,0.00,5.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5256100,5.00,6.00,2.00,7.00,5.00,7.13,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5256119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5256127,9.00,7.00,8.00,7.00,8.00,9.00,6.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5256135,1.00,0.00,2.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5256143,4.00,5.00,1.00,5.00,6.00,6.00,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(20,5256151,8.00,9.00,2.00,7.00,9.00,9.75,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5256160,9.00,7.00,6.00,7.00,11.00,12.38,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5256178,5.00,7.00,2.00,6.00,8.00,9.38,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5256186,5.00,6.00,3.00,6.00,7.00,9.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5256216,3.00,3.00,1.00,2.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5256232,8.00,7.00,5.00,7.00,9.00,8.63,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5256240,9.00,6.00,4.00,7.00,8.00,12.38,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5256259,6.00,8.00,3.00,4.00,5.00,5.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5256267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5256283,4.00,6.00,3.00,3.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5256291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5256305,5.00,7.00,5.00,6.00,6.00,6.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5256313,3.00,4.00,1.00,2.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5256321,4.00,4.00,1.00,3.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5256330,8.00,7.00,6.00,7.00,9.00,10.13,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5256348,8.00,9.00,6.00,4.00,10.00,9.00,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5256356,7.00,4.00,1.00,4.00,6.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5256364,0.00,3.00,0.00,1.00,0.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5256372,6.00,6.00,1.00,7.00,4.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5256380,6.00,6.00,1.00,6.00,7.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5256399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5256402,8.00,8.00,4.00,5.00,7.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5256410,2.00,3.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5256429,2.00,4.00,1.00,5.00,6.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5256437,1.00,7.00,1.00,4.00,4.00,8.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5256445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5256461,7.00,6.00,1.00,6.00,9.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5256470,9.00,7.00,4.00,6.00,7.00,10.88,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5256488,3.00,3.00,1.00,6.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5256496,5.00,5.00,0.00,7.00,9.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5256518,2.00,5.00,3.00,5.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5256526,6.00,7.00,6.00,6.00,7.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5256550,6.00,5.00,2.00,6.00,7.00,3.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5256577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5256585,9.00,7.00,6.00,8.00,11.00,12.75,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5256593,4.00,4.00,0.00,3.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5256615,5.00,6.00,4.00,6.00,7.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5256623,5.00,5.00,1.00,7.00,5.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5256640,6.00,7.00,1.00,7.00,9.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5256658,3.00,7.00,4.00,7.00,10.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5256666,5.00,5.00,2.00,3.00,8.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5256682,9.00,8.00,8.00,8.00,9.00,10.13,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5256690,2.00,5.00,2.00,3.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5256704,5.00,7.00,4.00,5.00,7.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5256712,8.00,6.00,2.00,6.00,4.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5256720,2.00,5.00,1.00,2.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5256739,4.00,6.00,2.00,4.00,7.00,8.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5256747,5.00,8.00,3.00,3.00,9.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5256763,3.00,4.00,1.00,6.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5256771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5256801,2.00,6.00,0.00,2.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5256810,8.00,8.00,6.00,7.00,9.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5256828,9.00,7.00,8.00,7.00,9.00,10.88,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5256836,6.00,6.00,3.00,6.00,8.00,7.88,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5256844,5.00,6.00,2.00,7.00,6.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5256852,8.00,6.00,6.00,6.00,8.00,9.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5256860,8.00,8.00,2.00,7.00,10.00,9.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5256879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5256887,4.00,5.00,2.00,6.00,6.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5256909,4.00,6.00,2.00,6.00,4.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5256917,5.00,3.00,0.00,1.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5256933,2.00,3.00,1.00,1.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5256968,6.00,5.00,5.00,5.00,6.00,9.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5256976,7.00,5.00,2.00,7.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,'S','N'),(20,5256984,7.00,7.00,6.00,5.00,6.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5256992,5.00,4.00,3.00,2.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5257000,5.00,5.00,0.00,6.00,5.00,9.00,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5257018,5.00,3.00,2.00,1.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5257034,4.00,6.00,1.00,4.00,5.00,7.13,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5257042,4.00,4.00,1.00,4.00,7.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5257069,7.00,6.00,5.00,7.00,9.00,11.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5257077,5.00,6.00,2.00,4.00,6.00,7.50,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5257085,2.00,5.00,2.00,3.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5257093,3.00,3.00,0.00,5.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5257107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5257131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5257140,9.00,7.00,1.00,7.00,7.00,10.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5257158,4.00,6.00,3.00,6.00,5.00,7.88,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5257166,3.00,6.00,0.00,4.00,5.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5257174,4.00,3.00,3.00,6.00,5.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5257182,6.00,5.00,3.00,3.00,9.00,6.38,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5257190,3.00,7.00,6.00,7.00,5.00,9.75,4.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5257204,5.00,5.00,1.00,5.00,3.00,NULL,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5257212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5257220,6.00,5.00,2.00,3.00,6.00,7.88,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5257239,5.00,7.00,5.00,3.00,5.00,4.13,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5257247,3.00,2.00,0.00,3.00,1.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5257255,4.00,7.00,0.00,5.00,7.00,4.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5257263,6.00,5.00,4.00,5.00,8.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5257271,4.00,7.00,1.00,5.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5257298,9.00,9.00,4.00,6.00,9.00,8.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5257301,5.00,7.00,3.00,7.00,6.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5257310,5.00,4.00,3.00,5.00,5.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5257328,5.00,4.00,0.00,0.00,8.00,NULL,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5257336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5257344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5257360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5257379,0.00,2.00,0.00,2.00,0.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5257387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5257395,6.00,5.00,5.00,4.00,8.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5257409,1.00,3.00,1.00,1.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5257417,4.00,6.00,2.00,2.00,5.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5257433,5.00,4.00,0.00,4.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5257441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5257450,8.00,6.00,2.00,7.00,7.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5257468,4.00,3.00,3.00,4.00,7.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5257476,2.00,5.00,3.00,1.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5257484,7.00,8.00,5.00,3.00,4.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5257492,3.00,5.00,1.00,4.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5257506,4.00,5.00,4.00,6.00,5.00,8.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5257514,3.00,5.00,1.00,3.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5257522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5257549,2.00,6.00,4.00,1.00,7.00,9.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5257557,4.00,4.00,3.00,6.00,4.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5257565,4.00,6.00,0.00,7.00,8.00,7.13,5.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5257573,6.00,6.00,4.00,5.00,7.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5257581,3.00,7.00,2.00,3.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5257590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5257603,7.00,7.00,4.00,7.00,7.00,10.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5257620,4.00,4.00,4.00,4.00,4.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5257638,1.00,5.00,2.00,2.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5257646,6.00,4.00,3.00,4.00,6.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5257654,5.00,8.00,1.00,7.00,7.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5257662,6.00,6.00,0.00,7.00,8.00,9.75,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5257670,7.00,8.00,1.00,5.00,8.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5257689,7.00,7.00,4.00,7.00,6.00,10.88,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5257697,9.00,8.00,7.00,7.00,9.00,10.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5257700,4.00,5.00,0.00,5.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5257719,7.00,8.00,2.00,5.00,5.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5257727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5257735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5257751,6.00,4.00,3.00,2.00,9.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5257760,2.00,4.00,2.00,1.00,2.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5257778,6.00,3.00,2.00,2.00,6.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5257786,3.00,6.00,1.00,4.00,8.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5257794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5257808,4.00,7.00,0.00,5.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5257816,2.00,4.00,0.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5257824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5257832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5257840,5.00,5.00,3.00,6.00,6.00,10.13,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5257859,4.00,6.00,2.00,5.00,7.00,7.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5257867,6.00,7.00,5.00,5.00,8.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5257875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5257883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5257891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5257905,4.00,3.00,4.00,4.00,4.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5257913,4.00,4.00,1.00,4.00,7.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5257921,2.00,4.00,2.00,0.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5257930,4.00,7.00,0.00,2.00,4.00,9.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5257948,5.00,7.00,2.00,5.00,8.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5257956,4.00,4.00,0.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5257964,7.00,6.00,5.00,3.00,7.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5257980,2.00,5.00,1.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5257999,5.00,7.00,0.00,5.00,10.00,11.63,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5258006,7.00,7.00,7.00,7.00,8.00,9.00,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5258014,0.00,4.00,0.00,0.00,0.00,NULL,1.00,2.00,3.00,'S',NULL,NULL,'N'),(20,5258030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5258057,3.00,0.00,4.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5258065,6.00,7.00,5.00,8.00,7.00,11.25,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5258073,5.00,5.00,1.00,3.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5258081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5258090,8.00,5.00,4.00,5.00,7.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5258111,2.00,4.00,1.00,7.00,6.00,9.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5258120,6.00,4.00,4.00,4.00,8.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5258154,6.00,6.00,2.00,6.00,7.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5258197,1.00,3.00,3.00,2.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5258200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5258219,2.00,5.00,4.00,3.00,6.00,8.25,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5258243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5258251,3.00,5.00,3.00,2.00,4.00,4.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5258294,4.00,5.00,2.00,4.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5258316,8.00,6.00,7.00,7.00,9.00,7.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5258324,4.00,5.00,2.00,4.00,6.00,9.00,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5258332,6.00,6.00,1.00,1.00,6.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5258340,8.00,7.00,0.00,7.00,5.00,11.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5258367,4.00,8.00,1.00,7.00,9.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5258375,6.00,4.00,3.00,6.00,6.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5258383,4.00,3.00,0.00,1.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5258391,5.00,6.00,1.00,6.00,6.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5258405,4.00,3.00,1.00,3.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5258413,8.00,7.00,5.00,8.00,10.00,9.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5258421,3.00,6.00,2.00,3.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5258448,4.00,4.00,0.00,5.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5258456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5258472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5258480,2.00,3.00,0.00,2.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5258499,4.00,4.00,3.00,6.00,5.00,7.50,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5258502,3.00,2.00,1.00,1.00,0.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5258510,5.00,6.00,2.00,1.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5258529,4.00,6.00,3.00,3.00,7.00,7.50,0.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5258537,4.00,5.00,1.00,4.00,6.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5258545,5.00,7.00,2.00,8.00,6.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5258570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5258588,1.00,5.00,0.00,3.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5258596,3.00,2.00,1.00,2.00,0.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5258600,6.00,6.00,3.00,2.00,5.00,10.13,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5258618,3.00,5.00,2.00,3.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5258626,2.00,7.00,2.00,7.00,7.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5258642,4.00,3.00,2.00,7.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5258669,7.00,7.00,7.00,7.00,9.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5258677,2.00,4.00,0.00,3.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5258693,4.00,6.00,2.00,6.00,4.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5258715,7.00,7.00,2.00,6.00,9.00,7.88,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5258723,3.00,3.00,2.00,4.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5258731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5258758,1.00,4.00,0.00,2.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5258766,4.00,5.00,3.00,3.00,7.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5258774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5258782,7.00,8.00,4.00,5.00,7.00,7.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5258790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5258804,5.00,3.00,1.00,6.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5258820,5.00,7.00,4.00,6.00,7.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5258839,2.00,5.00,1.00,1.00,5.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5258847,4.00,3.00,0.00,1.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5258855,5.00,6.00,3.00,5.00,5.00,11.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5258863,7.00,8.00,3.00,4.00,8.00,8.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5258871,5.00,4.00,3.00,1.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5258880,3.00,3.00,2.00,2.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5258898,6.00,6.00,1.00,3.00,8.00,10.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5258901,6.00,6.00,2.00,6.00,8.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5258910,3.00,3.00,0.00,2.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5258928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5258936,5.00,3.00,2.00,3.00,9.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5258944,7.00,8.00,1.00,5.00,7.00,7.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5258952,5.00,6.00,5.00,5.00,4.00,6.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5258960,6.00,7.00,6.00,6.00,9.00,10.88,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5258979,2.00,4.00,3.00,6.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5258987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5258995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5259002,4.00,6.00,1.00,5.00,3.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5259029,4.00,5.00,3.00,3.00,5.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5259053,3.00,4.00,2.00,5.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5259061,7.00,6.00,6.00,7.00,9.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5259070,3.00,4.00,0.00,6.00,4.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5259088,2.00,3.00,2.00,2.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5259100,7.00,6.00,2.00,3.00,8.00,3.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5259118,4.00,3.00,2.00,5.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5259134,4.00,4.00,2.00,1.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5259142,6.00,7.00,2.00,7.00,7.00,10.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5259150,5.00,6.00,2.00,6.00,5.00,7.88,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5259177,2.00,6.00,3.00,6.00,7.00,7.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5259185,4.00,4.00,0.00,3.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5259193,6.00,4.00,1.00,6.00,7.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5259207,2.00,5.00,2.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5259215,6.00,6.00,2.00,8.00,8.00,11.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5259223,6.00,7.00,1.00,7.00,9.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5259231,9.00,8.00,2.00,7.00,10.00,10.13,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5259258,8.00,8.00,4.00,4.00,7.00,9.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5259274,8.00,5.00,3.00,4.00,7.00,9.75,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5259282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5259290,5.00,4.00,3.00,3.00,5.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5259304,5.00,3.00,0.00,4.00,6.00,6.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5259312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5259320,8.00,6.00,1.00,4.00,9.00,8.63,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5259339,6.00,3.00,2.00,6.00,6.00,7.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5259347,4.00,7.00,3.00,2.00,3.00,NULL,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5259355,4.00,3.00,0.00,5.00,6.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5259363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5259371,2.00,6.00,2.00,4.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5259380,6.00,4.00,2.00,4.00,7.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5259398,6.00,6.00,0.00,3.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5259401,3.00,5.00,0.00,4.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5259410,8.00,7.00,1.00,3.00,6.00,6.75,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5259428,3.00,4.00,2.00,3.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5259436,8.00,6.00,6.00,6.00,8.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5259444,4.00,4.00,0.00,4.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5259452,4.00,5.00,1.00,5.00,8.00,4.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5259460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5259479,7.00,5.00,3.00,2.00,5.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5259487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5259495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5259509,4.00,5.00,0.00,2.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5259517,6.00,4.00,2.00,4.00,2.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5259533,5.00,6.00,1.00,4.00,7.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5259541,5.00,7.00,2.00,7.00,5.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5259550,5.00,7.00,2.00,7.00,6.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5259568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5259576,5.00,5.00,4.00,3.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5259584,6.00,6.00,6.00,4.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5259592,2.00,6.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5259606,3.00,7.00,5.00,7.00,6.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5259614,2.00,4.00,3.00,6.00,5.00,6.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5259622,1.00,4.00,1.00,3.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5259649,2.00,4.00,1.00,2.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5259657,8.00,5.00,5.00,4.00,5.00,8.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5259673,7.00,5.00,1.00,6.00,7.00,10.88,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5259681,6.00,6.00,2.00,8.00,6.00,7.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(20,5259690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5259703,6.00,7.00,4.00,5.00,7.00,9.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5259720,2.00,1.00,0.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5259738,4.00,4.00,3.00,4.00,6.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5259746,5.00,5.00,4.00,5.00,6.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5259754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5259762,5.00,7.00,2.00,7.00,7.00,12.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(20,5259770,1.00,3.00,0.00,1.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5259789,6.00,6.00,1.00,7.00,6.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5259797,6.00,7.00,5.00,4.00,8.00,7.88,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5259800,5.00,4.00,0.00,4.00,6.00,10.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5259819,8.00,7.00,7.00,7.00,8.00,9.00,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5259835,4.00,4.00,0.00,4.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5259843,7.00,6.00,1.00,4.00,7.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5259851,7.00,7.00,4.00,4.00,8.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5259878,4.00,7.00,1.00,3.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5259886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5259894,4.00,6.00,2.00,6.00,5.00,7.88,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5259908,9.00,6.00,3.00,7.00,10.00,9.00,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5259916,8.00,8.00,4.00,5.00,8.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5259924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5259932,8.00,8.00,5.00,7.00,10.00,10.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5259940,7.00,6.00,5.00,5.00,7.00,10.88,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5259967,7.00,6.00,2.00,6.00,9.00,13.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5259975,4.00,7.00,3.00,5.00,7.00,9.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5259983,6.00,7.00,6.00,6.00,8.00,7.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5259991,7.00,9.00,5.00,5.00,7.00,11.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5260000,5.00,6.00,3.00,3.00,4.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5260019,2.00,5.00,1.00,4.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5260035,1.00,6.00,5.00,3.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5260043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5260051,5.00,6.00,3.00,4.00,6.00,6.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5260060,4.00,6.00,0.00,4.00,5.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5260086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5260094,8.00,7.00,3.00,7.00,10.00,8.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5260108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5260116,2.00,6.00,2.00,2.00,8.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5260132,5.00,6.00,5.00,4.00,9.00,11.25,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5260159,3.00,4.00,1.00,3.00,4.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5260167,6.00,6.00,3.00,6.00,9.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5260175,6.00,6.00,1.00,4.00,8.00,9.00,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5260183,8.00,6.00,4.00,4.00,5.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5260191,9.00,8.00,7.00,8.00,10.00,10.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5260213,5.00,7.00,1.00,7.00,5.00,12.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5260221,0.00,4.00,1.00,3.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5260248,5.00,4.00,2.00,6.00,7.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'S'),(20,5260256,7.00,7.00,3.00,6.00,9.00,7.88,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5260280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5260299,7.00,6.00,3.00,5.00,6.00,8.25,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5260302,3.00,7.00,4.00,7.00,7.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5260310,6.00,5.00,1.00,5.00,2.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5260329,3.00,5.00,2.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5260337,3.00,3.00,0.00,6.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5260345,3.00,6.00,4.00,5.00,4.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5260353,9.00,7.00,1.00,8.00,11.00,7.88,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5260361,4.00,8.00,5.00,5.00,7.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5260370,5.00,6.00,1.00,5.00,5.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5260388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5260396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5260400,4.00,6.00,1.00,4.00,6.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5260418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5260434,5.00,2.00,0.00,5.00,5.00,NULL,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5260442,7.00,6.00,3.00,7.00,10.00,9.38,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5260450,6.00,4.00,1.00,7.00,7.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5260469,4.00,4.00,3.00,3.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5260477,5.00,4.00,3.00,4.00,3.00,NULL,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5260485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5260493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5260507,4.00,3.00,2.00,6.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5260515,7.00,4.00,2.00,5.00,5.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5260523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5260531,3.00,3.00,2.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5260540,9.00,8.00,2.00,7.00,11.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5260558,7.00,4.00,1.00,1.00,6.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5260574,0.00,0.00,4.00,3.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5260582,5.00,3.00,2.00,5.00,6.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5260590,5.00,3.00,1.00,5.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5260604,4.00,6.00,2.00,1.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5260612,3.00,4.00,0.00,2.00,6.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5260620,6.00,6.00,2.00,7.00,8.00,9.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5260639,3.00,5.00,2.00,6.00,7.00,10.13,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5260647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5260655,5.00,6.00,3.00,5.00,10.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5260663,5.00,8.00,1.00,2.00,7.00,8.63,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5260671,2.00,7.00,2.00,4.00,7.00,9.38,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5260680,5.00,7.00,4.00,3.00,4.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5260698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5260701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5260710,2.00,3.00,1.00,3.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5260728,3.00,7.00,3.00,5.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5260736,3.00,6.00,3.00,4.00,6.00,8.25,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5260744,3.00,4.00,1.00,3.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5260760,8.00,7.00,7.00,7.00,7.00,7.88,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5260779,4.00,6.00,1.00,4.00,6.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5260787,3.00,4.00,4.00,6.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5260795,2.00,5.00,1.00,2.00,5.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5260809,9.00,7.00,5.00,7.00,8.00,9.38,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5260817,4.00,5.00,2.00,7.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5260825,8.00,6.00,3.00,7.00,8.00,8.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5260833,4.00,5.00,4.00,7.00,9.00,6.38,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5260841,3.00,3.00,1.00,0.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5260850,2.00,3.00,1.00,6.00,9.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5260876,4.00,7.00,3.00,5.00,7.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5260884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5260892,5.00,2.00,2.00,3.00,8.00,8.63,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5260906,4.00,6.00,5.00,7.00,6.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5260922,6.00,6.00,5.00,3.00,8.00,6.75,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5260930,4.00,6.00,3.00,4.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5260949,4.00,3.00,1.00,3.00,4.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5260957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5260965,0.00,3.00,1.00,0.00,0.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5260973,4.00,6.00,2.00,6.00,4.00,9.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5260981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5260990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5261007,2.00,8.00,2.00,4.00,4.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5261015,5.00,4.00,1.00,2.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5261023,4.00,7.00,4.00,5.00,7.00,7.88,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5261031,3.00,0.00,0.00,1.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5261040,6.00,6.00,1.00,5.00,7.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5261058,5.00,6.00,5.00,4.00,4.00,6.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5261066,5.00,5.00,2.00,5.00,7.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5261074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5261090,4.00,4.00,1.00,4.00,7.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5261104,5.00,5.00,2.00,5.00,8.00,7.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5261112,1.00,1.00,1.00,2.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5261120,8.00,8.00,3.00,3.00,8.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5261139,3.00,5.00,1.00,3.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5261147,4.00,4.00,1.00,7.00,6.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5261155,5.00,7.00,6.00,7.00,6.00,7.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5261163,4.00,3.00,1.00,3.00,7.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5261171,5.00,4.00,1.00,6.00,8.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5261198,1.00,6.00,2.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5261201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5261210,6.00,5.00,2.00,6.00,6.00,7.88,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5261228,9.00,7.00,7.00,5.00,8.00,8.63,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5261236,7.00,8.00,5.00,3.00,8.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5261244,3.00,4.00,3.00,4.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5261252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5261260,3.00,4.00,1.00,6.00,1.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5261279,0.00,3.00,0.00,6.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5261287,6.00,8.00,1.00,3.00,8.00,10.13,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5261295,8.00,5.00,0.00,7.00,6.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5261325,2.00,4.00,1.00,3.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5261333,9.00,8.00,5.00,6.00,9.00,10.50,7.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5261341,2.00,5.00,1.00,5.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5261350,5.00,6.00,0.00,7.00,6.00,10.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5261368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5261376,7.00,6.00,5.00,7.00,7.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5261384,9.00,6.00,8.00,7.00,10.00,9.00,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5261414,3.00,3.00,0.00,5.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5261422,3.00,2.00,1.00,4.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5261430,4.00,1.00,0.00,1.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5261449,8.00,7.00,1.00,7.00,4.00,9.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5261457,4.00,6.00,2.00,4.00,6.00,8.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5261465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5261473,3.00,3.00,1.00,1.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5261481,8.00,6.00,5.00,7.00,9.00,11.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5261490,1.00,5.00,2.00,7.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5261503,4.00,6.00,4.00,2.00,5.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5261511,5.00,6.00,1.00,7.00,5.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5261520,2.00,5.00,2.00,2.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5261538,3.00,4.00,1.00,4.00,6.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5261546,7.00,7.00,8.00,7.00,9.00,10.13,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5261562,7.00,7.00,2.00,6.00,8.00,7.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5261570,7.00,7.00,2.00,7.00,7.00,7.88,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5261589,7.00,5.00,1.00,6.00,5.00,7.88,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5261597,7.00,9.00,5.00,6.00,8.00,9.00,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5261600,4.00,5.00,1.00,0.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5261619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5261627,4.00,3.00,0.00,3.00,2.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5261635,4.00,6.00,2.00,4.00,5.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5261643,9.00,8.00,6.00,7.00,9.00,8.63,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5261651,2.00,4.00,0.00,4.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5261660,8.00,5.00,5.00,5.00,6.00,9.00,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5261678,9.00,6.00,6.00,8.00,8.00,11.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5261686,2.00,2.00,1.00,4.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5261694,1.00,1.00,4.00,3.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5261716,3.00,3.00,0.00,5.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5261724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5261732,4.00,5.00,1.00,4.00,4.00,4.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5261740,5.00,6.00,0.00,4.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5261759,7.00,6.00,3.00,7.00,8.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5261767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5261775,7.00,7.00,2.00,4.00,6.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5261783,6.00,4.00,0.00,3.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5261791,1.00,7.00,3.00,2.00,4.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5261805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5261813,4.00,6.00,2.00,4.00,6.00,7.88,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5261821,7.00,5.00,4.00,4.00,5.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5261830,8.00,4.00,0.00,4.00,6.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5261848,8.00,7.00,4.00,3.00,7.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5261856,7.00,6.00,2.00,7.00,8.00,12.38,4.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5261864,4.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5261872,7.00,6.00,6.00,6.00,8.00,9.38,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5261880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5261902,2.00,5.00,4.00,1.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5261910,9.00,8.00,6.00,6.00,8.00,9.38,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5261929,6.00,6.00,2.00,5.00,4.00,7.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5261937,5.00,4.00,4.00,1.00,4.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5261953,8.00,8.00,3.00,5.00,7.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5261961,6.00,5.00,0.00,7.00,5.00,8.63,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5261970,4.00,5.00,1.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5261988,3.00,3.00,0.00,0.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5261996,7.00,7.00,4.00,4.00,9.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5262003,4.00,6.00,3.00,2.00,7.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5262011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5262020,6.00,9.00,5.00,5.00,8.00,9.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5262038,0.00,2.00,2.00,3.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5262046,1.00,5.00,2.00,4.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5262054,5.00,5.00,0.00,1.00,7.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5262062,9.00,9.00,3.00,7.00,8.00,9.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5262070,8.00,5.00,5.00,5.00,8.00,9.38,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5262089,5.00,6.00,2.00,7.00,5.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5262097,3.00,3.00,0.00,3.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5262100,4.00,3.00,2.00,4.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5262119,8.00,6.00,5.00,6.00,7.00,8.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5262127,8.00,6.00,4.00,7.00,7.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5262135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5262143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5262151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5262160,4.00,6.00,2.00,7.00,5.00,10.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5262178,3.00,4.00,1.00,6.00,6.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5262194,6.00,6.00,6.00,7.00,5.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5262208,5.00,6.00,2.00,4.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5262216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5262224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5262232,7.00,8.00,4.00,7.00,8.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5262240,3.00,5.00,0.00,3.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,'S','N'),(20,5262259,3.00,4.00,0.00,5.00,6.00,NULL,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5262267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5262275,8.00,7.00,3.00,8.00,10.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5262283,6.00,6.00,6.00,5.00,9.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5262305,5.00,8.00,5.00,7.00,7.00,7.13,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5262313,4.00,7.00,3.00,4.00,8.00,6.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5262321,3.00,4.00,0.00,1.00,6.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5262330,5.00,4.00,4.00,6.00,5.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5262348,5.00,4.00,2.00,3.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5262356,4.00,5.00,3.00,4.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5262364,6.00,5.00,6.00,2.00,7.00,7.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5262372,4.00,5.00,4.00,7.00,9.00,9.38,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5262399,3.00,5.00,1.00,2.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5262402,7.00,5.00,1.00,6.00,7.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5262410,2.00,5.00,1.00,4.00,5.00,11.25,2.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5262429,4.00,3.00,3.00,4.00,2.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5262453,5.00,5.00,1.00,3.00,8.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5262461,6.00,6.00,5.00,4.00,6.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5262470,7.00,8.00,4.00,7.00,9.00,9.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5262488,8.00,7.00,7.00,7.00,7.00,8.63,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5262496,6.00,8.00,3.00,7.00,10.00,10.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5262500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5262518,6.00,3.00,2.00,4.00,6.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5262526,8.00,7.00,3.00,7.00,9.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5262534,5.00,6.00,3.00,7.00,8.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5262542,3.00,3.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5262550,6.00,6.00,3.00,6.00,5.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5262569,0.00,3.00,1.00,5.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5262577,3.00,6.00,3.00,4.00,6.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5262585,4.00,5.00,1.00,6.00,6.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5262593,7.00,5.00,4.00,7.00,9.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5262615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5262623,7.00,5.00,1.00,0.00,7.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5262640,5.00,8.00,1.00,4.00,8.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5262658,4.00,5.00,3.00,1.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,'S','N'),(20,5262666,4.00,3.00,3.00,2.00,7.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5262674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5262682,4.00,6.00,0.00,3.00,4.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5262690,3.00,5.00,0.00,5.00,5.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5262704,6.00,4.00,5.00,6.00,6.00,9.75,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5262712,8.00,7.00,7.00,8.00,9.00,10.50,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5262720,7.00,8.00,4.00,7.00,10.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5262739,5.00,6.00,5.00,7.00,6.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5262747,3.00,3.00,3.00,3.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5262755,3.00,6.00,3.00,3.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5262763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5262780,2.00,3.00,2.00,4.00,3.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5262798,5.00,6.00,3.00,6.00,6.00,8.25,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5262801,5.00,6.00,2.00,6.00,4.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5262810,3.00,8.00,1.00,4.00,5.00,7.13,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5262836,9.00,7.00,0.00,5.00,5.00,6.38,3.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5262844,7.00,7.00,3.00,5.00,2.00,NULL,6.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5262852,6.00,7.00,4.00,7.00,9.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5262860,4.00,6.00,4.00,7.00,4.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5262879,3.00,7.00,0.00,6.00,5.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5262887,8.00,8.00,4.00,8.00,11.00,9.75,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5262895,7.00,6.00,0.00,5.00,5.00,12.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5262909,4.00,6.00,1.00,2.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5262917,6.00,7.00,1.00,5.00,9.00,8.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5262925,8.00,6.00,6.00,5.00,10.00,9.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5262933,5.00,5.00,2.00,1.00,7.00,7.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5262941,8.00,7.00,8.00,7.00,10.00,7.88,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5262950,7.00,6.00,4.00,5.00,8.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5262968,4.00,4.00,5.00,7.00,6.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5262984,5.00,6.00,4.00,6.00,6.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5262992,8.00,6.00,6.00,7.00,8.00,11.25,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5263000,8.00,8.00,4.00,7.00,9.00,11.63,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5263018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5263026,3.00,3.00,1.00,4.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5263034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5263069,7.00,7.00,2.00,7.00,6.00,9.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5263077,4.00,4.00,2.00,5.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5263085,3.00,4.00,0.00,3.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5263093,5.00,8.00,2.00,7.00,5.00,8.63,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5263107,8.00,6.00,2.00,7.00,6.00,8.25,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5263115,1.00,2.00,2.00,2.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5263123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5263158,5.00,6.00,4.00,5.00,5.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5263166,7.00,6.00,7.00,7.00,8.00,9.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5263174,4.00,6.00,1.00,4.00,6.00,10.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5263182,2.00,4.00,3.00,4.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5263190,8.00,7.00,5.00,7.00,10.00,8.25,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5263204,4.00,6.00,0.00,5.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5263212,4.00,5.00,0.00,2.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5263239,5.00,7.00,5.00,3.00,7.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5263247,2.00,7.00,1.00,4.00,8.00,9.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5263263,5.00,7.00,0.00,4.00,4.00,10.13,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5263271,4.00,7.00,6.00,4.00,5.00,6.75,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5263280,5.00,7.00,2.00,5.00,8.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5263298,8.00,6.00,5.00,7.00,6.00,8.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5263301,5.00,5.00,4.00,5.00,8.00,6.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5263310,3.00,5.00,0.00,3.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5263328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5263336,5.00,6.00,5.00,4.00,4.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5263344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5263352,3.00,4.00,4.00,5.00,5.00,8.25,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5263360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5263387,7.00,6.00,2.00,7.00,6.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5263395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5263425,8.00,6.00,5.00,1.00,8.00,11.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5263441,5.00,4.00,0.00,7.00,6.00,7.13,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5263450,6.00,3.00,1.00,5.00,6.00,8.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5263468,7.00,7.00,1.00,7.00,5.00,10.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5263476,1.00,4.00,0.00,3.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5263484,9.00,7.00,5.00,5.00,9.00,9.38,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5263492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5263514,3.00,4.00,2.00,2.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5263522,4.00,6.00,0.00,8.00,9.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5263530,4.00,5.00,4.00,5.00,6.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5263557,8.00,7.00,4.00,6.00,8.00,10.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5263573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5263581,1.00,4.00,0.00,3.00,6.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5263590,8.00,7.00,2.00,7.00,8.00,9.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5263603,2.00,2.00,0.00,3.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5263611,2.00,6.00,0.00,6.00,5.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5263620,6.00,6.00,2.00,3.00,8.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5263638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5263646,5.00,7.00,0.00,5.00,6.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5263654,2.00,5.00,0.00,1.00,7.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5263662,2.00,5.00,2.00,6.00,6.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5263670,9.00,7.00,3.00,5.00,9.00,9.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5263689,3.00,5.00,0.00,0.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5263697,4.00,6.00,0.00,3.00,4.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5263700,3.00,3.00,2.00,1.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5263719,8.00,7.00,0.00,1.00,4.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5263727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5263735,7.00,7.00,2.00,3.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5263743,5.00,6.00,2.00,6.00,5.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5263751,7.00,6.00,1.00,5.00,8.00,9.38,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5263760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5263778,8.00,8.00,4.00,7.00,7.00,12.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5263808,8.00,5.00,3.00,6.00,5.00,10.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5263816,6.00,8.00,1.00,7.00,7.00,10.13,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5263824,1.00,4.00,0.00,1.00,6.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5263832,6.00,6.00,0.00,3.00,4.00,NULL,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5263840,3.00,2.00,1.00,3.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5263859,3.00,2.00,2.00,1.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5263875,5.00,7.00,4.00,7.00,10.00,9.38,0.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5263883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5263905,2.00,6.00,1.00,7.00,5.00,7.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5263921,6.00,7.00,0.00,3.00,4.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5263930,4.00,5.00,0.00,4.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5263948,7.00,4.00,1.00,4.00,7.00,4.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5263956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5263964,3.00,6.00,0.00,6.00,8.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5263972,6.00,3.00,0.00,4.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5263980,7.00,7.00,3.00,3.00,5.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5263999,3.00,6.00,4.00,3.00,6.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5264006,5.00,5.00,5.00,4.00,6.00,7.88,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5264022,5.00,5.00,2.00,3.00,5.00,5.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5264049,5.00,8.00,2.00,4.00,4.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5264057,7.00,7.00,3.00,8.00,6.00,9.38,5.00,2.00,6.00,NULL,NULL,NULL,'S'),(20,5264065,5.00,3.00,2.00,4.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5264073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5264081,4.00,4.00,2.00,1.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5264090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5264103,4.00,3.00,1.00,3.00,2.00,NULL,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5264111,2.00,3.00,2.00,3.00,0.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5264120,4.00,5.00,2.00,3.00,5.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5264146,1.00,4.00,1.00,2.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5264154,6.00,4.00,3.00,4.00,7.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5264162,4.00,7.00,4.00,5.00,8.00,6.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5264170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5264189,4.00,8.00,0.00,6.00,2.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5264197,8.00,8.00,4.00,7.00,9.00,9.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5264200,2.00,6.00,2.00,6.00,7.00,7.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5264227,7.00,4.00,3.00,7.00,10.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5264243,8.00,7.00,4.00,7.00,9.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5264251,5.00,6.00,2.00,7.00,4.00,7.88,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5264260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5264278,4.00,5.00,0.00,3.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5264286,9.00,8.00,5.00,5.00,11.00,10.50,8.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5264308,3.00,4.00,2.00,7.00,6.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5264316,4.00,4.00,1.00,2.00,6.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5264324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5264332,1.00,2.00,1.00,1.00,4.00,NULL,4.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5264340,4.00,5.00,5.00,5.00,6.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5264367,3.00,6.00,2.00,3.00,6.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5264375,1.00,3.00,1.00,3.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5264383,6.00,6.00,3.00,6.00,8.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5264391,6.00,7.00,4.00,6.00,9.00,7.50,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5264405,8.00,6.00,3.00,5.00,7.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5264413,2.00,3.00,2.00,5.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,'S','N'),(20,5264421,4.00,4.00,0.00,2.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5264448,2.00,5.00,0.00,3.00,4.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5264456,4.00,8.00,1.00,5.00,8.00,11.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5264464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5264472,4.00,7.00,1.00,3.00,4.00,8.63,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5264480,4.00,5.00,2.00,4.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5264499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5264502,3.00,5.00,4.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5264510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5264529,7.00,5.00,2.00,5.00,5.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(20,5264537,6.00,5.00,4.00,7.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5264545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5264553,1.00,2.00,1.00,1.00,2.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5264561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5264588,5.00,4.00,1.00,4.00,6.00,7.88,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5264596,6.00,6.00,3.00,6.00,7.00,7.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5264600,3.00,4.00,1.00,3.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5264618,2.00,5.00,5.00,2.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5264626,3.00,3.00,2.00,5.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5264634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5264642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5264650,4.00,5.00,0.00,4.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5264669,4.00,5.00,1.00,7.00,4.00,11.63,1.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5264677,5.00,7.00,1.00,4.00,8.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5264685,7.00,8.00,6.00,6.00,10.00,13.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5264693,4.00,6.00,1.00,0.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5264715,3.00,6.00,1.00,5.00,6.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5264723,9.00,7.00,8.00,7.00,8.00,13.88,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5264740,8.00,6.00,0.00,3.00,4.00,6.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5264758,5.00,4.00,1.00,6.00,5.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5264766,5.00,3.00,1.00,6.00,7.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5264774,4.00,3.00,3.00,3.00,8.00,10.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5264782,0.00,6.00,1.00,1.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5264804,7.00,5.00,3.00,4.00,5.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5264812,3.00,4.00,4.00,4.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5264820,7.00,8.00,4.00,7.00,10.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5264839,3.00,5.00,3.00,4.00,5.00,12.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5264847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5264863,6.00,7.00,5.00,5.00,9.00,9.00,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5264871,2.00,4.00,0.00,4.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5264880,8.00,5.00,4.00,7.00,5.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5264898,3.00,5.00,4.00,5.00,4.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5264910,2.00,7.00,1.00,4.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5264936,7.00,8.00,1.00,5.00,7.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5264944,5.00,4.00,5.00,7.00,9.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5264952,7.00,8.00,4.00,6.00,8.00,10.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5264960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5264979,5.00,5.00,0.00,6.00,7.00,8.25,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5264987,3.00,6.00,1.00,0.00,6.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5264995,6.00,6.00,1.00,3.00,7.00,12.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5265002,7.00,6.00,5.00,7.00,6.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5265010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265037,3.00,4.00,0.00,2.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5265053,4.00,5.00,0.00,3.00,5.00,0.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5265061,3.00,4.00,2.00,7.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5265070,2.00,6.00,0.00,5.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5265088,6.00,7.00,4.00,3.00,5.00,6.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5265096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265100,3.00,5.00,4.00,3.00,5.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5265126,7.00,6.00,4.00,6.00,9.00,9.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5265134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265185,3.00,3.00,4.00,5.00,6.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5265193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265215,7.00,6.00,3.00,5.00,7.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5265223,5.00,6.00,4.00,3.00,6.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5265231,4.00,7.00,1.00,3.00,8.00,9.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5265258,6.00,5.00,0.00,3.00,6.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5265266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265274,2.00,4.00,3.00,6.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5265282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265304,2.00,4.00,1.00,6.00,7.00,8.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5265320,8.00,7.00,3.00,6.00,6.00,6.38,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5265339,1.00,4.00,1.00,6.00,5.00,0.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5265347,3.00,1.00,1.00,0.00,2.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5265363,7.00,7.00,1.00,5.00,9.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5265371,4.00,7.00,2.00,4.00,8.00,10.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5265380,5.00,7.00,2.00,3.00,5.00,6.38,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5265398,3.00,7.00,1.00,5.00,6.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5265401,6.00,5.00,1.00,7.00,7.00,8.63,0.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5265410,5.00,6.00,3.00,4.00,7.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5265428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265436,4.00,4.00,1.00,4.00,8.00,7.88,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5265444,4.00,4.00,2.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5265452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265460,5.00,6.00,2.00,3.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5265479,8.00,6.00,4.00,1.00,3.00,NULL,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5265495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265509,4.00,7.00,0.00,4.00,7.00,8.63,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5265517,5.00,6.00,1.00,4.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5265525,8.00,8.00,2.00,7.00,4.00,7.50,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5265533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265541,4.00,4.00,0.00,3.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5265550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265568,8.00,4.00,4.00,6.00,5.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5265584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265606,4.00,8.00,2.00,4.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5265614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265622,5.00,5.00,0.00,4.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5265630,2.00,2.00,0.00,4.00,4.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5265649,4.00,6.00,2.00,4.00,6.00,11.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5265657,9.00,9.00,6.00,7.00,9.00,9.38,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5265665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265673,6.00,5.00,2.00,5.00,4.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5265681,2.00,3.00,2.00,4.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5265703,4.00,7.00,0.00,3.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5265711,6.00,4.00,2.00,5.00,5.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5265720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265738,6.00,7.00,4.00,5.00,6.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5265746,3.00,6.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5265754,7.00,6.00,3.00,7.00,8.00,10.50,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5265762,4.00,5.00,2.00,5.00,8.00,7.50,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5265770,3.00,4.00,1.00,4.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5265789,8.00,8.00,4.00,7.00,9.00,11.63,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5265800,7.00,5.00,3.00,5.00,9.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5265827,5.00,8.00,3.00,4.00,8.00,6.38,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5265835,2.00,4.00,0.00,0.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5265843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265878,6.00,2.00,2.00,5.00,6.00,8.63,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5265886,6.00,6.00,6.00,4.00,7.00,7.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5265916,7.00,5.00,2.00,7.00,5.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5265932,5.00,5.00,2.00,5.00,5.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5265940,7.00,6.00,4.00,5.00,6.00,6.38,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5265959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265967,9.00,7.00,3.00,6.00,7.00,7.88,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5265975,4.00,7.00,2.00,4.00,5.00,9.75,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5265983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5265991,7.00,7.00,1.00,6.00,8.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5266009,6.00,7.00,4.00,6.00,9.00,8.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5266017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5266025,6.00,7.00,2.00,7.00,7.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5266033,7.00,7.00,3.00,7.00,8.00,10.13,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5266041,1.00,0.00,3.00,2.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5266050,6.00,8.00,2.00,7.00,8.00,10.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5266068,7.00,6.00,5.00,7.00,7.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5266076,1.00,6.00,4.00,5.00,4.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5266084,7.00,7.00,1.00,4.00,7.00,7.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5266092,7.00,4.00,5.00,4.00,7.00,3.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5266106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5266114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5266122,7.00,7.00,5.00,4.00,6.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5266130,8.00,7.00,3.00,6.00,9.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5266149,3.00,5.00,3.00,5.00,5.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5266157,8.00,6.00,3.00,5.00,7.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5266165,3.00,4.00,1.00,2.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5266173,5.00,8.00,4.00,4.00,9.00,7.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5266181,8.00,5.00,2.00,6.00,7.00,NULL,2.00,5.00,5.00,NULL,NULL,'S','N'),(20,5266190,3.00,5.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5266203,4.00,6.00,4.00,7.00,6.00,3.75,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5266211,9.00,8.00,4.00,6.00,9.00,10.88,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5266220,3.00,4.00,4.00,3.00,5.00,9.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5266246,4.00,4.00,1.00,5.00,8.00,9.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5266254,7.00,7.00,5.00,6.00,7.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'S'),(20,5266262,3.00,3.00,1.00,1.00,4.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5266270,2.00,4.00,1.00,2.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5266289,8.00,7.00,4.00,4.00,9.00,7.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5266297,7.00,5.00,3.00,0.00,6.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5266300,3.00,6.00,0.00,3.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5266319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5266327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5266335,7.00,5.00,5.00,7.00,9.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5266343,7.00,7.00,1.00,6.00,9.00,10.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5266351,7.00,6.00,1.00,7.00,8.00,6.75,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5266360,4.00,6.00,1.00,4.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5266386,2.00,5.00,0.00,4.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5266394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5266408,7.00,8.00,5.00,6.00,10.00,11.63,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5266424,6.00,6.00,6.00,5.00,7.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5266432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5266440,1.00,3.00,0.00,2.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5266459,3.00,3.00,0.00,4.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5266467,3.00,4.00,3.00,3.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5266475,4.00,3.00,1.00,4.00,5.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5266483,4.00,7.00,4.00,4.00,6.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5266491,4.00,3.00,0.00,3.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5266505,2.00,3.00,0.00,3.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5266513,7.00,3.00,2.00,7.00,5.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5266521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5266530,4.00,7.00,3.00,6.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5266548,8.00,7.00,8.00,7.00,8.00,8.63,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5266556,1.00,7.00,1.00,5.00,6.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5266572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5266599,5.00,5.00,3.00,1.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5266602,9.00,7.00,7.00,8.00,8.00,9.38,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5266610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5266629,2.00,3.00,0.00,3.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5266653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5266661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5266670,4.00,7.00,0.00,3.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5266688,7.00,7.00,8.00,5.00,8.00,11.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5266726,9.00,7.00,8.00,7.00,9.00,10.88,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5266734,2.00,6.00,0.00,3.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5266742,6.00,6.00,2.00,4.00,6.00,9.00,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5266769,2.00,5.00,1.00,2.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5266777,4.00,6.00,1.00,4.00,4.00,11.25,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5266793,7.00,3.00,1.00,4.00,4.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5266807,3.00,5.00,2.00,3.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5266815,4.00,5.00,1.00,6.00,6.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5266823,4.00,6.00,3.00,3.00,3.00,NULL,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5266831,5.00,5.00,1.00,7.00,6.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'S'),(20,5266840,2.00,3.00,3.00,3.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5266858,7.00,6.00,1.00,4.00,4.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5266866,2.00,2.00,1.00,4.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5266874,6.00,6.00,3.00,7.00,9.00,7.88,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5266882,4.00,5.00,1.00,5.00,7.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5266890,9.00,8.00,6.00,7.00,10.00,9.75,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5266904,7.00,8.00,3.00,7.00,8.00,9.75,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5266912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5266920,6.00,6.00,0.00,7.00,8.00,9.38,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5266939,4.00,3.00,2.00,4.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5266947,5.00,6.00,1.00,3.00,2.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5266955,2.00,5.00,2.00,4.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5266971,8.00,7.00,5.00,6.00,9.00,8.63,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5266980,5.00,1.00,2.00,2.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5266998,5.00,5.00,2.00,6.00,9.00,7.88,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5267005,8.00,7.00,4.00,7.00,8.00,8.25,8.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5267013,8.00,7.00,4.00,7.00,8.00,10.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5267021,2.00,3.00,0.00,4.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'S'),(20,5267048,2.00,6.00,3.00,3.00,7.00,9.00,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5267056,3.00,5.00,2.00,3.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5267064,9.00,8.00,9.00,5.00,11.00,10.13,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5267080,8.00,8.00,0.00,4.00,6.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5267099,6.00,5.00,4.00,6.00,4.00,7.13,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5267102,7.00,5.00,4.00,7.00,7.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5267129,8.00,6.00,5.00,4.00,10.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5267137,5.00,3.00,1.00,6.00,4.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5267145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5267153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5267161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5267170,3.00,4.00,1.00,4.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5267188,9.00,8.00,4.00,6.00,9.00,12.00,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5267196,5.00,8.00,4.00,5.00,6.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5267218,9.00,4.00,4.00,7.00,8.00,13.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5267226,0.00,4.00,1.00,7.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5267234,4.00,4.00,1.00,6.00,7.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5267242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5267250,5.00,7.00,3.00,5.00,7.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5267269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5267277,5.00,7.00,2.00,4.00,9.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5267285,6.00,6.00,4.00,5.00,8.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5267293,2.00,3.00,2.00,5.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5267323,0.00,4.00,0.00,1.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5267331,1.00,3.00,3.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5267340,2.00,1.00,2.00,3.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5267358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5267366,7.00,6.00,2.00,7.00,5.00,7.88,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5267382,8.00,6.00,8.00,7.00,8.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5267390,6.00,7.00,6.00,2.00,9.00,8.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5267404,8.00,5.00,4.00,4.00,7.00,11.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5267412,6.00,5.00,7.00,7.00,9.00,8.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5267439,8.00,8.00,4.00,7.00,9.00,11.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5267455,2.00,2.00,1.00,5.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5267463,8.00,4.00,5.00,6.00,6.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5267471,8.00,8.00,3.00,7.00,10.00,12.38,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5267498,2.00,4.00,0.00,6.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5267501,4.00,5.00,1.00,7.00,7.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5267528,2.00,1.00,1.00,0.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5267536,2.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5267560,2.00,4.00,2.00,0.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5267579,6.00,5.00,6.00,5.00,6.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5267595,8.00,8.00,6.00,4.00,9.00,8.63,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5267609,7.00,6.00,0.00,7.00,7.00,9.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5267617,2.00,5.00,0.00,2.00,2.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5267625,5.00,5.00,2.00,4.00,5.00,6.75,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5267633,1.00,6.00,0.00,1.00,4.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5267641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5267650,6.00,6.00,1.00,4.00,6.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5267668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5267676,6.00,6.00,0.00,7.00,9.00,12.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5267684,6.00,7.00,4.00,7.00,9.00,7.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5267692,8.00,4.00,2.00,5.00,5.00,6.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5267730,4.00,5.00,3.00,3.00,6.00,7.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5267749,9.00,7.00,6.00,7.00,7.00,12.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5267757,5.00,5.00,2.00,6.00,4.00,6.00,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5267765,4.00,6.00,2.00,3.00,5.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5267790,8.00,7.00,7.00,7.00,6.00,6.75,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5267803,7.00,6.00,2.00,6.00,7.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5267820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5267838,7.00,6.00,0.00,4.00,7.00,7.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5267846,5.00,6.00,4.00,5.00,6.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5267854,2.00,6.00,1.00,5.00,8.00,10.13,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5267862,4.00,7.00,1.00,4.00,6.00,7.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5267870,4.00,5.00,1.00,6.00,4.00,8.63,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5267889,8.00,7.00,6.00,7.00,9.00,0.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5267897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5267927,7.00,6.00,1.00,6.00,9.00,12.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5267935,8.00,5.00,5.00,5.00,7.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5267943,5.00,5.00,1.00,5.00,5.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5267951,2.00,5.00,2.00,2.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5267960,7.00,5.00,3.00,6.00,5.00,9.38,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5267978,7.00,5.00,3.00,4.00,7.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5267986,4.00,3.00,1.00,4.00,6.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5267994,6.00,5.00,3.00,5.00,4.00,8.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5268001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5268028,1.00,0.00,0.00,0.00,0.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5268036,8.00,9.00,3.00,5.00,9.00,9.38,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5268044,5.00,4.00,1.00,3.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5268052,9.00,9.00,2.00,7.00,10.00,11.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5268087,7.00,6.00,3.00,6.00,5.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5268095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5268109,7.00,7.00,7.00,6.00,9.00,7.50,7.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5268117,7.00,7.00,4.00,7.00,7.00,10.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5268125,5.00,9.00,2.00,7.00,7.00,9.00,3.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5268133,5.00,7.00,1.00,6.00,6.00,10.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5268150,7.00,5.00,3.00,6.00,3.00,NULL,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5268168,8.00,7.00,4.00,7.00,10.00,12.38,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5268176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5268192,6.00,6.00,3.00,5.00,7.00,10.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5268206,0.00,6.00,2.00,5.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5268214,8.00,6.00,4.00,6.00,8.00,8.63,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5268222,3.00,6.00,1.00,2.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5268249,2.00,3.00,4.00,5.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5268265,7.00,6.00,2.00,7.00,6.00,9.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5268273,6.00,6.00,4.00,4.00,8.00,11.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5268281,5.00,6.00,2.00,5.00,4.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5268290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5268303,3.00,3.00,2.00,5.00,7.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5268311,4.00,4.00,1.00,7.00,7.00,10.13,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5268320,3.00,5.00,2.00,2.00,2.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5268338,2.00,6.00,2.00,2.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5268346,3.00,7.00,2.00,1.00,2.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5268354,5.00,3.00,1.00,5.00,5.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5268362,2.00,3.00,0.00,2.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5268370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5268389,9.00,5.00,4.00,3.00,6.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5268397,4.00,6.00,4.00,4.00,6.00,11.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5268400,7.00,5.00,1.00,4.00,5.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5268419,8.00,5.00,4.00,7.00,8.00,10.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5268427,5.00,7.00,3.00,6.00,7.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5268435,1.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5268443,6.00,4.00,0.00,4.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5268460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5268478,7.00,8.00,7.00,7.00,9.00,10.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5268486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5268508,4.00,6.00,1.00,3.00,10.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5268516,5.00,5.00,0.00,3.00,3.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5268524,2.00,5.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5268532,6.00,3.00,1.00,3.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5268540,8.00,8.00,8.00,7.00,7.00,8.63,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5268559,7.00,6.00,2.00,5.00,8.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5268575,4.00,4.00,2.00,4.00,6.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5268583,5.00,6.00,2.00,3.00,5.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5268591,3.00,5.00,1.00,4.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5268605,3.00,4.00,2.00,5.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5268613,4.00,7.00,4.00,5.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5268621,8.00,5.00,5.00,6.00,9.00,8.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5268630,9.00,5.00,1.00,7.00,6.00,11.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5268648,4.00,5.00,1.00,5.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5268656,1.00,5.00,1.00,3.00,5.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5268672,3.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5268680,6.00,5.00,2.00,4.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5268702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5268710,7.00,7.00,5.00,7.00,7.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5268729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5268737,4.00,3.00,2.00,3.00,5.00,8.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5268745,2.00,4.00,3.00,2.00,3.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5268753,6.00,7.00,2.00,4.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5268761,7.00,6.00,5.00,5.00,8.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5268770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5268788,8.00,6.00,6.00,2.00,6.00,7.88,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5268796,3.00,2.00,4.00,4.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5268800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5268818,3.00,8.00,2.00,4.00,8.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5268826,7.00,8.00,6.00,7.00,8.00,9.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5268834,4.00,6.00,2.00,6.00,9.00,9.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5268850,2.00,4.00,2.00,4.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5268869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5268877,7.00,0.00,3.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5268885,9.00,7.00,4.00,7.00,7.00,9.00,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5268893,6.00,4.00,4.00,4.00,6.00,10.13,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5268915,5.00,7.00,6.00,6.00,5.00,8.25,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5268923,1.00,3.00,2.00,4.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5268931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5268940,1.00,5.00,2.00,4.00,8.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5268958,9.00,7.00,7.00,7.00,10.00,9.38,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5268974,6.00,5.00,4.00,7.00,7.00,10.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5268982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5268990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5269008,3.00,4.00,1.00,2.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5269016,3.00,2.00,2.00,4.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5269024,5.00,2.00,2.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5269032,8.00,6.00,7.00,7.00,7.00,7.13,7.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5269040,2.00,5.00,2.00,2.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5269059,5.00,7.00,1.00,6.00,9.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5269067,6.00,6.00,2.00,6.00,7.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5269083,7.00,7.00,2.00,6.00,10.00,11.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5269091,8.00,6.00,6.00,7.00,10.00,8.63,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5269105,5.00,6.00,2.00,5.00,4.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5269113,2.00,3.00,2.00,2.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5269130,2.00,2.00,2.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5269148,9.00,7.00,3.00,6.00,9.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5269156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5269164,2.00,5.00,2.00,4.00,6.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5269172,5.00,5.00,1.00,4.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5269180,2.00,6.00,0.00,6.00,5.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5269199,2.00,5.00,2.00,1.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5269202,4.00,3.00,1.00,5.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5269210,2.00,4.00,0.00,2.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5269229,8.00,7.00,4.00,6.00,8.00,6.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5269237,6.00,4.00,3.00,7.00,6.00,9.75,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5269245,4.00,2.00,2.00,4.00,6.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5269253,5.00,8.00,2.00,6.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5269261,7.00,5.00,2.00,4.00,9.00,7.50,2.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5269288,5.00,7.00,4.00,5.00,6.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5269296,4.00,5.00,1.00,4.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5269300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5269326,9.00,9.00,7.00,6.00,10.00,10.50,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5269334,0.00,5.00,3.00,3.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5269342,4.00,5.00,0.00,2.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5269350,6.00,7.00,1.00,7.00,7.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5269369,6.00,4.00,0.00,7.00,6.00,6.38,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5269393,3.00,5.00,1.00,2.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5269407,6.00,7.00,3.00,6.00,6.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5269415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5269423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5269431,7.00,7.00,6.00,5.00,10.00,8.63,8.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5269458,9.00,8.00,8.00,3.00,9.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5269466,8.00,7.00,6.00,7.00,8.00,7.13,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5269490,3.00,5.00,1.00,6.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5269512,3.00,4.00,0.00,7.00,5.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5269520,9.00,5.00,4.00,5.00,8.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5269539,6.00,5.00,2.00,5.00,7.00,7.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5269555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5269563,5.00,6.00,1.00,4.00,4.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5269571,3.00,5.00,0.00,5.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5269580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5269598,7.00,6.00,4.00,4.00,7.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5269601,3.00,4.00,0.00,3.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5269610,4.00,4.00,3.00,5.00,4.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5269628,4.00,5.00,2.00,4.00,7.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5269636,6.00,3.00,0.00,7.00,7.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5269652,4.00,4.00,4.00,5.00,4.00,9.38,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5269687,3.00,4.00,2.00,5.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5269695,7.00,4.00,3.00,4.00,7.00,10.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5269709,4.00,6.00,1.00,5.00,8.00,10.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5269717,1.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5269725,5.00,6.00,1.00,6.00,6.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5269733,3.00,7.00,2.00,4.00,6.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5269741,7.00,5.00,4.00,7.00,9.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5269768,4.00,5.00,1.00,0.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5269776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5269784,6.00,0.00,2.00,3.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5269792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5269806,5.00,6.00,3.00,7.00,7.00,6.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5269814,7.00,5.00,8.00,5.00,8.00,9.00,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5269849,2.00,5.00,0.00,2.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5269857,5.00,5.00,4.00,2.00,9.00,12.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5269865,4.00,7.00,0.00,2.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5269873,6.00,3.00,3.00,6.00,7.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5269881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5269903,2.00,5.00,0.00,5.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5269911,7.00,5.00,4.00,4.00,6.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5269938,4.00,5.00,2.00,4.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5269954,5.00,7.00,2.00,7.00,8.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5269970,7.00,7.00,2.00,3.00,8.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5270014,8.00,5.00,3.00,5.00,7.00,8.25,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5270022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5270030,8.00,6.00,3.00,6.00,6.00,8.63,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5270049,5.00,4.00,2.00,4.00,4.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5270057,7.00,6.00,5.00,5.00,7.00,7.88,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5270065,4.00,5.00,2.00,6.00,9.00,6.38,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5270073,2.00,4.00,2.00,5.00,4.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5270081,3.00,3.00,1.00,1.00,2.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5270090,2.00,1.00,0.00,4.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5270103,8.00,8.00,3.00,7.00,9.00,9.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5270120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5270138,9.00,7.00,5.00,7.00,9.00,10.13,6.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5270146,2.00,0.00,1.00,2.00,3.00,NULL,4.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5270162,4.00,4.00,0.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5270170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5270189,8.00,5.00,5.00,6.00,7.00,9.00,1.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5270200,5.00,7.00,4.00,4.00,6.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5270219,9.00,8.00,8.00,6.00,10.00,10.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5270227,4.00,5.00,1.00,5.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5270235,1.00,2.00,3.00,6.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5270243,4.00,5.00,0.00,2.00,6.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5270260,8.00,9.00,6.00,6.00,6.00,10.88,8.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5270286,5.00,4.00,0.00,1.00,6.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5270294,4.00,4.00,2.00,4.00,7.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5270308,8.00,8.00,4.00,6.00,5.00,8.63,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5270316,8.00,6.00,8.00,7.00,8.00,9.75,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5270332,3.00,6.00,2.00,4.00,5.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5270359,5.00,6.00,2.00,4.00,9.00,8.63,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5270367,0.00,5.00,2.00,7.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5270383,6.00,6.00,3.00,4.00,7.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5270391,7.00,8.00,5.00,4.00,5.00,9.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5270405,4.00,6.00,2.00,6.00,7.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5270413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5270421,1.00,0.00,0.00,1.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5270448,8.00,6.00,1.00,6.00,8.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5270456,5.00,6.00,1.00,6.00,8.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5270464,4.00,5.00,2.00,6.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5270472,3.00,7.00,4.00,7.00,6.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5270480,3.00,5.00,2.00,2.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5270499,7.00,6.00,4.00,4.00,5.00,6.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5270502,4.00,6.00,3.00,2.00,7.00,10.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5270510,9.00,6.00,4.00,7.00,9.00,8.63,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5270529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5270545,6.00,6.00,3.00,4.00,6.00,10.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5270553,7.00,6.00,2.00,4.00,7.00,8.63,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5270570,2.00,5.00,2.00,4.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5270588,4.00,3.00,5.00,3.00,6.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5270596,6.00,7.00,2.00,3.00,6.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5270600,7.00,7.00,3.00,6.00,8.00,4.13,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5270618,3.00,3.00,2.00,4.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5270626,6.00,1.00,0.00,1.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5270634,3.00,6.00,2.00,1.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5270650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5270669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5270677,3.00,4.00,2.00,2.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5270693,9.00,9.00,7.00,7.00,9.00,10.13,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5270707,6.00,8.00,3.00,7.00,4.00,9.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5270715,3.00,4.00,1.00,4.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5270723,1.00,5.00,3.00,2.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5270740,4.00,2.00,0.00,3.00,8.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5270774,7.00,8.00,1.00,7.00,7.00,7.88,8.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5270782,1.00,2.00,1.00,1.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5270790,5.00,7.00,0.00,5.00,7.00,6.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5270804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5270812,5.00,6.00,3.00,5.00,9.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5270820,3.00,5.00,1.00,3.00,3.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5270839,6.00,6.00,4.00,6.00,6.00,8.63,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5270847,4.00,3.00,3.00,3.00,5.00,6.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5270871,2.00,4.00,4.00,3.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5270880,4.00,4.00,0.00,3.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5270898,5.00,5.00,2.00,4.00,5.00,8.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5270901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5270910,6.00,5.00,2.00,5.00,7.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5270928,7.00,8.00,2.00,4.00,8.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5270936,5.00,4.00,1.00,4.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5270944,4.00,4.00,4.00,4.00,4.00,9.38,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5270960,6.00,6.00,5.00,7.00,9.00,10.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5270979,2.00,5.00,1.00,2.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5270987,5.00,7.00,0.00,5.00,8.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5271002,2.00,5.00,1.00,2.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5271029,2.00,2.00,5.00,5.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5271037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5271053,2.00,2.00,0.00,3.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5271061,3.00,2.00,1.00,4.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5271070,1.00,4.00,0.00,0.00,0.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5271088,8.00,6.00,4.00,3.00,7.00,8.63,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5271096,6.00,7.00,3.00,5.00,5.00,6.75,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5271100,2.00,6.00,1.00,4.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5271118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5271126,4.00,1.00,3.00,2.00,4.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5271134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5271150,6.00,6.00,3.00,7.00,7.00,10.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5271169,8.00,6.00,3.00,6.00,10.00,10.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5271185,3.00,5.00,3.00,3.00,4.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5271193,9.00,9.00,3.00,7.00,9.00,10.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5271207,3.00,3.00,0.00,4.00,6.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5271215,7.00,6.00,4.00,5.00,8.00,8.63,3.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5271223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5271231,8.00,7.00,9.00,5.00,6.00,10.88,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5271240,5.00,2.00,3.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5271258,5.00,6.00,5.00,3.00,5.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5271266,9.00,8.00,5.00,8.00,10.00,10.50,5.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5271274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5271282,3.00,3.00,0.00,4.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5271290,5.00,6.00,1.00,7.00,10.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5271304,3.00,5.00,1.00,5.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5271320,3.00,6.00,2.00,6.00,6.00,9.75,1.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5271347,3.00,6.00,1.00,2.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5271355,2.00,5.00,1.00,5.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5271363,6.00,5.00,0.00,1.00,4.00,7.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5271371,7.00,7.00,5.00,7.00,8.00,6.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5271398,8.00,6.00,7.00,4.00,7.00,8.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5271401,5.00,6.00,3.00,5.00,7.00,NULL,3.00,4.00,5.00,NULL,NULL,'S','N'),(20,5271410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5271428,3.00,6.00,1.00,5.00,7.00,7.88,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5271436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5271444,4.00,6.00,2.00,3.00,5.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5271452,8.00,6.00,5.00,7.00,8.00,8.63,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5271460,4.00,3.00,0.00,2.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5271479,6.00,6.00,0.00,5.00,6.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5271487,8.00,4.00,2.00,4.00,8.00,8.63,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5271509,3.00,6.00,2.00,5.00,7.00,8.25,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5271517,5.00,5.00,3.00,4.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5271533,5.00,6.00,0.00,2.00,4.00,6.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5271550,3.00,0.00,2.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5271568,5.00,3.00,2.00,5.00,6.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5271576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5271584,3.00,3.00,2.00,5.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5271592,4.00,6.00,0.00,4.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5271606,4.00,5.00,0.00,7.00,7.00,10.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5271614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5271622,6.00,5.00,0.00,3.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5271630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5271649,5.00,6.00,2.00,2.00,5.00,7.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5271665,4.00,3.00,2.00,3.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5271673,1.00,2.00,0.00,3.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5271681,9.00,9.00,7.00,6.00,9.00,11.25,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5271690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5271703,3.00,4.00,3.00,4.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5271711,2.00,3.00,1.00,4.00,6.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'S'),(20,5271738,4.00,5.00,0.00,1.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5271746,4.00,6.00,3.00,5.00,9.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5271754,6.00,1.00,0.00,1.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5271762,5.00,7.00,4.00,5.00,7.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5271770,5.00,6.00,4.00,4.00,8.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5271789,5.00,6.00,0.00,2.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5271797,4.00,4.00,2.00,5.00,9.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5271800,5.00,6.00,0.00,5.00,8.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5271819,9.00,7.00,5.00,7.00,9.00,11.63,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5271827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5271835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5271851,6.00,6.00,2.00,7.00,6.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5271860,6.00,6.00,2.00,6.00,7.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5271878,9.00,9.00,4.00,6.00,10.00,9.75,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5271886,4.00,5.00,4.00,5.00,6.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5271894,8.00,6.00,3.00,7.00,8.00,8.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5271916,6.00,6.00,4.00,5.00,7.00,11.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5271924,3.00,3.00,3.00,7.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,'S','N'),(20,5271932,5.00,3.00,3.00,5.00,7.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5271940,3.00,5.00,2.00,3.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5271959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5271967,6.00,6.00,5.00,5.00,9.00,9.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5271983,4.00,6.00,0.00,6.00,5.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5271991,3.00,5.00,2.00,3.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5272009,7.00,7.00,2.00,2.00,9.00,7.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5272017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5272025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5272033,6.00,8.00,4.00,6.00,5.00,12.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5272041,7.00,5.00,4.00,6.00,8.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5272050,3.00,6.00,4.00,5.00,8.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5272076,3.00,8.00,1.00,7.00,7.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5272084,3.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5272092,3.00,5.00,2.00,2.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5272106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5272114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5272122,4.00,6.00,1.00,4.00,8.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5272130,4.00,4.00,0.00,0.00,4.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5272157,4.00,7.00,3.00,5.00,5.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5272165,9.00,6.00,7.00,3.00,10.00,11.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5272173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5272181,2.00,4.00,2.00,2.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5272190,5.00,6.00,2.00,4.00,6.00,6.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5272211,2.00,4.00,1.00,5.00,5.00,8.25,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5272220,9.00,9.00,3.00,5.00,9.00,9.00,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5272238,5.00,6.00,2.00,4.00,6.00,9.00,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5272246,5.00,7.00,4.00,6.00,6.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5272262,4.00,7.00,2.00,6.00,9.00,11.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5272270,6.00,6.00,3.00,7.00,9.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5272289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5272327,9.00,7.00,5.00,6.00,6.00,10.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5272335,2.00,5.00,2.00,1.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5272343,3.00,6.00,0.00,4.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5272351,7.00,7.00,4.00,7.00,7.00,9.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5272360,6.00,7.00,2.00,6.00,6.00,13.13,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5272386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5272394,4.00,7.00,2.00,4.00,5.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5272408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5272416,6.00,5.00,1.00,4.00,8.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5272424,3.00,5.00,1.00,5.00,7.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5272432,5.00,6.00,5.00,4.00,7.00,9.38,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5272440,1.00,5.00,2.00,7.00,9.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5272459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5272467,6.00,7.00,2.00,6.00,8.00,8.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5272475,8.00,8.00,6.00,7.00,8.00,9.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5272483,1.00,3.00,0.00,1.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5272505,4.00,6.00,2.00,5.00,4.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5272513,4.00,5.00,4.00,4.00,5.00,7.50,5.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5272521,6.00,5.00,2.00,4.00,7.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5272530,4.00,6.00,1.00,5.00,6.00,6.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5272556,8.00,7.00,7.00,7.00,7.00,9.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5272564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5272572,1.00,3.00,0.00,3.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5272580,9.00,7.00,3.00,8.00,9.00,8.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5272599,7.00,6.00,1.00,6.00,6.00,10.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5272602,4.00,6.00,4.00,5.00,7.00,7.13,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5272610,7.00,8.00,4.00,7.00,5.00,6.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5272629,3.00,5.00,0.00,2.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5272637,1.00,2.00,0.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5272645,6.00,6.00,4.00,5.00,6.00,9.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5272653,7.00,5.00,2.00,6.00,7.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5272661,6.00,6.00,4.00,5.00,5.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5272670,4.00,4.00,2.00,2.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5272688,6.00,8.00,4.00,7.00,9.00,10.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5272696,10.00,9.00,6.00,8.00,10.00,11.25,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5272700,9.00,7.00,5.00,7.00,9.00,11.63,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5272718,5.00,5.00,0.00,3.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5272726,4.00,4.00,1.00,4.00,6.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5272734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5272742,6.00,5.00,4.00,5.00,9.00,10.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5272750,6.00,6.00,1.00,5.00,9.00,7.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5272769,5.00,4.00,3.00,6.00,6.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5272777,9.00,5.00,3.00,6.00,8.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5272785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5272793,6.00,6.00,1.00,3.00,5.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5272807,9.00,6.00,6.00,6.00,8.00,6.75,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5272815,4.00,5.00,0.00,4.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5272823,3.00,8.00,5.00,5.00,10.00,12.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5272831,7.00,6.00,1.00,3.00,5.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5272840,1.00,2.00,0.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5272858,4.00,5.00,1.00,1.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5272866,5.00,0.00,1.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(20,5272874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5272890,4.00,6.00,3.00,5.00,7.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5272904,8.00,8.00,5.00,7.00,10.00,9.38,8.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5272912,0.00,5.00,1.00,4.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5272920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5272939,7.00,7.00,4.00,4.00,6.00,6.38,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5272947,0.00,6.00,1.00,5.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5272955,9.00,7.00,6.00,7.00,9.00,10.13,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5272963,7.00,8.00,2.00,7.00,9.00,11.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5272971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5272980,3.00,5.00,1.00,3.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5272998,8.00,9.00,6.00,7.00,8.00,8.63,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5273005,7.00,8.00,5.00,6.00,8.00,7.88,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5273013,3.00,3.00,0.00,1.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5273021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5273030,9.00,8.00,5.00,7.00,9.00,11.63,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5273048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5273056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5273064,4.00,4.00,1.00,3.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5273080,7.00,6.00,3.00,6.00,7.00,7.50,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5273099,1.00,5.00,0.00,1.00,4.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5273102,0.00,3.00,3.00,3.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5273129,6.00,6.00,4.00,5.00,10.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5273137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5273153,2.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5273161,6.00,7.00,0.00,0.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5273170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5273188,9.00,8.00,5.00,5.00,7.00,10.13,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5273196,5.00,7.00,5.00,2.00,3.00,NULL,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5273200,6.00,6.00,1.00,7.00,5.00,9.38,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5273218,8.00,6.00,6.00,7.00,10.00,7.88,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5273226,8.00,6.00,2.00,6.00,8.00,NULL,2.00,3.00,4.00,NULL,NULL,'S','N'),(20,5273234,4.00,4.00,1.00,4.00,3.00,NULL,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5273242,4.00,4.00,1.00,6.00,4.00,9.38,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5273269,5.00,5.00,1.00,7.00,7.00,10.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5273277,1.00,5.00,0.00,1.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5273285,3.00,3.00,3.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5273293,7.00,8.00,7.00,8.00,9.00,11.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5273307,4.00,4.00,5.00,7.00,9.00,10.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5273331,9.00,5.00,5.00,7.00,9.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5273340,8.00,6.00,2.00,5.00,8.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5273358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5273366,1.00,6.00,1.00,3.00,8.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5273374,9.00,7.00,0.00,5.00,7.00,8.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5273382,3.00,4.00,2.00,5.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5273390,4.00,4.00,3.00,5.00,5.00,8.25,1.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5273404,3.00,6.00,0.00,7.00,4.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5273412,6.00,7.00,3.00,7.00,8.00,10.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5273420,7.00,6.00,4.00,8.00,8.00,10.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5273439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5273447,4.00,5.00,4.00,6.00,4.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5273455,6.00,6.00,4.00,6.00,9.00,8.25,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5273471,3.00,2.00,3.00,5.00,7.00,6.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5273498,3.00,5.00,1.00,7.00,6.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5273501,4.00,7.00,3.00,4.00,5.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5273510,9.00,8.00,9.00,7.00,10.00,10.88,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5273528,5.00,7.00,4.00,6.00,7.00,7.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5273536,7.00,6.00,3.00,5.00,9.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5273544,5.00,7.00,1.00,6.00,8.00,8.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5273552,3.00,3.00,0.00,2.00,4.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5273560,2.00,7.00,2.00,3.00,4.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5273579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5273587,3.00,4.00,1.00,5.00,4.00,6.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5273595,6.00,6.00,1.00,5.00,5.00,10.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5273609,5.00,5.00,5.00,7.00,5.00,8.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5273625,5.00,6.00,2.00,3.00,8.00,9.38,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5273641,3.00,6.00,3.00,5.00,6.00,8.25,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5273668,4.00,7.00,4.00,2.00,5.00,8.63,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5273676,3.00,4.00,2.00,2.00,6.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5273684,7.00,8.00,3.00,5.00,8.00,9.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5273692,6.00,6.00,4.00,5.00,5.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5273706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5273714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5273722,9.00,8.00,5.00,7.00,8.00,9.38,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5273730,4.00,6.00,1.00,4.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5273749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5273765,3.00,5.00,1.00,4.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5273781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5273790,6.00,4.00,2.00,1.00,5.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5273803,5.00,7.00,1.00,4.00,6.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5273811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5273838,9.00,7.00,6.00,8.00,9.00,10.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5273846,5.00,4.00,4.00,3.00,8.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5273854,2.00,3.00,0.00,1.00,5.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(20,5273862,5.00,6.00,2.00,6.00,7.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5273870,5.00,5.00,4.00,5.00,7.00,7.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5273889,1.00,2.00,1.00,1.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5273897,5.00,5.00,0.00,5.00,6.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5273900,3.00,2.00,1.00,4.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5273919,2.00,4.00,2.00,4.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5273927,2.00,4.00,2.00,6.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5273935,2.00,5.00,3.00,3.00,5.00,9.75,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5273951,3.00,4.00,0.00,3.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5273960,3.00,6.00,4.00,3.00,2.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5273986,9.00,8.00,6.00,6.00,10.00,9.00,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5273994,3.00,7.00,1.00,4.00,6.00,10.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5274001,3.00,3.00,2.00,4.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5274010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5274028,8.00,7.00,4.00,4.00,9.00,10.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5274044,7.00,5.00,2.00,5.00,5.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5274052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5274060,8.00,7.00,5.00,7.00,9.00,9.38,8.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5274087,8.00,6.00,5.00,7.00,9.00,6.00,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5274095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5274109,4.00,4.00,1.00,2.00,5.00,NULL,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5274117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5274125,4.00,7.00,0.00,5.00,5.00,7.13,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5274133,4.00,4.00,2.00,2.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5274141,2.00,7.00,1.00,0.00,4.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5274150,5.00,7.00,4.00,7.00,8.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5274168,4.00,4.00,4.00,4.00,6.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5274176,7.00,5.00,0.00,4.00,7.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5274184,8.00,6.00,5.00,7.00,10.00,12.75,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5274192,1.00,1.00,1.00,1.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5274206,3.00,4.00,3.00,3.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5274214,3.00,6.00,1.00,4.00,6.00,10.50,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(20,5274222,8.00,6.00,2.00,2.00,7.00,9.38,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5274249,4.00,7.00,4.00,4.00,5.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5274257,7.00,4.00,2.00,7.00,7.00,8.25,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5274265,3.00,4.00,0.00,1.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5274273,2.00,4.00,1.00,4.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5274281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5274290,5.00,6.00,2.00,5.00,7.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5274311,3.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5274338,4.00,4.00,1.00,5.00,6.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5274346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5274354,5.00,6.00,0.00,7.00,4.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5274362,4.00,4.00,0.00,3.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5274370,2.00,4.00,1.00,3.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5274389,8.00,8.00,8.00,7.00,8.00,8.63,8.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5274397,4.00,7.00,4.00,5.00,9.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5274400,4.00,6.00,3.00,7.00,6.00,9.38,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5274419,9.00,7.00,4.00,6.00,8.00,11.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5274427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5274435,0.00,1.00,0.00,0.00,0.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5274460,3.00,4.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5274478,8.00,7.00,5.00,1.00,3.00,NULL,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5274486,6.00,4.00,2.00,4.00,9.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5274494,8.00,7.00,4.00,5.00,8.00,10.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5274508,3.00,3.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5274516,6.00,5.00,2.00,4.00,7.00,7.50,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5274524,3.00,3.00,1.00,4.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5274532,8.00,8.00,1.00,7.00,8.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5274559,4.00,3.00,2.00,5.00,5.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5274567,7.00,8.00,3.00,7.00,7.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5274575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5274583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5274613,8.00,7.00,0.00,5.00,7.00,NULL,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5274621,8.00,7.00,5.00,6.00,10.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5274630,7.00,8.00,7.00,7.00,11.00,10.50,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5274648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5274656,4.00,7.00,5.00,5.00,7.00,7.13,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5274664,3.00,4.00,0.00,3.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5274672,9.00,8.00,7.00,6.00,9.00,9.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5274680,7.00,7.00,4.00,8.00,10.00,12.75,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5274699,4.00,6.00,0.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5274710,5.00,6.00,5.00,3.00,9.00,10.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5274729,7.00,7.00,3.00,5.00,7.00,6.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(20,5274737,9.00,9.00,6.00,8.00,8.00,10.13,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5274745,6.00,7.00,5.00,2.00,6.00,9.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5274753,7.00,6.00,6.00,7.00,6.00,9.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5274761,2.00,3.00,1.00,0.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5274770,1.00,4.00,1.00,1.00,2.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5274788,6.00,6.00,4.00,6.00,9.00,10.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5274796,9.00,9.00,6.00,7.00,10.00,9.38,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5274800,0.00,6.00,2.00,4.00,4.00,0.00,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5274818,7.00,6.00,4.00,7.00,9.00,8.63,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5274834,7.00,5.00,3.00,7.00,6.00,9.38,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5274842,3.00,3.00,0.00,2.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5274850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5274869,9.00,8.00,9.00,7.00,9.00,9.00,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5274877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5274885,3.00,5.00,1.00,6.00,7.00,10.88,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5274893,7.00,5.00,1.00,5.00,7.00,10.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5274907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5274915,2.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5274923,2.00,5.00,2.00,5.00,5.00,8.63,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5274931,9.00,8.00,6.00,7.00,8.00,10.50,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5274940,8.00,0.00,5.00,1.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5274958,7.00,8.00,1.00,5.00,9.00,10.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5274974,7.00,7.00,4.00,7.00,7.00,11.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5274982,4.00,7.00,3.00,5.00,6.00,7.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5274990,0.00,7.00,0.00,0.00,0.00,NULL,1.00,5.00,5.00,'S',NULL,NULL,'N'),(20,5275008,5.00,6.00,2.00,4.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5275016,5.00,6.00,1.00,6.00,7.00,9.75,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5275024,8.00,6.00,7.00,6.00,8.00,7.13,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5275032,7.00,6.00,4.00,6.00,6.00,9.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5275040,7.00,5.00,3.00,7.00,7.00,7.88,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5275059,4.00,7.00,4.00,4.00,9.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5275075,5.00,4.00,0.00,2.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5275083,8.00,8.00,5.00,7.00,5.00,9.38,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5275091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5275105,3.00,4.00,1.00,2.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5275113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5275121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5275130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5275148,4.00,4.00,4.00,5.00,7.00,6.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5275164,9.00,6.00,5.00,6.00,6.00,10.88,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5275172,3.00,2.00,1.00,3.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5275180,4.00,7.00,3.00,3.00,4.00,4.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5275199,3.00,5.00,3.00,7.00,6.00,8.63,2.00,3.00,7.00,NULL,NULL,NULL,'S'),(20,5275202,8.00,6.00,4.00,6.00,7.00,7.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5275210,3.00,6.00,3.00,3.00,5.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5275229,6.00,5.00,3.00,5.00,7.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5275245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5275253,9.00,8.00,6.00,7.00,10.00,12.00,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5275270,9.00,5.00,7.00,7.00,9.00,9.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5275288,4.00,3.00,1.00,3.00,8.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5275296,9.00,6.00,4.00,6.00,7.00,9.38,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5275300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5275318,5.00,7.00,4.00,5.00,10.00,8.63,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5275334,5.00,6.00,0.00,5.00,8.00,10.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5275342,3.00,4.00,1.00,2.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5275350,9.00,7.00,4.00,5.00,8.00,7.88,5.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5275369,6.00,5.00,8.00,6.00,6.00,6.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5275377,7.00,7.00,3.00,6.00,7.00,7.13,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5275385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5275393,5.00,4.00,0.00,3.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5275407,8.00,8.00,1.00,7.00,8.00,9.38,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5275415,6.00,6.00,4.00,6.00,8.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5275423,5.00,6.00,2.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5275431,8.00,5.00,4.00,7.00,10.00,10.13,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5275440,2.00,4.00,3.00,5.00,5.00,10.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5275458,5.00,5.00,5.00,3.00,6.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5275466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5275474,5.00,4.00,1.00,5.00,5.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5275482,3.00,5.00,1.00,1.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5275504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5275512,5.00,3.00,4.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5275520,1.00,3.00,1.00,4.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5275539,8.00,8.00,5.00,7.00,9.00,12.38,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5275547,3.00,7.00,2.00,4.00,5.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5275555,6.00,5.00,1.00,6.00,5.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5275563,1.00,6.00,2.00,5.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5275571,3.00,4.00,1.00,2.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5275580,7.00,5.00,4.00,7.00,5.00,10.50,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5275598,4.00,7.00,4.00,6.00,6.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5275610,7.00,5.00,5.00,7.00,8.00,7.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5275628,4.00,6.00,2.00,6.00,8.00,10.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5275636,6.00,8.00,8.00,7.00,8.00,7.50,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5275644,4.00,5.00,3.00,3.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5275660,2.00,6.00,0.00,5.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5275687,4.00,6.00,4.00,2.00,4.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5275695,7.00,8.00,3.00,5.00,8.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5275709,3.00,2.00,0.00,5.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5275725,4.00,6.00,0.00,6.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5275733,7.00,6.00,4.00,7.00,7.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5275741,5.00,4.00,2.00,1.00,7.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5275750,3.00,6.00,1.00,6.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5275776,7.00,8.00,8.00,5.00,8.00,9.38,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5275784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5275792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5275806,9.00,8.00,4.00,6.00,6.00,7.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5275814,4.00,6.00,0.00,4.00,6.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5275822,7.00,7.00,3.00,4.00,8.00,6.75,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5275830,2.00,4.00,1.00,2.00,5.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5275849,0.00,4.00,1.00,6.00,8.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5275857,5.00,3.00,1.00,1.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5275873,6.00,7.00,4.00,7.00,6.00,9.00,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5275881,1.00,5.00,3.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5275911,5.00,4.00,2.00,4.00,6.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5275920,8.00,6.00,1.00,6.00,9.00,8.25,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5275938,3.00,4.00,2.00,4.00,6.00,6.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5275946,5.00,5.00,2.00,4.00,7.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5275954,4.00,3.00,0.00,1.00,5.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5275962,6.00,6.00,2.00,6.00,8.00,9.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5275970,5.00,5.00,1.00,5.00,6.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5275989,3.00,7.00,4.00,6.00,4.00,6.75,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5275997,7.00,7.00,2.00,6.00,7.00,11.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5276004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5276012,4.00,4.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5276020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5276039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5276047,4.00,6.00,2.00,2.00,6.00,9.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5276063,2.00,5.00,0.00,3.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5276071,6.00,7.00,3.00,2.00,5.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5276098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5276101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5276110,4.00,7.00,1.00,5.00,5.00,7.88,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5276128,6.00,3.00,1.00,7.00,9.00,10.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5276136,3.00,3.00,2.00,0.00,4.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5276144,10.00,7.00,7.00,7.00,8.00,8.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5276160,3.00,7.00,1.00,3.00,6.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5276179,4.00,7.00,1.00,4.00,5.00,10.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5276187,5.00,7.00,3.00,4.00,5.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5276195,8.00,7.00,5.00,7.00,9.00,9.38,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5276209,4.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5276225,3.00,8.00,2.00,4.00,9.00,9.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5276233,6.00,6.00,1.00,4.00,4.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5276250,3.00,4.00,1.00,0.00,10.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5276268,2.00,2.00,2.00,3.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5276276,4.00,3.00,0.00,2.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5276292,4.00,5.00,1.00,3.00,4.00,4.88,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5276306,5.00,6.00,3.00,7.00,7.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5276314,8.00,5.00,6.00,6.00,11.00,9.75,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5276322,8.00,7.00,6.00,7.00,9.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5276330,6.00,7.00,0.00,4.00,7.00,7.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5276357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5276365,6.00,4.00,4.00,2.00,4.00,4.13,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5276373,5.00,5.00,3.00,3.00,6.00,6.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5276381,0.00,4.00,0.00,4.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5276390,7.00,8.00,4.00,7.00,9.00,12.38,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5276403,8.00,9.00,4.00,7.00,10.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5276411,6.00,5.00,1.00,2.00,7.00,7.13,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5276420,8.00,8.00,5.00,5.00,7.00,9.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5276438,5.00,6.00,1.00,7.00,6.00,10.88,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5276446,5.00,7.00,4.00,5.00,6.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5276454,4.00,6.00,1.00,2.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5276462,9.00,7.00,5.00,6.00,8.00,10.13,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5276470,7.00,8.00,4.00,6.00,8.00,6.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5276489,4.00,2.00,0.00,3.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5276497,5.00,5.00,5.00,5.00,6.00,6.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5276519,6.00,6.00,1.00,5.00,7.00,11.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5276527,3.00,6.00,5.00,6.00,4.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5276543,3.00,6.00,0.00,3.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5276560,3.00,3.00,0.00,5.00,2.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5276586,2.00,3.00,1.00,1.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5276594,0.00,5.00,1.00,0.00,0.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5276608,4.00,5.00,1.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5276616,6.00,7.00,4.00,6.00,8.00,9.38,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5276624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5276632,8.00,7.00,5.00,5.00,9.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5276640,9.00,9.00,7.00,7.00,9.00,8.25,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5276659,4.00,7.00,3.00,5.00,7.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5276667,5.00,6.00,0.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5276683,4.00,6.00,3.00,6.00,6.00,11.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5276691,8.00,9.00,6.00,7.00,9.00,8.63,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5276705,3.00,0.00,1.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5276713,2.00,3.00,2.00,2.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5276730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5276748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5276756,5.00,5.00,2.00,7.00,9.00,10.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5276764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5276772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5276780,6.00,7.00,6.00,6.00,5.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5276799,5.00,5.00,5.00,2.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5276802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5276810,4.00,5.00,0.00,6.00,6.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5276829,8.00,7.00,6.00,7.00,7.00,7.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5276837,9.00,7.00,5.00,6.00,8.00,10.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5276845,8.00,7.00,0.00,5.00,8.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5276853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5276861,7.00,4.00,3.00,7.00,5.00,8.63,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5276888,2.00,7.00,1.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5276896,4.00,3.00,1.00,2.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5276900,8.00,7.00,4.00,6.00,8.00,10.88,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5276926,5.00,7.00,4.00,8.00,7.00,10.50,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5276934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5276942,3.00,4.00,4.00,3.00,7.00,10.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5276950,3.00,4.00,1.00,2.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5276969,5.00,5.00,0.00,6.00,8.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5276977,7.00,6.00,4.00,3.00,5.00,8.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5276985,4.00,7.00,2.00,5.00,10.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5276993,9.00,5.00,6.00,7.00,9.00,6.38,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5277000,8.00,6.00,7.00,4.00,9.00,10.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5277019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5277027,5.00,5.00,1.00,5.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5277035,9.00,7.00,2.00,7.00,6.00,12.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5277043,6.00,6.00,4.00,3.00,6.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5277051,6.00,7.00,2.00,5.00,6.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5277060,9.00,6.00,7.00,4.00,9.00,9.75,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5277078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5277086,2.00,5.00,0.00,5.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5277094,9.00,4.00,2.00,7.00,8.00,8.63,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5277108,5.00,6.00,3.00,4.00,6.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5277116,5.00,4.00,2.00,2.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5277124,8.00,6.00,5.00,5.00,8.00,8.25,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5277159,2.00,5.00,0.00,3.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5277167,8.00,6.00,1.00,4.00,9.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5277175,2.00,3.00,0.00,1.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5277183,6.00,7.00,2.00,8.00,5.00,6.75,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5277191,4.00,6.00,0.00,3.00,4.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5277221,5.00,7.00,4.00,5.00,6.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5277230,6.00,6.00,1.00,7.00,5.00,6.38,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(20,5277248,7.00,6.00,2.00,4.00,8.00,12.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5277256,3.00,5.00,1.00,5.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5277264,3.00,4.00,1.00,2.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5277272,2.00,6.00,2.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5277280,8.00,7.00,2.00,7.00,6.00,6.38,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5277302,3.00,3.00,0.00,0.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5277310,5.00,4.00,0.00,4.00,4.00,11.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5277337,2.00,5.00,0.00,2.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5277345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5277353,6.00,2.00,3.00,5.00,4.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5277361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5277370,8.00,8.00,7.00,7.00,9.00,10.88,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5277388,6.00,7.00,4.00,3.00,6.00,7.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5277396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5277400,4.00,6.00,3.00,4.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5277426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5277442,8.00,8.00,4.00,7.00,8.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5277450,9.00,8.00,9.00,6.00,8.00,9.75,7.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5277469,4.00,4.00,2.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5277477,6.00,7.00,2.00,5.00,8.00,6.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5277485,9.00,6.00,3.00,6.00,9.00,12.38,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5277493,7.00,7.00,5.00,7.00,7.00,7.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5277507,4.00,4.00,0.00,3.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5277515,6.00,4.00,3.00,2.00,6.00,6.00,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5277523,7.00,5.00,3.00,4.00,9.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5277540,4.00,4.00,2.00,3.00,5.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5277558,3.00,4.00,0.00,3.00,8.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5277566,8.00,7.00,5.00,7.00,7.00,7.13,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5277574,4.00,3.00,5.00,5.00,3.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5277582,9.00,7.00,7.00,7.00,8.00,10.13,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5277590,5.00,5.00,0.00,4.00,4.00,6.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5277604,8.00,7.00,7.00,6.00,10.00,9.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5277620,6.00,4.00,4.00,6.00,9.00,10.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5277639,5.00,5.00,0.00,5.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5277647,4.00,5.00,2.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5277655,5.00,7.00,5.00,7.00,9.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5277663,4.00,5.00,2.00,5.00,5.00,7.88,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5277671,4.00,7.00,3.00,6.00,7.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5277698,6.00,4.00,3.00,4.00,4.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5277710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5277744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5277752,4.00,7.00,0.00,2.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5277760,4.00,6.00,1.00,7.00,4.00,5.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5277779,9.00,3.00,2.00,7.00,10.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5277787,4.00,6.00,2.00,7.00,8.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5277795,7.00,5.00,0.00,7.00,7.00,NULL,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5277809,7.00,6.00,1.00,7.00,8.00,4.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5277817,5.00,5.00,2.00,2.00,3.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5277825,9.00,7.00,7.00,7.00,8.00,10.13,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5277841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5277850,5.00,5.00,0.00,5.00,5.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5277868,6.00,5.00,4.00,5.00,6.00,9.00,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5277876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5277884,5.00,5.00,0.00,3.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5277892,2.00,5.00,0.00,1.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5277906,2.00,6.00,1.00,4.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5277914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5277922,8.00,8.00,6.00,7.00,9.00,6.75,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5277930,7.00,6.00,1.00,4.00,4.00,9.00,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5277949,1.00,4.00,1.00,4.00,6.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5277957,6.00,4.00,5.00,7.00,6.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5277965,5.00,6.00,3.00,1.00,9.00,7.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5277973,8.00,8.00,5.00,6.00,9.00,12.38,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5277981,3.00,5.00,2.00,3.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5277990,6.00,4.00,0.00,3.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5278007,9.00,7.00,4.00,7.00,10.00,7.88,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5278023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5278031,5.00,6.00,2.00,5.00,8.00,9.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5278058,6.00,6.00,4.00,8.00,8.00,9.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5278066,5.00,6.00,0.00,6.00,6.00,8.25,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5278074,7.00,6.00,5.00,6.00,7.00,7.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5278082,3.00,4.00,1.00,3.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5278090,2.00,6.00,1.00,3.00,7.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5278104,7.00,8.00,8.00,6.00,9.00,7.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5278112,2.00,6.00,0.00,2.00,5.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5278120,5.00,5.00,1.00,6.00,9.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5278139,9.00,8.00,8.00,7.00,10.00,12.38,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5278147,7.00,5.00,1.00,7.00,8.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5278155,8.00,7.00,5.00,7.00,8.00,10.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5278163,6.00,6.00,2.00,7.00,7.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5278171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5278180,1.00,3.00,1.00,2.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5278201,4.00,4.00,3.00,6.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5278210,9.00,9.00,5.00,7.00,10.00,10.13,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5278228,6.00,7.00,4.00,4.00,6.00,8.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5278236,5.00,6.00,1.00,3.00,5.00,3.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5278244,9.00,6.00,8.00,7.00,10.00,9.38,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5278252,5.00,5.00,2.00,6.00,6.00,9.75,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5278260,6.00,7.00,2.00,5.00,11.00,9.75,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5278279,2.00,6.00,1.00,4.00,7.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5278287,5.00,5.00,1.00,2.00,4.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5278295,5.00,4.00,1.00,2.00,6.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5278309,5.00,4.00,2.00,3.00,6.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5278317,5.00,5.00,2.00,4.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5278333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5278341,5.00,4.00,0.00,5.00,6.00,NULL,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5278350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5278368,3.00,6.00,1.00,2.00,7.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5278376,4.00,7.00,1.00,4.00,4.00,8.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5278384,4.00,4.00,4.00,5.00,6.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5278406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5278414,3.00,3.00,2.00,1.00,3.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5278422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5278449,6.00,6.00,6.00,6.00,5.00,9.38,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5278465,7.00,4.00,5.00,7.00,7.00,9.38,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5278481,9.00,7.00,8.00,7.00,11.00,10.88,8.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5278511,9.00,5.00,4.00,6.00,9.00,9.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5278520,6.00,6.00,3.00,7.00,6.00,10.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5278538,1.00,4.00,3.00,3.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5278546,5.00,5.00,1.00,7.00,7.00,10.50,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5278554,7.00,6.00,5.00,5.00,9.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5278562,5.00,3.00,3.00,6.00,5.00,8.63,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5278597,3.00,2.00,0.00,5.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5278619,7.00,3.00,5.00,3.00,6.00,7.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5278627,7.00,7.00,1.00,3.00,6.00,9.00,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5278635,3.00,3.00,1.00,3.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5278643,8.00,6.00,4.00,5.00,8.00,8.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5278651,6.00,4.00,2.00,6.00,7.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5278660,6.00,7.00,3.00,7.00,6.00,6.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5278678,3.00,4.00,0.00,3.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5278686,2.00,4.00,4.00,5.00,4.00,4.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5278694,8.00,7.00,0.00,5.00,9.00,6.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5278708,8.00,8.00,6.00,5.00,7.00,10.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5278716,6.00,5.00,3.00,2.00,7.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5278732,6.00,5.00,2.00,6.00,10.00,11.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5278740,7.00,7.00,1.00,5.00,8.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5278767,5.00,4.00,1.00,3.00,5.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5278775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5278805,4.00,4.00,0.00,3.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5278813,7.00,5.00,4.00,6.00,6.00,8.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5278821,4.00,4.00,1.00,6.00,8.00,7.88,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5278848,3.00,4.00,4.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5278856,6.00,5.00,2.00,6.00,7.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5278864,4.00,5.00,1.00,5.00,8.00,7.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5278872,6.00,7.00,3.00,5.00,8.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5278880,5.00,6.00,2.00,2.00,3.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5278902,4.00,6.00,1.00,5.00,5.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5278910,6.00,6.00,4.00,5.00,7.00,11.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5278929,7.00,4.00,0.00,4.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5278937,4.00,4.00,1.00,4.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5278945,6.00,4.00,0.00,4.00,5.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5278953,6.00,6.00,4.00,6.00,7.00,7.88,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5278961,4.00,4.00,0.00,7.00,8.00,12.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5278970,9.00,7.00,8.00,6.00,8.00,9.00,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5278988,4.00,4.00,1.00,4.00,6.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5278996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5279011,6.00,3.00,1.00,3.00,7.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5279020,6.00,7.00,3.00,7.00,8.00,10.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5279038,4.00,6.00,1.00,0.00,6.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5279046,2.00,3.00,2.00,2.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5279054,3.00,6.00,2.00,5.00,9.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5279062,9.00,7.00,4.00,7.00,9.00,8.63,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5279070,3.00,6.00,1.00,6.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5279089,7.00,8.00,5.00,8.00,10.00,9.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5279100,0.00,4.00,0.00,0.00,0.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5279127,5.00,6.00,1.00,5.00,4.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5279135,9.00,6.00,4.00,8.00,11.00,11.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5279143,4.00,5.00,2.00,1.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5279151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5279160,1.00,2.00,2.00,3.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5279186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5279194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5279216,6.00,7.00,0.00,4.00,7.00,9.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5279224,6.00,3.00,0.00,5.00,7.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5279232,0.00,5.00,0.00,0.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5279240,1.00,0.00,1.00,0.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5279259,7.00,7.00,5.00,7.00,9.00,9.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5279267,7.00,7.00,4.00,6.00,8.00,7.88,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5279275,6.00,7.00,4.00,6.00,8.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5279283,3.00,4.00,2.00,4.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5279291,8.00,4.00,5.00,6.00,7.00,9.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5279305,3.00,6.00,3.00,4.00,7.00,10.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5279313,5.00,6.00,3.00,5.00,6.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5279330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5279348,3.00,1.00,1.00,4.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5279356,5.00,6.00,1.00,5.00,7.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5279364,3.00,5.00,2.00,5.00,7.00,9.38,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5279372,9.00,9.00,2.00,5.00,10.00,11.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5279380,2.00,2.00,1.00,1.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5279399,6.00,7.00,7.00,7.00,10.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5279402,5.00,3.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5279429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5279437,9.00,4.00,3.00,4.00,9.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5279445,2.00,5.00,3.00,3.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5279453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5279461,3.00,4.00,2.00,2.00,6.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5279470,6.00,6.00,2.00,4.00,7.00,12.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5279496,4.00,7.00,1.00,5.00,5.00,9.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5279500,8.00,7.00,3.00,7.00,8.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5279518,7.00,8.00,6.00,7.00,9.00,9.75,7.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5279526,8.00,7.00,6.00,7.00,7.00,7.13,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5279534,7.00,7.00,2.00,7.00,6.00,11.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5279550,6.00,8.00,8.00,7.00,8.00,10.88,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5279577,2.00,7.00,2.00,3.00,4.00,6.00,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5279585,8.00,6.00,6.00,6.00,9.00,9.38,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5279593,9.00,7.00,7.00,6.00,7.00,9.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5279607,5.00,6.00,1.00,3.00,4.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5279615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5279623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5279631,8.00,5.00,4.00,6.00,6.00,8.63,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5279640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5279658,8.00,7.00,4.00,7.00,9.00,11.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5279666,1.00,2.00,0.00,4.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5279674,8.00,7.00,3.00,7.00,5.00,8.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5279682,0.00,5.00,1.00,3.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5279690,5.00,7.00,3.00,7.00,10.00,6.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5279704,8.00,7.00,5.00,6.00,8.00,9.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5279712,4.00,7.00,4.00,7.00,5.00,7.88,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5279720,3.00,6.00,1.00,2.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5279739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5279747,8.00,6.00,1.00,4.00,7.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5279755,7.00,6.00,4.00,7.00,6.00,10.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5279763,7.00,8.00,2.00,5.00,8.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5279771,8.00,4.00,3.00,7.00,8.00,10.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5279780,8.00,6.00,6.00,7.00,10.00,8.63,6.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5279798,5.00,6.00,1.00,5.00,6.00,9.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5279810,5.00,4.00,5.00,5.00,6.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5279828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5279836,4.00,4.00,0.00,5.00,10.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5279852,5.00,8.00,6.00,7.00,9.00,7.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5279860,3.00,5.00,4.00,3.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5279879,4.00,6.00,1.00,7.00,7.00,6.38,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5279895,9.00,7.00,7.00,7.00,8.00,8.63,4.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5279909,5.00,4.00,0.00,5.00,4.00,10.13,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5279917,5.00,5.00,2.00,4.00,5.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5279925,3.00,5.00,0.00,4.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5279933,6.00,7.00,1.00,7.00,8.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5279941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5279950,8.00,8.00,5.00,7.00,8.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5279968,4.00,4.00,2.00,6.00,4.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5279976,4.00,5.00,2.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5279992,3.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5280001,6.00,5.00,5.00,3.00,8.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5280028,8.00,8.00,4.00,6.00,5.00,10.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5280036,8.00,5.00,2.00,7.00,7.00,8.25,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5280044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5280052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5280060,6.00,7.00,1.00,3.00,6.00,6.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5280079,3.00,4.00,1.00,2.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5280095,4.00,4.00,2.00,2.00,6.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5280109,3.00,7.00,0.00,3.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5280117,5.00,6.00,4.00,7.00,7.00,10.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5280125,5.00,5.00,2.00,4.00,6.00,7.13,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5280133,5.00,4.00,1.00,7.00,6.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5280141,8.00,8.00,8.00,6.00,10.00,12.00,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5280150,5.00,4.00,2.00,7.00,7.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5280168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5280176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5280184,9.00,8.00,4.00,7.00,9.00,10.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5280206,1.00,2.00,1.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5280214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5280222,4.00,3.00,2.00,3.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5280230,9.00,5.00,5.00,5.00,9.00,9.75,8.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5280249,3.00,5.00,0.00,5.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5280257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5280273,7.00,5.00,0.00,5.00,7.00,8.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5280281,8.00,8.00,1.00,6.00,7.00,10.13,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5280290,6.00,6.00,1.00,3.00,3.00,NULL,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5280303,6.00,7.00,5.00,7.00,9.00,10.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5280311,5.00,6.00,4.00,5.00,7.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5280320,3.00,4.00,2.00,4.00,6.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5280338,5.00,5.00,5.00,7.00,5.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(20,5280346,6.00,3.00,0.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5280354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5280362,3.00,6.00,1.00,2.00,6.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5280370,4.00,4.00,1.00,5.00,5.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5280389,8.00,8.00,3.00,6.00,8.00,10.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5280397,3.00,7.00,0.00,3.00,5.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5280400,8.00,6.00,4.00,5.00,8.00,11.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5280419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5280427,4.00,4.00,1.00,2.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5280435,5.00,6.00,1.00,6.00,4.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5280443,9.00,7.00,7.00,4.00,8.00,7.88,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5280451,3.00,7.00,0.00,2.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5280478,4.00,4.00,3.00,7.00,5.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5280486,5.00,6.00,4.00,4.00,6.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5280494,6.00,7.00,4.00,4.00,7.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5280516,0.00,3.00,0.00,4.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5280524,9.00,8.00,4.00,7.00,8.00,7.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5280532,2.00,2.00,1.00,3.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5280540,3.00,8.00,3.00,5.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5280559,3.00,4.00,1.00,4.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5280583,2.00,4.00,1.00,6.00,8.00,6.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5280591,6.00,7.00,0.00,3.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5280605,5.00,5.00,1.00,4.00,4.00,10.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5280613,2.00,6.00,4.00,8.00,5.00,10.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5280621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5280630,4.00,2.00,1.00,5.00,6.00,8.63,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5280656,7.00,7.00,1.00,3.00,6.00,10.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5280664,8.00,8.00,7.00,7.00,10.00,10.50,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5280672,7.00,5.00,0.00,5.00,9.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5280680,8.00,7.00,5.00,4.00,8.00,9.38,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5280699,3.00,6.00,0.00,5.00,6.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5280702,3.00,4.00,0.00,4.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5280710,2.00,5.00,1.00,3.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5280729,4.00,4.00,1.00,5.00,7.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5280737,6.00,8.00,3.00,3.00,7.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5280745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5280753,4.00,7.00,5.00,2.00,7.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5280770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5280788,5.00,5.00,0.00,5.00,7.00,10.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5280796,4.00,7.00,2.00,7.00,8.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5280800,4.00,2.00,1.00,3.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5280818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5280826,6.00,4.00,3.00,6.00,5.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5280834,7.00,7.00,3.00,6.00,8.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5280842,3.00,7.00,2.00,2.00,4.00,7.13,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5280850,5.00,3.00,0.00,5.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5280869,6.00,6.00,3.00,5.00,6.00,6.00,0.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5280877,5.00,6.00,1.00,6.00,8.00,10.88,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5280885,3.00,3.00,0.00,4.00,5.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5280893,4.00,5.00,3.00,6.00,9.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5280907,3.00,6.00,2.00,6.00,7.00,7.88,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5280915,7.00,5.00,0.00,8.00,9.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5280923,1.00,1.00,1.00,3.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5280931,8.00,7.00,4.00,7.00,8.00,9.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5280940,2.00,0.00,4.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5280958,2.00,5.00,0.00,2.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5280966,7.00,5.00,1.00,1.00,7.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5280974,8.00,6.00,1.00,6.00,7.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5280990,5.00,5.00,1.00,2.00,5.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5281008,5.00,7.00,0.00,4.00,7.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5281016,4.00,6.00,1.00,6.00,4.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5281024,9.00,6.00,6.00,5.00,6.00,9.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5281032,6.00,8.00,6.00,6.00,6.00,8.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5281040,9.00,7.00,5.00,6.00,9.00,10.13,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5281059,8.00,9.00,3.00,8.00,9.00,10.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5281067,5.00,5.00,2.00,5.00,7.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5281075,9.00,7.00,3.00,5.00,8.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5281083,5.00,6.00,0.00,2.00,4.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5281091,5.00,5.00,4.00,7.00,7.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5281105,1.00,4.00,2.00,4.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5281121,4.00,3.00,2.00,1.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5281130,7.00,6.00,2.00,6.00,8.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5281148,4.00,4.00,2.00,7.00,6.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5281156,4.00,2.00,0.00,5.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5281164,4.00,5.00,4.00,4.00,4.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5281172,4.00,7.00,2.00,7.00,4.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5281180,8.00,6.00,4.00,5.00,9.00,10.88,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5281202,8.00,7.00,1.00,4.00,7.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5281210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5281229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5281237,3.00,4.00,0.00,5.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5281245,4.00,3.00,1.00,6.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5281253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5281261,4.00,4.00,4.00,7.00,7.00,8.63,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5281270,3.00,4.00,0.00,4.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5281288,4.00,4.00,1.00,2.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5281296,7.00,4.00,5.00,5.00,8.00,6.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5281300,5.00,5.00,2.00,4.00,6.00,7.88,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5281318,8.00,6.00,3.00,5.00,7.00,8.63,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5281326,8.00,5.00,3.00,7.00,7.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5281334,3.00,8.00,4.00,4.00,9.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5281342,4.00,5.00,3.00,3.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5281350,3.00,7.00,2.00,6.00,6.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5281377,8.00,7.00,2.00,3.00,10.00,12.00,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5281385,1.00,3.00,1.00,2.00,9.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5281393,3.00,7.00,3.00,6.00,8.00,13.50,1.00,9.00,5.00,NULL,NULL,NULL,'N'),(20,5281407,6.00,6.00,2.00,5.00,5.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5281415,4.00,6.00,4.00,7.00,7.00,10.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5281431,8.00,7.00,4.00,6.00,7.00,7.88,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5281440,3.00,3.00,0.00,2.00,0.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5281458,7.00,5.00,3.00,6.00,11.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5281466,1.00,4.00,1.00,2.00,5.00,NULL,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5281474,5.00,4.00,2.00,1.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5281482,6.00,7.00,0.00,4.00,8.00,7.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5281490,1.00,2.00,2.00,0.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5281504,4.00,4.00,1.00,4.00,7.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5281512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5281520,4.00,6.00,3.00,7.00,6.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5281539,4.00,5.00,1.00,5.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5281547,8.00,6.00,3.00,5.00,4.00,9.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5281555,7.00,7.00,2.00,2.00,6.00,4.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5281563,9.00,7.00,6.00,7.00,10.00,9.75,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5281571,2.00,6.00,3.00,4.00,7.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5281580,7.00,6.00,0.00,7.00,7.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5281598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5281601,8.00,8.00,2.00,5.00,8.00,10.50,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5281610,3.00,5.00,1.00,5.00,6.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5281628,7.00,6.00,2.00,7.00,6.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5281636,2.00,5.00,1.00,2.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5281644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5281652,8.00,8.00,4.00,6.00,8.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5281660,3.00,4.00,4.00,2.00,6.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5281679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5281687,9.00,5.00,2.00,6.00,10.00,11.63,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5281709,5.00,5.00,2.00,5.00,7.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5281717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5281725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5281733,4.00,4.00,3.00,6.00,5.00,3.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5281750,4.00,8.00,3.00,7.00,6.00,10.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5281776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5281784,4.00,5.00,3.00,4.00,6.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5281792,5.00,5.00,2.00,4.00,7.00,9.75,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5281806,4.00,0.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5281814,7.00,3.00,4.00,7.00,8.00,10.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5281822,3.00,2.00,1.00,1.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5281830,4.00,4.00,0.00,2.00,7.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5281849,4.00,5.00,2.00,5.00,7.00,7.88,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5281857,5.00,6.00,2.00,1.00,4.00,6.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5281873,6.00,6.00,1.00,7.00,8.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5281881,3.00,4.00,2.00,5.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5281890,4.00,3.00,0.00,5.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5281903,5.00,5.00,8.00,7.00,6.00,10.88,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5281911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5281920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5281938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5281946,2.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5281954,5.00,6.00,3.00,6.00,7.00,10.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5281962,9.00,8.00,5.00,6.00,7.00,10.50,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5281989,2.00,6.00,1.00,2.00,4.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5281997,6.00,3.00,0.00,4.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5282004,8.00,8.00,7.00,7.00,8.00,9.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5282012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5282020,7.00,7.00,5.00,7.00,10.00,10.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5282039,8.00,3.00,1.00,7.00,9.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5282047,6.00,5.00,4.00,8.00,7.00,8.63,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5282055,7.00,4.00,3.00,7.00,7.00,9.00,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5282063,3.00,6.00,3.00,4.00,4.00,6.00,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5282071,7.00,6.00,1.00,6.00,8.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5282098,5.00,6.00,0.00,8.00,9.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5282101,3.00,5.00,4.00,5.00,5.00,9.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5282110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5282128,3.00,4.00,2.00,5.00,5.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5282136,6.00,8.00,2.00,8.00,8.00,12.75,7.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5282144,7.00,7.00,3.00,6.00,6.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5282152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5282160,5.00,6.00,4.00,6.00,8.00,9.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5282179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5282187,3.00,4.00,0.00,3.00,2.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5282195,3.00,7.00,1.00,4.00,6.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5282209,7.00,7.00,6.00,7.00,7.00,9.75,3.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5282217,8.00,8.00,6.00,5.00,9.00,9.75,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5282225,3.00,8.00,4.00,3.00,6.00,8.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5282233,5.00,6.00,4.00,3.00,8.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5282241,5.00,7.00,1.00,5.00,8.00,7.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5282250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5282268,3.00,6.00,4.00,3.00,5.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5282276,5.00,5.00,1.00,4.00,7.00,6.00,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5282284,4.00,4.00,1.00,6.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5282292,6.00,5.00,1.00,1.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5282306,6.00,4.00,2.00,7.00,6.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5282314,5.00,4.00,1.00,6.00,10.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5282322,3.00,5.00,4.00,4.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5282330,5.00,6.00,1.00,4.00,5.00,8.25,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5282357,5.00,5.00,0.00,6.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5282365,6.00,8.00,3.00,6.00,5.00,8.25,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5282373,7.00,6.00,4.00,3.00,9.00,9.38,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5282381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5282390,5.00,6.00,4.00,4.00,8.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5282403,4.00,4.00,2.00,3.00,4.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5282411,4.00,3.00,2.00,1.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5282420,2.00,5.00,1.00,4.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5282438,4.00,5.00,4.00,5.00,6.00,6.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5282446,6.00,6.00,5.00,7.00,9.00,7.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5282462,5.00,7.00,1.00,4.00,8.00,11.63,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5282470,3.00,6.00,2.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5282489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5282497,3.00,6.00,4.00,6.00,8.00,9.38,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5282500,7.00,4.00,3.00,5.00,9.00,9.00,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5282519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5282527,3.00,2.00,1.00,5.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5282535,7.00,5.00,4.00,7.00,8.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5282543,2.00,5.00,0.00,5.00,6.00,11.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5282551,6.00,5.00,4.00,5.00,6.00,9.38,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5282560,5.00,5.00,0.00,7.00,7.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5282578,6.00,5.00,2.00,4.00,7.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5282586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5282608,7.00,6.00,4.00,6.00,8.00,8.63,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5282616,4.00,5.00,5.00,4.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5282624,7.00,7.00,5.00,6.00,7.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5282632,7.00,7.00,2.00,7.00,9.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5282640,2.00,3.00,0.00,4.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5282659,5.00,8.00,3.00,5.00,7.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5282667,5.00,5.00,2.00,5.00,7.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5282675,9.00,8.00,9.00,7.00,9.00,9.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5282683,7.00,8.00,6.00,7.00,7.00,7.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5282691,7.00,5.00,4.00,0.00,6.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5282705,3.00,3.00,0.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5282713,2.00,1.00,2.00,3.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5282721,8.00,5.00,2.00,4.00,9.00,6.38,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5282730,5.00,7.00,4.00,2.00,7.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5282748,6.00,4.00,3.00,5.00,6.00,9.00,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5282756,9.00,7.00,4.00,6.00,8.00,8.63,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5282764,2.00,5.00,4.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5282772,5.00,6.00,0.00,1.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5282780,5.00,5.00,2.00,4.00,5.00,8.25,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5282802,8.00,5.00,3.00,6.00,8.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5282810,8.00,5.00,1.00,3.00,4.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5282829,8.00,8.00,5.00,7.00,10.00,9.00,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5282837,7.00,7.00,3.00,6.00,9.00,6.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5282845,4.00,6.00,1.00,4.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5282853,3.00,3.00,1.00,6.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5282870,7.00,6.00,2.00,7.00,5.00,9.38,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5282888,7.00,6.00,2.00,6.00,7.00,10.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5282896,5.00,5.00,0.00,2.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5282900,5.00,6.00,4.00,4.00,7.00,7.88,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5282918,7.00,7.00,2.00,7.00,7.00,7.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5282926,8.00,7.00,3.00,6.00,9.00,14.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5282934,7.00,9.00,4.00,6.00,6.00,10.13,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5282942,2.00,4.00,0.00,0.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5282950,6.00,7.00,4.00,4.00,7.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5282969,5.00,5.00,1.00,5.00,7.00,12.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5282977,2.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5282985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5283000,6.00,6.00,7.00,7.00,7.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5283019,6.00,9.00,1.00,4.00,5.00,7.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5283035,9.00,7.00,6.00,5.00,10.00,10.50,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5283060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5283086,5.00,6.00,3.00,7.00,8.00,8.63,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5283094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5283108,9.00,6.00,8.00,6.00,8.00,10.50,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5283116,2.00,5.00,3.00,2.00,7.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5283124,4.00,6.00,4.00,6.00,7.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5283132,8.00,8.00,4.00,7.00,7.00,7.50,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5283140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5283159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5283167,0.00,0.00,0.00,0.00,0.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5283175,9.00,9.00,5.00,2.00,6.00,7.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5283191,0.00,6.00,0.00,3.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5283205,5.00,6.00,2.00,5.00,7.00,7.13,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5283221,5.00,6.00,2.00,5.00,8.00,9.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5283230,7.00,4.00,0.00,5.00,7.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5283248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5283256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5283264,6.00,6.00,0.00,4.00,4.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'S'),(20,5283272,9.00,8.00,4.00,5.00,9.00,7.88,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5283280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5283299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5283302,3.00,6.00,0.00,3.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5283310,2.00,5.00,2.00,4.00,5.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5283329,3.00,4.00,2.00,6.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5283337,6.00,6.00,5.00,4.00,7.00,6.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5283345,8.00,8.00,2.00,7.00,9.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5283353,5.00,3.00,0.00,3.00,5.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5283361,5.00,6.00,5.00,7.00,10.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5283370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5283388,8.00,5.00,1.00,7.00,8.00,10.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5283400,4.00,5.00,1.00,5.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5283418,2.00,2.00,3.00,3.00,2.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5283426,7.00,7.00,1.00,5.00,4.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5283434,8.00,7.00,4.00,5.00,10.00,10.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5283450,1.00,5.00,0.00,1.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5283469,5.00,7.00,4.00,6.00,6.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5283507,6.00,6.00,2.00,7.00,7.00,11.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5283515,9.00,8.00,4.00,4.00,10.00,9.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5283523,5.00,5.00,2.00,6.00,5.00,10.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5283531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5283540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5283558,4.00,3.00,2.00,5.00,5.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5283566,7.00,8.00,4.00,7.00,8.00,10.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5283574,5.00,5.00,4.00,5.00,5.00,8.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5283582,5.00,5.00,3.00,6.00,6.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5283590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5283604,9.00,6.00,5.00,6.00,9.00,11.25,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5283612,6.00,5.00,1.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5283620,4.00,6.00,2.00,6.00,7.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5283639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5283647,4.00,6.00,2.00,6.00,5.00,7.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5283655,1.00,5.00,2.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5283663,3.00,5.00,0.00,4.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5283671,2.00,4.00,2.00,5.00,4.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'S'),(20,5283680,3.00,4.00,1.00,3.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5283698,9.00,7.00,8.00,7.00,8.00,8.63,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5283701,9.00,7.00,3.00,7.00,9.00,11.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5283710,1.00,4.00,0.00,1.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5283728,0.00,3.00,0.00,0.00,0.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5283736,2.00,2.00,3.00,2.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5283760,7.00,6.00,5.00,6.00,4.00,0.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5283779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5283787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5283795,7.00,7.00,7.00,7.00,9.00,11.25,7.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5283809,3.00,5.00,3.00,3.00,5.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5283817,3.00,4.00,1.00,6.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5283825,5.00,5.00,1.00,5.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5283841,7.00,5.00,2.00,6.00,10.00,9.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5283850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5283868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5283884,3.00,6.00,2.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5283892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5283914,6.00,7.00,5.00,4.00,8.00,7.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5283922,3.00,7.00,2.00,5.00,7.00,10.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5283930,3.00,6.00,2.00,7.00,8.00,10.13,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5283949,3.00,2.00,1.00,2.00,2.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5283957,8.00,7.00,4.00,8.00,3.00,NULL,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5283965,0.00,3.00,0.00,0.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5283973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5283981,2.00,3.00,2.00,6.00,5.00,6.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5283990,7.00,7.00,2.00,6.00,8.00,11.63,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5284007,0.00,6.00,2.00,1.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5284015,5.00,6.00,4.00,6.00,6.00,8.25,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5284023,8.00,7.00,5.00,7.00,8.00,11.25,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5284031,3.00,5.00,2.00,3.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5284040,3.00,3.00,1.00,4.00,1.00,NULL,0.00,3.00,6.00,NULL,NULL,NULL,'S'),(20,5284058,6.00,5.00,3.00,7.00,8.00,12.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5284066,7.00,7.00,6.00,7.00,9.00,10.13,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5284074,6.00,4.00,1.00,4.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5284082,8.00,6.00,2.00,5.00,8.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5284090,6.00,6.00,4.00,4.00,8.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5284112,5.00,7.00,3.00,5.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5284139,1.00,5.00,1.00,5.00,6.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5284147,1.00,3.00,0.00,3.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,'S','N'),(20,5284155,7.00,5.00,6.00,7.00,7.00,5.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5284163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5284171,2.00,5.00,3.00,4.00,7.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5284180,8.00,8.00,4.00,6.00,8.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5284198,0.00,6.00,1.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5284201,9.00,9.00,4.00,7.00,11.00,12.75,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5284210,8.00,5.00,0.00,6.00,6.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5284228,9.00,8.00,6.00,7.00,8.00,12.38,7.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5284236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5284252,9.00,7.00,6.00,6.00,8.00,10.50,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5284260,8.00,7.00,3.00,4.00,10.00,10.13,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5284279,5.00,4.00,1.00,4.00,4.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5284287,6.00,6.00,1.00,4.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5284295,5.00,7.00,4.00,3.00,5.00,10.13,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5284317,6.00,7.00,4.00,5.00,6.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5284325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5284333,9.00,7.00,2.00,7.00,9.00,6.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5284350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5284376,3.00,5.00,3.00,5.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5284384,6.00,6.00,2.00,3.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5284392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5284406,6.00,6.00,2.00,5.00,7.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5284414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5284422,7.00,4.00,0.00,7.00,6.00,10.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5284430,4.00,3.00,2.00,5.00,10.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5284449,3.00,5.00,1.00,6.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5284465,1.00,3.00,0.00,4.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5284473,5.00,5.00,0.00,4.00,5.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5284481,3.00,6.00,2.00,3.00,2.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5284490,4.00,7.00,2.00,6.00,6.00,9.00,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5284503,5.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5284511,5.00,7.00,4.00,3.00,6.00,6.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5284520,4.00,3.00,0.00,2.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5284562,3.00,4.00,1.00,7.00,8.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5284570,2.00,3.00,2.00,1.00,6.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5284597,8.00,5.00,0.00,6.00,8.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5284600,9.00,7.00,7.00,5.00,9.00,13.50,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5284619,7.00,6.00,1.00,5.00,5.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5284627,8.00,8.00,2.00,7.00,8.00,6.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5284635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5284643,5.00,7.00,3.00,5.00,7.00,7.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5284651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5284660,6.00,6.00,4.00,4.00,8.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5284678,5.00,5.00,0.00,3.00,7.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5284686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5284694,6.00,7.00,3.00,5.00,9.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5284708,4.00,3.00,3.00,4.00,4.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5284724,4.00,5.00,1.00,3.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5284732,3.00,3.00,0.00,1.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5284740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5284759,7.00,7.00,5.00,6.00,7.00,8.63,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5284767,6.00,8.00,3.00,6.00,9.00,8.63,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5284775,2.00,6.00,0.00,2.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5284783,3.00,6.00,1.00,3.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5284791,8.00,4.00,3.00,7.00,6.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5284805,5.00,3.00,0.00,5.00,7.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5284813,9.00,8.00,3.00,5.00,7.00,7.50,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5284821,1.00,4.00,0.00,3.00,5.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'S'),(20,5284830,4.00,5.00,0.00,3.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5284848,3.00,2.00,3.00,2.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5284856,9.00,5.00,4.00,5.00,10.00,9.38,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5284864,2.00,4.00,2.00,3.00,6.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5284872,5.00,3.00,1.00,2.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5284880,5.00,5.00,3.00,7.00,6.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5284899,5.00,6.00,2.00,3.00,6.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5284902,3.00,3.00,1.00,4.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5284910,7.00,8.00,2.00,5.00,9.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5284937,6.00,2.00,0.00,6.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5284945,8.00,7.00,5.00,3.00,9.00,9.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5284953,5.00,7.00,2.00,5.00,7.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5284961,2.00,2.00,2.00,3.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5284988,5.00,7.00,3.00,6.00,7.00,9.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5284996,7.00,6.00,0.00,4.00,6.00,NULL,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5285011,9.00,8.00,3.00,6.00,9.00,8.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5285020,3.00,4.00,1.00,2.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5285054,7.00,7.00,4.00,4.00,8.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5285062,5.00,6.00,3.00,3.00,5.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5285089,6.00,4.00,5.00,2.00,5.00,4.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5285097,9.00,8.00,9.00,7.00,10.00,7.13,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5285100,3.00,4.00,3.00,2.00,6.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5285119,3.00,5.00,1.00,6.00,6.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5285127,5.00,5.00,0.00,5.00,4.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5285135,6.00,7.00,2.00,4.00,7.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5285143,2.00,6.00,0.00,1.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5285151,6.00,7.00,3.00,5.00,9.00,12.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5285160,5.00,3.00,2.00,4.00,7.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5285178,8.00,6.00,2.00,6.00,7.00,NULL,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5285186,5.00,6.00,1.00,4.00,4.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5285194,4.00,6.00,3.00,4.00,10.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5285208,7.00,7.00,2.00,4.00,6.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5285224,9.00,6.00,5.00,5.00,8.00,10.50,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5285232,7.00,5.00,4.00,5.00,7.00,7.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5285240,8.00,7.00,4.00,5.00,8.00,9.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5285259,9.00,8.00,5.00,5.00,6.00,9.38,3.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5285267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5285275,3.00,4.00,1.00,4.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5285283,3.00,7.00,2.00,6.00,7.00,10.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5285291,4.00,6.00,2.00,2.00,8.00,8.25,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5285305,4.00,5.00,2.00,5.00,6.00,6.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5285321,6.00,6.00,1.00,6.00,7.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5285330,6.00,6.00,2.00,5.00,6.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5285348,4.00,6.00,2.00,4.00,9.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5285356,6.00,8.00,1.00,7.00,10.00,9.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5285364,6.00,5.00,4.00,7.00,0.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5285372,2.00,5.00,1.00,4.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5285380,6.00,6.00,0.00,5.00,6.00,0.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5285399,4.00,4.00,1.00,5.00,4.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5285410,3.00,7.00,2.00,5.00,5.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5285429,8.00,6.00,2.00,5.00,5.00,9.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5285437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5285445,6.00,7.00,5.00,7.00,8.00,8.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5285453,8.00,6.00,4.00,7.00,5.00,8.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5285461,2.00,2.00,0.00,3.00,6.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5285488,6.00,7.00,3.00,5.00,6.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5285500,7.00,7.00,1.00,7.00,8.00,12.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5285518,1.00,2.00,0.00,3.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5285550,4.00,7.00,4.00,7.00,8.00,10.88,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5285577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5285585,8.00,7.00,5.00,7.00,9.00,6.75,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5285593,4.00,6.00,3.00,6.00,7.00,6.75,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5285607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5285615,9.00,6.00,4.00,7.00,9.00,8.63,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5285623,1.00,3.00,3.00,3.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5285631,8.00,7.00,6.00,7.00,9.00,10.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5285640,4.00,8.00,5.00,5.00,5.00,9.00,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5285666,5.00,7.00,1.00,4.00,6.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5285674,3.00,3.00,1.00,3.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5285690,7.00,8.00,4.00,5.00,7.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5285704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5285712,5.00,7.00,2.00,5.00,8.00,9.38,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5285720,7.00,8.00,2.00,5.00,7.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5285739,6.00,6.00,6.00,7.00,9.00,7.88,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5285747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5285755,6.00,4.00,1.00,7.00,9.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5285763,4.00,5.00,0.00,5.00,4.00,6.00,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5285771,7.00,6.00,2.00,4.00,9.00,0.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5285780,1.00,6.00,0.00,4.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5285798,6.00,7.00,1.00,6.00,8.00,7.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5285810,5.00,3.00,0.00,3.00,7.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5285828,6.00,4.00,1.00,2.00,6.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5285836,3.00,3.00,1.00,5.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5285844,5.00,6.00,3.00,5.00,9.00,10.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5285852,8.00,7.00,4.00,1.00,3.00,NULL,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5285860,7.00,5.00,3.00,6.00,10.00,7.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5285879,4.00,6.00,2.00,6.00,9.00,8.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5285895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5285909,6.00,5.00,4.00,7.00,5.00,8.25,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5285917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5285925,8.00,6.00,3.00,7.00,9.00,7.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5285941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5285950,5.00,7.00,3.00,6.00,5.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5285968,2.00,4.00,1.00,5.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5285976,7.00,6.00,2.00,7.00,9.00,7.88,0.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5285984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5286000,7.00,3.00,0.00,7.00,8.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5286018,3.00,5.00,0.00,4.00,8.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5286026,8.00,8.00,3.00,7.00,10.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5286034,2.00,5.00,1.00,5.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5286042,7.00,7.00,4.00,6.00,5.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5286050,4.00,3.00,7.00,7.00,5.00,4.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5286069,0.00,4.00,3.00,5.00,7.00,NULL,2.00,2.00,2.00,NULL,NULL,'S','N'),(20,5286085,6.00,5.00,2.00,7.00,9.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5286093,7.00,8.00,3.00,7.00,8.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5286107,2.00,4.00,0.00,6.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'S'),(20,5286115,4.00,8.00,7.00,7.00,6.00,7.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5286123,4.00,6.00,1.00,2.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5286131,4.00,1.00,1.00,0.00,1.00,NULL,1.00,2.00,0.00,NULL,NULL,'S','N'),(20,5286140,5.00,5.00,1.00,5.00,7.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5286158,7.00,5.00,2.00,5.00,10.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5286166,7.00,8.00,2.00,7.00,9.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5286174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5286182,8.00,7.00,2.00,4.00,9.00,9.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5286190,5.00,6.00,2.00,2.00,6.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5286204,1.00,4.00,1.00,4.00,7.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5286212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5286220,4.00,2.00,1.00,5.00,5.00,9.75,5.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5286239,5.00,7.00,2.00,6.00,6.00,9.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5286247,4.00,3.00,2.00,4.00,4.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5286263,2.00,5.00,2.00,3.00,4.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5286271,9.00,7.00,8.00,6.00,8.00,9.00,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5286298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5286301,6.00,8.00,7.00,6.00,8.00,9.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5286310,5.00,9.00,4.00,1.00,4.00,10.88,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5286328,7.00,7.00,1.00,5.00,8.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5286336,9.00,9.00,8.00,6.00,11.00,10.50,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5286344,6.00,6.00,2.00,7.00,6.00,9.75,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5286352,4.00,7.00,3.00,3.00,6.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5286360,2.00,6.00,1.00,5.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5286379,5.00,8.00,1.00,4.00,6.00,7.13,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5286387,9.00,8.00,8.00,7.00,9.00,9.00,9.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5286395,5.00,6.00,3.00,4.00,6.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5286409,5.00,4.00,1.00,1.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5286417,8.00,8.00,2.00,1.00,8.00,11.63,2.00,1.00,8.00,NULL,NULL,NULL,'N'),(20,5286425,5.00,6.00,2.00,5.00,4.00,7.13,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5286433,7.00,7.00,3.00,7.00,9.00,7.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5286441,9.00,8.00,6.00,7.00,10.00,9.38,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5286468,4.00,4.00,2.00,3.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5286484,1.00,2.00,1.00,2.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,'S','S'),(20,5286506,2.00,5.00,2.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5286514,4.00,7.00,2.00,4.00,5.00,5.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5286522,6.00,6.00,2.00,7.00,8.00,10.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5286530,3.00,4.00,4.00,5.00,4.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5286549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5286557,6.00,7.00,2.00,5.00,9.00,11.25,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5286565,6.00,7.00,3.00,4.00,5.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5286573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5286581,0.00,3.00,3.00,3.00,7.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5286603,4.00,5.00,3.00,4.00,5.00,6.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5286611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5286620,5.00,6.00,3.00,5.00,8.00,7.13,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5286638,3.00,5.00,3.00,3.00,2.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5286646,2.00,3.00,1.00,4.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5286654,4.00,6.00,3.00,6.00,7.00,8.63,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5286662,8.00,7.00,2.00,4.00,9.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5286689,7.00,7.00,1.00,7.00,8.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5286697,5.00,4.00,0.00,3.00,6.00,NULL,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5286700,6.00,7.00,3.00,6.00,7.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5286719,8.00,8.00,2.00,6.00,10.00,9.38,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5286727,9.00,8.00,6.00,6.00,7.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5286743,3.00,7.00,1.00,3.00,5.00,9.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5286751,3.00,5.00,3.00,6.00,7.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5286760,0.00,4.00,2.00,4.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5286778,7.00,6.00,4.00,7.00,7.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5286786,4.00,5.00,2.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5286794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5286808,5.00,5.00,1.00,5.00,6.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5286816,5.00,6.00,2.00,5.00,3.00,NULL,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5286824,6.00,3.00,0.00,3.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5286832,5.00,2.00,2.00,3.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5286840,6.00,7.00,2.00,2.00,5.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5286859,6.00,7.00,1.00,3.00,3.00,NULL,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5286867,5.00,5.00,1.00,6.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5286875,5.00,4.00,5.00,5.00,4.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5286883,6.00,4.00,3.00,6.00,6.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5286891,8.00,8.00,6.00,7.00,7.00,7.88,4.00,1.00,8.00,NULL,NULL,NULL,'N'),(20,5286905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5286913,6.00,6.00,2.00,5.00,6.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5286921,6.00,8.00,3.00,7.00,7.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5286930,2.00,3.00,2.00,3.00,5.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5286948,5.00,6.00,1.00,5.00,9.00,12.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5286956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5286964,6.00,4.00,1.00,6.00,10.00,10.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5286972,5.00,2.00,2.00,4.00,4.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5286980,9.00,9.00,5.00,6.00,10.00,11.63,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5286999,5.00,5.00,3.00,7.00,9.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5287006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5287022,6.00,7.00,3.00,6.00,8.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5287030,9.00,7.00,3.00,6.00,9.00,7.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5287049,3.00,5.00,2.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5287057,5.00,7.00,0.00,2.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5287065,4.00,6.00,2.00,2.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5287073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5287111,7.00,5.00,4.00,4.00,6.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5287120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5287138,1.00,3.00,0.00,4.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5287146,4.00,5.00,2.00,5.00,6.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5287154,6.00,6.00,1.00,4.00,5.00,6.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5287162,2.00,6.00,0.00,2.00,4.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5287170,4.00,3.00,2.00,3.00,6.00,6.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5287189,4.00,4.00,2.00,6.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5287197,4.00,2.00,4.00,4.00,7.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5287200,7.00,7.00,4.00,5.00,9.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5287219,8.00,7.00,3.00,7.00,9.00,9.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5287227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5287243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5287251,4.00,7.00,2.00,6.00,8.00,6.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5287260,2.00,4.00,1.00,4.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5287278,4.00,4.00,2.00,8.00,4.00,10.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5287286,5.00,7.00,0.00,6.00,4.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5287294,9.00,5.00,3.00,6.00,10.00,NULL,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5287308,3.00,6.00,2.00,3.00,7.00,7.88,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5287316,3.00,6.00,2.00,3.00,5.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5287324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5287332,3.00,4.00,2.00,4.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5287340,6.00,6.00,6.00,3.00,6.00,9.38,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5287359,5.00,4.00,0.00,2.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5287367,7.00,5.00,1.00,2.00,6.00,10.50,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5287375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5287383,7.00,8.00,3.00,5.00,9.00,11.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5287391,4.00,6.00,0.00,7.00,5.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5287405,7.00,8.00,1.00,5.00,6.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5287421,3.00,3.00,0.00,2.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5287430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5287448,4.00,5.00,1.00,0.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5287456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5287472,7.00,7.00,5.00,4.00,6.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5287480,4.00,7.00,3.00,4.00,6.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5287499,7.00,7.00,8.00,6.00,9.00,12.38,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5287502,7.00,5.00,0.00,8.00,4.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5287510,5.00,6.00,3.00,4.00,6.00,9.00,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5287537,9.00,4.00,7.00,5.00,10.00,11.63,6.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5287545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5287553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5287561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5287570,4.00,1.00,1.00,3.00,3.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5287588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5287596,4.00,3.00,1.00,3.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5287600,7.00,7.00,4.00,7.00,4.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5287618,8.00,8.00,5.00,7.00,7.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5287626,4.00,6.00,1.00,4.00,6.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5287634,6.00,5.00,1.00,4.00,6.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5287642,3.00,3.00,1.00,5.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5287650,2.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5287669,5.00,5.00,3.00,5.00,8.00,8.25,2.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5287685,5.00,3.00,4.00,4.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5287693,3.00,6.00,3.00,3.00,4.00,7.88,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5287707,6.00,6.00,5.00,6.00,7.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5287715,5.00,8.00,4.00,3.00,9.00,10.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5287723,5.00,5.00,1.00,3.00,5.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5287731,7.00,6.00,2.00,6.00,6.00,NULL,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5287740,9.00,8.00,5.00,5.00,10.00,9.00,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(20,5287758,8.00,9.00,4.00,7.00,10.00,9.38,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5287766,5.00,4.00,5.00,5.00,6.00,9.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5287774,7.00,6.00,5.00,7.00,9.00,7.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5287782,7.00,9.00,2.00,8.00,7.00,11.63,4.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5287804,2.00,3.00,1.00,3.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5287820,6.00,5.00,3.00,4.00,7.00,7.13,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5287839,5.00,7.00,4.00,6.00,4.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5287847,8.00,8.00,2.00,7.00,9.00,8.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5287855,6.00,8.00,1.00,7.00,9.00,8.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5287863,4.00,6.00,4.00,5.00,7.00,7.13,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5287871,5.00,5.00,5.00,7.00,5.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5287898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5287910,8.00,6.00,3.00,6.00,10.00,7.13,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5287928,4.00,6.00,1.00,2.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5287936,7.00,3.00,4.00,4.00,5.00,9.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5287944,9.00,7.00,6.00,7.00,8.00,8.63,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5287952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5287960,8.00,7.00,2.00,7.00,9.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5287979,5.00,4.00,3.00,7.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5287987,5.00,6.00,5.00,4.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5287995,4.00,7.00,3.00,5.00,7.00,10.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5288002,4.00,6.00,1.00,6.00,6.00,6.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5288010,8.00,6.00,4.00,6.00,8.00,9.38,4.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5288029,4.00,5.00,4.00,5.00,8.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5288037,7.00,8.00,5.00,7.00,9.00,8.63,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5288045,6.00,6.00,4.00,7.00,9.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5288053,9.00,7.00,5.00,7.00,8.00,8.63,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5288070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5288088,4.00,7.00,4.00,7.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,'S','N'),(20,5288096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5288100,7.00,6.00,5.00,7.00,9.00,7.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5288118,3.00,7.00,3.00,5.00,7.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5288126,2.00,3.00,2.00,4.00,2.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5288134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5288142,9.00,7.00,8.00,8.00,10.00,12.38,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5288150,6.00,4.00,1.00,4.00,6.00,8.63,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5288169,4.00,4.00,1.00,4.00,8.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5288177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5288185,4.00,6.00,7.00,7.00,5.00,8.63,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5288193,6.00,6.00,1.00,3.00,6.00,10.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5288207,7.00,6.00,1.00,5.00,9.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5288240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5288258,9.00,6.00,4.00,6.00,8.00,12.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5288266,8.00,5.00,3.00,6.00,9.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5288282,6.00,7.00,4.00,3.00,7.00,7.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5288304,8.00,7.00,0.00,5.00,5.00,9.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5288312,8.00,7.00,6.00,5.00,9.00,6.75,8.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5288320,2.00,4.00,4.00,5.00,4.00,8.25,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5288339,2.00,4.00,1.00,3.00,5.00,NULL,0.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5288347,4.00,3.00,0.00,5.00,5.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5288355,9.00,8.00,4.00,7.00,8.00,7.88,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5288363,6.00,7.00,3.00,7.00,5.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5288371,5.00,4.00,3.00,5.00,5.00,10.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5288380,7.00,8.00,4.00,6.00,3.00,NULL,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(20,5288398,1.00,7.00,0.00,7.00,7.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5288401,6.00,7.00,6.00,8.00,7.00,8.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5288410,2.00,5.00,0.00,4.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5288428,6.00,5.00,1.00,6.00,5.00,7.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5288436,5.00,5.00,5.00,5.00,6.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5288444,2.00,5.00,2.00,3.00,4.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5288452,5.00,3.00,5.00,3.00,4.00,6.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5288460,4.00,4.00,1.00,5.00,7.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5288479,3.00,3.00,0.00,4.00,1.00,NULL,0.00,2.00,3.00,NULL,NULL,'S','N'),(20,5288495,8.00,8.00,1.00,5.00,3.00,NULL,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5288509,4.00,5.00,4.00,5.00,5.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5288517,6.00,8.00,4.00,7.00,4.00,NULL,4.00,4.00,5.00,NULL,NULL,'S','N'),(20,5288525,3.00,3.00,0.00,3.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5288533,3.00,5.00,3.00,3.00,8.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5288541,3.00,7.00,3.00,4.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5288550,5.00,6.00,3.00,4.00,6.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5288568,5.00,4.00,0.00,4.00,5.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5288576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5288584,6.00,7.00,5.00,6.00,9.00,10.50,6.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5288592,7.00,5.00,2.00,5.00,7.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5288606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5288614,5.00,6.00,1.00,7.00,10.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5288622,9.00,7.00,9.00,6.00,9.00,13.13,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5288630,4.00,7.00,5.00,4.00,6.00,7.88,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5288649,3.00,6.00,1.00,1.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5288665,2.00,7.00,2.00,4.00,5.00,6.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5288673,3.00,6.00,3.00,4.00,4.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5288681,1.00,5.00,0.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5288690,0.00,6.00,0.00,2.00,3.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5288703,2.00,3.00,0.00,1.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5288711,3.00,6.00,1.00,3.00,7.00,9.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5288720,6.00,6.00,5.00,5.00,9.00,11.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5288738,6.00,8.00,0.00,4.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5288746,5.00,5.00,1.00,5.00,4.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5288762,6.00,5.00,6.00,7.00,5.00,11.25,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5288770,3.00,4.00,4.00,3.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5288789,5.00,6.00,4.00,6.00,7.00,8.25,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5288797,1.00,7.00,2.00,4.00,4.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5288835,3.00,4.00,4.00,4.00,5.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5288843,5.00,6.00,4.00,7.00,7.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5288860,7.00,7.00,4.00,7.00,9.00,7.13,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5288878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5288886,5.00,5.00,3.00,5.00,6.00,8.63,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5288894,3.00,3.00,1.00,3.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5288908,5.00,7.00,6.00,5.00,7.00,9.38,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5288916,5.00,6.00,0.00,1.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5288924,5.00,2.00,2.00,5.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5288932,9.00,7.00,6.00,7.00,8.00,10.50,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5288967,3.00,1.00,0.00,1.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5288975,1.00,3.00,0.00,2.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5288983,7.00,4.00,1.00,4.00,6.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5288991,5.00,7.00,2.00,3.00,7.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5289009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5289017,7.00,7.00,4.00,6.00,8.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5289025,8.00,7.00,8.00,6.00,8.00,9.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5289041,4.00,4.00,2.00,1.00,7.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5289050,8.00,7.00,4.00,6.00,8.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5289068,9.00,6.00,3.00,7.00,9.00,12.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5289084,6.00,4.00,2.00,5.00,7.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5289092,8.00,8.00,5.00,6.00,7.00,12.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5289106,6.00,5.00,2.00,7.00,4.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5289114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5289122,6.00,7.00,3.00,7.00,7.00,9.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5289130,5.00,4.00,0.00,2.00,6.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5289149,5.00,7.00,0.00,3.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5289157,5.00,6.00,4.00,7.00,8.00,11.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5289165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5289173,1.00,3.00,0.00,3.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5289190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5289203,5.00,3.00,1.00,2.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5289211,1.00,4.00,0.00,6.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5289220,4.00,5.00,0.00,1.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5289238,8.00,8.00,2.00,7.00,7.00,6.38,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5289246,4.00,5.00,3.00,5.00,6.00,10.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5289254,4.00,6.00,4.00,4.00,7.00,10.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5289262,5.00,6.00,2.00,5.00,3.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5289270,9.00,8.00,8.00,8.00,7.00,6.38,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5289297,6.00,8.00,3.00,7.00,10.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5289300,4.00,5.00,2.00,2.00,4.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5289319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5289327,7.00,7.00,5.00,7.00,10.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5289335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5289343,6.00,8.00,2.00,8.00,9.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5289351,5.00,6.00,0.00,6.00,6.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5289360,4.00,8.00,4.00,2.00,7.00,7.13,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5289378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5289386,2.00,3.00,1.00,2.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5289394,4.00,5.00,1.00,5.00,7.00,7.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5289408,6.00,6.00,2.00,7.00,10.00,11.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5289416,5.00,6.00,4.00,4.00,4.00,7.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5289424,6.00,4.00,1.00,4.00,5.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5289432,2.00,5.00,1.00,2.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5289440,7.00,6.00,3.00,4.00,8.00,6.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5289459,7.00,5.00,2.00,2.00,5.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5289475,6.00,6.00,6.00,4.00,6.00,4.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5289483,8.00,6.00,2.00,7.00,7.00,10.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5289491,6.00,7.00,1.00,6.00,9.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5289505,0.00,3.00,0.00,0.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5289513,6.00,5.00,1.00,5.00,5.00,7.88,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5289521,3.00,5.00,3.00,2.00,6.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5289548,5.00,6.00,0.00,5.00,6.00,8.25,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5289556,5.00,5.00,0.00,7.00,9.00,10.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5289564,4.00,6.00,4.00,3.00,4.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5289580,9.00,6.00,3.00,4.00,8.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5289599,2.00,4.00,2.00,6.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5289602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5289610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5289629,3.00,5.00,1.00,2.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5289637,5.00,4.00,0.00,3.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5289645,4.00,7.00,1.00,4.00,6.00,4.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5289653,4.00,2.00,0.00,0.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5289661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5289670,3.00,6.00,2.00,5.00,7.00,6.38,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5289688,7.00,7.00,0.00,6.00,8.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5289696,6.00,5.00,1.00,3.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5289700,2.00,2.00,1.00,1.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5289718,3.00,5.00,4.00,5.00,5.00,10.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5289726,3.00,5.00,1.00,0.00,3.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5289734,7.00,8.00,3.00,7.00,11.00,11.63,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5289742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5289750,3.00,5.00,3.00,2.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5289769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5289777,6.00,7.00,4.00,3.00,8.00,6.00,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5289785,7.00,7.00,3.00,7.00,10.00,9.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5289793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5289807,3.00,4.00,3.00,4.00,7.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5289815,1.00,5.00,0.00,5.00,5.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5289823,4.00,5.00,0.00,3.00,7.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5289858,3.00,5.00,4.00,3.00,7.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5289866,7.00,6.00,3.00,4.00,4.00,11.63,3.00,2.00,9.00,NULL,NULL,NULL,'N'),(20,5289882,4.00,5.00,4.00,3.00,6.00,6.75,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5289890,3.00,5.00,2.00,1.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5289904,3.00,6.00,2.00,3.00,5.00,7.13,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5289912,6.00,5.00,3.00,5.00,7.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5289920,7.00,7.00,2.00,3.00,10.00,9.75,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5289939,4.00,5.00,4.00,3.00,5.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5289947,6.00,6.00,4.00,7.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5289971,4.00,6.00,1.00,2.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5289980,3.00,7.00,3.00,4.00,7.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5289998,5.00,4.00,0.00,7.00,6.00,11.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5290007,4.00,5.00,3.00,4.00,6.00,7.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5290015,4.00,3.00,0.00,5.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5290031,5.00,5.00,1.00,5.00,5.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5290040,0.00,4.00,2.00,1.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5290058,5.00,5.00,4.00,3.00,6.00,6.38,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5290066,3.00,4.00,1.00,6.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5290074,4.00,4.00,4.00,0.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5290090,1.00,6.00,2.00,7.00,9.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5290104,3.00,3.00,0.00,2.00,2.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5290112,4.00,6.00,1.00,3.00,5.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5290120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5290155,3.00,7.00,2.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5290163,5.00,3.00,4.00,4.00,4.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5290171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5290180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5290198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5290201,8.00,8.00,5.00,6.00,9.00,9.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5290210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5290228,1.00,3.00,0.00,2.00,3.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5290236,7.00,8.00,8.00,7.00,8.00,8.63,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5290244,2.00,0.00,4.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5290252,7.00,7.00,6.00,6.00,9.00,10.13,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5290260,1.00,4.00,3.00,3.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5290279,4.00,5.00,3.00,7.00,7.00,7.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5290287,7.00,7.00,4.00,5.00,7.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5290295,5.00,5.00,3.00,6.00,8.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5290317,9.00,6.00,2.00,4.00,6.00,9.00,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5290325,3.00,4.00,4.00,5.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5290333,6.00,6.00,2.00,7.00,7.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5290341,0.00,3.00,2.00,4.00,7.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5290350,8.00,5.00,4.00,7.00,7.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5290368,2.00,5.00,2.00,4.00,5.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5290376,3.00,4.00,3.00,4.00,4.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5290384,7.00,7.00,7.00,7.00,9.00,9.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5290392,6.00,4.00,3.00,6.00,6.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5290406,5.00,7.00,0.00,2.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5290414,8.00,7.00,3.00,8.00,10.00,10.50,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5290422,5.00,5.00,4.00,5.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5290430,9.00,7.00,5.00,7.00,7.00,7.50,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5290457,6.00,5.00,2.00,6.00,6.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5290465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5290473,5.00,5.00,1.00,2.00,7.00,9.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5290481,6.00,5.00,3.00,3.00,6.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5290490,5.00,5.00,1.00,5.00,6.00,9.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5290503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5290511,4.00,6.00,6.00,4.00,4.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5290520,7.00,6.00,7.00,4.00,6.00,9.00,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5290538,6.00,7.00,3.00,4.00,5.00,8.25,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5290546,7.00,4.00,3.00,7.00,9.00,11.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5290554,4.00,1.00,2.00,3.00,1.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5290562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5290570,6.00,5.00,0.00,5.00,7.00,7.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5290589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5290597,1.00,6.00,3.00,5.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5290600,6.00,5.00,1.00,6.00,10.00,9.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5290619,6.00,5.00,3.00,4.00,7.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5290627,3.00,5.00,2.00,5.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5290635,9.00,6.00,7.00,7.00,6.00,8.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5290643,4.00,4.00,0.00,4.00,6.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5290651,5.00,4.00,2.00,3.00,5.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5290660,6.00,6.00,2.00,6.00,8.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5290678,5.00,7.00,1.00,5.00,7.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5290686,5.00,6.00,2.00,3.00,8.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5290694,6.00,6.00,3.00,7.00,6.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5290708,8.00,7.00,6.00,6.00,8.00,12.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5290716,2.00,3.00,3.00,3.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5290724,7.00,6.00,4.00,6.00,6.00,10.13,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5290732,5.00,8.00,2.00,7.00,10.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5290740,5.00,4.00,2.00,7.00,4.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5290759,9.00,8.00,4.00,5.00,9.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5290767,8.00,9.00,3.00,7.00,9.00,11.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5290775,4.00,4.00,1.00,3.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5290783,4.00,3.00,0.00,4.00,4.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5290821,8.00,8.00,7.00,7.00,9.00,9.38,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5290830,5.00,3.00,1.00,5.00,7.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5290848,4.00,5.00,1.00,6.00,8.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5290864,9.00,9.00,1.00,5.00,9.00,12.38,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5290872,6.00,7.00,1.00,2.00,8.00,11.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5290899,1.00,6.00,1.00,6.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5290902,8.00,7.00,5.00,7.00,5.00,10.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5290910,2.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5290945,3.00,6.00,2.00,7.00,6.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5290953,7.00,6.00,2.00,5.00,9.00,9.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5290961,2.00,4.00,3.00,5.00,6.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5290970,8.00,4.00,2.00,3.00,7.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5290988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5290996,4.00,5.00,0.00,4.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5291003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5291020,3.00,3.00,1.00,4.00,3.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5291038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5291046,4.00,5.00,2.00,3.00,6.00,9.38,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5291054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5291062,1.00,5.00,3.00,7.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5291089,8.00,6.00,5.00,5.00,9.00,10.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5291097,2.00,0.00,1.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(20,5291100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5291119,7.00,6.00,5.00,6.00,8.00,9.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5291127,4.00,7.00,0.00,4.00,4.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5291135,6.00,7.00,2.00,5.00,9.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5291143,5.00,6.00,1.00,3.00,6.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5291151,4.00,5.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5291160,4.00,7.00,4.00,2.00,6.00,10.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5291178,7.00,6.00,2.00,5.00,10.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5291186,3.00,4.00,0.00,2.00,4.00,4.13,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5291194,4.00,3.00,2.00,7.00,3.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'S'),(20,5291208,4.00,6.00,0.00,1.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5291216,8.00,4.00,2.00,6.00,8.00,9.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5291232,5.00,6.00,2.00,3.00,10.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5291240,9.00,7.00,3.00,5.00,8.00,10.13,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5291259,3.00,6.00,0.00,4.00,8.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5291267,4.00,5.00,0.00,6.00,6.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5291275,2.00,5.00,4.00,4.00,8.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5291283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5291291,9.00,7.00,1.00,7.00,8.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5291305,3.00,5.00,3.00,4.00,5.00,4.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5291313,5.00,7.00,1.00,4.00,7.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5291321,3.00,2.00,2.00,2.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5291330,6.00,5.00,4.00,4.00,5.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5291348,0.00,7.00,2.00,3.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5291356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5291364,7.00,8.00,4.00,4.00,8.00,5.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5291372,6.00,5.00,2.00,4.00,4.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5291380,5.00,4.00,3.00,6.00,6.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5291402,9.00,8.00,7.00,7.00,10.00,8.63,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5291437,7.00,8.00,8.00,7.00,5.00,10.88,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5291445,1.00,4.00,0.00,1.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5291453,9.00,5.00,8.00,8.00,7.00,10.50,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5291461,2.00,6.00,1.00,3.00,5.00,5.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5291470,3.00,6.00,1.00,3.00,6.00,11.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5291488,6.00,7.00,4.00,7.00,9.00,9.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5291500,3.00,2.00,1.00,3.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5291518,7.00,6.00,4.00,4.00,8.00,9.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5291526,4.00,8.00,0.00,4.00,6.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5291534,5.00,6.00,1.00,3.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5291542,6.00,7.00,5.00,6.00,9.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5291550,1.00,5.00,2.00,4.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5291569,8.00,6.00,4.00,7.00,7.00,10.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5291577,8.00,6.00,3.00,7.00,6.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5291585,4.00,4.00,3.00,4.00,5.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5291615,6.00,5.00,0.00,6.00,8.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5291623,6.00,1.00,2.00,0.00,1.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5291631,0.00,6.00,1.00,0.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5291640,4.00,5.00,2.00,7.00,8.00,4.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5291666,2.00,6.00,1.00,0.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5291674,5.00,4.00,1.00,7.00,6.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5291682,4.00,4.00,2.00,4.00,5.00,7.50,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5291690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5291704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5291712,7.00,6.00,4.00,7.00,8.00,11.25,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5291720,6.00,7.00,0.00,7.00,5.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5291739,4.00,6.00,0.00,2.00,5.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5291747,9.00,7.00,6.00,7.00,9.00,8.63,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5291755,2.00,4.00,0.00,5.00,8.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5291763,5.00,3.00,2.00,1.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5291771,2.00,2.00,0.00,1.00,5.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5291780,7.00,5.00,2.00,5.00,6.00,9.75,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5291798,4.00,4.00,1.00,5.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5291801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5291810,6.00,5.00,2.00,4.00,6.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5291828,8.00,7.00,7.00,6.00,8.00,8.63,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5291836,6.00,5.00,5.00,7.00,5.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5291844,9.00,8.00,3.00,7.00,6.00,7.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5291852,3.00,3.00,0.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5291860,6.00,6.00,5.00,6.00,8.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5291879,6.00,6.00,4.00,4.00,6.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5291887,6.00,4.00,5.00,7.00,7.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5291895,5.00,3.00,1.00,4.00,8.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5291917,7.00,8.00,7.00,6.00,7.00,9.38,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5291925,3.00,5.00,4.00,5.00,5.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5291933,4.00,4.00,0.00,2.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5291941,9.00,5.00,0.00,7.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5291950,1.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5291968,3.00,7.00,2.00,7.00,5.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5291976,3.00,4.00,0.00,3.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5291984,7.00,7.00,4.00,3.00,7.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5291992,4.00,6.00,2.00,3.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5292018,3.00,4.00,1.00,4.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5292026,4.00,5.00,1.00,4.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5292034,4.00,5.00,1.00,2.00,5.00,7.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5292042,4.00,6.00,3.00,5.00,4.00,4.50,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5292050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5292077,9.00,6.00,2.00,6.00,6.00,8.63,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5292085,6.00,5.00,2.00,7.00,8.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5292107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5292115,7.00,4.00,5.00,6.00,6.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5292131,7.00,7.00,3.00,6.00,6.00,10.50,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5292158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5292174,7.00,7.00,2.00,7.00,6.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5292182,5.00,7.00,1.00,3.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5292190,8.00,8.00,4.00,7.00,10.00,9.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5292204,5.00,5.00,3.00,7.00,6.00,10.88,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5292220,5.00,7.00,4.00,5.00,8.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5292239,3.00,6.00,2.00,5.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5292247,6.00,6.00,4.00,7.00,7.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5292255,9.00,7.00,4.00,7.00,10.00,8.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5292263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5292271,5.00,4.00,1.00,6.00,4.00,9.00,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5292280,3.00,5.00,2.00,4.00,5.00,6.00,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5292298,8.00,9.00,7.00,6.00,7.00,9.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5292301,6.00,6.00,3.00,6.00,9.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5292310,2.00,6.00,1.00,4.00,5.00,7.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5292328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5292336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5292344,3.00,2.00,0.00,5.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5292360,1.00,4.00,1.00,5.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5292387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5292395,3.00,7.00,1.00,7.00,3.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5292409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5292417,8.00,8.00,6.00,5.00,8.00,7.50,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5292425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5292441,8.00,4.00,6.00,7.00,8.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5292450,8.00,9.00,5.00,7.00,10.00,10.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5292468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5292476,6.00,4.00,4.00,7.00,9.00,11.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5292484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5292492,4.00,5.00,3.00,5.00,4.00,4.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5292506,1.00,5.00,5.00,4.00,7.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5292514,3.00,4.00,4.00,7.00,5.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5292522,9.00,5.00,5.00,7.00,9.00,7.88,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5292530,1.00,6.00,0.00,3.00,8.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5292549,3.00,5.00,1.00,5.00,7.00,6.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5292557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5292565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5292573,4.00,4.00,2.00,3.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5292581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5292590,2.00,6.00,1.00,2.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5292603,6.00,3.00,0.00,5.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5292611,1.00,4.00,1.00,2.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5292620,9.00,8.00,6.00,7.00,9.00,10.13,6.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5292638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5292646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5292662,3.00,5.00,1.00,7.00,5.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5292670,4.00,8.00,3.00,7.00,7.00,8.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5292689,2.00,3.00,1.00,4.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5292697,2.00,5.00,0.00,3.00,6.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5292700,4.00,4.00,2.00,2.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5292719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5292735,2.00,6.00,2.00,3.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5292743,4.00,6.00,4.00,2.00,4.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5292751,8.00,8.00,4.00,6.00,9.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5292760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5292778,7.00,5.00,2.00,7.00,7.00,7.88,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5292786,4.00,6.00,0.00,3.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5292794,4.00,8.00,0.00,6.00,6.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5292808,3.00,3.00,4.00,7.00,6.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5292816,9.00,8.00,7.00,7.00,10.00,10.88,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5292832,6.00,6.00,4.00,5.00,7.00,7.13,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5292840,3.00,4.00,1.00,3.00,3.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5292859,9.00,7.00,4.00,7.00,10.00,9.00,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5292867,3.00,4.00,0.00,3.00,6.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5292875,1.00,5.00,0.00,4.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5292883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5292891,3.00,4.00,3.00,4.00,5.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5292905,2.00,6.00,2.00,7.00,6.00,4.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5292913,7.00,5.00,3.00,3.00,10.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5292921,8.00,8.00,6.00,4.00,8.00,11.63,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5292930,9.00,4.00,5.00,8.00,8.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5292948,5.00,3.00,4.00,0.00,7.00,8.63,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5292956,7.00,6.00,2.00,7.00,9.00,7.13,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5292964,3.00,6.00,4.00,4.00,5.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5292980,5.00,6.00,5.00,4.00,5.00,10.88,7.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5292999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5293014,7.00,7.00,3.00,7.00,8.00,12.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5293030,8.00,8.00,6.00,7.00,10.00,10.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5293049,4.00,5.00,0.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5293057,5.00,5.00,2.00,5.00,6.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5293065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5293073,3.00,6.00,2.00,4.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5293081,5.00,4.00,2.00,2.00,8.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5293090,9.00,6.00,4.00,7.00,7.00,7.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5293111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5293120,4.00,7.00,4.00,6.00,9.00,7.13,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5293138,3.00,5.00,0.00,2.00,6.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5293146,3.00,3.00,0.00,3.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5293162,4.00,7.00,3.00,2.00,4.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5293170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5293189,3.00,4.00,4.00,2.00,6.00,6.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5293197,3.00,3.00,1.00,7.00,7.00,6.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5293200,9.00,6.00,2.00,3.00,6.00,8.63,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5293219,3.00,3.00,1.00,4.00,7.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5293235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5293243,3.00,6.00,1.00,3.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5293251,4.00,5.00,2.00,7.00,7.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5293278,4.00,4.00,1.00,5.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5293286,7.00,7.00,5.00,6.00,7.00,8.25,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5293308,4.00,4.00,0.00,4.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5293316,8.00,8.00,3.00,7.00,8.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5293324,8.00,7.00,3.00,7.00,9.00,12.00,6.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5293340,6.00,7.00,2.00,7.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5293359,3.00,7.00,1.00,4.00,4.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5293367,1.00,3.00,0.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5293375,6.00,6.00,4.00,6.00,9.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5293383,4.00,5.00,2.00,1.00,4.00,6.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5293391,3.00,4.00,0.00,1.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5293405,5.00,7.00,3.00,5.00,4.00,8.25,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5293413,5.00,7.00,2.00,5.00,7.00,9.38,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5293421,6.00,5.00,5.00,6.00,7.00,9.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5293430,4.00,8.00,3.00,7.00,8.00,10.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5293448,3.00,7.00,1.00,3.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5293456,5.00,6.00,0.00,6.00,4.00,6.00,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5293464,5.00,6.00,3.00,7.00,7.00,10.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5293472,4.00,7.00,6.00,8.00,7.00,9.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5293480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5293499,4.00,5.00,4.00,7.00,8.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5293502,1.00,3.00,0.00,6.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5293510,9.00,7.00,4.00,6.00,8.00,8.25,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5293537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5293545,2.00,8.00,1.00,5.00,4.00,7.50,4.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5293553,6.00,7.00,1.00,6.00,7.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5293561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5293570,4.00,5.00,4.00,4.00,5.00,7.88,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5293588,6.00,4.00,1.00,4.00,7.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5293596,6.00,7.00,5.00,7.00,7.00,11.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5293600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5293618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5293626,6.00,7.00,1.00,6.00,7.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5293634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5293642,5.00,7.00,2.00,5.00,7.00,7.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5293650,2.00,2.00,1.00,4.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5293677,0.00,3.00,1.00,4.00,7.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5293685,1.00,4.00,2.00,3.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5293693,6.00,6.00,4.00,6.00,7.00,9.38,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5293707,1.00,0.00,0.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5293715,2.00,4.00,3.00,4.00,5.00,4.88,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5293723,6.00,6.00,4.00,5.00,7.00,7.50,3.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5293731,5.00,5.00,5.00,4.00,6.00,NULL,3.00,3.00,4.00,NULL,NULL,'S','N'),(20,5293740,6.00,5.00,4.00,6.00,6.00,11.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5293758,5.00,5.00,3.00,7.00,6.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5293766,3.00,4.00,0.00,4.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5293774,3.00,4.00,1.00,3.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5293782,3.00,7.00,1.00,4.00,5.00,6.75,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5293790,6.00,7.00,6.00,6.00,8.00,7.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5293804,7.00,6.00,2.00,6.00,9.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5293812,2.00,4.00,2.00,4.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5293820,8.00,6.00,1.00,5.00,10.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5293839,3.00,5.00,4.00,4.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5293847,7.00,6.00,2.00,4.00,6.00,8.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5293855,5.00,7.00,1.00,5.00,7.00,10.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5293880,8.00,8.00,1.00,5.00,7.00,9.38,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5293898,2.00,6.00,1.00,2.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5293901,7.00,6.00,3.00,1.00,9.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5293910,7.00,4.00,2.00,6.00,7.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5293928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5293936,4.00,4.00,1.00,6.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5293944,4.00,7.00,0.00,5.00,6.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5293952,4.00,2.00,1.00,5.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5293960,3.00,4.00,5.00,3.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5293979,5.00,8.00,1.00,6.00,4.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5293995,5.00,4.00,2.00,2.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5294002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5294010,8.00,8.00,5.00,5.00,9.00,10.88,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5294029,5.00,5.00,0.00,5.00,6.00,8.25,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5294037,9.00,6.00,4.00,5.00,9.00,10.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5294053,8.00,5.00,4.00,5.00,7.00,8.25,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5294061,4.00,4.00,3.00,4.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5294088,4.00,5.00,3.00,8.00,7.00,8.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5294096,1.00,6.00,4.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5294100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5294118,9.00,6.00,9.00,7.00,9.00,8.63,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5294126,3.00,4.00,0.00,5.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5294142,7.00,5.00,4.00,5.00,8.00,8.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5294150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5294177,4.00,6.00,1.00,3.00,4.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5294193,4.00,4.00,2.00,5.00,5.00,NULL,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5294207,5.00,5.00,2.00,7.00,8.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5294215,3.00,4.00,3.00,6.00,6.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5294223,4.00,6.00,2.00,2.00,6.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5294231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5294240,4.00,6.00,3.00,4.00,7.00,6.75,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5294258,1.00,2.00,3.00,2.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5294266,5.00,6.00,2.00,5.00,5.00,11.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5294274,7.00,6.00,5.00,5.00,9.00,7.13,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5294282,8.00,6.00,1.00,6.00,8.00,11.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5294290,5.00,3.00,2.00,4.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5294304,5.00,7.00,3.00,6.00,5.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5294312,4.00,6.00,3.00,6.00,7.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5294320,2.00,2.00,1.00,2.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5294339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5294347,8.00,7.00,4.00,5.00,7.00,8.25,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5294363,0.00,2.00,0.00,0.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5294371,4.00,4.00,1.00,4.00,4.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5294380,9.00,9.00,7.00,7.00,10.00,10.88,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5294401,3.00,2.00,1.00,4.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5294410,4.00,6.00,2.00,3.00,5.00,6.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5294428,4.00,3.00,3.00,4.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5294436,5.00,7.00,2.00,7.00,5.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5294444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5294452,5.00,5.00,2.00,2.00,6.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5294460,3.00,3.00,1.00,3.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5294479,4.00,5.00,4.00,2.00,4.00,4.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5294487,6.00,5.00,2.00,5.00,7.00,8.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5294495,4.00,6.00,2.00,3.00,5.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5294509,5.00,5.00,2.00,3.00,1.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5294517,8.00,7.00,7.00,6.00,8.00,9.00,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5294525,0.00,0.00,0.00,1.00,0.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5294533,7.00,4.00,3.00,8.00,5.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5294541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5294568,4.00,4.00,2.00,4.00,9.00,10.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5294592,3.00,5.00,0.00,4.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5294606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5294614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5294630,3.00,3.00,1.00,4.00,6.00,8.25,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5294649,7.00,6.00,5.00,6.00,10.00,11.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5294665,2.00,7.00,5.00,3.00,5.00,10.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5294673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5294681,8.00,5.00,5.00,5.00,7.00,6.75,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5294690,6.00,3.00,0.00,6.00,6.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5294703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5294720,5.00,8.00,2.00,2.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5294738,8.00,7.00,3.00,7.00,8.00,11.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5294746,9.00,6.00,7.00,8.00,9.00,11.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5294770,1.00,4.00,2.00,4.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5294789,9.00,7.00,3.00,6.00,10.00,9.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5294797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5294800,3.00,5.00,4.00,4.00,6.00,8.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5294819,5.00,4.00,4.00,3.00,8.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5294827,6.00,5.00,2.00,5.00,7.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5294835,3.00,6.00,3.00,3.00,4.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5294843,3.00,3.00,0.00,2.00,4.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5294851,9.00,4.00,0.00,6.00,5.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5294860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5294878,3.00,7.00,2.00,2.00,7.00,9.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5294886,3.00,5.00,0.00,4.00,5.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5294894,9.00,6.00,4.00,7.00,8.00,9.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5294932,3.00,5.00,4.00,7.00,8.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5294940,5.00,4.00,1.00,7.00,6.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5294959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5294967,4.00,5.00,1.00,3.00,8.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5294983,6.00,6.00,2.00,3.00,8.00,10.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5294991,8.00,7.00,2.00,6.00,7.00,10.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5295009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5295017,9.00,8.00,5.00,7.00,9.00,9.75,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5295025,5.00,5.00,3.00,4.00,5.00,6.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5295033,4.00,4.00,1.00,5.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5295041,5.00,5.00,4.00,2.00,5.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5295050,9.00,6.00,5.00,7.00,9.00,8.63,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5295068,3.00,4.00,2.00,5.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5295084,5.00,5.00,0.00,4.00,7.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5295092,4.00,8.00,2.00,7.00,9.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5295106,6.00,6.00,1.00,7.00,9.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5295114,6.00,5.00,1.00,1.00,3.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5295122,9.00,4.00,3.00,7.00,6.00,11.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5295130,3.00,5.00,1.00,4.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5295149,1.00,3.00,0.00,4.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'S'),(20,5295173,4.00,5.00,1.00,3.00,6.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5295181,8.00,7.00,5.00,4.00,9.00,6.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5295190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5295203,4.00,6.00,3.00,4.00,8.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5295211,8.00,7.00,3.00,7.00,10.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5295220,6.00,5.00,2.00,7.00,5.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5295238,8.00,7.00,3.00,4.00,8.00,11.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5295246,3.00,3.00,4.00,1.00,3.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5295254,6.00,3.00,1.00,7.00,8.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5295262,3.00,1.00,3.00,4.00,3.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5295270,2.00,5.00,4.00,4.00,5.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5295289,4.00,6.00,3.00,5.00,7.00,10.13,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5295297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5295300,6.00,7.00,4.00,4.00,5.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5295319,4.00,2.00,1.00,1.00,5.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5295327,4.00,5.00,1.00,6.00,6.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5295335,3.00,4.00,0.00,3.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5295343,8.00,8.00,3.00,5.00,6.00,7.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5295351,5.00,4.00,2.00,6.00,3.00,NULL,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5295360,6.00,5.00,2.00,7.00,10.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5295378,8.00,6.00,8.00,6.00,8.00,9.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5295386,9.00,8.00,3.00,8.00,8.00,9.75,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5295394,6.00,6.00,4.00,6.00,9.00,9.00,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5295408,6.00,7.00,4.00,7.00,7.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5295416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5295424,7.00,6.00,5.00,6.00,8.00,8.63,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5295432,3.00,5.00,1.00,3.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,'S','N'),(20,5295440,5.00,5.00,0.00,6.00,5.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5295459,6.00,7.00,2.00,6.00,6.00,8.25,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5295467,3.00,4.00,3.00,4.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5295475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5295483,7.00,6.00,3.00,4.00,4.00,8.63,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5295491,8.00,6.00,5.00,5.00,9.00,9.00,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5295505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5295513,7.00,8.00,4.00,5.00,8.00,10.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5295521,6.00,5.00,0.00,6.00,7.00,9.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5295530,6.00,5.00,1.00,3.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5295548,4.00,7.00,2.00,2.00,6.00,4.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5295556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5295564,5.00,8.00,6.00,4.00,7.00,7.88,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5295572,7.00,5.00,1.00,4.00,4.00,10.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5295580,0.00,1.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5295599,4.00,6.00,0.00,6.00,6.00,9.00,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5295602,8.00,7.00,5.00,7.00,9.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5295610,8.00,6.00,2.00,8.00,11.00,7.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5295637,9.00,6.00,5.00,7.00,8.00,8.63,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5295645,7.00,7.00,2.00,7.00,9.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5295653,3.00,7.00,1.00,6.00,8.00,7.50,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5295661,6.00,4.00,3.00,4.00,7.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5295670,4.00,6.00,2.00,5.00,4.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5295688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5295696,4.00,5.00,2.00,6.00,4.00,7.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5295718,5.00,7.00,4.00,2.00,4.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5295726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5295734,5.00,7.00,4.00,4.00,5.00,6.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5295742,5.00,6.00,1.00,7.00,8.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5295750,3.00,4.00,0.00,4.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5295769,6.00,6.00,2.00,4.00,5.00,7.50,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(20,5295777,6.00,7.00,4.00,7.00,6.00,9.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5295785,3.00,4.00,2.00,7.00,7.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5295793,0.00,3.00,1.00,3.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5295807,3.00,6.00,4.00,2.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5295815,4.00,5.00,2.00,4.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5295823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5295831,2.00,2.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5295858,9.00,4.00,4.00,2.00,9.00,10.13,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5295866,6.00,6.00,0.00,2.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5295874,4.00,4.00,3.00,4.00,7.00,11.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5295882,3.00,4.00,0.00,2.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5295890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5295912,7.00,7.00,6.00,7.00,8.00,6.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5295920,5.00,6.00,1.00,7.00,9.00,11.25,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5295939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5295947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5295955,3.00,4.00,1.00,4.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5295963,6.00,9.00,3.00,8.00,8.00,9.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5295971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5295980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5295998,6.00,7.00,7.00,7.00,7.00,9.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5296005,6.00,5.00,0.00,4.00,9.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5296013,3.00,3.00,2.00,2.00,5.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5296021,4.00,1.00,0.00,1.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5296030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5296048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5296056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5296064,6.00,6.00,3.00,5.00,8.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5296072,5.00,7.00,2.00,6.00,5.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5296080,1.00,7.00,3.00,6.00,7.00,7.13,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5296099,4.00,5.00,1.00,3.00,5.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5296102,7.00,8.00,6.00,5.00,8.00,9.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5296110,3.00,6.00,1.00,5.00,5.00,7.88,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5296129,8.00,7.00,4.00,7.00,10.00,12.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5296137,6.00,6.00,2.00,5.00,6.00,8.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5296145,7.00,7.00,4.00,6.00,8.00,8.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5296153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5296161,1.00,6.00,2.00,2.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5296170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5296188,5.00,5.00,4.00,4.00,5.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5296196,5.00,6.00,7.00,7.00,7.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5296200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5296218,3.00,6.00,1.00,3.00,2.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5296226,8.00,8.00,8.00,5.00,10.00,9.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5296234,4.00,5.00,0.00,6.00,7.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5296242,3.00,4.00,2.00,5.00,6.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5296250,8.00,7.00,3.00,7.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5296277,2.00,0.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5296285,4.00,7.00,0.00,7.00,5.00,7.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5296293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5296307,4.00,5.00,2.00,2.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5296315,3.00,5.00,3.00,4.00,4.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5296323,8.00,6.00,4.00,7.00,10.00,8.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5296331,6.00,8.00,4.00,5.00,6.00,10.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5296358,7.00,4.00,5.00,4.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5296366,2.00,5.00,2.00,2.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5296374,6.00,6.00,2.00,6.00,5.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5296382,7.00,8.00,4.00,4.00,4.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5296390,5.00,8.00,3.00,6.00,6.00,7.50,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5296404,4.00,8.00,2.00,2.00,5.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5296412,8.00,7.00,2.00,6.00,7.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5296420,5.00,8.00,6.00,6.00,7.00,7.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5296447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5296455,6.00,4.00,2.00,5.00,4.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5296463,4.00,6.00,2.00,6.00,4.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5296471,5.00,6.00,1.00,2.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5296480,8.00,9.00,4.00,7.00,9.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5296498,10.00,8.00,5.00,6.00,6.00,6.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5296501,1.00,5.00,1.00,3.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5296536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5296544,6.00,3.00,2.00,2.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5296552,1.00,2.00,2.00,2.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5296560,6.00,5.00,6.00,7.00,5.00,NULL,0.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5296579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5296587,3.00,4.00,4.00,3.00,7.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5296595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5296609,5.00,6.00,2.00,7.00,7.00,7.13,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5296617,2.00,4.00,0.00,4.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5296625,6.00,4.00,0.00,5.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5296633,9.00,4.00,3.00,7.00,5.00,10.13,0.00,4.00,6.00,NULL,NULL,NULL,'S'),(20,5296641,4.00,3.00,2.00,6.00,5.00,10.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5296650,4.00,4.00,0.00,5.00,5.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5296668,6.00,8.00,5.00,7.00,9.00,9.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5296676,5.00,5.00,5.00,4.00,9.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5296684,4.00,6.00,5.00,7.00,6.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5296692,6.00,6.00,1.00,6.00,7.00,9.75,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5296706,5.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5296714,3.00,5.00,1.00,2.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5296722,5.00,4.00,6.00,3.00,5.00,9.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5296730,2.00,6.00,0.00,6.00,8.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5296749,7.00,6.00,5.00,4.00,6.00,9.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5296757,4.00,5.00,0.00,4.00,7.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5296773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5296781,3.00,3.00,0.00,2.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5296790,3.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5296803,8.00,6.00,5.00,7.00,5.00,7.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(20,5296811,6.00,5.00,1.00,1.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5296820,9.00,5.00,0.00,7.00,8.00,10.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5296838,3.00,5.00,0.00,2.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5296854,5.00,7.00,3.00,7.00,7.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5296862,3.00,3.00,2.00,6.00,6.00,7.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5296870,6.00,5.00,2.00,5.00,7.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'S'),(20,5296889,6.00,6.00,2.00,5.00,6.00,10.88,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5296897,9.00,8.00,6.00,7.00,9.00,10.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5296900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5296919,5.00,7.00,3.00,5.00,8.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5296927,0.00,3.00,1.00,4.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5296935,2.00,3.00,0.00,1.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5296943,6.00,6.00,1.00,5.00,8.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5296951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5296978,4.00,5.00,3.00,4.00,7.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5296986,8.00,7.00,3.00,7.00,9.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5296994,4.00,6.00,0.00,5.00,6.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5297001,7.00,7.00,4.00,7.00,7.00,8.63,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5297010,4.00,6.00,2.00,4.00,4.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5297028,6.00,3.00,0.00,6.00,10.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5297036,5.00,4.00,1.00,4.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5297044,1.00,2.00,1.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5297052,7.00,5.00,2.00,7.00,6.00,10.13,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5297079,6.00,4.00,0.00,2.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5297095,2.00,5.00,1.00,4.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5297109,3.00,8.00,2.00,5.00,8.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5297117,7.00,5.00,4.00,7.00,7.00,12.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5297125,6.00,3.00,2.00,4.00,6.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5297133,7.00,5.00,5.00,7.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5297141,8.00,7.00,3.00,6.00,6.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5297150,3.00,5.00,4.00,5.00,5.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5297168,9.00,6.00,1.00,8.00,10.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5297176,4.00,5.00,2.00,3.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5297184,2.00,3.00,0.00,3.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5297192,4.00,2.00,1.00,3.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5297206,8.00,7.00,7.00,6.00,7.00,7.88,7.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5297214,5.00,4.00,2.00,4.00,5.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5297222,2.00,4.00,1.00,1.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5297230,5.00,4.00,0.00,4.00,5.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5297257,8.00,8.00,2.00,7.00,8.00,12.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5297265,1.00,9.00,1.00,4.00,8.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5297273,1.00,5.00,0.00,5.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5297281,1.00,4.00,0.00,3.00,7.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5297290,6.00,3.00,1.00,2.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5297303,4.00,5.00,1.00,4.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5297311,7.00,7.00,6.00,7.00,9.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5297320,3.00,4.00,1.00,4.00,5.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5297338,7.00,7.00,7.00,5.00,9.00,9.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5297346,8.00,7.00,3.00,5.00,8.00,10.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5297354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5297362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5297370,6.00,5.00,1.00,4.00,4.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5297389,7.00,8.00,5.00,5.00,6.00,7.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5297400,4.00,3.00,0.00,3.00,6.00,NULL,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5297419,7.00,8.00,0.00,5.00,6.00,7.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5297427,6.00,5.00,1.00,3.00,9.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5297435,9.00,6.00,3.00,7.00,10.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5297443,2.00,4.00,2.00,3.00,0.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5297451,5.00,3.00,3.00,7.00,4.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5297478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5297486,4.00,6.00,5.00,4.00,8.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5297494,8.00,8.00,6.00,5.00,7.00,8.25,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5297508,0.00,5.00,0.00,0.00,0.00,NULL,2.00,2.00,0.00,'S',NULL,NULL,'N'),(20,5297516,6.00,7.00,0.00,5.00,7.00,6.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5297524,4.00,4.00,1.00,5.00,5.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5297532,8.00,7.00,3.00,7.00,7.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5297540,6.00,6.00,1.00,2.00,7.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5297559,3.00,4.00,1.00,2.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5297567,8.00,7.00,2.00,5.00,6.00,9.38,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5297575,5.00,0.00,1.00,7.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5297591,7.00,5.00,4.00,6.00,4.00,9.75,1.00,2.00,6.00,NULL,NULL,NULL,'S'),(20,5297605,4.00,6.00,5.00,4.00,5.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5297613,8.00,8.00,5.00,5.00,10.00,8.25,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5297621,7.00,8.00,5.00,7.00,9.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5297630,6.00,7.00,4.00,6.00,5.00,10.13,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5297648,6.00,5.00,1.00,4.00,6.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5297656,8.00,7.00,6.00,7.00,9.00,7.50,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5297664,1.00,3.00,1.00,2.00,6.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5297672,9.00,7.00,7.00,7.00,9.00,10.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5297680,5.00,6.00,0.00,5.00,8.00,7.88,2.00,2.00,6.00,NULL,NULL,NULL,'S'),(20,5297699,9.00,7.00,7.00,7.00,9.00,9.38,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5297702,8.00,9.00,5.00,5.00,7.00,10.13,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5297710,8.00,8.00,4.00,7.00,8.00,10.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5297729,2.00,2.00,5.00,5.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5297737,8.00,7.00,3.00,7.00,9.00,8.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5297745,8.00,7.00,3.00,7.00,6.00,7.13,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5297753,5.00,6.00,3.00,4.00,3.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5297770,7.00,5.00,1.00,4.00,7.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5297788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5297796,3.00,6.00,0.00,0.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5297818,3.00,7.00,1.00,5.00,4.00,4.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5297826,6.00,7.00,5.00,5.00,5.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5297834,8.00,7.00,3.00,6.00,5.00,7.50,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5297842,8.00,5.00,4.00,6.00,7.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5297869,6.00,4.00,2.00,6.00,6.00,8.63,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5297877,5.00,6.00,2.00,7.00,7.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5297893,6.00,6.00,0.00,6.00,6.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5297907,7.00,8.00,4.00,4.00,8.00,8.63,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5297923,3.00,4.00,2.00,2.00,5.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5297931,9.00,6.00,5.00,4.00,7.00,9.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5297940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5297958,9.00,3.00,2.00,7.00,7.00,10.13,0.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5297966,8.00,9.00,6.00,7.00,10.00,10.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5297974,6.00,7.00,3.00,4.00,6.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5297982,4.00,3.00,3.00,2.00,6.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5297990,7.00,6.00,3.00,5.00,8.00,10.13,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5298008,4.00,7.00,2.00,5.00,6.00,10.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5298016,6.00,5.00,3.00,7.00,7.00,8.63,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5298024,4.00,3.00,1.00,6.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5298032,8.00,7.00,3.00,4.00,10.00,9.38,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5298040,8.00,8.00,5.00,6.00,9.00,10.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5298059,8.00,7.00,5.00,7.00,10.00,11.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5298067,8.00,8.00,4.00,5.00,9.00,8.25,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5298075,7.00,6.00,4.00,7.00,6.00,6.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5298083,9.00,8.00,6.00,7.00,8.00,9.38,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5298091,6.00,5.00,3.00,6.00,6.00,8.63,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5298105,4.00,5.00,0.00,4.00,6.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5298113,6.00,4.00,0.00,6.00,7.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5298130,7.00,8.00,3.00,8.00,6.00,9.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5298148,6.00,5.00,6.00,7.00,5.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5298156,2.00,6.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5298164,4.00,7.00,2.00,6.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5298172,5.00,3.00,2.00,0.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5298180,4.00,6.00,2.00,2.00,5.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5298199,5.00,3.00,3.00,1.00,6.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5298202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5298210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5298229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5298237,6.00,5.00,4.00,4.00,6.00,7.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5298245,7.00,5.00,2.00,7.00,5.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5298253,6.00,7.00,1.00,4.00,8.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5298261,7.00,5.00,5.00,5.00,7.00,7.88,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5298270,8.00,7.00,3.00,6.00,5.00,8.63,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5298288,5.00,5.00,1.00,7.00,5.00,10.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5298300,2.00,6.00,3.00,4.00,6.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5298318,3.00,5.00,5.00,6.00,4.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5298326,7.00,8.00,3.00,4.00,9.00,9.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5298334,9.00,5.00,3.00,4.00,6.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5298342,4.00,8.00,2.00,6.00,7.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5298350,2.00,5.00,2.00,4.00,4.00,4.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5298369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5298385,4.00,7.00,1.00,2.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5298393,8.00,9.00,7.00,7.00,9.00,6.75,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5298407,3.00,4.00,2.00,2.00,7.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5298415,2.00,1.00,0.00,0.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5298423,5.00,6.00,1.00,6.00,7.00,11.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5298431,9.00,7.00,5.00,6.00,9.00,10.50,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5298440,5.00,5.00,1.00,4.00,5.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5298458,8.00,5.00,0.00,7.00,7.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5298466,4.00,8.00,5.00,2.00,7.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5298474,9.00,7.00,5.00,7.00,11.00,10.13,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5298482,9.00,7.00,6.00,7.00,8.00,7.50,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5298490,5.00,6.00,2.00,4.00,9.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5298504,4.00,4.00,1.00,7.00,5.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5298520,4.00,5.00,1.00,2.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5298539,5.00,4.00,1.00,3.00,7.00,10.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5298547,7.00,5.00,5.00,4.00,8.00,7.88,1.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5298555,7.00,6.00,2.00,7.00,8.00,9.00,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5298563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5298571,6.00,6.00,4.00,6.00,7.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5298580,8.00,6.00,4.00,7.00,9.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5298598,6.00,7.00,3.00,6.00,5.00,7.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5298601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5298610,4.00,6.00,1.00,5.00,7.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5298628,4.00,7.00,4.00,5.00,6.00,8.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5298636,3.00,4.00,3.00,3.00,4.00,10.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5298644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5298652,5.00,1.00,0.00,3.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5298660,1.00,6.00,2.00,2.00,3.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5298687,2.00,5.00,3.00,6.00,5.00,8.25,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5298695,4.00,6.00,3.00,3.00,6.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5298709,0.00,3.00,2.00,1.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5298717,5.00,7.00,4.00,3.00,1.00,NULL,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5298725,9.00,8.00,7.00,7.00,7.00,9.75,6.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5298733,8.00,8.00,3.00,7.00,10.00,12.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5298741,9.00,7.00,4.00,8.00,9.00,9.75,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5298750,4.00,6.00,1.00,6.00,8.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5298768,2.00,6.00,1.00,5.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5298776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5298784,7.00,5.00,2.00,5.00,6.00,12.00,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5298792,1.00,2.00,0.00,3.00,1.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5298806,6.00,4.00,0.00,5.00,6.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5298814,7.00,7.00,2.00,7.00,7.00,6.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5298822,2.00,3.00,2.00,1.00,5.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5298830,2.00,5.00,0.00,1.00,6.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5298849,5.00,6.00,4.00,6.00,8.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5298857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5298865,2.00,4.00,1.00,6.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5298873,5.00,6.00,1.00,5.00,7.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5298881,3.00,5.00,0.00,2.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5298890,2.00,4.00,0.00,6.00,6.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5298903,6.00,6.00,1.00,4.00,4.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5298911,5.00,5.00,1.00,6.00,7.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5298920,1.00,5.00,0.00,6.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5298938,9.00,9.00,6.00,8.00,10.00,10.88,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5298954,3.00,2.00,0.00,2.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5298962,4.00,4.00,3.00,3.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5298970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5298989,3.00,5.00,0.00,4.00,4.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5298997,4.00,5.00,2.00,3.00,5.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5299004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5299012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5299039,4.00,7.00,3.00,5.00,8.00,10.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5299047,4.00,4.00,0.00,7.00,4.00,9.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5299055,8.00,7.00,4.00,6.00,8.00,9.75,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5299063,6.00,8.00,6.00,7.00,8.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5299071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5299080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5299098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5299101,3.00,7.00,5.00,4.00,8.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5299110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5299128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5299136,7.00,6.00,0.00,4.00,6.00,9.00,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5299144,5.00,6.00,5.00,4.00,6.00,7.50,1.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5299152,6.00,7.00,5.00,5.00,8.00,11.63,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5299160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5299179,5.00,2.00,2.00,3.00,4.00,4.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5299187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5299195,8.00,7.00,4.00,7.00,10.00,10.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5299209,4.00,7.00,1.00,1.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5299217,3.00,5.00,2.00,7.00,7.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5299225,0.00,1.00,1.00,5.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5299233,2.00,4.00,1.00,5.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5299241,5.00,5.00,2.00,3.00,7.00,10.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5299250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5299268,7.00,5.00,0.00,7.00,5.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5299284,4.00,7.00,3.00,6.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5299292,5.00,6.00,1.00,6.00,5.00,8.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5299306,7.00,7.00,4.00,4.00,7.00,8.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5299314,2.00,5.00,1.00,3.00,6.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'S'),(20,5299322,2.00,4.00,1.00,5.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5299330,3.00,5.00,0.00,4.00,7.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5299349,2.00,3.00,0.00,3.00,0.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5299357,2.00,5.00,3.00,4.00,4.00,8.25,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5299373,6.00,7.00,1.00,4.00,6.00,6.38,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5299381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5299390,7.00,6.00,4.00,4.00,8.00,6.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5299403,8.00,8.00,5.00,5.00,7.00,9.38,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5299411,8.00,6.00,0.00,6.00,8.00,10.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5299420,6.00,5.00,3.00,3.00,6.00,9.00,4.00,2.00,6.00,NULL,NULL,NULL,'S'),(20,5299438,3.00,5.00,0.00,3.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5299454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5299470,8.00,7.00,4.00,5.00,9.00,8.25,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5299500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5299519,3.00,4.00,0.00,5.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5299527,6.00,3.00,3.00,5.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5299535,4.00,5.00,3.00,4.00,4.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5299543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5299551,5.00,6.00,3.00,2.00,8.00,6.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5299578,5.00,5.00,1.00,5.00,8.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5299586,3.00,3.00,0.00,1.00,3.00,NULL,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5299594,8.00,7.00,3.00,7.00,9.00,12.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5299608,5.00,5.00,2.00,6.00,7.00,9.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5299616,3.00,4.00,0.00,5.00,5.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5299624,6.00,7.00,3.00,6.00,9.00,9.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5299659,3.00,4.00,0.00,2.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5299667,3.00,6.00,1.00,3.00,8.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5299675,8.00,6.00,1.00,6.00,6.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5299683,3.00,6.00,4.00,4.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5299691,4.00,5.00,0.00,6.00,7.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5299705,9.00,9.00,5.00,7.00,9.00,8.63,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5299713,3.00,5.00,3.00,5.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5299721,1.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5299730,2.00,4.00,2.00,2.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5299748,3.00,4.00,3.00,3.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5299756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5299764,5.00,7.00,1.00,4.00,4.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5299772,8.00,8.00,7.00,8.00,8.00,8.63,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5299799,4.00,5.00,5.00,4.00,5.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5299802,8.00,8.00,8.00,3.00,9.00,9.00,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5299810,7.00,8.00,8.00,6.00,10.00,6.75,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5299829,2.00,4.00,2.00,3.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5299837,8.00,6.00,3.00,4.00,9.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5299845,3.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5299853,9.00,9.00,4.00,6.00,9.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5299870,2.00,2.00,2.00,4.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5299888,8.00,9.00,7.00,6.00,8.00,9.38,9.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5299896,0.00,5.00,0.00,0.00,0.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5299900,8.00,5.00,3.00,5.00,4.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5299918,6.00,7.00,6.00,7.00,10.00,12.00,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5299926,3.00,4.00,2.00,2.00,4.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5299934,7.00,6.00,5.00,7.00,5.00,9.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5299950,5.00,6.00,1.00,5.00,7.00,9.00,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5299969,9.00,4.00,5.00,7.00,6.00,10.88,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5299977,7.00,7.00,0.00,6.00,7.00,8.63,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5299985,7.00,6.00,0.00,7.00,8.00,10.88,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5299993,3.00,0.00,2.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5300002,2.00,6.00,5.00,7.00,4.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5300010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5300029,7.00,8.00,4.00,5.00,6.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5300045,6.00,5.00,2.00,7.00,7.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5300061,3.00,4.00,0.00,2.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5300070,4.00,3.00,0.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5300088,4.00,4.00,1.00,1.00,4.00,NULL,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5300100,6.00,6.00,5.00,7.00,6.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5300118,3.00,4.00,2.00,1.00,5.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5300126,3.00,5.00,4.00,4.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5300134,3.00,6.00,1.00,3.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5300142,5.00,6.00,2.00,5.00,8.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5300150,9.00,6.00,8.00,6.00,6.00,10.88,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5300169,4.00,7.00,4.00,5.00,4.00,6.75,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5300177,5.00,4.00,2.00,6.00,5.00,7.88,5.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5300193,4.00,7.00,3.00,7.00,6.00,10.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5300207,1.00,3.00,1.00,2.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5300215,8.00,7.00,3.00,4.00,6.00,6.00,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5300223,3.00,5.00,2.00,4.00,8.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5300231,8.00,8.00,3.00,7.00,10.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5300240,0.00,2.00,1.00,2.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5300258,8.00,6.00,5.00,6.00,8.00,11.63,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5300266,5.00,5.00,1.00,3.00,4.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5300274,6.00,7.00,5.00,5.00,9.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5300282,4.00,7.00,5.00,3.00,6.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5300290,7.00,6.00,3.00,4.00,8.00,7.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5300304,8.00,4.00,2.00,7.00,8.00,11.25,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5300312,6.00,6.00,2.00,4.00,7.00,6.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5300320,4.00,4.00,3.00,3.00,4.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5300339,7.00,7.00,5.00,7.00,7.00,9.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5300347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5300355,5.00,6.00,4.00,4.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5300363,4.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5300371,8.00,6.00,0.00,7.00,8.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5300380,4.00,5.00,2.00,1.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5300398,8.00,3.00,2.00,5.00,8.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5300410,7.00,2.00,1.00,7.00,4.00,6.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5300428,5.00,6.00,1.00,6.00,6.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5300436,6.00,2.00,4.00,5.00,6.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5300444,9.00,8.00,3.00,8.00,10.00,10.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5300460,8.00,5.00,2.00,5.00,8.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5300479,2.00,5.00,2.00,3.00,6.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5300487,6.00,5.00,3.00,4.00,8.00,11.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5300495,4.00,6.00,2.00,7.00,8.00,10.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5300509,3.00,4.00,1.00,5.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5300517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5300525,4.00,6.00,2.00,4.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,'S','S'),(20,5300533,6.00,7.00,0.00,4.00,8.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5300541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5300568,6.00,8.00,1.00,5.00,8.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5300576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5300584,5.00,3.00,1.00,7.00,7.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5300592,1.00,5.00,1.00,2.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5300606,0.00,3.00,1.00,2.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5300614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5300622,6.00,5.00,4.00,4.00,7.00,9.38,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5300630,5.00,6.00,2.00,4.00,7.00,8.63,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5300657,1.00,0.00,4.00,3.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5300665,7.00,8.00,5.00,6.00,9.00,8.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5300673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5300681,4.00,6.00,3.00,0.00,1.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5300690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5300703,9.00,7.00,5.00,7.00,8.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5300711,5.00,6.00,0.00,8.00,8.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5300720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5300738,9.00,7.00,3.00,7.00,8.00,9.75,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5300746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5300754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5300762,9.00,6.00,4.00,7.00,7.00,11.63,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5300770,2.00,5.00,2.00,4.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5300789,8.00,6.00,6.00,7.00,10.00,12.75,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5300797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5300800,4.00,8.00,3.00,5.00,6.00,7.50,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5300819,5.00,3.00,1.00,3.00,7.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5300827,6.00,7.00,5.00,3.00,7.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5300835,8.00,8.00,5.00,6.00,10.00,9.38,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5300843,9.00,5.00,7.00,6.00,8.00,8.63,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5300851,1.00,4.00,0.00,0.00,5.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(20,5300860,5.00,4.00,0.00,2.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5300878,7.00,7.00,4.00,5.00,7.00,7.88,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5300886,2.00,2.00,1.00,2.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5300894,0.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5300908,1.00,5.00,3.00,3.00,4.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5300916,4.00,5.00,3.00,3.00,7.00,8.25,0.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5300932,5.00,4.00,2.00,5.00,6.00,7.50,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5300940,5.00,7.00,2.00,7.00,7.00,7.88,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5300959,7.00,7.00,4.00,7.00,10.00,8.25,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5300975,6.00,6.00,0.00,5.00,9.00,11.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5300983,4.00,5.00,0.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5300991,6.00,5.00,1.00,7.00,10.00,8.25,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5301009,7.00,7.00,8.00,6.00,10.00,9.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5301017,4.00,7.00,0.00,5.00,7.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5301025,5.00,7.00,3.00,8.00,8.00,7.50,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5301033,4.00,3.00,2.00,3.00,4.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5301041,4.00,3.00,0.00,3.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5301050,6.00,5.00,3.00,3.00,7.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5301068,3.00,6.00,0.00,1.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5301076,4.00,5.00,1.00,5.00,7.00,10.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5301084,5.00,7.00,1.00,5.00,8.00,9.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5301092,4.00,6.00,1.00,6.00,5.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5301106,2.00,5.00,3.00,3.00,8.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5301114,8.00,7.00,4.00,6.00,10.00,13.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5301122,9.00,6.00,6.00,4.00,7.00,10.88,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5301130,4.00,7.00,3.00,6.00,4.00,12.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5301149,4.00,6.00,2.00,6.00,7.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5301157,5.00,6.00,0.00,5.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5301165,5.00,3.00,0.00,6.00,10.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5301173,4.00,7.00,0.00,5.00,8.00,6.75,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5301181,8.00,7.00,5.00,7.00,7.00,9.38,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5301190,3.00,6.00,2.00,5.00,4.00,6.38,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5301203,9.00,7.00,7.00,7.00,7.00,9.75,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5301220,6.00,3.00,2.00,1.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5301238,5.00,5.00,3.00,4.00,5.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5301246,6.00,6.00,3.00,4.00,10.00,8.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5301254,8.00,8.00,4.00,7.00,7.00,8.25,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5301262,9.00,7.00,2.00,7.00,7.00,11.63,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5301270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5301289,7.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5301297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5301300,3.00,6.00,4.00,6.00,7.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5301319,7.00,7.00,5.00,7.00,7.00,11.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5301327,1.00,2.00,0.00,2.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5301335,4.00,6.00,3.00,4.00,8.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5301343,5.00,6.00,4.00,3.00,5.00,7.50,1.00,4.00,6.00,NULL,NULL,NULL,'S'),(20,5301351,7.00,7.00,5.00,4.00,9.00,12.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5301360,8.00,0.00,5.00,7.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5301378,7.00,4.00,3.00,4.00,8.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5301386,5.00,4.00,5.00,6.00,6.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5301394,7.00,7.00,1.00,5.00,8.00,6.00,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5301416,4.00,5.00,3.00,5.00,4.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5301424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5301432,8.00,6.00,3.00,6.00,10.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5301440,6.00,5.00,4.00,7.00,8.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5301459,2.00,5.00,0.00,2.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5301467,6.00,5.00,1.00,7.00,6.00,7.88,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5301475,3.00,6.00,1.00,4.00,5.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5301483,7.00,6.00,3.00,7.00,9.00,11.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5301491,9.00,9.00,5.00,8.00,9.00,9.38,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5301513,7.00,9.00,6.00,8.00,11.00,10.13,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5301521,7.00,6.00,0.00,7.00,10.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5301530,2.00,7.00,1.00,3.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5301548,9.00,8.00,9.00,7.00,10.00,12.75,9.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5301556,8.00,6.00,4.00,5.00,8.00,8.63,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5301564,1.00,3.00,0.00,7.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5301572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5301580,5.00,4.00,1.00,6.00,4.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5301599,2.00,5.00,3.00,6.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5301602,4.00,5.00,0.00,5.00,7.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5301610,2.00,3.00,2.00,2.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5301629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5301637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5301645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5301661,2.00,0.00,3.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5301670,2.00,5.00,1.00,3.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5301688,5.00,5.00,4.00,2.00,6.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5301696,7.00,6.00,1.00,7.00,6.00,9.38,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5301700,4.00,5.00,3.00,7.00,10.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5301718,2.00,4.00,2.00,6.00,4.00,6.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5301726,6.00,3.00,1.00,4.00,4.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5301734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5301742,8.00,7.00,4.00,2.00,8.00,7.13,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5301750,8.00,9.00,6.00,7.00,9.00,10.88,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5301769,6.00,6.00,4.00,5.00,7.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5301777,5.00,6.00,0.00,3.00,7.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5301785,7.00,7.00,2.00,5.00,6.00,10.88,0.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5301793,7.00,8.00,5.00,7.00,10.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5301807,2.00,4.00,0.00,3.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5301815,6.00,6.00,5.00,6.00,9.00,11.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5301823,1.00,6.00,1.00,4.00,6.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5301831,7.00,7.00,1.00,4.00,9.00,10.88,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5301840,8.00,8.00,3.00,7.00,8.00,12.38,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5301866,3.00,3.00,0.00,2.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5301874,0.00,6.00,1.00,5.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5301882,8.00,6.00,0.00,6.00,8.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5301890,7.00,7.00,3.00,7.00,8.00,7.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5301904,9.00,7.00,6.00,7.00,8.00,7.88,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5301912,5.00,7.00,4.00,4.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5301920,4.00,6.00,3.00,6.00,6.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5301939,2.00,4.00,3.00,5.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5301963,4.00,6.00,4.00,4.00,6.00,6.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5301971,6.00,6.00,5.00,6.00,8.00,6.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5301980,2.00,4.00,0.00,7.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5301998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5302005,5.00,7.00,2.00,5.00,5.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5302013,0.00,2.00,4.00,2.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5302021,6.00,5.00,2.00,5.00,7.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5302030,4.00,6.00,2.00,7.00,7.00,4.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5302048,9.00,7.00,4.00,7.00,8.00,11.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5302064,6.00,5.00,0.00,4.00,1.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5302072,4.00,5.00,0.00,2.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5302080,1.00,5.00,1.00,3.00,8.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5302099,3.00,4.00,1.00,1.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5302102,8.00,6.00,1.00,8.00,10.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5302110,5.00,6.00,3.00,5.00,6.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5302137,8.00,7.00,0.00,4.00,7.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5302145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5302153,5.00,9.00,5.00,7.00,5.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5302161,5.00,7.00,7.00,3.00,6.00,7.13,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5302170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5302188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5302196,2.00,7.00,4.00,6.00,7.00,9.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5302200,7.00,7.00,2.00,5.00,5.00,11.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5302218,6.00,3.00,0.00,3.00,7.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5302226,1.00,4.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5302234,5.00,7.00,7.00,7.00,8.00,11.25,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5302242,1.00,2.00,0.00,2.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5302250,4.00,3.00,0.00,4.00,5.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5302269,7.00,6.00,3.00,6.00,6.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5302277,2.00,6.00,2.00,3.00,9.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5302285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5302293,5.00,7.00,1.00,3.00,4.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5302307,3.00,5.00,1.00,2.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5302315,6.00,7.00,3.00,5.00,8.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5302323,3.00,4.00,4.00,6.00,5.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5302331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5302358,7.00,4.00,2.00,5.00,4.00,4.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5302366,8.00,8.00,5.00,7.00,9.00,11.25,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5302374,5.00,6.00,0.00,4.00,6.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5302382,3.00,7.00,2.00,5.00,5.00,9.75,0.00,2.00,6.00,NULL,NULL,NULL,'S'),(20,5302390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5302404,6.00,7.00,0.00,6.00,9.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5302412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5302420,7.00,7.00,6.00,5.00,8.00,9.38,7.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5302439,6.00,4.00,1.00,3.00,1.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5302447,8.00,7.00,4.00,2.00,9.00,9.38,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5302455,6.00,7.00,0.00,5.00,10.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5302463,5.00,1.00,0.00,5.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5302471,5.00,7.00,2.00,6.00,7.00,7.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5302480,3.00,4.00,1.00,4.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5302498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5302501,3.00,6.00,2.00,4.00,4.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5302510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5302528,2.00,5.00,1.00,5.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5302536,2.00,5.00,0.00,3.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5302544,3.00,5.00,0.00,2.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5302552,3.00,5.00,2.00,4.00,7.00,11.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5302560,5.00,7.00,4.00,6.00,9.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5302579,3.00,3.00,2.00,0.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5302587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5302595,3.00,3.00,3.00,4.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5302609,2.00,5.00,0.00,3.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5302617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5302625,6.00,4.00,3.00,3.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5302633,2.00,4.00,2.00,1.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5302641,3.00,6.00,0.00,4.00,7.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5302650,5.00,0.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5302676,7.00,4.00,4.00,8.00,9.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5302684,3.00,2.00,0.00,1.00,5.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5302692,8.00,7.00,0.00,7.00,8.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5302706,4.00,5.00,2.00,1.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5302722,3.00,4.00,2.00,4.00,3.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5302730,2.00,4.00,2.00,4.00,2.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5302749,5.00,7.00,1.00,7.00,8.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5302757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5302765,5.00,5.00,1.00,6.00,6.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5302773,6.00,8.00,0.00,4.00,7.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5302781,3.00,1.00,3.00,2.00,3.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5302790,5.00,6.00,0.00,5.00,6.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5302803,8.00,6.00,1.00,5.00,5.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5302811,2.00,2.00,1.00,5.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5302820,7.00,4.00,0.00,5.00,7.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5302838,5.00,6.00,1.00,3.00,5.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5302846,4.00,6.00,1.00,4.00,6.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5302854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5302862,4.00,5.00,3.00,3.00,5.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5302870,8.00,7.00,1.00,7.00,10.00,8.25,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5302889,6.00,6.00,4.00,4.00,6.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5302900,8.00,6.00,1.00,5.00,6.00,7.13,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5302919,8.00,7.00,5.00,8.00,10.00,9.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5302927,5.00,5.00,0.00,3.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5302935,8.00,7.00,5.00,4.00,6.00,7.88,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5302943,5.00,6.00,2.00,6.00,10.00,7.88,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5302960,3.00,5.00,2.00,2.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5302978,9.00,8.00,6.00,7.00,8.00,10.50,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5302986,3.00,3.00,2.00,3.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5302994,4.00,5.00,1.00,4.00,5.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5303001,3.00,3.00,1.00,4.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5303036,4.00,5.00,1.00,5.00,5.00,11.25,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5303052,8.00,6.00,5.00,5.00,7.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5303060,5.00,4.00,0.00,5.00,9.00,12.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5303079,4.00,5.00,0.00,3.00,3.00,NULL,1.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5303087,6.00,5.00,4.00,7.00,6.00,6.38,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5303095,5.00,5.00,2.00,7.00,4.00,10.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5303109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5303117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5303133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5303141,7.00,7.00,2.00,6.00,9.00,7.50,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5303150,4.00,7.00,4.00,5.00,8.00,6.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5303168,6.00,4.00,1.00,3.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5303176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5303184,9.00,8.00,6.00,7.00,8.00,9.38,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5303206,9.00,9.00,7.00,7.00,10.00,10.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5303214,3.00,8.00,2.00,4.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5303222,5.00,5.00,2.00,1.00,5.00,6.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5303230,3.00,5.00,1.00,2.00,7.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5303257,6.00,6.00,3.00,4.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5303265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5303273,1.00,1.00,0.00,2.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5303303,5.00,6.00,0.00,5.00,7.00,10.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5303311,2.00,4.00,2.00,4.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5303320,0.00,2.00,1.00,3.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5303338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5303346,0.00,6.00,0.00,0.00,0.00,NULL,2.00,3.00,4.00,'S',NULL,'S','N'),(20,5303354,3.00,4.00,1.00,4.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5303362,6.00,4.00,4.00,5.00,5.00,7.13,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5303370,4.00,4.00,0.00,5.00,9.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5303389,3.00,7.00,0.00,6.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5303397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5303400,9.00,8.00,9.00,7.00,10.00,10.88,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5303419,3.00,5.00,1.00,5.00,5.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5303427,4.00,7.00,0.00,2.00,8.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5303435,7.00,8.00,4.00,4.00,7.00,8.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5303443,5.00,7.00,5.00,4.00,4.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5303451,8.00,8.00,5.00,6.00,8.00,10.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5303460,3.00,6.00,3.00,4.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5303478,8.00,8.00,7.00,6.00,8.00,10.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5303486,3.00,5.00,2.00,7.00,7.00,10.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5303494,4.00,6.00,2.00,4.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5303508,8.00,7.00,4.00,7.00,8.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5303516,6.00,7.00,4.00,2.00,6.00,9.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5303524,0.00,4.00,0.00,0.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5303532,2.00,4.00,2.00,6.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5303540,7.00,6.00,1.00,6.00,5.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5303567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5303583,8.00,8.00,4.00,6.00,8.00,9.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5303591,2.00,3.00,2.00,1.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5303605,6.00,7.00,3.00,2.00,5.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5303613,7.00,6.00,0.00,4.00,6.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5303621,0.00,3.00,1.00,3.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5303630,1.00,3.00,2.00,2.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5303648,3.00,5.00,2.00,6.00,9.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5303656,4.00,5.00,1.00,4.00,7.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5303664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5303672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5303680,7.00,8.00,1.00,3.00,6.00,10.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5303699,4.00,3.00,2.00,3.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5303710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5303729,8.00,7.00,5.00,4.00,8.00,8.63,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5303737,3.00,5.00,1.00,0.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5303753,5.00,4.00,1.00,7.00,4.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5303770,9.00,7.00,4.00,7.00,10.00,13.88,5.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5303796,3.00,6.00,0.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5303800,9.00,8.00,5.00,8.00,10.00,8.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5303818,7.00,5.00,1.00,4.00,7.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5303826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5303834,3.00,5.00,2.00,3.00,7.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5303842,5.00,5.00,2.00,7.00,7.00,8.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5303869,1.00,4.00,2.00,5.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5303877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5303885,4.00,2.00,3.00,1.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5303893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5303907,3.00,5.00,5.00,6.00,5.00,12.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5303915,5.00,7.00,1.00,4.00,7.00,9.38,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5303923,4.00,5.00,1.00,7.00,5.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5303931,3.00,4.00,1.00,5.00,4.00,8.63,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5303958,1.00,5.00,1.00,2.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5303966,4.00,5.00,2.00,5.00,5.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5303974,8.00,6.00,4.00,6.00,9.00,7.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5303982,4.00,6.00,2.00,5.00,4.00,11.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5303990,2.00,3.00,1.00,5.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5304008,0.00,5.00,2.00,3.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5304016,5.00,3.00,1.00,3.00,8.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5304032,3.00,5.00,1.00,2.00,6.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5304040,5.00,7.00,2.00,4.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5304059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5304067,4.00,4.00,3.00,6.00,8.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5304075,2.00,2.00,1.00,3.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5304083,3.00,5.00,1.00,7.00,2.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5304091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5304105,4.00,6.00,3.00,4.00,5.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5304113,5.00,6.00,0.00,5.00,5.00,7.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5304121,7.00,2.00,6.00,6.00,5.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5304130,7.00,8.00,5.00,4.00,7.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5304148,5.00,5.00,0.00,7.00,4.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5304156,8.00,7.00,5.00,8.00,9.00,8.63,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5304172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5304180,5.00,7.00,2.00,6.00,7.00,11.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5304199,2.00,3.00,0.00,2.00,4.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5304202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5304210,1.00,3.00,0.00,2.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5304229,5.00,6.00,2.00,2.00,4.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5304237,8.00,7.00,0.00,6.00,7.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5304245,3.00,3.00,0.00,3.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5304253,4.00,4.00,0.00,4.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5304261,4.00,7.00,1.00,4.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5304270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5304288,4.00,6.00,2.00,3.00,1.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5304296,4.00,6.00,2.00,6.00,5.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5304300,2.00,4.00,4.00,2.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5304318,5.00,7.00,4.00,3.00,4.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5304334,3.00,5.00,1.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5304342,8.00,6.00,1.00,2.00,5.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5304350,4.00,6.00,5.00,5.00,8.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5304369,9.00,8.00,8.00,6.00,7.00,8.63,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5304377,4.00,5.00,2.00,6.00,7.00,7.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5304385,7.00,9.00,1.00,6.00,7.00,9.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5304393,5.00,7.00,4.00,5.00,3.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5304407,2.00,3.00,4.00,4.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5304415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5304440,2.00,6.00,1.00,3.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5304458,8.00,8.00,4.00,6.00,9.00,8.63,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5304466,6.00,8.00,2.00,6.00,8.00,10.50,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(20,5304474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5304482,5.00,4.00,2.00,6.00,5.00,NULL,4.00,3.00,4.00,NULL,NULL,'S','N'),(20,5304490,7.00,6.00,4.00,7.00,7.00,4.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5304504,4.00,4.00,1.00,5.00,5.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5304512,9.00,8.00,5.00,4.00,7.00,10.50,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5304520,7.00,7.00,2.00,6.00,6.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5304547,6.00,7.00,3.00,1.00,5.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5304555,9.00,7.00,0.00,6.00,8.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5304563,2.00,8.00,1.00,7.00,8.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5304571,7.00,8.00,2.00,7.00,7.00,7.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5304580,3.00,3.00,2.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5304598,4.00,7.00,2.00,7.00,7.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5304601,8.00,6.00,3.00,7.00,7.00,9.00,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5304610,6.00,7.00,3.00,5.00,8.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5304628,7.00,6.00,3.00,6.00,9.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5304636,5.00,6.00,3.00,4.00,7.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5304652,6.00,6.00,7.00,7.00,7.00,6.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5304679,5.00,7.00,1.00,7.00,5.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5304687,7.00,5.00,2.00,6.00,8.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5304695,4.00,6.00,1.00,4.00,4.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5304717,3.00,6.00,3.00,5.00,6.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5304725,1.00,4.00,1.00,2.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5304733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5304741,6.00,6.00,5.00,4.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5304750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5304768,4.00,5.00,1.00,3.00,7.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5304776,7.00,6.00,6.00,8.00,10.00,11.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5304784,5.00,7.00,1.00,7.00,9.00,10.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5304792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5304806,7.00,6.00,2.00,4.00,8.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5304814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5304822,3.00,5.00,2.00,1.00,6.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5304830,6.00,6.00,0.00,6.00,5.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5304849,4.00,6.00,0.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5304857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5304865,6.00,5.00,4.00,6.00,7.00,7.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5304873,5.00,5.00,0.00,4.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5304881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5304890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5304903,3.00,5.00,1.00,4.00,8.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5304920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5304938,2.00,5.00,3.00,4.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5304946,5.00,6.00,1.00,5.00,4.00,7.88,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5304954,2.00,6.00,4.00,5.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5304962,7.00,6.00,4.00,0.00,6.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5304970,6.00,8.00,2.00,5.00,4.00,9.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5304989,3.00,5.00,1.00,6.00,5.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5304997,4.00,5.00,4.00,3.00,7.00,8.63,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5305004,4.00,6.00,2.00,4.00,6.00,10.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5305012,3.00,6.00,1.00,5.00,8.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5305020,2.00,4.00,2.00,6.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5305039,7.00,7.00,6.00,6.00,8.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5305047,8.00,7.00,2.00,6.00,9.00,10.88,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5305055,4.00,7.00,2.00,5.00,6.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5305063,2.00,4.00,2.00,2.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5305071,7.00,6.00,5.00,6.00,6.00,7.50,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5305080,4.00,3.00,4.00,3.00,6.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5305098,7.00,6.00,4.00,7.00,7.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5305101,5.00,4.00,4.00,1.00,6.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5305110,4.00,5.00,1.00,3.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5305136,1.00,6.00,0.00,4.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5305179,3.00,1.00,4.00,1.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5305187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5305209,6.00,7.00,5.00,6.00,8.00,8.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5305217,5.00,6.00,3.00,3.00,6.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5305225,3.00,3.00,0.00,2.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5305233,2.00,4.00,0.00,7.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5305241,8.00,6.00,1.00,3.00,8.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5305250,5.00,5.00,4.00,3.00,4.00,8.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5305268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5305276,7.00,6.00,5.00,4.00,8.00,3.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5305284,8.00,8.00,6.00,4.00,4.00,12.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5305292,7.00,6.00,2.00,5.00,7.00,10.50,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5305306,9.00,8.00,7.00,6.00,10.00,10.50,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5305314,8.00,6.00,2.00,7.00,9.00,8.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5305322,4.00,6.00,0.00,3.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5305330,5.00,5.00,4.00,5.00,9.00,6.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5305349,4.00,5.00,1.00,1.00,5.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5305357,7.00,7.00,2.00,5.00,8.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5305365,9.00,7.00,3.00,6.00,8.00,10.13,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5305373,2.00,1.00,0.00,2.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5305381,7.00,6.00,4.00,6.00,5.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5305390,8.00,7.00,7.00,4.00,9.00,10.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5305403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5305411,6.00,6.00,4.00,4.00,7.00,8.25,2.00,0.00,7.00,NULL,NULL,NULL,'N'),(20,5305420,8.00,7.00,2.00,7.00,9.00,10.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5305438,7.00,6.00,3.00,6.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5305446,2.00,3.00,0.00,2.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5305454,3.00,3.00,2.00,6.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5305462,6.00,6.00,2.00,4.00,7.00,9.75,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5305470,7.00,8.00,6.00,7.00,9.00,8.63,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5305489,3.00,6.00,2.00,3.00,6.00,7.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5305497,9.00,7.00,6.00,4.00,10.00,10.13,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5305500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5305519,4.00,6.00,2.00,4.00,9.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5305535,6.00,2.00,0.00,3.00,7.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5305543,5.00,5.00,2.00,4.00,5.00,9.38,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5305551,8.00,6.00,5.00,7.00,9.00,10.13,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5305560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5305578,2.00,6.00,2.00,5.00,6.00,7.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5305586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5305594,0.00,6.00,0.00,2.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5305608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5305624,3.00,6.00,3.00,6.00,6.00,8.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5305632,4.00,3.00,0.00,0.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5305640,3.00,5.00,4.00,3.00,8.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5305659,4.00,7.00,4.00,5.00,5.00,6.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5305667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5305675,7.00,4.00,2.00,3.00,6.00,12.00,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5305683,2.00,5.00,0.00,5.00,6.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5305691,7.00,7.00,3.00,7.00,8.00,10.13,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5305705,2.00,4.00,0.00,3.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5305713,7.00,7.00,2.00,7.00,9.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5305721,2.00,5.00,2.00,1.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5305730,3.00,6.00,1.00,4.00,6.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5305748,4.00,5.00,4.00,7.00,7.00,10.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5305756,7.00,8.00,5.00,8.00,9.00,10.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5305764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5305772,4.00,3.00,2.00,5.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5305780,1.00,0.00,1.00,3.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5305799,9.00,7.00,8.00,7.00,9.00,10.50,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5305802,2.00,7.00,4.00,5.00,2.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(20,5305829,3.00,4.00,1.00,3.00,4.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5305837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5305845,6.00,5.00,0.00,6.00,8.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5305861,5.00,7.00,3.00,4.00,7.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5305870,4.00,4.00,1.00,2.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5305888,8.00,5.00,2.00,6.00,7.00,8.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5305896,5.00,6.00,2.00,4.00,5.00,6.75,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5305900,3.00,4.00,1.00,2.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5305918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5305926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5305934,8.00,9.00,1.00,6.00,2.00,NULL,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5305942,7.00,7.00,3.00,4.00,4.00,6.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5305950,4.00,5.00,2.00,3.00,5.00,7.13,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5305969,5.00,7.00,3.00,5.00,7.00,10.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5305977,6.00,7.00,2.00,5.00,6.00,9.38,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5305985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5305993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5306000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5306019,8.00,8.00,3.00,7.00,11.00,10.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5306027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5306035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5306043,6.00,4.00,2.00,4.00,4.00,10.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5306051,9.00,8.00,2.00,6.00,9.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5306060,9.00,8.00,8.00,5.00,10.00,9.00,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5306078,3.00,7.00,0.00,5.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5306094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5306108,5.00,6.00,2.00,5.00,9.00,11.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5306116,4.00,5.00,0.00,2.00,4.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5306124,8.00,8.00,4.00,8.00,10.00,9.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5306132,8.00,8.00,5.00,4.00,7.00,9.75,4.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5306140,3.00,5.00,0.00,5.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5306159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5306167,6.00,5.00,0.00,5.00,8.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5306175,3.00,5.00,2.00,3.00,5.00,6.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5306183,2.00,3.00,0.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5306191,5.00,8.00,2.00,7.00,5.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5306205,5.00,5.00,4.00,7.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5306213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5306221,7.00,7.00,6.00,6.00,8.00,8.63,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5306230,7.00,6.00,8.00,7.00,9.00,7.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5306248,6.00,3.00,0.00,2.00,4.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5306256,8.00,8.00,5.00,7.00,7.00,8.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5306272,5.00,7.00,3.00,6.00,7.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5306299,8.00,6.00,5.00,7.00,8.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5306302,3.00,3.00,1.00,3.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5306329,3.00,2.00,1.00,1.00,5.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5306337,5.00,2.00,1.00,6.00,9.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5306361,4.00,4.00,5.00,4.00,5.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5306370,7.00,5.00,6.00,5.00,7.00,8.63,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5306388,5.00,3.00,1.00,3.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5306396,6.00,5.00,4.00,7.00,5.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5306418,5.00,6.00,1.00,3.00,5.00,7.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5306426,8.00,7.00,8.00,7.00,9.00,11.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5306434,7.00,5.00,2.00,3.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5306442,7.00,7.00,4.00,7.00,7.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5306450,4.00,4.00,1.00,6.00,6.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5306469,4.00,5.00,3.00,3.00,5.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5306477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5306493,9.00,7.00,3.00,6.00,9.00,12.00,7.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5306507,9.00,6.00,5.00,6.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5306515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5306523,7.00,6.00,2.00,6.00,7.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5306531,8.00,8.00,4.00,6.00,8.00,10.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5306540,3.00,4.00,4.00,4.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5306558,6.00,7.00,5.00,4.00,6.00,8.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5306566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5306574,6.00,7.00,2.00,8.00,9.00,9.75,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5306590,5.00,3.00,1.00,5.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5306604,2.00,3.00,1.00,5.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5306612,8.00,7.00,4.00,8.00,8.00,8.63,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5306620,3.00,6.00,0.00,2.00,4.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5306639,3.00,4.00,0.00,1.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5306647,2.00,0.00,0.00,3.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5306663,6.00,8.00,7.00,4.00,6.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5306671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5306680,3.00,0.00,3.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5306698,7.00,7.00,0.00,8.00,7.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5306701,7.00,6.00,2.00,5.00,7.00,7.50,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5306710,4.00,6.00,1.00,4.00,7.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5306736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5306744,4.00,4.00,1.00,5.00,7.00,12.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5306752,5.00,4.00,0.00,3.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5306760,9.00,8.00,5.00,4.00,8.00,8.63,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5306779,5.00,4.00,2.00,3.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5306787,8.00,7.00,4.00,7.00,7.00,9.38,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5306809,7.00,7.00,3.00,6.00,8.00,8.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5306817,5.00,5.00,4.00,7.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5306833,5.00,7.00,2.00,4.00,5.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5306850,1.00,8.00,1.00,4.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5306868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5306876,4.00,5.00,0.00,3.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5306884,4.00,4.00,3.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5306892,8.00,6.00,4.00,6.00,6.00,9.75,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5306906,6.00,7.00,1.00,4.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5306914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5306922,8.00,6.00,4.00,7.00,5.00,10.88,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5306930,5.00,5.00,2.00,3.00,5.00,6.75,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5306949,3.00,3.00,2.00,4.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5306957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5306965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5306973,2.00,4.00,2.00,4.00,5.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5306981,7.00,4.00,3.00,6.00,7.00,7.13,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5307007,3.00,6.00,0.00,3.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5307015,6.00,6.00,2.00,5.00,6.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5307023,6.00,6.00,1.00,5.00,7.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5307031,6.00,6.00,5.00,4.00,8.00,9.38,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5307040,5.00,7.00,5.00,7.00,10.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5307058,3.00,5.00,2.00,7.00,7.00,7.88,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5307066,3.00,4.00,2.00,5.00,7.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5307074,6.00,4.00,3.00,7.00,9.00,9.75,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5307090,8.00,7.00,1.00,5.00,6.00,7.88,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5307104,7.00,5.00,1.00,6.00,9.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5307112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5307155,2.00,5.00,1.00,0.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5307163,6.00,7.00,4.00,4.00,6.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5307171,7.00,7.00,2.00,6.00,8.00,NULL,5.00,7.00,5.00,NULL,NULL,'S','N'),(20,5307180,9.00,7.00,5.00,7.00,7.00,6.75,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5307198,7.00,7.00,1.00,7.00,5.00,8.63,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5307201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5307210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5307228,4.00,6.00,2.00,6.00,7.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5307236,8.00,8.00,5.00,7.00,11.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5307244,0.00,3.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5307252,6.00,7.00,4.00,2.00,6.00,8.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5307260,8.00,7.00,6.00,7.00,10.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5307279,7.00,7.00,6.00,7.00,10.00,10.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5307287,1.00,4.00,2.00,4.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5307295,8.00,7.00,2.00,5.00,9.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5307309,4.00,6.00,1.00,6.00,6.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5307317,6.00,5.00,5.00,8.00,9.00,9.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5307325,4.00,3.00,0.00,1.00,4.00,NULL,4.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5307333,3.00,4.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5307350,6.00,8.00,3.00,7.00,7.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5307368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5307376,5.00,6.00,4.00,3.00,6.00,8.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5307384,7.00,7.00,4.00,6.00,7.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5307422,2.00,3.00,0.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5307430,3.00,4.00,1.00,0.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5307457,3.00,3.00,1.00,5.00,4.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5307465,5.00,6.00,2.00,3.00,5.00,10.13,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5307473,2.00,3.00,3.00,0.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5307481,3.00,5.00,4.00,5.00,5.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5307490,5.00,0.00,1.00,5.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5307503,3.00,7.00,4.00,7.00,6.00,6.00,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5307511,6.00,7.00,6.00,6.00,8.00,9.38,4.00,1.00,8.00,NULL,NULL,NULL,'N'),(20,5307520,7.00,6.00,2.00,8.00,9.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5307538,3.00,5.00,2.00,4.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5307546,5.00,8.00,3.00,5.00,8.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5307554,1.00,4.00,1.00,3.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5307562,6.00,7.00,4.00,7.00,9.00,11.63,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5307570,5.00,6.00,2.00,3.00,7.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5307589,9.00,6.00,7.00,6.00,9.00,9.75,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5307597,6.00,6.00,2.00,7.00,7.00,11.25,1.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5307600,6.00,6.00,5.00,7.00,6.00,7.13,4.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5307619,4.00,6.00,3.00,6.00,8.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5307627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5307635,7.00,3.00,2.00,6.00,7.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5307643,3.00,4.00,2.00,5.00,5.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5307651,5.00,7.00,4.00,4.00,7.00,10.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5307660,4.00,3.00,3.00,1.00,4.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5307678,9.00,6.00,2.00,6.00,8.00,9.00,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5307686,5.00,3.00,1.00,1.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5307694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5307708,5.00,6.00,3.00,5.00,6.00,7.88,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5307716,9.00,7.00,6.00,5.00,8.00,12.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5307724,0.00,5.00,3.00,5.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5307740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5307767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5307775,3.00,7.00,0.00,5.00,6.00,4.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5307805,2.00,4.00,3.00,1.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5307813,4.00,6.00,3.00,3.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5307821,4.00,3.00,1.00,4.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5307830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5307848,4.00,4.00,3.00,2.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5307856,2.00,5.00,1.00,4.00,4.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5307864,3.00,3.00,1.00,5.00,9.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5307872,4.00,5.00,3.00,1.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5307880,6.00,6.00,4.00,6.00,6.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5307902,4.00,5.00,0.00,5.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5307910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5307929,4.00,5.00,0.00,5.00,7.00,6.00,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5307937,5.00,6.00,0.00,3.00,6.00,9.75,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5307953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5307961,4.00,5.00,2.00,4.00,8.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5307970,4.00,6.00,4.00,5.00,4.00,9.38,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5307988,7.00,6.00,2.00,7.00,8.00,7.88,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5307996,7.00,7.00,2.00,7.00,8.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5308011,8.00,8.00,3.00,8.00,8.00,8.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5308020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5308046,6.00,6.00,1.00,5.00,5.00,9.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5308054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5308062,6.00,7.00,6.00,7.00,6.00,7.88,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5308070,3.00,6.00,4.00,4.00,7.00,9.38,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5308089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5308097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5308100,8.00,8.00,3.00,3.00,9.00,8.63,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5308119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5308127,3.00,6.00,3.00,3.00,6.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5308135,8.00,7.00,1.00,7.00,10.00,10.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5308143,6.00,6.00,0.00,3.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5308151,9.00,7.00,7.00,6.00,10.00,9.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5308160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5308178,2.00,4.00,1.00,4.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5308186,6.00,5.00,2.00,7.00,10.00,9.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5308194,8.00,7.00,1.00,5.00,5.00,6.75,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5308208,3.00,5.00,2.00,6.00,5.00,9.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5308224,4.00,4.00,0.00,4.00,4.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5308240,7.00,8.00,4.00,5.00,7.00,7.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5308259,4.00,5.00,2.00,3.00,4.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5308275,4.00,5.00,1.00,5.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5308283,3.00,0.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5308291,6.00,7.00,3.00,4.00,9.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5308305,4.00,7.00,0.00,3.00,6.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5308313,0.00,4.00,1.00,4.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5308321,4.00,6.00,1.00,4.00,4.00,7.13,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5308330,3.00,2.00,0.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5308348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5308356,2.00,1.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5308364,4.00,3.00,2.00,2.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5308399,3.00,2.00,1.00,2.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5308402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5308410,2.00,4.00,2.00,3.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5308429,4.00,6.00,1.00,3.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5308437,5.00,5.00,0.00,3.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5308445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5308453,1.00,4.00,0.00,4.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5308461,5.00,5.00,1.00,5.00,6.00,10.88,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5308470,4.00,5.00,2.00,3.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5308488,4.00,7.00,0.00,5.00,4.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5308496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5308500,3.00,0.00,3.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5308518,2.00,2.00,2.00,2.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5308526,1.00,3.00,1.00,3.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5308534,9.00,8.00,6.00,5.00,11.00,10.88,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5308542,2.00,8.00,2.00,2.00,5.00,7.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5308569,4.00,3.00,0.00,2.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5308577,3.00,4.00,2.00,2.00,4.00,4.13,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5308585,4.00,4.00,2.00,7.00,8.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5308607,2.00,5.00,3.00,3.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5308615,2.00,5.00,4.00,0.00,6.00,NULL,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5308623,5.00,7.00,8.00,7.00,9.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5308631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5308658,2.00,4.00,4.00,0.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5308682,3.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5308690,2.00,6.00,1.00,5.00,9.00,6.38,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5308712,3.00,4.00,1.00,3.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5308720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5308739,4.00,4.00,1.00,4.00,6.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5308747,6.00,7.00,4.00,6.00,4.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5308755,9.00,6.00,4.00,7.00,8.00,12.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5308771,8.00,8.00,5.00,7.00,10.00,10.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5308780,6.00,5.00,2.00,4.00,6.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5308798,3.00,5.00,0.00,2.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5308801,8.00,7.00,5.00,7.00,8.00,7.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5308828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5308836,2.00,2.00,0.00,3.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5308844,7.00,6.00,4.00,3.00,8.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5308852,9.00,7.00,2.00,7.00,9.00,10.13,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5308860,0.00,4.00,2.00,1.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5308879,7.00,8.00,2.00,7.00,9.00,10.13,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5308895,4.00,6.00,2.00,4.00,8.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5308917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5308925,5.00,4.00,1.00,5.00,6.00,8.63,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5308933,2.00,5.00,2.00,2.00,5.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5308941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5308950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5308968,4.00,4.00,1.00,1.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5308976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5308984,2.00,4.00,1.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5308992,4.00,5.00,2.00,4.00,4.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5309000,5.00,5.00,3.00,4.00,5.00,7.50,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5309018,4.00,5.00,2.00,6.00,4.00,9.75,4.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5309026,8.00,5.00,3.00,4.00,5.00,7.88,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5309042,4.00,4.00,2.00,5.00,6.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5309050,6.00,4.00,1.00,5.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5309077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5309085,5.00,6.00,1.00,5.00,5.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5309093,7.00,7.00,2.00,3.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5309107,5.00,5.00,3.00,7.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5309115,3.00,3.00,2.00,1.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5309123,3.00,6.00,0.00,4.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5309131,2.00,5.00,0.00,5.00,8.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5309140,6.00,6.00,5.00,5.00,8.00,7.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5309158,3.00,2.00,2.00,5.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5309166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5309174,8.00,8.00,3.00,6.00,10.00,10.50,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5309182,2.00,7.00,0.00,3.00,6.00,6.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5309190,7.00,6.00,0.00,6.00,6.00,NULL,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5309204,5.00,6.00,3.00,4.00,9.00,8.63,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5309212,4.00,3.00,1.00,3.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5309220,6.00,5.00,2.00,4.00,8.00,10.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5309239,3.00,4.00,2.00,0.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5309247,1.00,4.00,0.00,3.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5309255,6.00,5.00,3.00,5.00,6.00,8.25,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5309271,3.00,3.00,3.00,5.00,6.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5309280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5309301,3.00,2.00,2.00,0.00,1.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5309310,8.00,4.00,2.00,2.00,6.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5309328,8.00,8.00,2.00,6.00,9.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5309344,3.00,6.00,2.00,4.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5309352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5309360,2.00,2.00,1.00,3.00,6.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5309379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5309387,6.00,9.00,5.00,6.00,9.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5309395,8.00,8.00,4.00,6.00,10.00,10.13,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5309409,7.00,4.00,3.00,6.00,9.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5309417,4.00,6.00,1.00,5.00,7.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5309425,8.00,7.00,4.00,6.00,6.00,9.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5309433,4.00,3.00,2.00,5.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5309441,6.00,5.00,2.00,3.00,5.00,10.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5309450,4.00,5.00,5.00,5.00,4.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5309468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5309476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5309484,6.00,5.00,2.00,2.00,5.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5309492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5309514,2.00,5.00,2.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5309522,1.00,3.00,1.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5309530,1.00,0.00,0.00,2.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5309557,7.00,6.00,3.00,4.00,3.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5309565,7.00,7.00,5.00,7.00,7.00,9.38,6.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5309573,6.00,5.00,1.00,5.00,6.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5309581,8.00,5.00,3.00,6.00,9.00,12.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5309590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5309603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5309611,7.00,5.00,3.00,4.00,5.00,8.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5309620,8.00,6.00,5.00,7.00,10.00,9.00,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5309638,8.00,8.00,7.00,5.00,9.00,11.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5309646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5309654,2.00,5.00,3.00,5.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5309670,6.00,5.00,2.00,6.00,6.00,6.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5309689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5309697,3.00,4.00,4.00,2.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5309700,3.00,3.00,0.00,2.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5309719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5309735,6.00,4.00,1.00,7.00,7.00,10.13,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5309743,6.00,6.00,4.00,7.00,8.00,7.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5309760,3.00,6.00,2.00,6.00,8.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5309778,4.00,3.00,1.00,3.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5309786,1.00,5.00,0.00,1.00,3.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5309808,3.00,5.00,0.00,6.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5309816,4.00,5.00,1.00,5.00,5.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5309824,5.00,3.00,1.00,5.00,6.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5309832,1.00,4.00,4.00,3.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5309840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5309867,5.00,4.00,2.00,5.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5309875,2.00,4.00,0.00,3.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5309905,5.00,3.00,3.00,6.00,4.00,8.63,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5309913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5309930,8.00,8.00,1.00,4.00,8.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5309948,3.00,2.00,2.00,6.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5309956,2.00,5.00,0.00,7.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5309964,3.00,5.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5309972,4.00,4.00,4.00,6.00,8.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5309980,3.00,4.00,1.00,2.00,7.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5309999,3.00,4.00,0.00,5.00,8.00,9.38,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5310008,4.00,7.00,4.00,7.00,8.00,6.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5310024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5310032,4.00,3.00,0.00,2.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5310040,5.00,7.00,4.00,6.00,9.00,10.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5310059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5310075,4.00,2.00,1.00,5.00,5.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5310083,3.00,6.00,0.00,0.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5310091,4.00,7.00,1.00,5.00,5.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5310105,4.00,6.00,3.00,6.00,8.00,9.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5310121,2.00,5.00,2.00,5.00,6.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5310156,9.00,7.00,5.00,7.00,7.00,9.75,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5310164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5310172,3.00,2.00,2.00,3.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5310180,4.00,7.00,1.00,7.00,4.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5310199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5310202,3.00,5.00,0.00,4.00,3.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5310210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5310229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5310237,2.00,0.00,0.00,4.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5310245,9.00,6.00,6.00,3.00,8.00,9.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5310253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5310261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5310270,5.00,5.00,5.00,6.00,4.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5310288,6.00,5.00,1.00,5.00,4.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5310300,4.00,4.00,2.00,5.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5310318,1.00,4.00,4.00,4.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5310326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5310334,5.00,6.00,2.00,5.00,9.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5310342,3.00,4.00,1.00,4.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5310350,2.00,3.00,2.00,2.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5310369,3.00,3.00,3.00,6.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5310377,4.00,5.00,2.00,6.00,5.00,7.50,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5310385,8.00,7.00,5.00,5.00,6.00,12.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5310393,5.00,4.00,1.00,4.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5310415,7.00,6.00,2.00,6.00,7.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5310423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5310440,3.00,4.00,3.00,1.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5310458,6.00,8.00,5.00,5.00,5.00,10.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5310466,7.00,6.00,4.00,6.00,7.00,10.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5310474,8.00,7.00,5.00,7.00,7.00,9.00,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5310482,9.00,8.00,6.00,7.00,9.00,10.13,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5310490,6.00,6.00,2.00,5.00,5.00,7.13,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5310504,7.00,5.00,4.00,6.00,8.00,10.50,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5310512,6.00,6.00,4.00,4.00,9.00,9.75,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5310520,3.00,5.00,3.00,7.00,6.00,7.88,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5310539,3.00,5.00,0.00,1.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'S'),(20,5310547,7.00,3.00,2.00,4.00,9.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5310555,6.00,8.00,7.00,7.00,8.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5310563,3.00,4.00,2.00,4.00,6.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5310580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5310598,8.00,7.00,4.00,7.00,10.00,8.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5310601,3.00,3.00,0.00,3.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5310610,6.00,6.00,4.00,5.00,6.00,10.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5310628,5.00,6.00,3.00,7.00,5.00,9.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5310644,8.00,6.00,2.00,7.00,6.00,7.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5310652,7.00,7.00,7.00,6.00,8.00,11.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5310660,4.00,3.00,1.00,2.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5310679,6.00,8.00,4.00,6.00,4.00,7.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5310687,5.00,6.00,1.00,6.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5310695,9.00,6.00,8.00,6.00,9.00,9.00,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5310709,7.00,4.00,2.00,8.00,8.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5310717,6.00,7.00,5.00,7.00,6.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5310725,5.00,5.00,3.00,2.00,7.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5310733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5310741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5310750,4.00,4.00,1.00,2.00,3.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5310768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5310776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5310784,4.00,5.00,2.00,4.00,5.00,7.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5310792,3.00,2.00,0.00,4.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5310806,6.00,5.00,1.00,3.00,7.00,9.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5310822,7.00,6.00,2.00,4.00,5.00,7.13,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5310830,3.00,7.00,0.00,3.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5310849,7.00,5.00,2.00,7.00,10.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5310857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5310865,8.00,6.00,6.00,6.00,8.00,8.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5310873,4.00,6.00,1.00,7.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,'S','S'),(20,5310881,3.00,5.00,1.00,5.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5310890,4.00,4.00,1.00,4.00,4.00,8.25,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5310903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5310911,8.00,7.00,3.00,6.00,9.00,10.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5310920,6.00,7.00,1.00,5.00,7.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5310938,8.00,6.00,3.00,6.00,6.00,6.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5310946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5310954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5310962,8.00,9.00,2.00,7.00,7.00,10.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5310989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5311004,9.00,6.00,8.00,8.00,8.00,12.38,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5311012,8.00,8.00,6.00,5.00,5.00,9.00,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5311047,5.00,6.00,2.00,4.00,6.00,NULL,1.00,4.00,4.00,NULL,NULL,'S','N'),(20,5311055,5.00,2.00,2.00,4.00,5.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5311063,4.00,5.00,5.00,5.00,7.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5311071,3.00,6.00,5.00,4.00,8.00,11.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5311080,6.00,5.00,2.00,7.00,6.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5311098,3.00,4.00,2.00,2.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5311101,3.00,5.00,3.00,5.00,5.00,6.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5311110,4.00,5.00,3.00,4.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5311128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5311136,3.00,4.00,1.00,5.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5311144,4.00,6.00,2.00,7.00,3.00,NULL,5.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5311152,3.00,3.00,1.00,4.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5311160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5311179,9.00,8.00,4.00,7.00,9.00,11.63,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5311187,4.00,6.00,4.00,3.00,7.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5311195,3.00,3.00,0.00,2.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5311209,6.00,6.00,2.00,5.00,9.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5311217,4.00,3.00,2.00,6.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5311225,5.00,3.00,3.00,5.00,5.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5311233,8.00,7.00,5.00,7.00,8.00,9.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5311241,5.00,5.00,2.00,4.00,5.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5311250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5311268,7.00,8.00,4.00,6.00,8.00,9.00,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5311276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5311284,3.00,5.00,1.00,1.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5311292,9.00,8.00,3.00,8.00,6.00,7.50,7.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5311306,5.00,8.00,0.00,2.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5311314,8.00,7.00,1.00,4.00,9.00,10.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5311322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5311330,4.00,4.00,2.00,4.00,6.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5311349,6.00,6.00,1.00,8.00,9.00,10.13,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5311357,3.00,6.00,0.00,5.00,4.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5311365,6.00,7.00,2.00,7.00,7.00,9.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5311373,7.00,7.00,2.00,7.00,4.00,6.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5311381,6.00,8.00,3.00,6.00,8.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5311390,4.00,5.00,5.00,6.00,9.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5311411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5311420,7.00,7.00,3.00,6.00,10.00,10.88,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5311438,8.00,6.00,4.00,7.00,7.00,9.38,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5311446,5.00,5.00,4.00,5.00,4.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5311454,5.00,7.00,2.00,4.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5311462,5.00,6.00,4.00,2.00,5.00,NULL,1.00,2.00,5.00,NULL,NULL,'S','N'),(20,5311470,2.00,3.00,0.00,3.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5311489,5.00,2.00,0.00,3.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5311497,3.00,5.00,4.00,5.00,7.00,10.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5311500,3.00,4.00,0.00,6.00,6.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5311519,2.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5311527,5.00,5.00,0.00,6.00,6.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5311535,3.00,4.00,2.00,3.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5311543,2.00,2.00,0.00,3.00,0.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5311551,3.00,6.00,0.00,3.00,5.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5311560,6.00,3.00,1.00,6.00,6.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5311578,7.00,3.00,1.00,6.00,8.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5311586,3.00,4.00,1.00,3.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5311594,7.00,7.00,0.00,6.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5311616,8.00,7.00,5.00,5.00,9.00,9.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5311624,4.00,4.00,5.00,3.00,6.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5311632,2.00,6.00,1.00,3.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5311640,5.00,6.00,4.00,4.00,9.00,7.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5311659,7.00,6.00,2.00,5.00,6.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5311667,2.00,3.00,3.00,6.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5311675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5311683,3.00,6.00,0.00,4.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5311705,3.00,6.00,2.00,4.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5311713,3.00,4.00,3.00,3.00,8.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5311721,3.00,6.00,1.00,3.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5311730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5311748,3.00,2.00,1.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5311772,5.00,5.00,1.00,3.00,1.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5311799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5311802,1.00,4.00,0.00,0.00,0.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5311810,5.00,3.00,0.00,5.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5311829,7.00,5.00,5.00,7.00,8.00,7.50,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5311845,8.00,6.00,2.00,4.00,8.00,7.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5311853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5311861,3.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5311888,7.00,5.00,2.00,5.00,5.00,8.25,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5311900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5311918,4.00,3.00,0.00,5.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5311934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5311942,6.00,7.00,3.00,6.00,7.00,6.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5311969,2.00,4.00,1.00,3.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5311977,5.00,5.00,3.00,5.00,9.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5311985,2.00,1.00,0.00,2.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5311993,0.00,6.00,3.00,5.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5312000,6.00,5.00,3.00,6.00,8.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5312019,9.00,7.00,5.00,7.00,10.00,10.50,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5312027,3.00,5.00,2.00,4.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5312035,8.00,8.00,1.00,7.00,9.00,9.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5312051,8.00,5.00,2.00,4.00,4.00,6.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5312060,8.00,8.00,2.00,5.00,8.00,11.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5312078,4.00,6.00,2.00,6.00,6.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5312086,7.00,9.00,1.00,6.00,8.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5312094,5.00,5.00,1.00,4.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5312108,0.00,6.00,0.00,2.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5312124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5312132,4.00,7.00,2.00,2.00,8.00,4.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5312140,6.00,7.00,4.00,4.00,6.00,11.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5312159,6.00,7.00,4.00,6.00,8.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5312167,6.00,6.00,3.00,6.00,6.00,6.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5312175,7.00,6.00,5.00,5.00,8.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5312183,7.00,7.00,3.00,7.00,9.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5312205,2.00,4.00,1.00,3.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5312213,7.00,5.00,3.00,7.00,5.00,6.75,6.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5312221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5312230,4.00,4.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5312248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5312256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5312264,7.00,6.00,2.00,6.00,8.00,8.25,8.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5312272,7.00,7.00,6.00,6.00,10.00,10.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5312280,8.00,7.00,3.00,6.00,5.00,9.38,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5312299,1.00,4.00,0.00,2.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5312310,3.00,4.00,1.00,6.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5312329,8.00,6.00,5.00,7.00,9.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5312337,5.00,5.00,2.00,3.00,8.00,8.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5312345,6.00,6.00,2.00,3.00,8.00,9.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5312353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5312361,7.00,8.00,6.00,7.00,8.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5312370,5.00,4.00,5.00,7.00,8.00,9.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5312388,7.00,5.00,3.00,5.00,9.00,9.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5312396,7.00,6.00,5.00,6.00,9.00,9.75,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5312400,6.00,6.00,1.00,4.00,6.00,9.00,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5312434,2.00,3.00,2.00,2.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5312442,5.00,7.00,4.00,4.00,8.00,9.38,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5312469,7.00,8.00,0.00,4.00,6.00,NULL,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5312477,3.00,8.00,2.00,5.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5312493,5.00,6.00,4.00,5.00,9.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5312507,8.00,7.00,4.00,7.00,8.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5312523,2.00,4.00,1.00,0.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5312531,3.00,5.00,1.00,2.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5312540,8.00,8.00,4.00,7.00,8.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5312558,1.00,5.00,3.00,7.00,6.00,9.75,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5312574,2.00,6.00,2.00,5.00,4.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5312582,3.00,6.00,1.00,1.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5312590,7.00,6.00,2.00,5.00,7.00,8.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5312620,2.00,4.00,1.00,3.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5312639,8.00,4.00,6.00,5.00,9.00,NULL,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5312647,5.00,4.00,4.00,5.00,7.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5312655,1.00,5.00,2.00,6.00,4.00,8.25,2.00,1.00,5.00,NULL,NULL,NULL,'S'),(20,5312663,3.00,3.00,4.00,5.00,1.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5312671,3.00,6.00,2.00,6.00,7.00,6.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5312680,5.00,7.00,1.00,7.00,7.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5312698,6.00,7.00,1.00,6.00,4.00,6.00,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5312701,5.00,6.00,2.00,5.00,5.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5312710,3.00,5.00,2.00,3.00,0.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5312728,7.00,8.00,5.00,8.00,9.00,12.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5312736,8.00,6.00,7.00,6.00,9.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5312744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5312752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5312760,4.00,5.00,1.00,6.00,10.00,9.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5312779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5312787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5312795,4.00,4.00,2.00,5.00,5.00,9.00,2.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5312809,8.00,7.00,2.00,5.00,7.00,7.50,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5312817,4.00,3.00,1.00,3.00,6.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5312825,5.00,5.00,0.00,3.00,7.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5312833,2.00,5.00,0.00,3.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5312841,6.00,6.00,3.00,6.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5312850,9.00,7.00,3.00,7.00,7.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5312868,2.00,4.00,0.00,2.00,4.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5312876,7.00,7.00,3.00,4.00,8.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5312884,4.00,7.00,4.00,4.00,7.00,7.13,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5312892,5.00,4.00,0.00,5.00,7.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5312906,4.00,3.00,1.00,4.00,0.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5312922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5312930,5.00,7.00,1.00,5.00,10.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5312957,4.00,7.00,6.00,6.00,6.00,9.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5312973,0.00,1.00,2.00,1.00,0.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5312981,3.00,5.00,1.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5312990,5.00,4.00,1.00,3.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5313007,3.00,6.00,3.00,2.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5313015,8.00,8.00,3.00,6.00,8.00,7.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(20,5313023,8.00,6.00,3.00,7.00,11.00,9.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5313040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5313058,2.00,3.00,0.00,2.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'S'),(20,5313074,9.00,6.00,5.00,7.00,9.00,10.13,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5313082,4.00,7.00,1.00,5.00,9.00,10.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5313090,3.00,7.00,1.00,5.00,6.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(20,5313104,4.00,6.00,1.00,5.00,6.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5313112,4.00,6.00,4.00,3.00,7.00,10.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5313120,4.00,6.00,4.00,7.00,6.00,9.38,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5313139,4.00,4.00,0.00,6.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5313147,5.00,4.00,3.00,3.00,4.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5313155,2.00,3.00,0.00,2.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5313163,7.00,4.00,0.00,7.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5313171,9.00,5.00,1.00,3.00,11.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5313180,8.00,7.00,4.00,5.00,7.00,8.25,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5313198,4.00,7.00,1.00,1.00,8.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5313201,8.00,8.00,1.00,7.00,8.00,12.00,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5313210,4.00,7.00,2.00,5.00,6.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5313228,4.00,4.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5313236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5313244,4.00,6.00,0.00,5.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5313252,6.00,7.00,3.00,2.00,4.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5313260,7.00,6.00,5.00,7.00,7.00,10.13,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5313279,4.00,5.00,2.00,3.00,4.00,4.88,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5313287,6.00,5.00,2.00,2.00,5.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5313295,8.00,7.00,8.00,7.00,7.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5313309,3.00,4.00,0.00,4.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5313317,8.00,6.00,2.00,7.00,8.00,9.00,5.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5313325,2.00,4.00,0.00,1.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5313333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5313368,4.00,8.00,0.00,3.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5313376,8.00,6.00,3.00,7.00,8.00,12.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5313384,3.00,3.00,0.00,4.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5313392,3.00,5.00,3.00,3.00,5.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5313406,4.00,6.00,1.00,4.00,9.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5313422,7.00,6.00,4.00,8.00,7.00,10.88,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5313449,3.00,2.00,2.00,2.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5313457,2.00,4.00,2.00,2.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5313465,2.00,5.00,2.00,3.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5313473,4.00,6.00,2.00,6.00,8.00,6.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5313481,3.00,5.00,0.00,3.00,5.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5313490,3.00,5.00,3.00,5.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,'S','N'),(20,5313503,5.00,5.00,0.00,5.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5313511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5313538,7.00,7.00,7.00,7.00,9.00,7.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5313546,2.00,0.00,1.00,4.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5313554,2.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5313562,6.00,7.00,5.00,5.00,6.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5313570,9.00,8.00,4.00,7.00,10.00,11.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5313589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5313600,5.00,6.00,2.00,6.00,8.00,10.13,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5313619,9.00,6.00,4.00,5.00,7.00,11.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5313627,2.00,6.00,1.00,5.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5313643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5313651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5313660,4.00,6.00,4.00,7.00,8.00,7.50,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5313678,3.00,3.00,2.00,6.00,6.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'S'),(20,5313686,5.00,5.00,1.00,7.00,5.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5313694,8.00,5.00,3.00,7.00,9.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5313708,5.00,7.00,1.00,7.00,5.00,7.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5313716,2.00,2.00,1.00,2.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5313724,5.00,4.00,3.00,7.00,7.00,10.13,0.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5313732,5.00,8.00,5.00,6.00,5.00,7.13,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5313740,3.00,6.00,0.00,4.00,8.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5313759,5.00,5.00,3.00,6.00,6.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5313767,5.00,8.00,4.00,7.00,9.00,10.13,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5313783,2.00,4.00,2.00,1.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5313791,8.00,7.00,5.00,6.00,7.00,7.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5313813,8.00,6.00,3.00,4.00,6.00,6.38,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5313821,3.00,5.00,3.00,6.00,5.00,7.13,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5313830,6.00,6.00,6.00,6.00,4.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5313856,5.00,7.00,2.00,6.00,8.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5313864,5.00,6.00,1.00,6.00,6.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5313872,6.00,5.00,4.00,5.00,6.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5313880,4.00,7.00,0.00,4.00,6.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5313899,1.00,5.00,0.00,3.00,7.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5313902,3.00,1.00,0.00,3.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5313910,0.00,0.00,1.00,2.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5313937,6.00,5.00,2.00,6.00,7.00,9.38,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5313953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5313961,5.00,6.00,3.00,5.00,4.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5313988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5313996,3.00,0.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5314003,7.00,5.00,2.00,4.00,8.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5314011,5.00,6.00,1.00,5.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5314020,4.00,6.00,1.00,3.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5314038,8.00,6.00,5.00,7.00,6.00,9.00,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5314046,8.00,7.00,1.00,5.00,6.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5314054,5.00,7.00,2.00,4.00,8.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5314062,4.00,2.00,3.00,6.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5314070,9.00,7.00,8.00,8.00,9.00,12.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5314097,6.00,5.00,5.00,3.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5314135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5314143,6.00,2.00,0.00,2.00,7.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5314151,2.00,6.00,4.00,6.00,8.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5314160,9.00,7.00,8.00,8.00,10.00,10.50,8.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5314178,2.00,4.00,1.00,5.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5314186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5314194,8.00,7.00,7.00,7.00,8.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5314208,7.00,6.00,5.00,4.00,5.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5314216,3.00,0.00,3.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5314224,3.00,2.00,2.00,2.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5314232,5.00,7.00,4.00,5.00,9.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5314240,7.00,6.00,3.00,7.00,8.00,11.63,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5314259,5.00,6.00,1.00,3.00,5.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5314267,5.00,7.00,1.00,2.00,9.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5314275,5.00,4.00,2.00,4.00,7.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5314283,0.00,4.00,0.00,0.00,0.00,NULL,0.00,1.00,2.00,'S',NULL,NULL,'N'),(20,5314291,2.00,2.00,0.00,4.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5314305,3.00,5.00,3.00,5.00,6.00,7.13,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5314313,4.00,3.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5314321,7.00,6.00,2.00,6.00,6.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5314330,3.00,3.00,2.00,5.00,2.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5314348,0.00,5.00,0.00,2.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5314356,1.00,3.00,2.00,4.00,4.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(20,5314364,8.00,9.00,3.00,6.00,9.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5314372,4.00,7.00,3.00,6.00,6.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5314380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5314399,6.00,5.00,0.00,7.00,5.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5314402,7.00,7.00,3.00,4.00,4.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5314410,3.00,5.00,3.00,4.00,5.00,7.88,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5314429,6.00,6.00,3.00,4.00,7.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5314445,7.00,7.00,2.00,4.00,7.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5314453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5314461,5.00,5.00,1.00,1.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5314470,8.00,8.00,4.00,6.00,8.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5314488,3.00,3.00,1.00,5.00,6.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5314496,3.00,5.00,3.00,7.00,4.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5314500,6.00,5.00,6.00,4.00,4.00,10.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5314518,6.00,5.00,2.00,7.00,7.00,7.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5314526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5314542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5314550,4.00,5.00,4.00,5.00,7.00,6.75,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5314569,3.00,5.00,0.00,2.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5314577,5.00,4.00,2.00,0.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5314585,4.00,5.00,1.00,3.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5314593,5.00,6.00,2.00,3.00,9.00,9.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5314607,3.00,4.00,1.00,5.00,6.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5314615,9.00,6.00,5.00,7.00,9.00,11.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5314631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5314640,3.00,3.00,0.00,2.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5314658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5314666,3.00,4.00,1.00,2.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5314682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5314704,7.00,7.00,4.00,6.00,8.00,6.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5314712,0.00,3.00,4.00,2.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5314720,4.00,4.00,1.00,2.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5314739,3.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5314747,4.00,4.00,2.00,3.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5314755,8.00,7.00,4.00,7.00,8.00,9.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5314763,2.00,4.00,2.00,2.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5314771,2.00,5.00,1.00,4.00,5.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5314780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5314798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5314810,5.00,7.00,4.00,3.00,7.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5314828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5314844,4.00,6.00,3.00,3.00,7.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5314852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5314860,4.00,4.00,4.00,1.00,5.00,7.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5314879,4.00,4.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5314887,8.00,7.00,3.00,5.00,9.00,7.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5314895,7.00,8.00,6.00,8.00,9.00,9.00,6.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5314909,6.00,6.00,1.00,6.00,8.00,7.88,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5314917,3.00,5.00,4.00,4.00,4.00,9.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5314925,6.00,6.00,0.00,5.00,5.00,4.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5314933,4.00,7.00,2.00,7.00,7.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5314941,4.00,4.00,1.00,3.00,7.00,9.00,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5314950,4.00,7.00,4.00,5.00,4.00,4.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5314968,4.00,5.00,1.00,4.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5314976,5.00,5.00,0.00,6.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5314984,4.00,5.00,2.00,5.00,4.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5314992,3.00,4.00,4.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5315000,6.00,7.00,5.00,7.00,6.00,7.50,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5315018,2.00,4.00,0.00,0.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5315026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5315034,2.00,0.00,0.00,2.00,0.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5315042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5315050,3.00,4.00,0.00,2.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5315069,4.00,4.00,0.00,3.00,4.00,7.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5315077,1.00,5.00,0.00,4.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5315085,5.00,6.00,4.00,5.00,7.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5315107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5315115,1.00,2.00,0.00,1.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5315123,3.00,7.00,4.00,5.00,7.00,10.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5315131,8.00,6.00,5.00,6.00,9.00,9.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5315140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5315158,4.00,3.00,4.00,0.00,6.00,6.38,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5315174,3.00,8.00,4.00,5.00,5.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5315182,7.00,7.00,4.00,5.00,7.00,9.00,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5315190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5315204,5.00,7.00,1.00,6.00,6.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5315212,9.00,5.00,5.00,6.00,7.00,9.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5315220,7.00,3.00,0.00,5.00,5.00,9.00,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5315239,3.00,4.00,1.00,4.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5315255,3.00,3.00,2.00,6.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5315263,5.00,7.00,2.00,7.00,4.00,8.63,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5315271,3.00,3.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5315336,3.00,7.00,3.00,5.00,8.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5315352,4.00,5.00,2.00,7.00,6.00,8.63,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5315360,5.00,7.00,3.00,4.00,5.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5315379,3.00,3.00,1.00,3.00,5.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5315387,6.00,7.00,4.00,7.00,7.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5315395,3.00,4.00,2.00,3.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5315409,6.00,5.00,0.00,4.00,6.00,9.38,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5315417,4.00,6.00,3.00,5.00,6.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5315425,4.00,6.00,0.00,0.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5315433,5.00,5.00,3.00,7.00,7.00,7.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5315441,5.00,5.00,1.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5315450,2.00,4.00,0.00,7.00,8.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5315468,4.00,6.00,2.00,6.00,4.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5315476,5.00,5.00,3.00,2.00,8.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5315484,2.00,7.00,1.00,6.00,7.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5315492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5315506,6.00,6.00,4.00,6.00,7.00,6.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5315514,2.00,6.00,1.00,4.00,8.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5315530,2.00,4.00,2.00,4.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5315549,7.00,5.00,2.00,7.00,9.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5315557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5315565,4.00,6.00,1.00,3.00,5.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5315573,6.00,5.00,4.00,7.00,11.00,11.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5315590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5315603,8.00,7.00,3.00,4.00,8.00,NULL,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(20,5315611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5315620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5315638,8.00,8.00,3.00,7.00,10.00,9.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5315646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5315662,7.00,8.00,1.00,7.00,8.00,7.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5315689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5315719,6.00,5.00,0.00,3.00,6.00,12.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5315727,8.00,8.00,3.00,6.00,10.00,10.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5315735,4.00,6.00,0.00,5.00,4.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5315743,3.00,5.00,1.00,3.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5315751,5.00,8.00,1.00,4.00,6.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5315760,8.00,9.00,8.00,6.00,9.00,9.75,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5315778,4.00,7.00,3.00,7.00,7.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5315794,3.00,2.00,0.00,1.00,1.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5315808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5315824,9.00,6.00,3.00,7.00,10.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5315832,5.00,7.00,1.00,6.00,6.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5315859,1.00,5.00,1.00,4.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5315875,6.00,6.00,4.00,7.00,8.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5315883,3.00,6.00,2.00,4.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5315891,3.00,3.00,1.00,3.00,4.00,NULL,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5315905,3.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(20,5315913,6.00,6.00,2.00,5.00,6.00,8.25,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5315921,4.00,6.00,2.00,4.00,5.00,11.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5315930,3.00,4.00,0.00,4.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5315948,4.00,3.00,3.00,4.00,4.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5315956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5315964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5315972,3.00,3.00,1.00,1.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5315980,2.00,0.00,1.00,1.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5316014,8.00,7.00,2.00,4.00,7.00,7.13,0.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5316022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5316030,5.00,0.00,0.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5316049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5316057,4.00,4.00,1.00,2.00,7.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5316065,6.00,7.00,2.00,4.00,8.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5316073,4.00,5.00,2.00,5.00,5.00,4.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5316081,6.00,6.00,2.00,3.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5316090,4.00,6.00,3.00,2.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5316103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5316111,2.00,4.00,0.00,5.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5316120,3.00,4.00,1.00,3.00,6.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5316138,8.00,6.00,5.00,7.00,4.00,8.63,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5316154,3.00,2.00,2.00,3.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5316162,3.00,5.00,3.00,3.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5316170,9.00,8.00,3.00,4.00,8.00,11.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5316189,4.00,5.00,3.00,5.00,6.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5316197,6.00,4.00,2.00,2.00,6.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5316200,6.00,7.00,2.00,5.00,4.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5316219,2.00,6.00,1.00,3.00,7.00,9.38,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5316227,5.00,5.00,1.00,7.00,8.00,8.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5316243,6.00,6.00,2.00,7.00,6.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5316251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5316278,3.00,3.00,0.00,4.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5316294,6.00,5.00,1.00,5.00,8.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5316316,5.00,4.00,2.00,6.00,7.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5316324,3.00,2.00,1.00,4.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5316332,7.00,8.00,3.00,7.00,10.00,7.50,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5316340,3.00,6.00,2.00,3.00,5.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5316359,9.00,6.00,5.00,4.00,8.00,9.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5316367,4.00,4.00,0.00,5.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5316375,0.00,3.00,3.00,0.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5316391,8.00,5.00,5.00,6.00,6.00,9.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5316405,8.00,7.00,1.00,6.00,8.00,9.00,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5316413,5.00,6.00,1.00,4.00,7.00,10.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5316421,8.00,7.00,5.00,6.00,9.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5316430,7.00,9.00,1.00,6.00,4.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5316448,4.00,6.00,1.00,2.00,1.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5316456,3.00,6.00,1.00,1.00,0.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5316472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5316480,4.00,4.00,0.00,2.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5316499,8.00,7.00,5.00,7.00,9.00,10.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5316502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5316510,7.00,5.00,5.00,7.00,8.00,10.13,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5316529,4.00,3.00,4.00,4.00,6.00,10.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5316537,8.00,6.00,5.00,7.00,9.00,9.75,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5316545,4.00,3.00,1.00,5.00,8.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5316553,5.00,7.00,2.00,3.00,5.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5316561,3.00,1.00,0.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5316570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5316596,1.00,0.00,2.00,1.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5316600,2.00,4.00,3.00,4.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5316618,7.00,5.00,2.00,7.00,10.00,10.88,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5316626,4.00,4.00,3.00,3.00,4.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5316634,3.00,5.00,3.00,3.00,5.00,9.00,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5316642,5.00,7.00,3.00,3.00,6.00,7.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5316650,3.00,7.00,1.00,1.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5316669,5.00,6.00,1.00,1.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5316677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5316685,6.00,6.00,4.00,6.00,5.00,7.88,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5316693,4.00,6.00,0.00,7.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5316707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5316723,7.00,6.00,4.00,6.00,6.00,9.75,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5316731,6.00,4.00,3.00,6.00,8.00,6.75,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5316740,7.00,7.00,4.00,5.00,4.00,8.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5316758,7.00,5.00,5.00,5.00,5.00,7.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5316766,2.00,1.00,1.00,3.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5316774,2.00,4.00,1.00,7.00,4.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5316804,2.00,4.00,0.00,4.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5316812,6.00,5.00,2.00,3.00,8.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5316820,3.00,5.00,1.00,1.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5316839,5.00,2.00,1.00,2.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5316847,6.00,6.00,4.00,7.00,5.00,8.63,0.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5316855,6.00,4.00,1.00,5.00,10.00,11.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5316863,2.00,2.00,0.00,2.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5316871,3.00,5.00,2.00,4.00,7.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5316880,3.00,5.00,0.00,2.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5316898,7.00,5.00,4.00,7.00,5.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5316901,4.00,6.00,4.00,7.00,9.00,9.38,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5316910,5.00,3.00,3.00,4.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5316928,6.00,7.00,6.00,6.00,7.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5316936,2.00,4.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5316944,5.00,7.00,2.00,3.00,6.00,3.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5316960,4.00,7.00,2.00,5.00,9.00,10.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5316979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5316987,7.00,5.00,2.00,2.00,8.00,9.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5316995,5.00,7.00,2.00,6.00,8.00,9.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5317010,2.00,0.00,2.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5317037,6.00,6.00,2.00,7.00,5.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5317045,5.00,3.00,3.00,7.00,7.00,7.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5317053,9.00,8.00,6.00,5.00,10.00,9.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5317070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5317088,3.00,4.00,0.00,1.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5317096,1.00,2.00,1.00,0.00,4.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5317100,6.00,8.00,0.00,6.00,10.00,10.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5317118,1.00,3.00,1.00,2.00,5.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5317126,2.00,3.00,2.00,4.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5317134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5317142,8.00,8.00,4.00,7.00,8.00,8.63,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5317150,2.00,2.00,0.00,1.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5317177,5.00,6.00,0.00,6.00,6.00,12.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5317185,5.00,5.00,2.00,6.00,7.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5317193,7.00,6.00,2.00,7.00,8.00,6.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5317207,3.00,2.00,1.00,3.00,0.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5317215,1.00,3.00,0.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5317223,3.00,6.00,1.00,6.00,8.00,7.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5317231,7.00,7.00,1.00,4.00,8.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5317240,7.00,5.00,2.00,6.00,8.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5317258,6.00,5.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5317266,9.00,9.00,4.00,7.00,11.00,9.38,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5317274,2.00,4.00,2.00,4.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5317282,6.00,5.00,1.00,4.00,7.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5317290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5317304,6.00,7.00,3.00,8.00,6.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5317312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5317320,7.00,4.00,4.00,6.00,5.00,9.38,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5317339,6.00,5.00,3.00,7.00,8.00,9.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5317347,3.00,4.00,0.00,2.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5317355,4.00,5.00,1.00,2.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5317363,2.00,2.00,2.00,3.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5317371,1.00,6.00,0.00,1.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5317380,9.00,6.00,6.00,7.00,8.00,12.38,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5317398,3.00,2.00,2.00,5.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5317401,7.00,7.00,1.00,2.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5317410,3.00,5.00,1.00,4.00,4.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5317428,4.00,5.00,5.00,6.00,6.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5317436,2.00,4.00,2.00,3.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5317444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5317452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5317460,8.00,8.00,3.00,6.00,8.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5317479,2.00,4.00,1.00,1.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5317495,6.00,6.00,6.00,7.00,10.00,7.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5317509,3.00,4.00,5.00,3.00,4.00,3.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5317517,2.00,6.00,1.00,6.00,7.00,11.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5317550,3.00,4.00,2.00,4.00,8.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5317568,7.00,5.00,4.00,7.00,8.00,11.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5317576,1.00,4.00,0.00,0.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5317584,7.00,7.00,3.00,7.00,9.00,10.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5317592,2.00,6.00,1.00,3.00,7.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5317606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5317614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5317630,2.00,3.00,2.00,3.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5317649,2.00,6.00,1.00,2.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5317665,0.00,4.00,2.00,4.00,6.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5317690,8.00,8.00,3.00,6.00,7.00,10.88,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5317703,5.00,5.00,1.00,3.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5317720,7.00,6.00,5.00,7.00,6.00,6.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5317746,3.00,3.00,2.00,5.00,5.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5317754,4.00,4.00,0.00,0.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5317762,3.00,4.00,0.00,4.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5317789,3.00,5.00,2.00,7.00,7.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5317800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5317827,7.00,6.00,0.00,4.00,8.00,9.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5317835,4.00,3.00,1.00,4.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5317843,6.00,6.00,5.00,3.00,7.00,10.13,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5317851,4.00,4.00,1.00,4.00,4.00,3.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5317860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5317878,3.00,3.00,2.00,6.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5317886,5.00,5.00,2.00,3.00,2.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5317894,4.00,5.00,2.00,5.00,7.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5317908,4.00,5.00,1.00,3.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5317916,3.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5317924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5317932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5317940,2.00,5.00,2.00,3.00,5.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5317959,3.00,3.00,2.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5317967,1.00,1.00,0.00,1.00,1.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5317983,4.00,4.00,2.00,6.00,6.00,7.88,5.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5317991,8.00,7.00,2.00,7.00,9.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5318009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5318017,2.00,4.00,2.00,6.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5318025,3.00,4.00,1.00,2.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5318033,3.00,5.00,3.00,3.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5318050,3.00,4.00,1.00,5.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5318068,7.00,6.00,2.00,6.00,6.00,9.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5318076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5318084,4.00,5.00,1.00,7.00,4.00,10.13,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5318106,5.00,7.00,0.00,6.00,4.00,7.13,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5318122,2.00,5.00,1.00,4.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5318130,8.00,7.00,2.00,5.00,6.00,4.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5318149,3.00,3.00,0.00,2.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5318157,9.00,7.00,1.00,7.00,10.00,10.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5318165,3.00,3.00,1.00,3.00,3.00,NULL,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5318181,3.00,2.00,1.00,1.00,4.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5318203,3.00,5.00,1.00,0.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5318211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5318220,3.00,3.00,1.00,4.00,4.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5318238,9.00,6.00,3.00,7.00,8.00,8.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5318246,4.00,7.00,1.00,5.00,4.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5318254,7.00,6.00,3.00,7.00,9.00,8.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5318262,3.00,5.00,0.00,0.00,5.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5318270,5.00,7.00,4.00,4.00,8.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5318289,2.00,5.00,2.00,4.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5318297,2.00,3.00,1.00,2.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5318300,6.00,9.00,5.00,7.00,10.00,7.13,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5318319,5.00,7.00,2.00,5.00,9.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5318327,6.00,7.00,0.00,5.00,6.00,10.50,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5318335,7.00,6.00,5.00,7.00,8.00,9.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5318343,8.00,9.00,3.00,8.00,10.00,9.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5318351,6.00,7.00,0.00,4.00,9.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5318360,4.00,3.00,2.00,3.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5318394,7.00,5.00,2.00,4.00,5.00,7.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5318416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5318432,5.00,7.00,1.00,4.00,6.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5318440,7.00,6.00,5.00,4.00,7.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5318475,3.00,5.00,3.00,2.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5318491,2.00,4.00,3.00,6.00,4.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5318505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5318513,3.00,6.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5318521,1.00,7.00,3.00,3.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5318530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5318548,6.00,6.00,4.00,5.00,6.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5318564,1.00,5.00,1.00,2.00,4.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5318572,7.00,9.00,1.00,5.00,10.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5318580,6.00,6.00,3.00,5.00,8.00,6.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5318599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5318602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5318629,1.00,3.00,0.00,4.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5318637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5318645,2.00,7.00,0.00,4.00,6.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5318653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5318661,3.00,3.00,0.00,3.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5318670,3.00,5.00,0.00,2.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5318688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5318696,7.00,6.00,3.00,6.00,7.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5318700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5318734,6.00,8.00,5.00,7.00,7.00,12.38,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5318742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5318750,5.00,7.00,2.00,5.00,10.00,7.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5318769,9.00,8.00,2.00,7.00,7.00,9.38,3.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5318777,9.00,7.00,4.00,3.00,6.00,10.88,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5318785,5.00,5.00,1.00,2.00,4.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5318793,4.00,6.00,0.00,8.00,9.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5318807,2.00,4.00,0.00,3.00,0.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5318815,6.00,7.00,3.00,5.00,7.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5318823,4.00,1.00,4.00,4.00,5.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5318831,5.00,2.00,1.00,1.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5318840,2.00,0.00,1.00,3.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'S'),(20,5318858,6.00,8.00,3.00,7.00,9.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5318866,8.00,6.00,1.00,6.00,7.00,7.50,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5318874,4.00,4.00,1.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5318882,5.00,6.00,3.00,5.00,6.00,11.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5318904,3.00,7.00,3.00,7.00,6.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5318912,5.00,6.00,4.00,5.00,8.00,11.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5318920,7.00,5.00,1.00,6.00,9.00,10.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5318939,4.00,7.00,1.00,5.00,6.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5318947,7.00,7.00,3.00,5.00,7.00,6.38,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5318955,3.00,6.00,4.00,4.00,6.00,7.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5318980,3.00,6.00,1.00,3.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5318998,7.00,4.00,3.00,7.00,8.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5319005,7.00,5.00,2.00,7.00,9.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5319013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5319021,3.00,6.00,1.00,3.00,4.00,9.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5319048,3.00,4.00,0.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5319064,8.00,7.00,4.00,3.00,7.00,8.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5319072,0.00,2.00,1.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5319099,5.00,3.00,4.00,2.00,4.00,6.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5319102,3.00,6.00,1.00,6.00,6.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5319110,8.00,7.00,5.00,6.00,9.00,6.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5319129,3.00,5.00,1.00,4.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5319137,4.00,6.00,1.00,6.00,5.00,10.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5319145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5319153,6.00,8.00,1.00,7.00,9.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5319161,3.00,4.00,2.00,2.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5319170,5.00,6.00,2.00,5.00,7.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5319200,9.00,5.00,5.00,5.00,9.00,10.88,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5319218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5319226,4.00,3.00,2.00,7.00,5.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5319234,3.00,4.00,2.00,2.00,6.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5319242,4.00,6.00,1.00,3.00,6.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5319250,6.00,6.00,5.00,7.00,8.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5319269,4.00,5.00,4.00,3.00,4.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5319277,5.00,6.00,2.00,6.00,7.00,7.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5319285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5319293,1.00,5.00,0.00,2.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5319307,4.00,6.00,4.00,4.00,4.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5319315,2.00,5.00,3.00,5.00,9.00,NULL,2.00,4.00,4.00,NULL,NULL,'S','N'),(20,5319323,7.00,8.00,4.00,7.00,8.00,10.50,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5319331,0.00,2.00,3.00,0.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5319358,6.00,7.00,5.00,6.00,7.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5319366,4.00,4.00,0.00,4.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5319374,4.00,6.00,3.00,4.00,6.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5319382,4.00,6.00,3.00,7.00,7.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5319390,5.00,5.00,2.00,4.00,5.00,9.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5319404,3.00,6.00,3.00,4.00,6.00,7.13,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5319412,6.00,6.00,1.00,4.00,7.00,10.50,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5319420,7.00,6.00,3.00,5.00,7.00,9.00,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5319439,7.00,4.00,0.00,3.00,10.00,11.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5319447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5319455,5.00,6.00,1.00,7.00,7.00,9.38,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5319463,3.00,4.00,2.00,6.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,'S','N'),(20,5319471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5319480,7.00,5.00,0.00,3.00,8.00,NULL,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5319498,6.00,5.00,5.00,7.00,9.00,7.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5319501,4.00,7.00,1.00,7.00,7.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5319528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5319536,8.00,8.00,4.00,6.00,10.00,11.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5319544,2.00,4.00,0.00,0.00,2.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5319579,5.00,7.00,7.00,4.00,10.00,9.75,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5319587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5319595,3.00,5.00,1.00,4.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5319609,4.00,4.00,2.00,2.00,7.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5319625,3.00,0.00,3.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5319633,7.00,6.00,3.00,4.00,8.00,10.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5319641,2.00,3.00,0.00,5.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'S'),(20,5319650,4.00,5.00,1.00,5.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5319668,6.00,7.00,4.00,5.00,6.00,0.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5319676,4.00,5.00,2.00,3.00,4.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5319684,8.00,4.00,2.00,7.00,6.00,11.25,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5319692,7.00,6.00,4.00,7.00,5.00,8.63,4.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5319706,7.00,7.00,4.00,6.00,7.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5319714,3.00,4.00,0.00,3.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5319722,1.00,4.00,2.00,3.00,2.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5319730,3.00,4.00,0.00,1.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5319749,6.00,4.00,6.00,7.00,7.00,9.38,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5319757,4.00,5.00,4.00,4.00,4.00,7.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5319765,4.00,4.00,2.00,4.00,7.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5319773,5.00,5.00,4.00,5.00,8.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5319781,5.00,7.00,1.00,2.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5319790,4.00,1.00,0.00,4.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5319803,8.00,4.00,1.00,7.00,6.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5319811,2.00,4.00,1.00,1.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5319820,7.00,7.00,3.00,7.00,10.00,10.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5319838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5319854,8.00,6.00,2.00,8.00,7.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5319862,2.00,5.00,1.00,5.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5319897,8.00,5.00,6.00,5.00,4.00,9.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5319900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5319919,3.00,6.00,2.00,2.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5319935,0.00,4.00,1.00,1.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5319951,4.00,6.00,2.00,4.00,9.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5319960,3.00,4.00,2.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5319978,2.00,8.00,2.00,7.00,6.00,11.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5319986,4.00,5.00,0.00,2.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5319994,5.00,5.00,4.00,5.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5320003,1.00,6.00,2.00,2.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5320020,3.00,4.00,0.00,4.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5320038,8.00,6.00,5.00,8.00,7.00,9.75,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5320046,7.00,6.00,3.00,4.00,5.00,9.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5320054,5.00,5.00,3.00,4.00,4.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5320062,0.00,7.00,2.00,4.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5320070,2.00,3.00,1.00,4.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5320097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5320119,9.00,5.00,6.00,6.00,8.00,10.13,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5320135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5320160,1.00,5.00,3.00,5.00,6.00,7.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5320178,5.00,5.00,2.00,6.00,7.00,6.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5320186,5.00,7.00,2.00,6.00,8.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5320194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5320208,0.00,6.00,0.00,0.00,0.00,NULL,2.00,4.00,4.00,'S',NULL,NULL,'N'),(20,5320216,7.00,5.00,1.00,4.00,6.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5320224,6.00,6.00,6.00,3.00,7.00,4.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5320232,6.00,5.00,0.00,7.00,7.00,10.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5320259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5320267,6.00,8.00,1.00,7.00,4.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5320275,4.00,6.00,2.00,4.00,6.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5320283,4.00,5.00,1.00,5.00,7.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5320291,0.00,4.00,0.00,0.00,0.00,NULL,0.00,4.00,1.00,'S',NULL,NULL,'S'),(20,5320313,1.00,6.00,0.00,4.00,5.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5320321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5320330,3.00,4.00,3.00,5.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5320356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5320364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5320372,7.00,3.00,4.00,5.00,6.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5320380,7.00,4.00,4.00,7.00,6.00,11.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5320399,8.00,5.00,4.00,7.00,7.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5320402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5320410,3.00,6.00,1.00,4.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5320429,8.00,6.00,7.00,6.00,8.00,12.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5320445,4.00,8.00,4.00,7.00,7.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5320453,3.00,4.00,2.00,2.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5320461,1.00,4.00,3.00,3.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5320470,7.00,6.00,3.00,6.00,8.00,0.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5320488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5320496,7.00,7.00,4.00,6.00,9.00,12.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5320500,2.00,4.00,1.00,5.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5320518,8.00,7.00,3.00,4.00,8.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5320526,2.00,4.00,2.00,6.00,5.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5320534,3.00,5.00,1.00,2.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5320542,3.00,7.00,0.00,3.00,6.00,9.75,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(20,5320550,4.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5320569,6.00,5.00,3.00,4.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5320577,1.00,4.00,1.00,3.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5320585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5320593,2.00,4.00,4.00,3.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5320607,6.00,6.00,4.00,4.00,8.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5320615,3.00,6.00,1.00,7.00,6.00,6.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5320623,6.00,6.00,1.00,4.00,5.00,6.00,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5320631,3.00,5.00,3.00,4.00,7.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5320640,6.00,6.00,2.00,3.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5320658,9.00,7.00,8.00,7.00,9.00,9.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5320666,7.00,6.00,2.00,3.00,6.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5320674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5320704,6.00,6.00,2.00,7.00,8.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5320712,6.00,6.00,1.00,5.00,5.00,7.88,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5320720,4.00,3.00,2.00,5.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5320739,7.00,6.00,2.00,7.00,6.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5320747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5320763,8.00,7.00,5.00,3.00,6.00,7.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5320780,9.00,9.00,5.00,4.00,10.00,11.63,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5320798,9.00,6.00,5.00,6.00,10.00,10.88,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5320801,7.00,6.00,5.00,6.00,6.00,7.88,7.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5320810,1.00,2.00,1.00,1.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5320828,3.00,4.00,0.00,4.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5320836,3.00,4.00,1.00,1.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5320844,4.00,3.00,1.00,4.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5320852,3.00,4.00,1.00,7.00,8.00,9.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5320860,5.00,6.00,1.00,4.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,'S','N'),(20,5320879,0.00,1.00,0.00,0.00,0.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5320887,7.00,8.00,5.00,7.00,11.00,10.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5320895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5320909,3.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5320917,6.00,7.00,3.00,7.00,7.00,8.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5320925,5.00,7.00,3.00,7.00,4.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5320933,3.00,8.00,1.00,5.00,9.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5320941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5320950,7.00,5.00,3.00,5.00,6.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5320968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5320984,4.00,6.00,2.00,4.00,6.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5320992,3.00,4.00,1.00,4.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5321000,8.00,6.00,4.00,7.00,10.00,10.13,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5321018,2.00,5.00,5.00,3.00,6.00,6.75,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5321026,5.00,8.00,3.00,4.00,6.00,7.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5321034,4.00,3.00,2.00,3.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5321042,5.00,7.00,3.00,6.00,7.00,7.88,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5321050,5.00,4.00,2.00,1.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5321069,1.00,5.00,1.00,1.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5321085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5321093,3.00,6.00,5.00,7.00,4.00,8.25,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5321115,7.00,5.00,6.00,6.00,7.00,6.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5321123,8.00,9.00,1.00,5.00,8.00,8.63,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5321131,7.00,5.00,0.00,6.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5321140,8.00,8.00,4.00,6.00,8.00,8.63,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5321158,5.00,6.00,1.00,4.00,7.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5321166,3.00,5.00,0.00,3.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5321174,6.00,4.00,2.00,4.00,6.00,NULL,3.00,4.00,4.00,NULL,NULL,'S','N'),(20,5321182,6.00,7.00,4.00,5.00,8.00,10.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5321190,4.00,3.00,2.00,3.00,6.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5321204,7.00,8.00,5.00,6.00,9.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5321212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5321239,7.00,6.00,3.00,6.00,9.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5321247,6.00,5.00,3.00,6.00,6.00,9.75,2.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5321255,8.00,5.00,4.00,7.00,6.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5321263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5321271,8.00,0.00,4.00,7.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5321280,4.00,6.00,1.00,4.00,5.00,10.50,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5321298,5.00,7.00,3.00,3.00,6.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5321301,5.00,5.00,3.00,6.00,9.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5321336,1.00,0.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5321344,7.00,6.00,3.00,7.00,4.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5321352,4.00,3.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5321360,5.00,4.00,3.00,4.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5321387,9.00,5.00,6.00,7.00,10.00,8.25,8.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5321409,2.00,6.00,0.00,3.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5321417,2.00,5.00,0.00,0.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5321425,7.00,6.00,2.00,6.00,6.00,7.50,2.00,0.00,2.00,NULL,NULL,NULL,'S'),(20,5321433,2.00,3.00,0.00,4.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5321441,3.00,5.00,3.00,4.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5321450,5.00,8.00,0.00,6.00,4.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5321468,7.00,6.00,5.00,6.00,9.00,7.88,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5321476,6.00,6.00,3.00,3.00,5.00,7.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5321484,3.00,4.00,0.00,3.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5321492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5321506,7.00,6.00,5.00,7.00,8.00,10.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5321514,2.00,4.00,1.00,6.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5321530,4.00,5.00,0.00,5.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5321549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5321557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5321565,5.00,7.00,2.00,6.00,5.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5321573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5321581,3.00,5.00,4.00,4.00,5.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5321590,8.00,7.00,5.00,8.00,9.00,11.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5321603,9.00,6.00,6.00,8.00,9.00,10.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5321620,9.00,7.00,9.00,7.00,8.00,8.63,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5321638,5.00,7.00,5.00,6.00,7.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5321646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5321654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5321662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5321697,4.00,6.00,3.00,7.00,4.00,7.13,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5321700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5321719,4.00,4.00,2.00,3.00,8.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5321743,3.00,6.00,3.00,4.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5321751,3.00,2.00,4.00,1.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5321760,4.00,4.00,3.00,7.00,7.00,10.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5321778,3.00,5.00,2.00,3.00,5.00,9.00,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5321786,5.00,3.00,2.00,4.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5321794,5.00,7.00,2.00,4.00,6.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5321808,3.00,6.00,4.00,2.00,5.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5321816,3.00,6.00,4.00,5.00,8.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5321840,6.00,5.00,2.00,4.00,5.00,7.88,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5321859,7.00,5.00,0.00,3.00,4.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5321867,9.00,7.00,4.00,8.00,11.00,9.38,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5321875,4.00,6.00,5.00,5.00,7.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5321883,3.00,3.00,1.00,1.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,'S','N'),(20,5321891,5.00,5.00,4.00,3.00,5.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5321905,5.00,7.00,2.00,4.00,6.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5321921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5321930,0.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5321948,7.00,7.00,5.00,7.00,9.00,8.25,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5321956,3.00,3.00,0.00,3.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5321972,4.00,6.00,3.00,7.00,7.00,8.63,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5321980,7.00,8.00,5.00,7.00,6.00,10.13,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5321999,3.00,7.00,0.00,4.00,5.00,7.88,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5322006,3.00,3.00,0.00,1.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5322014,3.00,2.00,1.00,2.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5322022,7.00,7.00,4.00,7.00,9.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5322030,9.00,6.00,1.00,6.00,9.00,13.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5322065,2.00,3.00,1.00,1.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5322073,2.00,3.00,4.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5322081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5322090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5322103,6.00,5.00,1.00,4.00,5.00,7.13,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5322111,5.00,8.00,5.00,5.00,7.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5322120,2.00,4.00,0.00,4.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5322138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5322146,4.00,5.00,3.00,1.00,6.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5322154,7.00,5.00,4.00,7.00,8.00,11.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5322170,3.00,2.00,2.00,3.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5322189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5322197,5.00,6.00,0.00,3.00,4.00,6.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5322200,5.00,5.00,0.00,0.00,3.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5322219,4.00,5.00,2.00,7.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5322227,5.00,5.00,1.00,5.00,8.00,11.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5322243,4.00,5.00,1.00,0.00,6.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5322260,3.00,6.00,1.00,4.00,5.00,6.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5322294,4.00,5.00,2.00,6.00,4.00,7.88,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5322308,6.00,6.00,0.00,5.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5322316,3.00,2.00,0.00,1.00,0.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5322324,5.00,4.00,6.00,6.00,7.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5322332,4.00,6.00,2.00,2.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5322340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5322359,6.00,8.00,3.00,7.00,6.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5322367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5322383,8.00,6.00,5.00,5.00,6.00,7.50,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5322391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5322405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5322413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5322448,4.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5322456,5.00,5.00,6.00,3.00,7.00,9.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5322472,8.00,6.00,2.00,7.00,9.00,10.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5322480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5322499,3.00,4.00,0.00,2.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5322502,1.00,4.00,1.00,0.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5322510,1.00,6.00,0.00,5.00,6.00,NULL,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5322529,8.00,9.00,4.00,7.00,8.00,10.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5322537,3.00,3.00,0.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5322553,3.00,4.00,2.00,4.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5322561,4.00,4.00,3.00,3.00,3.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5322570,9.00,7.00,4.00,5.00,9.00,6.75,2.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5322588,6.00,5.00,3.00,7.00,4.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5322618,4.00,4.00,3.00,4.00,5.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5322626,6.00,8.00,5.00,3.00,7.00,9.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5322634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5322642,3.00,4.00,0.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5322669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5322677,2.00,5.00,0.00,6.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5322685,2.00,4.00,1.00,4.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5322693,8.00,6.00,3.00,7.00,6.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5322715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5322723,3.00,6.00,0.00,5.00,6.00,7.50,3.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5322758,3.00,5.00,3.00,3.00,6.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5322766,5.00,5.00,2.00,5.00,7.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5322774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5322782,5.00,5.00,0.00,2.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5322790,3.00,2.00,0.00,2.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5322804,5.00,3.00,4.00,5.00,4.00,9.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5322812,3.00,6.00,2.00,5.00,8.00,7.13,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5322820,5.00,8.00,2.00,8.00,8.00,9.75,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5322839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5322847,7.00,7.00,4.00,8.00,10.00,10.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5322855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5322863,5.00,7.00,2.00,4.00,5.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5322871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5322880,3.00,3.00,0.00,4.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5322898,5.00,7.00,2.00,5.00,4.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5322901,7.00,7.00,5.00,7.00,7.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5322910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5322928,5.00,7.00,2.00,4.00,4.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5322936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5322944,7.00,7.00,7.00,6.00,10.00,10.88,3.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5322952,0.00,4.00,1.00,2.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5322960,5.00,0.00,3.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5322979,2.00,2.00,0.00,1.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5322987,5.00,6.00,3.00,6.00,4.00,10.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5322995,3.00,1.00,0.00,3.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5323002,3.00,4.00,5.00,6.00,4.00,0.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5323010,2.00,4.00,2.00,5.00,8.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5323029,4.00,4.00,3.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5323037,8.00,7.00,8.00,4.00,9.00,9.38,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5323045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5323053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5323061,5.00,5.00,2.00,4.00,5.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5323070,2.00,5.00,3.00,3.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5323088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5323100,5.00,7.00,3.00,7.00,7.00,12.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5323118,7.00,4.00,2.00,3.00,8.00,12.00,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5323134,3.00,6.00,2.00,1.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5323142,4.00,4.00,2.00,4.00,6.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5323150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5323169,5.00,3.00,1.00,8.00,7.00,11.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5323177,8.00,4.00,2.00,4.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5323193,3.00,4.00,1.00,5.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5323207,7.00,7.00,3.00,6.00,8.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'S'),(20,5323215,9.00,6.00,4.00,7.00,10.00,9.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5323231,4.00,6.00,3.00,7.00,5.00,7.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5323240,5.00,6.00,1.00,6.00,5.00,9.00,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5323258,5.00,4.00,0.00,5.00,6.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5323266,4.00,4.00,2.00,6.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,'S','N'),(20,5323274,5.00,2.00,1.00,3.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5323282,6.00,6.00,2.00,5.00,8.00,8.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5323304,6.00,5.00,5.00,2.00,5.00,8.63,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5323312,3.00,3.00,3.00,1.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5323320,2.00,4.00,1.00,3.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5323339,5.00,6.00,1.00,1.00,5.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5323355,8.00,5.00,4.00,3.00,5.00,8.63,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5323363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5323371,2.00,6.00,4.00,5.00,8.00,10.50,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5323380,6.00,6.00,3.00,4.00,4.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5323398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5323401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5323428,1.00,5.00,1.00,2.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5323436,9.00,6.00,5.00,7.00,6.00,11.25,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5323452,3.00,7.00,1.00,4.00,6.00,10.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5323479,7.00,5.00,3.00,5.00,9.00,10.88,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5323487,2.00,2.00,0.00,4.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5323495,2.00,5.00,0.00,3.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5323509,4.00,6.00,3.00,4.00,4.00,7.88,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5323517,1.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5323533,9.00,9.00,6.00,7.00,9.00,13.50,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5323541,6.00,4.00,1.00,6.00,6.00,10.13,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5323550,7.00,8.00,4.00,5.00,7.00,9.00,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5323568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5323576,6.00,4.00,5.00,4.00,5.00,8.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5323584,5.00,8.00,5.00,7.00,6.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5323592,8.00,3.00,2.00,5.00,8.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5323606,2.00,3.00,2.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5323614,7.00,3.00,4.00,4.00,5.00,7.13,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5323622,7.00,7.00,3.00,7.00,4.00,9.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5323630,5.00,4.00,4.00,7.00,4.00,9.38,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5323649,3.00,6.00,0.00,5.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5323657,3.00,5.00,0.00,5.00,7.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5323665,4.00,6.00,1.00,4.00,5.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5323673,4.00,4.00,3.00,4.00,6.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5323681,5.00,4.00,3.00,5.00,8.00,9.00,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5323690,9.00,5.00,3.00,7.00,9.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5323711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5323720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5323746,3.00,3.00,0.00,1.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5323754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5323770,2.00,5.00,0.00,3.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5323789,6.00,6.00,2.00,5.00,10.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5323797,4.00,4.00,4.00,2.00,6.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5323800,3.00,5.00,4.00,3.00,4.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5323819,2.00,5.00,2.00,1.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5323827,5.00,4.00,1.00,3.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5323835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5323843,5.00,4.00,4.00,4.00,5.00,7.13,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5323851,6.00,5.00,6.00,6.00,8.00,7.13,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5323860,2.00,2.00,0.00,1.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5323878,7.00,8.00,4.00,7.00,6.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5323886,5.00,6.00,3.00,5.00,5.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5323894,3.00,3.00,1.00,3.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5323908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5323916,4.00,6.00,1.00,5.00,6.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5323924,5.00,8.00,2.00,3.00,8.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5323940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5323959,4.00,7.00,5.00,6.00,5.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5323967,5.00,4.00,2.00,7.00,4.00,9.00,4.00,1.00,6.00,NULL,NULL,NULL,'S'),(20,5323975,3.00,3.00,2.00,3.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5323983,6.00,7.00,5.00,6.00,7.00,10.13,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5323991,1.00,6.00,3.00,2.00,6.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5324017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5324025,6.00,6.00,3.00,7.00,4.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5324033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5324041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5324050,2.00,4.00,0.00,5.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5324068,4.00,5.00,3.00,3.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5324076,3.00,5.00,0.00,5.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5324084,6.00,5.00,7.00,3.00,10.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5324092,7.00,7.00,6.00,6.00,6.00,8.63,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5324106,3.00,3.00,2.00,4.00,7.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5324114,2.00,5.00,2.00,5.00,6.00,6.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5324122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5324130,9.00,6.00,4.00,7.00,8.00,9.38,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5324149,6.00,7.00,3.00,8.00,10.00,10.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5324157,6.00,7.00,3.00,5.00,6.00,7.13,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5324165,8.00,8.00,7.00,6.00,10.00,10.13,6.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5324181,2.00,5.00,0.00,1.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5324190,8.00,6.00,2.00,4.00,7.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5324203,2.00,2.00,2.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5324211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5324220,8.00,8.00,5.00,7.00,7.00,10.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5324238,5.00,6.00,2.00,4.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5324246,8.00,7.00,6.00,5.00,8.00,10.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5324254,0.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5324262,5.00,7.00,3.00,7.00,6.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5324270,8.00,4.00,4.00,4.00,6.00,7.50,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5324289,4.00,5.00,1.00,4.00,6.00,7.88,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5324297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5324300,1.00,4.00,1.00,5.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5324319,5.00,5.00,1.00,2.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5324327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5324343,6.00,5.00,0.00,7.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5324351,6.00,7.00,7.00,7.00,7.00,11.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5324360,5.00,6.00,3.00,5.00,6.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5324378,4.00,3.00,1.00,6.00,6.00,6.38,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5324386,1.00,6.00,0.00,1.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5324394,6.00,3.00,4.00,5.00,4.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5324408,4.00,5.00,1.00,2.00,8.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5324416,5.00,5.00,2.00,2.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5324424,3.00,5.00,0.00,0.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5324440,6.00,6.00,3.00,6.00,9.00,9.00,2.00,0.00,7.00,NULL,NULL,NULL,'N'),(20,5324467,6.00,7.00,5.00,5.00,7.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5324475,3.00,7.00,1.00,4.00,5.00,9.38,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5324491,1.00,4.00,3.00,1.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5324505,5.00,4.00,1.00,8.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5324513,2.00,5.00,2.00,5.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5324530,4.00,4.00,0.00,3.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5324548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(20,5324556,3.00,4.00,2.00,1.00,4.00,NULL,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5324564,9.00,5.00,7.00,7.00,8.00,10.88,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5324572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5324580,5.00,6.00,3.00,5.00,6.00,6.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5324599,8.00,7.00,0.00,2.00,4.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5324602,3.00,4.00,2.00,0.00,5.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5324610,7.00,7.00,4.00,5.00,7.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5324629,8.00,6.00,5.00,6.00,9.00,9.38,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5324637,4.00,5.00,1.00,4.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5324645,4.00,5.00,3.00,6.00,5.00,9.38,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5324653,3.00,6.00,1.00,1.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5324670,4.00,6.00,1.00,6.00,6.00,7.88,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5324688,3.00,3.00,1.00,4.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5324696,8.00,8.00,1.00,5.00,9.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5324700,6.00,5.00,3.00,4.00,6.00,9.75,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5324718,3.00,7.00,1.00,6.00,7.00,9.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5324726,5.00,6.00,3.00,5.00,5.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5324734,5.00,4.00,3.00,3.00,7.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5324742,9.00,7.00,1.00,7.00,9.00,9.38,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5324750,2.00,4.00,0.00,3.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5324769,7.00,8.00,3.00,5.00,6.00,7.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5324777,6.00,7.00,1.00,4.00,5.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5324785,4.00,4.00,1.00,5.00,6.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5324793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5324807,6.00,6.00,2.00,6.00,6.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5324815,2.00,6.00,1.00,3.00,5.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5324823,5.00,7.00,4.00,7.00,8.00,9.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5324831,6.00,7.00,4.00,5.00,6.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5324840,6.00,7.00,6.00,4.00,7.00,8.63,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5324858,8.00,8.00,4.00,7.00,9.00,11.25,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5324866,8.00,6.00,5.00,7.00,6.00,7.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5324874,4.00,7.00,1.00,5.00,6.00,9.38,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5324882,5.00,6.00,1.00,4.00,5.00,9.00,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5324890,5.00,6.00,4.00,2.00,5.00,6.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5324904,1.00,3.00,1.00,7.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5324912,5.00,7.00,3.00,7.00,8.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5324920,4.00,6.00,0.00,4.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5324939,6.00,5.00,4.00,7.00,9.00,9.38,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5324955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5324963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5324971,6.00,6.00,4.00,5.00,8.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5324980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5324998,8.00,6.00,0.00,7.00,8.00,NULL,0.00,7.00,1.00,NULL,NULL,NULL,'N'),(20,5325005,8.00,9.00,3.00,7.00,6.00,8.63,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5325013,7.00,5.00,2.00,5.00,6.00,10.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5325021,3.00,3.00,0.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5325030,3.00,4.00,0.00,5.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5325048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5325056,8.00,7.00,3.00,6.00,11.00,11.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5325064,7.00,8.00,8.00,6.00,8.00,10.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5325072,9.00,7.00,4.00,5.00,8.00,9.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5325080,8.00,7.00,7.00,6.00,7.00,10.13,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5325099,3.00,4.00,2.00,3.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5325102,4.00,5.00,1.00,3.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5325110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5325129,3.00,6.00,0.00,0.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5325137,3.00,4.00,0.00,3.00,5.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5325153,5.00,8.00,2.00,7.00,5.00,8.25,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5325161,2.00,4.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5325170,4.00,5.00,2.00,6.00,7.00,6.38,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5325188,6.00,0.00,4.00,4.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5325196,5.00,3.00,0.00,6.00,4.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5325200,4.00,2.00,2.00,4.00,4.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5325218,9.00,6.00,3.00,4.00,7.00,10.88,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5325226,5.00,7.00,3.00,3.00,5.00,7.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5325242,1.00,6.00,0.00,6.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5325250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5325269,1.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5325277,6.00,8.00,2.00,6.00,8.00,7.88,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5325285,6.00,6.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5325293,8.00,7.00,3.00,7.00,8.00,11.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5325307,6.00,5.00,2.00,6.00,9.00,8.25,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5325315,9.00,7.00,3.00,6.00,9.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5325323,4.00,4.00,1.00,2.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5325331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5325340,9.00,7.00,7.00,3.00,9.00,9.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5325358,5.00,5.00,4.00,6.00,9.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5325366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5325374,5.00,5.00,0.00,1.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5325382,6.00,7.00,0.00,5.00,5.00,6.75,1.00,5.00,6.00,NULL,NULL,NULL,'S'),(20,5325390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5325404,4.00,4.00,1.00,6.00,6.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5325412,8.00,6.00,5.00,7.00,6.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5325439,5.00,8.00,2.00,5.00,4.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5325447,4.00,4.00,3.00,3.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5325455,2.00,4.00,0.00,1.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5325463,0.00,4.00,3.00,3.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5325471,5.00,4.00,2.00,5.00,5.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5325501,5.00,7.00,4.00,5.00,8.00,9.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5325510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5325528,1.00,5.00,1.00,4.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5325536,2.00,5.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,'S','N'),(20,5325544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5325552,5.00,4.00,2.00,6.00,2.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5325560,4.00,5.00,0.00,6.00,7.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5325579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5325587,8.00,7.00,2.00,3.00,9.00,10.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5325609,7.00,5.00,4.00,7.00,8.00,9.00,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5325617,6.00,8.00,3.00,7.00,8.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5325633,7.00,7.00,1.00,6.00,7.00,9.75,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5325641,6.00,5.00,3.00,4.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5325650,1.00,4.00,0.00,4.00,8.00,10.13,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5325668,1.00,0.00,0.00,1.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5325676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5325684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5325692,5.00,5.00,2.00,5.00,4.00,9.38,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5325706,5.00,5.00,2.00,3.00,6.00,8.63,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5325714,2.00,6.00,2.00,2.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5325722,1.00,6.00,1.00,3.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5325730,1.00,5.00,1.00,2.00,5.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5325749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5325757,9.00,9.00,4.00,6.00,10.00,12.75,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5325765,4.00,7.00,3.00,4.00,5.00,NULL,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5325773,6.00,5.00,3.00,6.00,7.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5325781,5.00,8.00,2.00,3.00,6.00,6.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5325790,5.00,6.00,3.00,7.00,7.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5325803,5.00,5.00,0.00,5.00,5.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5325811,2.00,4.00,1.00,2.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5325820,5.00,6.00,3.00,4.00,7.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5325838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5325854,3.00,7.00,1.00,5.00,6.00,7.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5325862,3.00,4.00,0.00,0.00,1.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5325870,6.00,4.00,2.00,4.00,7.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5325889,2.00,3.00,0.00,1.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5325897,6.00,4.00,0.00,3.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5325900,3.00,5.00,3.00,5.00,7.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5325919,4.00,6.00,5.00,0.00,7.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5325927,4.00,5.00,0.00,3.00,4.00,9.38,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5325935,2.00,5.00,2.00,5.00,4.00,8.25,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5325943,5.00,6.00,2.00,5.00,6.00,7.13,2.00,3.00,6.00,NULL,NULL,NULL,'S'),(20,5325951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5325960,5.00,8.00,0.00,7.00,6.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5325978,2.00,4.00,0.00,3.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,'S','N'),(20,5325994,6.00,5.00,4.00,6.00,8.00,8.63,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5326001,7.00,7.00,5.00,8.00,7.00,11.25,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5326010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5326028,4.00,4.00,2.00,3.00,7.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5326036,6.00,6.00,4.00,6.00,6.00,7.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5326044,4.00,4.00,0.00,3.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5326052,4.00,5.00,1.00,6.00,7.00,8.63,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5326060,4.00,6.00,0.00,6.00,6.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5326079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5326087,2.00,3.00,1.00,4.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5326095,8.00,7.00,4.00,7.00,10.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5326117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5326125,4.00,5.00,4.00,2.00,5.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5326133,9.00,5.00,2.00,7.00,5.00,10.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5326150,7.00,7.00,2.00,5.00,7.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5326168,1.00,1.00,4.00,4.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5326176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5326184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5326192,6.00,8.00,5.00,7.00,6.00,10.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5326206,6.00,9.00,3.00,7.00,7.00,12.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5326214,3.00,0.00,1.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(20,5326222,1.00,5.00,3.00,6.00,5.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5326230,4.00,5.00,2.00,1.00,6.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5326257,5.00,5.00,3.00,7.00,6.00,7.88,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5326265,7.00,8.00,3.00,8.00,7.00,7.50,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5326273,6.00,6.00,3.00,6.00,6.00,7.88,5.00,4.00,6.00,NULL,NULL,NULL,'S'),(20,5326281,4.00,6.00,0.00,2.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5326290,3.00,3.00,3.00,7.00,6.00,7.50,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5326303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5326311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5326338,3.00,2.00,1.00,4.00,4.00,NULL,5.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5326346,6.00,3.00,2.00,2.00,1.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5326354,6.00,6.00,3.00,3.00,7.00,4.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5326362,4.00,5.00,1.00,5.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5326389,2.00,5.00,0.00,4.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5326397,4.00,3.00,2.00,4.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5326400,6.00,8.00,6.00,6.00,9.00,9.38,7.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5326419,5.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5326427,7.00,8.00,4.00,7.00,5.00,11.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5326435,4.00,7.00,2.00,5.00,7.00,7.13,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5326443,7.00,7.00,6.00,7.00,9.00,8.63,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5326451,7.00,5.00,5.00,6.00,6.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5326478,7.00,8.00,3.00,7.00,8.00,9.00,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5326494,6.00,8.00,1.00,4.00,7.00,10.88,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5326508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5326516,9.00,7.00,8.00,4.00,6.00,7.13,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5326524,8.00,0.00,2.00,5.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5326559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5326575,1.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5326583,6.00,6.00,2.00,4.00,5.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5326605,3.00,5.00,3.00,6.00,7.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5326613,6.00,5.00,5.00,6.00,6.00,8.25,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5326621,5.00,6.00,2.00,3.00,7.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5326630,8.00,8.00,2.00,5.00,9.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5326648,4.00,7.00,4.00,7.00,8.00,10.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5326656,8.00,8.00,1.00,6.00,8.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5326664,6.00,5.00,2.00,6.00,3.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5326672,6.00,5.00,3.00,6.00,4.00,10.88,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5326680,7.00,5.00,3.00,2.00,5.00,12.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5326699,9.00,8.00,4.00,6.00,10.00,10.88,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5326702,4.00,6.00,3.00,2.00,6.00,8.63,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5326710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5326729,5.00,5.00,1.00,4.00,4.00,6.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5326737,4.00,3.00,5.00,3.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5326745,8.00,8.00,7.00,7.00,10.00,8.63,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5326753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5326761,5.00,5.00,0.00,4.00,8.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5326770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5326788,4.00,8.00,2.00,5.00,5.00,8.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5326796,6.00,6.00,1.00,6.00,5.00,6.00,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5326800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5326818,4.00,4.00,3.00,5.00,4.00,6.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5326826,1.00,4.00,2.00,2.00,4.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5326834,4.00,5.00,0.00,5.00,5.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5326850,5.00,7.00,4.00,6.00,7.00,9.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5326869,9.00,7.00,2.00,7.00,8.00,12.38,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5326877,3.00,5.00,0.00,3.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5326893,7.00,7.00,6.00,6.00,7.00,7.13,6.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5326907,4.00,6.00,1.00,5.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,'S','N'),(20,5326915,2.00,0.00,2.00,3.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5326923,4.00,6.00,2.00,5.00,6.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5326931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5326940,8.00,6.00,5.00,6.00,4.00,6.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5326958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5326966,4.00,5.00,5.00,6.00,5.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5326974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5326982,1.00,5.00,2.00,4.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5326990,5.00,3.00,1.00,6.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5327008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5327016,5.00,4.00,3.00,6.00,5.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5327024,3.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(20,5327040,6.00,6.00,2.00,5.00,9.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5327059,5.00,6.00,4.00,1.00,5.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5327067,1.00,4.00,2.00,3.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5327075,6.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5327083,4.00,5.00,3.00,7.00,7.00,9.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5327091,4.00,8.00,2.00,6.00,7.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5327105,8.00,6.00,1.00,5.00,10.00,10.13,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5327113,4.00,5.00,0.00,4.00,6.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5327121,4.00,5.00,2.00,3.00,3.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5327130,6.00,6.00,3.00,7.00,6.00,10.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5327148,6.00,5.00,2.00,6.00,9.00,9.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5327156,3.00,4.00,2.00,7.00,6.00,9.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5327164,8.00,6.00,5.00,7.00,9.00,7.13,3.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5327172,8.00,7.00,5.00,7.00,7.00,8.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5327180,8.00,9.00,7.00,7.00,9.00,8.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5327199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5327202,8.00,5.00,5.00,7.00,10.00,7.88,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5327210,6.00,8.00,3.00,6.00,7.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5327229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5327237,4.00,3.00,3.00,7.00,5.00,8.25,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5327245,6.00,6.00,3.00,7.00,9.00,12.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5327261,4.00,7.00,0.00,7.00,8.00,9.75,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5327270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5327288,3.00,3.00,0.00,3.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5327296,4.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5327300,6.00,5.00,0.00,6.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,'S','S'),(20,5327318,8.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5327326,2.00,5.00,1.00,7.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5327334,7.00,4.00,2.00,3.00,6.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5327342,4.00,4.00,2.00,5.00,7.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5327350,5.00,6.00,5.00,3.00,4.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5327369,8.00,6.00,2.00,6.00,9.00,7.50,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5327377,3.00,7.00,4.00,3.00,5.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5327385,2.00,6.00,4.00,5.00,6.00,7.50,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5327393,5.00,6.00,2.00,5.00,2.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5327407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5327415,7.00,6.00,2.00,6.00,8.00,NULL,1.00,4.00,7.00,NULL,NULL,'S','N'),(20,5327423,6.00,7.00,3.00,7.00,5.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5327431,3.00,5.00,2.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5327440,3.00,4.00,2.00,4.00,6.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5327458,9.00,7.00,2.00,8.00,10.00,11.63,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5327466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5327482,3.00,4.00,0.00,5.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5327490,3.00,6.00,0.00,4.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5327504,7.00,5.00,1.00,7.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5327512,5.00,6.00,0.00,7.00,6.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5327520,5.00,5.00,1.00,5.00,8.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5327539,4.00,7.00,2.00,6.00,6.00,6.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5327547,4.00,5.00,3.00,4.00,5.00,7.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5327555,4.00,8.00,4.00,4.00,5.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5327571,4.00,3.00,2.00,4.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5327580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5327598,4.00,7.00,1.00,4.00,6.00,6.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5327601,3.00,2.00,1.00,1.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5327610,8.00,7.00,3.00,5.00,5.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5327628,9.00,8.00,9.00,7.00,9.00,8.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5327636,8.00,7.00,7.00,7.00,8.00,6.75,7.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5327644,2.00,4.00,2.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5327652,5.00,4.00,1.00,6.00,9.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5327660,7.00,6.00,1.00,7.00,7.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5327679,3.00,5.00,1.00,6.00,5.00,7.88,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5327687,4.00,5.00,0.00,3.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5327695,3.00,4.00,1.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5327709,7.00,0.00,2.00,8.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5327717,5.00,5.00,3.00,5.00,7.00,6.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5327725,8.00,5.00,1.00,5.00,8.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5327733,3.00,6.00,3.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5327741,8.00,8.00,4.00,7.00,6.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5327750,5.00,5.00,3.00,3.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5327768,6.00,6.00,3.00,7.00,7.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5327776,3.00,6.00,3.00,6.00,8.00,11.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5327784,5.00,3.00,1.00,5.00,4.00,10.50,3.00,0.00,6.00,NULL,NULL,NULL,'N'),(20,5327806,3.00,4.00,2.00,3.00,7.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5327822,2.00,6.00,2.00,5.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5327830,6.00,6.00,3.00,2.00,5.00,4.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5327849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5327857,5.00,7.00,2.00,5.00,6.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5327865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5327881,2.00,4.00,1.00,1.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5327890,4.00,5.00,2.00,7.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5327903,7.00,7.00,3.00,6.00,6.00,NULL,3.00,5.00,3.00,NULL,NULL,'S','N'),(20,5327911,8.00,8.00,5.00,6.00,9.00,10.88,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5327938,5.00,5.00,0.00,6.00,5.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5327946,1.00,4.00,0.00,2.00,2.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5327954,3.00,6.00,3.00,3.00,6.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5327962,4.00,5.00,4.00,3.00,4.00,7.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5327989,6.00,5.00,2.00,5.00,7.00,11.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5327997,4.00,5.00,1.00,5.00,6.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5328004,4.00,6.00,1.00,5.00,8.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5328012,7.00,6.00,2.00,3.00,7.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5328020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5328055,4.00,4.00,0.00,4.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5328063,7.00,6.00,3.00,7.00,8.00,7.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5328071,4.00,4.00,4.00,2.00,5.00,4.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5328080,8.00,7.00,1.00,6.00,9.00,12.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5328098,9.00,7.00,8.00,5.00,11.00,9.00,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5328101,3.00,5.00,1.00,1.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5328110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5328128,2.00,1.00,1.00,0.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5328136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5328144,8.00,7.00,4.00,4.00,5.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5328152,8.00,7.00,3.00,5.00,8.00,10.50,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5328160,2.00,3.00,2.00,1.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5328179,5.00,6.00,4.00,7.00,7.00,9.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5328187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5328209,1.00,2.00,3.00,2.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5328217,6.00,6.00,4.00,4.00,7.00,9.38,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5328225,7.00,6.00,1.00,6.00,8.00,10.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5328233,8.00,8.00,6.00,6.00,8.00,9.38,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5328241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5328268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5328276,7.00,5.00,3.00,3.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5328306,5.00,6.00,3.00,5.00,8.00,7.50,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5328314,6.00,4.00,2.00,4.00,6.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5328322,6.00,6.00,2.00,0.00,7.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5328330,8.00,5.00,1.00,6.00,7.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5328349,5.00,4.00,0.00,5.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5328357,5.00,3.00,0.00,3.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5328365,4.00,3.00,1.00,3.00,4.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5328373,4.00,5.00,2.00,5.00,5.00,8.25,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5328381,3.00,6.00,0.00,2.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5328390,7.00,8.00,7.00,4.00,4.00,7.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5328411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5328420,2.00,6.00,1.00,6.00,9.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5328462,3.00,7.00,2.00,5.00,5.00,8.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5328470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5328489,8.00,5.00,0.00,7.00,6.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5328497,2.00,3.00,1.00,2.00,1.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5328500,7.00,5.00,2.00,2.00,6.00,6.00,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5328519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5328527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5328535,4.00,5.00,0.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5328543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5328560,3.00,4.00,0.00,5.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5328578,3.00,3.00,0.00,7.00,7.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5328594,7.00,4.00,2.00,5.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5328608,4.00,7.00,2.00,4.00,8.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5328616,4.00,6.00,4.00,3.00,5.00,8.63,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5328624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5328632,7.00,6.00,2.00,6.00,4.00,11.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5328640,7.00,6.00,2.00,4.00,8.00,6.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5328659,7.00,6.00,4.00,5.00,8.00,9.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5328667,3.00,4.00,1.00,1.00,6.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5328675,5.00,4.00,2.00,3.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5328691,1.00,5.00,2.00,5.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5328705,2.00,3.00,1.00,6.00,6.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5328713,3.00,7.00,0.00,4.00,5.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5328721,7.00,6.00,4.00,6.00,7.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5328730,3.00,3.00,0.00,3.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5328748,6.00,6.00,3.00,3.00,8.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5328756,6.00,5.00,3.00,5.00,5.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5328764,4.00,7.00,3.00,5.00,5.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5328772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5328799,3.00,4.00,2.00,3.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5328810,2.00,3.00,0.00,4.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5328837,2.00,4.00,1.00,4.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5328861,0.00,2.00,1.00,6.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5328896,6.00,6.00,1.00,5.00,6.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5328900,6.00,5.00,2.00,7.00,5.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5328918,9.00,5.00,5.00,7.00,7.00,7.50,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5328934,6.00,8.00,2.00,6.00,6.00,9.38,0.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5328942,2.00,5.00,0.00,1.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5328977,7.00,7.00,5.00,1.00,8.00,8.25,3.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5328985,4.00,5.00,1.00,6.00,5.00,8.25,4.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5328993,3.00,6.00,2.00,2.00,5.00,9.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5329000,6.00,4.00,0.00,3.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5329019,4.00,3.00,2.00,3.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5329027,6.00,6.00,3.00,5.00,9.00,7.88,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5329035,4.00,8.00,2.00,6.00,6.00,7.50,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5329043,4.00,6.00,3.00,5.00,6.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5329051,0.00,4.00,2.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5329060,3.00,5.00,0.00,3.00,5.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5329078,4.00,3.00,1.00,5.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5329086,4.00,6.00,3.00,3.00,4.00,10.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5329094,4.00,7.00,0.00,2.00,6.00,4.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5329108,2.00,4.00,2.00,4.00,6.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5329116,8.00,4.00,4.00,6.00,8.00,10.88,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5329132,4.00,7.00,2.00,8.00,8.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5329140,2.00,3.00,1.00,4.00,1.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5329159,6.00,6.00,1.00,6.00,9.00,11.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5329167,3.00,2.00,2.00,3.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5329175,3.00,5.00,4.00,4.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5329183,2.00,3.00,1.00,3.00,0.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5329205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5329221,3.00,4.00,0.00,2.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5329230,3.00,6.00,4.00,2.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5329248,3.00,2.00,1.00,5.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5329256,3.00,1.00,0.00,3.00,4.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5329264,4.00,4.00,2.00,2.00,6.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5329272,2.00,4.00,2.00,1.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5329280,6.00,6.00,3.00,4.00,8.00,6.38,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5329302,4.00,4.00,4.00,4.00,6.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5329310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5329329,6.00,6.00,4.00,6.00,8.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5329337,1.00,0.00,3.00,2.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5329345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5329353,5.00,4.00,1.00,7.00,9.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5329370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5329388,1.00,3.00,0.00,5.00,7.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5329396,4.00,4.00,4.00,5.00,6.00,7.50,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5329400,5.00,5.00,3.00,6.00,5.00,10.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5329418,7.00,6.00,3.00,4.00,9.00,9.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5329426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5329442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5329450,3.00,5.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5329477,6.00,7.00,3.00,7.00,4.00,10.88,2.00,3.00,6.00,NULL,NULL,NULL,'S'),(20,5329485,3.00,3.00,3.00,4.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5329493,7.00,8.00,1.00,4.00,6.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5329507,6.00,5.00,2.00,4.00,4.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5329515,7.00,7.00,8.00,7.00,7.00,6.38,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5329523,4.00,5.00,0.00,3.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5329531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5329540,5.00,6.00,2.00,4.00,6.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5329558,3.00,6.00,4.00,3.00,6.00,6.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5329566,8.00,8.00,6.00,7.00,9.00,8.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5329582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5329590,9.00,6.00,3.00,7.00,4.00,10.13,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5329604,2.00,6.00,3.00,3.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5329612,7.00,4.00,4.00,7.00,7.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5329620,4.00,5.00,0.00,5.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5329639,6.00,6.00,0.00,5.00,8.00,10.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5329663,5.00,3.00,2.00,5.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5329671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5329698,0.00,5.00,3.00,0.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5329701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5329710,4.00,8.00,2.00,7.00,5.00,11.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5329728,2.00,6.00,1.00,5.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5329736,4.00,6.00,2.00,5.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5329744,5.00,5.00,1.00,7.00,4.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5329752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5329760,3.00,6.00,2.00,7.00,7.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5329779,9.00,8.00,3.00,6.00,7.00,7.88,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5329795,5.00,7.00,3.00,3.00,6.00,12.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5329809,4.00,5.00,0.00,6.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5329817,7.00,8.00,9.00,8.00,9.00,8.25,7.00,4.00,8.00,NULL,NULL,NULL,'S'),(20,5329825,7.00,5.00,3.00,4.00,9.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5329833,6.00,6.00,2.00,6.00,5.00,11.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5329841,7.00,4.00,3.00,1.00,5.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5329850,4.00,5.00,2.00,5.00,6.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5329876,5.00,7.00,2.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5329892,3.00,4.00,3.00,5.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5329906,4.00,2.00,4.00,6.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5329922,4.00,7.00,2.00,6.00,7.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5329930,3.00,5.00,1.00,6.00,7.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5329949,6.00,7.00,1.00,5.00,9.00,7.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5329957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5329965,4.00,5.00,2.00,4.00,5.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5329973,3.00,5.00,1.00,1.00,2.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5329981,2.00,5.00,1.00,5.00,7.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5330009,8.00,6.00,3.00,5.00,9.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5330017,4.00,6.00,1.00,7.00,7.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5330033,2.00,5.00,2.00,1.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5330041,5.00,5.00,0.00,5.00,7.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5330050,3.00,3.00,1.00,6.00,6.00,8.63,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5330068,8.00,6.00,6.00,6.00,7.00,10.50,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5330076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5330106,3.00,2.00,2.00,2.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5330114,2.00,5.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5330122,6.00,4.00,5.00,2.00,4.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5330149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5330157,6.00,7.00,2.00,7.00,7.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5330165,2.00,4.00,3.00,6.00,4.00,9.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5330173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5330181,5.00,8.00,1.00,6.00,4.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5330203,8.00,7.00,4.00,6.00,8.00,9.00,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5330211,7.00,6.00,4.00,5.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5330220,5.00,6.00,1.00,4.00,9.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5330238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5330246,5.00,6.00,4.00,5.00,7.00,9.00,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5330254,6.00,5.00,0.00,5.00,6.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5330262,4.00,3.00,1.00,5.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5330270,4.00,6.00,2.00,4.00,7.00,10.50,5.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5330289,6.00,4.00,0.00,5.00,8.00,8.25,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5330297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5330300,4.00,7.00,2.00,4.00,8.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5330319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5330327,6.00,7.00,3.00,5.00,8.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5330335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5330343,8.00,7.00,6.00,7.00,10.00,7.88,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5330351,4.00,4.00,0.00,4.00,6.00,4.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5330360,8.00,7.00,1.00,8.00,9.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5330378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5330386,3.00,3.00,0.00,3.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5330394,3.00,6.00,5.00,6.00,8.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5330408,7.00,7.00,4.00,6.00,4.00,10.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5330432,6.00,8.00,3.00,8.00,8.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5330440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5330467,4.00,5.00,2.00,5.00,8.00,10.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5330475,6.00,6.00,2.00,6.00,4.00,9.38,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5330483,7.00,7.00,3.00,7.00,9.00,9.38,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5330491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5330505,5.00,5.00,2.00,6.00,6.00,10.88,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5330513,3.00,2.00,3.00,1.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5330521,5.00,5.00,1.00,3.00,6.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5330530,8.00,5.00,2.00,8.00,7.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5330548,6.00,8.00,5.00,4.00,9.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5330556,4.00,7.00,3.00,5.00,7.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5330564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5330572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5330580,7.00,4.00,5.00,7.00,5.00,8.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5330599,5.00,6.00,0.00,1.00,5.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5330610,7.00,7.00,5.00,7.00,8.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5330629,4.00,2.00,1.00,1.00,3.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5330637,3.00,6.00,2.00,4.00,5.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5330645,2.00,5.00,3.00,1.00,2.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5330653,2.00,3.00,3.00,2.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5330661,4.00,4.00,3.00,6.00,4.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5330670,6.00,6.00,3.00,7.00,7.00,10.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5330688,4.00,4.00,2.00,1.00,8.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5330696,6.00,7.00,2.00,5.00,9.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5330700,5.00,6.00,2.00,7.00,7.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5330718,4.00,4.00,1.00,6.00,8.00,9.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5330726,5.00,6.00,2.00,7.00,4.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5330734,4.00,5.00,0.00,3.00,4.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5330742,2.00,7.00,3.00,4.00,7.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5330750,7.00,6.00,2.00,4.00,6.00,7.88,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5330769,1.00,3.00,3.00,3.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5330777,5.00,5.00,3.00,5.00,7.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5330793,4.00,5.00,1.00,5.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5330815,6.00,5.00,0.00,7.00,8.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5330823,5.00,5.00,4.00,7.00,4.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5330831,1.00,2.00,2.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5330840,5.00,3.00,2.00,7.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5330858,3.00,4.00,3.00,6.00,6.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5330866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5330874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5330882,2.00,4.00,1.00,3.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'S'),(20,5330890,4.00,5.00,3.00,4.00,6.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5330904,2.00,5.00,0.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5330912,2.00,0.00,3.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5330920,7.00,7.00,1.00,7.00,4.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5330947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5330955,3.00,1.00,1.00,3.00,2.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5330963,9.00,7.00,4.00,7.00,9.00,8.25,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5330971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5330980,5.00,5.00,1.00,3.00,6.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5331005,0.00,4.00,1.00,6.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5331013,8.00,6.00,2.00,5.00,8.00,9.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5331021,3.00,7.00,2.00,3.00,6.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5331030,5.00,7.00,1.00,7.00,6.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5331048,7.00,6.00,1.00,8.00,6.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5331056,7.00,6.00,3.00,5.00,6.00,10.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5331064,9.00,8.00,8.00,7.00,9.00,8.63,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5331072,6.00,6.00,2.00,5.00,7.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5331129,2.00,6.00,1.00,5.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5331137,6.00,6.00,0.00,3.00,6.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5331153,8.00,7.00,3.00,5.00,9.00,10.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5331161,6.00,5.00,1.00,2.00,10.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5331170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5331188,7.00,6.00,2.00,7.00,5.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5331196,4.00,3.00,2.00,1.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5331200,4.00,6.00,4.00,5.00,5.00,4.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5331226,5.00,7.00,2.00,5.00,9.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5331242,4.00,6.00,2.00,7.00,6.00,10.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5331250,3.00,7.00,4.00,4.00,6.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5331269,8.00,6.00,5.00,4.00,9.00,11.63,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5331277,8.00,8.00,8.00,7.00,10.00,10.13,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5331285,7.00,8.00,6.00,4.00,9.00,6.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5331293,4.00,6.00,4.00,4.00,5.00,6.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5331307,0.00,5.00,3.00,3.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5331323,2.00,7.00,2.00,6.00,5.00,9.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5331331,3.00,5.00,4.00,7.00,7.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5331358,3.00,6.00,0.00,2.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5331366,2.00,4.00,3.00,3.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5331374,2.00,3.00,0.00,3.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5331382,3.00,5.00,2.00,0.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5331390,4.00,3.00,0.00,4.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5331404,3.00,5.00,1.00,5.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5331412,5.00,7.00,2.00,4.00,7.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5331420,2.00,1.00,0.00,2.00,3.00,NULL,4.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5331439,2.00,5.00,3.00,5.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5331447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5331455,1.00,3.00,2.00,5.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5331463,7.00,8.00,4.00,7.00,7.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5331471,3.00,3.00,2.00,4.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5331480,6.00,6.00,6.00,6.00,7.00,6.75,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5331498,9.00,6.00,3.00,7.00,8.00,11.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5331501,8.00,8.00,5.00,5.00,7.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5331510,5.00,6.00,1.00,4.00,5.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5331528,6.00,9.00,3.00,8.00,9.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5331536,4.00,4.00,1.00,3.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5331544,2.00,4.00,1.00,4.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5331579,6.00,6.00,5.00,3.00,8.00,6.75,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5331595,7.00,7.00,1.00,7.00,8.00,9.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5331609,5.00,4.00,2.00,4.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5331625,8.00,7.00,4.00,5.00,8.00,12.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5331633,3.00,6.00,1.00,5.00,4.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5331641,2.00,3.00,2.00,6.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5331650,2.00,3.00,2.00,5.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5331668,4.00,3.00,4.00,4.00,4.00,0.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5331676,4.00,3.00,2.00,3.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5331692,3.00,5.00,1.00,2.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5331706,5.00,6.00,3.00,4.00,6.00,4.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5331714,6.00,7.00,2.00,3.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5331722,6.00,4.00,3.00,5.00,6.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5331730,3.00,7.00,1.00,2.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5331749,5.00,6.00,4.00,5.00,8.00,8.25,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5331765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5331773,9.00,8.00,4.00,4.00,8.00,8.63,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5331790,0.00,4.00,4.00,6.00,4.00,7.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5331803,3.00,2.00,1.00,5.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5331811,4.00,7.00,0.00,3.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5331820,6.00,5.00,1.00,4.00,6.00,6.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5331846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5331862,4.00,2.00,3.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5331870,5.00,7.00,2.00,5.00,6.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5331889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5331897,4.00,4.00,2.00,4.00,6.00,6.38,4.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5331919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5331935,7.00,7.00,2.00,6.00,8.00,9.00,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5331943,6.00,8.00,5.00,5.00,7.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5331978,3.00,0.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5331986,7.00,7.00,0.00,7.00,6.00,10.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5331994,4.00,4.00,3.00,7.00,6.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5332001,4.00,7.00,5.00,6.00,8.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5332010,4.00,3.00,1.00,3.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5332028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5332036,6.00,6.00,2.00,4.00,5.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5332044,2.00,4.00,0.00,2.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5332052,7.00,7.00,3.00,7.00,7.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5332060,4.00,3.00,2.00,3.00,8.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5332079,6.00,4.00,3.00,5.00,5.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5332087,2.00,5.00,5.00,2.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5332095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5332109,7.00,7.00,4.00,6.00,6.00,11.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5332117,6.00,4.00,1.00,3.00,5.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5332125,8.00,4.00,1.00,5.00,5.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5332133,7.00,5.00,0.00,5.00,6.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5332150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5332168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5332192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5332214,8.00,6.00,7.00,6.00,7.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5332249,6.00,6.00,1.00,2.00,5.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5332257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5332265,9.00,6.00,9.00,6.00,9.00,10.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5332273,7.00,6.00,2.00,5.00,7.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5332290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5332303,7.00,4.00,1.00,6.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5332311,7.00,7.00,4.00,7.00,6.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5332320,3.00,4.00,2.00,6.00,5.00,7.13,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5332338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5332354,7.00,7.00,1.00,7.00,9.00,11.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5332362,5.00,6.00,2.00,7.00,7.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5332370,9.00,9.00,2.00,7.00,8.00,12.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5332389,8.00,6.00,5.00,5.00,8.00,9.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5332397,5.00,5.00,0.00,5.00,5.00,0.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5332400,4.00,6.00,1.00,3.00,6.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5332427,7.00,8.00,7.00,8.00,8.00,11.63,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5332443,7.00,7.00,2.00,5.00,7.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5332451,6.00,8.00,2.00,7.00,4.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5332460,4.00,4.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5332478,7.00,5.00,0.00,6.00,9.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5332508,4.00,6.00,1.00,5.00,7.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5332516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5332524,6.00,0.00,1.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5332532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5332540,7.00,5.00,3.00,5.00,4.00,9.38,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5332567,2.00,7.00,6.00,6.00,6.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5332575,6.00,6.00,4.00,7.00,8.00,9.00,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5332583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5332591,5.00,7.00,1.00,4.00,4.00,7.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5332621,4.00,3.00,4.00,2.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5332630,3.00,4.00,2.00,4.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5332648,3.00,4.00,2.00,6.00,5.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5332656,4.00,7.00,2.00,6.00,6.00,11.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5332664,3.00,2.00,0.00,4.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5332672,4.00,6.00,1.00,3.00,8.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5332680,3.00,7.00,3.00,7.00,3.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5332699,4.00,5.00,2.00,3.00,7.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5332702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5332710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5332729,3.00,3.00,4.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5332745,5.00,4.00,2.00,0.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5332753,3.00,5.00,2.00,4.00,5.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5332761,1.00,2.00,0.00,2.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5332770,1.00,2.00,1.00,3.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5332788,1.00,4.00,4.00,2.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5332796,2.00,5.00,3.00,3.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5332800,3.00,4.00,1.00,2.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5332818,2.00,4.00,1.00,6.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5332826,2.00,3.00,0.00,4.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5332834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5332842,5.00,6.00,4.00,4.00,4.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5332877,4.00,4.00,3.00,3.00,6.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5332885,2.00,5.00,3.00,4.00,5.00,9.38,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5332893,7.00,7.00,3.00,4.00,6.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5332915,4.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5332923,4.00,5.00,1.00,1.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5332931,6.00,4.00,0.00,5.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5332940,5.00,7.00,6.00,5.00,6.00,9.75,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5332958,3.00,3.00,2.00,0.00,1.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5332974,5.00,0.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5332990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5333008,1.00,4.00,3.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5333016,2.00,2.00,0.00,3.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5333024,0.00,3.00,0.00,0.00,0.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5333032,8.00,5.00,1.00,7.00,7.00,8.25,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5333040,9.00,8.00,5.00,7.00,10.00,9.38,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5333059,7.00,5.00,5.00,4.00,5.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5333067,3.00,7.00,2.00,1.00,4.00,7.13,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5333083,5.00,5.00,3.00,5.00,8.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5333091,2.00,3.00,0.00,2.00,1.00,NULL,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5333105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5333113,3.00,3.00,0.00,5.00,2.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5333121,1.00,4.00,0.00,5.00,5.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5333130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5333148,6.00,4.00,5.00,2.00,5.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5333156,2.00,3.00,0.00,2.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5333172,3.00,6.00,1.00,2.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5333180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5333199,5.00,8.00,2.00,7.00,7.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5333202,1.00,4.00,0.00,1.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5333210,6.00,0.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5333229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5333237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5333245,3.00,5.00,1.00,4.00,6.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5333253,6.00,7.00,0.00,6.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5333270,5.00,3.00,0.00,5.00,8.00,7.13,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5333296,4.00,2.00,1.00,1.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5333300,2.00,5.00,0.00,2.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5333318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5333326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5333334,4.00,5.00,4.00,2.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5333342,3.00,6.00,1.00,3.00,5.00,NULL,0.00,2.00,7.00,NULL,NULL,'S','N'),(20,5333350,7.00,5.00,6.00,4.00,7.00,11.25,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5333369,9.00,7.00,7.00,8.00,8.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5333377,7.00,6.00,3.00,5.00,7.00,9.38,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5333385,6.00,7.00,2.00,5.00,7.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5333393,5.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5333407,1.00,5.00,0.00,3.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5333415,2.00,1.00,1.00,2.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,'S','N'),(20,5333423,7.00,6.00,2.00,6.00,8.00,10.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5333431,5.00,4.00,2.00,4.00,7.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5333440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5333466,5.00,2.00,0.00,4.00,7.00,6.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5333490,3.00,4.00,2.00,3.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5333520,4.00,6.00,0.00,6.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5333539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5333547,3.00,5.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5333555,3.00,3.00,2.00,4.00,0.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5333571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5333580,6.00,6.00,4.00,4.00,8.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5333598,5.00,6.00,6.00,6.00,7.00,11.25,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5333628,1.00,3.00,2.00,5.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5333636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5333644,0.00,5.00,4.00,5.00,2.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5333652,4.00,5.00,0.00,4.00,5.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5333660,7.00,7.00,4.00,7.00,9.00,10.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5333687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5333717,6.00,7.00,1.00,5.00,8.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5333725,8.00,6.00,5.00,6.00,9.00,7.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5333733,5.00,3.00,2.00,3.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5333750,5.00,2.00,1.00,3.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5333768,4.00,6.00,4.00,5.00,7.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5333776,8.00,5.00,5.00,8.00,10.00,12.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5333784,8.00,6.00,2.00,3.00,7.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5333792,2.00,3.00,2.00,1.00,0.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5333806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5333814,7.00,4.00,2.00,5.00,8.00,8.63,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5333822,6.00,7.00,3.00,7.00,7.00,6.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5333830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5333849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5333865,7.00,7.00,2.00,8.00,8.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5333873,4.00,9.00,3.00,8.00,10.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5333881,3.00,6.00,0.00,3.00,6.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5333890,8.00,8.00,2.00,6.00,2.00,NULL,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5333903,1.00,5.00,1.00,4.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5333920,6.00,4.00,1.00,6.00,6.00,11.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5333938,4.00,2.00,0.00,1.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5333946,6.00,0.00,0.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(20,5333954,4.00,8.00,0.00,4.00,8.00,NULL,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5333962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5333970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5333989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5333997,4.00,5.00,3.00,4.00,6.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5334004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5334012,5.00,8.00,3.00,2.00,5.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5334039,4.00,5.00,2.00,5.00,6.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5334047,4.00,7.00,1.00,1.00,7.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5334055,4.00,6.00,0.00,2.00,5.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5334071,1.00,3.00,2.00,2.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5334080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5334098,8.00,5.00,5.00,6.00,5.00,6.75,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5334101,4.00,3.00,0.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5334110,6.00,6.00,2.00,4.00,8.00,7.88,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5334136,4.00,3.00,5.00,2.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5334144,3.00,5.00,4.00,4.00,1.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5334152,6.00,6.00,2.00,4.00,6.00,6.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5334160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5334179,5.00,6.00,0.00,4.00,8.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5334187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5334195,8.00,7.00,1.00,5.00,6.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5334217,4.00,5.00,1.00,7.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5334225,5.00,6.00,4.00,3.00,9.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5334233,4.00,6.00,4.00,5.00,5.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5334241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5334250,3.00,6.00,1.00,6.00,6.00,8.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5334268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5334276,7.00,6.00,0.00,6.00,8.00,10.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5334284,4.00,6.00,1.00,3.00,6.00,6.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5334306,4.00,2.00,1.00,2.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5334314,4.00,5.00,0.00,4.00,1.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5334322,3.00,4.00,2.00,4.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5334349,7.00,7.00,6.00,5.00,5.00,10.88,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5334357,6.00,7.00,2.00,5.00,8.00,12.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5334365,3.00,2.00,0.00,1.00,6.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5334373,4.00,2.00,1.00,0.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5334381,4.00,2.00,0.00,3.00,5.00,NULL,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5334390,6.00,8.00,3.00,8.00,9.00,10.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5334403,7.00,7.00,2.00,6.00,7.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5334411,4.00,4.00,0.00,6.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5334438,6.00,7.00,4.00,4.00,4.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5334446,8.00,5.00,3.00,5.00,8.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5334462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5334489,7.00,8.00,7.00,7.00,5.00,12.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5334497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5334500,6.00,7.00,2.00,6.00,5.00,4.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5334519,6.00,6.00,2.00,3.00,4.00,7.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5334527,4.00,5.00,1.00,2.00,4.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5334543,5.00,3.00,3.00,4.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,'S','N'),(20,5334551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5334560,4.00,7.00,3.00,6.00,6.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5334578,4.00,3.00,1.00,3.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5334586,2.00,4.00,1.00,3.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5334594,3.00,4.00,5.00,6.00,5.00,10.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5334608,7.00,7.00,6.00,6.00,11.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5334624,3.00,4.00,0.00,4.00,5.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5334632,2.00,5.00,1.00,3.00,1.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5334640,2.00,4.00,1.00,5.00,5.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5334667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5334683,8.00,7.00,5.00,6.00,9.00,12.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5334691,4.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5334705,1.00,5.00,4.00,6.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5334713,4.00,4.00,0.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5334721,5.00,5.00,4.00,6.00,7.00,10.13,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5334730,9.00,5.00,4.00,6.00,8.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5334748,4.00,3.00,1.00,4.00,1.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5334772,4.00,4.00,1.00,4.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5334780,3.00,5.00,4.00,3.00,5.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5334799,3.00,4.00,2.00,4.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5334802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5334810,4.00,3.00,0.00,6.00,7.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5334829,3.00,5.00,3.00,1.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5334837,4.00,7.00,4.00,7.00,9.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5334845,2.00,5.00,0.00,6.00,5.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5334861,2.00,6.00,4.00,5.00,4.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5334870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5334888,6.00,7.00,5.00,5.00,6.00,8.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5334896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5334918,9.00,8.00,5.00,7.00,9.00,9.00,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5334934,3.00,6.00,1.00,2.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5334942,4.00,4.00,2.00,5.00,6.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5334950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5334969,1.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5334977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5334985,1.00,6.00,2.00,6.00,4.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5335000,3.00,4.00,2.00,2.00,2.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5335019,2.00,6.00,3.00,0.00,0.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5335035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5335060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5335078,3.00,5.00,4.00,3.00,5.00,4.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5335094,0.00,2.00,2.00,4.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5335124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5335132,6.00,5.00,3.00,6.00,6.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5335140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5335159,6.00,3.00,2.00,5.00,5.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5335183,5.00,7.00,1.00,6.00,4.00,0.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5335205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5335213,3.00,5.00,2.00,2.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5335221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5335230,7.00,6.00,2.00,7.00,4.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5335248,7.00,6.00,3.00,4.00,8.00,7.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5335256,9.00,7.00,5.00,5.00,7.00,9.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5335280,3.00,5.00,0.00,4.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5335299,5.00,7.00,4.00,7.00,6.00,8.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5335302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5335310,3.00,3.00,1.00,2.00,5.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5335329,4.00,5.00,0.00,3.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5335337,5.00,4.00,0.00,5.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5335345,6.00,4.00,5.00,4.00,7.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5335353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5335361,9.00,7.00,1.00,6.00,9.00,11.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5335370,9.00,5.00,0.00,4.00,8.00,9.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5335388,5.00,5.00,4.00,5.00,8.00,10.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5335396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5335400,6.00,0.00,1.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5335418,5.00,5.00,3.00,3.00,4.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5335426,4.00,4.00,2.00,4.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5335442,2.00,3.00,0.00,4.00,6.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5335469,1.00,2.00,0.00,2.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5335477,6.00,8.00,4.00,6.00,4.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5335493,6.00,7.00,4.00,2.00,4.00,10.88,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5335507,3.00,3.00,2.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5335515,7.00,8.00,3.00,6.00,7.00,9.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5335523,6.00,7.00,0.00,4.00,5.00,8.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5335531,3.00,4.00,1.00,3.00,8.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5335540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5335574,4.00,4.00,1.00,4.00,5.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5335582,5.00,5.00,4.00,7.00,4.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5335590,4.00,6.00,3.00,6.00,4.00,8.25,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5335604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5335612,5.00,6.00,3.00,6.00,6.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5335620,4.00,6.00,1.00,3.00,5.00,7.50,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5335639,3.00,4.00,2.00,2.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5335647,8.00,7.00,3.00,6.00,6.00,11.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5335655,8.00,7.00,5.00,7.00,6.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5335663,3.00,5.00,0.00,4.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5335671,1.00,2.00,0.00,0.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5335680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5335698,7.00,7.00,4.00,4.00,6.00,10.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5335701,9.00,6.00,7.00,7.00,6.00,7.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5335710,1.00,3.00,0.00,5.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5335728,4.00,3.00,3.00,4.00,5.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5335736,4.00,6.00,2.00,5.00,6.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5335752,6.00,6.00,3.00,7.00,8.00,9.38,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5335760,6.00,5.00,5.00,1.00,6.00,4.88,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5335795,5.00,7.00,4.00,4.00,7.00,6.38,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5335809,3.00,3.00,3.00,6.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5335817,2.00,4.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5335825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5335841,2.00,6.00,2.00,7.00,5.00,7.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5335850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5335868,3.00,7.00,4.00,3.00,6.00,7.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5335876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5335884,7.00,5.00,4.00,2.00,6.00,8.25,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5335892,4.00,6.00,2.00,4.00,7.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5335906,5.00,4.00,2.00,3.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5335914,4.00,6.00,2.00,3.00,4.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5335922,3.00,4.00,2.00,5.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5335930,8.00,7.00,5.00,7.00,8.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5335949,4.00,5.00,2.00,4.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5335957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5335965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5335973,4.00,5.00,3.00,6.00,8.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5335981,8.00,6.00,6.00,7.00,7.00,9.75,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5335990,4.00,5.00,1.00,1.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5336007,6.00,5.00,2.00,7.00,7.00,7.13,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5336015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5336031,3.00,5.00,2.00,5.00,6.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5336040,7.00,6.00,3.00,5.00,6.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5336058,8.00,0.00,5.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5336066,2.00,4.00,2.00,3.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5336074,8.00,7.00,3.00,6.00,8.00,9.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5336090,6.00,3.00,4.00,4.00,8.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5336104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5336112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5336120,4.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5336139,7.00,6.00,4.00,8.00,7.00,10.88,3.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5336147,3.00,2.00,1.00,3.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5336155,0.00,3.00,0.00,0.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5336163,2.00,5.00,2.00,2.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5336171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5336180,5.00,6.00,0.00,1.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5336198,3.00,6.00,2.00,6.00,4.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5336201,8.00,5.00,3.00,3.00,6.00,6.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5336210,7.00,6.00,5.00,7.00,9.00,10.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5336228,8.00,7.00,0.00,5.00,6.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5336236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5336244,3.00,7.00,4.00,5.00,6.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5336252,2.00,3.00,0.00,4.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5336260,5.00,7.00,5.00,4.00,5.00,6.00,1.00,0.00,7.00,NULL,NULL,NULL,'N'),(20,5336279,3.00,8.00,3.00,6.00,5.00,8.63,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5336287,4.00,6.00,1.00,6.00,6.00,9.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5336317,6.00,6.00,0.00,5.00,5.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5336325,4.00,4.00,0.00,5.00,6.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5336333,3.00,3.00,1.00,3.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5336341,6.00,5.00,1.00,2.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5336350,1.00,5.00,0.00,7.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5336368,3.00,0.00,1.00,4.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5336376,4.00,6.00,2.00,6.00,2.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5336392,6.00,8.00,4.00,7.00,7.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5336406,5.00,4.00,3.00,7.00,8.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5336414,5.00,5.00,1.00,5.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5336422,5.00,4.00,1.00,2.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5336430,4.00,1.00,0.00,5.00,8.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5336449,2.00,5.00,0.00,5.00,5.00,6.00,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5336457,8.00,7.00,2.00,7.00,8.00,9.00,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5336465,4.00,3.00,0.00,4.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5336473,9.00,9.00,5.00,7.00,10.00,9.75,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5336481,3.00,5.00,1.00,4.00,7.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5336503,7.00,7.00,3.00,8.00,8.00,10.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5336511,5.00,3.00,1.00,5.00,5.00,7.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5336520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5336538,3.00,4.00,1.00,3.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5336562,4.00,5.00,4.00,3.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5336570,5.00,6.00,2.00,6.00,8.00,12.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5336589,2.00,3.00,2.00,1.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5336597,2.00,4.00,4.00,3.00,4.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5336600,5.00,4.00,2.00,3.00,4.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5336627,7.00,5.00,1.00,4.00,4.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5336643,4.00,6.00,1.00,4.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5336651,5.00,6.00,1.00,4.00,6.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5336660,2.00,4.00,0.00,0.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5336678,1.00,5.00,0.00,2.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5336686,4.00,4.00,0.00,5.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5336694,6.00,6.00,5.00,3.00,8.00,10.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5336708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5336716,4.00,6.00,3.00,7.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,'S','S'),(20,5336724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5336732,6.00,5.00,3.00,4.00,4.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5336740,7.00,5.00,5.00,3.00,5.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5336759,6.00,5.00,1.00,5.00,5.00,11.25,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5336767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5336775,2.00,2.00,1.00,2.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5336783,6.00,6.00,2.00,7.00,6.00,8.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5336791,7.00,7.00,2.00,4.00,6.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5336805,3.00,5.00,2.00,4.00,6.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5336813,3.00,5.00,5.00,3.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5336821,5.00,6.00,1.00,2.00,4.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5336830,2.00,6.00,2.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5336848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5336856,5.00,5.00,2.00,1.00,5.00,4.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5336864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5336880,4.00,6.00,0.00,4.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5336899,6.00,8.00,4.00,6.00,10.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5336910,6.00,7.00,3.00,7.00,7.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5336929,4.00,4.00,2.00,2.00,6.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5336937,6.00,4.00,1.00,7.00,5.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5336945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5336953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5336961,5.00,8.00,4.00,3.00,8.00,7.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5336970,4.00,2.00,1.00,6.00,6.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5336988,3.00,5.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5336996,7.00,7.00,2.00,7.00,8.00,11.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5337011,6.00,6.00,1.00,6.00,8.00,9.75,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5337020,9.00,9.00,5.00,7.00,8.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5337046,4.00,7.00,0.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5337054,6.00,7.00,0.00,7.00,6.00,11.25,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5337062,2.00,5.00,1.00,4.00,1.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5337089,8.00,7.00,4.00,3.00,7.00,9.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5337097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5337100,7.00,6.00,7.00,5.00,10.00,8.63,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5337119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5337127,5.00,5.00,4.00,7.00,7.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5337135,2.00,6.00,0.00,5.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5337143,2.00,5.00,0.00,3.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5337151,7.00,8.00,6.00,7.00,9.00,7.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5337160,4.00,0.00,2.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(20,5337178,4.00,5.00,2.00,7.00,7.00,4.88,2.00,3.00,6.00,NULL,NULL,NULL,'S'),(20,5337186,5.00,8.00,2.00,6.00,4.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5337194,8.00,5.00,6.00,6.00,6.00,7.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5337208,3.00,3.00,2.00,6.00,4.00,6.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5337216,0.00,0.00,3.00,8.00,8.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(20,5337224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5337240,4.00,5.00,1.00,6.00,6.00,8.25,4.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5337259,5.00,4.00,3.00,3.00,8.00,8.63,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5337267,1.00,1.00,0.00,0.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5337283,6.00,6.00,2.00,5.00,4.00,10.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5337291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5337305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5337321,8.00,7.00,4.00,5.00,8.00,10.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5337330,3.00,7.00,1.00,3.00,4.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5337348,3.00,5.00,0.00,4.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5337356,3.00,4.00,2.00,4.00,7.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5337364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5337372,4.00,0.00,3.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5337380,5.00,6.00,1.00,2.00,8.00,6.75,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5337402,7.00,6.00,1.00,4.00,8.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5337410,4.00,6.00,1.00,1.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5337429,1.00,6.00,2.00,5.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5337445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5337453,7.00,7.00,2.00,5.00,8.00,11.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5337461,5.00,7.00,0.00,5.00,7.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5337470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5337488,2.00,4.00,1.00,0.00,2.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5337496,3.00,4.00,3.00,1.00,2.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5337500,5.00,8.00,3.00,7.00,7.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5337518,9.00,8.00,5.00,6.00,10.00,12.75,8.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5337526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5337534,5.00,2.00,0.00,6.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5337550,4.00,6.00,2.00,5.00,8.00,6.38,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5337569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5337577,1.00,6.00,1.00,4.00,5.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5337585,4.00,3.00,2.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5337593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5337623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5337631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5337640,5.00,5.00,3.00,8.00,5.00,6.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5337658,3.00,3.00,2.00,2.00,6.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5337666,7.00,7.00,1.00,4.00,7.00,6.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5337674,3.00,3.00,1.00,3.00,5.00,NULL,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5337682,2.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5337690,4.00,6.00,5.00,5.00,6.00,10.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5337704,2.00,5.00,2.00,6.00,6.00,5.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5337712,1.00,5.00,2.00,3.00,5.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5337720,8.00,6.00,7.00,5.00,7.00,9.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5337739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5337747,2.00,4.00,1.00,4.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5337755,2.00,4.00,2.00,1.00,5.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5337763,1.00,2.00,1.00,3.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5337771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5337780,6.00,7.00,3.00,6.00,7.00,9.38,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5337798,4.00,7.00,2.00,7.00,5.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5337810,6.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5337828,3.00,6.00,4.00,4.00,7.00,12.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5337836,6.00,4.00,3.00,8.00,6.00,9.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5337852,3.00,4.00,2.00,0.00,2.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5337860,4.00,6.00,3.00,2.00,5.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5337879,5.00,5.00,2.00,4.00,6.00,6.75,4.00,4.00,7.00,NULL,NULL,NULL,'S'),(20,5337887,0.00,2.00,2.00,3.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5337909,3.00,5.00,4.00,6.00,6.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5337917,7.00,5.00,1.00,6.00,8.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5337925,6.00,7.00,1.00,5.00,5.00,6.75,4.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5337933,6.00,6.00,3.00,6.00,6.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(20,5337941,4.00,3.00,2.00,1.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5337950,4.00,4.00,1.00,1.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5337968,4.00,1.00,0.00,6.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5337976,7.00,6.00,5.00,7.00,8.00,10.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5337984,8.00,7.00,4.00,4.00,6.00,9.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5337992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5338000,7.00,7.00,6.00,5.00,8.00,9.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5338018,7.00,6.00,1.00,2.00,5.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5338026,3.00,4.00,3.00,3.00,5.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5338034,5.00,6.00,4.00,4.00,5.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5338042,8.00,4.00,3.00,4.00,8.00,10.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5338050,5.00,3.00,0.00,6.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5338069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5338077,6.00,5.00,0.00,5.00,4.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5338085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5338093,4.00,4.00,1.00,3.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5338107,3.00,6.00,3.00,8.00,5.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5338115,4.00,7.00,2.00,6.00,6.00,9.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5338131,2.00,6.00,3.00,3.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5338140,3.00,4.00,0.00,3.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5338158,7.00,8.00,0.00,4.00,5.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5338166,0.00,4.00,0.00,2.00,5.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5338174,7.00,8.00,2.00,7.00,9.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5338182,8.00,7.00,4.00,6.00,10.00,10.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5338190,9.00,8.00,6.00,8.00,9.00,10.13,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5338204,5.00,5.00,3.00,7.00,10.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5338212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5338220,7.00,7.00,5.00,4.00,5.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5338239,6.00,4.00,0.00,7.00,6.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5338247,7.00,7.00,2.00,6.00,7.00,9.38,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5338255,6.00,6.00,2.00,3.00,4.00,6.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5338263,2.00,5.00,1.00,3.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5338271,1.00,3.00,2.00,5.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5338298,2.00,1.00,1.00,3.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5338301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5338310,6.00,5.00,4.00,2.00,6.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5338328,4.00,6.00,0.00,3.00,3.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5338344,7.00,4.00,1.00,4.00,5.00,7.88,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5338352,7.00,6.00,5.00,6.00,6.00,7.50,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5338360,4.00,6.00,1.00,7.00,4.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5338379,3.00,5.00,4.00,5.00,4.00,9.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5338387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5338395,3.00,5.00,2.00,2.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5338409,2.00,7.00,1.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5338425,5.00,2.00,0.00,4.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5338433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5338450,5.00,5.00,2.00,6.00,5.00,10.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5338476,2.00,4.00,3.00,3.00,6.00,NULL,1.00,1.00,6.00,NULL,NULL,'S','N'),(20,5338484,3.00,3.00,1.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5338492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5338506,2.00,4.00,1.00,3.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5338514,0.00,5.00,2.00,1.00,6.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(20,5338522,1.00,3.00,1.00,4.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5338530,5.00,4.00,2.00,1.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5338549,7.00,6.00,5.00,6.00,8.00,7.50,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5338557,4.00,1.00,2.00,3.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5338573,4.00,5.00,1.00,2.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,'S','N'),(20,5338581,3.00,3.00,1.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5338590,7.00,6.00,4.00,7.00,7.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5338611,8.00,7.00,3.00,5.00,9.00,10.13,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5338620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5338638,1.00,6.00,4.00,6.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5338646,4.00,4.00,1.00,4.00,6.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5338654,3.00,6.00,1.00,3.00,4.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5338670,4.00,0.00,2.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5338689,2.00,7.00,3.00,3.00,8.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5338697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5338700,4.00,8.00,1.00,4.00,5.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5338719,6.00,6.00,1.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5338727,8.00,4.00,2.00,3.00,4.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5338735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5338743,7.00,4.00,3.00,4.00,4.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5338751,9.00,7.00,5.00,3.00,9.00,10.50,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(20,5338760,7.00,5.00,2.00,6.00,6.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5338778,6.00,6.00,3.00,3.00,5.00,8.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5338794,5.00,6.00,0.00,5.00,5.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5338808,5.00,6.00,2.00,5.00,9.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5338816,4.00,5.00,4.00,3.00,4.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5338832,5.00,4.00,2.00,6.00,7.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5338840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5338867,1.00,2.00,3.00,5.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5338875,4.00,4.00,1.00,4.00,7.00,9.38,5.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5338883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5338891,4.00,5.00,2.00,4.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5338905,3.00,6.00,0.00,0.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5338913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5338921,5.00,2.00,3.00,3.00,4.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5338930,4.00,7.00,0.00,5.00,6.00,12.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5338948,6.00,5.00,2.00,4.00,5.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5338956,6.00,7.00,4.00,6.00,7.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5338964,3.00,3.00,1.00,3.00,5.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5338972,3.00,6.00,1.00,4.00,6.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5338980,2.00,3.00,0.00,4.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5338999,8.00,5.00,2.00,6.00,6.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5339014,3.00,6.00,2.00,3.00,7.00,7.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5339022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5339030,8.00,6.00,6.00,7.00,6.00,10.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5339057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5339065,4.00,8.00,0.00,4.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5339073,6.00,4.00,4.00,4.00,4.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5339090,4.00,4.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5339103,1.00,5.00,0.00,2.00,0.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5339111,3.00,5.00,1.00,4.00,4.00,9.38,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5339120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5339138,4.00,7.00,3.00,5.00,7.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5339146,8.00,6.00,3.00,7.00,9.00,12.00,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5339154,3.00,4.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5339162,5.00,4.00,1.00,4.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5339170,4.00,5.00,1.00,3.00,6.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5339189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5339197,8.00,6.00,5.00,4.00,7.00,8.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5339200,9.00,7.00,4.00,7.00,9.00,8.25,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5339219,5.00,6.00,1.00,5.00,4.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5339243,3.00,5.00,4.00,6.00,6.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5339251,7.00,5.00,2.00,5.00,9.00,9.00,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5339260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5339286,5.00,5.00,0.00,3.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5339316,2.00,4.00,0.00,4.00,6.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5339332,5.00,6.00,1.00,6.00,8.00,0.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5339340,4.00,6.00,1.00,7.00,7.00,9.75,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5339359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5339367,3.00,5.00,0.00,2.00,4.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5339375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5339383,5.00,0.00,1.00,1.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(20,5339391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5339413,3.00,4.00,3.00,2.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5339421,4.00,5.00,1.00,4.00,4.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5339448,4.00,7.00,2.00,1.00,5.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5339456,3.00,2.00,2.00,3.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5339464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5339472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5339480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5339499,4.00,4.00,3.00,3.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'S'),(20,5339502,4.00,4.00,1.00,5.00,6.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5339510,3.00,0.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5339529,2.00,5.00,1.00,7.00,5.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5339545,2.00,3.00,1.00,5.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5339553,5.00,3.00,2.00,4.00,7.00,10.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5339561,6.00,7.00,3.00,7.00,7.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5339570,3.00,6.00,3.00,2.00,5.00,7.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5339596,5.00,4.00,1.00,5.00,4.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5339600,5.00,7.00,1.00,2.00,5.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5339618,5.00,5.00,1.00,4.00,4.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5339626,4.00,4.00,1.00,6.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5339642,5.00,7.00,3.00,5.00,7.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5339650,4.00,6.00,1.00,3.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5339677,4.00,4.00,0.00,6.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5339693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5339707,7.00,9.00,5.00,7.00,10.00,8.63,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5339715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5339723,3.00,2.00,1.00,4.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5339731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5339740,4.00,1.00,0.00,3.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5339758,4.00,7.00,2.00,4.00,8.00,10.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5339766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5339782,6.00,7.00,3.00,4.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5339790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5339812,6.00,0.00,3.00,6.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5339820,4.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5339839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5339847,4.00,4.00,1.00,2.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5339855,2.00,4.00,2.00,1.00,4.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5339863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5339898,4.00,5.00,1.00,5.00,3.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5339910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5339928,6.00,5.00,0.00,6.00,6.00,4.50,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5339936,8.00,5.00,3.00,6.00,8.00,10.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5339944,6.00,2.00,0.00,4.00,8.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5339952,2.00,6.00,2.00,4.00,8.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5339995,8.00,6.00,2.00,5.00,5.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5340004,7.00,8.00,2.00,7.00,9.00,10.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5340012,5.00,6.00,3.00,6.00,8.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5340020,1.00,4.00,0.00,5.00,7.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5340039,6.00,5.00,3.00,7.00,7.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5340047,6.00,7.00,4.00,4.00,7.00,6.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5340055,5.00,5.00,1.00,3.00,8.00,8.25,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5340063,5.00,7.00,1.00,2.00,6.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5340071,2.00,7.00,3.00,2.00,4.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5340098,5.00,5.00,3.00,4.00,4.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5340101,2.00,4.00,1.00,7.00,6.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5340110,4.00,6.00,1.00,5.00,4.00,8.25,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5340128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5340136,0.00,1.00,1.00,0.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5340144,7.00,7.00,4.00,5.00,8.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5340152,0.00,3.00,1.00,2.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5340160,5.00,6.00,3.00,4.00,7.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5340179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5340195,2.00,5.00,1.00,3.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5340217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5340225,3.00,5.00,1.00,5.00,5.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5340241,2.00,7.00,1.00,0.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5340250,8.00,7.00,2.00,6.00,10.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5340276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5340292,6.00,7.00,4.00,3.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5340306,6.00,6.00,1.00,5.00,5.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5340314,6.00,4.00,3.00,0.00,4.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5340322,3.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5340330,5.00,7.00,1.00,4.00,5.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5340349,1.00,5.00,1.00,5.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5340357,3.00,5.00,3.00,3.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5340365,2.00,6.00,2.00,6.00,5.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5340373,5.00,3.00,3.00,3.00,2.00,NULL,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5340390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5340403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5340438,4.00,5.00,3.00,3.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5340454,5.00,5.00,4.00,5.00,8.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5340462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5340470,8.00,3.00,1.00,5.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,'S','N'),(20,5340489,3.00,5.00,4.00,7.00,6.00,9.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5340497,8.00,6.00,0.00,6.00,6.00,NULL,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5340500,3.00,6.00,1.00,1.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5340527,4.00,7.00,2.00,6.00,7.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5340543,4.00,5.00,0.00,3.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5340551,3.00,4.00,1.00,4.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5340560,6.00,5.00,0.00,2.00,8.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5340578,3.00,5.00,1.00,4.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5340586,9.00,7.00,4.00,7.00,6.00,9.38,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5340594,3.00,4.00,3.00,5.00,8.00,9.38,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5340608,2.00,4.00,2.00,7.00,9.00,10.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5340616,6.00,7.00,3.00,7.00,6.00,8.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5340624,8.00,7.00,3.00,8.00,8.00,10.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5340632,6.00,5.00,3.00,7.00,8.00,6.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5340640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5340659,4.00,7.00,1.00,4.00,5.00,6.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5340667,8.00,7.00,3.00,5.00,8.00,10.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5340675,7.00,6.00,0.00,3.00,5.00,10.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5340683,6.00,8.00,5.00,7.00,7.00,8.63,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5340691,7.00,6.00,3.00,4.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5340713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5340721,4.00,4.00,2.00,0.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5340730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5340748,7.00,5.00,8.00,6.00,7.00,11.63,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5340756,8.00,6.00,5.00,7.00,8.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5340764,3.00,5.00,1.00,7.00,6.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5340780,5.00,5.00,2.00,2.00,7.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5340799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5340810,4.00,3.00,2.00,3.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5340829,8.00,7.00,4.00,6.00,8.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5340837,6.00,6.00,2.00,4.00,4.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5340845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5340853,8.00,5.00,2.00,2.00,4.00,6.75,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5340861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5340870,7.00,7.00,6.00,6.00,7.00,13.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5340896,1.00,2.00,1.00,3.00,4.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5340900,7.00,7.00,2.00,3.00,8.00,7.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5340918,9.00,5.00,4.00,7.00,5.00,6.38,6.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5340926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5340934,4.00,5.00,1.00,1.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5340942,3.00,4.00,0.00,4.00,1.00,NULL,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5340969,3.00,5.00,3.00,4.00,5.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5340977,5.00,5.00,0.00,4.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5340985,0.00,3.00,0.00,0.00,0.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5340993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5341000,3.00,5.00,0.00,3.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5341019,7.00,8.00,0.00,6.00,4.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5341035,2.00,5.00,0.00,3.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5341043,6.00,7.00,4.00,5.00,7.00,6.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5341051,7.00,7.00,4.00,6.00,9.00,10.13,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5341060,4.00,6.00,1.00,4.00,7.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5341078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5341108,0.00,3.00,2.00,4.00,1.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5341116,7.00,6.00,1.00,4.00,8.00,10.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5341124,5.00,5.00,1.00,4.00,8.00,6.75,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5341132,6.00,4.00,3.00,3.00,4.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5341140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5341159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5341167,6.00,4.00,3.00,5.00,7.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5341175,3.00,3.00,1.00,3.00,6.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5341183,4.00,5.00,2.00,2.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5341191,4.00,3.00,2.00,0.00,4.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5341205,5.00,4.00,1.00,6.00,6.00,9.00,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5341213,3.00,5.00,0.00,1.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5341221,3.00,3.00,2.00,5.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5341248,3.00,5.00,1.00,5.00,6.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5341256,1.00,4.00,0.00,2.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5341264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5341272,5.00,0.00,4.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5341299,0.00,2.00,1.00,4.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5341302,2.00,3.00,0.00,3.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5341310,6.00,5.00,3.00,6.00,6.00,6.38,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5341337,5.00,7.00,5.00,7.00,7.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5341345,4.00,5.00,1.00,3.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5341361,8.00,8.00,5.00,7.00,9.00,12.75,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5341370,7.00,5.00,7.00,6.00,6.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5341388,5.00,4.00,2.00,6.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5341396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5341400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5341418,5.00,6.00,3.00,6.00,8.00,6.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5341426,7.00,7.00,5.00,6.00,7.00,6.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5341434,4.00,5.00,2.00,3.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5341442,5.00,5.00,3.00,6.00,6.00,10.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5341450,0.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5341469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5341477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5341493,7.00,7.00,4.00,4.00,8.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5341515,5.00,9.00,3.00,6.00,7.00,12.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5341523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5341531,4.00,5.00,3.00,7.00,6.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5341558,8.00,7.00,3.00,7.00,9.00,10.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5341566,1.00,6.00,2.00,4.00,3.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5341574,3.00,4.00,1.00,3.00,5.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5341590,3.00,4.00,2.00,4.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5341604,7.00,4.00,2.00,5.00,9.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5341612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5341647,3.00,6.00,1.00,3.00,8.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5341655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5341663,4.00,3.00,2.00,3.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5341698,5.00,7.00,0.00,4.00,6.00,7.13,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5341701,1.00,3.00,1.00,1.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5341710,4.00,5.00,1.00,1.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5341728,6.00,6.00,0.00,5.00,6.00,0.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5341736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5341744,2.00,6.00,2.00,2.00,2.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5341760,3.00,7.00,3.00,5.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5341795,3.00,4.00,1.00,2.00,6.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5341868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5341884,8.00,8.00,5.00,5.00,8.00,9.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5341892,1.00,3.00,3.00,3.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5341906,5.00,6.00,1.00,4.00,8.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5341914,4.00,6.00,3.00,6.00,9.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5341922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5341930,5.00,5.00,1.00,3.00,8.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5341949,5.00,7.00,2.00,5.00,8.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5341957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5341965,8.00,7.00,3.00,5.00,6.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5341981,8.00,8.00,2.00,6.00,8.00,11.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5341990,3.00,3.00,0.00,2.00,1.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5342007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342040,6.00,4.00,2.00,6.00,5.00,9.38,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(20,5342066,5.00,5.00,2.00,5.00,5.00,9.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5342082,4.00,8.00,2.00,5.00,9.00,6.00,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5342112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342120,2.00,4.00,0.00,6.00,0.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5342147,3.00,3.00,1.00,2.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5342163,7.00,5.00,0.00,6.00,10.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5342180,6.00,5.00,1.00,8.00,9.00,10.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5342198,9.00,8.00,5.00,7.00,7.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5342201,8.00,6.00,2.00,5.00,9.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5342228,5.00,6.00,0.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5342236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342252,6.00,8.00,6.00,7.00,7.00,7.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5342260,7.00,6.00,3.00,6.00,6.00,7.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5342287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342309,4.00,2.00,1.00,3.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,'S','N'),(20,5342317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342325,4.00,7.00,1.00,2.00,4.00,9.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5342333,1.00,4.00,1.00,6.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5342350,3.00,3.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5342368,5.00,5.00,1.00,5.00,6.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5342376,5.00,7.00,3.00,6.00,5.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5342384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342392,4.00,6.00,1.00,5.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5342414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342422,2.00,3.00,0.00,5.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5342430,4.00,5.00,5.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5342449,4.00,6.00,3.00,3.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5342457,4.00,6.00,1.00,6.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5342473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342481,5.00,7.00,6.00,6.00,3.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5342503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342511,4.00,4.00,1.00,5.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5342520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342554,8.00,6.00,2.00,7.00,9.00,9.38,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5342562,1.00,1.00,1.00,3.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5342570,3.00,3.00,1.00,5.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5342597,5.00,7.00,6.00,7.00,6.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5342600,5.00,4.00,1.00,3.00,6.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5342619,3.00,4.00,2.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5342627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342660,4.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5342678,7.00,7.00,5.00,5.00,5.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5342686,1.00,4.00,2.00,5.00,1.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5342694,7.00,6.00,2.00,5.00,7.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5342708,4.00,4.00,0.00,2.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5342724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342740,8.00,6.00,3.00,6.00,8.00,12.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5342759,4.00,5.00,3.00,4.00,5.00,4.50,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5342767,4.00,5.00,1.00,7.00,8.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5342775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342783,4.00,4.00,1.00,1.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5342813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342872,0.00,5.00,0.00,1.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5342880,6.00,7.00,5.00,7.00,7.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5342899,6.00,7.00,4.00,5.00,8.00,8.63,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5342902,5.00,2.00,0.00,4.00,4.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5342929,4.00,3.00,0.00,2.00,2.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5342945,2.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5342953,6.00,0.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5342961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5342970,5.00,7.00,3.00,5.00,5.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5342988,4.00,6.00,2.00,7.00,7.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5342996,4.00,4.00,1.00,4.00,6.00,7.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5343003,6.00,4.00,2.00,5.00,8.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5343011,6.00,5.00,3.00,2.00,5.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5343020,5.00,7.00,6.00,6.00,7.00,7.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5343046,2.00,6.00,1.00,3.00,6.00,NULL,3.00,4.00,4.00,NULL,NULL,'S','N'),(20,5343054,4.00,6.00,2.00,1.00,5.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5343062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5343070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5343089,2.00,4.00,2.00,7.00,7.00,7.13,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5343097,3.00,3.00,0.00,7.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5343119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5343127,1.00,5.00,1.00,4.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5343135,3.00,4.00,1.00,5.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5343143,1.00,4.00,0.00,2.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5343151,6.00,6.00,1.00,3.00,5.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5343160,5.00,5.00,1.00,5.00,8.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5343178,4.00,1.00,0.00,1.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5343186,8.00,6.00,4.00,6.00,9.00,10.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5343194,5.00,6.00,0.00,5.00,8.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5343208,1.00,4.00,0.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5343216,5.00,5.00,0.00,0.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5343224,4.00,6.00,1.00,3.00,1.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5343232,3.00,2.00,0.00,1.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5343240,3.00,4.00,3.00,4.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5343259,4.00,4.00,2.00,2.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5343267,3.00,4.00,0.00,1.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5343291,7.00,7.00,2.00,4.00,6.00,6.75,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5343305,7.00,7.00,4.00,7.00,7.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5343313,2.00,3.00,1.00,2.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5343321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5343348,3.00,7.00,3.00,7.00,6.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5343356,2.00,4.00,2.00,3.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5343364,4.00,2.00,2.00,5.00,6.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5343380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5343410,6.00,6.00,1.00,7.00,6.00,7.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5343429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5343437,2.00,3.00,0.00,0.00,1.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5343445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5343453,2.00,6.00,1.00,6.00,6.00,9.00,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5343470,4.00,4.00,4.00,6.00,7.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5343488,4.00,5.00,2.00,4.00,7.00,10.13,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5343496,5.00,5.00,0.00,5.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5343500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5343518,6.00,6.00,4.00,7.00,8.00,9.75,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5343534,9.00,5.00,3.00,5.00,4.00,7.13,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5343542,3.00,3.00,2.00,4.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5343569,2.00,6.00,2.00,5.00,4.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5343577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5343593,8.00,6.00,4.00,6.00,6.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5343615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5343623,6.00,6.00,4.00,4.00,8.00,8.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5343631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5343640,3.00,7.00,2.00,3.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5343658,5.00,3.00,2.00,5.00,7.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5343666,5.00,5.00,0.00,2.00,6.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5343674,7.00,5.00,2.00,4.00,5.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5343682,3.00,5.00,1.00,5.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5343690,2.00,5.00,2.00,3.00,7.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5343704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5343712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5343720,4.00,6.00,2.00,4.00,7.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5343739,7.00,6.00,0.00,7.00,8.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5343747,2.00,2.00,0.00,3.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5343755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5343771,7.00,5.00,2.00,6.00,7.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5343780,2.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5343798,7.00,8.00,1.00,7.00,10.00,11.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5343828,7.00,4.00,4.00,7.00,6.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5343836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5343852,3.00,5.00,2.00,5.00,4.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5343879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5343887,4.00,6.00,1.00,7.00,4.00,9.75,4.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5343895,2.00,2.00,1.00,2.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5343909,5.00,5.00,0.00,6.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5343917,4.00,5.00,5.00,7.00,4.00,9.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5343925,9.00,9.00,4.00,7.00,9.00,10.88,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5343933,9.00,8.00,5.00,7.00,8.00,12.75,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5343941,6.00,7.00,7.00,7.00,7.00,8.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5343968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5343976,3.00,5.00,2.00,6.00,7.00,6.00,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5343992,5.00,5.00,2.00,5.00,3.00,NULL,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5344000,2.00,7.00,4.00,3.00,5.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5344018,1.00,5.00,0.00,3.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5344026,2.00,0.00,4.00,4.00,6.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5344034,4.00,3.00,2.00,4.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5344042,8.00,4.00,1.00,7.00,6.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5344069,2.00,4.00,2.00,5.00,5.00,7.50,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5344077,4.00,4.00,1.00,4.00,1.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5344107,6.00,5.00,3.00,7.00,9.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5344115,7.00,5.00,3.00,5.00,7.00,11.25,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5344123,5.00,3.00,0.00,7.00,5.00,7.13,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5344131,3.00,3.00,3.00,2.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5344140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5344158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5344166,5.00,5.00,3.00,6.00,6.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5344174,9.00,7.00,4.00,5.00,8.00,6.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5344182,2.00,4.00,2.00,4.00,7.00,6.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5344190,3.00,4.00,0.00,2.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5344204,2.00,6.00,2.00,5.00,6.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5344212,8.00,7.00,6.00,7.00,8.00,9.38,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5344220,5.00,5.00,3.00,7.00,7.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5344239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5344247,6.00,6.00,2.00,7.00,4.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5344255,2.00,5.00,2.00,2.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5344263,5.00,4.00,3.00,3.00,9.00,10.13,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5344271,3.00,4.00,1.00,4.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5344298,3.00,6.00,0.00,3.00,4.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5344301,6.00,6.00,5.00,7.00,8.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5344310,3.00,4.00,2.00,6.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5344328,4.00,5.00,0.00,4.00,5.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5344336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5344344,5.00,5.00,0.00,3.00,5.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5344352,4.00,7.00,1.00,7.00,7.00,10.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5344360,6.00,6.00,1.00,6.00,8.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5344387,2.00,4.00,0.00,2.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5344395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5344409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5344417,6.00,6.00,1.00,7.00,5.00,9.38,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5344433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5344441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5344476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5344484,6.00,5.00,5.00,2.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5344492,2.00,2.00,1.00,2.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5344506,2.00,6.00,1.00,5.00,6.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5344514,8.00,6.00,0.00,6.00,6.00,NULL,3.00,4.00,1.00,NULL,NULL,'S','N'),(20,5344549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5344557,1.00,2.00,0.00,3.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5344565,3.00,1.00,0.00,0.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5344573,8.00,6.00,3.00,4.00,10.00,8.63,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5344581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5344603,5.00,7.00,2.00,6.00,7.00,10.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5344611,2.00,4.00,0.00,4.00,5.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5344620,6.00,7.00,6.00,6.00,9.00,8.63,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5344638,9.00,7.00,5.00,7.00,9.00,9.38,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5344646,2.00,4.00,1.00,6.00,5.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5344654,4.00,3.00,1.00,3.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5344662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5344670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5344689,5.00,7.00,0.00,5.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5344697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5344743,5.00,6.00,1.00,4.00,2.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5344751,0.00,2.00,1.00,2.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5344760,6.00,7.00,2.00,7.00,4.00,10.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5344778,3.00,3.00,3.00,2.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5344786,8.00,5.00,1.00,4.00,6.00,9.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5344794,9.00,9.00,6.00,7.00,8.00,8.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5344808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5344816,3.00,3.00,3.00,3.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5344824,5.00,7.00,2.00,6.00,8.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5344832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5344840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5344867,3.00,5.00,0.00,3.00,6.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5344883,4.00,6.00,1.00,4.00,6.00,8.63,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5344891,1.00,6.00,1.00,6.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5344905,2.00,4.00,0.00,2.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5344913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5344930,7.00,9.00,4.00,6.00,7.00,9.38,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5344948,7.00,5.00,1.00,6.00,7.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5344956,7.00,5.00,1.00,7.00,6.00,10.13,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5344964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5344972,4.00,6.00,0.00,4.00,4.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5344980,1.00,4.00,1.00,4.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5344999,7.00,5.00,1.00,5.00,5.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5345006,6.00,7.00,4.00,7.00,9.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5345014,8.00,6.00,0.00,6.00,6.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5345022,6.00,5.00,3.00,4.00,5.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5345081,4.00,5.00,0.00,4.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5345090,3.00,5.00,2.00,3.00,5.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5345120,9.00,8.00,6.00,6.00,9.00,8.63,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5345146,4.00,1.00,2.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5345154,8.00,8.00,6.00,6.00,7.00,9.75,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5345162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5345170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5345189,5.00,5.00,2.00,7.00,5.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5345197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5345219,6.00,7.00,5.00,5.00,8.00,10.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5345243,2.00,2.00,0.00,3.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5345251,4.00,5.00,1.00,4.00,7.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5345286,5.00,4.00,3.00,2.00,4.00,7.13,0.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5345294,5.00,7.00,2.00,4.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5345308,9.00,7.00,4.00,5.00,10.00,10.13,7.00,2.00,9.00,NULL,NULL,NULL,'N'),(20,5345332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5345367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5345375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5345391,6.00,8.00,3.00,7.00,10.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5345413,3.00,7.00,0.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,'S','N'),(20,5345421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5345430,2.00,5.00,2.00,5.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5345448,7.00,8.00,8.00,7.00,8.00,11.63,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5345456,2.00,2.00,2.00,2.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5345464,3.00,4.00,1.00,5.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5345480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5345499,8.00,8.00,6.00,3.00,5.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5345502,7.00,3.00,0.00,4.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5345510,3.00,0.00,1.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5345529,8.00,6.00,4.00,5.00,8.00,9.38,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5345537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5345553,3.00,6.00,2.00,6.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5345570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5345596,9.00,8.00,4.00,7.00,8.00,6.38,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5345600,6.00,6.00,3.00,4.00,2.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5345618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5345626,1.00,2.00,0.00,1.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5345634,3.00,6.00,0.00,4.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5345650,4.00,5.00,3.00,7.00,7.00,8.63,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5345677,4.00,7.00,0.00,6.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5345685,3.00,2.00,0.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5345693,7.00,4.00,4.00,0.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5345715,3.00,4.00,0.00,3.00,4.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5345723,2.00,5.00,2.00,3.00,4.00,7.50,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5345731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5345740,3.00,4.00,4.00,6.00,5.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5345766,2.00,4.00,1.00,6.00,5.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5345774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5345782,6.00,4.00,0.00,4.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5345790,4.00,6.00,1.00,3.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5345804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5345847,3.00,5.00,1.00,2.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5345855,3.00,6.00,2.00,7.00,5.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5345863,4.00,4.00,1.00,4.00,8.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5345871,3.00,5.00,2.00,5.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5345880,5.00,5.00,0.00,4.00,7.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5345898,2.00,3.00,0.00,5.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5345928,2.00,5.00,1.00,2.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5345936,4.00,6.00,3.00,6.00,7.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5345944,4.00,4.00,0.00,4.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5345952,5.00,4.00,6.00,3.00,5.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5345979,7.00,6.00,2.00,6.00,5.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5345987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5345995,7.00,6.00,2.00,4.00,8.00,9.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5346002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5346037,2.00,5.00,1.00,5.00,5.00,6.75,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5346045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5346053,4.00,8.00,4.00,4.00,6.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5346061,0.00,4.00,2.00,2.00,2.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'S'),(20,5346070,2.00,2.00,1.00,0.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5346088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5346096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5346100,5.00,4.00,2.00,7.00,9.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5346126,3.00,2.00,3.00,5.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5346134,3.00,4.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5346169,5.00,6.00,4.00,2.00,6.00,6.75,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5346177,5.00,5.00,2.00,2.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5346185,4.00,3.00,3.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5346193,7.00,6.00,1.00,7.00,5.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5346207,7.00,4.00,1.00,5.00,5.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5346215,3.00,5.00,1.00,2.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5346223,2.00,4.00,2.00,1.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5346240,5.00,5.00,2.00,2.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5346258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5346266,7.00,5.00,0.00,5.00,9.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5346274,6.00,7.00,0.00,6.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5346290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5346304,2.00,5.00,3.00,3.00,4.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5346320,2.00,6.00,2.00,5.00,6.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5346339,4.00,5.00,1.00,3.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5346363,4.00,6.00,2.00,1.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5346371,3.00,7.00,2.00,5.00,6.00,9.75,1.00,3.00,6.00,NULL,NULL,NULL,'S'),(20,5346380,1.00,3.00,0.00,3.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5346398,6.00,7.00,4.00,6.00,8.00,9.00,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5346401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5346428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5346436,7.00,6.00,3.00,6.00,6.00,9.38,3.00,2.00,6.00,NULL,NULL,NULL,'S'),(20,5346444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5346452,4.00,5.00,3.00,4.00,7.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5346460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5346487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5346495,5.00,4.00,2.00,1.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5346509,5.00,4.00,0.00,7.00,7.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5346517,2.00,3.00,2.00,2.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5346525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5346533,7.00,8.00,5.00,7.00,9.00,11.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5346541,3.00,4.00,2.00,5.00,6.00,9.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5346550,2.00,5.00,0.00,2.00,4.00,NULL,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5346568,4.00,6.00,1.00,6.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5346576,4.00,5.00,3.00,5.00,6.00,11.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5346584,7.00,5.00,2.00,7.00,4.00,7.88,5.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5346592,3.00,6.00,2.00,6.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5346614,4.00,5.00,4.00,3.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5346630,3.00,2.00,2.00,3.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5346649,2.00,3.00,3.00,5.00,5.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5346673,9.00,7.00,7.00,7.00,9.00,11.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5346681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5346690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5346703,6.00,8.00,3.00,7.00,7.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5346711,6.00,5.00,0.00,0.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5346720,4.00,3.00,7.00,4.00,5.00,7.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5346738,2.00,5.00,4.00,3.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5346762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5346770,4.00,6.00,1.00,3.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5346789,4.00,5.00,0.00,1.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5346800,3.00,5.00,4.00,4.00,6.00,8.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5346819,5.00,2.00,4.00,5.00,5.00,7.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5346827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5346835,3.00,5.00,3.00,0.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,'S','N'),(20,5346851,3.00,4.00,2.00,5.00,6.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5346860,4.00,6.00,0.00,6.00,7.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5346878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5346886,3.00,6.00,3.00,4.00,5.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5346894,2.00,4.00,1.00,6.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5346908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5346916,6.00,4.00,3.00,6.00,7.00,9.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5346924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5346932,7.00,8.00,4.00,5.00,9.00,11.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5346940,6.00,3.00,2.00,7.00,6.00,10.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5346959,4.00,3.00,2.00,3.00,6.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5346967,3.00,3.00,0.00,2.00,0.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5346975,6.00,7.00,1.00,6.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5347009,7.00,6.00,2.00,3.00,6.00,6.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5347017,8.00,8.00,0.00,7.00,7.00,11.25,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5347025,5.00,4.00,0.00,2.00,4.00,8.25,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5347033,3.00,6.00,3.00,4.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5347041,9.00,7.00,8.00,7.00,9.00,8.25,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5347050,9.00,9.00,5.00,8.00,10.00,9.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5347068,2.00,1.00,0.00,6.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5347076,5.00,6.00,4.00,4.00,5.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5347084,7.00,7.00,4.00,7.00,9.00,12.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5347106,3.00,0.00,3.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5347114,5.00,5.00,1.00,4.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5347122,6.00,7.00,3.00,7.00,8.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5347130,7.00,5.00,8.00,8.00,8.00,9.75,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5347149,5.00,7.00,3.00,3.00,6.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5347157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5347165,0.00,2.00,0.00,6.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5347173,1.00,4.00,2.00,3.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5347181,4.00,3.00,2.00,3.00,4.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'S'),(20,5347190,8.00,8.00,5.00,5.00,9.00,12.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5347203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5347211,2.00,4.00,1.00,3.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5347238,4.00,5.00,1.00,3.00,7.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'S'),(20,5347246,3.00,3.00,0.00,3.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5347254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5347262,8.00,6.00,3.00,6.00,8.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5347270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5347300,6.00,5.00,4.00,6.00,7.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5347327,5.00,3.00,2.00,1.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5347335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5347343,3.00,5.00,3.00,2.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5347351,0.00,0.00,1.00,8.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5347378,4.00,5.00,1.00,4.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5347394,5.00,7.00,2.00,3.00,5.00,10.13,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5347416,3.00,4.00,2.00,1.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,'S','N'),(20,5347424,4.00,5.00,4.00,2.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5347432,2.00,2.00,2.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5347440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5347459,8.00,6.00,3.00,5.00,6.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5347467,5.00,3.00,0.00,4.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5347491,1.00,3.00,1.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5347513,4.00,6.00,2.00,7.00,6.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5347521,6.00,2.00,0.00,4.00,5.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5347530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5347548,4.00,5.00,4.00,5.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5347564,8.00,6.00,0.00,6.00,7.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5347580,2.00,3.00,1.00,4.00,3.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5347602,3.00,5.00,3.00,4.00,4.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5347610,2.00,5.00,1.00,5.00,5.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5347629,5.00,8.00,4.00,5.00,7.00,9.38,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5347637,8.00,5.00,2.00,7.00,10.00,6.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5347645,7.00,4.00,4.00,6.00,8.00,6.38,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5347653,2.00,1.00,0.00,1.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5347661,1.00,2.00,2.00,3.00,2.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5347670,4.00,4.00,2.00,1.00,4.00,5.25,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5347696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5347700,6.00,6.00,4.00,4.00,6.00,6.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5347726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5347734,3.00,1.00,0.00,4.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5347742,3.00,4.00,3.00,2.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5347750,1.00,4.00,0.00,3.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5347769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5347785,2.00,5.00,2.00,7.00,5.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5347793,2.00,5.00,3.00,2.00,5.00,7.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5347807,5.00,7.00,1.00,4.00,4.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5347815,5.00,4.00,4.00,4.00,7.00,10.50,5.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5347823,6.00,6.00,0.00,4.00,6.00,7.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5347831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5347840,5.00,7.00,1.00,5.00,5.00,7.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5347874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5347890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5347920,3.00,4.00,1.00,3.00,7.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5347939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5347947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5347963,6.00,4.00,1.00,7.00,9.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5347971,4.00,5.00,0.00,5.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5347980,4.00,4.00,1.00,4.00,9.00,NULL,3.00,2.00,3.00,NULL,NULL,'S','N'),(20,5348021,3.00,4.00,0.00,2.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5348030,6.00,7.00,2.00,7.00,5.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5348048,3.00,4.00,4.00,4.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5348056,6.00,3.00,2.00,5.00,7.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5348072,8.00,3.00,5.00,7.00,9.00,8.63,4.00,1.00,5.00,NULL,NULL,NULL,'S'),(20,5348080,7.00,7.00,3.00,7.00,7.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5348099,7.00,7.00,3.00,7.00,4.00,6.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5348102,9.00,9.00,3.00,7.00,9.00,9.38,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5348110,8.00,8.00,2.00,5.00,6.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5348129,3.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5348137,4.00,6.00,0.00,6.00,6.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5348161,3.00,4.00,0.00,2.00,3.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5348196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5348200,5.00,7.00,1.00,7.00,8.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5348218,8.00,9.00,4.00,7.00,6.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5348226,6.00,5.00,3.00,1.00,5.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5348234,0.00,4.00,0.00,3.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5348242,2.00,5.00,0.00,2.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5348269,3.00,1.00,0.00,3.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5348285,2.00,4.00,2.00,2.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5348293,7.00,7.00,1.00,5.00,8.00,9.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5348307,6.00,6.00,2.00,7.00,7.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5348315,5.00,5.00,3.00,1.00,4.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5348323,4.00,4.00,2.00,3.00,4.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5348331,9.00,8.00,4.00,7.00,10.00,10.13,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5348358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5348366,7.00,7.00,1.00,3.00,8.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5348374,6.00,2.00,2.00,4.00,3.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5348382,5.00,7.00,4.00,3.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5348390,7.00,8.00,8.00,7.00,9.00,8.63,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5348412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5348439,7.00,7.00,1.00,6.00,6.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5348447,7.00,4.00,2.00,7.00,8.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5348463,2.00,6.00,1.00,4.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5348471,4.00,4.00,2.00,5.00,1.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5348480,5.00,7.00,0.00,5.00,7.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5348498,3.00,5.00,2.00,5.00,4.00,0.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5348501,5.00,3.00,4.00,3.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5348510,8.00,4.00,4.00,7.00,6.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5348528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5348536,5.00,6.00,0.00,6.00,5.00,7.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5348544,3.00,5.00,0.00,4.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5348560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5348579,3.00,3.00,3.00,2.00,4.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5348609,3.00,5.00,1.00,3.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5348617,3.00,4.00,0.00,6.00,5.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5348633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5348641,4.00,3.00,0.00,4.00,8.00,6.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5348650,7.00,5.00,8.00,7.00,4.00,10.13,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5348684,1.00,6.00,2.00,3.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5348692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5348722,9.00,8.00,4.00,6.00,9.00,10.88,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5348730,7.00,5.00,3.00,7.00,5.00,9.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5348757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5348765,7.00,5.00,2.00,6.00,9.00,10.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5348803,6.00,5.00,1.00,7.00,7.00,12.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5348811,3.00,7.00,1.00,6.00,7.00,9.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5348820,8.00,6.00,3.00,7.00,9.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5348838,3.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5348846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5348854,6.00,4.00,2.00,2.00,5.00,8.63,5.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5348862,6.00,4.00,1.00,4.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5348870,6.00,3.00,5.00,5.00,6.00,7.88,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5348889,2.00,4.00,1.00,1.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5348900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5348927,5.00,3.00,0.00,3.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'S'),(20,5348960,3.00,2.00,0.00,1.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5348978,5.00,7.00,3.00,5.00,4.00,10.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5348986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5348994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5349001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5349010,4.00,6.00,2.00,7.00,4.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5349044,3.00,3.00,2.00,2.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5349060,2.00,6.00,4.00,4.00,5.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5349079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5349087,5.00,5.00,1.00,6.00,6.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5349109,4.00,5.00,1.00,4.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5349117,8.00,6.00,3.00,7.00,8.00,9.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5349125,6.00,8.00,1.00,7.00,9.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5349141,5.00,7.00,6.00,5.00,5.00,6.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5349176,2.00,5.00,1.00,3.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5349184,3.00,4.00,3.00,6.00,6.00,9.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5349192,3.00,4.00,0.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5349214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5349230,2.00,5.00,3.00,3.00,4.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5349249,3.00,4.00,4.00,2.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5349257,3.00,4.00,1.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5349273,3.00,3.00,3.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5349281,5.00,6.00,3.00,4.00,4.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5349290,8.00,6.00,6.00,6.00,8.00,10.50,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5349303,0.00,5.00,2.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5349338,7.00,5.00,3.00,6.00,5.00,11.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5349346,5.00,7.00,2.00,6.00,8.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5349354,3.00,4.00,3.00,0.00,6.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5349370,2.00,3.00,0.00,2.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5349400,6.00,6.00,3.00,6.00,7.00,8.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5349435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5349443,2.00,3.00,0.00,3.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5349478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5349524,6.00,9.00,1.00,7.00,9.00,11.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5349559,7.00,6.00,3.00,4.00,6.00,8.63,3.00,2.00,9.00,NULL,NULL,NULL,'N'),(20,5349567,8.00,6.00,4.00,6.00,10.00,6.00,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5349583,7.00,7.00,4.00,5.00,7.00,11.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5349591,7.00,7.00,4.00,6.00,9.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5349621,6.00,5.00,1.00,3.00,5.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5349630,4.00,5.00,2.00,2.00,3.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5349656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5349664,5.00,3.00,3.00,7.00,5.00,10.13,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5349672,4.00,4.00,1.00,4.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5349680,3.00,5.00,1.00,2.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5349699,8.00,8.00,3.00,7.00,7.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5349702,9.00,7.00,6.00,6.00,9.00,10.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5349729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5349737,4.00,6.00,0.00,6.00,5.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5349753,2.00,0.00,1.00,6.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5349770,0.00,1.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5349800,9.00,8.00,6.00,7.00,7.00,8.63,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5349818,7.00,8.00,4.00,4.00,7.00,8.25,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5349826,4.00,5.00,2.00,3.00,5.00,6.00,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5349834,4.00,8.00,2.00,5.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5349869,1.00,4.00,0.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5349877,3.00,0.00,3.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5349893,8.00,6.00,4.00,7.00,8.00,9.38,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5349907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5349915,9.00,6.00,4.00,7.00,8.00,12.00,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5349931,4.00,6.00,0.00,4.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5349940,3.00,2.00,1.00,1.00,2.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5349966,9.00,5.00,7.00,5.00,7.00,9.00,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5349982,3.00,5.00,2.00,2.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5349990,5.00,5.00,5.00,6.00,7.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5350000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5350026,3.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5350042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5350069,3.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5350093,5.00,5.00,2.00,5.00,5.00,6.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5350107,2.00,4.00,2.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5350123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5350131,9.00,8.00,3.00,7.00,10.00,10.13,4.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5350140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5350158,7.00,7.00,5.00,6.00,8.00,8.25,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5350166,3.00,2.00,2.00,4.00,6.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5350174,2.00,5.00,1.00,6.00,6.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5350212,4.00,6.00,1.00,4.00,5.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5350220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5350239,4.00,4.00,1.00,5.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5350271,4.00,5.00,1.00,4.00,0.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5350310,6.00,9.00,1.00,3.00,8.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5350328,5.00,6.00,3.00,6.00,6.00,6.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5350336,2.00,6.00,0.00,6.00,6.00,7.88,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5350344,7.00,5.00,1.00,6.00,7.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5350352,4.00,6.00,0.00,5.00,8.00,9.00,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5350360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5350387,4.00,6.00,3.00,3.00,8.00,NULL,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5350409,3.00,4.00,1.00,3.00,1.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5350417,7.00,6.00,3.00,7.00,8.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5350425,3.00,4.00,3.00,2.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5350441,5.00,4.00,3.00,2.00,6.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5350450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5350468,3.00,4.00,1.00,2.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5350492,3.00,7.00,2.00,2.00,5.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5350506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5350514,3.00,4.00,0.00,0.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5350549,6.00,8.00,3.00,7.00,8.00,9.38,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5350557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5350573,5.00,4.00,3.00,8.00,9.00,10.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5350581,5.00,6.00,2.00,6.00,8.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5350590,7.00,5.00,0.00,7.00,9.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5350603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5350611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5350620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5350638,3.00,5.00,2.00,5.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5350646,2.00,1.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5350654,4.00,4.00,4.00,4.00,4.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5350662,5.00,2.00,1.00,2.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5350670,5.00,4.00,1.00,4.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5350689,4.00,0.00,4.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(20,5350697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5350700,6.00,8.00,5.00,7.00,8.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5350719,3.00,3.00,1.00,5.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5350727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5350735,5.00,2.00,3.00,5.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5350743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5350760,7.00,8.00,7.00,7.00,9.00,12.75,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5350778,3.00,5.00,1.00,4.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5350786,0.00,2.00,1.00,0.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5350794,4.00,4.00,0.00,3.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5350808,4.00,4.00,4.00,4.00,6.00,6.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5350816,4.00,3.00,1.00,4.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'S'),(20,5350824,3.00,3.00,1.00,3.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5350832,3.00,5.00,2.00,3.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5350840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5350859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5350883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5350905,8.00,5.00,1.00,6.00,8.00,10.50,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5350921,6.00,8.00,3.00,5.00,9.00,12.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5350930,3.00,3.00,1.00,0.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5350948,5.00,6.00,4.00,2.00,8.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5350956,2.00,4.00,1.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5350964,3.00,6.00,1.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5350972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5350980,2.00,4.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5351022,2.00,3.00,1.00,4.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5351030,6.00,4.00,2.00,6.00,4.00,6.38,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5351049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5351057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5351073,7.00,7.00,6.00,4.00,8.00,9.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5351090,3.00,6.00,0.00,7.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5351103,2.00,4.00,1.00,3.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5351111,3.00,5.00,3.00,3.00,6.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5351120,5.00,5.00,1.00,4.00,4.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5351138,5.00,0.00,1.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5351146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5351154,2.00,4.00,0.00,5.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5351162,5.00,6.00,5.00,1.00,5.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5351170,3.00,3.00,0.00,3.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5351189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5351200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5351227,5.00,5.00,2.00,6.00,6.00,8.63,4.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5351235,1.00,4.00,1.00,4.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5351243,3.00,3.00,1.00,4.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5351260,2.00,4.00,3.00,4.00,6.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5351278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5351286,3.00,7.00,0.00,3.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5351316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5351324,4.00,0.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5351332,6.00,4.00,2.00,4.00,7.00,6.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5351340,1.00,6.00,0.00,5.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5351359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5351367,3.00,4.00,1.00,3.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5351383,1.00,3.00,0.00,3.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5351391,6.00,7.00,3.00,5.00,6.00,9.38,3.00,1.00,7.00,NULL,NULL,NULL,'N'),(20,5351413,4.00,7.00,1.00,3.00,1.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5351421,9.00,6.00,3.00,6.00,7.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5351430,3.00,5.00,1.00,4.00,5.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(20,5351472,8.00,9.00,4.00,5.00,9.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5351480,6.00,5.00,6.00,6.00,7.00,9.75,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5351499,9.00,8.00,6.00,4.00,8.00,10.50,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5351502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5351529,7.00,6.00,4.00,5.00,8.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5351537,4.00,5.00,3.00,4.00,6.00,6.38,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5351561,0.00,6.00,0.00,0.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5351570,4.00,5.00,2.00,7.00,6.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5351588,7.00,4.00,3.00,6.00,9.00,10.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5351600,7.00,8.00,4.00,6.00,8.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5351618,9.00,6.00,5.00,6.00,6.00,10.88,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5351634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5351685,4.00,0.00,1.00,1.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5351693,6.00,5.00,2.00,7.00,9.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5351707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5351715,4.00,3.00,0.00,1.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5351740,7.00,6.00,3.00,4.00,5.00,7.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5351766,6.00,5.00,2.00,5.00,8.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5351774,6.00,3.00,0.00,4.00,7.00,10.13,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5351782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5351790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5351812,2.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5351820,3.00,5.00,0.00,2.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5351839,4.00,4.00,0.00,2.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5351847,5.00,6.00,4.00,5.00,7.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5351855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5351863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5351898,6.00,6.00,1.00,5.00,6.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5351901,6.00,8.00,2.00,6.00,4.00,7.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5351928,3.00,4.00,1.00,2.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5351936,1.00,5.00,0.00,0.00,1.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5351944,7.00,7.00,5.00,7.00,8.00,10.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5351952,2.00,4.00,1.00,5.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5351987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5351995,7.00,7.00,4.00,7.00,8.00,9.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5352002,5.00,7.00,4.00,4.00,4.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5352010,5.00,7.00,1.00,7.00,6.00,10.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5352029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5352037,8.00,6.00,2.00,7.00,8.00,9.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5352053,6.00,7.00,4.00,5.00,6.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5352061,8.00,6.00,2.00,6.00,6.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5352070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5352088,5.00,6.00,1.00,4.00,6.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5352096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5352100,6.00,7.00,2.00,6.00,7.00,11.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5352118,6.00,4.00,0.00,4.00,8.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5352126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5352134,3.00,5.00,0.00,2.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5352142,3.00,3.00,2.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,'S','N'),(20,5352150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5352169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5352177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5352185,7.00,5.00,1.00,4.00,7.00,10.50,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5352193,5.00,7.00,2.00,7.00,5.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5352207,2.00,6.00,0.00,5.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5352223,6.00,8.00,4.00,7.00,9.00,8.63,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5352231,3.00,4.00,0.00,6.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5352240,1.00,5.00,0.00,3.00,4.00,NULL,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5352258,4.00,4.00,2.00,3.00,6.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5352274,3.00,6.00,2.00,3.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5352304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5352347,2.00,6.00,2.00,4.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5352355,2.00,5.00,2.00,3.00,5.00,4.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5352371,3.00,6.00,0.00,2.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5352380,4.00,6.00,5.00,8.00,8.00,10.13,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5352398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5352401,4.00,5.00,1.00,3.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5352410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5352428,8.00,8.00,5.00,7.00,6.00,8.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5352436,5.00,5.00,0.00,4.00,7.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5352444,9.00,8.00,6.00,6.00,8.00,9.00,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5352452,1.00,2.00,1.00,1.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5352460,7.00,7.00,6.00,4.00,4.00,10.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5352487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5352495,6.00,6.00,6.00,6.00,6.00,7.50,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5352509,5.00,6.00,3.00,5.00,5.00,8.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5352517,5.00,0.00,3.00,3.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5352525,2.00,3.00,1.00,5.00,5.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5352541,3.00,3.00,1.00,3.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5352568,4.00,5.00,0.00,3.00,1.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5352576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5352649,7.00,8.00,6.00,7.00,8.00,9.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5352657,5.00,7.00,1.00,8.00,7.00,11.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5352665,1.00,4.00,2.00,3.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5352673,8.00,8.00,2.00,6.00,8.00,10.13,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5352681,2.00,4.00,1.00,5.00,5.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5352711,5.00,6.00,4.00,2.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5352720,3.00,6.00,2.00,4.00,6.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5352770,6.00,6.00,4.00,7.00,7.00,7.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5352789,7.00,6.00,4.00,4.00,4.00,6.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5352800,5.00,9.00,2.00,5.00,6.00,6.38,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5352843,8.00,6.00,4.00,6.00,7.00,7.88,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5352886,8.00,9.00,2.00,7.00,9.00,10.13,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5352894,9.00,3.00,3.00,7.00,9.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5352916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5352924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5352932,5.00,6.00,0.00,4.00,8.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5352940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5352975,3.00,4.00,1.00,4.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5352983,2.00,5.00,2.00,3.00,4.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5352991,6.00,7.00,6.00,4.00,9.00,7.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5353025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5353033,2.00,5.00,0.00,4.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'S'),(20,5353076,2.00,3.00,1.00,3.00,7.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5353092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5353114,4.00,6.00,1.00,6.00,7.00,9.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5353122,4.00,4.00,1.00,0.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5353130,7.00,6.00,1.00,4.00,4.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5353149,7.00,7.00,5.00,6.00,6.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5353157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5353165,5.00,6.00,1.00,6.00,7.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5353173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5353181,6.00,7.00,1.00,6.00,5.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5353190,1.00,6.00,1.00,3.00,7.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5353211,3.00,6.00,1.00,3.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5353238,4.00,4.00,1.00,2.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5353246,5.00,4.00,2.00,6.00,7.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5353254,4.00,3.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5353270,4.00,6.00,3.00,6.00,9.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5353289,9.00,8.00,7.00,6.00,10.00,10.88,8.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5353297,4.00,6.00,3.00,5.00,5.00,10.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5353319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5353335,4.00,5.00,0.00,4.00,7.00,9.00,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5353343,6.00,5.00,4.00,3.00,5.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5353351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5353360,6.00,4.00,1.00,5.00,5.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5353378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5353386,2.00,3.00,3.00,3.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5353394,3.00,6.00,3.00,3.00,4.00,6.38,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5353416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5353424,8.00,9.00,1.00,8.00,9.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5353432,9.00,8.00,6.00,6.00,9.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5353440,1.00,3.00,0.00,1.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5353467,4.00,7.00,0.00,7.00,9.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5353475,6.00,5.00,4.00,7.00,8.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5353483,5.00,6.00,3.00,4.00,5.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5353491,7.00,4.00,1.00,6.00,5.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5353505,3.00,4.00,1.00,3.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5353513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5353521,4.00,7.00,5.00,3.00,7.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5353530,2.00,6.00,0.00,3.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5353548,8.00,6.00,4.00,6.00,7.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5353556,7.00,7.00,4.00,3.00,8.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5353580,3.00,3.00,0.00,1.00,4.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5353599,6.00,8.00,4.00,7.00,9.00,9.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5353602,7.00,7.00,1.00,5.00,7.00,8.25,0.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5353610,2.00,4.00,0.00,4.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5353629,7.00,7.00,2.00,5.00,6.00,7.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5353661,2.00,5.00,0.00,2.00,3.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5353688,9.00,5.00,6.00,7.00,8.00,12.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5353696,3.00,6.00,0.00,3.00,5.00,6.38,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5353700,2.00,5.00,1.00,3.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5353718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5353726,3.00,3.00,2.00,2.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5353742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5353769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5353785,6.00,5.00,3.00,7.00,7.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5353793,3.00,0.00,4.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5353815,2.00,1.00,2.00,3.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5353823,9.00,7.00,4.00,7.00,9.00,8.63,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5353831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5353840,5.00,5.00,2.00,6.00,5.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5353866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5353874,1.00,6.00,3.00,5.00,7.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5353882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5353904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5353912,4.00,5.00,5.00,7.00,7.00,10.88,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5353920,4.00,7.00,2.00,7.00,9.00,6.38,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5353939,2.00,6.00,1.00,4.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5353955,0.00,2.00,0.00,4.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5353963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5353971,7.00,5.00,2.00,1.00,5.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5353998,0.00,2.00,1.00,1.00,1.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5354005,4.00,6.00,2.00,2.00,5.00,8.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5354013,4.00,6.00,2.00,3.00,5.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5354030,4.00,5.00,2.00,1.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5354048,3.00,4.00,1.00,2.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5354072,4.00,3.00,2.00,3.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5354080,2.00,7.00,2.00,5.00,4.00,6.38,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5354099,4.00,5.00,3.00,1.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5354110,3.00,6.00,2.00,6.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5354129,5.00,3.00,3.00,5.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5354137,7.00,5.00,2.00,5.00,5.00,NULL,3.00,3.00,8.00,NULL,NULL,'S','N'),(20,5354145,5.00,5.00,2.00,4.00,5.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5354153,6.00,5.00,1.00,7.00,10.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5354170,8.00,3.00,3.00,6.00,6.00,10.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5354188,1.00,3.00,0.00,2.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5354196,6.00,6.00,3.00,7.00,5.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5354218,3.00,3.00,2.00,7.00,5.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5354226,3.00,5.00,0.00,5.00,5.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5354234,7.00,5.00,3.00,7.00,7.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5354242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5354250,6.00,6.00,2.00,6.00,7.00,9.75,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5354269,3.00,5.00,0.00,3.00,7.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5354277,3.00,4.00,0.00,3.00,6.00,NULL,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5354293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5354315,4.00,6.00,0.00,3.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5354323,1.00,3.00,0.00,3.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5354331,4.00,2.00,1.00,5.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5354358,3.00,7.00,4.00,5.00,6.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5354366,5.00,8.00,2.00,5.00,8.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5354374,5.00,5.00,1.00,4.00,8.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5354390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5354404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5354412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5354439,6.00,4.00,0.00,6.00,5.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5354447,4.00,4.00,1.00,2.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5354463,6.00,5.00,1.00,6.00,6.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5354480,7.00,5.00,5.00,5.00,6.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5354498,3.00,6.00,5.00,4.00,6.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5354501,8.00,9.00,8.00,6.00,8.00,7.88,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5354510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5354528,1.00,3.00,3.00,3.00,4.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5354536,4.00,6.00,2.00,2.00,4.00,6.38,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5354544,4.00,3.00,2.00,4.00,2.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5354552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5354560,0.00,4.00,0.00,1.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5354579,3.00,6.00,1.00,0.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5354587,5.00,6.00,0.00,5.00,4.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5354595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5354609,3.00,4.00,0.00,2.00,0.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5354617,8.00,7.00,4.00,7.00,8.00,7.50,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5354625,7.00,3.00,3.00,5.00,7.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5354633,8.00,5.00,4.00,8.00,4.00,8.25,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5354650,5.00,6.00,4.00,5.00,6.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5354668,8.00,6.00,4.00,4.00,7.00,6.75,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5354684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5354692,9.00,3.00,3.00,7.00,8.00,10.50,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5354706,1.00,5.00,1.00,3.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5354714,6.00,3.00,0.00,4.00,7.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5354722,5.00,5.00,3.00,7.00,5.00,6.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5354730,9.00,8.00,6.00,8.00,9.00,7.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5354749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5354757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5354765,3.00,5.00,0.00,3.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5354781,3.00,3.00,0.00,5.00,8.00,NULL,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5354790,7.00,6.00,1.00,6.00,4.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5354803,8.00,4.00,3.00,4.00,9.00,7.50,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5354838,6.00,6.00,2.00,6.00,8.00,7.88,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5354846,3.00,4.00,5.00,4.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5354854,7.00,6.00,3.00,7.00,7.00,9.75,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5354862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5354870,2.00,2.00,0.00,1.00,1.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5354889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5354897,3.00,7.00,3.00,4.00,3.00,NULL,2.00,0.00,6.00,NULL,NULL,NULL,'S'),(20,5354900,3.00,2.00,0.00,4.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5354919,3.00,7.00,0.00,7.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5354927,4.00,6.00,0.00,5.00,5.00,6.38,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5354935,4.00,5.00,4.00,6.00,8.00,9.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5354943,3.00,3.00,2.00,5.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5354951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5354960,3.00,4.00,1.00,5.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5354978,9.00,6.00,5.00,7.00,9.00,10.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5354986,4.00,7.00,3.00,3.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5354994,9.00,7.00,6.00,6.00,7.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5355028,3.00,7.00,3.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5355044,7.00,6.00,2.00,6.00,7.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5355052,5.00,5.00,3.00,6.00,6.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5355079,2.00,5.00,2.00,4.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5355087,5.00,5.00,3.00,7.00,0.00,NULL,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5355095,2.00,5.00,1.00,4.00,6.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5355109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5355117,5.00,6.00,1.00,3.00,7.00,10.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5355125,9.00,8.00,5.00,7.00,9.00,8.63,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5355133,8.00,6.00,1.00,4.00,6.00,8.25,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5355168,6.00,6.00,5.00,6.00,7.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5355176,8.00,1.00,5.00,6.00,8.00,12.38,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5355184,5.00,5.00,3.00,6.00,8.00,10.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5355192,5.00,5.00,2.00,4.00,5.00,9.75,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5355214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5355222,6.00,8.00,1.00,5.00,8.00,11.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5355257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5355265,3.00,7.00,3.00,3.00,4.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5355273,5.00,6.00,1.00,0.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5355281,7.00,6.00,1.00,6.00,9.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5355290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5355303,4.00,3.00,3.00,5.00,4.00,8.63,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5355311,4.00,4.00,4.00,2.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5355346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5355354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5355362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5355370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5355389,6.00,7.00,5.00,6.00,8.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5355397,2.00,5.00,0.00,1.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5355400,9.00,9.00,3.00,6.00,10.00,7.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5355419,2.00,6.00,4.00,7.00,7.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5355451,5.00,6.00,5.00,3.00,5.00,4.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5355460,9.00,6.00,5.00,8.00,8.00,6.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5355478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5355494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5355508,5.00,5.00,4.00,6.00,4.00,9.75,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5355516,6.00,7.00,3.00,6.00,7.00,10.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5355540,2.00,5.00,3.00,1.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5355567,0.00,4.00,0.00,0.00,0.00,NULL,0.00,2.00,3.00,NULL,NULL,'S','N'),(20,5355575,7.00,6.00,3.00,6.00,9.00,7.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5355583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5355591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5355605,9.00,8.00,6.00,7.00,9.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5355613,9.00,7.00,6.00,6.00,7.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5355621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5355630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5355648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5355664,0.00,2.00,0.00,1.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5355672,5.00,6.00,2.00,6.00,6.00,5.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5355680,2.00,5.00,0.00,3.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5355699,8.00,8.00,1.00,8.00,9.00,9.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5355710,3.00,3.00,0.00,4.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5355729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5355737,2.00,4.00,2.00,2.00,4.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5355745,7.00,7.00,7.00,6.00,8.00,10.13,9.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5355753,8.00,5.00,5.00,6.00,8.00,10.88,7.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5355761,0.00,7.00,2.00,2.00,1.00,NULL,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5355770,3.00,7.00,3.00,5.00,6.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5355800,7.00,4.00,2.00,7.00,8.00,8.63,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5355818,4.00,6.00,1.00,4.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5355826,5.00,6.00,1.00,3.00,5.00,7.13,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5355850,2.00,7.00,3.00,5.00,5.00,10.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5355877,4.00,7.00,4.00,5.00,8.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5355885,4.00,4.00,0.00,4.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5355893,9.00,8.00,6.00,6.00,7.00,11.25,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5355907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5355915,3.00,5.00,1.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5355923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5355974,8.00,8.00,1.00,7.00,9.00,7.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5355990,3.00,0.00,0.00,0.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5356008,4.00,4.00,2.00,5.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5356016,6.00,5.00,1.00,5.00,6.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5356040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5356075,5.00,7.00,2.00,4.00,7.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5356083,6.00,7.00,4.00,6.00,8.00,7.50,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5356091,5.00,5.00,2.00,1.00,8.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5356105,6.00,5.00,2.00,5.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5356113,0.00,5.00,0.00,6.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5356121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5356130,4.00,4.00,0.00,1.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5356148,4.00,4.00,4.00,5.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5356156,4.00,2.00,1.00,4.00,7.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5356172,4.00,4.00,1.00,6.00,6.00,8.63,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5356199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5356202,5.00,6.00,3.00,3.00,8.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5356229,5.00,8.00,0.00,4.00,5.00,6.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5356237,3.00,6.00,4.00,6.00,5.00,8.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5356261,7.00,5.00,2.00,7.00,8.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5356270,3.00,3.00,2.00,4.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5356288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5356296,4.00,7.00,3.00,3.00,8.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5356300,8.00,7.00,4.00,5.00,9.00,7.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5356318,7.00,8.00,2.00,7.00,10.00,11.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5356326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5356342,6.00,2.00,3.00,4.00,7.00,10.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5356350,6.00,5.00,3.00,7.00,4.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5356377,6.00,6.00,3.00,5.00,5.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5356385,6.00,7.00,1.00,4.00,8.00,9.75,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5356393,5.00,7.00,4.00,5.00,8.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5356407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5356431,6.00,4.00,5.00,4.00,7.00,6.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5356440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5356458,8.00,7.00,6.00,2.00,8.00,9.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5356466,6.00,7.00,5.00,7.00,7.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5356482,4.00,4.00,4.00,5.00,6.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5356504,6.00,7.00,2.00,5.00,11.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5356520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5356539,5.00,5.00,1.00,5.00,6.00,7.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5356555,5.00,4.00,1.00,4.00,4.00,7.88,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5356563,4.00,5.00,1.00,6.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5356571,6.00,6.00,0.00,2.00,5.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5356580,6.00,6.00,1.00,5.00,5.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5356598,2.00,0.00,1.00,3.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5356601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5356610,4.00,5.00,4.00,7.00,9.00,7.50,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5356628,7.00,8.00,3.00,5.00,10.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5356644,2.00,3.00,6.00,2.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5356652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5356660,2.00,6.00,1.00,3.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5356679,2.00,3.00,1.00,2.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5356687,2.00,3.00,2.00,5.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5356695,4.00,5.00,1.00,5.00,5.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5356741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5356768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5356776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5356784,6.00,4.00,0.00,7.00,8.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5356792,5.00,0.00,0.00,6.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5356806,6.00,5.00,4.00,6.00,7.00,10.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5356830,8.00,6.00,2.00,6.00,10.00,8.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5356865,6.00,8.00,2.00,5.00,8.00,9.75,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5356873,4.00,3.00,2.00,2.00,6.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5356881,4.00,6.00,0.00,3.00,7.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5356890,4.00,6.00,0.00,4.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,'S','S'),(20,5356903,2.00,1.00,1.00,2.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5356911,2.00,6.00,2.00,6.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5356920,5.00,6.00,5.00,6.00,6.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5356938,7.00,4.00,7.00,2.00,1.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5356946,4.00,4.00,6.00,5.00,4.00,9.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5356954,8.00,6.00,7.00,7.00,7.00,9.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5356962,3.00,5.00,2.00,3.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5356970,3.00,3.00,1.00,0.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5356989,2.00,4.00,2.00,2.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5357004,1.00,4.00,1.00,3.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5357012,5.00,3.00,4.00,3.00,8.00,6.38,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5357020,3.00,3.00,1.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5357039,5.00,7.00,1.00,7.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5357047,3.00,4.00,1.00,6.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5357063,7.00,6.00,5.00,5.00,8.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5357071,1.00,3.00,0.00,2.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5357080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5357098,4.00,6.00,3.00,6.00,8.00,10.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5357110,4.00,5.00,1.00,4.00,5.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5357128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5357136,4.00,7.00,4.00,4.00,7.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5357144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5357179,5.00,7.00,4.00,7.00,9.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5357187,3.00,5.00,2.00,5.00,4.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5357209,2.00,4.00,1.00,4.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5357217,8.00,7.00,4.00,8.00,10.00,9.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5357225,8.00,6.00,3.00,7.00,8.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5357233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5357241,1.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5357276,1.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5357284,7.00,6.00,2.00,7.00,8.00,13.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(20,5357292,2.00,5.00,0.00,4.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5357306,5.00,4.00,2.00,6.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5357314,7.00,6.00,4.00,5.00,9.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5357322,1.00,0.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5357330,4.00,2.00,0.00,4.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5357357,3.00,4.00,0.00,3.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5357365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5357381,8.00,4.00,6.00,5.00,3.00,NULL,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5357390,3.00,6.00,3.00,5.00,8.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5357411,4.00,4.00,1.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5357438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5357454,3.00,5.00,2.00,4.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5357462,8.00,6.00,2.00,4.00,6.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5357470,9.00,9.00,5.00,8.00,10.00,11.63,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5357500,7.00,5.00,2.00,4.00,3.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5357519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5357527,5.00,4.00,0.00,4.00,6.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5357586,1.00,2.00,0.00,0.00,3.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5357594,4.00,4.00,1.00,5.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5357608,2.00,4.00,0.00,3.00,5.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5357616,3.00,5.00,4.00,6.00,6.00,7.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5357624,2.00,3.00,1.00,2.00,0.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5357640,5.00,4.00,1.00,4.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5357659,7.00,7.00,4.00,7.00,7.00,13.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5357667,7.00,5.00,5.00,7.00,7.00,6.38,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5357675,4.00,6.00,4.00,3.00,9.00,10.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5357683,4.00,4.00,2.00,4.00,7.00,7.50,0.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5357691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5357705,8.00,5.00,3.00,7.00,9.00,7.88,3.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5357713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5357721,3.00,5.00,2.00,6.00,6.00,8.25,1.00,1.00,5.00,NULL,NULL,NULL,'S'),(20,5357748,2.00,6.00,2.00,5.00,4.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5357756,3.00,7.00,0.00,1.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5357764,2.00,2.00,2.00,3.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5357772,4.00,5.00,3.00,6.00,6.00,8.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5357799,7.00,6.00,5.00,7.00,9.00,8.25,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5357802,5.00,7.00,2.00,4.00,6.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5357845,8.00,7.00,5.00,2.00,7.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5357853,9.00,8.00,4.00,4.00,7.00,10.88,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(20,5357861,0.00,3.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5357870,7.00,4.00,1.00,4.00,5.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5357888,5.00,6.00,3.00,5.00,8.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5357896,3.00,5.00,1.00,6.00,7.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5357900,7.00,6.00,5.00,2.00,7.00,11.25,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5357926,9.00,8.00,6.00,7.00,9.00,7.13,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5357934,6.00,7.00,5.00,7.00,9.00,10.88,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5357942,4.00,5.00,3.00,6.00,4.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5357950,3.00,4.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5357969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5357977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5357993,1.00,3.00,1.00,3.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5358000,9.00,7.00,5.00,6.00,7.00,8.25,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5358019,6.00,6.00,3.00,7.00,8.00,9.00,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5358035,8.00,8.00,6.00,5.00,8.00,7.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5358043,2.00,6.00,3.00,5.00,7.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5358051,5.00,6.00,1.00,6.00,6.00,9.38,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5358060,0.00,4.00,0.00,3.00,1.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5358078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5358086,3.00,7.00,1.00,6.00,4.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5358116,5.00,6.00,3.00,6.00,6.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5358132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5358140,4.00,1.00,1.00,3.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5358159,7.00,6.00,3.00,5.00,7.00,10.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5358167,2.00,4.00,2.00,3.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5358175,3.00,1.00,0.00,1.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5358191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5358213,5.00,5.00,0.00,5.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5358221,3.00,2.00,0.00,2.00,6.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5358230,5.00,2.00,2.00,7.00,9.00,6.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5358248,8.00,5.00,3.00,8.00,7.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5358264,5.00,5.00,2.00,1.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5358280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5358310,0.00,3.00,0.00,4.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5358329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5358337,4.00,3.00,2.00,4.00,6.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5358353,6.00,7.00,2.00,5.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5358361,2.00,3.00,0.00,3.00,6.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5358370,2.00,4.00,1.00,5.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5358388,2.00,3.00,4.00,4.00,4.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5358396,1.00,3.00,1.00,0.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5358400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5358418,6.00,5.00,3.00,7.00,8.00,10.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5358426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5358434,6.00,4.00,5.00,6.00,7.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5358442,1.00,2.00,1.00,6.00,5.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5358450,4.00,8.00,0.00,7.00,7.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5358469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5358477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5358485,4.00,4.00,0.00,6.00,7.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5358507,2.00,5.00,3.00,7.00,8.00,9.38,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5358515,7.00,4.00,1.00,5.00,8.00,9.00,5.00,6.00,5.00,NULL,NULL,NULL,'S'),(20,5358523,3.00,4.00,0.00,4.00,4.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5358531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5358540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5358558,4.00,2.00,3.00,1.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5358566,7.00,5.00,2.00,5.00,7.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5358574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5358590,7.00,5.00,3.00,7.00,7.00,7.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5358604,7.00,8.00,4.00,6.00,8.00,6.38,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5358612,5.00,6.00,1.00,3.00,4.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5358620,6.00,6.00,4.00,6.00,4.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5358639,2.00,2.00,2.00,3.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5358647,4.00,4.00,2.00,7.00,7.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5358655,3.00,4.00,2.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5358663,1.00,6.00,1.00,4.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5358680,6.00,7.00,2.00,6.00,6.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5358698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5358710,4.00,4.00,3.00,5.00,6.00,9.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5358736,7.00,6.00,4.00,7.00,9.00,12.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5358744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5358752,6.00,6.00,5.00,2.00,9.00,7.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5358779,4.00,5.00,1.00,4.00,4.00,10.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5358787,4.00,4.00,3.00,5.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,'S','N'),(20,5358795,1.00,4.00,0.00,2.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5358809,5.00,6.00,0.00,5.00,4.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5358817,2.00,4.00,2.00,4.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5358825,3.00,4.00,2.00,4.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5358833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5358841,2.00,2.00,1.00,1.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5358850,3.00,8.00,4.00,5.00,4.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5358868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5358876,7.00,7.00,4.00,4.00,6.00,6.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5358884,1.00,5.00,1.00,6.00,7.00,10.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5358906,3.00,5.00,0.00,2.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5358930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5358957,9.00,8.00,5.00,7.00,9.00,8.25,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5358965,6.00,6.00,0.00,4.00,8.00,NULL,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5358973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5358981,2.00,2.00,1.00,2.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5358990,5.00,0.00,1.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5359007,7.00,6.00,5.00,6.00,8.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5359023,6.00,6.00,5.00,7.00,9.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5359031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5359058,1.00,4.00,0.00,1.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5359066,2.00,7.00,0.00,4.00,5.00,NULL,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5359074,5.00,6.00,1.00,6.00,7.00,9.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5359082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5359090,7.00,7.00,3.00,3.00,10.00,7.88,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5359104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5359112,9.00,8.00,7.00,7.00,9.00,9.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5359120,3.00,5.00,3.00,2.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5359139,7.00,6.00,0.00,7.00,7.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5359147,4.00,6.00,1.00,7.00,5.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5359155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5359163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5359171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5359198,5.00,6.00,1.00,3.00,5.00,7.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5359201,7.00,5.00,2.00,6.00,5.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5359210,7.00,8.00,5.00,6.00,8.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5359228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5359252,5.00,2.00,0.00,2.00,7.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5359260,2.00,5.00,2.00,3.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5359279,8.00,8.00,4.00,7.00,5.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5359295,7.00,6.00,2.00,4.00,6.00,10.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5359309,7.00,7.00,3.00,6.00,6.00,9.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5359317,7.00,7.00,3.00,6.00,5.00,10.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5359325,4.00,4.00,0.00,1.00,3.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5359333,8.00,8.00,5.00,7.00,5.00,8.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5359341,5.00,5.00,1.00,4.00,5.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5359350,4.00,5.00,2.00,6.00,6.00,9.38,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5359376,2.00,4.00,3.00,3.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5359384,2.00,2.00,0.00,4.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5359392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5359422,3.00,3.00,1.00,3.00,5.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5359430,5.00,7.00,3.00,5.00,9.00,7.88,3.00,2.00,6.00,NULL,NULL,NULL,'S'),(20,5359449,4.00,5.00,2.00,4.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5359465,5.00,4.00,1.00,5.00,6.00,6.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5359473,7.00,7.00,0.00,4.00,4.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5359490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5359503,5.00,6.00,3.00,4.00,4.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5359511,4.00,8.00,2.00,6.00,5.00,6.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5359520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5359554,7.00,3.00,1.00,6.00,6.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5359562,4.00,5.00,0.00,6.00,6.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5359570,6.00,5.00,4.00,7.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5359589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5359597,7.00,7.00,4.00,7.00,9.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5359600,4.00,3.00,0.00,5.00,6.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5359635,4.00,5.00,2.00,3.00,6.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5359643,5.00,7.00,3.00,6.00,9.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5359651,1.00,4.00,1.00,2.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5359660,3.00,3.00,2.00,1.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5359686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5359694,3.00,6.00,2.00,7.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5359708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5359716,4.00,6.00,1.00,3.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5359732,4.00,4.00,1.00,4.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5359740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5359775,6.00,5.00,4.00,3.00,4.00,8.63,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5359783,7.00,6.00,4.00,5.00,6.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5359791,4.00,4.00,2.00,7.00,4.00,6.75,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5359805,4.00,2.00,2.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5359821,1.00,3.00,2.00,3.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5359830,2.00,3.00,2.00,4.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5359848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5359856,0.00,3.00,3.00,2.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5359872,6.00,6.00,3.00,8.00,9.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5359899,3.00,4.00,3.00,0.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5359902,4.00,6.00,1.00,5.00,6.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5359937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5359945,9.00,5.00,3.00,6.00,8.00,10.50,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5359953,4.00,7.00,3.00,6.00,7.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5359961,2.00,1.00,0.00,2.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5359970,3.00,5.00,0.00,2.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5359988,2.00,3.00,0.00,3.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5360005,8.00,6.00,3.00,5.00,9.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5360013,4.00,5.00,1.00,1.00,5.00,7.88,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5360021,2.00,3.00,1.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5360048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5360064,3.00,3.00,1.00,3.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5360072,4.00,8.00,2.00,4.00,5.00,11.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5360080,1.00,3.00,3.00,3.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5360102,6.00,5.00,2.00,5.00,6.00,7.50,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5360110,7.00,7.00,4.00,4.00,9.00,9.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5360129,5.00,4.00,3.00,4.00,5.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5360137,4.00,6.00,3.00,6.00,6.00,9.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5360153,1.00,5.00,2.00,2.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5360196,7.00,7.00,6.00,6.00,7.00,11.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5360200,2.00,4.00,3.00,4.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5360218,7.00,8.00,4.00,6.00,9.00,8.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5360226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5360242,4.00,5.00,1.00,5.00,7.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5360250,3.00,6.00,0.00,6.00,5.00,9.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5360269,7.00,6.00,2.00,5.00,8.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5360277,4.00,3.00,1.00,3.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5360285,4.00,5.00,1.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5360307,8.00,7.00,4.00,7.00,6.00,9.75,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5360315,0.00,3.00,1.00,3.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5360331,4.00,7.00,1.00,7.00,6.00,10.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5360340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5360366,7.00,6.00,3.00,7.00,8.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5360374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5360382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5360390,8.00,7.00,6.00,7.00,7.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5360404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5360412,2.00,3.00,0.00,3.00,0.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5360420,6.00,6.00,1.00,4.00,7.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5360439,3.00,6.00,2.00,6.00,5.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5360447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5360463,9.00,7.00,3.00,6.00,8.00,8.63,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5360471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5360498,5.00,7.00,1.00,3.00,7.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5360501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5360528,4.00,4.00,4.00,7.00,5.00,7.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5360536,4.00,6.00,5.00,6.00,6.00,6.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5360544,5.00,4.00,3.00,6.00,4.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5360560,8.00,4.00,4.00,7.00,9.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5360579,3.00,3.00,0.00,6.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5360587,8.00,7.00,8.00,7.00,11.00,11.25,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5360595,8.00,7.00,4.00,7.00,8.00,10.88,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5360609,6.00,7.00,3.00,7.00,9.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5360617,0.00,4.00,2.00,3.00,7.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5360625,6.00,8.00,3.00,4.00,5.00,9.00,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5360641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5360650,8.00,6.00,2.00,6.00,6.00,NULL,0.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5360668,4.00,3.00,2.00,6.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5360692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5360706,9.00,7.00,5.00,7.00,7.00,8.63,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5360714,4.00,5.00,1.00,4.00,6.00,9.75,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5360722,6.00,7.00,1.00,7.00,7.00,9.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5360749,5.00,5.00,2.00,5.00,7.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5360757,4.00,7.00,4.00,4.00,4.00,7.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5360765,6.00,7.00,4.00,7.00,5.00,11.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5360773,2.00,2.00,0.00,1.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5360790,6.00,7.00,6.00,5.00,6.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5360811,4.00,6.00,3.00,3.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5360820,4.00,4.00,1.00,6.00,7.00,12.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5360838,8.00,6.00,6.00,6.00,5.00,7.50,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5360846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5360854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5360862,3.00,3.00,1.00,5.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5360870,7.00,6.00,1.00,5.00,6.00,10.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5360900,4.00,3.00,1.00,3.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5360927,5.00,3.00,2.00,5.00,4.00,7.50,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5360935,8.00,9.00,7.00,6.00,9.00,9.75,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5360943,9.00,6.00,3.00,7.00,7.00,10.50,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5360951,8.00,5.00,5.00,8.00,6.00,8.25,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5360978,8.00,6.00,4.00,7.00,7.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5360994,4.00,5.00,4.00,7.00,7.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5361001,9.00,7.00,7.00,5.00,7.00,10.88,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5361010,6.00,5.00,2.00,6.00,7.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5361036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5361044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5361079,3.00,7.00,0.00,4.00,8.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5361087,5.00,7.00,4.00,6.00,7.00,10.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5361095,7.00,2.00,5.00,2.00,6.00,6.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5361117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5361125,7.00,6.00,4.00,5.00,4.00,4.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5361133,8.00,6.00,3.00,7.00,6.00,0.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5361150,4.00,7.00,5.00,5.00,5.00,8.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5361168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5361176,2.00,4.00,4.00,1.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5361184,9.00,5.00,8.00,7.00,9.00,11.25,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5361206,5.00,6.00,2.00,2.00,6.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5361222,3.00,8.00,4.00,6.00,7.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5361249,8.00,7.00,5.00,7.00,6.00,10.88,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5361257,7.00,6.00,7.00,7.00,9.00,9.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5361265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5361273,4.00,5.00,0.00,2.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5361281,7.00,4.00,4.00,7.00,9.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(20,5361290,7.00,5.00,3.00,7.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5361303,7.00,6.00,2.00,5.00,4.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5361320,2.00,3.00,2.00,2.00,1.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5361338,8.00,0.00,1.00,6.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5361346,6.00,4.00,3.00,7.00,6.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5361354,3.00,6.00,2.00,6.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5361362,5.00,2.00,4.00,6.00,6.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5361370,5.00,6.00,0.00,3.00,6.00,7.13,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5361389,3.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5361397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5361419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5361427,2.00,5.00,1.00,4.00,0.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5361435,4.00,7.00,5.00,7.00,7.00,8.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5361443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5361451,3.00,8.00,3.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5361460,7.00,8.00,4.00,6.00,7.00,10.50,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5361478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5361494,8.00,7.00,6.00,7.00,7.00,11.25,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5361516,9.00,7.00,7.00,7.00,8.00,8.25,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5361532,3.00,6.00,2.00,2.00,5.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5361540,5.00,5.00,3.00,2.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5361559,4.00,3.00,5.00,5.00,8.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5361567,9.00,6.00,4.00,7.00,10.00,8.63,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5361575,4.00,4.00,3.00,2.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5361591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5361605,5.00,5.00,0.00,5.00,7.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5361613,4.00,4.00,0.00,2.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5361621,5.00,3.00,4.00,7.00,4.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5361630,4.00,4.00,3.00,6.00,5.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5361648,3.00,3.00,1.00,6.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5361680,5.00,6.00,1.00,3.00,8.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5361699,9.00,8.00,9.00,7.00,11.00,12.00,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5361702,6.00,6.00,4.00,6.00,7.00,7.13,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5361710,3.00,6.00,1.00,3.00,8.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5361729,4.00,4.00,1.00,7.00,4.00,7.13,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5361737,3.00,7.00,3.00,4.00,6.00,7.88,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5361753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5361761,6.00,6.00,2.00,7.00,8.00,11.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5361770,3.00,6.00,2.00,3.00,5.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5361788,3.00,5.00,2.00,1.00,3.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5361796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5361818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5361826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5361834,9.00,7.00,1.00,6.00,7.00,9.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5361842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5361850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5361869,1.00,4.00,0.00,2.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5361877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5361885,4.00,7.00,2.00,6.00,9.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5361893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5361907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5361915,3.00,4.00,4.00,4.00,4.00,4.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5361931,3.00,3.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5361966,3.00,2.00,1.00,3.00,1.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5361974,3.00,0.00,4.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5362016,3.00,4.00,1.00,3.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5362024,4.00,5.00,2.00,6.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5362040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5362067,8.00,9.00,5.00,5.00,5.00,8.25,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5362075,8.00,6.00,7.00,7.00,10.00,8.63,8.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5362083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5362091,4.00,5.00,1.00,5.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5362121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5362148,4.00,5.00,1.00,3.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5362156,2.00,1.00,6.00,1.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5362180,3.00,6.00,2.00,2.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5362199,2.00,7.00,3.00,4.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5362229,2.00,1.00,1.00,4.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5362237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5362245,8.00,8.00,4.00,6.00,9.00,6.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5362261,4.00,6.00,3.00,3.00,5.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5362270,8.00,6.00,5.00,7.00,9.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5362288,1.00,3.00,1.00,4.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5362296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5362300,6.00,7.00,5.00,5.00,5.00,6.75,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5362318,4.00,6.00,0.00,5.00,5.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5362326,5.00,5.00,1.00,5.00,7.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5362334,6.00,6.00,1.00,2.00,3.00,NULL,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5362350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5362369,2.00,3.00,3.00,3.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5362377,7.00,7.00,3.00,5.00,6.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5362385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5362393,1.00,3.00,1.00,3.00,3.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5362407,4.00,5.00,4.00,4.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5362423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5362431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5362440,0.00,3.00,2.00,4.00,6.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5362458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5362466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5362474,2.00,2.00,1.00,4.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5362482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5362504,5.00,5.00,3.00,6.00,4.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5362539,0.00,4.00,0.00,0.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5362555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5362571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5362580,5.00,3.00,4.00,5.00,4.00,7.13,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5362598,2.00,4.00,1.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5362601,3.00,4.00,1.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5362610,0.00,5.00,0.00,0.00,0.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5362628,3.00,6.00,1.00,5.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5362644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5362652,2.00,7.00,3.00,7.00,4.00,8.25,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5362660,1.00,5.00,4.00,3.00,8.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5362679,3.00,4.00,1.00,6.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5362695,3.00,4.00,2.00,2.00,3.00,NULL,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5362709,4.00,5.00,3.00,3.00,6.00,4.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5362717,6.00,7.00,5.00,6.00,7.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5362725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5362733,4.00,6.00,2.00,2.00,6.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5362750,5.00,6.00,1.00,7.00,6.00,6.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5362768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5362776,5.00,7.00,4.00,5.00,7.00,6.75,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5362784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5362792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5362814,4.00,5.00,1.00,4.00,6.00,8.25,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5362822,9.00,8.00,4.00,5.00,9.00,10.88,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5362830,4.00,6.00,5.00,5.00,4.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5362857,5.00,3.00,3.00,7.00,6.00,7.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5362865,5.00,6.00,1.00,8.00,4.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5362873,4.00,4.00,0.00,4.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5362890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5362903,3.00,3.00,2.00,3.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5362911,9.00,8.00,7.00,6.00,8.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5362920,6.00,7.00,4.00,4.00,5.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5362946,7.00,6.00,7.00,6.00,5.00,8.63,6.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5362954,6.00,8.00,4.00,7.00,10.00,9.38,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(20,5362970,9.00,9.00,8.00,6.00,8.00,10.13,6.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5362989,3.00,5.00,3.00,1.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5362997,7.00,7.00,1.00,6.00,6.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5363012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5363020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5363039,3.00,3.00,1.00,3.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5363055,3.00,5.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5363071,3.00,5.00,2.00,3.00,3.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5363080,4.00,5.00,1.00,5.00,6.00,7.50,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5363098,4.00,6.00,1.00,2.00,1.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5363101,5.00,8.00,5.00,3.00,6.00,9.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5363110,8.00,5.00,4.00,8.00,8.00,8.63,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5363128,3.00,5.00,5.00,4.00,7.00,12.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5363136,8.00,8.00,4.00,7.00,9.00,8.63,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(20,5363144,6.00,6.00,6.00,6.00,8.00,8.63,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5363187,6.00,8.00,1.00,7.00,9.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5363195,3.00,4.00,1.00,3.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5363209,5.00,5.00,1.00,5.00,5.00,6.38,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5363217,2.00,0.00,2.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5363225,6.00,5.00,3.00,5.00,7.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5363250,7.00,7.00,4.00,7.00,8.00,7.88,4.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5363268,4.00,4.00,2.00,5.00,5.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5363276,5.00,6.00,1.00,4.00,8.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5363284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5363292,3.00,5.00,2.00,3.00,5.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5363306,4.00,5.00,5.00,6.00,5.00,6.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5363314,4.00,4.00,1.00,4.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5363322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5363349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5363357,3.00,2.00,1.00,4.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5363365,5.00,4.00,0.00,5.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5363373,6.00,4.00,4.00,6.00,5.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5363381,7.00,6.00,2.00,1.00,5.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5363390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5363403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5363411,5.00,6.00,3.00,2.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5363420,4.00,4.00,1.00,4.00,4.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5363438,1.00,6.00,0.00,3.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5363446,7.00,4.00,2.00,6.00,9.00,10.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5363462,2.00,3.00,2.00,3.00,0.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5363470,7.00,3.00,3.00,7.00,5.00,11.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5363489,4.00,5.00,2.00,5.00,4.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5363497,4.00,2.00,1.00,2.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5363500,4.00,3.00,1.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5363519,0.00,4.00,2.00,5.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5363527,3.00,5.00,3.00,5.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5363543,9.00,7.00,6.00,7.00,5.00,12.38,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5363551,1.00,5.00,0.00,4.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5363560,8.00,8.00,6.00,8.00,10.00,8.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5363586,9.00,7.00,8.00,8.00,11.00,9.00,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5363608,5.00,4.00,3.00,6.00,9.00,10.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5363616,6.00,7.00,4.00,2.00,9.00,6.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5363624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5363632,7.00,6.00,3.00,6.00,9.00,9.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(20,5363640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5363659,4.00,4.00,1.00,5.00,4.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5363667,5.00,7.00,2.00,8.00,6.00,9.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5363675,4.00,4.00,0.00,0.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5363683,7.00,7.00,4.00,3.00,6.00,4.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5363705,8.00,9.00,6.00,7.00,8.00,7.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5363713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5363721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5363756,7.00,7.00,3.00,7.00,7.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5363780,1.00,5.00,1.00,6.00,8.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5363799,8.00,6.00,7.00,8.00,9.00,9.38,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5363802,4.00,4.00,1.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5363810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5363829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5363837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5363861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5363870,9.00,8.00,5.00,3.00,7.00,7.13,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5363888,2.00,4.00,1.00,4.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5363896,5.00,7.00,2.00,4.00,5.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5363918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5363926,4.00,5.00,4.00,3.00,7.00,9.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5363934,4.00,5.00,4.00,5.00,6.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5363942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5363950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5363969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5363977,4.00,4.00,2.00,6.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5363985,7.00,6.00,5.00,2.00,4.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5364035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5364043,2.00,2.00,0.00,2.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5364051,2.00,3.00,3.00,2.00,7.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5364060,6.00,5.00,2.00,7.00,5.00,6.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5364078,3.00,6.00,2.00,6.00,5.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5364094,5.00,5.00,0.00,7.00,7.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5364108,6.00,7.00,3.00,4.00,4.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5364124,3.00,4.00,0.00,4.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5364132,8.00,6.00,4.00,7.00,8.00,8.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5364140,8.00,6.00,2.00,4.00,8.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5364159,3.00,6.00,2.00,3.00,5.00,6.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5364167,7.00,7.00,4.00,6.00,11.00,10.13,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5364175,1.00,2.00,3.00,0.00,1.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5364183,9.00,8.00,5.00,5.00,7.00,8.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5364191,8.00,7.00,4.00,7.00,9.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5364205,6.00,4.00,4.00,3.00,8.00,6.00,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5364213,2.00,4.00,3.00,5.00,0.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5364221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5364230,9.00,6.00,5.00,6.00,6.00,8.25,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5364248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5364256,6.00,6.00,5.00,6.00,8.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5364272,6.00,5.00,4.00,7.00,7.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5364280,2.00,5.00,1.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5364302,3.00,5.00,2.00,7.00,8.00,10.50,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5364310,5.00,4.00,4.00,4.00,6.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5364329,5.00,5.00,3.00,6.00,4.00,11.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5364337,3.00,3.00,1.00,4.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5364345,4.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5364353,7.00,5.00,4.00,5.00,9.00,9.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5364361,6.00,6.00,3.00,6.00,8.00,9.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5364370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5364388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5364396,6.00,4.00,4.00,5.00,4.00,6.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5364418,5.00,8.00,3.00,5.00,7.00,4.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5364442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5364469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5364477,9.00,6.00,6.00,6.00,9.00,7.88,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5364485,7.00,7.00,1.00,6.00,10.00,9.00,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5364493,1.00,5.00,1.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5364507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5364515,6.00,5.00,3.00,7.00,6.00,10.50,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5364523,6.00,5.00,4.00,2.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5364531,8.00,9.00,6.00,5.00,5.00,9.00,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5364540,4.00,5.00,1.00,6.00,9.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5364558,3.00,2.00,2.00,6.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5364574,7.00,8.00,3.00,6.00,4.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5364582,7.00,0.00,1.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5364590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5364604,8.00,8.00,5.00,7.00,6.00,9.38,4.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5364612,9.00,9.00,5.00,6.00,7.00,12.38,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5364620,3.00,6.00,1.00,4.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5364639,5.00,4.00,0.00,5.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5364647,7.00,3.00,2.00,6.00,5.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5364671,5.00,4.00,4.00,5.00,8.00,10.13,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5364680,3.00,4.00,0.00,6.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5364701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5364710,7.00,6.00,5.00,6.00,8.00,11.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5364736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5364744,4.00,3.00,0.00,5.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5364752,4.00,4.00,0.00,4.00,4.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5364760,3.00,3.00,3.00,5.00,7.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5364779,8.00,5.00,3.00,5.00,9.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5364795,2.00,1.00,2.00,1.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5364809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5364817,7.00,8.00,5.00,7.00,8.00,7.88,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5364825,8.00,5.00,3.00,7.00,4.00,6.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5364841,4.00,5.00,1.00,4.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5364850,3.00,5.00,1.00,7.00,6.00,4.88,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5364868,8.00,8.00,5.00,5.00,9.00,8.63,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5364876,7.00,8.00,4.00,4.00,5.00,8.25,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5364892,5.00,5.00,2.00,6.00,7.00,9.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5364906,3.00,2.00,0.00,3.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5364914,3.00,4.00,3.00,2.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5364922,3.00,8.00,3.00,5.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5364930,7.00,7.00,7.00,6.00,8.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5364949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5364957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5364981,8.00,8.00,3.00,6.00,7.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5364990,8.00,7.00,5.00,4.00,7.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5365007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5365015,4.00,7.00,2.00,7.00,5.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5365023,5.00,3.00,2.00,4.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5365031,3.00,4.00,1.00,3.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5365040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5365066,7.00,4.00,0.00,6.00,5.00,9.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5365074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5365082,6.00,3.00,1.00,4.00,6.00,11.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5365104,3.00,6.00,1.00,4.00,8.00,10.13,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5365120,4.00,1.00,2.00,3.00,4.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5365139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5365147,6.00,6.00,3.00,6.00,7.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5365155,2.00,2.00,0.00,2.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5365171,6.00,6.00,1.00,4.00,5.00,5.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5365180,5.00,6.00,2.00,5.00,6.00,6.75,4.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5365198,1.00,4.00,1.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5365201,3.00,4.00,2.00,5.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5365210,9.00,6.00,3.00,6.00,9.00,9.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5365228,4.00,3.00,3.00,1.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5365236,2.00,3.00,2.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5365244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5365260,8.00,7.00,4.00,6.00,7.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5365295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5365309,2.00,7.00,3.00,5.00,4.00,9.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5365317,3.00,2.00,3.00,3.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5365325,5.00,5.00,2.00,7.00,4.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5365341,3.00,4.00,2.00,2.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5365350,5.00,5.00,0.00,6.00,5.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5365368,2.00,6.00,1.00,4.00,9.00,9.38,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5365376,6.00,4.00,1.00,7.00,7.00,NULL,2.00,5.00,3.00,NULL,NULL,'S','N'),(20,5365384,6.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5365392,0.00,4.00,1.00,4.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5365406,5.00,6.00,2.00,7.00,7.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5365422,5.00,6.00,1.00,5.00,6.00,7.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5365430,7.00,6.00,3.00,8.00,8.00,9.00,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5365465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5365481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5365490,6.00,6.00,2.00,4.00,4.00,7.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5365503,8.00,6.00,2.00,4.00,8.00,9.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5365511,8.00,7.00,1.00,7.00,10.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5365520,4.00,6.00,0.00,4.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5365538,1.00,5.00,1.00,2.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5365546,3.00,4.00,3.00,3.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5365554,4.00,2.00,2.00,4.00,6.00,10.13,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5365562,7.00,6.00,2.00,4.00,8.00,6.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5365570,1.00,4.00,1.00,3.00,4.00,NULL,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5365589,5.00,4.00,3.00,7.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5365597,6.00,4.00,2.00,4.00,5.00,7.88,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5365600,5.00,6.00,1.00,4.00,3.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5365619,9.00,8.00,5.00,8.00,8.00,10.50,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5365635,4.00,7.00,2.00,5.00,7.00,9.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5365643,1.00,3.00,0.00,5.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5365651,8.00,8.00,7.00,7.00,10.00,10.88,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5365660,2.00,4.00,0.00,2.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5365678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5365686,6.00,4.00,3.00,6.00,8.00,10.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5365694,1.00,4.00,2.00,6.00,7.00,7.50,1.00,3.00,6.00,NULL,NULL,NULL,'S'),(20,5365708,1.00,6.00,1.00,6.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5365724,1.00,3.00,1.00,2.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5365732,4.00,4.00,2.00,5.00,6.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5365740,6.00,7.00,5.00,6.00,7.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5365759,9.00,8.00,5.00,8.00,9.00,11.63,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5365767,2.00,4.00,0.00,3.00,7.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5365775,9.00,7.00,3.00,6.00,9.00,8.25,3.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5365783,4.00,5.00,3.00,7.00,7.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5365791,0.00,4.00,0.00,2.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5365813,5.00,7.00,5.00,4.00,7.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5365821,9.00,5.00,5.00,5.00,10.00,10.13,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5365848,7.00,8.00,0.00,7.00,5.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5365856,5.00,8.00,5.00,5.00,7.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5365864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5365880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5365899,4.00,5.00,0.00,3.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5365902,2.00,5.00,0.00,5.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5365910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5365929,1.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5365937,4.00,5.00,1.00,7.00,5.00,10.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5365945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5365953,5.00,6.00,2.00,8.00,10.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5365961,7.00,5.00,1.00,6.00,8.00,8.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5365970,5.00,7.00,3.00,6.00,7.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5365988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5365996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5366003,7.00,5.00,3.00,6.00,7.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5366011,7.00,7.00,4.00,5.00,7.00,6.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5366020,4.00,6.00,0.00,6.00,4.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5366038,6.00,7.00,2.00,7.00,5.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'S'),(20,5366046,3.00,4.00,2.00,3.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5366054,3.00,4.00,3.00,4.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,'S','N'),(20,5366062,6.00,6.00,4.00,4.00,4.00,4.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5366089,5.00,5.00,2.00,4.00,5.00,7.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5366097,7.00,6.00,4.00,7.00,7.00,10.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5366100,9.00,7.00,3.00,7.00,6.00,9.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5366127,5.00,6.00,2.00,5.00,5.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5366135,3.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5366160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5366178,4.00,4.00,2.00,4.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5366186,7.00,7.00,8.00,7.00,6.00,12.00,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5366194,5.00,7.00,1.00,7.00,6.00,6.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5366208,9.00,6.00,7.00,7.00,7.00,9.75,6.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5366216,8.00,4.00,4.00,0.00,5.00,3.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5366224,6.00,6.00,4.00,8.00,7.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5366232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5366259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5366267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5366275,8.00,8.00,6.00,4.00,8.00,6.00,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5366291,5.00,8.00,4.00,6.00,7.00,10.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5366305,2.00,3.00,1.00,0.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5366313,4.00,5.00,1.00,5.00,5.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5366321,3.00,3.00,1.00,5.00,6.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5366330,7.00,6.00,4.00,7.00,7.00,8.63,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5366348,3.00,7.00,0.00,5.00,7.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5366356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5366364,9.00,8.00,2.00,5.00,6.00,7.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5366372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5366380,3.00,3.00,0.00,3.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5366399,7.00,8.00,4.00,4.00,6.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5366402,4.00,3.00,2.00,6.00,7.00,7.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5366429,4.00,6.00,4.00,2.00,6.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5366437,8.00,8.00,3.00,7.00,7.00,9.00,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5366445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5366453,3.00,5.00,4.00,1.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5366461,3.00,5.00,1.00,0.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5366470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5366488,3.00,5.00,0.00,4.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,'S','N'),(20,5366496,0.00,4.00,0.00,3.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5366500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5366518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5366534,7.00,5.00,5.00,7.00,7.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5366550,5.00,6.00,1.00,6.00,7.00,9.38,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5366569,1.00,4.00,1.00,5.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5366577,2.00,5.00,1.00,3.00,0.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5366585,2.00,4.00,2.00,4.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5366593,2.00,5.00,1.00,0.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5366615,8.00,6.00,5.00,7.00,9.00,8.63,6.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5366623,8.00,7.00,2.00,5.00,8.00,9.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5366640,3.00,5.00,0.00,6.00,5.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5366658,5.00,5.00,3.00,4.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5366666,8.00,5.00,3.00,7.00,7.00,11.25,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5366682,3.00,5.00,1.00,4.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5366690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5366704,3.00,7.00,2.00,5.00,6.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5366712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5366720,1.00,3.00,2.00,2.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5366747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5366763,3.00,3.00,0.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5366771,4.00,3.00,2.00,2.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5366780,5.00,6.00,2.00,5.00,7.00,11.25,3.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5366798,9.00,9.00,8.00,7.00,7.00,9.75,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5366801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5366810,8.00,5.00,2.00,6.00,7.00,6.00,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5366828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5366852,7.00,6.00,2.00,6.00,8.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5366879,4.00,3.00,2.00,4.00,5.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5366895,3.00,6.00,5.00,3.00,4.00,NULL,1.00,4.00,5.00,NULL,NULL,'S','S'),(20,5366933,3.00,4.00,4.00,1.00,6.00,7.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5366941,9.00,9.00,6.00,7.00,9.00,9.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5366950,4.00,3.00,1.00,3.00,7.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5366968,8.00,6.00,0.00,4.00,6.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5366976,8.00,8.00,2.00,7.00,8.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5366984,3.00,6.00,1.00,2.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5366992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5367000,8.00,8.00,8.00,5.00,9.00,8.25,7.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5367018,9.00,9.00,3.00,3.00,8.00,9.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5367026,8.00,7.00,3.00,5.00,8.00,9.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5367034,7.00,8.00,4.00,6.00,8.00,8.63,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(20,5367042,9.00,7.00,6.00,6.00,8.00,9.00,7.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5367069,9.00,8.00,7.00,7.00,9.00,7.13,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5367085,6.00,5.00,4.00,4.00,6.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5367093,2.00,7.00,3.00,5.00,7.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5367107,8.00,6.00,5.00,7.00,9.00,11.25,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5367115,2.00,3.00,2.00,1.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5367140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5367166,7.00,7.00,1.00,7.00,9.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5367182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5367190,6.00,6.00,1.00,4.00,5.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5367204,9.00,8.00,4.00,4.00,8.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5367220,6.00,6.00,5.00,5.00,5.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5367239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5367247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5367255,4.00,6.00,3.00,3.00,9.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5367263,4.00,0.00,3.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5367271,5.00,4.00,2.00,4.00,6.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5367280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5367298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5367301,4.00,6.00,1.00,3.00,4.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5367310,5.00,5.00,1.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5367328,3.00,4.00,2.00,3.00,6.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5367336,5.00,5.00,4.00,6.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5367344,9.00,5.00,7.00,7.00,10.00,11.25,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5367352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5367360,9.00,6.00,5.00,6.00,8.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5367379,8.00,6.00,5.00,7.00,8.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5367387,7.00,6.00,3.00,5.00,7.00,9.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5367395,2.00,3.00,0.00,3.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5367409,3.00,4.00,3.00,3.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5367417,3.00,5.00,0.00,2.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5367425,3.00,0.00,0.00,0.00,0.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5367441,3.00,5.00,1.00,7.00,8.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5367484,2.00,2.00,3.00,4.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5367506,6.00,7.00,4.00,5.00,8.00,8.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5367514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5367522,9.00,6.00,3.00,7.00,8.00,13.13,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5367530,0.00,5.00,2.00,1.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5367549,3.00,6.00,5.00,7.00,7.00,10.13,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5367565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5367573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5367581,3.00,6.00,2.00,7.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5367590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5367603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5367611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5367620,8.00,6.00,3.00,6.00,7.00,8.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5367638,5.00,3.00,1.00,1.00,3.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5367646,3.00,3.00,1.00,4.00,6.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5367654,5.00,6.00,0.00,4.00,5.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5367662,8.00,5.00,5.00,7.00,7.00,9.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5367670,7.00,6.00,1.00,4.00,5.00,10.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5367689,2.00,2.00,0.00,2.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5367697,8.00,6.00,5.00,5.00,4.00,9.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5367700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5367719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5367727,6.00,7.00,4.00,6.00,7.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5367743,5.00,7.00,3.00,7.00,4.00,10.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5367751,3.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5367760,7.00,6.00,1.00,5.00,6.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5367778,7.00,7.00,0.00,3.00,5.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5367786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5367794,6.00,6.00,3.00,5.00,6.00,8.63,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5367808,6.00,5.00,1.00,7.00,6.00,9.38,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5367816,9.00,6.00,5.00,6.00,7.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5367824,0.00,4.00,2.00,2.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5367859,8.00,6.00,4.00,6.00,8.00,12.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5367867,1.00,3.00,1.00,1.00,7.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5367883,5.00,5.00,4.00,0.00,5.00,NULL,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5367891,2.00,4.00,1.00,4.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5367905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5367913,7.00,7.00,1.00,8.00,5.00,12.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5367921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5367930,6.00,7.00,2.00,3.00,9.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5367948,4.00,6.00,4.00,6.00,7.00,7.13,3.00,1.00,5.00,NULL,NULL,NULL,'S'),(20,5367956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5367972,9.00,6.00,3.00,7.00,7.00,12.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5367999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5368006,3.00,5.00,4.00,1.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5368014,5.00,7.00,0.00,2.00,5.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5368022,4.00,3.00,1.00,6.00,8.00,4.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5368030,8.00,7.00,4.00,7.00,7.00,9.00,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(20,5368057,2.00,5.00,0.00,4.00,5.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5368073,7.00,4.00,4.00,4.00,7.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5368081,5.00,5.00,1.00,8.00,6.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5368090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5368103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5368111,3.00,3.00,2.00,2.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5368120,6.00,6.00,0.00,3.00,7.00,9.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5368138,6.00,7.00,3.00,8.00,10.00,11.25,3.00,4.00,6.00,NULL,NULL,NULL,'S'),(20,5368154,2.00,3.00,0.00,5.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5368162,6.00,6.00,1.00,7.00,8.00,10.88,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5368170,3.00,4.00,2.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5368200,1.00,7.00,1.00,4.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5368219,5.00,6.00,0.00,6.00,5.00,6.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5368227,6.00,5.00,2.00,6.00,8.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5368235,6.00,4.00,1.00,7.00,5.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5368243,3.00,4.00,3.00,0.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5368251,3.00,4.00,1.00,5.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5368260,4.00,6.00,3.00,6.00,6.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5368278,2.00,4.00,0.00,2.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5368286,3.00,5.00,0.00,2.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5368294,6.00,4.00,3.00,7.00,6.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5368308,9.00,7.00,6.00,7.00,9.00,6.38,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5368316,2.00,7.00,1.00,5.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5368324,4.00,7.00,0.00,6.00,5.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5368332,2.00,0.00,3.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5368340,5.00,4.00,0.00,7.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5368359,5.00,5.00,4.00,6.00,8.00,10.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5368367,7.00,6.00,2.00,4.00,6.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5368375,4.00,4.00,0.00,7.00,6.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5368391,7.00,5.00,2.00,7.00,9.00,7.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5368405,5.00,4.00,0.00,4.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5368413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5368421,5.00,7.00,4.00,7.00,6.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5368448,1.00,3.00,1.00,3.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5368456,0.00,2.00,0.00,5.00,7.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5368464,8.00,5.00,3.00,7.00,7.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5368472,2.00,2.00,1.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5368480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5368499,1.00,0.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(20,5368510,5.00,8.00,3.00,4.00,5.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5368529,2.00,7.00,2.00,3.00,2.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5368537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5368545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5368553,8.00,1.00,1.00,2.00,5.00,6.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5368570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5368588,4.00,4.00,0.00,4.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5368596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5368618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5368642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5368650,3.00,5.00,2.00,2.00,3.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5368669,8.00,6.00,1.00,7.00,8.00,10.13,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5368677,8.00,7.00,8.00,8.00,6.00,8.25,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5368685,5.00,4.00,2.00,7.00,7.00,11.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5368693,7.00,8.00,5.00,5.00,8.00,8.63,6.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5368707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5368715,3.00,5.00,2.00,6.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5368731,6.00,7.00,3.00,4.00,6.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5368758,2.00,4.00,1.00,2.00,3.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5368766,4.00,5.00,0.00,6.00,5.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5368774,3.00,7.00,1.00,4.00,9.00,7.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5368782,6.00,2.00,3.00,5.00,5.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5368790,7.00,6.00,2.00,3.00,7.00,9.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5368804,6.00,8.00,3.00,7.00,8.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5368812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5368839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5368847,6.00,7.00,2.00,3.00,5.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5368855,9.00,8.00,9.00,6.00,6.00,10.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5368863,2.00,0.00,0.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5368871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5368880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5368898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5368901,5.00,5.00,1.00,3.00,8.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5368928,4.00,6.00,3.00,7.00,6.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5368936,7.00,6.00,4.00,7.00,7.00,7.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5368960,7.00,7.00,1.00,4.00,5.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5368979,8.00,7.00,5.00,7.00,7.00,8.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(20,5369002,6.00,3.00,1.00,4.00,5.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5369010,5.00,5.00,2.00,6.00,7.00,10.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5369029,2.00,3.00,0.00,4.00,2.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5369037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5369045,7.00,5.00,1.00,6.00,1.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5369053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5369061,2.00,6.00,1.00,2.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5369070,7.00,7.00,5.00,7.00,7.00,8.63,7.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5369088,1.00,5.00,3.00,4.00,7.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5369096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5369100,5.00,3.00,0.00,3.00,7.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5369118,2.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5369126,8.00,6.00,4.00,7.00,8.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5369134,9.00,8.00,6.00,7.00,8.00,9.75,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5369169,2.00,3.00,0.00,4.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5369177,3.00,6.00,1.00,1.00,8.00,8.63,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5369185,7.00,8.00,4.00,7.00,8.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5369193,3.00,4.00,4.00,6.00,4.00,11.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5369207,8.00,6.00,6.00,7.00,8.00,8.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5369223,9.00,7.00,1.00,4.00,6.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5369231,7.00,7.00,2.00,3.00,5.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5369240,4.00,5.00,3.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5369258,5.00,8.00,2.00,6.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5369266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5369274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5369282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5369290,8.00,6.00,5.00,5.00,7.00,7.88,0.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5369304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5369312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5369320,3.00,7.00,1.00,2.00,7.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5369339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5369347,5.00,8.00,4.00,1.00,5.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5369371,7.00,7.00,0.00,7.00,9.00,11.25,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5369380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5369398,3.00,5.00,4.00,4.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5369401,5.00,6.00,1.00,6.00,4.00,6.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5369428,3.00,3.00,2.00,3.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5369436,7.00,6.00,3.00,7.00,6.00,7.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5369444,7.00,7.00,5.00,6.00,8.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5369452,5.00,5.00,1.00,5.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5369460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5369479,6.00,5.00,1.00,7.00,10.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5369487,3.00,2.00,4.00,0.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5369495,7.00,6.00,3.00,5.00,5.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5369517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5369525,3.00,0.00,3.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5369533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5369541,7.00,8.00,7.00,7.00,9.00,8.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5369550,4.00,6.00,1.00,2.00,7.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5369568,9.00,5.00,6.00,7.00,9.00,9.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5369576,9.00,7.00,7.00,6.00,9.00,10.13,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5369584,3.00,3.00,1.00,3.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5369614,4.00,8.00,0.00,0.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5369622,2.00,5.00,3.00,3.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5369630,3.00,3.00,2.00,2.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5369657,2.00,4.00,0.00,1.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5369673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5369681,9.00,7.00,4.00,7.00,10.00,12.38,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5369690,0.00,6.00,3.00,3.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5369703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5369711,4.00,5.00,0.00,6.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5369738,4.00,4.00,0.00,6.00,6.00,9.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5369746,7.00,7.00,3.00,7.00,10.00,11.63,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5369754,8.00,7.00,7.00,7.00,9.00,10.88,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5369770,5.00,6.00,0.00,5.00,4.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5369789,9.00,7.00,2.00,8.00,8.00,9.00,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5369797,4.00,5.00,0.00,4.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5369800,2.00,4.00,2.00,6.00,7.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5369827,1.00,3.00,0.00,6.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5369843,4.00,6.00,4.00,5.00,5.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5369860,3.00,6.00,1.00,2.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5369886,6.00,7.00,3.00,7.00,9.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5369894,4.00,6.00,1.00,5.00,7.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5369908,6.00,5.00,3.00,6.00,10.00,10.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5369924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5369932,4.00,2.00,0.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5369940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5369959,7.00,6.00,2.00,2.00,5.00,10.50,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5369967,4.00,4.00,3.00,6.00,4.00,7.13,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5369975,5.00,4.00,1.00,2.00,4.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5369991,6.00,5.00,1.00,2.00,8.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5370000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370035,8.00,7.00,5.00,7.00,9.00,10.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5370043,1.00,5.00,1.00,5.00,7.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5370051,4.00,4.00,2.00,5.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5370060,8.00,7.00,0.00,8.00,6.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5370078,8.00,8.00,3.00,6.00,7.00,9.00,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5370086,4.00,4.00,0.00,4.00,7.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5370094,3.00,4.00,2.00,4.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5370116,4.00,7.00,0.00,3.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5370124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370175,2.00,7.00,1.00,4.00,6.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5370183,1.00,5.00,0.00,4.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5370191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370213,2.00,4.00,2.00,2.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5370221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370248,2.00,4.00,0.00,1.00,3.00,NULL,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5370256,5.00,6.00,0.00,5.00,5.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5370264,5.00,6.00,1.00,6.00,5.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5370272,2.00,4.00,0.00,2.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5370280,4.00,4.00,1.00,4.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5370302,8.00,7.00,4.00,6.00,8.00,7.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5370310,5.00,5.00,2.00,4.00,4.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5370329,8.00,5.00,4.00,6.00,5.00,6.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5370337,8.00,6.00,3.00,5.00,5.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5370345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370361,1.00,0.00,2.00,4.00,1.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5370370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370388,4.00,7.00,3.00,7.00,8.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5370396,4.00,4.00,0.00,3.00,7.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5370418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370426,2.00,4.00,0.00,2.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5370442,4.00,8.00,0.00,6.00,0.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5370469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370477,4.00,5.00,1.00,3.00,7.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5370485,3.00,4.00,0.00,2.00,3.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5370493,9.00,7.00,6.00,4.00,7.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5370507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370515,8.00,6.00,6.00,7.00,6.00,8.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5370523,3.00,0.00,2.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5370531,3.00,5.00,5.00,6.00,5.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5370540,2.00,2.00,0.00,2.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5370558,5.00,7.00,1.00,6.00,7.00,5.25,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5370574,4.00,5.00,0.00,5.00,6.00,6.38,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5370582,5.00,3.00,2.00,5.00,4.00,9.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5370590,5.00,6.00,0.00,5.00,4.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5370604,4.00,4.00,2.00,2.00,7.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5370612,2.00,2.00,1.00,3.00,4.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5370620,5.00,7.00,1.00,7.00,3.00,NULL,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5370647,4.00,3.00,1.00,3.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5370655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370663,8.00,8.00,7.00,6.00,8.00,10.13,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5370671,2.00,4.00,3.00,3.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5370680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370698,8.00,4.00,2.00,7.00,6.00,10.13,6.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5370701,7.00,6.00,4.00,5.00,8.00,9.38,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5370710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370752,9.00,6.00,5.00,5.00,7.00,8.25,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5370760,3.00,5.00,4.00,4.00,5.00,6.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5370779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370809,6.00,6.00,2.00,4.00,4.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5370825,6.00,5.00,2.00,5.00,8.00,9.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5370833,2.00,2.00,2.00,2.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5370841,1.00,2.00,1.00,1.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5370850,5.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5370868,3.00,4.00,1.00,4.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5370876,5.00,4.00,0.00,4.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5370884,3.00,5.00,3.00,4.00,5.00,9.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5370892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5370906,9.00,7.00,3.00,7.00,7.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5370914,3.00,7.00,1.00,3.00,4.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5370922,5.00,3.00,1.00,2.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5370930,4.00,4.00,5.00,5.00,7.00,9.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5370949,5.00,6.00,2.00,5.00,7.00,9.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(20,5370965,8.00,7.00,5.00,7.00,8.00,10.13,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5370973,5.00,1.00,1.00,4.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5371015,3.00,2.00,0.00,3.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5371023,3.00,6.00,0.00,0.00,3.00,NULL,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5371031,6.00,8.00,5.00,3.00,7.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5371040,7.00,5.00,3.00,4.00,6.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5371058,2.00,8.00,1.00,3.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5371066,4.00,3.00,4.00,4.00,5.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5371074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371082,8.00,7.00,2.00,6.00,6.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5371090,5.00,7.00,4.00,6.00,8.00,14.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5371104,6.00,7.00,0.00,5.00,7.00,11.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5371112,9.00,5.00,4.00,5.00,6.00,10.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5371120,8.00,6.00,3.00,8.00,9.00,10.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5371139,5.00,7.00,1.00,5.00,5.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5371147,5.00,6.00,3.00,5.00,9.00,8.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5371155,3.00,5.00,0.00,4.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5371163,7.00,7.00,0.00,6.00,9.00,11.63,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5371171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371180,5.00,4.00,0.00,4.00,4.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5371198,1.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5371201,5.00,8.00,0.00,5.00,7.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5371210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371228,7.00,6.00,4.00,5.00,5.00,7.13,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5371244,6.00,7.00,1.00,6.00,7.00,6.00,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5371252,1.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5371260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371287,5.00,3.00,1.00,6.00,6.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5371309,6.00,4.00,2.00,5.00,5.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5371317,3.00,3.00,5.00,0.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5371325,2.00,6.00,6.00,5.00,6.00,6.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5371333,3.00,4.00,2.00,6.00,7.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5371341,8.00,8.00,4.00,6.00,9.00,9.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5371368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371376,6.00,3.00,1.00,6.00,7.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5371384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371392,9.00,9.00,5.00,8.00,9.00,10.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5371406,5.00,7.00,4.00,5.00,4.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5371422,0.00,4.00,0.00,0.00,0.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5371430,4.00,4.00,1.00,5.00,6.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5371449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371465,5.00,6.00,1.00,5.00,6.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5371473,4.00,6.00,1.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5371481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371538,5.00,5.00,2.00,1.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5371546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371562,7.00,7.00,1.00,7.00,7.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5371570,4.00,3.00,2.00,3.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5371589,8.00,7.00,5.00,6.00,6.00,6.00,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5371600,4.00,6.00,0.00,4.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5371619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371627,9.00,8.00,8.00,7.00,8.00,8.25,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5371635,7.00,8.00,3.00,6.00,10.00,9.38,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5371643,8.00,4.00,5.00,6.00,5.00,8.63,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5371651,5.00,6.00,3.00,4.00,6.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5371660,4.00,5.00,0.00,7.00,5.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5371678,6.00,7.00,3.00,7.00,7.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5371694,5.00,2.00,0.00,7.00,6.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5371708,5.00,4.00,4.00,5.00,5.00,7.88,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5371716,2.00,5.00,1.00,3.00,4.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5371724,4.00,3.00,1.00,7.00,7.00,6.00,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5371732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371740,5.00,4.00,1.00,5.00,4.00,8.63,0.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5371759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371767,5.00,6.00,4.00,3.00,8.00,12.38,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5371775,2.00,6.00,1.00,4.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5371783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371791,4.00,6.00,4.00,5.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5371805,3.00,3.00,1.00,1.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5371813,8.00,6.00,3.00,4.00,4.00,7.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5371848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371856,1.00,0.00,1.00,3.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5371864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371880,2.00,3.00,3.00,2.00,5.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5371899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371902,9.00,7.00,1.00,5.00,10.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5371910,9.00,8.00,4.00,4.00,7.00,8.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5371929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5371953,4.00,6.00,2.00,7.00,7.00,6.38,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5371961,3.00,4.00,3.00,6.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5371970,6.00,4.00,3.00,6.00,4.00,10.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5371988,7.00,5.00,0.00,5.00,6.00,10.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5371996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5372003,3.00,2.00,1.00,3.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5372011,1.00,2.00,1.00,1.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5372020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5372038,6.00,7.00,1.00,3.00,7.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5372046,2.00,6.00,0.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5372054,4.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5372062,3.00,3.00,1.00,4.00,1.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5372097,6.00,6.00,4.00,7.00,8.00,8.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5372100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5372119,7.00,7.00,3.00,6.00,7.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5372127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5372135,4.00,5.00,1.00,3.00,4.00,3.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5372160,5.00,6.00,1.00,4.00,4.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5372178,2.00,4.00,2.00,2.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5372186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5372194,4.00,4.00,2.00,4.00,4.00,6.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5372208,5.00,7.00,6.00,5.00,5.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5372216,3.00,6.00,0.00,4.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5372224,4.00,5.00,1.00,4.00,4.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5372232,2.00,4.00,2.00,5.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5372240,5.00,6.00,1.00,6.00,9.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5372259,7.00,4.00,6.00,6.00,7.00,7.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5372267,6.00,5.00,3.00,4.00,8.00,10.88,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5372275,4.00,6.00,3.00,3.00,6.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5372283,3.00,0.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5372305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5372313,4.00,8.00,1.00,6.00,7.00,6.75,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5372321,8.00,5.00,3.00,5.00,9.00,8.25,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5372330,3.00,4.00,4.00,2.00,2.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5372348,3.00,4.00,1.00,2.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5372356,8.00,7.00,3.00,2.00,8.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5372364,8.00,4.00,3.00,5.00,6.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5372372,4.00,5.00,2.00,4.00,5.00,7.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5372380,4.00,5.00,3.00,6.00,7.00,7.88,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5372399,2.00,5.00,4.00,5.00,4.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5372402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5372410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5372429,6.00,6.00,4.00,7.00,5.00,9.00,4.00,1.00,6.00,NULL,NULL,NULL,'S'),(20,5372437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5372461,8.00,7.00,4.00,7.00,11.00,8.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5372470,9.00,5.00,6.00,7.00,6.00,8.63,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5372488,6.00,5.00,1.00,6.00,6.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5372496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5372518,8.00,8.00,2.00,5.00,9.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5372526,3.00,3.00,0.00,3.00,6.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5372534,4.00,7.00,2.00,7.00,5.00,9.38,0.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5372542,8.00,7.00,3.00,7.00,8.00,9.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5372550,4.00,6.00,1.00,6.00,8.00,8.25,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5372569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5372577,5.00,3.00,0.00,4.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5372585,0.00,6.00,1.00,4.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5372593,7.00,6.00,2.00,1.00,5.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5372607,3.00,4.00,0.00,5.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5372615,4.00,5.00,2.00,7.00,6.00,9.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5372623,6.00,6.00,1.00,3.00,7.00,7.88,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5372640,5.00,7.00,5.00,6.00,8.00,9.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5372658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5372666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5372674,7.00,7.00,4.00,5.00,6.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5372682,6.00,7.00,6.00,4.00,3.00,NULL,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5372690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5372704,3.00,2.00,2.00,1.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5372712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5372720,5.00,5.00,3.00,4.00,7.00,10.13,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5372739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5372747,6.00,7.00,2.00,5.00,9.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5372755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5372763,5.00,6.00,3.00,3.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5372771,4.00,7.00,2.00,5.00,5.00,6.75,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5372780,4.00,8.00,2.00,6.00,8.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5372798,8.00,7.00,4.00,7.00,9.00,11.25,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5372801,5.00,6.00,1.00,3.00,5.00,10.50,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5372810,2.00,4.00,2.00,4.00,6.00,7.88,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5372828,4.00,4.00,3.00,7.00,8.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5372836,7.00,6.00,2.00,6.00,8.00,8.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5372844,7.00,7.00,3.00,5.00,5.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5372852,2.00,7.00,3.00,5.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5372887,5.00,6.00,3.00,5.00,7.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5372895,8.00,7.00,3.00,7.00,7.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5372917,7.00,4.00,4.00,4.00,6.00,7.88,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5372933,3.00,5.00,0.00,6.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5372941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5372950,8.00,5.00,2.00,7.00,8.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5372968,9.00,8.00,6.00,7.00,7.00,7.50,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5372976,2.00,5.00,3.00,5.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5372984,4.00,4.00,3.00,5.00,6.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5372992,5.00,6.00,3.00,3.00,6.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5373000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5373018,8.00,7.00,4.00,3.00,8.00,8.25,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5373026,8.00,6.00,5.00,8.00,10.00,11.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5373034,5.00,6.00,3.00,4.00,4.00,6.38,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5373042,6.00,4.00,2.00,5.00,6.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5373077,5.00,4.00,0.00,4.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5373093,4.00,8.00,4.00,6.00,8.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5373107,3.00,5.00,0.00,4.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5373115,2.00,0.00,0.00,1.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5373123,2.00,5.00,4.00,2.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5373131,9.00,9.00,6.00,7.00,9.00,9.38,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5373140,3.00,0.00,1.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5373158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5373174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5373182,5.00,6.00,1.00,3.00,4.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5373190,8.00,6.00,3.00,4.00,6.00,8.63,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5373204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5373212,3.00,2.00,2.00,1.00,6.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5373220,7.00,6.00,5.00,7.00,8.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5373247,3.00,6.00,2.00,7.00,8.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5373255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5373263,2.00,5.00,0.00,3.00,7.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5373271,3.00,2.00,1.00,1.00,0.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5373280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5373301,4.00,5.00,3.00,7.00,9.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5373310,8.00,7.00,2.00,5.00,9.00,7.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5373328,2.00,1.00,2.00,5.00,5.00,5.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5373336,4.00,5.00,1.00,6.00,4.00,12.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5373344,7.00,8.00,5.00,4.00,8.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5373360,2.00,1.00,1.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5373379,5.00,7.00,1.00,6.00,8.00,NULL,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5373387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5373395,6.00,5.00,4.00,5.00,4.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5373409,5.00,5.00,2.00,5.00,7.00,9.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5373417,6.00,3.00,1.00,7.00,4.00,7.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5373425,4.00,5.00,2.00,6.00,7.00,9.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5373433,4.00,6.00,5.00,4.00,5.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5373441,8.00,7.00,4.00,6.00,6.00,9.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5373450,9.00,8.00,6.00,8.00,9.00,9.38,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5373468,0.00,3.00,0.00,2.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5373476,4.00,4.00,2.00,4.00,9.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5373484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5373492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5373506,4.00,5.00,2.00,6.00,6.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5373514,4.00,5.00,3.00,2.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5373522,5.00,5.00,1.00,5.00,5.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5373530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5373549,2.00,3.00,1.00,2.00,1.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5373565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5373573,3.00,1.00,1.00,1.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5373581,8.00,5.00,4.00,6.00,7.00,8.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5373590,8.00,7.00,5.00,6.00,9.00,6.00,6.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5373603,5.00,3.00,2.00,3.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5373611,3.00,5.00,3.00,6.00,4.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5373620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5373638,5.00,6.00,3.00,4.00,5.00,9.00,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5373654,5.00,7.00,0.00,2.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5373662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5373670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5373689,6.00,6.00,1.00,4.00,6.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5373697,5.00,4.00,3.00,6.00,5.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5373700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5373719,3.00,4.00,0.00,5.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5373727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5373735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5373743,4.00,2.00,2.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5373751,7.00,6.00,3.00,7.00,9.00,7.88,0.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5373760,7.00,7.00,1.00,4.00,7.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5373808,4.00,5.00,1.00,5.00,7.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5373816,2.00,6.00,3.00,4.00,5.00,9.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5373824,3.00,2.00,0.00,5.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5373832,3.00,5.00,0.00,2.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5373840,5.00,6.00,1.00,7.00,6.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5373859,7.00,5.00,2.00,4.00,6.00,10.88,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5373867,9.00,8.00,7.00,7.00,9.00,10.13,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5373875,9.00,8.00,4.00,7.00,7.00,10.13,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5373883,5.00,6.00,2.00,5.00,7.00,10.50,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5373891,0.00,2.00,1.00,4.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5373905,5.00,5.00,0.00,4.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5373913,4.00,6.00,4.00,0.00,5.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5373921,2.00,5.00,1.00,4.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5373930,2.00,3.00,0.00,1.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5373948,3.00,1.00,1.00,3.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5373956,4.00,4.00,1.00,3.00,6.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5373964,6.00,7.00,3.00,6.00,7.00,9.75,3.00,1.00,9.00,NULL,NULL,NULL,'N'),(20,5373972,5.00,5.00,1.00,3.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5373980,7.00,7.00,4.00,3.00,5.00,6.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5373999,2.00,6.00,1.00,2.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5374014,7.00,5.00,2.00,5.00,6.00,7.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5374022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374049,6.00,4.00,0.00,2.00,7.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5374065,4.00,4.00,1.00,3.00,5.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5374073,9.00,6.00,7.00,7.00,10.00,11.25,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5374081,6.00,7.00,4.00,7.00,6.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5374090,3.00,5.00,2.00,4.00,5.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5374103,6.00,5.00,3.00,5.00,6.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5374111,1.00,1.00,3.00,1.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5374138,0.00,3.00,4.00,0.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5374154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374162,8.00,8.00,4.00,7.00,8.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5374170,7.00,7.00,4.00,6.00,8.00,11.25,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5374197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374278,5.00,6.00,4.00,3.00,6.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5374286,4.00,0.00,1.00,8.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5374294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374308,3.00,1.00,1.00,3.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5374316,7.00,7.00,2.00,7.00,7.00,9.75,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5374324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374375,2.00,5.00,2.00,6.00,4.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5374383,5.00,5.00,1.00,5.00,6.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5374405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374413,4.00,5.00,1.00,7.00,4.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5374421,3.00,4.00,0.00,4.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5374430,3.00,3.00,0.00,5.00,6.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5374448,9.00,6.00,4.00,7.00,9.00,9.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5374456,3.00,6.00,1.00,5.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5374472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374499,5.00,7.00,5.00,3.00,7.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5374502,3.00,3.00,2.00,5.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5374510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374529,5.00,8.00,2.00,5.00,10.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5374553,5.00,3.00,0.00,4.00,6.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5374561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374570,4.00,4.00,3.00,5.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5374588,1.00,2.00,0.00,3.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5374596,3.00,6.00,4.00,7.00,6.00,10.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5374600,0.00,1.00,0.00,0.00,0.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5374626,3.00,5.00,1.00,4.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5374634,2.00,3.00,0.00,0.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5374642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374650,8.00,7.00,4.00,7.00,5.00,7.50,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5374677,6.00,7.00,2.00,4.00,8.00,7.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5374685,4.00,3.00,3.00,4.00,6.00,9.75,0.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5374707,5.00,5.00,4.00,3.00,6.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5374731,5.00,4.00,2.00,4.00,7.00,9.38,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5374740,3.00,6.00,0.00,5.00,6.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5374758,5.00,4.00,3.00,6.00,4.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5374774,7.00,7.00,1.00,8.00,7.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5374790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374804,3.00,6.00,0.00,3.00,2.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5374812,4.00,4.00,4.00,2.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5374820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374855,6.00,4.00,3.00,6.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,'S','N'),(20,5374863,3.00,6.00,2.00,2.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5374871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374880,9.00,4.00,2.00,7.00,7.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5374898,5.00,5.00,0.00,5.00,4.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5374901,9.00,7.00,8.00,8.00,10.00,8.63,9.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5374910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374928,4.00,6.00,2.00,3.00,6.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5374944,3.00,2.00,1.00,2.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5374952,8.00,5.00,4.00,7.00,6.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5374960,3.00,3.00,0.00,2.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5374979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5374987,5.00,6.00,4.00,5.00,7.00,7.50,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5374995,5.00,5.00,0.00,5.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5375002,2.00,6.00,1.00,7.00,5.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5375010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375037,3.00,4.00,4.00,6.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5375053,3.00,1.00,0.00,3.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5375061,3.00,2.00,3.00,5.00,4.00,9.75,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5375070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375088,8.00,4.00,2.00,2.00,5.00,6.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5375096,4.00,5.00,2.00,4.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5375100,9.00,7.00,5.00,6.00,7.00,10.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5375118,4.00,7.00,4.00,6.00,5.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5375126,4.00,6.00,3.00,6.00,7.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5375134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375142,2.00,6.00,1.00,2.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5375169,0.00,5.00,2.00,1.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5375177,8.00,5.00,4.00,7.00,7.00,11.63,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5375193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375207,3.00,6.00,1.00,5.00,4.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5375215,4.00,5.00,1.00,2.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5375223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375231,3.00,6.00,4.00,5.00,6.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5375240,6.00,8.00,3.00,6.00,7.00,8.63,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5375258,4.00,6.00,0.00,4.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5375266,9.00,6.00,4.00,6.00,6.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5375274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375282,6.00,7.00,4.00,7.00,8.00,10.13,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5375290,5.00,5.00,2.00,5.00,7.00,6.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5375304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375312,8.00,0.00,7.00,7.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5375339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375347,3.00,2.00,0.00,3.00,3.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5375363,7.00,6.00,6.00,7.00,5.00,11.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5375371,4.00,7.00,3.00,7.00,8.00,9.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5375380,5.00,6.00,5.00,7.00,8.00,12.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5375398,2.00,6.00,2.00,4.00,4.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5375401,4.00,7.00,3.00,6.00,7.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5375410,7.00,6.00,6.00,7.00,7.00,4.50,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5375428,7.00,8.00,4.00,7.00,8.00,10.88,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5375444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375487,7.00,5.00,2.00,5.00,3.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5375495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375517,5.00,5.00,2.00,3.00,4.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5375525,4.00,5.00,0.00,2.00,4.00,NULL,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5375533,5.00,5.00,1.00,4.00,5.00,9.38,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5375541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375550,5.00,7.00,2.00,5.00,8.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5375568,1.00,6.00,2.00,6.00,7.00,6.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5375576,1.00,2.00,0.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5375584,9.00,9.00,6.00,7.00,8.00,10.88,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5375592,5.00,5.00,0.00,3.00,8.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5375614,2.00,7.00,3.00,5.00,5.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5375622,6.00,6.00,5.00,5.00,8.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5375630,3.00,7.00,1.00,4.00,6.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5375649,4.00,8.00,1.00,4.00,5.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5375665,6.00,6.00,2.00,4.00,3.00,NULL,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5375681,4.00,4.00,2.00,2.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5375690,4.00,7.00,4.00,5.00,6.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5375703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375746,2.00,2.00,0.00,3.00,6.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5375754,9.00,7.00,4.00,6.00,8.00,9.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5375762,2.00,3.00,0.00,3.00,3.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5375770,3.00,3.00,5.00,3.00,8.00,8.25,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5375789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375797,5.00,6.00,2.00,3.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5375800,4.00,4.00,1.00,6.00,6.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5375819,4.00,6.00,2.00,6.00,8.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5375827,6.00,8.00,6.00,8.00,9.00,8.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5375835,5.00,8.00,5.00,6.00,9.00,8.63,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5375843,3.00,6.00,1.00,5.00,6.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5375851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375860,3.00,0.00,0.00,5.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5375878,8.00,7.00,2.00,6.00,7.00,9.75,5.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5375886,3.00,2.00,0.00,3.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5375894,4.00,5.00,2.00,3.00,5.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5375908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375916,6.00,6.00,2.00,6.00,11.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5375924,6.00,7.00,2.00,4.00,6.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5375932,2.00,3.00,0.00,4.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5375959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5375991,4.00,7.00,0.00,4.00,5.00,6.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5376017,4.00,5.00,0.00,6.00,8.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5376041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5376050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5376068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5376076,3.00,6.00,5.00,2.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5376084,2.00,5.00,4.00,3.00,4.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5376092,3.00,3.00,1.00,3.00,5.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5376106,8.00,7.00,2.00,7.00,9.00,12.75,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5376114,5.00,5.00,1.00,3.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,'S','N'),(20,5376122,1.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5376130,9.00,7.00,5.00,6.00,8.00,8.25,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5376149,4.00,4.00,4.00,7.00,8.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5376157,9.00,9.00,6.00,7.00,8.00,9.75,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5376173,6.00,6.00,2.00,6.00,4.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5376181,3.00,4.00,2.00,8.00,7.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5376190,7.00,8.00,2.00,5.00,8.00,8.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5376203,7.00,7.00,2.00,7.00,9.00,7.88,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5376211,5.00,3.00,0.00,3.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5376238,6.00,8.00,2.00,5.00,7.00,7.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5376246,3.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5376254,7.00,4.00,4.00,5.00,8.00,8.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5376262,5.00,3.00,2.00,1.00,5.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5376270,7.00,8.00,3.00,7.00,10.00,9.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5376289,7.00,8.00,1.00,5.00,9.00,12.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5376297,6.00,6.00,2.00,5.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5376300,8.00,5.00,1.00,7.00,8.00,12.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5376319,4.00,6.00,2.00,5.00,5.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5376327,5.00,5.00,4.00,6.00,6.00,9.00,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5376335,5.00,6.00,4.00,7.00,5.00,10.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5376351,7.00,7.00,5.00,7.00,6.00,11.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5376360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5376378,2.00,5.00,0.00,8.00,7.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5376386,5.00,3.00,3.00,3.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5376394,7.00,0.00,1.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5376408,7.00,6.00,4.00,6.00,7.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5376416,1.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5376424,6.00,7.00,0.00,8.00,8.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5376432,6.00,6.00,3.00,6.00,8.00,9.38,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5376440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5376459,8.00,7.00,4.00,6.00,9.00,8.63,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5376467,5.00,5.00,3.00,4.00,8.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5376475,4.00,4.00,0.00,3.00,5.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5376483,3.00,2.00,2.00,7.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5376491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5376513,3.00,1.00,4.00,4.00,3.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5376521,3.00,3.00,1.00,2.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5376548,7.00,4.00,1.00,6.00,7.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5376564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5376572,9.00,7.00,5.00,7.00,8.00,11.25,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5376580,5.00,6.00,3.00,4.00,7.00,12.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5376599,8.00,6.00,2.00,3.00,7.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5376602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5376610,3.00,3.00,0.00,2.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5376629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5376645,5.00,6.00,5.00,6.00,11.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'S'),(20,5376653,1.00,3.00,1.00,6.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5376661,8.00,7.00,5.00,5.00,7.00,8.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5376670,7.00,6.00,2.00,8.00,8.00,11.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5376688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5376696,5.00,7.00,1.00,7.00,7.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5376700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5376718,2.00,2.00,0.00,4.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5376726,3.00,7.00,0.00,4.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5376734,4.00,6.00,2.00,3.00,4.00,NULL,0.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5376742,6.00,6.00,2.00,5.00,8.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5376777,5.00,5.00,1.00,3.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5376793,9.00,9.00,4.00,6.00,10.00,8.63,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5376807,4.00,5.00,1.00,7.00,6.00,8.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5376815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5376823,9.00,8.00,4.00,7.00,10.00,8.25,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5376831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5376840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5376858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5376866,7.00,6.00,5.00,5.00,7.00,9.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5376874,9.00,7.00,5.00,4.00,9.00,11.25,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5376882,5.00,7.00,0.00,6.00,8.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5376890,5.00,4.00,1.00,6.00,8.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5376904,5.00,7.00,1.00,5.00,4.00,7.88,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5376912,0.00,3.00,0.00,2.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5376920,3.00,5.00,1.00,5.00,6.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5376939,7.00,7.00,5.00,4.00,8.00,11.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5376947,3.00,4.00,1.00,4.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5376963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5376971,4.00,3.00,3.00,5.00,6.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5377005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5377013,5.00,7.00,2.00,6.00,9.00,7.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5377030,1.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5377048,5.00,6.00,3.00,1.00,4.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5377056,4.00,5.00,5.00,5.00,5.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5377064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5377072,7.00,6.00,4.00,6.00,8.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5377080,3.00,7.00,1.00,1.00,3.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5377102,3.00,5.00,1.00,5.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5377110,6.00,5.00,4.00,6.00,6.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5377129,7.00,7.00,3.00,5.00,9.00,8.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5377137,6.00,7.00,1.00,7.00,8.00,10.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5377145,3.00,3.00,1.00,5.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5377153,4.00,7.00,1.00,5.00,9.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5377161,4.00,7.00,0.00,4.00,3.00,NULL,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5377188,5.00,5.00,0.00,6.00,7.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5377196,2.00,3.00,1.00,6.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5377200,9.00,9.00,4.00,7.00,9.00,11.25,8.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5377218,5.00,7.00,2.00,4.00,6.00,9.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5377226,1.00,3.00,4.00,3.00,7.00,NULL,4.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5377250,7.00,8.00,4.00,7.00,9.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5377269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5377277,5.00,6.00,1.00,4.00,5.00,7.50,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5377285,9.00,9.00,6.00,7.00,9.00,10.13,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5377293,9.00,7.00,4.00,5.00,9.00,8.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5377315,7.00,7.00,5.00,6.00,7.00,8.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5377323,0.00,5.00,1.00,4.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5377331,7.00,4.00,1.00,6.00,5.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5377358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5377366,6.00,8.00,2.00,7.00,9.00,9.75,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5377374,5.00,5.00,0.00,3.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5377382,8.00,7.00,6.00,6.00,10.00,9.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5377390,3.00,5.00,1.00,5.00,7.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5377404,4.00,4.00,2.00,2.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5377420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5377439,4.00,5.00,1.00,3.00,4.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(20,5377447,6.00,5.00,3.00,6.00,9.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5377463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5377480,6.00,7.00,4.00,5.00,8.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5377498,4.00,8.00,3.00,6.00,5.00,6.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5377501,5.00,6.00,3.00,7.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5377510,5.00,8.00,3.00,5.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5377536,8.00,6.00,6.00,7.00,6.00,9.38,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5377544,0.00,0.00,2.00,2.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5377552,2.00,7.00,3.00,6.00,7.00,NULL,2.00,5.00,4.00,NULL,NULL,'S','N'),(20,5377560,2.00,6.00,0.00,3.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5377587,8.00,9.00,5.00,7.00,6.00,9.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5377609,7.00,8.00,5.00,7.00,5.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5377617,3.00,7.00,3.00,5.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5377625,4.00,6.00,3.00,1.00,4.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5377633,6.00,4.00,1.00,4.00,7.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5377641,0.00,6.00,0.00,0.00,0.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5377668,5.00,7.00,2.00,3.00,6.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5377676,5.00,3.00,1.00,5.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5377692,7.00,5.00,5.00,6.00,7.00,6.38,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5377706,6.00,6.00,2.00,5.00,6.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5377714,8.00,8.00,6.00,7.00,8.00,7.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5377730,2.00,4.00,2.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5377749,6.00,6.00,2.00,5.00,6.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5377757,4.00,7.00,4.00,0.00,7.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5377765,5.00,5.00,0.00,5.00,4.00,5.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5377773,3.00,4.00,0.00,2.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5377781,5.00,7.00,5.00,7.00,4.00,7.13,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5377790,3.00,5.00,2.00,6.00,9.00,10.13,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(20,5377803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5377820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5377838,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5377854,7.00,6.00,3.00,6.00,10.00,10.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5377862,8.00,6.00,3.00,5.00,8.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5377870,7.00,7.00,2.00,5.00,6.00,8.63,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5377897,5.00,4.00,2.00,5.00,7.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5377919,9.00,8.00,3.00,3.00,8.00,9.00,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5377927,4.00,5.00,0.00,7.00,6.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5377935,3.00,5.00,1.00,3.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5377943,6.00,3.00,1.00,2.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5377951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5377960,4.00,5.00,3.00,5.00,4.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5377994,2.00,1.00,0.00,1.00,1.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5378001,3.00,3.00,2.00,3.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5378010,3.00,4.00,2.00,3.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5378028,9.00,6.00,5.00,8.00,9.00,10.50,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5378036,6.00,7.00,4.00,6.00,7.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5378060,7.00,7.00,3.00,3.00,7.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5378079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378087,0.00,5.00,0.00,0.00,2.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5378095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378125,4.00,5.00,5.00,4.00,6.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5378133,9.00,6.00,5.00,6.00,8.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5378168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378184,4.00,6.00,1.00,5.00,7.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5378192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378206,7.00,6.00,3.00,5.00,6.00,7.50,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5378214,3.00,5.00,2.00,4.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5378257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378265,4.00,4.00,3.00,5.00,7.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'S'),(20,5378273,4.00,4.00,3.00,5.00,7.00,9.00,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5378281,4.00,3.00,4.00,6.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5378290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378320,3.00,4.00,0.00,2.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5378338,6.00,6.00,0.00,4.00,4.00,8.63,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5378346,4.00,6.00,1.00,5.00,9.00,8.25,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5378354,0.00,5.00,2.00,5.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5378362,5.00,3.00,3.00,3.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5378389,6.00,7.00,2.00,5.00,5.00,9.38,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5378397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378419,4.00,4.00,2.00,0.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5378427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378435,5.00,4.00,0.00,4.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5378478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378486,2.00,5.00,3.00,2.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5378494,3.00,5.00,2.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5378508,4.00,1.00,5.00,1.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5378516,3.00,4.00,1.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5378532,8.00,8.00,4.00,7.00,9.00,9.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5378540,8.00,6.00,3.00,7.00,9.00,11.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5378559,5.00,7.00,1.00,5.00,7.00,11.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5378567,1.00,2.00,2.00,2.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5378575,8.00,6.00,7.00,7.00,10.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5378583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378605,1.00,4.00,0.00,1.00,0.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5378613,9.00,7.00,2.00,6.00,8.00,9.75,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5378621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5378630,3.00,5.00,0.00,3.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5378648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378656,3.00,1.00,1.00,6.00,4.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5378664,8.00,7.00,6.00,7.00,9.00,10.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5378672,2.00,3.00,3.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5378680,3.00,3.00,0.00,5.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5378710,5.00,4.00,1.00,5.00,7.00,9.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5378729,2.00,2.00,3.00,4.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5378737,6.00,4.00,2.00,4.00,7.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5378745,0.00,4.00,0.00,2.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,'S','N'),(20,5378753,5.00,6.00,1.00,6.00,10.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5378761,7.00,8.00,0.00,5.00,8.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5378770,5.00,3.00,0.00,1.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5378788,3.00,3.00,1.00,2.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5378800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378818,9.00,5.00,3.00,6.00,9.00,6.75,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5378826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378834,3.00,7.00,3.00,5.00,6.00,8.25,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5378842,4.00,5.00,2.00,6.00,6.00,8.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5378850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378877,1.00,7.00,3.00,7.00,5.00,7.13,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5378885,4.00,7.00,0.00,6.00,4.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5378893,3.00,4.00,0.00,3.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5378907,4.00,7.00,4.00,6.00,4.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5378915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378923,5.00,6.00,3.00,7.00,5.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5378931,6.00,7.00,4.00,6.00,8.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5378940,7.00,6.00,5.00,4.00,7.00,6.38,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5378958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378966,3.00,4.00,1.00,5.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5378974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5378990,4.00,7.00,4.00,3.00,4.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5379024,4.00,3.00,0.00,2.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5379032,5.00,5.00,2.00,2.00,6.00,10.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5379040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5379059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379067,8.00,6.00,8.00,6.00,6.00,8.63,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5379075,1.00,4.00,2.00,2.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5379083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379091,3.00,1.00,0.00,3.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5379105,8.00,7.00,6.00,7.00,7.00,9.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5379121,7.00,5.00,2.00,4.00,8.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5379130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379148,9.00,8.00,7.00,7.00,8.00,10.50,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5379156,6.00,5.00,3.00,6.00,8.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5379164,4.00,7.00,1.00,2.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5379172,9.00,7.00,6.00,7.00,10.00,12.38,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5379180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379199,8.00,7.00,4.00,6.00,8.00,10.13,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5379202,7.00,2.00,3.00,5.00,6.00,8.63,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5379210,4.00,7.00,1.00,7.00,7.00,7.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5379229,6.00,6.00,0.00,2.00,6.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5379237,7.00,8.00,4.00,5.00,7.00,7.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5379253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379261,5.00,6.00,5.00,5.00,5.00,7.13,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5379270,2.00,4.00,2.00,2.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5379288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379296,8.00,9.00,5.00,7.00,9.00,6.38,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5379300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379318,3.00,4.00,1.00,6.00,4.00,4.13,1.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5379334,6.00,6.00,2.00,7.00,7.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5379342,6.00,3.00,0.00,8.00,6.00,6.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5379350,3.00,6.00,0.00,3.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,'S','N'),(20,5379369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379377,8.00,7.00,5.00,8.00,8.00,7.13,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5379385,7.00,6.00,1.00,8.00,5.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5379393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379415,4.00,6.00,1.00,3.00,2.00,NULL,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5379423,3.00,6.00,1.00,5.00,4.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5379431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379440,1.00,4.00,3.00,4.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5379458,5.00,5.00,2.00,2.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5379466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379474,3.00,7.00,3.00,4.00,7.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5379482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379490,6.00,7.00,2.00,4.00,7.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5379504,6.00,6.00,6.00,3.00,6.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5379512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379520,5.00,6.00,2.00,7.00,6.00,11.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5379539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379555,6.00,5.00,0.00,4.00,5.00,NULL,0.00,2.00,5.00,NULL,NULL,'S','N'),(20,5379563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379571,5.00,6.00,0.00,4.00,7.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5379580,5.00,7.00,1.00,3.00,9.00,9.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5379601,8.00,5.00,0.00,6.00,9.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5379610,6.00,8.00,2.00,7.00,8.00,10.88,2.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5379628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379636,4.00,3.00,3.00,5.00,8.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5379644,9.00,7.00,5.00,8.00,11.00,10.88,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5379652,5.00,6.00,2.00,3.00,4.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5379660,5.00,6.00,2.00,6.00,5.00,9.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5379679,4.00,6.00,4.00,6.00,8.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5379687,7.00,5.00,3.00,7.00,5.00,7.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5379695,9.00,8.00,5.00,7.00,6.00,9.00,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5379709,2.00,6.00,0.00,4.00,2.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5379717,5.00,3.00,1.00,5.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5379725,1.00,2.00,1.00,4.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5379733,3.00,4.00,2.00,2.00,0.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'S'),(20,5379741,7.00,4.00,1.00,6.00,7.00,10.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5379750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379768,7.00,8.00,3.00,5.00,5.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5379776,4.00,7.00,3.00,7.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5379784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379814,7.00,7.00,4.00,7.00,9.00,8.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5379822,6.00,7.00,4.00,4.00,7.00,8.63,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5379830,4.00,6.00,3.00,4.00,4.00,10.13,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5379849,6.00,6.00,0.00,5.00,4.00,6.38,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5379857,7.00,6.00,3.00,5.00,8.00,12.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5379865,5.00,6.00,5.00,7.00,7.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(20,5379873,8.00,7.00,3.00,7.00,10.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5379881,9.00,5.00,7.00,7.00,7.00,9.38,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5379903,4.00,5.00,3.00,4.00,5.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5379920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379938,7.00,8.00,3.00,3.00,10.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5379954,1.00,6.00,2.00,3.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5379962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5379970,3.00,4.00,1.00,3.00,5.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5379989,2.00,6.00,1.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5379997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380022,2.00,4.00,1.00,3.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5380030,8.00,6.00,4.00,6.00,8.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5380057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380065,3.00,5.00,3.00,4.00,5.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5380073,2.00,5.00,3.00,3.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5380081,7.00,6.00,2.00,7.00,9.00,9.00,6.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5380090,3.00,5.00,2.00,3.00,6.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5380103,8.00,7.00,5.00,4.00,6.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5380111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380120,8.00,5.00,0.00,5.00,7.00,9.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5380138,9.00,5.00,5.00,7.00,8.00,9.38,5.00,3.00,9.00,NULL,NULL,NULL,'N'),(20,5380146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380154,2.00,3.00,1.00,1.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5380162,2.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5380170,8.00,4.00,3.00,4.00,6.00,10.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5380189,2.00,2.00,0.00,3.00,6.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5380200,4.00,4.00,3.00,5.00,6.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5380219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380227,5.00,7.00,2.00,7.00,4.00,8.63,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5380243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380251,8.00,6.00,2.00,6.00,6.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5380260,2.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5380278,4.00,4.00,0.00,5.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5380286,2.00,3.00,1.00,4.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5380294,4.00,2.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5380308,1.00,3.00,0.00,3.00,3.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5380324,2.00,3.00,1.00,5.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5380332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380340,9.00,7.00,4.00,6.00,11.00,8.63,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5380359,7.00,3.00,1.00,3.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5380367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380375,2.00,2.00,0.00,3.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5380383,9.00,6.00,4.00,6.00,6.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5380391,1.00,6.00,3.00,2.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5380405,5.00,6.00,2.00,7.00,8.00,10.50,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5380413,7.00,8.00,3.00,7.00,9.00,9.00,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5380421,5.00,5.00,0.00,1.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5380430,5.00,3.00,0.00,4.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5380456,3.00,7.00,3.00,4.00,4.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5380464,8.00,7.00,7.00,7.00,10.00,6.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5380472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5380480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380499,6.00,4.00,3.00,5.00,6.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5380502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380553,9.00,4.00,6.00,7.00,7.00,7.88,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5380561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380588,6.00,7.00,5.00,6.00,10.00,8.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5380596,6.00,6.00,4.00,4.00,5.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5380618,4.00,3.00,2.00,3.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5380626,0.00,3.00,3.00,4.00,7.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5380634,7.00,5.00,1.00,5.00,8.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5380642,2.00,3.00,2.00,4.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5380650,3.00,4.00,1.00,5.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(20,5380669,4.00,6.00,2.00,3.00,4.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5380685,0.00,2.00,0.00,1.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5380707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380715,5.00,3.00,0.00,6.00,4.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5380723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380731,3.00,6.00,3.00,1.00,2.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5380740,4.00,3.00,2.00,2.00,4.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5380758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380766,8.00,6.00,4.00,6.00,6.00,9.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5380782,0.00,4.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5380790,4.00,6.00,0.00,4.00,5.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5380804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380820,4.00,4.00,3.00,3.00,6.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5380839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380863,9.00,9.00,7.00,8.00,6.00,10.50,7.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5380871,7.00,5.00,5.00,5.00,8.00,9.38,3.00,1.00,8.00,NULL,NULL,NULL,'N'),(20,5380880,5.00,4.00,2.00,5.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5380898,2.00,6.00,1.00,2.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5380901,6.00,4.00,0.00,6.00,10.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5380910,5.00,5.00,4.00,3.00,6.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5380928,5.00,4.00,4.00,2.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5380936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5380979,3.00,4.00,4.00,5.00,6.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5380987,6.00,7.00,0.00,5.00,6.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5381002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5381010,4.00,6.00,5.00,6.00,4.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5381029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5381037,5.00,6.00,2.00,5.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5381045,5.00,7.00,2.00,5.00,7.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5381053,9.00,6.00,6.00,5.00,8.00,9.38,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5381061,4.00,2.00,1.00,7.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5381070,6.00,7.00,4.00,3.00,5.00,8.63,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5381088,6.00,6.00,4.00,7.00,6.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5381096,7.00,7.00,4.00,2.00,8.00,10.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5381100,3.00,5.00,2.00,7.00,5.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5381118,5.00,6.00,2.00,5.00,4.00,6.38,1.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5381126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5381134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5381150,2.00,3.00,1.00,4.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5381177,5.00,3.00,1.00,5.00,4.00,4.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5381193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5381207,2.00,3.00,3.00,6.00,5.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5381215,3.00,6.00,2.00,6.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5381223,6.00,6.00,3.00,3.00,4.00,6.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5381231,9.00,8.00,7.00,7.00,9.00,7.50,7.00,2.00,9.00,NULL,NULL,NULL,'N'),(20,5381240,5.00,4.00,3.00,3.00,5.00,10.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5381258,8.00,7.00,6.00,6.00,10.00,8.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5381266,6.00,5.00,1.00,5.00,6.00,9.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5381274,7.00,8.00,4.00,5.00,9.00,7.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5381282,8.00,5.00,4.00,5.00,9.00,10.88,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5381290,6.00,6.00,4.00,4.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5381304,8.00,6.00,2.00,4.00,5.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5381320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5381339,2.00,3.00,2.00,3.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5381347,6.00,6.00,1.00,6.00,7.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5381355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5381363,7.00,5.00,4.00,7.00,8.00,9.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5381371,3.00,7.00,2.00,5.00,6.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5381380,6.00,9.00,6.00,7.00,9.00,10.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5381401,7.00,8.00,5.00,7.00,9.00,9.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5381410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5381428,8.00,6.00,7.00,5.00,7.00,9.38,7.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5381436,2.00,5.00,4.00,4.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5381444,2.00,6.00,0.00,0.00,1.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5381452,7.00,4.00,3.00,5.00,4.00,6.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5381460,5.00,5.00,1.00,3.00,9.00,9.75,4.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5381479,2.00,5.00,2.00,2.00,6.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5381487,4.00,3.00,2.00,2.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5381495,3.00,6.00,4.00,7.00,8.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5381509,7.00,4.00,1.00,7.00,7.00,12.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5381517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5381525,2.00,2.00,3.00,1.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5381533,9.00,6.00,5.00,7.00,7.00,10.13,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5381541,5.00,4.00,2.00,7.00,7.00,9.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5381550,5.00,6.00,2.00,4.00,4.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5381568,0.00,2.00,3.00,3.00,1.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5381576,8.00,7.00,1.00,7.00,8.00,10.50,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5381584,7.00,7.00,1.00,7.00,7.00,9.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5381592,6.00,0.00,1.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5381606,6.00,5.00,3.00,5.00,7.00,6.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5381614,2.00,7.00,2.00,5.00,5.00,7.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5381622,7.00,4.00,3.00,3.00,5.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5381630,5.00,5.00,2.00,3.00,6.00,10.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5381649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5381657,7.00,6.00,1.00,4.00,7.00,8.63,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5381673,2.00,4.00,0.00,5.00,5.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5381681,4.00,3.00,4.00,3.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5381690,5.00,5.00,2.00,5.00,6.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5381703,4.00,4.00,0.00,5.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5381711,7.00,8.00,0.00,4.00,7.00,8.63,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5381720,9.00,8.00,7.00,8.00,10.00,10.13,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5381738,7.00,5.00,6.00,7.00,7.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5381746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5381754,9.00,6.00,6.00,7.00,8.00,9.00,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5381762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5381770,6.00,2.00,4.00,7.00,9.00,10.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5381789,7.00,7.00,4.00,7.00,7.00,6.00,4.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5381800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5381819,6.00,9.00,4.00,6.00,6.00,10.13,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5381827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5381835,5.00,7.00,3.00,7.00,6.00,10.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5381843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S',NULL,'S'),(20,5381851,8.00,6.00,5.00,6.00,8.00,7.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5381860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5381878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5381886,8.00,6.00,4.00,4.00,9.00,10.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5381894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5381908,5.00,4.00,4.00,6.00,7.00,6.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5381916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5381924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5381932,3.00,0.00,3.00,2.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5381940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5381959,3.00,5.00,5.00,3.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5381967,8.00,7.00,5.00,7.00,8.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5381975,8.00,7.00,2.00,7.00,8.00,8.63,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5381983,4.00,4.00,2.00,2.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5381991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382017,3.00,5.00,3.00,4.00,5.00,6.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5382025,1.00,6.00,0.00,3.00,6.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5382033,4.00,6.00,3.00,0.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,'S','N'),(20,5382041,4.00,5.00,2.00,6.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5382050,3.00,4.00,0.00,4.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5382068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382076,7.00,8.00,4.00,7.00,8.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5382084,5.00,5.00,4.00,5.00,6.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5382092,8.00,7.00,7.00,7.00,8.00,9.38,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5382106,7.00,6.00,3.00,6.00,9.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5382114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382122,7.00,6.00,5.00,7.00,7.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5382130,0.00,6.00,0.00,0.00,0.00,NULL,3.00,2.00,0.00,'S',NULL,NULL,'S'),(20,5382149,9.00,5.00,3.00,7.00,9.00,11.25,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5382157,6.00,6.00,2.00,6.00,8.00,10.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5382165,3.00,5.00,1.00,3.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5382173,3.00,7.00,0.00,3.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5382181,5.00,6.00,3.00,5.00,4.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5382190,4.00,6.00,1.00,4.00,5.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5382203,3.00,2.00,1.00,3.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5382211,6.00,7.00,0.00,5.00,7.00,7.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5382220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382238,8.00,6.00,1.00,6.00,6.00,10.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5382246,8.00,7.00,6.00,4.00,5.00,9.00,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5382254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382262,3.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5382270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382327,6.00,5.00,2.00,4.00,8.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5382335,6.00,7.00,3.00,4.00,5.00,7.88,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5382351,4.00,5.00,2.00,5.00,6.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5382360,2.00,5.00,3.00,5.00,7.00,10.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5382378,6.00,7.00,2.00,7.00,10.00,7.88,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5382386,7.00,6.00,1.00,6.00,4.00,10.88,1.00,3.00,6.00,NULL,NULL,NULL,'S'),(20,5382394,9.00,8.00,7.00,7.00,6.00,8.63,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5382408,4.00,1.00,0.00,7.00,6.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5382416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382432,3.00,3.00,1.00,3.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5382440,6.00,5.00,4.00,4.00,4.00,6.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5382459,3.00,7.00,1.00,6.00,7.00,6.75,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5382467,3.00,6.00,1.00,4.00,7.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5382475,6.00,6.00,5.00,4.00,4.00,7.13,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5382483,4.00,5.00,3.00,3.00,5.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5382491,3.00,2.00,1.00,2.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5382505,8.00,6.00,6.00,7.00,9.00,11.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5382513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382521,5.00,6.00,3.00,3.00,7.00,8.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5382548,8.00,4.00,2.00,3.00,5.00,7.88,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5382556,3.00,4.00,3.00,3.00,5.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5382564,2.00,5.00,1.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5382572,3.00,7.00,0.00,4.00,5.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5382580,4.00,7.00,0.00,7.00,8.00,12.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5382599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382602,4.00,4.00,3.00,3.00,4.00,7.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5382610,9.00,7.00,4.00,5.00,6.00,10.13,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5382629,6.00,4.00,5.00,4.00,4.00,3.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5382637,8.00,7.00,3.00,5.00,9.00,8.25,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5382645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382653,8.00,9.00,2.00,5.00,6.00,8.63,1.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5382661,8.00,0.00,1.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5382670,9.00,7.00,8.00,6.00,9.00,8.25,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5382688,7.00,4.00,4.00,7.00,7.00,NULL,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5382696,6.00,3.00,5.00,5.00,5.00,6.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5382700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382718,9.00,6.00,2.00,7.00,9.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5382726,1.00,6.00,1.00,4.00,3.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5382734,5.00,5.00,0.00,4.00,6.00,8.63,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5382742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382750,2.00,5.00,3.00,4.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5382769,3.00,5.00,3.00,3.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5382785,2.00,3.00,0.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5382793,5.00,0.00,4.00,0.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5382807,6.00,7.00,2.00,4.00,8.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5382815,3.00,5.00,1.00,4.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5382823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382831,5.00,6.00,6.00,4.00,7.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5382840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382858,6.00,7.00,2.00,6.00,8.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5382866,2.00,2.00,3.00,3.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5382874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382882,3.00,5.00,1.00,4.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5382904,2.00,4.00,2.00,3.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5382912,3.00,6.00,4.00,7.00,6.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5382920,6.00,7.00,3.00,7.00,8.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5382939,3.00,5.00,1.00,2.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5382947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382955,9.00,7.00,3.00,4.00,9.00,10.13,2.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5382963,8.00,4.00,1.00,6.00,8.00,9.38,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5382971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5382980,4.00,4.00,0.00,6.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5382998,7.00,7.00,3.00,5.00,8.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5383005,4.00,4.00,3.00,6.00,5.00,10.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5383013,3.00,7.00,4.00,7.00,5.00,9.38,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5383030,2.00,4.00,3.00,6.00,9.00,10.13,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5383048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383056,7.00,5.00,6.00,5.00,7.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5383064,7.00,7.00,4.00,7.00,5.00,8.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5383072,4.00,4.00,2.00,2.00,4.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5383099,5.00,5.00,4.00,6.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5383110,7.00,6.00,2.00,7.00,7.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5383129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383145,4.00,5.00,1.00,2.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5383153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383196,3.00,1.00,4.00,1.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5383200,3.00,3.00,1.00,4.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5383218,5.00,6.00,3.00,4.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5383234,3.00,3.00,1.00,2.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5383242,2.00,5.00,2.00,5.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5383250,3.00,3.00,2.00,3.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5383269,3.00,5.00,0.00,5.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5383277,3.00,4.00,0.00,1.00,3.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5383285,1.00,3.00,3.00,2.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5383293,3.00,3.00,4.00,6.00,5.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5383307,7.00,5.00,1.00,7.00,8.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5383315,4.00,6.00,2.00,5.00,6.00,6.75,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5383323,2.00,3.00,0.00,1.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5383331,7.00,6.00,5.00,7.00,7.00,8.63,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5383340,4.00,6.00,2.00,5.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5383366,3.00,5.00,1.00,3.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5383374,4.00,5.00,0.00,3.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5383382,8.00,5.00,5.00,6.00,9.00,11.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5383390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383420,8.00,6.00,4.00,5.00,8.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5383439,4.00,3.00,0.00,1.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5383447,9.00,7.00,6.00,5.00,7.00,9.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5383455,3.00,3.00,1.00,1.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5383463,0.00,3.00,0.00,3.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5383471,3.00,5.00,0.00,1.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5383498,4.00,6.00,3.00,7.00,6.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5383501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383510,3.00,5.00,0.00,6.00,5.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5383528,5.00,6.00,5.00,7.00,7.00,7.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5383536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383544,4.00,5.00,3.00,2.00,6.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5383552,3.00,4.00,4.00,6.00,7.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5383560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383579,0.00,2.00,3.00,5.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5383587,6.00,5.00,5.00,8.00,4.00,7.88,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5383595,7.00,8.00,2.00,8.00,8.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5383609,4.00,3.00,1.00,5.00,9.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5383617,6.00,7.00,3.00,6.00,7.00,9.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5383625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383641,6.00,6.00,4.00,7.00,8.00,10.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5383650,4.00,6.00,1.00,6.00,7.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5383668,6.00,7.00,4.00,5.00,8.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5383684,6.00,5.00,3.00,5.00,6.00,10.88,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5383692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383714,1.00,5.00,0.00,2.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5383722,4.00,6.00,1.00,5.00,5.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5383730,6.00,6.00,2.00,6.00,6.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5383749,4.00,3.00,0.00,2.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5383757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383781,3.00,4.00,1.00,4.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5383790,1.00,5.00,0.00,5.00,8.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5383811,2.00,3.00,4.00,1.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5383838,1.00,5.00,3.00,3.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5383854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383862,2.00,5.00,1.00,3.00,5.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5383870,3.00,5.00,0.00,6.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5383889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383897,6.00,6.00,6.00,5.00,4.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5383900,3.00,6.00,4.00,4.00,2.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5383919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383927,1.00,8.00,4.00,4.00,8.00,8.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5383935,4.00,6.00,4.00,6.00,7.00,7.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5383943,1.00,4.00,0.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5383951,4.00,2.00,1.00,3.00,1.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5383960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5383978,8.00,7.00,3.00,7.00,7.00,10.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5383986,5.00,7.00,0.00,7.00,8.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5383994,4.00,6.00,1.00,3.00,4.00,9.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5384010,1.00,6.00,1.00,4.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5384028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5384036,3.00,6.00,0.00,4.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5384044,8.00,7.00,6.00,6.00,4.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5384052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5384060,8.00,6.00,6.00,7.00,9.00,10.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5384079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5384087,3.00,5.00,1.00,5.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5384095,5.00,4.00,3.00,6.00,6.00,9.38,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5384109,5.00,4.00,3.00,5.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5384117,5.00,7.00,2.00,3.00,8.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5384125,7.00,6.00,0.00,7.00,5.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5384133,4.00,3.00,2.00,1.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5384150,4.00,4.00,4.00,4.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,'S','N'),(20,5384176,4.00,6.00,2.00,4.00,8.00,7.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5384184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5384192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5384206,9.00,6.00,6.00,7.00,8.00,8.25,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5384214,5.00,7.00,1.00,5.00,9.00,8.25,6.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5384222,4.00,3.00,1.00,5.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5384230,5.00,4.00,1.00,1.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5384249,6.00,6.00,0.00,5.00,4.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5384257,5.00,7.00,2.00,6.00,8.00,10.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5384265,5.00,5.00,0.00,4.00,7.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5384273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5384281,7.00,5.00,2.00,8.00,7.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5384290,3.00,5.00,0.00,2.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5384311,2.00,3.00,0.00,1.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5384320,3.00,5.00,0.00,6.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5384338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5384346,4.00,7.00,4.00,3.00,6.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5384362,5.00,5.00,0.00,3.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5384370,6.00,7.00,5.00,7.00,6.00,10.13,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5384389,4.00,3.00,1.00,3.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5384397,8.00,8.00,4.00,8.00,8.00,10.13,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5384400,8.00,7.00,6.00,5.00,10.00,10.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5384419,7.00,7.00,5.00,6.00,9.00,7.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5384435,2.00,5.00,1.00,2.00,8.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5384443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5384451,6.00,5.00,1.00,1.00,6.00,4.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5384460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5384478,6.00,5.00,4.00,5.00,5.00,4.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5384486,5.00,6.00,3.00,4.00,5.00,6.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5384494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5384508,6.00,5.00,5.00,6.00,9.00,10.13,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5384516,9.00,8.00,5.00,5.00,9.00,7.50,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5384524,3.00,5.00,2.00,4.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5384532,7.00,5.00,4.00,5.00,5.00,10.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5384540,3.00,5.00,3.00,6.00,5.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5384559,4.00,3.00,3.00,5.00,5.00,2.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5384567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5384575,3.00,6.00,4.00,7.00,6.00,NULL,3.00,3.00,5.00,NULL,NULL,'S','N'),(20,5384583,4.00,5.00,1.00,2.00,5.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5384591,2.00,3.00,0.00,1.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5384605,3.00,6.00,4.00,4.00,5.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5384613,4.00,5.00,0.00,2.00,8.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5384621,5.00,4.00,3.00,1.00,5.00,8.63,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5384630,6.00,6.00,1.00,6.00,8.00,8.25,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5384656,6.00,7.00,2.00,7.00,8.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5384664,4.00,8.00,2.00,5.00,4.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5384672,3.00,8.00,3.00,4.00,4.00,13.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5384680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5384699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5384702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5384710,7.00,8.00,0.00,7.00,7.00,8.63,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5384729,3.00,4.00,1.00,4.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5384737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5384753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5384761,3.00,4.00,0.00,2.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5384770,9.00,5.00,1.00,7.00,7.00,9.38,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5384788,6.00,8.00,2.00,8.00,10.00,9.75,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5384800,5.00,5.00,3.00,5.00,8.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5384818,4.00,6.00,0.00,2.00,6.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5384826,5.00,6.00,1.00,5.00,5.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5384834,5.00,7.00,1.00,7.00,8.00,9.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5384842,4.00,5.00,1.00,3.00,5.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5384850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5384877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5384885,2.00,3.00,1.00,4.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5384893,4.00,6.00,5.00,6.00,5.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5384915,6.00,6.00,5.00,7.00,8.00,10.13,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5384923,7.00,5.00,2.00,5.00,6.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5384931,5.00,6.00,3.00,7.00,9.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5384958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5384966,3.00,3.00,2.00,2.00,4.00,NULL,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5384974,1.00,2.00,1.00,3.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5384982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385016,3.00,5.00,1.00,2.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5385024,4.00,5.00,2.00,6.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5385032,6.00,6.00,4.00,6.00,6.00,7.50,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5385040,5.00,4.00,2.00,7.00,5.00,9.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5385059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385067,4.00,0.00,0.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5385075,8.00,7.00,7.00,7.00,8.00,7.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5385091,3.00,5.00,0.00,1.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5385105,3.00,2.00,0.00,3.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5385113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385130,9.00,9.00,8.00,7.00,10.00,10.50,8.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5385148,5.00,7.00,3.00,6.00,10.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5385156,9.00,6.00,3.00,3.00,8.00,9.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5385164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385180,4.00,2.00,2.00,5.00,1.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5385199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385202,7.00,7.00,6.00,7.00,9.00,9.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5385210,4.00,4.00,0.00,3.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5385229,4.00,8.00,4.00,4.00,6.00,7.88,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5385237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385245,5.00,8.00,2.00,7.00,7.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5385253,3.00,0.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5385261,3.00,4.00,3.00,6.00,9.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5385288,4.00,6.00,1.00,4.00,4.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5385296,2.00,3.00,0.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5385318,0.00,2.00,0.00,1.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5385326,9.00,8.00,3.00,7.00,9.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5385342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385350,9.00,7.00,3.00,6.00,9.00,9.75,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(20,5385369,8.00,6.00,6.00,5.00,9.00,9.38,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5385377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385393,7.00,6.00,5.00,7.00,7.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5385407,6.00,7.00,0.00,7.00,9.00,NULL,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5385415,2.00,5.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5385423,5.00,6.00,3.00,5.00,9.00,12.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5385431,2.00,5.00,0.00,3.00,6.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5385440,9.00,6.00,3.00,7.00,9.00,7.88,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5385458,3.00,0.00,3.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5385466,5.00,7.00,1.00,4.00,5.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5385474,8.00,7.00,4.00,7.00,9.00,10.50,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5385482,8.00,8.00,3.00,4.00,7.00,9.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5385490,5.00,4.00,1.00,3.00,8.00,12.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5385504,7.00,5.00,4.00,6.00,8.00,6.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5385512,8.00,6.00,2.00,7.00,8.00,10.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5385520,7.00,3.00,3.00,7.00,9.00,11.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5385539,7.00,9.00,3.00,7.00,11.00,12.38,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5385555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385563,6.00,6.00,1.00,3.00,6.00,9.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5385571,6.00,7.00,3.00,7.00,5.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5385580,6.00,6.00,3.00,6.00,7.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5385598,9.00,7.00,8.00,6.00,7.00,7.50,7.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5385601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385652,3.00,4.00,1.00,3.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5385660,1.00,3.00,1.00,2.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5385679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385687,8.00,7.00,6.00,7.00,9.00,12.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5385709,4.00,4.00,1.00,2.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5385717,1.00,5.00,0.00,2.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'S'),(20,5385725,7.00,4.00,2.00,3.00,6.00,7.13,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5385741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385768,5.00,6.00,5.00,7.00,8.00,10.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5385784,6.00,7.00,2.00,4.00,7.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5385792,8.00,8.00,7.00,7.00,10.00,11.63,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5385806,8.00,4.00,1.00,7.00,5.00,3.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5385814,3.00,4.00,1.00,0.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5385830,4.00,4.00,3.00,4.00,5.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(20,5385849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385857,3.00,3.00,5.00,2.00,5.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5385865,5.00,6.00,2.00,6.00,4.00,10.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5385881,9.00,6.00,5.00,6.00,9.00,12.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5385890,7.00,8.00,2.00,8.00,7.00,11.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5385903,7.00,5.00,5.00,4.00,5.00,7.13,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5385911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385938,2.00,3.00,3.00,1.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5385946,4.00,7.00,3.00,7.00,7.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5385954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5385962,8.00,6.00,5.00,7.00,8.00,9.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5385970,6.00,6.00,2.00,4.00,2.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5385997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386012,5.00,7.00,5.00,5.00,10.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5386020,6.00,5.00,2.00,4.00,7.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5386039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386055,6.00,7.00,4.00,5.00,8.00,10.13,6.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5386071,4.00,5.00,0.00,7.00,9.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5386080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386098,1.00,4.00,1.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5386101,4.00,5.00,4.00,1.00,6.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5386110,2.00,5.00,4.00,7.00,5.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5386128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386136,1.00,5.00,1.00,4.00,4.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5386144,2.00,5.00,1.00,2.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5386160,5.00,6.00,2.00,4.00,5.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5386179,3.00,3.00,1.00,5.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5386187,2.00,3.00,1.00,4.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5386209,4.00,5.00,1.00,1.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5386217,7.00,6.00,4.00,4.00,7.00,10.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5386225,1.00,7.00,2.00,6.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5386233,4.00,7.00,1.00,6.00,8.00,7.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5386241,9.00,7.00,1.00,7.00,6.00,10.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5386250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386292,4.00,6.00,3.00,3.00,5.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5386306,1.00,5.00,1.00,3.00,7.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5386314,8.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5386322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386330,6.00,7.00,5.00,5.00,4.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5386349,4.00,5.00,2.00,3.00,4.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5386357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386365,4.00,5.00,1.00,4.00,8.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5386373,7.00,5.00,1.00,7.00,6.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5386381,1.00,2.00,3.00,2.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5386411,4.00,4.00,2.00,4.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5386420,6.00,5.00,4.00,6.00,5.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5386438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386446,4.00,5.00,1.00,7.00,7.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5386462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386470,5.00,6.00,4.00,5.00,5.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5386489,5.00,6.00,4.00,5.00,5.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5386500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386535,4.00,5.00,0.00,6.00,6.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5386543,4.00,7.00,0.00,2.00,3.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5386551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386578,5.00,4.00,0.00,5.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5386586,1.00,6.00,3.00,4.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5386594,5.00,6.00,3.00,3.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5386608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386624,9.00,7.00,6.00,8.00,11.00,10.13,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5386659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386667,8.00,6.00,2.00,4.00,8.00,10.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5386675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386683,3.00,5.00,3.00,4.00,5.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5386691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386705,7.00,5.00,3.00,6.00,8.00,12.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5386713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386721,4.00,7.00,2.00,4.00,5.00,10.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5386730,3.00,4.00,2.00,4.00,4.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5386748,8.00,7.00,5.00,7.00,8.00,11.63,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(20,5386756,3.00,5.00,2.00,6.00,5.00,9.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5386764,9.00,6.00,7.00,6.00,7.00,8.63,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5386772,6.00,0.00,1.00,5.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5386780,5.00,4.00,1.00,5.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5386799,3.00,5.00,1.00,3.00,5.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5386802,3.00,7.00,5.00,5.00,4.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5386810,7.00,6.00,1.00,6.00,8.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5386829,3.00,3.00,0.00,4.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5386837,5.00,8.00,1.00,6.00,6.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5386845,6.00,3.00,0.00,1.00,7.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5386853,4.00,8.00,2.00,5.00,9.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5386861,3.00,6.00,2.00,4.00,5.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5386888,5.00,5.00,0.00,3.00,8.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5386896,4.00,5.00,1.00,3.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5386900,3.00,4.00,0.00,4.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5386918,4.00,6.00,1.00,5.00,6.00,6.38,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(20,5386934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5386950,7.00,8.00,3.00,5.00,8.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5386969,6.00,7.00,2.00,4.00,5.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5386977,5.00,6.00,0.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5386985,5.00,5.00,1.00,7.00,7.00,11.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5387000,1.00,5.00,1.00,4.00,5.00,NULL,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5387027,5.00,8.00,4.00,7.00,8.00,11.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5387035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387043,7.00,7.00,3.00,5.00,8.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5387051,4.00,5.00,1.00,4.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5387060,6.00,6.00,2.00,2.00,6.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5387078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387094,3.00,7.00,0.00,6.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5387108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387116,2.00,2.00,5.00,6.00,4.00,8.25,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5387124,3.00,5.00,1.00,7.00,8.00,NULL,2.00,2.00,2.00,NULL,NULL,'S','N'),(20,5387140,2.00,5.00,4.00,5.00,4.00,4.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5387159,6.00,7.00,5.00,4.00,6.00,8.63,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5387167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387175,7.00,7.00,4.00,6.00,9.00,10.88,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(20,5387183,4.00,3.00,0.00,6.00,4.00,0.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5387191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387221,6.00,7.00,2.00,6.00,6.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5387230,3.00,5.00,1.00,7.00,7.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5387248,3.00,4.00,3.00,4.00,6.00,10.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5387256,5.00,7.00,1.00,5.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5387264,8.00,8.00,5.00,7.00,8.00,12.00,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5387272,4.00,5.00,3.00,5.00,6.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5387280,3.00,4.00,2.00,1.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5387299,4.00,4.00,0.00,2.00,7.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5387302,6.00,5.00,3.00,7.00,9.00,9.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5387310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387337,4.00,3.00,2.00,6.00,6.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5387353,8.00,7.00,5.00,7.00,9.00,8.25,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5387361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387418,5.00,6.00,3.00,3.00,5.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5387426,6.00,7.00,4.00,5.00,6.00,7.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5387442,4.00,5.00,0.00,2.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5387450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387485,4.00,7.00,2.00,0.00,8.00,9.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5387507,4.00,7.00,1.00,4.00,3.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5387515,1.00,4.00,0.00,5.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5387531,7.00,6.00,2.00,6.00,5.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5387540,9.00,8.00,3.00,7.00,9.00,9.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5387558,4.00,4.00,1.00,4.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5387566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387574,7.00,0.00,3.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5387582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387590,9.00,6.00,7.00,7.00,8.00,9.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5387604,5.00,6.00,1.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5387612,9.00,7.00,3.00,7.00,7.00,10.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5387620,3.00,4.00,2.00,3.00,6.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5387639,8.00,7.00,2.00,6.00,8.00,9.38,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5387647,5.00,5.00,0.00,5.00,7.00,9.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5387655,5.00,4.00,1.00,7.00,7.00,10.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5387663,5.00,4.00,2.00,2.00,4.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5387701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387710,3.00,4.00,1.00,2.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,'S','N'),(20,5387736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387744,5.00,6.00,1.00,6.00,6.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5387752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387795,4.00,4.00,0.00,5.00,7.00,12.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5387809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387833,4.00,7.00,5.00,4.00,7.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5387841,7.00,6.00,3.00,5.00,10.00,6.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5387850,5.00,8.00,2.00,4.00,8.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5387868,4.00,6.00,0.00,5.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5387876,1.00,5.00,2.00,5.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,'S','N'),(20,5387884,4.00,6.00,2.00,5.00,6.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5387892,9.00,7.00,7.00,7.00,9.00,11.63,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5387914,6.00,6.00,4.00,4.00,4.00,9.75,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5387949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387965,3.00,6.00,1.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5387973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5387981,4.00,4.00,2.00,2.00,0.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5388007,2.00,5.00,2.00,7.00,5.00,9.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5388023,5.00,5.00,2.00,2.00,8.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5388031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388040,8.00,7.00,3.00,6.00,9.00,11.63,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(20,5388058,6.00,5.00,0.00,2.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5388066,9.00,8.00,7.00,7.00,9.00,9.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5388074,4.00,5.00,3.00,4.00,2.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5388082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388104,1.00,3.00,1.00,0.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5388112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388139,3.00,6.00,3.00,6.00,8.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5388155,6.00,5.00,4.00,7.00,6.00,8.25,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5388163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388171,9.00,6.00,3.00,4.00,8.00,11.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5388180,4.00,2.00,1.00,5.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5388198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388201,9.00,7.00,4.00,7.00,6.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5388228,3.00,0.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5388236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388244,6.00,4.00,4.00,7.00,7.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5388260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388279,5.00,5.00,1.00,4.00,6.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5388287,4.00,6.00,2.00,3.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,'S','N'),(20,5388295,1.00,6.00,4.00,5.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5388309,6.00,5.00,4.00,6.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5388317,6.00,5.00,0.00,6.00,7.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5388325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388333,5.00,5.00,2.00,4.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5388341,6.00,8.00,5.00,7.00,8.00,10.88,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5388368,4.00,5.00,1.00,4.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5388376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388384,3.00,4.00,2.00,4.00,7.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5388392,5.00,2.00,3.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5388406,8.00,6.00,3.00,6.00,7.00,9.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5388414,4.00,6.00,3.00,5.00,6.00,11.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5388422,5.00,3.00,3.00,5.00,3.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5388449,3.00,7.00,1.00,7.00,7.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5388457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388465,4.00,2.00,3.00,6.00,5.00,6.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5388473,5.00,6.00,2.00,7.00,5.00,10.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5388481,4.00,7.00,2.00,7.00,6.00,10.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5388490,3.00,5.00,2.00,2.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5388503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388520,5.00,3.00,1.00,6.00,4.00,9.75,0.00,5.00,1.00,NULL,NULL,NULL,'S'),(20,5388546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388554,4.00,5.00,3.00,6.00,4.00,7.13,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5388562,1.00,3.00,0.00,2.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5388570,8.00,7.00,3.00,4.00,8.00,10.50,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5388589,5.00,5.00,1.00,6.00,9.00,11.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5388597,3.00,7.00,2.00,3.00,7.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5388600,3.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5388619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388635,6.00,8.00,3.00,8.00,7.00,9.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5388643,3.00,6.00,2.00,3.00,6.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5388651,3.00,6.00,4.00,4.00,5.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5388678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388686,8.00,8.00,4.00,7.00,7.00,10.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5388694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388716,6.00,7.00,4.00,3.00,8.00,8.63,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5388724,1.00,5.00,2.00,2.00,6.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5388732,1.00,5.00,0.00,2.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5388740,6.00,6.00,2.00,7.00,7.00,12.75,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5388759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388775,5.00,4.00,3.00,4.00,5.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5388783,2.00,1.00,4.00,3.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5388791,4.00,4.00,3.00,5.00,7.00,10.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5388805,4.00,5.00,2.00,5.00,8.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5388813,4.00,6.00,5.00,6.00,6.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5388821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388830,8.00,6.00,7.00,7.00,7.00,11.63,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5388856,5.00,4.00,1.00,5.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5388864,4.00,5.00,3.00,5.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5388872,4.00,7.00,3.00,5.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5388880,9.00,7.00,3.00,6.00,8.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5388899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5388902,6.00,4.00,3.00,6.00,7.00,10.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5388910,4.00,5.00,0.00,2.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5388929,3.00,6.00,3.00,6.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5388937,3.00,2.00,3.00,6.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5388945,5.00,7.00,2.00,4.00,6.00,0.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5388953,5.00,6.00,2.00,0.00,7.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5388961,6.00,5.00,4.00,7.00,5.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5388970,1.00,6.00,2.00,7.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5388988,0.00,4.00,1.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,'S','N'),(20,5389003,6.00,5.00,3.00,3.00,5.00,7.88,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5389011,5.00,6.00,1.00,3.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5389020,7.00,6.00,7.00,7.00,8.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5389038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389046,1.00,5.00,2.00,4.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5389054,3.00,4.00,1.00,5.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5389062,5.00,0.00,2.00,5.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5389070,2.00,4.00,2.00,5.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5389089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389097,5.00,8.00,3.00,7.00,7.00,9.75,4.00,1.00,5.00,NULL,NULL,NULL,'S'),(20,5389100,9.00,5.00,1.00,4.00,8.00,6.75,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5389119,6.00,8.00,2.00,7.00,4.00,6.38,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5389127,3.00,5.00,1.00,4.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5389143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389151,1.00,2.00,0.00,4.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,'S','N'),(20,5389160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389178,6.00,5.00,2.00,7.00,7.00,8.63,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5389186,2.00,5.00,5.00,4.00,5.00,9.00,2.00,0.00,7.00,NULL,NULL,NULL,'N'),(20,5389194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389208,5.00,6.00,6.00,6.00,8.00,9.00,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5389216,2.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5389224,2.00,6.00,2.00,7.00,5.00,9.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5389240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389259,4.00,6.00,1.00,7.00,8.00,10.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5389267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389275,8.00,6.00,5.00,8.00,9.00,7.50,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5389283,7.00,6.00,5.00,6.00,8.00,10.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5389291,4.00,7.00,5.00,3.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5389305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389313,5.00,6.00,2.00,6.00,6.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(20,5389321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389348,5.00,6.00,0.00,6.00,5.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5389356,0.00,5.00,4.00,4.00,5.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5389364,8.00,5.00,5.00,2.00,6.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5389372,5.00,5.00,5.00,7.00,6.00,12.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5389380,6.00,7.00,3.00,7.00,8.00,7.88,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5389402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389445,4.00,3.00,0.00,6.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5389453,5.00,5.00,6.00,5.00,6.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5389470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389488,6.00,8.00,1.00,6.00,5.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5389496,5.00,5.00,2.00,7.00,8.00,6.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5389500,6.00,4.00,1.00,3.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5389526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389534,4.00,5.00,3.00,4.00,5.00,9.00,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5389542,2.00,6.00,0.00,1.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5389550,6.00,3.00,2.00,4.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5389585,0.00,2.00,2.00,4.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5389593,4.00,7.00,4.00,5.00,6.00,7.50,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5389607,4.00,2.00,1.00,2.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5389615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389623,8.00,7.00,1.00,4.00,9.00,11.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5389631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389640,5.00,6.00,3.00,3.00,5.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5389658,8.00,6.00,3.00,7.00,5.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5389666,4.00,6.00,3.00,3.00,8.00,11.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5389674,6.00,7.00,2.00,7.00,7.00,10.13,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5389682,3.00,7.00,3.00,5.00,4.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5389690,7.00,4.00,4.00,3.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5389704,3.00,4.00,0.00,7.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5389712,3.00,4.00,0.00,4.00,4.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5389720,3.00,5.00,2.00,3.00,2.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5389739,5.00,6.00,4.00,6.00,7.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5389747,7.00,6.00,3.00,6.00,10.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5389755,9.00,7.00,2.00,7.00,8.00,10.88,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5389763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389771,2.00,2.00,2.00,3.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5389780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389801,6.00,4.00,0.00,6.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5389810,4.00,7.00,5.00,2.00,5.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5389828,2.00,5.00,1.00,3.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5389836,1.00,4.00,4.00,3.00,4.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5389844,4.00,5.00,3.00,5.00,4.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5389852,9.00,9.00,6.00,7.00,9.00,10.13,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5389860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389879,9.00,8.00,3.00,8.00,8.00,7.88,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(20,5389887,6.00,6.00,2.00,4.00,7.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5389895,5.00,6.00,1.00,5.00,8.00,11.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5389909,4.00,3.00,2.00,2.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5389917,7.00,6.00,2.00,5.00,8.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5389925,6.00,8.00,2.00,7.00,6.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5389941,5.00,7.00,1.00,5.00,4.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5389950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5389984,7.00,4.00,3.00,5.00,6.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5389992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390001,5.00,4.00,3.00,1.00,4.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5390010,3.00,5.00,2.00,5.00,6.00,9.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5390028,4.00,3.00,4.00,3.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5390036,3.00,2.00,2.00,5.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,'S','N'),(20,5390044,6.00,5.00,4.00,5.00,8.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5390052,7.00,6.00,7.00,6.00,10.00,10.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5390060,4.00,5.00,1.00,2.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5390079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390087,3.00,7.00,3.00,5.00,6.00,8.25,1.00,1.00,4.00,NULL,NULL,NULL,'S'),(20,5390095,2.00,4.00,0.00,4.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5390109,6.00,5.00,4.00,5.00,5.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5390117,4.00,7.00,6.00,5.00,8.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5390125,2.00,3.00,1.00,6.00,7.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5390133,4.00,5.00,3.00,5.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5390141,4.00,6.00,3.00,4.00,4.00,7.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5390150,5.00,4.00,2.00,7.00,8.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5390168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390184,8.00,7.00,1.00,7.00,8.00,8.63,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5390192,2.00,6.00,0.00,1.00,7.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5390206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390230,0.00,0.00,1.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5390249,8.00,8.00,4.00,7.00,8.00,10.13,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5390265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390273,7.00,6.00,0.00,6.00,6.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5390281,5.00,2.00,1.00,6.00,6.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5390290,4.00,6.00,3.00,1.00,8.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5390303,2.00,4.00,0.00,2.00,3.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5390311,5.00,5.00,1.00,4.00,4.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5390320,4.00,5.00,2.00,5.00,7.00,9.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5390346,6.00,5.00,3.00,6.00,4.00,7.13,3.00,4.00,6.00,NULL,NULL,NULL,'S'),(20,5390354,6.00,5.00,0.00,5.00,7.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5390362,6.00,6.00,4.00,6.00,3.00,NULL,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5390370,1.00,6.00,3.00,4.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5390389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390397,6.00,6.00,1.00,7.00,7.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5390400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390419,8.00,4.00,1.00,5.00,5.00,8.25,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5390427,3.00,5.00,2.00,3.00,6.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5390435,3.00,5.00,0.00,4.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5390443,3.00,5.00,2.00,0.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5390451,2.00,5.00,3.00,4.00,4.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5390460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390478,4.00,4.00,1.00,3.00,5.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5390494,4.00,7.00,4.00,4.00,4.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5390508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390516,3.00,4.00,1.00,3.00,5.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5390532,7.00,5.00,3.00,7.00,7.00,9.38,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5390540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390567,7.00,7.00,1.00,3.00,7.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5390575,5.00,4.00,2.00,5.00,7.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5390591,4.00,4.00,0.00,7.00,8.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5390613,8.00,7.00,6.00,5.00,9.00,8.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5390621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390656,5.00,4.00,3.00,4.00,4.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5390664,5.00,8.00,3.00,6.00,7.00,9.38,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5390672,3.00,4.00,2.00,4.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,'S','N'),(20,5390680,5.00,7.00,5.00,6.00,8.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5390699,4.00,5.00,3.00,5.00,4.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5390702,4.00,3.00,4.00,6.00,5.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5390710,3.00,3.00,0.00,1.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5390729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390737,6.00,7.00,4.00,5.00,8.00,10.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5390745,1.00,5.00,0.00,2.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5390753,5.00,6.00,1.00,2.00,5.00,6.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5390761,9.00,7.00,2.00,6.00,9.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5390770,6.00,4.00,1.00,7.00,11.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5390788,3.00,5.00,2.00,7.00,7.00,10.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5390796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390842,5.00,4.00,2.00,4.00,4.00,10.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5390850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390869,4.00,4.00,2.00,4.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,'S','N'),(20,5390877,8.00,7.00,3.00,6.00,9.00,8.25,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5390885,5.00,5.00,1.00,7.00,5.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5390893,5.00,6.00,1.00,5.00,5.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5390907,5.00,7.00,4.00,5.00,8.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5390915,7.00,8.00,2.00,8.00,8.00,12.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5390931,4.00,6.00,4.00,4.00,7.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5390940,7.00,5.00,3.00,6.00,7.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5390958,2.00,4.00,4.00,3.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5390966,4.00,4.00,2.00,1.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5390974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5390982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391008,5.00,5.00,0.00,4.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5391024,0.00,6.00,1.00,6.00,5.00,NULL,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5391032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391040,4.00,5.00,3.00,2.00,5.00,6.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5391059,3.00,7.00,1.00,2.00,2.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5391067,4.00,7.00,0.00,7.00,7.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5391075,4.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5391083,7.00,6.00,4.00,3.00,8.00,10.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5391091,3.00,3.00,4.00,3.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5391121,3.00,4.00,3.00,5.00,3.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5391130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391156,5.00,5.00,1.00,3.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5391164,5.00,7.00,3.00,7.00,7.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5391172,3.00,0.00,3.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5391180,6.00,3.00,6.00,4.00,6.00,6.75,6.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5391199,7.00,4.00,6.00,7.00,8.00,6.75,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5391202,8.00,9.00,6.00,5.00,9.00,11.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5391210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391237,6.00,6.00,3.00,7.00,8.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5391245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391288,3.00,4.00,3.00,4.00,6.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5391296,4.00,4.00,1.00,3.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5391300,8.00,7.00,2.00,5.00,6.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5391318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391334,4.00,2.00,0.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5391342,5.00,3.00,5.00,6.00,6.00,6.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5391350,6.00,6.00,1.00,8.00,9.00,12.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5391369,8.00,8.00,0.00,4.00,4.00,NULL,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5391377,5.00,8.00,1.00,4.00,6.00,10.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5391385,6.00,6.00,4.00,5.00,6.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5391393,7.00,4.00,4.00,7.00,7.00,10.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5391407,4.00,4.00,1.00,7.00,7.00,7.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5391415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391431,4.00,1.00,0.00,1.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5391440,7.00,5.00,4.00,3.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,'S','N'),(20,5391458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391504,1.00,3.00,1.00,1.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5391512,5.00,4.00,0.00,2.00,7.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5391520,4.00,5.00,2.00,5.00,9.00,11.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5391539,4.00,4.00,0.00,5.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'S'),(20,5391547,5.00,3.00,2.00,1.00,8.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5391555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391563,6.00,8.00,4.00,7.00,8.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5391580,4.00,7.00,2.00,5.00,5.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5391598,5.00,7.00,1.00,7.00,7.00,9.00,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5391610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391628,8.00,8.00,6.00,7.00,8.00,11.63,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5391636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391644,5.00,5.00,0.00,7.00,6.00,10.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5391652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391660,9.00,6.00,5.00,6.00,9.00,9.00,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5391679,6.00,3.00,3.00,5.00,4.00,9.38,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5391687,2.00,5.00,1.00,5.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5391709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391725,2.00,3.00,1.00,4.00,7.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5391733,2.00,4.00,1.00,6.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5391741,8.00,8.00,5.00,5.00,10.00,11.63,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5391750,3.00,3.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5391776,2.00,5.00,1.00,2.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5391784,4.00,3.00,2.00,6.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'S'),(20,5391792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391814,5.00,5.00,1.00,3.00,5.00,NULL,2.00,3.00,5.00,NULL,NULL,'S','N'),(20,5391822,5.00,7.00,4.00,6.00,8.00,7.88,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5391830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391857,7.00,6.00,3.00,4.00,8.00,10.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5391873,7.00,5.00,1.00,6.00,6.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5391881,2.00,5.00,0.00,0.00,2.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5391890,6.00,6.00,5.00,6.00,7.00,7.50,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5391903,1.00,4.00,2.00,1.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5391911,7.00,6.00,3.00,5.00,7.00,9.38,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5391920,3.00,3.00,1.00,4.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5391938,4.00,4.00,3.00,6.00,5.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5391946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5391954,6.00,7.00,4.00,7.00,7.00,10.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5391989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392004,3.00,4.00,1.00,5.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5392012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392020,6.00,6.00,2.00,4.00,9.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5392039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392047,5.00,5.00,2.00,6.00,6.00,6.75,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5392055,2.00,6.00,1.00,4.00,5.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5392063,5.00,4.00,2.00,4.00,6.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5392071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392098,3.00,4.00,3.00,4.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5392101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392110,3.00,4.00,1.00,5.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5392144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392152,8.00,7.00,2.00,6.00,7.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5392160,3.00,2.00,2.00,4.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5392187,3.00,5.00,0.00,2.00,6.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5392195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392209,1.00,2.00,1.00,4.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5392217,3.00,6.00,2.00,4.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5392225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392233,4.00,6.00,5.00,6.00,7.00,8.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5392241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392292,1.00,0.00,1.00,3.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5392306,1.00,3.00,0.00,2.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5392314,5.00,5.00,0.00,5.00,5.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5392322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392330,5.00,6.00,2.00,6.00,7.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5392357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392373,8.00,7.00,4.00,4.00,8.00,8.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5392381,6.00,3.00,3.00,4.00,8.00,6.38,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(20,5392390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392420,5.00,8.00,2.00,5.00,6.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5392454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392462,6.00,5.00,3.00,4.00,5.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5392470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392489,3.00,0.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5392497,5.00,6.00,2.00,5.00,8.00,10.13,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(20,5392500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392527,2.00,5.00,3.00,3.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5392535,5.00,3.00,2.00,3.00,6.00,8.63,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5392543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392551,5.00,4.00,1.00,4.00,4.00,9.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5392560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392578,6.00,6.00,4.00,6.00,5.00,7.50,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5392586,2.00,6.00,1.00,4.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5392608,2.00,4.00,0.00,5.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5392616,4.00,8.00,0.00,3.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5392624,6.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(20,5392640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392659,6.00,5.00,4.00,6.00,9.00,13.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5392667,7.00,6.00,2.00,6.00,8.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5392675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392691,3.00,5.00,3.00,4.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5392705,3.00,6.00,3.00,2.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5392713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392748,5.00,0.00,0.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5392756,3.00,8.00,6.00,7.00,7.00,8.25,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5392764,4.00,6.00,1.00,3.00,5.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5392772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392829,3.00,8.00,2.00,0.00,5.00,9.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5392845,5.00,4.00,0.00,3.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5392853,3.00,6.00,1.00,2.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5392861,3.00,5.00,1.00,6.00,4.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5392888,5.00,5.00,1.00,6.00,7.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5392896,3.00,2.00,2.00,2.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5392900,7.00,3.00,4.00,3.00,7.00,10.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5392926,6.00,6.00,0.00,3.00,7.00,10.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5392934,8.00,6.00,1.00,5.00,4.00,7.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5392942,6.00,7.00,3.00,7.00,7.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5392950,7.00,4.00,1.00,5.00,9.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5392969,7.00,6.00,2.00,4.00,10.00,9.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5392977,0.00,4.00,0.00,1.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5392985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5392993,4.00,5.00,0.00,2.00,7.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5393000,2.00,4.00,1.00,5.00,3.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5393019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393035,5.00,5.00,2.00,6.00,5.00,9.38,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5393051,4.00,4.00,0.00,3.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5393060,5.00,7.00,2.00,3.00,9.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5393078,5.00,6.00,3.00,3.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5393086,4.00,4.00,3.00,2.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5393094,2.00,2.00,0.00,5.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5393108,6.00,4.00,1.00,6.00,6.00,10.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5393116,9.00,6.00,2.00,5.00,8.00,10.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5393124,5.00,5.00,2.00,5.00,7.00,9.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5393132,4.00,4.00,3.00,5.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5393140,2.00,4.00,1.00,2.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5393167,5.00,7.00,4.00,4.00,8.00,9.00,2.00,0.00,7.00,NULL,NULL,NULL,'N'),(20,5393175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393183,6.00,3.00,5.00,3.00,5.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5393191,8.00,6.00,6.00,7.00,7.00,7.88,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5393205,3.00,7.00,1.00,5.00,4.00,9.00,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5393221,7.00,8.00,4.00,6.00,8.00,10.13,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5393230,8.00,6.00,6.00,7.00,8.00,10.13,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5393248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393256,2.00,5.00,4.00,3.00,6.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5393264,5.00,8.00,4.00,7.00,9.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5393272,7.00,3.00,0.00,5.00,7.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5393280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393329,6.00,2.00,2.00,4.00,6.00,9.38,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5393337,5.00,5.00,1.00,5.00,6.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5393345,5.00,6.00,1.00,6.00,6.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5393353,2.00,0.00,0.00,2.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5393361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393370,4.00,6.00,2.00,7.00,6.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(20,5393388,4.00,5.00,3.00,7.00,7.00,0.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5393396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393434,5.00,7.00,0.00,7.00,9.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5393442,5.00,8.00,0.00,5.00,7.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5393450,4.00,6.00,1.00,6.00,7.00,9.75,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5393469,6.00,6.00,0.00,1.00,9.00,10.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5393485,3.00,6.00,2.00,6.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5393493,7.00,4.00,1.00,6.00,5.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5393515,3.00,3.00,2.00,5.00,8.00,8.25,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5393523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393540,0.00,5.00,0.00,0.00,5.00,NULL,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5393566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393582,4.00,5.00,3.00,5.00,4.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5393590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393620,3.00,0.00,0.00,6.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5393639,4.00,6.00,4.00,6.00,8.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5393647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393663,4.00,4.00,2.00,4.00,6.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5393671,4.00,0.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(20,5393680,8.00,7.00,4.00,6.00,8.00,9.38,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5393698,4.00,1.00,1.00,2.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5393701,7.00,4.00,1.00,7.00,6.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5393710,4.00,4.00,2.00,4.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5393728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393744,5.00,7.00,2.00,2.00,6.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5393760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393779,2.00,4.00,2.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5393787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393817,5.00,6.00,0.00,7.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5393825,6.00,5.00,5.00,5.00,8.00,11.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5393833,0.00,0.00,2.00,2.00,3.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5393841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393868,9.00,6.00,6.00,6.00,6.00,10.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5393876,2.00,6.00,1.00,4.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5393884,2.00,7.00,1.00,7.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5393906,6.00,6.00,4.00,4.00,7.00,3.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5393914,3.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5393922,3.00,8.00,2.00,5.00,7.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5393930,7.00,5.00,6.00,6.00,6.00,0.00,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(20,5393949,5.00,6.00,2.00,7.00,6.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5393957,2.00,5.00,0.00,4.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5393965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5393981,2.00,3.00,0.00,3.00,7.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5393990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394007,6.00,4.00,4.00,3.00,4.00,4.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5394015,8.00,7.00,3.00,6.00,6.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5394023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394031,3.00,5.00,2.00,3.00,8.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5394058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394104,6.00,5.00,3.00,7.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5394112,2.00,4.00,0.00,3.00,4.00,NULL,4.00,3.00,1.00,NULL,NULL,'S','N'),(20,5394120,7.00,7.00,1.00,3.00,5.00,9.38,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5394139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394147,4.00,1.00,1.00,2.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5394155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394163,5.00,5.00,2.00,4.00,6.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5394171,7.00,5.00,4.00,7.00,9.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5394180,5.00,5.00,3.00,5.00,5.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5394198,4.00,2.00,2.00,7.00,4.00,6.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5394201,6.00,5.00,6.00,7.00,10.00,7.88,6.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5394210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394228,4.00,4.00,0.00,7.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5394236,4.00,4.00,0.00,4.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5394244,4.00,5.00,4.00,3.00,4.00,8.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5394252,2.00,5.00,0.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5394260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394279,8.00,6.00,3.00,7.00,7.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5394287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394295,4.00,7.00,3.00,4.00,4.00,4.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5394309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394317,9.00,7.00,3.00,7.00,7.00,9.00,5.00,2.00,8.00,NULL,NULL,NULL,'N'),(20,5394325,3.00,3.00,0.00,5.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5394333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394384,7.00,6.00,6.00,6.00,5.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5394392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394406,8.00,6.00,6.00,6.00,8.00,7.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5394414,2.00,5.00,0.00,5.00,6.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5394422,2.00,5.00,3.00,4.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5394449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394457,5.00,5.00,2.00,7.00,7.00,10.13,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5394465,3.00,3.00,0.00,2.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5394481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394490,5.00,6.00,3.00,4.00,9.00,9.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5394503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394511,3.00,4.00,0.00,3.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5394546,4.00,5.00,0.00,4.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5394554,2.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5394570,7.00,6.00,1.00,3.00,5.00,0.00,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5394589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394597,6.00,5.00,1.00,3.00,9.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5394600,7.00,7.00,4.00,6.00,6.00,7.50,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5394619,2.00,3.00,0.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5394643,9.00,6.00,2.00,5.00,7.00,11.25,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5394651,4.00,4.00,2.00,3.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5394660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394708,4.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5394716,4.00,5.00,1.00,7.00,6.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5394724,4.00,4.00,2.00,2.00,5.00,8.63,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5394740,6.00,7.00,4.00,7.00,8.00,12.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5394759,7.00,2.00,2.00,0.00,8.00,NULL,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5394767,2.00,6.00,4.00,6.00,6.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5394775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394783,6.00,6.00,1.00,6.00,6.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5394805,4.00,0.00,1.00,5.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5394821,3.00,5.00,1.00,2.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5394848,4.00,6.00,4.00,5.00,6.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5394856,2.00,4.00,0.00,3.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5394864,7.00,5.00,1.00,6.00,7.00,10.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5394872,6.00,7.00,6.00,7.00,8.00,8.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5394899,6.00,5.00,1.00,4.00,9.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5394910,5.00,6.00,1.00,6.00,5.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5394929,4.00,4.00,2.00,6.00,7.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5394937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5394988,4.00,5.00,1.00,5.00,4.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5394996,3.00,4.00,2.00,5.00,6.00,6.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5395003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395011,2.00,4.00,2.00,4.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5395038,7.00,8.00,4.00,8.00,7.00,7.88,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5395046,2.00,6.00,2.00,4.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5395054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395070,2.00,5.00,4.00,6.00,6.00,10.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5395089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395119,7.00,7.00,3.00,1.00,6.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5395127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395151,2.00,5.00,5.00,4.00,5.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5395160,6.00,3.00,0.00,5.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5395186,6.00,6.00,2.00,6.00,8.00,9.38,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5395194,1.00,0.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5395216,2.00,5.00,0.00,1.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5395224,1.00,2.00,4.00,6.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5395240,5.00,6.00,5.00,6.00,5.00,8.63,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5395259,3.00,7.00,1.00,2.00,5.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5395267,4.00,4.00,2.00,3.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5395291,3.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5395305,2.00,3.00,3.00,5.00,6.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5395313,8.00,6.00,5.00,7.00,9.00,10.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5395321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395348,2.00,7.00,0.00,2.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5395356,3.00,5.00,1.00,7.00,5.00,6.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5395380,9.00,6.00,4.00,7.00,7.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(20,5395402,5.00,5.00,1.00,6.00,7.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5395410,5.00,6.00,2.00,6.00,8.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5395429,1.00,8.00,2.00,4.00,7.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5395437,8.00,5.00,7.00,6.00,8.00,8.25,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5395445,7.00,5.00,2.00,5.00,5.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5395461,3.00,6.00,0.00,7.00,4.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5395470,9.00,0.00,6.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5395488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395500,5.00,5.00,4.00,4.00,5.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5395518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395534,2.00,6.00,4.00,1.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5395542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395550,8.00,7.00,5.00,5.00,8.00,10.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5395569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395577,3.00,4.00,0.00,5.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5395585,5.00,5.00,3.00,7.00,6.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5395593,8.00,5.00,1.00,6.00,6.00,7.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5395615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395623,3.00,3.00,1.00,3.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5395631,5.00,4.00,1.00,5.00,7.00,10.88,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5395640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395658,7.00,7.00,7.00,7.00,10.00,7.50,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5395666,6.00,6.00,4.00,7.00,9.00,10.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5395674,7.00,7.00,3.00,8.00,7.00,9.38,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5395682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395704,3.00,6.00,2.00,2.00,6.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5395712,1.00,2.00,2.00,1.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5395720,2.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5395739,2.00,4.00,1.00,3.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5395755,1.00,3.00,0.00,6.00,7.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5395763,0.00,2.00,1.00,0.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5395771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395810,2.00,5.00,3.00,3.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5395828,7.00,6.00,3.00,7.00,8.00,9.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5395836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395844,4.00,2.00,0.00,1.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5395852,4.00,5.00,2.00,3.00,7.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5395879,7.00,6.00,3.00,6.00,8.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5395887,2.00,3.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5395909,2.00,3.00,2.00,1.00,5.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5395917,9.00,5.00,4.00,5.00,6.00,7.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5395925,2.00,6.00,2.00,3.00,8.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5395933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395950,4.00,3.00,1.00,4.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(20,5395968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5395984,7.00,4.00,2.00,4.00,7.00,10.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5395992,0.00,4.00,0.00,5.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5396000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5396026,6.00,7.00,2.00,7.00,8.00,10.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5396034,6.00,6.00,4.00,5.00,7.00,9.75,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5396042,9.00,6.00,1.00,4.00,5.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5396069,5.00,6.00,3.00,2.00,7.00,7.13,6.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5396077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5396115,3.00,5.00,3.00,7.00,7.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5396140,6.00,6.00,2.00,2.00,6.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5396158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5396166,3.00,6.00,5.00,3.00,3.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5396174,3.00,2.00,0.00,4.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5396182,4.00,4.00,2.00,5.00,5.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5396190,6.00,6.00,0.00,3.00,9.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5396204,7.00,6.00,1.00,5.00,9.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5396220,4.00,5.00,0.00,3.00,6.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5396239,2.00,6.00,1.00,3.00,6.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5396247,7.00,8.00,2.00,5.00,7.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5396271,6.00,6.00,7.00,7.00,8.00,9.38,5.00,1.00,8.00,NULL,NULL,NULL,'N'),(20,5396280,4.00,6.00,1.00,6.00,6.00,10.50,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5396298,8.00,6.00,6.00,3.00,5.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5396310,3.00,5.00,1.00,3.00,5.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5396328,3.00,1.00,0.00,1.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5396344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5396352,7.00,6.00,3.00,6.00,7.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5396379,5.00,3.00,3.00,4.00,4.00,6.75,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5396387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5396395,7.00,4.00,3.00,3.00,6.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5396409,1.00,4.00,0.00,5.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5396417,8.00,5.00,1.00,6.00,7.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5396425,3.00,4.00,0.00,0.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5396450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5396476,5.00,5.00,5.00,5.00,4.00,9.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5396484,3.00,6.00,1.00,3.00,4.00,9.38,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5396506,2.00,2.00,0.00,3.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5396514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5396522,7.00,5.00,0.00,8.00,8.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5396530,6.00,6.00,7.00,6.00,4.00,9.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5396557,4.00,4.00,0.00,4.00,7.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5396565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5396573,3.00,4.00,2.00,0.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5396603,5.00,5.00,1.00,4.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5396611,6.00,7.00,3.00,7.00,6.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5396620,0.00,3.00,0.00,2.00,1.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'S'),(20,5396638,7.00,3.00,1.00,7.00,7.00,7.13,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5396646,6.00,7.00,1.00,4.00,6.00,6.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5396654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5396662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5396670,4.00,6.00,3.00,5.00,4.00,7.13,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5396689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5396697,7.00,7.00,2.00,7.00,5.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(20,5396727,6.00,5.00,2.00,7.00,3.00,NULL,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5396743,6.00,2.00,3.00,4.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5396751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5396760,4.00,5.00,4.00,5.00,5.00,9.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5396778,3.00,0.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(20,5396786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5396794,4.00,6.00,1.00,4.00,7.00,8.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5396808,5.00,5.00,3.00,3.00,5.00,4.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5396816,3.00,5.00,2.00,3.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5396824,6.00,7.00,2.00,5.00,9.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5396840,7.00,5.00,1.00,5.00,6.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5396859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5396867,7.00,7.00,4.00,6.00,7.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5396875,6.00,7.00,4.00,4.00,5.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5396883,4.00,4.00,1.00,1.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5396891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5396905,1.00,5.00,2.00,5.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5396913,7.00,7.00,2.00,4.00,1.00,NULL,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5396921,7.00,9.00,1.00,7.00,7.00,9.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5396930,4.00,5.00,1.00,5.00,4.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5396956,2.00,4.00,1.00,3.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5396964,5.00,6.00,3.00,7.00,6.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5396972,5.00,4.00,3.00,5.00,5.00,8.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5397006,5.00,7.00,3.00,6.00,7.00,10.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5397014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397022,4.00,6.00,3.00,3.00,4.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(20,5397030,3.00,5.00,3.00,4.00,3.00,NULL,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5397049,3.00,7.00,2.00,1.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5397073,4.00,4.00,3.00,5.00,5.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5397081,4.00,4.00,2.00,3.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5397090,5.00,5.00,4.00,5.00,7.00,10.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5397103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397120,5.00,4.00,1.00,5.00,4.00,9.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5397138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397197,5.00,4.00,2.00,4.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5397200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397219,5.00,5.00,2.00,5.00,5.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5397235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397260,7.00,5.00,0.00,5.00,5.00,8.63,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5397278,7.00,7.00,5.00,7.00,9.00,7.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5397294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397308,3.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5397340,7.00,7.00,5.00,7.00,6.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5397367,3.00,6.00,2.00,5.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5397375,4.00,3.00,2.00,3.00,8.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5397383,5.00,7.00,3.00,5.00,5.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(20,5397391,4.00,4.00,2.00,5.00,5.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5397405,3.00,2.00,1.00,7.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5397421,3.00,5.00,2.00,3.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5397430,3.00,5.00,2.00,4.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5397448,3.00,5.00,2.00,4.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(20,5397456,3.00,4.00,1.00,3.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5397464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397472,7.00,7.00,6.00,6.00,8.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5397480,3.00,5.00,2.00,2.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5397499,5.00,5.00,1.00,3.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5397502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397510,5.00,7.00,2.00,4.00,7.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5397529,6.00,5.00,2.00,5.00,7.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5397545,7.00,7.00,1.00,3.00,7.00,6.38,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(20,5397561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5397570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397596,6.00,7.00,2.00,4.00,5.00,9.00,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5397600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397618,3.00,5.00,3.00,4.00,6.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5397626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397634,4.00,7.00,5.00,5.00,10.00,7.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5397642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397669,3.00,6.00,2.00,6.00,5.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5397677,5.00,3.00,2.00,6.00,4.00,3.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5397693,5.00,4.00,1.00,3.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5397715,6.00,6.00,5.00,7.00,8.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5397723,5.00,5.00,1.00,2.00,5.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5397731,2.00,5.00,1.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5397758,6.00,6.00,2.00,6.00,10.00,10.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5397766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397774,5.00,6.00,2.00,6.00,6.00,10.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5397782,6.00,7.00,4.00,6.00,9.00,12.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5397790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397804,1.00,4.00,0.00,4.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5397839,1.00,3.00,2.00,0.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5397847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397863,4.00,1.00,3.00,6.00,6.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5397871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397901,2.00,5.00,0.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5397910,4.00,5.00,0.00,2.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5397928,1.00,3.00,2.00,2.00,7.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5397936,6.00,6.00,0.00,7.00,7.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5397944,6.00,6.00,0.00,6.00,8.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5397952,7.00,8.00,5.00,7.00,5.00,7.88,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5397960,2.00,5.00,0.00,2.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5397979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5397987,7.00,8.00,4.00,7.00,7.00,7.88,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5397995,0.00,4.00,1.00,3.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(20,5398010,9.00,6.00,6.00,6.00,6.00,7.88,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5398029,6.00,7.00,2.00,7.00,6.00,9.00,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5398045,7.00,7.00,5.00,7.00,9.00,12.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5398053,3.00,4.00,2.00,2.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5398061,3.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5398070,5.00,3.00,0.00,3.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5398088,6.00,8.00,3.00,7.00,7.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5398096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398100,6.00,4.00,4.00,7.00,7.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5398118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398134,3.00,8.00,0.00,5.00,5.00,7.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5398142,7.00,5.00,1.00,4.00,7.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5398150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398193,7.00,9.00,5.00,7.00,11.00,10.50,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5398207,5.00,0.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5398215,5.00,6.00,5.00,7.00,9.00,7.88,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5398223,2.00,3.00,1.00,4.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(20,5398231,4.00,6.00,2.00,5.00,4.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5398240,5.00,6.00,1.00,5.00,9.00,7.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5398258,6.00,7.00,4.00,7.00,9.00,7.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5398266,3.00,5.00,1.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5398274,4.00,5.00,3.00,5.00,6.00,7.50,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(20,5398312,4.00,6.00,4.00,7.00,4.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5398320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398339,6.00,7.00,3.00,7.00,9.00,9.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5398355,8.00,6.00,5.00,6.00,6.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5398363,5.00,5.00,0.00,6.00,6.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5398380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398428,5.00,4.00,1.00,6.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5398436,7.00,7.00,1.00,8.00,6.00,10.50,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5398444,5.00,5.00,3.00,4.00,3.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5398460,1.00,2.00,1.00,3.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5398479,3.00,3.00,1.00,3.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5398487,4.00,4.00,3.00,5.00,4.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5398495,2.00,4.00,1.00,4.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5398509,4.00,4.00,4.00,5.00,4.00,9.00,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5398517,2.00,5.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5398525,3.00,4.00,2.00,6.00,3.00,NULL,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5398533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398568,8.00,6.00,3.00,6.00,7.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5398576,8.00,6.00,3.00,7.00,8.00,10.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5398584,5.00,5.00,1.00,6.00,7.00,10.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5398592,4.00,4.00,1.00,3.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5398614,7.00,4.00,7.00,8.00,7.00,7.88,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5398622,2.00,2.00,1.00,6.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5398630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398681,1.00,5.00,2.00,1.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5398690,5.00,5.00,2.00,7.00,5.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5398720,3.00,2.00,2.00,2.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5398738,5.00,3.00,4.00,4.00,3.00,NULL,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5398746,3.00,7.00,2.00,6.00,6.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5398754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398762,6.00,3.00,4.00,2.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5398789,5.00,4.00,1.00,4.00,5.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5398797,4.00,5.00,2.00,4.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5398800,1.00,4.00,2.00,4.00,6.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5398819,6.00,6.00,0.00,6.00,7.00,3.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5398843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398916,3.00,5.00,1.00,1.00,3.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5398924,9.00,4.00,7.00,5.00,7.00,7.13,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5398940,0.00,3.00,0.00,3.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5398975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5398983,8.00,5.00,3.00,5.00,6.00,9.00,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5398991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399017,4.00,4.00,0.00,4.00,7.00,6.38,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5399033,7.00,4.00,5.00,7.00,9.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5399041,3.00,6.00,4.00,7.00,7.00,8.63,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5399050,6.00,5.00,4.00,7.00,6.00,6.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5399068,5.00,5.00,4.00,3.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5399106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399157,4.00,3.00,0.00,3.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5399165,6.00,6.00,3.00,5.00,7.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5399173,5.00,6.00,0.00,2.00,7.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5399181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399211,4.00,3.00,1.00,2.00,1.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5399238,5.00,6.00,2.00,5.00,7.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5399246,2.00,3.00,1.00,0.00,2.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5399262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399270,4.00,6.00,1.00,4.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5399289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399297,7.00,6.00,4.00,6.00,8.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5399300,6.00,6.00,4.00,6.00,7.00,7.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5399319,2.00,6.00,2.00,6.00,6.00,10.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5399335,8.00,7.00,2.00,6.00,9.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5399343,1.00,0.00,3.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5399351,8.00,5.00,4.00,4.00,8.00,7.88,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5399378,3.00,7.00,3.00,5.00,5.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5399386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399424,4.00,4.00,2.00,5.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5399459,2.00,7.00,1.00,4.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5399467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399475,3.00,4.00,3.00,4.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5399491,0.00,2.00,0.00,1.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5399505,7.00,5.00,3.00,7.00,4.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5399513,5.00,6.00,2.00,6.00,5.00,9.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5399521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399572,7.00,7.00,4.00,7.00,10.00,12.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5399599,6.00,7.00,4.00,5.00,4.00,7.13,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5399610,2.00,4.00,1.00,1.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5399629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399645,8.00,6.00,1.00,6.00,7.00,4.50,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5399653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399661,7.00,4.00,3.00,5.00,5.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5399688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399700,7.00,5.00,4.00,7.00,8.00,7.88,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5399718,5.00,6.00,1.00,7.00,9.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5399726,2.00,3.00,0.00,4.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5399734,5.00,3.00,5.00,2.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5399742,6.00,7.00,6.00,7.00,7.00,7.88,7.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5399750,1.00,4.00,3.00,2.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5399769,5.00,5.00,5.00,7.00,6.00,9.38,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5399777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399793,3.00,4.00,0.00,5.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5399815,0.00,2.00,4.00,4.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5399823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399840,6.00,6.00,5.00,6.00,9.00,10.13,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5399858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399890,5.00,7.00,2.00,7.00,9.00,9.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(20,5399904,5.00,8.00,0.00,5.00,9.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5399920,4.00,6.00,2.00,4.00,5.00,8.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5399939,3.00,5.00,1.00,3.00,5.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5399955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399963,7.00,0.00,4.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5399971,5.00,3.00,1.00,6.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'S'),(20,5399980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5399998,6.00,2.00,1.00,4.00,4.00,7.88,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5400007,8.00,8.00,4.00,6.00,5.00,7.13,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5400015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400023,4.00,5.00,3.00,4.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5400031,3.00,4.00,3.00,3.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5400058,4.00,7.00,2.00,5.00,5.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5400066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400082,8.00,5.00,3.00,6.00,9.00,6.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5400090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400104,0.00,4.00,0.00,2.00,1.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(20,5400112,2.00,3.00,1.00,1.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5400120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400139,4.00,5.00,0.00,5.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5400147,1.00,6.00,4.00,4.00,6.00,10.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5400163,6.00,6.00,4.00,8.00,7.00,11.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5400171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400180,2.00,4.00,3.00,3.00,4.00,4.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5400198,2.00,6.00,4.00,3.00,7.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5400201,2.00,6.00,2.00,3.00,6.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5400210,4.00,5.00,3.00,5.00,4.00,3.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5400228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400236,3.00,3.00,1.00,2.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,'S','N'),(20,5400244,1.00,2.00,0.00,2.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5400252,4.00,5.00,2.00,5.00,5.00,7.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5400279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400295,5.00,4.00,1.00,1.00,4.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5400309,5.00,4.00,0.00,3.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,'S','S'),(20,5400333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400341,8.00,6.00,2.00,7.00,8.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5400368,3.00,2.00,3.00,7.00,5.00,8.25,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5400376,3.00,6.00,3.00,6.00,4.00,8.63,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(20,5400392,4.00,5.00,2.00,4.00,8.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5400406,4.00,3.00,1.00,6.00,6.00,7.88,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5400422,4.00,5.00,3.00,2.00,8.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5400430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400457,6.00,6.00,3.00,7.00,5.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5400465,8.00,7.00,0.00,7.00,8.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5400481,8.00,5.00,4.00,5.00,5.00,6.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(20,5400490,3.00,3.00,0.00,5.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5400503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400511,9.00,9.00,1.00,5.00,8.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5400520,2.00,2.00,1.00,7.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5400538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400562,7.00,8.00,2.00,7.00,5.00,9.38,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5400570,6.00,5.00,0.00,1.00,4.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5400589,4.00,4.00,4.00,2.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5400597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400600,8.00,6.00,4.00,4.00,7.00,8.63,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5400619,8.00,3.00,1.00,3.00,4.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5400635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400643,8.00,6.00,3.00,6.00,4.00,10.88,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5400651,1.00,1.00,1.00,1.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5400660,4.00,5.00,2.00,1.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5400678,3.00,3.00,1.00,4.00,4.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5400686,0.00,4.00,2.00,2.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5400694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400708,3.00,5.00,4.00,4.00,8.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5400716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400759,3.00,3.00,1.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5400767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400775,4.00,5.00,0.00,7.00,8.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(20,5400783,2.00,3.00,0.00,3.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(20,5400791,5.00,3.00,4.00,7.00,4.00,9.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5400813,8.00,8.00,5.00,5.00,9.00,10.13,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5400821,6.00,4.00,2.00,3.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5400830,0.00,5.00,2.00,1.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5400848,4.00,6.00,1.00,7.00,8.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5400864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5400899,3.00,3.00,1.00,6.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(20,5400929,3.00,3.00,0.00,4.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5400937,3.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5400945,5.00,3.00,2.00,4.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5400961,8.00,7.00,7.00,7.00,8.00,8.63,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(20,5400970,7.00,3.00,1.00,5.00,5.00,9.75,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5400996,6.00,5.00,6.00,6.00,6.00,4.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5401003,4.00,7.00,5.00,6.00,5.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5401011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401046,5.00,5.00,3.00,5.00,4.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5401054,5.00,6.00,0.00,7.00,8.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5401062,7.00,6.00,0.00,5.00,7.00,10.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5401070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401097,7.00,7.00,3.00,7.00,4.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5401100,6.00,6.00,0.00,5.00,4.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5401119,5.00,4.00,5.00,6.00,5.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5401127,9.00,8.00,3.00,6.00,7.00,9.00,7.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5401143,5.00,4.00,3.00,4.00,5.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(20,5401160,2.00,5.00,0.00,0.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5401178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401216,7.00,7.00,2.00,7.00,10.00,10.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5401224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401232,6.00,5.00,3.00,6.00,6.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5401240,8.00,7.00,6.00,8.00,9.00,11.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(20,5401259,7.00,7.00,2.00,5.00,7.00,8.63,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5401283,8.00,7.00,5.00,7.00,5.00,9.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5401291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401313,2.00,2.00,1.00,4.00,2.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(20,5401330,3.00,4.00,2.00,4.00,4.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5401348,5.00,8.00,3.00,6.00,6.00,11.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5401372,2.00,2.00,4.00,6.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5401399,2.00,5.00,1.00,2.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5401429,6.00,4.00,1.00,4.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5401445,5.00,6.00,1.00,6.00,7.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5401453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401470,3.00,6.00,1.00,3.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5401488,2.00,4.00,4.00,5.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5401496,4.00,4.00,2.00,4.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5401518,5.00,6.00,5.00,5.00,6.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5401542,2.00,6.00,1.00,1.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5401577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401585,6.00,5.00,1.00,6.00,6.00,9.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5401593,5.00,4.00,5.00,7.00,6.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5401607,7.00,0.00,4.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(20,5401615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401623,0.00,6.00,2.00,2.00,6.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5401631,8.00,7.00,4.00,5.00,5.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5401658,2.00,5.00,4.00,7.00,2.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5401666,3.00,4.00,2.00,6.00,4.00,10.13,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5401674,2.00,3.00,0.00,5.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5401682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401690,8.00,7.00,2.00,7.00,8.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5401704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401720,8.00,4.00,2.00,7.00,8.00,12.00,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5401739,6.00,7.00,4.00,7.00,7.00,7.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5401747,9.00,7.00,0.00,6.00,7.00,9.38,6.00,3.00,8.00,NULL,NULL,NULL,'N'),(20,5401755,3.00,4.00,1.00,1.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5401771,4.00,4.00,3.00,5.00,5.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5401780,6.00,8.00,3.00,6.00,7.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5401798,4.00,4.00,4.00,5.00,3.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5401801,1.00,4.00,0.00,1.00,0.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5401810,7.00,5.00,4.00,6.00,6.00,7.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5401828,4.00,5.00,1.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5401836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401887,3.00,4.00,2.00,3.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5401895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401909,4.00,6.00,3.00,7.00,6.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5401917,4.00,5.00,2.00,3.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5401925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5401950,1.00,5.00,2.00,3.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,'S','N'),(20,5401968,2.00,5.00,0.00,4.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5401976,4.00,6.00,4.00,7.00,7.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5401992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402018,5.00,6.00,2.00,5.00,5.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5402026,5.00,7.00,3.00,4.00,6.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5402034,3.00,5.00,1.00,3.00,4.00,NULL,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5402042,6.00,7.00,0.00,6.00,4.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5402050,5.00,0.00,3.00,3.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5402069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402077,2.00,5.00,2.00,5.00,7.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5402085,2.00,4.00,1.00,6.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5402093,4.00,6.00,5.00,3.00,6.00,4.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5402107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402115,7.00,4.00,2.00,3.00,7.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5402123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402131,3.00,4.00,4.00,6.00,5.00,4.13,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(20,5402140,5.00,2.00,4.00,1.00,4.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(20,5402158,8.00,8.00,7.00,5.00,7.00,6.75,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5402166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402174,3.00,6.00,1.00,3.00,8.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5402182,0.00,5.00,1.00,0.00,1.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5402190,2.00,2.00,3.00,0.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5402220,2.00,4.00,0.00,1.00,1.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5402239,4.00,4.00,1.00,3.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5402247,2.00,2.00,0.00,3.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5402255,3.00,3.00,3.00,7.00,4.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5402271,1.00,3.00,1.00,3.00,0.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(20,5402280,2.00,3.00,2.00,2.00,4.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5402298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402301,8.00,6.00,4.00,8.00,6.00,11.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5402310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402344,2.00,2.00,3.00,2.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5402352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402395,3.00,4.00,1.00,4.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5402409,9.00,7.00,3.00,7.00,8.00,8.25,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5402417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5402433,3.00,8.00,1.00,5.00,5.00,7.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5402450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(20,5402468,8.00,5.00,1.00,7.00,7.00,9.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5402484,8.00,7.00,7.00,6.00,6.00,9.75,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(20,5402492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402530,4.00,1.00,0.00,5.00,1.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5402549,6.00,7.00,2.00,6.00,4.00,10.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(20,5402557,8.00,5.00,5.00,1.00,3.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5402565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402590,8.00,6.00,3.00,3.00,5.00,6.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5402603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402638,5.00,6.00,3.00,7.00,6.00,7.88,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(20,5402646,5.00,5.00,6.00,2.00,5.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5402654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402662,4.00,4.00,2.00,3.00,3.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5402689,4.00,6.00,1.00,8.00,7.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5402700,5.00,7.00,1.00,4.00,4.00,8.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5402743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402794,8.00,6.00,4.00,7.00,9.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5402808,4.00,5.00,0.00,4.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5402816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402840,4.00,2.00,1.00,2.00,2.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5402867,8.00,6.00,4.00,7.00,8.00,10.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5402875,3.00,5.00,3.00,4.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5402883,3.00,5.00,2.00,8.00,6.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(20,5402891,9.00,5.00,2.00,7.00,9.00,8.63,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(20,5402905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402921,8.00,8.00,6.00,4.00,6.00,8.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5402930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402956,5.00,8.00,3.00,3.00,8.00,11.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5402980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5402999,1.00,7.00,5.00,4.00,9.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(20,5403006,6.00,5.00,2.00,5.00,8.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5403014,7.00,7.00,5.00,8.00,9.00,11.25,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(20,5403049,6.00,6.00,1.00,7.00,8.00,10.88,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5403057,7.00,7.00,2.00,4.00,6.00,7.13,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(20,5403065,2.00,3.00,2.00,7.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5403073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5403081,1.00,3.00,1.00,3.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5403090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5403120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5403138,0.00,3.00,0.00,4.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5403146,7.00,8.00,4.00,6.00,4.00,7.88,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(20,5403154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5403162,7.00,7.00,4.00,6.00,6.00,11.63,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5403170,5.00,5.00,1.00,4.00,6.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5403197,2.00,5.00,3.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5403219,3.00,6.00,1.00,4.00,6.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5403227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5403251,4.00,4.00,0.00,2.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5403278,7.00,5.00,1.00,6.00,5.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5403286,7.00,5.00,0.00,4.00,5.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5403294,3.00,5.00,1.00,5.00,5.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5403308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5403316,9.00,6.00,4.00,6.00,8.00,9.38,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5403324,7.00,6.00,6.00,7.00,6.00,7.50,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5403332,5.00,6.00,1.00,7.00,6.00,6.00,1.00,1.00,6.00,NULL,NULL,NULL,'S'),(20,5403340,0.00,3.00,1.00,4.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5403359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5403367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5403405,8.00,8.00,3.00,7.00,8.00,6.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5403413,5.00,7.00,4.00,7.00,6.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5403421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5403430,8.00,5.00,1.00,6.00,8.00,6.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5403448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5403456,3.00,2.00,0.00,3.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(20,5403464,7.00,6.00,0.00,2.00,3.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5403472,4.00,4.00,1.00,3.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5403480,5.00,5.00,0.00,5.00,4.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5403510,3.00,6.00,0.00,7.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5403529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5403537,4.00,5.00,2.00,5.00,2.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'S'),(20,5403545,0.00,4.00,2.00,4.00,5.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5403553,5.00,4.00,1.00,6.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,'S','S'),(20,5403596,7.00,7.00,4.00,7.00,8.00,11.25,6.00,4.00,9.00,NULL,NULL,NULL,'N'),(20,5403600,4.00,5.00,4.00,4.00,5.00,9.00,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(20,5403618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5403626,2.00,6.00,0.00,7.00,10.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(20,5403634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5403642,7.00,8.00,3.00,5.00,9.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5403650,8.00,3.00,0.00,8.00,7.00,9.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5403669,0.00,2.00,3.00,2.00,4.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5403677,4.00,6.00,4.00,6.00,3.00,NULL,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(20,5403685,3.00,7.00,1.00,5.00,6.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5403693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5403707,2.00,3.00,1.00,1.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5403715,4.00,6.00,1.00,3.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(20,5403723,7.00,5.00,2.00,7.00,6.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5403740,4.00,6.00,2.00,5.00,4.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5403758,3.00,3.00,1.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(20,5403774,5.00,6.00,4.00,7.00,8.00,6.75,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(20,5403790,4.00,3.00,1.00,5.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5403812,7.00,7.00,4.00,5.00,6.00,8.63,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(20,5403839,4.00,4.00,1.00,4.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5403847,7.00,5.00,3.00,6.00,8.00,9.00,6.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5403855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5403863,1.00,1.00,2.00,1.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5403871,3.00,3.00,2.00,6.00,4.00,6.38,5.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5403880,4.00,8.00,3.00,5.00,6.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5403898,5.00,5.00,4.00,6.00,9.00,6.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(20,5403910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5403936,5.00,5.00,0.00,1.00,8.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(20,5403952,7.00,5.00,4.00,7.00,9.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5403960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5403979,6.00,5.00,3.00,6.00,8.00,12.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5403987,2.00,5.00,0.00,6.00,3.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5403995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5404010,2.00,3.00,5.00,6.00,7.00,7.13,4.00,2.00,4.00,NULL,NULL,NULL,'S'),(20,5404045,5.00,7.00,2.00,7.00,7.00,0.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5404061,6.00,5.00,3.00,5.00,4.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5404070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5404088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5404096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5404100,7.00,6.00,3.00,7.00,8.00,10.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5404126,2.00,4.00,3.00,4.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5404134,5.00,5.00,3.00,6.00,5.00,9.38,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(20,5404150,5.00,6.00,1.00,5.00,4.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5404169,2.00,6.00,2.00,4.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,'S','N'),(20,5404185,8.00,8.00,5.00,8.00,6.00,8.25,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(20,5404193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5404223,8.00,8.00,3.00,7.00,10.00,11.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5404231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5404240,8.00,5.00,6.00,7.00,7.00,8.25,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(20,5404258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5404282,3.00,4.00,1.00,4.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5404290,3.00,4.00,0.00,7.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5404304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5404312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5404320,2.00,4.00,1.00,2.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5404339,5.00,6.00,1.00,5.00,5.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5404347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5404355,3.00,6.00,4.00,6.00,5.00,9.38,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5404371,8.00,8.00,5.00,7.00,5.00,7.13,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5404410,5.00,4.00,1.00,2.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5404436,5.00,6.00,1.00,5.00,8.00,10.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5404444,4.00,3.00,4.00,3.00,4.00,7.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5404452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5404460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5404495,8.00,4.00,0.00,4.00,6.00,NULL,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(20,5404517,1.00,4.00,3.00,3.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5404533,2.00,3.00,1.00,4.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(20,5404541,7.00,4.00,0.00,7.00,4.00,10.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(20,5404550,1.00,2.00,1.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(20,5404592,1.00,3.00,3.00,3.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(20,5404606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5404614,4.00,4.00,1.00,3.00,6.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5404622,3.00,7.00,2.00,2.00,6.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5404630,6.00,7.00,3.00,8.00,5.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(20,5404649,3.00,6.00,0.00,7.00,6.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5404665,5.00,6.00,2.00,7.00,5.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(20,5404673,3.00,4.00,0.00,4.00,4.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(20,5404681,1.00,3.00,0.00,5.00,5.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(20,5404690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5404703,8.00,5.00,3.00,5.00,5.00,10.88,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(20,5404711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(20,5404738,5.00,5.00,1.00,3.00,7.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(20,5404746,3.00,4.00,0.00,1.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(20,5404754,4.00,5.00,3.00,2.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(20,5404762,4.00,3.00,1.00,3.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(20,5404797,2.00,6.00,4.00,1.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(20,5404827,4.00,7.00,2.00,4.00,6.00,10.50,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(20,5404843,1.00,4.00,0.00,1.00,6.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(20,5404916,3.00,5.00,0.00,2.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(20,5404940,4.00,7.00,0.00,5.00,4.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(20,5404975,4.00,7.00,1.00,6.00,6.00,4.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(20,5404983,7.00,6.00,3.00,5.00,4.00,9.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6000010,5.00,7.00,4.00,7.00,9.00,10.13,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6000029,8.00,7.00,3.00,6.00,7.00,7.88,1.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6000037,4.00,6.00,0.00,4.00,9.00,12.00,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6000045,6.00,6.00,1.00,4.00,10.00,10.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6000053,3.00,3.00,1.00,6.00,5.00,9.38,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6000061,5.00,3.00,1.00,5.00,9.00,9.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6000070,4.00,6.00,0.00,4.00,3.00,6.75,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6000088,3.00,4.00,2.00,4.00,3.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6000100,4.00,5.00,3.00,3.00,5.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6000118,4.00,6.00,0.00,6.00,7.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6000134,2.00,4.00,0.00,3.00,3.00,6.38,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6000142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6000169,2.00,5.00,2.00,4.00,6.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6000177,7.00,6.00,5.00,6.00,7.00,10.13,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6000185,5.00,7.00,2.00,6.00,7.00,10.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6000193,2.00,7.00,2.00,2.00,7.00,9.38,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6000215,5.00,6.00,0.00,5.00,10.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6000231,2.00,4.00,2.00,4.00,6.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6000240,5.00,6.00,6.00,6.00,8.00,8.63,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6000258,2.00,0.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6000266,2.00,4.00,2.00,2.00,8.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6000274,6.00,6.00,2.00,4.00,9.00,9.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6000282,4.00,6.00,4.00,5.00,7.00,9.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6000290,4.00,5.00,4.00,6.00,6.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6000312,7.00,6.00,3.00,3.00,7.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6000320,2.00,5.00,2.00,1.00,4.00,6.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6000339,3.00,3.00,3.00,7.00,8.00,13.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6000355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6000363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6000371,3.00,3.00,2.00,4.00,7.00,8.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6000380,1.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6000398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6000401,4.00,6.00,3.00,3.00,6.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6000410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6000428,1.00,4.00,2.00,5.00,6.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6000436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6000452,3.00,4.00,3.00,4.00,7.00,5.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6000460,4.00,6.00,3.00,7.00,9.00,10.88,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(25,6000479,5.00,5.00,2.00,7.00,9.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6000487,5.00,4.00,1.00,5.00,8.00,8.63,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6000509,4.00,3.00,3.00,4.00,7.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6000517,5.00,6.00,2.00,5.00,7.00,10.13,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6000525,7.00,6.00,2.00,5.00,9.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6000550,5.00,5.00,2.00,5.00,8.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6000568,8.00,8.00,6.00,6.00,9.00,10.88,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6000576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6000584,7.00,6.00,7.00,7.00,8.00,12.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6000592,5.00,5.00,1.00,2.00,6.00,11.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6000614,6.00,6.00,1.00,4.00,9.00,8.25,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6000622,6.00,7.00,3.00,4.00,5.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6000630,3.00,6.00,0.00,3.00,6.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6000649,3.00,4.00,4.00,6.00,7.00,7.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6000657,8.00,7.00,3.00,7.00,9.00,11.63,1.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6000665,4.00,8.00,1.00,3.00,4.00,7.13,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6000681,4.00,6.00,2.00,4.00,4.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6000703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6000711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6000720,8.00,7.00,4.00,7.00,8.00,7.50,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6000738,5.00,5.00,2.00,3.00,5.00,8.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6000746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6000754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6000762,2.00,2.00,1.00,1.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6000770,4.00,3.00,5.00,5.00,8.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6000789,7.00,7.00,5.00,7.00,8.00,10.13,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6000797,5.00,6.00,4.00,7.00,8.00,11.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6000800,3.00,3.00,2.00,2.00,4.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6000843,7.00,3.00,5.00,5.00,9.00,11.63,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6000851,8.00,6.00,3.00,2.00,7.00,9.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6000860,6.00,7.00,2.00,5.00,6.00,11.63,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6000878,3.00,4.00,1.00,0.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6000894,3.00,2.00,0.00,5.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6000908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6000924,8.00,6.00,5.00,7.00,7.00,11.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6000932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6000959,7.00,6.00,2.00,6.00,6.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6000967,3.00,4.00,1.00,2.00,5.00,8.63,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6000975,3.00,2.00,2.00,3.00,3.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6000983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6001009,2.00,5.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6001017,4.00,5.00,1.00,8.00,9.00,8.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6001025,3.00,4.00,1.00,3.00,8.00,9.00,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6001041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6001050,1.00,4.00,1.00,2.00,6.00,7.50,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6001068,2.00,4.00,4.00,1.00,6.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6001076,1.00,3.00,0.00,2.00,4.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6001084,6.00,5.00,1.00,6.00,7.00,11.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6001092,3.00,4.00,2.00,2.00,4.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6001106,4.00,5.00,1.00,7.00,9.00,11.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6001114,3.00,4.00,1.00,4.00,5.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6001122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6001130,6.00,0.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6001149,6.00,4.00,1.00,3.00,6.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6001173,3.00,3.00,1.00,3.00,6.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6001181,6.00,4.00,4.00,4.00,7.00,8.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6001190,6.00,5.00,1.00,5.00,10.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6001203,7.00,6.00,7.00,6.00,10.00,9.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6001211,5.00,5.00,3.00,1.00,7.00,7.88,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6001220,2.00,2.00,1.00,3.00,7.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6001238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6001254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6001270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6001289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6001297,3.00,3.00,3.00,3.00,4.00,8.63,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6001300,4.00,6.00,1.00,5.00,9.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6001319,2.00,3.00,2.00,4.00,6.00,5.63,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6001327,3.00,4.00,0.00,5.00,8.00,7.13,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6001351,0.00,2.00,1.00,3.00,5.00,7.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6001360,7.00,6.00,4.00,7.00,10.00,9.75,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6001378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6001394,6.00,5.00,2.00,5.00,6.00,9.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6001408,5.00,5.00,3.00,4.00,3.00,7.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6001416,7.00,5.00,6.00,3.00,8.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6001440,3.00,6.00,3.00,5.00,5.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6001459,5.00,4.00,4.00,4.00,7.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6001467,7.00,7.00,2.00,7.00,9.00,10.88,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6001475,6.00,6.00,8.00,5.00,9.00,10.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6001483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6001491,9.00,7.00,4.00,5.00,9.00,9.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6001505,6.00,7.00,3.00,6.00,9.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6001521,5.00,2.00,5.00,5.00,7.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6001530,4.00,6.00,1.00,4.00,8.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6001556,3.00,5.00,3.00,7.00,7.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6001572,1.00,3.00,0.00,1.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6001580,5.00,4.00,3.00,7.00,7.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6001599,4.00,5.00,1.00,1.00,5.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6001602,4.00,1.00,1.00,3.00,7.00,9.00,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6001610,3.00,5.00,2.00,3.00,8.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6001629,3.00,7.00,1.00,4.00,5.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6001637,1.00,6.00,1.00,3.00,7.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6001645,4.00,5.00,1.00,4.00,8.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6001653,2.00,5.00,3.00,3.00,8.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6001661,5.00,6.00,1.00,5.00,7.00,12.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6001670,2.00,2.00,3.00,5.00,7.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6001688,5.00,5.00,3.00,4.00,7.00,9.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6001696,3.00,5.00,2.00,5.00,10.00,9.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6001700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6001718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6001726,4.00,7.00,3.00,4.00,4.00,7.50,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6001734,5.00,8.00,3.00,7.00,10.00,12.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6001742,5.00,3.00,3.00,4.00,7.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6001750,4.00,6.00,4.00,6.00,9.00,12.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6001769,7.00,7.00,3.00,6.00,9.00,8.25,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6001785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6001793,4.00,4.00,2.00,6.00,6.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6001807,3.00,4.00,0.00,1.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6001823,3.00,5.00,0.00,4.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6001831,1.00,2.00,4.00,1.00,2.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6001840,0.00,5.00,2.00,2.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6001866,2.00,6.00,1.00,4.00,7.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6001874,6.00,5.00,3.00,5.00,7.00,7.13,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6001890,6.00,5.00,2.00,5.00,6.00,5.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6001904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6001912,1.00,6.00,2.00,3.00,6.00,7.13,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6001920,8.00,6.00,6.00,7.00,8.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6001947,3.00,2.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6001955,3.00,4.00,0.00,3.00,4.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6001963,4.00,5.00,1.00,5.00,9.00,8.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6001971,0.00,3.00,0.00,0.00,0.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6001980,7.00,4.00,3.00,2.00,7.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6001998,5.00,8.00,2.00,5.00,8.00,10.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6002005,2.00,4.00,2.00,6.00,6.00,8.63,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6002013,2.00,3.00,0.00,6.00,8.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6002021,9.00,9.00,7.00,6.00,10.00,12.75,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6002030,3.00,3.00,1.00,2.00,3.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6002056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6002064,2.00,4.00,0.00,2.00,5.00,9.75,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6002072,8.00,6.00,6.00,6.00,8.00,13.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6002080,8.00,7.00,1.00,6.00,8.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6002129,5.00,6.00,3.00,5.00,6.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6002137,4.00,3.00,0.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6002145,5.00,4.00,3.00,4.00,3.00,9.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6002153,2.00,3.00,2.00,4.00,7.00,9.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6002161,2.00,2.00,3.00,3.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6002170,4.00,5.00,1.00,5.00,6.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6002188,4.00,3.00,1.00,5.00,7.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6002196,6.00,6.00,5.00,7.00,10.00,10.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6002200,6.00,3.00,1.00,3.00,10.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6002218,2.00,4.00,1.00,4.00,5.00,10.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6002226,8.00,8.00,2.00,5.00,9.00,9.00,0.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6002242,6.00,7.00,7.00,5.00,8.00,7.50,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6002250,5.00,6.00,3.00,4.00,6.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6002269,2.00,2.00,1.00,5.00,6.00,8.63,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6002277,3.00,3.00,2.00,2.00,4.00,6.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6002285,8.00,7.00,6.00,5.00,9.00,10.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6002293,6.00,8.00,0.00,8.00,9.00,9.38,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6002307,6.00,7.00,4.00,5.00,9.00,10.13,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6002315,7.00,4.00,4.00,7.00,8.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6002323,4.00,3.00,4.00,2.00,6.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6002331,3.00,4.00,0.00,1.00,7.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6002358,5.00,5.00,2.00,3.00,7.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6002366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6002382,9.00,8.00,8.00,5.00,8.00,10.88,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6002390,2.00,6.00,1.00,2.00,6.00,3.00,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6002404,6.00,6.00,2.00,7.00,10.00,7.88,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6002412,6.00,6.00,6.00,6.00,7.00,9.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6002420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6002439,5.00,4.00,2.00,5.00,7.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6002447,7.00,5.00,4.00,5.00,8.00,4.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6002455,2.00,3.00,3.00,1.00,3.00,7.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6002463,3.00,6.00,1.00,4.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6002471,3.00,4.00,1.00,6.00,8.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6002480,3.00,2.00,2.00,2.00,1.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6002498,3.00,4.00,2.00,3.00,4.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6002501,5.00,4.00,2.00,6.00,9.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6002528,3.00,5.00,3.00,4.00,7.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6002544,4.00,6.00,5.00,5.00,6.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6002552,8.00,7.00,7.00,4.00,9.00,9.38,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6002560,7.00,5.00,2.00,4.00,9.00,10.13,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6002579,7.00,6.00,7.00,4.00,6.00,7.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6002587,7.00,7.00,4.00,5.00,5.00,7.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6002595,6.00,7.00,2.00,4.00,6.00,7.13,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6002609,4.00,5.00,3.00,3.00,8.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6002617,3.00,4.00,0.00,1.00,7.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6002625,9.00,8.00,2.00,6.00,9.00,14.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6002641,5.00,6.00,2.00,4.00,7.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6002668,4.00,5.00,2.00,4.00,6.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6002676,3.00,7.00,1.00,2.00,5.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6002684,1.00,5.00,0.00,3.00,3.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6002692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6002706,5.00,4.00,2.00,4.00,8.00,5.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6002714,4.00,3.00,1.00,4.00,6.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6002722,2.00,3.00,0.00,2.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6002730,2.00,2.00,1.00,3.00,5.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6002749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6002757,3.00,2.00,1.00,2.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,'S','S'),(25,6002765,7.00,5.00,3.00,6.00,9.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6002773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6002781,5.00,5.00,1.00,5.00,9.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6002790,2.00,3.00,1.00,2.00,4.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6002803,6.00,7.00,3.00,6.00,7.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6002811,5.00,6.00,4.00,3.00,7.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6002820,2.00,6.00,1.00,4.00,6.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6002838,6.00,7.00,2.00,6.00,7.00,11.25,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6002846,2.00,6.00,1.00,3.00,8.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6002854,2.00,5.00,5.00,2.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6002862,5.00,5.00,3.00,6.00,6.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6002889,2.00,4.00,3.00,4.00,5.00,8.25,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6002897,4.00,1.00,4.00,1.00,5.00,5.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6002900,4.00,1.00,4.00,4.00,7.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6002919,7.00,5.00,6.00,4.00,8.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6002927,5.00,4.00,1.00,2.00,7.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6002935,4.00,5.00,2.00,6.00,7.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6002943,3.00,5.00,2.00,4.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6002951,9.00,7.00,6.00,4.00,8.00,12.00,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6002986,4.00,4.00,2.00,2.00,8.00,8.63,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6002994,8.00,7.00,6.00,7.00,7.00,12.38,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6003028,1.00,5.00,1.00,3.00,6.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6003036,3.00,4.00,1.00,3.00,4.00,7.50,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6003044,5.00,4.00,1.00,6.00,6.00,11.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6003052,3.00,3.00,2.00,1.00,6.00,7.88,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6003060,6.00,6.00,4.00,4.00,8.00,8.25,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6003079,3.00,7.00,3.00,7.00,8.00,8.63,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6003087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6003095,3.00,2.00,1.00,3.00,3.00,9.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6003109,4.00,4.00,2.00,5.00,6.00,8.63,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6003117,6.00,6.00,3.00,8.00,9.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6003125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6003133,8.00,8.00,5.00,6.00,7.00,8.25,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6003141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6003150,6.00,5.00,2.00,6.00,7.00,6.75,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6003168,4.00,8.00,2.00,3.00,7.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6003176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6003184,2.00,3.00,0.00,4.00,3.00,5.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6003192,3.00,3.00,3.00,2.00,6.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6003206,4.00,4.00,1.00,3.00,7.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6003214,3.00,4.00,2.00,2.00,4.00,8.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6003222,7.00,6.00,6.00,7.00,9.00,9.38,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6003230,2.00,4.00,1.00,6.00,5.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6003249,6.00,5.00,1.00,3.00,7.00,10.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6003265,0.00,3.00,1.00,3.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6003273,4.00,6.00,0.00,3.00,8.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6003290,3.00,5.00,5.00,2.00,6.00,4.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6003303,4.00,3.00,2.00,3.00,6.00,9.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6003311,7.00,6.00,4.00,5.00,7.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6003320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6003338,2.00,5.00,2.00,4.00,7.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6003346,4.00,4.00,2.00,4.00,9.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6003362,3.00,1.00,2.00,3.00,5.00,6.00,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6003370,3.00,3.00,3.00,4.00,4.00,7.50,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6003389,6.00,6.00,2.00,5.00,8.00,10.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6003397,2.00,2.00,1.00,2.00,6.00,6.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6003400,4.00,5.00,0.00,4.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6003419,4.00,5.00,3.00,5.00,8.00,10.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6003427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6003435,1.00,3.00,2.00,3.00,6.00,8.63,1.00,0.00,3.00,NULL,NULL,NULL,'S'),(25,6003451,5.00,2.00,0.00,2.00,6.00,9.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6003460,1.00,4.00,2.00,5.00,8.00,10.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6003478,8.00,7.00,8.00,3.00,8.00,9.00,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6003486,4.00,5.00,3.00,3.00,8.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6003508,2.00,4.00,2.00,3.00,7.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6003516,7.00,6.00,0.00,6.00,8.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6003532,7.00,7.00,2.00,7.00,8.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6003540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6003559,7.00,6.00,1.00,4.00,8.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6003567,3.00,4.00,3.00,3.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6003575,8.00,8.00,6.00,7.00,8.00,10.88,6.00,9.00,5.00,NULL,NULL,NULL,'N'),(25,6003583,2.00,3.00,3.00,2.00,3.00,6.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6003591,5.00,5.00,1.00,6.00,6.00,6.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6003605,3.00,3.00,2.00,5.00,7.00,9.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6003630,7.00,8.00,2.00,7.00,7.00,8.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6003648,7.00,5.00,4.00,7.00,6.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6003656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6003664,2.00,4.00,1.00,4.00,7.00,9.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6003699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6003729,1.00,5.00,1.00,3.00,8.00,8.25,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6003737,7.00,4.00,5.00,6.00,8.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6003745,7.00,6.00,2.00,7.00,9.00,10.13,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6003753,8.00,6.00,2.00,4.00,10.00,7.88,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6003761,5.00,5.00,4.00,5.00,10.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6003770,8.00,7.00,7.00,7.00,9.00,13.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6003788,2.00,5.00,0.00,1.00,7.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6003818,4.00,6.00,1.00,5.00,5.00,7.88,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6003826,3.00,2.00,3.00,3.00,7.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6003834,4.00,2.00,0.00,1.00,5.00,6.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6003842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6003850,5.00,4.00,3.00,2.00,6.00,7.13,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6003869,0.00,1.00,0.00,1.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6003877,8.00,7.00,5.00,7.00,9.00,10.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6003893,2.00,4.00,1.00,3.00,7.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6003907,4.00,6.00,0.00,6.00,8.00,10.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6003915,7.00,7.00,4.00,5.00,10.00,9.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6003923,3.00,4.00,0.00,3.00,6.00,6.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6003931,4.00,6.00,4.00,4.00,9.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6003940,8.00,8.00,8.00,3.00,5.00,8.63,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6003958,6.00,6.00,2.00,5.00,8.00,9.38,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6003966,7.00,5.00,4.00,4.00,7.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6003982,4.00,5.00,1.00,3.00,5.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6003990,7.00,8.00,4.00,5.00,9.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6004008,4.00,5.00,4.00,6.00,8.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6004016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6004024,5.00,7.00,3.00,5.00,8.00,10.88,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6004032,3.00,5.00,1.00,7.00,4.00,8.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6004040,6.00,6.00,5.00,6.00,8.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6004059,2.00,2.00,0.00,0.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6004067,4.00,3.00,2.00,2.00,4.00,7.88,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6004075,4.00,6.00,4.00,3.00,6.00,6.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6004091,8.00,6.00,4.00,7.00,10.00,9.00,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6004105,2.00,5.00,2.00,2.00,5.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6004113,2.00,5.00,1.00,5.00,10.00,10.50,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6004130,6.00,8.00,4.00,7.00,9.00,10.13,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6004156,2.00,1.00,2.00,2.00,7.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6004172,3.00,7.00,2.00,5.00,5.00,10.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6004199,8.00,5.00,4.00,6.00,5.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6004210,4.00,5.00,2.00,3.00,5.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6004237,3.00,5.00,3.00,5.00,6.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6004245,3.00,7.00,3.00,6.00,8.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6004253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6004261,8.00,7.00,5.00,7.00,8.00,7.50,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6004270,2.00,2.00,3.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6004288,1.00,1.00,2.00,2.00,3.00,5.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6004296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6004300,5.00,3.00,2.00,6.00,8.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6004318,1.00,5.00,1.00,4.00,6.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6004326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6004342,5.00,6.00,3.00,6.00,7.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6004350,2.00,3.00,1.00,2.00,5.00,9.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6004369,3.00,3.00,2.00,3.00,5.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6004377,2.00,5.00,1.00,3.00,6.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6004385,3.00,4.00,2.00,6.00,8.00,10.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6004415,3.00,4.00,1.00,4.00,4.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6004423,3.00,5.00,2.00,5.00,8.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6004431,3.00,6.00,3.00,7.00,9.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6004458,5.00,5.00,2.00,4.00,4.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6004466,6.00,6.00,2.00,3.00,10.00,10.13,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6004474,5.00,4.00,1.00,4.00,8.00,9.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6004482,2.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6004490,9.00,6.00,3.00,7.00,8.00,9.38,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6004504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6004512,3.00,5.00,2.00,6.00,4.00,6.00,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6004520,3.00,6.00,2.00,5.00,7.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6004539,6.00,8.00,0.00,6.00,7.00,9.38,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6004547,2.00,4.00,2.00,6.00,6.00,9.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6004555,4.00,5.00,3.00,1.00,3.00,8.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6004571,5.00,3.00,2.00,4.00,3.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6004580,8.00,6.00,5.00,7.00,11.00,9.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6004598,2.00,3.00,4.00,5.00,5.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6004601,5.00,6.00,3.00,7.00,7.00,9.75,3.00,8.00,4.00,NULL,NULL,NULL,'N');
INSERT INTO ponto_candidato VALUES (25,6004610,7.00,7.00,7.00,5.00,10.00,12.00,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6004628,6.00,5.00,3.00,5.00,8.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6004636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6004644,4.00,3.00,4.00,1.00,7.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6004652,6.00,5.00,5.00,3.00,7.00,9.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6004660,4.00,4.00,2.00,6.00,7.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6004679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6004687,5.00,8.00,4.00,5.00,8.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6004695,2.00,4.00,1.00,5.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6004709,2.00,5.00,3.00,2.00,4.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6004717,4.00,3.00,0.00,2.00,5.00,NULL,3.00,1.00,0.00,NULL,NULL,'S','N'),(25,6004725,2.00,0.00,1.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6004750,7.00,7.00,3.00,5.00,7.00,8.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6004768,2.00,5.00,2.00,2.00,1.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6004776,1.00,3.00,0.00,2.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6004784,3.00,6.00,1.00,6.00,5.00,6.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6004792,7.00,6.00,5.00,7.00,10.00,10.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6004806,1.00,2.00,0.00,3.00,5.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6004814,5.00,5.00,3.00,6.00,7.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6004849,4.00,6.00,2.00,3.00,6.00,9.00,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6004857,4.00,6.00,2.00,2.00,4.00,7.50,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6004873,2.00,1.00,3.00,2.00,1.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6004920,7.00,2.00,3.00,5.00,9.00,9.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6004938,1.00,5.00,2.00,4.00,5.00,4.88,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6004946,2.00,7.00,1.00,4.00,7.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6004954,2.00,1.00,2.00,4.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6004962,5.00,7.00,5.00,7.00,8.00,11.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6004970,4.00,4.00,4.00,4.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6004989,5.00,7.00,3.00,6.00,5.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6004997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6005004,5.00,6.00,3.00,4.00,5.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6005012,4.00,5.00,2.00,2.00,8.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6005039,6.00,6.00,3.00,5.00,7.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6005047,1.00,4.00,2.00,3.00,5.00,9.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6005055,2.00,2.00,3.00,6.00,6.00,7.13,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6005063,6.00,6.00,2.00,5.00,8.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6005071,5.00,5.00,3.00,6.00,6.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6005080,3.00,5.00,3.00,3.00,9.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6005098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6005101,9.00,7.00,9.00,7.00,9.00,8.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6005136,6.00,6.00,1.00,5.00,8.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6005144,2.00,2.00,2.00,0.00,3.00,6.00,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6005152,7.00,6.00,2.00,6.00,9.00,12.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6005179,5.00,5.00,2.00,6.00,6.00,11.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6005187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6005195,3.00,5.00,2.00,6.00,3.00,5.63,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6005209,2.00,4.00,1.00,2.00,3.00,0.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6005217,1.00,1.00,2.00,3.00,6.00,8.25,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6005225,5.00,6.00,3.00,6.00,8.00,9.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6005233,6.00,4.00,1.00,3.00,7.00,7.13,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6005241,5.00,6.00,1.00,4.00,6.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6005250,5.00,6.00,2.00,6.00,9.00,6.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6005268,5.00,4.00,4.00,4.00,7.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6005276,6.00,6.00,4.00,6.00,7.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6005284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6005292,6.00,5.00,4.00,2.00,7.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6005306,4.00,4.00,3.00,6.00,7.00,8.63,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6005322,7.00,7.00,2.00,4.00,6.00,8.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6005330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6005365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6005381,1.00,3.00,0.00,0.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6005403,5.00,4.00,0.00,4.00,5.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6005411,1.00,3.00,0.00,1.00,3.00,7.88,3.00,1.00,0.00,NULL,NULL,NULL,'S'),(25,6005438,4.00,5.00,2.00,2.00,3.00,7.13,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6005446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6005454,3.00,4.00,2.00,1.00,6.00,6.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6005470,5.00,6.00,1.00,4.00,5.00,7.88,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6005489,4.00,3.00,0.00,2.00,5.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6005497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6005519,5.00,8.00,4.00,5.00,7.00,10.88,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6005527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6005535,4.00,5.00,1.00,3.00,3.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6005543,7.00,8.00,4.00,7.00,9.00,8.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6005551,5.00,7.00,3.00,7.00,9.00,13.13,2.00,7.00,6.00,NULL,NULL,NULL,'S'),(25,6005560,4.00,5.00,0.00,6.00,9.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6005578,2.00,3.00,2.00,1.00,5.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6005586,2.00,2.00,0.00,1.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6005594,5.00,6.00,3.00,5.00,8.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6005616,3.00,4.00,3.00,6.00,7.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6005624,4.00,6.00,4.00,3.00,4.00,6.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6005632,1.00,3.00,1.00,3.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6005640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6005659,3.00,4.00,2.00,2.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6005667,1.00,4.00,2.00,1.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6005675,2.00,0.00,3.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6005683,2.00,3.00,0.00,5.00,8.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6005691,3.00,4.00,3.00,2.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6005705,7.00,7.00,5.00,3.00,7.00,8.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6005713,5.00,7.00,4.00,5.00,7.00,10.88,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6005721,5.00,3.00,3.00,7.00,7.00,7.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6005730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6005748,3.00,4.00,1.00,5.00,4.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6005756,7.00,7.00,3.00,5.00,8.00,NULL,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6005764,4.00,4.00,3.00,0.00,5.00,10.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6005772,4.00,5.00,2.00,4.00,5.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6005780,8.00,5.00,4.00,5.00,10.00,12.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6005799,3.00,2.00,3.00,4.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6005802,7.00,5.00,3.00,5.00,8.00,8.63,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6005810,4.00,7.00,3.00,3.00,5.00,4.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6005837,4.00,5.00,2.00,6.00,6.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6005853,5.00,4.00,5.00,5.00,6.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6005861,3.00,5.00,2.00,3.00,5.00,10.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6005870,3.00,5.00,0.00,3.00,6.00,5.63,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6005888,7.00,7.00,5.00,6.00,10.00,11.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6005896,4.00,8.00,4.00,7.00,10.00,0.00,1.00,5.00,7.00,NULL,NULL,NULL,'S'),(25,6005900,6.00,7.00,3.00,6.00,9.00,9.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6005918,7.00,8.00,2.00,4.00,7.00,6.38,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6005934,4.00,5.00,1.00,4.00,7.00,6.75,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6005950,3.00,5.00,3.00,2.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6005969,6.00,7.00,4.00,6.00,9.00,11.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6005977,3.00,4.00,2.00,1.00,7.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6005985,5.00,7.00,3.00,5.00,7.00,7.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6005993,4.00,4.00,3.00,6.00,6.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6006000,6.00,6.00,0.00,6.00,7.00,7.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6006019,4.00,8.00,2.00,4.00,7.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6006027,6.00,5.00,1.00,5.00,6.00,10.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6006035,7.00,5.00,3.00,6.00,8.00,8.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6006051,7.00,6.00,8.00,7.00,9.00,10.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6006060,3.00,3.00,2.00,2.00,5.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6006078,5.00,5.00,2.00,4.00,9.00,9.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6006086,3.00,3.00,1.00,3.00,8.00,8.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6006094,4.00,4.00,3.00,6.00,5.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6006108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6006116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6006124,4.00,4.00,5.00,5.00,8.00,10.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6006140,7.00,5.00,3.00,5.00,6.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6006159,4.00,3.00,0.00,2.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6006167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6006175,7.00,6.00,3.00,3.00,7.00,8.63,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6006183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6006205,1.00,2.00,1.00,1.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6006213,3.00,6.00,2.00,3.00,5.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6006230,7.00,6.00,2.00,3.00,6.00,8.63,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6006248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6006256,5.00,6.00,3.00,2.00,9.00,8.25,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6006272,5.00,5.00,5.00,4.00,6.00,7.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6006299,5.00,6.00,3.00,4.00,10.00,7.13,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6006302,3.00,2.00,3.00,2.00,4.00,NULL,3.00,0.00,3.00,NULL,NULL,'S','N'),(25,6006337,5.00,2.00,1.00,3.00,6.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6006345,4.00,6.00,4.00,5.00,7.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6006353,6.00,5.00,3.00,5.00,8.00,10.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6006361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6006370,4.00,7.00,3.00,4.00,8.00,8.25,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6006388,7.00,7.00,4.00,6.00,6.00,12.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6006400,1.00,4.00,1.00,3.00,5.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6006418,3.00,4.00,2.00,4.00,4.00,7.13,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6006426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6006434,7.00,3.00,2.00,4.00,5.00,7.13,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6006442,8.00,6.00,2.00,7.00,9.00,9.38,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6006450,3.00,5.00,2.00,3.00,7.00,9.38,2.00,7.00,0.00,NULL,NULL,NULL,'N'),(25,6006469,5.00,7.00,3.00,5.00,4.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6006507,6.00,3.00,2.00,4.00,5.00,8.63,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6006515,4.00,6.00,6.00,4.00,7.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6006531,4.00,5.00,1.00,5.00,9.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6006540,8.00,0.00,4.00,5.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6006558,1.00,3.00,4.00,3.00,4.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6006566,3.00,1.00,3.00,2.00,4.00,5.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6006574,1.00,5.00,2.00,3.00,4.00,8.63,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6006604,4.00,4.00,2.00,4.00,8.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6006612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6006620,3.00,4.00,1.00,3.00,6.00,11.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6006639,4.00,5.00,2.00,3.00,7.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6006647,4.00,6.00,1.00,2.00,7.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6006655,5.00,4.00,1.00,5.00,8.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6006663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6006671,8.00,7.00,5.00,6.00,8.00,11.25,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6006680,8.00,5.00,3.00,4.00,8.00,7.50,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6006698,7.00,7.00,4.00,7.00,7.00,12.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6006701,5.00,7.00,3.00,5.00,9.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6006710,6.00,6.00,5.00,6.00,8.00,7.88,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6006728,5.00,6.00,3.00,3.00,7.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6006736,6.00,6.00,7.00,5.00,7.00,8.25,0.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6006744,5.00,3.00,2.00,4.00,5.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6006752,3.00,6.00,3.00,5.00,6.00,7.13,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6006779,7.00,4.00,3.00,4.00,9.00,6.38,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6006787,7.00,8.00,1.00,6.00,9.00,8.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6006795,4.00,6.00,1.00,5.00,7.00,NULL,3.00,2.00,3.00,NULL,NULL,'S','N'),(25,6006817,2.00,2.00,1.00,0.00,5.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6006825,8.00,8.00,7.00,6.00,11.00,9.38,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6006833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6006841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6006850,4.00,8.00,3.00,4.00,10.00,10.13,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6006868,2.00,4.00,1.00,4.00,6.00,7.50,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6006876,4.00,5.00,1.00,4.00,6.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6006906,4.00,6.00,1.00,5.00,9.00,9.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6006914,5.00,5.00,3.00,5.00,4.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6006922,4.00,6.00,2.00,6.00,8.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6006930,3.00,3.00,0.00,3.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6006949,4.00,5.00,3.00,2.00,6.00,6.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6006957,1.00,1.00,1.00,3.00,6.00,10.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6006965,4.00,6.00,2.00,4.00,7.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6006973,7.00,6.00,5.00,7.00,7.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6006981,2.00,7.00,1.00,5.00,4.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6006990,0.00,1.00,0.00,1.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6007007,1.00,0.00,2.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6007015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6007031,2.00,6.00,2.00,5.00,5.00,8.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6007040,4.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6007058,7.00,6.00,2.00,7.00,8.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6007074,3.00,4.00,0.00,2.00,6.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6007082,2.00,4.00,3.00,2.00,6.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6007090,5.00,2.00,4.00,2.00,8.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6007104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6007112,3.00,0.00,2.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6007120,5.00,8.00,2.00,6.00,10.00,8.63,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6007139,8.00,6.00,4.00,6.00,9.00,12.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6007147,2.00,3.00,2.00,3.00,4.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6007163,1.00,5.00,1.00,4.00,6.00,7.13,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6007180,9.00,7.00,7.00,7.00,10.00,9.00,0.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6007198,8.00,4.00,8.00,7.00,8.00,7.88,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6007210,2.00,4.00,3.00,4.00,8.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6007228,8.00,8.00,1.00,5.00,8.00,12.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6007236,8.00,5.00,4.00,6.00,7.00,10.50,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6007244,5.00,7.00,1.00,4.00,7.00,4.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6007252,3.00,3.00,2.00,1.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6007279,3.00,6.00,1.00,1.00,3.00,7.13,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6007287,2.00,4.00,3.00,5.00,6.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6007295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6007309,5.00,6.00,3.00,5.00,7.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6007317,4.00,6.00,2.00,5.00,6.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6007325,5.00,5.00,2.00,2.00,5.00,6.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6007341,2.00,0.00,2.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6007350,2.00,4.00,3.00,2.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6007376,5.00,4.00,3.00,2.00,5.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6007384,3.00,2.00,1.00,1.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6007392,8.00,7.00,3.00,4.00,10.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6007406,3.00,4.00,0.00,5.00,4.00,7.88,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6007414,4.00,6.00,2.00,3.00,6.00,10.88,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6007422,1.00,5.00,3.00,3.00,3.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6007430,6.00,7.00,3.00,7.00,8.00,9.00,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6007457,3.00,5.00,2.00,4.00,8.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6007465,5.00,5.00,2.00,5.00,8.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6007473,5.00,4.00,0.00,2.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6007481,7.00,5.00,6.00,6.00,9.00,7.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6007490,2.00,2.00,3.00,2.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6007503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6007511,3.00,2.00,1.00,6.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6007520,2.00,3.00,1.00,3.00,5.00,9.75,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6007538,4.00,3.00,1.00,3.00,4.00,9.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6007546,2.00,3.00,1.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6007554,4.00,7.00,3.00,5.00,8.00,6.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6007562,6.00,6.00,6.00,7.00,8.00,7.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6007570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6007597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6007600,2.00,4.00,0.00,5.00,7.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6007619,4.00,6.00,2.00,5.00,8.00,10.50,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6007627,2.00,3.00,1.00,2.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6007635,4.00,7.00,2.00,6.00,5.00,10.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6007643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6007651,1.00,3.00,1.00,3.00,5.00,6.75,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6007660,9.00,5.00,7.00,6.00,9.00,9.75,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6007678,3.00,3.00,2.00,4.00,8.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6007686,1.00,3.00,2.00,3.00,5.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6007694,3.00,4.00,5.00,3.00,7.00,5.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6007708,3.00,4.00,0.00,2.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6007716,4.00,4.00,2.00,2.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6007724,4.00,5.00,3.00,6.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6007732,6.00,6.00,4.00,7.00,8.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6007740,3.00,4.00,1.00,6.00,8.00,10.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6007759,7.00,7.00,7.00,7.00,5.00,10.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6007767,3.00,6.00,1.00,3.00,7.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6007775,4.00,4.00,3.00,2.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6007783,3.00,2.00,2.00,5.00,5.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6007791,5.00,6.00,1.00,5.00,7.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6007805,6.00,3.00,2.00,7.00,6.00,NULL,0.00,8.00,1.00,NULL,NULL,NULL,'N'),(25,6007813,2.00,3.00,3.00,6.00,7.00,7.88,3.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6007830,4.00,3.00,2.00,4.00,7.00,7.88,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6007848,5.00,5.00,1.00,4.00,4.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6007856,4.00,5.00,1.00,6.00,8.00,9.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6007864,5.00,5.00,1.00,4.00,9.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6007880,4.00,4.00,0.00,3.00,7.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6007899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6007910,7.00,7.00,6.00,6.00,10.00,10.88,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6007929,8.00,6.00,6.00,7.00,10.00,11.63,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6007937,7.00,6.00,2.00,6.00,5.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6007945,5.00,6.00,3.00,6.00,9.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6007953,5.00,6.00,4.00,4.00,6.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6007961,5.00,5.00,4.00,6.00,10.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6007970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6007988,5.00,7.00,5.00,4.00,7.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6007996,6.00,7.00,4.00,4.00,6.00,11.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6008003,3.00,7.00,2.00,3.00,7.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6008011,3.00,4.00,0.00,1.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6008020,3.00,3.00,4.00,4.00,3.00,6.75,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6008038,3.00,2.00,0.00,4.00,6.00,6.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6008054,6.00,7.00,3.00,7.00,10.00,7.13,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6008062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6008070,3.00,4.00,0.00,2.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6008089,2.00,5.00,1.00,5.00,6.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6008097,8.00,8.00,5.00,6.00,10.00,10.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6008100,3.00,2.00,3.00,7.00,6.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6008119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6008127,4.00,6.00,1.00,2.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6008135,2.00,6.00,0.00,4.00,6.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6008143,2.00,0.00,1.00,1.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6008151,4.00,7.00,1.00,7.00,6.00,7.88,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6008160,4.00,4.00,1.00,1.00,6.00,8.25,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6008186,4.00,6.00,4.00,7.00,7.00,7.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6008194,7.00,7.00,7.00,6.00,10.00,11.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6008208,7.00,6.00,1.00,2.00,6.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6008216,2.00,5.00,4.00,2.00,5.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6008224,9.00,4.00,4.00,5.00,8.00,9.75,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6008232,5.00,4.00,5.00,4.00,5.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6008240,5.00,6.00,1.00,6.00,7.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6008259,1.00,7.00,2.00,2.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6008267,3.00,5.00,0.00,7.00,7.00,6.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6008275,4.00,2.00,2.00,3.00,7.00,6.38,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6008283,6.00,6.00,2.00,4.00,7.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6008291,5.00,3.00,2.00,1.00,8.00,8.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6008305,7.00,5.00,4.00,7.00,8.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6008313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6008321,5.00,7.00,1.00,6.00,9.00,8.63,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6008330,6.00,5.00,2.00,4.00,6.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6008348,6.00,6.00,7.00,6.00,6.00,8.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6008356,2.00,3.00,1.00,3.00,6.00,4.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6008380,8.00,6.00,5.00,6.00,9.00,8.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6008399,3.00,1.00,1.00,3.00,5.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6008402,6.00,7.00,4.00,5.00,7.00,9.00,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6008410,5.00,7.00,4.00,7.00,9.00,10.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6008429,1.00,2.00,0.00,3.00,2.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6008437,4.00,4.00,2.00,6.00,5.00,6.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6008445,5.00,6.00,4.00,5.00,8.00,10.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6008453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6008470,4.00,5.00,2.00,6.00,8.00,9.38,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6008488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6008496,6.00,4.00,4.00,5.00,5.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6008500,8.00,6.00,3.00,5.00,10.00,9.00,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6008518,8.00,6.00,7.00,7.00,10.00,10.13,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6008526,6.00,6.00,4.00,3.00,7.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6008534,2.00,2.00,1.00,4.00,6.00,5.25,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6008542,4.00,4.00,1.00,3.00,4.00,10.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6008550,4.00,3.00,1.00,3.00,7.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6008569,4.00,4.00,3.00,5.00,7.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6008577,5.00,7.00,4.00,6.00,9.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6008585,6.00,6.00,3.00,7.00,7.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6008593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6008607,6.00,4.00,5.00,5.00,6.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6008623,3.00,3.00,2.00,0.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6008631,8.00,7.00,7.00,7.00,7.00,12.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6008640,3.00,6.00,2.00,0.00,7.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6008658,7.00,6.00,4.00,4.00,6.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6008666,3.00,4.00,1.00,5.00,5.00,9.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6008674,2.00,5.00,3.00,5.00,5.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6008682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6008690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6008704,5.00,5.00,4.00,4.00,4.00,6.38,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6008712,4.00,4.00,5.00,2.00,4.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6008720,6.00,4.00,3.00,4.00,7.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6008739,6.00,7.00,2.00,7.00,7.00,10.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6008747,8.00,7.00,7.00,7.00,10.00,8.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6008755,3.00,5.00,2.00,5.00,6.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6008763,8.00,6.00,4.00,4.00,8.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6008780,6.00,5.00,2.00,2.00,7.00,10.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6008801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6008810,1.00,1.00,0.00,2.00,4.00,5.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6008828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6008836,5.00,4.00,6.00,5.00,7.00,6.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6008844,2.00,6.00,2.00,3.00,6.00,8.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6008852,3.00,4.00,3.00,3.00,7.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6008879,4.00,4.00,2.00,4.00,6.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6008887,2.00,2.00,2.00,2.00,4.00,4.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6008895,5.00,3.00,0.00,5.00,6.00,9.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6008909,3.00,4.00,1.00,5.00,7.00,8.25,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6008925,5.00,2.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6008941,4.00,5.00,2.00,4.00,7.00,8.63,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6008950,2.00,7.00,2.00,2.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6008968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6008984,6.00,5.00,1.00,3.00,8.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6008992,3.00,5.00,0.00,4.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6009000,4.00,6.00,3.00,4.00,5.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6009018,4.00,6.00,2.00,5.00,9.00,11.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6009026,3.00,5.00,5.00,3.00,7.00,5.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6009034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6009042,4.00,7.00,1.00,7.00,8.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6009050,3.00,3.00,2.00,3.00,8.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6009085,7.00,6.00,4.00,5.00,8.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6009107,5.00,6.00,3.00,3.00,5.00,6.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6009123,6.00,7.00,4.00,6.00,9.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6009131,3.00,5.00,3.00,3.00,7.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6009140,1.00,4.00,0.00,3.00,5.00,6.38,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6009158,3.00,3.00,1.00,5.00,9.00,11.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6009166,2.00,5.00,2.00,4.00,7.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6009182,4.00,4.00,0.00,4.00,7.00,9.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6009190,2.00,2.00,1.00,1.00,3.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6009204,5.00,7.00,5.00,6.00,9.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6009212,3.00,0.00,2.00,0.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6009220,7.00,8.00,6.00,7.00,11.00,10.13,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6009239,4.00,4.00,2.00,3.00,6.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6009247,7.00,5.00,5.00,1.00,8.00,6.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6009255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6009263,6.00,4.00,4.00,6.00,9.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6009271,3.00,5.00,0.00,3.00,9.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6009280,2.00,5.00,3.00,4.00,5.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6009298,5.00,7.00,3.00,4.00,9.00,9.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6009301,5.00,5.00,2.00,3.00,5.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6009328,5.00,5.00,3.00,3.00,6.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6009344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6009360,6.00,5.00,3.00,2.00,5.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6009379,7.00,5.00,2.00,4.00,8.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6009387,4.00,8.00,5.00,7.00,8.00,8.63,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6009409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6009417,2.00,4.00,3.00,0.00,6.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6009425,0.00,3.00,3.00,4.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6009441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6009450,4.00,4.00,2.00,3.00,9.00,10.13,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6009476,4.00,6.00,1.00,2.00,9.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6009484,5.00,7.00,2.00,5.00,8.00,8.63,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6009492,6.00,5.00,6.00,6.00,9.00,8.25,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6009514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6009522,4.00,4.00,4.00,2.00,6.00,10.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6009549,2.00,3.00,1.00,1.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6009565,5.00,4.00,2.00,3.00,4.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6009581,7.00,7.00,6.00,7.00,8.00,9.75,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6009611,7.00,7.00,3.00,3.00,8.00,8.25,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6009620,5.00,7.00,2.00,5.00,8.00,12.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6009638,6.00,7.00,2.00,7.00,8.00,10.88,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6009654,3.00,5.00,0.00,3.00,6.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6009662,4.00,6.00,3.00,5.00,4.00,9.00,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6009670,5.00,8.00,2.00,5.00,8.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6009689,3.00,3.00,2.00,4.00,6.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6009697,4.00,4.00,1.00,5.00,4.00,7.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6009700,3.00,5.00,3.00,4.00,6.00,10.50,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6009719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6009735,3.00,6.00,5.00,3.00,8.00,9.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6009751,2.00,6.00,3.00,7.00,8.00,10.13,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6009760,7.00,4.00,2.00,3.00,7.00,9.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6009786,3.00,3.00,1.00,4.00,5.00,10.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6009794,4.00,3.00,0.00,3.00,7.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6009808,4.00,6.00,1.00,3.00,6.00,7.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6009816,3.00,5.00,0.00,7.00,9.00,10.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6009824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6009832,2.00,4.00,3.00,4.00,7.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6009840,3.00,5.00,2.00,5.00,7.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6009859,2.00,4.00,1.00,5.00,9.00,9.75,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6009867,5.00,6.00,5.00,5.00,10.00,11.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6009875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6009883,5.00,4.00,4.00,5.00,7.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6009891,4.00,4.00,1.00,2.00,7.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6009921,3.00,1.00,3.00,5.00,7.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6009930,6.00,7.00,2.00,4.00,7.00,10.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6009948,5.00,7.00,3.00,7.00,6.00,11.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6009964,3.00,7.00,3.00,6.00,8.00,9.38,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6009980,4.00,3.00,2.00,3.00,6.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6009999,3.00,3.00,2.00,5.00,7.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6010008,2.00,5.00,1.00,3.00,4.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6010016,9.00,7.00,8.00,7.00,10.00,11.63,4.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6010024,5.00,6.00,2.00,4.00,8.00,8.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6010032,4.00,6.00,2.00,7.00,6.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6010040,3.00,4.00,1.00,3.00,9.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6010059,6.00,3.00,3.00,3.00,5.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6010067,7.00,7.00,2.00,4.00,6.00,8.25,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6010075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6010083,6.00,7.00,3.00,6.00,7.00,10.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6010091,8.00,7.00,3.00,7.00,9.00,8.63,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6010105,2.00,6.00,1.00,5.00,5.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6010113,2.00,3.00,1.00,2.00,4.00,6.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6010121,3.00,3.00,0.00,4.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,'S','N'),(25,6010130,6.00,6.00,2.00,4.00,10.00,9.00,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6010148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6010156,2.00,5.00,2.00,3.00,3.00,9.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6010180,3.00,6.00,0.00,2.00,7.00,6.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6010199,5.00,6.00,1.00,4.00,5.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6010202,7.00,6.00,5.00,7.00,10.00,10.50,4.00,2.00,8.00,NULL,NULL,NULL,'N'),(25,6010210,4.00,7.00,1.00,7.00,8.00,6.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6010229,6.00,7.00,6.00,7.00,9.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6010237,5.00,3.00,1.00,4.00,6.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6010253,2.00,4.00,4.00,2.00,6.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6010270,8.00,7.00,2.00,6.00,10.00,13.13,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6010296,5.00,5.00,3.00,7.00,8.00,10.50,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6010326,5.00,6.00,0.00,7.00,7.00,10.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6010334,1.00,3.00,3.00,3.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6010342,4.00,5.00,2.00,2.00,4.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6010369,6.00,6.00,4.00,6.00,8.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6010377,1.00,3.00,0.00,2.00,3.00,6.75,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6010393,8.00,6.00,3.00,7.00,9.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6010407,8.00,7.00,1.00,6.00,7.00,7.88,0.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6010415,4.00,4.00,4.00,7.00,7.00,9.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6010423,3.00,5.00,0.00,4.00,5.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6010431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6010440,6.00,7.00,4.00,6.00,8.00,12.75,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6010458,3.00,4.00,3.00,3.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6010466,3.00,4.00,3.00,4.00,4.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6010474,4.00,6.00,0.00,5.00,7.00,6.75,1.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6010482,4.00,6.00,0.00,5.00,6.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6010490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6010504,6.00,8.00,3.00,7.00,8.00,10.88,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6010512,2.00,2.00,1.00,4.00,3.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6010520,7.00,4.00,5.00,6.00,8.00,7.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6010547,6.00,4.00,5.00,6.00,8.00,11.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6010555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6010563,1.00,4.00,2.00,1.00,7.00,6.75,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6010571,3.00,3.00,0.00,2.00,5.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6010580,5.00,7.00,1.00,5.00,7.00,12.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6010598,5.00,6.00,2.00,6.00,6.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6010601,4.00,5.00,1.00,4.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6010610,5.00,6.00,5.00,6.00,8.00,12.00,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6010628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6010636,3.00,3.00,2.00,2.00,4.00,NULL,2.00,5.00,0.00,NULL,NULL,'S','N'),(25,6010644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6010652,8.00,4.00,2.00,4.00,7.00,NULL,1.00,3.00,4.00,NULL,NULL,'S','N'),(25,6010679,6.00,5.00,1.00,7.00,5.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6010687,7.00,5.00,5.00,4.00,8.00,9.75,3.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6010695,1.00,2.00,0.00,4.00,4.00,8.63,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6010709,6.00,6.00,3.00,5.00,8.00,9.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6010717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6010733,4.00,6.00,3.00,1.00,6.00,8.25,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6010741,3.00,4.00,2.00,4.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6010768,2.00,3.00,0.00,2.00,4.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6010776,7.00,7.00,3.00,3.00,7.00,10.50,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6010784,4.00,5.00,0.00,4.00,7.00,8.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6010792,5.00,3.00,3.00,6.00,8.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6010806,5.00,3.00,2.00,7.00,7.00,11.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6010822,3.00,3.00,1.00,4.00,7.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6010830,5.00,2.00,3.00,5.00,7.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6010849,7.00,7.00,3.00,7.00,6.00,5.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6010873,0.00,3.00,3.00,1.00,6.00,7.50,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6010881,5.00,8.00,1.00,5.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6010890,1.00,4.00,1.00,2.00,4.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6010903,2.00,2.00,0.00,4.00,5.00,6.00,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6010911,6.00,7.00,4.00,6.00,6.00,9.00,0.00,6.00,8.00,NULL,NULL,NULL,'S'),(25,6010920,6.00,4.00,5.00,3.00,9.00,NULL,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6010938,7.00,8.00,5.00,6.00,10.00,7.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6010946,2.00,5.00,1.00,3.00,4.00,11.63,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6010954,1.00,5.00,2.00,3.00,6.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6010962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6010970,4.00,6.00,5.00,6.00,9.00,7.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6010989,2.00,3.00,1.00,2.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6011004,3.00,2.00,2.00,0.00,5.00,7.13,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6011012,6.00,3.00,5.00,6.00,10.00,7.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6011020,5.00,5.00,3.00,5.00,5.00,7.13,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6011039,3.00,4.00,1.00,2.00,3.00,7.88,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6011071,6.00,4.00,1.00,3.00,5.00,8.63,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6011080,4.00,5.00,3.00,5.00,9.00,9.38,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6011098,6.00,3.00,1.00,5.00,8.00,7.13,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6011101,4.00,7.00,2.00,3.00,3.00,6.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6011110,4.00,6.00,4.00,3.00,6.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6011136,6.00,5.00,3.00,4.00,7.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6011160,5.00,5.00,5.00,3.00,5.00,9.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6011187,3.00,6.00,3.00,4.00,4.00,5.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6011225,3.00,5.00,2.00,3.00,6.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'S'),(25,6011233,2.00,4.00,1.00,1.00,4.00,0.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6011250,5.00,6.00,1.00,5.00,8.00,8.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6011276,6.00,4.00,3.00,2.00,6.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6011284,3.00,2.00,1.00,5.00,8.00,10.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6011306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6011314,1.00,0.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6011322,5.00,5.00,3.00,2.00,6.00,9.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6011330,5.00,4.00,3.00,6.00,4.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6011349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6011357,5.00,5.00,3.00,2.00,5.00,8.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6011365,4.00,5.00,3.00,6.00,9.00,11.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6011373,2.00,2.00,3.00,3.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6011381,8.00,6.00,3.00,6.00,9.00,9.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6011390,1.00,1.00,1.00,3.00,4.00,5.25,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6011403,5.00,4.00,2.00,3.00,5.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6011411,2.00,4.00,5.00,6.00,9.00,11.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6011438,3.00,6.00,2.00,2.00,8.00,10.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6011446,5.00,6.00,0.00,6.00,9.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6011454,8.00,9.00,3.00,4.00,7.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6011462,5.00,7.00,1.00,4.00,9.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6011470,6.00,6.00,2.00,7.00,7.00,10.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6011489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6011497,5.00,6.00,1.00,3.00,9.00,7.13,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6011500,7.00,5.00,2.00,6.00,8.00,7.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6011519,2.00,4.00,3.00,1.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6011527,6.00,6.00,2.00,3.00,7.00,9.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6011535,5.00,6.00,4.00,3.00,6.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6011543,6.00,5.00,1.00,6.00,7.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6011551,6.00,6.00,4.00,7.00,6.00,7.88,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6011560,2.00,5.00,2.00,3.00,6.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6011578,1.00,3.00,0.00,1.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6011586,7.00,4.00,3.00,7.00,8.00,7.88,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6011594,7.00,6.00,5.00,6.00,10.00,9.00,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6011608,3.00,6.00,1.00,2.00,7.00,9.75,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6011616,4.00,7.00,3.00,2.00,7.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6011624,2.00,4.00,3.00,3.00,4.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6011632,3.00,4.00,2.00,2.00,6.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6011640,3.00,5.00,4.00,7.00,6.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6011659,9.00,6.00,6.00,8.00,10.00,10.88,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6011667,4.00,2.00,1.00,2.00,4.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6011675,7.00,8.00,3.00,7.00,10.00,11.63,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6011683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6011691,5.00,6.00,3.00,5.00,8.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6011705,3.00,0.00,1.00,2.00,4.00,4.50,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6011713,2.00,3.00,1.00,2.00,4.00,7.88,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6011721,3.00,6.00,4.00,6.00,9.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6011748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6011756,3.00,4.00,4.00,4.00,4.00,9.75,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6011764,3.00,5.00,2.00,4.00,7.00,8.63,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6011772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6011780,6.00,5.00,4.00,7.00,8.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6011799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6011802,3.00,7.00,5.00,2.00,7.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6011810,6.00,7.00,7.00,6.00,8.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6011829,1.00,3.00,3.00,2.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6011837,7.00,5.00,3.00,5.00,7.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6011845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6011861,2.00,5.00,3.00,3.00,6.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6011926,5.00,6.00,4.00,6.00,4.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6011934,3.00,6.00,0.00,5.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6011942,5.00,4.00,3.00,4.00,4.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6011950,5.00,5.00,1.00,0.00,7.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6011969,3.00,7.00,3.00,5.00,3.00,7.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6011985,3.00,5.00,3.00,5.00,9.00,11.63,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6011993,4.00,4.00,1.00,1.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,'S','N'),(25,6012000,1.00,3.00,2.00,1.00,4.00,5.25,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6012019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6012027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6012035,5.00,5.00,4.00,4.00,8.00,NULL,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6012043,5.00,6.00,3.00,7.00,10.00,13.88,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6012051,7.00,7.00,6.00,6.00,8.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6012078,5.00,5.00,3.00,5.00,6.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6012086,6.00,5.00,2.00,6.00,6.00,9.75,0.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6012094,4.00,4.00,2.00,4.00,6.00,7.13,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6012108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6012124,5.00,4.00,4.00,6.00,8.00,9.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6012132,3.00,5.00,2.00,4.00,4.00,3.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6012159,4.00,2.00,3.00,7.00,7.00,6.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6012167,6.00,6.00,1.00,6.00,10.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6012175,1.00,6.00,1.00,7.00,3.00,10.13,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6012183,3.00,3.00,0.00,5.00,9.00,7.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6012191,2.00,2.00,1.00,2.00,4.00,5.63,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6012205,3.00,5.00,1.00,6.00,6.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6012213,8.00,8.00,5.00,4.00,8.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6012221,7.00,6.00,5.00,7.00,10.00,11.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6012230,8.00,3.00,6.00,5.00,6.00,9.38,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6012256,3.00,3.00,2.00,3.00,3.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6012264,7.00,7.00,6.00,6.00,7.00,8.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6012272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6012280,4.00,8.00,2.00,6.00,8.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6012299,4.00,3.00,4.00,3.00,6.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6012302,7.00,4.00,9.00,7.00,7.00,8.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6012310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6012329,7.00,5.00,5.00,6.00,7.00,9.00,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6012337,4.00,4.00,3.00,4.00,8.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6012353,5.00,5.00,3.00,5.00,8.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6012388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6012396,7.00,8.00,3.00,5.00,8.00,7.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6012400,7.00,7.00,6.00,6.00,8.00,8.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6012418,6.00,7.00,3.00,6.00,8.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6012426,5.00,5.00,5.00,6.00,8.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6012434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6012442,7.00,5.00,3.00,5.00,10.00,10.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6012450,8.00,5.00,8.00,5.00,9.00,10.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6012469,5.00,6.00,3.00,4.00,7.00,7.88,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6012477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6012485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6012493,6.00,7.00,5.00,6.00,8.00,8.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6012507,6.00,7.00,2.00,4.00,8.00,7.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6012515,5.00,6.00,5.00,7.00,7.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6012523,6.00,8.00,6.00,6.00,8.00,6.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6012531,3.00,3.00,1.00,4.00,7.00,7.88,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6012566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6012574,3.00,5.00,2.00,2.00,5.00,7.13,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6012590,4.00,6.00,2.00,3.00,6.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6012604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6012612,5.00,3.00,3.00,2.00,3.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6012620,6.00,4.00,3.00,6.00,9.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6012647,5.00,7.00,3.00,4.00,6.00,11.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6012655,2.00,5.00,2.00,2.00,5.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6012663,6.00,4.00,3.00,3.00,7.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6012671,3.00,5.00,4.00,3.00,3.00,7.50,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6012698,2.00,1.00,1.00,3.00,4.00,6.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6012701,8.00,7.00,3.00,5.00,8.00,9.00,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6012710,3.00,5.00,2.00,4.00,9.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6012728,4.00,5.00,0.00,6.00,6.00,5.63,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6012744,6.00,7.00,2.00,5.00,8.00,10.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6012752,7.00,4.00,2.00,3.00,8.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6012760,2.00,4.00,0.00,1.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6012779,2.00,3.00,6.00,3.00,6.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6012817,2.00,5.00,2.00,5.00,7.00,7.88,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6012825,7.00,5.00,4.00,6.00,8.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6012833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6012841,2.00,3.00,0.00,4.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6012868,5.00,7.00,2.00,5.00,9.00,9.75,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6012876,5.00,4.00,2.00,3.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6012884,3.00,2.00,0.00,2.00,4.00,5.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6012906,2.00,2.00,3.00,2.00,6.00,8.63,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6012914,2.00,3.00,1.00,4.00,5.00,5.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6012922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6012930,6.00,5.00,2.00,6.00,7.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6012957,3.00,5.00,3.00,2.00,5.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6012973,3.00,2.00,0.00,2.00,5.00,9.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6013007,3.00,7.00,1.00,5.00,6.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6013015,4.00,5.00,3.00,5.00,10.00,9.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6013023,2.00,4.00,3.00,4.00,7.00,0.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6013040,4.00,5.00,2.00,2.00,5.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6013058,5.00,5.00,2.00,2.00,4.00,6.75,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6013066,3.00,5.00,3.00,6.00,6.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6013074,4.00,6.00,4.00,6.00,6.00,9.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6013082,3.00,7.00,2.00,4.00,6.00,6.75,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6013090,4.00,4.00,3.00,5.00,3.00,0.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6013104,4.00,5.00,1.00,2.00,7.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6013112,2.00,3.00,1.00,1.00,3.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6013120,3.00,3.00,1.00,3.00,5.00,7.88,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6013139,3.00,2.00,0.00,1.00,7.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6013147,6.00,6.00,0.00,2.00,7.00,6.38,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6013155,6.00,6.00,0.00,5.00,6.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6013163,5.00,5.00,3.00,3.00,6.00,10.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6013171,0.00,4.00,1.00,2.00,3.00,7.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6013180,2.00,4.00,2.00,3.00,6.00,5.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6013201,4.00,5.00,3.00,5.00,6.00,7.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6013210,3.00,2.00,4.00,6.00,7.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6013228,2.00,5.00,0.00,4.00,3.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6013244,3.00,3.00,1.00,4.00,7.00,7.88,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6013260,5.00,6.00,1.00,3.00,9.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6013279,4.00,5.00,3.00,4.00,8.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6013287,2.00,5.00,1.00,4.00,8.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6013295,7.00,5.00,4.00,6.00,9.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6013309,1.00,3.00,0.00,3.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6013317,3.00,6.00,0.00,7.00,7.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6013325,4.00,5.00,2.00,4.00,4.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6013333,6.00,7.00,4.00,3.00,6.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6013341,3.00,3.00,1.00,6.00,9.00,10.13,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6013368,7.00,4.00,3.00,6.00,8.00,7.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6013384,4.00,5.00,1.00,4.00,7.00,9.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6013392,3.00,6.00,4.00,6.00,5.00,9.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6013406,6.00,7.00,4.00,6.00,10.00,11.25,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6013414,3.00,4.00,1.00,7.00,6.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6013430,3.00,5.00,0.00,4.00,8.00,10.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6013449,1.00,5.00,0.00,2.00,6.00,8.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6013457,5.00,8.00,3.00,6.00,7.00,7.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6013465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6013490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6013503,4.00,2.00,0.00,3.00,5.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6013511,8.00,6.00,7.00,7.00,9.00,7.50,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6013520,7.00,5.00,4.00,5.00,9.00,8.25,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6013538,7.00,6.00,2.00,5.00,8.00,10.13,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6013546,3.00,2.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6013554,2.00,4.00,2.00,4.00,4.00,6.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6013570,7.00,6.00,2.00,3.00,6.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6013589,7.00,4.00,0.00,7.00,7.00,NULL,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6013597,4.00,4.00,0.00,4.00,7.00,9.00,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6013600,5.00,7.00,2.00,4.00,9.00,9.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6013635,4.00,5.00,3.00,4.00,4.00,9.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6013643,7.00,7.00,8.00,5.00,7.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6013678,5.00,5.00,0.00,7.00,7.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6013708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6013724,7.00,7.00,8.00,6.00,8.00,9.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6013732,4.00,3.00,1.00,2.00,6.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6013740,8.00,6.00,9.00,7.00,9.00,10.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6013775,3.00,5.00,2.00,2.00,8.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6013783,3.00,3.00,1.00,3.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6013791,7.00,5.00,6.00,4.00,6.00,6.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6013805,3.00,2.00,2.00,6.00,4.00,5.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6013813,4.00,6.00,2.00,5.00,7.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6013821,7.00,7.00,2.00,3.00,7.00,9.38,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6013830,4.00,4.00,0.00,3.00,6.00,10.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6013856,4.00,5.00,5.00,7.00,8.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6013864,3.00,6.00,2.00,2.00,5.00,8.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6013872,1.00,3.00,1.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6013880,3.00,6.00,3.00,6.00,8.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6013902,0.00,2.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6013929,3.00,3.00,3.00,5.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6013937,2.00,5.00,3.00,2.00,5.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6013961,3.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6013970,6.00,7.00,4.00,6.00,6.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6013988,4.00,6.00,3.00,5.00,5.00,6.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6013996,3.00,5.00,3.00,5.00,8.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6014011,3.00,4.00,2.00,2.00,5.00,9.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6014020,4.00,3.00,1.00,0.00,3.00,6.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6014038,4.00,4.00,0.00,3.00,7.00,7.88,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6014046,8.00,7.00,5.00,7.00,9.00,8.63,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6014054,5.00,5.00,1.00,1.00,7.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6014089,7.00,8.00,4.00,7.00,8.00,9.75,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6014097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6014100,4.00,2.00,5.00,5.00,8.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6014119,4.00,4.00,1.00,1.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6014127,6.00,5.00,2.00,5.00,9.00,10.13,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(25,6014135,5.00,6.00,4.00,7.00,8.00,9.38,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6014143,5.00,9.00,2.00,7.00,8.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6014160,7.00,5.00,2.00,6.00,8.00,10.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6014186,4.00,3.00,1.00,3.00,3.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6014194,5.00,6.00,2.00,2.00,7.00,6.38,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6014208,4.00,4.00,3.00,6.00,7.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6014224,5.00,6.00,6.00,6.00,7.00,7.88,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6014232,4.00,5.00,5.00,3.00,7.00,9.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6014240,3.00,7.00,2.00,2.00,3.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6014259,5.00,3.00,2.00,4.00,6.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6014267,9.00,7.00,7.00,6.00,10.00,8.63,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6014275,4.00,4.00,0.00,4.00,3.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6014283,5.00,2.00,2.00,4.00,6.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6014291,4.00,6.00,0.00,5.00,7.00,9.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6014305,7.00,5.00,6.00,7.00,8.00,11.25,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6014313,6.00,8.00,3.00,5.00,8.00,8.25,1.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6014321,2.00,4.00,2.00,6.00,5.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6014330,7.00,5.00,5.00,3.00,3.00,7.88,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6014356,7.00,5.00,4.00,7.00,9.00,12.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6014364,5.00,5.00,1.00,4.00,7.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6014372,1.00,5.00,3.00,5.00,4.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6014380,2.00,1.00,0.00,2.00,3.00,8.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6014399,4.00,3.00,1.00,1.00,4.00,6.00,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6014402,8.00,7.00,3.00,5.00,10.00,13.50,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6014410,8.00,7.00,4.00,5.00,9.00,9.75,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6014429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6014437,1.00,3.00,4.00,4.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6014453,3.00,4.00,3.00,5.00,7.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6014461,6.00,6.00,3.00,5.00,6.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6014488,4.00,6.00,2.00,4.00,7.00,9.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6014496,2.00,2.00,2.00,3.00,5.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6014500,6.00,5.00,1.00,6.00,6.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6014518,1.00,3.00,1.00,4.00,5.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6014526,2.00,6.00,0.00,6.00,9.00,9.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6014534,4.00,3.00,1.00,5.00,3.00,8.25,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6014542,3.00,5.00,3.00,5.00,6.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6014550,7.00,8.00,6.00,7.00,8.00,10.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6014569,1.00,7.00,2.00,0.00,6.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6014577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6014585,3.00,1.00,2.00,3.00,5.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6014593,4.00,5.00,2.00,6.00,8.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6014615,6.00,4.00,5.00,5.00,7.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6014623,3.00,2.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6014631,6.00,4.00,3.00,3.00,5.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6014640,1.00,4.00,0.00,3.00,6.00,8.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6014658,4.00,6.00,0.00,5.00,8.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6014666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6014674,5.00,5.00,0.00,6.00,9.00,7.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6014682,1.00,6.00,3.00,5.00,7.00,6.75,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6014690,2.00,1.00,0.00,3.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,'S','N'),(25,6014704,2.00,5.00,1.00,1.00,3.00,8.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6014720,8.00,6.00,4.00,7.00,10.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6014739,4.00,6.00,3.00,5.00,4.00,6.00,5.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6014747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6014755,8.00,6.00,6.00,7.00,5.00,8.63,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6014763,4.00,5.00,2.00,3.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6014771,4.00,7.00,2.00,4.00,5.00,9.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6014798,4.00,5.00,3.00,1.00,4.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6014801,7.00,6.00,2.00,5.00,8.00,10.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6014810,0.00,4.00,1.00,3.00,4.00,6.75,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6014836,1.00,5.00,1.00,2.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6014844,4.00,7.00,2.00,4.00,6.00,7.88,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6014852,5.00,3.00,1.00,1.00,5.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6014879,0.00,2.00,0.00,0.00,4.00,6.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6014887,3.00,4.00,1.00,1.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6014909,3.00,2.00,0.00,3.00,8.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6014917,3.00,4.00,2.00,3.00,4.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6014925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6014933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6014968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6014984,4.00,7.00,3.00,2.00,6.00,8.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6014992,1.00,2.00,2.00,4.00,4.00,5.25,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6015000,2.00,6.00,2.00,3.00,5.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6015026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6015034,5.00,6.00,2.00,6.00,8.00,NULL,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6015042,7.00,6.00,2.00,3.00,7.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6015069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6015077,7.00,7.00,5.00,6.00,11.00,7.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6015085,6.00,4.00,3.00,6.00,8.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6015093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6015115,2.00,3.00,3.00,3.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,'S','N'),(25,6015123,1.00,1.00,2.00,1.00,6.00,8.25,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6015140,2.00,3.00,2.00,3.00,5.00,9.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6015158,2.00,2.00,0.00,2.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6015166,3.00,3.00,0.00,1.00,5.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6015174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6015182,5.00,2.00,4.00,3.00,6.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6015190,5.00,4.00,2.00,5.00,7.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6015204,7.00,7.00,4.00,4.00,8.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6015212,1.00,3.00,1.00,5.00,6.00,0.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6015239,4.00,2.00,2.00,1.00,6.00,4.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6015255,3.00,1.00,0.00,2.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6015263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6015271,5.00,5.00,3.00,4.00,6.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6015280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6015298,5.00,3.00,3.00,5.00,7.00,9.00,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6015301,2.00,4.00,1.00,4.00,4.00,9.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6015336,4.00,5.00,1.00,4.00,7.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6015344,6.00,7.00,5.00,6.00,9.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6015352,4.00,4.00,1.00,7.00,7.00,7.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6015360,3.00,7.00,3.00,3.00,9.00,8.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6015379,5.00,5.00,5.00,2.00,7.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6015387,2.00,5.00,3.00,4.00,7.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6015409,2.00,0.00,2.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6015425,6.00,4.00,0.00,2.00,8.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6015433,3.00,2.00,3.00,2.00,5.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6015476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6015492,2.00,4.00,2.00,2.00,6.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6015506,6.00,7.00,4.00,1.00,6.00,6.75,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6015530,5.00,5.00,1.00,3.00,7.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6015549,3.00,3.00,4.00,3.00,5.00,8.25,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6015557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6015565,1.00,5.00,3.00,3.00,5.00,8.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6015581,3.00,3.00,0.00,4.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6015590,5.00,4.00,2.00,4.00,3.00,4.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6015620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6015638,5.00,3.00,1.00,1.00,8.00,8.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6015654,5.00,5.00,4.00,5.00,6.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6015662,2.00,3.00,2.00,3.00,8.00,8.25,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6015670,5.00,4.00,3.00,2.00,4.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6015689,4.00,6.00,2.00,3.00,5.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6015700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6015727,5.00,7.00,0.00,4.00,8.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6015743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6015760,6.00,5.00,0.00,3.00,8.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6015778,4.00,4.00,2.00,2.00,7.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6015786,5.00,3.00,1.00,4.00,6.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6015794,3.00,4.00,0.00,0.00,4.00,11.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6015808,2.00,5.00,1.00,4.00,8.00,9.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6015816,3.00,4.00,0.00,4.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6015824,2.00,4.00,1.00,2.00,5.00,7.88,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6015832,5.00,3.00,2.00,3.00,6.00,9.75,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6015840,5.00,4.00,2.00,4.00,5.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6015859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6015867,7.00,7.00,3.00,3.00,7.00,7.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6015875,4.00,7.00,2.00,6.00,5.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6015883,6.00,7.00,0.00,6.00,9.00,9.00,0.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6015891,5.00,5.00,0.00,5.00,3.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6015905,3.00,4.00,1.00,3.00,3.00,6.38,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6015913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6015921,6.00,7.00,6.00,7.00,8.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6015930,2.00,4.00,1.00,4.00,7.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6015948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6015964,3.00,3.00,1.00,4.00,4.00,9.00,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6015972,2.00,6.00,3.00,4.00,8.00,10.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6015980,2.00,3.00,1.00,1.00,1.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6015999,6.00,5.00,4.00,5.00,5.00,10.13,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6016006,7.00,7.00,4.00,6.00,10.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6016014,2.00,5.00,1.00,5.00,5.00,6.75,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6016030,5.00,5.00,1.00,6.00,5.00,4.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6016065,3.00,6.00,2.00,6.00,6.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6016073,3.00,6.00,1.00,4.00,8.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6016081,6.00,6.00,2.00,5.00,8.00,9.38,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6016090,5.00,6.00,5.00,3.00,8.00,7.13,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6016103,4.00,4.00,0.00,2.00,5.00,5.25,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6016111,3.00,6.00,1.00,4.00,8.00,10.13,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6016120,2.00,6.00,0.00,4.00,8.00,NULL,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6016138,3.00,4.00,1.00,2.00,3.00,3.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6016146,3.00,6.00,0.00,3.00,9.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6016154,7.00,8.00,7.00,7.00,10.00,11.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6016162,5.00,4.00,2.00,5.00,6.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6016170,2.00,5.00,1.00,4.00,5.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6016189,2.00,3.00,4.00,5.00,6.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6016197,5.00,5.00,4.00,4.00,6.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6016219,8.00,8.00,9.00,6.00,10.00,10.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6016227,4.00,4.00,1.00,5.00,7.00,10.50,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6016235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6016243,7.00,6.00,4.00,6.00,9.00,11.63,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6016251,4.00,5.00,4.00,5.00,6.00,7.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6016260,5.00,4.00,3.00,6.00,5.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6016278,4.00,5.00,0.00,6.00,7.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6016294,2.00,1.00,1.00,1.00,4.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6016308,5.00,3.00,2.00,3.00,8.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6016316,3.00,5.00,2.00,4.00,5.00,7.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6016324,3.00,3.00,2.00,2.00,4.00,6.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6016332,1.00,3.00,2.00,3.00,3.00,6.75,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6016359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6016367,6.00,5.00,2.00,4.00,8.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6016375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6016383,4.00,4.00,4.00,7.00,9.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6016391,4.00,5.00,3.00,2.00,5.00,6.00,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6016405,7.00,6.00,6.00,6.00,7.00,12.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6016421,2.00,3.00,1.00,3.00,3.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6016430,4.00,6.00,5.00,6.00,6.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6016456,3.00,7.00,1.00,6.00,5.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6016464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6016472,3.00,4.00,5.00,6.00,5.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6016499,5.00,6.00,3.00,3.00,7.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6016510,3.00,6.00,2.00,6.00,8.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6016529,4.00,3.00,0.00,4.00,8.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6016537,8.00,7.00,3.00,7.00,10.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6016553,6.00,6.00,4.00,7.00,9.00,10.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6016561,1.00,2.00,1.00,2.00,4.00,8.63,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6016570,1.00,4.00,0.00,5.00,8.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6016588,4.00,6.00,1.00,4.00,8.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6016596,6.00,4.00,4.00,6.00,8.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6016618,1.00,3.00,0.00,3.00,1.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6016626,5.00,5.00,2.00,6.00,8.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6016642,3.00,5.00,2.00,3.00,6.00,7.50,1.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6016650,3.00,7.00,2.00,2.00,5.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6016677,8.00,7.00,4.00,7.00,7.00,9.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6016707,2.00,7.00,3.00,4.00,4.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6016723,2.00,0.00,2.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6016731,5.00,7.00,3.00,4.00,6.00,9.38,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6016758,7.00,4.00,3.00,5.00,9.00,8.63,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6016774,3.00,4.00,2.00,4.00,7.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6016782,6.00,6.00,2.00,3.00,8.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6016790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6016804,8.00,7.00,4.00,6.00,8.00,7.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6016839,4.00,4.00,1.00,3.00,7.00,7.13,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6016847,6.00,7.00,6.00,7.00,9.00,11.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6016855,5.00,8.00,1.00,3.00,9.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6016871,7.00,5.00,2.00,4.00,6.00,9.38,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6016880,3.00,3.00,3.00,2.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6016898,4.00,3.00,3.00,3.00,4.00,5.63,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6016901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6016910,3.00,5.00,4.00,6.00,7.00,5.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6016936,4.00,4.00,3.00,5.00,8.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6016944,8.00,7.00,4.00,5.00,9.00,9.75,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6016952,1.00,3.00,1.00,6.00,6.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6016960,5.00,5.00,2.00,4.00,9.00,4.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6016979,3.00,3.00,2.00,6.00,7.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6016987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6017010,5.00,7.00,4.00,5.00,10.00,7.88,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6017029,3.00,4.00,2.00,5.00,8.00,8.63,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6017037,6.00,4.00,4.00,3.00,5.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6017045,2.00,2.00,1.00,2.00,4.00,8.25,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6017053,5.00,3.00,0.00,4.00,3.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6017061,8.00,8.00,6.00,7.00,9.00,10.13,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6017070,5.00,5.00,2.00,5.00,8.00,10.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6017096,3.00,4.00,0.00,4.00,6.00,6.00,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6017118,4.00,4.00,4.00,3.00,8.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6017126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6017134,3.00,4.00,2.00,2.00,4.00,5.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6017142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6017169,5.00,3.00,2.00,4.00,9.00,7.88,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6017185,2.00,2.00,4.00,3.00,4.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6017193,3.00,7.00,2.00,6.00,9.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6017207,3.00,6.00,2.00,5.00,5.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6017215,5.00,8.00,3.00,4.00,8.00,9.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6017223,3.00,5.00,2.00,3.00,7.00,7.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6017231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6017240,4.00,3.00,0.00,4.00,7.00,7.88,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6017258,7.00,6.00,6.00,5.00,8.00,8.63,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6017266,6.00,7.00,4.00,7.00,7.00,12.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6017274,2.00,4.00,2.00,3.00,8.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6017282,3.00,5.00,1.00,3.00,4.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6017290,0.00,2.00,0.00,5.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6017320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6017339,5.00,6.00,1.00,3.00,5.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6017347,3.00,4.00,2.00,6.00,7.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6017355,4.00,2.00,0.00,5.00,8.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6017363,5.00,4.00,5.00,6.00,9.00,7.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6017371,1.00,5.00,0.00,1.00,4.00,7.88,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6017380,2.00,1.00,0.00,3.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6017398,5.00,5.00,1.00,3.00,6.00,5.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6017410,2.00,4.00,4.00,6.00,3.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6017436,3.00,5.00,5.00,2.00,6.00,7.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6017444,4.00,3.00,1.00,5.00,4.00,9.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6017452,6.00,3.00,2.00,3.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6017460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6017487,5.00,4.00,5.00,7.00,7.00,11.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6017509,7.00,5.00,4.00,6.00,8.00,8.63,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6017541,4.00,6.00,2.00,3.00,4.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6017550,6.00,8.00,5.00,7.00,9.00,11.25,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6017568,7.00,7.00,4.00,7.00,9.00,11.25,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6017576,5.00,3.00,1.00,2.00,3.00,6.38,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6017592,3.00,3.00,4.00,3.00,7.00,8.25,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6017606,4.00,3.00,0.00,4.00,5.00,6.38,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6017622,5.00,6.00,2.00,4.00,8.00,8.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6017630,0.00,2.00,1.00,4.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6017665,6.00,7.00,2.00,8.00,8.00,10.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6017673,3.00,6.00,3.00,4.00,6.00,11.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6017681,6.00,7.00,4.00,5.00,7.00,10.13,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6017703,5.00,3.00,2.00,4.00,6.00,11.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6017711,6.00,4.00,2.00,3.00,4.00,7.50,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6017720,7.00,7.00,2.00,6.00,9.00,9.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6017738,4.00,5.00,2.00,6.00,5.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6017746,5.00,5.00,2.00,1.00,8.00,10.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6017770,4.00,5.00,2.00,6.00,9.00,9.38,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6017819,5.00,6.00,2.00,2.00,7.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6017827,1.00,2.00,1.00,1.00,3.00,7.50,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6017835,6.00,7.00,2.00,4.00,8.00,10.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6017843,2.00,5.00,2.00,1.00,5.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6017851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6017860,3.00,3.00,0.00,4.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6017886,2.00,6.00,2.00,5.00,7.00,9.75,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6017894,6.00,6.00,2.00,4.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6017908,4.00,7.00,0.00,6.00,4.00,9.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6017916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6017924,2.00,6.00,1.00,4.00,6.00,7.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6017932,4.00,5.00,2.00,3.00,4.00,8.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6017940,3.00,4.00,4.00,4.00,7.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6017959,3.00,3.00,3.00,4.00,4.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6017967,7.00,7.00,3.00,5.00,9.00,12.38,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6017975,4.00,5.00,2.00,7.00,6.00,11.25,0.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6017983,4.00,6.00,1.00,7.00,7.00,NULL,2.00,6.00,5.00,NULL,NULL,'S','S'),(25,6017991,7.00,6.00,0.00,4.00,9.00,9.75,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6018017,1.00,4.00,2.00,5.00,6.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6018033,3.00,2.00,2.00,3.00,9.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6018041,1.00,3.00,3.00,4.00,4.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6018050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6018068,5.00,7.00,3.00,6.00,3.00,9.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6018076,5.00,5.00,2.00,5.00,8.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6018084,3.00,6.00,2.00,4.00,5.00,5.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6018092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6018114,2.00,4.00,1.00,3.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6018130,4.00,4.00,2.00,3.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6018149,5.00,4.00,1.00,1.00,7.00,10.88,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6018165,7.00,6.00,6.00,6.00,5.00,6.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6018173,4.00,5.00,3.00,7.00,10.00,9.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6018181,5.00,6.00,0.00,3.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6018190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6018203,4.00,2.00,1.00,1.00,4.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6018211,4.00,6.00,4.00,6.00,6.00,7.88,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6018220,3.00,5.00,1.00,5.00,8.00,9.00,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6018238,4.00,4.00,2.00,3.00,5.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6018246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6018254,4.00,0.00,1.00,4.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6018262,1.00,4.00,0.00,2.00,5.00,6.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6018289,9.00,7.00,2.00,7.00,10.00,13.13,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6018297,3.00,1.00,0.00,0.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6018335,6.00,6.00,6.00,6.00,5.00,10.50,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6018343,7.00,6.00,2.00,6.00,8.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6018351,1.00,3.00,4.00,2.00,1.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6018360,7.00,6.00,6.00,7.00,6.00,7.88,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6018386,2.00,2.00,2.00,6.00,7.00,10.50,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6018394,2.00,5.00,0.00,5.00,6.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6018408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6018416,2.00,4.00,1.00,2.00,7.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6018424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6018432,2.00,3.00,1.00,3.00,6.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6018440,3.00,4.00,2.00,5.00,8.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6018459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6018467,3.00,4.00,1.00,0.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6018475,6.00,7.00,3.00,3.00,7.00,6.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6018491,8.00,7.00,5.00,6.00,10.00,9.75,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6018513,3.00,4.00,1.00,2.00,5.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6018521,6.00,6.00,6.00,7.00,10.00,12.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6018530,3.00,2.00,2.00,2.00,4.00,9.00,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6018548,4.00,4.00,0.00,3.00,6.00,10.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6018556,2.00,6.00,1.00,3.00,5.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6018572,8.00,7.00,4.00,6.00,10.00,10.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6018599,8.00,5.00,5.00,7.00,9.00,10.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6018602,7.00,7.00,5.00,6.00,10.00,8.63,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6018610,2.00,6.00,1.00,4.00,4.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6018629,5.00,5.00,2.00,7.00,5.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6018637,5.00,6.00,3.00,7.00,8.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6018645,5.00,5.00,1.00,5.00,8.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6018653,3.00,3.00,2.00,4.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6018661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6018670,6.00,5.00,5.00,5.00,6.00,6.38,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6018688,4.00,5.00,0.00,2.00,7.00,6.00,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6018696,4.00,6.00,2.00,7.00,8.00,5.63,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6018700,2.00,4.00,2.00,4.00,6.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6018718,3.00,3.00,3.00,6.00,6.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6018726,4.00,0.00,4.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6018734,4.00,5.00,3.00,4.00,6.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6018742,3.00,4.00,2.00,3.00,4.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6018769,2.00,6.00,4.00,5.00,7.00,7.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6018777,4.00,6.00,1.00,4.00,7.00,10.50,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6018785,5.00,8.00,1.00,5.00,6.00,9.38,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6018793,3.00,2.00,0.00,3.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6018807,1.00,3.00,0.00,1.00,5.00,7.13,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6018823,5.00,6.00,1.00,3.00,7.00,9.38,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6018831,7.00,6.00,5.00,7.00,9.00,9.38,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6018840,7.00,6.00,3.00,5.00,8.00,8.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6018858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6018874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6018882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6018890,4.00,0.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6018912,5.00,5.00,0.00,6.00,7.00,10.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6018939,5.00,4.00,4.00,7.00,5.00,6.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6018947,5.00,4.00,3.00,4.00,7.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6018963,4.00,5.00,3.00,7.00,6.00,5.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6018971,8.00,7.00,3.00,3.00,9.00,9.00,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6018980,1.00,2.00,0.00,1.00,3.00,7.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6019005,3.00,6.00,3.00,6.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6019013,4.00,5.00,1.00,3.00,5.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6019021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6019030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6019048,3.00,5.00,0.00,4.00,7.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6019056,5.00,4.00,1.00,5.00,7.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6019064,3.00,5.00,1.00,5.00,8.00,9.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6019072,2.00,4.00,3.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6019080,7.00,7.00,2.00,7.00,9.00,10.13,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6019099,5.00,5.00,3.00,4.00,4.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6019102,3.00,1.00,2.00,5.00,6.00,5.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6019129,3.00,6.00,3.00,5.00,7.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6019137,4.00,6.00,0.00,1.00,8.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6019161,6.00,5.00,6.00,6.00,9.00,10.13,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6019170,7.00,5.00,4.00,4.00,7.00,10.88,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6019188,2.00,4.00,4.00,4.00,6.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6019196,4.00,5.00,5.00,3.00,5.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6019200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6019218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6019226,7.00,6.00,4.00,7.00,6.00,10.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6019234,2.00,5.00,0.00,1.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6019269,6.00,6.00,4.00,3.00,7.00,8.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6019277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6019285,2.00,2.00,2.00,2.00,5.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6019293,3.00,3.00,2.00,4.00,7.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6019307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6019315,4.00,4.00,2.00,7.00,7.00,9.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6019323,4.00,4.00,7.00,6.00,3.00,7.13,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6019331,3.00,4.00,0.00,2.00,6.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6019340,3.00,4.00,0.00,1.00,6.00,9.75,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6019358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6019374,6.00,5.00,5.00,6.00,9.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6019382,4.00,6.00,2.00,3.00,8.00,6.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6019404,3.00,3.00,0.00,5.00,3.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6019412,6.00,6.00,1.00,6.00,9.00,9.75,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6019420,4.00,4.00,2.00,7.00,8.00,12.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6019447,5.00,5.00,2.00,6.00,6.00,11.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6019463,4.00,5.00,3.00,4.00,6.00,10.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6019480,5.00,5.00,7.00,8.00,9.00,8.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6019498,2.00,6.00,0.00,0.00,4.00,5.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6019501,4.00,4.00,2.00,4.00,5.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6019510,5.00,6.00,3.00,6.00,7.00,11.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6019528,5.00,4.00,5.00,7.00,7.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6019536,7.00,7.00,7.00,5.00,9.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6019544,5.00,5.00,1.00,2.00,9.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6019552,2.00,3.00,0.00,2.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6019560,4.00,0.00,3.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6019595,3.00,5.00,0.00,4.00,6.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6019609,3.00,5.00,2.00,4.00,4.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6019617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6019625,3.00,4.00,0.00,3.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6019633,3.00,2.00,3.00,5.00,4.00,7.88,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6019641,6.00,7.00,5.00,4.00,6.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6019650,8.00,8.00,5.00,6.00,10.00,10.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6019668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6019676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6019684,8.00,6.00,3.00,8.00,10.00,12.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6019692,4.00,5.00,0.00,6.00,8.00,11.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6019706,5.00,4.00,3.00,7.00,7.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6019714,5.00,4.00,5.00,5.00,6.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6019722,3.00,2.00,1.00,3.00,7.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6019730,2.00,4.00,2.00,4.00,6.00,10.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6019765,3.00,4.00,0.00,3.00,2.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6019790,3.00,6.00,1.00,6.00,8.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6019803,3.00,4.00,1.00,4.00,7.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6019811,2.00,4.00,1.00,5.00,7.00,9.75,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6019820,3.00,4.00,5.00,5.00,5.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6019838,5.00,6.00,1.00,3.00,4.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6019846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6019870,4.00,4.00,4.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6019900,5.00,3.00,1.00,3.00,6.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6019919,4.00,7.00,2.00,6.00,8.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6019927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6019935,1.00,2.00,2.00,3.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6019943,4.00,5.00,6.00,7.00,10.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'S'),(25,6019978,2.00,3.00,0.00,5.00,3.00,5.63,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6019986,4.00,4.00,2.00,2.00,8.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6019994,2.00,3.00,0.00,3.00,6.00,6.38,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6020003,4.00,4.00,0.00,4.00,7.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6020011,4.00,6.00,1.00,2.00,7.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6020020,5.00,4.00,2.00,4.00,4.00,10.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6020046,8.00,6.00,4.00,7.00,9.00,11.63,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6020062,6.00,5.00,5.00,5.00,9.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6020070,3.00,3.00,2.00,4.00,3.00,9.00,1.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6020089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6020097,3.00,4.00,1.00,3.00,6.00,9.38,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6020100,8.00,7.00,7.00,5.00,8.00,9.75,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6020119,2.00,4.00,1.00,3.00,8.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6020127,3.00,3.00,2.00,3.00,5.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6020135,4.00,4.00,1.00,2.00,6.00,8.63,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6020143,3.00,4.00,1.00,5.00,7.00,7.88,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6020160,2.00,3.00,0.00,5.00,8.00,8.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6020178,3.00,5.00,1.00,4.00,3.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6020186,4.00,5.00,4.00,2.00,7.00,9.75,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6020194,4.00,6.00,2.00,5.00,7.00,10.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6020216,3.00,1.00,3.00,1.00,5.00,7.13,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6020232,8.00,6.00,6.00,7.00,8.00,9.38,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6020240,1.00,4.00,1.00,4.00,5.00,5.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6020259,3.00,3.00,1.00,6.00,7.00,10.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6020267,3.00,6.00,0.00,3.00,4.00,5.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6020275,5.00,6.00,3.00,6.00,8.00,8.25,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6020305,1.00,3.00,2.00,1.00,4.00,4.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6020313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6020321,7.00,3.00,3.00,4.00,4.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6020348,2.00,4.00,2.00,3.00,4.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6020356,4.00,7.00,2.00,4.00,8.00,8.25,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6020364,2.00,2.00,1.00,4.00,5.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6020372,4.00,5.00,1.00,2.00,7.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6020380,3.00,6.00,1.00,6.00,9.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6020399,5.00,6.00,1.00,5.00,7.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6020402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6020410,3.00,4.00,3.00,6.00,6.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6020437,2.00,4.00,1.00,1.00,3.00,10.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6020445,3.00,7.00,0.00,6.00,4.00,10.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6020453,3.00,6.00,3.00,6.00,10.00,9.38,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6020461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6020470,7.00,7.00,5.00,6.00,6.00,7.13,3.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6020496,4.00,6.00,2.00,2.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6020500,2.00,2.00,3.00,3.00,5.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6020518,6.00,3.00,1.00,5.00,4.00,7.13,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6020526,4.00,5.00,5.00,0.00,6.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6020534,6.00,6.00,5.00,3.00,6.00,8.25,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6020550,1.00,1.00,3.00,1.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6020569,8.00,4.00,5.00,7.00,9.00,9.00,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6020577,4.00,5.00,0.00,2.00,4.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6020585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6020593,3.00,3.00,2.00,6.00,7.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6020607,6.00,6.00,5.00,5.00,7.00,8.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6020623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6020631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6020640,8.00,6.00,3.00,6.00,10.00,8.25,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6020658,4.00,5.00,5.00,5.00,8.00,9.00,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6020666,1.00,4.00,2.00,6.00,5.00,8.25,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6020674,1.00,4.00,1.00,2.00,3.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6020682,4.00,7.00,3.00,6.00,9.00,8.25,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6020704,4.00,6.00,2.00,5.00,8.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6020712,8.00,7.00,3.00,7.00,10.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6020720,7.00,8.00,7.00,7.00,9.00,6.75,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6020739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6020747,5.00,6.00,2.00,4.00,8.00,8.25,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6020755,2.00,3.00,0.00,4.00,1.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6020763,5.00,0.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6020771,8.00,7.00,4.00,7.00,10.00,11.63,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6020780,2.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6020798,5.00,7.00,6.00,7.00,10.00,7.88,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6020828,4.00,2.00,2.00,4.00,6.00,9.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6020836,4.00,6.00,0.00,5.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6020844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6020852,1.00,4.00,2.00,3.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6020860,1.00,3.00,1.00,2.00,4.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6020879,3.00,5.00,3.00,3.00,6.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6020887,4.00,4.00,2.00,7.00,4.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6020895,4.00,5.00,1.00,6.00,10.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6020909,0.00,1.00,0.00,3.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6020917,8.00,6.00,4.00,6.00,7.00,9.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6020925,5.00,6.00,2.00,5.00,5.00,4.88,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6020933,4.00,3.00,4.00,5.00,5.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6020941,1.00,1.00,2.00,3.00,6.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6020950,4.00,6.00,1.00,4.00,8.00,9.38,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6020968,2.00,4.00,0.00,3.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6020976,7.00,2.00,0.00,4.00,7.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6020984,4.00,5.00,1.00,4.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6020992,3.00,4.00,2.00,4.00,5.00,7.88,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6021000,3.00,4.00,1.00,3.00,6.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6021018,8.00,7.00,4.00,6.00,10.00,10.50,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6021026,7.00,6.00,4.00,2.00,7.00,7.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6021034,4.00,6.00,2.00,1.00,5.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6021042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6021050,4.00,5.00,2.00,5.00,6.00,10.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6021069,5.00,3.00,4.00,3.00,8.00,10.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6021077,4.00,5.00,4.00,4.00,8.00,7.13,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6021107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6021115,2.00,3.00,2.00,1.00,7.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6021123,4.00,6.00,3.00,6.00,7.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6021131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6021140,2.00,6.00,2.00,4.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,'S','S'),(25,6021166,1.00,2.00,1.00,4.00,5.00,7.50,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6021174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6021182,5.00,5.00,3.00,3.00,6.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6021190,2.00,5.00,3.00,2.00,4.00,5.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6021204,7.00,6.00,4.00,7.00,8.00,9.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6021212,9.00,6.00,4.00,7.00,11.00,9.38,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6021220,4.00,6.00,0.00,2.00,9.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6021239,8.00,7.00,4.00,7.00,9.00,9.38,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6021247,5.00,3.00,3.00,4.00,7.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6021255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6021280,2.00,5.00,3.00,1.00,3.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6021298,7.00,7.00,3.00,6.00,9.00,11.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6021301,3.00,4.00,5.00,5.00,5.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6021310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6021328,3.00,6.00,2.00,6.00,6.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6021336,2.00,2.00,2.00,2.00,6.00,7.13,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6021344,6.00,5.00,1.00,5.00,9.00,11.25,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6021352,5.00,5.00,4.00,7.00,8.00,7.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6021360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6021379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6021387,3.00,5.00,2.00,5.00,5.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6021417,4.00,7.00,4.00,4.00,8.00,10.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6021433,4.00,6.00,3.00,1.00,5.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6021441,7.00,7.00,5.00,7.00,7.00,9.75,3.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6021450,8.00,3.00,4.00,6.00,6.00,10.50,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6021468,3.00,4.00,1.00,5.00,3.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6021476,5.00,5.00,3.00,4.00,6.00,7.88,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6021484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6021492,3.00,2.00,0.00,1.00,5.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6021506,3.00,6.00,3.00,5.00,5.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6021514,5.00,4.00,4.00,6.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6021522,8.00,6.00,7.00,6.00,9.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6021530,4.00,6.00,0.00,4.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6021549,6.00,7.00,2.00,6.00,7.00,12.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6021557,4.00,6.00,2.00,6.00,8.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6021565,4.00,4.00,3.00,1.00,4.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6021573,1.00,2.00,2.00,1.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6021581,3.00,6.00,3.00,2.00,6.00,11.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6021590,4.00,6.00,1.00,5.00,4.00,8.25,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6021603,8.00,6.00,5.00,7.00,9.00,10.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6021611,4.00,4.00,3.00,5.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6021638,3.00,3.00,2.00,5.00,7.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6021646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6021654,1.00,3.00,2.00,1.00,6.00,5.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6021662,6.00,6.00,3.00,3.00,6.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6021689,5.00,6.00,3.00,7.00,7.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6021700,3.00,4.00,2.00,4.00,7.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6021719,6.00,4.00,3.00,5.00,7.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6021727,6.00,6.00,2.00,1.00,5.00,8.25,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6021735,4.00,4.00,2.00,5.00,5.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6021743,5.00,3.00,3.00,5.00,7.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6021751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6021760,5.00,6.00,6.00,5.00,7.00,7.50,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6021778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6021786,7.00,7.00,5.00,7.00,9.00,8.63,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6021794,7.00,5.00,3.00,6.00,9.00,11.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6021808,2.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6021824,6.00,6.00,7.00,7.00,6.00,9.00,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6021832,6.00,6.00,0.00,5.00,10.00,9.38,0.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6021840,8.00,7.00,4.00,7.00,9.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6021867,5.00,4.00,2.00,3.00,6.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6021875,4.00,4.00,2.00,4.00,4.00,10.13,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6021883,5.00,7.00,2.00,5.00,5.00,9.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6021891,6.00,6.00,3.00,0.00,5.00,6.75,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6021905,2.00,4.00,1.00,4.00,5.00,10.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6021913,6.00,5.00,2.00,5.00,7.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6021921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6021948,0.00,1.00,1.00,0.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6021956,6.00,6.00,5.00,7.00,9.00,9.75,1.00,6.00,5.00,NULL,NULL,NULL,'S'),(25,6021964,1.00,3.00,1.00,5.00,6.00,8.63,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6021972,5.00,4.00,1.00,2.00,6.00,8.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6021980,5.00,8.00,1.00,5.00,9.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6021999,3.00,8.00,0.00,2.00,7.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6022006,6.00,7.00,2.00,6.00,8.00,10.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6022014,4.00,5.00,3.00,4.00,8.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6022022,3.00,7.00,3.00,3.00,5.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6022030,6.00,7.00,5.00,8.00,9.00,9.75,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6022065,4.00,5.00,1.00,2.00,6.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6022073,3.00,4.00,3.00,4.00,7.00,10.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6022081,2.00,5.00,3.00,4.00,4.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6022103,4.00,6.00,2.00,3.00,5.00,8.63,3.00,1.00,4.00,NULL,NULL,NULL,'S'),(25,6022111,4.00,6.00,3.00,7.00,8.00,10.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6022120,4.00,5.00,3.00,5.00,5.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6022138,2.00,4.00,0.00,4.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6022146,4.00,7.00,1.00,4.00,9.00,8.63,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6022154,4.00,3.00,1.00,4.00,6.00,7.88,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6022162,5.00,8.00,2.00,7.00,9.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6022170,6.00,6.00,6.00,3.00,8.00,12.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6022189,2.00,1.00,0.00,3.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6022197,3.00,3.00,1.00,3.00,8.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6022200,7.00,7.00,2.00,1.00,7.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6022219,6.00,6.00,2.00,6.00,7.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6022227,8.00,8.00,3.00,7.00,9.00,10.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6022235,3.00,5.00,3.00,5.00,7.00,8.63,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6022243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6022260,2.00,4.00,3.00,3.00,2.00,NULL,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6022278,2.00,6.00,3.00,3.00,5.00,6.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6022286,4.00,4.00,1.00,3.00,8.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6022294,6.00,8.00,6.00,5.00,8.00,8.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6022308,2.00,4.00,0.00,4.00,7.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6022316,5.00,5.00,2.00,3.00,7.00,9.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6022324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6022332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6022359,2.00,5.00,1.00,4.00,7.00,9.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6022367,7.00,5.00,4.00,4.00,8.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6022375,3.00,4.00,3.00,4.00,3.00,11.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6022383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6022391,0.00,7.00,3.00,3.00,5.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6022413,7.00,6.00,4.00,7.00,6.00,10.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6022421,8.00,3.00,3.00,4.00,6.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6022456,6.00,8.00,6.00,6.00,9.00,8.63,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6022464,3.00,5.00,2.00,6.00,8.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6022480,5.00,4.00,5.00,5.00,3.00,8.25,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6022499,6.00,6.00,6.00,7.00,6.00,10.13,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6022502,5.00,6.00,2.00,3.00,7.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6022510,2.00,3.00,3.00,6.00,4.00,6.38,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6022529,7.00,7.00,2.00,6.00,9.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6022537,7.00,6.00,4.00,8.00,9.00,10.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6022545,7.00,7.00,1.00,4.00,4.00,5.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6022553,3.00,4.00,0.00,2.00,5.00,6.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6022561,5.00,3.00,3.00,6.00,6.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6022570,4.00,3.00,1.00,2.00,6.00,8.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6022588,6.00,6.00,5.00,6.00,7.00,10.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6022596,5.00,4.00,3.00,6.00,6.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6022600,2.00,5.00,0.00,3.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6022618,1.00,4.00,2.00,2.00,5.00,9.00,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6022626,3.00,8.00,3.00,6.00,8.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6022650,4.00,5.00,2.00,4.00,7.00,6.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6022669,8.00,7.00,6.00,4.00,8.00,9.75,1.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6022677,5.00,4.00,3.00,7.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6022693,3.00,1.00,1.00,3.00,3.00,9.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6022707,8.00,9.00,5.00,6.00,10.00,10.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6022715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6022723,1.00,5.00,3.00,1.00,4.00,0.00,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6022731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6022740,6.00,7.00,4.00,6.00,9.00,10.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6022766,7.00,6.00,3.00,5.00,8.00,9.75,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6022774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6022790,4.00,5.00,5.00,6.00,8.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6022804,7.00,7.00,5.00,7.00,8.00,9.75,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6022820,3.00,4.00,5.00,2.00,5.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6022839,4.00,3.00,5.00,6.00,7.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6022855,2.00,6.00,5.00,6.00,8.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6022863,4.00,4.00,3.00,6.00,2.00,NULL,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6022871,5.00,6.00,5.00,7.00,9.00,8.25,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6022880,4.00,3.00,1.00,2.00,5.00,5.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6022898,7.00,6.00,5.00,7.00,8.00,10.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6022901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6022910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6022928,2.00,1.00,3.00,2.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6022936,8.00,4.00,2.00,3.00,7.00,9.00,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6022952,3.00,5.00,1.00,5.00,9.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6022960,5.00,4.00,0.00,2.00,4.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6022987,1.00,1.00,2.00,3.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6022995,8.00,7.00,6.00,6.00,6.00,10.50,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6023002,6.00,6.00,4.00,5.00,9.00,11.63,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6023029,3.00,4.00,1.00,4.00,5.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6023037,6.00,4.00,2.00,5.00,7.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6023045,5.00,4.00,1.00,2.00,4.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6023053,3.00,5.00,0.00,2.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6023061,5.00,2.00,0.00,3.00,4.00,6.38,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6023070,3.00,6.00,0.00,3.00,4.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6023088,6.00,7.00,3.00,5.00,9.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6023096,7.00,4.00,1.00,2.00,6.00,9.38,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6023100,3.00,4.00,3.00,6.00,6.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6023118,6.00,7.00,2.00,5.00,5.00,9.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6023126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6023134,6.00,6.00,2.00,6.00,8.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6023142,6.00,7.00,4.00,4.00,7.00,6.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6023150,4.00,6.00,2.00,2.00,10.00,7.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6023177,6.00,7.00,1.00,7.00,8.00,10.88,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6023185,8.00,8.00,2.00,5.00,8.00,13.13,1.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6023193,6.00,7.00,5.00,3.00,9.00,8.63,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6023207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6023215,2.00,4.00,1.00,7.00,9.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6023223,6.00,5.00,4.00,5.00,8.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6023258,3.00,5.00,2.00,4.00,6.00,9.38,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6023274,5.00,4.00,2.00,4.00,9.00,11.63,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6023282,4.00,6.00,3.00,2.00,5.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6023290,0.00,0.00,0.00,1.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6023304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6023312,8.00,6.00,8.00,7.00,10.00,9.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6023320,3.00,3.00,1.00,3.00,8.00,9.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6023339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6023347,4.00,6.00,3.00,3.00,6.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6023355,7.00,8.00,3.00,7.00,9.00,9.00,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6023363,5.00,6.00,1.00,5.00,7.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6023371,8.00,7.00,5.00,5.00,9.00,9.38,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6023380,6.00,4.00,2.00,5.00,6.00,11.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6023410,0.00,1.00,1.00,0.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6023428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6023436,2.00,4.00,4.00,3.00,5.00,6.00,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6023444,7.00,4.00,2.00,6.00,10.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6023487,3.00,6.00,3.00,5.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6023495,5.00,4.00,2.00,3.00,6.00,6.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6023509,3.00,4.00,1.00,4.00,6.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6023517,4.00,3.00,2.00,6.00,6.00,7.50,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6023525,3.00,5.00,3.00,5.00,8.00,5.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6023533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6023541,2.00,1.00,2.00,4.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6023568,5.00,6.00,2.00,2.00,4.00,10.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6023576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6023592,2.00,1.00,3.00,3.00,4.00,6.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6023606,4.00,3.00,2.00,5.00,4.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6023614,2.00,6.00,3.00,1.00,5.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6023622,2.00,4.00,0.00,5.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6023630,2.00,1.00,2.00,0.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6023649,5.00,7.00,2.00,2.00,7.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6023657,4.00,7.00,3.00,4.00,6.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6023665,5.00,6.00,3.00,6.00,7.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6023673,3.00,0.00,1.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6023681,3.00,5.00,3.00,7.00,4.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6023690,7.00,8.00,3.00,5.00,9.00,6.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6023720,3.00,2.00,0.00,3.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6023746,3.00,5.00,1.00,1.00,5.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6023754,4.00,7.00,6.00,7.00,8.00,9.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6023762,3.00,6.00,0.00,4.00,6.00,8.63,0.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6023770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6023789,2.00,1.00,0.00,3.00,6.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6023819,6.00,4.00,1.00,6.00,7.00,6.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6023827,7.00,5.00,1.00,6.00,6.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6023843,6.00,4.00,3.00,5.00,6.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6023851,5.00,7.00,3.00,7.00,8.00,8.63,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6023860,5.00,4.00,0.00,3.00,6.00,10.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6023878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6023886,4.00,4.00,3.00,2.00,6.00,5.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6023894,6.00,5.00,3.00,6.00,4.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6023908,6.00,7.00,2.00,3.00,8.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6023924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6023932,3.00,5.00,2.00,7.00,7.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6023940,6.00,7.00,3.00,5.00,10.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6023959,1.00,4.00,1.00,3.00,6.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6023983,2.00,3.00,2.00,2.00,3.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6023991,5.00,7.00,3.00,6.00,7.00,10.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6024009,7.00,8.00,4.00,7.00,10.00,9.75,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6024017,5.00,5.00,4.00,4.00,5.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6024025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6024033,4.00,5.00,3.00,5.00,7.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6024041,2.00,3.00,1.00,6.00,6.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6024050,3.00,5.00,1.00,4.00,5.00,6.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6024076,2.00,4.00,0.00,1.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6024084,1.00,3.00,2.00,2.00,5.00,5.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6024106,6.00,6.00,7.00,7.00,11.00,12.38,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6024122,6.00,6.00,5.00,4.00,7.00,9.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6024130,6.00,8.00,0.00,7.00,6.00,NULL,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6024149,3.00,6.00,2.00,4.00,6.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6024157,3.00,2.00,2.00,4.00,7.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6024173,3.00,6.00,3.00,2.00,7.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6024181,4.00,6.00,4.00,2.00,4.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6024190,3.00,6.00,6.00,5.00,9.00,10.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6024203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6024220,2.00,4.00,1.00,2.00,6.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6024238,2.00,0.00,1.00,3.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,'S','N'),(25,6024254,7.00,6.00,5.00,7.00,10.00,11.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6024262,3.00,6.00,3.00,5.00,5.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6024270,9.00,6.00,8.00,7.00,10.00,10.88,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6024289,9.00,6.00,7.00,6.00,9.00,8.25,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6024297,4.00,7.00,3.00,6.00,9.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6024300,5.00,8.00,5.00,5.00,8.00,6.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6024319,3.00,4.00,0.00,3.00,6.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6024327,5.00,5.00,3.00,5.00,9.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6024335,2.00,6.00,3.00,6.00,7.00,9.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6024351,2.00,1.00,2.00,3.00,3.00,7.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6024360,1.00,4.00,1.00,4.00,6.00,7.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6024378,4.00,7.00,1.00,4.00,5.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6024386,2.00,3.00,2.00,2.00,8.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6024394,5.00,8.00,8.00,7.00,10.00,9.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6024408,5.00,4.00,4.00,4.00,7.00,10.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6024416,4.00,5.00,0.00,6.00,6.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6024424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6024432,3.00,2.00,1.00,2.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6024440,7.00,6.00,3.00,6.00,9.00,8.63,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6024459,6.00,5.00,4.00,5.00,7.00,9.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6024467,8.00,6.00,3.00,2.00,9.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6024475,6.00,6.00,5.00,4.00,9.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6024483,2.00,6.00,2.00,2.00,3.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6024491,3.00,6.00,1.00,5.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6024505,8.00,8.00,6.00,6.00,9.00,10.50,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6024513,4.00,4.00,2.00,4.00,9.00,8.25,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6024521,4.00,5.00,2.00,6.00,8.00,11.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6024548,4.00,6.00,1.00,1.00,6.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6024556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6024564,5.00,4.00,3.00,2.00,9.00,7.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6024572,8.00,7.00,3.00,6.00,8.00,9.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6024580,4.00,4.00,2.00,7.00,8.00,10.88,3.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6024599,7.00,7.00,4.00,3.00,9.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6024602,5.00,5.00,2.00,4.00,8.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6024610,6.00,5.00,1.00,4.00,8.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6024629,8.00,5.00,3.00,5.00,9.00,9.38,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6024637,6.00,6.00,2.00,6.00,9.00,9.00,0.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6024645,5.00,5.00,1.00,5.00,7.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6024653,2.00,3.00,3.00,6.00,8.00,13.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6024661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6024670,4.00,5.00,1.00,7.00,7.00,9.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6024688,4.00,7.00,2.00,4.00,4.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6024696,6.00,6.00,3.00,6.00,9.00,11.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6024726,4.00,6.00,2.00,5.00,8.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6024734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6024742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6024750,9.00,8.00,9.00,7.00,10.00,11.63,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6024777,3.00,2.00,0.00,4.00,4.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6024793,5.00,6.00,0.00,4.00,8.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6024807,4.00,5.00,0.00,5.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6024823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6024831,6.00,7.00,4.00,5.00,9.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6024858,7.00,5.00,7.00,5.00,7.00,6.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6024866,3.00,5.00,2.00,1.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,'S','N'),(25,6024874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6024882,4.00,3.00,4.00,3.00,3.00,6.75,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6024890,5.00,7.00,4.00,6.00,6.00,7.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6024904,3.00,5.00,2.00,6.00,8.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6024912,4.00,7.00,2.00,6.00,7.00,8.25,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6024939,3.00,2.00,1.00,3.00,8.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6024963,4.00,6.00,1.00,6.00,2.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6024980,5.00,6.00,3.00,4.00,8.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6024998,5.00,8.00,2.00,7.00,7.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6025005,2.00,2.00,3.00,6.00,7.00,4.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6025013,7.00,7.00,3.00,7.00,9.00,6.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6025021,8.00,6.00,5.00,7.00,10.00,10.88,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6025030,5.00,5.00,4.00,7.00,8.00,8.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6025048,4.00,4.00,0.00,4.00,8.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6025056,4.00,6.00,5.00,7.00,9.00,6.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6025064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6025072,6.00,7.00,3.00,5.00,8.00,10.88,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6025080,2.00,6.00,3.00,3.00,7.00,5.25,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6025099,0.00,4.00,2.00,4.00,4.00,8.25,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6025102,5.00,7.00,3.00,6.00,6.00,9.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6025129,3.00,7.00,2.00,4.00,7.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6025145,7.00,7.00,3.00,4.00,8.00,9.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6025153,8.00,8.00,5.00,5.00,7.00,10.88,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6025161,4.00,4.00,2.00,5.00,8.00,NULL,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6025170,3.00,4.00,4.00,7.00,7.00,10.50,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6025188,3.00,6.00,3.00,5.00,7.00,10.88,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6025196,6.00,4.00,2.00,4.00,10.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6025200,4.00,3.00,2.00,3.00,5.00,10.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6025218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6025226,1.00,2.00,0.00,1.00,7.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6025234,4.00,5.00,1.00,2.00,3.00,7.13,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6025242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6025269,2.00,4.00,1.00,2.00,6.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6025277,4.00,4.00,5.00,5.00,9.00,11.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6025285,4.00,0.00,4.00,6.00,10.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6025293,4.00,6.00,3.00,6.00,8.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6025307,6.00,7.00,4.00,7.00,9.00,12.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6025315,3.00,4.00,1.00,3.00,4.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6025323,6.00,8.00,6.00,6.00,8.00,10.13,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6025331,4.00,5.00,3.00,5.00,8.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6025340,5.00,7.00,2.00,3.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6025358,1.00,7.00,1.00,7.00,7.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6025366,5.00,7.00,3.00,6.00,6.00,10.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6025382,1.00,2.00,2.00,3.00,6.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6025390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6025412,3.00,5.00,1.00,3.00,5.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6025420,5.00,4.00,1.00,5.00,5.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6025447,7.00,4.00,1.00,6.00,9.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6025455,6.00,4.00,4.00,5.00,9.00,7.88,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6025463,3.00,4.00,2.00,4.00,6.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6025498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6025501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6025510,3.00,7.00,1.00,3.00,6.00,7.88,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6025528,3.00,6.00,3.00,6.00,7.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6025536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6025544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6025560,6.00,7.00,4.00,5.00,7.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6025579,5.00,8.00,2.00,6.00,9.00,8.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6025587,5.00,5.00,2.00,5.00,8.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6025595,6.00,6.00,1.00,5.00,7.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6025609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6025617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6025625,5.00,5.00,3.00,6.00,9.00,10.50,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6025641,7.00,7.00,6.00,7.00,10.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6025676,5.00,4.00,5.00,5.00,7.00,9.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6025684,6.00,7.00,2.00,6.00,8.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6025692,3.00,3.00,1.00,3.00,9.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6025706,6.00,3.00,4.00,5.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6025722,9.00,5.00,4.00,5.00,8.00,9.38,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6025749,3.00,6.00,1.00,5.00,8.00,6.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6025757,3.00,0.00,0.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6025765,6.00,8.00,5.00,5.00,8.00,9.38,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6025773,5.00,5.00,1.00,4.00,5.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6025781,1.00,3.00,1.00,0.00,7.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6025790,7.00,5.00,7.00,7.00,7.00,10.13,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6025803,4.00,4.00,2.00,2.00,7.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6025811,4.00,7.00,3.00,4.00,3.00,9.38,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6025820,3.00,3.00,2.00,2.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6025838,3.00,3.00,3.00,6.00,5.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6025846,8.00,8.00,7.00,5.00,10.00,10.88,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6025862,3.00,4.00,2.00,5.00,7.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6025870,5.00,8.00,2.00,6.00,9.00,8.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6025889,4.00,3.00,1.00,5.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6025897,7.00,4.00,3.00,3.00,7.00,10.88,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6025900,1.00,3.00,2.00,4.00,6.00,7.88,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6025919,7.00,6.00,5.00,4.00,10.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6025927,6.00,4.00,3.00,4.00,8.00,6.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6025935,7.00,7.00,2.00,6.00,9.00,9.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6025951,7.00,6.00,2.00,6.00,6.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6025960,2.00,3.00,3.00,4.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6025978,6.00,5.00,4.00,3.00,6.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6025994,3.00,3.00,2.00,3.00,4.00,7.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6026001,8.00,7.00,6.00,5.00,10.00,8.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6026010,4.00,5.00,2.00,6.00,8.00,6.75,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6026028,7.00,7.00,4.00,7.00,5.00,9.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6026036,7.00,8.00,7.00,6.00,8.00,9.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6026044,0.00,3.00,2.00,2.00,6.00,NULL,1.00,0.00,1.00,NULL,NULL,'S','S'),(25,6026052,8.00,8.00,6.00,5.00,8.00,12.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6026060,3.00,5.00,3.00,4.00,5.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6026079,4.00,4.00,4.00,6.00,7.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6026087,4.00,4.00,2.00,5.00,5.00,8.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6026095,2.00,4.00,3.00,4.00,6.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6026109,7.00,7.00,5.00,7.00,9.00,12.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6026117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6026133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6026141,7.00,8.00,3.00,5.00,6.00,8.25,3.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6026168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6026176,4.00,3.00,1.00,3.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6026184,7.00,7.00,0.00,6.00,7.00,6.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6026192,6.00,4.00,2.00,6.00,7.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6026206,5.00,7.00,4.00,5.00,7.00,10.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6026214,5.00,7.00,0.00,4.00,5.00,10.13,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6026230,2.00,5.00,1.00,5.00,6.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6026257,3.00,2.00,1.00,3.00,3.00,4.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6026265,4.00,5.00,2.00,1.00,5.00,7.50,1.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6026273,4.00,6.00,1.00,6.00,11.00,11.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6026311,4.00,4.00,0.00,5.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6026320,7.00,6.00,3.00,7.00,9.00,9.75,1.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6026346,7.00,6.00,7.00,6.00,9.00,10.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6026354,5.00,7.00,2.00,5.00,7.00,9.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6026362,3.00,6.00,0.00,4.00,5.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6026370,5.00,5.00,3.00,3.00,7.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6026389,6.00,6.00,0.00,7.00,8.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6026400,6.00,6.00,1.00,5.00,6.00,9.38,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6026419,6.00,7.00,6.00,6.00,7.00,10.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6026427,4.00,5.00,3.00,5.00,7.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6026435,5.00,2.00,3.00,3.00,4.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6026478,2.00,3.00,4.00,3.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6026486,0.00,3.00,3.00,0.00,8.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6026494,7.00,6.00,3.00,4.00,10.00,7.13,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6026508,6.00,5.00,3.00,5.00,8.00,12.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6026516,3.00,5.00,2.00,2.00,8.00,8.25,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6026524,3.00,2.00,0.00,2.00,3.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6026532,5.00,5.00,4.00,5.00,7.00,8.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6026540,4.00,6.00,6.00,7.00,9.00,12.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6026559,9.00,4.00,2.00,5.00,9.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6026567,3.00,4.00,3.00,2.00,2.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6026575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6026591,3.00,5.00,1.00,3.00,5.00,6.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6026605,6.00,7.00,5.00,7.00,7.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6026613,5.00,7.00,1.00,6.00,6.00,10.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6026621,2.00,5.00,3.00,3.00,5.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6026630,8.00,7.00,7.00,7.00,5.00,8.63,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6026648,3.00,4.00,1.00,2.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6026656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6026680,4.00,6.00,2.00,6.00,6.00,10.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6026699,4.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6026702,6.00,4.00,3.00,7.00,7.00,9.00,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6026710,3.00,6.00,1.00,4.00,6.00,9.75,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6026737,6.00,3.00,2.00,6.00,10.00,6.00,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6026753,8.00,5.00,5.00,5.00,7.00,7.50,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6026761,2.00,5.00,4.00,5.00,4.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6026770,3.00,4.00,1.00,3.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6026788,2.00,2.00,0.00,3.00,3.00,7.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6026796,7.00,7.00,4.00,7.00,9.00,7.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6026826,2.00,6.00,2.00,3.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6026834,6.00,7.00,5.00,6.00,9.00,8.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6026842,3.00,2.00,2.00,4.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6026850,6.00,7.00,5.00,6.00,8.00,9.00,0.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6026869,2.00,2.00,0.00,3.00,5.00,6.75,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6026877,6.00,7.00,4.00,7.00,8.00,10.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6026885,9.00,7.00,5.00,7.00,10.00,10.13,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6026907,5.00,4.00,3.00,4.00,6.00,4.50,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6026915,3.00,6.00,1.00,5.00,6.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6026923,7.00,8.00,5.00,6.00,8.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6026940,3.00,2.00,0.00,3.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6026958,4.00,5.00,5.00,7.00,9.00,10.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6026966,5.00,5.00,1.00,4.00,7.00,3.75,4.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6026982,3.00,4.00,1.00,2.00,5.00,11.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6026990,4.00,3.00,2.00,4.00,5.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6027008,5.00,4.00,2.00,0.00,5.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6027016,4.00,4.00,2.00,6.00,8.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6027032,9.00,8.00,4.00,7.00,9.00,12.00,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6027040,3.00,3.00,1.00,4.00,2.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6027059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6027067,8.00,7.00,9.00,7.00,9.00,12.00,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6027075,6.00,4.00,7.00,4.00,6.00,7.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6027083,4.00,4.00,1.00,2.00,5.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6027105,5.00,5.00,3.00,3.00,8.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6027113,9.00,6.00,7.00,7.00,8.00,7.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6027121,4.00,5.00,2.00,5.00,8.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6027130,5.00,6.00,2.00,4.00,7.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6027156,4.00,4.00,5.00,6.00,7.00,8.63,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6027164,5.00,7.00,3.00,6.00,9.00,10.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6027172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6027180,1.00,3.00,4.00,6.00,6.00,10.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6027199,4.00,5.00,2.00,4.00,6.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6027202,3.00,2.00,1.00,2.00,4.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6027210,4.00,5.00,3.00,5.00,7.00,8.63,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6027229,4.00,8.00,2.00,7.00,6.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6027237,3.00,6.00,2.00,2.00,7.00,8.25,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6027245,5.00,4.00,2.00,1.00,4.00,8.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6027253,5.00,3.00,1.00,6.00,6.00,7.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6027261,6.00,6.00,6.00,6.00,8.00,10.88,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6027270,7.00,9.00,3.00,7.00,10.00,12.00,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6027288,6.00,4.00,4.00,5.00,5.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6027296,3.00,6.00,1.00,3.00,7.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6027300,6.00,7.00,6.00,6.00,7.00,8.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6027318,3.00,5.00,0.00,1.00,8.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6027326,4.00,7.00,1.00,7.00,6.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6027334,8.00,8.00,9.00,8.00,9.00,8.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6027342,2.00,3.00,1.00,2.00,5.00,6.75,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6027377,2.00,2.00,4.00,2.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6027385,2.00,0.00,2.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6027393,4.00,6.00,4.00,7.00,8.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6027407,4.00,4.00,1.00,3.00,5.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6027415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6027423,4.00,5.00,1.00,5.00,7.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6027431,7.00,4.00,3.00,7.00,9.00,12.00,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6027440,3.00,3.00,3.00,3.00,4.00,10.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6027458,6.00,4.00,5.00,5.00,8.00,8.63,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6027474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6027482,4.00,3.00,0.00,4.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6027504,5.00,7.00,4.00,5.00,7.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6027512,3.00,2.00,1.00,6.00,5.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6027520,2.00,5.00,5.00,6.00,5.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6027539,6.00,7.00,7.00,8.00,9.00,11.63,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6027547,7.00,0.00,3.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6027563,2.00,5.00,2.00,4.00,7.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6027571,4.00,4.00,1.00,3.00,8.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6027598,2.00,4.00,2.00,2.00,7.00,6.75,2.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6027601,8.00,7.00,6.00,7.00,8.00,9.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6027610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6027628,6.00,5.00,5.00,7.00,10.00,13.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6027636,2.00,5.00,2.00,4.00,9.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6027644,3.00,5.00,1.00,2.00,3.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6027652,3.00,4.00,2.00,4.00,3.00,5.63,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6027660,8.00,7.00,7.00,7.00,9.00,8.63,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6027679,6.00,5.00,3.00,7.00,6.00,8.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6027687,7.00,4.00,3.00,8.00,9.00,10.88,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6027709,6.00,7.00,6.00,8.00,10.00,10.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6027725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6027733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6027741,5.00,5.00,1.00,4.00,9.00,12.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6027750,2.00,4.00,0.00,4.00,3.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6027768,5.00,6.00,4.00,7.00,6.00,11.25,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(25,6027776,2.00,2.00,0.00,2.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6027784,4.00,5.00,1.00,6.00,7.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6027792,8.00,5.00,3.00,7.00,7.00,9.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6027806,3.00,4.00,1.00,7.00,7.00,9.38,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6027814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6027822,5.00,5.00,2.00,5.00,9.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6027849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6027857,1.00,5.00,1.00,1.00,3.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6027865,4.00,5.00,1.00,6.00,7.00,8.63,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6027873,2.00,3.00,2.00,3.00,1.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6027881,1.00,4.00,1.00,3.00,5.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6027890,2.00,4.00,3.00,3.00,7.00,8.63,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6027903,3.00,2.00,1.00,3.00,3.00,9.00,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6027911,6.00,6.00,1.00,4.00,10.00,12.00,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6027920,9.00,7.00,4.00,5.00,9.00,10.13,2.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6027946,5.00,7.00,0.00,4.00,7.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6027954,1.00,6.00,1.00,3.00,4.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6027962,2.00,3.00,2.00,2.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6027970,4.00,5.00,0.00,7.00,7.00,11.25,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6027989,5.00,8.00,1.00,6.00,8.00,7.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6027997,7.00,6.00,2.00,6.00,9.00,10.88,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6028004,2.00,4.00,0.00,4.00,6.00,5.63,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6028012,3.00,5.00,5.00,6.00,6.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6028020,1.00,4.00,0.00,4.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6028039,1.00,5.00,5.00,4.00,3.00,9.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6028047,2.00,2.00,1.00,2.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6028063,5.00,3.00,3.00,2.00,6.00,12.38,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6028071,5.00,7.00,2.00,7.00,7.00,10.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6028098,5.00,7.00,2.00,6.00,7.00,12.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6028128,3.00,4.00,1.00,2.00,7.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6028136,2.00,2.00,0.00,4.00,8.00,9.38,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6028144,2.00,5.00,2.00,4.00,8.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6028160,4.00,4.00,3.00,2.00,7.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6028187,3.00,5.00,4.00,6.00,7.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6028195,9.00,8.00,7.00,7.00,10.00,10.88,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6028209,2.00,5.00,2.00,5.00,9.00,8.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6028217,2.00,4.00,1.00,2.00,6.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6028225,5.00,6.00,4.00,6.00,6.00,7.88,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6028233,2.00,5.00,4.00,4.00,7.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6028241,5.00,4.00,1.00,6.00,8.00,6.00,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6028250,5.00,6.00,2.00,5.00,9.00,10.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6028268,4.00,5.00,2.00,7.00,5.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6028276,6.00,4.00,3.00,4.00,6.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6028292,3.00,5.00,4.00,3.00,4.00,9.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6028306,7.00,7.00,3.00,5.00,9.00,7.88,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6028330,7.00,6.00,4.00,6.00,9.00,10.50,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6028349,5.00,6.00,0.00,6.00,5.00,8.25,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6028357,6.00,7.00,5.00,5.00,9.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6028365,5.00,3.00,2.00,5.00,6.00,7.88,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6028373,0.00,4.00,0.00,3.00,0.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6028381,1.00,2.00,1.00,3.00,6.00,7.50,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6028390,5.00,5.00,1.00,7.00,7.00,12.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6028403,5.00,7.00,2.00,6.00,8.00,10.13,0.00,8.00,6.00,NULL,NULL,NULL,'S'),(25,6028411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6028420,6.00,4.00,0.00,3.00,9.00,NULL,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6028438,6.00,6.00,2.00,5.00,8.00,10.13,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6028446,8.00,8.00,7.00,7.00,9.00,10.88,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6028462,9.00,7.00,7.00,7.00,9.00,9.38,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6028470,3.00,3.00,1.00,3.00,7.00,6.00,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6028489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6028497,1.00,4.00,0.00,1.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6028500,4.00,4.00,3.00,6.00,5.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6028519,3.00,4.00,0.00,2.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6028527,5.00,6.00,6.00,4.00,7.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6028535,4.00,3.00,2.00,5.00,8.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6028543,4.00,3.00,4.00,4.00,5.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6028551,5.00,6.00,1.00,6.00,9.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6028560,3.00,3.00,2.00,2.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6028578,4.00,5.00,2.00,4.00,4.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6028586,5.00,7.00,1.00,6.00,9.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6028594,9.00,7.00,7.00,7.00,11.00,11.25,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6028608,8.00,7.00,3.00,6.00,8.00,11.63,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6028624,6.00,6.00,5.00,5.00,7.00,8.63,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6028632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6028640,3.00,4.00,2.00,6.00,8.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6028659,6.00,5.00,1.00,6.00,8.00,8.63,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6028667,4.00,6.00,2.00,4.00,6.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6028675,8.00,5.00,2.00,4.00,10.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6028683,6.00,6.00,1.00,7.00,8.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6028691,3.00,5.00,3.00,3.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6028705,5.00,5.00,0.00,4.00,6.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6028721,2.00,6.00,2.00,5.00,7.00,8.63,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6028730,4.00,4.00,2.00,1.00,5.00,8.63,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6028748,8.00,6.00,2.00,7.00,8.00,9.75,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6028756,4.00,5.00,1.00,5.00,8.00,5.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6028764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6028772,4.00,6.00,2.00,6.00,6.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6028780,3.00,2.00,2.00,5.00,5.00,10.50,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6028799,6.00,6.00,3.00,7.00,7.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6028802,7.00,5.00,7.00,6.00,8.00,10.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6028810,6.00,6.00,5.00,6.00,8.00,12.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6028837,6.00,8.00,5.00,7.00,8.00,10.50,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6028845,7.00,7.00,6.00,4.00,6.00,8.25,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6028853,6.00,8.00,8.00,3.00,7.00,9.38,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6028861,4.00,3.00,1.00,2.00,5.00,7.88,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6028870,4.00,6.00,2.00,5.00,10.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6028888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6028896,4.00,5.00,0.00,3.00,9.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6028900,0.00,4.00,2.00,3.00,7.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6028918,4.00,6.00,3.00,5.00,7.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6028926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6028934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6028950,4.00,3.00,1.00,3.00,7.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6028977,7.00,7.00,2.00,5.00,7.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6028985,9.00,8.00,4.00,6.00,9.00,10.13,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6028993,5.00,7.00,0.00,4.00,7.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6029000,4.00,7.00,3.00,5.00,5.00,9.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6029019,2.00,4.00,1.00,3.00,7.00,5.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6029027,4.00,6.00,1.00,5.00,9.00,6.75,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6029035,3.00,4.00,1.00,4.00,5.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6029043,2.00,3.00,0.00,1.00,3.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6029051,6.00,5.00,1.00,6.00,10.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6029060,6.00,6.00,4.00,5.00,8.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6029078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6029086,6.00,3.00,1.00,4.00,6.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6029094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6029108,8.00,7.00,7.00,7.00,10.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6029116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6029124,6.00,4.00,3.00,4.00,5.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6029132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6029167,8.00,6.00,6.00,7.00,9.00,10.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6029175,9.00,7.00,6.00,7.00,11.00,13.13,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6029183,4.00,5.00,1.00,5.00,7.00,9.38,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6029191,0.00,7.00,2.00,2.00,3.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6029205,8.00,7.00,6.00,7.00,7.00,9.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6029213,3.00,2.00,0.00,4.00,5.00,10.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6029221,5.00,7.00,5.00,6.00,7.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6029230,4.00,5.00,1.00,2.00,5.00,9.75,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6029248,7.00,6.00,2.00,6.00,8.00,10.13,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6029264,5.00,6.00,7.00,5.00,7.00,8.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6029272,7.00,4.00,5.00,6.00,8.00,6.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6029280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6029299,6.00,6.00,2.00,4.00,9.00,7.88,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6029310,7.00,6.00,6.00,6.00,8.00,9.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6029329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6029337,7.00,6.00,4.00,7.00,7.00,12.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6029345,6.00,5.00,5.00,3.00,5.00,7.13,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6029353,1.00,4.00,3.00,3.00,4.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6029361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6029370,2.00,5.00,4.00,3.00,5.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6029388,6.00,5.00,2.00,5.00,8.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6029396,4.00,2.00,1.00,4.00,3.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6029400,8.00,7.00,5.00,7.00,7.00,10.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6029418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6029426,5.00,8.00,0.00,7.00,8.00,6.75,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6029442,6.00,6.00,5.00,7.00,8.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6029450,5.00,7.00,2.00,5.00,7.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6029469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6029477,5.00,5.00,5.00,7.00,6.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6029485,3.00,7.00,1.00,1.00,7.00,10.50,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6029507,8.00,5.00,2.00,7.00,9.00,8.25,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6029523,3.00,4.00,5.00,3.00,4.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6029531,4.00,0.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6029540,7.00,6.00,4.00,8.00,8.00,8.25,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(25,6029566,7.00,6.00,1.00,5.00,7.00,9.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6029574,8.00,5.00,3.00,6.00,8.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6029582,5.00,4.00,1.00,4.00,7.00,6.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6029590,3.00,0.00,1.00,4.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6029604,4.00,4.00,3.00,4.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6029612,6.00,5.00,4.00,5.00,7.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6029620,7.00,7.00,5.00,6.00,5.00,8.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6029639,9.00,8.00,3.00,7.00,9.00,13.13,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6029647,8.00,7.00,3.00,5.00,9.00,10.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6029655,7.00,6.00,7.00,7.00,8.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6029663,5.00,5.00,1.00,5.00,7.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6029671,2.00,2.00,2.00,2.00,6.00,8.63,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6029680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6029698,7.00,6.00,2.00,6.00,5.00,10.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6029710,2.00,5.00,3.00,5.00,7.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6029728,5.00,6.00,2.00,2.00,6.00,10.50,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6029736,2.00,5.00,4.00,3.00,4.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6029744,7.00,6.00,4.00,7.00,10.00,10.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6029752,4.00,6.00,2.00,6.00,6.00,0.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6029760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6029779,4.00,4.00,1.00,5.00,7.00,6.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6029795,3.00,7.00,2.00,3.00,8.00,10.88,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6029817,8.00,8.00,4.00,6.00,10.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6029825,9.00,9.00,2.00,3.00,9.00,12.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6029833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6029841,7.00,4.00,7.00,5.00,8.00,9.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6029850,8.00,7.00,3.00,6.00,8.00,10.13,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6029876,9.00,7.00,4.00,7.00,10.00,10.13,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6029884,3.00,4.00,3.00,2.00,6.00,6.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6029892,5.00,5.00,3.00,3.00,6.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6029906,2.00,3.00,2.00,6.00,6.00,8.63,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6029922,4.00,6.00,1.00,7.00,4.00,7.50,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6029930,6.00,8.00,1.00,4.00,9.00,8.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6029949,8.00,7.00,1.00,6.00,8.00,9.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6029957,3.00,5.00,0.00,1.00,6.00,0.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6029965,2.00,6.00,0.00,0.00,3.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6029973,4.00,5.00,1.00,5.00,6.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6029981,7.00,6.00,3.00,7.00,9.00,9.75,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6029990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6030017,7.00,5.00,6.00,5.00,7.00,11.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6030025,7.00,5.00,3.00,6.00,8.00,10.13,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6030033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6030041,8.00,8.00,2.00,7.00,9.00,10.50,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6030050,5.00,6.00,5.00,5.00,10.00,10.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6030068,1.00,5.00,0.00,6.00,7.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6030076,8.00,7.00,3.00,6.00,10.00,12.38,6.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6030084,2.00,3.00,0.00,1.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6030092,3.00,5.00,3.00,4.00,10.00,8.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6030106,8.00,6.00,6.00,6.00,10.00,10.88,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6030122,3.00,2.00,0.00,2.00,5.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6030130,5.00,5.00,4.00,6.00,6.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6030149,9.00,7.00,7.00,7.00,10.00,13.50,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6030157,4.00,0.00,3.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6030165,1.00,3.00,1.00,3.00,2.00,NULL,5.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6030173,9.00,8.00,7.00,4.00,9.00,10.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6030181,5.00,6.00,6.00,6.00,7.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6030190,4.00,4.00,1.00,3.00,7.00,7.88,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6030211,6.00,3.00,0.00,5.00,8.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6030220,3.00,5.00,0.00,5.00,7.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6030238,9.00,5.00,4.00,5.00,7.00,10.50,0.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6030246,5.00,5.00,6.00,7.00,8.00,8.63,0.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6030262,6.00,6.00,1.00,3.00,8.00,11.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6030270,5.00,5.00,2.00,4.00,8.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6030289,4.00,6.00,3.00,4.00,6.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6030297,2.00,5.00,1.00,2.00,3.00,7.13,0.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6030327,4.00,6.00,3.00,2.00,7.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6030335,4.00,4.00,1.00,6.00,7.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6030343,5.00,7.00,5.00,6.00,9.00,11.63,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6030351,3.00,4.00,4.00,3.00,5.00,5.63,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6030360,6.00,7.00,3.00,4.00,8.00,6.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6030378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6030386,6.00,8.00,2.00,5.00,8.00,7.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6030394,4.00,7.00,3.00,4.00,8.00,11.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6030408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6030416,7.00,8.00,1.00,5.00,8.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6030424,6.00,5.00,7.00,3.00,7.00,7.88,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6030432,7.00,6.00,2.00,2.00,7.00,10.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6030459,4.00,4.00,2.00,6.00,9.00,7.50,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6030467,3.00,6.00,0.00,4.00,5.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6030483,3.00,4.00,2.00,4.00,8.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6030505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6030521,7.00,5.00,2.00,3.00,6.00,11.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6030530,3.00,4.00,1.00,1.00,6.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6030556,5.00,6.00,2.00,5.00,7.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6030564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6030572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6030580,9.00,8.00,5.00,7.00,9.00,9.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6030599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6030602,8.00,6.00,4.00,7.00,11.00,10.88,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6030610,7.00,7.00,3.00,6.00,10.00,9.75,0.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6030629,6.00,6.00,4.00,7.00,9.00,NULL,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6030637,2.00,3.00,1.00,0.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6030645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6030653,3.00,5.00,3.00,5.00,5.00,7.88,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6030661,2.00,4.00,3.00,5.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6030670,3.00,4.00,1.00,7.00,3.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6030688,2.00,4.00,1.00,5.00,6.00,7.13,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6030696,5.00,5.00,3.00,6.00,7.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6030700,7.00,3.00,4.00,2.00,5.00,7.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6030718,5.00,5.00,1.00,3.00,7.00,13.13,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6030726,4.00,5.00,3.00,4.00,6.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6030734,0.00,0.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6030742,3.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6030750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6030769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6030777,7.00,7.00,1.00,5.00,8.00,9.00,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6030785,8.00,6.00,7.00,6.00,6.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6030793,4.00,7.00,2.00,4.00,6.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6030807,3.00,5.00,2.00,5.00,7.00,6.38,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6030815,4.00,5.00,1.00,3.00,5.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6030823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6030831,3.00,4.00,0.00,2.00,4.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6030858,4.00,2.00,0.00,6.00,6.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6030874,6.00,5.00,3.00,6.00,8.00,6.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6030882,2.00,3.00,2.00,4.00,9.00,8.63,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6030904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6030912,8.00,6.00,6.00,5.00,8.00,10.88,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6030920,2.00,4.00,2.00,1.00,4.00,5.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6030939,2.00,4.00,1.00,4.00,4.00,10.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6030947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6030963,6.00,3.00,0.00,6.00,7.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6030971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6030980,5.00,2.00,0.00,4.00,9.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6030998,5.00,5.00,1.00,5.00,7.00,11.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6031013,5.00,6.00,4.00,6.00,8.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6031030,4.00,5.00,0.00,7.00,8.00,10.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6031048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6031056,3.00,7.00,4.00,4.00,6.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6031064,6.00,3.00,4.00,6.00,6.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6031072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6031080,4.00,4.00,1.00,1.00,6.00,6.00,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6031099,7.00,2.00,1.00,7.00,8.00,10.50,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6031102,1.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6031129,5.00,7.00,2.00,6.00,6.00,6.38,0.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6031137,5.00,6.00,3.00,7.00,9.00,10.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6031145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6031153,2.00,4.00,1.00,4.00,4.00,10.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6031188,5.00,4.00,2.00,4.00,6.00,8.25,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6031196,2.00,5.00,2.00,3.00,6.00,5.25,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6031200,4.00,5.00,1.00,6.00,6.00,10.88,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6031218,4.00,3.00,3.00,5.00,4.00,8.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6031226,5.00,6.00,5.00,5.00,8.00,6.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6031234,1.00,5.00,0.00,1.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6031269,3.00,5.00,1.00,2.00,5.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6031277,5.00,5.00,3.00,7.00,9.00,10.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6031285,2.00,4.00,0.00,1.00,6.00,6.75,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6031293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6031315,6.00,5.00,2.00,6.00,8.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6031323,6.00,4.00,4.00,4.00,7.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6031331,3.00,2.00,4.00,0.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6031340,6.00,5.00,2.00,6.00,8.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6031366,8.00,7.00,6.00,7.00,8.00,9.38,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6031374,4.00,7.00,3.00,6.00,9.00,8.63,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6031404,3.00,3.00,0.00,4.00,7.00,7.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6031420,7.00,5.00,5.00,3.00,8.00,10.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6031439,6.00,4.00,3.00,4.00,5.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6031447,4.00,2.00,2.00,5.00,5.00,8.63,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6031455,7.00,7.00,1.00,6.00,10.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6031463,4.00,5.00,2.00,6.00,7.00,10.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6031471,1.00,2.00,3.00,3.00,5.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6031480,3.00,4.00,1.00,2.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6031498,3.00,4.00,0.00,6.00,5.00,9.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6031510,2.00,3.00,2.00,4.00,6.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6031528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6031536,5.00,3.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6031544,7.00,6.00,3.00,7.00,8.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6031552,5.00,6.00,8.00,3.00,9.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6031560,2.00,3.00,4.00,4.00,6.00,7.50,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6031579,3.00,3.00,1.00,4.00,6.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6031587,2.00,3.00,1.00,4.00,5.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6031595,4.00,2.00,1.00,0.00,4.00,9.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6031617,5.00,5.00,3.00,5.00,7.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6031625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6031633,4.00,7.00,2.00,6.00,8.00,9.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6031650,4.00,3.00,3.00,4.00,6.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6031668,5.00,6.00,3.00,5.00,7.00,8.63,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6031676,3.00,0.00,3.00,2.00,5.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6031684,2.00,2.00,1.00,4.00,5.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6031692,5.00,5.00,1.00,4.00,7.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6031722,4.00,2.00,1.00,3.00,3.00,4.50,2.00,1.00,0.00,NULL,NULL,NULL,'S'),(25,6031730,4.00,3.00,1.00,5.00,7.00,9.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6031749,3.00,6.00,4.00,3.00,6.00,5.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6031757,6.00,7.00,4.00,5.00,6.00,7.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6031765,5.00,7.00,1.00,6.00,8.00,12.00,2.00,6.00,5.00,NULL,NULL,NULL,'S'),(25,6031773,3.00,4.00,2.00,0.00,7.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6031781,7.00,5.00,7.00,5.00,7.00,11.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6031790,5.00,2.00,4.00,4.00,7.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6031811,3.00,4.00,2.00,4.00,6.00,8.25,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6031820,2.00,0.00,1.00,2.00,3.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6031846,5.00,6.00,5.00,7.00,7.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6031854,6.00,6.00,4.00,6.00,8.00,7.88,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6031870,8.00,7.00,6.00,6.00,8.00,9.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6031889,6.00,4.00,5.00,6.00,7.00,9.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6031900,5.00,7.00,3.00,5.00,5.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6031919,6.00,3.00,1.00,3.00,4.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6031935,7.00,7.00,1.00,5.00,8.00,9.38,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6031951,6.00,6.00,1.00,7.00,8.00,11.25,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6031960,6.00,6.00,0.00,6.00,9.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6031978,4.00,3.00,1.00,3.00,7.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6031986,3.00,3.00,2.00,3.00,7.00,12.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6032010,5.00,5.00,1.00,5.00,7.00,9.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6032036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6032044,7.00,7.00,6.00,6.00,10.00,NULL,0.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6032052,6.00,5.00,2.00,1.00,7.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6032060,5.00,4.00,0.00,6.00,6.00,10.50,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6032079,2.00,4.00,2.00,7.00,8.00,7.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6032087,4.00,6.00,3.00,2.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6032095,7.00,7.00,6.00,6.00,9.00,10.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6032109,3.00,5.00,3.00,2.00,5.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6032117,4.00,3.00,0.00,5.00,5.00,9.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6032125,1.00,4.00,2.00,2.00,4.00,8.25,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6032141,3.00,4.00,2.00,5.00,6.00,9.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6032168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6032176,4.00,4.00,3.00,4.00,10.00,8.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6032184,7.00,7.00,2.00,7.00,8.00,11.63,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6032192,9.00,7.00,6.00,6.00,8.00,10.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6032206,1.00,4.00,2.00,1.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6032214,0.00,5.00,1.00,2.00,5.00,6.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6032222,7.00,6.00,5.00,6.00,7.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6032249,8.00,7.00,3.00,2.00,6.00,7.13,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6032265,4.00,6.00,3.00,6.00,5.00,11.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6032281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6032303,7.00,6.00,8.00,7.00,8.00,10.88,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6032311,5.00,5.00,1.00,3.00,7.00,7.88,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6032320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6032338,4.00,5.00,4.00,5.00,8.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6032346,5.00,5.00,0.00,5.00,9.00,NULL,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6032354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6032362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6032370,2.00,7.00,4.00,4.00,7.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6032400,2.00,4.00,1.00,2.00,4.00,6.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6032419,6.00,3.00,2.00,5.00,7.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6032427,3.00,5.00,3.00,5.00,7.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6032435,8.00,7.00,8.00,5.00,8.00,9.38,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6032443,4.00,4.00,3.00,7.00,7.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6032451,5.00,5.00,4.00,6.00,7.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6032460,6.00,7.00,4.00,6.00,7.00,5.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6032486,5.00,4.00,2.00,4.00,9.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6032494,4.00,5.00,4.00,1.00,8.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6032508,6.00,4.00,2.00,7.00,7.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6032524,3.00,2.00,2.00,2.00,5.00,7.88,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6032532,6.00,5.00,5.00,5.00,9.00,6.75,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6032540,3.00,4.00,1.00,4.00,7.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6032559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6032567,5.00,8.00,1.00,7.00,9.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6032575,3.00,5.00,2.00,4.00,5.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6032583,4.00,6.00,1.00,2.00,7.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6032591,5.00,7.00,3.00,6.00,8.00,10.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6032605,3.00,4.00,2.00,5.00,5.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6032613,6.00,7.00,5.00,6.00,9.00,7.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6032621,1.00,5.00,3.00,2.00,5.00,6.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6032630,7.00,5.00,1.00,7.00,7.00,9.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6032648,4.00,6.00,1.00,3.00,8.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6032656,2.00,2.00,2.00,6.00,6.00,9.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6032664,9.00,7.00,5.00,7.00,10.00,12.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6032672,3.00,3.00,0.00,4.00,4.00,8.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6032680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6032699,3.00,4.00,2.00,4.00,6.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6032702,2.00,5.00,0.00,5.00,4.00,8.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6032710,4.00,6.00,2.00,0.00,7.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6032729,8.00,6.00,4.00,6.00,8.00,9.75,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6032737,7.00,7.00,3.00,6.00,7.00,9.38,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6032745,5.00,5.00,2.00,4.00,9.00,9.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6032753,5.00,6.00,1.00,6.00,8.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6032761,7.00,4.00,4.00,2.00,8.00,9.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6032770,1.00,2.00,2.00,2.00,4.00,10.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6032788,4.00,5.00,0.00,3.00,4.00,6.38,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6032796,3.00,3.00,3.00,5.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6032800,3.00,4.00,0.00,6.00,7.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6032818,2.00,3.00,1.00,1.00,3.00,5.25,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6032826,2.00,1.00,3.00,3.00,5.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6032834,4.00,5.00,2.00,3.00,6.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6032842,4.00,7.00,2.00,5.00,8.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6032850,4.00,3.00,2.00,2.00,8.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6032869,0.00,4.00,6.00,7.00,7.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6032877,2.00,1.00,0.00,3.00,5.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6032885,5.00,6.00,4.00,6.00,8.00,10.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6032893,4.00,3.00,1.00,5.00,5.00,6.00,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6032907,6.00,7.00,4.00,7.00,7.00,8.63,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6032915,3.00,4.00,1.00,5.00,8.00,7.50,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6032923,2.00,3.00,0.00,1.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6032931,3.00,5.00,2.00,4.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6032940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6032958,5.00,6.00,4.00,4.00,7.00,7.88,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6032966,2.00,3.00,2.00,4.00,7.00,9.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6032974,3.00,4.00,5.00,3.00,7.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6032982,7.00,7.00,2.00,6.00,8.00,9.38,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6032990,7.00,7.00,5.00,7.00,8.00,7.13,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6033008,3.00,6.00,2.00,4.00,7.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6033024,2.00,5.00,4.00,1.00,5.00,6.75,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6033032,8.00,8.00,2.00,7.00,9.00,8.63,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6033040,5.00,6.00,3.00,5.00,7.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6033067,6.00,5.00,4.00,7.00,8.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6033075,2.00,4.00,0.00,4.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6033083,2.00,4.00,1.00,2.00,7.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6033091,7.00,5.00,3.00,0.00,8.00,9.00,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6033105,2.00,3.00,1.00,4.00,5.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6033113,5.00,4.00,1.00,6.00,7.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6033121,3.00,8.00,2.00,5.00,7.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6033130,6.00,5.00,3.00,5.00,6.00,10.13,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6033164,3.00,4.00,2.00,5.00,9.00,7.88,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6033172,2.00,0.00,3.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6033180,4.00,4.00,0.00,3.00,7.00,9.38,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6033199,5.00,7.00,3.00,3.00,8.00,9.38,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6033202,4.00,4.00,3.00,4.00,6.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6033210,6.00,3.00,2.00,1.00,6.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6033229,6.00,5.00,4.00,6.00,8.00,12.38,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6033237,4.00,5.00,1.00,4.00,1.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6033245,3.00,6.00,3.00,3.00,6.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6033253,3.00,4.00,2.00,7.00,8.00,8.63,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6033261,8.00,4.00,6.00,5.00,10.00,10.50,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6033270,2.00,5.00,3.00,4.00,8.00,11.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6033288,5.00,6.00,2.00,6.00,7.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6033296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6033300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6033318,3.00,5.00,0.00,4.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6033326,6.00,5.00,1.00,3.00,8.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6033334,7.00,6.00,4.00,3.00,9.00,9.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6033342,3.00,6.00,1.00,7.00,7.00,9.75,4.00,7.00,2.00,NULL,NULL,NULL,'S'),(25,6033350,6.00,6.00,2.00,4.00,6.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6033369,2.00,4.00,3.00,0.00,3.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6033377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6033385,4.00,3.00,1.00,1.00,6.00,9.38,0.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6033393,3.00,4.00,1.00,2.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6033407,3.00,2.00,0.00,3.00,6.00,5.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6033415,7.00,5.00,3.00,7.00,6.00,10.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6033423,2.00,2.00,1.00,5.00,3.00,5.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6033440,9.00,7.00,7.00,6.00,7.00,9.38,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6033466,5.00,6.00,3.00,6.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6033474,1.00,4.00,1.00,2.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6033482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6033490,7.00,7.00,7.00,7.00,7.00,8.63,6.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6033504,2.00,7.00,2.00,5.00,7.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6033512,5.00,3.00,2.00,3.00,4.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6033520,7.00,8.00,2.00,5.00,8.00,10.13,0.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6033539,6.00,7.00,2.00,6.00,9.00,7.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6033547,5.00,6.00,1.00,3.00,4.00,NULL,3.00,0.00,7.00,NULL,NULL,NULL,'N'),(25,6033555,5.00,6.00,2.00,5.00,6.00,12.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6033563,6.00,6.00,4.00,4.00,4.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6033571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6033580,2.00,4.00,0.00,4.00,8.00,4.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6033598,1.00,1.00,1.00,0.00,5.00,7.50,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6033601,4.00,2.00,1.00,1.00,8.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6033610,2.00,2.00,1.00,1.00,3.00,6.75,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6033628,3.00,4.00,0.00,5.00,8.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6033636,3.00,6.00,3.00,4.00,5.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6033644,6.00,7.00,4.00,7.00,7.00,9.38,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6033652,3.00,5.00,4.00,4.00,4.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6033679,3.00,2.00,1.00,2.00,7.00,9.00,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6033687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6033695,2.00,4.00,1.00,3.00,7.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6033709,6.00,6.00,2.00,6.00,7.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6033725,3.00,4.00,0.00,6.00,7.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6033733,3.00,3.00,1.00,3.00,5.00,7.50,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6033768,7.00,5.00,5.00,7.00,8.00,9.38,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6033776,4.00,5.00,3.00,4.00,7.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6033792,5.00,5.00,4.00,7.00,7.00,9.38,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6033806,4.00,5.00,3.00,6.00,7.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6033814,3.00,6.00,3.00,2.00,4.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6033822,7.00,5.00,3.00,5.00,8.00,11.63,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6033830,6.00,7.00,2.00,4.00,7.00,10.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6033857,3.00,4.00,2.00,4.00,6.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6033865,3.00,3.00,1.00,3.00,4.00,9.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6033873,5.00,4.00,2.00,6.00,7.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6033881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6033890,3.00,2.00,2.00,2.00,6.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6033911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6033920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6033938,2.00,3.00,2.00,3.00,7.00,8.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6033946,2.00,4.00,2.00,2.00,6.00,6.00,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6033954,3.00,3.00,1.00,2.00,5.00,5.25,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6033962,4.00,7.00,3.00,0.00,4.00,NULL,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6033970,6.00,4.00,3.00,4.00,6.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6033989,5.00,5.00,2.00,2.00,8.00,9.38,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6033997,5.00,3.00,6.00,4.00,9.00,8.63,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6034004,6.00,6.00,1.00,7.00,9.00,9.38,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6034012,5.00,4.00,5.00,5.00,5.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6034020,6.00,5.00,4.00,7.00,8.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6034039,6.00,6.00,2.00,6.00,8.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6034047,7.00,5.00,2.00,6.00,8.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6034055,4.00,3.00,2.00,6.00,8.00,10.50,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6034063,7.00,6.00,7.00,7.00,8.00,9.38,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6034071,2.00,3.00,2.00,2.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,'S','N'),(25,6034080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6034098,6.00,6.00,4.00,4.00,10.00,9.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6034101,3.00,0.00,0.00,2.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6034110,4.00,4.00,2.00,3.00,8.00,9.38,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6034128,1.00,3.00,2.00,4.00,4.00,9.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6034136,3.00,5.00,1.00,2.00,5.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6034152,6.00,6.00,2.00,5.00,8.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6034160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6034179,4.00,6.00,5.00,6.00,8.00,10.13,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6034187,1.00,4.00,0.00,2.00,7.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6034195,2.00,3.00,4.00,1.00,4.00,6.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6034209,8.00,7.00,4.00,3.00,9.00,10.50,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6034217,2.00,3.00,1.00,2.00,3.00,4.88,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6034225,6.00,8.00,3.00,5.00,9.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6034233,6.00,6.00,2.00,6.00,10.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6034241,5.00,4.00,3.00,4.00,7.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6034250,2.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6034276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6034284,5.00,3.00,1.00,0.00,6.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6034292,1.00,5.00,2.00,3.00,5.00,6.00,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6034306,5.00,5.00,0.00,4.00,10.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6034314,6.00,4.00,7.00,7.00,8.00,10.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6034322,2.00,0.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6034330,3.00,3.00,0.00,4.00,5.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6034349,8.00,7.00,5.00,6.00,9.00,10.88,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6034357,5.00,7.00,1.00,7.00,8.00,12.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6034365,6.00,5.00,4.00,7.00,8.00,10.13,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6034390,3.00,3.00,1.00,3.00,6.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6034403,4.00,5.00,4.00,7.00,5.00,NULL,4.00,4.00,3.00,NULL,NULL,'S','S'),(25,6034411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6034420,3.00,4.00,2.00,2.00,4.00,8.63,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6034438,3.00,7.00,2.00,5.00,6.00,11.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6034446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6034454,7.00,8.00,3.00,6.00,8.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6034462,1.00,2.00,0.00,3.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6034470,6.00,7.00,6.00,5.00,8.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6034489,1.00,4.00,2.00,3.00,3.00,7.13,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6034497,5.00,7.00,5.00,7.00,7.00,6.75,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6034500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6034519,5.00,3.00,1.00,4.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6034527,4.00,2.00,0.00,1.00,3.00,7.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6034535,4.00,5.00,1.00,5.00,7.00,10.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6034543,4.00,5.00,1.00,4.00,5.00,10.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6034551,6.00,8.00,6.00,4.00,9.00,8.63,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6034560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6034578,3.00,3.00,0.00,2.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6034586,3.00,4.00,1.00,3.00,4.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6034594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6034608,4.00,5.00,3.00,4.00,9.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6034616,3.00,7.00,2.00,6.00,6.00,11.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6034624,7.00,4.00,1.00,4.00,6.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6034632,7.00,5.00,3.00,6.00,7.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6034640,5.00,5.00,3.00,6.00,7.00,9.00,5.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6034659,6.00,6.00,5.00,6.00,9.00,9.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6034667,5.00,6.00,1.00,6.00,5.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6034675,7.00,5.00,2.00,4.00,7.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6034691,4.00,3.00,1.00,4.00,6.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6034705,8.00,4.00,5.00,3.00,5.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6034713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6034721,4.00,3.00,2.00,2.00,5.00,7.50,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6034748,4.00,5.00,5.00,6.00,6.00,10.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6034756,5.00,7.00,4.00,3.00,8.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6034780,5.00,8.00,4.00,7.00,7.00,10.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6034799,9.00,8.00,5.00,5.00,9.00,7.88,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6034802,7.00,7.00,5.00,7.00,10.00,10.50,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6034810,7.00,7.00,5.00,7.00,9.00,10.13,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6034829,9.00,6.00,5.00,7.00,10.00,9.38,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6034837,3.00,5.00,1.00,2.00,5.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6034845,7.00,5.00,4.00,4.00,7.00,7.88,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6034853,6.00,5.00,3.00,5.00,8.00,8.63,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6034861,3.00,2.00,1.00,2.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6034870,1.00,4.00,0.00,6.00,5.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6034896,6.00,6.00,3.00,4.00,10.00,7.88,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6034900,7.00,6.00,7.00,5.00,6.00,9.75,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6034918,7.00,6.00,2.00,3.00,10.00,8.63,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6034926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6034934,1.00,1.00,1.00,1.00,4.00,8.63,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6034942,8.00,5.00,2.00,4.00,8.00,8.63,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6034950,3.00,1.00,2.00,5.00,5.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6034977,4.00,5.00,1.00,4.00,8.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6034985,5.00,2.00,0.00,5.00,9.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6034993,7.00,6.00,4.00,6.00,10.00,9.00,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6035000,4.00,6.00,2.00,3.00,5.00,6.00,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6035019,6.00,7.00,5.00,2.00,9.00,11.63,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6035027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6035035,6.00,7.00,2.00,5.00,9.00,9.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6035051,1.00,3.00,2.00,3.00,4.00,7.88,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6035060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6035086,8.00,6.00,3.00,6.00,9.00,7.88,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6035094,5.00,5.00,2.00,3.00,5.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6035108,4.00,7.00,1.00,6.00,8.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6035116,2.00,6.00,4.00,2.00,5.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6035132,5.00,5.00,1.00,7.00,8.00,10.88,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(25,6035140,7.00,8.00,3.00,6.00,8.00,8.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6035159,2.00,4.00,0.00,3.00,5.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6035167,4.00,4.00,2.00,6.00,5.00,7.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6035175,8.00,8.00,7.00,7.00,10.00,9.38,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6035183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6035191,1.00,3.00,1.00,4.00,4.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6035205,3.00,3.00,1.00,5.00,5.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6035221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6035230,1.00,3.00,2.00,2.00,4.00,6.75,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6035248,7.00,5.00,3.00,6.00,8.00,8.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6035256,4.00,3.00,2.00,2.00,7.00,7.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6035264,7.00,8.00,4.00,6.00,10.00,12.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6035272,6.00,5.00,1.00,3.00,8.00,11.63,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6035280,6.00,6.00,1.00,6.00,9.00,10.50,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6035302,5.00,7.00,3.00,6.00,8.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6035310,6.00,6.00,2.00,4.00,7.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6035329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6035337,2.00,4.00,2.00,2.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6035345,3.00,2.00,2.00,4.00,4.00,8.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6035353,4.00,6.00,5.00,6.00,6.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6035361,4.00,7.00,1.00,6.00,9.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6035370,5.00,5.00,3.00,6.00,6.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6035388,7.00,2.00,3.00,4.00,5.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6035396,4.00,5.00,4.00,7.00,10.00,10.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6035400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6035418,5.00,7.00,5.00,7.00,7.00,7.50,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6035426,10.00,8.00,6.00,7.00,10.00,12.38,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6035434,3.00,2.00,3.00,4.00,6.00,6.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6035442,3.00,2.00,0.00,1.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6035450,4.00,5.00,0.00,5.00,7.00,7.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6035469,7.00,7.00,8.00,8.00,9.00,14.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6035485,2.00,2.00,0.00,1.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6035493,3.00,7.00,2.00,4.00,5.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6035507,4.00,6.00,4.00,4.00,8.00,10.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6035515,3.00,4.00,2.00,3.00,4.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6035523,9.00,7.00,8.00,5.00,9.00,9.75,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6035531,7.00,5.00,3.00,5.00,7.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6035540,4.00,6.00,4.00,5.00,7.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6035558,3.00,5.00,0.00,4.00,4.00,7.88,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6035566,2.00,3.00,0.00,2.00,4.00,6.38,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6035574,6.00,6.00,3.00,7.00,8.00,9.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6035582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6035590,6.00,5.00,4.00,5.00,9.00,10.13,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6035604,8.00,0.00,3.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6035612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6035639,6.00,7.00,5.00,6.00,7.00,9.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6035647,6.00,7.00,1.00,4.00,10.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6035655,9.00,8.00,5.00,5.00,10.00,11.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6035663,7.00,5.00,3.00,6.00,7.00,9.38,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6035671,2.00,3.00,3.00,4.00,3.00,5.63,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6035698,3.00,5.00,2.00,3.00,6.00,10.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6035701,7.00,5.00,3.00,7.00,8.00,11.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6035710,4.00,3.00,5.00,4.00,8.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6035728,3.00,5.00,2.00,5.00,7.00,9.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6035736,6.00,7.00,6.00,6.00,8.00,6.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6035752,6.00,6.00,4.00,6.00,8.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6035760,5.00,6.00,3.00,1.00,5.00,5.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6035779,6.00,7.00,6.00,7.00,9.00,13.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6035787,7.00,7.00,3.00,6.00,7.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6035795,8.00,7.00,3.00,4.00,10.00,11.63,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6035809,3.00,5.00,4.00,5.00,9.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6035825,4.00,3.00,1.00,3.00,6.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6035833,8.00,7.00,7.00,5.00,9.00,13.88,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6035841,6.00,4.00,0.00,3.00,9.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6035868,9.00,6.00,4.00,7.00,10.00,11.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6035876,4.00,4.00,1.00,3.00,6.00,5.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6035892,6.00,7.00,6.00,7.00,9.00,7.88,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6035906,5.00,2.00,0.00,3.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6035914,1.00,6.00,1.00,3.00,3.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6035930,5.00,6.00,1.00,3.00,9.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6035949,6.00,7.00,5.00,7.00,8.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6035957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6035965,5.00,5.00,6.00,5.00,8.00,9.00,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6035973,5.00,4.00,1.00,3.00,7.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6035981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6035990,5.00,6.00,4.00,5.00,8.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6036015,6.00,5.00,1.00,7.00,8.00,7.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6036023,3.00,3.00,0.00,1.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6036031,1.00,3.00,2.00,1.00,4.00,0.00,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6036066,4.00,5.00,0.00,3.00,7.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6036074,5.00,6.00,4.00,4.00,7.00,8.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6036082,8.00,6.00,5.00,6.00,6.00,6.00,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6036090,5.00,7.00,4.00,4.00,8.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6036104,6.00,5.00,1.00,5.00,7.00,9.38,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6036112,2.00,4.00,1.00,2.00,4.00,6.75,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6036120,3.00,5.00,3.00,3.00,4.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6036139,3.00,6.00,3.00,4.00,9.00,9.00,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6036155,3.00,6.00,0.00,5.00,7.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6036171,3.00,6.00,1.00,3.00,7.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6036180,4.00,8.00,1.00,6.00,7.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6036198,3.00,4.00,2.00,4.00,5.00,6.75,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6036228,8.00,6.00,4.00,7.00,7.00,7.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6036236,7.00,7.00,4.00,7.00,10.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6036244,4.00,6.00,2.00,3.00,8.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6036252,8.00,6.00,2.00,5.00,7.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6036260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6036279,7.00,4.00,6.00,5.00,5.00,6.75,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6036287,8.00,6.00,5.00,4.00,10.00,8.25,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6036295,6.00,4.00,2.00,7.00,7.00,11.63,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6036317,6.00,7.00,0.00,4.00,8.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6036325,2.00,5.00,3.00,4.00,7.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6036341,5.00,6.00,3.00,4.00,7.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6036350,4.00,4.00,3.00,4.00,6.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6036368,2.00,2.00,1.00,5.00,5.00,9.75,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6036376,4.00,5.00,0.00,7.00,6.00,7.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6036422,3.00,5.00,1.00,1.00,4.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6036430,2.00,6.00,1.00,3.00,4.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6036457,8.00,7.00,7.00,7.00,9.00,7.50,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6036465,0.00,1.00,0.00,1.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6036473,3.00,4.00,0.00,5.00,8.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6036481,7.00,6.00,2.00,7.00,8.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6036490,7.00,5.00,0.00,3.00,7.00,7.50,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6036503,5.00,5.00,4.00,6.00,7.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6036511,7.00,8.00,6.00,7.00,8.00,8.25,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6036520,4.00,7.00,3.00,5.00,9.00,10.50,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6036538,2.00,3.00,0.00,1.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6036546,3.00,1.00,1.00,3.00,6.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6036562,5.00,9.00,7.00,5.00,10.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6036597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6036600,7.00,4.00,5.00,5.00,7.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6036619,5.00,8.00,2.00,4.00,9.00,9.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6036627,6.00,6.00,0.00,4.00,8.00,11.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6036635,4.00,6.00,1.00,7.00,6.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6036643,4.00,2.00,3.00,1.00,3.00,9.00,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6036651,5.00,6.00,7.00,6.00,8.00,9.38,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6036660,6.00,5.00,6.00,6.00,8.00,10.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6036678,6.00,5.00,0.00,3.00,7.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6036686,8.00,6.00,6.00,5.00,9.00,10.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6036694,3.00,7.00,5.00,5.00,9.00,11.25,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6036708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6036716,1.00,5.00,3.00,2.00,5.00,8.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6036724,4.00,5.00,1.00,5.00,8.00,7.88,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6036732,6.00,6.00,1.00,5.00,8.00,11.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6036740,2.00,2.00,1.00,3.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6036767,4.00,5.00,3.00,3.00,6.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6036775,8.00,4.00,2.00,5.00,6.00,10.50,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6036783,5.00,4.00,2.00,3.00,9.00,7.50,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6036791,5.00,5.00,2.00,4.00,6.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6036813,4.00,5.00,2.00,5.00,5.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6036821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6036830,6.00,7.00,3.00,6.00,10.00,8.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6036856,3.00,6.00,1.00,4.00,6.00,7.50,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6036864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6036872,5.00,6.00,2.00,6.00,10.00,9.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6036880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6036899,5.00,6.00,2.00,7.00,8.00,10.13,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6036902,4.00,8.00,3.00,4.00,8.00,12.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6036929,1.00,5.00,0.00,5.00,1.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6036937,2.00,6.00,3.00,4.00,5.00,9.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6036953,5.00,5.00,1.00,4.00,6.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6036961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6036996,4.00,3.00,2.00,4.00,9.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6037003,6.00,6.00,5.00,7.00,9.00,10.13,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6037011,9.00,5.00,3.00,7.00,9.00,12.00,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6037020,2.00,4.00,0.00,2.00,7.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6037038,3.00,6.00,1.00,1.00,3.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6037054,5.00,6.00,3.00,5.00,6.00,7.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6037062,9.00,8.00,9.00,7.00,10.00,13.13,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6037070,2.00,7.00,2.00,4.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6037089,4.00,6.00,3.00,4.00,8.00,7.13,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6037097,4.00,0.00,2.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6037100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6037119,5.00,7.00,4.00,5.00,7.00,8.63,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6037127,8.00,6.00,3.00,7.00,8.00,9.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6037143,2.00,3.00,1.00,2.00,3.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6037151,4.00,6.00,3.00,3.00,7.00,7.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6037160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6037178,4.00,5.00,1.00,6.00,6.00,10.88,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6037186,2.00,6.00,1.00,6.00,4.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6037194,2.00,5.00,2.00,5.00,4.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6037208,7.00,4.00,4.00,4.00,6.00,8.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6037216,5.00,5.00,2.00,4.00,4.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6037224,5.00,4.00,3.00,4.00,7.00,9.00,1.00,1.00,4.00,NULL,NULL,NULL,'S'),(25,6037232,1.00,3.00,0.00,3.00,5.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6037259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6037267,1.00,3.00,2.00,2.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6037275,8.00,6.00,3.00,5.00,9.00,9.38,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6037291,5.00,5.00,2.00,6.00,6.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6037305,1.00,5.00,1.00,3.00,4.00,9.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6037313,4.00,6.00,4.00,7.00,8.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6037321,4.00,5.00,2.00,3.00,6.00,9.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6037330,4.00,7.00,3.00,3.00,6.00,7.13,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6037348,3.00,5.00,0.00,1.00,5.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6037356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6037364,5.00,7.00,3.00,4.00,9.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6037372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6037380,5.00,4.00,3.00,5.00,7.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6037399,2.00,5.00,3.00,0.00,6.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6037402,8.00,6.00,5.00,6.00,8.00,10.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6037410,5.00,4.00,2.00,2.00,7.00,7.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6037429,4.00,6.00,4.00,7.00,7.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6037437,7.00,5.00,2.00,4.00,8.00,5.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6037453,3.00,6.00,6.00,7.00,6.00,8.63,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6037461,1.00,2.00,1.00,4.00,5.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6037488,2.00,4.00,2.00,5.00,5.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6037496,6.00,4.00,1.00,5.00,8.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6037500,2.00,5.00,1.00,4.00,5.00,7.88,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6037518,4.00,6.00,3.00,5.00,8.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6037534,1.00,4.00,1.00,0.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6037542,7.00,5.00,4.00,6.00,10.00,11.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6037550,3.00,3.00,3.00,5.00,6.00,6.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6037577,7.00,6.00,3.00,6.00,10.00,14.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6037585,2.00,3.00,0.00,0.00,5.00,7.50,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6037593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6037615,4.00,4.00,1.00,7.00,9.00,11.63,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6037623,3.00,7.00,0.00,6.00,8.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6037631,1.00,2.00,0.00,3.00,6.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6037658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6037666,4.00,4.00,1.00,2.00,7.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6037674,5.00,0.00,1.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6037682,4.00,4.00,1.00,4.00,6.00,6.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6037690,5.00,5.00,1.00,4.00,9.00,7.50,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6037704,2.00,4.00,3.00,3.00,6.00,5.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6037712,6.00,6.00,4.00,4.00,7.00,8.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6037739,7.00,7.00,4.00,6.00,9.00,9.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6037747,3.00,3.00,1.00,2.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6037755,9.00,7.00,7.00,7.00,7.00,9.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6037763,2.00,3.00,3.00,5.00,7.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6037780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6037798,3.00,3.00,0.00,4.00,4.00,7.13,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6037801,7.00,4.00,5.00,4.00,7.00,6.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6037810,3.00,5.00,1.00,1.00,6.00,6.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6037828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6037852,4.00,8.00,2.00,4.00,7.00,10.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6037860,1.00,4.00,3.00,4.00,7.00,6.75,1.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6037879,6.00,5.00,3.00,7.00,8.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6037887,3.00,6.00,5.00,7.00,6.00,8.63,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6037895,4.00,4.00,1.00,3.00,7.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6037909,4.00,8.00,1.00,3.00,6.00,10.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6037925,5.00,4.00,2.00,3.00,6.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6037933,7.00,6.00,6.00,7.00,9.00,10.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6037941,3.00,2.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6037950,6.00,6.00,5.00,7.00,10.00,11.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6037976,3.00,3.00,3.00,3.00,6.00,7.13,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6037992,7.00,6.00,1.00,4.00,8.00,9.75,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6038000,4.00,3.00,0.00,1.00,5.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6038018,5.00,4.00,3.00,6.00,7.00,10.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6038026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6038034,7.00,7.00,3.00,7.00,9.00,11.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6038042,6.00,6.00,4.00,5.00,7.00,10.50,1.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6038050,4.00,4.00,0.00,0.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6038077,3.00,5.00,2.00,5.00,7.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6038093,4.00,7.00,3.00,6.00,7.00,9.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6038107,5.00,4.00,2.00,2.00,6.00,6.75,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6038115,5.00,7.00,1.00,5.00,7.00,10.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6038123,7.00,7.00,7.00,6.00,9.00,10.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6038131,4.00,5.00,2.00,5.00,6.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6038140,1.00,2.00,1.00,3.00,3.00,4.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6038158,2.00,3.00,0.00,4.00,5.00,7.88,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6038166,9.00,6.00,4.00,7.00,9.00,12.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6038174,6.00,6.00,3.00,5.00,6.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6038182,8.00,6.00,7.00,7.00,8.00,7.88,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6038190,7.00,6.00,3.00,6.00,9.00,11.25,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6038204,4.00,6.00,0.00,3.00,7.00,0.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6038220,6.00,7.00,4.00,5.00,6.00,8.25,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6038247,3.00,5.00,0.00,4.00,7.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6038255,3.00,6.00,1.00,4.00,5.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6038263,4.00,7.00,4.00,5.00,8.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6038271,3.00,2.00,0.00,2.00,3.00,7.50,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6038280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6038298,3.00,5.00,0.00,4.00,8.00,10.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6038301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6038310,5.00,6.00,3.00,6.00,5.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6038328,1.00,4.00,0.00,6.00,4.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6038336,8.00,4.00,3.00,7.00,8.00,10.50,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6038344,4.00,6.00,4.00,4.00,9.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6038352,3.00,4.00,0.00,1.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6038360,1.00,2.00,1.00,1.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6038379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6038387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6038425,7.00,7.00,5.00,5.00,7.00,10.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6038433,1.00,4.00,2.00,3.00,5.00,4.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6038441,6.00,6.00,5.00,5.00,6.00,9.38,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6038450,1.00,3.00,1.00,2.00,7.00,4.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6038468,1.00,5.00,2.00,2.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,'S','N'),(25,6038484,1.00,4.00,2.00,3.00,7.00,6.38,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6038492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6038506,4.00,5.00,1.00,3.00,6.00,7.88,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6038522,2.00,6.00,0.00,3.00,6.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6038530,7.00,7.00,4.00,3.00,8.00,7.88,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6038549,5.00,8.00,3.00,5.00,8.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6038557,3.00,3.00,2.00,2.00,4.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6038573,7.00,8.00,3.00,7.00,7.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6038581,4.00,3.00,2.00,2.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6038590,3.00,6.00,4.00,4.00,6.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6038611,5.00,6.00,1.00,3.00,9.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6038620,5.00,6.00,1.00,6.00,9.00,9.75,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6038638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6038646,3.00,5.00,2.00,3.00,5.00,11.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6038654,5.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6038670,4.00,4.00,4.00,4.00,8.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6038689,4.00,5.00,3.00,3.00,6.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6038697,3.00,3.00,3.00,3.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6038700,5.00,5.00,1.00,4.00,8.00,8.63,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6038719,7.00,8.00,4.00,7.00,9.00,8.25,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6038727,4.00,6.00,0.00,4.00,9.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6038743,6.00,6.00,2.00,5.00,7.00,5.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6038751,4.00,6.00,2.00,6.00,9.00,11.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6038778,1.00,3.00,1.00,1.00,3.00,0.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6038786,6.00,6.00,0.00,3.00,8.00,8.25,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6038794,6.00,6.00,2.00,5.00,6.00,7.88,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6038816,6.00,6.00,2.00,3.00,7.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6038824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6038832,3.00,5.00,1.00,2.00,4.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6038840,4.00,4.00,0.00,3.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6038859,6.00,6.00,3.00,3.00,5.00,8.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6038867,7.00,6.00,7.00,6.00,9.00,10.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6038875,2.00,5.00,2.00,4.00,7.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6038883,2.00,2.00,3.00,4.00,3.00,3.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6038891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6038905,4.00,5.00,2.00,4.00,9.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6038913,4.00,3.00,1.00,4.00,4.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6038930,5.00,3.00,2.00,2.00,6.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6038948,1.00,0.00,1.00,0.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6038956,2.00,4.00,1.00,1.00,5.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6038972,3.00,4.00,2.00,2.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6038980,5.00,4.00,1.00,3.00,7.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6038999,6.00,5.00,2.00,7.00,7.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6039006,8.00,8.00,7.00,6.00,10.00,7.13,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6039014,4.00,4.00,3.00,3.00,6.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6039030,2.00,2.00,2.00,4.00,6.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6039049,7.00,6.00,3.00,6.00,8.00,10.50,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6039057,4.00,4.00,3.00,4.00,6.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6039073,2.00,5.00,2.00,3.00,7.00,8.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6039090,2.00,3.00,2.00,3.00,5.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6039103,5.00,6.00,3.00,6.00,9.00,6.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6039138,6.00,4.00,4.00,6.00,6.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6039154,2.00,2.00,2.00,2.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6039162,3.00,5.00,1.00,5.00,6.00,8.63,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6039170,2.00,2.00,2.00,3.00,3.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6039189,2.00,6.00,1.00,2.00,3.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6039200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6039219,2.00,2.00,1.00,3.00,7.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6039227,5.00,4.00,3.00,4.00,7.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6039235,6.00,7.00,4.00,5.00,5.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6039243,7.00,7.00,4.00,6.00,9.00,8.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6039251,2.00,5.00,3.00,7.00,6.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6039260,6.00,6.00,3.00,6.00,9.00,12.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6039278,7.00,5.00,2.00,7.00,9.00,7.88,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6039286,8.00,7.00,5.00,7.00,8.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6039294,8.00,5.00,6.00,6.00,5.00,10.88,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6039316,6.00,6.00,0.00,6.00,8.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6039324,5.00,4.00,2.00,7.00,7.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6039332,9.00,7.00,6.00,6.00,9.00,10.13,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6039340,7.00,5.00,2.00,3.00,8.00,7.88,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6039359,7.00,6.00,9.00,5.00,7.00,8.63,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6039367,8.00,7.00,4.00,6.00,10.00,11.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6039375,3.00,3.00,1.00,4.00,6.00,9.38,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6039383,3.00,5.00,3.00,4.00,8.00,9.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6039391,4.00,7.00,3.00,3.00,8.00,8.63,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6039405,7.00,7.00,2.00,7.00,9.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6039413,2.00,3.00,0.00,3.00,4.00,4.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6039430,2.00,1.00,0.00,0.00,0.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6039448,0.00,3.00,2.00,4.00,3.00,7.13,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6039456,1.00,4.00,2.00,3.00,5.00,7.50,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6039472,5.00,3.00,3.00,1.00,7.00,9.00,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6039480,7.00,5.00,4.00,5.00,8.00,9.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6039510,3.00,4.00,1.00,5.00,5.00,7.88,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6039537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6039545,2.00,1.00,0.00,3.00,2.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6039553,5.00,7.00,2.00,4.00,6.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6039570,3.00,4.00,4.00,5.00,6.00,9.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6039600,8.00,6.00,2.00,4.00,7.00,NULL,3.00,4.00,7.00,NULL,NULL,'S','N'),(25,6039618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6039626,5.00,4.00,0.00,4.00,8.00,9.00,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6039634,2.00,6.00,0.00,5.00,6.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6039642,4.00,4.00,5.00,4.00,5.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6039650,3.00,3.00,4.00,0.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6039669,6.00,5.00,2.00,4.00,8.00,8.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6039677,4.00,4.00,1.00,4.00,4.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6039693,3.00,5.00,0.00,6.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6039707,3.00,3.00,2.00,3.00,6.00,6.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6039715,1.00,3.00,1.00,1.00,4.00,7.50,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6039731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6039740,3.00,3.00,2.00,2.00,5.00,4.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6039758,3.00,6.00,1.00,6.00,6.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6039766,5.00,5.00,0.00,4.00,8.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6039774,2.00,6.00,2.00,5.00,6.00,7.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6039782,7.00,4.00,4.00,6.00,8.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6039790,5.00,5.00,1.00,5.00,7.00,8.25,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6039804,3.00,4.00,0.00,1.00,8.00,10.13,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6039812,3.00,2.00,2.00,2.00,5.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6039820,2.00,5.00,2.00,4.00,8.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6039839,3.00,4.00,1.00,4.00,7.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6039847,5.00,5.00,3.00,4.00,8.00,10.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6039871,5.00,7.00,5.00,4.00,7.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6039880,3.00,5.00,2.00,3.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6039901,2.00,7.00,2.00,4.00,7.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6039910,3.00,4.00,0.00,3.00,7.00,NULL,1.00,2.00,0.00,NULL,NULL,'S','N'),(25,6039928,5.00,6.00,1.00,3.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6039936,0.00,2.00,0.00,0.00,0.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6039944,4.00,2.00,0.00,6.00,8.00,8.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6039952,6.00,6.00,1.00,6.00,8.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6039960,7.00,7.00,3.00,5.00,8.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6039987,6.00,6.00,6.00,7.00,10.00,10.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6039995,1.00,2.00,1.00,5.00,3.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6040004,2.00,3.00,1.00,2.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6040012,4.00,4.00,2.00,3.00,6.00,8.25,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6040020,4.00,5.00,3.00,7.00,5.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6040039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6040047,5.00,6.00,3.00,3.00,9.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6040055,4.00,7.00,2.00,3.00,3.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6040071,3.00,1.00,2.00,0.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6040098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6040128,1.00,4.00,1.00,5.00,7.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6040136,3.00,4.00,2.00,4.00,5.00,5.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6040144,3.00,5.00,1.00,6.00,8.00,NULL,2.00,5.00,5.00,NULL,NULL,'S','N'),(25,6040152,6.00,5.00,2.00,3.00,7.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6040160,2.00,1.00,1.00,3.00,5.00,6.75,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6040179,4.00,4.00,0.00,2.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6040187,2.00,2.00,1.00,4.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6040217,3.00,5.00,3.00,7.00,5.00,7.13,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6040225,6.00,5.00,1.00,5.00,6.00,11.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6040241,5.00,3.00,2.00,3.00,6.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6040250,4.00,6.00,1.00,1.00,7.00,8.25,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6040276,5.00,7.00,1.00,3.00,6.00,NULL,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6040284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6040292,6.00,9.00,7.00,6.00,10.00,10.88,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6040314,3.00,6.00,2.00,4.00,9.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6040322,6.00,5.00,2.00,7.00,8.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6040330,5.00,6.00,4.00,7.00,8.00,10.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6040349,5.00,3.00,5.00,5.00,6.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6040373,3.00,4.00,3.00,3.00,4.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6040381,4.00,4.00,3.00,5.00,7.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6040390,4.00,6.00,2.00,5.00,10.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6040403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6040411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6040420,2.00,5.00,4.00,4.00,7.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6040438,2.00,3.00,4.00,3.00,5.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6040462,2.00,5.00,1.00,1.00,4.00,6.00,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6040470,5.00,6.00,3.00,7.00,4.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6040489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6040497,4.00,4.00,2.00,6.00,5.00,8.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6040500,3.00,5.00,2.00,2.00,6.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6040519,3.00,4.00,0.00,3.00,6.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6040527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6040535,8.00,8.00,8.00,7.00,11.00,9.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6040543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6040551,3.00,6.00,3.00,8.00,10.00,10.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6040560,2.00,4.00,2.00,4.00,5.00,8.63,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6040578,8.00,6.00,4.00,6.00,9.00,9.00,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6040586,3.00,3.00,2.00,5.00,5.00,6.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6040594,2.00,5.00,0.00,6.00,6.00,8.63,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6040632,2.00,5.00,0.00,4.00,7.00,5.63,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6040640,3.00,6.00,3.00,6.00,7.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6040659,4.00,4.00,0.00,6.00,6.00,8.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6040675,3.00,6.00,0.00,3.00,5.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6040691,2.00,3.00,1.00,2.00,4.00,6.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6040713,2.00,7.00,1.00,4.00,7.00,9.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6040721,1.00,3.00,1.00,2.00,4.00,6.00,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6040730,4.00,5.00,0.00,5.00,8.00,9.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6040748,3.00,6.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6040764,7.00,7.00,8.00,7.00,8.00,9.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6040772,5.00,4.00,5.00,7.00,8.00,7.13,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6040799,5.00,3.00,2.00,3.00,6.00,9.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6040802,7.00,5.00,1.00,6.00,8.00,6.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6040810,5.00,4.00,2.00,0.00,5.00,5.63,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6040829,4.00,4.00,4.00,4.00,7.00,11.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6040837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6040845,4.00,5.00,1.00,3.00,4.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6040861,2.00,5.00,1.00,1.00,6.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6040870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6040888,5.00,4.00,2.00,4.00,7.00,5.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6040896,8.00,7.00,6.00,6.00,9.00,9.00,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6040918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6040926,3.00,4.00,3.00,2.00,4.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6040934,1.00,2.00,1.00,1.00,7.00,4.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6040942,6.00,4.00,2.00,5.00,6.00,11.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6040950,8.00,8.00,1.00,6.00,9.00,11.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6040977,7.00,8.00,3.00,6.00,7.00,7.88,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6040985,1.00,5.00,1.00,2.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6040993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6041000,2.00,1.00,1.00,1.00,5.00,6.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6041019,4.00,6.00,2.00,7.00,9.00,9.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6041027,7.00,8.00,6.00,7.00,10.00,10.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6041043,5.00,5.00,3.00,4.00,9.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6041051,4.00,6.00,1.00,6.00,9.00,9.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6041060,2.00,3.00,2.00,3.00,1.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6041078,4.00,4.00,4.00,4.00,9.00,10.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6041086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6041132,5.00,6.00,2.00,5.00,5.00,6.38,2.00,0.00,6.00,NULL,NULL,NULL,'N'),(25,6041140,4.00,7.00,4.00,4.00,9.00,8.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6041159,2.00,6.00,2.00,3.00,7.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6041167,2.00,3.00,0.00,1.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6041175,2.00,5.00,4.00,4.00,5.00,6.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6041191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6041205,8.00,8.00,3.00,6.00,10.00,11.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6041213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6041221,3.00,6.00,4.00,6.00,8.00,11.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6041230,7.00,6.00,3.00,6.00,9.00,6.38,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6041248,7.00,7.00,4.00,6.00,8.00,11.25,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6041264,3.00,4.00,2.00,4.00,6.00,9.38,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6041272,2.00,2.00,0.00,1.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6041280,5.00,8.00,4.00,7.00,8.00,8.63,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6041299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6041302,5.00,7.00,2.00,6.00,8.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6041310,6.00,6.00,3.00,5.00,9.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6041337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6041345,3.00,3.00,3.00,5.00,8.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6041353,5.00,8.00,2.00,6.00,10.00,9.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6041361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6041370,4.00,7.00,1.00,7.00,9.00,10.50,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6041388,8.00,6.00,4.00,6.00,7.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6041400,6.00,5.00,5.00,5.00,9.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6041418,3.00,2.00,1.00,3.00,5.00,8.25,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6041434,4.00,6.00,1.00,4.00,6.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6041442,1.00,5.00,0.00,5.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6041450,5.00,6.00,3.00,4.00,6.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6041477,2.00,3.00,4.00,3.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6041493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6041507,5.00,5.00,1.00,6.00,7.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6041523,4.00,5.00,2.00,7.00,8.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6041540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6041558,7.00,6.00,3.00,6.00,8.00,8.63,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6041566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6041574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6041582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6041590,4.00,5.00,3.00,4.00,5.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6041604,7.00,6.00,2.00,1.00,6.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6041612,4.00,7.00,4.00,5.00,9.00,7.13,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6041620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6041647,3.00,4.00,2.00,0.00,6.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6041655,4.00,6.00,3.00,4.00,7.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6041671,7.00,6.00,2.00,2.00,9.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6041680,7.00,7.00,3.00,7.00,8.00,9.38,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6041698,3.00,5.00,4.00,5.00,8.00,10.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6041710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6041728,4.00,4.00,0.00,4.00,5.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6041736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6041744,3.00,3.00,1.00,4.00,5.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6041760,3.00,2.00,5.00,3.00,4.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6041809,5.00,5.00,1.00,5.00,8.00,8.63,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6041833,1.00,5.00,2.00,4.00,2.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6041841,4.00,6.00,1.00,4.00,9.00,9.38,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6041850,3.00,4.00,2.00,4.00,5.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6041868,3.00,1.00,0.00,1.00,4.00,5.63,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6041876,6.00,8.00,2.00,5.00,9.00,7.13,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6041884,8.00,6.00,1.00,6.00,7.00,9.00,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6041892,5.00,6.00,3.00,5.00,9.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6041906,2.00,4.00,2.00,2.00,4.00,7.50,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6041914,6.00,7.00,3.00,4.00,7.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6041922,4.00,4.00,3.00,5.00,5.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6041930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6041957,3.00,5.00,2.00,6.00,9.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6041965,3.00,3.00,3.00,2.00,5.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6041981,3.00,3.00,2.00,5.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6042007,6.00,8.00,2.00,6.00,6.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6042015,4.00,2.00,3.00,2.00,5.00,8.25,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6042023,3.00,3.00,0.00,2.00,8.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6042031,2.00,2.00,2.00,3.00,6.00,6.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6042058,2.00,3.00,0.00,2.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6042066,6.00,7.00,5.00,7.00,8.00,10.13,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6042074,4.00,4.00,2.00,0.00,6.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6042082,3.00,5.00,3.00,3.00,5.00,5.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6042090,1.00,4.00,2.00,2.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6042104,3.00,6.00,3.00,3.00,4.00,8.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6042112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6042120,4.00,4.00,0.00,4.00,5.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6042147,5.00,3.00,0.00,5.00,9.00,10.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6042155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6042163,2.00,4.00,2.00,2.00,3.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6042171,4.00,6.00,4.00,6.00,6.00,10.88,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6042180,4.00,7.00,4.00,6.00,7.00,9.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6042198,4.00,6.00,1.00,6.00,9.00,10.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6042201,3.00,3.00,3.00,4.00,8.00,6.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6042210,2.00,2.00,2.00,2.00,4.00,7.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6042228,1.00,2.00,1.00,1.00,4.00,8.63,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6042236,1.00,4.00,2.00,1.00,7.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6042244,3.00,5.00,3.00,2.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6042252,4.00,3.00,2.00,1.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6042260,1.00,5.00,3.00,4.00,7.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6042279,0.00,3.00,1.00,3.00,5.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6042287,8.00,5.00,0.00,6.00,8.00,6.75,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6042295,3.00,6.00,4.00,5.00,9.00,9.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6042309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6042317,3.00,3.00,2.00,3.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6042325,4.00,7.00,0.00,5.00,9.00,10.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6042333,3.00,4.00,0.00,6.00,7.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6042350,1.00,3.00,1.00,2.00,3.00,7.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6042376,4.00,5.00,2.00,5.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6042384,4.00,5.00,6.00,1.00,9.00,7.13,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6042392,8.00,8.00,7.00,5.00,8.00,9.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6042406,4.00,4.00,0.00,2.00,4.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6042430,4.00,4.00,1.00,5.00,7.00,11.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6042457,3.00,4.00,1.00,2.00,8.00,6.38,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6042473,4.00,4.00,3.00,3.00,6.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6042490,3.00,4.00,2.00,3.00,5.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6042503,5.00,5.00,1.00,3.00,8.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6042511,6.00,7.00,1.00,4.00,9.00,11.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6042538,3.00,3.00,3.00,4.00,7.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6042546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6042554,4.00,5.00,2.00,4.00,4.00,9.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6042562,1.00,2.00,0.00,3.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6042570,3.00,6.00,1.00,3.00,7.00,7.88,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6042589,3.00,3.00,1.00,2.00,4.00,6.75,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6042597,4.00,5.00,5.00,4.00,7.00,7.88,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6042619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6042627,7.00,6.00,3.00,5.00,7.00,8.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6042635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6042643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6042651,2.00,4.00,3.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6042660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6042678,5.00,5.00,3.00,5.00,8.00,9.38,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6042686,3.00,6.00,2.00,7.00,7.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6042708,4.00,3.00,2.00,5.00,5.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6042716,3.00,2.00,1.00,2.00,4.00,5.63,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6042732,3.00,3.00,1.00,4.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6042740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6042759,0.00,7.00,2.00,5.00,6.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6042767,7.00,8.00,5.00,5.00,8.00,9.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6042775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6042783,8.00,6.00,5.00,4.00,8.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6042791,5.00,5.00,1.00,3.00,9.00,8.63,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6042805,6.00,7.00,4.00,5.00,6.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6042813,2.00,4.00,2.00,3.00,6.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6042830,5.00,5.00,4.00,4.00,6.00,7.88,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6042848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6042856,3.00,4.00,2.00,6.00,6.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6042864,3.00,2.00,0.00,4.00,7.00,9.00,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6042872,1.00,3.00,4.00,5.00,6.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6042880,6.00,4.00,3.00,6.00,8.00,7.50,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6042929,6.00,7.00,1.00,5.00,7.00,11.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6042937,3.00,5.00,3.00,4.00,8.00,7.88,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6042945,3.00,6.00,2.00,3.00,8.00,10.13,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6042953,8.00,5.00,2.00,3.00,7.00,6.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6042970,4.00,6.00,1.00,6.00,7.00,9.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6042988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6043003,8.00,7.00,4.00,7.00,9.00,10.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6043011,8.00,7.00,1.00,3.00,10.00,8.63,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6043054,6.00,6.00,4.00,5.00,7.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6043062,5.00,4.00,1.00,3.00,4.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6043070,2.00,3.00,2.00,2.00,4.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6043089,4.00,7.00,3.00,4.00,7.00,9.38,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6043097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6043100,4.00,5.00,3.00,3.00,5.00,8.25,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6043119,2.00,5.00,3.00,5.00,7.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6043135,1.00,1.00,3.00,3.00,6.00,6.38,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6043160,3.00,6.00,2.00,4.00,7.00,7.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6043178,5.00,7.00,0.00,6.00,9.00,10.88,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6043186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6043208,3.00,6.00,4.00,2.00,4.00,6.75,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6043224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6043240,7.00,6.00,1.00,6.00,9.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6043259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6043267,7.00,7.00,1.00,4.00,9.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6043275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6043291,3.00,3.00,0.00,2.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6043305,4.00,5.00,1.00,3.00,5.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6043313,1.00,6.00,0.00,0.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6043330,2.00,4.00,0.00,5.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6043364,3.00,4.00,0.00,3.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6043380,4.00,6.00,1.00,4.00,2.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6043399,5.00,7.00,3.00,6.00,9.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6043402,4.00,5.00,3.00,4.00,7.00,9.38,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6043437,5.00,7.00,1.00,4.00,6.00,12.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6043445,1.00,1.00,1.00,1.00,3.00,6.38,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6043453,3.00,3.00,2.00,2.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6043461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6043470,8.00,6.00,2.00,2.00,8.00,9.00,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6043496,7.00,8.00,6.00,7.00,10.00,9.75,3.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6043500,4.00,6.00,4.00,2.00,8.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6043518,1.00,7.00,3.00,4.00,8.00,4.50,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6043526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6043534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6043542,4.00,5.00,6.00,5.00,8.00,7.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6043550,3.00,3.00,2.00,0.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6043569,5.00,7.00,3.00,6.00,9.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6043585,5.00,2.00,3.00,6.00,5.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6043593,1.00,4.00,2.00,4.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6043615,8.00,5.00,3.00,6.00,8.00,10.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6043623,3.00,4.00,2.00,6.00,8.00,11.25,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6043640,1.00,3.00,1.00,2.00,3.00,5.63,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6043674,5.00,5.00,2.00,2.00,6.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6043690,2.00,3.00,1.00,4.00,4.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6043704,5.00,7.00,6.00,7.00,9.00,9.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6043712,6.00,5.00,6.00,4.00,9.00,9.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6043720,7.00,6.00,2.00,4.00,6.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6043739,0.00,3.00,3.00,1.00,4.00,6.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6043755,2.00,8.00,1.00,2.00,4.00,10.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6043763,6.00,5.00,4.00,5.00,7.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6043780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6043798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6043810,1.00,4.00,1.00,4.00,4.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6043828,2.00,6.00,3.00,0.00,3.00,7.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6043836,6.00,6.00,1.00,2.00,6.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6043844,6.00,5.00,3.00,5.00,7.00,7.88,0.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6043852,3.00,3.00,0.00,1.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6043860,1.00,5.00,1.00,2.00,5.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6043887,3.00,4.00,2.00,1.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6043895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6043917,3.00,1.00,2.00,2.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6043933,6.00,4.00,3.00,6.00,7.00,7.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6043941,5.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6043950,6.00,4.00,2.00,3.00,6.00,5.63,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6043968,6.00,7.00,5.00,4.00,8.00,9.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6043976,2.00,4.00,3.00,2.00,6.00,7.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6043984,3.00,3.00,3.00,3.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6044000,5.00,6.00,3.00,6.00,7.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6044026,4.00,7.00,1.00,3.00,7.00,9.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6044050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6044069,5.00,5.00,2.00,5.00,7.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6044077,3.00,6.00,2.00,1.00,5.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6044085,5.00,6.00,1.00,3.00,5.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6044093,3.00,2.00,0.00,0.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6044131,2.00,3.00,2.00,7.00,6.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6044140,1.00,3.00,3.00,2.00,3.00,6.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6044158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6044174,6.00,6.00,2.00,6.00,8.00,11.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6044190,2.00,6.00,0.00,0.00,5.00,7.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6044204,1.00,2.00,1.00,2.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6044212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6044220,2.00,4.00,2.00,3.00,5.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6044239,3.00,5.00,3.00,4.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6044247,7.00,7.00,3.00,4.00,10.00,7.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6044263,4.00,5.00,2.00,2.00,7.00,10.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6044271,4.00,4.00,1.00,3.00,7.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6044280,5.00,8.00,6.00,5.00,7.00,7.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6044298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6044301,7.00,6.00,6.00,4.00,9.00,11.63,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6044310,0.00,0.00,2.00,1.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6044328,2.00,7.00,2.00,0.00,7.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6044336,3.00,5.00,3.00,2.00,6.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6044379,2.00,4.00,3.00,2.00,6.00,10.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6044387,6.00,5.00,4.00,5.00,7.00,9.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6044395,4.00,7.00,2.00,6.00,8.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6044417,4.00,4.00,0.00,1.00,4.00,7.50,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6044425,3.00,3.00,3.00,5.00,7.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6044441,5.00,6.00,4.00,4.00,7.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6044450,6.00,5.00,5.00,7.00,11.00,7.88,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6044492,1.00,4.00,0.00,4.00,5.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6044514,5.00,7.00,2.00,6.00,9.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6044522,5.00,7.00,2.00,5.00,8.00,10.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6044549,8.00,6.00,4.00,6.00,10.00,9.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6044557,8.00,7.00,4.00,5.00,9.00,13.13,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6044565,4.00,2.00,3.00,5.00,5.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6044581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6044590,4.00,2.00,2.00,4.00,6.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6044603,1.00,4.00,1.00,4.00,5.00,3.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6044611,4.00,4.00,3.00,3.00,6.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6044620,5.00,3.00,2.00,4.00,8.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6044646,3.00,1.00,0.00,2.00,4.00,4.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6044654,3.00,2.00,0.00,4.00,5.00,10.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6044662,5.00,6.00,2.00,5.00,8.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6044670,3.00,2.00,3.00,2.00,3.00,9.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6044689,2.00,5.00,3.00,5.00,7.00,8.63,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6044697,6.00,6.00,5.00,6.00,7.00,10.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6044700,3.00,5.00,2.00,4.00,5.00,9.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6044727,5.00,5.00,1.00,4.00,5.00,8.25,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6044735,6.00,8.00,4.00,4.00,7.00,10.13,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6044743,8.00,7.00,6.00,6.00,10.00,9.75,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6044751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6044760,4.00,7.00,0.00,1.00,4.00,8.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6044794,9.00,7.00,3.00,7.00,10.00,12.75,0.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6044808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6044816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6044824,7.00,5.00,6.00,7.00,7.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6044832,7.00,4.00,3.00,5.00,6.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6044840,6.00,8.00,2.00,7.00,9.00,10.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6044859,4.00,8.00,2.00,6.00,6.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6044875,2.00,5.00,0.00,2.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6044883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6044891,5.00,4.00,2.00,4.00,6.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6044921,4.00,4.00,2.00,4.00,6.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6044948,6.00,5.00,1.00,6.00,9.00,11.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6044972,6.00,6.00,5.00,4.00,10.00,10.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6044980,4.00,8.00,1.00,4.00,7.00,10.88,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6044999,3.00,6.00,2.00,4.00,6.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6045006,1.00,3.00,2.00,0.00,5.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6045022,5.00,4.00,4.00,4.00,6.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6045049,3.00,3.00,0.00,2.00,4.00,7.13,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6045057,2.00,5.00,3.00,2.00,6.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6045073,3.00,3.00,3.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6045090,8.00,8.00,6.00,6.00,10.00,10.50,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6045103,5.00,6.00,4.00,5.00,7.00,5.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6045111,2.00,2.00,2.00,4.00,6.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6045120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6045138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6045146,5.00,2.00,2.00,5.00,4.00,7.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6045154,7.00,7.00,4.00,6.00,9.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6045162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6045189,2.00,5.00,1.00,4.00,7.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6045197,3.00,2.00,1.00,4.00,5.00,8.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6045200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6045219,5.00,6.00,3.00,4.00,7.00,11.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6045235,4.00,4.00,3.00,6.00,6.00,7.13,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6045243,2.00,3.00,2.00,3.00,6.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6045260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6045278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6045286,3.00,7.00,1.00,4.00,5.00,8.63,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6045294,1.00,2.00,0.00,1.00,4.00,6.75,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6045308,6.00,6.00,2.00,6.00,6.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6045316,4.00,4.00,3.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6045324,7.00,7.00,3.00,7.00,10.00,13.50,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6045340,2.00,3.00,1.00,1.00,4.00,8.25,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6045367,8.00,4.00,4.00,5.00,8.00,9.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6045375,5.00,6.00,1.00,2.00,6.00,10.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6045391,5.00,5.00,0.00,4.00,6.00,9.38,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6045405,6.00,4.00,4.00,5.00,7.00,10.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6045413,3.00,2.00,1.00,3.00,7.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6045421,9.00,8.00,4.00,5.00,7.00,9.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6045430,2.00,2.00,1.00,2.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6045448,6.00,6.00,2.00,6.00,10.00,9.38,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6045456,2.00,2.00,2.00,1.00,7.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6045472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6045499,2.00,3.00,2.00,1.00,5.00,5.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6045510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6045537,3.00,5.00,0.00,7.00,7.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6045545,2.00,5.00,1.00,5.00,6.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6045553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6045561,2.00,5.00,0.00,5.00,5.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6045570,2.00,5.00,1.00,4.00,6.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6045596,2.00,3.00,3.00,2.00,4.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6045600,2.00,4.00,1.00,1.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6045618,3.00,4.00,3.00,5.00,6.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6045626,6.00,6.00,5.00,7.00,9.00,9.00,4.00,0.00,6.00,NULL,NULL,NULL,'N'),(25,6045634,8.00,6.00,7.00,7.00,10.00,10.50,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6045650,3.00,3.00,1.00,2.00,8.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6045669,1.00,4.00,2.00,3.00,5.00,5.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6045677,6.00,4.00,4.00,5.00,6.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6045685,7.00,8.00,4.00,6.00,8.00,0.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6045693,4.00,4.00,3.00,3.00,6.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6045707,5.00,5.00,6.00,6.00,9.00,9.75,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6045723,5.00,4.00,5.00,6.00,7.00,12.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6045731,4.00,2.00,2.00,3.00,8.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6045740,4.00,4.00,1.00,5.00,7.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6045758,3.00,5.00,1.00,4.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6045766,6.00,7.00,2.00,7.00,8.00,11.25,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6045774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6045782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6045790,4.00,6.00,1.00,4.00,6.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6045812,3.00,5.00,4.00,3.00,8.00,10.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6045820,2.00,2.00,2.00,2.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6045839,7.00,7.00,4.00,6.00,9.00,11.63,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6045847,3.00,4.00,3.00,2.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6045863,8.00,7.00,5.00,7.00,6.00,10.13,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6045880,0.00,1.00,0.00,0.00,0.00,NULL,4.00,0.00,2.00,'S',NULL,NULL,'N'),(25,6045898,1.00,4.00,1.00,3.00,4.00,9.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6045901,3.00,5.00,2.00,5.00,5.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6045910,8.00,6.00,5.00,7.00,9.00,10.50,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6045928,5.00,7.00,0.00,3.00,9.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6045936,5.00,5.00,5.00,6.00,8.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6045944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6045952,7.00,6.00,5.00,7.00,9.00,9.00,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6045960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6045979,1.00,3.00,0.00,3.00,5.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6045987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6045995,4.00,4.00,3.00,2.00,9.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6046002,4.00,4.00,2.00,3.00,3.00,8.25,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6046010,9.00,6.00,7.00,7.00,10.00,9.38,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6046029,3.00,3.00,2.00,4.00,4.00,7.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6046037,5.00,4.00,2.00,2.00,4.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6046045,2.00,2.00,0.00,2.00,5.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6046061,4.00,5.00,4.00,4.00,8.00,10.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6046070,3.00,5.00,2.00,4.00,9.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6046088,6.00,3.00,3.00,7.00,6.00,9.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6046096,2.00,4.00,2.00,4.00,4.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6046100,8.00,7.00,4.00,6.00,10.00,8.25,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6046118,8.00,6.00,4.00,6.00,9.00,10.88,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6046126,1.00,3.00,3.00,0.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6046134,4.00,4.00,1.00,2.00,7.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6046142,9.00,6.00,4.00,5.00,10.00,9.00,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6046150,4.00,5.00,1.00,4.00,6.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6046177,3.00,4.00,2.00,6.00,5.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6046207,0.00,4.00,4.00,3.00,5.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6046215,3.00,5.00,2.00,2.00,8.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6046223,3.00,2.00,0.00,2.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6046231,4.00,4.00,2.00,6.00,9.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6046240,8.00,8.00,4.00,5.00,9.00,9.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6046258,3.00,5.00,0.00,4.00,6.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6046266,8.00,4.00,5.00,5.00,8.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6046274,2.00,2.00,0.00,4.00,7.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6046282,2.00,4.00,3.00,2.00,7.00,9.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6046290,2.00,5.00,0.00,4.00,6.00,8.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6046304,5.00,5.00,2.00,4.00,7.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6046320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6046339,3.00,6.00,3.00,4.00,7.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6046347,9.00,7.00,4.00,6.00,9.00,11.63,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6046363,5.00,2.00,7.00,6.00,8.00,9.75,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6046371,6.00,6.00,3.00,3.00,6.00,11.63,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6046380,6.00,5.00,5.00,7.00,9.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6046401,2.00,3.00,2.00,3.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6046410,5.00,6.00,7.00,7.00,7.00,NULL,3.00,7.00,8.00,NULL,NULL,'S','N'),(25,6046444,3.00,6.00,1.00,4.00,7.00,5.63,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6046452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6046460,3.00,3.00,2.00,2.00,7.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6046479,7.00,6.00,4.00,6.00,9.00,5.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6046487,3.00,5.00,2.00,1.00,4.00,4.88,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6046495,6.00,7.00,4.00,6.00,10.00,12.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6046525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6046533,7.00,4.00,2.00,3.00,5.00,8.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6046568,6.00,6.00,3.00,6.00,7.00,6.38,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6046576,7.00,7.00,4.00,6.00,8.00,8.25,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6046584,0.00,4.00,2.00,2.00,5.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6046592,7.00,6.00,3.00,3.00,7.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6046614,4.00,4.00,3.00,5.00,7.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6046622,1.00,4.00,1.00,2.00,5.00,7.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6046630,7.00,4.00,1.00,4.00,7.00,11.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6046649,0.00,3.00,0.00,2.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,'S','N'),(25,6046657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6046673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6046681,3.00,5.00,3.00,3.00,4.00,7.50,3.00,0.00,3.00,NULL,NULL,NULL,'S'),(25,6046690,9.00,7.00,5.00,7.00,7.00,9.75,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6046703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6046711,3.00,2.00,2.00,3.00,5.00,9.38,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6046720,2.00,5.00,1.00,3.00,6.00,6.00,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6046746,6.00,6.00,3.00,6.00,7.00,9.75,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6046762,1.00,5.00,4.00,3.00,6.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6046770,6.00,6.00,1.00,7.00,7.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6046789,4.00,5.00,2.00,3.00,7.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6046797,7.00,7.00,1.00,6.00,8.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6046800,6.00,6.00,2.00,4.00,7.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6046819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6046827,3.00,6.00,4.00,5.00,9.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6046835,3.00,4.00,2.00,4.00,4.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6046843,4.00,2.00,2.00,4.00,7.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6046851,5.00,4.00,0.00,5.00,6.00,10.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6046860,3.00,4.00,3.00,3.00,5.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6046878,7.00,5.00,2.00,7.00,8.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6046894,3.00,6.00,1.00,2.00,7.00,10.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6046908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6046916,2.00,4.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6046924,5.00,4.00,1.00,3.00,5.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6046932,7.00,7.00,2.00,4.00,9.00,7.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6046940,5.00,7.00,4.00,7.00,9.00,8.63,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6046959,5.00,4.00,4.00,1.00,5.00,9.38,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6046967,1.00,2.00,1.00,3.00,2.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6046975,3.00,4.00,4.00,2.00,4.00,7.88,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6046991,2.00,4.00,1.00,4.00,8.00,7.50,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6047009,2.00,6.00,3.00,4.00,4.00,5.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6047017,3.00,5.00,3.00,4.00,5.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6047033,3.00,5.00,2.00,3.00,3.00,8.25,0.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6047041,2.00,4.00,0.00,1.00,7.00,9.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6047050,7.00,5.00,0.00,7.00,10.00,10.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6047068,4.00,7.00,2.00,5.00,6.00,7.13,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6047076,7.00,7.00,2.00,4.00,6.00,7.50,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6047084,4.00,6.00,4.00,3.00,8.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6047106,1.00,6.00,0.00,3.00,6.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6047114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6047122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6047130,4.00,6.00,0.00,4.00,8.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6047149,5.00,4.00,1.00,6.00,5.00,7.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6047165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6047173,3.00,6.00,5.00,3.00,5.00,10.50,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6047181,8.00,7.00,2.00,7.00,10.00,8.63,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6047190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6047211,2.00,2.00,2.00,2.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6047220,3.00,0.00,1.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6047238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6047246,1.00,5.00,1.00,4.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6047254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6047270,7.00,6.00,6.00,6.00,7.00,7.88,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6047289,3.00,2.00,0.00,3.00,7.00,7.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6047297,8.00,5.00,5.00,5.00,7.00,9.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6047319,3.00,4.00,1.00,4.00,5.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6047327,4.00,4.00,2.00,1.00,4.00,7.50,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6047343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6047351,3.00,3.00,2.00,4.00,6.00,7.13,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6047360,2.00,3.00,0.00,3.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6047378,6.00,6.00,2.00,4.00,8.00,9.75,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6047386,8.00,6.00,2.00,6.00,6.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6047394,6.00,5.00,4.00,7.00,8.00,10.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6047432,4.00,2.00,2.00,6.00,6.00,7.13,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6047440,2.00,4.00,1.00,4.00,5.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6047459,4.00,7.00,6.00,1.00,10.00,10.13,4.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6047467,4.00,6.00,5.00,7.00,9.00,9.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6047483,5.00,7.00,1.00,4.00,9.00,10.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6047491,5.00,6.00,1.00,4.00,7.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6047505,4.00,4.00,1.00,3.00,8.00,6.75,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6047513,4.00,3.00,2.00,4.00,6.00,11.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6047521,5.00,7.00,3.00,6.00,7.00,10.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6047530,3.00,3.00,5.00,2.00,6.00,9.75,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6047548,9.00,6.00,6.00,7.00,9.00,9.00,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6047564,3.00,7.00,1.00,4.00,6.00,11.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6047572,1.00,5.00,2.00,4.00,4.00,3.75,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6047580,7.00,7.00,5.00,7.00,9.00,11.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6047599,6.00,6.00,4.00,5.00,6.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6047602,4.00,2.00,0.00,3.00,4.00,6.75,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6047610,7.00,8.00,1.00,8.00,8.00,11.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6047629,7.00,6.00,3.00,6.00,7.00,9.75,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6047645,1.00,5.00,0.00,4.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6047653,4.00,8.00,4.00,7.00,8.00,12.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6047661,4.00,6.00,0.00,3.00,7.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6047670,5.00,7.00,2.00,4.00,6.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6047688,5.00,7.00,2.00,5.00,6.00,10.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6047696,5.00,4.00,2.00,6.00,6.00,6.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6047700,7.00,7.00,4.00,6.00,8.00,9.00,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6047718,3.00,4.00,2.00,4.00,3.00,6.38,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6047726,6.00,5.00,2.00,3.00,6.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6047734,8.00,6.00,3.00,3.00,7.00,7.13,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6047742,3.00,2.00,1.00,2.00,4.00,5.63,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6047750,7.00,5.00,6.00,3.00,8.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6047769,5.00,6.00,3.00,7.00,9.00,8.25,0.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6047777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6047785,8.00,5.00,3.00,5.00,9.00,9.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6047793,7.00,6.00,0.00,5.00,8.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6047807,4.00,4.00,3.00,5.00,7.00,9.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6047823,6.00,7.00,1.00,7.00,8.00,8.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6047840,7.00,4.00,3.00,0.00,7.00,8.63,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6047858,8.00,8.00,2.00,5.00,8.00,9.75,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6047866,9.00,6.00,5.00,5.00,9.00,11.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6047874,3.00,4.00,2.00,7.00,7.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6047882,3.00,5.00,2.00,3.00,6.00,7.88,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6047890,8.00,7.00,8.00,7.00,10.00,11.63,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6047904,8.00,5.00,3.00,7.00,10.00,9.75,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6047912,4.00,6.00,3.00,3.00,7.00,10.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6047920,4.00,4.00,2.00,4.00,4.00,7.88,1.00,5.00,1.00,NULL,NULL,NULL,'S'),(25,6047939,5.00,5.00,0.00,3.00,4.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6047947,4.00,3.00,2.00,2.00,4.00,5.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6047955,6.00,6.00,4.00,5.00,9.00,7.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6047963,7.00,8.00,6.00,4.00,10.00,13.13,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6047971,2.00,3.00,2.00,6.00,6.00,7.13,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6047980,6.00,6.00,1.00,3.00,8.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6048021,3.00,6.00,1.00,6.00,9.00,NULL,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6048030,3.00,2.00,2.00,6.00,5.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6048048,3.00,5.00,5.00,5.00,7.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6048056,2.00,3.00,0.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6048064,3.00,2.00,1.00,4.00,3.00,6.38,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6048072,6.00,6.00,1.00,6.00,7.00,10.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6048080,5.00,7.00,3.00,5.00,8.00,10.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6048102,7.00,6.00,1.00,6.00,8.00,10.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6048110,3.00,3.00,1.00,3.00,3.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6048129,8.00,7.00,2.00,6.00,9.00,8.25,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6048145,1.00,2.00,4.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6048153,3.00,5.00,3.00,3.00,6.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6048170,5.00,6.00,3.00,4.00,6.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6048188,6.00,6.00,3.00,1.00,7.00,8.63,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6048200,2.00,5.00,2.00,4.00,6.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6048226,1.00,6.00,3.00,6.00,8.00,9.75,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6048234,2.00,4.00,1.00,3.00,4.00,9.75,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6048242,6.00,7.00,2.00,6.00,9.00,10.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6048250,8.00,5.00,4.00,7.00,7.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6048269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6048277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6048307,7.00,4.00,3.00,3.00,5.00,9.75,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6048315,8.00,6.00,3.00,6.00,5.00,7.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6048323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6048331,6.00,3.00,3.00,4.00,4.00,7.88,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6048340,7.00,5.00,4.00,6.00,8.00,10.13,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6048358,8.00,6.00,6.00,6.00,7.00,7.88,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6048366,3.00,3.00,1.00,4.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6048374,8.00,6.00,1.00,6.00,8.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6048382,3.00,2.00,0.00,2.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6048390,2.00,6.00,3.00,1.00,4.00,7.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6048404,2.00,4.00,1.00,3.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6048412,6.00,3.00,3.00,5.00,7.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6048439,4.00,0.00,1.00,7.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6048447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6048455,6.00,7.00,4.00,7.00,8.00,9.38,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6048463,2.00,4.00,1.00,4.00,6.00,7.88,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6048471,3.00,2.00,2.00,2.00,3.00,0.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6048480,3.00,6.00,0.00,6.00,7.00,8.25,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6048498,7.00,6.00,4.00,3.00,7.00,7.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6048501,4.00,2.00,1.00,2.00,4.00,8.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6048510,4.00,5.00,0.00,3.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6048528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6048544,8.00,6.00,4.00,6.00,8.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6048552,2.00,7.00,3.00,1.00,3.00,6.75,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6048560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6048579,6.00,5.00,1.00,4.00,6.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6048587,3.00,0.00,1.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6048595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6048609,5.00,5.00,3.00,7.00,6.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6048617,3.00,3.00,2.00,3.00,3.00,7.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6048625,5.00,4.00,3.00,3.00,6.00,9.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6048633,4.00,4.00,3.00,6.00,9.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6048641,4.00,7.00,1.00,3.00,7.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6048650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6048676,6.00,6.00,0.00,5.00,9.00,8.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6048684,3.00,4.00,4.00,6.00,6.00,8.25,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6048692,7.00,7.00,4.00,5.00,7.00,8.63,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6048706,6.00,6.00,1.00,6.00,6.00,10.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6048714,3.00,3.00,0.00,0.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6048722,3.00,1.00,1.00,1.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6048730,6.00,4.00,4.00,3.00,8.00,10.88,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6048749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6048757,3.00,6.00,3.00,6.00,8.00,5.63,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6048765,7.00,5.00,3.00,5.00,7.00,7.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6048781,5.00,1.00,2.00,3.00,6.00,8.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6048790,3.00,3.00,3.00,1.00,4.00,3.00,4.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6048803,4.00,4.00,0.00,5.00,5.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6048811,6.00,6.00,3.00,6.00,7.00,10.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6048820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6048838,8.00,8.00,2.00,7.00,10.00,10.88,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6048846,3.00,4.00,2.00,3.00,4.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6048854,5.00,5.00,4.00,3.00,7.00,12.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6048862,3.00,5.00,1.00,2.00,9.00,8.63,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6048870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6048897,8.00,7.00,6.00,5.00,10.00,10.13,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6048900,6.00,7.00,5.00,6.00,8.00,8.63,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6048927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6048935,3.00,4.00,4.00,3.00,7.00,5.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6048943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6048960,4.00,7.00,4.00,6.00,6.00,11.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6048978,4.00,3.00,1.00,4.00,7.00,9.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6048986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6048994,5.00,7.00,2.00,4.00,8.00,11.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6049001,2.00,5.00,2.00,4.00,7.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6049028,6.00,6.00,3.00,3.00,8.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6049036,2.00,3.00,2.00,3.00,5.00,7.88,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6049044,4.00,7.00,2.00,4.00,8.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6049052,4.00,7.00,2.00,1.00,6.00,11.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6049060,6.00,5.00,7.00,7.00,7.00,7.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6049079,3.00,6.00,2.00,4.00,9.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6049095,2.00,5.00,4.00,2.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6049109,4.00,3.00,0.00,2.00,0.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6049117,6.00,5.00,1.00,5.00,9.00,11.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6049125,5.00,7.00,3.00,6.00,8.00,8.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6049133,6.00,6.00,3.00,5.00,8.00,10.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6049141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6049150,6.00,6.00,6.00,5.00,7.00,10.13,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6049168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6049176,3.00,5.00,0.00,2.00,5.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6049184,3.00,3.00,0.00,3.00,3.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6049192,4.00,2.00,2.00,2.00,6.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6049206,8.00,7.00,4.00,7.00,10.00,13.13,2.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6049222,2.00,7.00,1.00,1.00,6.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6049230,5.00,7.00,2.00,4.00,7.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6049257,5.00,8.00,3.00,2.00,3.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6049273,7.00,5.00,5.00,5.00,10.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6049281,5.00,1.00,2.00,5.00,8.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6049303,4.00,4.00,1.00,3.00,5.00,8.63,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6049311,3.00,6.00,1.00,4.00,4.00,7.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6049320,3.00,6.00,4.00,4.00,7.00,6.38,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6049338,4.00,4.00,2.00,6.00,3.00,5.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6049346,3.00,2.00,0.00,3.00,3.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6049354,4.00,2.00,1.00,3.00,4.00,6.38,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6049362,4.00,3.00,2.00,4.00,6.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6049370,3.00,7.00,0.00,2.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6049389,5.00,6.00,5.00,6.00,8.00,10.13,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6049400,6.00,6.00,1.00,5.00,9.00,7.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6049419,3.00,3.00,0.00,5.00,7.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6049427,6.00,3.00,2.00,4.00,7.00,9.38,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6049435,6.00,5.00,4.00,6.00,8.00,0.00,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6049443,0.00,3.00,1.00,3.00,5.00,7.13,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6049460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6049478,2.00,4.00,0.00,0.00,6.00,6.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6049486,8.00,5.00,5.00,7.00,10.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6049494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6049508,5.00,6.00,4.00,6.00,9.00,7.88,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6049524,1.00,2.00,0.00,1.00,5.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6049532,0.00,2.00,3.00,2.00,4.00,6.38,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6049540,4.00,5.00,2.00,7.00,7.00,9.00,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6049567,7.00,6.00,2.00,7.00,8.00,11.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6049575,6.00,4.00,3.00,2.00,6.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6049583,4.00,3.00,2.00,3.00,8.00,6.75,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6049591,3.00,6.00,1.00,4.00,7.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6049613,4.00,3.00,4.00,2.00,7.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6049621,1.00,5.00,1.00,4.00,4.00,7.13,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6049648,7.00,6.00,3.00,5.00,10.00,8.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6049656,5.00,5.00,0.00,3.00,5.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6049664,3.00,6.00,0.00,5.00,7.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6049680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6049699,4.00,6.00,2.00,7.00,8.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6049710,3.00,7.00,3.00,7.00,8.00,11.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6049729,7.00,7.00,3.00,5.00,9.00,12.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6049745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6049761,4.00,7.00,4.00,5.00,7.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6049770,5.00,6.00,4.00,6.00,9.00,4.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6049788,7.00,6.00,4.00,6.00,9.00,9.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6049796,5.00,3.00,4.00,3.00,8.00,7.13,0.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6049800,9.00,7.00,8.00,7.00,9.00,8.63,4.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6049818,3.00,5.00,2.00,0.00,9.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6049826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6049834,4.00,4.00,1.00,3.00,5.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6049842,6.00,8.00,4.00,7.00,10.00,8.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6049850,8.00,7.00,4.00,7.00,9.00,9.00,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6049869,4.00,4.00,0.00,4.00,8.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6049877,5.00,6.00,1.00,4.00,6.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6049885,2.00,5.00,0.00,1.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6049893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6049915,7.00,7.00,3.00,4.00,7.00,9.38,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6049923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6049931,4.00,4.00,3.00,4.00,8.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6049940,5.00,5.00,3.00,5.00,7.00,7.13,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6049958,4.00,3.00,2.00,2.00,6.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6049966,8.00,9.00,5.00,8.00,10.00,12.00,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6049974,2.00,3.00,1.00,3.00,7.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6049982,7.00,7.00,1.00,7.00,6.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6049990,4.00,5.00,4.00,6.00,8.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6050000,1.00,6.00,0.00,3.00,4.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6050018,3.00,3.00,3.00,3.00,7.00,9.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6050034,5.00,6.00,1.00,6.00,9.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6050042,5.00,5.00,0.00,4.00,7.00,9.75,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6050050,9.00,8.00,3.00,5.00,7.00,7.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6050077,7.00,8.00,4.00,7.00,9.00,7.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6050107,2.00,2.00,1.00,3.00,5.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6050115,5.00,7.00,4.00,6.00,9.00,7.13,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6050123,5.00,2.00,2.00,6.00,9.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6050131,3.00,7.00,3.00,6.00,6.00,10.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6050140,4.00,3.00,1.00,4.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,'S','N'),(25,6050166,3.00,5.00,2.00,2.00,5.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6050174,6.00,7.00,4.00,7.00,8.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6050182,4.00,6.00,6.00,5.00,7.00,7.50,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6050190,6.00,8.00,2.00,5.00,8.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6050204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6050212,3.00,6.00,2.00,4.00,5.00,7.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6050220,5.00,7.00,3.00,4.00,8.00,10.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6050247,2.00,4.00,1.00,2.00,4.00,7.50,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6050255,3.00,7.00,2.00,5.00,10.00,10.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6050263,5.00,7.00,4.00,6.00,7.00,10.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6050271,3.00,3.00,2.00,2.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6050298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6050301,3.00,5.00,3.00,3.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6050310,1.00,1.00,1.00,4.00,4.00,7.13,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6050336,4.00,8.00,5.00,4.00,7.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6050360,7.00,7.00,3.00,5.00,9.00,11.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6050379,5.00,4.00,3.00,3.00,6.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6050387,2.00,4.00,3.00,3.00,4.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6050395,7.00,6.00,2.00,5.00,10.00,10.50,1.00,8.00,1.00,NULL,NULL,NULL,'N'),(25,6050417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6050425,7.00,5.00,0.00,5.00,8.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6050433,6.00,7.00,8.00,6.00,6.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6050441,6.00,5.00,1.00,4.00,6.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6050450,9.00,7.00,6.00,6.00,10.00,9.38,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6050476,5.00,3.00,2.00,6.00,5.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6050484,1.00,4.00,4.00,0.00,4.00,7.13,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6050492,5.00,6.00,7.00,5.00,7.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6050506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6050514,4.00,5.00,2.00,6.00,3.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6050522,4.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6050557,2.00,0.00,3.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6050565,1.00,2.00,2.00,0.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6050573,6.00,6.00,3.00,4.00,8.00,10.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6050581,3.00,5.00,2.00,5.00,7.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6050603,6.00,6.00,4.00,7.00,9.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6050638,6.00,6.00,4.00,5.00,7.00,8.63,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6050646,7.00,6.00,7.00,5.00,8.00,9.38,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6050654,5.00,7.00,2.00,3.00,6.00,6.75,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6050662,3.00,5.00,2.00,1.00,4.00,4.88,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6050670,8.00,0.00,4.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6050697,6.00,7.00,6.00,7.00,10.00,10.88,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6050700,2.00,5.00,0.00,4.00,9.00,9.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6050719,2.00,4.00,2.00,1.00,5.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6050743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6050778,2.00,6.00,4.00,4.00,5.00,6.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6050786,2.00,5.00,2.00,5.00,5.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6050816,3.00,4.00,2.00,1.00,4.00,7.13,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6050824,1.00,4.00,1.00,2.00,4.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6050832,2.00,5.00,2.00,1.00,4.00,6.38,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6050840,3.00,6.00,2.00,6.00,9.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6050859,5.00,5.00,6.00,4.00,9.00,7.88,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6050875,4.00,4.00,1.00,3.00,6.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6050883,2.00,2.00,1.00,1.00,6.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6050891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6050905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6050913,6.00,7.00,3.00,4.00,4.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6050921,4.00,7.00,1.00,3.00,5.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6050948,4.00,5.00,1.00,3.00,5.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6050964,4.00,6.00,2.00,5.00,6.00,7.50,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6050980,1.00,4.00,0.00,4.00,4.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6050999,8.00,7.00,3.00,6.00,9.00,8.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6051022,4.00,3.00,1.00,6.00,8.00,9.38,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6051030,6.00,7.00,3.00,4.00,5.00,9.38,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6051049,4.00,2.00,1.00,1.00,5.00,5.25,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6051057,5.00,6.00,2.00,6.00,8.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6051065,3.00,7.00,4.00,4.00,7.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6051081,3.00,1.00,3.00,6.00,3.00,8.25,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6051090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6051103,1.00,3.00,1.00,3.00,3.00,6.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6051111,3.00,4.00,2.00,4.00,5.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6051120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6051146,7.00,5.00,0.00,3.00,7.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6051154,3.00,5.00,5.00,3.00,5.00,9.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6051170,4.00,4.00,3.00,4.00,7.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6051189,7.00,7.00,1.00,6.00,9.00,10.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6051197,6.00,5.00,3.00,3.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6051200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6051219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6051227,8.00,6.00,5.00,7.00,7.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6051235,2.00,4.00,1.00,7.00,7.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6051243,4.00,4.00,3.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,'S','N'),(25,6051251,6.00,6.00,2.00,5.00,9.00,11.25,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6051278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6051286,8.00,9.00,2.00,7.00,10.00,10.50,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6051308,0.00,3.00,1.00,2.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6051324,7.00,6.00,2.00,6.00,11.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6051332,6.00,6.00,2.00,4.00,8.00,10.13,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6051340,8.00,5.00,7.00,4.00,8.00,7.88,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6051359,3.00,6.00,2.00,2.00,8.00,9.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6051367,3.00,4.00,2.00,6.00,7.00,10.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6051383,7.00,5.00,4.00,7.00,7.00,9.75,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6051391,2.00,5.00,3.00,1.00,4.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6051405,6.00,6.00,3.00,4.00,7.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6051413,7.00,5.00,2.00,4.00,6.00,11.63,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6051421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6051430,1.00,2.00,1.00,0.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6051464,7.00,7.00,1.00,7.00,9.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6051472,1.00,3.00,2.00,3.00,5.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6051502,8.00,7.00,1.00,5.00,8.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6051510,3.00,3.00,1.00,6.00,7.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6051529,7.00,7.00,4.00,6.00,8.00,9.38,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6051537,4.00,3.00,0.00,3.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6051561,0.00,2.00,0.00,0.00,0.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6051570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6051588,4.00,6.00,2.00,4.00,8.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6051600,6.00,6.00,4.00,7.00,7.00,7.13,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6051618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6051634,3.00,3.00,1.00,2.00,6.00,5.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6051650,6.00,4.00,2.00,5.00,7.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6051669,5.00,5.00,4.00,4.00,6.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6051677,4.00,7.00,0.00,5.00,8.00,9.38,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6051693,5.00,4.00,2.00,3.00,3.00,8.25,1.00,1.00,5.00,NULL,NULL,NULL,'S'),(25,6051707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6051715,5.00,4.00,2.00,4.00,4.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6051723,4.00,7.00,3.00,3.00,6.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6051731,3.00,6.00,2.00,4.00,7.00,9.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6051740,2.00,2.00,1.00,5.00,6.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6051758,5.00,4.00,1.00,2.00,4.00,5.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6051782,2.00,2.00,0.00,1.00,6.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6051790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6051839,4.00,6.00,1.00,4.00,4.00,10.88,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6051847,5.00,4.00,3.00,1.00,8.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6051855,3.00,2.00,1.00,2.00,5.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6051863,7.00,7.00,1.00,5.00,7.00,8.63,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6051880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6051898,4.00,4.00,2.00,4.00,5.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6051901,0.00,3.00,0.00,0.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6051910,4.00,5.00,0.00,3.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6051928,1.00,4.00,2.00,2.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6051952,4.00,5.00,2.00,7.00,6.00,9.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6051979,2.00,2.00,0.00,1.00,2.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6051987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6051995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6052002,2.00,2.00,2.00,2.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6052010,5.00,7.00,2.00,1.00,4.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6052029,7.00,6.00,7.00,5.00,10.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6052045,1.00,3.00,0.00,5.00,8.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6052053,3.00,5.00,2.00,5.00,6.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6052061,5.00,8.00,0.00,6.00,9.00,9.00,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6052070,1.00,1.00,1.00,1.00,5.00,6.38,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6052096,3.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6052126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6052134,4.00,0.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6052142,5.00,6.00,6.00,7.00,6.00,10.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6052169,6.00,6.00,5.00,6.00,7.00,8.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6052177,3.00,1.00,2.00,2.00,6.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6052185,2.00,3.00,1.00,1.00,3.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6052193,2.00,3.00,2.00,2.00,5.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6052207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6052215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6052223,2.00,3.00,1.00,3.00,4.00,5.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6052240,3.00,5.00,1.00,3.00,7.00,9.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6052258,1.00,4.00,2.00,3.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6052266,7.00,4.00,3.00,6.00,6.00,6.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6052274,3.00,3.00,2.00,5.00,4.00,5.25,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6052282,4.00,6.00,2.00,6.00,4.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6052290,8.00,6.00,5.00,6.00,6.00,11.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6052304,2.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6052320,4.00,3.00,0.00,0.00,4.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6052347,6.00,6.00,2.00,2.00,6.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6052371,5.00,5.00,1.00,3.00,7.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6052398,4.00,7.00,4.00,5.00,8.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6052401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6052428,2.00,3.00,0.00,1.00,6.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6052444,4.00,6.00,1.00,2.00,6.00,8.63,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6052452,6.00,6.00,0.00,5.00,7.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6052460,2.00,4.00,1.00,2.00,5.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6052479,4.00,5.00,1.00,6.00,6.00,6.75,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6052487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6052495,7.00,6.00,2.00,5.00,7.00,5.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6052517,5.00,2.00,1.00,6.00,9.00,10.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6052525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6052533,6.00,4.00,6.00,5.00,9.00,9.75,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6052541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6052568,4.00,1.00,1.00,1.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6052584,7.00,7.00,6.00,6.00,6.00,10.13,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6052606,1.00,4.00,1.00,2.00,4.00,6.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6052614,4.00,6.00,3.00,6.00,8.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6052622,5.00,6.00,1.00,7.00,8.00,7.50,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6052630,4.00,6.00,4.00,1.00,3.00,6.38,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6052649,7.00,5.00,3.00,6.00,7.00,7.50,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6052657,6.00,7.00,3.00,5.00,10.00,11.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6052665,4.00,7.00,0.00,3.00,8.00,7.88,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6052673,7.00,7.00,3.00,6.00,10.00,9.00,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6052681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6052711,7.00,7.00,4.00,7.00,10.00,10.88,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6052720,7.00,7.00,3.00,5.00,8.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6052754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6052762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6052770,3.00,5.00,0.00,2.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6052789,6.00,5.00,1.00,3.00,6.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6052800,4.00,5.00,3.00,5.00,7.00,9.38,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6052819,2.00,4.00,3.00,4.00,8.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6052827,3.00,5.00,3.00,3.00,9.00,8.25,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6052835,5.00,4.00,0.00,2.00,7.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6052843,3.00,4.00,4.00,6.00,5.00,10.50,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6052851,5.00,3.00,0.00,4.00,5.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6052860,2.00,5.00,2.00,3.00,7.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6052878,8.00,5.00,7.00,6.00,9.00,12.75,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6052886,5.00,5.00,2.00,5.00,8.00,11.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6052894,2.00,4.00,1.00,1.00,5.00,10.50,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6052916,8.00,8.00,6.00,7.00,10.00,8.63,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6052932,3.00,3.00,3.00,2.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6052940,2.00,3.00,5.00,5.00,7.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6052959,8.00,7.00,7.00,3.00,9.00,8.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6052967,3.00,1.00,0.00,3.00,5.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6052975,5.00,5.00,5.00,5.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6052983,4.00,4.00,4.00,6.00,8.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6052991,2.00,4.00,1.00,3.00,5.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6053009,5.00,6.00,3.00,3.00,6.00,7.50,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6053017,6.00,7.00,6.00,7.00,10.00,10.50,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6053025,2.00,4.00,1.00,1.00,5.00,4.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6053041,6.00,5.00,2.00,2.00,5.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6053068,4.00,7.00,5.00,3.00,6.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6053076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6053084,1.00,4.00,2.00,4.00,3.00,5.63,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6053114,7.00,6.00,3.00,7.00,7.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6053122,6.00,5.00,1.00,7.00,9.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6053130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6053149,6.00,6.00,2.00,5.00,9.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6053165,5.00,6.00,3.00,5.00,6.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6053173,6.00,6.00,3.00,6.00,9.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6053181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6053190,3.00,3.00,0.00,4.00,6.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6053203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6053211,2.00,4.00,3.00,4.00,6.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6053220,5.00,5.00,4.00,6.00,7.00,7.50,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6053238,5.00,6.00,3.00,6.00,7.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6053246,3.00,5.00,3.00,2.00,6.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6053270,7.00,8.00,0.00,4.00,6.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6053289,0.00,6.00,0.00,0.00,0.00,NULL,0.00,5.00,1.00,'S',NULL,NULL,'N'),(25,6053297,2.00,7.00,3.00,3.00,6.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6053319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6053327,8.00,7.00,1.00,6.00,8.00,9.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6053335,2.00,4.00,2.00,4.00,6.00,9.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6053343,6.00,7.00,3.00,5.00,7.00,7.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6053351,8.00,6.00,8.00,7.00,11.00,10.13,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6053360,3.00,3.00,1.00,1.00,3.00,9.38,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6053378,5.00,5.00,2.00,6.00,8.00,7.13,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6053386,3.00,7.00,4.00,5.00,8.00,7.13,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6053394,2.00,5.00,0.00,7.00,4.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6053408,8.00,7.00,2.00,7.00,8.00,11.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6053416,7.00,5.00,1.00,6.00,9.00,7.13,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6053424,7.00,5.00,3.00,5.00,9.00,9.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6053432,7.00,5.00,3.00,5.00,9.00,7.13,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6053459,3.00,4.00,2.00,5.00,5.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6053467,5.00,6.00,2.00,5.00,9.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6053475,4.00,3.00,3.00,4.00,3.00,6.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6053483,6.00,6.00,6.00,7.00,8.00,9.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6053491,8.00,7.00,6.00,6.00,7.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6053505,7.00,6.00,5.00,5.00,8.00,7.50,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6053513,4.00,6.00,3.00,6.00,9.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6053521,2.00,4.00,3.00,5.00,7.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6053530,3.00,4.00,2.00,4.00,7.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6053548,5.00,5.00,0.00,4.00,7.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6053564,7.00,5.00,2.00,4.00,8.00,8.63,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6053572,5.00,3.00,1.00,1.00,4.00,5.63,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6053580,2.00,2.00,0.00,4.00,3.00,6.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6053599,6.00,6.00,1.00,6.00,10.00,12.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6053602,9.00,8.00,3.00,7.00,10.00,10.13,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6053629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6053637,6.00,3.00,1.00,0.00,7.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6053645,2.00,4.00,1.00,2.00,6.00,6.75,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6053653,5.00,6.00,0.00,6.00,9.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6053661,5.00,6.00,3.00,3.00,9.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6053670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6053696,6.00,5.00,6.00,5.00,8.00,10.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6053700,4.00,3.00,4.00,5.00,6.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6053718,4.00,6.00,4.00,6.00,6.00,11.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6053726,5.00,6.00,3.00,4.00,9.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6053734,7.00,5.00,6.00,7.00,8.00,9.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6053742,5.00,4.00,2.00,3.00,9.00,11.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6053750,3.00,3.00,2.00,1.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6053769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6053777,3.00,4.00,0.00,6.00,7.00,6.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6053785,8.00,6.00,3.00,0.00,7.00,9.00,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6053793,3.00,6.00,2.00,7.00,7.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6053807,4.00,2.00,0.00,2.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6053815,8.00,8.00,2.00,7.00,8.00,12.00,3.00,9.00,4.00,NULL,NULL,NULL,'N'),(25,6053840,3.00,6.00,1.00,3.00,6.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6053866,4.00,4.00,3.00,4.00,6.00,6.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6053874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6053882,1.00,2.00,1.00,3.00,3.00,7.88,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6053890,0.00,2.00,0.00,1.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6053904,2.00,7.00,3.00,6.00,6.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6053912,7.00,5.00,1.00,7.00,8.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6053939,6.00,7.00,4.00,4.00,10.00,8.25,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6053947,8.00,7.00,4.00,6.00,10.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6053955,3.00,7.00,3.00,2.00,7.00,7.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6053963,4.00,4.00,0.00,5.00,8.00,8.63,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6053971,2.00,4.00,2.00,3.00,7.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6053980,6.00,5.00,0.00,7.00,9.00,9.38,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6053998,9.00,7.00,0.00,6.00,9.00,9.75,2.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6054013,4.00,7.00,3.00,3.00,7.00,9.00,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6054021,5.00,5.00,2.00,5.00,7.00,9.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6054030,1.00,3.00,0.00,2.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6054048,9.00,4.00,2.00,4.00,8.00,5.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6054056,6.00,7.00,4.00,6.00,4.00,8.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6054064,7.00,3.00,3.00,6.00,9.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6054080,8.00,8.00,4.00,6.00,10.00,11.63,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6054102,2.00,2.00,0.00,1.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6054110,5.00,4.00,0.00,6.00,6.00,11.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6054129,2.00,7.00,3.00,2.00,6.00,4.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6054137,4.00,6.00,2.00,5.00,6.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6054145,2.00,4.00,0.00,4.00,9.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6054161,4.00,6.00,3.00,1.00,3.00,5.25,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6054170,3.00,5.00,2.00,6.00,6.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6054188,4.00,4.00,2.00,4.00,2.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6054196,9.00,6.00,4.00,6.00,9.00,10.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6054200,2.00,2.00,0.00,3.00,7.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6054218,6.00,5.00,4.00,4.00,6.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6054226,7.00,4.00,3.00,6.00,5.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6054234,9.00,5.00,6.00,7.00,9.00,8.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6054242,2.00,2.00,2.00,5.00,6.00,6.00,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6054250,6.00,7.00,3.00,5.00,8.00,8.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6054285,8.00,0.00,4.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6054293,8.00,5.00,2.00,5.00,9.00,12.00,0.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6054307,2.00,6.00,2.00,6.00,6.00,7.50,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6054323,2.00,6.00,3.00,4.00,7.00,5.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6054331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6054340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6054358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6054366,8.00,6.00,4.00,5.00,11.00,8.63,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6054374,5.00,4.00,7.00,6.00,8.00,10.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6054382,4.00,5.00,2.00,6.00,7.00,8.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6054390,4.00,6.00,0.00,3.00,5.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6054404,5.00,5.00,4.00,6.00,3.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6054412,7.00,7.00,4.00,5.00,8.00,8.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6054420,6.00,7.00,1.00,5.00,6.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6054439,6.00,4.00,3.00,6.00,7.00,11.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6054447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6054463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6054471,5.00,7.00,1.00,0.00,6.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6054480,7.00,7.00,6.00,6.00,8.00,12.75,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6054498,5.00,8.00,1.00,6.00,7.00,9.38,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6054501,5.00,0.00,4.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6054510,7.00,4.00,4.00,2.00,5.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6054536,3.00,3.00,1.00,3.00,5.00,7.50,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6054544,6.00,5.00,4.00,7.00,10.00,9.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6054552,1.00,3.00,3.00,0.00,3.00,4.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6054560,3.00,5.00,1.00,1.00,6.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6054579,8.00,7.00,2.00,7.00,11.00,10.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6054587,3.00,3.00,3.00,1.00,4.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6054595,4.00,5.00,2.00,6.00,7.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6054609,4.00,6.00,3.00,4.00,7.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6054617,3.00,4.00,2.00,4.00,8.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6054633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6054641,6.00,3.00,2.00,3.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6054668,3.00,3.00,1.00,2.00,6.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6054676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6054684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6054692,2.00,2.00,0.00,1.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6054706,5.00,5.00,1.00,6.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6054714,5.00,3.00,3.00,6.00,7.00,7.13,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6054722,8.00,7.00,2.00,6.00,8.00,12.38,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6054730,2.00,3.00,2.00,0.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6054749,4.00,6.00,0.00,4.00,5.00,6.38,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6054757,4.00,5.00,1.00,6.00,7.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6054765,4.00,3.00,2.00,5.00,7.00,7.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6054773,4.00,6.00,3.00,4.00,5.00,9.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6054781,6.00,5.00,0.00,5.00,7.00,8.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6054790,8.00,7.00,3.00,5.00,8.00,8.63,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6054803,4.00,7.00,3.00,5.00,8.00,8.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6054811,1.00,3.00,0.00,0.00,6.00,10.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6054820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6054846,7.00,6.00,4.00,6.00,9.00,7.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6054854,2.00,5.00,2.00,5.00,7.00,6.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6054862,3.00,4.00,0.00,3.00,6.00,7.88,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6054889,6.00,3.00,3.00,5.00,8.00,10.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6054900,5.00,7.00,4.00,7.00,5.00,7.88,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6054919,6.00,5.00,1.00,6.00,8.00,10.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6054927,3.00,4.00,2.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6054943,3.00,5.00,3.00,6.00,7.00,6.38,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6054951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6054960,4.00,3.00,3.00,6.00,6.00,7.88,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6054986,1.00,4.00,2.00,4.00,8.00,NULL,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6054994,5.00,6.00,3.00,5.00,6.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6055001,6.00,6.00,3.00,4.00,8.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6055028,7.00,6.00,3.00,6.00,9.00,10.13,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6055036,1.00,2.00,1.00,2.00,4.00,7.50,2.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6055044,6.00,5.00,3.00,4.00,7.00,8.63,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6055060,3.00,5.00,2.00,5.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6055079,1.00,3.00,0.00,3.00,4.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6055087,3.00,6.00,0.00,2.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6055109,2.00,3.00,1.00,2.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,'S','N'),(25,6055117,4.00,4.00,2.00,6.00,8.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6055125,8.00,6.00,4.00,6.00,7.00,9.38,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6055141,8.00,8.00,4.00,7.00,10.00,9.75,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6055150,5.00,5.00,3.00,4.00,8.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6055176,6.00,4.00,1.00,0.00,9.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6055184,3.00,3.00,1.00,3.00,4.00,7.13,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6055192,8.00,8.00,7.00,6.00,9.00,8.25,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6055214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6055222,4.00,6.00,1.00,7.00,7.00,9.38,3.00,4.00,0.00,NULL,NULL,NULL,'S'),(25,6055249,6.00,6.00,2.00,5.00,7.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6055273,3.00,3.00,1.00,2.00,5.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6055281,8.00,6.00,9.00,7.00,9.00,10.88,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6055290,6.00,5.00,3.00,5.00,9.00,9.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6055303,5.00,7.00,2.00,4.00,8.00,10.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6055311,2.00,5.00,0.00,2.00,4.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6055320,2.00,4.00,4.00,4.00,4.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6055338,5.00,4.00,2.00,5.00,7.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6055346,3.00,3.00,0.00,4.00,7.00,9.38,2.00,1.00,5.00,NULL,NULL,NULL,'S'),(25,6055354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6055362,6.00,5.00,6.00,3.00,10.00,11.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6055389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6055397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6055400,8.00,6.00,3.00,4.00,7.00,8.63,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6055419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6055427,6.00,6.00,6.00,6.00,7.00,6.38,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6055435,5.00,6.00,2.00,7.00,5.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6055443,4.00,1.00,3.00,2.00,4.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6055451,6.00,7.00,6.00,7.00,6.00,11.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6055460,3.00,4.00,3.00,3.00,7.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6055478,6.00,2.00,1.00,4.00,10.00,9.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6055486,6.00,6.00,1.00,7.00,7.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6055494,3.00,5.00,2.00,5.00,5.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6055508,5.00,7.00,4.00,7.00,6.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6055516,2.00,5.00,1.00,4.00,6.00,7.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6055532,2.00,3.00,1.00,3.00,3.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6055559,2.00,0.00,1.00,2.00,4.00,4.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6055567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6055575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6055591,3.00,3.00,2.00,2.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6055605,2.00,3.00,1.00,6.00,9.00,10.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6055613,2.00,2.00,0.00,5.00,7.00,8.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6055621,6.00,7.00,3.00,1.00,7.00,7.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6055630,6.00,8.00,3.00,6.00,8.00,10.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6055656,2.00,4.00,2.00,7.00,6.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6055664,4.00,4.00,1.00,2.00,4.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6055672,3.00,4.00,0.00,3.00,5.00,7.50,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6055680,4.00,5.00,0.00,5.00,7.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6055699,3.00,5.00,2.00,4.00,5.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6055702,3.00,4.00,0.00,1.00,5.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6055710,6.00,6.00,5.00,5.00,8.00,7.88,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6055729,2.00,3.00,2.00,2.00,7.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6055737,8.00,7.00,6.00,7.00,10.00,9.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6055745,4.00,7.00,1.00,4.00,7.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6055753,2.00,3.00,1.00,2.00,3.00,5.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6055761,7.00,6.00,3.00,7.00,9.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6055770,3.00,4.00,2.00,4.00,6.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6055796,8.00,6.00,4.00,4.00,8.00,8.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6055800,2.00,3.00,1.00,4.00,6.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6055818,6.00,8.00,4.00,5.00,9.00,8.25,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6055826,3.00,5.00,1.00,2.00,6.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6055834,1.00,2.00,2.00,4.00,5.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6055842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6055850,3.00,5.00,0.00,3.00,4.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6055869,3.00,2.00,3.00,2.00,3.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6055877,2.00,5.00,3.00,6.00,8.00,7.50,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6055885,5.00,6.00,5.00,6.00,10.00,12.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6055893,4.00,0.00,3.00,5.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6055907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6055915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6055923,2.00,5.00,1.00,0.00,6.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6055931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6055940,5.00,7.00,2.00,5.00,7.00,NULL,0.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6055958,8.00,6.00,4.00,7.00,8.00,10.13,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6055966,7.00,6.00,4.00,6.00,9.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6055974,3.00,4.00,0.00,0.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6055982,1.00,3.00,0.00,0.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6055990,6.00,4.00,0.00,2.00,4.00,9.75,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6056008,7.00,5.00,3.00,4.00,9.00,10.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6056024,4.00,3.00,2.00,0.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6056032,6.00,5.00,0.00,7.00,8.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6056040,2.00,3.00,1.00,1.00,4.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6056059,8.00,7.00,6.00,7.00,9.00,10.88,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6056067,1.00,2.00,3.00,4.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6056075,6.00,7.00,3.00,6.00,6.00,8.63,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6056083,5.00,5.00,2.00,2.00,6.00,9.75,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6056091,3.00,4.00,3.00,6.00,9.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6056105,6.00,7.00,5.00,5.00,8.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6056113,5.00,6.00,1.00,5.00,6.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6056121,3.00,3.00,3.00,1.00,6.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6056130,3.00,2.00,2.00,5.00,6.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6056148,5.00,5.00,2.00,4.00,7.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6056156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6056164,8.00,5.00,3.00,7.00,6.00,11.25,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6056172,6.00,5.00,3.00,8.00,6.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6056180,6.00,7.00,0.00,8.00,8.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6056199,1.00,4.00,1.00,2.00,5.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6056229,7.00,8.00,4.00,6.00,6.00,9.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6056237,3.00,3.00,3.00,0.00,7.00,7.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6056253,7.00,5.00,4.00,7.00,7.00,9.75,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6056261,4.00,3.00,3.00,5.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6056270,3.00,3.00,3.00,1.00,4.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6056288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6056296,4.00,4.00,3.00,5.00,9.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6056300,7.00,4.00,4.00,5.00,9.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6056318,4.00,5.00,1.00,7.00,7.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6056326,4.00,4.00,3.00,3.00,7.00,10.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6056334,6.00,4.00,6.00,6.00,9.00,9.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6056342,5.00,2.00,2.00,5.00,7.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6056350,7.00,8.00,5.00,7.00,10.00,7.50,2.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6056369,4.00,6.00,2.00,5.00,10.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6056385,5.00,6.00,1.00,5.00,7.00,9.75,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6056415,8.00,8.00,3.00,4.00,9.00,9.38,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6056440,7.00,7.00,6.00,6.00,9.00,9.38,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6056458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6056466,7.00,7.00,3.00,7.00,8.00,12.38,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6056474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6056482,4.00,4.00,1.00,5.00,6.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6056504,2.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6056512,8.00,7.00,6.00,6.00,10.00,10.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6056520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6056547,5.00,5.00,0.00,2.00,7.00,7.50,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6056555,6.00,8.00,3.00,7.00,9.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6056563,5.00,7.00,2.00,5.00,9.00,7.88,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6056571,7.00,7.00,3.00,6.00,11.00,12.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6056580,5.00,3.00,0.00,0.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6056598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6056601,7.00,8.00,3.00,4.00,5.00,8.25,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6056628,4.00,3.00,1.00,7.00,9.00,10.50,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6056636,2.00,2.00,0.00,2.00,4.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6056644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6056660,3.00,2.00,1.00,4.00,4.00,6.75,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6056679,1.00,2.00,5.00,3.00,4.00,6.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6056687,5.00,4.00,3.00,2.00,8.00,8.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6056695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6056709,7.00,8.00,6.00,7.00,10.00,10.13,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6056717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6056741,2.00,4.00,1.00,4.00,7.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6056750,2.00,4.00,4.00,6.00,7.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6056768,4.00,5.00,1.00,2.00,8.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6056784,4.00,5.00,1.00,5.00,6.00,7.88,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6056792,2.00,7.00,0.00,2.00,5.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6056806,7.00,5.00,1.00,3.00,9.00,9.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6056814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6056822,7.00,6.00,3.00,4.00,8.00,10.13,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6056830,4.00,6.00,1.00,4.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6056857,2.00,2.00,3.00,1.00,8.00,7.50,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6056865,5.00,5.00,2.00,6.00,9.00,10.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6056873,4.00,5.00,2.00,0.00,6.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6056881,4.00,3.00,1.00,2.00,5.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6056903,8.00,7.00,6.00,5.00,7.00,8.25,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6056920,2.00,4.00,3.00,2.00,4.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6056938,5.00,5.00,3.00,4.00,5.00,7.50,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6056946,6.00,5.00,4.00,2.00,7.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6056954,8.00,8.00,4.00,6.00,9.00,8.25,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6056962,2.00,4.00,3.00,3.00,6.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6056989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6056997,8.00,7.00,3.00,6.00,7.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6057012,3.00,4.00,3.00,3.00,7.00,8.63,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6057020,5.00,5.00,3.00,7.00,8.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6057039,5.00,6.00,0.00,6.00,7.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6057071,2.00,5.00,1.00,3.00,3.00,7.50,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6057098,4.00,4.00,3.00,5.00,8.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6057101,2.00,6.00,1.00,4.00,5.00,8.63,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6057128,4.00,5.00,2.00,5.00,8.00,10.13,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6057136,6.00,7.00,2.00,4.00,10.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6057144,5.00,8.00,4.00,5.00,9.00,9.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6057160,1.00,6.00,2.00,2.00,6.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6057179,4.00,6.00,2.00,4.00,7.00,11.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6057187,4.00,5.00,1.00,3.00,6.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6057195,4.00,8.00,2.00,3.00,7.00,11.63,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6057209,3.00,6.00,0.00,5.00,8.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6057217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6057225,4.00,3.00,2.00,5.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6057241,7.00,6.00,4.00,4.00,9.00,9.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6057250,5.00,8.00,3.00,6.00,8.00,8.63,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6057276,5.00,6.00,3.00,5.00,9.00,8.63,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6057284,5.00,6.00,4.00,1.00,7.00,8.25,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6057292,7.00,7.00,2.00,4.00,8.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6057306,6.00,0.00,3.00,7.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6057314,5.00,6.00,5.00,6.00,7.00,9.75,2.00,2.00,8.00,NULL,NULL,NULL,'N'),(25,6057322,3.00,5.00,0.00,3.00,6.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6057349,6.00,5.00,3.00,3.00,7.00,10.13,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6057373,4.00,3.00,1.00,3.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6057381,6.00,6.00,5.00,4.00,8.00,7.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6057390,4.00,6.00,0.00,4.00,10.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6057403,2.00,4.00,4.00,6.00,8.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6057411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6057420,5.00,5.00,2.00,4.00,9.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6057438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6057446,4.00,5.00,1.00,6.00,8.00,8.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6057454,6.00,7.00,3.00,6.00,7.00,6.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6057470,5.00,5.00,2.00,4.00,4.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6057489,9.00,7.00,4.00,4.00,9.00,10.13,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6057497,4.00,5.00,4.00,5.00,7.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6057500,5.00,5.00,1.00,4.00,7.00,11.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6057519,7.00,6.00,1.00,5.00,5.00,7.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6057527,5.00,4.00,1.00,4.00,5.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6057535,4.00,5.00,0.00,0.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,'S','S'),(25,6057543,2.00,3.00,4.00,4.00,3.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6057551,4.00,3.00,4.00,5.00,6.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6057560,5.00,4.00,1.00,2.00,7.00,7.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6057578,3.00,5.00,2.00,2.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6057586,7.00,5.00,2.00,6.00,10.00,11.63,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6057594,5.00,4.00,2.00,3.00,5.00,5.63,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6057608,5.00,5.00,4.00,5.00,6.00,8.25,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6057616,7.00,5.00,6.00,6.00,8.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6057624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6057632,6.00,3.00,2.00,3.00,6.00,8.63,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6057640,4.00,6.00,1.00,4.00,8.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6057683,7.00,6.00,6.00,7.00,9.00,8.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6057691,7.00,6.00,4.00,6.00,7.00,9.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6057705,6.00,3.00,4.00,5.00,5.00,NULL,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6057713,3.00,4.00,0.00,1.00,6.00,6.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6057721,6.00,8.00,4.00,3.00,7.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6057730,4.00,5.00,5.00,5.00,6.00,6.38,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6057748,5.00,4.00,4.00,7.00,8.00,9.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6057764,8.00,7.00,1.00,6.00,10.00,11.63,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6057780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6057799,4.00,3.00,3.00,3.00,7.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6057802,8.00,8.00,3.00,6.00,9.00,10.13,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6057810,3.00,5.00,0.00,4.00,7.00,8.63,1.00,7.00,3.00,NULL,NULL,NULL,'S'),(25,6057845,3.00,4.00,4.00,3.00,7.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6057853,4.00,5.00,2.00,5.00,7.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6057861,3.00,3.00,1.00,1.00,5.00,8.63,2.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6057870,2.00,3.00,2.00,2.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6057888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6057896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6057900,1.00,4.00,2.00,3.00,3.00,10.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6057918,5.00,2.00,2.00,6.00,8.00,7.88,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6057926,3.00,4.00,2.00,2.00,6.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6057934,4.00,7.00,3.00,4.00,6.00,9.00,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6057942,2.00,3.00,2.00,2.00,9.00,9.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6057950,7.00,7.00,6.00,6.00,10.00,13.50,2.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6057969,2.00,2.00,1.00,1.00,6.00,6.38,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6057977,1.00,2.00,0.00,3.00,6.00,6.75,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6057985,1.00,5.00,0.00,1.00,5.00,4.50,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6057993,1.00,4.00,0.00,2.00,4.00,8.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6058000,4.00,2.00,3.00,5.00,6.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6058027,1.00,1.00,3.00,0.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6058035,5.00,6.00,0.00,4.00,7.00,9.38,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6058043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6058051,8.00,6.00,5.00,6.00,10.00,9.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6058060,6.00,6.00,3.00,4.00,9.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6058078,5.00,7.00,5.00,3.00,7.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6058086,2.00,5.00,2.00,5.00,5.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6058094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6058108,6.00,4.00,4.00,5.00,10.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6058116,8.00,6.00,5.00,4.00,9.00,10.88,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6058124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6058132,8.00,7.00,7.00,4.00,9.00,10.13,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6058159,1.00,7.00,2.00,5.00,8.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6058167,5.00,4.00,4.00,5.00,8.00,10.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6058175,3.00,4.00,5.00,6.00,7.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6058183,4.00,3.00,4.00,4.00,7.00,6.75,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6058191,4.00,5.00,0.00,4.00,9.00,8.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6058205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6058213,0.00,5.00,1.00,4.00,5.00,9.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6058221,2.00,3.00,2.00,2.00,5.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6058230,6.00,6.00,3.00,6.00,10.00,9.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6058248,2.00,5.00,2.00,3.00,3.00,4.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6058272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6058299,7.00,8.00,5.00,7.00,10.00,8.63,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6058302,3.00,3.00,2.00,5.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6058329,8.00,6.00,2.00,7.00,10.00,8.63,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6058345,7.00,6.00,3.00,4.00,10.00,12.75,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6058353,8.00,6.00,8.00,7.00,9.00,8.25,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6058370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6058388,8.00,8.00,4.00,6.00,10.00,7.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6058400,9.00,7.00,8.00,8.00,11.00,11.25,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6058426,3.00,4.00,5.00,4.00,5.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6058434,8.00,8.00,4.00,8.00,10.00,12.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6058442,3.00,6.00,0.00,5.00,4.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6058450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6058469,7.00,6.00,6.00,6.00,9.00,12.38,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6058477,7.00,6.00,3.00,6.00,7.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6058507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6058515,4.00,4.00,2.00,4.00,6.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6058523,5.00,7.00,2.00,6.00,7.00,9.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6058531,3.00,4.00,1.00,5.00,5.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6058540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6058558,3.00,4.00,1.00,4.00,8.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6058566,4.00,8.00,2.00,4.00,7.00,8.63,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6058582,8.00,7.00,6.00,6.00,9.00,8.25,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6058590,7.00,6.00,3.00,7.00,9.00,8.63,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6058612,3.00,4.00,2.00,4.00,5.00,6.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6058620,2.00,6.00,0.00,3.00,4.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6058639,3.00,5.00,2.00,4.00,7.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6058655,1.00,4.00,2.00,2.00,3.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6058663,5.00,6.00,4.00,4.00,6.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6058671,7.00,6.00,7.00,4.00,8.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6058701,5.00,5.00,2.00,7.00,8.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6058710,5.00,5.00,2.00,4.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6058728,5.00,5.00,1.00,5.00,8.00,7.50,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6058744,1.00,2.00,1.00,5.00,2.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6058760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6058779,4.00,7.00,1.00,6.00,8.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6058787,4.00,7.00,2.00,5.00,8.00,7.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6058795,7.00,6.00,1.00,6.00,9.00,12.38,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6058817,7.00,4.00,6.00,6.00,7.00,9.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6058833,4.00,5.00,0.00,6.00,7.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6058850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6058868,3.00,3.00,0.00,2.00,7.00,7.50,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6058876,1.00,3.00,2.00,4.00,7.00,9.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6058884,8.00,7.00,3.00,6.00,10.00,12.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6058892,5.00,5.00,2.00,4.00,7.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6058914,1.00,4.00,1.00,2.00,3.00,NULL,4.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6058922,0.00,5.00,0.00,0.00,0.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6058930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6058949,6.00,5.00,0.00,6.00,7.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6058957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6058965,5.00,5.00,4.00,6.00,7.00,7.50,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6058981,6.00,5.00,1.00,6.00,6.00,8.25,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6058990,3.00,2.00,4.00,2.00,5.00,10.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6059015,7.00,5.00,6.00,5.00,6.00,7.88,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6059023,6.00,3.00,2.00,5.00,7.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6059031,2.00,7.00,4.00,6.00,8.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6059040,7.00,5.00,4.00,7.00,7.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6059058,7.00,6.00,1.00,2.00,8.00,8.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6059066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6059074,3.00,4.00,2.00,4.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6059082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6059104,2.00,5.00,1.00,2.00,7.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6059112,8.00,6.00,6.00,5.00,10.00,10.13,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6059120,6.00,4.00,1.00,5.00,6.00,5.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6059139,3.00,1.00,1.00,3.00,5.00,7.50,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6059147,5.00,6.00,1.00,6.00,8.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6059171,7.00,7.00,5.00,7.00,8.00,11.63,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6059180,2.00,5.00,0.00,0.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6059198,2.00,3.00,1.00,4.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6059201,5.00,6.00,4.00,5.00,5.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6059210,3.00,4.00,0.00,6.00,5.00,9.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6059228,6.00,5.00,1.00,4.00,6.00,0.00,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6059236,2.00,3.00,3.00,2.00,6.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6059244,5.00,4.00,4.00,5.00,8.00,9.75,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6059252,2.00,4.00,1.00,5.00,6.00,5.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6059260,4.00,3.00,0.00,3.00,3.00,4.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6059279,4.00,5.00,2.00,2.00,6.00,9.75,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6059287,3.00,4.00,3.00,3.00,5.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6059295,5.00,3.00,1.00,6.00,7.00,9.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6059309,4.00,4.00,1.00,0.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6059317,3.00,4.00,1.00,7.00,6.00,10.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6059325,2.00,3.00,1.00,5.00,7.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6059341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6059350,7.00,5.00,5.00,6.00,7.00,12.75,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6059368,2.00,4.00,0.00,1.00,6.00,5.25,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6059376,8.00,6.00,1.00,7.00,6.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6059384,4.00,4.00,1.00,5.00,7.00,10.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6059392,7.00,6.00,4.00,7.00,9.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6059406,2.00,4.00,2.00,3.00,8.00,8.63,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6059414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6059422,4.00,6.00,2.00,3.00,6.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6059430,8.00,8.00,5.00,6.00,10.00,8.25,0.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6059449,6.00,7.00,7.00,6.00,7.00,8.25,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6059457,7.00,6.00,2.00,6.00,9.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6059465,4.00,7.00,5.00,3.00,8.00,6.38,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6059473,4.00,3.00,4.00,5.00,7.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6059503,8.00,8.00,5.00,5.00,9.00,10.88,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6059511,3.00,4.00,1.00,3.00,8.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6059520,5.00,6.00,3.00,7.00,10.00,10.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6059538,3.00,7.00,1.00,6.00,7.00,8.63,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6059546,6.00,7.00,2.00,4.00,9.00,7.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6059554,3.00,5.00,2.00,5.00,10.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6059562,8.00,7.00,7.00,7.00,10.00,9.75,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6059570,4.00,3.00,1.00,4.00,6.00,9.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6059589,7.00,6.00,3.00,6.00,8.00,12.00,3.00,7.00,0.00,NULL,NULL,NULL,'N'),(25,6059597,8.00,7.00,4.00,7.00,9.00,9.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6059600,3.00,8.00,1.00,7.00,9.00,12.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6059619,4.00,6.00,1.00,3.00,7.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6059627,3.00,4.00,0.00,0.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6059635,7.00,7.00,7.00,7.00,10.00,8.63,3.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6059651,4.00,6.00,1.00,4.00,7.00,10.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6059678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6059686,5.00,3.00,0.00,3.00,5.00,9.00,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6059694,1.00,4.00,2.00,5.00,5.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6059716,6.00,8.00,3.00,6.00,7.00,9.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6059724,3.00,4.00,5.00,5.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6059732,5.00,6.00,4.00,7.00,10.00,10.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6059740,2.00,4.00,3.00,5.00,6.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6059759,3.00,7.00,2.00,6.00,8.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6059767,3.00,3.00,2.00,2.00,5.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6059775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6059783,7.00,7.00,7.00,6.00,10.00,7.50,2.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6059791,3.00,7.00,1.00,4.00,10.00,9.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6059805,7.00,6.00,6.00,6.00,8.00,10.50,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6059830,2.00,4.00,1.00,6.00,6.00,10.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6059848,4.00,4.00,0.00,0.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6059856,4.00,4.00,1.00,2.00,4.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6059864,8.00,7.00,4.00,7.00,8.00,10.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6059872,8.00,9.00,6.00,6.00,10.00,9.75,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6059880,8.00,9.00,5.00,6.00,10.00,7.50,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6059899,4.00,4.00,0.00,2.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6059929,3.00,4.00,0.00,7.00,5.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6059937,5.00,4.00,3.00,4.00,8.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6059945,5.00,6.00,2.00,6.00,6.00,11.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6059953,6.00,6.00,3.00,3.00,3.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6059961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6059970,2.00,2.00,1.00,2.00,5.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6059988,4.00,7.00,4.00,4.00,8.00,9.00,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6060005,7.00,4.00,5.00,6.00,8.00,7.13,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6060013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6060021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6060030,6.00,6.00,3.00,5.00,6.00,6.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6060048,7.00,5.00,1.00,5.00,9.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6060056,5.00,5.00,4.00,4.00,7.00,9.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6060064,2.00,2.00,1.00,3.00,4.00,8.25,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6060072,6.00,4.00,5.00,3.00,7.00,6.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6060080,3.00,5.00,0.00,5.00,7.00,9.00,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6060099,5.00,4.00,1.00,6.00,6.00,11.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6060102,4.00,4.00,0.00,4.00,3.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6060110,8.00,7.00,5.00,6.00,10.00,12.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6060129,6.00,5.00,3.00,3.00,8.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6060137,9.00,7.00,5.00,4.00,9.00,7.88,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6060145,4.00,5.00,2.00,2.00,8.00,9.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6060153,6.00,5.00,2.00,4.00,7.00,9.00,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6060161,8.00,4.00,1.00,6.00,7.00,10.13,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6060170,1.00,3.00,2.00,2.00,4.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6060188,9.00,8.00,8.00,7.00,10.00,11.63,8.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6060200,3.00,3.00,1.00,1.00,4.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6060218,2.00,4.00,3.00,5.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,'S','S'),(25,6060226,4.00,3.00,3.00,4.00,6.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6060234,8.00,5.00,7.00,7.00,7.00,8.63,3.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6060242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6060250,3.00,2.00,1.00,1.00,4.00,8.25,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6060269,6.00,4.00,7.00,6.00,7.00,9.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6060277,5.00,7.00,2.00,7.00,9.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6060285,8.00,9.00,4.00,8.00,9.00,8.63,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6060307,8.00,7.00,4.00,6.00,8.00,9.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6060315,4.00,3.00,2.00,4.00,7.00,9.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6060323,4.00,5.00,2.00,4.00,7.00,6.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6060331,4.00,3.00,0.00,2.00,5.00,8.25,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6060340,4.00,4.00,3.00,4.00,8.00,9.38,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6060366,2.00,2.00,3.00,2.00,5.00,7.50,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6060374,6.00,6.00,6.00,4.00,9.00,12.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6060382,4.00,7.00,0.00,4.00,8.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6060390,3.00,6.00,5.00,6.00,5.00,6.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6060404,3.00,6.00,5.00,6.00,9.00,9.38,0.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6060412,8.00,6.00,5.00,4.00,8.00,10.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6060420,6.00,4.00,6.00,3.00,6.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6060447,9.00,6.00,3.00,6.00,10.00,9.00,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6060455,3.00,8.00,8.00,2.00,6.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6060463,3.00,5.00,0.00,4.00,6.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6060471,3.00,3.00,1.00,4.00,5.00,8.63,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6060480,9.00,8.00,6.00,7.00,11.00,11.25,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6060498,6.00,7.00,4.00,6.00,8.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6060501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6060510,8.00,6.00,5.00,5.00,10.00,11.25,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6060528,1.00,2.00,2.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6060536,1.00,3.00,0.00,1.00,7.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6060552,2.00,5.00,2.00,2.00,4.00,5.63,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6060560,6.00,6.00,2.00,6.00,8.00,6.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6060587,5.00,5.00,3.00,2.00,3.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6060617,4.00,5.00,1.00,5.00,6.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6060625,3.00,2.00,1.00,4.00,5.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6060633,6.00,4.00,3.00,2.00,6.00,9.75,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6060641,5.00,6.00,1.00,5.00,8.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6060650,7.00,6.00,3.00,6.00,8.00,9.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6060668,2.00,3.00,1.00,3.00,8.00,10.88,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6060676,4.00,3.00,0.00,2.00,4.00,9.38,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6060684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6060692,4.00,3.00,3.00,3.00,7.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6060706,3.00,5.00,4.00,5.00,7.00,7.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6060714,8.00,6.00,4.00,6.00,7.00,7.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6060730,4.00,7.00,3.00,5.00,9.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6060749,6.00,7.00,2.00,2.00,9.00,7.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6060757,6.00,5.00,1.00,4.00,6.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6060773,2.00,1.00,1.00,5.00,4.00,10.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6060781,3.00,3.00,2.00,3.00,7.00,7.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6060790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6060811,7.00,4.00,5.00,5.00,9.00,9.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6060820,5.00,7.00,2.00,6.00,9.00,9.75,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6060838,5.00,4.00,2.00,6.00,7.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6060846,4.00,4.00,1.00,5.00,7.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6060854,7.00,7.00,0.00,4.00,9.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6060862,5.00,4.00,4.00,4.00,8.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6060870,1.00,4.00,1.00,4.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6060889,3.00,4.00,0.00,4.00,3.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6060897,4.00,5.00,2.00,5.00,7.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6060900,3.00,5.00,4.00,3.00,5.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6060919,4.00,3.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6060935,8.00,7.00,5.00,7.00,9.00,10.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6060943,4.00,5.00,1.00,4.00,5.00,7.88,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6060960,0.00,4.00,1.00,4.00,5.00,7.50,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6060978,7.00,6.00,5.00,7.00,9.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6060986,6.00,5.00,6.00,5.00,7.00,5.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6060994,7.00,6.00,5.00,8.00,10.00,9.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6061001,7.00,7.00,6.00,5.00,9.00,7.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6061010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6061028,6.00,6.00,6.00,8.00,7.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6061036,3.00,6.00,1.00,3.00,7.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6061044,9.00,7.00,5.00,6.00,9.00,11.25,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6061052,6.00,7.00,2.00,3.00,7.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6061060,5.00,4.00,6.00,6.00,7.00,11.25,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6061079,4.00,2.00,2.00,2.00,5.00,7.88,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6061087,6.00,5.00,2.00,6.00,7.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6061095,8.00,6.00,2.00,4.00,10.00,10.88,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6061109,4.00,2.00,1.00,2.00,8.00,8.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6061117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6061133,4.00,4.00,1.00,5.00,9.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6061150,7.00,6.00,2.00,7.00,8.00,4.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6061168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6061184,6.00,6.00,3.00,5.00,6.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6061192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6061206,3.00,5.00,3.00,2.00,6.00,NULL,0.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6061222,3.00,4.00,3.00,5.00,7.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6061230,6.00,6.00,4.00,6.00,7.00,9.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6061257,5.00,5.00,3.00,7.00,8.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6061265,7.00,7.00,1.00,5.00,7.00,12.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6061273,3.00,5.00,1.00,1.00,6.00,8.25,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6061281,2.00,2.00,2.00,3.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6061303,6.00,5.00,5.00,7.00,7.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6061311,4.00,2.00,3.00,1.00,8.00,6.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6061320,3.00,1.00,4.00,4.00,7.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6061338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6061346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6061354,8.00,4.00,4.00,7.00,10.00,9.75,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6061362,5.00,5.00,2.00,3.00,9.00,11.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6061370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6061389,4.00,3.00,1.00,4.00,4.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6061397,5.00,8.00,3.00,4.00,7.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6061400,2.00,2.00,0.00,0.00,3.00,3.38,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6061435,3.00,3.00,1.00,3.00,4.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6061443,6.00,4.00,5.00,4.00,7.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6061478,6.00,6.00,4.00,6.00,10.00,8.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6061494,1.00,4.00,1.00,2.00,5.00,10.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6061508,5.00,4.00,0.00,4.00,8.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6061516,5.00,6.00,6.00,6.00,9.00,8.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6061524,6.00,7.00,4.00,6.00,6.00,9.00,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6061532,3.00,3.00,1.00,4.00,5.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6061540,9.00,6.00,5.00,6.00,9.00,9.00,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6061559,2.00,5.00,2.00,3.00,4.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6061583,4.00,5.00,3.00,2.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6061591,6.00,7.00,3.00,3.00,7.00,10.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6061605,5.00,6.00,1.00,3.00,5.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6061613,8.00,4.00,7.00,5.00,9.00,11.25,5.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6061621,4.00,5.00,3.00,5.00,4.00,7.50,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6061630,6.00,7.00,6.00,7.00,8.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6061664,2.00,4.00,1.00,3.00,5.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6061672,6.00,7.00,8.00,5.00,8.00,7.50,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6061680,8.00,7.00,9.00,6.00,9.00,12.00,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6061710,4.00,4.00,1.00,2.00,5.00,4.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6061729,9.00,7.00,6.00,6.00,10.00,10.13,3.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6061737,6.00,7.00,1.00,5.00,6.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(25,6061745,0.00,4.00,1.00,4.00,4.00,7.88,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6061753,8.00,7.00,5.00,5.00,7.00,8.63,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6061770,1.00,3.00,2.00,2.00,6.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6061788,5.00,5.00,4.00,5.00,8.00,8.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6061800,9.00,6.00,3.00,7.00,7.00,9.00,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6061818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6061834,9.00,5.00,0.00,7.00,9.00,7.88,0.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6061850,3.00,4.00,3.00,1.00,3.00,4.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6061869,3.00,3.00,0.00,4.00,3.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6061885,5.00,6.00,6.00,6.00,7.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6061893,6.00,4.00,4.00,5.00,9.00,9.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6061907,6.00,8.00,4.00,6.00,8.00,9.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6061915,6.00,5.00,0.00,6.00,5.00,10.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6061923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6061931,1.00,2.00,0.00,0.00,2.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6061940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6061958,7.00,5.00,2.00,5.00,5.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6061966,4.00,5.00,2.00,4.00,6.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6061974,7.00,8.00,1.00,6.00,7.00,7.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6061982,4.00,4.00,1.00,6.00,4.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6061990,5.00,6.00,7.00,5.00,9.00,6.75,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6062016,6.00,6.00,1.00,7.00,8.00,10.50,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6062024,6.00,6.00,4.00,4.00,8.00,7.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6062032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6062040,3.00,5.00,2.00,5.00,5.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6062075,1.00,3.00,2.00,0.00,6.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6062083,4.00,5.00,0.00,2.00,3.00,5.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6062091,3.00,3.00,0.00,2.00,5.00,4.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6062105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6062113,8.00,7.00,5.00,5.00,7.00,9.38,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6062121,4.00,0.00,2.00,2.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6062130,4.00,4.00,3.00,5.00,5.00,10.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6062148,6.00,7.00,1.00,5.00,7.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6062156,3.00,4.00,4.00,4.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,'S','N'),(25,6062164,6.00,6.00,2.00,6.00,8.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6062172,1.00,4.00,3.00,3.00,7.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6062180,5.00,4.00,2.00,4.00,9.00,NULL,0.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6062202,5.00,5.00,1.00,2.00,8.00,10.13,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6062210,5.00,4.00,2.00,7.00,6.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6062229,8.00,6.00,5.00,7.00,9.00,10.50,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6062237,4.00,5.00,2.00,4.00,5.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6062245,2.00,8.00,1.00,4.00,8.00,6.75,4.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6062253,2.00,5.00,2.00,3.00,7.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6062270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6062288,7.00,7.00,6.00,7.00,8.00,6.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6062296,7.00,7.00,6.00,7.00,6.00,12.00,0.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6062300,8.00,7.00,6.00,5.00,10.00,8.63,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6062318,3.00,6.00,1.00,5.00,6.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6062326,2.00,4.00,0.00,2.00,5.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6062342,5.00,6.00,3.00,4.00,8.00,7.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6062350,4.00,5.00,0.00,3.00,4.00,7.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6062377,1.00,3.00,2.00,3.00,4.00,10.50,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6062385,1.00,5.00,2.00,3.00,6.00,6.38,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6062407,7.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6062423,9.00,8.00,3.00,6.00,9.00,7.88,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6062431,3.00,5.00,2.00,1.00,8.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6062440,3.00,5.00,0.00,3.00,4.00,NULL,2.00,4.00,0.00,NULL,NULL,'S','N'),(25,6062458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6062466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6062474,4.00,4.00,1.00,2.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6062482,4.00,6.00,2.00,4.00,8.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6062490,3.00,6.00,0.00,4.00,6.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6062504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6062512,4.00,4.00,1.00,6.00,8.00,10.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6062520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6062547,1.00,5.00,1.00,3.00,7.00,0.00,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6062555,6.00,6.00,4.00,5.00,9.00,11.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6062563,7.00,4.00,7.00,7.00,9.00,9.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6062571,3.00,3.00,2.00,1.00,7.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6062580,3.00,5.00,1.00,7.00,5.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6062598,4.00,6.00,3.00,6.00,7.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6062601,5.00,7.00,2.00,4.00,6.00,9.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6062610,2.00,5.00,3.00,3.00,5.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6062636,4.00,4.00,3.00,4.00,8.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6062644,7.00,5.00,6.00,7.00,11.00,12.00,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6062652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6062660,2.00,5.00,3.00,4.00,8.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6062679,6.00,4.00,3.00,5.00,8.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6062687,7.00,7.00,8.00,5.00,8.00,9.75,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6062695,3.00,3.00,2.00,2.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6062709,5.00,6.00,4.00,2.00,6.00,9.75,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6062717,8.00,9.00,7.00,6.00,7.00,13.50,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6062725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6062733,9.00,6.00,6.00,5.00,9.00,9.75,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6062741,8.00,6.00,1.00,6.00,8.00,9.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6062750,3.00,0.00,0.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6062768,4.00,1.00,2.00,3.00,7.00,7.88,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6062776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6062784,3.00,3.00,4.00,6.00,6.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6062792,3.00,5.00,2.00,1.00,5.00,8.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6062806,2.00,5.00,2.00,2.00,5.00,11.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6062814,4.00,5.00,3.00,2.00,5.00,9.75,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6062822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6062830,1.00,5.00,0.00,2.00,6.00,6.75,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6062849,2.00,2.00,0.00,2.00,2.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6062857,7.00,5.00,3.00,6.00,9.00,10.13,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6062865,5.00,8.00,3.00,2.00,7.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6062873,5.00,6.00,2.00,6.00,9.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6062881,2.00,3.00,3.00,6.00,6.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6062890,5.00,6.00,2.00,5.00,4.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6062903,7.00,5.00,6.00,5.00,6.00,6.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6062920,2.00,5.00,3.00,2.00,4.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6062938,2.00,2.00,0.00,1.00,6.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6062946,2.00,4.00,0.00,4.00,6.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6062954,3.00,5.00,0.00,2.00,4.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6062989,5.00,5.00,3.00,7.00,8.00,9.00,0.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6062997,2.00,5.00,3.00,4.00,4.00,7.88,3.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6063004,3.00,4.00,2.00,2.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6063012,3.00,6.00,3.00,3.00,3.00,8.63,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6063020,6.00,3.00,3.00,5.00,8.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6063039,2.00,3.00,3.00,3.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6063047,7.00,7.00,6.00,5.00,8.00,8.25,1.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6063063,4.00,7.00,1.00,4.00,6.00,7.13,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6063071,4.00,6.00,1.00,3.00,6.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6063080,2.00,4.00,4.00,3.00,9.00,11.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6063098,1.00,3.00,4.00,5.00,5.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6063101,1.00,3.00,0.00,1.00,1.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6063110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6063128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6063136,8.00,5.00,6.00,4.00,7.00,8.63,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6063144,1.00,3.00,1.00,3.00,3.00,5.25,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6063152,3.00,6.00,2.00,5.00,8.00,8.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6063160,4.00,4.00,4.00,6.00,10.00,11.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6063187,6.00,5.00,5.00,5.00,8.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6063195,3.00,2.00,1.00,5.00,7.00,8.25,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6063209,3.00,6.00,3.00,2.00,6.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6063217,3.00,6.00,3.00,6.00,8.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6063225,5.00,5.00,3.00,5.00,8.00,9.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6063241,2.00,4.00,1.00,2.00,5.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6063250,5.00,5.00,1.00,3.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6063268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6063276,2.00,2.00,4.00,5.00,4.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6063284,3.00,2.00,1.00,4.00,3.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6063292,2.00,2.00,3.00,2.00,5.00,7.88,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6063306,4.00,8.00,5.00,6.00,10.00,10.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6063314,1.00,2.00,1.00,0.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6063322,4.00,4.00,3.00,3.00,5.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6063330,6.00,5.00,3.00,4.00,7.00,8.63,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6063349,3.00,5.00,1.00,5.00,6.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6063357,2.00,3.00,3.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6063373,4.00,2.00,2.00,0.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6063381,6.00,6.00,3.00,7.00,10.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6063390,4.00,4.00,1.00,5.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,'S','N'),(25,6063403,7.00,7.00,6.00,7.00,9.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6063411,5.00,3.00,3.00,5.00,5.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6063420,3.00,4.00,1.00,4.00,4.00,9.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6063438,8.00,7.00,3.00,1.00,9.00,7.50,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6063446,2.00,2.00,3.00,2.00,4.00,5.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6063454,8.00,6.00,3.00,6.00,7.00,10.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6063462,5.00,5.00,4.00,3.00,8.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6063470,3.00,3.00,0.00,3.00,7.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6063489,9.00,7.00,7.00,7.00,10.00,9.38,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6063497,2.00,1.00,3.00,2.00,4.00,6.75,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6063519,6.00,6.00,5.00,4.00,6.00,8.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6063527,6.00,4.00,1.00,6.00,8.00,7.88,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6063535,7.00,6.00,5.00,6.00,7.00,8.63,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6063543,4.00,6.00,1.00,3.00,8.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6063551,4.00,3.00,2.00,5.00,4.00,8.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6063560,3.00,7.00,1.00,4.00,8.00,12.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6063578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6063586,5.00,5.00,0.00,5.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6063594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6063608,2.00,3.00,0.00,3.00,7.00,9.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6063616,3.00,5.00,2.00,3.00,7.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6063624,7.00,6.00,2.00,4.00,9.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6063632,6.00,4.00,4.00,4.00,6.00,7.88,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6063640,5.00,7.00,4.00,6.00,7.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6063659,1.00,4.00,1.00,4.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6063667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6063675,5.00,7.00,4.00,4.00,8.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6063683,3.00,3.00,0.00,2.00,4.00,8.25,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6063691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6063713,4.00,5.00,4.00,5.00,4.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6063721,6.00,4.00,0.00,6.00,9.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6063730,2.00,4.00,1.00,3.00,6.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6063748,7.00,5.00,6.00,3.00,7.00,9.38,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6063756,4.00,5.00,1.00,3.00,6.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6063764,2.00,4.00,2.00,2.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6063780,5.00,6.00,5.00,4.00,10.00,10.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6063799,7.00,7.00,7.00,3.00,8.00,7.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6063802,4.00,6.00,1.00,6.00,10.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6063837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6063845,6.00,6.00,3.00,6.00,9.00,9.00,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6063853,1.00,3.00,5.00,3.00,5.00,11.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6063861,6.00,7.00,5.00,5.00,10.00,6.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6063888,4.00,1.00,1.00,2.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6063896,4.00,4.00,2.00,5.00,7.00,5.25,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6063900,1.00,4.00,0.00,1.00,8.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6063926,0.00,1.00,0.00,0.00,0.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6063934,1.00,4.00,3.00,2.00,3.00,7.13,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6063942,8.00,6.00,5.00,7.00,11.00,9.38,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6063950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6063969,5.00,6.00,2.00,5.00,9.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6063977,3.00,5.00,2.00,5.00,7.00,8.63,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6063985,4.00,5.00,1.00,3.00,9.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6063993,6.00,5.00,2.00,4.00,3.00,10.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6064000,7.00,7.00,7.00,7.00,6.00,9.00,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6064019,5.00,5.00,2.00,1.00,5.00,6.38,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6064027,2.00,4.00,2.00,6.00,7.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6064035,6.00,5.00,5.00,3.00,5.00,7.13,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6064051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6064060,7.00,7.00,2.00,6.00,6.00,8.63,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6064078,7.00,8.00,7.00,7.00,9.00,9.00,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6064086,4.00,4.00,1.00,2.00,4.00,3.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6064094,7.00,8.00,8.00,7.00,10.00,10.13,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6064108,3.00,3.00,1.00,2.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6064116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6064124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6064132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6064140,4.00,4.00,0.00,2.00,6.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6064159,8.00,8.00,3.00,6.00,10.00,10.88,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6064167,1.00,2.00,0.00,1.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6064183,4.00,6.00,3.00,5.00,7.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6064205,2.00,4.00,0.00,1.00,5.00,5.63,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6064213,3.00,4.00,0.00,7.00,5.00,9.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6064221,1.00,4.00,3.00,5.00,7.00,5.63,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6064230,4.00,3.00,2.00,2.00,6.00,8.63,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6064248,2.00,4.00,2.00,2.00,6.00,7.50,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6064256,4.00,2.00,3.00,4.00,7.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6064264,1.00,3.00,1.00,3.00,6.00,3.00,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6064272,4.00,4.00,3.00,4.00,8.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6064280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6064299,6.00,5.00,2.00,3.00,7.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6064302,3.00,6.00,2.00,3.00,8.00,7.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6064310,1.00,5.00,1.00,4.00,4.00,8.63,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6064329,4.00,4.00,5.00,6.00,7.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6064345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6064353,2.00,4.00,0.00,1.00,4.00,9.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6064361,5.00,6.00,1.00,0.00,10.00,9.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6064388,2.00,5.00,2.00,4.00,6.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6064396,3.00,5.00,5.00,5.00,7.00,10.88,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6064400,7.00,7.00,7.00,7.00,8.00,4.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6064418,2.00,4.00,2.00,5.00,8.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6064426,3.00,5.00,2.00,3.00,8.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6064434,1.00,5.00,3.00,6.00,6.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6064442,4.00,6.00,0.00,4.00,4.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6064450,4.00,5.00,3.00,4.00,6.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6064477,4.00,6.00,1.00,6.00,8.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6064485,5.00,3.00,3.00,6.00,7.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6064493,2.00,4.00,1.00,4.00,7.00,NULL,0.00,2.00,1.00,NULL,NULL,'S','N'),(25,6064507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6064515,4.00,5.00,5.00,4.00,5.00,9.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6064540,6.00,8.00,1.00,7.00,10.00,10.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6064566,2.00,6.00,0.00,2.00,7.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6064574,1.00,2.00,1.00,4.00,3.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6064590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6064612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6064620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6064639,5.00,3.00,0.00,4.00,6.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6064647,1.00,5.00,0.00,3.00,5.00,8.63,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6064655,1.00,5.00,6.00,2.00,3.00,9.38,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6064663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6064671,2.00,5.00,2.00,6.00,5.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6064680,3.00,5.00,4.00,6.00,4.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6064728,2.00,4.00,2.00,4.00,7.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6064736,3.00,6.00,2.00,5.00,5.00,6.00,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6064744,4.00,2.00,1.00,3.00,6.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6064752,2.00,5.00,2.00,5.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6064779,8.00,7.00,3.00,6.00,10.00,11.25,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6064787,4.00,3.00,2.00,5.00,4.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6064795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6064809,8.00,7.00,5.00,5.00,9.00,12.75,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6064817,2.00,4.00,1.00,3.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6064833,3.00,4.00,2.00,3.00,6.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6064841,5.00,5.00,2.00,3.00,7.00,7.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6064850,7.00,7.00,6.00,2.00,7.00,8.63,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6064868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6064876,5.00,6.00,1.00,2.00,5.00,6.38,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6064884,7.00,8.00,3.00,6.00,8.00,9.38,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6064892,5.00,6.00,2.00,3.00,6.00,8.25,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6064906,0.00,4.00,0.00,0.00,0.00,NULL,2.00,5.00,2.00,'S',NULL,NULL,'N'),(25,6064914,5.00,5.00,1.00,5.00,7.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6064922,6.00,6.00,3.00,6.00,10.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6064930,2.00,4.00,3.00,3.00,7.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6064949,5.00,5.00,2.00,3.00,4.00,6.75,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6064957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6064965,8.00,6.00,3.00,3.00,8.00,8.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6064981,4.00,3.00,3.00,2.00,7.00,9.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6064990,4.00,3.00,5.00,6.00,8.00,10.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6065007,5.00,4.00,4.00,4.00,6.00,8.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6065015,4.00,5.00,7.00,5.00,5.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6065040,6.00,6.00,4.00,7.00,7.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6065058,1.00,3.00,1.00,2.00,5.00,7.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6065066,4.00,5.00,0.00,5.00,7.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6065074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6065082,8.00,6.00,3.00,5.00,8.00,9.38,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6065090,5.00,3.00,0.00,3.00,7.00,9.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6065104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6065112,3.00,3.00,3.00,4.00,6.00,9.00,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6065120,3.00,4.00,0.00,3.00,6.00,5.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6065139,1.00,5.00,3.00,3.00,5.00,8.25,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6065147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6065163,3.00,4.00,3.00,3.00,6.00,7.88,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6065171,3.00,5.00,0.00,5.00,6.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6065180,4.00,5.00,2.00,4.00,7.00,4.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6065198,4.00,5.00,0.00,7.00,7.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6065201,3.00,2.00,3.00,2.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6065228,6.00,2.00,1.00,3.00,5.00,7.13,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6065236,5.00,3.00,2.00,4.00,6.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6065252,6.00,5.00,2.00,6.00,9.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6065260,4.00,5.00,0.00,3.00,6.00,9.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6065279,2.00,4.00,1.00,3.00,5.00,7.50,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6065287,1.00,6.00,0.00,0.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6065295,4.00,5.00,3.00,3.00,8.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6065309,5.00,3.00,1.00,7.00,7.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6065325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6065333,3.00,7.00,3.00,3.00,7.00,11.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6065350,2.00,5.00,3.00,4.00,5.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6065368,7.00,6.00,2.00,6.00,8.00,9.00,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6065384,1.00,2.00,2.00,2.00,5.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6065406,4.00,6.00,2.00,6.00,7.00,6.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6065422,6.00,5.00,4.00,6.00,5.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6065430,4.00,4.00,3.00,2.00,6.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6065465,2.00,5.00,3.00,1.00,6.00,5.63,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6065473,3.00,5.00,0.00,2.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6065490,6.00,4.00,4.00,7.00,7.00,8.63,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6065503,5.00,5.00,3.00,4.00,7.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6065520,2.00,3.00,1.00,5.00,7.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6065538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6065570,4.00,6.00,1.00,3.00,7.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6065597,3.00,6.00,3.00,3.00,7.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6065627,7.00,5.00,3.00,4.00,9.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6065643,3.00,4.00,0.00,3.00,6.00,9.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6065651,4.00,2.00,1.00,4.00,7.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6065660,5.00,4.00,3.00,4.00,5.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6065678,8.00,4.00,4.00,3.00,5.00,7.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6065686,3.00,4.00,3.00,4.00,3.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6065694,3.00,4.00,2.00,5.00,5.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6065708,4.00,4.00,3.00,5.00,3.00,6.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6065724,5.00,5.00,3.00,5.00,8.00,7.13,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6065732,6.00,5.00,2.00,5.00,6.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6065740,7.00,7.00,2.00,7.00,10.00,10.88,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6065759,3.00,4.00,3.00,3.00,5.00,7.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6065767,5.00,4.00,3.00,4.00,9.00,11.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6065775,5.00,7.00,3.00,2.00,6.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6065805,5.00,7.00,0.00,5.00,9.00,8.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6065813,3.00,6.00,1.00,2.00,6.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6065848,7.00,6.00,3.00,3.00,4.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6065856,3.00,2.00,2.00,2.00,6.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6065864,7.00,8.00,4.00,3.00,8.00,7.13,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6065872,5.00,3.00,1.00,2.00,6.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6065880,4.00,4.00,1.00,4.00,7.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6065899,2.00,2.00,0.00,3.00,7.00,7.88,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6065910,4.00,3.00,2.00,5.00,6.00,10.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6065929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6065953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6065970,3.00,5.00,1.00,5.00,7.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6065988,5.00,6.00,2.00,3.00,7.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6065996,3.00,4.00,3.00,6.00,8.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6066003,3.00,3.00,1.00,2.00,4.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6066011,5.00,8.00,1.00,4.00,8.00,10.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6066020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6066054,4.00,6.00,2.00,5.00,8.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6066062,6.00,4.00,2.00,5.00,7.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6066089,5.00,3.00,2.00,4.00,5.00,9.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6066097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6066100,3.00,4.00,0.00,2.00,7.00,NULL,0.00,1.00,0.00,NULL,NULL,'S','N'),(25,6066119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6066127,2.00,5.00,2.00,4.00,7.00,9.38,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6066135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6066143,4.00,5.00,1.00,7.00,7.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6066151,1.00,4.00,4.00,2.00,5.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6066160,5.00,7.00,2.00,3.00,6.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6066186,3.00,1.00,2.00,3.00,8.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6066194,4.00,5.00,1.00,2.00,6.00,7.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6066216,2.00,2.00,0.00,0.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6066232,4.00,4.00,1.00,1.00,2.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6066240,6.00,7.00,2.00,6.00,6.00,10.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6066259,6.00,7.00,2.00,3.00,7.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6066267,7.00,7.00,2.00,7.00,7.00,9.00,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6066275,6.00,4.00,4.00,2.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6066283,8.00,8.00,6.00,6.00,8.00,11.63,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6066291,4.00,5.00,4.00,2.00,6.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6066305,9.00,5.00,7.00,5.00,9.00,12.75,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6066330,4.00,4.00,2.00,4.00,5.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6066348,5.00,6.00,3.00,4.00,9.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6066356,3.00,4.00,2.00,2.00,9.00,7.88,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6066364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6066372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6066380,7.00,6.00,2.00,6.00,9.00,10.13,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6066399,3.00,5.00,2.00,4.00,7.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6066402,2.00,6.00,2.00,6.00,6.00,7.88,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6066410,3.00,3.00,1.00,3.00,5.00,9.75,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6066429,2.00,5.00,3.00,6.00,5.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6066445,6.00,5.00,4.00,6.00,7.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6066453,6.00,4.00,3.00,5.00,10.00,11.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6066470,3.00,3.00,2.00,5.00,4.00,9.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6066488,7.00,6.00,5.00,6.00,9.00,9.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6066496,3.00,4.00,2.00,1.00,5.00,6.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6066500,2.00,4.00,2.00,3.00,4.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6066518,1.00,3.00,1.00,3.00,3.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6066526,4.00,4.00,1.00,2.00,7.00,7.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6066542,3.00,0.00,2.00,2.00,3.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6066569,5.00,6.00,6.00,1.00,3.00,8.63,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6066577,2.00,4.00,5.00,5.00,5.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6066585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6066593,3.00,2.00,1.00,2.00,5.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6066607,3.00,3.00,2.00,3.00,6.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6066615,2.00,4.00,2.00,2.00,3.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6066623,4.00,5.00,1.00,3.00,4.00,5.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6066631,2.00,5.00,0.00,2.00,7.00,12.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6066640,6.00,6.00,5.00,6.00,8.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6066658,5.00,4.00,0.00,4.00,7.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6066666,6.00,6.00,3.00,3.00,9.00,8.25,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6066682,5.00,6.00,2.00,3.00,9.00,10.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6066690,5.00,5.00,3.00,4.00,7.00,10.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6066704,5.00,4.00,2.00,5.00,9.00,9.38,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6066712,3.00,5.00,3.00,4.00,5.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6066720,2.00,6.00,0.00,2.00,7.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6066739,6.00,6.00,0.00,3.00,8.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6066763,3.00,4.00,2.00,1.00,6.00,8.63,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6066780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6066798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6066801,8.00,8.00,3.00,7.00,9.00,10.13,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6066810,2.00,4.00,3.00,4.00,9.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6066828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6066836,5.00,5.00,2.00,4.00,9.00,11.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6066844,6.00,2.00,2.00,0.00,6.00,8.25,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6066879,6.00,6.00,2.00,6.00,8.00,9.75,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6066887,4.00,2.00,0.00,2.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6066909,5.00,6.00,1.00,7.00,8.00,7.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6066917,6.00,5.00,3.00,5.00,7.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6066925,4.00,3.00,1.00,1.00,5.00,8.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6066950,5.00,5.00,3.00,5.00,8.00,9.75,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6066968,5.00,6.00,1.00,5.00,4.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6066984,6.00,7.00,1.00,6.00,9.00,11.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6066992,2.00,4.00,1.00,2.00,5.00,5.63,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6067000,0.00,4.00,0.00,0.00,0.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6067034,4.00,6.00,3.00,7.00,8.00,10.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6067042,7.00,7.00,4.00,6.00,8.00,9.75,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6067050,6.00,7.00,3.00,6.00,7.00,10.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6067077,4.00,5.00,3.00,5.00,8.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6067085,5.00,7.00,3.00,5.00,7.00,8.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6067093,1.00,4.00,0.00,5.00,6.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6067115,2.00,3.00,1.00,3.00,5.00,7.88,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6067123,2.00,6.00,4.00,5.00,4.00,9.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6067131,5.00,5.00,1.00,7.00,7.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6067140,5.00,6.00,2.00,4.00,8.00,7.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6067166,6.00,3.00,2.00,4.00,7.00,10.50,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6067182,4.00,5.00,0.00,3.00,7.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6067190,4.00,4.00,3.00,6.00,6.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6067204,3.00,3.00,1.00,1.00,5.00,7.13,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6067212,8.00,6.00,4.00,7.00,10.00,11.25,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6067220,5.00,6.00,5.00,4.00,7.00,7.13,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6067239,3.00,4.00,1.00,2.00,5.00,8.63,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6067298,3.00,5.00,3.00,0.00,6.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6067301,9.00,7.00,6.00,3.00,10.00,9.00,4.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6067310,2.00,4.00,0.00,6.00,6.00,NULL,4.00,4.00,2.00,NULL,NULL,'S','N'),(25,6067328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6067344,2.00,4.00,3.00,3.00,5.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6067352,0.00,2.00,0.00,0.00,0.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6067379,7.00,5.00,4.00,7.00,11.00,7.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6067387,1.00,0.00,0.00,3.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6067395,3.00,4.00,2.00,2.00,4.00,8.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6067425,2.00,5.00,2.00,2.00,5.00,9.00,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6067433,4.00,5.00,2.00,6.00,6.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6067450,5.00,7.00,3.00,7.00,9.00,13.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6067468,5.00,4.00,4.00,3.00,9.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6067476,9.00,8.00,7.00,6.00,11.00,12.75,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6067484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6067492,5.00,5.00,6.00,4.00,7.00,8.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6067506,3.00,0.00,1.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6067514,2.00,6.00,1.00,4.00,4.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6067522,5.00,4.00,2.00,6.00,7.00,8.63,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6067530,5.00,5.00,4.00,6.00,8.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6067549,2.00,4.00,2.00,1.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6067565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6067573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6067581,2.00,3.00,0.00,3.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6067603,6.00,4.00,2.00,3.00,5.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6067620,5.00,6.00,4.00,4.00,9.00,10.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6067638,5.00,1.00,3.00,4.00,6.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6067646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6067654,6.00,6.00,3.00,1.00,7.00,9.38,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6067662,3.00,3.00,0.00,1.00,9.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6067670,4.00,3.00,1.00,2.00,5.00,7.50,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6067689,3.00,5.00,4.00,4.00,5.00,7.50,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6067697,9.00,7.00,5.00,6.00,9.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6067700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6067719,4.00,2.00,2.00,3.00,5.00,7.50,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6067727,2.00,4.00,1.00,6.00,5.00,6.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6067735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6067743,6.00,5.00,3.00,3.00,8.00,9.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6067751,2.00,5.00,2.00,3.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,'S','N'),(25,6067778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6067808,4.00,5.00,3.00,6.00,7.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6067832,5.00,5.00,3.00,5.00,8.00,10.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6067840,5.00,6.00,4.00,5.00,7.00,7.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6067859,7.00,7.00,5.00,8.00,9.00,12.75,0.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6067867,7.00,7.00,4.00,4.00,10.00,10.88,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6067875,6.00,5.00,4.00,6.00,6.00,9.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6067883,8.00,8.00,5.00,5.00,8.00,10.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6067905,2.00,6.00,3.00,4.00,6.00,7.88,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6067913,3.00,1.00,0.00,2.00,6.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6067921,7.00,6.00,5.00,7.00,7.00,9.75,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6067930,6.00,3.00,3.00,2.00,8.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6067948,8.00,8.00,3.00,5.00,8.00,10.88,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6067956,2.00,3.00,3.00,1.00,6.00,9.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6067964,4.00,4.00,3.00,6.00,4.00,7.88,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6067972,2.00,3.00,1.00,2.00,5.00,9.38,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6067980,3.00,2.00,2.00,3.00,7.00,4.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6067999,4.00,5.00,0.00,5.00,4.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6068006,3.00,4.00,0.00,5.00,5.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6068014,4.00,4.00,4.00,3.00,9.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6068022,3.00,6.00,0.00,2.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6068030,1.00,2.00,3.00,1.00,0.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6068057,3.00,3.00,2.00,3.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6068065,1.00,4.00,1.00,4.00,5.00,5.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6068073,4.00,7.00,2.00,6.00,9.00,9.75,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6068081,6.00,5.00,1.00,3.00,6.00,9.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6068090,2.00,6.00,1.00,5.00,7.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6068103,4.00,6.00,3.00,4.00,6.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6068111,7.00,4.00,3.00,6.00,8.00,6.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6068120,3.00,5.00,3.00,4.00,2.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6068138,4.00,5.00,1.00,4.00,4.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6068146,3.00,2.00,2.00,1.00,5.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6068162,6.00,5.00,2.00,7.00,9.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6068170,4.00,5.00,3.00,5.00,8.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6068197,9.00,7.00,5.00,6.00,9.00,11.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6068219,4.00,4.00,1.00,2.00,5.00,7.13,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6068227,8.00,7.00,3.00,7.00,11.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6068235,7.00,8.00,3.00,4.00,10.00,9.38,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6068251,7.00,6.00,6.00,7.00,10.00,11.25,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6068260,2.00,3.00,0.00,2.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6068278,1.00,1.00,0.00,3.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6068294,4.00,5.00,3.00,6.00,6.00,9.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6068308,8.00,8.00,5.00,7.00,10.00,9.00,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6068324,0.00,2.00,0.00,3.00,6.00,6.38,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6068332,7.00,5.00,4.00,5.00,4.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6068340,8.00,6.00,5.00,6.00,7.00,9.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6068359,4.00,4.00,0.00,4.00,6.00,11.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6068367,3.00,5.00,2.00,6.00,6.00,10.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6068383,3.00,4.00,0.00,6.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6068391,3.00,5.00,0.00,4.00,4.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6068405,5.00,6.00,2.00,4.00,7.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6068413,1.00,4.00,2.00,2.00,4.00,7.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6068421,4.00,4.00,1.00,3.00,7.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6068448,5.00,7.00,4.00,6.00,7.00,11.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6068464,4.00,5.00,1.00,4.00,7.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6068472,7.00,7.00,7.00,6.00,9.00,10.13,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6068480,5.00,5.00,3.00,4.00,10.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6068502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6068510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6068529,2.00,4.00,1.00,1.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6068537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6068545,3.00,4.00,2.00,4.00,7.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6068553,6.00,7.00,2.00,6.00,8.00,8.25,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6068570,7.00,8.00,4.00,6.00,8.00,9.00,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6068588,6.00,5.00,3.00,5.00,8.00,9.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6068596,3.00,5.00,2.00,6.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6068600,7.00,6.00,3.00,4.00,4.00,6.75,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6068618,6.00,7.00,2.00,6.00,8.00,9.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6068626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6068642,0.00,3.00,3.00,1.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6068650,6.00,6.00,5.00,6.00,9.00,9.00,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6068677,2.00,0.00,1.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6068685,2.00,2.00,3.00,3.00,5.00,8.63,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6068707,4.00,4.00,4.00,2.00,5.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6068715,3.00,6.00,2.00,6.00,5.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6068731,4.00,4.00,1.00,3.00,9.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6068740,2.00,6.00,2.00,4.00,6.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6068758,6.00,3.00,4.00,5.00,8.00,8.25,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6068766,9.00,5.00,5.00,7.00,9.00,9.38,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6068774,7.00,6.00,6.00,4.00,6.00,7.13,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6068782,7.00,7.00,4.00,6.00,11.00,11.25,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6068790,6.00,9.00,3.00,5.00,8.00,10.13,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6068804,1.00,2.00,2.00,3.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6068812,9.00,6.00,2.00,6.00,9.00,8.25,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6068820,5.00,2.00,2.00,4.00,6.00,9.38,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6068839,4.00,4.00,1.00,4.00,6.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6068847,3.00,3.00,2.00,3.00,3.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6068855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6068863,5.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,'S','N'),(25,6068871,2.00,6.00,0.00,3.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6068901,7.00,6.00,3.00,7.00,10.00,13.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6068910,4.00,3.00,2.00,5.00,4.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6068928,3.00,5.00,0.00,2.00,1.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6068936,3.00,5.00,4.00,3.00,8.00,9.38,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6068944,5.00,7.00,3.00,6.00,7.00,8.63,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6068952,8.00,6.00,4.00,4.00,7.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6068960,2.00,4.00,3.00,3.00,5.00,8.63,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6068979,7.00,6.00,7.00,5.00,8.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6068987,4.00,6.00,2.00,2.00,6.00,8.63,1.00,1.00,4.00,NULL,NULL,NULL,'S'),(25,6068995,5.00,4.00,1.00,4.00,7.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6069002,0.00,2.00,0.00,1.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6069010,5.00,6.00,2.00,4.00,5.00,11.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6069029,3.00,3.00,4.00,2.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6069037,2.00,4.00,2.00,1.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6069061,6.00,9.00,7.00,3.00,7.00,9.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6069070,6.00,5.00,4.00,6.00,6.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6069118,3.00,3.00,0.00,2.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6069126,3.00,5.00,1.00,3.00,6.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6069134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6069150,2.00,0.00,1.00,1.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6069169,5.00,4.00,3.00,6.00,6.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6069177,4.00,5.00,2.00,4.00,6.00,9.75,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6069185,3.00,2.00,3.00,1.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6069207,3.00,2.00,2.00,5.00,6.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6069223,4.00,5.00,2.00,6.00,4.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6069231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6069240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6069258,8.00,6.00,2.00,4.00,8.00,10.13,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6069266,3.00,5.00,3.00,4.00,7.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6069274,5.00,8.00,4.00,3.00,8.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6069282,1.00,3.00,1.00,1.00,7.00,6.75,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6069312,5.00,5.00,3.00,3.00,6.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6069320,3.00,3.00,1.00,4.00,3.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6069339,5.00,6.00,2.00,4.00,7.00,8.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6069380,3.00,2.00,1.00,5.00,6.00,9.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6069401,2.00,5.00,1.00,5.00,5.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6069428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6069444,8.00,7.00,1.00,3.00,6.00,10.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6069452,7.00,6.00,3.00,5.00,7.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6069460,5.00,6.00,3.00,1.00,4.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6069479,3.00,6.00,0.00,6.00,7.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6069487,7.00,5.00,2.00,4.00,5.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6069509,2.00,3.00,2.00,5.00,6.00,9.38,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6069525,1.00,6.00,2.00,2.00,5.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6069533,2.00,2.00,2.00,2.00,4.00,7.13,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6069541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6069550,7.00,5.00,5.00,4.00,8.00,8.25,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6069576,3.00,4.00,2.00,2.00,5.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6069592,4.00,5.00,1.00,4.00,5.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6069606,3.00,1.00,2.00,3.00,3.00,7.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6069614,3.00,4.00,2.00,1.00,3.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6069622,5.00,5.00,0.00,5.00,6.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6069630,4.00,2.00,1.00,6.00,9.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6069649,8.00,5.00,3.00,5.00,8.00,6.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6069665,0.00,3.00,0.00,0.00,1.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6069673,6.00,8.00,3.00,6.00,9.00,9.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6069681,3.00,2.00,2.00,4.00,7.00,6.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6069690,8.00,7.00,7.00,6.00,10.00,8.63,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6069703,0.00,5.00,3.00,2.00,5.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6069711,7.00,5.00,2.00,5.00,9.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6069720,4.00,4.00,1.00,5.00,8.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6069738,5.00,7.00,5.00,4.00,5.00,7.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6069746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6069754,2.00,3.00,0.00,3.00,5.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6069762,9.00,7.00,7.00,7.00,9.00,9.75,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6069770,8.00,7.00,5.00,6.00,10.00,10.50,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6069797,2.00,4.00,4.00,4.00,7.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6069800,4.00,5.00,3.00,4.00,3.00,8.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6069819,6.00,7.00,3.00,6.00,9.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6069827,8.00,8.00,6.00,7.00,10.00,14.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6069835,2.00,1.00,1.00,3.00,4.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6069843,3.00,7.00,3.00,4.00,5.00,7.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6069851,5.00,3.00,1.00,3.00,7.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6069860,2.00,3.00,1.00,1.00,4.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6069878,7.00,5.00,2.00,3.00,8.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6069886,9.00,8.00,8.00,6.00,9.00,12.38,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6069894,5.00,7.00,4.00,5.00,9.00,10.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6069908,3.00,4.00,4.00,2.00,4.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6069924,5.00,6.00,3.00,3.00,5.00,9.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6069940,4.00,6.00,4.00,5.00,7.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6069967,4.00,4.00,3.00,6.00,7.00,11.63,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6069975,8.00,9.00,7.00,7.00,10.00,9.38,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6069983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6069991,7.00,4.00,1.00,6.00,7.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6070000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6070027,7.00,5.00,4.00,6.00,9.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6070035,7.00,7.00,1.00,6.00,9.00,10.88,0.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6070051,6.00,5.00,5.00,5.00,6.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6070078,4.00,1.00,1.00,3.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6070108,3.00,4.00,2.00,4.00,6.00,7.88,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6070116,3.00,4.00,3.00,4.00,4.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6070124,2.00,4.00,4.00,2.00,6.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6070132,5.00,8.00,2.00,6.00,6.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6070140,8.00,7.00,3.00,6.00,7.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6070159,4.00,6.00,1.00,3.00,6.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6070167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6070175,6.00,4.00,1.00,4.00,8.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6070183,3.00,5.00,0.00,5.00,8.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6070191,1.00,1.00,0.00,1.00,6.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6070205,1.00,2.00,0.00,0.00,7.00,8.25,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6070248,8.00,7.00,7.00,6.00,8.00,8.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6070264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6070299,7.00,5.00,6.00,7.00,9.00,8.63,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6070302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6070310,6.00,6.00,3.00,4.00,6.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6070329,7.00,6.00,5.00,7.00,9.00,9.38,6.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6070337,7.00,8.00,6.00,5.00,5.00,10.50,4.00,9.00,10.00,NULL,NULL,NULL,'N'),(25,6070353,4.00,6.00,1.00,4.00,4.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6070370,4.00,5.00,1.00,5.00,9.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6070388,7.00,6.00,2.00,6.00,7.00,11.25,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6070396,3.00,6.00,2.00,6.00,6.00,12.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6070400,3.00,3.00,1.00,3.00,5.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6070418,3.00,3.00,1.00,3.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6070426,4.00,6.00,3.00,7.00,9.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6070434,2.00,5.00,2.00,4.00,4.00,6.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6070442,4.00,5.00,0.00,5.00,7.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6070450,9.00,7.00,4.00,7.00,10.00,10.13,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6070469,3.00,2.00,4.00,6.00,8.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6070477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6070493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6070507,2.00,4.00,2.00,2.00,2.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6070515,4.00,5.00,1.00,3.00,5.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6070523,5.00,7.00,3.00,4.00,9.00,11.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6070540,2.00,2.00,0.00,2.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6070566,7.00,8.00,3.00,7.00,10.00,10.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6070582,4.00,7.00,2.00,4.00,8.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6070590,9.00,6.00,5.00,4.00,8.00,8.63,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6070604,4.00,7.00,5.00,5.00,7.00,9.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6070612,2.00,3.00,2.00,1.00,6.00,10.88,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6070620,4.00,5.00,5.00,6.00,8.00,11.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6070639,3.00,2.00,2.00,6.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6070655,4.00,6.00,2.00,5.00,7.00,9.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6070663,3.00,2.00,1.00,5.00,4.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6070671,5.00,2.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6070680,5.00,6.00,5.00,6.00,8.00,8.63,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6070698,3.00,7.00,2.00,1.00,7.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6070701,5.00,5.00,2.00,6.00,7.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6070710,9.00,7.00,6.00,7.00,10.00,10.50,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6070728,7.00,7.00,7.00,7.00,9.00,10.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6070736,7.00,7.00,5.00,6.00,8.00,12.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6070752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6070779,3.00,6.00,2.00,3.00,6.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6070787,5.00,4.00,2.00,7.00,5.00,9.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6070795,4.00,2.00,3.00,5.00,7.00,10.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6070817,3.00,2.00,0.00,4.00,4.00,6.75,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6070841,8.00,5.00,8.00,6.00,8.00,10.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6070850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6070868,2.00,4.00,0.00,3.00,5.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6070884,3.00,7.00,0.00,2.00,7.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6070906,3.00,4.00,0.00,5.00,7.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6070914,7.00,8.00,4.00,6.00,9.00,9.38,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6070922,8.00,7.00,5.00,5.00,8.00,7.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6070930,9.00,6.00,8.00,6.00,8.00,9.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6070957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6070965,2.00,3.00,0.00,4.00,4.00,8.25,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6070973,4.00,5.00,3.00,7.00,8.00,7.88,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6070981,5.00,3.00,3.00,7.00,9.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6070990,3.00,5.00,2.00,2.00,2.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6071007,2.00,2.00,3.00,5.00,4.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6071015,4.00,3.00,1.00,2.00,8.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6071023,3.00,6.00,4.00,6.00,4.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6071040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6071058,1.00,5.00,3.00,2.00,3.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6071074,4.00,4.00,2.00,3.00,9.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6071090,7.00,4.00,4.00,4.00,10.00,9.75,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6071104,4.00,4.00,2.00,4.00,5.00,9.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6071120,7.00,6.00,4.00,6.00,5.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6071139,9.00,8.00,7.00,7.00,9.00,10.50,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6071147,4.00,6.00,0.00,4.00,5.00,7.88,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6071155,3.00,2.00,0.00,1.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6071163,4.00,5.00,1.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6071171,1.00,3.00,0.00,2.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6071198,3.00,4.00,5.00,4.00,7.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6071201,3.00,4.00,3.00,1.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6071210,6.00,4.00,4.00,3.00,8.00,10.13,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6071228,5.00,3.00,1.00,4.00,6.00,7.13,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6071236,3.00,5.00,1.00,4.00,8.00,7.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6071244,7.00,7.00,4.00,7.00,9.00,11.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6071252,7.00,5.00,2.00,2.00,7.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6071260,1.00,3.00,2.00,6.00,6.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6071279,4.00,6.00,2.00,6.00,7.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6071295,0.00,3.00,0.00,0.00,0.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6071309,4.00,5.00,4.00,5.00,8.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6071317,5.00,4.00,0.00,4.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6071325,3.00,6.00,2.00,3.00,7.00,NULL,3.00,4.00,0.00,NULL,NULL,'S','N'),(25,6071333,3.00,3.00,1.00,1.00,7.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6071341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6071350,2.00,5.00,2.00,6.00,7.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6071368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6071376,3.00,5.00,1.00,2.00,4.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6071384,4.00,2.00,0.00,2.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6071392,7.00,5.00,6.00,5.00,7.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6071406,2.00,6.00,5.00,6.00,9.00,11.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6071414,8.00,7.00,7.00,7.00,10.00,12.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6071422,6.00,3.00,1.00,5.00,6.00,NULL,3.00,1.00,3.00,NULL,NULL,'S','N'),(25,6071449,3.00,5.00,0.00,1.00,4.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6071457,6.00,7.00,1.00,6.00,10.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6071465,8.00,7.00,2.00,6.00,9.00,11.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6071473,4.00,5.00,0.00,5.00,3.00,6.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6071481,5.00,6.00,5.00,4.00,5.00,6.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6071490,4.00,4.00,2.00,5.00,7.00,9.38,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6071503,2.00,6.00,1.00,6.00,9.00,8.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6071511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6071520,7.00,8.00,4.00,7.00,10.00,10.13,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6071546,1.00,3.00,1.00,2.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6071554,4.00,5.00,2.00,3.00,8.00,8.63,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6071562,8.00,4.00,5.00,7.00,7.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6071589,5.00,3.00,4.00,3.00,6.00,9.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6071597,2.00,1.00,2.00,4.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6071600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6071619,4.00,6.00,2.00,5.00,7.00,7.50,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6071627,3.00,5.00,1.00,3.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6071635,2.00,5.00,1.00,2.00,4.00,7.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6071643,5.00,6.00,3.00,4.00,4.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6071660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6071678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6071686,3.00,5.00,1.00,3.00,4.00,9.00,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6071694,4.00,5.00,2.00,5.00,6.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6071708,9.00,7.00,3.00,7.00,7.00,6.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6071716,3.00,2.00,4.00,5.00,3.00,10.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6071724,1.00,3.00,1.00,4.00,8.00,12.38,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6071732,3.00,3.00,3.00,5.00,6.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6071740,5.00,5.00,6.00,5.00,6.00,9.00,0.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6071759,8.00,4.00,3.00,6.00,10.00,9.00,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6071767,7.00,6.00,7.00,8.00,8.00,8.63,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6071775,5.00,4.00,3.00,5.00,6.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6071783,1.00,2.00,1.00,1.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6071791,3.00,2.00,0.00,3.00,6.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6071805,7.00,7.00,5.00,6.00,9.00,8.63,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6071813,1.00,4.00,3.00,2.00,4.00,7.13,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6071821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6071830,6.00,5.00,3.00,2.00,7.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6071848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6071856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6071864,2.00,3.00,2.00,3.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6071872,1.00,4.00,2.00,0.00,5.00,9.38,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6071899,5.00,5.00,0.00,6.00,7.00,7.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6071902,6.00,7.00,5.00,2.00,4.00,12.38,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6071910,4.00,8.00,2.00,7.00,6.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6071929,7.00,8.00,0.00,6.00,7.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6071937,5.00,6.00,3.00,6.00,6.00,12.38,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6071945,6.00,5.00,1.00,7.00,8.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6071953,6.00,7.00,3.00,4.00,7.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6071961,7.00,6.00,3.00,5.00,7.00,12.00,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6071970,4.00,5.00,2.00,6.00,5.00,11.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6071988,7.00,6.00,1.00,3.00,8.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6071996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6072003,6.00,7.00,3.00,7.00,10.00,7.13,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6072011,7.00,8.00,6.00,7.00,8.00,9.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6072038,2.00,3.00,1.00,1.00,7.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6072046,5.00,5.00,1.00,4.00,9.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6072054,2.00,4.00,1.00,3.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6072062,5.00,2.00,2.00,1.00,5.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6072070,2.00,4.00,2.00,3.00,6.00,9.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6072089,3.00,2.00,1.00,3.00,5.00,8.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6072097,3.00,4.00,0.00,6.00,7.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6072100,6.00,6.00,7.00,6.00,6.00,10.88,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6072119,7.00,6.00,4.00,6.00,7.00,7.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6072127,0.00,4.00,4.00,2.00,7.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6072135,5.00,5.00,0.00,3.00,5.00,9.38,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6072160,9.00,6.00,4.00,5.00,9.00,10.88,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6072178,6.00,5.00,2.00,7.00,8.00,9.38,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6072186,2.00,5.00,0.00,2.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6072216,3.00,1.00,0.00,3.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6072224,3.00,5.00,1.00,3.00,5.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6072232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6072240,7.00,7.00,8.00,7.00,11.00,10.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6072259,4.00,3.00,2.00,1.00,5.00,6.75,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6072275,8.00,7.00,1.00,3.00,6.00,8.25,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6072283,5.00,3.00,2.00,7.00,8.00,11.63,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6072291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6072305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6072313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6072321,4.00,3.00,0.00,3.00,6.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6072330,5.00,7.00,1.00,6.00,7.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6072348,2.00,3.00,1.00,3.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6072356,5.00,4.00,2.00,7.00,9.00,5.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6072364,6.00,7.00,5.00,6.00,8.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6072380,3.00,5.00,0.00,3.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6072399,2.00,4.00,0.00,4.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6072402,3.00,5.00,1.00,2.00,4.00,4.50,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6072410,4.00,6.00,2.00,3.00,7.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6072429,6.00,5.00,3.00,5.00,6.00,7.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6072437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6072445,3.00,6.00,1.00,3.00,4.00,6.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6072461,3.00,4.00,1.00,3.00,7.00,5.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6072470,4.00,6.00,2.00,6.00,7.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6072488,5.00,4.00,2.00,7.00,6.00,9.00,1.00,1.00,8.00,NULL,NULL,NULL,'N'),(25,6072496,3.00,4.00,3.00,4.00,7.00,12.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6072500,2.00,4.00,0.00,1.00,8.00,8.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6072518,1.00,4.00,1.00,2.00,7.00,9.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6072534,5.00,5.00,3.00,3.00,5.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6072542,4.00,7.00,4.00,6.00,7.00,8.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6072550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6072569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6072593,6.00,8.00,3.00,6.00,7.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6072607,4.00,4.00,0.00,1.00,4.00,8.63,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6072615,5.00,6.00,4.00,7.00,9.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6072623,3.00,5.00,1.00,3.00,7.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6072658,8.00,6.00,4.00,6.00,7.00,11.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6072666,4.00,7.00,3.00,6.00,8.00,9.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6072674,5.00,5.00,4.00,7.00,8.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6072682,3.00,6.00,2.00,6.00,7.00,6.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6072690,5.00,6.00,3.00,4.00,8.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6072704,7.00,7.00,1.00,4.00,10.00,9.75,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6072712,7.00,6.00,4.00,4.00,7.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6072720,4.00,7.00,3.00,4.00,5.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6072739,2.00,4.00,2.00,2.00,3.00,5.25,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6072747,4.00,3.00,0.00,4.00,6.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6072755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6072763,3.00,2.00,1.00,3.00,6.00,6.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6072798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6072801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6072810,4.00,4.00,0.00,5.00,4.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6072828,3.00,4.00,3.00,7.00,5.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6072836,6.00,8.00,4.00,6.00,8.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6072879,2.00,5.00,3.00,1.00,5.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6072887,7.00,6.00,2.00,3.00,9.00,12.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6072895,2.00,5.00,1.00,3.00,7.00,7.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6072909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6072917,6.00,7.00,4.00,7.00,10.00,9.38,0.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6072925,2.00,3.00,1.00,2.00,3.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6072933,5.00,6.00,4.00,6.00,5.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6072941,0.00,2.00,0.00,0.00,0.00,NULL,1.00,2.00,2.00,'S',NULL,NULL,'S'),(25,6072950,5.00,6.00,2.00,4.00,6.00,9.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6072968,5.00,4.00,4.00,6.00,8.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6072984,2.00,3.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6072992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6073000,2.00,4.00,2.00,2.00,5.00,6.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6073018,8.00,8.00,8.00,6.00,9.00,11.63,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6073026,6.00,6.00,5.00,4.00,9.00,9.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6073042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6073050,3.00,7.00,3.00,4.00,6.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6073069,3.00,3.00,2.00,0.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6073077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6073093,1.00,4.00,2.00,3.00,3.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6073107,3.00,4.00,1.00,3.00,4.00,9.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6073115,3.00,4.00,0.00,1.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6073123,5.00,4.00,3.00,3.00,6.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6073131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6073140,2.00,3.00,1.00,3.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6073158,1.00,4.00,1.00,3.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6073166,4.00,7.00,4.00,1.00,6.00,6.00,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6073174,7.00,5.00,4.00,4.00,8.00,9.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6073190,5.00,6.00,0.00,4.00,7.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6073204,7.00,6.00,5.00,5.00,9.00,9.38,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6073220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6073239,2.00,0.00,1.00,4.00,4.00,7.88,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6073247,4.00,4.00,1.00,2.00,6.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6073255,7.00,6.00,6.00,7.00,10.00,9.38,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6073263,1.00,4.00,1.00,2.00,7.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6073271,4.00,5.00,0.00,6.00,5.00,7.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6073298,5.00,6.00,6.00,4.00,8.00,9.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6073301,4.00,6.00,3.00,4.00,7.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6073310,5.00,5.00,4.00,7.00,7.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6073336,6.00,5.00,3.00,2.00,6.00,5.25,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6073352,5.00,5.00,2.00,4.00,7.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6073360,2.00,5.00,3.00,1.00,5.00,10.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6073379,6.00,4.00,3.00,6.00,8.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6073387,4.00,6.00,0.00,6.00,8.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6073395,2.00,1.00,1.00,2.00,4.00,4.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6073409,6.00,8.00,6.00,4.00,8.00,11.25,1.00,4.00,9.00,NULL,NULL,NULL,'S'),(25,6073417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6073425,6.00,6.00,7.00,6.00,10.00,12.75,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6073433,4.00,4.00,1.00,3.00,9.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6073441,6.00,6.00,2.00,6.00,7.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6073450,3.00,5.00,5.00,5.00,5.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6073476,2.00,5.00,1.00,4.00,5.00,6.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6073492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6073506,4.00,5.00,1.00,6.00,8.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6073514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6073522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6073530,7.00,7.00,5.00,6.00,9.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6073557,8.00,5.00,6.00,5.00,8.00,9.00,1.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6073565,5.00,4.00,3.00,7.00,2.00,NULL,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6073573,2.00,4.00,2.00,2.00,7.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6073581,2.00,4.00,4.00,1.00,6.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6073603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6073620,4.00,6.00,2.00,0.00,3.00,6.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6073638,7.00,6.00,5.00,4.00,8.00,10.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6073646,1.00,4.00,1.00,0.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6073654,5.00,6.00,2.00,4.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6073670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6073689,3.00,4.00,6.00,6.00,5.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6073700,2.00,3.00,3.00,1.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6073719,5.00,4.00,3.00,4.00,5.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6073743,5.00,4.00,3.00,2.00,4.00,6.38,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6073760,2.00,3.00,2.00,1.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6073778,5.00,8.00,6.00,7.00,9.00,11.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6073794,2.00,5.00,4.00,4.00,7.00,9.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6073808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6073816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6073824,5.00,6.00,4.00,5.00,6.00,9.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6073832,4.00,3.00,2.00,3.00,5.00,10.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6073840,8.00,6.00,2.00,2.00,9.00,9.75,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6073859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6073867,2.00,3.00,2.00,4.00,6.00,7.13,2.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6073875,2.00,3.00,3.00,2.00,6.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6073883,1.00,2.00,4.00,1.00,3.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6073891,2.00,7.00,3.00,3.00,4.00,7.13,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6073905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6073913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6073921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6073930,6.00,4.00,1.00,7.00,7.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6073948,4.00,6.00,6.00,6.00,6.00,7.88,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6073956,1.00,1.00,0.00,0.00,1.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6073980,6.00,7.00,3.00,4.00,6.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6074006,5.00,7.00,3.00,4.00,7.00,7.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6074014,4.00,4.00,4.00,6.00,8.00,10.13,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6074022,1.00,3.00,1.00,0.00,3.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6074049,6.00,6.00,3.00,6.00,8.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6074057,0.00,3.00,4.00,7.00,7.00,9.38,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6074065,4.00,4.00,0.00,1.00,5.00,0.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6074073,6.00,7.00,1.00,7.00,5.00,9.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6074081,4.00,5.00,2.00,6.00,4.00,10.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6074090,4.00,4.00,1.00,5.00,7.00,7.13,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6074103,4.00,5.00,3.00,3.00,6.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6074111,6.00,5.00,2.00,5.00,8.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6074120,4.00,5.00,2.00,4.00,6.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6074138,6.00,7.00,5.00,6.00,8.00,10.50,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6074146,4.00,3.00,3.00,5.00,7.00,6.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6074154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6074162,5.00,6.00,1.00,3.00,4.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6074189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6074197,3.00,5.00,0.00,2.00,10.00,10.13,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6074200,6.00,6.00,6.00,7.00,9.00,9.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6074219,3.00,5.00,1.00,2.00,7.00,6.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6074227,2.00,4.00,2.00,4.00,4.00,9.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6074235,3.00,6.00,4.00,5.00,7.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6074243,3.00,4.00,1.00,5.00,5.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6074251,4.00,4.00,1.00,5.00,4.00,10.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6074260,7.00,6.00,4.00,5.00,8.00,7.50,1.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6074278,6.00,4.00,1.00,7.00,9.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6074294,3.00,3.00,2.00,2.00,5.00,3.38,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6074308,9.00,6.00,5.00,7.00,10.00,12.75,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6074316,3.00,4.00,2.00,2.00,5.00,8.25,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6074324,3.00,4.00,2.00,7.00,4.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6074332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6074340,6.00,5.00,3.00,5.00,7.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6074359,3.00,5.00,0.00,2.00,5.00,5.25,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6074367,3.00,2.00,1.00,2.00,5.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6074375,2.00,4.00,2.00,2.00,7.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6074405,4.00,5.00,2.00,3.00,8.00,10.50,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6074413,4.00,3.00,2.00,4.00,3.00,6.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6074421,5.00,7.00,4.00,5.00,8.00,7.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6074430,6.00,7.00,1.00,2.00,9.00,10.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6074456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6074480,5.00,5.00,3.00,7.00,10.00,9.38,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6074499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6074502,5.00,7.00,3.00,7.00,6.00,9.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6074510,8.00,6.00,3.00,6.00,8.00,8.63,0.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6074529,6.00,5.00,3.00,5.00,6.00,10.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6074537,7.00,5.00,5.00,6.00,9.00,8.63,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6074545,4.00,6.00,3.00,4.00,4.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6074553,2.00,7.00,7.00,6.00,7.00,9.75,1.00,8.00,5.00,NULL,NULL,NULL,'S'),(25,6074561,1.00,1.00,2.00,3.00,6.00,6.38,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6074570,6.00,5.00,1.00,6.00,6.00,9.38,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(25,6074588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6074600,8.00,6.00,8.00,6.00,9.00,9.00,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6074618,0.00,3.00,2.00,2.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6074626,4.00,4.00,3.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6074634,1.00,2.00,2.00,4.00,3.00,4.50,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6074642,6.00,6.00,4.00,4.00,6.00,7.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6074650,2.00,5.00,4.00,2.00,4.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6074669,4.00,5.00,3.00,5.00,6.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6074677,5.00,4.00,2.00,3.00,6.00,7.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6074685,6.00,5.00,2.00,3.00,9.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6074693,3.00,1.00,1.00,2.00,4.00,0.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6074707,7.00,6.00,5.00,4.00,8.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6074715,5.00,7.00,2.00,3.00,6.00,7.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6074723,0.00,3.00,0.00,1.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6074731,4.00,5.00,1.00,4.00,8.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6074740,5.00,3.00,0.00,7.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,'S','N'),(25,6074766,4.00,2.00,0.00,3.00,6.00,8.63,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6074774,8.00,8.00,6.00,6.00,9.00,8.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6074782,2.00,3.00,1.00,4.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6074790,8.00,6.00,6.00,7.00,9.00,9.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6074812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6074820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6074839,6.00,5.00,1.00,5.00,7.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6074847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6074855,7.00,6.00,2.00,4.00,9.00,9.75,0.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6074863,8.00,6.00,3.00,6.00,8.00,10.88,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6074871,8.00,6.00,5.00,6.00,9.00,NULL,0.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6074880,4.00,6.00,4.00,4.00,9.00,9.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6074898,5.00,3.00,0.00,3.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6074901,2.00,0.00,2.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6074910,6.00,7.00,8.00,7.00,7.00,9.00,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6074928,1.00,5.00,0.00,2.00,5.00,10.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6074936,7.00,7.00,6.00,5.00,9.00,8.63,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6074944,6.00,5.00,1.00,6.00,9.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6074952,8.00,6.00,3.00,7.00,8.00,0.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6074960,7.00,6.00,4.00,5.00,9.00,6.38,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6074979,6.00,4.00,4.00,7.00,10.00,12.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6074995,2.00,4.00,1.00,3.00,6.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6075002,6.00,7.00,4.00,2.00,7.00,7.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6075010,5.00,4.00,2.00,4.00,9.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6075037,4.00,4.00,4.00,7.00,6.00,9.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6075045,4.00,4.00,1.00,2.00,3.00,4.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6075053,5.00,8.00,6.00,7.00,9.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6075070,3.00,4.00,1.00,4.00,3.00,8.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6075088,4.00,4.00,2.00,3.00,8.00,8.25,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6075096,2.00,4.00,0.00,2.00,3.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6075100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6075126,6.00,6.00,2.00,1.00,7.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6075134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6075142,9.00,7.00,5.00,6.00,10.00,11.25,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6075177,9.00,7.00,8.00,6.00,9.00,11.63,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6075185,3.00,4.00,2.00,5.00,7.00,7.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6075193,4.00,3.00,5.00,2.00,7.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6075207,1.00,3.00,3.00,5.00,5.00,7.88,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6075223,5.00,6.00,1.00,6.00,9.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6075258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6075266,7.00,8.00,7.00,6.00,6.00,9.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6075274,5.00,4.00,2.00,3.00,8.00,7.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6075290,4.00,5.00,2.00,2.00,5.00,8.25,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6075304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6075312,3.00,4.00,0.00,2.00,6.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6075339,3.00,2.00,2.00,0.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6075355,2.00,0.00,3.00,2.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6075363,8.00,7.00,4.00,5.00,7.00,10.13,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6075371,3.00,7.00,4.00,6.00,7.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6075380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6075398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6075428,5.00,6.00,3.00,3.00,6.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6075436,6.00,7.00,3.00,4.00,9.00,11.25,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6075444,4.00,4.00,2.00,7.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6075479,6.00,6.00,5.00,6.00,8.00,10.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6075487,3.00,2.00,3.00,3.00,5.00,6.75,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6075495,3.00,6.00,5.00,5.00,8.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6075509,4.00,5.00,3.00,7.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6075517,1.00,6.00,3.00,4.00,6.00,9.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6075525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6075533,3.00,0.00,1.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6075541,1.00,4.00,0.00,0.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6075550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6075568,4.00,4.00,0.00,3.00,5.00,8.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6075576,5.00,5.00,1.00,6.00,7.00,9.00,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6075584,8.00,8.00,6.00,7.00,11.00,9.38,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6075592,4.00,4.00,6.00,5.00,3.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6075606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6075614,8.00,7.00,3.00,1.00,9.00,7.50,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6075622,7.00,7.00,2.00,6.00,7.00,7.13,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6075630,5.00,5.00,3.00,6.00,10.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6075657,3.00,3.00,3.00,2.00,4.00,8.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6075665,3.00,4.00,4.00,7.00,8.00,7.13,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6075673,7.00,5.00,2.00,7.00,9.00,9.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6075681,7.00,7.00,4.00,6.00,10.00,9.75,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6075690,5.00,4.00,2.00,3.00,7.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6075703,2.00,5.00,1.00,4.00,4.00,9.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6075720,3.00,3.00,1.00,2.00,6.00,7.50,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6075738,4.00,3.00,2.00,2.00,6.00,5.63,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6075746,7.00,6.00,7.00,7.00,8.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6075754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6075770,6.00,4.00,1.00,3.00,6.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6075789,4.00,4.00,3.00,3.00,5.00,9.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6075797,5.00,7.00,2.00,7.00,8.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6075800,7.00,7.00,1.00,6.00,10.00,9.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6075827,3.00,5.00,0.00,3.00,7.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6075835,6.00,6.00,5.00,4.00,9.00,12.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6075843,2.00,3.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6075851,4.00,4.00,2.00,4.00,8.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6075860,5.00,7.00,2.00,3.00,5.00,6.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6075878,3.00,4.00,2.00,5.00,9.00,9.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6075908,3.00,6.00,0.00,2.00,6.00,7.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6075916,6.00,5.00,1.00,4.00,7.00,8.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6075924,7.00,7.00,0.00,5.00,8.00,6.75,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6075932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6075940,4.00,6.00,1.00,6.00,8.00,10.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6075959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6075975,6.00,4.00,4.00,6.00,8.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6075991,4.00,3.00,2.00,4.00,3.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6076009,8.00,7.00,3.00,7.00,9.00,12.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6076017,9.00,8.00,5.00,7.00,10.00,10.88,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6076025,1.00,2.00,0.00,2.00,4.00,7.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6076033,2.00,5.00,1.00,2.00,5.00,8.63,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6076041,5.00,7.00,4.00,6.00,6.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6076050,1.00,4.00,2.00,2.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6076068,6.00,7.00,2.00,4.00,6.00,9.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6076076,7.00,7.00,4.00,4.00,6.00,11.25,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6076084,5.00,6.00,4.00,3.00,10.00,10.13,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6076114,7.00,5.00,1.00,7.00,7.00,8.25,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6076122,8.00,6.00,1.00,0.00,8.00,7.13,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6076130,4.00,7.00,2.00,2.00,5.00,4.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6076149,3.00,2.00,3.00,3.00,5.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6076157,7.00,6.00,3.00,3.00,8.00,7.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6076165,8.00,9.00,8.00,5.00,10.00,10.88,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6076173,7.00,3.00,2.00,4.00,8.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6076190,4.00,4.00,0.00,3.00,7.00,5.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6076203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6076211,5.00,8.00,1.00,6.00,7.00,8.25,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6076220,6.00,6.00,3.00,2.00,7.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6076254,6.00,7.00,2.00,4.00,8.00,10.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6076262,1.00,3.00,2.00,6.00,7.00,9.75,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6076297,3.00,2.00,1.00,4.00,5.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6076300,3.00,2.00,1.00,2.00,7.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6076319,2.00,1.00,1.00,3.00,4.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6076327,7.00,7.00,6.00,6.00,10.00,10.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6076343,2.00,4.00,4.00,3.00,4.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6076360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6076378,6.00,5.00,1.00,7.00,7.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6076386,7.00,5.00,6.00,3.00,7.00,9.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6076394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6076408,6.00,3.00,3.00,5.00,8.00,6.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6076416,7.00,4.00,5.00,2.00,8.00,6.00,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6076424,7.00,7.00,5.00,8.00,9.00,7.13,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6076432,4.00,4.00,2.00,4.00,8.00,9.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6076440,3.00,6.00,2.00,5.00,7.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6076459,3.00,2.00,1.00,2.00,4.00,4.50,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6076467,2.00,4.00,0.00,4.00,4.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6076475,3.00,3.00,2.00,2.00,3.00,6.00,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6076483,2.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6076491,7.00,7.00,4.00,6.00,9.00,10.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6076521,4.00,4.00,1.00,3.00,6.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6076548,2.00,4.00,5.00,6.00,8.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6076556,3.00,4.00,1.00,5.00,9.00,NULL,2.00,0.00,6.00,NULL,NULL,NULL,'N'),(25,6076564,7.00,4.00,3.00,7.00,10.00,10.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6076572,2.00,4.00,2.00,2.00,4.00,6.38,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6076580,8.00,7.00,4.00,6.00,9.00,5.63,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6076599,1.00,4.00,4.00,2.00,6.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6076602,5.00,6.00,3.00,7.00,8.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6076629,5.00,4.00,3.00,7.00,9.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6076637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6076645,5.00,7.00,6.00,6.00,10.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6076653,4.00,4.00,1.00,3.00,6.00,6.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6076661,5.00,3.00,1.00,6.00,10.00,11.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6076670,4.00,4.00,2.00,3.00,4.00,8.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6076688,3.00,2.00,2.00,3.00,6.00,10.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6076696,7.00,5.00,4.00,4.00,7.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6076700,4.00,6.00,3.00,6.00,6.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6076718,4.00,5.00,0.00,5.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6076726,7.00,7.00,7.00,7.00,9.00,12.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6076734,4.00,7.00,0.00,3.00,6.00,9.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6076742,1.00,2.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6076769,2.00,4.00,2.00,4.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6076777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6076793,3.00,5.00,2.00,5.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6076815,7.00,5.00,3.00,4.00,7.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6076823,6.00,6.00,3.00,4.00,9.00,9.75,0.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6076840,6.00,6.00,4.00,6.00,8.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6076858,8.00,5.00,5.00,7.00,7.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6076866,2.00,3.00,1.00,3.00,7.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6076874,6.00,6.00,3.00,5.00,7.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6076882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6076904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6076912,2.00,3.00,2.00,3.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6076920,6.00,4.00,2.00,5.00,9.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6076939,3.00,4.00,2.00,1.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6076955,7.00,4.00,6.00,5.00,7.00,7.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6076963,3.00,6.00,1.00,6.00,7.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6076971,8.00,6.00,6.00,6.00,7.00,9.38,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6076980,5.00,5.00,0.00,3.00,8.00,7.88,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6077005,4.00,6.00,2.00,4.00,9.00,12.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6077013,5.00,6.00,5.00,2.00,7.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6077021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6077048,6.00,6.00,1.00,5.00,4.00,12.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6077056,6.00,6.00,3.00,5.00,7.00,10.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6077064,2.00,6.00,3.00,5.00,6.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6077072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6077080,1.00,5.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6077099,1.00,6.00,0.00,0.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6077102,4.00,0.00,3.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6077110,4.00,4.00,3.00,4.00,5.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6077129,6.00,6.00,1.00,4.00,6.00,9.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6077137,8.00,6.00,5.00,6.00,10.00,10.13,1.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6077145,3.00,3.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6077153,4.00,5.00,2.00,5.00,4.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6077170,6.00,5.00,4.00,7.00,8.00,9.38,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6077188,6.00,7.00,2.00,7.00,11.00,7.88,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6077196,1.00,3.00,1.00,0.00,5.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6077200,2.00,0.00,0.00,4.00,6.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6077218,3.00,4.00,0.00,5.00,9.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6077226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6077234,3.00,6.00,3.00,4.00,10.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6077242,5.00,6.00,1.00,4.00,6.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6077250,7.00,5.00,4.00,5.00,6.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6077269,2.00,7.00,1.00,2.00,7.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6077277,4.00,4.00,3.00,3.00,4.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6077285,3.00,4.00,2.00,4.00,5.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6077293,5.00,7.00,2.00,5.00,9.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6077315,1.00,0.00,2.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6077323,7.00,6.00,4.00,6.00,7.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6077331,3.00,3.00,3.00,1.00,5.00,0.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6077340,6.00,7.00,2.00,6.00,7.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6077358,5.00,5.00,4.00,7.00,8.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6077374,0.00,5.00,0.00,3.00,4.00,9.75,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6077390,4.00,7.00,1.00,3.00,6.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6077404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6077412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6077439,4.00,5.00,2.00,0.00,3.00,6.38,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6077447,3.00,4.00,2.00,4.00,8.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6077463,6.00,7.00,0.00,5.00,9.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6077471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6077480,2.00,6.00,1.00,1.00,4.00,9.00,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6077498,8.00,7.00,4.00,7.00,9.00,11.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6077501,7.00,9.00,8.00,6.00,10.00,8.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6077510,3.00,4.00,4.00,3.00,3.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6077528,4.00,6.00,2.00,4.00,6.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6077536,6.00,7.00,3.00,5.00,8.00,7.88,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6077552,4.00,8.00,0.00,3.00,4.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6077560,2.00,4.00,0.00,1.00,1.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6077579,5.00,6.00,4.00,3.00,10.00,7.13,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6077587,2.00,5.00,3.00,5.00,6.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6077595,1.00,2.00,1.00,5.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6077617,7.00,5.00,3.00,6.00,10.00,8.25,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6077625,3.00,3.00,0.00,5.00,8.00,8.25,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6077633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6077641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6077650,2.00,2.00,2.00,3.00,6.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6077668,8.00,7.00,7.00,7.00,8.00,12.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6077684,8.00,8.00,1.00,6.00,8.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6077692,5.00,4.00,2.00,5.00,9.00,9.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6077706,9.00,5.00,5.00,6.00,7.00,10.88,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6077714,4.00,2.00,1.00,0.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6077722,4.00,5.00,2.00,4.00,8.00,9.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6077730,4.00,5.00,1.00,4.00,7.00,5.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6077749,8.00,4.00,4.00,7.00,10.00,11.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6077757,7.00,4.00,5.00,5.00,8.00,7.13,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6077765,4.00,2.00,2.00,4.00,7.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6077781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6077803,1.00,3.00,1.00,0.00,6.00,6.75,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6077811,5.00,4.00,0.00,5.00,8.00,9.38,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6077820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6077838,4.00,7.00,4.00,6.00,4.00,7.50,0.00,7.00,0.00,NULL,NULL,NULL,'N'),(25,6077854,8.00,6.00,5.00,6.00,9.00,9.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6077889,4.00,5.00,1.00,1.00,8.00,10.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6077897,6.00,3.00,4.00,6.00,6.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6077900,5.00,5.00,6.00,6.00,4.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6077919,2.00,6.00,0.00,5.00,6.00,8.63,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6077927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6077943,9.00,7.00,6.00,6.00,8.00,NULL,0.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6077951,8.00,8.00,3.00,8.00,10.00,9.38,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6077978,3.00,2.00,0.00,3.00,7.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6077986,3.00,4.00,1.00,3.00,4.00,8.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6077994,5.00,5.00,4.00,5.00,9.00,10.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6078001,4.00,6.00,3.00,4.00,5.00,5.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6078010,5.00,2.00,3.00,4.00,7.00,9.00,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6078028,5.00,6.00,3.00,7.00,7.00,8.63,3.00,2.00,6.00,NULL,NULL,NULL,'S'),(25,6078044,2.00,5.00,2.00,5.00,9.00,6.75,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6078052,3.00,6.00,2.00,7.00,6.00,8.25,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6078060,2.00,5.00,3.00,7.00,7.00,9.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6078079,3.00,0.00,3.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6078095,6.00,6.00,3.00,4.00,7.00,10.13,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6078109,4.00,4.00,2.00,3.00,4.00,7.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6078117,7.00,6.00,3.00,5.00,8.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6078125,3.00,3.00,0.00,5.00,5.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6078133,2.00,2.00,1.00,3.00,3.00,9.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6078141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6078150,4.00,5.00,2.00,5.00,5.00,7.88,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6078168,6.00,7.00,4.00,6.00,8.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6078176,3.00,7.00,3.00,4.00,7.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6078184,1.00,6.00,1.00,1.00,7.00,9.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6078192,4.00,6.00,2.00,6.00,7.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6078206,7.00,4.00,1.00,4.00,9.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6078214,4.00,2.00,1.00,1.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6078222,6.00,6.00,3.00,4.00,8.00,7.13,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6078230,2.00,2.00,1.00,2.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6078257,8.00,4.00,4.00,5.00,8.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6078273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6078281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6078290,2.00,3.00,2.00,3.00,4.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6078303,7.00,5.00,2.00,5.00,9.00,13.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6078311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6078320,3.00,4.00,2.00,4.00,4.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6078338,4.00,5.00,5.00,5.00,8.00,9.75,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6078346,3.00,4.00,2.00,0.00,4.00,7.13,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6078354,1.00,1.00,2.00,3.00,5.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6078389,5.00,6.00,3.00,7.00,10.00,8.25,4.00,7.00,7.00,NULL,NULL,NULL,'S'),(25,6078397,2.00,0.00,0.00,2.00,4.00,7.13,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6078419,2.00,5.00,4.00,5.00,7.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6078427,3.00,2.00,0.00,2.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6078435,5.00,6.00,4.00,5.00,9.00,7.13,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6078443,5.00,3.00,1.00,3.00,5.00,8.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6078451,5.00,7.00,6.00,5.00,6.00,10.13,0.00,3.00,9.00,NULL,NULL,NULL,'N'),(25,6078460,8.00,8.00,8.00,7.00,10.00,11.25,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6078478,8.00,8.00,8.00,7.00,9.00,11.63,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6078486,6.00,6.00,2.00,7.00,8.00,11.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6078494,5.00,6.00,2.00,6.00,9.00,6.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6078508,3.00,4.00,1.00,3.00,6.00,8.63,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6078524,5.00,6.00,2.00,5.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6078532,4.00,5.00,2.00,4.00,7.00,NULL,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6078559,6.00,4.00,1.00,4.00,8.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6078575,2.00,4.00,2.00,3.00,5.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6078583,4.00,6.00,1.00,6.00,6.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6078591,3.00,4.00,0.00,4.00,6.00,5.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6078605,8.00,4.00,5.00,7.00,6.00,8.63,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6078613,4.00,5.00,7.00,5.00,7.00,7.88,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6078621,5.00,5.00,2.00,7.00,7.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6078630,6.00,6.00,3.00,5.00,10.00,6.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6078648,2.00,5.00,2.00,4.00,5.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6078656,5.00,6.00,0.00,3.00,8.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6078664,7.00,6.00,4.00,6.00,9.00,11.63,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6078680,5.00,5.00,4.00,7.00,7.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6078699,1.00,5.00,2.00,4.00,8.00,9.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6078702,4.00,6.00,4.00,5.00,4.00,0.00,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6078745,3.00,5.00,1.00,5.00,8.00,6.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6078753,9.00,7.00,4.00,7.00,10.00,10.88,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6078770,6.00,6.00,3.00,5.00,8.00,11.25,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6078788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6078800,7.00,6.00,4.00,6.00,9.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6078818,3.00,0.00,2.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6078834,4.00,5.00,1.00,7.00,9.00,12.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6078842,3.00,5.00,1.00,7.00,6.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6078850,5.00,4.00,4.00,2.00,7.00,8.25,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6078869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6078885,6.00,7.00,4.00,6.00,8.00,8.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6078893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6078907,2.00,4.00,1.00,7.00,5.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6078915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6078923,2.00,3.00,2.00,2.00,5.00,7.50,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6078931,8.00,8.00,6.00,7.00,10.00,12.75,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6078940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6078958,7.00,6.00,4.00,5.00,6.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6078966,6.00,3.00,2.00,6.00,6.00,8.63,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6078974,7.00,5.00,5.00,4.00,7.00,7.13,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6078982,5.00,5.00,7.00,3.00,8.00,9.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6079008,4.00,5.00,2.00,0.00,5.00,10.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6079016,1.00,3.00,2.00,4.00,4.00,8.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6079024,8.00,6.00,5.00,5.00,9.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6079032,5.00,5.00,2.00,3.00,6.00,10.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6079040,8.00,7.00,6.00,4.00,8.00,9.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6079059,8.00,7.00,8.00,7.00,7.00,9.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6079067,6.00,8.00,3.00,3.00,9.00,9.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6079075,4.00,3.00,5.00,4.00,4.00,6.38,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6079083,4.00,7.00,1.00,6.00,7.00,10.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6079091,5.00,5.00,3.00,3.00,7.00,7.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6079105,3.00,2.00,1.00,3.00,6.00,8.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6079121,5.00,3.00,0.00,3.00,6.00,8.63,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6079148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6079156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6079164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6079172,5.00,5.00,1.00,7.00,7.00,9.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6079199,9.00,6.00,6.00,7.00,8.00,12.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6079202,9.00,8.00,6.00,7.00,8.00,10.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6079237,7.00,7.00,0.00,5.00,9.00,10.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6079245,3.00,3.00,1.00,2.00,4.00,8.25,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6079253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6079261,2.00,3.00,0.00,5.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6079270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6079288,8.00,7.00,4.00,6.00,8.00,9.38,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6079296,2.00,2.00,2.00,2.00,4.00,6.75,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6079326,5.00,7.00,0.00,5.00,8.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6079350,1.00,4.00,2.00,2.00,3.00,6.75,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6079369,4.00,6.00,3.00,6.00,8.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6079377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6079393,2.00,6.00,2.00,4.00,4.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6079407,3.00,5.00,0.00,3.00,7.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6079415,4.00,5.00,2.00,7.00,6.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6079431,5.00,8.00,6.00,6.00,10.00,10.13,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6079440,6.00,5.00,4.00,6.00,9.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6079458,4.00,3.00,2.00,5.00,3.00,7.88,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6079466,3.00,5.00,2.00,3.00,7.00,8.25,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6079474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6079482,4.00,7.00,1.00,4.00,8.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6079504,3.00,2.00,1.00,2.00,5.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6079512,8.00,4.00,4.00,5.00,7.00,NULL,2.00,0.00,7.00,NULL,NULL,NULL,'N'),(25,6079520,4.00,5.00,0.00,5.00,7.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6079539,3.00,3.00,1.00,3.00,5.00,6.75,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6079555,4.00,7.00,3.00,4.00,9.00,10.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6079563,6.00,4.00,4.00,6.00,9.00,12.00,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6079571,2.00,3.00,2.00,2.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6079580,6.00,4.00,4.00,4.00,7.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6079598,3.00,5.00,3.00,4.00,5.00,8.25,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6079601,2.00,3.00,0.00,2.00,4.00,5.25,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6079610,5.00,6.00,2.00,5.00,9.00,9.00,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6079636,5.00,4.00,1.00,3.00,8.00,6.75,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6079644,2.00,2.00,2.00,2.00,3.00,7.50,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6079660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6079679,8.00,4.00,2.00,7.00,6.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6079687,1.00,4.00,0.00,3.00,5.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6079709,5.00,3.00,4.00,5.00,6.00,8.25,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6079717,5.00,6.00,2.00,5.00,5.00,8.25,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6079733,3.00,6.00,2.00,5.00,8.00,11.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6079741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6079750,4.00,6.00,1.00,5.00,6.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6079768,4.00,4.00,6.00,6.00,7.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6079776,8.00,7.00,4.00,5.00,9.00,11.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6079784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6079792,1.00,3.00,0.00,2.00,4.00,9.38,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6079806,2.00,2.00,3.00,1.00,5.00,8.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6079822,4.00,6.00,4.00,7.00,7.00,10.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6079849,2.00,4.00,0.00,3.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6079857,1.00,5.00,0.00,1.00,5.00,8.63,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6079881,6.00,5.00,3.00,5.00,7.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6079890,9.00,8.00,6.00,6.00,8.00,12.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6079903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6079911,3.00,5.00,1.00,3.00,2.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6079920,1.00,3.00,3.00,5.00,5.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6079938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6079946,3.00,3.00,2.00,4.00,7.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6079962,2.00,4.00,2.00,1.00,5.00,8.25,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6079970,3.00,2.00,1.00,2.00,3.00,6.00,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6080006,6.00,7.00,1.00,5.00,6.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6080030,2.00,3.00,1.00,2.00,4.00,7.88,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6080049,3.00,2.00,1.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6080057,4.00,3.00,3.00,5.00,5.00,7.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6080073,6.00,6.00,6.00,4.00,7.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6080081,3.00,2.00,1.00,2.00,5.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6080090,1.00,2.00,1.00,3.00,4.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6080103,4.00,3.00,2.00,5.00,7.00,9.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6080111,5.00,4.00,2.00,6.00,4.00,8.63,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6080120,3.00,3.00,3.00,3.00,4.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6080146,5.00,8.00,3.00,7.00,10.00,9.38,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6080154,3.00,4.00,3.00,5.00,9.00,10.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6080170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6080197,3.00,3.00,1.00,1.00,4.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6080200,7.00,7.00,3.00,7.00,9.00,8.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6080219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6080227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6080243,2.00,4.00,3.00,3.00,7.00,10.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6080251,4.00,5.00,1.00,2.00,5.00,5.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6080260,1.00,0.00,3.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6080278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6080294,0.00,2.00,1.00,2.00,7.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6080316,7.00,4.00,5.00,7.00,7.00,12.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6080324,2.00,3.00,3.00,2.00,6.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6080332,4.00,5.00,0.00,1.00,6.00,9.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6080340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6080367,4.00,4.00,2.00,2.00,4.00,9.00,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6080375,2.00,4.00,4.00,2.00,9.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6080391,8.00,8.00,4.00,5.00,8.00,9.75,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6080405,4.00,5.00,3.00,5.00,7.00,9.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6080413,2.00,0.00,1.00,3.00,6.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6080430,4.00,5.00,1.00,2.00,7.00,8.63,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6080464,4.00,4.00,0.00,3.00,4.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6080472,1.00,3.00,1.00,4.00,8.00,6.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6080499,7.00,7.00,1.00,4.00,7.00,7.50,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6080502,0.00,4.00,0.00,0.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6080529,2.00,4.00,1.00,5.00,8.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6080537,2.00,5.00,1.00,3.00,4.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6080545,1.00,7.00,1.00,3.00,7.00,10.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6080570,7.00,6.00,3.00,3.00,9.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6080596,2.00,4.00,1.00,1.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6080600,2.00,4.00,2.00,3.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6080626,4.00,4.00,1.00,6.00,9.00,10.88,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6080634,5.00,3.00,2.00,5.00,8.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6080642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6080650,4.00,4.00,4.00,4.00,6.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6080669,3.00,5.00,3.00,3.00,7.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6080677,7.00,7.00,4.00,6.00,8.00,9.38,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6080685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6080693,4.00,6.00,1.00,3.00,7.00,10.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6080707,7.00,6.00,7.00,7.00,10.00,9.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6080715,2.00,0.00,3.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6080723,4.00,1.00,2.00,3.00,5.00,6.75,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6080731,3.00,5.00,2.00,4.00,4.00,7.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6080766,5.00,6.00,3.00,5.00,5.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6080812,1.00,4.00,2.00,4.00,8.00,10.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6080847,3.00,3.00,1.00,4.00,5.00,10.88,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6080855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6080863,4.00,5.00,0.00,6.00,7.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6080871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6080880,4.00,6.00,1.00,6.00,8.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6080898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6080910,3.00,4.00,2.00,4.00,4.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6080928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6080936,2.00,5.00,0.00,1.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6080944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6080987,5.00,6.00,3.00,2.00,5.00,8.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6080995,2.00,3.00,2.00,7.00,6.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6081002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6081010,4.00,4.00,1.00,4.00,4.00,9.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6081029,8.00,7.00,7.00,7.00,9.00,12.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6081037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6081053,4.00,4.00,3.00,4.00,6.00,10.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6081061,4.00,5.00,4.00,1.00,6.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6081070,4.00,6.00,2.00,6.00,9.00,9.38,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6081088,7.00,7.00,4.00,5.00,8.00,7.50,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6081100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6081118,1.00,7.00,2.00,2.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6081126,3.00,5.00,0.00,5.00,9.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6081134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6081150,4.00,5.00,4.00,5.00,6.00,7.88,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6081177,3.00,6.00,2.00,3.00,5.00,6.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6081185,9.00,7.00,5.00,7.00,10.00,12.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6081223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6081231,3.00,3.00,1.00,5.00,4.00,9.38,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6081258,4.00,6.00,3.00,5.00,9.00,9.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6081282,7.00,5.00,3.00,6.00,6.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6081320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6081339,7.00,6.00,2.00,7.00,8.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6081347,2.00,2.00,2.00,1.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6081363,7.00,6.00,5.00,4.00,4.00,6.38,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6081371,1.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6081380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6081398,2.00,7.00,2.00,3.00,4.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6081410,3.00,4.00,2.00,3.00,6.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6081428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6081436,5.00,3.00,1.00,5.00,9.00,8.25,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6081444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6081452,4.00,6.00,1.00,4.00,9.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6081479,1.00,3.00,0.00,3.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6081487,7.00,5.00,2.00,4.00,7.00,9.38,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6081509,7.00,6.00,5.00,6.00,9.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6081517,4.00,5.00,4.00,5.00,5.00,6.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6081525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6081541,2.00,4.00,2.00,3.00,6.00,7.13,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6081550,8.00,8.00,8.00,7.00,9.00,8.63,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6081568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6081576,8.00,6.00,0.00,5.00,7.00,9.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6081606,5.00,4.00,3.00,6.00,7.00,12.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6081614,2.00,4.00,2.00,1.00,4.00,6.75,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6081622,3.00,6.00,2.00,4.00,6.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6081630,3.00,4.00,3.00,4.00,7.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6081649,8.00,6.00,2.00,7.00,8.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6081657,5.00,3.00,3.00,5.00,8.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6081665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6081681,4.00,3.00,1.00,3.00,4.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6081738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6081754,5.00,5.00,3.00,7.00,9.00,12.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6081762,2.00,2.00,3.00,3.00,5.00,7.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6081770,3.00,5.00,3.00,6.00,8.00,9.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6081789,5.00,5.00,5.00,6.00,6.00,7.50,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6081800,4.00,7.00,6.00,7.00,9.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6081819,4.00,3.00,0.00,5.00,7.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6081827,3.00,3.00,0.00,1.00,0.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6081835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6081851,7.00,6.00,3.00,5.00,9.00,11.63,0.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6081860,0.00,3.00,1.00,2.00,4.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6081878,4.00,7.00,3.00,6.00,8.00,9.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6081886,8.00,6.00,8.00,7.00,9.00,9.75,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6081894,3.00,5.00,1.00,3.00,4.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6081908,4.00,6.00,0.00,3.00,8.00,9.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6081916,3.00,3.00,1.00,4.00,3.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6081924,5.00,6.00,0.00,2.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6081940,5.00,4.00,1.00,2.00,3.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6081959,0.00,2.00,1.00,1.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6081967,1.00,2.00,0.00,2.00,4.00,7.13,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6081983,7.00,6.00,2.00,3.00,5.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6081991,5.00,4.00,2.00,4.00,7.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6082009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6082033,5.00,5.00,3.00,6.00,7.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6082041,3.00,4.00,3.00,2.00,4.00,3.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6082050,3.00,5.00,2.00,0.00,5.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6082068,2.00,1.00,1.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6082092,2.00,1.00,2.00,2.00,4.00,6.38,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6082106,3.00,5.00,3.00,4.00,4.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6082114,3.00,5.00,3.00,6.00,5.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6082122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6082130,5.00,3.00,1.00,5.00,7.00,6.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6082149,6.00,5.00,1.00,4.00,4.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6082157,4.00,6.00,3.00,5.00,8.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6082165,3.00,5.00,2.00,2.00,5.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6082173,8.00,5.00,0.00,5.00,8.00,NULL,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6082181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6082190,3.00,6.00,3.00,4.00,6.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6082220,1.00,4.00,4.00,3.00,1.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6082246,4.00,6.00,3.00,6.00,4.00,9.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6082254,4.00,7.00,1.00,4.00,4.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6082262,4.00,3.00,3.00,7.00,9.00,10.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6082270,2.00,6.00,1.00,1.00,5.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6082297,6.00,6.00,1.00,3.00,10.00,11.63,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6082300,5.00,6.00,2.00,7.00,8.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6082319,4.00,3.00,1.00,2.00,1.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6082327,5.00,5.00,0.00,3.00,9.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6082335,5.00,2.00,3.00,3.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6082343,4.00,5.00,1.00,3.00,3.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6082351,3.00,4.00,0.00,2.00,6.00,4.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6082360,3.00,5.00,1.00,1.00,5.00,8.25,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6082378,2.00,4.00,3.00,4.00,4.00,3.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6082386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6082394,3.00,2.00,2.00,2.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6082424,4.00,7.00,3.00,3.00,7.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6082432,3.00,4.00,2.00,6.00,7.00,9.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6082440,4.00,5.00,1.00,5.00,7.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6082459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6082467,6.00,6.00,4.00,6.00,7.00,10.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6082475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6082483,5.00,5.00,1.00,3.00,6.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6082491,6.00,5.00,1.00,4.00,6.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6082505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6082513,2.00,3.00,1.00,5.00,3.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6082548,3.00,3.00,1.00,6.00,6.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6082556,4.00,3.00,3.00,2.00,4.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6082572,5.00,5.00,4.00,4.00,4.00,7.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6082599,5.00,4.00,2.00,4.00,7.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6082610,2.00,4.00,1.00,1.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6082629,4.00,3.00,3.00,4.00,8.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6082637,4.00,7.00,2.00,4.00,8.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6082653,3.00,7.00,2.00,6.00,7.00,10.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6082661,2.00,6.00,1.00,3.00,5.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6082670,9.00,6.00,7.00,5.00,8.00,7.88,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6082688,3.00,4.00,2.00,0.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6082700,6.00,0.00,0.00,4.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6082718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6082750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6082769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6082785,5.00,4.00,0.00,4.00,6.00,7.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6082793,4.00,6.00,2.00,3.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6082807,2.00,2.00,0.00,0.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6082815,5.00,6.00,3.00,4.00,7.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6082840,8.00,6.00,6.00,7.00,9.00,10.88,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6082866,5.00,8.00,3.00,4.00,4.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6082890,0.00,4.00,0.00,2.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6082904,4.00,4.00,2.00,0.00,4.00,7.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6082912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6082920,7.00,8.00,3.00,7.00,9.00,8.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6082939,2.00,4.00,2.00,4.00,6.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6082947,5.00,6.00,1.00,5.00,6.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6082955,3.00,5.00,5.00,6.00,7.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6082971,2.00,3.00,1.00,2.00,4.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6082980,4.00,4.00,1.00,6.00,6.00,10.50,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6082998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6083013,4.00,5.00,3.00,7.00,8.00,10.13,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6083030,2.00,5.00,1.00,1.00,5.00,7.50,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6083048,6.00,6.00,2.00,5.00,7.00,10.13,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6083056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6083064,6.00,8.00,8.00,6.00,8.00,12.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6083072,4.00,2.00,4.00,5.00,5.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6083080,2.00,5.00,3.00,2.00,5.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6083102,8.00,7.00,7.00,7.00,8.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6083110,5.00,6.00,2.00,6.00,10.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6083129,3.00,7.00,2.00,7.00,6.00,9.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6083137,3.00,3.00,2.00,2.00,5.00,3.38,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6083145,1.00,4.00,1.00,0.00,4.00,8.25,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6083153,3.00,3.00,1.00,4.00,7.00,9.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6083161,3.00,0.00,1.00,2.00,4.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6083188,3.00,4.00,3.00,4.00,6.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6083196,2.00,4.00,0.00,3.00,3.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6083200,4.00,6.00,2.00,4.00,6.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6083218,7.00,6.00,4.00,7.00,7.00,8.25,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6083226,2.00,2.00,3.00,2.00,5.00,7.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6083234,2.00,2.00,0.00,1.00,6.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6083250,7.00,6.00,2.00,5.00,10.00,10.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6083269,9.00,7.00,5.00,7.00,9.00,11.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6083277,6.00,5.00,3.00,7.00,8.00,12.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6083285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6083293,2.00,6.00,1.00,3.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6083307,8.00,7.00,5.00,6.00,7.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6083315,7.00,7.00,3.00,6.00,7.00,9.00,7.00,9.00,4.00,NULL,NULL,NULL,'N'),(25,6083323,8.00,6.00,4.00,5.00,9.00,9.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6083340,4.00,3.00,2.00,4.00,5.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6083358,2.00,5.00,0.00,6.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6083366,0.00,3.00,0.00,0.00,0.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6083382,2.00,5.00,2.00,4.00,6.00,9.38,0.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6083390,4.00,5.00,0.00,1.00,3.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6083412,1.00,5.00,1.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6083420,5.00,5.00,5.00,2.00,5.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6083439,2.00,3.00,0.00,2.00,3.00,7.13,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6083447,2.00,6.00,4.00,7.00,7.00,8.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6083455,2.00,5.00,2.00,6.00,8.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6083463,5.00,4.00,3.00,4.00,6.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6083471,2.00,7.00,1.00,6.00,8.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6083498,5.00,3.00,5.00,5.00,7.00,7.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6083501,7.00,5.00,4.00,6.00,6.00,7.13,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6083510,3.00,0.00,1.00,3.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6083536,2.00,2.00,3.00,3.00,6.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6083544,3.00,3.00,1.00,2.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6083552,4.00,4.00,3.00,5.00,7.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6083560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6083579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6083587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6083609,9.00,8.00,8.00,7.00,10.00,11.63,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6083617,5.00,5.00,5.00,7.00,9.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6083625,3.00,5.00,1.00,4.00,5.00,10.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6083633,2.00,5.00,1.00,5.00,6.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6083650,3.00,8.00,2.00,4.00,7.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6083668,3.00,0.00,2.00,7.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6083684,2.00,3.00,2.00,3.00,6.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6083692,1.00,2.00,1.00,2.00,5.00,9.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6083722,4.00,4.00,3.00,5.00,8.00,9.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6083749,8.00,6.00,3.00,5.00,8.00,9.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6083757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6083765,6.00,6.00,2.00,3.00,9.00,8.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6083773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6083781,4.00,5.00,0.00,5.00,6.00,6.38,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6083790,1.00,5.00,3.00,3.00,5.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6083803,5.00,6.00,1.00,6.00,8.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6083811,3.00,5.00,3.00,4.00,6.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6083838,3.00,5.00,2.00,5.00,10.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6083846,2.00,5.00,2.00,1.00,5.00,5.63,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6083854,5.00,4.00,3.00,4.00,1.00,NULL,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6083862,6.00,5.00,0.00,5.00,8.00,12.75,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6083870,5.00,4.00,2.00,1.00,6.00,9.00,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6083889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6083900,8.00,6.00,4.00,6.00,6.00,8.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6083919,3.00,3.00,1.00,3.00,7.00,8.63,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6083927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6083935,3.00,7.00,1.00,2.00,5.00,7.13,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6083960,2.00,3.00,0.00,2.00,4.00,6.00,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6083986,4.00,5.00,2.00,5.00,8.00,10.50,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6083994,6.00,4.00,1.00,4.00,5.00,6.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6084010,7.00,7.00,3.00,4.00,8.00,8.63,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6084028,2.00,3.00,4.00,4.00,3.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6084036,5.00,3.00,2.00,4.00,5.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6084052,2.00,0.00,2.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6084060,4.00,6.00,3.00,6.00,8.00,6.38,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6084079,7.00,5.00,3.00,3.00,7.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6084087,6.00,5.00,6.00,5.00,6.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6084095,3.00,5.00,3.00,5.00,6.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6084109,6.00,5.00,2.00,5.00,6.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6084133,4.00,4.00,1.00,4.00,9.00,10.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6084150,2.00,2.00,3.00,1.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6084176,5.00,4.00,4.00,6.00,8.00,9.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6084184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6084192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6084206,8.00,7.00,5.00,6.00,10.00,9.38,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6084214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6084222,3.00,4.00,2.00,2.00,6.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6084230,4.00,5.00,4.00,5.00,7.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6084249,6.00,6.00,5.00,6.00,6.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6084265,2.00,5.00,4.00,3.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6084273,3.00,4.00,0.00,4.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6084290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6084303,4.00,5.00,6.00,7.00,10.00,8.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6084311,3.00,5.00,0.00,1.00,0.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6084320,8.00,7.00,1.00,7.00,9.00,7.13,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6084338,3.00,6.00,4.00,6.00,8.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6084354,6.00,7.00,6.00,5.00,7.00,6.00,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6084362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6084370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6084389,1.00,5.00,0.00,3.00,3.00,6.75,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6084397,4.00,5.00,1.00,4.00,8.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6084400,7.00,8.00,4.00,5.00,11.00,9.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6084419,1.00,3.00,2.00,3.00,8.00,7.50,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6084427,5.00,7.00,3.00,7.00,6.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6084435,8.00,6.00,6.00,6.00,8.00,NULL,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6084443,3.00,6.00,2.00,6.00,9.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6084451,5.00,5.00,3.00,4.00,5.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6084460,5.00,5.00,1.00,2.00,8.00,7.88,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6084478,2.00,2.00,2.00,1.00,4.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6084486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6084508,4.00,4.00,3.00,4.00,6.00,7.13,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6084516,5.00,6.00,3.00,7.00,7.00,12.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6084559,1.00,4.00,2.00,3.00,2.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6084567,8.00,8.00,3.00,6.00,9.00,8.25,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6084583,2.00,6.00,2.00,1.00,7.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6084605,4.00,5.00,3.00,5.00,6.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6084621,1.00,2.00,1.00,2.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6084648,2.00,2.00,0.00,3.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6084656,6.00,5.00,3.00,7.00,7.00,8.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6084664,2.00,4.00,2.00,4.00,4.00,8.25,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6084672,2.00,7.00,3.00,7.00,10.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6084680,4.00,6.00,2.00,4.00,8.00,10.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6084699,8.00,5.00,2.00,2.00,9.00,10.50,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6084702,6.00,5.00,0.00,4.00,7.00,10.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6084710,4.00,3.00,4.00,1.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6084737,3.00,4.00,1.00,3.00,5.00,0.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6084745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6084753,7.00,4.00,3.00,7.00,6.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6084761,5.00,6.00,1.00,4.00,8.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6084770,2.00,4.00,1.00,1.00,6.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6084788,2.00,4.00,1.00,1.00,4.00,NULL,4.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6084796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6084800,2.00,2.00,0.00,1.00,3.00,7.13,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6084818,3.00,4.00,0.00,2.00,5.00,10.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6084826,4.00,7.00,3.00,6.00,7.00,9.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6084834,7.00,7.00,3.00,6.00,10.00,9.38,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6084842,4.00,7.00,4.00,4.00,7.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6084850,3.00,4.00,4.00,5.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6084869,6.00,6.00,0.00,6.00,9.00,9.75,0.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6084877,6.00,5.00,4.00,7.00,10.00,9.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6084885,0.00,2.00,0.00,1.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6084893,9.00,7.00,6.00,5.00,10.00,10.13,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6084923,2.00,3.00,2.00,2.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6084931,3.00,5.00,0.00,7.00,5.00,9.75,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6084940,3.00,2.00,4.00,3.00,6.00,7.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6084958,6.00,5.00,4.00,7.00,8.00,10.88,2.00,6.00,5.00,NULL,NULL,NULL,'S'),(25,6084966,7.00,5.00,2.00,6.00,6.00,9.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6084990,5.00,2.00,0.00,1.00,7.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6085008,0.00,3.00,1.00,1.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6085016,8.00,6.00,6.00,6.00,10.00,8.63,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6085024,5.00,6.00,2.00,1.00,7.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6085032,6.00,5.00,6.00,5.00,7.00,10.88,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6085040,4.00,6.00,2.00,3.00,5.00,9.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6085059,4.00,3.00,5.00,2.00,6.00,9.38,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6085067,4.00,6.00,2.00,5.00,9.00,11.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6085075,2.00,7.00,2.00,6.00,9.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6085083,5.00,8.00,1.00,5.00,7.00,12.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6085113,6.00,4.00,1.00,4.00,6.00,7.88,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6085121,7.00,7.00,0.00,7.00,10.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6085148,3.00,4.00,2.00,1.00,5.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6085156,4.00,4.00,0.00,3.00,6.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6085164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6085172,7.00,8.00,6.00,7.00,9.00,9.38,2.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6085180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6085199,5.00,3.00,4.00,5.00,6.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6085210,5.00,5.00,2.00,5.00,8.00,9.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6085229,9.00,6.00,7.00,6.00,9.00,9.38,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6085237,5.00,2.00,3.00,4.00,7.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6085245,2.00,4.00,3.00,2.00,4.00,5.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6085253,3.00,3.00,1.00,3.00,4.00,6.38,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6085270,6.00,7.00,2.00,3.00,7.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6085288,1.00,3.00,0.00,3.00,3.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6085296,3.00,7.00,6.00,3.00,8.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6085334,5.00,0.00,1.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6085350,7.00,8.00,1.00,4.00,9.00,9.38,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6085369,5.00,5.00,1.00,4.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6085377,5.00,3.00,2.00,1.00,7.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6085385,5.00,5.00,2.00,3.00,4.00,0.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6085393,8.00,6.00,3.00,5.00,8.00,6.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6085407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6085423,4.00,7.00,3.00,3.00,7.00,8.25,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6085431,2.00,2.00,2.00,2.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6085440,1.00,2.00,3.00,3.00,4.00,7.50,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6085458,9.00,7.00,3.00,4.00,7.00,6.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6085474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6085504,4.00,4.00,3.00,4.00,8.00,8.63,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6085512,0.00,4.00,3.00,4.00,4.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6085520,6.00,6.00,5.00,7.00,6.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6085547,5.00,6.00,3.00,5.00,8.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6085563,3.00,2.00,0.00,2.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6085571,2.00,5.00,1.00,6.00,7.00,9.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6085580,5.00,8.00,3.00,6.00,8.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6085598,7.00,8.00,4.00,6.00,8.00,11.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6085601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6085610,7.00,4.00,2.00,4.00,8.00,12.38,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6085628,8.00,8.00,4.00,6.00,9.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6085636,3.00,6.00,2.00,6.00,5.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6085644,5.00,6.00,4.00,7.00,6.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'S'),(25,6085652,1.00,3.00,0.00,1.00,2.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6085660,3.00,3.00,1.00,4.00,7.00,10.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6085679,3.00,4.00,3.00,5.00,8.00,9.00,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6085687,5.00,6.00,3.00,7.00,9.00,10.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6085695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6085709,8.00,8.00,3.00,6.00,10.00,8.25,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6085717,8.00,4.00,4.00,2.00,6.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6085725,3.00,2.00,2.00,2.00,4.00,6.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6085741,3.00,3.00,2.00,3.00,5.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6085750,2.00,0.00,3.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6085792,1.00,5.00,3.00,5.00,5.00,6.75,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6085806,4.00,4.00,2.00,3.00,4.00,5.63,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6085814,6.00,5.00,2.00,6.00,9.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6085822,3.00,3.00,3.00,7.00,8.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6085830,3.00,6.00,3.00,3.00,8.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6085849,5.00,6.00,3.00,5.00,6.00,7.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6085857,5.00,4.00,6.00,5.00,9.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6085865,3.00,6.00,2.00,4.00,4.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6085873,5.00,5.00,3.00,7.00,10.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6085881,4.00,2.00,1.00,1.00,4.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6085890,5.00,5.00,4.00,4.00,7.00,9.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6085911,8.00,7.00,0.00,7.00,10.00,NULL,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6085920,2.00,3.00,1.00,4.00,4.00,6.38,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6085938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6085954,8.00,7.00,5.00,6.00,9.00,7.88,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6085962,6.00,6.00,5.00,6.00,8.00,7.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6085970,5.00,5.00,0.00,5.00,8.00,9.00,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6085997,2.00,7.00,3.00,1.00,7.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6086012,7.00,3.00,2.00,4.00,7.00,7.88,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6086020,7.00,5.00,4.00,2.00,8.00,6.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6086039,4.00,6.00,0.00,6.00,7.00,10.88,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6086047,4.00,2.00,3.00,2.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6086055,7.00,5.00,3.00,4.00,9.00,7.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6086063,3.00,5.00,2.00,4.00,4.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6086071,3.00,4.00,2.00,4.00,7.00,7.88,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6086098,3.00,3.00,3.00,3.00,6.00,8.25,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6086110,8.00,5.00,6.00,5.00,8.00,10.50,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6086128,5.00,4.00,1.00,4.00,6.00,6.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6086136,2.00,5.00,1.00,1.00,1.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6086144,3.00,4.00,0.00,1.00,5.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6086152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6086160,3.00,3.00,1.00,5.00,7.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6086179,2.00,4.00,1.00,4.00,6.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6086187,3.00,3.00,0.00,4.00,6.00,7.13,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6086217,3.00,4.00,3.00,5.00,8.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6086225,4.00,5.00,1.00,1.00,4.00,10.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6086233,2.00,4.00,4.00,4.00,5.00,5.63,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6086250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6086284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6086292,2.00,3.00,1.00,2.00,1.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6086306,4.00,5.00,1.00,1.00,8.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6086314,1.00,3.00,1.00,3.00,4.00,4.50,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6086322,1.00,5.00,1.00,0.00,7.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6086330,2.00,4.00,2.00,4.00,8.00,9.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6086349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6086357,5.00,5.00,3.00,3.00,7.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6086365,1.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6086373,2.00,4.00,0.00,2.00,5.00,6.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6086381,7.00,7.00,2.00,5.00,9.00,9.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6086390,3.00,1.00,0.00,3.00,5.00,6.00,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6086403,7.00,6.00,4.00,5.00,9.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6086411,5.00,5.00,0.00,7.00,7.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6086420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6086446,9.00,7.00,4.00,8.00,10.00,9.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6086462,6.00,7.00,3.00,5.00,7.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6086470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6086500,4.00,4.00,3.00,4.00,5.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6086519,1.00,2.00,1.00,1.00,5.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6086527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6086535,3.00,4.00,3.00,4.00,5.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6086586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6086594,3.00,6.00,2.00,2.00,3.00,9.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6086608,5.00,7.00,3.00,6.00,8.00,10.88,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6086616,8.00,7.00,5.00,7.00,9.00,9.38,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6086624,2.00,4.00,2.00,2.00,6.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6086632,4.00,5.00,2.00,3.00,6.00,10.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6086640,7.00,8.00,1.00,7.00,11.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6086659,5.00,0.00,1.00,7.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6086675,3.00,5.00,3.00,6.00,7.00,9.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6086683,3.00,5.00,3.00,2.00,7.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6086691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6086705,4.00,5.00,4.00,4.00,6.00,9.00,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6086721,4.00,4.00,2.00,3.00,6.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6086730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6086756,0.00,5.00,0.00,0.00,0.00,NULL,0.00,3.00,5.00,'S',NULL,NULL,'N'),(25,6086764,2.00,6.00,1.00,5.00,4.00,7.50,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6086772,4.00,3.00,2.00,3.00,6.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6086799,2.00,4.00,3.00,3.00,4.00,7.88,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6086802,5.00,6.00,2.00,7.00,7.00,NULL,2.00,0.00,5.00,NULL,NULL,'S','N'),(25,6086829,1.00,3.00,0.00,1.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6086837,6.00,5.00,1.00,7.00,7.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6086845,3.00,3.00,2.00,2.00,4.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6086853,8.00,6.00,1.00,5.00,9.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6086861,4.00,6.00,1.00,5.00,8.00,9.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6086888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6086896,2.00,4.00,2.00,4.00,4.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6086900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6086918,2.00,4.00,1.00,0.00,4.00,6.38,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6086926,4.00,4.00,2.00,3.00,7.00,6.75,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6086934,6.00,7.00,4.00,5.00,7.00,9.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6086950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6086969,3.00,5.00,1.00,7.00,8.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6086977,3.00,6.00,2.00,6.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6086985,8.00,6.00,3.00,7.00,9.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6087027,5.00,3.00,1.00,4.00,4.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6087035,3.00,5.00,0.00,6.00,5.00,8.63,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6087043,2.00,6.00,4.00,4.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6087051,1.00,2.00,0.00,3.00,6.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6087078,6.00,6.00,2.00,3.00,7.00,6.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6087108,6.00,5.00,3.00,4.00,5.00,7.13,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6087116,2.00,5.00,2.00,4.00,4.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6087124,4.00,5.00,2.00,5.00,7.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6087132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6087140,4.00,5.00,2.00,5.00,5.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6087175,6.00,6.00,3.00,7.00,9.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6087183,5.00,3.00,3.00,2.00,6.00,8.25,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6087191,3.00,5.00,2.00,4.00,5.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6087205,3.00,1.00,0.00,2.00,4.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6087213,4.00,3.00,1.00,6.00,7.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6087221,3.00,3.00,2.00,2.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6087256,4.00,6.00,3.00,5.00,7.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6087264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6087272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6087280,5.00,4.00,3.00,4.00,6.00,8.63,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6087299,3.00,7.00,3.00,4.00,9.00,11.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6087329,5.00,4.00,2.00,5.00,8.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6087337,5.00,6.00,3.00,6.00,7.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6087345,3.00,4.00,1.00,4.00,7.00,8.63,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6087353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6087370,3.00,7.00,0.00,2.00,7.00,6.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6087388,3.00,6.00,1.00,4.00,9.00,10.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6087396,8.00,5.00,0.00,4.00,9.00,7.88,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6087400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6087418,6.00,5.00,1.00,4.00,7.00,7.50,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6087426,3.00,3.00,1.00,5.00,4.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6087434,3.00,4.00,3.00,5.00,5.00,5.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6087442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6087450,4.00,6.00,4.00,5.00,4.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6087477,5.00,6.00,2.00,4.00,6.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6087485,8.00,7.00,3.00,6.00,9.00,11.63,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6087493,3.00,5.00,1.00,0.00,5.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6087507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6087515,3.00,3.00,2.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6087523,8.00,8.00,3.00,7.00,10.00,9.38,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6087531,8.00,6.00,2.00,5.00,10.00,8.63,4.00,2.00,8.00,NULL,NULL,NULL,'N'),(25,6087540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6087566,5.00,2.00,1.00,2.00,3.00,6.38,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6087574,4.00,5.00,1.00,4.00,6.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6087604,5.00,5.00,2.00,5.00,9.00,7.13,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6087612,7.00,6.00,1.00,7.00,10.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6087620,3.00,3.00,1.00,3.00,3.00,7.50,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6087647,3.00,5.00,2.00,4.00,9.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6087655,6.00,4.00,4.00,7.00,6.00,12.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6087663,3.00,5.00,4.00,5.00,4.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6087671,2.00,5.00,2.00,6.00,8.00,10.13,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6087701,4.00,6.00,0.00,4.00,8.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6087710,7.00,6.00,4.00,6.00,8.00,12.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6087736,4.00,3.00,1.00,4.00,7.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6087760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6087779,6.00,7.00,3.00,7.00,8.00,6.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6087787,6.00,6.00,1.00,4.00,7.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6087809,8.00,7.00,5.00,8.00,7.00,8.25,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6087817,6.00,7.00,0.00,5.00,7.00,9.38,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6087825,9.00,8.00,8.00,7.00,10.00,10.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6087833,3.00,6.00,1.00,4.00,8.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6087841,1.00,2.00,0.00,2.00,5.00,6.75,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6087876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6087892,5.00,6.00,1.00,4.00,8.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6087914,1.00,4.00,0.00,4.00,7.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6087922,7.00,5.00,4.00,7.00,8.00,8.63,2.00,3.00,9.00,NULL,NULL,NULL,'N'),(25,6087930,3.00,6.00,4.00,6.00,7.00,9.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6087949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6087957,2.00,3.00,0.00,5.00,5.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6087965,9.00,7.00,6.00,6.00,10.00,7.13,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6087973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6087981,4.00,6.00,3.00,5.00,7.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6087990,6.00,6.00,4.00,1.00,8.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6088007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6088015,3.00,2.00,3.00,4.00,7.00,8.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6088023,3.00,5.00,3.00,4.00,3.00,6.00,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6088031,2.00,4.00,1.00,3.00,5.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6088040,3.00,6.00,2.00,5.00,8.00,9.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6088058,3.00,3.00,1.00,2.00,4.00,9.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6088082,2.00,5.00,3.00,4.00,7.00,10.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6088112,2.00,4.00,2.00,1.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6088139,2.00,4.00,1.00,1.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6088147,5.00,7.00,1.00,2.00,7.00,5.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6088155,4.00,5.00,6.00,6.00,6.00,8.25,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6088163,4.00,6.00,3.00,6.00,8.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6088171,5.00,3.00,1.00,2.00,6.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6088180,2.00,4.00,1.00,4.00,6.00,8.63,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6088198,6.00,6.00,7.00,7.00,10.00,12.38,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6088201,0.00,2.00,2.00,1.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6088210,4.00,7.00,2.00,3.00,5.00,11.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6088228,4.00,7.00,2.00,4.00,6.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6088236,2.00,3.00,3.00,2.00,3.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6088252,3.00,5.00,2.00,6.00,5.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6088260,6.00,5.00,4.00,5.00,7.00,7.88,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6088279,9.00,6.00,3.00,4.00,10.00,9.38,0.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6088295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6088309,2.00,1.00,3.00,4.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6088317,6.00,6.00,2.00,7.00,6.00,9.38,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6088333,6.00,7.00,3.00,6.00,8.00,5.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6088341,6.00,6.00,1.00,5.00,8.00,10.50,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6088350,3.00,5.00,1.00,3.00,6.00,6.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6088368,3.00,8.00,2.00,6.00,8.00,11.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6088376,4.00,6.00,0.00,6.00,8.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6088384,3.00,3.00,0.00,3.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6088392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6088414,6.00,6.00,2.00,6.00,9.00,8.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6088422,7.00,6.00,5.00,5.00,9.00,9.75,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6088449,6.00,6.00,2.00,5.00,7.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6088457,6.00,6.00,4.00,6.00,7.00,10.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6088465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6088473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6088490,3.00,4.00,2.00,0.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6088503,5.00,7.00,3.00,6.00,9.00,8.25,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6088511,2.00,2.00,3.00,2.00,9.00,10.13,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6088538,6.00,7.00,2.00,5.00,8.00,9.38,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6088546,0.00,3.00,2.00,0.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6088562,2.00,3.00,1.00,2.00,4.00,3.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6088570,7.00,6.00,4.00,6.00,8.00,10.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6088589,1.00,3.00,2.00,2.00,3.00,6.75,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6088597,3.00,5.00,3.00,4.00,8.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6088600,5.00,6.00,2.00,3.00,6.00,10.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6088627,7.00,7.00,2.00,3.00,8.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6088635,4.00,3.00,3.00,6.00,8.00,7.88,1.00,1.00,7.00,NULL,NULL,NULL,'N'),(25,6088651,3.00,4.00,0.00,6.00,7.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6088660,4.00,5.00,3.00,1.00,3.00,7.88,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6088678,6.00,5.00,1.00,4.00,4.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6088686,5.00,4.00,2.00,4.00,6.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6088708,4.00,5.00,2.00,7.00,7.00,6.75,0.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6088716,3.00,4.00,2.00,1.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6088724,3.00,4.00,1.00,5.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,'S','S'),(25,6088732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6088740,9.00,6.00,6.00,4.00,10.00,8.25,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6088775,3.00,4.00,1.00,5.00,5.00,6.75,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6088783,3.00,0.00,1.00,1.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6088791,4.00,5.00,2.00,3.00,5.00,6.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6088805,7.00,8.00,6.00,5.00,8.00,NULL,3.00,7.00,7.00,NULL,NULL,'S','N'),(25,6088813,7.00,6.00,6.00,7.00,7.00,9.38,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6088821,1.00,2.00,2.00,3.00,5.00,6.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6088830,1.00,2.00,0.00,2.00,6.00,9.75,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6088848,5.00,8.00,5.00,4.00,6.00,9.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6088856,4.00,6.00,3.00,6.00,7.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6088864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6088872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6088899,3.00,5.00,1.00,4.00,5.00,9.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6088902,7.00,8.00,8.00,7.00,8.00,8.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6088910,4.00,4.00,0.00,6.00,6.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6088929,6.00,5.00,0.00,4.00,8.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6088937,5.00,6.00,0.00,4.00,8.00,11.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6088945,2.00,3.00,1.00,3.00,7.00,10.13,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6088953,3.00,4.00,0.00,3.00,6.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6088961,4.00,5.00,3.00,3.00,7.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6088970,5.00,3.00,3.00,4.00,5.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6088988,5.00,5.00,3.00,4.00,6.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6088996,1.00,4.00,1.00,4.00,3.00,6.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6089003,7.00,7.00,4.00,7.00,9.00,10.88,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6089020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6089038,6.00,6.00,2.00,6.00,8.00,8.63,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6089046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6089054,1.00,3.00,1.00,2.00,4.00,8.63,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6089062,2.00,2.00,0.00,2.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6089070,2.00,3.00,1.00,1.00,3.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6089097,4.00,7.00,2.00,4.00,7.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6089127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6089151,2.00,4.00,2.00,5.00,5.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6089160,8.00,7.00,6.00,6.00,8.00,10.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6089178,4.00,4.00,2.00,7.00,8.00,9.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6089186,3.00,2.00,0.00,2.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6089194,7.00,6.00,8.00,7.00,9.00,12.00,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6089216,8.00,7.00,2.00,7.00,8.00,9.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6089224,2.00,5.00,2.00,4.00,6.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6089232,3.00,4.00,1.00,4.00,4.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6089240,8.00,7.00,5.00,6.00,9.00,9.00,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6089259,3.00,6.00,3.00,7.00,8.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6089267,2.00,2.00,1.00,3.00,7.00,7.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6089275,4.00,4.00,3.00,5.00,7.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6089283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6089291,8.00,6.00,6.00,5.00,8.00,9.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6089305,3.00,5.00,0.00,6.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6089321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6089330,1.00,2.00,0.00,5.00,4.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6089348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6089356,1.00,2.00,4.00,2.00,3.00,8.25,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6089372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6089380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6089399,7.00,7.00,2.00,6.00,10.00,10.50,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6089402,6.00,8.00,4.00,5.00,10.00,10.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6089429,4.00,5.00,1.00,3.00,3.00,5.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6089437,7.00,5.00,3.00,4.00,5.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6089445,3.00,6.00,3.00,6.00,8.00,7.50,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6089461,4.00,4.00,2.00,5.00,7.00,8.25,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6089496,3.00,5.00,2.00,6.00,7.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6089518,7.00,5.00,6.00,3.00,7.00,8.25,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6089526,1.00,2.00,1.00,2.00,5.00,6.38,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6089534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6089542,5.00,7.00,2.00,4.00,6.00,7.13,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6089569,8.00,6.00,5.00,7.00,10.00,11.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6089593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6089623,2.00,5.00,2.00,5.00,8.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6089631,7.00,7.00,2.00,4.00,9.00,9.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6089640,3.00,4.00,3.00,4.00,7.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6089658,2.00,1.00,1.00,2.00,3.00,7.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6089666,3.00,2.00,4.00,4.00,4.00,9.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6089674,4.00,6.00,3.00,0.00,5.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6089682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6089690,1.00,1.00,1.00,2.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6089704,7.00,6.00,3.00,4.00,6.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6089712,8.00,8.00,4.00,5.00,8.00,12.38,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6089720,3.00,4.00,2.00,6.00,6.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6089739,2.00,2.00,1.00,0.00,3.00,7.50,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6089747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6089755,5.00,7.00,5.00,5.00,9.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6089771,5.00,5.00,7.00,6.00,5.00,6.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6089798,2.00,3.00,2.00,3.00,7.00,8.63,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6089801,6.00,6.00,3.00,5.00,9.00,10.13,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6089810,5.00,6.00,3.00,7.00,8.00,13.13,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6089836,0.00,0.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6089852,2.00,5.00,2.00,3.00,7.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6089860,3.00,5.00,1.00,4.00,6.00,8.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6089895,3.00,4.00,2.00,2.00,5.00,8.63,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6089909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6089925,2.00,3.00,2.00,3.00,3.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6089933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6089941,3.00,7.00,1.00,5.00,7.00,7.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6089968,6.00,7.00,2.00,2.00,9.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6089976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6089984,6.00,5.00,3.00,4.00,5.00,8.63,3.00,1.00,7.00,NULL,NULL,NULL,'N'),(25,6090001,8.00,7.00,7.00,7.00,9.00,11.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6090010,6.00,6.00,4.00,4.00,6.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6090028,4.00,4.00,0.00,4.00,5.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6090044,1.00,4.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6090079,3.00,4.00,3.00,6.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6090087,5.00,6.00,2.00,5.00,6.00,10.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6090095,0.00,3.00,1.00,0.00,3.00,7.50,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6090109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6090117,1.00,2.00,4.00,3.00,5.00,6.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6090133,4.00,1.00,1.00,2.00,4.00,6.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6090141,3.00,2.00,1.00,0.00,4.00,8.63,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6090150,4.00,6.00,1.00,3.00,4.00,5.63,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6090176,8.00,7.00,3.00,4.00,10.00,12.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6090184,3.00,4.00,0.00,3.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6090192,4.00,5.00,3.00,2.00,6.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6090206,3.00,4.00,2.00,4.00,5.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6090222,3.00,5.00,3.00,1.00,7.00,8.63,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6090230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6090249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6090257,7.00,8.00,4.00,6.00,9.00,10.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6090265,0.00,4.00,0.00,2.00,4.00,7.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6090273,5.00,6.00,3.00,6.00,8.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6090281,5.00,4.00,2.00,4.00,3.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6090290,6.00,6.00,8.00,7.00,6.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6090303,6.00,5.00,2.00,1.00,5.00,5.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6090311,5.00,6.00,1.00,3.00,7.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6090320,6.00,5.00,2.00,4.00,9.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6090338,4.00,6.00,2.00,2.00,7.00,7.50,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6090346,7.00,7.00,2.00,6.00,9.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6090354,5.00,5.00,2.00,6.00,8.00,9.75,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6090362,3.00,1.00,2.00,2.00,4.00,10.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6090389,3.00,5.00,0.00,4.00,5.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6090400,2.00,5.00,0.00,1.00,6.00,10.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6090419,5.00,4.00,2.00,4.00,7.00,9.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6090427,3.00,2.00,3.00,2.00,4.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6090443,4.00,6.00,2.00,5.00,8.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6090451,6.00,5.00,4.00,3.00,7.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6090460,5.00,5.00,2.00,2.00,5.00,NULL,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6090478,7.00,7.00,6.00,6.00,9.00,10.13,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6090486,7.00,8.00,1.00,6.00,9.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6090508,8.00,5.00,1.00,5.00,9.00,10.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6090516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6090532,1.00,6.00,1.00,3.00,6.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6090540,9.00,6.00,6.00,6.00,9.00,7.88,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6090567,8.00,7.00,8.00,6.00,8.00,9.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6090583,8.00,8.00,8.00,7.00,9.00,10.50,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6090591,4.00,5.00,0.00,6.00,7.00,11.25,1.00,5.00,5.00,NULL,NULL,NULL,'S'),(25,6090605,5.00,5.00,3.00,4.00,7.00,10.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6090613,6.00,4.00,4.00,3.00,7.00,7.13,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6090621,5.00,7.00,2.00,3.00,8.00,9.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6090630,2.00,2.00,1.00,1.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6090648,6.00,6.00,2.00,6.00,8.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6090656,5.00,4.00,6.00,7.00,10.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6090664,6.00,7.00,5.00,7.00,11.00,13.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6090672,3.00,6.00,1.00,6.00,6.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6090680,3.00,3.00,2.00,3.00,3.00,7.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6090699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6090702,6.00,7.00,0.00,4.00,7.00,7.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6090729,6.00,5.00,1.00,7.00,10.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6090737,4.00,4.00,0.00,4.00,6.00,12.00,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6090745,9.00,7.00,7.00,7.00,9.00,13.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6090753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6090761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6090770,3.00,6.00,1.00,0.00,6.00,8.63,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6090796,4.00,4.00,0.00,4.00,6.00,9.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6090800,8.00,7.00,5.00,5.00,9.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6090818,9.00,8.00,3.00,5.00,9.00,9.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6090826,1.00,1.00,2.00,1.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6090842,7.00,7.00,6.00,7.00,10.00,11.25,2.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6090850,5.00,5.00,3.00,4.00,8.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6090869,2.00,5.00,3.00,4.00,7.00,5.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6090877,5.00,4.00,2.00,3.00,5.00,NULL,0.00,0.00,6.00,NULL,NULL,NULL,'N'),(25,6090885,2.00,6.00,1.00,1.00,4.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6090907,5.00,5.00,2.00,2.00,6.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6090923,7.00,6.00,4.00,6.00,8.00,11.63,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6090931,2.00,2.00,2.00,2.00,8.00,8.25,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6090958,4.00,6.00,1.00,5.00,7.00,11.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6090966,2.00,2.00,1.00,0.00,5.00,10.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6090982,4.00,3.00,2.00,4.00,6.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6090990,3.00,3.00,1.00,4.00,6.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6091008,4.00,6.00,0.00,5.00,7.00,9.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6091040,9.00,8.00,3.00,7.00,10.00,11.63,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6091059,4.00,7.00,3.00,6.00,8.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6091067,8.00,7.00,7.00,7.00,9.00,11.63,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6091075,5.00,5.00,3.00,4.00,8.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6091083,3.00,3.00,1.00,2.00,5.00,7.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6091091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6091105,2.00,2.00,1.00,3.00,4.00,7.88,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6091113,5.00,6.00,6.00,7.00,8.00,9.00,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6091121,8.00,7.00,5.00,5.00,7.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6091130,6.00,5.00,0.00,5.00,7.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6091156,6.00,5.00,2.00,5.00,7.00,7.50,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6091172,3.00,7.00,5.00,6.00,8.00,11.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6091180,8.00,7.00,4.00,7.00,8.00,10.88,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6091199,4.00,4.00,1.00,6.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6091202,3.00,5.00,0.00,2.00,6.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6091210,3.00,6.00,1.00,3.00,9.00,8.25,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6091229,7.00,5.00,3.00,5.00,6.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6091237,2.00,7.00,2.00,7.00,9.00,10.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6091245,2.00,7.00,3.00,1.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6091270,7.00,5.00,0.00,6.00,10.00,9.38,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6091296,6.00,7.00,3.00,7.00,5.00,7.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6091300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6091318,7.00,4.00,2.00,6.00,5.00,8.25,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6091326,3.00,0.00,2.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6091342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6091350,2.00,4.00,4.00,1.00,7.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6091369,4.00,5.00,3.00,5.00,8.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6091377,6.00,6.00,3.00,5.00,10.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6091393,6.00,4.00,2.00,4.00,7.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6091407,6.00,4.00,0.00,5.00,10.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6091415,2.00,6.00,5.00,5.00,7.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6091423,2.00,7.00,3.00,6.00,7.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6091431,9.00,6.00,7.00,6.00,7.00,10.13,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6091440,3.00,6.00,2.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6091466,2.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6091474,2.00,4.00,0.00,5.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6091482,8.00,6.00,2.00,6.00,7.00,9.00,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6091504,7.00,5.00,0.00,6.00,9.00,9.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6091520,6.00,4.00,2.00,7.00,10.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6091539,4.00,3.00,4.00,5.00,6.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6091547,8.00,8.00,5.00,7.00,8.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6091563,3.00,5.00,3.00,3.00,7.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6091571,5.00,6.00,0.00,5.00,6.00,7.88,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6091598,5.00,7.00,3.00,4.00,7.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6091610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6091628,2.00,2.00,1.00,1.00,4.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6091636,1.00,2.00,1.00,3.00,3.00,6.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6091644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6091652,8.00,7.00,6.00,7.00,9.00,11.25,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6091660,3.00,4.00,3.00,4.00,6.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6091679,2.00,3.00,0.00,2.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6091695,3.00,3.00,0.00,4.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6091709,4.00,6.00,1.00,4.00,4.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6091733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6091741,5.00,6.00,1.00,2.00,5.00,6.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6091750,3.00,4.00,2.00,6.00,6.00,9.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6091768,0.00,5.00,4.00,3.00,6.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6091776,4.00,4.00,2.00,4.00,4.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6091784,7.00,8.00,5.00,7.00,10.00,11.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6091792,1.00,3.00,1.00,4.00,6.00,8.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6091806,3.00,3.00,2.00,1.00,5.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6091830,3.00,5.00,0.00,3.00,7.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6091849,8.00,6.00,6.00,7.00,10.00,9.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6091857,9.00,6.00,5.00,7.00,9.00,9.38,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6091865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6091873,3.00,3.00,2.00,1.00,3.00,9.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6091881,8.00,8.00,2.00,6.00,10.00,10.13,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6091890,5.00,7.00,6.00,7.00,9.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6091903,3.00,6.00,2.00,6.00,4.00,9.38,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6091920,4.00,4.00,3.00,3.00,8.00,8.25,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6091946,3.00,6.00,2.00,3.00,5.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6091954,9.00,5.00,5.00,7.00,10.00,12.75,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6091962,6.00,7.00,3.00,5.00,6.00,11.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6091970,8.00,5.00,2.00,6.00,9.00,9.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6091989,6.00,6.00,2.00,6.00,9.00,11.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6091997,2.00,4.00,4.00,4.00,6.00,NULL,2.00,5.00,2.00,NULL,NULL,'S','N'),(25,6092004,4.00,0.00,0.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6092012,6.00,7.00,2.00,7.00,8.00,9.38,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6092020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6092039,7.00,8.00,3.00,6.00,10.00,13.13,1.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6092047,6.00,6.00,7.00,6.00,8.00,9.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6092055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6092063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6092071,4.00,6.00,3.00,3.00,5.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6092080,2.00,3.00,4.00,3.00,3.00,5.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6092101,2.00,4.00,0.00,1.00,6.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6092128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6092136,6.00,4.00,4.00,3.00,7.00,10.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6092144,7.00,3.00,2.00,5.00,9.00,10.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6092152,7.00,5.00,2.00,5.00,9.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6092160,8.00,9.00,6.00,7.00,11.00,10.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6092179,5.00,6.00,2.00,6.00,6.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6092187,8.00,6.00,6.00,5.00,9.00,12.75,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6092195,2.00,4.00,4.00,2.00,3.00,4.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6092217,3.00,6.00,2.00,5.00,5.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6092225,7.00,5.00,0.00,2.00,8.00,9.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6092233,8.00,5.00,5.00,6.00,6.00,12.75,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6092241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6092250,5.00,6.00,3.00,6.00,7.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6092268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6092276,8.00,7.00,3.00,6.00,8.00,9.00,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6092284,8.00,6.00,8.00,6.00,6.00,10.88,4.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6092314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6092322,5.00,4.00,0.00,1.00,7.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6092330,3.00,6.00,1.00,5.00,6.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6092349,8.00,7.00,5.00,6.00,10.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6092357,4.00,6.00,3.00,7.00,8.00,8.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6092365,3.00,2.00,1.00,2.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6092373,6.00,3.00,1.00,3.00,6.00,6.75,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6092381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6092390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6092403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6092411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6092438,4.00,7.00,2.00,3.00,2.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6092462,3.00,4.00,1.00,3.00,3.00,0.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6092470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6092489,7.00,6.00,4.00,6.00,9.00,9.00,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6092497,7.00,8.00,0.00,5.00,9.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6092500,3.00,2.00,1.00,4.00,2.00,NULL,4.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6092519,3.00,2.00,1.00,3.00,4.00,7.50,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6092527,2.00,3.00,3.00,5.00,5.00,6.00,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6092560,7.00,5.00,6.00,2.00,6.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6092578,8.00,7.00,4.00,4.00,7.00,8.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6092586,3.00,4.00,1.00,7.00,6.00,10.13,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6092624,5.00,4.00,3.00,3.00,6.00,8.25,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6092632,7.00,5.00,0.00,6.00,9.00,9.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6092640,4.00,4.00,5.00,4.00,9.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6092659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6092675,5.00,5.00,3.00,2.00,6.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6092683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6092713,6.00,6.00,2.00,6.00,8.00,12.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6092730,5.00,6.00,3.00,6.00,10.00,10.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6092756,3.00,5.00,0.00,4.00,6.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6092764,2.00,4.00,0.00,3.00,4.00,8.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6092772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6092780,7.00,7.00,4.00,6.00,8.00,12.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6092799,3.00,4.00,1.00,2.00,8.00,6.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6092802,7.00,5.00,3.00,2.00,8.00,7.13,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6092829,9.00,7.00,8.00,6.00,9.00,9.38,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6092837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6092845,6.00,5.00,1.00,7.00,6.00,8.63,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6092853,8.00,7.00,3.00,6.00,9.00,9.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6092861,5.00,6.00,0.00,7.00,9.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6092888,3.00,6.00,0.00,3.00,6.00,9.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6092896,4.00,7.00,0.00,6.00,8.00,9.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6092900,3.00,4.00,3.00,4.00,7.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6092918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6092926,2.00,5.00,0.00,4.00,6.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6092934,3.00,3.00,2.00,3.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6092942,3.00,2.00,3.00,3.00,5.00,6.75,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6092950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6092969,3.00,4.00,0.00,5.00,3.00,6.00,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6092977,7.00,7.00,3.00,6.00,8.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6092985,1.00,3.00,3.00,5.00,6.00,NULL,1.00,3.00,0.00,NULL,NULL,'S','N'),(25,6092993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6093019,4.00,3.00,3.00,4.00,6.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6093027,4.00,4.00,2.00,6.00,6.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6093043,7.00,7.00,6.00,7.00,7.00,11.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6093051,7.00,5.00,5.00,6.00,9.00,8.63,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6093060,7.00,8.00,7.00,5.00,8.00,11.25,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6093078,4.00,7.00,4.00,3.00,5.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6093086,1.00,3.00,2.00,4.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6093108,0.00,3.00,0.00,1.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6093116,5.00,4.00,3.00,2.00,4.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6093124,4.00,6.00,2.00,6.00,6.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6093132,4.00,3.00,0.00,1.00,5.00,8.63,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6093159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6093167,5.00,8.00,7.00,6.00,9.00,9.00,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6093175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6093183,5.00,4.00,3.00,5.00,7.00,6.00,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6093191,6.00,7.00,2.00,3.00,9.00,10.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6093205,6.00,6.00,0.00,6.00,9.00,NULL,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6093213,4.00,7.00,3.00,6.00,7.00,11.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6093221,5.00,5.00,2.00,6.00,3.00,10.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6093230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6093248,8.00,7.00,4.00,5.00,6.00,7.13,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6093256,1.00,4.00,4.00,3.00,6.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6093264,4.00,5.00,3.00,5.00,10.00,10.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6093272,8.00,8.00,2.00,6.00,9.00,9.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6093280,2.00,5.00,2.00,6.00,6.00,8.25,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6093299,2.00,4.00,2.00,3.00,5.00,7.50,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6093302,2.00,7.00,3.00,3.00,9.00,NULL,2.00,3.00,1.00,NULL,NULL,'S','N'),(25,6093310,6.00,8.00,3.00,7.00,10.00,8.63,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6093329,5.00,5.00,4.00,5.00,7.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6093345,3.00,3.00,1.00,5.00,6.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6093353,6.00,5.00,5.00,5.00,8.00,7.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6093361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6093370,6.00,6.00,2.00,7.00,10.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6093396,5.00,4.00,6.00,4.00,6.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6093400,8.00,8.00,2.00,7.00,8.00,11.25,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6093418,3.00,3.00,0.00,2.00,5.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6093426,2.00,4.00,0.00,4.00,4.00,9.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6093434,5.00,5.00,5.00,5.00,5.00,7.13,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6093442,3.00,6.00,3.00,5.00,8.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6093450,4.00,3.00,2.00,3.00,6.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6093469,3.00,2.00,2.00,5.00,6.00,6.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6093477,7.00,6.00,2.00,3.00,8.00,11.63,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6093493,7.00,5.00,2.00,6.00,8.00,12.00,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6093515,5.00,7.00,4.00,8.00,9.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6093523,3.00,4.00,1.00,5.00,7.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6093531,5.00,5.00,1.00,6.00,8.00,7.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6093540,6.00,4.00,3.00,4.00,6.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6093558,5.00,2.00,1.00,3.00,1.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6093566,6.00,4.00,0.00,1.00,8.00,NULL,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6093574,4.00,4.00,1.00,6.00,6.00,9.38,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6093582,7.00,6.00,0.00,5.00,9.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6093590,6.00,3.00,5.00,4.00,8.00,9.38,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6093604,7.00,6.00,3.00,7.00,7.00,11.63,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6093612,8.00,7.00,4.00,5.00,10.00,10.88,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6093620,6.00,4.00,2.00,5.00,4.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6093639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6093647,6.00,4.00,2.00,4.00,6.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6093655,4.00,4.00,1.00,7.00,8.00,11.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6093663,2.00,6.00,1.00,4.00,6.00,6.75,1.00,4.00,0.00,NULL,NULL,NULL,'S'),(25,6093671,6.00,4.00,1.00,2.00,4.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6093680,8.00,7.00,7.00,7.00,8.00,10.13,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6093698,4.00,5.00,4.00,3.00,6.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6093701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6093710,7.00,8.00,1.00,5.00,6.00,8.63,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6093728,7.00,5.00,4.00,6.00,8.00,9.75,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6093736,2.00,2.00,2.00,3.00,4.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6093744,5.00,3.00,4.00,3.00,7.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6093752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6093760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6093779,3.00,4.00,2.00,3.00,5.00,7.13,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6093787,6.00,4.00,4.00,5.00,6.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6093795,1.00,3.00,5.00,1.00,3.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6093817,6.00,3.00,0.00,7.00,5.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6093825,5.00,3.00,2.00,3.00,6.00,6.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6093833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6093841,5.00,7.00,1.00,7.00,8.00,10.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6093850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6093868,2.00,2.00,0.00,1.00,5.00,6.38,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6093876,3.00,3.00,1.00,5.00,6.00,9.00,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6093884,8.00,7.00,1.00,7.00,11.00,11.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6093906,5.00,5.00,2.00,3.00,5.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6093914,7.00,7.00,6.00,6.00,7.00,7.13,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6093922,2.00,6.00,2.00,3.00,4.00,6.75,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6093930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6093957,7.00,7.00,2.00,7.00,10.00,12.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6093965,2.00,4.00,1.00,1.00,4.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6093981,4.00,3.00,2.00,3.00,6.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6093990,5.00,3.00,4.00,5.00,8.00,9.38,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6094007,5.00,6.00,1.00,5.00,8.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6094031,7.00,6.00,3.00,4.00,10.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6094040,3.00,2.00,1.00,4.00,6.00,6.75,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6094058,6.00,6.00,1.00,4.00,6.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6094066,4.00,0.00,4.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6094090,3.00,7.00,3.00,1.00,6.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6094104,1.00,1.00,0.00,1.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6094120,7.00,5.00,5.00,7.00,8.00,6.38,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6094147,6.00,6.00,3.00,3.00,6.00,10.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6094155,3.00,2.00,3.00,2.00,6.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6094163,6.00,6.00,6.00,6.00,8.00,12.00,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6094171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6094198,5.00,6.00,3.00,6.00,8.00,9.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6094201,5.00,4.00,1.00,0.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6094210,9.00,6.00,3.00,6.00,8.00,11.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6094236,8.00,5.00,3.00,6.00,8.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6094252,8.00,7.00,1.00,5.00,9.00,10.50,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6094260,9.00,6.00,7.00,6.00,9.00,11.63,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6094287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6094309,7.00,6.00,6.00,6.00,10.00,10.50,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6094317,8.00,5.00,2.00,7.00,9.00,12.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6094325,4.00,3.00,2.00,4.00,5.00,10.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6094333,8.00,8.00,4.00,7.00,10.00,7.50,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6094341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6094368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6094384,0.00,2.00,0.00,2.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6094392,6.00,5.00,6.00,3.00,3.00,11.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6094406,2.00,2.00,1.00,2.00,5.00,5.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6094414,7.00,6.00,2.00,7.00,9.00,10.13,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6094430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6094449,5.00,5.00,1.00,6.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6094457,6.00,4.00,3.00,6.00,6.00,9.38,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6094465,6.00,4.00,3.00,6.00,9.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6094473,3.00,5.00,0.00,3.00,4.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6094481,4.00,3.00,0.00,2.00,7.00,11.63,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6094490,3.00,2.00,1.00,5.00,5.00,8.63,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6094503,2.00,3.00,1.00,4.00,6.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6094511,0.00,2.00,1.00,3.00,6.00,8.63,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6094538,7.00,4.00,3.00,4.00,8.00,8.25,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6094554,5.00,3.00,1.00,4.00,6.00,8.25,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6094562,6.00,6.00,4.00,4.00,8.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6094570,2.00,3.00,1.00,2.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6094589,4.00,5.00,5.00,5.00,8.00,10.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6094600,4.00,3.00,2.00,3.00,8.00,9.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6094627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6094635,7.00,5.00,1.00,6.00,7.00,10.88,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6094643,4.00,6.00,4.00,4.00,6.00,10.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6094660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6094678,8.00,6.00,4.00,7.00,9.00,10.50,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6094694,2.00,4.00,1.00,2.00,8.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6094708,8.00,6.00,4.00,5.00,7.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6094716,2.00,5.00,2.00,3.00,5.00,8.25,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6094724,8.00,8.00,4.00,6.00,9.00,10.13,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6094732,4.00,5.00,4.00,1.00,3.00,5.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6094740,4.00,5.00,2.00,6.00,5.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6094767,9.00,8.00,6.00,7.00,10.00,8.25,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6094775,5.00,6.00,3.00,6.00,7.00,9.38,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6094783,2.00,3.00,4.00,2.00,6.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6094791,3.00,5.00,2.00,7.00,7.00,5.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6094813,6.00,6.00,5.00,5.00,7.00,8.25,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6094821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6094856,4.00,7.00,2.00,4.00,8.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6094864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6094872,6.00,5.00,3.00,5.00,8.00,10.88,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6094880,7.00,6.00,3.00,7.00,7.00,9.38,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6094899,8.00,8.00,4.00,6.00,9.00,9.38,4.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6094902,2.00,2.00,0.00,2.00,4.00,6.38,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6094929,3.00,2.00,0.00,4.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6094937,3.00,2.00,1.00,3.00,4.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6094945,8.00,6.00,5.00,7.00,9.00,10.13,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6094961,2.00,5.00,0.00,3.00,6.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6094970,3.00,8.00,2.00,2.00,7.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6094988,7.00,7.00,4.00,7.00,10.00,7.88,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6094996,6.00,6.00,4.00,4.00,6.00,11.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6095003,7.00,6.00,3.00,4.00,10.00,10.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6095011,7.00,6.00,7.00,6.00,8.00,8.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6095020,7.00,8.00,7.00,6.00,9.00,10.13,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6095038,4.00,5.00,3.00,5.00,3.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6095046,1.00,4.00,1.00,2.00,7.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6095070,5.00,5.00,3.00,6.00,9.00,10.13,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6095089,5.00,5.00,1.00,7.00,9.00,9.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6095097,4.00,3.00,0.00,3.00,7.00,10.13,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6095119,0.00,1.00,0.00,2.00,6.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6095127,4.00,4.00,1.00,5.00,4.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6095151,4.00,3.00,1.00,2.00,5.00,7.88,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6095160,5.00,6.00,2.00,6.00,7.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6095178,6.00,6.00,5.00,5.00,8.00,10.50,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6095186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6095194,6.00,6.00,3.00,6.00,7.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6095216,2.00,1.00,1.00,5.00,6.00,9.38,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6095224,0.00,3.00,1.00,4.00,4.00,5.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6095232,4.00,5.00,4.00,3.00,5.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6095240,4.00,4.00,3.00,5.00,4.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6095259,7.00,7.00,0.00,5.00,10.00,11.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6095275,0.00,4.00,0.00,3.00,4.00,6.38,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6095283,5.00,3.00,2.00,4.00,5.00,8.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6095305,8.00,6.00,7.00,5.00,9.00,10.13,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6095313,2.00,3.00,1.00,3.00,3.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6095321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6095330,2.00,1.00,1.00,2.00,5.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6095348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6095356,1.00,4.00,3.00,5.00,3.00,5.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6095364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6095372,5.00,4.00,3.00,4.00,5.00,7.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6095380,9.00,6.00,5.00,7.00,9.00,11.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6095399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6095402,1.00,2.00,0.00,2.00,4.00,7.88,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6095410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6095429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6095445,2.00,6.00,4.00,4.00,7.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6095461,3.00,2.00,3.00,2.00,6.00,5.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6095488,4.00,4.00,1.00,3.00,4.00,6.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6095496,4.00,2.00,0.00,2.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6095526,2.00,4.00,0.00,0.00,4.00,7.13,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6095534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6095569,8.00,7.00,5.00,7.00,8.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6095585,2.00,4.00,1.00,2.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6095593,7.00,6.00,5.00,4.00,6.00,6.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6095607,3.00,3.00,2.00,1.00,7.00,6.75,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6095615,1.00,2.00,1.00,3.00,4.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6095623,6.00,6.00,2.00,7.00,9.00,11.25,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6095631,5.00,4.00,3.00,4.00,9.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6095640,5.00,7.00,0.00,3.00,7.00,10.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6095658,8.00,8.00,4.00,8.00,10.00,12.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6095666,7.00,8.00,4.00,5.00,10.00,11.25,2.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6095674,9.00,7.00,8.00,7.00,10.00,10.13,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6095682,4.00,3.00,2.00,5.00,5.00,9.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6095690,7.00,8.00,4.00,3.00,8.00,9.38,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6095704,3.00,3.00,1.00,3.00,5.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6095712,1.00,3.00,1.00,1.00,7.00,6.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6095720,6.00,5.00,6.00,6.00,8.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6095739,3.00,7.00,3.00,6.00,9.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6095747,4.00,4.00,3.00,7.00,7.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6095755,4.00,6.00,1.00,4.00,6.00,9.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6095763,5.00,5.00,6.00,7.00,8.00,NULL,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6095771,5.00,5.00,0.00,4.00,6.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6095780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6095798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6095801,2.00,2.00,0.00,2.00,5.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6095810,8.00,6.00,4.00,6.00,9.00,12.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6095828,8.00,6.00,5.00,6.00,8.00,7.88,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6095836,8.00,6.00,3.00,6.00,8.00,10.88,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6095852,2.00,4.00,2.00,1.00,5.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6095860,6.00,4.00,3.00,7.00,9.00,9.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6095879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6095887,2.00,2.00,0.00,1.00,1.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6095895,4.00,6.00,4.00,6.00,9.00,10.88,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6095909,2.00,0.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6095917,2.00,6.00,2.00,3.00,6.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6095925,0.00,5.00,3.00,3.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6095933,5.00,2.00,3.00,3.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6095941,3.00,5.00,3.00,6.00,7.00,NULL,4.00,7.00,0.00,NULL,NULL,NULL,'N'),(25,6095950,9.00,8.00,6.00,6.00,9.00,10.50,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6095968,3.00,2.00,2.00,3.00,7.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6095984,5.00,4.00,1.00,5.00,6.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6095992,8.00,6.00,7.00,7.00,9.00,10.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6096000,3.00,5.00,2.00,2.00,6.00,7.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6096018,4.00,5.00,4.00,6.00,8.00,8.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6096026,1.00,2.00,0.00,1.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6096034,2.00,3.00,3.00,4.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6096042,3.00,2.00,0.00,5.00,3.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6096077,2.00,4.00,1.00,2.00,3.00,0.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6096107,5.00,8.00,3.00,5.00,7.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6096115,6.00,5.00,6.00,6.00,7.00,9.38,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6096131,8.00,5.00,3.00,0.00,9.00,6.00,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6096140,8.00,7.00,6.00,6.00,9.00,10.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6096158,3.00,5.00,1.00,5.00,3.00,8.25,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6096166,5.00,4.00,4.00,6.00,9.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6096174,4.00,5.00,3.00,3.00,5.00,7.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6096182,7.00,6.00,4.00,3.00,9.00,9.00,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6096204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6096212,5.00,6.00,2.00,6.00,8.00,10.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6096220,7.00,6.00,4.00,4.00,9.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6096239,3.00,0.00,2.00,2.00,4.00,9.38,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6096247,4.00,6.00,4.00,2.00,4.00,6.38,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6096255,2.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6096263,3.00,2.00,1.00,2.00,5.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6096271,7.00,0.00,6.00,2.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6096280,7.00,7.00,2.00,4.00,8.00,9.75,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6096301,8.00,6.00,4.00,6.00,9.00,10.88,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6096310,6.00,6.00,2.00,5.00,8.00,8.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6096328,7.00,5.00,1.00,4.00,9.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6096344,7.00,4.00,3.00,3.00,5.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6096352,9.00,6.00,5.00,7.00,10.00,11.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6096360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6096387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6096395,2.00,6.00,1.00,2.00,5.00,9.75,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6096409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6096417,3.00,3.00,2.00,3.00,1.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6096425,3.00,6.00,2.00,6.00,6.00,8.63,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6096433,2.00,6.00,1.00,2.00,6.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6096441,2.00,3.00,3.00,4.00,8.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6096450,2.00,4.00,1.00,3.00,5.00,0.00,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6096468,2.00,3.00,2.00,0.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6096484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6096492,2.00,2.00,3.00,2.00,4.00,9.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6096506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6096514,8.00,6.00,7.00,5.00,8.00,10.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6096522,8.00,7.00,5.00,6.00,8.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6096530,4.00,2.00,3.00,4.00,9.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6096557,6.00,6.00,5.00,6.00,8.00,8.63,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6096565,4.00,3.00,2.00,3.00,8.00,10.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6096573,6.00,5.00,2.00,6.00,6.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6096581,2.00,5.00,0.00,2.00,7.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6096590,6.00,3.00,3.00,5.00,8.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6096603,1.00,5.00,1.00,7.00,2.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6096611,4.00,2.00,2.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6096620,3.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6096638,8.00,6.00,3.00,7.00,9.00,9.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6096646,5.00,5.00,1.00,3.00,8.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6096654,1.00,2.00,2.00,1.00,5.00,7.50,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6096670,8.00,6.00,4.00,7.00,10.00,11.63,1.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6096689,7.00,6.00,5.00,3.00,9.00,9.38,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6096700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6096719,5.00,5.00,6.00,3.00,8.00,9.38,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6096727,4.00,7.00,5.00,5.00,8.00,10.88,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6096735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6096743,9.00,7.00,7.00,6.00,11.00,9.38,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6096751,8.00,6.00,8.00,7.00,10.00,10.88,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6096760,6.00,4.00,1.00,7.00,7.00,9.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6096778,3.00,6.00,0.00,2.00,7.00,7.88,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6096786,2.00,2.00,1.00,5.00,8.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6096794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6096808,7.00,7.00,1.00,6.00,7.00,9.38,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6096824,3.00,5.00,3.00,2.00,6.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6096832,2.00,5.00,2.00,3.00,6.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6096840,3.00,4.00,1.00,3.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6096859,9.00,6.00,7.00,8.00,10.00,12.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6096867,4.00,6.00,3.00,7.00,9.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6096883,8.00,7.00,4.00,6.00,8.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6096891,8.00,6.00,3.00,8.00,9.00,9.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6096913,6.00,6.00,2.00,3.00,5.00,6.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6096930,9.00,8.00,8.00,7.00,10.00,9.00,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6096948,4.00,5.00,1.00,0.00,5.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6096956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6096964,8.00,7.00,5.00,3.00,8.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6096972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6096980,3.00,6.00,4.00,6.00,7.00,10.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6096999,3.00,4.00,1.00,2.00,4.00,6.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6097006,6.00,6.00,1.00,4.00,9.00,8.25,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6097014,3.00,3.00,2.00,2.00,5.00,6.38,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6097049,7.00,7.00,5.00,7.00,10.00,12.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6097057,3.00,5.00,4.00,6.00,7.00,6.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6097065,3.00,4.00,3.00,6.00,8.00,7.13,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6097073,3.00,4.00,0.00,6.00,8.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6097081,4.00,5.00,1.00,6.00,6.00,9.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6097090,3.00,5.00,0.00,4.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6097103,7.00,8.00,3.00,8.00,10.00,13.88,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6097111,2.00,6.00,2.00,6.00,5.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6097120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6097138,0.00,4.00,3.00,5.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6097146,2.00,5.00,3.00,4.00,5.00,9.75,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6097154,4.00,1.00,2.00,2.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6097162,4.00,6.00,6.00,4.00,6.00,6.75,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6097170,8.00,7.00,6.00,5.00,10.00,9.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6097189,3.00,4.00,1.00,4.00,9.00,6.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6097197,5.00,3.00,3.00,4.00,6.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6097200,5.00,6.00,3.00,5.00,5.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6097219,5.00,7.00,2.00,5.00,6.00,7.13,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6097227,8.00,5.00,7.00,5.00,9.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6097235,8.00,8.00,2.00,5.00,10.00,11.63,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6097243,4.00,3.00,3.00,2.00,7.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6097251,9.00,9.00,6.00,7.00,10.00,11.25,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6097286,2.00,6.00,0.00,1.00,6.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6097308,4.00,6.00,6.00,7.00,5.00,8.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6097316,6.00,6.00,1.00,5.00,8.00,7.88,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6097332,3.00,4.00,1.00,3.00,7.00,9.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6097340,9.00,8.00,7.00,6.00,10.00,9.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6097359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6097375,9.00,4.00,3.00,7.00,9.00,10.13,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6097383,9.00,7.00,6.00,7.00,9.00,10.50,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6097391,4.00,5.00,2.00,5.00,7.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6097405,2.00,6.00,0.00,2.00,3.00,5.25,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6097413,2.00,4.00,1.00,3.00,5.00,4.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6097421,3.00,6.00,3.00,6.00,5.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6097430,5.00,6.00,2.00,5.00,6.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6097448,5.00,5.00,2.00,4.00,8.00,9.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6097456,4.00,4.00,1.00,2.00,4.00,8.25,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6097464,2.00,2.00,0.00,2.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,'S','N'),(25,6097472,6.00,4.00,3.00,6.00,8.00,8.25,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6097480,5.00,6.00,3.00,5.00,7.00,9.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6097502,5.00,4.00,1.00,1.00,7.00,7.13,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6097510,4.00,4.00,3.00,4.00,8.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6097529,5.00,6.00,4.00,4.00,5.00,6.75,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6097537,4.00,4.00,2.00,3.00,5.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6097553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6097561,8.00,7.00,3.00,4.00,9.00,10.88,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6097570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6097588,6.00,5.00,4.00,6.00,6.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6097596,7.00,7.00,4.00,7.00,8.00,7.50,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6097618,5.00,7.00,4.00,6.00,6.00,10.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6097626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6097634,6.00,8.00,1.00,6.00,7.00,10.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6097642,5.00,4.00,2.00,6.00,8.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6097669,5.00,4.00,0.00,4.00,8.00,8.63,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6097677,4.00,6.00,3.00,5.00,6.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6097685,9.00,7.00,7.00,8.00,10.00,10.88,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6097693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6097707,3.00,0.00,2.00,0.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6097715,3.00,3.00,2.00,2.00,7.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6097723,6.00,4.00,1.00,4.00,6.00,7.50,1.00,6.00,6.00,NULL,NULL,NULL,'S'),(25,6097731,3.00,4.00,2.00,5.00,10.00,6.75,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6097740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6097758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6097766,3.00,7.00,2.00,5.00,5.00,8.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6097774,6.00,5.00,4.00,6.00,6.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6097782,4.00,5.00,3.00,3.00,5.00,9.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6097790,2.00,3.00,2.00,1.00,5.00,7.13,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6097804,7.00,5.00,3.00,4.00,9.00,10.50,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6097812,6.00,5.00,3.00,2.00,5.00,6.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6097820,7.00,5.00,3.00,4.00,9.00,8.63,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6097839,4.00,6.00,2.00,4.00,8.00,7.50,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6097847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6097855,6.00,5.00,3.00,6.00,8.00,9.38,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6097863,4.00,5.00,2.00,5.00,4.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6097871,7.00,7.00,3.00,4.00,8.00,12.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6097880,5.00,5.00,3.00,7.00,7.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6097898,4.00,5.00,2.00,5.00,6.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6097901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6097910,7.00,7.00,2.00,5.00,6.00,8.63,0.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6097936,8.00,7.00,4.00,6.00,8.00,10.88,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6097944,9.00,6.00,3.00,6.00,8.00,9.75,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6097952,3.00,4.00,2.00,5.00,6.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6097960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6097979,3.00,3.00,0.00,4.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6097987,3.00,4.00,1.00,5.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6097995,1.00,2.00,2.00,1.00,3.00,5.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6098002,5.00,3.00,0.00,2.00,6.00,10.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6098010,6.00,4.00,3.00,7.00,8.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6098029,5.00,7.00,7.00,7.00,7.00,11.63,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6098037,8.00,7.00,7.00,7.00,9.00,8.63,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6098045,8.00,6.00,2.00,7.00,8.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6098070,2.00,4.00,1.00,4.00,3.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6098096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6098100,6.00,6.00,7.00,7.00,9.00,10.13,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6098126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6098142,8.00,6.00,4.00,5.00,6.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6098150,4.00,2.00,1.00,5.00,3.00,7.88,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6098169,7.00,5.00,3.00,6.00,10.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6098177,7.00,7.00,6.00,6.00,8.00,9.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6098193,2.00,2.00,3.00,3.00,5.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6098215,6.00,6.00,1.00,2.00,3.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6098223,4.00,4.00,0.00,3.00,5.00,4.88,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6098231,1.00,3.00,0.00,4.00,7.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6098240,3.00,5.00,2.00,5.00,8.00,10.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6098258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6098266,7.00,6.00,7.00,6.00,8.00,10.13,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6098282,4.00,3.00,2.00,1.00,4.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6098290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6098304,5.00,0.00,2.00,6.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(25,6098312,7.00,6.00,1.00,6.00,9.00,9.75,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6098339,3.00,3.00,2.00,3.00,6.00,9.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6098347,2.00,1.00,3.00,5.00,7.00,7.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6098355,6.00,6.00,4.00,6.00,9.00,8.25,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6098363,6.00,4.00,4.00,7.00,9.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6098371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6098398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6098401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6098410,4.00,5.00,0.00,5.00,10.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6098428,2.00,3.00,2.00,2.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6098436,5.00,3.00,5.00,5.00,6.00,10.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6098444,8.00,6.00,5.00,7.00,9.00,9.38,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6098452,7.00,7.00,6.00,6.00,6.00,10.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6098460,3.00,5.00,0.00,1.00,4.00,3.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6098479,0.00,5.00,1.00,3.00,8.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6098495,7.00,6.00,5.00,7.00,7.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6098509,5.00,3.00,4.00,3.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6098517,5.00,4.00,0.00,7.00,7.00,NULL,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6098525,2.00,2.00,0.00,1.00,4.00,5.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6098533,7.00,6.00,4.00,8.00,8.00,10.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6098550,6.00,5.00,3.00,7.00,10.00,11.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6098568,7.00,7.00,3.00,6.00,10.00,11.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6098576,9.00,6.00,6.00,4.00,9.00,9.00,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6098584,4.00,4.00,2.00,4.00,8.00,10.13,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6098592,9.00,6.00,7.00,3.00,7.00,9.38,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6098606,3.00,3.00,2.00,3.00,5.00,8.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6098622,7.00,5.00,5.00,6.00,8.00,11.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6098630,6.00,6.00,5.00,6.00,7.00,10.88,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6098649,5.00,4.00,3.00,4.00,3.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6098657,4.00,5.00,4.00,4.00,7.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6098665,6.00,6.00,2.00,6.00,10.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6098673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6098681,5.00,5.00,3.00,3.00,8.00,8.63,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6098690,7.00,7.00,6.00,7.00,9.00,9.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6098703,8.00,6.00,4.00,7.00,8.00,10.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6098720,6.00,3.00,3.00,6.00,6.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6098738,6.00,4.00,2.00,4.00,8.00,10.13,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6098746,7.00,7.00,5.00,6.00,8.00,10.13,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6098754,2.00,3.00,0.00,3.00,3.00,4.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6098762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6098789,6.00,6.00,4.00,3.00,8.00,10.13,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6098797,7.00,8.00,5.00,6.00,9.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6098800,4.00,7.00,2.00,5.00,7.00,6.75,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6098827,6.00,5.00,1.00,4.00,5.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6098835,6.00,6.00,2.00,5.00,7.00,10.88,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6098843,2.00,5.00,3.00,5.00,6.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6098851,2.00,3.00,0.00,4.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6098860,7.00,6.00,3.00,6.00,8.00,9.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6098886,1.00,6.00,0.00,2.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6098894,5.00,4.00,2.00,4.00,4.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6098908,3.00,4.00,2.00,3.00,7.00,8.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6098940,3.00,5.00,0.00,5.00,6.00,8.63,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6098959,3.00,5.00,0.00,7.00,7.00,6.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6098967,4.00,4.00,0.00,3.00,6.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6098975,6.00,7.00,5.00,6.00,10.00,9.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6098983,3.00,4.00,0.00,2.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6098991,6.00,6.00,4.00,5.00,8.00,7.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6099009,3.00,5.00,1.00,4.00,8.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6099017,4.00,5.00,3.00,6.00,8.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6099050,2.00,4.00,3.00,3.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6099076,7.00,7.00,4.00,5.00,9.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6099084,2.00,3.00,1.00,3.00,5.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6099092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6099106,8.00,8.00,4.00,6.00,9.00,8.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6099114,2.00,3.00,1.00,3.00,3.00,8.25,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6099130,1.00,4.00,1.00,4.00,7.00,9.00,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6099157,5.00,3.00,2.00,4.00,9.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6099165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6099173,6.00,5.00,7.00,6.00,8.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6099181,2.00,4.00,0.00,6.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6099190,7.00,7.00,7.00,7.00,9.00,9.38,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6099203,4.00,4.00,1.00,3.00,10.00,9.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6099238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6099246,6.00,5.00,3.00,5.00,6.00,7.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6099254,1.00,3.00,1.00,2.00,2.00,NULL,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6099262,2.00,5.00,4.00,6.00,7.00,9.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6099270,3.00,6.00,1.00,7.00,7.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6099289,2.00,3.00,1.00,2.00,4.00,7.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6099297,7.00,3.00,3.00,4.00,7.00,7.13,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6099300,9.00,7.00,5.00,5.00,8.00,8.63,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6099319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6099327,7.00,5.00,5.00,6.00,5.00,9.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6099335,3.00,5.00,1.00,5.00,6.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6099343,3.00,5.00,0.00,3.00,3.00,7.13,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6099351,6.00,8.00,2.00,7.00,10.00,9.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6099360,4.00,5.00,4.00,6.00,6.00,10.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6099378,3.00,4.00,3.00,4.00,5.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6099394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6099408,6.00,7.00,5.00,5.00,8.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6099416,7.00,6.00,3.00,7.00,9.00,9.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6099440,2.00,4.00,4.00,2.00,4.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6099459,2.00,4.00,3.00,3.00,3.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6099475,4.00,6.00,2.00,7.00,8.00,7.88,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6099483,5.00,7.00,3.00,7.00,9.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6099491,4.00,9.00,0.00,6.00,7.00,9.75,2.00,7.00,0.00,NULL,NULL,NULL,'N'),(25,6099505,4.00,4.00,3.00,3.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6099513,3.00,3.00,1.00,2.00,5.00,NULL,1.00,0.00,4.00,NULL,NULL,'S','N'),(25,6099530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6099564,6.00,5.00,2.00,5.00,7.00,6.00,3.00,1.00,7.00,NULL,NULL,NULL,'N'),(25,6099572,0.00,2.00,3.00,2.00,7.00,8.25,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6099580,4.00,3.00,1.00,3.00,6.00,8.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6099610,6.00,5.00,2.00,6.00,9.00,10.13,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6099629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6099637,6.00,8.00,3.00,5.00,8.00,11.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6099645,5.00,6.00,2.00,4.00,8.00,8.63,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6099653,4.00,4.00,2.00,3.00,7.00,5.63,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6099661,5.00,7.00,2.00,7.00,9.00,10.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6099696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6099700,8.00,7.00,6.00,6.00,11.00,9.38,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6099718,5.00,7.00,2.00,4.00,7.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6099726,3.00,7.00,1.00,4.00,7.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6099742,6.00,4.00,4.00,7.00,6.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6099750,7.00,6.00,4.00,4.00,7.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6099769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6099777,0.00,1.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6099785,2.00,5.00,0.00,4.00,6.00,8.63,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6099793,2.00,2.00,1.00,3.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6099807,4.00,6.00,1.00,7.00,10.00,12.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6099815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6099823,3.00,3.00,2.00,3.00,4.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6099858,3.00,6.00,5.00,6.00,7.00,6.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6099866,7.00,7.00,6.00,5.00,7.00,9.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6099874,4.00,6.00,5.00,4.00,3.00,9.38,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6099882,9.00,6.00,5.00,6.00,8.00,9.38,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6099890,6.00,3.00,0.00,6.00,6.00,6.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6099904,3.00,3.00,1.00,5.00,6.00,8.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6099912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6099920,7.00,3.00,3.00,6.00,8.00,10.88,1.00,1.00,8.00,NULL,NULL,NULL,'N'),(25,6099939,4.00,5.00,4.00,4.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,'S','S'),(25,6099947,4.00,5.00,2.00,6.00,7.00,9.38,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6099955,8.00,7.00,7.00,7.00,9.00,11.63,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6099963,7.00,4.00,7.00,5.00,7.00,9.75,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6099998,2.00,2.00,1.00,3.00,3.00,6.38,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6100007,7.00,8.00,4.00,5.00,8.00,9.38,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6100015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6100031,1.00,6.00,1.00,2.00,4.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6100040,2.00,4.00,3.00,4.00,7.00,7.50,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6100058,5.00,2.00,3.00,6.00,8.00,5.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6100066,6.00,7.00,1.00,4.00,5.00,5.25,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6100074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6100082,4.00,5.00,1.00,6.00,7.00,8.63,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6100090,2.00,5.00,4.00,3.00,7.00,7.50,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6100104,5.00,6.00,3.00,6.00,7.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6100112,7.00,8.00,4.00,6.00,7.00,10.88,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6100120,1.00,6.00,1.00,5.00,10.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6100139,3.00,6.00,2.00,3.00,5.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6100155,2.00,6.00,2.00,0.00,7.00,10.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6100163,2.00,2.00,1.00,4.00,7.00,9.75,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6100171,5.00,8.00,6.00,4.00,7.00,9.38,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6100180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6100198,2.00,4.00,0.00,2.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6100201,3.00,6.00,1.00,6.00,8.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6100210,4.00,5.00,2.00,4.00,8.00,9.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6100228,7.00,7.00,3.00,6.00,9.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6100236,1.00,5.00,0.00,3.00,7.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6100244,5.00,4.00,0.00,3.00,6.00,10.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6100252,5.00,4.00,5.00,6.00,8.00,8.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6100260,7.00,7.00,2.00,4.00,5.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6100279,4.00,4.00,5.00,2.00,3.00,0.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6100287,3.00,4.00,3.00,4.00,6.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6100295,2.00,3.00,0.00,3.00,3.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6100309,6.00,7.00,5.00,4.00,9.00,9.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6100317,8.00,5.00,3.00,6.00,9.00,11.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6100325,8.00,6.00,5.00,6.00,8.00,11.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6100341,6.00,6.00,2.00,7.00,5.00,8.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6100376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6100384,3.00,2.00,0.00,5.00,9.00,9.38,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6100406,9.00,8.00,6.00,6.00,9.00,8.25,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6100414,2.00,4.00,2.00,2.00,7.00,8.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6100422,2.00,3.00,1.00,0.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6100430,3.00,5.00,3.00,2.00,9.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6100449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6100457,6.00,6.00,7.00,6.00,8.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6100465,5.00,4.00,3.00,4.00,6.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6100473,8.00,8.00,8.00,5.00,10.00,11.25,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6100481,4.00,4.00,1.00,1.00,7.00,8.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6100490,5.00,5.00,3.00,5.00,10.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6100503,5.00,7.00,5.00,7.00,7.00,7.88,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6100520,9.00,6.00,4.00,5.00,8.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6100538,7.00,6.00,3.00,4.00,5.00,8.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6100546,2.00,5.00,1.00,0.00,5.00,8.63,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6100554,8.00,7.00,4.00,4.00,8.00,7.13,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6100562,7.00,6.00,4.00,6.00,8.00,9.75,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6100570,3.00,7.00,2.00,5.00,5.00,0.00,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6100589,4.00,4.00,3.00,4.00,10.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6100597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6100600,7.00,7.00,4.00,7.00,7.00,10.50,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6100619,5.00,5.00,5.00,6.00,8.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6100627,7.00,7.00,4.00,6.00,8.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6100635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6100643,2.00,5.00,6.00,4.00,7.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6100651,3.00,6.00,4.00,6.00,6.00,6.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6100660,8.00,9.00,4.00,7.00,10.00,10.88,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6100678,6.00,7.00,5.00,7.00,8.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6100686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6100694,3.00,5.00,2.00,5.00,7.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6100708,9.00,8.00,4.00,5.00,8.00,7.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6100716,7.00,6.00,3.00,6.00,9.00,9.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6100724,7.00,4.00,6.00,5.00,7.00,9.75,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6100732,7.00,7.00,2.00,5.00,8.00,9.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6100740,5.00,6.00,2.00,6.00,5.00,10.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6100767,3.00,3.00,1.00,4.00,7.00,6.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6100775,2.00,5.00,0.00,3.00,7.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6100783,9.00,7.00,6.00,5.00,8.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6100791,3.00,4.00,2.00,3.00,8.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6100805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6100813,5.00,5.00,2.00,4.00,5.00,6.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6100830,1.00,2.00,0.00,2.00,4.00,6.75,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6100856,9.00,6.00,9.00,5.00,10.00,12.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6100864,2.00,3.00,0.00,1.00,3.00,6.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6100872,2.00,2.00,1.00,2.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6100899,5.00,6.00,1.00,1.00,6.00,10.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6100910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6100937,1.00,5.00,0.00,2.00,6.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6100945,5.00,5.00,2.00,6.00,9.00,11.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6100953,2.00,8.00,1.00,3.00,5.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6100961,4.00,5.00,0.00,2.00,6.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6100970,8.00,7.00,7.00,6.00,9.00,11.63,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6100988,4.00,4.00,2.00,3.00,3.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6100996,4.00,3.00,3.00,2.00,5.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6101011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6101020,4.00,6.00,0.00,1.00,8.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6101038,3.00,2.00,3.00,5.00,7.00,8.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6101046,4.00,3.00,3.00,6.00,7.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6101054,4.00,4.00,3.00,3.00,5.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'S'),(25,6101062,5.00,6.00,0.00,6.00,9.00,9.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6101070,2.00,3.00,1.00,2.00,3.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6101089,4.00,4.00,1.00,4.00,5.00,9.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6101119,3.00,6.00,1.00,5.00,8.00,8.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6101127,3.00,4.00,2.00,5.00,6.00,7.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6101135,5.00,5.00,4.00,4.00,9.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6101143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6101151,4.00,4.00,0.00,4.00,6.00,6.75,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6101160,7.00,8.00,6.00,4.00,10.00,7.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6101178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6101186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6101208,0.00,2.00,1.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6101216,2.00,5.00,1.00,2.00,4.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6101232,7.00,6.00,4.00,2.00,10.00,8.25,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6101240,5.00,2.00,1.00,4.00,1.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6101259,5.00,5.00,3.00,4.00,5.00,11.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6101275,8.00,8.00,5.00,7.00,10.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6101283,3.00,3.00,1.00,3.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6101291,8.00,7.00,7.00,4.00,10.00,10.13,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6101305,4.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6101313,2.00,5.00,3.00,4.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6101321,3.00,5.00,3.00,5.00,8.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6101330,4.00,6.00,3.00,4.00,5.00,0.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6101348,3.00,7.00,1.00,4.00,4.00,7.88,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6101380,2.00,2.00,2.00,2.00,4.00,5.63,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6101399,4.00,2.00,2.00,5.00,6.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6101402,5.00,5.00,2.00,6.00,6.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6101410,7.00,5.00,4.00,2.00,7.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6101429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6101437,2.00,3.00,1.00,5.00,4.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6101461,4.00,5.00,0.00,3.00,6.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6101470,1.00,2.00,1.00,1.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6101488,2.00,4.00,1.00,5.00,7.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6101496,2.00,3.00,2.00,6.00,7.00,11.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6101500,9.00,7.00,6.00,6.00,10.00,12.38,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6101518,7.00,6.00,6.00,4.00,8.00,9.00,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6101526,6.00,7.00,4.00,4.00,4.00,6.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6101534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6101542,1.00,2.00,3.00,2.00,4.00,7.50,2.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6101550,4.00,6.00,1.00,6.00,7.00,9.38,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6101569,9.00,5.00,6.00,6.00,8.00,12.00,3.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6101577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6101585,5.00,6.00,7.00,7.00,6.00,9.00,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6101593,4.00,4.00,3.00,3.00,6.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6101607,8.00,5.00,4.00,5.00,7.00,9.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6101615,3.00,4.00,2.00,5.00,7.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6101623,2.00,5.00,1.00,4.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6101631,4.00,3.00,1.00,3.00,5.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6101658,8.00,7.00,2.00,6.00,10.00,10.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6101682,7.00,8.00,2.00,5.00,9.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6101690,4.00,6.00,5.00,5.00,9.00,8.25,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6101704,4.00,5.00,3.00,7.00,10.00,10.13,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6101712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6101720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6101739,7.00,6.00,4.00,7.00,9.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6101747,7.00,5.00,7.00,4.00,9.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6101755,8.00,7.00,3.00,7.00,9.00,11.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6101771,7.00,6.00,6.00,7.00,10.00,10.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6101780,4.00,7.00,1.00,3.00,5.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6101798,8.00,6.00,5.00,4.00,7.00,10.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6101801,5.00,7.00,5.00,5.00,9.00,11.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6101810,5.00,5.00,5.00,5.00,7.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6101828,5.00,5.00,6.00,3.00,7.00,10.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6101844,5.00,6.00,6.00,5.00,7.00,6.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6101852,3.00,7.00,2.00,3.00,5.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6101860,7.00,2.00,5.00,7.00,7.00,6.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6101879,7.00,5.00,7.00,7.00,10.00,9.00,0.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6101909,0.00,5.00,0.00,3.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6101917,9.00,8.00,5.00,4.00,8.00,9.38,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6101925,6.00,6.00,2.00,4.00,6.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6101933,7.00,7.00,7.00,5.00,10.00,9.38,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6101941,6.00,7.00,1.00,7.00,8.00,8.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6101950,2.00,3.00,2.00,2.00,4.00,7.50,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6101968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6101976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6101984,3.00,6.00,4.00,5.00,8.00,7.88,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6101992,7.00,7.00,6.00,7.00,7.00,7.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6102000,9.00,8.00,5.00,7.00,9.00,10.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6102018,2.00,5.00,1.00,5.00,8.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6102034,4.00,6.00,5.00,5.00,6.00,9.75,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6102042,8.00,8.00,5.00,8.00,11.00,9.75,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6102050,4.00,4.00,3.00,6.00,7.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6102069,8.00,7.00,6.00,7.00,10.00,9.75,4.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6102077,1.00,6.00,1.00,3.00,3.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6102085,8.00,8.00,8.00,7.00,9.00,10.13,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6102093,6.00,7.00,5.00,7.00,8.00,9.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6102123,6.00,5.00,5.00,5.00,9.00,11.25,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6102131,7.00,5.00,4.00,6.00,6.00,8.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6102140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6102158,1.00,4.00,0.00,2.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6102174,6.00,6.00,3.00,6.00,5.00,10.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6102182,8.00,7.00,4.00,8.00,7.00,10.13,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6102190,6.00,5.00,3.00,5.00,7.00,10.13,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6102204,6.00,6.00,3.00,5.00,5.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6102212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6102220,4.00,5.00,3.00,6.00,4.00,9.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6102239,7.00,7.00,5.00,7.00,10.00,9.38,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6102247,4.00,6.00,1.00,5.00,4.00,6.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6102255,0.00,6.00,0.00,4.00,7.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6102263,4.00,6.00,3.00,3.00,6.00,12.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6102280,5.00,3.00,2.00,5.00,7.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6102298,0.00,3.00,1.00,1.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6102301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6102310,6.00,6.00,3.00,6.00,7.00,11.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6102328,5.00,5.00,4.00,5.00,9.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6102336,1.00,3.00,1.00,4.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6102344,3.00,6.00,3.00,2.00,6.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6102352,6.00,5.00,4.00,6.00,10.00,12.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6102360,4.00,5.00,1.00,5.00,7.00,8.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6102387,3.00,7.00,2.00,2.00,7.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6102409,3.00,4.00,3.00,2.00,7.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6102417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6102425,3.00,6.00,1.00,3.00,6.00,6.75,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6102433,8.00,8.00,2.00,7.00,10.00,10.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6102441,6.00,8.00,8.00,6.00,10.00,12.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6102450,8.00,5.00,1.00,3.00,8.00,5.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6102468,6.00,6.00,3.00,5.00,8.00,9.38,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6102476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6102484,3.00,4.00,1.00,6.00,6.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6102492,9.00,7.00,5.00,7.00,11.00,9.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6102506,2.00,4.00,3.00,6.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6102514,5.00,7.00,4.00,6.00,6.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6102522,3.00,6.00,3.00,6.00,6.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6102530,7.00,5.00,4.00,7.00,9.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6102549,1.00,3.00,2.00,3.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6102557,8.00,2.00,1.00,2.00,6.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6102565,7.00,7.00,3.00,6.00,10.00,11.63,0.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6102573,2.00,4.00,1.00,3.00,6.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6102581,8.00,6.00,4.00,6.00,9.00,12.38,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6102603,7.00,4.00,4.00,5.00,6.00,7.13,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6102611,5.00,3.00,3.00,4.00,4.00,7.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6102620,4.00,5.00,1.00,6.00,10.00,10.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6102638,2.00,2.00,2.00,1.00,4.00,8.25,2.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6102646,3.00,3.00,2.00,4.00,5.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6102654,3.00,5.00,3.00,2.00,9.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6102662,6.00,4.00,1.00,5.00,5.00,8.25,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6102670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6102689,3.00,4.00,1.00,5.00,5.00,9.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6102697,2.00,4.00,1.00,1.00,6.00,7.13,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6102719,8.00,8.00,5.00,6.00,9.00,10.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6102735,4.00,7.00,3.00,7.00,2.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6102743,7.00,6.00,2.00,4.00,8.00,9.38,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6102751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6102760,5.00,6.00,6.00,6.00,7.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6102778,9.00,5.00,5.00,7.00,8.00,10.50,1.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6102786,8.00,7.00,4.00,6.00,9.00,9.38,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6102794,7.00,6.00,0.00,7.00,7.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6102808,4.00,5.00,2.00,2.00,7.00,7.88,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6102816,5.00,5.00,1.00,6.00,8.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6102824,8.00,6.00,7.00,6.00,10.00,9.00,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6102832,3.00,4.00,2.00,2.00,4.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6102840,5.00,7.00,7.00,7.00,9.00,11.63,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6102859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6102867,3.00,7.00,1.00,4.00,6.00,8.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6102875,6.00,6.00,3.00,5.00,8.00,12.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6102883,5.00,5.00,3.00,7.00,8.00,10.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6102891,6.00,6.00,4.00,7.00,5.00,8.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6102905,7.00,7.00,2.00,5.00,5.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6102913,3.00,2.00,1.00,1.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6102930,3.00,5.00,0.00,2.00,7.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6102948,6.00,7.00,5.00,6.00,9.00,9.00,1.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6102956,8.00,5.00,4.00,7.00,7.00,10.50,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6102964,8.00,8.00,4.00,6.00,10.00,10.88,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6102972,4.00,6.00,6.00,6.00,9.00,8.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6102980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6102999,7.00,5.00,3.00,6.00,10.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6103006,6.00,7.00,4.00,4.00,7.00,6.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6103014,7.00,5.00,4.00,6.00,10.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6103022,3.00,3.00,1.00,3.00,7.00,5.63,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6103030,7.00,7.00,5.00,4.00,7.00,10.88,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6103049,4.00,2.00,1.00,2.00,8.00,8.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6103065,9.00,0.00,5.00,7.00,10.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6103073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6103081,3.00,5.00,2.00,4.00,7.00,9.75,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6103111,8.00,7.00,2.00,5.00,8.00,9.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6103120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6103138,2.00,2.00,0.00,3.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6103146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6103154,3.00,3.00,1.00,0.00,5.00,9.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6103162,3.00,5.00,1.00,2.00,3.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6103170,4.00,6.00,3.00,3.00,5.00,6.00,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6103189,5.00,4.00,2.00,3.00,5.00,9.38,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6103197,6.00,6.00,7.00,7.00,8.00,9.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6103200,7.00,5.00,3.00,5.00,7.00,7.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6103219,7.00,6.00,6.00,6.00,8.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6103227,8.00,7.00,2.00,6.00,9.00,10.88,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6103235,2.00,4.00,4.00,6.00,8.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6103243,0.00,5.00,0.00,0.00,0.00,NULL,0.00,6.00,5.00,'S',NULL,NULL,'N'),(25,6103251,3.00,5.00,0.00,5.00,6.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6103260,6.00,5.00,2.00,5.00,9.00,12.38,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6103278,3.00,5.00,4.00,5.00,6.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6103286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6103294,2.00,2.00,0.00,2.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6103308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6103316,8.00,7.00,4.00,7.00,8.00,12.00,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6103340,3.00,6.00,0.00,5.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6103367,3.00,7.00,2.00,4.00,5.00,7.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6103375,3.00,5.00,3.00,4.00,6.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6103383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6103391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6103413,9.00,6.00,6.00,7.00,9.00,9.75,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6103421,8.00,7.00,3.00,6.00,8.00,11.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6103430,7.00,5.00,3.00,6.00,7.00,9.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6103448,7.00,5.00,4.00,7.00,8.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'S'),(25,6103464,8.00,7.00,3.00,6.00,10.00,11.25,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6103472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6103480,4.00,3.00,1.00,1.00,6.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6103499,8.00,7.00,4.00,4.00,8.00,10.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6103502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6103529,4.00,6.00,3.00,3.00,8.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6103537,3.00,4.00,2.00,4.00,7.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6103553,4.00,6.00,4.00,6.00,9.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6103561,5.00,4.00,2.00,3.00,5.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6103570,2.00,6.00,3.00,8.00,8.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6103588,5.00,6.00,2.00,5.00,6.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6103596,6.00,5.00,2.00,3.00,8.00,9.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6103600,2.00,7.00,3.00,6.00,7.00,10.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6103618,4.00,5.00,1.00,4.00,7.00,7.88,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6103626,9.00,7.00,6.00,5.00,9.00,11.63,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6103642,4.00,4.00,1.00,6.00,8.00,9.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6103669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6103677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6103693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6103707,6.00,7.00,3.00,5.00,5.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6103723,5.00,6.00,3.00,4.00,7.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6103731,5.00,5.00,5.00,6.00,10.00,10.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6103740,5.00,2.00,2.00,4.00,8.00,8.25,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6103758,3.00,5.00,2.00,2.00,4.00,6.75,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6103766,2.00,6.00,3.00,1.00,6.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6103774,5.00,6.00,1.00,6.00,8.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6103782,6.00,4.00,4.00,3.00,4.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6103790,3.00,7.00,3.00,5.00,5.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6103804,4.00,6.00,2.00,6.00,8.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6103812,3.00,7.00,1.00,3.00,3.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6103820,8.00,6.00,4.00,7.00,9.00,10.50,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6103839,6.00,6.00,3.00,6.00,3.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6103847,6.00,5.00,5.00,5.00,8.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6103855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6103863,4.00,9.00,2.00,2.00,8.00,10.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6103871,2.00,1.00,1.00,2.00,3.00,8.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6103880,4.00,8.00,2.00,1.00,7.00,8.63,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6103898,6.00,6.00,5.00,4.00,6.00,7.88,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6103901,6.00,6.00,6.00,6.00,9.00,7.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6103928,7.00,4.00,1.00,3.00,6.00,9.38,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6103944,0.00,4.00,1.00,2.00,5.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6103952,8.00,7.00,4.00,8.00,10.00,10.88,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6103960,9.00,9.00,8.00,5.00,9.00,10.50,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6103987,4.00,3.00,2.00,3.00,7.00,7.50,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6103995,6.00,6.00,3.00,3.00,7.00,11.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6104002,4.00,4.00,2.00,4.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6104010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6104045,8.00,6.00,4.00,0.00,3.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6104053,5.00,6.00,1.00,3.00,5.00,6.75,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6104070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6104100,3.00,3.00,3.00,2.00,6.00,5.63,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6104118,8.00,6.00,3.00,5.00,9.00,11.63,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6104126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6104134,7.00,8.00,3.00,6.00,10.00,12.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6104142,8.00,5.00,3.00,6.00,10.00,8.25,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6104169,4.00,4.00,2.00,5.00,5.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6104177,6.00,5.00,2.00,4.00,8.00,9.75,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6104185,4.00,6.00,2.00,5.00,6.00,9.75,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6104193,3.00,6.00,3.00,7.00,7.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6104207,4.00,5.00,1.00,4.00,8.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6104215,5.00,6.00,3.00,6.00,10.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6104223,7.00,7.00,3.00,6.00,9.00,11.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6104231,3.00,3.00,2.00,4.00,4.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'S'),(25,6104240,2.00,7.00,3.00,6.00,10.00,12.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6104258,9.00,6.00,6.00,7.00,9.00,12.38,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6104266,8.00,6.00,4.00,4.00,9.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6104282,4.00,3.00,2.00,5.00,7.00,5.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6104290,2.00,3.00,2.00,4.00,7.00,10.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6104304,6.00,5.00,3.00,4.00,8.00,8.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6104312,3.00,2.00,1.00,0.00,3.00,5.25,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6104320,6.00,5.00,1.00,3.00,8.00,10.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6104339,5.00,5.00,2.00,2.00,7.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6104347,8.00,6.00,2.00,5.00,8.00,10.13,3.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6104363,4.00,7.00,3.00,5.00,9.00,9.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6104371,6.00,5.00,3.00,4.00,4.00,6.38,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6104380,5.00,7.00,6.00,4.00,9.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6104398,4.00,5.00,1.00,3.00,5.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6104401,9.00,7.00,6.00,6.00,9.00,9.00,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6104410,8.00,6.00,4.00,6.00,7.00,9.38,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6104428,2.00,3.00,2.00,4.00,5.00,7.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6104444,2.00,3.00,1.00,0.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6104452,8.00,6.00,5.00,7.00,9.00,11.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6104460,6.00,4.00,2.00,4.00,7.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6104479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6104487,5.00,4.00,2.00,3.00,7.00,9.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6104495,8.00,5.00,5.00,7.00,9.00,10.13,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6104509,4.00,7.00,5.00,6.00,8.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6104517,7.00,4.00,6.00,7.00,10.00,12.75,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6104533,4.00,7.00,3.00,6.00,7.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6104541,7.00,4.00,5.00,6.00,9.00,4.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6104550,5.00,5.00,0.00,3.00,9.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6104568,4.00,6.00,2.00,4.00,5.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6104606,5.00,6.00,3.00,6.00,8.00,10.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6104614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6104630,6.00,7.00,4.00,5.00,6.00,9.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6104649,7.00,6.00,8.00,7.00,8.00,13.88,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6104665,5.00,3.00,2.00,4.00,8.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6104673,3.00,7.00,2.00,2.00,7.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6104681,4.00,5.00,2.00,7.00,10.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6104690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6104703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6104720,8.00,7.00,3.00,4.00,9.00,8.63,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6104738,7.00,5.00,8.00,7.00,5.00,9.38,5.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6104746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6104754,7.00,7.00,1.00,5.00,8.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6104762,5.00,4.00,2.00,3.00,8.00,9.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6104770,8.00,8.00,5.00,6.00,8.00,10.13,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6104789,7.00,8.00,5.00,8.00,8.00,7.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6104797,3.00,5.00,1.00,5.00,7.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6104800,7.00,5.00,1.00,5.00,7.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6104819,7.00,8.00,5.00,6.00,10.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6104827,3.00,5.00,4.00,4.00,7.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6104835,9.00,6.00,2.00,7.00,10.00,9.38,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6104843,5.00,5.00,3.00,5.00,4.00,6.00,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6104851,3.00,3.00,2.00,3.00,5.00,6.38,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6104860,3.00,6.00,1.00,2.00,8.00,10.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6104886,4.00,5.00,2.00,4.00,8.00,10.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6104894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6104908,4.00,6.00,2.00,4.00,5.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6104916,5.00,5.00,3.00,4.00,10.00,7.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6104932,6.00,9.00,5.00,7.00,7.00,7.88,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6104940,3.00,5.00,4.00,1.00,8.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6104959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6104975,5.00,6.00,3.00,1.00,8.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6104983,5.00,6.00,4.00,3.00,7.00,7.88,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6104991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6105009,5.00,4.00,4.00,4.00,8.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6105017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6105025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6105033,3.00,3.00,1.00,4.00,4.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6105041,5.00,3.00,1.00,3.00,9.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6105050,6.00,7.00,3.00,5.00,10.00,11.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6105068,4.00,1.00,3.00,2.00,4.00,NULL,7.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6105076,2.00,4.00,3.00,3.00,4.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6105084,8.00,6.00,4.00,5.00,8.00,10.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6105092,6.00,7.00,3.00,5.00,6.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6105106,2.00,5.00,1.00,2.00,6.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6105114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6105122,5.00,7.00,2.00,4.00,8.00,9.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6105130,7.00,8.00,3.00,5.00,8.00,10.13,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6105149,8.00,6.00,5.00,7.00,8.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6105157,7.00,8.00,6.00,7.00,10.00,11.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6105165,8.00,7.00,5.00,6.00,9.00,9.00,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6105173,3.00,5.00,0.00,1.00,4.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6105181,5.00,5.00,0.00,5.00,6.00,9.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6105190,7.00,5.00,5.00,5.00,4.00,8.63,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6105203,8.00,7.00,7.00,7.00,9.00,12.00,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6105211,7.00,7.00,6.00,6.00,9.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6105238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6105246,1.00,3.00,1.00,1.00,6.00,5.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6105254,6.00,6.00,2.00,5.00,6.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6105262,3.00,4.00,3.00,5.00,7.00,7.88,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6105289,6.00,8.00,3.00,7.00,8.00,11.25,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6105297,4.00,4.00,3.00,5.00,4.00,5.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6105300,2.00,1.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6105319,7.00,6.00,4.00,6.00,8.00,8.63,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6105327,8.00,7.00,3.00,7.00,9.00,7.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6105335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6105351,8.00,4.00,2.00,5.00,8.00,9.75,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6105360,9.00,7.00,2.00,7.00,11.00,12.38,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(25,6105378,5.00,5.00,1.00,6.00,9.00,10.50,1.00,0.00,7.00,NULL,NULL,NULL,'N'),(25,6105386,7.00,6.00,4.00,3.00,7.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6105394,6.00,7.00,3.00,6.00,8.00,7.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6105408,2.00,4.00,2.00,4.00,4.00,8.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6105416,8.00,5.00,6.00,6.00,9.00,9.75,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6105424,3.00,5.00,1.00,6.00,8.00,5.63,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6105432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6105459,7.00,4.00,4.00,5.00,10.00,9.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6105467,3.00,4.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6105475,5.00,5.00,3.00,5.00,8.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6105483,7.00,6.00,1.00,6.00,9.00,9.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6105491,2.00,3.00,1.00,2.00,3.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6105505,8.00,6.00,4.00,5.00,10.00,10.88,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6105513,7.00,6.00,4.00,6.00,8.00,11.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6105521,8.00,8.00,6.00,6.00,10.00,7.88,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6105530,4.00,3.00,1.00,4.00,3.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6105548,3.00,3.00,0.00,5.00,6.00,10.88,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6105556,4.00,6.00,0.00,3.00,9.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6105564,5.00,3.00,2.00,3.00,9.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6105580,4.00,6.00,2.00,5.00,6.00,7.88,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6105599,8.00,7.00,8.00,7.00,10.00,10.50,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6105602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6105610,2.00,5.00,1.00,5.00,6.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6105629,2.00,3.00,2.00,7.00,8.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6105637,2.00,3.00,2.00,5.00,7.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6105645,4.00,5.00,4.00,4.00,6.00,9.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6105653,8.00,7.00,4.00,4.00,7.00,9.75,0.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6105661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6105670,5.00,5.00,2.00,6.00,8.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6105688,5.00,6.00,4.00,7.00,8.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6105696,5.00,6.00,4.00,6.00,9.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6105700,8.00,6.00,4.00,5.00,10.00,9.00,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6105734,3.00,4.00,3.00,6.00,6.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6105742,7.00,7.00,3.00,4.00,8.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6105750,6.00,5.00,1.00,5.00,8.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6105769,3.00,4.00,3.00,3.00,4.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6105777,8.00,7.00,5.00,7.00,9.00,9.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6105785,6.00,6.00,2.00,5.00,9.00,11.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6105793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6105807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6105815,7.00,8.00,5.00,2.00,5.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6105823,3.00,4.00,4.00,5.00,7.00,5.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6105840,6.00,6.00,2.00,4.00,7.00,9.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6105858,5.00,6.00,2.00,4.00,7.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6105866,6.00,6.00,7.00,6.00,6.00,10.50,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6105882,9.00,8.00,5.00,7.00,10.00,11.63,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6105904,5.00,4.00,4.00,5.00,8.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6105912,1.00,5.00,2.00,6.00,6.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6105920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6105939,5.00,7.00,4.00,6.00,9.00,9.38,0.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6105955,6.00,7.00,4.00,5.00,7.00,7.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6105963,3.00,3.00,3.00,5.00,5.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6105980,6.00,6.00,3.00,6.00,7.00,10.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6105998,6.00,4.00,4.00,6.00,6.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6106005,2.00,2.00,0.00,4.00,3.00,8.25,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6106013,4.00,3.00,2.00,6.00,8.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6106030,9.00,8.00,6.00,5.00,9.00,9.00,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6106048,7.00,4.00,3.00,3.00,6.00,9.00,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6106056,5.00,3.00,0.00,7.00,8.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6106072,5.00,4.00,1.00,4.00,6.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6106080,4.00,6.00,1.00,5.00,7.00,6.75,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6106099,5.00,6.00,2.00,3.00,4.00,8.25,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6106102,5.00,5.00,0.00,5.00,9.00,9.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6106110,1.00,1.00,0.00,1.00,5.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6106129,5.00,2.00,2.00,1.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6106137,5.00,7.00,5.00,5.00,5.00,9.75,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6106145,5.00,5.00,2.00,6.00,7.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6106170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6106188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6106196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6106200,5.00,4.00,4.00,5.00,8.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6106226,8.00,6.00,7.00,4.00,7.00,7.88,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6106234,6.00,4.00,0.00,2.00,8.00,9.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6106242,6.00,5.00,5.00,6.00,7.00,12.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6106250,5.00,7.00,7.00,3.00,5.00,7.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6106277,4.00,6.00,3.00,5.00,3.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6106285,5.00,3.00,3.00,2.00,4.00,5.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6106293,6.00,7.00,5.00,5.00,7.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6106315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6106323,9.00,7.00,3.00,4.00,8.00,10.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6106331,6.00,5.00,1.00,4.00,6.00,7.50,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6106340,5.00,5.00,2.00,6.00,6.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6106358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6106366,5.00,5.00,3.00,5.00,8.00,9.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6106374,7.00,6.00,4.00,6.00,8.00,10.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6106382,5.00,5.00,0.00,4.00,7.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6106390,2.00,5.00,1.00,3.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,'S','S'),(25,6106404,0.00,4.00,0.00,0.00,0.00,NULL,1.00,4.00,0.00,'S',NULL,NULL,'N'),(25,6106412,4.00,4.00,3.00,4.00,9.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6106420,3.00,8.00,2.00,4.00,8.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6106447,1.00,4.00,0.00,2.00,4.00,8.63,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6106471,6.00,4.00,3.00,5.00,5.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6106480,6.00,6.00,4.00,6.00,7.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6106498,8.00,8.00,2.00,6.00,9.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6106501,4.00,6.00,2.00,7.00,10.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6106528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6106536,5.00,3.00,2.00,4.00,7.00,9.00,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6106544,5.00,3.00,0.00,4.00,7.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6106552,3.00,6.00,2.00,6.00,6.00,9.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6106560,6.00,7.00,6.00,5.00,9.00,8.25,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6106579,6.00,4.00,0.00,3.00,8.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6106587,6.00,6.00,3.00,3.00,7.00,7.50,0.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6106595,7.00,7.00,0.00,6.00,9.00,NULL,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6106617,8.00,8.00,5.00,6.00,9.00,11.25,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6106625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6106633,8.00,7.00,7.00,7.00,10.00,11.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6106641,8.00,6.00,5.00,4.00,8.00,12.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6106650,3.00,3.00,0.00,6.00,8.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6106668,8.00,5.00,5.00,7.00,10.00,10.13,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6106676,3.00,3.00,1.00,5.00,8.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6106692,7.00,7.00,5.00,6.00,8.00,9.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6106706,2.00,5.00,2.00,3.00,6.00,0.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6106714,2.00,4.00,3.00,7.00,7.00,7.88,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6106722,3.00,4.00,4.00,5.00,3.00,7.13,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6106730,5.00,5.00,1.00,5.00,7.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6106749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6106757,6.00,5.00,5.00,2.00,7.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6106765,7.00,4.00,5.00,5.00,10.00,10.88,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6106773,3.00,3.00,3.00,2.00,6.00,4.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6106790,4.00,3.00,2.00,1.00,4.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6106803,6.00,6.00,2.00,6.00,10.00,7.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6106811,9.00,8.00,6.00,6.00,9.00,9.75,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6106820,4.00,4.00,1.00,6.00,5.00,NULL,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6106838,6.00,7.00,3.00,5.00,6.00,6.75,1.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6106846,4.00,5.00,2.00,5.00,7.00,9.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6106854,5.00,4.00,1.00,5.00,6.00,5.63,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6106862,5.00,5.00,2.00,3.00,7.00,6.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6106889,1.00,6.00,1.00,7.00,3.00,9.00,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6106897,3.00,4.00,0.00,4.00,4.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6106900,3.00,3.00,2.00,2.00,6.00,10.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6106919,8.00,6.00,6.00,6.00,8.00,7.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6106927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6106943,5.00,6.00,3.00,7.00,9.00,10.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6106951,7.00,5.00,2.00,6.00,8.00,9.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6106960,1.00,5.00,2.00,4.00,6.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6106978,5.00,6.00,7.00,7.00,6.00,9.00,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6106986,7.00,7.00,3.00,5.00,9.00,10.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6106994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6107001,9.00,5.00,7.00,4.00,10.00,6.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6107010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6107028,6.00,7.00,3.00,3.00,10.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6107036,2.00,6.00,1.00,3.00,7.00,8.25,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6107044,4.00,7.00,0.00,6.00,9.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6107052,7.00,6.00,5.00,6.00,7.00,7.13,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6107079,5.00,7.00,2.00,7.00,9.00,9.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6107087,9.00,5.00,3.00,7.00,7.00,9.00,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6107109,7.00,6.00,2.00,5.00,7.00,7.88,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6107117,5.00,6.00,5.00,3.00,8.00,12.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6107125,2.00,4.00,0.00,2.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6107141,3.00,3.00,0.00,3.00,8.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6107150,4.00,4.00,3.00,5.00,9.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6107168,4.00,6.00,1.00,6.00,7.00,8.63,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6107176,3.00,5.00,0.00,1.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6107184,2.00,5.00,1.00,3.00,3.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6107206,2.00,5.00,1.00,6.00,7.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6107214,4.00,6.00,1.00,4.00,8.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6107222,4.00,6.00,1.00,4.00,8.00,12.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6107249,9.00,9.00,9.00,6.00,10.00,8.63,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6107257,6.00,6.00,0.00,6.00,8.00,6.00,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6107265,4.00,5.00,2.00,4.00,5.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6107273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6107281,7.00,7.00,5.00,7.00,8.00,9.75,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6107303,3.00,3.00,2.00,5.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6107311,0.00,2.00,0.00,3.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6107320,4.00,6.00,2.00,2.00,5.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6107338,4.00,3.00,1.00,3.00,8.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6107354,8.00,8.00,3.00,5.00,10.00,12.00,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6107362,6.00,6.00,3.00,3.00,10.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6107370,9.00,8.00,5.00,6.00,7.00,9.00,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6107389,6.00,6.00,6.00,6.00,8.00,9.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6107400,0.00,3.00,1.00,1.00,6.00,9.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6107419,2.00,3.00,1.00,7.00,7.00,12.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6107427,3.00,4.00,3.00,5.00,4.00,8.63,1.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6107435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6107451,6.00,5.00,3.00,6.00,8.00,5.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6107460,2.00,2.00,2.00,4.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6107486,4.00,6.00,2.00,5.00,9.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6107508,3.00,5.00,1.00,3.00,7.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6107516,8.00,8.00,4.00,6.00,7.00,11.25,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6107524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6107532,4.00,8.00,4.00,3.00,7.00,11.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6107540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6107559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6107567,3.00,3.00,2.00,3.00,4.00,7.50,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6107575,6.00,6.00,1.00,3.00,8.00,8.25,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6107583,9.00,8.00,5.00,7.00,11.00,10.88,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6107591,8.00,6.00,3.00,4.00,6.00,8.63,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6107605,2.00,1.00,3.00,2.00,3.00,6.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6107613,9.00,5.00,4.00,7.00,11.00,11.25,3.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6107621,6.00,4.00,6.00,5.00,8.00,0.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6107630,3.00,6.00,4.00,4.00,8.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6107648,6.00,5.00,3.00,6.00,7.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6107664,7.00,7.00,3.00,5.00,6.00,9.38,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6107672,4.00,2.00,1.00,3.00,6.00,7.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6107680,8.00,6.00,7.00,6.00,10.00,11.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6107699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6107702,8.00,8.00,3.00,6.00,9.00,10.88,1.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6107710,5.00,5.00,2.00,5.00,5.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6107729,2.00,3.00,3.00,3.00,6.00,7.50,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6107737,1.00,3.00,0.00,2.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6107753,5.00,5.00,1.00,5.00,6.00,10.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6107788,2.00,5.00,0.00,4.00,6.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6107796,4.00,5.00,1.00,2.00,6.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6107800,3.00,4.00,2.00,1.00,6.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6107818,8.00,6.00,5.00,5.00,9.00,10.50,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6107826,2.00,2.00,1.00,2.00,5.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6107834,4.00,6.00,2.00,4.00,6.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6107842,3.00,4.00,0.00,5.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6107850,2.00,2.00,3.00,2.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,'S','N'),(25,6107869,5.00,4.00,6.00,6.00,6.00,9.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6107877,4.00,7.00,1.00,4.00,9.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6107885,6.00,3.00,0.00,1.00,7.00,9.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6107893,7.00,7.00,5.00,7.00,11.00,9.38,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6107907,5.00,5.00,2.00,4.00,7.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6107915,8.00,7.00,6.00,5.00,9.00,11.25,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6107923,2.00,6.00,2.00,4.00,7.00,9.38,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6107931,2.00,5.00,1.00,2.00,3.00,6.38,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6107940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6107958,4.00,5.00,4.00,5.00,8.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6107974,2.00,5.00,3.00,7.00,8.00,9.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6107990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6108008,2.00,4.00,0.00,7.00,7.00,8.63,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6108016,8.00,7.00,7.00,6.00,8.00,10.88,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6108032,1.00,2.00,3.00,3.00,5.00,6.38,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6108040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6108059,0.00,1.00,3.00,2.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6108067,7.00,7.00,5.00,6.00,6.00,9.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6108075,2.00,6.00,0.00,5.00,7.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6108105,2.00,4.00,0.00,4.00,3.00,6.75,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6108113,5.00,5.00,4.00,5.00,6.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6108121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6108130,8.00,7.00,2.00,5.00,9.00,9.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6108156,0.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6108164,8.00,8.00,5.00,7.00,10.00,10.88,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6108172,2.00,3.00,1.00,3.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6108199,4.00,6.00,2.00,4.00,7.00,7.88,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6108202,5.00,5.00,2.00,4.00,5.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6108210,7.00,7.00,3.00,6.00,8.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6108229,7.00,7.00,2.00,4.00,6.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6108237,8.00,8.00,3.00,7.00,8.00,7.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6108245,4.00,5.00,2.00,3.00,7.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6108253,9.00,7.00,8.00,7.00,9.00,10.88,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6108261,3.00,6.00,0.00,7.00,8.00,NULL,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6108270,1.00,4.00,2.00,2.00,4.00,7.88,1.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6108288,4.00,5.00,2.00,3.00,8.00,9.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6108300,3.00,2.00,2.00,3.00,4.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6108318,3.00,2.00,2.00,4.00,5.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6108326,3.00,2.00,1.00,0.00,4.00,NULL,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6108334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6108342,4.00,4.00,4.00,7.00,8.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6108350,4.00,6.00,5.00,5.00,9.00,9.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6108377,5.00,4.00,1.00,3.00,8.00,9.75,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6108393,8.00,8.00,4.00,6.00,10.00,9.38,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6108407,3.00,5.00,3.00,3.00,9.00,9.38,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6108415,6.00,7.00,3.00,5.00,7.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6108423,7.00,8.00,3.00,5.00,10.00,7.13,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6108440,2.00,6.00,2.00,3.00,6.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6108458,5.00,8.00,3.00,7.00,9.00,7.13,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6108466,2.00,3.00,2.00,2.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6108474,5.00,6.00,6.00,5.00,7.00,8.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6108482,4.00,8.00,4.00,6.00,6.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(25,6108504,6.00,5.00,1.00,7.00,10.00,9.75,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6108512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6108547,1.00,4.00,2.00,3.00,6.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6108563,7.00,6.00,4.00,7.00,8.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6108571,3.00,1.00,2.00,3.00,6.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6108580,5.00,4.00,0.00,4.00,6.00,8.63,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6108598,3.00,4.00,3.00,2.00,4.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6108601,5.00,6.00,3.00,4.00,9.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6108628,3.00,3.00,4.00,6.00,6.00,10.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6108636,8.00,5.00,1.00,7.00,10.00,10.13,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6108644,7.00,8.00,3.00,6.00,10.00,11.63,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6108652,9.00,7.00,7.00,6.00,10.00,9.38,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6108660,3.00,5.00,1.00,5.00,10.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6108687,6.00,5.00,2.00,4.00,6.00,10.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6108695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6108709,2.00,2.00,0.00,3.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6108717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6108725,5.00,6.00,3.00,4.00,10.00,8.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6108733,8.00,6.00,1.00,5.00,9.00,7.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6108750,4.00,5.00,4.00,3.00,6.00,10.13,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6108768,4.00,2.00,2.00,7.00,10.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6108776,2.00,2.00,2.00,2.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6108784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6108792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6108806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6108814,2.00,5.00,3.00,3.00,3.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6108822,3.00,3.00,3.00,3.00,7.00,6.00,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6108830,6.00,7.00,3.00,6.00,8.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6108849,8.00,7.00,8.00,8.00,8.00,10.13,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6108857,6.00,4.00,5.00,3.00,4.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6108881,3.00,4.00,2.00,4.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6108890,3.00,6.00,5.00,3.00,7.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6108903,2.00,2.00,0.00,1.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6108911,9.00,8.00,3.00,6.00,9.00,NULL,4.00,7.00,7.00,NULL,NULL,'S','N'),(25,6108920,9.00,6.00,2.00,7.00,10.00,9.38,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6108938,5.00,4.00,0.00,2.00,8.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6108954,4.00,5.00,3.00,1.00,1.00,NULL,5.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6108962,1.00,3.00,1.00,2.00,1.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6108970,7.00,4.00,5.00,5.00,4.00,8.63,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6108989,8.00,8.00,6.00,4.00,10.00,10.50,2.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6108997,5.00,6.00,3.00,7.00,7.00,7.50,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6109004,8.00,8.00,7.00,5.00,8.00,10.13,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6109012,1.00,2.00,0.00,1.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6109020,1.00,3.00,4.00,5.00,5.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6109039,8.00,5.00,4.00,6.00,8.00,9.75,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6109063,7.00,6.00,4.00,7.00,8.00,7.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6109071,2.00,2.00,0.00,4.00,6.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6109080,3.00,3.00,1.00,3.00,7.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6109098,3.00,5.00,1.00,2.00,3.00,6.00,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6109101,4.00,3.00,0.00,1.00,6.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6109110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6109128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6109136,5.00,6.00,0.00,3.00,8.00,9.00,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6109144,3.00,4.00,4.00,3.00,5.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6109152,3.00,5.00,2.00,6.00,4.00,9.38,1.00,6.00,6.00,NULL,NULL,NULL,'S'),(25,6109160,6.00,7.00,4.00,5.00,6.00,7.50,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6109179,5.00,6.00,4.00,2.00,8.00,7.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6109187,3.00,6.00,2.00,4.00,6.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6109209,8.00,6.00,5.00,5.00,9.00,7.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6109217,3.00,4.00,2.00,2.00,4.00,3.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6109225,2.00,4.00,1.00,3.00,5.00,7.13,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6109233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6109241,3.00,2.00,3.00,4.00,4.00,7.50,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6109250,2.00,2.00,1.00,0.00,4.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6109268,5.00,3.00,1.00,5.00,8.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6109276,6.00,5.00,3.00,6.00,6.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6109284,3.00,6.00,3.00,6.00,8.00,10.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6109292,6.00,7.00,5.00,6.00,7.00,8.25,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6109306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6109322,9.00,8.00,6.00,7.00,9.00,12.75,4.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6109330,0.00,6.00,3.00,5.00,6.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6109349,5.00,7.00,3.00,7.00,8.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6109357,8.00,7.00,8.00,6.00,9.00,9.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6109365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6109381,4.00,5.00,2.00,4.00,7.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6109390,3.00,6.00,3.00,5.00,9.00,8.63,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6109403,3.00,5.00,3.00,6.00,7.00,11.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6109411,3.00,5.00,1.00,4.00,6.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6109420,6.00,4.00,3.00,3.00,6.00,7.13,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6109438,7.00,7.00,2.00,4.00,8.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6109446,6.00,6.00,2.00,6.00,8.00,10.13,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6109454,1.00,7.00,0.00,3.00,4.00,8.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6109462,2.00,2.00,1.00,0.00,7.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6109470,2.00,4.00,2.00,5.00,6.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6109489,4.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6109497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6109500,6.00,6.00,1.00,6.00,7.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6109519,3.00,4.00,3.00,4.00,8.00,7.50,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6109527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6109535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6109551,2.00,5.00,2.00,3.00,5.00,9.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6109578,6.00,7.00,1.00,7.00,8.00,9.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6109586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6109594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6109608,9.00,7.00,6.00,7.00,10.00,13.50,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6109624,4.00,3.00,2.00,7.00,7.00,7.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6109632,3.00,3.00,3.00,3.00,5.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6109659,5.00,5.00,0.00,7.00,6.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6109667,3.00,6.00,2.00,6.00,7.00,9.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6109675,3.00,4.00,3.00,5.00,5.00,6.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6109683,8.00,8.00,8.00,6.00,9.00,7.88,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6109691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6109705,9.00,7.00,3.00,6.00,11.00,10.13,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6109713,4.00,5.00,1.00,5.00,8.00,9.75,3.00,7.00,0.00,NULL,NULL,NULL,'N'),(25,6109721,3.00,8.00,1.00,1.00,4.00,8.25,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6109730,5.00,7.00,6.00,5.00,7.00,9.75,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6109756,6.00,6.00,3.00,1.00,8.00,9.00,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6109764,3.00,3.00,3.00,4.00,5.00,9.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6109772,7.00,4.00,6.00,7.00,7.00,10.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6109780,4.00,5.00,2.00,5.00,6.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6109799,7.00,5.00,1.00,6.00,9.00,8.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6109802,8.00,7.00,4.00,7.00,8.00,11.25,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6109810,6.00,5.00,3.00,4.00,6.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6109837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6109845,5.00,5.00,1.00,6.00,8.00,10.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6109853,9.00,6.00,2.00,6.00,10.00,8.25,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6109861,6.00,5.00,2.00,5.00,6.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6109870,4.00,6.00,3.00,6.00,5.00,10.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6109888,6.00,7.00,4.00,0.00,8.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6109896,8.00,7.00,3.00,6.00,8.00,10.50,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6109918,2.00,1.00,2.00,2.00,6.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6109926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6109942,7.00,6.00,4.00,4.00,8.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6109950,2.00,5.00,0.00,4.00,4.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6109969,9.00,6.00,5.00,6.00,9.00,8.63,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6109977,8.00,5.00,4.00,6.00,10.00,10.50,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6109985,5.00,6.00,3.00,5.00,9.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6109993,8.00,7.00,5.00,7.00,9.00,11.25,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6110002,3.00,5.00,3.00,2.00,5.00,6.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6110010,5.00,5.00,0.00,7.00,6.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6110029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6110037,3.00,8.00,2.00,5.00,8.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6110045,6.00,7.00,3.00,5.00,7.00,9.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6110053,7.00,8.00,3.00,7.00,9.00,10.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6110061,8.00,7.00,7.00,7.00,9.00,11.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6110070,2.00,4.00,1.00,7.00,4.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6110096,6.00,5.00,2.00,7.00,7.00,10.13,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6110100,2.00,5.00,0.00,5.00,5.00,NULL,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6110118,4.00,5.00,1.00,0.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6110126,3.00,5.00,3.00,3.00,6.00,8.25,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6110134,4.00,5.00,4.00,6.00,6.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6110142,7.00,8.00,4.00,5.00,11.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6110169,6.00,4.00,3.00,4.00,10.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6110177,3.00,4.00,0.00,3.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6110185,7.00,7.00,6.00,7.00,8.00,7.50,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6110207,8.00,4.00,0.00,6.00,9.00,8.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6110223,6.00,3.00,6.00,5.00,6.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6110231,5.00,7.00,3.00,4.00,7.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6110240,4.00,5.00,1.00,5.00,8.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6110258,2.00,5.00,3.00,3.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6110266,9.00,6.00,6.00,6.00,10.00,10.50,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6110274,5.00,2.00,1.00,5.00,8.00,7.88,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6110282,2.00,5.00,2.00,1.00,6.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6110290,8.00,7.00,4.00,6.00,10.00,8.25,1.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6110304,7.00,6.00,2.00,5.00,6.00,11.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6110312,4.00,4.00,6.00,4.00,7.00,8.63,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6110339,5.00,7.00,2.00,4.00,9.00,11.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6110347,1.00,4.00,1.00,0.00,5.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6110355,3.00,4.00,2.00,4.00,5.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6110363,6.00,5.00,0.00,3.00,6.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6110371,6.00,4.00,3.00,3.00,9.00,10.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6110380,4.00,4.00,2.00,4.00,6.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6110398,4.00,4.00,6.00,6.00,9.00,13.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6110401,3.00,5.00,1.00,3.00,4.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6110410,3.00,5.00,1.00,5.00,8.00,10.50,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6110428,3.00,7.00,5.00,4.00,6.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6110436,3.00,3.00,2.00,2.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6110444,8.00,4.00,4.00,7.00,4.00,9.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6110460,3.00,5.00,4.00,1.00,4.00,7.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6110479,3.00,3.00,0.00,2.00,4.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6110487,8.00,7.00,3.00,7.00,9.00,9.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6110495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6110509,7.00,6.00,5.00,5.00,8.00,9.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6110517,5.00,5.00,0.00,6.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6110525,3.00,4.00,4.00,6.00,6.00,11.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6110533,5.00,6.00,0.00,2.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6110541,6.00,6.00,2.00,7.00,9.00,10.13,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6110550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6110568,4.00,4.00,2.00,0.00,6.00,10.13,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6110576,5.00,6.00,4.00,7.00,9.00,7.50,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6110584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6110592,8.00,6.00,2.00,4.00,8.00,7.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6110606,2.00,2.00,2.00,2.00,5.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6110614,8.00,8.00,3.00,8.00,11.00,11.63,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6110622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6110630,7.00,3.00,1.00,3.00,6.00,8.25,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6110649,8.00,5.00,5.00,4.00,8.00,8.25,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6110665,2.00,5.00,1.00,1.00,5.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6110673,8.00,5.00,8.00,6.00,9.00,12.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6110681,2.00,3.00,2.00,5.00,9.00,7.88,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6110703,5.00,3.00,4.00,2.00,6.00,8.25,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6110711,4.00,4.00,2.00,6.00,8.00,10.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6110720,2.00,3.00,1.00,4.00,6.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6110738,3.00,4.00,4.00,5.00,6.00,6.38,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6110746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6110762,6.00,4.00,1.00,3.00,7.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6110770,5.00,6.00,5.00,4.00,6.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6110789,7.00,7.00,3.00,6.00,10.00,10.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6110797,2.00,3.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6110800,5.00,5.00,5.00,7.00,8.00,11.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6110819,6.00,4.00,6.00,6.00,7.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6110827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6110835,5.00,4.00,2.00,5.00,8.00,9.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6110843,3.00,3.00,2.00,4.00,6.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6110851,6.00,8.00,4.00,6.00,9.00,7.13,2.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6110878,9.00,8.00,8.00,7.00,10.00,9.75,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6110894,3.00,6.00,1.00,5.00,3.00,10.13,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6110908,4.00,5.00,3.00,5.00,8.00,10.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6110916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6110924,8.00,6.00,3.00,5.00,7.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6110932,4.00,3.00,2.00,1.00,4.00,11.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6110940,4.00,4.00,3.00,3.00,5.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6110959,6.00,7.00,5.00,6.00,6.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6110967,9.00,6.00,7.00,7.00,9.00,7.13,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6110983,8.00,5.00,7.00,7.00,9.00,9.75,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6110991,7.00,7.00,4.00,6.00,9.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6111009,7.00,4.00,3.00,7.00,7.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6111017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6111025,1.00,5.00,1.00,2.00,5.00,6.38,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6111033,6.00,5.00,3.00,4.00,9.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6111041,8.00,8.00,4.00,6.00,8.00,13.50,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6111050,4.00,5.00,2.00,6.00,6.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6111068,5.00,3.00,0.00,2.00,6.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6111076,7.00,5.00,4.00,6.00,8.00,9.00,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6111084,5.00,7.00,2.00,0.00,5.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6111092,6.00,6.00,2.00,6.00,7.00,10.13,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6111114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6111122,4.00,7.00,3.00,6.00,9.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6111130,4.00,5.00,1.00,5.00,6.00,11.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6111149,4.00,5.00,0.00,6.00,7.00,5.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6111157,3.00,4.00,1.00,0.00,8.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6111165,3.00,6.00,3.00,5.00,5.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6111181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6111190,3.00,6.00,2.00,4.00,6.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6111203,5.00,4.00,0.00,6.00,6.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6111211,8.00,5.00,7.00,7.00,10.00,10.13,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6111220,9.00,8.00,7.00,5.00,9.00,9.00,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6111238,3.00,4.00,3.00,3.00,2.00,NULL,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6111246,8.00,8.00,3.00,6.00,10.00,10.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6111254,7.00,6.00,7.00,7.00,10.00,12.00,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6111262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6111270,5.00,5.00,0.00,3.00,8.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6111289,7.00,7.00,3.00,6.00,7.00,8.63,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6111300,1.00,4.00,4.00,4.00,7.00,9.38,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6111319,7.00,5.00,5.00,6.00,8.00,9.38,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6111327,2.00,5.00,2.00,2.00,4.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6111335,6.00,6.00,3.00,5.00,8.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6111343,3.00,5.00,2.00,4.00,6.00,6.38,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6111351,7.00,6.00,3.00,6.00,7.00,12.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6111360,5.00,4.00,2.00,2.00,4.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6111378,6.00,5.00,4.00,6.00,8.00,10.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6111386,8.00,7.00,4.00,6.00,10.00,11.25,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6111394,5.00,6.00,3.00,2.00,6.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6111408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6111424,6.00,6.00,5.00,7.00,8.00,12.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6111432,5.00,8.00,6.00,5.00,9.00,8.63,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6111440,8.00,6.00,4.00,5.00,9.00,10.13,3.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6111459,3.00,4.00,3.00,3.00,4.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6111467,5.00,5.00,2.00,5.00,9.00,7.88,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6111475,5.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6111483,6.00,7.00,6.00,5.00,7.00,7.88,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6111491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6111505,3.00,5.00,1.00,4.00,9.00,10.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6111513,5.00,6.00,4.00,2.00,7.00,5.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6111521,5.00,6.00,1.00,3.00,11.00,9.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6111530,2.00,4.00,2.00,1.00,6.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6111548,2.00,3.00,1.00,0.00,4.00,6.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6111556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6111572,3.00,4.00,1.00,3.00,9.00,8.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6111580,8.00,8.00,5.00,5.00,10.00,12.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6111599,4.00,6.00,1.00,2.00,7.00,7.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6111602,6.00,5.00,3.00,6.00,7.00,NULL,0.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6111610,7.00,7.00,6.00,5.00,10.00,8.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6111637,6.00,4.00,5.00,7.00,9.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6111645,4.00,7.00,1.00,4.00,9.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6111653,2.00,2.00,3.00,5.00,6.00,0.00,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6111670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6111688,4.00,5.00,3.00,5.00,7.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6111700,4.00,3.00,2.00,6.00,9.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6111734,3.00,7.00,2.00,3.00,8.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6111742,5.00,5.00,3.00,5.00,6.00,7.88,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6111750,5.00,4.00,2.00,4.00,7.00,10.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6111769,3.00,4.00,1.00,3.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6111777,8.00,6.00,1.00,6.00,7.00,12.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6111785,3.00,3.00,2.00,1.00,8.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6111793,5.00,4.00,5.00,4.00,6.00,6.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6111807,5.00,7.00,3.00,6.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6111815,8.00,6.00,7.00,7.00,9.00,10.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6111823,7.00,7.00,7.00,7.00,8.00,9.38,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6111831,6.00,7.00,4.00,7.00,10.00,9.00,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6111840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6111858,7.00,8.00,5.00,7.00,9.00,9.00,1.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6111866,1.00,4.00,3.00,5.00,7.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6111874,7.00,8.00,5.00,4.00,8.00,9.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6111882,7.00,0.00,5.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6111890,8.00,6.00,6.00,6.00,9.00,10.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6111904,4.00,4.00,2.00,5.00,8.00,12.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6111920,6.00,4.00,4.00,7.00,10.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6111939,5.00,5.00,4.00,6.00,7.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6111955,5.00,7.00,5.00,6.00,8.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6111963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6111971,3.00,4.00,1.00,6.00,8.00,12.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6111980,6.00,0.00,1.00,5.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6111998,4.00,6.00,4.00,5.00,6.00,6.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6112005,4.00,2.00,5.00,4.00,6.00,6.75,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6112013,3.00,5.00,0.00,1.00,5.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6112021,2.00,0.00,1.00,3.00,5.00,8.63,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6112030,4.00,6.00,4.00,6.00,4.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6112056,1.00,3.00,1.00,0.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6112064,7.00,4.00,3.00,7.00,9.00,9.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6112072,8.00,6.00,6.00,5.00,9.00,13.13,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6112080,2.00,3.00,1.00,4.00,3.00,10.88,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6112099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6112110,8.00,5.00,5.00,4.00,9.00,10.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6112129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6112145,6.00,6.00,2.00,7.00,8.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6112153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6112161,4.00,5.00,0.00,3.00,6.00,7.88,0.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6112188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6112200,5.00,7.00,3.00,5.00,8.00,NULL,0.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6112218,4.00,4.00,1.00,6.00,10.00,11.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6112226,4.00,5.00,7.00,5.00,5.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6112234,8.00,8.00,8.00,5.00,6.00,10.13,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6112242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6112250,6.00,4.00,3.00,3.00,8.00,7.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6112269,5.00,5.00,4.00,5.00,7.00,11.25,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6112285,1.00,4.00,3.00,2.00,3.00,6.38,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6112293,2.00,5.00,1.00,2.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6112307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6112323,6.00,8.00,3.00,7.00,8.00,8.63,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6112331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6112340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6112358,6.00,6.00,6.00,5.00,7.00,9.75,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6112366,2.00,5.00,0.00,3.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6112382,6.00,7.00,6.00,5.00,6.00,9.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6112439,3.00,5.00,2.00,5.00,6.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6112447,3.00,6.00,1.00,2.00,9.00,8.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6112455,6.00,3.00,4.00,7.00,8.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6112463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6112471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6112480,5.00,5.00,3.00,7.00,6.00,10.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6112498,7.00,5.00,3.00,6.00,9.00,12.00,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6112501,6.00,6.00,7.00,6.00,6.00,10.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6112528,6.00,6.00,5.00,5.00,5.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6112536,2.00,7.00,0.00,6.00,7.00,10.13,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6112544,0.00,4.00,1.00,4.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6112552,4.00,4.00,2.00,5.00,5.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6112560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6112579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6112587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6112595,6.00,4.00,0.00,6.00,4.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6112617,7.00,5.00,2.00,6.00,8.00,9.38,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6112641,7.00,6.00,3.00,6.00,8.00,7.88,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6112650,7.00,5.00,4.00,6.00,6.00,6.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6112668,2.00,6.00,4.00,3.00,8.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6112684,2.00,4.00,4.00,3.00,7.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6112706,5.00,5.00,5.00,3.00,6.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6112714,4.00,6.00,1.00,4.00,8.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6112722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6112749,3.00,5.00,4.00,1.00,7.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6112757,3.00,4.00,1.00,4.00,3.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6112765,4.00,6.00,3.00,3.00,5.00,7.13,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6112773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6112781,1.00,4.00,1.00,3.00,4.00,9.00,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6112790,5.00,7.00,1.00,2.00,5.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6112811,1.00,3.00,2.00,4.00,6.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6112820,3.00,4.00,3.00,5.00,3.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6112838,7.00,6.00,6.00,6.00,9.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6112846,3.00,1.00,0.00,0.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6112854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6112862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6112889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6112897,2.00,4.00,1.00,2.00,3.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6112919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6112935,3.00,3.00,3.00,5.00,7.00,8.25,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6112943,7.00,7.00,2.00,7.00,10.00,9.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6112951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6112960,5.00,3.00,3.00,2.00,6.00,9.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6112978,2.00,3.00,1.00,0.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6113001,9.00,7.00,6.00,7.00,11.00,10.13,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6113028,4.00,8.00,1.00,7.00,10.00,11.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6113036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6113044,7.00,8.00,5.00,6.00,10.00,10.88,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6113052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6113079,5.00,3.00,0.00,2.00,6.00,4.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6113087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6113095,2.00,4.00,3.00,5.00,6.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6113109,6.00,7.00,1.00,5.00,10.00,9.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6113117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6113125,6.00,5.00,7.00,6.00,7.00,8.63,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6113133,3.00,5.00,3.00,2.00,4.00,7.50,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6113141,8.00,7.00,3.00,6.00,7.00,9.75,1.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6113150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6113176,4.00,6.00,4.00,6.00,5.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6113192,3.00,3.00,2.00,4.00,7.00,9.38,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6113222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6113230,7.00,5.00,3.00,5.00,7.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6113249,1.00,4.00,1.00,2.00,3.00,5.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6113257,3.00,6.00,1.00,4.00,6.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6113265,7.00,5.00,4.00,3.00,6.00,10.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6113273,5.00,6.00,2.00,6.00,8.00,5.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6113281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6113290,6.00,3.00,0.00,5.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6113311,5.00,4.00,2.00,6.00,8.00,9.38,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6113320,4.00,6.00,4.00,5.00,6.00,NULL,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6113338,7.00,5.00,3.00,4.00,7.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6113346,2.00,3.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6113370,4.00,7.00,0.00,4.00,8.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6113389,6.00,6.00,1.00,3.00,8.00,8.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6113400,7.00,7.00,5.00,3.00,7.00,10.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6113427,2.00,4.00,3.00,2.00,4.00,8.25,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6113435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6113443,7.00,7.00,2.00,5.00,9.00,9.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6113460,6.00,6.00,0.00,3.00,10.00,9.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6113478,7.00,5.00,5.00,7.00,9.00,8.25,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6113486,6.00,7.00,4.00,6.00,7.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6113494,4.00,6.00,0.00,4.00,7.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6113516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6113524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6113532,7.00,8.00,3.00,7.00,9.00,11.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6113540,7.00,5.00,3.00,5.00,6.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6113559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6113567,2.00,4.00,2.00,3.00,8.00,9.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6113583,3.00,2.00,0.00,2.00,4.00,0.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6113605,6.00,5.00,3.00,4.00,7.00,9.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6113621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6113630,7.00,5.00,1.00,4.00,5.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6113656,2.00,5.00,2.00,5.00,7.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6113664,4.00,7.00,2.00,4.00,5.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6113672,1.00,4.00,2.00,2.00,6.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6113699,1.00,3.00,1.00,1.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6113702,3.00,2.00,1.00,3.00,6.00,7.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6113729,2.00,2.00,0.00,3.00,4.00,5.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6113737,8.00,7.00,5.00,6.00,10.00,9.00,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6113745,3.00,6.00,1.00,2.00,6.00,10.13,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6113761,4.00,4.00,2.00,3.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6113770,7.00,5.00,5.00,4.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6113788,3.00,4.00,3.00,6.00,6.00,11.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6113796,5.00,4.00,3.00,6.00,6.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6113800,4.00,6.00,1.00,4.00,6.00,10.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6113834,4.00,4.00,1.00,4.00,4.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6113842,7.00,6.00,4.00,4.00,3.00,7.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6113850,2.00,1.00,0.00,0.00,6.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6113869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6113877,7.00,6.00,5.00,6.00,9.00,6.38,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6113885,4.00,6.00,2.00,1.00,5.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6113893,5.00,5.00,3.00,4.00,6.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6113907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6113923,5.00,4.00,2.00,6.00,6.00,7.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6113940,4.00,7.00,4.00,2.00,7.00,NULL,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6113958,3.00,7.00,6.00,5.00,8.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6113966,6.00,6.00,2.00,7.00,9.00,11.25,1.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6113974,5.00,5.00,3.00,4.00,6.00,9.38,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6113982,5.00,6.00,2.00,3.00,4.00,11.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6113990,5.00,5.00,2.00,5.00,4.00,NULL,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6114016,8.00,7.00,2.00,4.00,8.00,10.13,1.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6114032,8.00,7.00,3.00,5.00,9.00,9.00,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6114040,9.00,6.00,2.00,4.00,9.00,10.50,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6114059,1.00,6.00,2.00,2.00,6.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6114075,8.00,7.00,4.00,5.00,10.00,8.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6114091,3.00,4.00,1.00,6.00,7.00,9.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6114113,3.00,6.00,3.00,2.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6114121,2.00,5.00,1.00,2.00,4.00,8.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6114130,9.00,6.00,6.00,7.00,11.00,10.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6114164,7.00,7.00,3.00,6.00,9.00,8.63,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6114172,3.00,4.00,2.00,2.00,3.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6114199,2.00,3.00,2.00,2.00,6.00,8.63,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6114202,6.00,3.00,3.00,6.00,7.00,10.13,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6114210,5.00,5.00,1.00,5.00,7.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6114229,3.00,4.00,1.00,2.00,9.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6114237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6114245,5.00,5.00,4.00,6.00,7.00,9.00,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6114261,7.00,7.00,6.00,6.00,8.00,8.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6114270,8.00,7.00,0.00,5.00,8.00,7.50,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6114288,3.00,6.00,0.00,3.00,4.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6114296,5.00,6.00,6.00,5.00,6.00,7.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6114300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6114318,2.00,4.00,3.00,3.00,5.00,8.63,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6114326,2.00,4.00,2.00,4.00,6.00,4.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6114334,4.00,4.00,1.00,3.00,7.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6114342,5.00,4.00,4.00,6.00,6.00,6.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6114350,5.00,6.00,2.00,5.00,8.00,9.00,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6114369,2.00,4.00,2.00,3.00,5.00,9.75,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6114377,5.00,6.00,0.00,6.00,9.00,9.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6114385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6114393,3.00,5.00,1.00,5.00,8.00,6.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6114407,4.00,4.00,5.00,5.00,8.00,10.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6114415,8.00,8.00,4.00,7.00,7.00,9.00,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6114431,3.00,5.00,4.00,4.00,4.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6114440,3.00,3.00,0.00,2.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6114466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6114474,1.00,2.00,1.00,3.00,4.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6114490,2.00,4.00,0.00,2.00,4.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6114504,3.00,5.00,1.00,2.00,6.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6114512,0.00,2.00,0.00,2.00,3.00,8.25,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6114520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6114539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6114547,2.00,5.00,2.00,1.00,5.00,7.50,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6114563,2.00,5.00,1.00,6.00,9.00,11.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6114571,6.00,6.00,2.00,5.00,9.00,9.75,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6114580,3.00,2.00,4.00,4.00,6.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6114598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6114610,2.00,5.00,4.00,4.00,7.00,10.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6114628,2.00,5.00,3.00,6.00,8.00,7.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6114636,6.00,6.00,2.00,6.00,10.00,NULL,1.00,6.00,5.00,NULL,NULL,'S','N'),(25,6114644,4.00,6.00,2.00,2.00,9.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6114652,7.00,6.00,5.00,6.00,5.00,10.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6114660,1.00,1.00,1.00,3.00,5.00,8.63,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6114679,3.00,3.00,1.00,2.00,5.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6114695,8.00,6.00,5.00,5.00,8.00,8.63,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6114717,1.00,4.00,0.00,2.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6114750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6114768,8.00,9.00,5.00,6.00,8.00,11.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6114776,2.00,4.00,1.00,3.00,4.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6114784,3.00,5.00,2.00,4.00,10.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6114792,4.00,6.00,1.00,5.00,7.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6114806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6114814,4.00,5.00,4.00,4.00,8.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6114822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6114830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6114849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6114865,2.00,4.00,1.00,5.00,6.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6114873,5.00,4.00,2.00,5.00,6.00,9.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6114890,6.00,5.00,3.00,5.00,6.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6114911,1.00,3.00,1.00,4.00,5.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6114938,2.00,3.00,3.00,1.00,3.00,5.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6114962,7.00,8.00,3.00,5.00,7.00,11.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6114970,4.00,5.00,0.00,2.00,8.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6114989,4.00,6.00,2.00,2.00,6.00,5.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6115004,8.00,6.00,6.00,5.00,10.00,10.50,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6115012,5.00,5.00,3.00,3.00,7.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6115020,5.00,3.00,2.00,3.00,5.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6115055,5.00,5.00,1.00,2.00,7.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6115063,8.00,6.00,3.00,6.00,7.00,9.38,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6115071,5.00,6.00,3.00,3.00,6.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6115080,3.00,6.00,1.00,4.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6115098,4.00,7.00,1.00,5.00,9.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6115110,3.00,6.00,1.00,4.00,7.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6115128,7.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6115136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6115144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6115152,3.00,4.00,0.00,3.00,6.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6115160,4.00,6.00,1.00,4.00,6.00,8.63,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6115179,2.00,3.00,1.00,2.00,4.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6115187,4.00,5.00,4.00,2.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6115195,6.00,6.00,5.00,5.00,5.00,7.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6115209,4.00,7.00,0.00,7.00,6.00,8.63,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6115217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6115225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6115233,3.00,7.00,0.00,4.00,6.00,8.25,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6115241,2.00,5.00,2.00,5.00,7.00,7.88,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6115268,6.00,5.00,3.00,5.00,9.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6115276,3.00,4.00,1.00,1.00,6.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6115284,5.00,5.00,4.00,6.00,7.00,8.63,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6115292,4.00,8.00,4.00,6.00,7.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6115306,4.00,5.00,1.00,3.00,5.00,11.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6115314,8.00,8.00,5.00,6.00,8.00,11.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6115322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6115330,1.00,4.00,2.00,3.00,3.00,7.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6115357,8.00,8.00,6.00,7.00,8.00,9.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6115365,5.00,7.00,2.00,5.00,8.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6115373,2.00,6.00,0.00,2.00,8.00,NULL,0.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6115381,2.00,4.00,4.00,5.00,4.00,4.50,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6115403,4.00,2.00,1.00,0.00,4.00,NULL,1.00,3.00,7.00,NULL,NULL,'S','N'),(25,6115411,1.00,3.00,1.00,2.00,5.00,6.38,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6115420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6115438,4.00,7.00,6.00,3.00,4.00,7.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6115470,1.00,3.00,0.00,3.00,6.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6115489,7.00,7.00,2.00,4.00,7.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6115527,4.00,7.00,4.00,5.00,8.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6115543,5.00,7.00,5.00,6.00,10.00,9.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6115551,5.00,3.00,4.00,6.00,4.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6115560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6115578,0.00,1.00,0.00,0.00,0.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6115586,2.00,5.00,0.00,4.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6115594,3.00,3.00,1.00,3.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6115608,6.00,6.00,3.00,4.00,7.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6115616,1.00,1.00,1.00,0.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,'S','N'),(25,6115624,5.00,7.00,2.00,7.00,9.00,9.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6115632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6115640,3.00,5.00,2.00,4.00,3.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6115659,2.00,3.00,2.00,2.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6115667,7.00,2.00,5.00,5.00,7.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6115675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6115683,2.00,7.00,1.00,2.00,4.00,9.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6115691,4.00,3.00,1.00,5.00,6.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6115705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6115721,6.00,6.00,3.00,6.00,8.00,9.38,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6115730,4.00,4.00,2.00,4.00,5.00,8.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6115764,1.00,1.00,2.00,2.00,3.00,3.00,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6115772,7.00,8.00,4.00,6.00,7.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6115780,8.00,6.00,6.00,7.00,9.00,10.13,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6115799,1.00,4.00,1.00,3.00,8.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6115802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6115810,4.00,7.00,1.00,6.00,6.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6115829,2.00,0.00,3.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6115837,4.00,4.00,2.00,4.00,5.00,6.75,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6115845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6115853,3.00,7.00,1.00,6.00,10.00,12.38,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6115861,6.00,4.00,6.00,6.00,5.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6115888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6115896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6115900,5.00,7.00,2.00,6.00,9.00,8.25,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6115918,3.00,6.00,0.00,3.00,6.00,9.38,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6115926,2.00,4.00,6.00,3.00,9.00,8.63,5.00,9.00,4.00,NULL,NULL,NULL,'N'),(25,6115934,1.00,3.00,2.00,4.00,4.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6115942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6115969,4.00,7.00,2.00,5.00,6.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6115977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6115985,5.00,4.00,2.00,3.00,6.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6115993,3.00,6.00,2.00,3.00,9.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6116000,4.00,3.00,1.00,3.00,8.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6116019,8.00,7.00,3.00,6.00,8.00,9.75,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6116027,6.00,6.00,2.00,7.00,6.00,8.63,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6116035,2.00,5.00,1.00,6.00,5.00,6.38,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6116051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6116060,6.00,4.00,2.00,6.00,7.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6116086,3.00,5.00,1.00,7.00,5.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6116108,5.00,4.00,2.00,4.00,8.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6116116,6.00,5.00,5.00,7.00,7.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6116124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6116132,3.00,3.00,2.00,3.00,6.00,9.38,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6116140,3.00,1.00,0.00,2.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6116159,6.00,6.00,5.00,7.00,8.00,8.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6116167,8.00,7.00,5.00,5.00,6.00,9.75,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6116175,5.00,7.00,2.00,4.00,7.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6116183,3.00,7.00,4.00,4.00,9.00,8.63,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6116191,7.00,5.00,3.00,6.00,10.00,11.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6116205,8.00,6.00,2.00,3.00,9.00,10.13,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6116213,6.00,6.00,3.00,5.00,7.00,6.38,2.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6116221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6116248,2.00,3.00,4.00,2.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6116256,4.00,3.00,2.00,5.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6116264,3.00,3.00,3.00,3.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6116272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6116280,1.00,3.00,1.00,3.00,4.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6116299,4.00,2.00,1.00,3.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6116302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6116310,2.00,3.00,3.00,2.00,3.00,6.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6116353,4.00,4.00,3.00,4.00,6.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6116388,6.00,6.00,0.00,3.00,7.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6116396,3.00,3.00,3.00,3.00,7.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6116400,9.00,7.00,4.00,5.00,10.00,9.75,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6116418,4.00,3.00,1.00,4.00,5.00,0.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6116426,6.00,5.00,1.00,2.00,4.00,6.38,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6116434,6.00,6.00,3.00,2.00,5.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6116442,8.00,9.00,7.00,7.00,9.00,10.88,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6116450,2.00,2.00,2.00,2.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6116469,5.00,6.00,3.00,6.00,8.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6116477,5.00,5.00,1.00,7.00,9.00,12.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6116485,1.00,4.00,2.00,5.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6116493,7.00,6.00,4.00,3.00,7.00,5.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6116507,7.00,4.00,3.00,2.00,5.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6116515,3.00,4.00,1.00,4.00,5.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6116523,4.00,7.00,1.00,3.00,6.00,10.50,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6116531,4.00,4.00,1.00,3.00,6.00,9.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6116540,2.00,3.00,0.00,4.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6116558,4.00,4.00,0.00,3.00,8.00,7.88,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6116566,5.00,6.00,2.00,6.00,10.00,12.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6116574,5.00,4.00,1.00,3.00,4.00,4.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6116582,3.00,4.00,3.00,5.00,7.00,7.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6116604,2.00,5.00,3.00,4.00,6.00,7.50,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6116620,7.00,7.00,0.00,7.00,8.00,7.13,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6116639,8.00,5.00,1.00,5.00,8.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6116647,5.00,6.00,4.00,6.00,9.00,5.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6116655,8.00,3.00,3.00,2.00,7.00,7.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6116663,6.00,8.00,2.00,6.00,10.00,11.63,0.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6116680,3.00,5.00,2.00,4.00,5.00,6.00,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6116698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6116701,7.00,5.00,3.00,4.00,8.00,11.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6116710,6.00,4.00,2.00,3.00,6.00,7.88,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6116736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6116744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6116779,5.00,6.00,1.00,6.00,6.00,10.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6116787,6.00,6.00,2.00,3.00,9.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6116795,6.00,3.00,2.00,4.00,8.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6116809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6116817,2.00,2.00,1.00,0.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6116825,4.00,4.00,1.00,5.00,5.00,9.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6116841,5.00,5.00,0.00,3.00,4.00,6.00,1.00,6.00,2.00,NULL,NULL,NULL,'S'),(25,6116868,3.00,7.00,3.00,3.00,5.00,7.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6116892,5.00,6.00,3.00,3.00,9.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6116906,4.00,7.00,2.00,7.00,7.00,9.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6116914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6116922,4.00,6.00,2.00,7.00,8.00,13.13,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6116930,8.00,5.00,7.00,5.00,7.00,9.00,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6116949,7.00,4.00,2.00,4.00,8.00,10.50,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6116957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6116965,5.00,6.00,2.00,6.00,6.00,7.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6116973,2.00,2.00,2.00,5.00,5.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6116981,1.00,6.00,3.00,3.00,7.00,7.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6117015,5.00,3.00,3.00,4.00,6.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6117023,3.00,4.00,4.00,5.00,7.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6117031,1.00,2.00,3.00,2.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6117058,3.00,5.00,1.00,4.00,7.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6117066,2.00,7.00,1.00,5.00,5.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6117074,2.00,4.00,2.00,2.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6117090,5.00,2.00,4.00,3.00,7.00,9.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6117104,8.00,7.00,2.00,6.00,8.00,10.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6117112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117120,3.00,6.00,2.00,5.00,8.00,10.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6117139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117147,6.00,9.00,2.00,6.00,9.00,10.13,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6117155,1.00,2.00,1.00,2.00,2.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6117163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117171,8.00,4.00,2.00,1.00,6.00,NULL,2.00,3.00,7.00,NULL,NULL,'S','N'),(25,6117180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117201,4.00,3.00,3.00,4.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6117210,6.00,6.00,2.00,4.00,9.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6117228,4.00,3.00,0.00,4.00,8.00,10.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6117236,5.00,4.00,1.00,3.00,7.00,10.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6117244,8.00,6.00,3.00,5.00,10.00,9.75,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6117252,4.00,4.00,3.00,2.00,6.00,8.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6117279,5.00,2.00,2.00,3.00,6.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6117295,3.00,3.00,2.00,4.00,7.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6117309,1.00,2.00,1.00,1.00,4.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6117317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117325,4.00,5.00,1.00,4.00,5.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6117341,2.00,2.00,1.00,5.00,5.00,11.25,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6117350,6.00,4.00,4.00,4.00,7.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6117368,8.00,6.00,2.00,4.00,8.00,10.50,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6117376,5.00,6.00,1.00,3.00,5.00,5.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6117384,8.00,6.00,4.00,5.00,9.00,7.88,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6117392,7.00,4.00,2.00,6.00,9.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6117414,2.00,8.00,2.00,6.00,8.00,8.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6117422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117430,4.00,4.00,1.00,3.00,7.00,10.88,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6117449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117457,8.00,7.00,4.00,7.00,10.00,9.00,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6117465,6.00,5.00,1.00,6.00,9.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6117473,6.00,7.00,6.00,6.00,9.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6117481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117503,4.00,4.00,3.00,3.00,5.00,5.63,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6117511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117538,5.00,3.00,1.00,5.00,6.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6117546,3.00,7.00,4.00,4.00,6.00,7.13,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6117554,2.00,3.00,2.00,3.00,5.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6117562,5.00,7.00,4.00,5.00,9.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6117570,8.00,5.00,8.00,5.00,10.00,12.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6117600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117619,3.00,7.00,2.00,5.00,5.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6117627,8.00,8.00,7.00,7.00,8.00,7.88,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6117635,5.00,6.00,5.00,6.00,6.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6117643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117660,3.00,7.00,1.00,4.00,9.00,9.00,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(25,6117678,5.00,0.00,4.00,8.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6117686,4.00,4.00,2.00,5.00,6.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6117694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117708,3.00,4.00,2.00,2.00,5.00,7.13,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6117716,3.00,6.00,2.00,3.00,8.00,9.38,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6117724,3.00,3.00,2.00,5.00,5.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6117732,3.00,8.00,2.00,7.00,7.00,9.75,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6117740,3.00,4.00,1.00,5.00,6.00,6.38,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6117759,7.00,6.00,0.00,6.00,8.00,10.13,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6117767,0.00,3.00,2.00,3.00,5.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6117775,6.00,5.00,0.00,4.00,6.00,7.88,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6117783,2.00,4.00,2.00,4.00,4.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6117791,9.00,7.00,6.00,7.00,10.00,9.75,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6117805,4.00,7.00,3.00,6.00,7.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6117813,2.00,3.00,0.00,3.00,6.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6117821,9.00,7.00,4.00,5.00,10.00,8.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6117848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117864,3.00,4.00,1.00,5.00,6.00,7.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6117880,1.00,2.00,2.00,4.00,7.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6117902,4.00,4.00,2.00,2.00,3.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6117910,7.00,6.00,2.00,5.00,8.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6117929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117937,4.00,3.00,0.00,3.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6117953,2.00,3.00,0.00,2.00,5.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6117961,5.00,4.00,4.00,4.00,5.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6117970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6117988,6.00,4.00,3.00,3.00,5.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6117996,2.00,4.00,2.00,5.00,9.00,8.63,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6118003,7.00,7.00,1.00,4.00,6.00,7.88,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6118011,6.00,8.00,1.00,3.00,6.00,8.25,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6118020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6118038,5.00,5.00,3.00,5.00,5.00,7.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6118062,4.00,4.00,1.00,4.00,7.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6118089,6.00,5.00,3.00,3.00,9.00,10.13,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6118097,8.00,6.00,2.00,5.00,7.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6118100,4.00,7.00,3.00,3.00,8.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6118119,7.00,6.00,3.00,4.00,6.00,6.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6118127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6118135,9.00,5.00,2.00,5.00,9.00,NULL,0.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6118143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6118151,8.00,4.00,5.00,5.00,9.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6118160,2.00,5.00,3.00,2.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6118178,1.00,5.00,4.00,2.00,9.00,8.63,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6118186,0.00,2.00,0.00,0.00,0.00,NULL,1.00,1.00,0.00,'S',NULL,'S','N'),(25,6118194,8.00,4.00,4.00,5.00,5.00,10.50,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6118208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6118216,5.00,6.00,0.00,3.00,6.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6118240,3.00,6.00,2.00,6.00,7.00,10.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6118259,5.00,5.00,2.00,4.00,8.00,9.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6118267,1.00,0.00,0.00,1.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6118275,6.00,5.00,3.00,6.00,8.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6118313,2.00,2.00,1.00,5.00,5.00,NULL,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6118321,3.00,5.00,2.00,5.00,6.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6118356,2.00,6.00,1.00,1.00,7.00,7.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6118372,2.00,3.00,3.00,3.00,5.00,7.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6118380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6118402,7.00,6.00,1.00,5.00,7.00,8.63,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6118410,2.00,5.00,2.00,2.00,3.00,9.00,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6118429,5.00,6.00,5.00,7.00,8.00,10.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6118437,6.00,3.00,2.00,6.00,7.00,9.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6118445,3.00,5.00,1.00,1.00,6.00,8.25,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6118453,6.00,5.00,3.00,6.00,8.00,6.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6118461,2.00,4.00,0.00,6.00,5.00,9.38,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6118470,2.00,5.00,1.00,3.00,6.00,10.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6118496,5.00,6.00,2.00,7.00,8.00,10.13,1.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6118526,4.00,2.00,2.00,2.00,4.00,8.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6118569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6118577,2.00,2.00,0.00,3.00,4.00,9.75,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6118585,1.00,2.00,0.00,2.00,4.00,4.50,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6118593,6.00,6.00,2.00,6.00,8.00,12.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6118607,5.00,6.00,7.00,6.00,7.00,9.75,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6118615,2.00,6.00,3.00,2.00,8.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6118623,5.00,4.00,4.00,3.00,5.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6118631,7.00,5.00,5.00,6.00,8.00,10.13,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6118640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6118658,5.00,7.00,2.00,1.00,4.00,10.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6118674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6118682,1.00,4.00,3.00,6.00,4.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6118690,2.00,4.00,4.00,5.00,6.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6118704,5.00,7.00,5.00,4.00,5.00,6.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6118712,3.00,5.00,2.00,6.00,7.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6118720,4.00,5.00,1.00,1.00,9.00,7.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6118739,3.00,2.00,1.00,5.00,6.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6118747,8.00,7.00,6.00,6.00,8.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6118755,6.00,7.00,3.00,5.00,7.00,9.38,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6118763,9.00,6.00,5.00,6.00,10.00,6.00,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6118771,3.00,5.00,1.00,3.00,5.00,6.75,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6118780,3.00,4.00,2.00,1.00,3.00,7.88,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6118798,7.00,4.00,0.00,4.00,5.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6118801,4.00,4.00,1.00,4.00,8.00,10.13,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6118810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6118828,4.00,6.00,2.00,7.00,7.00,10.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6118836,4.00,5.00,2.00,7.00,10.00,10.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6118852,9.00,8.00,5.00,7.00,9.00,10.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6118860,6.00,6.00,4.00,1.00,4.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6118879,4.00,6.00,1.00,4.00,7.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6118887,6.00,6.00,1.00,4.00,8.00,4.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6118895,6.00,6.00,6.00,7.00,8.00,10.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6118909,3.00,2.00,2.00,2.00,4.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6118917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6118933,2.00,4.00,2.00,3.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6118941,8.00,8.00,7.00,6.00,8.00,9.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6118950,6.00,4.00,4.00,5.00,7.00,7.88,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6118968,7.00,6.00,1.00,4.00,9.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6118976,2.00,3.00,1.00,1.00,3.00,7.13,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6118984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6118992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6119034,3.00,5.00,0.00,5.00,8.00,7.50,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6119042,8.00,7.00,2.00,5.00,7.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6119069,9.00,5.00,5.00,5.00,10.00,8.63,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6119077,4.00,7.00,2.00,4.00,7.00,5.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6119085,5.00,8.00,2.00,2.00,9.00,NULL,1.00,5.00,2.00,NULL,NULL,'S','S'),(25,6119093,3.00,4.00,4.00,3.00,7.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6119115,4.00,7.00,1.00,3.00,6.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6119123,4.00,5.00,1.00,4.00,7.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6119131,2.00,2.00,2.00,1.00,4.00,0.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6119140,2.00,3.00,2.00,1.00,7.00,6.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6119158,4.00,3.00,2.00,3.00,8.00,9.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6119166,2.00,5.00,3.00,2.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6119182,5.00,5.00,1.00,3.00,4.00,7.88,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6119190,2.00,3.00,0.00,4.00,1.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6119204,4.00,2.00,1.00,3.00,4.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6119220,6.00,5.00,2.00,4.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6119239,5.00,6.00,3.00,2.00,7.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6119247,3.00,7.00,0.00,3.00,7.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6119263,9.00,8.00,8.00,7.00,10.00,10.13,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6119271,4.00,6.00,3.00,7.00,7.00,7.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6119280,5.00,2.00,2.00,3.00,8.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6119310,7.00,5.00,3.00,7.00,10.00,10.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6119328,6.00,5.00,5.00,3.00,6.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6119344,7.00,5.00,1.00,7.00,9.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6119352,5.00,7.00,3.00,3.00,7.00,9.38,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6119360,4.00,4.00,4.00,3.00,6.00,8.25,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6119379,5.00,6.00,1.00,4.00,7.00,7.13,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6119387,2.00,4.00,1.00,1.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6119395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6119409,5.00,5.00,1.00,1.00,6.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6119417,7.00,6.00,2.00,3.00,7.00,9.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6119425,2.00,2.00,3.00,2.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,'S','N'),(25,6119433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6119441,4.00,5.00,2.00,3.00,9.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6119450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6119476,3.00,0.00,2.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6119492,8.00,4.00,2.00,5.00,8.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6119506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6119522,8.00,7.00,8.00,7.00,10.00,11.25,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6119530,8.00,6.00,5.00,7.00,9.00,8.63,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6119549,1.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6119565,4.00,5.00,2.00,4.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6119573,5.00,5.00,3.00,3.00,6.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6119581,6.00,6.00,4.00,5.00,9.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6119590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6119611,3.00,4.00,1.00,5.00,7.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6119620,5.00,3.00,2.00,5.00,4.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6119638,3.00,2.00,0.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6119646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6119654,5.00,6.00,3.00,6.00,8.00,10.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6119662,3.00,4.00,3.00,1.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6119670,4.00,3.00,2.00,3.00,6.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6119689,6.00,7.00,1.00,7.00,9.00,10.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6119697,5.00,7.00,2.00,6.00,7.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6119700,2.00,6.00,1.00,4.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6119719,3.00,2.00,2.00,2.00,3.00,5.25,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6119727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6119735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6119743,6.00,5.00,5.00,3.00,6.00,6.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6119751,4.00,5.00,2.00,6.00,6.00,11.25,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6119760,6.00,6.00,4.00,7.00,9.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6119786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6119794,7.00,6.00,2.00,6.00,8.00,11.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6119816,4.00,3.00,2.00,6.00,4.00,9.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6119832,5.00,6.00,3.00,7.00,8.00,9.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6119840,3.00,6.00,3.00,5.00,6.00,5.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6119859,2.00,3.00,3.00,4.00,6.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6119867,6.00,8.00,6.00,7.00,8.00,10.88,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6119875,5.00,4.00,1.00,3.00,6.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6119883,6.00,5.00,2.00,5.00,7.00,5.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6119891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6119905,7.00,6.00,5.00,4.00,9.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6119913,5.00,4.00,1.00,6.00,8.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6119921,4.00,5.00,2.00,5.00,7.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6119930,3.00,6.00,1.00,4.00,6.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6119948,3.00,3.00,1.00,1.00,6.00,7.50,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6119956,2.00,5.00,1.00,4.00,9.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6119964,2.00,4.00,1.00,2.00,7.00,7.13,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6119999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6120008,4.00,2.00,0.00,3.00,6.00,10.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6120059,5.00,7.00,3.00,6.00,6.00,5.63,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6120067,3.00,4.00,2.00,6.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6120083,1.00,3.00,2.00,2.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6120091,5.00,6.00,3.00,7.00,5.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6120105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6120113,2.00,1.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6120121,3.00,4.00,2.00,5.00,7.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6120130,3.00,4.00,0.00,5.00,4.00,8.63,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6120148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6120156,3.00,2.00,3.00,1.00,3.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6120164,4.00,3.00,2.00,4.00,5.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6120180,4.00,4.00,2.00,3.00,4.00,7.13,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6120202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6120210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6120229,1.00,7.00,4.00,3.00,7.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6120237,5.00,5.00,5.00,4.00,6.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6120245,4.00,0.00,2.00,3.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6120253,5.00,5.00,4.00,6.00,8.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6120261,9.00,4.00,4.00,7.00,8.00,9.00,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6120270,2.00,4.00,1.00,4.00,5.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6120288,4.00,5.00,3.00,0.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6120296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6120300,2.00,2.00,0.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6120334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6120342,6.00,3.00,3.00,3.00,6.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6120350,8.00,8.00,4.00,7.00,11.00,9.38,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6120369,5.00,5.00,2.00,5.00,8.00,6.75,1.00,3.00,7.00,NULL,NULL,NULL,'S'),(25,6120377,4.00,6.00,2.00,2.00,5.00,8.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6120385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6120393,4.00,5.00,1.00,6.00,8.00,10.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6120407,5.00,7.00,2.00,5.00,7.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6120415,6.00,5.00,2.00,6.00,9.00,7.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6120423,7.00,4.00,5.00,5.00,5.00,10.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6120440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6120458,4.00,6.00,2.00,3.00,6.00,6.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6120466,4.00,5.00,3.00,4.00,7.00,10.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6120482,2.00,3.00,2.00,3.00,6.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6120504,2.00,5.00,1.00,3.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6120512,5.00,4.00,4.00,6.00,8.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6120520,3.00,5.00,1.00,5.00,4.00,7.88,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6120539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6120547,3.00,3.00,1.00,2.00,8.00,9.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6120555,4.00,6.00,3.00,5.00,3.00,8.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6120563,3.00,4.00,2.00,6.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6120571,2.00,4.00,1.00,3.00,1.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6120580,4.00,4.00,2.00,6.00,8.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6120598,8.00,8.00,7.00,7.00,8.00,9.75,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6120601,4.00,7.00,3.00,4.00,6.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6120610,6.00,6.00,3.00,5.00,8.00,7.88,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6120628,5.00,7.00,2.00,5.00,9.00,5.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6120636,5.00,5.00,5.00,4.00,8.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6120644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6120652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6120679,4.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6120687,3.00,1.00,1.00,3.00,5.00,6.75,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6120709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6120717,2.00,5.00,3.00,4.00,5.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6120725,2.00,4.00,2.00,6.00,7.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6120733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6120768,6.00,6.00,4.00,6.00,9.00,12.00,1.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6120784,9.00,8.00,5.00,3.00,5.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6120792,4.00,6.00,1.00,2.00,5.00,9.38,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6120814,4.00,3.00,3.00,6.00,7.00,9.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6120822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6120830,7.00,4.00,2.00,5.00,9.00,9.75,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6120849,2.00,2.00,0.00,4.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6120890,3.00,4.00,1.00,5.00,6.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6120903,6.00,6.00,5.00,7.00,8.00,7.50,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6120911,5.00,5.00,1.00,6.00,7.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6120920,4.00,7.00,3.00,3.00,7.00,9.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6120938,3.00,5.00,0.00,3.00,3.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6120946,5.00,7.00,4.00,7.00,8.00,8.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6120962,2.00,5.00,1.00,3.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6120970,6.00,6.00,4.00,6.00,9.00,9.75,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6120989,5.00,4.00,4.00,3.00,7.00,10.13,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6120997,3.00,4.00,1.00,3.00,7.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6121004,5.00,0.00,1.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6121012,8.00,6.00,1.00,4.00,6.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6121039,5.00,6.00,6.00,7.00,7.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6121047,6.00,6.00,2.00,4.00,9.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6121055,3.00,2.00,3.00,5.00,8.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6121071,6.00,0.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6121080,3.00,3.00,0.00,2.00,7.00,5.63,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6121098,5.00,6.00,1.00,6.00,7.00,9.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6121101,3.00,2.00,2.00,2.00,7.00,6.75,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6121128,8.00,8.00,5.00,6.00,7.00,10.13,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6121136,8.00,5.00,3.00,4.00,9.00,11.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6121144,1.00,3.00,1.00,2.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6121152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6121179,9.00,7.00,5.00,6.00,9.00,10.50,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6121195,3.00,5.00,4.00,3.00,8.00,11.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6121209,4.00,7.00,2.00,3.00,6.00,8.63,2.00,8.00,5.00,NULL,NULL,NULL,'S'),(25,6121217,5.00,4.00,2.00,6.00,6.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6121225,3.00,4.00,2.00,5.00,9.00,10.13,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6121233,7.00,5.00,4.00,5.00,6.00,10.50,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6121241,6.00,7.00,4.00,6.00,9.00,9.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6121250,3.00,5.00,1.00,2.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6121268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6121284,3.00,4.00,1.00,6.00,6.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6121292,2.00,3.00,1.00,6.00,7.00,7.88,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6121306,3.00,4.00,1.00,3.00,7.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6121314,1.00,1.00,1.00,1.00,3.00,9.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6121357,4.00,3.00,1.00,3.00,4.00,6.38,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6121365,4.00,4.00,3.00,4.00,6.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6121373,5.00,6.00,3.00,7.00,9.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6121390,3.00,3.00,1.00,2.00,4.00,7.88,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6121403,3.00,5.00,2.00,6.00,8.00,10.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6121411,4.00,4.00,3.00,4.00,4.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6121420,8.00,8.00,6.00,7.00,10.00,9.38,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6121438,8.00,6.00,5.00,5.00,9.00,10.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6121462,4.00,4.00,1.00,6.00,5.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6121489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6121497,5.00,4.00,3.00,2.00,7.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6121500,6.00,4.00,4.00,7.00,10.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6121527,3.00,6.00,2.00,4.00,7.00,8.25,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6121535,5.00,4.00,2.00,4.00,3.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6121543,8.00,4.00,4.00,7.00,9.00,10.13,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6121551,2.00,5.00,4.00,2.00,4.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6121586,8.00,7.00,4.00,7.00,9.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6121594,7.00,4.00,6.00,6.00,7.00,10.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6121608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6121616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6121624,4.00,5.00,2.00,4.00,5.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6121632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6121640,3.00,5.00,4.00,3.00,4.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6121659,8.00,4.00,3.00,6.00,9.00,7.88,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6121667,2.00,6.00,1.00,1.00,8.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6121675,4.00,5.00,0.00,7.00,6.00,7.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6121691,4.00,5.00,0.00,1.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,'S','N'),(25,6121713,1.00,2.00,1.00,2.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6121721,1.00,0.00,1.00,1.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6121730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6121756,1.00,2.00,2.00,1.00,3.00,7.88,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6121764,3.00,3.00,0.00,0.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6121772,4.00,7.00,3.00,5.00,9.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6121780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6121799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6121802,5.00,5.00,3.00,5.00,9.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6121810,4.00,4.00,1.00,3.00,8.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6121829,5.00,3.00,2.00,4.00,8.00,10.13,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6121837,4.00,5.00,1.00,4.00,7.00,10.13,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6121845,3.00,5.00,2.00,4.00,8.00,6.38,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6121853,3.00,5.00,2.00,2.00,7.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6121861,5.00,3.00,1.00,2.00,5.00,10.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6121870,5.00,4.00,1.00,3.00,4.00,7.50,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6121888,6.00,5.00,4.00,3.00,5.00,10.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6121896,3.00,2.00,2.00,1.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6121918,3.00,5.00,2.00,5.00,7.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'S'),(25,6121926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6121934,7.00,6.00,2.00,4.00,8.00,7.88,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6121942,6.00,5.00,3.00,5.00,6.00,7.13,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6121950,7.00,8.00,5.00,6.00,9.00,8.63,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6121969,7.00,3.00,5.00,2.00,6.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6121977,2.00,4.00,2.00,5.00,5.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6121985,1.00,3.00,3.00,3.00,6.00,9.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6121993,0.00,4.00,0.00,3.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6122000,4.00,3.00,3.00,4.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6122019,8.00,7.00,4.00,7.00,10.00,11.25,0.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6122027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6122035,5.00,6.00,6.00,2.00,8.00,7.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6122051,4.00,6.00,2.00,4.00,10.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6122060,2.00,3.00,1.00,5.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6122078,3.00,5.00,1.00,1.00,4.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6122086,5.00,5.00,1.00,5.00,6.00,6.00,1.00,3.00,6.00,NULL,NULL,NULL,'S'),(25,6122094,1.00,1.00,0.00,2.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6122108,3.00,4.00,2.00,4.00,5.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6122116,9.00,7.00,4.00,5.00,8.00,7.13,1.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6122124,1.00,5.00,1.00,4.00,4.00,9.38,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6122132,2.00,4.00,2.00,3.00,7.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6122159,3.00,5.00,3.00,3.00,6.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6122167,4.00,3.00,1.00,2.00,3.00,7.88,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6122175,2.00,4.00,1.00,5.00,5.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6122183,4.00,7.00,5.00,6.00,8.00,10.50,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6122191,2.00,1.00,2.00,3.00,4.00,6.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6122205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6122213,5.00,5.00,3.00,3.00,6.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6122221,3.00,5.00,2.00,4.00,5.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6122248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6122256,3.00,4.00,3.00,7.00,8.00,7.13,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6122264,8.00,4.00,5.00,3.00,9.00,10.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6122272,1.00,7.00,1.00,5.00,6.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6122280,4.00,4.00,0.00,1.00,6.00,6.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6122299,9.00,6.00,5.00,6.00,7.00,9.38,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6122302,5.00,6.00,1.00,6.00,6.00,11.25,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6122310,5.00,6.00,2.00,4.00,8.00,6.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6122329,6.00,7.00,1.00,5.00,8.00,11.25,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6122345,3.00,7.00,0.00,4.00,7.00,NULL,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6122353,3.00,4.00,4.00,4.00,5.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6122361,0.00,1.00,1.00,1.00,1.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6122370,6.00,3.00,2.00,5.00,4.00,8.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6122426,5.00,8.00,5.00,5.00,3.00,8.63,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6122434,4.00,7.00,2.00,6.00,5.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6122442,1.00,3.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6122450,7.00,4.00,2.00,5.00,8.00,8.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6122477,3.00,6.00,6.00,7.00,6.00,7.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6122485,4.00,6.00,0.00,5.00,5.00,11.25,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6122493,5.00,4.00,3.00,6.00,9.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6122507,2.00,3.00,2.00,3.00,5.00,9.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6122515,2.00,2.00,3.00,2.00,5.00,7.13,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6122523,4.00,4.00,0.00,2.00,6.00,9.38,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6122531,4.00,5.00,3.00,1.00,5.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6122540,3.00,3.00,4.00,7.00,6.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6122566,5.00,5.00,1.00,1.00,8.00,9.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6122574,5.00,6.00,3.00,5.00,6.00,8.63,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6122582,4.00,3.00,1.00,2.00,8.00,3.00,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6122604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6122612,7.00,6.00,3.00,7.00,6.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6122620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6122639,3.00,6.00,3.00,3.00,7.00,9.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6122647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6122655,5.00,6.00,2.00,6.00,7.00,9.75,0.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6122663,4.00,7.00,4.00,6.00,10.00,11.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6122680,5.00,5.00,1.00,3.00,7.00,6.75,2.00,8.00,0.00,NULL,NULL,NULL,'N'),(25,6122698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6122701,9.00,7.00,6.00,7.00,9.00,12.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6122710,2.00,5.00,1.00,4.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6122728,3.00,0.00,2.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(25,6122736,2.00,6.00,3.00,1.00,5.00,NULL,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6122744,1.00,3.00,1.00,1.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6122752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6122760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6122779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6122787,2.00,4.00,3.00,4.00,6.00,0.00,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6122795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6122809,5.00,7.00,3.00,5.00,7.00,7.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6122817,5.00,4.00,2.00,6.00,9.00,7.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6122841,6.00,6.00,4.00,6.00,8.00,7.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6122850,3.00,1.00,1.00,2.00,5.00,5.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6122868,6.00,5.00,2.00,5.00,8.00,10.88,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6122876,7.00,8.00,3.00,4.00,7.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6122884,8.00,6.00,3.00,6.00,9.00,10.13,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6122892,3.00,4.00,2.00,5.00,6.00,5.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6122906,7.00,7.00,2.00,5.00,9.00,9.38,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6122914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6122922,3.00,4.00,0.00,3.00,3.00,6.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6122949,1.00,4.00,0.00,6.00,6.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6122957,4.00,5.00,3.00,4.00,7.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6122965,4.00,4.00,3.00,5.00,7.00,6.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6122973,6.00,6.00,1.00,4.00,9.00,7.50,0.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6122981,5.00,3.00,2.00,3.00,3.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6122990,4.00,3.00,1.00,5.00,6.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6123007,8.00,7.00,3.00,5.00,7.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6123015,4.00,7.00,3.00,5.00,6.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6123023,6.00,5.00,0.00,4.00,6.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6123031,7.00,4.00,1.00,5.00,7.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6123040,7.00,6.00,4.00,7.00,9.00,8.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6123066,4.00,6.00,4.00,7.00,5.00,9.38,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6123082,8.00,6.00,1.00,7.00,8.00,12.38,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6123090,7.00,7.00,3.00,7.00,9.00,12.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6123104,9.00,8.00,6.00,6.00,10.00,10.13,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6123139,5.00,8.00,2.00,6.00,5.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6123155,4.00,6.00,0.00,6.00,8.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6123163,8.00,6.00,7.00,7.00,9.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6123171,5.00,4.00,2.00,4.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6123198,2.00,4.00,0.00,2.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6123210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6123228,6.00,7.00,3.00,7.00,9.00,11.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6123236,4.00,6.00,1.00,6.00,8.00,7.88,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6123244,2.00,3.00,3.00,5.00,7.00,7.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6123260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6123279,4.00,8.00,1.00,7.00,9.00,11.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6123287,1.00,2.00,2.00,2.00,3.00,7.88,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6123325,6.00,4.00,3.00,4.00,9.00,7.50,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6123333,2.00,5.00,1.00,4.00,4.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6123341,3.00,4.00,3.00,6.00,9.00,9.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6123350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6123368,6.00,5.00,2.00,3.00,4.00,6.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6123376,6.00,5.00,2.00,7.00,10.00,9.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6123384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6123392,7.00,7.00,4.00,7.00,7.00,7.88,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6123414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6123449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6123457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6123465,4.00,4.00,2.00,0.00,6.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6123473,5.00,7.00,6.00,7.00,6.00,10.13,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6123481,5.00,4.00,0.00,1.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6123490,2.00,4.00,1.00,3.00,7.00,7.50,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6123503,4.00,7.00,6.00,6.00,6.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6123511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6123520,2.00,5.00,3.00,3.00,5.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6123538,6.00,5.00,4.00,5.00,7.00,8.25,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6123546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6123554,1.00,4.00,1.00,2.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6123570,8.00,6.00,6.00,7.00,8.00,10.88,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6123589,1.00,6.00,1.00,5.00,7.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6123619,4.00,4.00,3.00,4.00,6.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6123627,4.00,6.00,4.00,6.00,6.00,10.13,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6123635,4.00,3.00,5.00,7.00,7.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6123651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6123660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6123678,2.00,4.00,3.00,1.00,5.00,10.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6123686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6123694,3.00,5.00,1.00,5.00,8.00,9.38,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6123708,3.00,6.00,4.00,7.00,6.00,7.13,5.00,7.00,4.00,NULL,NULL,NULL,'S'),(25,6123716,3.00,4.00,3.00,3.00,5.00,7.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6123724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6123740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6123767,3.00,2.00,2.00,4.00,4.00,4.88,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6123775,3.00,6.00,1.00,5.00,5.00,8.25,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6123783,3.00,5.00,3.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6123791,4.00,4.00,1.00,6.00,8.00,8.63,1.00,0.00,6.00,NULL,NULL,NULL,'N'),(25,6123805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6123813,9.00,5.00,2.00,5.00,8.00,5.63,1.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6123821,2.00,4.00,0.00,4.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6123830,5.00,3.00,2.00,0.00,3.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6123848,5.00,4.00,1.00,3.00,6.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6123856,8.00,7.00,5.00,5.00,8.00,8.25,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6123864,3.00,6.00,0.00,3.00,7.00,9.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6123872,2.00,6.00,2.00,3.00,9.00,9.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6123880,2.00,4.00,0.00,4.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6123902,6.00,6.00,6.00,5.00,9.00,10.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6123910,3.00,5.00,2.00,2.00,8.00,6.75,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6123929,3.00,6.00,3.00,0.00,7.00,11.25,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6123937,3.00,6.00,3.00,4.00,8.00,9.75,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6123945,7.00,6.00,5.00,4.00,8.00,8.63,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6123953,4.00,6.00,2.00,4.00,6.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6123961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6123970,7.00,6.00,1.00,6.00,8.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6123988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6123996,3.00,6.00,3.00,4.00,6.00,9.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6124011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6124038,6.00,6.00,0.00,4.00,8.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6124046,2.00,6.00,2.00,3.00,5.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6124054,4.00,3.00,2.00,4.00,3.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6124062,2.00,2.00,1.00,3.00,6.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6124070,4.00,3.00,1.00,3.00,8.00,9.00,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6124089,4.00,4.00,3.00,4.00,7.00,9.00,0.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6124097,7.00,6.00,2.00,4.00,9.00,9.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6124119,5.00,6.00,3.00,5.00,7.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6124127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6124135,7.00,4.00,3.00,3.00,8.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6124143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6124151,4.00,5.00,3.00,3.00,5.00,9.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6124160,6.00,4.00,4.00,6.00,7.00,7.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6124178,6.00,7.00,5.00,7.00,8.00,9.38,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6124186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6124194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6124208,4.00,4.00,2.00,3.00,8.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6124216,7.00,0.00,3.00,4.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6124224,5.00,2.00,2.00,5.00,5.00,10.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6124232,4.00,5.00,2.00,4.00,6.00,6.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6124240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6124259,2.00,6.00,1.00,1.00,4.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6124267,4.00,4.00,1.00,6.00,8.00,10.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6124275,7.00,7.00,2.00,6.00,7.00,7.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6124283,2.00,3.00,2.00,4.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6124291,1.00,2.00,5.00,3.00,4.00,5.63,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6124305,4.00,5.00,1.00,5.00,6.00,NULL,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6124313,0.00,3.00,4.00,2.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6124321,8.00,7.00,3.00,6.00,10.00,9.38,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6124330,8.00,6.00,3.00,2.00,7.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6124348,8.00,7.00,4.00,6.00,10.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6124364,8.00,6.00,1.00,3.00,7.00,9.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6124372,0.00,2.00,2.00,0.00,4.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6124380,6.00,5.00,5.00,7.00,8.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6124399,3.00,6.00,1.00,3.00,5.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6124402,7.00,5.00,4.00,7.00,9.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6124410,4.00,0.00,0.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6124437,1.00,1.00,3.00,1.00,4.00,6.38,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6124445,8.00,6.00,3.00,6.00,10.00,10.88,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6124453,3.00,2.00,0.00,2.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,'S','N'),(25,6124461,3.00,5.00,0.00,2.00,6.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6124470,2.00,3.00,1.00,3.00,5.00,6.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6124488,5.00,4.00,2.00,5.00,7.00,9.00,4.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6124496,5.00,4.00,4.00,4.00,7.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6124500,6.00,6.00,4.00,5.00,8.00,10.13,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6124518,8.00,5.00,4.00,6.00,6.00,7.88,6.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6124526,9.00,7.00,3.00,6.00,8.00,9.38,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6124542,4.00,5.00,3.00,5.00,4.00,NULL,4.00,4.00,1.00,NULL,NULL,'S','S'),(25,6124550,4.00,5.00,1.00,4.00,7.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6124569,7.00,5.00,1.00,7.00,9.00,NULL,0.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6124577,4.00,5.00,4.00,6.00,8.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6124585,3.00,5.00,2.00,6.00,5.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6124593,3.00,3.00,1.00,4.00,5.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6124615,4.00,7.00,5.00,6.00,9.00,9.38,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6124623,3.00,5.00,3.00,4.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6124631,4.00,7.00,4.00,2.00,4.00,9.38,1.00,6.00,4.00,NULL,NULL,NULL,'S'),(25,6124640,1.00,3.00,2.00,5.00,3.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6124658,6.00,8.00,3.00,5.00,11.00,9.75,0.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6124674,4.00,7.00,4.00,2.00,6.00,7.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6124682,2.00,4.00,0.00,2.00,3.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6124690,5.00,7.00,4.00,5.00,8.00,11.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6124712,6.00,6.00,4.00,7.00,8.00,7.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6124720,4.00,5.00,2.00,3.00,7.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6124747,0.00,3.00,3.00,4.00,5.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6124755,8.00,4.00,6.00,6.00,8.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6124763,6.00,5.00,2.00,6.00,6.00,11.25,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6124771,5.00,5.00,3.00,5.00,7.00,11.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6124780,1.00,3.00,3.00,5.00,5.00,7.50,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6124798,8.00,7.00,3.00,5.00,9.00,10.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6124801,5.00,6.00,2.00,6.00,7.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6124810,5.00,3.00,1.00,2.00,7.00,11.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6124828,5.00,4.00,5.00,4.00,6.00,9.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6124836,2.00,7.00,3.00,6.00,6.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6124844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6124852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6124860,4.00,6.00,6.00,6.00,8.00,11.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6124879,8.00,4.00,5.00,5.00,10.00,9.75,2.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6124887,4.00,6.00,5.00,7.00,6.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6124895,8.00,7.00,3.00,4.00,10.00,7.50,1.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6124909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6124925,4.00,4.00,3.00,5.00,8.00,10.88,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6124933,2.00,3.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6124941,3.00,6.00,3.00,0.00,7.00,NULL,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6124950,3.00,4.00,1.00,6.00,4.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6124968,8.00,6.00,3.00,6.00,7.00,10.13,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6124976,3.00,5.00,2.00,3.00,6.00,4.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6124984,4.00,7.00,2.00,2.00,5.00,7.88,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6124992,5.00,5.00,2.00,7.00,10.00,12.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6125000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6125018,6.00,5.00,4.00,5.00,10.00,10.50,1.00,7.00,5.00,NULL,NULL,NULL,'S'),(25,6125026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6125042,3.00,2.00,2.00,1.00,4.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6125069,2.00,3.00,0.00,3.00,5.00,9.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6125077,2.00,5.00,3.00,2.00,2.00,NULL,5.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6125085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6125093,8.00,5.00,2.00,5.00,9.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6125107,4.00,5.00,1.00,2.00,6.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6125115,4.00,7.00,5.00,6.00,6.00,7.50,3.00,3.00,9.00,NULL,NULL,NULL,'N'),(25,6125123,7.00,8.00,4.00,6.00,9.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6125131,6.00,3.00,5.00,6.00,7.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6125140,3.00,3.00,1.00,3.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6125158,2.00,2.00,0.00,1.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6125166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6125174,7.00,5.00,4.00,6.00,10.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6125204,5.00,5.00,2.00,4.00,7.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6125212,6.00,6.00,2.00,3.00,7.00,10.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6125220,3.00,6.00,1.00,6.00,9.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6125239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6125263,3.00,6.00,1.00,5.00,6.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6125271,4.00,3.00,3.00,3.00,5.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6125280,7.00,6.00,2.00,5.00,7.00,10.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6125298,3.00,5.00,0.00,3.00,5.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6125301,4.00,4.00,4.00,7.00,9.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6125310,7.00,7.00,2.00,5.00,9.00,10.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6125328,6.00,8.00,3.00,6.00,8.00,8.63,2.00,7.00,10.00,NULL,NULL,NULL,'N'),(25,6125352,2.00,7.00,3.00,4.00,7.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6125379,2.00,1.00,1.00,0.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6125387,2.00,4.00,0.00,3.00,5.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6125409,5.00,3.00,2.00,4.00,8.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6125417,5.00,7.00,2.00,7.00,9.00,11.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6125441,4.00,4.00,1.00,4.00,3.00,7.50,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6125450,4.00,5.00,4.00,7.00,7.00,8.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6125468,5.00,6.00,3.00,6.00,7.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6125476,7.00,7.00,7.00,7.00,9.00,11.63,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6125484,5.00,5.00,5.00,5.00,9.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6125492,4.00,4.00,2.00,3.00,6.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6125506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6125514,6.00,4.00,3.00,4.00,7.00,11.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6125522,4.00,4.00,3.00,3.00,7.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6125530,2.00,5.00,3.00,4.00,7.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6125549,4.00,6.00,1.00,1.00,5.00,9.38,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6125565,8.00,7.00,4.00,5.00,8.00,8.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6125573,4.00,6.00,1.00,2.00,9.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6125590,3.00,6.00,2.00,1.00,4.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6125603,4.00,4.00,2.00,4.00,6.00,NULL,0.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6125611,4.00,6.00,1.00,4.00,8.00,7.13,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6125620,9.00,7.00,6.00,6.00,9.00,8.63,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6125638,2.00,3.00,0.00,4.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6125646,3.00,7.00,3.00,4.00,7.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6125654,2.00,3.00,1.00,2.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6125662,4.00,6.00,0.00,5.00,8.00,7.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6125689,5.00,6.00,2.00,8.00,9.00,12.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6125697,2.00,4.00,3.00,5.00,5.00,6.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6125700,5.00,4.00,1.00,5.00,5.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6125719,4.00,5.00,4.00,7.00,6.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6125727,3.00,3.00,3.00,4.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6125735,7.00,7.00,1.00,4.00,7.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6125743,3.00,3.00,2.00,3.00,6.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6125760,4.00,6.00,1.00,6.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6125778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6125786,6.00,6.00,5.00,7.00,6.00,5.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6125794,1.00,5.00,0.00,3.00,5.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6125808,3.00,6.00,2.00,3.00,9.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6125816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6125824,8.00,8.00,5.00,5.00,8.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6125832,4.00,4.00,4.00,5.00,8.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6125840,4.00,6.00,1.00,6.00,8.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6125859,2.00,3.00,2.00,2.00,4.00,8.63,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6125867,5.00,6.00,3.00,6.00,6.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6125883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6125891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6125905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6125921,6.00,5.00,1.00,5.00,8.00,8.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6125930,7.00,6.00,4.00,6.00,6.00,8.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6125956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6125964,2.00,3.00,2.00,2.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,'S','S'),(25,6125972,6.00,7.00,3.00,5.00,9.00,9.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6125980,3.00,4.00,2.00,2.00,3.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6125999,5.00,6.00,1.00,1.00,8.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6126014,6.00,6.00,2.00,5.00,6.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6126022,7.00,7.00,8.00,7.00,9.00,8.63,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6126065,7.00,7.00,3.00,3.00,7.00,8.25,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6126103,7.00,7.00,0.00,6.00,10.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6126111,4.00,6.00,1.00,6.00,8.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6126120,4.00,7.00,2.00,5.00,7.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6126138,6.00,6.00,2.00,5.00,9.00,7.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6126146,3.00,1.00,2.00,2.00,6.00,7.13,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6126162,2.00,6.00,3.00,2.00,4.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6126170,3.00,6.00,4.00,5.00,6.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6126189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6126197,6.00,4.00,4.00,6.00,8.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6126219,5.00,7.00,3.00,7.00,7.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6126227,7.00,5.00,6.00,3.00,7.00,7.13,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6126235,2.00,1.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6126243,5.00,6.00,2.00,5.00,5.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6126251,5.00,5.00,3.00,3.00,6.00,8.63,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6126260,7.00,7.00,2.00,6.00,8.00,10.50,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6126278,3.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6126286,1.00,3.00,2.00,1.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6126294,4.00,5.00,2.00,4.00,5.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6126316,7.00,7.00,4.00,7.00,9.00,6.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6126324,6.00,4.00,2.00,3.00,6.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6126332,2.00,7.00,1.00,4.00,6.00,10.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6126340,3.00,3.00,1.00,4.00,6.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6126359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6126367,3.00,5.00,2.00,1.00,5.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6126375,7.00,4.00,4.00,6.00,9.00,5.63,1.00,1.00,4.00,NULL,NULL,NULL,'S'),(25,6126383,7.00,5.00,3.00,6.00,8.00,7.88,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6126391,5.00,5.00,2.00,5.00,7.00,8.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6126405,6.00,6.00,5.00,7.00,9.00,8.63,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6126413,7.00,6.00,7.00,7.00,9.00,11.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6126421,9.00,6.00,6.00,7.00,7.00,7.50,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6126430,3.00,1.00,3.00,2.00,7.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6126448,8.00,7.00,8.00,8.00,9.00,10.88,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6126456,5.00,4.00,4.00,4.00,6.00,6.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6126472,6.00,8.00,3.00,4.00,9.00,10.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6126480,7.00,5.00,5.00,6.00,9.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6126499,5.00,6.00,1.00,6.00,9.00,9.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6126502,4.00,7.00,4.00,6.00,7.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6126510,2.00,2.00,1.00,3.00,1.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6126529,5.00,5.00,3.00,6.00,7.00,8.25,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6126537,9.00,3.00,3.00,6.00,8.00,9.75,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6126553,7.00,6.00,4.00,6.00,8.00,12.38,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6126561,6.00,4.00,3.00,7.00,7.00,NULL,0.00,5.00,3.00,NULL,NULL,'S','N'),(25,6126570,6.00,6.00,2.00,6.00,5.00,6.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6126588,5.00,7.00,5.00,4.00,7.00,7.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6126618,6.00,5.00,2.00,7.00,8.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6126634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6126642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6126650,4.00,5.00,1.00,6.00,9.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6126669,3.00,4.00,1.00,5.00,6.00,9.00,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6126677,9.00,4.00,3.00,6.00,10.00,9.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6126693,6.00,4.00,5.00,7.00,6.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6126707,4.00,5.00,3.00,3.00,7.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6126715,6.00,6.00,2.00,2.00,10.00,10.88,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6126723,4.00,2.00,1.00,4.00,8.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6126731,4.00,6.00,2.00,0.00,4.00,9.75,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6126740,2.00,2.00,1.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6126758,4.00,2.00,0.00,4.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6126766,1.00,2.00,2.00,1.00,4.00,7.13,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6126774,8.00,5.00,7.00,5.00,9.00,7.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6126782,2.00,2.00,1.00,1.00,3.00,6.00,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6126790,8.00,6.00,7.00,7.00,9.00,8.63,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6126804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6126812,4.00,5.00,4.00,4.00,6.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6126820,4.00,5.00,1.00,6.00,8.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6126839,4.00,8.00,1.00,4.00,6.00,11.63,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6126855,6.00,3.00,3.00,5.00,7.00,NULL,1.00,1.00,4.00,NULL,NULL,'S','N'),(25,6126863,7.00,7.00,4.00,4.00,8.00,9.38,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6126871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6126880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6126901,6.00,7.00,4.00,6.00,7.00,13.88,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6126910,9.00,7.00,8.00,6.00,9.00,9.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6126928,5.00,6.00,1.00,5.00,6.00,9.38,1.00,6.00,4.00,NULL,NULL,NULL,'S'),(25,6126936,9.00,8.00,7.00,7.00,8.00,10.50,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6126960,2.00,5.00,2.00,4.00,5.00,6.00,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6126979,1.00,5.00,2.00,2.00,6.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6126987,7.00,8.00,0.00,7.00,6.00,8.63,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6126995,2.00,4.00,1.00,4.00,2.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6127002,2.00,2.00,2.00,1.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6127010,9.00,6.00,2.00,6.00,4.00,NULL,2.00,5.00,8.00,NULL,NULL,'S','N'),(25,6127029,8.00,7.00,3.00,6.00,7.00,9.75,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6127045,3.00,4.00,2.00,1.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,'S','N'),(25,6127061,1.00,3.00,3.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6127070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6127096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6127118,3.00,5.00,3.00,6.00,6.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6127126,2.00,2.00,1.00,2.00,6.00,5.63,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6127134,3.00,5.00,2.00,4.00,5.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6127142,2.00,2.00,0.00,0.00,6.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6127150,6.00,7.00,0.00,2.00,5.00,6.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6127185,4.00,7.00,2.00,5.00,8.00,6.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6127193,3.00,4.00,3.00,4.00,5.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6127207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6127223,5.00,4.00,2.00,4.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,'S','N'),(25,6127231,2.00,4.00,2.00,4.00,6.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6127240,1.00,2.00,2.00,3.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6127258,4.00,4.00,2.00,6.00,6.00,11.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6127266,1.00,5.00,2.00,2.00,3.00,7.88,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6127274,3.00,8.00,2.00,5.00,6.00,7.13,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6127282,4.00,8.00,2.00,3.00,6.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6127304,4.00,6.00,1.00,7.00,8.00,9.38,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6127312,1.00,4.00,2.00,2.00,3.00,6.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6127320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6127339,6.00,8.00,3.00,6.00,9.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6127347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6127355,2.00,6.00,4.00,4.00,6.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6127398,1.00,5.00,2.00,4.00,7.00,6.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6127401,0.00,2.00,1.00,3.00,6.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6127410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6127436,3.00,6.00,2.00,4.00,6.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6127444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6127460,7.00,5.00,3.00,1.00,8.00,10.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6127479,4.00,8.00,3.00,6.00,8.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6127495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6127517,5.00,7.00,5.00,7.00,9.00,10.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6127541,2.00,4.00,4.00,6.00,7.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6127568,3.00,6.00,2.00,2.00,3.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6127584,3.00,3.00,0.00,4.00,5.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6127606,5.00,3.00,2.00,2.00,6.00,6.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6127614,1.00,5.00,3.00,7.00,6.00,9.38,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6127622,3.00,3.00,2.00,3.00,6.00,8.25,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6127630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6127649,4.00,5.00,1.00,4.00,9.00,7.88,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6127657,4.00,6.00,3.00,6.00,5.00,6.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6127665,5.00,3.00,1.00,5.00,6.00,4.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6127673,4.00,6.00,0.00,3.00,4.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6127690,7.00,4.00,2.00,2.00,10.00,10.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6127703,3.00,5.00,2.00,1.00,4.00,7.50,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6127711,7.00,7.00,3.00,3.00,10.00,9.00,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6127720,3.00,6.00,5.00,5.00,5.00,9.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6127738,2.00,4.00,0.00,5.00,3.00,9.75,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6127746,3.00,5.00,1.00,4.00,7.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6127754,3.00,4.00,1.00,5.00,5.00,5.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6127762,3.00,5.00,1.00,1.00,6.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6127770,5.00,6.00,6.00,7.00,8.00,6.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6127789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6127797,4.00,1.00,1.00,2.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6127800,4.00,8.00,0.00,6.00,9.00,9.38,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6127843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6127851,3.00,3.00,1.00,3.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6127860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6127878,5.00,6.00,2.00,5.00,5.00,9.38,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6127886,3.00,6.00,0.00,5.00,8.00,10.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6127894,5.00,6.00,1.00,6.00,7.00,13.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6127908,5.00,6.00,5.00,6.00,7.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6127916,2.00,0.00,5.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6127924,6.00,5.00,3.00,5.00,6.00,6.38,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6127932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6127940,5.00,2.00,3.00,3.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6127959,2.00,1.00,1.00,2.00,4.00,5.25,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6127967,7.00,6.00,2.00,6.00,10.00,7.88,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6127975,5.00,6.00,1.00,6.00,10.00,9.75,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6127983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6127991,7.00,5.00,1.00,4.00,8.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6128009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6128017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6128025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6128050,8.00,7.00,2.00,4.00,10.00,11.25,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6128068,2.00,5.00,0.00,7.00,7.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6128076,6.00,6.00,4.00,6.00,8.00,8.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6128084,5.00,6.00,2.00,5.00,6.00,7.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6128106,2.00,4.00,2.00,3.00,3.00,9.75,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6128130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6128149,4.00,4.00,1.00,4.00,10.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6128157,8.00,6.00,3.00,2.00,10.00,10.50,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6128165,7.00,5.00,2.00,3.00,9.00,9.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6128173,5.00,6.00,4.00,6.00,8.00,9.38,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6128181,3.00,5.00,4.00,5.00,6.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6128190,8.00,7.00,3.00,6.00,7.00,8.63,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6128203,4.00,4.00,2.00,3.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6128211,9.00,7.00,6.00,7.00,11.00,10.88,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6128220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6128238,1.00,5.00,1.00,2.00,3.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6128246,8.00,6.00,6.00,7.00,8.00,9.00,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6128254,7.00,7.00,7.00,7.00,9.00,11.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6128262,8.00,7.00,6.00,7.00,8.00,10.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6128270,7.00,6.00,5.00,3.00,8.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6128289,4.00,5.00,4.00,4.00,7.00,10.88,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6128297,4.00,6.00,2.00,3.00,6.00,7.13,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6128300,3.00,5.00,2.00,3.00,8.00,7.13,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6128319,5.00,6.00,2.00,6.00,8.00,9.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6128327,6.00,7.00,3.00,4.00,10.00,10.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6128335,5.00,6.00,2.00,5.00,8.00,12.38,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6128343,2.00,5.00,1.00,1.00,4.00,7.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6128351,2.00,3.00,2.00,2.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6128360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6128378,2.00,5.00,2.00,2.00,7.00,10.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6128386,3.00,5.00,1.00,5.00,7.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6128408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6128424,4.00,2.00,2.00,2.00,5.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6128440,6.00,7.00,4.00,5.00,5.00,7.88,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6128459,7.00,6.00,2.00,5.00,9.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6128467,3.00,1.00,1.00,5.00,4.00,8.63,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6128475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6128483,3.00,4.00,0.00,3.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6128491,5.00,6.00,5.00,5.00,8.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6128505,4.00,3.00,2.00,4.00,8.00,7.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6128513,2.00,3.00,0.00,2.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6128530,4.00,6.00,6.00,7.00,9.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6128548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6128564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6128572,3.00,3.00,2.00,3.00,8.00,8.25,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6128580,9.00,6.00,8.00,7.00,8.00,9.75,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6128602,4.00,3.00,2.00,4.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6128629,7.00,6.00,2.00,7.00,9.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6128637,2.00,4.00,2.00,3.00,4.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6128653,3.00,3.00,0.00,3.00,5.00,4.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6128661,5.00,5.00,5.00,2.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6128688,4.00,6.00,1.00,3.00,8.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6128696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6128700,4.00,4.00,2.00,5.00,4.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6128726,3.00,3.00,0.00,4.00,5.00,3.38,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6128734,5.00,6.00,2.00,2.00,4.00,4.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6128742,6.00,5.00,2.00,4.00,5.00,9.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6128750,4.00,6.00,4.00,3.00,6.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6128769,2.00,1.00,1.00,3.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6128777,4.00,7.00,3.00,5.00,7.00,10.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6128793,3.00,5.00,3.00,0.00,3.00,4.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6128807,5.00,4.00,2.00,4.00,6.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6128823,1.00,5.00,3.00,4.00,6.00,0.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6128858,4.00,3.00,1.00,4.00,7.00,6.00,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6128882,2.00,4.00,0.00,4.00,3.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6128890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6128912,3.00,4.00,4.00,6.00,9.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6128920,5.00,5.00,0.00,5.00,7.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6128939,2.00,1.00,0.00,1.00,4.00,7.13,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6128947,5.00,3.00,0.00,3.00,3.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6128955,2.00,4.00,1.00,2.00,4.00,6.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6128963,4.00,5.00,2.00,5.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6128971,5.00,6.00,3.00,3.00,6.00,9.00,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6128980,1.00,3.00,1.00,3.00,5.00,9.00,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6128998,8.00,5.00,0.00,4.00,6.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6129005,2.00,2.00,1.00,3.00,6.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6129021,5.00,3.00,4.00,6.00,9.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6129030,5.00,7.00,5.00,4.00,8.00,10.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6129048,3.00,5.00,0.00,2.00,6.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6129056,1.00,4.00,1.00,5.00,6.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6129064,2.00,5.00,3.00,0.00,4.00,4.50,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6129072,6.00,6.00,4.00,7.00,6.00,7.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6129080,1.00,5.00,2.00,3.00,7.00,12.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6129099,7.00,5.00,1.00,4.00,7.00,9.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6129102,4.00,5.00,2.00,3.00,8.00,9.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6129110,4.00,4.00,0.00,3.00,4.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6129137,3.00,5.00,4.00,6.00,8.00,10.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6129145,3.00,5.00,2.00,2.00,3.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6129161,8.00,4.00,2.00,7.00,8.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6129170,7.00,4.00,4.00,7.00,6.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6129196,4.00,4.00,4.00,5.00,6.00,8.63,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6129200,2.00,6.00,0.00,5.00,7.00,9.38,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6129218,5.00,3.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6129226,6.00,6.00,1.00,3.00,8.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6129234,5.00,2.00,1.00,3.00,3.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6129250,5.00,2.00,1.00,2.00,3.00,5.25,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6129269,6.00,7.00,3.00,5.00,8.00,11.63,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6129293,1.00,3.00,3.00,4.00,4.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6129307,3.00,4.00,4.00,6.00,6.00,9.38,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6129315,5.00,3.00,1.00,5.00,9.00,9.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6129323,3.00,5.00,3.00,1.00,3.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6129331,6.00,6.00,3.00,5.00,9.00,11.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6129340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6129358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6129366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6129374,5.00,4.00,1.00,4.00,6.00,4.88,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6129382,1.00,2.00,0.00,1.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6129390,5.00,7.00,3.00,5.00,9.00,10.13,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6129404,5.00,3.00,1.00,2.00,7.00,7.88,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6129439,3.00,4.00,2.00,6.00,6.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6129447,7.00,7.00,4.00,6.00,11.00,10.88,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6129455,6.00,4.00,1.00,6.00,4.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6129463,5.00,4.00,1.00,0.00,7.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6129480,5.00,6.00,4.00,3.00,5.00,6.75,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6129498,2.00,3.00,0.00,2.00,3.00,5.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6129501,7.00,5.00,3.00,7.00,7.00,7.13,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6129510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6129528,2.00,6.00,3.00,4.00,8.00,8.63,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6129536,6.00,6.00,4.00,7.00,8.00,7.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6129544,2.00,2.00,2.00,1.00,3.00,6.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6129552,2.00,4.00,2.00,6.00,4.00,6.00,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6129587,2.00,2.00,1.00,0.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6129595,7.00,5.00,2.00,4.00,8.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6129609,6.00,5.00,2.00,5.00,8.00,9.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6129625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6129641,8.00,4.00,2.00,5.00,9.00,6.75,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6129668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6129676,3.00,6.00,2.00,6.00,9.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6129684,5.00,4.00,2.00,6.00,6.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6129714,4.00,4.00,3.00,3.00,4.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6129730,7.00,6.00,4.00,5.00,7.00,12.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6129749,4.00,4.00,4.00,5.00,6.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6129757,7.00,7.00,6.00,4.00,9.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6129765,3.00,3.00,1.00,6.00,4.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6129773,7.00,5.00,3.00,6.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,'S','N'),(25,6129781,7.00,6.00,1.00,7.00,10.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6129803,7.00,6.00,5.00,6.00,10.00,8.25,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6129838,6.00,5.00,3.00,5.00,7.00,9.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6129846,9.00,7.00,4.00,6.00,9.00,10.13,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6129854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6129862,2.00,4.00,1.00,0.00,6.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6129897,2.00,4.00,2.00,4.00,4.00,6.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6129919,8.00,5.00,4.00,5.00,6.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6129943,3.00,6.00,1.00,5.00,7.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6129951,3.00,5.00,1.00,6.00,8.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6129978,8.00,7.00,6.00,6.00,9.00,8.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6129986,7.00,5.00,1.00,5.00,6.00,5.25,4.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6129994,1.00,3.00,3.00,2.00,7.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6130003,8.00,8.00,1.00,5.00,9.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6130038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6130054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6130062,7.00,0.00,7.00,7.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6130070,3.00,2.00,1.00,2.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6130089,5.00,5.00,2.00,3.00,5.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6130100,6.00,5.00,0.00,3.00,9.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6130119,4.00,7.00,1.00,2.00,7.00,9.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6130127,5.00,6.00,3.00,5.00,6.00,7.88,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6130143,3.00,7.00,2.00,3.00,7.00,10.13,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6130151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6130160,7.00,3.00,4.00,4.00,6.00,11.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6130178,7.00,5.00,4.00,3.00,4.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6130194,5.00,4.00,3.00,6.00,6.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6130208,4.00,6.00,3.00,2.00,9.00,10.13,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6130216,3.00,3.00,3.00,3.00,5.00,8.25,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6130224,0.00,2.00,3.00,2.00,5.00,4.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6130232,4.00,3.00,0.00,5.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6130240,6.00,4.00,6.00,4.00,7.00,7.13,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6130259,5.00,5.00,1.00,0.00,6.00,NULL,0.00,4.00,4.00,NULL,NULL,'S','S'),(25,6130267,3.00,5.00,2.00,5.00,8.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6130275,6.00,5.00,1.00,4.00,6.00,9.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6130283,5.00,5.00,3.00,4.00,7.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6130305,4.00,4.00,3.00,6.00,9.00,8.25,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6130313,2.00,4.00,0.00,1.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6130321,2.00,2.00,0.00,5.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6130330,2.00,3.00,2.00,2.00,4.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6130348,7.00,5.00,5.00,5.00,6.00,9.75,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6130356,4.00,4.00,3.00,6.00,7.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6130372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6130380,4.00,1.00,0.00,4.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6130399,5.00,5.00,1.00,4.00,7.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6130402,6.00,5.00,3.00,3.00,8.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6130410,6.00,3.00,2.00,6.00,5.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6130429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6130437,8.00,6.00,6.00,3.00,10.00,9.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6130461,7.00,3.00,2.00,2.00,7.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6130488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6130496,3.00,2.00,1.00,2.00,4.00,8.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6130500,6.00,4.00,4.00,5.00,5.00,13.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6130526,9.00,8.00,4.00,5.00,10.00,10.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6130534,7.00,5.00,4.00,6.00,9.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6130550,3.00,5.00,0.00,4.00,4.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6130569,7.00,5.00,2.00,3.00,9.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6130577,9.00,6.00,4.00,6.00,7.00,9.38,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6130585,5.00,4.00,1.00,1.00,5.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6130593,2.00,5.00,1.00,6.00,7.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6130607,1.00,4.00,3.00,5.00,4.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6130623,2.00,5.00,3.00,4.00,7.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6130640,4.00,3.00,3.00,3.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,'S','N'),(25,6130658,6.00,4.00,2.00,5.00,8.00,6.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6130666,7.00,7.00,6.00,4.00,8.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6130674,3.00,0.00,4.00,7.00,10.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6130690,3.00,3.00,1.00,2.00,7.00,9.00,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6130704,5.00,7.00,3.00,5.00,7.00,9.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6130712,5.00,3.00,2.00,4.00,6.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6130720,3.00,6.00,0.00,6.00,7.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6130739,5.00,5.00,0.00,6.00,7.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6130747,2.00,2.00,1.00,5.00,4.00,7.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6130755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6130763,4.00,5.00,2.00,3.00,7.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6130798,2.00,4.00,1.00,3.00,4.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6130801,2.00,2.00,1.00,3.00,6.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6130810,1.00,5.00,0.00,0.00,3.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6130828,7.00,5.00,2.00,2.00,6.00,8.25,0.00,1.00,7.00,NULL,NULL,NULL,'N'),(25,6130836,4.00,5.00,2.00,4.00,7.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6130844,9.00,6.00,5.00,6.00,11.00,10.88,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6130852,2.00,4.00,0.00,5.00,7.00,6.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6130860,7.00,6.00,4.00,6.00,10.00,8.63,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6130887,2.00,1.00,2.00,2.00,1.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6130895,1.00,2.00,0.00,1.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6130909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6130917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6130933,4.00,3.00,2.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6130941,1.00,1.00,1.00,4.00,3.00,7.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6130976,2.00,2.00,1.00,1.00,5.00,9.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6130992,7.00,6.00,3.00,6.00,6.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6131000,8.00,7.00,4.00,7.00,10.00,8.25,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6131018,2.00,2.00,3.00,1.00,5.00,5.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6131026,4.00,4.00,4.00,3.00,5.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6131034,3.00,3.00,1.00,2.00,5.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6131050,5.00,6.00,4.00,7.00,9.00,11.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6131069,4.00,4.00,2.00,1.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6131093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6131107,5.00,4.00,3.00,7.00,8.00,9.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6131115,5.00,7.00,1.00,4.00,6.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6131123,9.00,7.00,3.00,6.00,8.00,8.25,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6131131,4.00,3.00,1.00,4.00,8.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6131140,3.00,4.00,0.00,1.00,4.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6131158,0.00,1.00,3.00,2.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6131174,6.00,7.00,4.00,7.00,10.00,9.75,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6131182,4.00,4.00,3.00,4.00,7.00,9.38,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6131190,6.00,4.00,3.00,7.00,9.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6131204,5.00,6.00,0.00,5.00,8.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6131212,2.00,4.00,1.00,5.00,8.00,6.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6131247,6.00,6.00,3.00,5.00,7.00,8.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6131263,8.00,8.00,8.00,6.00,7.00,11.25,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6131271,7.00,6.00,4.00,6.00,6.00,7.50,4.00,3.00,9.00,NULL,NULL,NULL,'N'),(25,6131298,4.00,6.00,3.00,6.00,9.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6131301,3.00,5.00,3.00,5.00,10.00,10.13,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6131310,3.00,6.00,2.00,6.00,6.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6131328,5.00,4.00,1.00,5.00,6.00,10.13,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6131344,5.00,4.00,0.00,4.00,6.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6131352,4.00,3.00,2.00,1.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6131360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6131379,4.00,6.00,1.00,5.00,6.00,10.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6131387,3.00,5.00,2.00,6.00,6.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6131409,8.00,6.00,8.00,7.00,7.00,7.88,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6131417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6131433,4.00,4.00,3.00,4.00,7.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6131441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6131450,5.00,5.00,3.00,4.00,7.00,10.13,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6131468,4.00,5.00,0.00,4.00,7.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6131476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6131514,5.00,5.00,3.00,4.00,6.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6131522,4.00,4.00,0.00,6.00,9.00,9.75,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6131530,9.00,6.00,7.00,7.00,9.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6131557,7.00,5.00,3.00,6.00,8.00,9.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6131565,5.00,6.00,4.00,5.00,5.00,8.63,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6131573,2.00,2.00,1.00,3.00,3.00,7.13,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6131581,3.00,3.00,4.00,2.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6131590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6131603,4.00,5.00,1.00,2.00,7.00,7.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6131611,3.00,3.00,3.00,3.00,8.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6131620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6131638,2.00,6.00,3.00,3.00,7.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6131646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6131654,4.00,6.00,2.00,1.00,9.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6131662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6131670,4.00,7.00,0.00,5.00,5.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6131689,6.00,7.00,3.00,6.00,10.00,11.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6131697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6131700,1.00,2.00,3.00,0.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6131719,3.00,4.00,3.00,5.00,2.00,NULL,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6131727,6.00,4.00,1.00,4.00,4.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6131735,5.00,5.00,2.00,7.00,7.00,9.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6131751,7.00,6.00,3.00,6.00,8.00,10.13,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6131760,3.00,7.00,3.00,3.00,5.00,10.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6131778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6131786,9.00,6.00,2.00,6.00,9.00,10.13,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6131794,7.00,6.00,1.00,5.00,6.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6131816,2.00,3.00,0.00,2.00,5.00,6.00,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6131824,4.00,4.00,3.00,4.00,5.00,9.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6131832,1.00,2.00,2.00,3.00,4.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6131840,4.00,6.00,2.00,2.00,4.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6131859,3.00,2.00,2.00,5.00,3.00,10.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6131867,4.00,4.00,3.00,2.00,5.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6131883,8.00,8.00,6.00,7.00,9.00,10.88,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6131891,4.00,4.00,1.00,3.00,6.00,9.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6131905,2.00,5.00,2.00,3.00,5.00,7.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6131913,2.00,7.00,3.00,6.00,7.00,9.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6131956,2.00,4.00,1.00,5.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6131964,7.00,6.00,8.00,6.00,10.00,11.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6131972,6.00,6.00,6.00,5.00,8.00,9.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6131980,3.00,5.00,1.00,5.00,5.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6131999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6132006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6132022,1.00,4.00,2.00,2.00,3.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6132030,0.00,4.00,0.00,0.00,1.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6132049,2.00,4.00,1.00,6.00,3.00,6.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6132057,2.00,7.00,0.00,2.00,7.00,9.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6132065,3.00,3.00,1.00,6.00,5.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6132073,4.00,7.00,4.00,3.00,6.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6132081,2.00,5.00,4.00,2.00,7.00,6.75,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6132090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6132103,3.00,1.00,3.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6132111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6132120,1.00,7.00,1.00,2.00,6.00,5.25,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6132146,5.00,8.00,3.00,6.00,8.00,10.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6132154,1.00,2.00,3.00,2.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6132162,5.00,6.00,3.00,6.00,6.00,11.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6132170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6132200,4.00,5.00,2.00,3.00,8.00,7.88,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6132219,2.00,2.00,1.00,3.00,5.00,7.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6132227,5.00,5.00,1.00,3.00,7.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6132235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6132243,4.00,7.00,3.00,4.00,5.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6132260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6132278,6.00,7.00,5.00,7.00,8.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6132286,6.00,4.00,2.00,4.00,8.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6132294,2.00,5.00,0.00,2.00,4.00,7.88,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6132308,1.00,3.00,1.00,0.00,7.00,8.25,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6132316,7.00,7.00,4.00,7.00,9.00,9.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6132324,1.00,5.00,2.00,1.00,3.00,9.38,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6132332,2.00,5.00,1.00,6.00,4.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6132340,3.00,5.00,4.00,6.00,6.00,8.63,2.00,0.00,4.00,NULL,NULL,NULL,'S'),(25,6132359,4.00,5.00,2.00,2.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,'S','N'),(25,6132367,8.00,7.00,7.00,4.00,8.00,11.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6132375,6.00,3.00,3.00,5.00,7.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6132383,4.00,5.00,3.00,6.00,8.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6132391,4.00,6.00,5.00,6.00,6.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6132405,4.00,4.00,0.00,1.00,4.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6132413,4.00,4.00,3.00,4.00,6.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6132421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6132430,5.00,5.00,2.00,2.00,5.00,7.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6132464,7.00,5.00,6.00,6.00,7.00,7.88,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6132472,3.00,4.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6132499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6132529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6132537,1.00,5.00,2.00,4.00,4.00,7.88,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6132545,4.00,6.00,0.00,4.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6132553,3.00,4.00,1.00,0.00,7.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6132561,5.00,5.00,2.00,6.00,7.00,NULL,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6132570,5.00,8.00,4.00,6.00,10.00,9.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6132596,5.00,5.00,2.00,5.00,4.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6132600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6132618,2.00,4.00,2.00,2.00,6.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6132626,4.00,3.00,0.00,5.00,7.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6132634,5.00,6.00,1.00,2.00,6.00,6.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6132642,5.00,7.00,4.00,2.00,6.00,8.63,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6132650,6.00,5.00,3.00,6.00,7.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6132669,1.00,6.00,2.00,3.00,7.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6132677,2.00,4.00,2.00,5.00,4.00,7.50,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6132685,5.00,5.00,1.00,4.00,7.00,9.00,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6132693,5.00,2.00,2.00,4.00,4.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6132707,9.00,7.00,4.00,4.00,6.00,8.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6132740,0.00,3.00,2.00,3.00,7.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6132758,5.00,5.00,3.00,2.00,9.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6132766,4.00,6.00,2.00,5.00,4.00,7.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6132774,4.00,2.00,2.00,2.00,4.00,6.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6132782,8.00,4.00,4.00,6.00,7.00,10.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6132790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6132804,4.00,6.00,5.00,6.00,5.00,8.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6132812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6132820,6.00,8.00,4.00,6.00,9.00,9.75,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6132839,1.00,4.00,4.00,4.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6132847,5.00,2.00,4.00,7.00,8.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6132855,6.00,6.00,5.00,1.00,7.00,5.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6132863,6.00,8.00,3.00,7.00,9.00,9.38,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6132871,4.00,1.00,1.00,3.00,5.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6132898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6132901,5.00,6.00,0.00,4.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6132910,6.00,4.00,3.00,6.00,9.00,11.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6132928,4.00,5.00,4.00,2.00,6.00,7.88,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6132936,5.00,3.00,4.00,3.00,5.00,6.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6132944,3.00,5.00,2.00,3.00,4.00,0.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6132952,5.00,6.00,3.00,6.00,8.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6132960,7.00,7.00,4.00,5.00,8.00,6.38,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6132979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6132987,6.00,5.00,3.00,7.00,7.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6132995,6.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6133002,3.00,7.00,3.00,4.00,6.00,8.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6133010,4.00,5.00,0.00,5.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6133037,3.00,5.00,2.00,2.00,6.00,5.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6133045,9.00,5.00,4.00,5.00,8.00,9.00,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6133053,4.00,5.00,5.00,7.00,7.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6133061,3.00,6.00,2.00,3.00,9.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6133070,6.00,7.00,7.00,3.00,8.00,7.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6133088,1.00,0.00,1.00,2.00,4.00,7.13,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6133096,8.00,7.00,5.00,7.00,9.00,9.00,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6133100,4.00,3.00,2.00,3.00,5.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6133118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6133126,1.00,3.00,0.00,4.00,7.00,6.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6133142,4.00,4.00,4.00,6.00,6.00,9.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6133185,6.00,5.00,4.00,2.00,9.00,8.63,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6133207,3.00,5.00,2.00,6.00,5.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6133215,2.00,5.00,2.00,2.00,5.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6133231,3.00,3.00,3.00,5.00,9.00,9.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6133240,7.00,5.00,3.00,6.00,9.00,10.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6133258,3.00,4.00,1.00,1.00,3.00,3.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6133266,6.00,7.00,2.00,6.00,7.00,NULL,3.00,4.00,3.00,NULL,NULL,'S','S'),(25,6133274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6133282,7.00,6.00,4.00,7.00,7.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6133290,4.00,7.00,4.00,4.00,8.00,7.13,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6133304,3.00,2.00,3.00,7.00,4.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6133312,1.00,6.00,1.00,5.00,6.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6133320,4.00,6.00,5.00,3.00,10.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6133339,2.00,2.00,1.00,0.00,5.00,7.88,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6133355,8.00,5.00,3.00,7.00,9.00,8.25,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6133398,2.00,5.00,0.00,3.00,7.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6133401,2.00,4.00,0.00,3.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6133410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6133428,2.00,3.00,1.00,5.00,7.00,8.63,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6133436,6.00,7.00,3.00,6.00,7.00,9.38,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6133444,7.00,6.00,4.00,6.00,8.00,8.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6133452,3.00,6.00,6.00,5.00,9.00,8.63,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6133479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6133487,4.00,5.00,2.00,4.00,5.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6133509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6133517,1.00,2.00,1.00,5.00,4.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6133525,2.00,1.00,3.00,1.00,5.00,3.38,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6133541,2.00,5.00,1.00,5.00,8.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6133550,4.00,5.00,1.00,7.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6133568,2.00,4.00,0.00,5.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6133576,4.00,7.00,3.00,6.00,8.00,9.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6133614,4.00,7.00,3.00,3.00,6.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6133630,3.00,4.00,3.00,4.00,5.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6133649,0.00,1.00,0.00,0.00,0.00,NULL,0.00,2.00,0.00,'S',NULL,'S','S'),(25,6133657,4.00,3.00,1.00,6.00,9.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6133665,3.00,5.00,1.00,3.00,6.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6133673,6.00,3.00,2.00,5.00,7.00,9.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6133690,5.00,6.00,2.00,4.00,8.00,8.63,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6133703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6133711,3.00,5.00,3.00,4.00,8.00,9.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6133720,6.00,5.00,2.00,5.00,8.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6133738,2.00,4.00,1.00,2.00,4.00,3.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6133746,4.00,4.00,0.00,3.00,5.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6133754,6.00,4.00,1.00,3.00,8.00,9.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6133762,6.00,8.00,1.00,5.00,8.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6133789,6.00,6.00,0.00,4.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,'S','N'),(25,6133797,2.00,2.00,4.00,3.00,5.00,7.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6133800,4.00,4.00,3.00,5.00,6.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6133819,4.00,7.00,1.00,7.00,8.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6133827,5.00,6.00,4.00,5.00,9.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6133835,2.00,3.00,3.00,5.00,6.00,6.75,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6133843,4.00,4.00,3.00,5.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6133851,5.00,2.00,1.00,2.00,5.00,4.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6133860,2.00,3.00,3.00,5.00,8.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6133878,7.00,7.00,3.00,6.00,7.00,8.25,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6133886,1.00,4.00,1.00,3.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6133908,6.00,6.00,2.00,5.00,10.00,7.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6133916,6.00,5.00,3.00,6.00,10.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6133924,6.00,5.00,7.00,3.00,5.00,9.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6133932,3.00,3.00,2.00,0.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6133940,4.00,1.00,4.00,4.00,7.00,9.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6133959,3.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6133967,1.00,5.00,2.00,4.00,4.00,7.13,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6133975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6134009,2.00,0.00,2.00,6.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6134017,7.00,4.00,5.00,7.00,7.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6134025,3.00,4.00,4.00,5.00,6.00,9.00,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6134041,6.00,4.00,4.00,4.00,9.00,12.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6134050,3.00,6.00,3.00,6.00,6.00,10.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6134068,1.00,1.00,2.00,2.00,3.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6134076,4.00,2.00,0.00,3.00,6.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6134084,3.00,5.00,1.00,2.00,3.00,7.88,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6134092,5.00,5.00,4.00,6.00,8.00,9.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6134106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6134114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6134122,2.00,8.00,1.00,5.00,6.00,9.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6134130,6.00,4.00,3.00,4.00,10.00,10.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6134157,5.00,4.00,4.00,7.00,6.00,10.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6134165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6134173,3.00,6.00,0.00,4.00,4.00,11.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6134181,4.00,5.00,3.00,6.00,9.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6134203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6134220,6.00,6.00,6.00,6.00,5.00,7.13,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6134238,6.00,7.00,5.00,5.00,10.00,9.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6134246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6134254,3.00,5.00,1.00,6.00,7.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6134262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6134289,8.00,7.00,5.00,7.00,9.00,10.13,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6134343,1.00,0.00,2.00,3.00,4.00,8.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6134351,0.00,3.00,3.00,5.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6134378,3.00,6.00,2.00,4.00,6.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6134386,5.00,5.00,2.00,2.00,6.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6134424,1.00,6.00,2.00,4.00,7.00,9.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6134432,6.00,8.00,2.00,6.00,9.00,7.50,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6134440,1.00,3.00,1.00,7.00,8.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6134459,2.00,3.00,1.00,3.00,4.00,7.50,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6134467,4.00,4.00,1.00,5.00,4.00,6.00,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6134475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6134483,3.00,3.00,2.00,2.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6134491,7.00,6.00,1.00,7.00,9.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6134505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6134513,6.00,6.00,4.00,6.00,8.00,12.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6134521,9.00,5.00,2.00,6.00,8.00,8.25,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6134530,3.00,3.00,2.00,4.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6134548,3.00,4.00,1.00,5.00,6.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6134556,6.00,6.00,4.00,6.00,7.00,12.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6134564,3.00,6.00,0.00,5.00,7.00,6.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6134572,4.00,3.00,0.00,4.00,8.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6134599,6.00,6.00,4.00,6.00,10.00,12.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6134602,6.00,3.00,1.00,4.00,7.00,9.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6134610,5.00,6.00,2.00,7.00,9.00,9.38,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6134645,1.00,3.00,4.00,5.00,5.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6134653,6.00,7.00,5.00,5.00,7.00,7.88,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6134661,7.00,6.00,5.00,5.00,10.00,9.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6134688,7.00,5.00,3.00,4.00,6.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6134696,3.00,6.00,3.00,5.00,7.00,10.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6134700,4.00,3.00,1.00,8.00,4.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6134718,3.00,2.00,0.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6134726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6134734,8.00,5.00,5.00,5.00,5.00,8.63,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6134750,3.00,4.00,3.00,0.00,5.00,8.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6134769,4.00,5.00,4.00,3.00,5.00,7.50,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6134785,9.00,7.00,2.00,6.00,10.00,10.50,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6134793,6.00,7.00,2.00,6.00,7.00,9.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6134807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6134815,7.00,4.00,3.00,5.00,9.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6134823,2.00,3.00,3.00,2.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6134831,5.00,5.00,2.00,3.00,7.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6134840,7.00,6.00,6.00,7.00,9.00,12.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6134858,4.00,5.00,4.00,5.00,9.00,7.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6134866,5.00,7.00,7.00,7.00,9.00,10.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6134874,2.00,3.00,1.00,3.00,6.00,7.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6134882,7.00,5.00,1.00,5.00,9.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6134890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6134904,4.00,5.00,4.00,5.00,7.00,5.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6134920,9.00,8.00,7.00,7.00,10.00,12.75,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6134939,3.00,5.00,3.00,2.00,4.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6134947,4.00,3.00,1.00,6.00,5.00,10.13,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6134955,3.00,2.00,2.00,4.00,5.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6134963,4.00,3.00,0.00,2.00,7.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6134971,5.00,5.00,1.00,5.00,7.00,12.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6134980,3.00,4.00,2.00,6.00,10.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6135005,4.00,4.00,1.00,7.00,8.00,10.50,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6135021,5.00,3.00,0.00,6.00,8.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6135030,5.00,6.00,0.00,4.00,7.00,6.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6135048,3.00,3.00,1.00,3.00,7.00,10.88,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6135056,4.00,4.00,4.00,3.00,7.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6135064,0.00,2.00,0.00,1.00,6.00,0.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6135072,4.00,4.00,1.00,3.00,7.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'S'),(25,6135099,2.00,2.00,2.00,2.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6135110,4.00,5.00,1.00,4.00,8.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6135137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6135145,3.00,5.00,4.00,6.00,7.00,9.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6135161,4.00,4.00,3.00,6.00,5.00,7.50,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6135170,2.00,4.00,2.00,4.00,7.00,NULL,1.00,1.00,1.00,NULL,NULL,'S','N'),(25,6135196,5.00,4.00,0.00,5.00,8.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6135226,5.00,5.00,1.00,5.00,7.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6135234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6135269,4.00,6.00,6.00,5.00,10.00,10.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6135277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6135285,1.00,2.00,2.00,3.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6135293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6135331,7.00,8.00,5.00,5.00,8.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6135340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6135366,8.00,6.00,3.00,7.00,7.00,10.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6135374,6.00,4.00,2.00,4.00,6.00,8.63,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6135390,2.00,5.00,2.00,2.00,5.00,6.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6135404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6135412,4.00,6.00,2.00,4.00,3.00,7.88,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6135447,9.00,6.00,6.00,5.00,7.00,8.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6135455,4.00,7.00,3.00,7.00,7.00,6.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6135463,3.00,3.00,3.00,4.00,8.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6135471,4.00,4.00,2.00,6.00,7.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6135480,9.00,7.00,7.00,6.00,9.00,10.88,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6135501,2.00,3.00,2.00,4.00,5.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6135510,3.00,3.00,2.00,6.00,9.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6135544,3.00,6.00,2.00,5.00,3.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6135552,6.00,4.00,2.00,4.00,7.00,11.25,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6135560,5.00,0.00,3.00,7.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6135587,3.00,5.00,2.00,3.00,6.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6135609,4.00,4.00,3.00,2.00,6.00,8.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6135617,6.00,6.00,2.00,5.00,6.00,12.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6135625,3.00,3.00,0.00,2.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6135633,6.00,7.00,1.00,5.00,8.00,11.63,0.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6135641,3.00,6.00,4.00,7.00,9.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6135650,6.00,5.00,2.00,5.00,6.00,6.00,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6135676,6.00,4.00,4.00,5.00,7.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6135684,6.00,7.00,4.00,6.00,8.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6135706,3.00,2.00,1.00,3.00,4.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6135714,4.00,4.00,1.00,4.00,7.00,9.00,2.00,7.00,0.00,NULL,NULL,NULL,'N'),(25,6135722,2.00,2.00,2.00,2.00,5.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6135730,6.00,7.00,2.00,6.00,9.00,NULL,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6135749,4.00,4.00,0.00,3.00,5.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6135757,6.00,6.00,3.00,5.00,9.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6135765,7.00,4.00,2.00,3.00,9.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6135773,3.00,6.00,3.00,4.00,6.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6135781,6.00,5.00,5.00,7.00,8.00,5.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6135790,5.00,4.00,4.00,4.00,9.00,12.00,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6135803,7.00,6.00,3.00,6.00,9.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6135811,4.00,6.00,2.00,5.00,8.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6135838,4.00,4.00,2.00,1.00,7.00,6.38,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6135846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6135854,9.00,6.00,9.00,6.00,8.00,8.63,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6135862,8.00,7.00,5.00,4.00,9.00,8.63,2.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6135870,4.00,5.00,2.00,5.00,7.00,9.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6135889,3.00,3.00,3.00,4.00,4.00,10.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6135897,4.00,5.00,2.00,4.00,6.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6135900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6135919,3.00,0.00,1.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6135927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6135935,4.00,7.00,5.00,6.00,7.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6135951,3.00,2.00,3.00,2.00,5.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6135960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6135978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6135986,4.00,6.00,0.00,6.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6135994,6.00,7.00,5.00,6.00,7.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6136001,8.00,8.00,6.00,6.00,9.00,10.88,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6136010,4.00,3.00,3.00,0.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6136028,2.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6136036,4.00,5.00,2.00,3.00,5.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6136044,5.00,6.00,2.00,4.00,5.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6136079,4.00,6.00,5.00,7.00,5.00,9.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6136095,8.00,7.00,7.00,6.00,10.00,11.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6136109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6136117,5.00,4.00,5.00,4.00,5.00,10.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6136125,6.00,7.00,4.00,7.00,8.00,7.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6136133,4.00,6.00,4.00,5.00,8.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6136141,3.00,5.00,3.00,3.00,5.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6136150,4.00,3.00,3.00,5.00,6.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6136168,5.00,4.00,3.00,7.00,5.00,6.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6136184,4.00,5.00,1.00,6.00,8.00,12.38,0.00,6.00,5.00,NULL,NULL,NULL,'S'),(25,6136192,6.00,5.00,6.00,7.00,9.00,NULL,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6136230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6136257,8.00,6.00,4.00,6.00,11.00,9.38,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6136265,6.00,7.00,3.00,5.00,10.00,7.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6136273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6136281,6.00,3.00,2.00,5.00,6.00,7.88,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6136290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6136303,3.00,5.00,2.00,5.00,8.00,8.63,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6136311,4.00,6.00,2.00,3.00,5.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6136320,1.00,0.00,0.00,0.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6136338,4.00,7.00,2.00,3.00,6.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6136346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6136354,4.00,4.00,3.00,7.00,8.00,6.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6136370,2.00,5.00,4.00,4.00,7.00,8.25,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6136400,5.00,5.00,5.00,6.00,6.00,12.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6136419,2.00,4.00,4.00,3.00,7.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6136427,7.00,8.00,5.00,7.00,9.00,11.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6136435,6.00,5.00,0.00,5.00,7.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6136443,2.00,4.00,1.00,6.00,4.00,8.63,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6136451,6.00,6.00,1.00,5.00,9.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6136478,5.00,4.00,2.00,4.00,6.00,7.88,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6136486,7.00,5.00,3.00,5.00,8.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6136494,3.00,5.00,0.00,6.00,8.00,10.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6136516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6136524,8.00,9.00,6.00,7.00,10.00,9.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6136532,2.00,4.00,1.00,5.00,4.00,6.75,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6136559,5.00,4.00,2.00,7.00,7.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6136567,2.00,5.00,2.00,4.00,6.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6136575,6.00,7.00,1.00,5.00,6.00,8.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6136583,3.00,4.00,2.00,0.00,1.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6136591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6136605,4.00,6.00,2.00,6.00,4.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6136621,3.00,5.00,3.00,6.00,5.00,10.88,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6136648,5.00,5.00,3.00,6.00,8.00,11.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6136656,5.00,6.00,2.00,5.00,5.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6136664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6136672,6.00,7.00,4.00,4.00,6.00,8.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6136680,6.00,5.00,5.00,7.00,9.00,6.75,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6136699,5.00,6.00,3.00,5.00,6.00,9.00,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(25,6136702,7.00,5.00,5.00,7.00,6.00,11.63,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6136710,5.00,6.00,2.00,2.00,5.00,10.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6136729,7.00,6.00,6.00,5.00,8.00,10.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6136745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6136753,3.00,7.00,3.00,6.00,8.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6136761,8.00,5.00,1.00,6.00,10.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6136770,5.00,6.00,1.00,5.00,8.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6136788,4.00,2.00,0.00,2.00,5.00,0.00,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6136796,3.00,4.00,1.00,3.00,5.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6136800,8.00,6.00,2.00,5.00,9.00,9.75,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6136818,6.00,7.00,1.00,4.00,4.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6136826,5.00,0.00,2.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6136834,8.00,7.00,6.00,6.00,9.00,9.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6136850,4.00,5.00,4.00,3.00,4.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6136869,8.00,6.00,6.00,6.00,8.00,9.00,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6136877,1.00,3.00,2.00,2.00,3.00,7.88,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6136907,1.00,3.00,2.00,2.00,7.00,7.50,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6136915,6.00,3.00,1.00,5.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6136923,3.00,4.00,2.00,5.00,6.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6136931,9.00,7.00,8.00,5.00,8.00,10.13,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6136940,9.00,7.00,3.00,4.00,9.00,9.38,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6136958,5.00,5.00,3.00,6.00,9.00,11.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6136966,8.00,7.00,5.00,5.00,8.00,7.88,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6136974,2.00,3.00,3.00,3.00,5.00,7.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6136982,6.00,6.00,5.00,6.00,7.00,7.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6136990,3.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6137008,2.00,3.00,2.00,7.00,7.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6137016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6137024,7.00,5.00,3.00,6.00,8.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6137032,6.00,6.00,5.00,5.00,8.00,9.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6137040,3.00,4.00,0.00,6.00,9.00,7.50,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6137059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6137067,3.00,7.00,0.00,3.00,5.00,6.00,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6137083,4.00,4.00,1.00,3.00,7.00,11.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6137091,1.00,4.00,1.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6137105,3.00,3.00,4.00,3.00,4.00,5.63,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6137130,9.00,5.00,4.00,6.00,7.00,9.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6137148,6.00,7.00,2.00,4.00,11.00,8.25,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6137156,5.00,6.00,4.00,5.00,5.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6137164,9.00,7.00,4.00,7.00,10.00,13.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6137172,3.00,6.00,2.00,7.00,6.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6137199,3.00,5.00,2.00,1.00,3.00,10.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6137202,6.00,5.00,5.00,6.00,8.00,10.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6137210,6.00,8.00,2.00,5.00,9.00,11.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6137229,8.00,6.00,8.00,7.00,8.00,11.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6137237,4.00,6.00,2.00,4.00,9.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6137245,2.00,2.00,1.00,3.00,5.00,8.63,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6137253,6.00,6.00,3.00,4.00,9.00,8.63,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6137261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6137270,2.00,4.00,1.00,3.00,6.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6137288,3.00,3.00,2.00,2.00,5.00,10.13,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6137296,3.00,0.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'S'),(25,6137300,7.00,5.00,0.00,6.00,10.00,NULL,0.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6137326,8.00,5.00,5.00,6.00,10.00,9.75,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6137334,4.00,4.00,1.00,4.00,4.00,10.50,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6137342,4.00,6.00,1.00,2.00,8.00,8.63,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6137350,4.00,6.00,3.00,6.00,7.00,7.13,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6137369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6137393,8.00,8.00,5.00,7.00,8.00,10.50,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6137407,2.00,3.00,2.00,2.00,5.00,6.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6137415,7.00,7.00,7.00,6.00,8.00,7.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6137423,3.00,6.00,4.00,4.00,9.00,7.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6137431,6.00,5.00,3.00,6.00,5.00,10.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6137440,5.00,5.00,1.00,7.00,10.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6137466,1.00,1.00,1.00,1.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6137474,3.00,4.00,1.00,3.00,5.00,NULL,5.00,2.00,2.00,NULL,NULL,'S','N'),(25,6137482,7.00,6.00,1.00,4.00,8.00,7.88,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6137490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6137504,7.00,7.00,6.00,7.00,9.00,10.13,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6137512,3.00,5.00,3.00,5.00,7.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6137520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6137539,5.00,4.00,3.00,6.00,5.00,11.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6137563,3.00,4.00,4.00,6.00,6.00,7.13,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6137571,4.00,2.00,0.00,4.00,6.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6137580,4.00,1.00,0.00,3.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6137598,6.00,5.00,3.00,6.00,7.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6137601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6137610,7.00,7.00,5.00,6.00,9.00,9.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6137628,1.00,2.00,3.00,4.00,6.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6137636,7.00,5.00,4.00,5.00,8.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6137644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6137652,2.00,2.00,1.00,2.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6137660,4.00,5.00,2.00,5.00,7.00,9.38,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6137679,6.00,6.00,2.00,7.00,9.00,6.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6137687,8.00,7.00,4.00,5.00,9.00,7.88,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6137695,3.00,4.00,0.00,3.00,5.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6137709,4.00,7.00,3.00,3.00,4.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6137717,4.00,3.00,2.00,2.00,5.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6137725,1.00,4.00,0.00,1.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6137733,4.00,7.00,3.00,6.00,8.00,4.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6137741,6.00,7.00,3.00,7.00,9.00,9.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6137750,7.00,6.00,7.00,6.00,8.00,8.63,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6137768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6137776,2.00,5.00,1.00,2.00,4.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6137784,4.00,4.00,0.00,5.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,'S','S'),(25,6137792,4.00,3.00,5.00,7.00,6.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6137806,6.00,7.00,2.00,6.00,7.00,8.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6137814,3.00,3.00,2.00,5.00,6.00,7.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6137822,6.00,4.00,3.00,6.00,7.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6137830,2.00,0.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6137849,6.00,5.00,5.00,4.00,7.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6137857,8.00,4.00,4.00,6.00,8.00,11.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6137873,6.00,4.00,0.00,4.00,9.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6137881,7.00,7.00,3.00,4.00,10.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6137890,5.00,6.00,2.00,4.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6137903,6.00,6.00,3.00,7.00,8.00,11.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6137911,6.00,5.00,5.00,5.00,9.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6137920,5.00,4.00,1.00,1.00,9.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6137938,6.00,6.00,4.00,7.00,8.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6137946,7.00,6.00,5.00,1.00,9.00,8.63,2.00,1.00,9.00,NULL,NULL,NULL,'N'),(25,6137954,4.00,4.00,1.00,4.00,6.00,7.88,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6137962,5.00,4.00,0.00,3.00,7.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6137970,4.00,5.00,4.00,6.00,9.00,9.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6137989,5.00,5.00,4.00,3.00,5.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6137997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138012,3.00,2.00,0.00,2.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6138020,5.00,6.00,3.00,5.00,9.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6138039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138047,4.00,5.00,1.00,6.00,7.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6138055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138063,7.00,8.00,5.00,6.00,10.00,7.88,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6138080,2.00,6.00,1.00,1.00,7.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6138101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138110,7.00,7.00,5.00,7.00,9.00,9.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6138128,2.00,5.00,2.00,3.00,5.00,6.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6138136,5.00,5.00,5.00,6.00,8.00,9.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6138144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138152,2.00,4.00,3.00,6.00,6.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6138160,4.00,5.00,1.00,4.00,6.00,10.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6138179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138187,8.00,5.00,2.00,5.00,7.00,9.38,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6138195,7.00,8.00,1.00,5.00,8.00,10.13,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6138209,2.00,4.00,0.00,4.00,6.00,0.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6138217,2.00,2.00,2.00,6.00,6.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6138225,3.00,5.00,1.00,7.00,8.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6138233,5.00,5.00,3.00,7.00,6.00,10.50,3.00,4.00,6.00,NULL,NULL,NULL,'S'),(25,6138268,5.00,3.00,3.00,5.00,5.00,8.25,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6138276,4.00,7.00,0.00,7.00,6.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6138284,3.00,2.00,3.00,4.00,5.00,5.63,0.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6138292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138306,2.00,2.00,0.00,2.00,1.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6138322,4.00,4.00,1.00,5.00,8.00,6.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6138330,9.00,7.00,6.00,6.00,9.00,10.13,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6138349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138357,5.00,5.00,0.00,4.00,8.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6138365,4.00,6.00,6.00,7.00,9.00,11.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6138373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138381,5.00,6.00,1.00,2.00,6.00,9.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6138390,0.00,1.00,0.00,0.00,0.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6138403,4.00,4.00,1.00,5.00,6.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6138411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138420,4.00,8.00,2.00,7.00,10.00,8.63,2.00,7.00,8.00,NULL,NULL,NULL,'S'),(25,6138438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138446,8.00,6.00,7.00,7.00,10.00,9.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6138462,9.00,5.00,6.00,6.00,8.00,6.00,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6138470,3.00,4.00,1.00,5.00,6.00,6.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6138489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138497,6.00,8.00,2.00,6.00,9.00,7.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6138519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138535,4.00,5.00,2.00,4.00,9.00,9.00,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6138551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138560,5.00,5.00,4.00,4.00,8.00,10.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6138578,3.00,6.00,1.00,7.00,7.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6138586,2.00,0.00,3.00,2.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6138594,9.00,7.00,9.00,7.00,9.00,9.38,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6138608,3.00,2.00,1.00,3.00,7.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6138616,1.00,3.00,4.00,3.00,8.00,8.63,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6138624,5.00,4.00,2.00,5.00,8.00,9.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6138632,6.00,5.00,4.00,6.00,7.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6138659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138667,8.00,6.00,2.00,7.00,9.00,11.25,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6138675,4.00,6.00,1.00,4.00,6.00,6.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6138683,4.00,7.00,5.00,6.00,6.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6138691,8.00,7.00,5.00,5.00,7.00,5.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6138705,3.00,1.00,1.00,2.00,6.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6138713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138721,1.00,4.00,0.00,2.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6138730,2.00,3.00,1.00,0.00,8.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6138748,4.00,3.00,2.00,2.00,6.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6138764,2.00,4.00,2.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6138780,3.00,4.00,0.00,3.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6138799,7.00,4.00,5.00,7.00,8.00,7.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6138802,5.00,7.00,1.00,5.00,7.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6138810,3.00,4.00,3.00,6.00,5.00,7.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6138829,1.00,3.00,1.00,3.00,7.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6138837,3.00,7.00,4.00,5.00,7.00,7.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6138861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138900,7.00,8.00,5.00,7.00,9.00,9.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6138926,1.00,4.00,3.00,2.00,3.00,6.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6138934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6138942,3.00,3.00,0.00,0.00,7.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6138977,7.00,6.00,2.00,6.00,6.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6138985,5.00,6.00,2.00,5.00,8.00,10.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6138993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6139019,3.00,6.00,2.00,3.00,4.00,8.25,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6139027,3.00,2.00,0.00,2.00,4.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6139035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6139043,3.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6139051,6.00,8.00,6.00,5.00,8.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6139060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6139078,6.00,5.00,2.00,7.00,7.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6139094,7.00,5.00,7.00,7.00,10.00,11.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6139108,6.00,4.00,1.00,5.00,10.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6139132,4.00,4.00,3.00,3.00,8.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6139140,2.00,4.00,1.00,1.00,4.00,7.50,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6139159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6139167,9.00,7.00,6.00,7.00,10.00,10.50,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6139175,6.00,6.00,4.00,5.00,8.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6139183,1.00,1.00,2.00,4.00,5.00,6.38,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6139191,8.00,7.00,3.00,6.00,10.00,11.63,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6139205,6.00,7.00,6.00,7.00,6.00,9.38,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6139213,8.00,7.00,8.00,7.00,10.00,8.63,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6139221,3.00,5.00,2.00,4.00,4.00,7.50,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6139248,6.00,5.00,4.00,3.00,8.00,6.75,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6139272,4.00,5.00,0.00,4.00,5.00,9.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6139280,4.00,4.00,1.00,6.00,7.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6139299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6139302,4.00,4.00,2.00,4.00,7.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6139329,5.00,5.00,4.00,6.00,5.00,5.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6139337,7.00,9.00,7.00,7.00,8.00,12.38,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6139345,9.00,6.00,8.00,7.00,9.00,10.13,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6139353,3.00,6.00,2.00,7.00,8.00,9.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6139361,2.00,3.00,0.00,3.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6139370,5.00,2.00,5.00,4.00,5.00,7.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6139388,6.00,7.00,7.00,6.00,9.00,6.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6139396,3.00,5.00,3.00,4.00,8.00,9.38,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6139400,3.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6139418,4.00,4.00,2.00,2.00,4.00,9.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6139426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6139434,5.00,7.00,5.00,7.00,6.00,9.38,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6139442,5.00,5.00,2.00,3.00,7.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6139450,5.00,5.00,5.00,7.00,7.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6139469,5.00,5.00,6.00,2.00,8.00,5.63,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6139485,1.00,5.00,0.00,3.00,5.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6139493,9.00,7.00,7.00,5.00,8.00,8.63,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6139507,9.00,7.00,2.00,6.00,9.00,8.25,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6139515,7.00,2.00,0.00,3.00,9.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6139523,6.00,6.00,3.00,3.00,9.00,10.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6139558,7.00,8.00,2.00,7.00,9.00,8.25,1.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6139566,6.00,5.00,1.00,7.00,5.00,7.50,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6139574,7.00,7.00,5.00,5.00,10.00,9.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6139590,3.00,2.00,2.00,3.00,5.00,6.38,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6139639,2.00,5.00,3.00,6.00,5.00,7.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6139647,3.00,6.00,0.00,5.00,5.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6139655,8.00,5.00,3.00,6.00,10.00,9.38,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6139663,6.00,6.00,6.00,7.00,10.00,10.88,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6139680,4.00,4.00,0.00,4.00,5.00,7.13,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6139698,2.00,5.00,1.00,6.00,10.00,8.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6139701,8.00,6.00,5.00,7.00,8.00,11.25,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6139710,4.00,7.00,3.00,5.00,6.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6139728,3.00,6.00,3.00,3.00,7.00,7.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6139744,8.00,6.00,6.00,4.00,10.00,10.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6139752,9.00,6.00,3.00,5.00,9.00,12.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6139760,2.00,2.00,3.00,4.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6139779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6139787,7.00,7.00,7.00,6.00,10.00,10.88,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6139795,5.00,7.00,6.00,5.00,10.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6139817,4.00,7.00,0.00,6.00,5.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6139825,8.00,7.00,5.00,8.00,9.00,12.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6139833,7.00,9.00,3.00,7.00,10.00,12.00,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6139850,7.00,8.00,3.00,7.00,7.00,8.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6139868,2.00,5.00,0.00,3.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6139884,2.00,4.00,3.00,1.00,6.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6139892,7.00,5.00,6.00,7.00,9.00,9.38,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6139906,5.00,6.00,4.00,3.00,5.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6139922,4.00,4.00,2.00,1.00,6.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6139957,3.00,1.00,3.00,1.00,1.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6139965,5.00,5.00,4.00,6.00,8.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6139973,5.00,5.00,2.00,5.00,8.00,10.13,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6139981,6.00,5.00,7.00,4.00,8.00,8.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6139990,1.00,4.00,0.00,3.00,4.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6140009,4.00,2.00,1.00,7.00,7.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6140017,5.00,6.00,2.00,2.00,5.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6140025,5.00,2.00,4.00,3.00,3.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6140033,7.00,7.00,4.00,7.00,8.00,12.38,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6140041,8.00,8.00,5.00,8.00,9.00,12.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6140050,3.00,7.00,3.00,1.00,6.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6140068,8.00,8.00,3.00,4.00,8.00,8.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6140076,2.00,4.00,0.00,4.00,5.00,6.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6140084,8.00,7.00,8.00,7.00,7.00,10.13,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6140092,6.00,3.00,1.00,3.00,7.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6140106,3.00,5.00,3.00,4.00,4.00,6.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6140114,4.00,1.00,0.00,5.00,7.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6140122,4.00,6.00,1.00,2.00,4.00,6.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6140130,7.00,6.00,6.00,6.00,6.00,10.88,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6140149,9.00,8.00,8.00,7.00,7.00,7.88,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6140157,4.00,4.00,1.00,4.00,5.00,7.13,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6140165,6.00,6.00,3.00,6.00,9.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6140173,3.00,3.00,3.00,5.00,9.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6140181,7.00,3.00,1.00,5.00,7.00,8.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6140190,8.00,5.00,3.00,5.00,9.00,8.63,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6140203,5.00,7.00,5.00,7.00,9.00,11.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6140238,6.00,3.00,1.00,4.00,6.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6140246,4.00,2.00,2.00,5.00,8.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6140254,3.00,4.00,2.00,3.00,7.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6140270,4.00,7.00,3.00,3.00,8.00,10.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6140289,8.00,6.00,2.00,8.00,9.00,11.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6140297,0.00,0.00,0.00,0.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6140300,2.00,5.00,0.00,2.00,4.00,4.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6140319,4.00,4.00,2.00,1.00,5.00,10.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6140327,2.00,5.00,1.00,1.00,6.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6140343,2.00,3.00,1.00,4.00,4.00,8.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6140351,4.00,4.00,1.00,3.00,7.00,8.25,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6140360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6140378,2.00,5.00,3.00,4.00,5.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6140386,4.00,4.00,2.00,3.00,5.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6140394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6140408,6.00,4.00,2.00,6.00,6.00,8.63,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6140416,2.00,3.00,1.00,1.00,2.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6140424,4.00,2.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6140440,4.00,5.00,4.00,5.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6140459,5.00,5.00,4.00,4.00,4.00,10.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6140467,4.00,4.00,1.00,2.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6140475,2.00,4.00,0.00,3.00,5.00,8.25,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6140483,3.00,4.00,0.00,3.00,4.00,6.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6140505,5.00,4.00,2.00,3.00,5.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6140513,7.00,6.00,3.00,7.00,8.00,9.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6140521,7.00,8.00,3.00,4.00,8.00,10.13,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6140530,4.00,6.00,0.00,4.00,6.00,7.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6140564,8.00,7.00,4.00,7.00,10.00,8.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6140572,3.00,6.00,0.00,3.00,5.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6140580,2.00,4.00,3.00,4.00,8.00,8.25,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6140599,5.00,3.00,1.00,3.00,3.00,8.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6140610,4.00,6.00,0.00,7.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6140629,1.00,4.00,1.00,4.00,3.00,5.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6140637,5.00,6.00,1.00,3.00,9.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6140645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6140661,3.00,3.00,0.00,1.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6140670,8.00,7.00,3.00,7.00,10.00,9.38,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6140696,3.00,6.00,0.00,7.00,8.00,NULL,3.00,1.00,3.00,NULL,NULL,'S','N'),(25,6140700,3.00,3.00,0.00,1.00,3.00,6.38,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6140718,4.00,6.00,2.00,7.00,8.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6140726,8.00,9.00,3.00,5.00,9.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6140734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6140742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6140750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6140769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6140785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6140793,2.00,4.00,1.00,1.00,3.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6140807,3.00,6.00,2.00,5.00,7.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6140823,7.00,7.00,4.00,7.00,8.00,7.88,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6140831,5.00,6.00,2.00,5.00,8.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6140858,7.00,6.00,4.00,7.00,9.00,10.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6140866,7.00,7.00,0.00,7.00,6.00,10.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6140874,5.00,5.00,1.00,2.00,8.00,10.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6140882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6140890,6.00,6.00,6.00,7.00,8.00,11.63,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6140904,6.00,5.00,2.00,6.00,10.00,11.25,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6140920,3.00,4.00,3.00,5.00,5.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6140939,3.00,4.00,2.00,6.00,8.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6140947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6140955,5.00,7.00,3.00,5.00,7.00,7.13,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6140971,7.00,5.00,4.00,2.00,4.00,10.50,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6140980,7.00,6.00,4.00,7.00,8.00,9.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6141005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6141013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6141021,3.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6141030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6141048,1.00,6.00,3.00,3.00,6.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6141056,2.00,5.00,1.00,3.00,5.00,6.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6141080,6.00,4.00,4.00,6.00,4.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6141110,3.00,6.00,3.00,1.00,5.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6141129,7.00,6.00,2.00,6.00,7.00,7.50,1.00,1.00,8.00,NULL,NULL,NULL,'N'),(25,6141137,1.00,6.00,2.00,3.00,4.00,9.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6141153,3.00,5.00,3.00,3.00,4.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6141161,2.00,4.00,2.00,3.00,4.00,7.13,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6141200,1.00,4.00,1.00,3.00,6.00,8.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6141218,6.00,6.00,3.00,5.00,7.00,12.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6141226,5.00,6.00,3.00,6.00,8.00,8.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6141234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6141242,3.00,5.00,3.00,5.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6141250,3.00,4.00,1.00,4.00,6.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6141293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6141307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6141315,3.00,4.00,0.00,5.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6141374,8.00,8.00,4.00,7.00,9.00,10.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6141382,3.00,5.00,2.00,5.00,7.00,9.00,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6141390,5.00,4.00,1.00,5.00,6.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6141412,1.00,2.00,1.00,3.00,4.00,8.63,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6141439,4.00,3.00,4.00,1.00,6.00,8.63,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6141447,4.00,4.00,0.00,4.00,7.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6141455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6141480,3.00,3.00,1.00,4.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6141501,3.00,2.00,1.00,2.00,5.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6141536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6141544,3.00,5.00,2.00,3.00,4.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6141552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6141560,7.00,5.00,4.00,4.00,8.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6141595,3.00,6.00,2.00,2.00,7.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6141617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6141625,3.00,5.00,1.00,2.00,6.00,5.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6141633,4.00,8.00,2.00,4.00,6.00,8.63,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6141641,3.00,2.00,0.00,4.00,6.00,9.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6141650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6141668,3.00,7.00,3.00,6.00,9.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6141676,3.00,6.00,0.00,2.00,7.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6141684,5.00,6.00,2.00,5.00,8.00,8.63,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6141706,3.00,3.00,2.00,1.00,3.00,9.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6141714,7.00,7.00,7.00,5.00,7.00,10.13,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6141730,2.00,2.00,0.00,1.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6141757,5.00,4.00,0.00,5.00,6.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6141773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6141781,2.00,4.00,0.00,1.00,3.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6141803,3.00,6.00,4.00,5.00,8.00,9.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6141811,6.00,7.00,8.00,6.00,6.00,8.25,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6141820,4.00,4.00,3.00,6.00,5.00,7.88,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6141838,7.00,7.00,4.00,4.00,5.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6141846,3.00,2.00,2.00,5.00,5.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6141870,3.00,6.00,2.00,2.00,6.00,9.75,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6141900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6141919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6141935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6141943,7.00,6.00,4.00,7.00,8.00,9.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6141951,2.00,5.00,1.00,3.00,8.00,10.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6141960,3.00,2.00,2.00,5.00,4.00,6.75,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6141978,0.00,4.00,2.00,2.00,5.00,8.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6141986,2.00,4.00,3.00,2.00,4.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6141994,3.00,2.00,0.00,2.00,3.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6142001,3.00,3.00,3.00,6.00,5.00,6.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6142010,6.00,4.00,2.00,3.00,7.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6142028,2.00,4.00,3.00,3.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6142036,7.00,8.00,3.00,8.00,10.00,9.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6142044,3.00,3.00,2.00,5.00,7.00,7.88,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6142052,4.00,2.00,0.00,1.00,3.00,NULL,4.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6142060,1.00,2.00,0.00,1.00,3.00,4.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6142079,3.00,2.00,4.00,0.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6142087,2.00,4.00,0.00,1.00,3.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6142109,7.00,6.00,4.00,7.00,7.00,10.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6142117,2.00,2.00,3.00,2.00,6.00,8.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6142125,2.00,4.00,2.00,3.00,3.00,7.88,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6142133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6142150,2.00,5.00,4.00,5.00,4.00,7.50,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6142168,8.00,7.00,5.00,6.00,7.00,10.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6142176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6142184,6.00,7.00,3.00,7.00,9.00,8.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6142206,6.00,7.00,1.00,3.00,8.00,9.38,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6142214,5.00,3.00,1.00,3.00,7.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6142222,7.00,6.00,1.00,4.00,8.00,10.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6142249,1.00,0.00,3.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6142257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6142265,4.00,2.00,2.00,3.00,5.00,7.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6142273,4.00,0.00,0.00,0.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6142281,8.00,6.00,4.00,0.00,6.00,7.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6142303,9.00,7.00,6.00,5.00,9.00,8.63,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6142338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6142346,5.00,6.00,3.00,6.00,7.00,10.88,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6142354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6142370,4.00,5.00,3.00,1.00,5.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6142389,4.00,5.00,3.00,5.00,7.00,9.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6142397,5.00,4.00,5.00,6.00,6.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6142419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6142427,2.00,5.00,4.00,6.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,'S','N'),(25,6142435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6142443,2.00,4.00,1.00,1.00,5.00,6.38,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6142451,4.00,3.00,2.00,4.00,4.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6142460,2.00,3.00,2.00,2.00,6.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6142478,5.00,4.00,3.00,6.00,10.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6142486,4.00,6.00,4.00,4.00,6.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6142494,5.00,4.00,2.00,5.00,6.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6142508,4.00,8.00,2.00,5.00,6.00,6.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6142516,6.00,7.00,1.00,5.00,9.00,8.63,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6142524,2.00,4.00,2.00,1.00,6.00,11.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6142532,7.00,6.00,5.00,8.00,8.00,9.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6142540,1.00,3.00,1.00,3.00,4.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6142559,3.00,5.00,2.00,3.00,8.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6142575,3.00,7.00,4.00,6.00,5.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6142583,3.00,5.00,3.00,4.00,8.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6142605,6.00,5.00,2.00,7.00,9.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6142621,5.00,5.00,3.00,7.00,9.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6142630,0.00,2.00,0.00,5.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6142648,5.00,6.00,1.00,4.00,6.00,6.38,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6142664,7.00,7.00,5.00,7.00,9.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6142672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6142702,8.00,5.00,6.00,6.00,9.00,8.25,1.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6142710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6142737,2.00,3.00,0.00,6.00,8.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6142745,1.00,4.00,1.00,3.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6142761,3.00,6.00,3.00,3.00,8.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6142788,6.00,5.00,5.00,7.00,9.00,8.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6142796,5.00,4.00,4.00,4.00,5.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6142800,5.00,5.00,3.00,4.00,8.00,9.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6142818,5.00,5.00,2.00,3.00,5.00,8.63,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6142826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6142834,3.00,2.00,0.00,3.00,3.00,7.13,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6142842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6142869,6.00,7.00,3.00,5.00,9.00,10.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6142877,5.00,5.00,4.00,3.00,7.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6142885,3.00,5.00,1.00,5.00,8.00,3.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6142893,5.00,5.00,1.00,4.00,7.00,9.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6142907,2.00,3.00,2.00,4.00,5.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6142915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6142923,4.00,5.00,1.00,2.00,6.00,9.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6142931,4.00,7.00,3.00,4.00,9.00,13.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6142958,2.00,4.00,1.00,3.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6142974,3.00,3.00,3.00,1.00,8.00,6.75,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6142982,3.00,6.00,2.00,1.00,5.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6142990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6143008,3.00,3.00,2.00,4.00,4.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6143016,4.00,5.00,5.00,5.00,5.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6143024,3.00,5.00,2.00,3.00,5.00,9.00,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6143040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6143075,3.00,3.00,3.00,4.00,4.00,6.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6143083,8.00,7.00,4.00,7.00,8.00,7.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6143091,1.00,2.00,1.00,2.00,7.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6143105,5.00,5.00,1.00,4.00,6.00,7.88,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6143113,5.00,5.00,2.00,3.00,7.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6143130,4.00,5.00,1.00,5.00,8.00,12.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6143148,2.00,3.00,0.00,3.00,4.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6143156,2.00,6.00,3.00,4.00,9.00,10.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6143164,5.00,3.00,2.00,5.00,8.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6143180,6.00,4.00,4.00,5.00,8.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6143199,6.00,5.00,4.00,7.00,5.00,10.13,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6143202,5.00,7.00,3.00,6.00,7.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6143229,7.00,5.00,3.00,3.00,7.00,11.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6143237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6143245,5.00,5.00,3.00,5.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6143253,5.00,5.00,2.00,4.00,6.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6143261,7.00,5.00,1.00,7.00,8.00,10.13,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6143270,6.00,4.00,4.00,6.00,6.00,8.25,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6143288,8.00,6.00,2.00,7.00,9.00,9.75,0.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6143296,3.00,6.00,2.00,7.00,8.00,10.13,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6143300,6.00,5.00,3.00,5.00,8.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6143318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6143326,2.00,3.00,0.00,1.00,5.00,8.25,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6143334,1.00,4.00,1.00,1.00,3.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6143342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6143350,2.00,6.00,1.00,5.00,5.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6143369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6143377,1.00,2.00,0.00,4.00,3.00,4.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6143393,1.00,6.00,3.00,0.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6143407,2.00,7.00,3.00,2.00,5.00,8.63,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6143415,3.00,3.00,2.00,2.00,3.00,11.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6143440,4.00,6.00,2.00,4.00,8.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6143458,3.00,3.00,2.00,2.00,7.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6143466,2.00,4.00,3.00,5.00,5.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6143490,5.00,3.00,3.00,5.00,7.00,10.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6143504,3.00,4.00,3.00,6.00,8.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6143520,5.00,5.00,2.00,5.00,8.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6143539,2.00,2.00,0.00,1.00,6.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6143547,8.00,8.00,8.00,6.00,9.00,11.63,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6143555,8.00,6.00,2.00,5.00,10.00,12.75,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6143571,3.00,5.00,1.00,3.00,4.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6143580,7.00,5.00,7.00,5.00,8.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6143598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6143601,5.00,6.00,4.00,7.00,8.00,9.38,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6143610,2.00,5.00,2.00,5.00,7.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6143628,1.00,2.00,2.00,3.00,4.00,7.13,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6143636,3.00,5.00,0.00,5.00,6.00,7.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6143644,3.00,3.00,2.00,5.00,4.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6143652,5.00,5.00,1.00,4.00,7.00,9.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6143660,3.00,3.00,3.00,3.00,5.00,7.88,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6143679,5.00,4.00,1.00,4.00,6.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6143687,2.00,5.00,3.00,3.00,8.00,10.13,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6143695,7.00,6.00,4.00,7.00,9.00,8.25,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6143709,4.00,3.00,1.00,4.00,6.00,10.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6143725,3.00,5.00,3.00,5.00,7.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6143733,3.00,6.00,4.00,3.00,5.00,8.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6143741,2.00,2.00,1.00,1.00,7.00,8.63,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6143750,2.00,4.00,1.00,3.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6143768,9.00,7.00,2.00,7.00,10.00,11.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6143776,5.00,2.00,2.00,1.00,8.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6143792,2.00,3.00,2.00,4.00,5.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6143806,3.00,2.00,1.00,2.00,5.00,5.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6143814,4.00,6.00,0.00,6.00,4.00,NULL,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6143822,3.00,3.00,1.00,2.00,7.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6143849,5.00,2.00,3.00,3.00,5.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6143857,4.00,7.00,0.00,5.00,6.00,8.63,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6143865,5.00,5.00,2.00,3.00,7.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6143873,9.00,6.00,4.00,7.00,9.00,11.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6143890,4.00,4.00,0.00,1.00,4.00,7.88,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6143903,7.00,6.00,3.00,5.00,9.00,8.63,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6143911,3.00,5.00,3.00,1.00,3.00,6.75,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6143920,3.00,3.00,2.00,1.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6143938,7.00,5.00,4.00,6.00,10.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6143946,7.00,7.00,5.00,7.00,7.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6143954,8.00,8.00,4.00,0.00,10.00,12.38,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6143970,8.00,6.00,2.00,6.00,7.00,10.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6143989,4.00,4.00,2.00,2.00,7.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6143997,3.00,4.00,0.00,3.00,5.00,8.25,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6144004,3.00,4.00,3.00,2.00,7.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6144012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6144039,1.00,2.00,2.00,2.00,5.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6144047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6144055,2.00,4.00,0.00,3.00,4.00,6.38,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6144063,3.00,3.00,1.00,3.00,4.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6144071,6.00,6.00,3.00,5.00,7.00,9.38,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6144080,8.00,4.00,1.00,2.00,8.00,NULL,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6144098,7.00,6.00,2.00,4.00,9.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6144101,3.00,7.00,2.00,4.00,8.00,9.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6144110,8.00,8.00,5.00,6.00,10.00,8.25,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6144128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6144136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6144144,2.00,2.00,1.00,1.00,6.00,9.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6144152,3.00,3.00,2.00,4.00,5.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6144160,8.00,8.00,8.00,7.00,8.00,10.50,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6144179,1.00,2.00,4.00,3.00,5.00,9.38,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6144187,6.00,6.00,3.00,6.00,8.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6144195,5.00,8.00,3.00,7.00,7.00,10.88,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6144209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6144217,2.00,2.00,1.00,2.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6144225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6144241,7.00,6.00,5.00,4.00,6.00,10.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6144250,2.00,3.00,0.00,3.00,7.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6144284,3.00,3.00,1.00,2.00,3.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6144292,8.00,7.00,4.00,5.00,10.00,10.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6144314,2.00,3.00,3.00,5.00,5.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6144322,8.00,6.00,1.00,6.00,7.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6144330,6.00,6.00,2.00,7.00,10.00,9.38,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6144357,4.00,5.00,2.00,5.00,8.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6144365,2.00,6.00,2.00,4.00,6.00,6.38,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6144381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6144390,2.00,5.00,0.00,3.00,8.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6144403,7.00,7.00,8.00,6.00,10.00,8.25,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6144411,4.00,8.00,1.00,4.00,8.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6144420,4.00,3.00,0.00,4.00,7.00,7.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6144438,3.00,5.00,2.00,4.00,5.00,7.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6144446,2.00,6.00,1.00,1.00,5.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6144454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6144462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6144470,5.00,4.00,3.00,6.00,9.00,9.38,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6144500,7.00,7.00,1.00,6.00,10.00,9.00,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6144519,5.00,5.00,4.00,3.00,9.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6144527,3.00,5.00,3.00,3.00,3.00,8.63,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6144535,2.00,3.00,0.00,3.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6144543,6.00,5.00,3.00,5.00,5.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6144551,3.00,6.00,4.00,3.00,6.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6144560,9.00,8.00,5.00,7.00,10.00,12.00,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6144578,4.00,5.00,0.00,2.00,5.00,8.63,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6144586,4.00,6.00,0.00,3.00,6.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6144608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6144616,3.00,2.00,0.00,4.00,7.00,10.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6144624,3.00,2.00,1.00,3.00,4.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6144632,9.00,8.00,7.00,7.00,8.00,10.13,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6144640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6144659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6144667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6144675,3.00,8.00,3.00,2.00,7.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6144691,2.00,3.00,3.00,1.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6144705,5.00,6.00,3.00,7.00,4.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6144713,3.00,5.00,3.00,4.00,6.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6144721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6144730,5.00,5.00,0.00,2.00,8.00,9.00,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6144756,4.00,3.00,1.00,3.00,5.00,7.88,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6144772,8.00,7.00,4.00,7.00,10.00,12.75,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6144780,3.00,4.00,1.00,4.00,5.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6144802,2.00,7.00,3.00,6.00,7.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6144810,2.00,2.00,0.00,3.00,8.00,9.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6144829,7.00,8.00,3.00,7.00,8.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6144837,1.00,6.00,2.00,5.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6144845,2.00,3.00,0.00,3.00,7.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6144853,7.00,4.00,3.00,6.00,8.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6144861,6.00,7.00,4.00,7.00,9.00,10.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6144870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6144896,2.00,5.00,3.00,3.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6144900,3.00,4.00,1.00,4.00,7.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6144918,3.00,4.00,0.00,2.00,3.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6144934,1.00,1.00,3.00,3.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6144942,3.00,2.00,0.00,3.00,3.00,7.88,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6144950,4.00,6.00,1.00,6.00,7.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6144969,5.00,5.00,1.00,5.00,7.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6144993,8.00,7.00,4.00,7.00,10.00,10.13,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6145019,4.00,4.00,1.00,6.00,6.00,10.13,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6145027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6145043,5.00,4.00,4.00,2.00,4.00,7.88,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6145051,2.00,3.00,2.00,2.00,5.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6145060,6.00,5.00,3.00,7.00,7.00,10.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6145078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6145086,7.00,6.00,5.00,5.00,8.00,8.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6145094,0.00,6.00,2.00,7.00,8.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6145108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6145116,2.00,3.00,1.00,3.00,4.00,8.63,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6145124,5.00,6.00,3.00,5.00,7.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6145132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6145140,2.00,0.00,2.00,3.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6145159,4.00,4.00,4.00,3.00,8.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6145167,6.00,7.00,1.00,7.00,10.00,NULL,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6145175,1.00,5.00,1.00,5.00,4.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6145183,1.00,4.00,2.00,5.00,6.00,9.75,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6145205,2.00,4.00,0.00,3.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6145213,4.00,7.00,5.00,4.00,7.00,9.00,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6145230,3.00,1.00,1.00,1.00,7.00,11.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6145248,4.00,3.00,2.00,2.00,3.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6145256,9.00,6.00,8.00,7.00,10.00,11.63,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6145264,2.00,2.00,2.00,4.00,9.00,8.63,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6145299,8.00,8.00,8.00,7.00,9.00,9.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6145302,4.00,2.00,1.00,4.00,5.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6145310,4.00,7.00,0.00,6.00,6.00,9.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6145337,2.00,5.00,1.00,5.00,7.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6145345,9.00,6.00,3.00,5.00,10.00,10.88,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6145370,2.00,3.00,2.00,2.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6145388,6.00,2.00,0.00,4.00,6.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6145396,1.00,4.00,2.00,4.00,5.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6145418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6145434,8.00,4.00,0.00,5.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6145450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6145469,5.00,7.00,2.00,6.00,10.00,5.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6145477,2.00,4.00,0.00,2.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6145485,8.00,6.00,5.00,6.00,8.00,12.38,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6145493,1.00,3.00,0.00,1.00,4.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6145507,6.00,6.00,1.00,7.00,10.00,7.88,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6145515,9.00,6.00,5.00,7.00,7.00,10.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6145523,2.00,4.00,3.00,6.00,4.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6145531,3.00,7.00,5.00,3.00,9.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6145574,3.00,5.00,3.00,2.00,4.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6145582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6145612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6145620,6.00,4.00,3.00,4.00,4.00,7.13,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6145647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6145655,7.00,6.00,2.00,5.00,5.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6145663,4.00,5.00,2.00,3.00,5.00,8.63,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6145671,3.00,3.00,0.00,2.00,7.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6145680,6.00,5.00,7.00,6.00,8.00,13.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6145698,2.00,2.00,1.00,3.00,7.00,7.50,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6145701,6.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6145710,3.00,4.00,0.00,3.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6145728,3.00,0.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6145736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6145760,4.00,7.00,4.00,7.00,9.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6145787,4.00,5.00,1.00,5.00,6.00,8.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6145795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6145809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6145817,3.00,4.00,0.00,0.00,5.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6145825,6.00,6.00,4.00,4.00,8.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6145841,3.00,4.00,2.00,1.00,5.00,3.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6145850,7.00,7.00,4.00,7.00,7.00,10.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6145868,2.00,3.00,0.00,3.00,7.00,NULL,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6145876,1.00,4.00,0.00,2.00,4.00,0.00,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6145892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6145914,4.00,5.00,3.00,3.00,4.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6145922,7.00,5.00,1.00,2.00,7.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6145949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6145957,4.00,8.00,1.00,7.00,8.00,6.75,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6145965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6145973,4.00,5.00,3.00,3.00,6.00,6.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6145981,5.00,5.00,5.00,3.00,6.00,7.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6145990,1.00,5.00,0.00,2.00,5.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6146007,4.00,5.00,3.00,4.00,7.00,9.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6146015,4.00,5.00,2.00,5.00,6.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6146023,6.00,5.00,1.00,6.00,9.00,8.63,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6146031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6146058,3.00,2.00,2.00,5.00,5.00,9.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6146066,6.00,6.00,1.00,3.00,7.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6146090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6146104,3.00,3.00,0.00,3.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6146112,5.00,6.00,1.00,5.00,5.00,10.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6146139,6.00,6.00,2.00,6.00,7.00,9.38,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6146147,2.00,0.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6146155,3.00,2.00,1.00,2.00,6.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6146163,6.00,6.00,1.00,3.00,8.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6146171,2.00,0.00,3.00,1.00,4.00,6.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6146210,6.00,6.00,2.00,3.00,8.00,9.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6146228,5.00,5.00,4.00,7.00,9.00,8.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6146236,8.00,5.00,5.00,6.00,11.00,10.13,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6146244,4.00,3.00,1.00,5.00,8.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6146252,5.00,7.00,2.00,7.00,9.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6146287,7.00,4.00,1.00,5.00,7.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6146295,5.00,3.00,2.00,4.00,8.00,9.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6146309,8.00,7.00,3.00,3.00,9.00,9.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6146317,6.00,6.00,0.00,6.00,5.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6146333,7.00,6.00,2.00,5.00,9.00,10.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6146341,2.00,1.00,0.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6146368,4.00,4.00,3.00,5.00,5.00,7.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6146376,3.00,7.00,2.00,2.00,7.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6146384,5.00,7.00,2.00,6.00,7.00,9.75,0.00,8.00,2.00,NULL,NULL,NULL,'S'),(25,6146392,6.00,7.00,3.00,6.00,7.00,10.13,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6146406,8.00,7.00,5.00,5.00,8.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6146414,2.00,4.00,1.00,4.00,7.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6146422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6146430,6.00,6.00,2.00,7.00,9.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6146457,3.00,3.00,4.00,5.00,8.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6146465,6.00,7.00,3.00,4.00,8.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6146473,5.00,5.00,3.00,3.00,6.00,10.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6146481,4.00,3.00,2.00,2.00,3.00,4.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6146490,8.00,7.00,8.00,5.00,8.00,6.75,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6146503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6146511,2.00,6.00,3.00,2.00,4.00,6.38,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6146520,4.00,5.00,2.00,6.00,6.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6146546,2.00,3.00,1.00,3.00,5.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6146554,5.00,4.00,2.00,4.00,8.00,9.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6146562,5.00,8.00,4.00,7.00,10.00,8.25,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6146570,2.00,4.00,2.00,6.00,5.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6146589,2.00,4.00,2.00,2.00,5.00,7.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6146597,2.00,4.00,3.00,5.00,7.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6146600,2.00,3.00,2.00,3.00,4.00,9.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6146619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6146635,4.00,4.00,3.00,4.00,6.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6146643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6146651,2.00,5.00,1.00,3.00,4.00,5.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6146678,4.00,4.00,0.00,4.00,8.00,10.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6146686,4.00,2.00,1.00,3.00,6.00,7.88,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6146694,1.00,2.00,1.00,2.00,3.00,3.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6146708,3.00,4.00,1.00,3.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6146716,4.00,4.00,1.00,4.00,4.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6146724,7.00,5.00,3.00,4.00,4.00,6.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6146732,4.00,7.00,2.00,7.00,6.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6146740,5.00,6.00,2.00,4.00,7.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6146775,7.00,6.00,2.00,1.00,7.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6146783,6.00,3.00,3.00,5.00,5.00,7.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6146791,1.00,3.00,2.00,4.00,4.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6146813,2.00,4.00,0.00,0.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6146830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6146856,1.00,3.00,1.00,2.00,5.00,7.50,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6146864,6.00,4.00,1.00,5.00,6.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6146872,6.00,5.00,2.00,5.00,7.00,9.38,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6146880,5.00,6.00,3.00,6.00,8.00,9.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6146899,2.00,4.00,1.00,3.00,8.00,5.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6146902,1.00,6.00,2.00,4.00,4.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6146910,6.00,6.00,3.00,6.00,8.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6146929,2.00,5.00,1.00,3.00,9.00,10.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6146937,4.00,6.00,3.00,6.00,8.00,8.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6146953,6.00,7.00,4.00,6.00,9.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6146961,1.00,6.00,0.00,1.00,5.00,6.00,0.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6146970,2.00,4.00,4.00,5.00,3.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6146988,5.00,3.00,3.00,5.00,7.00,7.50,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6146996,8.00,6.00,5.00,5.00,7.00,9.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6147003,4.00,5.00,4.00,4.00,6.00,12.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6147011,6.00,7.00,6.00,5.00,9.00,10.88,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6147020,4.00,4.00,1.00,1.00,5.00,6.75,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6147038,5.00,7.00,3.00,5.00,8.00,10.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6147046,7.00,9.00,2.00,5.00,8.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6147054,7.00,7.00,6.00,6.00,6.00,10.13,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6147062,3.00,2.00,0.00,2.00,8.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6147089,5.00,1.00,0.00,1.00,3.00,7.13,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6147097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6147135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6147143,2.00,1.00,1.00,1.00,4.00,9.00,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6147151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6147160,3.00,6.00,4.00,3.00,9.00,10.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6147178,4.00,8.00,2.00,4.00,7.00,8.63,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6147194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6147224,5.00,6.00,4.00,6.00,11.00,12.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6147232,4.00,4.00,3.00,5.00,7.00,7.88,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6147240,3.00,4.00,2.00,2.00,7.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6147259,1.00,6.00,4.00,4.00,7.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6147267,5.00,6.00,2.00,4.00,4.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6147275,6.00,5.00,4.00,5.00,9.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6147283,1.00,4.00,1.00,1.00,6.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6147291,4.00,3.00,2.00,1.00,5.00,7.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6147305,2.00,4.00,1.00,2.00,4.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6147321,2.00,2.00,5.00,4.00,5.00,8.63,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6147330,8.00,7.00,1.00,5.00,9.00,6.75,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6147348,3.00,4.00,2.00,3.00,7.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6147356,7.00,2.00,5.00,5.00,7.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6147364,4.00,3.00,2.00,4.00,8.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6147372,4.00,6.00,1.00,3.00,4.00,8.25,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6147380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6147399,5.00,5.00,2.00,5.00,7.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6147402,4.00,5.00,2.00,1.00,5.00,9.38,0.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6147410,2.00,3.00,1.00,6.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6147429,6.00,4.00,6.00,6.00,9.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6147445,2.00,2.00,1.00,0.00,6.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6147453,4.00,3.00,1.00,5.00,8.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6147488,3.00,4.00,1.00,5.00,7.00,10.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6147496,6.00,5.00,3.00,6.00,7.00,8.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6147518,5.00,8.00,4.00,7.00,6.00,9.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6147526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6147534,3.00,5.00,2.00,4.00,4.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6147542,8.00,7.00,4.00,5.00,9.00,9.75,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6147550,8.00,6.00,5.00,8.00,7.00,6.38,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6147569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6147577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6147585,0.00,2.00,2.00,1.00,6.00,3.38,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6147593,6.00,8.00,3.00,7.00,9.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6147607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6147615,1.00,3.00,2.00,1.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6147623,8.00,7.00,3.00,6.00,9.00,9.75,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6147658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6147666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6147674,7.00,3.00,7.00,4.00,7.00,12.00,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6147690,6.00,7.00,2.00,4.00,10.00,4.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6147704,4.00,4.00,3.00,5.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6147712,4.00,5.00,5.00,7.00,8.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6147720,3.00,5.00,3.00,5.00,9.00,6.75,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6147739,3.00,4.00,2.00,4.00,5.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6147747,5.00,3.00,2.00,5.00,6.00,10.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6147755,5.00,6.00,2.00,5.00,6.00,9.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6147771,1.00,4.00,2.00,4.00,2.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6147780,2.00,2.00,1.00,0.00,4.00,6.75,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6147798,7.00,6.00,1.00,3.00,7.00,12.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6147828,7.00,5.00,4.00,5.00,8.00,7.50,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6147836,8.00,5.00,2.00,8.00,11.00,8.63,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6147844,1.00,3.00,3.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6147860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6147879,9.00,8.00,9.00,7.00,10.00,13.13,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6147887,3.00,3.00,1.00,4.00,6.00,7.50,1.00,1.00,5.00,NULL,NULL,NULL,'S'),(25,6147895,2.00,4.00,0.00,2.00,4.00,4.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6147917,1.00,5.00,3.00,4.00,5.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6147925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6147950,3.00,7.00,0.00,5.00,8.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6147968,5.00,5.00,1.00,6.00,7.00,9.00,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6147976,7.00,6.00,7.00,6.00,9.00,8.63,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6147984,8.00,8.00,4.00,7.00,10.00,7.88,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6147992,5.00,6.00,4.00,6.00,10.00,9.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6148000,6.00,6.00,2.00,4.00,6.00,7.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6148018,3.00,4.00,2.00,1.00,7.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6148026,6.00,4.00,5.00,6.00,8.00,9.75,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6148034,2.00,3.00,1.00,3.00,4.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6148042,3.00,3.00,4.00,2.00,4.00,10.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6148050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6148069,6.00,6.00,2.00,7.00,8.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6148077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6148085,6.00,7.00,1.00,4.00,6.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6148093,1.00,0.00,1.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6148107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6148115,7.00,5.00,4.00,7.00,9.00,NULL,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6148123,3.00,3.00,0.00,4.00,4.00,7.13,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6148131,5.00,7.00,3.00,4.00,8.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6148140,4.00,4.00,2.00,4.00,8.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6148158,7.00,5.00,5.00,4.00,8.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6148174,8.00,8.00,2.00,7.00,8.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6148182,2.00,4.00,4.00,3.00,3.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6148190,8.00,8.00,4.00,5.00,10.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6148212,2.00,3.00,0.00,4.00,4.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6148220,4.00,5.00,2.00,6.00,5.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6148239,3.00,3.00,0.00,1.00,5.00,4.88,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6148247,8.00,8.00,5.00,8.00,9.00,12.75,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6148255,2.00,2.00,1.00,1.00,4.00,3.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6148263,7.00,5.00,4.00,6.00,10.00,9.38,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6148271,4.00,5.00,2.00,4.00,7.00,7.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6148280,5.00,3.00,1.00,3.00,4.00,5.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6148298,5.00,3.00,4.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6148301,2.00,4.00,1.00,2.00,4.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6148310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6148336,8.00,7.00,3.00,4.00,10.00,NULL,4.00,9.00,7.00,NULL,NULL,'S','N'),(25,6148344,6.00,6.00,4.00,5.00,8.00,10.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6148352,5.00,6.00,3.00,6.00,9.00,9.38,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6148360,5.00,6.00,4.00,5.00,8.00,10.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6148379,3.00,3.00,2.00,2.00,3.00,5.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6148387,2.00,4.00,1.00,2.00,4.00,8.25,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6148395,5.00,3.00,3.00,0.00,5.00,9.00,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6148417,3.00,2.00,2.00,2.00,7.00,6.38,5.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6148425,7.00,7.00,6.00,5.00,9.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6148433,7.00,6.00,5.00,6.00,8.00,9.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6148450,0.00,3.00,0.00,0.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6148484,2.00,3.00,2.00,4.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6148492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6148506,5.00,5.00,2.00,5.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6148514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6148530,5.00,8.00,4.00,7.00,8.00,5.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6148549,4.00,2.00,1.00,4.00,5.00,9.00,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6148557,4.00,7.00,3.00,5.00,6.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6148565,6.00,6.00,5.00,5.00,7.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6148581,5.00,5.00,1.00,6.00,8.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6148590,6.00,3.00,3.00,3.00,6.00,9.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6148603,1.00,4.00,0.00,2.00,3.00,5.63,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6148611,6.00,5.00,5.00,6.00,8.00,8.25,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6148620,4.00,5.00,1.00,4.00,6.00,10.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6148638,4.00,7.00,1.00,2.00,5.00,11.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6148654,6.00,6.00,1.00,7.00,6.00,7.50,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6148662,6.00,7.00,6.00,6.00,4.00,10.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6148670,0.00,3.00,0.00,2.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6148697,4.00,5.00,2.00,6.00,7.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6148719,3.00,5.00,2.00,5.00,9.00,10.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6148727,4.00,4.00,1.00,3.00,6.00,5.63,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6148735,9.00,7.00,5.00,6.00,8.00,8.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6148751,8.00,5.00,6.00,3.00,7.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6148760,5.00,4.00,2.00,6.00,6.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6148778,4.00,5.00,4.00,6.00,7.00,7.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6148786,7.00,4.00,1.00,2.00,7.00,7.50,0.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6148794,2.00,4.00,1.00,5.00,8.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6148808,3.00,6.00,0.00,4.00,6.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6148816,7.00,6.00,2.00,7.00,10.00,10.13,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6148824,5.00,6.00,1.00,5.00,8.00,8.63,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6148832,3.00,5.00,0.00,2.00,6.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6148840,2.00,3.00,2.00,4.00,4.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6148875,6.00,5.00,3.00,5.00,8.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6148883,0.00,6.00,0.00,3.00,6.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6148891,8.00,6.00,3.00,7.00,9.00,9.00,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6148905,5.00,4.00,2.00,2.00,5.00,9.38,0.00,4.00,0.00,NULL,NULL,NULL,'S'),(25,6148913,6.00,4.00,2.00,5.00,5.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6148921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6148930,4.00,4.00,3.00,5.00,7.00,8.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6148948,3.00,5.00,3.00,4.00,8.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6148956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6148964,6.00,4.00,1.00,5.00,9.00,10.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6148972,7.00,7.00,7.00,5.00,10.00,10.88,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6148980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6148999,5.00,5.00,3.00,6.00,6.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6149006,3.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6149022,5.00,0.00,0.00,7.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6149030,3.00,3.00,2.00,6.00,9.00,9.38,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6149049,5.00,5.00,3.00,6.00,9.00,10.13,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6149057,5.00,5.00,3.00,3.00,6.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6149065,1.00,2.00,1.00,4.00,4.00,6.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6149073,2.00,5.00,2.00,2.00,7.00,6.38,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6149090,8.00,8.00,6.00,7.00,10.00,8.63,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6149103,4.00,2.00,1.00,2.00,3.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6149120,3.00,5.00,2.00,5.00,7.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6149146,5.00,0.00,3.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6149154,3.00,4.00,3.00,5.00,3.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6149170,6.00,6.00,1.00,4.00,9.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6149189,1.00,3.00,0.00,4.00,4.00,9.75,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6149197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6149200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6149219,3.00,3.00,0.00,4.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6149227,4.00,7.00,1.00,6.00,8.00,9.75,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6149235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6149251,8.00,6.00,4.00,7.00,10.00,10.50,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6149260,5.00,6.00,4.00,1.00,5.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6149278,4.00,6.00,2.00,4.00,6.00,8.63,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6149286,7.00,5.00,1.00,4.00,7.00,8.25,0.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6149308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6149316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6149332,5.00,6.00,3.00,7.00,6.00,11.63,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6149340,5.00,5.00,2.00,6.00,8.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6149359,5.00,5.00,4.00,7.00,8.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6149367,9.00,7.00,3.00,7.00,10.00,10.88,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6149375,5.00,4.00,2.00,4.00,5.00,8.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6149383,6.00,9.00,5.00,7.00,9.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6149391,1.00,0.00,2.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6149405,2.00,3.00,2.00,5.00,4.00,6.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6149413,5.00,6.00,3.00,7.00,9.00,10.88,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6149421,4.00,5.00,2.00,5.00,6.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6149430,3.00,4.00,4.00,2.00,7.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6149448,4.00,7.00,2.00,3.00,6.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6149456,6.00,5.00,2.00,5.00,8.00,9.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6149464,2.00,4.00,2.00,6.00,8.00,10.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6149472,3.00,3.00,1.00,1.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6149480,5.00,4.00,4.00,4.00,5.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6149499,2.00,2.00,0.00,2.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6149502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6149529,7.00,6.00,5.00,5.00,10.00,10.13,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6149561,8.00,7.00,4.00,7.00,8.00,9.00,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6149570,3.00,6.00,2.00,3.00,5.00,7.13,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6149588,7.00,5.00,4.00,5.00,7.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6149596,7.00,5.00,4.00,6.00,9.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6149600,3.00,2.00,2.00,2.00,4.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6149618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6149626,2.00,1.00,1.00,3.00,5.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6149634,3.00,4.00,3.00,4.00,7.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6149642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6149650,8.00,5.00,5.00,4.00,8.00,9.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6149677,4.00,3.00,3.00,5.00,7.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6149693,4.00,5.00,2.00,3.00,8.00,NULL,1.00,0.00,2.00,NULL,NULL,'S','N'),(25,6149707,0.00,0.00,0.00,0.00,0.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6149715,4.00,6.00,2.00,6.00,7.00,8.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6149723,1.00,2.00,2.00,4.00,7.00,9.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6149731,5.00,5.00,4.00,3.00,8.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6149740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6149766,7.00,7.00,5.00,6.00,9.00,10.50,1.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6149774,2.00,4.00,0.00,6.00,6.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6149782,5.00,5.00,3.00,6.00,6.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6149790,7.00,9.00,4.00,7.00,10.00,10.13,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6149804,5.00,7.00,4.00,6.00,9.00,8.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6149820,5.00,7.00,2.00,4.00,6.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6149839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6149847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6149855,7.00,7.00,4.00,6.00,9.00,7.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6149863,3.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6149871,6.00,6.00,2.00,6.00,10.00,7.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6149880,6.00,7.00,5.00,7.00,7.00,12.00,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6149910,2.00,5.00,2.00,2.00,4.00,6.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6149928,6.00,5.00,4.00,5.00,6.00,9.38,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6149936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6149944,5.00,4.00,2.00,6.00,7.00,5.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6149952,2.00,2.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6149960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6149979,1.00,3.00,3.00,4.00,6.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6149987,2.00,7.00,3.00,3.00,3.00,6.38,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6150004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6150012,5.00,6.00,5.00,7.00,8.00,10.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6150020,8.00,5.00,7.00,6.00,9.00,8.63,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6150039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6150047,4.00,3.00,3.00,3.00,6.00,6.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6150055,4.00,7.00,1.00,3.00,3.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6150063,8.00,7.00,5.00,6.00,8.00,12.75,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6150071,2.00,3.00,1.00,3.00,6.00,9.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6150098,6.00,5.00,2.00,2.00,6.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6150128,2.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6150136,2.00,5.00,3.00,5.00,6.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6150144,2.00,3.00,0.00,3.00,8.00,NULL,3.00,4.00,0.00,NULL,NULL,'S','N'),(25,6150152,1.00,4.00,2.00,2.00,3.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6150160,4.00,6.00,3.00,3.00,8.00,10.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6150187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6150217,1.00,2.00,1.00,3.00,4.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6150233,4.00,4.00,1.00,6.00,6.00,7.88,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6150250,7.00,7.00,5.00,3.00,6.00,10.13,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6150268,3.00,3.00,3.00,4.00,5.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6150284,7.00,8.00,6.00,7.00,10.00,9.75,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6150306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6150330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6150349,3.00,6.00,1.00,1.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6150357,2.00,2.00,2.00,3.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'S'),(25,6150365,4.00,5.00,1.00,3.00,6.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6150381,6.00,6.00,2.00,2.00,4.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6150390,5.00,5.00,3.00,5.00,6.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6150403,3.00,7.00,1.00,4.00,7.00,9.38,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6150411,4.00,4.00,1.00,5.00,5.00,9.38,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6150438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6150446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6150454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6150462,7.00,8.00,4.00,6.00,9.00,10.50,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6150470,2.00,2.00,3.00,3.00,3.00,9.75,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6150489,8.00,6.00,4.00,7.00,10.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6150497,9.00,8.00,9.00,7.00,9.00,10.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6150500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6150519,6.00,6.00,5.00,6.00,8.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6150527,4.00,7.00,3.00,7.00,7.00,10.50,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6150543,9.00,8.00,7.00,7.00,10.00,10.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6150551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6150560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6150578,4.00,2.00,2.00,1.00,6.00,9.38,3.00,1.00,0.00,NULL,NULL,NULL,'S'),(25,6150586,8.00,7.00,8.00,7.00,9.00,10.88,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6150594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6150616,5.00,5.00,3.00,6.00,7.00,7.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6150624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6150632,2.00,3.00,2.00,5.00,5.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6150640,2.00,3.00,2.00,6.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6150659,1.00,2.00,1.00,2.00,6.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6150675,5.00,8.00,1.00,3.00,8.00,9.38,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6150691,2.00,7.00,0.00,6.00,6.00,9.00,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6150705,4.00,3.00,2.00,6.00,6.00,9.75,5.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6150713,1.00,3.00,3.00,4.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6150730,4.00,4.00,2.00,3.00,4.00,6.38,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6150748,4.00,6.00,2.00,1.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6150756,6.00,6.00,2.00,7.00,7.00,7.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6150764,6.00,6.00,5.00,5.00,7.00,7.88,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6150772,9.00,5.00,4.00,7.00,7.00,10.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6150780,7.00,6.00,1.00,7.00,8.00,10.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6150799,3.00,5.00,2.00,2.00,6.00,5.63,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6150802,3.00,6.00,4.00,3.00,4.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6150810,3.00,6.00,2.00,5.00,6.00,7.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6150837,4.00,6.00,1.00,3.00,6.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6150845,3.00,6.00,0.00,2.00,6.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6150853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6150861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6150870,2.00,2.00,2.00,3.00,4.00,4.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6150888,1.00,2.00,0.00,2.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6150896,7.00,7.00,8.00,6.00,6.00,10.13,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6150900,9.00,7.00,8.00,7.00,10.00,9.38,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6150918,4.00,4.00,1.00,2.00,9.00,9.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6150934,1.00,2.00,2.00,2.00,4.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6150950,4.00,4.00,2.00,4.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6150977,5.00,7.00,1.00,4.00,5.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6150985,5.00,6.00,2.00,5.00,9.00,10.88,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6150993,6.00,6.00,5.00,3.00,8.00,7.88,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6151000,7.00,6.00,0.00,4.00,6.00,8.63,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6151019,2.00,2.00,0.00,3.00,5.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6151027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6151035,6.00,4.00,3.00,6.00,8.00,12.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6151043,2.00,3.00,4.00,5.00,8.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6151051,2.00,4.00,3.00,3.00,7.00,6.38,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6151078,4.00,4.00,2.00,3.00,8.00,10.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6151086,2.00,5.00,2.00,2.00,6.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6151094,6.00,5.00,4.00,6.00,8.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6151108,5.00,5.00,3.00,5.00,8.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6151116,8.00,6.00,6.00,6.00,7.00,8.63,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6151124,5.00,6.00,3.00,4.00,5.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6151132,3.00,6.00,4.00,5.00,6.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6151140,3.00,2.00,2.00,2.00,4.00,7.13,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6151159,2.00,3.00,2.00,2.00,3.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6151167,4.00,4.00,1.00,6.00,8.00,9.38,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6151175,7.00,4.00,8.00,7.00,8.00,10.50,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6151191,3.00,4.00,1.00,5.00,5.00,12.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6151205,5.00,5.00,1.00,3.00,4.00,6.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6151213,8.00,7.00,7.00,7.00,9.00,9.75,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6151230,4.00,6.00,6.00,3.00,3.00,8.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6151264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6151280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6151299,4.00,2.00,5.00,2.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6151310,2.00,4.00,1.00,1.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6151329,0.00,4.00,1.00,4.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6151337,6.00,6.00,3.00,7.00,9.00,9.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6151345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6151361,7.00,6.00,4.00,5.00,9.00,7.50,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6151370,3.00,4.00,4.00,2.00,5.00,0.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6151388,4.00,5.00,1.00,2.00,8.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6151396,6.00,5.00,3.00,3.00,6.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6151400,3.00,5.00,3.00,2.00,6.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6151418,6.00,6.00,3.00,3.00,6.00,10.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6151426,7.00,5.00,2.00,7.00,9.00,7.13,1.00,9.00,4.00,NULL,NULL,NULL,'N'),(25,6151434,6.00,5.00,2.00,6.00,7.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6151442,6.00,2.00,4.00,2.00,4.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6151450,4.00,7.00,2.00,7.00,9.00,12.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6151469,4.00,8.00,2.00,2.00,7.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6151477,5.00,7.00,2.00,6.00,7.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6151485,6.00,5.00,3.00,4.00,8.00,7.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6151507,2.00,6.00,1.00,4.00,5.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6151515,3.00,4.00,0.00,3.00,5.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6151523,3.00,4.00,0.00,2.00,6.00,6.75,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6151540,4.00,3.00,1.00,4.00,4.00,5.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6151558,2.00,3.00,2.00,2.00,5.00,6.75,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6151566,4.00,4.00,0.00,7.00,9.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6151574,3.00,7.00,4.00,5.00,7.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6151582,7.00,6.00,2.00,5.00,9.00,7.88,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6151590,2.00,4.00,1.00,3.00,5.00,6.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6151612,4.00,7.00,2.00,3.00,9.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6151639,3.00,6.00,2.00,4.00,6.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6151655,2.00,3.00,3.00,3.00,4.00,4.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6151671,6.00,6.00,2.00,6.00,6.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6151680,3.00,5.00,1.00,4.00,8.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6151698,4.00,0.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6151701,4.00,6.00,4.00,5.00,6.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6151710,3.00,4.00,3.00,4.00,3.00,5.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6151728,5.00,6.00,2.00,4.00,10.00,7.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6151736,9.00,8.00,7.00,4.00,9.00,11.63,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6151744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6151752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6151779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6151787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6151795,7.00,5.00,3.00,5.00,5.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6151809,8.00,8.00,9.00,7.00,9.00,11.63,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6151817,2.00,2.00,0.00,4.00,6.00,7.13,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6151825,1.00,3.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6151833,7.00,8.00,5.00,5.00,10.00,11.63,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6151850,2.00,4.00,1.00,3.00,6.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6151868,5.00,5.00,0.00,4.00,4.00,8.63,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6151876,6.00,0.00,3.00,7.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6151914,6.00,7.00,3.00,5.00,7.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6151922,6.00,4.00,2.00,2.00,7.00,9.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6151930,3.00,2.00,0.00,1.00,6.00,8.63,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6151949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6151957,4.00,5.00,3.00,5.00,4.00,10.50,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6151965,6.00,4.00,1.00,6.00,3.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6151973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6152007,2.00,6.00,2.00,6.00,7.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6152023,4.00,4.00,1.00,0.00,3.00,8.25,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6152031,8.00,7.00,6.00,4.00,8.00,6.75,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6152040,5.00,6.00,1.00,6.00,7.00,8.63,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6152058,4.00,7.00,4.00,6.00,9.00,10.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6152066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6152104,4.00,3.00,0.00,4.00,6.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6152120,4.00,4.00,1.00,3.00,5.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6152147,0.00,2.00,0.00,0.00,0.00,NULL,1.00,1.00,2.00,'S',NULL,NULL,'N'),(25,6152155,3.00,2.00,2.00,7.00,7.00,11.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6152163,3.00,5.00,2.00,5.00,6.00,0.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6152171,8.00,7.00,6.00,5.00,7.00,8.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6152180,2.00,2.00,1.00,0.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6152198,1.00,5.00,1.00,3.00,4.00,6.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6152210,5.00,5.00,4.00,3.00,5.00,4.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6152228,5.00,6.00,0.00,1.00,4.00,7.50,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6152236,4.00,6.00,0.00,3.00,5.00,4.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6152252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6152260,3.00,4.00,2.00,5.00,5.00,5.63,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6152295,3.00,4.00,0.00,7.00,7.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6152317,3.00,7.00,2.00,6.00,7.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6152341,6.00,5.00,4.00,8.00,9.00,7.13,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6152350,5.00,6.00,5.00,7.00,6.00,7.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6152368,3.00,4.00,4.00,4.00,6.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6152376,7.00,7.00,5.00,7.00,10.00,10.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6152384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6152392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6152414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6152430,8.00,5.00,3.00,5.00,9.00,7.88,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6152457,1.00,3.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6152465,6.00,6.00,1.00,5.00,9.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6152473,4.00,5.00,2.00,3.00,7.00,8.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6152481,4.00,5.00,3.00,3.00,6.00,10.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6152503,2.00,2.00,1.00,4.00,5.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6152520,7.00,4.00,3.00,6.00,8.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6152538,3.00,4.00,1.00,2.00,3.00,3.75,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6152546,2.00,3.00,2.00,4.00,6.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6152554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6152562,4.00,5.00,3.00,5.00,4.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6152570,0.00,2.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S',NULL,NULL,'N'),(25,6152589,3.00,5.00,1.00,6.00,3.00,7.50,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6152597,2.00,4.00,2.00,1.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6152627,7.00,7.00,4.00,6.00,8.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6152635,3.00,1.00,2.00,2.00,4.00,NULL,3.00,0.00,2.00,NULL,NULL,'S','N'),(25,6152643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6152651,2.00,4.00,3.00,5.00,5.00,0.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6152660,3.00,5.00,2.00,2.00,8.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6152678,5.00,7.00,2.00,5.00,8.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6152686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6152708,7.00,7.00,4.00,6.00,10.00,9.75,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6152716,6.00,3.00,3.00,5.00,7.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6152724,1.00,1.00,1.00,3.00,4.00,3.38,4.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6152732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6152740,7.00,6.00,7.00,7.00,10.00,11.63,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6152759,3.00,4.00,2.00,4.00,8.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6152767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6152775,2.00,1.00,3.00,2.00,5.00,6.00,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6152783,6.00,7.00,2.00,5.00,3.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6152791,3.00,5.00,1.00,6.00,5.00,10.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6152821,3.00,3.00,2.00,2.00,5.00,8.63,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6152830,7.00,7.00,3.00,5.00,10.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6152848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6152864,1.00,0.00,0.00,0.00,1.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6152872,4.00,5.00,2.00,7.00,8.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6152880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6152902,6.00,4.00,1.00,4.00,8.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6152910,5.00,5.00,2.00,1.00,4.00,10.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6152929,8.00,7.00,5.00,5.00,8.00,10.13,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6152937,2.00,1.00,1.00,2.00,3.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6152945,3.00,4.00,1.00,4.00,4.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6152953,8.00,9.00,4.00,6.00,8.00,8.25,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6152961,3.00,6.00,1.00,4.00,4.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6152988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6153011,5.00,4.00,2.00,3.00,3.00,9.00,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6153020,1.00,3.00,2.00,1.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6153038,6.00,4.00,2.00,7.00,8.00,10.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6153046,3.00,4.00,3.00,4.00,4.00,6.38,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6153054,4.00,6.00,3.00,4.00,9.00,8.63,0.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6153070,4.00,4.00,3.00,5.00,6.00,8.25,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6153097,2.00,4.00,2.00,1.00,5.00,9.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6153100,5.00,4.00,5.00,3.00,6.00,7.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6153119,5.00,6.00,1.00,2.00,6.00,9.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6153135,7.00,4.00,4.00,5.00,8.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6153143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6153151,2.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6153160,2.00,2.00,0.00,3.00,3.00,5.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6153186,2.00,5.00,1.00,6.00,7.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6153208,6.00,6.00,3.00,3.00,8.00,7.88,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6153216,5.00,6.00,3.00,7.00,9.00,9.38,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6153224,2.00,3.00,0.00,2.00,7.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6153240,7.00,5.00,6.00,6.00,8.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6153267,2.00,3.00,0.00,4.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6153275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6153313,3.00,5.00,1.00,0.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6153330,3.00,6.00,1.00,3.00,4.00,7.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6153348,3.00,3.00,0.00,0.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6153356,2.00,3.00,1.00,1.00,4.00,0.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6153364,4.00,7.00,2.00,4.00,7.00,4.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6153372,4.00,7.00,2.00,3.00,5.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6153380,7.00,7.00,3.00,6.00,7.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6153399,5.00,5.00,5.00,5.00,5.00,7.13,5.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6153429,2.00,3.00,2.00,2.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6153437,4.00,7.00,0.00,4.00,4.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6153461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6153470,2.00,2.00,2.00,1.00,1.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6153488,4.00,4.00,3.00,7.00,5.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6153496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6153500,5.00,4.00,2.00,4.00,8.00,8.25,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6153518,7.00,8.00,5.00,6.00,9.00,8.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6153534,4.00,5.00,0.00,2.00,4.00,4.50,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6153542,3.00,4.00,3.00,2.00,6.00,6.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6153550,5.00,3.00,2.00,3.00,7.00,8.63,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6153569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6153577,4.00,6.00,0.00,5.00,7.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6153585,8.00,6.00,6.00,5.00,9.00,13.88,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6153607,5.00,5.00,3.00,6.00,10.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6153615,7.00,4.00,3.00,3.00,9.00,9.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6153623,4.00,4.00,2.00,4.00,8.00,9.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6153631,7.00,6.00,3.00,7.00,10.00,NULL,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6153640,3.00,4.00,4.00,4.00,5.00,6.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6153674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6153690,7.00,5.00,1.00,5.00,8.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6153712,5.00,7.00,2.00,7.00,7.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6153720,3.00,3.00,0.00,5.00,6.00,10.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6153739,7.00,6.00,3.00,4.00,10.00,12.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6153747,6.00,3.00,0.00,2.00,5.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6153755,3.00,5.00,3.00,5.00,4.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6153763,9.00,6.00,8.00,5.00,7.00,10.13,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6153780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6153798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6153810,6.00,4.00,4.00,7.00,10.00,9.75,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6153828,1.00,3.00,3.00,1.00,4.00,4.50,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6153836,8.00,6.00,4.00,5.00,9.00,8.25,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6153844,5.00,3.00,3.00,2.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6153852,4.00,5.00,1.00,5.00,3.00,10.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6153860,3.00,4.00,2.00,2.00,4.00,7.88,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6153879,7.00,6.00,3.00,7.00,8.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6153887,6.00,6.00,7.00,7.00,7.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6153895,5.00,7.00,1.00,2.00,6.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6153909,5.00,7.00,4.00,7.00,8.00,11.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6153917,5.00,5.00,2.00,2.00,7.00,10.88,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6153925,6.00,6.00,3.00,5.00,10.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6153933,5.00,3.00,1.00,5.00,7.00,9.38,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6153941,7.00,6.00,2.00,7.00,9.00,9.38,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6153950,5.00,6.00,0.00,5.00,6.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6153976,4.00,5.00,4.00,5.00,5.00,9.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6153984,5.00,6.00,3.00,6.00,7.00,9.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6154000,2.00,2.00,1.00,2.00,3.00,9.38,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6154018,6.00,7.00,6.00,5.00,5.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6154034,4.00,3.00,2.00,5.00,5.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6154042,2.00,4.00,1.00,2.00,6.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6154050,1.00,3.00,1.00,4.00,7.00,6.75,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6154069,4.00,4.00,2.00,2.00,8.00,9.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6154077,3.00,4.00,1.00,5.00,7.00,9.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6154093,3.00,5.00,1.00,2.00,6.00,5.63,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6154107,4.00,7.00,5.00,7.00,9.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6154115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6154123,3.00,4.00,0.00,4.00,3.00,9.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6154131,6.00,6.00,4.00,3.00,7.00,10.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6154140,3.00,3.00,4.00,4.00,5.00,9.38,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6154166,5.00,7.00,6.00,7.00,8.00,7.88,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6154174,8.00,7.00,5.00,6.00,10.00,10.88,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6154182,4.00,6.00,1.00,7.00,8.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6154204,3.00,3.00,3.00,4.00,6.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6154220,7.00,8.00,2.00,6.00,9.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6154239,3.00,6.00,0.00,7.00,6.00,11.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6154255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6154263,4.00,2.00,1.00,2.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6154271,1.00,4.00,1.00,3.00,5.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6154280,3.00,5.00,1.00,3.00,5.00,7.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6154298,6.00,6.00,1.00,3.00,7.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6154301,4.00,4.00,5.00,3.00,6.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6154310,6.00,4.00,1.00,3.00,10.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6154328,4.00,6.00,0.00,7.00,9.00,11.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6154336,5.00,4.00,4.00,7.00,8.00,10.88,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6154344,1.00,3.00,0.00,2.00,4.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6154387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6154417,1.00,0.00,1.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6154425,9.00,7.00,6.00,6.00,11.00,8.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6154433,5.00,4.00,1.00,6.00,8.00,10.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6154441,1.00,4.00,1.00,3.00,4.00,7.13,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6154450,4.00,4.00,1.00,5.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6154468,4.00,3.00,1.00,3.00,6.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6154476,6.00,6.00,3.00,7.00,9.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6154492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6154506,4.00,6.00,3.00,5.00,9.00,11.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6154514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6154522,4.00,4.00,4.00,4.00,8.00,6.75,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6154530,2.00,3.00,2.00,6.00,5.00,5.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6154549,1.00,4.00,2.00,5.00,6.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6154557,5.00,6.00,1.00,4.00,8.00,9.38,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6154573,8.00,7.00,4.00,2.00,9.00,10.88,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6154581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6154603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6154611,5.00,8.00,8.00,6.00,9.00,11.63,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6154638,3.00,4.00,2.00,3.00,6.00,6.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6154646,2.00,2.00,0.00,1.00,1.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6154662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6154670,3.00,3.00,1.00,2.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6154689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6154697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6154700,1.00,3.00,1.00,2.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6154727,6.00,5.00,1.00,6.00,5.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6154735,6.00,4.00,2.00,7.00,10.00,12.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6154743,3.00,4.00,0.00,1.00,7.00,6.38,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6154751,4.00,1.00,1.00,2.00,6.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6154760,2.00,1.00,1.00,3.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6154778,2.00,5.00,1.00,3.00,5.00,7.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6154794,2.00,5.00,2.00,3.00,3.00,6.38,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6154808,8.00,6.00,5.00,4.00,8.00,9.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6154816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6154824,5.00,5.00,2.00,5.00,9.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6154832,3.00,3.00,3.00,2.00,6.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6154840,4.00,5.00,3.00,4.00,5.00,5.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6154867,3.00,3.00,5.00,4.00,7.00,8.63,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6154875,5.00,3.00,1.00,3.00,4.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6154883,2.00,6.00,3.00,3.00,5.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6154891,3.00,3.00,2.00,2.00,4.00,6.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6154913,2.00,5.00,3.00,5.00,7.00,8.25,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6154930,8.00,6.00,2.00,3.00,8.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6154948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6154964,4.00,5.00,0.00,7.00,3.00,7.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6154972,0.00,2.00,0.00,0.00,0.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6154999,7.00,5.00,3.00,3.00,6.00,8.25,1.00,1.00,7.00,NULL,NULL,NULL,'N'),(25,6155006,3.00,4.00,2.00,3.00,5.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6155014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6155022,6.00,6.00,2.00,3.00,7.00,5.63,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6155030,3.00,1.00,1.00,2.00,3.00,6.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6155049,6.00,5.00,1.00,4.00,9.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6155057,2.00,5.00,1.00,6.00,6.00,6.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6155065,4.00,6.00,5.00,5.00,7.00,12.00,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6155073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6155103,2.00,5.00,4.00,4.00,6.00,6.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6155111,6.00,5.00,2.00,5.00,7.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6155120,4.00,3.00,3.00,3.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6155138,5.00,5.00,2.00,6.00,7.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6155146,1.00,6.00,1.00,4.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6155154,2.00,2.00,2.00,2.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6155170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6155189,6.00,4.00,5.00,7.00,6.00,8.63,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6155197,4.00,7.00,2.00,1.00,7.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6155200,5.00,6.00,2.00,3.00,5.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6155219,7.00,7.00,6.00,4.00,8.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6155227,8.00,8.00,7.00,6.00,10.00,12.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6155243,4.00,4.00,1.00,6.00,7.00,8.25,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6155251,8.00,7.00,8.00,6.00,9.00,9.38,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6155260,4.00,5.00,2.00,4.00,7.00,10.13,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6155316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6155324,6.00,6.00,2.00,7.00,11.00,13.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6155332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6155340,6.00,7.00,2.00,5.00,7.00,9.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6155359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6155367,1.00,0.00,2.00,3.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6155375,2.00,4.00,2.00,6.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6155391,4.00,6.00,2.00,6.00,6.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6155413,2.00,2.00,1.00,0.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6155421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6155430,7.00,7.00,2.00,5.00,7.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6155456,5.00,3.00,4.00,4.00,7.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6155472,6.00,5.00,6.00,6.00,9.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6155499,2.00,4.00,2.00,4.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6155502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6155510,4.00,1.00,1.00,4.00,7.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6155529,3.00,5.00,2.00,5.00,6.00,6.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6155537,5.00,6.00,2.00,6.00,7.00,12.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6155545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6155553,2.00,4.00,1.00,1.00,4.00,5.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6155561,5.00,5.00,1.00,1.00,6.00,7.50,0.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6155570,5.00,6.00,4.00,5.00,7.00,9.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6155588,5.00,5.00,3.00,3.00,6.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6155596,4.00,4.00,2.00,2.00,6.00,NULL,3.00,0.00,2.00,NULL,NULL,'S','N'),(25,6155618,4.00,5.00,2.00,4.00,8.00,6.38,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6155626,3.00,5.00,3.00,6.00,8.00,7.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6155634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6155650,9.00,8.00,7.00,5.00,11.00,11.25,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6155669,8.00,7.00,4.00,6.00,9.00,11.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6155677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6155693,2.00,7.00,3.00,5.00,6.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6155715,4.00,6.00,2.00,5.00,9.00,11.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6155723,2.00,1.00,1.00,5.00,5.00,7.50,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6155731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6155740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6155758,2.00,2.00,3.00,1.00,6.00,6.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6155774,4.00,5.00,1.00,4.00,8.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6155790,2.00,5.00,4.00,4.00,6.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6155804,4.00,6.00,2.00,3.00,7.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6155812,4.00,5.00,3.00,5.00,6.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6155820,2.00,3.00,2.00,5.00,3.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6155839,4.00,6.00,1.00,4.00,8.00,9.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6155847,2.00,3.00,1.00,3.00,4.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6155855,3.00,3.00,3.00,5.00,5.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6155863,8.00,7.00,7.00,4.00,8.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6155880,3.00,3.00,1.00,4.00,4.00,7.88,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6155901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6155910,6.00,6.00,6.00,5.00,8.00,9.38,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6155928,3.00,4.00,1.00,0.00,6.00,9.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6155952,7.00,6.00,1.00,4.00,8.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6155960,4.00,5.00,5.00,5.00,7.00,9.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6155979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6155987,4.00,5.00,1.00,3.00,6.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6155995,3.00,2.00,4.00,2.00,5.00,8.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6156010,1.00,6.00,4.00,2.00,3.00,6.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6156029,6.00,5.00,2.00,2.00,6.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6156037,5.00,6.00,3.00,4.00,7.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6156045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6156053,6.00,6.00,5.00,4.00,8.00,8.63,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6156061,4.00,6.00,0.00,4.00,5.00,6.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6156088,7.00,7.00,4.00,1.00,6.00,10.88,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6156096,5.00,5.00,4.00,4.00,5.00,7.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6156100,7.00,8.00,5.00,5.00,8.00,9.38,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6156118,5.00,8.00,3.00,5.00,7.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6156126,3.00,4.00,2.00,2.00,7.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6156134,6.00,7.00,6.00,6.00,7.00,9.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6156150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6156169,3.00,4.00,4.00,6.00,7.00,8.63,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6156177,2.00,4.00,1.00,4.00,6.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6156185,6.00,7.00,3.00,6.00,5.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6156193,1.00,2.00,0.00,1.00,2.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6156215,3.00,3.00,1.00,3.00,4.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6156231,1.00,4.00,2.00,2.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6156240,5.00,4.00,1.00,1.00,6.00,6.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6156274,7.00,6.00,3.00,5.00,7.00,8.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6156282,5.00,4.00,1.00,6.00,10.00,8.63,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6156290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6156304,7.00,3.00,2.00,4.00,7.00,8.63,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6156320,8.00,9.00,5.00,4.00,10.00,6.75,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6156339,3.00,5.00,2.00,2.00,5.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6156347,1.00,4.00,1.00,2.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6156355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6156363,6.00,4.00,1.00,5.00,8.00,10.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6156371,0.00,4.00,2.00,3.00,6.00,5.25,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6156398,3.00,6.00,0.00,3.00,6.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6156401,1.00,0.00,3.00,4.00,6.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6156410,7.00,6.00,5.00,5.00,10.00,9.38,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6156428,7.00,4.00,0.00,6.00,9.00,7.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6156436,5.00,7.00,6.00,4.00,7.00,11.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6156444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6156452,4.00,6.00,0.00,3.00,6.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6156487,3.00,0.00,4.00,2.00,3.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6156495,3.00,6.00,4.00,4.00,8.00,9.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6156509,5.00,5.00,3.00,3.00,9.00,10.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6156541,3.00,3.00,2.00,1.00,8.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6156550,6.00,6.00,2.00,5.00,6.00,8.63,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6156568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6156584,8.00,7.00,3.00,6.00,9.00,9.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6156592,4.00,5.00,1.00,4.00,6.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6156606,3.00,4.00,0.00,1.00,7.00,7.50,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6156614,7.00,5.00,4.00,7.00,6.00,11.63,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6156622,4.00,2.00,0.00,2.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6156630,1.00,1.00,0.00,2.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6156657,2.00,4.00,0.00,2.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6156665,3.00,0.00,1.00,2.00,5.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6156673,2.00,2.00,1.00,1.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6156690,7.00,5.00,4.00,6.00,7.00,10.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6156703,7.00,7.00,1.00,6.00,11.00,12.00,1.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6156711,2.00,2.00,0.00,4.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6156746,7.00,4.00,3.00,3.00,6.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6156754,7.00,5.00,5.00,5.00,8.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6156770,6.00,7.00,7.00,7.00,7.00,10.13,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6156789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6156797,4.00,3.00,2.00,4.00,4.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6156800,2.00,3.00,1.00,3.00,5.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6156819,8.00,5.00,3.00,4.00,8.00,10.88,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6156843,4.00,4.00,1.00,3.00,4.00,7.13,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6156851,7.00,4.00,4.00,3.00,8.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6156860,4.00,5.00,1.00,2.00,5.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6156878,3.00,4.00,3.00,4.00,5.00,5.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6156886,3.00,4.00,2.00,0.00,3.00,5.25,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6156894,9.00,7.00,7.00,5.00,9.00,10.88,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6156908,4.00,4.00,2.00,5.00,7.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6156916,6.00,5.00,7.00,6.00,9.00,12.00,0.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6156932,4.00,7.00,2.00,3.00,6.00,11.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6156940,7.00,7.00,1.00,1.00,7.00,7.88,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6156959,4.00,3.00,3.00,4.00,8.00,6.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6156967,0.00,2.00,2.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6156975,1.00,1.00,2.00,4.00,4.00,7.50,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6156991,5.00,6.00,1.00,6.00,7.00,10.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6157017,5.00,6.00,3.00,6.00,8.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6157025,8.00,5.00,1.00,7.00,8.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6157033,5.00,8.00,0.00,6.00,10.00,10.50,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6157041,3.00,4.00,4.00,2.00,3.00,4.88,5.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6157050,8.00,7.00,5.00,6.00,10.00,11.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6157068,4.00,8.00,3.00,6.00,9.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6157076,8.00,7.00,5.00,5.00,9.00,11.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6157084,0.00,3.00,1.00,3.00,3.00,6.75,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6157092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6157106,9.00,7.00,9.00,6.00,11.00,10.88,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6157114,1.00,1.00,0.00,4.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6157122,3.00,4.00,2.00,1.00,4.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6157130,3.00,4.00,2.00,4.00,5.00,5.63,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6157149,7.00,5.00,6.00,5.00,7.00,12.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6157157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6157165,3.00,3.00,1.00,2.00,6.00,7.88,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6157173,7.00,5.00,2.00,6.00,9.00,10.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6157181,4.00,4.00,1.00,2.00,4.00,7.13,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6157190,4.00,3.00,2.00,6.00,3.00,6.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6157203,8.00,7.00,7.00,7.00,9.00,9.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6157211,5.00,7.00,3.00,7.00,9.00,10.13,1.00,6.00,6.00,NULL,NULL,NULL,'S'),(25,6157220,5.00,7.00,2.00,7.00,7.00,11.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6157238,5.00,5.00,4.00,5.00,8.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6157246,3.00,3.00,1.00,7.00,7.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6157254,5.00,7.00,3.00,6.00,7.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6157262,5.00,4.00,2.00,3.00,7.00,7.88,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6157270,5.00,5.00,2.00,6.00,5.00,8.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6157289,5.00,7.00,3.00,6.00,5.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6157319,5.00,4.00,1.00,4.00,6.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6157335,2.00,2.00,1.00,3.00,6.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6157360,6.00,6.00,1.00,6.00,8.00,9.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6157378,4.00,4.00,3.00,5.00,7.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6157386,3.00,2.00,2.00,2.00,3.00,6.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6157394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6157408,6.00,4.00,3.00,5.00,9.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6157416,9.00,7.00,3.00,5.00,9.00,10.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6157424,2.00,5.00,2.00,5.00,5.00,8.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6157432,3.00,5.00,2.00,6.00,7.00,8.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6157440,6.00,5.00,5.00,2.00,7.00,8.63,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6157459,5.00,5.00,2.00,7.00,6.00,6.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6157467,3.00,4.00,4.00,2.00,4.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6157483,7.00,9.00,1.00,5.00,10.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6157491,0.00,3.00,1.00,4.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6157513,2.00,4.00,1.00,1.00,4.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6157521,1.00,7.00,2.00,3.00,6.00,7.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6157530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6157556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6157564,5.00,6.00,3.00,6.00,10.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6157572,3.00,5.00,2.00,2.00,8.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6157580,4.00,4.00,2.00,2.00,4.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6157599,5.00,2.00,2.00,6.00,8.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6157602,3.00,5.00,1.00,3.00,5.00,8.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6157610,2.00,3.00,3.00,1.00,5.00,NULL,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6157629,4.00,4.00,0.00,2.00,6.00,7.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6157653,3.00,4.00,2.00,2.00,4.00,10.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6157661,5.00,6.00,3.00,5.00,8.00,10.50,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6157670,5.00,6.00,5.00,5.00,5.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6157688,6.00,6.00,4.00,5.00,8.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6157696,8.00,7.00,6.00,5.00,7.00,12.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6157700,3.00,7.00,3.00,6.00,6.00,6.38,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6157718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6157726,5.00,5.00,4.00,5.00,7.00,9.38,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6157742,4.00,5.00,2.00,3.00,5.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6157750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6157769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6157777,0.00,5.00,1.00,4.00,5.00,7.88,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6157785,4.00,5.00,3.00,4.00,6.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6157807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6157831,5.00,5.00,4.00,2.00,5.00,6.75,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6157840,6.00,6.00,3.00,6.00,8.00,9.38,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6157858,2.00,3.00,0.00,4.00,6.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6157866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6157874,6.00,5.00,4.00,7.00,7.00,10.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6157882,3.00,5.00,2.00,5.00,6.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6157890,6.00,5.00,2.00,5.00,6.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6157904,3.00,2.00,1.00,1.00,6.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6157912,3.00,4.00,1.00,1.00,5.00,7.13,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6157920,4.00,4.00,1.00,5.00,7.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6157939,6.00,6.00,4.00,5.00,9.00,10.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6157947,6.00,4.00,2.00,5.00,7.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6157955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6157963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6157971,3.00,3.00,2.00,3.00,6.00,8.25,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6157980,3.00,6.00,1.00,2.00,4.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6157998,8.00,7.00,3.00,6.00,9.00,9.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6158013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6158030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6158056,4.00,6.00,2.00,4.00,8.00,8.63,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6158064,5.00,6.00,3.00,6.00,8.00,8.25,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6158072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6158080,7.00,6.00,3.00,5.00,9.00,9.00,2.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6158099,4.00,4.00,3.00,4.00,6.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6158102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6158110,3.00,3.00,2.00,3.00,6.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6158129,4.00,4.00,2.00,7.00,8.00,9.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6158145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6158161,5.00,6.00,3.00,7.00,10.00,10.88,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6158170,7.00,5.00,5.00,6.00,8.00,10.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6158188,3.00,4.00,3.00,3.00,8.00,9.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6158196,4.00,6.00,2.00,6.00,7.00,9.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6158200,4.00,6.00,2.00,1.00,5.00,10.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6158218,3.00,6.00,1.00,5.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6158226,8.00,7.00,7.00,6.00,10.00,9.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6158242,2.00,4.00,1.00,4.00,7.00,5.63,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6158250,2.00,4.00,1.00,2.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6158269,5.00,5.00,1.00,5.00,8.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6158277,7.00,5.00,2.00,6.00,8.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6158293,2.00,3.00,1.00,3.00,3.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6158307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6158323,9.00,8.00,5.00,6.00,10.00,9.75,3.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6158331,7.00,7.00,3.00,6.00,7.00,7.50,0.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6158340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6158358,6.00,2.00,2.00,6.00,7.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6158366,3.00,4.00,0.00,2.00,5.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6158374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6158390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6158404,7.00,4.00,5.00,3.00,7.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6158412,9.00,5.00,2.00,6.00,8.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6158420,5.00,6.00,3.00,7.00,9.00,8.63,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6158439,8.00,8.00,5.00,5.00,8.00,8.63,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6158455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6158463,8.00,7.00,6.00,7.00,11.00,11.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6158471,6.00,7.00,0.00,5.00,8.00,10.13,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6158480,3.00,2.00,3.00,5.00,7.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6158498,5.00,4.00,2.00,6.00,6.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6158501,2.00,5.00,3.00,3.00,6.00,8.25,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6158510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6158528,8.00,8.00,3.00,7.00,8.00,12.00,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6158536,1.00,3.00,3.00,1.00,6.00,7.13,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6158544,8.00,7.00,2.00,5.00,8.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6158552,1.00,2.00,3.00,3.00,5.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6158560,0.00,0.00,3.00,1.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6158579,3.00,7.00,6.00,4.00,4.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6158587,2.00,4.00,3.00,3.00,5.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6158595,8.00,7.00,3.00,7.00,9.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6158617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6158625,2.00,0.00,0.00,1.00,0.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6158641,3.00,2.00,3.00,5.00,8.00,9.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6158650,2.00,3.00,1.00,4.00,5.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6158668,5.00,4.00,2.00,3.00,7.00,8.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6158676,8.00,5.00,5.00,3.00,6.00,4.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6158692,5.00,6.00,3.00,4.00,7.00,0.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6158706,3.00,3.00,1.00,1.00,3.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6158714,9.00,7.00,4.00,7.00,10.00,8.63,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6158749,1.00,4.00,2.00,3.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6158757,8.00,8.00,5.00,7.00,9.00,12.75,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6158765,5.00,6.00,3.00,7.00,7.00,10.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6158773,3.00,0.00,0.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6158781,2.00,2.00,2.00,2.00,8.00,8.63,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6158790,3.00,3.00,0.00,4.00,5.00,10.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6158803,2.00,5.00,0.00,4.00,5.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6158811,3.00,6.00,2.00,3.00,6.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6158820,9.00,6.00,5.00,5.00,9.00,9.38,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6158846,4.00,7.00,3.00,4.00,8.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6158854,3.00,6.00,2.00,3.00,8.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6158862,3.00,5.00,3.00,6.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6158889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6158897,5.00,3.00,2.00,5.00,4.00,6.38,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6158900,3.00,4.00,1.00,2.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6158919,2.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(25,6158927,3.00,5.00,3.00,7.00,4.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6158935,7.00,6.00,8.00,7.00,8.00,8.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6158943,7.00,7.00,2.00,5.00,10.00,8.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6158951,5.00,2.00,4.00,5.00,8.00,10.50,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6158978,7.00,7.00,5.00,6.00,10.00,9.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6158986,6.00,6.00,6.00,7.00,8.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6158994,8.00,8.00,4.00,7.00,8.00,9.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6159001,6.00,4.00,4.00,5.00,7.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6159010,7.00,5.00,3.00,7.00,8.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6159036,6.00,4.00,2.00,3.00,7.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6159044,1.00,6.00,0.00,4.00,5.00,6.75,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6159052,3.00,5.00,1.00,3.00,6.00,6.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6159060,6.00,5.00,3.00,5.00,7.00,7.88,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6159079,5.00,4.00,3.00,6.00,9.00,10.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6159087,7.00,8.00,0.00,6.00,10.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6159095,7.00,8.00,5.00,8.00,8.00,10.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6159109,3.00,4.00,2.00,3.00,5.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6159117,7.00,7.00,5.00,5.00,7.00,10.50,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6159125,7.00,7.00,5.00,5.00,8.00,9.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6159133,4.00,7.00,3.00,3.00,8.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6159141,4.00,3.00,2.00,5.00,8.00,9.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6159150,6.00,2.00,2.00,5.00,5.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6159168,5.00,4.00,4.00,7.00,8.00,9.75,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6159176,4.00,5.00,2.00,6.00,8.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6159184,5.00,5.00,2.00,3.00,7.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6159192,5.00,5.00,3.00,4.00,5.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6159206,3.00,7.00,3.00,5.00,7.00,7.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6159214,3.00,6.00,0.00,6.00,7.00,10.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6159222,5.00,3.00,2.00,5.00,9.00,10.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6159230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6159249,2.00,4.00,3.00,3.00,6.00,6.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6159257,5.00,5.00,2.00,5.00,6.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6159265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6159273,2.00,6.00,1.00,0.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6159281,5.00,6.00,3.00,2.00,6.00,7.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6159303,5.00,5.00,0.00,4.00,8.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6159311,1.00,2.00,0.00,3.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6159320,4.00,7.00,2.00,3.00,9.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6159338,3.00,4.00,3.00,5.00,4.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6159354,5.00,3.00,2.00,5.00,6.00,10.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6159362,2.00,3.00,2.00,4.00,5.00,9.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6159370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6159397,2.00,3.00,0.00,3.00,7.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6159419,5.00,5.00,2.00,2.00,8.00,7.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6159427,2.00,3.00,3.00,2.00,5.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6159435,2.00,4.00,1.00,1.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6159443,3.00,5.00,1.00,6.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6159451,5.00,6.00,5.00,6.00,8.00,8.63,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6159460,6.00,7.00,4.00,4.00,7.00,8.25,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6159486,4.00,4.00,8.00,5.00,7.00,10.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6159494,3.00,5.00,2.00,6.00,8.00,11.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6159508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6159516,2.00,5.00,3.00,6.00,6.00,6.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6159532,2.00,4.00,0.00,0.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6159540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6159559,4.00,5.00,2.00,2.00,6.00,12.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6159567,2.00,6.00,3.00,3.00,6.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6159575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6159583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6159591,4.00,2.00,1.00,6.00,7.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6159605,6.00,5.00,4.00,3.00,5.00,6.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6159613,8.00,6.00,6.00,4.00,8.00,9.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6159621,4.00,6.00,3.00,5.00,6.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6159630,6.00,8.00,4.00,6.00,9.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6159648,6.00,7.00,3.00,6.00,8.00,9.38,1.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6159656,6.00,8.00,5.00,4.00,7.00,9.38,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6159664,2.00,4.00,2.00,3.00,6.00,10.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6159672,1.00,0.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6159680,6.00,6.00,6.00,7.00,9.00,10.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6159699,3.00,4.00,3.00,5.00,3.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6159702,4.00,4.00,3.00,4.00,8.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6159710,2.00,4.00,0.00,2.00,5.00,5.63,0.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6159729,2.00,3.00,1.00,1.00,5.00,7.13,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6159737,4.00,3.00,0.00,3.00,4.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6159745,8.00,6.00,2.00,6.00,7.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6159753,1.00,2.00,2.00,2.00,6.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6159761,7.00,5.00,3.00,4.00,5.00,8.63,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6159770,7.00,8.00,5.00,6.00,11.00,13.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6159788,8.00,8.00,2.00,6.00,8.00,7.50,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6159796,3.00,5.00,1.00,5.00,5.00,9.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6159818,5.00,8.00,1.00,5.00,9.00,8.63,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6159826,6.00,8.00,1.00,6.00,9.00,5.25,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6159834,5.00,6.00,0.00,3.00,10.00,10.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6159850,4.00,4.00,3.00,1.00,6.00,6.38,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6159869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6159877,3.00,4.00,0.00,4.00,8.00,10.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6159885,4.00,6.00,1.00,7.00,8.00,11.25,0.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6159893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6159907,3.00,3.00,3.00,4.00,6.00,6.00,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6159915,2.00,2.00,3.00,1.00,4.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6159923,4.00,6.00,3.00,7.00,7.00,8.63,0.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6159931,2.00,5.00,1.00,5.00,6.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6159940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6159958,2.00,5.00,4.00,3.00,6.00,7.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6159966,7.00,7.00,5.00,6.00,10.00,11.63,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6159974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6159990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6160000,5.00,5.00,2.00,6.00,5.00,11.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6160018,4.00,4.00,2.00,6.00,8.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6160026,3.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6160050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6160069,5.00,8.00,2.00,6.00,9.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6160077,9.00,6.00,3.00,7.00,9.00,9.75,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6160085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6160093,2.00,3.00,0.00,0.00,4.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6160107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6160115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6160123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6160131,3.00,4.00,3.00,1.00,4.00,6.75,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6160166,1.00,3.00,1.00,3.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6160174,4.00,5.00,2.00,5.00,9.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6160182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6160190,4.00,6.00,5.00,7.00,9.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6160204,3.00,7.00,0.00,5.00,7.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6160220,2.00,5.00,5.00,3.00,6.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6160247,1.00,4.00,1.00,2.00,7.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6160263,3.00,3.00,0.00,5.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6160271,5.00,8.00,5.00,7.00,8.00,10.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6160280,5.00,5.00,2.00,6.00,6.00,10.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6160298,5.00,7.00,3.00,7.00,10.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6160301,6.00,6.00,2.00,6.00,7.00,NULL,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6160310,7.00,7.00,5.00,5.00,8.00,8.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6160352,3.00,4.00,1.00,3.00,7.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6160379,2.00,4.00,3.00,1.00,5.00,NULL,2.00,0.00,0.00,NULL,NULL,'S','N'),(25,6160387,3.00,6.00,2.00,3.00,7.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6160395,3.00,1.00,1.00,2.00,3.00,8.63,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6160409,5.00,5.00,2.00,3.00,9.00,10.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6160417,4.00,6.00,1.00,5.00,4.00,7.13,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6160425,4.00,3.00,1.00,6.00,6.00,7.50,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6160433,5.00,6.00,5.00,6.00,7.00,10.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6160441,3.00,6.00,0.00,6.00,6.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6160450,8.00,8.00,7.00,6.00,8.00,10.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6160468,4.00,3.00,1.00,3.00,6.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6160476,2.00,0.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6160484,6.00,6.00,3.00,5.00,8.00,10.88,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6160492,5.00,5.00,6.00,5.00,6.00,9.00,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6160506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6160522,2.00,4.00,1.00,2.00,5.00,8.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6160530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6160549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6160557,3.00,5.00,1.00,4.00,7.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6160565,1.00,4.00,2.00,2.00,6.00,0.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6160573,8.00,6.00,5.00,8.00,9.00,12.75,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6160581,5.00,8.00,3.00,7.00,9.00,8.25,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6160590,4.00,4.00,2.00,2.00,5.00,6.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6160611,7.00,5.00,1.00,5.00,8.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6160620,4.00,0.00,4.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6160638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6160646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6160654,6.00,6.00,0.00,4.00,8.00,8.25,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6160662,6.00,6.00,1.00,6.00,5.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6160670,4.00,6.00,5.00,5.00,6.00,8.25,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6160689,1.00,2.00,1.00,2.00,6.00,8.25,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6160697,1.00,3.00,2.00,3.00,6.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6160727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6160735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6160743,5.00,6.00,2.00,4.00,8.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6160760,4.00,4.00,0.00,5.00,4.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6160778,1.00,3.00,0.00,2.00,6.00,3.38,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6160786,2.00,2.00,1.00,3.00,4.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6160794,1.00,1.00,0.00,2.00,5.00,5.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6160808,4.00,5.00,2.00,6.00,8.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6160816,5.00,6.00,6.00,7.00,7.00,6.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6160824,6.00,5.00,3.00,6.00,5.00,9.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6160859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6160867,3.00,3.00,2.00,3.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6160875,1.00,1.00,2.00,3.00,4.00,6.75,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6160891,5.00,5.00,4.00,2.00,5.00,7.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6160905,8.00,5.00,7.00,6.00,8.00,7.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6160913,8.00,7.00,6.00,6.00,10.00,11.63,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6160921,6.00,4.00,2.00,5.00,8.00,12.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6160930,2.00,6.00,1.00,5.00,6.00,10.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6160948,3.00,7.00,0.00,5.00,10.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6160956,7.00,4.00,6.00,6.00,8.00,7.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6160964,5.00,6.00,3.00,7.00,7.00,9.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6160972,5.00,4.00,2.00,6.00,7.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6160980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6160999,1.00,4.00,2.00,6.00,5.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6161014,4.00,5.00,4.00,4.00,6.00,6.38,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6161022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6161030,2.00,3.00,2.00,2.00,3.00,8.63,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6161049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6161057,7.00,7.00,1.00,3.00,8.00,7.50,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6161065,2.00,3.00,0.00,4.00,6.00,8.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6161073,4.00,5.00,1.00,2.00,7.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6161081,3.00,1.00,1.00,3.00,6.00,5.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6161090,3.00,4.00,3.00,3.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6161103,1.00,3.00,0.00,0.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6161111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6161120,3.00,5.00,4.00,4.00,6.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6161138,8.00,8.00,5.00,7.00,9.00,10.13,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6161154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6161162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6161197,1.00,4.00,2.00,3.00,6.00,7.50,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6161219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6161235,4.00,6.00,1.00,6.00,7.00,5.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6161243,9.00,7.00,6.00,7.00,9.00,9.00,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6161251,4.00,5.00,2.00,4.00,6.00,10.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6161260,4.00,4.00,2.00,5.00,6.00,9.38,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6161278,3.00,2.00,0.00,3.00,3.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6161294,3.00,5.00,3.00,3.00,7.00,5.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6161308,5.00,6.00,2.00,2.00,5.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6161316,3.00,2.00,2.00,2.00,3.00,7.13,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6161324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6161332,2.00,2.00,3.00,3.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6161359,5.00,6.00,2.00,5.00,6.00,7.13,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6161367,6.00,7.00,1.00,6.00,8.00,9.75,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6161383,3.00,6.00,2.00,4.00,4.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6161391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6161413,4.00,4.00,0.00,3.00,7.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6161421,5.00,3.00,2.00,6.00,6.00,10.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6161448,4.00,6.00,2.00,4.00,3.00,4.88,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6161456,2.00,4.00,2.00,4.00,3.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6161464,3.00,5.00,2.00,5.00,4.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6161472,3.00,6.00,1.00,3.00,6.00,8.63,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6161480,2.00,3.00,0.00,3.00,6.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6161499,4.00,8.00,4.00,7.00,6.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6161502,6.00,5.00,4.00,5.00,8.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6161510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6161537,4.00,5.00,1.00,6.00,8.00,9.38,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6161553,5.00,6.00,4.00,5.00,6.00,8.25,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6161561,4.00,3.00,4.00,4.00,4.00,8.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6161570,6.00,5.00,2.00,6.00,8.00,9.38,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6161588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6161596,6.00,7.00,4.00,3.00,7.00,10.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6161600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6161618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6161626,4.00,8.00,5.00,7.00,9.00,10.13,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6161634,3.00,5.00,3.00,4.00,5.00,6.38,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6161642,6.00,7.00,2.00,4.00,8.00,7.88,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6161650,4.00,6.00,0.00,4.00,5.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6161669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6161677,3.00,5.00,2.00,1.00,6.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6161685,3.00,6.00,0.00,5.00,5.00,8.63,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6161693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6161715,3.00,4.00,1.00,2.00,5.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6161723,6.00,7.00,3.00,5.00,8.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6161740,3.00,6.00,0.00,3.00,5.00,9.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6161766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6161782,5.00,3.00,2.00,2.00,6.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6161790,5.00,5.00,1.00,3.00,7.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6161804,1.00,2.00,3.00,5.00,6.00,10.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6161812,7.00,6.00,8.00,5.00,8.00,8.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6161820,5.00,5.00,6.00,6.00,6.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6161839,4.00,6.00,3.00,6.00,6.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6161855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6161863,4.00,5.00,1.00,2.00,5.00,8.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6161871,3.00,1.00,1.00,3.00,6.00,5.63,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6161880,3.00,2.00,0.00,1.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6161898,5.00,7.00,0.00,4.00,8.00,9.38,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6161901,5.00,6.00,5.00,5.00,7.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6161910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6161928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6161936,4.00,4.00,1.00,6.00,8.00,9.00,1.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6161944,2.00,2.00,2.00,1.00,1.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6161952,6.00,5.00,2.00,4.00,6.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6161960,0.00,1.00,0.00,0.00,1.00,NULL,0.00,1.00,0.00,NULL,NULL,'S','N'),(25,6161987,1.00,0.00,0.00,3.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6161995,3.00,7.00,1.00,3.00,5.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6162002,2.00,3.00,1.00,1.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6162010,2.00,3.00,3.00,4.00,7.00,9.75,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6162037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6162045,1.00,2.00,3.00,2.00,4.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6162061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6162070,1.00,3.00,1.00,2.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6162088,5.00,4.00,3.00,5.00,5.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6162096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6162100,4.00,0.00,4.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6162126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6162134,2.00,4.00,3.00,2.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6162142,3.00,4.00,3.00,6.00,8.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6162150,5.00,5.00,4.00,7.00,6.00,7.88,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6162177,1.00,7.00,1.00,2.00,8.00,8.25,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6162193,3.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6162207,2.00,2.00,2.00,2.00,5.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6162215,3.00,3.00,3.00,2.00,5.00,9.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6162231,4.00,6.00,1.00,5.00,8.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6162240,3.00,5.00,3.00,3.00,6.00,8.25,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6162266,1.00,3.00,0.00,1.00,5.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6162282,6.00,7.00,3.00,7.00,8.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6162290,4.00,4.00,0.00,5.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6162304,2.00,4.00,1.00,3.00,6.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6162312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6162320,5.00,5.00,1.00,3.00,6.00,7.13,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6162339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6162347,7.00,6.00,0.00,4.00,7.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6162355,9.00,7.00,4.00,6.00,5.00,8.63,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6162363,7.00,5.00,3.00,2.00,8.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6162371,4.00,5.00,2.00,2.00,8.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6162380,5.00,3.00,0.00,5.00,5.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6162398,4.00,5.00,5.00,3.00,6.00,6.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6162401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6162410,3.00,3.00,1.00,4.00,4.00,7.88,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6162436,5.00,4.00,4.00,1.00,8.00,8.63,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6162452,5.00,3.00,3.00,4.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6162479,2.00,3.00,0.00,0.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6162495,2.00,5.00,0.00,1.00,5.00,8.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6162509,2.00,6.00,2.00,5.00,10.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6162517,6.00,5.00,4.00,5.00,7.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6162525,8.00,6.00,6.00,5.00,10.00,7.88,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6162533,3.00,6.00,6.00,4.00,6.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6162541,2.00,4.00,0.00,3.00,6.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6162550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6162568,7.00,7.00,2.00,6.00,9.00,9.38,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6162576,4.00,4.00,4.00,6.00,6.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6162592,8.00,5.00,0.00,6.00,7.00,12.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6162606,6.00,7.00,1.00,4.00,5.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6162614,1.00,6.00,2.00,3.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6162622,5.00,7.00,0.00,7.00,7.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6162649,5.00,5.00,0.00,5.00,7.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6162657,5.00,5.00,3.00,5.00,8.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6162665,3.00,7.00,2.00,5.00,6.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6162673,3.00,6.00,0.00,3.00,4.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6162681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6162703,0.00,3.00,3.00,5.00,6.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6162711,4.00,5.00,6.00,7.00,8.00,7.88,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6162746,3.00,0.00,3.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6162762,2.00,3.00,2.00,2.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6162770,3.00,3.00,0.00,2.00,3.00,4.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6162789,6.00,3.00,3.00,6.00,9.00,9.00,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6162797,2.00,6.00,3.00,1.00,5.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6162800,5.00,5.00,2.00,5.00,6.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6162819,3.00,4.00,2.00,5.00,6.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6162827,8.00,6.00,7.00,6.00,5.00,10.88,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6162835,2.00,4.00,0.00,3.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6162843,7.00,9.00,6.00,6.00,10.00,9.38,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6162851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6162860,4.00,4.00,0.00,4.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6162878,4.00,4.00,0.00,4.00,4.00,9.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6162886,6.00,7.00,4.00,5.00,7.00,7.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6162894,3.00,4.00,2.00,5.00,5.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6162908,2.00,6.00,1.00,4.00,4.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6162916,3.00,5.00,3.00,3.00,5.00,5.25,2.00,1.00,4.00,NULL,NULL,NULL,'S'),(25,6162932,6.00,2.00,2.00,1.00,8.00,8.63,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6162967,3.00,6.00,0.00,5.00,5.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6162975,8.00,5.00,7.00,7.00,10.00,10.88,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6162983,8.00,7.00,3.00,6.00,11.00,10.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6162991,5.00,6.00,4.00,4.00,6.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6163009,3.00,4.00,4.00,7.00,6.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6163017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6163025,2.00,3.00,2.00,3.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6163050,0.00,6.00,0.00,0.00,0.00,NULL,2.00,8.00,4.00,'S',NULL,'S','N'),(25,6163068,1.00,4.00,0.00,4.00,3.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6163076,8.00,6.00,3.00,5.00,9.00,8.63,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6163084,6.00,4.00,1.00,3.00,5.00,9.00,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6163092,5.00,5.00,7.00,6.00,7.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6163106,4.00,2.00,3.00,4.00,4.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6163114,4.00,5.00,1.00,5.00,6.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6163122,5.00,6.00,2.00,3.00,6.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6163130,7.00,5.00,4.00,3.00,7.00,9.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6163149,5.00,8.00,3.00,6.00,8.00,8.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6163157,6.00,6.00,1.00,6.00,8.00,12.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6163165,6.00,8.00,5.00,6.00,9.00,9.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6163190,5.00,5.00,3.00,3.00,6.00,6.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6163203,4.00,7.00,2.00,6.00,8.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6163220,2.00,2.00,3.00,3.00,4.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6163246,3.00,2.00,2.00,2.00,3.00,8.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6163254,7.00,5.00,2.00,6.00,8.00,9.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6163262,4.00,4.00,2.00,5.00,6.00,7.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6163270,5.00,4.00,3.00,3.00,5.00,7.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6163289,4.00,4.00,2.00,4.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6163297,1.00,2.00,2.00,1.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6163300,7.00,6.00,5.00,7.00,8.00,10.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6163319,6.00,6.00,4.00,7.00,9.00,8.25,0.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6163327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6163343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6163351,3.00,4.00,3.00,6.00,8.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6163378,7.00,8.00,6.00,5.00,6.00,8.63,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6163386,4.00,5.00,1.00,5.00,8.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6163394,8.00,7.00,2.00,4.00,10.00,6.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6163408,3.00,5.00,0.00,3.00,7.00,6.75,1.00,6.00,2.00,NULL,NULL,NULL,'S'),(25,6163416,6.00,6.00,4.00,7.00,9.00,11.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6163432,6.00,4.00,4.00,6.00,8.00,10.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6163459,2.00,6.00,1.00,3.00,7.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6163467,0.00,3.00,1.00,1.00,1.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6163475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6163483,8.00,6.00,6.00,7.00,8.00,10.50,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6163491,6.00,6.00,3.00,4.00,4.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6163505,1.00,5.00,1.00,5.00,7.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6163513,2.00,1.00,0.00,3.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6163521,1.00,1.00,1.00,4.00,6.00,8.63,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6163530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6163548,7.00,6.00,2.00,7.00,9.00,8.63,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6163556,6.00,6.00,1.00,5.00,8.00,10.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6163564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6163572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6163580,4.00,1.00,3.00,7.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6163599,2.00,2.00,0.00,3.00,4.00,8.25,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6163610,2.00,1.00,0.00,1.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6163637,3.00,4.00,0.00,3.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6163645,5.00,4.00,3.00,6.00,8.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6163661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6163696,2.00,5.00,1.00,3.00,5.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6163700,8.00,7.00,0.00,3.00,8.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6163726,8.00,5.00,3.00,2.00,7.00,9.00,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6163742,7.00,7.00,3.00,5.00,9.00,9.00,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6163750,4.00,3.00,1.00,5.00,5.00,8.63,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6163769,4.00,3.00,0.00,3.00,6.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6163777,3.00,5.00,1.00,5.00,5.00,4.88,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6163785,2.00,7.00,3.00,4.00,7.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6163793,4.00,6.00,5.00,7.00,9.00,9.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6163807,5.00,6.00,0.00,5.00,8.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6163815,1.00,3.00,3.00,1.00,3.00,9.00,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6163831,6.00,7.00,2.00,6.00,10.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6163840,4.00,4.00,0.00,4.00,6.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6163866,5.00,4.00,2.00,7.00,6.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6163874,6.00,7.00,4.00,3.00,7.00,9.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6163882,4.00,3.00,4.00,5.00,9.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6163890,4.00,4.00,2.00,3.00,6.00,9.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6163904,4.00,2.00,3.00,4.00,5.00,5.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6163912,3.00,3.00,3.00,2.00,4.00,6.00,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6163920,3.00,4.00,1.00,4.00,8.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6163939,2.00,5.00,3.00,2.00,6.00,10.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6163947,3.00,4.00,2.00,3.00,7.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6163955,5.00,5.00,4.00,2.00,7.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6163963,8.00,5.00,2.00,7.00,7.00,10.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6163971,7.00,5.00,6.00,7.00,10.00,12.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6163980,6.00,6.00,2.00,5.00,7.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6163998,3.00,3.00,1.00,3.00,5.00,8.63,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6164005,4.00,5.00,2.00,2.00,8.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6164013,3.00,4.00,7.00,5.00,4.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6164021,7.00,5.00,4.00,4.00,9.00,10.13,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6164030,3.00,5.00,0.00,7.00,6.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6164048,2.00,4.00,1.00,3.00,6.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6164056,3.00,6.00,2.00,4.00,6.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6164064,8.00,7.00,6.00,4.00,9.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6164072,3.00,2.00,1.00,3.00,4.00,8.25,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6164080,3.00,3.00,1.00,3.00,3.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6164099,6.00,5.00,0.00,5.00,6.00,5.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6164102,3.00,4.00,6.00,5.00,7.00,8.63,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6164110,5.00,6.00,2.00,7.00,10.00,13.88,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6164129,1.00,2.00,2.00,0.00,1.00,NULL,0.00,0.00,1.00,NULL,NULL,'S','N'),(25,6164145,1.00,4.00,1.00,2.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6164153,2.00,7.00,2.00,3.00,6.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6164170,5.00,5.00,3.00,6.00,6.00,8.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6164188,3.00,3.00,1.00,7.00,6.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6164196,8.00,7.00,6.00,7.00,9.00,9.75,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6164200,1.00,6.00,3.00,4.00,5.00,7.13,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6164218,6.00,6.00,5.00,6.00,10.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6164226,1.00,1.00,1.00,2.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6164234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6164242,5.00,5.00,1.00,2.00,7.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6164250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6164269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6164277,5.00,7.00,1.00,7.00,8.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6164293,9.00,6.00,5.00,6.00,9.00,10.13,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6164307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6164315,9.00,7.00,6.00,7.00,10.00,12.00,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6164331,5.00,3.00,3.00,6.00,7.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6164340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6164358,1.00,7.00,1.00,4.00,5.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6164366,3.00,3.00,3.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6164374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6164382,5.00,5.00,2.00,5.00,5.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6164390,5.00,8.00,4.00,3.00,8.00,6.38,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6164404,4.00,4.00,5.00,6.00,8.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6164412,5.00,7.00,4.00,5.00,9.00,9.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6164420,7.00,8.00,4.00,6.00,9.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6164439,8.00,7.00,4.00,5.00,9.00,12.75,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6164447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6164455,4.00,5.00,4.00,2.00,6.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6164463,4.00,6.00,2.00,7.00,9.00,14.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6164471,2.00,5.00,1.00,7.00,8.00,11.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6164498,4.00,4.00,0.00,3.00,7.00,9.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6164510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6164536,1.00,6.00,0.00,2.00,5.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6164544,3.00,3.00,3.00,3.00,6.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6164552,6.00,7.00,0.00,4.00,9.00,NULL,1.00,0.00,6.00,NULL,NULL,NULL,'N'),(25,6164560,3.00,3.00,2.00,3.00,3.00,7.88,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6164579,4.00,7.00,1.00,4.00,7.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6164587,8.00,8.00,5.00,7.00,9.00,13.13,0.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6164595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6164609,6.00,7.00,3.00,6.00,11.00,12.38,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6164617,0.00,4.00,1.00,2.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6164625,4.00,2.00,1.00,4.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6164650,3.00,5.00,2.00,3.00,9.00,9.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6164668,3.00,0.00,2.00,1.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6164676,6.00,8.00,3.00,6.00,8.00,10.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6164684,6.00,5.00,2.00,3.00,6.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6164692,9.00,8.00,9.00,5.00,9.00,9.75,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6164706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6164714,2.00,4.00,3.00,4.00,6.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6164722,2.00,5.00,1.00,2.00,7.00,6.75,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6164730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6164749,7.00,7.00,0.00,4.00,10.00,9.38,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6164757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6164765,3.00,4.00,1.00,3.00,6.00,9.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6164781,4.00,3.00,0.00,4.00,6.00,7.88,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6164790,1.00,3.00,1.00,2.00,5.00,5.63,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6164803,5.00,5.00,2.00,5.00,3.00,7.13,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6164811,2.00,3.00,1.00,3.00,6.00,6.38,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6164838,7.00,6.00,0.00,7.00,9.00,9.75,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6164846,6.00,2.00,2.00,1.00,5.00,7.88,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6164854,9.00,6.00,6.00,6.00,10.00,10.88,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6164862,3.00,8.00,5.00,3.00,8.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6164889,8.00,6.00,4.00,4.00,4.00,6.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6164897,4.00,7.00,4.00,5.00,9.00,8.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6164900,5.00,6.00,3.00,2.00,7.00,12.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6164919,3.00,3.00,0.00,6.00,4.00,5.63,4.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6164935,2.00,3.00,2.00,0.00,3.00,6.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6164951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6164978,7.00,4.00,4.00,6.00,8.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6164986,4.00,4.00,2.00,5.00,5.00,9.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6164994,4.00,6.00,3.00,7.00,8.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6165001,2.00,3.00,0.00,1.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6165010,5.00,7.00,1.00,3.00,5.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6165028,4.00,6.00,3.00,6.00,7.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6165036,4.00,4.00,3.00,3.00,7.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6165044,3.00,4.00,0.00,3.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6165060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6165079,3.00,8.00,1.00,1.00,6.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6165087,7.00,7.00,5.00,6.00,10.00,7.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6165095,7.00,7.00,4.00,7.00,9.00,12.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6165109,4.00,2.00,1.00,3.00,7.00,7.88,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6165117,4.00,4.00,5.00,6.00,5.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6165125,6.00,4.00,1.00,3.00,7.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6165133,5.00,6.00,3.00,6.00,6.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6165141,5.00,4.00,0.00,4.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6165150,5.00,5.00,3.00,5.00,8.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6165168,3.00,4.00,3.00,5.00,6.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6165176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6165184,6.00,7.00,5.00,6.00,8.00,9.00,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6165206,4.00,6.00,2.00,5.00,9.00,9.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6165222,7.00,3.00,3.00,2.00,4.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6165230,4.00,6.00,3.00,6.00,8.00,10.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6165249,4.00,3.00,1.00,4.00,6.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6165265,2.00,3.00,0.00,1.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6165273,6.00,7.00,1.00,3.00,6.00,8.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6165290,2.00,3.00,0.00,2.00,7.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6165303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6165311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6165320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6165338,7.00,5.00,3.00,6.00,8.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6165346,6.00,7.00,2.00,6.00,7.00,10.50,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6165354,5.00,2.00,3.00,4.00,8.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6165362,7.00,8.00,6.00,7.00,7.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6165370,1.00,3.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6165389,5.00,5.00,2.00,2.00,5.00,10.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6165397,4.00,4.00,4.00,6.00,8.00,8.63,1.00,1.00,7.00,NULL,NULL,NULL,'N'),(25,6165419,3.00,5.00,1.00,1.00,5.00,8.63,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6165427,5.00,5.00,5.00,3.00,8.00,8.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6165443,3.00,3.00,5.00,4.00,7.00,9.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6165451,8.00,8.00,5.00,3.00,6.00,10.13,0.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6165460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6165478,6.00,5.00,2.00,7.00,9.00,11.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6165486,4.00,2.00,0.00,4.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6165494,5.00,6.00,1.00,3.00,6.00,7.13,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6165508,5.00,4.00,2.00,2.00,5.00,7.13,1.00,1.00,7.00,NULL,NULL,NULL,'N'),(25,6165516,4.00,3.00,1.00,5.00,5.00,9.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6165524,3.00,2.00,1.00,3.00,5.00,8.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6165532,3.00,6.00,1.00,3.00,6.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6165540,4.00,6.00,2.00,4.00,5.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6165559,2.00,6.00,2.00,7.00,6.00,9.75,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6165567,3.00,3.00,0.00,1.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6165575,1.00,2.00,1.00,3.00,4.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6165583,3.00,1.00,0.00,1.00,5.00,6.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6165591,6.00,5.00,2.00,5.00,4.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6165605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6165613,1.00,5.00,1.00,1.00,5.00,7.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6165630,3.00,5.00,1.00,5.00,6.00,9.38,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6165656,6.00,6.00,3.00,7.00,7.00,7.50,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6165664,4.00,3.00,0.00,4.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6165672,4.00,5.00,3.00,4.00,8.00,10.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6165680,4.00,5.00,0.00,3.00,6.00,9.00,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6165699,4.00,4.00,2.00,0.00,4.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6165737,4.00,4.00,2.00,0.00,5.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6165745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6165753,7.00,7.00,1.00,5.00,8.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6165761,1.00,3.00,3.00,3.00,3.00,8.63,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6165788,3.00,4.00,3.00,5.00,8.00,11.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6165818,6.00,3.00,1.00,3.00,6.00,6.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6165826,3.00,2.00,0.00,1.00,4.00,6.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6165834,2.00,3.00,0.00,2.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,'S','N'),(25,6165842,8.00,5.00,5.00,6.00,8.00,10.88,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6165850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6165869,4.00,6.00,3.00,6.00,7.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6165877,2.00,6.00,2.00,5.00,8.00,9.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6165893,9.00,8.00,6.00,6.00,11.00,9.00,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6165907,4.00,7.00,4.00,7.00,9.00,7.88,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6165915,7.00,8.00,5.00,5.00,6.00,9.38,2.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6165940,3.00,2.00,2.00,2.00,6.00,6.38,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6165958,5.00,5.00,1.00,3.00,9.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6165974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6165982,4.00,5.00,2.00,7.00,6.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6165990,2.00,3.00,2.00,0.00,6.00,5.63,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6166008,4.00,3.00,2.00,5.00,4.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6166016,6.00,6.00,5.00,5.00,8.00,10.13,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6166024,9.00,6.00,5.00,6.00,9.00,7.50,2.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6166032,5.00,6.00,3.00,5.00,7.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6166040,4.00,4.00,2.00,2.00,6.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6166067,7.00,6.00,4.00,7.00,10.00,11.25,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6166091,5.00,5.00,3.00,3.00,4.00,8.25,2.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6166105,2.00,2.00,1.00,4.00,6.00,7.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6166121,3.00,2.00,2.00,4.00,5.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6166130,4.00,5.00,2.00,5.00,5.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6166156,6.00,4.00,4.00,4.00,7.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6166172,4.00,4.00,1.00,6.00,7.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6166180,2.00,3.00,1.00,2.00,7.00,7.88,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6166199,8.00,5.00,5.00,6.00,8.00,9.38,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6166202,7.00,7.00,3.00,6.00,8.00,13.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6166210,9.00,7.00,6.00,7.00,9.00,10.88,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6166237,2.00,2.00,0.00,2.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6166245,4.00,6.00,1.00,5.00,8.00,8.63,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6166253,8.00,8.00,5.00,7.00,9.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6166270,6.00,7.00,1.00,5.00,10.00,8.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6166288,3.00,2.00,1.00,1.00,3.00,0.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6166296,1.00,4.00,3.00,4.00,7.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6166300,6.00,6.00,4.00,6.00,7.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6166318,6.00,7.00,3.00,6.00,8.00,9.00,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6166326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6166334,2.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6166342,8.00,8.00,6.00,7.00,6.00,8.25,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6166350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6166369,5.00,6.00,1.00,5.00,7.00,10.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6166385,2.00,4.00,0.00,5.00,5.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6166393,7.00,6.00,3.00,4.00,8.00,8.25,1.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6166407,6.00,7.00,2.00,7.00,10.00,9.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6166415,7.00,8.00,4.00,6.00,7.00,8.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6166423,5.00,3.00,3.00,5.00,4.00,7.88,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6166431,5.00,4.00,1.00,5.00,7.00,10.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6166440,3.00,4.00,0.00,6.00,8.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6166458,3.00,4.00,2.00,4.00,6.00,9.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6166466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6166474,2.00,4.00,1.00,3.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6166482,5.00,6.00,3.00,7.00,7.00,9.00,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6166504,3.00,3.00,0.00,1.00,3.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6166520,0.00,3.00,1.00,0.00,1.00,NULL,3.00,1.00,2.00,NULL,NULL,'S','N'),(25,6166539,1.00,5.00,0.00,2.00,5.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6166547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6166555,5.00,4.00,0.00,6.00,7.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6166563,0.00,2.00,2.00,3.00,2.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6166571,6.00,4.00,2.00,6.00,8.00,11.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6166580,6.00,5.00,6.00,7.00,9.00,9.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6166598,2.00,5.00,0.00,1.00,7.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6166601,5.00,7.00,2.00,4.00,6.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6166610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6166628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6166636,1.00,4.00,1.00,3.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6166660,5.00,8.00,1.00,6.00,8.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6166679,4.00,6.00,1.00,7.00,9.00,NULL,1.00,3.00,3.00,NULL,NULL,'S','S'),(25,6166687,4.00,6.00,1.00,6.00,9.00,11.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6166695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6166709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6166717,8.00,6.00,3.00,7.00,7.00,10.50,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6166725,3.00,4.00,2.00,3.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6166750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6166768,3.00,4.00,3.00,5.00,4.00,10.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6166776,2.00,2.00,0.00,3.00,3.00,5.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6166784,2.00,5.00,0.00,3.00,6.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6166792,7.00,2.00,4.00,7.00,8.00,9.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6166806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6166822,4.00,5.00,3.00,6.00,7.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6166830,4.00,4.00,3.00,1.00,4.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6166849,1.00,3.00,0.00,3.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6166857,2.00,3.00,1.00,4.00,5.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6166865,2.00,3.00,1.00,1.00,2.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6166873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6166890,5.00,6.00,4.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6166920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6166938,6.00,3.00,1.00,0.00,8.00,NULL,1.00,3.00,3.00,NULL,NULL,'S','S'),(25,6166946,5.00,2.00,1.00,3.00,5.00,5.25,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6166954,8.00,7.00,2.00,7.00,8.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6166962,5.00,5.00,4.00,5.00,7.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6166989,5.00,7.00,3.00,6.00,8.00,9.38,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6167004,6.00,7.00,1.00,6.00,8.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6167012,2.00,4.00,0.00,1.00,4.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6167020,6.00,4.00,7.00,6.00,10.00,10.13,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6167039,7.00,5.00,4.00,5.00,9.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6167047,2.00,3.00,1.00,2.00,5.00,6.38,1.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6167055,7.00,8.00,4.00,6.00,9.00,9.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6167063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6167071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6167098,3.00,3.00,2.00,5.00,6.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6167101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6167128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6167136,3.00,6.00,2.00,2.00,6.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6167144,2.00,2.00,3.00,2.00,1.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6167152,3.00,7.00,1.00,2.00,8.00,7.50,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6167179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6167195,5.00,3.00,3.00,4.00,5.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6167209,7.00,8.00,4.00,6.00,8.00,9.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6167217,3.00,6.00,3.00,2.00,7.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6167225,2.00,4.00,1.00,2.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6167233,3.00,6.00,2.00,6.00,7.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'S'),(25,6167241,0.00,5.00,1.00,2.00,6.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6167250,3.00,4.00,2.00,5.00,7.00,7.50,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6167268,7.00,6.00,2.00,5.00,7.00,10.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6167276,4.00,5.00,1.00,3.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6167284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6167292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6167306,4.00,5.00,4.00,6.00,9.00,9.00,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6167314,5.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6167349,5.00,6.00,4.00,6.00,7.00,NULL,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6167365,0.00,2.00,1.00,0.00,6.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6167381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6167390,7.00,7.00,6.00,6.00,8.00,11.63,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6167403,8.00,7.00,4.00,2.00,9.00,9.75,4.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6167411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6167420,7.00,7.00,4.00,6.00,9.00,12.00,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6167438,2.00,5.00,1.00,6.00,7.00,7.13,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6167454,3.00,6.00,4.00,5.00,7.00,10.13,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6167462,5.00,5.00,3.00,3.00,4.00,5.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6167470,6.00,5.00,1.00,3.00,8.00,6.38,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6167489,4.00,5.00,3.00,5.00,9.00,8.25,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6167497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6167500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6167519,7.00,8.00,5.00,8.00,10.00,10.13,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6167527,3.00,3.00,1.00,3.00,6.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6167551,5.00,4.00,0.00,4.00,5.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6167560,1.00,5.00,0.00,3.00,5.00,5.25,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6167586,6.00,4.00,3.00,4.00,10.00,9.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6167608,7.00,5.00,3.00,7.00,6.00,6.38,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6167616,2.00,5.00,3.00,1.00,6.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6167624,4.00,4.00,3.00,3.00,7.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6167632,3.00,2.00,1.00,3.00,3.00,0.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6167640,5.00,5.00,3.00,0.00,7.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6167667,3.00,6.00,1.00,6.00,7.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6167675,3.00,6.00,3.00,5.00,10.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6167691,4.00,4.00,2.00,4.00,7.00,9.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6167713,5.00,6.00,4.00,5.00,8.00,10.88,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6167730,4.00,6.00,2.00,7.00,9.00,9.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6167748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6167764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6167772,5.00,5.00,1.00,5.00,7.00,12.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6167780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6167802,9.00,7.00,7.00,7.00,10.00,13.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6167829,7.00,7.00,2.00,7.00,8.00,8.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6167837,7.00,5.00,5.00,4.00,8.00,8.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6167845,3.00,3.00,2.00,3.00,5.00,4.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6167853,5.00,4.00,0.00,6.00,8.00,11.63,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6167861,2.00,5.00,1.00,3.00,5.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6167870,6.00,7.00,4.00,7.00,8.00,10.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6167888,4.00,6.00,1.00,5.00,7.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6167896,6.00,3.00,3.00,6.00,8.00,6.00,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6167900,6.00,5.00,6.00,3.00,8.00,12.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6167918,2.00,5.00,1.00,0.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6167926,3.00,5.00,4.00,4.00,8.00,7.50,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6167934,2.00,4.00,0.00,0.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6167942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6167969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6167977,3.00,4.00,3.00,4.00,8.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6167985,5.00,3.00,4.00,6.00,9.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6167993,5.00,7.00,3.00,5.00,6.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6168000,3.00,1.00,2.00,2.00,3.00,9.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6168019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6168035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6168043,4.00,7.00,3.00,4.00,7.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6168051,3.00,4.00,3.00,0.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6168078,3.00,3.00,1.00,2.00,3.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6168086,8.00,7.00,6.00,7.00,9.00,7.50,1.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6168094,2.00,4.00,0.00,2.00,4.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6168108,7.00,4.00,6.00,7.00,6.00,10.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6168116,3.00,7.00,2.00,7.00,7.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6168124,2.00,3.00,4.00,2.00,6.00,8.25,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6168132,2.00,3.00,0.00,1.00,3.00,6.00,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6168159,3.00,2.00,2.00,3.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6168167,4.00,7.00,3.00,4.00,8.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6168175,4.00,2.00,3.00,4.00,6.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6168191,6.00,6.00,2.00,4.00,8.00,8.63,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6168205,3.00,3.00,2.00,5.00,9.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6168230,5.00,4.00,1.00,2.00,4.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6168248,5.00,6.00,2.00,5.00,8.00,9.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6168256,3.00,4.00,1.00,5.00,6.00,8.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6168272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6168280,3.00,4.00,1.00,3.00,3.00,6.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6168299,5.00,7.00,1.00,6.00,7.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6168302,3.00,4.00,0.00,3.00,4.00,NULL,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6168310,4.00,6.00,2.00,6.00,6.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6168329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6168337,8.00,4.00,0.00,6.00,9.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6168345,5.00,5.00,4.00,6.00,7.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6168353,4.00,3.00,2.00,0.00,6.00,3.00,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6168361,4.00,3.00,1.00,4.00,5.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6168388,3.00,3.00,0.00,0.00,6.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6168396,2.00,0.00,0.00,2.00,0.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6168400,9.00,9.00,6.00,7.00,8.00,11.63,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6168418,4.00,5.00,0.00,1.00,6.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6168426,2.00,3.00,2.00,5.00,5.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6168434,3.00,7.00,2.00,3.00,3.00,9.00,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6168442,3.00,4.00,0.00,1.00,5.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6168450,2.00,1.00,0.00,5.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6168469,2.00,4.00,1.00,0.00,6.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6168493,2.00,5.00,0.00,5.00,5.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6168507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6168515,2.00,6.00,2.00,6.00,9.00,9.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6168523,1.00,2.00,3.00,3.00,5.00,6.75,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6168540,2.00,3.00,0.00,4.00,6.00,6.75,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6168558,4.00,3.00,2.00,6.00,6.00,10.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6168566,4.00,6.00,0.00,5.00,6.00,10.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6168574,6.00,8.00,4.00,4.00,9.00,9.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6168590,3.00,3.00,2.00,3.00,3.00,4.88,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6168612,3.00,4.00,1.00,6.00,8.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6168620,5.00,5.00,4.00,5.00,4.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6168647,4.00,5.00,1.00,3.00,6.00,7.50,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6168655,7.00,8.00,3.00,4.00,6.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6168663,6.00,3.00,4.00,6.00,4.00,7.13,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6168671,8.00,8.00,3.00,6.00,11.00,14.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6168680,3.00,4.00,1.00,2.00,10.00,7.50,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6168698,5.00,7.00,6.00,7.00,8.00,9.75,1.00,7.00,7.00,NULL,NULL,NULL,'S'),(25,6168701,5.00,5.00,2.00,5.00,6.00,7.50,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6168736,4.00,6.00,0.00,3.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6168744,7.00,5.00,0.00,5.00,7.00,8.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6168752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6168779,0.00,1.00,1.00,3.00,4.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6168795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6168809,8.00,5.00,1.00,4.00,7.00,9.75,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6168825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6168833,1.00,4.00,1.00,2.00,6.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6168841,3.00,4.00,2.00,3.00,5.00,9.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6168850,6.00,4.00,4.00,4.00,8.00,6.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6168876,2.00,5.00,2.00,1.00,6.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6168884,4.00,6.00,0.00,5.00,8.00,6.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6168922,7.00,6.00,7.00,7.00,10.00,11.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6168930,9.00,6.00,3.00,6.00,8.00,7.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6168949,3.00,5.00,4.00,8.00,8.00,12.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6168957,7.00,6.00,5.00,5.00,8.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6168973,4.00,2.00,3.00,5.00,3.00,10.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6168990,2.00,5.00,2.00,4.00,7.00,10.13,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6169007,7.00,6.00,4.00,6.00,9.00,9.75,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6169015,4.00,4.00,3.00,7.00,9.00,10.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6169023,6.00,5.00,3.00,6.00,7.00,11.63,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6169031,4.00,2.00,5.00,4.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6169040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6169058,3.00,0.00,3.00,2.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6169066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6169074,4.00,5.00,2.00,6.00,9.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6169090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6169120,6.00,6.00,2.00,7.00,10.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6169139,2.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6169147,4.00,6.00,3.00,5.00,6.00,10.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6169155,6.00,6.00,5.00,6.00,8.00,8.63,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6169163,2.00,2.00,1.00,3.00,5.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6169171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6169180,1.00,2.00,1.00,1.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6169198,3.00,4.00,2.00,5.00,3.00,6.00,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6169201,8.00,8.00,6.00,6.00,8.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6169210,9.00,5.00,5.00,5.00,8.00,10.50,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6169236,9.00,6.00,5.00,7.00,10.00,8.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6169244,3.00,5.00,1.00,1.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,'S','N'),(25,6169260,2.00,3.00,2.00,3.00,5.00,10.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6169279,2.00,2.00,0.00,4.00,3.00,7.50,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6169287,1.00,3.00,2.00,2.00,6.00,8.63,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6169295,1.00,2.00,0.00,1.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6169309,2.00,2.00,0.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6169317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6169325,7.00,7.00,2.00,7.00,7.00,8.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6169333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6169341,4.00,7.00,5.00,5.00,6.00,9.00,2.00,9.00,1.00,NULL,NULL,NULL,'N'),(25,6169350,7.00,7.00,3.00,4.00,6.00,NULL,0.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6169368,9.00,8.00,7.00,7.00,10.00,11.25,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6169376,3.00,2.00,2.00,5.00,8.00,7.88,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6169384,2.00,2.00,0.00,4.00,4.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6169392,7.00,6.00,5.00,7.00,9.00,8.63,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6169406,9.00,8.00,5.00,6.00,10.00,12.38,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6169414,6.00,5.00,3.00,3.00,8.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6169422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6169430,1.00,0.00,1.00,0.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6169449,3.00,5.00,0.00,6.00,7.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6169457,6.00,5.00,4.00,5.00,8.00,7.13,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6169465,2.00,4.00,3.00,2.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6169473,3.00,6.00,1.00,4.00,7.00,6.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6169481,2.00,4.00,0.00,2.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6169490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6169503,3.00,4.00,1.00,4.00,3.00,5.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6169520,7.00,8.00,7.00,3.00,9.00,11.63,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6169562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6169570,5.00,3.00,2.00,4.00,7.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6169589,3.00,5.00,3.00,5.00,8.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6169597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6169600,5.00,3.00,4.00,4.00,8.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6169619,5.00,5.00,1.00,1.00,8.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6169627,6.00,7.00,3.00,7.00,6.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6169643,2.00,4.00,3.00,3.00,6.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6169651,7.00,6.00,2.00,6.00,7.00,10.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6169678,3.00,5.00,1.00,4.00,6.00,7.50,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6169686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6169694,3.00,3.00,1.00,6.00,7.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6169708,7.00,7.00,4.00,2.00,8.00,10.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6169716,8.00,7.00,6.00,7.00,9.00,9.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6169724,7.00,8.00,1.00,7.00,8.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6169732,5.00,6.00,1.00,4.00,9.00,10.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6169740,3.00,5.00,1.00,4.00,6.00,6.75,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6169767,2.00,2.00,0.00,1.00,6.00,7.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6169775,4.00,5.00,2.00,3.00,7.00,12.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6169791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6169805,9.00,8.00,8.00,7.00,8.00,11.25,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6169813,3.00,5.00,2.00,6.00,9.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6169848,5.00,4.00,1.00,4.00,7.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6169856,4.00,5.00,4.00,6.00,7.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6169872,6.00,6.00,4.00,6.00,7.00,6.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6169880,6.00,4.00,2.00,3.00,5.00,8.25,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6169899,4.00,6.00,2.00,3.00,7.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6169902,1.00,0.00,3.00,2.00,5.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6169937,4.00,3.00,0.00,3.00,6.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6169945,3.00,4.00,1.00,4.00,5.00,7.13,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6169961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6169970,4.00,7.00,4.00,5.00,4.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6169996,1.00,2.00,2.00,2.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6170005,6.00,6.00,4.00,5.00,8.00,NULL,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6170013,5.00,6.00,3.00,4.00,5.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6170021,4.00,3.00,0.00,5.00,6.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6170030,3.00,6.00,1.00,2.00,5.00,5.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6170048,5.00,7.00,4.00,7.00,6.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6170072,4.00,7.00,3.00,5.00,6.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6170080,6.00,5.00,0.00,2.00,7.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6170110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6170129,5.00,5.00,3.00,4.00,6.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6170137,3.00,3.00,0.00,3.00,3.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6170153,5.00,7.00,1.00,4.00,7.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6170161,2.00,6.00,4.00,6.00,7.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6170170,4.00,5.00,3.00,5.00,8.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6170188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6170196,5.00,2.00,2.00,4.00,4.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6170200,3.00,2.00,2.00,3.00,3.00,8.25,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6170218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6170226,2.00,4.00,7.00,4.00,8.00,12.00,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6170234,6.00,8.00,3.00,6.00,8.00,9.38,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6170242,4.00,6.00,3.00,6.00,9.00,10.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6170269,7.00,5.00,1.00,6.00,7.00,9.38,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6170277,2.00,5.00,3.00,4.00,6.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6170293,6.00,6.00,5.00,7.00,9.00,9.38,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6170307,5.00,7.00,4.00,7.00,9.00,9.00,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6170315,2.00,5.00,4.00,1.00,5.00,3.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6170331,7.00,7.00,4.00,7.00,8.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6170340,5.00,8.00,2.00,5.00,10.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6170358,1.00,3.00,2.00,0.00,3.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6170382,8.00,5.00,2.00,7.00,8.00,9.00,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6170390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6170404,3.00,4.00,2.00,5.00,4.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6170412,3.00,2.00,0.00,4.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,'S','N'),(25,6170420,6.00,6.00,6.00,7.00,8.00,8.63,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6170439,7.00,7.00,7.00,6.00,10.00,11.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6170447,2.00,5.00,0.00,2.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6170455,9.00,6.00,6.00,7.00,9.00,11.25,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6170463,6.00,5.00,2.00,5.00,6.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6170471,5.00,5.00,3.00,6.00,9.00,10.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6170498,5.00,6.00,2.00,7.00,8.00,9.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6170501,8.00,6.00,3.00,7.00,10.00,12.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6170510,7.00,7.00,3.00,6.00,9.00,9.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6170528,4.00,6.00,1.00,6.00,8.00,10.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6170536,4.00,5.00,2.00,7.00,7.00,7.88,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6170544,4.00,6.00,2.00,3.00,5.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6170552,2.00,5.00,0.00,2.00,8.00,5.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6170560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6170579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6170595,1.00,0.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6170609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6170617,4.00,4.00,0.00,6.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6170625,4.00,0.00,2.00,3.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6170633,5.00,7.00,0.00,6.00,8.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6170641,3.00,7.00,3.00,6.00,11.00,7.50,0.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6170650,7.00,6.00,7.00,6.00,3.00,NULL,4.00,6.00,8.00,NULL,NULL,'S','N'),(25,6170668,6.00,5.00,5.00,5.00,6.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6170684,3.00,3.00,2.00,3.00,7.00,7.88,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6170692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6170714,4.00,3.00,2.00,3.00,1.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6170722,4.00,5.00,1.00,4.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6170730,4.00,4.00,1.00,4.00,7.00,6.75,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6170749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6170757,5.00,4.00,2.00,3.00,4.00,9.00,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6170765,4.00,6.00,5.00,5.00,9.00,9.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6170773,3.00,3.00,0.00,4.00,6.00,3.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6170781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6170790,5.00,6.00,3.00,5.00,6.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6170811,2.00,3.00,2.00,3.00,6.00,5.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6170838,6.00,5.00,4.00,4.00,9.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6170846,2.00,5.00,1.00,4.00,4.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6170854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6170862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6170870,3.00,2.00,0.00,2.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6170897,2.00,7.00,2.00,4.00,4.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6170900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6170919,3.00,6.00,1.00,0.00,9.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6170935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6170943,2.00,5.00,1.00,0.00,3.00,6.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6170951,3.00,4.00,1.00,2.00,7.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6170978,4.00,5.00,2.00,2.00,6.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6170986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6170994,5.00,6.00,1.00,1.00,6.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6171001,4.00,4.00,1.00,3.00,8.00,7.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6171028,8.00,7.00,5.00,7.00,11.00,9.38,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6171036,7.00,5.00,0.00,7.00,8.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6171044,1.00,3.00,1.00,2.00,5.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6171052,3.00,3.00,1.00,2.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6171060,5.00,6.00,2.00,2.00,9.00,10.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6171079,1.00,2.00,1.00,1.00,6.00,NULL,3.00,0.00,1.00,NULL,NULL,'S','N'),(25,6171095,4.00,6.00,3.00,7.00,7.00,6.75,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6171109,8.00,7.00,5.00,7.00,9.00,11.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6171117,2.00,3.00,1.00,4.00,7.00,8.63,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6171125,7.00,7.00,5.00,5.00,6.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6171141,8.00,9.00,6.00,7.00,10.00,9.38,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6171150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6171168,3.00,6.00,7.00,5.00,8.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6171176,5.00,3.00,1.00,4.00,6.00,7.13,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6171184,3.00,4.00,1.00,2.00,4.00,6.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6171192,4.00,4.00,1.00,3.00,5.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6171206,6.00,4.00,5.00,5.00,9.00,7.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6171214,5.00,5.00,0.00,5.00,6.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6171222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6171230,3.00,4.00,1.00,4.00,6.00,5.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6171257,5.00,5.00,4.00,4.00,6.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6171265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6171273,8.00,8.00,3.00,7.00,9.00,9.75,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6171281,7.00,7.00,7.00,7.00,9.00,9.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6171290,8.00,7.00,5.00,4.00,10.00,9.38,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6171303,5.00,0.00,1.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6171311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6171320,3.00,3.00,1.00,6.00,7.00,8.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6171338,8.00,8.00,3.00,6.00,8.00,12.75,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6171346,3.00,2.00,1.00,1.00,5.00,5.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6171354,2.00,3.00,2.00,5.00,4.00,5.25,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6171362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6171370,3.00,3.00,1.00,5.00,5.00,7.13,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6171397,5.00,8.00,8.00,7.00,8.00,10.13,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6171400,5.00,6.00,2.00,3.00,6.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6171419,3.00,4.00,2.00,6.00,8.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6171427,5.00,5.00,1.00,4.00,8.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6171435,6.00,5.00,2.00,7.00,6.00,12.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6171443,5.00,4.00,2.00,6.00,8.00,8.25,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6171451,2.00,4.00,0.00,0.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6171460,8.00,7.00,3.00,7.00,8.00,NULL,3.00,6.00,6.00,NULL,NULL,'S','N'),(25,6171478,5.00,3.00,3.00,6.00,9.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6171486,4.00,4.00,0.00,3.00,8.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6171494,7.00,6.00,4.00,5.00,9.00,8.25,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6171508,7.00,4.00,5.00,2.00,10.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6171516,2.00,4.00,3.00,2.00,3.00,6.00,4.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6171524,6.00,8.00,4.00,5.00,9.00,12.00,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6171540,6.00,5.00,4.00,6.00,4.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6171559,3.00,2.00,2.00,2.00,3.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6171567,4.00,4.00,2.00,6.00,7.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6171575,3.00,3.00,0.00,3.00,8.00,9.00,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6171583,7.00,7.00,4.00,6.00,9.00,9.75,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6171591,3.00,5.00,1.00,6.00,6.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6171605,6.00,3.00,1.00,4.00,5.00,0.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6171613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6171630,5.00,6.00,4.00,3.00,7.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6171648,7.00,5.00,5.00,0.00,3.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6171656,3.00,4.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6171664,3.00,0.00,1.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6171672,3.00,3.00,2.00,4.00,7.00,10.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6171680,6.00,7.00,5.00,6.00,10.00,11.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6171699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6171702,4.00,4.00,1.00,4.00,5.00,11.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6171710,8.00,6.00,6.00,6.00,7.00,11.25,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6171729,2.00,3.00,2.00,3.00,5.00,6.38,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6171745,3.00,4.00,2.00,2.00,3.00,7.88,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6171753,5.00,5.00,5.00,5.00,5.00,9.00,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6171761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6171770,2.00,3.00,1.00,1.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6171788,7.00,7.00,4.00,7.00,7.00,12.00,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6171796,7.00,6.00,3.00,4.00,5.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6171818,4.00,4.00,2.00,4.00,7.00,11.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6171826,3.00,2.00,3.00,4.00,3.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6171834,5.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6171842,5.00,5.00,3.00,3.00,5.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6171850,6.00,5.00,1.00,5.00,10.00,10.13,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6171877,5.00,4.00,4.00,1.00,7.00,NULL,0.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6171885,6.00,8.00,3.00,7.00,7.00,10.13,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6171893,6.00,6.00,2.00,5.00,5.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6171907,3.00,5.00,3.00,6.00,5.00,4.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6171915,3.00,5.00,1.00,1.00,8.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6171923,3.00,4.00,2.00,5.00,4.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6171931,2.00,2.00,2.00,3.00,5.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6171940,3.00,6.00,3.00,6.00,8.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6171958,5.00,4.00,2.00,1.00,5.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6171966,6.00,2.00,1.00,3.00,8.00,6.38,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6171974,3.00,6.00,1.00,6.00,6.00,7.88,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6171982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6171990,4.00,5.00,3.00,5.00,3.00,7.13,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6172016,9.00,8.00,5.00,6.00,10.00,9.38,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6172024,5.00,7.00,0.00,4.00,9.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6172032,3.00,4.00,3.00,2.00,3.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6172040,2.00,4.00,0.00,5.00,7.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6172059,4.00,3.00,1.00,2.00,7.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6172067,7.00,6.00,5.00,6.00,10.00,11.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6172075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6172083,2.00,3.00,1.00,3.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6172091,6.00,5.00,2.00,5.00,10.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6172105,2.00,3.00,1.00,3.00,7.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6172113,4.00,4.00,3.00,6.00,7.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'S'),(25,6172121,4.00,3.00,3.00,2.00,5.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6172130,6.00,6.00,0.00,0.00,6.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6172148,6.00,6.00,2.00,4.00,6.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6172156,4.00,5.00,5.00,7.00,7.00,6.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6172164,4.00,4.00,2.00,2.00,7.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6172172,4.00,6.00,3.00,6.00,8.00,8.63,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6172180,3.00,4.00,2.00,4.00,5.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6172199,5.00,5.00,4.00,5.00,7.00,10.13,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6172202,1.00,3.00,1.00,2.00,5.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6172210,5.00,7.00,1.00,6.00,8.00,9.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6172229,4.00,2.00,1.00,3.00,6.00,6.38,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6172237,4.00,6.00,1.00,6.00,10.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N');
INSERT INTO ponto_candidato VALUES (25,6172245,2.00,2.00,0.00,4.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6172253,4.00,4.00,2.00,3.00,8.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6172261,4.00,4.00,2.00,5.00,6.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6172270,3.00,4.00,2.00,3.00,6.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6172288,8.00,7.00,6.00,5.00,7.00,10.88,2.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6172296,5.00,7.00,2.00,5.00,7.00,10.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6172300,1.00,3.00,1.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6172318,6.00,3.00,4.00,5.00,9.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6172326,8.00,7.00,3.00,3.00,7.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6172334,2.00,1.00,0.00,2.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6172342,3.00,8.00,3.00,4.00,6.00,10.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6172350,1.00,5.00,1.00,6.00,3.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6172369,2.00,4.00,2.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6172377,5.00,3.00,3.00,4.00,5.00,8.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6172385,1.00,3.00,1.00,4.00,4.00,8.63,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6172393,3.00,5.00,2.00,4.00,8.00,8.63,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6172415,3.00,5.00,1.00,4.00,9.00,10.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6172423,6.00,7.00,1.00,5.00,6.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6172431,6.00,5.00,6.00,4.00,8.00,8.63,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6172440,6.00,5.00,2.00,7.00,10.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6172458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6172466,9.00,9.00,5.00,7.00,10.00,10.50,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6172474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6172482,5.00,7.00,1.00,6.00,7.00,10.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6172490,6.00,5.00,6.00,5.00,7.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6172504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6172512,5.00,7.00,3.00,6.00,7.00,8.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6172520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6172539,4.00,4.00,1.00,4.00,8.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6172547,5.00,6.00,5.00,4.00,7.00,7.88,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6172555,4.00,4.00,1.00,2.00,6.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6172563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6172580,3.00,4.00,3.00,6.00,5.00,9.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6172598,6.00,5.00,2.00,6.00,7.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6172601,3.00,3.00,3.00,4.00,7.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6172610,4.00,4.00,3.00,4.00,5.00,6.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6172628,5.00,6.00,2.00,5.00,7.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6172636,3.00,3.00,4.00,4.00,4.00,9.75,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6172652,6.00,6.00,4.00,3.00,5.00,9.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6172687,1.00,2.00,0.00,2.00,6.00,6.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6172695,3.00,4.00,1.00,2.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6172709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6172717,6.00,3.00,0.00,4.00,7.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6172725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6172733,6.00,4.00,3.00,6.00,7.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6172741,4.00,5.00,0.00,3.00,6.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6172750,5.00,8.00,5.00,7.00,9.00,9.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6172768,2.00,4.00,1.00,2.00,5.00,7.13,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6172776,3.00,5.00,0.00,3.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6172784,5.00,3.00,1.00,5.00,5.00,8.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6172792,6.00,6.00,5.00,7.00,3.00,9.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6172806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6172822,3.00,5.00,1.00,5.00,7.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6172849,3.00,1.00,3.00,2.00,4.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6172857,3.00,4.00,1.00,5.00,7.00,8.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6172865,2.00,6.00,3.00,2.00,6.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6172873,8.00,4.00,4.00,6.00,8.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6172881,2.00,4.00,5.00,4.00,6.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6172890,3.00,4.00,1.00,7.00,5.00,9.00,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6172911,9.00,6.00,7.00,6.00,9.00,11.63,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6172920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6172938,4.00,5.00,0.00,3.00,6.00,7.88,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6172946,6.00,4.00,0.00,0.00,6.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6172962,6.00,6.00,2.00,5.00,6.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6172970,5.00,4.00,0.00,2.00,5.00,8.63,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6173004,2.00,3.00,1.00,3.00,4.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6173012,4.00,4.00,2.00,6.00,7.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6173020,4.00,5.00,3.00,5.00,6.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6173039,4.00,5.00,2.00,4.00,9.00,10.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6173047,5.00,5.00,5.00,5.00,8.00,9.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6173055,3.00,4.00,4.00,1.00,2.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6173063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6173071,9.00,8.00,4.00,6.00,6.00,10.13,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6173080,4.00,2.00,1.00,1.00,7.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6173098,4.00,3.00,2.00,3.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6173101,6.00,5.00,3.00,5.00,7.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6173110,3.00,3.00,4.00,2.00,7.00,7.50,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6173136,5.00,5.00,3.00,6.00,9.00,10.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6173144,0.00,5.00,2.00,4.00,5.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6173152,6.00,4.00,3.00,6.00,6.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6173160,7.00,6.00,5.00,4.00,6.00,7.50,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6173195,1.00,7.00,1.00,3.00,5.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6173209,3.00,4.00,2.00,5.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6173217,6.00,9.00,5.00,7.00,9.00,9.38,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6173225,6.00,2.00,6.00,4.00,8.00,6.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6173233,6.00,6.00,4.00,3.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6173250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6173268,2.00,5.00,3.00,5.00,7.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6173284,5.00,7.00,3.00,3.00,8.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6173292,6.00,7.00,3.00,6.00,7.00,12.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6173306,9.00,6.00,6.00,7.00,9.00,11.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6173322,3.00,3.00,0.00,3.00,1.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6173330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6173373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6173381,4.00,4.00,1.00,3.00,4.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6173403,7.00,5.00,4.00,4.00,3.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6173411,6.00,7.00,6.00,5.00,8.00,9.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6173438,7.00,8.00,7.00,5.00,6.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6173446,4.00,3.00,2.00,3.00,5.00,10.13,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6173454,2.00,4.00,1.00,3.00,3.00,6.00,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6173462,6.00,6.00,5.00,6.00,6.00,11.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6173470,7.00,7.00,4.00,6.00,10.00,10.50,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6173489,2.00,6.00,2.00,3.00,9.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6173500,3.00,3.00,4.00,3.00,5.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6173519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6173535,3.00,5.00,2.00,5.00,4.00,7.50,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6173543,8.00,8.00,3.00,6.00,8.00,9.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6173551,8.00,8.00,3.00,4.00,9.00,9.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6173578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6173586,2.00,4.00,4.00,5.00,6.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6173594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6173608,5.00,6.00,1.00,6.00,8.00,11.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6173616,8.00,5.00,1.00,4.00,6.00,5.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6173624,3.00,7.00,1.00,7.00,8.00,10.50,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6173640,4.00,8.00,1.00,0.00,4.00,10.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6173659,5.00,5.00,3.00,5.00,6.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6173667,5.00,4.00,2.00,4.00,7.00,12.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6173675,5.00,6.00,4.00,5.00,5.00,8.25,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6173683,3.00,4.00,2.00,2.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6173691,7.00,6.00,2.00,6.00,8.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6173705,4.00,5.00,2.00,4.00,6.00,6.38,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6173713,5.00,7.00,1.00,4.00,7.00,10.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6173730,2.00,5.00,2.00,3.00,5.00,5.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6173748,3.00,3.00,3.00,3.00,8.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6173756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6173764,8.00,7.00,4.00,5.00,8.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6173772,8.00,8.00,4.00,6.00,9.00,8.63,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6173780,1.00,2.00,1.00,0.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6173799,5.00,3.00,0.00,3.00,7.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6173802,3.00,6.00,1.00,4.00,8.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6173810,1.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6173829,7.00,6.00,2.00,4.00,8.00,11.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6173845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6173853,3.00,6.00,3.00,4.00,7.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6173870,4.00,3.00,2.00,6.00,8.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6173888,3.00,4.00,1.00,2.00,6.00,5.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6173900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6173926,6.00,7.00,3.00,8.00,10.00,11.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6173934,5.00,6.00,5.00,7.00,7.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6173950,4.00,5.00,3.00,4.00,5.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6173969,0.00,3.00,0.00,1.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6173977,4.00,5.00,2.00,3.00,6.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6173993,5.00,6.00,4.00,6.00,6.00,9.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6174000,3.00,6.00,3.00,6.00,8.00,9.75,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6174019,3.00,3.00,1.00,1.00,3.00,6.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6174035,8.00,5.00,3.00,7.00,10.00,12.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6174043,7.00,7.00,4.00,5.00,8.00,8.63,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6174051,3.00,6.00,2.00,2.00,5.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6174060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6174078,9.00,7.00,6.00,5.00,10.00,10.88,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6174086,3.00,6.00,2.00,7.00,8.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6174094,3.00,4.00,1.00,3.00,3.00,6.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6174108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6174116,8.00,6.00,7.00,7.00,10.00,10.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6174124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6174132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6174140,1.00,6.00,3.00,7.00,6.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6174159,5.00,4.00,4.00,6.00,7.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6174167,7.00,7.00,2.00,6.00,8.00,5.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6174175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6174183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6174213,8.00,6.00,6.00,7.00,9.00,7.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6174221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6174230,4.00,7.00,1.00,3.00,6.00,8.63,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6174248,5.00,7.00,4.00,5.00,10.00,12.00,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6174256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6174264,5.00,5.00,2.00,2.00,6.00,7.13,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6174272,0.00,4.00,1.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6174280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6174299,3.00,3.00,0.00,2.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6174302,3.00,4.00,3.00,4.00,8.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6174329,5.00,4.00,0.00,6.00,8.00,NULL,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6174337,7.00,7.00,4.00,7.00,7.00,8.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6174353,8.00,8.00,3.00,7.00,8.00,11.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6174361,4.00,5.00,0.00,4.00,7.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6174370,5.00,6.00,0.00,6.00,9.00,8.63,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6174388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6174396,3.00,3.00,3.00,4.00,7.00,7.88,1.00,0.00,6.00,NULL,NULL,NULL,'N'),(25,6174400,6.00,7.00,2.00,6.00,8.00,10.50,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6174418,6.00,5.00,2.00,5.00,5.00,10.13,2.00,1.00,7.00,NULL,NULL,NULL,'N'),(25,6174426,1.00,1.00,0.00,3.00,6.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6174434,4.00,4.00,5.00,6.00,6.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6174442,7.00,8.00,4.00,5.00,8.00,8.63,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6174450,5.00,4.00,1.00,6.00,8.00,9.38,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6174469,6.00,6.00,5.00,6.00,7.00,11.63,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6174477,3.00,4.00,2.00,2.00,8.00,8.25,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6174493,7.00,7.00,4.00,6.00,8.00,11.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6174507,8.00,6.00,5.00,7.00,10.00,7.88,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6174515,1.00,3.00,1.00,4.00,9.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6174523,3.00,3.00,2.00,5.00,5.00,6.38,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6174531,2.00,2.00,3.00,4.00,4.00,7.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6174540,8.00,5.00,5.00,3.00,9.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6174566,5.00,6.00,2.00,4.00,9.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6174574,9.00,8.00,8.00,8.00,10.00,8.25,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6174582,3.00,6.00,3.00,4.00,7.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6174590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6174604,2.00,3.00,0.00,1.00,1.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6174620,5.00,5.00,2.00,6.00,8.00,11.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6174647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6174655,7.00,5.00,3.00,6.00,8.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6174663,6.00,3.00,3.00,3.00,7.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6174671,6.00,5.00,3.00,7.00,8.00,8.25,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6174680,9.00,7.00,4.00,5.00,9.00,10.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6174698,4.00,1.00,0.00,3.00,6.00,6.75,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6174701,5.00,5.00,4.00,5.00,7.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6174728,6.00,9.00,2.00,4.00,8.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6174736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6174744,4.00,7.00,0.00,3.00,4.00,10.50,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6174752,0.00,3.00,2.00,1.00,5.00,11.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6174760,5.00,4.00,5.00,4.00,6.00,5.63,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6174779,9.00,6.00,3.00,5.00,9.00,12.38,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6174787,2.00,5.00,1.00,2.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6174795,5.00,5.00,2.00,5.00,7.00,9.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6174809,1.00,4.00,2.00,4.00,3.00,0.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6174817,2.00,3.00,2.00,6.00,6.00,6.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6174825,5.00,7.00,1.00,1.00,8.00,9.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6174841,6.00,6.00,6.00,7.00,7.00,10.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6174850,2.00,8.00,1.00,4.00,7.00,7.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6174884,5.00,5.00,5.00,1.00,7.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6174892,5.00,6.00,5.00,4.00,7.00,7.50,0.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6174906,3.00,4.00,2.00,5.00,6.00,5.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6174922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6174930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6174949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6174957,3.00,4.00,3.00,2.00,4.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6174965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6174973,7.00,7.00,5.00,7.00,9.00,10.88,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6174981,2.00,6.00,0.00,4.00,7.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6174990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6175007,4.00,4.00,1.00,4.00,8.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6175015,3.00,2.00,1.00,3.00,3.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6175023,6.00,5.00,1.00,6.00,9.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6175031,4.00,6.00,6.00,4.00,7.00,8.25,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6175082,4.00,6.00,1.00,4.00,7.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6175090,7.00,3.00,2.00,3.00,6.00,6.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6175112,3.00,4.00,1.00,3.00,8.00,9.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6175120,2.00,0.00,2.00,2.00,3.00,9.75,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6175139,3.00,4.00,1.00,2.00,7.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6175147,2.00,2.00,1.00,3.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6175155,6.00,7.00,5.00,7.00,8.00,9.75,0.00,9.00,5.00,NULL,NULL,NULL,'N'),(25,6175163,7.00,6.00,4.00,6.00,8.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6175171,6.00,6.00,4.00,4.00,6.00,10.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6175180,6.00,5.00,3.00,5.00,8.00,9.38,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6175198,4.00,5.00,1.00,5.00,7.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6175201,4.00,6.00,2.00,5.00,6.00,6.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6175210,4.00,5.00,5.00,3.00,8.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6175244,5.00,6.00,3.00,5.00,7.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6175252,3.00,5.00,1.00,1.00,6.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6175260,1.00,7.00,5.00,5.00,8.00,8.63,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6175279,8.00,4.00,6.00,7.00,10.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6175287,2.00,3.00,2.00,3.00,5.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6175295,9.00,6.00,8.00,5.00,8.00,9.38,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6175309,2.00,5.00,2.00,3.00,5.00,5.63,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6175317,6.00,5.00,3.00,6.00,6.00,8.63,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6175325,2.00,5.00,3.00,6.00,6.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6175333,6.00,5.00,1.00,6.00,8.00,7.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6175341,6.00,7.00,3.00,6.00,8.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6175368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6175376,8.00,6.00,4.00,7.00,9.00,9.75,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6175384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6175392,2.00,5.00,1.00,5.00,4.00,7.50,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6175406,6.00,5.00,1.00,6.00,7.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6175414,6.00,6.00,3.00,5.00,7.00,7.13,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6175422,8.00,8.00,6.00,7.00,10.00,7.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6175430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6175449,2.00,3.00,0.00,3.00,6.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6175457,7.00,7.00,4.00,5.00,10.00,10.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6175465,5.00,3.00,0.00,3.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6175473,3.00,5.00,2.00,3.00,5.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6175481,2.00,5.00,1.00,2.00,3.00,8.25,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6175503,6.00,6.00,1.00,2.00,9.00,9.00,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6175511,8.00,5.00,4.00,6.00,8.00,9.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6175520,2.00,5.00,2.00,5.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6175538,7.00,7.00,3.00,7.00,10.00,10.50,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6175554,8.00,7.00,5.00,5.00,9.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6175562,1.00,2.00,3.00,3.00,5.00,7.13,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6175570,1.00,4.00,0.00,4.00,5.00,6.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6175597,6.00,5.00,3.00,7.00,9.00,11.63,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6175600,6.00,7.00,5.00,7.00,10.00,9.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6175619,6.00,6.00,3.00,5.00,8.00,12.00,3.00,6.00,5.00,NULL,NULL,NULL,'S'),(25,6175627,3.00,4.00,1.00,3.00,6.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6175635,5.00,6.00,3.00,6.00,7.00,10.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6175643,4.00,4.00,3.00,5.00,6.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6175651,5.00,7.00,3.00,5.00,10.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6175660,6.00,6.00,7.00,7.00,9.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6175678,7.00,7.00,3.00,7.00,9.00,11.63,0.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6175686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6175694,7.00,6.00,2.00,5.00,6.00,9.75,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6175708,9.00,7.00,5.00,7.00,8.00,7.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6175716,3.00,4.00,3.00,5.00,9.00,8.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6175724,4.00,5.00,4.00,6.00,6.00,7.88,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6175732,9.00,7.00,2.00,7.00,9.00,12.00,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6175740,3.00,4.00,0.00,1.00,6.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6175759,7.00,6.00,2.00,1.00,7.00,9.75,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6175767,6.00,6.00,2.00,5.00,9.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6175775,4.00,7.00,3.00,7.00,10.00,10.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6175783,9.00,7.00,4.00,7.00,10.00,9.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6175791,3.00,3.00,0.00,1.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6175805,7.00,5.00,4.00,4.00,6.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6175821,4.00,5.00,3.00,6.00,7.00,8.63,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6175848,5.00,4.00,2.00,6.00,8.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6175856,4.00,3.00,2.00,1.00,7.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6175864,7.00,5.00,1.00,5.00,8.00,7.88,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6175872,8.00,6.00,3.00,3.00,8.00,10.13,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6175880,2.00,4.00,5.00,5.00,9.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6175945,3.00,6.00,2.00,3.00,6.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6175961,8.00,8.00,6.00,7.00,10.00,10.88,4.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6175988,6.00,5.00,3.00,2.00,7.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6175996,2.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6176011,8.00,7.00,6.00,6.00,9.00,7.13,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6176020,5.00,7.00,3.00,5.00,7.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6176038,6.00,7.00,3.00,5.00,9.00,9.38,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6176046,4.00,5.00,4.00,4.00,6.00,9.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6176054,5.00,5.00,2.00,6.00,8.00,7.88,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6176062,6.00,5.00,2.00,4.00,9.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6176070,5.00,6.00,2.00,3.00,5.00,7.50,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6176089,6.00,4.00,4.00,5.00,8.00,10.13,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6176097,5.00,6.00,3.00,6.00,5.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6176100,7.00,6.00,4.00,6.00,8.00,11.63,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6176119,5.00,7.00,6.00,7.00,7.00,10.13,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6176127,4.00,5.00,1.00,2.00,6.00,7.88,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6176135,3.00,5.00,0.00,5.00,6.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6176143,2.00,3.00,2.00,2.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6176151,6.00,4.00,3.00,5.00,4.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6176186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6176194,7.00,6.00,4.00,6.00,9.00,7.13,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6176216,4.00,4.00,1.00,2.00,5.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6176224,6.00,5.00,4.00,5.00,8.00,8.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6176232,4.00,6.00,4.00,5.00,6.00,9.75,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6176240,7.00,8.00,7.00,7.00,9.00,7.50,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6176259,3.00,3.00,1.00,3.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6176267,5.00,7.00,1.00,3.00,8.00,7.13,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6176291,4.00,4.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6176305,9.00,6.00,3.00,5.00,10.00,10.88,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6176313,6.00,8.00,5.00,5.00,10.00,11.25,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6176321,3.00,6.00,0.00,3.00,5.00,8.63,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6176330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6176348,7.00,5.00,6.00,2.00,10.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6176356,7.00,8.00,4.00,6.00,9.00,9.38,0.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6176364,5.00,5.00,1.00,3.00,6.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6176372,5.00,6.00,6.00,7.00,5.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6176380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6176399,3.00,4.00,2.00,3.00,7.00,7.88,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6176402,5.00,5.00,3.00,3.00,9.00,9.00,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6176410,9.00,9.00,6.00,7.00,10.00,10.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6176437,8.00,7.00,4.00,5.00,8.00,7.13,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6176445,1.00,3.00,1.00,3.00,4.00,0.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6176453,3.00,6.00,2.00,4.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6176470,4.00,6.00,3.00,5.00,7.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6176488,3.00,3.00,2.00,2.00,5.00,5.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6176500,9.00,6.00,7.00,6.00,10.00,7.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6176526,8.00,8.00,2.00,4.00,10.00,8.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6176534,1.00,3.00,2.00,2.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6176542,8.00,6.00,3.00,7.00,10.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6176550,8.00,5.00,5.00,6.00,8.00,10.88,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6176569,9.00,5.00,3.00,4.00,8.00,8.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6176577,5.00,2.00,2.00,5.00,7.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6176585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6176593,2.00,2.00,1.00,1.00,3.00,4.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6176607,3.00,7.00,0.00,3.00,5.00,4.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6176615,7.00,8.00,0.00,4.00,6.00,6.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6176623,4.00,3.00,1.00,5.00,5.00,NULL,1.00,5.00,1.00,NULL,NULL,'S','N'),(25,6176631,3.00,4.00,2.00,4.00,6.00,9.38,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6176640,8.00,6.00,5.00,6.00,10.00,9.75,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6176666,7.00,7.00,4.00,7.00,9.00,9.75,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6176690,7.00,3.00,4.00,7.00,8.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6176704,4.00,5.00,1.00,6.00,9.00,10.50,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6176712,7.00,6.00,5.00,6.00,10.00,10.50,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6176720,6.00,7.00,8.00,4.00,8.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6176739,9.00,7.00,3.00,4.00,8.00,10.13,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6176755,6.00,5.00,0.00,6.00,8.00,11.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6176763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6176771,3.00,4.00,0.00,1.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6176798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6176801,4.00,0.00,2.00,5.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6176828,7.00,7.00,2.00,5.00,10.00,9.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6176836,8.00,7.00,8.00,7.00,10.00,12.38,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6176844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6176852,4.00,4.00,0.00,2.00,5.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6176879,4.00,6.00,6.00,7.00,8.00,10.50,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6176887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6176895,6.00,5.00,3.00,6.00,9.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6176909,3.00,6.00,2.00,4.00,6.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6176917,2.00,3.00,2.00,3.00,3.00,7.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6176925,2.00,5.00,3.00,6.00,6.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6176933,2.00,8.00,3.00,4.00,9.00,10.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6176950,7.00,5.00,5.00,5.00,9.00,8.25,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6176968,4.00,4.00,0.00,2.00,8.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6176976,3.00,6.00,4.00,5.00,5.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6176984,2.00,4.00,2.00,5.00,5.00,8.25,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6177018,3.00,4.00,0.00,0.00,5.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6177026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6177034,6.00,8.00,2.00,2.00,7.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6177042,7.00,6.00,5.00,6.00,10.00,10.13,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6177077,6.00,6.00,1.00,3.00,8.00,9.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6177093,3.00,3.00,2.00,2.00,7.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6177107,6.00,7.00,4.00,6.00,10.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6177115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6177140,6.00,5.00,2.00,4.00,9.00,10.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6177158,8.00,7.00,4.00,6.00,8.00,8.25,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6177166,6.00,6.00,1.00,7.00,8.00,9.38,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6177174,2.00,3.00,2.00,4.00,6.00,6.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6177182,3.00,3.00,2.00,1.00,4.00,6.38,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6177190,4.00,4.00,3.00,4.00,8.00,8.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6177204,7.00,3.00,3.00,7.00,7.00,9.00,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6177212,7.00,7.00,3.00,5.00,7.00,9.75,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6177220,8.00,4.00,4.00,4.00,9.00,13.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6177239,3.00,4.00,0.00,4.00,7.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6177247,4.00,5.00,3.00,6.00,9.00,10.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6177263,4.00,4.00,3.00,4.00,6.00,8.63,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6177280,8.00,6.00,3.00,7.00,9.00,6.00,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6177298,3.00,4.00,2.00,4.00,7.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6177301,7.00,8.00,9.00,6.00,8.00,9.75,9.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6177310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6177328,8.00,4.00,5.00,5.00,9.00,11.25,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6177336,4.00,3.00,3.00,4.00,7.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6177352,7.00,6.00,6.00,7.00,9.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6177360,3.00,4.00,1.00,3.00,7.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6177395,2.00,4.00,1.00,4.00,4.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6177409,5.00,5.00,3.00,5.00,5.00,NULL,2.00,1.00,5.00,NULL,NULL,'S','N'),(25,6177417,5.00,3.00,0.00,4.00,5.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6177425,8.00,7.00,4.00,7.00,9.00,10.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6177433,6.00,7.00,4.00,6.00,8.00,10.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6177441,7.00,6.00,1.00,5.00,6.00,11.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6177450,6.00,6.00,0.00,4.00,6.00,11.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6177484,3.00,6.00,2.00,4.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6177492,7.00,3.00,2.00,6.00,7.00,6.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6177506,2.00,2.00,1.00,6.00,5.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6177522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6177530,5.00,6.00,6.00,5.00,7.00,8.63,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6177557,5.00,5.00,3.00,6.00,6.00,8.63,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6177565,1.00,3.00,3.00,1.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6177581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6177590,3.00,5.00,2.00,5.00,6.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6177603,4.00,2.00,2.00,4.00,6.00,8.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6177620,3.00,2.00,2.00,3.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6177638,8.00,7.00,5.00,7.00,10.00,8.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6177646,4.00,6.00,5.00,3.00,7.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6177654,1.00,1.00,0.00,1.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6177662,3.00,5.00,0.00,6.00,7.00,9.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6177670,6.00,6.00,4.00,6.00,9.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6177697,5.00,8.00,1.00,1.00,5.00,9.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6177700,5.00,3.00,5.00,3.00,8.00,11.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6177719,6.00,5.00,2.00,6.00,8.00,10.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6177727,1.00,4.00,3.00,2.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6177735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6177743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6177751,7.00,7.00,4.00,7.00,8.00,9.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6177760,4.00,7.00,4.00,6.00,7.00,7.13,4.00,5.00,6.00,NULL,NULL,NULL,'S'),(25,6177778,7.00,5.00,3.00,3.00,5.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6177786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6177808,5.00,8.00,5.00,6.00,9.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6177816,2.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6177824,5.00,4.00,0.00,4.00,8.00,8.25,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6177832,8.00,7.00,3.00,7.00,8.00,9.38,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6177840,5.00,0.00,2.00,1.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6177859,6.00,7.00,3.00,7.00,8.00,10.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6177867,4.00,5.00,4.00,6.00,7.00,9.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6177875,4.00,3.00,2.00,3.00,5.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6177883,4.00,5.00,3.00,3.00,9.00,7.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6177891,1.00,3.00,1.00,6.00,4.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6177913,3.00,2.00,4.00,3.00,7.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6177930,4.00,4.00,4.00,6.00,5.00,9.38,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6177948,7.00,6.00,6.00,6.00,7.00,7.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6177956,8.00,5.00,4.00,6.00,7.00,8.63,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6177964,1.00,3.00,3.00,1.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6177999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6178006,5.00,6.00,2.00,5.00,6.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6178014,1.00,4.00,3.00,2.00,6.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6178022,2.00,6.00,0.00,3.00,7.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6178030,5.00,8.00,3.00,6.00,8.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6178049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6178073,8.00,6.00,3.00,4.00,8.00,12.00,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6178081,2.00,3.00,3.00,1.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,'S','N'),(25,6178090,2.00,5.00,1.00,3.00,7.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6178103,4.00,5.00,1.00,6.00,6.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6178111,4.00,4.00,2.00,3.00,6.00,8.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6178138,3.00,2.00,0.00,1.00,6.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6178146,4.00,2.00,1.00,5.00,8.00,6.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6178162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6178170,3.00,7.00,5.00,7.00,6.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6178189,7.00,7.00,1.00,7.00,8.00,10.88,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6178197,6.00,7.00,4.00,6.00,6.00,10.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6178200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6178219,4.00,3.00,1.00,0.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6178227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6178235,5.00,6.00,3.00,6.00,7.00,4.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6178243,6.00,5.00,0.00,6.00,7.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6178260,0.00,4.00,1.00,5.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6178278,5.00,5.00,3.00,4.00,7.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6178286,9.00,8.00,6.00,6.00,10.00,11.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6178294,3.00,6.00,3.00,4.00,8.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6178316,8.00,6.00,4.00,7.00,9.00,9.38,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6178332,6.00,7.00,4.00,6.00,6.00,8.25,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6178340,6.00,4.00,3.00,7.00,9.00,9.38,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6178359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6178367,4.00,6.00,2.00,3.00,6.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6178375,5.00,5.00,3.00,3.00,8.00,6.38,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6178383,7.00,8.00,3.00,6.00,9.00,9.75,2.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6178413,3.00,5.00,0.00,6.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6178421,3.00,5.00,0.00,4.00,5.00,8.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6178430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6178448,5.00,7.00,3.00,5.00,8.00,8.25,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6178456,7.00,6.00,6.00,8.00,9.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6178464,7.00,6.00,3.00,6.00,8.00,9.38,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6178499,4.00,6.00,3.00,5.00,7.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6178502,6.00,5.00,1.00,7.00,7.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6178510,4.00,5.00,0.00,2.00,8.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6178529,3.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6178537,3.00,6.00,3.00,3.00,7.00,8.63,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6178545,9.00,9.00,5.00,7.00,6.00,10.88,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6178561,4.00,6.00,4.00,6.00,7.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6178570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6178588,3.00,3.00,3.00,6.00,4.00,9.38,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6178596,4.00,7.00,4.00,7.00,9.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6178600,5.00,3.00,0.00,4.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6178618,7.00,8.00,5.00,7.00,7.00,10.50,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6178626,3.00,6.00,0.00,1.00,7.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6178634,6.00,5.00,2.00,4.00,9.00,9.75,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6178650,5.00,5.00,5.00,6.00,7.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6178685,4.00,5.00,2.00,4.00,9.00,8.63,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6178693,7.00,7.00,2.00,7.00,9.00,10.13,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6178707,8.00,8.00,6.00,6.00,10.00,11.63,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6178723,6.00,5.00,1.00,6.00,8.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6178731,3.00,2.00,1.00,3.00,5.00,7.50,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6178740,5.00,3.00,3.00,3.00,4.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6178758,5.00,6.00,2.00,5.00,9.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6178774,5.00,4.00,3.00,4.00,6.00,7.50,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6178782,7.00,4.00,6.00,6.00,8.00,7.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6178790,7.00,5.00,2.00,3.00,8.00,9.00,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6178804,3.00,5.00,0.00,2.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6178812,5.00,7.00,8.00,6.00,6.00,8.25,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6178820,6.00,5.00,3.00,5.00,9.00,9.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6178839,5.00,5.00,5.00,6.00,5.00,8.63,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6178847,7.00,7.00,2.00,5.00,9.00,8.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6178855,2.00,2.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6178863,5.00,5.00,4.00,5.00,7.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6178871,3.00,2.00,3.00,2.00,4.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6178880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6178898,6.00,4.00,3.00,3.00,6.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6178901,6.00,7.00,6.00,7.00,7.00,10.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6178910,7.00,7.00,4.00,6.00,9.00,9.38,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6178928,4.00,4.00,1.00,5.00,6.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6178936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6178944,6.00,5.00,7.00,6.00,10.00,11.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6178952,7.00,7.00,9.00,6.00,8.00,11.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6178979,3.00,4.00,1.00,2.00,8.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6178987,6.00,1.00,0.00,3.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6179002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6179010,2.00,4.00,2.00,5.00,5.00,5.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6179029,3.00,4.00,0.00,2.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6179037,3.00,0.00,2.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6179045,2.00,6.00,1.00,2.00,5.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6179061,4.00,4.00,2.00,5.00,7.00,8.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6179070,5.00,4.00,1.00,2.00,6.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6179088,6.00,4.00,2.00,4.00,8.00,7.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6179096,5.00,5.00,1.00,5.00,6.00,9.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6179100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6179118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6179126,7.00,7.00,6.00,3.00,10.00,10.88,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6179134,1.00,0.00,0.00,1.00,1.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6179142,7.00,5.00,6.00,5.00,10.00,10.88,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6179150,5.00,6.00,2.00,5.00,8.00,9.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6179169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6179185,2.00,2.00,3.00,3.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6179207,7.00,5.00,2.00,6.00,5.00,6.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6179215,3.00,2.00,1.00,2.00,8.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6179223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6179231,9.00,7.00,9.00,7.00,10.00,11.63,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6179240,4.00,4.00,0.00,2.00,5.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6179258,7.00,6.00,5.00,3.00,7.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6179266,2.00,0.00,2.00,2.00,4.00,5.63,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6179274,6.00,6.00,7.00,6.00,8.00,8.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6179282,2.00,6.00,2.00,3.00,6.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6179290,5.00,6.00,3.00,6.00,7.00,9.38,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6179304,3.00,5.00,2.00,0.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6179312,8.00,7.00,4.00,5.00,7.00,11.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6179347,5.00,7.00,5.00,5.00,7.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6179355,6.00,8.00,3.00,5.00,8.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6179363,6.00,5.00,4.00,5.00,5.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6179371,2.00,5.00,1.00,4.00,6.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6179380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6179398,5.00,5.00,0.00,4.00,8.00,6.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6179401,4.00,6.00,4.00,3.00,8.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6179410,5.00,6.00,3.00,4.00,7.00,10.13,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6179428,7.00,3.00,5.00,6.00,9.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6179436,4.00,7.00,5.00,6.00,10.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6179452,6.00,7.00,0.00,7.00,9.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6179460,4.00,3.00,4.00,3.00,6.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6179479,3.00,5.00,4.00,4.00,4.00,10.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6179487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6179495,6.00,4.00,4.00,5.00,9.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6179509,2.00,1.00,1.00,3.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6179517,3.00,6.00,2.00,3.00,8.00,9.00,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6179525,4.00,3.00,3.00,4.00,7.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6179533,7.00,6.00,2.00,5.00,5.00,8.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6179541,5.00,6.00,2.00,5.00,5.00,9.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6179550,3.00,2.00,0.00,1.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6179568,4.00,3.00,0.00,5.00,4.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6179576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6179584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6179592,3.00,0.00,3.00,2.00,1.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6179606,6.00,4.00,2.00,5.00,7.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6179614,8.00,8.00,5.00,7.00,9.00,12.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6179622,4.00,6.00,2.00,5.00,4.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6179630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6179649,4.00,2.00,2.00,5.00,6.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6179657,6.00,6.00,5.00,7.00,9.00,9.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6179665,7.00,4.00,6.00,6.00,8.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6179690,8.00,7.00,4.00,6.00,8.00,10.88,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6179703,4.00,5.00,3.00,3.00,7.00,11.25,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6179711,3.00,5.00,1.00,4.00,6.00,8.25,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6179720,5.00,6.00,3.00,5.00,7.00,6.75,1.00,9.00,4.00,NULL,NULL,NULL,'N'),(25,6179738,4.00,7.00,9.00,6.00,8.00,7.88,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6179746,1.00,3.00,3.00,2.00,7.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6179754,1.00,3.00,1.00,2.00,4.00,0.00,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6179762,5.00,4.00,3.00,6.00,6.00,7.13,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6179770,2.00,3.00,1.00,6.00,6.00,8.25,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6179789,7.00,8.00,5.00,6.00,9.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6179797,3.00,0.00,3.00,2.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6179800,4.00,4.00,1.00,4.00,4.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6179819,3.00,5.00,2.00,4.00,6.00,8.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6179827,5.00,6.00,2.00,7.00,9.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6179843,2.00,4.00,2.00,3.00,7.00,6.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6179851,7.00,7.00,4.00,5.00,7.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6179860,8.00,6.00,5.00,4.00,10.00,7.13,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6179878,6.00,5.00,3.00,3.00,6.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6179894,8.00,5.00,2.00,4.00,9.00,12.38,0.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6179908,2.00,4.00,1.00,2.00,4.00,8.63,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6179916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6179924,5.00,4.00,4.00,5.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6179932,8.00,7.00,6.00,6.00,10.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6179959,9.00,7.00,3.00,5.00,8.00,9.75,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6179967,3.00,4.00,1.00,5.00,3.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6179975,2.00,4.00,1.00,3.00,5.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6179991,2.00,2.00,1.00,3.00,3.00,5.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6180000,5.00,8.00,3.00,7.00,8.00,9.38,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6180019,7.00,8.00,3.00,6.00,8.00,8.63,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6180027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6180035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6180051,3.00,3.00,2.00,4.00,6.00,7.50,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6180060,2.00,3.00,0.00,4.00,6.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6180078,3.00,7.00,1.00,5.00,7.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6180086,9.00,6.00,5.00,6.00,9.00,9.75,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6180108,7.00,6.00,0.00,5.00,7.00,12.38,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6180116,4.00,5.00,2.00,3.00,5.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6180124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6180132,6.00,6.00,5.00,5.00,8.00,8.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6180140,6.00,3.00,1.00,4.00,7.00,9.75,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6180167,4.00,3.00,2.00,3.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6180175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6180183,6.00,5.00,1.00,3.00,9.00,8.63,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6180205,3.00,3.00,1.00,3.00,3.00,6.00,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6180213,9.00,8.00,4.00,7.00,8.00,9.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6180230,5.00,6.00,1.00,1.00,7.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6180248,4.00,4.00,2.00,4.00,9.00,12.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6180256,3.00,5.00,1.00,7.00,8.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6180264,9.00,7.00,7.00,7.00,10.00,10.88,4.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6180272,5.00,5.00,1.00,6.00,8.00,7.88,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6180280,7.00,7.00,7.00,5.00,9.00,9.38,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6180299,3.00,4.00,3.00,5.00,8.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6180302,6.00,5.00,1.00,3.00,8.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6180310,7.00,7.00,4.00,7.00,10.00,10.88,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6180329,2.00,4.00,2.00,5.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6180337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6180345,3.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6180361,6.00,6.00,3.00,7.00,9.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6180370,6.00,7.00,4.00,7.00,9.00,12.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6180388,6.00,6.00,1.00,6.00,7.00,9.75,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6180418,1.00,2.00,1.00,3.00,5.00,9.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6180434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6180442,5.00,8.00,5.00,7.00,4.00,11.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6180450,5.00,4.00,3.00,5.00,7.00,5.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6180469,4.00,5.00,3.00,3.00,6.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6180477,6.00,4.00,6.00,6.00,7.00,9.38,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6180485,2.00,5.00,0.00,3.00,7.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6180493,4.00,3.00,0.00,3.00,5.00,9.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6180507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6180515,5.00,6.00,4.00,6.00,9.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6180531,3.00,8.00,2.00,7.00,9.00,9.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6180566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6180582,1.00,4.00,3.00,1.00,5.00,9.38,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6180590,2.00,5.00,3.00,3.00,7.00,NULL,3.00,0.00,1.00,NULL,NULL,'S','N'),(25,6180612,6.00,5.00,3.00,5.00,7.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6180639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6180647,7.00,5.00,4.00,6.00,5.00,9.00,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6180655,4.00,4.00,5.00,6.00,5.00,10.13,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6180663,4.00,5.00,2.00,6.00,9.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6180680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6180701,8.00,6.00,5.00,6.00,8.00,9.75,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6180710,3.00,4.00,2.00,1.00,5.00,7.88,2.00,1.00,0.00,NULL,NULL,NULL,'S'),(25,6180728,2.00,5.00,4.00,2.00,7.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6180736,5.00,2.00,4.00,4.00,4.00,7.50,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6180744,6.00,4.00,1.00,5.00,5.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6180752,2.00,4.00,2.00,4.00,5.00,8.63,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6180760,1.00,5.00,2.00,2.00,6.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6180779,6.00,7.00,2.00,6.00,10.00,11.25,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6180809,8.00,5.00,3.00,5.00,6.00,10.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6180817,2.00,5.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6180825,9.00,8.00,8.00,7.00,9.00,9.75,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6180833,5.00,6.00,4.00,6.00,8.00,12.00,1.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6180841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6180850,5.00,5.00,3.00,3.00,9.00,11.63,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6180876,6.00,6.00,2.00,2.00,5.00,8.63,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6180884,7.00,5.00,3.00,3.00,10.00,8.63,0.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6180892,2.00,5.00,1.00,2.00,5.00,6.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6180906,4.00,6.00,3.00,5.00,8.00,9.38,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6180914,5.00,7.00,1.00,5.00,7.00,10.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6180922,5.00,4.00,0.00,4.00,6.00,0.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6180930,3.00,4.00,0.00,5.00,6.00,9.75,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6180949,2.00,2.00,0.00,1.00,4.00,7.13,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6180957,6.00,7.00,2.00,4.00,5.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6180965,3.00,4.00,3.00,4.00,6.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6180973,6.00,6.00,3.00,4.00,8.00,5.25,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6180981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6180990,3.00,3.00,2.00,0.00,4.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6181007,5.00,6.00,4.00,3.00,8.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6181031,6.00,6.00,4.00,6.00,6.00,7.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6181040,7.00,7.00,4.00,5.00,7.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6181058,6.00,4.00,4.00,4.00,8.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6181066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6181082,2.00,6.00,1.00,3.00,2.00,NULL,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6181112,7.00,6.00,4.00,3.00,8.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6181120,3.00,6.00,0.00,7.00,6.00,8.25,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6181139,6.00,4.00,3.00,5.00,7.00,9.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6181147,3.00,3.00,2.00,3.00,4.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6181155,6.00,6.00,3.00,4.00,8.00,10.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6181163,3.00,2.00,1.00,1.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6181180,4.00,3.00,3.00,4.00,7.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6181198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6181201,6.00,7.00,1.00,4.00,6.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6181210,6.00,6.00,6.00,4.00,7.00,10.13,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6181228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6181236,5.00,3.00,3.00,5.00,3.00,5.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6181244,3.00,4.00,2.00,5.00,4.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6181252,6.00,7.00,6.00,4.00,8.00,11.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6181260,3.00,3.00,2.00,4.00,5.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6181287,2.00,5.00,3.00,2.00,3.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6181295,7.00,7.00,0.00,7.00,11.00,10.88,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6181309,5.00,8.00,3.00,4.00,7.00,7.88,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6181317,4.00,4.00,0.00,3.00,4.00,9.38,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6181325,7.00,7.00,3.00,7.00,8.00,8.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6181341,3.00,6.00,0.00,5.00,8.00,9.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6181350,2.00,4.00,1.00,4.00,6.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6181384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6181392,3.00,6.00,2.00,5.00,5.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6181406,6.00,4.00,3.00,5.00,7.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6181422,9.00,7.00,2.00,6.00,9.00,6.75,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6181449,8.00,5.00,5.00,4.00,10.00,10.50,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6181465,6.00,5.00,4.00,4.00,6.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6181481,6.00,5.00,3.00,5.00,8.00,8.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6181490,8.00,5.00,5.00,7.00,9.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6181503,3.00,6.00,6.00,7.00,7.00,10.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6181511,4.00,4.00,1.00,3.00,7.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6181538,4.00,6.00,2.00,5.00,6.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6181554,5.00,6.00,1.00,5.00,9.00,10.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6181562,3.00,2.00,0.00,2.00,4.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6181570,6.00,5.00,5.00,5.00,9.00,9.00,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6181589,3.00,5.00,1.00,3.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6181597,3.00,4.00,1.00,4.00,6.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6181600,8.00,7.00,3.00,6.00,6.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6181627,4.00,3.00,3.00,5.00,5.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6181635,5.00,5.00,3.00,5.00,7.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6181643,7.00,6.00,1.00,5.00,5.00,10.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6181660,3.00,6.00,3.00,6.00,7.00,11.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6181716,3.00,3.00,1.00,1.00,5.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6181732,6.00,7.00,4.00,5.00,8.00,9.75,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6181740,3.00,5.00,2.00,5.00,3.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6181759,3.00,5.00,4.00,3.00,4.00,5.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6181767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6181775,8.00,6.00,7.00,7.00,7.00,10.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6181791,2.00,3.00,2.00,2.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6181805,5.00,5.00,3.00,3.00,9.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6181813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6181821,4.00,6.00,4.00,5.00,8.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6181830,2.00,4.00,1.00,3.00,5.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6181848,2.00,4.00,2.00,2.00,5.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6181864,4.00,4.00,0.00,3.00,5.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6181872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6181880,6.00,5.00,2.00,6.00,10.00,9.75,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6181899,6.00,6.00,1.00,7.00,6.00,10.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6181902,3.00,4.00,1.00,1.00,4.00,6.00,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6181910,5.00,6.00,2.00,3.00,4.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6181929,6.00,5.00,2.00,7.00,7.00,8.25,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6181937,6.00,6.00,5.00,4.00,8.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6181945,3.00,2.00,1.00,4.00,5.00,6.75,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6181953,6.00,5.00,2.00,4.00,9.00,10.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6181970,5.00,5.00,4.00,6.00,7.00,7.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6181988,6.00,7.00,0.00,6.00,9.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6181996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6182003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6182020,5.00,4.00,2.00,2.00,4.00,4.50,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6182046,8.00,5.00,3.00,7.00,9.00,11.25,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6182054,5.00,3.00,3.00,3.00,6.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6182062,2.00,6.00,0.00,3.00,6.00,7.50,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6182070,5.00,8.00,2.00,6.00,8.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6182089,6.00,5.00,2.00,2.00,7.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6182097,6.00,8.00,4.00,5.00,10.00,11.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6182100,6.00,7.00,2.00,7.00,8.00,10.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6182119,3.00,3.00,3.00,4.00,10.00,7.13,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6182127,8.00,5.00,8.00,4.00,8.00,11.25,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6182135,5.00,2.00,4.00,4.00,7.00,9.00,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6182143,7.00,5.00,2.00,6.00,7.00,9.00,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6182151,5.00,4.00,2.00,5.00,7.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6182160,8.00,6.00,2.00,6.00,7.00,10.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6182178,5.00,6.00,0.00,4.00,6.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6182186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6182208,4.00,5.00,4.00,7.00,6.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6182216,6.00,7.00,3.00,6.00,9.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6182224,3.00,6.00,3.00,7.00,6.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6182232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6182240,4.00,4.00,1.00,2.00,6.00,7.88,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6182259,7.00,4.00,5.00,5.00,6.00,7.50,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6182267,7.00,7.00,3.00,5.00,6.00,9.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6182275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6182283,4.00,6.00,3.00,6.00,8.00,10.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6182291,4.00,4.00,1.00,3.00,6.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6182305,2.00,0.00,3.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6182321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6182348,5.00,6.00,5.00,5.00,6.00,9.75,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6182356,7.00,0.00,6.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6182364,4.00,5.00,1.00,3.00,9.00,7.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6182372,3.00,4.00,3.00,4.00,4.00,7.88,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6182380,3.00,3.00,2.00,3.00,3.00,4.88,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6182402,4.00,4.00,2.00,5.00,7.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6182410,4.00,2.00,1.00,1.00,5.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6182437,4.00,4.00,3.00,5.00,4.00,6.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6182445,6.00,7.00,2.00,4.00,6.00,10.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6182453,2.00,4.00,0.00,3.00,8.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6182461,9.00,6.00,4.00,7.00,9.00,7.13,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6182470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6182488,2.00,5.00,0.00,4.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6182496,9.00,0.00,5.00,7.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6182500,8.00,4.00,3.00,6.00,9.00,9.75,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6182526,4.00,5.00,4.00,5.00,8.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6182534,4.00,3.00,3.00,5.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6182542,1.00,4.00,3.00,7.00,6.00,10.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6182550,4.00,7.00,2.00,4.00,10.00,8.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6182577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6182585,5.00,4.00,0.00,2.00,7.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6182607,3.00,3.00,0.00,1.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6182615,5.00,4.00,1.00,5.00,4.00,7.13,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6182623,2.00,5.00,3.00,3.00,7.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6182631,4.00,4.00,1.00,0.00,6.00,6.75,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6182640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6182666,6.00,5.00,4.00,6.00,4.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6182674,6.00,5.00,4.00,4.00,8.00,10.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6182682,1.00,3.00,2.00,3.00,6.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6182690,8.00,6.00,3.00,4.00,9.00,10.13,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6182704,1.00,5.00,3.00,3.00,4.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6182712,8.00,6.00,2.00,4.00,6.00,10.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6182720,8.00,7.00,4.00,7.00,9.00,9.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6182739,2.00,2.00,2.00,4.00,7.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6182755,6.00,5.00,3.00,4.00,8.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6182763,4.00,0.00,6.00,8.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6182771,4.00,4.00,1.00,3.00,8.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6182780,5.00,6.00,3.00,7.00,10.00,9.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6182798,5.00,5.00,4.00,7.00,9.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6182801,6.00,4.00,2.00,4.00,9.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6182810,9.00,6.00,5.00,7.00,10.00,10.13,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6182828,4.00,4.00,3.00,6.00,5.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6182836,3.00,3.00,2.00,3.00,6.00,6.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6182844,4.00,5.00,1.00,5.00,8.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6182852,2.00,6.00,1.00,2.00,8.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6182879,5.00,6.00,3.00,4.00,7.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6182887,5.00,3.00,2.00,4.00,7.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6182895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6182909,5.00,7.00,3.00,6.00,8.00,9.38,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6182917,4.00,3.00,0.00,1.00,7.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6182941,4.00,4.00,1.00,7.00,8.00,9.38,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6182950,6.00,5.00,0.00,4.00,7.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6182968,8.00,6.00,5.00,5.00,8.00,9.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6182976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6182984,0.00,4.00,4.00,3.00,8.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6182992,9.00,9.00,9.00,6.00,10.00,10.88,4.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6183000,3.00,7.00,1.00,2.00,6.00,9.00,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6183018,4.00,4.00,2.00,4.00,5.00,13.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6183026,4.00,7.00,3.00,5.00,9.00,10.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6183034,7.00,6.00,5.00,7.00,7.00,8.63,1.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6183042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6183050,3.00,5.00,0.00,5.00,7.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6183069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6183077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6183107,7.00,7.00,5.00,7.00,9.00,14.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6183115,1.00,4.00,2.00,3.00,6.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6183123,7.00,7.00,4.00,7.00,9.00,8.63,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6183131,5.00,6.00,2.00,1.00,5.00,7.13,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(25,6183140,8.00,6.00,3.00,7.00,10.00,10.88,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6183158,5.00,5.00,6.00,4.00,7.00,9.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6183166,5.00,7.00,4.00,4.00,6.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6183174,4.00,7.00,3.00,2.00,6.00,9.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6183182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6183190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6183212,4.00,4.00,2.00,5.00,6.00,7.50,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6183220,7.00,8.00,7.00,7.00,9.00,9.38,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6183247,4.00,3.00,0.00,4.00,8.00,8.63,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6183255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6183263,6.00,5.00,4.00,6.00,8.00,7.50,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6183271,6.00,7.00,3.00,6.00,10.00,9.00,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6183280,8.00,4.00,6.00,7.00,6.00,9.38,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6183301,8.00,7.00,4.00,7.00,9.00,12.00,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6183310,5.00,6.00,3.00,6.00,6.00,6.75,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6183336,2.00,6.00,2.00,4.00,7.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6183344,1.00,4.00,1.00,5.00,7.00,9.00,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6183352,1.00,4.00,1.00,1.00,4.00,9.38,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6183360,6.00,6.00,3.00,7.00,8.00,9.00,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6183379,2.00,4.00,0.00,4.00,7.00,10.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6183387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6183395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6183409,5.00,7.00,2.00,4.00,6.00,9.38,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6183417,5.00,2.00,1.00,1.00,3.00,10.13,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6183425,2.00,5.00,2.00,5.00,7.00,9.38,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6183433,3.00,4.00,3.00,4.00,8.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6183441,5.00,6.00,2.00,4.00,5.00,NULL,1.00,4.00,5.00,NULL,NULL,'S','N'),(25,6183468,2.00,2.00,2.00,2.00,3.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6183476,8.00,5.00,6.00,5.00,7.00,11.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6183484,4.00,7.00,1.00,5.00,7.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6183492,5.00,4.00,1.00,6.00,6.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6183506,6.00,6.00,0.00,2.00,9.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6183514,4.00,4.00,3.00,3.00,8.00,7.88,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6183522,6.00,6.00,3.00,7.00,7.00,9.00,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6183530,5.00,5.00,0.00,4.00,9.00,7.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6183549,2.00,4.00,1.00,2.00,6.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6183565,6.00,4.00,3.00,5.00,6.00,0.00,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6183573,5.00,5.00,2.00,6.00,9.00,10.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6183581,7.00,3.00,2.00,7.00,7.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6183590,2.00,4.00,1.00,2.00,4.00,6.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6183603,3.00,3.00,3.00,5.00,7.00,10.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6183611,7.00,4.00,2.00,4.00,4.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6183620,6.00,8.00,2.00,7.00,9.00,10.13,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6183638,4.00,6.00,5.00,4.00,8.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6183654,3.00,3.00,1.00,3.00,4.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6183662,7.00,5.00,5.00,6.00,5.00,9.00,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6183670,2.00,2.00,0.00,3.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6183719,8.00,5.00,7.00,5.00,9.00,7.88,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6183727,8.00,6.00,5.00,6.00,9.00,8.63,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6183735,4.00,4.00,1.00,5.00,7.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6183751,1.00,1.00,1.00,2.00,5.00,5.63,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6183760,3.00,4.00,1.00,3.00,6.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6183778,5.00,5.00,2.00,7.00,6.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6183786,6.00,7.00,3.00,7.00,7.00,13.13,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6183794,3.00,5.00,3.00,4.00,6.00,7.13,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6183808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6183832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6183840,2.00,3.00,1.00,2.00,4.00,6.00,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6183859,4.00,6.00,2.00,3.00,8.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6183867,4.00,5.00,4.00,3.00,6.00,7.88,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6183875,6.00,6.00,2.00,5.00,7.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6183883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6183891,4.00,0.00,1.00,2.00,5.00,7.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6183905,4.00,6.00,2.00,1.00,7.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6183913,5.00,5.00,2.00,4.00,5.00,9.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6183930,3.00,6.00,4.00,1.00,4.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6183948,4.00,3.00,2.00,5.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,'S','N'),(25,6183964,3.00,7.00,3.00,2.00,6.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6183972,5.00,5.00,2.00,6.00,7.00,10.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6183980,3.00,6.00,5.00,6.00,8.00,11.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6183999,1.00,5.00,2.00,4.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6184006,5.00,5.00,4.00,6.00,8.00,12.00,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6184014,4.00,4.00,4.00,4.00,5.00,6.75,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6184022,3.00,6.00,4.00,2.00,8.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6184030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6184049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6184057,5.00,7.00,2.00,4.00,5.00,4.88,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6184065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6184073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6184081,7.00,5.00,4.00,6.00,9.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6184090,3.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6184103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6184111,5.00,5.00,0.00,4.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6184120,6.00,7.00,6.00,5.00,6.00,9.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6184138,6.00,5.00,3.00,6.00,10.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6184146,2.00,5.00,2.00,2.00,7.00,7.13,4.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6184197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6184219,8.00,8.00,4.00,5.00,8.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6184227,3.00,6.00,4.00,5.00,7.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6184235,8.00,5.00,4.00,3.00,7.00,4.88,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6184243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6184251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6184260,7.00,6.00,1.00,4.00,8.00,12.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6184278,4.00,3.00,2.00,7.00,5.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6184286,5.00,7.00,5.00,7.00,9.00,11.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6184332,1.00,6.00,2.00,5.00,7.00,7.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6184340,5.00,5.00,2.00,6.00,8.00,8.25,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6184359,2.00,5.00,1.00,4.00,4.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6184367,4.00,3.00,1.00,3.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6184375,5.00,5.00,1.00,4.00,9.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6184383,2.00,5.00,2.00,2.00,4.00,6.75,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6184405,3.00,2.00,1.00,3.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6184413,2.00,6.00,0.00,4.00,6.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6184421,5.00,6.00,2.00,7.00,9.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6184430,5.00,6.00,2.00,2.00,6.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6184448,5.00,4.00,3.00,5.00,8.00,8.63,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6184456,5.00,5.00,1.00,7.00,7.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6184464,4.00,6.00,4.00,7.00,8.00,9.00,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6184472,2.00,5.00,2.00,1.00,6.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6184480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6184499,3.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6184502,5.00,7.00,6.00,6.00,9.00,10.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6184510,2.00,1.00,1.00,2.00,8.00,7.50,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6184529,3.00,4.00,2.00,2.00,3.00,4.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6184537,5.00,5.00,2.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6184545,3.00,6.00,2.00,3.00,6.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6184553,8.00,5.00,4.00,7.00,10.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6184561,5.00,6.00,4.00,3.00,8.00,9.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6184588,5.00,2.00,1.00,2.00,4.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'S'),(25,6184596,6.00,5.00,6.00,6.00,9.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6184600,3.00,4.00,3.00,4.00,4.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6184618,4.00,0.00,4.00,1.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6184626,4.00,5.00,3.00,2.00,8.00,6.75,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6184634,3.00,4.00,0.00,5.00,5.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6184642,7.00,7.00,4.00,5.00,8.00,9.38,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6184650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6184669,7.00,7.00,4.00,6.00,9.00,6.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6184677,7.00,6.00,4.00,5.00,9.00,9.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6184685,5.00,5.00,3.00,4.00,8.00,9.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6184693,4.00,8.00,3.00,4.00,7.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6184707,6.00,4.00,3.00,4.00,7.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6184715,3.00,7.00,2.00,6.00,9.00,7.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6184723,2.00,3.00,0.00,1.00,7.00,6.38,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6184731,5.00,6.00,3.00,3.00,8.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6184740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6184820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6184839,4.00,5.00,2.00,3.00,7.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6184847,1.00,3.00,2.00,1.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6184863,7.00,6.00,3.00,6.00,7.00,9.38,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6184871,4.00,5.00,3.00,7.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6184880,5.00,7.00,2.00,3.00,8.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6184901,5.00,5.00,1.00,7.00,7.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6184910,3.00,2.00,2.00,3.00,8.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6184928,5.00,6.00,4.00,6.00,8.00,12.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6184936,2.00,5.00,2.00,4.00,5.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6184944,5.00,3.00,1.00,7.00,8.00,8.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6184952,2.00,5.00,3.00,3.00,7.00,10.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6184960,2.00,3.00,2.00,2.00,1.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6184979,3.00,5.00,2.00,4.00,6.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6184987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6184995,8.00,7.00,2.00,7.00,10.00,10.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6185002,5.00,6.00,2.00,3.00,8.00,10.88,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6185037,2.00,4.00,0.00,5.00,7.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6185045,5.00,6.00,2.00,7.00,8.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6185061,3.00,5.00,1.00,5.00,8.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6185070,5.00,4.00,1.00,4.00,6.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6185096,5.00,6.00,1.00,4.00,5.00,6.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6185100,6.00,3.00,2.00,2.00,7.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6185118,1.00,4.00,0.00,3.00,4.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6185126,7.00,4.00,0.00,5.00,6.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6185134,5.00,4.00,3.00,3.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6185142,8.00,7.00,6.00,5.00,8.00,10.88,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6185150,2.00,2.00,2.00,0.00,6.00,9.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6185169,8.00,6.00,4.00,7.00,8.00,7.88,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6185177,5.00,3.00,3.00,2.00,6.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6185185,7.00,4.00,1.00,3.00,8.00,7.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6185193,7.00,8.00,6.00,6.00,10.00,10.88,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6185207,1.00,5.00,2.00,5.00,5.00,7.88,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6185215,3.00,6.00,2.00,1.00,7.00,6.38,0.00,4.00,0.00,NULL,NULL,NULL,'S'),(25,6185223,2.00,3.00,1.00,3.00,4.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6185231,3.00,5.00,3.00,6.00,6.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6185240,4.00,6.00,2.00,4.00,6.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6185266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6185274,2.00,4.00,0.00,3.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6185290,6.00,6.00,2.00,5.00,9.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6185304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6185312,4.00,6.00,3.00,5.00,5.00,6.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6185339,7.00,8.00,5.00,6.00,9.00,11.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6185347,4.00,5.00,2.00,5.00,5.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6185355,4.00,6.00,1.00,5.00,7.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6185363,1.00,4.00,0.00,4.00,4.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6185380,2.00,4.00,3.00,5.00,4.00,5.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6185398,6.00,7.00,4.00,7.00,8.00,10.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6185401,5.00,6.00,2.00,4.00,8.00,10.13,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6185410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6185428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6185444,2.00,1.00,1.00,1.00,0.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6185452,8.00,6.00,7.00,6.00,10.00,8.63,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6185460,2.00,3.00,0.00,3.00,6.00,9.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6185479,3.00,5.00,2.00,1.00,3.00,5.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6185487,3.00,3.00,3.00,3.00,6.00,6.75,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6185495,7.00,5.00,3.00,3.00,7.00,7.88,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6185509,5.00,4.00,4.00,4.00,6.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6185517,8.00,7.00,5.00,5.00,8.00,10.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6185525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6185533,5.00,6.00,1.00,4.00,8.00,11.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6185541,6.00,7.00,2.00,3.00,9.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6185550,1.00,1.00,1.00,3.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6185568,2.00,5.00,1.00,3.00,5.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6185576,7.00,5.00,1.00,6.00,10.00,9.00,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6185584,6.00,6.00,2.00,5.00,7.00,9.38,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6185592,8.00,8.00,4.00,5.00,10.00,11.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6185606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6185614,2.00,5.00,2.00,6.00,6.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6185622,5.00,5.00,4.00,5.00,8.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6185630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6185657,1.00,5.00,2.00,3.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6185665,3.00,3.00,1.00,3.00,5.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6185681,1.00,6.00,2.00,4.00,7.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6185690,4.00,5.00,1.00,3.00,6.00,10.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6185703,2.00,3.00,1.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6185711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6185720,5.00,6.00,2.00,2.00,4.00,9.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6185738,8.00,5.00,1.00,3.00,6.00,9.00,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6185762,6.00,8.00,2.00,3.00,8.00,10.50,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6185770,4.00,6.00,2.00,5.00,6.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6185819,4.00,3.00,1.00,5.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6185827,8.00,6.00,2.00,5.00,7.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6185835,9.00,8.00,4.00,7.00,9.00,9.38,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6185851,7.00,6.00,6.00,6.00,6.00,10.50,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6185860,8.00,8.00,5.00,7.00,10.00,10.13,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6185878,5.00,5.00,1.00,7.00,10.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6185886,2.00,2.00,1.00,2.00,4.00,6.38,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6185894,2.00,4.00,2.00,6.00,6.00,9.75,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6185908,4.00,8.00,3.00,6.00,7.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6185916,1.00,4.00,4.00,3.00,6.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6185924,3.00,0.00,2.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6185932,4.00,4.00,2.00,4.00,6.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6185940,1.00,1.00,0.00,4.00,4.00,7.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6185959,3.00,2.00,3.00,2.00,3.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6185967,4.00,2.00,5.00,2.00,6.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6185975,4.00,4.00,4.00,5.00,9.00,9.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6185983,3.00,5.00,1.00,5.00,4.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6186009,1.00,2.00,0.00,2.00,6.00,11.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6186017,3.00,3.00,3.00,3.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6186025,3.00,6.00,3.00,6.00,5.00,8.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6186033,6.00,7.00,4.00,6.00,9.00,11.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6186041,5.00,7.00,3.00,6.00,9.00,7.88,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6186050,4.00,6.00,4.00,4.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6186068,6.00,4.00,8.00,5.00,5.00,8.63,7.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6186076,8.00,8.00,6.00,7.00,9.00,10.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6186084,3.00,4.00,4.00,7.00,7.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6186092,3.00,6.00,0.00,5.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6186106,3.00,6.00,4.00,5.00,7.00,7.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6186114,4.00,2.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6186122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6186149,8.00,8.00,5.00,6.00,7.00,7.13,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6186157,3.00,3.00,6.00,7.00,4.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6186165,4.00,8.00,1.00,5.00,9.00,7.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6186173,2.00,5.00,3.00,1.00,3.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6186181,4.00,6.00,2.00,6.00,8.00,10.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6186190,5.00,7.00,2.00,6.00,6.00,7.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6186203,7.00,6.00,6.00,5.00,9.00,8.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6186211,2.00,3.00,5.00,2.00,5.00,7.88,2.00,0.00,4.00,NULL,NULL,NULL,'S'),(25,6186220,6.00,8.00,4.00,6.00,9.00,7.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6186238,6.00,6.00,4.00,7.00,9.00,11.25,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6186246,4.00,3.00,4.00,2.00,9.00,12.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6186254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6186262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6186270,6.00,6.00,5.00,7.00,11.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6186297,6.00,4.00,0.00,1.00,8.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6186300,8.00,6.00,4.00,7.00,7.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6186319,7.00,5.00,5.00,7.00,10.00,8.63,0.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6186327,4.00,8.00,3.00,5.00,6.00,9.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6186335,3.00,2.00,2.00,5.00,6.00,11.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6186343,4.00,7.00,5.00,4.00,3.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6186360,3.00,5.00,1.00,0.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6186378,5.00,7.00,1.00,4.00,4.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6186394,7.00,6.00,4.00,6.00,9.00,8.25,1.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6186408,5.00,6.00,3.00,6.00,7.00,10.88,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6186416,5.00,4.00,2.00,7.00,7.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6186424,2.00,3.00,3.00,7.00,5.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6186432,7.00,3.00,3.00,4.00,7.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6186440,6.00,5.00,4.00,7.00,9.00,11.63,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6186459,2.00,4.00,1.00,2.00,6.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6186467,1.00,4.00,2.00,2.00,6.00,7.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6186475,5.00,6.00,0.00,5.00,7.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6186505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6186513,2.00,5.00,0.00,5.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6186521,4.00,5.00,0.00,3.00,4.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6186530,3.00,4.00,1.00,4.00,8.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6186548,5.00,6.00,0.00,3.00,7.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6186556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6186564,2.00,5.00,0.00,5.00,6.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6186572,2.00,4.00,1.00,2.00,4.00,7.50,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6186580,3.00,5.00,0.00,3.00,7.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6186599,4.00,7.00,3.00,5.00,6.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6186602,9.00,8.00,8.00,6.00,8.00,12.00,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6186610,4.00,5.00,2.00,3.00,3.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6186637,8.00,7.00,1.00,7.00,9.00,10.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6186645,1.00,4.00,1.00,3.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6186653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6186661,5.00,4.00,3.00,4.00,5.00,0.00,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6186670,6.00,5.00,2.00,7.00,8.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6186688,2.00,2.00,1.00,4.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6186696,8.00,7.00,2.00,6.00,8.00,10.88,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6186700,9.00,7.00,7.00,7.00,11.00,11.25,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6186718,3.00,1.00,1.00,3.00,5.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6186726,7.00,8.00,6.00,7.00,8.00,9.75,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6186734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6186742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6186750,5.00,7.00,3.00,6.00,9.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6186769,1.00,2.00,1.00,3.00,7.00,5.63,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6186777,7.00,7.00,2.00,6.00,8.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6186785,4.00,5.00,2.00,2.00,8.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6186793,7.00,8.00,4.00,5.00,6.00,11.25,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6186807,3.00,6.00,2.00,4.00,5.00,4.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6186815,6.00,6.00,2.00,5.00,9.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6186823,2.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6186831,6.00,6.00,2.00,6.00,7.00,10.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6186840,2.00,6.00,0.00,2.00,4.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6186858,3.00,7.00,0.00,3.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6186866,3.00,2.00,3.00,3.00,5.00,7.13,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6186882,2.00,6.00,1.00,1.00,7.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6186890,9.00,6.00,5.00,4.00,8.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6186904,8.00,6.00,3.00,5.00,8.00,11.25,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6186912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6186920,7.00,7.00,6.00,6.00,6.00,9.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6186939,2.00,6.00,1.00,4.00,6.00,8.63,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6186947,5.00,6.00,7.00,4.00,7.00,7.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6186955,8.00,5.00,4.00,2.00,6.00,9.38,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6186963,5.00,5.00,1.00,7.00,7.00,7.88,0.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6186971,9.00,6.00,9.00,6.00,7.00,9.75,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6186998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6187005,2.00,2.00,0.00,2.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6187013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6187021,7.00,7.00,2.00,4.00,8.00,10.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6187030,1.00,3.00,0.00,4.00,8.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6187056,3.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6187064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6187072,8.00,7.00,4.00,6.00,10.00,12.00,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6187080,5.00,4.00,1.00,4.00,7.00,9.38,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6187099,8.00,8.00,3.00,6.00,8.00,10.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6187102,1.00,7.00,2.00,5.00,4.00,6.00,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6187110,4.00,5.00,1.00,4.00,7.00,6.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6187129,7.00,6.00,5.00,4.00,9.00,10.88,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6187137,2.00,6.00,2.00,6.00,6.00,4.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6187145,4.00,4.00,5.00,4.00,4.00,6.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6187153,8.00,6.00,1.00,4.00,8.00,10.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6187170,4.00,4.00,0.00,4.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6187188,7.00,7.00,3.00,6.00,10.00,11.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6187200,9.00,8.00,6.00,7.00,10.00,9.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6187218,9.00,8.00,7.00,7.00,9.00,9.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6187226,8.00,5.00,3.00,6.00,6.00,10.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6187234,4.00,4.00,4.00,3.00,4.00,7.50,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6187242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6187269,8.00,5.00,6.00,4.00,7.00,9.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6187277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6187285,1.00,3.00,0.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6187293,3.00,3.00,2.00,2.00,5.00,8.63,4.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6187307,4.00,5.00,2.00,5.00,7.00,NULL,0.00,7.00,1.00,NULL,NULL,'S','N'),(25,6187315,7.00,4.00,4.00,4.00,8.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6187323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6187331,2.00,4.00,1.00,6.00,5.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6187340,4.00,5.00,6.00,5.00,8.00,12.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6187366,3.00,5.00,3.00,4.00,8.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6187390,2.00,4.00,0.00,2.00,6.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6187404,7.00,7.00,7.00,7.00,9.00,12.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6187412,7.00,3.00,2.00,3.00,4.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6187420,0.00,4.00,1.00,5.00,6.00,5.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6187439,5.00,6.00,2.00,6.00,7.00,9.38,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6187447,5.00,4.00,1.00,2.00,5.00,5.63,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6187463,7.00,5.00,4.00,6.00,9.00,5.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6187471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6187480,9.00,6.00,6.00,5.00,7.00,10.88,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6187501,4.00,6.00,4.00,4.00,9.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6187528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6187544,3.00,4.00,2.00,3.00,4.00,6.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6187552,8.00,6.00,7.00,4.00,8.00,11.63,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6187560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6187595,7.00,7.00,2.00,6.00,7.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6187609,2.00,6.00,1.00,4.00,7.00,7.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6187617,4.00,3.00,1.00,4.00,5.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6187625,2.00,4.00,0.00,3.00,5.00,6.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6187633,6.00,7.00,0.00,6.00,7.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6187641,5.00,5.00,3.00,5.00,8.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6187650,6.00,3.00,0.00,3.00,5.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6187676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6187684,8.00,7.00,4.00,5.00,6.00,7.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6187692,4.00,6.00,1.00,5.00,4.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6187706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6187714,2.00,5.00,1.00,4.00,6.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6187722,6.00,6.00,4.00,4.00,8.00,11.25,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6187730,2.00,4.00,0.00,2.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6187749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6187757,9.00,7.00,5.00,8.00,10.00,9.75,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6187765,3.00,5.00,2.00,2.00,6.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6187773,1.00,4.00,1.00,5.00,3.00,5.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6187781,9.00,6.00,8.00,7.00,9.00,9.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6187790,5.00,4.00,2.00,5.00,6.00,11.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6187803,7.00,2.00,6.00,5.00,6.00,9.75,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6187820,0.00,3.00,2.00,0.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6187838,7.00,7.00,0.00,6.00,8.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6187846,6.00,6.00,2.00,4.00,8.00,7.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6187854,3.00,3.00,3.00,3.00,4.00,7.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6187862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6187870,5.00,7.00,5.00,7.00,9.00,11.25,4.00,8.00,8.00,NULL,NULL,NULL,'S'),(25,6187889,8.00,8.00,3.00,5.00,7.00,7.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6187897,4.00,6.00,3.00,1.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6187900,1.00,5.00,0.00,3.00,7.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6187919,8.00,6.00,5.00,5.00,6.00,10.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6187927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6187935,2.00,7.00,2.00,5.00,8.00,9.75,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6187943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6187951,3.00,3.00,0.00,3.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6187978,6.00,5.00,6.00,6.00,7.00,9.38,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6187986,7.00,6.00,3.00,6.00,8.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6187994,5.00,5.00,2.00,7.00,9.00,8.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6188001,2.00,5.00,3.00,3.00,8.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6188010,3.00,5.00,2.00,3.00,5.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6188044,4.00,4.00,4.00,5.00,6.00,8.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6188052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6188060,9.00,8.00,7.00,7.00,9.00,10.13,2.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6188087,3.00,5.00,0.00,3.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6188095,5.00,5.00,7.00,5.00,5.00,9.38,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6188109,6.00,4.00,3.00,5.00,5.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6188117,5.00,5.00,4.00,6.00,9.00,10.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6188125,3.00,4.00,0.00,3.00,5.00,6.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6188133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6188150,6.00,4.00,2.00,5.00,6.00,8.25,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6188176,7.00,5.00,2.00,4.00,9.00,12.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6188184,5.00,7.00,3.00,4.00,7.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6188192,3.00,4.00,1.00,1.00,5.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6188206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6188214,3.00,4.00,3.00,4.00,6.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6188222,1.00,6.00,2.00,3.00,6.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6188249,6.00,1.00,5.00,4.00,6.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6188257,1.00,5.00,0.00,3.00,5.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6188273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6188281,6.00,7.00,5.00,6.00,7.00,NULL,0.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6188290,8.00,5.00,3.00,3.00,7.00,8.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6188303,5.00,4.00,3.00,5.00,6.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6188311,8.00,8.00,4.00,6.00,7.00,10.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6188320,5.00,6.00,3.00,3.00,6.00,7.88,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6188338,5.00,4.00,6.00,3.00,6.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6188346,4.00,7.00,5.00,3.00,4.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6188354,6.00,7.00,3.00,5.00,8.00,12.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6188389,2.00,5.00,2.00,1.00,4.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6188397,4.00,6.00,1.00,4.00,7.00,12.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6188400,5.00,5.00,1.00,6.00,7.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6188419,2.00,3.00,2.00,2.00,5.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6188427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6188435,4.00,2.00,4.00,4.00,7.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6188443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6188451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6188460,2.00,3.00,2.00,3.00,4.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6188478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6188486,3.00,2.00,0.00,2.00,1.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6188494,4.00,6.00,1.00,4.00,4.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6188524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6188532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6188540,4.00,5.00,4.00,5.00,7.00,6.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6188559,1.00,4.00,1.00,1.00,5.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6188567,6.00,6.00,3.00,4.00,6.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6188575,6.00,6.00,6.00,7.00,6.00,10.88,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6188583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6188591,3.00,6.00,0.00,2.00,10.00,7.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6188605,7.00,7.00,6.00,7.00,9.00,9.38,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6188613,6.00,5.00,4.00,5.00,7.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6188621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6188630,2.00,6.00,3.00,3.00,7.00,8.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6188648,7.00,7.00,7.00,5.00,9.00,9.75,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6188656,7.00,7.00,3.00,6.00,9.00,9.00,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6188664,7.00,7.00,2.00,5.00,8.00,8.63,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6188672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6188680,8.00,7.00,7.00,7.00,10.00,10.88,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6188699,8.00,5.00,3.00,7.00,8.00,10.13,0.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6188702,7.00,8.00,6.00,7.00,10.00,10.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6188729,9.00,8.00,7.00,6.00,9.00,10.13,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6188737,5.00,8.00,1.00,5.00,9.00,11.63,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6188745,3.00,2.00,0.00,2.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6188753,1.00,2.00,2.00,3.00,5.00,5.25,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6188761,4.00,5.00,1.00,4.00,3.00,10.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6188770,6.00,3.00,3.00,6.00,7.00,10.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6188788,3.00,2.00,2.00,5.00,4.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6188796,6.00,6.00,2.00,7.00,7.00,10.88,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6188800,6.00,5.00,5.00,5.00,9.00,9.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6188818,6.00,6.00,1.00,6.00,9.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6188842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6188869,5.00,4.00,0.00,5.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6188885,6.00,3.00,3.00,5.00,10.00,9.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6188893,6.00,6.00,4.00,5.00,2.00,NULL,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6188907,6.00,7.00,3.00,4.00,6.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6188915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6188923,7.00,4.00,3.00,4.00,8.00,NULL,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6188931,5.00,6.00,0.00,6.00,8.00,10.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6188940,3.00,4.00,0.00,2.00,6.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6188958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6188974,7.00,8.00,4.00,7.00,9.00,10.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6188982,2.00,3.00,0.00,1.00,4.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6189008,8.00,6.00,4.00,6.00,8.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6189016,8.00,7.00,4.00,7.00,9.00,12.38,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6189032,3.00,4.00,2.00,6.00,3.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6189059,7.00,5.00,5.00,5.00,8.00,9.38,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6189067,8.00,6.00,3.00,5.00,9.00,9.38,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6189083,2.00,5.00,1.00,5.00,4.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6189091,6.00,4.00,3.00,5.00,7.00,10.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6189105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6189113,2.00,2.00,3.00,3.00,3.00,5.63,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6189121,4.00,4.00,3.00,5.00,7.00,13.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6189130,6.00,7.00,4.00,4.00,8.00,7.88,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6189156,7.00,7.00,4.00,6.00,7.00,10.13,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6189172,3.00,4.00,5.00,3.00,9.00,8.25,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6189180,3.00,4.00,3.00,2.00,3.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6189199,2.00,3.00,1.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6189202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6189210,4.00,4.00,1.00,1.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6189229,3.00,5.00,2.00,5.00,5.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6189237,3.00,3.00,1.00,2.00,6.00,11.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6189245,8.00,8.00,9.00,7.00,10.00,11.63,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6189253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6189270,3.00,2.00,1.00,3.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6189288,2.00,1.00,1.00,3.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6189296,3.00,4.00,2.00,4.00,8.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6189300,4.00,6.00,2.00,3.00,5.00,6.00,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6189334,5.00,5.00,8.00,2.00,6.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6189350,4.00,2.00,0.00,4.00,4.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6189369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6189377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6189385,2.00,2.00,2.00,8.00,5.00,5.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6189393,5.00,5.00,4.00,5.00,5.00,10.13,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6189407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6189423,0.00,4.00,2.00,0.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6189431,6.00,6.00,2.00,7.00,6.00,8.63,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6189440,1.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6189458,5.00,4.00,1.00,6.00,7.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6189482,2.00,2.00,2.00,1.00,3.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6189490,5.00,6.00,6.00,4.00,8.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6189504,3.00,3.00,2.00,3.00,5.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6189512,2.00,4.00,2.00,4.00,6.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6189520,6.00,7.00,6.00,7.00,7.00,9.00,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6189555,3.00,3.00,3.00,4.00,4.00,10.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6189563,1.00,6.00,3.00,6.00,10.00,11.25,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6189580,7.00,7.00,3.00,6.00,9.00,7.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6189610,7.00,5.00,4.00,6.00,7.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6189636,5.00,8.00,2.00,5.00,8.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6189644,1.00,3.00,0.00,2.00,5.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6189652,7.00,7.00,3.00,4.00,7.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6189660,2.00,5.00,1.00,3.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6189687,6.00,6.00,4.00,7.00,9.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6189695,7.00,5.00,2.00,3.00,7.00,NULL,0.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6189709,4.00,5.00,4.00,4.00,8.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6189717,8.00,6.00,7.00,7.00,10.00,12.38,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6189725,4.00,6.00,0.00,6.00,6.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6189733,6.00,7.00,3.00,5.00,8.00,7.88,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6189741,3.00,6.00,1.00,5.00,7.00,10.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6189768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6189776,5.00,6.00,3.00,6.00,8.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6189784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6189792,5.00,6.00,3.00,5.00,7.00,10.50,2.00,5.00,6.00,NULL,NULL,NULL,'S'),(25,6189806,8.00,7.00,2.00,7.00,10.00,10.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6189814,3.00,6.00,1.00,4.00,6.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6189822,3.00,3.00,0.00,0.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6189849,6.00,5.00,3.00,6.00,7.00,10.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6189857,4.00,4.00,3.00,5.00,7.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6189873,7.00,7.00,4.00,4.00,7.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6189881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6189903,4.00,3.00,2.00,3.00,4.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6189911,3.00,5.00,2.00,2.00,7.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6189920,4.00,6.00,5.00,6.00,7.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6189938,5.00,7.00,3.00,5.00,10.00,10.13,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6189946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6189954,7.00,6.00,5.00,7.00,8.00,8.63,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6189962,1.00,4.00,3.00,4.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6189970,5.00,5.00,4.00,6.00,6.00,7.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6189989,3.00,3.00,3.00,3.00,3.00,6.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6189997,1.00,6.00,2.00,7.00,8.00,12.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6190006,3.00,2.00,0.00,4.00,6.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6190014,5.00,6.00,3.00,5.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6190022,9.00,8.00,6.00,6.00,7.00,7.88,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6190030,6.00,7.00,4.00,3.00,10.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6190065,5.00,5.00,1.00,6.00,9.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6190073,7.00,8.00,2.00,7.00,10.00,7.13,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6190081,6.00,5.00,1.00,5.00,6.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6190090,3.00,1.00,0.00,0.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6190103,9.00,6.00,6.00,3.00,10.00,11.25,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6190138,6.00,4.00,5.00,1.00,6.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6190146,6.00,3.00,2.00,5.00,7.00,9.00,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6190154,7.00,8.00,4.00,5.00,8.00,13.13,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6190162,1.00,5.00,0.00,3.00,6.00,8.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6190170,3.00,2.00,1.00,0.00,7.00,9.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6190189,4.00,5.00,3.00,5.00,7.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6190197,6.00,6.00,4.00,6.00,9.00,10.50,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6190219,6.00,7.00,4.00,2.00,8.00,9.75,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(25,6190227,3.00,4.00,2.00,4.00,9.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6190243,4.00,4.00,1.00,4.00,6.00,7.13,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6190260,6.00,7.00,2.00,7.00,10.00,10.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6190278,8.00,4.00,4.00,3.00,9.00,10.50,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6190286,2.00,2.00,3.00,3.00,4.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6190294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6190308,0.00,3.00,2.00,1.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6190324,7.00,5.00,3.00,4.00,6.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6190332,4.00,3.00,0.00,4.00,5.00,6.00,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6190340,3.00,4.00,3.00,6.00,8.00,9.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6190359,3.00,4.00,2.00,6.00,8.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6190375,2.00,4.00,1.00,6.00,5.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'S'),(25,6190383,5.00,5.00,4.00,7.00,9.00,5.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6190391,6.00,5.00,2.00,0.00,5.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6190405,2.00,4.00,2.00,4.00,4.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6190413,4.00,3.00,3.00,2.00,5.00,7.13,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6190421,5.00,6.00,2.00,4.00,6.00,7.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6190430,8.00,8.00,9.00,7.00,11.00,10.88,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6190448,3.00,4.00,1.00,3.00,7.00,9.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6190456,4.00,5.00,3.00,6.00,8.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6190464,2.00,3.00,2.00,2.00,5.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6190499,7.00,5.00,4.00,3.00,8.00,7.88,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6190502,5.00,6.00,3.00,6.00,7.00,10.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6190529,1.00,5.00,3.00,3.00,7.00,6.38,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6190537,2.00,3.00,1.00,4.00,5.00,5.63,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6190545,8.00,9.00,7.00,7.00,11.00,9.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6190553,7.00,5.00,5.00,6.00,7.00,7.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6190561,3.00,4.00,2.00,4.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6190570,2.00,5.00,3.00,4.00,6.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6190588,3.00,2.00,2.00,5.00,5.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6190596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6190600,7.00,5.00,4.00,4.00,5.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6190626,5.00,3.00,0.00,4.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6190634,8.00,5.00,4.00,4.00,9.00,9.00,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6190642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6190650,3.00,2.00,0.00,1.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6190685,5.00,6.00,0.00,4.00,7.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6190693,3.00,4.00,1.00,2.00,4.00,6.38,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6190707,3.00,6.00,2.00,5.00,9.00,11.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6190715,4.00,6.00,2.00,5.00,6.00,6.75,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6190723,5.00,5.00,2.00,3.00,5.00,7.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6190731,1.00,2.00,2.00,1.00,3.00,6.00,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6190740,4.00,6.00,2.00,4.00,7.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6190774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6190782,2.00,6.00,2.00,1.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6190790,6.00,7.00,5.00,6.00,5.00,9.38,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6190804,2.00,5.00,1.00,3.00,8.00,9.38,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6190812,5.00,3.00,0.00,3.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6190839,4.00,5.00,1.00,5.00,9.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6190847,4.00,5.00,2.00,6.00,5.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6190855,3.00,7.00,2.00,5.00,7.00,7.88,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6190863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6190871,4.00,4.00,1.00,5.00,5.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6190880,6.00,4.00,5.00,4.00,9.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6190898,3.00,5.00,0.00,2.00,5.00,9.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6190901,3.00,3.00,2.00,3.00,4.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6190910,9.00,7.00,6.00,5.00,10.00,9.75,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6190928,6.00,3.00,0.00,4.00,6.00,8.63,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6190936,6.00,7.00,4.00,6.00,4.00,7.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6190944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6190952,7.00,6.00,3.00,7.00,7.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6190960,3.00,6.00,2.00,1.00,8.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6190987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6190995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6191002,7.00,5.00,2.00,6.00,9.00,11.25,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6191029,4.00,5.00,0.00,3.00,4.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6191037,4.00,5.00,2.00,3.00,4.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6191045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6191053,2.00,2.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6191061,8.00,6.00,5.00,6.00,10.00,10.88,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6191070,7.00,5.00,3.00,4.00,8.00,7.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6191088,5.00,6.00,2.00,2.00,6.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6191096,5.00,6.00,3.00,5.00,5.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6191100,4.00,4.00,4.00,2.00,7.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6191118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6191126,8.00,7.00,6.00,6.00,6.00,10.88,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6191134,4.00,6.00,2.00,3.00,8.00,8.25,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6191150,5.00,6.00,5.00,6.00,7.00,6.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6191169,8.00,8.00,5.00,6.00,9.00,10.88,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6191177,5.00,4.00,1.00,4.00,4.00,7.13,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6191215,2.00,5.00,2.00,6.00,6.00,8.25,2.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6191223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6191240,7.00,8.00,6.00,7.00,9.00,11.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6191258,5.00,6.00,3.00,7.00,6.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6191266,6.00,6.00,2.00,3.00,9.00,11.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6191282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6191304,4.00,5.00,3.00,5.00,9.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6191312,7.00,8.00,3.00,6.00,10.00,9.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6191320,5.00,6.00,3.00,7.00,8.00,10.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6191339,4.00,3.00,0.00,5.00,7.00,8.25,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6191347,5.00,7.00,1.00,5.00,6.00,10.50,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6191355,7.00,7.00,4.00,5.00,8.00,7.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6191363,8.00,5.00,3.00,6.00,8.00,10.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6191371,7.00,6.00,4.00,7.00,9.00,10.50,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6191380,2.00,6.00,2.00,5.00,7.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6191398,4.00,5.00,0.00,7.00,8.00,9.38,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6191401,7.00,5.00,3.00,7.00,8.00,10.13,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6191410,7.00,5.00,3.00,2.00,8.00,10.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6191428,6.00,6.00,5.00,3.00,9.00,10.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6191436,8.00,6.00,4.00,7.00,9.00,8.25,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6191444,4.00,4.00,1.00,3.00,4.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6191452,3.00,2.00,1.00,1.00,4.00,7.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6191460,4.00,7.00,3.00,5.00,8.00,8.25,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6191479,5.00,2.00,3.00,5.00,5.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6191487,6.00,8.00,4.00,6.00,10.00,9.75,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6191495,0.00,2.00,0.00,1.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6191509,5.00,6.00,3.00,3.00,10.00,9.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6191517,5.00,5.00,5.00,5.00,8.00,9.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6191525,8.00,8.00,4.00,7.00,10.00,8.63,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6191533,6.00,4.00,3.00,3.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6191541,2.00,4.00,3.00,5.00,4.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6191550,7.00,5.00,3.00,4.00,5.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6191568,3.00,3.00,0.00,4.00,5.00,7.13,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6191576,7.00,7.00,4.00,7.00,7.00,7.88,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6191584,8.00,8.00,4.00,7.00,10.00,14.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6191606,7.00,5.00,4.00,3.00,7.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6191614,1.00,1.00,2.00,3.00,2.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6191622,7.00,6.00,3.00,8.00,8.00,9.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6191630,3.00,4.00,0.00,2.00,8.00,10.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6191649,3.00,1.00,2.00,4.00,5.00,9.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6191657,5.00,6.00,4.00,5.00,8.00,7.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6191665,5.00,8.00,3.00,7.00,7.00,10.50,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6191681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6191690,3.00,6.00,0.00,3.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6191703,8.00,6.00,3.00,7.00,8.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6191711,9.00,9.00,3.00,7.00,10.00,8.25,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6191720,8.00,6.00,5.00,7.00,10.00,6.75,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6191738,2.00,5.00,0.00,5.00,6.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6191746,6.00,7.00,3.00,7.00,6.00,6.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6191754,7.00,8.00,4.00,4.00,9.00,9.00,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6191762,4.00,4.00,3.00,2.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6191770,5.00,6.00,3.00,6.00,7.00,12.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6191789,8.00,8.00,4.00,5.00,7.00,10.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6191797,7.00,5.00,3.00,5.00,8.00,9.38,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6191800,6.00,8.00,3.00,6.00,10.00,10.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6191819,2.00,6.00,1.00,2.00,3.00,5.63,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6191827,2.00,4.00,1.00,2.00,6.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6191835,6.00,5.00,4.00,6.00,7.00,10.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6191843,3.00,6.00,3.00,5.00,6.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6191878,5.00,5.00,3.00,2.00,3.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6191886,2.00,7.00,2.00,1.00,3.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6191916,3.00,1.00,0.00,3.00,1.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6191924,0.00,4.00,0.00,4.00,4.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6191932,3.00,4.00,2.00,3.00,5.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6191940,2.00,5.00,4.00,4.00,5.00,8.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6191959,6.00,5.00,6.00,4.00,7.00,10.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6191983,2.00,5.00,3.00,4.00,4.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6192017,8.00,7.00,3.00,5.00,9.00,10.13,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6192025,5.00,3.00,4.00,6.00,6.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6192033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6192041,6.00,6.00,3.00,4.00,9.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6192050,3.00,6.00,4.00,3.00,5.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6192076,4.00,4.00,3.00,3.00,6.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6192092,6.00,7.00,4.00,7.00,9.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6192106,4.00,3.00,0.00,3.00,5.00,6.38,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6192114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6192122,7.00,7.00,6.00,5.00,6.00,10.50,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6192149,7.00,7.00,6.00,5.00,8.00,9.38,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6192157,7.00,6.00,6.00,4.00,5.00,8.25,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6192165,3.00,5.00,1.00,2.00,6.00,5.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6192173,7.00,7.00,6.00,5.00,9.00,11.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6192190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6192203,2.00,5.00,1.00,3.00,6.00,7.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6192220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6192238,8.00,6.00,2.00,6.00,10.00,11.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6192246,9.00,5.00,3.00,6.00,9.00,8.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6192254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6192262,3.00,5.00,3.00,4.00,8.00,7.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6192270,6.00,5.00,4.00,5.00,10.00,5.63,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6192289,5.00,5.00,1.00,8.00,7.00,6.75,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6192319,9.00,7.00,5.00,6.00,10.00,11.63,3.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6192327,8.00,6.00,5.00,6.00,9.00,11.63,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6192335,8.00,4.00,2.00,4.00,4.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6192343,4.00,6.00,3.00,5.00,6.00,8.25,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6192351,8.00,5.00,7.00,7.00,7.00,10.88,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6192360,6.00,5.00,4.00,7.00,9.00,11.25,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6192378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6192394,4.00,6.00,3.00,5.00,8.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6192408,4.00,3.00,1.00,4.00,8.00,9.38,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6192424,7.00,7.00,3.00,6.00,8.00,8.63,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6192432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6192440,6.00,0.00,6.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6192459,3.00,6.00,4.00,6.00,3.00,7.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6192467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6192475,4.00,4.00,3.00,4.00,7.00,6.38,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6192483,4.00,4.00,0.00,6.00,4.00,8.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6192491,4.00,3.00,3.00,4.00,9.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6192505,4.00,7.00,2.00,2.00,4.00,6.38,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6192513,5.00,5.00,5.00,4.00,5.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6192521,9.00,6.00,4.00,6.00,11.00,12.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6192548,9.00,7.00,4.00,6.00,7.00,10.88,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6192556,5.00,7.00,1.00,5.00,8.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6192564,7.00,6.00,4.00,6.00,7.00,10.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6192572,5.00,4.00,3.00,1.00,9.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6192580,3.00,5.00,0.00,2.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,'S','N'),(25,6192599,3.00,2.00,3.00,3.00,3.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6192602,6.00,7.00,4.00,6.00,8.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6192610,4.00,3.00,3.00,6.00,9.00,8.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6192629,7.00,5.00,4.00,6.00,8.00,9.75,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6192637,3.00,7.00,2.00,3.00,7.00,6.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6192645,5.00,4.00,2.00,4.00,6.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6192661,5.00,7.00,4.00,4.00,7.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6192670,3.00,2.00,4.00,5.00,9.00,11.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6192688,1.00,2.00,0.00,3.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6192696,5.00,3.00,2.00,1.00,4.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6192700,7.00,4.00,3.00,5.00,6.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6192718,2.00,5.00,1.00,6.00,5.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6192726,3.00,4.00,2.00,5.00,7.00,10.88,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6192734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6192742,4.00,5.00,3.00,2.00,8.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6192750,3.00,4.00,2.00,1.00,4.00,5.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6192769,9.00,6.00,7.00,7.00,8.00,9.38,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6192777,5.00,7.00,1.00,3.00,3.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6192785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6192793,3.00,8.00,3.00,2.00,8.00,6.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6192807,2.00,3.00,0.00,2.00,4.00,4.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6192815,5.00,7.00,3.00,7.00,7.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6192823,0.00,3.00,2.00,1.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6192831,5.00,7.00,5.00,6.00,6.00,7.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6192840,3.00,7.00,1.00,4.00,4.00,6.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6192874,4.00,5.00,2.00,3.00,4.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6192882,6.00,5.00,4.00,3.00,7.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6192890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6192904,2.00,4.00,0.00,4.00,3.00,9.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6192912,3.00,5.00,1.00,0.00,6.00,8.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6192920,3.00,6.00,3.00,5.00,7.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6192939,3.00,5.00,1.00,7.00,5.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6192947,6.00,5.00,1.00,4.00,9.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6192955,8.00,6.00,2.00,7.00,9.00,9.38,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6192971,4.00,6.00,4.00,5.00,6.00,7.88,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6192980,5.00,7.00,5.00,5.00,8.00,8.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6192998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6193005,7.00,4.00,5.00,6.00,7.00,7.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6193021,5.00,6.00,2.00,5.00,9.00,7.50,1.00,8.00,0.00,NULL,NULL,NULL,'N'),(25,6193030,3.00,2.00,3.00,2.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6193048,5.00,6.00,3.00,5.00,8.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6193056,5.00,5.00,1.00,1.00,6.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6193064,5.00,6.00,3.00,7.00,9.00,10.13,4.00,3.00,6.00,NULL,NULL,NULL,'S'),(25,6193080,2.00,5.00,1.00,1.00,5.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6193099,6.00,8.00,2.00,4.00,8.00,7.88,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6193102,8.00,7.00,5.00,6.00,9.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6193110,4.00,7.00,3.00,3.00,7.00,7.88,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6193129,1.00,3.00,1.00,4.00,4.00,9.75,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6193137,5.00,5.00,1.00,6.00,7.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6193153,4.00,5.00,0.00,6.00,5.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6193161,8.00,6.00,3.00,5.00,7.00,8.25,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6193170,2.00,2.00,0.00,3.00,5.00,5.63,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6193188,2.00,2.00,1.00,3.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6193196,3.00,3.00,3.00,5.00,7.00,7.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6193200,7.00,7.00,8.00,6.00,9.00,10.13,8.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6193218,4.00,5.00,3.00,3.00,9.00,9.38,0.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6193226,5.00,6.00,1.00,1.00,7.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6193234,1.00,4.00,0.00,3.00,6.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6193242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6193250,2.00,4.00,0.00,2.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6193277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6193285,3.00,5.00,1.00,3.00,5.00,10.13,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6193293,2.00,3.00,0.00,3.00,5.00,4.88,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6193307,6.00,6.00,3.00,6.00,5.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6193315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6193323,3.00,4.00,0.00,3.00,3.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6193331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6193366,2.00,4.00,2.00,1.00,4.00,7.50,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6193374,3.00,3.00,1.00,1.00,4.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6193382,4.00,3.00,2.00,3.00,4.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6193390,4.00,3.00,1.00,4.00,8.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6193404,6.00,5.00,0.00,5.00,9.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6193412,1.00,1.00,3.00,3.00,6.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6193420,4.00,6.00,4.00,7.00,8.00,12.38,0.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6193439,7.00,5.00,4.00,7.00,7.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6193447,2.00,2.00,1.00,3.00,4.00,6.75,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6193455,3.00,1.00,2.00,2.00,3.00,3.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6193463,4.00,4.00,3.00,3.00,6.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6193471,3.00,4.00,0.00,1.00,2.00,NULL,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6193498,4.00,3.00,0.00,4.00,8.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6193501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6193510,4.00,5.00,2.00,6.00,6.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6193528,5.00,7.00,4.00,5.00,7.00,9.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6193536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6193544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6193552,3.00,4.00,0.00,5.00,7.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6193560,5.00,4.00,1.00,3.00,5.00,7.88,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6193579,6.00,4.00,3.00,5.00,7.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6193587,3.00,3.00,0.00,3.00,4.00,6.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6193595,3.00,3.00,3.00,5.00,8.00,9.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6193609,6.00,4.00,3.00,0.00,7.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6193617,2.00,3.00,1.00,0.00,4.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6193625,2.00,5.00,2.00,5.00,4.00,7.88,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6193633,7.00,7.00,3.00,6.00,7.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6193641,8.00,7.00,4.00,6.00,7.00,9.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6193650,0.00,2.00,0.00,0.00,0.00,NULL,0.00,4.00,3.00,'S',NULL,NULL,'S'),(25,6193668,8.00,5.00,2.00,4.00,8.00,12.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6193676,6.00,8.00,0.00,7.00,8.00,NULL,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6193684,6.00,5.00,2.00,6.00,9.00,11.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6193692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6193706,7.00,7.00,3.00,6.00,7.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6193714,6.00,7.00,3.00,6.00,7.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6193722,3.00,4.00,3.00,1.00,7.00,6.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6193749,7.00,5.00,2.00,7.00,7.00,10.13,0.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6193757,4.00,6.00,0.00,4.00,4.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6193765,9.00,6.00,4.00,4.00,8.00,11.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6193773,2.00,5.00,2.00,6.00,5.00,9.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6193781,2.00,4.00,4.00,5.00,5.00,9.38,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6193790,3.00,3.00,4.00,5.00,3.00,8.25,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6193803,5.00,0.00,1.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6193811,6.00,6.00,3.00,3.00,8.00,11.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6193820,4.00,7.00,2.00,6.00,7.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6193838,2.00,3.00,1.00,1.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6193846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6193854,4.00,4.00,3.00,5.00,6.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6193862,6.00,7.00,0.00,4.00,7.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6193870,2.00,2.00,1.00,0.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6193889,5.00,6.00,1.00,4.00,7.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6193919,5.00,8.00,3.00,6.00,4.00,7.88,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6193927,1.00,5.00,0.00,0.00,6.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6193935,5.00,6.00,2.00,5.00,6.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6193943,3.00,5.00,2.00,5.00,7.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6193951,8.00,7.00,2.00,5.00,9.00,9.00,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6193960,4.00,2.00,4.00,4.00,7.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6193978,3.00,2.00,3.00,1.00,2.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6193994,6.00,7.00,6.00,6.00,8.00,7.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6194001,8.00,7.00,6.00,4.00,10.00,11.63,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6194010,6.00,7.00,5.00,6.00,8.00,6.75,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6194028,3.00,4.00,3.00,2.00,4.00,6.00,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6194036,5.00,6.00,2.00,4.00,8.00,7.50,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6194044,7.00,7.00,5.00,5.00,8.00,10.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6194052,4.00,4.00,2.00,5.00,6.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6194079,8.00,8.00,8.00,6.00,10.00,10.13,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6194087,3.00,6.00,1.00,2.00,6.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6194095,6.00,7.00,2.00,3.00,8.00,11.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6194109,5.00,8.00,5.00,6.00,8.00,9.38,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6194117,2.00,3.00,2.00,4.00,5.00,4.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6194133,2.00,3.00,0.00,4.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6194141,3.00,5.00,3.00,1.00,5.00,6.38,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6194150,4.00,4.00,2.00,3.00,6.00,12.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6194168,6.00,5.00,3.00,3.00,7.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6194176,4.00,5.00,3.00,6.00,8.00,7.50,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6194184,8.00,7.00,6.00,4.00,8.00,9.75,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6194192,3.00,6.00,2.00,6.00,7.00,5.63,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6194206,7.00,7.00,2.00,5.00,7.00,9.38,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6194214,0.00,0.00,0.00,0.00,1.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6194222,5.00,6.00,1.00,5.00,6.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6194230,5.00,6.00,2.00,6.00,9.00,8.25,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6194249,1.00,1.00,1.00,1.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6194257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6194265,9.00,6.00,6.00,6.00,8.00,12.38,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6194273,8.00,7.00,7.00,5.00,8.00,9.00,1.00,3.00,9.00,NULL,NULL,NULL,'N'),(25,6194281,1.00,2.00,1.00,2.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6194290,2.00,2.00,2.00,2.00,3.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6194303,4.00,3.00,3.00,4.00,6.00,6.00,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6194311,1.00,2.00,1.00,0.00,2.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6194320,3.00,3.00,3.00,2.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6194346,2.00,4.00,1.00,3.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6194354,1.00,2.00,3.00,6.00,6.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6194362,4.00,6.00,3.00,6.00,8.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6194370,2.00,3.00,2.00,4.00,5.00,6.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6194389,4.00,4.00,0.00,2.00,3.00,7.13,4.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6194400,2.00,5.00,1.00,3.00,8.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6194419,3.00,5.00,1.00,3.00,9.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6194427,4.00,4.00,3.00,3.00,7.00,9.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6194435,6.00,7.00,3.00,6.00,10.00,7.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6194443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6194451,9.00,4.00,3.00,6.00,9.00,7.88,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6194478,3.00,2.00,1.00,3.00,3.00,6.75,5.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6194486,3.00,6.00,0.00,5.00,7.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6194494,6.00,7.00,3.00,7.00,9.00,9.38,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6194508,5.00,5.00,1.00,4.00,8.00,9.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6194516,5.00,4.00,2.00,4.00,5.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6194524,6.00,4.00,5.00,5.00,7.00,8.63,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6194532,6.00,5.00,3.00,6.00,5.00,9.00,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6194540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6194559,2.00,3.00,1.00,4.00,5.00,7.88,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6194567,2.00,3.00,0.00,2.00,6.00,6.75,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6194575,4.00,3.00,2.00,3.00,6.00,6.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6194583,2.00,5.00,4.00,7.00,5.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6194591,5.00,6.00,2.00,5.00,8.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6194605,5.00,4.00,4.00,6.00,7.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6194621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6194630,6.00,5.00,3.00,6.00,9.00,7.13,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6194648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6194656,2.00,4.00,0.00,4.00,6.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6194664,7.00,6.00,2.00,6.00,9.00,12.75,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6194672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6194699,2.00,0.00,1.00,3.00,3.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6194710,7.00,6.00,4.00,6.00,7.00,7.88,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6194729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6194745,4.00,1.00,1.00,2.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6194753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6194761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6194770,4.00,5.00,2.00,3.00,3.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6194788,3.00,5.00,3.00,4.00,7.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6194818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6194826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6194834,5.00,3.00,0.00,6.00,7.00,6.75,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(25,6194842,8.00,9.00,0.00,7.00,10.00,9.38,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6194850,3.00,6.00,1.00,7.00,8.00,12.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6194869,6.00,6.00,4.00,7.00,8.00,7.13,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6194877,2.00,4.00,2.00,2.00,5.00,8.25,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6194885,5.00,4.00,4.00,5.00,7.00,9.75,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6194893,5.00,6.00,4.00,5.00,10.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6194907,5.00,5.00,1.00,2.00,9.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6194915,3.00,3.00,3.00,3.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6194923,5.00,7.00,4.00,6.00,9.00,13.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6194940,1.00,3.00,2.00,2.00,6.00,7.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6194958,3.00,4.00,3.00,4.00,7.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6194966,2.00,3.00,5.00,3.00,4.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6194974,8.00,6.00,3.00,3.00,10.00,8.63,1.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6194982,2.00,4.00,0.00,4.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6194990,2.00,4.00,0.00,5.00,6.00,9.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6195008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6195016,8.00,5.00,6.00,6.00,4.00,6.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6195032,4.00,4.00,0.00,4.00,7.00,9.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6195040,4.00,7.00,1.00,7.00,6.00,7.88,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6195059,1.00,3.00,1.00,2.00,3.00,5.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6195083,6.00,7.00,5.00,6.00,9.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6195091,8.00,7.00,5.00,7.00,9.00,7.50,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6195105,6.00,6.00,3.00,5.00,7.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6195113,6.00,7.00,0.00,4.00,6.00,NULL,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6195121,6.00,8.00,2.00,6.00,9.00,11.63,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6195130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6195148,4.00,5.00,1.00,3.00,5.00,4.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6195164,3.00,4.00,0.00,1.00,4.00,6.38,4.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6195180,3.00,1.00,2.00,5.00,6.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6195202,1.00,5.00,1.00,2.00,4.00,7.13,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6195229,7.00,6.00,4.00,6.00,9.00,9.38,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6195237,8.00,6.00,1.00,5.00,8.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6195261,3.00,4.00,2.00,7.00,8.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6195270,7.00,6.00,3.00,5.00,8.00,8.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6195296,5.00,4.00,3.00,6.00,8.00,7.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6195300,8.00,7.00,6.00,6.00,11.00,11.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6195318,5.00,5.00,0.00,4.00,7.00,8.25,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6195326,8.00,6.00,7.00,6.00,9.00,12.38,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6195334,2.00,4.00,3.00,4.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6195342,4.00,7.00,5.00,4.00,6.00,11.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6195369,4.00,5.00,1.00,4.00,5.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6195377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6195385,1.00,3.00,0.00,2.00,1.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6195393,3.00,3.00,3.00,4.00,5.00,6.38,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6195407,1.00,2.00,0.00,0.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6195415,9.00,5.00,7.00,7.00,11.00,9.00,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6195423,1.00,4.00,3.00,7.00,6.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6195431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6195440,5.00,3.00,2.00,6.00,9.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6195458,5.00,6.00,1.00,5.00,8.00,7.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6195466,3.00,5.00,2.00,3.00,10.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6195474,6.00,6.00,2.00,1.00,5.00,5.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6195482,4.00,2.00,2.00,3.00,6.00,10.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6195490,8.00,6.00,5.00,7.00,10.00,10.88,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6195504,3.00,0.00,3.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6195512,5.00,5.00,3.00,4.00,8.00,10.13,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6195520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6195547,4.00,5.00,2.00,7.00,7.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6195555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6195571,2.00,2.00,3.00,2.00,3.00,7.88,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6195580,6.00,4.00,4.00,5.00,6.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6195598,3.00,4.00,2.00,4.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6195601,5.00,5.00,4.00,5.00,8.00,10.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6195610,6.00,7.00,5.00,4.00,7.00,9.00,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6195628,3.00,6.00,3.00,5.00,7.00,8.63,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6195636,8.00,7.00,5.00,6.00,8.00,12.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6195644,5.00,4.00,1.00,4.00,8.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6195652,5.00,6.00,3.00,5.00,7.00,5.63,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6195679,3.00,4.00,3.00,4.00,7.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6195687,9.00,6.00,4.00,6.00,11.00,10.88,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6195709,4.00,4.00,3.00,6.00,7.00,7.13,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6195717,8.00,4.00,8.00,4.00,6.00,10.88,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6195733,1.00,3.00,1.00,5.00,7.00,10.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6195741,4.00,7.00,1.00,6.00,8.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6195750,3.00,7.00,1.00,6.00,7.00,10.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6195776,4.00,4.00,3.00,6.00,8.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6195784,6.00,7.00,1.00,6.00,9.00,9.75,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6195792,7.00,6.00,4.00,3.00,8.00,6.38,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6195822,1.00,5.00,1.00,5.00,7.00,9.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6195830,6.00,8.00,1.00,3.00,8.00,9.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6195849,5.00,6.00,4.00,6.00,7.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6195857,4.00,5.00,0.00,3.00,9.00,9.38,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6195865,6.00,7.00,6.00,6.00,8.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6195873,5.00,7.00,4.00,6.00,4.00,8.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6195881,4.00,5.00,2.00,3.00,5.00,8.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6195903,8.00,8.00,6.00,6.00,8.00,10.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6195911,3.00,4.00,2.00,3.00,6.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6195920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6195938,1.00,7.00,2.00,4.00,5.00,8.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6195946,2.00,5.00,2.00,2.00,6.00,7.88,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6195954,6.00,6.00,2.00,5.00,7.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6195962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6195989,1.00,1.00,2.00,3.00,8.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6195997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6196004,8.00,7.00,3.00,6.00,8.00,NULL,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6196020,3.00,3.00,3.00,3.00,5.00,9.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6196039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6196047,5.00,5.00,0.00,5.00,9.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6196063,3.00,2.00,1.00,3.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6196071,4.00,5.00,1.00,5.00,7.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6196080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6196098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6196101,1.00,3.00,2.00,4.00,6.00,7.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6196136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6196152,2.00,6.00,3.00,4.00,9.00,7.13,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6196160,2.00,4.00,1.00,4.00,5.00,6.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6196179,3.00,4.00,3.00,4.00,5.00,6.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6196187,3.00,3.00,1.00,4.00,6.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6196195,6.00,6.00,3.00,7.00,10.00,11.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6196217,4.00,4.00,3.00,2.00,3.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6196225,4.00,3.00,4.00,4.00,4.00,6.38,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6196233,2.00,2.00,1.00,2.00,3.00,4.50,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6196250,6.00,7.00,0.00,7.00,9.00,9.38,3.00,9.00,1.00,NULL,NULL,NULL,'N'),(25,6196268,2.00,4.00,0.00,4.00,4.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6196276,5.00,5.00,3.00,4.00,5.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6196292,1.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6196314,4.00,5.00,2.00,3.00,6.00,6.38,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6196357,3.00,7.00,3.00,2.00,7.00,6.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6196365,4.00,5.00,0.00,5.00,6.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6196373,1.00,3.00,0.00,4.00,5.00,9.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6196381,4.00,6.00,2.00,7.00,7.00,9.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6196403,3.00,2.00,1.00,6.00,3.00,7.13,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6196411,5.00,6.00,1.00,5.00,4.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6196420,5.00,6.00,0.00,3.00,5.00,9.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6196454,3.00,2.00,3.00,4.00,5.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6196462,3.00,3.00,1.00,4.00,5.00,7.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6196489,4.00,4.00,1.00,5.00,6.00,9.38,0.00,6.00,2.00,NULL,NULL,NULL,'S'),(25,6196500,5.00,4.00,3.00,4.00,6.00,7.88,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6196519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6196527,1.00,5.00,0.00,4.00,5.00,10.13,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6196551,5.00,4.00,3.00,6.00,8.00,7.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6196560,4.00,7.00,3.00,5.00,6.00,0.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6196586,7.00,6.00,6.00,6.00,7.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6196594,8.00,7.00,4.00,4.00,9.00,10.88,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6196624,2.00,3.00,0.00,3.00,7.00,10.13,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6196632,4.00,3.00,4.00,4.00,4.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6196659,3.00,3.00,3.00,2.00,6.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6196667,2.00,4.00,2.00,2.00,3.00,4.88,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6196675,2.00,4.00,2.00,4.00,5.00,6.38,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6196683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6196691,8.00,8.00,8.00,7.00,7.00,10.50,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6196713,7.00,6.00,2.00,4.00,6.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6196721,6.00,6.00,0.00,2.00,5.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6196730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6196748,3.00,1.00,3.00,2.00,4.00,8.25,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6196756,8.00,5.00,4.00,7.00,10.00,9.75,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6196764,4.00,6.00,3.00,6.00,8.00,6.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6196772,3.00,4.00,2.00,6.00,7.00,7.13,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6196799,6.00,7.00,2.00,5.00,8.00,8.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6196810,8.00,6.00,1.00,6.00,9.00,8.25,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6196837,2.00,3.00,2.00,1.00,4.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6196845,1.00,3.00,0.00,2.00,3.00,NULL,3.00,2.00,0.00,NULL,NULL,'S','N'),(25,6196853,3.00,4.00,2.00,4.00,5.00,5.63,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6196870,2.00,4.00,2.00,4.00,5.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6196888,7.00,5.00,4.00,4.00,6.00,7.50,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6196896,5.00,7.00,1.00,5.00,8.00,6.38,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6196900,3.00,4.00,0.00,3.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6196926,7.00,8.00,1.00,7.00,10.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6196934,2.00,1.00,3.00,0.00,7.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6196950,5.00,5.00,3.00,5.00,5.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6196977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6196985,3.00,1.00,1.00,3.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6196993,1.00,2.00,3.00,1.00,4.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6197000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6197019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6197027,3.00,6.00,3.00,5.00,5.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6197035,4.00,5.00,1.00,4.00,7.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6197043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6197051,3.00,6.00,0.00,2.00,7.00,6.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6197060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6197086,3.00,2.00,1.00,2.00,4.00,9.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6197094,3.00,5.00,3.00,4.00,4.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6197108,3.00,4.00,2.00,1.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6197140,3.00,6.00,2.00,4.00,6.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6197159,4.00,5.00,2.00,6.00,6.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6197167,2.00,4.00,2.00,3.00,4.00,9.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6197175,1.00,7.00,1.00,2.00,7.00,9.00,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6197183,4.00,6.00,2.00,5.00,11.00,11.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6197191,2.00,4.00,1.00,3.00,3.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6197205,7.00,7.00,4.00,6.00,8.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6197230,1.00,1.00,2.00,2.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6197248,4.00,4.00,4.00,6.00,6.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6197264,0.00,3.00,0.00,0.00,0.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6197272,2.00,6.00,1.00,6.00,6.00,9.38,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6197280,2.00,4.00,2.00,4.00,5.00,10.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6197299,6.00,5.00,2.00,5.00,8.00,11.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6197302,3.00,5.00,3.00,5.00,5.00,7.50,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6197310,4.00,4.00,1.00,3.00,5.00,6.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6197329,1.00,2.00,2.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6197337,8.00,8.00,6.00,5.00,10.00,11.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6197345,5.00,5.00,1.00,4.00,6.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6197353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6197361,2.00,4.00,1.00,2.00,3.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6197388,3.00,3.00,2.00,3.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6197396,3.00,5.00,2.00,3.00,4.00,10.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6197400,7.00,8.00,0.00,2.00,7.00,8.25,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6197418,3.00,5.00,2.00,1.00,6.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6197426,3.00,5.00,2.00,3.00,7.00,8.63,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6197434,7.00,6.00,6.00,7.00,8.00,7.88,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6197442,7.00,7.00,0.00,7.00,10.00,10.13,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6197469,2.00,7.00,1.00,5.00,6.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6197477,4.00,5.00,1.00,3.00,10.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6197485,1.00,0.00,0.00,4.00,7.00,7.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6197493,4.00,6.00,2.00,5.00,8.00,9.00,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6197507,2.00,4.00,2.00,3.00,4.00,6.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6197515,1.00,5.00,4.00,3.00,6.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6197523,4.00,6.00,4.00,4.00,7.00,5.63,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6197531,1.00,3.00,0.00,2.00,6.00,NULL,1.00,4.00,0.00,NULL,NULL,'S','S'),(25,6197540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6197558,5.00,4.00,1.00,5.00,9.00,9.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6197566,2.00,4.00,3.00,6.00,6.00,9.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6197574,6.00,7.00,4.00,5.00,9.00,12.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6197582,2.00,5.00,2.00,3.00,5.00,6.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6197590,3.00,5.00,2.00,5.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,'S','N'),(25,6197604,3.00,3.00,1.00,2.00,6.00,7.13,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6197612,4.00,6.00,4.00,5.00,7.00,9.38,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6197647,7.00,7.00,6.00,4.00,8.00,10.13,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6197655,8.00,8.00,8.00,5.00,9.00,9.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6197698,1.00,2.00,0.00,0.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6197701,6.00,4.00,3.00,6.00,7.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6197710,4.00,4.00,2.00,6.00,4.00,8.25,2.00,8.00,1.00,NULL,NULL,NULL,'N'),(25,6197728,7.00,7.00,6.00,7.00,10.00,8.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6197736,3.00,2.00,2.00,2.00,3.00,6.75,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6197744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6197752,5.00,6.00,3.00,2.00,10.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6197779,8.00,8.00,7.00,1.00,8.00,10.50,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6197809,5.00,5.00,2.00,6.00,6.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6197817,2.00,5.00,0.00,6.00,7.00,9.38,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6197833,5.00,6.00,3.00,7.00,5.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6197841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6197850,4.00,5.00,4.00,6.00,8.00,8.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6197868,2.00,6.00,2.00,4.00,6.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6197884,1.00,4.00,2.00,2.00,5.00,9.75,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6197922,7.00,7.00,1.00,5.00,7.00,9.38,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6197930,3.00,6.00,3.00,7.00,7.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6197949,7.00,6.00,3.00,4.00,5.00,6.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6197957,4.00,6.00,3.00,5.00,6.00,9.38,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6197965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6197973,7.00,7.00,1.00,7.00,9.00,6.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6197981,1.00,3.00,2.00,2.00,3.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6198007,3.00,1.00,3.00,2.00,4.00,6.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6198031,7.00,7.00,2.00,4.00,5.00,0.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6198040,8.00,6.00,2.00,6.00,8.00,11.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6198058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6198066,2.00,5.00,0.00,6.00,6.00,9.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6198074,6.00,6.00,2.00,6.00,9.00,9.38,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6198082,6.00,5.00,4.00,6.00,9.00,11.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6198090,2.00,6.00,1.00,6.00,5.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6198104,3.00,3.00,1.00,2.00,4.00,5.63,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6198112,7.00,5.00,0.00,6.00,7.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6198120,2.00,3.00,0.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6198139,7.00,7.00,3.00,4.00,9.00,10.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6198147,3.00,5.00,2.00,6.00,4.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6198163,2.00,2.00,0.00,2.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6198180,0.00,4.00,1.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6198198,1.00,3.00,2.00,3.00,3.00,7.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6198201,4.00,3.00,1.00,3.00,3.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6198210,3.00,4.00,3.00,6.00,6.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6198228,5.00,7.00,2.00,3.00,6.00,7.13,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6198236,5.00,3.00,5.00,5.00,6.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6198244,2.00,2.00,2.00,4.00,6.00,9.38,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6198252,3.00,4.00,2.00,5.00,6.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6198260,6.00,6.00,1.00,6.00,8.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6198279,6.00,8.00,8.00,7.00,9.00,9.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6198287,5.00,5.00,3.00,4.00,6.00,9.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6198309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6198317,8.00,6.00,6.00,5.00,7.00,8.63,2.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6198325,3.00,4.00,1.00,3.00,5.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6198341,2.00,4.00,1.00,5.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6198350,3.00,5.00,0.00,3.00,8.00,12.38,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6198384,2.00,5.00,0.00,2.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6198406,4.00,5.00,3.00,6.00,7.00,7.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6198414,6.00,6.00,7.00,4.00,6.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6198422,1.00,2.00,3.00,5.00,6.00,10.88,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6198430,9.00,8.00,8.00,7.00,11.00,10.50,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6198449,8.00,5.00,4.00,4.00,8.00,10.88,0.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6198457,6.00,6.00,3.00,4.00,6.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6198465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6198473,7.00,5.00,2.00,5.00,8.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6198490,5.00,7.00,2.00,5.00,9.00,10.88,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6198503,4.00,5.00,2.00,5.00,5.00,7.50,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6198511,8.00,7.00,4.00,6.00,7.00,8.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6198538,2.00,3.00,0.00,4.00,3.00,8.25,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6198554,6.00,7.00,3.00,5.00,6.00,6.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6198562,5.00,5.00,2.00,3.00,7.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6198570,6.00,5.00,3.00,3.00,5.00,6.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6198589,4.00,5.00,4.00,2.00,5.00,6.38,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6198597,3.00,5.00,2.00,6.00,7.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6198619,6.00,0.00,2.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6198627,5.00,7.00,2.00,5.00,7.00,8.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6198635,3.00,5.00,6.00,3.00,5.00,6.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6198651,4.00,4.00,1.00,3.00,6.00,9.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6198660,6.00,7.00,3.00,6.00,7.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6198686,4.00,6.00,2.00,5.00,4.00,8.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6198694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6198708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6198716,2.00,6.00,1.00,2.00,4.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6198724,5.00,1.00,2.00,2.00,3.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6198732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6198740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6198759,5.00,6.00,2.00,7.00,7.00,8.63,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6198767,3.00,5.00,2.00,6.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6198775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6198783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6198791,4.00,7.00,5.00,5.00,4.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6198805,6.00,4.00,4.00,5.00,6.00,6.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6198821,6.00,5.00,3.00,5.00,9.00,8.63,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6198830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6198848,2.00,4.00,2.00,6.00,6.00,NULL,1.00,4.00,4.00,NULL,NULL,'S','N'),(25,6198856,3.00,4.00,1.00,4.00,7.00,9.38,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6198864,7.00,5.00,5.00,5.00,8.00,9.75,2.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6198872,5.00,6.00,5.00,5.00,9.00,9.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6198880,2.00,2.00,1.00,2.00,4.00,6.00,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6198899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6198902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6198910,3.00,6.00,1.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6198929,7.00,7.00,7.00,6.00,8.00,9.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6198953,1.00,4.00,4.00,6.00,7.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6198961,3.00,3.00,1.00,5.00,6.00,10.88,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6198970,3.00,7.00,2.00,5.00,8.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6198996,6.00,8.00,3.00,5.00,8.00,10.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6199011,7.00,7.00,4.00,6.00,9.00,9.38,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6199020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6199054,6.00,3.00,1.00,3.00,8.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6199062,4.00,5.00,2.00,5.00,8.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6199070,0.00,2.00,2.00,1.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6199100,2.00,1.00,0.00,6.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6199119,3.00,5.00,0.00,4.00,5.00,6.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6199127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6199135,3.00,6.00,1.00,5.00,9.00,10.50,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6199143,8.00,7.00,7.00,7.00,7.00,11.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6199160,5.00,6.00,7.00,6.00,9.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6199178,5.00,5.00,2.00,4.00,8.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6199186,2.00,3.00,0.00,2.00,5.00,5.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6199216,3.00,4.00,0.00,4.00,6.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6199224,6.00,6.00,3.00,6.00,9.00,10.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6199232,3.00,6.00,4.00,3.00,5.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6199240,3.00,3.00,2.00,4.00,6.00,8.63,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6199259,3.00,3.00,0.00,2.00,4.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6199267,2.00,3.00,1.00,4.00,4.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6199283,4.00,5.00,0.00,5.00,6.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6199305,4.00,3.00,1.00,1.00,4.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6199313,5.00,6.00,1.00,7.00,8.00,12.00,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6199321,6.00,6.00,5.00,6.00,7.00,9.38,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6199330,8.00,6.00,6.00,7.00,8.00,7.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6199348,5.00,6.00,2.00,6.00,8.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6199356,7.00,4.00,3.00,6.00,9.00,9.75,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6199364,5.00,6.00,2.00,3.00,5.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6199372,1.00,3.00,0.00,1.00,4.00,6.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6199380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6199399,3.00,6.00,2.00,3.00,6.00,6.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6199402,2.00,3.00,1.00,1.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6199410,3.00,5.00,2.00,2.00,7.00,7.13,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6199429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6199437,3.00,5.00,0.00,5.00,10.00,11.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6199445,4.00,4.00,3.00,5.00,8.00,7.88,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6199453,2.00,5.00,2.00,3.00,4.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6199461,7.00,4.00,2.00,7.00,7.00,9.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6199470,6.00,7.00,4.00,7.00,8.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6199488,6.00,7.00,4.00,1.00,8.00,10.13,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6199496,6.00,4.00,1.00,5.00,7.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6199500,8.00,5.00,5.00,6.00,8.00,9.38,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6199518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6199526,3.00,4.00,3.00,1.00,5.00,6.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6199550,4.00,5.00,5.00,2.00,8.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6199569,6.00,8.00,3.00,6.00,8.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6199577,4.00,3.00,0.00,6.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6199593,1.00,4.00,0.00,2.00,6.00,6.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6199623,6.00,7.00,2.00,7.00,9.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6199631,2.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6199640,5.00,5.00,4.00,6.00,5.00,10.13,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6199674,3.00,7.00,1.00,5.00,6.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6199682,3.00,4.00,2.00,6.00,6.00,9.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6199690,4.00,3.00,1.00,3.00,5.00,6.75,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6199720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6199739,2.00,3.00,0.00,3.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6199747,5.00,5.00,1.00,6.00,6.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6199763,4.00,6.00,7.00,5.00,8.00,8.25,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6199771,7.00,7.00,1.00,7.00,8.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6199780,7.00,6.00,4.00,6.00,6.00,10.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6199798,5.00,5.00,3.00,5.00,8.00,10.13,5.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6199801,4.00,4.00,4.00,4.00,8.00,7.13,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6199810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6199828,1.00,6.00,1.00,3.00,7.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6199836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6199852,3.00,3.00,2.00,3.00,7.00,6.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6199860,3.00,3.00,1.00,4.00,7.00,7.88,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6199879,3.00,5.00,0.00,7.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6199887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6199895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6199909,4.00,6.00,2.00,7.00,5.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6199917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6199925,9.00,7.00,6.00,6.00,7.00,10.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6199933,3.00,7.00,0.00,2.00,4.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6199941,7.00,7.00,4.00,6.00,8.00,10.50,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6199950,5.00,5.00,3.00,3.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6199968,5.00,4.00,3.00,7.00,8.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6199976,7.00,7.00,2.00,6.00,7.00,6.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6199984,6.00,7.00,6.00,7.00,8.00,9.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6200001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200028,8.00,5.00,7.00,3.00,8.00,8.63,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6200036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200044,4.00,5.00,3.00,5.00,6.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6200052,5.00,6.00,0.00,4.00,6.00,8.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6200060,7.00,4.00,1.00,6.00,8.00,8.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6200079,3.00,4.00,1.00,5.00,7.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6200087,7.00,6.00,4.00,7.00,7.00,10.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6200095,2.00,4.00,2.00,2.00,3.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6200109,6.00,5.00,1.00,6.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6200117,6.00,6.00,3.00,5.00,4.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6200125,5.00,7.00,4.00,7.00,7.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6200133,6.00,0.00,5.00,0.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6200141,3.00,4.00,6.00,7.00,7.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6200150,2.00,3.00,3.00,2.00,4.00,8.63,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6200168,5.00,5.00,1.00,3.00,7.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6200176,5.00,3.00,1.00,4.00,4.00,8.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6200184,7.00,6.00,4.00,7.00,9.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6200192,5.00,5.00,2.00,0.00,7.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6200206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200214,4.00,2.00,1.00,1.00,5.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6200230,4.00,6.00,3.00,4.00,8.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6200249,5.00,3.00,1.00,6.00,6.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6200265,8.00,5.00,2.00,5.00,8.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6200273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200281,6.00,6.00,2.00,3.00,6.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6200290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200311,0.00,2.00,0.00,0.00,0.00,NULL,1.00,0.00,2.00,'S',NULL,NULL,'N'),(25,6200320,5.00,4.00,1.00,4.00,6.00,8.63,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6200338,4.00,3.00,1.00,4.00,6.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6200346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200354,5.00,5.00,3.00,5.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,'S','N'),(25,6200370,4.00,3.00,1.00,1.00,7.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6200389,7.00,7.00,1.00,7.00,9.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6200397,5.00,6.00,3.00,6.00,8.00,10.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6200419,5.00,7.00,2.00,7.00,8.00,8.63,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6200443,2.00,4.00,0.00,6.00,7.00,10.13,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6200451,6.00,6.00,3.00,6.00,5.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6200460,3.00,6.00,2.00,4.00,8.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6200478,4.00,4.00,2.00,4.00,4.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6200486,5.00,3.00,4.00,5.00,9.00,10.13,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6200494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200524,6.00,4.00,3.00,5.00,9.00,11.63,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6200532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200575,2.00,5.00,4.00,4.00,6.00,5.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6200583,3.00,7.00,0.00,6.00,7.00,8.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6200613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200621,1.00,0.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6200630,4.00,5.00,2.00,0.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6200648,4.00,2.00,1.00,3.00,6.00,8.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6200656,5.00,6.00,4.00,5.00,8.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6200664,2.00,3.00,2.00,3.00,4.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6200672,5.00,4.00,0.00,6.00,8.00,10.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6200680,3.00,4.00,1.00,3.00,5.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6200699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200702,0.00,4.00,3.00,1.00,3.00,8.63,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6200710,3.00,4.00,2.00,5.00,5.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6200729,1.00,2.00,1.00,0.00,1.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6200737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200761,2.00,2.00,3.00,5.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6200770,6.00,5.00,4.00,5.00,8.00,6.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6200788,4.00,4.00,3.00,4.00,6.00,6.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6200796,5.00,4.00,1.00,2.00,6.00,5.25,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6200800,1.00,4.00,3.00,2.00,6.00,5.63,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6200818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200826,3.00,2.00,0.00,2.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6200869,6.00,7.00,4.00,4.00,6.00,9.38,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6200877,1.00,3.00,1.00,3.00,4.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6200885,2.00,0.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6200893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200915,3.00,5.00,4.00,4.00,5.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6200931,3.00,5.00,2.00,4.00,4.00,7.88,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6200940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6200966,4.00,5.00,2.00,7.00,5.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6200974,5.00,5.00,4.00,4.00,7.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6200982,4.00,4.00,4.00,4.00,8.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6200990,9.00,7.00,5.00,5.00,8.00,8.25,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6201008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6201016,3.00,7.00,2.00,3.00,7.00,5.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6201024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6201032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6201040,1.00,1.00,0.00,3.00,4.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6201059,6.00,5.00,6.00,4.00,5.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6201067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6201075,3.00,0.00,4.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6201083,4.00,5.00,1.00,6.00,7.00,9.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6201091,8.00,6.00,4.00,6.00,10.00,9.38,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6201105,3.00,5.00,3.00,3.00,6.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6201113,6.00,4.00,2.00,6.00,8.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6201121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6201130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6201156,2.00,4.00,0.00,3.00,5.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6201164,4.00,4.00,4.00,2.00,6.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6201172,6.00,7.00,6.00,7.00,9.00,8.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6201180,2.00,5.00,2.00,2.00,3.00,6.75,0.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6201199,2.00,2.00,0.00,5.00,6.00,8.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6201202,0.00,4.00,4.00,0.00,6.00,7.88,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6201229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6201237,6.00,4.00,1.00,3.00,9.00,9.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6201253,9.00,4.00,2.00,5.00,10.00,9.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6201261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6201270,2.00,5.00,1.00,2.00,4.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6201288,4.00,3.00,0.00,3.00,8.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6201296,5.00,3.00,1.00,3.00,6.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6201300,2.00,3.00,0.00,3.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6201326,3.00,4.00,2.00,4.00,8.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6201334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6201342,9.00,9.00,6.00,6.00,11.00,10.88,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6201350,3.00,7.00,1.00,3.00,4.00,7.50,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6201369,7.00,8.00,6.00,6.00,9.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6201385,6.00,5.00,3.00,7.00,8.00,7.13,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6201393,4.00,0.00,0.00,0.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6201415,6.00,3.00,1.00,1.00,6.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6201431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6201440,5.00,6.00,4.00,3.00,9.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6201458,3.00,4.00,3.00,4.00,8.00,11.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6201466,4.00,5.00,1.00,5.00,5.00,10.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6201474,8.00,6.00,4.00,6.00,6.00,8.63,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6201482,4.00,6.00,1.00,3.00,8.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6201504,3.00,6.00,4.00,5.00,4.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6201520,7.00,7.00,6.00,5.00,7.00,9.00,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6201539,8.00,8.00,8.00,8.00,9.00,11.63,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6201547,1.00,3.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6201563,6.00,6.00,3.00,4.00,10.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6201571,6.00,6.00,7.00,3.00,8.00,12.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6201580,8.00,7.00,4.00,4.00,9.00,7.88,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6201598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6201601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6201610,5.00,6.00,4.00,7.00,9.00,8.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6201628,4.00,3.00,0.00,3.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6201636,2.00,3.00,5.00,6.00,5.00,6.38,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6201644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6201652,5.00,2.00,1.00,3.00,8.00,7.50,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6201660,7.00,5.00,4.00,7.00,7.00,9.38,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6201687,7.00,4.00,4.00,5.00,8.00,7.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6201695,2.00,4.00,0.00,3.00,3.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6201717,7.00,5.00,1.00,4.00,5.00,7.88,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6201733,4.00,6.00,4.00,6.00,6.00,10.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6201741,2.00,4.00,2.00,2.00,5.00,9.00,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6201750,5.00,6.00,1.00,6.00,8.00,10.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6201768,8.00,7.00,1.00,6.00,9.00,9.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6201784,4.00,7.00,0.00,4.00,3.00,7.50,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6201792,4.00,5.00,1.00,6.00,5.00,7.13,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6201806,8.00,7.00,5.00,4.00,9.00,12.38,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6201822,2.00,1.00,1.00,3.00,7.00,7.88,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6201830,3.00,6.00,5.00,3.00,6.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6201849,5.00,7.00,0.00,6.00,7.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6201857,0.00,4.00,1.00,1.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6201865,3.00,3.00,2.00,4.00,4.00,9.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6201873,3.00,7.00,3.00,3.00,6.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6201890,4.00,4.00,3.00,6.00,5.00,7.13,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6201911,5.00,4.00,2.00,4.00,7.00,8.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6201920,4.00,5.00,1.00,3.00,9.00,7.50,1.00,0.00,7.00,NULL,NULL,NULL,'N'),(25,6201938,2.00,6.00,5.00,3.00,6.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6201946,4.00,6.00,1.00,3.00,3.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6201954,3.00,5.00,1.00,7.00,8.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6201989,4.00,3.00,2.00,4.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6201997,2.00,5.00,1.00,6.00,6.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6202004,1.00,4.00,2.00,3.00,4.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6202012,3.00,3.00,2.00,4.00,5.00,4.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6202039,6.00,5.00,2.00,5.00,3.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6202047,5.00,6.00,3.00,6.00,8.00,10.88,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6202055,1.00,4.00,3.00,3.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6202063,3.00,2.00,2.00,1.00,3.00,3.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6202071,6.00,5.00,4.00,8.00,9.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6202080,3.00,5.00,2.00,3.00,4.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6202098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6202128,4.00,1.00,0.00,3.00,5.00,6.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6202136,3.00,3.00,0.00,4.00,6.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6202152,8.00,7.00,1.00,4.00,9.00,11.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6202160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6202179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6202195,5.00,4.00,2.00,6.00,8.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6202209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6202217,4.00,2.00,1.00,1.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6202225,8.00,8.00,4.00,6.00,9.00,7.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6202233,2.00,4.00,3.00,7.00,3.00,NULL,0.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6202241,6.00,7.00,2.00,6.00,10.00,12.38,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6202250,7.00,5.00,4.00,5.00,7.00,7.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6202268,3.00,5.00,0.00,5.00,6.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6202276,3.00,4.00,4.00,6.00,9.00,7.88,0.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6202284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6202292,3.00,4.00,1.00,3.00,5.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6202306,6.00,5.00,5.00,6.00,6.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6202314,6.00,5.00,4.00,4.00,6.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6202322,2.00,1.00,1.00,2.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6202330,8.00,6.00,2.00,7.00,10.00,12.38,2.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6202349,8.00,6.00,1.00,6.00,9.00,10.50,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6202357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6202365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6202373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6202381,4.00,5.00,3.00,4.00,6.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6202403,6.00,3.00,1.00,5.00,8.00,9.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6202420,5.00,4.00,3.00,7.00,8.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6202438,2.00,3.00,1.00,2.00,6.00,6.75,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6202446,3.00,2.00,1.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6202454,3.00,7.00,0.00,5.00,5.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6202470,5.00,5.00,3.00,7.00,6.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6202497,7.00,5.00,3.00,2.00,7.00,7.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6202500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6202519,2.00,2.00,1.00,4.00,5.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6202535,4.00,7.00,0.00,5.00,7.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6202543,5.00,4.00,2.00,6.00,5.00,7.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6202551,6.00,7.00,2.00,3.00,7.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6202560,1.00,3.00,1.00,3.00,3.00,8.63,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6202586,5.00,3.00,3.00,2.00,8.00,10.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6202594,3.00,6.00,2.00,5.00,7.00,8.63,1.00,6.00,4.00,NULL,NULL,NULL,'S'),(25,6202624,6.00,7.00,2.00,6.00,7.00,9.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6202640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6202667,4.00,4.00,3.00,7.00,8.00,8.63,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6202675,5.00,7.00,5.00,6.00,8.00,7.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6202683,2.00,2.00,0.00,3.00,5.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6202721,3.00,6.00,2.00,4.00,7.00,6.75,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6202730,4.00,5.00,3.00,7.00,6.00,6.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6202748,3.00,4.00,3.00,3.00,6.00,5.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6202756,6.00,5.00,5.00,5.00,9.00,8.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6202764,3.00,6.00,2.00,3.00,6.00,6.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6202772,3.00,4.00,2.00,5.00,6.00,11.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6202780,3.00,5.00,3.00,4.00,5.00,9.75,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6202799,3.00,4.00,0.00,3.00,4.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6202802,7.00,8.00,2.00,4.00,8.00,9.00,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6202810,5.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6202829,3.00,5.00,2.00,4.00,3.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6202837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6202845,7.00,6.00,6.00,3.00,8.00,10.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6202853,6.00,7.00,6.00,5.00,7.00,8.63,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6202861,8.00,7.00,5.00,7.00,8.00,9.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6202870,9.00,0.00,3.00,6.00,10.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6202888,5.00,4.00,5.00,5.00,7.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6202896,9.00,8.00,5.00,7.00,9.00,9.38,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6202900,5.00,5.00,4.00,5.00,7.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6202918,4.00,6.00,0.00,6.00,6.00,6.75,1.00,6.00,2.00,NULL,NULL,NULL,'S'),(25,6202926,5.00,8.00,3.00,6.00,7.00,7.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6202934,7.00,7.00,2.00,7.00,8.00,11.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6202942,5.00,5.00,4.00,4.00,7.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6202950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6202969,4.00,4.00,2.00,5.00,6.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6202977,6.00,6.00,2.00,6.00,7.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6202985,2.00,2.00,0.00,3.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6202993,4.00,4.00,2.00,4.00,7.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6203000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6203019,4.00,5.00,5.00,5.00,7.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6203035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6203043,7.00,6.00,4.00,6.00,8.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6203051,5.00,8.00,4.00,4.00,8.00,8.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6203060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6203078,7.00,6.00,2.00,4.00,10.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6203086,7.00,7.00,5.00,5.00,9.00,9.75,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6203094,7.00,8.00,3.00,5.00,7.00,8.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6203108,3.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6203124,8.00,3.00,5.00,7.00,7.00,11.25,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6203132,7.00,5.00,7.00,6.00,9.00,8.25,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6203140,3.00,5.00,4.00,4.00,8.00,7.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6203159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6203167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6203175,3.00,5.00,1.00,4.00,5.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6203183,4.00,6.00,2.00,5.00,10.00,9.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6203191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6203205,2.00,1.00,1.00,3.00,5.00,8.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6203213,4.00,3.00,2.00,3.00,8.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(25,6203221,2.00,5.00,2.00,4.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6203230,5.00,5.00,3.00,5.00,7.00,10.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6203248,4.00,6.00,2.00,6.00,5.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6203256,2.00,5.00,0.00,7.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6203264,2.00,4.00,1.00,2.00,4.00,7.13,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6203272,3.00,5.00,3.00,4.00,7.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6203299,4.00,3.00,5.00,7.00,9.00,10.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6203302,4.00,6.00,4.00,5.00,5.00,9.75,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6203310,2.00,5.00,2.00,3.00,5.00,6.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6203337,5.00,6.00,1.00,5.00,9.00,11.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6203345,3.00,3.00,2.00,5.00,7.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6203353,4.00,5.00,3.00,0.00,6.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6203361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6203370,3.00,6.00,0.00,3.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6203388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6203400,3.00,4.00,1.00,1.00,5.00,8.25,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6203418,7.00,5.00,5.00,5.00,7.00,8.25,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6203426,6.00,7.00,5.00,6.00,8.00,10.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6203434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6203442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6203450,6.00,5.00,5.00,6.00,6.00,9.38,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6203469,5.00,4.00,2.00,4.00,8.00,6.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6203477,4.00,6.00,2.00,4.00,6.00,8.25,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6203507,8.00,5.00,3.00,4.00,8.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6203515,2.00,4.00,3.00,3.00,4.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6203523,3.00,3.00,0.00,5.00,9.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6203540,4.00,4.00,2.00,5.00,3.00,5.63,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6203558,6.00,5.00,4.00,4.00,6.00,9.38,3.00,1.00,8.00,NULL,NULL,NULL,'N'),(25,6203566,5.00,7.00,1.00,6.00,9.00,10.50,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6203574,5.00,6.00,2.00,6.00,9.00,10.13,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6203582,3.00,7.00,2.00,2.00,7.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6203590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6203604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6203612,5.00,5.00,2.00,6.00,8.00,11.63,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6203620,3.00,4.00,4.00,6.00,7.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6203647,5.00,7.00,0.00,7.00,8.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6203655,5.00,5.00,4.00,6.00,9.00,8.63,0.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6203663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6203671,3.00,3.00,2.00,5.00,9.00,10.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6203680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6203698,7.00,3.00,4.00,7.00,8.00,10.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6203701,2.00,3.00,0.00,1.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6203710,5.00,5.00,0.00,7.00,6.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6203728,9.00,8.00,7.00,7.00,11.00,12.38,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6203736,0.00,3.00,0.00,4.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6203744,3.00,4.00,1.00,4.00,5.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6203752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6203760,2.00,2.00,1.00,4.00,4.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6203779,6.00,6.00,1.00,4.00,9.00,11.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6203787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6203795,4.00,5.00,1.00,6.00,6.00,6.38,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6203809,6.00,5.00,1.00,4.00,7.00,7.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6203817,4.00,4.00,1.00,5.00,6.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6203825,2.00,7.00,5.00,3.00,6.00,9.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6203833,5.00,7.00,4.00,7.00,9.00,10.88,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6203850,4.00,3.00,3.00,4.00,7.00,11.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6203884,1.00,3.00,0.00,3.00,4.00,5.25,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6203892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6203906,3.00,4.00,0.00,3.00,7.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6203914,3.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6203922,4.00,4.00,3.00,2.00,4.00,5.63,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6203930,3.00,7.00,1.00,3.00,7.00,8.25,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6203949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6203957,2.00,5.00,2.00,5.00,5.00,5.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6203965,6.00,5.00,3.00,6.00,10.00,10.50,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6203990,5.00,6.00,3.00,4.00,7.00,9.00,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6204007,4.00,5.00,3.00,4.00,7.00,6.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6204015,4.00,5.00,0.00,4.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6204023,6.00,8.00,3.00,6.00,7.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6204040,5.00,3.00,2.00,4.00,6.00,5.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6204058,6.00,6.00,3.00,7.00,8.00,10.13,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6204066,5.00,8.00,3.00,6.00,8.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6204082,4.00,2.00,2.00,2.00,4.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6204090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6204104,3.00,5.00,2.00,2.00,4.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6204112,3.00,5.00,0.00,5.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6204120,1.00,6.00,0.00,3.00,4.00,8.63,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6204139,9.00,5.00,9.00,7.00,9.00,8.25,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6204147,8.00,6.00,3.00,7.00,8.00,12.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6204155,2.00,3.00,1.00,3.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,'S','S'),(25,6204163,7.00,8.00,6.00,7.00,10.00,11.63,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6204171,4.00,7.00,4.00,7.00,9.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6204180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6204198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6204201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6204210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6204236,6.00,6.00,3.00,6.00,11.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6204244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6204260,5.00,5.00,3.00,5.00,7.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6204287,2.00,3.00,2.00,2.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6204295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6204309,8.00,5.00,3.00,7.00,8.00,7.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6204317,0.00,2.00,2.00,2.00,4.00,6.75,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6204325,6.00,6.00,1.00,4.00,10.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6204350,1.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6204368,4.00,5.00,4.00,6.00,8.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6204384,3.00,4.00,2.00,5.00,5.00,8.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6204392,5.00,6.00,1.00,6.00,9.00,10.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6204414,2.00,2.00,2.00,3.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6204422,6.00,5.00,3.00,3.00,7.00,7.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6204430,3.00,6.00,1.00,5.00,7.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6204449,4.00,4.00,3.00,6.00,7.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6204457,6.00,8.00,4.00,1.00,8.00,10.88,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6204473,9.00,6.00,5.00,5.00,10.00,11.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6204481,3.00,3.00,0.00,1.00,7.00,9.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6204490,2.00,4.00,5.00,4.00,5.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6204503,5.00,7.00,5.00,7.00,8.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6204520,8.00,4.00,2.00,5.00,8.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6204538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6204554,5.00,6.00,3.00,6.00,8.00,6.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6204562,3.00,4.00,0.00,2.00,5.00,9.00,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6204570,3.00,3.00,3.00,4.00,4.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6204589,7.00,5.00,7.00,6.00,7.00,7.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6204600,5.00,4.00,3.00,6.00,5.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6204627,3.00,2.00,0.00,2.00,4.00,3.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6204635,3.00,4.00,2.00,2.00,6.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6204643,7.00,5.00,4.00,4.00,7.00,9.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6204651,7.00,4.00,2.00,4.00,8.00,10.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6204660,2.00,6.00,2.00,6.00,6.00,7.13,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(25,6204678,4.00,2.00,0.00,3.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6204686,2.00,3.00,0.00,3.00,8.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6204694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6204708,2.00,3.00,3.00,4.00,5.00,6.75,1.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6204724,2.00,4.00,1.00,4.00,6.00,7.88,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6204740,6.00,8.00,4.00,5.00,9.00,10.88,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6204759,4.00,4.00,1.00,0.00,5.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6204767,3.00,2.00,2.00,4.00,6.00,8.63,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6204775,5.00,6.00,3.00,4.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6204791,3.00,4.00,0.00,1.00,6.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6204805,1.00,2.00,1.00,4.00,5.00,7.88,4.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6204813,1.00,0.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6204821,5.00,6.00,5.00,6.00,9.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6204848,9.00,8.00,7.00,7.00,10.00,12.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6204856,6.00,4.00,1.00,5.00,5.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6204864,1.00,3.00,2.00,3.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6204872,3.00,2.00,2.00,2.00,3.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6204902,4.00,7.00,4.00,1.00,7.00,7.13,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6204910,4.00,5.00,3.00,4.00,5.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6204929,9.00,5.00,7.00,7.00,9.00,9.38,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6204953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6204961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6204970,5.00,6.00,1.00,4.00,6.00,6.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6204996,3.00,6.00,2.00,5.00,6.00,6.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6205003,8.00,8.00,2.00,6.00,8.00,6.38,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6205011,7.00,7.00,5.00,7.00,7.00,10.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6205020,2.00,8.00,3.00,6.00,6.00,12.38,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6205046,5.00,2.00,2.00,6.00,4.00,10.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6205054,3.00,6.00,3.00,7.00,9.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6205062,9.00,8.00,5.00,7.00,10.00,9.38,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6205070,2.00,0.00,1.00,2.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6205089,3.00,4.00,0.00,2.00,8.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6205097,4.00,7.00,1.00,2.00,5.00,7.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6205100,4.00,6.00,1.00,4.00,7.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6205119,7.00,6.00,5.00,7.00,8.00,7.13,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6205135,7.00,5.00,4.00,5.00,5.00,9.38,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6205151,7.00,6.00,2.00,5.00,4.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6205160,7.00,4.00,2.00,4.00,5.00,6.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6205178,4.00,4.00,1.00,1.00,6.00,6.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6205186,4.00,6.00,3.00,3.00,7.00,10.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6205194,6.00,8.00,5.00,7.00,7.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6205216,4.00,5.00,2.00,7.00,8.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6205224,3.00,5.00,1.00,4.00,4.00,9.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6205232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6205259,6.00,7.00,4.00,6.00,7.00,8.63,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6205267,6.00,3.00,1.00,6.00,9.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6205275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6205283,7.00,8.00,5.00,4.00,7.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6205291,5.00,5.00,4.00,6.00,5.00,NULL,2.00,3.00,5.00,NULL,NULL,'S','S'),(25,6205305,3.00,4.00,4.00,5.00,4.00,7.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6205313,5.00,7.00,2.00,5.00,8.00,10.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6205321,8.00,4.00,6.00,3.00,5.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6205330,5.00,7.00,3.00,4.00,6.00,7.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6205356,9.00,8.00,8.00,7.00,9.00,10.88,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6205372,6.00,6.00,5.00,7.00,9.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6205380,2.00,3.00,1.00,5.00,7.00,7.13,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6205399,3.00,1.00,0.00,7.00,2.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6205402,2.00,3.00,1.00,1.00,5.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6205410,4.00,5.00,3.00,5.00,7.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6205429,2.00,7.00,1.00,5.00,3.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6205437,7.00,6.00,4.00,5.00,7.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6205445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6205461,5.00,6.00,3.00,6.00,8.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6205488,5.00,5.00,1.00,4.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6205496,6.00,4.00,3.00,6.00,5.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6205500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6205518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6205526,6.00,5.00,7.00,5.00,7.00,9.38,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6205534,5.00,4.00,0.00,3.00,7.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6205542,5.00,4.00,4.00,4.00,8.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6205550,2.00,3.00,4.00,4.00,8.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6205569,3.00,5.00,3.00,4.00,7.00,10.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6205577,8.00,6.00,4.00,4.00,8.00,9.00,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(25,6205585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6205593,2.00,3.00,2.00,4.00,4.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6205607,4.00,4.00,1.00,6.00,6.00,10.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6205615,9.00,4.00,6.00,6.00,9.00,10.13,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6205623,7.00,6.00,3.00,6.00,9.00,9.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6205631,4.00,6.00,5.00,5.00,7.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6205640,8.00,8.00,4.00,6.00,9.00,9.00,0.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6205658,4.00,0.00,1.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6205682,3.00,6.00,2.00,5.00,6.00,7.50,0.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6205690,6.00,5.00,1.00,4.00,6.00,9.75,0.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6205704,4.00,2.00,3.00,2.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6205712,1.00,5.00,0.00,3.00,3.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6205720,7.00,6.00,5.00,6.00,7.00,11.63,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6205747,3.00,6.00,4.00,5.00,7.00,11.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6205755,5.00,7.00,1.00,6.00,5.00,10.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6205763,3.00,4.00,3.00,6.00,4.00,6.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6205771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6205780,4.00,4.00,3.00,3.00,5.00,8.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6205798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6205801,4.00,3.00,2.00,2.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6205810,2.00,1.00,2.00,1.00,9.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6205828,4.00,5.00,2.00,6.00,7.00,6.75,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6205836,2.00,2.00,3.00,1.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6205844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6205852,3.00,3.00,1.00,3.00,4.00,9.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6205860,5.00,5.00,0.00,2.00,7.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6205879,3.00,5.00,2.00,2.00,6.00,9.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6205887,7.00,6.00,5.00,5.00,9.00,9.00,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6205895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6205909,1.00,3.00,3.00,3.00,5.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6205917,5.00,4.00,3.00,5.00,7.00,5.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6205925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6205933,5.00,5.00,1.00,4.00,9.00,NULL,0.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6205941,3.00,3.00,2.00,4.00,6.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6205950,4.00,6.00,4.00,4.00,4.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6205976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6205984,7.00,6.00,0.00,6.00,6.00,NULL,3.00,7.00,2.00,NULL,NULL,'S','N'),(25,6205992,4.00,0.00,0.00,3.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6206000,6.00,6.00,4.00,5.00,9.00,10.50,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6206026,2.00,5.00,2.00,4.00,4.00,10.13,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6206034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6206050,6.00,6.00,3.00,7.00,8.00,11.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6206069,6.00,5.00,1.00,2.00,3.00,4.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6206077,6.00,5.00,4.00,5.00,8.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6206085,4.00,5.00,2.00,5.00,4.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6206093,5.00,5.00,3.00,3.00,8.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6206107,4.00,5.00,2.00,4.00,9.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6206115,4.00,4.00,5.00,6.00,4.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6206123,8.00,6.00,4.00,5.00,9.00,10.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6206131,3.00,4.00,2.00,3.00,8.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6206140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6206158,4.00,5.00,3.00,5.00,6.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6206174,7.00,7.00,5.00,4.00,7.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6206182,5.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6206204,7.00,6.00,1.00,5.00,7.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6206220,2.00,2.00,0.00,2.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6206239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6206247,8.00,7.00,8.00,5.00,8.00,10.13,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6206255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6206263,3.00,1.00,2.00,1.00,7.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6206301,2.00,4.00,0.00,2.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6206336,6.00,8.00,0.00,3.00,9.00,10.88,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6206352,2.00,6.00,1.00,3.00,7.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6206360,5.00,6.00,4.00,4.00,8.00,7.88,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6206379,3.00,4.00,3.00,2.00,5.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6206387,4.00,4.00,1.00,6.00,9.00,6.75,0.00,6.00,4.00,NULL,NULL,NULL,'S'),(25,6206395,4.00,4.00,1.00,5.00,8.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6206409,4.00,2.00,3.00,4.00,4.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6206417,6.00,5.00,7.00,4.00,8.00,7.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6206433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6206441,3.00,4.00,1.00,3.00,5.00,9.38,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6206450,9.00,9.00,3.00,8.00,11.00,9.75,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6206468,6.00,7.00,2.00,5.00,7.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6206476,8.00,8.00,4.00,7.00,9.00,12.00,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6206484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6206506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6206514,4.00,2.00,2.00,3.00,7.00,6.38,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6206530,6.00,6.00,1.00,4.00,8.00,6.38,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6206549,7.00,5.00,3.00,7.00,10.00,11.63,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6206557,2.00,0.00,1.00,3.00,3.00,8.25,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6206565,7.00,5.00,4.00,6.00,8.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6206573,6.00,5.00,2.00,2.00,7.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6206581,6.00,3.00,4.00,6.00,6.00,9.00,0.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6206590,2.00,3.00,0.00,4.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6206603,7.00,4.00,5.00,3.00,4.00,6.00,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6206611,0.00,0.00,0.00,0.00,0.00,NULL,1.00,0.00,0.00,'S',NULL,NULL,'N'),(25,6206620,4.00,6.00,2.00,3.00,6.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6206638,4.00,7.00,4.00,7.00,7.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6206646,7.00,8.00,4.00,7.00,7.00,9.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6206654,6.00,5.00,2.00,5.00,9.00,10.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6206670,1.00,2.00,1.00,3.00,5.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6206689,4.00,5.00,0.00,6.00,7.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6206697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6206700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6206719,4.00,6.00,0.00,5.00,6.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6206727,9.00,8.00,5.00,5.00,7.00,10.13,1.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6206735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6206751,3.00,3.00,1.00,4.00,6.00,6.00,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6206786,9.00,8.00,5.00,7.00,10.00,11.63,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6206808,4.00,5.00,1.00,3.00,6.00,6.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6206816,6.00,7.00,2.00,6.00,8.00,9.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6206824,6.00,6.00,1.00,5.00,7.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6206832,5.00,6.00,2.00,3.00,6.00,7.13,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6206859,6.00,6.00,6.00,8.00,10.00,8.25,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6206867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6206875,3.00,6.00,1.00,4.00,8.00,9.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6206883,5.00,3.00,2.00,3.00,7.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6206891,4.00,4.00,2.00,3.00,3.00,4.88,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6206905,5.00,5.00,3.00,5.00,7.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6206913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6206921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6206930,3.00,4.00,3.00,1.00,3.00,9.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6206948,2.00,4.00,2.00,3.00,5.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6206956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6206964,3.00,4.00,1.00,3.00,5.00,8.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6206972,4.00,2.00,1.00,6.00,6.00,7.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6206999,5.00,5.00,3.00,4.00,6.00,NULL,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6207006,5.00,4.00,2.00,3.00,6.00,7.88,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6207014,5.00,2.00,1.00,3.00,5.00,7.50,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6207022,4.00,4.00,1.00,4.00,6.00,6.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6207030,2.00,7.00,1.00,6.00,7.00,10.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6207049,5.00,6.00,4.00,3.00,7.00,9.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6207057,5.00,4.00,3.00,4.00,8.00,9.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6207065,6.00,5.00,1.00,5.00,8.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6207073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6207081,1.00,2.00,3.00,1.00,6.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6207103,6.00,7.00,1.00,3.00,7.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6207111,7.00,7.00,5.00,7.00,8.00,8.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6207120,6.00,5.00,1.00,5.00,8.00,9.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6207138,5.00,5.00,0.00,4.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6207146,5.00,4.00,2.00,3.00,7.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6207154,3.00,1.00,4.00,1.00,5.00,5.25,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6207162,3.00,5.00,1.00,5.00,7.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6207170,5.00,6.00,6.00,4.00,8.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6207189,3.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6207197,5.00,5.00,0.00,6.00,6.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6207200,3.00,1.00,2.00,4.00,6.00,10.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6207219,5.00,3.00,3.00,2.00,8.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6207227,8.00,7.00,6.00,8.00,8.00,10.88,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6207235,5.00,5.00,3.00,4.00,7.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6207243,3.00,2.00,0.00,1.00,3.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6207251,6.00,5.00,1.00,6.00,6.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6207260,1.00,1.00,2.00,3.00,5.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6207278,4.00,7.00,3.00,6.00,7.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6207286,5.00,4.00,1.00,2.00,6.00,8.63,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6207308,8.00,5.00,5.00,4.00,7.00,7.88,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6207316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6207340,5.00,5.00,8.00,7.00,8.00,10.50,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6207359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6207367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6207375,8.00,8.00,5.00,7.00,9.00,10.88,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6207383,8.00,7.00,6.00,6.00,10.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6207391,5.00,8.00,4.00,7.00,10.00,7.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6207405,8.00,7.00,5.00,7.00,10.00,10.13,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6207413,4.00,3.00,1.00,3.00,7.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6207421,8.00,8.00,5.00,6.00,9.00,12.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6207430,7.00,4.00,4.00,5.00,9.00,10.13,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6207456,5.00,5.00,1.00,2.00,5.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6207464,4.00,7.00,1.00,4.00,6.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6207480,1.00,3.00,0.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6207499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6207502,7.00,6.00,4.00,5.00,10.00,9.38,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6207510,5.00,5.00,4.00,7.00,6.00,9.75,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6207529,3.00,4.00,1.00,2.00,4.00,7.88,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6207537,3.00,6.00,3.00,5.00,9.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6207545,4.00,5.00,1.00,1.00,4.00,7.13,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6207553,2.00,3.00,2.00,1.00,5.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6207561,6.00,6.00,6.00,7.00,9.00,10.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6207570,2.00,5.00,2.00,6.00,7.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6207588,4.00,5.00,3.00,3.00,8.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6207600,3.00,4.00,3.00,2.00,5.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6207618,9.00,7.00,1.00,6.00,9.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6207626,3.00,5.00,1.00,3.00,5.00,7.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6207634,4.00,4.00,1.00,3.00,5.00,7.50,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6207642,5.00,4.00,1.00,3.00,6.00,9.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6207650,4.00,3.00,2.00,2.00,6.00,9.38,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6207669,9.00,7.00,7.00,6.00,9.00,9.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6207677,7.00,7.00,2.00,7.00,9.00,9.38,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6207685,4.00,5.00,2.00,6.00,8.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6207693,1.00,3.00,0.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6207707,4.00,5.00,1.00,7.00,7.00,9.38,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6207723,2.00,4.00,0.00,1.00,5.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6207731,2.00,4.00,1.00,2.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6207740,9.00,7.00,6.00,6.00,11.00,9.00,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6207758,3.00,5.00,0.00,2.00,7.00,6.38,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6207766,8.00,4.00,3.00,6.00,8.00,9.75,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6207782,2.00,7.00,1.00,1.00,6.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6207790,4.00,4.00,2.00,4.00,5.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6207804,3.00,0.00,2.00,3.00,6.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6207812,2.00,3.00,2.00,2.00,7.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6207820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6207847,4.00,6.00,2.00,6.00,7.00,9.75,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6207863,4.00,5.00,3.00,2.00,4.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6207871,5.00,4.00,4.00,5.00,5.00,6.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6207880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6207898,9.00,8.00,6.00,6.00,10.00,12.00,0.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6207901,6.00,4.00,2.00,2.00,6.00,7.88,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6207936,4.00,7.00,3.00,6.00,7.00,7.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6207944,1.00,5.00,0.00,5.00,6.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6207952,7.00,7.00,4.00,5.00,8.00,11.63,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6207960,4.00,4.00,1.00,6.00,9.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6207979,4.00,1.00,2.00,3.00,5.00,7.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6207987,5.00,5.00,6.00,6.00,9.00,11.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6207995,3.00,7.00,4.00,4.00,6.00,4.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6208010,7.00,4.00,2.00,5.00,7.00,7.50,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6208029,3.00,2.00,0.00,4.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6208037,4.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'S'),(25,6208045,0.00,5.00,2.00,6.00,6.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6208053,4.00,5.00,3.00,5.00,4.00,6.38,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6208061,6.00,5.00,3.00,5.00,4.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6208070,1.00,4.00,1.00,3.00,3.00,5.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6208088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6208096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6208100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6208126,5.00,6.00,3.00,5.00,9.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6208134,2.00,4.00,1.00,3.00,3.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6208177,4.00,5.00,2.00,2.00,5.00,9.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6208193,5.00,5.00,3.00,6.00,8.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6208207,5.00,3.00,2.00,7.00,6.00,7.88,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6208215,0.00,0.00,0.00,0.00,1.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6208231,4.00,4.00,1.00,4.00,7.00,6.75,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6208240,3.00,4.00,5.00,2.00,5.00,8.63,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6208266,1.00,3.00,3.00,5.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,'S','N'),(25,6208274,2.00,3.00,1.00,4.00,5.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6208282,2.00,3.00,1.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6208290,2.00,3.00,1.00,4.00,8.00,10.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6208304,2.00,6.00,1.00,4.00,7.00,6.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6208312,4.00,6.00,0.00,3.00,5.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6208339,4.00,5.00,2.00,6.00,6.00,12.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6208347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6208355,3.00,3.00,3.00,3.00,4.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6208363,5.00,5.00,2.00,5.00,7.00,10.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6208371,7.00,7.00,3.00,6.00,10.00,10.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6208401,6.00,3.00,0.00,4.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6208410,2.00,3.00,1.00,4.00,2.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6208428,7.00,5.00,2.00,6.00,8.00,9.38,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6208444,3.00,4.00,1.00,1.00,7.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6208460,6.00,6.00,3.00,5.00,8.00,9.38,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6208495,3.00,4.00,1.00,2.00,6.00,8.63,4.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6208517,3.00,3.00,0.00,2.00,4.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6208525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6208533,4.00,5.00,5.00,3.00,6.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6208541,3.00,3.00,3.00,3.00,4.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6208550,2.00,4.00,4.00,4.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6208576,6.00,4.00,3.00,2.00,7.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6208592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6208606,3.00,3.00,2.00,5.00,6.00,9.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6208614,6.00,8.00,5.00,7.00,8.00,9.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6208622,7.00,5.00,2.00,5.00,9.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6208630,3.00,4.00,0.00,3.00,5.00,6.75,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6208649,4.00,6.00,2.00,4.00,7.00,NULL,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6208657,5.00,4.00,4.00,4.00,8.00,9.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6208665,7.00,5.00,2.00,5.00,8.00,7.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6208673,7.00,4.00,0.00,7.00,7.00,10.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6208681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6208690,6.00,5.00,1.00,3.00,6.00,7.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6208720,3.00,7.00,3.00,4.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6208738,3.00,5.00,4.00,4.00,8.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6208746,2.00,5.00,1.00,3.00,4.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6208754,4.00,3.00,3.00,5.00,5.00,9.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6208762,2.00,1.00,0.00,2.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6208770,4.00,3.00,1.00,6.00,5.00,6.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6208789,4.00,5.00,1.00,4.00,7.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6208797,8.00,7.00,4.00,7.00,10.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6208800,5.00,5.00,2.00,0.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6208819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6208827,4.00,6.00,3.00,6.00,8.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6208835,5.00,5.00,6.00,4.00,8.00,9.00,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6208843,4.00,6.00,0.00,5.00,8.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6208860,3.00,3.00,1.00,3.00,6.00,6.00,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6208878,4.00,6.00,3.00,5.00,9.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6208886,4.00,5.00,6.00,4.00,8.00,10.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6208894,3.00,5.00,5.00,7.00,6.00,8.63,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6208908,4.00,5.00,0.00,2.00,7.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6208916,3.00,3.00,3.00,5.00,5.00,8.63,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6208924,4.00,3.00,3.00,4.00,5.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6208940,3.00,4.00,1.00,3.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6208959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6208967,2.00,4.00,1.00,4.00,4.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6208975,7.00,6.00,8.00,5.00,6.00,6.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6208983,4.00,3.00,0.00,4.00,4.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6209009,5.00,5.00,0.00,3.00,7.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6209017,2.00,3.00,1.00,3.00,9.00,10.88,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6209025,5.00,6.00,4.00,4.00,8.00,10.88,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6209033,3.00,5.00,1.00,6.00,8.00,10.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6209068,2.00,2.00,2.00,4.00,6.00,5.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6209092,5.00,4.00,2.00,6.00,9.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6209106,4.00,6.00,4.00,7.00,8.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6209130,3.00,4.00,2.00,3.00,4.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6209149,4.00,5.00,3.00,2.00,6.00,6.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6209165,2.00,1.00,1.00,2.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6209173,2.00,5.00,0.00,3.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6209181,6.00,8.00,6.00,7.00,10.00,7.13,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6209203,2.00,3.00,0.00,2.00,5.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6209211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6209238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6209246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6209262,5.00,2.00,1.00,3.00,4.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6209289,0.00,2.00,1.00,2.00,3.00,5.25,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6209297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6209300,2.00,3.00,3.00,2.00,5.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6209327,5.00,4.00,2.00,3.00,6.00,10.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6209335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6209343,5.00,3.00,1.00,2.00,3.00,4.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6209351,6.00,5.00,2.00,5.00,8.00,12.00,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6209360,5.00,0.00,3.00,4.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6209378,8.00,8.00,0.00,7.00,8.00,12.75,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6209386,1.00,4.00,2.00,3.00,4.00,7.50,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6209394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6209424,2.00,6.00,1.00,4.00,7.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6209440,2.00,2.00,1.00,3.00,4.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6209459,2.00,5.00,1.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6209467,7.00,5.00,3.00,5.00,9.00,12.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6209483,3.00,5.00,0.00,4.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6209491,1.00,4.00,1.00,2.00,5.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6209513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6209521,1.00,5.00,2.00,0.00,3.00,6.00,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6209530,2.00,3.00,2.00,2.00,4.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6209548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6209572,4.00,4.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6209599,4.00,6.00,3.00,5.00,6.00,8.63,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6209610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6209629,7.00,6.00,2.00,5.00,6.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6209637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6209645,2.00,5.00,1.00,4.00,5.00,10.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6209653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6209661,4.00,3.00,1.00,3.00,7.00,8.25,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6209670,7.00,6.00,9.00,7.00,7.00,8.25,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6209688,3.00,5.00,2.00,1.00,4.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6209696,6.00,7.00,5.00,7.00,10.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6209718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6209734,3.00,5.00,3.00,5.00,7.00,10.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6209742,4.00,3.00,4.00,2.00,7.00,9.75,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6209750,5.00,8.00,2.00,5.00,8.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6209769,7.00,8.00,3.00,7.00,10.00,10.13,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6209777,3.00,3.00,1.00,2.00,3.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6209793,7.00,7.00,1.00,5.00,8.00,7.50,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6209807,4.00,4.00,0.00,3.00,5.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6209815,8.00,8.00,1.00,4.00,9.00,12.75,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6209823,5.00,6.00,3.00,6.00,4.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6209840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6209858,5.00,3.00,1.00,3.00,5.00,6.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6209874,6.00,6.00,2.00,3.00,10.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6209882,8.00,6.00,2.00,5.00,7.00,10.13,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6209890,2.00,3.00,2.00,4.00,5.00,6.00,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6209912,6.00,3.00,4.00,4.00,7.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6209920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6209947,3.00,5.00,2.00,2.00,4.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6209963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6209971,6.00,5.00,3.00,6.00,7.00,5.63,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6209998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6210007,2.00,2.00,1.00,3.00,5.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6210015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6210023,5.00,6.00,1.00,3.00,9.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6210031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6210058,2.00,6.00,5.00,3.00,7.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6210066,4.00,0.00,3.00,5.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6210082,2.00,4.00,2.00,4.00,6.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6210090,4.00,5.00,1.00,3.00,7.00,9.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6210104,1.00,4.00,0.00,1.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6210112,3.00,5.00,1.00,3.00,4.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6210120,3.00,6.00,4.00,5.00,6.00,0.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6210139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6210155,10.00,6.00,6.00,7.00,8.00,9.00,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6210171,7.00,6.00,4.00,8.00,10.00,12.00,1.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6210180,7.00,6.00,5.00,6.00,7.00,8.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6210201,8.00,4.00,8.00,6.00,5.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6210210,3.00,2.00,4.00,4.00,7.00,NULL,2.00,0.00,1.00,NULL,NULL,'S','N'),(25,6210228,7.00,6.00,1.00,6.00,8.00,11.25,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6210244,6.00,7.00,5.00,7.00,6.00,10.50,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6210252,6.00,4.00,4.00,7.00,8.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6210260,2.00,5.00,2.00,0.00,6.00,9.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6210279,4.00,2.00,2.00,4.00,6.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6210287,4.00,3.00,1.00,3.00,7.00,8.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6210295,3.00,3.00,1.00,3.00,5.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6210317,6.00,5.00,1.00,6.00,8.00,9.00,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6210325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6210333,5.00,7.00,4.00,7.00,8.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6210350,9.00,7.00,9.00,7.00,10.00,10.13,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6210368,3.00,4.00,2.00,5.00,4.00,7.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6210376,2.00,2.00,4.00,1.00,4.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6210384,5.00,2.00,2.00,1.00,5.00,7.50,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6210392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6210414,7.00,7.00,3.00,6.00,8.00,NULL,0.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6210422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6210430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6210449,3.00,2.00,2.00,5.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6210457,3.00,7.00,2.00,3.00,7.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6210465,2.00,3.00,3.00,3.00,3.00,5.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6210473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6210490,5.00,2.00,0.00,3.00,5.00,7.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6210503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6210511,7.00,7.00,4.00,4.00,7.00,7.88,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6210520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6210538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6210554,2.00,3.00,3.00,1.00,5.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6210562,7.00,5.00,1.00,6.00,8.00,12.38,0.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6210570,2.00,6.00,2.00,4.00,6.00,0.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6210589,5.00,7.00,1.00,2.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6210597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6210600,5.00,6.00,2.00,6.00,8.00,10.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6210619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6210627,2.00,2.00,2.00,4.00,3.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6210635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6210643,1.00,5.00,0.00,2.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6210651,2.00,2.00,0.00,2.00,4.00,5.63,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6210660,2.00,2.00,0.00,3.00,6.00,9.75,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6210678,6.00,4.00,1.00,6.00,9.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6210686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6210694,3.00,5.00,2.00,3.00,5.00,10.13,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6210708,7.00,6.00,2.00,7.00,8.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6210716,4.00,6.00,2.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6210732,4.00,8.00,2.00,4.00,7.00,7.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6210759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6210775,4.00,3.00,1.00,4.00,8.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6210783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6210791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6210821,3.00,6.00,0.00,1.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6210848,5.00,7.00,3.00,6.00,8.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6210856,5.00,6.00,3.00,6.00,5.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6210864,3.00,5.00,3.00,6.00,7.00,7.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6210872,2.00,5.00,2.00,1.00,8.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6210899,5.00,6.00,3.00,4.00,4.00,11.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6210902,0.00,6.00,0.00,0.00,0.00,NULL,2.00,3.00,3.00,'S',NULL,NULL,'S'),(25,6210910,6.00,6.00,2.00,2.00,6.00,8.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6210929,5.00,4.00,2.00,6.00,8.00,11.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6210945,5.00,4.00,3.00,6.00,8.00,9.00,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6210953,5.00,5.00,2.00,4.00,5.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6210961,5.00,7.00,3.00,4.00,4.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6210970,3.00,4.00,0.00,2.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6210988,8.00,4.00,6.00,5.00,8.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6210996,6.00,5.00,2.00,4.00,6.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6211003,8.00,7.00,5.00,5.00,7.00,7.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6211011,7.00,8.00,2.00,6.00,6.00,9.00,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6211038,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6211046,4.00,7.00,2.00,3.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6211054,4.00,6.00,3.00,6.00,9.00,12.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6211062,6.00,5.00,2.00,3.00,6.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6211070,7.00,8.00,2.00,6.00,9.00,9.38,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6211089,1.00,1.00,2.00,1.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6211097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6211100,3.00,4.00,3.00,2.00,8.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6211119,4.00,5.00,1.00,4.00,4.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6211127,2.00,2.00,1.00,4.00,8.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6211135,2.00,5.00,3.00,2.00,4.00,5.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6211143,6.00,6.00,3.00,7.00,7.00,8.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6211151,5.00,8.00,0.00,1.00,10.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6211178,6.00,7.00,4.00,6.00,9.00,9.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6211186,4.00,3.00,1.00,1.00,5.00,7.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6211194,4.00,6.00,3.00,2.00,7.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6211208,6.00,6.00,4.00,5.00,7.00,4.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6211224,5.00,7.00,2.00,6.00,10.00,10.50,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6211240,2.00,2.00,2.00,3.00,6.00,6.00,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6211259,0.00,4.00,2.00,5.00,6.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6211267,4.00,5.00,0.00,5.00,6.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6211275,4.00,6.00,2.00,2.00,6.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6211283,2.00,3.00,2.00,2.00,5.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6211291,6.00,5.00,3.00,4.00,8.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6211305,3.00,4.00,3.00,3.00,6.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6211313,6.00,6.00,4.00,5.00,8.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6211330,4.00,4.00,3.00,5.00,6.00,NULL,0.00,0.00,6.00,NULL,NULL,NULL,'N'),(25,6211348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6211356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6211364,6.00,5.00,3.00,3.00,8.00,9.38,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6211372,2.00,2.00,3.00,2.00,5.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6211380,2.00,3.00,1.00,2.00,7.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6211399,3.00,3.00,1.00,4.00,6.00,7.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6211402,4.00,5.00,5.00,3.00,7.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6211410,3.00,5.00,0.00,4.00,7.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6211429,6.00,5.00,1.00,6.00,9.00,10.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6211437,6.00,2.00,3.00,3.00,6.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6211445,1.00,2.00,2.00,1.00,7.00,6.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6211453,8.00,5.00,3.00,5.00,8.00,9.38,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6211461,7.00,6.00,7.00,7.00,7.00,10.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6211488,4.00,4.00,1.00,2.00,4.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6211496,5.00,5.00,1.00,6.00,7.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6211518,2.00,7.00,2.00,3.00,10.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6211526,1.00,1.00,1.00,1.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6211534,4.00,6.00,2.00,4.00,8.00,10.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6211542,8.00,6.00,7.00,7.00,7.00,12.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6211569,2.00,2.00,2.00,1.00,2.00,NULL,4.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6211577,2.00,4.00,0.00,4.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6211585,3.00,4.00,3.00,3.00,5.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6211615,6.00,7.00,0.00,7.00,9.00,6.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6211623,5.00,5.00,3.00,2.00,3.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6211631,4.00,4.00,2.00,3.00,7.00,7.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6211640,6.00,7.00,4.00,5.00,7.00,10.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6211658,2.00,4.00,2.00,6.00,4.00,7.88,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6211674,6.00,6.00,5.00,5.00,11.00,12.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6211682,2.00,3.00,4.00,4.00,4.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6211690,3.00,8.00,3.00,4.00,7.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6211704,4.00,5.00,6.00,5.00,5.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6211712,8.00,6.00,6.00,7.00,8.00,9.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6211720,7.00,3.00,3.00,2.00,5.00,8.25,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6211739,4.00,6.00,2.00,4.00,5.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6211747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6211755,2.00,4.00,0.00,1.00,6.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6211763,7.00,7.00,3.00,4.00,8.00,9.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6211771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6211798,1.00,4.00,1.00,4.00,0.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6211801,9.00,6.00,6.00,7.00,9.00,7.50,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6211810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6211828,2.00,6.00,2.00,4.00,4.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6211836,5.00,3.00,4.00,5.00,3.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6211844,4.00,6.00,3.00,5.00,5.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6211852,0.00,0.00,3.00,1.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6211860,5.00,5.00,4.00,3.00,6.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6211887,4.00,4.00,1.00,4.00,7.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6211909,7.00,7.00,3.00,5.00,8.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6211917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6211925,2.00,4.00,4.00,4.00,5.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6211933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6211941,3.00,5.00,2.00,4.00,7.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6211950,3.00,3.00,2.00,5.00,5.00,9.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6211968,2.00,4.00,0.00,3.00,3.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6211976,7.00,6.00,1.00,6.00,8.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6211984,4.00,5.00,3.00,2.00,8.00,7.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6211992,6.00,6.00,3.00,5.00,8.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6212018,3.00,6.00,3.00,6.00,8.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6212069,5.00,4.00,1.00,4.00,8.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6212077,2.00,7.00,1.00,2.00,5.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6212085,6.00,8.00,6.00,7.00,7.00,9.38,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6212107,5.00,8.00,3.00,6.00,9.00,11.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6212115,7.00,5.00,2.00,5.00,7.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6212123,5.00,6.00,1.00,3.00,6.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6212131,7.00,6.00,8.00,7.00,9.00,7.88,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6212158,4.00,1.00,1.00,2.00,7.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6212182,6.00,5.00,6.00,6.00,8.00,7.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6212190,5.00,2.00,0.00,6.00,6.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6212204,4.00,4.00,3.00,2.00,6.00,7.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6212212,2.00,6.00,1.00,5.00,6.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6212220,6.00,6.00,4.00,7.00,6.00,7.13,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6212247,9.00,6.00,7.00,7.00,10.00,7.50,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6212255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6212263,3.00,6.00,3.00,3.00,5.00,5.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6212271,4.00,4.00,2.00,4.00,4.00,8.25,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6212298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6212301,2.00,1.00,1.00,2.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6212310,7.00,4.00,8.00,7.00,8.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6212328,3.00,3.00,0.00,0.00,5.00,NULL,3.00,1.00,1.00,NULL,NULL,'S','N'),(25,6212344,5.00,4.00,1.00,4.00,6.00,9.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6212352,4.00,6.00,4.00,7.00,9.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6212360,1.00,5.00,0.00,4.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6212379,4.00,5.00,4.00,2.00,7.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6212387,4.00,4.00,4.00,5.00,4.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6212395,7.00,5.00,4.00,5.00,9.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6212417,2.00,3.00,3.00,4.00,7.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6212425,7.00,7.00,1.00,4.00,8.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6212433,6.00,8.00,6.00,6.00,9.00,12.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6212441,4.00,4.00,3.00,3.00,3.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6212450,4.00,5.00,2.00,6.00,7.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6212468,2.00,3.00,1.00,3.00,5.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6212476,5.00,3.00,2.00,4.00,7.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6212484,8.00,7.00,2.00,6.00,10.00,11.63,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6212492,5.00,5.00,2.00,4.00,7.00,8.63,0.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6212506,4.00,6.00,3.00,1.00,8.00,7.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6212514,4.00,5.00,4.00,6.00,9.00,9.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6212522,2.00,3.00,1.00,1.00,6.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6212530,2.00,2.00,0.00,4.00,6.00,0.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6212557,6.00,7.00,5.00,5.00,8.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6212565,4.00,5.00,3.00,7.00,4.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6212573,2.00,3.00,0.00,1.00,4.00,7.88,1.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6212581,3.00,5.00,2.00,2.00,4.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6212590,5.00,5.00,7.00,0.00,7.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6212603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6212620,2.00,2.00,1.00,3.00,6.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6212646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6212654,6.00,4.00,2.00,3.00,4.00,7.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6212662,5.00,4.00,1.00,6.00,8.00,10.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6212670,3.00,2.00,1.00,2.00,6.00,6.75,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6212689,4.00,5.00,1.00,2.00,7.00,8.63,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6212700,1.00,2.00,0.00,2.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6212727,7.00,5.00,3.00,5.00,10.00,7.13,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6212735,6.00,7.00,4.00,6.00,8.00,12.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6212743,6.00,7.00,3.00,7.00,7.00,6.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6212751,3.00,4.00,3.00,2.00,3.00,6.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6212760,3.00,5.00,2.00,5.00,8.00,11.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6212786,3.00,3.00,0.00,3.00,4.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6212794,3.00,6.00,3.00,3.00,3.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6212808,4.00,5.00,4.00,6.00,6.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6212824,2.00,3.00,3.00,3.00,3.00,6.38,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6212859,1.00,5.00,2.00,4.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6212867,3.00,5.00,0.00,3.00,7.00,9.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6212875,2.00,4.00,0.00,4.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6212883,3.00,3.00,1.00,4.00,3.00,5.25,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6212891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6212921,5.00,5.00,3.00,7.00,9.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6212930,5.00,7.00,4.00,6.00,6.00,7.13,0.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6212972,4.00,3.00,3.00,3.00,3.00,6.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6212999,8.00,6.00,2.00,6.00,8.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6213022,1.00,3.00,0.00,4.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6213030,7.00,5.00,5.00,4.00,9.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6213065,4.00,5.00,2.00,2.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6213090,2.00,6.00,4.00,5.00,5.00,6.75,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6213103,0.00,3.00,0.00,0.00,0.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6213111,4.00,6.00,3.00,3.00,3.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6213138,5.00,7.00,1.00,5.00,9.00,7.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6213146,5.00,6.00,1.00,5.00,10.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6213170,4.00,5.00,2.00,5.00,10.00,12.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6213189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6213197,2.00,4.00,2.00,2.00,6.00,8.63,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6213200,3.00,4.00,0.00,1.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6213219,2.00,4.00,1.00,4.00,2.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6213235,3.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6213243,3.00,3.00,1.00,3.00,6.00,8.63,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6213278,4.00,6.00,2.00,4.00,7.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6213286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6213294,3.00,5.00,1.00,3.00,9.00,10.88,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6213308,3.00,0.00,1.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6213316,3.00,5.00,3.00,3.00,6.00,4.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6213340,6.00,5.00,3.00,6.00,9.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6213359,3.00,3.00,2.00,3.00,6.00,11.63,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6213375,1.00,3.00,1.00,3.00,7.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6213383,8.00,6.00,1.00,6.00,8.00,10.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6213405,3.00,5.00,4.00,6.00,8.00,10.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6213413,4.00,5.00,4.00,2.00,8.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6213421,2.00,2.00,3.00,3.00,5.00,9.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6213456,6.00,5.00,3.00,7.00,6.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6213464,4.00,4.00,1.00,4.00,8.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'S'),(25,6213472,3.00,6.00,3.00,7.00,9.00,9.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6213480,4.00,7.00,4.00,4.00,8.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6213502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6213510,5.00,4.00,2.00,2.00,5.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6213537,8.00,8.00,6.00,5.00,8.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6213553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6213561,7.00,8.00,7.00,7.00,9.00,10.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6213570,3.00,8.00,3.00,7.00,9.00,12.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6213588,7.00,7.00,3.00,5.00,7.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6213596,7.00,7.00,7.00,6.00,7.00,11.25,3.00,6.00,10.00,NULL,NULL,NULL,'N'),(25,6213600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6213618,3.00,3.00,1.00,3.00,6.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6213626,2.00,3.00,0.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6213634,4.00,3.00,3.00,5.00,5.00,7.88,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6213642,5.00,5.00,5.00,3.00,5.00,7.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6213669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6213677,3.00,3.00,3.00,4.00,5.00,9.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6213707,1.00,6.00,1.00,3.00,3.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6213723,6.00,6.00,4.00,5.00,9.00,7.50,2.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6213740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6213758,2.00,5.00,2.00,4.00,7.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6213766,2.00,4.00,3.00,3.00,5.00,8.25,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6213774,4.00,6.00,4.00,2.00,3.00,9.00,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6213782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6213790,6.00,7.00,0.00,4.00,8.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6213820,5.00,4.00,1.00,4.00,5.00,9.75,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6213839,2.00,3.00,2.00,1.00,4.00,8.25,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6213847,2.00,4.00,1.00,6.00,6.00,10.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6213855,3.00,7.00,1.00,6.00,8.00,6.38,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6213871,3.00,4.00,1.00,7.00,7.00,9.38,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6213880,3.00,2.00,3.00,5.00,6.00,10.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6213898,3.00,4.00,1.00,5.00,6.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6213901,2.00,4.00,1.00,3.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6213910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6213928,2.00,5.00,2.00,1.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6213936,3.00,2.00,2.00,1.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6213944,3.00,3.00,2.00,3.00,7.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6213952,1.00,4.00,1.00,3.00,7.00,9.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6213960,3.00,7.00,1.00,7.00,5.00,6.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6213979,4.00,5.00,0.00,3.00,6.00,9.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6213987,4.00,5.00,3.00,3.00,8.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6213995,4.00,3.00,3.00,6.00,5.00,9.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6214002,7.00,8.00,3.00,6.00,8.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6214029,7.00,6.00,0.00,5.00,7.00,11.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6214045,6.00,4.00,4.00,3.00,7.00,6.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6214061,5.00,7.00,0.00,5.00,10.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6214070,4.00,3.00,1.00,6.00,6.00,6.75,2.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6214088,4.00,7.00,1.00,6.00,7.00,10.13,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6214096,4.00,6.00,1.00,6.00,5.00,7.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6214100,6.00,5.00,3.00,5.00,7.00,7.13,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6214118,5.00,6.00,4.00,2.00,6.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6214126,4.00,2.00,2.00,0.00,3.00,4.88,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6214142,1.00,5.00,2.00,1.00,5.00,8.25,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6214150,1.00,3.00,0.00,4.00,4.00,6.75,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6214169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6214177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6214185,6.00,4.00,1.00,4.00,8.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6214193,6.00,6.00,1.00,7.00,7.00,7.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6214223,3.00,4.00,1.00,1.00,4.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6214231,3.00,5.00,2.00,5.00,7.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6214240,7.00,8.00,3.00,5.00,7.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6214258,3.00,3.00,1.00,6.00,6.00,6.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6214266,8.00,6.00,8.00,7.00,8.00,9.38,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6214282,4.00,6.00,2.00,4.00,6.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6214290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6214304,2.00,4.00,3.00,3.00,6.00,7.13,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6214312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6214339,5.00,4.00,3.00,3.00,5.00,9.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6214347,6.00,6.00,3.00,6.00,7.00,11.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6214355,1.00,2.00,0.00,2.00,4.00,6.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6214363,3.00,4.00,6.00,5.00,8.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6214371,5.00,4.00,3.00,4.00,4.00,5.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6214380,2.00,6.00,4.00,4.00,3.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6214410,6.00,4.00,3.00,4.00,5.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6214428,5.00,3.00,2.00,3.00,8.00,6.00,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6214436,5.00,6.00,5.00,3.00,8.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6214444,6.00,5.00,4.00,4.00,7.00,0.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6214452,3.00,5.00,2.00,3.00,6.00,7.88,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6214460,5.00,4.00,2.00,4.00,8.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6214479,3.00,3.00,3.00,1.00,3.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6214487,2.00,4.00,2.00,4.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6214517,5.00,4.00,3.00,4.00,3.00,8.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6214525,3.00,4.00,2.00,6.00,5.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6214533,3.00,2.00,3.00,2.00,3.00,3.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6214541,1.00,3.00,2.00,4.00,6.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6214568,6.00,6.00,4.00,7.00,9.00,7.13,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6214576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6214584,6.00,4.00,3.00,5.00,7.00,11.25,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6214592,5.00,7.00,5.00,5.00,7.00,8.63,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6214606,6.00,7.00,2.00,6.00,6.00,10.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6214614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6214630,5.00,7.00,3.00,7.00,7.00,10.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6214649,5.00,6.00,4.00,6.00,5.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6214665,5.00,4.00,2.00,5.00,8.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6214673,5.00,0.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6214703,7.00,7.00,3.00,7.00,8.00,6.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6214711,3.00,8.00,2.00,7.00,9.00,9.38,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6214720,5.00,7.00,1.00,3.00,8.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6214738,4.00,1.00,2.00,3.00,5.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6214754,1.00,6.00,1.00,4.00,4.00,5.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6214762,6.00,4.00,5.00,4.00,6.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6214770,9.00,8.00,3.00,6.00,9.00,7.88,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6214797,4.00,5.00,2.00,2.00,5.00,7.88,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6214800,3.00,3.00,1.00,6.00,6.00,10.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6214819,9.00,5.00,5.00,8.00,8.00,9.00,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6214827,4.00,7.00,3.00,3.00,5.00,NULL,1.00,7.00,4.00,NULL,NULL,'S','N'),(25,6214835,8.00,7.00,8.00,7.00,9.00,8.63,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6214843,3.00,6.00,1.00,6.00,5.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6214851,1.00,1.00,0.00,0.00,1.00,NULL,1.00,5.00,2.00,NULL,NULL,'S','N'),(25,6214860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6214886,4.00,8.00,1.00,3.00,7.00,9.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6214894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6214916,1.00,1.00,0.00,2.00,5.00,4.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6214924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6214932,6.00,5.00,1.00,6.00,7.00,10.13,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6214940,0.00,2.00,2.00,2.00,3.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6214967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6214975,1.00,5.00,0.00,3.00,8.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6214991,5.00,4.00,1.00,6.00,8.00,7.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6215009,1.00,0.00,3.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6215017,2.00,2.00,2.00,4.00,5.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6215025,4.00,4.00,2.00,3.00,6.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6215033,8.00,7.00,8.00,6.00,8.00,11.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6215050,2.00,2.00,2.00,1.00,3.00,7.88,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6215068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6215076,2.00,5.00,1.00,2.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6215084,5.00,3.00,5.00,3.00,7.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6215092,2.00,2.00,0.00,3.00,4.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6215130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6215157,8.00,4.00,5.00,5.00,7.00,7.13,0.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6215190,2.00,3.00,6.00,7.00,6.00,7.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6215211,2.00,5.00,3.00,6.00,4.00,5.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6215220,6.00,7.00,4.00,7.00,7.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6215238,4.00,4.00,0.00,5.00,4.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6215246,4.00,5.00,2.00,2.00,7.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6215254,6.00,6.00,2.00,4.00,6.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6215270,7.00,7.00,3.00,4.00,4.00,10.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6215289,6.00,6.00,3.00,5.00,8.00,10.88,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6215300,2.00,4.00,3.00,2.00,6.00,6.75,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6215319,4.00,4.00,4.00,3.00,6.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6215327,5.00,5.00,0.00,4.00,7.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6215335,3.00,5.00,0.00,2.00,6.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6215343,6.00,8.00,6.00,6.00,7.00,10.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6215360,6.00,6.00,4.00,5.00,7.00,5.63,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6215378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6215394,3.00,3.00,1.00,6.00,7.00,13.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6215416,5.00,6.00,4.00,6.00,7.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6215424,5.00,5.00,2.00,7.00,4.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6215432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6215459,9.00,7.00,5.00,6.00,9.00,10.50,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6215467,4.00,0.00,3.00,6.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6215475,1.00,5.00,0.00,4.00,4.00,7.88,2.00,1.00,0.00,NULL,NULL,NULL,'S'),(25,6215483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6215491,3.00,3.00,2.00,2.00,8.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6215505,3.00,5.00,3.00,7.00,8.00,10.88,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6215513,3.00,4.00,3.00,5.00,5.00,9.75,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6215521,4.00,6.00,3.00,4.00,5.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6215530,0.00,2.00,1.00,2.00,4.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6215548,5.00,5.00,1.00,4.00,9.00,9.38,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6215556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6215564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6215572,2.00,8.00,2.00,5.00,5.00,7.88,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6215599,9.00,7.00,5.00,7.00,8.00,10.13,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6215610,5.00,7.00,2.00,4.00,7.00,7.13,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6215629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6215637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6215645,2.00,4.00,0.00,5.00,4.00,8.63,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6215653,5.00,8.00,3.00,5.00,8.00,9.38,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6215661,2.00,2.00,1.00,3.00,5.00,5.63,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6215670,8.00,7.00,4.00,7.00,9.00,10.88,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6215688,3.00,5.00,2.00,4.00,5.00,11.25,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6215700,3.00,4.00,1.00,2.00,4.00,7.50,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6215718,7.00,7.00,4.00,5.00,10.00,9.38,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6215726,3.00,7.00,1.00,4.00,4.00,5.25,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6215742,2.00,5.00,2.00,2.00,6.00,7.88,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6215750,7.00,8.00,6.00,6.00,8.00,8.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6215769,2.00,3.00,2.00,3.00,4.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6215777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6215785,4.00,6.00,5.00,6.00,8.00,10.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6215793,2.00,1.00,1.00,2.00,7.00,7.50,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6215807,2.00,3.00,3.00,4.00,4.00,8.63,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6215831,3.00,4.00,1.00,4.00,8.00,7.88,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6215840,5.00,5.00,3.00,7.00,8.00,9.00,0.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6215858,6.00,5.00,3.00,6.00,9.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6215866,6.00,6.00,3.00,7.00,8.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6215874,2.00,3.00,2.00,3.00,6.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6215882,4.00,4.00,3.00,3.00,5.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6215890,5.00,7.00,4.00,6.00,8.00,10.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6215904,3.00,4.00,0.00,3.00,6.00,7.88,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6215912,7.00,6.00,1.00,5.00,8.00,7.88,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6215939,4.00,5.00,3.00,3.00,8.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6215971,3.00,6.00,3.00,2.00,5.00,7.13,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6215998,2.00,6.00,1.00,3.00,6.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6216005,9.00,7.00,4.00,7.00,10.00,9.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6216013,2.00,2.00,1.00,5.00,4.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6216021,7.00,4.00,2.00,4.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6216048,4.00,5.00,2.00,3.00,7.00,9.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6216056,4.00,2.00,2.00,4.00,3.00,8.63,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6216064,6.00,6.00,1.00,7.00,8.00,7.13,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6216072,2.00,4.00,1.00,1.00,3.00,8.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6216102,7.00,5.00,3.00,4.00,9.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6216110,2.00,2.00,1.00,0.00,2.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6216129,6.00,8.00,3.00,4.00,7.00,7.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6216137,4.00,6.00,4.00,7.00,8.00,7.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6216145,4.00,6.00,2.00,4.00,7.00,7.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6216161,2.00,3.00,1.00,1.00,5.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6216170,6.00,3.00,3.00,5.00,5.00,8.63,1.00,1.00,7.00,NULL,NULL,NULL,'N'),(25,6216188,2.00,4.00,1.00,3.00,5.00,9.38,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6216196,0.00,3.00,3.00,2.00,4.00,6.75,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6216200,8.00,8.00,6.00,7.00,10.00,10.88,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6216218,4.00,4.00,2.00,4.00,9.00,7.88,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6216226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6216234,3.00,6.00,2.00,5.00,7.00,8.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6216250,4.00,4.00,2.00,2.00,4.00,6.75,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6216269,5.00,4.00,1.00,5.00,7.00,10.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6216277,5.00,3.00,5.00,6.00,7.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6216293,2.00,0.00,1.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6216307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6216315,5.00,3.00,2.00,6.00,6.00,8.63,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6216323,3.00,7.00,3.00,7.00,7.00,11.25,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6216331,4.00,4.00,4.00,4.00,3.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6216340,3.00,6.00,2.00,2.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6216358,4.00,4.00,1.00,2.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6216366,8.00,7.00,2.00,5.00,9.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6216374,4.00,3.00,1.00,3.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6216382,5.00,3.00,3.00,5.00,5.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6216404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6216412,3.00,5.00,4.00,3.00,8.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6216420,8.00,5.00,6.00,5.00,9.00,10.13,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6216439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6216447,8.00,8.00,5.00,6.00,9.00,10.13,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6216463,8.00,6.00,4.00,6.00,9.00,7.88,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6216471,2.00,4.00,1.00,2.00,5.00,5.63,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6216480,4.00,5.00,1.00,3.00,10.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6216498,3.00,7.00,4.00,6.00,7.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6216501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6216510,7.00,7.00,6.00,4.00,6.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6216536,9.00,6.00,4.00,7.00,10.00,11.25,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6216544,5.00,5.00,4.00,4.00,8.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6216552,3.00,3.00,4.00,6.00,8.00,8.63,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6216560,8.00,7.00,4.00,8.00,9.00,9.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6216579,2.00,6.00,3.00,3.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6216587,3.00,5.00,3.00,4.00,6.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6216595,4.00,5.00,2.00,2.00,6.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6216609,5.00,6.00,3.00,5.00,8.00,10.13,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6216625,4.00,6.00,3.00,5.00,5.00,9.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6216633,6.00,4.00,0.00,3.00,5.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6216650,3.00,4.00,3.00,2.00,5.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6216668,4.00,4.00,0.00,4.00,7.00,9.00,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6216676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6216684,2.00,4.00,2.00,3.00,4.00,5.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6216692,8.00,6.00,4.00,7.00,9.00,10.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6216706,5.00,3.00,4.00,6.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6216714,3.00,3.00,1.00,1.00,4.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6216722,4.00,6.00,3.00,6.00,9.00,7.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6216730,5.00,7.00,3.00,5.00,5.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6216757,6.00,7.00,5.00,4.00,7.00,8.63,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6216765,7.00,5.00,4.00,7.00,6.00,10.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6216790,1.00,3.00,0.00,2.00,4.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6216811,3.00,2.00,3.00,4.00,3.00,10.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6216820,5.00,5.00,5.00,5.00,7.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6216838,6.00,6.00,3.00,7.00,10.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6216870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6216889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6216897,9.00,4.00,6.00,7.00,8.00,8.25,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6216900,5.00,3.00,1.00,7.00,7.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6216919,3.00,0.00,1.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6216927,3.00,4.00,0.00,3.00,3.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6216935,6.00,6.00,7.00,7.00,9.00,9.00,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6216943,3.00,5.00,1.00,4.00,6.00,11.25,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6216951,2.00,0.00,1.00,3.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6216960,3.00,3.00,0.00,2.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6216978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6216994,5.00,6.00,1.00,3.00,3.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6217001,3.00,5.00,5.00,5.00,4.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6217010,7.00,5.00,3.00,4.00,7.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6217028,6.00,6.00,4.00,4.00,8.00,7.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6217036,8.00,7.00,1.00,5.00,9.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6217052,8.00,6.00,3.00,6.00,8.00,9.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6217079,4.00,6.00,3.00,6.00,6.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6217087,7.00,6.00,5.00,6.00,8.00,6.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6217095,5.00,6.00,2.00,4.00,9.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6217117,4.00,7.00,3.00,6.00,4.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6217133,3.00,6.00,4.00,4.00,8.00,9.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6217150,2.00,6.00,1.00,5.00,7.00,10.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6217176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6217206,3.00,4.00,2.00,4.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6217222,3.00,6.00,2.00,3.00,7.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6217230,4.00,5.00,2.00,5.00,9.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6217249,2.00,4.00,0.00,4.00,3.00,7.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6217257,9.00,6.00,6.00,6.00,9.00,10.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6217273,4.00,3.00,0.00,1.00,6.00,9.38,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6217281,6.00,5.00,1.00,5.00,6.00,8.63,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6217290,3.00,3.00,1.00,2.00,6.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6217303,5.00,5.00,1.00,4.00,7.00,9.75,1.00,6.00,4.00,NULL,NULL,NULL,'S'),(25,6217311,4.00,6.00,3.00,4.00,5.00,5.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6217320,2.00,4.00,3.00,2.00,5.00,7.50,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6217338,1.00,0.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6217354,1.00,1.00,3.00,3.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6217362,3.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6217370,1.00,5.00,1.00,4.00,5.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6217389,7.00,4.00,5.00,6.00,9.00,6.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6217397,8.00,6.00,4.00,7.00,6.00,9.38,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6217400,2.00,3.00,3.00,5.00,6.00,8.25,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6217419,5.00,5.00,3.00,3.00,7.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6217427,2.00,4.00,0.00,1.00,3.00,7.13,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6217435,4.00,4.00,1.00,2.00,4.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6217451,6.00,6.00,3.00,4.00,4.00,8.63,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6217460,2.00,6.00,1.00,5.00,8.00,7.50,0.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6217478,2.00,6.00,2.00,3.00,5.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6217486,8.00,6.00,1.00,6.00,7.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6217508,6.00,5.00,3.00,4.00,8.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6217524,3.00,5.00,2.00,3.00,6.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6217540,4.00,7.00,6.00,4.00,5.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6217559,5.00,8.00,5.00,7.00,7.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6217567,7.00,6.00,3.00,5.00,7.00,8.25,1.00,5.00,6.00,NULL,NULL,NULL,'S'),(25,6217583,5.00,5.00,0.00,7.00,7.00,7.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6217591,6.00,7.00,6.00,6.00,6.00,8.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6217605,4.00,2.00,2.00,2.00,3.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6217613,1.00,1.00,1.00,2.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6217621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6217648,3.00,4.00,2.00,2.00,8.00,10.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6217656,4.00,4.00,3.00,3.00,5.00,5.25,2.00,5.00,5.00,NULL,NULL,NULL,'S'),(25,6217664,6.00,4.00,3.00,5.00,8.00,5.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6217672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6217680,5.00,6.00,2.00,7.00,8.00,5.63,0.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6217699,2.00,2.00,2.00,2.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6217729,5.00,4.00,3.00,4.00,6.00,6.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6217737,7.00,6.00,4.00,7.00,7.00,9.38,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6217753,3.00,4.00,0.00,3.00,1.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6217770,3.00,3.00,3.00,1.00,6.00,6.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6217788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6217796,1.00,1.00,1.00,0.00,3.00,5.63,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6217826,5.00,3.00,2.00,2.00,5.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6217842,2.00,0.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(25,6217850,6.00,4.00,1.00,1.00,7.00,8.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6217877,5.00,6.00,2.00,7.00,9.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6217885,2.00,5.00,2.00,3.00,6.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6217907,3.00,3.00,3.00,6.00,7.00,4.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6217915,5.00,4.00,2.00,4.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6217923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6217931,1.00,5.00,0.00,5.00,8.00,7.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6217940,5.00,6.00,4.00,7.00,9.00,11.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6217958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6217966,5.00,7.00,2.00,5.00,5.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6217974,3.00,0.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6217982,7.00,6.00,7.00,6.00,9.00,10.13,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6217990,3.00,6.00,1.00,5.00,6.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6218008,3.00,3.00,3.00,3.00,4.00,6.38,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6218024,2.00,3.00,2.00,4.00,3.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6218032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6218040,3.00,3.00,1.00,4.00,3.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6218059,2.00,3.00,1.00,6.00,8.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6218067,5.00,5.00,0.00,4.00,7.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6218075,4.00,7.00,2.00,6.00,6.00,8.63,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6218091,4.00,6.00,4.00,5.00,9.00,7.88,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6218113,6.00,6.00,4.00,6.00,6.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6218121,2.00,2.00,3.00,2.00,5.00,7.13,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6218148,2.00,1.00,2.00,4.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6218156,9.00,7.00,5.00,5.00,9.00,8.25,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6218164,9.00,8.00,7.00,7.00,11.00,10.50,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6218180,2.00,3.00,1.00,3.00,7.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6218199,1.00,5.00,2.00,3.00,4.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6218202,4.00,6.00,2.00,3.00,6.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6218210,2.00,1.00,0.00,4.00,1.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6218229,2.00,5.00,2.00,5.00,8.00,5.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6218237,2.00,6.00,3.00,4.00,4.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6218245,3.00,2.00,1.00,5.00,7.00,7.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6218253,6.00,7.00,6.00,6.00,8.00,10.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6218261,9.00,8.00,8.00,7.00,8.00,11.63,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6218270,6.00,6.00,5.00,7.00,7.00,7.50,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6218288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6218296,5.00,4.00,3.00,1.00,3.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6218300,3.00,3.00,3.00,5.00,5.00,4.88,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6218318,3.00,4.00,2.00,1.00,8.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6218326,5.00,6.00,4.00,4.00,10.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6218334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6218342,2.00,5.00,3.00,4.00,5.00,9.00,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6218350,4.00,4.00,0.00,5.00,9.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6218377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6218385,2.00,4.00,1.00,0.00,6.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6218393,7.00,5.00,4.00,6.00,10.00,10.50,4.00,9.00,4.00,NULL,NULL,NULL,'N'),(25,6218407,5.00,7.00,3.00,6.00,8.00,10.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6218415,2.00,4.00,2.00,0.00,5.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6218423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6218431,7.00,6.00,5.00,7.00,8.00,8.63,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6218440,5.00,6.00,5.00,5.00,4.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6218458,5.00,5.00,4.00,5.00,6.00,9.00,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6218466,6.00,5.00,0.00,4.00,6.00,8.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6218474,3.00,2.00,3.00,3.00,4.00,10.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6218482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6218490,6.00,5.00,6.00,6.00,8.00,10.88,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6218504,4.00,5.00,4.00,4.00,7.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6218512,7.00,6.00,6.00,6.00,6.00,11.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6218539,2.00,2.00,0.00,5.00,6.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6218547,5.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6218555,4.00,5.00,4.00,5.00,6.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6218563,3.00,3.00,2.00,4.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6218580,2.00,5.00,0.00,2.00,5.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6218598,3.00,4.00,1.00,5.00,6.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6218601,2.00,5.00,4.00,3.00,6.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6218610,6.00,9.00,4.00,7.00,6.00,10.50,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6218628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6218636,5.00,4.00,0.00,6.00,7.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6218644,7.00,6.00,4.00,7.00,9.00,9.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6218652,2.00,4.00,3.00,5.00,6.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6218660,7.00,6.00,6.00,6.00,8.00,10.13,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6218679,2.00,5.00,4.00,3.00,6.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6218709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6218725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6218733,4.00,3.00,1.00,4.00,7.00,9.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6218741,2.00,2.00,0.00,5.00,9.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6218750,5.00,4.00,3.00,7.00,7.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6218768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6218776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6218784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6218792,5.00,4.00,2.00,5.00,7.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6218806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6218814,3.00,4.00,2.00,3.00,5.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6218822,3.00,4.00,4.00,4.00,7.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6218830,2.00,2.00,1.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6218849,4.00,4.00,1.00,3.00,5.00,9.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6218857,3.00,4.00,3.00,3.00,5.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6218865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6218873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6218911,3.00,5.00,2.00,2.00,5.00,9.38,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6218938,1.00,4.00,1.00,3.00,7.00,6.00,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6218954,5.00,3.00,2.00,5.00,7.00,8.63,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6218962,7.00,6.00,4.00,7.00,10.00,9.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6218970,2.00,4.00,3.00,1.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6218989,4.00,5.00,2.00,2.00,6.00,8.25,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6219004,3.00,6.00,6.00,1.00,6.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6219055,3.00,4.00,1.00,2.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6219063,7.00,5.00,7.00,7.00,8.00,8.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6219080,8.00,9.00,3.00,5.00,10.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6219098,8.00,6.00,5.00,4.00,6.00,11.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6219101,6.00,7.00,3.00,7.00,9.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6219110,1.00,3.00,2.00,4.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6219128,2.00,5.00,2.00,2.00,6.00,7.50,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6219136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6219144,4.00,3.00,2.00,4.00,3.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6219152,7.00,6.00,4.00,6.00,7.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6219187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6219195,4.00,5.00,4.00,5.00,10.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6219209,3.00,5.00,0.00,1.00,6.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6219217,3.00,4.00,2.00,2.00,6.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6219233,4.00,5.00,0.00,2.00,6.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6219241,0.00,1.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6219268,5.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6219276,4.00,0.00,0.00,3.00,4.00,5.25,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6219284,4.00,5.00,3.00,4.00,5.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6219292,9.00,7.00,8.00,6.00,10.00,8.63,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6219306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6219314,4.00,6.00,1.00,3.00,7.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6219322,2.00,3.00,3.00,1.00,5.00,7.50,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6219330,6.00,4.00,4.00,5.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6219357,1.00,3.00,2.00,4.00,2.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6219365,1.00,5.00,0.00,3.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6219373,7.00,6.00,2.00,7.00,7.00,8.25,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6219381,6.00,6.00,3.00,7.00,11.00,7.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6219390,4.00,4.00,2.00,4.00,7.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6219438,4.00,5.00,3.00,5.00,8.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6219446,3.00,3.00,1.00,4.00,6.00,11.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6219454,7.00,7.00,1.00,5.00,9.00,11.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6219462,4.00,4.00,1.00,0.00,3.00,4.50,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6219489,7.00,6.00,2.00,4.00,9.00,8.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6219497,4.00,3.00,2.00,4.00,6.00,9.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6219500,2.00,4.00,1.00,2.00,5.00,6.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6219519,4.00,6.00,3.00,4.00,7.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6219527,4.00,6.00,2.00,7.00,6.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6219535,5.00,5.00,1.00,5.00,8.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6219543,6.00,5.00,2.00,7.00,6.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6219551,8.00,8.00,1.00,5.00,7.00,10.13,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6219560,1.00,3.00,2.00,2.00,4.00,9.00,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6219586,7.00,4.00,5.00,4.00,8.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6219594,7.00,8.00,6.00,7.00,10.00,9.38,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6219616,3.00,6.00,2.00,7.00,10.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6219624,9.00,8.00,7.00,5.00,9.00,7.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6219632,1.00,4.00,0.00,2.00,6.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6219659,3.00,3.00,4.00,0.00,5.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6219667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6219675,4.00,4.00,4.00,4.00,6.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6219683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6219691,9.00,7.00,6.00,7.00,8.00,10.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6219713,3.00,2.00,0.00,2.00,4.00,5.63,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6219721,6.00,6.00,3.00,6.00,10.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6219730,3.00,0.00,3.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6219748,1.00,3.00,1.00,3.00,3.00,5.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6219756,4.00,4.00,0.00,4.00,6.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6219764,5.00,7.00,0.00,5.00,8.00,10.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6219772,3.00,4.00,1.00,3.00,6.00,9.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6219780,5.00,4.00,0.00,6.00,7.00,9.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6219799,5.00,0.00,1.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6219802,4.00,6.00,2.00,6.00,5.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6219810,5.00,4.00,3.00,2.00,8.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6219829,4.00,6.00,1.00,6.00,8.00,10.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6219837,3.00,4.00,0.00,1.00,3.00,4.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6219845,4.00,4.00,2.00,5.00,5.00,9.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6219853,0.00,4.00,2.00,5.00,3.00,6.38,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6219870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6219888,1.00,5.00,1.00,0.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6219896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6219900,3.00,4.00,3.00,1.00,7.00,7.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6219926,5.00,6.00,0.00,4.00,5.00,9.75,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6219934,4.00,5.00,1.00,5.00,11.00,8.63,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6219942,5.00,5.00,4.00,7.00,6.00,7.88,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6219950,6.00,6.00,6.00,7.00,8.00,11.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6219969,4.00,7.00,5.00,7.00,4.00,10.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6219985,3.00,6.00,1.00,4.00,7.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6219993,5.00,6.00,1.00,3.00,8.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6220002,4.00,6.00,5.00,6.00,8.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6220010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6220037,5.00,6.00,2.00,6.00,7.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6220045,3.00,1.00,2.00,4.00,4.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6220053,3.00,4.00,1.00,4.00,3.00,4.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6220061,2.00,2.00,2.00,3.00,4.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6220070,4.00,4.00,3.00,5.00,7.00,11.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6220096,3.00,5.00,2.00,3.00,5.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6220126,2.00,4.00,2.00,4.00,8.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6220134,2.00,3.00,3.00,2.00,3.00,5.25,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6220142,4.00,6.00,2.00,3.00,6.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6220150,3.00,5.00,3.00,6.00,8.00,9.75,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6220169,8.00,7.00,6.00,6.00,10.00,8.63,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6220193,2.00,3.00,0.00,5.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6220207,7.00,7.00,2.00,7.00,9.00,8.25,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6220240,6.00,7.00,3.00,6.00,10.00,11.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6220258,4.00,5.00,2.00,4.00,7.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6220266,6.00,8.00,3.00,6.00,11.00,9.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6220274,9.00,7.00,3.00,5.00,7.00,8.63,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6220290,8.00,8.00,2.00,5.00,8.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6220304,3.00,8.00,2.00,3.00,8.00,10.50,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6220312,8.00,7.00,7.00,6.00,9.00,11.63,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6220320,4.00,5.00,3.00,6.00,6.00,6.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6220339,4.00,5.00,3.00,2.00,6.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6220363,8.00,8.00,5.00,5.00,8.00,10.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6220371,2.00,4.00,1.00,2.00,5.00,7.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6220380,6.00,7.00,2.00,6.00,7.00,10.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6220401,3.00,4.00,3.00,3.00,9.00,7.50,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6220410,3.00,4.00,1.00,4.00,7.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6220436,3.00,2.00,3.00,3.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6220444,0.00,5.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6220452,3.00,3.00,1.00,0.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6220495,9.00,9.00,7.00,7.00,10.00,10.13,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6220509,6.00,4.00,1.00,2.00,9.00,8.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6220517,1.00,7.00,0.00,5.00,6.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6220525,4.00,4.00,1.00,3.00,4.00,9.38,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6220533,7.00,6.00,5.00,6.00,10.00,7.88,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6220550,6.00,3.00,3.00,6.00,8.00,9.38,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6220584,4.00,5.00,3.00,4.00,4.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6220592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6220606,4.00,6.00,1.00,5.00,7.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6220614,6.00,8.00,4.00,5.00,9.00,12.00,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(25,6220622,2.00,6.00,2.00,6.00,6.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6220630,6.00,5.00,2.00,7.00,7.00,9.38,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6220649,8.00,7.00,4.00,7.00,10.00,10.88,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6220657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6220673,5.00,3.00,1.00,3.00,6.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6220681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6220703,6.00,6.00,2.00,6.00,8.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6220711,3.00,3.00,3.00,3.00,4.00,10.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6220720,4.00,5.00,2.00,6.00,5.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6220738,5.00,7.00,4.00,6.00,8.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6220746,3.00,5.00,1.00,4.00,6.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6220754,3.00,4.00,0.00,3.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6220762,4.00,5.00,3.00,4.00,7.00,8.25,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6220770,2.00,4.00,3.00,5.00,5.00,7.50,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6220789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6220797,2.00,2.00,1.00,1.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6220800,2.00,5.00,5.00,4.00,8.00,10.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6220819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6220827,4.00,6.00,3.00,8.00,5.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6220835,3.00,6.00,1.00,2.00,6.00,6.38,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6220843,4.00,4.00,0.00,6.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6220860,8.00,7.00,7.00,7.00,8.00,9.38,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6220878,5.00,5.00,1.00,4.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6220886,3.00,5.00,1.00,2.00,5.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6220908,4.00,4.00,3.00,4.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6220916,5.00,7.00,0.00,5.00,10.00,10.50,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(25,6220924,3.00,7.00,2.00,4.00,6.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6220932,8.00,7.00,6.00,7.00,9.00,12.38,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6220940,4.00,4.00,4.00,5.00,8.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6220959,8.00,5.00,3.00,6.00,8.00,12.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6220975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6220991,4.00,6.00,1.00,6.00,6.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6221009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6221025,4.00,5.00,2.00,7.00,10.00,10.88,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6221033,6.00,6.00,3.00,4.00,5.00,7.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6221041,4.00,4.00,4.00,5.00,10.00,9.38,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6221050,4.00,7.00,4.00,3.00,6.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6221068,8.00,6.00,5.00,6.00,8.00,9.75,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6221084,7.00,8.00,1.00,6.00,9.00,9.38,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6221092,6.00,4.00,2.00,4.00,9.00,7.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6221106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6221114,8.00,6.00,7.00,4.00,8.00,10.88,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6221130,3.00,2.00,0.00,1.00,4.00,4.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6221149,4.00,4.00,5.00,4.00,6.00,7.88,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6221157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6221173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6221181,5.00,4.00,1.00,3.00,4.00,5.63,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6221203,4.00,6.00,2.00,2.00,7.00,11.63,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6221211,6.00,3.00,3.00,4.00,4.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6221220,2.00,5.00,3.00,6.00,4.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6221238,5.00,4.00,4.00,6.00,7.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6221297,6.00,5.00,3.00,5.00,8.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6221319,0.00,0.00,2.00,2.00,3.00,6.38,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6221327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6221335,5.00,7.00,2.00,5.00,7.00,10.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6221343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6221360,2.00,3.00,2.00,4.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6221378,6.00,6.00,1.00,6.00,10.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6221386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6221394,4.00,4.00,3.00,1.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6221416,3.00,6.00,3.00,3.00,4.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6221424,8.00,4.00,3.00,6.00,7.00,9.00,4.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6221440,3.00,3.00,0.00,5.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6221459,5.00,6.00,4.00,6.00,8.00,11.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6221467,5.00,5.00,1.00,6.00,7.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6221483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6221513,6.00,4.00,4.00,4.00,6.00,5.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6221521,6.00,4.00,5.00,5.00,6.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6221530,5.00,7.00,4.00,3.00,8.00,7.13,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6221564,1.00,2.00,2.00,2.00,2.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6221572,3.00,5.00,4.00,1.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6221580,8.00,5.00,5.00,5.00,9.00,8.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6221599,4.00,4.00,1.00,4.00,4.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6221602,2.00,6.00,1.00,3.00,5.00,7.13,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6221610,8.00,7.00,5.00,6.00,10.00,10.13,1.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6221629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6221637,1.00,3.00,2.00,5.00,5.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6221645,9.00,7.00,4.00,6.00,10.00,11.63,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6221653,7.00,7.00,7.00,4.00,8.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6221661,2.00,5.00,1.00,2.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6221670,1.00,1.00,2.00,2.00,4.00,4.50,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6221688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6221696,4.00,7.00,2.00,7.00,7.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6221718,3.00,4.00,3.00,6.00,4.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6221734,3.00,3.00,2.00,1.00,5.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6221742,8.00,6.00,8.00,7.00,11.00,10.13,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6221750,4.00,5.00,1.00,7.00,6.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6221769,8.00,9.00,8.00,5.00,9.00,9.38,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6221777,3.00,2.00,5.00,2.00,7.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6221793,4.00,5.00,1.00,6.00,10.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6221807,5.00,5.00,2.00,3.00,7.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'S'),(25,6221815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6221823,4.00,5.00,5.00,5.00,4.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6221831,7.00,3.00,6.00,6.00,5.00,8.63,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6221840,3.00,4.00,0.00,1.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6221866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6221874,7.00,6.00,3.00,5.00,7.00,5.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6221882,5.00,5.00,2.00,4.00,8.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6221890,5.00,6.00,1.00,5.00,8.00,9.75,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6221904,3.00,5.00,2.00,3.00,6.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6221912,2.00,4.00,0.00,3.00,5.00,7.50,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6221920,2.00,3.00,1.00,3.00,5.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6221947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6221955,7.00,8.00,4.00,4.00,9.00,9.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6221963,2.00,2.00,3.00,3.00,5.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6221971,4.00,5.00,4.00,2.00,5.00,7.88,0.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6221998,4.00,6.00,2.00,3.00,4.00,4.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6222005,7.00,7.00,2.00,4.00,8.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6222013,3.00,4.00,0.00,3.00,6.00,9.00,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6222021,4.00,4.00,1.00,4.00,6.00,8.25,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6222030,5.00,6.00,5.00,7.00,9.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6222048,4.00,5.00,3.00,1.00,6.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6222056,3.00,5.00,1.00,5.00,8.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6222064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6222072,3.00,4.00,0.00,4.00,7.00,7.88,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6222080,3.00,5.00,2.00,7.00,7.00,NULL,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6222102,5.00,7.00,3.00,7.00,9.00,9.00,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6222129,3.00,5.00,3.00,4.00,9.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6222137,4.00,7.00,3.00,3.00,8.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6222145,3.00,5.00,1.00,2.00,3.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6222161,6.00,7.00,4.00,3.00,8.00,7.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6222170,6.00,7.00,7.00,5.00,10.00,10.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6222188,6.00,5.00,2.00,5.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6222196,4.00,0.00,2.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6222200,8.00,3.00,4.00,6.00,7.00,NULL,0.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6222218,3.00,3.00,4.00,6.00,6.00,10.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6222226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6222234,2.00,3.00,1.00,3.00,4.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6222242,7.00,6.00,1.00,4.00,6.00,9.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6222250,5.00,3.00,1.00,3.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6222269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6222277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6222285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6222293,5.00,6.00,2.00,4.00,6.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6222307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6222315,2.00,6.00,3.00,7.00,7.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6222331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6222366,9.00,8.00,0.00,6.00,8.00,10.88,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6222382,8.00,5.00,5.00,5.00,8.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6222390,5.00,4.00,4.00,3.00,4.00,6.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6222404,7.00,6.00,1.00,6.00,8.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6222420,3.00,6.00,3.00,6.00,6.00,NULL,0.00,4.00,5.00,NULL,NULL,'S','N'),(25,6222439,1.00,4.00,4.00,4.00,4.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6222447,2.00,1.00,0.00,2.00,3.00,6.38,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6222455,4.00,6.00,1.00,7.00,9.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6222463,3.00,5.00,0.00,6.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6222471,3.00,3.00,1.00,3.00,9.00,6.38,5.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6222498,1.00,1.00,2.00,2.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6222528,5.00,4.00,4.00,6.00,5.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6222544,3.00,2.00,3.00,6.00,6.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6222552,4.00,5.00,2.00,4.00,8.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6222560,0.00,2.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6222579,3.00,7.00,4.00,5.00,8.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6222595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6222617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6222625,2.00,5.00,3.00,6.00,7.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6222633,0.00,5.00,4.00,1.00,4.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6222641,4.00,5.00,3.00,3.00,7.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6222650,3.00,2.00,1.00,2.00,5.00,6.38,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6222668,8.00,7.00,6.00,2.00,6.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6222692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6222706,0.00,3.00,0.00,0.00,0.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6222730,4.00,5.00,1.00,3.00,6.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6222749,1.00,3.00,1.00,3.00,4.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6222757,3.00,2.00,1.00,4.00,6.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6222765,8.00,6.00,4.00,5.00,7.00,9.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6222773,4.00,3.00,3.00,4.00,7.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6222781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6222803,7.00,7.00,1.00,5.00,9.00,9.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6222811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6222820,3.00,6.00,0.00,4.00,5.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6222838,3.00,3.00,1.00,5.00,8.00,11.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6222846,4.00,6.00,1.00,5.00,7.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6222854,2.00,4.00,4.00,5.00,7.00,6.75,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6222862,7.00,6.00,1.00,6.00,8.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6222889,4.00,5.00,3.00,3.00,6.00,10.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6222897,3.00,3.00,3.00,7.00,9.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6222919,8.00,6.00,4.00,6.00,8.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6222935,7.00,8.00,4.00,6.00,10.00,12.75,2.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6222943,0.00,5.00,2.00,4.00,7.00,8.25,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6222951,4.00,2.00,1.00,4.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6222960,3.00,4.00,2.00,3.00,8.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6222986,2.00,4.00,2.00,2.00,6.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6222994,5.00,5.00,0.00,3.00,5.00,6.38,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6223001,8.00,5.00,4.00,6.00,9.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6223010,3.00,6.00,5.00,4.00,6.00,11.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6223028,2.00,4.00,0.00,2.00,3.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6223036,2.00,3.00,0.00,4.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6223044,7.00,4.00,2.00,6.00,7.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6223052,4.00,5.00,1.00,6.00,8.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6223060,3.00,4.00,4.00,7.00,7.00,7.88,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6223087,2.00,3.00,1.00,3.00,5.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6223095,5.00,4.00,2.00,4.00,6.00,10.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6223117,4.00,3.00,2.00,6.00,7.00,10.13,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6223125,8.00,8.00,4.00,3.00,8.00,8.25,5.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6223133,2.00,2.00,2.00,1.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6223150,6.00,8.00,6.00,7.00,9.00,10.50,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6223168,7.00,4.00,4.00,7.00,8.00,11.25,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6223184,4.00,5.00,2.00,3.00,8.00,10.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6223192,9.00,7.00,4.00,6.00,9.00,10.50,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6223206,5.00,5.00,4.00,7.00,7.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6223214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6223249,6.00,4.00,0.00,6.00,6.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'S'),(25,6223265,4.00,4.00,4.00,5.00,9.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6223273,2.00,2.00,0.00,1.00,5.00,7.13,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6223290,1.00,5.00,1.00,1.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6223303,6.00,3.00,2.00,4.00,6.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6223311,5.00,3.00,2.00,7.00,7.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6223320,1.00,1.00,0.00,5.00,5.00,6.75,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6223338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6223346,1.00,4.00,2.00,4.00,4.00,7.88,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6223354,4.00,5.00,1.00,7.00,8.00,10.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6223362,9.00,6.00,2.00,7.00,10.00,9.75,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6223370,7.00,7.00,1.00,6.00,7.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6223389,4.00,5.00,1.00,4.00,7.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6223397,6.00,5.00,5.00,6.00,9.00,11.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6223400,9.00,7.00,7.00,7.00,10.00,11.63,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6223451,7.00,7.00,4.00,7.00,8.00,10.13,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6223460,7.00,7.00,2.00,5.00,7.00,9.38,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6223478,7.00,6.00,2.00,7.00,8.00,9.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6223486,7.00,6.00,5.00,7.00,10.00,10.88,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6223494,3.00,4.00,4.00,3.00,6.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6223508,5.00,5.00,3.00,5.00,10.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6223516,3.00,5.00,3.00,5.00,8.00,7.88,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6223524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6223532,5.00,6.00,2.00,7.00,7.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6223540,4.00,5.00,1.00,6.00,7.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6223559,2.00,4.00,2.00,4.00,4.00,3.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6223575,6.00,8.00,5.00,5.00,9.00,7.13,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6223591,3.00,5.00,3.00,7.00,7.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'S'),(25,6223605,7.00,6.00,3.00,6.00,8.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6223613,6.00,4.00,5.00,4.00,7.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6223621,2.00,1.00,1.00,1.00,1.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6223656,2.00,6.00,1.00,4.00,7.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6223664,7.00,7.00,3.00,5.00,9.00,9.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6223672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6223680,4.00,7.00,2.00,7.00,8.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6223699,3.00,4.00,1.00,3.00,8.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6223710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6223729,3.00,6.00,2.00,6.00,6.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6223737,9.00,6.00,4.00,5.00,11.00,12.38,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6223753,7.00,7.00,5.00,6.00,10.00,13.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6223761,6.00,6.00,4.00,5.00,8.00,9.00,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6223788,6.00,6.00,7.00,7.00,9.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6223796,4.00,4.00,1.00,3.00,6.00,7.13,3.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6223800,6.00,6.00,5.00,1.00,8.00,10.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6223818,1.00,5.00,0.00,3.00,4.00,5.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6223826,2.00,2.00,2.00,1.00,5.00,7.13,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6223834,9.00,6.00,4.00,6.00,9.00,12.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6223842,2.00,5.00,2.00,3.00,7.00,9.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6223869,5.00,4.00,1.00,2.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6223885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6223893,6.00,3.00,3.00,4.00,5.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6223915,4.00,4.00,2.00,3.00,7.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6223923,7.00,4.00,4.00,6.00,7.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6223931,4.00,4.00,2.00,3.00,8.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6223940,5.00,6.00,2.00,5.00,8.00,8.63,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6223966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6223974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6223982,7.00,6.00,2.00,7.00,7.00,10.13,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6223990,3.00,5.00,1.00,3.00,6.00,9.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6224016,6.00,6.00,2.00,6.00,9.00,12.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6224024,8.00,8.00,4.00,7.00,8.00,8.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6224032,4.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6224059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6224067,3.00,4.00,1.00,4.00,6.00,7.13,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6224075,5.00,5.00,3.00,6.00,7.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6224083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6224091,3.00,4.00,0.00,2.00,4.00,6.00,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6224105,4.00,7.00,3.00,5.00,6.00,9.75,5.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6224113,3.00,1.00,2.00,3.00,6.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6224130,6.00,6.00,4.00,6.00,4.00,7.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6224148,5.00,7.00,4.00,4.00,10.00,8.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6224156,4.00,7.00,3.00,4.00,7.00,7.88,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6224164,2.00,5.00,0.00,1.00,7.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6224172,2.00,3.00,3.00,1.00,7.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6224180,1.00,3.00,1.00,2.00,2.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6224199,4.00,6.00,3.00,5.00,9.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6224202,4.00,5.00,0.00,5.00,6.00,8.25,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6224210,3.00,6.00,1.00,5.00,6.00,9.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6224237,3.00,5.00,0.00,4.00,5.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6224245,2.00,1.00,0.00,0.00,6.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6224253,3.00,4.00,1.00,3.00,6.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6224270,2.00,7.00,3.00,4.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6224288,5.00,7.00,1.00,2.00,8.00,7.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6224300,4.00,5.00,1.00,3.00,6.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6224326,6.00,6.00,2.00,5.00,7.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6224334,8.00,5.00,2.00,5.00,7.00,9.75,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6224342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6224350,7.00,5.00,3.00,5.00,6.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6224385,6.00,5.00,2.00,3.00,5.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6224393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6224407,5.00,6.00,6.00,6.00,7.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'S'),(25,6224415,0.00,3.00,2.00,4.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6224423,8.00,6.00,3.00,6.00,9.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6224431,6.00,6.00,2.00,5.00,5.00,10.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6224440,3.00,3.00,2.00,3.00,6.00,7.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6224466,2.00,6.00,4.00,6.00,8.00,8.25,0.00,8.00,1.00,NULL,NULL,NULL,'N'),(25,6224474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6224482,7.00,5.00,5.00,6.00,7.00,11.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6224490,7.00,7.00,5.00,5.00,8.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6224512,5.00,4.00,1.00,4.00,7.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6224520,3.00,6.00,5.00,7.00,8.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6224539,4.00,6.00,3.00,6.00,6.00,10.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6224547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6224563,6.00,6.00,1.00,6.00,9.00,10.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6224571,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6224580,5.00,6.00,4.00,6.00,7.00,10.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6224598,2.00,3.00,0.00,1.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6224601,2.00,2.00,2.00,2.00,4.00,8.25,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6224610,3.00,4.00,2.00,3.00,4.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6224636,5.00,5.00,4.00,4.00,8.00,9.00,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6224644,4.00,2.00,2.00,6.00,6.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6224652,5.00,3.00,3.00,2.00,7.00,9.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6224687,3.00,6.00,3.00,5.00,6.00,7.88,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6224695,6.00,7.00,6.00,6.00,9.00,9.00,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6224709,2.00,2.00,0.00,3.00,7.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6224717,4.00,5.00,1.00,6.00,6.00,7.50,0.00,6.00,0.00,NULL,NULL,NULL,'S'),(25,6224725,5.00,4.00,2.00,6.00,5.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6224733,4.00,6.00,4.00,6.00,6.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6224750,2.00,6.00,3.00,2.00,7.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6224768,2.00,3.00,0.00,1.00,4.00,4.50,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6224776,3.00,2.00,3.00,5.00,5.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6224784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6224792,1.00,3.00,3.00,2.00,4.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6224806,7.00,5.00,3.00,5.00,7.00,10.13,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6224814,2.00,5.00,6.00,5.00,5.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6224822,3.00,7.00,0.00,5.00,8.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6224830,3.00,3.00,0.00,2.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6224857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6224865,7.00,5.00,3.00,4.00,5.00,5.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6224873,3.00,4.00,2.00,5.00,7.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6224881,9.00,7.00,4.00,6.00,8.00,9.38,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6224890,1.00,7.00,4.00,5.00,5.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6224903,5.00,5.00,2.00,3.00,5.00,7.50,3.00,7.00,0.00,NULL,NULL,NULL,'N'),(25,6224911,4.00,6.00,2.00,2.00,7.00,10.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6224938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6224946,3.00,3.00,6.00,3.00,6.00,8.63,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6224954,3.00,4.00,5.00,5.00,5.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6224962,2.00,3.00,0.00,2.00,4.00,7.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6224970,7.00,5.00,3.00,6.00,8.00,12.75,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6224989,5.00,6.00,0.00,3.00,6.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6224997,2.00,2.00,0.00,5.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6225004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6225012,6.00,7.00,4.00,4.00,6.00,9.38,1.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6225020,7.00,6.00,3.00,3.00,9.00,8.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6225039,3.00,4.00,0.00,2.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6225047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6225063,1.00,4.00,3.00,1.00,7.00,6.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6225071,6.00,8.00,1.00,7.00,8.00,9.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6225080,5.00,4.00,3.00,5.00,6.00,10.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6225098,2.00,3.00,3.00,1.00,3.00,5.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6225101,0.00,2.00,1.00,0.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6225110,3.00,3.00,2.00,2.00,4.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6225128,6.00,5.00,4.00,2.00,8.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6225136,8.00,4.00,3.00,3.00,7.00,7.13,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6225152,6.00,7.00,2.00,4.00,9.00,7.13,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6225187,3.00,3.00,1.00,3.00,6.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6225195,5.00,5.00,3.00,4.00,6.00,10.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6225209,4.00,5.00,1.00,2.00,6.00,6.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6225233,0.00,2.00,1.00,3.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6225250,1.00,4.00,1.00,4.00,7.00,7.13,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6225268,0.00,7.00,1.00,4.00,7.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6225276,8.00,8.00,6.00,6.00,8.00,12.75,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6225284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6225292,2.00,5.00,0.00,5.00,6.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6225314,2.00,1.00,3.00,2.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6225330,1.00,5.00,2.00,5.00,7.00,9.38,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6225349,4.00,5.00,2.00,5.00,7.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6225357,1.00,4.00,0.00,3.00,5.00,6.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6225365,7.00,7.00,4.00,4.00,8.00,9.00,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6225373,6.00,6.00,4.00,7.00,7.00,8.25,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6225381,1.00,3.00,3.00,2.00,8.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6225411,4.00,4.00,1.00,3.00,5.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6225420,2.00,4.00,1.00,4.00,8.00,7.13,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6225438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6225446,2.00,2.00,2.00,1.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6225454,7.00,6.00,2.00,7.00,7.00,7.88,1.00,5.00,7.00,NULL,NULL,NULL,'S'),(25,6225470,1.00,3.00,2.00,2.00,5.00,9.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6225489,9.00,6.00,3.00,5.00,9.00,7.88,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6225497,1.00,4.00,0.00,3.00,5.00,3.00,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6225519,6.00,5.00,3.00,6.00,10.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6225527,2.00,1.00,1.00,2.00,2.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6225543,4.00,3.00,3.00,5.00,9.00,8.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6225551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6225560,4.00,3.00,2.00,5.00,7.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6225578,5.00,7.00,2.00,5.00,6.00,11.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6225616,3.00,4.00,0.00,2.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6225624,4.00,1.00,3.00,3.00,5.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6225632,5.00,6.00,2.00,4.00,5.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'S'),(25,6225640,6.00,5.00,4.00,6.00,9.00,8.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6225659,7.00,7.00,5.00,5.00,8.00,9.38,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6225667,1.00,3.00,1.00,5.00,6.00,6.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6225675,3.00,6.00,3.00,1.00,8.00,10.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6225691,2.00,7.00,2.00,5.00,5.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6225705,6.00,5.00,1.00,7.00,4.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6225721,4.00,4.00,3.00,3.00,7.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6225730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6225748,3.00,3.00,1.00,4.00,4.00,8.25,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6225764,4.00,2.00,0.00,2.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6225772,7.00,6.00,2.00,5.00,8.00,7.88,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6225780,8.00,8.00,2.00,7.00,11.00,9.75,1.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6225799,4.00,3.00,3.00,4.00,3.00,10.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6225802,6.00,6.00,0.00,6.00,8.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6225829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6225845,3.00,5.00,0.00,5.00,7.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6225853,2.00,4.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6225861,4.00,4.00,2.00,5.00,6.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6225888,3.00,5.00,0.00,7.00,6.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6225896,5.00,4.00,6.00,5.00,5.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6225900,3.00,2.00,4.00,3.00,6.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6225918,2.00,0.00,1.00,2.00,6.00,7.88,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6225934,3.00,3.00,2.00,4.00,7.00,10.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6225942,8.00,7.00,2.00,6.00,9.00,7.50,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6225950,4.00,6.00,2.00,7.00,9.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6225969,1.00,7.00,0.00,3.00,6.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6225977,4.00,5.00,0.00,3.00,8.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6225985,6.00,7.00,5.00,6.00,8.00,8.25,2.00,7.00,6.00,NULL,NULL,NULL,'S'),(25,6225993,5.00,6.00,3.00,3.00,7.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6226000,5.00,3.00,2.00,3.00,4.00,7.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6226019,3.00,3.00,1.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6226043,2.00,0.00,3.00,3.00,3.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6226051,8.00,6.00,5.00,3.00,9.00,11.63,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6226060,7.00,5.00,4.00,7.00,8.00,9.00,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6226078,4.00,5.00,3.00,5.00,6.00,11.63,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6226086,7.00,7.00,0.00,6.00,9.00,9.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6226094,5.00,4.00,2.00,5.00,6.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6226108,2.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6226116,6.00,6.00,4.00,6.00,9.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6226124,2.00,4.00,3.00,3.00,5.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6226159,4.00,3.00,3.00,6.00,5.00,9.38,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6226167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6226175,8.00,5.00,4.00,6.00,7.00,10.13,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6226191,2.00,1.00,0.00,5.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6226205,3.00,3.00,0.00,2.00,7.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6226213,6.00,7.00,2.00,7.00,9.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6226230,4.00,5.00,2.00,2.00,5.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6226256,5.00,6.00,4.00,5.00,7.00,9.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6226272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6226280,4.00,6.00,2.00,3.00,7.00,8.25,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6226299,2.00,2.00,1.00,2.00,7.00,6.38,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6226302,6.00,9.00,5.00,5.00,8.00,8.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6226310,5.00,7.00,3.00,6.00,6.00,7.13,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6226337,2.00,4.00,0.00,2.00,4.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6226345,3.00,4.00,2.00,5.00,8.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6226361,5.00,6.00,1.00,7.00,9.00,10.88,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6226370,5.00,6.00,3.00,6.00,5.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6226388,4.00,8.00,3.00,5.00,7.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6226396,4.00,3.00,1.00,2.00,3.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6226400,5.00,8.00,6.00,5.00,9.00,10.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6226418,3.00,6.00,2.00,4.00,8.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6226426,4.00,6.00,0.00,6.00,8.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6226442,3.00,5.00,2.00,5.00,7.00,10.13,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6226450,8.00,6.00,1.00,7.00,9.00,7.50,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6226469,5.00,3.00,3.00,5.00,8.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6226477,0.00,1.00,4.00,0.00,3.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6226485,6.00,4.00,1.00,6.00,7.00,8.63,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6226493,6.00,2.00,3.00,3.00,7.00,9.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6226507,5.00,2.00,3.00,5.00,5.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6226515,4.00,4.00,0.00,4.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6226523,6.00,6.00,1.00,6.00,7.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6226531,9.00,8.00,7.00,7.00,10.00,6.38,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6226540,4.00,5.00,3.00,5.00,6.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6226558,1.00,4.00,1.00,3.00,7.00,7.50,1.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6226574,4.00,6.00,2.00,6.00,9.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6226590,2.00,3.00,1.00,6.00,5.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6226604,4.00,4.00,2.00,6.00,9.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6226612,3.00,4.00,0.00,3.00,6.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6226620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6226639,2.00,4.00,0.00,4.00,3.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6226647,7.00,6.00,3.00,5.00,9.00,6.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6226655,4.00,7.00,3.00,5.00,10.00,9.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6226663,4.00,6.00,3.00,6.00,8.00,10.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6226671,1.00,3.00,0.00,3.00,4.00,7.88,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6226680,1.00,3.00,1.00,4.00,6.00,4.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6226698,4.00,3.00,2.00,3.00,6.00,7.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6226701,5.00,2.00,2.00,3.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6226710,6.00,6.00,4.00,5.00,7.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6226728,7.00,8.00,7.00,6.00,9.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6226744,6.00,4.00,3.00,4.00,5.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6226760,6.00,5.00,2.00,6.00,8.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6226779,4.00,6.00,3.00,7.00,7.00,9.38,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6226809,5.00,5.00,5.00,6.00,6.00,7.88,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6226817,2.00,3.00,1.00,3.00,5.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6226825,5.00,3.00,0.00,3.00,6.00,6.75,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6226841,2.00,5.00,0.00,4.00,7.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6226850,4.00,5.00,2.00,4.00,6.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6226868,8.00,6.00,4.00,8.00,9.00,10.50,0.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6226884,8.00,6.00,7.00,7.00,10.00,11.25,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6226892,7.00,7.00,5.00,5.00,9.00,11.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6226906,5.00,5.00,2.00,6.00,9.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6226914,3.00,3.00,2.00,5.00,8.00,10.13,0.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6226922,8.00,7.00,7.00,7.00,8.00,7.88,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6226930,3.00,3.00,3.00,4.00,6.00,8.63,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6226949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6226957,6.00,6.00,6.00,7.00,9.00,9.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6226965,3.00,2.00,2.00,1.00,8.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6226973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6226981,3.00,5.00,3.00,4.00,6.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6227007,9.00,7.00,4.00,6.00,8.00,9.75,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6227015,4.00,4.00,4.00,6.00,6.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6227023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6227031,3.00,5.00,2.00,1.00,5.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6227058,3.00,5.00,2.00,4.00,7.00,9.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6227066,5.00,4.00,3.00,3.00,8.00,9.00,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6227074,7.00,6.00,4.00,5.00,6.00,10.13,0.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6227082,4.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6227090,3.00,6.00,2.00,4.00,6.00,8.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6227104,3.00,7.00,3.00,4.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6227112,3.00,6.00,1.00,7.00,8.00,7.88,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6227120,3.00,2.00,1.00,2.00,4.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6227155,8.00,8.00,5.00,7.00,10.00,10.13,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6227163,4.00,7.00,2.00,4.00,7.00,7.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6227180,4.00,5.00,5.00,3.00,8.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6227198,6.00,6.00,3.00,4.00,8.00,9.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6227201,5.00,7.00,5.00,6.00,10.00,12.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6227210,0.00,1.00,0.00,0.00,0.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6227236,2.00,1.00,3.00,5.00,9.00,6.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6227252,1.00,2.00,1.00,2.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6227260,3.00,4.00,2.00,3.00,5.00,6.75,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6227279,3.00,4.00,0.00,0.00,5.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6227287,7.00,6.00,4.00,4.00,8.00,7.88,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6227295,7.00,7.00,1.00,5.00,9.00,7.88,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6227317,4.00,2.00,1.00,3.00,8.00,9.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6227333,4.00,4.00,2.00,5.00,7.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6227341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6227350,4.00,4.00,0.00,3.00,5.00,5.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6227368,4.00,4.00,5.00,7.00,7.00,6.38,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6227376,6.00,5.00,5.00,6.00,9.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6227384,3.00,3.00,1.00,2.00,4.00,4.50,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6227392,6.00,4.00,1.00,6.00,8.00,11.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6227406,2.00,5.00,0.00,4.00,5.00,6.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6227422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6227430,2.00,4.00,2.00,3.00,8.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6227449,3.00,7.00,2.00,5.00,5.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6227457,7.00,7.00,4.00,6.00,8.00,11.25,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6227465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6227473,2.00,4.00,1.00,2.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,'S','S'),(25,6227490,4.00,4.00,2.00,5.00,7.00,8.25,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6227503,5.00,5.00,1.00,4.00,6.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6227520,5.00,4.00,1.00,5.00,8.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6227538,3.00,4.00,1.00,3.00,6.00,8.25,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6227546,4.00,4.00,1.00,5.00,5.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6227554,4.00,3.00,2.00,5.00,8.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6227562,6.00,7.00,4.00,6.00,8.00,10.88,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6227589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6227597,2.00,3.00,0.00,1.00,3.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6227600,8.00,5.00,8.00,7.00,8.00,7.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6227619,8.00,7.00,5.00,6.00,10.00,12.00,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6227627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6227635,4.00,5.00,3.00,6.00,5.00,8.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6227643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6227651,2.00,3.00,2.00,2.00,4.00,7.13,1.00,1.00,0.00,NULL,NULL,NULL,'S'),(25,6227660,6.00,6.00,3.00,5.00,7.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6227678,5.00,4.00,4.00,3.00,6.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6227686,4.00,6.00,3.00,7.00,6.00,9.38,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6227708,3.00,3.00,1.00,5.00,5.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6227716,2.00,6.00,1.00,3.00,5.00,5.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6227740,4.00,3.00,1.00,6.00,6.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6227767,3.00,3.00,3.00,3.00,5.00,8.25,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6227775,3.00,4.00,0.00,3.00,7.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6227783,5.00,5.00,6.00,7.00,6.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6227805,6.00,7.00,4.00,5.00,9.00,10.13,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6227813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6227821,7.00,8.00,3.00,5.00,9.00,7.88,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6227830,7.00,4.00,4.00,2.00,7.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6227848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6227856,6.00,5.00,1.00,1.00,7.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6227864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6227872,1.00,3.00,1.00,6.00,7.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6227880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6227899,6.00,5.00,3.00,2.00,8.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6227902,3.00,4.00,1.00,3.00,3.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6227929,8.00,0.00,4.00,8.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6227937,3.00,2.00,2.00,2.00,6.00,7.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6227945,4.00,6.00,3.00,6.00,8.00,8.25,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6227961,4.00,3.00,0.00,4.00,9.00,9.00,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6227970,1.00,5.00,4.00,7.00,4.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6227988,7.00,5.00,5.00,5.00,8.00,7.88,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6227996,4.00,6.00,3.00,6.00,7.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6228003,3.00,7.00,2.00,5.00,7.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6228011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6228020,8.00,6.00,5.00,6.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6228046,7.00,7.00,0.00,4.00,7.00,6.75,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6228054,3.00,5.00,2.00,2.00,4.00,9.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6228070,2.00,5.00,2.00,1.00,6.00,10.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6228119,5.00,5.00,3.00,5.00,8.00,8.25,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6228135,4.00,7.00,6.00,7.00,6.00,10.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6228143,9.00,6.00,2.00,7.00,9.00,7.88,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6228151,5.00,4.00,0.00,3.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6228178,3.00,6.00,0.00,2.00,8.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6228194,1.00,5.00,3.00,2.00,6.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6228208,1.00,3.00,1.00,3.00,5.00,4.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6228216,6.00,7.00,3.00,6.00,9.00,9.75,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6228224,4.00,6.00,0.00,3.00,6.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6228232,1.00,1.00,1.00,0.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6228240,6.00,5.00,5.00,3.00,7.00,NULL,0.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6228259,5.00,7.00,3.00,6.00,7.00,10.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6228267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6228275,3.00,4.00,1.00,4.00,4.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6228283,2.00,4.00,0.00,6.00,5.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6228305,2.00,3.00,1.00,1.00,6.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6228321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6228356,2.00,4.00,2.00,2.00,3.00,8.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6228364,6.00,4.00,2.00,5.00,9.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6228372,6.00,5.00,4.00,6.00,8.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6228380,9.00,7.00,4.00,7.00,10.00,9.75,2.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6228399,2.00,4.00,0.00,3.00,6.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6228410,5.00,4.00,1.00,1.00,7.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6228429,7.00,4.00,2.00,5.00,8.00,11.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6228437,7.00,4.00,2.00,6.00,6.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6228445,6.00,5.00,3.00,5.00,8.00,10.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6228488,4.00,3.00,2.00,6.00,6.00,8.63,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6228496,2.00,4.00,0.00,5.00,4.00,5.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6228500,2.00,5.00,1.00,4.00,4.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6228518,4.00,4.00,1.00,5.00,4.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6228534,2.00,3.00,0.00,5.00,6.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6228542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6228550,9.00,5.00,7.00,7.00,10.00,12.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6228569,6.00,7.00,3.00,6.00,6.00,9.38,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6228577,5.00,6.00,2.00,4.00,9.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6228585,6.00,7.00,3.00,4.00,9.00,10.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6228593,4.00,5.00,2.00,4.00,3.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6228607,2.00,3.00,1.00,2.00,4.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6228615,4.00,5.00,3.00,6.00,6.00,8.63,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6228623,5.00,6.00,1.00,5.00,7.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6228631,2.00,2.00,3.00,3.00,5.00,8.63,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6228640,6.00,8.00,5.00,7.00,9.00,9.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6228658,5.00,5.00,1.00,5.00,9.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6228666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6228704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6228712,2.00,4.00,1.00,3.00,6.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6228720,2.00,5.00,3.00,2.00,5.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6228747,4.00,7.00,3.00,6.00,7.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6228755,3.00,3.00,2.00,3.00,4.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6228771,2.00,5.00,3.00,7.00,3.00,9.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6228780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6228798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6228801,2.00,2.00,4.00,3.00,3.00,7.13,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6228828,7.00,7.00,3.00,6.00,6.00,9.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6228844,2.00,4.00,3.00,5.00,7.00,8.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6228852,8.00,7.00,4.00,6.00,8.00,10.13,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6228860,3.00,3.00,1.00,4.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6228879,5.00,6.00,6.00,5.00,5.00,8.63,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6228909,1.00,3.00,2.00,3.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6228941,9.00,8.00,7.00,6.00,10.00,12.00,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6228950,7.00,5.00,2.00,3.00,9.00,7.13,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6228968,3.00,2.00,1.00,2.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'S'),(25,6228976,1.00,4.00,3.00,2.00,6.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6228984,2.00,2.00,1.00,3.00,4.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6228992,4.00,6.00,6.00,3.00,8.00,10.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6229000,3.00,1.00,3.00,4.00,4.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6229018,2.00,2.00,0.00,6.00,4.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6229026,7.00,7.00,4.00,4.00,9.00,10.50,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6229034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6229050,4.00,6.00,2.00,0.00,5.00,8.25,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6229069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6229077,4.00,4.00,0.00,3.00,7.00,10.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6229085,5.00,5.00,0.00,5.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6229093,9.00,8.00,6.00,7.00,9.00,10.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6229107,1.00,5.00,1.00,4.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6229115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6229131,5.00,6.00,2.00,5.00,8.00,12.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6229140,3.00,6.00,2.00,5.00,3.00,11.25,6.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6229182,4.00,5.00,1.00,4.00,3.00,11.25,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6229212,4.00,7.00,0.00,6.00,8.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6229220,4.00,5.00,3.00,3.00,7.00,7.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6229239,8.00,7.00,6.00,7.00,10.00,9.00,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6229247,9.00,8.00,7.00,7.00,10.00,11.25,4.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6229255,2.00,4.00,1.00,4.00,7.00,5.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6229280,4.00,6.00,1.00,5.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6229301,6.00,4.00,0.00,1.00,5.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6229328,2.00,3.00,1.00,2.00,5.00,6.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6229336,4.00,6.00,1.00,6.00,5.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6229344,8.00,7.00,3.00,4.00,9.00,11.25,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6229352,3.00,5.00,2.00,1.00,7.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6229360,5.00,6.00,2.00,5.00,7.00,10.13,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6229379,3.00,7.00,0.00,6.00,6.00,6.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6229387,4.00,3.00,2.00,1.00,3.00,9.00,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6229395,3.00,4.00,3.00,2.00,3.00,7.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6229409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6229417,2.00,2.00,4.00,3.00,1.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6229433,3.00,6.00,2.00,3.00,7.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6229441,4.00,4.00,2.00,7.00,7.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6229450,6.00,6.00,6.00,7.00,7.00,7.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6229468,3.00,4.00,2.00,1.00,4.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6229484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6229492,2.00,6.00,3.00,1.00,3.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6229506,1.00,3.00,1.00,6.00,5.00,7.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6229514,4.00,5.00,0.00,4.00,4.00,9.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6229530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6229557,5.00,5.00,3.00,7.00,8.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6229565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6229581,8.00,6.00,3.00,5.00,10.00,7.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6229590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6229611,7.00,7.00,2.00,5.00,8.00,9.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6229620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6229638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6229646,4.00,8.00,2.00,6.00,4.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6229654,4.00,3.00,3.00,4.00,8.00,8.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6229662,6.00,4.00,0.00,4.00,6.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6229670,8.00,6.00,5.00,6.00,7.00,9.75,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6229697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6229700,3.00,5.00,1.00,4.00,7.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6229719,8.00,7.00,5.00,6.00,9.00,10.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6229727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6229735,3.00,5.00,1.00,3.00,5.00,11.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6229743,6.00,5.00,5.00,5.00,6.00,7.88,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6229760,1.00,5.00,1.00,3.00,4.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6229778,3.00,2.00,2.00,3.00,3.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6229786,5.00,7.00,3.00,6.00,7.00,9.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6229794,6.00,7.00,4.00,4.00,6.00,7.13,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6229808,3.00,3.00,1.00,2.00,3.00,0.00,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6229816,7.00,7.00,2.00,5.00,8.00,9.38,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6229824,6.00,8.00,3.00,5.00,6.00,9.38,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6229832,5.00,4.00,0.00,4.00,5.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6229859,3.00,3.00,3.00,2.00,6.00,9.00,0.00,1.00,5.00,NULL,NULL,NULL,'S'),(25,6229867,1.00,1.00,2.00,3.00,4.00,4.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6229913,3.00,5.00,3.00,6.00,4.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6229921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6229930,5.00,5.00,4.00,6.00,8.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6229948,4.00,5.00,2.00,7.00,9.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6229956,3.00,3.00,0.00,3.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6229964,4.00,4.00,2.00,2.00,6.00,7.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6229972,5.00,4.00,3.00,4.00,7.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'S'),(25,6229980,3.00,4.00,0.00,1.00,6.00,7.13,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6229999,4.00,6.00,3.00,5.00,7.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6230008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6230024,6.00,7.00,4.00,6.00,9.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6230032,5.00,5.00,0.00,4.00,6.00,10.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6230040,7.00,8.00,4.00,6.00,8.00,10.13,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6230059,8.00,7.00,5.00,4.00,7.00,10.88,0.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6230067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6230075,4.00,6.00,2.00,3.00,7.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6230083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6230091,2.00,4.00,2.00,4.00,4.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6230105,1.00,2.00,0.00,4.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6230130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6230148,2.00,1.00,0.00,1.00,5.00,6.38,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6230164,4.00,5.00,3.00,4.00,7.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6230180,5.00,5.00,4.00,5.00,6.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6230199,2.00,5.00,2.00,5.00,8.00,8.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6230202,3.00,5.00,2.00,5.00,6.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6230210,4.00,5.00,6.00,7.00,7.00,9.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6230229,6.00,8.00,3.00,5.00,10.00,7.88,1.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6230237,2.00,3.00,2.00,2.00,4.00,7.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6230245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6230253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6230261,3.00,6.00,0.00,3.00,6.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6230288,2.00,2.00,0.00,3.00,4.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6230296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6230318,7.00,5.00,3.00,5.00,8.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6230326,4.00,5.00,1.00,5.00,8.00,10.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6230334,8.00,7.00,6.00,4.00,9.00,10.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6230342,4.00,4.00,4.00,5.00,7.00,11.25,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6230350,7.00,5.00,4.00,7.00,9.00,9.75,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6230369,2.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6230377,5.00,4.00,1.00,5.00,8.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6230385,5.00,5.00,0.00,4.00,7.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6230407,4.00,6.00,3.00,5.00,7.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6230415,8.00,6.00,2.00,5.00,11.00,6.38,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6230423,8.00,7.00,8.00,5.00,11.00,8.25,9.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6230431,1.00,3.00,0.00,1.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6230440,5.00,6.00,4.00,3.00,7.00,6.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6230458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6230474,3.00,6.00,3.00,1.00,8.00,9.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6230482,4.00,4.00,1.00,3.00,5.00,7.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6230490,2.00,6.00,3.00,2.00,7.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6230504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6230512,2.00,6.00,4.00,3.00,5.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6230520,6.00,7.00,4.00,6.00,9.00,10.13,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6230539,4.00,4.00,2.00,3.00,10.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6230547,4.00,7.00,0.00,5.00,10.00,7.88,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6230555,1.00,4.00,1.00,2.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6230563,3.00,4.00,3.00,4.00,6.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6230601,2.00,6.00,4.00,4.00,5.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6230610,4.00,6.00,2.00,5.00,6.00,10.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6230628,2.00,5.00,1.00,4.00,6.00,10.50,1.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6230644,3.00,5.00,3.00,6.00,7.00,9.75,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6230652,7.00,8.00,2.00,4.00,8.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6230660,2.00,3.00,1.00,2.00,5.00,7.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6230679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6230687,8.00,7.00,3.00,7.00,10.00,10.50,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6230695,6.00,7.00,5.00,6.00,8.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6230709,4.00,6.00,1.00,4.00,6.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6230725,3.00,2.00,3.00,4.00,5.00,7.88,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6230733,3.00,2.00,0.00,1.00,3.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6230750,5.00,7.00,6.00,6.00,7.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6230768,4.00,5.00,2.00,3.00,5.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6230776,5.00,6.00,3.00,5.00,7.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6230784,5.00,6.00,2.00,6.00,5.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'S'),(25,6230792,5.00,6.00,2.00,3.00,7.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6230806,5.00,6.00,3.00,6.00,8.00,12.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6230814,5.00,7.00,3.00,4.00,9.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6230822,2.00,7.00,3.00,4.00,9.00,7.13,0.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6230830,2.00,6.00,3.00,2.00,5.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6230849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6230857,3.00,4.00,4.00,6.00,8.00,8.25,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6230865,4.00,7.00,1.00,5.00,6.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6230873,4.00,5.00,4.00,6.00,6.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6230890,6.00,6.00,1.00,4.00,6.00,8.25,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6230911,1.00,4.00,0.00,2.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6230920,4.00,6.00,2.00,4.00,5.00,8.63,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6230938,9.00,9.00,5.00,6.00,9.00,8.25,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6230954,4.00,6.00,1.00,6.00,5.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6230970,3.00,2.00,2.00,4.00,7.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6230997,2.00,6.00,2.00,6.00,8.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6231004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6231012,2.00,3.00,1.00,2.00,6.00,7.88,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6231020,2.00,5.00,1.00,3.00,4.00,8.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6231047,4.00,6.00,5.00,3.00,7.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6231055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6231098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6231101,2.00,5.00,2.00,5.00,3.00,6.75,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6231110,4.00,5.00,1.00,4.00,7.00,9.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6231128,2.00,4.00,1.00,3.00,4.00,6.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6231144,3.00,3.00,1.00,2.00,6.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6231160,2.00,2.00,1.00,2.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6231179,7.00,6.00,6.00,4.00,7.00,10.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6231209,5.00,7.00,1.00,5.00,10.00,10.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6231225,4.00,6.00,2.00,6.00,6.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6231233,7.00,7.00,5.00,4.00,9.00,8.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6231241,5.00,6.00,2.00,6.00,6.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6231250,4.00,3.00,4.00,4.00,6.00,7.88,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6231268,6.00,5.00,0.00,4.00,8.00,4.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6231284,4.00,3.00,0.00,6.00,5.00,9.38,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6231292,6.00,6.00,3.00,7.00,9.00,8.63,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6231314,4.00,2.00,1.00,0.00,5.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6231322,2.00,3.00,3.00,3.00,7.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6231330,7.00,4.00,1.00,4.00,8.00,8.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6231349,6.00,7.00,7.00,5.00,9.00,8.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6231357,4.00,7.00,2.00,5.00,5.00,7.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6231373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6231381,2.00,5.00,4.00,5.00,5.00,6.75,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6231390,8.00,7.00,6.00,7.00,10.00,10.88,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6231403,3.00,6.00,1.00,4.00,7.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6231411,6.00,5.00,3.00,5.00,6.00,7.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6231420,4.00,4.00,2.00,3.00,5.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6231438,2.00,3.00,4.00,6.00,7.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6231446,5.00,7.00,2.00,5.00,6.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6231454,3.00,5.00,3.00,3.00,6.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6231462,3.00,5.00,1.00,5.00,5.00,6.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6231470,8.00,5.00,1.00,4.00,6.00,8.63,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6231489,3.00,4.00,1.00,4.00,7.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6231497,2.00,5.00,2.00,5.00,4.00,6.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6231500,6.00,7.00,2.00,6.00,8.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6231519,3.00,4.00,0.00,5.00,8.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6231527,5.00,5.00,2.00,6.00,6.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6231535,5.00,9.00,3.00,6.00,8.00,10.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6231543,5.00,5.00,3.00,5.00,0.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6231586,7.00,5.00,6.00,6.00,9.00,8.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6231594,3.00,4.00,3.00,1.00,8.00,4.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6231608,2.00,5.00,0.00,6.00,8.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6231624,6.00,5.00,7.00,7.00,9.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6231632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6231640,2.00,3.00,3.00,2.00,6.00,6.75,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6231667,2.00,4.00,2.00,2.00,1.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6231675,2.00,2.00,1.00,3.00,5.00,7.50,4.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6231683,2.00,5.00,3.00,5.00,8.00,NULL,0.00,1.00,1.00,NULL,NULL,'S','N'),(25,6231705,1.00,4.00,0.00,1.00,4.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6231713,5.00,2.00,3.00,2.00,4.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6231721,1.00,3.00,1.00,1.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6231730,5.00,5.00,7.00,5.00,7.00,9.38,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6231748,5.00,5.00,1.00,4.00,8.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6231756,5.00,7.00,2.00,6.00,8.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6231764,3.00,4.00,2.00,5.00,6.00,9.38,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6231772,6.00,8.00,4.00,7.00,9.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6231799,7.00,5.00,3.00,7.00,6.00,8.25,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6231802,4.00,3.00,1.00,1.00,3.00,6.38,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6231837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6231845,5.00,6.00,6.00,6.00,7.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6231853,2.00,4.00,3.00,3.00,6.00,9.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6231861,5.00,5.00,3.00,4.00,8.00,5.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6231888,7.00,4.00,3.00,6.00,6.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6231896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6231900,4.00,5.00,0.00,2.00,9.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6231926,5.00,0.00,0.00,5.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6231942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6231950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6231969,8.00,5.00,1.00,6.00,8.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6231977,4.00,3.00,3.00,1.00,6.00,9.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6231985,6.00,4.00,1.00,5.00,6.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6231993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6232000,7.00,7.00,4.00,2.00,7.00,6.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6232019,2.00,2.00,3.00,2.00,5.00,9.00,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6232027,4.00,4.00,2.00,2.00,7.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6232035,6.00,6.00,2.00,5.00,5.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6232043,5.00,3.00,3.00,5.00,4.00,6.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6232051,3.00,6.00,5.00,4.00,3.00,6.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6232060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6232078,6.00,6.00,3.00,5.00,7.00,11.25,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6232086,3.00,7.00,0.00,7.00,5.00,9.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6232094,3.00,2.00,3.00,6.00,6.00,9.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6232108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6232140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6232167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6232175,1.00,3.00,0.00,3.00,7.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6232183,2.00,1.00,1.00,2.00,6.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6232191,1.00,1.00,1.00,4.00,4.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6232205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6232213,8.00,7.00,7.00,6.00,8.00,8.63,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6232221,9.00,7.00,4.00,7.00,9.00,10.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6232230,8.00,8.00,5.00,3.00,8.00,11.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6232256,3.00,5.00,3.00,3.00,8.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6232264,5.00,8.00,2.00,7.00,8.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6232272,6.00,6.00,7.00,3.00,8.00,10.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6232280,4.00,4.00,4.00,4.00,9.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6232302,5.00,4.00,6.00,6.00,8.00,10.13,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6232310,6.00,6.00,3.00,7.00,9.00,10.88,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6232353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6232361,3.00,2.00,3.00,5.00,5.00,6.75,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6232370,8.00,6.00,4.00,7.00,8.00,8.63,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6232388,3.00,3.00,2.00,3.00,7.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6232396,5.00,6.00,3.00,6.00,7.00,7.88,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6232400,7.00,8.00,3.00,7.00,10.00,10.88,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6232418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6232426,7.00,5.00,5.00,6.00,8.00,10.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6232434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6232442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6232450,4.00,4.00,1.00,5.00,4.00,7.50,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6232469,2.00,6.00,2.00,4.00,7.00,7.88,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6232477,7.00,8.00,5.00,6.00,9.00,11.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6232485,3.00,6.00,2.00,3.00,4.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6232493,6.00,5.00,1.00,5.00,7.00,10.13,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6232507,5.00,3.00,2.00,4.00,7.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6232523,5.00,5.00,2.00,4.00,6.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6232531,4.00,4.00,3.00,4.00,7.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6232540,5.00,6.00,4.00,5.00,8.00,9.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6232558,4.00,6.00,3.00,3.00,4.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6232566,4.00,4.00,2.00,6.00,7.00,7.13,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6232574,4.00,5.00,1.00,3.00,8.00,9.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6232582,2.00,2.00,2.00,5.00,3.00,6.00,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6232590,8.00,8.00,5.00,6.00,9.00,11.63,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6232604,2.00,6.00,0.00,3.00,3.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6232612,2.00,6.00,4.00,3.00,5.00,6.75,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6232620,8.00,5.00,2.00,6.00,7.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6232639,3.00,5.00,3.00,3.00,7.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6232647,8.00,7.00,3.00,6.00,9.00,7.88,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6232655,6.00,5.00,4.00,6.00,10.00,8.63,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6232663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6232671,2.00,7.00,1.00,3.00,5.00,7.50,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6232680,3.00,4.00,3.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6232710,0.00,2.00,0.00,0.00,0.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6232728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6232736,3.00,6.00,2.00,2.00,5.00,5.25,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6232744,3.00,6.00,3.00,5.00,7.00,9.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6232752,3.00,3.00,1.00,1.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6232760,6.00,7.00,4.00,7.00,9.00,10.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6232787,2.00,4.00,2.00,2.00,5.00,7.88,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6232795,6.00,4.00,6.00,4.00,8.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6232809,3.00,2.00,3.00,3.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6232817,4.00,6.00,0.00,3.00,8.00,9.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6232825,6.00,6.00,3.00,5.00,9.00,7.50,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6232833,5.00,7.00,3.00,7.00,9.00,9.38,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6232850,4.00,4.00,2.00,2.00,7.00,4.88,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6232868,5.00,6.00,2.00,5.00,8.00,9.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6232876,3.00,6.00,0.00,6.00,7.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6232892,3.00,4.00,1.00,2.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6232906,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6232914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6232922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6232930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6232949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6232957,4.00,4.00,2.00,4.00,7.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6232965,5.00,7.00,3.00,3.00,7.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6232973,8.00,8.00,3.00,6.00,9.00,10.50,0.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6232981,5.00,6.00,1.00,3.00,7.00,8.25,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6232990,8.00,7.00,5.00,3.00,10.00,7.50,2.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6233007,4.00,4.00,2.00,3.00,4.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6233015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6233031,8.00,7.00,4.00,7.00,9.00,8.63,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6233040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6233058,1.00,1.00,0.00,2.00,1.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6233066,2.00,4.00,0.00,1.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6233074,7.00,7.00,1.00,5.00,7.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6233082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6233090,3.00,4.00,3.00,6.00,7.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6233104,1.00,5.00,1.00,2.00,7.00,9.00,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6233120,4.00,2.00,2.00,5.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6233139,8.00,7.00,3.00,7.00,7.00,9.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6233155,3.00,4.00,1.00,2.00,5.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6233163,1.00,3.00,0.00,0.00,6.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6233171,8.00,7.00,2.00,5.00,6.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6233180,0.00,6.00,1.00,5.00,5.00,10.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6233198,4.00,3.00,2.00,3.00,8.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6233201,7.00,7.00,6.00,4.00,9.00,7.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6233210,3.00,1.00,1.00,2.00,4.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6233228,5.00,4.00,1.00,4.00,7.00,9.75,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6233236,2.00,6.00,0.00,3.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6233252,7.00,5.00,3.00,3.00,8.00,7.88,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6233279,3.00,5.00,1.00,2.00,2.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6233295,2.00,4.00,1.00,3.00,3.00,5.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6233309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6233317,5.00,7.00,3.00,6.00,10.00,10.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6233325,3.00,6.00,2.00,4.00,6.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6233333,5.00,2.00,3.00,1.00,7.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6233341,4.00,4.00,0.00,2.00,6.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'S'),(25,6233350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6233368,4.00,7.00,3.00,4.00,9.00,10.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6233376,2.00,3.00,2.00,4.00,4.00,5.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6233384,5.00,6.00,0.00,6.00,7.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6233392,5.00,4.00,6.00,5.00,8.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6233406,7.00,6.00,5.00,7.00,10.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6233414,6.00,5.00,3.00,6.00,8.00,7.50,4.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6233422,3.00,5.00,3.00,7.00,7.00,10.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6233430,0.00,2.00,1.00,0.00,1.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6233449,9.00,6.00,6.00,4.00,8.00,7.88,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6233457,1.00,2.00,2.00,3.00,7.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6233473,6.00,6.00,4.00,4.00,7.00,8.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6233481,3.00,5.00,3.00,3.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6233503,3.00,6.00,2.00,4.00,7.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6233511,1.00,1.00,2.00,2.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6233520,3.00,3.00,1.00,5.00,3.00,8.63,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6233538,6.00,6.00,4.00,6.00,7.00,8.63,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6233546,6.00,6.00,4.00,6.00,5.00,10.13,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6233562,6.00,5.00,7.00,7.00,7.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6233570,7.00,4.00,1.00,7.00,7.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6233589,5.00,6.00,0.00,3.00,6.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6233597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6233600,3.00,5.00,1.00,4.00,6.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6233635,7.00,3.00,1.00,5.00,6.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6233660,4.00,5.00,6.00,6.00,8.00,7.88,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6233686,4.00,3.00,0.00,3.00,6.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6233694,2.00,1.00,1.00,2.00,4.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6233708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6233716,8.00,8.00,3.00,7.00,10.00,10.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6233724,2.00,4.00,0.00,3.00,8.00,8.63,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6233732,6.00,8.00,5.00,5.00,8.00,7.13,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6233740,4.00,6.00,2.00,6.00,6.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6233759,5.00,5.00,2.00,4.00,6.00,7.50,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6233775,4.00,5.00,3.00,2.00,7.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6233783,3.00,5.00,1.00,4.00,6.00,7.88,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6233791,5.00,4.00,2.00,4.00,8.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6233805,4.00,2.00,2.00,4.00,5.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6233813,8.00,7.00,2.00,6.00,8.00,11.63,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6233821,7.00,5.00,4.00,6.00,8.00,7.88,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6233830,8.00,6.00,5.00,7.00,8.00,8.63,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6233872,5.00,4.00,2.00,3.00,6.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6233880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6233899,2.00,3.00,3.00,2.00,5.00,10.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6233902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6233910,5.00,4.00,2.00,5.00,9.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6233929,3.00,3.00,0.00,1.00,1.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6233937,8.00,5.00,0.00,5.00,8.00,10.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6233945,5.00,5.00,1.00,4.00,9.00,NULL,2.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6233953,3.00,4.00,2.00,2.00,5.00,8.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6233961,5.00,4.00,1.00,2.00,5.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6233970,9.00,6.00,5.00,6.00,9.00,12.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6233988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6233996,5.00,5.00,2.00,3.00,6.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6234003,4.00,5.00,1.00,3.00,6.00,7.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6234011,6.00,6.00,6.00,6.00,7.00,9.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6234020,9.00,8.00,6.00,7.00,10.00,11.25,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6234038,2.00,4.00,1.00,6.00,5.00,5.25,0.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6234046,1.00,1.00,2.00,4.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6234062,2.00,6.00,2.00,3.00,5.00,8.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6234089,5.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6234097,5.00,6.00,7.00,6.00,7.00,6.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6234100,7.00,5.00,3.00,3.00,6.00,9.00,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6234119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6234127,5.00,6.00,2.00,4.00,10.00,11.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6234135,4.00,4.00,2.00,2.00,6.00,8.63,1.00,6.00,2.00,NULL,NULL,NULL,'S'),(25,6234143,6.00,6.00,2.00,4.00,10.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6234151,4.00,3.00,1.00,5.00,7.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6234160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6234178,5.00,4.00,4.00,7.00,7.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6234186,4.00,5.00,3.00,5.00,7.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6234194,5.00,5.00,2.00,4.00,7.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'S'),(25,6234208,4.00,8.00,1.00,4.00,6.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6234216,8.00,6.00,3.00,7.00,8.00,9.00,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6234224,3.00,4.00,0.00,5.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6234240,1.00,5.00,0.00,2.00,1.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6234259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6234267,3.00,4.00,4.00,5.00,5.00,6.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6234275,1.00,3.00,2.00,3.00,7.00,7.88,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6234283,8.00,7.00,4.00,5.00,9.00,9.75,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6234291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6234305,7.00,7.00,3.00,6.00,5.00,8.63,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6234321,3.00,5.00,2.00,3.00,6.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6234330,7.00,8.00,2.00,5.00,9.00,9.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6234348,4.00,6.00,4.00,5.00,7.00,9.38,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6234356,4.00,6.00,5.00,4.00,8.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6234364,4.00,4.00,1.00,3.00,5.00,6.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6234380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6234399,8.00,6.00,7.00,6.00,10.00,12.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6234402,7.00,6.00,3.00,6.00,8.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6234410,3.00,3.00,1.00,3.00,4.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6234429,1.00,3.00,0.00,4.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6234437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6234445,5.00,5.00,1.00,4.00,9.00,12.00,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6234461,3.00,4.00,3.00,4.00,5.00,6.38,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6234470,1.00,3.00,1.00,3.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6234488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6234496,3.00,5.00,3.00,6.00,5.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6234500,4.00,4.00,6.00,6.00,6.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6234534,5.00,5.00,2.00,3.00,2.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6234550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6234577,3.00,4.00,2.00,3.00,5.00,8.25,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6234585,5.00,3.00,2.00,2.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6234631,3.00,5.00,0.00,3.00,7.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6234666,6.00,6.00,5.00,7.00,9.00,9.75,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6234674,2.00,4.00,2.00,2.00,5.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6234682,5.00,5.00,2.00,5.00,5.00,6.38,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6234704,3.00,4.00,2.00,3.00,8.00,7.88,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6234712,6.00,6.00,2.00,5.00,7.00,10.13,4.00,5.00,7.00,NULL,NULL,NULL,'S'),(25,6234720,4.00,5.00,2.00,4.00,6.00,10.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6234739,7.00,7.00,6.00,6.00,7.00,10.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6234747,3.00,2.00,0.00,4.00,4.00,7.13,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6234755,2.00,2.00,2.00,2.00,3.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6234763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6234771,6.00,5.00,5.00,6.00,9.00,9.38,1.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6234810,4.00,5.00,1.00,3.00,5.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6234836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6234844,7.00,5.00,6.00,4.00,8.00,12.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6234852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6234879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6234887,2.00,4.00,2.00,1.00,5.00,5.63,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6234895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6234933,6.00,5.00,1.00,4.00,8.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6234950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6234976,8.00,5.00,4.00,8.00,10.00,9.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6234984,2.00,4.00,2.00,6.00,5.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6234992,2.00,3.00,2.00,2.00,5.00,8.63,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6235000,6.00,7.00,2.00,7.00,6.00,8.63,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6235026,4.00,3.00,1.00,3.00,7.00,8.63,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6235034,1.00,3.00,1.00,3.00,4.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'S'),(25,6235042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6235050,4.00,5.00,1.00,6.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6235077,8.00,7.00,5.00,7.00,10.00,9.75,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6235085,7.00,4.00,5.00,5.00,10.00,7.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6235093,7.00,6.00,3.00,5.00,7.00,7.88,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6235107,7.00,4.00,5.00,4.00,6.00,12.38,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6235115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6235123,3.00,6.00,2.00,5.00,9.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6235140,8.00,8.00,7.00,7.00,10.00,11.25,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6235158,1.00,4.00,3.00,5.00,5.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6235166,5.00,5.00,4.00,5.00,9.00,10.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6235174,2.00,7.00,3.00,2.00,5.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6235190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6235212,4.00,9.00,3.00,5.00,9.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6235220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6235239,6.00,6.00,2.00,4.00,6.00,8.25,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6235247,7.00,6.00,7.00,7.00,9.00,8.25,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6235255,0.00,4.00,2.00,0.00,5.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6235263,4.00,5.00,5.00,6.00,7.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6235271,5.00,6.00,2.00,4.00,8.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6235280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6235298,3.00,6.00,3.00,1.00,6.00,9.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6235301,3.00,4.00,2.00,3.00,5.00,7.88,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6235310,8.00,8.00,9.00,7.00,10.00,10.88,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6235336,7.00,8.00,6.00,6.00,9.00,7.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6235344,1.00,3.00,0.00,3.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6235360,1.00,3.00,1.00,0.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6235379,1.00,3.00,0.00,3.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6235395,1.00,5.00,0.00,5.00,5.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6235425,8.00,7.00,8.00,7.00,7.00,12.38,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6235433,7.00,5.00,2.00,4.00,8.00,10.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6235441,6.00,7.00,2.00,4.00,9.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6235450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6235468,8.00,8.00,7.00,6.00,8.00,12.75,7.00,8.00,9.00,NULL,NULL,NULL,'S'),(25,6235476,4.00,7.00,3.00,5.00,5.00,7.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6235484,4.00,4.00,1.00,5.00,5.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6235506,8.00,7.00,4.00,5.00,8.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6235522,3.00,5.00,1.00,2.00,8.00,5.63,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6235530,4.00,6.00,3.00,7.00,10.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6235549,3.00,5.00,6.00,5.00,10.00,9.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6235557,6.00,4.00,3.00,7.00,6.00,7.50,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6235565,6.00,4.00,3.00,5.00,11.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6235573,7.00,5.00,4.00,6.00,8.00,7.88,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6235581,2.00,5.00,0.00,3.00,4.00,7.50,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6235590,4.00,6.00,3.00,2.00,6.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6235611,4.00,6.00,0.00,5.00,7.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6235620,4.00,4.00,3.00,4.00,8.00,10.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6235638,7.00,8.00,6.00,6.00,9.00,9.00,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6235654,8.00,8.00,3.00,6.00,8.00,9.75,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6235662,7.00,7.00,4.00,5.00,4.00,7.50,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6235670,6.00,5.00,0.00,3.00,6.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6235689,6.00,8.00,2.00,5.00,8.00,9.38,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6235697,6.00,6.00,6.00,7.00,9.00,8.63,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6235700,4.00,3.00,1.00,5.00,7.00,7.50,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6235719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6235727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6235735,6.00,5.00,1.00,5.00,10.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6235743,2.00,4.00,3.00,3.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6235751,4.00,6.00,3.00,4.00,6.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6235760,9.00,5.00,8.00,4.00,6.00,6.75,1.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6235808,7.00,7.00,6.00,5.00,7.00,11.63,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6235816,7.00,8.00,4.00,7.00,11.00,10.50,0.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6235824,7.00,7.00,5.00,7.00,9.00,10.88,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6235840,4.00,7.00,7.00,5.00,8.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6235859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6235867,6.00,2.00,0.00,2.00,8.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6235875,3.00,4.00,6.00,7.00,4.00,8.63,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6235883,7.00,5.00,5.00,6.00,6.00,11.25,1.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6235891,0.00,3.00,1.00,2.00,4.00,5.25,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6235921,5.00,6.00,3.00,4.00,8.00,9.38,1.00,7.00,2.00,NULL,NULL,NULL,'S'),(25,6235930,4.00,4.00,1.00,5.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,'S','S'),(25,6235948,6.00,6.00,1.00,7.00,10.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6235956,3.00,3.00,3.00,1.00,3.00,6.75,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6235964,5.00,4.00,2.00,6.00,5.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6235972,4.00,6.00,0.00,3.00,8.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6235980,5.00,7.00,2.00,4.00,8.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6235999,4.00,4.00,0.00,3.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6236006,6.00,8.00,4.00,6.00,10.00,6.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6236014,5.00,6.00,0.00,4.00,9.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6236022,2.00,2.00,1.00,1.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6236030,7.00,7.00,4.00,6.00,7.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6236049,5.00,6.00,1.00,4.00,5.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6236057,7.00,8.00,3.00,6.00,7.00,9.38,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6236065,6.00,5.00,1.00,0.00,5.00,7.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6236073,3.00,1.00,0.00,3.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6236090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6236103,2.00,5.00,1.00,5.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6236111,1.00,5.00,0.00,4.00,5.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6236120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6236138,8.00,7.00,3.00,7.00,10.00,11.25,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6236146,6.00,5.00,4.00,6.00,7.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6236154,6.00,3.00,3.00,3.00,8.00,10.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6236162,1.00,2.00,1.00,4.00,6.00,NULL,1.00,3.00,4.00,NULL,NULL,'S','N'),(25,6236170,4.00,4.00,4.00,5.00,7.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6236197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6236200,3.00,3.00,1.00,2.00,4.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6236227,1.00,7.00,0.00,4.00,6.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6236235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6236243,5.00,6.00,7.00,7.00,8.00,10.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6236251,3.00,4.00,0.00,4.00,5.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6236260,3.00,4.00,3.00,2.00,3.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6236278,4.00,6.00,3.00,4.00,8.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6236286,3.00,3.00,2.00,4.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6236294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6236308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6236316,2.00,6.00,4.00,3.00,6.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6236324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6236340,3.00,4.00,2.00,3.00,5.00,8.25,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6236359,4.00,5.00,3.00,5.00,7.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6236367,3.00,3.00,3.00,6.00,5.00,7.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6236375,3.00,5.00,2.00,3.00,6.00,7.50,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6236383,5.00,5.00,2.00,3.00,8.00,6.75,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6236391,4.00,4.00,4.00,4.00,6.00,0.00,5.00,1.00,6.00,NULL,NULL,NULL,'S'),(25,6236405,7.00,8.00,5.00,5.00,9.00,10.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6236413,8.00,8.00,3.00,4.00,9.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6236421,3.00,4.00,3.00,4.00,5.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6236430,4.00,6.00,3.00,4.00,6.00,8.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6236448,4.00,5.00,1.00,2.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6236456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6236464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6236472,2.00,6.00,3.00,7.00,7.00,8.25,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6236480,6.00,6.00,2.00,4.00,8.00,9.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6236499,5.00,5.00,5.00,5.00,5.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6236502,4.00,5.00,0.00,1.00,6.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'S'),(25,6236510,2.00,5.00,0.00,4.00,5.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6236529,6.00,5.00,3.00,6.00,7.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6236537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6236545,4.00,5.00,3.00,3.00,7.00,10.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6236553,2.00,2.00,1.00,2.00,3.00,4.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6236561,1.00,0.00,4.00,2.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6236570,7.00,7.00,4.00,6.00,9.00,7.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6236588,3.00,3.00,2.00,1.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6236596,4.00,6.00,1.00,4.00,5.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6236626,3.00,5.00,2.00,6.00,8.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6236642,3.00,4.00,1.00,3.00,6.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6236650,6.00,7.00,6.00,7.00,10.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6236669,6.00,5.00,2.00,5.00,6.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6236677,4.00,5.00,1.00,5.00,6.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6236685,3.00,5.00,4.00,2.00,5.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6236693,9.00,7.00,1.00,6.00,8.00,9.75,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6236707,5.00,5.00,2.00,1.00,8.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6236715,8.00,6.00,2.00,5.00,10.00,11.63,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6236723,8.00,7.00,7.00,6.00,8.00,9.38,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6236731,7.00,6.00,1.00,5.00,9.00,11.63,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6236740,4.00,4.00,2.00,4.00,8.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6236758,4.00,6.00,1.00,3.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6236774,3.00,4.00,3.00,3.00,5.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6236782,2.00,2.00,2.00,2.00,5.00,4.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6236804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6236812,3.00,2.00,3.00,1.00,5.00,7.50,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6236820,4.00,6.00,4.00,4.00,5.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6236839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6236847,7.00,7.00,3.00,6.00,6.00,9.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6236855,1.00,4.00,2.00,4.00,5.00,6.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6236863,0.00,3.00,1.00,3.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6236871,4.00,2.00,2.00,3.00,7.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6236880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6236898,4.00,4.00,0.00,3.00,7.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6236910,3.00,4.00,0.00,2.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6236928,4.00,3.00,1.00,6.00,5.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6236936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6236944,7.00,6.00,3.00,5.00,8.00,11.25,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6236952,4.00,6.00,3.00,4.00,8.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6236960,4.00,3.00,3.00,3.00,6.00,10.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6236995,4.00,5.00,3.00,6.00,8.00,6.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6237002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6237010,2.00,2.00,0.00,3.00,4.00,7.13,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6237029,9.00,7.00,5.00,4.00,8.00,9.38,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6237053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6237061,6.00,5.00,7.00,6.00,9.00,9.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6237070,6.00,5.00,2.00,6.00,7.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6237088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6237096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6237100,7.00,6.00,3.00,6.00,6.00,8.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6237118,5.00,5.00,3.00,6.00,8.00,10.88,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6237126,6.00,6.00,3.00,7.00,9.00,7.88,1.00,9.00,6.00,NULL,NULL,NULL,'S'),(25,6237134,7.00,5.00,6.00,6.00,8.00,11.63,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6237150,6.00,2.00,2.00,4.00,8.00,10.88,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6237169,3.00,5.00,4.00,6.00,8.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6237177,3.00,8.00,0.00,3.00,9.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6237185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6237193,2.00,3.00,0.00,5.00,9.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6237207,4.00,5.00,3.00,1.00,7.00,12.00,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6237215,6.00,6.00,2.00,5.00,6.00,7.88,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6237223,5.00,5.00,7.00,4.00,6.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6237231,4.00,6.00,1.00,3.00,6.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6237240,5.00,6.00,2.00,7.00,7.00,7.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6237266,1.00,4.00,1.00,4.00,4.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6237274,2.00,2.00,0.00,1.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6237282,5.00,4.00,1.00,7.00,7.00,9.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6237290,2.00,5.00,5.00,3.00,6.00,9.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6237304,4.00,4.00,1.00,5.00,7.00,10.13,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6237312,7.00,6.00,5.00,8.00,7.00,7.88,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6237320,3.00,4.00,0.00,5.00,8.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6237339,0.00,3.00,0.00,2.00,3.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6237347,2.00,4.00,2.00,4.00,5.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6237355,4.00,5.00,1.00,5.00,4.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6237363,4.00,1.00,2.00,1.00,4.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6237371,2.00,3.00,3.00,5.00,7.00,10.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6237380,3.00,3.00,0.00,5.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6237398,5.00,5.00,6.00,5.00,7.00,8.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6237401,3.00,5.00,1.00,6.00,5.00,4.50,2.00,6.00,1.00,NULL,NULL,NULL,'S'),(25,6237410,4.00,5.00,3.00,3.00,5.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6237428,4.00,6.00,3.00,6.00,9.00,10.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6237436,6.00,8.00,3.00,5.00,9.00,11.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6237444,8.00,7.00,5.00,7.00,7.00,7.13,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6237452,6.00,6.00,3.00,4.00,7.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6237460,4.00,3.00,1.00,4.00,4.00,10.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6237479,6.00,7.00,3.00,4.00,9.00,9.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6237487,2.00,3.00,1.00,3.00,8.00,7.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6237495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6237509,1.00,3.00,3.00,4.00,7.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6237517,6.00,6.00,4.00,5.00,6.00,10.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6237533,2.00,4.00,1.00,5.00,5.00,10.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6237541,5.00,5.00,2.00,5.00,6.00,8.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6237550,6.00,6.00,2.00,7.00,8.00,10.88,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6237568,3.00,5.00,3.00,5.00,5.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6237576,3.00,4.00,1.00,4.00,5.00,8.63,1.00,1.00,5.00,NULL,NULL,NULL,'S'),(25,6237592,0.00,3.00,0.00,2.00,6.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6237606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6237614,5.00,6.00,7.00,6.00,10.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6237622,2.00,3.00,0.00,2.00,8.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6237630,3.00,3.00,0.00,2.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'S'),(25,6237649,2.00,1.00,0.00,0.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6237657,7.00,5.00,3.00,7.00,4.00,NULL,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6237665,4.00,4.00,2.00,4.00,3.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6237673,1.00,2.00,1.00,2.00,6.00,6.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6237681,7.00,6.00,2.00,7.00,10.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6237690,2.00,4.00,1.00,3.00,7.00,12.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6237711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6237720,1.00,3.00,0.00,0.00,5.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6237738,6.00,6.00,4.00,6.00,8.00,10.13,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6237746,2.00,2.00,3.00,3.00,5.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6237754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6237762,1.00,7.00,1.00,5.00,6.00,10.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6237770,5.00,4.00,6.00,7.00,8.00,6.75,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6237789,1.00,3.00,1.00,4.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6237797,3.00,3.00,3.00,4.00,5.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6237800,4.00,5.00,1.00,5.00,7.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6237819,7.00,8.00,4.00,7.00,11.00,10.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6237827,2.00,6.00,1.00,5.00,3.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6237843,4.00,5.00,1.00,5.00,6.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6237851,2.00,7.00,3.00,1.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6237860,5.00,4.00,4.00,6.00,5.00,8.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6237878,3.00,3.00,3.00,3.00,7.00,6.75,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6237886,6.00,6.00,5.00,5.00,6.00,10.13,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6237894,3.00,3.00,4.00,4.00,6.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6237908,6.00,6.00,3.00,3.00,8.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6237924,7.00,7.00,6.00,5.00,8.00,9.38,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6237932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6237940,3.00,3.00,0.00,1.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6237959,5.00,9.00,1.00,3.00,7.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6237967,6.00,6.00,4.00,5.00,9.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6237975,9.00,7.00,3.00,6.00,10.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6237983,6.00,5.00,3.00,6.00,6.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6237991,5.00,6.00,6.00,5.00,6.00,10.88,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6238017,7.00,5.00,6.00,5.00,10.00,11.63,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6238025,5.00,5.00,5.00,6.00,9.00,10.13,2.00,3.00,6.00,NULL,NULL,NULL,'S'),(25,6238033,6.00,7.00,2.00,7.00,9.00,13.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6238041,6.00,3.00,5.00,6.00,8.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6238050,7.00,7.00,3.00,6.00,8.00,11.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6238068,2.00,6.00,5.00,6.00,7.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6238076,4.00,4.00,0.00,1.00,8.00,11.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6238084,5.00,6.00,6.00,6.00,7.00,10.13,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6238092,5.00,9.00,0.00,7.00,11.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6238106,3.00,5.00,1.00,1.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6238122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6238130,6.00,7.00,2.00,6.00,9.00,8.63,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6238149,7.00,7.00,4.00,6.00,9.00,9.00,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6238157,3.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6238165,4.00,4.00,1.00,2.00,6.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6238173,8.00,6.00,3.00,6.00,8.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6238181,4.00,3.00,3.00,5.00,6.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6238190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6238203,7.00,6.00,4.00,7.00,9.00,10.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6238211,9.00,7.00,6.00,7.00,9.00,7.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6238220,4.00,5.00,3.00,5.00,7.00,10.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6238254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6238270,7.00,5.00,4.00,4.00,7.00,6.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6238289,3.00,2.00,1.00,2.00,6.00,7.50,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6238300,8.00,8.00,5.00,6.00,8.00,11.25,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6238319,5.00,7.00,6.00,6.00,6.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6238327,3.00,5.00,1.00,3.00,6.00,11.25,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6238335,6.00,5.00,3.00,2.00,6.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6238351,5.00,7.00,3.00,6.00,6.00,0.00,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(25,6238360,5.00,6.00,5.00,7.00,9.00,10.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6238378,4.00,7.00,3.00,6.00,6.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6238386,4.00,4.00,2.00,5.00,7.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6238394,8.00,6.00,6.00,5.00,7.00,7.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6238408,8.00,5.00,3.00,6.00,8.00,11.25,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6238416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6238424,4.00,5.00,1.00,4.00,7.00,5.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6238432,6.00,8.00,3.00,6.00,8.00,10.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6238440,6.00,5.00,1.00,5.00,9.00,9.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6238459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6238467,6.00,6.00,4.00,7.00,3.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6238475,7.00,6.00,2.00,4.00,9.00,8.63,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6238483,4.00,6.00,3.00,2.00,7.00,8.63,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6238491,6.00,6.00,3.00,1.00,9.00,8.63,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(25,6238505,6.00,5.00,4.00,6.00,6.00,9.00,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6238513,2.00,1.00,0.00,1.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6238521,2.00,4.00,2.00,4.00,6.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6238530,9.00,7.00,5.00,7.00,10.00,7.88,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6238548,5.00,8.00,2.00,4.00,8.00,7.88,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6238556,6.00,7.00,4.00,7.00,9.00,9.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6238564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6238572,7.00,7.00,2.00,5.00,5.00,8.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6238580,6.00,4.00,2.00,2.00,6.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6238599,6.00,5.00,3.00,3.00,5.00,9.38,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6238602,4.00,5.00,1.00,4.00,5.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6238610,6.00,5.00,2.00,3.00,6.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6238629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6238637,4.00,6.00,1.00,1.00,5.00,11.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6238653,2.00,4.00,3.00,4.00,6.00,9.38,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6238661,6.00,5.00,4.00,5.00,7.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6238670,7.00,6.00,6.00,6.00,7.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6238688,7.00,5.00,6.00,6.00,9.00,11.63,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6238696,3.00,7.00,3.00,3.00,4.00,0.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6238700,5.00,8.00,5.00,5.00,7.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6238718,3.00,5.00,1.00,6.00,7.00,10.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6238726,6.00,5.00,6.00,6.00,9.00,6.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6238734,5.00,5.00,2.00,7.00,7.00,7.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6238742,2.00,4.00,1.00,3.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6238750,4.00,7.00,3.00,4.00,8.00,7.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6238769,2.00,4.00,2.00,2.00,6.00,8.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6238777,2.00,5.00,1.00,3.00,5.00,5.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6238785,4.00,5.00,3.00,3.00,6.00,12.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6238793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6238807,2.00,4.00,0.00,2.00,4.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6238831,4.00,2.00,2.00,4.00,6.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6238840,3.00,3.00,0.00,3.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6238858,2.00,5.00,2.00,4.00,6.00,7.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6238866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6238874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6238890,1.00,4.00,2.00,1.00,8.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6238904,7.00,6.00,2.00,2.00,5.00,10.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6238912,3.00,4.00,0.00,1.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6238920,2.00,3.00,3.00,3.00,5.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6238939,9.00,6.00,6.00,7.00,9.00,10.88,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6238947,2.00,5.00,0.00,2.00,7.00,7.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6238955,3.00,6.00,1.00,6.00,8.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6238963,5.00,4.00,0.00,0.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6238998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6239005,8.00,7.00,4.00,7.00,10.00,9.00,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6239013,1.00,5.00,3.00,3.00,7.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6239021,8.00,6.00,4.00,5.00,7.00,11.63,1.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6239030,8.00,7.00,2.00,3.00,7.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6239048,6.00,7.00,1.00,6.00,8.00,9.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6239056,5.00,4.00,5.00,6.00,9.00,9.00,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6239064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6239072,6.00,4.00,8.00,4.00,5.00,8.25,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6239080,6.00,3.00,1.00,5.00,7.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6239099,2.00,5.00,1.00,4.00,4.00,7.88,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6239102,5.00,4.00,5.00,7.00,7.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6239110,7.00,4.00,3.00,7.00,10.00,12.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6239137,7.00,7.00,5.00,7.00,7.00,10.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6239145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6239153,4.00,4.00,2.00,6.00,6.00,12.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6239161,3.00,4.00,3.00,6.00,6.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6239170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6239188,2.00,5.00,1.00,7.00,6.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6239196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6239200,4.00,6.00,1.00,6.00,8.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6239218,6.00,6.00,1.00,6.00,8.00,9.75,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(25,6239226,4.00,5.00,2.00,7.00,8.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6239234,4.00,3.00,0.00,3.00,3.00,6.38,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6239242,4.00,3.00,2.00,4.00,5.00,8.25,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6239250,4.00,6.00,2.00,6.00,9.00,9.00,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6239277,6.00,6.00,1.00,6.00,8.00,7.88,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6239285,7.00,7.00,2.00,7.00,8.00,9.38,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6239293,5.00,4.00,1.00,7.00,7.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6239315,5.00,5.00,1.00,3.00,3.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6239323,1.00,2.00,0.00,2.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6239331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6239340,4.00,5.00,5.00,7.00,8.00,10.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6239358,4.00,4.00,3.00,2.00,4.00,5.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6239366,4.00,6.00,0.00,3.00,9.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6239374,3.00,3.00,4.00,3.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6239390,4.00,5.00,3.00,7.00,9.00,10.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6239404,2.00,0.00,1.00,1.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6239412,4.00,4.00,3.00,4.00,5.00,4.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6239420,5.00,6.00,3.00,5.00,7.00,0.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6239439,3.00,3.00,1.00,5.00,7.00,8.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6239447,7.00,6.00,6.00,7.00,8.00,6.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6239455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6239463,4.00,5.00,2.00,4.00,8.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6239471,8.00,7.00,7.00,7.00,7.00,8.25,5.00,3.00,9.00,NULL,NULL,NULL,'N'),(25,6239480,4.00,4.00,2.00,1.00,6.00,7.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6239498,6.00,7.00,5.00,7.00,10.00,10.13,1.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6239501,3.00,3.00,1.00,2.00,3.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6239510,6.00,4.00,3.00,4.00,7.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6239528,5.00,7.00,2.00,3.00,6.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6239544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6239552,7.00,8.00,0.00,7.00,8.00,10.13,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(25,6239560,4.00,7.00,2.00,5.00,8.00,8.25,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(25,6239579,4.00,5.00,2.00,3.00,9.00,8.63,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6239587,4.00,5.00,1.00,4.00,8.00,7.50,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6239595,7.00,9.00,2.00,6.00,10.00,11.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6239609,8.00,7.00,9.00,7.00,9.00,9.00,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6239617,7.00,6.00,6.00,6.00,7.00,9.38,0.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6239625,8.00,9.00,7.00,7.00,10.00,12.38,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6239633,5.00,6.00,4.00,4.00,9.00,7.50,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6239641,8.00,7.00,8.00,7.00,9.00,10.88,4.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6239676,7.00,5.00,2.00,5.00,4.00,9.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6239684,4.00,5.00,3.00,0.00,4.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6239692,3.00,5.00,0.00,3.00,6.00,10.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6239706,5.00,3.00,3.00,4.00,5.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6239714,9.00,8.00,5.00,8.00,9.00,10.13,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6239722,6.00,7.00,5.00,6.00,8.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6239730,2.00,5.00,2.00,4.00,8.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6239749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6239757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6239765,1.00,3.00,0.00,0.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6239773,2.00,7.00,3.00,2.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6239781,8.00,5.00,4.00,7.00,9.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6239790,6.00,6.00,3.00,7.00,8.00,11.25,2.00,9.00,4.00,NULL,NULL,NULL,'N'),(25,6239803,1.00,2.00,3.00,3.00,7.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6239811,1.00,5.00,1.00,5.00,3.00,8.25,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6239820,4.00,6.00,2.00,4.00,10.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6239838,3.00,4.00,3.00,2.00,3.00,7.50,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6239846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6239854,3.00,4.00,0.00,1.00,9.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6239862,6.00,4.00,3.00,4.00,7.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6239870,3.00,4.00,0.00,1.00,5.00,8.63,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6239889,3.00,1.00,3.00,2.00,6.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6239897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6239900,4.00,4.00,2.00,5.00,7.00,6.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6239919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6239927,3.00,4.00,1.00,7.00,8.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6239935,4.00,4.00,3.00,4.00,5.00,8.63,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6239943,4.00,5.00,0.00,5.00,8.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6239951,6.00,7.00,2.00,5.00,8.00,10.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6239960,5.00,4.00,3.00,3.00,4.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6239978,7.00,7.00,4.00,4.00,7.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6239986,6.00,6.00,3.00,6.00,7.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6240003,6.00,4.00,4.00,6.00,8.00,8.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6240011,5.00,5.00,6.00,6.00,5.00,6.75,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6240020,8.00,6.00,7.00,5.00,7.00,7.13,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6240038,5.00,5.00,3.00,3.00,7.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6240046,4.00,8.00,2.00,4.00,10.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6240054,4.00,4.00,1.00,1.00,6.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6240062,5.00,5.00,2.00,3.00,7.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(25,6240070,3.00,7.00,1.00,4.00,10.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6240097,6.00,7.00,3.00,7.00,8.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6240100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6240119,5.00,7.00,4.00,6.00,6.00,10.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6240127,2.00,4.00,1.00,3.00,4.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6240143,7.00,6.00,6.00,4.00,8.00,8.63,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6240151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6240160,8.00,7.00,5.00,6.00,7.00,6.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6240178,5.00,3.00,4.00,3.00,7.00,6.38,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6240186,2.00,0.00,1.00,5.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6240208,2.00,5.00,3.00,3.00,7.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6240216,7.00,4.00,3.00,6.00,7.00,10.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6240224,5.00,5.00,2.00,5.00,6.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6240232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6240240,4.00,5.00,1.00,6.00,8.00,9.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6240259,4.00,4.00,2.00,4.00,7.00,8.63,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6240267,1.00,4.00,1.00,1.00,3.00,7.50,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6240283,7.00,6.00,3.00,7.00,7.00,7.50,0.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6240291,9.00,7.00,6.00,7.00,9.00,10.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6240305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6240313,2.00,5.00,3.00,6.00,7.00,7.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6240321,6.00,6.00,4.00,7.00,7.00,11.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6240330,1.00,2.00,0.00,7.00,5.00,9.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6240348,5.00,5.00,3.00,7.00,8.00,7.13,0.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6240356,4.00,7.00,4.00,5.00,8.00,9.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6240364,2.00,2.00,1.00,2.00,4.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6240372,4.00,4.00,0.00,5.00,7.00,5.25,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6240380,8.00,3.00,8.00,4.00,7.00,9.75,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6240399,5.00,7.00,2.00,3.00,7.00,7.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6240402,8.00,5.00,3.00,7.00,9.00,9.00,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6240410,1.00,3.00,0.00,2.00,5.00,8.25,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6240429,2.00,5.00,3.00,1.00,0.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6240437,3.00,3.00,0.00,4.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6240445,4.00,4.00,1.00,6.00,6.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6240461,4.00,6.00,2.00,4.00,6.00,9.00,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6240470,3.00,4.00,2.00,4.00,7.00,8.63,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6240488,5.00,3.00,1.00,4.00,6.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6240496,5.00,6.00,3.00,2.00,6.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6240500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6240518,7.00,7.00,2.00,7.00,7.00,9.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6240534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6240542,5.00,6.00,3.00,4.00,6.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6240550,5.00,5.00,4.00,5.00,6.00,NULL,5.00,8.00,3.00,NULL,NULL,'S','N'),(25,6240569,8.00,8.00,6.00,6.00,8.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6240577,8.00,7.00,3.00,5.00,9.00,10.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6240585,3.00,2.00,2.00,3.00,6.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6240593,6.00,4.00,7.00,5.00,7.00,9.00,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6240607,4.00,3.00,3.00,5.00,5.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6240623,7.00,6.00,5.00,7.00,9.00,12.38,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6240631,4.00,6.00,1.00,5.00,6.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6240640,3.00,5.00,0.00,7.00,7.00,7.88,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6240658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6240666,3.00,4.00,3.00,6.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6240682,4.00,6.00,3.00,3.00,7.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6240704,0.00,3.00,1.00,2.00,4.00,6.38,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6240720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6240739,6.00,7.00,3.00,7.00,6.00,9.00,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6240747,5.00,4.00,2.00,0.00,7.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6240755,4.00,4.00,1.00,2.00,6.00,7.88,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6240763,7.00,5.00,3.00,2.00,7.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6240771,5.00,5.00,3.00,4.00,6.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6240780,7.00,6.00,3.00,7.00,8.00,12.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6240798,2.00,2.00,0.00,2.00,6.00,5.63,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6240801,4.00,5.00,3.00,3.00,9.00,6.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6240828,4.00,5.00,3.00,7.00,7.00,8.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6240844,4.00,5.00,0.00,4.00,4.00,0.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6240852,2.00,4.00,2.00,2.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6240860,2.00,6.00,0.00,6.00,5.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6240879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6240887,2.00,4.00,0.00,4.00,6.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6240895,6.00,5.00,3.00,3.00,6.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6240917,1.00,3.00,1.00,4.00,3.00,7.88,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6240925,3.00,4.00,0.00,3.00,5.00,8.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6240933,7.00,7.00,4.00,6.00,8.00,8.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6240941,2.00,3.00,4.00,5.00,6.00,10.50,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6240950,2.00,3.00,2.00,3.00,5.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6240976,4.00,5.00,4.00,7.00,6.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6240984,3.00,3.00,2.00,3.00,4.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6240992,4.00,5.00,2.00,6.00,7.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6241000,0.00,1.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6241018,3.00,5.00,0.00,1.00,7.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6241026,3.00,6.00,3.00,6.00,7.00,10.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6241034,2.00,3.00,1.00,1.00,5.00,5.63,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6241042,4.00,5.00,1.00,1.00,5.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6241050,6.00,7.00,5.00,6.00,8.00,10.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6241077,7.00,7.00,5.00,6.00,8.00,8.63,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6241085,2.00,4.00,3.00,2.00,4.00,7.50,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6241093,5.00,8.00,1.00,4.00,5.00,7.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6241107,8.00,6.00,4.00,7.00,6.00,NULL,0.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6241123,5.00,5.00,3.00,2.00,6.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6241131,4.00,4.00,2.00,3.00,6.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6241140,8.00,6.00,2.00,6.00,8.00,10.50,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6241158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6241166,2.00,5.00,0.00,1.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6241182,3.00,6.00,3.00,6.00,8.00,8.63,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6241190,4.00,5.00,3.00,4.00,9.00,9.00,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6241204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6241212,8.00,6.00,2.00,5.00,9.00,7.88,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6241220,4.00,8.00,3.00,3.00,9.00,10.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6241239,5.00,5.00,4.00,7.00,11.00,10.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6241247,7.00,5.00,5.00,7.00,7.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6241255,6.00,6.00,4.00,6.00,8.00,9.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6241263,4.00,4.00,2.00,6.00,10.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6241271,2.00,3.00,2.00,3.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,'S','N'),(25,6241280,5.00,6.00,5.00,8.00,10.00,10.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6241298,4.00,5.00,3.00,5.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6241301,0.00,3.00,2.00,3.00,3.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6241310,5.00,4.00,3.00,4.00,4.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6241344,3.00,3.00,0.00,3.00,8.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6241360,7.00,5.00,3.00,4.00,8.00,10.13,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6241379,4.00,5.00,3.00,7.00,9.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6241387,4.00,3.00,2.00,5.00,6.00,9.38,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6241395,3.00,5.00,1.00,3.00,10.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6241409,3.00,4.00,0.00,6.00,8.00,10.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6241425,5.00,6.00,5.00,7.00,10.00,10.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6241433,1.00,3.00,2.00,3.00,3.00,8.63,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6241441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6241468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6241476,6.00,5.00,1.00,5.00,9.00,11.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6241484,6.00,6.00,1.00,5.00,8.00,8.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6241492,2.00,3.00,1.00,2.00,6.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6241506,6.00,6.00,2.00,6.00,6.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6241514,9.00,8.00,5.00,6.00,10.00,6.75,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6241522,5.00,6.00,4.00,6.00,6.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6241530,4.00,6.00,5.00,6.00,4.00,6.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6241549,7.00,6.00,3.00,6.00,9.00,10.13,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6241557,3.00,4.00,2.00,5.00,6.00,8.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6241565,3.00,0.00,1.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6241573,8.00,8.00,5.00,6.00,10.00,11.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6241581,8.00,6.00,5.00,4.00,7.00,8.63,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6241590,3.00,4.00,2.00,5.00,5.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6241603,6.00,7.00,4.00,7.00,8.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6241611,6.00,6.00,5.00,6.00,6.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6241620,2.00,5.00,3.00,3.00,7.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6241646,5.00,5.00,5.00,6.00,9.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6241654,5.00,3.00,1.00,2.00,9.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6241670,3.00,1.00,2.00,4.00,6.00,9.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6241689,2.00,3.00,2.00,2.00,6.00,7.88,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6241697,0.00,3.00,0.00,0.00,0.00,NULL,1.00,3.00,0.00,'S',NULL,'S','N'),(25,6241700,4.00,7.00,4.00,7.00,9.00,6.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6241719,7.00,5.00,3.00,6.00,7.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6241727,8.00,5.00,6.00,7.00,8.00,10.13,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6241735,3.00,4.00,1.00,4.00,5.00,9.00,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6241743,2.00,2.00,0.00,3.00,4.00,7.13,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6241751,5.00,4.00,1.00,6.00,8.00,10.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6241760,6.00,0.00,1.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6241778,2.00,2.00,0.00,2.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6241786,5.00,3.00,0.00,6.00,5.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6241808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6241824,1.00,2.00,2.00,2.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6241832,5.00,4.00,2.00,3.00,9.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6241840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6241859,4.00,8.00,3.00,4.00,9.00,7.88,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6241867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6241883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6241891,3.00,4.00,3.00,1.00,7.00,6.38,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6241905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6241913,4.00,6.00,2.00,3.00,7.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6241921,2.00,4.00,0.00,2.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6241930,4.00,5.00,0.00,4.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6241948,2.00,0.00,0.00,2.00,6.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6241956,5.00,6.00,3.00,5.00,6.00,9.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6241964,4.00,6.00,2.00,3.00,4.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6241972,8.00,8.00,7.00,7.00,5.00,8.63,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6241980,2.00,5.00,0.00,4.00,4.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6241999,2.00,3.00,1.00,4.00,6.00,6.75,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6242006,8.00,5.00,1.00,5.00,9.00,9.38,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6242014,4.00,3.00,1.00,6.00,7.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6242022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6242030,3.00,5.00,1.00,1.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6242049,6.00,6.00,0.00,6.00,8.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6242065,4.00,5.00,4.00,4.00,9.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6242073,4.00,5.00,1.00,3.00,6.00,12.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6242081,2.00,6.00,1.00,2.00,6.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6242090,6.00,6.00,5.00,7.00,10.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6242103,3.00,3.00,1.00,6.00,5.00,4.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6242120,3.00,4.00,1.00,1.00,3.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6242138,5.00,3.00,3.00,4.00,8.00,8.63,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6242146,3.00,6.00,3.00,7.00,6.00,9.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6242154,4.00,4.00,3.00,4.00,7.00,10.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6242162,4.00,3.00,1.00,4.00,7.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6242170,6.00,4.00,2.00,4.00,7.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6242189,5.00,7.00,0.00,6.00,9.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6242219,7.00,7.00,6.00,7.00,9.00,10.13,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6242227,5.00,6.00,4.00,4.00,6.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6242235,2.00,2.00,3.00,2.00,5.00,6.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6242243,5.00,6.00,2.00,6.00,9.00,9.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6242251,1.00,4.00,0.00,0.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6242260,6.00,6.00,1.00,7.00,9.00,10.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6242278,7.00,5.00,5.00,6.00,7.00,7.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6242286,6.00,5.00,0.00,5.00,6.00,12.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6242294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6242308,7.00,5.00,5.00,8.00,8.00,9.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6242332,5.00,6.00,4.00,6.00,9.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6242340,3.00,4.00,1.00,3.00,4.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6242359,7.00,6.00,6.00,7.00,7.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6242367,8.00,7.00,6.00,7.00,10.00,10.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6242375,5.00,2.00,1.00,2.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6242383,5.00,5.00,3.00,5.00,6.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6242405,5.00,6.00,3.00,6.00,9.00,10.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6242413,4.00,5.00,1.00,5.00,9.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6242421,4.00,6.00,4.00,0.00,9.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6242430,7.00,6.00,5.00,7.00,9.00,10.13,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6242448,5.00,6.00,3.00,6.00,7.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6242472,9.00,6.00,4.00,5.00,9.00,9.38,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6242480,3.00,4.00,3.00,3.00,4.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6242499,3.00,3.00,2.00,3.00,6.00,6.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6242502,6.00,6.00,4.00,5.00,6.00,7.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6242510,8.00,7.00,4.00,6.00,8.00,10.88,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6242529,2.00,1.00,3.00,2.00,6.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6242537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6242553,6.00,7.00,3.00,4.00,9.00,5.63,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6242561,2.00,3.00,4.00,4.00,4.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6242570,3.00,5.00,2.00,4.00,3.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6242588,3.00,4.00,2.00,2.00,3.00,9.38,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6242596,8.00,5.00,5.00,7.00,9.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6242600,5.00,7.00,3.00,3.00,10.00,8.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6242618,5.00,5.00,3.00,4.00,4.00,6.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6242626,2.00,2.00,1.00,3.00,4.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6242634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6242650,7.00,5.00,4.00,5.00,6.00,9.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6242669,5.00,6.00,2.00,6.00,6.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6242677,2.00,3.00,3.00,3.00,6.00,7.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6242693,5.00,4.00,3.00,2.00,8.00,10.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6242715,2.00,5.00,2.00,2.00,4.00,4.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6242723,5.00,2.00,5.00,2.00,3.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6242731,6.00,7.00,4.00,6.00,10.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6242758,6.00,7.00,3.00,1.00,6.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6242766,5.00,6.00,3.00,3.00,7.00,9.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6242774,6.00,4.00,2.00,5.00,6.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6242782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6242790,3.00,3.00,2.00,5.00,7.00,8.25,0.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6242804,5.00,4.00,1.00,4.00,5.00,3.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6242812,2.00,2.00,2.00,1.00,3.00,4.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6242820,7.00,6.00,3.00,2.00,7.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6242839,8.00,8.00,4.00,7.00,8.00,10.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6242847,5.00,5.00,1.00,3.00,7.00,10.50,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6242863,3.00,6.00,2.00,6.00,10.00,11.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6242871,4.00,5.00,3.00,5.00,7.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6242880,6.00,4.00,5.00,7.00,6.00,7.88,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6242898,6.00,3.00,1.00,5.00,5.00,10.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6242910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6242928,5.00,7.00,0.00,5.00,8.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6242936,1.00,0.00,0.00,1.00,1.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6242952,3.00,4.00,1.00,6.00,5.00,8.63,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6242960,2.00,2.00,3.00,3.00,1.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6242987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6242995,0.00,0.00,0.00,0.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6243010,4.00,5.00,4.00,5.00,8.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6243029,5.00,4.00,2.00,2.00,5.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6243037,3.00,2.00,1.00,4.00,4.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6243045,5.00,2.00,2.00,5.00,8.00,6.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6243053,5.00,6.00,3.00,6.00,7.00,NULL,4.00,5.00,4.00,NULL,NULL,'S','N'),(25,6243061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6243070,5.00,6.00,3.00,3.00,9.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6243088,1.00,4.00,2.00,2.00,4.00,4.88,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6243096,5.00,5.00,4.00,5.00,7.00,9.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6243100,4.00,4.00,0.00,3.00,8.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6243126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6243134,2.00,3.00,2.00,3.00,4.00,4.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6243142,7.00,6.00,1.00,6.00,9.00,9.38,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6243150,6.00,6.00,4.00,1.00,8.00,9.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6243169,7.00,6.00,5.00,7.00,9.00,13.50,1.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6243185,3.00,4.00,3.00,3.00,8.00,9.75,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6243193,2.00,3.00,0.00,7.00,7.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6243207,6.00,7.00,3.00,5.00,5.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6243215,3.00,4.00,4.00,3.00,7.00,8.63,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6243223,2.00,4.00,3.00,2.00,6.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6243231,6.00,6.00,6.00,6.00,8.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6243240,4.00,4.00,0.00,1.00,6.00,9.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6243258,6.00,7.00,4.00,6.00,7.00,7.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6243266,4.00,7.00,3.00,6.00,7.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6243274,4.00,5.00,3.00,2.00,5.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6243282,2.00,4.00,1.00,3.00,7.00,7.88,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6243304,3.00,0.00,1.00,0.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6243320,5.00,3.00,2.00,4.00,1.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6243339,4.00,3.00,3.00,6.00,8.00,11.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6243347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6243355,4.00,8.00,4.00,4.00,8.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6243363,2.00,3.00,0.00,1.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6243371,2.00,4.00,1.00,4.00,6.00,7.88,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6243380,2.00,4.00,4.00,4.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,'S','N'),(25,6243398,6.00,6.00,1.00,0.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6243401,4.00,6.00,5.00,5.00,6.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6243410,2.00,3.00,1.00,2.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6243428,4.00,4.00,4.00,4.00,6.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6243436,4.00,5.00,3.00,3.00,6.00,7.88,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6243452,3.00,6.00,2.00,3.00,6.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6243487,7.00,8.00,3.00,5.00,7.00,9.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6243495,6.00,6.00,2.00,7.00,8.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6243509,2.00,3.00,2.00,2.00,4.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6243517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6243533,7.00,6.00,4.00,5.00,6.00,9.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6243550,7.00,7.00,4.00,6.00,10.00,10.13,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6243568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6243576,3.00,5.00,3.00,1.00,6.00,5.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6243592,7.00,5.00,4.00,5.00,6.00,9.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6243606,7.00,4.00,3.00,5.00,7.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6243622,8.00,7.00,9.00,7.00,9.00,9.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6243630,2.00,6.00,3.00,7.00,9.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6243649,4.00,3.00,0.00,4.00,4.00,9.75,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6243657,5.00,7.00,9.00,7.00,9.00,11.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6243665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6243673,4.00,5.00,1.00,5.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6243703,5.00,5.00,0.00,3.00,8.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6243711,6.00,7.00,6.00,7.00,6.00,6.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6243720,3.00,1.00,1.00,4.00,5.00,7.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6243746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6243762,5.00,5.00,3.00,5.00,5.00,9.38,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6243770,6.00,6.00,3.00,7.00,5.00,8.63,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6243789,6.00,1.00,3.00,5.00,7.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6243797,6.00,6.00,4.00,6.00,10.00,8.63,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6243800,3.00,5.00,2.00,4.00,6.00,7.50,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6243819,4.00,2.00,1.00,6.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,'S','N'),(25,6243827,3.00,6.00,1.00,4.00,4.00,7.88,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6243851,6.00,4.00,1.00,6.00,9.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6243860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6243878,1.00,4.00,2.00,3.00,1.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6243886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6243894,7.00,5.00,3.00,6.00,7.00,8.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6243916,5.00,4.00,2.00,5.00,5.00,10.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6243924,4.00,7.00,4.00,7.00,9.00,11.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6243932,8.00,8.00,2.00,7.00,6.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6243940,4.00,5.00,3.00,4.00,3.00,8.25,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6243959,2.00,3.00,2.00,5.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6243967,6.00,6.00,3.00,3.00,6.00,7.13,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6243983,4.00,5.00,3.00,3.00,6.00,6.75,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6244009,4.00,3.00,2.00,3.00,6.00,7.88,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6244017,3.00,4.00,0.00,3.00,6.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6244025,5.00,6.00,5.00,5.00,8.00,7.88,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6244041,4.00,0.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6244050,4.00,5.00,2.00,5.00,5.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6244092,3.00,2.00,0.00,2.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6244106,5.00,4.00,3.00,6.00,7.00,7.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6244122,2.00,5.00,0.00,5.00,4.00,7.13,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6244149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6244165,1.00,4.00,2.00,6.00,6.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6244173,6.00,8.00,4.00,3.00,8.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6244181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6244190,4.00,5.00,3.00,1.00,4.00,7.13,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6244203,1.00,6.00,3.00,4.00,5.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6244211,3.00,4.00,0.00,2.00,4.00,5.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6244220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6244238,4.00,7.00,3.00,6.00,6.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6244262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6244270,0.00,5.00,0.00,1.00,5.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6244297,4.00,6.00,1.00,5.00,9.00,12.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6244319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6244327,2.00,4.00,0.00,2.00,6.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6244343,2.00,3.00,0.00,2.00,3.00,8.63,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6244351,1.00,5.00,4.00,2.00,6.00,7.13,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6244378,3.00,4.00,1.00,5.00,7.00,5.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6244386,6.00,6.00,2.00,5.00,8.00,9.38,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6244394,4.00,5.00,2.00,2.00,6.00,7.13,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6244424,2.00,3.00,2.00,0.00,7.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6244432,7.00,7.00,5.00,2.00,7.00,7.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6244467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6244475,2.00,5.00,2.00,5.00,7.00,10.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6244483,5.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6244491,9.00,6.00,7.00,6.00,8.00,9.38,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6244505,4.00,5.00,2.00,5.00,8.00,9.75,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6244513,4.00,7.00,2.00,6.00,8.00,10.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6244521,2.00,5.00,2.00,2.00,9.00,7.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6244548,4.00,5.00,0.00,3.00,7.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6244556,3.00,2.00,1.00,4.00,4.00,9.38,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6244564,7.00,6.00,6.00,4.00,8.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6244580,7.00,5.00,3.00,6.00,10.00,10.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6244599,8.00,5.00,4.00,6.00,10.00,9.75,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6244610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6244645,7.00,3.00,1.00,6.00,7.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6244653,7.00,7.00,4.00,4.00,6.00,10.88,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6244661,5.00,6.00,0.00,6.00,6.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6244670,3.00,3.00,2.00,2.00,6.00,7.50,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6244696,3.00,5.00,3.00,3.00,6.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6244700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6244718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6244734,8.00,7.00,4.00,6.00,9.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6244742,6.00,5.00,1.00,5.00,8.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6244769,4.00,5.00,3.00,5.00,8.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6244777,7.00,5.00,3.00,5.00,9.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6244785,7.00,7.00,4.00,5.00,6.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6244807,3.00,2.00,3.00,2.00,2.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6244815,3.00,7.00,0.00,4.00,8.00,NULL,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6244823,5.00,2.00,3.00,3.00,6.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6244831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6244840,1.00,6.00,0.00,3.00,6.00,7.13,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6244866,4.00,5.00,1.00,2.00,5.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6244874,7.00,5.00,3.00,5.00,8.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6244882,3.00,6.00,4.00,4.00,7.00,8.63,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6244890,6.00,4.00,1.00,5.00,8.00,6.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6244904,3.00,4.00,2.00,3.00,5.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6244912,2.00,4.00,0.00,2.00,9.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6244920,4.00,4.00,1.00,6.00,7.00,9.38,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6244939,4.00,5.00,1.00,3.00,6.00,9.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6244955,5.00,4.00,3.00,3.00,8.00,9.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6244963,7.00,6.00,2.00,5.00,9.00,9.75,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6244971,3.00,4.00,3.00,1.00,5.00,7.13,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6244980,9.00,7.00,3.00,7.00,10.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6244998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6245005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6245013,8.00,6.00,4.00,7.00,8.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6245021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6245048,3.00,2.00,2.00,3.00,5.00,8.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6245072,1.00,4.00,2.00,5.00,4.00,5.63,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6245099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6245102,7.00,8.00,5.00,4.00,9.00,9.75,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6245129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6245137,5.00,6.00,0.00,7.00,7.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6245145,2.00,4.00,3.00,5.00,5.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6245153,5.00,7.00,2.00,4.00,4.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6245170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6245188,2.00,4.00,1.00,4.00,5.00,8.25,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6245196,8.00,5.00,1.00,7.00,7.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6245200,3.00,3.00,2.00,3.00,8.00,8.25,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6245218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6245226,5.00,2.00,2.00,4.00,7.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6245234,3.00,2.00,3.00,2.00,3.00,6.75,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6245269,3.00,5.00,1.00,3.00,6.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6245277,2.00,2.00,0.00,3.00,4.00,NULL,4.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6245285,4.00,5.00,1.00,5.00,7.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6245293,5.00,1.00,2.00,4.00,7.00,9.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6245307,6.00,8.00,6.00,6.00,10.00,10.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6245315,0.00,6.00,2.00,2.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6245323,0.00,2.00,0.00,1.00,4.00,5.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6245340,4.00,4.00,2.00,4.00,5.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6245366,4.00,5.00,1.00,7.00,8.00,9.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6245374,3.00,4.00,3.00,5.00,6.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6245382,4.00,5.00,2.00,0.00,6.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6245412,2.00,3.00,0.00,3.00,6.00,6.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6245420,2.00,4.00,3.00,5.00,7.00,4.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6245447,5.00,3.00,1.00,6.00,5.00,12.00,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6245455,2.00,4.00,1.00,1.00,6.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6245463,7.00,5.00,2.00,7.00,9.00,10.88,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6245471,4.00,5.00,0.00,7.00,8.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6245480,2.00,4.00,1.00,3.00,5.00,5.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6245498,4.00,4.00,1.00,3.00,3.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6245501,8.00,7.00,4.00,6.00,9.00,9.38,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6245528,5.00,7.00,0.00,5.00,8.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6245544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6245552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6245560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6245579,5.00,7.00,2.00,7.00,7.00,6.38,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6245587,6.00,8.00,2.00,6.00,4.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6245595,3.00,5.00,2.00,2.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6245609,5.00,5.00,1.00,6.00,5.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6245617,2.00,6.00,0.00,3.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6245625,8.00,5.00,2.00,6.00,7.00,10.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6245650,5.00,3.00,3.00,6.00,6.00,10.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6245668,5.00,4.00,2.00,5.00,9.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6245684,4.00,5.00,1.00,7.00,6.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6245692,2.00,3.00,2.00,2.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6245706,6.00,6.00,4.00,4.00,8.00,8.25,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6245714,6.00,0.00,5.00,4.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6245722,6.00,7.00,3.00,6.00,9.00,6.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6245749,3.00,1.00,1.00,2.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6245757,6.00,6.00,1.00,2.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6245765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6245773,2.00,2.00,2.00,1.00,3.00,3.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6245781,4.00,3.00,1.00,4.00,5.00,7.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6245790,4.00,4.00,1.00,6.00,5.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6245811,2.00,4.00,1.00,4.00,7.00,6.75,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6245820,5.00,4.00,3.00,7.00,9.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6245838,2.00,5.00,3.00,2.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6245862,5.00,5.00,1.00,4.00,6.00,8.63,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6245870,3.00,4.00,0.00,1.00,4.00,6.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6245897,3.00,4.00,1.00,2.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6245900,4.00,5.00,0.00,4.00,6.00,8.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6245919,8.00,8.00,3.00,7.00,8.00,8.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6245927,3.00,5.00,5.00,5.00,8.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6245935,5.00,6.00,5.00,7.00,9.00,8.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6245943,3.00,2.00,2.00,6.00,7.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6245960,1.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6245978,6.00,5.00,3.00,7.00,8.00,NULL,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6245986,4.00,6.00,3.00,3.00,7.00,5.25,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6245994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6246001,4.00,4.00,1.00,4.00,6.00,7.88,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6246010,7.00,4.00,2.00,3.00,4.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6246028,4.00,4.00,3.00,4.00,3.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6246036,6.00,8.00,5.00,5.00,8.00,7.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6246044,3.00,3.00,1.00,3.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6246060,4.00,4.00,1.00,4.00,8.00,8.25,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6246079,4.00,4.00,5.00,3.00,7.00,5.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6246087,2.00,3.00,2.00,1.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6246095,4.00,7.00,3.00,7.00,8.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6246109,3.00,4.00,2.00,1.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6246117,5.00,5.00,1.00,4.00,6.00,9.38,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6246125,5.00,0.00,3.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6246133,2.00,2.00,0.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6246141,7.00,6.00,2.00,3.00,5.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6246150,6.00,4.00,6.00,4.00,3.00,8.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6246168,1.00,2.00,1.00,1.00,5.00,5.25,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6246176,3.00,6.00,2.00,5.00,7.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6246184,6.00,5.00,3.00,7.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6246192,5.00,5.00,6.00,5.00,8.00,8.63,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6246206,6.00,4.00,4.00,2.00,5.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6246214,7.00,7.00,0.00,5.00,7.00,8.63,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6246222,4.00,5.00,4.00,4.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6246230,5.00,2.00,2.00,2.00,3.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6246249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6246257,5.00,6.00,4.00,6.00,7.00,9.75,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6246281,3.00,5.00,2.00,3.00,5.00,6.38,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6246290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6246303,1.00,5.00,0.00,6.00,3.00,7.88,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6246311,2.00,3.00,1.00,4.00,7.00,7.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6246320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6246346,1.00,2.00,1.00,2.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6246362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6246370,1.00,2.00,2.00,2.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6246397,4.00,4.00,1.00,5.00,6.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6246400,7.00,5.00,4.00,6.00,9.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6246427,3.00,4.00,2.00,2.00,8.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6246435,8.00,6.00,5.00,6.00,8.00,10.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6246443,9.00,7.00,6.00,7.00,9.00,10.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6246460,6.00,7.00,1.00,7.00,8.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6246478,2.00,3.00,1.00,4.00,7.00,10.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6246486,4.00,5.00,2.00,5.00,5.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6246494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6246508,6.00,5.00,3.00,3.00,9.00,6.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6246524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6246532,3.00,6.00,0.00,6.00,10.00,9.75,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6246540,3.00,5.00,2.00,4.00,8.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6246559,3.00,5.00,3.00,6.00,6.00,7.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6246575,6.00,6.00,2.00,6.00,8.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6246583,4.00,4.00,3.00,5.00,8.00,7.50,1.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6246591,4.00,6.00,2.00,4.00,8.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6246605,4.00,1.00,2.00,5.00,6.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6246613,4.00,6.00,1.00,6.00,5.00,9.38,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6246621,4.00,5.00,2.00,5.00,7.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6246630,5.00,5.00,3.00,6.00,4.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6246648,5.00,4.00,1.00,5.00,9.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6246656,6.00,7.00,4.00,7.00,10.00,8.63,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6246672,6.00,7.00,3.00,4.00,8.00,10.13,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6246680,7.00,6.00,6.00,7.00,10.00,13.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6246699,8.00,6.00,2.00,7.00,7.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6246702,4.00,4.00,3.00,6.00,7.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6246710,3.00,5.00,2.00,3.00,6.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6246729,4.00,6.00,3.00,6.00,6.00,11.63,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6246737,3.00,4.00,5.00,4.00,5.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6246745,4.00,6.00,2.00,3.00,7.00,7.88,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6246753,3.00,4.00,3.00,6.00,6.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'S'),(25,6246761,5.00,1.00,5.00,6.00,5.00,5.25,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6246770,4.00,5.00,3.00,4.00,8.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6246788,7.00,6.00,3.00,6.00,9.00,7.13,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6246796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6246818,3.00,5.00,3.00,4.00,5.00,5.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6246834,3.00,6.00,1.00,4.00,10.00,9.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6246869,4.00,4.00,3.00,3.00,5.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6246877,8.00,5.00,9.00,6.00,8.00,7.88,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6246885,1.00,3.00,2.00,3.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6246907,1.00,7.00,1.00,6.00,8.00,11.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6246915,3.00,2.00,1.00,3.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6246931,7.00,5.00,2.00,4.00,8.00,8.25,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6246940,5.00,5.00,3.00,7.00,8.00,9.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6246958,3.00,4.00,4.00,3.00,4.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6246966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6246974,3.00,2.00,2.00,3.00,6.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6246990,2.00,5.00,2.00,6.00,7.00,11.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6247008,6.00,7.00,2.00,6.00,8.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6247016,5.00,5.00,3.00,2.00,4.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6247024,6.00,4.00,2.00,5.00,6.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6247032,8.00,7.00,2.00,5.00,9.00,10.50,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6247040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6247059,7.00,5.00,3.00,6.00,7.00,9.00,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6247067,4.00,6.00,2.00,4.00,7.00,10.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6247075,4.00,3.00,1.00,2.00,6.00,6.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6247083,4.00,4.00,3.00,2.00,6.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6247091,2.00,3.00,1.00,4.00,5.00,7.50,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6247105,5.00,8.00,4.00,5.00,8.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6247113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6247121,3.00,4.00,2.00,0.00,7.00,9.38,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6247130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6247148,3.00,2.00,1.00,5.00,7.00,9.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6247156,5.00,5.00,0.00,4.00,6.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6247172,4.00,7.00,3.00,2.00,8.00,9.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6247180,3.00,3.00,0.00,2.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6247199,1.00,3.00,0.00,4.00,5.00,9.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6247202,7.00,5.00,6.00,7.00,5.00,7.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6247210,1.00,4.00,1.00,4.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6247229,1.00,3.00,1.00,1.00,6.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6247237,5.00,6.00,4.00,6.00,8.00,8.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6247245,4.00,4.00,0.00,4.00,5.00,8.25,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6247253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6247261,3.00,5.00,4.00,5.00,6.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6247270,7.00,6.00,4.00,6.00,7.00,9.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6247288,5.00,7.00,4.00,3.00,6.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6247296,8.00,5.00,4.00,5.00,10.00,11.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6247300,6.00,5.00,0.00,6.00,5.00,6.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6247318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6247326,4.00,6.00,3.00,5.00,9.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6247342,5.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6247350,5.00,4.00,2.00,4.00,7.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6247369,7.00,6.00,7.00,7.00,8.00,7.13,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6247377,6.00,7.00,5.00,3.00,8.00,6.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6247385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6247393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6247407,7.00,4.00,5.00,6.00,10.00,9.00,1.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6247415,6.00,4.00,4.00,4.00,6.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6247423,3.00,6.00,2.00,7.00,8.00,10.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6247431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6247440,9.00,7.00,8.00,7.00,8.00,10.13,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6247458,4.00,3.00,0.00,3.00,7.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6247474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6247520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6247539,3.00,4.00,1.00,5.00,7.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6247547,5.00,5.00,4.00,2.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6247563,2.00,2.00,1.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6247571,3.00,1.00,0.00,4.00,3.00,9.38,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6247580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6247598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6247601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6247628,2.00,5.00,0.00,2.00,9.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6247636,1.00,4.00,0.00,4.00,7.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6247652,7.00,8.00,3.00,6.00,9.00,8.63,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6247695,4.00,5.00,1.00,1.00,6.00,10.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6247709,1.00,4.00,2.00,2.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6247741,5.00,6.00,0.00,5.00,4.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6247768,5.00,4.00,2.00,4.00,5.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6247776,2.00,3.00,2.00,2.00,6.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6247784,5.00,6.00,2.00,4.00,7.00,6.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6247806,2.00,5.00,2.00,3.00,5.00,6.00,2.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6247814,5.00,6.00,2.00,5.00,8.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6247822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6247849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6247857,6.00,4.00,3.00,5.00,7.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6247865,4.00,6.00,3.00,5.00,4.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6247873,3.00,6.00,1.00,2.00,9.00,10.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6247881,7.00,6.00,2.00,7.00,8.00,11.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6247890,7.00,7.00,5.00,5.00,9.00,6.38,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6247911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6247920,4.00,5.00,0.00,1.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6247938,4.00,4.00,2.00,6.00,8.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6247946,1.00,3.00,2.00,5.00,6.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6247954,5.00,6.00,3.00,4.00,7.00,7.13,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6247962,2.00,4.00,4.00,6.00,7.00,10.13,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6247970,2.00,5.00,2.00,4.00,7.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6247989,3.00,3.00,2.00,6.00,8.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6247997,3.00,3.00,3.00,4.00,9.00,7.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6248004,3.00,5.00,2.00,4.00,5.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6248020,5.00,5.00,3.00,5.00,7.00,5.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6248047,1.00,4.00,1.00,5.00,4.00,8.63,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6248055,3.00,5.00,4.00,2.00,4.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6248063,3.00,3.00,3.00,7.00,5.00,4.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6248071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6248080,2.00,4.00,2.00,3.00,3.00,6.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6248098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6248101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6248110,3.00,0.00,1.00,1.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6248136,3.00,6.00,3.00,3.00,6.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6248152,4.00,2.00,2.00,3.00,4.00,8.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6248160,2.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6248179,1.00,3.00,2.00,3.00,3.00,8.63,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6248187,9.00,6.00,6.00,7.00,8.00,8.63,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6248195,5.00,4.00,1.00,3.00,8.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6248209,2.00,4.00,2.00,5.00,5.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6248225,5.00,6.00,3.00,6.00,8.00,11.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6248233,3.00,3.00,1.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6248241,8.00,6.00,3.00,2.00,4.00,7.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6248250,2.00,7.00,1.00,3.00,6.00,6.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6248268,5.00,4.00,3.00,7.00,9.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6248276,1.00,3.00,1.00,2.00,5.00,5.63,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6248284,4.00,5.00,0.00,2.00,7.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6248306,1.00,2.00,3.00,4.00,1.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6248314,2.00,4.00,2.00,6.00,6.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6248322,8.00,6.00,1.00,6.00,9.00,5.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6248373,5.00,4.00,2.00,1.00,5.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6248381,1.00,4.00,1.00,4.00,6.00,9.38,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6248390,3.00,4.00,0.00,5.00,5.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6248403,3.00,3.00,0.00,2.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6248420,3.00,3.00,3.00,2.00,8.00,8.63,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6248438,1.00,2.00,0.00,4.00,6.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6248446,4.00,4.00,1.00,6.00,5.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6248454,8.00,8.00,4.00,4.00,8.00,7.88,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6248462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6248470,3.00,4.00,2.00,1.00,7.00,5.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6248489,3.00,4.00,5.00,5.00,8.00,6.38,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6248497,6.00,3.00,3.00,2.00,5.00,7.50,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6248500,3.00,1.00,3.00,3.00,6.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6248519,2.00,3.00,2.00,3.00,3.00,7.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6248527,3.00,7.00,2.00,3.00,5.00,8.63,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6248535,6.00,5.00,6.00,5.00,7.00,8.63,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6248543,0.00,2.00,2.00,2.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6248560,2.00,2.00,1.00,4.00,4.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6248578,5.00,7.00,3.00,6.00,8.00,10.88,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6248594,3.00,3.00,3.00,5.00,6.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6248608,3.00,4.00,2.00,2.00,6.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6248616,5.00,7.00,3.00,5.00,7.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6248632,5.00,5.00,2.00,3.00,5.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6248640,4.00,3.00,2.00,3.00,9.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6248659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6248667,3.00,4.00,4.00,3.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6248675,5.00,7.00,6.00,6.00,6.00,11.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6248683,4.00,3.00,3.00,4.00,4.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6248691,5.00,4.00,3.00,5.00,5.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6248713,6.00,5.00,3.00,5.00,6.00,8.63,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6248730,4.00,5.00,4.00,5.00,5.00,9.38,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6248748,3.00,4.00,1.00,4.00,7.00,6.75,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6248756,2.00,4.00,1.00,6.00,5.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6248764,2.00,3.00,3.00,5.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6248772,5.00,4.00,0.00,4.00,6.00,8.25,1.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6248780,4.00,6.00,4.00,2.00,7.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6248799,8.00,6.00,2.00,6.00,9.00,10.13,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6248802,4.00,5.00,2.00,4.00,7.00,7.50,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6248810,8.00,7.00,6.00,5.00,9.00,12.38,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6248829,7.00,8.00,2.00,4.00,10.00,9.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6248845,4.00,5.00,2.00,6.00,3.00,7.88,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6248853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6248870,7.00,7.00,6.00,5.00,8.00,8.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6248888,4.00,4.00,1.00,3.00,8.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6248896,3.00,5.00,0.00,4.00,6.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6248900,3.00,6.00,4.00,1.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6248918,4.00,6.00,2.00,3.00,6.00,6.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6248926,7.00,7.00,4.00,7.00,9.00,7.88,2.00,6.00,6.00,NULL,NULL,NULL,'S'),(25,6248934,2.00,8.00,2.00,2.00,7.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6248942,0.00,5.00,2.00,2.00,7.00,5.63,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6248950,7.00,4.00,3.00,4.00,8.00,10.50,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6248977,3.00,4.00,1.00,5.00,5.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6248985,1.00,2.00,0.00,1.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6248993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6249000,2.00,4.00,2.00,5.00,5.00,6.38,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6249019,2.00,3.00,3.00,4.00,4.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6249027,6.00,6.00,3.00,4.00,10.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6249035,5.00,5.00,2.00,4.00,8.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6249051,2.00,3.00,3.00,4.00,6.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6249060,4.00,6.00,2.00,6.00,9.00,NULL,0.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6249078,3.00,5.00,3.00,7.00,4.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6249086,3.00,6.00,4.00,7.00,8.00,11.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6249094,4.00,5.00,4.00,4.00,7.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6249108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6249116,6.00,5.00,3.00,3.00,9.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6249159,3.00,1.00,4.00,2.00,5.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6249167,5.00,4.00,0.00,0.00,2.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6249175,7.00,5.00,6.00,6.00,8.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6249183,7.00,6.00,3.00,3.00,8.00,7.50,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6249191,4.00,4.00,0.00,5.00,5.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6249205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6249213,3.00,3.00,3.00,6.00,8.00,10.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6249221,5.00,7.00,4.00,6.00,5.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6249230,3.00,4.00,4.00,4.00,6.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6249248,6.00,6.00,1.00,6.00,5.00,6.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6249256,7.00,6.00,3.00,2.00,7.00,10.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6249264,2.00,2.00,2.00,5.00,2.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6249272,9.00,8.00,7.00,6.00,11.00,9.75,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6249310,5.00,4.00,3.00,4.00,4.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6249329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6249337,2.00,4.00,0.00,3.00,7.00,NULL,2.00,2.00,0.00,NULL,NULL,'S','N'),(25,6249345,8.00,6.00,4.00,5.00,9.00,8.63,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6249353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6249370,5.00,5.00,1.00,4.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6249388,8.00,6.00,5.00,7.00,8.00,8.63,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6249396,2.00,5.00,3.00,3.00,4.00,9.00,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6249400,2.00,5.00,2.00,4.00,7.00,8.63,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6249418,5.00,4.00,5.00,7.00,6.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6249426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6249442,6.00,5.00,4.00,6.00,7.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6249469,3.00,6.00,1.00,3.00,6.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6249477,4.00,3.00,1.00,2.00,5.00,6.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6249493,4.00,6.00,7.00,6.00,7.00,NULL,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6249507,4.00,3.00,2.00,6.00,4.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(25,6249515,3.00,3.00,2.00,5.00,5.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6249523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6249531,7.00,6.00,4.00,6.00,8.00,11.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6249540,5.00,4.00,1.00,6.00,9.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6249558,4.00,3.00,2.00,7.00,8.00,0.00,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6249566,2.00,2.00,2.00,5.00,4.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6249574,6.00,5.00,4.00,5.00,8.00,7.88,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6249582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6249590,7.00,6.00,1.00,5.00,5.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6249604,1.00,5.00,1.00,3.00,3.00,9.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6249612,3.00,6.00,2.00,4.00,4.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6249639,4.00,4.00,3.00,4.00,3.00,7.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6249647,7.00,5.00,2.00,5.00,6.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6249655,5.00,5.00,1.00,3.00,4.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6249663,8.00,4.00,4.00,2.00,8.00,9.00,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6249671,4.00,4.00,0.00,4.00,6.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6249680,8.00,7.00,4.00,6.00,9.00,0.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6249698,6.00,8.00,3.00,7.00,9.00,10.88,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6249701,3.00,3.00,0.00,4.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6249710,5.00,5.00,1.00,4.00,5.00,7.50,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6249736,7.00,4.00,3.00,5.00,7.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6249744,3.00,3.00,0.00,4.00,6.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6249752,4.00,5.00,2.00,3.00,7.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6249760,2.00,4.00,1.00,2.00,5.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6249787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6249795,4.00,5.00,0.00,1.00,5.00,6.75,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6249809,5.00,5.00,0.00,5.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6249817,1.00,3.00,1.00,3.00,3.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6249825,5.00,6.00,4.00,6.00,7.00,7.13,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6249833,6.00,4.00,4.00,5.00,7.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6249841,6.00,7.00,3.00,6.00,10.00,9.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6249850,4.00,4.00,2.00,2.00,3.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6249868,2.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6249892,3.00,6.00,3.00,7.00,9.00,12.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6249906,6.00,5.00,5.00,7.00,8.00,10.13,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6249922,2.00,1.00,3.00,1.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6249930,6.00,6.00,4.00,6.00,8.00,0.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6249949,2.00,2.00,1.00,1.00,3.00,7.13,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6249973,3.00,8.00,4.00,5.00,6.00,10.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6249981,4.00,8.00,5.00,6.00,9.00,8.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6249990,0.00,2.00,0.00,0.00,0.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6250009,5.00,7.00,4.00,6.00,8.00,10.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6250017,4.00,5.00,2.00,1.00,7.00,9.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6250025,2.00,1.00,2.00,4.00,3.00,5.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6250033,4.00,5.00,1.00,4.00,4.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6250041,2.00,5.00,1.00,3.00,4.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6250050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6250068,7.00,4.00,2.00,4.00,6.00,7.13,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6250076,3.00,4.00,0.00,7.00,5.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6250084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6250092,6.00,4.00,3.00,5.00,6.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6250106,5.00,3.00,2.00,3.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6250114,3.00,5.00,0.00,3.00,6.00,8.63,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6250122,4.00,5.00,1.00,5.00,5.00,7.88,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6250149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6250173,2.00,4.00,1.00,2.00,5.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6250181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6250190,5.00,6.00,5.00,6.00,4.00,11.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6250203,5.00,5.00,2.00,4.00,8.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6250211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6250238,6.00,7.00,2.00,7.00,7.00,10.88,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6250246,5.00,7.00,2.00,5.00,8.00,9.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6250254,4.00,6.00,2.00,3.00,6.00,6.75,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6250262,4.00,6.00,3.00,3.00,3.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6250289,7.00,7.00,3.00,6.00,5.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6250297,4.00,6.00,5.00,6.00,8.00,10.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6250335,1.00,2.00,0.00,1.00,3.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6250360,5.00,6.00,5.00,6.00,7.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6250378,8.00,5.00,2.00,5.00,8.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6250386,7.00,6.00,3.00,5.00,5.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6250394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6250408,2.00,3.00,3.00,4.00,5.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6250416,3.00,3.00,2.00,2.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6250432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6250440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6250475,7.00,6.00,5.00,7.00,8.00,8.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6250483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6250505,3.00,5.00,4.00,6.00,7.00,5.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6250513,2.00,5.00,0.00,3.00,4.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6250521,5.00,8.00,2.00,6.00,9.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6250548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6250580,6.00,6.00,3.00,5.00,8.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6250602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6250610,3.00,4.00,2.00,5.00,7.00,9.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6250629,9.00,7.00,8.00,6.00,9.00,10.13,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6250637,3.00,5.00,1.00,5.00,8.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6250645,2.00,3.00,2.00,3.00,1.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6250653,2.00,4.00,0.00,4.00,6.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6250661,8.00,7.00,2.00,4.00,7.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6250670,3.00,4.00,2.00,1.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6250688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6250696,9.00,7.00,5.00,4.00,9.00,7.88,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6250700,5.00,5.00,2.00,2.00,7.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6250718,3.00,4.00,5.00,4.00,7.00,10.13,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6250726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6250734,2.00,6.00,3.00,5.00,8.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6250769,6.00,5.00,4.00,6.00,7.00,6.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6250777,5.00,2.00,3.00,3.00,6.00,9.38,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6250785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6250793,9.00,4.00,4.00,6.00,7.00,9.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6250807,4.00,6.00,3.00,4.00,5.00,6.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6250815,0.00,2.00,0.00,0.00,0.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6250823,0.00,4.00,1.00,0.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6250831,3.00,6.00,4.00,5.00,8.00,10.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6250840,1.00,2.00,2.00,1.00,5.00,6.75,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6250858,3.00,6.00,1.00,6.00,7.00,7.50,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6250866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6250874,6.00,7.00,4.00,7.00,8.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6250882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6250912,3.00,6.00,1.00,4.00,9.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6250920,5.00,6.00,3.00,6.00,4.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6250939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6250955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6250963,6.00,5.00,2.00,4.00,6.00,8.63,1.00,1.00,8.00,NULL,NULL,NULL,'N'),(25,6250971,4.00,5.00,2.00,4.00,3.00,5.63,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6250980,2.00,4.00,1.00,0.00,3.00,6.75,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6250998,5.00,4.00,2.00,4.00,7.00,6.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6251005,2.00,4.00,3.00,2.00,4.00,7.13,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6251013,3.00,4.00,1.00,4.00,5.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6251021,4.00,4.00,2.00,2.00,6.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6251030,5.00,5.00,2.00,5.00,5.00,7.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6251056,3.00,5.00,4.00,1.00,6.00,10.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6251064,3.00,6.00,1.00,7.00,8.00,10.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6251072,3.00,6.00,0.00,7.00,7.00,9.75,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6251080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6251099,2.00,5.00,2.00,3.00,5.00,7.13,5.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6251102,5.00,6.00,4.00,5.00,8.00,7.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6251110,7.00,8.00,7.00,6.00,11.00,11.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6251129,1.00,4.00,1.00,3.00,4.00,7.50,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6251137,6.00,6.00,0.00,6.00,7.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6251153,4.00,3.00,1.00,3.00,6.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6251161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6251170,4.00,7.00,0.00,6.00,7.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6251196,4.00,6.00,1.00,1.00,9.00,9.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6251200,6.00,5.00,2.00,4.00,8.00,10.13,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6251218,8.00,6.00,5.00,7.00,7.00,9.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6251226,8.00,7.00,7.00,6.00,8.00,9.38,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6251234,3.00,3.00,0.00,4.00,1.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6251242,3.00,2.00,2.00,3.00,5.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6251250,5.00,4.00,1.00,4.00,6.00,8.63,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6251277,1.00,2.00,2.00,2.00,3.00,6.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6251315,9.00,7.00,2.00,6.00,9.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6251323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6251358,1.00,5.00,2.00,4.00,5.00,9.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6251366,3.00,4.00,4.00,3.00,9.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6251374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6251382,4.00,5.00,3.00,6.00,7.00,6.75,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6251390,0.00,6.00,1.00,5.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6251404,5.00,6.00,2.00,6.00,9.00,6.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6251420,3.00,2.00,1.00,0.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6251439,1.00,2.00,0.00,2.00,4.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6251447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6251455,6.00,7.00,3.00,7.00,7.00,8.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6251463,6.00,4.00,4.00,3.00,10.00,10.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6251471,4.00,4.00,4.00,6.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6251480,3.00,5.00,2.00,3.00,6.00,10.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6251498,8.00,7.00,4.00,6.00,6.00,6.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6251501,9.00,7.00,7.00,7.00,9.00,7.13,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6251510,6.00,6.00,4.00,7.00,9.00,6.38,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6251528,6.00,7.00,2.00,2.00,9.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6251536,7.00,7.00,5.00,4.00,10.00,12.38,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6251544,1.00,7.00,3.00,3.00,6.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6251560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6251579,7.00,5.00,4.00,5.00,7.00,8.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6251587,3.00,4.00,2.00,2.00,8.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6251595,8.00,7.00,2.00,2.00,8.00,10.13,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6251609,6.00,8.00,0.00,6.00,9.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6251625,6.00,5.00,3.00,4.00,4.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6251633,3.00,3.00,3.00,5.00,5.00,9.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6251641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6251650,4.00,4.00,3.00,3.00,4.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6251668,3.00,3.00,3.00,3.00,5.00,10.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6251676,4.00,5.00,0.00,3.00,6.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6251684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6251692,4.00,6.00,2.00,3.00,7.00,7.88,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6251706,8.00,7.00,4.00,7.00,9.00,10.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6251714,3.00,5.00,2.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6251722,5.00,5.00,1.00,6.00,8.00,9.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6251730,2.00,6.00,2.00,1.00,7.00,6.75,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6251749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6251757,6.00,6.00,1.00,5.00,7.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6251765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6251781,2.00,7.00,1.00,4.00,7.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6251790,3.00,7.00,2.00,4.00,9.00,9.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6251803,7.00,7.00,5.00,6.00,7.00,10.50,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6251811,5.00,4.00,1.00,2.00,7.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6251820,3.00,6.00,1.00,2.00,9.00,NULL,2.00,8.00,0.00,NULL,NULL,NULL,'N'),(25,6251838,4.00,1.00,2.00,4.00,6.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6251862,3.00,4.00,0.00,6.00,5.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6251870,2.00,3.00,1.00,1.00,4.00,5.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6251889,5.00,4.00,1.00,4.00,6.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6251897,3.00,3.00,3.00,4.00,4.00,5.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6251900,3.00,3.00,0.00,3.00,7.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6251919,4.00,4.00,3.00,7.00,7.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6251927,5.00,5.00,2.00,4.00,7.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6251935,2.00,4.00,2.00,3.00,5.00,4.88,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6251943,7.00,5.00,2.00,4.00,7.00,NULL,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6251951,4.00,5.00,0.00,6.00,4.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6251960,8.00,5.00,4.00,5.00,8.00,9.38,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6251986,2.00,3.00,2.00,1.00,4.00,7.13,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6251994,2.00,2.00,2.00,1.00,5.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6252001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6252010,6.00,6.00,2.00,7.00,10.00,9.00,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6252028,3.00,5.00,1.00,1.00,9.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6252036,8.00,6.00,3.00,7.00,9.00,12.00,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6252044,3.00,4.00,1.00,6.00,1.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6252052,4.00,4.00,2.00,4.00,4.00,6.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6252060,0.00,2.00,1.00,0.00,2.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6252079,3.00,6.00,4.00,5.00,9.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6252087,2.00,1.00,1.00,2.00,3.00,8.25,6.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6252095,4.00,3.00,3.00,6.00,7.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6252109,8.00,6.00,2.00,5.00,10.00,7.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6252117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6252125,3.00,2.00,3.00,2.00,3.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6252133,3.00,4.00,1.00,5.00,8.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6252141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6252150,8.00,6.00,3.00,2.00,6.00,12.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6252168,2.00,4.00,0.00,2.00,5.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6252176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6252184,7.00,6.00,4.00,7.00,5.00,6.75,4.00,2.00,8.00,NULL,NULL,NULL,'N'),(25,6252192,3.00,3.00,0.00,2.00,5.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6252206,7.00,5.00,5.00,5.00,6.00,7.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6252230,2.00,4.00,0.00,2.00,4.00,0.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6252249,7.00,8.00,5.00,7.00,8.00,11.63,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6252257,3.00,5.00,0.00,1.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6252265,2.00,4.00,2.00,5.00,8.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6252273,7.00,4.00,2.00,5.00,9.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6252281,2.00,4.00,0.00,1.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6252290,6.00,5.00,2.00,5.00,8.00,7.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6252311,4.00,5.00,0.00,5.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6252338,6.00,4.00,1.00,6.00,9.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6252346,2.00,6.00,0.00,6.00,5.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6252354,8.00,5.00,4.00,6.00,6.00,9.38,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6252362,3.00,5.00,3.00,2.00,6.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6252370,8.00,7.00,4.00,3.00,8.00,7.88,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6252389,4.00,5.00,1.00,4.00,6.00,9.75,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6252397,5.00,7.00,5.00,4.00,6.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6252400,2.00,6.00,2.00,5.00,6.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6252419,2.00,3.00,3.00,4.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6252427,4.00,7.00,1.00,4.00,4.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6252443,2.00,6.00,1.00,4.00,6.00,7.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6252451,4.00,5.00,2.00,1.00,4.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6252460,7.00,5.00,3.00,3.00,7.00,4.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6252478,4.00,3.00,1.00,5.00,7.00,10.13,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6252486,3.00,7.00,1.00,5.00,7.00,7.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6252494,2.00,5.00,1.00,4.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6252508,2.00,3.00,3.00,0.00,5.00,6.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6252516,3.00,4.00,0.00,3.00,3.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6252524,2.00,6.00,1.00,3.00,7.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6252532,7.00,6.00,2.00,0.00,8.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6252540,8.00,8.00,6.00,7.00,10.00,13.13,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6252559,4.00,5.00,3.00,4.00,7.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6252567,2.00,5.00,4.00,2.00,5.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6252583,3.00,5.00,1.00,3.00,6.00,10.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6252591,3.00,4.00,4.00,4.00,6.00,6.75,2.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6252605,6.00,8.00,7.00,7.00,9.00,9.38,0.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6252613,6.00,7.00,3.00,7.00,10.00,10.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6252621,3.00,5.00,1.00,3.00,6.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6252630,7.00,6.00,4.00,7.00,9.00,9.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6252648,2.00,4.00,2.00,2.00,5.00,9.00,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6252664,5.00,8.00,5.00,6.00,9.00,9.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6252672,6.00,5.00,5.00,4.00,7.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6252680,3.00,5.00,2.00,4.00,4.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6252702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6252710,3.00,7.00,3.00,6.00,10.00,10.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6252745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6252753,3.00,5.00,0.00,2.00,6.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6252761,4.00,5.00,4.00,4.00,5.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6252770,5.00,4.00,0.00,3.00,6.00,8.25,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6252788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6252796,8.00,6.00,7.00,6.00,7.00,6.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6252800,8.00,7.00,5.00,6.00,9.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6252818,3.00,5.00,1.00,4.00,9.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6252826,3.00,5.00,2.00,3.00,8.00,5.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6252834,1.00,1.00,1.00,1.00,1.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6252850,3.00,6.00,5.00,5.00,7.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6252877,6.00,7.00,4.00,5.00,10.00,8.63,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6252885,3.00,7.00,4.00,1.00,5.00,4.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6252893,6.00,6.00,6.00,7.00,8.00,8.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6252907,6.00,6.00,2.00,4.00,5.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6252915,3.00,4.00,2.00,2.00,9.00,7.88,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6252923,3.00,6.00,3.00,5.00,5.00,7.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6252940,1.00,5.00,3.00,4.00,4.00,4.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6252974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6252982,4.00,6.00,1.00,3.00,4.00,9.38,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6252990,7.00,7.00,6.00,5.00,7.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6253008,7.00,6.00,3.00,6.00,9.00,7.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6253016,6.00,3.00,3.00,4.00,7.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6253024,6.00,7.00,2.00,4.00,8.00,10.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6253032,6.00,6.00,4.00,2.00,9.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6253040,5.00,5.00,2.00,5.00,6.00,9.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6253059,2.00,7.00,1.00,1.00,3.00,6.38,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6253067,5.00,2.00,3.00,7.00,6.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6253083,3.00,5.00,2.00,3.00,4.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6253091,3.00,5.00,2.00,4.00,6.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6253105,5.00,6.00,3.00,5.00,9.00,10.13,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6253113,6.00,7.00,4.00,5.00,6.00,6.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6253130,8.00,5.00,4.00,3.00,9.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6253148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6253156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6253164,8.00,8.00,7.00,7.00,10.00,11.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6253172,4.00,7.00,0.00,3.00,6.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6253180,7.00,5.00,5.00,5.00,8.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6253199,1.00,3.00,3.00,2.00,4.00,3.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6253202,2.00,4.00,1.00,1.00,4.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6253210,3.00,4.00,2.00,4.00,5.00,6.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6253229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6253237,2.00,0.00,1.00,1.00,3.00,5.25,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6253245,4.00,4.00,2.00,3.00,8.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6253253,8.00,7.00,4.00,7.00,7.00,13.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6253261,6.00,5.00,3.00,5.00,6.00,9.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6253288,4.00,5.00,3.00,3.00,6.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6253296,2.00,2.00,1.00,4.00,5.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6253300,4.00,4.00,0.00,3.00,7.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6253318,3.00,4.00,1.00,2.00,8.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6253326,7.00,7.00,4.00,8.00,9.00,10.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6253334,7.00,5.00,3.00,5.00,7.00,7.88,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6253342,6.00,7.00,4.00,7.00,9.00,6.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6253350,2.00,6.00,2.00,6.00,6.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6253369,4.00,1.00,1.00,2.00,2.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6253377,3.00,6.00,2.00,4.00,5.00,7.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6253393,4.00,7.00,1.00,4.00,8.00,8.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6253407,5.00,5.00,0.00,6.00,6.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6253415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6253423,7.00,4.00,7.00,4.00,7.00,8.25,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6253431,2.00,5.00,3.00,1.00,7.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6253440,0.00,4.00,1.00,2.00,5.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6253458,8.00,8.00,3.00,7.00,8.00,10.88,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6253466,3.00,2.00,2.00,2.00,4.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6253474,3.00,3.00,2.00,4.00,3.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6253482,7.00,5.00,6.00,4.00,10.00,10.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6253490,4.00,4.00,1.00,3.00,5.00,6.38,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6253504,5.00,0.00,2.00,4.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6253512,8.00,7.00,6.00,5.00,10.00,10.88,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6253520,5.00,2.00,1.00,0.00,4.00,6.00,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6253539,7.00,7.00,4.00,6.00,10.00,10.88,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6253547,3.00,2.00,1.00,1.00,4.00,8.63,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6253555,5.00,6.00,4.00,7.00,7.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6253563,3.00,6.00,4.00,8.00,7.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6253571,4.00,6.00,4.00,6.00,4.00,9.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6253580,3.00,5.00,1.00,6.00,5.00,10.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6253598,5.00,5.00,3.00,6.00,8.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6253601,2.00,5.00,2.00,6.00,7.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6253610,6.00,6.00,3.00,6.00,8.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6253628,2.00,2.00,2.00,4.00,3.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6253636,3.00,3.00,2.00,5.00,4.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6253644,8.00,5.00,1.00,5.00,8.00,10.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6253660,7.00,5.00,2.00,6.00,8.00,11.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6253679,5.00,8.00,1.00,4.00,9.00,8.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6253687,2.00,4.00,2.00,3.00,6.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6253695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6253709,4.00,5.00,2.00,2.00,4.00,8.63,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6253725,4.00,3.00,0.00,3.00,4.00,7.88,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6253741,2.00,2.00,2.00,5.00,6.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6253750,4.00,1.00,3.00,2.00,7.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6253776,1.00,4.00,3.00,1.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6253784,2.00,3.00,1.00,4.00,8.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6253792,2.00,3.00,1.00,2.00,5.00,4.88,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6253806,4.00,4.00,3.00,5.00,4.00,5.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6253814,3.00,6.00,3.00,5.00,7.00,7.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6253822,5.00,4.00,4.00,6.00,9.00,8.63,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6253830,1.00,3.00,0.00,2.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6253849,3.00,6.00,1.00,3.00,6.00,7.88,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6253857,2.00,3.00,0.00,2.00,5.00,6.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6253865,8.00,8.00,3.00,5.00,10.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6253873,3.00,1.00,3.00,1.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6253881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6253903,4.00,5.00,0.00,5.00,4.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6253911,7.00,6.00,5.00,5.00,8.00,6.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6253920,8.00,6.00,6.00,7.00,9.00,9.75,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6253938,4.00,3.00,1.00,6.00,6.00,5.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6253946,5.00,3.00,0.00,4.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6253954,2.00,4.00,1.00,2.00,5.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6253962,4.00,4.00,1.00,4.00,6.00,8.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6253970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6253989,8.00,7.00,5.00,7.00,9.00,10.88,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6253997,8.00,6.00,4.00,4.00,9.00,10.50,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6254004,2.00,4.00,3.00,4.00,6.00,10.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6254012,7.00,6.00,3.00,7.00,5.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6254047,2.00,3.00,1.00,1.00,3.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6254055,8.00,7.00,7.00,7.00,9.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6254063,4.00,5.00,2.00,4.00,7.00,9.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6254071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6254080,6.00,5.00,3.00,4.00,8.00,4.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6254098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6254101,2.00,3.00,3.00,3.00,7.00,6.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6254110,4.00,6.00,2.00,6.00,6.00,8.63,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6254128,4.00,6.00,3.00,5.00,8.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6254136,3.00,5.00,1.00,4.00,7.00,7.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6254144,2.00,4.00,0.00,5.00,7.00,10.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6254152,3.00,6.00,3.00,1.00,2.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6254160,6.00,5.00,1.00,2.00,8.00,9.38,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6254179,0.00,4.00,0.00,1.00,3.00,8.63,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6254187,1.00,2.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6254195,2.00,3.00,1.00,4.00,3.00,6.00,4.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6254209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6254217,6.00,6.00,3.00,6.00,7.00,11.63,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6254241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6254250,5.00,6.00,4.00,7.00,10.00,8.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6254268,8.00,4.00,6.00,6.00,8.00,9.38,2.00,2.00,8.00,NULL,NULL,NULL,'N'),(25,6254276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6254284,2.00,1.00,2.00,2.00,1.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6254292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6254306,1.00,1.00,1.00,2.00,4.00,7.13,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6254314,4.00,4.00,1.00,6.00,4.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6254322,3.00,4.00,2.00,5.00,8.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6254349,7.00,7.00,6.00,6.00,8.00,12.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6254357,4.00,5.00,3.00,6.00,10.00,6.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6254365,6.00,7.00,3.00,4.00,8.00,11.63,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6254373,2.00,3.00,1.00,3.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6254381,5.00,7.00,3.00,7.00,10.00,12.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6254390,6.00,6.00,4.00,6.00,9.00,7.88,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6254403,5.00,5.00,2.00,7.00,7.00,6.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6254411,5.00,4.00,1.00,5.00,8.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6254420,5.00,5.00,0.00,6.00,7.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6254438,4.00,7.00,2.00,4.00,8.00,7.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6254446,6.00,4.00,4.00,7.00,7.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6254470,2.00,3.00,2.00,1.00,3.00,4.88,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6254489,6.00,5.00,4.00,7.00,8.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6254500,5.00,7.00,2.00,7.00,8.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6254519,4.00,7.00,4.00,4.00,6.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6254527,8.00,7.00,6.00,7.00,9.00,9.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6254535,5.00,6.00,4.00,7.00,8.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6254543,3.00,3.00,3.00,5.00,7.00,6.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6254551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6254560,2.00,6.00,2.00,5.00,8.00,10.13,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6254578,3.00,3.00,3.00,3.00,1.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6254586,5.00,3.00,2.00,4.00,7.00,11.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6254616,3.00,3.00,1.00,2.00,4.00,5.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6254624,9.00,4.00,8.00,7.00,8.00,10.88,2.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6254640,3.00,5.00,2.00,1.00,5.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6254659,3.00,4.00,2.00,6.00,8.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6254667,7.00,5.00,1.00,6.00,9.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6254675,4.00,5.00,4.00,4.00,7.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6254683,7.00,7.00,6.00,7.00,7.00,8.63,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6254705,6.00,5.00,5.00,7.00,8.00,10.50,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6254713,4.00,5.00,2.00,2.00,8.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6254721,6.00,6.00,2.00,6.00,9.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6254730,4.00,5.00,3.00,3.00,9.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6254748,7.00,7.00,5.00,5.00,7.00,6.00,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6254756,5.00,8.00,2.00,7.00,6.00,NULL,0.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6254764,2.00,3.00,0.00,2.00,1.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6254772,4.00,5.00,0.00,4.00,6.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6254799,2.00,4.00,1.00,4.00,8.00,12.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6254802,3.00,5.00,1.00,4.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6254810,2.00,2.00,1.00,5.00,7.00,7.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6254829,7.00,4.00,6.00,6.00,9.00,7.88,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6254837,4.00,5.00,4.00,4.00,6.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6254845,7.00,5.00,3.00,4.00,7.00,10.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6254853,5.00,7.00,4.00,5.00,6.00,7.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6254861,1.00,8.00,3.00,4.00,6.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6254870,6.00,7.00,4.00,3.00,5.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6254888,2.00,4.00,2.00,1.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6254900,3.00,2.00,2.00,6.00,8.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6254918,2.00,5.00,1.00,5.00,4.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6254926,7.00,6.00,4.00,3.00,7.00,12.00,0.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6254934,2.00,4.00,1.00,5.00,4.00,10.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6254942,2.00,6.00,3.00,4.00,6.00,9.00,3.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6254969,3.00,0.00,4.00,1.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6254977,2.00,5.00,4.00,6.00,6.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6254985,5.00,5.00,5.00,3.00,8.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6254993,8.00,6.00,3.00,5.00,9.00,8.25,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6255000,3.00,4.00,1.00,5.00,4.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6255019,6.00,4.00,3.00,6.00,6.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6255027,1.00,3.00,2.00,2.00,5.00,8.63,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6255035,7.00,6.00,5.00,6.00,4.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6255043,6.00,7.00,2.00,2.00,6.00,9.38,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6255060,4.00,6.00,4.00,6.00,9.00,11.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6255078,7.00,6.00,2.00,4.00,7.00,9.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6255094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6255116,5.00,5.00,2.00,4.00,8.00,7.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6255124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6255132,3.00,5.00,4.00,4.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6255140,2.00,4.00,2.00,3.00,6.00,6.38,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6255175,3.00,4.00,2.00,3.00,3.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6255183,2.00,3.00,1.00,3.00,0.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6255191,6.00,7.00,4.00,5.00,10.00,10.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6255205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6255213,4.00,4.00,3.00,4.00,5.00,8.25,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6255221,4.00,7.00,1.00,3.00,10.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6255248,5.00,4.00,2.00,3.00,9.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6255256,8.00,7.00,1.00,5.00,9.00,10.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6255264,4.00,6.00,3.00,7.00,10.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6255280,6.00,6.00,2.00,7.00,7.00,7.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6255302,4.00,0.00,1.00,0.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6255310,3.00,4.00,2.00,3.00,7.00,9.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6255329,2.00,4.00,0.00,4.00,6.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6255345,7.00,5.00,4.00,5.00,9.00,11.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6255353,3.00,3.00,5.00,5.00,5.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'S'),(25,6255361,4.00,5.00,3.00,6.00,8.00,10.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6255370,4.00,4.00,2.00,6.00,7.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6255388,3.00,5.00,1.00,1.00,4.00,5.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6255396,5.00,5.00,0.00,3.00,8.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6255400,1.00,7.00,4.00,5.00,6.00,9.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6255418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6255426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6255434,2.00,4.00,2.00,4.00,6.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6255442,3.00,0.00,1.00,2.00,3.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6255450,1.00,3.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6255469,2.00,7.00,1.00,5.00,6.00,10.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6255477,3.00,4.00,3.00,6.00,7.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(25,6255485,7.00,6.00,3.00,2.00,7.00,10.50,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6255493,7.00,6.00,3.00,6.00,9.00,9.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6255507,5.00,6.00,3.00,5.00,6.00,7.13,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6255515,2.00,3.00,2.00,2.00,5.00,8.63,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6255523,4.00,8.00,2.00,3.00,5.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6255531,8.00,7.00,3.00,6.00,8.00,9.00,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6255540,0.00,3.00,0.00,0.00,0.00,NULL,0.00,0.00,2.00,'S',NULL,'S','N'),(25,6255558,3.00,3.00,3.00,7.00,7.00,9.75,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6255574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6255582,5.00,8.00,1.00,2.00,6.00,5.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6255590,7.00,7.00,3.00,6.00,8.00,9.38,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6255604,1.00,6.00,4.00,5.00,7.00,10.50,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6255612,6.00,8.00,1.00,5.00,7.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6255620,6.00,7.00,3.00,6.00,9.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6255639,6.00,6.00,5.00,7.00,8.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6255647,4.00,4.00,2.00,4.00,7.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6255655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6255663,5.00,4.00,1.00,5.00,6.00,8.63,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6255671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6255680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6255698,7.00,4.00,2.00,3.00,6.00,10.88,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6255701,2.00,5.00,1.00,2.00,4.00,6.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6255710,2.00,2.00,2.00,3.00,6.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6255728,4.00,4.00,4.00,2.00,5.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6255736,2.00,0.00,1.00,1.00,5.00,6.75,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6255744,7.00,5.00,3.00,5.00,10.00,11.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6255752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6255760,3.00,3.00,2.00,6.00,7.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6255779,5.00,4.00,3.00,7.00,6.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6255787,7.00,6.00,6.00,5.00,7.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6255809,7.00,7.00,3.00,7.00,5.00,7.50,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6255817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6255825,7.00,6.00,5.00,4.00,4.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6255833,5.00,4.00,1.00,5.00,6.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6255841,7.00,5.00,2.00,4.00,7.00,7.88,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6255850,4.00,5.00,1.00,3.00,7.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6255884,1.00,2.00,0.00,2.00,6.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6255892,5.00,5.00,3.00,7.00,7.00,10.50,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6255906,3.00,3.00,0.00,4.00,5.00,6.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6255914,0.00,4.00,3.00,2.00,3.00,7.13,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6255922,2.00,0.00,3.00,6.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6255930,8.00,6.00,5.00,7.00,10.00,9.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6255949,3.00,0.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6255957,3.00,2.00,1.00,5.00,7.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6255965,2.00,5.00,3.00,1.00,4.00,7.50,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6255973,5.00,6.00,1.00,7.00,7.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6255981,8.00,6.00,2.00,6.00,9.00,9.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6255990,5.00,5.00,4.00,5.00,8.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6256007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6256015,5.00,6.00,0.00,5.00,7.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6256023,3.00,5.00,2.00,5.00,5.00,8.25,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(25,6256031,5.00,5.00,1.00,4.00,6.00,7.50,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6256040,5.00,6.00,4.00,7.00,7.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6256058,6.00,6.00,4.00,5.00,9.00,7.13,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6256066,3.00,5.00,2.00,5.00,7.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6256074,4.00,6.00,3.00,6.00,9.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6256082,4.00,6.00,2.00,6.00,8.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6256090,7.00,4.00,3.00,3.00,8.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6256104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6256147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6256163,3.00,4.00,3.00,2.00,5.00,6.75,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6256180,2.00,5.00,1.00,4.00,4.00,9.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6256198,5.00,5.00,2.00,7.00,7.00,11.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6256228,6.00,6.00,3.00,5.00,7.00,7.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6256236,4.00,6.00,5.00,7.00,10.00,12.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6256244,6.00,7.00,5.00,6.00,9.00,9.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6256252,4.00,7.00,4.00,7.00,7.00,7.88,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6256260,7.00,5.00,9.00,5.00,8.00,11.63,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6256279,1.00,3.00,0.00,3.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6256287,1.00,4.00,2.00,1.00,5.00,5.63,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6256295,3.00,5.00,1.00,3.00,6.00,7.13,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6256317,2.00,3.00,2.00,2.00,3.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6256325,3.00,6.00,1.00,5.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6256333,6.00,8.00,4.00,7.00,8.00,11.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6256341,5.00,7.00,2.00,7.00,8.00,10.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6256350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6256368,5.00,6.00,4.00,5.00,9.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6256376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6256384,4.00,3.00,1.00,4.00,6.00,9.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6256392,2.00,2.00,0.00,4.00,5.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6256414,3.00,4.00,2.00,5.00,8.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6256422,4.00,6.00,3.00,4.00,6.00,6.38,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6256430,8.00,5.00,8.00,8.00,9.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6256449,3.00,3.00,2.00,3.00,6.00,7.88,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6256457,5.00,4.00,4.00,6.00,7.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(25,6256465,7.00,6.00,6.00,4.00,7.00,7.88,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6256473,5.00,7.00,5.00,5.00,4.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6256481,8.00,5.00,3.00,6.00,7.00,10.88,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6256490,3.00,4.00,3.00,6.00,6.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6256503,3.00,3.00,3.00,5.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6256520,3.00,3.00,1.00,2.00,3.00,8.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6256546,6.00,5.00,4.00,5.00,4.00,6.38,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6256554,8.00,6.00,4.00,4.00,8.00,10.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6256562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6256570,8.00,5.00,3.00,6.00,8.00,10.88,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6256589,2.00,3.00,4.00,4.00,5.00,6.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6256597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6256619,2.00,3.00,1.00,0.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6256627,6.00,6.00,1.00,5.00,6.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6256635,7.00,7.00,6.00,7.00,8.00,9.38,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6256643,2.00,4.00,1.00,1.00,4.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6256651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6256678,7.00,4.00,7.00,6.00,8.00,10.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6256686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6256694,3.00,4.00,3.00,5.00,6.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6256708,3.00,5.00,5.00,7.00,6.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6256716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6256724,7.00,8.00,6.00,5.00,10.00,12.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6256732,4.00,5.00,4.00,6.00,8.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6256740,2.00,7.00,3.00,3.00,5.00,10.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6256759,2.00,3.00,0.00,5.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6256767,3.00,5.00,1.00,3.00,7.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6256783,4.00,4.00,1.00,3.00,6.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6256791,2.00,1.00,2.00,3.00,8.00,8.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6256805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6256813,4.00,4.00,1.00,1.00,8.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6256821,3.00,4.00,2.00,5.00,4.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6256830,6.00,7.00,2.00,6.00,8.00,9.38,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6256848,1.00,2.00,2.00,2.00,4.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6256856,4.00,6.00,1.00,1.00,5.00,6.38,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6256864,7.00,6.00,4.00,7.00,8.00,9.75,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6256872,6.00,7.00,3.00,7.00,9.00,12.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6256899,6.00,1.00,1.00,2.00,8.00,9.75,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6256902,2.00,4.00,1.00,2.00,4.00,6.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6256937,4.00,6.00,0.00,5.00,9.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6256945,5.00,6.00,5.00,5.00,7.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6256953,5.00,6.00,3.00,5.00,7.00,10.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6256961,6.00,5.00,4.00,6.00,8.00,9.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6256970,2.00,2.00,0.00,0.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6256996,7.00,4.00,8.00,6.00,4.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6257003,4.00,3.00,4.00,3.00,6.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6257020,8.00,6.00,4.00,7.00,10.00,9.75,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6257046,5.00,3.00,0.00,3.00,8.00,11.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6257054,6.00,6.00,1.00,5.00,8.00,8.63,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6257062,7.00,5.00,3.00,2.00,7.00,10.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6257070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6257089,7.00,7.00,7.00,6.00,10.00,7.88,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6257097,3.00,8.00,0.00,7.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6257100,3.00,3.00,1.00,3.00,6.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6257119,8.00,7.00,7.00,7.00,9.00,9.00,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6257127,2.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6257135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6257143,6.00,6.00,2.00,3.00,8.00,8.25,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6257151,4.00,2.00,3.00,1.00,4.00,6.75,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6257178,3.00,6.00,4.00,3.00,8.00,9.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6257194,4.00,4.00,4.00,4.00,6.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6257208,7.00,7.00,6.00,5.00,8.00,7.50,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6257224,7.00,8.00,7.00,6.00,9.00,9.38,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6257232,3.00,5.00,2.00,7.00,7.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6257259,2.00,2.00,0.00,2.00,5.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6257267,5.00,6.00,2.00,4.00,8.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6257275,2.00,3.00,1.00,5.00,9.00,10.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6257305,8.00,7.00,7.00,6.00,9.00,9.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6257313,3.00,0.00,2.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6257321,3.00,5.00,1.00,5.00,7.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6257330,2.00,1.00,2.00,2.00,4.00,8.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6257348,3.00,3.00,1.00,3.00,6.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6257356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6257364,7.00,7.00,4.00,6.00,7.00,10.88,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6257372,4.00,6.00,2.00,5.00,5.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6257380,2.00,4.00,0.00,4.00,6.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6257399,2.00,4.00,2.00,4.00,6.00,6.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6257402,6.00,6.00,2.00,7.00,8.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6257410,6.00,5.00,1.00,6.00,8.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6257429,5.00,6.00,0.00,4.00,10.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6257437,3.00,4.00,3.00,1.00,5.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6257445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6257453,7.00,7.00,8.00,7.00,8.00,9.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6257461,5.00,6.00,4.00,3.00,6.00,9.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6257470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6257496,8.00,7.00,6.00,7.00,9.00,7.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6257500,4.00,5.00,1.00,3.00,8.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6257518,4.00,5.00,1.00,1.00,7.00,10.13,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6257534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6257542,6.00,6.00,3.00,3.00,6.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6257550,7.00,7.00,3.00,6.00,7.00,7.13,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6257569,3.00,3.00,1.00,2.00,7.00,10.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6257577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6257585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6257593,4.00,4.00,2.00,5.00,5.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6257607,4.00,5.00,1.00,4.00,7.00,11.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6257615,1.00,4.00,0.00,2.00,5.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6257623,4.00,0.00,0.00,2.00,6.00,NULL,3.00,3.00,1.00,NULL,NULL,'S','N'),(25,6257631,9.00,9.00,6.00,7.00,9.00,9.75,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6257640,4.00,5.00,2.00,6.00,5.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6257658,0.00,4.00,0.00,0.00,4.00,8.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6257666,7.00,3.00,4.00,6.00,7.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6257674,6.00,7.00,3.00,7.00,6.00,10.50,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6257682,4.00,6.00,3.00,5.00,7.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6257704,5.00,7.00,4.00,8.00,10.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6257712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6257720,3.00,2.00,2.00,3.00,7.00,10.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6257739,0.00,2.00,1.00,5.00,3.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6257747,7.00,8.00,4.00,4.00,8.00,10.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6257763,4.00,8.00,2.00,6.00,9.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6257771,6.00,6.00,1.00,5.00,8.00,10.13,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6257798,7.00,8.00,3.00,3.00,8.00,8.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6257801,4.00,6.00,2.00,5.00,7.00,9.38,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6257810,5.00,4.00,6.00,4.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6257828,5.00,6.00,0.00,4.00,3.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6257836,9.00,7.00,3.00,7.00,10.00,10.88,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6257844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6257852,0.00,2.00,2.00,1.00,3.00,5.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6257860,6.00,5.00,4.00,6.00,9.00,8.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6257879,2.00,6.00,2.00,5.00,5.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6257887,7.00,7.00,5.00,2.00,10.00,10.13,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6257895,4.00,2.00,3.00,1.00,3.00,5.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6257917,6.00,5.00,5.00,6.00,7.00,8.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6257925,5.00,7.00,5.00,4.00,3.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6257933,5.00,6.00,4.00,3.00,5.00,9.75,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6257941,7.00,6.00,3.00,5.00,9.00,9.00,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6257950,4.00,6.00,1.00,5.00,7.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6257976,1.00,3.00,0.00,2.00,6.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6257992,3.00,2.00,3.00,3.00,4.00,10.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6258000,2.00,5.00,3.00,2.00,6.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6258018,3.00,6.00,3.00,3.00,7.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6258026,8.00,6.00,5.00,5.00,7.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6258034,4.00,5.00,3.00,4.00,9.00,11.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6258042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6258069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6258077,2.00,3.00,0.00,4.00,4.00,7.50,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6258085,5.00,5.00,2.00,2.00,5.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6258093,2.00,5.00,2.00,4.00,5.00,7.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6258107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6258115,2.00,7.00,1.00,2.00,5.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6258123,1.00,0.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6258131,7.00,7.00,5.00,6.00,9.00,10.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6258140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6258166,8.00,4.00,3.00,5.00,4.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6258174,1.00,4.00,2.00,1.00,1.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6258182,2.00,6.00,2.00,4.00,5.00,7.88,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6258190,1.00,3.00,1.00,5.00,5.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6258204,9.00,7.00,4.00,7.00,10.00,13.13,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6258212,3.00,5.00,1.00,3.00,6.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6258220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6258239,5.00,3.00,5.00,6.00,6.00,10.13,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6258247,4.00,7.00,4.00,3.00,9.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6258255,3.00,5.00,1.00,2.00,6.00,6.38,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6258263,8.00,8.00,6.00,6.00,8.00,8.63,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6258271,4.00,5.00,3.00,2.00,9.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6258280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6258298,4.00,6.00,6.00,3.00,5.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6258301,5.00,5.00,2.00,6.00,6.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6258310,2.00,2.00,1.00,3.00,4.00,6.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6258328,3.00,7.00,3.00,2.00,8.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6258336,3.00,6.00,1.00,4.00,4.00,10.13,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6258344,1.00,2.00,0.00,2.00,6.00,8.63,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6258352,6.00,4.00,1.00,4.00,6.00,NULL,3.00,1.00,7.00,NULL,NULL,'S','N'),(25,6258360,5.00,6.00,0.00,5.00,7.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6258379,6.00,6.00,5.00,6.00,9.00,10.88,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6258387,5.00,5.00,6.00,5.00,4.00,7.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6258395,2.00,5.00,3.00,6.00,4.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6258409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6258417,5.00,6.00,2.00,1.00,4.00,9.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6258433,3.00,4.00,3.00,4.00,5.00,10.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6258450,6.00,7.00,3.00,4.00,7.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6258468,2.00,2.00,2.00,3.00,7.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6258476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6258484,3.00,4.00,0.00,2.00,6.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6258492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6258506,8.00,6.00,3.00,6.00,9.00,10.13,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6258514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6258530,4.00,3.00,7.00,6.00,8.00,6.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6258549,5.00,5.00,4.00,4.00,8.00,8.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6258557,3.00,3.00,3.00,3.00,4.00,7.88,2.00,0.00,6.00,NULL,NULL,NULL,'S'),(25,6258565,5.00,3.00,2.00,5.00,6.00,8.63,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6258573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6258581,5.00,6.00,3.00,3.00,6.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6258590,3.00,2.00,2.00,2.00,4.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6258603,4.00,3.00,0.00,5.00,8.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6258620,7.00,6.00,1.00,5.00,6.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6258638,8.00,6.00,4.00,6.00,6.00,10.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6258654,7.00,7.00,8.00,6.00,8.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6258662,3.00,4.00,2.00,3.00,6.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6258670,3.00,4.00,1.00,3.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6258689,7.00,7.00,3.00,6.00,8.00,9.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6258697,2.00,3.00,1.00,2.00,5.00,8.63,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6258719,4.00,4.00,2.00,2.00,6.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6258735,1.00,0.00,0.00,1.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6258743,7.00,6.00,1.00,7.00,9.00,11.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6258751,4.00,6.00,3.00,4.00,5.00,6.75,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6258760,4.00,3.00,1.00,4.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6258778,5.00,6.00,1.00,4.00,3.00,9.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6258786,1.00,4.00,1.00,2.00,5.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6258794,2.00,3.00,2.00,2.00,3.00,6.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6258808,3.00,6.00,2.00,3.00,7.00,9.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6258816,3.00,6.00,2.00,6.00,10.00,10.88,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6258824,1.00,3.00,0.00,3.00,3.00,3.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6258832,5.00,6.00,1.00,6.00,9.00,12.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6258840,4.00,4.00,0.00,4.00,5.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6258859,6.00,6.00,3.00,5.00,8.00,6.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6258867,4.00,5.00,1.00,3.00,5.00,6.00,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6258875,3.00,6.00,1.00,7.00,8.00,8.63,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6258883,3.00,5.00,0.00,3.00,6.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6258913,3.00,5.00,0.00,2.00,7.00,7.50,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6258921,5.00,5.00,1.00,5.00,7.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6258930,7.00,6.00,5.00,5.00,7.00,10.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6258948,7.00,8.00,1.00,4.00,8.00,10.13,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6258956,2.00,6.00,3.00,5.00,8.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6258964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6258972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6258980,2.00,3.00,4.00,4.00,8.00,7.50,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6258999,3.00,2.00,0.00,5.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6259014,4.00,4.00,1.00,3.00,6.00,8.25,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6259049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6259057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6259073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6259103,7.00,4.00,8.00,6.00,8.00,10.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6259111,3.00,4.00,3.00,4.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6259120,3.00,5.00,0.00,3.00,4.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6259138,8.00,6.00,3.00,6.00,9.00,9.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6259146,2.00,1.00,1.00,3.00,4.00,6.00,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6259154,1.00,2.00,3.00,1.00,5.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6259162,5.00,7.00,0.00,6.00,7.00,8.63,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6259189,0.00,2.00,3.00,6.00,7.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6259197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6259200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6259219,4.00,7.00,1.00,6.00,8.00,10.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6259227,4.00,4.00,1.00,3.00,7.00,4.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6259235,3.00,4.00,4.00,4.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6259243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6259260,3.00,4.00,1.00,2.00,5.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6259278,3.00,4.00,2.00,1.00,4.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6259294,8.00,7.00,3.00,6.00,9.00,11.63,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6259316,6.00,7.00,4.00,6.00,8.00,5.63,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6259324,3.00,6.00,2.00,6.00,8.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6259332,3.00,6.00,5.00,4.00,7.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6259340,6.00,6.00,6.00,8.00,6.00,8.63,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6259359,2.00,6.00,1.00,1.00,4.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6259367,2.00,4.00,2.00,2.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,'S','N'),(25,6259375,6.00,5.00,2.00,3.00,8.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6259383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6259391,3.00,3.00,5.00,2.00,5.00,6.38,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6259421,2.00,4.00,0.00,6.00,8.00,9.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6259430,5.00,7.00,1.00,1.00,8.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6259448,7.00,4.00,0.00,4.00,7.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6259472,2.00,2.00,2.00,3.00,6.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6259480,2.00,4.00,4.00,7.00,8.00,6.38,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6259499,2.00,3.00,2.00,1.00,4.00,4.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6259529,6.00,6.00,3.00,6.00,7.00,10.13,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6259537,2.00,1.00,0.00,4.00,4.00,7.13,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6259545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6259553,6.00,6.00,3.00,6.00,8.00,9.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6259570,5.00,3.00,3.00,7.00,4.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6259600,6.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6259618,5.00,7.00,5.00,4.00,9.00,8.63,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6259626,3.00,3.00,1.00,3.00,5.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6259634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6259650,4.00,6.00,4.00,6.00,8.00,10.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6259669,6.00,6.00,2.00,4.00,5.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6259677,4.00,6.00,2.00,7.00,7.00,11.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6259685,3.00,6.00,2.00,0.00,7.00,11.25,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6259707,8.00,6.00,6.00,7.00,8.00,8.63,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6259715,5.00,5.00,4.00,3.00,8.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6259723,1.00,4.00,1.00,1.00,4.00,7.13,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6259740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6259758,5.00,6.00,3.00,5.00,5.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6259766,2.00,3.00,3.00,4.00,4.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6259774,9.00,8.00,7.00,4.00,8.00,11.63,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6259782,2.00,5.00,1.00,3.00,6.00,0.00,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6259790,3.00,6.00,2.00,3.00,8.00,NULL,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6259804,3.00,4.00,0.00,5.00,5.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6259812,0.00,5.00,1.00,3.00,4.00,8.63,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6259820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6259839,7.00,7.00,6.00,7.00,7.00,6.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6259847,2.00,5.00,2.00,6.00,8.00,11.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6259863,4.00,3.00,2.00,5.00,6.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6259871,8.00,7.00,3.00,7.00,7.00,10.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6259898,9.00,6.00,5.00,6.00,9.00,10.13,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6259901,4.00,5.00,0.00,4.00,3.00,7.13,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6259910,4.00,6.00,4.00,5.00,7.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6259936,4.00,0.00,3.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6259944,5.00,7.00,2.00,3.00,8.00,10.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6259979,7.00,6.00,2.00,7.00,8.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6259987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6259995,3.00,4.00,2.00,5.00,6.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6260004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6260012,0.00,6.00,3.00,6.00,6.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6260020,5.00,3.00,1.00,6.00,4.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6260055,4.00,5.00,0.00,4.00,8.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6260063,1.00,1.00,0.00,1.00,1.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6260071,2.00,3.00,2.00,2.00,3.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6260080,5.00,7.00,2.00,6.00,8.00,9.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6260098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6260101,0.00,2.00,1.00,3.00,3.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6260110,2.00,6.00,2.00,4.00,7.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6260136,3.00,6.00,2.00,4.00,6.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6260152,0.00,2.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6260160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6260187,3.00,4.00,1.00,4.00,4.00,6.00,1.00,0.00,4.00,NULL,NULL,NULL,'S'),(25,6260195,4.00,6.00,3.00,4.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6260209,3.00,5.00,3.00,3.00,8.00,8.63,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6260225,2.00,3.00,3.00,1.00,3.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6260233,6.00,6.00,3.00,7.00,7.00,7.88,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6260241,9.00,8.00,4.00,6.00,9.00,12.00,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6260250,3.00,6.00,4.00,6.00,8.00,7.13,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6260268,6.00,8.00,3.00,4.00,6.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6260276,5.00,5.00,4.00,7.00,9.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6260284,3.00,0.00,3.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6260292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6260306,3.00,7.00,3.00,3.00,7.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6260322,5.00,8.00,1.00,5.00,9.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6260330,8.00,8.00,5.00,7.00,9.00,8.63,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6260349,3.00,5.00,3.00,2.00,7.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6260357,5.00,5.00,3.00,5.00,5.00,7.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6260365,4.00,4.00,2.00,5.00,7.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6260373,3.00,4.00,2.00,2.00,6.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6260381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6260390,5.00,7.00,2.00,5.00,6.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6260403,4.00,2.00,1.00,2.00,5.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6260411,7.00,7.00,4.00,6.00,10.00,9.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6260438,2.00,4.00,1.00,5.00,5.00,8.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6260446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6260454,1.00,6.00,3.00,2.00,3.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6260462,4.00,5.00,2.00,5.00,7.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6260470,5.00,4.00,2.00,5.00,7.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6260489,3.00,4.00,1.00,3.00,5.00,8.63,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6260497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6260500,8.00,6.00,5.00,7.00,10.00,9.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6260535,4.00,6.00,0.00,3.00,5.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6260543,3.00,4.00,3.00,2.00,6.00,8.63,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6260560,4.00,4.00,2.00,6.00,7.00,NULL,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6260578,4.00,6.00,3.00,2.00,6.00,10.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6260586,4.00,5.00,0.00,4.00,5.00,NULL,4.00,0.00,2.00,NULL,NULL,'S','N'),(25,6260594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6260608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6260616,3.00,5.00,1.00,4.00,5.00,9.75,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6260624,7.00,6.00,5.00,5.00,9.00,10.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6260632,2.00,4.00,4.00,1.00,5.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6260640,4.00,2.00,1.00,4.00,8.00,6.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6260659,3.00,7.00,0.00,6.00,7.00,9.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6260667,8.00,6.00,2.00,6.00,8.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6260691,5.00,5.00,2.00,6.00,6.00,8.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6260705,9.00,5.00,5.00,5.00,7.00,11.63,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6260713,6.00,7.00,3.00,4.00,7.00,6.75,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6260721,3.00,6.00,2.00,2.00,4.00,5.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6260730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6260748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6260756,4.00,7.00,3.00,5.00,5.00,11.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6260764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6260772,6.00,6.00,3.00,6.00,6.00,5.63,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6260780,1.00,4.00,0.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6260799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6260802,2.00,4.00,2.00,4.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6260810,4.00,6.00,2.00,7.00,8.00,8.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6260829,6.00,6.00,2.00,1.00,6.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6260837,3.00,2.00,1.00,4.00,6.00,10.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6260845,2.00,3.00,1.00,2.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6260861,2.00,2.00,0.00,1.00,4.00,8.25,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6260888,3.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6260896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6260900,2.00,6.00,3.00,3.00,7.00,8.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6260918,2.00,3.00,2.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6260926,3.00,2.00,0.00,5.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6260934,3.00,3.00,3.00,3.00,6.00,6.75,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6260942,3.00,3.00,0.00,2.00,4.00,6.75,1.00,4.00,0.00,NULL,NULL,NULL,'S'),(25,6260950,5.00,3.00,0.00,3.00,4.00,9.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6260977,7.00,6.00,6.00,7.00,7.00,7.13,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6260985,3.00,3.00,1.00,4.00,4.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6260993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6261000,2.00,4.00,2.00,5.00,3.00,7.13,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6261019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6261027,5.00,5.00,4.00,3.00,4.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6261035,2.00,2.00,4.00,5.00,5.00,8.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6261043,2.00,4.00,1.00,4.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6261051,3.00,3.00,0.00,2.00,6.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6261060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6261078,1.00,3.00,1.00,1.00,2.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6261086,1.00,5.00,0.00,4.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6261094,1.00,2.00,1.00,2.00,5.00,8.63,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6261108,7.00,5.00,5.00,5.00,9.00,10.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6261116,5.00,4.00,1.00,4.00,3.00,9.75,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6261124,4.00,6.00,0.00,2.00,7.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6261132,2.00,5.00,0.00,5.00,7.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6261140,4.00,4.00,3.00,5.00,5.00,4.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6261159,2.00,5.00,2.00,5.00,8.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6261167,3.00,5.00,0.00,2.00,3.00,NULL,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6261183,4.00,5.00,2.00,4.00,5.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6261205,4.00,6.00,3.00,7.00,6.00,10.88,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6261213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6261221,3.00,6.00,4.00,5.00,6.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6261248,4.00,4.00,1.00,2.00,6.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6261256,5.00,6.00,3.00,7.00,7.00,9.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6261264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6261272,1.00,3.00,0.00,0.00,5.00,6.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6261280,4.00,2.00,2.00,2.00,5.00,6.75,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6261299,2.00,4.00,0.00,2.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6261310,5.00,7.00,2.00,6.00,7.00,10.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6261329,7.00,6.00,2.00,7.00,6.00,9.38,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6261337,2.00,2.00,2.00,0.00,5.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6261345,5.00,5.00,2.00,2.00,6.00,8.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6261353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6261370,3.00,4.00,3.00,3.00,6.00,7.13,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6261388,5.00,6.00,3.00,3.00,6.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6261396,3.00,5.00,2.00,5.00,4.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6261400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6261418,4.00,2.00,4.00,2.00,4.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6261426,6.00,6.00,2.00,4.00,6.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6261434,3.00,3.00,4.00,2.00,3.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6261450,1.00,7.00,5.00,7.00,9.00,11.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6261469,4.00,5.00,1.00,6.00,5.00,10.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6261477,5.00,4.00,0.00,5.00,7.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6261485,6.00,7.00,4.00,5.00,9.00,11.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6261507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6261523,7.00,5.00,2.00,2.00,8.00,9.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6261531,6.00,4.00,3.00,6.00,6.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6261540,4.00,5.00,5.00,0.00,4.00,7.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6261566,4.00,3.00,2.00,0.00,4.00,6.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6261574,3.00,4.00,1.00,2.00,4.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6261582,1.00,6.00,3.00,1.00,8.00,6.00,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6261590,3.00,2.00,3.00,3.00,5.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6261604,3.00,3.00,3.00,5.00,5.00,NULL,1.00,4.00,4.00,NULL,NULL,'S','N'),(25,6261612,6.00,6.00,4.00,5.00,7.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6261620,4.00,6.00,3.00,3.00,5.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6261647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6261655,4.00,5.00,1.00,1.00,4.00,6.00,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6261663,1.00,6.00,3.00,3.00,6.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6261671,3.00,5.00,1.00,1.00,4.00,6.00,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6261680,6.00,6.00,6.00,7.00,7.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6261698,2.00,7.00,1.00,3.00,5.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6261701,5.00,7.00,4.00,6.00,9.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6261728,2.00,6.00,0.00,2.00,4.00,4.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6261736,1.00,5.00,2.00,4.00,6.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6261744,1.00,4.00,0.00,1.00,4.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6261752,2.00,2.00,2.00,4.00,3.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6261760,2.00,2.00,3.00,3.00,6.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6261779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6261787,3.00,4.00,1.00,4.00,4.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6261795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6261809,2.00,4.00,2.00,1.00,5.00,6.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6261817,6.00,3.00,2.00,6.00,8.00,8.25,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6261825,6.00,7.00,3.00,7.00,11.00,8.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6261850,6.00,5.00,2.00,4.00,7.00,8.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6261868,7.00,6.00,3.00,2.00,6.00,7.13,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6261876,4.00,3.00,0.00,1.00,5.00,4.50,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6261884,4.00,6.00,6.00,7.00,4.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6261892,3.00,1.00,3.00,3.00,6.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6261906,5.00,6.00,4.00,6.00,9.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6261914,4.00,5.00,0.00,5.00,10.00,9.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6261922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6261930,6.00,7.00,1.00,7.00,7.00,8.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6261957,3.00,2.00,1.00,1.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6261965,6.00,5.00,1.00,4.00,9.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6261981,3.00,2.00,3.00,3.00,4.00,8.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6262007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6262023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6262031,5.00,5.00,2.00,6.00,8.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6262040,6.00,6.00,3.00,7.00,10.00,10.13,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6262058,6.00,7.00,7.00,7.00,10.00,9.38,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6262074,3.00,2.00,3.00,0.00,4.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6262082,6.00,7.00,0.00,4.00,6.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6262090,5.00,6.00,6.00,5.00,6.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6262104,7.00,6.00,2.00,3.00,5.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6262112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6262120,5.00,6.00,4.00,5.00,8.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6262139,3.00,2.00,0.00,4.00,7.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6262147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6262155,1.00,2.00,2.00,4.00,4.00,8.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6262163,3.00,5.00,7.00,5.00,5.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6262171,4.00,5.00,3.00,6.00,7.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6262180,7.00,8.00,4.00,6.00,9.00,10.88,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6262198,2.00,5.00,4.00,6.00,7.00,6.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6262201,0.00,1.00,0.00,1.00,3.00,6.38,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6262228,6.00,4.00,1.00,4.00,8.00,10.13,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6262236,1.00,6.00,2.00,2.00,6.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6262244,4.00,3.00,2.00,3.00,7.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6262252,2.00,2.00,1.00,2.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6262260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S',NULL,'N'),(25,6262279,3.00,4.00,1.00,0.00,7.00,9.00,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6262287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6262295,2.00,3.00,2.00,3.00,5.00,7.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6262309,3.00,4.00,1.00,5.00,9.00,9.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6262317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6262325,3.00,6.00,2.00,5.00,8.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6262333,6.00,6.00,4.00,6.00,7.00,11.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6262341,2.00,3.00,2.00,6.00,3.00,8.25,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6262350,3.00,6.00,3.00,4.00,7.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6262368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6262384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6262392,2.00,2.00,0.00,1.00,4.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6262406,3.00,5.00,5.00,3.00,7.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6262414,4.00,4.00,4.00,6.00,5.00,9.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6262422,3.00,4.00,2.00,4.00,6.00,9.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6262430,5.00,5.00,0.00,5.00,6.00,8.25,0.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6262449,2.00,5.00,2.00,2.00,4.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6262457,5.00,8.00,4.00,6.00,9.00,6.75,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6262465,4.00,2.00,1.00,5.00,6.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6262481,3.00,5.00,0.00,6.00,8.00,12.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6262490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6262520,6.00,3.00,4.00,6.00,7.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6262538,6.00,7.00,6.00,6.00,7.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6262546,3.00,6.00,1.00,4.00,6.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6262554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6262562,7.00,7.00,3.00,5.00,8.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6262570,9.00,0.00,4.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6262589,4.00,5.00,3.00,3.00,4.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6262597,6.00,6.00,3.00,5.00,5.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6262619,5.00,7.00,1.00,6.00,7.00,6.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6262627,3.00,2.00,0.00,2.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6262643,7.00,5.00,6.00,7.00,10.00,11.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6262651,4.00,7.00,3.00,6.00,6.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6262660,3.00,6.00,5.00,2.00,7.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6262678,6.00,7.00,2.00,7.00,10.00,11.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6262686,4.00,2.00,3.00,3.00,8.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6262694,3.00,4.00,3.00,3.00,5.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6262708,2.00,3.00,0.00,0.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6262716,5.00,4.00,0.00,2.00,6.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6262724,4.00,4.00,1.00,6.00,6.00,6.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6262732,4.00,5.00,1.00,5.00,6.00,10.13,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6262740,6.00,5.00,5.00,6.00,6.00,11.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6262767,9.00,6.00,3.00,7.00,9.00,12.00,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6262775,7.00,7.00,5.00,6.00,6.00,7.88,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6262783,7.00,4.00,3.00,5.00,6.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6262791,3.00,3.00,1.00,0.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6262805,3.00,5.00,2.00,6.00,8.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6262821,6.00,5.00,5.00,5.00,6.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6262830,3.00,4.00,2.00,3.00,5.00,6.75,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6262856,6.00,5.00,1.00,3.00,6.00,9.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6262864,5.00,6.00,5.00,7.00,9.00,10.13,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6262872,7.00,6.00,2.00,6.00,8.00,10.88,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6262880,3.00,4.00,3.00,5.00,6.00,7.88,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6262899,6.00,7.00,1.00,3.00,9.00,7.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6262910,6.00,6.00,3.00,6.00,8.00,9.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6262929,7.00,5.00,4.00,7.00,9.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6262937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6262945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6262953,3.00,5.00,1.00,0.00,4.00,8.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6262961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6262970,8.00,8.00,2.00,6.00,8.00,9.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6262988,4.00,4.00,2.00,3.00,8.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6262996,3.00,4.00,1.00,3.00,3.00,7.13,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6263003,5.00,6.00,1.00,5.00,6.00,12.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6263011,5.00,5.00,6.00,6.00,10.00,12.00,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6263020,2.00,4.00,2.00,6.00,7.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6263038,4.00,4.00,1.00,6.00,6.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6263046,8.00,8.00,5.00,5.00,9.00,10.13,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6263054,8.00,6.00,6.00,5.00,9.00,11.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6263062,2.00,2.00,1.00,3.00,5.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6263070,5.00,5.00,3.00,5.00,8.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6263089,4.00,8.00,2.00,7.00,10.00,11.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6263097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6263100,6.00,6.00,3.00,5.00,9.00,11.63,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6263119,2.00,4.00,0.00,2.00,7.00,9.75,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6263127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6263135,4.00,5.00,2.00,5.00,5.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6263151,3.00,2.00,1.00,5.00,5.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6263160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6263178,5.00,3.00,0.00,4.00,3.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6263186,3.00,6.00,1.00,6.00,8.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6263194,9.00,5.00,4.00,5.00,8.00,9.38,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6263208,3.00,4.00,2.00,5.00,7.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6263216,8.00,6.00,6.00,7.00,8.00,10.50,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6263224,4.00,3.00,3.00,4.00,9.00,7.50,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6263232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6263240,3.00,5.00,0.00,7.00,9.00,12.38,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6263267,5.00,4.00,1.00,7.00,8.00,8.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6263275,6.00,5.00,2.00,6.00,6.00,10.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6263283,1.00,1.00,0.00,3.00,3.00,6.75,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6263313,3.00,3.00,4.00,3.00,5.00,8.63,0.00,0.00,3.00,NULL,NULL,NULL,'S'),(25,6263321,1.00,6.00,1.00,5.00,6.00,9.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6263330,6.00,7.00,6.00,5.00,8.00,6.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6263348,0.00,2.00,4.00,1.00,3.00,0.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6263356,6.00,7.00,6.00,7.00,8.00,10.88,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6263372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6263380,6.00,6.00,4.00,6.00,8.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6263399,6.00,5.00,0.00,6.00,10.00,9.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6263402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6263410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6263437,4.00,7.00,3.00,6.00,9.00,10.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6263445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6263461,0.00,3.00,3.00,2.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6263470,3.00,6.00,4.00,4.00,7.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6263488,4.00,6.00,3.00,3.00,8.00,6.75,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6263496,7.00,7.00,8.00,8.00,7.00,9.75,7.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6263518,6.00,3.00,6.00,2.00,6.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6263526,5.00,5.00,3.00,4.00,6.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6263534,5.00,6.00,1.00,6.00,8.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6263542,1.00,4.00,2.00,2.00,3.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6263550,5.00,6.00,1.00,2.00,8.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6263569,1.00,3.00,4.00,5.00,6.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6263577,4.00,6.00,1.00,2.00,5.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6263585,6.00,6.00,2.00,2.00,7.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6263593,2.00,5.00,2.00,4.00,7.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6263607,0.00,2.00,2.00,1.00,0.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6263615,2.00,4.00,1.00,2.00,8.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6263623,4.00,6.00,6.00,5.00,5.00,7.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6263631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6263658,3.00,2.00,1.00,1.00,3.00,9.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6263666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6263674,2.00,4.00,1.00,4.00,7.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6263682,4.00,6.00,1.00,1.00,7.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6263690,5.00,4.00,1.00,5.00,7.00,10.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6263704,1.00,3.00,2.00,2.00,3.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6263712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6263720,2.00,6.00,2.00,3.00,5.00,5.25,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6263747,4.00,6.00,2.00,6.00,5.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6263755,1.00,0.00,0.00,2.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6263763,3.00,2.00,4.00,6.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6263780,6.00,7.00,1.00,3.00,6.00,8.63,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6263801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6263810,3.00,7.00,4.00,1.00,6.00,9.75,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6263828,4.00,5.00,0.00,3.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6263836,6.00,5.00,1.00,7.00,8.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6263844,3.00,3.00,1.00,2.00,4.00,6.00,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6263852,3.00,5.00,2.00,3.00,7.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6263860,2.00,3.00,0.00,3.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6263879,7.00,7.00,6.00,6.00,8.00,10.88,1.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6263887,3.00,6.00,0.00,5.00,7.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6263895,4.00,6.00,6.00,6.00,7.00,9.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6263909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6263925,6.00,5.00,5.00,1.00,6.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6263933,6.00,4.00,4.00,7.00,5.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6263941,8.00,9.00,5.00,6.00,11.00,11.25,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6263950,3.00,5.00,1.00,2.00,3.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6263968,2.00,5.00,1.00,4.00,5.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6263976,8.00,6.00,2.00,7.00,8.00,7.13,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6263992,8.00,7.00,5.00,7.00,11.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6264000,3.00,6.00,1.00,5.00,7.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6264026,3.00,6.00,3.00,5.00,5.00,10.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6264034,6.00,7.00,4.00,1.00,7.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6264050,4.00,4.00,0.00,6.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6264069,7.00,7.00,3.00,5.00,6.00,7.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6264077,2.00,3.00,1.00,4.00,7.00,6.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6264085,3.00,2.00,1.00,1.00,4.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6264107,4.00,3.00,4.00,4.00,5.00,7.50,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6264115,6.00,5.00,2.00,6.00,8.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6264123,5.00,3.00,6.00,7.00,7.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6264131,5.00,5.00,2.00,3.00,7.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6264140,5.00,7.00,3.00,5.00,10.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6264158,2.00,2.00,2.00,4.00,6.00,7.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6264166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6264174,3.00,2.00,1.00,2.00,7.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6264182,4.00,4.00,1.00,3.00,4.00,4.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6264190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6264204,6.00,7.00,0.00,4.00,9.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6264212,4.00,7.00,2.00,3.00,6.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6264220,2.00,3.00,2.00,1.00,5.00,9.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6264239,5.00,5.00,6.00,6.00,9.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6264247,4.00,5.00,2.00,4.00,7.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6264255,3.00,4.00,3.00,5.00,6.00,7.88,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6264271,5.00,8.00,2.00,6.00,9.00,10.50,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6264298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6264301,1.00,3.00,1.00,4.00,4.00,5.63,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6264328,2.00,5.00,0.00,2.00,5.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6264336,5.00,7.00,2.00,6.00,7.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6264344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6264360,5.00,3.00,4.00,1.00,7.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6264379,5.00,5.00,4.00,5.00,6.00,9.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6264387,5.00,5.00,5.00,7.00,7.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6264395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6264409,5.00,4.00,3.00,4.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6264425,3.00,4.00,0.00,3.00,6.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6264433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6264450,3.00,4.00,0.00,3.00,6.00,10.88,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6264468,2.00,3.00,0.00,4.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6264476,8.00,8.00,2.00,4.00,8.00,11.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6264492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6264506,2.00,3.00,0.00,4.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6264514,6.00,6.00,2.00,2.00,7.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6264522,1.00,5.00,2.00,3.00,4.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6264530,4.00,6.00,1.00,5.00,7.00,10.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6264549,7.00,7.00,3.00,3.00,0.00,NULL,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6264557,4.00,5.00,0.00,4.00,6.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6264565,3.00,3.00,1.00,1.00,6.00,NULL,4.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6264573,2.00,6.00,1.00,7.00,8.00,10.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6264581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6264590,7.00,6.00,4.00,5.00,8.00,9.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6264603,3.00,4.00,2.00,4.00,6.00,7.50,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6264620,7.00,4.00,3.00,8.00,7.00,7.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6264638,4.00,7.00,4.00,1.00,4.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6264646,5.00,7.00,1.00,3.00,8.00,11.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6264654,6.00,5.00,4.00,7.00,9.00,12.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6264670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6264689,2.00,4.00,3.00,4.00,6.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6264697,2.00,5.00,1.00,4.00,8.00,9.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6264700,0.00,3.00,2.00,2.00,4.00,5.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6264719,1.00,2.00,2.00,1.00,4.00,7.88,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6264735,5.00,8.00,1.00,6.00,4.00,9.75,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6264743,5.00,6.00,2.00,5.00,9.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6264751,4.00,5.00,3.00,6.00,7.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6264778,5.00,6.00,4.00,6.00,7.00,8.63,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6264786,6.00,7.00,3.00,3.00,8.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6264794,4.00,6.00,1.00,3.00,4.00,6.75,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6264808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6264816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6264824,3.00,2.00,2.00,4.00,5.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6264859,4.00,4.00,3.00,5.00,7.00,8.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6264867,2.00,3.00,2.00,4.00,6.00,6.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6264875,6.00,4.00,5.00,6.00,7.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6264883,5.00,6.00,1.00,3.00,5.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6264905,4.00,5.00,3.00,6.00,9.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6264921,3.00,3.00,0.00,3.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,'S','N'),(25,6264930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6264948,5.00,6.00,3.00,7.00,8.00,8.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6264956,2.00,3.00,2.00,0.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6264964,3.00,7.00,1.00,5.00,7.00,9.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6264972,0.00,5.00,0.00,0.00,0.00,NULL,1.00,3.00,2.00,'S',NULL,NULL,'N'),(25,6264980,2.00,5.00,3.00,3.00,6.00,8.25,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6264999,8.00,8.00,5.00,6.00,9.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6265022,7.00,6.00,1.00,5.00,9.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6265049,4.00,6.00,2.00,4.00,6.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6265057,3.00,6.00,3.00,5.00,6.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6265065,2.00,2.00,0.00,3.00,3.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6265081,7.00,4.00,2.00,7.00,9.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6265090,2.00,4.00,1.00,5.00,6.00,10.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6265103,6.00,5.00,2.00,6.00,6.00,7.88,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6265111,3.00,0.00,3.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6265120,3.00,3.00,1.00,0.00,7.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6265146,6.00,6.00,1.00,4.00,10.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6265154,8.00,6.00,3.00,4.00,6.00,12.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6265162,4.00,5.00,2.00,3.00,6.00,9.00,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6265170,7.00,6.00,6.00,6.00,8.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6265189,2.00,2.00,0.00,1.00,1.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6265197,3.00,6.00,3.00,4.00,8.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6265200,2.00,3.00,2.00,2.00,4.00,6.38,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6265219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6265227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6265235,7.00,6.00,4.00,2.00,7.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6265243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6265251,5.00,3.00,3.00,2.00,4.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6265260,3.00,2.00,2.00,4.00,6.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6265278,2.00,4.00,2.00,1.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6265286,2.00,5.00,0.00,4.00,3.00,8.63,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6265316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6265324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6265332,7.00,4.00,3.00,7.00,8.00,9.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6265340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6265359,4.00,3.00,1.00,2.00,4.00,8.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6265367,0.00,4.00,2.00,1.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6265391,2.00,4.00,1.00,1.00,5.00,8.63,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6265405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6265413,5.00,5.00,3.00,3.00,6.00,6.75,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6265421,2.00,7.00,3.00,3.00,5.00,7.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6265430,4.00,7.00,2.00,7.00,9.00,9.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6265448,1.00,5.00,0.00,2.00,4.00,7.50,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6265456,6.00,5.00,1.00,5.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6265464,2.00,5.00,0.00,4.00,1.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6265472,3.00,5.00,0.00,4.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6265480,2.00,0.00,3.00,3.00,3.00,9.00,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6265499,6.00,5.00,3.00,0.00,6.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6265502,8.00,8.00,3.00,7.00,11.00,10.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6265510,7.00,5.00,3.00,6.00,9.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6265529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6265537,2.00,2.00,3.00,1.00,4.00,5.63,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6265545,7.00,7.00,3.00,7.00,8.00,7.88,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6265553,5.00,7.00,3.00,3.00,9.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6265570,0.00,3.00,2.00,3.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6265588,5.00,4.00,3.00,3.00,6.00,4.50,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6265596,2.00,2.00,1.00,5.00,5.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6265618,6.00,5.00,3.00,5.00,5.00,10.13,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6265626,5.00,3.00,1.00,6.00,8.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6265634,0.00,3.00,0.00,2.00,4.00,9.38,4.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6265650,5.00,5.00,4.00,5.00,6.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6265669,4.00,5.00,3.00,6.00,8.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6265677,7.00,5.00,4.00,4.00,10.00,9.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6265685,4.00,5.00,1.00,2.00,5.00,6.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6265693,3.00,5.00,3.00,4.00,6.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6265707,5.00,4.00,2.00,4.00,4.00,7.88,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6265715,2.00,6.00,2.00,6.00,5.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6265723,5.00,0.00,4.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6265731,6.00,8.00,3.00,7.00,11.00,11.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6265758,7.00,8.00,6.00,7.00,9.00,7.88,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6265766,8.00,6.00,8.00,6.00,9.00,8.63,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6265774,2.00,6.00,3.00,5.00,8.00,7.13,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6265790,3.00,4.00,2.00,5.00,5.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6265812,3.00,6.00,1.00,1.00,7.00,9.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6265847,4.00,7.00,2.00,5.00,5.00,8.63,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6265855,4.00,7.00,2.00,3.00,6.00,10.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6265863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6265871,3.00,2.00,3.00,4.00,5.00,9.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6265880,7.00,7.00,4.00,5.00,9.00,10.88,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6265898,0.00,5.00,0.00,0.00,0.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6265901,3.00,4.00,2.00,3.00,7.00,8.63,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6265910,7.00,6.00,4.00,6.00,7.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6265928,1.00,5.00,0.00,2.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6265936,8.00,6.00,6.00,6.00,9.00,11.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6265944,9.00,7.00,2.00,7.00,11.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6265952,5.00,6.00,0.00,7.00,10.00,12.75,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6265960,2.00,3.00,2.00,6.00,9.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6265979,1.00,2.00,1.00,3.00,5.00,6.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6265987,1.00,4.00,1.00,3.00,5.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6266002,7.00,8.00,5.00,6.00,8.00,10.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6266010,6.00,6.00,1.00,3.00,8.00,10.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6266029,4.00,5.00,2.00,2.00,4.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6266037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6266045,5.00,6.00,3.00,6.00,10.00,11.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6266070,6.00,7.00,2.00,4.00,8.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6266088,5.00,5.00,2.00,0.00,3.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6266096,4.00,4.00,0.00,2.00,6.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6266100,3.00,3.00,2.00,4.00,6.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6266118,5.00,3.00,0.00,1.00,6.00,8.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6266134,6.00,5.00,1.00,6.00,8.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6266142,6.00,6.00,4.00,7.00,7.00,10.50,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6266169,6.00,6.00,2.00,7.00,11.00,12.00,1.00,9.00,3.00,NULL,NULL,NULL,'N'),(25,6266185,3.00,5.00,2.00,5.00,7.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6266207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6266215,0.00,2.00,0.00,3.00,6.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6266223,8.00,6.00,2.00,7.00,8.00,10.88,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6266240,1.00,0.00,2.00,1.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6266258,6.00,5.00,2.00,3.00,7.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6266266,5.00,6.00,2.00,4.00,6.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(25,6266274,7.00,6.00,4.00,6.00,8.00,11.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6266282,3.00,6.00,3.00,4.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6266290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6266304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6266312,4.00,7.00,2.00,4.00,5.00,10.13,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6266339,5.00,7.00,1.00,3.00,7.00,8.63,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6266347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6266363,4.00,3.00,2.00,5.00,7.00,5.63,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6266371,1.00,2.00,2.00,3.00,5.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6266380,3.00,3.00,0.00,3.00,5.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6266401,6.00,4.00,3.00,6.00,9.00,7.50,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6266410,4.00,5.00,1.00,4.00,7.00,7.88,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6266436,5.00,6.00,1.00,4.00,6.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6266452,2.00,5.00,0.00,0.00,4.00,6.75,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6266460,8.00,7.00,4.00,4.00,10.00,10.50,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6266479,2.00,1.00,1.00,2.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6266487,5.00,7.00,5.00,4.00,8.00,8.25,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6266495,4.00,1.00,1.00,5.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6266509,3.00,4.00,1.00,3.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6266517,4.00,3.00,0.00,3.00,6.00,10.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6266525,3.00,4.00,3.00,2.00,6.00,7.13,2.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6266533,3.00,6.00,1.00,5.00,6.00,7.88,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6266550,2.00,3.00,5.00,6.00,4.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6266584,4.00,4.00,2.00,4.00,3.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6266592,5.00,4.00,2.00,0.00,5.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6266606,5.00,0.00,3.00,5.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6266614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6266622,7.00,5.00,2.00,5.00,6.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6266630,2.00,4.00,3.00,3.00,6.00,9.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6266649,3.00,4.00,3.00,2.00,5.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6266657,2.00,8.00,2.00,5.00,4.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6266665,1.00,5.00,0.00,3.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6266673,2.00,4.00,2.00,3.00,6.00,4.50,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6266690,5.00,0.00,1.00,4.00,6.00,NULL,1.00,1.00,1.00,NULL,NULL,'S','N'),(25,6266703,6.00,8.00,4.00,5.00,7.00,12.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6266720,3.00,5.00,2.00,3.00,8.00,7.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6266738,5.00,2.00,2.00,3.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6266746,6.00,5.00,1.00,4.00,9.00,9.00,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6266754,4.00,4.00,3.00,3.00,6.00,9.75,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6266762,4.00,4.00,4.00,3.00,7.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6266770,7.00,5.00,5.00,6.00,7.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6266789,4.00,5.00,5.00,4.00,8.00,11.63,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6266797,3.00,6.00,2.00,4.00,7.00,7.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6266800,7.00,5.00,3.00,5.00,7.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6266819,3.00,5.00,3.00,6.00,8.00,8.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6266827,6.00,5.00,0.00,4.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6266835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6266851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6266886,3.00,5.00,3.00,4.00,7.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6266894,7.00,7.00,3.00,6.00,7.00,9.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6266908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6266924,6.00,6.00,2.00,4.00,8.00,12.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6266940,2.00,3.00,3.00,3.00,3.00,6.38,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6266959,4.00,2.00,0.00,5.00,4.00,0.00,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6266967,2.00,3.00,1.00,2.00,6.00,5.25,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6266975,8.00,6.00,7.00,6.00,9.00,10.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6266983,0.00,3.00,2.00,2.00,3.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6266991,2.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6267009,3.00,5.00,4.00,3.00,8.00,10.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6267025,0.00,4.00,1.00,1.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6267033,3.00,3.00,0.00,1.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6267041,8.00,7.00,8.00,6.00,8.00,9.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6267050,7.00,7.00,2.00,7.00,10.00,6.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6267068,7.00,7.00,3.00,6.00,9.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6267076,1.00,2.00,0.00,1.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6267084,1.00,7.00,2.00,5.00,7.00,7.88,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6267092,4.00,6.00,3.00,4.00,7.00,7.13,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6267106,6.00,5.00,2.00,3.00,8.00,11.63,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6267114,3.00,4.00,2.00,6.00,7.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6267122,3.00,5.00,1.00,4.00,5.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6267130,1.00,4.00,3.00,3.00,8.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6267149,2.00,2.00,3.00,1.00,4.00,6.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6267157,6.00,5.00,5.00,5.00,7.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6267165,4.00,5.00,1.00,5.00,7.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6267181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6267190,3.00,5.00,3.00,5.00,6.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6267203,4.00,7.00,2.00,4.00,4.00,9.00,2.00,9.00,4.00,NULL,NULL,NULL,'S'),(25,6267211,6.00,1.00,1.00,0.00,5.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6267220,4.00,4.00,2.00,1.00,4.00,7.88,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6267238,4.00,5.00,3.00,5.00,6.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6267246,3.00,5.00,1.00,5.00,9.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6267254,4.00,3.00,4.00,5.00,4.00,7.13,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6267262,7.00,3.00,1.00,2.00,8.00,11.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6267270,2.00,6.00,0.00,5.00,6.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6267297,6.00,4.00,3.00,5.00,6.00,7.50,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6267300,6.00,5.00,2.00,3.00,6.00,9.75,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6267327,8.00,7.00,8.00,7.00,9.00,10.13,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6267343,6.00,4.00,1.00,6.00,8.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6267378,4.00,3.00,3.00,3.00,7.00,10.50,0.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6267394,4.00,6.00,2.00,1.00,5.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6267408,4.00,5.00,1.00,4.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6267416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6267432,5.00,5.00,3.00,6.00,8.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6267467,6.00,4.00,4.00,4.00,7.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6267475,2.00,6.00,0.00,4.00,5.00,9.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6267483,3.00,3.00,1.00,2.00,7.00,9.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6267491,8.00,6.00,7.00,6.00,9.00,8.25,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6267505,3.00,5.00,0.00,4.00,6.00,5.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6267513,4.00,5.00,2.00,5.00,6.00,9.00,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6267521,2.00,5.00,3.00,4.00,5.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6267530,2.00,2.00,3.00,1.00,5.00,7.50,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6267548,5.00,3.00,2.00,3.00,5.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6267556,3.00,4.00,1.00,4.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6267564,3.00,4.00,1.00,1.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6267572,5.00,3.00,2.00,7.00,6.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6267580,6.00,6.00,2.00,6.00,9.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6267610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6267629,4.00,5.00,1.00,5.00,5.00,7.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6267637,3.00,3.00,0.00,1.00,7.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6267645,5.00,6.00,0.00,5.00,7.00,10.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6267653,4.00,6.00,3.00,5.00,5.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6267661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6267670,7.00,6.00,5.00,5.00,9.00,11.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6267688,5.00,5.00,1.00,3.00,6.00,9.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6267696,4.00,7.00,1.00,5.00,6.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6267700,4.00,4.00,0.00,2.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6267718,3.00,5.00,4.00,4.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6267726,7.00,6.00,5.00,7.00,7.00,10.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6267734,3.00,4.00,2.00,2.00,4.00,4.88,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6267742,7.00,8.00,7.00,4.00,10.00,11.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6267750,3.00,4.00,2.00,3.00,7.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6267769,7.00,7.00,1.00,6.00,8.00,8.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6267785,5.00,8.00,3.00,4.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6267793,2.00,2.00,1.00,4.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6267807,5.00,4.00,0.00,7.00,8.00,9.38,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6267815,1.00,4.00,2.00,2.00,3.00,9.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6267823,4.00,3.00,1.00,2.00,4.00,9.00,1.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6267831,3.00,0.00,1.00,1.00,5.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6267840,2.00,4.00,3.00,3.00,4.00,4.50,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6267858,8.00,5.00,8.00,7.00,8.00,10.88,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6267866,6.00,8.00,3.00,4.00,6.00,9.00,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6267874,3.00,6.00,4.00,6.00,6.00,8.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6267882,5.00,6.00,0.00,4.00,6.00,NULL,1.00,4.00,4.00,NULL,NULL,'S','S'),(25,6267890,7.00,5.00,4.00,7.00,11.00,10.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6267904,3.00,4.00,1.00,3.00,6.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6267912,6.00,5.00,2.00,7.00,9.00,8.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6267947,2.00,5.00,0.00,5.00,5.00,7.13,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6267955,3.00,4.00,1.00,6.00,8.00,8.63,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6267963,4.00,4.00,2.00,4.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6267971,6.00,7.00,3.00,5.00,8.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6267980,5.00,7.00,4.00,7.00,10.00,12.38,2.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6268005,7.00,7.00,2.00,6.00,9.00,7.50,2.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6268013,4.00,3.00,1.00,4.00,4.00,9.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6268021,2.00,2.00,3.00,4.00,5.00,8.63,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6268030,2.00,4.00,1.00,1.00,4.00,5.25,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6268048,1.00,4.00,2.00,1.00,5.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6268064,0.00,5.00,0.00,4.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6268072,2.00,5.00,3.00,3.00,4.00,9.38,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6268129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6268137,8.00,5.00,3.00,7.00,10.00,7.13,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6268145,7.00,4.00,4.00,5.00,7.00,7.88,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6268153,2.00,3.00,1.00,2.00,4.00,9.00,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6268161,8.00,3.00,6.00,5.00,7.00,11.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6268170,6.00,4.00,2.00,3.00,5.00,7.50,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6268188,6.00,6.00,5.00,6.00,8.00,9.75,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6268196,6.00,7.00,3.00,7.00,10.00,10.13,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6268200,5.00,5.00,1.00,6.00,7.00,12.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6268218,5.00,5.00,3.00,7.00,9.00,12.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6268226,6.00,4.00,3.00,5.00,9.00,7.88,0.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6268234,3.00,4.00,0.00,6.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6268242,3.00,5.00,4.00,4.00,8.00,7.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6268250,9.00,5.00,1.00,7.00,9.00,9.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6268269,5.00,3.00,3.00,5.00,8.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6268285,2.00,4.00,1.00,3.00,6.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6268293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6268307,4.00,3.00,0.00,2.00,9.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6268315,3.00,3.00,4.00,4.00,4.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6268323,7.00,5.00,5.00,6.00,8.00,10.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6268331,3.00,3.00,5.00,2.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6268340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6268358,1.00,5.00,3.00,7.00,4.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6268366,6.00,6.00,2.00,6.00,7.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6268374,4.00,5.00,2.00,5.00,6.00,8.25,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6268382,4.00,3.00,3.00,4.00,5.00,9.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6268390,8.00,8.00,7.00,5.00,9.00,10.50,3.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6268404,7.00,8.00,2.00,5.00,10.00,11.63,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6268420,3.00,2.00,2.00,3.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6268439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6268447,3.00,5.00,1.00,4.00,6.00,5.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6268463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6268480,2.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6268498,4.00,3.00,2.00,5.00,7.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6268501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6268510,3.00,6.00,4.00,4.00,6.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6268536,3.00,5.00,3.00,5.00,5.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6268544,2.00,3.00,2.00,4.00,7.00,8.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6268560,8.00,7.00,5.00,5.00,9.00,10.50,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6268579,3.00,5.00,0.00,2.00,8.00,NULL,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6268587,8.00,8.00,4.00,7.00,8.00,8.25,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6268609,7.00,3.00,1.00,5.00,5.00,8.63,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6268617,6.00,7.00,1.00,7.00,7.00,10.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6268625,9.00,7.00,7.00,5.00,9.00,11.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6268633,2.00,5.00,2.00,1.00,4.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6268641,5.00,5.00,0.00,7.00,8.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6268650,3.00,5.00,0.00,2.00,6.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6268668,2.00,3.00,1.00,2.00,6.00,8.63,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6268676,5.00,6.00,3.00,3.00,6.00,6.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6268684,2.00,3.00,1.00,1.00,6.00,4.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6268692,2.00,4.00,1.00,3.00,3.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6268714,5.00,3.00,2.00,3.00,7.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6268722,4.00,6.00,2.00,6.00,5.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6268730,7.00,7.00,2.00,4.00,8.00,10.13,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6268749,5.00,4.00,4.00,5.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6268757,6.00,7.00,0.00,4.00,10.00,9.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6268765,9.00,7.00,4.00,5.00,5.00,8.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6268773,3.00,4.00,1.00,3.00,6.00,8.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6268803,4.00,6.00,2.00,1.00,6.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6268854,4.00,8.00,3.00,4.00,5.00,9.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6268862,3.00,0.00,1.00,4.00,5.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6268870,3.00,4.00,2.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6268889,2.00,6.00,3.00,5.00,7.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6268897,5.00,2.00,2.00,3.00,6.00,8.63,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6268900,6.00,6.00,3.00,7.00,9.00,11.63,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6268919,5.00,4.00,0.00,3.00,8.00,7.88,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6268927,3.00,2.00,2.00,6.00,6.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'S'),(25,6268935,7.00,6.00,3.00,6.00,11.00,7.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6268943,6.00,3.00,2.00,4.00,4.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6268960,2.00,5.00,2.00,5.00,4.00,6.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6268986,5.00,8.00,2.00,5.00,9.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6268994,5.00,6.00,4.00,5.00,7.00,9.00,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6269001,8.00,7.00,5.00,6.00,9.00,9.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6269010,3.00,4.00,3.00,4.00,7.00,7.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6269028,6.00,4.00,2.00,5.00,7.00,4.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6269036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6269052,1.00,3.00,0.00,3.00,3.00,6.38,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6269079,6.00,4.00,3.00,6.00,7.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6269087,4.00,5.00,0.00,1.00,4.00,7.13,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6269095,6.00,6.00,5.00,6.00,7.00,8.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6269117,7.00,6.00,2.00,6.00,9.00,10.50,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6269125,3.00,6.00,1.00,4.00,4.00,5.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6269133,4.00,5.00,5.00,0.00,5.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6269150,5.00,4.00,1.00,5.00,9.00,10.13,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6269168,3.00,4.00,2.00,4.00,3.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6269176,8.00,7.00,8.00,6.00,8.00,8.63,7.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6269184,5.00,5.00,0.00,4.00,7.00,8.63,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6269192,4.00,3.00,2.00,7.00,8.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6269206,3.00,5.00,0.00,4.00,3.00,8.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6269214,4.00,5.00,0.00,4.00,6.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6269222,6.00,5.00,1.00,5.00,5.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6269230,5.00,5.00,0.00,7.00,4.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6269249,7.00,7.00,3.00,5.00,8.00,11.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6269257,4.00,7.00,2.00,4.00,8.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6269265,3.00,4.00,1.00,2.00,6.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6269273,4.00,3.00,3.00,5.00,7.00,9.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6269281,5.00,5.00,2.00,5.00,6.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6269290,5.00,5.00,2.00,4.00,7.00,7.13,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6269303,5.00,8.00,4.00,6.00,9.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6269311,6.00,4.00,2.00,2.00,6.00,10.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6269320,4.00,6.00,3.00,5.00,8.00,9.75,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6269338,2.00,4.00,2.00,5.00,6.00,8.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6269354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6269362,7.00,6.00,7.00,7.00,10.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6269370,2.00,3.00,3.00,3.00,4.00,7.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6269389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6269397,7.00,6.00,3.00,4.00,7.00,9.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6269400,7.00,7.00,6.00,5.00,7.00,7.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6269427,6.00,4.00,4.00,3.00,7.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6269435,8.00,6.00,8.00,7.00,8.00,9.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6269443,8.00,7.00,2.00,5.00,9.00,8.63,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6269451,3.00,1.00,2.00,3.00,3.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6269460,7.00,6.00,3.00,3.00,8.00,7.88,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6269478,2.00,4.00,2.00,3.00,8.00,7.88,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6269486,3.00,6.00,4.00,6.00,8.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6269494,4.00,4.00,4.00,3.00,7.00,9.00,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6269508,2.00,3.00,2.00,7.00,6.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6269516,3.00,5.00,3.00,0.00,2.00,NULL,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6269524,5.00,3.00,3.00,6.00,10.00,10.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6269532,9.00,6.00,4.00,7.00,10.00,9.75,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6269540,2.00,5.00,0.00,3.00,3.00,0.00,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6269567,7.00,9.00,3.00,6.00,10.00,11.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6269575,5.00,8.00,2.00,6.00,8.00,12.75,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6269583,4.00,6.00,0.00,5.00,9.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6269591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6269605,6.00,5.00,7.00,5.00,7.00,8.63,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6269613,5.00,7.00,5.00,6.00,8.00,9.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6269621,6.00,5.00,4.00,7.00,8.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6269630,2.00,3.00,2.00,3.00,4.00,8.63,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6269648,2.00,1.00,1.00,3.00,5.00,7.50,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6269656,3.00,4.00,1.00,2.00,5.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6269664,2.00,4.00,1.00,1.00,4.00,8.25,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6269672,4.00,7.00,3.00,5.00,8.00,7.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6269680,4.00,6.00,1.00,4.00,9.00,7.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6269699,1.00,2.00,4.00,0.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6269702,5.00,5.00,3.00,2.00,3.00,5.25,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6269710,4.00,5.00,3.00,4.00,5.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6269729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6269737,4.00,4.00,1.00,5.00,4.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6269753,4.00,4.00,2.00,6.00,8.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6269761,3.00,4.00,1.00,2.00,4.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6269770,6.00,7.00,2.00,4.00,5.00,10.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6269788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6269796,4.00,5.00,5.00,5.00,7.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6269818,5.00,7.00,5.00,3.00,5.00,7.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6269826,0.00,2.00,1.00,2.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6269834,3.00,3.00,0.00,3.00,6.00,6.38,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6269842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6269850,5.00,5.00,2.00,5.00,6.00,9.38,1.00,5.00,6.00,NULL,NULL,NULL,'S'),(25,6269869,3.00,5.00,3.00,2.00,9.00,4.88,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6269877,1.00,3.00,2.00,3.00,6.00,5.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6269893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6269907,3.00,4.00,1.00,1.00,6.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6269915,6.00,5.00,3.00,7.00,8.00,11.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6269923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6269940,5.00,6.00,4.00,6.00,7.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6269958,3.00,5.00,3.00,5.00,7.00,9.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6269966,4.00,4.00,3.00,5.00,9.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6269974,7.00,5.00,4.00,6.00,9.00,12.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6269990,9.00,6.00,8.00,7.00,8.00,6.38,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6270000,2.00,4.00,3.00,4.00,6.00,6.38,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6270018,5.00,6.00,3.00,4.00,8.00,7.13,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6270026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6270034,3.00,3.00,3.00,1.00,4.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6270042,7.00,7.00,5.00,7.00,10.00,11.63,2.00,2.00,8.00,NULL,NULL,NULL,'N'),(25,6270050,9.00,6.00,7.00,7.00,8.00,7.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6270069,3.00,6.00,5.00,6.00,7.00,10.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6270077,4.00,3.00,1.00,4.00,6.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6270093,2.00,5.00,1.00,4.00,6.00,7.50,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6270107,2.00,3.00,1.00,2.00,5.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6270115,4.00,3.00,1.00,4.00,6.00,8.63,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6270123,8.00,6.00,3.00,6.00,9.00,9.38,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6270131,1.00,0.00,2.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6270140,2.00,2.00,1.00,1.00,3.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6270158,7.00,5.00,5.00,6.00,10.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6270166,4.00,3.00,1.00,3.00,7.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6270174,1.00,1.00,0.00,0.00,3.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6270182,4.00,6.00,1.00,3.00,10.00,10.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6270190,2.00,1.00,0.00,3.00,5.00,7.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6270204,4.00,7.00,3.00,6.00,10.00,NULL,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6270212,3.00,3.00,3.00,4.00,5.00,10.13,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6270220,9.00,6.00,3.00,6.00,9.00,8.63,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6270239,3.00,7.00,2.00,6.00,7.00,10.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6270247,3.00,7.00,3.00,4.00,6.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6270263,3.00,3.00,1.00,5.00,6.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6270271,5.00,7.00,1.00,6.00,8.00,10.50,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6270280,3.00,6.00,2.00,5.00,8.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6270298,7.00,6.00,7.00,7.00,9.00,7.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6270301,5.00,6.00,4.00,5.00,8.00,10.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6270328,3.00,3.00,0.00,2.00,3.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6270344,6.00,7.00,2.00,5.00,8.00,7.88,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6270360,6.00,8.00,4.00,6.00,8.00,11.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6270387,5.00,6.00,3.00,2.00,6.00,10.13,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6270395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6270409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6270417,2.00,5.00,1.00,6.00,7.00,11.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6270425,6.00,4.00,2.00,7.00,9.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6270441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6270450,6.00,6.00,2.00,6.00,9.00,9.38,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6270468,4.00,5.00,4.00,7.00,9.00,9.75,2.00,8.00,5.00,NULL,NULL,NULL,'S'),(25,6270476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6270492,5.00,4.00,1.00,7.00,7.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6270514,3.00,4.00,3.00,3.00,3.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6270522,4.00,5.00,1.00,3.00,7.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6270530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6270549,3.00,5.00,1.00,3.00,5.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6270565,0.00,2.00,1.00,0.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6270573,3.00,6.00,0.00,3.00,7.00,9.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6270590,8.00,7.00,3.00,7.00,9.00,10.13,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6270603,6.00,4.00,6.00,6.00,5.00,12.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6270611,3.00,4.00,0.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6270638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6270646,5.00,6.00,1.00,4.00,4.00,7.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6270654,7.00,2.00,5.00,2.00,6.00,10.13,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6270662,6.00,6.00,1.00,3.00,7.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6270670,5.00,4.00,4.00,3.00,10.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6270689,4.00,6.00,3.00,4.00,5.00,6.38,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6270697,5.00,6.00,4.00,6.00,8.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6270700,5.00,4.00,3.00,4.00,7.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6270719,8.00,7.00,5.00,7.00,8.00,10.13,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6270727,4.00,3.00,2.00,2.00,4.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6270735,2.00,3.00,1.00,5.00,4.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6270743,5.00,7.00,3.00,6.00,7.00,13.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6270751,6.00,2.00,1.00,6.00,8.00,8.63,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6270760,5.00,5.00,2.00,2.00,9.00,10.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6270778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6270786,4.00,3.00,2.00,3.00,7.00,7.13,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6270794,2.00,6.00,0.00,4.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6270808,1.00,5.00,0.00,2.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6270816,3.00,5.00,3.00,1.00,6.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6270824,4.00,2.00,2.00,5.00,4.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6270832,2.00,4.00,2.00,2.00,8.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6270840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6270859,5.00,2.00,1.00,6.00,6.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6270875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6270891,5.00,7.00,2.00,7.00,9.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6270905,8.00,7.00,1.00,4.00,8.00,9.00,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6270913,2.00,0.00,1.00,2.00,3.00,6.75,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6270921,3.00,4.00,1.00,5.00,7.00,4.50,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6270930,4.00,3.00,3.00,3.00,5.00,7.88,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6270948,2.00,6.00,1.00,5.00,7.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6270956,6.00,7.00,3.00,5.00,7.00,6.38,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6270972,2.00,6.00,0.00,4.00,8.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6270999,8.00,4.00,2.00,7.00,6.00,6.75,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6271006,4.00,5.00,2.00,2.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6271014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6271022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6271049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6271057,8.00,4.00,0.00,6.00,8.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6271065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6271073,1.00,1.00,1.00,3.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6271103,3.00,5.00,3.00,5.00,8.00,NULL,3.00,3.00,4.00,NULL,NULL,'S','S'),(25,6271111,8.00,5.00,4.00,7.00,7.00,7.88,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6271120,3.00,2.00,3.00,3.00,1.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6271138,5.00,7.00,3.00,5.00,5.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6271146,4.00,6.00,1.00,4.00,5.00,5.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6271162,1.00,5.00,1.00,2.00,5.00,6.75,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6271170,3.00,2.00,1.00,5.00,5.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6271189,5.00,5.00,2.00,3.00,6.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6271197,7.00,6.00,3.00,5.00,9.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6271200,7.00,7.00,4.00,5.00,10.00,12.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6271219,1.00,5.00,1.00,1.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6271227,7.00,7.00,2.00,7.00,8.00,5.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6271235,1.00,2.00,1.00,4.00,6.00,7.13,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6271243,7.00,8.00,1.00,5.00,10.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6271251,2.00,5.00,2.00,3.00,7.00,8.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6271260,3.00,5.00,1.00,5.00,9.00,9.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6271278,7.00,5.00,3.00,6.00,8.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6271286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6271294,5.00,6.00,0.00,5.00,9.00,6.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6271308,6.00,8.00,3.00,7.00,8.00,7.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6271316,1.00,3.00,2.00,3.00,4.00,8.63,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6271332,7.00,5.00,3.00,7.00,9.00,10.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6271340,8.00,6.00,5.00,5.00,9.00,9.75,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6271367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6271383,3.00,5.00,1.00,2.00,3.00,9.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6271391,7.00,6.00,5.00,3.00,8.00,11.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6271405,4.00,7.00,2.00,3.00,7.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6271413,0.00,0.00,0.00,4.00,10.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6271421,7.00,5.00,0.00,4.00,8.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6271430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6271448,1.00,4.00,1.00,2.00,3.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6271464,4.00,2.00,2.00,1.00,6.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6271472,6.00,5.00,3.00,6.00,8.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6271480,7.00,5.00,6.00,7.00,6.00,8.25,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6271499,4.00,7.00,6.00,4.00,10.00,10.50,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6271502,3.00,7.00,3.00,4.00,6.00,6.75,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6271510,4.00,7.00,3.00,8.00,10.00,7.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6271529,4.00,3.00,2.00,3.00,8.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6271537,7.00,5.00,2.00,3.00,7.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6271545,4.00,5.00,3.00,3.00,6.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6271553,1.00,4.00,2.00,2.00,5.00,9.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6271561,3.00,6.00,2.00,3.00,7.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6271570,1.00,2.00,2.00,1.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6271588,3.00,4.00,1.00,4.00,7.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6271596,3.00,3.00,3.00,5.00,6.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6271600,4.00,6.00,4.00,6.00,7.00,7.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6271618,8.00,5.00,5.00,8.00,9.00,9.00,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6271626,2.00,4.00,1.00,2.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6271634,4.00,6.00,2.00,5.00,7.00,6.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6271642,3.00,4.00,0.00,2.00,7.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6271650,7.00,4.00,1.00,5.00,7.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6271677,5.00,4.00,1.00,3.00,5.00,8.25,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6271685,9.00,0.00,5.00,4.00,10.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6271693,4.00,7.00,2.00,4.00,6.00,7.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6271707,4.00,4.00,2.00,5.00,5.00,10.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6271731,7.00,5.00,4.00,7.00,8.00,9.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6271740,5.00,6.00,0.00,5.00,5.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(25,6271758,7.00,5.00,7.00,6.00,5.00,8.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6271766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6271774,4.00,6.00,3.00,6.00,6.00,8.63,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6271782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6271790,2.00,1.00,0.00,1.00,3.00,3.75,1.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6271804,6.00,6.00,6.00,6.00,10.00,8.25,2.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6271812,6.00,7.00,3.00,3.00,8.00,9.38,1.00,2.00,9.00,NULL,NULL,NULL,'N'),(25,6271820,4.00,4.00,3.00,4.00,5.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6271847,5.00,6.00,3.00,6.00,9.00,12.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6271880,3.00,3.00,1.00,3.00,6.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6271898,7.00,6.00,3.00,7.00,8.00,10.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6271901,6.00,6.00,0.00,2.00,4.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6271910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6271928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6271936,2.00,4.00,4.00,6.00,5.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6271944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6271952,4.00,5.00,1.00,3.00,6.00,10.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6271960,5.00,5.00,1.00,7.00,8.00,11.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6271979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6271987,1.00,0.00,1.00,4.00,6.00,7.13,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6272002,6.00,4.00,1.00,4.00,9.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6272010,2.00,4.00,2.00,6.00,7.00,9.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6272037,4.00,6.00,1.00,6.00,8.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6272045,4.00,6.00,3.00,6.00,8.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6272053,3.00,5.00,1.00,4.00,3.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6272061,6.00,3.00,1.00,2.00,7.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6272070,2.00,3.00,1.00,6.00,5.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6272096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6272118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6272126,3.00,0.00,3.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6272134,7.00,5.00,3.00,5.00,10.00,11.25,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6272142,8.00,8.00,4.00,6.00,9.00,11.63,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6272150,6.00,4.00,1.00,5.00,6.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6272169,5.00,5.00,1.00,7.00,9.00,9.75,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6272177,4.00,5.00,2.00,3.00,7.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6272185,7.00,7.00,2.00,6.00,9.00,8.25,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6272193,6.00,6.00,3.00,3.00,9.00,12.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6272207,6.00,5.00,3.00,5.00,9.00,10.50,3.00,7.00,5.00,NULL,NULL,NULL,'S'),(25,6272215,4.00,5.00,2.00,6.00,8.00,8.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6272223,6.00,5.00,3.00,6.00,9.00,8.63,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6272231,5.00,5.00,3.00,5.00,7.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6272240,2.00,3.00,4.00,1.00,4.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6272258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6272266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6272274,6.00,5.00,2.00,2.00,7.00,12.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6272282,3.00,5.00,2.00,4.00,6.00,10.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6272290,6.00,5.00,3.00,6.00,9.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6272304,5.00,7.00,3.00,6.00,6.00,7.88,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6272312,6.00,5.00,2.00,7.00,8.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6272320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6272339,8.00,7.00,3.00,5.00,7.00,8.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6272347,3.00,4.00,2.00,7.00,6.00,10.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6272355,5.00,6.00,1.00,3.00,7.00,11.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6272363,3.00,3.00,2.00,2.00,7.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6272371,3.00,5.00,3.00,3.00,7.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6272380,6.00,4.00,3.00,6.00,7.00,8.25,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6272398,2.00,1.00,2.00,2.00,5.00,6.75,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6272410,5.00,0.00,2.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6272428,2.00,5.00,2.00,2.00,6.00,9.75,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6272444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6272452,3.00,3.00,1.00,5.00,5.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6272460,3.00,4.00,7.00,5.00,5.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6272495,5.00,5.00,2.00,6.00,8.00,8.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6272509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6272517,3.00,4.00,1.00,2.00,6.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6272525,4.00,4.00,1.00,1.00,6.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6272533,7.00,7.00,7.00,4.00,10.00,10.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6272541,4.00,4.00,2.00,3.00,5.00,7.13,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6272550,4.00,0.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(25,6272568,2.00,7.00,1.00,5.00,5.00,8.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6272584,7.00,7.00,7.00,7.00,7.00,9.38,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6272592,5.00,5.00,2.00,3.00,6.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6272606,6.00,4.00,2.00,4.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6272622,9.00,5.00,3.00,7.00,10.00,8.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6272630,3.00,4.00,1.00,3.00,5.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6272649,4.00,4.00,2.00,3.00,6.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6272657,3.00,3.00,3.00,5.00,5.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6272665,5.00,5.00,3.00,5.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6272690,3.00,3.00,2.00,4.00,5.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6272703,4.00,5.00,3.00,5.00,8.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6272711,3.00,7.00,2.00,5.00,6.00,10.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6272720,5.00,6.00,0.00,1.00,8.00,8.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6272738,7.00,3.00,0.00,3.00,5.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6272746,2.00,6.00,1.00,1.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6272754,3.00,2.00,0.00,1.00,3.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6272762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6272770,1.00,3.00,1.00,5.00,5.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6272789,2.00,4.00,3.00,7.00,8.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6272797,3.00,3.00,3.00,2.00,6.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6272800,2.00,4.00,0.00,6.00,6.00,8.25,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6272819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6272827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6272835,6.00,6.00,1.00,5.00,8.00,6.00,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6272843,2.00,3.00,1.00,3.00,4.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6272851,4.00,7.00,4.00,5.00,6.00,10.50,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6272860,9.00,6.00,9.00,6.00,9.00,9.38,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6272878,3.00,5.00,2.00,3.00,5.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6272894,6.00,8.00,4.00,6.00,8.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6272908,4.00,5.00,0.00,3.00,7.00,6.75,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6272916,3.00,3.00,2.00,2.00,4.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6272924,2.00,5.00,4.00,3.00,6.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6272932,7.00,7.00,1.00,6.00,8.00,7.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6272940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6272959,4.00,3.00,2.00,3.00,8.00,7.13,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6272967,7.00,6.00,3.00,5.00,10.00,9.75,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6272975,4.00,4.00,1.00,5.00,5.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6272983,4.00,4.00,1.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6272991,3.00,2.00,0.00,3.00,6.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6273009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6273025,5.00,4.00,5.00,6.00,8.00,8.25,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6273033,5.00,2.00,1.00,4.00,4.00,7.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6273041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6273068,3.00,7.00,1.00,4.00,9.00,5.63,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6273076,4.00,1.00,3.00,4.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6273084,2.00,3.00,0.00,7.00,7.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6273092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6273106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6273114,8.00,7.00,6.00,7.00,10.00,9.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6273122,7.00,7.00,2.00,4.00,8.00,9.75,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6273130,4.00,3.00,2.00,6.00,7.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6273149,5.00,6.00,1.00,5.00,6.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6273157,4.00,5.00,2.00,5.00,6.00,10.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6273165,0.00,2.00,1.00,1.00,3.00,7.50,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6273173,4.00,4.00,6.00,4.00,6.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6273181,8.00,7.00,2.00,5.00,6.00,8.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6273190,3.00,2.00,3.00,3.00,7.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6273203,5.00,5.00,4.00,5.00,6.00,9.38,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6273211,2.00,3.00,2.00,3.00,6.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6273220,5.00,4.00,0.00,2.00,4.00,10.13,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6273238,6.00,7.00,4.00,6.00,9.00,9.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6273246,5.00,5.00,1.00,4.00,8.00,8.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6273254,3.00,2.00,1.00,3.00,5.00,7.13,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6273262,6.00,7.00,6.00,7.00,7.00,10.88,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6273270,3.00,4.00,1.00,3.00,7.00,6.75,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6273300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6273319,5.00,5.00,4.00,6.00,9.00,9.00,0.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6273327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6273335,3.00,5.00,2.00,1.00,5.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6273351,0.00,2.00,2.00,2.00,4.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6273360,4.00,6.00,4.00,3.00,6.00,8.63,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6273378,4.00,4.00,2.00,5.00,6.00,10.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6273394,2.00,5.00,1.00,3.00,3.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6273408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6273416,2.00,5.00,1.00,2.00,5.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6273432,5.00,5.00,3.00,4.00,4.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6273440,4.00,6.00,3.00,6.00,9.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6273467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6273475,2.00,4.00,1.00,2.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6273483,3.00,6.00,2.00,3.00,4.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6273491,3.00,4.00,3.00,2.00,5.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6273505,3.00,4.00,3.00,2.00,5.00,9.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6273521,1.00,4.00,1.00,2.00,5.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6273548,5.00,5.00,1.00,6.00,8.00,11.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6273556,5.00,7.00,0.00,4.00,5.00,NULL,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6273564,4.00,4.00,1.00,3.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6273572,4.00,5.00,3.00,5.00,6.00,7.88,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6273580,1.00,4.00,2.00,3.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6273599,3.00,5.00,1.00,4.00,8.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6273602,4.00,4.00,2.00,7.00,6.00,6.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6273610,5.00,4.00,3.00,4.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6273645,1.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6273653,4.00,3.00,4.00,1.00,3.00,4.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6273670,3.00,6.00,3.00,6.00,6.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6273688,6.00,8.00,1.00,6.00,10.00,12.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6273696,6.00,7.00,1.00,7.00,9.00,9.00,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6273700,7.00,6.00,6.00,6.00,10.00,12.00,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6273718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6273726,6.00,6.00,5.00,5.00,5.00,7.88,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6273734,2.00,2.00,0.00,2.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6273742,4.00,6.00,2.00,8.00,7.00,11.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6273750,3.00,7.00,2.00,3.00,6.00,7.13,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6273777,6.00,8.00,5.00,5.00,8.00,6.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6273785,5.00,7.00,2.00,3.00,7.00,0.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6273793,6.00,3.00,2.00,7.00,6.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6273815,2.00,3.00,1.00,2.00,8.00,6.38,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6273823,6.00,7.00,3.00,6.00,9.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6273831,3.00,4.00,3.00,4.00,9.00,10.13,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6273840,5.00,3.00,0.00,2.00,8.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6273858,2.00,7.00,0.00,2.00,3.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6273866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6273882,2.00,3.00,2.00,2.00,5.00,6.75,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6273904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6273912,3.00,5.00,1.00,5.00,6.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6273939,6.00,6.00,4.00,7.00,7.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6273947,5.00,7.00,6.00,2.00,7.00,6.75,1.00,7.00,0.00,NULL,NULL,NULL,'N'),(25,6273955,2.00,3.00,2.00,0.00,6.00,6.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6273963,5.00,6.00,1.00,6.00,7.00,6.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6273998,9.00,5.00,7.00,6.00,8.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6274005,3.00,6.00,6.00,7.00,8.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6274013,4.00,5.00,4.00,4.00,6.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6274030,5.00,5.00,3.00,3.00,6.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6274048,2.00,6.00,1.00,6.00,7.00,7.88,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6274056,5.00,7.00,3.00,3.00,4.00,9.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6274072,5.00,5.00,3.00,4.00,6.00,8.25,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6274080,5.00,3.00,2.00,4.00,6.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6274110,6.00,5.00,1.00,1.00,4.00,10.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6274129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6274137,2.00,5.00,1.00,3.00,5.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6274161,2.00,6.00,3.00,6.00,9.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6274188,4.00,5.00,2.00,2.00,8.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6274218,3.00,5.00,3.00,3.00,3.00,7.13,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6274226,4.00,4.00,4.00,7.00,8.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6274250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6274269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6274293,1.00,5.00,2.00,4.00,9.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6274307,4.00,5.00,5.00,6.00,7.00,9.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6274315,1.00,6.00,1.00,4.00,7.00,6.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6274323,6.00,6.00,5.00,7.00,8.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6274331,3.00,3.00,0.00,4.00,7.00,7.13,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6274340,2.00,3.00,1.00,3.00,3.00,4.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6274358,3.00,4.00,1.00,2.00,4.00,5.63,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6274374,8.00,8.00,5.00,7.00,9.00,9.38,2.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6274382,3.00,5.00,1.00,1.00,6.00,7.13,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6274390,2.00,4.00,1.00,0.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6274404,5.00,7.00,4.00,6.00,9.00,8.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6274412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6274420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6274447,2.00,4.00,2.00,6.00,9.00,11.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6274463,2.00,4.00,2.00,2.00,8.00,6.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6274480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6274498,3.00,6.00,2.00,6.00,6.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6274501,3.00,4.00,1.00,2.00,5.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6274510,5.00,6.00,2.00,4.00,8.00,6.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6274528,6.00,4.00,3.00,1.00,7.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6274536,4.00,6.00,2.00,1.00,7.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6274544,4.00,5.00,7.00,4.00,6.00,6.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6274552,5.00,6.00,4.00,6.00,7.00,10.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6274560,3.00,4.00,3.00,6.00,8.00,8.63,0.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6274579,1.00,3.00,0.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6274587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6274609,2.00,3.00,2.00,2.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6274625,1.00,3.00,2.00,7.00,5.00,9.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6274641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6274650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6274668,5.00,6.00,5.00,5.00,6.00,7.88,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6274676,4.00,3.00,2.00,2.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6274706,2.00,3.00,0.00,3.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6274714,9.00,6.00,4.00,3.00,9.00,9.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6274722,3.00,3.00,1.00,3.00,6.00,7.88,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6274749,1.00,3.00,0.00,7.00,10.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6274765,3.00,4.00,2.00,4.00,7.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6274773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6274781,6.00,5.00,3.00,6.00,8.00,10.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6274790,3.00,3.00,0.00,6.00,5.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6274820,1.00,4.00,2.00,3.00,3.00,7.88,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6274838,7.00,7.00,0.00,3.00,8.00,NULL,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6274846,5.00,7.00,1.00,4.00,9.00,10.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6274854,0.00,2.00,4.00,1.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6274889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6274897,4.00,6.00,1.00,5.00,7.00,12.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6274900,4.00,3.00,1.00,2.00,6.00,7.13,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6274919,5.00,6.00,3.00,6.00,8.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6274927,4.00,3.00,2.00,2.00,4.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6274935,4.00,4.00,3.00,4.00,8.00,8.25,0.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6274943,7.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6274951,5.00,4.00,1.00,3.00,4.00,10.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6274986,7.00,8.00,5.00,6.00,10.00,7.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6274994,2.00,2.00,1.00,1.00,5.00,7.88,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6275001,2.00,4.00,2.00,5.00,7.00,10.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6275010,6.00,6.00,5.00,5.00,8.00,8.25,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6275044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6275052,4.00,5.00,3.00,3.00,5.00,7.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6275060,9.00,4.00,1.00,6.00,6.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6275087,1.00,5.00,0.00,4.00,5.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6275109,2.00,3.00,0.00,2.00,5.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6275117,4.00,5.00,2.00,3.00,5.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6275125,4.00,5.00,3.00,6.00,7.00,9.38,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6275133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6275168,5.00,3.00,0.00,6.00,8.00,10.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6275184,7.00,6.00,3.00,6.00,9.00,10.50,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6275206,2.00,4.00,1.00,3.00,6.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6275222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6275249,8.00,6.00,2.00,6.00,8.00,8.63,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6275257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6275265,4.00,6.00,3.00,6.00,8.00,8.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6275273,2.00,5.00,2.00,1.00,5.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6275281,1.00,2.00,3.00,2.00,6.00,6.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6275290,4.00,2.00,1.00,2.00,4.00,6.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6275303,5.00,5.00,4.00,3.00,6.00,9.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6275320,5.00,3.00,2.00,5.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6275338,4.00,6.00,2.00,6.00,6.00,7.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6275346,2.00,2.00,2.00,5.00,7.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6275362,4.00,6.00,3.00,3.00,8.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6275370,1.00,2.00,1.00,6.00,1.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6275389,2.00,4.00,2.00,2.00,4.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6275397,3.00,5.00,0.00,6.00,3.00,5.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6275400,4.00,5.00,1.00,4.00,5.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6275419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6275427,2.00,1.00,0.00,3.00,5.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6275435,5.00,4.00,2.00,2.00,5.00,0.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6275443,5.00,6.00,3.00,6.00,7.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6275451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6275460,2.00,3.00,1.00,5.00,4.00,8.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6275478,2.00,4.00,1.00,3.00,7.00,9.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6275486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6275494,2.00,6.00,3.00,3.00,6.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6275508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6275516,1.00,4.00,1.00,5.00,6.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6275524,3.00,4.00,3.00,5.00,4.00,6.75,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6275532,3.00,4.00,2.00,6.00,6.00,10.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6275540,2.00,3.00,2.00,3.00,3.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6275559,4.00,6.00,4.00,0.00,4.00,6.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6275567,8.00,8.00,2.00,7.00,10.00,10.88,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6275575,3.00,4.00,1.00,4.00,8.00,10.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6275591,0.00,3.00,2.00,5.00,5.00,7.13,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6275605,4.00,5.00,1.00,5.00,4.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6275613,3.00,4.00,0.00,2.00,5.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6275621,7.00,7.00,4.00,5.00,8.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6275630,7.00,4.00,4.00,4.00,7.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6275648,1.00,2.00,2.00,2.00,5.00,8.25,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6275656,0.00,4.00,0.00,3.00,5.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6275664,2.00,2.00,1.00,1.00,2.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6275672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6275680,2.00,5.00,2.00,4.00,7.00,8.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6275699,6.00,8.00,6.00,7.00,9.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6275702,3.00,6.00,1.00,4.00,8.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6275710,4.00,3.00,3.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6275729,7.00,6.00,4.00,6.00,9.00,10.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6275737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6275745,7.00,7.00,3.00,6.00,8.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6275761,4.00,2.00,0.00,4.00,8.00,7.88,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6275770,5.00,6.00,4.00,5.00,8.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6275788,4.00,3.00,4.00,3.00,7.00,9.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6275796,7.00,5.00,6.00,6.00,6.00,8.63,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6275800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6275818,3.00,4.00,2.00,1.00,5.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6275834,5.00,5.00,3.00,5.00,10.00,9.38,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6275850,5.00,6.00,1.00,6.00,5.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6275869,3.00,7.00,1.00,2.00,8.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6275877,8.00,7.00,4.00,7.00,9.00,9.38,4.00,9.00,5.00,NULL,NULL,NULL,'N'),(25,6275885,5.00,5.00,2.00,7.00,9.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6275893,2.00,4.00,3.00,3.00,3.00,7.13,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6275907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6275915,2.00,5.00,1.00,3.00,5.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6275923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6275931,4.00,4.00,1.00,4.00,5.00,7.13,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6275958,3.00,3.00,0.00,4.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6275966,8.00,6.00,2.00,3.00,6.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6275982,3.00,3.00,2.00,3.00,6.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6275990,4.00,3.00,2.00,3.00,6.00,10.13,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6276008,4.00,5.00,6.00,3.00,6.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6276024,6.00,4.00,6.00,6.00,7.00,10.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6276032,4.00,6.00,3.00,5.00,6.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6276040,3.00,4.00,0.00,3.00,5.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6276059,3.00,2.00,0.00,2.00,7.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6276067,8.00,8.00,4.00,6.00,8.00,10.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6276075,6.00,8.00,3.00,7.00,8.00,8.25,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6276091,4.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6276105,2.00,2.00,0.00,1.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6276121,4.00,6.00,3.00,4.00,8.00,11.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6276130,7.00,8.00,3.00,3.00,6.00,7.88,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6276148,5.00,5.00,4.00,4.00,5.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6276156,6.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6276164,5.00,4.00,3.00,5.00,7.00,8.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6276172,8.00,6.00,3.00,3.00,7.00,7.88,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6276180,5.00,4.00,1.00,2.00,7.00,6.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6276202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6276210,4.00,3.00,3.00,2.00,5.00,4.88,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6276237,2.00,5.00,0.00,2.00,6.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6276245,4.00,5.00,0.00,5.00,9.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6276253,7.00,4.00,1.00,4.00,8.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6276261,2.00,3.00,2.00,2.00,4.00,9.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6276270,3.00,3.00,4.00,5.00,7.00,8.25,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6276288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6276296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6276318,2.00,4.00,0.00,4.00,6.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6276326,6.00,6.00,1.00,4.00,9.00,10.88,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6276334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6276350,4.00,2.00,3.00,7.00,6.00,8.25,0.00,6.00,2.00,NULL,NULL,NULL,'S'),(25,6276369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6276377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6276393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6276407,2.00,3.00,0.00,6.00,5.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6276423,6.00,8.00,4.00,6.00,7.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6276431,4.00,1.00,2.00,1.00,4.00,4.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6276440,1.00,2.00,2.00,1.00,4.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6276466,7.00,8.00,4.00,6.00,11.00,12.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6276482,4.00,3.00,1.00,2.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6276490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6276504,2.00,4.00,2.00,3.00,5.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6276512,8.00,7.00,4.00,6.00,8.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6276520,8.00,5.00,3.00,6.00,9.00,8.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6276539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6276547,3.00,6.00,4.00,4.00,6.00,7.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6276555,6.00,6.00,6.00,5.00,7.00,9.00,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6276571,4.00,4.00,3.00,3.00,9.00,6.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6276580,7.00,6.00,3.00,7.00,8.00,10.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6276598,4.00,6.00,3.00,4.00,7.00,10.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6276601,6.00,6.00,2.00,6.00,6.00,9.00,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6276610,2.00,2.00,1.00,2.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6276628,8.00,7.00,6.00,7.00,6.00,NULL,1.00,8.00,7.00,NULL,NULL,'S','N'),(25,6276636,7.00,6.00,3.00,6.00,8.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6276644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6276660,4.00,5.00,2.00,4.00,8.00,10.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6276679,4.00,4.00,2.00,3.00,4.00,11.63,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6276687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6276717,3.00,4.00,0.00,6.00,7.00,9.75,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6276733,8.00,6.00,5.00,6.00,10.00,10.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6276750,1.00,4.00,2.00,6.00,3.00,8.25,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6276768,5.00,6.00,0.00,3.00,6.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6276776,2.00,2.00,0.00,4.00,4.00,9.75,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6276784,2.00,3.00,0.00,4.00,6.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6276806,7.00,5.00,2.00,6.00,6.00,12.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6276814,5.00,5.00,2.00,6.00,6.00,11.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6276822,7.00,7.00,3.00,6.00,9.00,9.38,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6276830,5.00,4.00,3.00,7.00,9.00,9.75,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6276849,3.00,7.00,1.00,3.00,7.00,7.88,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6276865,4.00,3.00,0.00,4.00,7.00,7.88,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6276873,3.00,5.00,0.00,3.00,3.00,8.25,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6276881,3.00,1.00,0.00,5.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,'S','N'),(25,6276890,0.00,1.00,3.00,4.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6276911,6.00,6.00,3.00,5.00,9.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6276938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6276946,3.00,4.00,2.00,2.00,3.00,9.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6276954,5.00,4.00,3.00,4.00,9.00,9.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6276962,4.00,3.00,2.00,2.00,5.00,7.13,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6276970,6.00,7.00,5.00,6.00,9.00,4.50,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6276989,1.00,2.00,3.00,2.00,7.00,7.50,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6276997,3.00,5.00,2.00,6.00,5.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6277004,4.00,4.00,2.00,4.00,9.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6277012,3.00,5.00,0.00,3.00,7.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6277039,4.00,4.00,2.00,6.00,7.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6277055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277063,4.00,5.00,2.00,4.00,6.00,7.13,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6277080,4.00,7.00,1.00,5.00,7.00,10.50,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6277098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277110,7.00,6.00,0.00,3.00,8.00,9.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6277128,2.00,6.00,4.00,6.00,7.00,10.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6277136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277144,8.00,7.00,4.00,6.00,9.00,NULL,6.00,7.00,7.00,NULL,NULL,'S','N'),(25,6277152,2.00,4.00,1.00,2.00,3.00,8.63,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6277160,4.00,5.00,2.00,3.00,8.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6277179,2.00,4.00,2.00,5.00,2.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6277187,6.00,4.00,4.00,6.00,9.00,9.75,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6277209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277217,3.00,5.00,0.00,1.00,3.00,5.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6277225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277241,5.00,4.00,4.00,5.00,7.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6277276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277284,8.00,7.00,2.00,2.00,9.00,6.75,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6277292,2.00,7.00,2.00,4.00,8.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6277306,3.00,4.00,3.00,2.00,2.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6277314,4.00,5.00,0.00,3.00,8.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6277322,7.00,7.00,4.00,7.00,6.00,7.88,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6277330,4.00,5.00,1.00,7.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6277349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277357,3.00,5.00,1.00,3.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6277365,2.00,2.00,2.00,5.00,4.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6277373,5.00,8.00,4.00,5.00,7.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6277381,4.00,3.00,2.00,1.00,6.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6277390,3.00,4.00,1.00,3.00,7.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6277403,7.00,7.00,2.00,5.00,9.00,12.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6277411,6.00,6.00,3.00,6.00,6.00,12.38,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6277438,3.00,6.00,2.00,6.00,9.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6277446,3.00,6.00,1.00,2.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,'S','N'),(25,6277454,3.00,3.00,1.00,2.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6277470,4.00,4.00,3.00,7.00,8.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6277489,4.00,2.00,1.00,3.00,7.00,9.38,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6277497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277519,2.00,5.00,0.00,5.00,7.00,9.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6277527,0.00,3.00,1.00,2.00,6.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6277535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277543,5.00,2.00,1.00,3.00,7.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6277551,3.00,4.00,2.00,6.00,4.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6277560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277586,2.00,4.00,3.00,2.00,4.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6277594,2.00,4.00,2.00,4.00,7.00,8.25,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6277616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277624,2.00,6.00,3.00,5.00,4.00,4.50,0.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6277632,2.00,2.00,0.00,2.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6277640,2.00,3.00,1.00,2.00,3.00,8.25,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6277659,2.00,4.00,3.00,3.00,4.00,5.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6277675,1.00,3.00,2.00,1.00,5.00,7.50,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6277691,3.00,3.00,2.00,3.00,5.00,7.88,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6277713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277721,4.00,4.00,5.00,3.00,7.00,10.13,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6277730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6277764,9.00,6.00,2.00,6.00,8.00,11.63,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6277772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277780,6.00,5.00,3.00,3.00,7.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6277799,2.00,5.00,1.00,4.00,4.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6277802,2.00,6.00,1.00,3.00,4.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6277810,5.00,5.00,3.00,2.00,3.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6277829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277853,4.00,6.00,2.00,4.00,8.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6277861,3.00,6.00,2.00,4.00,6.00,6.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6277870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277888,5.00,4.00,1.00,5.00,7.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6277918,6.00,7.00,2.00,5.00,7.00,10.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6277926,3.00,3.00,1.00,2.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6277934,5.00,5.00,0.00,5.00,8.00,7.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6277942,6.00,6.00,3.00,6.00,8.00,7.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6277950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6277969,4.00,3.00,1.00,2.00,5.00,9.00,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6277977,6.00,5.00,1.00,6.00,8.00,10.88,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6277985,5.00,7.00,3.00,4.00,6.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6277993,4.00,5.00,3.00,3.00,2.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6278000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6278019,2.00,5.00,2.00,2.00,4.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6278035,5.00,6.00,3.00,5.00,7.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6278043,2.00,5.00,0.00,5.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6278051,2.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6278086,4.00,7.00,0.00,2.00,1.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6278094,3.00,3.00,1.00,5.00,4.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6278108,5.00,3.00,2.00,4.00,6.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6278116,1.00,2.00,2.00,4.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6278124,8.00,7.00,7.00,7.00,8.00,10.50,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6278140,3.00,6.00,3.00,4.00,9.00,12.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6278159,3.00,3.00,2.00,4.00,8.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6278175,0.00,4.00,1.00,5.00,7.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6278183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6278191,6.00,6.00,4.00,7.00,7.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6278205,4.00,1.00,3.00,0.00,3.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6278221,2.00,4.00,0.00,3.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6278230,5.00,4.00,2.00,3.00,5.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6278248,3.00,6.00,3.00,3.00,7.00,6.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6278256,4.00,3.00,0.00,4.00,8.00,11.25,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6278272,6.00,6.00,4.00,7.00,7.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6278280,3.00,3.00,3.00,3.00,5.00,10.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6278299,5.00,3.00,0.00,5.00,6.00,10.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6278302,4.00,5.00,3.00,3.00,5.00,7.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6278310,2.00,2.00,0.00,4.00,5.00,7.88,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6278329,1.00,1.00,0.00,2.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6278337,3.00,4.00,1.00,2.00,6.00,11.63,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6278345,8.00,7.00,2.00,7.00,6.00,8.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6278353,5.00,8.00,3.00,6.00,7.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6278361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6278370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6278426,3.00,5.00,2.00,2.00,6.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'S'),(25,6278442,3.00,2.00,1.00,3.00,5.00,8.25,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6278450,2.00,5.00,2.00,4.00,8.00,7.13,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6278469,4.00,6.00,1.00,7.00,10.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6278477,8.00,7.00,5.00,6.00,9.00,10.13,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6278493,2.00,3.00,1.00,5.00,5.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6278507,2.00,5.00,2.00,4.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6278523,8.00,5.00,2.00,7.00,8.00,7.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6278531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6278540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6278558,4.00,4.00,5.00,5.00,6.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6278566,3.00,4.00,1.00,4.00,7.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6278574,9.00,6.00,3.00,5.00,10.00,11.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6278582,3.00,5.00,1.00,7.00,8.00,9.38,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6278590,7.00,6.00,4.00,4.00,9.00,9.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6278604,2.00,3.00,3.00,2.00,6.00,6.75,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6278620,7.00,7.00,0.00,4.00,6.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6278639,2.00,4.00,1.00,1.00,5.00,7.88,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6278647,2.00,3.00,1.00,3.00,7.00,6.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6278655,6.00,7.00,0.00,6.00,9.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6278663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6278680,2.00,4.00,5.00,1.00,5.00,6.75,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6278698,2.00,3.00,1.00,3.00,4.00,8.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6278701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6278710,3.00,7.00,1.00,1.00,7.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6278728,4.00,5.00,1.00,3.00,8.00,8.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6278736,5.00,8.00,3.00,3.00,6.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6278744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6278752,5.00,6.00,3.00,7.00,6.00,9.75,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6278760,5.00,3.00,1.00,4.00,7.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6278779,6.00,8.00,2.00,7.00,9.00,8.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6278787,3.00,3.00,1.00,3.00,4.00,9.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6278795,4.00,7.00,2.00,7.00,9.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6278809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6278817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6278825,4.00,3.00,2.00,4.00,5.00,10.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6278841,0.00,2.00,1.00,1.00,3.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6278876,6.00,6.00,5.00,6.00,9.00,10.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6278884,4.00,6.00,2.00,6.00,6.00,7.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6278892,3.00,4.00,3.00,4.00,7.00,8.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6278906,7.00,6.00,2.00,7.00,8.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6278914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6278930,6.00,7.00,2.00,4.00,8.00,9.75,2.00,8.00,4.00,NULL,NULL,NULL,'S'),(25,6278965,6.00,6.00,3.00,6.00,8.00,7.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6278973,1.00,2.00,1.00,2.00,3.00,7.88,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6278981,3.00,5.00,1.00,4.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,'S','N'),(25,6278990,3.00,4.00,2.00,5.00,6.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6279015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6279023,3.00,7.00,2.00,2.00,7.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6279031,4.00,5.00,0.00,4.00,6.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6279040,5.00,4.00,2.00,6.00,8.00,11.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6279058,8.00,6.00,1.00,5.00,6.00,10.50,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6279066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6279074,3.00,7.00,2.00,5.00,8.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6279082,3.00,5.00,0.00,4.00,7.00,6.38,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6279090,3.00,4.00,2.00,3.00,5.00,9.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6279104,4.00,4.00,2.00,5.00,3.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6279112,5.00,4.00,1.00,2.00,7.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6279120,3.00,3.00,2.00,4.00,4.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6279139,3.00,3.00,3.00,7.00,6.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6279147,3.00,6.00,2.00,4.00,5.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6279155,4.00,5.00,1.00,6.00,8.00,10.13,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6279171,2.00,5.00,3.00,5.00,7.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6279180,2.00,0.00,0.00,3.00,3.00,6.75,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6279198,4.00,4.00,1.00,6.00,6.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6279201,6.00,7.00,0.00,4.00,7.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6279210,2.00,4.00,2.00,2.00,6.00,9.75,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6279236,3.00,7.00,5.00,4.00,4.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6279244,3.00,5.00,2.00,4.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6279252,2.00,5.00,3.00,1.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6279260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6279279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6279287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6279309,5.00,5.00,4.00,5.00,5.00,7.50,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6279317,1.00,1.00,3.00,3.00,3.00,4.50,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6279325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6279333,7.00,4.00,2.00,5.00,9.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6279341,3.00,5.00,1.00,3.00,4.00,8.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6279350,4.00,5.00,1.00,2.00,6.00,7.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6279368,1.00,5.00,1.00,1.00,6.00,4.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6279384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6279392,6.00,6.00,3.00,3.00,7.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6279406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6279414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6279422,6.00,5.00,2.00,5.00,9.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6279449,6.00,5.00,2.00,5.00,8.00,11.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6279473,4.00,4.00,4.00,3.00,5.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6279481,2.00,4.00,1.00,0.00,3.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6279490,3.00,2.00,1.00,1.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6279511,6.00,7.00,4.00,5.00,6.00,8.63,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6279520,4.00,7.00,2.00,1.00,7.00,7.50,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6279538,2.00,4.00,3.00,2.00,4.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6279546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6279554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6279562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6279570,6.00,6.00,2.00,5.00,9.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6279597,5.00,4.00,2.00,5.00,5.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6279600,7.00,6.00,2.00,3.00,7.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6279619,3.00,2.00,1.00,1.00,4.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6279627,8.00,6.00,3.00,4.00,7.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6279635,2.00,5.00,3.00,2.00,8.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6279643,2.00,5.00,4.00,3.00,4.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6279651,2.00,5.00,5.00,5.00,6.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6279660,5.00,6.00,1.00,5.00,9.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6279678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6279694,3.00,6.00,3.00,4.00,6.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6279716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6279724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6279740,7.00,6.00,1.00,7.00,9.00,9.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6279759,4.00,5.00,1.00,4.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6279767,5.00,6.00,1.00,3.00,3.00,7.88,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6279775,3.00,4.00,0.00,4.00,5.00,6.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6279783,1.00,3.00,0.00,2.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6279791,3.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6279805,4.00,5.00,0.00,3.00,6.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6279813,1.00,2.00,0.00,2.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6279821,6.00,7.00,5.00,3.00,7.00,7.88,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6279830,6.00,7.00,1.00,5.00,6.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6279848,1.00,3.00,1.00,4.00,4.00,9.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6279856,3.00,4.00,5.00,5.00,6.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6279864,2.00,3.00,2.00,2.00,7.00,6.75,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6279872,3.00,6.00,3.00,3.00,3.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6279880,5.00,4.00,3.00,5.00,5.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6279899,4.00,4.00,3.00,2.00,7.00,10.88,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6279902,5.00,5.00,1.00,6.00,5.00,8.63,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6279910,7.00,5.00,3.00,5.00,9.00,10.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6279937,4.00,6.00,2.00,5.00,8.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6279945,6.00,9.00,3.00,7.00,9.00,11.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6279953,3.00,5.00,2.00,2.00,5.00,7.13,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6279961,4.00,5.00,2.00,4.00,8.00,10.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6279970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6279996,9.00,7.00,3.00,7.00,9.00,12.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6280005,3.00,4.00,4.00,3.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6280021,4.00,4.00,2.00,6.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,'S','N'),(25,6280056,2.00,5.00,3.00,4.00,5.00,7.13,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6280064,5.00,4.00,1.00,2.00,4.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6280072,4.00,2.00,1.00,2.00,7.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6280080,4.00,2.00,2.00,7.00,6.00,10.13,2.00,2.00,5.00,NULL,NULL,NULL,'S'),(25,6280099,3.00,2.00,1.00,2.00,6.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6280102,3.00,7.00,3.00,4.00,7.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6280110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6280137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6280145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6280153,1.00,5.00,2.00,2.00,7.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6280170,2.00,5.00,2.00,4.00,6.00,10.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6280188,1.00,5.00,0.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6280200,6.00,7.00,3.00,8.00,11.00,12.75,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6280218,2.00,6.00,4.00,3.00,8.00,7.88,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6280226,2.00,4.00,1.00,2.00,4.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6280242,6.00,3.00,3.00,6.00,8.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6280250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6280269,5.00,3.00,1.00,6.00,9.00,8.25,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6280285,2.00,2.00,1.00,3.00,4.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6280293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6280307,5.00,7.00,0.00,4.00,8.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6280315,2.00,5.00,0.00,2.00,7.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6280331,6.00,7.00,5.00,7.00,9.00,8.63,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6280340,7.00,7.00,4.00,6.00,9.00,7.50,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6280366,6.00,6.00,3.00,3.00,7.00,5.63,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6280374,4.00,5.00,3.00,4.00,6.00,9.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6280390,6.00,4.00,4.00,5.00,7.00,8.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6280404,4.00,6.00,5.00,6.00,9.00,10.13,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6280412,4.00,3.00,1.00,3.00,8.00,8.25,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6280420,2.00,2.00,1.00,2.00,3.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6280439,2.00,4.00,0.00,2.00,5.00,5.63,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6280447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6280455,7.00,7.00,2.00,5.00,4.00,7.88,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6280463,8.00,7.00,2.00,6.00,10.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6280471,7.00,5.00,4.00,6.00,7.00,8.63,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6280480,7.00,4.00,2.00,4.00,7.00,9.00,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6280498,2.00,5.00,2.00,5.00,8.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6280501,3.00,6.00,1.00,5.00,6.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6280528,2.00,2.00,1.00,3.00,6.00,8.63,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6280536,2.00,5.00,0.00,5.00,8.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6280544,4.00,5.00,2.00,2.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6280552,4.00,3.00,2.00,2.00,6.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6280560,4.00,0.00,3.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6280579,5.00,8.00,4.00,2.00,7.00,10.50,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6280587,2.00,3.00,1.00,3.00,4.00,6.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6280595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6280609,6.00,5.00,5.00,5.00,6.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6280617,4.00,7.00,1.00,3.00,5.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6280625,6.00,6.00,3.00,4.00,7.00,13.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6280633,5.00,7.00,3.00,7.00,8.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6280641,5.00,7.00,2.00,7.00,8.00,10.13,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6280650,0.00,5.00,0.00,0.00,0.00,NULL,2.00,3.00,3.00,'S',NULL,'S','S'),(25,6280668,4.00,7.00,1.00,7.00,8.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6280676,4.00,5.00,1.00,2.00,6.00,8.63,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6280684,3.00,0.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6280692,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6280706,4.00,4.00,1.00,5.00,5.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6280757,5.00,7.00,1.00,5.00,7.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6280773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6280803,3.00,5.00,0.00,6.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6280811,6.00,3.00,3.00,7.00,9.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6280820,1.00,4.00,0.00,1.00,4.00,10.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6280846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6280862,0.00,2.00,2.00,1.00,4.00,6.38,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6280889,2.00,4.00,3.00,4.00,5.00,7.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6280897,4.00,5.00,2.00,6.00,8.00,7.88,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6280900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6280919,4.00,6.00,2.00,7.00,7.00,9.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6280927,1.00,5.00,2.00,2.00,4.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6280935,7.00,6.00,1.00,3.00,8.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6280943,4.00,6.00,2.00,5.00,5.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6280951,1.00,2.00,2.00,1.00,4.00,6.75,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6280960,2.00,4.00,3.00,4.00,5.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6280986,2.00,6.00,0.00,5.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6280994,3.00,3.00,1.00,4.00,5.00,9.00,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6281001,3.00,5.00,3.00,6.00,5.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6281010,7.00,7.00,3.00,4.00,8.00,7.88,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6281028,3.00,4.00,3.00,4.00,6.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6281036,4.00,6.00,1.00,6.00,5.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6281044,3.00,2.00,5.00,2.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6281052,5.00,5.00,3.00,5.00,7.00,7.88,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6281060,6.00,6.00,2.00,3.00,5.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6281095,7.00,5.00,2.00,7.00,5.00,10.13,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6281109,5.00,6.00,4.00,3.00,8.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6281117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6281133,2.00,6.00,2.00,7.00,4.00,4.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6281141,3.00,5.00,0.00,2.00,6.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6281150,2.00,2.00,1.00,4.00,8.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6281168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6281176,7.00,7.00,1.00,5.00,7.00,7.88,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6281184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6281206,5.00,4.00,4.00,4.00,6.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6281214,6.00,6.00,3.00,6.00,10.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6281230,5.00,5.00,3.00,6.00,9.00,9.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6281249,7.00,7.00,4.00,6.00,9.00,7.88,3.00,5.00,7.00,NULL,NULL,NULL,'S'),(25,6281257,6.00,7.00,4.00,7.00,8.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6281265,6.00,7.00,3.00,6.00,10.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6281273,2.00,4.00,0.00,5.00,6.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6281281,3.00,5.00,2.00,2.00,6.00,4.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6281290,5.00,7.00,4.00,4.00,7.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6281303,3.00,7.00,3.00,4.00,5.00,9.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6281311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6281320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6281338,6.00,2.00,2.00,4.00,7.00,10.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6281346,4.00,2.00,3.00,4.00,5.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6281354,4.00,7.00,2.00,3.00,9.00,8.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6281362,5.00,5.00,4.00,7.00,9.00,9.38,1.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6281370,4.00,6.00,2.00,3.00,7.00,6.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6281389,3.00,6.00,3.00,7.00,4.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6281400,4.00,5.00,5.00,3.00,6.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6281419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6281427,3.00,4.00,2.00,7.00,8.00,10.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6281435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6281451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6281460,2.00,6.00,0.00,2.00,6.00,6.75,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6281478,3.00,4.00,2.00,4.00,8.00,7.50,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6281486,3.00,4.00,1.00,2.00,6.00,8.25,0.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6281494,4.00,4.00,4.00,5.00,6.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6281508,1.00,4.00,1.00,5.00,5.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6281524,2.00,6.00,1.00,4.00,6.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6281532,3.00,5.00,2.00,4.00,7.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6281540,9.00,6.00,3.00,8.00,11.00,11.63,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6281559,3.00,2.00,2.00,3.00,5.00,9.00,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6281567,6.00,6.00,2.00,6.00,7.00,9.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6281575,4.00,5.00,2.00,5.00,6.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6281583,3.00,6.00,3.00,3.00,7.00,7.88,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6281605,1.00,4.00,2.00,0.00,1.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6281613,7.00,6.00,1.00,4.00,8.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6281621,7.00,6.00,5.00,7.00,8.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6281630,3.00,5.00,3.00,5.00,6.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6281648,2.00,2.00,2.00,1.00,6.00,7.13,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6281664,7.00,5.00,5.00,4.00,9.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6281672,0.00,1.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6281680,4.00,3.00,1.00,3.00,5.00,5.25,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6281699,3.00,5.00,4.00,6.00,6.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6281702,3.00,7.00,2.00,3.00,8.00,11.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6281710,5.00,6.00,2.00,6.00,5.00,10.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6281737,6.00,5.00,3.00,5.00,6.00,5.63,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6281753,3.00,2.00,1.00,1.00,4.00,6.00,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6281770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6281788,3.00,5.00,0.00,4.00,9.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6281796,4.00,5.00,3.00,4.00,6.00,NULL,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6281800,3.00,4.00,2.00,5.00,3.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6281818,7.00,6.00,3.00,6.00,9.00,10.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6281826,3.00,3.00,0.00,2.00,6.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6281834,7.00,5.00,3.00,4.00,8.00,12.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6281842,5.00,6.00,3.00,7.00,8.00,10.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6281850,3.00,4.00,2.00,4.00,7.00,9.00,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6281869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6281877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6281885,1.00,3.00,0.00,2.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6281893,6.00,5.00,1.00,6.00,8.00,10.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6281907,2.00,2.00,0.00,2.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6281915,8.00,5.00,4.00,6.00,9.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6281923,2.00,2.00,0.00,2.00,7.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6281931,3.00,4.00,1.00,3.00,4.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6281940,4.00,5.00,1.00,3.00,8.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6281958,4.00,6.00,1.00,3.00,7.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6281966,5.00,5.00,2.00,5.00,7.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6281974,3.00,4.00,3.00,4.00,4.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6281982,5.00,0.00,1.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6281990,7.00,6.00,4.00,6.00,7.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6282024,4.00,3.00,0.00,3.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6282040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6282067,5.00,6.00,3.00,5.00,6.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6282075,4.00,2.00,2.00,5.00,6.00,7.88,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6282105,3.00,2.00,2.00,3.00,6.00,8.63,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6282113,8.00,7.00,5.00,6.00,9.00,13.13,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6282121,1.00,3.00,2.00,2.00,3.00,9.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6282130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6282148,3.00,3.00,0.00,4.00,7.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6282156,6.00,4.00,2.00,2.00,7.00,11.63,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6282172,5.00,3.00,2.00,5.00,6.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6282180,4.00,3.00,3.00,5.00,5.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6282199,6.00,7.00,3.00,5.00,9.00,12.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6282202,3.00,5.00,1.00,5.00,5.00,7.50,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6282210,2.00,6.00,4.00,3.00,4.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6282229,5.00,6.00,0.00,5.00,9.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6282245,5.00,7.00,2.00,4.00,6.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6282253,6.00,7.00,1.00,7.00,8.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6282261,6.00,6.00,4.00,4.00,7.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6282288,4.00,6.00,1.00,3.00,5.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6282296,4.00,0.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6282300,5.00,6.00,7.00,4.00,3.00,9.00,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6282326,6.00,5.00,3.00,3.00,10.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6282334,6.00,5.00,5.00,7.00,8.00,9.75,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6282350,6.00,4.00,6.00,3.00,8.00,7.13,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6282377,4.00,3.00,4.00,2.00,7.00,8.25,4.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6282385,6.00,8.00,1.00,3.00,9.00,9.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6282393,4.00,5.00,3.00,6.00,8.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6282407,9.00,7.00,7.00,7.00,10.00,10.13,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6282415,1.00,3.00,0.00,1.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6282423,3.00,3.00,0.00,2.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6282440,6.00,1.00,0.00,4.00,5.00,6.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6282458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6282466,5.00,4.00,5.00,5.00,5.00,7.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6282474,7.00,2.00,2.00,3.00,4.00,6.75,0.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6282482,7.00,7.00,4.00,6.00,6.00,10.13,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6282504,4.00,5.00,3.00,4.00,8.00,11.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6282512,4.00,5.00,2.00,7.00,8.00,6.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6282520,2.00,4.00,3.00,4.00,4.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6282539,1.00,5.00,2.00,1.00,5.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6282547,6.00,5.00,2.00,5.00,5.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6282555,3.00,2.00,3.00,2.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6282563,2.00,3.00,0.00,3.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6282571,1.00,3.00,2.00,4.00,6.00,9.75,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6282580,6.00,5.00,1.00,7.00,6.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6282598,2.00,6.00,3.00,4.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6282610,6.00,7.00,4.00,6.00,9.00,7.50,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6282628,4.00,5.00,2.00,4.00,8.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6282644,7.00,4.00,1.00,5.00,7.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6282652,1.00,3.00,0.00,0.00,1.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6282660,6.00,6.00,5.00,4.00,8.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6282679,7.00,7.00,0.00,5.00,9.00,NULL,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6282687,3.00,7.00,0.00,6.00,2.00,NULL,0.00,8.00,1.00,NULL,NULL,NULL,'N'),(25,6282695,5.00,7.00,4.00,6.00,8.00,10.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6282709,7.00,6.00,5.00,7.00,7.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6282717,2.00,3.00,3.00,4.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6282725,3.00,3.00,2.00,4.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6282733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6282741,4.00,2.00,2.00,1.00,5.00,8.63,0.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6282750,0.00,3.00,2.00,1.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6282768,2.00,1.00,2.00,4.00,3.00,8.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6282776,3.00,4.00,2.00,3.00,5.00,7.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6282784,7.00,7.00,1.00,5.00,9.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6282792,1.00,2.00,2.00,3.00,4.00,6.00,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6282806,3.00,3.00,0.00,4.00,4.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6282814,4.00,3.00,1.00,4.00,7.00,9.00,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6282822,2.00,5.00,3.00,4.00,7.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6282830,5.00,6.00,3.00,2.00,6.00,10.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6282849,4.00,6.00,1.00,3.00,6.00,6.75,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6282857,4.00,3.00,2.00,5.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6282865,2.00,5.00,1.00,3.00,5.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6282873,6.00,4.00,3.00,5.00,7.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6282881,1.00,3.00,1.00,2.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6282890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6282903,2.00,0.00,2.00,3.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6282911,2.00,2.00,1.00,1.00,7.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6282920,3.00,4.00,5.00,4.00,7.00,6.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6282946,6.00,5.00,0.00,4.00,7.00,10.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6282954,5.00,7.00,4.00,7.00,8.00,8.63,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6282962,5.00,7.00,1.00,6.00,8.00,0.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6282970,6.00,6.00,0.00,7.00,9.00,10.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6282989,6.00,7.00,3.00,4.00,7.00,11.25,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6283004,5.00,6.00,4.00,4.00,3.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6283012,2.00,4.00,2.00,4.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6283020,7.00,7.00,4.00,4.00,8.00,8.25,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6283039,3.00,3.00,2.00,5.00,7.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6283055,7.00,3.00,3.00,7.00,9.00,6.38,3.00,1.00,4.00,NULL,NULL,NULL,'S'),(25,6283063,7.00,5.00,4.00,5.00,8.00,7.50,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6283071,4.00,5.00,4.00,4.00,5.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6283080,4.00,2.00,1.00,3.00,5.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6283098,2.00,6.00,2.00,3.00,4.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6283101,3.00,5.00,4.00,4.00,4.00,9.75,0.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6283110,4.00,6.00,2.00,3.00,4.00,5.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6283128,6.00,5.00,5.00,6.00,4.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6283136,8.00,4.00,1.00,6.00,5.00,9.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6283144,2.00,3.00,3.00,3.00,9.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6283152,4.00,7.00,1.00,5.00,7.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6283160,5.00,3.00,3.00,1.00,3.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6283179,7.00,3.00,3.00,7.00,8.00,6.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6283187,8.00,7.00,0.00,4.00,7.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6283195,3.00,5.00,0.00,2.00,4.00,8.25,5.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6283209,4.00,7.00,3.00,7.00,10.00,10.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6283217,7.00,8.00,7.00,7.00,7.00,12.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6283225,4.00,5.00,1.00,5.00,8.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6283233,6.00,3.00,1.00,2.00,5.00,8.25,2.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6283241,4.00,4.00,5.00,3.00,10.00,7.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6283250,4.00,7.00,5.00,5.00,8.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6283268,5.00,5.00,1.00,2.00,4.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6283276,4.00,6.00,3.00,4.00,6.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6283284,8.00,8.00,5.00,5.00,10.00,8.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6283292,2.00,4.00,2.00,5.00,7.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6283306,3.00,5.00,3.00,6.00,5.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6283322,3.00,2.00,3.00,4.00,3.00,4.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6283330,3.00,6.00,2.00,4.00,6.00,8.63,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6283357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6283365,7.00,5.00,3.00,7.00,8.00,5.25,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6283373,4.00,3.00,2.00,0.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6283381,3.00,3.00,3.00,3.00,3.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6283390,5.00,6.00,0.00,5.00,3.00,10.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6283403,2.00,5.00,1.00,5.00,6.00,9.38,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6283411,6.00,7.00,4.00,6.00,7.00,10.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6283420,2.00,3.00,1.00,0.00,3.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6283438,5.00,5.00,2.00,5.00,8.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6283446,2.00,6.00,4.00,3.00,5.00,4.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6283454,2.00,2.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6283462,3.00,4.00,2.00,2.00,6.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6283470,7.00,6.00,3.00,6.00,8.00,10.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6283489,3.00,3.00,3.00,1.00,3.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6283500,5.00,6.00,4.00,5.00,8.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6283519,6.00,6.00,7.00,6.00,9.00,NULL,0.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6283527,8.00,7.00,5.00,5.00,10.00,11.25,1.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6283535,4.00,3.00,5.00,5.00,8.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6283543,3.00,3.00,1.00,3.00,10.00,8.63,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6283551,3.00,4.00,2.00,2.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6283560,2.00,2.00,1.00,3.00,4.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6283578,4.00,5.00,2.00,3.00,5.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6283586,5.00,6.00,3.00,5.00,8.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6283594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6283608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6283616,4.00,7.00,3.00,7.00,8.00,11.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6283624,4.00,6.00,2.00,4.00,8.00,11.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6283632,6.00,6.00,2.00,7.00,6.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6283640,2.00,5.00,0.00,1.00,7.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6283659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6283667,5.00,4.00,3.00,6.00,10.00,11.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6283675,5.00,4.00,5.00,3.00,5.00,10.50,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6283683,4.00,7.00,4.00,4.00,8.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6283691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6283705,3.00,3.00,1.00,3.00,6.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6283713,7.00,7.00,4.00,7.00,9.00,8.25,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6283721,6.00,5.00,3.00,5.00,8.00,10.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6283730,2.00,2.00,0.00,0.00,3.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6283748,6.00,7.00,2.00,5.00,7.00,12.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6283764,4.00,7.00,5.00,6.00,7.00,10.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6283772,8.00,8.00,3.00,6.00,8.00,10.88,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6283780,3.00,4.00,2.00,1.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6283799,4.00,4.00,0.00,4.00,4.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6283802,2.00,2.00,0.00,2.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6283810,4.00,7.00,1.00,5.00,7.00,9.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6283829,0.00,1.00,0.00,1.00,1.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6283837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6283845,7.00,3.00,3.00,5.00,8.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6283853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6283861,4.00,4.00,2.00,5.00,5.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6283888,3.00,4.00,3.00,3.00,7.00,6.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6283900,6.00,4.00,0.00,7.00,8.00,8.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6283918,7.00,7.00,3.00,7.00,10.00,9.75,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6283934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6283942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6283950,4.00,3.00,1.00,6.00,6.00,8.25,0.00,5.00,1.00,NULL,NULL,NULL,'S'),(25,6283969,5.00,4.00,2.00,6.00,6.00,10.88,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6283977,6.00,7.00,5.00,7.00,11.00,7.88,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6283985,6.00,6.00,4.00,7.00,9.00,7.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6284000,8.00,8.00,4.00,5.00,9.00,10.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6284019,7.00,7.00,4.00,7.00,9.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6284027,1.00,3.00,1.00,3.00,6.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6284035,2.00,2.00,2.00,2.00,3.00,5.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6284051,6.00,7.00,1.00,6.00,8.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6284060,7.00,5.00,3.00,6.00,5.00,7.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6284078,2.00,2.00,2.00,3.00,6.00,7.50,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6284086,6.00,4.00,3.00,6.00,7.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6284094,3.00,5.00,1.00,1.00,5.00,6.00,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6284108,4.00,4.00,1.00,3.00,5.00,7.13,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6284116,3.00,6.00,4.00,6.00,8.00,5.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6284124,4.00,5.00,2.00,6.00,5.00,10.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6284132,3.00,4.00,4.00,3.00,4.00,7.50,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6284140,5.00,4.00,3.00,6.00,8.00,8.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6284159,4.00,5.00,3.00,3.00,8.00,11.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6284175,6.00,5.00,1.00,4.00,6.00,0.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6284183,4.00,4.00,1.00,4.00,6.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6284191,6.00,6.00,2.00,6.00,5.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6284221,3.00,2.00,2.00,2.00,4.00,6.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6284230,3.00,6.00,3.00,3.00,5.00,12.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6284248,4.00,5.00,2.00,6.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6284256,8.00,9.00,6.00,6.00,11.00,13.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6284264,5.00,3.00,0.00,5.00,7.00,10.88,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6284272,2.00,4.00,1.00,3.00,3.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6284280,2.00,4.00,2.00,1.00,3.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6284299,6.00,7.00,5.00,7.00,8.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6284310,3.00,4.00,5.00,4.00,7.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6284337,6.00,5.00,5.00,5.00,6.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6284345,6.00,6.00,7.00,7.00,9.00,8.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6284353,6.00,6.00,6.00,5.00,7.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6284361,5.00,5.00,2.00,7.00,8.00,9.00,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6284370,4.00,4.00,1.00,2.00,7.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6284388,6.00,7.00,2.00,7.00,8.00,10.13,2.00,3.00,6.00,NULL,NULL,NULL,'S'),(25,6284396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6284418,3.00,3.00,1.00,4.00,7.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6284426,2.00,3.00,3.00,2.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6284434,4.00,3.00,3.00,5.00,5.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6284442,3.00,4.00,1.00,4.00,6.00,6.38,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6284450,4.00,6.00,2.00,6.00,8.00,7.50,2.00,2.00,6.00,NULL,NULL,NULL,'S'),(25,6284469,3.00,5.00,5.00,2.00,4.00,4.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6284477,4.00,5.00,2.00,3.00,7.00,8.63,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6284485,4.00,4.00,2.00,6.00,7.00,6.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6284507,0.00,4.00,0.00,0.00,0.00,NULL,0.00,1.00,2.00,'S',NULL,NULL,'N'),(25,6284515,3.00,3.00,4.00,1.00,3.00,6.00,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6284523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6284531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6284540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6284558,5.00,6.00,3.00,6.00,8.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6284566,2.00,3.00,3.00,3.00,5.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6284574,4.00,7.00,0.00,4.00,7.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6284582,3.00,4.00,2.00,4.00,4.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6284590,4.00,6.00,1.00,5.00,8.00,8.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6284604,2.00,5.00,3.00,5.00,6.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6284612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6284620,9.00,7.00,7.00,7.00,10.00,7.88,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6284639,4.00,5.00,2.00,2.00,7.00,9.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6284647,1.00,2.00,2.00,1.00,4.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6284655,2.00,3.00,1.00,2.00,5.00,8.25,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6284663,8.00,6.00,2.00,3.00,6.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6284671,5.00,5.00,5.00,2.00,9.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6284698,8.00,7.00,5.00,7.00,8.00,11.63,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6284701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6284710,4.00,6.00,2.00,5.00,5.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6284728,6.00,7.00,3.00,1.00,5.00,7.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6284736,3.00,6.00,0.00,5.00,8.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6284752,7.00,6.00,5.00,3.00,8.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6284760,3.00,5.00,2.00,6.00,5.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6284779,8.00,8.00,5.00,7.00,9.00,9.75,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6284787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6284795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6284809,5.00,6.00,3.00,6.00,8.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6284817,6.00,6.00,2.00,6.00,6.00,10.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6284825,3.00,4.00,2.00,4.00,3.00,9.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6284833,5.00,5.00,3.00,5.00,6.00,5.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6284841,5.00,7.00,3.00,6.00,6.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6284850,3.00,5.00,3.00,4.00,7.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6284868,4.00,4.00,0.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6284876,4.00,4.00,2.00,0.00,5.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6284884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6284906,2.00,4.00,1.00,4.00,5.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6284914,2.00,3.00,3.00,4.00,7.00,6.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6284922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6284930,4.00,5.00,3.00,6.00,8.00,10.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6284949,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6284957,1.00,5.00,3.00,4.00,7.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6284965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6284973,9.00,6.00,7.00,7.00,9.00,7.88,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6284981,6.00,4.00,4.00,0.00,8.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6284990,3.00,6.00,4.00,4.00,5.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6285007,5.00,5.00,5.00,5.00,7.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6285015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6285040,3.00,2.00,0.00,2.00,5.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6285058,5.00,4.00,5.00,7.00,3.00,7.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6285066,2.00,4.00,1.00,5.00,7.00,9.00,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6285074,3.00,7.00,1.00,3.00,6.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6285082,8.00,7.00,5.00,7.00,10.00,12.38,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6285090,1.00,1.00,1.00,1.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6285104,8.00,6.00,2.00,2.00,9.00,10.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6285112,0.00,2.00,1.00,4.00,6.00,7.50,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6285120,1.00,2.00,3.00,4.00,8.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6285139,2.00,3.00,1.00,3.00,3.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6285147,5.00,3.00,3.00,4.00,6.00,5.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6285155,1.00,4.00,1.00,5.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,'S','N'),(25,6285163,2.00,6.00,3.00,4.00,8.00,NULL,2.00,2.00,1.00,NULL,NULL,'S','S'),(25,6285171,3.00,6.00,3.00,5.00,7.00,7.13,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6285180,3.00,4.00,2.00,2.00,5.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6285198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6285201,3.00,6.00,1.00,4.00,7.00,NULL,1.00,3.00,1.00,NULL,NULL,'S','S'),(25,6285210,5.00,7.00,3.00,6.00,5.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6285228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6285244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6285252,6.00,3.00,3.00,7.00,9.00,10.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6285260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6285279,1.00,5.00,3.00,5.00,5.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6285287,2.00,4.00,2.00,5.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6285295,7.00,5.00,2.00,5.00,9.00,9.38,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6285309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6285317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6285325,6.00,7.00,2.00,5.00,6.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6285333,3.00,0.00,5.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6285341,5.00,4.00,2.00,6.00,7.00,9.00,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6285350,4.00,1.00,3.00,1.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6285392,2.00,4.00,1.00,4.00,9.00,10.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6285414,4.00,5.00,4.00,6.00,6.00,5.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6285422,5.00,3.00,2.00,2.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6285430,4.00,3.00,3.00,3.00,6.00,9.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6285449,5.00,6.00,5.00,6.00,8.00,7.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6285457,3.00,5.00,1.00,4.00,4.00,7.50,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6285473,6.00,7.00,4.00,5.00,9.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6285481,6.00,7.00,3.00,5.00,7.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6285490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6285503,4.00,6.00,1.00,4.00,6.00,9.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6285520,1.00,2.00,3.00,4.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6285538,7.00,4.00,3.00,5.00,7.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6285562,5.00,4.00,0.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6285570,5.00,4.00,4.00,3.00,4.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6285589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6285597,5.00,7.00,6.00,5.00,9.00,10.88,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6285600,4.00,3.00,2.00,6.00,8.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6285619,5.00,6.00,3.00,6.00,6.00,7.50,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6285635,4.00,5.00,2.00,5.00,6.00,5.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6285643,1.00,2.00,1.00,4.00,5.00,7.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6285651,3.00,5.00,1.00,4.00,4.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6285660,2.00,4.00,1.00,1.00,5.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6285686,2.00,3.00,1.00,4.00,3.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6285694,7.00,8.00,6.00,7.00,10.00,12.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6285708,0.00,4.00,3.00,3.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6285724,6.00,5.00,2.00,5.00,5.00,11.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6285732,6.00,8.00,6.00,6.00,10.00,9.75,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6285740,4.00,4.00,2.00,5.00,8.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6285767,3.00,2.00,3.00,5.00,5.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6285775,4.00,6.00,4.00,6.00,8.00,10.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6285783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6285805,3.00,4.00,1.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6285821,5.00,6.00,1.00,6.00,6.00,9.38,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6285830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6285848,7.00,7.00,2.00,7.00,8.00,9.75,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6285856,3.00,6.00,3.00,3.00,4.00,6.75,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6285864,2.00,8.00,3.00,4.00,4.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6285872,2.00,4.00,3.00,4.00,4.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6285899,6.00,5.00,1.00,5.00,5.00,8.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6285902,4.00,6.00,1.00,5.00,6.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6285910,8.00,5.00,6.00,7.00,9.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6285929,3.00,4.00,5.00,5.00,9.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6285937,6.00,7.00,2.00,6.00,7.00,10.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6285945,3.00,4.00,1.00,5.00,8.00,7.13,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6285953,7.00,7.00,3.00,6.00,7.00,7.88,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6285961,6.00,6.00,5.00,7.00,6.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6285970,6.00,3.00,1.00,3.00,5.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6285988,6.00,5.00,3.00,5.00,7.00,9.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6285996,5.00,6.00,3.00,5.00,5.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6286003,2.00,6.00,3.00,4.00,6.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6286011,4.00,5.00,3.00,3.00,3.00,6.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6286020,3.00,5.00,4.00,5.00,6.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6286038,5.00,6.00,2.00,6.00,6.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6286046,2.00,4.00,1.00,4.00,6.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6286062,5.00,4.00,2.00,5.00,7.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6286070,5.00,5.00,3.00,3.00,5.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6286089,4.00,6.00,1.00,5.00,7.00,9.00,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6286097,3.00,5.00,2.00,2.00,8.00,9.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6286100,5.00,4.00,2.00,5.00,8.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6286119,3.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6286127,7.00,6.00,5.00,6.00,6.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6286135,2.00,4.00,1.00,3.00,6.00,9.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6286143,2.00,3.00,3.00,1.00,5.00,6.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6286160,3.00,4.00,3.00,5.00,7.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6286178,6.00,6.00,3.00,4.00,7.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6286186,1.00,2.00,1.00,3.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6286194,5.00,5.00,4.00,6.00,7.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6286208,3.00,7.00,4.00,2.00,5.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6286224,6.00,5.00,3.00,1.00,7.00,7.88,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6286232,5.00,0.00,1.00,6.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6286240,3.00,5.00,2.00,4.00,7.00,8.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6286259,3.00,6.00,2.00,5.00,5.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6286267,2.00,3.00,0.00,1.00,6.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6286275,4.00,7.00,5.00,5.00,10.00,9.00,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6286283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6286291,4.00,4.00,1.00,3.00,7.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6286305,6.00,4.00,0.00,3.00,7.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6286313,4.00,5.00,3.00,7.00,6.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6286321,3.00,6.00,2.00,3.00,5.00,6.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6286330,2.00,3.00,2.00,3.00,9.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6286348,7.00,8.00,7.00,7.00,10.00,10.13,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6286356,4.00,5.00,1.00,0.00,6.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6286372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6286380,5.00,5.00,5.00,7.00,9.00,11.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6286399,3.00,2.00,1.00,6.00,5.00,11.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6286410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6286429,5.00,7.00,3.00,4.00,6.00,8.25,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6286437,6.00,4.00,3.00,6.00,8.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6286445,2.00,3.00,1.00,2.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6286453,5.00,6.00,4.00,5.00,6.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6286461,4.00,4.00,2.00,4.00,6.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6286470,5.00,2.00,2.00,5.00,6.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6286488,4.00,2.00,0.00,2.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6286496,4.00,5.00,3.00,4.00,7.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'S'),(25,6286500,4.00,6.00,3.00,2.00,6.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6286518,5.00,7.00,0.00,5.00,7.00,10.13,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6286526,8.00,6.00,5.00,6.00,10.00,9.38,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6286542,9.00,6.00,5.00,7.00,9.00,12.00,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6286550,4.00,7.00,4.00,3.00,6.00,8.25,6.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6286569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6286577,4.00,5.00,6.00,7.00,7.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6286593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6286607,3.00,3.00,0.00,3.00,4.00,6.75,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6286615,8.00,6.00,3.00,7.00,8.00,11.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6286623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6286631,7.00,6.00,2.00,6.00,6.00,7.88,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6286658,7.00,6.00,0.00,6.00,8.00,11.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6286666,1.00,2.00,0.00,4.00,7.00,9.75,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6286674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6286682,6.00,3.00,3.00,2.00,4.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6286690,5.00,4.00,5.00,3.00,7.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6286704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6286712,2.00,3.00,3.00,3.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6286720,6.00,6.00,4.00,5.00,7.00,6.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6286739,4.00,6.00,4.00,4.00,6.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6286747,5.00,6.00,3.00,6.00,7.00,7.50,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6286755,2.00,4.00,2.00,0.00,7.00,6.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6286763,7.00,7.00,3.00,2.00,7.00,7.88,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6286780,5.00,8.00,3.00,6.00,8.00,4.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6286798,5.00,6.00,5.00,6.00,9.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6286801,4.00,5.00,3.00,4.00,7.00,9.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6286828,2.00,4.00,2.00,2.00,4.00,8.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6286844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6286852,6.00,6.00,5.00,7.00,10.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6286860,3.00,2.00,3.00,4.00,6.00,8.63,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6286879,5.00,4.00,4.00,1.00,6.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6286887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6286895,2.00,3.00,0.00,2.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6286909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6286917,5.00,4.00,4.00,2.00,6.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6286925,5.00,6.00,1.00,6.00,7.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6286941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6286950,4.00,5.00,1.00,5.00,7.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6286968,3.00,6.00,3.00,4.00,6.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6286976,4.00,6.00,2.00,7.00,6.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6286984,6.00,5.00,4.00,6.00,8.00,12.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6286992,3.00,3.00,0.00,5.00,8.00,9.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6287018,2.00,2.00,0.00,4.00,8.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6287026,2.00,3.00,0.00,4.00,5.00,6.75,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6287034,1.00,5.00,3.00,3.00,5.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6287042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6287050,2.00,3.00,2.00,3.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6287069,5.00,5.00,2.00,5.00,4.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6287077,2.00,5.00,1.00,5.00,4.00,9.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6287085,5.00,3.00,5.00,3.00,6.00,5.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6287115,4.00,4.00,0.00,5.00,6.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6287123,5.00,4.00,4.00,3.00,8.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6287131,4.00,5.00,0.00,6.00,8.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6287140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6287158,5.00,6.00,3.00,6.00,6.00,9.38,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6287166,1.00,5.00,2.00,2.00,6.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6287174,2.00,5.00,2.00,4.00,7.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6287182,5.00,3.00,1.00,3.00,6.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6287190,8.00,6.00,5.00,7.00,9.00,11.63,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6287204,7.00,6.00,6.00,5.00,9.00,7.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6287212,4.00,6.00,0.00,2.00,6.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6287220,2.00,2.00,0.00,4.00,2.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6287247,4.00,4.00,2.00,3.00,8.00,7.88,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6287255,1.00,6.00,1.00,5.00,6.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6287263,8.00,6.00,8.00,7.00,9.00,10.88,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6287271,7.00,7.00,4.00,7.00,9.00,8.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6287280,2.00,3.00,1.00,1.00,4.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6287298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6287310,3.00,2.00,0.00,2.00,4.00,5.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6287328,6.00,5.00,4.00,4.00,9.00,10.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6287336,6.00,6.00,7.00,1.00,9.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6287344,2.00,4.00,2.00,4.00,3.00,9.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6287360,2.00,3.00,0.00,2.00,6.00,5.25,2.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6287379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6287387,4.00,5.00,3.00,3.00,6.00,7.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6287395,2.00,2.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6287409,2.00,2.00,1.00,2.00,5.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6287417,3.00,3.00,1.00,5.00,5.00,11.63,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6287425,4.00,4.00,2.00,1.00,3.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6287433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6287450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6287468,4.00,5.00,0.00,3.00,5.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6287476,5.00,3.00,2.00,2.00,3.00,7.88,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6287484,3.00,0.00,1.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6287492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6287506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6287514,3.00,3.00,2.00,3.00,4.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6287530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6287549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6287557,6.00,7.00,6.00,7.00,6.00,10.13,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6287565,3.00,4.00,1.00,5.00,6.00,12.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6287581,7.00,6.00,5.00,7.00,9.00,10.88,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6287590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6287603,4.00,5.00,3.00,5.00,8.00,5.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6287611,3.00,4.00,3.00,6.00,4.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6287620,4.00,3.00,0.00,3.00,5.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6287638,4.00,6.00,4.00,4.00,8.00,8.63,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6287646,3.00,6.00,2.00,2.00,8.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6287662,4.00,3.00,2.00,5.00,7.00,11.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6287689,5.00,6.00,0.00,6.00,9.00,NULL,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6287697,2.00,4.00,1.00,2.00,8.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6287700,2.00,4.00,5.00,3.00,5.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6287727,1.00,0.00,0.00,0.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6287735,0.00,5.00,0.00,4.00,4.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6287743,4.00,4.00,1.00,3.00,5.00,8.25,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6287751,3.00,7.00,3.00,2.00,6.00,8.25,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6287760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6287786,1.00,1.00,1.00,4.00,1.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6287794,2.00,4.00,2.00,6.00,7.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6287808,2.00,2.00,1.00,5.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6287816,3.00,3.00,0.00,5.00,7.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6287824,2.00,2.00,2.00,3.00,4.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6287832,2.00,3.00,1.00,3.00,3.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6287840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6287859,4.00,5.00,2.00,2.00,5.00,6.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6287875,3.00,3.00,1.00,5.00,5.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6287883,3.00,1.00,0.00,4.00,8.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6287891,1.00,3.00,2.00,3.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6287905,1.00,3.00,1.00,3.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6287913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6287921,5.00,6.00,4.00,5.00,7.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6287930,2.00,3.00,3.00,2.00,3.00,5.63,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6287948,4.00,7.00,4.00,0.00,9.00,6.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6287956,4.00,4.00,2.00,5.00,8.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6287964,8.00,7.00,2.00,7.00,10.00,8.25,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6287980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6287999,6.00,6.00,2.00,2.00,7.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6288006,2.00,0.00,2.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6288014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6288022,6.00,6.00,2.00,6.00,7.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6288049,2.00,4.00,2.00,2.00,6.00,4.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6288057,3.00,4.00,0.00,6.00,9.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6288065,3.00,4.00,2.00,3.00,5.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6288073,3.00,4.00,3.00,0.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6288081,3.00,3.00,3.00,3.00,9.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6288103,2.00,2.00,3.00,2.00,3.00,6.00,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6288111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6288120,5.00,6.00,2.00,7.00,9.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6288138,8.00,8.00,3.00,6.00,9.00,8.25,0.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6288154,7.00,6.00,5.00,4.00,9.00,7.88,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6288162,6.00,5.00,1.00,6.00,7.00,10.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6288197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6288200,4.00,6.00,3.00,5.00,8.00,NULL,0.00,4.00,5.00,NULL,NULL,'S','N'),(25,6288219,8.00,6.00,2.00,7.00,11.00,10.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6288227,1.00,3.00,3.00,1.00,6.00,7.13,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6288235,3.00,5.00,0.00,2.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6288243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6288251,5.00,6.00,5.00,6.00,8.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6288260,4.00,4.00,2.00,4.00,9.00,9.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6288278,4.00,5.00,2.00,6.00,6.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6288286,3.00,5.00,2.00,5.00,7.00,9.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6288294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6288308,2.00,2.00,0.00,2.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6288316,3.00,2.00,1.00,0.00,1.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6288324,2.00,6.00,4.00,6.00,7.00,10.88,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6288332,4.00,4.00,2.00,5.00,4.00,3.00,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(25,6288359,3.00,0.00,2.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6288367,2.00,5.00,2.00,1.00,3.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6288375,3.00,4.00,0.00,2.00,7.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6288383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6288391,2.00,2.00,1.00,1.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6288405,4.00,5.00,1.00,5.00,9.00,12.75,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6288413,8.00,8.00,3.00,3.00,9.00,9.00,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6288421,3.00,4.00,4.00,4.00,6.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6288430,3.00,1.00,3.00,5.00,5.00,5.63,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6288448,5.00,4.00,0.00,3.00,5.00,6.75,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6288456,2.00,5.00,1.00,4.00,5.00,9.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6288472,6.00,5.00,1.00,3.00,8.00,7.50,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6288480,6.00,7.00,4.00,5.00,10.00,11.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6288502,4.00,3.00,4.00,5.00,9.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6288510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6288529,2.00,5.00,0.00,4.00,6.00,7.13,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6288545,3.00,2.00,3.00,2.00,5.00,8.63,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6288553,6.00,5.00,4.00,4.00,4.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6288561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6288570,2.00,3.00,0.00,0.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,'S','N'),(25,6288588,7.00,6.00,1.00,5.00,8.00,7.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6288596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6288600,4.00,5.00,2.00,5.00,7.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6288626,6.00,7.00,1.00,4.00,7.00,9.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6288634,7.00,6.00,3.00,7.00,9.00,13.50,4.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6288642,2.00,4.00,1.00,3.00,6.00,8.25,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6288650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6288669,7.00,7.00,7.00,8.00,10.00,11.63,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6288677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6288685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6288693,3.00,4.00,0.00,3.00,7.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6288707,4.00,8.00,3.00,3.00,6.00,7.88,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6288715,4.00,4.00,5.00,5.00,8.00,8.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6288723,5.00,6.00,0.00,5.00,8.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6288740,4.00,5.00,4.00,6.00,6.00,6.38,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6288758,1.00,2.00,1.00,5.00,6.00,9.00,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6288766,3.00,5.00,0.00,6.00,6.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6288812,4.00,6.00,0.00,4.00,7.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6288820,4.00,7.00,1.00,6.00,7.00,10.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6288839,2.00,4.00,1.00,4.00,7.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6288847,3.00,3.00,2.00,3.00,5.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6288855,1.00,4.00,0.00,3.00,6.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6288871,4.00,3.00,2.00,3.00,4.00,9.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6288880,2.00,4.00,1.00,6.00,7.00,8.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6288898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6288901,3.00,5.00,1.00,2.00,7.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6288910,3.00,6.00,2.00,3.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6288928,1.00,3.00,1.00,2.00,5.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6288944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6288952,5.00,2.00,3.00,4.00,5.00,8.25,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6288960,7.00,5.00,3.00,6.00,8.00,7.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6288987,0.00,2.00,1.00,3.00,6.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6288995,3.00,4.00,3.00,2.00,4.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6289002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6289010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6289029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6289037,6.00,7.00,3.00,6.00,8.00,8.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6289053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6289061,2.00,5.00,3.00,6.00,6.00,9.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6289070,4.00,6.00,4.00,5.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6289088,3.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6289096,3.00,7.00,4.00,2.00,6.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6289100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6289118,3.00,2.00,1.00,1.00,5.00,9.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6289126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6289134,5.00,4.00,5.00,6.00,9.00,10.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6289142,3.00,2.00,2.00,4.00,3.00,7.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6289150,1.00,2.00,1.00,3.00,3.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6289169,3.00,3.00,3.00,4.00,8.00,9.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6289177,4.00,4.00,3.00,5.00,9.00,10.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6289185,3.00,3.00,2.00,4.00,6.00,6.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6289193,2.00,1.00,2.00,0.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6289215,2.00,5.00,2.00,4.00,5.00,6.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6289223,1.00,3.00,1.00,3.00,7.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6289231,3.00,5.00,3.00,1.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6289240,5.00,4.00,3.00,3.00,3.00,6.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6289258,3.00,5.00,2.00,5.00,5.00,12.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6289266,3.00,3.00,2.00,5.00,3.00,5.25,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6289274,2.00,3.00,0.00,5.00,4.00,9.38,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6289290,0.00,6.00,0.00,0.00,0.00,NULL,3.00,2.00,2.00,'S',NULL,NULL,'N'),(25,6289304,5.00,4.00,3.00,4.00,5.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6289320,7.00,7.00,2.00,7.00,11.00,9.00,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6289339,6.00,6.00,2.00,5.00,9.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6289347,5.00,5.00,1.00,4.00,7.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6289355,2.00,5.00,0.00,4.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6289363,2.00,4.00,1.00,2.00,3.00,6.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6289371,5.00,7.00,4.00,6.00,8.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6289380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6289398,6.00,6.00,3.00,7.00,10.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6289428,6.00,2.00,3.00,6.00,7.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6289444,4.00,2.00,2.00,5.00,8.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6289460,7.00,0.00,5.00,6.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6289479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6289487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6289495,6.00,5.00,5.00,5.00,8.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6289509,2.00,1.00,3.00,3.00,6.00,7.88,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6289517,2.00,4.00,1.00,3.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,'S','N'),(25,6289525,2.00,4.00,0.00,1.00,6.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6289533,6.00,4.00,4.00,4.00,7.00,10.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6289541,4.00,4.00,1.00,4.00,5.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6289550,7.00,7.00,5.00,6.00,9.00,11.25,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6289568,7.00,7.00,5.00,6.00,10.00,NULL,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6289584,6.00,3.00,6.00,5.00,3.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6289606,3.00,5.00,2.00,7.00,9.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6289614,0.00,4.00,0.00,0.00,0.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6289622,3.00,5.00,1.00,4.00,6.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6289630,5.00,5.00,2.00,3.00,4.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6289649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6289657,3.00,4.00,4.00,5.00,7.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6289665,3.00,5.00,3.00,4.00,7.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6289673,1.00,3.00,1.00,2.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6289681,1.00,3.00,1.00,3.00,4.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6289690,8.00,7.00,6.00,3.00,8.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6289703,6.00,6.00,3.00,5.00,5.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6289711,7.00,7.00,2.00,5.00,9.00,8.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6289738,3.00,3.00,2.00,3.00,4.00,4.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6289746,2.00,4.00,3.00,4.00,7.00,8.25,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6289754,3.00,6.00,2.00,3.00,7.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6289770,4.00,5.00,3.00,5.00,7.00,7.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6289789,2.00,7.00,2.00,3.00,8.00,5.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6289797,5.00,4.00,1.00,1.00,6.00,8.25,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6289800,4.00,5.00,1.00,5.00,6.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6289819,3.00,4.00,2.00,2.00,6.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6289827,8.00,5.00,4.00,6.00,7.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6289835,6.00,5.00,6.00,5.00,7.00,8.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6289843,3.00,4.00,1.00,4.00,3.00,9.75,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6289851,3.00,4.00,2.00,4.00,6.00,9.38,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6289860,1.00,2.00,2.00,4.00,6.00,NULL,1.00,0.00,0.00,NULL,NULL,'S','N'),(25,6289878,4.00,3.00,3.00,2.00,8.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6289894,7.00,6.00,1.00,5.00,8.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6289924,1.00,3.00,1.00,2.00,5.00,6.38,0.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6289932,1.00,3.00,0.00,3.00,4.00,6.00,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6289940,4.00,6.00,4.00,6.00,8.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6289967,3.00,4.00,2.00,0.00,4.00,5.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6289975,3.00,4.00,3.00,3.00,7.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6289983,2.00,3.00,2.00,1.00,3.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6289991,4.00,4.00,3.00,5.00,8.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6290000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6290019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6290027,3.00,2.00,0.00,3.00,6.00,6.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6290035,6.00,7.00,2.00,2.00,4.00,11.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6290043,3.00,6.00,2.00,5.00,9.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6290051,2.00,6.00,2.00,4.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6290060,3.00,3.00,2.00,6.00,7.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6290086,6.00,4.00,1.00,2.00,7.00,NULL,2.00,4.00,0.00,NULL,NULL,'S','N'),(25,6290094,3.00,7.00,1.00,4.00,6.00,8.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6290108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6290116,3.00,5.00,3.00,2.00,7.00,9.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6290132,6.00,6.00,3.00,3.00,7.00,7.50,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6290140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6290159,2.00,3.00,0.00,3.00,4.00,7.50,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6290175,3.00,3.00,2.00,5.00,7.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6290183,3.00,5.00,1.00,4.00,8.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6290205,5.00,6.00,3.00,5.00,9.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6290230,4.00,5.00,2.00,4.00,5.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6290248,3.00,3.00,0.00,2.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6290256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6290264,6.00,4.00,3.00,7.00,7.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6290272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6290280,6.00,7.00,2.00,5.00,9.00,10.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6290299,4.00,6.00,3.00,7.00,6.00,7.13,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6290310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6290329,1.00,3.00,1.00,2.00,4.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6290345,4.00,3.00,1.00,6.00,7.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6290353,5.00,7.00,1.00,4.00,7.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6290361,2.00,6.00,3.00,6.00,6.00,7.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6290388,5.00,4.00,1.00,4.00,7.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6290396,3.00,2.00,3.00,2.00,6.00,8.63,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6290400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6290418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6290426,7.00,7.00,2.00,4.00,9.00,8.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6290434,3.00,3.00,0.00,6.00,6.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6290442,4.00,6.00,3.00,1.00,6.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6290450,5.00,5.00,4.00,5.00,6.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6290469,2.00,2.00,0.00,3.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6290477,3.00,5.00,2.00,5.00,7.00,10.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6290485,2.00,4.00,1.00,3.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6290493,2.00,2.00,2.00,3.00,6.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6290507,4.00,5.00,2.00,5.00,7.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6290515,3.00,5.00,2.00,6.00,5.00,11.63,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6290540,6.00,5.00,5.00,6.00,6.00,7.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6290558,4.00,2.00,2.00,2.00,4.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6290566,3.00,5.00,2.00,6.00,4.00,5.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6290574,2.00,4.00,1.00,4.00,7.00,8.63,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6290590,6.00,6.00,4.00,5.00,9.00,8.63,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6290612,2.00,4.00,1.00,2.00,4.00,8.25,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6290620,3.00,1.00,2.00,5.00,5.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6290647,8.00,7.00,5.00,4.00,7.00,8.63,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6290655,4.00,5.00,3.00,1.00,5.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6290663,5.00,7.00,1.00,7.00,5.00,8.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6290671,7.00,9.00,5.00,7.00,9.00,9.38,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6290680,3.00,5.00,2.00,2.00,5.00,9.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6290698,7.00,8.00,5.00,6.00,8.00,7.50,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6290701,8.00,7.00,5.00,7.00,11.00,11.25,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6290710,2.00,4.00,3.00,5.00,4.00,0.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6290728,2.00,7.00,4.00,3.00,7.00,8.63,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6290736,9.00,6.00,7.00,7.00,9.00,9.38,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6290744,6.00,6.00,2.00,7.00,8.00,7.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6290752,3.00,3.00,1.00,7.00,5.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6290760,4.00,6.00,0.00,5.00,7.00,6.75,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6290779,5.00,4.00,4.00,5.00,7.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6290787,4.00,5.00,2.00,6.00,9.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6290795,7.00,4.00,0.00,7.00,9.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6290809,4.00,3.00,3.00,1.00,4.00,6.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6290817,7.00,6.00,2.00,3.00,9.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6290850,1.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6290876,3.00,2.00,3.00,5.00,5.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6290884,3.00,5.00,1.00,4.00,7.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6290892,3.00,3.00,1.00,2.00,3.00,5.63,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6290906,4.00,4.00,4.00,3.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6290914,4.00,3.00,1.00,1.00,6.00,8.63,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6290922,3.00,6.00,0.00,5.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6290930,3.00,4.00,2.00,3.00,6.00,7.50,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6290949,3.00,2.00,2.00,2.00,5.00,9.38,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6290965,4.00,7.00,3.00,5.00,8.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6290973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6290981,4.00,6.00,3.00,6.00,9.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6290990,4.00,2.00,3.00,3.00,4.00,9.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6291015,3.00,1.00,1.00,3.00,5.00,6.38,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6291023,1.00,4.00,3.00,4.00,4.00,6.75,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6291031,1.00,5.00,1.00,3.00,3.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6291040,6.00,7.00,5.00,7.00,6.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6291058,2.00,4.00,2.00,5.00,8.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6291066,5.00,6.00,4.00,3.00,6.00,10.50,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6291074,6.00,6.00,2.00,7.00,8.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6291082,5.00,3.00,3.00,2.00,6.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6291090,3.00,1.00,3.00,3.00,6.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6291112,2.00,5.00,0.00,7.00,7.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6291120,6.00,5.00,1.00,4.00,7.00,7.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6291155,2.00,2.00,1.00,1.00,5.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6291163,2.00,3.00,1.00,3.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6291171,2.00,5.00,2.00,5.00,5.00,10.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6291180,4.00,5.00,1.00,4.00,7.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6291201,6.00,6.00,3.00,5.00,5.00,7.13,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6291210,3.00,6.00,5.00,6.00,10.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6291228,4.00,5.00,0.00,4.00,7.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6291236,3.00,4.00,2.00,3.00,5.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6291244,2.00,6.00,1.00,6.00,7.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6291252,3.00,2.00,2.00,4.00,6.00,6.75,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6291260,1.00,5.00,0.00,0.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6291279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6291287,8.00,7.00,5.00,1.00,9.00,6.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6291295,6.00,6.00,2.00,3.00,7.00,10.13,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6291309,3.00,2.00,0.00,3.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6291317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6291325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6291341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6291350,4.00,4.00,0.00,2.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6291368,3.00,6.00,0.00,3.00,5.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6291376,2.00,4.00,4.00,6.00,3.00,9.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6291392,2.00,6.00,3.00,2.00,5.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6291406,5.00,5.00,2.00,7.00,8.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6291422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6291449,1.00,5.00,1.00,2.00,3.00,4.50,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6291457,4.00,2.00,0.00,6.00,8.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6291465,4.00,7.00,2.00,3.00,6.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6291473,3.00,5.00,2.00,5.00,7.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6291481,5.00,3.00,3.00,4.00,5.00,6.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6291503,5.00,4.00,1.00,4.00,7.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6291511,2.00,4.00,3.00,7.00,8.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6291520,1.00,2.00,2.00,2.00,4.00,7.13,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6291538,3.00,6.00,2.00,6.00,6.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6291546,1.00,4.00,1.00,4.00,5.00,9.38,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6291554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6291562,3.00,3.00,1.00,1.00,5.00,6.38,5.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6291570,4.00,6.00,4.00,6.00,9.00,7.50,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6291589,3.00,5.00,1.00,2.00,3.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6291597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6291600,3.00,7.00,1.00,2.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,'S','N'),(25,6291619,9.00,9.00,4.00,6.00,9.00,10.88,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6291627,2.00,3.00,2.00,2.00,4.00,8.63,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6291635,2.00,3.00,2.00,1.00,5.00,8.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6291643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6291651,7.00,5.00,3.00,5.00,7.00,9.00,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6291678,1.00,5.00,1.00,4.00,5.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6291686,3.00,5.00,2.00,3.00,8.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6291694,6.00,6.00,6.00,4.00,9.00,11.63,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6291708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6291716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6291732,5.00,4.00,3.00,6.00,6.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6291740,0.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6291767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6291775,4.00,5.00,3.00,4.00,7.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6291783,4.00,7.00,2.00,5.00,7.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6291805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6291813,6.00,4.00,3.00,6.00,6.00,9.38,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6291821,2.00,4.00,1.00,0.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6291830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6291848,1.00,3.00,0.00,1.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6291856,5.00,5.00,4.00,5.00,7.00,6.75,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6291864,3.00,6.00,2.00,3.00,6.00,10.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6291872,6.00,6.00,3.00,4.00,8.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6291880,2.00,3.00,2.00,5.00,5.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6291899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6291910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6291937,7.00,5.00,3.00,7.00,9.00,7.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6291945,2.00,6.00,1.00,4.00,6.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6291953,8.00,9.00,3.00,6.00,9.00,10.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6291961,3.00,2.00,1.00,3.00,4.00,8.63,1.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6291970,6.00,4.00,7.00,2.00,6.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6291988,3.00,4.00,3.00,1.00,4.00,5.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6291996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6292003,2.00,4.00,2.00,0.00,4.00,6.75,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6292011,1.00,0.00,0.00,4.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6292020,8.00,4.00,2.00,5.00,7.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6292038,4.00,2.00,0.00,5.00,3.00,6.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6292046,4.00,4.00,2.00,6.00,7.00,9.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6292054,6.00,6.00,4.00,6.00,8.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6292062,6.00,7.00,3.00,1.00,10.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6292070,8.00,5.00,3.00,7.00,5.00,8.63,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6292089,6.00,7.00,4.00,5.00,7.00,10.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6292097,7.00,7.00,7.00,7.00,8.00,10.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6292100,3.00,3.00,3.00,3.00,5.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6292119,3.00,6.00,3.00,3.00,5.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6292127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6292143,8.00,8.00,5.00,6.00,9.00,9.75,1.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6292160,4.00,6.00,3.00,5.00,9.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6292178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6292186,3.00,3.00,1.00,1.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6292224,4.00,5.00,2.00,4.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6292232,6.00,6.00,3.00,5.00,8.00,9.00,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6292240,1.00,5.00,1.00,1.00,3.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6292259,2.00,5.00,0.00,1.00,8.00,NULL,0.00,8.00,1.00,NULL,NULL,NULL,'N'),(25,6292267,2.00,2.00,3.00,6.00,3.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6292275,6.00,6.00,1.00,5.00,4.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6292283,2.00,0.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6292291,2.00,7.00,0.00,3.00,6.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6292313,5.00,5.00,3.00,2.00,7.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6292321,2.00,5.00,0.00,4.00,6.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6292330,4.00,6.00,4.00,6.00,9.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6292348,3.00,3.00,2.00,2.00,6.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6292356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6292364,1.00,3.00,2.00,5.00,7.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6292372,6.00,7.00,2.00,6.00,8.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6292380,2.00,6.00,2.00,3.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6292399,5.00,5.00,4.00,7.00,8.00,8.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6292410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6292429,2.00,2.00,1.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6292437,5.00,7.00,1.00,3.00,6.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6292445,2.00,6.00,5.00,4.00,4.00,7.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6292453,6.00,4.00,2.00,4.00,7.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6292461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6292470,3.00,6.00,4.00,4.00,6.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6292488,4.00,2.00,1.00,5.00,6.00,8.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6292496,8.00,7.00,7.00,4.00,9.00,9.38,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6292500,1.00,5.00,0.00,5.00,6.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6292518,3.00,2.00,0.00,1.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6292526,2.00,3.00,0.00,2.00,4.00,6.75,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6292534,8.00,6.00,4.00,7.00,9.00,11.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6292542,3.00,4.00,4.00,6.00,5.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6292550,3.00,4.00,2.00,7.00,7.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6292569,0.00,2.00,0.00,0.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6292585,5.00,6.00,3.00,6.00,7.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6292593,3.00,6.00,0.00,3.00,7.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6292607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6292615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6292631,4.00,5.00,2.00,3.00,7.00,7.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6292640,3.00,4.00,1.00,4.00,5.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6292658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6292666,6.00,4.00,0.00,5.00,3.00,6.38,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6292674,9.00,5.00,3.00,5.00,8.00,11.25,2.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6292682,7.00,4.00,2.00,5.00,10.00,10.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6292704,4.00,5.00,2.00,2.00,6.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6292712,4.00,6.00,2.00,4.00,6.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6292739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6292747,4.00,4.00,3.00,1.00,3.00,6.00,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6292755,2.00,4.00,2.00,3.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6292763,3.00,7.00,2.00,7.00,9.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6292780,6.00,7.00,4.00,6.00,9.00,10.13,2.00,4.00,6.00,NULL,NULL,NULL,'S'),(25,6292798,3.00,7.00,5.00,7.00,8.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6292801,1.00,3.00,1.00,1.00,4.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6292836,1.00,1.00,2.00,2.00,5.00,5.25,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6292844,1.00,4.00,2.00,3.00,6.00,7.50,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6292852,5.00,7.00,3.00,4.00,6.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6292860,6.00,4.00,3.00,6.00,6.00,7.88,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6292879,3.00,5.00,1.00,2.00,6.00,7.13,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6292887,4.00,5.00,1.00,4.00,5.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6292895,2.00,3.00,2.00,4.00,3.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6292909,3.00,2.00,1.00,5.00,6.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6292917,4.00,5.00,0.00,4.00,7.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6292925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6292933,4.00,3.00,0.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6292941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6292950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6292968,4.00,3.00,0.00,3.00,9.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6292976,3.00,3.00,1.00,4.00,7.00,8.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6292984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6293000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6293026,2.00,6.00,3.00,3.00,9.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6293034,6.00,6.00,1.00,5.00,6.00,7.13,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6293050,6.00,8.00,3.00,5.00,9.00,10.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6293069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6293077,2.00,2.00,4.00,2.00,8.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6293085,5.00,4.00,1.00,4.00,7.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6293093,2.00,4.00,3.00,6.00,3.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6293107,2.00,2.00,1.00,4.00,3.00,7.50,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6293115,7.00,6.00,2.00,2.00,6.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6293123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6293131,8.00,9.00,3.00,5.00,8.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6293140,3.00,6.00,0.00,5.00,7.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6293158,8.00,7.00,8.00,7.00,9.00,12.75,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6293166,3.00,2.00,1.00,2.00,3.00,6.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6293182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6293190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6293204,3.00,2.00,1.00,2.00,4.00,6.38,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6293212,8.00,7.00,6.00,5.00,7.00,10.13,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6293220,3.00,3.00,4.00,3.00,5.00,9.75,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6293239,7.00,6.00,5.00,6.00,5.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6293247,4.00,5.00,1.00,5.00,4.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6293263,8.00,7.00,4.00,4.00,10.00,8.25,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6293298,4.00,2.00,2.00,3.00,5.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6293310,2.00,6.00,4.00,5.00,5.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6293328,2.00,6.00,2.00,1.00,7.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6293336,8.00,8.00,6.00,6.00,8.00,10.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6293344,3.00,3.00,0.00,2.00,7.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6293352,6.00,4.00,3.00,5.00,6.00,8.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6293360,4.00,4.00,1.00,5.00,3.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6293379,1.00,3.00,1.00,2.00,4.00,6.00,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6293387,5.00,8.00,3.00,6.00,5.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6293395,5.00,4.00,2.00,2.00,6.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6293409,2.00,5.00,2.00,2.00,4.00,7.88,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6293417,3.00,6.00,1.00,7.00,8.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6293425,2.00,3.00,1.00,3.00,3.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6293433,1.00,7.00,2.00,6.00,9.00,10.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6293441,5.00,6.00,3.00,4.00,8.00,9.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6293450,4.00,4.00,1.00,2.00,6.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6293476,7.00,6.00,3.00,5.00,6.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6293492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6293506,5.00,6.00,2.00,7.00,8.00,7.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6293514,8.00,5.00,6.00,7.00,9.00,12.00,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6293522,5.00,6.00,3.00,7.00,8.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6293549,1.00,0.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6293557,4.00,6.00,5.00,4.00,6.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6293581,5.00,3.00,2.00,3.00,7.00,9.38,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6293590,5.00,6.00,5.00,5.00,8.00,7.88,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6293603,1.00,3.00,0.00,4.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6293611,5.00,5.00,4.00,5.00,8.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6293620,4.00,3.00,1.00,2.00,7.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6293638,5.00,5.00,2.00,6.00,9.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6293646,1.00,6.00,3.00,3.00,6.00,8.25,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6293654,9.00,8.00,4.00,8.00,8.00,10.50,0.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6293662,3.00,4.00,0.00,0.00,3.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6293670,4.00,4.00,2.00,3.00,7.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6293689,3.00,1.00,2.00,0.00,7.00,NULL,2.00,2.00,0.00,NULL,NULL,'S','S'),(25,6293697,2.00,4.00,2.00,1.00,7.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6293700,1.00,2.00,1.00,2.00,6.00,8.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6293719,3.00,3.00,0.00,5.00,7.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6293727,2.00,1.00,2.00,2.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6293735,3.00,1.00,2.00,5.00,4.00,6.75,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6293743,2.00,4.00,2.00,3.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6293751,6.00,5.00,1.00,4.00,7.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6293760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6293778,8.00,7.00,4.00,7.00,9.00,10.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6293794,3.00,6.00,1.00,4.00,6.00,9.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6293808,2.00,5.00,1.00,3.00,6.00,4.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6293816,1.00,4.00,1.00,3.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6293824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6293832,5.00,5.00,4.00,4.00,7.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6293840,5.00,7.00,2.00,7.00,8.00,10.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6293859,3.00,5.00,2.00,7.00,8.00,12.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6293867,3.00,0.00,3.00,4.00,8.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6293875,2.00,5.00,2.00,3.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6293883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6293891,5.00,4.00,2.00,4.00,8.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6293905,6.00,6.00,6.00,5.00,10.00,11.25,0.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6293913,4.00,4.00,1.00,4.00,4.00,4.50,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6293921,1.00,4.00,0.00,0.00,4.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6293948,8.00,7.00,1.00,7.00,9.00,12.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6293956,7.00,6.00,5.00,6.00,9.00,7.50,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6293964,5.00,7.00,5.00,7.00,8.00,10.13,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6293972,1.00,3.00,0.00,2.00,5.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6293999,4.00,8.00,2.00,2.00,5.00,6.38,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6294006,2.00,0.00,0.00,2.00,3.00,6.38,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6294014,3.00,4.00,0.00,4.00,6.00,7.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6294049,7.00,6.00,2.00,7.00,8.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6294057,5.00,7.00,1.00,4.00,8.00,7.88,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6294065,2.00,4.00,3.00,6.00,6.00,7.50,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6294073,5.00,6.00,1.00,4.00,7.00,8.63,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6294081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6294090,2.00,4.00,1.00,4.00,4.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6294103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6294120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6294138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6294146,4.00,5.00,0.00,2.00,7.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6294154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6294162,3.00,4.00,2.00,1.00,7.00,6.00,4.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6294170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6294189,1.00,2.00,2.00,4.00,3.00,10.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6294197,7.00,6.00,1.00,4.00,6.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6294200,4.00,2.00,0.00,2.00,3.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6294227,6.00,6.00,3.00,7.00,8.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6294235,6.00,7.00,1.00,7.00,9.00,10.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6294243,2.00,4.00,1.00,2.00,7.00,9.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6294251,3.00,4.00,1.00,6.00,7.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6294278,2.00,3.00,1.00,4.00,7.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6294286,3.00,5.00,0.00,1.00,7.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6294294,2.00,4.00,3.00,5.00,7.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6294308,0.00,1.00,2.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6294316,5.00,6.00,5.00,6.00,7.00,7.50,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6294340,1.00,4.00,3.00,3.00,6.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6294359,3.00,1.00,3.00,3.00,3.00,8.63,2.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6294367,6.00,6.00,3.00,5.00,7.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6294375,6.00,5.00,3.00,6.00,7.00,10.88,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6294383,3.00,4.00,0.00,2.00,6.00,9.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6294391,2.00,4.00,2.00,3.00,4.00,4.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6294405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6294413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6294421,3.00,3.00,2.00,2.00,3.00,7.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6294430,2.00,3.00,1.00,0.00,6.00,9.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6294448,3.00,2.00,0.00,3.00,3.00,4.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6294456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6294464,2.00,5.00,2.00,7.00,5.00,6.38,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6294472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6294480,7.00,5.00,9.00,7.00,5.00,10.88,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6294499,5.00,5.00,5.00,4.00,10.00,10.13,1.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6294502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6294510,4.00,6.00,2.00,2.00,5.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6294529,7.00,7.00,1.00,6.00,8.00,10.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6294537,7.00,6.00,4.00,6.00,10.00,8.25,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6294553,3.00,6.00,0.00,4.00,9.00,7.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6294570,1.00,4.00,0.00,2.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6294588,5.00,4.00,0.00,4.00,7.00,7.88,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6294596,8.00,5.00,3.00,5.00,8.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6294600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6294626,2.00,3.00,2.00,0.00,7.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6294642,3.00,5.00,2.00,2.00,6.00,8.25,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6294650,3.00,7.00,2.00,5.00,8.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6294669,1.00,3.00,1.00,2.00,7.00,9.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6294693,5.00,7.00,7.00,7.00,9.00,12.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6294707,3.00,4.00,0.00,5.00,7.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6294715,4.00,6.00,2.00,4.00,7.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6294723,1.00,4.00,0.00,2.00,4.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6294731,5.00,5.00,1.00,2.00,5.00,6.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6294740,1.00,1.00,1.00,1.00,5.00,5.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6294758,5.00,6.00,1.00,7.00,7.00,5.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6294766,3.00,4.00,1.00,3.00,4.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6294774,4.00,5.00,1.00,3.00,5.00,6.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6294782,7.00,5.00,4.00,7.00,7.00,7.88,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6294790,5.00,5.00,2.00,5.00,7.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6294804,7.00,7.00,3.00,4.00,7.00,8.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6294812,2.00,3.00,1.00,0.00,3.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6294820,0.00,3.00,4.00,5.00,4.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6294839,9.00,7.00,7.00,7.00,10.00,13.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6294847,0.00,5.00,0.00,0.00,0.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6294855,4.00,5.00,3.00,0.00,6.00,9.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6294863,2.00,3.00,2.00,3.00,4.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6294880,5.00,3.00,1.00,3.00,8.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6294898,5.00,0.00,3.00,5.00,10.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6294901,3.00,5.00,0.00,2.00,6.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6294910,4.00,6.00,3.00,5.00,10.00,7.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6294928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6294952,1.00,3.00,2.00,7.00,6.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6294960,5.00,4.00,3.00,4.00,6.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6294987,1.00,4.00,3.00,3.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6294995,2.00,3.00,1.00,1.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6295002,9.00,6.00,7.00,5.00,10.00,10.13,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6295037,3.00,4.00,2.00,4.00,4.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6295045,2.00,4.00,5.00,3.00,5.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6295053,4.00,4.00,4.00,6.00,7.00,4.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6295061,5.00,5.00,2.00,3.00,5.00,10.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6295070,5.00,6.00,2.00,5.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6295088,6.00,7.00,3.00,6.00,7.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6295096,4.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6295100,2.00,5.00,1.00,5.00,6.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6295118,4.00,3.00,4.00,4.00,7.00,10.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6295126,4.00,4.00,1.00,0.00,5.00,6.75,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6295134,3.00,2.00,1.00,4.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6295142,4.00,3.00,1.00,5.00,6.00,7.13,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6295150,7.00,6.00,3.00,6.00,8.00,9.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6295177,4.00,5.00,3.00,3.00,6.00,9.38,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6295185,5.00,7.00,2.00,5.00,8.00,8.63,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6295193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6295207,6.00,5.00,3.00,5.00,8.00,10.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6295215,6.00,6.00,2.00,2.00,7.00,7.50,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6295231,5.00,3.00,2.00,6.00,8.00,10.50,2.00,1.00,7.00,NULL,NULL,NULL,'N'),(25,6295240,6.00,5.00,1.00,5.00,6.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6295258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6295274,9.00,8.00,8.00,7.00,10.00,9.75,7.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6295282,6.00,6.00,3.00,2.00,9.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6295304,1.00,1.00,2.00,3.00,3.00,6.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6295312,4.00,3.00,3.00,3.00,5.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6295320,9.00,6.00,6.00,7.00,8.00,10.88,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6295339,6.00,4.00,2.00,5.00,5.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6295347,7.00,5.00,2.00,5.00,9.00,9.38,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6295355,6.00,5.00,1.00,6.00,9.00,9.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6295363,6.00,2.00,1.00,5.00,6.00,11.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6295371,4.00,4.00,0.00,4.00,7.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6295380,1.00,5.00,2.00,2.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6295398,4.00,7.00,5.00,4.00,8.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6295410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6295428,4.00,5.00,1.00,6.00,9.00,10.13,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6295436,9.00,7.00,4.00,6.00,8.00,9.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6295444,7.00,5.00,5.00,5.00,9.00,6.75,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6295452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6295460,1.00,1.00,2.00,3.00,3.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6295479,6.00,7.00,5.00,5.00,9.00,7.13,2.00,7.00,7.00,NULL,NULL,NULL,'S'),(25,6295495,7.00,7.00,2.00,6.00,8.00,8.25,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6295509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6295517,5.00,4.00,3.00,5.00,7.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6295533,4.00,4.00,4.00,1.00,7.00,NULL,4.00,7.00,5.00,NULL,NULL,'S','S'),(25,6295541,2.00,4.00,3.00,3.00,4.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6295550,8.00,7.00,6.00,7.00,10.00,10.50,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6295568,8.00,6.00,7.00,6.00,9.00,10.13,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6295576,3.00,4.00,2.00,1.00,3.00,8.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6295584,5.00,2.00,4.00,7.00,5.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6295592,3.00,2.00,2.00,4.00,7.00,6.38,5.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6295606,8.00,5.00,4.00,5.00,8.00,9.00,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6295614,4.00,4.00,2.00,7.00,5.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6295622,6.00,7.00,7.00,3.00,10.00,10.50,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6295630,4.00,5.00,2.00,5.00,6.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6295649,5.00,4.00,4.00,7.00,10.00,10.13,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6295657,2.00,1.00,1.00,3.00,5.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6295665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6295673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6295681,4.00,6.00,3.00,4.00,8.00,11.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6295690,7.00,7.00,5.00,4.00,10.00,11.63,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6295711,6.00,4.00,1.00,2.00,7.00,6.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6295720,2.00,3.00,2.00,2.00,6.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6295738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6295746,3.00,6.00,0.00,2.00,7.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6295754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6295762,7.00,7.00,5.00,7.00,8.00,9.75,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6295770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6295789,3.00,4.00,1.00,3.00,6.00,7.13,0.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6295797,4.00,4.00,3.00,6.00,6.00,9.00,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6295800,4.00,6.00,1.00,6.00,10.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6295819,3.00,4.00,2.00,3.00,5.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6295827,3.00,4.00,3.00,6.00,7.00,9.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6295835,1.00,3.00,2.00,1.00,5.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6295843,3.00,5.00,3.00,5.00,9.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6295851,5.00,4.00,4.00,3.00,9.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6295860,5.00,5.00,3.00,6.00,8.00,8.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6295878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6295894,1.00,6.00,2.00,4.00,3.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6295908,3.00,6.00,4.00,3.00,7.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6295916,3.00,5.00,0.00,3.00,6.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6295924,4.00,5.00,2.00,5.00,9.00,8.63,1.00,8.00,6.00,NULL,NULL,NULL,'S'),(25,6295932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6295959,4.00,2.00,1.00,1.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6295975,3.00,4.00,2.00,3.00,7.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6295983,4.00,3.00,1.00,3.00,8.00,8.63,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6295991,2.00,3.00,1.00,4.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6296009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6296017,3.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6296025,8.00,7.00,6.00,6.00,8.00,7.88,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6296033,5.00,5.00,2.00,6.00,10.00,10.88,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6296041,5.00,8.00,4.00,6.00,10.00,9.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6296050,6.00,7.00,6.00,7.00,8.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6296068,3.00,5.00,1.00,4.00,5.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6296076,2.00,2.00,2.00,1.00,5.00,5.63,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6296092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6296106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6296114,5.00,5.00,2.00,7.00,6.00,9.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6296122,6.00,7.00,4.00,6.00,7.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6296130,3.00,4.00,2.00,6.00,7.00,8.63,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6296149,5.00,6.00,3.00,4.00,6.00,11.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6296157,5.00,4.00,4.00,2.00,6.00,9.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6296165,4.00,6.00,1.00,5.00,6.00,0.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6296173,5.00,6.00,3.00,7.00,10.00,8.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6296190,2.00,5.00,0.00,0.00,4.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6296203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6296211,4.00,3.00,5.00,6.00,9.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6296220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6296238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6296254,5.00,4.00,0.00,3.00,9.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6296262,5.00,5.00,0.00,5.00,6.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6296270,3.00,4.00,1.00,5.00,6.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6296289,0.00,6.00,1.00,4.00,6.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6296297,4.00,5.00,0.00,3.00,5.00,5.63,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6296300,4.00,4.00,3.00,6.00,6.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6296319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6296327,2.00,3.00,0.00,1.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6296335,2.00,2.00,0.00,3.00,3.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6296343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6296351,5.00,7.00,4.00,5.00,8.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6296360,4.00,5.00,3.00,3.00,5.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6296378,7.00,7.00,7.00,6.00,9.00,12.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6296386,4.00,5.00,2.00,6.00,6.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6296394,6.00,3.00,3.00,4.00,7.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6296408,5.00,5.00,1.00,3.00,3.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6296416,7.00,7.00,4.00,3.00,7.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6296424,2.00,0.00,2.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(25,6296432,2.00,5.00,2.00,6.00,6.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6296459,5.00,0.00,4.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'S'),(25,6296467,5.00,6.00,2.00,4.00,6.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6296475,3.00,7.00,3.00,5.00,4.00,7.50,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6296483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6296491,6.00,6.00,3.00,6.00,8.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6296505,5.00,7.00,0.00,7.00,9.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6296513,6.00,4.00,3.00,6.00,7.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6296548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6296556,2.00,4.00,4.00,2.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6296572,3.00,2.00,1.00,2.00,8.00,7.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6296580,4.00,3.00,1.00,5.00,7.00,0.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6296602,3.00,3.00,0.00,2.00,4.00,9.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6296610,5.00,5.00,3.00,4.00,6.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6296629,6.00,6.00,1.00,7.00,6.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6296661,2.00,6.00,0.00,6.00,7.00,5.63,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6296670,3.00,4.00,2.00,2.00,6.00,6.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6296688,0.00,4.00,2.00,2.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6296696,5.00,7.00,1.00,7.00,7.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6296700,3.00,7.00,2.00,6.00,7.00,8.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6296718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6296726,4.00,5.00,1.00,5.00,5.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6296734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6296750,6.00,7.00,3.00,6.00,10.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6296769,1.00,5.00,1.00,4.00,5.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6296777,5.00,5.00,0.00,6.00,5.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6296793,3.00,7.00,3.00,5.00,7.00,6.00,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6296815,5.00,5.00,2.00,7.00,9.00,7.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6296823,7.00,7.00,4.00,6.00,9.00,7.88,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6296831,5.00,4.00,2.00,4.00,4.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6296840,4.00,4.00,1.00,5.00,6.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6296858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6296866,4.00,4.00,2.00,5.00,3.00,9.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6296874,4.00,6.00,2.00,2.00,7.00,6.38,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6296882,5.00,6.00,2.00,6.00,8.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6296890,5.00,6.00,6.00,7.00,10.00,6.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6296904,2.00,4.00,1.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6296912,4.00,3.00,4.00,4.00,3.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6296920,0.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6296939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6296947,1.00,3.00,3.00,2.00,4.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6296955,1.00,4.00,3.00,4.00,9.00,6.75,0.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6296963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6296971,3.00,3.00,0.00,2.00,6.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6296980,3.00,6.00,2.00,7.00,7.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6296998,3.00,3.00,1.00,4.00,5.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6297005,3.00,6.00,0.00,5.00,6.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6297013,3.00,5.00,5.00,5.00,7.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6297021,3.00,2.00,1.00,3.00,3.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6297030,5.00,4.00,1.00,2.00,6.00,7.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6297056,2.00,5.00,4.00,4.00,8.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6297064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6297072,5.00,4.00,1.00,4.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6297080,3.00,3.00,1.00,5.00,8.00,6.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6297099,1.00,4.00,2.00,2.00,3.00,4.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6297102,4.00,4.00,4.00,5.00,8.00,8.63,0.00,5.00,6.00,NULL,NULL,NULL,'S'),(25,6297110,2.00,4.00,1.00,2.00,3.00,8.25,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6297129,6.00,7.00,5.00,7.00,9.00,7.50,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6297137,6.00,6.00,6.00,6.00,8.00,9.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6297145,7.00,7.00,2.00,5.00,10.00,13.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6297153,6.00,6.00,4.00,7.00,9.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6297161,2.00,7.00,3.00,6.00,5.00,8.25,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6297170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6297188,5.00,4.00,0.00,6.00,8.00,9.75,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6297196,5.00,6.00,3.00,5.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6297200,3.00,5.00,3.00,3.00,8.00,9.75,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6297226,1.00,3.00,1.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6297234,3.00,2.00,4.00,5.00,4.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6297242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6297250,5.00,6.00,5.00,6.00,8.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6297285,2.00,4.00,1.00,5.00,6.00,8.63,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6297307,3.00,6.00,2.00,5.00,6.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6297315,5.00,6.00,4.00,6.00,8.00,7.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6297323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6297331,3.00,4.00,3.00,2.00,6.00,5.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6297340,7.00,0.00,3.00,7.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6297358,3.00,3.00,3.00,2.00,4.00,8.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6297366,3.00,5.00,1.00,4.00,7.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6297374,4.00,4.00,0.00,1.00,4.00,7.13,3.00,0.00,3.00,NULL,NULL,NULL,'S'),(25,6297382,8.00,6.00,4.00,7.00,10.00,9.38,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6297404,0.00,3.00,1.00,4.00,6.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6297412,7.00,6.00,4.00,2.00,9.00,8.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6297420,4.00,4.00,0.00,3.00,6.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6297439,3.00,5.00,2.00,4.00,5.00,7.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6297447,6.00,4.00,0.00,5.00,6.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6297455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6297480,6.00,5.00,1.00,6.00,9.00,11.25,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6297498,6.00,6.00,5.00,6.00,10.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6297501,3.00,5.00,2.00,3.00,6.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6297510,4.00,6.00,2.00,5.00,9.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6297536,3.00,6.00,3.00,6.00,8.00,10.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6297544,4.00,4.00,0.00,5.00,6.00,NULL,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6297552,1.00,4.00,2.00,2.00,7.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6297560,1.00,6.00,3.00,5.00,7.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6297579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6297587,6.00,5.00,0.00,3.00,7.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6297595,6.00,7.00,4.00,7.00,8.00,10.13,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6297609,3.00,2.00,3.00,3.00,3.00,5.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6297617,2.00,3.00,2.00,4.00,5.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6297633,5.00,5.00,2.00,4.00,8.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6297641,6.00,6.00,2.00,6.00,8.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6297650,5.00,3.00,1.00,3.00,5.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6297668,8.00,7.00,5.00,6.00,9.00,8.63,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6297676,4.00,4.00,0.00,6.00,7.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6297692,0.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6297706,3.00,4.00,2.00,3.00,8.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6297714,7.00,5.00,5.00,5.00,7.00,7.88,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6297722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6297730,6.00,7.00,2.00,7.00,9.00,11.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6297749,5.00,8.00,5.00,7.00,9.00,8.63,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6297757,3.00,5.00,3.00,2.00,3.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6297765,3.00,4.00,3.00,2.00,3.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6297773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6297781,5.00,7.00,3.00,5.00,5.00,0.00,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6297790,2.00,5.00,3.00,4.00,7.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6297803,4.00,6.00,1.00,4.00,4.00,6.38,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6297811,4.00,5.00,4.00,4.00,7.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6297820,2.00,5.00,0.00,0.00,6.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6297838,6.00,5.00,4.00,6.00,6.00,8.25,0.00,9.00,5.00,NULL,NULL,NULL,'N'),(25,6297846,4.00,5.00,1.00,7.00,8.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6297854,2.00,4.00,2.00,4.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6297862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6297870,1.00,3.00,2.00,2.00,5.00,6.38,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6297889,8.00,7.00,2.00,5.00,8.00,9.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6297897,3.00,4.00,2.00,4.00,6.00,8.25,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6297919,3.00,2.00,1.00,1.00,3.00,6.38,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6297927,2.00,1.00,3.00,3.00,4.00,6.38,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6297943,6.00,7.00,7.00,5.00,9.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6297951,4.00,7.00,3.00,4.00,5.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6297960,4.00,6.00,4.00,7.00,4.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6297978,5.00,5.00,2.00,3.00,4.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6297986,6.00,6.00,3.00,4.00,6.00,11.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6297994,4.00,6.00,2.00,4.00,8.00,11.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6298001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6298010,6.00,4.00,4.00,5.00,4.00,7.88,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6298028,4.00,5.00,1.00,5.00,3.00,7.50,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6298036,7.00,5.00,4.00,4.00,8.00,7.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6298044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6298052,5.00,7.00,2.00,4.00,6.00,6.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6298060,5.00,5.00,0.00,4.00,8.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6298079,4.00,5.00,1.00,3.00,4.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6298087,9.00,7.00,2.00,6.00,8.00,8.25,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6298095,4.00,3.00,3.00,6.00,8.00,9.75,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6298109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6298117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6298125,6.00,5.00,1.00,4.00,8.00,9.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6298133,6.00,7.00,2.00,4.00,4.00,13.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6298141,3.00,4.00,2.00,5.00,6.00,7.13,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6298150,5.00,7.00,1.00,6.00,8.00,7.13,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6298168,5.00,6.00,1.00,4.00,8.00,8.25,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6298184,5.00,6.00,2.00,4.00,7.00,7.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6298192,2.00,4.00,2.00,5.00,3.00,5.63,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6298206,2.00,6.00,3.00,6.00,7.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6298214,2.00,2.00,2.00,1.00,5.00,8.63,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6298222,3.00,2.00,0.00,6.00,8.00,9.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6298230,6.00,4.00,7.00,3.00,8.00,8.63,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6298249,3.00,4.00,1.00,1.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6298257,1.00,2.00,2.00,1.00,3.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6298265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6298273,3.00,3.00,3.00,2.00,6.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6298281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6298290,1.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6298303,7.00,6.00,2.00,7.00,8.00,6.38,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6298311,7.00,7.00,4.00,4.00,7.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6298346,4.00,6.00,4.00,5.00,6.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6298354,6.00,6.00,3.00,2.00,10.00,9.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6298370,4.00,6.00,2.00,4.00,5.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6298389,3.00,5.00,3.00,5.00,7.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6298400,7.00,6.00,3.00,7.00,8.00,11.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6298419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6298427,6.00,4.00,2.00,4.00,7.00,12.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6298435,4.00,7.00,0.00,7.00,8.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6298443,4.00,6.00,2.00,5.00,8.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6298451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6298460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6298478,3.00,4.00,1.00,4.00,5.00,10.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6298486,1.00,2.00,0.00,1.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6298494,9.00,8.00,7.00,5.00,10.00,10.88,1.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6298508,4.00,5.00,2.00,6.00,7.00,12.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6298516,3.00,5.00,1.00,4.00,5.00,8.63,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6298524,1.00,2.00,0.00,2.00,6.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6298532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6298540,2.00,3.00,1.00,3.00,5.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6298559,5.00,7.00,3.00,5.00,5.00,10.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6298567,4.00,6.00,2.00,5.00,8.00,11.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6298583,3.00,5.00,1.00,6.00,7.00,7.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6298591,8.00,7.00,9.00,6.00,9.00,9.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6298605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6298621,4.00,7.00,5.00,5.00,7.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6298648,8.00,8.00,6.00,7.00,10.00,10.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6298656,5.00,5.00,3.00,3.00,8.00,8.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6298664,2.00,3.00,2.00,2.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6298672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6298680,4.00,5.00,1.00,4.00,8.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6298699,3.00,2.00,0.00,1.00,3.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6298702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6298710,8.00,5.00,6.00,7.00,9.00,10.13,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6298729,5.00,4.00,0.00,4.00,9.00,7.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6298737,6.00,3.00,0.00,3.00,8.00,9.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6298745,4.00,5.00,0.00,3.00,8.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6298753,2.00,5.00,1.00,3.00,6.00,7.88,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6298761,9.00,8.00,4.00,6.00,7.00,8.25,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6298770,1.00,6.00,3.00,4.00,6.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6298788,5.00,7.00,2.00,3.00,9.00,12.38,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6298796,8.00,6.00,7.00,7.00,10.00,9.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6298800,6.00,5.00,1.00,7.00,7.00,8.63,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6298818,3.00,0.00,3.00,2.00,6.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6298826,5.00,5.00,4.00,7.00,5.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6298842,8.00,7.00,2.00,6.00,9.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6298850,2.00,3.00,0.00,1.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6298869,4.00,6.00,1.00,3.00,9.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6298877,3.00,6.00,3.00,6.00,8.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6298885,5.00,5.00,4.00,5.00,10.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6298907,4.00,4.00,2.00,6.00,7.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6298915,3.00,3.00,0.00,4.00,6.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6298923,3.00,6.00,1.00,3.00,7.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6298931,2.00,6.00,2.00,3.00,7.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6298940,2.00,4.00,1.00,1.00,3.00,4.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6298958,3.00,5.00,2.00,2.00,6.00,10.88,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6298990,6.00,6.00,1.00,4.00,9.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6299008,4.00,4.00,3.00,5.00,8.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6299016,1.00,5.00,3.00,4.00,3.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6299024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6299032,5.00,3.00,3.00,4.00,7.00,8.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6299040,5.00,6.00,0.00,2.00,7.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6299059,1.00,4.00,0.00,4.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6299067,2.00,6.00,0.00,5.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6299075,4.00,6.00,0.00,3.00,5.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6299083,2.00,6.00,2.00,2.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6299091,3.00,5.00,2.00,6.00,9.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6299113,7.00,7.00,3.00,7.00,7.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6299121,2.00,5.00,1.00,2.00,5.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6299148,4.00,4.00,3.00,4.00,7.00,9.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6299164,4.00,6.00,2.00,6.00,8.00,7.13,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6299180,5.00,4.00,3.00,6.00,9.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6299199,1.00,4.00,2.00,3.00,6.00,6.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6299202,1.00,4.00,3.00,1.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6299210,6.00,4.00,3.00,4.00,7.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6299229,5.00,4.00,1.00,4.00,6.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6299237,4.00,4.00,1.00,5.00,7.00,10.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6299245,8.00,5.00,4.00,5.00,8.00,11.63,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6299253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6299261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6299270,6.00,7.00,4.00,7.00,8.00,8.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6299288,3.00,5.00,4.00,5.00,7.00,11.25,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6299296,2.00,3.00,0.00,2.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6299300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6299318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6299326,3.00,2.00,1.00,3.00,4.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6299342,8.00,5.00,4.00,7.00,9.00,9.00,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6299350,7.00,7.00,7.00,7.00,10.00,13.13,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6299377,4.00,5.00,4.00,6.00,6.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6299385,0.00,3.00,1.00,2.00,7.00,7.88,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6299393,4.00,5.00,0.00,6.00,7.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6299407,4.00,6.00,2.00,5.00,9.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6299423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6299431,7.00,7.00,3.00,7.00,10.00,6.75,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6299440,4.00,7.00,3.00,5.00,8.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6299458,6.00,5.00,1.00,5.00,7.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6299466,6.00,5.00,5.00,6.00,7.00,10.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6299474,1.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6299482,5.00,6.00,0.00,5.00,7.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6299504,6.00,8.00,2.00,5.00,9.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6299512,2.00,3.00,2.00,4.00,5.00,7.13,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6299520,3.00,5.00,1.00,4.00,6.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6299539,8.00,5.00,3.00,4.00,7.00,9.00,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6299555,4.00,7.00,5.00,6.00,8.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6299563,6.00,4.00,3.00,5.00,5.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6299571,1.00,5.00,3.00,2.00,3.00,6.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6299598,3.00,6.00,3.00,3.00,6.00,6.38,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6299601,3.00,6.00,2.00,7.00,6.00,8.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6299636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6299644,7.00,6.00,6.00,5.00,8.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6299652,5.00,6.00,2.00,1.00,6.00,6.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6299660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6299679,2.00,5.00,3.00,3.00,5.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6299687,1.00,7.00,3.00,4.00,4.00,6.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6299695,5.00,7.00,4.00,2.00,6.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6299709,3.00,5.00,4.00,2.00,7.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6299717,7.00,3.00,4.00,7.00,7.00,8.63,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6299725,2.00,5.00,0.00,6.00,4.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6299733,2.00,2.00,3.00,3.00,6.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6299741,1.00,7.00,5.00,5.00,5.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6299776,7.00,5.00,4.00,5.00,5.00,10.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6299784,4.00,4.00,2.00,7.00,9.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6299806,3.00,1.00,0.00,1.00,2.00,NULL,3.00,0.00,0.00,NULL,NULL,'S','N'),(25,6299822,3.00,6.00,2.00,4.00,6.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6299849,4.00,7.00,2.00,6.00,7.00,10.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6299865,3.00,3.00,0.00,2.00,4.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6299873,2.00,6.00,1.00,6.00,6.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6299881,4.00,3.00,0.00,2.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6299903,3.00,4.00,1.00,4.00,7.00,10.50,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6299911,3.00,5.00,4.00,6.00,7.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6299920,4.00,3.00,1.00,3.00,7.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6299938,4.00,4.00,1.00,3.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6299946,3.00,4.00,2.00,2.00,3.00,11.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6299962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6299970,3.00,4.00,3.00,4.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6299989,2.00,4.00,2.00,2.00,6.00,8.63,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6299997,7.00,9.00,0.00,7.00,10.00,12.75,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6300006,2.00,5.00,2.00,3.00,4.00,6.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6300014,5.00,7.00,4.00,6.00,9.00,12.00,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6300030,2.00,3.00,2.00,1.00,5.00,7.88,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6300049,4.00,7.00,1.00,6.00,5.00,10.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6300057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6300073,5.00,3.00,2.00,1.00,5.00,6.75,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6300081,4.00,7.00,3.00,3.00,4.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6300103,6.00,7.00,3.00,5.00,6.00,9.38,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6300120,6.00,0.00,0.00,4.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6300146,4.00,3.00,1.00,5.00,5.00,6.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6300162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6300170,5.00,4.00,1.00,6.00,7.00,10.13,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6300189,5.00,5.00,1.00,5.00,8.00,10.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6300197,3.00,5.00,2.00,5.00,6.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6300200,2.00,4.00,2.00,3.00,5.00,4.50,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6300219,2.00,0.00,1.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6300227,1.00,1.00,3.00,2.00,3.00,0.00,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6300235,2.00,3.00,3.00,2.00,4.00,7.50,0.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6300243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6300251,4.00,4.00,2.00,4.00,6.00,9.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6300286,6.00,3.00,2.00,5.00,7.00,7.88,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6300294,3.00,3.00,2.00,4.00,6.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6300308,2.00,3.00,0.00,1.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6300316,4.00,4.00,1.00,2.00,4.00,10.13,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6300324,1.00,4.00,2.00,0.00,6.00,9.38,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6300340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6300359,5.00,7.00,3.00,4.00,9.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6300375,3.00,4.00,3.00,6.00,4.00,6.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6300383,3.00,5.00,1.00,5.00,7.00,9.00,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6300391,3.00,4.00,1.00,4.00,5.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6300405,1.00,5.00,1.00,0.00,7.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6300413,4.00,4.00,0.00,3.00,6.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6300421,7.00,0.00,1.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6300430,5.00,6.00,1.00,4.00,8.00,10.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6300448,2.00,6.00,2.00,4.00,4.00,10.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6300456,5.00,6.00,3.00,7.00,8.00,9.38,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6300464,7.00,7.00,1.00,7.00,9.00,9.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6300472,5.00,4.00,3.00,4.00,9.00,11.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6300502,6.00,6.00,3.00,3.00,6.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6300510,2.00,4.00,0.00,2.00,7.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6300529,4.00,6.00,1.00,4.00,7.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6300545,8.00,7.00,4.00,6.00,8.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6300553,4.00,4.00,1.00,5.00,6.00,7.13,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6300561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6300570,2.00,5.00,1.00,5.00,4.00,5.63,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6300596,7.00,6.00,5.00,5.00,9.00,8.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6300618,6.00,4.00,3.00,3.00,6.00,NULL,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6300626,2.00,4.00,3.00,3.00,6.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6300634,4.00,5.00,1.00,4.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6300642,4.00,7.00,2.00,6.00,8.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6300669,7.00,7.00,7.00,7.00,6.00,9.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6300677,8.00,8.00,6.00,6.00,9.00,12.00,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6300685,4.00,3.00,3.00,5.00,4.00,8.25,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6300707,3.00,5.00,0.00,5.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6300715,1.00,5.00,2.00,2.00,5.00,9.00,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6300723,2.00,5.00,1.00,1.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6300731,2.00,6.00,4.00,5.00,6.00,10.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6300740,5.00,4.00,6.00,5.00,4.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6300758,7.00,5.00,5.00,6.00,10.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6300766,3.00,5.00,3.00,7.00,4.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6300774,1.00,6.00,0.00,2.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6300782,3.00,3.00,2.00,4.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6300790,5.00,5.00,1.00,4.00,6.00,7.88,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6300804,1.00,4.00,2.00,2.00,3.00,5.63,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6300820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6300839,3.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6300855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6300863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6300880,3.00,4.00,4.00,4.00,7.00,10.88,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6300898,3.00,0.00,6.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6300901,2.00,3.00,3.00,2.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6300910,7.00,5.00,6.00,5.00,8.00,8.25,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6300928,5.00,4.00,4.00,4.00,8.00,7.88,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6300936,2.00,4.00,2.00,3.00,4.00,7.50,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6300944,5.00,4.00,3.00,6.00,9.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6300952,2.00,4.00,1.00,6.00,6.00,8.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6300960,3.00,1.00,0.00,2.00,4.00,6.38,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6300979,2.00,3.00,2.00,4.00,6.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6300987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6300995,1.00,4.00,3.00,3.00,3.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6301029,2.00,5.00,1.00,1.00,1.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6301037,6.00,6.00,4.00,4.00,7.00,9.38,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6301053,4.00,2.00,1.00,2.00,6.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6301061,3.00,4.00,0.00,2.00,3.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6301088,1.00,6.00,3.00,1.00,5.00,7.13,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6301096,5.00,5.00,4.00,3.00,7.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6301100,3.00,4.00,0.00,3.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6301118,2.00,4.00,5.00,6.00,7.00,9.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6301134,6.00,5.00,1.00,4.00,4.00,9.38,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6301142,4.00,4.00,4.00,7.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6301150,2.00,5.00,3.00,4.00,4.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6301177,0.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6301185,4.00,4.00,2.00,6.00,7.00,10.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6301207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6301215,6.00,5.00,3.00,5.00,9.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6301223,8.00,6.00,4.00,6.00,8.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6301231,8.00,7.00,7.00,6.00,9.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6301240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6301258,4.00,7.00,0.00,3.00,6.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6301266,5.00,7.00,5.00,5.00,4.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6301274,2.00,4.00,2.00,2.00,6.00,6.38,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6301282,2.00,5.00,3.00,5.00,7.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6301290,3.00,5.00,1.00,6.00,7.00,9.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6301304,5.00,5.00,1.00,2.00,7.00,10.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6301312,6.00,4.00,2.00,3.00,4.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6301320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6301339,5.00,5.00,7.00,4.00,8.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6301347,3.00,3.00,1.00,2.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6301355,5.00,6.00,2.00,3.00,7.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6301363,4.00,6.00,4.00,6.00,10.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6301371,5.00,6.00,3.00,6.00,8.00,10.13,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6301380,2.00,6.00,0.00,4.00,5.00,6.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6301398,2.00,7.00,4.00,4.00,5.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6301410,1.00,4.00,3.00,3.00,4.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6301428,2.00,3.00,1.00,1.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6301436,2.00,4.00,1.00,4.00,8.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6301444,6.00,7.00,3.00,7.00,9.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6301452,4.00,4.00,1.00,1.00,5.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6301460,3.00,4.00,1.00,2.00,4.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6301479,3.00,4.00,2.00,6.00,7.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6301487,4.00,4.00,1.00,3.00,5.00,6.75,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6301495,5.00,6.00,3.00,3.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6301517,7.00,8.00,3.00,5.00,10.00,11.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6301525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6301533,4.00,7.00,3.00,5.00,3.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6301541,3.00,5.00,2.00,2.00,6.00,8.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6301568,2.00,3.00,1.00,3.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6301576,4.00,7.00,3.00,4.00,7.00,7.88,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6301584,4.00,4.00,1.00,3.00,6.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6301592,3.00,3.00,1.00,2.00,5.00,6.00,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6301606,5.00,4.00,2.00,0.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6301614,3.00,3.00,2.00,3.00,5.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6301622,7.00,8.00,6.00,6.00,7.00,9.75,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6301630,2.00,5.00,1.00,3.00,6.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6301649,5.00,5.00,4.00,3.00,6.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6301657,1.00,3.00,2.00,2.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6301665,4.00,7.00,4.00,3.00,6.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6301673,5.00,7.00,3.00,7.00,8.00,11.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6301681,5.00,3.00,1.00,1.00,6.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6301690,7.00,4.00,1.00,7.00,8.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6301703,3.00,4.00,0.00,2.00,4.00,8.63,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6301711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6301720,3.00,6.00,4.00,4.00,5.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6301738,4.00,6.00,4.00,7.00,8.00,10.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6301746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6301754,3.00,5.00,1.00,3.00,5.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6301770,2.00,1.00,0.00,4.00,3.00,6.38,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6301789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6301797,1.00,2.00,2.00,1.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6301800,2.00,3.00,3.00,2.00,4.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6301819,5.00,7.00,4.00,2.00,8.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6301827,2.00,2.00,1.00,3.00,3.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6301835,4.00,5.00,4.00,5.00,7.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6301843,6.00,7.00,6.00,7.00,9.00,10.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6301851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6301860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6301878,2.00,4.00,3.00,1.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6301886,2.00,3.00,1.00,2.00,5.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6301894,4.00,5.00,0.00,7.00,7.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6301908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6301916,6.00,8.00,5.00,7.00,11.00,10.13,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6301940,3.00,6.00,3.00,6.00,10.00,10.88,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6301959,6.00,5.00,5.00,7.00,8.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6301967,3.00,3.00,2.00,2.00,5.00,6.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6301975,5.00,5.00,1.00,5.00,3.00,5.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6302009,4.00,3.00,3.00,1.00,3.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6302025,1.00,3.00,0.00,3.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6302033,5.00,8.00,4.00,7.00,7.00,7.88,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6302041,4.00,5.00,3.00,2.00,4.00,7.13,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6302050,4.00,5.00,4.00,2.00,8.00,9.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6302068,2.00,7.00,1.00,4.00,7.00,9.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6302076,3.00,4.00,2.00,7.00,4.00,8.63,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6302084,3.00,3.00,2.00,4.00,6.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6302092,4.00,4.00,2.00,6.00,8.00,10.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6302106,8.00,6.00,3.00,7.00,8.00,10.88,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6302114,4.00,2.00,0.00,4.00,7.00,NULL,3.00,1.00,5.00,NULL,NULL,'S','S'),(25,6302122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6302130,9.00,8.00,8.00,6.00,10.00,12.38,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6302149,4.00,4.00,3.00,1.00,4.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6302157,3.00,5.00,0.00,1.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6302165,6.00,7.00,5.00,6.00,9.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6302173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6302181,5.00,5.00,4.00,7.00,7.00,10.88,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6302190,3.00,4.00,0.00,4.00,4.00,10.50,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6302203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6302211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6302220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6302238,4.00,4.00,1.00,4.00,6.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6302246,5.00,6.00,1.00,5.00,9.00,10.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6302254,5.00,7.00,3.00,3.00,9.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6302262,4.00,5.00,2.00,6.00,6.00,5.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6302270,0.00,4.00,1.00,2.00,5.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6302297,3.00,4.00,2.00,2.00,7.00,NULL,2.00,1.00,1.00,NULL,NULL,'S','S'),(25,6302300,6.00,7.00,3.00,7.00,8.00,7.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6302319,6.00,5.00,2.00,7.00,9.00,7.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6302335,4.00,5.00,1.00,4.00,4.00,5.25,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6302343,7.00,7.00,2.00,7.00,9.00,9.38,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6302351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6302360,9.00,7.00,4.00,6.00,9.00,11.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6302378,7.00,7.00,6.00,6.00,9.00,11.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6302386,4.00,0.00,3.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6302394,3.00,6.00,2.00,3.00,5.00,7.50,3.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6302408,4.00,6.00,4.00,5.00,4.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6302416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6302424,3.00,5.00,3.00,4.00,4.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6302432,3.00,4.00,2.00,5.00,8.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6302459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6302467,2.00,6.00,3.00,3.00,4.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6302475,3.00,6.00,0.00,5.00,7.00,7.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6302483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6302491,2.00,4.00,0.00,4.00,7.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6302505,5.00,6.00,4.00,7.00,7.00,8.25,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6302521,2.00,4.00,0.00,1.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6302530,3.00,5.00,2.00,3.00,7.00,7.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6302548,6.00,7.00,3.00,6.00,9.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6302564,3.00,6.00,2.00,7.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,'S','S'),(25,6302580,8.00,4.00,2.00,7.00,6.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6302599,2.00,4.00,4.00,5.00,6.00,7.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6302610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6302629,5.00,5.00,2.00,5.00,5.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6302637,3.00,4.00,0.00,3.00,5.00,9.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6302645,6.00,7.00,3.00,3.00,7.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6302653,3.00,5.00,2.00,0.00,3.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6302661,8.00,8.00,4.00,7.00,8.00,8.63,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6302670,5.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6302688,4.00,3.00,3.00,0.00,5.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6302700,2.00,4.00,2.00,5.00,6.00,8.63,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6302718,3.00,1.00,1.00,6.00,5.00,7.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6302726,7.00,7.00,1.00,6.00,11.00,10.50,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6302734,3.00,6.00,3.00,4.00,8.00,8.25,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6302742,3.00,3.00,2.00,2.00,4.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6302750,5.00,7.00,3.00,5.00,8.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6302769,2.00,4.00,2.00,2.00,4.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6302777,5.00,4.00,2.00,4.00,6.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6302785,8.00,5.00,3.00,6.00,8.00,8.63,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6302793,7.00,7.00,3.00,7.00,10.00,12.75,2.00,5.00,7.00,NULL,NULL,NULL,'S'),(25,6302807,7.00,7.00,6.00,6.00,9.00,8.63,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6302823,8.00,6.00,1.00,6.00,10.00,8.63,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6302831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6302840,3.00,4.00,1.00,3.00,5.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6302858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6302866,4.00,4.00,3.00,3.00,7.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6302882,6.00,9.00,4.00,7.00,9.00,9.38,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6302890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6302904,1.00,3.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6302912,3.00,6.00,2.00,4.00,3.00,5.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6302920,5.00,5.00,3.00,6.00,8.00,10.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6302939,3.00,5.00,1.00,4.00,4.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6302947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6302963,7.00,5.00,5.00,4.00,5.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6302971,2.00,4.00,1.00,4.00,7.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6302980,3.00,4.00,1.00,1.00,3.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6302998,4.00,5.00,1.00,3.00,6.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6303005,2.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6303013,9.00,6.00,5.00,7.00,10.00,10.13,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6303021,5.00,5.00,5.00,6.00,8.00,10.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6303030,4.00,5.00,3.00,4.00,4.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6303048,4.00,6.00,2.00,4.00,5.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6303056,4.00,9.00,1.00,7.00,10.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6303064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6303072,2.00,1.00,3.00,3.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6303099,5.00,4.00,4.00,4.00,4.00,8.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6303102,4.00,2.00,2.00,7.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6303110,1.00,4.00,2.00,4.00,3.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6303129,7.00,7.00,4.00,4.00,7.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6303153,3.00,6.00,3.00,3.00,7.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6303161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6303170,1.00,6.00,0.00,1.00,8.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6303188,4.00,4.00,1.00,4.00,9.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6303196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6303200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6303226,2.00,3.00,1.00,2.00,4.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6303234,6.00,6.00,4.00,4.00,8.00,10.13,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6303242,2.00,6.00,1.00,4.00,6.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6303250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6303269,2.00,3.00,3.00,3.00,5.00,7.50,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6303285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6303293,4.00,3.00,2.00,2.00,7.00,6.00,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6303307,5.00,4.00,0.00,5.00,8.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6303323,2.00,4.00,0.00,3.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6303331,1.00,2.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(25,6303340,3.00,3.00,1.00,4.00,3.00,8.25,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6303358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6303366,4.00,5.00,3.00,3.00,4.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6303374,3.00,5.00,3.00,1.00,5.00,7.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6303382,3.00,4.00,3.00,2.00,5.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6303390,3.00,7.00,4.00,3.00,7.00,7.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6303404,6.00,5.00,0.00,5.00,8.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6303412,7.00,7.00,3.00,5.00,7.00,9.75,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6303420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6303439,1.00,3.00,0.00,0.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6303447,5.00,6.00,3.00,4.00,9.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6303455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6303463,4.00,3.00,1.00,3.00,3.00,8.25,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6303471,3.00,3.00,3.00,3.00,4.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6303480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6303501,2.00,3.00,2.00,2.00,4.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6303510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6303528,5.00,6.00,1.00,5.00,7.00,11.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6303536,2.00,5.00,1.00,3.00,5.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6303544,1.00,3.00,1.00,4.00,4.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6303560,6.00,5.00,2.00,2.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6303587,7.00,8.00,1.00,3.00,9.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6303595,3.00,4.00,3.00,4.00,7.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6303609,4.00,7.00,2.00,5.00,4.00,10.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6303625,9.00,6.00,5.00,6.00,8.00,10.88,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6303641,6.00,5.00,2.00,6.00,8.00,9.00,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6303650,5.00,7.00,2.00,5.00,8.00,10.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6303668,4.00,4.00,2.00,5.00,4.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6303676,2.00,4.00,0.00,1.00,6.00,8.25,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6303684,3.00,3.00,2.00,4.00,5.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6303692,8.00,7.00,2.00,7.00,10.00,7.50,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6303714,3.00,3.00,3.00,7.00,7.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6303722,4.00,3.00,3.00,3.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6303730,5.00,4.00,0.00,1.00,7.00,7.50,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6303757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6303765,4.00,4.00,2.00,2.00,3.00,6.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6303773,7.00,7.00,3.00,6.00,8.00,10.88,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6303781,4.00,1.00,1.00,2.00,6.00,7.50,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6303790,4.00,3.00,4.00,7.00,6.00,6.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6303803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6303811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6303820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6303838,5.00,5.00,2.00,5.00,8.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6303846,5.00,4.00,6.00,7.00,7.00,12.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6303862,2.00,3.00,1.00,3.00,4.00,9.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6303870,4.00,3.00,3.00,2.00,4.00,6.38,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6303889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6303897,4.00,8.00,3.00,5.00,9.00,9.38,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6303900,0.00,2.00,0.00,0.00,0.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6303919,5.00,6.00,4.00,2.00,7.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6303927,2.00,3.00,3.00,2.00,5.00,7.13,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6303935,3.00,3.00,0.00,1.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,'S','N'),(25,6303943,5.00,4.00,1.00,4.00,3.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6303951,4.00,2.00,0.00,1.00,4.00,NULL,4.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6303960,3.00,2.00,1.00,3.00,6.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6303978,4.00,6.00,2.00,2.00,3.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6303986,4.00,6.00,4.00,4.00,6.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6303994,5.00,4.00,5.00,4.00,8.00,10.88,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6304001,3.00,4.00,0.00,3.00,4.00,8.63,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6304010,3.00,4.00,3.00,2.00,4.00,6.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6304028,1.00,4.00,1.00,4.00,6.00,11.25,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6304036,4.00,6.00,4.00,7.00,7.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6304044,4.00,2.00,3.00,2.00,5.00,9.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6304052,0.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6304060,5.00,6.00,3.00,7.00,9.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6304087,5.00,3.00,3.00,3.00,4.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6304095,2.00,6.00,2.00,0.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6304109,4.00,4.00,0.00,3.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6304117,6.00,5.00,6.00,5.00,6.00,6.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6304125,2.00,5.00,1.00,6.00,5.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6304133,6.00,5.00,3.00,2.00,5.00,8.25,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6304150,4.00,6.00,4.00,6.00,9.00,12.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6304206,3.00,6.00,0.00,6.00,6.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6304222,9.00,6.00,3.00,4.00,9.00,8.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6304230,4.00,4.00,1.00,2.00,4.00,9.75,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6304249,3.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(25,6304265,0.00,4.00,0.00,0.00,0.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6304273,2.00,1.00,2.00,2.00,5.00,4.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6304281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6304290,3.00,4.00,1.00,6.00,8.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6304303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6304311,8.00,8.00,2.00,6.00,8.00,7.88,2.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6304320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6304338,4.00,5.00,2.00,5.00,8.00,10.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6304346,4.00,3.00,0.00,2.00,4.00,6.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6304354,3.00,5.00,3.00,1.00,8.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6304362,2.00,1.00,1.00,3.00,5.00,10.88,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6304370,4.00,0.00,5.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6304389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6304397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6304400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6304419,5.00,3.00,2.00,0.00,5.00,7.88,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6304427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6304435,4.00,5.00,2.00,5.00,7.00,10.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6304443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6304451,1.00,2.00,2.00,2.00,4.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6304460,2.00,4.00,3.00,4.00,3.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6304478,8.00,7.00,3.00,1.00,8.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6304486,5.00,4.00,4.00,2.00,4.00,11.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6304494,3.00,4.00,2.00,6.00,6.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6304508,2.00,1.00,2.00,2.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6304516,4.00,5.00,2.00,5.00,5.00,0.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6304524,2.00,5.00,2.00,4.00,4.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6304532,3.00,3.00,3.00,4.00,10.00,5.63,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6304540,5.00,5.00,3.00,3.00,3.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6304559,4.00,7.00,3.00,3.00,5.00,5.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6304567,3.00,4.00,0.00,0.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6304575,5.00,4.00,0.00,2.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6304583,4.00,5.00,4.00,2.00,3.00,8.25,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6304591,5.00,3.00,2.00,5.00,8.00,5.63,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6304605,8.00,4.00,5.00,6.00,7.00,8.25,1.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6304613,6.00,7.00,4.00,7.00,9.00,11.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6304621,3.00,0.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6304630,1.00,5.00,1.00,2.00,4.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6304648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6304656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6304664,8.00,6.00,6.00,7.00,10.00,10.88,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6304672,5.00,5.00,1.00,1.00,9.00,6.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6304680,1.00,4.00,1.00,3.00,6.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6304699,3.00,7.00,4.00,7.00,8.00,10.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6304702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6304737,5.00,6.00,2.00,3.00,8.00,9.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6304745,8.00,8.00,4.00,5.00,6.00,10.88,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6304753,3.00,3.00,1.00,4.00,6.00,6.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6304788,5.00,5.00,1.00,3.00,4.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6304796,4.00,6.00,1.00,1.00,5.00,9.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6304800,8.00,5.00,5.00,6.00,7.00,10.13,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6304818,2.00,6.00,2.00,3.00,8.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6304826,4.00,3.00,2.00,4.00,6.00,7.88,3.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6304834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6304869,4.00,4.00,0.00,2.00,4.00,6.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6304877,4.00,6.00,3.00,7.00,6.00,5.63,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6304885,6.00,2.00,1.00,4.00,7.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6304893,1.00,6.00,3.00,4.00,6.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6304907,1.00,6.00,0.00,2.00,6.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6304915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6304923,4.00,4.00,4.00,3.00,3.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6304931,6.00,7.00,5.00,6.00,6.00,12.38,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6304940,3.00,5.00,3.00,2.00,7.00,6.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6304958,2.00,2.00,2.00,4.00,4.00,7.88,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6304966,3.00,3.00,1.00,3.00,5.00,8.25,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6304974,7.00,6.00,2.00,7.00,10.00,10.13,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6304990,7.00,6.00,6.00,6.00,9.00,9.75,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6305008,4.00,2.00,3.00,1.00,7.00,5.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6305016,2.00,4.00,1.00,3.00,3.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6305024,3.00,7.00,3.00,7.00,6.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6305032,4.00,6.00,1.00,5.00,4.00,9.38,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6305040,5.00,4.00,3.00,4.00,6.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6305059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6305067,3.00,7.00,0.00,1.00,6.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6305083,0.00,5.00,0.00,0.00,0.00,NULL,1.00,1.00,3.00,'S',NULL,NULL,'N'),(25,6305091,2.00,4.00,0.00,3.00,5.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6305105,2.00,3.00,2.00,3.00,5.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6305113,4.00,5.00,1.00,5.00,8.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6305148,5.00,4.00,5.00,5.00,6.00,10.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6305156,8.00,7.00,6.00,6.00,9.00,8.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6305164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6305180,0.00,2.00,3.00,3.00,6.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6305199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6305202,4.00,6.00,1.00,5.00,6.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6305210,2.00,1.00,0.00,1.00,4.00,3.38,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6305229,2.00,5.00,0.00,4.00,5.00,8.63,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6305237,5.00,5.00,1.00,6.00,8.00,8.25,3.00,4.00,7.00,NULL,NULL,NULL,'S'),(25,6305253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6305261,4.00,6.00,4.00,7.00,8.00,8.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6305288,5.00,5.00,3.00,6.00,6.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6305300,3.00,3.00,1.00,1.00,4.00,7.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6305318,3.00,4.00,4.00,5.00,4.00,9.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6305342,5.00,5.00,7.00,6.00,8.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6305350,0.00,5.00,1.00,3.00,6.00,8.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6305377,3.00,4.00,3.00,5.00,5.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6305385,3.00,3.00,0.00,3.00,4.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6305393,2.00,4.00,1.00,2.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6305407,1.00,4.00,1.00,1.00,5.00,7.13,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6305415,5.00,4.00,1.00,2.00,8.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6305423,3.00,5.00,3.00,4.00,4.00,9.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6305431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6305440,2.00,2.00,2.00,5.00,9.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6305466,4.00,2.00,2.00,6.00,6.00,9.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6305482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6305490,4.00,5.00,1.00,1.00,3.00,6.00,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6305512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6305520,8.00,5.00,7.00,6.00,9.00,10.50,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6305539,5.00,7.00,0.00,6.00,7.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6305547,6.00,8.00,2.00,4.00,10.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6305555,3.00,6.00,4.00,5.00,4.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6305580,3.00,5.00,2.00,6.00,7.00,9.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6305598,7.00,4.00,3.00,7.00,4.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6305601,5.00,7.00,1.00,4.00,6.00,9.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6305610,4.00,5.00,3.00,2.00,5.00,4.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6305644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6305660,2.00,1.00,4.00,4.00,6.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6305679,2.00,4.00,2.00,2.00,6.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6305687,2.00,2.00,0.00,2.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6305695,3.00,5.00,3.00,5.00,5.00,10.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6305717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6305725,2.00,1.00,3.00,2.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6305733,3.00,2.00,0.00,5.00,7.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6305750,3.00,6.00,2.00,3.00,7.00,10.50,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6305776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6305784,3.00,4.00,3.00,3.00,6.00,3.75,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6305792,4.00,5.00,3.00,4.00,5.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6305806,3.00,8.00,2.00,3.00,8.00,8.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6305822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6305830,5.00,4.00,3.00,4.00,6.00,9.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6305849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6305857,3.00,5.00,3.00,4.00,7.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6305865,3.00,5.00,3.00,5.00,6.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6305873,7.00,4.00,4.00,2.00,6.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6305881,3.00,5.00,2.00,1.00,7.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6305890,4.00,6.00,4.00,7.00,8.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6305903,7.00,5.00,3.00,4.00,8.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6305920,7.00,7.00,4.00,5.00,8.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6305938,1.00,5.00,0.00,3.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6305946,8.00,5.00,6.00,3.00,7.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6305970,8.00,5.00,4.00,5.00,7.00,9.75,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6305997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6306004,5.00,3.00,0.00,6.00,6.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6306012,4.00,4.00,2.00,2.00,3.00,10.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6306020,5.00,5.00,1.00,3.00,6.00,8.63,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6306039,4.00,6.00,0.00,3.00,6.00,7.50,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6306047,3.00,2.00,2.00,2.00,3.00,6.38,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6306055,4.00,2.00,1.00,2.00,6.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6306063,4.00,2.00,3.00,4.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6306071,5.00,5.00,1.00,5.00,9.00,8.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6306080,2.00,6.00,3.00,3.00,4.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6306098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6306110,3.00,0.00,2.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6306128,5.00,4.00,5.00,5.00,8.00,10.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6306136,1.00,4.00,3.00,3.00,3.00,8.25,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6306152,3.00,5.00,3.00,2.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6306160,2.00,4.00,0.00,3.00,6.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6306187,4.00,6.00,2.00,5.00,6.00,12.38,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6306209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6306217,5.00,7.00,3.00,6.00,9.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6306225,2.00,2.00,2.00,0.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6306250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6306268,3.00,4.00,1.00,7.00,6.00,4.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6306276,8.00,6.00,2.00,5.00,9.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6306284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6306292,3.00,3.00,4.00,0.00,5.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6306322,3.00,4.00,0.00,2.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6306330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6306349,0.00,3.00,2.00,3.00,5.00,9.75,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6306357,3.00,3.00,2.00,4.00,5.00,5.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6306365,5.00,5.00,3.00,5.00,7.00,8.25,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6306373,5.00,6.00,1.00,7.00,7.00,7.13,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6306390,2.00,3.00,1.00,3.00,4.00,8.25,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6306403,2.00,3.00,0.00,2.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6306411,9.00,7.00,7.00,7.00,9.00,6.38,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6306420,8.00,7.00,4.00,7.00,6.00,12.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6306438,3.00,8.00,1.00,5.00,8.00,7.88,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6306454,5.00,3.00,2.00,5.00,8.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6306462,5.00,4.00,2.00,3.00,5.00,9.00,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6306470,0.00,0.00,0.00,1.00,0.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6306497,2.00,3.00,1.00,3.00,5.00,8.63,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6306500,2.00,5.00,1.00,3.00,7.00,8.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6306519,5.00,6.00,3.00,7.00,8.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6306527,2.00,4.00,3.00,4.00,4.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6306535,4.00,5.00,2.00,3.00,8.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6306543,3.00,2.00,0.00,1.00,2.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6306551,5.00,6.00,2.00,5.00,9.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6306560,5.00,4.00,0.00,5.00,8.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6306578,6.00,5.00,1.00,5.00,9.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6306586,3.00,4.00,1.00,2.00,6.00,8.63,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6306594,3.00,4.00,0.00,5.00,7.00,NULL,1.00,2.00,0.00,NULL,NULL,'S','S'),(25,6306608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6306616,1.00,0.00,0.00,2.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6306624,3.00,2.00,1.00,4.00,5.00,8.25,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6306632,3.00,3.00,0.00,0.00,1.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6306667,3.00,7.00,4.00,5.00,6.00,8.63,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6306675,3.00,3.00,1.00,3.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'S'),(25,6306683,2.00,5.00,4.00,7.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6306691,8.00,7.00,3.00,7.00,9.00,7.88,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6306705,2.00,3.00,1.00,0.00,4.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6306713,2.00,7.00,2.00,1.00,7.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6306721,6.00,2.00,2.00,5.00,7.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6306730,2.00,1.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6306748,6.00,6.00,2.00,5.00,7.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'S'),(25,6306756,4.00,5.00,3.00,6.00,6.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6306764,3.00,5.00,2.00,3.00,7.00,9.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6306772,7.00,3.00,2.00,3.00,7.00,8.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6306780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6306802,6.00,6.00,6.00,5.00,8.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6306810,6.00,5.00,2.00,6.00,7.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6306829,3.00,5.00,3.00,6.00,6.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6306837,4.00,3.00,2.00,2.00,3.00,6.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6306845,5.00,0.00,1.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6306853,2.00,4.00,0.00,3.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6306861,4.00,5.00,2.00,4.00,8.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6306870,3.00,2.00,3.00,5.00,9.00,7.13,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6306888,5.00,5.00,2.00,4.00,8.00,10.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6306896,5.00,5.00,4.00,6.00,5.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6306900,4.00,5.00,3.00,2.00,3.00,7.13,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6306926,3.00,3.00,1.00,3.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6306942,1.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'S'),(25,6306950,3.00,3.00,2.00,4.00,5.00,5.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6306969,5.00,5.00,6.00,5.00,8.00,10.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6306977,4.00,6.00,3.00,4.00,6.00,5.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6306993,5.00,6.00,2.00,6.00,8.00,7.13,3.00,7.00,0.00,NULL,NULL,NULL,'S'),(25,6307000,2.00,2.00,1.00,4.00,7.00,9.75,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6307019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6307027,8.00,6.00,6.00,7.00,10.00,11.25,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6307035,3.00,7.00,3.00,5.00,8.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6307043,3.00,2.00,2.00,1.00,5.00,6.75,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6307078,2.00,4.00,0.00,2.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6307094,3.00,4.00,2.00,4.00,6.00,8.25,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6307116,1.00,5.00,2.00,2.00,3.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6307124,7.00,6.00,3.00,6.00,8.00,8.63,1.00,5.00,6.00,NULL,NULL,NULL,'S'),(25,6307132,3.00,5.00,0.00,5.00,6.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6307159,3.00,5.00,2.00,3.00,4.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6307175,6.00,6.00,3.00,4.00,7.00,9.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6307183,3.00,4.00,0.00,4.00,5.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6307191,2.00,2.00,5.00,2.00,4.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6307205,8.00,5.00,6.00,6.00,10.00,10.88,4.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6307213,4.00,4.00,1.00,5.00,5.00,8.63,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6307221,4.00,8.00,1.00,6.00,8.00,10.13,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6307248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6307256,5.00,4.00,3.00,3.00,7.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6307264,3.00,5.00,3.00,2.00,4.00,6.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6307272,4.00,4.00,1.00,4.00,7.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6307299,5.00,6.00,3.00,5.00,6.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6307310,2.00,2.00,1.00,2.00,7.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6307329,6.00,6.00,1.00,3.00,6.00,8.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6307337,3.00,2.00,1.00,0.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6307353,6.00,8.00,3.00,5.00,6.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6307361,1.00,3.00,0.00,5.00,6.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6307370,4.00,0.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6307388,7.00,6.00,5.00,7.00,8.00,10.88,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6307396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6307400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6307418,7.00,7.00,7.00,6.00,8.00,9.00,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6307434,3.00,3.00,3.00,5.00,6.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6307442,2.00,5.00,2.00,5.00,8.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6307469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6307477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6307485,1.00,4.00,1.00,2.00,5.00,5.63,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6307493,4.00,5.00,5.00,6.00,9.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6307507,8.00,7.00,4.00,5.00,9.00,9.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6307515,2.00,2.00,0.00,4.00,4.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6307523,7.00,6.00,4.00,5.00,7.00,5.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6307531,6.00,6.00,3.00,5.00,7.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6307540,2.00,7.00,2.00,5.00,7.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6307558,5.00,7.00,6.00,6.00,9.00,6.75,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6307566,7.00,5.00,6.00,7.00,8.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6307574,8.00,4.00,1.00,5.00,8.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6307582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6307590,2.00,6.00,1.00,3.00,5.00,5.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6307604,3.00,3.00,2.00,3.00,5.00,4.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6307612,5.00,4.00,6.00,4.00,7.00,9.00,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6307620,4.00,6.00,3.00,4.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6307639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6307647,6.00,5.00,3.00,6.00,9.00,9.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6307663,6.00,6.00,0.00,3.00,6.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6307671,0.00,1.00,0.00,4.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6307698,4.00,3.00,2.00,5.00,4.00,6.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6307710,2.00,2.00,0.00,1.00,5.00,6.38,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6307736,3.00,3.00,0.00,1.00,2.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6307744,4.00,6.00,2.00,4.00,4.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6307752,7.00,7.00,2.00,7.00,10.00,9.00,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6307760,8.00,5.00,3.00,6.00,7.00,10.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6307787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6307795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6307809,1.00,5.00,3.00,2.00,3.00,9.00,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6307817,4.00,4.00,4.00,6.00,7.00,NULL,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6307825,7.00,7.00,6.00,7.00,9.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6307833,5.00,3.00,1.00,1.00,4.00,8.25,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6307841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6307850,5.00,4.00,3.00,5.00,5.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6307868,7.00,7.00,4.00,5.00,8.00,7.88,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6307876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6307906,3.00,4.00,3.00,4.00,6.00,9.00,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6307914,7.00,8.00,5.00,3.00,10.00,9.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6307930,3.00,2.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6307949,6.00,6.00,2.00,5.00,8.00,9.75,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6307957,8.00,6.00,5.00,6.00,8.00,8.25,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6307973,5.00,6.00,2.00,5.00,6.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6307981,4.00,4.00,0.00,4.00,6.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6307990,9.00,8.00,6.00,5.00,10.00,9.38,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6308007,5.00,5.00,4.00,6.00,5.00,8.63,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6308015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6308023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6308031,3.00,3.00,0.00,1.00,5.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6308058,5.00,5.00,2.00,7.00,8.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6308066,5.00,4.00,3.00,5.00,6.00,6.38,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6308074,4.00,3.00,1.00,4.00,4.00,9.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6308082,6.00,5.00,0.00,5.00,8.00,10.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6308090,5.00,6.00,6.00,4.00,6.00,8.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6308104,3.00,4.00,2.00,5.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6308112,5.00,7.00,1.00,6.00,9.00,7.88,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6308139,1.00,6.00,3.00,7.00,6.00,9.00,2.00,5.00,8.00,NULL,NULL,NULL,'S'),(25,6308155,4.00,4.00,1.00,5.00,7.00,10.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6308163,5.00,7.00,3.00,4.00,7.00,9.00,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6308171,2.00,5.00,4.00,5.00,5.00,8.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6308180,3.00,8.00,6.00,6.00,6.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6308198,6.00,5.00,5.00,3.00,5.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6308201,6.00,5.00,4.00,2.00,8.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6308210,4.00,5.00,0.00,5.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6308228,3.00,5.00,4.00,2.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6308244,5.00,6.00,2.00,6.00,9.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6308252,6.00,5.00,1.00,6.00,10.00,12.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6308260,3.00,3.00,3.00,5.00,6.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6308279,7.00,7.00,4.00,5.00,9.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6308287,6.00,8.00,5.00,5.00,8.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6308309,7.00,3.00,3.00,6.00,8.00,6.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6308317,4.00,6.00,3.00,3.00,6.00,7.13,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6308325,7.00,7.00,5.00,4.00,8.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6308333,1.00,3.00,2.00,4.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6308368,1.00,1.00,1.00,4.00,6.00,8.25,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6308376,2.00,4.00,2.00,6.00,6.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6308406,6.00,6.00,5.00,6.00,9.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6308414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6308422,2.00,6.00,3.00,3.00,5.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6308430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6308457,1.00,3.00,3.00,2.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6308465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6308473,7.00,5.00,1.00,7.00,9.00,6.00,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6308481,6.00,5.00,3.00,4.00,4.00,7.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6308490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6308503,4.00,3.00,2.00,4.00,7.00,6.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6308511,5.00,3.00,3.00,5.00,5.00,NULL,2.00,0.00,3.00,NULL,NULL,'S','S'),(25,6308538,3.00,5.00,1.00,2.00,3.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6308546,5.00,5.00,1.00,6.00,7.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6308554,0.00,4.00,1.00,4.00,4.00,7.13,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6308562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6308597,4.00,5.00,1.00,5.00,7.00,10.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6308600,6.00,5.00,4.00,7.00,3.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6308627,4.00,2.00,1.00,3.00,5.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6308635,2.00,1.00,3.00,5.00,3.00,4.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6308660,4.00,7.00,2.00,6.00,8.00,9.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6308678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6308686,5.00,2.00,0.00,3.00,7.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6308694,4.00,6.00,3.00,4.00,4.00,5.25,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6308708,1.00,3.00,4.00,5.00,1.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6308716,3.00,4.00,5.00,4.00,5.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6308724,4.00,4.00,2.00,1.00,5.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6308732,4.00,1.00,0.00,0.00,0.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6308740,2.00,5.00,2.00,2.00,7.00,9.00,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6308767,4.00,7.00,4.00,7.00,8.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6308775,7.00,7.00,5.00,5.00,7.00,10.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6308783,5.00,5.00,2.00,5.00,8.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6308791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6308805,7.00,6.00,4.00,5.00,7.00,10.13,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6308821,2.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6308830,7.00,5.00,2.00,2.00,8.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6308848,4.00,6.00,2.00,3.00,5.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6308864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6308872,5.00,6.00,2.00,1.00,5.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6308880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6308899,2.00,6.00,2.00,2.00,6.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6308902,8.00,6.00,3.00,7.00,6.00,10.50,0.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6308910,1.00,3.00,1.00,4.00,3.00,6.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6308945,2.00,4.00,1.00,4.00,3.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6308953,5.00,5.00,5.00,6.00,8.00,10.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6308961,8.00,7.00,6.00,7.00,8.00,10.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6308970,7.00,6.00,2.00,4.00,7.00,9.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6308996,5.00,2.00,1.00,2.00,6.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6309003,6.00,6.00,4.00,7.00,4.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6309011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6309020,7.00,7.00,6.00,6.00,9.00,10.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6309038,3.00,4.00,0.00,2.00,5.00,9.00,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6309046,3.00,3.00,3.00,2.00,3.00,4.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6309054,5.00,6.00,1.00,5.00,9.00,10.13,0.00,2.00,6.00,NULL,NULL,NULL,'S'),(25,6309062,2.00,3.00,3.00,5.00,5.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6309070,3.00,6.00,1.00,6.00,8.00,9.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6309089,7.00,6.00,4.00,7.00,8.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6309100,4.00,6.00,1.00,4.00,8.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6309119,2.00,3.00,1.00,1.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6309127,4.00,6.00,2.00,6.00,6.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6309135,0.00,0.00,0.00,0.00,1.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6309143,0.00,2.00,2.00,3.00,3.00,6.75,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6309151,4.00,3.00,2.00,5.00,6.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6309160,5.00,5.00,2.00,6.00,5.00,10.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6309178,6.00,6.00,4.00,4.00,7.00,9.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6309186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6309194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6309208,6.00,4.00,4.00,5.00,7.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6309216,6.00,5.00,3.00,7.00,6.00,11.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6309224,4.00,4.00,1.00,5.00,3.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6309232,3.00,2.00,0.00,3.00,7.00,7.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6309240,5.00,5.00,2.00,6.00,10.00,9.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6309259,2.00,4.00,0.00,3.00,3.00,9.00,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6309267,5.00,5.00,3.00,4.00,1.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6309275,0.00,4.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6309283,6.00,6.00,3.00,6.00,10.00,10.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6309291,3.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6309305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6309313,3.00,7.00,2.00,5.00,7.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6309321,1.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6309348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6309356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6309364,6.00,5.00,3.00,5.00,9.00,9.38,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6309372,2.00,6.00,4.00,7.00,7.00,10.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6309399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6309402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6309410,7.00,8.00,3.00,6.00,10.00,12.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6309429,2.00,2.00,1.00,2.00,3.00,7.13,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6309461,3.00,3.00,2.00,4.00,5.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6309496,5.00,5.00,1.00,5.00,6.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6309500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6309518,1.00,4.00,3.00,1.00,3.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6309526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6309534,4.00,4.00,2.00,4.00,5.00,6.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6309542,5.00,0.00,1.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6309550,1.00,2.00,2.00,2.00,4.00,8.25,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6309569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6309577,1.00,2.00,0.00,4.00,6.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6309585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6309593,3.00,2.00,0.00,3.00,6.00,3.75,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6309607,6.00,8.00,4.00,6.00,7.00,9.38,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6309615,5.00,7.00,4.00,6.00,7.00,9.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6309623,6.00,5.00,2.00,5.00,6.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6309631,2.00,6.00,3.00,6.00,7.00,NULL,0.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6309640,6.00,6.00,2.00,7.00,8.00,8.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6309658,5.00,4.00,0.00,3.00,4.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6309666,1.00,3.00,2.00,1.00,4.00,7.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6309674,4.00,4.00,3.00,5.00,6.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6309682,4.00,6.00,2.00,3.00,7.00,9.38,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6309704,4.00,6.00,2.00,3.00,5.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6309712,3.00,3.00,1.00,2.00,4.00,4.50,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6309720,1.00,4.00,2.00,1.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6309739,0.00,3.00,1.00,1.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6309755,4.00,6.00,0.00,5.00,7.00,6.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6309763,6.00,5.00,6.00,7.00,6.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6309780,2.00,5.00,0.00,5.00,3.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6309798,5.00,5.00,3.00,5.00,9.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6309801,3.00,1.00,2.00,3.00,4.00,7.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6309810,3.00,6.00,0.00,5.00,9.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6309836,4.00,6.00,3.00,6.00,8.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6309844,3.00,4.00,3.00,7.00,5.00,6.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6309852,5.00,7.00,4.00,5.00,5.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6309879,2.00,4.00,3.00,4.00,7.00,6.38,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6309895,1.00,6.00,2.00,3.00,6.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6309909,1.00,2.00,2.00,3.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6309925,4.00,6.00,5.00,6.00,8.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6309933,3.00,6.00,4.00,2.00,6.00,4.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6309941,7.00,4.00,3.00,6.00,9.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6309950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6309968,2.00,4.00,3.00,3.00,7.00,9.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6309992,8.00,4.00,7.00,7.00,7.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6310036,4.00,7.00,6.00,5.00,7.00,10.13,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6310044,1.00,1.00,0.00,4.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6310052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6310060,3.00,5.00,1.00,4.00,3.00,6.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6310079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6310087,5.00,4.00,2.00,2.00,4.00,7.50,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6310117,7.00,6.00,5.00,5.00,8.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6310125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6310141,5.00,7.00,1.00,7.00,9.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6310150,5.00,6.00,2.00,4.00,5.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6310168,2.00,0.00,1.00,2.00,3.00,7.50,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6310184,2.00,3.00,3.00,2.00,6.00,10.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6310192,1.00,4.00,3.00,3.00,6.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6310214,5.00,8.00,1.00,6.00,8.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6310222,3.00,6.00,1.00,7.00,5.00,10.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6310230,5.00,7.00,3.00,6.00,8.00,7.13,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6310249,5.00,4.00,1.00,5.00,8.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6310273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6310281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6310303,6.00,5.00,4.00,1.00,5.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6310311,3.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6310320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6310338,3.00,3.00,0.00,3.00,4.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6310346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6310354,3.00,5.00,4.00,6.00,8.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6310370,2.00,1.00,0.00,1.00,5.00,6.38,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6310389,7.00,5.00,3.00,4.00,9.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6310400,4.00,4.00,4.00,7.00,7.00,9.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6310419,3.00,5.00,2.00,5.00,7.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6310427,4.00,3.00,2.00,5.00,5.00,7.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6310443,5.00,7.00,1.00,4.00,7.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6310451,3.00,6.00,2.00,6.00,5.00,6.38,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6310460,3.00,3.00,2.00,3.00,4.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'S'),(25,6310478,2.00,6.00,0.00,6.00,8.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6310486,3.00,5.00,3.00,4.00,6.00,12.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6310508,4.00,4.00,1.00,0.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,'S','N'),(25,6310516,2.00,2.00,1.00,2.00,1.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6310524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6310540,5.00,5.00,4.00,6.00,7.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6310559,4.00,4.00,0.00,2.00,4.00,5.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6310567,6.00,5.00,5.00,6.00,7.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6310575,2.00,4.00,3.00,3.00,5.00,8.63,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6310583,4.00,4.00,2.00,3.00,6.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6310591,2.00,3.00,1.00,1.00,6.00,6.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6310605,1.00,4.00,1.00,2.00,7.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6310613,7.00,5.00,3.00,6.00,9.00,10.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6310621,0.00,4.00,0.00,3.00,5.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6310630,2.00,4.00,2.00,5.00,4.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6310648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6310656,5.00,5.00,4.00,5.00,9.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6310664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6310672,3.00,5.00,1.00,2.00,4.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6310680,3.00,4.00,1.00,3.00,7.00,9.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6310702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6310729,4.00,7.00,2.00,2.00,7.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6310737,2.00,6.00,2.00,2.00,5.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6310745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6310753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6310761,2.00,5.00,0.00,2.00,5.00,7.13,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6310770,7.00,5.00,6.00,5.00,5.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6310788,0.00,7.00,0.00,3.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6310800,7.00,6.00,4.00,6.00,6.00,6.38,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6310818,4.00,3.00,3.00,3.00,5.00,7.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6310826,6.00,7.00,1.00,3.00,8.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6310834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6310842,6.00,5.00,2.00,7.00,8.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6310850,0.00,2.00,2.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6310869,7.00,6.00,2.00,6.00,9.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6310877,3.00,5.00,3.00,3.00,5.00,7.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6310885,8.00,8.00,3.00,6.00,9.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6310893,2.00,4.00,3.00,4.00,8.00,4.88,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6310923,6.00,6.00,1.00,6.00,4.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6310931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6310940,1.00,3.00,0.00,5.00,3.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6310958,6.00,5.00,0.00,5.00,8.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6310974,2.00,4.00,0.00,1.00,5.00,7.88,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6310982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6310990,2.00,4.00,1.00,4.00,5.00,8.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6311008,5.00,3.00,6.00,8.00,9.00,11.25,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6311032,2.00,6.00,2.00,3.00,7.00,6.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6311040,0.00,2.00,0.00,0.00,1.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6311059,2.00,4.00,0.00,2.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6311075,6.00,7.00,1.00,6.00,8.00,9.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6311083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6311091,3.00,4.00,2.00,3.00,5.00,7.13,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6311113,6.00,4.00,4.00,6.00,8.00,6.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6311121,3.00,4.00,1.00,5.00,7.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6311130,4.00,0.00,1.00,6.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(25,6311148,3.00,3.00,1.00,6.00,5.00,10.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6311156,9.00,8.00,4.00,6.00,7.00,9.00,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6311172,8.00,6.00,4.00,6.00,7.00,10.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6311180,6.00,6.00,1.00,4.00,9.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6311199,7.00,7.00,1.00,7.00,9.00,8.63,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6311202,3.00,5.00,2.00,1.00,5.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6311210,8.00,7.00,2.00,6.00,8.00,7.88,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6311229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6311237,6.00,6.00,6.00,7.00,10.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6311253,2.00,3.00,3.00,4.00,4.00,8.63,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6311261,2.00,2.00,3.00,3.00,5.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6311288,6.00,7.00,1.00,5.00,6.00,4.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6311296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6311300,7.00,5.00,2.00,7.00,9.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6311318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6311326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6311334,3.00,5.00,0.00,4.00,7.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6311342,1.00,3.00,0.00,2.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6311350,3.00,2.00,0.00,2.00,4.00,6.38,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6311369,5.00,2.00,2.00,3.00,7.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6311377,4.00,4.00,3.00,6.00,7.00,10.50,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6311385,7.00,3.00,2.00,6.00,8.00,11.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6311393,2.00,6.00,2.00,5.00,7.00,9.75,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6311407,4.00,6.00,5.00,6.00,10.00,10.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6311415,4.00,5.00,2.00,6.00,9.00,11.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6311431,4.00,3.00,1.00,3.00,6.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'S'),(25,6311440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6311458,5.00,6.00,4.00,7.00,8.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6311466,8.00,6.00,2.00,6.00,7.00,7.50,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6311474,5.00,6.00,2.00,6.00,6.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6311482,6.00,7.00,0.00,5.00,7.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6311490,8.00,7.00,1.00,5.00,10.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6311504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6311512,3.00,4.00,2.00,4.00,6.00,6.38,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6311520,4.00,5.00,5.00,4.00,3.00,4.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6311539,3.00,5.00,2.00,3.00,4.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6311547,2.00,7.00,1.00,3.00,4.00,5.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6311563,7.00,6.00,2.00,5.00,7.00,7.13,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6311571,6.00,7.00,6.00,6.00,7.00,8.63,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6311580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6311598,3.00,4.00,2.00,4.00,8.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6311601,8.00,7.00,4.00,6.00,8.00,10.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6311628,3.00,4.00,1.00,5.00,6.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6311636,4.00,0.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6311644,5.00,7.00,2.00,7.00,7.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6311652,3.00,5.00,3.00,6.00,5.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6311660,0.00,6.00,2.00,6.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6311679,4.00,5.00,1.00,6.00,8.00,NULL,2.00,2.00,0.00,NULL,NULL,'S','N'),(25,6311687,4.00,5.00,2.00,5.00,7.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6311709,3.00,3.00,2.00,4.00,5.00,8.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6311717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6311725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6311733,3.00,7.00,2.00,2.00,3.00,6.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6311741,2.00,5.00,1.00,3.00,6.00,5.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6311750,5.00,5.00,3.00,4.00,7.00,9.38,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6311768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6311784,3.00,2.00,2.00,3.00,3.00,4.50,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6311792,2.00,3.00,1.00,3.00,4.00,6.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6311806,2.00,6.00,2.00,2.00,6.00,7.13,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6311814,5.00,6.00,2.00,6.00,7.00,7.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6311822,2.00,4.00,1.00,4.00,6.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6311830,1.00,6.00,3.00,3.00,5.00,6.75,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6311849,4.00,4.00,4.00,5.00,6.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6311865,4.00,3.00,1.00,4.00,5.00,6.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6311873,2.00,5.00,2.00,4.00,4.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6311881,4.00,2.00,0.00,3.00,1.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6311903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6311920,6.00,7.00,4.00,3.00,6.00,7.13,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6311954,2.00,3.00,5.00,2.00,5.00,5.63,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6311962,4.00,2.00,0.00,3.00,7.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6311989,6.00,7.00,4.00,6.00,7.00,9.38,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6311997,3.00,1.00,1.00,2.00,5.00,5.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6312004,1.00,0.00,0.00,2.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6312012,7.00,7.00,8.00,6.00,7.00,6.38,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6312020,7.00,8.00,4.00,5.00,7.00,9.00,1.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6312039,2.00,6.00,2.00,2.00,6.00,9.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6312047,3.00,2.00,0.00,4.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6312055,9.00,7.00,5.00,6.00,9.00,11.25,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6312063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6312071,4.00,6.00,3.00,3.00,9.00,6.75,0.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6312080,4.00,3.00,3.00,3.00,7.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6312098,5.00,5.00,2.00,6.00,7.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6312101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6312110,2.00,2.00,2.00,3.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6312128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6312136,2.00,3.00,0.00,2.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6312144,3.00,3.00,0.00,6.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6312152,2.00,3.00,0.00,0.00,5.00,6.38,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6312160,2.00,3.00,0.00,5.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6312179,4.00,4.00,3.00,4.00,4.00,8.25,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6312187,7.00,5.00,2.00,6.00,8.00,9.38,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6312195,2.00,3.00,0.00,4.00,4.00,7.88,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6312217,3.00,3.00,2.00,2.00,3.00,9.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6312225,2.00,2.00,3.00,1.00,7.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6312233,5.00,6.00,3.00,3.00,6.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6312241,7.00,8.00,4.00,7.00,7.00,10.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6312250,2.00,4.00,2.00,5.00,8.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6312268,2.00,3.00,1.00,4.00,8.00,4.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6312276,2.00,3.00,0.00,2.00,4.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6312284,3.00,2.00,1.00,4.00,5.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6312292,3.00,4.00,1.00,3.00,8.00,8.63,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6312306,1.00,4.00,0.00,2.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6312322,4.00,4.00,0.00,7.00,7.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6312330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6312349,6.00,6.00,2.00,3.00,6.00,8.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6312357,6.00,8.00,5.00,5.00,7.00,9.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6312365,2.00,3.00,3.00,4.00,3.00,4.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6312373,3.00,5.00,1.00,1.00,6.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6312381,0.00,2.00,2.00,1.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6312403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6312411,3.00,6.00,4.00,7.00,6.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6312420,4.00,5.00,0.00,1.00,5.00,7.13,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6312438,4.00,5.00,6.00,5.00,8.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6312454,3.00,5.00,0.00,3.00,5.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6312462,3.00,5.00,2.00,2.00,4.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6312470,4.00,3.00,3.00,4.00,5.00,7.88,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6312489,6.00,7.00,3.00,6.00,8.00,10.13,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6312497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6312500,2.00,3.00,0.00,2.00,4.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6312543,5.00,6.00,2.00,4.00,5.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6312551,6.00,6.00,3.00,3.00,5.00,8.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6312560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6312578,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6312586,4.00,6.00,3.00,6.00,8.00,8.25,1.00,7.00,4.00,NULL,NULL,NULL,'S'),(25,6312594,6.00,4.00,1.00,4.00,7.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6312608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6312616,4.00,5.00,4.00,5.00,7.00,11.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6312624,5.00,5.00,2.00,3.00,5.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6312640,2.00,2.00,1.00,0.00,3.00,7.50,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6312659,7.00,5.00,1.00,7.00,6.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6312667,5.00,7.00,3.00,5.00,7.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6312675,4.00,4.00,3.00,4.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6312683,6.00,4.00,3.00,5.00,5.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6312691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6312705,1.00,3.00,0.00,3.00,4.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6312713,5.00,4.00,4.00,4.00,6.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6312721,3.00,2.00,3.00,3.00,4.00,3.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6312730,7.00,6.00,2.00,7.00,5.00,7.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6312756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6312772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6312780,2.00,5.00,2.00,2.00,6.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6312799,3.00,4.00,4.00,5.00,7.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6312802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6312810,5.00,5.00,3.00,6.00,8.00,9.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6312829,1.00,4.00,2.00,3.00,9.00,9.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6312837,8.00,7.00,2.00,5.00,7.00,10.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6312845,3.00,6.00,0.00,5.00,6.00,10.50,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6312853,3.00,4.00,1.00,4.00,8.00,3.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6312896,6.00,6.00,2.00,7.00,10.00,10.50,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6312918,2.00,5.00,1.00,3.00,9.00,7.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6312926,2.00,4.00,1.00,2.00,6.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6312934,1.00,2.00,0.00,6.00,6.00,9.38,1.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6312950,3.00,5.00,0.00,2.00,4.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6312969,4.00,5.00,0.00,6.00,9.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6312977,6.00,6.00,7.00,7.00,8.00,6.75,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6312993,2.00,1.00,2.00,4.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6313000,4.00,5.00,1.00,1.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6313019,3.00,6.00,3.00,1.00,3.00,0.00,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6313027,3.00,4.00,0.00,0.00,5.00,5.63,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6313035,4.00,0.00,1.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6313043,1.00,1.00,2.00,3.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6313051,7.00,5.00,2.00,7.00,9.00,10.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6313060,8.00,8.00,3.00,6.00,9.00,10.13,0.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6313078,5.00,7.00,2.00,7.00,6.00,7.88,4.00,8.00,3.00,NULL,NULL,NULL,'S'),(25,6313094,3.00,4.00,1.00,1.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6313116,5.00,7.00,1.00,6.00,7.00,9.00,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6313124,3.00,5.00,1.00,4.00,6.00,9.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6313132,8.00,7.00,5.00,7.00,7.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6313140,7.00,7.00,2.00,7.00,8.00,7.13,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6313175,2.00,1.00,0.00,4.00,6.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6313183,3.00,5.00,4.00,4.00,6.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6313205,7.00,6.00,2.00,4.00,9.00,7.50,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6313213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6313230,6.00,3.00,0.00,5.00,6.00,10.13,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6313248,2.00,5.00,1.00,1.00,6.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6313264,3.00,6.00,2.00,4.00,6.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6313272,3.00,4.00,1.00,7.00,6.00,9.00,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6313280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6313302,5.00,4.00,3.00,7.00,9.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6313310,2.00,6.00,1.00,6.00,6.00,7.50,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6313329,3.00,4.00,0.00,1.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6313337,2.00,3.00,3.00,4.00,3.00,6.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6313345,4.00,7.00,4.00,6.00,8.00,10.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6313361,6.00,6.00,3.00,5.00,3.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6313370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6313388,3.00,2.00,1.00,2.00,2.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6313426,3.00,6.00,3.00,4.00,6.00,8.63,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6313434,3.00,4.00,5.00,1.00,6.00,9.75,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6313442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6313450,3.00,5.00,3.00,5.00,7.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6313477,4.00,6.00,1.00,6.00,4.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6313485,4.00,2.00,1.00,1.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6313515,2.00,3.00,1.00,4.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6313523,0.00,1.00,1.00,2.00,4.00,7.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6313531,5.00,4.00,0.00,6.00,5.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6313540,6.00,5.00,0.00,2.00,4.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6313558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6313566,2.00,4.00,2.00,2.00,5.00,5.63,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6313574,3.00,5.00,3.00,2.00,5.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6313582,3.00,5.00,0.00,4.00,6.00,6.38,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6313590,4.00,3.00,1.00,5.00,5.00,7.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6313604,3.00,0.00,1.00,3.00,6.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6313620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6313639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6313647,8.00,8.00,3.00,6.00,9.00,10.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6313655,8.00,4.00,1.00,6.00,8.00,10.50,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6313663,7.00,6.00,0.00,4.00,9.00,7.88,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6313671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6313680,4.00,3.00,1.00,5.00,3.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6313698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6313728,7.00,7.00,6.00,7.00,10.00,10.13,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6313736,2.00,2.00,2.00,4.00,6.00,4.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6313744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6313760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6313779,2.00,2.00,1.00,1.00,5.00,6.38,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6313787,5.00,8.00,4.00,5.00,9.00,8.25,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6313809,4.00,4.00,3.00,4.00,7.00,9.38,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6313841,2.00,2.00,2.00,2.00,6.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6313850,4.00,4.00,2.00,3.00,9.00,11.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6313868,6.00,4.00,3.00,3.00,9.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6313876,6.00,6.00,1.00,0.00,9.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6313884,4.00,5.00,2.00,5.00,8.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6313906,8.00,7.00,2.00,4.00,9.00,9.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6313914,3.00,5.00,2.00,6.00,10.00,10.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6313930,6.00,7.00,5.00,5.00,6.00,NULL,0.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6313949,0.00,1.00,2.00,2.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6313957,4.00,4.00,1.00,3.00,5.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6313965,8.00,6.00,4.00,6.00,9.00,8.25,0.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6313973,1.00,4.00,1.00,1.00,4.00,9.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6313990,2.00,2.00,0.00,2.00,5.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6314007,6.00,5.00,2.00,6.00,7.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6314015,5.00,5.00,2.00,4.00,8.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6314023,5.00,5.00,0.00,4.00,5.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6314031,4.00,4.00,3.00,6.00,6.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6314040,9.00,6.00,4.00,6.00,9.00,8.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6314058,2.00,5.00,4.00,3.00,5.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6314066,8.00,7.00,5.00,7.00,6.00,6.38,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6314074,5.00,4.00,1.00,5.00,4.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6314082,6.00,5.00,5.00,3.00,8.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6314090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6314104,5.00,5.00,3.00,5.00,6.00,8.63,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6314139,5.00,6.00,3.00,4.00,9.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6314147,5.00,6.00,1.00,5.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6314155,2.00,3.00,3.00,5.00,6.00,4.50,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6314163,3.00,2.00,1.00,1.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6314171,3.00,2.00,1.00,2.00,4.00,8.25,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6314180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6314198,4.00,4.00,1.00,1.00,3.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6314201,6.00,4.00,3.00,4.00,7.00,6.75,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6314210,6.00,6.00,2.00,2.00,6.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6314228,5.00,5.00,2.00,4.00,6.00,9.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6314236,2.00,4.00,1.00,1.00,3.00,6.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6314260,3.00,3.00,0.00,5.00,6.00,7.13,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6314279,3.00,3.00,1.00,3.00,3.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6314287,8.00,8.00,5.00,7.00,8.00,9.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6314309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6314317,6.00,7.00,4.00,6.00,6.00,7.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6314325,3.00,2.00,1.00,3.00,5.00,6.00,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6314333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6314341,5.00,5.00,3.00,5.00,8.00,9.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6314368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6314392,2.00,2.00,3.00,1.00,4.00,6.75,4.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6314406,3.00,3.00,0.00,2.00,6.00,6.00,2.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6314414,4.00,1.00,2.00,2.00,3.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6314422,5.00,7.00,6.00,6.00,7.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6314430,1.00,1.00,1.00,1.00,4.00,9.38,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6314449,5.00,5.00,1.00,5.00,4.00,7.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6314457,6.00,7.00,8.00,8.00,9.00,6.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6314465,7.00,7.00,4.00,5.00,9.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6314473,4.00,5.00,3.00,3.00,3.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6314481,5.00,6.00,5.00,7.00,10.00,12.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6314490,3.00,4.00,4.00,4.00,4.00,5.63,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6314503,3.00,4.00,4.00,2.00,3.00,8.63,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6314511,4.00,5.00,4.00,4.00,5.00,9.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6314520,3.00,4.00,2.00,3.00,6.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6314538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6314546,1.00,4.00,2.00,1.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6314554,7.00,4.00,6.00,4.00,8.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6314562,5.00,6.00,5.00,6.00,9.00,10.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6314570,7.00,6.00,3.00,4.00,5.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6314589,3.00,5.00,0.00,4.00,7.00,9.00,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6314597,8.00,6.00,5.00,6.00,10.00,9.38,1.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6314600,3.00,4.00,3.00,4.00,6.00,7.13,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6314619,6.00,5.00,2.00,5.00,9.00,9.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6314627,5.00,4.00,2.00,3.00,7.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6314635,1.00,0.00,0.00,3.00,6.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6314651,4.00,5.00,3.00,4.00,6.00,NULL,3.00,1.00,2.00,NULL,NULL,'S','N'),(25,6314660,7.00,7.00,6.00,7.00,9.00,9.75,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6314678,3.00,6.00,3.00,3.00,4.00,9.38,2.00,6.00,1.00,NULL,NULL,NULL,'S'),(25,6314686,3.00,5.00,0.00,3.00,5.00,7.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6314694,4.00,5.00,1.00,4.00,7.00,4.88,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6314708,3.00,2.00,1.00,1.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6314716,6.00,6.00,5.00,6.00,7.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6314724,6.00,4.00,2.00,6.00,8.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6314740,1.00,3.00,0.00,0.00,5.00,7.88,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6314767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6314775,1.00,2.00,2.00,1.00,6.00,5.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6314791,4.00,6.00,2.00,2.00,9.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6314805,5.00,4.00,2.00,0.00,4.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6314813,2.00,5.00,2.00,5.00,4.00,11.63,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6314821,3.00,5.00,2.00,2.00,4.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6314848,5.00,7.00,2.00,4.00,4.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6314856,7.00,4.00,0.00,6.00,10.00,NULL,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6314880,4.00,5.00,3.00,2.00,4.00,9.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6314899,4.00,5.00,3.00,2.00,6.00,6.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6314902,4.00,5.00,1.00,5.00,4.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6314910,7.00,6.00,6.00,6.00,6.00,9.38,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6314937,9.00,4.00,6.00,7.00,9.00,13.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6314945,5.00,3.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6314953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6314961,5.00,5.00,1.00,5.00,6.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6314970,2.00,3.00,1.00,2.00,3.00,6.00,1.00,1.00,0.00,NULL,NULL,NULL,'S'),(25,6314988,5.00,5.00,2.00,1.00,7.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6314996,2.00,3.00,2.00,2.00,7.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6315003,5.00,8.00,5.00,6.00,8.00,7.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6315011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6315020,10.00,7.00,6.00,7.00,10.00,8.63,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6315046,2.00,2.00,2.00,2.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6315054,3.00,5.00,2.00,5.00,4.00,7.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6315070,3.00,3.00,2.00,5.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6315089,6.00,4.00,2.00,2.00,4.00,6.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6315097,4.00,3.00,0.00,5.00,8.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6315100,2.00,4.00,1.00,3.00,4.00,0.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6315119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6315127,6.00,8.00,0.00,7.00,9.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6315135,5.00,6.00,0.00,3.00,7.00,6.38,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6315143,5.00,7.00,4.00,6.00,8.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6315151,5.00,4.00,1.00,1.00,4.00,7.88,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6315160,1.00,5.00,3.00,4.00,5.00,6.38,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6315178,4.00,4.00,1.00,2.00,3.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6315186,2.00,7.00,2.00,4.00,6.00,6.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6315194,7.00,5.00,2.00,6.00,6.00,8.63,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6315208,4.00,3.00,2.00,4.00,6.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6315216,2.00,4.00,0.00,7.00,6.00,9.38,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6315224,8.00,7.00,3.00,5.00,9.00,0.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6315232,6.00,2.00,2.00,7.00,7.00,10.88,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6315240,6.00,4.00,3.00,6.00,6.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6315259,3.00,6.00,2.00,2.00,3.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6315267,3.00,5.00,4.00,5.00,7.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6315275,5.00,7.00,1.00,7.00,9.00,11.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6315283,2.00,3.00,2.00,6.00,8.00,2.63,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6315291,4.00,2.00,2.00,3.00,6.00,8.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6315313,7.00,6.00,2.00,6.00,9.00,12.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6315321,5.00,5.00,1.00,4.00,4.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6315330,4.00,7.00,3.00,4.00,8.00,9.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6315356,7.00,8.00,3.00,4.00,7.00,11.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6315364,3.00,2.00,2.00,2.00,6.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6315372,3.00,2.00,2.00,6.00,7.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6315380,5.00,4.00,3.00,5.00,6.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6315399,7.00,4.00,3.00,4.00,5.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6315402,4.00,6.00,5.00,5.00,7.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6315410,5.00,5.00,1.00,5.00,8.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6315429,2.00,3.00,0.00,5.00,7.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6315437,3.00,4.00,0.00,2.00,3.00,6.00,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6315445,6.00,5.00,2.00,5.00,7.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6315461,4.00,7.00,3.00,4.00,7.00,7.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6315470,3.00,4.00,0.00,5.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6315488,2.00,6.00,2.00,5.00,5.00,6.38,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6315496,9.00,8.00,7.00,7.00,8.00,10.50,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6315500,6.00,4.00,3.00,4.00,5.00,11.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6315518,2.00,2.00,3.00,5.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6315526,3.00,0.00,2.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6315534,1.00,4.00,0.00,3.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6315542,6.00,6.00,4.00,5.00,7.00,10.50,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6315550,5.00,5.00,2.00,4.00,6.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6315577,4.00,4.00,6.00,4.00,5.00,8.63,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6315607,5.00,4.00,1.00,4.00,6.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6315631,7.00,6.00,2.00,5.00,5.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6315640,2.00,5.00,2.00,3.00,6.00,12.00,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6315658,1.00,2.00,2.00,0.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6315666,6.00,5.00,2.00,0.00,6.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6315674,4.00,6.00,1.00,3.00,5.00,10.50,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6315682,3.00,4.00,2.00,2.00,4.00,4.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6315690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6315704,5.00,4.00,1.00,4.00,7.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6315712,4.00,4.00,0.00,4.00,4.00,10.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6315720,4.00,5.00,1.00,2.00,6.00,11.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6315739,6.00,7.00,4.00,6.00,10.00,8.63,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6315755,3.00,5.00,6.00,6.00,8.00,10.88,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6315771,1.00,2.00,3.00,4.00,6.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6315780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6315798,9.00,8.00,5.00,6.00,9.00,9.75,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6315828,4.00,3.00,2.00,4.00,6.00,0.00,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6315836,3.00,5.00,1.00,5.00,6.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6315844,3.00,5.00,3.00,2.00,7.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6315852,4.00,5.00,0.00,2.00,5.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6315860,3.00,4.00,0.00,4.00,5.00,7.88,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6315879,1.00,3.00,1.00,2.00,4.00,4.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6315887,1.00,5.00,2.00,2.00,4.00,10.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6315895,8.00,2.00,1.00,4.00,7.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6315909,5.00,4.00,3.00,7.00,8.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6315917,1.00,3.00,1.00,5.00,4.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6315925,3.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6315950,4.00,3.00,0.00,3.00,6.00,9.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6315968,4.00,4.00,0.00,3.00,6.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6315976,1.00,2.00,0.00,2.00,4.00,8.63,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6315984,8.00,7.00,5.00,5.00,9.00,7.13,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6316000,6.00,7.00,4.00,4.00,6.00,8.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6316018,5.00,4.00,1.00,7.00,8.00,10.88,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6316026,3.00,3.00,0.00,3.00,6.00,6.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6316034,6.00,7.00,3.00,2.00,7.00,10.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6316042,6.00,7.00,3.00,5.00,8.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6316050,3.00,1.00,0.00,3.00,7.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'S'),(25,6316069,4.00,7.00,5.00,5.00,8.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6316077,6.00,6.00,3.00,6.00,11.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6316093,9.00,5.00,2.00,6.00,9.00,10.88,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6316107,3.00,6.00,1.00,4.00,7.00,8.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6316115,2.00,3.00,3.00,5.00,5.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6316123,8.00,4.00,4.00,6.00,9.00,8.63,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6316140,8.00,7.00,4.00,7.00,9.00,7.88,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6316158,3.00,4.00,2.00,4.00,3.00,4.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6316166,1.00,3.00,2.00,2.00,3.00,5.25,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6316182,6.00,4.00,2.00,3.00,4.00,10.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6316190,5.00,4.00,0.00,4.00,8.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6316204,8.00,6.00,1.00,5.00,7.00,11.63,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6316212,7.00,6.00,3.00,6.00,10.00,9.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6316220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6316239,6.00,5.00,3.00,4.00,7.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6316247,3.00,2.00,3.00,2.00,5.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6316255,7.00,8.00,1.00,6.00,9.00,9.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6316263,4.00,2.00,1.00,3.00,5.00,9.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6316271,6.00,4.00,2.00,7.00,7.00,6.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6316280,6.00,6.00,5.00,3.00,9.00,11.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6316298,2.00,5.00,3.00,4.00,6.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6316310,5.00,6.00,1.00,5.00,8.00,9.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6316328,2.00,4.00,4.00,6.00,3.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6316336,2.00,2.00,1.00,5.00,4.00,6.00,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6316344,7.00,6.00,7.00,7.00,10.00,13.50,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6316352,5.00,6.00,2.00,3.00,7.00,7.88,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6316360,4.00,2.00,1.00,4.00,7.00,8.63,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6316379,2.00,4.00,3.00,3.00,3.00,4.50,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6316387,5.00,5.00,3.00,6.00,7.00,8.25,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6316409,4.00,7.00,1.00,6.00,5.00,NULL,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6316417,4.00,4.00,2.00,3.00,4.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6316425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6316433,6.00,5.00,2.00,4.00,3.00,10.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6316441,7.00,4.00,5.00,7.00,4.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6316468,5.00,5.00,3.00,2.00,6.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6316476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6316484,4.00,6.00,1.00,3.00,3.00,10.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6316492,1.00,4.00,0.00,5.00,6.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6316506,3.00,4.00,2.00,1.00,5.00,7.88,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6316514,5.00,7.00,2.00,5.00,8.00,12.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6316522,2.00,3.00,0.00,1.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6316530,2.00,3.00,3.00,5.00,4.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6316549,2.00,7.00,0.00,5.00,5.00,7.50,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6316557,3.00,7.00,0.00,4.00,5.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6316565,3.00,4.00,1.00,2.00,5.00,9.75,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6316581,3.00,5.00,3.00,7.00,6.00,6.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6316590,5.00,7.00,4.00,6.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,'S','N'),(25,6316603,7.00,7.00,6.00,5.00,10.00,7.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6316611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6316620,1.00,3.00,0.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6316638,5.00,3.00,4.00,4.00,7.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6316646,5.00,2.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6316654,2.00,5.00,3.00,3.00,4.00,6.38,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6316662,4.00,1.00,3.00,1.00,4.00,6.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6316689,5.00,5.00,3.00,5.00,5.00,9.38,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6316697,6.00,6.00,4.00,7.00,8.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6316727,2.00,5.00,1.00,4.00,8.00,7.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6316735,3.00,6.00,3.00,5.00,6.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6316743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6316751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6316760,5.00,6.00,1.00,4.00,6.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6316778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6316794,3.00,2.00,1.00,3.00,3.00,7.13,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6316808,3.00,5.00,4.00,0.00,8.00,3.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6316832,1.00,0.00,1.00,3.00,1.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6316840,2.00,5.00,2.00,6.00,8.00,8.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6316859,5.00,7.00,1.00,4.00,4.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6316867,4.00,5.00,3.00,2.00,7.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6316875,2.00,5.00,0.00,1.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6316883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6316891,1.00,1.00,1.00,5.00,6.00,7.88,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6316905,2.00,4.00,1.00,4.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6316921,6.00,5.00,3.00,5.00,6.00,NULL,0.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6316956,3.00,4.00,0.00,3.00,6.00,6.38,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6316964,2.00,0.00,1.00,3.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6316972,2.00,0.00,2.00,2.00,4.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6316980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6317006,6.00,5.00,2.00,4.00,7.00,8.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6317014,8.00,5.00,6.00,6.00,8.00,9.00,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6317030,5.00,2.00,1.00,4.00,8.00,8.63,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6317049,5.00,6.00,3.00,3.00,7.00,7.50,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6317057,4.00,0.00,3.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6317065,6.00,3.00,5.00,6.00,7.00,7.50,4.00,1.00,7.00,NULL,NULL,NULL,'N'),(25,6317073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6317081,3.00,4.00,5.00,5.00,5.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6317103,2.00,3.00,0.00,1.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6317111,5.00,5.00,4.00,7.00,9.00,9.75,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6317120,1.00,0.00,2.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,'S','N'),(25,6317138,3.00,5.00,3.00,6.00,8.00,10.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6317146,3.00,2.00,2.00,4.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6317154,4.00,6.00,3.00,3.00,7.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6317170,1.00,6.00,2.00,2.00,5.00,9.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6317197,5.00,2.00,0.00,1.00,7.00,8.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6317200,3.00,1.00,1.00,1.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6317219,4.00,5.00,2.00,3.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,'S','N'),(25,6317227,3.00,7.00,3.00,3.00,8.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6317235,1.00,8.00,2.00,4.00,8.00,10.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6317251,1.00,4.00,2.00,5.00,7.00,6.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6317260,4.00,6.00,3.00,4.00,6.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6317286,2.00,4.00,0.00,5.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6317294,2.00,3.00,0.00,1.00,0.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6317308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6317316,7.00,6.00,2.00,5.00,8.00,8.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6317324,6.00,6.00,4.00,3.00,7.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6317332,5.00,4.00,5.00,6.00,7.00,10.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6317340,8.00,7.00,4.00,6.00,8.00,12.75,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6317359,2.00,2.00,0.00,2.00,5.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6317375,4.00,4.00,0.00,3.00,5.00,9.00,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6317391,3.00,3.00,2.00,4.00,5.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6317405,2.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6317413,4.00,5.00,4.00,5.00,7.00,6.38,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6317421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6317430,8.00,8.00,3.00,6.00,9.00,12.38,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6317448,0.00,3.00,3.00,1.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6317456,1.00,3.00,2.00,3.00,8.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6317464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6317472,3.00,3.00,0.00,3.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6317480,4.00,5.00,2.00,6.00,6.00,8.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6317499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6317502,2.00,3.00,2.00,5.00,6.00,6.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6317510,4.00,5.00,4.00,6.00,8.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6317529,4.00,4.00,2.00,5.00,7.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6317553,1.00,3.00,0.00,2.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6317561,5.00,6.00,2.00,7.00,7.00,12.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6317588,4.00,2.00,0.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6317596,3.00,2.00,0.00,2.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6317600,4.00,6.00,5.00,7.00,10.00,8.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6317618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6317642,5.00,7.00,5.00,5.00,9.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6317650,2.00,4.00,0.00,5.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6317669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6317677,2.00,5.00,2.00,7.00,3.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6317685,5.00,7.00,3.00,6.00,8.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6317693,2.00,5.00,1.00,4.00,8.00,8.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6317707,2.00,4.00,2.00,5.00,6.00,8.25,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6317715,5.00,5.00,1.00,5.00,8.00,10.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6317723,2.00,4.00,3.00,5.00,8.00,11.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6317731,5.00,5.00,1.00,4.00,4.00,9.38,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6317740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6317758,3.00,4.00,1.00,3.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6317774,0.00,4.00,2.00,4.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6317790,3.00,1.00,1.00,3.00,4.00,5.25,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6317812,2.00,5.00,3.00,1.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6317820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6317839,5.00,8.00,2.00,4.00,4.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6317847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6317871,5.00,5.00,3.00,4.00,3.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6317880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6317898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6317928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6317936,5.00,5.00,1.00,3.00,7.00,9.00,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6317944,4.00,5.00,0.00,2.00,5.00,10.13,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6317952,5.00,7.00,2.00,6.00,8.00,9.75,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6317979,2.00,2.00,1.00,5.00,4.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6317987,3.00,0.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6318002,0.00,1.00,0.00,4.00,5.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6318010,3.00,4.00,2.00,2.00,3.00,3.38,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6318029,3.00,4.00,1.00,6.00,5.00,NULL,3.00,4.00,4.00,NULL,NULL,'S','N'),(25,6318037,4.00,7.00,2.00,3.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6318045,0.00,0.00,3.00,0.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6318053,5.00,5.00,4.00,5.00,8.00,7.13,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6318061,8.00,7.00,2.00,5.00,9.00,8.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6318070,5.00,7.00,2.00,3.00,9.00,11.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6318088,7.00,6.00,2.00,4.00,7.00,7.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6318096,3.00,4.00,1.00,3.00,2.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6318100,3.00,4.00,0.00,4.00,5.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6318118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6318126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6318134,5.00,7.00,3.00,5.00,7.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6318142,5.00,6.00,1.00,4.00,8.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6318150,3.00,4.00,2.00,2.00,5.00,6.00,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6318169,8.00,7.00,7.00,7.00,8.00,11.63,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6318177,5.00,6.00,3.00,5.00,6.00,8.63,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6318185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6318193,4.00,6.00,6.00,5.00,4.00,5.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6318207,7.00,6.00,0.00,3.00,5.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6318215,7.00,7.00,5.00,7.00,10.00,11.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6318223,7.00,5.00,4.00,5.00,9.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6318231,5.00,0.00,0.00,2.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6318258,5.00,6.00,2.00,4.00,7.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6318266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6318274,8.00,6.00,1.00,7.00,9.00,10.50,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6318282,3.00,5.00,0.00,0.00,4.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6318312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6318320,3.00,4.00,0.00,2.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6318339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6318347,8.00,6.00,2.00,4.00,9.00,8.63,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6318363,3.00,3.00,3.00,1.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6318371,5.00,4.00,2.00,5.00,7.00,7.50,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6318380,4.00,6.00,3.00,7.00,3.00,8.63,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6318398,9.00,7.00,7.00,7.00,10.00,10.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6318401,2.00,5.00,3.00,5.00,5.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6318410,1.00,3.00,0.00,3.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6318428,5.00,6.00,5.00,6.00,9.00,11.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6318436,1.00,5.00,4.00,5.00,6.00,8.63,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6318444,7.00,6.00,2.00,4.00,7.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6318460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6318479,4.00,5.00,0.00,3.00,5.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6318495,7.00,7.00,6.00,6.00,8.00,7.13,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6318509,3.00,3.00,1.00,5.00,4.00,7.88,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6318517,5.00,2.00,1.00,3.00,7.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6318525,4.00,0.00,0.00,3.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6318533,4.00,4.00,0.00,3.00,9.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6318541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6318550,3.00,4.00,3.00,0.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6318568,5.00,4.00,1.00,6.00,4.00,5.25,1.00,1.00,0.00,NULL,NULL,NULL,'S'),(25,6318576,5.00,5.00,3.00,6.00,10.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6318584,4.00,4.00,3.00,4.00,7.00,11.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6318592,2.00,4.00,4.00,3.00,7.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6318622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6318630,2.00,3.00,1.00,3.00,3.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6318657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6318665,4.00,5.00,4.00,4.00,7.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6318673,3.00,3.00,2.00,4.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6318681,6.00,6.00,3.00,6.00,10.00,7.88,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6318690,4.00,3.00,1.00,4.00,5.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6318703,3.00,6.00,2.00,3.00,6.00,9.00,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6318711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6318720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6318746,4.00,5.00,2.00,3.00,6.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6318754,1.00,5.00,1.00,3.00,2.00,NULL,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6318762,3.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6318797,4.00,5.00,1.00,8.00,4.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6318819,3.00,5.00,2.00,7.00,6.00,4.88,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6318827,7.00,5.00,1.00,5.00,7.00,8.25,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6318835,2.00,7.00,1.00,5.00,7.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6318843,4.00,6.00,2.00,1.00,5.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6318851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6318878,6.00,7.00,1.00,5.00,9.00,10.13,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6318894,2.00,5.00,2.00,1.00,6.00,6.75,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6318908,5.00,5.00,1.00,4.00,5.00,10.13,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6318916,8.00,6.00,6.00,6.00,9.00,9.75,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6318924,1.00,3.00,0.00,3.00,7.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6318932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6318959,5.00,6.00,3.00,6.00,6.00,9.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6318967,4.00,0.00,0.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'S'),(25,6318975,3.00,6.00,2.00,3.00,4.00,6.38,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6318991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6319009,5.00,4.00,1.00,5.00,5.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6319017,3.00,6.00,1.00,3.00,7.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6319025,4.00,5.00,0.00,3.00,7.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6319033,8.00,4.00,3.00,7.00,8.00,8.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6319041,2.00,2.00,0.00,4.00,8.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6319050,6.00,4.00,1.00,5.00,5.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6319068,0.00,3.00,0.00,2.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6319076,4.00,3.00,2.00,6.00,10.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6319084,8.00,6.00,3.00,6.00,9.00,12.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6319092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6319114,3.00,6.00,0.00,2.00,5.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6319122,4.00,5.00,2.00,5.00,7.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6319149,8.00,7.00,7.00,6.00,10.00,9.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6319157,8.00,7.00,4.00,1.00,5.00,8.25,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6319165,4.00,4.00,2.00,3.00,3.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6319173,5.00,6.00,1.00,5.00,6.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6319181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6319190,4.00,5.00,1.00,5.00,6.00,9.38,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6319211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6319220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6319238,2.00,3.00,1.00,2.00,6.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6319246,4.00,3.00,4.00,7.00,4.00,8.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6319254,3.00,6.00,1.00,4.00,7.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6319262,2.00,5.00,1.00,1.00,3.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6319270,5.00,3.00,2.00,5.00,6.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6319289,5.00,5.00,0.00,2.00,3.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6319297,5.00,4.00,1.00,4.00,5.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6319319,2.00,4.00,3.00,5.00,7.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6319327,2.00,3.00,0.00,1.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6319335,4.00,4.00,1.00,6.00,8.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6319351,3.00,2.00,1.00,2.00,5.00,8.25,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6319360,3.00,4.00,0.00,4.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6319378,4.00,5.00,3.00,1.00,6.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6319386,1.00,0.00,3.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6319394,4.00,2.00,3.00,2.00,4.00,4.88,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6319408,4.00,6.00,2.00,5.00,8.00,12.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6319416,4.00,3.00,1.00,3.00,4.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6319424,2.00,5.00,0.00,4.00,7.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6319432,2.00,2.00,1.00,5.00,6.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6319440,6.00,5.00,3.00,4.00,7.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6319459,2.00,5.00,1.00,4.00,7.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6319467,3.00,7.00,3.00,2.00,4.00,5.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6319475,4.00,6.00,3.00,5.00,7.00,NULL,2.00,6.00,0.00,NULL,NULL,'S','S'),(25,6319483,4.00,3.00,0.00,3.00,7.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6319491,5.00,4.00,1.00,5.00,6.00,9.38,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6319505,5.00,5.00,0.00,5.00,9.00,12.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6319513,1.00,5.00,1.00,2.00,4.00,5.25,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6319530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6319548,4.00,6.00,1.00,7.00,4.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6319564,1.00,5.00,4.00,4.00,5.00,7.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6319580,2.00,6.00,2.00,5.00,8.00,11.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6319599,3.00,7.00,3.00,2.00,6.00,9.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6319602,0.00,5.00,1.00,4.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6319610,8.00,6.00,4.00,5.00,9.00,11.63,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6319629,4.00,3.00,3.00,5.00,6.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6319637,5.00,6.00,4.00,7.00,10.00,10.13,0.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6319645,4.00,3.00,2.00,6.00,7.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6319653,2.00,2.00,1.00,2.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6319661,3.00,4.00,2.00,5.00,5.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6319670,5.00,7.00,1.00,6.00,8.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6319688,3.00,3.00,2.00,1.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6319700,3.00,7.00,0.00,5.00,8.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6319726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6319734,1.00,3.00,2.00,4.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6319742,2.00,2.00,0.00,1.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6319750,5.00,6.00,2.00,2.00,7.00,10.13,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6319777,4.00,6.00,2.00,5.00,7.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6319793,6.00,7.00,6.00,7.00,9.00,6.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6319815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6319823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6319831,3.00,7.00,2.00,4.00,7.00,7.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6319840,5.00,4.00,2.00,6.00,8.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6319858,7.00,6.00,5.00,5.00,9.00,12.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6319866,4.00,6.00,6.00,6.00,7.00,7.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6319874,6.00,5.00,5.00,5.00,5.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6319882,4.00,6.00,2.00,1.00,8.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6319890,9.00,5.00,5.00,7.00,8.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6319904,9.00,7.00,7.00,6.00,9.00,10.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6319912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6319920,8.00,7.00,6.00,5.00,9.00,8.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6319939,5.00,6.00,0.00,3.00,9.00,9.75,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6319947,7.00,7.00,3.00,4.00,5.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6319955,3.00,3.00,1.00,0.00,3.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6319963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6319980,3.00,4.00,1.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6319998,8.00,6.00,6.00,7.00,9.00,10.13,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6320015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6320023,3.00,5.00,2.00,7.00,7.00,7.50,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6320031,3.00,4.00,3.00,3.00,5.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6320058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6320066,2.00,2.00,0.00,3.00,4.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6320074,3.00,6.00,2.00,5.00,5.00,9.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6320082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6320090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6320104,7.00,7.00,3.00,4.00,7.00,7.88,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6320112,4.00,3.00,2.00,3.00,8.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6320120,6.00,8.00,3.00,6.00,6.00,7.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6320139,1.00,2.00,2.00,3.00,7.00,6.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6320163,2.00,6.00,0.00,1.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,'S','N'),(25,6320171,2.00,5.00,2.00,2.00,5.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6320180,3.00,1.00,2.00,4.00,6.00,7.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6320198,3.00,6.00,1.00,2.00,6.00,8.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6320201,0.00,3.00,0.00,5.00,5.00,8.25,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6320210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6320236,5.00,8.00,2.00,4.00,7.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6320244,3.00,3.00,2.00,1.00,7.00,10.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6320252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6320260,3.00,2.00,1.00,3.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,'S','S'),(25,6320279,7.00,7.00,2.00,6.00,10.00,9.00,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6320287,3.00,3.00,1.00,5.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6320295,2.00,0.00,2.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6320309,2.00,4.00,0.00,4.00,7.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6320317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6320325,2.00,6.00,0.00,2.00,3.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6320333,5.00,5.00,3.00,4.00,9.00,7.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6320341,9.00,8.00,5.00,5.00,10.00,9.00,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6320350,7.00,4.00,5.00,6.00,7.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6320368,3.00,4.00,0.00,3.00,6.00,9.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6320384,2.00,3.00,2.00,5.00,5.00,9.75,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6320392,3.00,5.00,2.00,2.00,6.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6320406,9.00,8.00,2.00,6.00,9.00,7.50,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(25,6320414,8.00,7.00,3.00,4.00,8.00,10.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6320422,7.00,7.00,2.00,6.00,10.00,9.38,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6320430,4.00,4.00,1.00,1.00,8.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6320449,6.00,6.00,5.00,5.00,8.00,11.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6320457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6320473,7.00,6.00,4.00,7.00,7.00,9.75,3.00,3.00,6.00,NULL,NULL,NULL,'S'),(25,6320490,5.00,6.00,2.00,5.00,7.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6320503,3.00,6.00,0.00,5.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6320511,3.00,2.00,2.00,4.00,6.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6320520,1.00,0.00,0.00,3.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(25,6320538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6320546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6320554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6320570,3.00,5.00,4.00,4.00,5.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6320589,1.00,4.00,3.00,2.00,5.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6320597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6320619,1.00,4.00,2.00,4.00,5.00,9.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6320627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6320635,2.00,4.00,4.00,6.00,9.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6320651,4.00,4.00,2.00,2.00,3.00,6.75,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6320660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6320686,7.00,7.00,4.00,7.00,9.00,7.88,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6320694,5.00,6.00,5.00,6.00,8.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6320708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6320716,5.00,5.00,0.00,6.00,8.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6320732,3.00,2.00,2.00,5.00,4.00,7.13,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6320740,3.00,2.00,2.00,2.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6320759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6320767,4.00,6.00,4.00,7.00,8.00,7.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6320775,4.00,5.00,0.00,4.00,6.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6320783,2.00,6.00,2.00,3.00,3.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6320791,3.00,3.00,1.00,3.00,7.00,6.75,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6320813,4.00,7.00,2.00,2.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,'S','S'),(25,6320821,3.00,2.00,0.00,2.00,7.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6320830,6.00,5.00,2.00,5.00,7.00,6.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6320856,4.00,5.00,4.00,4.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6320864,0.00,4.00,3.00,2.00,4.00,6.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6320872,8.00,6.00,4.00,7.00,9.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6320880,3.00,3.00,3.00,2.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6320899,2.00,4.00,2.00,3.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6320902,4.00,7.00,3.00,4.00,7.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6320910,3.00,5.00,1.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6320937,7.00,7.00,6.00,4.00,7.00,8.63,1.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6320953,5.00,6.00,3.00,4.00,7.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6320961,7.00,8.00,3.00,7.00,8.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6320970,3.00,5.00,1.00,2.00,5.00,5.63,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6320988,2.00,1.00,2.00,3.00,4.00,4.88,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6320996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6321003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6321011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6321020,6.00,7.00,4.00,5.00,8.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6321038,3.00,4.00,0.00,1.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6321046,7.00,6.00,2.00,6.00,9.00,10.13,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6321054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6321062,0.00,3.00,2.00,2.00,7.00,9.00,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6321070,4.00,5.00,2.00,7.00,9.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6321097,5.00,6.00,3.00,7.00,10.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6321119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6321127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6321135,3.00,3.00,3.00,4.00,6.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6321143,4.00,5.00,3.00,6.00,7.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6321151,7.00,7.00,5.00,7.00,10.00,10.13,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6321160,1.00,6.00,3.00,1.00,6.00,10.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6321178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6321186,9.00,6.00,4.00,7.00,10.00,9.38,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6321208,8.00,7.00,6.00,6.00,9.00,NULL,5.00,8.00,7.00,NULL,NULL,'S','N'),(25,6321259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6321267,5.00,5.00,2.00,4.00,7.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6321275,6.00,4.00,3.00,1.00,8.00,9.38,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6321305,4.00,5.00,3.00,3.00,9.00,6.38,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6321313,6.00,5.00,6.00,5.00,8.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6321321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6321330,5.00,5.00,1.00,7.00,7.00,10.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6321348,3.00,6.00,1.00,3.00,5.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6321356,4.00,5.00,0.00,6.00,8.00,7.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6321372,7.00,5.00,1.00,7.00,5.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6321380,7.00,6.00,3.00,3.00,7.00,9.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6321399,4.00,3.00,1.00,2.00,6.00,4.88,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6321402,7.00,6.00,7.00,6.00,6.00,8.63,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6321410,2.00,2.00,2.00,1.00,3.00,5.25,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6321437,5.00,7.00,3.00,4.00,9.00,8.63,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6321445,6.00,4.00,3.00,6.00,6.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6321453,7.00,5.00,7.00,2.00,8.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6321461,3.00,2.00,3.00,4.00,5.00,7.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6321470,1.00,3.00,2.00,1.00,3.00,0.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6321488,3.00,6.00,1.00,0.00,5.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6321496,5.00,5.00,1.00,4.00,5.00,8.63,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6321500,8.00,6.00,4.00,4.00,10.00,9.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6321518,3.00,5.00,3.00,3.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6321526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6321534,4.00,7.00,2.00,3.00,7.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6321542,3.00,5.00,1.00,5.00,6.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6321550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6321569,7.00,5.00,6.00,8.00,8.00,7.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6321577,2.00,6.00,3.00,7.00,7.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6321585,7.00,5.00,2.00,2.00,7.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6321607,0.00,4.00,1.00,3.00,5.00,3.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6321623,4.00,5.00,1.00,5.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6321631,3.00,6.00,1.00,5.00,6.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6321640,5.00,4.00,2.00,3.00,5.00,9.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6321658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6321666,2.00,2.00,1.00,2.00,4.00,8.25,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6321674,4.00,6.00,2.00,6.00,5.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6321682,1.00,4.00,3.00,3.00,6.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6321690,4.00,3.00,1.00,3.00,9.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6321704,8.00,5.00,3.00,6.00,10.00,10.50,4.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6321712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6321720,4.00,6.00,4.00,5.00,8.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6321739,7.00,8.00,3.00,3.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,'S','N'),(25,6321747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6321755,2.00,5.00,1.00,2.00,5.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6321763,7.00,8.00,3.00,5.00,8.00,11.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6321771,6.00,3.00,3.00,3.00,8.00,9.38,0.00,0.00,6.00,NULL,NULL,NULL,'N'),(25,6321798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6321801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6321810,8.00,5.00,6.00,4.00,6.00,10.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6321828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6321836,2.00,4.00,1.00,3.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6321844,3.00,4.00,0.00,6.00,8.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6321852,3.00,5.00,2.00,3.00,6.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6321860,3.00,6.00,1.00,4.00,6.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6321879,2.00,3.00,1.00,2.00,7.00,7.13,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6321887,1.00,2.00,2.00,3.00,3.00,8.63,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6321909,4.00,5.00,1.00,6.00,6.00,6.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6321917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6321925,3.00,4.00,4.00,7.00,6.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6321933,3.00,3.00,1.00,3.00,5.00,7.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6321941,2.00,2.00,1.00,2.00,3.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6321950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6321968,4.00,4.00,0.00,2.00,5.00,8.25,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6321976,2.00,2.00,0.00,4.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6321984,7.00,6.00,1.00,8.00,7.00,8.63,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6321992,3.00,7.00,3.00,2.00,7.00,12.38,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6322000,5.00,4.00,0.00,3.00,7.00,7.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6322018,2.00,4.00,3.00,5.00,7.00,9.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6322026,2.00,4.00,3.00,2.00,5.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6322034,2.00,3.00,1.00,4.00,5.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6322042,5.00,7.00,2.00,5.00,7.00,9.38,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6322050,6.00,6.00,3.00,3.00,8.00,7.88,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6322069,8.00,6.00,5.00,7.00,8.00,11.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6322077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6322085,0.00,2.00,1.00,0.00,4.00,9.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6322107,1.00,3.00,2.00,2.00,4.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6322115,3.00,6.00,4.00,3.00,7.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6322123,4.00,3.00,1.00,6.00,5.00,7.13,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6322131,4.00,5.00,3.00,6.00,6.00,10.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6322140,2.00,5.00,3.00,5.00,3.00,7.88,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6322158,4.00,6.00,3.00,6.00,8.00,9.38,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6322174,4.00,7.00,0.00,5.00,4.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6322182,3.00,4.00,3.00,2.00,6.00,NULL,3.00,0.00,4.00,NULL,NULL,NULL,'S'),(25,6322190,5.00,7.00,0.00,0.00,3.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6322204,6.00,8.00,8.00,3.00,6.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6322212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6322220,3.00,3.00,1.00,1.00,5.00,5.63,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6322239,4.00,5.00,4.00,3.00,6.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(25,6322247,3.00,2.00,0.00,4.00,6.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6322255,3.00,5.00,3.00,5.00,7.00,8.63,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6322263,8.00,6.00,2.00,7.00,8.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6322271,1.00,2.00,2.00,3.00,3.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6322280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6322298,0.00,4.00,0.00,0.00,0.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6322301,6.00,3.00,3.00,3.00,8.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6322310,5.00,4.00,1.00,6.00,6.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6322328,3.00,5.00,3.00,5.00,5.00,8.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6322352,4.00,3.00,2.00,4.00,7.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6322360,2.00,5.00,2.00,2.00,3.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6322379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6322387,1.00,6.00,3.00,3.00,5.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6322395,6.00,6.00,3.00,5.00,8.00,10.50,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6322409,4.00,4.00,2.00,4.00,6.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6322417,7.00,7.00,6.00,6.00,8.00,10.13,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6322425,3.00,2.00,1.00,3.00,4.00,6.00,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6322433,2.00,5.00,3.00,4.00,6.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6322441,4.00,3.00,3.00,2.00,6.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6322450,4.00,5.00,1.00,2.00,5.00,8.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6322468,4.00,2.00,4.00,2.00,6.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6322476,3.00,1.00,1.00,3.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6322484,1.00,3.00,2.00,1.00,3.00,5.63,1.00,0.00,3.00,NULL,NULL,NULL,'S'),(25,6322492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6322506,3.00,7.00,2.00,3.00,4.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6322514,4.00,8.00,3.00,6.00,10.00,10.50,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6322522,9.00,6.00,4.00,7.00,9.00,9.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6322530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6322549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6322557,1.00,3.00,1.00,7.00,6.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6322565,1.00,2.00,0.00,2.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6322590,3.00,2.00,0.00,4.00,6.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6322603,3.00,5.00,0.00,3.00,7.00,NULL,1.00,2.00,1.00,NULL,NULL,'S','N'),(25,6322611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6322646,4.00,3.00,0.00,3.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6322662,1.00,4.00,4.00,1.00,4.00,6.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6322670,3.00,1.00,0.00,2.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6322689,6.00,7.00,4.00,1.00,5.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6322697,4.00,7.00,4.00,6.00,5.00,7.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6322700,3.00,5.00,1.00,0.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6322719,1.00,5.00,3.00,3.00,4.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6322727,4.00,6.00,3.00,5.00,5.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6322735,0.00,2.00,0.00,0.00,3.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6322743,6.00,7.00,0.00,6.00,8.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6322751,4.00,6.00,1.00,5.00,4.00,5.25,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6322760,3.00,3.00,0.00,2.00,7.00,9.38,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6322786,5.00,5.00,3.00,4.00,6.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6322794,5.00,7.00,1.00,7.00,9.00,9.75,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6322808,5.00,5.00,3.00,4.00,8.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6322816,6.00,6.00,5.00,7.00,8.00,9.38,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6322824,7.00,6.00,6.00,6.00,9.00,10.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6322832,5.00,4.00,5.00,4.00,5.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6322840,6.00,7.00,1.00,5.00,8.00,11.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6322859,6.00,4.00,3.00,3.00,6.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6322867,6.00,4.00,4.00,7.00,5.00,10.13,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6322875,5.00,7.00,3.00,2.00,7.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6322883,6.00,4.00,4.00,5.00,4.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6322891,4.00,5.00,0.00,5.00,6.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6322921,2.00,3.00,3.00,6.00,9.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6322930,3.00,5.00,4.00,4.00,6.00,8.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6322948,2.00,4.00,3.00,4.00,4.00,7.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6322956,3.00,4.00,0.00,5.00,6.00,7.88,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6322964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6322972,1.00,1.00,0.00,1.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6322980,3.00,3.00,2.00,0.00,4.00,9.00,2.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6322999,3.00,4.00,3.00,5.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6323006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6323014,3.00,3.00,1.00,4.00,8.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6323022,5.00,4.00,4.00,4.00,7.00,8.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6323030,4.00,0.00,1.00,1.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6323049,3.00,6.00,2.00,6.00,6.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6323057,1.00,2.00,0.00,2.00,3.00,6.38,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6323090,4.00,5.00,2.00,6.00,6.00,9.75,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6323103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6323120,3.00,3.00,1.00,0.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6323138,7.00,8.00,4.00,5.00,8.00,7.50,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6323146,2.00,5.00,1.00,2.00,6.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6323154,3.00,6.00,2.00,5.00,8.00,7.88,2.00,4.00,0.00,NULL,NULL,NULL,'S'),(25,6323162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6323170,9.00,8.00,6.00,7.00,10.00,8.63,6.00,7.00,8.00,NULL,NULL,NULL,'S'),(25,6323189,4.00,3.00,1.00,3.00,3.00,5.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6323197,3.00,4.00,4.00,6.00,7.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6323200,0.00,2.00,0.00,1.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6323219,3.00,4.00,0.00,5.00,1.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6323227,3.00,5.00,5.00,4.00,7.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6323235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6323243,4.00,6.00,4.00,6.00,8.00,NULL,0.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6323251,6.00,6.00,5.00,5.00,8.00,9.00,2.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6323278,4.00,4.00,0.00,4.00,6.00,7.50,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6323286,2.00,4.00,0.00,3.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6323294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6323308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6323316,3.00,5.00,2.00,5.00,5.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6323324,9.00,8.00,6.00,4.00,10.00,12.38,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6323332,8.00,7.00,6.00,7.00,8.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6323340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6323359,2.00,3.00,3.00,5.00,6.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6323367,2.00,3.00,0.00,3.00,3.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6323375,5.00,6.00,4.00,4.00,10.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6323383,3.00,4.00,1.00,4.00,7.00,10.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6323391,1.00,3.00,4.00,7.00,5.00,6.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6323405,3.00,3.00,2.00,4.00,3.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6323413,3.00,4.00,0.00,4.00,6.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6323421,6.00,3.00,2.00,6.00,10.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6323430,1.00,3.00,5.00,6.00,8.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6323456,4.00,3.00,0.00,4.00,4.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6323464,6.00,8.00,3.00,4.00,7.00,12.00,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6323472,7.00,7.00,4.00,6.00,7.00,6.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6323480,7.00,5.00,3.00,6.00,9.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6323499,6.00,6.00,1.00,7.00,8.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6323502,0.00,3.00,0.00,4.00,6.00,7.50,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6323510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6323529,5.00,3.00,4.00,2.00,6.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6323537,4.00,1.00,1.00,3.00,3.00,7.50,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6323545,3.00,2.00,0.00,3.00,4.00,3.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6323553,6.00,7.00,4.00,6.00,8.00,7.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6323561,4.00,4.00,1.00,3.00,8.00,4.88,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6323570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6323588,1.00,4.00,1.00,0.00,0.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6323596,3.00,0.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6323600,5.00,6.00,2.00,7.00,6.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6323626,4.00,5.00,1.00,4.00,4.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6323642,9.00,8.00,6.00,7.00,10.00,9.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6323650,2.00,4.00,2.00,2.00,5.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6323669,7.00,6.00,4.00,6.00,8.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6323677,6.00,6.00,5.00,6.00,9.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6323685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6323693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6323707,8.00,4.00,2.00,3.00,8.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6323715,1.00,6.00,1.00,5.00,3.00,6.75,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6323723,7.00,5.00,6.00,7.00,10.00,11.25,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6323731,5.00,5.00,1.00,2.00,7.00,9.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6323740,4.00,5.00,0.00,2.00,7.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6323758,4.00,3.00,3.00,2.00,5.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6323766,9.00,8.00,3.00,7.00,8.00,10.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6323774,4.00,3.00,2.00,3.00,8.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6323782,6.00,5.00,2.00,7.00,8.00,8.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6323790,5.00,4.00,2.00,2.00,8.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6323812,4.00,7.00,2.00,6.00,6.00,11.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6323820,6.00,7.00,2.00,6.00,5.00,9.75,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6323839,5.00,3.00,1.00,3.00,6.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6323847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6323855,1.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6323863,3.00,3.00,2.00,4.00,5.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6323871,6.00,6.00,4.00,6.00,6.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6323880,3.00,5.00,2.00,3.00,6.00,9.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6323898,5.00,5.00,1.00,7.00,7.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6323901,7.00,3.00,2.00,6.00,7.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6323910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6323936,3.00,4.00,2.00,7.00,6.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6323944,3.00,3.00,3.00,6.00,8.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6323952,3.00,4.00,3.00,4.00,5.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6323960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6323995,7.00,4.00,2.00,5.00,10.00,15.00,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6324002,3.00,6.00,3.00,7.00,4.00,9.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6324010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6324029,5.00,6.00,5.00,6.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6324037,6.00,5.00,3.00,5.00,7.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6324053,4.00,4.00,1.00,3.00,6.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6324061,4.00,5.00,2.00,2.00,6.00,6.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6324070,3.00,4.00,2.00,2.00,5.00,6.00,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6324088,2.00,0.00,0.00,2.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6324096,7.00,6.00,4.00,6.00,8.00,8.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6324100,3.00,3.00,2.00,2.00,6.00,6.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6324118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6324126,0.00,4.00,2.00,2.00,5.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6324142,2.00,4.00,1.00,1.00,3.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6324150,0.00,5.00,3.00,1.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,'S','N'),(25,6324169,4.00,5.00,1.00,5.00,8.00,9.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6324177,7.00,8.00,2.00,5.00,8.00,11.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6324185,6.00,5.00,4.00,5.00,8.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6324193,3.00,4.00,1.00,6.00,6.00,7.88,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6324207,3.00,4.00,2.00,4.00,7.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6324215,5.00,4.00,1.00,5.00,7.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6324231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6324240,7.00,5.00,4.00,6.00,8.00,7.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6324258,3.00,5.00,1.00,2.00,5.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6324266,4.00,3.00,1.00,0.00,4.00,6.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6324274,3.00,6.00,3.00,1.00,3.00,4.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6324282,5.00,6.00,0.00,6.00,9.00,NULL,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6324290,1.00,3.00,2.00,3.00,5.00,7.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6324304,4.00,5.00,1.00,2.00,5.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6324312,5.00,4.00,1.00,4.00,8.00,9.00,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6324320,5.00,4.00,4.00,3.00,6.00,9.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6324339,3.00,3.00,0.00,5.00,7.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6324347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6324355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6324363,4.00,4.00,4.00,4.00,5.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6324371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6324380,3.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6324398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6324401,4.00,4.00,0.00,4.00,6.00,9.00,3.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6324428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6324436,5.00,4.00,2.00,4.00,4.00,8.63,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6324444,2.00,3.00,2.00,2.00,1.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6324452,6.00,6.00,3.00,5.00,9.00,7.88,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6324460,6.00,6.00,3.00,6.00,8.00,9.38,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6324479,4.00,6.00,2.00,7.00,9.00,9.75,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6324487,4.00,3.00,3.00,6.00,8.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6324509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6324517,5.00,8.00,3.00,6.00,9.00,7.50,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6324525,4.00,3.00,1.00,5.00,7.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6324533,6.00,7.00,2.00,6.00,10.00,6.38,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6324541,4.00,5.00,2.00,6.00,4.00,8.63,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6324550,3.00,5.00,0.00,2.00,6.00,10.50,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6324576,5.00,4.00,3.00,6.00,10.00,10.50,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6324584,4.00,5.00,3.00,6.00,6.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6324592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6324606,3.00,3.00,2.00,3.00,3.00,6.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6324614,7.00,7.00,5.00,4.00,7.00,9.38,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6324622,4.00,4.00,1.00,2.00,4.00,6.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6324649,5.00,4.00,4.00,3.00,4.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6324657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6324665,3.00,4.00,2.00,6.00,8.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6324673,8.00,6.00,5.00,5.00,9.00,7.88,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6324681,5.00,5.00,2.00,0.00,6.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6324703,5.00,6.00,2.00,6.00,6.00,NULL,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6324711,2.00,3.00,2.00,2.00,4.00,9.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6324720,4.00,5.00,3.00,4.00,8.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6324738,2.00,5.00,1.00,2.00,3.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6324746,7.00,7.00,1.00,5.00,8.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6324754,7.00,6.00,0.00,6.00,9.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6324762,3.00,5.00,3.00,4.00,6.00,9.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6324770,5.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6324789,3.00,5.00,0.00,4.00,7.00,6.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6324797,6.00,6.00,5.00,7.00,8.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6324800,1.00,4.00,0.00,3.00,6.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6324819,3.00,5.00,1.00,5.00,6.00,7.13,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6324827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6324835,2.00,4.00,2.00,1.00,4.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6324851,1.00,5.00,1.00,2.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6324860,4.00,4.00,3.00,5.00,8.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6324878,8.00,6.00,1.00,5.00,6.00,NULL,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6324886,4.00,6.00,3.00,4.00,6.00,10.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6324894,3.00,6.00,2.00,6.00,10.00,10.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6324908,2.00,5.00,3.00,4.00,7.00,9.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6324916,6.00,5.00,5.00,6.00,9.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6324924,3.00,4.00,2.00,6.00,7.00,8.63,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6324932,4.00,4.00,0.00,5.00,4.00,7.13,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6324940,3.00,3.00,1.00,4.00,7.00,8.25,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6324959,4.00,6.00,2.00,4.00,8.00,10.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6324975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6324983,5.00,6.00,2.00,4.00,8.00,11.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6324991,6.00,6.00,3.00,6.00,7.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6325009,4.00,2.00,0.00,3.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6325017,4.00,6.00,1.00,3.00,5.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6325025,7.00,7.00,5.00,5.00,8.00,10.88,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6325033,4.00,4.00,5.00,5.00,5.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6325041,7.00,7.00,3.00,7.00,9.00,10.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6325068,5.00,6.00,1.00,1.00,7.00,11.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6325076,2.00,4.00,2.00,7.00,7.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6325084,3.00,2.00,0.00,7.00,6.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6325092,7.00,6.00,5.00,7.00,8.00,10.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6325106,1.00,4.00,2.00,2.00,6.00,8.63,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6325114,4.00,2.00,3.00,1.00,5.00,4.88,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6325122,3.00,5.00,3.00,5.00,6.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6325130,3.00,6.00,1.00,3.00,3.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6325157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6325165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6325173,1.00,5.00,2.00,3.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6325203,1.00,5.00,3.00,2.00,6.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6325211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6325220,2.00,6.00,4.00,4.00,4.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6325238,2.00,4.00,1.00,2.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6325246,3.00,4.00,2.00,3.00,5.00,4.88,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6325254,4.00,3.00,0.00,3.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6325262,3.00,3.00,1.00,3.00,5.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6325270,2.00,3.00,1.00,2.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6325297,5.00,4.00,5.00,3.00,5.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6325319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6325327,4.00,4.00,0.00,2.00,5.00,8.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6325335,4.00,5.00,2.00,3.00,8.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6325343,6.00,5.00,2.00,5.00,8.00,9.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6325351,2.00,5.00,2.00,3.00,3.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6325360,6.00,5.00,0.00,5.00,9.00,10.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6325378,3.00,4.00,0.00,1.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6325386,3.00,4.00,4.00,6.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6325394,3.00,4.00,2.00,3.00,5.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6325416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6325424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6325432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6325440,3.00,4.00,2.00,4.00,7.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6325475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6325483,3.00,2.00,2.00,1.00,7.00,NULL,2.00,4.00,2.00,NULL,NULL,'S','S'),(25,6325491,3.00,3.00,3.00,6.00,5.00,5.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6325505,7.00,9.00,6.00,4.00,9.00,10.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6325513,3.00,5.00,5.00,3.00,5.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6325521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6325530,3.00,3.00,1.00,4.00,8.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6325548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6325556,9.00,8.00,3.00,7.00,10.00,9.00,4.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6325564,4.00,5.00,0.00,5.00,4.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6325572,6.00,7.00,3.00,5.00,9.00,6.00,0.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6325580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6325599,2.00,4.00,3.00,3.00,5.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6325602,1.00,4.00,4.00,2.00,4.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6325610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6325629,3.00,3.00,3.00,6.00,4.00,8.25,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6325645,6.00,4.00,4.00,6.00,7.00,7.13,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6325653,4.00,3.00,2.00,2.00,4.00,4.88,1.00,4.00,0.00,NULL,NULL,NULL,'S'),(25,6325661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6325688,7.00,6.00,5.00,5.00,9.00,7.88,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6325696,4.00,4.00,1.00,3.00,7.00,7.88,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6325700,3.00,4.00,0.00,2.00,2.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6325726,3.00,5.00,0.00,2.00,5.00,7.88,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6325734,4.00,4.00,2.00,3.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6325742,4.00,3.00,0.00,5.00,5.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6325750,3.00,5.00,2.00,3.00,6.00,10.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6325769,4.00,7.00,3.00,4.00,5.00,6.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6325777,3.00,2.00,1.00,4.00,5.00,9.00,3.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6325785,0.00,2.00,0.00,3.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6325793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6325807,5.00,3.00,2.00,4.00,8.00,11.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6325815,4.00,3.00,3.00,3.00,4.00,5.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6325823,6.00,6.00,1.00,5.00,10.00,10.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6325831,4.00,5.00,2.00,6.00,7.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6325840,4.00,6.00,0.00,3.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6325858,4.00,6.00,2.00,6.00,9.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6325866,7.00,8.00,3.00,7.00,8.00,9.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6325882,2.00,5.00,3.00,2.00,4.00,7.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6325890,3.00,4.00,3.00,1.00,7.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6325904,6.00,7.00,4.00,5.00,6.00,7.50,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6325912,0.00,2.00,4.00,1.00,5.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6325920,8.00,4.00,4.00,7.00,10.00,10.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6325939,3.00,2.00,4.00,5.00,6.00,7.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6325947,1.00,3.00,1.00,2.00,5.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6325955,2.00,5.00,2.00,3.00,5.00,9.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6325963,7.00,7.00,3.00,4.00,10.00,9.75,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6325971,5.00,6.00,3.00,6.00,10.00,10.88,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6325980,2.00,1.00,0.00,2.00,1.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6325998,3.00,3.00,1.00,2.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6326005,4.00,6.00,2.00,0.00,3.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6326013,5.00,5.00,3.00,1.00,7.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6326021,8.00,8.00,5.00,6.00,8.00,8.25,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6326030,7.00,6.00,5.00,7.00,10.00,9.38,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6326048,5.00,5.00,1.00,5.00,8.00,6.38,2.00,5.00,1.00,NULL,NULL,NULL,'S'),(25,6326056,2.00,3.00,0.00,1.00,7.00,7.88,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6326064,8.00,7.00,1.00,4.00,9.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6326072,2.00,3.00,1.00,4.00,2.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6326080,2.00,4.00,2.00,3.00,4.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6326099,2.00,3.00,2.00,5.00,6.00,9.38,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6326102,6.00,4.00,1.00,6.00,7.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6326129,8.00,5.00,5.00,6.00,10.00,12.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6326137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6326145,5.00,3.00,2.00,4.00,7.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6326153,3.00,6.00,4.00,6.00,5.00,9.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6326161,4.00,4.00,0.00,5.00,5.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6326170,4.00,5.00,3.00,5.00,8.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6326188,2.00,4.00,3.00,3.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6326196,3.00,6.00,5.00,5.00,6.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6326200,8.00,6.00,4.00,6.00,9.00,8.63,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6326218,1.00,6.00,0.00,5.00,6.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6326226,5.00,5.00,1.00,6.00,6.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6326234,7.00,7.00,4.00,5.00,8.00,12.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6326242,3.00,3.00,2.00,3.00,7.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6326250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6326269,2.00,2.00,0.00,1.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6326277,2.00,3.00,2.00,1.00,5.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6326285,1.00,2.00,1.00,3.00,3.00,6.75,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6326307,4.00,2.00,1.00,2.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6326315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6326323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6326331,5.00,6.00,3.00,6.00,8.00,9.38,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6326340,5.00,4.00,2.00,4.00,9.00,8.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6326358,4.00,5.00,3.00,3.00,4.00,7.88,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6326366,3.00,6.00,2.00,4.00,4.00,10.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6326374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6326382,4.00,4.00,2.00,4.00,8.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6326390,5.00,4.00,5.00,5.00,9.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6326404,3.00,5.00,2.00,6.00,8.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6326412,7.00,7.00,2.00,5.00,9.00,12.00,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6326420,4.00,5.00,2.00,4.00,6.00,6.38,0.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6326439,1.00,5.00,1.00,6.00,6.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6326447,6.00,5.00,2.00,7.00,6.00,8.63,2.00,8.00,5.00,NULL,NULL,NULL,'S'),(25,6326455,2.00,4.00,2.00,2.00,8.00,9.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6326463,8.00,6.00,5.00,7.00,7.00,9.38,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6326471,4.00,5.00,3.00,2.00,5.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6326480,4.00,5.00,3.00,1.00,6.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6326498,5.00,7.00,3.00,5.00,7.00,6.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6326501,3.00,4.00,2.00,5.00,5.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6326510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6326528,6.00,5.00,1.00,7.00,7.00,12.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6326536,3.00,6.00,1.00,3.00,7.00,7.13,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6326544,7.00,3.00,4.00,6.00,6.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6326552,1.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6326560,4.00,6.00,0.00,5.00,7.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6326579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6326587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6326595,6.00,5.00,2.00,6.00,6.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6326609,3.00,6.00,3.00,6.00,7.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6326617,5.00,6.00,3.00,3.00,7.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6326625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6326633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6326641,6.00,6.00,1.00,7.00,7.00,10.88,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6326650,2.00,6.00,1.00,6.00,4.00,8.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6326668,3.00,5.00,4.00,5.00,8.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6326676,1.00,6.00,3.00,6.00,6.00,12.00,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6326684,6.00,6.00,4.00,5.00,6.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6326706,7.00,6.00,3.00,7.00,8.00,10.88,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6326714,3.00,5.00,1.00,2.00,7.00,9.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6326722,1.00,5.00,1.00,2.00,3.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6326730,5.00,7.00,4.00,5.00,8.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6326749,5.00,7.00,2.00,6.00,6.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6326757,3.00,5.00,1.00,5.00,8.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6326765,4.00,1.00,0.00,5.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6326773,5.00,6.00,2.00,5.00,3.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6326781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6326790,0.00,4.00,0.00,4.00,4.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6326803,2.00,3.00,0.00,1.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6326811,3.00,4.00,1.00,6.00,6.00,8.63,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6326820,5.00,7.00,5.00,4.00,6.00,10.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6326838,5.00,4.00,3.00,6.00,6.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6326846,7.00,8.00,3.00,6.00,9.00,10.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6326854,4.00,3.00,1.00,4.00,3.00,6.00,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6326862,5.00,4.00,2.00,5.00,8.00,11.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6326870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6326889,2.00,3.00,2.00,2.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6326897,2.00,1.00,2.00,3.00,7.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6326927,8.00,7.00,3.00,6.00,10.00,9.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6326935,7.00,7.00,2.00,7.00,7.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6326943,6.00,7.00,7.00,7.00,5.00,7.88,7.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6326960,3.00,6.00,2.00,5.00,7.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6326994,5.00,4.00,1.00,3.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6327001,5.00,5.00,0.00,2.00,9.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6327010,2.00,1.00,2.00,4.00,4.00,6.38,2.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6327028,4.00,4.00,0.00,3.00,7.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6327036,3.00,4.00,4.00,4.00,5.00,8.63,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6327044,3.00,4.00,1.00,4.00,9.00,7.13,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6327052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6327060,2.00,2.00,0.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6327079,3.00,4.00,1.00,4.00,7.00,0.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6327087,5.00,5.00,3.00,6.00,6.00,7.88,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6327095,4.00,6.00,4.00,5.00,5.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6327117,2.00,5.00,1.00,7.00,7.00,11.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6327125,1.00,7.00,3.00,4.00,4.00,6.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6327141,7.00,8.00,6.00,5.00,7.00,9.38,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6327150,4.00,6.00,2.00,4.00,7.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6327168,3.00,4.00,1.00,3.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6327176,5.00,6.00,2.00,5.00,5.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6327184,5.00,4.00,4.00,4.00,7.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6327192,4.00,5.00,1.00,3.00,6.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6327206,2.00,3.00,0.00,6.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6327222,1.00,3.00,3.00,4.00,4.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6327230,4.00,5.00,0.00,1.00,3.00,6.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6327249,7.00,5.00,5.00,6.00,9.00,11.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6327257,2.00,3.00,2.00,1.00,6.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6327265,5.00,6.00,3.00,4.00,6.00,9.00,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6327273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6327281,6.00,8.00,3.00,3.00,7.00,4.50,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6327303,7.00,6.00,3.00,4.00,8.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6327311,2.00,2.00,2.00,3.00,5.00,7.88,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6327346,8.00,7.00,6.00,7.00,10.00,11.63,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6327354,4.00,4.00,3.00,2.00,7.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6327362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6327370,3.00,5.00,4.00,2.00,5.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6327389,6.00,4.00,1.00,6.00,8.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6327397,7.00,6.00,3.00,6.00,10.00,10.88,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6327400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6327419,7.00,7.00,5.00,5.00,9.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6327427,5.00,6.00,0.00,3.00,9.00,7.13,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6327435,3.00,8.00,2.00,7.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6327443,6.00,4.00,3.00,4.00,8.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6327451,6.00,6.00,3.00,4.00,9.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6327460,2.00,3.00,4.00,4.00,5.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6327478,6.00,7.00,1.00,5.00,9.00,11.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6327486,3.00,7.00,2.00,3.00,5.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6327494,2.00,0.00,1.00,4.00,4.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6327508,4.00,5.00,2.00,5.00,8.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6327516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6327524,3.00,4.00,0.00,4.00,5.00,4.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6327532,2.00,4.00,5.00,3.00,10.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6327540,4.00,6.00,3.00,5.00,7.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6327567,5.00,7.00,4.00,5.00,8.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6327583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6327591,3.00,4.00,2.00,4.00,6.00,8.63,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6327605,2.00,3.00,2.00,4.00,4.00,8.25,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6327613,3.00,1.00,1.00,5.00,8.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6327621,3.00,4.00,1.00,4.00,5.00,7.88,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6327630,7.00,7.00,6.00,7.00,8.00,10.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6327648,3.00,3.00,2.00,3.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,'S','N'),(25,6327656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6327672,4.00,5.00,6.00,6.00,6.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6327680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6327702,4.00,3.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6327710,2.00,2.00,1.00,4.00,8.00,10.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6327729,8.00,8.00,4.00,5.00,10.00,9.38,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6327737,6.00,7.00,6.00,5.00,8.00,10.50,2.00,6.00,6.00,NULL,NULL,NULL,'S'),(25,6327745,4.00,4.00,1.00,4.00,7.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6327753,6.00,5.00,4.00,6.00,8.00,10.13,0.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6327761,8.00,4.00,4.00,4.00,8.00,9.00,1.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6327788,4.00,6.00,6.00,4.00,5.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6327796,3.00,4.00,1.00,5.00,6.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6327818,3.00,4.00,2.00,3.00,8.00,7.88,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6327834,5.00,4.00,1.00,4.00,4.00,7.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6327850,4.00,8.00,2.00,6.00,7.00,9.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6327869,8.00,7.00,2.00,6.00,9.00,9.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6327885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6327893,5.00,6.00,3.00,6.00,6.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6327907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6327915,8.00,5.00,3.00,6.00,7.00,9.38,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6327923,8.00,5.00,5.00,5.00,8.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6327931,6.00,5.00,3.00,5.00,7.00,7.50,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6327940,2.00,5.00,1.00,3.00,7.00,6.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6327958,4.00,6.00,1.00,4.00,6.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6327966,3.00,0.00,2.00,2.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6327974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6327982,4.00,5.00,1.00,3.00,7.00,6.00,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6327990,7.00,5.00,3.00,3.00,9.00,6.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6328008,6.00,6.00,5.00,5.00,7.00,9.38,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6328016,4.00,4.00,3.00,5.00,4.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6328024,3.00,6.00,2.00,4.00,8.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6328032,4.00,5.00,3.00,4.00,5.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6328040,2.00,1.00,5.00,3.00,5.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6328059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6328067,2.00,3.00,1.00,2.00,5.00,6.75,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6328075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6328083,4.00,5.00,2.00,4.00,9.00,7.88,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6328091,3.00,2.00,0.00,2.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,'S','N'),(25,6328105,4.00,4.00,4.00,7.00,8.00,10.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6328113,1.00,1.00,1.00,2.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6328121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6328130,2.00,2.00,2.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6328148,0.00,6.00,2.00,1.00,6.00,NULL,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6328156,3.00,6.00,3.00,7.00,9.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6328164,7.00,8.00,5.00,6.00,7.00,12.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6328172,6.00,4.00,4.00,6.00,8.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6328180,5.00,6.00,3.00,4.00,6.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6328199,5.00,5.00,2.00,7.00,4.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6328202,8.00,7.00,3.00,7.00,6.00,9.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6328210,2.00,2.00,1.00,2.00,5.00,5.63,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6328229,4.00,4.00,2.00,7.00,8.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6328237,2.00,2.00,2.00,1.00,4.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6328245,4.00,4.00,7.00,6.00,6.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6328253,3.00,5.00,0.00,5.00,2.00,NULL,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6328261,1.00,3.00,0.00,6.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6328270,6.00,7.00,7.00,7.00,7.00,10.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6328288,3.00,3.00,2.00,3.00,6.00,9.38,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6328296,3.00,5.00,6.00,6.00,7.00,8.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6328300,4.00,7.00,2.00,6.00,7.00,8.63,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6328318,3.00,2.00,1.00,2.00,5.00,4.88,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6328334,3.00,4.00,1.00,6.00,7.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6328342,2.00,5.00,2.00,3.00,3.00,5.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6328350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6328369,5.00,8.00,1.00,7.00,7.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6328377,4.00,0.00,2.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6328385,3.00,3.00,4.00,4.00,7.00,8.63,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6328393,2.00,1.00,1.00,2.00,0.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6328415,4.00,3.00,2.00,3.00,4.00,7.88,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6328423,7.00,6.00,3.00,7.00,10.00,11.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6328431,3.00,5.00,2.00,2.00,7.00,10.13,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6328440,5.00,4.00,3.00,2.00,4.00,6.38,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6328458,2.00,4.00,0.00,4.00,4.00,10.13,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6328474,4.00,5.00,2.00,4.00,8.00,12.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6328482,4.00,4.00,2.00,2.00,6.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6328490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6328504,2.00,2.00,0.00,1.00,5.00,9.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6328512,6.00,8.00,3.00,8.00,8.00,12.00,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(25,6328520,3.00,4.00,4.00,4.00,10.00,10.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6328539,1.00,3.00,2.00,3.00,6.00,7.13,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6328547,7.00,6.00,3.00,6.00,10.00,10.88,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6328555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6328563,7.00,6.00,4.00,7.00,8.00,10.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6328580,7.00,5.00,3.00,6.00,8.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6328598,7.00,6.00,3.00,7.00,5.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6328601,5.00,7.00,3.00,6.00,10.00,7.13,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6328628,3.00,4.00,2.00,3.00,5.00,8.63,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6328636,0.00,5.00,0.00,0.00,0.00,NULL,3.00,2.00,6.00,'S',NULL,NULL,'N'),(25,6328644,4.00,7.00,3.00,5.00,5.00,10.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6328652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6328660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6328679,2.00,3.00,1.00,1.00,4.00,7.88,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6328687,5.00,5.00,3.00,5.00,7.00,7.50,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6328695,2.00,5.00,3.00,4.00,6.00,9.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6328709,8.00,4.00,5.00,7.00,10.00,11.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6328717,4.00,4.00,1.00,3.00,5.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6328725,3.00,2.00,4.00,5.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6328741,0.00,3.00,0.00,2.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6328750,4.00,5.00,2.00,4.00,6.00,8.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6328768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6328776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6328784,6.00,6.00,4.00,6.00,7.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6328792,3.00,1.00,0.00,1.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6328806,7.00,7.00,5.00,5.00,8.00,7.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6328822,4.00,2.00,3.00,4.00,1.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6328830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6328849,2.00,3.00,1.00,2.00,5.00,7.88,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6328857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6328865,4.00,5.00,4.00,6.00,7.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6328873,3.00,2.00,2.00,0.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6328881,5.00,7.00,0.00,4.00,4.00,9.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6328890,5.00,4.00,0.00,5.00,7.00,8.25,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6328903,3.00,4.00,0.00,4.00,5.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6328920,5.00,7.00,3.00,4.00,7.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6328938,2.00,2.00,1.00,2.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6328946,2.00,3.00,6.00,2.00,4.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6328954,5.00,8.00,2.00,7.00,10.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6328962,1.00,4.00,0.00,0.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6328970,5.00,5.00,4.00,5.00,8.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6328989,1.00,4.00,2.00,1.00,4.00,5.63,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6328997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6329012,4.00,4.00,1.00,3.00,7.00,8.25,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6329020,3.00,7.00,0.00,3.00,9.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6329039,4.00,5.00,1.00,2.00,8.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6329047,4.00,2.00,3.00,1.00,6.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6329055,8.00,7.00,7.00,7.00,10.00,7.13,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6329063,4.00,6.00,2.00,6.00,9.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6329080,4.00,2.00,0.00,3.00,5.00,9.38,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6329098,6.00,7.00,2.00,2.00,7.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6329101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6329152,5.00,6.00,3.00,5.00,5.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6329160,4.00,4.00,5.00,5.00,6.00,8.25,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6329179,2.00,4.00,1.00,3.00,6.00,7.88,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6329187,2.00,4.00,3.00,3.00,5.00,6.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6329195,5.00,6.00,4.00,7.00,8.00,8.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6329209,4.00,6.00,4.00,7.00,7.00,10.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6329217,6.00,6.00,6.00,6.00,7.00,6.38,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6329225,4.00,8.00,2.00,4.00,8.00,11.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6329233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6329241,2.00,2.00,2.00,3.00,5.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6329250,3.00,2.00,1.00,1.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6329268,4.00,2.00,1.00,4.00,8.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6329276,1.00,4.00,0.00,3.00,3.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6329284,2.00,3.00,0.00,2.00,5.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6329292,2.00,2.00,2.00,3.00,6.00,6.75,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6329306,3.00,2.00,0.00,3.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6329314,4.00,6.00,3.00,5.00,6.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6329322,4.00,6.00,4.00,7.00,8.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6329330,8.00,6.00,3.00,7.00,7.00,13.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6329349,4.00,6.00,2.00,1.00,7.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6329357,2.00,1.00,1.00,2.00,4.00,6.00,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6329365,6.00,8.00,7.00,7.00,10.00,8.63,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6329381,1.00,3.00,0.00,2.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6329403,1.00,6.00,4.00,5.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6329411,4.00,6.00,6.00,4.00,9.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6329420,2.00,7.00,2.00,5.00,6.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6329438,2.00,5.00,3.00,4.00,6.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6329446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6329454,9.00,7.00,6.00,7.00,10.00,11.25,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6329462,7.00,7.00,4.00,3.00,9.00,8.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6329470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6329489,6.00,8.00,6.00,4.00,9.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6329497,8.00,7.00,3.00,5.00,7.00,10.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6329500,7.00,7.00,6.00,7.00,9.00,7.88,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6329519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6329527,1.00,0.00,0.00,4.00,5.00,5.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6329535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6329560,1.00,4.00,1.00,3.00,5.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6329586,5.00,5.00,4.00,3.00,4.00,7.13,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6329594,5.00,5.00,1.00,2.00,1.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6329616,8.00,7.00,1.00,5.00,8.00,8.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6329624,6.00,7.00,3.00,5.00,6.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6329632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6329640,2.00,2.00,3.00,6.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6329659,4.00,7.00,4.00,6.00,6.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6329667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6329675,5.00,6.00,3.00,5.00,10.00,10.13,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6329683,6.00,6.00,3.00,4.00,5.00,8.63,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6329705,7.00,7.00,2.00,7.00,9.00,9.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6329721,1.00,5.00,1.00,5.00,6.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6329730,7.00,5.00,6.00,6.00,9.00,8.63,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6329756,3.00,3.00,0.00,2.00,4.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6329764,6.00,4.00,2.00,6.00,8.00,7.13,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6329772,4.00,5.00,2.00,4.00,7.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6329780,5.00,0.00,2.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6329799,0.00,0.00,0.00,0.00,0.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6329802,4.00,6.00,3.00,5.00,8.00,8.63,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6329810,5.00,7.00,2.00,6.00,8.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6329837,5.00,6.00,2.00,6.00,7.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6329845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6329853,5.00,7.00,2.00,4.00,6.00,10.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6329861,7.00,7.00,2.00,7.00,11.00,10.13,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6329870,2.00,3.00,3.00,4.00,6.00,5.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6329888,5.00,7.00,5.00,8.00,9.00,10.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6329896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6329900,3.00,4.00,1.00,5.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6329918,3.00,6.00,1.00,6.00,7.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6329926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6329934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6329942,7.00,8.00,2.00,5.00,7.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6329950,5.00,6.00,2.00,7.00,7.00,NULL,0.00,5.00,6.00,NULL,NULL,NULL,'S'),(25,6329969,5.00,4.00,3.00,3.00,8.00,11.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6329977,7.00,5.00,2.00,7.00,8.00,8.63,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6329985,8.00,5.00,5.00,4.00,5.00,7.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6329993,2.00,4.00,1.00,0.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6330002,2.00,5.00,3.00,2.00,4.00,7.88,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6330010,2.00,5.00,4.00,6.00,9.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6330029,3.00,3.00,2.00,2.00,3.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6330037,5.00,6.00,3.00,3.00,6.00,8.63,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6330053,4.00,4.00,0.00,3.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6330070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6330088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6330096,6.00,6.00,1.00,6.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6330100,3.00,4.00,3.00,3.00,4.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6330118,3.00,3.00,2.00,5.00,4.00,7.50,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6330126,2.00,4.00,1.00,2.00,4.00,0.00,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6330134,1.00,3.00,1.00,4.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6330142,2.00,6.00,0.00,2.00,5.00,6.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6330150,1.00,4.00,0.00,4.00,5.00,6.75,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6330169,3.00,2.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6330185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6330193,6.00,9.00,5.00,7.00,11.00,12.38,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6330207,2.00,4.00,2.00,4.00,4.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6330215,3.00,6.00,1.00,5.00,5.00,10.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6330223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6330231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6330240,4.00,4.00,2.00,4.00,6.00,7.88,0.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6330258,3.00,5.00,1.00,3.00,7.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6330266,7.00,5.00,2.00,5.00,8.00,10.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6330274,2.00,8.00,5.00,6.00,7.00,8.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6330282,3.00,1.00,0.00,1.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,'S','N'),(25,6330290,2.00,3.00,1.00,4.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6330304,3.00,2.00,2.00,3.00,3.00,6.75,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6330312,2.00,2.00,1.00,2.00,3.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6330320,3.00,7.00,3.00,3.00,7.00,10.50,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6330339,2.00,4.00,0.00,4.00,4.00,6.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6330347,6.00,6.00,3.00,5.00,7.00,6.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6330355,5.00,4.00,2.00,3.00,8.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6330363,6.00,4.00,4.00,5.00,7.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6330371,3.00,6.00,1.00,3.00,7.00,9.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6330380,0.00,2.00,1.00,2.00,3.00,0.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6330398,4.00,5.00,3.00,3.00,8.00,8.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6330401,5.00,4.00,3.00,7.00,7.00,8.25,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6330410,3.00,6.00,6.00,7.00,6.00,11.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6330428,3.00,4.00,1.00,6.00,5.00,6.75,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6330436,5.00,4.00,1.00,3.00,8.00,0.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6330444,7.00,7.00,4.00,5.00,6.00,9.00,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6330452,4.00,0.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6330460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6330479,2.00,3.00,2.00,2.00,4.00,9.75,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6330487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6330495,7.00,5.00,6.00,5.00,5.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6330509,3.00,3.00,0.00,3.00,5.00,7.88,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6330517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6330525,5.00,5.00,1.00,5.00,4.00,9.75,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6330533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6330541,4.00,5.00,3.00,5.00,6.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6330550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6330568,3.00,3.00,0.00,7.00,9.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6330576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6330584,2.00,2.00,1.00,0.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6330592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6330606,4.00,5.00,1.00,5.00,7.00,10.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6330614,2.00,5.00,1.00,2.00,7.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6330622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6330630,8.00,7.00,4.00,6.00,9.00,9.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6330649,6.00,5.00,0.00,4.00,7.00,9.00,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6330657,2.00,4.00,3.00,3.00,8.00,6.38,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6330673,4.00,5.00,1.00,5.00,6.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6330681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6330703,3.00,5.00,5.00,5.00,4.00,5.25,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6330711,4.00,6.00,2.00,5.00,5.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6330720,8.00,6.00,3.00,6.00,7.00,11.25,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6330754,7.00,7.00,1.00,5.00,8.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6330770,3.00,4.00,4.00,2.00,3.00,6.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6330789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6330797,4.00,7.00,2.00,4.00,9.00,12.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6330800,2.00,5.00,2.00,4.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,'S','N'),(25,6330819,2.00,4.00,1.00,2.00,5.00,0.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6330835,2.00,5.00,2.00,3.00,7.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6330843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6330851,6.00,5.00,4.00,6.00,5.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6330860,3.00,2.00,1.00,2.00,3.00,4.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6330886,3.00,5.00,1.00,3.00,7.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6330908,2.00,2.00,2.00,3.00,6.00,5.63,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6330916,3.00,2.00,1.00,0.00,4.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6330924,3.00,8.00,4.00,5.00,9.00,10.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6330932,3.00,2.00,2.00,1.00,6.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6330940,5.00,3.00,2.00,3.00,7.00,10.88,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6330959,4.00,3.00,2.00,4.00,5.00,5.63,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6330967,4.00,4.00,1.00,4.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6330975,6.00,5.00,1.00,5.00,8.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6330983,4.00,5.00,1.00,2.00,6.00,5.63,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6331009,0.00,3.00,1.00,0.00,0.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6331017,7.00,5.00,3.00,6.00,8.00,9.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6331025,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6331033,7.00,4.00,3.00,4.00,9.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6331041,5.00,6.00,2.00,7.00,8.00,9.38,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6331050,3.00,4.00,1.00,4.00,7.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6331076,5.00,4.00,3.00,2.00,6.00,6.75,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6331084,0.00,3.00,0.00,1.00,0.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6331092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6331106,6.00,4.00,4.00,5.00,7.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6331114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6331122,1.00,7.00,1.00,2.00,3.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6331130,3.00,5.00,3.00,4.00,9.00,10.50,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6331149,3.00,3.00,0.00,1.00,3.00,7.13,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6331157,1.00,2.00,0.00,3.00,6.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6331173,2.00,5.00,2.00,2.00,9.00,10.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6331181,4.00,2.00,1.00,3.00,6.00,8.25,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6331190,4.00,6.00,1.00,4.00,4.00,7.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6331203,3.00,5.00,4.00,3.00,5.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6331211,3.00,6.00,3.00,3.00,8.00,9.75,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6331220,2.00,2.00,4.00,1.00,6.00,5.63,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6331238,5.00,5.00,1.00,6.00,7.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6331270,2.00,5.00,1.00,3.00,8.00,7.50,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6331289,4.00,4.00,1.00,2.00,6.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6331297,6.00,8.00,3.00,5.00,8.00,8.63,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6331300,3.00,4.00,6.00,3.00,7.00,5.63,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6331343,6.00,7.00,0.00,5.00,8.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6331351,1.00,0.00,2.00,4.00,4.00,6.75,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6331360,2.00,7.00,0.00,2.00,4.00,9.38,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6331386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6331394,1.00,0.00,3.00,1.00,1.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6331408,9.00,8.00,8.00,5.00,9.00,10.88,3.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6331416,2.00,3.00,0.00,1.00,7.00,9.00,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6331424,1.00,0.00,1.00,1.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6331440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6331459,5.00,4.00,1.00,4.00,7.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6331483,6.00,5.00,1.00,7.00,8.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6331491,1.00,3.00,1.00,5.00,7.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6331505,3.00,7.00,2.00,4.00,5.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6331521,7.00,5.00,5.00,3.00,7.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6331530,3.00,4.00,1.00,3.00,5.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6331548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6331556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6331572,4.00,1.00,1.00,2.00,4.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6331580,8.00,7.00,4.00,3.00,8.00,7.88,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6331599,3.00,2.00,2.00,3.00,4.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6331610,5.00,6.00,4.00,4.00,4.00,6.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6331645,5.00,5.00,2.00,3.00,8.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6331653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6331670,2.00,3.00,1.00,3.00,5.00,6.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6331696,3.00,1.00,0.00,2.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6331700,1.00,5.00,2.00,4.00,3.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6331718,4.00,5.00,1.00,6.00,8.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6331726,6.00,6.00,4.00,7.00,8.00,9.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6331742,4.00,4.00,2.00,1.00,8.00,9.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6331750,8.00,9.00,5.00,6.00,10.00,10.88,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6331769,3.00,2.00,1.00,2.00,3.00,4.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6331777,4.00,7.00,3.00,4.00,6.00,9.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6331793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6331815,4.00,5.00,4.00,6.00,8.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6331823,5.00,4.00,2.00,4.00,5.00,7.88,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6331831,4.00,7.00,2.00,7.00,9.00,12.38,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6331840,7.00,6.00,0.00,5.00,8.00,8.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6331858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6331866,4.00,6.00,2.00,7.00,6.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6331874,4.00,7.00,2.00,4.00,9.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6331882,6.00,1.00,0.00,2.00,5.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6331890,4.00,1.00,2.00,4.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6331904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6331912,6.00,8.00,3.00,5.00,7.00,10.88,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6331920,8.00,6.00,4.00,6.00,10.00,12.38,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6331947,6.00,5.00,1.00,6.00,9.00,10.88,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(25,6331955,5.00,6.00,5.00,4.00,7.00,10.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6331963,2.00,3.00,0.00,3.00,2.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6331980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6331998,2.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6332005,3.00,4.00,4.00,3.00,4.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6332013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6332021,2.00,5.00,2.00,4.00,3.00,8.25,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6332030,1.00,1.00,0.00,2.00,3.00,6.00,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6332048,3.00,7.00,3.00,3.00,8.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6332056,3.00,6.00,3.00,2.00,7.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6332064,1.00,5.00,0.00,3.00,6.00,4.88,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6332072,2.00,3.00,2.00,1.00,5.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6332080,5.00,3.00,0.00,3.00,6.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6332099,5.00,6.00,3.00,5.00,6.00,9.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6332102,1.00,2.00,0.00,2.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6332110,3.00,5.00,2.00,5.00,5.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6332129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6332137,4.00,6.00,1.00,3.00,7.00,NULL,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6332145,2.00,6.00,3.00,3.00,5.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6332153,1.00,2.00,4.00,2.00,4.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6332161,5.00,5.00,1.00,4.00,9.00,11.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6332170,6.00,5.00,1.00,1.00,5.00,3.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6332188,0.00,1.00,0.00,1.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6332196,2.00,3.00,1.00,2.00,7.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6332218,7.00,6.00,3.00,7.00,8.00,10.50,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6332226,4.00,6.00,0.00,4.00,5.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6332242,3.00,2.00,0.00,4.00,4.00,7.13,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6332269,4.00,3.00,2.00,3.00,6.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6332277,2.00,2.00,1.00,1.00,5.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6332285,4.00,7.00,2.00,3.00,8.00,7.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6332293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6332307,1.00,3.00,4.00,2.00,3.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6332315,3.00,6.00,4.00,6.00,6.00,10.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6332323,5.00,6.00,3.00,6.00,9.00,11.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6332331,4.00,6.00,6.00,7.00,9.00,10.88,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6332340,6.00,4.00,1.00,4.00,7.00,9.38,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6332358,3.00,5.00,3.00,3.00,3.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6332366,4.00,4.00,2.00,1.00,4.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6332374,3.00,2.00,0.00,5.00,7.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6332382,2.00,5.00,1.00,2.00,5.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6332390,2.00,6.00,1.00,3.00,5.00,8.63,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6332404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6332412,3.00,4.00,1.00,4.00,6.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6332420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6332439,2.00,0.00,1.00,1.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6332447,9.00,8.00,4.00,5.00,10.00,7.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6332463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6332498,2.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6332501,5.00,2.00,2.00,6.00,5.00,9.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6332510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6332528,5.00,6.00,2.00,3.00,9.00,10.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6332579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6332587,8.00,7.00,3.00,4.00,9.00,9.75,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6332595,6.00,0.00,2.00,8.00,9.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6332609,4.00,6.00,3.00,3.00,8.00,9.38,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6332617,3.00,4.00,1.00,4.00,6.00,6.38,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6332625,3.00,5.00,1.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6332633,6.00,6.00,4.00,5.00,5.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6332650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6332668,5.00,6.00,4.00,8.00,8.00,11.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6332676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6332684,5.00,6.00,6.00,6.00,7.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6332692,3.00,7.00,2.00,2.00,4.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6332714,1.00,2.00,1.00,1.00,5.00,6.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6332722,6.00,5.00,4.00,6.00,8.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6332730,3.00,4.00,1.00,3.00,6.00,8.63,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6332749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6332757,4.00,4.00,1.00,5.00,8.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6332765,6.00,8.00,4.00,5.00,9.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6332773,3.00,3.00,0.00,6.00,7.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6332781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6332790,3.00,6.00,0.00,4.00,8.00,8.63,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6332803,3.00,0.00,0.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6332811,5.00,7.00,5.00,0.00,4.00,6.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6332820,4.00,4.00,3.00,1.00,3.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6332838,4.00,4.00,4.00,5.00,9.00,7.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6332846,2.00,6.00,1.00,1.00,4.00,6.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6332854,3.00,0.00,1.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6332862,7.00,8.00,5.00,2.00,7.00,7.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6332870,2.00,2.00,0.00,2.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6332889,3.00,5.00,1.00,6.00,7.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6332897,5.00,5.00,3.00,6.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,'S','N'),(25,6332900,2.00,4.00,0.00,3.00,7.00,6.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6332919,3.00,5.00,3.00,2.00,7.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6332927,3.00,6.00,2.00,2.00,4.00,7.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6332935,4.00,4.00,3.00,7.00,9.00,9.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6332943,2.00,3.00,1.00,5.00,4.00,10.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6332951,2.00,1.00,1.00,3.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6332960,3.00,6.00,1.00,4.00,4.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6332978,3.00,6.00,1.00,4.00,7.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6332994,3.00,3.00,4.00,5.00,5.00,4.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6333001,7.00,6.00,1.00,7.00,9.00,13.13,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6333028,3.00,8.00,3.00,6.00,7.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6333044,4.00,4.00,5.00,4.00,8.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6333052,5.00,2.00,3.00,7.00,7.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6333060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6333079,4.00,3.00,3.00,4.00,9.00,7.88,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6333087,2.00,3.00,0.00,3.00,5.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6333095,5.00,6.00,4.00,6.00,5.00,9.38,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6333109,5.00,4.00,1.00,4.00,6.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6333117,6.00,6.00,1.00,4.00,7.00,8.25,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6333125,8.00,7.00,5.00,6.00,4.00,8.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6333133,4.00,7.00,0.00,6.00,7.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6333141,4.00,5.00,1.00,3.00,3.00,7.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6333150,5.00,6.00,3.00,7.00,10.00,9.38,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6333168,5.00,6.00,3.00,7.00,8.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6333176,4.00,3.00,0.00,2.00,3.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6333184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6333192,2.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6333206,7.00,7.00,4.00,4.00,9.00,10.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6333214,2.00,5.00,1.00,2.00,7.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6333230,8.00,9.00,5.00,6.00,9.00,9.38,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6333249,5.00,6.00,5.00,5.00,6.00,8.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6333257,4.00,3.00,1.00,4.00,6.00,7.13,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6333265,3.00,4.00,1.00,5.00,8.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6333273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6333290,3.00,4.00,3.00,4.00,5.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6333303,1.00,3.00,0.00,3.00,6.00,7.88,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6333311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6333320,2.00,3.00,1.00,5.00,5.00,8.63,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6333338,5.00,6.00,3.00,3.00,6.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6333346,2.00,6.00,3.00,5.00,9.00,10.88,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6333354,7.00,8.00,1.00,7.00,9.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6333362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6333370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6333389,2.00,1.00,0.00,5.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6333397,5.00,4.00,1.00,2.00,4.00,8.63,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6333400,4.00,6.00,2.00,4.00,6.00,10.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6333419,2.00,6.00,0.00,3.00,7.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6333427,4.00,5.00,1.00,3.00,8.00,8.63,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6333443,3.00,5.00,1.00,3.00,4.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6333451,5.00,4.00,1.00,4.00,7.00,11.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6333460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6333478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6333486,4.00,3.00,2.00,4.00,6.00,6.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6333494,6.00,3.00,3.00,0.00,6.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6333516,4.00,7.00,1.00,4.00,3.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6333540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6333567,8.00,7.00,4.00,6.00,10.00,12.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6333575,3.00,4.00,0.00,5.00,6.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6333583,4.00,6.00,2.00,6.00,7.00,9.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6333605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6333613,4.00,4.00,3.00,4.00,5.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6333621,4.00,5.00,1.00,5.00,6.00,4.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6333630,4.00,4.00,6.00,5.00,7.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6333648,4.00,7.00,3.00,4.00,8.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6333664,3.00,5.00,2.00,4.00,6.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6333672,3.00,5.00,4.00,6.00,6.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6333680,1.00,0.00,3.00,3.00,3.00,6.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6333699,6.00,7.00,2.00,6.00,8.00,10.13,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6333702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6333710,5.00,3.00,0.00,3.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6333729,2.00,2.00,2.00,4.00,7.00,9.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6333737,2.00,8.00,3.00,6.00,7.00,6.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6333745,2.00,4.00,2.00,2.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6333770,2.00,2.00,3.00,4.00,5.00,5.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6333788,7.00,2.00,2.00,3.00,7.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6333796,5.00,5.00,1.00,3.00,6.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6333800,7.00,8.00,6.00,6.00,8.00,8.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6333818,0.00,3.00,0.00,3.00,4.00,6.38,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6333826,2.00,5.00,1.00,3.00,9.00,10.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6333834,7.00,5.00,1.00,6.00,8.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6333842,5.00,6.00,4.00,6.00,8.00,10.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6333850,3.00,7.00,4.00,6.00,7.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6333869,7.00,4.00,7.00,5.00,8.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6333885,3.00,5.00,3.00,2.00,8.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6333893,4.00,4.00,3.00,6.00,7.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6333907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6333915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6333931,5.00,6.00,2.00,5.00,6.00,8.63,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6333940,3.00,2.00,3.00,3.00,5.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6333958,2.00,4.00,2.00,7.00,6.00,0.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6333974,6.00,8.00,3.00,5.00,7.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6333990,6.00,6.00,2.00,5.00,8.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6334008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6334016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6334024,2.00,3.00,1.00,4.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6334032,5.00,6.00,2.00,5.00,9.00,10.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6334040,2.00,5.00,0.00,4.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6334059,1.00,2.00,1.00,0.00,4.00,5.25,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6334075,2.00,5.00,0.00,4.00,7.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6334091,5.00,6.00,4.00,7.00,7.00,8.63,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(25,6334105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6334113,5.00,5.00,2.00,6.00,8.00,6.75,4.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6334121,1.00,3.00,1.00,4.00,7.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6334130,8.00,6.00,6.00,7.00,10.00,10.88,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6334148,6.00,7.00,0.00,2.00,8.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6334156,3.00,3.00,3.00,4.00,8.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6334164,5.00,5.00,2.00,3.00,6.00,11.25,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6334180,3.00,5.00,2.00,4.00,6.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6334199,4.00,5.00,2.00,5.00,7.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6334202,4.00,6.00,3.00,3.00,6.00,7.88,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6334210,2.00,2.00,3.00,6.00,7.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6334229,4.00,6.00,0.00,5.00,7.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6334245,7.00,8.00,4.00,7.00,8.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6334253,8.00,6.00,6.00,6.00,8.00,10.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6334261,5.00,4.00,0.00,5.00,7.00,10.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6334270,7.00,5.00,3.00,6.00,8.00,12.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6334296,8.00,6.00,2.00,4.00,8.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6334300,5.00,5.00,3.00,5.00,6.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6334318,4.00,5.00,0.00,5.00,6.00,7.50,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6334326,3.00,3.00,1.00,3.00,5.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6334334,8.00,6.00,3.00,5.00,9.00,10.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6334342,2.00,5.00,3.00,2.00,7.00,4.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6334350,3.00,3.00,5.00,2.00,4.00,6.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6334369,4.00,6.00,3.00,6.00,8.00,10.88,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6334377,7.00,6.00,6.00,7.00,9.00,10.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6334385,3.00,5.00,1.00,7.00,7.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6334393,1.00,3.00,1.00,1.00,6.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6334407,3.00,4.00,2.00,4.00,4.00,7.13,3.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6334423,6.00,6.00,4.00,5.00,8.00,8.63,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6334431,7.00,6.00,3.00,7.00,9.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6334440,4.00,6.00,3.00,4.00,9.00,9.38,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6334458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6334466,4.00,3.00,3.00,4.00,7.00,8.63,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6334474,6.00,2.00,3.00,5.00,8.00,7.13,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6334482,2.00,5.00,2.00,4.00,6.00,8.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6334490,3.00,6.00,0.00,6.00,6.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6334504,5.00,7.00,4.00,5.00,7.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6334512,9.00,7.00,7.00,7.00,10.00,9.00,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6334520,3.00,7.00,2.00,4.00,8.00,10.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6334547,1.00,4.00,2.00,2.00,4.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6334555,9.00,6.00,8.00,7.00,8.00,8.63,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6334563,5.00,6.00,4.00,3.00,7.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6334580,4.00,2.00,2.00,1.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6334598,4.00,6.00,2.00,4.00,4.00,9.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6334601,0.00,2.00,3.00,1.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6334610,2.00,3.00,3.00,2.00,4.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6334628,5.00,6.00,1.00,5.00,7.00,8.63,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6334636,7.00,6.00,1.00,4.00,8.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6334644,4.00,5.00,4.00,6.00,10.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6334652,8.00,7.00,3.00,4.00,7.00,12.38,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6334660,3.00,6.00,3.00,6.00,6.00,10.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6334679,3.00,3.00,1.00,2.00,4.00,7.88,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6334687,4.00,7.00,4.00,7.00,10.00,8.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6334695,5.00,7.00,3.00,5.00,8.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6334709,1.00,4.00,2.00,1.00,6.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6334717,6.00,6.00,1.00,6.00,7.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6334725,2.00,3.00,3.00,5.00,5.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6334733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6334741,1.00,6.00,1.00,3.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6334750,3.00,4.00,3.00,5.00,2.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6334768,2.00,5.00,2.00,3.00,9.00,9.75,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6334784,5.00,3.00,2.00,6.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6334792,7.00,6.00,3.00,6.00,9.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6334806,3.00,6.00,2.00,7.00,3.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6334814,3.00,3.00,1.00,3.00,6.00,7.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6334822,3.00,4.00,1.00,4.00,6.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6334830,2.00,1.00,2.00,2.00,5.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6334849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6334857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6334865,6.00,3.00,2.00,3.00,6.00,8.25,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6334873,4.00,7.00,3.00,1.00,2.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6334881,4.00,3.00,4.00,3.00,5.00,0.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6334890,2.00,3.00,4.00,1.00,3.00,5.63,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6334903,2.00,5.00,2.00,5.00,4.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6334911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6334920,1.00,5.00,0.00,2.00,2.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6334938,5.00,4.00,1.00,5.00,8.00,8.63,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6334946,3.00,4.00,0.00,4.00,7.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6334954,6.00,6.00,4.00,7.00,10.00,9.38,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6334970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6334989,0.00,1.00,0.00,3.00,4.00,5.25,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6334997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6335004,5.00,6.00,0.00,5.00,4.00,7.88,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6335012,4.00,4.00,6.00,3.00,6.00,5.63,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6335039,6.00,5.00,4.00,7.00,8.00,10.13,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6335047,3.00,3.00,2.00,2.00,4.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6335055,1.00,0.00,0.00,2.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6335063,6.00,4.00,4.00,7.00,5.00,7.88,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6335071,2.00,4.00,0.00,2.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6335080,1.00,2.00,2.00,3.00,6.00,8.25,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6335098,3.00,5.00,3.00,4.00,6.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6335101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6335110,6.00,3.00,3.00,4.00,6.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6335152,6.00,8.00,3.00,6.00,5.00,7.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6335160,1.00,7.00,2.00,5.00,7.00,9.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6335179,4.00,6.00,1.00,5.00,9.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6335187,4.00,5.00,4.00,6.00,8.00,8.25,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6335195,6.00,6.00,5.00,6.00,7.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6335217,0.00,3.00,0.00,0.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6335225,2.00,3.00,1.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6335233,4.00,3.00,4.00,6.00,5.00,8.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6335241,6.00,7.00,4.00,5.00,9.00,10.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6335250,3.00,5.00,3.00,2.00,3.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6335268,3.00,2.00,1.00,2.00,5.00,7.13,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6335276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6335292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6335306,4.00,5.00,0.00,4.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6335314,3.00,3.00,3.00,4.00,7.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6335322,1.00,2.00,1.00,4.00,3.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6335330,5.00,4.00,2.00,6.00,6.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6335349,2.00,4.00,6.00,4.00,8.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6335357,2.00,7.00,2.00,4.00,7.00,8.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6335365,2.00,5.00,2.00,3.00,7.00,8.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6335381,3.00,2.00,1.00,3.00,5.00,8.63,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6335390,4.00,4.00,4.00,6.00,7.00,4.50,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6335403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6335420,8.00,8.00,5.00,6.00,8.00,9.38,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6335438,2.00,1.00,1.00,3.00,3.00,6.38,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6335454,2.00,2.00,0.00,4.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6335462,1.00,4.00,0.00,1.00,7.00,7.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6335470,5.00,4.00,2.00,6.00,8.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6335489,4.00,3.00,2.00,5.00,6.00,5.63,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6335497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6335500,4.00,5.00,4.00,2.00,7.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6335519,9.00,5.00,3.00,7.00,9.00,8.63,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6335527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6335535,1.00,3.00,0.00,2.00,7.00,8.25,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6335543,7.00,7.00,6.00,6.00,9.00,11.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6335551,2.00,5.00,2.00,3.00,5.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6335560,2.00,2.00,1.00,1.00,5.00,6.38,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6335578,3.00,4.00,4.00,4.00,5.00,4.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6335586,8.00,6.00,7.00,5.00,7.00,10.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6335594,1.00,3.00,1.00,4.00,4.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6335608,4.00,3.00,1.00,3.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6335616,2.00,6.00,1.00,4.00,6.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6335624,3.00,5.00,1.00,5.00,5.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6335632,1.00,4.00,0.00,0.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6335640,2.00,5.00,1.00,4.00,7.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6335659,4.00,6.00,2.00,5.00,5.00,7.13,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6335667,2.00,4.00,3.00,5.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6335683,2.00,2.00,1.00,3.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6335691,4.00,5.00,3.00,3.00,8.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6335705,4.00,4.00,2.00,5.00,5.00,11.25,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6335713,3.00,4.00,3.00,6.00,9.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6335721,5.00,6.00,2.00,3.00,9.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6335730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6335748,4.00,3.00,1.00,4.00,6.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6335756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6335764,5.00,4.00,4.00,4.00,7.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6335772,3.00,6.00,5.00,3.00,7.00,9.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6335780,4.00,0.00,0.00,2.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6335799,3.00,0.00,0.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6335802,1.00,0.00,2.00,3.00,5.00,8.25,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6335810,5.00,6.00,1.00,4.00,7.00,10.88,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6335829,6.00,6.00,5.00,7.00,10.00,9.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6335837,6.00,6.00,4.00,6.00,8.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6335845,3.00,5.00,4.00,3.00,7.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6335853,3.00,4.00,2.00,4.00,3.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6335861,3.00,4.00,3.00,3.00,6.00,6.75,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6335870,0.00,4.00,0.00,1.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6335888,5.00,6.00,2.00,4.00,8.00,9.75,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6335896,5.00,3.00,4.00,3.00,4.00,7.13,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6335900,2.00,5.00,2.00,5.00,3.00,9.38,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6335918,2.00,3.00,2.00,1.00,6.00,5.25,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6335926,4.00,6.00,3.00,6.00,6.00,9.00,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6335934,5.00,9.00,2.00,7.00,8.00,13.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6335950,5.00,6.00,3.00,4.00,7.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6335969,6.00,5.00,6.00,2.00,6.00,8.25,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6335977,8.00,8.00,3.00,7.00,9.00,10.13,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6335985,3.00,2.00,2.00,1.00,7.00,11.25,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6335993,2.00,3.00,4.00,1.00,7.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6336000,4.00,7.00,6.00,7.00,7.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6336019,5.00,6.00,2.00,5.00,6.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'S'),(25,6336027,6.00,4.00,3.00,2.00,9.00,10.50,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6336035,7.00,7.00,4.00,7.00,11.00,9.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6336043,3.00,2.00,1.00,7.00,6.00,10.50,1.00,3.00,3.00,NULL,NULL,NULL,'N');
INSERT INTO ponto_candidato VALUES (25,6336051,4.00,5.00,5.00,4.00,7.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6336060,5.00,7.00,4.00,6.00,6.00,10.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6336078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6336086,2.00,5.00,3.00,6.00,7.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6336108,8.00,7.00,7.00,6.00,8.00,10.13,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6336116,2.00,4.00,3.00,5.00,7.00,12.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6336124,2.00,1.00,1.00,1.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6336132,2.00,3.00,4.00,5.00,6.00,10.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6336140,3.00,4.00,1.00,4.00,4.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6336159,6.00,6.00,3.00,6.00,8.00,11.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6336167,4.00,6.00,2.00,5.00,7.00,8.63,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6336175,6.00,7.00,2.00,4.00,5.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6336183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6336191,6.00,4.00,4.00,6.00,8.00,11.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6336205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6336213,3.00,4.00,1.00,7.00,4.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6336221,3.00,3.00,2.00,7.00,5.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6336248,3.00,2.00,2.00,4.00,4.00,6.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6336256,4.00,5.00,2.00,5.00,6.00,6.75,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6336264,7.00,6.00,1.00,7.00,7.00,6.75,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6336272,3.00,4.00,3.00,1.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6336280,2.00,5.00,1.00,1.00,4.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6336299,4.00,4.00,3.00,3.00,6.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6336302,3.00,2.00,0.00,3.00,5.00,9.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6336310,4.00,3.00,2.00,5.00,6.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6336329,1.00,4.00,2.00,4.00,3.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6336337,6.00,6.00,3.00,5.00,9.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6336345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6336353,1.00,4.00,1.00,3.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6336361,4.00,5.00,1.00,6.00,9.00,11.63,0.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6336370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6336388,8.00,8.00,3.00,4.00,7.00,11.63,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6336396,1.00,4.00,2.00,2.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6336400,6.00,5.00,3.00,3.00,6.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6336418,2.00,4.00,3.00,1.00,5.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6336426,0.00,4.00,0.00,0.00,0.00,NULL,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6336434,2.00,2.00,0.00,3.00,4.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6336442,7.00,7.00,6.00,6.00,10.00,11.25,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6336450,4.00,5.00,0.00,1.00,6.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6336477,3.00,6.00,4.00,5.00,5.00,7.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6336485,5.00,5.00,0.00,5.00,7.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6336493,6.00,6.00,4.00,4.00,7.00,9.38,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6336507,4.00,6.00,4.00,6.00,8.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6336515,5.00,0.00,1.00,6.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6336531,3.00,4.00,4.00,2.00,8.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6336540,4.00,4.00,1.00,3.00,5.00,8.25,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6336558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6336574,7.00,6.00,3.00,5.00,8.00,9.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6336582,4.00,6.00,0.00,3.00,7.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6336590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6336612,4.00,5.00,2.00,3.00,8.00,9.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6336620,5.00,5.00,4.00,3.00,5.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6336639,4.00,4.00,2.00,7.00,7.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6336647,2.00,1.00,1.00,2.00,6.00,7.13,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6336655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6336663,5.00,4.00,2.00,4.00,5.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6336671,3.00,3.00,1.00,2.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6336698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6336701,4.00,7.00,3.00,6.00,6.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6336710,4.00,5.00,1.00,7.00,5.00,10.13,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6336728,1.00,4.00,2.00,2.00,7.00,0.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6336744,3.00,4.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6336760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6336779,6.00,6.00,2.00,7.00,9.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6336787,2.00,5.00,0.00,4.00,5.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6336795,3.00,4.00,4.00,6.00,5.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6336809,4.00,5.00,1.00,3.00,5.00,10.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6336817,1.00,3.00,2.00,3.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6336825,5.00,4.00,1.00,1.00,5.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6336833,5.00,5.00,4.00,5.00,8.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6336841,4.00,6.00,4.00,6.00,9.00,10.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6336850,6.00,6.00,5.00,3.00,8.00,9.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6336868,4.00,5.00,2.00,4.00,3.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6336876,5.00,4.00,2.00,7.00,6.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6336884,8.00,6.00,2.00,6.00,8.00,9.38,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6336892,4.00,5.00,4.00,4.00,7.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6336906,2.00,5.00,1.00,5.00,5.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6336914,5.00,7.00,1.00,3.00,9.00,9.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6336922,2.00,4.00,1.00,6.00,7.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6336930,3.00,5.00,2.00,3.00,6.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6336949,4.00,5.00,2.00,5.00,8.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6336957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6336965,0.00,2.00,1.00,1.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6336973,4.00,3.00,3.00,3.00,7.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6336981,3.00,4.00,2.00,0.00,5.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6336990,5.00,6.00,1.00,1.00,4.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6337007,8.00,7.00,4.00,5.00,4.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6337023,1.00,3.00,3.00,2.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6337031,7.00,5.00,0.00,5.00,7.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6337040,0.00,2.00,2.00,1.00,7.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6337058,2.00,2.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6337066,4.00,0.00,0.00,4.00,3.00,8.25,0.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6337074,3.00,2.00,2.00,1.00,4.00,0.00,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6337082,5.00,5.00,3.00,5.00,3.00,7.13,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6337090,2.00,3.00,1.00,2.00,5.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6337104,4.00,5.00,5.00,5.00,7.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6337112,3.00,3.00,3.00,3.00,8.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6337120,3.00,5.00,1.00,4.00,6.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6337139,4.00,5.00,3.00,5.00,5.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6337147,2.00,3.00,0.00,4.00,4.00,6.38,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6337155,7.00,6.00,1.00,7.00,7.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6337171,4.00,6.00,0.00,5.00,9.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6337180,2.00,3.00,1.00,2.00,6.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6337198,4.00,3.00,1.00,2.00,3.00,6.75,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6337201,6.00,7.00,5.00,6.00,8.00,6.75,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6337228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6337236,5.00,6.00,4.00,5.00,7.00,9.75,3.00,7.00,0.00,NULL,NULL,NULL,'N'),(25,6337244,6.00,5.00,2.00,4.00,3.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6337252,0.00,0.00,1.00,2.00,6.00,4.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6337260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6337279,4.00,6.00,0.00,1.00,4.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6337295,7.00,6.00,4.00,7.00,9.00,10.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6337309,6.00,5.00,3.00,7.00,5.00,7.88,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6337317,2.00,3.00,2.00,3.00,6.00,4.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6337325,5.00,5.00,1.00,4.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6337341,4.00,5.00,3.00,5.00,9.00,8.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6337350,4.00,6.00,2.00,4.00,8.00,9.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6337376,4.00,3.00,2.00,5.00,5.00,6.38,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6337384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6337392,8.00,5.00,7.00,6.00,10.00,11.63,2.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6337406,6.00,7.00,6.00,7.00,8.00,9.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6337414,4.00,6.00,2.00,5.00,9.00,NULL,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6337422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6337430,6.00,7.00,3.00,6.00,9.00,7.50,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6337449,6.00,5.00,0.00,2.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6337465,4.00,4.00,0.00,2.00,9.00,NULL,0.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6337473,6.00,6.00,4.00,8.00,9.00,7.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6337481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6337490,8.00,6.00,2.00,3.00,8.00,9.38,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6337503,8.00,7.00,3.00,7.00,9.00,12.38,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6337511,5.00,3.00,3.00,7.00,9.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6337520,6.00,6.00,0.00,8.00,10.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6337538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6337546,7.00,8.00,1.00,7.00,7.00,10.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6337554,3.00,4.00,1.00,7.00,8.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6337562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6337570,5.00,3.00,2.00,6.00,9.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6337589,4.00,4.00,1.00,4.00,8.00,10.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6337597,3.00,6.00,1.00,5.00,5.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6337600,2.00,4.00,1.00,0.00,4.00,7.88,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6337619,5.00,7.00,4.00,7.00,9.00,9.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6337627,9.00,7.00,4.00,6.00,10.00,8.25,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6337635,3.00,6.00,5.00,2.00,7.00,6.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6337643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6337651,4.00,2.00,1.00,1.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6337660,2.00,3.00,4.00,4.00,4.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6337678,7.00,5.00,1.00,2.00,8.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6337686,6.00,5.00,3.00,6.00,9.00,9.75,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6337694,4.00,2.00,2.00,5.00,4.00,6.75,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6337708,2.00,3.00,0.00,1.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6337716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6337724,3.00,6.00,2.00,7.00,9.00,9.38,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6337732,4.00,6.00,0.00,3.00,6.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6337740,2.00,5.00,2.00,2.00,4.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6337759,4.00,4.00,0.00,0.00,0.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6337775,3.00,0.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6337783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6337791,4.00,5.00,3.00,5.00,4.00,7.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6337805,4.00,4.00,4.00,3.00,6.00,9.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6337813,8.00,6.00,1.00,6.00,6.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6337821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6337830,4.00,5.00,3.00,4.00,5.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6337848,3.00,4.00,1.00,2.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6337856,3.00,5.00,2.00,6.00,9.00,11.25,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6337872,4.00,4.00,3.00,4.00,4.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6337880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6337899,4.00,4.00,2.00,3.00,5.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6337902,1.00,2.00,2.00,5.00,5.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6337910,3.00,6.00,2.00,2.00,7.00,6.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6337929,3.00,5.00,4.00,4.00,5.00,6.38,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6337937,2.00,6.00,3.00,4.00,7.00,8.63,1.00,7.00,0.00,NULL,NULL,NULL,'N'),(25,6337945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6337961,2.00,4.00,0.00,4.00,3.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6337970,3.00,4.00,1.00,4.00,5.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6337996,4.00,5.00,0.00,5.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6338003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6338020,2.00,2.00,0.00,3.00,8.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6338038,7.00,4.00,0.00,7.00,9.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6338046,5.00,4.00,4.00,4.00,6.00,6.38,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6338062,6.00,2.00,3.00,1.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6338070,4.00,5.00,3.00,6.00,8.00,7.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6338097,4.00,5.00,2.00,5.00,5.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6338100,4.00,4.00,3.00,5.00,6.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6338119,2.00,5.00,1.00,2.00,3.00,6.38,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6338127,3.00,6.00,4.00,6.00,6.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6338135,1.00,3.00,1.00,1.00,5.00,11.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6338143,1.00,3.00,3.00,3.00,5.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6338151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6338160,7.00,7.00,1.00,7.00,6.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6338178,1.00,3.00,2.00,0.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6338194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6338216,2.00,5.00,4.00,4.00,6.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6338224,3.00,1.00,5.00,2.00,4.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6338232,5.00,6.00,7.00,7.00,8.00,9.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6338240,4.00,4.00,3.00,5.00,7.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6338259,6.00,7.00,0.00,6.00,8.00,8.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6338267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6338275,4.00,4.00,3.00,4.00,5.00,9.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6338283,6.00,8.00,4.00,4.00,9.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6338291,7.00,7.00,1.00,4.00,5.00,9.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6338305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6338313,4.00,2.00,2.00,4.00,5.00,8.25,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6338321,8.00,6.00,4.00,6.00,9.00,8.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6338330,6.00,7.00,2.00,6.00,9.00,10.13,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6338348,5.00,4.00,2.00,1.00,3.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6338372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6338380,7.00,6.00,4.00,5.00,7.00,6.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6338399,7.00,6.00,4.00,5.00,9.00,11.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6338402,3.00,2.00,2.00,0.00,3.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6338410,3.00,2.00,2.00,3.00,6.00,6.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6338429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6338445,4.00,8.00,5.00,7.00,4.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6338453,6.00,7.00,6.00,7.00,7.00,9.75,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6338461,1.00,1.00,3.00,1.00,0.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6338488,2.00,6.00,1.00,5.00,7.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6338496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6338500,3.00,3.00,2.00,3.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6338518,3.00,7.00,4.00,5.00,7.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6338526,1.00,4.00,1.00,0.00,4.00,6.75,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6338534,3.00,6.00,2.00,4.00,7.00,7.50,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6338542,2.00,2.00,1.00,1.00,6.00,8.25,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6338550,5.00,4.00,2.00,5.00,5.00,7.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6338577,5.00,5.00,3.00,7.00,4.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6338585,7.00,4.00,3.00,7.00,7.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6338607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6338615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6338623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6338631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6338658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6338666,3.00,4.00,3.00,6.00,9.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6338674,5.00,6.00,3.00,5.00,6.00,5.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6338682,2.00,3.00,2.00,2.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6338690,4.00,5.00,3.00,2.00,4.00,7.13,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6338704,1.00,2.00,0.00,2.00,6.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6338720,5.00,6.00,1.00,6.00,7.00,9.38,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6338739,4.00,7.00,0.00,4.00,8.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6338747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6338755,3.00,4.00,2.00,3.00,7.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6338763,4.00,0.00,2.00,2.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6338798,3.00,3.00,2.00,4.00,5.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6338801,6.00,7.00,2.00,3.00,7.00,7.50,0.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6338810,7.00,7.00,5.00,7.00,10.00,7.13,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6338828,1.00,4.00,1.00,2.00,5.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6338836,3.00,4.00,3.00,3.00,5.00,7.88,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6338844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6338852,2.00,5.00,1.00,3.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6338860,4.00,5.00,3.00,3.00,8.00,10.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6338879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6338887,7.00,6.00,2.00,7.00,9.00,9.75,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6338895,8.00,6.00,4.00,7.00,8.00,9.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6338909,3.00,6.00,3.00,3.00,8.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6338917,0.00,1.00,0.00,0.00,0.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6338933,4.00,7.00,3.00,4.00,8.00,10.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6338941,4.00,6.00,0.00,4.00,9.00,4.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6338950,3.00,0.00,2.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(25,6338968,4.00,5.00,3.00,4.00,5.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6338976,4.00,4.00,1.00,2.00,3.00,0.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6338984,3.00,5.00,3.00,4.00,6.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6338992,4.00,0.00,5.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6339000,5.00,7.00,3.00,6.00,7.00,8.63,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6339018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6339026,6.00,4.00,3.00,5.00,9.00,9.38,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6339034,3.00,4.00,2.00,4.00,7.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6339042,4.00,6.00,1.00,6.00,8.00,8.63,0.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6339077,1.00,4.00,0.00,1.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6339085,4.00,3.00,2.00,4.00,7.00,8.63,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6339093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6339107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6339115,4.00,3.00,3.00,2.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6339123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6339131,4.00,6.00,2.00,6.00,8.00,9.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6339140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6339158,5.00,5.00,3.00,3.00,5.00,10.50,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6339166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6339174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6339182,3.00,5.00,3.00,6.00,8.00,NULL,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6339190,3.00,1.00,3.00,3.00,5.00,0.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6339204,1.00,2.00,2.00,3.00,4.00,8.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6339220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6339239,3.00,4.00,0.00,2.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6339255,3.00,3.00,1.00,3.00,7.00,7.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6339263,2.00,4.00,2.00,3.00,5.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6339271,5.00,8.00,0.00,4.00,8.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6339280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6339298,1.00,2.00,1.00,5.00,4.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6339301,3.00,5.00,2.00,5.00,6.00,0.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6339310,9.00,6.00,6.00,7.00,9.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6339328,5.00,7.00,2.00,4.00,5.00,8.25,0.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6339336,8.00,7.00,6.00,7.00,10.00,8.63,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6339344,7.00,5.00,4.00,5.00,6.00,9.75,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6339352,3.00,3.00,2.00,4.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6339360,7.00,7.00,4.00,5.00,10.00,6.00,4.00,7.00,7.00,NULL,NULL,NULL,'S'),(25,6339379,4.00,3.00,2.00,5.00,4.00,6.00,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6339387,5.00,6.00,1.00,2.00,6.00,9.00,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6339395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6339409,4.00,6.00,2.00,5.00,9.00,11.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6339417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6339425,2.00,6.00,3.00,2.00,5.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6339433,2.00,4.00,2.00,2.00,4.00,4.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6339441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6339450,6.00,5.00,1.00,7.00,8.00,11.25,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6339468,2.00,6.00,3.00,3.00,7.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6339476,3.00,6.00,5.00,4.00,7.00,10.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6339484,8.00,8.00,6.00,5.00,9.00,7.88,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6339492,7.00,4.00,2.00,3.00,6.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6339514,7.00,7.00,5.00,7.00,10.00,8.25,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6339522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6339530,8.00,7.00,4.00,6.00,9.00,10.88,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6339549,3.00,6.00,1.00,4.00,7.00,NULL,2.00,4.00,0.00,NULL,NULL,'S','N'),(25,6339557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6339565,3.00,3.00,1.00,3.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6339573,4.00,8.00,4.00,4.00,7.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6339581,5.00,3.00,2.00,5.00,7.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6339590,2.00,4.00,1.00,1.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6339611,3.00,6.00,3.00,4.00,6.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6339620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6339646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6339654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6339662,3.00,2.00,2.00,4.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6339670,5.00,5.00,3.00,6.00,9.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6339689,2.00,4.00,3.00,3.00,3.00,8.63,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6339697,4.00,4.00,0.00,5.00,3.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6339700,1.00,3.00,0.00,1.00,5.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6339719,5.00,4.00,5.00,7.00,6.00,5.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6339735,8.00,8.00,4.00,5.00,9.00,11.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6339743,4.00,4.00,1.00,6.00,6.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6339751,2.00,5.00,1.00,3.00,6.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6339760,2.00,6.00,1.00,6.00,7.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6339778,5.00,6.00,0.00,5.00,8.00,9.38,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6339786,8.00,7.00,4.00,7.00,8.00,11.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6339794,6.00,3.00,2.00,4.00,7.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6339808,7.00,6.00,6.00,7.00,9.00,11.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6339816,1.00,6.00,2.00,3.00,5.00,9.00,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6339824,3.00,8.00,2.00,4.00,5.00,8.63,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6339832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6339859,5.00,4.00,2.00,4.00,6.00,9.38,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6339867,7.00,7.00,6.00,7.00,8.00,8.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6339883,4.00,4.00,2.00,1.00,4.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6339891,3.00,5.00,0.00,4.00,7.00,9.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6339913,4.00,3.00,1.00,6.00,4.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6339921,0.00,3.00,1.00,3.00,5.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6339930,3.00,5.00,2.00,5.00,6.00,6.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6339948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6339956,6.00,5.00,3.00,2.00,5.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6339964,3.00,4.00,4.00,2.00,6.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6339972,2.00,5.00,1.00,6.00,7.00,9.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6339980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6339999,2.00,3.00,2.00,3.00,6.00,8.25,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6340016,5.00,5.00,2.00,4.00,6.00,8.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6340024,4.00,6.00,4.00,5.00,7.00,7.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6340032,3.00,3.00,0.00,2.00,5.00,9.38,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6340059,3.00,4.00,2.00,5.00,9.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6340067,4.00,6.00,3.00,4.00,8.00,8.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6340075,6.00,4.00,2.00,5.00,8.00,6.75,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6340083,7.00,6.00,1.00,4.00,8.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6340091,3.00,7.00,4.00,1.00,6.00,10.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6340105,2.00,5.00,0.00,1.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6340113,2.00,2.00,1.00,3.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6340121,5.00,7.00,1.00,4.00,3.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6340130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6340148,5.00,5.00,2.00,6.00,7.00,10.88,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6340172,2.00,4.00,3.00,5.00,7.00,6.75,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6340180,5.00,4.00,1.00,6.00,7.00,9.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6340199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6340229,2.00,3.00,1.00,3.00,6.00,7.13,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6340237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6340245,2.00,5.00,3.00,1.00,6.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6340253,3.00,5.00,2.00,2.00,4.00,7.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6340261,9.00,7.00,1.00,6.00,8.00,9.38,2.00,9.00,5.00,NULL,NULL,NULL,'N'),(25,6340270,7.00,4.00,1.00,4.00,8.00,8.63,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6340288,2.00,4.00,1.00,4.00,3.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6340296,0.00,4.00,2.00,3.00,6.00,6.38,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6340300,3.00,3.00,2.00,3.00,7.00,9.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6340318,4.00,3.00,0.00,3.00,5.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6340326,4.00,5.00,2.00,4.00,6.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6340334,6.00,8.00,3.00,6.00,6.00,7.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6340342,7.00,6.00,7.00,4.00,7.00,8.25,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6340350,3.00,6.00,2.00,4.00,6.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6340369,2.00,2.00,1.00,1.00,4.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6340377,3.00,5.00,0.00,4.00,5.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6340385,4.00,3.00,1.00,3.00,5.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6340393,4.00,1.00,2.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6340407,2.00,5.00,3.00,3.00,6.00,6.75,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6340415,5.00,4.00,1.00,4.00,6.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6340423,7.00,6.00,4.00,5.00,8.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6340431,6.00,8.00,2.00,4.00,8.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6340440,3.00,6.00,1.00,6.00,6.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6340466,4.00,3.00,5.00,4.00,8.00,8.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6340474,3.00,6.00,4.00,7.00,10.00,10.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6340482,3.00,3.00,2.00,2.00,4.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6340490,2.00,5.00,5.00,5.00,7.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6340512,4.00,6.00,1.00,6.00,8.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6340539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6340547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6340555,5.00,6.00,3.00,3.00,9.00,10.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6340563,6.00,8.00,3.00,7.00,10.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6340571,5.00,4.00,2.00,5.00,8.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6340580,2.00,3.00,3.00,3.00,4.00,6.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6340601,5.00,3.00,1.00,5.00,4.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6340610,4.00,4.00,3.00,5.00,9.00,5.63,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6340636,4.00,4.00,1.00,4.00,5.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6340652,8.00,7.00,5.00,7.00,7.00,8.63,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6340660,7.00,7.00,2.00,7.00,9.00,9.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6340679,1.00,1.00,1.00,2.00,3.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6340687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6340695,6.00,8.00,6.00,4.00,8.00,10.13,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6340733,3.00,6.00,0.00,5.00,8.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6340741,8.00,6.00,5.00,5.00,7.00,9.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6340750,4.00,7.00,3.00,7.00,9.00,11.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6340784,3.00,5.00,2.00,4.00,5.00,7.50,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6340792,6.00,5.00,4.00,4.00,7.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6340814,2.00,2.00,1.00,4.00,8.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6340822,6.00,3.00,1.00,6.00,5.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6340830,1.00,2.00,2.00,2.00,4.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6340849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6340857,6.00,5.00,2.00,6.00,7.00,7.50,1.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6340865,5.00,6.00,3.00,7.00,5.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6340873,6.00,4.00,3.00,4.00,6.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6340881,4.00,4.00,1.00,2.00,5.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6340890,2.00,5.00,1.00,0.00,6.00,7.50,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6340903,4.00,5.00,2.00,7.00,7.00,9.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6340911,3.00,0.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6340920,5.00,6.00,2.00,7.00,5.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6340938,3.00,5.00,0.00,2.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6340946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6340954,4.00,8.00,1.00,4.00,5.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6340962,7.00,7.00,0.00,6.00,10.00,10.50,0.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6340970,6.00,2.00,2.00,5.00,10.00,11.63,0.00,8.00,1.00,NULL,NULL,NULL,'N'),(25,6340989,8.00,5.00,4.00,5.00,7.00,9.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6340997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6341004,4.00,5.00,2.00,2.00,8.00,6.75,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6341012,2.00,3.00,1.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6341020,4.00,6.00,1.00,2.00,5.00,7.13,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6341039,3.00,4.00,2.00,4.00,6.00,4.88,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6341047,3.00,4.00,2.00,3.00,5.00,7.88,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6341055,3.00,5.00,1.00,2.00,5.00,8.63,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6341063,7.00,7.00,2.00,6.00,7.00,10.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6341071,4.00,3.00,1.00,5.00,6.00,8.25,0.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6341080,5.00,7.00,2.00,7.00,7.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6341098,3.00,3.00,1.00,3.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6341101,2.00,2.00,0.00,2.00,2.00,NULL,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6341110,1.00,3.00,0.00,2.00,3.00,NULL,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6341128,5.00,4.00,1.00,2.00,6.00,7.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6341136,3.00,6.00,0.00,6.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6341144,2.00,4.00,2.00,3.00,6.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6341179,2.00,2.00,1.00,3.00,4.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6341187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6341209,3.00,4.00,1.00,2.00,6.00,4.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6341217,0.00,4.00,1.00,4.00,4.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6341225,3.00,6.00,1.00,5.00,10.00,8.25,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6341233,1.00,2.00,0.00,2.00,4.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6341241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6341268,2.00,1.00,2.00,4.00,6.00,NULL,0.00,0.00,3.00,NULL,NULL,'S','N'),(25,6341276,2.00,7.00,3.00,4.00,4.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6341284,4.00,2.00,2.00,4.00,8.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6341292,2.00,5.00,2.00,6.00,6.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6341306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6341314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6341322,4.00,6.00,1.00,5.00,4.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6341330,2.00,4.00,0.00,3.00,6.00,0.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6341349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6341357,1.00,3.00,1.00,4.00,7.00,4.88,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6341365,6.00,5.00,5.00,7.00,8.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6341373,7.00,6.00,3.00,7.00,9.00,7.88,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6341381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6341390,4.00,6.00,3.00,2.00,8.00,11.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6341403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6341411,2.00,3.00,0.00,2.00,7.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6341420,4.00,1.00,1.00,2.00,3.00,7.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6341438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6341446,1.00,1.00,2.00,1.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6341454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6341462,7.00,4.00,1.00,3.00,8.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6341470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6341489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6341497,2.00,6.00,2.00,4.00,3.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6341519,1.00,2.00,0.00,0.00,0.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6341527,5.00,6.00,2.00,4.00,4.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6341535,2.00,2.00,0.00,0.00,6.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6341543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6341551,4.00,4.00,3.00,5.00,7.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6341560,6.00,6.00,3.00,4.00,6.00,10.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6341578,4.00,5.00,2.00,4.00,6.00,7.88,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6341586,2.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6341594,4.00,7.00,2.00,5.00,9.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6341608,6.00,5.00,3.00,6.00,8.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6341616,6.00,7.00,4.00,7.00,8.00,8.25,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6341632,7.00,7.00,4.00,5.00,9.00,11.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6341640,7.00,6.00,2.00,3.00,6.00,6.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6341659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6341675,7.00,8.00,7.00,5.00,10.00,11.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6341683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6341713,6.00,5.00,0.00,5.00,8.00,6.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6341721,3.00,5.00,0.00,3.00,7.00,7.13,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6341730,2.00,3.00,1.00,5.00,7.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6341748,3.00,3.00,0.00,2.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6341764,5.00,7.00,5.00,7.00,6.00,7.88,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6341772,8.00,7.00,6.00,2.00,8.00,9.38,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6341780,8.00,7.00,3.00,7.00,9.00,9.38,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6341799,4.00,4.00,2.00,1.00,7.00,8.25,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6341802,3.00,6.00,4.00,2.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6341810,1.00,1.00,0.00,2.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6341829,5.00,6.00,3.00,3.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6341837,1.00,3.00,0.00,2.00,6.00,6.75,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6341845,8.00,5.00,2.00,6.00,7.00,8.63,1.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6341861,5.00,4.00,1.00,3.00,8.00,8.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6341870,5.00,4.00,2.00,2.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6341888,2.00,3.00,3.00,2.00,6.00,9.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6341896,2.00,7.00,1.00,1.00,5.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6341900,2.00,5.00,2.00,5.00,3.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6341918,4.00,5.00,2.00,4.00,6.00,5.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6341934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6341969,2.00,4.00,2.00,4.00,5.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6341977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6341985,4.00,5.00,0.00,4.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6341993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6342000,1.00,3.00,1.00,4.00,6.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6342019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6342027,3.00,5.00,3.00,0.00,5.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6342035,4.00,7.00,2.00,6.00,7.00,10.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6342043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6342051,2.00,3.00,2.00,2.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6342060,2.00,5.00,2.00,0.00,4.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6342086,1.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6342094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6342108,4.00,4.00,2.00,6.00,5.00,6.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6342116,5.00,7.00,1.00,5.00,5.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6342124,7.00,6.00,6.00,4.00,10.00,6.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6342132,1.00,3.00,0.00,3.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'S'),(25,6342140,3.00,2.00,1.00,1.00,4.00,7.13,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6342159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6342167,2.00,4.00,2.00,1.00,4.00,5.25,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6342175,4.00,5.00,2.00,5.00,7.00,10.13,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6342183,3.00,5.00,2.00,4.00,6.00,9.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6342191,2.00,4.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6342205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6342221,8.00,5.00,5.00,6.00,7.00,9.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6342230,3.00,6.00,1.00,5.00,7.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6342264,3.00,4.00,0.00,3.00,8.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6342272,3.00,6.00,4.00,4.00,9.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6342280,5.00,6.00,2.00,5.00,6.00,11.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6342299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6342302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6342310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6342329,3.00,5.00,0.00,3.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6342345,4.00,4.00,2.00,6.00,7.00,9.00,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6342353,5.00,7.00,3.00,6.00,6.00,NULL,2.00,4.00,5.00,NULL,NULL,'S','S'),(25,6342370,3.00,5.00,1.00,5.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6342388,3.00,3.00,2.00,5.00,7.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6342396,4.00,6.00,3.00,7.00,8.00,9.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6342400,5.00,4.00,1.00,5.00,8.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6342418,2.00,2.00,2.00,2.00,5.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6342426,8.00,7.00,3.00,5.00,8.00,8.63,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6342434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6342442,3.00,3.00,3.00,5.00,6.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6342450,4.00,4.00,0.00,3.00,5.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6342469,3.00,5.00,3.00,4.00,7.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6342477,6.00,4.00,4.00,7.00,8.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6342485,3.00,3.00,3.00,3.00,5.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6342507,2.00,7.00,0.00,7.00,6.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6342515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6342523,3.00,5.00,3.00,6.00,8.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6342531,5.00,6.00,3.00,5.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6342540,2.00,3.00,3.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6342558,2.00,4.00,0.00,2.00,5.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6342566,2.00,6.00,2.00,3.00,6.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6342574,2.00,4.00,1.00,1.00,5.00,6.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6342582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6342590,2.00,4.00,3.00,5.00,4.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6342604,8.00,8.00,5.00,7.00,10.00,9.38,4.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6342620,2.00,4.00,2.00,3.00,8.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6342639,3.00,6.00,2.00,6.00,6.00,8.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6342647,7.00,6.00,3.00,5.00,8.00,9.00,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6342655,2.00,2.00,0.00,5.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,'S','N'),(25,6342663,4.00,4.00,1.00,7.00,8.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6342671,6.00,4.00,3.00,7.00,7.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6342680,3.00,4.00,1.00,3.00,5.00,7.50,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6342698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6342728,4.00,6.00,3.00,5.00,7.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6342736,4.00,4.00,0.00,6.00,8.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6342752,6.00,7.00,2.00,5.00,9.00,10.13,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6342760,4.00,4.00,0.00,3.00,6.00,7.13,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6342779,4.00,6.00,3.00,4.00,5.00,6.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6342787,7.00,5.00,1.00,7.00,6.00,10.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6342795,2.00,3.00,1.00,3.00,7.00,10.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6342809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6342817,6.00,6.00,1.00,6.00,7.00,9.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6342825,4.00,6.00,5.00,6.00,7.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6342833,5.00,6.00,1.00,2.00,6.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6342841,5.00,4.00,4.00,3.00,4.00,5.63,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6342850,2.00,4.00,4.00,3.00,1.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6342868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6342876,5.00,4.00,4.00,5.00,5.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6342884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6342892,8.00,8.00,7.00,7.00,10.00,12.38,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6342906,1.00,1.00,0.00,2.00,4.00,4.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6342914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6342922,5.00,4.00,2.00,2.00,3.00,7.50,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6342930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6342957,8.00,8.00,4.00,7.00,9.00,11.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6342973,3.00,4.00,1.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6342981,5.00,8.00,1.00,6.00,9.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6342990,2.00,8.00,1.00,3.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6343015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6343023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6343031,4.00,6.00,3.00,7.00,7.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6343040,5.00,4.00,3.00,6.00,9.00,7.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6343058,3.00,4.00,2.00,4.00,6.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6343066,6.00,8.00,2.00,6.00,5.00,10.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6343074,7.00,8.00,3.00,8.00,9.00,11.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6343082,1.00,5.00,1.00,2.00,3.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6343090,6.00,6.00,2.00,6.00,10.00,12.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6343104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6343112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6343120,3.00,6.00,1.00,5.00,6.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6343139,6.00,6.00,3.00,7.00,9.00,12.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6343155,2.00,4.00,1.00,5.00,4.00,8.63,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6343163,4.00,4.00,3.00,5.00,7.00,11.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6343180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6343228,5.00,5.00,2.00,2.00,5.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6343236,8.00,7.00,3.00,5.00,7.00,12.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6343252,5.00,7.00,3.00,5.00,8.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6343260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6343279,2.00,5.00,2.00,6.00,9.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6343287,4.00,6.00,2.00,7.00,8.00,10.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6343309,4.00,3.00,1.00,2.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6343325,2.00,5.00,1.00,4.00,5.00,NULL,0.00,5.00,2.00,NULL,NULL,'S','S'),(25,6343333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6343341,4.00,4.00,0.00,5.00,6.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6343350,5.00,5.00,1.00,5.00,3.00,7.13,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6343368,6.00,5.00,1.00,2.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6343376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6343392,7.00,6.00,2.00,5.00,9.00,11.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6343406,2.00,3.00,2.00,0.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6343414,6.00,5.00,1.00,6.00,5.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6343422,6.00,7.00,4.00,4.00,6.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6343430,2.00,4.00,1.00,2.00,5.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6343449,5.00,6.00,3.00,6.00,8.00,10.88,0.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6343457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6343473,3.00,2.00,0.00,3.00,4.00,7.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6343490,1.00,0.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6343503,1.00,3.00,3.00,5.00,4.00,7.88,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6343511,3.00,7.00,1.00,3.00,4.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6343520,8.00,6.00,7.00,4.00,9.00,9.75,5.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6343538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6343554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6343562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6343570,2.00,7.00,1.00,3.00,9.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6343589,3.00,2.00,2.00,2.00,4.00,7.88,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6343597,2.00,3.00,1.00,3.00,7.00,NULL,2.00,1.00,1.00,NULL,NULL,'S','N'),(25,6343600,3.00,2.00,4.00,3.00,7.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6343619,4.00,4.00,1.00,4.00,7.00,8.63,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6343627,2.00,2.00,1.00,1.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6343635,6.00,5.00,1.00,2.00,3.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6343643,3.00,5.00,0.00,1.00,3.00,6.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6343651,1.00,2.00,3.00,3.00,4.00,7.13,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6343678,6.00,5.00,3.00,5.00,10.00,9.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6343686,1.00,2.00,3.00,2.00,3.00,10.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6343694,1.00,3.00,0.00,2.00,5.00,6.75,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6343708,7.00,7.00,0.00,4.00,8.00,NULL,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6343716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6343740,2.00,3.00,1.00,2.00,5.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6343759,3.00,3.00,2.00,2.00,7.00,6.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6343767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6343775,3.00,5.00,3.00,3.00,4.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6343783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6343791,3.00,4.00,4.00,4.00,4.00,7.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6343805,3.00,4.00,1.00,2.00,6.00,5.63,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6343813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6343821,3.00,5.00,1.00,6.00,5.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6343830,8.00,4.00,2.00,3.00,6.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6343848,3.00,4.00,1.00,3.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6343856,2.00,3.00,2.00,1.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6343864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6343880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6343899,2.00,6.00,2.00,5.00,4.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6343902,6.00,6.00,5.00,7.00,8.00,9.38,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6343937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6343945,2.00,4.00,1.00,2.00,7.00,NULL,4.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6343953,6.00,7.00,4.00,4.00,9.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6343961,5.00,8.00,6.00,7.00,9.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6343970,2.00,4.00,0.00,5.00,7.00,11.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6343988,4.00,4.00,0.00,4.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6344003,2.00,2.00,1.00,2.00,3.00,5.25,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6344011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6344020,6.00,8.00,3.00,7.00,7.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6344046,3.00,3.00,0.00,5.00,7.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6344054,2.00,4.00,0.00,4.00,5.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6344062,2.00,3.00,0.00,4.00,6.00,7.88,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6344070,3.00,3.00,1.00,2.00,6.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6344089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6344097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6344119,5.00,5.00,1.00,2.00,3.00,7.88,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6344127,4.00,4.00,3.00,5.00,6.00,7.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6344135,6.00,6.00,3.00,4.00,5.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6344143,3.00,2.00,0.00,1.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6344160,7.00,5.00,5.00,6.00,9.00,9.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6344178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6344186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6344194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6344208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6344216,4.00,3.00,0.00,6.00,5.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6344224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6344232,4.00,3.00,5.00,4.00,5.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6344259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6344267,5.00,6.00,0.00,5.00,8.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6344275,3.00,3.00,0.00,7.00,4.00,7.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6344283,6.00,5.00,2.00,5.00,8.00,11.25,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6344291,6.00,8.00,3.00,6.00,5.00,8.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6344305,2.00,5.00,2.00,3.00,5.00,5.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6344313,3.00,4.00,4.00,3.00,5.00,7.13,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6344321,5.00,5.00,3.00,4.00,8.00,6.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6344330,2.00,2.00,1.00,3.00,4.00,6.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6344356,4.00,4.00,1.00,3.00,5.00,9.38,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6344364,6.00,6.00,3.00,6.00,8.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6344372,3.00,6.00,2.00,3.00,6.00,NULL,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6344380,0.00,3.00,3.00,3.00,6.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6344399,5.00,3.00,1.00,7.00,5.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6344402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6344410,4.00,5.00,7.00,4.00,9.00,8.63,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6344429,6.00,6.00,1.00,3.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6344437,2.00,2.00,2.00,4.00,3.00,7.13,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6344445,2.00,1.00,0.00,5.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6344453,3.00,3.00,0.00,1.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6344461,2.00,4.00,0.00,1.00,4.00,9.00,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6344470,4.00,6.00,3.00,6.00,8.00,8.63,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6344488,5.00,5.00,3.00,7.00,10.00,10.13,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6344496,3.00,5.00,1.00,3.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6344500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6344526,7.00,7.00,6.00,4.00,9.00,8.25,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6344534,5.00,5.00,2.00,3.00,9.00,10.13,0.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6344542,8.00,5.00,4.00,6.00,8.00,8.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6344550,1.00,3.00,1.00,4.00,5.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6344569,2.00,3.00,2.00,4.00,6.00,10.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6344577,9.00,7.00,7.00,7.00,9.00,12.75,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6344585,5.00,6.00,5.00,4.00,5.00,11.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6344593,4.00,5.00,2.00,3.00,5.00,6.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6344607,7.00,7.00,5.00,6.00,11.00,7.88,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6344615,3.00,5.00,2.00,2.00,7.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6344623,1.00,5.00,1.00,2.00,0.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6344631,3.00,5.00,0.00,5.00,4.00,6.75,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6344640,1.00,3.00,1.00,3.00,4.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6344658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6344666,0.00,4.00,0.00,0.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6344674,7.00,6.00,7.00,5.00,10.00,9.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6344682,2.00,4.00,2.00,2.00,5.00,6.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6344704,3.00,7.00,0.00,7.00,6.00,8.25,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6344712,3.00,3.00,2.00,2.00,6.00,6.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6344720,6.00,4.00,2.00,7.00,7.00,10.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6344739,4.00,4.00,4.00,4.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6344747,3.00,6.00,2.00,1.00,4.00,6.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6344755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6344763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6344771,6.00,6.00,3.00,3.00,8.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6344780,8.00,5.00,9.00,5.00,7.00,9.75,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6344798,5.00,5.00,3.00,7.00,8.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6344801,3.00,6.00,0.00,5.00,8.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6344810,5.00,4.00,4.00,4.00,6.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6344828,5.00,5.00,3.00,6.00,7.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6344844,3.00,2.00,1.00,3.00,2.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6344852,4.00,5.00,0.00,3.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6344860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6344879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6344887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6344917,4.00,5.00,3.00,4.00,6.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6344933,4.00,6.00,2.00,5.00,4.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6344941,3.00,4.00,2.00,2.00,5.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6344950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6344968,1.00,6.00,3.00,1.00,4.00,7.13,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6344984,6.00,6.00,3.00,5.00,8.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6344992,5.00,0.00,2.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6345000,2.00,4.00,2.00,1.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6345018,2.00,5.00,0.00,5.00,6.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6345026,4.00,5.00,2.00,5.00,5.00,9.38,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6345042,6.00,6.00,3.00,4.00,9.00,7.13,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6345069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6345085,2.00,3.00,1.00,3.00,6.00,5.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6345093,4.00,4.00,2.00,5.00,7.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6345107,3.00,5.00,3.00,3.00,6.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6345115,4.00,5.00,2.00,2.00,7.00,9.75,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6345123,2.00,7.00,0.00,4.00,4.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6345131,3.00,3.00,0.00,3.00,6.00,8.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6345140,4.00,2.00,3.00,4.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6345158,3.00,6.00,4.00,4.00,6.00,10.50,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6345174,8.00,7.00,7.00,7.00,10.00,10.88,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6345182,7.00,4.00,3.00,5.00,7.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6345190,2.00,4.00,1.00,0.00,3.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6345204,2.00,6.00,1.00,5.00,7.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6345212,6.00,4.00,0.00,5.00,7.00,7.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6345220,1.00,1.00,2.00,2.00,5.00,3.38,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6345239,3.00,2.00,3.00,3.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6345247,6.00,7.00,5.00,6.00,10.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6345255,2.00,4.00,0.00,5.00,5.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6345271,4.00,6.00,2.00,5.00,7.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6345280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6345298,2.00,3.00,2.00,3.00,6.00,8.25,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6345301,2.00,6.00,2.00,2.00,3.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6345310,6.00,6.00,5.00,7.00,8.00,10.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6345328,5.00,6.00,4.00,5.00,10.00,10.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6345336,1.00,3.00,2.00,3.00,6.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6345344,1.00,3.00,2.00,2.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6345352,7.00,6.00,4.00,4.00,7.00,9.38,2.00,0.00,7.00,NULL,NULL,NULL,'N'),(25,6345360,4.00,5.00,0.00,3.00,5.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6345379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6345387,4.00,4.00,6.00,6.00,7.00,NULL,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6345395,5.00,5.00,1.00,4.00,7.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6345409,1.00,0.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6345417,3.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6345425,3.00,3.00,0.00,3.00,6.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6345433,8.00,5.00,5.00,3.00,5.00,2.25,1.00,2.00,5.00,NULL,NULL,NULL,'S'),(25,6345441,2.00,3.00,2.00,3.00,4.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6345476,6.00,5.00,3.00,5.00,6.00,4.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6345484,7.00,6.00,8.00,7.00,9.00,12.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6345492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6345506,4.00,5.00,0.00,3.00,6.00,5.25,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6345514,2.00,7.00,3.00,3.00,7.00,8.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6345522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6345530,2.00,5.00,2.00,2.00,7.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6345549,1.00,3.00,2.00,2.00,5.00,5.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6345557,1.00,6.00,1.00,2.00,3.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6345565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6345573,5.00,5.00,2.00,5.00,10.00,8.25,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6345581,1.00,2.00,1.00,0.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6345603,2.00,3.00,3.00,7.00,7.00,9.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6345611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6345620,6.00,5.00,0.00,6.00,7.00,NULL,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6345638,3.00,4.00,1.00,3.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6345646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6345654,8.00,8.00,6.00,6.00,9.00,10.50,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6345662,6.00,6.00,7.00,4.00,10.00,9.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6345670,1.00,2.00,1.00,5.00,3.00,6.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6345689,7.00,7.00,3.00,6.00,9.00,10.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6345697,2.00,2.00,0.00,4.00,4.00,7.13,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6345700,6.00,6.00,1.00,7.00,6.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6345719,2.00,5.00,4.00,3.00,8.00,6.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6345727,2.00,3.00,0.00,1.00,5.00,8.25,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6345735,7.00,6.00,3.00,5.00,7.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6345743,3.00,7.00,3.00,4.00,8.00,7.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6345751,7.00,6.00,1.00,5.00,8.00,8.63,1.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6345760,3.00,3.00,0.00,3.00,8.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6345786,7.00,7.00,3.00,6.00,9.00,8.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6345794,2.00,3.00,2.00,1.00,3.00,5.25,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6345808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6345824,1.00,3.00,2.00,4.00,6.00,7.50,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6345832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6345840,6.00,4.00,6.00,6.00,7.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6345859,3.00,4.00,2.00,3.00,7.00,4.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6345867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6345875,2.00,3.00,3.00,3.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6345883,5.00,5.00,2.00,6.00,8.00,8.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6345891,6.00,6.00,3.00,6.00,8.00,9.38,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6345905,3.00,2.00,2.00,4.00,8.00,9.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6345913,8.00,7.00,8.00,6.00,10.00,10.13,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6345930,3.00,2.00,1.00,2.00,6.00,6.00,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6345948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6345956,3.00,5.00,3.00,6.00,6.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6345964,1.00,1.00,1.00,1.00,7.00,7.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6345972,7.00,7.00,2.00,6.00,9.00,10.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6345999,3.00,6.00,1.00,5.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6346014,9.00,6.00,4.00,7.00,9.00,10.13,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6346022,2.00,3.00,2.00,6.00,5.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6346030,7.00,7.00,7.00,5.00,7.00,9.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6346049,7.00,6.00,1.00,5.00,7.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6346065,3.00,2.00,4.00,4.00,5.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6346081,5.00,7.00,1.00,6.00,6.00,6.38,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6346090,5.00,3.00,1.00,3.00,3.00,8.63,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6346103,3.00,4.00,1.00,1.00,7.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6346111,5.00,4.00,5.00,5.00,6.00,9.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6346120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6346138,2.00,3.00,1.00,2.00,4.00,4.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6346154,2.00,5.00,5.00,3.00,5.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6346162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6346170,4.00,5.00,1.00,6.00,9.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6346189,3.00,3.00,3.00,2.00,5.00,7.88,2.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6346197,5.00,2.00,1.00,4.00,6.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6346200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6346235,2.00,2.00,2.00,2.00,3.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6346243,3.00,3.00,1.00,0.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6346251,8.00,6.00,0.00,5.00,7.00,9.00,0.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6346260,3.00,7.00,2.00,7.00,8.00,6.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6346278,4.00,4.00,1.00,3.00,5.00,8.63,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6346286,8.00,5.00,4.00,6.00,8.00,9.00,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6346294,7.00,7.00,1.00,6.00,8.00,9.38,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6346308,5.00,4.00,4.00,4.00,5.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6346316,5.00,4.00,3.00,3.00,7.00,6.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6346332,5.00,8.00,6.00,6.00,10.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6346340,8.00,0.00,5.00,6.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6346359,5.00,4.00,2.00,4.00,7.00,10.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6346367,4.00,4.00,2.00,4.00,6.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6346375,4.00,5.00,1.00,5.00,8.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6346391,3.00,2.00,0.00,2.00,5.00,5.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6346405,4.00,3.00,1.00,1.00,3.00,5.63,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6346413,1.00,4.00,1.00,2.00,4.00,7.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6346421,1.00,6.00,0.00,2.00,2.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6346430,5.00,5.00,4.00,1.00,7.00,7.88,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6346448,5.00,5.00,2.00,3.00,7.00,9.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6346456,5.00,1.00,0.00,5.00,6.00,7.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6346464,2.00,4.00,1.00,3.00,3.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6346480,6.00,7.00,0.00,4.00,9.00,10.13,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6346499,5.00,4.00,3.00,2.00,7.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6346502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6346510,6.00,6.00,5.00,6.00,11.00,9.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6346529,2.00,1.00,1.00,4.00,6.00,6.38,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6346537,3.00,2.00,2.00,7.00,7.00,11.25,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6346545,4.00,4.00,0.00,4.00,6.00,10.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6346553,2.00,3.00,1.00,4.00,6.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6346570,3.00,5.00,1.00,1.00,6.00,9.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6346588,2.00,5.00,3.00,5.00,8.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6346600,4.00,7.00,2.00,2.00,7.00,10.88,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6346618,6.00,5.00,3.00,7.00,8.00,12.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6346626,4.00,6.00,1.00,7.00,9.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6346634,1.00,2.00,3.00,3.00,8.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6346642,3.00,5.00,3.00,4.00,6.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6346650,2.00,4.00,1.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6346669,5.00,5.00,2.00,4.00,6.00,8.63,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6346677,2.00,2.00,2.00,4.00,5.00,8.63,2.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6346685,6.00,5.00,6.00,6.00,8.00,9.38,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6346693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6346715,2.00,3.00,1.00,5.00,5.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6346723,6.00,6.00,3.00,5.00,10.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6346731,4.00,2.00,0.00,4.00,5.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6346740,4.00,2.00,2.00,3.00,5.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6346758,5.00,7.00,2.00,3.00,7.00,7.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6346766,2.00,4.00,3.00,0.00,6.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6346774,2.00,3.00,2.00,5.00,7.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6346782,1.00,3.00,3.00,4.00,3.00,9.00,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6346790,3.00,4.00,0.00,0.00,4.00,6.00,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6346804,5.00,4.00,2.00,5.00,7.00,7.50,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6346812,3.00,5.00,4.00,3.00,5.00,6.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6346820,1.00,4.00,0.00,1.00,5.00,5.25,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6346839,4.00,5.00,2.00,7.00,5.00,8.25,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6346855,5.00,7.00,2.00,7.00,10.00,10.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6346863,4.00,4.00,1.00,2.00,3.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6346871,1.00,4.00,3.00,3.00,7.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6346880,2.00,4.00,1.00,2.00,4.00,8.63,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6346898,3.00,5.00,3.00,4.00,5.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6346901,5.00,8.00,1.00,5.00,8.00,11.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6346910,3.00,5.00,1.00,3.00,5.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6346928,1.00,1.00,3.00,1.00,2.00,NULL,5.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6346936,2.00,3.00,2.00,6.00,7.00,9.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6346944,5.00,5.00,2.00,7.00,9.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6346952,6.00,3.00,1.00,5.00,6.00,10.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6346960,2.00,4.00,2.00,2.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6346979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6346987,5.00,5.00,3.00,1.00,7.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6346995,2.00,5.00,2.00,4.00,4.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6347002,3.00,4.00,4.00,6.00,5.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6347029,1.00,7.00,1.00,5.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6347037,3.00,3.00,1.00,3.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6347045,4.00,5.00,2.00,7.00,8.00,10.50,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6347053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6347061,3.00,5.00,3.00,5.00,5.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6347070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6347088,3.00,5.00,1.00,5.00,7.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6347100,2.00,2.00,2.00,2.00,6.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6347118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6347126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6347142,2.00,3.00,0.00,4.00,5.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6347169,5.00,7.00,2.00,5.00,9.00,11.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6347177,4.00,4.00,1.00,3.00,5.00,10.50,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6347185,3.00,3.00,1.00,3.00,7.00,9.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6347193,3.00,4.00,1.00,1.00,7.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6347207,6.00,7.00,2.00,6.00,9.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6347215,3.00,3.00,3.00,4.00,3.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6347231,3.00,2.00,1.00,1.00,4.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6347240,6.00,6.00,3.00,5.00,7.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'S'),(25,6347258,6.00,6.00,4.00,6.00,8.00,5.25,1.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6347266,3.00,3.00,1.00,4.00,7.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6347274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6347282,5.00,5.00,5.00,6.00,7.00,6.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6347290,8.00,7.00,3.00,6.00,9.00,11.25,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6347304,5.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6347312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6347320,1.00,4.00,1.00,3.00,7.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6347339,1.00,1.00,3.00,3.00,4.00,7.13,2.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6347347,3.00,2.00,0.00,3.00,6.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6347355,3.00,6.00,4.00,5.00,7.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6347363,2.00,3.00,1.00,6.00,6.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6347371,7.00,6.00,4.00,5.00,8.00,8.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6347380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6347398,4.00,6.00,3.00,7.00,8.00,10.13,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6347401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6347410,4.00,4.00,3.00,3.00,6.00,9.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6347428,3.00,5.00,3.00,1.00,7.00,7.88,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6347436,2.00,3.00,3.00,1.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6347444,6.00,5.00,4.00,4.00,6.00,10.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6347452,5.00,7.00,3.00,3.00,5.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6347460,3.00,4.00,4.00,5.00,4.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6347479,2.00,3.00,0.00,1.00,5.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6347487,4.00,5.00,3.00,3.00,10.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6347495,4.00,5.00,3.00,6.00,8.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6347509,6.00,7.00,4.00,7.00,5.00,6.75,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6347517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6347525,7.00,6.00,3.00,7.00,11.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6347533,2.00,4.00,1.00,3.00,5.00,6.75,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6347541,7.00,5.00,3.00,6.00,8.00,10.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6347550,3.00,5.00,3.00,3.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6347568,5.00,4.00,5.00,7.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6347584,3.00,5.00,2.00,2.00,5.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6347592,4.00,5.00,2.00,8.00,7.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6347614,4.00,5.00,2.00,4.00,7.00,8.25,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(25,6347622,2.00,2.00,3.00,4.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6347630,4.00,4.00,2.00,5.00,8.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6347649,3.00,8.00,1.00,4.00,6.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6347657,3.00,3.00,0.00,2.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6347665,1.00,4.00,0.00,1.00,5.00,7.50,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6347673,4.00,4.00,0.00,2.00,8.00,8.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6347681,1.00,4.00,2.00,5.00,8.00,10.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6347690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6347703,2.00,3.00,0.00,1.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6347711,3.00,6.00,1.00,3.00,7.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6347720,1.00,0.00,0.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6347738,2.00,4.00,2.00,3.00,4.00,8.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6347746,2.00,6.00,2.00,6.00,7.00,11.25,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6347754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6347762,8.00,7.00,4.00,7.00,8.00,12.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6347770,6.00,5.00,2.00,4.00,7.00,11.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6347797,4.00,4.00,2.00,1.00,6.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6347800,4.00,5.00,4.00,1.00,5.00,6.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6347819,4.00,5.00,4.00,6.00,5.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6347827,1.00,3.00,2.00,2.00,4.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6347835,5.00,5.00,3.00,6.00,8.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6347843,3.00,4.00,6.00,7.00,5.00,9.00,1.00,6.00,6.00,NULL,NULL,NULL,'S'),(25,6347851,5.00,5.00,2.00,7.00,7.00,7.50,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6347894,1.00,2.00,0.00,2.00,4.00,6.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6347908,4.00,5.00,1.00,3.00,5.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6347916,3.00,3.00,2.00,4.00,3.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6347924,3.00,5.00,2.00,5.00,7.00,9.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6347932,4.00,3.00,3.00,1.00,5.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6347959,2.00,3.00,1.00,3.00,4.00,5.63,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6347967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6347975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6347983,5.00,2.00,3.00,5.00,8.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6348009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6348017,9.00,7.00,2.00,7.00,10.00,11.63,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6348025,5.00,5.00,2.00,2.00,6.00,6.75,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6348033,3.00,4.00,3.00,7.00,9.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6348050,3.00,4.00,2.00,3.00,6.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6348084,5.00,6.00,1.00,2.00,7.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6348092,7.00,6.00,4.00,6.00,9.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6348106,1.00,3.00,1.00,2.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6348114,0.00,0.00,1.00,3.00,6.00,6.75,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6348122,6.00,6.00,3.00,5.00,8.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6348130,0.00,1.00,0.00,2.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6348149,6.00,7.00,0.00,7.00,6.00,12.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6348157,6.00,6.00,5.00,6.00,7.00,7.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6348165,4.00,3.00,0.00,3.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6348173,5.00,7.00,1.00,3.00,9.00,6.38,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6348181,3.00,4.00,2.00,5.00,4.00,6.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6348190,3.00,4.00,3.00,2.00,7.00,10.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6348203,2.00,5.00,1.00,5.00,4.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6348211,3.00,4.00,3.00,4.00,6.00,7.88,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6348220,3.00,3.00,3.00,1.00,9.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6348238,2.00,4.00,0.00,6.00,5.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6348246,2.00,5.00,1.00,4.00,6.00,9.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6348254,5.00,5.00,2.00,3.00,3.00,9.75,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6348270,7.00,6.00,2.00,6.00,10.00,8.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6348289,4.00,4.00,0.00,6.00,6.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6348297,7.00,8.00,1.00,7.00,8.00,12.38,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6348300,3.00,4.00,1.00,7.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6348319,2.00,5.00,0.00,4.00,9.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(25,6348327,5.00,2.00,1.00,2.00,8.00,9.00,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6348335,3.00,6.00,3.00,5.00,9.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6348343,4.00,3.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6348351,1.00,3.00,2.00,2.00,2.00,NULL,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6348360,6.00,3.00,4.00,2.00,6.00,NULL,1.00,2.00,0.00,NULL,NULL,'S','S'),(25,6348378,8.00,6.00,3.00,5.00,10.00,9.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6348386,1.00,1.00,2.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6348394,0.00,5.00,0.00,0.00,0.00,NULL,2.00,6.00,3.00,'S',NULL,NULL,'N'),(25,6348408,4.00,3.00,3.00,4.00,4.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6348416,0.00,1.00,0.00,4.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6348432,5.00,6.00,2.00,6.00,6.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6348440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6348459,3.00,4.00,2.00,2.00,3.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6348467,4.00,4.00,2.00,0.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6348475,6.00,6.00,1.00,3.00,7.00,6.75,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6348483,8.00,6.00,8.00,7.00,7.00,8.25,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6348491,2.00,2.00,1.00,2.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6348505,5.00,3.00,2.00,3.00,6.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6348521,4.00,5.00,3.00,4.00,6.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6348530,9.00,8.00,6.00,7.00,10.00,12.00,6.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6348564,4.00,6.00,4.00,3.00,6.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6348572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6348580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6348599,4.00,4.00,1.00,4.00,6.00,5.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6348602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6348610,4.00,3.00,1.00,5.00,7.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6348629,2.00,4.00,1.00,5.00,5.00,6.75,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6348645,3.00,5.00,5.00,6.00,9.00,7.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6348653,6.00,6.00,5.00,4.00,4.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6348661,5.00,3.00,2.00,3.00,7.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6348688,2.00,5.00,1.00,3.00,6.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6348696,5.00,5.00,4.00,6.00,8.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6348700,7.00,6.00,1.00,7.00,9.00,8.63,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6348718,2.00,6.00,1.00,2.00,6.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6348726,1.00,3.00,1.00,2.00,3.00,3.75,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6348734,5.00,6.00,2.00,4.00,6.00,10.13,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6348742,6.00,7.00,4.00,7.00,10.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6348750,3.00,3.00,3.00,2.00,4.00,5.25,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6348769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6348777,4.00,3.00,1.00,2.00,6.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6348785,3.00,3.00,1.00,5.00,5.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6348793,2.00,3.00,1.00,4.00,6.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6348807,6.00,2.00,3.00,5.00,4.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6348815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6348823,3.00,3.00,1.00,3.00,6.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6348831,4.00,6.00,2.00,4.00,4.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6348840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6348858,5.00,7.00,3.00,5.00,4.00,9.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6348866,4.00,0.00,1.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(25,6348874,1.00,2.00,2.00,5.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6348890,3.00,3.00,0.00,0.00,6.00,10.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6348904,6.00,5.00,5.00,5.00,8.00,9.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6348912,5.00,4.00,0.00,4.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6348920,3.00,5.00,4.00,3.00,5.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6348939,5.00,5.00,2.00,7.00,7.00,9.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6348947,8.00,6.00,4.00,6.00,9.00,9.38,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6348955,3.00,3.00,2.00,4.00,5.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6348963,1.00,4.00,1.00,2.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6348971,2.00,3.00,2.00,0.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6348980,3.00,5.00,2.00,7.00,9.00,10.88,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6348998,4.00,5.00,0.00,2.00,4.00,6.00,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6349005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6349013,3.00,5.00,3.00,3.00,5.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6349030,3.00,5.00,1.00,5.00,6.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6349048,5.00,6.00,5.00,7.00,7.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6349072,4.00,6.00,3.00,4.00,5.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6349080,5.00,4.00,1.00,3.00,10.00,9.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6349099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6349102,7.00,5.00,3.00,6.00,8.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6349110,3.00,6.00,2.00,1.00,6.00,6.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6349129,3.00,3.00,1.00,6.00,6.00,6.38,2.00,1.00,4.00,NULL,NULL,NULL,'S'),(25,6349137,4.00,2.00,2.00,3.00,4.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6349145,4.00,5.00,1.00,2.00,6.00,9.00,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6349153,5.00,4.00,1.00,3.00,5.00,9.75,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6349161,3.00,3.00,1.00,1.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6349170,1.00,2.00,2.00,4.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6349188,5.00,5.00,2.00,7.00,7.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6349196,4.00,7.00,2.00,6.00,5.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6349200,5.00,5.00,4.00,6.00,8.00,12.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6349218,2.00,5.00,0.00,2.00,7.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6349226,0.00,1.00,2.00,0.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6349234,4.00,6.00,5.00,6.00,4.00,8.25,2.00,8.00,4.00,NULL,NULL,NULL,'S'),(25,6349250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6349269,4.00,6.00,2.00,6.00,8.00,10.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6349277,3.00,3.00,1.00,4.00,8.00,7.88,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6349293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6349307,1.00,4.00,1.00,4.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6349315,8.00,6.00,6.00,7.00,7.00,8.63,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6349323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6349331,8.00,6.00,5.00,5.00,9.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6349340,8.00,7.00,6.00,4.00,9.00,10.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6349358,8.00,5.00,3.00,7.00,10.00,11.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6349366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6349374,3.00,2.00,4.00,4.00,3.00,6.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6349382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6349390,4.00,7.00,1.00,3.00,7.00,8.63,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6349412,3.00,4.00,3.00,2.00,4.00,10.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6349420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6349439,8.00,3.00,2.00,5.00,5.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6349455,8.00,7.00,1.00,3.00,10.00,9.38,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6349463,2.00,4.00,0.00,3.00,7.00,NULL,4.00,2.00,5.00,NULL,NULL,NULL,'S'),(25,6349471,1.00,4.00,3.00,0.00,3.00,5.63,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6349480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6349498,3.00,2.00,1.00,2.00,7.00,10.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6349501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6349510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6349528,4.00,5.00,2.00,4.00,6.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6349536,6.00,7.00,4.00,7.00,8.00,7.88,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6349544,4.00,6.00,1.00,3.00,5.00,7.50,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6349579,4.00,6.00,3.00,5.00,7.00,8.25,1.00,3.00,6.00,NULL,NULL,NULL,'S'),(25,6349587,8.00,7.00,8.00,7.00,9.00,10.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6349595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6349609,5.00,3.00,2.00,6.00,8.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6349617,5.00,6.00,3.00,4.00,7.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6349625,7.00,7.00,6.00,8.00,9.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6349633,1.00,3.00,3.00,2.00,3.00,6.00,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6349641,3.00,7.00,2.00,3.00,8.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6349650,6.00,7.00,5.00,2.00,5.00,7.13,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6349668,5.00,2.00,2.00,3.00,6.00,0.00,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6349676,6.00,7.00,4.00,3.00,9.00,8.63,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6349684,8.00,5.00,3.00,5.00,10.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6349692,5.00,6.00,1.00,3.00,8.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6349706,7.00,7.00,2.00,6.00,6.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6349714,7.00,8.00,2.00,5.00,8.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6349722,2.00,4.00,2.00,2.00,6.00,5.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6349749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6349757,4.00,6.00,4.00,6.00,6.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6349765,6.00,6.00,1.00,5.00,5.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6349773,6.00,9.00,1.00,6.00,7.00,11.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6349781,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6349790,0.00,2.00,0.00,1.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6349803,3.00,4.00,1.00,5.00,6.00,7.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6349811,5.00,4.00,1.00,5.00,6.00,6.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6349820,4.00,7.00,2.00,6.00,6.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6349838,3.00,4.00,0.00,2.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6349846,5.00,6.00,2.00,7.00,6.00,11.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6349862,5.00,5.00,1.00,5.00,6.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6349870,3.00,5.00,2.00,5.00,6.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6349889,4.00,3.00,3.00,4.00,6.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6349897,3.00,7.00,1.00,6.00,8.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6349900,5.00,4.00,0.00,1.00,3.00,9.00,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6349919,5.00,8.00,2.00,7.00,9.00,NULL,0.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6349927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6349943,5.00,6.00,2.00,4.00,8.00,7.13,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6349960,5.00,8.00,3.00,6.00,9.00,10.13,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6349978,5.00,4.00,5.00,7.00,6.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6349986,7.00,6.00,3.00,3.00,7.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6350003,2.00,0.00,5.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6350011,2.00,2.00,2.00,4.00,5.00,8.25,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6350020,5.00,5.00,4.00,6.00,10.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6350038,7.00,6.00,3.00,5.00,10.00,7.13,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6350054,5.00,4.00,4.00,5.00,4.00,6.75,2.00,5.00,1.00,NULL,NULL,NULL,'S'),(25,6350062,2.00,6.00,0.00,2.00,5.00,6.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6350089,2.00,1.00,0.00,2.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6350097,4.00,4.00,2.00,1.00,6.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6350100,3.00,6.00,2.00,4.00,7.00,8.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6350119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6350127,2.00,2.00,2.00,2.00,6.00,6.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6350135,4.00,2.00,1.00,2.00,4.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6350143,3.00,2.00,2.00,3.00,3.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6350151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6350160,7.00,6.00,3.00,6.00,7.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6350178,4.00,4.00,0.00,1.00,4.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'S'),(25,6350186,3.00,2.00,1.00,6.00,4.00,6.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6350208,4.00,6.00,2.00,4.00,8.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6350216,4.00,3.00,2.00,6.00,8.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6350224,2.00,1.00,0.00,1.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6350232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6350259,3.00,4.00,0.00,3.00,8.00,6.38,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6350267,3.00,3.00,2.00,3.00,5.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6350275,6.00,3.00,3.00,2.00,5.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6350291,5.00,6.00,2.00,5.00,7.00,8.63,4.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6350305,3.00,5.00,0.00,6.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6350313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6350321,1.00,5.00,0.00,2.00,4.00,9.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6350330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6350348,3.00,5.00,3.00,3.00,4.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6350356,3.00,4.00,2.00,5.00,6.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6350364,4.00,5.00,2.00,5.00,7.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6350372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6350380,9.00,7.00,5.00,7.00,9.00,10.88,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6350399,3.00,4.00,2.00,3.00,4.00,12.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6350402,5.00,6.00,2.00,0.00,8.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6350410,4.00,2.00,0.00,1.00,7.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6350429,3.00,2.00,0.00,4.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6350437,6.00,6.00,4.00,7.00,7.00,5.63,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6350445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6350453,5.00,6.00,3.00,1.00,5.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6350461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6350470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6350488,2.00,5.00,0.00,1.00,5.00,9.00,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6350496,8.00,4.00,4.00,4.00,9.00,11.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6350500,2.00,2.00,2.00,3.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6350518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6350526,5.00,7.00,4.00,4.00,7.00,12.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6350534,5.00,3.00,2.00,7.00,3.00,0.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6350542,4.00,3.00,2.00,7.00,7.00,6.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6350550,7.00,4.00,4.00,6.00,9.00,11.25,0.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6350569,2.00,4.00,5.00,6.00,3.00,10.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6350577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6350585,2.00,3.00,2.00,4.00,6.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6350593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6350607,3.00,5.00,1.00,4.00,8.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6350615,3.00,6.00,2.00,3.00,6.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6350623,7.00,6.00,3.00,3.00,9.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6350631,3.00,4.00,1.00,2.00,6.00,9.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6350640,2.00,5.00,3.00,3.00,6.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6350658,2.00,2.00,1.00,0.00,5.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6350666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6350682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6350690,4.00,6.00,2.00,3.00,6.00,8.25,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6350704,4.00,3.00,0.00,2.00,6.00,9.38,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6350712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6350720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6350739,2.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6350747,5.00,5.00,2.00,4.00,6.00,8.63,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6350755,3.00,3.00,1.00,4.00,4.00,6.00,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6350763,7.00,8.00,7.00,8.00,10.00,11.63,8.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6350780,6.00,5.00,2.00,6.00,8.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6350798,1.00,5.00,3.00,6.00,5.00,4.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6350801,3.00,5.00,0.00,2.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6350810,2.00,5.00,1.00,2.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6350828,7.00,6.00,4.00,6.00,9.00,10.13,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6350836,8.00,8.00,1.00,6.00,9.00,10.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6350844,4.00,2.00,3.00,4.00,7.00,9.75,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6350852,1.00,5.00,0.00,1.00,1.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6350860,6.00,5.00,6.00,6.00,9.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6350879,5.00,7.00,2.00,7.00,9.00,9.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6350887,0.00,3.00,4.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6350909,7.00,4.00,2.00,6.00,6.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6350917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6350925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6350933,4.00,5.00,2.00,1.00,4.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6350941,3.00,6.00,1.00,6.00,8.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6350950,2.00,3.00,2.00,4.00,7.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6350968,3.00,5.00,1.00,4.00,4.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6350976,7.00,5.00,4.00,6.00,10.00,10.13,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6350984,3.00,5.00,3.00,2.00,6.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6351018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6351026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6351034,9.00,5.00,6.00,6.00,7.00,9.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6351042,8.00,6.00,2.00,6.00,6.00,NULL,1.00,8.00,8.00,NULL,NULL,'S','N'),(25,6351050,3.00,6.00,2.00,3.00,4.00,7.13,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6351069,3.00,4.00,2.00,4.00,4.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6351077,1.00,3.00,0.00,3.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6351085,7.00,6.00,3.00,5.00,5.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6351093,4.00,8.00,4.00,6.00,6.00,8.63,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6351107,5.00,6.00,4.00,6.00,9.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6351115,6.00,8.00,5.00,6.00,8.00,8.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6351123,7.00,6.00,4.00,7.00,8.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6351140,9.00,7.00,6.00,7.00,10.00,11.25,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6351158,3.00,4.00,0.00,2.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6351166,6.00,7.00,5.00,5.00,8.00,9.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6351174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6351182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6351190,4.00,3.00,2.00,3.00,6.00,6.38,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6351204,3.00,5.00,3.00,6.00,8.00,NULL,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6351212,4.00,0.00,3.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6351220,3.00,5.00,6.00,5.00,2.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6351239,3.00,3.00,0.00,3.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6351247,8.00,7.00,5.00,6.00,9.00,10.50,1.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6351255,6.00,6.00,3.00,5.00,8.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6351263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6351298,1.00,2.00,1.00,2.00,3.00,7.13,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6351301,5.00,5.00,2.00,7.00,9.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6351310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6351328,5.00,5.00,3.00,5.00,7.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6351336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6351352,2.00,4.00,2.00,5.00,6.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6351360,3.00,5.00,1.00,5.00,6.00,9.38,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6351379,2.00,1.00,1.00,2.00,1.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6351395,3.00,2.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6351409,4.00,0.00,2.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6351417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6351425,4.00,4.00,5.00,5.00,7.00,6.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6351433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6351441,5.00,6.00,4.00,7.00,7.00,6.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6351450,6.00,5.00,2.00,4.00,7.00,8.63,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6351468,5.00,5.00,0.00,3.00,6.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6351476,7.00,6.00,2.00,2.00,8.00,11.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6351484,3.00,3.00,1.00,3.00,3.00,6.75,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6351492,8.00,8.00,1.00,6.00,9.00,10.88,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6351506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6351514,9.00,5.00,2.00,5.00,7.00,6.75,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6351522,5.00,6.00,3.00,5.00,6.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6351530,3.00,5.00,1.00,6.00,8.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6351557,3.00,4.00,0.00,3.00,5.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6351565,2.00,4.00,0.00,1.00,5.00,7.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6351573,6.00,5.00,3.00,6.00,9.00,10.88,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6351581,6.00,7.00,2.00,7.00,8.00,9.00,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6351590,4.00,6.00,2.00,5.00,6.00,8.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6351611,3.00,4.00,3.00,4.00,7.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6351620,2.00,4.00,1.00,2.00,6.00,6.38,1.00,1.00,0.00,NULL,NULL,NULL,'S'),(25,6351638,3.00,5.00,2.00,5.00,8.00,4.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6351646,2.00,3.00,2.00,1.00,6.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6351654,3.00,0.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6351662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6351700,6.00,5.00,2.00,6.00,6.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6351727,2.00,6.00,0.00,6.00,8.00,6.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6351735,2.00,3.00,3.00,3.00,3.00,7.50,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6351743,3.00,4.00,1.00,2.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6351751,5.00,2.00,2.00,3.00,7.00,7.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6351760,6.00,7.00,3.00,4.00,8.00,NULL,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6351778,2.00,3.00,1.00,4.00,4.00,7.88,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6351786,5.00,0.00,3.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6351794,6.00,5.00,3.00,5.00,8.00,9.00,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6351808,3.00,2.00,0.00,5.00,5.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6351816,1.00,4.00,2.00,1.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6351824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6351832,6.00,6.00,4.00,4.00,5.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6351840,5.00,5.00,5.00,4.00,7.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6351859,6.00,8.00,2.00,5.00,8.00,11.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6351867,1.00,4.00,1.00,2.00,3.00,5.63,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6351875,2.00,6.00,1.00,4.00,5.00,7.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6351883,6.00,5.00,2.00,5.00,10.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6351891,5.00,5.00,1.00,7.00,7.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6351905,5.00,7.00,5.00,6.00,5.00,7.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6351913,2.00,3.00,1.00,3.00,7.00,8.25,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6351921,5.00,7.00,7.00,5.00,7.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6351930,5.00,3.00,3.00,2.00,5.00,6.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6351948,1.00,3.00,2.00,3.00,1.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6351956,6.00,7.00,0.00,4.00,9.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6351964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6351972,5.00,3.00,0.00,4.00,7.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6351980,6.00,7.00,3.00,7.00,8.00,6.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6351999,3.00,2.00,0.00,4.00,4.00,9.75,5.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6352006,3.00,5.00,1.00,2.00,5.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6352014,3.00,3.00,2.00,5.00,7.00,9.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6352022,0.00,0.00,0.00,2.00,3.00,9.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6352030,4.00,0.00,2.00,2.00,6.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6352049,3.00,4.00,2.00,3.00,3.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6352057,3.00,4.00,1.00,2.00,7.00,6.38,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6352065,4.00,6.00,1.00,6.00,8.00,9.38,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6352073,3.00,5.00,0.00,7.00,5.00,7.50,1.00,7.00,2.00,NULL,NULL,NULL,'S'),(25,6352081,7.00,8.00,5.00,6.00,7.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6352103,6.00,6.00,1.00,5.00,6.00,7.50,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6352111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6352120,3.00,5.00,0.00,4.00,7.00,10.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6352138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6352154,3.00,0.00,1.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6352162,5.00,4.00,2.00,4.00,8.00,7.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6352170,8.00,7.00,4.00,4.00,8.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6352189,4.00,5.00,3.00,6.00,9.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6352197,6.00,7.00,1.00,3.00,7.00,9.75,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6352200,6.00,8.00,0.00,7.00,8.00,10.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6352219,1.00,5.00,3.00,4.00,5.00,8.25,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6352227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6352235,8.00,7.00,4.00,7.00,9.00,10.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6352243,4.00,6.00,0.00,7.00,9.00,11.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6352251,5.00,6.00,3.00,7.00,6.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6352260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6352278,8.00,6.00,2.00,4.00,8.00,12.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6352286,4.00,2.00,4.00,6.00,4.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6352294,4.00,5.00,4.00,5.00,6.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6352308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6352324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6352332,2.00,4.00,5.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6352340,5.00,5.00,3.00,5.00,6.00,9.00,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6352359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6352367,6.00,7.00,5.00,5.00,9.00,7.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6352375,1.00,2.00,2.00,2.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6352383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6352391,6.00,7.00,1.00,5.00,3.00,8.63,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6352405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6352413,2.00,2.00,0.00,3.00,5.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6352430,3.00,6.00,4.00,4.00,7.00,8.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6352448,8.00,9.00,5.00,7.00,7.00,8.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6352456,5.00,4.00,2.00,3.00,7.00,10.13,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6352464,6.00,5.00,3.00,5.00,6.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6352472,4.00,6.00,4.00,6.00,8.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6352502,4.00,7.00,0.00,4.00,8.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6352529,7.00,6.00,2.00,6.00,8.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6352545,8.00,7.00,3.00,7.00,9.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6352553,7.00,7.00,3.00,2.00,9.00,9.38,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6352561,2.00,7.00,0.00,2.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6352570,5.00,5.00,2.00,5.00,8.00,8.63,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6352588,6.00,8.00,4.00,5.00,7.00,10.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6352596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6352600,4.00,4.00,3.00,6.00,5.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6352618,4.00,6.00,2.00,2.00,7.00,9.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6352634,3.00,5.00,3.00,3.00,4.00,7.88,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6352642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6352650,4.00,6.00,5.00,5.00,9.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6352669,8.00,7.00,4.00,6.00,8.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6352685,6.00,5.00,2.00,6.00,6.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6352707,3.00,7.00,3.00,3.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6352715,2.00,5.00,3.00,2.00,6.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6352723,5.00,6.00,4.00,6.00,9.00,8.63,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6352731,3.00,6.00,2.00,2.00,5.00,6.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6352740,6.00,6.00,5.00,5.00,7.00,7.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6352758,1.00,3.00,0.00,4.00,5.00,6.75,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6352766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6352774,4.00,6.00,4.00,6.00,9.00,12.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6352782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6352804,7.00,7.00,4.00,4.00,9.00,7.13,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6352839,2.00,4.00,1.00,1.00,6.00,NULL,1.00,6.00,3.00,NULL,NULL,'S','S'),(25,6352847,7.00,7.00,5.00,7.00,10.00,7.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6352855,6.00,7.00,1.00,4.00,5.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6352863,3.00,4.00,3.00,4.00,7.00,0.00,1.00,5.00,1.00,NULL,NULL,NULL,'S'),(25,6352871,1.00,2.00,2.00,1.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6352880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6352898,5.00,8.00,6.00,0.00,7.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6352901,3.00,5.00,3.00,4.00,5.00,7.13,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6352910,3.00,4.00,1.00,3.00,7.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6352928,3.00,5.00,3.00,5.00,5.00,6.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6352936,3.00,6.00,0.00,2.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6352944,4.00,5.00,4.00,5.00,7.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6352952,3.00,4.00,2.00,2.00,3.00,6.75,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6352960,6.00,6.00,1.00,7.00,9.00,8.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6352979,2.00,5.00,1.00,4.00,8.00,8.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6352987,5.00,4.00,3.00,6.00,7.00,11.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6352995,3.00,5.00,1.00,3.00,8.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6353002,2.00,4.00,3.00,2.00,5.00,6.38,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6353010,4.00,0.00,0.00,3.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6353029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6353037,2.00,2.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6353045,0.00,0.00,0.00,1.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6353053,1.00,1.00,2.00,3.00,4.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6353061,7.00,7.00,5.00,5.00,9.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6353070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6353088,3.00,4.00,2.00,3.00,7.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6353100,7.00,7.00,5.00,5.00,8.00,6.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6353118,4.00,3.00,3.00,5.00,7.00,7.50,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6353126,3.00,5.00,1.00,4.00,5.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6353134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6353142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6353150,9.00,0.00,3.00,7.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6353177,8.00,6.00,2.00,5.00,8.00,7.13,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6353185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6353193,3.00,2.00,0.00,2.00,5.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6353207,1.00,4.00,1.00,4.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6353215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6353223,7.00,5.00,2.00,4.00,8.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6353240,8.00,5.00,5.00,5.00,5.00,8.63,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6353258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6353266,4.00,4.00,0.00,6.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6353274,5.00,6.00,2.00,6.00,5.00,7.88,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6353282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6353290,6.00,7.00,1.00,7.00,10.00,9.75,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6353312,3.00,6.00,1.00,5.00,6.00,6.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6353320,3.00,4.00,0.00,5.00,8.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6353347,3.00,3.00,1.00,5.00,7.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6353355,6.00,5.00,2.00,5.00,7.00,8.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6353363,6.00,7.00,3.00,6.00,8.00,9.38,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6353371,4.00,6.00,2.00,3.00,6.00,9.00,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6353380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6353398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6353401,4.00,4.00,6.00,6.00,7.00,7.88,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6353410,4.00,0.00,4.00,8.00,10.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6353428,3.00,3.00,1.00,0.00,4.00,6.38,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6353436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6353444,1.00,3.00,2.00,3.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6353452,6.00,6.00,1.00,7.00,7.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6353460,4.00,4.00,0.00,3.00,6.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6353479,1.00,2.00,2.00,2.00,2.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6353487,3.00,2.00,3.00,1.00,5.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6353495,7.00,6.00,4.00,6.00,10.00,11.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6353509,9.00,7.00,4.00,7.00,8.00,10.88,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6353517,2.00,4.00,3.00,3.00,7.00,8.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6353533,3.00,4.00,1.00,5.00,5.00,5.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6353541,4.00,6.00,0.00,4.00,7.00,12.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6353568,5.00,5.00,4.00,6.00,7.00,10.13,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6353576,7.00,5.00,1.00,7.00,8.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6353584,6.00,2.00,2.00,6.00,6.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6353592,4.00,6.00,0.00,6.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6353606,7.00,5.00,2.00,4.00,10.00,12.00,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6353614,8.00,7.00,4.00,5.00,8.00,9.75,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6353622,7.00,8.00,2.00,6.00,9.00,8.25,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6353630,4.00,4.00,2.00,5.00,7.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6353649,8.00,6.00,2.00,7.00,9.00,8.63,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6353657,8.00,4.00,1.00,7.00,9.00,7.88,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6353665,7.00,6.00,4.00,5.00,9.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6353681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6353690,2.00,5.00,2.00,4.00,9.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6353703,7.00,8.00,4.00,7.00,8.00,10.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6353720,7.00,7.00,5.00,7.00,9.00,9.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6353738,6.00,6.00,5.00,6.00,7.00,10.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6353746,5.00,6.00,3.00,5.00,7.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6353754,3.00,5.00,0.00,3.00,7.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6353762,3.00,5.00,0.00,5.00,8.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6353770,3.00,3.00,2.00,3.00,3.00,6.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6353789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6353797,4.00,3.00,0.00,3.00,5.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6353800,4.00,4.00,4.00,4.00,6.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6353819,9.00,6.00,4.00,4.00,8.00,11.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6353827,3.00,0.00,3.00,0.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6353835,4.00,6.00,2.00,7.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6353843,3.00,3.00,2.00,4.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6353851,4.00,7.00,2.00,7.00,7.00,11.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6353860,3.00,4.00,1.00,1.00,9.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6353878,9.00,5.00,3.00,5.00,8.00,10.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6353886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6353894,2.00,5.00,3.00,6.00,8.00,10.13,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6353916,7.00,4.00,4.00,4.00,9.00,7.88,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6353924,2.00,3.00,2.00,4.00,5.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6353932,3.00,6.00,3.00,6.00,7.00,11.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6353967,1.00,6.00,0.00,5.00,7.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6353975,7.00,7.00,3.00,4.00,7.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6353991,7.00,6.00,5.00,7.00,10.00,9.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6354009,6.00,4.00,4.00,5.00,6.00,9.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6354017,4.00,5.00,3.00,3.00,4.00,5.63,0.00,7.00,5.00,NULL,NULL,NULL,'S'),(25,6354025,5.00,6.00,7.00,6.00,7.00,10.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6354033,4.00,5.00,1.00,4.00,4.00,6.75,2.00,0.00,3.00,NULL,NULL,NULL,'S'),(25,6354041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6354050,9.00,7.00,8.00,7.00,9.00,10.88,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6354068,8.00,7.00,2.00,4.00,6.00,8.63,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6354076,3.00,4.00,1.00,5.00,6.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6354084,6.00,4.00,0.00,2.00,3.00,0.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6354092,6.00,6.00,5.00,3.00,7.00,7.88,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6354106,6.00,5.00,5.00,6.00,9.00,10.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6354114,2.00,6.00,1.00,5.00,7.00,7.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6354122,6.00,5.00,2.00,3.00,5.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6354130,2.00,4.00,3.00,6.00,3.00,4.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6354149,7.00,6.00,4.00,5.00,9.00,8.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6354157,6.00,8.00,1.00,4.00,9.00,9.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6354181,7.00,6.00,5.00,6.00,8.00,11.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6354190,3.00,5.00,4.00,4.00,3.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6354203,0.00,2.00,2.00,2.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6354211,8.00,7.00,5.00,7.00,5.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6354238,2.00,3.00,0.00,3.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6354246,4.00,6.00,2.00,5.00,6.00,7.88,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6354254,3.00,4.00,2.00,3.00,7.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6354270,4.00,6.00,2.00,4.00,5.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6354289,4.00,3.00,0.00,5.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,'S','S'),(25,6354297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6354300,3.00,3.00,4.00,5.00,4.00,10.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6354319,5.00,4.00,1.00,3.00,5.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6354327,3.00,3.00,0.00,2.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6354335,7.00,6.00,2.00,6.00,10.00,9.38,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6354343,4.00,7.00,4.00,6.00,9.00,10.13,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6354351,1.00,4.00,1.00,2.00,4.00,5.25,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6354360,5.00,6.00,3.00,6.00,4.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6354378,2.00,4.00,3.00,4.00,6.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6354386,3.00,2.00,4.00,6.00,7.00,10.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6354394,4.00,5.00,3.00,5.00,6.00,7.50,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6354408,3.00,3.00,0.00,2.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6354416,4.00,5.00,2.00,3.00,6.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6354424,4.00,6.00,1.00,6.00,7.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6354432,3.00,4.00,1.00,3.00,5.00,5.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6354440,4.00,4.00,2.00,2.00,4.00,10.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6354467,2.00,3.00,1.00,5.00,5.00,6.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6354475,7.00,5.00,0.00,7.00,7.00,10.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6354483,2.00,0.00,3.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6354491,5.00,6.00,1.00,2.00,7.00,10.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6354505,3.00,1.00,2.00,2.00,4.00,4.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6354513,3.00,5.00,3.00,6.00,8.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6354521,1.00,4.00,2.00,3.00,5.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6354530,2.00,5.00,2.00,2.00,8.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6354548,6.00,6.00,3.00,7.00,7.00,11.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6354556,6.00,8.00,3.00,6.00,9.00,8.25,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6354564,9.00,6.00,5.00,7.00,7.00,9.75,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6354572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6354580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6354599,2.00,4.00,1.00,3.00,4.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6354602,7.00,8.00,6.00,7.00,10.00,12.75,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6354610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6354629,4.00,3.00,4.00,2.00,6.00,10.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6354645,4.00,5.00,2.00,5.00,4.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6354653,6.00,6.00,4.00,3.00,7.00,NULL,2.00,6.00,7.00,NULL,NULL,'S','N'),(25,6354661,6.00,6.00,3.00,6.00,8.00,8.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6354670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6354688,1.00,5.00,0.00,2.00,6.00,7.50,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6354700,2.00,4.00,1.00,4.00,4.00,9.75,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6354718,9.00,6.00,5.00,7.00,11.00,9.75,2.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6354726,4.00,5.00,0.00,4.00,5.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6354734,7.00,5.00,1.00,5.00,8.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6354742,4.00,6.00,3.00,7.00,8.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6354750,7.00,5.00,5.00,6.00,8.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6354777,5.00,7.00,4.00,4.00,9.00,7.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6354785,5.00,5.00,3.00,2.00,5.00,0.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6354793,8.00,7.00,2.00,7.00,9.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6354807,2.00,4.00,0.00,1.00,4.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6354815,1.00,2.00,2.00,1.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6354823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6354831,3.00,5.00,5.00,2.00,6.00,7.88,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6354840,1.00,5.00,2.00,2.00,3.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6354858,6.00,5.00,2.00,5.00,6.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6354866,6.00,5.00,3.00,7.00,9.00,10.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6354882,5.00,5.00,3.00,6.00,7.00,12.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6354890,2.00,2.00,0.00,3.00,3.00,0.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6354904,8.00,8.00,4.00,7.00,8.00,10.13,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6354912,6.00,5.00,2.00,5.00,5.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6354920,4.00,2.00,0.00,1.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6354939,5.00,6.00,6.00,5.00,9.00,9.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6354947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6354955,2.00,0.00,0.00,0.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6354963,3.00,3.00,3.00,7.00,7.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6354971,4.00,8.00,2.00,5.00,7.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6354980,1.00,4.00,2.00,3.00,4.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6354998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6355005,5.00,4.00,3.00,6.00,8.00,10.88,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6355013,2.00,2.00,3.00,2.00,3.00,5.63,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6355021,8.00,6.00,3.00,5.00,10.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6355030,6.00,6.00,1.00,4.00,6.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6355048,3.00,3.00,1.00,2.00,6.00,8.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6355056,3.00,5.00,2.00,5.00,7.00,7.13,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6355064,6.00,6.00,4.00,6.00,8.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6355072,6.00,6.00,4.00,6.00,9.00,9.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6355080,4.00,6.00,3.00,5.00,10.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6355099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6355102,2.00,3.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6355110,2.00,3.00,1.00,1.00,5.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6355129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6355137,7.00,6.00,5.00,7.00,7.00,NULL,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6355145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6355153,7.00,5.00,4.00,5.00,6.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6355161,6.00,4.00,2.00,2.00,6.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6355170,7.00,8.00,5.00,5.00,8.00,10.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6355188,1.00,5.00,1.00,3.00,6.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6355196,3.00,8.00,5.00,6.00,6.00,8.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6355200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6355218,3.00,4.00,1.00,3.00,3.00,6.38,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6355226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6355234,2.00,2.00,3.00,4.00,3.00,9.38,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6355242,4.00,5.00,4.00,5.00,6.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6355250,2.00,2.00,1.00,0.00,2.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6355269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6355277,4.00,2.00,2.00,5.00,5.00,7.13,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6355285,4.00,1.00,1.00,2.00,3.00,8.25,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6355293,4.00,7.00,3.00,4.00,7.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6355307,4.00,5.00,2.00,2.00,6.00,4.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6355315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6355323,6.00,6.00,3.00,5.00,7.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6355331,4.00,6.00,4.00,4.00,5.00,7.13,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6355340,2.00,5.00,0.00,0.00,5.00,5.63,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6355358,6.00,7.00,4.00,2.00,8.00,7.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6355366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6355374,4.00,6.00,3.00,5.00,5.00,11.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6355382,2.00,5.00,1.00,5.00,7.00,6.75,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6355390,3.00,4.00,1.00,3.00,6.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6355404,2.00,4.00,5.00,3.00,3.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6355412,4.00,3.00,2.00,2.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6355420,2.00,3.00,3.00,4.00,4.00,6.75,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6355439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6355447,2.00,5.00,2.00,5.00,6.00,4.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6355455,4.00,4.00,0.00,2.00,7.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6355463,5.00,7.00,1.00,6.00,6.00,NULL,3.00,7.00,5.00,NULL,NULL,'S','N'),(25,6355471,2.00,4.00,2.00,6.00,4.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6355480,3.00,2.00,0.00,5.00,4.00,8.25,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6355498,4.00,5.00,2.00,7.00,9.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6355501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6355510,2.00,3.00,0.00,2.00,5.00,6.38,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6355528,3.00,3.00,1.00,1.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6355544,6.00,0.00,1.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6355552,3.00,4.00,0.00,1.00,8.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6355560,2.00,4.00,3.00,2.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6355579,5.00,6.00,3.00,5.00,8.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6355587,4.00,4.00,2.00,6.00,5.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6355609,3.00,3.00,1.00,2.00,3.00,6.00,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6355617,3.00,3.00,3.00,3.00,5.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6355625,7.00,7.00,5.00,6.00,10.00,10.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6355633,1.00,3.00,1.00,1.00,5.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6355641,7.00,8.00,4.00,6.00,9.00,11.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6355650,2.00,3.00,1.00,4.00,8.00,7.13,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6355668,6.00,4.00,2.00,4.00,8.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6355676,7.00,7.00,3.00,6.00,11.00,11.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6355706,3.00,2.00,1.00,1.00,5.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6355714,3.00,3.00,2.00,4.00,8.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6355722,4.00,6.00,3.00,0.00,6.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6355749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6355757,6.00,5.00,5.00,6.00,8.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6355765,3.00,5.00,3.00,4.00,5.00,6.38,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6355773,3.00,4.00,1.00,4.00,7.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6355781,3.00,2.00,0.00,3.00,6.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6355790,3.00,5.00,2.00,6.00,9.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6355811,6.00,6.00,1.00,0.00,9.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6355820,3.00,4.00,2.00,3.00,4.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6355838,6.00,5.00,1.00,5.00,7.00,9.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6355846,4.00,6.00,5.00,4.00,6.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6355854,4.00,4.00,2.00,4.00,6.00,6.75,1.00,7.00,3.00,NULL,NULL,NULL,'S'),(25,6355862,2.00,2.00,3.00,2.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6355870,2.00,4.00,3.00,4.00,5.00,5.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6355889,5.00,2.00,1.00,3.00,6.00,7.13,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6355897,3.00,4.00,0.00,1.00,5.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6355900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6355927,6.00,5.00,0.00,5.00,9.00,10.88,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6355935,1.00,5.00,0.00,4.00,6.00,9.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6355943,8.00,7.00,2.00,5.00,8.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6355951,2.00,5.00,2.00,5.00,5.00,5.63,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6355960,3.00,3.00,2.00,2.00,5.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6355978,2.00,4.00,0.00,4.00,3.00,8.25,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6355986,4.00,4.00,0.00,0.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6355994,5.00,6.00,5.00,7.00,7.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6356001,3.00,4.00,3.00,5.00,5.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6356010,7.00,3.00,4.00,4.00,7.00,11.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6356036,3.00,5.00,1.00,2.00,4.00,6.38,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6356044,3.00,5.00,2.00,1.00,4.00,0.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6356052,3.00,5.00,1.00,4.00,6.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6356060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6356079,4.00,6.00,3.00,4.00,9.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6356087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6356095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6356109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6356117,1.00,4.00,0.00,2.00,7.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6356125,5.00,6.00,3.00,5.00,4.00,9.00,0.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6356133,6.00,7.00,2.00,5.00,7.00,10.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6356150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6356168,6.00,5.00,2.00,3.00,7.00,9.00,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6356176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6356184,8.00,8.00,5.00,7.00,9.00,10.88,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6356206,7.00,6.00,2.00,7.00,7.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6356214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6356222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6356230,3.00,6.00,2.00,4.00,5.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6356249,2.00,2.00,2.00,4.00,8.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6356265,4.00,1.00,1.00,5.00,9.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6356273,3.00,3.00,1.00,0.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6356281,4.00,6.00,4.00,4.00,6.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6356290,3.00,4.00,2.00,0.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6356303,1.00,5.00,2.00,4.00,3.00,6.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6356311,4.00,3.00,3.00,2.00,3.00,6.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6356320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6356338,3.00,5.00,3.00,5.00,8.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6356346,4.00,6.00,3.00,3.00,7.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6356354,3.00,4.00,3.00,2.00,3.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6356362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6356370,4.00,3.00,1.00,5.00,7.00,8.63,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6356389,4.00,4.00,3.00,6.00,8.00,7.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6356397,3.00,4.00,4.00,4.00,6.00,7.88,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6356400,1.00,3.00,2.00,1.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6356419,4.00,5.00,0.00,4.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6356427,2.00,1.00,1.00,0.00,3.00,4.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6356435,3.00,4.00,3.00,4.00,5.00,9.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6356443,5.00,5.00,0.00,3.00,7.00,9.38,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6356451,7.00,2.00,1.00,6.00,7.00,NULL,0.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6356460,5.00,7.00,1.00,6.00,6.00,10.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6356486,1.00,2.00,0.00,5.00,8.00,9.38,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6356494,2.00,2.00,1.00,3.00,4.00,6.38,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6356508,6.00,6.00,1.00,4.00,5.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6356516,4.00,3.00,1.00,3.00,4.00,6.38,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6356524,9.00,8.00,1.00,7.00,7.00,13.50,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6356532,8.00,7.00,3.00,7.00,9.00,12.00,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6356540,2.00,4.00,3.00,2.00,3.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6356559,8.00,5.00,7.00,7.00,5.00,9.00,5.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6356567,9.00,6.00,6.00,7.00,9.00,8.63,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6356583,7.00,3.00,1.00,5.00,7.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6356591,5.00,6.00,5.00,6.00,9.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6356605,5.00,5.00,1.00,5.00,10.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6356613,6.00,6.00,4.00,4.00,9.00,10.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6356621,1.00,4.00,2.00,2.00,4.00,6.75,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6356630,7.00,7.00,3.00,6.00,7.00,8.25,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6356656,2.00,4.00,1.00,4.00,5.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6356672,3.00,6.00,3.00,3.00,5.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6356680,5.00,6.00,3.00,3.00,6.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6356702,7.00,6.00,1.00,5.00,9.00,8.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6356729,7.00,6.00,2.00,6.00,8.00,9.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6356745,2.00,3.00,0.00,3.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6356753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6356761,6.00,7.00,3.00,6.00,8.00,7.88,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6356770,5.00,0.00,5.00,7.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6356788,3.00,4.00,2.00,3.00,7.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6356796,4.00,5.00,1.00,6.00,8.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6356800,4.00,4.00,2.00,5.00,6.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6356818,3.00,6.00,2.00,5.00,7.00,6.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6356826,9.00,6.00,5.00,7.00,10.00,9.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6356834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6356850,3.00,4.00,3.00,5.00,6.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6356869,3.00,6.00,2.00,1.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6356877,2.00,3.00,4.00,6.00,9.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6356885,4.00,5.00,4.00,4.00,5.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6356893,2.00,8.00,2.00,5.00,7.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6356907,4.00,5.00,2.00,5.00,9.00,8.63,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6356915,6.00,5.00,2.00,6.00,5.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6356923,4.00,5.00,2.00,3.00,6.00,4.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6356931,2.00,1.00,3.00,3.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6356940,6.00,6.00,3.00,5.00,8.00,7.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6356958,1.00,4.00,2.00,0.00,3.00,4.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6356966,2.00,3.00,2.00,3.00,3.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6356974,6.00,4.00,4.00,6.00,5.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6356982,4.00,4.00,2.00,5.00,5.00,8.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6356990,4.00,6.00,2.00,5.00,6.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6357008,4.00,3.00,3.00,3.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,'S','N'),(25,6357016,1.00,4.00,1.00,2.00,3.00,6.38,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6357024,5.00,8.00,0.00,7.00,6.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6357040,2.00,3.00,3.00,5.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6357059,5.00,5.00,3.00,4.00,6.00,7.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6357067,4.00,6.00,2.00,7.00,6.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6357075,7.00,7.00,5.00,5.00,8.00,7.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6357083,2.00,6.00,2.00,7.00,7.00,9.00,0.00,7.00,0.00,NULL,NULL,NULL,'N'),(25,6357091,7.00,6.00,6.00,7.00,9.00,11.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6357105,6.00,8.00,7.00,6.00,10.00,11.25,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6357113,7.00,4.00,4.00,6.00,7.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6357121,4.00,4.00,3.00,2.00,6.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6357148,3.00,4.00,2.00,2.00,6.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6357172,7.00,7.00,5.00,4.00,8.00,9.00,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6357180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6357199,5.00,6.00,1.00,5.00,6.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6357202,6.00,7.00,4.00,7.00,9.00,10.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6357210,2.00,6.00,2.00,4.00,8.00,9.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6357229,9.00,7.00,6.00,3.00,9.00,7.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6357237,4.00,3.00,2.00,5.00,7.00,10.50,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6357245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6357253,4.00,4.00,2.00,5.00,10.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6357261,6.00,5.00,3.00,5.00,10.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6357270,5.00,6.00,4.00,6.00,7.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6357288,4.00,7.00,0.00,5.00,7.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6357296,4.00,6.00,2.00,5.00,7.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6357300,4.00,6.00,3.00,6.00,6.00,6.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6357318,3.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6357326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6357342,2.00,3.00,1.00,4.00,6.00,9.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6357350,1.00,4.00,1.00,2.00,4.00,4.88,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6357377,8.00,4.00,4.00,6.00,10.00,10.13,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6357385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6357393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6357407,0.00,2.00,1.00,3.00,4.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6357415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6357440,4.00,4.00,4.00,6.00,6.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6357458,3.00,5.00,3.00,4.00,7.00,6.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6357466,4.00,2.00,2.00,2.00,5.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6357474,4.00,3.00,0.00,5.00,6.00,9.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6357482,4.00,6.00,1.00,4.00,6.00,9.38,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6357504,5.00,6.00,3.00,7.00,7.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6357512,6.00,6.00,3.00,5.00,6.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6357539,2.00,6.00,4.00,2.00,5.00,6.75,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6357547,6.00,4.00,2.00,3.00,9.00,9.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6357555,2.00,2.00,1.00,0.00,3.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6357563,3.00,5.00,2.00,4.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6357580,3.00,2.00,1.00,0.00,4.00,8.63,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6357598,3.00,2.00,1.00,2.00,4.00,7.88,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6357601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6357610,7.00,5.00,5.00,7.00,9.00,7.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6357628,2.00,3.00,2.00,1.00,1.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6357636,2.00,5.00,3.00,3.00,7.00,8.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6357652,5.00,0.00,2.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6357660,3.00,5.00,2.00,3.00,8.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6357687,3.00,4.00,1.00,1.00,9.00,9.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6357695,4.00,3.00,4.00,2.00,4.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6357709,2.00,5.00,3.00,2.00,2.00,NULL,2.00,8.00,6.00,NULL,NULL,'S','N'),(25,6357717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6357733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6357741,8.00,0.00,2.00,2.00,10.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6357750,2.00,2.00,2.00,3.00,4.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6357768,4.00,3.00,1.00,3.00,4.00,8.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6357776,5.00,7.00,3.00,5.00,10.00,10.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6357784,8.00,7.00,6.00,7.00,9.00,9.00,3.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6357792,3.00,7.00,2.00,5.00,7.00,11.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6357806,3.00,5.00,0.00,6.00,7.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6357814,3.00,4.00,3.00,2.00,4.00,7.88,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6357830,8.00,8.00,1.00,5.00,8.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6357849,0.00,0.00,0.00,1.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6357857,5.00,3.00,3.00,4.00,9.00,7.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6357865,2.00,0.00,0.00,0.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6357873,2.00,5.00,3.00,3.00,4.00,9.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6357890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6357903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6357911,4.00,3.00,2.00,2.00,5.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6357938,7.00,6.00,4.00,2.00,10.00,10.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6357946,2.00,5.00,1.00,4.00,5.00,8.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6357962,6.00,7.00,5.00,5.00,9.00,10.13,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6357989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6357997,2.00,3.00,1.00,0.00,4.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6358004,6.00,6.00,6.00,7.00,9.00,11.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6358012,4.00,4.00,2.00,4.00,6.00,7.13,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6358020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6358039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6358047,1.00,4.00,1.00,0.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6358055,3.00,0.00,0.00,3.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6358063,6.00,6.00,5.00,7.00,7.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6358071,2.00,3.00,1.00,2.00,6.00,5.25,3.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6358080,3.00,3.00,1.00,4.00,6.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6358098,4.00,1.00,2.00,4.00,4.00,8.25,1.00,1.00,0.00,NULL,NULL,NULL,'S'),(25,6358101,1.00,3.00,2.00,5.00,6.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6358110,4.00,5.00,6.00,2.00,5.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6358128,4.00,2.00,0.00,4.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6358136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6358144,4.00,2.00,5.00,6.00,7.00,10.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6358179,4.00,4.00,1.00,4.00,6.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6358187,3.00,4.00,1.00,3.00,4.00,8.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6358209,3.00,4.00,0.00,4.00,7.00,NULL,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6358217,6.00,5.00,1.00,4.00,6.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6358225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6358241,5.00,5.00,4.00,4.00,5.00,8.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6358276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6358284,4.00,2.00,2.00,2.00,3.00,6.75,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6358292,4.00,7.00,0.00,3.00,8.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6358306,8.00,5.00,4.00,7.00,9.00,11.25,3.00,9.00,8.00,NULL,NULL,NULL,'N'),(25,6358314,7.00,8.00,6.00,6.00,8.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6358322,4.00,0.00,1.00,4.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6358349,7.00,8.00,5.00,6.00,10.00,11.63,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6358357,3.00,3.00,0.00,1.00,3.00,7.50,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6358373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6358381,4.00,3.00,2.00,3.00,3.00,6.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6358403,7.00,6.00,4.00,7.00,8.00,9.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6358411,4.00,6.00,3.00,1.00,5.00,5.25,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6358420,1.00,2.00,3.00,1.00,6.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6358438,1.00,4.00,1.00,1.00,6.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6358446,3.00,5.00,2.00,4.00,7.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6358454,2.00,2.00,3.00,3.00,6.00,0.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6358462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6358470,2.00,6.00,0.00,4.00,8.00,10.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6358489,2.00,3.00,1.00,4.00,5.00,6.75,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6358497,6.00,4.00,0.00,3.00,8.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6358500,6.00,4.00,2.00,2.00,4.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6358519,7.00,7.00,5.00,4.00,8.00,11.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6358535,2.00,7.00,1.00,3.00,7.00,9.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6358543,2.00,0.00,2.00,3.00,5.00,7.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6358551,4.00,2.00,1.00,2.00,3.00,6.75,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6358560,2.00,4.00,3.00,7.00,9.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6358594,3.00,5.00,4.00,6.00,6.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6358608,6.00,8.00,1.00,7.00,7.00,9.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6358616,2.00,1.00,0.00,3.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6358632,3.00,4.00,2.00,3.00,7.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6358640,1.00,4.00,3.00,3.00,6.00,7.50,0.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6358659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6358667,7.00,5.00,5.00,7.00,7.00,7.88,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6358675,8.00,6.00,1.00,4.00,7.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6358691,8.00,6.00,4.00,6.00,11.00,10.50,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6358705,6.00,6.00,5.00,5.00,8.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6358721,1.00,6.00,2.00,1.00,10.00,NULL,0.00,6.00,4.00,NULL,NULL,'S','N'),(25,6358730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6358748,4.00,5.00,0.00,4.00,7.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6358756,2.00,4.00,0.00,1.00,4.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6358764,2.00,5.00,1.00,2.00,6.00,6.75,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6358772,5.00,7.00,5.00,3.00,8.00,7.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6358780,3.00,8.00,1.00,5.00,9.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6358799,4.00,4.00,2.00,4.00,4.00,10.50,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6358802,2.00,4.00,2.00,1.00,3.00,5.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6358829,2.00,3.00,2.00,3.00,4.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6358837,5.00,5.00,1.00,5.00,9.00,12.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6358845,2.00,4.00,1.00,2.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6358853,5.00,6.00,4.00,5.00,10.00,9.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6358861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6358870,7.00,6.00,5.00,6.00,8.00,11.63,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6358888,2.00,5.00,2.00,4.00,6.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6358896,2.00,2.00,1.00,0.00,3.00,6.38,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6358900,1.00,5.00,2.00,6.00,8.00,9.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6358918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6358926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6358934,4.00,6.00,3.00,5.00,6.00,9.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6358942,2.00,2.00,2.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6358950,8.00,7.00,5.00,7.00,9.00,12.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6358969,5.00,6.00,4.00,4.00,6.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6358977,6.00,6.00,5.00,5.00,7.00,9.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6358993,4.00,3.00,0.00,3.00,6.00,9.00,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6359000,4.00,4.00,3.00,2.00,6.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6359019,4.00,7.00,1.00,6.00,8.00,10.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6359027,5.00,5.00,1.00,6.00,8.00,10.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6359043,5.00,5.00,3.00,6.00,5.00,8.25,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6359051,4.00,4.00,1.00,4.00,9.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6359078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359086,1.00,3.00,1.00,3.00,4.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6359094,5.00,3.00,2.00,2.00,6.00,10.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6359108,4.00,5.00,3.00,3.00,6.00,5.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6359116,3.00,4.00,0.00,7.00,7.00,8.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6359124,3.00,6.00,0.00,5.00,8.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6359132,5.00,7.00,2.00,7.00,6.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6359140,7.00,5.00,3.00,4.00,8.00,7.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6359159,7.00,7.00,4.00,4.00,9.00,7.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6359167,5.00,7.00,5.00,4.00,6.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6359183,4.00,6.00,2.00,7.00,9.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6359191,1.00,5.00,2.00,3.00,3.00,7.13,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6359205,5.00,7.00,1.00,4.00,6.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6359213,4.00,5.00,1.00,3.00,5.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6359221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359230,1.00,4.00,1.00,2.00,5.00,7.50,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6359248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359256,4.00,5.00,2.00,2.00,9.00,5.25,0.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6359264,3.00,2.00,0.00,1.00,4.00,4.88,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6359272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359280,1.00,0.00,0.00,1.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6359299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359302,2.00,4.00,2.00,2.00,4.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6359310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359329,2.00,7.00,1.00,3.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6359337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359353,6.00,4.00,2.00,5.00,8.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6359361,3.00,3.00,0.00,3.00,6.00,11.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6359370,2.00,0.00,1.00,1.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6359388,5.00,5.00,2.00,5.00,7.00,6.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6359400,5.00,7.00,4.00,6.00,9.00,10.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6359418,3.00,4.00,2.00,3.00,6.00,6.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6359434,5.00,4.00,2.00,4.00,7.00,8.25,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6359442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359450,9.00,7.00,6.00,6.00,9.00,10.50,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6359469,5.00,3.00,1.00,5.00,6.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6359477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359493,2.00,5.00,1.00,6.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6359507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359523,4.00,4.00,1.00,3.00,7.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6359531,2.00,6.00,2.00,2.00,4.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6359558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359566,2.00,5.00,3.00,5.00,3.00,7.13,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6359574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359590,2.00,5.00,1.00,1.00,5.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6359604,2.00,3.00,0.00,2.00,3.00,5.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6359612,5.00,3.00,1.00,3.00,6.00,10.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6359639,5.00,6.00,1.00,6.00,10.00,9.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6359647,8.00,6.00,3.00,7.00,9.00,7.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6359655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359663,5.00,6.00,3.00,3.00,6.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6359671,3.00,5.00,4.00,4.00,6.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6359680,5.00,5.00,0.00,3.00,5.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6359698,5.00,6.00,1.00,6.00,6.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6359701,5.00,3.00,5.00,5.00,8.00,8.63,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6359736,2.00,4.00,5.00,3.00,7.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6359744,4.00,5.00,3.00,2.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6359752,6.00,4.00,2.00,7.00,8.00,6.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6359760,3.00,7.00,2.00,4.00,4.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6359779,1.00,3.00,2.00,3.00,4.00,10.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6359787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359795,2.00,3.00,1.00,1.00,3.00,7.88,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6359809,2.00,3.00,2.00,5.00,6.00,5.25,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6359817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359825,3.00,4.00,1.00,2.00,4.00,7.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6359833,5.00,6.00,1.00,5.00,6.00,9.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6359841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359850,0.00,2.00,2.00,3.00,6.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6359876,2.00,2.00,2.00,2.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,'S','N'),(25,6359884,9.00,7.00,6.00,6.00,9.00,9.38,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6359892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359906,5.00,4.00,3.00,6.00,7.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6359914,5.00,5.00,3.00,5.00,6.00,4.88,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6359922,5.00,6.00,4.00,5.00,8.00,7.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6359930,2.00,2.00,2.00,2.00,4.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6359949,1.00,3.00,0.00,2.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6359957,1.00,1.00,1.00,1.00,4.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6359965,3.00,5.00,2.00,2.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6359973,4.00,5.00,2.00,3.00,7.00,10.13,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6359981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6359990,2.00,4.00,2.00,3.00,7.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6360009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6360017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6360025,3.00,6.00,3.00,6.00,10.00,8.63,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6360033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6360041,3.00,4.00,1.00,1.00,4.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6360050,7.00,6.00,1.00,3.00,8.00,9.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6360068,1.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6360076,3.00,3.00,3.00,3.00,6.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6360084,6.00,7.00,2.00,5.00,10.00,8.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6360092,5.00,6.00,1.00,5.00,9.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6360106,2.00,4.00,1.00,1.00,3.00,4.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6360114,6.00,7.00,1.00,5.00,9.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6360130,3.00,8.00,2.00,4.00,7.00,NULL,0.00,5.00,2.00,NULL,NULL,'S','N'),(25,6360149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6360157,8.00,7.00,4.00,6.00,9.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6360165,5.00,3.00,3.00,4.00,7.00,6.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6360173,4.00,4.00,0.00,4.00,7.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6360181,3.00,7.00,3.00,4.00,7.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6360203,7.00,6.00,0.00,3.00,8.00,10.13,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6360211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6360220,5.00,5.00,3.00,2.00,3.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6360238,4.00,0.00,4.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6360246,3.00,7.00,0.00,6.00,10.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6360254,0.00,4.00,2.00,1.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6360262,2.00,4.00,4.00,6.00,8.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6360270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6360289,4.00,5.00,1.00,5.00,5.00,9.75,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6360297,3.00,2.00,0.00,2.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6360300,4.00,3.00,2.00,7.00,8.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6360319,6.00,5.00,0.00,7.00,7.00,9.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6360327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6360335,2.00,4.00,1.00,2.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6360343,6.00,6.00,6.00,5.00,6.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6360351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6360360,0.00,1.00,0.00,0.00,1.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6360378,1.00,3.00,2.00,4.00,5.00,7.50,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6360394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6360408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6360416,5.00,7.00,5.00,5.00,9.00,12.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6360424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6360432,4.00,1.00,3.00,2.00,6.00,7.13,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6360440,2.00,6.00,1.00,3.00,8.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6360459,5.00,4.00,0.00,0.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6360467,4.00,2.00,2.00,2.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6360475,2.00,3.00,1.00,1.00,6.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6360483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6360491,6.00,5.00,2.00,4.00,6.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6360505,4.00,4.00,2.00,3.00,5.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6360513,7.00,4.00,5.00,6.00,10.00,10.13,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6360521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6360530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6360548,5.00,5.00,1.00,5.00,6.00,NULL,0.00,6.00,2.00,NULL,NULL,'S','N'),(25,6360556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6360572,2.00,6.00,3.00,4.00,8.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6360580,6.00,6.00,4.00,4.00,6.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6360599,1.00,4.00,3.00,5.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6360602,2.00,5.00,3.00,2.00,3.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6360610,5.00,0.00,2.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6360629,4.00,7.00,3.00,5.00,7.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6360637,5.00,6.00,1.00,7.00,7.00,8.63,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6360645,3.00,4.00,2.00,4.00,6.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6360653,4.00,4.00,3.00,1.00,4.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6360661,3.00,2.00,2.00,3.00,5.00,6.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6360670,2.00,1.00,2.00,2.00,0.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6360696,3.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6360700,3.00,5.00,3.00,3.00,7.00,6.75,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6360718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6360726,2.00,2.00,3.00,4.00,5.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6360769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6360777,3.00,2.00,3.00,5.00,5.00,7.88,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6360785,2.00,2.00,4.00,1.00,3.00,8.25,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6360793,5.00,7.00,2.00,7.00,8.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6360807,8.00,6.00,2.00,7.00,9.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6360815,1.00,3.00,2.00,3.00,3.00,6.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6360823,2.00,3.00,3.00,3.00,6.00,6.38,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6360840,2.00,2.00,3.00,3.00,6.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6360858,5.00,4.00,1.00,4.00,5.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6360866,1.00,5.00,2.00,2.00,5.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6360874,1.00,4.00,2.00,2.00,5.00,9.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6360882,4.00,6.00,3.00,6.00,5.00,6.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6360890,1.00,2.00,1.00,2.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6360912,3.00,7.00,1.00,4.00,7.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6360920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6360955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6360963,3.00,4.00,4.00,4.00,4.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6360971,2.00,2.00,2.00,1.00,5.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6360980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6360998,8.00,7.00,6.00,5.00,8.00,11.25,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6361005,5.00,7.00,5.00,7.00,9.00,7.88,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6361021,4.00,4.00,6.00,6.00,8.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6361030,3.00,5.00,3.00,5.00,4.00,8.63,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6361048,3.00,4.00,0.00,3.00,5.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6361056,0.00,1.00,1.00,2.00,4.00,7.13,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6361064,3.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6361072,4.00,6.00,1.00,3.00,9.00,10.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6361080,4.00,5.00,1.00,4.00,9.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6361099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361102,7.00,6.00,4.00,5.00,8.00,8.25,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6361110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361137,5.00,4.00,5.00,5.00,7.00,9.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6361145,0.00,2.00,0.00,3.00,3.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6361153,6.00,6.00,0.00,6.00,10.00,9.00,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6361161,3.00,5.00,1.00,6.00,7.00,12.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6361170,2.00,4.00,0.00,3.00,7.00,NULL,2.00,1.00,1.00,NULL,NULL,'S','N'),(25,6361188,6.00,7.00,3.00,7.00,9.00,8.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6361196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361200,5.00,5.00,2.00,5.00,7.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6361218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361234,4.00,5.00,2.00,5.00,7.00,6.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6361242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361250,6.00,7.00,1.00,5.00,8.00,9.38,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6361285,0.00,5.00,4.00,7.00,5.00,NULL,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6361293,3.00,3.00,2.00,2.00,4.00,7.88,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6361307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361358,6.00,8.00,3.00,6.00,9.00,10.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6361366,1.00,6.00,3.00,5.00,6.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6361374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361382,1.00,5.00,3.00,6.00,6.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6361390,3.00,4.00,2.00,5.00,8.00,8.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6361404,2.00,5.00,0.00,5.00,3.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6361412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361420,1.00,3.00,1.00,2.00,3.00,7.50,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6361439,2.00,6.00,1.00,2.00,4.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6361447,1.00,6.00,2.00,4.00,5.00,0.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6361480,3.00,5.00,3.00,4.00,6.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6361498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361501,2.00,2.00,0.00,2.00,5.00,8.63,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6361510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361528,5.00,4.00,1.00,2.00,7.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6361536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361579,6.00,5.00,3.00,5.00,7.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6361595,3.00,5.00,2.00,1.00,4.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6361609,4.00,5.00,0.00,4.00,7.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6361617,1.00,4.00,2.00,3.00,8.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6361625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361650,1.00,1.00,2.00,0.00,3.00,6.75,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6361668,2.00,2.00,0.00,2.00,3.00,7.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6361676,4.00,6.00,3.00,5.00,7.00,10.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6361692,5.00,6.00,2.00,7.00,8.00,8.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6361706,6.00,8.00,7.00,8.00,9.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6361714,4.00,4.00,1.00,2.00,5.00,8.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6361722,4.00,6.00,2.00,3.00,8.00,9.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6361730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361749,2.00,4.00,3.00,2.00,3.00,7.88,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6361757,4.00,5.00,4.00,4.00,5.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6361765,3.00,2.00,1.00,2.00,4.00,6.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6361773,5.00,7.00,3.00,4.00,7.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6361781,2.00,6.00,0.00,4.00,6.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6361790,3.00,5.00,3.00,3.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6361803,4.00,5.00,2.00,2.00,5.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6361820,2.00,1.00,3.00,1.00,3.00,7.50,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6361838,6.00,5.00,3.00,6.00,9.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6361846,6.00,7.00,3.00,7.00,6.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6361854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361862,4.00,3.00,3.00,3.00,5.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6361889,3.00,4.00,2.00,5.00,3.00,6.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6361897,4.00,5.00,0.00,6.00,6.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6361900,1.00,1.00,1.00,3.00,4.00,6.38,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6361927,4.00,3.00,1.00,1.00,4.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6361935,1.00,4.00,2.00,2.00,5.00,7.88,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6361943,7.00,7.00,5.00,6.00,8.00,8.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6361951,7.00,6.00,3.00,6.00,9.00,9.38,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6361960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6361994,3.00,3.00,4.00,1.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6362001,0.00,2.00,0.00,1.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6362010,4.00,6.00,3.00,4.00,3.00,9.38,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6362028,3.00,5.00,1.00,2.00,3.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6362036,3.00,3.00,0.00,2.00,4.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6362044,1.00,5.00,2.00,2.00,7.00,6.75,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6362052,6.00,5.00,5.00,5.00,7.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6362060,6.00,7.00,4.00,5.00,5.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6362079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362087,7.00,7.00,3.00,5.00,6.00,9.38,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6362095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362117,1.00,0.00,0.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6362125,6.00,5.00,3.00,6.00,7.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6362133,8.00,8.00,6.00,5.00,7.00,9.00,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6362141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362150,9.00,6.00,4.00,3.00,8.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6362168,7.00,7.00,4.00,6.00,7.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6362176,5.00,7.00,3.00,3.00,7.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6362184,3.00,6.00,2.00,5.00,7.00,8.63,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6362192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362230,2.00,3.00,4.00,3.00,3.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6362249,4.00,3.00,3.00,3.00,5.00,9.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6362257,8.00,7.00,4.00,4.00,9.00,7.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6362265,4.00,4.00,2.00,4.00,7.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6362273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362281,2.00,3.00,3.00,5.00,1.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6362290,3.00,6.00,0.00,3.00,7.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6362303,7.00,7.00,1.00,5.00,8.00,12.75,2.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6362311,6.00,6.00,8.00,7.00,7.00,8.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6362320,0.00,2.00,1.00,0.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6362338,3.00,7.00,5.00,4.00,3.00,7.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6362354,6.00,7.00,3.00,6.00,9.00,10.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6362362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362389,4.00,7.00,2.00,4.00,9.00,7.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6362397,3.00,5.00,2.00,6.00,3.00,7.88,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6362400,3.00,0.00,3.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6362419,8.00,7.00,3.00,7.00,9.00,10.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6362427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362435,6.00,6.00,2.00,2.00,5.00,7.88,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6362451,7.00,6.00,5.00,6.00,9.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6362486,5.00,6.00,2.00,3.00,7.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6362494,4.00,6.00,2.00,5.00,6.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6362508,2.00,4.00,0.00,7.00,6.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6362524,7.00,5.00,1.00,2.00,9.00,10.13,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6362540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362559,3.00,2.00,1.00,4.00,7.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6362567,2.00,2.00,2.00,2.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6362583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362605,3.00,6.00,1.00,3.00,6.00,7.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6362613,8.00,8.00,5.00,5.00,10.00,11.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6362621,3.00,3.00,3.00,4.00,3.00,9.00,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6362648,8.00,4.00,6.00,7.00,5.00,9.38,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6362656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362664,3.00,3.00,3.00,1.00,6.00,6.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6362672,4.00,7.00,3.00,7.00,11.00,9.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6362680,2.00,2.00,0.00,1.00,1.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6362699,8.00,8.00,6.00,7.00,7.00,10.88,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6362702,4.00,3.00,1.00,2.00,7.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6362710,3.00,6.00,0.00,3.00,5.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6362737,2.00,4.00,3.00,7.00,4.00,6.38,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6362745,7.00,4.00,0.00,6.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6362761,8.00,7.00,6.00,6.00,9.00,9.75,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6362788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362800,3.00,4.00,0.00,5.00,4.00,5.63,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6362818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362826,5.00,7.00,3.00,7.00,7.00,6.75,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6362834,3.00,5.00,3.00,3.00,8.00,7.50,0.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6362842,4.00,5.00,4.00,2.00,6.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6362850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362885,5.00,6.00,3.00,3.00,9.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6362893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362907,6.00,5.00,3.00,4.00,7.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6362915,2.00,4.00,2.00,4.00,5.00,7.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6362923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362931,5.00,7.00,5.00,6.00,7.00,10.88,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6362940,3.00,2.00,1.00,2.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6362958,4.00,4.00,2.00,7.00,7.00,10.50,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6362974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6362982,3.00,5.00,2.00,6.00,5.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6362990,2.00,5.00,3.00,3.00,3.00,6.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6363016,1.00,4.00,0.00,4.00,6.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6363024,2.00,3.00,1.00,3.00,6.00,9.00,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6363032,3.00,5.00,5.00,7.00,6.00,7.50,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6363040,5.00,6.00,1.00,4.00,7.00,5.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6363059,8.00,6.00,2.00,6.00,6.00,11.63,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6363075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6363083,5.00,4.00,1.00,3.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6363105,6.00,6.00,3.00,6.00,11.00,8.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6363113,3.00,6.00,5.00,5.00,7.00,6.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6363121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6363130,6.00,6.00,3.00,6.00,6.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6363148,4.00,5.00,0.00,3.00,7.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6363156,3.00,5.00,3.00,3.00,6.00,7.13,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6363164,3.00,6.00,1.00,4.00,6.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6363172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6363180,4.00,3.00,2.00,4.00,7.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6363199,3.00,4.00,3.00,2.00,8.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6363202,0.00,3.00,2.00,4.00,3.00,6.38,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6363210,2.00,4.00,3.00,5.00,6.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6363229,2.00,5.00,1.00,1.00,3.00,4.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6363237,8.00,6.00,5.00,4.00,8.00,7.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6363245,5.00,6.00,2.00,5.00,8.00,10.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6363253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6363261,6.00,6.00,1.00,5.00,8.00,8.63,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6363270,3.00,5.00,1.00,3.00,7.00,10.13,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6363296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6363300,6.00,6.00,2.00,7.00,8.00,8.25,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6363318,4.00,3.00,1.00,5.00,6.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6363334,4.00,4.00,3.00,5.00,7.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6363350,2.00,4.00,0.00,2.00,6.00,4.50,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6363369,3.00,8.00,3.00,7.00,9.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6363377,4.00,3.00,0.00,4.00,6.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6363393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6363407,2.00,3.00,1.00,2.00,3.00,6.75,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6363423,2.00,6.00,3.00,5.00,5.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6363431,4.00,6.00,1.00,5.00,8.00,10.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6363440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6363458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6363466,4.00,4.00,2.00,4.00,5.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6363474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6363482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6363490,3.00,4.00,0.00,3.00,7.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6363504,2.00,5.00,2.00,3.00,7.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6363512,4.00,5.00,3.00,4.00,4.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6363520,6.00,5.00,2.00,4.00,8.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6363539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6363547,3.00,5.00,0.00,6.00,5.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6363555,4.00,3.00,1.00,4.00,7.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6363563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6363580,4.00,1.00,1.00,4.00,3.00,6.75,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6363598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6363601,5.00,3.00,3.00,5.00,8.00,7.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6363610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6363628,5.00,5.00,1.00,3.00,6.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6363636,2.00,4.00,0.00,6.00,5.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6363644,5.00,4.00,2.00,1.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6363652,2.00,3.00,1.00,3.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6363660,4.00,4.00,4.00,3.00,7.00,12.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6363679,3.00,4.00,3.00,2.00,3.00,8.25,6.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6363687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6363695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6363709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6363717,1.00,5.00,4.00,5.00,2.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6363725,2.00,6.00,0.00,1.00,3.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6363733,4.00,5.00,3.00,4.00,4.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6363741,4.00,4.00,1.00,2.00,6.00,10.13,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6363750,3.00,5.00,2.00,5.00,8.00,NULL,0.00,6.00,1.00,NULL,NULL,'S','N'),(25,6363768,4.00,6.00,4.00,6.00,7.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6363784,3.00,6.00,1.00,7.00,9.00,10.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6363792,4.00,4.00,0.00,3.00,6.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6363806,2.00,6.00,1.00,6.00,6.00,7.50,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6363822,6.00,4.00,0.00,5.00,7.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6363849,2.00,2.00,2.00,0.00,2.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6363857,1.00,4.00,0.00,2.00,3.00,7.13,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6363873,7.00,4.00,6.00,5.00,8.00,8.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6363881,3.00,4.00,2.00,4.00,6.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6363890,3.00,6.00,0.00,4.00,7.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6363903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6363911,4.00,5.00,3.00,5.00,5.00,7.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6363938,2.00,1.00,3.00,4.00,5.00,5.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6363946,3.00,7.00,1.00,4.00,7.00,9.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6363954,2.00,4.00,4.00,4.00,6.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6363962,1.00,3.00,1.00,3.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6363970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6363997,7.00,6.00,5.00,5.00,8.00,8.25,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6364004,4.00,6.00,1.00,6.00,7.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6364012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6364039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6364047,2.00,4.00,0.00,2.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6364055,8.00,5.00,1.00,6.00,7.00,8.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6364063,0.00,3.00,3.00,3.00,3.00,7.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6364071,2.00,4.00,1.00,3.00,6.00,6.75,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6364080,9.00,6.00,5.00,5.00,8.00,8.63,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6364098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6364101,8.00,7.00,5.00,6.00,7.00,9.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6364110,1.00,7.00,5.00,6.00,9.00,10.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6364128,3.00,2.00,0.00,1.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6364136,7.00,5.00,5.00,7.00,8.00,10.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6364144,4.00,6.00,1.00,1.00,9.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6364152,0.00,3.00,1.00,4.00,5.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6364160,4.00,5.00,1.00,6.00,5.00,6.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6364179,2.00,4.00,1.00,5.00,6.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6364187,3.00,5.00,3.00,5.00,6.00,10.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6364195,1.00,5.00,0.00,2.00,2.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6364209,4.00,3.00,4.00,6.00,8.00,11.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6364217,6.00,5.00,1.00,4.00,8.00,9.38,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6364225,2.00,3.00,2.00,5.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6364233,2.00,3.00,2.00,3.00,5.00,4.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6364284,5.00,2.00,3.00,4.00,7.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6364292,3.00,6.00,2.00,3.00,6.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6364306,6.00,7.00,2.00,3.00,9.00,9.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6364314,2.00,5.00,0.00,3.00,7.00,7.50,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6364322,6.00,7.00,1.00,7.00,8.00,10.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6364330,6.00,4.00,5.00,6.00,5.00,10.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6364349,2.00,3.00,2.00,3.00,3.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6364365,3.00,3.00,3.00,3.00,5.00,6.38,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6364373,4.00,2.00,3.00,4.00,5.00,9.75,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6364381,4.00,4.00,0.00,3.00,4.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6364390,2.00,3.00,0.00,1.00,6.00,6.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6364403,2.00,4.00,1.00,1.00,6.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6364420,0.00,5.00,1.00,4.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6364438,8.00,6.00,3.00,6.00,7.00,8.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6364446,4.00,4.00,2.00,4.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6364454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6364462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6364470,4.00,6.00,2.00,2.00,4.00,9.38,1.00,9.00,3.00,NULL,NULL,NULL,'N'),(25,6364497,1.00,5.00,2.00,3.00,3.00,5.63,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6364500,4.00,5.00,1.00,4.00,8.00,10.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6364527,4.00,4.00,1.00,5.00,6.00,8.25,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6364535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6364543,3.00,5.00,2.00,2.00,6.00,8.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6364551,3.00,4.00,1.00,4.00,6.00,6.38,1.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6364560,2.00,4.00,1.00,3.00,7.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6364578,5.00,5.00,1.00,3.00,7.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6364586,4.00,6.00,4.00,6.00,7.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6364594,4.00,4.00,3.00,5.00,4.00,10.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6364608,4.00,2.00,0.00,1.00,4.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6364616,4.00,8.00,0.00,6.00,9.00,NULL,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6364624,4.00,4.00,2.00,5.00,6.00,8.63,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6364632,4.00,6.00,3.00,2.00,4.00,7.50,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6364640,3.00,5.00,3.00,4.00,6.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6364659,3.00,6.00,3.00,2.00,8.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6364675,3.00,4.00,5.00,4.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6364683,8.00,6.00,5.00,4.00,8.00,9.38,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6364691,5.00,7.00,1.00,5.00,8.00,11.25,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6364705,1.00,3.00,2.00,3.00,5.00,6.38,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6364713,2.00,6.00,2.00,3.00,6.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6364721,7.00,7.00,4.00,7.00,8.00,8.25,3.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6364730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6364756,3.00,4.00,2.00,4.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6364764,5.00,4.00,1.00,7.00,8.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6364772,4.00,6.00,4.00,7.00,10.00,7.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6364780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6364802,3.00,5.00,0.00,3.00,4.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6364829,4.00,2.00,0.00,3.00,6.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6364837,4.00,3.00,1.00,2.00,3.00,6.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6364845,5.00,7.00,3.00,7.00,8.00,10.13,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6364853,3.00,3.00,4.00,4.00,6.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6364870,1.00,2.00,3.00,1.00,5.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6364896,1.00,4.00,3.00,3.00,3.00,5.63,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6364900,7.00,5.00,4.00,4.00,8.00,7.88,0.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6364918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6364934,2.00,2.00,1.00,1.00,3.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6364950,3.00,4.00,0.00,1.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6364969,3.00,5.00,2.00,2.00,5.00,6.38,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6364977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6364985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6364993,5.00,7.00,0.00,5.00,6.00,10.13,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6365000,5.00,3.00,5.00,6.00,6.00,6.75,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6365019,5.00,2.00,2.00,5.00,7.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6365027,3.00,5.00,1.00,2.00,5.00,6.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6365035,5.00,7.00,1.00,5.00,7.00,9.00,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6365043,2.00,4.00,0.00,1.00,3.00,7.88,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6365051,2.00,4.00,2.00,3.00,8.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6365078,7.00,5.00,3.00,4.00,6.00,7.50,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6365086,5.00,5.00,2.00,1.00,6.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6365094,7.00,6.00,6.00,6.00,8.00,6.75,1.00,9.00,5.00,NULL,NULL,NULL,'N'),(25,6365124,3.00,5.00,2.00,3.00,6.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6365132,4.00,4.00,2.00,6.00,8.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6365159,5.00,6.00,4.00,3.00,7.00,NULL,1.00,4.00,4.00,NULL,NULL,'S','N'),(25,6365167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6365175,1.00,4.00,2.00,3.00,4.00,7.88,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6365183,1.00,3.00,1.00,2.00,3.00,3.00,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6365191,4.00,5.00,0.00,5.00,8.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6365205,5.00,5.00,2.00,5.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6365213,5.00,5.00,2.00,2.00,4.00,8.25,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6365221,3.00,7.00,0.00,1.00,3.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6365230,3.00,5.00,2.00,5.00,4.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6365248,6.00,7.00,4.00,5.00,10.00,10.88,1.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6365256,8.00,6.00,3.00,7.00,9.00,8.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6365264,5.00,3.00,3.00,4.00,6.00,9.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6365272,1.00,3.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6365280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6365299,9.00,6.00,3.00,6.00,9.00,9.75,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6365302,2.00,3.00,3.00,5.00,7.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6365310,2.00,0.00,0.00,2.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6365329,5.00,5.00,3.00,2.00,7.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6365337,3.00,3.00,1.00,5.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6365345,0.00,5.00,1.00,1.00,4.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6365353,8.00,7.00,4.00,4.00,4.00,8.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6365370,3.00,3.00,1.00,1.00,3.00,5.63,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6365388,2.00,6.00,0.00,2.00,6.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6365396,3.00,3.00,0.00,4.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6365400,3.00,3.00,1.00,3.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6365418,6.00,4.00,3.00,4.00,8.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6365434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6365442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6365450,7.00,4.00,4.00,5.00,7.00,8.25,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6365469,3.00,7.00,1.00,5.00,7.00,12.75,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6365485,2.00,3.00,0.00,2.00,4.00,5.25,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6365493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6365507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6365515,2.00,2.00,1.00,2.00,1.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6365523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6365531,5.00,7.00,2.00,7.00,9.00,8.63,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6365558,1.00,1.00,2.00,0.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6365566,6.00,6.00,3.00,7.00,8.00,7.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6365574,4.00,7.00,5.00,6.00,7.00,7.88,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6365590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6365604,2.00,4.00,4.00,4.00,7.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6365612,3.00,2.00,1.00,1.00,2.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6365620,5.00,7.00,5.00,6.00,9.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6365639,6.00,3.00,0.00,7.00,8.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6365647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6365655,0.00,3.00,0.00,0.00,0.00,NULL,1.00,2.00,0.00,'S',NULL,NULL,'N'),(25,6365663,3.00,4.00,2.00,5.00,7.00,8.25,5.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6365671,2.00,3.00,1.00,4.00,4.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6365680,6.00,8.00,1.00,4.00,7.00,10.50,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6365698,4.00,4.00,3.00,7.00,9.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6365701,3.00,4.00,1.00,4.00,4.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6365710,3.00,3.00,1.00,1.00,3.00,4.88,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6365728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6365736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6365744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6365752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6365779,3.00,3.00,3.00,2.00,7.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6365787,4.00,2.00,0.00,3.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6365795,7.00,3.00,3.00,6.00,8.00,9.38,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6365809,3.00,4.00,2.00,2.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6365817,4.00,4.00,3.00,5.00,6.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6365825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6365833,5.00,6.00,0.00,5.00,7.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6365841,2.00,4.00,0.00,1.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6365850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6365868,7.00,7.00,3.00,4.00,4.00,9.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6365876,6.00,4.00,3.00,3.00,5.00,8.63,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6365884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6365892,3.00,4.00,2.00,2.00,6.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6365906,6.00,3.00,1.00,3.00,7.00,6.38,4.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6365914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6365922,3.00,6.00,4.00,5.00,8.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6365930,7.00,5.00,5.00,6.00,6.00,8.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6365949,3.00,6.00,3.00,7.00,8.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6365957,6.00,6.00,4.00,6.00,9.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6365965,3.00,3.00,1.00,2.00,1.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6365973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6365981,3.00,3.00,0.00,4.00,8.00,8.63,0.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6365990,3.00,4.00,1.00,2.00,4.00,6.75,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6366007,3.00,2.00,3.00,6.00,5.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6366023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6366031,4.00,5.00,3.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6366058,3.00,5.00,1.00,1.00,7.00,7.50,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6366066,4.00,8.00,1.00,5.00,8.00,9.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6366074,3.00,3.00,1.00,2.00,4.00,8.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6366082,3.00,7.00,4.00,4.00,6.00,10.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6366090,8.00,6.00,7.00,7.00,9.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6366104,2.00,4.00,0.00,3.00,6.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6366112,6.00,6.00,6.00,4.00,7.00,6.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6366120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6366139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6366147,3.00,4.00,0.00,5.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6366155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6366163,7.00,4.00,4.00,6.00,6.00,8.63,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6366171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6366180,1.00,4.00,0.00,1.00,7.00,8.25,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6366198,2.00,1.00,2.00,2.00,4.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6366201,4.00,4.00,2.00,3.00,5.00,6.75,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6366210,3.00,4.00,1.00,3.00,3.00,6.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6366228,5.00,5.00,3.00,6.00,8.00,9.00,6.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6366236,6.00,7.00,3.00,4.00,5.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6366244,2.00,6.00,4.00,6.00,8.00,10.13,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6366252,6.00,5.00,5.00,5.00,5.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6366260,5.00,5.00,3.00,4.00,6.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6366279,6.00,5.00,4.00,6.00,10.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6366287,7.00,7.00,4.00,5.00,6.00,10.13,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6366295,4.00,5.00,4.00,0.00,6.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6366309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6366317,2.00,2.00,2.00,2.00,5.00,8.63,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6366325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6366333,2.00,4.00,1.00,3.00,5.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6366341,0.00,0.00,0.00,0.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,'S','N'),(25,6366350,1.00,4.00,1.00,3.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6366368,4.00,5.00,1.00,5.00,5.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6366376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6366384,2.00,6.00,1.00,5.00,7.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6366392,5.00,6.00,2.00,2.00,7.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6366406,4.00,5.00,3.00,5.00,7.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6366414,5.00,6.00,1.00,4.00,6.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6366422,1.00,4.00,0.00,0.00,0.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6366430,5.00,5.00,2.00,5.00,8.00,6.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6366449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6366465,4.00,6.00,2.00,4.00,8.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6366473,5.00,5.00,3.00,4.00,7.00,8.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6366481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6366490,2.00,5.00,3.00,2.00,7.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6366503,4.00,3.00,2.00,3.00,6.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6366520,3.00,6.00,0.00,3.00,4.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6366538,3.00,7.00,2.00,4.00,5.00,5.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6366546,4.00,6.00,3.00,2.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6366554,2.00,5.00,3.00,4.00,8.00,10.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6366570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6366589,3.00,2.00,0.00,4.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6366597,6.00,7.00,3.00,5.00,9.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6366600,2.00,2.00,1.00,4.00,7.00,6.75,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6366619,1.00,7.00,4.00,1.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6366627,4.00,5.00,1.00,4.00,7.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6366635,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6366643,4.00,4.00,1.00,2.00,8.00,10.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6366651,3.00,3.00,3.00,3.00,6.00,6.75,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6366660,2.00,3.00,1.00,3.00,6.00,6.38,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6366686,1.00,1.00,2.00,4.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6366694,7.00,7.00,2.00,6.00,10.00,NULL,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6366708,3.00,5.00,1.00,3.00,6.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6366716,5.00,6.00,2.00,5.00,7.00,7.13,2.00,0.00,7.00,NULL,NULL,NULL,'N'),(25,6366724,2.00,6.00,4.00,4.00,5.00,7.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6366732,3.00,4.00,0.00,5.00,6.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6366740,2.00,4.00,2.00,4.00,4.00,8.63,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6366759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6366767,4.00,4.00,2.00,5.00,5.00,8.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6366775,3.00,7.00,5.00,5.00,7.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6366783,8.00,7.00,3.00,5.00,9.00,10.50,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6366791,5.00,3.00,3.00,6.00,7.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6366805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6366813,3.00,4.00,2.00,3.00,3.00,9.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6366821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6366830,3.00,6.00,3.00,5.00,9.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6366848,8.00,7.00,5.00,6.00,8.00,8.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6366856,4.00,3.00,2.00,6.00,10.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6366864,5.00,7.00,1.00,7.00,11.00,9.38,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6366872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6366880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6366899,2.00,2.00,2.00,2.00,4.00,6.38,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6366910,2.00,6.00,4.00,3.00,7.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6366929,5.00,8.00,1.00,6.00,8.00,10.13,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6366945,6.00,6.00,6.00,7.00,6.00,9.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6366953,6.00,6.00,1.00,6.00,10.00,9.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6366961,3.00,2.00,2.00,5.00,3.00,8.25,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6366970,3.00,3.00,4.00,3.00,8.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6366996,8.00,5.00,6.00,8.00,8.00,9.00,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6367003,2.00,7.00,1.00,7.00,6.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6367011,2.00,0.00,3.00,2.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6367038,3.00,3.00,2.00,2.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6367054,2.00,0.00,1.00,2.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6367062,2.00,4.00,0.00,3.00,5.00,5.63,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6367070,1.00,4.00,1.00,0.00,5.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6367089,4.00,5.00,0.00,4.00,8.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6367097,7.00,7.00,2.00,6.00,10.00,8.63,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6367119,3.00,4.00,0.00,3.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6367127,3.00,5.00,4.00,4.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6367135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6367151,5.00,5.00,2.00,5.00,9.00,9.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6367160,2.00,5.00,0.00,0.00,4.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6367194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6367208,2.00,4.00,2.00,0.00,3.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6367216,2.00,5.00,2.00,6.00,8.00,9.38,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6367224,5.00,7.00,0.00,8.00,7.00,9.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6367232,3.00,6.00,1.00,4.00,7.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6367240,3.00,4.00,3.00,4.00,3.00,7.13,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6367267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6367275,3.00,4.00,2.00,4.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,'S','N'),(25,6367283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6367291,2.00,4.00,3.00,2.00,3.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6367305,2.00,5.00,2.00,3.00,4.00,9.00,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6367313,3.00,1.00,2.00,2.00,5.00,7.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6367330,3.00,3.00,2.00,2.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6367348,6.00,6.00,7.00,6.00,7.00,7.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6367356,4.00,3.00,4.00,2.00,7.00,11.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6367372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6367380,4.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6367399,3.00,2.00,3.00,4.00,6.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6367402,5.00,4.00,1.00,3.00,6.00,7.88,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6367410,1.00,4.00,0.00,2.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6367429,4.00,3.00,0.00,3.00,5.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6367445,6.00,7.00,2.00,6.00,5.00,10.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6367453,9.00,5.00,6.00,7.00,8.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6367461,5.00,5.00,1.00,1.00,6.00,9.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6367470,5.00,4.00,3.00,3.00,7.00,NULL,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6367488,2.00,3.00,1.00,4.00,7.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6367496,5.00,6.00,2.00,2.00,8.00,9.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6367500,4.00,6.00,4.00,5.00,5.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6367518,3.00,5.00,1.00,5.00,8.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6367526,5.00,5.00,1.00,6.00,6.00,10.13,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6367534,3.00,2.00,1.00,1.00,4.00,3.00,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6367542,6.00,5.00,6.00,6.00,4.00,9.38,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6367550,3.00,5.00,0.00,4.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6367569,3.00,6.00,1.00,0.00,7.00,11.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6367577,7.00,2.00,2.00,3.00,6.00,7.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6367585,4.00,1.00,1.00,2.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6367593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6367607,7.00,7.00,5.00,6.00,9.00,10.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6367615,5.00,6.00,1.00,6.00,8.00,7.13,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6367623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6367631,2.00,5.00,1.00,3.00,6.00,9.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6367640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6367666,6.00,4.00,1.00,0.00,6.00,0.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6367682,3.00,6.00,1.00,3.00,5.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6367690,6.00,7.00,5.00,5.00,6.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6367704,2.00,4.00,2.00,5.00,9.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6367712,4.00,3.00,1.00,6.00,8.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6367739,4.00,4.00,1.00,3.00,5.00,4.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6367747,3.00,5.00,3.00,2.00,6.00,7.50,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6367755,4.00,3.00,2.00,4.00,7.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6367763,8.00,7.00,2.00,7.00,10.00,10.50,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6367771,3.00,1.00,4.00,1.00,1.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6367780,3.00,7.00,1.00,6.00,7.00,8.25,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(25,6367798,8.00,8.00,8.00,5.00,9.00,8.63,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6367801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6367810,3.00,5.00,1.00,3.00,7.00,10.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6367844,4.00,3.00,1.00,1.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6367852,7.00,6.00,5.00,1.00,8.00,7.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6367860,9.00,7.00,4.00,7.00,6.00,10.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6367879,6.00,3.00,2.00,5.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6367887,4.00,3.00,1.00,4.00,5.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6367895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6367909,1.00,5.00,4.00,1.00,3.00,6.38,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6367917,2.00,3.00,0.00,1.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6367925,5.00,6.00,6.00,6.00,10.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6367933,5.00,5.00,2.00,6.00,9.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6367950,2.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6367968,2.00,3.00,5.00,3.00,7.00,8.63,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6367976,4.00,4.00,3.00,4.00,8.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6367984,3.00,1.00,1.00,2.00,2.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6367992,3.00,7.00,1.00,5.00,7.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6368000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6368018,3.00,3.00,1.00,2.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6368026,2.00,3.00,0.00,3.00,4.00,6.38,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6368034,3.00,5.00,0.00,5.00,8.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6368042,6.00,6.00,5.00,7.00,6.00,8.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6368050,4.00,5.00,1.00,6.00,7.00,12.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6368069,5.00,6.00,0.00,5.00,7.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6368077,4.00,4.00,3.00,5.00,7.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6368085,2.00,2.00,0.00,2.00,5.00,10.13,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6368093,4.00,1.00,1.00,5.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6368107,4.00,7.00,2.00,4.00,6.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6368115,3.00,2.00,1.00,4.00,3.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6368123,4.00,6.00,3.00,5.00,5.00,11.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6368131,4.00,6.00,2.00,4.00,7.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6368140,6.00,2.00,2.00,3.00,6.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6368158,4.00,3.00,2.00,3.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6368166,5.00,3.00,0.00,3.00,5.00,7.88,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6368174,6.00,6.00,4.00,6.00,9.00,10.13,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6368182,2.00,4.00,2.00,2.00,3.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6368190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6368204,4.00,5.00,1.00,6.00,4.00,11.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6368212,5.00,3.00,4.00,3.00,5.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6368247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6368255,7.00,8.00,3.00,7.00,10.00,9.00,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6368271,5.00,5.00,0.00,7.00,9.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6368280,2.00,6.00,2.00,4.00,7.00,6.75,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6368301,7.00,5.00,0.00,5.00,6.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6368310,7.00,6.00,0.00,7.00,6.00,10.50,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6368328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6368336,1.00,3.00,3.00,1.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6368344,7.00,5.00,6.00,6.00,9.00,8.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6368360,3.00,4.00,1.00,2.00,6.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6368379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6368395,4.00,4.00,0.00,2.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6368409,4.00,5.00,0.00,7.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6368417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6368425,6.00,7.00,4.00,7.00,9.00,9.38,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6368433,3.00,4.00,2.00,0.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6368441,2.00,4.00,0.00,0.00,6.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6368450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6368476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6368484,5.00,3.00,2.00,5.00,7.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6368492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6368506,8.00,5.00,3.00,5.00,9.00,10.88,6.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6368514,5.00,6.00,0.00,6.00,6.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6368522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6368530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6368549,6.00,4.00,4.00,6.00,6.00,10.13,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6368557,3.00,4.00,0.00,3.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6368573,3.00,6.00,4.00,3.00,5.00,7.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6368581,5.00,7.00,4.00,7.00,6.00,9.38,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6368590,5.00,6.00,5.00,8.00,8.00,7.88,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6368603,1.00,3.00,0.00,2.00,5.00,8.25,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6368611,4.00,4.00,2.00,2.00,3.00,7.88,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6368638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6368646,5.00,5.00,2.00,4.00,8.00,6.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6368654,2.00,3.00,0.00,2.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6368662,5.00,7.00,2.00,5.00,4.00,7.88,2.00,5.00,0.00,NULL,NULL,NULL,'S'),(25,6368670,5.00,6.00,5.00,7.00,8.00,11.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6368689,5.00,5.00,2.00,5.00,6.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6368697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6368700,5.00,7.00,3.00,7.00,8.00,5.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6368719,1.00,5.00,4.00,5.00,5.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6368727,3.00,3.00,0.00,2.00,4.00,5.25,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6368735,4.00,5.00,2.00,3.00,8.00,11.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6368743,1.00,0.00,0.00,1.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6368751,1.00,2.00,1.00,5.00,4.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6368760,3.00,5.00,3.00,3.00,7.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6368786,2.00,4.00,2.00,4.00,7.00,7.88,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6368794,1.00,7.00,2.00,1.00,5.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6368808,4.00,7.00,1.00,3.00,5.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6368816,4.00,5.00,2.00,3.00,5.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6368824,8.00,7.00,7.00,7.00,9.00,10.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6368832,4.00,5.00,1.00,5.00,7.00,10.13,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6368840,7.00,6.00,4.00,7.00,8.00,10.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6368859,3.00,2.00,1.00,2.00,4.00,5.63,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6368867,7.00,5.00,2.00,6.00,10.00,7.88,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6368875,3.00,5.00,4.00,7.00,8.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6368883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6368891,7.00,4.00,4.00,4.00,6.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6368905,6.00,6.00,3.00,3.00,9.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6368913,3.00,3.00,2.00,3.00,4.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6368921,3.00,8.00,2.00,5.00,6.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6368930,7.00,7.00,1.00,2.00,5.00,7.88,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6368948,3.00,5.00,2.00,3.00,4.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6368956,2.00,6.00,5.00,4.00,9.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6368964,8.00,8.00,6.00,7.00,10.00,10.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6368972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6368980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6368999,6.00,8.00,5.00,6.00,8.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6369006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6369014,3.00,5.00,1.00,3.00,4.00,10.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6369022,2.00,5.00,0.00,6.00,7.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6369030,1.00,5.00,1.00,3.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6369049,2.00,5.00,1.00,7.00,5.00,5.63,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6369057,5.00,8.00,2.00,7.00,7.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6369065,4.00,6.00,2.00,2.00,5.00,6.00,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6369073,1.00,7.00,5.00,5.00,7.00,8.63,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6369081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6369090,0.00,2.00,0.00,0.00,0.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6369103,4.00,4.00,3.00,0.00,5.00,10.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6369111,5.00,2.00,3.00,6.00,4.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6369138,7.00,7.00,6.00,7.00,9.00,9.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6369146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6369154,3.00,5.00,1.00,2.00,5.00,7.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6369162,2.00,0.00,1.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6369170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6369189,2.00,3.00,3.00,4.00,5.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6369197,2.00,1.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6369200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6369219,3.00,6.00,0.00,5.00,7.00,9.00,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6369227,3.00,4.00,1.00,4.00,6.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6369235,2.00,5.00,3.00,4.00,6.00,5.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6369243,9.00,7.00,7.00,6.00,10.00,10.50,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6369251,6.00,6.00,0.00,5.00,6.00,NULL,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6369260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6369278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6369286,6.00,5.00,3.00,5.00,7.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6369316,1.00,4.00,1.00,1.00,3.00,6.38,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6369324,2.00,6.00,3.00,4.00,9.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6369340,1.00,4.00,0.00,5.00,6.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6369359,2.00,6.00,1.00,4.00,7.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6369367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6369375,3.00,5.00,3.00,4.00,5.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6369383,0.00,2.00,0.00,2.00,6.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6369391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6369405,6.00,7.00,4.00,5.00,9.00,8.63,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6369413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6369421,5.00,5.00,3.00,5.00,7.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6369430,0.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6369448,9.00,6.00,3.00,4.00,10.00,9.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6369456,3.00,5.00,2.00,7.00,7.00,7.13,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(25,6369464,5.00,4.00,1.00,5.00,5.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6369472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6369499,1.00,3.00,3.00,1.00,5.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6369502,3.00,2.00,3.00,3.00,5.00,7.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6369510,3.00,5.00,2.00,6.00,5.00,7.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6369529,6.00,5.00,4.00,6.00,6.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6369537,3.00,3.00,3.00,4.00,6.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6369545,7.00,5.00,4.00,6.00,9.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6369553,4.00,5.00,2.00,3.00,6.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6369561,5.00,3.00,4.00,4.00,5.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6369570,3.00,3.00,2.00,6.00,3.00,6.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6369588,6.00,4.00,4.00,1.00,8.00,8.63,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6369596,2.00,2.00,2.00,2.00,3.00,0.00,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6369600,4.00,6.00,7.00,8.00,9.00,NULL,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6369618,5.00,4.00,1.00,6.00,8.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6369634,3.00,2.00,1.00,3.00,3.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6369642,3.00,7.00,3.00,6.00,9.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6369650,2.00,5.00,2.00,1.00,6.00,5.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6369669,5.00,5.00,2.00,6.00,5.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6369685,2.00,5.00,0.00,4.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6369693,3.00,5.00,3.00,2.00,7.00,6.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6369707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6369715,4.00,4.00,1.00,2.00,3.00,8.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6369723,2.00,3.00,3.00,3.00,4.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6369731,2.00,3.00,1.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6369740,4.00,4.00,2.00,5.00,8.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6369758,0.00,3.00,0.00,1.00,4.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6369766,4.00,6.00,1.00,6.00,9.00,9.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6369774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6369782,8.00,7.00,2.00,5.00,7.00,7.50,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6369790,6.00,7.00,3.00,3.00,7.00,8.63,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6369804,5.00,4.00,5.00,6.00,8.00,9.75,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6369812,4.00,6.00,0.00,6.00,7.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6369820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6369839,1.00,5.00,4.00,4.00,6.00,10.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6369847,8.00,6.00,4.00,8.00,9.00,11.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6369855,0.00,2.00,1.00,3.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6369863,6.00,4.00,3.00,5.00,7.00,10.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6369871,4.00,5.00,2.00,4.00,7.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6369880,4.00,6.00,4.00,6.00,9.00,10.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6369910,3.00,5.00,3.00,1.00,5.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6369928,2.00,2.00,0.00,1.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6369936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6369944,6.00,6.00,2.00,3.00,9.00,10.50,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6369952,7.00,3.00,3.00,6.00,7.00,9.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6369960,2.00,5.00,2.00,2.00,3.00,5.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6369979,4.00,5.00,1.00,4.00,6.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6369987,3.00,3.00,2.00,2.00,7.00,8.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6369995,6.00,5.00,3.00,4.00,7.00,10.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6370004,2.00,3.00,2.00,4.00,5.00,6.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6370012,3.00,2.00,1.00,0.00,4.00,6.38,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6370020,3.00,3.00,1.00,1.00,4.00,7.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6370039,5.00,6.00,0.00,1.00,5.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6370047,3.00,2.00,1.00,2.00,4.00,7.88,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6370055,6.00,6.00,3.00,7.00,9.00,7.88,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6370063,3.00,3.00,2.00,4.00,3.00,4.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6370071,3.00,3.00,2.00,6.00,6.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6370080,2.00,3.00,1.00,5.00,3.00,6.75,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6370098,3.00,6.00,4.00,5.00,6.00,11.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6370101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6370110,4.00,7.00,3.00,5.00,8.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6370128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6370136,4.00,3.00,2.00,4.00,5.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6370144,2.00,4.00,3.00,2.00,5.00,7.13,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6370152,2.00,6.00,3.00,1.00,6.00,7.88,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6370195,6.00,5.00,4.00,5.00,7.00,6.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6370209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6370217,4.00,7.00,3.00,3.00,5.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6370225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6370233,3.00,6.00,1.00,1.00,3.00,6.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6370250,5.00,5.00,4.00,4.00,4.00,8.63,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6370268,6.00,5.00,4.00,7.00,7.00,8.63,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6370284,5.00,5.00,3.00,5.00,7.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6370292,7.00,5.00,2.00,7.00,9.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6370306,0.00,2.00,0.00,0.00,3.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6370314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6370322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6370330,6.00,6.00,2.00,4.00,7.00,9.75,2.00,1.00,8.00,NULL,NULL,NULL,'N'),(25,6370349,5.00,5.00,1.00,5.00,8.00,8.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6370357,2.00,3.00,1.00,4.00,6.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6370365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6370373,1.00,3.00,2.00,3.00,5.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6370381,3.00,5.00,3.00,5.00,7.00,8.25,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6370390,4.00,7.00,2.00,4.00,6.00,6.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6370403,6.00,5.00,2.00,4.00,6.00,6.38,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6370411,1.00,3.00,0.00,2.00,3.00,7.88,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6370420,1.00,4.00,1.00,3.00,4.00,5.63,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6370438,7.00,7.00,3.00,6.00,10.00,12.38,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6370446,5.00,8.00,3.00,6.00,7.00,11.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6370454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6370462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6370470,5.00,5.00,5.00,4.00,7.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6370489,8.00,7.00,8.00,7.00,10.00,10.13,5.00,8.00,10.00,NULL,NULL,NULL,'N'),(25,6370497,1.00,3.00,1.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6370500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6370519,2.00,3.00,1.00,1.00,4.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6370527,6.00,7.00,5.00,5.00,8.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6370535,6.00,8.00,3.00,6.00,7.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6370543,1.00,3.00,2.00,2.00,4.00,8.25,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6370551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6370560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6370578,3.00,4.00,3.00,3.00,4.00,5.63,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6370586,7.00,5.00,2.00,4.00,6.00,9.38,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6370594,7.00,5.00,5.00,4.00,6.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6370608,8.00,5.00,4.00,2.00,7.00,7.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6370624,7.00,6.00,3.00,6.00,9.00,13.13,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6370632,2.00,3.00,1.00,2.00,5.00,9.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6370640,2.00,5.00,2.00,5.00,8.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6370659,3.00,6.00,1.00,1.00,5.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6370667,4.00,5.00,1.00,6.00,8.00,10.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6370675,4.00,7.00,1.00,6.00,7.00,NULL,2.00,4.00,4.00,NULL,NULL,'S','S'),(25,6370683,4.00,2.00,3.00,2.00,5.00,7.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6370691,5.00,3.00,1.00,4.00,9.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6370705,4.00,5.00,0.00,3.00,6.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6370713,5.00,5.00,3.00,5.00,5.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'S'),(25,6370721,1.00,3.00,3.00,4.00,6.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6370730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6370748,2.00,7.00,3.00,2.00,3.00,7.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6370756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6370772,2.00,2.00,0.00,2.00,7.00,6.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6370780,3.00,4.00,1.00,2.00,6.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6370799,2.00,2.00,2.00,5.00,7.00,NULL,0.00,6.00,1.00,NULL,NULL,NULL,'S'),(25,6370802,0.00,3.00,1.00,3.00,4.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6370810,8.00,6.00,2.00,7.00,7.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6370829,4.00,5.00,2.00,6.00,7.00,10.88,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6370837,4.00,4.00,1.00,1.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6370845,4.00,3.00,0.00,1.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6370853,5.00,5.00,3.00,2.00,7.00,7.88,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6370870,4.00,5.00,0.00,3.00,3.00,6.38,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6370888,2.00,6.00,1.00,3.00,5.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6370896,7.00,5.00,3.00,4.00,5.00,9.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6370900,3.00,3.00,3.00,5.00,6.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6370918,3.00,4.00,1.00,3.00,7.00,9.75,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6370926,4.00,2.00,2.00,3.00,5.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6370934,2.00,3.00,0.00,1.00,3.00,4.50,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6370942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6370950,3.00,5.00,1.00,3.00,7.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6370969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6370977,2.00,3.00,3.00,4.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6370985,2.00,3.00,3.00,1.00,5.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6370993,2.00,3.00,2.00,3.00,6.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6371019,7.00,4.00,4.00,5.00,5.00,11.25,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6371035,3.00,6.00,2.00,2.00,7.00,10.88,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6371043,3.00,4.00,3.00,4.00,5.00,7.88,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6371051,2.00,3.00,0.00,2.00,6.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6371060,2.00,3.00,2.00,1.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6371078,7.00,5.00,6.00,7.00,8.00,NULL,1.00,7.00,8.00,NULL,NULL,'S','N'),(25,6371086,3.00,3.00,1.00,3.00,5.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6371094,5.00,6.00,4.00,4.00,7.00,7.13,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6371108,3.00,6.00,4.00,3.00,5.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6371116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6371124,4.00,7.00,3.00,6.00,7.00,8.25,2.00,8.00,4.00,NULL,NULL,NULL,'S'),(25,6371132,4.00,6.00,1.00,6.00,7.00,5.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6371140,3.00,5.00,1.00,3.00,5.00,9.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6371159,4.00,4.00,4.00,4.00,7.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6371175,3.00,4.00,1.00,2.00,4.00,6.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6371191,6.00,6.00,2.00,7.00,10.00,10.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6371205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6371213,0.00,4.00,0.00,0.00,0.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6371221,1.00,3.00,1.00,6.00,6.00,0.00,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6371248,9.00,9.00,5.00,6.00,9.00,8.25,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6371256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6371264,3.00,4.00,3.00,2.00,5.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6371272,5.00,5.00,2.00,6.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6371280,5.00,5.00,2.00,6.00,9.00,9.75,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6371299,3.00,5.00,2.00,6.00,5.00,7.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6371302,7.00,6.00,5.00,6.00,8.00,8.63,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6371310,1.00,6.00,4.00,5.00,5.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6371329,2.00,4.00,1.00,3.00,6.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6371337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6371345,2.00,4.00,0.00,0.00,0.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6371353,2.00,6.00,1.00,3.00,5.00,7.88,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6371361,4.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6371370,5.00,6.00,3.00,6.00,8.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6371388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6371396,4.00,1.00,4.00,2.00,5.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6371400,3.00,3.00,0.00,4.00,5.00,7.13,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6371418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6371426,5.00,4.00,0.00,5.00,7.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6371434,3.00,6.00,5.00,4.00,7.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6371442,2.00,6.00,0.00,6.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6371450,3.00,5.00,1.00,2.00,8.00,8.25,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6371469,4.00,6.00,1.00,3.00,7.00,10.13,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6371477,5.00,6.00,5.00,5.00,5.00,NULL,0.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6371485,1.00,1.00,1.00,1.00,7.00,5.63,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6371493,8.00,7.00,3.00,6.00,8.00,7.13,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6371507,2.00,4.00,3.00,4.00,5.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6371515,2.00,5.00,3.00,3.00,4.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6371523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6371531,5.00,5.00,2.00,6.00,7.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6371540,4.00,6.00,1.00,4.00,6.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6371558,8.00,7.00,5.00,7.00,9.00,7.88,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6371566,3.00,4.00,1.00,3.00,4.00,5.25,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6371574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6371582,4.00,4.00,2.00,4.00,5.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6371590,4.00,2.00,1.00,2.00,4.00,6.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6371604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6371620,6.00,4.00,3.00,5.00,7.00,10.88,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6371639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6371647,3.00,2.00,0.00,1.00,3.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6371655,3.00,4.00,0.00,1.00,3.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6371663,5.00,7.00,3.00,5.00,7.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6371671,5.00,0.00,4.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6371680,4.00,4.00,0.00,4.00,5.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6371701,5.00,4.00,0.00,4.00,4.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6371728,2.00,2.00,1.00,3.00,3.00,7.13,5.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6371736,1.00,4.00,0.00,2.00,3.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6371744,1.00,3.00,0.00,1.00,1.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6371752,7.00,6.00,2.00,4.00,8.00,9.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6371760,3.00,6.00,2.00,8.00,6.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6371779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6371787,4.00,4.00,2.00,2.00,5.00,6.75,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6371795,1.00,6.00,2.00,2.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6371809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6371817,1.00,4.00,0.00,2.00,9.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6371825,2.00,4.00,0.00,4.00,7.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6371833,8.00,5.00,4.00,7.00,6.00,8.25,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6371850,4.00,4.00,0.00,6.00,8.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6371868,3.00,5.00,3.00,3.00,8.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6371876,4.00,3.00,3.00,7.00,6.00,11.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6371884,2.00,4.00,4.00,2.00,8.00,8.63,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6371892,4.00,4.00,3.00,5.00,9.00,11.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6371906,4.00,5.00,4.00,4.00,8.00,8.63,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6371914,4.00,7.00,3.00,4.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6371922,4.00,3.00,3.00,6.00,7.00,NULL,0.00,1.00,3.00,NULL,NULL,'S','S'),(25,6371949,5.00,6.00,3.00,6.00,7.00,10.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6371957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6371965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6371973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6371981,3.00,6.00,3.00,5.00,7.00,10.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6371990,5.00,5.00,4.00,4.00,5.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6372007,5.00,7.00,5.00,7.00,6.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6372015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6372023,3.00,5.00,4.00,4.00,6.00,8.63,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6372031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6372040,3.00,4.00,2.00,4.00,3.00,6.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6372058,4.00,6.00,1.00,3.00,8.00,10.13,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6372066,5.00,6.00,2.00,3.00,6.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6372074,4.00,4.00,1.00,5.00,4.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6372082,3.00,2.00,2.00,6.00,9.00,10.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6372090,4.00,1.00,2.00,6.00,4.00,3.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6372104,8.00,7.00,4.00,6.00,9.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6372112,2.00,3.00,3.00,4.00,5.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6372120,6.00,7.00,6.00,7.00,7.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6372139,5.00,3.00,3.00,4.00,4.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6372147,3.00,5.00,1.00,3.00,3.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6372155,4.00,5.00,2.00,4.00,4.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6372163,2.00,4.00,2.00,3.00,4.00,6.75,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6372171,3.00,5.00,3.00,2.00,5.00,6.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6372180,5.00,4.00,2.00,5.00,7.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6372198,4.00,4.00,1.00,3.00,5.00,6.00,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6372201,7.00,7.00,1.00,6.00,9.00,10.50,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6372210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6372228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6372236,4.00,7.00,2.00,5.00,7.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6372244,4.00,6.00,0.00,4.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6372260,6.00,7.00,2.00,7.00,8.00,7.88,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6372287,5.00,5.00,3.00,4.00,6.00,10.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6372295,4.00,1.00,1.00,1.00,5.00,8.63,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6372309,5.00,7.00,5.00,5.00,9.00,NULL,1.00,8.00,1.00,NULL,NULL,'S','N'),(25,6372325,5.00,4.00,0.00,5.00,4.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6372333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6372368,6.00,6.00,4.00,5.00,7.00,11.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6372376,3.00,5.00,2.00,6.00,7.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6372384,3.00,5.00,1.00,4.00,5.00,10.50,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6372392,5.00,6.00,1.00,4.00,7.00,8.63,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6372406,2.00,5.00,1.00,4.00,5.00,5.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6372414,8.00,5.00,3.00,5.00,7.00,9.75,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6372422,5.00,5.00,1.00,3.00,9.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6372430,3.00,4.00,4.00,3.00,5.00,8.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6372449,1.00,3.00,2.00,2.00,5.00,NULL,0.00,5.00,0.00,NULL,NULL,'S','N'),(25,6372457,4.00,4.00,1.00,2.00,8.00,5.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6372465,3.00,3.00,2.00,6.00,5.00,6.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6372473,6.00,5.00,3.00,5.00,6.00,9.75,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6372481,4.00,3.00,1.00,2.00,3.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6372490,6.00,7.00,4.00,4.00,9.00,8.25,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6372503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6372520,4.00,2.00,1.00,3.00,5.00,8.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6372538,3.00,1.00,0.00,3.00,3.00,6.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6372546,8.00,6.00,4.00,7.00,9.00,6.75,3.00,2.00,8.00,NULL,NULL,NULL,'N'),(25,6372554,5.00,5.00,3.00,6.00,8.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6372562,8.00,6.00,4.00,7.00,7.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6372570,6.00,5.00,2.00,3.00,3.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6372589,6.00,7.00,3.00,5.00,7.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6372597,3.00,3.00,2.00,3.00,4.00,6.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6372600,3.00,4.00,2.00,7.00,3.00,10.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6372619,0.00,2.00,1.00,2.00,4.00,7.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6372627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6372643,5.00,4.00,1.00,3.00,5.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6372651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6372660,5.00,6.00,5.00,7.00,9.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6372678,3.00,4.00,3.00,4.00,6.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6372686,3.00,6.00,3.00,4.00,4.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6372694,4.00,4.00,0.00,3.00,7.00,8.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6372708,1.00,3.00,1.00,6.00,5.00,7.50,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6372716,5.00,3.00,2.00,3.00,3.00,7.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6372724,6.00,6.00,0.00,5.00,5.00,9.00,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6372732,6.00,7.00,4.00,6.00,8.00,7.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6372740,8.00,7.00,4.00,4.00,10.00,10.88,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6372759,7.00,7.00,4.00,6.00,10.00,11.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6372783,6.00,5.00,1.00,6.00,7.00,10.13,2.00,7.00,7.00,NULL,NULL,NULL,'S'),(25,6372791,3.00,2.00,2.00,5.00,6.00,9.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6372813,4.00,7.00,3.00,7.00,6.00,9.38,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6372821,7.00,5.00,4.00,3.00,7.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6372830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6372848,8.00,7.00,4.00,7.00,8.00,11.63,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6372864,2.00,4.00,1.00,2.00,5.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6372872,2.00,3.00,3.00,3.00,5.00,6.75,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6372880,2.00,6.00,3.00,7.00,7.00,11.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6372899,3.00,4.00,0.00,2.00,8.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6372902,2.00,2.00,1.00,0.00,5.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6372910,1.00,4.00,3.00,4.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,'S','S'),(25,6372929,2.00,1.00,0.00,2.00,3.00,1.88,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6372937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6372945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6372953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6372961,2.00,2.00,1.00,2.00,8.00,5.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6372970,8.00,5.00,4.00,4.00,3.00,9.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6372996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6373003,4.00,4.00,0.00,5.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,'S','N'),(25,6373011,4.00,4.00,2.00,4.00,6.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6373020,3.00,2.00,0.00,4.00,8.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6373038,3.00,2.00,3.00,4.00,5.00,9.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6373046,3.00,0.00,0.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6373062,3.00,3.00,0.00,3.00,6.00,6.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6373097,4.00,6.00,4.00,3.00,8.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6373100,3.00,3.00,1.00,3.00,7.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6373119,3.00,3.00,2.00,6.00,5.00,9.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6373127,4.00,3.00,1.00,4.00,5.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6373135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6373151,4.00,4.00,2.00,3.00,6.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6373178,5.00,3.00,3.00,6.00,4.00,9.38,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6373186,2.00,3.00,2.00,3.00,6.00,6.38,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6373194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6373216,2.00,2.00,3.00,2.00,7.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6373224,3.00,4.00,4.00,3.00,7.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6373232,3.00,3.00,3.00,3.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6373240,4.00,5.00,3.00,2.00,5.00,5.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6373259,3.00,4.00,0.00,6.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6373267,4.00,6.00,3.00,4.00,8.00,10.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6373283,2.00,6.00,0.00,3.00,7.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6373291,0.00,1.00,1.00,2.00,4.00,8.25,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6373305,2.00,4.00,2.00,3.00,7.00,7.88,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6373313,7.00,5.00,5.00,4.00,8.00,6.38,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6373321,4.00,6.00,3.00,5.00,7.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6373330,2.00,4.00,3.00,3.00,3.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6373348,3.00,2.00,2.00,0.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6373356,3.00,3.00,2.00,3.00,4.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6373364,0.00,5.00,0.00,0.00,0.00,NULL,1.00,4.00,1.00,'S',NULL,NULL,'N'),(25,6373372,4.00,2.00,2.00,3.00,5.00,5.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6373399,5.00,6.00,3.00,4.00,6.00,8.63,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6373402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6373429,6.00,4.00,2.00,6.00,7.00,NULL,0.00,8.00,1.00,NULL,NULL,NULL,'N'),(25,6373437,3.00,6.00,2.00,3.00,7.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6373445,1.00,3.00,4.00,4.00,6.00,7.13,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6373453,8.00,7.00,5.00,5.00,8.00,12.38,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6373470,5.00,5.00,4.00,5.00,5.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6373488,1.00,2.00,3.00,3.00,4.00,7.88,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6373496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6373518,5.00,6.00,1.00,4.00,8.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6373526,2.00,3.00,0.00,2.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6373534,5.00,3.00,4.00,3.00,6.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6373542,2.00,4.00,2.00,4.00,4.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6373550,5.00,8.00,6.00,7.00,10.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6373569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6373577,4.00,4.00,3.00,2.00,3.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6373593,5.00,5.00,2.00,5.00,8.00,9.00,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6373607,5.00,5.00,2.00,3.00,4.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6373615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6373623,8.00,6.00,4.00,7.00,10.00,9.00,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6373631,3.00,3.00,1.00,3.00,7.00,7.88,1.00,4.00,0.00,NULL,NULL,NULL,'S'),(25,6373640,4.00,6.00,3.00,4.00,5.00,10.13,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6373658,3.00,4.00,2.00,2.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,'S','N'),(25,6373666,3.00,4.00,2.00,3.00,6.00,7.13,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6373674,2.00,7.00,1.00,3.00,5.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6373682,2.00,4.00,0.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6373704,5.00,7.00,4.00,6.00,9.00,10.50,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6373712,4.00,5.00,4.00,6.00,10.00,9.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6373720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6373739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6373747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6373763,2.00,5.00,1.00,3.00,8.00,8.25,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6373771,4.00,8.00,2.00,2.00,9.00,12.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6373780,4.00,4.00,0.00,3.00,4.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6373798,3.00,5.00,3.00,2.00,3.00,5.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6373801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6373810,5.00,4.00,2.00,5.00,8.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6373828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6373836,7.00,5.00,4.00,6.00,7.00,11.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6373844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6373879,5.00,6.00,4.00,6.00,10.00,10.88,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(25,6373887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6373895,2.00,2.00,2.00,2.00,3.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6373909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6373925,4.00,0.00,3.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6373933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6373941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6373950,4.00,8.00,3.00,6.00,8.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6373968,6.00,7.00,1.00,4.00,7.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6373976,2.00,5.00,6.00,1.00,4.00,5.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6373984,1.00,1.00,2.00,1.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6373992,6.00,4.00,4.00,4.00,8.00,7.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6374000,2.00,4.00,3.00,4.00,4.00,6.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6374018,2.00,3.00,1.00,3.00,3.00,6.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6374026,1.00,4.00,1.00,1.00,3.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6374034,3.00,7.00,3.00,5.00,5.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6374050,7.00,6.00,5.00,4.00,8.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6374069,0.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6374077,3.00,2.00,1.00,3.00,6.00,5.25,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6374085,6.00,7.00,4.00,8.00,9.00,10.50,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6374107,2.00,4.00,3.00,3.00,6.00,6.75,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6374115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6374123,5.00,5.00,4.00,6.00,9.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6374131,4.00,6.00,2.00,5.00,5.00,6.75,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6374140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6374166,2.00,0.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6374182,1.00,4.00,0.00,2.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6374204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6374212,5.00,5.00,2.00,4.00,8.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6374220,2.00,4.00,1.00,4.00,4.00,7.88,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6374239,5.00,4.00,2.00,2.00,8.00,NULL,0.00,4.00,2.00,NULL,NULL,'S','N'),(25,6374247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6374255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6374271,1.00,3.00,1.00,3.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6374280,1.00,3.00,2.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6374298,1.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6374301,7.00,7.00,6.00,6.00,9.00,10.13,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6374310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6374336,2.00,4.00,1.00,4.00,3.00,0.00,1.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6374344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6374352,4.00,7.00,3.00,5.00,4.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6374360,2.00,2.00,1.00,1.00,5.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6374379,3.00,3.00,1.00,1.00,5.00,9.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6374387,3.00,3.00,3.00,5.00,5.00,7.13,1.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6374395,2.00,3.00,2.00,2.00,4.00,10.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6374409,6.00,6.00,3.00,5.00,8.00,10.13,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6374417,5.00,6.00,2.00,4.00,7.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6374425,2.00,4.00,4.00,5.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6374433,3.00,7.00,3.00,2.00,3.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6374441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6374468,1.00,3.00,0.00,2.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6374476,4.00,1.00,3.00,3.00,5.00,8.63,3.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6374484,4.00,6.00,1.00,2.00,7.00,10.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6374492,2.00,3.00,2.00,1.00,5.00,7.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6374506,3.00,4.00,3.00,3.00,7.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6374514,7.00,5.00,4.00,5.00,6.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6374522,4.00,6.00,3.00,5.00,4.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6374530,3.00,6.00,2.00,4.00,7.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6374549,4.00,4.00,3.00,3.00,8.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6374557,0.00,4.00,0.00,0.00,0.00,NULL,0.00,3.00,4.00,'S',NULL,NULL,'S'),(25,6374573,4.00,3.00,1.00,6.00,5.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6374581,4.00,7.00,2.00,6.00,8.00,9.38,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6374603,6.00,3.00,0.00,2.00,4.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6374611,2.00,6.00,2.00,4.00,8.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6374620,7.00,6.00,4.00,6.00,6.00,9.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6374638,3.00,4.00,2.00,4.00,5.00,4.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6374654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6374662,5.00,3.00,1.00,5.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6374670,8.00,2.00,3.00,2.00,6.00,7.88,4.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6374689,7.00,7.00,3.00,6.00,6.00,9.00,3.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6374697,6.00,2.00,3.00,5.00,8.00,5.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6374700,1.00,4.00,0.00,1.00,3.00,8.25,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6374719,1.00,0.00,1.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6374727,3.00,5.00,0.00,4.00,6.00,10.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6374735,3.00,4.00,1.00,5.00,7.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6374743,4.00,7.00,4.00,5.00,6.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6374751,2.00,4.00,0.00,3.00,5.00,9.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6374760,5.00,5.00,0.00,2.00,8.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6374778,4.00,3.00,1.00,1.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6374786,8.00,8.00,4.00,7.00,8.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6374794,4.00,5.00,0.00,3.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6374808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6374816,5.00,8.00,4.00,6.00,7.00,10.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6374824,2.00,5.00,1.00,4.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6374832,6.00,6.00,5.00,3.00,7.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6374840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6374859,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6374867,5.00,5.00,3.00,4.00,6.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6374875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6374883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6374891,1.00,3.00,3.00,3.00,3.00,4.88,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6374905,2.00,4.00,2.00,3.00,6.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6374913,4.00,4.00,0.00,6.00,5.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6374921,3.00,7.00,1.00,6.00,6.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6374930,3.00,3.00,1.00,2.00,3.00,4.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6374948,4.00,3.00,2.00,5.00,6.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6374972,1.00,4.00,2.00,3.00,5.00,6.75,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6374980,3.00,6.00,1.00,7.00,7.00,9.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6374999,2.00,4.00,2.00,3.00,6.00,6.38,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6375006,4.00,4.00,2.00,3.00,7.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6375014,3.00,2.00,2.00,1.00,3.00,4.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6375022,4.00,4.00,2.00,4.00,5.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6375030,6.00,8.00,3.00,5.00,10.00,8.63,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6375049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375057,5.00,6.00,1.00,5.00,7.00,11.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6375065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375073,3.00,4.00,1.00,1.00,5.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6375081,3.00,5.00,4.00,3.00,7.00,10.13,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6375090,2.00,4.00,4.00,5.00,5.00,8.63,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6375103,2.00,3.00,2.00,1.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6375111,2.00,2.00,0.00,2.00,6.00,7.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6375120,3.00,3.00,2.00,1.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6375138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375146,5.00,3.00,0.00,3.00,3.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6375154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375162,3.00,4.00,0.00,3.00,5.00,10.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6375170,3.00,1.00,1.00,3.00,6.00,4.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6375189,8.00,7.00,6.00,6.00,8.00,10.88,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6375197,3.00,2.00,1.00,6.00,3.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6375200,3.00,3.00,1.00,3.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6375219,2.00,5.00,3.00,4.00,6.00,4.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6375227,3.00,6.00,3.00,2.00,7.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6375235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375278,6.00,7.00,1.00,3.00,7.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6375286,8.00,7.00,6.00,7.00,8.00,10.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6375294,8.00,7.00,3.00,6.00,7.00,7.13,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6375308,1.00,2.00,0.00,4.00,2.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6375316,1.00,2.00,1.00,3.00,5.00,6.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6375324,2.00,2.00,2.00,2.00,5.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6375332,5.00,3.00,3.00,4.00,9.00,8.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6375340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375383,3.00,4.00,2.00,4.00,6.00,10.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6375391,4.00,5.00,0.00,1.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6375405,4.00,5.00,0.00,2.00,9.00,7.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6375413,3.00,2.00,1.00,5.00,3.00,10.13,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6375421,3.00,6.00,3.00,4.00,5.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6375430,6.00,4.00,4.00,4.00,9.00,7.88,2.00,6.00,6.00,NULL,NULL,NULL,'S'),(25,6375448,3.00,5.00,2.00,3.00,3.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6375456,6.00,6.00,5.00,5.00,3.00,7.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6375464,3.00,3.00,0.00,2.00,6.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6375529,1.00,4.00,3.00,3.00,6.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6375537,1.00,2.00,0.00,2.00,0.00,NULL,2.00,0.00,0.00,NULL,NULL,'S','N'),(25,6375545,7.00,8.00,6.00,6.00,8.00,9.00,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6375553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375570,3.00,5.00,1.00,2.00,7.00,9.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6375588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375596,4.00,3.00,1.00,3.00,5.00,10.88,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6375600,2.00,4.00,0.00,0.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6375618,6.00,7.00,2.00,5.00,5.00,11.63,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6375626,3.00,3.00,1.00,3.00,6.00,10.13,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6375634,3.00,2.00,2.00,3.00,5.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6375642,2.00,5.00,0.00,0.00,5.00,5.63,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6375669,2.00,4.00,0.00,0.00,4.00,NULL,0.00,6.00,1.00,NULL,NULL,'S','N'),(25,6375677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375685,1.00,6.00,2.00,2.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6375693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375707,3.00,5.00,0.00,5.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6375715,3.00,2.00,2.00,3.00,5.00,7.13,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6375723,4.00,4.00,0.00,6.00,7.00,10.13,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6375731,3.00,5.00,1.00,3.00,4.00,10.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6375758,3.00,4.00,2.00,4.00,9.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6375766,7.00,4.00,4.00,5.00,8.00,10.88,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6375774,5.00,2.00,0.00,3.00,4.00,9.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6375782,3.00,4.00,2.00,5.00,6.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6375790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375804,2.00,3.00,1.00,4.00,6.00,6.38,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6375812,5.00,5.00,2.00,6.00,8.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6375820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375839,0.00,6.00,0.00,1.00,6.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6375847,4.00,6.00,3.00,4.00,6.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6375855,5.00,4.00,3.00,1.00,6.00,6.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6375863,5.00,3.00,1.00,6.00,5.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6375871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375898,2.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'S'),(25,6375901,2.00,1.00,2.00,4.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6375936,3.00,7.00,1.00,6.00,8.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6375944,3.00,2.00,3.00,3.00,5.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6375952,4.00,5.00,2.00,6.00,7.00,7.13,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6375960,1.00,3.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6375979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6375995,3.00,3.00,1.00,3.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6376002,4.00,7.00,0.00,7.00,6.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6376010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6376029,6.00,4.00,2.00,6.00,6.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6376045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6376053,3.00,3.00,4.00,4.00,6.00,7.13,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6376070,2.00,5.00,1.00,4.00,4.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6376088,3.00,7.00,2.00,3.00,8.00,9.00,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6376096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6376100,7.00,4.00,3.00,4.00,9.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6376118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6376126,4.00,6.00,1.00,5.00,8.00,12.75,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6376134,1.00,5.00,1.00,3.00,5.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6376142,1.00,2.00,0.00,1.00,4.00,3.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6376150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6376177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6376185,2.00,3.00,1.00,2.00,4.00,5.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6376193,9.00,6.00,6.00,4.00,8.00,9.38,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6376207,1.00,4.00,2.00,2.00,8.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6376215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6376223,5.00,2.00,1.00,6.00,4.00,8.25,0.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6376231,2.00,2.00,0.00,2.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,'S','N'),(25,6376240,2.00,4.00,3.00,3.00,4.00,7.88,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6376258,4.00,4.00,2.00,4.00,6.00,3.00,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6376266,2.00,2.00,2.00,3.00,5.00,3.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6376274,3.00,3.00,1.00,2.00,3.00,6.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6376282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6376290,1.00,0.00,2.00,0.00,3.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6376304,5.00,4.00,3.00,3.00,6.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6376312,3.00,3.00,2.00,0.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,'S','N'),(25,6376320,7.00,6.00,3.00,7.00,6.00,6.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6376339,1.00,2.00,3.00,4.00,3.00,8.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6376347,3.00,7.00,1.00,3.00,6.00,7.88,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6376371,3.00,6.00,3.00,6.00,7.00,7.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6376380,4.00,5.00,3.00,6.00,7.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6376398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6376401,3.00,5.00,2.00,4.00,5.00,9.75,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6376410,1.00,3.00,2.00,4.00,6.00,6.38,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6376428,5.00,4.00,1.00,4.00,8.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6376444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6376452,4.00,4.00,6.00,5.00,5.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6376460,5.00,6.00,4.00,4.00,7.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6376479,3.00,6.00,4.00,7.00,8.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6376495,9.00,8.00,2.00,6.00,11.00,11.25,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6376509,2.00,3.00,0.00,1.00,2.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6376517,7.00,8.00,6.00,6.00,6.00,11.25,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6376525,5.00,2.00,1.00,0.00,6.00,4.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6376533,8.00,7.00,2.00,6.00,10.00,6.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6376541,3.00,5.00,1.00,2.00,5.00,6.75,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6376550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6376568,5.00,4.00,2.00,6.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6376576,8.00,7.00,3.00,6.00,9.00,7.88,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6376584,3.00,4.00,4.00,2.00,9.00,8.25,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6376592,1.00,5.00,2.00,4.00,3.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6376606,2.00,6.00,2.00,5.00,8.00,7.88,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6376614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6376622,0.00,4.00,0.00,2.00,3.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6376630,4.00,5.00,4.00,5.00,8.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6376649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6376657,8.00,5.00,6.00,5.00,9.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6376665,3.00,6.00,1.00,0.00,5.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6376673,3.00,7.00,0.00,5.00,7.00,9.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6376681,4.00,6.00,2.00,6.00,6.00,4.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6376690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6376703,3.00,4.00,2.00,2.00,8.00,7.13,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6376711,2.00,2.00,2.00,3.00,3.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6376738,4.00,4.00,3.00,6.00,6.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6376746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6376754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6376762,5.00,4.00,3.00,2.00,9.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6376789,6.00,5.00,5.00,5.00,9.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6376797,1.00,3.00,2.00,2.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6376800,5.00,7.00,1.00,5.00,9.00,8.63,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6376819,3.00,3.00,1.00,5.00,6.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6376827,3.00,6.00,1.00,6.00,6.00,9.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6376835,3.00,4.00,1.00,2.00,7.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6376843,5.00,3.00,2.00,5.00,8.00,10.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6376860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6376886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6376894,2.00,5.00,1.00,3.00,4.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6376908,4.00,5.00,2.00,4.00,3.00,9.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6376916,3.00,4.00,3.00,3.00,6.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6376924,3.00,3.00,0.00,3.00,4.00,6.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6376932,3.00,5.00,2.00,4.00,4.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6376959,3.00,4.00,4.00,4.00,7.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6376967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6376975,5.00,6.00,5.00,6.00,7.00,7.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6376983,5.00,5.00,2.00,5.00,6.00,9.00,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6376991,7.00,8.00,5.00,8.00,9.00,9.38,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6377009,3.00,5.00,0.00,4.00,5.00,8.25,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6377017,5.00,4.00,3.00,6.00,10.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6377025,2.00,2.00,1.00,3.00,1.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6377033,1.00,1.00,1.00,1.00,2.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6377041,2.00,3.00,0.00,4.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6377050,4.00,3.00,3.00,4.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6377068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6377084,3.00,1.00,1.00,1.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6377092,4.00,5.00,1.00,5.00,8.00,0.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6377106,2.00,3.00,1.00,2.00,6.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6377114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6377122,6.00,3.00,5.00,5.00,8.00,NULL,0.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6377130,5.00,3.00,2.00,1.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6377149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6377165,7.00,6.00,6.00,5.00,7.00,7.88,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6377173,8.00,3.00,1.00,4.00,8.00,7.88,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6377181,7.00,5.00,0.00,6.00,7.00,7.88,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6377190,4.00,8.00,4.00,4.00,8.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6377203,3.00,3.00,3.00,3.00,5.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6377211,4.00,3.00,1.00,2.00,5.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6377220,5.00,5.00,7.00,6.00,7.00,9.38,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6377238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6377254,1.00,2.00,1.00,3.00,6.00,8.25,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6377270,1.00,3.00,3.00,2.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6377289,3.00,4.00,2.00,3.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6377297,7.00,6.00,2.00,5.00,6.00,10.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6377300,4.00,2.00,3.00,5.00,5.00,8.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6377319,5.00,6.00,2.00,5.00,6.00,9.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6377327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6377335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6377343,4.00,4.00,5.00,1.00,5.00,6.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6377351,5.00,6.00,5.00,6.00,8.00,11.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6377360,3.00,5.00,3.00,4.00,6.00,7.13,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6377378,2.00,4.00,2.00,3.00,4.00,6.00,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6377386,2.00,3.00,5.00,5.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6377394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6377408,4.00,5.00,2.00,4.00,7.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6377424,4.00,6.00,0.00,4.00,5.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6377432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6377440,5.00,4.00,2.00,6.00,5.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6377459,2.00,2.00,1.00,4.00,3.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6377467,4.00,5.00,6.00,2.00,7.00,6.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6377475,3.00,3.00,1.00,5.00,4.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6377483,3.00,6.00,2.00,5.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6377505,4.00,5.00,0.00,6.00,8.00,9.38,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6377513,3.00,3.00,1.00,4.00,7.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6377521,5.00,8.00,5.00,5.00,8.00,10.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6377530,2.00,2.00,2.00,2.00,4.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6377548,6.00,5.00,0.00,4.00,6.00,10.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6377556,4.00,5.00,2.00,2.00,7.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6377564,2.00,3.00,3.00,3.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6377572,2.00,2.00,2.00,2.00,4.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6377580,2.00,2.00,2.00,2.00,4.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6377599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6377602,4.00,5.00,3.00,7.00,7.00,10.88,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6377610,8.00,7.00,3.00,6.00,10.00,10.88,1.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6377629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6377645,6.00,4.00,1.00,4.00,7.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6377661,8.00,7.00,3.00,6.00,6.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6377670,5.00,4.00,2.00,3.00,4.00,8.25,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6377688,2.00,4.00,1.00,1.00,7.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6377696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6377700,3.00,3.00,4.00,5.00,6.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6377718,3.00,5.00,1.00,2.00,4.00,4.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6377726,8.00,5.00,0.00,7.00,8.00,10.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6377734,2.00,3.00,1.00,2.00,4.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6377742,3.00,6.00,0.00,2.00,4.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6377750,7.00,5.00,2.00,5.00,9.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6377769,2.00,7.00,0.00,1.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6377777,6.00,4.00,3.00,3.00,7.00,10.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6377785,5.00,3.00,1.00,3.00,6.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6377793,2.00,4.00,0.00,0.00,1.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6377807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6377815,8.00,6.00,5.00,5.00,6.00,11.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6377823,3.00,4.00,1.00,3.00,8.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6377831,2.00,3.00,3.00,5.00,9.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6377840,7.00,5.00,5.00,5.00,8.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6377858,4.00,5.00,2.00,4.00,7.00,8.63,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6377866,3.00,2.00,1.00,2.00,4.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6377874,5.00,6.00,2.00,8.00,10.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6377882,8.00,6.00,3.00,5.00,11.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6377890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6377904,3.00,5.00,0.00,3.00,7.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6377920,6.00,6.00,3.00,6.00,7.00,10.88,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6377939,3.00,5.00,1.00,4.00,7.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6377947,5.00,5.00,1.00,2.00,3.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6377955,1.00,3.00,2.00,2.00,4.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6377963,3.00,4.00,0.00,2.00,4.00,6.75,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6377971,2.00,3.00,4.00,3.00,4.00,4.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6377980,1.00,1.00,1.00,3.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6378005,3.00,4.00,0.00,2.00,6.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6378013,3.00,3.00,0.00,5.00,4.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6378021,3.00,5.00,1.00,4.00,6.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6378030,3.00,5.00,0.00,5.00,9.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6378048,3.00,2.00,0.00,2.00,0.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6378064,4.00,2.00,1.00,4.00,4.00,5.63,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6378072,4.00,4.00,3.00,5.00,8.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6378080,2.00,5.00,1.00,1.00,4.00,5.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6378099,3.00,2.00,2.00,4.00,5.00,11.25,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6378102,6.00,7.00,3.00,4.00,7.00,8.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6378110,3.00,3.00,1.00,5.00,6.00,NULL,3.00,2.00,4.00,NULL,NULL,'S','S'),(25,6378145,1.00,6.00,2.00,2.00,4.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6378153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6378161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6378170,5.00,4.00,2.00,6.00,6.00,7.88,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6378200,4.00,4.00,5.00,4.00,7.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6378218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6378226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6378234,2.00,5.00,0.00,5.00,6.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6378242,4.00,4.00,0.00,3.00,6.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6378250,2.00,6.00,3.00,3.00,6.00,10.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6378269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6378277,6.00,5.00,0.00,3.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6378285,2.00,5.00,3.00,6.00,5.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6378293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6378315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6378323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6378331,5.00,4.00,3.00,3.00,5.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6378340,3.00,6.00,2.00,3.00,7.00,6.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6378358,7.00,7.00,3.00,6.00,9.00,9.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6378366,2.00,6.00,2.00,5.00,8.00,6.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6378374,4.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6378390,5.00,6.00,3.00,4.00,8.00,9.38,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6378404,3.00,3.00,2.00,3.00,6.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6378412,5.00,3.00,3.00,5.00,7.00,10.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6378439,3.00,5.00,0.00,3.00,6.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6378447,2.00,3.00,3.00,6.00,4.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6378455,4.00,4.00,1.00,2.00,7.00,10.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6378463,2.00,4.00,1.00,4.00,5.00,6.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6378471,2.00,5.00,3.00,4.00,5.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6378480,3.00,7.00,1.00,7.00,5.00,12.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6378498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6378501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6378510,2.00,3.00,2.00,2.00,7.00,5.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6378536,5.00,5.00,3.00,6.00,5.00,10.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6378544,6.00,4.00,4.00,5.00,8.00,7.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6378552,6.00,7.00,2.00,5.00,8.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6378560,2.00,4.00,3.00,4.00,5.00,6.75,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6378579,6.00,7.00,3.00,6.00,9.00,9.75,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6378595,3.00,6.00,1.00,2.00,5.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6378609,2.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6378617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6378625,6.00,5.00,3.00,6.00,6.00,11.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6378633,5.00,5.00,5.00,3.00,7.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6378650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6378668,8.00,5.00,3.00,5.00,9.00,9.00,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6378676,4.00,6.00,1.00,5.00,6.00,NULL,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6378684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6378706,4.00,4.00,2.00,4.00,6.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6378714,2.00,4.00,0.00,6.00,3.00,5.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6378730,4.00,4.00,1.00,5.00,8.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6378749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6378757,4.00,5.00,3.00,5.00,8.00,10.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6378765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6378773,4.00,6.00,2.00,3.00,6.00,6.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6378781,2.00,6.00,4.00,5.00,8.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6378790,5.00,4.00,1.00,3.00,4.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6378803,5.00,5.00,1.00,2.00,7.00,10.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6378820,2.00,6.00,2.00,5.00,8.00,7.88,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6378838,8.00,7.00,6.00,7.00,8.00,7.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6378854,4.00,4.00,3.00,4.00,7.00,10.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6378862,4.00,4.00,2.00,5.00,4.00,8.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6378870,3.00,2.00,3.00,2.00,1.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6378889,1.00,3.00,1.00,3.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6378897,3.00,3.00,1.00,3.00,4.00,6.75,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6378900,3.00,5.00,3.00,1.00,3.00,6.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6378919,3.00,4.00,1.00,3.00,6.00,9.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6378927,4.00,4.00,0.00,1.00,9.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6378935,3.00,5.00,3.00,6.00,8.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6378943,3.00,3.00,0.00,3.00,8.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6378951,4.00,3.00,1.00,3.00,7.00,7.88,1.00,0.00,6.00,NULL,NULL,NULL,'N'),(25,6378960,5.00,2.00,0.00,0.00,2.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6378978,4.00,4.00,2.00,5.00,9.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6378986,5.00,6.00,0.00,3.00,8.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6379001,8.00,6.00,4.00,6.00,10.00,10.13,1.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6379010,5.00,4.00,4.00,7.00,7.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6379028,4.00,5.00,7.00,6.00,9.00,9.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6379036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6379044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6379052,4.00,5.00,1.00,4.00,6.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6379060,4.00,5.00,3.00,6.00,10.00,11.25,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6379079,4.00,7.00,4.00,5.00,10.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6379095,2.00,4.00,1.00,4.00,7.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6379109,7.00,8.00,6.00,7.00,9.00,8.25,1.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6379117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6379125,2.00,5.00,1.00,3.00,5.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6379133,3.00,4.00,1.00,3.00,5.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6379141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6379150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6379168,1.00,4.00,0.00,4.00,4.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6379176,5.00,0.00,2.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6379184,0.00,3.00,1.00,2.00,6.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6379206,2.00,5.00,2.00,4.00,6.00,6.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6379214,2.00,5.00,3.00,6.00,8.00,7.50,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6379222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6379230,8.00,5.00,3.00,7.00,7.00,10.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6379249,4.00,7.00,1.00,7.00,8.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6379257,8.00,5.00,3.00,7.00,7.00,9.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6379265,3.00,6.00,0.00,5.00,3.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6379273,9.00,8.00,5.00,6.00,11.00,12.75,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6379281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6379290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6379303,4.00,2.00,2.00,3.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6379311,2.00,1.00,0.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6379320,3.00,5.00,1.00,7.00,7.00,9.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6379338,5.00,6.00,0.00,7.00,7.00,NULL,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6379346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6379354,4.00,5.00,4.00,5.00,8.00,8.63,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6379370,5.00,4.00,3.00,5.00,6.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6379389,1.00,4.00,4.00,3.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6379397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6379400,9.00,7.00,5.00,5.00,9.00,9.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6379427,5.00,6.00,2.00,7.00,8.00,11.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6379435,7.00,4.00,6.00,7.00,9.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6379443,4.00,6.00,2.00,5.00,6.00,9.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6379460,6.00,6.00,3.00,4.00,7.00,8.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6379478,2.00,3.00,0.00,6.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6379486,3.00,6.00,2.00,5.00,9.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6379494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6379508,4.00,4.00,2.00,6.00,8.00,10.88,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6379516,2.00,5.00,4.00,3.00,5.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6379524,6.00,7.00,2.00,7.00,9.00,9.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6379532,2.00,4.00,0.00,1.00,6.00,8.63,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6379540,5.00,6.00,4.00,4.00,7.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6379559,4.00,6.00,0.00,4.00,5.00,8.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6379567,7.00,6.00,6.00,6.00,8.00,9.00,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6379575,8.00,6.00,6.00,5.00,8.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6379583,4.00,5.00,0.00,3.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6379591,8.00,7.00,4.00,6.00,10.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6379605,7.00,5.00,2.00,3.00,8.00,13.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6379613,6.00,5.00,2.00,4.00,7.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6379621,4.00,7.00,2.00,6.00,8.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6379630,2.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6379648,0.00,6.00,1.00,4.00,7.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6379656,8.00,5.00,7.00,6.00,9.00,10.88,6.00,6.00,10.00,NULL,NULL,NULL,'N'),(25,6379672,4.00,6.00,0.00,1.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6379680,2.00,2.00,2.00,3.00,4.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6379699,6.00,4.00,1.00,6.00,9.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6379702,2.00,1.00,2.00,4.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,'S','N'),(25,6379710,7.00,4.00,1.00,5.00,6.00,5.25,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6379729,3.00,2.00,2.00,3.00,6.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6379737,1.00,3.00,1.00,2.00,2.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6379745,3.00,5.00,2.00,4.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,'S','N'),(25,6379753,4.00,4.00,1.00,3.00,3.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6379761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6379770,3.00,5.00,0.00,5.00,6.00,NULL,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6379788,6.00,6.00,4.00,5.00,8.00,NULL,3.00,3.00,3.00,NULL,NULL,'S','N'),(25,6379796,4.00,5.00,3.00,4.00,8.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6379800,6.00,6.00,2.00,4.00,6.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6379818,6.00,5.00,2.00,7.00,9.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6379826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6379834,5.00,3.00,5.00,5.00,6.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6379842,1.00,1.00,2.00,3.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6379850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6379869,2.00,5.00,1.00,0.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6379877,4.00,8.00,3.00,4.00,5.00,5.63,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6379885,3.00,4.00,2.00,4.00,6.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6379893,6.00,3.00,2.00,6.00,8.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6379907,6.00,2.00,2.00,3.00,7.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6379915,3.00,5.00,2.00,0.00,5.00,6.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6379923,6.00,4.00,5.00,4.00,10.00,8.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6379931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6379940,4.00,3.00,0.00,1.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6379958,2.00,6.00,0.00,1.00,4.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6379966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6379990,4.00,3.00,2.00,2.00,8.00,8.63,1.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6380018,6.00,6.00,5.00,5.00,5.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6380026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6380034,3.00,3.00,4.00,2.00,8.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6380042,2.00,0.00,4.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6380050,3.00,4.00,3.00,6.00,7.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6380069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6380077,5.00,4.00,1.00,3.00,5.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6380085,2.00,6.00,0.00,3.00,7.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6380093,4.00,0.00,2.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6380107,4.00,6.00,4.00,4.00,7.00,9.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6380115,4.00,2.00,3.00,4.00,5.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6380123,5.00,4.00,4.00,3.00,4.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6380131,3.00,3.00,2.00,4.00,8.00,9.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6380140,4.00,8.00,3.00,4.00,4.00,6.38,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6380158,2.00,4.00,3.00,4.00,8.00,7.88,2.00,1.00,7.00,NULL,NULL,NULL,'N'),(25,6380166,3.00,5.00,0.00,2.00,5.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6380174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6380182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6380190,1.00,1.00,0.00,0.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6380204,2.00,4.00,1.00,2.00,6.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6380212,3.00,6.00,0.00,3.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6380220,2.00,5.00,2.00,3.00,6.00,7.13,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6380239,2.00,5.00,2.00,6.00,4.00,9.00,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6380247,3.00,5.00,3.00,5.00,5.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6380255,6.00,5.00,3.00,4.00,4.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6380271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6380280,7.00,5.00,2.00,5.00,8.00,9.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6380298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6380301,3.00,0.00,3.00,5.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6380310,6.00,7.00,2.00,5.00,9.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6380336,3.00,6.00,0.00,2.00,4.00,6.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6380344,7.00,7.00,6.00,6.00,9.00,11.63,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6380360,7.00,7.00,5.00,6.00,9.00,9.38,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6380379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6380409,3.00,5.00,2.00,3.00,5.00,9.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6380417,3.00,5.00,3.00,4.00,9.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6380433,4.00,3.00,3.00,7.00,7.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6380441,3.00,7.00,5.00,5.00,7.00,10.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6380450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6380468,3.00,4.00,0.00,1.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6380476,8.00,6.00,3.00,7.00,5.00,12.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6380492,6.00,8.00,2.00,7.00,10.00,10.13,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6380506,5.00,5.00,0.00,6.00,7.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6380522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6380549,6.00,7.00,1.00,4.00,6.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6380557,5.00,4.00,5.00,6.00,7.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6380565,5.00,6.00,3.00,6.00,6.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6380573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6380581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6380590,5.00,7.00,2.00,2.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6380611,1.00,3.00,3.00,4.00,5.00,8.63,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6380620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6380638,6.00,2.00,1.00,2.00,5.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6380646,6.00,7.00,4.00,3.00,7.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6380662,2.00,3.00,1.00,0.00,5.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6380670,4.00,5.00,3.00,5.00,9.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6380689,5.00,4.00,4.00,4.00,6.00,NULL,1.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6380697,2.00,4.00,2.00,1.00,5.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6380700,7.00,7.00,5.00,6.00,6.00,9.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6380727,3.00,4.00,3.00,2.00,8.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6380743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6380751,6.00,4.00,2.00,3.00,6.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6380760,4.00,6.00,1.00,5.00,7.00,9.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6380778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6380786,2.00,4.00,0.00,4.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6380794,0.00,3.00,0.00,2.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6380808,5.00,3.00,3.00,4.00,1.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6380816,5.00,4.00,4.00,4.00,8.00,10.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6380824,4.00,2.00,1.00,1.00,5.00,10.13,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6380832,3.00,6.00,0.00,7.00,7.00,7.13,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6380859,4.00,4.00,5.00,5.00,4.00,10.88,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6380867,7.00,7.00,4.00,7.00,9.00,7.50,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6380875,4.00,5.00,5.00,7.00,8.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6380883,4.00,5.00,1.00,3.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6380891,1.00,5.00,3.00,7.00,6.00,8.25,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6380905,3.00,5.00,3.00,4.00,8.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6380921,6.00,3.00,0.00,6.00,7.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6380930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6380948,1.00,2.00,3.00,3.00,5.00,5.25,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6380956,1.00,5.00,1.00,0.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6380964,2.00,3.00,0.00,4.00,7.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6380972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6380999,2.00,5.00,1.00,3.00,7.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6381006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6381014,4.00,5.00,2.00,4.00,4.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6381022,5.00,5.00,3.00,6.00,8.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6381030,3.00,6.00,3.00,4.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6381049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6381057,2.00,3.00,0.00,1.00,3.00,5.63,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6381065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6381073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6381081,3.00,3.00,0.00,2.00,9.00,8.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6381103,5.00,5.00,7.00,4.00,7.00,10.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6381111,3.00,5.00,3.00,6.00,5.00,8.25,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6381120,1.00,2.00,1.00,4.00,7.00,9.00,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6381146,3.00,3.00,3.00,3.00,5.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6381154,3.00,6.00,4.00,5.00,7.00,7.88,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6381162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6381170,4.00,7.00,0.00,1.00,6.00,NULL,2.00,5.00,1.00,NULL,NULL,'S','N'),(25,6381189,4.00,8.00,3.00,2.00,6.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6381197,4.00,4.00,3.00,6.00,7.00,10.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6381200,3.00,5.00,1.00,5.00,8.00,9.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6381219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6381227,5.00,5.00,1.00,2.00,7.00,5.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6381243,6.00,7.00,5.00,4.00,6.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6381251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6381260,3.00,5.00,3.00,4.00,7.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6381278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6381286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6381308,5.00,5.00,1.00,6.00,9.00,9.38,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6381316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6381324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6381332,4.00,6.00,0.00,4.00,6.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6381340,9.00,8.00,3.00,6.00,5.00,9.38,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6381359,8.00,4.00,4.00,4.00,9.00,10.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6381367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6381375,6.00,4.00,5.00,3.00,6.00,9.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6381383,6.00,5.00,0.00,3.00,6.00,10.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6381405,9.00,7.00,4.00,5.00,7.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6381413,7.00,8.00,4.00,6.00,8.00,9.38,0.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6381421,8.00,6.00,1.00,6.00,8.00,11.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6381430,3.00,1.00,3.00,2.00,5.00,9.00,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6381448,2.00,6.00,3.00,7.00,7.00,7.13,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6381456,3.00,3.00,0.00,1.00,6.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6381464,6.00,4.00,0.00,5.00,6.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6381480,4.00,5.00,0.00,4.00,8.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6381499,5.00,7.00,1.00,6.00,9.00,8.63,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6381502,8.00,7.00,3.00,6.00,9.00,10.88,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6381529,2.00,3.00,2.00,4.00,5.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6381545,7.00,7.00,3.00,6.00,6.00,9.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6381553,2.00,4.00,1.00,6.00,6.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6381561,4.00,5.00,1.00,3.00,8.00,6.38,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6381570,5.00,7.00,4.00,7.00,9.00,9.00,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6381588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6381600,2.00,6.00,4.00,5.00,6.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6381618,6.00,6.00,1.00,3.00,5.00,6.38,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6381626,5.00,5.00,1.00,6.00,5.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6381634,5.00,4.00,1.00,6.00,7.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6381642,4.00,3.00,2.00,6.00,8.00,7.13,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6381669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6381677,4.00,7.00,2.00,4.00,5.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6381685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6381693,7.00,7.00,3.00,6.00,10.00,8.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6381707,3.00,3.00,0.00,3.00,5.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6381715,5.00,4.00,1.00,4.00,5.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6381723,3.00,4.00,0.00,3.00,6.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6381731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6381740,4.00,2.00,1.00,4.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6381758,4.00,5.00,2.00,1.00,7.00,6.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6381774,2.00,4.00,0.00,3.00,5.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6381790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6381804,5.00,7.00,2.00,4.00,8.00,7.13,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6381812,4.00,6.00,2.00,6.00,7.00,7.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6381820,2.00,4.00,2.00,0.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6381839,4.00,2.00,1.00,3.00,5.00,11.25,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6381863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6381871,3.00,7.00,1.00,5.00,6.00,8.25,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6381898,7.00,8.00,6.00,6.00,8.00,7.88,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6381901,6.00,6.00,3.00,5.00,8.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6381910,4.00,4.00,1.00,3.00,9.00,8.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6381928,3.00,3.00,1.00,3.00,3.00,5.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6381936,3.00,2.00,3.00,2.00,4.00,NULL,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6381944,2.00,3.00,2.00,1.00,5.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6381952,3.00,3.00,4.00,3.00,5.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6381960,5.00,5.00,0.00,4.00,5.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6381979,2.00,4.00,1.00,3.00,7.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6381987,1.00,5.00,3.00,4.00,4.00,3.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6381995,4.00,4.00,0.00,1.00,6.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6382002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382045,3.00,5.00,3.00,3.00,6.00,6.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6382053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382061,6.00,7.00,4.00,6.00,8.00,10.50,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(25,6382070,2.00,4.00,2.00,3.00,6.00,7.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6382088,6.00,8.00,3.00,5.00,9.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6382096,2.00,4.00,3.00,2.00,2.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6382118,3.00,6.00,3.00,1.00,5.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6382126,5.00,6.00,1.00,5.00,8.00,6.75,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6382134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6382150,6.00,5.00,2.00,6.00,9.00,10.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6382169,6.00,5.00,6.00,6.00,8.00,9.38,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6382177,7.00,5.00,2.00,5.00,9.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6382185,4.00,6.00,2.00,6.00,7.00,8.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6382193,4.00,4.00,4.00,4.00,6.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6382207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382215,3.00,6.00,3.00,7.00,8.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6382223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6382231,8.00,6.00,8.00,7.00,8.00,9.75,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6382258,7.00,7.00,2.00,4.00,8.00,12.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6382266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382312,5.00,8.00,2.00,4.00,8.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6382339,7.00,6.00,4.00,7.00,7.00,8.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6382347,3.00,4.00,0.00,4.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6382355,2.00,4.00,2.00,2.00,7.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6382363,2.00,3.00,0.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,'S','N'),(25,6382371,6.00,7.00,4.00,3.00,9.00,7.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6382380,7.00,6.00,3.00,7.00,7.00,9.00,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6382398,4.00,6.00,5.00,4.00,6.00,10.88,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6382401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382410,1.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6382428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382444,1.00,4.00,1.00,0.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6382452,8.00,8.00,3.00,5.00,7.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6382460,7.00,8.00,4.00,3.00,10.00,7.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6382479,2.00,1.00,0.00,1.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6382487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382495,1.00,3.00,2.00,3.00,3.00,7.50,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6382509,4.00,5.00,2.00,3.00,8.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6382517,6.00,5.00,1.00,5.00,9.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6382525,4.00,5.00,4.00,6.00,5.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6382533,3.00,4.00,2.00,3.00,3.00,6.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6382541,1.00,2.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6382568,5.00,6.00,1.00,2.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6382576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382584,8.00,5.00,3.00,3.00,9.00,8.63,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6382592,7.00,4.00,3.00,4.00,8.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6382614,8.00,6.00,2.00,4.00,10.00,10.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6382622,3.00,3.00,3.00,4.00,5.00,10.13,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6382630,4.00,4.00,1.00,5.00,5.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6382649,5.00,5.00,4.00,3.00,5.00,7.50,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6382657,2.00,2.00,2.00,2.00,5.00,6.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6382665,6.00,7.00,2.00,7.00,3.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6382673,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382681,2.00,4.00,0.00,5.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6382690,4.00,5.00,0.00,5.00,8.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6382720,7.00,7.00,7.00,7.00,10.00,10.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6382738,2.00,6.00,2.00,4.00,4.00,7.88,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6382746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382770,3.00,5.00,2.00,5.00,6.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6382789,3.00,5.00,0.00,4.00,5.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6382797,4.00,2.00,1.00,4.00,4.00,6.00,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6382800,7.00,6.00,4.00,5.00,8.00,12.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6382819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382827,5.00,5.00,1.00,5.00,5.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6382835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382851,2.00,2.00,2.00,1.00,3.00,5.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6382878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382886,2.00,2.00,2.00,2.00,5.00,9.38,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6382894,4.00,4.00,0.00,4.00,5.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6382908,3.00,6.00,3.00,5.00,7.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6382916,3.00,5.00,2.00,5.00,9.00,5.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6382924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382932,2.00,4.00,1.00,4.00,4.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6382940,3.00,3.00,1.00,2.00,4.00,7.50,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6382959,7.00,7.00,2.00,7.00,9.00,6.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6382967,4.00,4.00,2.00,0.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6382975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6382983,3.00,2.00,1.00,1.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6382991,2.00,2.00,3.00,4.00,5.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6383009,1.00,3.00,1.00,2.00,4.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6383017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6383025,6.00,2.00,1.00,6.00,4.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6383033,6.00,5.00,1.00,5.00,8.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6383041,4.00,5.00,1.00,2.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6383050,4.00,7.00,1.00,6.00,8.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6383068,3.00,6.00,0.00,1.00,7.00,10.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6383084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6383092,7.00,8.00,8.00,7.00,6.00,9.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6383106,2.00,8.00,2.00,2.00,5.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6383114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6383122,6.00,5.00,4.00,5.00,6.00,7.50,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6383130,8.00,5.00,4.00,7.00,10.00,9.38,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6383149,5.00,6.00,3.00,5.00,9.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6383157,5.00,4.00,1.00,6.00,7.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6383173,6.00,6.00,3.00,6.00,4.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6383181,5.00,3.00,0.00,1.00,4.00,9.38,4.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6383190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6383203,3.00,3.00,2.00,5.00,7.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6383211,6.00,6.00,3.00,5.00,7.00,12.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6383220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6383246,3.00,4.00,6.00,1.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6383254,3.00,3.00,3.00,1.00,6.00,NULL,4.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6383262,3.00,3.00,1.00,4.00,8.00,7.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6383270,1.00,5.00,2.00,3.00,8.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6383289,2.00,3.00,1.00,2.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6383297,4.00,0.00,0.00,5.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6383300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6383319,5.00,5.00,1.00,4.00,6.00,9.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6383335,3.00,2.00,3.00,4.00,4.00,7.13,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6383343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6383360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6383378,3.00,4.00,4.00,5.00,8.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6383386,5.00,8.00,4.00,5.00,7.00,8.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6383408,3.00,5.00,1.00,3.00,6.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6383416,6.00,3.00,0.00,2.00,8.00,9.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6383424,4.00,5.00,6.00,5.00,6.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6383432,3.00,3.00,1.00,1.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6383440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6383459,3.00,4.00,4.00,3.00,6.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6383467,8.00,8.00,5.00,6.00,10.00,9.38,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6383475,5.00,6.00,4.00,5.00,8.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6383483,9.00,7.00,6.00,5.00,8.00,11.25,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6383505,3.00,3.00,0.00,6.00,6.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6383530,3.00,4.00,2.00,6.00,7.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6383548,3.00,3.00,0.00,5.00,7.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6383556,4.00,6.00,4.00,3.00,6.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6383564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6383572,2.00,3.00,2.00,2.00,3.00,9.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6383580,4.00,3.00,2.00,5.00,8.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6383599,7.00,7.00,2.00,8.00,8.00,8.63,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6383602,5.00,6.00,5.00,5.00,8.00,11.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6383610,1.00,3.00,3.00,5.00,7.00,8.63,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6383629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6383637,1.00,3.00,1.00,0.00,5.00,6.75,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6383645,3.00,5.00,0.00,1.00,4.00,8.25,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6383653,1.00,3.00,0.00,3.00,3.00,6.38,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6383661,7.00,4.00,3.00,4.00,5.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6383670,2.00,6.00,0.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6383688,2.00,5.00,0.00,3.00,6.00,7.13,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6383696,1.00,6.00,2.00,3.00,4.00,7.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6383700,2.00,5.00,2.00,5.00,4.00,7.88,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6383726,2.00,0.00,1.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6383734,5.00,5.00,3.00,6.00,10.00,13.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6383769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6383777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6383785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6383793,2.00,2.00,1.00,2.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6383807,4.00,2.00,3.00,2.00,6.00,6.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6383815,3.00,0.00,2.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6383823,3.00,2.00,2.00,4.00,6.00,9.00,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6383831,3.00,3.00,0.00,2.00,3.00,6.75,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6383840,4.00,4.00,3.00,5.00,8.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6383858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6383890,4.00,5.00,2.00,3.00,5.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6383912,5.00,6.00,0.00,1.00,7.00,6.00,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6383920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6383939,5.00,6.00,2.00,7.00,8.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6383947,3.00,2.00,1.00,6.00,4.00,9.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6383963,5.00,3.00,0.00,7.00,5.00,5.63,1.00,3.00,6.00,NULL,NULL,NULL,'S'),(25,6383971,3.00,4.00,2.00,5.00,8.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6383980,3.00,5.00,3.00,2.00,5.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6383998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6384005,4.00,4.00,1.00,6.00,8.00,8.63,0.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6384013,8.00,6.00,7.00,5.00,7.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6384048,7.00,5.00,1.00,7.00,9.00,10.50,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6384056,3.00,5.00,3.00,6.00,6.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'S'),(25,6384064,4.00,4.00,0.00,6.00,5.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6384072,6.00,6.00,6.00,7.00,8.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6384099,3.00,4.00,3.00,3.00,6.00,7.50,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6384110,4.00,6.00,0.00,6.00,8.00,8.63,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6384137,4.00,4.00,0.00,6.00,8.00,10.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6384145,5.00,5.00,2.00,7.00,10.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6384153,5.00,5.00,3.00,5.00,7.00,9.00,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6384161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6384170,7.00,6.00,4.00,7.00,10.00,9.75,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6384188,4.00,3.00,3.00,3.00,7.00,7.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6384200,4.00,4.00,1.00,5.00,6.00,5.25,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6384218,7.00,6.00,5.00,6.00,8.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6384226,3.00,4.00,3.00,7.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6384234,0.00,3.00,1.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6384242,1.00,4.00,0.00,1.00,7.00,9.00,3.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6384250,2.00,3.00,0.00,1.00,4.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6384269,5.00,5.00,4.00,6.00,9.00,11.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6384277,4.00,4.00,2.00,3.00,3.00,6.75,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6384285,1.00,6.00,0.00,3.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6384293,3.00,5.00,2.00,6.00,8.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6384307,2.00,6.00,1.00,2.00,5.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6384323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6384331,4.00,3.00,3.00,2.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6384340,8.00,6.00,1.00,5.00,7.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6384358,6.00,6.00,2.00,6.00,8.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6384366,4.00,5.00,6.00,4.00,5.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6384374,3.00,5.00,3.00,2.00,4.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6384382,1.00,1.00,3.00,0.00,3.00,3.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6384390,9.00,7.00,5.00,5.00,6.00,7.88,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6384404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6384412,3.00,4.00,2.00,3.00,5.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6384420,2.00,5.00,2.00,4.00,3.00,8.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6384439,4.00,5.00,3.00,4.00,6.00,9.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6384447,6.00,8.00,4.00,7.00,9.00,8.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6384455,5.00,5.00,2.00,4.00,5.00,7.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6384463,7.00,5.00,3.00,6.00,9.00,8.25,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6384471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6384480,2.00,1.00,2.00,3.00,4.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6384498,3.00,5.00,1.00,2.00,4.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6384501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6384510,6.00,7.00,4.00,3.00,7.00,11.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6384536,2.00,4.00,0.00,6.00,6.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6384544,0.00,1.00,3.00,3.00,4.00,4.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6384552,2.00,4.00,2.00,3.00,3.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6384579,4.00,7.00,1.00,5.00,7.00,9.75,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6384587,4.00,2.00,2.00,4.00,4.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6384595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6384609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6384625,3.00,4.00,2.00,0.00,3.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6384633,3.00,7.00,0.00,2.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6384641,5.00,5.00,1.00,5.00,5.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6384650,5.00,6.00,3.00,4.00,8.00,9.00,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6384676,0.00,2.00,0.00,2.00,4.00,4.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6384692,1.00,5.00,3.00,2.00,4.00,4.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6384706,3.00,2.00,3.00,4.00,6.00,8.63,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6384714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6384722,3.00,3.00,2.00,7.00,4.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6384749,2.00,3.00,1.00,3.00,3.00,5.63,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6384757,3.00,4.00,1.00,2.00,4.00,6.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6384765,4.00,3.00,2.00,3.00,7.00,9.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6384773,3.00,6.00,3.00,5.00,8.00,10.50,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6384781,4.00,5.00,1.00,4.00,6.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6384790,2.00,2.00,0.00,4.00,5.00,5.25,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6384803,3.00,7.00,0.00,5.00,7.00,7.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6384811,9.00,4.00,1.00,5.00,8.00,7.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6384854,1.00,2.00,1.00,1.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6384862,3.00,3.00,2.00,3.00,6.00,6.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6384870,5.00,5.00,1.00,5.00,8.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6384889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6384897,1.00,2.00,2.00,5.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6384900,2.00,3.00,0.00,5.00,8.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6384919,3.00,3.00,1.00,4.00,8.00,7.88,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6384935,4.00,3.00,0.00,6.00,5.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6384943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6384951,8.00,8.00,4.00,6.00,9.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6384960,2.00,3.00,1.00,4.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6384978,5.00,5.00,1.00,5.00,4.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6384986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6384994,3.00,5.00,0.00,6.00,5.00,8.25,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6385001,4.00,6.00,1.00,5.00,7.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6385028,1.00,1.00,3.00,3.00,5.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6385036,6.00,7.00,3.00,5.00,5.00,6.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6385044,2.00,4.00,2.00,3.00,4.00,5.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6385052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6385060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6385079,8.00,5.00,3.00,5.00,7.00,9.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6385087,4.00,7.00,1.00,4.00,4.00,7.13,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6385095,2.00,3.00,3.00,3.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6385109,6.00,8.00,6.00,7.00,8.00,12.75,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6385117,3.00,4.00,5.00,2.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6385125,5.00,3.00,2.00,4.00,9.00,9.75,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6385133,4.00,6.00,4.00,3.00,3.00,9.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6385150,6.00,6.00,2.00,6.00,7.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6385168,4.00,2.00,3.00,7.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6385176,3.00,5.00,3.00,1.00,5.00,6.75,1.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6385184,5.00,2.00,4.00,3.00,7.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6385192,6.00,7.00,3.00,5.00,6.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6385206,4.00,4.00,3.00,2.00,7.00,5.63,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6385214,8.00,5.00,2.00,6.00,8.00,9.38,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6385222,1.00,3.00,2.00,1.00,3.00,5.25,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6385230,2.00,1.00,2.00,0.00,0.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6385249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6385257,2.00,4.00,1.00,4.00,7.00,6.75,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6385273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6385303,5.00,6.00,4.00,5.00,8.00,7.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6385311,2.00,3.00,1.00,2.00,3.00,8.25,2.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6385320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6385338,5.00,4.00,2.00,3.00,6.00,7.88,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6385346,6.00,7.00,2.00,5.00,7.00,8.63,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6385362,3.00,5.00,3.00,4.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6385370,1.00,3.00,3.00,4.00,5.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6385389,5.00,3.00,2.00,3.00,9.00,10.88,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6385397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6385400,1.00,2.00,3.00,2.00,5.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6385419,6.00,6.00,4.00,7.00,10.00,11.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6385427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6385435,2.00,5.00,0.00,3.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6385443,1.00,1.00,1.00,2.00,7.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6385451,8.00,7.00,4.00,6.00,7.00,9.00,1.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6385460,5.00,5.00,5.00,5.00,6.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6385478,5.00,3.00,3.00,5.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6385486,2.00,3.00,1.00,3.00,4.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6385494,6.00,8.00,0.00,7.00,10.00,NULL,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6385516,6.00,5.00,3.00,7.00,8.00,7.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6385524,6.00,6.00,4.00,4.00,9.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6385532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6385540,6.00,6.00,4.00,5.00,9.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6385559,5.00,5.00,0.00,6.00,8.00,12.00,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6385567,3.00,5.00,3.00,2.00,6.00,10.13,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6385575,4.00,5.00,3.00,3.00,6.00,5.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6385591,3.00,7.00,2.00,4.00,4.00,7.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6385613,1.00,4.00,5.00,3.00,6.00,7.88,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6385621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6385630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6385648,3.00,4.00,0.00,4.00,6.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6385656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6385664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6385672,2.00,2.00,1.00,1.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6385680,2.00,0.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6385699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6385702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6385710,6.00,6.00,6.00,6.00,9.00,8.63,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(25,6385729,5.00,5.00,3.00,5.00,8.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6385737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6385745,1.00,6.00,1.00,4.00,5.00,9.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6385753,2.00,5.00,2.00,2.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6385761,9.00,7.00,3.00,4.00,6.00,6.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6385770,4.00,4.00,1.00,5.00,7.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6385788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6385796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6385818,2.00,4.00,0.00,4.00,4.00,10.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6385826,7.00,8.00,1.00,7.00,8.00,10.13,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6385834,3.00,7.00,2.00,6.00,5.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6385842,3.00,6.00,0.00,5.00,7.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6385850,3.00,4.00,3.00,4.00,6.00,7.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6385869,6.00,5.00,2.00,5.00,6.00,7.50,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6385877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6385885,6.00,5.00,2.00,4.00,6.00,9.38,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6385893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6385907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6385915,8.00,6.00,2.00,4.00,10.00,9.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6385923,4.00,6.00,3.00,5.00,8.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6385931,4.00,3.00,1.00,4.00,7.00,7.88,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6385966,6.00,6.00,2.00,7.00,9.00,12.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6385974,7.00,6.00,4.00,7.00,7.00,8.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6385982,1.00,1.00,1.00,2.00,3.00,7.13,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6385990,3.00,4.00,3.00,4.00,6.00,5.63,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6386008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6386016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6386024,4.00,8.00,6.00,7.00,8.00,10.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6386032,5.00,2.00,1.00,4.00,7.00,10.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6386040,5.00,4.00,4.00,4.00,5.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6386059,3.00,3.00,4.00,1.00,4.00,5.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6386067,3.00,4.00,2.00,2.00,4.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6386075,3.00,0.00,3.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6386083,7.00,0.00,5.00,7.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6386091,5.00,7.00,2.00,1.00,7.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6386105,4.00,3.00,2.00,5.00,9.00,10.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6386121,4.00,5.00,1.00,7.00,7.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6386148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6386156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6386164,4.00,6.00,3.00,6.00,5.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6386172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6386180,5.00,7.00,2.00,6.00,9.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6386199,3.00,3.00,0.00,1.00,5.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6386229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6386237,6.00,4.00,2.00,4.00,6.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6386253,4.00,6.00,4.00,7.00,10.00,11.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6386261,4.00,6.00,0.00,2.00,7.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6386270,6.00,6.00,4.00,4.00,5.00,8.63,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6386288,5.00,4.00,2.00,3.00,7.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6386296,2.00,4.00,1.00,1.00,5.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6386300,3.00,6.00,3.00,3.00,6.00,8.63,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6386318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6386326,3.00,0.00,0.00,4.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6386334,4.00,3.00,3.00,4.00,9.00,7.13,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6386342,3.00,4.00,1.00,2.00,7.00,11.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6386350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6386369,2.00,7.00,1.00,5.00,10.00,10.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6386377,5.00,2.00,7.00,3.00,5.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6386385,8.00,7.00,5.00,7.00,8.00,5.25,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6386393,3.00,6.00,2.00,3.00,6.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6386407,5.00,3.00,3.00,6.00,8.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6386415,3.00,1.00,2.00,3.00,3.00,4.88,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6386423,3.00,5.00,3.00,3.00,4.00,7.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6386431,2.00,3.00,1.00,2.00,7.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6386440,2.00,5.00,3.00,3.00,8.00,7.88,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6386458,6.00,6.00,0.00,4.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6386466,5.00,4.00,2.00,5.00,4.00,10.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6386474,5.00,4.00,0.00,2.00,5.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6386482,5.00,6.00,4.00,7.00,9.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6386490,2.00,1.00,1.00,0.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6386504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6386512,6.00,4.00,2.00,1.00,5.00,8.25,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6386520,2.00,5.00,0.00,3.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6386539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6386547,3.00,3.00,1.00,4.00,7.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6386555,2.00,2.00,0.00,1.00,4.00,0.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6386563,5.00,7.00,3.00,3.00,7.00,7.50,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6386571,4.00,4.00,2.00,2.00,6.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6386580,8.00,8.00,8.00,8.00,9.00,8.63,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6386598,3.00,6.00,1.00,5.00,6.00,5.25,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6386601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6386610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6386628,1.00,2.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(25,6386652,0.00,3.00,1.00,2.00,5.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6386660,2.00,4.00,3.00,4.00,7.00,7.88,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6386687,8.00,5.00,6.00,6.00,9.00,9.75,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6386695,4.00,5.00,5.00,2.00,5.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6386709,3.00,4.00,1.00,2.00,4.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6386717,6.00,6.00,2.00,7.00,9.00,10.13,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6386733,6.00,5.00,2.00,2.00,6.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6386741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6386750,4.00,5.00,2.00,2.00,4.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6386768,9.00,8.00,6.00,7.00,9.00,10.13,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6386776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6386792,6.00,3.00,4.00,7.00,8.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6386806,4.00,3.00,1.00,5.00,4.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6386822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6386830,5.00,6.00,2.00,3.00,7.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6386849,4.00,5.00,3.00,4.00,7.00,9.38,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6386857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6386873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6386881,5.00,3.00,2.00,3.00,8.00,8.25,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6386890,4.00,4.00,1.00,4.00,6.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6386903,5.00,5.00,2.00,4.00,8.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6386920,5.00,6.00,5.00,7.00,9.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6386938,2.00,2.00,1.00,4.00,5.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6386946,2.00,3.00,2.00,3.00,6.00,9.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6386954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6386962,3.00,2.00,2.00,3.00,6.00,NULL,0.00,0.00,3.00,NULL,NULL,'S','S'),(25,6386970,5.00,7.00,3.00,4.00,10.00,10.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6386989,5.00,5.00,2.00,4.00,8.00,7.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6386997,3.00,4.00,4.00,6.00,5.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6387004,2.00,3.00,1.00,3.00,3.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6387012,4.00,6.00,2.00,7.00,6.00,11.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6387020,3.00,3.00,0.00,4.00,6.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6387039,3.00,4.00,1.00,5.00,6.00,10.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6387047,3.00,2.00,3.00,1.00,5.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6387063,2.00,4.00,1.00,6.00,10.00,7.88,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6387071,6.00,6.00,5.00,5.00,10.00,9.75,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6387080,3.00,6.00,0.00,4.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6387098,2.00,3.00,2.00,2.00,4.00,9.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6387101,3.00,4.00,1.00,3.00,4.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6387110,2.00,6.00,3.00,5.00,7.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6387128,3.00,2.00,1.00,2.00,5.00,6.75,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6387136,5.00,6.00,5.00,6.00,6.00,9.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6387152,4.00,5.00,2.00,5.00,7.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6387160,2.00,5.00,2.00,1.00,5.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6387179,4.00,3.00,1.00,2.00,1.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6387187,4.00,4.00,0.00,5.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6387195,5.00,6.00,2.00,4.00,4.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6387209,9.00,8.00,3.00,6.00,9.00,10.88,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6387217,3.00,4.00,2.00,4.00,7.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6387241,3.00,5.00,1.00,6.00,5.00,8.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6387250,3.00,3.00,0.00,1.00,7.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6387268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6387276,4.00,8.00,4.00,7.00,7.00,10.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6387284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6387292,5.00,6.00,6.00,6.00,8.00,7.88,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6387314,3.00,4.00,3.00,3.00,9.00,11.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6387322,3.00,3.00,1.00,2.00,5.00,9.75,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6387330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6387357,2.00,6.00,2.00,1.00,5.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6387381,4.00,7.00,2.00,6.00,7.00,11.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6387390,7.00,5.00,5.00,6.00,10.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6387403,7.00,4.00,2.00,4.00,6.00,7.50,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6387411,1.00,3.00,0.00,2.00,4.00,9.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6387420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6387446,3.00,7.00,3.00,5.00,7.00,10.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6387454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6387462,3.00,6.00,2.00,3.00,4.00,5.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6387470,3.00,4.00,2.00,6.00,6.00,6.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6387489,3.00,5.00,1.00,3.00,8.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6387497,7.00,5.00,5.00,6.00,8.00,8.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6387500,3.00,4.00,1.00,5.00,8.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6387519,1.00,4.00,3.00,4.00,6.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6387527,3.00,5.00,2.00,2.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6387535,4.00,5.00,4.00,4.00,3.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6387543,9.00,7.00,4.00,6.00,8.00,10.50,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6387551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6387560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6387578,6.00,6.00,5.00,5.00,7.00,6.38,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6387586,8.00,6.00,4.00,6.00,8.00,8.25,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6387594,3.00,4.00,0.00,1.00,4.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6387608,5.00,7.00,2.00,4.00,7.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6387616,7.00,6.00,7.00,7.00,7.00,6.75,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6387632,3.00,7.00,1.00,5.00,8.00,7.50,3.00,4.00,0.00,NULL,NULL,NULL,'S'),(25,6387640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6387659,3.00,3.00,1.00,4.00,6.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6387667,3.00,4.00,3.00,2.00,6.00,9.38,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6387675,3.00,0.00,2.00,3.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6387691,3.00,5.00,1.00,7.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,'S','N'),(25,6387705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6387713,3.00,4.00,4.00,3.00,5.00,10.50,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6387721,6.00,4.00,3.00,2.00,7.00,10.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6387730,6.00,5.00,5.00,5.00,8.00,10.13,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6387748,2.00,1.00,1.00,0.00,4.00,9.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6387756,2.00,6.00,2.00,4.00,4.00,6.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6387764,8.00,8.00,7.00,7.00,9.00,10.88,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6387780,2.00,2.00,1.00,1.00,4.00,9.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6387799,3.00,5.00,2.00,2.00,6.00,7.13,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6387802,2.00,4.00,2.00,2.00,4.00,5.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6387810,3.00,5.00,1.00,6.00,4.00,9.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6387829,2.00,0.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6387837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6387845,2.00,6.00,2.00,5.00,8.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6387853,5.00,4.00,1.00,6.00,7.00,10.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6387861,4.00,4.00,1.00,2.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,'S','S'),(25,6387870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6387888,9.00,4.00,1.00,6.00,10.00,8.63,1.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6387900,4.00,6.00,3.00,5.00,7.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6387918,1.00,3.00,0.00,4.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6387926,4.00,6.00,3.00,6.00,9.00,13.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6387942,3.00,6.00,1.00,2.00,4.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6387950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6387969,2.00,3.00,0.00,2.00,3.00,6.38,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6387977,4.00,4.00,3.00,6.00,8.00,8.63,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6387985,7.00,8.00,6.00,7.00,9.00,11.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6387993,2.00,5.00,2.00,6.00,7.00,10.88,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6388000,4.00,7.00,2.00,4.00,9.00,7.88,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6388019,8.00,6.00,6.00,5.00,9.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6388027,4.00,4.00,2.00,3.00,6.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6388035,3.00,0.00,4.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6388043,2.00,6.00,1.00,3.00,6.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6388051,3.00,5.00,2.00,5.00,6.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6388060,1.00,2.00,2.00,1.00,3.00,6.38,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6388078,8.00,6.00,1.00,6.00,10.00,9.75,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6388086,3.00,5.00,1.00,4.00,5.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6388094,6.00,5.00,1.00,7.00,9.00,10.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6388108,0.00,2.00,0.00,1.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6388116,6.00,5.00,1.00,4.00,7.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6388124,2.00,3.00,3.00,3.00,5.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6388132,4.00,4.00,0.00,3.00,7.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6388140,4.00,4.00,4.00,4.00,5.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6388159,4.00,5.00,4.00,4.00,5.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6388167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6388175,3.00,2.00,3.00,2.00,4.00,6.00,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6388183,5.00,4.00,0.00,5.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6388191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6388205,5.00,8.00,1.00,7.00,8.00,11.25,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6388213,3.00,4.00,4.00,2.00,6.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6388221,2.00,3.00,1.00,5.00,6.00,9.38,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6388230,5.00,7.00,2.00,7.00,8.00,10.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6388248,8.00,8.00,2.00,4.00,7.00,7.88,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6388256,6.00,7.00,2.00,6.00,8.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6388264,2.00,4.00,2.00,1.00,4.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6388272,6.00,7.00,0.00,5.00,8.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6388299,1.00,4.00,3.00,4.00,5.00,8.25,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6388302,2.00,5.00,1.00,2.00,5.00,6.75,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6388310,3.00,6.00,3.00,6.00,5.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6388337,3.00,2.00,2.00,5.00,8.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6388345,0.00,1.00,0.00,0.00,8.00,0.00,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6388353,2.00,3.00,2.00,3.00,4.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6388370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6388388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6388396,6.00,5.00,6.00,5.00,8.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6388400,4.00,3.00,1.00,4.00,7.00,4.88,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6388418,6.00,6.00,6.00,4.00,9.00,7.88,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6388426,9.00,6.00,5.00,7.00,9.00,7.50,5.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6388434,4.00,5.00,2.00,4.00,10.00,8.63,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6388442,4.00,7.00,3.00,1.00,4.00,0.00,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6388450,5.00,5.00,2.00,1.00,4.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6388469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6388477,3.00,5.00,0.00,3.00,6.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6388485,6.00,5.00,4.00,3.00,8.00,10.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6388493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6388507,4.00,5.00,2.00,4.00,9.00,10.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6388515,5.00,5.00,1.00,7.00,7.00,7.88,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6388523,7.00,8.00,5.00,6.00,7.00,10.50,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6388531,8.00,6.00,4.00,7.00,7.00,8.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6388558,5.00,5.00,3.00,4.00,5.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6388566,4.00,3.00,2.00,1.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6388574,2.00,5.00,2.00,4.00,4.00,NULL,3.00,4.00,3.00,NULL,NULL,'S','N'),(25,6388582,4.00,5.00,2.00,5.00,5.00,5.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6388590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6388604,2.00,3.00,1.00,1.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6388612,1.00,3.00,1.00,4.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6388620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6388639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6388647,3.00,4.00,2.00,4.00,6.00,6.75,0.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6388655,6.00,6.00,4.00,6.00,7.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6388663,0.00,4.00,1.00,3.00,4.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6388671,8.00,4.00,3.00,7.00,9.00,5.25,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6388680,6.00,5.00,2.00,4.00,8.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6388698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6388701,5.00,6.00,5.00,3.00,6.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6388710,5.00,4.00,3.00,4.00,7.00,8.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6388728,2.00,5.00,1.00,2.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6388736,3.00,3.00,1.00,2.00,3.00,5.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6388744,2.00,5.00,3.00,0.00,5.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6388752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6388779,4.00,4.00,2.00,4.00,3.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6388787,2.00,5.00,1.00,4.00,7.00,7.88,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6388795,4.00,0.00,3.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'S'),(25,6388817,4.00,0.00,3.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6388825,4.00,5.00,3.00,3.00,9.00,9.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6388833,4.00,6.00,2.00,2.00,8.00,8.63,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6388841,4.00,7.00,1.00,5.00,6.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6388850,2.00,5.00,4.00,5.00,7.00,9.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6388868,4.00,4.00,1.00,5.00,4.00,8.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6388876,2.00,3.00,1.00,7.00,8.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6388892,1.00,2.00,3.00,4.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6388906,1.00,4.00,2.00,2.00,4.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6388914,4.00,7.00,3.00,6.00,5.00,9.38,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6388922,3.00,5.00,0.00,4.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6388930,7.00,8.00,3.00,6.00,8.00,8.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6388949,5.00,4.00,3.00,6.00,5.00,6.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6388957,5.00,4.00,2.00,7.00,6.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6388965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6388973,2.00,3.00,0.00,2.00,4.00,9.00,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6389007,2.00,5.00,0.00,6.00,7.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6389015,3.00,5.00,1.00,2.00,4.00,8.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6389023,4.00,5.00,4.00,3.00,8.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6389031,5.00,7.00,2.00,5.00,7.00,9.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6389040,4.00,1.00,4.00,1.00,6.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6389058,8.00,7.00,1.00,5.00,7.00,6.38,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6389066,2.00,5.00,1.00,4.00,5.00,8.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6389074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389082,4.00,5.00,0.00,5.00,7.00,8.63,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6389090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389104,2.00,3.00,1.00,2.00,3.00,7.13,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6389112,2.00,6.00,4.00,4.00,7.00,7.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6389139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389147,3.00,2.00,1.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6389155,4.00,5.00,0.00,4.00,9.00,12.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6389163,2.00,7.00,2.00,4.00,4.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6389171,4.00,5.00,2.00,5.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,'S','N'),(25,6389180,1.00,4.00,3.00,4.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6389198,4.00,5.00,1.00,5.00,7.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6389201,6.00,7.00,4.00,4.00,6.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6389210,3.00,6.00,3.00,2.00,5.00,10.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6389236,5.00,7.00,2.00,4.00,6.00,6.00,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6389244,5.00,5.00,2.00,6.00,10.00,10.50,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6389252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389260,6.00,5.00,3.00,5.00,4.00,9.00,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6389279,3.00,4.00,2.00,1.00,7.00,9.38,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6389287,6.00,8.00,4.00,6.00,11.00,8.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6389295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389309,2.00,5.00,1.00,4.00,6.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6389317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389325,3.00,4.00,0.00,5.00,7.00,6.38,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6389333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389341,2.00,5.00,2.00,6.00,4.00,6.38,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6389350,4.00,5.00,3.00,4.00,6.00,9.75,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6389368,2.00,2.00,1.00,5.00,6.00,5.63,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6389376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389384,3.00,3.00,2.00,6.00,6.00,8.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6389392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389406,1.00,4.00,2.00,4.00,6.00,3.38,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6389414,4.00,6.00,3.00,7.00,6.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6389422,2.00,3.00,2.00,3.00,5.00,8.63,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6389430,7.00,7.00,2.00,7.00,9.00,10.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6389449,3.00,6.00,2.00,4.00,7.00,7.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6389465,2.00,6.00,1.00,4.00,7.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6389473,2.00,0.00,4.00,5.00,6.00,7.13,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6389481,3.00,5.00,3.00,2.00,5.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6389490,4.00,5.00,2.00,5.00,8.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6389503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389520,2.00,7.00,2.00,5.00,10.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6389538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389546,4.00,4.00,1.00,6.00,8.00,7.88,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6389554,8.00,5.00,1.00,7.00,7.00,8.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6389562,5.00,7.00,1.00,3.00,3.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6389570,0.00,3.00,1.00,3.00,3.00,7.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6389589,5.00,3.00,0.00,5.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6389597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389600,2.00,4.00,3.00,3.00,7.00,0.00,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6389619,2.00,1.00,1.00,0.00,6.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6389627,3.00,4.00,1.00,4.00,7.00,10.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6389635,7.00,5.00,6.00,6.00,6.00,10.13,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6389643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389651,3.00,4.00,2.00,4.00,7.00,8.25,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6389660,7.00,8.00,7.00,6.00,10.00,10.50,4.00,3.00,9.00,NULL,NULL,NULL,'N'),(25,6389686,4.00,4.00,4.00,2.00,5.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6389694,3.00,5.00,3.00,5.00,7.00,5.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6389708,3.00,3.00,1.00,4.00,5.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6389716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389724,4.00,6.00,1.00,2.00,3.00,8.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6389732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389740,2.00,4.00,2.00,5.00,4.00,7.13,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6389759,3.00,5.00,2.00,2.00,4.00,7.50,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6389767,3.00,1.00,2.00,3.00,6.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6389775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389791,7.00,4.00,3.00,7.00,10.00,8.63,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6389805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389813,2.00,7.00,1.00,7.00,7.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6389821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389856,6.00,6.00,2.00,7.00,6.00,9.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6389864,4.00,0.00,5.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6389872,4.00,5.00,0.00,2.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6389880,1.00,4.00,4.00,5.00,7.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6389899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389910,4.00,5.00,2.00,2.00,4.00,0.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6389937,4.00,4.00,0.00,4.00,6.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6389945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6389953,5.00,6.00,6.00,7.00,8.00,13.50,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6389961,2.00,4.00,1.00,3.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,'S','N'),(25,6389996,4.00,6.00,4.00,6.00,7.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6390005,5.00,4.00,2.00,5.00,4.00,9.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6390013,2.00,2.00,0.00,1.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6390021,1.00,4.00,2.00,4.00,6.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6390030,3.00,3.00,1.00,5.00,5.00,6.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6390048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6390056,4.00,3.00,1.00,2.00,5.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6390064,2.00,3.00,3.00,2.00,4.00,9.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6390072,5.00,7.00,5.00,5.00,7.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6390080,2.00,2.00,1.00,4.00,3.00,6.00,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6390099,4.00,5.00,1.00,2.00,6.00,9.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6390102,6.00,8.00,4.00,7.00,8.00,10.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6390110,2.00,3.00,1.00,2.00,3.00,7.50,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6390137,3.00,5.00,4.00,5.00,5.00,9.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6390145,5.00,5.00,4.00,7.00,5.00,6.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6390153,4.00,3.00,1.00,1.00,6.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6390161,5.00,4.00,1.00,5.00,4.00,6.75,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6390170,3.00,5.00,3.00,1.00,4.00,7.88,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6390196,3.00,3.00,1.00,4.00,4.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6390200,2.00,5.00,2.00,2.00,3.00,7.13,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6390218,7.00,5.00,6.00,5.00,4.00,6.00,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6390226,4.00,6.00,4.00,6.00,9.00,9.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6390234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6390242,1.00,3.00,1.00,3.00,4.00,9.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6390250,0.00,5.00,4.00,5.00,5.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6390269,2.00,6.00,1.00,7.00,6.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6390277,2.00,7.00,0.00,3.00,5.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6390285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6390307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6390331,3.00,4.00,0.00,5.00,5.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6390340,1.00,3.00,0.00,3.00,7.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6390358,2.00,3.00,1.00,4.00,7.00,7.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6390366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6390374,3.00,3.00,2.00,2.00,5.00,10.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6390382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6390390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6390420,4.00,6.00,4.00,5.00,7.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6390439,1.00,1.00,2.00,1.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6390447,2.00,3.00,0.00,1.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6390455,1.00,4.00,4.00,1.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6390463,5.00,6.00,5.00,7.00,6.00,10.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6390471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6390498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6390501,4.00,3.00,3.00,5.00,7.00,10.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6390528,6.00,7.00,6.00,6.00,9.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6390536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6390544,4.00,3.00,1.00,6.00,7.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6390552,6.00,6.00,2.00,5.00,8.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6390560,2.00,6.00,0.00,4.00,4.00,NULL,0.00,4.00,0.00,NULL,NULL,'S','N'),(25,6390579,2.00,2.00,2.00,3.00,4.00,7.13,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6390587,1.00,1.00,0.00,2.00,4.00,8.25,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6390595,4.00,7.00,0.00,5.00,7.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6390609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6390617,4.00,4.00,2.00,4.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6390625,0.00,2.00,0.00,0.00,3.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6390633,5.00,6.00,5.00,6.00,7.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6390641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6390668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6390676,5.00,7.00,1.00,3.00,8.00,10.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6390684,6.00,5.00,4.00,5.00,4.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6390706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6390722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6390730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6390749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6390781,3.00,4.00,3.00,2.00,4.00,8.25,0.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6390790,4.00,6.00,3.00,3.00,7.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6390803,2.00,0.00,3.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6390820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6390838,5.00,6.00,2.00,3.00,7.00,6.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6390846,4.00,6.00,2.00,6.00,3.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6390854,5.00,5.00,5.00,6.00,7.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6390889,8.00,7.00,7.00,7.00,10.00,9.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6390897,1.00,5.00,3.00,1.00,7.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6390900,1.00,6.00,1.00,4.00,5.00,7.88,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6390919,3.00,3.00,2.00,4.00,6.00,6.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6390927,4.00,4.00,3.00,3.00,4.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6390943,8.00,8.00,2.00,5.00,10.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6390960,4.00,8.00,3.00,7.00,8.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6390978,5.00,5.00,1.00,5.00,6.00,9.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6390986,4.00,6.00,1.00,6.00,7.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6390994,3.00,7.00,2.00,5.00,9.00,10.13,0.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6391001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6391010,2.00,2.00,2.00,1.00,4.00,4.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6391028,2.00,2.00,1.00,2.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6391036,2.00,2.00,0.00,1.00,3.00,6.00,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6391044,6.00,2.00,4.00,6.00,7.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6391052,5.00,8.00,1.00,4.00,7.00,11.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6391060,5.00,7.00,3.00,6.00,6.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6391079,2.00,3.00,3.00,1.00,3.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6391087,1.00,3.00,2.00,3.00,4.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6391095,4.00,3.00,2.00,0.00,3.00,3.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6391109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6391125,2.00,4.00,2.00,4.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6391133,3.00,6.00,2.00,3.00,4.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6391141,4.00,6.00,4.00,2.00,7.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6391150,3.00,3.00,4.00,1.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6391184,4.00,2.00,0.00,6.00,7.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6391192,4.00,5.00,2.00,3.00,3.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6391206,5.00,4.00,2.00,5.00,5.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6391214,3.00,5.00,1.00,5.00,6.00,9.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6391230,2.00,4.00,1.00,4.00,8.00,8.25,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6391249,2.00,5.00,1.00,3.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,'S','N'),(25,6391257,4.00,8.00,0.00,6.00,5.00,9.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6391265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6391281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6391290,7.00,8.00,6.00,7.00,9.00,11.25,4.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6391303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6391311,6.00,6.00,3.00,7.00,9.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6391320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6391338,2.00,1.00,2.00,3.00,4.00,7.13,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6391354,6.00,7.00,2.00,7.00,5.00,5.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6391362,2.00,6.00,4.00,7.00,6.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6391370,3.00,5.00,0.00,4.00,6.00,7.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6391389,4.00,5.00,0.00,3.00,4.00,5.25,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6391397,5.00,3.00,2.00,5.00,5.00,6.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6391400,5.00,6.00,0.00,5.00,8.00,12.38,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6391419,3.00,4.00,0.00,1.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6391427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6391435,2.00,7.00,2.00,5.00,5.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6391451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6391478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6391486,2.00,4.00,4.00,4.00,6.00,4.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6391494,2.00,3.00,0.00,4.00,3.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6391508,5.00,6.00,6.00,6.00,6.00,8.63,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6391516,3.00,5.00,2.00,4.00,8.00,9.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6391524,5.00,6.00,2.00,4.00,6.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6391532,3.00,5.00,7.00,6.00,8.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6391540,4.00,4.00,1.00,6.00,7.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6391559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6391567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6391575,7.00,6.00,4.00,6.00,8.00,10.88,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6391583,5.00,5.00,4.00,3.00,6.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6391591,3.00,6.00,2.00,4.00,5.00,7.50,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6391605,3.00,5.00,3.00,4.00,7.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6391613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6391621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6391630,5.00,2.00,2.00,1.00,6.00,9.75,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6391648,2.00,7.00,3.00,3.00,5.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6391672,5.00,6.00,2.00,7.00,7.00,11.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6391680,3.00,4.00,1.00,5.00,5.00,9.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6391699,6.00,4.00,3.00,2.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6391702,8.00,7.00,4.00,4.00,9.00,7.13,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6391710,3.00,4.00,3.00,3.00,4.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6391729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6391737,3.00,5.00,3.00,5.00,6.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6391745,4.00,6.00,3.00,4.00,4.00,10.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6391753,6.00,5.00,1.00,4.00,5.00,7.88,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6391761,4.00,7.00,4.00,4.00,6.00,9.38,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6391770,4.00,4.00,4.00,1.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,'S','N'),(25,6391788,3.00,5.00,1.00,3.00,6.00,9.00,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6391796,6.00,5.00,4.00,3.00,8.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6391800,1.00,6.00,2.00,0.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6391826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6391834,7.00,7.00,2.00,5.00,10.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6391850,6.00,4.00,2.00,4.00,5.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6391869,4.00,6.00,2.00,5.00,6.00,9.38,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6391885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6391907,3.00,2.00,0.00,3.00,5.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6391915,3.00,6.00,1.00,0.00,7.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6391923,4.00,8.00,4.00,7.00,6.00,9.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6391931,8.00,5.00,1.00,4.00,8.00,12.00,1.00,4.00,9.00,NULL,NULL,NULL,'N'),(25,6391940,5.00,5.00,2.00,3.00,6.00,8.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6391958,2.00,6.00,2.00,5.00,5.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6391966,1.00,4.00,0.00,5.00,3.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6391974,8.00,5.00,5.00,6.00,7.00,7.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6391982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6392008,1.00,4.00,1.00,3.00,4.00,5.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6392016,5.00,8.00,3.00,6.00,8.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6392032,2.00,4.00,2.00,4.00,6.00,3.38,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6392040,2.00,4.00,1.00,1.00,7.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6392067,3.00,4.00,1.00,4.00,5.00,11.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6392075,6.00,6.00,2.00,3.00,6.00,6.75,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6392083,2.00,4.00,1.00,1.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6392091,4.00,5.00,5.00,4.00,7.00,7.13,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6392113,8.00,8.00,3.00,4.00,6.00,5.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6392121,3.00,6.00,3.00,5.00,6.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6392130,3.00,2.00,1.00,5.00,5.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6392148,5.00,6.00,4.00,5.00,7.00,11.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6392156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6392164,4.00,4.00,4.00,4.00,7.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6392172,3.00,4.00,3.00,5.00,7.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6392199,4.00,4.00,0.00,4.00,6.00,9.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6392202,6.00,4.00,2.00,7.00,7.00,NULL,3.00,1.00,1.00,NULL,NULL,'S','N'),(25,6392210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6392229,4.00,5.00,0.00,1.00,6.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6392245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6392253,4.00,5.00,4.00,5.00,8.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6392261,8.00,5.00,3.00,6.00,7.00,12.38,2.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6392270,2.00,4.00,5.00,6.00,6.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6392288,5.00,5.00,2.00,4.00,8.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6392318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6392326,5.00,5.00,3.00,3.00,9.00,9.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6392342,1.00,3.00,3.00,0.00,3.00,5.25,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6392350,4.00,8.00,1.00,6.00,8.00,9.75,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6392377,4.00,4.00,1.00,3.00,9.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6392385,2.00,1.00,0.00,1.00,4.00,9.75,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6392393,4.00,2.00,1.00,5.00,9.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6392407,6.00,6.00,2.00,7.00,9.00,11.25,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6392415,2.00,7.00,3.00,3.00,8.00,NULL,1.00,5.00,0.00,NULL,NULL,'S','N'),(25,6392423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6392431,0.00,5.00,2.00,2.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6392440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6392458,5.00,5.00,3.00,4.00,5.00,10.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6392466,0.00,2.00,0.00,0.00,0.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6392482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6392504,2.00,4.00,3.00,3.00,6.00,8.63,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6392520,4.00,6.00,2.00,5.00,7.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6392539,1.00,1.00,2.00,0.00,4.00,5.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6392555,2.00,2.00,1.00,2.00,6.00,8.63,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6392563,3.00,5.00,2.00,5.00,5.00,10.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6392571,6.00,4.00,4.00,4.00,6.00,6.75,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6392580,6.00,6.00,2.00,3.00,9.00,10.13,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6392598,1.00,2.00,0.00,4.00,7.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6392601,4.00,6.00,4.00,6.00,7.00,11.25,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6392610,2.00,5.00,3.00,6.00,4.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6392628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6392636,1.00,1.00,1.00,2.00,1.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6392644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6392652,4.00,4.00,2.00,3.00,4.00,6.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6392660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6392679,3.00,5.00,4.00,7.00,9.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6392687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6392709,4.00,3.00,1.00,5.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6392717,3.00,3.00,2.00,4.00,6.00,7.88,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6392725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6392733,4.00,3.00,3.00,4.00,5.00,4.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6392741,8.00,4.00,5.00,5.00,10.00,9.75,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6392750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6392768,4.00,6.00,3.00,3.00,7.00,7.88,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6392776,5.00,4.00,1.00,3.00,4.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6392784,6.00,5.00,1.00,6.00,6.00,7.13,3.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6392806,6.00,4.00,2.00,4.00,5.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6392814,3.00,4.00,0.00,4.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6392822,1.00,3.00,0.00,3.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6392830,2.00,4.00,2.00,3.00,6.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6392849,2.00,4.00,2.00,1.00,6.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6392857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6392873,2.00,0.00,4.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6392881,3.00,2.00,4.00,3.00,7.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6392903,6.00,7.00,5.00,6.00,6.00,11.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6392911,5.00,5.00,2.00,5.00,6.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6392920,1.00,2.00,3.00,3.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,'S','N'),(25,6392946,5.00,6.00,0.00,4.00,8.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6392954,3.00,5.00,0.00,3.00,6.00,6.00,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6392962,8.00,4.00,6.00,8.00,7.00,10.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6392970,5.00,2.00,1.00,3.00,5.00,8.63,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6392989,6.00,5.00,3.00,2.00,6.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6392997,1.00,0.00,1.00,2.00,4.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6393012,5.00,6.00,5.00,7.00,5.00,9.38,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6393020,8.00,7.00,5.00,6.00,7.00,9.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6393039,2.00,1.00,1.00,4.00,4.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6393047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393055,4.00,0.00,0.00,4.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6393063,3.00,7.00,3.00,2.00,4.00,8.63,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6393071,1.00,5.00,2.00,1.00,4.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6393080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393101,2.00,6.00,1.00,2.00,3.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6393110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393152,1.00,4.00,1.00,2.00,2.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6393160,2.00,1.00,1.00,0.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6393179,3.00,6.00,0.00,2.00,4.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6393195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393217,4.00,7.00,2.00,7.00,7.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6393225,2.00,5.00,2.00,2.00,5.00,6.00,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6393233,4.00,4.00,1.00,5.00,4.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6393241,3.00,0.00,3.00,2.00,4.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6393276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393284,5.00,6.00,3.00,2.00,6.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6393292,2.00,1.00,3.00,1.00,1.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6393306,5.00,6.00,4.00,6.00,7.00,11.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6393314,3.00,6.00,2.00,2.00,3.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6393322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393330,4.00,4.00,0.00,6.00,7.00,7.88,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6393349,1.00,4.00,2.00,2.00,6.00,6.00,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6393357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393373,4.00,5.00,1.00,3.00,6.00,5.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6393381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393390,2.00,2.00,1.00,3.00,5.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6393403,4.00,4.00,2.00,3.00,7.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6393411,4.00,5.00,4.00,6.00,7.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6393420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393462,2.00,4.00,3.00,5.00,5.00,5.63,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6393470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393489,5.00,7.00,1.00,2.00,3.00,10.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6393497,3.00,4.00,6.00,3.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6393519,5.00,5.00,2.00,5.00,7.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6393527,3.00,4.00,3.00,3.00,5.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6393535,4.00,7.00,2.00,4.00,8.00,9.75,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6393543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393551,4.00,4.00,0.00,3.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6393560,3.00,4.00,1.00,2.00,5.00,4.88,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6393586,5.00,8.00,5.00,7.00,9.00,10.88,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6393594,2.00,3.00,1.00,2.00,6.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6393608,2.00,3.00,2.00,4.00,6.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6393616,7.00,7.00,2.00,6.00,7.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6393624,8.00,7.00,3.00,5.00,8.00,9.38,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6393632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393640,3.00,6.00,1.00,5.00,7.00,10.13,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6393667,5.00,7.00,3.00,7.00,8.00,8.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6393675,4.00,5.00,3.00,6.00,6.00,9.38,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6393683,3.00,4.00,2.00,3.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6393691,4.00,7.00,2.00,7.00,7.00,6.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6393705,3.00,6.00,5.00,5.00,8.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6393721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393756,3.00,5.00,1.00,4.00,6.00,8.63,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6393772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393799,7.00,7.00,4.00,4.00,6.00,11.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6393802,2.00,6.00,0.00,3.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6393810,9.00,7.00,1.00,5.00,10.00,10.13,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6393829,2.00,7.00,1.00,4.00,6.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6393837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393845,4.00,5.00,4.00,3.00,5.00,13.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6393853,5.00,4.00,3.00,5.00,6.00,8.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6393861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393870,2.00,6.00,2.00,4.00,5.00,9.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6393896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393900,2.00,4.00,2.00,2.00,7.00,10.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6393918,2.00,7.00,4.00,5.00,8.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6393926,3.00,4.00,0.00,1.00,7.00,9.00,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6393934,3.00,4.00,3.00,4.00,9.00,11.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6393942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6393950,6.00,5.00,3.00,5.00,7.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6393969,6.00,8.00,1.00,4.00,6.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6393977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6393993,3.00,4.00,3.00,2.00,7.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6394000,1.00,0.00,3.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6394019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6394035,5.00,4.00,1.00,5.00,7.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6394043,3.00,5.00,1.00,1.00,4.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6394051,3.00,4.00,2.00,3.00,4.00,4.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6394060,4.00,5.00,2.00,3.00,6.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6394078,4.00,3.00,2.00,1.00,4.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6394086,4.00,5.00,3.00,3.00,5.00,5.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6394094,5.00,5.00,2.00,4.00,7.00,9.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6394108,1.00,3.00,1.00,1.00,4.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6394116,8.00,7.00,3.00,5.00,9.00,9.38,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6394124,6.00,6.00,2.00,5.00,9.00,7.13,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6394132,2.00,1.00,0.00,0.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6394140,2.00,3.00,1.00,1.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6394159,1.00,1.00,0.00,2.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6394167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6394175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6394183,2.00,3.00,1.00,3.00,4.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6394205,4.00,4.00,0.00,6.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6394213,3.00,3.00,1.00,2.00,7.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6394221,2.00,4.00,1.00,5.00,5.00,6.75,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6394230,6.00,6.00,2.00,3.00,9.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6394256,2.00,5.00,2.00,2.00,3.00,4.50,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6394264,4.00,3.00,3.00,6.00,6.00,10.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6394272,3.00,3.00,1.00,4.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6394299,3.00,5.00,2.00,2.00,7.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6394302,6.00,6.00,1.00,3.00,7.00,6.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6394310,2.00,4.00,2.00,2.00,6.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6394329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6394337,3.00,8.00,2.00,5.00,8.00,NULL,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6394345,3.00,4.00,2.00,5.00,6.00,9.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6394353,3.00,6.00,1.00,6.00,7.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6394361,0.00,5.00,6.00,0.00,6.00,NULL,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6394370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6394388,3.00,5.00,0.00,1.00,3.00,5.25,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6394400,5.00,3.00,3.00,6.00,4.00,NULL,1.00,0.00,5.00,NULL,NULL,NULL,'N'),(25,6394418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6394426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6394434,5.00,5.00,2.00,6.00,4.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6394442,1.00,3.00,0.00,3.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6394450,3.00,4.00,0.00,4.00,7.00,6.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6394469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6394477,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6394485,5.00,5.00,3.00,6.00,8.00,9.38,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6394493,5.00,6.00,3.00,2.00,7.00,NULL,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6394507,8.00,8.00,5.00,6.00,9.00,9.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6394515,2.00,1.00,0.00,3.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6394523,4.00,5.00,2.00,3.00,7.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6394540,3.00,5.00,2.00,6.00,8.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6394558,3.00,6.00,1.00,5.00,4.00,11.63,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6394574,5.00,6.00,1.00,7.00,8.00,8.25,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6394582,3.00,5.00,1.00,5.00,7.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6394604,6.00,7.00,1.00,1.00,7.00,10.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6394612,4.00,6.00,3.00,1.00,6.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6394620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6394639,2.00,1.00,0.00,2.00,5.00,7.13,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6394655,4.00,6.00,3.00,7.00,5.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6394663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6394671,3.00,4.00,0.00,5.00,8.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6394698,2.00,3.00,2.00,1.00,3.00,5.63,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6394701,4.00,8.00,2.00,6.00,5.00,NULL,1.00,6.00,0.00,NULL,NULL,'S','N'),(25,6394736,0.00,1.00,1.00,5.00,4.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6394752,5.00,4.00,3.00,5.00,6.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6394779,3.00,5.00,0.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6394795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6394809,1.00,2.00,0.00,2.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6394817,7.00,7.00,5.00,5.00,7.00,11.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6394825,3.00,5.00,3.00,2.00,5.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6394833,3.00,5.00,1.00,2.00,3.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6394850,3.00,4.00,0.00,1.00,5.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6394868,3.00,5.00,5.00,4.00,8.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6394876,4.00,5.00,3.00,3.00,7.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6394884,7.00,5.00,2.00,5.00,6.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6394892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6394906,3.00,4.00,1.00,4.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6394914,1.00,3.00,2.00,4.00,4.00,5.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6394922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6394930,6.00,6.00,7.00,3.00,6.00,11.63,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6394957,7.00,5.00,2.00,6.00,8.00,11.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6394965,5.00,4.00,2.00,1.00,10.00,7.50,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6394981,5.00,9.00,4.00,3.00,8.00,10.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6394990,2.00,3.00,3.00,3.00,5.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6395015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6395023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6395031,2.00,4.00,0.00,3.00,3.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6395040,3.00,5.00,1.00,6.00,8.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6395066,6.00,5.00,2.00,7.00,6.00,11.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6395074,3.00,3.00,1.00,0.00,6.00,5.63,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6395082,3.00,7.00,4.00,3.00,7.00,6.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6395090,4.00,6.00,2.00,5.00,3.00,7.13,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6395104,7.00,6.00,6.00,3.00,8.00,8.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6395120,4.00,7.00,2.00,7.00,7.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6395139,7.00,4.00,1.00,6.00,10.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6395147,2.00,4.00,4.00,3.00,4.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6395155,6.00,5.00,6.00,5.00,7.00,11.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6395163,5.00,7.00,4.00,7.00,8.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6395180,8.00,7.00,4.00,5.00,9.00,7.50,3.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6395198,5.00,5.00,2.00,4.00,8.00,0.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6395201,3.00,6.00,3.00,6.00,5.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6395210,4.00,5.00,4.00,5.00,7.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6395228,4.00,6.00,1.00,6.00,10.00,10.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6395236,6.00,0.00,2.00,3.00,3.00,6.38,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6395244,2.00,4.00,2.00,5.00,8.00,9.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6395252,4.00,3.00,1.00,1.00,7.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6395260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6395287,1.00,4.00,1.00,5.00,6.00,9.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6395295,7.00,6.00,5.00,7.00,8.00,9.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6395309,1.00,3.00,1.00,3.00,5.00,7.88,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6395317,1.00,2.00,1.00,3.00,4.00,9.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6395325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6395333,4.00,6.00,0.00,2.00,7.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6395350,2.00,5.00,1.00,0.00,5.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6395368,1.00,3.00,1.00,3.00,3.00,8.63,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6395376,3.00,5.00,0.00,4.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6395392,4.00,5.00,1.00,5.00,9.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6395414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6395430,3.00,4.00,4.00,3.00,5.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6395449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6395457,6.00,4.00,3.00,3.00,4.00,9.38,0.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6395473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6395481,7.00,5.00,5.00,5.00,7.00,10.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6395490,3.00,2.00,2.00,2.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6395503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6395511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6395546,6.00,5.00,3.00,3.00,5.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6395554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6395562,4.00,3.00,0.00,4.00,7.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6395570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6395589,2.00,1.00,0.00,1.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6395597,4.00,6.00,2.00,3.00,7.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6395600,4.00,1.00,1.00,1.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6395619,3.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6395627,2.00,4.00,1.00,4.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6395635,4.00,5.00,0.00,4.00,8.00,10.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6395643,1.00,3.00,1.00,1.00,3.00,8.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6395651,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6395660,2.00,3.00,2.00,4.00,6.00,6.38,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6395678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6395686,1.00,2.00,1.00,5.00,6.00,7.88,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6395694,2.00,6.00,3.00,3.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,'S','N'),(25,6395708,3.00,1.00,1.00,4.00,4.00,8.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6395716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6395724,1.00,6.00,2.00,1.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6395732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6395740,2.00,1.00,3.00,0.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6395759,5.00,4.00,1.00,4.00,5.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6395767,2.00,4.00,0.00,6.00,6.00,6.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6395783,4.00,2.00,0.00,2.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6395791,5.00,5.00,5.00,7.00,4.00,6.00,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6395805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6395813,2.00,3.00,2.00,5.00,7.00,7.50,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6395821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6395830,4.00,6.00,3.00,2.00,6.00,7.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6395848,3.00,4.00,1.00,0.00,6.00,NULL,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6395856,6.00,3.00,2.00,7.00,9.00,10.50,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6395864,1.00,3.00,2.00,2.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6395880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6395899,5.00,6.00,0.00,2.00,8.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6395902,3.00,5.00,0.00,5.00,6.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6395910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6395929,3.00,7.00,2.00,5.00,6.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6395937,4.00,5.00,2.00,3.00,6.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6395945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6395953,1.00,1.00,0.00,2.00,5.00,6.38,5.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6395961,7.00,5.00,6.00,7.00,9.00,10.13,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6395970,4.00,6.00,0.00,5.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6395996,2.00,4.00,4.00,2.00,3.00,6.75,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6396003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396020,4.00,4.00,3.00,4.00,9.00,9.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6396038,4.00,3.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6396046,7.00,6.00,3.00,4.00,7.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6396054,5.00,4.00,2.00,3.00,5.00,6.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6396062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396089,6.00,4.00,2.00,4.00,3.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6396097,2.00,4.00,0.00,3.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6396100,2.00,6.00,1.00,5.00,5.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6396119,1.00,2.00,0.00,1.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6396127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396135,1.00,3.00,1.00,3.00,4.00,7.13,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6396143,2.00,5.00,2.00,2.00,4.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6396160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396178,9.00,6.00,2.00,4.00,9.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6396186,2.00,3.00,3.00,1.00,3.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6396194,5.00,7.00,0.00,4.00,7.00,9.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6396208,6.00,7.00,3.00,7.00,8.00,8.25,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6396216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396224,3.00,2.00,0.00,4.00,5.00,0.00,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6396232,2.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6396240,1.00,5.00,3.00,1.00,6.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6396267,8.00,8.00,6.00,7.00,10.00,12.75,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6396275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396305,6.00,6.00,3.00,4.00,5.00,6.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6396313,2.00,5.00,2.00,3.00,5.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6396321,4.00,6.00,1.00,5.00,6.00,10.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6396330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396348,6.00,6.00,2.00,5.00,9.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6396356,4.00,3.00,3.00,3.00,3.00,6.75,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6396364,2.00,5.00,2.00,3.00,3.00,8.63,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6396372,1.00,5.00,1.00,1.00,3.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6396380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396402,4.00,3.00,2.00,4.00,5.00,6.00,0.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6396410,5.00,5.00,4.00,1.00,4.00,6.38,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6396429,5.00,2.00,1.00,1.00,8.00,10.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6396437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396453,4.00,5.00,3.00,4.00,6.00,10.13,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6396461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396470,2.00,0.00,0.00,2.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6396488,3.00,4.00,2.00,4.00,4.00,6.75,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6396496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396500,5.00,4.00,4.00,5.00,6.00,9.38,3.00,3.00,9.00,NULL,NULL,NULL,'N'),(25,6396518,5.00,4.00,0.00,0.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6396542,1.00,3.00,1.00,3.00,3.00,5.63,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6396550,4.00,3.00,1.00,3.00,5.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6396569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396577,4.00,5.00,2.00,5.00,7.00,9.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6396585,2.00,4.00,1.00,3.00,4.00,6.00,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6396593,3.00,4.00,0.00,1.00,3.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6396607,6.00,4.00,1.00,5.00,8.00,10.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6396615,2.00,2.00,2.00,1.00,5.00,6.00,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6396623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396631,7.00,6.00,0.00,7.00,7.00,8.63,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6396658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396682,1.00,2.00,3.00,1.00,5.00,6.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6396690,3.00,2.00,3.00,2.00,4.00,7.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6396704,5.00,5.00,5.00,5.00,5.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6396712,5.00,5.00,1.00,4.00,7.00,10.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6396720,7.00,4.00,4.00,3.00,4.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6396747,2.00,4.00,3.00,4.00,3.00,8.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6396763,3.00,6.00,5.00,5.00,4.00,11.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6396780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396798,2.00,5.00,0.00,0.00,4.00,9.00,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6396801,5.00,6.00,1.00,3.00,7.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6396810,1.00,3.00,4.00,2.00,5.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6396828,5.00,7.00,1.00,0.00,7.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6396836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6396860,3.00,5.00,3.00,6.00,5.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6396879,1.00,6.00,2.00,7.00,8.00,11.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6396887,4.00,3.00,1.00,4.00,5.00,6.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6396895,4.00,4.00,2.00,5.00,7.00,9.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6396909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6396925,2.00,3.00,3.00,2.00,5.00,5.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6396941,4.00,6.00,2.00,3.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,'S','N'),(25,6396950,2.00,3.00,0.00,2.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6396968,4.00,1.00,0.00,1.00,5.00,6.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6396976,4.00,7.00,4.00,7.00,10.00,11.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6396984,3.00,5.00,1.00,2.00,3.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6396992,3.00,6.00,2.00,2.00,7.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6397000,7.00,5.00,1.00,4.00,6.00,7.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6397018,1.00,2.00,1.00,3.00,4.00,6.75,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6397026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6397042,5.00,2.00,3.00,5.00,5.00,10.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6397069,4.00,0.00,0.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6397077,3.00,2.00,1.00,2.00,6.00,7.13,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6397085,3.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6397093,9.00,6.00,3.00,5.00,8.00,10.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6397107,4.00,4.00,4.00,0.00,4.00,6.38,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6397115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6397123,2.00,3.00,4.00,3.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6397131,4.00,4.00,2.00,3.00,4.00,5.63,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6397140,7.00,6.00,3.00,5.00,9.00,9.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6397158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6397166,2.00,4.00,0.00,3.00,8.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6397174,2.00,4.00,1.00,4.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6397190,7.00,7.00,5.00,6.00,9.00,10.88,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6397204,4.00,0.00,3.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6397212,7.00,7.00,3.00,7.00,8.00,8.25,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6397220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6397239,1.00,0.00,0.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6397247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6397255,0.00,1.00,0.00,2.00,3.00,6.00,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6397263,2.00,3.00,0.00,2.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6397280,7.00,7.00,3.00,5.00,8.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6397298,6.00,7.00,2.00,6.00,6.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6397301,3.00,7.00,0.00,3.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6397310,0.00,6.00,1.00,1.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6397328,3.00,5.00,1.00,3.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6397336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6397344,2.00,5.00,2.00,2.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6397360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6397379,6.00,6.00,0.00,5.00,7.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6397387,5.00,4.00,3.00,7.00,6.00,6.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6397395,7.00,7.00,4.00,3.00,6.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6397409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6397417,5.00,7.00,2.00,6.00,6.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6397425,2.00,4.00,2.00,2.00,5.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6397433,5.00,5.00,3.00,2.00,6.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6397441,5.00,6.00,1.00,3.00,6.00,6.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6397450,6.00,3.00,1.00,6.00,7.00,10.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6397468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6397476,2.00,4.00,0.00,5.00,8.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6397484,4.00,7.00,1.00,6.00,6.00,10.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6397492,2.00,0.00,0.00,4.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6397506,7.00,6.00,6.00,6.00,9.00,9.38,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6397514,0.00,2.00,3.00,3.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6397522,5.00,4.00,3.00,4.00,6.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6397530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6397549,2.00,5.00,3.00,6.00,7.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6397557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6397565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6397573,8.00,7.00,4.00,6.00,8.00,7.50,0.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6397590,3.00,5.00,3.00,2.00,5.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6397603,2.00,6.00,2.00,2.00,5.00,9.38,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6397620,5.00,5.00,3.00,6.00,7.00,9.75,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6397638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6397646,4.00,5.00,3.00,5.00,5.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6397654,6.00,5.00,2.00,4.00,6.00,10.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6397662,4.00,4.00,1.00,4.00,5.00,9.00,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6397670,2.00,3.00,2.00,2.00,1.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6397689,6.00,4.00,3.00,2.00,5.00,6.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6397697,4.00,1.00,1.00,4.00,7.00,11.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6397700,3.00,3.00,4.00,5.00,4.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6397727,4.00,6.00,1.00,5.00,7.00,9.75,3.00,2.00,6.00,NULL,NULL,NULL,'S'),(25,6397735,5.00,6.00,2.00,5.00,8.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6397743,4.00,5.00,2.00,1.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,'S','N'),(25,6397751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6397760,6.00,5.00,0.00,5.00,7.00,9.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6397778,2.00,4.00,0.00,3.00,8.00,8.63,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6397786,1.00,5.00,1.00,4.00,5.00,7.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6397794,0.00,3.00,1.00,2.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6397816,2.00,6.00,0.00,6.00,5.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6397832,8.00,4.00,6.00,7.00,10.00,9.75,0.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6397840,1.00,0.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6397859,3.00,3.00,2.00,3.00,4.00,9.00,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6397875,3.00,3.00,1.00,3.00,6.00,6.00,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6397891,3.00,5.00,0.00,4.00,7.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6397905,9.00,6.00,5.00,6.00,8.00,9.75,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6397921,2.00,3.00,0.00,1.00,4.00,7.50,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6397930,4.00,2.00,0.00,1.00,6.00,NULL,2.00,5.00,0.00,NULL,NULL,'S','N'),(25,6397948,4.00,7.00,2.00,8.00,6.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6397956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6397964,7.00,8.00,4.00,7.00,7.00,10.50,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6397972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6397980,4.00,5.00,0.00,2.00,8.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6397999,3.00,0.00,2.00,2.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6398006,0.00,0.00,1.00,0.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6398014,1.00,4.00,2.00,2.00,3.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6398030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6398049,2.00,6.00,2.00,3.00,2.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6398057,2.00,5.00,3.00,5.00,5.00,8.63,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6398065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6398073,5.00,6.00,3.00,6.00,4.00,7.50,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6398081,2.00,3.00,3.00,5.00,7.00,6.75,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6398090,2.00,2.00,0.00,2.00,0.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6398103,5.00,7.00,2.00,6.00,8.00,11.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6398120,2.00,6.00,3.00,3.00,6.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6398138,5.00,6.00,2.00,0.00,9.00,8.63,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6398146,3.00,5.00,2.00,2.00,7.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6398154,4.00,5.00,0.00,2.00,5.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6398170,4.00,4.00,2.00,5.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6398189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6398197,3.00,6.00,3.00,3.00,8.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6398219,3.00,5.00,2.00,4.00,6.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6398227,7.00,3.00,1.00,2.00,4.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6398235,5.00,3.00,3.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6398243,2.00,4.00,5.00,6.00,9.00,9.38,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6398251,4.00,6.00,1.00,6.00,5.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6398260,3.00,6.00,0.00,3.00,8.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6398278,4.00,5.00,2.00,5.00,4.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6398286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6398294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6398316,5.00,5.00,6.00,1.00,8.00,9.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6398332,4.00,4.00,2.00,2.00,4.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6398340,2.00,1.00,1.00,4.00,1.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6398359,7.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6398367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6398375,6.00,6.00,3.00,6.00,8.00,7.50,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6398383,3.00,2.00,0.00,3.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6398391,6.00,7.00,5.00,5.00,7.00,11.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6398405,6.00,7.00,2.00,5.00,8.00,7.13,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6398413,2.00,5.00,2.00,3.00,4.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6398421,2.00,4.00,1.00,4.00,6.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6398430,1.00,2.00,1.00,3.00,7.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6398448,4.00,5.00,3.00,1.00,3.00,8.63,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6398456,3.00,4.00,2.00,2.00,7.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6398464,8.00,6.00,3.00,6.00,8.00,10.13,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6398472,1.00,1.00,2.00,4.00,7.00,7.50,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6398480,3.00,6.00,2.00,6.00,9.00,8.25,1.00,6.00,5.00,NULL,NULL,NULL,'S'),(25,6398502,3.00,5.00,3.00,6.00,7.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6398510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6398529,7.00,6.00,2.00,7.00,8.00,8.63,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6398537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6398545,2.00,5.00,4.00,1.00,6.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6398553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6398588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6398596,0.00,2.00,2.00,3.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6398600,2.00,2.00,1.00,2.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6398618,4.00,0.00,0.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6398626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6398634,8.00,7.00,3.00,4.00,9.00,NULL,0.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6398642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6398650,3.00,6.00,3.00,6.00,8.00,11.63,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6398669,2.00,4.00,0.00,3.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6398677,4.00,6.00,0.00,6.00,7.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6398685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6398693,2.00,3.00,0.00,2.00,3.00,6.75,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6398707,3.00,5.00,0.00,3.00,3.00,6.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6398715,3.00,6.00,2.00,4.00,7.00,6.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6398723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6398731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6398740,5.00,4.00,1.00,4.00,6.00,7.88,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6398758,5.00,5.00,3.00,6.00,8.00,12.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6398766,3.00,0.00,2.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6398774,2.00,3.00,3.00,2.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6398782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6398790,3.00,3.00,1.00,3.00,4.00,7.13,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6398804,5.00,7.00,3.00,5.00,6.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6398812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6398839,2.00,4.00,3.00,2.00,3.00,7.50,1.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6398855,3.00,4.00,0.00,5.00,6.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6398898,4.00,5.00,3.00,6.00,4.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6398901,1.00,2.00,4.00,4.00,6.00,6.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6398910,2.00,6.00,2.00,3.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6398928,3.00,2.00,2.00,3.00,7.00,5.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6398936,2.00,0.00,1.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6398944,2.00,5.00,3.00,5.00,3.00,4.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6398952,2.00,3.00,1.00,3.00,5.00,8.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6398979,5.00,6.00,3.00,5.00,9.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6398987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6398995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6399002,3.00,2.00,2.00,3.00,7.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6399010,6.00,5.00,1.00,3.00,7.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6399029,7.00,5.00,0.00,2.00,8.00,6.38,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6399037,3.00,4.00,5.00,1.00,4.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6399045,0.00,6.00,0.00,0.00,0.00,NULL,2.00,7.00,2.00,'S',NULL,'S','N'),(25,6399053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399070,7.00,4.00,6.00,7.00,3.00,9.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6399088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399096,6.00,4.00,1.00,1.00,8.00,10.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6399100,3.00,2.00,1.00,5.00,6.00,7.13,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6399118,6.00,5.00,2.00,4.00,5.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6399126,7.00,5.00,1.00,5.00,10.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6399134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399142,4.00,6.00,4.00,2.00,3.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6399150,3.00,3.00,1.00,5.00,6.00,9.00,0.00,4.00,0.00,NULL,NULL,NULL,'S'),(25,6399169,4.00,4.00,0.00,2.00,6.00,6.00,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6399177,4.00,6.00,3.00,5.00,7.00,7.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6399185,6.00,5.00,2.00,3.00,5.00,8.63,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6399193,5.00,5.00,3.00,3.00,7.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6399215,6.00,7.00,1.00,4.00,5.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6399223,0.00,2.00,1.00,2.00,1.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6399231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399240,4.00,5.00,2.00,5.00,7.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6399258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399266,8.00,7.00,5.00,6.00,9.00,8.63,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6399274,1.00,0.00,1.00,2.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6399282,3.00,3.00,1.00,2.00,4.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6399290,2.00,6.00,4.00,7.00,8.00,11.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6399304,2.00,5.00,0.00,4.00,5.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6399312,4.00,5.00,2.00,4.00,5.00,7.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6399320,1.00,4.00,2.00,3.00,2.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6399339,3.00,6.00,2.00,5.00,7.00,10.13,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6399347,2.00,4.00,0.00,1.00,6.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6399355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399363,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6399371,4.00,5.00,2.00,4.00,4.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6399380,2.00,4.00,0.00,2.00,7.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6399398,1.00,6.00,0.00,0.00,4.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6399401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399436,4.00,5.00,2.00,4.00,7.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6399444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399452,7.00,7.00,3.00,7.00,9.00,10.13,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6399479,3.00,6.00,1.00,3.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6399487,5.00,3.00,2.00,3.00,6.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6399495,6.00,5.00,1.00,6.00,6.00,10.13,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6399509,3.00,4.00,2.00,1.00,5.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6399517,4.00,4.00,4.00,6.00,9.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6399525,2.00,3.00,0.00,5.00,5.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6399541,4.00,6.00,2.00,2.00,5.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6399550,6.00,7.00,5.00,6.00,5.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6399568,4.00,5.00,2.00,6.00,6.00,7.88,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6399576,2.00,3.00,2.00,1.00,3.00,6.00,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6399584,5.00,7.00,2.00,4.00,7.00,9.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6399592,5.00,5.00,4.00,7.00,9.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6399606,8.00,8.00,2.00,5.00,7.00,9.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6399614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399622,5.00,4.00,7.00,5.00,7.00,9.75,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6399649,4.00,4.00,2.00,2.00,7.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6399665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399673,3.00,0.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6399681,3.00,0.00,0.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6399690,4.00,2.00,2.00,4.00,5.00,9.75,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6399703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399711,8.00,6.00,5.00,5.00,7.00,9.38,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6399720,3.00,6.00,1.00,2.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6399738,3.00,6.00,3.00,3.00,9.00,12.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6399746,3.00,4.00,2.00,2.00,5.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6399754,5.00,4.00,2.00,5.00,3.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6399762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399789,2.00,4.00,3.00,2.00,3.00,10.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6399797,4.00,5.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6399800,1.00,2.00,0.00,2.00,5.00,7.13,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6399827,4.00,4.00,2.00,4.00,7.00,8.63,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6399835,2.00,2.00,2.00,2.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6399843,3.00,6.00,1.00,4.00,9.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6399851,2.00,5.00,3.00,2.00,4.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6399860,5.00,7.00,2.00,2.00,7.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6399878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399908,7.00,5.00,5.00,5.00,7.00,6.38,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6399916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6399967,2.00,1.00,2.00,3.00,3.00,4.50,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6399975,2.00,3.00,1.00,4.00,5.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6399991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6400000,2.00,6.00,0.00,3.00,8.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6400019,4.00,2.00,3.00,2.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6400035,4.00,5.00,0.00,2.00,5.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6400043,2.00,3.00,0.00,3.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6400051,5.00,3.00,2.00,6.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6400060,2.00,6.00,3.00,5.00,5.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6400086,2.00,2.00,2.00,4.00,6.00,9.00,4.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6400094,3.00,6.00,5.00,7.00,8.00,10.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6400108,1.00,4.00,1.00,3.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6400124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6400132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6400159,2.00,3.00,1.00,2.00,6.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6400175,7.00,6.00,2.00,7.00,4.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6400183,5.00,6.00,1.00,7.00,5.00,7.88,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(25,6400213,2.00,6.00,1.00,6.00,8.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6400221,2.00,5.00,2.00,2.00,7.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6400230,3.00,7.00,2.00,3.00,8.00,8.63,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6400256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6400264,4.00,5.00,1.00,7.00,5.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6400272,5.00,5.00,2.00,5.00,9.00,10.50,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6400280,4.00,5.00,5.00,4.00,9.00,10.50,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6400299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6400302,2.00,1.00,3.00,2.00,5.00,7.13,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6400310,2.00,6.00,3.00,6.00,6.00,9.38,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6400329,4.00,3.00,2.00,4.00,4.00,8.63,0.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6400337,5.00,5.00,4.00,6.00,7.00,8.63,1.00,7.00,5.00,NULL,NULL,NULL,'S'),(25,6400345,4.00,2.00,0.00,3.00,4.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6400353,4.00,5.00,5.00,6.00,8.00,10.88,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6400361,4.00,0.00,6.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(25,6400370,2.00,2.00,2.00,2.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6400388,2.00,2.00,1.00,2.00,3.00,0.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6400400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6400418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6400434,3.00,3.00,2.00,0.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6400442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6400450,1.00,5.00,1.00,4.00,6.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6400477,3.00,4.00,1.00,0.00,6.00,6.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6400485,6.00,5.00,3.00,5.00,7.00,7.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6400507,2.00,1.00,0.00,1.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6400531,3.00,2.00,1.00,2.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,'S','S'),(25,6400540,1.00,0.00,1.00,3.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6400558,2.00,3.00,4.00,5.00,6.00,6.38,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6400566,5.00,5.00,1.00,6.00,4.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6400574,5.00,5.00,0.00,5.00,8.00,10.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6400582,3.00,4.00,1.00,1.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6400590,3.00,5.00,0.00,1.00,4.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6400604,3.00,8.00,2.00,5.00,5.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6400612,4.00,5.00,1.00,4.00,7.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6400620,4.00,4.00,4.00,3.00,7.00,6.75,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6400639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6400647,7.00,6.00,2.00,5.00,6.00,7.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6400655,3.00,4.00,2.00,5.00,8.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6400663,4.00,6.00,0.00,5.00,5.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6400671,1.00,6.00,0.00,4.00,7.00,7.13,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6400680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6400698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6400701,0.00,3.00,1.00,2.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6400710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6400728,2.00,6.00,4.00,5.00,7.00,12.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6400744,2.00,5.00,2.00,3.00,7.00,9.00,2.00,7.00,0.00,NULL,NULL,NULL,'N'),(25,6400752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6400760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6400779,6.00,4.00,1.00,6.00,7.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6400787,7.00,5.00,3.00,6.00,7.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6400795,3.00,5.00,1.00,4.00,10.00,9.00,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6400809,3.00,3.00,5.00,4.00,6.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6400817,3.00,7.00,3.00,6.00,8.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6400825,3.00,5.00,3.00,5.00,4.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6400833,4.00,5.00,0.00,4.00,6.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6400841,4.00,5.00,1.00,3.00,4.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6400868,2.00,2.00,1.00,0.00,3.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6400876,7.00,7.00,5.00,6.00,9.00,9.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6400884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6400892,2.00,4.00,1.00,4.00,6.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6400906,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6400914,3.00,5.00,2.00,5.00,7.00,7.50,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6400922,5.00,6.00,1.00,1.00,7.00,6.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6400949,7.00,7.00,0.00,4.00,7.00,NULL,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6400957,1.00,2.00,3.00,4.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6400965,3.00,5.00,3.00,2.00,4.00,5.25,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6401015,5.00,4.00,3.00,6.00,7.00,9.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6401023,6.00,8.00,5.00,3.00,7.00,8.25,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6401031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401058,4.00,2.00,5.00,4.00,6.00,8.63,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6401066,4.00,8.00,2.00,5.00,6.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6401074,7.00,6.00,3.00,4.00,7.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6401082,4.00,4.00,0.00,4.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6401090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401104,3.00,3.00,4.00,2.00,6.00,10.13,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6401112,4.00,4.00,1.00,3.00,5.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6401120,4.00,3.00,1.00,5.00,8.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6401139,1.00,3.00,1.00,2.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6401147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401163,3.00,2.00,0.00,3.00,3.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6401171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401180,1.00,3.00,1.00,0.00,4.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6401198,5.00,5.00,4.00,5.00,7.00,9.38,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6401201,4.00,6.00,1.00,6.00,8.00,10.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6401210,2.00,5.00,1.00,4.00,4.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6401228,1.00,3.00,2.00,1.00,3.00,6.38,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6401244,5.00,4.00,2.00,6.00,6.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6401252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401260,1.00,4.00,1.00,4.00,8.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6401279,9.00,8.00,7.00,7.00,7.00,9.75,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6401287,5.00,6.00,3.00,5.00,9.00,10.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6401295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401309,6.00,5.00,2.00,7.00,7.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6401317,4.00,4.00,1.00,3.00,7.00,7.88,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6401325,1.00,4.00,1.00,2.00,5.00,7.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6401333,4.00,6.00,2.00,4.00,9.00,11.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6401350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401368,1.00,5.00,0.00,3.00,7.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6401384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401392,0.00,3.00,1.00,3.00,3.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6401430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401449,4.00,4.00,3.00,6.00,5.00,NULL,2.00,6.00,2.00,NULL,NULL,'S','N'),(25,6401457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401465,1.00,3.00,0.00,5.00,7.00,9.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6401481,3.00,6.00,2.00,3.00,6.00,10.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6401490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401520,1.00,3.00,1.00,2.00,3.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6401538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401570,2.00,2.00,2.00,2.00,3.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6401589,6.00,0.00,3.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(25,6401597,3.00,5.00,0.00,5.00,6.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6401600,2.00,5.00,1.00,3.00,8.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6401635,3.00,0.00,2.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6401643,8.00,6.00,3.00,5.00,6.00,8.25,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6401651,3.00,5.00,0.00,4.00,4.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6401660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401678,3.00,3.00,1.00,3.00,2.00,NULL,4.00,1.00,0.00,NULL,NULL,NULL,'S'),(25,6401686,3.00,2.00,2.00,3.00,4.00,5.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6401708,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401732,4.00,5.00,5.00,4.00,8.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6401740,4.00,2.00,2.00,1.00,2.00,NULL,4.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6401759,4.00,4.00,2.00,1.00,3.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6401767,1.00,2.00,0.00,2.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6401775,4.00,6.00,5.00,5.00,6.00,9.00,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6401783,8.00,0.00,5.00,5.00,10.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6401791,4.00,3.00,2.00,4.00,4.00,7.13,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6401805,3.00,3.00,2.00,1.00,3.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6401813,3.00,2.00,2.00,4.00,5.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6401821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401830,3.00,4.00,1.00,2.00,7.00,9.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6401848,3.00,4.00,2.00,3.00,1.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6401864,4.00,2.00,0.00,4.00,3.00,7.50,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6401872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401880,3.00,4.00,3.00,1.00,4.00,6.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6401899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401902,5.00,7.00,3.00,6.00,8.00,10.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6401910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401929,6.00,6.00,4.00,7.00,8.00,10.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6401937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6401953,3.00,4.00,4.00,0.00,3.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(25,6401961,3.00,5.00,0.00,3.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6401970,4.00,6.00,1.00,5.00,4.00,7.13,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6402003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402038,4.00,5.00,3.00,2.00,7.00,8.63,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6402046,1.00,4.00,1.00,1.00,4.00,3.00,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6402054,5.00,6.00,2.00,5.00,3.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6402062,8.00,7.00,6.00,8.00,10.00,9.75,6.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6402070,0.00,2.00,0.00,0.00,0.00,NULL,1.00,2.00,2.00,'S',NULL,NULL,'N'),(25,6402089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402097,4.00,2.00,1.00,3.00,3.00,6.38,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6402100,4.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6402119,4.00,4.00,1.00,4.00,6.00,7.13,0.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6402127,4.00,6.00,3.00,6.00,7.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6402135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402143,5.00,7.00,3.00,6.00,8.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6402151,5.00,6.00,3.00,4.00,7.00,5.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6402160,2.00,2.00,2.00,2.00,6.00,6.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6402178,3.00,6.00,1.00,3.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6402186,4.00,6.00,4.00,6.00,6.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6402194,2.00,2.00,1.00,2.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6402208,4.00,5.00,1.00,6.00,7.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6402224,8.00,5.00,4.00,7.00,8.00,7.50,4.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6402232,3.00,4.00,3.00,6.00,5.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6402259,3.00,4.00,2.00,4.00,7.00,9.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6402267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402275,3.00,4.00,2.00,5.00,7.00,9.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6402291,5.00,6.00,0.00,3.00,7.00,9.75,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6402313,2.00,6.00,2.00,5.00,5.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6402321,1.00,3.00,1.00,2.00,3.00,7.50,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6402330,5.00,3.00,2.00,3.00,6.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6402348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402356,4.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6402364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402372,6.00,6.00,5.00,6.00,8.00,9.75,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6402380,0.00,0.00,0.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6402399,4.00,6.00,1.00,6.00,6.00,11.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6402402,4.00,6.00,1.00,4.00,3.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6402410,2.00,3.00,3.00,3.00,5.00,7.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6402429,4.00,4.00,0.00,4.00,5.00,7.88,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6402437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402488,2.00,3.00,2.00,1.00,5.00,4.88,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6402496,6.00,7.00,1.00,6.00,8.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6402500,2.00,2.00,1.00,3.00,7.00,8.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6402518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402526,5.00,4.00,5.00,1.00,9.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6402534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402550,5.00,5.00,5.00,0.00,5.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6402569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402577,2.00,0.00,2.00,1.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6402585,3.00,3.00,0.00,3.00,3.00,6.38,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6402593,5.00,7.00,1.00,6.00,5.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6402607,5.00,6.00,2.00,5.00,5.00,9.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6402615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402623,2.00,3.00,0.00,4.00,6.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6402631,4.00,5.00,3.00,5.00,5.00,6.75,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6402640,6.00,6.00,2.00,7.00,9.00,9.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6402658,4.00,4.00,5.00,1.00,4.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6402666,2.00,3.00,3.00,4.00,3.00,9.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6402682,3.00,5.00,4.00,7.00,7.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6402690,1.00,4.00,2.00,6.00,6.00,8.63,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6402704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402712,4.00,5.00,1.00,3.00,4.00,9.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6402720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402739,1.00,5.00,1.00,4.00,6.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6402755,5.00,6.00,1.00,2.00,9.00,9.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6402763,5.00,6.00,2.00,4.00,6.00,10.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6402771,5.00,6.00,0.00,7.00,9.00,10.88,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6402780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402798,5.00,7.00,4.00,6.00,9.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6402801,5.00,3.00,1.00,3.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6402810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402844,5.00,5.00,0.00,2.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6402879,3.00,5.00,2.00,6.00,5.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6402895,3.00,4.00,0.00,3.00,7.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6402909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402950,2.00,1.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6402968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6402976,4.00,2.00,0.00,3.00,6.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'S'),(25,6402984,2.00,1.00,2.00,3.00,1.00,NULL,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6402992,6.00,7.00,4.00,6.00,5.00,11.63,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6403000,2.00,3.00,3.00,4.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6403026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403034,7.00,2.00,3.00,1.00,7.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6403042,0.00,1.00,0.00,1.00,1.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6403050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403069,1.00,3.00,2.00,3.00,1.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6403085,2.00,3.00,0.00,3.00,4.00,6.38,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6403093,4.00,6.00,1.00,3.00,8.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6403107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403115,2.00,0.00,0.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6403123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403131,2.00,2.00,2.00,1.00,5.00,6.38,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6403140,2.00,5.00,0.00,5.00,6.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6403158,3.00,3.00,2.00,5.00,4.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6403166,2.00,3.00,1.00,5.00,1.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6403174,1.00,3.00,1.00,1.00,3.00,5.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6403182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403190,5.00,4.00,5.00,4.00,7.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6403212,3.00,3.00,0.00,4.00,5.00,6.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6403220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403239,3.00,5.00,0.00,3.00,6.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6403247,5.00,2.00,3.00,4.00,5.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6403255,7.00,6.00,6.00,7.00,9.00,9.00,0.00,5.00,5.00,NULL,NULL,NULL,'S'),(25,6403263,6.00,6.00,2.00,7.00,10.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6403271,6.00,6.00,5.00,5.00,9.00,8.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6403280,4.00,4.00,1.00,4.00,1.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6403298,2.00,4.00,2.00,2.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6403310,6.00,4.00,0.00,4.00,8.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6403328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403336,7.00,4.00,4.00,4.00,4.00,9.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6403344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403360,3.00,5.00,3.00,2.00,8.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6403379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403387,6.00,6.00,4.00,3.00,7.00,4.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6403395,2.00,1.00,3.00,3.00,5.00,8.25,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6403409,4.00,5.00,1.00,5.00,3.00,10.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6403417,2.00,1.00,0.00,4.00,3.00,6.38,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6403433,4.00,5.00,0.00,3.00,7.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6403441,2.00,2.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6403450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403484,3.00,6.00,2.00,2.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6403492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403506,4.00,4.00,2.00,0.00,7.00,9.38,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6403514,5.00,5.00,1.00,6.00,9.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6403522,2.00,3.00,0.00,2.00,3.00,6.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6403530,7.00,6.00,6.00,4.00,8.00,7.88,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6403549,1.00,4.00,2.00,5.00,4.00,9.38,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6403557,2.00,3.00,3.00,3.00,6.00,9.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6403565,3.00,2.00,0.00,5.00,5.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6403573,3.00,6.00,1.00,3.00,7.00,6.38,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6403581,5.00,7.00,2.00,7.00,7.00,9.75,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(25,6403590,1.00,4.00,1.00,1.00,5.00,NULL,2.00,1.00,0.00,NULL,NULL,'S','N'),(25,6403611,1.00,3.00,0.00,3.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6403620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403638,7.00,7.00,2.00,4.00,6.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6403646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403654,2.00,6.00,1.00,6.00,9.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6403662,1.00,2.00,0.00,1.00,3.00,3.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6403670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403697,6.00,7.00,4.00,6.00,10.00,10.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6403700,4.00,4.00,2.00,4.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6403719,2.00,4.00,1.00,0.00,4.00,7.13,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6403727,1.00,4.00,1.00,2.00,3.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6403743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403778,4.00,5.00,1.00,7.00,5.00,9.38,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6403786,4.00,5.00,5.00,5.00,7.00,9.00,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6403794,4.00,6.00,2.00,5.00,5.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6403808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403816,1.00,1.00,3.00,3.00,3.00,8.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6403824,4.00,4.00,2.00,1.00,7.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6403832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403867,5.00,7.00,2.00,4.00,9.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6403875,3.00,3.00,0.00,3.00,2.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6403883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403891,4.00,5.00,2.00,7.00,6.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6403905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403913,8.00,8.00,8.00,6.00,7.00,10.13,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6403948,4.00,4.00,3.00,5.00,5.00,7.13,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6403956,2.00,1.00,0.00,1.00,6.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6403964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6403972,0.00,4.00,0.00,0.00,0.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6404014,3.00,0.00,3.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6404022,4.00,3.00,1.00,3.00,5.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6404030,2.00,2.00,2.00,5.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6404049,3.00,3.00,2.00,5.00,7.00,7.88,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6404057,4.00,3.00,3.00,4.00,6.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6404065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404081,2.00,5.00,2.00,6.00,7.00,10.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6404103,5.00,7.00,3.00,6.00,6.00,9.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6404120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404138,2.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(25,6404146,1.00,3.00,0.00,3.00,4.00,6.38,1.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6404154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404170,5.00,3.00,2.00,3.00,6.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6404189,3.00,5.00,2.00,3.00,5.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6404197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404200,6.00,6.00,3.00,4.00,6.00,10.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6404219,2.00,1.00,3.00,3.00,5.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6404227,6.00,7.00,2.00,7.00,7.00,11.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6404235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404243,3.00,6.00,2.00,1.00,3.00,10.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6404251,2.00,5.00,0.00,3.00,6.00,8.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6404260,5.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6404278,5.00,5.00,0.00,5.00,5.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6404286,2.00,3.00,0.00,1.00,3.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6404294,3.00,5.00,1.00,3.00,6.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6404308,4.00,3.00,1.00,3.00,5.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6404316,6.00,6.00,3.00,5.00,5.00,6.38,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6404324,3.00,4.00,5.00,5.00,7.00,8.63,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6404332,1.00,6.00,0.00,5.00,6.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6404359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404367,2.00,3.00,0.00,1.00,4.00,8.63,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6404375,2.00,2.00,1.00,1.00,4.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6404383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404413,3.00,7.00,4.00,5.00,9.00,11.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6404421,3.00,4.00,2.00,6.00,4.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6404448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404456,6.00,6.00,2.00,6.00,6.00,10.88,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6404464,4.00,3.00,0.00,5.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6404480,0.00,3.00,0.00,0.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6404499,4.00,0.00,4.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6404502,2.00,4.00,0.00,7.00,8.00,7.88,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6404510,2.00,2.00,2.00,2.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6404537,3.00,3.00,2.00,2.00,3.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6404545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404553,2.00,1.00,1.00,0.00,0.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6404561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404570,2.00,4.00,2.00,2.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6404588,4.00,4.00,3.00,5.00,8.00,7.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6404596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404618,2.00,3.00,1.00,2.00,4.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6404626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404634,2.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6404642,3.00,6.00,1.00,5.00,4.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6404650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404669,2.00,7.00,1.00,2.00,5.00,8.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6404685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404693,5.00,8.00,1.00,7.00,10.00,10.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6404715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404723,2.00,4.00,0.00,1.00,5.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6404731,7.00,7.00,5.00,2.00,8.00,11.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6404740,2.00,5.00,0.00,7.00,8.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6404758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404774,4.00,3.00,2.00,3.00,7.00,10.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6404782,4.00,5.00,5.00,3.00,5.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6404790,2.00,7.00,4.00,7.00,10.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6404804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404812,2.00,2.00,2.00,4.00,6.00,9.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6404820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6404839,5.00,7.00,1.00,7.00,7.00,6.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6404847,5.00,6.00,4.00,2.00,7.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6404855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404863,1.00,3.00,1.00,4.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6404871,8.00,7.00,7.00,6.00,10.00,10.13,5.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6404880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404898,1.00,7.00,2.00,5.00,6.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6404901,1.00,3.00,0.00,4.00,4.00,6.00,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6404910,6.00,7.00,1.00,7.00,9.00,11.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6404928,8.00,8.00,2.00,7.00,10.00,9.75,5.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6404936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404944,5.00,5.00,2.00,6.00,7.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6404952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404960,3.00,5.00,3.00,5.00,6.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6404979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6404987,2.00,4.00,2.00,2.00,4.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6404995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405002,0.00,2.00,2.00,1.00,1.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6405010,5.00,6.00,4.00,7.00,4.00,10.88,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6405029,4.00,3.00,3.00,3.00,5.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6405045,2.00,5.00,3.00,4.00,6.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6405053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405061,5.00,7.00,1.00,3.00,6.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6405070,3.00,3.00,0.00,4.00,5.00,4.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6405088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405118,7.00,8.00,1.00,7.00,9.00,11.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6405126,0.00,3.00,0.00,5.00,6.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6405134,3.00,3.00,1.00,2.00,3.00,6.75,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6405142,4.00,5.00,4.00,5.00,9.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6405169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405207,4.00,3.00,1.00,1.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6405215,2.00,4.00,4.00,3.00,6.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6405223,4.00,4.00,2.00,0.00,4.00,7.13,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6405266,3.00,5.00,3.00,4.00,6.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6405274,3.00,4.00,1.00,3.00,5.00,5.25,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6405282,5.00,4.00,2.00,3.00,4.00,7.50,1.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6405290,3.00,6.00,2.00,3.00,4.00,0.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6405304,3.00,2.00,2.00,4.00,4.00,6.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6405312,3.00,4.00,1.00,2.00,6.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6405320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405347,3.00,4.00,1.00,3.00,3.00,7.88,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6405355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405380,2.00,6.00,5.00,5.00,6.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6405398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6405410,4.00,6.00,3.00,1.00,6.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6405428,6.00,7.00,1.00,3.00,9.00,8.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6405436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405452,5.00,0.00,2.00,0.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6405479,4.00,5.00,1.00,6.00,8.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6405487,3.00,6.00,3.00,3.00,8.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6405495,3.00,6.00,0.00,2.00,6.00,NULL,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6405509,2.00,2.00,3.00,2.00,4.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6405517,6.00,8.00,4.00,6.00,9.00,10.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6405525,4.00,6.00,2.00,7.00,6.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6405533,5.00,6.00,0.00,3.00,7.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6405550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405568,3.00,4.00,0.00,2.00,8.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6405584,5.00,6.00,0.00,0.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6405592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405606,5.00,2.00,2.00,3.00,8.00,8.25,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6405614,4.00,5.00,3.00,3.00,4.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6405622,4.00,5.00,3.00,4.00,6.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6405630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405649,4.00,4.00,4.00,4.00,6.00,4.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6405657,2.00,4.00,2.00,4.00,5.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6405665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405673,1.00,3.00,1.00,2.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6405681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405690,5.00,6.00,3.00,4.00,6.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6405703,2.00,3.00,2.00,6.00,4.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6405711,2.00,3.00,3.00,3.00,7.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6405720,2.00,6.00,2.00,1.00,0.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6405746,3.00,3.00,2.00,1.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6405754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405762,3.00,6.00,3.00,4.00,6.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6405770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405800,2.00,5.00,3.00,5.00,6.00,9.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6405827,4.00,6.00,2.00,6.00,7.00,5.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6405835,5.00,4.00,1.00,4.00,6.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6405843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405851,3.00,7.00,2.00,7.00,8.00,12.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6405860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405878,7.00,6.00,3.00,6.00,8.00,10.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6405886,3.00,6.00,1.00,6.00,9.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6405916,6.00,5.00,3.00,7.00,9.00,NULL,1.00,1.00,2.00,NULL,NULL,'S','N'),(25,6405924,2.00,0.00,3.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6405932,6.00,7.00,3.00,6.00,7.00,7.13,2.00,6.00,5.00,NULL,NULL,NULL,'S'),(25,6405940,2.00,4.00,2.00,4.00,5.00,0.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6405959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6405975,8.00,4.00,3.00,7.00,6.00,10.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6405983,4.00,5.00,1.00,2.00,9.00,11.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6405991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6406009,2.00,2.00,3.00,4.00,3.00,6.75,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6406033,1.00,6.00,2.00,0.00,3.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6406041,3.00,3.00,2.00,4.00,7.00,4.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6406050,2.00,7.00,3.00,3.00,3.00,8.25,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6406068,2.00,7.00,6.00,5.00,7.00,8.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6406076,4.00,4.00,1.00,0.00,1.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6406084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S',NULL,'S'),(25,6406106,5.00,7.00,1.00,6.00,10.00,7.50,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6406114,6.00,4.00,3.00,6.00,7.00,7.13,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6406122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6406130,2.00,2.00,2.00,2.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6406149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6406157,4.00,4.00,2.00,3.00,4.00,5.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6406165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6406173,0.00,3.00,2.00,2.00,7.00,6.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6406181,3.00,7.00,3.00,4.00,8.00,11.25,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6406203,1.00,5.00,3.00,3.00,3.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6406211,8.00,6.00,3.00,6.00,5.00,7.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6406246,1.00,3.00,1.00,1.00,3.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6406254,3.00,2.00,3.00,2.00,5.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6406262,3.00,5.00,1.00,5.00,5.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6406289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6406297,1.00,2.00,2.00,2.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6406300,4.00,5.00,3.00,3.00,7.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6406319,4.00,6.00,3.00,4.00,6.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6406327,3.00,5.00,2.00,3.00,5.00,0.00,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6406335,7.00,5.00,1.00,6.00,6.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6406343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6406351,1.00,4.00,0.00,2.00,4.00,7.88,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6406378,5.00,6.00,3.00,6.00,9.00,11.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6406386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6406394,1.00,2.00,2.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6406408,4.00,4.00,1.00,3.00,3.00,7.88,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6406432,7.00,5.00,1.00,6.00,10.00,9.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6406440,3.00,3.00,0.00,2.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6406459,5.00,5.00,1.00,3.00,8.00,7.13,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6406467,4.00,7.00,2.00,4.00,8.00,7.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6406483,2.00,2.00,4.00,2.00,4.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6406505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6406513,7.00,7.00,3.00,5.00,9.00,7.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6406521,3.00,3.00,1.00,3.00,4.00,6.38,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6406530,6.00,6.00,0.00,5.00,8.00,9.75,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6406548,2.00,4.00,3.00,1.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6406556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6406564,3.00,5.00,0.00,2.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6406572,4.00,3.00,3.00,3.00,6.00,10.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6406580,9.00,6.00,3.00,7.00,7.00,10.13,3.00,9.00,9.00,NULL,NULL,NULL,'N'),(25,6406599,4.00,7.00,1.00,5.00,9.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6406602,3.00,5.00,4.00,3.00,5.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6406610,2.00,4.00,2.00,4.00,5.00,9.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6406629,2.00,3.00,1.00,4.00,4.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6406637,2.00,4.00,4.00,2.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,'S','N'),(25,6406645,4.00,7.00,1.00,6.00,9.00,10.88,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6406661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6406670,4.00,2.00,1.00,4.00,8.00,8.63,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6406688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6406696,2.00,6.00,5.00,2.00,7.00,10.13,2.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6406700,5.00,5.00,2.00,7.00,8.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6406726,1.00,2.00,0.00,2.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6406734,5.00,4.00,2.00,3.00,5.00,9.00,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6406742,2.00,5.00,1.00,3.00,4.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6406750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6406769,6.00,6.00,2.00,3.00,9.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6406785,3.00,5.00,4.00,7.00,7.00,10.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6406793,5.00,6.00,2.00,6.00,6.00,7.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6406807,3.00,6.00,1.00,4.00,6.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6406815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6406823,5.00,6.00,4.00,1.00,8.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6406840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6406858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6406866,1.00,4.00,1.00,5.00,6.00,NULL,1.00,0.00,2.00,NULL,NULL,'S','N'),(25,6406874,3.00,0.00,3.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6406882,2.00,3.00,1.00,5.00,6.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6406890,3.00,6.00,2.00,5.00,5.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6406904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6406912,3.00,4.00,2.00,3.00,7.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6406920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6406947,1.00,4.00,4.00,2.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6406963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6406998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6407005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6407013,5.00,3.00,3.00,5.00,7.00,9.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6407021,1.00,5.00,1.00,4.00,7.00,NULL,2.00,5.00,2.00,NULL,NULL,'S','N'),(25,6407030,5.00,5.00,3.00,6.00,9.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6407048,2.00,4.00,0.00,2.00,5.00,9.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6407056,2.00,3.00,4.00,1.00,4.00,4.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6407064,4.00,5.00,1.00,7.00,8.00,7.88,1.00,0.00,6.00,NULL,NULL,NULL,'S'),(25,6407072,3.00,4.00,2.00,3.00,2.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6407099,6.00,4.00,6.00,6.00,5.00,5.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6407129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6407137,7.00,6.00,3.00,7.00,9.00,10.88,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6407145,5.00,5.00,0.00,7.00,6.00,12.38,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6407161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6407188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6407200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6407218,8.00,7.00,2.00,7.00,8.00,7.88,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6407226,3.00,5.00,3.00,5.00,6.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6407234,3.00,3.00,1.00,2.00,4.00,6.75,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6407242,3.00,4.00,4.00,4.00,7.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6407250,4.00,3.00,3.00,4.00,5.00,6.75,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6407269,3.00,4.00,1.00,2.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6407277,2.00,4.00,1.00,4.00,3.00,7.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6407285,4.00,5.00,2.00,4.00,6.00,10.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6407293,3.00,2.00,1.00,3.00,6.00,5.63,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6407307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6407331,7.00,9.00,7.00,6.00,9.00,10.13,3.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6407340,4.00,4.00,2.00,6.00,7.00,9.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6407358,8.00,6.00,3.00,6.00,10.00,10.13,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6407366,2.00,2.00,0.00,3.00,1.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6407374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6407382,4.00,4.00,3.00,3.00,7.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6407390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6407404,4.00,4.00,4.00,1.00,5.00,5.63,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6407420,4.00,5.00,0.00,5.00,4.00,NULL,6.00,2.00,4.00,NULL,NULL,'S','N'),(25,6407439,1.00,4.00,1.00,3.00,6.00,9.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6407447,2.00,6.00,2.00,3.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6407455,2.00,2.00,3.00,2.00,6.00,6.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6407463,2.00,4.00,0.00,0.00,1.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6407471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6407480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6407498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6407501,8.00,4.00,3.00,7.00,7.00,9.75,1.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6407510,2.00,6.00,2.00,3.00,5.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6407528,1.00,1.00,1.00,3.00,6.00,6.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6407536,3.00,6.00,5.00,5.00,5.00,6.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6407544,2.00,5.00,3.00,3.00,5.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6407552,1.00,4.00,2.00,3.00,6.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6407560,3.00,4.00,1.00,3.00,4.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6407579,1.00,5.00,2.00,1.00,6.00,5.63,4.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6407587,7.00,5.00,4.00,7.00,9.00,10.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6407595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6407609,4.00,6.00,3.00,7.00,6.00,6.38,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6407617,1.00,2.00,3.00,4.00,6.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6407625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6407641,2.00,3.00,3.00,1.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6407668,1.00,5.00,3.00,4.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6407676,1.00,4.00,0.00,1.00,4.00,7.13,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6407684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6407706,3.00,7.00,3.00,2.00,3.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6407714,3.00,5.00,2.00,6.00,4.00,6.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6407722,3.00,6.00,5.00,4.00,5.00,8.63,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6407730,8.00,7.00,6.00,6.00,6.00,8.25,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(25,6407749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6407757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6407765,6.00,3.00,2.00,1.00,4.00,9.38,1.00,1.00,0.00,NULL,NULL,NULL,'S'),(25,6407773,0.00,3.00,2.00,2.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6407781,0.00,4.00,4.00,5.00,6.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6407811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6407846,4.00,6.00,1.00,6.00,7.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6407854,0.00,3.00,3.00,3.00,4.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6407870,3.00,4.00,1.00,1.00,3.00,5.25,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6407889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6407897,3.00,4.00,3.00,5.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,'S','N'),(25,6407919,5.00,6.00,4.00,6.00,8.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6407927,3.00,2.00,3.00,2.00,5.00,4.88,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6407935,3.00,2.00,0.00,2.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6407951,4.00,3.00,1.00,4.00,8.00,8.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6407978,2.00,3.00,2.00,3.00,5.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6407986,6.00,6.00,1.00,4.00,8.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6408001,2.00,6.00,2.00,3.00,3.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(25,6408028,2.00,3.00,0.00,6.00,7.00,9.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6408044,6.00,7.00,3.00,7.00,10.00,9.38,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6408052,5.00,2.00,3.00,2.00,5.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6408060,4.00,6.00,0.00,5.00,9.00,10.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6408079,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6408087,8.00,8.00,5.00,5.00,10.00,10.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6408095,4.00,6.00,2.00,6.00,8.00,11.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6408117,1.00,2.00,2.00,3.00,4.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6408125,7.00,7.00,5.00,5.00,8.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6408150,2.00,1.00,0.00,2.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6408168,2.00,7.00,2.00,6.00,6.00,7.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6408176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6408184,3.00,4.00,4.00,5.00,7.00,7.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6408222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6408230,2.00,0.00,1.00,2.00,3.00,4.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6408257,4.00,6.00,2.00,3.00,6.00,9.00,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6408265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6408273,6.00,3.00,1.00,4.00,5.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6408303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6408311,3.00,5.00,2.00,4.00,3.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6408320,6.00,5.00,4.00,5.00,8.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6408338,3.00,4.00,1.00,2.00,4.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6408346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6408354,2.00,2.00,3.00,4.00,4.00,7.50,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6408370,0.00,0.00,0.00,0.00,1.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6408397,2.00,3.00,1.00,4.00,3.00,5.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6408400,3.00,6.00,1.00,4.00,4.00,NULL,0.00,5.00,1.00,NULL,NULL,'S','N'),(25,6408419,5.00,5.00,1.00,5.00,8.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6408427,3.00,3.00,1.00,5.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6408435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6408443,1.00,5.00,3.00,4.00,6.00,0.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6408451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6408460,0.00,2.00,0.00,0.00,0.00,NULL,0.00,3.00,2.00,'S',NULL,NULL,'N'),(25,6408478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6408486,4.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6408494,8.00,5.00,4.00,6.00,8.00,10.13,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6408508,2.00,4.00,0.00,2.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6408532,2.00,3.00,0.00,3.00,4.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6408540,7.00,6.00,3.00,6.00,9.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6408559,3.00,4.00,3.00,6.00,4.00,8.63,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6408575,6.00,6.00,4.00,5.00,8.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6408591,9.00,8.00,3.00,4.00,8.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6408605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6408648,1.00,6.00,2.00,2.00,7.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6408656,7.00,5.00,3.00,7.00,9.00,8.25,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6408664,2.00,3.00,0.00,2.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6408672,1.00,3.00,2.00,3.00,5.00,7.88,2.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6408680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6408710,4.00,5.00,2.00,2.00,2.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6408737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6408745,3.00,3.00,1.00,2.00,6.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6408753,4.00,4.00,2.00,5.00,7.00,12.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6408761,1.00,4.00,2.00,3.00,6.00,9.00,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6408770,7.00,6.00,3.00,6.00,9.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6408788,5.00,8.00,2.00,7.00,8.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6408796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6408800,3.00,7.00,2.00,6.00,8.00,9.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6408818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6408826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6408834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6408850,2.00,3.00,1.00,4.00,7.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6408869,1.00,4.00,2.00,3.00,4.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6408877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6408885,6.00,6.00,3.00,4.00,9.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6408893,3.00,3.00,0.00,2.00,4.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6408907,4.00,5.00,1.00,4.00,7.00,8.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6408915,3.00,6.00,3.00,5.00,8.00,6.38,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6408923,5.00,5.00,1.00,4.00,7.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6408931,2.00,2.00,0.00,4.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6408958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6408974,3.00,1.00,0.00,3.00,5.00,7.50,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6408982,6.00,6.00,2.00,2.00,7.00,NULL,3.00,4.00,2.00,NULL,NULL,'S','N'),(25,6408990,7.00,6.00,6.00,7.00,8.00,9.38,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6409008,2.00,5.00,1.00,2.00,3.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6409016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6409024,1.00,3.00,4.00,4.00,6.00,10.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6409032,2.00,3.00,1.00,3.00,7.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6409040,5.00,5.00,2.00,7.00,9.00,11.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6409067,4.00,2.00,1.00,1.00,3.00,5.63,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6409075,0.00,3.00,1.00,1.00,3.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6409083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6409105,7.00,8.00,1.00,5.00,10.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6409113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6409130,5.00,4.00,2.00,5.00,8.00,9.00,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(25,6409148,5.00,5.00,1.00,5.00,7.00,9.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6409156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6409164,4.00,5.00,4.00,3.00,8.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6409172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6409180,2.00,2.00,0.00,2.00,4.00,4.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6409199,2.00,2.00,0.00,3.00,3.00,NULL,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6409202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6409210,4.00,7.00,4.00,7.00,6.00,8.63,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6409229,3.00,5.00,5.00,7.00,9.00,11.25,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6409237,4.00,6.00,0.00,1.00,5.00,6.00,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6409253,3.00,4.00,0.00,6.00,6.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6409261,6.00,7.00,2.00,5.00,4.00,8.63,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6409270,2.00,0.00,2.00,0.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6409288,3.00,4.00,3.00,2.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6409296,2.00,3.00,3.00,6.00,8.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6409300,8.00,5.00,4.00,4.00,9.00,7.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6409318,3.00,2.00,2.00,0.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6409334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6409342,2.00,5.00,2.00,5.00,7.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6409350,9.00,7.00,6.00,7.00,9.00,10.88,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6409369,3.00,4.00,2.00,6.00,7.00,8.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(25,6409377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6409385,3.00,2.00,2.00,5.00,5.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6409393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6409407,5.00,7.00,2.00,4.00,7.00,7.50,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6409415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6409423,4.00,4.00,2.00,4.00,3.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6409431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6409440,3.00,6.00,2.00,3.00,5.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6409458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6409466,4.00,3.00,0.00,0.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,'S','N'),(25,6409474,0.00,3.00,2.00,2.00,0.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6409482,3.00,4.00,4.00,4.00,7.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6409504,2.00,4.00,3.00,5.00,8.00,6.38,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6409512,2.00,6.00,2.00,5.00,6.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6409520,3.00,5.00,3.00,4.00,7.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(25,6409539,6.00,5.00,2.00,7.00,8.00,8.25,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6409547,5.00,7.00,5.00,6.00,8.00,8.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6409555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6409563,5.00,7.00,1.00,6.00,10.00,10.50,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6409571,4.00,7.00,2.00,5.00,7.00,10.13,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6409580,2.00,5.00,2.00,4.00,4.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6409598,2.00,4.00,2.00,6.00,5.00,8.25,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6409601,3.00,3.00,1.00,5.00,6.00,12.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6409628,2.00,7.00,2.00,5.00,7.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6409636,3.00,6.00,2.00,2.00,6.00,6.75,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6409644,7.00,7.00,5.00,6.00,9.00,9.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6409652,4.00,4.00,0.00,2.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6409679,6.00,5.00,4.00,5.00,8.00,6.75,0.00,2.00,7.00,NULL,NULL,NULL,'N'),(25,6409687,2.00,5.00,0.00,4.00,8.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6409695,1.00,4.00,1.00,3.00,7.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6409709,2.00,5.00,2.00,3.00,6.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6409717,5.00,3.00,1.00,2.00,7.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6409725,6.00,8.00,2.00,3.00,7.00,10.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6409733,5.00,5.00,4.00,4.00,5.00,11.25,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6409768,3.00,4.00,2.00,1.00,5.00,NULL,3.00,4.00,1.00,NULL,NULL,'S','N'),(25,6409776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6409792,7.00,6.00,0.00,6.00,7.00,8.63,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6409806,2.00,2.00,4.00,4.00,4.00,6.38,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6409814,5.00,0.00,0.00,5.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6409822,0.00,4.00,2.00,2.00,4.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6409830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6409857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6409865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6409873,5.00,3.00,2.00,6.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6409881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6409890,5.00,8.00,4.00,5.00,7.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6409903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6409911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6409920,5.00,6.00,4.00,7.00,9.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6409946,2.00,5.00,2.00,6.00,5.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6409954,2.00,6.00,1.00,4.00,5.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6409962,4.00,6.00,2.00,6.00,7.00,NULL,2.00,5.00,4.00,NULL,NULL,'S','N'),(25,6410014,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410022,4.00,6.00,2.00,6.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,'S','S'),(25,6410030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410057,4.00,5.00,1.00,4.00,5.00,NULL,5.00,0.00,3.00,NULL,NULL,'S','S'),(25,6410065,2.00,0.00,0.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6410073,5.00,3.00,2.00,6.00,6.00,9.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6410081,1.00,5.00,1.00,1.00,5.00,7.13,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6410090,5.00,6.00,2.00,1.00,5.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6410120,3.00,4.00,4.00,5.00,4.00,5.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6410138,4.00,5.00,1.00,0.00,6.00,7.50,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6410146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410162,1.00,4.00,3.00,1.00,1.00,NULL,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6410170,6.00,3.00,0.00,3.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6410189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410197,3.00,5.00,2.00,2.00,4.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6410200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6410219,1.00,2.00,0.00,1.00,5.00,0.00,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6410227,3.00,3.00,4.00,5.00,5.00,6.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6410235,2.00,4.00,3.00,1.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6410260,8.00,6.00,1.00,6.00,9.00,10.13,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6410278,2.00,0.00,0.00,3.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6410286,5.00,7.00,3.00,7.00,9.00,10.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6410294,1.00,3.00,2.00,4.00,3.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6410316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410375,8.00,6.00,4.00,5.00,8.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6410383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410391,1.00,1.00,1.00,4.00,5.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6410405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410456,2.00,6.00,2.00,3.00,9.00,6.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6410464,4.00,2.00,2.00,1.00,4.00,7.13,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6410472,5.00,4.00,2.00,3.00,6.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6410480,2.00,1.00,0.00,7.00,3.00,7.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6410499,2.00,4.00,1.00,0.00,9.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6410502,2.00,5.00,0.00,1.00,5.00,6.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6410510,3.00,6.00,3.00,2.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6410529,3.00,4.00,1.00,2.00,4.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6410537,1.00,0.00,1.00,2.00,3.00,4.88,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6410545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410553,2.00,4.00,0.00,4.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6410570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410588,2.00,6.00,2.00,4.00,7.00,9.38,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6410596,0.00,6.00,0.00,2.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6410600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410650,3.00,3.00,3.00,2.00,6.00,10.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6410669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410707,3.00,4.00,1.00,3.00,8.00,8.25,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6410715,4.00,4.00,2.00,6.00,5.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6410731,6.00,3.00,2.00,6.00,7.00,10.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6410766,2.00,2.00,2.00,5.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6410774,4.00,7.00,0.00,4.00,7.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6410782,2.00,5.00,4.00,4.00,5.00,7.13,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6410790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6410804,4.00,4.00,1.00,6.00,6.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6410812,3.00,3.00,1.00,4.00,6.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6410820,4.00,0.00,2.00,1.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6410839,3.00,7.00,1.00,7.00,7.00,10.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6410847,2.00,2.00,2.00,2.00,2.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6410855,2.00,3.00,2.00,2.00,3.00,6.75,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6410863,4.00,4.00,2.00,7.00,7.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6410880,5.00,5.00,3.00,4.00,7.00,10.13,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6410898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410910,3.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6410928,7.00,6.00,4.00,5.00,6.00,12.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6410936,2.00,3.00,0.00,1.00,4.00,0.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6410944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6410952,4.00,6.00,2.00,3.00,6.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6410960,5.00,5.00,2.00,2.00,5.00,6.75,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6410979,2.00,5.00,0.00,3.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6411002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6411010,3.00,5.00,2.00,3.00,7.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6411029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6411037,2.00,7.00,3.00,2.00,7.00,12.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6411045,4.00,3.00,1.00,4.00,10.00,10.50,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6411053,2.00,2.00,0.00,2.00,1.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6411061,3.00,3.00,0.00,5.00,4.00,7.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6411070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6411088,2.00,5.00,1.00,5.00,3.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6411096,1.00,4.00,0.00,3.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6411118,2.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6411126,2.00,4.00,2.00,4.00,7.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6411134,6.00,5.00,4.00,7.00,8.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6411142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6411150,2.00,4.00,1.00,2.00,3.00,7.13,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6411169,4.00,6.00,1.00,1.00,3.00,7.88,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6411193,2.00,4.00,4.00,4.00,8.00,7.88,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6411207,2.00,6.00,2.00,5.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6411215,3.00,5.00,2.00,3.00,8.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6411223,5.00,6.00,1.00,6.00,8.00,10.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6411240,2.00,4.00,1.00,3.00,5.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6411258,3.00,6.00,1.00,4.00,4.00,NULL,5.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6411266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6411282,3.00,4.00,4.00,4.00,6.00,5.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6411290,2.00,5.00,2.00,1.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6411304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6411312,5.00,4.00,1.00,3.00,9.00,10.13,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(25,6411320,3.00,4.00,0.00,3.00,5.00,NULL,1.00,0.00,0.00,NULL,NULL,'S','N'),(25,6411339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6411355,3.00,5.00,3.00,6.00,9.00,9.00,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6411363,5.00,4.00,3.00,6.00,7.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6411371,4.00,5.00,2.00,2.00,5.00,7.13,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6411380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6411398,5.00,5.00,3.00,6.00,7.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6411401,2.00,4.00,0.00,3.00,7.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6411428,5.00,5.00,1.00,6.00,7.00,11.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6411444,2.00,3.00,0.00,3.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6411452,1.00,4.00,3.00,2.00,3.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6411460,3.00,4.00,2.00,7.00,10.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6411479,4.00,4.00,0.00,5.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6411487,3.00,6.00,3.00,5.00,6.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6411495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6411509,8.00,8.00,8.00,7.00,11.00,13.13,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(25,6411517,5.00,4.00,0.00,4.00,6.00,NULL,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6411525,5.00,5.00,4.00,7.00,7.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6411533,5.00,6.00,4.00,2.00,4.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6411550,1.00,5.00,2.00,5.00,5.00,4.88,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6411568,1.00,4.00,0.00,4.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6411576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6411584,3.00,5.00,0.00,3.00,6.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6411592,3.00,4.00,0.00,2.00,8.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6411614,3.00,2.00,3.00,0.00,7.00,NULL,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6411622,4.00,3.00,4.00,2.00,8.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6411630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6411649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6411657,6.00,6.00,5.00,7.00,7.00,9.38,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6411665,9.00,7.00,4.00,7.00,8.00,12.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6411681,4.00,6.00,3.00,5.00,7.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6411690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6411703,6.00,7.00,4.00,6.00,10.00,7.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6411711,3.00,0.00,2.00,7.00,10.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6411720,2.00,3.00,3.00,3.00,6.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6411738,5.00,6.00,5.00,5.00,7.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6411746,3.00,2.00,2.00,7.00,5.00,8.63,2.00,5.00,0.00,NULL,NULL,NULL,'S'),(25,6411754,3.00,5.00,1.00,3.00,8.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6411762,6.00,6.00,2.00,6.00,8.00,12.00,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6411770,2.00,5.00,2.00,5.00,8.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6411789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6411800,4.00,5.00,1.00,5.00,5.00,0.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6411819,4.00,3.00,0.00,2.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,'S','N'),(25,6411827,7.00,4.00,4.00,3.00,8.00,6.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6411835,4.00,6.00,1.00,4.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6411843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6411851,2.00,3.00,3.00,2.00,4.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6411860,3.00,4.00,2.00,5.00,6.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6411878,2.00,6.00,2.00,2.00,7.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6411894,4.00,3.00,3.00,3.00,6.00,7.13,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6411908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6411916,6.00,6.00,2.00,6.00,7.00,7.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6411924,4.00,6.00,0.00,4.00,9.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6411932,2.00,4.00,2.00,3.00,5.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6411940,0.00,2.00,3.00,1.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6411959,7.00,5.00,2.00,4.00,6.00,7.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6411967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6411975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6411983,3.00,3.00,1.00,3.00,4.00,7.50,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6411991,1.00,2.00,1.00,1.00,4.00,5.25,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6412017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412025,3.00,3.00,3.00,5.00,4.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6412033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412050,3.00,3.00,2.00,2.00,4.00,3.00,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6412068,6.00,3.00,2.00,7.00,8.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6412076,0.00,4.00,1.00,2.00,4.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6412084,3.00,3.00,0.00,4.00,5.00,5.25,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6412092,2.00,6.00,4.00,4.00,6.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6412106,7.00,8.00,4.00,7.00,10.00,10.88,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6412114,3.00,3.00,2.00,3.00,5.00,8.63,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6412122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6412130,1.00,4.00,2.00,3.00,4.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6412149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412157,2.00,4.00,1.00,2.00,3.00,4.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6412165,2.00,5.00,1.00,3.00,6.00,6.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6412173,8.00,7.00,2.00,7.00,7.00,0.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6412181,4.00,5.00,1.00,6.00,7.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6412203,7.00,7.00,0.00,4.00,9.00,10.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6412211,2.00,3.00,2.00,3.00,3.00,10.13,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6412238,2.00,1.00,1.00,3.00,6.00,3.00,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6412254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412262,2.00,5.00,2.00,1.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6412270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412300,3.00,6.00,3.00,2.00,6.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6412319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412343,2.00,3.00,2.00,2.00,4.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6412360,0.00,5.00,2.00,1.00,4.00,NULL,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6412386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412394,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412416,6.00,6.00,3.00,6.00,7.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6412424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412432,2.00,0.00,1.00,0.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6412440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412467,3.00,4.00,1.00,6.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6412475,3.00,2.00,0.00,5.00,6.00,9.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6412483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412505,2.00,4.00,2.00,2.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6412513,2.00,4.00,1.00,2.00,6.00,8.25,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6412521,3.00,4.00,2.00,6.00,6.00,7.13,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6412530,2.00,2.00,0.00,2.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6412556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412572,5.00,4.00,4.00,6.00,8.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6412599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412602,1.00,3.00,0.00,3.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6412610,4.00,3.00,3.00,2.00,6.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6412629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412637,1.00,4.00,2.00,3.00,6.00,6.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6412645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412653,1.00,3.00,1.00,1.00,5.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6412661,7.00,7.00,4.00,4.00,6.00,7.13,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6412670,1.00,1.00,0.00,3.00,2.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6412688,2.00,3.00,1.00,1.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6412696,5.00,7.00,2.00,3.00,7.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6412700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412750,2.00,7.00,2.00,4.00,6.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'S'),(25,6412769,2.00,5.00,0.00,2.00,5.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6412777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412793,4.00,5.00,2.00,2.00,4.00,5.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6412815,6.00,6.00,2.00,4.00,7.00,9.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6412831,3.00,4.00,3.00,3.00,3.00,8.63,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6412840,2.00,5.00,2.00,4.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,'S','N'),(25,6412866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6412882,3.00,7.00,2.00,5.00,7.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6412904,0.00,1.00,2.00,3.00,5.00,5.63,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6412912,1.00,3.00,2.00,1.00,5.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6412939,6.00,4.00,1.00,4.00,3.00,5.25,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6412947,3.00,5.00,1.00,5.00,5.00,6.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6412971,5.00,6.00,3.00,2.00,3.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6412980,1.00,5.00,3.00,2.00,5.00,6.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6412998,6.00,6.00,1.00,3.00,6.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6413005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413013,2.00,4.00,1.00,5.00,7.00,7.50,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6413056,1.00,3.00,0.00,0.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6413072,4.00,6.00,1.00,3.00,4.00,5.63,0.00,1.00,2.00,NULL,NULL,NULL,'S'),(25,6413080,3.00,5.00,0.00,2.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6413099,4.00,5.00,1.00,2.00,7.00,6.75,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6413102,0.00,2.00,0.00,0.00,0.00,NULL,0.00,2.00,1.00,'S',NULL,NULL,'N'),(25,6413110,4.00,5.00,4.00,3.00,4.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6413129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6413137,3.00,6.00,3.00,6.00,10.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6413145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413153,4.00,4.00,3.00,7.00,4.00,10.13,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6413161,5.00,6.00,3.00,6.00,8.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6413170,3.00,5.00,3.00,6.00,7.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6413188,6.00,5.00,3.00,5.00,5.00,7.88,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6413196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413200,5.00,7.00,3.00,6.00,10.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6413218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413226,5.00,4.00,2.00,3.00,5.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6413234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413242,4.00,4.00,2.00,6.00,8.00,11.63,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6413250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413277,2.00,5.00,2.00,4.00,4.00,9.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6413293,3.00,6.00,2.00,6.00,7.00,NULL,2.00,7.00,0.00,NULL,NULL,NULL,'N'),(25,6413307,2.00,6.00,3.00,2.00,5.00,7.88,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6413315,3.00,5.00,3.00,4.00,9.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6413323,5.00,5.00,2.00,2.00,6.00,9.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6413331,4.00,3.00,0.00,4.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6413340,3.00,7.00,0.00,4.00,7.00,9.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6413358,4.00,4.00,1.00,5.00,8.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6413366,6.00,6.00,3.00,7.00,8.00,8.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6413382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413412,7.00,6.00,6.00,6.00,4.00,9.38,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6413439,4.00,4.00,0.00,2.00,3.00,5.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6413463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413471,9.00,7.00,6.00,6.00,8.00,10.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(25,6413480,2.00,4.00,1.00,2.00,8.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6413498,1.00,1.00,2.00,0.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6413501,2.00,8.00,3.00,5.00,7.00,9.00,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6413510,4.00,2.00,3.00,1.00,5.00,6.38,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6413536,5.00,6.00,2.00,6.00,5.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6413544,4.00,4.00,2.00,3.00,6.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6413552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413560,3.00,2.00,2.00,6.00,6.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6413579,4.00,2.00,3.00,6.00,8.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6413587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6413595,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413617,4.00,6.00,1.00,4.00,5.00,7.50,0.00,6.00,1.00,NULL,NULL,NULL,'S'),(25,6413625,3.00,5.00,1.00,2.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6413633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413641,4.00,5.00,2.00,4.00,6.00,10.50,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6413650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413668,3.00,4.00,1.00,6.00,4.00,7.13,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6413684,2.00,5.00,1.00,1.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6413706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413730,2.00,4.00,4.00,4.00,5.00,7.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6413749,7.00,4.00,5.00,6.00,7.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6413757,2.00,4.00,0.00,4.00,5.00,8.25,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6413765,4.00,5.00,1.00,4.00,7.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6413773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413781,5.00,8.00,3.00,3.00,5.00,6.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6413790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413803,3.00,6.00,3.00,4.00,6.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6413811,2.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6413838,5.00,5.00,0.00,5.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6413846,3.00,5.00,2.00,5.00,6.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6413862,3.00,4.00,3.00,4.00,6.00,9.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6413870,4.00,4.00,2.00,2.00,7.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6413889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413897,3.00,0.00,1.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6413919,6.00,3.00,2.00,4.00,8.00,7.13,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6413927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413935,5.00,5.00,1.00,6.00,6.00,12.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6413943,4.00,3.00,0.00,5.00,6.00,7.50,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6413951,4.00,5.00,1.00,4.00,6.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6413960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6413978,4.00,5.00,3.00,6.00,9.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6413994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6414001,3.00,2.00,0.00,2.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6414028,3.00,7.00,1.00,2.00,4.00,7.50,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6414044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6414060,1.00,3.00,3.00,2.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6414079,1.00,5.00,2.00,6.00,6.00,9.38,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6414109,2.00,4.00,3.00,3.00,3.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6414117,3.00,3.00,1.00,1.00,5.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6414125,3.00,5.00,1.00,6.00,4.00,12.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6414133,4.00,4.00,0.00,3.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6414141,2.00,2.00,2.00,1.00,7.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6414150,5.00,6.00,0.00,4.00,6.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6414168,4.00,3.00,2.00,6.00,5.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6414176,1.00,4.00,3.00,5.00,7.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6414184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6414192,3.00,8.00,0.00,7.00,6.00,10.13,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6414206,4.00,5.00,0.00,5.00,7.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6414222,2.00,3.00,1.00,2.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6414230,2.00,6.00,0.00,3.00,5.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6414249,8.00,6.00,4.00,5.00,7.00,9.38,1.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6414257,5.00,2.00,3.00,3.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6414265,4.00,4.00,2.00,4.00,6.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(25,6414273,5.00,5.00,1.00,4.00,9.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6414281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6414290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6414303,2.00,5.00,1.00,2.00,6.00,9.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6414320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6414346,3.00,5.00,1.00,3.00,3.00,7.50,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6414362,0.00,3.00,2.00,4.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6414389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6414400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6414419,2.00,4.00,2.00,4.00,8.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6414427,1.00,3.00,1.00,1.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6414435,8.00,6.00,7.00,6.00,6.00,9.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6414451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6414460,2.00,4.00,2.00,2.00,3.00,6.00,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6414478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6414486,5.00,2.00,1.00,4.00,5.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6414508,6.00,5.00,2.00,5.00,6.00,10.13,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6414516,3.00,6.00,2.00,5.00,6.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6414532,3.00,3.00,1.00,2.00,3.00,7.13,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6414540,3.00,5.00,3.00,5.00,5.00,6.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6414559,3.00,7.00,3.00,4.00,3.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6414575,1.00,3.00,1.00,3.00,6.00,5.63,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6414591,7.00,5.00,2.00,6.00,5.00,8.63,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6414613,2.00,3.00,2.00,7.00,7.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6414648,4.00,5.00,2.00,5.00,7.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6414656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6414664,1.00,0.00,1.00,2.00,4.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6414672,3.00,6.00,2.00,7.00,5.00,10.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6414702,7.00,8.00,3.00,5.00,8.00,13.13,1.00,9.00,4.00,NULL,NULL,NULL,'N'),(25,6414710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6414729,3.00,6.00,2.00,5.00,6.00,3.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6414753,3.00,4.00,3.00,3.00,4.00,6.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6414761,3.00,5.00,2.00,4.00,5.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6414770,5.00,2.00,1.00,3.00,5.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'S'),(25,6414788,0.00,5.00,0.00,0.00,0.00,NULL,3.00,1.00,3.00,'S',NULL,NULL,'N'),(25,6414796,2.00,5.00,0.00,3.00,6.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6414800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6414818,3.00,1.00,0.00,2.00,4.00,7.88,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6414834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6414842,1.00,4.00,1.00,1.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6414885,3.00,1.00,1.00,2.00,5.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6414907,1.00,1.00,0.00,1.00,0.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6414915,4.00,6.00,4.00,6.00,7.00,7.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6414940,6.00,4.00,3.00,6.00,7.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6414958,3.00,5.00,1.00,3.00,8.00,8.25,3.00,7.00,1.00,NULL,NULL,NULL,'S'),(25,6414966,1.00,6.00,0.00,5.00,6.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6414974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6414982,1.00,4.00,2.00,5.00,4.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6415008,2.00,4.00,2.00,3.00,4.00,5.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6415040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6415075,7.00,7.00,2.00,4.00,6.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6415083,5.00,3.00,1.00,6.00,7.00,11.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6415091,2.00,3.00,1.00,3.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6415105,2.00,5.00,2.00,0.00,5.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6415113,2.00,2.00,0.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6415121,3.00,2.00,2.00,1.00,4.00,5.63,0.00,5.00,2.00,NULL,NULL,NULL,'S'),(25,6415130,2.00,7.00,3.00,6.00,6.00,11.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6415148,2.00,2.00,2.00,3.00,5.00,9.75,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6415164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6415172,4.00,5.00,6.00,5.00,5.00,9.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6415202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6415210,3.00,4.00,2.00,3.00,6.00,7.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6415237,8.00,6.00,3.00,6.00,10.00,11.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6415245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6415253,3.00,2.00,1.00,1.00,5.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6415288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6415296,8.00,4.00,4.00,7.00,9.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6415300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6415326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6415334,3.00,7.00,1.00,3.00,7.00,10.13,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6415342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6415350,4.00,7.00,3.00,3.00,7.00,9.00,3.00,3.00,7.00,NULL,NULL,NULL,'S'),(25,6415385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6415407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6415415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6415431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6415440,7.00,6.00,5.00,7.00,8.00,6.00,0.00,8.00,6.00,NULL,NULL,NULL,'N'),(25,6415474,4.00,5.00,1.00,2.00,4.00,8.63,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6415482,4.00,4.00,1.00,3.00,8.00,10.13,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6415490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6415504,2.00,4.00,1.00,2.00,1.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6415512,2.00,4.00,1.00,5.00,5.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6415520,3.00,2.00,1.00,3.00,3.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6415539,2.00,6.00,1.00,5.00,8.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6415547,3.00,5.00,1.00,5.00,6.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6415555,4.00,2.00,0.00,2.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6415571,3.00,6.00,2.00,3.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6415598,4.00,3.00,2.00,5.00,9.00,6.38,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6415601,8.00,7.00,4.00,6.00,7.00,11.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6415610,1.00,4.00,2.00,4.00,3.00,8.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6415628,2.00,5.00,2.00,4.00,4.00,8.25,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6415636,3.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6415644,5.00,3.00,0.00,4.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6415652,2.00,7.00,0.00,4.00,5.00,2.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6415660,2.00,2.00,2.00,3.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6415679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6415687,4.00,0.00,5.00,8.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6415695,1.00,3.00,1.00,6.00,6.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6415717,1.00,4.00,0.00,3.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6415750,3.00,3.00,4.00,2.00,6.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6415768,2.00,2.00,2.00,4.00,1.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6415776,1.00,5.00,2.00,5.00,6.00,9.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6415784,2.00,1.00,1.00,2.00,3.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6415792,1.00,2.00,2.00,1.00,5.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6415806,1.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6415814,3.00,2.00,1.00,6.00,6.00,7.88,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6415822,8.00,8.00,4.00,6.00,9.00,10.88,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6415830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6415849,0.00,4.00,0.00,4.00,5.00,7.88,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6415857,3.00,3.00,2.00,2.00,8.00,10.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6415873,4.00,3.00,2.00,2.00,9.00,10.50,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6415881,6.00,4.00,0.00,6.00,7.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6415890,4.00,5.00,3.00,4.00,4.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(25,6415903,3.00,6.00,4.00,5.00,6.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6415911,4.00,1.00,2.00,1.00,1.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6415920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6415938,2.00,3.00,1.00,2.00,5.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6415946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6415954,2.00,4.00,2.00,3.00,6.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6415962,6.00,4.00,1.00,6.00,8.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6415970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6415989,1.00,3.00,0.00,1.00,1.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6415997,2.00,5.00,0.00,3.00,7.00,7.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6416004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416020,8.00,7.00,6.00,5.00,9.00,9.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6416039,4.00,2.00,2.00,2.00,4.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6416047,5.00,5.00,0.00,4.00,5.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6416055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416098,5.00,5.00,4.00,4.00,5.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6416101,4.00,5.00,4.00,6.00,6.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6416110,7.00,7.00,5.00,6.00,8.00,10.88,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6416128,2.00,3.00,2.00,2.00,4.00,9.00,2.00,1.00,1.00,NULL,NULL,NULL,'S'),(25,6416136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416144,2.00,3.00,0.00,3.00,4.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(25,6416152,2.00,4.00,2.00,3.00,7.00,NULL,2.00,2.00,5.00,NULL,NULL,'S','N'),(25,6416179,6.00,5.00,4.00,5.00,8.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6416195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416209,2.00,3.00,2.00,2.00,5.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6416217,7.00,6.00,6.00,7.00,8.00,11.63,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6416225,5.00,4.00,1.00,2.00,7.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6416233,2.00,5.00,0.00,2.00,7.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6416241,7.00,7.00,3.00,7.00,9.00,8.25,2.00,6.00,9.00,NULL,NULL,NULL,'N'),(25,6416268,6.00,6.00,1.00,4.00,8.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6416276,3.00,5.00,2.00,1.00,5.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6416284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416292,2.00,4.00,1.00,7.00,4.00,10.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6416306,6.00,6.00,5.00,6.00,10.00,NULL,3.00,7.00,5.00,NULL,NULL,'S','N'),(25,6416322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416330,2.00,3.00,2.00,6.00,3.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6416349,2.00,2.00,1.00,2.00,4.00,8.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6416357,1.00,2.00,2.00,4.00,4.00,0.00,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6416365,4.00,3.00,2.00,2.00,6.00,7.88,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6416373,1.00,3.00,1.00,2.00,3.00,NULL,0.00,0.00,4.00,NULL,NULL,NULL,'N'),(25,6416381,5.00,7.00,1.00,6.00,8.00,8.25,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(25,6416390,4.00,4.00,0.00,5.00,7.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6416411,5.00,6.00,5.00,3.00,8.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6416420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416438,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416446,3.00,4.00,0.00,4.00,8.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6416454,4.00,3.00,1.00,3.00,5.00,6.75,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6416470,3.00,2.00,0.00,1.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6416489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416527,6.00,6.00,3.00,6.00,9.00,10.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6416535,3.00,4.00,2.00,2.00,6.00,6.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6416543,6.00,6.00,1.00,3.00,6.00,6.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6416551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416560,3.00,5.00,5.00,5.00,8.00,7.88,2.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6416608,4.00,7.00,4.00,5.00,6.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6416632,8.00,4.00,5.00,5.00,8.00,10.88,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6416640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416691,5.00,4.00,2.00,5.00,7.00,9.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6416713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416748,7.00,7.00,8.00,6.00,8.00,12.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6416756,0.00,3.00,2.00,1.00,5.00,7.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6416764,0.00,1.00,2.00,2.00,4.00,6.75,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6416772,4.00,7.00,4.00,6.00,8.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(25,6416780,8.00,8.00,2.00,7.00,10.00,13.13,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6416799,3.00,4.00,1.00,2.00,5.00,7.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6416802,3.00,5.00,2.00,4.00,6.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6416810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416829,5.00,5.00,1.00,4.00,7.00,0.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6416837,4.00,4.00,3.00,5.00,5.00,10.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6416845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416888,2.00,3.00,0.00,4.00,6.00,8.25,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6416896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6416918,3.00,4.00,2.00,3.00,6.00,9.38,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6416926,1.00,4.00,1.00,0.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6416934,7.00,3.00,3.00,4.00,7.00,10.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6416950,3.00,1.00,1.00,5.00,6.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6416985,4.00,2.00,2.00,4.00,7.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6416993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417019,3.00,4.00,0.00,2.00,4.00,4.88,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6417027,1.00,6.00,1.00,3.00,8.00,10.13,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6417043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417051,4.00,2.00,2.00,6.00,6.00,5.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6417060,0.00,4.00,0.00,0.00,0.00,NULL,0.00,3.00,6.00,'S',NULL,NULL,'S'),(25,6417078,5.00,5.00,3.00,4.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,'S','N'),(25,6417086,2.00,6.00,1.00,1.00,6.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6417094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417108,3.00,2.00,0.00,0.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6417116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417124,3.00,3.00,2.00,5.00,6.00,6.38,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(25,6417132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417183,5.00,7.00,1.00,7.00,7.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6417191,6.00,5.00,2.00,5.00,7.00,9.38,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6417205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417221,2.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6417230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417248,4.00,1.00,0.00,1.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6417280,4.00,5.00,0.00,0.00,4.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6417299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417337,2.00,4.00,1.00,3.00,5.00,6.75,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6417345,4.00,5.00,2.00,3.00,3.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6417353,2.00,2.00,0.00,3.00,5.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6417361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417396,7.00,6.00,2.00,5.00,5.00,8.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6417400,4.00,5.00,2.00,3.00,4.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6417426,4.00,4.00,1.00,4.00,8.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6417442,3.00,5.00,3.00,4.00,6.00,5.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6417450,4.00,5.00,5.00,3.00,5.00,7.50,1.00,2.00,8.00,NULL,NULL,NULL,'N'),(25,6417469,4.00,5.00,4.00,7.00,9.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6417477,2.00,6.00,4.00,2.00,3.00,2.25,4.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6417485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417493,3.00,7.00,2.00,1.00,8.00,8.25,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(25,6417515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417540,1.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6417566,1.00,6.00,1.00,3.00,4.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6417574,2.00,4.00,2.00,2.00,7.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6417590,2.00,3.00,1.00,4.00,7.00,7.13,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6417612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417620,2.00,4.00,1.00,4.00,6.00,6.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6417655,1.00,6.00,2.00,5.00,8.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6417671,6.00,7.00,3.00,2.00,7.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6417698,6.00,4.00,2.00,7.00,8.00,10.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6417710,2.00,4.00,1.00,6.00,6.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6417728,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417760,6.00,6.00,4.00,4.00,9.00,10.13,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6417787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417817,1.00,3.00,1.00,2.00,3.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6417825,3.00,6.00,1.00,2.00,4.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6417833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417868,7.00,6.00,4.00,6.00,8.00,9.38,1.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6417876,2.00,5.00,2.00,6.00,7.00,11.25,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6417884,4.00,5.00,1.00,5.00,7.00,NULL,1.00,6.00,2.00,NULL,NULL,'S','S'),(25,6417914,5.00,5.00,2.00,5.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6417922,7.00,5.00,5.00,6.00,8.00,7.50,4.00,3.00,9.00,NULL,NULL,NULL,'N'),(25,6417949,5.00,5.00,3.00,6.00,7.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6417957,3.00,5.00,3.00,5.00,5.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6417965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6417973,8.00,7.00,4.00,7.00,8.00,10.13,4.00,5.00,9.00,NULL,NULL,NULL,'N'),(25,6417990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418007,5.00,6.00,0.00,6.00,8.00,12.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6418015,4.00,5.00,2.00,5.00,9.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6418023,3.00,3.00,4.00,5.00,8.00,10.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6418031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418040,6.00,7.00,1.00,5.00,9.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6418058,5.00,7.00,1.00,4.00,8.00,NULL,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6418066,2.00,5.00,3.00,1.00,6.00,8.25,2.00,0.00,3.00,NULL,NULL,NULL,'S'),(25,6418082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418090,5.00,4.00,2.00,5.00,7.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6418120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418139,5.00,1.00,0.00,2.00,6.00,6.75,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6418147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418155,3.00,5.00,0.00,3.00,4.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6418163,3.00,6.00,2.00,3.00,4.00,5.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6418201,6.00,4.00,1.00,6.00,7.00,5.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6418210,3.00,5.00,2.00,7.00,7.00,NULL,2.00,3.00,2.00,NULL,NULL,'S','N'),(25,6418236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418252,3.00,4.00,1.00,4.00,7.00,9.38,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6418260,3.00,2.00,3.00,5.00,3.00,10.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6418287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418333,5.00,3.00,2.00,4.00,5.00,7.88,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6418350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418368,6.00,7.00,1.00,1.00,6.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6418376,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418392,2.00,7.00,3.00,3.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6418406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418414,5.00,6.00,1.00,6.00,9.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6418422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418430,1.00,2.00,0.00,3.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6418457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418473,5.00,5.00,4.00,5.00,7.00,5.63,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6418490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418538,4.00,6.00,6.00,5.00,7.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6418546,1.00,4.00,0.00,4.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6418570,0.00,5.00,0.00,0.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6418589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418597,6.00,6.00,1.00,1.00,7.00,9.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6418600,1.00,2.00,2.00,3.00,4.00,7.50,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6418619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418635,4.00,5.00,0.00,3.00,7.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6418643,4.00,5.00,0.00,1.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6418651,3.00,7.00,2.00,2.00,8.00,9.75,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(25,6418660,5.00,6.00,3.00,6.00,5.00,10.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6418678,3.00,5.00,0.00,2.00,4.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6418686,3.00,7.00,3.00,4.00,6.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6418708,1.00,3.00,0.00,2.00,7.00,6.75,2.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6418724,4.00,5.00,2.00,1.00,3.00,7.88,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6418732,6.00,4.00,0.00,5.00,6.00,NULL,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6418740,3.00,2.00,0.00,2.00,2.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6418759,5.00,7.00,4.00,5.00,8.00,10.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6418767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418775,3.00,5.00,2.00,3.00,3.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6418783,3.00,3.00,1.00,3.00,6.00,9.00,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6418821,4.00,6.00,1.00,2.00,5.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6418830,3.00,3.00,2.00,2.00,5.00,7.13,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6418848,5.00,7.00,3.00,4.00,5.00,8.25,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(25,6418864,3.00,2.00,0.00,0.00,6.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'S'),(25,6418872,6.00,5.00,3.00,3.00,6.00,7.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6418899,6.00,5.00,1.00,3.00,8.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6418902,8.00,0.00,3.00,3.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6418910,3.00,6.00,1.00,6.00,6.00,0.00,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6418937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418945,2.00,4.00,3.00,6.00,6.00,7.50,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6418953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418961,2.00,4.00,4.00,4.00,5.00,8.63,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6418970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6418988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6419003,2.00,3.00,2.00,4.00,6.00,10.50,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6419011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6419020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6419038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6419062,2.00,4.00,3.00,2.00,5.00,9.00,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6419089,5.00,4.00,3.00,6.00,9.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(25,6419097,8.00,7.00,4.00,7.00,8.00,10.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6419100,3.00,3.00,2.00,1.00,5.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6419127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6419135,3.00,4.00,6.00,1.00,3.00,4.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6419151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6419160,4.00,5.00,2.00,7.00,8.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6419178,3.00,4.00,1.00,6.00,5.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6419194,6.00,8.00,4.00,6.00,8.00,12.75,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6419208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6419216,4.00,3.00,2.00,5.00,3.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6419232,0.00,2.00,1.00,0.00,3.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6419240,6.00,6.00,4.00,7.00,9.00,NULL,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6419259,2.00,3.00,1.00,6.00,5.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(25,6419275,1.00,4.00,1.00,3.00,5.00,6.00,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6419283,2.00,4.00,0.00,3.00,5.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6419291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6419356,2.00,0.00,1.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6419364,4.00,4.00,2.00,6.00,6.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6419372,7.00,6.00,2.00,3.00,9.00,8.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6419380,9.00,6.00,7.00,7.00,6.00,9.38,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6419399,3.00,3.00,2.00,4.00,9.00,6.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6419402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6419410,6.00,7.00,2.00,6.00,8.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6419429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6419437,7.00,8.00,5.00,6.00,9.00,12.38,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6419445,5.00,5.00,2.00,4.00,5.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6419453,2.00,3.00,0.00,1.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'S'),(25,6419461,5.00,7.00,4.00,5.00,9.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6419496,5.00,4.00,2.00,2.00,8.00,9.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6419500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6419518,2.00,3.00,2.00,3.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6419526,3.00,5.00,0.00,5.00,8.00,7.50,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6419534,4.00,3.00,0.00,5.00,5.00,6.75,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6419542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6419569,2.00,3.00,1.00,1.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6419577,5.00,5.00,2.00,2.00,4.00,7.13,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6419585,1.00,2.00,2.00,2.00,7.00,NULL,0.00,1.00,1.00,NULL,NULL,'S','N'),(25,6419593,5.00,4.00,1.00,5.00,4.00,7.50,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(25,6419607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6419615,2.00,4.00,3.00,5.00,4.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6419640,1.00,4.00,0.00,4.00,4.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6419658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6419674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6419682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6419712,3.00,4.00,0.00,7.00,8.00,6.75,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6419739,1.00,0.00,2.00,2.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6419747,2.00,4.00,1.00,0.00,7.00,7.50,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6419755,7.00,6.00,2.00,5.00,8.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6419763,6.00,7.00,3.00,3.00,7.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6419780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6419798,0.00,5.00,1.00,1.00,4.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6419828,5.00,6.00,2.00,3.00,8.00,10.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6419836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6419844,3.00,4.00,3.00,3.00,3.00,0.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6419852,6.00,5.00,2.00,4.00,7.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6419860,3.00,5.00,1.00,1.00,6.00,6.00,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6419895,3.00,7.00,2.00,7.00,6.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6419917,6.00,2.00,0.00,6.00,4.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6419933,6.00,5.00,6.00,6.00,7.00,9.75,1.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6419941,6.00,6.00,2.00,5.00,7.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6419950,4.00,2.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6419968,4.00,4.00,2.00,7.00,6.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6419984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6419992,3.00,2.00,3.00,3.00,6.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6420001,3.00,4.00,0.00,3.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,'S','N'),(25,6420028,7.00,7.00,4.00,3.00,6.00,11.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6420036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420044,5.00,4.00,3.00,6.00,5.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6420052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420087,4.00,6.00,0.00,2.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6420117,4.00,4.00,3.00,6.00,4.00,9.00,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6420125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420133,1.00,2.00,0.00,6.00,6.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6420141,5.00,3.00,1.00,2.00,8.00,6.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6420168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420176,3.00,4.00,1.00,3.00,5.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6420184,6.00,7.00,4.00,5.00,7.00,7.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6420192,1.00,3.00,3.00,6.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6420206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420222,6.00,7.00,3.00,6.00,9.00,10.88,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6420249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420257,7.00,6.00,2.00,5.00,6.00,8.63,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(25,6420273,2.00,2.00,2.00,4.00,3.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6420281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420311,4.00,5.00,6.00,5.00,6.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(25,6420320,3.00,2.00,1.00,2.00,6.00,6.00,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6420338,1.00,3.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,'S','N'),(25,6420346,6.00,7.00,2.00,6.00,9.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6420354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6420370,3.00,5.00,1.00,3.00,7.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6420397,4.00,4.00,3.00,5.00,6.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6420400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420435,2.00,4.00,3.00,4.00,4.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6420451,3.00,5.00,2.00,6.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6420478,7.00,6.00,3.00,6.00,8.00,9.38,4.00,3.00,7.00,NULL,NULL,NULL,'N'),(25,6420508,2.00,1.00,1.00,2.00,4.00,9.38,2.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6420516,2.00,5.00,2.00,4.00,6.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6420524,1.00,2.00,1.00,3.00,5.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6420532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420540,1.00,2.00,0.00,1.00,3.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6420559,5.00,5.00,2.00,4.00,10.00,8.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6420575,3.00,5.00,1.00,3.00,5.00,9.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6420583,6.00,6.00,1.00,6.00,7.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6420605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420613,7.00,8.00,2.00,5.00,8.00,10.50,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6420621,2.00,0.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6420630,4.00,4.00,2.00,6.00,5.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6420656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420664,4.00,2.00,1.00,5.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6420672,5.00,7.00,2.00,6.00,8.00,11.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6420680,1.00,1.00,0.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6420702,3.00,3.00,2.00,6.00,6.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(25,6420710,4.00,1.00,2.00,4.00,4.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6420729,0.00,4.00,1.00,1.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6420745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420788,4.00,5.00,3.00,6.00,8.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6420796,5.00,7.00,1.00,6.00,9.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6420834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420850,2.00,4.00,3.00,4.00,4.00,7.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6420877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420885,5.00,7.00,5.00,5.00,10.00,10.50,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(25,6420893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(25,6420931,3.00,5.00,3.00,6.00,6.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6420940,3.00,3.00,3.00,3.00,6.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6420958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420966,3.00,6.00,3.00,2.00,6.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6420974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6420982,1.00,1.00,2.00,2.00,5.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6421008,6.00,5.00,1.00,3.00,6.00,9.75,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6421032,2.00,1.00,2.00,3.00,7.00,6.00,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6421040,5.00,4.00,1.00,2.00,5.00,9.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6421083,4.00,5.00,2.00,4.00,6.00,11.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6421091,3.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6421105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6421113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6421121,2.00,4.00,2.00,7.00,9.00,9.75,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(25,6421130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6421156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6421164,0.00,3.00,1.00,3.00,4.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6421172,4.00,3.00,2.00,4.00,6.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6421210,4.00,5.00,2.00,2.00,6.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6421245,4.00,2.00,1.00,3.00,5.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6421261,3.00,6.00,2.00,3.00,5.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6421270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6421288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6421296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6421318,2.00,3.00,0.00,2.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6421326,5.00,4.00,1.00,5.00,7.00,7.13,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6421334,7.00,7.00,2.00,2.00,8.00,8.63,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(25,6421342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6421350,3.00,4.00,2.00,3.00,4.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6421369,3.00,5.00,2.00,6.00,6.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6421377,3.00,5.00,1.00,6.00,9.00,9.75,1.00,5.00,0.00,NULL,NULL,NULL,'S'),(25,6421385,8.00,6.00,4.00,4.00,9.00,11.63,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6421393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6421407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6421415,9.00,7.00,7.00,6.00,9.00,10.13,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(25,6421423,6.00,5.00,2.00,2.00,7.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6421458,3.00,4.00,5.00,4.00,8.00,7.50,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(25,6421466,3.00,3.00,1.00,4.00,4.00,7.13,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6421474,3.00,5.00,0.00,3.00,3.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6421482,6.00,3.00,3.00,6.00,7.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6421490,2.00,4.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'S'),(25,6421504,3.00,4.00,1.00,3.00,7.00,10.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6421512,3.00,3.00,2.00,4.00,3.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6421520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6421539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6421547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6421555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6421563,2.00,3.00,3.00,3.00,7.00,5.63,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6421571,2.00,2.00,2.00,2.00,5.00,5.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6421598,4.00,2.00,2.00,3.00,4.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6421610,3.00,4.00,2.00,4.00,5.00,8.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6421652,5.00,5.00,3.00,7.00,10.00,6.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6421679,5.00,3.00,3.00,4.00,8.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6421687,5.00,4.00,1.00,7.00,8.00,10.88,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6421709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6421717,2.00,3.00,2.00,2.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6421725,2.00,1.00,0.00,3.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6421733,6.00,6.00,4.00,7.00,9.00,0.00,0.00,5.00,4.00,NULL,NULL,NULL,'S'),(25,6421741,5.00,4.00,1.00,6.00,4.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6421750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6421768,2.00,5.00,2.00,4.00,6.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6421806,3.00,3.00,0.00,3.00,10.00,9.75,3.00,4.00,0.00,NULL,NULL,NULL,'S'),(25,6421814,4.00,4.00,3.00,4.00,6.00,8.63,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6421822,5.00,5.00,2.00,6.00,9.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6421830,4.00,6.00,3.00,5.00,7.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6421857,2.00,3.00,1.00,4.00,3.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6421873,4.00,4.00,3.00,5.00,8.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6421881,2.00,4.00,3.00,4.00,4.00,7.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6421911,6.00,3.00,4.00,6.00,7.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6421920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6421938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6421946,2.00,2.00,5.00,3.00,3.00,5.25,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6421954,4.00,3.00,4.00,5.00,8.00,7.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6421962,1.00,5.00,1.00,2.00,4.00,8.25,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6421970,3.00,6.00,4.00,4.00,8.00,6.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6421989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6422004,1.00,2.00,0.00,2.00,1.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6422020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6422039,1.00,5.00,0.00,4.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6422047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6422063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6422098,8.00,8.00,3.00,7.00,9.00,9.75,2.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6422110,3.00,5.00,5.00,6.00,5.00,9.75,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(25,6422136,8.00,7.00,4.00,6.00,11.00,10.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6422152,7.00,6.00,4.00,4.00,8.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6422160,8.00,6.00,4.00,7.00,8.00,7.88,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(25,6422179,4.00,3.00,2.00,3.00,8.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6422187,4.00,7.00,4.00,6.00,10.00,11.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6422209,4.00,5.00,2.00,6.00,9.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6422217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6422225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6422233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6422268,7.00,7.00,4.00,7.00,9.00,11.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(25,6422276,3.00,0.00,4.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6422284,2.00,7.00,3.00,2.00,7.00,9.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6422306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6422314,2.00,3.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6422322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6422349,4.00,4.00,1.00,5.00,6.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6422365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6422373,4.00,3.00,1.00,6.00,4.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6422390,3.00,6.00,2.00,5.00,8.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6422403,2.00,0.00,0.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6422411,8.00,7.00,3.00,5.00,10.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(25,6422420,2.00,3.00,0.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6422438,3.00,3.00,2.00,3.00,5.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6422446,2.00,1.00,2.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6422462,3.00,6.00,4.00,4.00,7.00,7.50,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6422497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6422519,4.00,3.00,1.00,2.00,5.00,7.50,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6422527,3.00,5.00,1.00,4.00,5.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6422535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6422543,4.00,4.00,1.00,4.00,5.00,8.25,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6422551,4.00,4.00,3.00,3.00,7.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6422586,5.00,7.00,2.00,6.00,9.00,7.88,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6422608,6.00,6.00,5.00,6.00,8.00,6.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(25,6422616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6422624,6.00,3.00,4.00,4.00,7.00,9.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(25,6422632,4.00,5.00,3.00,4.00,5.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6422640,2.00,2.00,1.00,4.00,4.00,8.63,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6422659,2.00,4.00,1.00,5.00,4.00,7.13,3.00,2.00,4.00,NULL,NULL,NULL,'S'),(25,6422675,3.00,2.00,5.00,6.00,6.00,11.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6422683,2.00,4.00,2.00,5.00,4.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6422705,4.00,6.00,0.00,4.00,8.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6422721,1.00,3.00,0.00,3.00,5.00,6.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6422730,2.00,5.00,2.00,3.00,4.00,4.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(25,6422748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6422756,4.00,3.00,2.00,2.00,5.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6422764,2.00,4.00,2.00,5.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6422772,2.00,2.00,0.00,3.00,7.00,9.00,0.00,2.00,0.00,NULL,NULL,NULL,'S'),(25,6422780,7.00,5.00,2.00,5.00,10.00,12.38,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6422829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6422837,6.00,7.00,3.00,5.00,7.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(25,6422853,0.00,2.00,0.00,2.00,7.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6422861,3.00,6.00,0.00,5.00,7.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6422870,4.00,2.00,2.00,3.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,'S','S'),(25,6422888,4.00,5.00,3.00,4.00,5.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6422896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6422900,3.00,5.00,1.00,6.00,5.00,10.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6422918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6422942,2.00,2.00,0.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6422950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6422969,4.00,4.00,0.00,4.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6422977,4.00,5.00,3.00,2.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6422985,7.00,4.00,5.00,5.00,7.00,7.88,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6422993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423000,7.00,0.00,4.00,6.00,10.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6423027,4.00,4.00,0.00,3.00,7.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6423035,4.00,4.00,1.00,7.00,5.00,8.63,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6423043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423051,4.00,5.00,5.00,6.00,7.00,9.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6423060,2.00,5.00,0.00,4.00,5.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6423078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423094,2.00,1.00,2.00,3.00,4.00,3.75,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6423116,1.00,4.00,2.00,1.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6423124,0.00,4.00,3.00,3.00,3.00,6.00,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6423132,2.00,3.00,1.00,0.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6423140,4.00,4.00,1.00,3.00,5.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6423159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423213,2.00,4.00,1.00,3.00,5.00,8.25,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6423221,2.00,3.00,2.00,4.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6423230,7.00,7.00,2.00,7.00,10.00,12.00,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(25,6423264,3.00,5.00,2.00,5.00,5.00,6.38,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6423272,3.00,5.00,3.00,7.00,5.00,10.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6423299,3.00,5.00,2.00,3.00,6.00,8.63,1.00,7.00,0.00,NULL,NULL,NULL,'N'),(25,6423302,4.00,2.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6423310,5.00,5.00,3.00,6.00,8.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6423329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423361,1.00,3.00,1.00,3.00,6.00,6.00,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6423370,3.00,4.00,3.00,3.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6423388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423396,3.00,4.00,2.00,3.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6423400,0.00,0.00,1.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6423418,2.00,2.00,0.00,1.00,3.00,5.25,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6423426,3.00,1.00,2.00,5.00,5.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6423434,7.00,7.00,5.00,8.00,7.00,12.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(25,6423442,1.00,5.00,1.00,5.00,3.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6423450,3.00,5.00,2.00,1.00,3.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6423493,6.00,6.00,4.00,6.00,8.00,8.25,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(25,6423507,7.00,4.00,7.00,5.00,8.00,11.25,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(25,6423515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423523,5.00,5.00,2.00,4.00,6.00,7.88,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6423558,3.00,4.00,3.00,1.00,1.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6423566,0.00,3.00,0.00,0.00,0.00,NULL,0.00,0.00,2.00,'S',NULL,NULL,'S'),(25,6423612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423663,5.00,7.00,0.00,4.00,8.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(25,6423671,5.00,3.00,4.00,6.00,5.00,8.63,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6423680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423710,2.00,0.00,0.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6423736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423744,3.00,4.00,0.00,3.00,5.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6423760,3.00,4.00,1.00,2.00,5.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6423779,5.00,6.00,0.00,3.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6423787,6.00,6.00,4.00,4.00,9.00,9.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6423825,0.00,3.00,1.00,3.00,5.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6423833,0.00,3.00,1.00,2.00,5.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6423850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423868,3.00,4.00,1.00,5.00,7.00,10.88,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6423876,1.00,0.00,2.00,3.00,3.00,8.25,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6423884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423892,2.00,3.00,2.00,3.00,8.00,9.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6423906,1.00,2.00,0.00,2.00,4.00,7.13,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6423914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6423949,3.00,4.00,0.00,5.00,8.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6423957,5.00,4.00,0.00,4.00,6.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(25,6423990,3.00,5.00,1.00,2.00,6.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6424031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6424058,3.00,3.00,1.00,1.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6424066,4.00,5.00,3.00,6.00,7.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6424082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6424104,2.00,3.00,1.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6424112,3.00,1.00,0.00,2.00,3.00,7.13,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6424120,5.00,5.00,0.00,4.00,3.00,10.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6424139,2.00,2.00,1.00,3.00,4.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6424147,4.00,7.00,3.00,6.00,5.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6424155,1.00,2.00,2.00,6.00,3.00,6.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6424163,4.00,4.00,3.00,6.00,7.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6424171,4.00,4.00,0.00,4.00,8.00,10.13,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6424198,3.00,5.00,1.00,4.00,3.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6424201,8.00,5.00,3.00,3.00,8.00,9.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(25,6424210,4.00,6.00,2.00,6.00,5.00,13.50,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(25,6424228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6424236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6424252,4.00,7.00,3.00,5.00,6.00,9.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6424260,2.00,3.00,2.00,3.00,7.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(25,6424279,4.00,0.00,3.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6424295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6424317,2.00,4.00,3.00,3.00,3.00,NULL,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6424325,5.00,6.00,3.00,7.00,7.00,8.25,5.00,2.00,6.00,NULL,NULL,NULL,'N'),(25,6424333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6424341,6.00,3.00,2.00,2.00,3.00,4.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6424350,2.00,2.00,1.00,5.00,4.00,10.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6424376,7.00,4.00,2.00,6.00,8.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6424384,1.00,3.00,3.00,4.00,5.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6424392,3.00,2.00,2.00,3.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,'S','N'),(25,6424406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6424414,4.00,6.00,2.00,4.00,6.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6424430,1.00,0.00,2.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6424449,5.00,5.00,1.00,3.00,6.00,9.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6424465,4.00,5.00,0.00,3.00,4.00,7.88,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6424490,5.00,6.00,0.00,3.00,5.00,10.13,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(25,6424503,4.00,5.00,2.00,2.00,7.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6424511,3.00,4.00,4.00,5.00,5.00,6.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6424520,5.00,4.00,3.00,6.00,9.00,NULL,0.00,0.00,6.00,NULL,NULL,NULL,'N'),(25,6424538,2.00,7.00,4.00,1.00,3.00,6.75,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6424562,5.00,4.00,3.00,6.00,8.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(25,6424600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6424627,4.00,4.00,1.00,3.00,5.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'S'),(25,6424635,3.00,5.00,2.00,5.00,7.00,12.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6424651,1.00,5.00,2.00,2.00,6.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6424660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6424686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6424724,3.00,3.00,3.00,2.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6424732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6424740,1.00,1.00,2.00,2.00,4.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6424775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6424783,2.00,4.00,2.00,3.00,5.00,0.00,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(25,6424791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6424805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6424813,2.00,3.00,4.00,4.00,7.00,10.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6424821,2.00,7.00,2.00,6.00,8.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6424830,2.00,0.00,1.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6424848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6424856,5.00,4.00,1.00,3.00,3.00,6.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6424910,5.00,6.00,5.00,7.00,8.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(25,6424929,7.00,6.00,2.00,7.00,8.00,7.88,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6424945,2.00,1.00,3.00,4.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6424953,2.00,2.00,0.00,5.00,5.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6424961,3.00,6.00,2.00,5.00,7.00,9.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(25,6424970,3.00,6.00,0.00,5.00,4.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(25,6424988,8.00,6.00,4.00,6.00,9.00,9.38,4.00,8.00,9.00,NULL,NULL,NULL,'N'),(25,6424996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425020,2.00,1.00,1.00,2.00,3.00,7.13,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6425038,1.00,6.00,1.00,3.00,5.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(25,6425046,2.00,3.00,0.00,1.00,5.00,7.13,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6425054,2.00,5.00,2.00,1.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6425062,3.00,4.00,2.00,5.00,8.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6425070,5.00,7.00,4.00,3.00,7.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6425089,3.00,7.00,1.00,7.00,8.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6425097,6.00,4.00,0.00,4.00,6.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6425119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425127,6.00,5.00,5.00,7.00,8.00,12.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6425135,4.00,3.00,1.00,2.00,3.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6425151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425208,3.00,4.00,1.00,3.00,3.00,6.75,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6425216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425224,1.00,2.00,1.00,0.00,3.00,3.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6425240,6.00,5.00,1.00,5.00,6.00,7.88,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6425259,5.00,6.00,7.00,3.00,7.00,7.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6425275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425283,3.00,6.00,0.00,5.00,7.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(25,6425291,2.00,2.00,2.00,4.00,3.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(25,6425305,4.00,5.00,4.00,7.00,5.00,7.50,3.00,3.00,7.00,NULL,NULL,NULL,'S'),(25,6425313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425321,3.00,6.00,3.00,5.00,9.00,6.75,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(25,6425330,1.00,0.00,0.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6425348,2.00,3.00,3.00,3.00,4.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(25,6425356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425399,0.00,2.00,0.00,0.00,0.00,NULL,1.00,0.00,1.00,NULL,NULL,'S','N'),(25,6425402,4.00,1.00,2.00,2.00,9.00,8.63,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(25,6425437,2.00,5.00,1.00,3.00,5.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6425445,3.00,2.00,2.00,3.00,4.00,6.75,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6425453,1.00,6.00,2.00,2.00,5.00,8.63,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(25,6425461,3.00,7.00,1.00,4.00,8.00,10.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(25,6425470,2.00,7.00,0.00,2.00,5.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6425488,3.00,3.00,2.00,5.00,6.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6425496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425500,4.00,2.00,1.00,5.00,8.00,9.75,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6425518,4.00,4.00,1.00,2.00,3.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(25,6425526,2.00,0.00,1.00,3.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6425534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425542,8.00,5.00,5.00,5.00,7.00,9.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(25,6425550,5.00,4.00,3.00,3.00,5.00,0.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6425569,3.00,3.00,1.00,3.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6425585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425593,2.00,3.00,1.00,5.00,6.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6425607,2.00,2.00,1.00,0.00,4.00,4.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(25,6425615,4.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6425623,2.00,3.00,4.00,3.00,4.00,8.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6425631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425640,3.00,6.00,1.00,3.00,3.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6425674,2.00,5.00,5.00,2.00,4.00,6.75,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(25,6425704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425712,4.00,5.00,3.00,6.00,6.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6425720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425739,3.00,6.00,1.00,0.00,6.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(25,6425763,3.00,4.00,1.00,4.00,4.00,9.75,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6425771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425810,3.00,7.00,2.00,5.00,8.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(25,6425860,3.00,8.00,3.00,5.00,5.00,8.63,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(25,6425879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425895,2.00,2.00,0.00,1.00,1.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6425917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6425984,5.00,6.00,3.00,6.00,8.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6425992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6426018,4.00,6.00,3.00,5.00,5.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(25,6426026,2.00,1.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6426034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6426042,3.00,5.00,3.00,5.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6426050,2.00,5.00,5.00,5.00,6.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(25,6426069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6426077,7.00,7.00,1.00,4.00,5.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6426107,1.00,0.00,4.00,3.00,1.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(25,6426131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6426166,5.00,4.00,4.00,7.00,7.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6426174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6426182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6426204,4.00,5.00,3.00,5.00,5.00,10.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(25,6426212,2.00,5.00,2.00,2.00,3.00,7.50,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(25,6426239,2.00,3.00,3.00,3.00,6.00,8.25,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(25,6426247,3.00,4.00,0.00,1.00,4.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(25,6426255,4.00,6.00,4.00,7.00,6.00,8.63,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(25,6426271,2.00,2.00,1.00,5.00,7.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(25,6426280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6426301,4.00,3.00,1.00,3.00,4.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(25,6426310,4.00,6.00,2.00,6.00,6.00,8.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(25,6426328,5.00,7.00,3.00,7.00,10.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(25,6426336,4.00,5.00,3.00,4.00,9.00,9.38,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(25,6426360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6426379,5.00,4.00,3.00,5.00,6.00,9.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(25,6426387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6426395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(25,6426409,3.00,0.00,4.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6426417,3.00,6.00,0.00,6.00,6.00,9.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6426433,3.00,3.00,2.00,3.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(25,6426441,2.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6426450,4.00,0.00,2.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(25,6426468,3.00,4.00,2.00,2.00,4.00,8.63,4.00,0.00,2.00,NULL,NULL,NULL,'N'),(25,6426484,0.00,3.00,0.00,3.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(25,6426492,7.00,5.00,5.00,7.00,8.00,6.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(25,6426514,7.00,7.00,4.00,6.00,9.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7000014,1.00,7.00,1.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7000022,2.00,7.00,0.00,7.00,5.00,9.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7000030,4.00,8.00,2.00,6.00,6.00,10.13,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7000049,1.00,4.00,1.00,1.00,3.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7000057,1.00,5.00,1.00,4.00,5.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7000065,4.00,7.00,4.00,7.00,7.00,8.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7000073,4.00,6.00,4.00,6.00,8.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7000081,3.00,8.00,3.00,7.00,9.00,9.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7000090,1.00,5.00,2.00,4.00,5.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7000103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7000111,4.00,5.00,2.00,4.00,7.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7000120,3.00,7.00,2.00,5.00,4.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7000146,7.00,6.00,2.00,7.00,7.00,8.63,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7000162,3.00,6.00,2.00,6.00,7.00,6.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7000170,3.00,4.00,1.00,5.00,4.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7000189,5.00,6.00,1.00,7.00,4.00,5.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7000197,2.00,5.00,2.00,8.00,9.00,8.63,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7000200,2.00,6.00,3.00,5.00,7.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7000219,3.00,8.00,1.00,5.00,9.00,9.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7000243,6.00,6.00,3.00,7.00,8.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7000260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7000278,2.00,5.00,1.00,3.00,3.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7000286,5.00,2.00,2.00,4.00,4.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7000294,6.00,9.00,7.00,8.00,11.00,14.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7000308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7000316,5.00,7.00,3.00,6.00,7.00,9.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7000324,1.00,5.00,1.00,4.00,4.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7000332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7000359,2.00,8.00,0.00,4.00,10.00,9.00,0.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7000375,3.00,8.00,3.00,5.00,7.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7000383,3.00,6.00,2.00,7.00,9.00,11.63,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7000391,0.00,2.00,2.00,4.00,6.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7000405,3.00,5.00,2.00,6.00,6.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7000413,5.00,7.00,5.00,6.00,8.00,7.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7000421,4.00,6.00,2.00,6.00,9.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7000430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7000448,3.00,3.00,2.00,6.00,6.00,10.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7000456,7.00,8.00,4.00,7.00,8.00,11.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7000464,5.00,7.00,5.00,6.00,10.00,11.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7000472,5.00,4.00,1.00,4.00,6.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7000499,2.00,8.00,3.00,6.00,8.00,8.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7000502,0.00,3.00,2.00,5.00,3.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7000510,5.00,8.00,2.00,7.00,8.00,10.88,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7000529,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7000537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7000545,1.00,4.00,2.00,5.00,7.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7000553,2.00,5.00,2.00,6.00,6.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7000561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7000570,1.00,2.00,1.00,4.00,5.00,4.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7000588,5.00,6.00,2.00,4.00,7.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7000618,1.00,4.00,1.00,4.00,4.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7000634,2.00,2.00,1.00,4.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7000642,2.00,8.00,4.00,4.00,7.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7000650,1.00,5.00,1.00,5.00,4.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7000677,6.00,7.00,4.00,6.00,7.00,10.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7000685,2.00,9.00,4.00,6.00,7.00,7.88,2.00,9.00,6.00,NULL,NULL,NULL,'N'),(28,7000693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7000707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7000715,0.00,4.00,2.00,3.00,3.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7000731,0.00,5.00,2.00,2.00,4.00,4.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7000740,4.00,7.00,3.00,6.00,7.00,7.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7000758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7000766,4.00,4.00,1.00,6.00,5.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7000774,0.00,1.00,1.00,3.00,6.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7000782,0.00,2.00,1.00,6.00,4.00,4.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7000804,1.00,5.00,2.00,4.00,4.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7000812,3.00,4.00,1.00,5.00,6.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7000820,3.00,6.00,1.00,7.00,6.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7000839,4.00,4.00,3.00,6.00,9.00,10.13,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7000847,0.00,3.00,1.00,4.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7000855,0.00,5.00,1.00,6.00,7.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7000871,3.00,6.00,4.00,6.00,8.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7000880,4.00,6.00,4.00,6.00,9.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7000898,1.00,7.00,1.00,6.00,6.00,7.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7000944,4.00,7.00,1.00,6.00,3.00,10.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7000952,6.00,8.00,1.00,8.00,7.00,8.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7000960,3.00,6.00,2.00,6.00,8.00,12.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7000979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7000987,0.00,4.00,1.00,2.00,4.00,5.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7000995,2.00,6.00,2.00,7.00,7.00,7.88,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7001002,0.00,4.00,0.00,6.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7001010,5.00,7.00,3.00,8.00,8.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7001029,6.00,9.00,3.00,7.00,6.00,10.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7001037,0.00,2.00,3.00,1.00,3.00,3.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7001045,3.00,5.00,2.00,5.00,6.00,9.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7001053,3.00,3.00,2.00,5.00,5.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7001061,2.00,6.00,1.00,7.00,7.00,12.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7001070,2.00,8.00,2.00,6.00,7.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7001088,5.00,8.00,6.00,6.00,7.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7001096,4.00,8.00,2.00,7.00,6.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7001100,0.00,2.00,2.00,3.00,4.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7001118,3.00,6.00,3.00,5.00,7.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7001126,6.00,7.00,4.00,6.00,8.00,9.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7001142,4.00,7.00,3.00,7.00,7.00,10.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7001169,1.00,3.00,1.00,4.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7001177,5.00,8.00,2.00,5.00,10.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7001185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7001193,2.00,6.00,4.00,7.00,3.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7001207,4.00,6.00,2.00,6.00,5.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7001215,4.00,6.00,1.00,7.00,7.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7001223,2.00,5.00,2.00,6.00,4.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7001231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7001258,5.00,6.00,4.00,7.00,5.00,11.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7001266,4.00,7.00,3.00,7.00,9.00,11.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7001274,1.00,4.00,1.00,1.00,5.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7001282,1.00,3.00,1.00,3.00,3.00,9.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7001290,2.00,4.00,3.00,6.00,2.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7001304,0.00,4.00,0.00,4.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7001312,0.00,1.00,3.00,3.00,2.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7001320,7.00,6.00,5.00,5.00,6.00,9.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7001339,3.00,6.00,2.00,5.00,6.00,6.38,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7001347,2.00,8.00,2.00,6.00,7.00,10.13,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7001355,4.00,7.00,3.00,6.00,8.00,9.00,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7001371,3.00,6.00,2.00,2.00,6.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7001380,4.00,6.00,2.00,7.00,9.00,9.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7001398,0.00,6.00,1.00,4.00,7.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7001401,8.00,6.00,7.00,6.00,10.00,9.38,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7001410,1.00,8.00,2.00,5.00,5.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7001428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7001436,3.00,6.00,0.00,6.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7001444,1.00,7.00,4.00,5.00,7.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7001452,0.00,5.00,2.00,2.00,5.00,7.13,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7001460,2.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7001509,1.00,6.00,3.00,5.00,9.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7001517,2.00,4.00,1.00,2.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7001533,6.00,9.00,5.00,7.00,10.00,11.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7001568,6.00,8.00,2.00,7.00,10.00,11.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7001584,3.00,4.00,3.00,6.00,7.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7001592,3.00,5.00,2.00,5.00,4.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7001622,1.00,4.00,2.00,2.00,4.00,3.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7001630,5.00,7.00,5.00,7.00,9.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7001649,0.00,5.00,1.00,2.00,3.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7001657,1.00,7.00,2.00,6.00,8.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7001665,3.00,7.00,1.00,6.00,7.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7001673,3.00,4.00,3.00,5.00,5.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7001681,3.00,8.00,1.00,5.00,6.00,9.00,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7001703,1.00,3.00,2.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7001720,4.00,8.00,2.00,7.00,9.00,7.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7001738,5.00,7.00,2.00,1.00,3.00,9.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7001754,0.00,4.00,1.00,2.00,4.00,4.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7001770,4.00,8.00,3.00,7.00,7.00,8.63,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7001789,1.00,5.00,3.00,6.00,3.00,6.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7001797,2.00,5.00,2.00,7.00,8.00,12.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7001800,4.00,6.00,1.00,6.00,5.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7001819,0.00,5.00,2.00,4.00,8.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7001827,0.00,3.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7001835,0.00,2.00,3.00,5.00,3.00,3.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7001843,2.00,5.00,0.00,5.00,5.00,7.88,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7001878,2.00,5.00,3.00,6.00,7.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7001886,3.00,7.00,3.00,7.00,8.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7001908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7001916,3.00,8.00,2.00,7.00,8.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7001924,5.00,8.00,5.00,6.00,4.00,8.63,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7001932,1.00,5.00,2.00,4.00,7.00,7.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7001940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7001967,2.00,7.00,1.00,4.00,6.00,6.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7001975,1.00,6.00,2.00,4.00,4.00,10.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7001983,1.00,6.00,4.00,5.00,6.00,7.88,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7001991,4.00,7.00,3.00,7.00,10.00,10.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7002009,3.00,7.00,2.00,6.00,7.00,12.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7002017,0.00,2.00,0.00,5.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7002025,5.00,7.00,1.00,6.00,6.00,10.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7002033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7002050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7002068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7002076,5.00,6.00,2.00,6.00,8.00,13.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7002084,1.00,4.00,0.00,4.00,3.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7002122,6.00,8.00,3.00,6.00,7.00,8.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7002157,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7002165,0.00,5.00,1.00,8.00,4.00,10.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7002173,0.00,4.00,1.00,2.00,4.00,4.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7002190,0.00,6.00,3.00,6.00,7.00,9.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7002203,4.00,2.00,3.00,3.00,4.00,4.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7002211,0.00,4.00,1.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7002220,1.00,5.00,3.00,7.00,7.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7002238,4.00,5.00,2.00,4.00,5.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7002246,1.00,7.00,3.00,7.00,5.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7002262,1.00,5.00,3.00,1.00,6.00,7.88,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7002270,0.00,3.00,1.00,5.00,4.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7002289,1.00,5.00,2.00,4.00,3.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7002297,1.00,4.00,4.00,1.00,6.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7002300,7.00,6.00,3.00,7.00,10.00,7.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7002319,2.00,5.00,3.00,6.00,8.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7002335,1.00,1.00,1.00,4.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7002343,5.00,8.00,1.00,6.00,3.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7002351,2.00,3.00,2.00,3.00,4.00,4.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7002378,0.00,6.00,2.00,6.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7002394,4.00,5.00,3.00,6.00,5.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7002408,1.00,6.00,3.00,2.00,5.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7002416,2.00,2.00,0.00,3.00,5.00,10.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7002424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7002440,2.00,5.00,3.00,4.00,9.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7002459,2.00,2.00,3.00,5.00,3.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7002467,5.00,8.00,1.00,7.00,8.00,7.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7002475,1.00,4.00,0.00,3.00,6.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7002483,0.00,6.00,3.00,3.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7002491,3.00,5.00,2.00,5.00,8.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7002505,3.00,7.00,2.00,6.00,8.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7002530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7002548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7002556,6.00,9.00,3.00,6.00,9.00,10.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7002564,3.00,7.00,1.00,7.00,8.00,9.38,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7002580,1.00,6.00,1.00,6.00,8.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7002599,1.00,4.00,0.00,2.00,5.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7002629,0.00,5.00,2.00,3.00,4.00,4.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7002637,3.00,7.00,5.00,6.00,5.00,10.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7002645,2.00,7.00,2.00,5.00,8.00,10.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7002653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7002661,1.00,6.00,0.00,6.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7002670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7002696,4.00,7.00,2.00,7.00,4.00,8.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7002700,0.00,1.00,1.00,4.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7002718,1.00,4.00,0.00,4.00,5.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7002734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7002750,6.00,4.00,3.00,7.00,6.00,8.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7002777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7002785,1.00,7.00,2.00,5.00,6.00,NULL,4.00,3.00,2.00,NULL,NULL,'S','N'),(28,7002807,3.00,6.00,3.00,6.00,8.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7002815,2.00,5.00,3.00,5.00,7.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7002823,4.00,5.00,3.00,5.00,6.00,7.13,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7002840,4.00,7.00,3.00,7.00,9.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7002866,7.00,8.00,4.00,6.00,9.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7002874,0.00,3.00,1.00,3.00,4.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7002882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7002890,5.00,6.00,2.00,6.00,6.00,12.38,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7002912,2.00,6.00,1.00,5.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7002920,5.00,8.00,5.00,6.00,7.00,8.63,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7002939,1.00,5.00,1.00,6.00,5.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7002955,1.00,4.00,0.00,2.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7002963,0.00,4.00,1.00,3.00,3.00,4.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7002971,4.00,5.00,4.00,6.00,6.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7002980,1.00,7.00,2.00,5.00,7.00,6.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7002998,3.00,5.00,1.00,5.00,7.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7003005,3.00,7.00,0.00,3.00,6.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7003013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7003021,5.00,5.00,2.00,7.00,8.00,10.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7003048,1.00,5.00,0.00,6.00,6.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7003056,9.00,7.00,6.00,7.00,10.00,9.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7003064,0.00,3.00,1.00,5.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7003099,4.00,5.00,4.00,5.00,4.00,9.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7003110,1.00,3.00,2.00,5.00,5.00,7.13,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7003153,4.00,8.00,3.00,8.00,6.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7003161,3.00,6.00,4.00,7.00,7.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7003170,2.00,1.00,1.00,2.00,4.00,3.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7003188,6.00,8.00,4.00,7.00,10.00,11.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7003196,6.00,8.00,7.00,7.00,10.00,11.25,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7003200,4.00,6.00,3.00,2.00,7.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7003218,5.00,7.00,3.00,6.00,8.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7003226,1.00,6.00,1.00,4.00,6.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7003234,8.00,9.00,6.00,7.00,10.00,10.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7003269,4.00,7.00,2.00,7.00,3.00,10.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7003277,7.00,8.00,7.00,6.00,10.00,9.38,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7003285,1.00,4.00,2.00,1.00,6.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7003293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7003315,4.00,5.00,2.00,6.00,5.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7003323,3.00,6.00,2.00,5.00,7.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7003331,5.00,4.00,2.00,6.00,5.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7003340,1.00,6.00,3.00,6.00,4.00,9.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7003358,0.00,2.00,0.00,3.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7003366,3.00,3.00,3.00,6.00,6.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7003374,1.00,5.00,2.00,2.00,4.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7003382,3.00,4.00,2.00,6.00,3.00,4.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7003390,2.00,4.00,1.00,4.00,3.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7003412,3.00,6.00,2.00,6.00,7.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7003455,1.00,5.00,3.00,5.00,5.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7003463,2.00,4.00,0.00,2.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7003471,0.00,6.00,3.00,2.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7003480,2.00,5.00,4.00,5.00,3.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7003501,6.00,8.00,3.00,6.00,8.00,9.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7003544,3.00,3.00,3.00,3.00,6.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7003552,2.00,6.00,1.00,4.00,6.00,7.88,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7003579,1.00,6.00,1.00,6.00,5.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7003587,0.00,4.00,2.00,4.00,6.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7003609,1.00,3.00,0.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7003617,3.00,5.00,0.00,6.00,9.00,11.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7003625,5.00,7.00,5.00,7.00,9.00,10.13,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7003650,3.00,5.00,3.00,4.00,7.00,4.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7003668,3.00,6.00,2.00,4.00,8.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7003676,6.00,7.00,5.00,7.00,9.00,9.38,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7003684,0.00,2.00,2.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7003692,5.00,7.00,5.00,5.00,4.00,8.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7003706,0.00,4.00,1.00,3.00,7.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7003714,0.00,6.00,1.00,2.00,4.00,8.25,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7003722,3.00,6.00,2.00,5.00,4.00,4.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7003730,5.00,8.00,2.00,6.00,9.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7003749,4.00,5.00,1.00,5.00,7.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7003765,6.00,6.00,3.00,6.00,7.00,7.88,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7003773,1.00,5.00,2.00,3.00,3.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7003781,1.00,0.00,0.00,3.00,1.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7003790,7.00,7.00,4.00,7.00,8.00,8.63,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7003803,3.00,7.00,1.00,7.00,8.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7003811,3.00,4.00,3.00,5.00,5.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7003820,3.00,6.00,1.00,5.00,8.00,10.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7003838,1.00,4.00,1.00,4.00,5.00,3.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7003846,6.00,7.00,1.00,7.00,10.00,8.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7003862,3.00,7.00,2.00,6.00,6.00,7.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7003897,6.00,8.00,3.00,6.00,7.00,9.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7003900,2.00,7.00,1.00,5.00,6.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7003919,2.00,7.00,3.00,5.00,8.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7003927,2.00,7.00,3.00,2.00,7.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7003935,3.00,8.00,2.00,6.00,7.00,NULL,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7003943,7.00,9.00,7.00,7.00,10.00,12.00,9.00,9.00,8.00,NULL,NULL,NULL,'N'),(28,7003978,6.00,8.00,3.00,6.00,10.00,6.38,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7003986,2.00,7.00,2.00,8.00,6.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7003994,3.00,5.00,4.00,5.00,6.00,7.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7004001,4.00,4.00,3.00,3.00,5.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7004010,2.00,6.00,2.00,6.00,6.00,7.88,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7004028,3.00,7.00,3.00,6.00,7.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7004036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7004060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7004079,1.00,8.00,5.00,7.00,9.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7004095,5.00,7.00,1.00,7.00,9.00,10.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7004109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7004117,1.00,5.00,3.00,5.00,4.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7004133,0.00,7.00,0.00,6.00,10.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7004141,2.00,4.00,1.00,4.00,4.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7004168,1.00,3.00,2.00,1.00,3.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7004176,2.00,5.00,3.00,4.00,5.00,7.50,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7004184,7.00,7.00,3.00,7.00,9.00,11.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7004214,2.00,5.00,2.00,4.00,6.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7004222,2.00,8.00,3.00,7.00,7.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7004230,2.00,6.00,3.00,6.00,5.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7004249,0.00,4.00,2.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7004257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7004265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7004273,6.00,7.00,2.00,7.00,7.00,8.63,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7004290,2.00,7.00,1.00,6.00,3.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7004311,2.00,7.00,0.00,4.00,5.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7004320,4.00,5.00,1.00,7.00,9.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7004338,4.00,7.00,5.00,3.00,8.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7004354,1.00,3.00,2.00,7.00,6.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7004362,1.00,7.00,3.00,7.00,7.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7004370,1.00,6.00,1.00,7.00,5.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7004419,0.00,4.00,1.00,3.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7004427,2.00,6.00,0.00,6.00,4.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7004435,3.00,5.00,0.00,6.00,8.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7004443,6.00,8.00,2.00,6.00,10.00,8.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7004451,1.00,5.00,2.00,6.00,6.00,10.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7004460,6.00,8.00,3.00,7.00,6.00,8.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7004478,3.00,6.00,1.00,5.00,9.00,8.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7004494,2.00,7.00,2.00,4.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7004508,0.00,2.00,1.00,3.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(28,7004524,3.00,7.00,3.00,4.00,5.00,6.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7004532,3.00,5.00,1.00,6.00,9.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7004559,0.00,8.00,1.00,6.00,7.00,9.00,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7004567,4.00,4.00,3.00,5.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7004575,3.00,7.00,3.00,5.00,7.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7004583,7.00,7.00,4.00,6.00,7.00,10.13,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7004591,4.00,9.00,3.00,6.00,7.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7004605,4.00,6.00,2.00,8.00,5.00,8.63,3.00,3.00,7.00,NULL,NULL,NULL,'S'),(28,7004613,0.00,4.00,1.00,6.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7004621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7004630,0.00,2.00,2.00,2.00,5.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7004648,1.00,6.00,2.00,7.00,7.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7004656,5.00,7.00,4.00,6.00,8.00,8.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7004672,3.00,8.00,1.00,5.00,7.00,8.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7004680,1.00,6.00,3.00,6.00,5.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7004702,0.00,4.00,1.00,3.00,6.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7004710,2.00,4.00,3.00,3.00,4.00,5.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7004737,6.00,8.00,5.00,5.00,7.00,8.25,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7004753,1.00,5.00,4.00,5.00,4.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7004761,0.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(28,7004788,6.00,7.00,3.00,6.00,7.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7004796,1.00,6.00,1.00,2.00,6.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7004800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7004818,0.00,3.00,1.00,4.00,6.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7004826,6.00,6.00,4.00,6.00,6.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7004834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7004842,1.00,5.00,4.00,7.00,7.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7004850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7004869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7004885,2.00,4.00,1.00,4.00,5.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7004893,4.00,4.00,0.00,4.00,6.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7004907,3.00,7.00,0.00,6.00,8.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7004923,4.00,7.00,3.00,3.00,6.00,7.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7004931,5.00,8.00,4.00,5.00,10.00,6.38,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7004940,2.00,7.00,2.00,6.00,8.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7004958,2.00,4.00,3.00,6.00,7.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7004966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7004982,0.00,1.00,1.00,2.00,1.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7004990,0.00,5.00,2.00,5.00,8.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7005008,2.00,6.00,2.00,7.00,7.00,6.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7005016,4.00,0.00,4.00,7.00,10.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7005024,4.00,8.00,3.00,7.00,9.00,10.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7005032,6.00,8.00,5.00,7.00,9.00,9.38,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7005059,1.00,9.00,1.00,6.00,10.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7005075,3.00,4.00,1.00,4.00,8.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7005083,2.00,4.00,1.00,4.00,5.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7005091,1.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7005113,1.00,6.00,4.00,6.00,5.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7005121,4.00,7.00,4.00,6.00,8.00,9.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7005130,1.00,8.00,2.00,7.00,7.00,10.50,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7005148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7005156,6.00,5.00,2.00,5.00,8.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7005164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7005172,2.00,8.00,2.00,6.00,8.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7005180,1.00,4.00,3.00,7.00,7.00,7.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7005199,5.00,5.00,3.00,6.00,8.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7005210,6.00,7.00,5.00,6.00,9.00,10.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7005237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7005245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7005261,0.00,1.00,1.00,2.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7005270,3.00,5.00,6.00,6.00,6.00,8.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7005288,8.00,9.00,4.00,7.00,6.00,7.88,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7005300,1.00,3.00,1.00,5.00,3.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7005326,3.00,8.00,1.00,6.00,9.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7005334,3.00,6.00,1.00,7.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7005342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7005350,4.00,8.00,2.00,7.00,9.00,7.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7005369,1.00,6.00,4.00,3.00,4.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7005393,1.00,5.00,1.00,4.00,3.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7005407,2.00,4.00,2.00,6.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,'S','N'),(28,7005415,4.00,5.00,2.00,7.00,9.00,8.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7005423,0.00,1.00,2.00,1.00,3.00,4.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7005431,0.00,3.00,3.00,6.00,7.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7005458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7005474,2.00,2.00,2.00,4.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7005482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7005490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7005504,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7005512,2.00,6.00,2.00,3.00,5.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7005547,0.00,4.00,3.00,6.00,4.00,7.88,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7005555,0.00,3.00,0.00,1.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7005563,5.00,8.00,2.00,7.00,9.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7005601,3.00,7.00,2.00,2.00,3.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7005610,5.00,6.00,0.00,6.00,6.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7005628,2.00,5.00,1.00,6.00,9.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7005644,1.00,6.00,0.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7005660,2.00,5.00,2.00,6.00,8.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7005687,2.00,5.00,3.00,7.00,7.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7005695,7.00,8.00,7.00,7.00,10.00,8.63,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7005709,3.00,8.00,4.00,5.00,8.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7005717,1.00,7.00,3.00,7.00,6.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7005733,5.00,7.00,5.00,6.00,8.00,12.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7005741,2.00,6.00,2.00,4.00,5.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7005750,2.00,3.00,3.00,5.00,3.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7005768,0.00,3.00,1.00,5.00,6.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7005776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7005792,2.00,4.00,2.00,2.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,'S','N'),(28,7005806,1.00,4.00,0.00,4.00,4.00,8.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7005814,3.00,0.00,3.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,'S','N'),(28,7005822,4.00,6.00,2.00,5.00,7.00,7.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7005830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7005857,1.00,8.00,2.00,8.00,10.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7005873,3.00,6.00,2.00,6.00,6.00,7.50,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7005881,1.00,7.00,2.00,7.00,10.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7005890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7005903,7.00,7.00,5.00,7.00,5.00,6.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7005911,5.00,9.00,2.00,7.00,11.00,10.13,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7005920,5.00,7.00,3.00,7.00,10.00,10.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7005938,4.00,4.00,2.00,5.00,4.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7005946,3.00,6.00,2.00,0.00,4.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7005954,2.00,5.00,4.00,4.00,5.00,9.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7005989,5.00,7.00,0.00,8.00,7.00,7.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7005997,0.00,4.00,1.00,3.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7006004,5.00,8.00,0.00,6.00,7.00,7.88,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7006012,0.00,0.00,3.00,3.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7006020,4.00,5.00,1.00,6.00,5.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7006039,2.00,3.00,1.00,3.00,4.00,8.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7006047,0.00,6.00,2.00,2.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7006055,3.00,7.00,2.00,5.00,7.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7006071,3.00,7.00,3.00,5.00,8.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7006080,5.00,7.00,2.00,6.00,8.00,7.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7006098,3.00,5.00,3.00,3.00,3.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7006101,0.00,4.00,1.00,4.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7006110,2.00,5.00,1.00,5.00,6.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7006128,0.00,7.00,3.00,6.00,6.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7006136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7006144,1.00,6.00,2.00,4.00,5.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7006152,1.00,4.00,2.00,3.00,3.00,4.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7006160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7006179,5.00,9.00,3.00,6.00,11.00,11.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7006187,4.00,6.00,2.00,7.00,4.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7006209,6.00,7.00,6.00,5.00,6.00,11.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7006217,2.00,6.00,3.00,6.00,9.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7006241,3.00,6.00,2.00,7.00,7.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7006250,7.00,7.00,3.00,6.00,11.00,9.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7006268,0.00,1.00,3.00,3.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7006276,2.00,4.00,1.00,2.00,5.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7006284,3.00,8.00,5.00,7.00,8.00,6.75,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7006292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7006306,3.00,5.00,2.00,2.00,6.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7006314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7006322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7006330,5.00,8.00,1.00,4.00,6.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7006365,2.00,4.00,3.00,4.00,5.00,7.13,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7006373,2.00,5.00,0.00,3.00,6.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7006381,4.00,6.00,3.00,7.00,8.00,7.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7006390,8.00,7.00,5.00,8.00,7.00,10.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7006411,6.00,8.00,3.00,7.00,9.00,10.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7006420,1.00,4.00,1.00,7.00,7.00,12.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7006438,6.00,9.00,0.00,7.00,9.00,10.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7006446,3.00,4.00,3.00,5.00,5.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7006454,0.00,4.00,1.00,4.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,'S','N'),(28,7006462,3.00,7.00,1.00,5.00,8.00,10.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7006470,5.00,5.00,5.00,6.00,5.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7006489,2.00,4.00,2.00,6.00,9.00,8.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7006497,0.00,6.00,1.00,3.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7006519,7.00,8.00,2.00,7.00,9.00,7.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7006535,2.00,6.00,1.00,6.00,6.00,8.25,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(28,7006543,4.00,5.00,2.00,4.00,5.00,7.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7006560,0.00,6.00,0.00,0.00,0.00,NULL,2.00,5.00,4.00,'S',NULL,NULL,'N'),(28,7006578,0.00,3.00,2.00,3.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7006586,4.00,8.00,1.00,4.00,7.00,10.13,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7006594,3.00,7.00,3.00,7.00,9.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7006608,0.00,5.00,3.00,6.00,3.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7006616,2.00,7.00,3.00,5.00,6.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7006624,1.00,6.00,2.00,2.00,3.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7006632,0.00,4.00,1.00,2.00,8.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7006640,3.00,5.00,3.00,5.00,8.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7006667,5.00,7.00,4.00,8.00,9.00,11.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7006675,1.00,4.00,1.00,7.00,5.00,7.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7006683,0.00,4.00,0.00,3.00,4.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7006691,6.00,7.00,4.00,7.00,7.00,9.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7006705,3.00,7.00,4.00,7.00,7.00,8.63,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7006713,3.00,4.00,3.00,4.00,5.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7006730,6.00,8.00,3.00,7.00,9.00,10.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7006748,1.00,7.00,2.00,6.00,4.00,7.50,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7006756,2.00,7.00,3.00,5.00,6.00,8.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7006764,7.00,8.00,4.00,5.00,7.00,11.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7006772,0.00,3.00,1.00,4.00,4.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7006780,4.00,6.00,1.00,6.00,7.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7006799,3.00,6.00,2.00,6.00,7.00,7.88,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7006810,5.00,5.00,2.00,4.00,6.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7006837,0.00,1.00,0.00,1.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7006845,1.00,7.00,2.00,7.00,7.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7006853,4.00,7.00,2.00,7.00,8.00,11.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7006861,2.00,5.00,4.00,4.00,6.00,4.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7006870,1.00,5.00,3.00,5.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7006896,1.00,5.00,1.00,7.00,3.00,7.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7006900,2.00,4.00,4.00,2.00,5.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7006918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7006926,1.00,7.00,2.00,6.00,5.00,7.13,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7006934,3.00,7.00,2.00,6.00,7.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7006942,1.00,1.00,0.00,3.00,6.00,5.63,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7006950,3.00,5.00,4.00,3.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7006969,2.00,6.00,2.00,6.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7006977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7006985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7006993,3.00,9.00,3.00,7.00,7.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7007000,4.00,8.00,1.00,6.00,8.00,5.63,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7007027,3.00,4.00,0.00,7.00,7.00,5.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7007035,2.00,5.00,2.00,7.00,7.00,8.63,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7007051,3.00,7.00,6.00,8.00,10.00,6.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7007060,2.00,8.00,0.00,4.00,5.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7007078,3.00,3.00,0.00,7.00,7.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7007086,1.00,6.00,1.00,5.00,6.00,8.63,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7007116,1.00,5.00,1.00,7.00,6.00,5.63,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7007124,4.00,4.00,3.00,2.00,4.00,6.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7007140,1.00,4.00,1.00,6.00,5.00,6.38,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7007159,3.00,6.00,2.00,5.00,8.00,7.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7007175,2.00,4.00,1.00,5.00,7.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7007183,3.00,6.00,2.00,6.00,6.00,6.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7007205,2.00,9.00,3.00,6.00,6.00,9.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7007213,1.00,3.00,1.00,1.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7007221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7007230,4.00,5.00,3.00,7.00,6.00,10.13,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7007256,6.00,8.00,2.00,7.00,7.00,7.13,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7007264,1.00,3.00,3.00,4.00,3.00,8.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7007272,2.00,6.00,3.00,6.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7007280,5.00,6.00,2.00,4.00,6.00,10.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7007299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7007302,4.00,7.00,1.00,3.00,3.00,6.38,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7007310,3.00,6.00,1.00,4.00,5.00,8.63,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7007329,2.00,7.00,1.00,6.00,6.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7007337,4.00,7.00,3.00,7.00,6.00,8.63,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7007345,3.00,7.00,3.00,5.00,9.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7007353,4.00,5.00,3.00,4.00,6.00,7.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7007361,3.00,6.00,3.00,5.00,7.00,6.38,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7007370,2.00,2.00,2.00,7.00,6.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7007388,0.00,2.00,1.00,4.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7007396,2.00,7.00,4.00,5.00,7.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7007400,4.00,8.00,4.00,7.00,7.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7007418,3.00,5.00,1.00,6.00,6.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7007426,2.00,6.00,3.00,4.00,5.00,7.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7007434,1.00,6.00,2.00,6.00,6.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7007442,2.00,6.00,3.00,6.00,4.00,6.38,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7007450,5.00,9.00,2.00,5.00,7.00,9.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7007469,5.00,7.00,3.00,4.00,7.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7007477,2.00,5.00,1.00,6.00,6.00,5.63,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7007493,0.00,6.00,3.00,3.00,6.00,5.63,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7007507,2.00,5.00,3.00,4.00,7.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7007515,4.00,6.00,2.00,6.00,7.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7007540,0.00,4.00,4.00,3.00,5.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7007566,0.00,2.00,2.00,5.00,4.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7007574,4.00,5.00,3.00,7.00,8.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7007582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7007590,1.00,4.00,0.00,1.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7007620,2.00,4.00,2.00,4.00,8.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7007639,0.00,5.00,3.00,3.00,4.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7007647,5.00,8.00,3.00,6.00,10.00,12.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7007655,3.00,4.00,2.00,1.00,7.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7007663,3.00,6.00,3.00,6.00,6.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7007698,5.00,7.00,2.00,6.00,7.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7007701,3.00,7.00,4.00,5.00,6.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7007710,0.00,4.00,1.00,3.00,3.00,9.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7007728,4.00,8.00,6.00,7.00,8.00,9.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7007736,1.00,5.00,2.00,5.00,3.00,0.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7007744,2.00,6.00,3.00,7.00,5.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7007752,2.00,2.00,2.00,5.00,5.00,4.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7007760,4.00,7.00,6.00,6.00,8.00,7.13,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7007779,4.00,8.00,1.00,7.00,8.00,10.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7007787,5.00,8.00,4.00,7.00,9.00,10.88,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7007809,1.00,4.00,3.00,4.00,5.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7007817,2.00,6.00,0.00,3.00,8.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7007825,4.00,5.00,0.00,6.00,7.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7007833,1.00,6.00,2.00,5.00,4.00,8.63,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7007850,2.00,6.00,1.00,7.00,8.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7007892,4.00,6.00,2.00,6.00,9.00,9.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7007906,2.00,7.00,4.00,7.00,8.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7007914,7.00,8.00,8.00,7.00,9.00,7.13,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7007922,5.00,8.00,2.00,7.00,6.00,9.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7007930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7007949,0.00,4.00,1.00,4.00,5.00,10.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7007957,3.00,6.00,4.00,5.00,6.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7007965,8.00,9.00,5.00,7.00,10.00,9.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7007973,3.00,5.00,1.00,5.00,6.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7007981,0.00,6.00,2.00,6.00,10.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7007990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7008007,0.00,2.00,2.00,5.00,1.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7008015,8.00,9.00,4.00,7.00,9.00,10.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7008023,0.00,5.00,1.00,5.00,6.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7008031,1.00,2.00,1.00,6.00,6.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7008040,1.00,2.00,2.00,5.00,5.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7008058,2.00,6.00,2.00,6.00,8.00,12.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7008066,2.00,6.00,2.00,5.00,5.00,11.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7008074,3.00,7.00,3.00,1.00,8.00,7.13,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7008090,3.00,6.00,1.00,7.00,7.00,7.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7008104,1.00,6.00,2.00,6.00,7.00,9.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7008112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7008120,7.00,8.00,6.00,7.00,9.00,7.88,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7008147,0.00,3.00,3.00,4.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7008155,2.00,2.00,3.00,3.00,4.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7008163,4.00,6.00,2.00,6.00,8.00,9.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7008171,1.00,3.00,2.00,6.00,4.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7008198,2.00,4.00,3.00,6.00,6.00,8.25,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7008201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7008210,3.00,5.00,1.00,5.00,8.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7008228,3.00,6.00,0.00,7.00,9.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7008236,3.00,6.00,2.00,7.00,9.00,12.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7008260,4.00,6.00,2.00,5.00,4.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7008279,2.00,6.00,2.00,6.00,6.00,10.88,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7008287,9.00,9.00,3.00,7.00,10.00,7.88,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7008295,0.00,1.00,5.00,4.00,5.00,0.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7008309,2.00,6.00,2.00,6.00,6.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7008317,0.00,6.00,3.00,7.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7008325,3.00,8.00,3.00,6.00,5.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7008333,4.00,6.00,3.00,6.00,8.00,12.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7008341,0.00,8.00,1.00,5.00,6.00,4.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7008350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7008368,0.00,4.00,3.00,3.00,4.00,4.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7008376,5.00,3.00,2.00,2.00,5.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7008384,4.00,6.00,3.00,6.00,8.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7008422,2.00,3.00,1.00,6.00,3.00,7.13,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7008430,6.00,7.00,2.00,7.00,7.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7008473,4.00,4.00,0.00,7.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7008481,1.00,4.00,0.00,6.00,8.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7008503,1.00,5.00,1.00,3.00,6.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7008511,4.00,7.00,3.00,7.00,8.00,8.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7008520,1.00,4.00,1.00,4.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7008538,2.00,4.00,1.00,7.00,6.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7008554,3.00,8.00,3.00,5.00,7.00,8.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7008562,3.00,7.00,3.00,4.00,8.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7008589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7008597,4.00,7.00,1.00,4.00,4.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7008600,7.00,7.00,4.00,6.00,9.00,9.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7008619,2.00,7.00,0.00,4.00,6.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7008627,2.00,5.00,1.00,5.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7008635,8.00,8.00,4.00,6.00,10.00,8.63,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7008643,0.00,7.00,2.00,4.00,4.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7008651,8.00,8.00,5.00,5.00,9.00,12.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7008660,2.00,5.00,2.00,5.00,5.00,5.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7008678,1.00,6.00,2.00,3.00,4.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7008686,8.00,8.00,3.00,8.00,9.00,9.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7008694,6.00,9.00,3.00,7.00,10.00,12.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7008716,1.00,5.00,0.00,4.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7008724,5.00,8.00,1.00,7.00,6.00,12.38,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7008732,3.00,8.00,4.00,7.00,9.00,11.63,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7008740,1.00,7.00,0.00,6.00,7.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7008759,0.00,4.00,3.00,7.00,4.00,7.88,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7008767,1.00,4.00,1.00,6.00,5.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7008775,2.00,8.00,3.00,4.00,2.00,NULL,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7008783,1.00,6.00,2.00,6.00,8.00,6.75,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7008791,3.00,4.00,4.00,5.00,7.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7008813,4.00,8.00,4.00,6.00,6.00,10.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7008821,2.00,5.00,1.00,2.00,4.00,6.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7008830,1.00,5.00,3.00,2.00,4.00,5.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7008848,0.00,5.00,2.00,2.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7008856,6.00,7.00,3.00,6.00,9.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7008864,3.00,7.00,1.00,8.00,7.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7008872,2.00,7.00,4.00,7.00,9.00,10.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7008880,1.00,8.00,2.00,6.00,6.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7008899,8.00,8.00,4.00,7.00,10.00,9.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7008902,1.00,4.00,1.00,5.00,7.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7008937,1.00,6.00,3.00,6.00,7.00,8.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7008945,3.00,6.00,3.00,7.00,6.00,10.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7008970,2.00,7.00,2.00,4.00,11.00,10.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7008988,1.00,5.00,1.00,7.00,5.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7008996,5.00,7.00,1.00,6.00,9.00,10.88,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7009003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7009011,5.00,8.00,3.00,6.00,8.00,8.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7009038,0.00,4.00,1.00,6.00,4.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7009046,1.00,6.00,3.00,5.00,5.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7009054,2.00,8.00,3.00,6.00,6.00,7.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7009070,6.00,8.00,6.00,8.00,9.00,9.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7009089,2.00,5.00,3.00,5.00,5.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7009100,1.00,7.00,3.00,1.00,7.00,8.63,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7009119,0.00,4.00,1.00,6.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,'S','N'),(28,7009127,1.00,3.00,0.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7009135,2.00,5.00,2.00,5.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7009151,1.00,4.00,1.00,6.00,4.00,5.63,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7009178,4.00,8.00,2.00,5.00,6.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7009186,0.00,3.00,2.00,5.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7009194,6.00,8.00,3.00,7.00,5.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7009208,8.00,8.00,4.00,7.00,10.00,10.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7009216,0.00,6.00,2.00,4.00,3.00,6.38,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7009224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7009232,5.00,6.00,5.00,7.00,9.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7009240,1.00,6.00,2.00,6.00,4.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7009267,3.00,8.00,3.00,4.00,6.00,6.38,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(28,7009275,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7009283,0.00,6.00,2.00,4.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7009291,5.00,9.00,2.00,7.00,9.00,10.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7009305,2.00,2.00,0.00,1.00,4.00,6.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7009321,3.00,6.00,0.00,5.00,5.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7009330,1.00,3.00,3.00,3.00,3.00,6.38,6.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7009348,3.00,5.00,1.00,6.00,6.00,7.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7009356,3.00,7.00,1.00,5.00,4.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7009364,4.00,8.00,6.00,5.00,5.00,9.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7009372,2.00,7.00,2.00,8.00,9.00,10.88,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7009380,1.00,2.00,1.00,4.00,5.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7009399,1.00,2.00,1.00,5.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7009402,0.00,2.00,0.00,7.00,3.00,4.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7009410,0.00,7.00,1.00,5.00,5.00,8.25,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7009429,0.00,5.00,1.00,4.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7009437,2.00,4.00,3.00,5.00,5.00,8.63,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7009445,6.00,8.00,4.00,7.00,9.00,9.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7009453,7.00,8.00,5.00,7.00,7.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7009470,3.00,7.00,2.00,7.00,4.00,9.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7009496,0.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7009500,2.00,5.00,1.00,4.00,7.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7009526,1.00,6.00,1.00,3.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7009534,1.00,5.00,1.00,6.00,2.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7009542,3.00,7.00,1.00,7.00,8.00,10.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7009569,1.00,4.00,1.00,5.00,3.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7009585,7.00,8.00,4.00,6.00,10.00,10.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7009607,4.00,4.00,1.00,7.00,8.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7009615,0.00,5.00,0.00,5.00,6.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7009623,0.00,0.00,0.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7009631,4.00,7.00,2.00,7.00,6.00,7.13,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7009640,3.00,7.00,3.00,7.00,9.00,8.63,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7009658,5.00,8.00,1.00,6.00,7.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7009674,1.00,4.00,1.00,4.00,7.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7009682,4.00,8.00,5.00,6.00,7.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7009704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7009712,7.00,8.00,5.00,7.00,9.00,7.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7009739,1.00,4.00,2.00,7.00,5.00,7.50,2.00,2.00,0.00,NULL,NULL,NULL,'S'),(28,7009755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7009763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7009771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7009780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7009798,3.00,7.00,5.00,5.00,5.00,11.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7009801,5.00,8.00,4.00,7.00,7.00,NULL,2.00,6.00,4.00,NULL,NULL,'S','S'),(28,7009810,1.00,6.00,2.00,5.00,7.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7009828,0.00,4.00,2.00,6.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7009844,3.00,5.00,2.00,4.00,6.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7009852,1.00,6.00,2.00,6.00,4.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7009860,1.00,6.00,1.00,5.00,9.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7009879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7009887,0.00,5.00,1.00,4.00,5.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7009895,1.00,2.00,4.00,3.00,3.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7009909,3.00,7.00,1.00,7.00,9.00,12.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7009933,0.00,2.00,3.00,6.00,4.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7009968,6.00,8.00,3.00,7.00,10.00,10.50,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7009976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7009984,0.00,2.00,2.00,3.00,4.00,5.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7009992,0.00,3.00,1.00,2.00,4.00,4.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7010001,0.00,4.00,3.00,5.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7010010,4.00,6.00,2.00,7.00,7.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7010028,1.00,5.00,0.00,3.00,3.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7010044,4.00,3.00,3.00,6.00,6.00,11.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7010052,2.00,6.00,2.00,7.00,6.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7010060,1.00,7.00,2.00,6.00,6.00,NULL,1.00,7.00,3.00,NULL,NULL,'S','N'),(28,7010079,0.00,5.00,5.00,6.00,5.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7010095,5.00,7.00,2.00,6.00,9.00,12.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7010117,0.00,5.00,2.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7010125,3.00,6.00,3.00,5.00,6.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7010133,2.00,5.00,4.00,6.00,7.00,8.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7010141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7010150,2.00,7.00,2.00,7.00,5.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7010168,0.00,6.00,2.00,6.00,5.00,6.00,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7010176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7010184,0.00,3.00,2.00,2.00,5.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7010206,0.00,5.00,1.00,7.00,8.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7010214,1.00,5.00,1.00,6.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,'S','N'),(28,7010222,1.00,4.00,2.00,7.00,5.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7010230,2.00,5.00,2.00,7.00,5.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7010249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7010257,1.00,5.00,3.00,2.00,5.00,8.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7010265,1.00,4.00,4.00,3.00,6.00,6.38,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7010281,2.00,7.00,2.00,7.00,9.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7010303,1.00,6.00,1.00,5.00,9.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7010311,3.00,7.00,4.00,6.00,6.00,10.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7010320,3.00,7.00,3.00,5.00,6.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7010338,4.00,6.00,5.00,6.00,8.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7010346,3.00,6.00,3.00,6.00,5.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7010354,2.00,5.00,2.00,2.00,5.00,7.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7010362,7.00,8.00,6.00,7.00,9.00,11.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7010389,4.00,8.00,1.00,4.00,9.00,11.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7010400,4.00,2.00,2.00,1.00,4.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7010419,3.00,7.00,2.00,6.00,8.00,10.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7010427,5.00,8.00,4.00,7.00,7.00,8.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7010443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7010451,3.00,7.00,4.00,4.00,8.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7010460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7010478,1.00,0.00,0.00,3.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7010486,2.00,6.00,2.00,2.00,3.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7010494,2.00,6.00,2.00,5.00,6.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7010508,0.00,4.00,4.00,2.00,5.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7010516,5.00,6.00,2.00,6.00,6.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7010524,0.00,0.00,0.00,3.00,0.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7010532,3.00,6.00,2.00,2.00,8.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7010540,2.00,7.00,1.00,4.00,6.00,9.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7010559,1.00,4.00,1.00,7.00,7.00,8.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7010567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7010575,3.00,7.00,0.00,7.00,6.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7010591,4.00,6.00,3.00,6.00,9.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7010605,3.00,6.00,3.00,6.00,6.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7010613,2.00,5.00,2.00,4.00,7.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7010630,2.00,5.00,2.00,3.00,8.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7010648,2.00,6.00,3.00,5.00,7.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7010664,2.00,7.00,0.00,6.00,7.00,8.25,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7010672,3.00,7.00,3.00,3.00,6.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7010680,4.00,7.00,2.00,6.00,7.00,12.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7010702,2.00,2.00,2.00,6.00,3.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7010710,2.00,7.00,2.00,6.00,8.00,9.00,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7010729,0.00,4.00,2.00,6.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7010737,0.00,7.00,1.00,6.00,5.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7010745,6.00,6.00,2.00,7.00,7.00,9.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7010753,2.00,8.00,3.00,6.00,10.00,11.63,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7010770,1.00,7.00,0.00,6.00,6.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7010788,6.00,7.00,3.00,6.00,7.00,11.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7010796,4.00,6.00,6.00,7.00,7.00,9.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7010800,0.00,1.00,2.00,0.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7010818,0.00,6.00,1.00,5.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7010826,3.00,7.00,1.00,7.00,9.00,10.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7010834,1.00,6.00,1.00,6.00,5.00,6.38,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7010869,4.00,6.00,2.00,4.00,6.00,7.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7010877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7010893,0.00,5.00,3.00,6.00,4.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7010907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7010915,3.00,5.00,4.00,4.00,7.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7010923,0.00,7.00,2.00,7.00,7.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7010958,5.00,8.00,4.00,8.00,8.00,7.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7010966,2.00,9.00,1.00,2.00,7.00,10.50,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7010982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7010990,4.00,8.00,4.00,7.00,7.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7011008,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7011016,3.00,5.00,1.00,7.00,7.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7011024,3.00,6.00,1.00,5.00,6.00,9.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7011040,0.00,1.00,1.00,5.00,4.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7011059,1.00,6.00,1.00,6.00,5.00,5.25,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7011075,5.00,6.00,2.00,5.00,6.00,7.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7011083,3.00,5.00,1.00,5.00,4.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7011091,4.00,7.00,3.00,6.00,6.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7011105,1.00,5.00,3.00,0.00,4.00,4.50,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7011113,5.00,6.00,3.00,6.00,7.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7011130,3.00,7.00,3.00,6.00,7.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7011156,3.00,6.00,3.00,5.00,7.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7011164,5.00,5.00,3.00,4.00,8.00,10.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7011172,6.00,7.00,3.00,7.00,9.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7011180,2.00,5.00,3.00,6.00,7.00,9.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7011199,1.00,5.00,2.00,5.00,3.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7011202,3.00,9.00,1.00,6.00,8.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7011210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7011229,2.00,4.00,1.00,2.00,4.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7011237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7011245,2.00,6.00,2.00,5.00,6.00,9.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7011253,4.00,8.00,2.00,5.00,11.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7011261,0.00,6.00,1.00,4.00,7.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7011270,2.00,7.00,2.00,7.00,9.00,10.88,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7011288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7011296,5.00,6.00,1.00,3.00,4.00,5.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7011300,4.00,8.00,5.00,5.00,7.00,10.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7011318,5.00,0.00,3.00,6.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7011326,0.00,5.00,2.00,5.00,7.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7011334,3.00,6.00,3.00,7.00,10.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7011342,2.00,6.00,1.00,4.00,5.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7011350,0.00,4.00,0.00,5.00,6.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7011377,2.00,8.00,3.00,2.00,4.00,5.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7011385,1.00,5.00,4.00,1.00,5.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7011393,6.00,8.00,4.00,5.00,9.00,7.88,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7011407,1.00,4.00,1.00,5.00,4.00,5.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7011423,2.00,5.00,1.00,5.00,5.00,7.88,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7011431,3.00,7.00,5.00,5.00,9.00,11.63,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(28,7011440,0.00,5.00,0.00,3.00,3.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7011458,5.00,7.00,2.00,4.00,8.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7011466,3.00,8.00,2.00,7.00,6.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7011474,1.00,5.00,2.00,5.00,6.00,9.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7011482,6.00,8.00,3.00,6.00,8.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7011490,1.00,5.00,4.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7011504,0.00,4.00,2.00,6.00,3.00,NULL,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7011512,8.00,9.00,1.00,5.00,8.00,10.88,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7011520,5.00,7.00,1.00,5.00,7.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7011539,4.00,7.00,3.00,7.00,6.00,6.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7011547,2.00,4.00,1.00,4.00,4.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7011563,0.00,3.00,2.00,5.00,1.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7011571,2.00,7.00,4.00,7.00,9.00,9.38,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7011580,2.00,6.00,2.00,5.00,8.00,9.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7011598,1.00,4.00,2.00,4.00,5.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7011601,2.00,6.00,2.00,1.00,3.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7011610,1.00,8.00,5.00,7.00,5.00,11.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7011628,5.00,8.00,3.00,7.00,8.00,7.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7011636,5.00,7.00,1.00,6.00,7.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7011660,6.00,7.00,3.00,7.00,10.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7011679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7011687,2.00,7.00,2.00,2.00,5.00,5.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7011695,5.00,7.00,2.00,6.00,7.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7011709,3.00,6.00,3.00,6.00,8.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7011725,0.00,5.00,0.00,5.00,5.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7011733,2.00,5.00,1.00,7.00,5.00,7.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7011741,0.00,6.00,4.00,3.00,5.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7011750,4.00,7.00,4.00,7.00,7.00,6.38,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7011768,4.00,4.00,1.00,6.00,9.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7011784,4.00,8.00,2.00,3.00,7.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7011792,5.00,8.00,1.00,6.00,7.00,9.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7011806,1.00,6.00,2.00,6.00,6.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7011814,3.00,6.00,1.00,5.00,6.00,9.38,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7011822,3.00,6.00,2.00,5.00,8.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7011830,4.00,9.00,3.00,7.00,9.00,10.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7011849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7011865,4.00,5.00,1.00,5.00,8.00,5.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7011881,0.00,4.00,1.00,6.00,6.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7011903,0.00,3.00,2.00,3.00,6.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7011911,4.00,7.00,2.00,6.00,7.00,10.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7011920,8.00,8.00,5.00,6.00,8.00,7.88,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7011946,1.00,6.00,1.00,4.00,3.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7011954,1.00,5.00,4.00,5.00,6.00,4.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7011962,2.00,7.00,3.00,6.00,6.00,8.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7011970,2.00,8.00,2.00,7.00,7.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7011989,1.00,4.00,2.00,3.00,2.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7011997,0.00,1.00,0.00,2.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7012012,3.00,6.00,3.00,4.00,8.00,7.50,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7012039,5.00,7.00,0.00,7.00,7.00,11.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7012047,7.00,8.00,6.00,6.00,8.00,6.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7012055,1.00,3.00,0.00,5.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7012063,0.00,5.00,1.00,6.00,7.00,9.38,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7012080,2.00,4.00,3.00,6.00,8.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7012098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7012101,8.00,8.00,2.00,7.00,10.00,10.13,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7012110,5.00,6.00,5.00,7.00,8.00,8.63,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7012128,4.00,5.00,2.00,3.00,7.00,5.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7012136,0.00,3.00,1.00,2.00,4.00,4.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7012144,0.00,3.00,2.00,3.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7012152,1.00,3.00,2.00,3.00,5.00,6.00,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7012160,4.00,8.00,2.00,7.00,11.00,10.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7012179,2.00,5.00,2.00,6.00,6.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7012187,4.00,4.00,2.00,4.00,5.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7012195,2.00,3.00,4.00,3.00,6.00,6.38,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7012209,3.00,5.00,1.00,7.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7012217,2.00,5.00,1.00,4.00,6.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7012225,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7012233,1.00,4.00,2.00,7.00,7.00,10.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7012241,2.00,7.00,2.00,8.00,9.00,9.75,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7012250,2.00,7.00,2.00,5.00,7.00,10.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7012284,0.00,5.00,1.00,5.00,3.00,6.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7012292,1.00,6.00,3.00,6.00,7.00,9.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7012330,2.00,4.00,2.00,5.00,4.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7012349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7012357,4.00,7.00,3.00,7.00,6.00,7.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7012365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7012373,8.00,8.00,7.00,6.00,11.00,12.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7012390,5.00,8.00,4.00,8.00,9.00,7.88,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7012403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7012411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7012420,2.00,4.00,1.00,4.00,3.00,4.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7012438,5.00,7.00,2.00,5.00,8.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7012446,4.00,9.00,4.00,6.00,8.00,10.13,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7012454,0.00,4.00,2.00,3.00,3.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7012470,4.00,5.00,3.00,6.00,6.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7012489,5.00,6.00,3.00,5.00,8.00,13.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7012497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7012500,2.00,7.00,4.00,3.00,6.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7012519,2.00,7.00,0.00,6.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7012527,2.00,5.00,1.00,6.00,6.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7012535,6.00,8.00,5.00,7.00,10.00,9.38,7.00,6.00,9.00,NULL,NULL,NULL,'N'),(28,7012543,0.00,4.00,2.00,5.00,4.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7012551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7012560,3.00,7.00,2.00,6.00,7.00,9.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7012578,4.00,8.00,2.00,7.00,8.00,7.88,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7012594,2.00,8.00,3.00,6.00,7.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7012608,4.00,6.00,2.00,6.00,6.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7012624,1.00,6.00,1.00,7.00,6.00,7.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7012640,2.00,5.00,2.00,6.00,7.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7012659,1.00,3.00,3.00,1.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7012667,3.00,7.00,4.00,7.00,8.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7012675,0.00,3.00,1.00,1.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7012683,0.00,3.00,2.00,6.00,5.00,7.88,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7012691,5.00,7.00,4.00,6.00,9.00,10.50,7.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7012705,0.00,3.00,1.00,4.00,7.00,9.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7012713,1.00,4.00,1.00,6.00,7.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7012721,4.00,8.00,2.00,5.00,8.00,10.13,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7012730,0.00,8.00,3.00,5.00,6.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7012748,2.00,6.00,1.00,4.00,6.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7012772,0.00,4.00,4.00,6.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7012780,1.00,3.00,3.00,7.00,6.00,5.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7012799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7012802,3.00,6.00,1.00,7.00,6.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7012829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7012837,1.00,5.00,2.00,5.00,2.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7012845,5.00,8.00,2.00,3.00,7.00,8.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7012861,4.00,5.00,5.00,6.00,7.00,9.38,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7012870,4.00,7.00,2.00,5.00,8.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7012896,2.00,7.00,1.00,7.00,6.00,9.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7012900,3.00,7.00,3.00,6.00,7.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7012918,6.00,7.00,2.00,3.00,7.00,8.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7012926,1.00,7.00,2.00,6.00,4.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7012934,3.00,5.00,2.00,4.00,8.00,9.75,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7012942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7012950,4.00,8.00,4.00,7.00,8.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7012969,0.00,4.00,4.00,5.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7012993,6.00,8.00,4.00,7.00,9.00,9.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7013000,2.00,5.00,2.00,7.00,8.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7013019,2.00,6.00,2.00,2.00,8.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7013035,1.00,4.00,0.00,1.00,5.00,7.50,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7013043,3.00,6.00,1.00,5.00,8.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7013051,6.00,7.00,6.00,6.00,8.00,11.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7013060,5.00,8.00,3.00,7.00,7.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7013078,3.00,6.00,2.00,7.00,6.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7013086,1.00,7.00,2.00,7.00,5.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7013116,6.00,7.00,4.00,7.00,8.00,8.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7013132,1.00,6.00,2.00,4.00,5.00,9.38,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7013140,0.00,5.00,2.00,6.00,3.00,7.13,5.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7013159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7013167,3.00,7.00,4.00,7.00,7.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7013205,3.00,5.00,0.00,7.00,6.00,5.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7013213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7013221,2.00,6.00,2.00,6.00,7.00,7.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7013230,0.00,5.00,2.00,2.00,4.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7013256,5.00,5.00,3.00,5.00,7.00,7.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7013272,4.00,7.00,3.00,7.00,9.00,10.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7013280,4.00,6.00,4.00,5.00,8.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7013299,0.00,3.00,2.00,2.00,3.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7013302,2.00,8.00,1.00,5.00,6.00,8.63,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7013329,1.00,5.00,0.00,5.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,'S','N'),(28,7013337,2.00,6.00,0.00,4.00,6.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7013345,0.00,0.00,2.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7013353,2.00,5.00,2.00,6.00,5.00,5.63,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7013361,0.00,6.00,1.00,6.00,5.00,7.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7013370,0.00,5.00,2.00,6.00,4.00,6.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7013388,2.00,6.00,2.00,7.00,8.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7013396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7013400,4.00,9.00,3.00,4.00,6.00,6.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7013418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7013442,3.00,5.00,3.00,4.00,6.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7013450,1.00,3.00,1.00,2.00,7.00,10.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7013469,4.00,8.00,5.00,6.00,7.00,12.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7013477,0.00,5.00,2.00,5.00,7.00,9.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7013485,0.00,2.00,3.00,4.00,5.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7013493,4.00,6.00,2.00,7.00,8.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7013515,1.00,7.00,2.00,6.00,6.00,9.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7013523,4.00,6.00,1.00,7.00,6.00,7.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7013531,3.00,5.00,1.00,6.00,5.00,5.25,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7013558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7013566,0.00,7.00,2.00,4.00,6.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7013574,1.00,7.00,2.00,6.00,7.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7013582,3.00,6.00,1.00,7.00,7.00,10.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7013590,0.00,6.00,2.00,2.00,6.00,7.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7013604,1.00,7.00,2.00,6.00,9.00,9.38,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7013612,3.00,7.00,1.00,6.00,6.00,9.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7013620,4.00,7.00,4.00,6.00,8.00,7.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7013639,0.00,2.00,2.00,3.00,4.00,5.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7013647,2.00,6.00,1.00,4.00,8.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7013655,1.00,7.00,1.00,7.00,7.00,9.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7013663,0.00,3.00,0.00,1.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7013671,3.00,6.00,1.00,5.00,8.00,10.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7013710,0.00,2.00,1.00,4.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7013728,2.00,7.00,4.00,7.00,8.00,10.88,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7013736,3.00,6.00,2.00,7.00,8.00,7.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7013744,5.00,8.00,1.00,6.00,9.00,10.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7013752,1.00,0.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7013779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7013787,2.00,8.00,2.00,6.00,9.00,11.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7013795,5.00,7.00,2.00,6.00,9.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7013817,2.00,7.00,0.00,5.00,6.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7013825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7013833,0.00,5.00,2.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7013841,3.00,7.00,3.00,5.00,7.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7013850,5.00,5.00,2.00,5.00,7.00,8.63,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7013868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7013876,5.00,7.00,1.00,5.00,7.00,9.75,0.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7013884,1.00,8.00,0.00,8.00,9.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7013892,0.00,2.00,2.00,2.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7013930,4.00,6.00,2.00,7.00,7.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7013949,0.00,5.00,2.00,7.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7013957,1.00,8.00,1.00,2.00,7.00,8.63,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7013965,3.00,5.00,1.00,5.00,4.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7013981,4.00,7.00,4.00,7.00,10.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7013990,3.00,6.00,4.00,4.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7014007,3.00,4.00,0.00,7.00,5.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7014015,0.00,1.00,1.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7014023,1.00,4.00,1.00,7.00,6.00,8.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7014040,2.00,5.00,4.00,5.00,6.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7014066,4.00,8.00,1.00,4.00,9.00,8.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7014074,1.00,6.00,2.00,7.00,6.00,7.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7014082,3.00,4.00,0.00,5.00,7.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7014120,3.00,8.00,2.00,5.00,9.00,9.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7014139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7014147,0.00,3.00,1.00,2.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7014155,7.00,9.00,4.00,7.00,7.00,8.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7014163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7014171,2.00,0.00,1.00,1.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7014180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7014198,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7014201,0.00,3.00,1.00,6.00,6.00,6.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7014210,1.00,2.00,0.00,0.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7014228,0.00,2.00,1.00,1.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7014236,0.00,5.00,2.00,6.00,7.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7014252,2.00,4.00,2.00,2.00,0.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7014260,2.00,6.00,2.00,7.00,5.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7014279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7014295,3.00,6.00,2.00,4.00,7.00,9.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7014309,2.00,7.00,2.00,6.00,8.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7014341,0.00,4.00,2.00,2.00,7.00,7.13,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7014368,3.00,4.00,1.00,5.00,6.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7014376,5.00,7.00,1.00,7.00,7.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7014406,8.00,8.00,4.00,4.00,6.00,10.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7014414,4.00,3.00,2.00,6.00,5.00,5.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7014430,1.00,4.00,0.00,5.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7014449,5.00,8.00,5.00,6.00,6.00,10.13,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7014465,2.00,5.00,2.00,6.00,6.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7014473,4.00,8.00,4.00,7.00,8.00,7.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7014481,3.00,2.00,2.00,5.00,3.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7014490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7014511,4.00,5.00,1.00,6.00,6.00,9.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7014520,1.00,6.00,2.00,5.00,9.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7014538,3.00,5.00,2.00,5.00,4.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7014554,4.00,6.00,0.00,7.00,8.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7014562,7.00,8.00,6.00,6.00,8.00,11.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7014570,2.00,6.00,1.00,7.00,9.00,10.88,0.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7014589,4.00,6.00,2.00,7.00,8.00,9.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7014597,2.00,8.00,1.00,7.00,10.00,10.88,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7014619,2.00,5.00,1.00,5.00,6.00,9.38,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7014627,1.00,4.00,1.00,5.00,6.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7014635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7014643,2.00,4.00,1.00,3.00,0.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7014660,4.00,5.00,3.00,5.00,6.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7014686,2.00,6.00,2.00,5.00,4.00,6.38,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7014694,0.00,5.00,1.00,4.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7014708,5.00,8.00,5.00,6.00,6.00,4.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7014724,1.00,4.00,1.00,2.00,5.00,10.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7014732,3.00,7.00,1.00,6.00,9.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7014759,4.00,7.00,2.00,6.00,7.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7014767,7.00,7.00,3.00,4.00,9.00,11.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7014775,5.00,6.00,2.00,6.00,9.00,9.38,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7014783,0.00,4.00,1.00,0.00,7.00,NULL,6.00,4.00,4.00,NULL,NULL,'S','N'),(28,7014791,2.00,5.00,1.00,7.00,9.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7014805,2.00,4.00,1.00,5.00,3.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7014813,0.00,5.00,2.00,6.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7014821,5.00,6.00,2.00,7.00,8.00,10.13,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7014830,0.00,2.00,0.00,6.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7014848,4.00,5.00,1.00,6.00,5.00,8.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7014856,4.00,6.00,1.00,6.00,6.00,10.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7014872,0.00,5.00,1.00,5.00,3.00,5.25,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7014880,3.00,7.00,5.00,7.00,8.00,9.38,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7014899,1.00,3.00,1.00,7.00,5.00,5.63,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7014902,2.00,6.00,2.00,7.00,8.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7014910,0.00,7.00,2.00,6.00,5.00,8.63,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7014929,6.00,6.00,8.00,6.00,7.00,7.13,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7014937,3.00,4.00,3.00,5.00,5.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7014961,5.00,7.00,3.00,6.00,7.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7014970,4.00,7.00,2.00,6.00,6.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7014988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7014996,2.00,5.00,1.00,7.00,7.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7015003,0.00,3.00,1.00,6.00,1.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7015011,3.00,6.00,4.00,5.00,6.00,9.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7015038,1.00,5.00,2.00,4.00,4.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7015046,2.00,4.00,3.00,6.00,3.00,8.63,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7015054,2.00,4.00,3.00,5.00,5.00,7.88,6.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7015070,1.00,8.00,1.00,6.00,6.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7015097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7015100,4.00,8.00,1.00,6.00,8.00,11.63,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7015119,1.00,4.00,2.00,6.00,3.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7015127,5.00,7.00,6.00,6.00,8.00,8.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7015143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7015160,2.00,6.00,3.00,5.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7015178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7015186,4.00,7.00,2.00,7.00,6.00,8.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7015194,4.00,7.00,3.00,7.00,6.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7015208,4.00,8.00,0.00,6.00,7.00,8.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7015216,7.00,7.00,5.00,3.00,5.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7015224,0.00,5.00,2.00,6.00,7.00,6.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7015232,6.00,6.00,4.00,7.00,7.00,11.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7015240,1.00,4.00,1.00,4.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7015267,5.00,8.00,2.00,6.00,7.00,7.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7015283,4.00,8.00,5.00,7.00,9.00,12.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7015291,3.00,6.00,2.00,5.00,4.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7015305,5.00,8.00,3.00,6.00,10.00,6.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7015313,5.00,7.00,2.00,7.00,7.00,8.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7015348,7.00,6.00,1.00,7.00,8.00,9.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7015356,3.00,6.00,1.00,6.00,4.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7015364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7015402,8.00,8.00,6.00,7.00,9.00,13.50,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7015410,3.00,8.00,3.00,6.00,7.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7015429,1.00,6.00,3.00,4.00,6.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7015437,2.00,6.00,4.00,5.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7015445,0.00,6.00,2.00,6.00,4.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7015453,4.00,7.00,3.00,7.00,5.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7015461,1.00,5.00,4.00,5.00,5.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7015488,5.00,8.00,5.00,6.00,10.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7015496,2.00,5.00,1.00,2.00,4.00,6.38,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7015500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7015518,5.00,8.00,3.00,6.00,9.00,9.38,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7015526,2.00,5.00,0.00,6.00,7.00,10.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7015534,5.00,7.00,3.00,7.00,7.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7015542,5.00,8.00,3.00,6.00,8.00,8.63,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7015550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7015569,0.00,4.00,2.00,2.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7015585,3.00,6.00,2.00,5.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7015607,4.00,7.00,0.00,7.00,8.00,10.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7015615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7015623,5.00,8.00,3.00,4.00,6.00,10.13,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7015631,7.00,7.00,3.00,7.00,8.00,10.88,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7015640,4.00,8.00,4.00,6.00,6.00,9.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7015658,2.00,5.00,1.00,6.00,7.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7015666,4.00,7.00,1.00,6.00,9.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7015674,3.00,8.00,3.00,7.00,8.00,9.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7015682,3.00,7.00,1.00,7.00,6.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7015704,1.00,3.00,1.00,4.00,1.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7015720,1.00,6.00,1.00,4.00,6.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7015739,2.00,7.00,1.00,3.00,5.00,12.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7015747,1.00,3.00,2.00,4.00,4.00,5.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7015755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7015763,0.00,5.00,1.00,2.00,4.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7015780,3.00,6.00,3.00,5.00,9.00,11.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7015798,3.00,8.00,2.00,5.00,6.00,8.25,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7015801,3.00,6.00,2.00,6.00,7.00,11.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7015810,1.00,6.00,1.00,5.00,7.00,6.38,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7015828,6.00,8.00,3.00,7.00,8.00,10.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7015836,0.00,3.00,3.00,4.00,6.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7015852,1.00,3.00,2.00,3.00,5.00,5.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7015860,3.00,6.00,2.00,4.00,6.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7015879,4.00,8.00,3.00,5.00,4.00,8.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7015887,1.00,6.00,2.00,6.00,7.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7015895,1.00,5.00,4.00,6.00,6.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7015933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7015941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7015950,6.00,8.00,2.00,7.00,7.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7015968,2.00,7.00,2.00,6.00,8.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7015976,0.00,5.00,1.00,4.00,3.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7015992,2.00,6.00,2.00,2.00,7.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7016034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7016042,2.00,8.00,1.00,5.00,7.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7016050,1.00,6.00,1.00,5.00,5.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7016077,1.00,3.00,1.00,3.00,5.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7016085,3.00,7.00,3.00,6.00,7.00,7.88,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7016093,1.00,5.00,2.00,4.00,5.00,10.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7016107,1.00,6.00,2.00,6.00,9.00,11.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7016115,3.00,7.00,2.00,6.00,7.00,10.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7016123,0.00,5.00,0.00,3.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7016131,0.00,4.00,1.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7016140,4.00,7.00,2.00,7.00,9.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7016158,3.00,6.00,0.00,6.00,9.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7016174,1.00,0.00,4.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7016182,3.00,9.00,2.00,6.00,8.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7016190,3.00,5.00,1.00,4.00,5.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7016204,5.00,9.00,2.00,6.00,9.00,12.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7016212,0.00,6.00,1.00,4.00,3.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7016220,0.00,5.00,2.00,6.00,6.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7016239,4.00,7.00,3.00,7.00,7.00,7.88,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7016247,0.00,2.00,1.00,1.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7016263,4.00,6.00,2.00,6.00,7.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7016271,5.00,8.00,4.00,7.00,8.00,11.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7016280,1.00,3.00,2.00,2.00,5.00,9.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7016298,3.00,6.00,3.00,5.00,7.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7016310,5.00,9.00,5.00,6.00,6.00,11.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7016328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7016336,3.00,5.00,2.00,4.00,2.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7016344,3.00,8.00,4.00,5.00,7.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7016360,0.00,4.00,0.00,4.00,4.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7016379,5.00,7.00,2.00,5.00,9.00,11.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7016387,3.00,5.00,4.00,7.00,8.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7016409,0.00,5.00,3.00,6.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7016425,2.00,4.00,1.00,6.00,5.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7016441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7016450,1.00,4.00,0.00,6.00,5.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7016468,0.00,2.00,1.00,6.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7016476,4.00,7.00,3.00,7.00,7.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7016484,5.00,7.00,4.00,7.00,6.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7016492,0.00,4.00,1.00,3.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7016506,4.00,7.00,4.00,7.00,7.00,7.88,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7016514,4.00,6.00,4.00,6.00,8.00,7.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7016522,3.00,6.00,1.00,7.00,6.00,7.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7016530,4.00,7.00,1.00,7.00,8.00,10.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7016549,2.00,5.00,1.00,4.00,3.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7016557,7.00,9.00,4.00,7.00,10.00,10.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7016573,5.00,6.00,2.00,6.00,9.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7016590,5.00,6.00,2.00,6.00,5.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7016603,1.00,5.00,1.00,3.00,5.00,6.38,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7016611,2.00,4.00,1.00,4.00,7.00,7.88,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7016620,8.00,8.00,7.00,7.00,10.00,9.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7016638,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7016646,5.00,9.00,2.00,6.00,7.00,8.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7016654,5.00,9.00,2.00,0.00,6.00,7.88,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7016662,4.00,8.00,3.00,4.00,8.00,7.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7016670,1.00,6.00,2.00,7.00,4.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7016689,0.00,5.00,2.00,7.00,7.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7016700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7016719,2.00,7.00,2.00,7.00,10.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7016727,2.00,6.00,4.00,6.00,6.00,10.13,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7016735,1.00,8.00,2.00,7.00,7.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7016743,2.00,7.00,1.00,7.00,5.00,10.88,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7016760,2.00,6.00,1.00,7.00,5.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7016786,3.00,7.00,0.00,6.00,8.00,NULL,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7016794,5.00,8.00,2.00,6.00,8.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7016808,1.00,3.00,2.00,2.00,3.00,4.50,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7016816,1.00,7.00,3.00,4.00,5.00,5.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7016824,5.00,8.00,3.00,6.00,10.00,9.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7016832,2.00,7.00,2.00,7.00,9.00,7.88,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7016840,5.00,7.00,4.00,5.00,10.00,9.38,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7016867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7016875,4.00,6.00,2.00,4.00,4.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7016883,5.00,6.00,3.00,6.00,8.00,10.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7016891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7016905,3.00,8.00,2.00,6.00,6.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7016913,2.00,7.00,2.00,3.00,6.00,7.50,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7016921,1.00,5.00,1.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7016930,2.00,6.00,2.00,6.00,7.00,8.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7016948,6.00,6.00,6.00,6.00,8.00,9.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7016956,0.00,2.00,1.00,4.00,1.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7016964,7.00,7.00,6.00,5.00,7.00,9.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7016972,8.00,9.00,4.00,7.00,8.00,12.38,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7016980,0.00,4.00,1.00,5.00,3.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7016999,6.00,6.00,2.00,7.00,7.00,10.13,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7017014,1.00,5.00,1.00,2.00,7.00,8.63,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7017022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7017030,3.00,1.00,1.00,2.00,3.00,4.50,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7017049,1.00,3.00,0.00,4.00,7.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7017057,6.00,8.00,4.00,6.00,10.00,9.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7017073,1.00,4.00,2.00,7.00,4.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7017081,4.00,9.00,3.00,7.00,6.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7017090,2.00,5.00,2.00,2.00,6.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7017111,1.00,2.00,2.00,5.00,4.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7017120,8.00,7.00,2.00,8.00,8.00,10.88,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7017138,4.00,7.00,5.00,4.00,4.00,9.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7017146,3.00,6.00,3.00,6.00,4.00,10.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7017154,4.00,9.00,2.00,7.00,6.00,8.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7017162,0.00,4.00,0.00,3.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7017170,0.00,4.00,3.00,4.00,8.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7017189,3.00,5.00,1.00,5.00,3.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7017197,2.00,8.00,3.00,7.00,8.00,7.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7017200,1.00,4.00,2.00,3.00,6.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7017227,3.00,7.00,1.00,7.00,8.00,9.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7017235,0.00,4.00,3.00,4.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7017251,5.00,7.00,4.00,7.00,9.00,9.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7017260,0.00,3.00,1.00,7.00,4.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7017278,2.00,4.00,3.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7017286,1.00,7.00,2.00,6.00,7.00,8.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7017308,0.00,3.00,2.00,7.00,6.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7017316,6.00,7.00,2.00,8.00,9.00,10.13,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7017332,0.00,4.00,3.00,3.00,6.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7017340,0.00,5.00,3.00,5.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7017359,2.00,6.00,2.00,7.00,9.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7017367,1.00,4.00,3.00,7.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7017383,0.00,7.00,1.00,4.00,7.00,9.38,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7017391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7017405,6.00,8.00,7.00,7.00,7.00,11.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7017421,7.00,6.00,6.00,5.00,9.00,10.13,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7017430,1.00,2.00,3.00,6.00,4.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7017448,1.00,8.00,2.00,7.00,7.00,7.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7017472,4.00,8.00,1.00,7.00,4.00,8.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7017480,2.00,6.00,2.00,7.00,6.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7017499,5.00,8.00,4.00,8.00,10.00,9.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7017502,0.00,4.00,1.00,6.00,3.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7017510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7017529,5.00,8.00,3.00,5.00,9.00,7.50,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7017545,1.00,5.00,0.00,6.00,4.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7017570,2.00,5.00,3.00,6.00,6.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7017588,7.00,8.00,4.00,7.00,10.00,10.88,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7017618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7017634,2.00,7.00,2.00,2.00,6.00,9.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7017642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7017650,1.00,7.00,2.00,7.00,6.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7017669,5.00,7.00,2.00,6.00,6.00,6.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7017677,1.00,8.00,3.00,7.00,7.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7017685,3.00,6.00,1.00,7.00,6.00,9.00,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7017693,1.00,5.00,0.00,6.00,4.00,8.63,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7017707,3.00,8.00,3.00,6.00,9.00,8.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7017715,1.00,3.00,2.00,4.00,5.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7017723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7017740,5.00,6.00,0.00,7.00,9.00,7.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7017758,5.00,8.00,1.00,5.00,6.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7017766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7017782,2.00,5.00,2.00,3.00,8.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7017790,2.00,5.00,2.00,6.00,3.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7017804,6.00,6.00,3.00,4.00,8.00,7.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7017812,5.00,6.00,1.00,5.00,5.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7017847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7017855,3.00,4.00,2.00,5.00,5.00,6.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7017863,4.00,6.00,2.00,6.00,9.00,10.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7017880,5.00,8.00,3.00,7.00,4.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7017898,2.00,7.00,3.00,5.00,6.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7017910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7017928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7017936,0.00,5.00,2.00,4.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7017944,1.00,0.00,1.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7017952,4.00,6.00,2.00,7.00,6.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7017979,5.00,8.00,2.00,2.00,6.00,9.38,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7017995,4.00,7.00,2.00,6.00,8.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7018002,7.00,7.00,5.00,7.00,10.00,9.38,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7018010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7018029,2.00,6.00,0.00,5.00,9.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7018037,4.00,7.00,3.00,6.00,9.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7018045,2.00,6.00,2.00,2.00,4.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7018053,1.00,6.00,2.00,5.00,8.00,12.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7018061,2.00,4.00,3.00,6.00,4.00,10.13,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7018088,0.00,4.00,2.00,6.00,9.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7018096,1.00,3.00,3.00,3.00,4.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7018100,0.00,3.00,2.00,2.00,5.00,5.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7018118,7.00,6.00,5.00,5.00,8.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7018126,1.00,5.00,2.00,7.00,6.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7018142,1.00,3.00,0.00,6.00,3.00,4.88,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7018150,0.00,5.00,3.00,3.00,4.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7018169,3.00,5.00,2.00,4.00,4.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7018177,4.00,7.00,1.00,7.00,7.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7018185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7018193,2.00,5.00,3.00,4.00,8.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7018207,1.00,6.00,2.00,6.00,7.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7018215,6.00,5.00,5.00,6.00,6.00,7.50,8.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7018223,3.00,7.00,3.00,7.00,8.00,10.88,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7018231,1.00,5.00,1.00,3.00,6.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7018240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7018258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7018266,1.00,6.00,0.00,4.00,9.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7018274,4.00,7.00,0.00,6.00,9.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7018282,4.00,8.00,4.00,6.00,8.00,9.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7018290,3.00,7.00,2.00,6.00,9.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7018304,3.00,8.00,2.00,4.00,6.00,7.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7018312,4.00,7.00,2.00,6.00,7.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'S'),(28,7018339,1.00,8.00,1.00,3.00,4.00,6.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7018347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7018355,0.00,3.00,1.00,6.00,4.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7018363,4.00,7.00,4.00,5.00,7.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7018371,5.00,6.00,3.00,6.00,8.00,10.13,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7018401,5.00,7.00,2.00,5.00,6.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7018410,1.00,4.00,0.00,6.00,2.00,NULL,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7018428,3.00,9.00,1.00,7.00,10.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7018436,2.00,8.00,2.00,6.00,6.00,10.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7018444,3.00,9.00,4.00,7.00,9.00,9.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7018452,2.00,4.00,2.00,6.00,5.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7018460,1.00,6.00,3.00,7.00,5.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7018479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7018487,3.00,7.00,3.00,7.00,6.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7018495,0.00,1.00,1.00,3.00,5.00,5.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7018509,4.00,7.00,2.00,5.00,8.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7018517,3.00,4.00,3.00,6.00,5.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7018525,5.00,0.00,1.00,7.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7018533,0.00,6.00,3.00,3.00,5.00,7.13,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7018550,2.00,6.00,3.00,6.00,7.00,10.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7018568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7018576,0.00,2.00,4.00,4.00,6.00,5.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7018584,4.00,7.00,3.00,5.00,7.00,10.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7018592,3.00,5.00,2.00,5.00,7.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7018606,1.00,4.00,1.00,6.00,5.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7018614,3.00,8.00,0.00,7.00,9.00,11.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7018622,5.00,7.00,1.00,7.00,8.00,10.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7018630,3.00,6.00,1.00,7.00,6.00,9.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7018649,3.00,7.00,2.00,7.00,8.00,7.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7018657,2.00,3.00,1.00,2.00,4.00,8.25,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7018665,0.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7018673,7.00,7.00,6.00,6.00,8.00,7.13,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7018681,4.00,4.00,4.00,6.00,6.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7018690,5.00,8.00,2.00,6.00,7.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7018703,7.00,6.00,4.00,5.00,7.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7018711,4.00,7.00,0.00,7.00,9.00,4.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7018720,0.00,2.00,2.00,3.00,5.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7018738,4.00,5.00,4.00,6.00,8.00,7.88,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7018746,1.00,7.00,1.00,6.00,8.00,9.38,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7018754,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7018770,4.00,6.00,2.00,7.00,9.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7018789,1.00,3.00,1.00,4.00,3.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7018797,3.00,7.00,2.00,7.00,5.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7018800,5.00,7.00,3.00,7.00,9.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7018819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7018827,5.00,8.00,5.00,3.00,7.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7018835,3.00,7.00,5.00,4.00,5.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7018843,2.00,3.00,0.00,2.00,4.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7018851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7018860,2.00,3.00,2.00,4.00,3.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7018878,3.00,8.00,3.00,7.00,7.00,9.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7018894,5.00,5.00,3.00,6.00,6.00,9.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7018908,4.00,7.00,6.00,6.00,8.00,8.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7018916,0.00,4.00,0.00,0.00,0.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7018924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7018932,7.00,8.00,9.00,6.00,10.00,10.13,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7018959,6.00,8.00,1.00,5.00,9.00,8.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7018967,0.00,2.00,1.00,3.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7018991,2.00,4.00,3.00,6.00,5.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7019017,3.00,4.00,2.00,6.00,6.00,7.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7019025,3.00,4.00,2.00,5.00,5.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7019041,6.00,7.00,3.00,7.00,7.00,10.13,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7019076,0.00,4.00,3.00,4.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7019084,5.00,8.00,4.00,7.00,8.00,9.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7019092,5.00,8.00,4.00,7.00,6.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7019106,5.00,6.00,3.00,7.00,9.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7019114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7019122,1.00,6.00,4.00,7.00,5.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'S'),(28,7019149,0.00,7.00,2.00,6.00,8.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7019157,3.00,5.00,3.00,4.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7019165,1.00,5.00,1.00,2.00,3.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7019173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7019181,4.00,7.00,3.00,7.00,8.00,9.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7019190,4.00,8.00,6.00,6.00,7.00,10.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7019203,2.00,4.00,2.00,4.00,5.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7019211,5.00,6.00,1.00,6.00,8.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7019220,2.00,6.00,3.00,4.00,8.00,9.00,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7019254,5.00,8.00,3.00,7.00,7.00,10.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7019262,5.00,4.00,4.00,7.00,5.00,12.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7019270,1.00,4.00,4.00,5.00,5.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7019289,5.00,8.00,1.00,7.00,10.00,12.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7019297,5.00,7.00,1.00,6.00,8.00,8.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7019319,1.00,5.00,1.00,6.00,4.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7019327,4.00,5.00,6.00,6.00,6.00,7.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7019335,6.00,8.00,4.00,7.00,10.00,9.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7019343,3.00,6.00,2.00,4.00,5.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7019351,7.00,8.00,4.00,6.00,10.00,11.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7019378,1.00,4.00,3.00,7.00,3.00,8.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7019386,1.00,3.00,1.00,3.00,4.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7019394,1.00,5.00,3.00,4.00,7.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7019408,4.00,6.00,4.00,6.00,6.00,7.13,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7019416,3.00,5.00,2.00,3.00,8.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7019424,2.00,5.00,3.00,6.00,8.00,8.63,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7019432,0.00,5.00,3.00,2.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7019440,5.00,6.00,2.00,5.00,6.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7019475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7019491,2.00,4.00,1.00,3.00,7.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7019505,0.00,4.00,2.00,7.00,5.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7019513,4.00,8.00,1.00,4.00,4.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7019521,5.00,6.00,3.00,6.00,6.00,7.88,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7019530,4.00,4.00,1.00,7.00,5.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7019548,1.00,6.00,4.00,6.00,8.00,10.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7019556,0.00,7.00,1.00,2.00,6.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7019564,1.00,8.00,2.00,6.00,8.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7019572,2.00,1.00,2.00,2.00,3.00,2.63,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7019599,5.00,6.00,3.00,7.00,6.00,7.88,5.00,4.00,6.00,NULL,NULL,NULL,'S'),(28,7019602,3.00,7.00,2.00,7.00,6.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7019629,0.00,3.00,1.00,6.00,5.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7019637,2.00,3.00,1.00,3.00,3.00,6.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7019645,3.00,7.00,3.00,6.00,6.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7019653,0.00,3.00,3.00,5.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7019661,4.00,5.00,3.00,5.00,5.00,7.88,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7019688,1.00,2.00,1.00,5.00,3.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7019696,4.00,3.00,3.00,6.00,5.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7019700,0.00,6.00,2.00,6.00,6.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7019718,3.00,4.00,3.00,6.00,6.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7019726,1.00,5.00,1.00,4.00,6.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7019734,2.00,5.00,1.00,6.00,8.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7019742,4.00,5.00,2.00,6.00,8.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7019750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7019769,1.00,7.00,1.00,5.00,10.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7019777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7019785,4.00,8.00,4.00,2.00,7.00,7.88,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7019793,2.00,7.00,4.00,8.00,6.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7019807,8.00,8.00,6.00,6.00,10.00,9.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7019815,5.00,4.00,2.00,3.00,5.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7019823,4.00,6.00,3.00,4.00,5.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7019831,8.00,8.00,7.00,7.00,8.00,9.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7019840,0.00,2.00,2.00,4.00,3.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7019858,4.00,7.00,4.00,5.00,6.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7019866,1.00,5.00,3.00,7.00,5.00,NULL,4.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7019912,5.00,6.00,4.00,7.00,7.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7019920,1.00,5.00,2.00,6.00,5.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7019947,1.00,4.00,2.00,7.00,8.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7019955,4.00,6.00,4.00,6.00,8.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7019963,5.00,5.00,2.00,4.00,8.00,9.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7019971,3.00,8.00,1.00,7.00,3.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7019980,4.00,6.00,1.00,6.00,8.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7020015,1.00,5.00,0.00,2.00,3.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7020023,5.00,8.00,4.00,8.00,8.00,9.38,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7020031,7.00,8.00,3.00,5.00,8.00,12.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7020040,3.00,7.00,1.00,6.00,8.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7020058,1.00,6.00,4.00,6.00,6.00,11.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7020074,1.00,5.00,4.00,3.00,3.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7020082,2.00,7.00,1.00,7.00,6.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7020090,6.00,7.00,5.00,7.00,9.00,8.63,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7020112,6.00,7.00,3.00,6.00,8.00,6.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7020139,4.00,6.00,4.00,7.00,8.00,7.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7020147,5.00,8.00,2.00,8.00,8.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7020155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7020163,2.00,0.00,2.00,5.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7020171,6.00,7.00,3.00,6.00,6.00,7.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7020180,4.00,5.00,4.00,5.00,4.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7020198,8.00,7.00,2.00,6.00,9.00,11.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7020210,0.00,3.00,2.00,5.00,5.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7020228,7.00,8.00,5.00,6.00,6.00,7.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7020236,0.00,8.00,3.00,4.00,4.00,NULL,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7020244,0.00,6.00,3.00,4.00,7.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7020252,2.00,0.00,3.00,4.00,3.00,1.88,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7020279,3.00,7.00,3.00,7.00,7.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7020287,5.00,6.00,3.00,5.00,7.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7020295,3.00,6.00,0.00,7.00,5.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7020309,0.00,2.00,3.00,6.00,6.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7020317,4.00,5.00,1.00,5.00,3.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7020325,3.00,5.00,1.00,4.00,5.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7020333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7020341,1.00,5.00,3.00,6.00,6.00,6.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7020350,3.00,7.00,4.00,7.00,8.00,10.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7020368,0.00,0.00,0.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7020376,1.00,1.00,2.00,1.00,4.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7020384,1.00,4.00,3.00,5.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7020392,6.00,8.00,3.00,6.00,7.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7020406,2.00,3.00,1.00,3.00,3.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7020414,6.00,7.00,2.00,6.00,7.00,7.13,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7020422,1.00,2.00,2.00,5.00,0.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7020430,0.00,5.00,0.00,6.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7020449,3.00,7.00,2.00,6.00,8.00,6.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7020457,1.00,6.00,2.00,6.00,5.00,9.38,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7020465,6.00,5.00,2.00,6.00,5.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7020481,1.00,4.00,0.00,2.00,5.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7020490,4.00,7.00,1.00,7.00,8.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7020503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7020511,2.00,6.00,1.00,5.00,3.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7020538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7020546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7020554,2.00,4.00,1.00,7.00,7.00,9.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7020562,3.00,5.00,1.00,3.00,5.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7020589,0.00,4.00,4.00,1.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7020597,1.00,3.00,2.00,5.00,7.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7020600,3.00,7.00,3.00,8.00,8.00,8.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7020627,6.00,8.00,3.00,6.00,9.00,11.63,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7020635,3.00,4.00,4.00,6.00,7.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7020643,2.00,5.00,0.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7020651,1.00,5.00,2.00,7.00,5.00,10.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7020660,2.00,3.00,2.00,2.00,4.00,0.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7020678,1.00,1.00,3.00,5.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7020686,0.00,5.00,2.00,7.00,7.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7020694,5.00,7.00,3.00,7.00,5.00,7.88,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7020716,4.00,7.00,5.00,5.00,6.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7020724,0.00,5.00,0.00,6.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7020732,1.00,2.00,1.00,3.00,5.00,6.75,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7020759,3.00,5.00,2.00,5.00,5.00,8.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7020767,1.00,6.00,1.00,6.00,8.00,11.63,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7020775,3.00,5.00,2.00,5.00,7.00,9.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7020783,3.00,6.00,3.00,6.00,8.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7020791,3.00,8.00,4.00,7.00,10.00,10.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7020805,0.00,3.00,2.00,4.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7020813,4.00,7.00,0.00,6.00,10.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7020821,6.00,7.00,4.00,5.00,5.00,9.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7020848,4.00,8.00,1.00,6.00,7.00,10.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7020856,4.00,5.00,2.00,7.00,8.00,6.75,1.00,5.00,5.00,NULL,NULL,NULL,'S'),(28,7020864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7020872,5.00,6.00,3.00,5.00,11.00,9.75,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7020880,1.00,4.00,1.00,6.00,3.00,10.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7020899,2.00,5.00,2.00,7.00,7.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7020902,4.00,6.00,1.00,6.00,6.00,6.75,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(28,7020910,0.00,4.00,3.00,2.00,3.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7020929,4.00,9.00,3.00,6.00,7.00,13.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7020937,3.00,5.00,2.00,6.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,'S','N'),(28,7020945,4.00,6.00,4.00,6.00,10.00,11.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7020953,6.00,9.00,6.00,7.00,10.00,8.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7020970,1.00,6.00,3.00,7.00,9.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7020996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7021003,3.00,6.00,0.00,4.00,4.00,8.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7021011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7021020,2.00,6.00,1.00,6.00,6.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7021038,2.00,6.00,2.00,8.00,7.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7021054,2.00,3.00,0.00,2.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7021062,2.00,4.00,2.00,1.00,5.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7021070,3.00,6.00,0.00,5.00,7.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7021089,6.00,7.00,4.00,7.00,9.00,10.13,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7021097,4.00,7.00,3.00,6.00,7.00,7.13,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7021100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7021119,0.00,2.00,3.00,4.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7021127,3.00,7.00,4.00,7.00,7.00,8.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7021135,1.00,3.00,4.00,6.00,6.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7021143,6.00,7.00,3.00,5.00,6.00,10.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7021151,4.00,4.00,2.00,3.00,7.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7021160,4.00,5.00,1.00,7.00,9.00,10.13,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7021178,2.00,7.00,3.00,7.00,5.00,7.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7021194,2.00,5.00,1.00,5.00,4.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7021208,4.00,7.00,2.00,6.00,9.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7021216,2.00,6.00,2.00,7.00,6.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7021224,3.00,7.00,1.00,1.00,4.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7021232,4.00,7.00,2.00,4.00,8.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7021240,5.00,9.00,4.00,7.00,9.00,12.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7021259,3.00,7.00,2.00,6.00,6.00,11.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7021267,1.00,7.00,1.00,5.00,5.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7021275,6.00,5.00,3.00,7.00,7.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7021283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7021305,0.00,1.00,2.00,5.00,4.00,8.63,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7021330,6.00,6.00,4.00,5.00,7.00,8.25,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7021364,1.00,3.00,2.00,4.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7021372,1.00,4.00,3.00,4.00,7.00,9.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7021380,4.00,6.00,2.00,6.00,10.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7021399,2.00,6.00,1.00,7.00,8.00,8.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7021402,2.00,6.00,3.00,6.00,7.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7021410,2.00,6.00,1.00,3.00,5.00,9.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7021429,1.00,6.00,2.00,6.00,6.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7021437,3.00,6.00,2.00,7.00,4.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(28,7021445,3.00,7.00,6.00,7.00,6.00,8.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7021453,4.00,8.00,3.00,6.00,10.00,10.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7021461,3.00,6.00,1.00,4.00,6.00,6.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7021496,2.00,4.00,1.00,4.00,6.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7021500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7021518,1.00,5.00,3.00,4.00,2.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7021550,1.00,7.00,3.00,6.00,7.00,9.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7021569,4.00,6.00,2.00,4.00,6.00,5.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7021577,6.00,8.00,6.00,4.00,7.00,11.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7021585,3.00,6.00,2.00,6.00,4.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7021593,1.00,7.00,3.00,4.00,7.00,7.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7021607,0.00,6.00,2.00,5.00,5.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7021615,6.00,8.00,5.00,6.00,10.00,12.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7021631,3.00,8.00,3.00,7.00,8.00,11.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7021640,3.00,8.00,4.00,7.00,8.00,9.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7021658,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7021666,1.00,5.00,2.00,5.00,6.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7021674,5.00,6.00,1.00,6.00,10.00,9.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7021682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7021690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7021704,3.00,6.00,2.00,7.00,7.00,9.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7021712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7021720,7.00,6.00,4.00,6.00,8.00,7.13,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7021739,6.00,7.00,4.00,5.00,5.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7021747,1.00,6.00,3.00,4.00,5.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7021755,5.00,7.00,6.00,7.00,10.00,12.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7021763,6.00,8.00,5.00,7.00,9.00,11.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7021771,1.00,4.00,4.00,5.00,4.00,9.75,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7021780,3.00,7.00,3.00,5.00,5.00,8.63,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7021798,0.00,7.00,2.00,6.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7021801,8.00,7.00,5.00,6.00,7.00,9.38,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7021810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7021828,0.00,3.00,1.00,2.00,3.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7021844,6.00,8.00,3.00,7.00,10.00,10.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7021852,4.00,6.00,3.00,6.00,6.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7021879,6.00,7.00,2.00,4.00,7.00,6.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7021887,1.00,6.00,2.00,6.00,3.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7021895,3.00,8.00,3.00,7.00,8.00,8.63,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7021909,2.00,5.00,4.00,7.00,8.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7021917,4.00,7.00,2.00,5.00,8.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7021925,5.00,7.00,3.00,6.00,8.00,9.00,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7021950,4.00,6.00,2.00,6.00,7.00,10.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7021968,7.00,7.00,5.00,6.00,9.00,9.38,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7021984,1.00,6.00,2.00,7.00,7.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7021992,2.00,3.00,3.00,5.00,7.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7022000,2.00,6.00,3.00,5.00,7.00,6.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7022018,3.00,6.00,3.00,7.00,7.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7022034,5.00,4.00,3.00,5.00,7.00,6.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7022042,2.00,7.00,2.00,7.00,9.00,11.63,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7022069,1.00,4.00,2.00,2.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7022077,2.00,7.00,6.00,5.00,8.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7022085,3.00,5.00,1.00,5.00,5.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7022115,4.00,9.00,2.00,8.00,8.00,12.75,6.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7022123,0.00,5.00,1.00,0.00,6.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7022131,3.00,6.00,2.00,7.00,1.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7022140,5.00,6.00,1.00,5.00,7.00,7.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7022158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7022166,2.00,6.00,1.00,5.00,6.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7022174,3.00,8.00,3.00,4.00,5.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7022190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7022212,6.00,8.00,6.00,7.00,9.00,11.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7022220,1.00,4.00,1.00,6.00,9.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7022239,1.00,7.00,0.00,4.00,7.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7022247,3.00,4.00,3.00,6.00,5.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7022255,2.00,6.00,0.00,5.00,4.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7022263,2.00,7.00,3.00,6.00,5.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7022280,4.00,7.00,1.00,7.00,9.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7022298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7022301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7022310,4.00,7.00,2.00,5.00,7.00,10.13,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7022328,3.00,8.00,4.00,6.00,8.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7022336,8.00,8.00,6.00,6.00,10.00,13.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7022344,3.00,8.00,1.00,7.00,6.00,5.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7022352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7022360,4.00,5.00,2.00,5.00,6.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7022379,1.00,4.00,2.00,3.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(28,7022387,4.00,6.00,3.00,5.00,8.00,7.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7022409,0.00,3.00,2.00,6.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7022417,1.00,6.00,0.00,5.00,7.00,7.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7022425,6.00,9.00,2.00,7.00,10.00,8.63,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7022441,3.00,6.00,1.00,7.00,7.00,7.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7022450,1.00,3.00,3.00,2.00,5.00,5.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7022484,2.00,5.00,2.00,8.00,6.00,5.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7022492,3.00,5.00,2.00,6.00,9.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7022506,5.00,9.00,1.00,8.00,7.00,7.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7022514,6.00,8.00,2.00,5.00,6.00,7.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7022522,0.00,4.00,0.00,2.00,4.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7022530,1.00,5.00,3.00,5.00,9.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7022549,1.00,7.00,4.00,6.00,4.00,8.63,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7022557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7022573,2.00,8.00,5.00,6.00,9.00,8.63,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7022581,4.00,7.00,2.00,6.00,5.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7022603,1.00,7.00,2.00,5.00,4.00,9.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7022611,1.00,6.00,3.00,7.00,7.00,6.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7022638,4.00,8.00,2.00,7.00,6.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7022646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7022654,5.00,8.00,3.00,5.00,8.00,11.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7022670,5.00,6.00,4.00,7.00,6.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7022689,4.00,7.00,0.00,6.00,7.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7022700,2.00,7.00,5.00,5.00,6.00,11.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7022719,4.00,7.00,1.00,7.00,5.00,10.88,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7022727,1.00,5.00,1.00,5.00,3.00,7.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7022735,3.00,5.00,0.00,3.00,4.00,5.63,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7022743,8.00,8.00,6.00,7.00,10.00,7.88,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7022751,1.00,6.00,4.00,5.00,6.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7022760,0.00,4.00,2.00,2.00,6.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7022778,0.00,5.00,1.00,3.00,4.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7022786,0.00,3.00,2.00,4.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7022794,8.00,9.00,4.00,6.00,10.00,12.00,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7022816,1.00,3.00,3.00,3.00,8.00,4.88,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7022832,3.00,1.00,1.00,6.00,7.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7022840,1.00,6.00,1.00,6.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7022859,5.00,5.00,4.00,5.00,7.00,4.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7022875,5.00,9.00,3.00,7.00,11.00,6.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7022883,1.00,4.00,0.00,3.00,3.00,7.13,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7022891,6.00,7.00,6.00,6.00,10.00,10.13,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(28,7022905,1.00,2.00,4.00,1.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7022913,5.00,8.00,3.00,6.00,9.00,6.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7022921,3.00,8.00,1.00,7.00,8.00,9.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7022956,2.00,4.00,2.00,3.00,5.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7022964,2.00,6.00,0.00,6.00,7.00,7.13,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7022972,4.00,6.00,3.00,7.00,9.00,10.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7022980,4.00,7.00,2.00,7.00,11.00,8.63,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7022999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7023014,3.00,7.00,2.00,6.00,8.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7023022,3.00,6.00,3.00,7.00,3.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7023030,7.00,9.00,5.00,6.00,9.00,6.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7023057,2.00,3.00,0.00,4.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7023065,3.00,8.00,0.00,7.00,4.00,6.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7023090,1.00,4.00,1.00,2.00,0.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7023111,3.00,6.00,1.00,7.00,2.00,NULL,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7023120,2.00,3.00,1.00,4.00,6.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7023138,1.00,6.00,1.00,7.00,4.00,5.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7023146,2.00,7.00,2.00,5.00,9.00,10.88,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7023154,1.00,3.00,2.00,2.00,6.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7023162,0.00,6.00,2.00,3.00,4.00,6.38,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7023170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7023189,0.00,5.00,0.00,5.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7023197,5.00,7.00,2.00,7.00,7.00,10.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7023200,1.00,5.00,0.00,1.00,4.00,6.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7023219,4.00,8.00,4.00,6.00,9.00,11.63,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7023227,4.00,5.00,3.00,7.00,9.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7023243,0.00,6.00,2.00,5.00,1.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7023251,6.00,7.00,1.00,6.00,9.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7023260,7.00,8.00,6.00,7.00,7.00,11.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7023278,3.00,6.00,1.00,4.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7023286,4.00,4.00,1.00,5.00,6.00,9.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7023294,0.00,4.00,2.00,3.00,4.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7023316,3.00,5.00,1.00,6.00,6.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7023332,0.00,0.00,2.00,6.00,1.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7023340,2.00,7.00,2.00,7.00,6.00,8.25,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7023359,0.00,3.00,3.00,6.00,6.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7023367,1.00,8.00,3.00,4.00,7.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7023375,0.00,6.00,2.00,6.00,6.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7023391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7023405,3.00,6.00,5.00,5.00,7.00,9.75,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7023421,0.00,3.00,3.00,0.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7023430,5.00,6.00,4.00,6.00,4.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7023456,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7023464,1.00,3.00,0.00,5.00,6.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7023472,2.00,4.00,3.00,5.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7023480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7023499,5.00,9.00,8.00,7.00,9.00,10.13,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7023502,0.00,6.00,2.00,3.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7023510,1.00,8.00,1.00,7.00,7.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7023529,1.00,5.00,2.00,4.00,7.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7023537,6.00,8.00,3.00,3.00,8.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7023545,0.00,6.00,2.00,4.00,7.00,10.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7023553,0.00,2.00,0.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7023561,1.00,5.00,1.00,4.00,4.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7023570,2.00,6.00,0.00,4.00,10.00,9.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7023588,4.00,5.00,3.00,6.00,9.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7023596,6.00,9.00,8.00,7.00,11.00,11.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7023600,6.00,8.00,3.00,5.00,8.00,9.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7023634,0.00,5.00,0.00,5.00,4.00,9.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7023650,2.00,5.00,2.00,5.00,6.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7023669,5.00,6.00,3.00,7.00,9.00,9.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7023677,0.00,3.00,2.00,2.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7023685,0.00,1.00,0.00,3.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7023707,5.00,8.00,3.00,6.00,6.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7023723,2.00,8.00,4.00,7.00,9.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7023731,7.00,8.00,6.00,8.00,7.00,6.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7023740,3.00,6.00,1.00,6.00,5.00,10.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7023758,6.00,6.00,3.00,7.00,9.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7023766,5.00,6.00,4.00,6.00,7.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7023774,2.00,8.00,3.00,6.00,7.00,7.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7023782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7023790,1.00,7.00,1.00,4.00,2.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7023804,5.00,8.00,3.00,7.00,8.00,8.25,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7023812,4.00,8.00,2.00,6.00,7.00,7.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7023820,2.00,4.00,3.00,7.00,8.00,6.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7023839,0.00,7.00,2.00,5.00,8.00,9.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7023847,3.00,4.00,2.00,6.00,4.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7023855,2.00,6.00,1.00,7.00,6.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7023863,0.00,3.00,2.00,5.00,5.00,8.25,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7023871,2.00,8.00,2.00,5.00,8.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7023898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7023901,0.00,4.00,2.00,3.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7023910,4.00,5.00,3.00,5.00,8.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7023936,3.00,6.00,4.00,7.00,8.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7023944,3.00,9.00,4.00,7.00,4.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7023952,6.00,9.00,2.00,7.00,7.00,6.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7023960,4.00,7.00,2.00,6.00,5.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7023979,3.00,7.00,3.00,7.00,7.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7023987,0.00,5.00,1.00,3.00,6.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7024002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7024029,3.00,7.00,4.00,6.00,9.00,9.00,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7024045,7.00,7.00,4.00,4.00,8.00,10.13,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7024053,0.00,4.00,1.00,6.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7024061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7024070,6.00,9.00,4.00,8.00,10.00,11.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7024088,5.00,8.00,4.00,8.00,9.00,9.38,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7024096,3.00,5.00,2.00,6.00,6.00,7.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7024100,5.00,7.00,4.00,6.00,9.00,12.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7024118,0.00,4.00,3.00,4.00,4.00,7.13,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7024126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7024134,3.00,7.00,2.00,7.00,8.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7024142,7.00,7.00,5.00,8.00,10.00,8.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7024150,2.00,6.00,1.00,7.00,7.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7024169,1.00,6.00,0.00,5.00,6.00,10.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7024177,2.00,7.00,2.00,6.00,6.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7024185,3.00,6.00,2.00,5.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7024193,3.00,5.00,0.00,3.00,3.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7024207,6.00,9.00,2.00,7.00,9.00,10.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7024215,4.00,8.00,2.00,5.00,4.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7024231,2.00,7.00,2.00,6.00,6.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7024240,4.00,6.00,4.00,7.00,9.00,11.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7024258,1.00,6.00,1.00,7.00,5.00,6.38,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7024266,0.00,5.00,1.00,5.00,5.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7024274,5.00,6.00,2.00,6.00,8.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7024290,1.00,6.00,3.00,5.00,3.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7024312,0.00,4.00,1.00,6.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7024320,2.00,8.00,3.00,6.00,8.00,8.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7024339,3.00,7.00,4.00,6.00,7.00,8.63,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7024347,3.00,9.00,2.00,7.00,10.00,10.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7024355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7024363,1.00,4.00,1.00,7.00,4.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7024371,4.00,6.00,3.00,7.00,8.00,9.38,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7024380,8.00,7.00,6.00,7.00,11.00,12.38,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7024398,2.00,6.00,2.00,4.00,6.00,7.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7024410,0.00,4.00,2.00,7.00,7.00,10.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7024428,3.00,4.00,2.00,3.00,8.00,7.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7024436,1.00,5.00,2.00,6.00,4.00,3.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7024444,3.00,5.00,2.00,7.00,8.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7024479,6.00,7.00,2.00,7.00,7.00,7.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7024487,1.00,3.00,3.00,7.00,4.00,6.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7024495,2.00,5.00,1.00,5.00,5.00,6.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7024509,3.00,8.00,1.00,8.00,6.00,7.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7024517,4.00,6.00,1.00,7.00,5.00,11.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7024525,6.00,7.00,3.00,6.00,9.00,11.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7024533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7024541,5.00,7.00,3.00,6.00,7.00,7.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7024550,1.00,4.00,2.00,1.00,8.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7024568,0.00,4.00,3.00,5.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7024576,4.00,7.00,3.00,6.00,8.00,7.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7024584,1.00,6.00,3.00,7.00,7.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7024592,3.00,5.00,1.00,5.00,8.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7024606,3.00,6.00,3.00,5.00,4.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7024614,2.00,5.00,4.00,4.00,4.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7024622,3.00,6.00,3.00,5.00,8.00,7.13,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7024630,0.00,2.00,2.00,4.00,4.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7024649,0.00,4.00,1.00,4.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7024657,1.00,7.00,2.00,7.00,7.00,11.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7024665,1.00,2.00,1.00,5.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7024681,3.00,7.00,2.00,6.00,7.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7024690,3.00,7.00,3.00,6.00,9.00,10.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7024703,1.00,5.00,1.00,5.00,5.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7024746,0.00,3.00,2.00,2.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7024754,2.00,5.00,1.00,3.00,4.00,4.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7024762,6.00,8.00,6.00,7.00,7.00,9.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7024789,3.00,8.00,4.00,8.00,9.00,10.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7024800,1.00,7.00,5.00,4.00,9.00,6.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7024819,1.00,6.00,2.00,7.00,5.00,8.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7024827,4.00,5.00,3.00,5.00,5.00,9.38,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7024843,6.00,9.00,2.00,7.00,9.00,9.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7024851,0.00,6.00,3.00,5.00,7.00,7.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7024860,3.00,7.00,2.00,8.00,3.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7024878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7024886,4.00,7.00,4.00,6.00,5.00,10.50,6.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7024894,5.00,7.00,2.00,7.00,10.00,7.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7024908,4.00,7.00,1.00,6.00,9.00,13.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7024916,1.00,4.00,1.00,5.00,3.00,4.50,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7024924,2.00,6.00,3.00,7.00,6.00,8.63,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7024932,0.00,7.00,1.00,1.00,6.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7024940,1.00,7.00,3.00,6.00,6.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7024959,4.00,8.00,4.00,7.00,10.00,14.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7024967,0.00,3.00,1.00,4.00,5.00,10.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7024975,2.00,6.00,1.00,6.00,6.00,8.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7024983,5.00,8.00,3.00,7.00,9.00,7.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7024991,0.00,4.00,2.00,5.00,4.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7025009,3.00,5.00,2.00,5.00,7.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7025017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7025025,3.00,8.00,5.00,7.00,8.00,9.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7025033,0.00,3.00,3.00,3.00,2.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7025041,4.00,8.00,1.00,7.00,8.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7025050,1.00,3.00,1.00,2.00,6.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7025068,3.00,7.00,2.00,6.00,10.00,7.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7025076,1.00,6.00,0.00,4.00,4.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7025084,1.00,6.00,1.00,4.00,6.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7025092,2.00,4.00,2.00,6.00,7.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7025106,4.00,4.00,1.00,5.00,7.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7025114,4.00,7.00,0.00,8.00,4.00,8.25,1.00,7.00,4.00,NULL,NULL,NULL,'S'),(28,7025122,5.00,6.00,4.00,7.00,9.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7025130,4.00,7.00,3.00,7.00,7.00,10.88,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7025149,0.00,5.00,1.00,5.00,5.00,6.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7025157,1.00,1.00,3.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7025165,4.00,7.00,3.00,7.00,8.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7025173,5.00,8.00,0.00,6.00,7.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7025181,1.00,7.00,2.00,6.00,6.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7025190,3.00,4.00,1.00,4.00,7.00,12.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7025203,3.00,5.00,2.00,4.00,3.00,7.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7025211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7025220,6.00,6.00,1.00,6.00,6.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7025238,1.00,4.00,3.00,3.00,4.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7025246,3.00,6.00,3.00,6.00,6.00,8.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7025254,1.00,6.00,1.00,2.00,4.00,5.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7025270,2.00,5.00,3.00,7.00,3.00,9.00,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7025289,3.00,6.00,3.00,6.00,4.00,12.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7025297,1.00,7.00,1.00,4.00,9.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7025319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7025327,2.00,8.00,2.00,7.00,7.00,8.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7025335,3.00,5.00,2.00,7.00,6.00,8.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7025360,3.00,6.00,1.00,6.00,6.00,9.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7025378,4.00,8.00,3.00,7.00,4.00,7.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7025394,7.00,6.00,3.00,5.00,5.00,8.63,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7025408,4.00,6.00,1.00,6.00,7.00,8.25,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(28,7025416,6.00,7.00,5.00,7.00,9.00,10.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7025424,2.00,5.00,3.00,4.00,6.00,6.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7025432,2.00,6.00,3.00,5.00,8.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7025440,1.00,3.00,1.00,5.00,3.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7025459,6.00,9.00,3.00,4.00,7.00,9.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7025467,0.00,2.00,2.00,6.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7025483,5.00,8.00,3.00,8.00,8.00,11.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7025505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7025513,5.00,8.00,2.00,7.00,11.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7025521,4.00,8.00,5.00,6.00,9.00,8.63,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7025530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7025548,0.00,4.00,2.00,5.00,5.00,NULL,1.00,4.00,1.00,NULL,NULL,'S','N'),(28,7025556,2.00,6.00,2.00,4.00,6.00,7.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7025564,6.00,8.00,3.00,7.00,6.00,7.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7025572,2.00,1.00,2.00,0.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7025580,4.00,5.00,4.00,7.00,9.00,9.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7025602,2.00,7.00,3.00,5.00,7.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7025610,3.00,5.00,2.00,7.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7025629,3.00,6.00,2.00,6.00,8.00,10.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7025637,2.00,7.00,2.00,6.00,7.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7025670,3.00,7.00,3.00,6.00,8.00,10.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7025688,2.00,5.00,3.00,3.00,3.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7025696,6.00,7.00,3.00,6.00,8.00,6.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7025700,8.00,8.00,3.00,7.00,8.00,12.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7025718,0.00,6.00,1.00,6.00,8.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7025726,3.00,8.00,3.00,6.00,8.00,10.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7025734,2.00,5.00,1.00,6.00,9.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7025742,4.00,7.00,5.00,5.00,7.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7025750,4.00,9.00,3.00,7.00,8.00,10.13,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7025769,4.00,7.00,4.00,7.00,8.00,10.13,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7025777,3.00,7.00,1.00,6.00,9.00,12.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7025785,2.00,5.00,4.00,4.00,6.00,8.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7025793,2.00,4.00,1.00,4.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7025807,2.00,8.00,2.00,7.00,5.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7025815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7025823,7.00,8.00,3.00,7.00,8.00,12.38,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7025831,4.00,6.00,2.00,3.00,4.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7025840,2.00,7.00,3.00,7.00,3.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7025858,0.00,7.00,0.00,5.00,7.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7025866,5.00,7.00,2.00,7.00,6.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7025874,2.00,5.00,1.00,6.00,6.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7025882,1.00,2.00,3.00,7.00,6.00,10.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7025890,1.00,7.00,4.00,7.00,7.00,8.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7025904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7025912,7.00,7.00,1.00,7.00,10.00,10.13,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7025920,2.00,7.00,4.00,6.00,6.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7025939,3.00,8.00,1.00,7.00,6.00,7.88,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7025963,0.00,6.00,2.00,5.00,8.00,6.75,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7025971,2.00,7.00,4.00,6.00,7.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7025980,1.00,5.00,1.00,3.00,6.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7025998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7026005,3.00,7.00,1.00,6.00,7.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7026013,2.00,8.00,2.00,3.00,3.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7026021,3.00,6.00,3.00,6.00,8.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7026030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7026048,7.00,8.00,3.00,7.00,6.00,10.13,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7026056,2.00,4.00,1.00,5.00,4.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7026064,4.00,6.00,4.00,4.00,7.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7026072,4.00,6.00,3.00,5.00,6.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7026080,1.00,7.00,4.00,6.00,8.00,8.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7026099,1.00,6.00,1.00,5.00,6.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7026102,5.00,8.00,5.00,6.00,9.00,10.13,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7026110,4.00,6.00,4.00,6.00,8.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7026129,3.00,5.00,3.00,6.00,6.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7026137,1.00,6.00,5.00,6.00,7.00,10.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7026145,0.00,3.00,0.00,5.00,6.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7026153,2.00,4.00,1.00,4.00,4.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7026170,5.00,7.00,3.00,7.00,7.00,8.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7026188,7.00,9.00,6.00,7.00,9.00,9.38,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7026196,4.00,8.00,2.00,6.00,9.00,12.38,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7026218,6.00,6.00,5.00,8.00,10.00,9.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7026226,4.00,4.00,2.00,4.00,3.00,6.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7026234,0.00,2.00,2.00,3.00,6.00,4.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7026242,4.00,6.00,2.00,5.00,7.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7026277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7026285,3.00,6.00,2.00,7.00,8.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7026293,1.00,3.00,2.00,7.00,7.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7026307,2.00,4.00,3.00,4.00,7.00,8.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7026315,1.00,6.00,2.00,4.00,5.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7026323,0.00,6.00,4.00,2.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7026331,2.00,7.00,3.00,5.00,7.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7026340,3.00,6.00,4.00,5.00,7.00,8.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7026366,5.00,6.00,4.00,3.00,6.00,6.38,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7026374,4.00,8.00,7.00,7.00,7.00,12.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7026382,2.00,4.00,3.00,4.00,8.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7026390,2.00,6.00,1.00,5.00,8.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7026404,4.00,8.00,1.00,7.00,8.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7026412,1.00,6.00,1.00,6.00,6.00,6.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7026420,3.00,8.00,3.00,7.00,8.00,11.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7026447,4.00,6.00,4.00,7.00,7.00,10.88,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7026463,3.00,4.00,1.00,2.00,7.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7026471,5.00,8.00,2.00,7.00,6.00,7.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7026498,5.00,6.00,3.00,7.00,5.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7026501,2.00,7.00,1.00,5.00,8.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7026510,2.00,5.00,0.00,6.00,6.00,8.63,0.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7026528,1.00,5.00,1.00,2.00,7.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7026536,7.00,8.00,5.00,8.00,9.00,10.50,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7026544,4.00,6.00,2.00,5.00,8.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7026552,0.00,5.00,3.00,5.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7026560,5.00,7.00,4.00,7.00,7.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7026579,2.00,4.00,3.00,5.00,4.00,8.25,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7026587,3.00,9.00,0.00,7.00,7.00,NULL,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7026595,2.00,5.00,2.00,8.00,9.00,10.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7026609,6.00,7.00,3.00,7.00,5.00,7.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7026617,1.00,3.00,3.00,6.00,3.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7026625,3.00,8.00,4.00,7.00,7.00,7.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7026633,1.00,5.00,0.00,6.00,4.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7026641,3.00,5.00,2.00,7.00,8.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7026650,3.00,6.00,2.00,5.00,5.00,7.88,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7026668,6.00,7.00,1.00,7.00,8.00,9.38,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7026676,4.00,8.00,3.00,7.00,9.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7026684,1.00,7.00,3.00,7.00,8.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7026692,2.00,6.00,2.00,4.00,8.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7026706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7026714,3.00,3.00,2.00,4.00,6.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7026730,0.00,6.00,0.00,4.00,4.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7026749,5.00,4.00,2.00,6.00,8.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7026757,5.00,8.00,4.00,7.00,7.00,8.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7026765,3.00,6.00,2.00,3.00,7.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7026790,2.00,7.00,1.00,7.00,4.00,5.63,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7026803,4.00,5.00,1.00,5.00,7.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7026811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7026820,3.00,4.00,1.00,5.00,8.00,6.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7026838,3.00,7.00,0.00,4.00,7.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7026846,4.00,4.00,1.00,7.00,8.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7026854,6.00,9.00,4.00,8.00,10.00,13.88,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(28,7026862,5.00,7.00,3.00,5.00,8.00,11.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7026870,1.00,4.00,2.00,4.00,6.00,9.00,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7026889,2.00,7.00,2.00,5.00,3.00,6.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7026919,1.00,5.00,4.00,3.00,4.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7026927,0.00,5.00,4.00,4.00,4.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7026935,1.00,7.00,2.00,5.00,8.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7026943,8.00,7.00,3.00,6.00,7.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7026951,0.00,3.00,2.00,4.00,4.00,8.25,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(28,7026986,1.00,7.00,1.00,6.00,6.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7027036,2.00,6.00,1.00,5.00,7.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7027044,2.00,4.00,1.00,6.00,4.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7027052,5.00,8.00,6.00,6.00,8.00,7.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7027060,1.00,4.00,1.00,2.00,3.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7027079,1.00,4.00,5.00,5.00,7.00,10.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7027087,2.00,7.00,1.00,6.00,6.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7027109,4.00,6.00,3.00,4.00,8.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7027117,4.00,7.00,2.00,6.00,6.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7027141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7027150,1.00,6.00,0.00,6.00,7.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7027168,4.00,5.00,2.00,6.00,7.00,9.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7027176,2.00,4.00,1.00,5.00,4.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7027192,4.00,6.00,3.00,5.00,6.00,6.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7027206,3.00,6.00,2.00,6.00,5.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7027214,3.00,6.00,3.00,6.00,5.00,7.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7027222,1.00,3.00,2.00,6.00,4.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7027230,0.00,6.00,5.00,7.00,4.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7027249,3.00,6.00,0.00,2.00,4.00,NULL,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7027257,1.00,7.00,1.00,7.00,5.00,10.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7027265,4.00,3.00,1.00,4.00,7.00,9.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7027273,7.00,7.00,3.00,7.00,10.00,9.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7027290,1.00,5.00,2.00,6.00,3.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7027303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7027311,5.00,9.00,1.00,3.00,10.00,10.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7027320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7027338,5.00,8.00,3.00,7.00,10.00,10.13,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7027346,3.00,5.00,1.00,6.00,6.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7027354,2.00,6.00,3.00,6.00,6.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7027362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7027370,3.00,5.00,1.00,6.00,7.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7027389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7027397,3.00,6.00,3.00,5.00,3.00,7.13,6.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7027400,1.00,0.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7027419,6.00,6.00,1.00,7.00,8.00,9.38,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7027427,4.00,5.00,3.00,6.00,5.00,5.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7027435,0.00,5.00,2.00,4.00,8.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7027443,3.00,6.00,4.00,6.00,6.00,8.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7027460,1.00,6.00,2.00,4.00,7.00,9.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7027478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7027486,3.00,5.00,1.00,7.00,5.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7027494,1.00,5.00,1.00,4.00,7.00,7.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7027508,2.00,3.00,1.00,3.00,5.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7027516,5.00,7.00,3.00,7.00,8.00,9.38,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7027524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7027532,6.00,8.00,1.00,7.00,10.00,6.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7027540,2.00,7.00,2.00,7.00,9.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7027559,5.00,6.00,2.00,5.00,5.00,5.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7027567,3.00,4.00,2.00,5.00,6.00,8.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7027583,3.00,9.00,1.00,5.00,10.00,11.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7027591,4.00,7.00,1.00,6.00,8.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7027605,3.00,6.00,3.00,6.00,7.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7027613,3.00,6.00,2.00,6.00,3.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7027621,3.00,6.00,3.00,7.00,5.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7027630,4.00,8.00,1.00,5.00,4.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7027648,3.00,5.00,3.00,6.00,7.00,6.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7027656,2.00,7.00,4.00,7.00,8.00,6.38,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7027680,2.00,4.00,2.00,3.00,4.00,6.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7027699,3.00,5.00,1.00,5.00,7.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7027702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7027710,3.00,6.00,3.00,7.00,8.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7027729,3.00,3.00,2.00,5.00,6.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7027745,3.00,4.00,3.00,5.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7027753,6.00,5.00,4.00,6.00,6.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7027761,1.00,6.00,2.00,7.00,6.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7027770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7027788,2.00,4.00,4.00,6.00,8.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7027796,5.00,4.00,4.00,6.00,6.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7027800,1.00,4.00,2.00,6.00,7.00,11.63,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7027818,4.00,7.00,3.00,6.00,8.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7027834,5.00,8.00,3.00,7.00,9.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7027842,7.00,8.00,3.00,6.00,8.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7027869,5.00,7.00,2.00,5.00,6.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7027877,1.00,4.00,1.00,5.00,4.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7027885,0.00,2.00,1.00,4.00,4.00,6.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7027893,4.00,6.00,1.00,5.00,8.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7027907,3.00,7.00,1.00,5.00,6.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7027923,5.00,5.00,0.00,3.00,5.00,6.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7027931,0.00,2.00,3.00,4.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7027958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7027966,4.00,7.00,3.00,5.00,5.00,7.13,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7027974,8.00,7.00,4.00,7.00,7.00,10.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7027982,2.00,8.00,4.00,6.00,9.00,9.38,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7028008,3.00,6.00,5.00,3.00,9.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7028016,5.00,7.00,4.00,4.00,2.00,NULL,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7028024,3.00,6.00,1.00,4.00,8.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7028040,2.00,3.00,2.00,2.00,4.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7028067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7028083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7028091,0.00,3.00,2.00,2.00,4.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7028105,2.00,6.00,4.00,4.00,4.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7028113,4.00,6.00,4.00,6.00,6.00,7.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7028121,2.00,5.00,1.00,5.00,7.00,9.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7028148,4.00,6.00,2.00,5.00,5.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7028156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7028164,0.00,5.00,1.00,7.00,5.00,6.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7028172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7028180,0.00,5.00,2.00,3.00,4.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7028199,1.00,8.00,2.00,5.00,8.00,6.38,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7028202,4.00,7.00,2.00,7.00,8.00,10.13,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7028210,6.00,6.00,5.00,5.00,6.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7028229,6.00,7.00,2.00,5.00,9.00,13.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7028237,0.00,3.00,3.00,2.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7028253,0.00,3.00,2.00,3.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7028270,4.00,7.00,4.00,7.00,9.00,10.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7028288,1.00,6.00,0.00,3.00,8.00,5.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7028296,0.00,5.00,0.00,6.00,5.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7028300,2.00,3.00,2.00,4.00,7.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7028334,2.00,3.00,2.00,2.00,7.00,4.88,0.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7028342,6.00,7.00,6.00,7.00,6.00,10.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7028350,5.00,7.00,1.00,5.00,6.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7028377,2.00,4.00,1.00,3.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7028385,1.00,4.00,0.00,5.00,6.00,6.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7028393,4.00,5.00,4.00,5.00,3.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7028407,0.00,3.00,2.00,1.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7028415,4.00,4.00,1.00,4.00,7.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7028423,2.00,8.00,2.00,6.00,6.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7028431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7028440,0.00,3.00,1.00,4.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7028458,4.00,6.00,3.00,5.00,6.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7028482,8.00,8.00,5.00,8.00,11.00,11.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7028490,6.00,6.00,5.00,6.00,10.00,10.13,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7028504,4.00,7.00,2.00,5.00,5.00,7.88,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7028512,1.00,0.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7028520,0.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7028539,2.00,6.00,3.00,6.00,7.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7028547,2.00,4.00,0.00,4.00,8.00,6.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7028555,3.00,5.00,1.00,3.00,6.00,9.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7028563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7028571,3.00,4.00,1.00,5.00,5.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7028580,4.00,5.00,1.00,5.00,10.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7028598,3.00,4.00,2.00,1.00,3.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7028601,3.00,8.00,0.00,6.00,3.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7028610,1.00,4.00,1.00,6.00,7.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7028628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7028636,0.00,2.00,1.00,6.00,4.00,5.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7028644,2.00,5.00,3.00,7.00,6.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7028652,4.00,6.00,3.00,7.00,5.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7028660,1.00,4.00,3.00,6.00,8.00,9.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7028679,7.00,8.00,6.00,7.00,9.00,9.00,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7028687,1.00,2.00,3.00,1.00,3.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7028695,1.00,6.00,2.00,6.00,6.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7028709,8.00,9.00,6.00,7.00,11.00,9.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7028717,2.00,6.00,2.00,1.00,6.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7028725,1.00,8.00,3.00,7.00,9.00,9.38,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7028733,3.00,5.00,3.00,6.00,8.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7028741,1.00,8.00,0.00,5.00,8.00,9.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7028768,3.00,3.00,2.00,4.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7028776,8.00,8.00,2.00,7.00,8.00,12.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7028792,0.00,6.00,1.00,2.00,4.00,5.63,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7028806,2.00,7.00,1.00,6.00,4.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7028814,6.00,6.00,5.00,5.00,8.00,9.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7028822,3.00,7.00,3.00,6.00,7.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7028830,2.00,7.00,2.00,6.00,8.00,10.13,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7028849,1.00,5.00,1.00,6.00,5.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7028857,3.00,8.00,1.00,5.00,7.00,8.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7028865,2.00,6.00,0.00,5.00,6.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7028881,6.00,8.00,3.00,5.00,4.00,9.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7028890,1.00,5.00,1.00,3.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'S'),(28,7028903,7.00,8.00,2.00,6.00,7.00,10.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7028911,2.00,7.00,1.00,5.00,4.00,9.00,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7028920,2.00,5.00,0.00,6.00,7.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7028938,4.00,5.00,3.00,4.00,6.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7028946,1.00,7.00,0.00,7.00,6.00,8.63,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7028954,2.00,4.00,1.00,3.00,5.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7028962,6.00,8.00,1.00,6.00,6.00,9.38,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7028970,2.00,2.00,0.00,5.00,4.00,4.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7028989,4.00,5.00,1.00,4.00,7.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7028997,6.00,7.00,3.00,5.00,7.00,13.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7029004,2.00,4.00,1.00,6.00,6.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7029039,2.00,5.00,2.00,5.00,7.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7029047,4.00,7.00,0.00,7.00,8.00,8.63,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7029055,3.00,5.00,3.00,5.00,4.00,4.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7029071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7029080,8.00,8.00,4.00,7.00,9.00,11.63,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7029098,3.00,4.00,1.00,7.00,4.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7029101,1.00,4.00,1.00,4.00,3.00,6.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7029110,2.00,8.00,2.00,7.00,10.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7029136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7029144,0.00,7.00,1.00,5.00,6.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7029152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7029160,0.00,4.00,1.00,6.00,6.00,6.75,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7029179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7029195,0.00,1.00,2.00,5.00,3.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7029209,2.00,6.00,0.00,6.00,8.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7029217,3.00,6.00,3.00,6.00,3.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7029233,5.00,6.00,3.00,6.00,6.00,8.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7029241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7029268,7.00,7.00,3.00,6.00,8.00,8.63,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7029276,1.00,5.00,1.00,5.00,5.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7029284,0.00,6.00,2.00,6.00,8.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7029292,2.00,8.00,6.00,7.00,7.00,13.13,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7029306,1.00,0.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7029314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7029322,2.00,8.00,4.00,4.00,8.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7029330,1.00,4.00,1.00,2.00,3.00,4.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7029349,0.00,0.00,4.00,3.00,3.00,4.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7029357,4.00,6.00,1.00,6.00,10.00,9.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7029365,4.00,7.00,2.00,7.00,9.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7029373,0.00,2.00,1.00,6.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7029381,2.00,7.00,2.00,5.00,4.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7029403,4.00,5.00,3.00,6.00,4.00,NULL,3.00,7.00,0.00,NULL,NULL,NULL,'N'),(28,7029411,4.00,7.00,2.00,8.00,6.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7029420,6.00,8.00,3.00,7.00,7.00,5.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7029438,1.00,6.00,3.00,6.00,8.00,7.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7029446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7029454,5.00,8.00,3.00,6.00,5.00,9.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7029462,1.00,5.00,1.00,7.00,10.00,9.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7029470,4.00,7.00,3.00,7.00,9.00,10.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7029489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7029497,4.00,7.00,2.00,5.00,9.00,11.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7029500,3.00,7.00,1.00,5.00,7.00,9.38,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7029519,2.00,5.00,3.00,4.00,0.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7029527,1.00,5.00,0.00,6.00,4.00,8.25,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7029535,4.00,5.00,1.00,6.00,9.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7029543,5.00,4.00,1.00,6.00,7.00,11.25,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7029551,1.00,5.00,2.00,2.00,4.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7029560,3.00,7.00,5.00,5.00,5.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7029578,1.00,4.00,2.00,6.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7029586,1.00,4.00,4.00,6.00,6.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7029594,4.00,7.00,1.00,2.00,8.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7029608,7.00,9.00,5.00,5.00,10.00,8.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7029616,2.00,7.00,2.00,5.00,6.00,6.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7029632,1.00,3.00,4.00,6.00,7.00,10.13,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7029640,0.00,7.00,2.00,6.00,4.00,10.50,3.00,6.00,1.00,NULL,NULL,NULL,'S'),(28,7029659,0.00,2.00,2.00,3.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7029675,3.00,7.00,3.00,4.00,7.00,6.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7029683,6.00,8.00,5.00,4.00,6.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7029691,5.00,8.00,3.00,7.00,10.00,10.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7029705,3.00,7.00,3.00,5.00,8.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7029713,4.00,7.00,5.00,7.00,5.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7029721,0.00,3.00,2.00,4.00,6.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7029748,5.00,7.00,2.00,7.00,7.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7029756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7029764,2.00,8.00,3.00,6.00,7.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7029780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7029802,5.00,5.00,3.00,4.00,7.00,9.38,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7029810,1.00,6.00,0.00,4.00,6.00,7.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7029829,4.00,6.00,3.00,7.00,5.00,9.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7029853,2.00,5.00,1.00,1.00,4.00,7.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7029861,1.00,4.00,2.00,6.00,3.00,9.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7029888,0.00,3.00,2.00,5.00,5.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7029896,0.00,5.00,1.00,3.00,5.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7029918,0.00,4.00,4.00,6.00,7.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7029926,3.00,0.00,0.00,8.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7029934,4.00,1.00,2.00,5.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7029950,3.00,6.00,1.00,6.00,7.00,7.88,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7029969,6.00,7.00,4.00,6.00,7.00,9.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7029977,3.00,3.00,2.00,7.00,4.00,7.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7029985,8.00,7.00,5.00,7.00,6.00,9.38,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7029993,2.00,6.00,4.00,5.00,7.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7030010,4.00,5.00,4.00,5.00,6.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7030029,5.00,7.00,2.00,6.00,6.00,6.38,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7030037,1.00,2.00,1.00,5.00,4.00,4.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7030045,1.00,5.00,4.00,6.00,8.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7030061,5.00,5.00,3.00,5.00,6.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7030070,6.00,8.00,2.00,6.00,9.00,7.13,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7030096,3.00,5.00,2.00,5.00,6.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7030100,2.00,5.00,3.00,3.00,5.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7030118,1.00,3.00,4.00,4.00,3.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7030126,1.00,7.00,3.00,6.00,5.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7030142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7030150,5.00,7.00,5.00,5.00,9.00,9.38,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7030177,4.00,5.00,3.00,7.00,7.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7030185,4.00,3.00,2.00,4.00,5.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7030193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7030207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7030215,9.00,9.00,7.00,7.00,7.00,6.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7030223,1.00,6.00,3.00,7.00,7.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7030240,5.00,6.00,3.00,7.00,9.00,12.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7030258,7.00,8.00,4.00,7.00,5.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7030266,2.00,6.00,1.00,6.00,4.00,7.13,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7030282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7030290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7030304,2.00,9.00,1.00,6.00,5.00,8.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7030320,1.00,6.00,1.00,7.00,5.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7030339,2.00,5.00,1.00,5.00,3.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7030347,6.00,8.00,3.00,7.00,7.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7030355,0.00,5.00,2.00,7.00,6.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7030363,2.00,5.00,2.00,2.00,4.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7030371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7030380,7.00,8.00,8.00,8.00,9.00,11.63,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7030398,4.00,6.00,3.00,6.00,5.00,5.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7030401,3.00,7.00,2.00,5.00,8.00,12.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7030410,2.00,8.00,2.00,4.00,6.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7030436,4.00,8.00,5.00,8.00,7.00,9.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7030444,5.00,5.00,4.00,7.00,8.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7030452,1.00,3.00,3.00,5.00,4.00,6.00,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(28,7030479,6.00,7.00,5.00,3.00,6.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7030487,2.00,7.00,1.00,6.00,9.00,8.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7030509,5.00,8.00,5.00,6.00,11.00,8.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7030517,2.00,5.00,2.00,5.00,6.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7030525,2.00,4.00,0.00,3.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7030533,2.00,5.00,1.00,5.00,6.00,11.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7030541,1.00,5.00,4.00,5.00,8.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7030550,0.00,4.00,1.00,5.00,6.00,6.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7030568,2.00,4.00,1.00,6.00,6.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7030592,5.00,9.00,3.00,5.00,11.00,14.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7030606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7030614,6.00,6.00,2.00,5.00,7.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7030622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7030630,5.00,7.00,2.00,6.00,8.00,10.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7030649,5.00,8.00,1.00,4.00,7.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7030657,6.00,8.00,4.00,7.00,11.00,11.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7030665,5.00,6.00,2.00,3.00,6.00,7.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7030673,3.00,5.00,1.00,4.00,6.00,9.38,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7030681,6.00,5.00,1.00,5.00,7.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7030690,4.00,5.00,2.00,7.00,7.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7030703,0.00,2.00,1.00,1.00,3.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7030720,3.00,7.00,2.00,6.00,8.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7030738,3.00,5.00,1.00,6.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7030746,5.00,7.00,5.00,5.00,9.00,11.63,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7030754,4.00,6.00,0.00,5.00,5.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7030762,0.00,2.00,2.00,3.00,3.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7030789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7030797,4.00,5.00,3.00,7.00,6.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7030800,4.00,7.00,3.00,7.00,8.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7030819,2.00,4.00,1.00,5.00,8.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7030835,2.00,7.00,2.00,6.00,7.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7030851,7.00,8.00,6.00,6.00,8.00,8.63,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7030878,4.00,8.00,2.00,7.00,9.00,11.63,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7030894,5.00,8.00,3.00,6.00,9.00,7.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7030908,3.00,7.00,4.00,6.00,8.00,7.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7030916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7030924,5.00,7.00,3.00,5.00,5.00,7.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7030932,2.00,5.00,2.00,7.00,6.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7030940,0.00,6.00,2.00,6.00,5.00,7.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7030959,3.00,5.00,0.00,5.00,7.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7030967,3.00,7.00,3.00,5.00,8.00,9.38,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7030983,4.00,9.00,2.00,6.00,8.00,12.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7030991,3.00,6.00,1.00,3.00,8.00,4.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7031009,6.00,8.00,4.00,6.00,9.00,8.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7031017,3.00,3.00,1.00,6.00,7.00,12.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7031025,0.00,4.00,2.00,3.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7031033,5.00,9.00,2.00,6.00,6.00,9.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7031041,6.00,7.00,2.00,6.00,7.00,7.13,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7031050,2.00,6.00,1.00,5.00,5.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7031068,2.00,6.00,5.00,5.00,6.00,7.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7031076,2.00,7.00,5.00,7.00,7.00,7.88,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7031084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7031092,3.00,7.00,3.00,7.00,9.00,7.88,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7031106,7.00,9.00,5.00,7.00,7.00,6.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7031114,1.00,4.00,1.00,3.00,3.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7031122,1.00,3.00,2.00,4.00,6.00,5.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7031130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7031149,5.00,8.00,1.00,5.00,9.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7031157,5.00,9.00,4.00,5.00,7.00,9.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7031173,3.00,3.00,2.00,3.00,5.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7031181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7031211,7.00,6.00,4.00,7.00,9.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7031220,0.00,3.00,4.00,3.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7031238,4.00,6.00,2.00,6.00,4.00,6.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7031246,2.00,5.00,3.00,6.00,5.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7031254,1.00,6.00,0.00,4.00,5.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7031262,4.00,6.00,3.00,7.00,7.00,10.13,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7031270,2.00,5.00,1.00,5.00,4.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7031289,2.00,7.00,3.00,7.00,7.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7031297,9.00,8.00,8.00,7.00,10.00,10.13,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7031300,1.00,5.00,1.00,3.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7031327,3.00,4.00,2.00,4.00,4.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7031335,5.00,7.00,1.00,6.00,8.00,7.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7031343,1.00,6.00,2.00,4.00,7.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7031351,0.00,4.00,0.00,7.00,6.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7031360,5.00,6.00,1.00,7.00,7.00,9.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7031386,7.00,8.00,7.00,6.00,8.00,11.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7031394,2.00,8.00,2.00,5.00,6.00,7.88,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7031408,6.00,8.00,5.00,7.00,8.00,6.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7031416,5.00,8.00,3.00,6.00,8.00,12.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7031424,1.00,3.00,4.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7031432,1.00,4.00,3.00,2.00,5.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7031440,3.00,7.00,3.00,7.00,5.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7031459,7.00,8.00,2.00,6.00,8.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7031467,0.00,6.00,2.00,4.00,4.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7031475,7.00,8.00,5.00,7.00,7.00,10.13,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7031483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7031491,0.00,2.00,3.00,3.00,5.00,5.63,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7031521,5.00,7.00,4.00,6.00,6.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7031548,1.00,4.00,2.00,5.00,2.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7031556,3.00,7.00,3.00,4.00,6.00,5.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7031564,3.00,8.00,2.00,5.00,8.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7031572,3.00,7.00,3.00,5.00,7.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7031580,4.00,7.00,4.00,5.00,9.00,10.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7031599,3.00,7.00,2.00,6.00,4.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7031602,2.00,5.00,1.00,4.00,6.00,4.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7031610,2.00,7.00,4.00,6.00,9.00,8.63,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7031629,4.00,7.00,4.00,6.00,8.00,10.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7031637,1.00,4.00,0.00,6.00,5.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7031645,2.00,7.00,3.00,6.00,5.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7031653,4.00,6.00,3.00,3.00,5.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7031661,4.00,7.00,3.00,7.00,7.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7031670,4.00,9.00,2.00,6.00,9.00,7.13,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7031688,6.00,6.00,3.00,6.00,2.00,NULL,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7031696,0.00,6.00,1.00,6.00,6.00,NULL,3.00,3.00,1.00,NULL,NULL,'S','S'),(28,7031718,3.00,3.00,1.00,3.00,6.00,6.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7031726,1.00,6.00,1.00,4.00,6.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7031734,8.00,7.00,4.00,7.00,9.00,9.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7031742,7.00,9.00,5.00,7.00,9.00,9.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7031750,0.00,4.00,1.00,2.00,3.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7031769,4.00,6.00,2.00,5.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7031785,2.00,6.00,3.00,3.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7031793,0.00,3.00,3.00,4.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7031807,1.00,3.00,1.00,4.00,4.00,4.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7031815,4.00,6.00,3.00,5.00,8.00,8.63,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7031831,3.00,6.00,1.00,7.00,7.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7031840,8.00,9.00,5.00,7.00,5.00,9.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7031858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7031866,5.00,6.00,3.00,6.00,7.00,8.63,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7031874,4.00,5.00,3.00,3.00,4.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7031882,4.00,8.00,4.00,7.00,6.00,7.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7031890,2.00,7.00,2.00,7.00,5.00,9.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7031904,5.00,6.00,3.00,7.00,2.00,NULL,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7031939,0.00,4.00,3.00,4.00,5.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7031947,5.00,8.00,2.00,7.00,10.00,7.88,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7031955,0.00,6.00,1.00,1.00,6.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7031963,3.00,6.00,4.00,7.00,8.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7031971,7.00,6.00,5.00,7.00,6.00,9.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7031980,2.00,6.00,3.00,6.00,6.00,9.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7031998,3.00,6.00,1.00,5.00,3.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7032005,3.00,4.00,0.00,5.00,5.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7032030,5.00,7.00,3.00,3.00,9.00,7.13,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7032048,0.00,5.00,1.00,5.00,6.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7032056,3.00,8.00,2.00,6.00,7.00,7.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7032064,2.00,5.00,2.00,6.00,6.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7032072,5.00,7.00,3.00,6.00,9.00,6.38,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7032080,5.00,8.00,1.00,5.00,6.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7032099,3.00,6.00,3.00,7.00,6.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7032102,4.00,9.00,3.00,7.00,10.00,11.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7032110,2.00,5.00,0.00,5.00,6.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7032129,3.00,8.00,4.00,6.00,9.00,7.88,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7032137,4.00,7.00,2.00,6.00,6.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7032145,3.00,7.00,2.00,6.00,8.00,11.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7032161,0.00,3.00,3.00,5.00,6.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7032170,2.00,6.00,2.00,5.00,5.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7032188,2.00,7.00,4.00,4.00,7.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7032196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7032218,0.00,7.00,4.00,6.00,5.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7032226,5.00,9.00,4.00,7.00,11.00,11.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7032234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7032242,1.00,3.00,1.00,1.00,4.00,7.13,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7032250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7032269,6.00,8.00,3.00,6.00,9.00,10.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7032277,1.00,7.00,2.00,6.00,7.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7032285,2.00,5.00,2.00,6.00,8.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7032293,2.00,7.00,4.00,5.00,8.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7032307,2.00,8.00,2.00,5.00,9.00,7.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7032315,6.00,8.00,3.00,6.00,8.00,10.13,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7032323,3.00,3.00,1.00,3.00,6.00,5.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7032358,5.00,8.00,4.00,6.00,9.00,5.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7032366,1.00,6.00,2.00,6.00,6.00,9.00,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7032374,0.00,0.00,2.00,1.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7032382,4.00,6.00,2.00,7.00,6.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7032390,4.00,6.00,5.00,7.00,5.00,10.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7032404,3.00,8.00,5.00,2.00,6.00,8.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7032412,5.00,7.00,4.00,6.00,8.00,9.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7032420,8.00,7.00,7.00,6.00,11.00,9.38,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7032447,2.00,5.00,1.00,3.00,6.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7032463,2.00,5.00,2.00,6.00,5.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7032480,5.00,8.00,2.00,4.00,7.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7032501,3.00,4.00,2.00,5.00,6.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7032510,4.00,5.00,1.00,4.00,5.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7032528,8.00,7.00,4.00,7.00,10.00,10.88,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7032536,0.00,5.00,1.00,2.00,3.00,10.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7032544,7.00,8.00,3.00,7.00,10.00,9.38,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7032552,1.00,6.00,1.00,6.00,6.00,11.63,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7032560,4.00,7.00,1.00,6.00,8.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7032587,3.00,7.00,2.00,5.00,5.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7032595,1.00,6.00,0.00,0.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7032617,7.00,7.00,5.00,5.00,9.00,10.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7032625,1.00,4.00,2.00,5.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7032633,6.00,7.00,2.00,6.00,7.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7032641,3.00,5.00,3.00,6.00,9.00,9.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7032676,0.00,3.00,1.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7032684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7032692,4.00,7.00,2.00,5.00,6.00,6.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7032706,6.00,8.00,3.00,6.00,8.00,12.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7032722,0.00,7.00,2.00,7.00,6.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7032730,5.00,7.00,3.00,8.00,8.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7032749,4.00,5.00,3.00,5.00,9.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7032765,3.00,6.00,1.00,5.00,4.00,4.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7032773,1.00,2.00,1.00,4.00,5.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7032781,3.00,7.00,4.00,6.00,9.00,8.63,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7032790,5.00,8.00,4.00,7.00,9.00,10.88,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7032803,4.00,5.00,1.00,6.00,4.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7032811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7032820,3.00,8.00,5.00,7.00,8.00,11.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7032838,5.00,7.00,3.00,6.00,9.00,7.88,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7032846,4.00,8.00,6.00,6.00,9.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7032854,0.00,5.00,1.00,3.00,6.00,4.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7032862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7032870,4.00,6.00,2.00,6.00,4.00,7.13,5.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7032889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7032897,3.00,8.00,3.00,7.00,7.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7032919,5.00,6.00,2.00,7.00,3.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7032935,3.00,7.00,1.00,7.00,6.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7032943,6.00,8.00,6.00,5.00,7.00,10.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7032951,5.00,8.00,1.00,7.00,8.00,8.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7032978,1.00,5.00,1.00,2.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7032986,0.00,3.00,0.00,2.00,4.00,4.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7032994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7033001,3.00,8.00,3.00,6.00,8.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7033028,0.00,7.00,2.00,5.00,8.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7033044,8.00,8.00,3.00,7.00,8.00,11.63,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7033052,5.00,8.00,3.00,7.00,8.00,7.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7033060,6.00,7.00,3.00,6.00,8.00,4.88,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7033079,5.00,6.00,0.00,7.00,6.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7033087,4.00,7.00,2.00,6.00,6.00,10.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7033095,5.00,8.00,1.00,7.00,8.00,11.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7033109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7033117,2.00,3.00,3.00,6.00,5.00,9.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7033125,5.00,8.00,5.00,7.00,6.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7033141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7033150,0.00,5.00,3.00,4.00,8.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7033168,0.00,6.00,2.00,3.00,5.00,5.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7033176,7.00,7.00,4.00,8.00,12.00,10.88,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7033184,0.00,5.00,0.00,2.00,4.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7033192,4.00,7.00,5.00,5.00,8.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7033222,2.00,4.00,2.00,7.00,7.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7033230,3.00,8.00,2.00,7.00,6.00,7.88,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7033257,4.00,8.00,3.00,8.00,5.00,8.63,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7033265,4.00,7.00,1.00,5.00,4.00,9.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7033290,1.00,6.00,0.00,6.00,4.00,4.88,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7033303,4.00,6.00,0.00,7.00,8.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7033311,2.00,6.00,0.00,7.00,8.00,5.63,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7033320,1.00,7.00,3.00,4.00,7.00,11.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7033338,3.00,5.00,2.00,6.00,6.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7033346,3.00,7.00,0.00,7.00,7.00,10.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7033354,5.00,7.00,2.00,6.00,7.00,6.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7033362,0.00,3.00,2.00,4.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7033370,1.00,5.00,2.00,6.00,3.00,6.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7033389,0.00,0.00,0.00,7.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7033397,3.00,7.00,5.00,8.00,7.00,6.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7033400,6.00,8.00,3.00,7.00,8.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7033427,2.00,8.00,4.00,7.00,7.00,9.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7033443,1.00,3.00,1.00,5.00,7.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7033451,7.00,7.00,7.00,7.00,5.00,10.88,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7033460,4.00,7.00,1.00,6.00,6.00,10.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7033478,3.00,7.00,3.00,4.00,7.00,12.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7033486,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7033494,2.00,7.00,2.00,6.00,6.00,9.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7033508,0.00,5.00,1.00,1.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7033516,1.00,3.00,2.00,3.00,4.00,7.50,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7033532,2.00,6.00,2.00,6.00,9.00,7.88,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7033540,5.00,6.00,4.00,6.00,6.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7033559,2.00,5.00,1.00,6.00,4.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7033567,0.00,5.00,3.00,6.00,4.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7033575,3.00,7.00,1.00,4.00,5.00,10.13,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7033583,5.00,5.00,2.00,5.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7033591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7033605,3.00,7.00,3.00,5.00,9.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7033613,8.00,8.00,4.00,7.00,7.00,8.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7033621,1.00,6.00,1.00,2.00,5.00,6.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7033630,2.00,6.00,1.00,5.00,6.00,10.88,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7033648,2.00,6.00,3.00,7.00,8.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7033656,1.00,6.00,0.00,6.00,4.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7033664,9.00,8.00,4.00,6.00,9.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7033672,0.00,8.00,3.00,6.00,8.00,10.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7033680,4.00,8.00,7.00,7.00,10.00,12.38,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7033702,3.00,4.00,3.00,4.00,5.00,10.13,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7033710,4.00,7.00,6.00,7.00,8.00,12.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7033729,1.00,5.00,1.00,5.00,6.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7033737,5.00,4.00,2.00,5.00,6.00,9.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7033745,3.00,6.00,2.00,5.00,4.00,4.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7033753,4.00,8.00,3.00,6.00,11.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7033761,4.00,5.00,2.00,7.00,6.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7033770,5.00,8.00,1.00,6.00,10.00,10.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7033788,2.00,4.00,2.00,4.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7033796,3.00,8.00,3.00,7.00,8.00,9.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7033800,5.00,7.00,2.00,7.00,10.00,7.88,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7033834,4.00,7.00,2.00,3.00,3.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7033842,4.00,8.00,3.00,5.00,8.00,10.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7033850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7033869,7.00,8.00,5.00,7.00,8.00,10.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7033877,3.00,6.00,3.00,5.00,7.00,6.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7033885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7033893,0.00,4.00,2.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7033915,6.00,7.00,3.00,7.00,8.00,9.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7033923,2.00,3.00,2.00,5.00,5.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7033931,6.00,7.00,5.00,7.00,9.00,10.13,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7033940,6.00,7.00,2.00,6.00,7.00,7.13,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7033982,5.00,7.00,4.00,5.00,7.00,5.25,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7034008,5.00,9.00,4.00,7.00,10.00,10.13,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7034016,2.00,3.00,0.00,5.00,2.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7034024,2.00,5.00,1.00,5.00,5.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7034032,0.00,4.00,0.00,2.00,6.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7034059,5.00,8.00,6.00,7.00,9.00,8.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7034075,3.00,7.00,3.00,6.00,9.00,6.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7034083,1.00,5.00,1.00,5.00,6.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7034091,1.00,6.00,3.00,6.00,3.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7034105,2.00,8.00,5.00,5.00,7.00,13.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7034113,4.00,6.00,3.00,8.00,7.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7034121,1.00,6.00,3.00,5.00,4.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7034130,1.00,7.00,1.00,6.00,5.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7034156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7034199,6.00,7.00,4.00,6.00,8.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7034202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7034210,1.00,6.00,4.00,6.00,7.00,9.38,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7034229,0.00,4.00,2.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7034237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7034245,3.00,4.00,2.00,6.00,8.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7034253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7034261,4.00,5.00,1.00,5.00,4.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7034270,4.00,7.00,1.00,5.00,7.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7034288,1.00,2.00,2.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7034296,4.00,5.00,2.00,5.00,7.00,9.00,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7034300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7034318,0.00,2.00,1.00,2.00,6.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7034326,0.00,3.00,2.00,1.00,4.00,2.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7034334,1.00,4.00,2.00,5.00,3.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7034342,4.00,5.00,2.00,7.00,6.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7034350,8.00,7.00,4.00,6.00,8.00,10.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7034369,7.00,7.00,2.00,6.00,9.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7034377,2.00,6.00,1.00,7.00,8.00,10.13,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7034385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7034393,1.00,3.00,1.00,6.00,3.00,6.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7034407,3.00,5.00,1.00,3.00,4.00,6.38,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7034415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7034423,2.00,5.00,2.00,5.00,7.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7034431,2.00,7.00,2.00,5.00,7.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7034440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7034458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7034466,5.00,8.00,5.00,5.00,9.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7034474,4.00,6.00,4.00,7.00,7.00,10.50,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7034482,7.00,6.00,4.00,7.00,8.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7034490,1.00,6.00,2.00,7.00,4.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7034504,4.00,6.00,0.00,5.00,7.00,8.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7034512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7034520,2.00,6.00,3.00,7.00,3.00,6.75,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7034539,3.00,6.00,2.00,7.00,10.00,8.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7034547,1.00,3.00,2.00,6.00,4.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7034555,1.00,6.00,3.00,6.00,6.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7034563,7.00,8.00,5.00,6.00,6.00,7.13,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7034571,6.00,7.00,5.00,7.00,9.00,10.13,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7034580,4.00,6.00,1.00,7.00,6.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7034598,3.00,4.00,3.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7034610,2.00,5.00,3.00,4.00,6.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7034628,1.00,4.00,4.00,7.00,5.00,6.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7034636,4.00,7.00,2.00,7.00,8.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7034644,1.00,3.00,5.00,5.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7034652,5.00,8.00,3.00,7.00,9.00,12.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7034660,8.00,9.00,6.00,5.00,9.00,10.88,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7034679,5.00,7.00,1.00,7.00,9.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7034687,2.00,7.00,5.00,6.00,5.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7034695,2.00,5.00,1.00,4.00,7.00,9.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7034725,1.00,4.00,1.00,4.00,6.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7034768,0.00,5.00,3.00,2.00,5.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7034776,1.00,5.00,1.00,5.00,7.00,6.38,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7034784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7034792,0.00,3.00,2.00,4.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7034806,1.00,6.00,2.00,7.00,5.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7034814,2.00,6.00,2.00,6.00,7.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7034830,1.00,6.00,3.00,2.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7034849,1.00,5.00,4.00,3.00,4.00,4.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7034857,2.00,5.00,2.00,5.00,7.00,8.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7034865,1.00,7.00,1.00,7.00,7.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7034873,0.00,3.00,3.00,8.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7034881,2.00,6.00,4.00,6.00,4.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7034890,1.00,4.00,2.00,5.00,9.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7034903,3.00,7.00,1.00,5.00,4.00,4.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7034920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7034938,1.00,4.00,3.00,4.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7034946,5.00,8.00,4.00,7.00,9.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7034954,5.00,8.00,3.00,6.00,9.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7034962,1.00,4.00,2.00,2.00,3.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7034989,2.00,7.00,3.00,4.00,7.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7034997,3.00,6.00,2.00,6.00,6.00,8.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7035004,0.00,5.00,0.00,4.00,3.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7035012,2.00,5.00,2.00,4.00,4.00,7.13,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7035020,7.00,8.00,3.00,5.00,7.00,7.88,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7035039,2.00,6.00,1.00,7.00,7.00,9.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7035047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7035063,0.00,4.00,3.00,3.00,4.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7035071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7035101,3.00,6.00,2.00,6.00,4.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7035110,6.00,7.00,3.00,7.00,8.00,9.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7035128,2.00,8.00,2.00,7.00,8.00,12.00,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7035136,4.00,7.00,3.00,4.00,6.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7035144,5.00,6.00,4.00,5.00,3.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7035152,2.00,4.00,1.00,5.00,5.00,10.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7035179,1.00,6.00,0.00,6.00,7.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7035187,5.00,7.00,4.00,7.00,4.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7035195,0.00,3.00,3.00,2.00,4.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7035217,4.00,6.00,1.00,5.00,8.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7035225,5.00,7.00,4.00,6.00,7.00,7.88,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7035233,0.00,5.00,0.00,5.00,4.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7035250,8.00,8.00,3.00,6.00,8.00,9.38,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(28,7035276,2.00,5.00,1.00,5.00,5.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7035284,3.00,8.00,2.00,6.00,9.00,7.13,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(28,7035292,6.00,6.00,2.00,6.00,6.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7035314,1.00,5.00,1.00,6.00,8.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7035330,2.00,7.00,2.00,5.00,7.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7035349,3.00,7.00,2.00,7.00,10.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7035357,3.00,7.00,1.00,3.00,4.00,7.88,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7035365,3.00,7.00,3.00,5.00,5.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7035373,5.00,7.00,2.00,7.00,9.00,7.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7035381,1.00,3.00,2.00,5.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7035390,2.00,7.00,4.00,6.00,3.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7035403,1.00,4.00,2.00,5.00,3.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7035411,1.00,4.00,1.00,4.00,5.00,NULL,1.00,4.00,3.00,NULL,NULL,'S','N'),(28,7035438,6.00,7.00,4.00,6.00,9.00,9.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7035454,5.00,6.00,3.00,6.00,6.00,7.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7035497,7.00,8.00,3.00,5.00,8.00,10.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7035519,4.00,7.00,2.00,6.00,8.00,10.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7035527,4.00,7.00,7.00,6.00,6.00,9.38,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7035535,4.00,8.00,4.00,6.00,9.00,8.63,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7035543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7035551,7.00,7.00,3.00,6.00,9.00,9.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7035560,4.00,8.00,3.00,7.00,8.00,12.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7035578,2.00,4.00,3.00,7.00,5.00,10.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7035586,1.00,8.00,1.00,5.00,5.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7035594,1.00,0.00,1.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7035608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7035616,1.00,7.00,0.00,6.00,7.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7035640,2.00,5.00,1.00,7.00,5.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7035659,0.00,0.00,3.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7035667,0.00,4.00,3.00,6.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7035675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7035691,2.00,7.00,1.00,3.00,6.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7035705,0.00,5.00,1.00,5.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7035721,5.00,6.00,5.00,5.00,8.00,7.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7035730,3.00,7.00,4.00,7.00,7.00,10.13,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7035748,4.00,7.00,4.00,7.00,9.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7035756,3.00,7.00,3.00,6.00,7.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7035780,1.00,5.00,1.00,6.00,6.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7035799,5.00,5.00,3.00,7.00,3.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7035802,4.00,7.00,2.00,6.00,7.00,7.50,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7035829,3.00,6.00,1.00,6.00,6.00,6.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7035837,5.00,6.00,3.00,6.00,6.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7035845,4.00,7.00,2.00,6.00,9.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7035853,1.00,7.00,1.00,7.00,7.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7035870,2.00,5.00,1.00,4.00,3.00,4.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7035896,5.00,6.00,3.00,4.00,7.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7035900,0.00,4.00,2.00,5.00,5.00,8.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7035934,2.00,2.00,2.00,5.00,3.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7035950,0.00,2.00,2.00,2.00,6.00,3.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7035969,5.00,7.00,3.00,7.00,9.00,11.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7035977,6.00,9.00,1.00,8.00,10.00,10.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7035993,4.00,6.00,3.00,5.00,9.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7036019,0.00,3.00,0.00,3.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7036027,4.00,7.00,1.00,7.00,8.00,10.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7036035,0.00,7.00,5.00,5.00,10.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7036043,3.00,6.00,0.00,8.00,7.00,7.13,4.00,3.00,5.00,NULL,NULL,NULL,'S'),(28,7036051,3.00,7.00,2.00,7.00,4.00,6.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7036060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7036078,0.00,6.00,3.00,5.00,5.00,NULL,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7036086,2.00,5.00,3.00,6.00,4.00,10.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7036094,5.00,7.00,2.00,7.00,5.00,12.00,4.00,6.00,7.00,NULL,NULL,NULL,'S'),(28,7036108,7.00,8.00,8.00,7.00,9.00,9.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7036116,1.00,3.00,4.00,1.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7036124,1.00,5.00,3.00,5.00,9.00,8.25,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7036132,2.00,5.00,5.00,6.00,5.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7036140,4.00,8.00,2.00,1.00,5.00,7.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7036159,1.00,0.00,0.00,6.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7036167,3.00,4.00,1.00,6.00,6.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7036175,4.00,4.00,4.00,4.00,3.00,8.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7036183,1.00,5.00,3.00,3.00,7.00,8.25,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7036191,3.00,7.00,3.00,6.00,7.00,8.63,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7036205,0.00,5.00,0.00,6.00,5.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7036213,0.00,7.00,3.00,6.00,6.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7036221,4.00,7.00,4.00,5.00,8.00,7.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7036230,5.00,7.00,4.00,7.00,9.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7036248,1.00,4.00,1.00,7.00,3.00,7.88,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7036256,5.00,7.00,2.00,7.00,8.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7036272,3.00,5.00,3.00,5.00,4.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7036280,2.00,6.00,3.00,6.00,7.00,10.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7036299,1.00,4.00,2.00,4.00,6.00,8.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7036302,6.00,7.00,3.00,6.00,9.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7036310,3.00,5.00,4.00,6.00,4.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7036329,1.00,3.00,1.00,2.00,5.00,7.13,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7036337,6.00,7.00,4.00,7.00,7.00,10.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7036345,4.00,6.00,1.00,5.00,7.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7036353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7036361,6.00,7.00,2.00,6.00,9.00,8.63,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7036388,0.00,4.00,3.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7036400,3.00,5.00,2.00,4.00,4.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7036418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7036434,1.00,2.00,2.00,2.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7036442,3.00,6.00,1.00,5.00,6.00,10.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7036450,7.00,7.00,5.00,5.00,7.00,9.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7036469,0.00,4.00,2.00,2.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7036477,4.00,7.00,0.00,8.00,7.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7036485,0.00,3.00,0.00,4.00,4.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7036493,4.00,6.00,0.00,6.00,5.00,10.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7036507,2.00,5.00,1.00,6.00,5.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7036515,4.00,7.00,1.00,6.00,8.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7036523,0.00,0.00,1.00,4.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7036531,3.00,6.00,4.00,5.00,7.00,6.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7036558,0.00,4.00,2.00,6.00,4.00,6.00,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7036566,5.00,8.00,2.00,7.00,10.00,9.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7036574,5.00,7.00,3.00,7.00,8.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7036582,4.00,7.00,3.00,7.00,7.00,7.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7036590,5.00,7.00,3.00,7.00,10.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7036604,1.00,7.00,2.00,6.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7036612,4.00,7.00,4.00,7.00,7.00,8.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7036620,0.00,5.00,1.00,7.00,5.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7036639,5.00,7.00,4.00,6.00,9.00,9.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7036655,1.00,2.00,1.00,5.00,4.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7036680,0.00,4.00,2.00,5.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7036698,8.00,7.00,6.00,5.00,8.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7036701,6.00,9.00,4.00,7.00,10.00,10.50,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7036710,3.00,5.00,2.00,4.00,3.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7036728,2.00,7.00,2.00,5.00,6.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7036744,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7036752,4.00,4.00,2.00,5.00,7.00,10.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7036760,3.00,6.00,1.00,3.00,7.00,9.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7036779,1.00,2.00,1.00,5.00,6.00,10.13,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7036787,3.00,8.00,1.00,4.00,7.00,8.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7036795,1.00,1.00,0.00,2.00,4.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7036817,3.00,5.00,1.00,7.00,7.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7036825,5.00,7.00,3.00,6.00,7.00,7.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7036833,0.00,2.00,2.00,4.00,5.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7036841,6.00,7.00,4.00,7.00,8.00,9.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7036868,5.00,7.00,2.00,7.00,8.00,12.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7036876,1.00,6.00,2.00,7.00,5.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7036884,0.00,1.00,3.00,3.00,3.00,3.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7036906,2.00,5.00,2.00,4.00,6.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7036914,7.00,7.00,5.00,5.00,9.00,8.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7036922,6.00,5.00,3.00,3.00,4.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7036930,3.00,7.00,2.00,6.00,5.00,9.38,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7036949,2.00,8.00,5.00,5.00,8.00,10.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7036957,0.00,4.00,2.00,1.00,6.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7036965,9.00,8.00,5.00,7.00,9.00,9.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7036973,7.00,4.00,3.00,6.00,6.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7036981,1.00,6.00,4.00,7.00,9.00,9.38,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7036990,5.00,8.00,3.00,6.00,6.00,7.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7037007,0.00,5.00,2.00,6.00,5.00,8.63,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7037023,1.00,2.00,3.00,3.00,4.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7037031,0.00,6.00,1.00,3.00,7.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7037040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7037066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7037082,1.00,7.00,2.00,3.00,6.00,10.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7037104,3.00,7.00,3.00,6.00,7.00,9.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7037112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7037147,5.00,6.00,2.00,8.00,10.00,10.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7037155,5.00,9.00,2.00,7.00,9.00,7.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7037163,5.00,7.00,4.00,6.00,8.00,10.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7037171,3.00,9.00,2.00,6.00,4.00,9.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7037180,5.00,7.00,5.00,7.00,9.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7037198,2.00,8.00,2.00,7.00,5.00,12.38,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7037201,5.00,7.00,3.00,7.00,4.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7037210,5.00,6.00,3.00,5.00,6.00,9.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7037228,5.00,7.00,4.00,6.00,8.00,9.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7037236,2.00,2.00,1.00,3.00,4.00,5.25,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7037244,1.00,3.00,0.00,4.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7037252,1.00,3.00,2.00,2.00,3.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7037260,0.00,6.00,0.00,6.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7037279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7037287,0.00,5.00,0.00,4.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7037295,3.00,6.00,4.00,6.00,7.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7037309,8.00,8.00,6.00,7.00,7.00,8.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7037317,2.00,4.00,2.00,4.00,5.00,4.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7037325,3.00,7.00,0.00,4.00,6.00,10.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7037333,0.00,3.00,2.00,2.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7037341,0.00,1.00,1.00,2.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7037350,2.00,3.00,1.00,3.00,3.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7037368,0.00,3.00,0.00,0.00,0.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7037376,5.00,8.00,7.00,7.00,10.00,9.38,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7037384,6.00,8.00,3.00,5.00,6.00,10.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7037392,2.00,7.00,3.00,5.00,9.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7037414,4.00,8.00,4.00,7.00,7.00,7.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7037422,0.00,4.00,3.00,3.00,3.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7037430,4.00,5.00,2.00,5.00,8.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7037449,3.00,7.00,3.00,6.00,7.00,8.63,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7037457,0.00,4.00,1.00,5.00,4.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7037465,0.00,6.00,2.00,5.00,5.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7037473,4.00,7.00,3.00,4.00,7.00,4.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7037481,4.00,5.00,1.00,2.00,3.00,7.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7037490,3.00,6.00,5.00,4.00,4.00,6.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7037503,4.00,8.00,1.00,7.00,8.00,9.00,1.00,9.00,4.00,NULL,NULL,NULL,'N'),(28,7037511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7037520,4.00,8.00,1.00,6.00,9.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7037538,2.00,2.00,2.00,6.00,3.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7037546,0.00,5.00,1.00,6.00,6.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7037554,2.00,6.00,2.00,5.00,4.00,9.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7037562,4.00,5.00,2.00,6.00,5.00,8.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7037570,2.00,5.00,2.00,6.00,5.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7037589,3.00,7.00,2.00,6.00,6.00,5.63,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7037597,1.00,4.00,1.00,4.00,4.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7037600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7037619,6.00,5.00,1.00,7.00,8.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7037627,3.00,4.00,3.00,6.00,2.00,NULL,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7037635,1.00,5.00,3.00,4.00,5.00,7.88,1.00,7.00,0.00,NULL,NULL,NULL,'N'),(28,7037643,0.00,1.00,3.00,3.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7037660,6.00,6.00,1.00,6.00,7.00,8.63,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7037678,4.00,6.00,2.00,6.00,8.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7037686,7.00,7.00,1.00,6.00,6.00,7.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7037694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7037708,2.00,6.00,2.00,7.00,7.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7037716,0.00,5.00,5.00,3.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7037724,3.00,5.00,1.00,3.00,3.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7037732,1.00,3.00,2.00,5.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7037740,2.00,6.00,1.00,6.00,7.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7037783,1.00,5.00,2.00,7.00,6.00,10.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7037791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7037805,4.00,6.00,2.00,8.00,9.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7037813,2.00,4.00,2.00,4.00,7.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7037821,1.00,5.00,1.00,5.00,7.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7037830,5.00,6.00,5.00,5.00,7.00,7.88,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7037856,3.00,4.00,0.00,6.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7037864,0.00,5.00,1.00,5.00,3.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7037899,5.00,5.00,2.00,5.00,6.00,10.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7037902,0.00,4.00,3.00,3.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7037910,0.00,3.00,1.00,4.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7037929,3.00,6.00,3.00,5.00,9.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7037937,6.00,7.00,0.00,6.00,7.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7037945,5.00,7.00,4.00,4.00,9.00,10.88,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7037953,1.00,7.00,3.00,3.00,6.00,NULL,1.00,5.00,2.00,NULL,NULL,'S','N'),(28,7037961,3.00,4.00,1.00,6.00,6.00,8.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7037970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7037988,3.00,7.00,4.00,4.00,9.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7037996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7038011,3.00,3.00,2.00,6.00,4.00,7.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7038020,0.00,5.00,2.00,4.00,6.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7038038,4.00,5.00,3.00,5.00,6.00,8.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7038046,1.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7038054,3.00,8.00,0.00,7.00,6.00,11.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7038062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7038070,0.00,0.00,4.00,3.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7038089,2.00,6.00,2.00,5.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7038127,2.00,6.00,3.00,6.00,9.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7038135,3.00,3.00,0.00,3.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7038143,3.00,6.00,0.00,7.00,6.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7038151,3.00,4.00,3.00,2.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7038160,5.00,6.00,1.00,6.00,8.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7038178,1.00,6.00,0.00,5.00,6.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7038194,5.00,7.00,1.00,5.00,5.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7038208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7038216,0.00,3.00,1.00,5.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7038224,0.00,6.00,0.00,4.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7038232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7038267,2.00,4.00,1.00,2.00,4.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7038275,3.00,5.00,1.00,7.00,6.00,8.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7038283,4.00,7.00,3.00,6.00,4.00,9.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7038291,1.00,4.00,2.00,4.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7038305,2.00,7.00,1.00,5.00,6.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7038313,1.00,6.00,1.00,5.00,3.00,5.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7038321,2.00,3.00,2.00,4.00,3.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7038330,3.00,5.00,1.00,8.00,8.00,13.13,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7038348,4.00,7.00,3.00,7.00,8.00,9.38,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7038356,2.00,7.00,2.00,7.00,7.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7038364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7038372,1.00,4.00,1.00,4.00,5.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7038380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7038402,5.00,6.00,2.00,7.00,9.00,9.00,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7038429,5.00,7.00,1.00,1.00,4.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7038445,2.00,6.00,2.00,6.00,9.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7038461,3.00,4.00,3.00,6.00,8.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7038470,0.00,4.00,3.00,5.00,7.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7038496,2.00,5.00,1.00,5.00,3.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7038518,5.00,8.00,3.00,4.00,6.00,6.38,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7038526,2.00,4.00,2.00,5.00,6.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7038542,5.00,8.00,4.00,5.00,8.00,10.13,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7038550,0.00,7.00,4.00,2.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7038569,2.00,8.00,4.00,6.00,7.00,11.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7038577,6.00,7.00,4.00,6.00,6.00,10.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7038615,3.00,7.00,3.00,7.00,6.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7038623,3.00,6.00,1.00,5.00,8.00,6.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7038631,1.00,7.00,0.00,6.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7038640,7.00,7.00,4.00,7.00,8.00,10.88,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7038658,1.00,4.00,1.00,4.00,3.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7038674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7038704,3.00,5.00,2.00,6.00,7.00,6.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7038712,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7038747,2.00,8.00,3.00,7.00,9.00,8.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7038755,3.00,7.00,3.00,6.00,7.00,9.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7038763,0.00,3.00,2.00,4.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7038771,2.00,6.00,3.00,5.00,7.00,8.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7038798,3.00,4.00,1.00,7.00,7.00,7.88,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7038801,2.00,5.00,2.00,5.00,6.00,6.38,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7038810,1.00,5.00,0.00,6.00,5.00,11.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7038836,4.00,6.00,3.00,6.00,8.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7038844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7038852,0.00,1.00,0.00,0.00,0.00,NULL,2.00,2.00,2.00,NULL,NULL,'S','N'),(28,7038860,5.00,7.00,5.00,6.00,8.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7038887,2.00,2.00,3.00,4.00,6.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7038895,0.00,3.00,1.00,4.00,3.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7038917,0.00,5.00,0.00,4.00,4.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7038933,3.00,8.00,3.00,6.00,4.00,9.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7038941,3.00,6.00,4.00,5.00,4.00,5.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7038950,5.00,9.00,2.00,6.00,9.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7038968,5.00,4.00,0.00,6.00,4.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7038976,5.00,4.00,2.00,1.00,5.00,8.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7038984,1.00,7.00,2.00,5.00,8.00,6.38,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7038992,3.00,7.00,1.00,6.00,7.00,6.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7039000,1.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7039018,7.00,8.00,4.00,6.00,10.00,12.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7039026,0.00,2.00,2.00,6.00,6.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7039042,0.00,6.00,1.00,5.00,9.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7039069,1.00,6.00,5.00,6.00,4.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7039077,5.00,6.00,5.00,5.00,8.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7039093,4.00,6.00,3.00,2.00,3.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7039107,1.00,7.00,3.00,7.00,9.00,9.38,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7039115,4.00,5.00,1.00,4.00,7.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7039123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7039131,3.00,5.00,3.00,5.00,4.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7039140,2.00,5.00,2.00,5.00,4.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7039158,0.00,0.00,3.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7039166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7039174,0.00,2.00,2.00,0.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7039182,2.00,8.00,1.00,7.00,7.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7039190,4.00,6.00,1.00,7.00,6.00,8.25,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7039204,3.00,6.00,0.00,5.00,7.00,NULL,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7039212,4.00,6.00,4.00,4.00,9.00,7.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7039220,4.00,6.00,2.00,6.00,9.00,9.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7039239,3.00,5.00,1.00,5.00,9.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7039247,0.00,2.00,2.00,3.00,3.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7039255,3.00,7.00,3.00,4.00,9.00,10.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7039298,5.00,7.00,3.00,7.00,7.00,14.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7039310,0.00,3.00,3.00,2.00,4.00,4.88,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7039328,4.00,6.00,4.00,7.00,6.00,11.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7039344,3.00,7.00,1.00,5.00,7.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7039352,0.00,4.00,1.00,6.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7039360,3.00,5.00,0.00,6.00,8.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7039379,2.00,7.00,2.00,7.00,9.00,7.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7039387,4.00,7.00,3.00,7.00,7.00,10.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7039409,0.00,5.00,2.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7039417,0.00,4.00,1.00,3.00,4.00,8.25,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7039425,3.00,5.00,0.00,6.00,4.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7039506,1.00,7.00,3.00,4.00,8.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7039514,4.00,7.00,2.00,6.00,7.00,11.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7039530,2.00,4.00,0.00,6.00,6.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7039565,1.00,5.00,1.00,4.00,1.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7039573,0.00,7.00,2.00,5.00,7.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7039590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7039603,4.00,6.00,3.00,4.00,5.00,9.38,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7039611,2.00,3.00,1.00,5.00,4.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7039620,2.00,8.00,2.00,6.00,6.00,7.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7039638,4.00,6.00,1.00,3.00,8.00,9.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7039646,4.00,9.00,1.00,5.00,10.00,7.13,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7039654,1.00,4.00,3.00,4.00,4.00,5.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7039662,4.00,6.00,4.00,3.00,8.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7039670,7.00,8.00,5.00,7.00,9.00,9.38,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7039689,4.00,7.00,1.00,7.00,9.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7039735,2.00,5.00,3.00,5.00,3.00,6.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7039743,3.00,4.00,1.00,6.00,9.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7039751,5.00,0.00,2.00,2.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7039760,3.00,6.00,2.00,5.00,5.00,5.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7039778,0.00,6.00,3.00,4.00,4.00,5.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7039786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7039794,0.00,7.00,4.00,7.00,5.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7039832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7039840,3.00,8.00,0.00,7.00,7.00,8.63,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7039875,3.00,0.00,3.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7039883,0.00,2.00,2.00,6.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7039891,1.00,7.00,0.00,6.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7039905,9.00,8.00,5.00,7.00,9.00,11.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7039921,2.00,6.00,0.00,5.00,7.00,9.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7039930,0.00,2.00,4.00,2.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7039964,4.00,8.00,2.00,6.00,5.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7039980,2.00,6.00,1.00,5.00,4.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7039999,1.00,4.00,0.00,2.00,6.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7040016,4.00,6.00,2.00,2.00,5.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7040024,3.00,6.00,2.00,7.00,8.00,10.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7040032,2.00,7.00,1.00,6.00,7.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7040040,1.00,5.00,1.00,7.00,6.00,7.50,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7040059,5.00,6.00,2.00,5.00,8.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7040083,4.00,6.00,2.00,7.00,8.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7040091,6.00,7.00,3.00,6.00,8.00,8.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7040105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7040113,2.00,7.00,1.00,4.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7040121,1.00,5.00,2.00,5.00,5.00,6.00,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7040130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7040148,3.00,6.00,3.00,7.00,9.00,6.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7040156,5.00,6.00,4.00,7.00,10.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7040172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7040180,5.00,6.00,2.00,6.00,8.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7040199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7040202,4.00,5.00,0.00,6.00,6.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7040210,3.00,8.00,2.00,5.00,6.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7040229,3.00,7.00,1.00,6.00,6.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7040237,1.00,3.00,3.00,4.00,5.00,9.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7040245,0.00,6.00,3.00,5.00,2.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7040253,1.00,7.00,2.00,4.00,4.00,5.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7040261,5.00,8.00,4.00,4.00,8.00,7.88,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(28,7040270,1.00,4.00,0.00,5.00,7.00,7.88,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7040288,3.00,3.00,3.00,2.00,4.00,10.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7040300,0.00,7.00,1.00,5.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7040318,2.00,3.00,3.00,6.00,3.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7040326,2.00,7.00,1.00,5.00,6.00,12.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7040334,7.00,8.00,6.00,6.00,10.00,9.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7040342,3.00,4.00,3.00,4.00,4.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7040377,1.00,2.00,0.00,4.00,0.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7040385,5.00,7.00,3.00,7.00,9.00,10.13,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7040415,2.00,5.00,2.00,2.00,3.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7040423,0.00,5.00,2.00,4.00,3.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7040440,4.00,9.00,2.00,6.00,8.00,7.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7040458,4.00,8.00,4.00,7.00,7.00,10.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7040466,1.00,5.00,2.00,6.00,6.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7040474,2.00,5.00,1.00,6.00,8.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7040482,5.00,7.00,4.00,6.00,9.00,11.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7040490,1.00,6.00,3.00,6.00,4.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7040504,2.00,6.00,3.00,5.00,6.00,8.63,5.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7040512,0.00,5.00,1.00,4.00,3.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7040520,1.00,5.00,0.00,3.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7040547,0.00,5.00,2.00,6.00,3.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7040555,4.00,7.00,3.00,7.00,7.00,12.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7040563,1.00,4.00,1.00,4.00,6.00,4.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7040571,5.00,9.00,1.00,6.00,8.00,5.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7040580,2.00,4.00,2.00,6.00,8.00,6.38,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7040598,1.00,6.00,1.00,3.00,8.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7040601,6.00,6.00,3.00,6.00,4.00,6.38,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7040610,3.00,6.00,1.00,5.00,6.00,10.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7040628,2.00,5.00,1.00,5.00,6.00,7.13,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7040636,3.00,7.00,4.00,4.00,8.00,11.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7040644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7040660,3.00,5.00,3.00,6.00,7.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7040679,2.00,3.00,3.00,5.00,5.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7040687,4.00,6.00,6.00,6.00,9.00,8.63,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7040717,2.00,7.00,0.00,7.00,8.00,10.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7040725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7040741,2.00,5.00,2.00,7.00,8.00,10.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7040750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7040768,4.00,7.00,2.00,5.00,7.00,7.88,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7040776,3.00,6.00,1.00,4.00,5.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7040784,1.00,4.00,3.00,4.00,7.00,7.88,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7040792,4.00,5.00,3.00,5.00,6.00,9.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7040814,7.00,7.00,3.00,5.00,7.00,10.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7040830,3.00,6.00,1.00,5.00,5.00,6.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7040849,5.00,8.00,1.00,6.00,9.00,10.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7040873,0.00,4.00,3.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7040903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7040911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7040920,2.00,7.00,2.00,3.00,5.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7040946,6.00,8.00,4.00,6.00,6.00,12.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7040954,4.00,7.00,4.00,5.00,4.00,9.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7040970,5.00,6.00,1.00,5.00,8.00,7.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7040989,0.00,5.00,3.00,3.00,6.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7041004,6.00,6.00,1.00,3.00,7.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7041012,5.00,5.00,3.00,5.00,4.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7041047,6.00,6.00,4.00,6.00,7.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7041055,3.00,5.00,3.00,5.00,9.00,12.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7041071,4.00,8.00,5.00,6.00,10.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7041080,0.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7041098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7041101,0.00,4.00,1.00,5.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7041110,1.00,3.00,2.00,4.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7041136,1.00,8.00,2.00,7.00,8.00,11.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7041152,5.00,8.00,3.00,6.00,8.00,10.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7041160,5.00,7.00,4.00,7.00,7.00,8.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7041179,0.00,3.00,2.00,2.00,3.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7041187,3.00,7.00,3.00,3.00,5.00,3.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7041195,3.00,7.00,3.00,6.00,7.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7041209,4.00,7.00,2.00,6.00,7.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7041225,6.00,8.00,2.00,7.00,8.00,8.63,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7041233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7041276,0.00,2.00,3.00,1.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7041330,2.00,7.00,2.00,4.00,8.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7041349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7041357,2.00,4.00,2.00,4.00,6.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7041365,0.00,6.00,2.00,6.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7041373,5.00,6.00,4.00,6.00,7.00,8.63,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7041403,3.00,4.00,1.00,7.00,4.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7041411,3.00,6.00,1.00,5.00,7.00,6.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7041438,2.00,4.00,2.00,3.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7041454,4.00,4.00,3.00,4.00,8.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7041470,5.00,8.00,2.00,7.00,9.00,9.38,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7041497,4.00,6.00,3.00,5.00,6.00,10.13,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7041519,4.00,5.00,5.00,5.00,6.00,12.00,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(28,7041527,1.00,5.00,1.00,6.00,3.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7041535,1.00,1.00,3.00,1.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7041543,1.00,2.00,3.00,5.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7041551,5.00,8.00,3.00,7.00,10.00,7.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7041560,5.00,8.00,1.00,6.00,8.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7041578,0.00,5.00,3.00,6.00,3.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7041594,4.00,4.00,2.00,3.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7041608,5.00,7.00,3.00,7.00,7.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7041616,0.00,5.00,1.00,2.00,6.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7041632,1.00,5.00,2.00,2.00,7.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7041640,4.00,5.00,3.00,7.00,8.00,10.13,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7041659,5.00,6.00,2.00,3.00,7.00,10.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7041683,5.00,0.00,3.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7041691,6.00,8.00,4.00,5.00,8.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7041713,6.00,7.00,1.00,7.00,5.00,8.63,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7041730,4.00,8.00,1.00,6.00,9.00,9.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7041748,2.00,5.00,1.00,4.00,2.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'S'),(28,7041756,2.00,5.00,2.00,2.00,6.00,NULL,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7041772,4.00,6.00,1.00,5.00,8.00,11.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7041799,1.00,6.00,3.00,5.00,4.00,9.38,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7041802,5.00,7.00,4.00,8.00,8.00,8.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7041829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7041845,4.00,7.00,3.00,7.00,7.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7041853,3.00,3.00,1.00,5.00,6.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7041861,3.00,6.00,3.00,5.00,9.00,10.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7041888,4.00,5.00,0.00,5.00,5.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7041896,0.00,4.00,2.00,6.00,7.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7041900,3.00,5.00,4.00,6.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7041918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7041926,2.00,5.00,3.00,1.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7041934,4.00,6.00,1.00,5.00,7.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7041950,3.00,4.00,2.00,5.00,4.00,5.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7041969,6.00,7.00,5.00,7.00,9.00,8.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7041977,5.00,7.00,3.00,6.00,7.00,6.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7042000,3.00,4.00,1.00,7.00,4.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7042019,1.00,4.00,1.00,4.00,5.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7042027,0.00,4.00,1.00,4.00,1.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7042035,6.00,8.00,3.00,6.00,7.00,8.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7042043,7.00,7.00,3.00,5.00,6.00,8.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7042051,1.00,3.00,1.00,2.00,4.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7042060,3.00,5.00,1.00,7.00,6.00,8.25,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7042078,7.00,8.00,5.00,7.00,10.00,10.88,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7042094,3.00,7.00,3.00,3.00,5.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7042108,1.00,4.00,1.00,6.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7042124,3.00,6.00,2.00,4.00,3.00,5.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7042132,0.00,4.00,1.00,7.00,3.00,11.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7042140,0.00,4.00,3.00,3.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7042175,0.00,4.00,3.00,3.00,4.00,5.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7042183,1.00,5.00,1.00,7.00,8.00,9.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7042191,2.00,6.00,1.00,6.00,5.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7042213,2.00,6.00,0.00,3.00,7.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7042221,3.00,6.00,1.00,2.00,4.00,10.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7042230,4.00,5.00,4.00,5.00,5.00,6.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7042248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7042256,3.00,5.00,2.00,6.00,8.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7042264,2.00,6.00,3.00,6.00,4.00,11.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7042272,2.00,6.00,0.00,4.00,4.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7042280,2.00,6.00,3.00,5.00,3.00,9.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7042299,0.00,3.00,4.00,1.00,5.00,6.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7042302,5.00,7.00,3.00,6.00,9.00,12.38,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7042310,6.00,8.00,3.00,7.00,10.00,7.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7042329,5.00,7.00,1.00,1.00,4.00,4.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7042337,3.00,5.00,2.00,7.00,6.00,11.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7042370,3.00,4.00,2.00,4.00,8.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7042388,3.00,6.00,2.00,7.00,8.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7042396,0.00,2.00,0.00,3.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7042418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7042426,5.00,7.00,1.00,5.00,3.00,5.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7042434,6.00,7.00,4.00,6.00,8.00,9.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7042450,2.00,2.00,1.00,4.00,3.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7042469,2.00,6.00,1.00,6.00,3.00,5.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7042477,0.00,2.00,2.00,5.00,5.00,5.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7042493,7.00,7.00,5.00,6.00,9.00,9.75,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7042507,6.00,6.00,4.00,7.00,8.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7042515,1.00,4.00,2.00,2.00,3.00,4.88,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7042531,6.00,8.00,2.00,6.00,7.00,10.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7042540,4.00,5.00,0.00,4.00,7.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7042582,2.00,2.00,2.00,6.00,7.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7042590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7042604,3.00,6.00,1.00,4.00,4.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7042612,2.00,3.00,3.00,7.00,5.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7042620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7042639,2.00,4.00,2.00,1.00,4.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7042647,4.00,5.00,3.00,5.00,7.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7042655,3.00,6.00,2.00,4.00,5.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7042663,4.00,6.00,3.00,6.00,7.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7042680,3.00,6.00,1.00,7.00,4.00,6.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7042698,1.00,4.00,1.00,2.00,6.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7042710,3.00,2.00,2.00,4.00,5.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7042728,1.00,1.00,0.00,4.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7042752,6.00,8.00,8.00,6.00,9.00,9.38,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7042760,2.00,6.00,1.00,4.00,5.00,6.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7042787,1.00,2.00,0.00,4.00,2.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7042795,2.00,5.00,2.00,6.00,5.00,6.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7042809,0.00,3.00,1.00,2.00,4.00,7.50,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7042817,6.00,7.00,3.00,6.00,7.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7042825,2.00,5.00,1.00,6.00,5.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7042833,3.00,7.00,3.00,5.00,7.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7042841,4.00,6.00,2.00,5.00,7.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7042850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7042868,2.00,4.00,4.00,6.00,8.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7042876,6.00,9.00,2.00,6.00,9.00,10.13,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7042892,1.00,2.00,1.00,6.00,5.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7042906,0.00,2.00,1.00,4.00,1.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7042922,2.00,3.00,1.00,3.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,'S','S'),(28,7042965,1.00,7.00,2.00,4.00,7.00,8.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7042973,6.00,9.00,3.00,5.00,9.00,7.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7042981,1.00,4.00,2.00,4.00,4.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7042990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7043007,4.00,6.00,1.00,8.00,8.00,10.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7043015,1.00,5.00,2.00,6.00,3.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7043058,0.00,7.00,5.00,7.00,6.00,11.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7043066,3.00,5.00,5.00,4.00,4.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7043074,3.00,5.00,2.00,5.00,6.00,7.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7043082,6.00,8.00,3.00,7.00,7.00,8.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7043104,4.00,5.00,1.00,7.00,6.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7043112,2.00,7.00,1.00,7.00,7.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7043139,5.00,7.00,3.00,5.00,9.00,9.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7043147,1.00,7.00,3.00,7.00,4.00,8.63,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7043155,2.00,5.00,4.00,4.00,7.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7043163,5.00,7.00,3.00,2.00,8.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7043171,4.00,8.00,3.00,7.00,5.00,7.88,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7043180,3.00,9.00,2.00,6.00,9.00,10.13,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7043198,1.00,7.00,0.00,1.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,'S','N'),(28,7043201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7043210,2.00,4.00,0.00,5.00,7.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7043236,0.00,4.00,2.00,2.00,5.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7043244,3.00,5.00,2.00,7.00,6.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7043252,5.00,6.00,1.00,6.00,8.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7043260,4.00,6.00,3.00,6.00,9.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7043279,1.00,3.00,3.00,5.00,4.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7043287,5.00,7.00,2.00,6.00,5.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7043295,3.00,7.00,3.00,7.00,11.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7043325,3.00,6.00,0.00,6.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,'S','S'),(28,7043333,1.00,3.00,1.00,6.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7043341,3.00,8.00,4.00,7.00,5.00,7.13,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7043376,3.00,8.00,1.00,7.00,7.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7043384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7043406,1.00,3.00,1.00,2.00,4.00,8.63,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7043414,1.00,7.00,2.00,6.00,6.00,6.75,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7043422,4.00,5.00,5.00,6.00,4.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7043430,3.00,5.00,3.00,6.00,7.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7043449,3.00,4.00,1.00,0.00,4.00,8.63,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7043457,4.00,6.00,2.00,6.00,8.00,8.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7043473,5.00,2.00,3.00,4.00,7.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7043490,3.00,7.00,5.00,7.00,7.00,10.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7043503,2.00,3.00,1.00,6.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7043511,5.00,8.00,7.00,4.00,6.00,9.75,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7043520,4.00,7.00,2.00,6.00,8.00,8.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7043546,6.00,8.00,3.00,6.00,9.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7043570,4.00,8.00,3.00,7.00,8.00,9.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7043589,1.00,6.00,3.00,6.00,3.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7043597,6.00,7.00,5.00,6.00,8.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7043600,0.00,4.00,1.00,2.00,4.00,6.00,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7043619,0.00,1.00,1.00,5.00,4.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7043627,2.00,8.00,2.00,3.00,5.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7043635,3.00,7.00,2.00,3.00,8.00,6.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7043643,2.00,3.00,1.00,4.00,7.00,11.63,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7043651,2.00,6.00,2.00,6.00,7.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7043678,3.00,7.00,2.00,4.00,8.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7043686,2.00,7.00,1.00,6.00,8.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7043694,7.00,9.00,5.00,5.00,8.00,11.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7043708,4.00,6.00,3.00,3.00,9.00,7.13,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7043716,2.00,5.00,2.00,6.00,5.00,6.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7043724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7043732,1.00,6.00,3.00,7.00,6.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7043759,2.00,5.00,2.00,5.00,7.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7043767,5.00,7.00,3.00,5.00,9.00,11.63,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7043783,5.00,8.00,4.00,6.00,6.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7043791,4.00,4.00,1.00,3.00,6.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7043805,3.00,4.00,2.00,7.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7043830,4.00,8.00,1.00,5.00,9.00,10.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7043856,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7043864,5.00,8.00,4.00,7.00,8.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7043899,2.00,6.00,1.00,6.00,3.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7043902,2.00,6.00,3.00,7.00,7.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7043910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7043929,4.00,3.00,2.00,7.00,6.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7043945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7043953,4.00,7.00,1.00,6.00,6.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7043961,1.00,5.00,1.00,7.00,7.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7043970,6.00,7.00,4.00,5.00,7.00,8.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7043988,2.00,4.00,4.00,6.00,5.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7043996,4.00,6.00,3.00,6.00,9.00,10.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7044003,4.00,6.00,1.00,6.00,6.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7044020,3.00,7.00,5.00,6.00,8.00,6.38,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7044038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7044046,2.00,5.00,1.00,5.00,6.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7044054,5.00,5.00,3.00,5.00,7.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7044062,6.00,8.00,5.00,6.00,7.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7044089,0.00,3.00,1.00,6.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7044097,1.00,6.00,1.00,6.00,8.00,6.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7044100,5.00,8.00,2.00,7.00,6.00,10.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7044119,6.00,8.00,3.00,7.00,10.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7044135,5.00,4.00,1.00,1.00,5.00,6.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7044143,4.00,6.00,2.00,7.00,10.00,10.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7044151,3.00,0.00,1.00,6.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7044160,5.00,7.00,0.00,4.00,8.00,9.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7044186,3.00,5.00,4.00,6.00,7.00,11.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7044208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7044224,4.00,6.00,3.00,4.00,6.00,9.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7044232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7044259,2.00,3.00,3.00,6.00,7.00,8.63,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7044267,7.00,9.00,2.00,7.00,6.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7044275,5.00,7.00,3.00,7.00,9.00,10.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7044283,2.00,7.00,2.00,6.00,6.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7044291,3.00,7.00,4.00,7.00,5.00,8.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7044305,6.00,8.00,5.00,5.00,8.00,10.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7044321,0.00,8.00,1.00,6.00,8.00,10.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7044330,2.00,7.00,2.00,5.00,3.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7044348,0.00,5.00,0.00,7.00,5.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7044356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7044364,1.00,7.00,4.00,5.00,8.00,6.75,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7044372,5.00,7.00,4.00,7.00,10.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7044399,4.00,3.00,1.00,4.00,6.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7044402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7044410,0.00,4.00,0.00,2.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7044429,2.00,6.00,1.00,5.00,4.00,5.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7044437,6.00,9.00,4.00,6.00,7.00,9.38,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7044445,0.00,2.00,5.00,5.00,2.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7044453,3.00,8.00,4.00,7.00,8.00,7.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7044461,1.00,2.00,4.00,3.00,5.00,7.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7044470,1.00,7.00,2.00,6.00,10.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7044488,0.00,4.00,3.00,2.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7044496,3.00,8.00,3.00,5.00,6.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7044526,2.00,5.00,3.00,6.00,7.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7044534,1.00,7.00,2.00,6.00,8.00,9.38,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7044542,6.00,8.00,3.00,6.00,9.00,11.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7044577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7044585,6.00,8.00,3.00,7.00,9.00,9.75,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(28,7044607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7044623,6.00,8.00,2.00,6.00,9.00,10.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7044631,0.00,4.00,3.00,7.00,7.00,0.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7044658,3.00,7.00,1.00,3.00,9.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7044666,2.00,6.00,3.00,7.00,4.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7044674,1.00,1.00,2.00,5.00,5.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7044682,3.00,7.00,2.00,7.00,5.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7044690,4.00,6.00,0.00,3.00,8.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7044712,0.00,7.00,0.00,2.00,7.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7044720,4.00,7.00,1.00,5.00,5.00,10.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7044739,2.00,6.00,1.00,7.00,6.00,12.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7044747,1.00,3.00,0.00,4.00,5.00,10.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7044755,2.00,2.00,0.00,2.00,3.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7044763,1.00,4.00,1.00,5.00,7.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7044771,5.00,5.00,2.00,0.00,8.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7044780,0.00,6.00,0.00,5.00,6.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7044798,0.00,5.00,2.00,1.00,3.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7044810,3.00,6.00,3.00,3.00,7.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7044828,1.00,5.00,2.00,5.00,8.00,9.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7044836,3.00,7.00,4.00,5.00,9.00,11.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7044844,1.00,4.00,2.00,4.00,7.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7044852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7044860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7044879,5.00,8.00,6.00,1.00,7.00,7.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7044887,2.00,3.00,1.00,6.00,5.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7044895,2.00,3.00,2.00,7.00,3.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7044909,5.00,6.00,3.00,7.00,4.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7044917,6.00,7.00,2.00,7.00,10.00,9.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7044925,1.00,7.00,2.00,5.00,10.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7044933,4.00,7.00,3.00,3.00,9.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7044941,7.00,8.00,4.00,5.00,8.00,6.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7044950,4.00,8.00,2.00,7.00,8.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7044968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7044976,2.00,7.00,1.00,6.00,6.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7044984,1.00,4.00,2.00,5.00,4.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7044992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7045000,3.00,7.00,2.00,4.00,6.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7045018,0.00,4.00,1.00,4.00,4.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7045026,2.00,6.00,4.00,5.00,7.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7045034,1.00,5.00,1.00,4.00,4.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7045042,4.00,7.00,1.00,7.00,10.00,7.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7045050,1.00,4.00,1.00,1.00,4.00,5.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7045069,4.00,7.00,4.00,4.00,8.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7045085,1.00,5.00,2.00,5.00,3.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7045093,1.00,7.00,2.00,5.00,6.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7045107,0.00,5.00,2.00,2.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7045131,7.00,5.00,2.00,7.00,6.00,10.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7045140,1.00,4.00,0.00,3.00,3.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7045166,3.00,6.00,4.00,5.00,7.00,8.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7045182,3.00,7.00,2.00,5.00,6.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7045190,3.00,6.00,4.00,6.00,5.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7045204,4.00,5.00,4.00,5.00,10.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7045212,1.00,2.00,2.00,6.00,4.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7045239,1.00,5.00,2.00,7.00,5.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7045247,5.00,5.00,0.00,6.00,8.00,7.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7045263,2.00,4.00,1.00,4.00,7.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7045280,2.00,5.00,3.00,2.00,5.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7045298,0.00,5.00,4.00,4.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7045310,5.00,9.00,6.00,6.00,7.00,11.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7045328,3.00,7.00,3.00,4.00,8.00,10.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7045336,4.00,7.00,2.00,6.00,8.00,6.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7045344,3.00,6.00,1.00,5.00,7.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7045352,1.00,2.00,2.00,5.00,3.00,8.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7045360,3.00,3.00,1.00,6.00,7.00,7.13,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7045409,4.00,7.00,4.00,6.00,6.00,7.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7045417,6.00,8.00,4.00,7.00,8.00,9.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7045425,1.00,5.00,1.00,5.00,4.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7045450,1.00,2.00,1.00,4.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7045468,3.00,7.00,1.00,6.00,8.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7045476,0.00,5.00,2.00,2.00,4.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7045484,1.00,4.00,4.00,5.00,6.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7045492,3.00,8.00,5.00,7.00,9.00,12.38,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7045506,0.00,1.00,2.00,3.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7045514,2.00,6.00,3.00,7.00,7.00,9.38,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7045522,7.00,7.00,5.00,7.00,10.00,9.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7045530,2.00,6.00,2.00,5.00,7.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7045549,2.00,8.00,2.00,5.00,5.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7045557,1.00,3.00,1.00,4.00,4.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7045565,7.00,8.00,3.00,7.00,8.00,10.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7045581,0.00,5.00,3.00,2.00,5.00,5.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7045590,2.00,5.00,3.00,5.00,5.00,7.50,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7045603,4.00,6.00,2.00,4.00,6.00,6.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7045620,2.00,5.00,1.00,6.00,5.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7045638,0.00,1.00,2.00,4.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7045662,3.00,8.00,2.00,4.00,4.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7045670,0.00,7.00,4.00,4.00,5.00,7.13,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7045689,1.00,4.00,3.00,5.00,6.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7045700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7045719,0.00,4.00,1.00,0.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7045727,2.00,6.00,1.00,4.00,8.00,7.88,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7045735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7045760,3.00,6.00,2.00,3.00,5.00,6.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7045778,4.00,6.00,0.00,7.00,6.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7045786,5.00,7.00,2.00,6.00,7.00,9.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7045794,4.00,6.00,2.00,7.00,8.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7045808,0.00,3.00,2.00,6.00,3.00,7.88,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7045816,0.00,7.00,2.00,6.00,9.00,5.63,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7045832,0.00,3.00,1.00,4.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7045840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7045859,1.00,8.00,2.00,7.00,7.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7045867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7045875,0.00,4.00,2.00,5.00,3.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7045883,3.00,4.00,2.00,7.00,6.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7045891,3.00,7.00,2.00,5.00,3.00,6.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7045905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7045913,2.00,4.00,0.00,3.00,3.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7045930,3.00,6.00,0.00,5.00,9.00,10.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7045948,2.00,5.00,4.00,4.00,4.00,5.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7045956,6.00,8.00,5.00,6.00,10.00,12.38,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7045972,0.00,6.00,2.00,4.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7045980,4.00,8.00,3.00,7.00,8.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7045999,0.00,5.00,2.00,4.00,4.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7046014,4.00,7.00,2.00,5.00,7.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7046022,1.00,5.00,2.00,5.00,7.00,7.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7046030,3.00,5.00,1.00,7.00,9.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7046057,1.00,6.00,1.00,7.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7046065,5.00,6.00,2.00,3.00,6.00,7.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7046081,2.00,8.00,4.00,7.00,8.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7046090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7046103,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7046111,2.00,4.00,2.00,3.00,3.00,7.88,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7046138,3.00,6.00,2.00,5.00,8.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7046146,0.00,5.00,1.00,4.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7046154,1.00,4.00,1.00,5.00,5.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7046162,1.00,7.00,2.00,6.00,8.00,5.63,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7046189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7046197,8.00,7.00,4.00,7.00,8.00,12.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7046200,0.00,5.00,4.00,3.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7046219,2.00,3.00,1.00,6.00,4.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7046227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7046235,3.00,8.00,1.00,5.00,5.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7046243,6.00,7.00,3.00,7.00,9.00,9.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7046260,0.00,3.00,0.00,4.00,4.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7046286,2.00,4.00,2.00,5.00,5.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7046294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7046308,0.00,5.00,2.00,5.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7046324,0.00,3.00,4.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7046340,4.00,6.00,5.00,5.00,6.00,9.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7046359,2.00,6.00,3.00,5.00,6.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7046367,2.00,6.00,1.00,6.00,5.00,6.75,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7046375,5.00,7.00,2.00,6.00,8.00,13.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7046383,0.00,4.00,1.00,1.00,4.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7046391,7.00,9.00,2.00,8.00,10.00,10.88,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7046405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7046413,3.00,8.00,4.00,7.00,7.00,8.25,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(28,7046430,1.00,4.00,0.00,3.00,3.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7046448,3.00,4.00,2.00,7.00,5.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7046464,7.00,8.00,5.00,5.00,10.00,10.13,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7046480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7046499,5.00,6.00,0.00,6.00,8.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7046502,4.00,4.00,1.00,4.00,10.00,9.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7046529,0.00,3.00,3.00,3.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7046537,4.00,8.00,3.00,3.00,7.00,7.13,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7046545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7046553,4.00,7.00,5.00,7.00,5.00,7.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7046570,4.00,6.00,3.00,5.00,6.00,8.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7046588,0.00,2.00,1.00,4.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7046596,4.00,7.00,2.00,6.00,6.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7046600,0.00,3.00,2.00,2.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7046618,5.00,6.00,1.00,6.00,9.00,8.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7046626,0.00,4.00,1.00,3.00,3.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7046634,3.00,5.00,0.00,5.00,5.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7046642,3.00,5.00,3.00,6.00,8.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7046669,1.00,6.00,0.00,6.00,5.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7046685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7046693,6.00,8.00,2.00,6.00,10.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7046707,0.00,2.00,3.00,1.00,3.00,4.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7046715,5.00,4.00,1.00,4.00,5.00,9.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7046723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7046740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7046758,0.00,5.00,1.00,5.00,2.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7046766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7046782,9.00,7.00,4.00,5.00,8.00,9.38,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7046812,4.00,7.00,1.00,5.00,7.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7046820,2.00,7.00,2.00,5.00,7.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7046847,0.00,6.00,1.00,3.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7046855,4.00,7.00,3.00,7.00,5.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7046871,4.00,6.00,1.00,5.00,8.00,9.38,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7046880,2.00,7.00,2.00,6.00,5.00,10.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7046910,4.00,7.00,2.00,6.00,7.00,8.63,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7046928,5.00,7.00,1.00,6.00,8.00,9.38,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7046936,6.00,8.00,2.00,7.00,8.00,11.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7046952,3.00,7.00,3.00,6.00,10.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7046979,2.00,1.00,1.00,6.00,6.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7046995,3.00,6.00,1.00,7.00,8.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7047002,7.00,8.00,5.00,8.00,6.00,7.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7047010,5.00,8.00,1.00,5.00,8.00,4.88,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7047029,6.00,8.00,5.00,7.00,10.00,11.25,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7047037,3.00,6.00,0.00,5.00,6.00,8.63,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7047045,7.00,9.00,4.00,6.00,9.00,9.38,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7047070,5.00,7.00,0.00,5.00,5.00,NULL,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7047088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7047096,3.00,4.00,0.00,5.00,5.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7047118,4.00,5.00,1.00,5.00,5.00,6.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7047126,7.00,7.00,1.00,7.00,7.00,10.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7047134,4.00,7.00,3.00,4.00,8.00,7.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7047142,3.00,8.00,1.00,7.00,6.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7047150,4.00,8.00,3.00,6.00,9.00,13.13,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7047169,2.00,4.00,1.00,6.00,6.00,9.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7047177,5.00,7.00,3.00,7.00,8.00,7.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7047193,3.00,7.00,3.00,3.00,6.00,12.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7047207,3.00,3.00,1.00,6.00,3.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7047215,8.00,9.00,5.00,5.00,10.00,11.25,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7047231,5.00,7.00,2.00,4.00,7.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7047258,2.00,8.00,2.00,5.00,4.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7047266,4.00,8.00,3.00,5.00,8.00,7.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7047274,3.00,3.00,1.00,6.00,4.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7047282,1.00,6.00,1.00,7.00,7.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7047304,0.00,3.00,2.00,5.00,4.00,6.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7047312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7047355,7.00,7.00,4.00,5.00,7.00,7.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7047371,2.00,5.00,1.00,3.00,3.00,7.88,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7047380,0.00,4.00,2.00,4.00,4.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7047398,2.00,6.00,3.00,8.00,7.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7047401,2.00,7.00,1.00,7.00,7.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7047410,4.00,6.00,3.00,6.00,8.00,10.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7047428,0.00,6.00,2.00,2.00,5.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7047452,0.00,4.00,2.00,7.00,6.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7047460,5.00,7.00,4.00,6.00,7.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7047479,3.00,8.00,2.00,7.00,4.00,7.88,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7047487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7047495,5.00,7.00,1.00,6.00,7.00,10.88,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7047509,3.00,4.00,3.00,5.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7047517,3.00,5.00,2.00,1.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7047525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7047533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7047541,5.00,7.00,5.00,7.00,8.00,10.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7047550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7047568,2.00,7.00,3.00,3.00,5.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7047576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7047584,2.00,4.00,3.00,7.00,8.00,10.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7047592,4.00,8.00,2.00,7.00,9.00,10.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7047606,5.00,7.00,2.00,6.00,7.00,8.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7047630,5.00,3.00,2.00,2.00,4.00,5.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7047649,1.00,5.00,2.00,5.00,9.00,12.38,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7047665,3.00,5.00,2.00,4.00,6.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7047673,1.00,6.00,2.00,1.00,7.00,6.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7047681,4.00,6.00,5.00,6.00,8.00,8.63,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7047690,1.00,7.00,2.00,6.00,1.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7047711,6.00,7.00,2.00,7.00,10.00,10.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7047720,4.00,5.00,3.00,5.00,8.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7047738,4.00,7.00,3.00,5.00,6.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7047754,1.00,4.00,1.00,6.00,4.00,5.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7047770,3.00,8.00,2.00,7.00,10.00,6.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7047789,2.00,6.00,2.00,4.00,4.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7047797,3.00,8.00,2.00,7.00,8.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7047819,0.00,4.00,2.00,6.00,5.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7047827,1.00,7.00,2.00,6.00,5.00,8.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7047835,3.00,5.00,1.00,4.00,6.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7047851,0.00,8.00,1.00,6.00,9.00,8.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7047860,1.00,1.00,2.00,4.00,3.00,5.63,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7047878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7047886,2.00,5.00,2.00,5.00,3.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7047908,4.00,7.00,4.00,6.00,8.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7047916,2.00,5.00,3.00,7.00,7.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7047924,2.00,1.00,0.00,4.00,3.00,5.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7047932,4.00,8.00,2.00,4.00,8.00,6.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7047959,1.00,3.00,3.00,7.00,6.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7047967,4.00,7.00,1.00,7.00,9.00,9.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7047983,5.00,5.00,3.00,6.00,5.00,10.88,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7048017,1.00,5.00,2.00,4.00,3.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7048025,4.00,7.00,3.00,6.00,7.00,10.88,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7048033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7048041,0.00,6.00,2.00,5.00,5.00,8.25,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7048050,3.00,5.00,2.00,7.00,7.00,10.88,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7048068,3.00,5.00,3.00,5.00,6.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7048076,1.00,6.00,2.00,6.00,8.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7048084,4.00,7.00,2.00,8.00,9.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7048092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7048106,5.00,8.00,4.00,7.00,6.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7048114,0.00,9.00,2.00,7.00,6.00,13.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7048122,0.00,5.00,1.00,6.00,4.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7048149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7048157,0.00,1.00,0.00,1.00,0.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7048165,4.00,6.00,2.00,6.00,8.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7048173,7.00,6.00,4.00,4.00,8.00,8.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7048181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7048203,4.00,8.00,3.00,7.00,10.00,9.75,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7048220,7.00,6.00,6.00,5.00,8.00,12.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7048238,3.00,7.00,3.00,5.00,7.00,6.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7048246,2.00,7.00,3.00,7.00,7.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7048289,3.00,5.00,1.00,4.00,5.00,10.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7048297,5.00,7.00,3.00,7.00,8.00,11.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7048300,3.00,5.00,1.00,4.00,5.00,5.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7048319,3.00,7.00,1.00,4.00,5.00,7.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7048335,4.00,9.00,2.00,5.00,9.00,9.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7048343,5.00,6.00,1.00,7.00,8.00,6.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7048351,3.00,7.00,3.00,6.00,7.00,8.63,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7048360,0.00,5.00,1.00,2.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(28,7048378,5.00,7.00,3.00,7.00,7.00,10.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7048386,2.00,9.00,3.00,6.00,4.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7048394,6.00,8.00,3.00,7.00,7.00,11.25,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(28,7048416,1.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7048424,3.00,8.00,4.00,7.00,7.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7048432,4.00,6.00,5.00,7.00,4.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7048467,2.00,4.00,1.00,3.00,6.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7048483,4.00,8.00,7.00,4.00,4.00,7.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7048491,7.00,8.00,2.00,7.00,8.00,10.88,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7048505,6.00,7.00,4.00,7.00,9.00,11.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7048513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7048521,0.00,3.00,1.00,5.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7048530,6.00,8.00,1.00,6.00,7.00,9.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7048548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7048556,1.00,4.00,1.00,6.00,6.00,5.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7048564,4.00,6.00,2.00,4.00,7.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7048572,2.00,8.00,1.00,7.00,5.00,8.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7048599,4.00,6.00,2.00,5.00,7.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7048602,4.00,7.00,3.00,7.00,10.00,8.63,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7048610,1.00,3.00,1.00,4.00,3.00,5.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7048629,5.00,7.00,3.00,6.00,7.00,10.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7048661,3.00,5.00,3.00,7.00,4.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7048670,4.00,5.00,0.00,6.00,8.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7048688,0.00,4.00,2.00,5.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7048696,2.00,8.00,4.00,6.00,8.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7048700,5.00,9.00,2.00,7.00,9.00,8.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7048718,2.00,8.00,1.00,3.00,5.00,6.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7048726,1.00,4.00,2.00,4.00,3.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7048734,1.00,4.00,4.00,6.00,3.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7048742,4.00,6.00,3.00,6.00,9.00,9.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7048750,1.00,8.00,1.00,5.00,7.00,9.38,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7048769,2.00,4.00,2.00,1.00,4.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7048785,2.00,6.00,1.00,6.00,6.00,4.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7048793,1.00,5.00,2.00,6.00,5.00,5.63,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7048807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7048815,5.00,7.00,3.00,7.00,7.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7048823,4.00,7.00,1.00,7.00,8.00,8.63,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7048831,3.00,5.00,2.00,4.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7048858,0.00,3.00,4.00,5.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7048874,2.00,5.00,2.00,6.00,6.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7048882,5.00,7.00,4.00,7.00,8.00,8.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7048890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7048904,2.00,6.00,1.00,6.00,5.00,9.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7048912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7048939,3.00,6.00,2.00,6.00,4.00,6.75,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7048947,3.00,7.00,3.00,7.00,6.00,7.13,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7048955,1.00,6.00,1.00,7.00,10.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7048963,1.00,6.00,2.00,5.00,5.00,6.38,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7048971,5.00,8.00,1.00,7.00,8.00,10.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7048998,8.00,9.00,2.00,7.00,10.00,10.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7049005,6.00,6.00,3.00,6.00,7.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7049048,3.00,7.00,3.00,7.00,7.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7049056,5.00,7.00,2.00,7.00,7.00,7.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7049064,3.00,6.00,3.00,5.00,4.00,9.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7049072,7.00,8.00,2.00,4.00,6.00,9.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7049080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7049099,7.00,7.00,5.00,7.00,7.00,10.88,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7049102,6.00,9.00,6.00,7.00,10.00,11.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7049110,3.00,6.00,1.00,4.00,5.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7049129,4.00,7.00,2.00,6.00,7.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7049137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7049145,6.00,7.00,3.00,6.00,10.00,7.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7049153,2.00,2.00,1.00,7.00,5.00,9.38,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7049161,6.00,7.00,2.00,6.00,8.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7049170,1.00,6.00,3.00,6.00,6.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7049188,1.00,4.00,3.00,3.00,6.00,8.63,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7049200,2.00,6.00,1.00,5.00,3.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7049218,1.00,3.00,1.00,2.00,3.00,4.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7049234,1.00,3.00,1.00,5.00,3.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7049242,5.00,6.00,4.00,7.00,8.00,9.00,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7049250,4.00,7.00,2.00,6.00,8.00,12.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7049269,4.00,6.00,3.00,7.00,10.00,9.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7049277,3.00,7.00,1.00,7.00,8.00,10.13,4.00,5.00,5.00,NULL,NULL,NULL,'S'),(28,7049285,0.00,3.00,1.00,5.00,6.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7049293,0.00,5.00,3.00,5.00,6.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7049307,0.00,4.00,3.00,6.00,5.00,5.25,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7049315,4.00,9.00,4.00,7.00,7.00,9.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7049323,2.00,5.00,2.00,2.00,7.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7049331,3.00,0.00,3.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7049340,2.00,3.00,1.00,7.00,4.00,6.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7049366,1.00,5.00,1.00,5.00,4.00,8.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7049382,6.00,9.00,3.00,7.00,9.00,12.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7049404,4.00,7.00,1.00,4.00,9.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7049412,1.00,6.00,2.00,4.00,6.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7049420,3.00,4.00,1.00,5.00,5.00,10.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7049447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7049455,2.00,6.00,1.00,5.00,4.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7049471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7049480,3.00,6.00,3.00,6.00,4.00,7.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7049501,2.00,6.00,2.00,2.00,3.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7049510,2.00,7.00,1.00,7.00,9.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7049528,1.00,4.00,1.00,4.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7049544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7049552,3.00,6.00,1.00,7.00,8.00,11.63,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7049560,3.00,6.00,1.00,6.00,7.00,11.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7049579,4.00,7.00,3.00,7.00,6.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7049587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7049595,1.00,4.00,3.00,5.00,6.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7049617,0.00,4.00,3.00,6.00,5.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7049625,0.00,3.00,2.00,4.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7049633,1.00,5.00,3.00,4.00,7.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7049668,1.00,8.00,2.00,4.00,5.00,7.88,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7049684,5.00,5.00,1.00,6.00,8.00,9.38,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7049692,6.00,7.00,6.00,6.00,7.00,6.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7049706,5.00,6.00,2.00,7.00,8.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7049714,1.00,5.00,2.00,3.00,8.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7049722,0.00,6.00,4.00,3.00,5.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7049730,2.00,5.00,2.00,6.00,6.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7049749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7049757,4.00,4.00,3.00,4.00,5.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7049765,3.00,5.00,2.00,7.00,7.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7049773,0.00,4.00,1.00,6.00,4.00,7.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7049781,5.00,9.00,3.00,4.00,8.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7049803,2.00,4.00,2.00,7.00,4.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(28,7049811,0.00,4.00,3.00,4.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7049838,3.00,7.00,3.00,4.00,5.00,7.88,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7049846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7049854,5.00,7.00,3.00,7.00,9.00,9.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7049862,5.00,5.00,2.00,3.00,7.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7049870,1.00,5.00,1.00,5.00,3.00,4.88,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7049889,2.00,6.00,4.00,7.00,6.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7049897,4.00,7.00,1.00,5.00,8.00,9.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7049919,5.00,7.00,3.00,6.00,8.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7049927,3.00,6.00,1.00,6.00,8.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7049935,1.00,3.00,0.00,6.00,5.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7049951,5.00,8.00,3.00,7.00,7.00,10.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7049960,1.00,2.00,1.00,2.00,5.00,9.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7049978,2.00,6.00,2.00,6.00,4.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7049986,9.00,9.00,6.00,7.00,9.00,10.50,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7050011,2.00,6.00,1.00,7.00,5.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7050046,0.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7050054,0.00,4.00,3.00,1.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7050062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7050100,0.00,4.00,3.00,5.00,4.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7050119,0.00,1.00,1.00,3.00,6.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7050127,2.00,4.00,2.00,6.00,6.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7050143,0.00,6.00,2.00,4.00,6.00,7.50,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7050151,2.00,5.00,1.00,7.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7050160,6.00,9.00,1.00,7.00,9.00,10.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7050178,2.00,5.00,1.00,6.00,9.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7050194,2.00,4.00,3.00,5.00,6.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7050208,1.00,4.00,0.00,5.00,3.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7050216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7050232,4.00,8.00,6.00,7.00,9.00,9.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7050267,6.00,6.00,2.00,5.00,6.00,9.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7050275,3.00,6.00,0.00,5.00,8.00,7.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7050283,4.00,6.00,4.00,4.00,6.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7050291,0.00,4.00,3.00,1.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7050305,3.00,7.00,2.00,5.00,4.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7050313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7050321,2.00,4.00,1.00,7.00,8.00,7.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7050356,1.00,5.00,0.00,2.00,4.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7050372,2.00,6.00,4.00,3.00,7.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7050380,1.00,4.00,1.00,5.00,5.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7050399,2.00,5.00,2.00,5.00,8.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7050410,4.00,4.00,1.00,6.00,5.00,8.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7050429,1.00,6.00,1.00,5.00,3.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7050437,1.00,5.00,3.00,6.00,8.00,7.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7050445,4.00,6.00,2.00,7.00,7.00,10.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7050453,6.00,6.00,3.00,4.00,7.00,9.38,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7050461,0.00,3.00,2.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7050470,0.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(28,7050488,4.00,6.00,2.00,5.00,8.00,7.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7050496,1.00,5.00,0.00,4.00,7.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7050500,2.00,7.00,3.00,6.00,7.00,10.13,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7050518,1.00,4.00,3.00,2.00,3.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7050526,2.00,4.00,1.00,2.00,4.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7050534,0.00,4.00,4.00,0.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7050542,3.00,5.00,1.00,6.00,6.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7050569,5.00,7.00,2.00,7.00,4.00,7.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7050577,1.00,6.00,3.00,3.00,3.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7050593,1.00,7.00,3.00,5.00,5.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7050607,1.00,6.00,1.00,4.00,4.00,6.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7050615,3.00,8.00,2.00,4.00,8.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7050623,1.00,3.00,2.00,2.00,4.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7050631,0.00,6.00,4.00,5.00,4.00,7.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7050658,1.00,4.00,2.00,1.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7050666,2.00,4.00,2.00,2.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7050674,6.00,9.00,4.00,7.00,9.00,8.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7050682,3.00,7.00,3.00,7.00,7.00,5.63,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7050690,2.00,6.00,1.00,3.00,6.00,7.13,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7050704,1.00,7.00,4.00,7.00,5.00,10.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7050712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7050720,4.00,8.00,4.00,6.00,8.00,11.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7050739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7050747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7050780,2.00,7.00,1.00,6.00,7.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7050801,2.00,6.00,4.00,3.00,5.00,5.63,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(28,7050810,3.00,5.00,1.00,4.00,6.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7050828,5.00,7.00,3.00,5.00,8.00,9.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7050836,0.00,5.00,0.00,4.00,5.00,8.63,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7050844,6.00,7.00,3.00,6.00,10.00,8.63,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7050852,0.00,1.00,2.00,7.00,4.00,6.38,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7050860,5.00,7.00,2.00,7.00,8.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7050879,5.00,8.00,4.00,7.00,10.00,8.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7050887,2.00,7.00,3.00,7.00,8.00,9.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7050895,5.00,7.00,1.00,5.00,7.00,10.13,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7050909,3.00,8.00,1.00,7.00,9.00,5.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7050917,4.00,5.00,3.00,5.00,9.00,15.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7050925,3.00,8.00,2.00,4.00,6.00,10.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7050933,2.00,7.00,3.00,6.00,6.00,5.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7050941,5.00,8.00,3.00,6.00,8.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7050950,0.00,3.00,1.00,1.00,3.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7050968,2.00,2.00,1.00,6.00,2.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7050984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7050992,1.00,4.00,2.00,2.00,4.00,6.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7051000,2.00,5.00,2.00,7.00,8.00,8.63,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7051018,3.00,7.00,3.00,5.00,9.00,7.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7051026,3.00,7.00,1.00,5.00,8.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7051034,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7051050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7051069,1.00,4.00,3.00,4.00,4.00,6.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7051077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7051093,7.00,8.00,5.00,7.00,7.00,9.38,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7051107,3.00,7.00,1.00,7.00,7.00,NULL,3.00,5.00,3.00,NULL,NULL,'S','S'),(28,7051115,3.00,7.00,2.00,6.00,7.00,6.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7051123,1.00,5.00,2.00,7.00,8.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7051131,4.00,7.00,3.00,7.00,5.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7051140,1.00,7.00,3.00,5.00,5.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7051158,1.00,4.00,2.00,5.00,6.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7051174,4.00,4.00,3.00,3.00,5.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7051182,3.00,7.00,2.00,5.00,7.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7051190,0.00,4.00,1.00,4.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7051204,6.00,8.00,0.00,8.00,8.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7051212,0.00,0.00,3.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7051220,0.00,3.00,1.00,7.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7051239,3.00,6.00,2.00,7.00,7.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7051247,2.00,5.00,3.00,5.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7051255,0.00,3.00,2.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7051263,7.00,8.00,5.00,8.00,9.00,12.38,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7051271,0.00,0.00,1.00,4.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7051301,7.00,5.00,4.00,7.00,8.00,7.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7051310,6.00,7.00,2.00,5.00,9.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7051328,3.00,5.00,1.00,6.00,5.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7051336,5.00,8.00,5.00,7.00,6.00,8.63,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7051344,1.00,4.00,3.00,5.00,7.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7051352,3.00,7.00,4.00,7.00,5.00,7.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7051360,5.00,7.00,3.00,7.00,5.00,7.13,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7051379,3.00,6.00,2.00,5.00,3.00,7.13,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7051395,0.00,4.00,3.00,6.00,3.00,7.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7051417,1.00,4.00,2.00,3.00,4.00,3.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7051425,3.00,3.00,0.00,3.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7051441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7051468,2.00,5.00,1.00,6.00,5.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7051476,2.00,7.00,1.00,4.00,5.00,8.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7051506,1.00,4.00,3.00,1.00,6.00,6.00,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7051522,0.00,7.00,1.00,4.00,5.00,NULL,3.00,6.00,3.00,NULL,NULL,'S','N'),(28,7051530,2.00,6.00,2.00,7.00,4.00,7.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7051549,3.00,5.00,4.00,7.00,6.00,9.75,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7051557,2.00,6.00,2.00,6.00,7.00,7.13,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7051573,5.00,3.00,1.00,2.00,3.00,1.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7051581,5.00,8.00,5.00,6.00,8.00,9.38,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(28,7051590,1.00,6.00,1.00,5.00,5.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7051603,5.00,5.00,4.00,5.00,8.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7051611,3.00,3.00,2.00,6.00,5.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7051620,2.00,8.00,2.00,6.00,4.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7051638,5.00,7.00,4.00,5.00,8.00,11.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7051662,1.00,6.00,2.00,2.00,3.00,NULL,0.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7051670,2.00,4.00,2.00,4.00,5.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7051689,3.00,7.00,3.00,7.00,6.00,7.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7051697,1.00,6.00,4.00,5.00,7.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7051727,6.00,7.00,2.00,7.00,9.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7051735,3.00,7.00,4.00,7.00,8.00,8.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7051751,0.00,6.00,1.00,3.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7051778,5.00,7.00,5.00,5.00,7.00,8.25,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7051786,2.00,3.00,2.00,5.00,6.00,4.88,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7051808,2.00,6.00,3.00,3.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7051816,1.00,6.00,6.00,6.00,7.00,6.75,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7051824,3.00,7.00,3.00,4.00,6.00,8.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7051832,0.00,5.00,3.00,6.00,6.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7051859,2.00,4.00,1.00,7.00,4.00,7.50,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7051867,2.00,7.00,2.00,4.00,4.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7051875,0.00,2.00,1.00,4.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7051883,5.00,8.00,5.00,5.00,8.00,12.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7051891,5.00,5.00,2.00,6.00,9.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7051905,1.00,6.00,1.00,6.00,7.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7051913,1.00,3.00,2.00,5.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7051921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7051930,4.00,6.00,2.00,5.00,6.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7051948,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7051956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7051964,1.00,2.00,2.00,5.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7051972,6.00,8.00,2.00,8.00,5.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7051999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7052006,4.00,6.00,2.00,7.00,4.00,8.63,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7052014,1.00,3.00,2.00,4.00,4.00,4.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7052049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7052065,5.00,6.00,1.00,7.00,7.00,5.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7052073,1.00,3.00,3.00,4.00,4.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7052081,1.00,3.00,2.00,4.00,6.00,8.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7052090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7052103,3.00,6.00,4.00,6.00,7.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7052111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7052120,0.00,6.00,4.00,6.00,6.00,9.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7052138,1.00,6.00,2.00,5.00,2.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7052154,4.00,6.00,3.00,7.00,6.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7052162,1.00,4.00,1.00,3.00,8.00,7.13,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7052170,3.00,4.00,1.00,1.00,5.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7052189,7.00,8.00,5.00,6.00,9.00,10.13,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7052197,0.00,3.00,2.00,6.00,8.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7052219,4.00,4.00,2.00,4.00,6.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7052227,0.00,2.00,1.00,4.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7052243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7052251,0.00,4.00,2.00,6.00,5.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7052260,3.00,8.00,3.00,7.00,5.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7052278,6.00,8.00,5.00,5.00,8.00,7.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7052286,1.00,7.00,1.00,3.00,5.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7052294,2.00,7.00,2.00,6.00,8.00,10.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7052308,1.00,5.00,2.00,2.00,4.00,9.38,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7052316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7052324,5.00,7.00,5.00,6.00,10.00,10.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7052332,3.00,8.00,4.00,7.00,9.00,11.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7052340,3.00,5.00,2.00,7.00,10.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7052367,2.00,4.00,3.00,4.00,4.00,5.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7052391,8.00,9.00,5.00,5.00,9.00,10.88,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7052405,3.00,7.00,3.00,7.00,7.00,10.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7052421,0.00,3.00,1.00,4.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7052430,5.00,6.00,6.00,6.00,5.00,4.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7052448,6.00,8.00,4.00,8.00,8.00,12.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7052456,4.00,6.00,3.00,7.00,7.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7052464,1.00,7.00,3.00,6.00,7.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7052480,3.00,6.00,4.00,5.00,7.00,9.38,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7052499,3.00,8.00,2.00,6.00,8.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7052510,2.00,4.00,2.00,5.00,7.00,6.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7052529,4.00,8.00,2.00,6.00,8.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7052545,4.00,6.00,3.00,5.00,5.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7052553,0.00,7.00,3.00,5.00,7.00,10.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7052561,3.00,6.00,2.00,7.00,5.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7052570,1.00,3.00,1.00,5.00,3.00,6.38,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7052596,6.00,5.00,4.00,7.00,7.00,9.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7052600,2.00,7.00,1.00,3.00,7.00,10.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7052618,4.00,5.00,0.00,4.00,5.00,10.13,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7052626,1.00,3.00,2.00,4.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7052634,5.00,8.00,3.00,5.00,7.00,9.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7052642,3.00,7.00,2.00,7.00,7.00,11.63,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7052650,1.00,6.00,3.00,6.00,6.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7052685,1.00,6.00,2.00,3.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7052693,3.00,8.00,2.00,7.00,8.00,8.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7052707,4.00,8.00,2.00,6.00,8.00,9.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7052723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7052731,4.00,4.00,3.00,6.00,7.00,11.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7052740,3.00,6.00,1.00,5.00,9.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7052766,2.00,8.00,3.00,5.00,7.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7052774,5.00,7.00,2.00,3.00,8.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7052790,6.00,7.00,1.00,6.00,11.00,10.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7052804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7052812,2.00,5.00,2.00,2.00,4.00,6.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7052820,4.00,7.00,4.00,7.00,9.00,8.63,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7052847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7052855,0.00,3.00,3.00,5.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7052863,4.00,7.00,6.00,8.00,5.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7052871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7052880,0.00,4.00,2.00,4.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(28,7052898,6.00,8.00,4.00,6.00,8.00,6.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7052901,7.00,7.00,4.00,7.00,9.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7052928,1.00,5.00,1.00,4.00,6.00,8.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7052936,5.00,7.00,3.00,7.00,7.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7052944,5.00,7.00,4.00,6.00,7.00,11.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7052952,6.00,8.00,5.00,6.00,7.00,9.38,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7052960,2.00,6.00,1.00,4.00,4.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7052979,1.00,3.00,0.00,2.00,3.00,4.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7052987,2.00,6.00,0.00,4.00,6.00,7.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7052995,2.00,7.00,3.00,6.00,4.00,10.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7053010,6.00,8.00,3.00,7.00,8.00,12.38,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(28,7053029,0.00,6.00,1.00,6.00,4.00,7.88,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7053045,3.00,7.00,4.00,7.00,5.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7053053,4.00,5.00,5.00,7.00,8.00,9.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7053061,4.00,8.00,4.00,6.00,8.00,10.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7053088,2.00,5.00,1.00,5.00,5.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7053096,0.00,1.00,3.00,3.00,4.00,6.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7053100,1.00,4.00,1.00,5.00,3.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7053118,0.00,5.00,2.00,2.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7053126,3.00,5.00,2.00,4.00,8.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7053134,1.00,5.00,2.00,5.00,4.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7053142,4.00,4.00,2.00,4.00,5.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7053150,4.00,7.00,1.00,6.00,8.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7053169,2.00,2.00,1.00,2.00,3.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7053177,0.00,5.00,0.00,5.00,4.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7053185,4.00,7.00,4.00,5.00,9.00,5.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7053193,1.00,6.00,3.00,7.00,6.00,10.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7053207,3.00,5.00,1.00,7.00,9.00,7.13,1.00,5.00,7.00,NULL,NULL,NULL,'S'),(28,7053223,2.00,7.00,0.00,6.00,7.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7053231,1.00,3.00,3.00,6.00,3.00,4.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7053240,1.00,3.00,2.00,1.00,7.00,4.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7053258,0.00,1.00,2.00,2.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7053274,4.00,7.00,3.00,6.00,9.00,7.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7053282,3.00,5.00,0.00,5.00,3.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7053290,2.00,5.00,2.00,5.00,5.00,9.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7053312,1.00,4.00,3.00,5.00,5.00,7.13,0.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7053320,1.00,7.00,2.00,7.00,7.00,6.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7053339,1.00,4.00,1.00,3.00,3.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7053347,2.00,6.00,2.00,7.00,9.00,7.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7053355,1.00,7.00,1.00,6.00,8.00,10.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7053363,4.00,5.00,2.00,7.00,10.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7053371,4.00,5.00,0.00,6.00,6.00,8.63,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7053380,2.00,5.00,3.00,7.00,8.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7053401,2.00,7.00,1.00,6.00,6.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7053410,1.00,5.00,1.00,4.00,4.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7053436,2.00,4.00,1.00,4.00,6.00,6.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7053444,4.00,8.00,2.00,4.00,7.00,8.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7053452,3.00,7.00,2.00,7.00,7.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7053460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7053487,4.00,7.00,2.00,6.00,8.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7053495,4.00,6.00,3.00,6.00,6.00,10.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7053509,1.00,4.00,1.00,3.00,7.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7053517,0.00,4.00,1.00,4.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7053525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7053533,3.00,7.00,1.00,7.00,8.00,8.63,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7053541,5.00,8.00,1.00,4.00,9.00,9.38,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7053550,3.00,6.00,3.00,4.00,4.00,10.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7053568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7053576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7053584,0.00,1.00,2.00,3.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7053592,2.00,7.00,2.00,7.00,6.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7053606,1.00,8.00,0.00,6.00,6.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7053614,1.00,3.00,1.00,4.00,6.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7053622,4.00,6.00,0.00,5.00,5.00,7.88,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7053630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7053649,4.00,3.00,1.00,3.00,5.00,4.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7053657,2.00,4.00,0.00,6.00,4.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7053665,4.00,5.00,2.00,3.00,6.00,10.50,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7053673,3.00,7.00,2.00,5.00,8.00,12.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7053681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7053690,0.00,4.00,3.00,5.00,3.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7053703,5.00,8.00,5.00,6.00,10.00,7.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7053711,3.00,5.00,1.00,5.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7053720,1.00,4.00,3.00,3.00,6.00,6.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7053738,7.00,8.00,6.00,5.00,8.00,10.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7053762,2.00,6.00,1.00,7.00,7.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7053789,1.00,4.00,1.00,6.00,6.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7053797,1.00,7.00,3.00,5.00,10.00,11.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7053800,3.00,7.00,4.00,6.00,7.00,6.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7053819,5.00,8.00,5.00,7.00,7.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7053827,3.00,5.00,2.00,6.00,5.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7053843,1.00,2.00,1.00,2.00,3.00,9.38,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7053860,1.00,5.00,2.00,4.00,3.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7053878,1.00,2.00,2.00,2.00,3.00,10.88,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7053886,6.00,6.00,4.00,5.00,7.00,8.63,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7053894,4.00,7.00,2.00,7.00,10.00,10.13,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7053916,0.00,3.00,1.00,1.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7053932,0.00,0.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7053940,5.00,8.00,2.00,7.00,7.00,9.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7053959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7053967,2.00,6.00,3.00,4.00,7.00,7.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7053975,7.00,7.00,5.00,6.00,9.00,6.38,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7053983,6.00,6.00,2.00,7.00,6.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7053991,5.00,7.00,5.00,7.00,7.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7054009,6.00,6.00,4.00,7.00,8.00,10.13,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7054017,1.00,6.00,2.00,6.00,8.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7054025,2.00,0.00,0.00,4.00,4.00,7.50,0.00,1.00,1.00,NULL,NULL,NULL,'S'),(28,7054033,1.00,3.00,1.00,7.00,7.00,8.25,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7054041,4.00,7.00,5.00,4.00,6.00,5.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7054068,0.00,5.00,1.00,5.00,5.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7054076,8.00,8.00,2.00,7.00,10.00,9.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7054084,1.00,4.00,2.00,5.00,8.00,6.38,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7054092,2.00,8.00,2.00,7.00,6.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7054106,1.00,5.00,3.00,4.00,3.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7054114,3.00,7.00,2.00,5.00,7.00,10.13,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7054122,1.00,2.00,2.00,5.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,'S','N'),(28,7054130,2.00,6.00,4.00,6.00,6.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7054149,4.00,8.00,4.00,7.00,10.00,8.63,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7054157,0.00,4.00,2.00,4.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7054165,3.00,5.00,1.00,5.00,5.00,8.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7054173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7054181,7.00,9.00,5.00,7.00,10.00,8.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7054190,2.00,5.00,0.00,6.00,6.00,10.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7054211,1.00,4.00,2.00,5.00,6.00,7.88,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7054220,4.00,7.00,1.00,5.00,7.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7054238,4.00,8.00,4.00,5.00,9.00,11.63,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7054246,1.00,6.00,2.00,6.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7054262,0.00,4.00,3.00,6.00,5.00,7.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7054270,4.00,7.00,1.00,6.00,7.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7054289,3.00,9.00,2.00,7.00,8.00,8.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7054297,0.00,5.00,1.00,4.00,5.00,7.13,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7054300,1.00,5.00,3.00,6.00,4.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7054319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7054327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7054335,3.00,5.00,1.00,4.00,4.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7054343,4.00,7.00,0.00,6.00,6.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7054351,4.00,5.00,3.00,6.00,7.00,9.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7054378,4.00,6.00,5.00,4.00,9.00,11.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7054386,0.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(28,7054408,5.00,8.00,5.00,7.00,7.00,12.38,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7054416,4.00,5.00,0.00,3.00,7.00,4.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7054424,3.00,5.00,3.00,6.00,8.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7054432,3.00,2.00,2.00,5.00,4.00,7.50,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7054440,3.00,6.00,3.00,1.00,5.00,5.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7054459,0.00,4.00,0.00,3.00,3.00,7.88,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7054467,1.00,4.00,1.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7054475,4.00,8.00,5.00,7.00,8.00,9.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7054483,3.00,5.00,3.00,5.00,9.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7054491,4.00,5.00,1.00,6.00,6.00,10.50,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7054505,4.00,8.00,6.00,7.00,8.00,9.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7054530,1.00,6.00,2.00,5.00,6.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7054548,5.00,8.00,3.00,7.00,6.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7054556,1.00,3.00,0.00,4.00,3.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7054564,3.00,7.00,4.00,7.00,6.00,10.13,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7054572,5.00,7.00,2.00,6.00,8.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7054580,0.00,3.00,0.00,5.00,3.00,4.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7054599,2.00,5.00,2.00,5.00,7.00,9.00,1.00,2.00,6.00,NULL,NULL,NULL,'N'),(28,7054602,2.00,6.00,3.00,6.00,8.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7054610,4.00,5.00,1.00,6.00,3.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7054629,3.00,6.00,2.00,7.00,10.00,10.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7054637,2.00,7.00,3.00,6.00,8.00,8.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7054653,7.00,8.00,3.00,6.00,10.00,8.63,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7054661,4.00,7.00,1.00,7.00,9.00,9.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7054670,0.00,4.00,1.00,6.00,6.00,5.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7054688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7054696,3.00,5.00,2.00,4.00,4.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7054700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7054726,5.00,7.00,2.00,8.00,8.00,7.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7054734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7054742,8.00,6.00,3.00,7.00,8.00,8.63,2.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7054750,4.00,8.00,2.00,6.00,8.00,9.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7054769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7054777,0.00,3.00,2.00,2.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7054793,3.00,7.00,1.00,4.00,8.00,7.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7054815,1.00,3.00,2.00,4.00,3.00,7.13,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7054823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7054858,6.00,8.00,3.00,8.00,8.00,10.88,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7054866,3.00,6.00,1.00,6.00,8.00,8.63,7.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7054874,3.00,7.00,3.00,5.00,6.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7054882,2.00,6.00,3.00,6.00,7.00,6.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7054890,2.00,6.00,1.00,5.00,5.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7054904,1.00,2.00,1.00,3.00,4.00,6.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7054912,4.00,7.00,4.00,8.00,9.00,9.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7054920,0.00,3.00,2.00,2.00,4.00,5.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7054939,0.00,5.00,3.00,4.00,8.00,8.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7054947,0.00,2.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7054955,6.00,8.00,2.00,7.00,9.00,9.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7054963,4.00,6.00,3.00,5.00,7.00,10.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7054971,6.00,8.00,2.00,7.00,10.00,12.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7054980,3.00,7.00,3.00,6.00,4.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7054998,2.00,8.00,2.00,5.00,5.00,4.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7055005,3.00,7.00,2.00,5.00,6.00,6.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7055013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7055021,2.00,7.00,2.00,5.00,6.00,11.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7055030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7055048,2.00,7.00,0.00,6.00,9.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7055056,7.00,7.00,3.00,6.00,3.00,8.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7055064,6.00,7.00,1.00,5.00,7.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7055072,0.00,2.00,2.00,3.00,5.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7055080,3.00,7.00,4.00,7.00,7.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7055099,6.00,7.00,4.00,5.00,7.00,7.88,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7055102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7055110,1.00,6.00,2.00,3.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7055137,2.00,5.00,1.00,4.00,7.00,9.38,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7055145,3.00,3.00,2.00,3.00,4.00,3.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7055153,1.00,5.00,3.00,7.00,7.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7055170,5.00,6.00,4.00,2.00,4.00,7.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7055188,2.00,6.00,2.00,7.00,7.00,9.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7055196,3.00,6.00,5.00,7.00,7.00,10.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7055200,7.00,9.00,4.00,7.00,5.00,9.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7055218,5.00,6.00,0.00,6.00,9.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7055226,4.00,5.00,1.00,6.00,7.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7055234,3.00,7.00,3.00,7.00,4.00,7.88,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7055242,1.00,2.00,2.00,2.00,3.00,0.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7055250,0.00,7.00,2.00,7.00,6.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7055269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7055277,0.00,3.00,0.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7055285,3.00,6.00,1.00,6.00,8.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7055293,4.00,5.00,1.00,6.00,6.00,6.38,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7055307,0.00,5.00,3.00,4.00,5.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7055315,3.00,8.00,2.00,6.00,9.00,8.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7055331,4.00,6.00,1.00,5.00,6.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7055340,6.00,4.00,3.00,3.00,7.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7055358,1.00,3.00,1.00,3.00,4.00,5.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7055366,2.00,5.00,1.00,7.00,8.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7055374,0.00,5.00,2.00,7.00,4.00,7.88,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7055382,1.00,5.00,1.00,6.00,5.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7055390,2.00,4.00,2.00,2.00,3.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7055404,3.00,6.00,1.00,7.00,6.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7055412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7055420,4.00,6.00,3.00,7.00,8.00,9.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7055447,1.00,2.00,0.00,5.00,1.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7055455,4.00,7.00,2.00,6.00,6.00,7.13,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7055471,0.00,1.00,3.00,1.00,4.00,6.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7055498,3.00,6.00,2.00,4.00,7.00,8.63,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7055501,3.00,0.00,3.00,6.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7055510,2.00,8.00,0.00,6.00,7.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7055528,1.00,7.00,1.00,2.00,3.00,4.50,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7055536,2.00,5.00,0.00,3.00,4.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7055544,6.00,9.00,4.00,6.00,11.00,10.88,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7055552,3.00,7.00,4.00,5.00,7.00,5.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7055587,5.00,6.00,2.00,6.00,7.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7055595,7.00,8.00,5.00,6.00,7.00,9.00,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7055609,1.00,6.00,3.00,6.00,4.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7055617,5.00,5.00,2.00,5.00,8.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7055625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7055633,3.00,5.00,2.00,7.00,7.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7055650,5.00,8.00,3.00,6.00,7.00,10.13,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7055676,2.00,6.00,3.00,7.00,6.00,9.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7055692,2.00,5.00,3.00,3.00,7.00,7.88,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7055706,4.00,8.00,4.00,5.00,5.00,8.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7055714,6.00,7.00,4.00,6.00,8.00,9.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7055722,5.00,7.00,2.00,6.00,9.00,11.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7055730,2.00,4.00,3.00,6.00,5.00,4.88,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7055749,2.00,4.00,0.00,5.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7055765,3.00,6.00,3.00,6.00,5.00,5.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7055773,3.00,6.00,1.00,5.00,6.00,10.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7055781,2.00,7.00,3.00,4.00,8.00,10.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7055790,2.00,5.00,0.00,6.00,6.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7055811,2.00,8.00,1.00,6.00,8.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7055846,1.00,5.00,2.00,7.00,5.00,4.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7055854,4.00,6.00,2.00,4.00,6.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7055862,1.00,4.00,3.00,5.00,3.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7055870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7055889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7055897,3.00,6.00,0.00,5.00,5.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7055900,3.00,7.00,1.00,6.00,7.00,9.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7055919,5.00,6.00,2.00,4.00,6.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7055927,2.00,2.00,2.00,3.00,4.00,4.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7055943,0.00,4.00,1.00,5.00,5.00,8.63,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7055960,7.00,7.00,3.00,6.00,5.00,7.88,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7055978,4.00,8.00,2.00,3.00,6.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7056001,2.00,5.00,3.00,4.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7056010,2.00,6.00,2.00,6.00,8.00,9.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7056036,3.00,6.00,2.00,7.00,6.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7056044,5.00,7.00,3.00,7.00,8.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7056060,1.00,6.00,2.00,5.00,6.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7056079,3.00,6.00,2.00,6.00,5.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(28,7056087,1.00,6.00,1.00,5.00,5.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7056095,1.00,5.00,3.00,4.00,1.00,NULL,2.00,4.00,1.00,NULL,NULL,'S','S'),(28,7056109,4.00,8.00,5.00,5.00,9.00,10.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7056117,2.00,3.00,3.00,6.00,3.00,7.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7056125,7.00,8.00,2.00,7.00,7.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7056133,6.00,7.00,4.00,7.00,10.00,8.63,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7056141,2.00,6.00,2.00,6.00,4.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7056150,4.00,4.00,3.00,7.00,7.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7056176,5.00,7.00,6.00,7.00,10.00,10.50,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7056184,3.00,6.00,2.00,6.00,8.00,13.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7056192,2.00,8.00,1.00,6.00,7.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7056206,4.00,6.00,2.00,4.00,7.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7056214,5.00,8.00,4.00,7.00,9.00,9.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7056222,6.00,6.00,5.00,6.00,9.00,9.00,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7056230,1.00,3.00,3.00,0.00,4.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7056249,6.00,7.00,5.00,6.00,9.00,9.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7056273,6.00,8.00,1.00,6.00,6.00,9.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7056281,2.00,7.00,5.00,7.00,8.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7056290,3.00,6.00,4.00,7.00,7.00,9.00,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7056303,4.00,4.00,4.00,5.00,5.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7056320,6.00,8.00,7.00,7.00,8.00,10.13,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7056338,5.00,6.00,4.00,7.00,8.00,10.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7056346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7056354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7056362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7056389,2.00,5.00,4.00,7.00,7.00,5.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7056397,3.00,5.00,2.00,4.00,5.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7056400,3.00,7.00,1.00,6.00,7.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7056419,0.00,4.00,1.00,5.00,4.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7056435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7056443,2.00,5.00,0.00,5.00,5.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7056451,3.00,7.00,3.00,7.00,10.00,7.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7056460,6.00,6.00,4.00,5.00,7.00,9.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7056478,3.00,7.00,2.00,5.00,8.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7056486,6.00,8.00,5.00,5.00,10.00,12.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7056494,6.00,8.00,3.00,6.00,9.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7056508,3.00,5.00,0.00,4.00,6.00,6.38,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7056524,2.00,4.00,2.00,5.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7056532,4.00,8.00,3.00,7.00,9.00,4.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7056540,5.00,2.00,1.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7056559,2.00,6.00,3.00,4.00,7.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7056567,1.00,3.00,1.00,5.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7056575,5.00,8.00,1.00,7.00,8.00,9.00,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(28,7056583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7056591,1.00,5.00,4.00,4.00,4.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7056605,4.00,7.00,3.00,4.00,7.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7056613,2.00,3.00,1.00,6.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7056621,3.00,7.00,4.00,5.00,8.00,8.63,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7056630,8.00,8.00,3.00,6.00,7.00,8.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7056648,3.00,5.00,0.00,6.00,8.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7056664,3.00,4.00,1.00,6.00,5.00,7.88,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7056672,2.00,5.00,1.00,5.00,5.00,6.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7056680,5.00,6.00,4.00,4.00,9.00,7.88,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7056699,2.00,4.00,3.00,6.00,7.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7056737,1.00,6.00,2.00,6.00,6.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7056753,3.00,8.00,1.00,7.00,10.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7056761,5.00,7.00,5.00,7.00,6.00,11.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7056770,2.00,6.00,1.00,7.00,8.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7056788,1.00,5.00,3.00,7.00,4.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7056796,1.00,3.00,2.00,5.00,4.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7056800,8.00,8.00,5.00,7.00,9.00,12.38,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7056818,5.00,7.00,1.00,5.00,7.00,10.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7056826,4.00,7.00,1.00,7.00,2.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7056834,7.00,8.00,4.00,6.00,8.00,11.63,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7056842,7.00,8.00,7.00,6.00,10.00,9.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7056850,5.00,5.00,3.00,6.00,8.00,9.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7056869,5.00,7.00,1.00,5.00,8.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7056877,5.00,7.00,4.00,7.00,5.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7056885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7056893,3.00,6.00,1.00,7.00,2.00,NULL,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7056907,7.00,7.00,2.00,6.00,7.00,9.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7056915,3.00,8.00,2.00,7.00,8.00,11.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7056923,2.00,4.00,2.00,4.00,3.00,6.38,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7056931,5.00,8.00,3.00,7.00,10.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7056958,5.00,7.00,4.00,7.00,5.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7056966,1.00,6.00,3.00,7.00,5.00,4.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7056974,3.00,7.00,2.00,7.00,4.00,11.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7056982,0.00,3.00,1.00,3.00,4.00,7.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7056990,5.00,7.00,0.00,5.00,9.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7057008,2.00,3.00,1.00,3.00,5.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7057016,1.00,4.00,3.00,7.00,5.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7057024,2.00,6.00,0.00,5.00,5.00,6.38,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7057032,3.00,4.00,2.00,2.00,3.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7057040,2.00,7.00,2.00,6.00,7.00,10.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7057059,7.00,8.00,5.00,7.00,11.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7057067,4.00,6.00,2.00,6.00,7.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7057075,3.00,8.00,2.00,6.00,7.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7057083,3.00,4.00,3.00,6.00,5.00,5.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7057091,1.00,4.00,3.00,6.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7057105,3.00,6.00,1.00,2.00,2.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7057113,5.00,7.00,2.00,5.00,8.00,7.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7057121,6.00,7.00,6.00,7.00,9.00,9.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7057130,3.00,6.00,1.00,6.00,8.00,7.88,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7057156,3.00,7.00,4.00,7.00,8.00,10.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7057164,6.00,8.00,4.00,7.00,7.00,8.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7057172,2.00,5.00,3.00,3.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7057180,4.00,7.00,2.00,7.00,7.00,8.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7057199,6.00,6.00,2.00,5.00,6.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7057210,3.00,6.00,4.00,7.00,6.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7057229,5.00,7.00,2.00,7.00,8.00,10.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7057237,4.00,7.00,1.00,7.00,7.00,8.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7057245,4.00,8.00,2.00,6.00,6.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7057253,1.00,3.00,1.00,3.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7057261,6.00,8.00,4.00,7.00,9.00,8.63,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7057270,2.00,7.00,2.00,5.00,6.00,10.13,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7057288,1.00,0.00,0.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(28,7057296,5.00,7.00,3.00,8.00,9.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7057300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7057318,2.00,6.00,2.00,7.00,8.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7057326,6.00,7.00,5.00,6.00,10.00,10.13,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7057334,0.00,5.00,0.00,6.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7057342,1.00,3.00,4.00,3.00,4.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7057350,4.00,8.00,3.00,5.00,8.00,10.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7057369,4.00,8.00,6.00,7.00,9.00,8.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7057385,3.00,5.00,3.00,7.00,6.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7057393,4.00,7.00,4.00,7.00,8.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7057415,4.00,7.00,5.00,6.00,8.00,8.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7057423,2.00,5.00,2.00,7.00,5.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7057431,5.00,5.00,2.00,7.00,11.00,4.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7057440,4.00,7.00,5.00,6.00,9.00,9.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7057458,6.00,7.00,1.00,7.00,7.00,7.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7057466,0.00,5.00,3.00,2.00,5.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7057474,5.00,6.00,4.00,2.00,6.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7057482,7.00,7.00,4.00,6.00,10.00,6.00,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7057490,2.00,4.00,3.00,2.00,4.00,6.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7057504,3.00,8.00,0.00,7.00,7.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7057512,0.00,7.00,2.00,5.00,7.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7057520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7057539,2.00,4.00,2.00,6.00,7.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7057547,8.00,9.00,3.00,7.00,10.00,10.88,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(28,7057555,3.00,4.00,2.00,5.00,8.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7057563,4.00,5.00,4.00,6.00,8.00,8.63,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7057571,3.00,7.00,2.00,5.00,9.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7057580,2.00,4.00,2.00,4.00,4.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7057601,0.00,5.00,2.00,5.00,4.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7057610,2.00,5.00,3.00,6.00,9.00,9.38,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7057636,2.00,3.00,4.00,4.00,5.00,NULL,2.00,2.00,5.00,NULL,NULL,'S','N'),(28,7057652,0.00,6.00,2.00,6.00,3.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7057679,4.00,8.00,2.00,1.00,7.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7057695,3.00,4.00,3.00,3.00,6.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7057709,6.00,7.00,1.00,4.00,8.00,6.38,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7057717,3.00,7.00,2.00,5.00,6.00,4.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7057725,6.00,7.00,4.00,6.00,8.00,11.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7057733,4.00,7.00,2.00,6.00,9.00,10.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7057741,2.00,8.00,3.00,5.00,10.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7057750,3.00,6.00,2.00,7.00,8.00,10.50,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(28,7057768,5.00,8.00,3.00,5.00,8.00,9.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7057776,4.00,6.00,3.00,6.00,7.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7057784,5.00,5.00,3.00,6.00,7.00,9.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7057792,3.00,7.00,2.00,6.00,7.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7057806,4.00,8.00,3.00,7.00,8.00,9.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7057814,4.00,6.00,3.00,6.00,8.00,8.25,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7057830,6.00,7.00,3.00,6.00,8.00,7.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7057857,1.00,4.00,1.00,5.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,'S','N'),(28,7057873,5.00,7.00,4.00,5.00,8.00,11.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7057881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7057903,3.00,7.00,2.00,6.00,9.00,11.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7057911,1.00,7.00,2.00,6.00,3.00,10.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7057946,3.00,6.00,1.00,7.00,7.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7057970,2.00,5.00,1.00,5.00,6.00,8.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7057989,4.00,6.00,2.00,7.00,7.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7057997,3.00,5.00,1.00,4.00,5.00,6.00,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7058004,3.00,8.00,3.00,7.00,7.00,10.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7058020,3.00,6.00,1.00,4.00,5.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7058039,5.00,4.00,2.00,4.00,5.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7058047,1.00,8.00,1.00,7.00,6.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7058055,3.00,7.00,4.00,5.00,9.00,7.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7058063,7.00,7.00,3.00,5.00,8.00,6.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7058071,5.00,5.00,3.00,6.00,4.00,7.88,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7058080,6.00,9.00,5.00,7.00,11.00,7.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7058098,2.00,8.00,3.00,7.00,7.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7058101,6.00,7.00,2.00,5.00,10.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7058128,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7058136,2.00,7.00,2.00,6.00,9.00,8.63,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7058144,3.00,7.00,2.00,5.00,6.00,10.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7058160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7058179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7058187,4.00,7.00,2.00,7.00,6.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7058195,0.00,1.00,3.00,4.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7058209,8.00,7.00,5.00,7.00,9.00,10.88,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7058225,6.00,7.00,7.00,7.00,9.00,9.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7058233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7058241,4.00,7.00,3.00,7.00,9.00,12.38,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7058250,6.00,7.00,6.00,7.00,9.00,8.25,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7058276,6.00,8.00,3.00,7.00,6.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7058284,3.00,7.00,3.00,6.00,7.00,9.00,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7058292,4.00,7.00,1.00,7.00,10.00,12.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7058306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7058314,0.00,5.00,2.00,5.00,4.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7058322,6.00,7.00,4.00,7.00,10.00,14.63,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7058330,5.00,5.00,4.00,6.00,5.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7058349,4.00,8.00,4.00,7.00,7.00,9.00,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7058357,4.00,8.00,2.00,6.00,6.00,10.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7058365,7.00,6.00,4.00,4.00,9.00,10.13,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7058373,3.00,6.00,2.00,7.00,8.00,10.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7058381,2.00,7.00,0.00,6.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7058390,3.00,7.00,0.00,4.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7058403,9.00,6.00,8.00,7.00,8.00,8.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7058420,1.00,6.00,2.00,7.00,7.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7058438,4.00,7.00,1.00,7.00,8.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7058446,2.00,5.00,1.00,7.00,5.00,10.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7058454,7.00,7.00,3.00,6.00,7.00,10.50,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7058462,1.00,2.00,1.00,5.00,3.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7058470,0.00,6.00,1.00,5.00,7.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7058489,0.00,5.00,2.00,3.00,4.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7058500,6.00,7.00,3.00,7.00,9.00,10.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7058527,4.00,6.00,2.00,7.00,6.00,11.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7058535,1.00,0.00,1.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7058543,1.00,4.00,3.00,2.00,3.00,7.50,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7058551,2.00,4.00,2.00,6.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,'S','N'),(28,7058560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7058578,5.00,6.00,3.00,7.00,7.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7058586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7058594,0.00,5.00,3.00,5.00,5.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7058608,3.00,8.00,2.00,7.00,7.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7058616,3.00,8.00,3.00,5.00,6.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7058632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7058640,2.00,8.00,3.00,4.00,8.00,10.88,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7058659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7058667,3.00,6.00,4.00,7.00,8.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7058675,1.00,4.00,1.00,3.00,5.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7058683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7058705,5.00,5.00,2.00,5.00,8.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7058713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7058748,5.00,9.00,5.00,7.00,7.00,9.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7058756,7.00,7.00,6.00,6.00,8.00,9.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7058764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7058772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7058780,6.00,8.00,5.00,7.00,9.00,10.13,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7058799,2.00,6.00,4.00,3.00,8.00,10.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7058802,4.00,8.00,1.00,4.00,7.00,6.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7058829,2.00,5.00,2.00,4.00,5.00,7.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7058837,7.00,8.00,6.00,7.00,11.00,10.13,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7058845,3.00,6.00,2.00,6.00,7.00,7.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7058870,6.00,7.00,3.00,6.00,9.00,12.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7058888,4.00,7.00,3.00,5.00,9.00,10.88,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7058896,5.00,6.00,4.00,6.00,8.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7058900,2.00,7.00,1.00,6.00,7.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7058934,2.00,6.00,5.00,6.00,7.00,7.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7058969,3.00,6.00,4.00,6.00,8.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7058977,3.00,7.00,2.00,5.00,4.00,7.13,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7058985,1.00,7.00,2.00,5.00,7.00,8.25,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7058993,2.00,5.00,1.00,3.00,4.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7059027,4.00,5.00,1.00,5.00,6.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7059035,1.00,6.00,3.00,7.00,8.00,6.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7059043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7059051,1.00,4.00,2.00,1.00,3.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7059060,2.00,6.00,3.00,6.00,6.00,7.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7059086,5.00,6.00,3.00,7.00,10.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7059094,0.00,6.00,2.00,4.00,5.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7059108,7.00,8.00,3.00,6.00,9.00,7.88,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7059116,3.00,4.00,1.00,3.00,3.00,6.00,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7059124,0.00,4.00,0.00,1.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7059132,2.00,4.00,4.00,7.00,6.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7059140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7059167,5.00,7.00,3.00,4.00,7.00,9.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7059175,4.00,6.00,3.00,6.00,8.00,6.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7059183,6.00,8.00,5.00,7.00,6.00,6.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7059191,3.00,3.00,2.00,6.00,8.00,NULL,2.00,4.00,3.00,NULL,NULL,'S','N'),(28,7059205,5.00,6.00,3.00,5.00,8.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7059221,8.00,8.00,4.00,7.00,9.00,11.63,8.00,7.00,9.00,NULL,NULL,NULL,'N'),(28,7059230,1.00,5.00,2.00,5.00,6.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7059248,3.00,7.00,1.00,4.00,7.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7059256,1.00,4.00,4.00,4.00,5.00,6.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7059264,1.00,8.00,2.00,7.00,5.00,8.25,5.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7059272,1.00,7.00,3.00,6.00,5.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(28,7059280,6.00,8.00,5.00,6.00,10.00,11.25,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7059299,2.00,4.00,1.00,6.00,7.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7059302,1.00,5.00,2.00,4.00,4.00,4.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7059329,3.00,4.00,2.00,6.00,9.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7059345,4.00,7.00,1.00,8.00,9.00,10.13,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7059353,3.00,6.00,2.00,6.00,6.00,7.88,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7059361,1.00,4.00,3.00,3.00,4.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7059388,2.00,5.00,1.00,6.00,5.00,7.13,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7059400,3.00,5.00,1.00,7.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,'S','N'),(28,7059418,2.00,7.00,3.00,3.00,5.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7059426,6.00,7.00,3.00,5.00,8.00,9.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7059434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7059442,4.00,6.00,0.00,5.00,8.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7059469,3.00,7.00,1.00,5.00,5.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7059477,0.00,3.00,2.00,5.00,6.00,6.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7059485,1.00,1.00,0.00,0.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7059507,7.00,8.00,3.00,5.00,7.00,10.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7059515,1.00,6.00,3.00,3.00,6.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7059523,2.00,4.00,1.00,6.00,5.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7059531,4.00,8.00,2.00,8.00,6.00,10.50,5.00,6.00,6.00,NULL,NULL,NULL,'S'),(28,7059566,3.00,8.00,3.00,3.00,3.00,7.88,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7059582,2.00,6.00,5.00,7.00,5.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7059590,6.00,9.00,4.00,7.00,6.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7059604,1.00,1.00,1.00,4.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7059612,0.00,2.00,0.00,5.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7059647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7059655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7059663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7059680,3.00,3.00,3.00,6.00,7.00,9.38,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7059698,3.00,5.00,2.00,4.00,7.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7059701,0.00,3.00,1.00,2.00,4.00,2.63,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7059728,3.00,5.00,2.00,6.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7059736,1.00,5.00,2.00,5.00,6.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7059744,2.00,7.00,2.00,3.00,5.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7059752,3.00,6.00,2.00,8.00,5.00,9.38,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7059760,7.00,6.00,3.00,2.00,4.00,NULL,5.00,7.00,2.00,NULL,NULL,'S','N'),(28,7059787,3.00,6.00,1.00,3.00,8.00,5.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7059809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7059825,2.00,7.00,3.00,7.00,5.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7059833,3.00,7.00,1.00,7.00,10.00,11.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7059841,7.00,8.00,4.00,8.00,10.00,11.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7059850,4.00,7.00,5.00,6.00,9.00,8.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7059868,0.00,4.00,3.00,4.00,7.00,5.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7059876,2.00,7.00,2.00,7.00,3.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7059892,5.00,7.00,3.00,3.00,7.00,7.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7059906,2.00,7.00,2.00,7.00,8.00,10.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7059914,2.00,3.00,1.00,2.00,4.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7059922,2.00,4.00,3.00,5.00,7.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7059949,0.00,4.00,1.00,6.00,4.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7059957,0.00,3.00,3.00,1.00,3.00,5.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7059965,1.00,6.00,3.00,7.00,8.00,9.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7059981,0.00,5.00,1.00,7.00,3.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7059990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7060009,0.00,1.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7060017,0.00,4.00,1.00,6.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7060025,1.00,5.00,3.00,7.00,3.00,5.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7060041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7060050,4.00,7.00,1.00,6.00,7.00,9.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7060068,4.00,8.00,3.00,5.00,2.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7060076,2.00,4.00,1.00,4.00,7.00,9.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7060084,0.00,2.00,2.00,4.00,0.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7060092,3.00,4.00,2.00,6.00,7.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7060106,1.00,4.00,0.00,4.00,1.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7060122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7060130,8.00,7.00,2.00,7.00,7.00,9.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7060149,2.00,5.00,1.00,4.00,5.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7060157,1.00,4.00,2.00,3.00,4.00,4.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7060173,6.00,6.00,4.00,7.00,6.00,9.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7060181,3.00,6.00,4.00,7.00,9.00,9.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7060190,3.00,7.00,1.00,6.00,5.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7060203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7060211,3.00,6.00,3.00,4.00,7.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7060220,4.00,7.00,2.00,6.00,5.00,7.88,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7060246,1.00,5.00,3.00,7.00,8.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7060254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7060262,5.00,6.00,1.00,4.00,5.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7060270,2.00,5.00,2.00,6.00,7.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7060289,1.00,4.00,2.00,1.00,7.00,5.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7060300,2.00,4.00,1.00,7.00,8.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7060351,2.00,7.00,3.00,5.00,8.00,7.13,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7060360,4.00,5.00,4.00,5.00,6.00,13.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7060378,6.00,8.00,3.00,6.00,10.00,9.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7060386,3.00,7.00,3.00,3.00,6.00,10.88,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7060394,3.00,9.00,0.00,7.00,8.00,6.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7060408,1.00,4.00,1.00,3.00,6.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7060424,4.00,5.00,4.00,6.00,7.00,6.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7060459,0.00,2.00,0.00,3.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7060467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7060475,1.00,5.00,2.00,2.00,5.00,NULL,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7060491,4.00,6.00,2.00,7.00,8.00,8.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7060505,0.00,1.00,0.00,3.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7060513,3.00,7.00,1.00,5.00,6.00,10.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7060521,6.00,8.00,1.00,7.00,6.00,11.25,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7060530,3.00,9.00,2.00,7.00,9.00,8.63,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7060548,3.00,5.00,1.00,4.00,7.00,8.25,3.00,7.00,2.00,NULL,NULL,NULL,'S'),(28,7060556,5.00,5.00,0.00,4.00,5.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7060564,1.00,5.00,3.00,6.00,6.00,8.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7060572,0.00,1.00,1.00,4.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7060580,4.00,6.00,5.00,6.00,8.00,6.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7060599,3.00,7.00,4.00,5.00,7.00,9.38,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7060602,0.00,5.00,1.00,5.00,3.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7060610,1.00,7.00,2.00,6.00,5.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7060637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7060645,4.00,6.00,4.00,6.00,7.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7060653,1.00,4.00,3.00,2.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7060661,3.00,3.00,3.00,3.00,6.00,10.88,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7060670,3.00,3.00,2.00,4.00,4.00,4.50,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7060696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7060700,0.00,4.00,3.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7060726,6.00,6.00,6.00,6.00,10.00,10.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7060734,0.00,3.00,2.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7060742,5.00,5.00,2.00,6.00,7.00,11.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7060750,0.00,4.00,2.00,4.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7060769,0.00,4.00,3.00,3.00,7.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7060815,2.00,2.00,0.00,1.00,4.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7060840,3.00,6.00,2.00,6.00,7.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7060858,1.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7060866,1.00,4.00,1.00,2.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7060882,2.00,4.00,3.00,5.00,4.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7060890,0.00,6.00,2.00,5.00,8.00,12.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7060904,0.00,5.00,1.00,7.00,6.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7060912,2.00,4.00,2.00,7.00,7.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7060920,3.00,8.00,0.00,6.00,8.00,7.88,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7060947,2.00,4.00,4.00,3.00,4.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7060980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7060998,2.00,3.00,1.00,1.00,4.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7061005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7061013,8.00,9.00,5.00,7.00,9.00,11.63,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7061021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7061030,3.00,7.00,2.00,6.00,6.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7061048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7061056,3.00,5.00,4.00,6.00,6.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7061080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7061129,4.00,9.00,4.00,6.00,5.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7061137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7061153,2.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7061170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7061188,5.00,7.00,4.00,6.00,7.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7061200,5.00,6.00,1.00,7.00,10.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7061218,8.00,8.00,1.00,6.00,9.00,10.88,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7061226,4.00,7.00,3.00,7.00,5.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7061242,5.00,7.00,3.00,6.00,6.00,8.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7061269,3.00,6.00,1.00,4.00,6.00,7.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7061277,4.00,6.00,2.00,5.00,8.00,10.88,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7061285,4.00,6.00,3.00,3.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7061293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7061307,1.00,3.00,1.00,2.00,4.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7061315,4.00,6.00,3.00,6.00,7.00,6.38,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7061323,2.00,5.00,1.00,5.00,6.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7061331,1.00,5.00,2.00,4.00,7.00,4.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7061374,4.00,7.00,4.00,6.00,6.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7061382,0.00,2.00,1.00,0.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7061412,6.00,7.00,4.00,6.00,9.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7061420,5.00,7.00,1.00,7.00,7.00,10.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7061439,2.00,5.00,1.00,1.00,1.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7061455,1.00,4.00,1.00,3.00,8.00,5.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7061463,6.00,8.00,7.00,7.00,9.00,11.63,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7061471,3.00,8.00,2.00,7.00,8.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7061480,0.00,4.00,2.00,6.00,5.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7061498,2.00,6.00,1.00,7.00,8.00,9.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7061510,0.00,3.00,3.00,4.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7061552,1.00,3.00,1.00,3.00,4.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7061560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7061579,3.00,4.00,2.00,6.00,6.00,7.88,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7061595,1.00,2.00,2.00,1.00,3.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7061617,7.00,7.00,4.00,6.00,10.00,8.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7061641,2.00,3.00,3.00,3.00,4.00,5.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7061650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7061668,5.00,8.00,2.00,4.00,7.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7061676,1.00,6.00,4.00,6.00,7.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7061684,5.00,7.00,2.00,6.00,7.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7061692,1.00,5.00,1.00,5.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7061714,2.00,6.00,2.00,6.00,7.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7061722,4.00,6.00,3.00,6.00,9.00,10.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7061730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7061757,3.00,6.00,6.00,7.00,7.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7061773,0.00,3.00,0.00,0.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7061811,8.00,8.00,5.00,7.00,10.00,10.88,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7061820,1.00,3.00,2.00,7.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7061838,1.00,5.00,3.00,3.00,6.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7061846,6.00,7.00,2.00,4.00,10.00,8.63,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7061862,1.00,5.00,1.00,3.00,6.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7061870,6.00,9.00,6.00,7.00,9.00,6.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7061889,1.00,3.00,2.00,6.00,6.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7061897,2.00,6.00,2.00,5.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7061900,1.00,3.00,1.00,6.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7061935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7061943,1.00,4.00,2.00,4.00,9.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7061951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7061960,0.00,4.00,3.00,4.00,8.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7061978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7061994,3.00,8.00,2.00,4.00,6.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7062001,5.00,5.00,3.00,6.00,7.00,7.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7062010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7062028,5.00,9.00,7.00,7.00,7.00,7.50,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7062036,0.00,3.00,0.00,0.00,4.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7062044,0.00,1.00,2.00,2.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7062052,2.00,2.00,0.00,1.00,3.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7062060,0.00,5.00,2.00,4.00,6.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7062079,2.00,2.00,4.00,5.00,5.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7062087,1.00,6.00,3.00,2.00,5.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7062095,4.00,7.00,4.00,7.00,10.00,9.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7062117,5.00,7.00,5.00,7.00,9.00,7.50,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7062141,1.00,6.00,2.00,4.00,7.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7062150,3.00,9.00,4.00,6.00,8.00,7.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7062168,0.00,0.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7062176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7062206,0.00,3.00,2.00,5.00,4.00,9.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7062249,2.00,7.00,1.00,6.00,5.00,12.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7062257,1.00,6.00,1.00,4.00,4.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7062281,6.00,6.00,2.00,8.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7062290,7.00,7.00,5.00,5.00,8.00,10.50,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7062311,3.00,5.00,1.00,6.00,8.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7062320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7062338,5.00,7.00,2.00,7.00,4.00,7.13,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7062346,6.00,8.00,4.00,7.00,10.00,10.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7062354,4.00,8.00,4.00,6.00,8.00,7.88,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7062362,0.00,7.00,1.00,5.00,7.00,9.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7062370,5.00,7.00,4.00,7.00,8.00,5.63,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7062389,3.00,8.00,2.00,4.00,5.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7062397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7062400,2.00,8.00,3.00,3.00,7.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7062419,2.00,7.00,2.00,7.00,9.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7062427,4.00,7.00,3.00,6.00,5.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7062435,3.00,7.00,2.00,3.00,6.00,5.63,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7062443,0.00,5.00,1.00,6.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7062451,1.00,5.00,0.00,4.00,5.00,6.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7062486,4.00,7.00,2.00,6.00,6.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7062494,2.00,5.00,3.00,5.00,5.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7062508,0.00,3.00,0.00,6.00,4.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7062516,1.00,5.00,4.00,6.00,4.00,7.13,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7062532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7062540,0.00,4.00,2.00,1.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7062567,5.00,8.00,3.00,7.00,4.00,8.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7062575,4.00,6.00,1.00,4.00,5.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7062591,4.00,5.00,1.00,2.00,4.00,7.13,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7062605,2.00,4.00,2.00,5.00,5.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7062613,0.00,4.00,2.00,6.00,4.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7062630,2.00,0.00,3.00,5.00,5.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7062648,1.00,6.00,2.00,7.00,8.00,10.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7062656,5.00,7.00,2.00,7.00,8.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7062664,6.00,8.00,3.00,5.00,6.00,6.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7062672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7062680,1.00,5.00,2.00,7.00,6.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7062729,3.00,4.00,2.00,3.00,4.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7062737,2.00,5.00,3.00,2.00,6.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7062745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7062753,0.00,3.00,1.00,6.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7062761,0.00,3.00,1.00,3.00,5.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7062770,0.00,8.00,1.00,6.00,6.00,11.63,4.00,8.00,0.00,NULL,NULL,NULL,'N'),(28,7062796,4.00,7.00,3.00,4.00,8.00,8.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7062826,3.00,6.00,2.00,7.00,5.00,6.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7062834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7062842,6.00,6.00,2.00,6.00,8.00,7.88,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7062850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7062877,1.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7062885,2.00,5.00,1.00,6.00,6.00,10.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7062893,7.00,7.00,3.00,5.00,9.00,13.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7062907,1.00,5.00,1.00,4.00,5.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7062923,5.00,4.00,3.00,2.00,4.00,3.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7062931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7062940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7062958,1.00,3.00,2.00,5.00,6.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7062974,5.00,8.00,4.00,7.00,8.00,9.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7062982,7.00,8.00,5.00,7.00,10.00,11.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7063008,3.00,4.00,1.00,6.00,4.00,5.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7063016,1.00,5.00,4.00,6.00,7.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7063032,2.00,6.00,1.00,6.00,8.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7063067,2.00,0.00,1.00,3.00,4.00,3.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7063075,5.00,9.00,2.00,5.00,5.00,6.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7063091,4.00,6.00,0.00,6.00,5.00,NULL,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7063105,0.00,4.00,4.00,4.00,6.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7063113,7.00,8.00,5.00,7.00,8.00,8.63,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7063121,7.00,6.00,4.00,6.00,8.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7063130,6.00,9.00,4.00,6.00,7.00,6.38,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(28,7063172,0.00,6.00,2.00,6.00,8.00,NULL,0.00,6.00,2.00,NULL,NULL,'S','N'),(28,7063180,1.00,7.00,1.00,5.00,3.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7063199,3.00,6.00,2.00,6.00,6.00,6.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7063202,7.00,8.00,5.00,7.00,8.00,8.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7063229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7063253,1.00,2.00,2.00,3.00,3.00,9.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7063270,1.00,7.00,3.00,6.00,5.00,7.13,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7063296,0.00,0.00,3.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7063326,2.00,7.00,1.00,5.00,5.00,11.63,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7063334,5.00,8.00,0.00,5.00,7.00,7.50,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7063342,4.00,7.00,3.00,6.00,7.00,7.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7063350,8.00,8.00,2.00,6.00,10.00,10.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7063369,4.00,7.00,1.00,6.00,7.00,9.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7063377,3.00,8.00,3.00,7.00,8.00,11.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7063393,2.00,4.00,1.00,7.00,7.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7063407,0.00,6.00,3.00,6.00,5.00,9.38,3.00,7.00,2.00,NULL,NULL,NULL,'S'),(28,7063415,1.00,6.00,1.00,5.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,'S','N'),(28,7063423,0.00,6.00,1.00,1.00,3.00,5.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7063431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7063440,3.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(28,7063458,3.00,6.00,2.00,6.00,7.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7063466,5.00,8.00,1.00,7.00,6.00,8.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7063482,1.00,6.00,2.00,6.00,7.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7063490,0.00,6.00,3.00,3.00,7.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7063512,2.00,8.00,2.00,2.00,7.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7063520,0.00,3.00,1.00,3.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7063539,5.00,7.00,4.00,6.00,8.00,10.13,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7063555,4.00,5.00,2.00,6.00,6.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7063563,5.00,9.00,4.00,8.00,11.00,10.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7063580,5.00,6.00,4.00,5.00,4.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7063598,2.00,7.00,1.00,5.00,7.00,6.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7063601,3.00,4.00,4.00,4.00,6.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7063610,4.00,6.00,1.00,5.00,7.00,9.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7063628,0.00,2.00,0.00,3.00,3.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7063652,3.00,8.00,3.00,6.00,4.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7063679,4.00,7.00,4.00,7.00,6.00,8.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7063687,3.00,7.00,2.00,5.00,5.00,6.38,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7063717,3.00,6.00,3.00,3.00,4.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7063725,1.00,5.00,3.00,7.00,5.00,8.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7063733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7063741,3.00,7.00,2.00,5.00,7.00,11.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7063750,2.00,5.00,3.00,6.00,4.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7063768,4.00,8.00,3.00,7.00,6.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7063776,4.00,7.00,3.00,6.00,8.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7063784,1.00,5.00,4.00,4.00,8.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7063806,1.00,3.00,2.00,3.00,5.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7063814,5.00,6.00,2.00,6.00,7.00,7.88,0.00,3.00,6.00,NULL,NULL,NULL,'S'),(28,7063822,2.00,8.00,2.00,7.00,6.00,7.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7063830,1.00,4.00,3.00,1.00,5.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7063849,1.00,5.00,0.00,5.00,4.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7063857,0.00,4.00,2.00,4.00,3.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7063865,6.00,6.00,5.00,6.00,8.00,10.50,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7063873,1.00,3.00,2.00,3.00,3.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7063881,6.00,6.00,2.00,5.00,7.00,10.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7063903,5.00,7.00,4.00,6.00,10.00,9.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7063911,2.00,4.00,3.00,2.00,6.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7063938,3.00,2.00,2.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7063946,4.00,6.00,0.00,4.00,6.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7063954,0.00,6.00,1.00,4.00,4.00,6.38,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7063989,1.00,5.00,0.00,6.00,7.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7063997,2.00,7.00,2.00,7.00,6.00,9.38,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7064004,4.00,7.00,1.00,2.00,6.00,9.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7064020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7064047,3.00,8.00,4.00,7.00,8.00,10.13,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7064055,3.00,2.00,1.00,2.00,4.00,6.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7064063,3.00,7.00,1.00,7.00,7.00,9.38,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7064071,0.00,1.00,0.00,2.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7064080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7064098,6.00,5.00,2.00,5.00,6.00,12.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7064144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7064152,0.00,3.00,1.00,3.00,3.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7064160,3.00,5.00,2.00,6.00,8.00,9.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7064179,1.00,4.00,1.00,5.00,7.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7064187,4.00,3.00,3.00,5.00,5.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7064195,1.00,3.00,3.00,2.00,7.00,6.00,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7064209,3.00,7.00,1.00,8.00,7.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7064225,2.00,6.00,3.00,3.00,5.00,10.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7064233,2.00,8.00,2.00,7.00,5.00,5.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7064250,3.00,6.00,0.00,7.00,5.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7064306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7064314,2.00,5.00,0.00,4.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7064322,3.00,7.00,0.00,5.00,7.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7064330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7064357,3.00,5.00,3.00,2.00,8.00,12.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7064365,1.00,7.00,2.00,7.00,4.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7064373,2.00,4.00,1.00,4.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7064381,7.00,10.00,5.00,7.00,10.00,10.88,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7064390,2.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7064411,3.00,7.00,6.00,6.00,6.00,6.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7064420,0.00,3.00,1.00,6.00,6.00,4.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7064438,1.00,5.00,3.00,4.00,7.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7064454,7.00,7.00,5.00,7.00,8.00,8.63,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7064462,3.00,8.00,2.00,4.00,7.00,10.88,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7064470,0.00,3.00,2.00,4.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7064489,4.00,7.00,3.00,7.00,9.00,10.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7064527,4.00,7.00,2.00,7.00,5.00,9.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7064551,1.00,6.00,1.00,6.00,4.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7064578,4.00,7.00,4.00,6.00,9.00,7.88,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7064586,3.00,7.00,2.00,6.00,7.00,11.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7064594,4.00,7.00,1.00,7.00,6.00,6.38,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7064616,2.00,5.00,5.00,7.00,7.00,9.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7064624,4.00,4.00,2.00,4.00,3.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7064632,7.00,9.00,5.00,7.00,9.00,12.38,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7064640,2.00,4.00,2.00,6.00,7.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7064667,1.00,4.00,1.00,5.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7064675,2.00,5.00,2.00,5.00,7.00,10.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7064683,0.00,6.00,1.00,6.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7064691,3.00,4.00,2.00,7.00,7.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7064705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7064713,3.00,6.00,2.00,7.00,6.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7064721,2.00,5.00,2.00,5.00,5.00,5.63,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7064730,7.00,8.00,6.00,8.00,8.00,9.38,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7064748,4.00,6.00,3.00,6.00,6.00,8.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7064756,2.00,7.00,1.00,6.00,8.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7064764,3.00,4.00,1.00,3.00,4.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7064772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7064799,3.00,7.00,2.00,7.00,5.00,10.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7064802,3.00,8.00,2.00,6.00,8.00,8.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7064810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7064829,1.00,4.00,3.00,6.00,3.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7064837,0.00,4.00,2.00,2.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7064845,3.00,5.00,1.00,6.00,6.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7064853,0.00,6.00,3.00,6.00,7.00,6.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7064870,1.00,4.00,1.00,5.00,4.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7064888,3.00,6.00,3.00,7.00,5.00,9.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7064900,4.00,7.00,3.00,6.00,8.00,10.88,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7064926,0.00,6.00,3.00,4.00,4.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7064934,1.00,2.00,1.00,5.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7064942,9.00,7.00,2.00,7.00,9.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7064950,1.00,7.00,3.00,7.00,4.00,8.63,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7064969,4.00,4.00,2.00,5.00,3.00,7.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7064977,2.00,6.00,2.00,5.00,8.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7064985,6.00,8.00,5.00,7.00,9.00,8.63,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7064993,3.00,3.00,1.00,8.00,8.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7065000,2.00,4.00,2.00,4.00,5.00,6.38,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7065035,4.00,7.00,2.00,6.00,7.00,10.13,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7065043,5.00,6.00,3.00,5.00,8.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7065051,2.00,2.00,4.00,5.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7065060,2.00,6.00,1.00,7.00,7.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7065078,3.00,8.00,3.00,6.00,7.00,11.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7065086,1.00,5.00,3.00,3.00,5.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7065094,4.00,4.00,1.00,5.00,4.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7065116,5.00,8.00,4.00,7.00,10.00,10.88,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7065124,0.00,1.00,1.00,7.00,4.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7065159,8.00,8.00,3.00,7.00,8.00,12.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7065167,2.00,7.00,1.00,7.00,8.00,11.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7065175,6.00,7.00,5.00,5.00,9.00,10.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7065183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7065191,4.00,8.00,4.00,6.00,8.00,7.88,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7065205,2.00,4.00,1.00,5.00,4.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7065213,1.00,3.00,0.00,3.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7065221,6.00,6.00,3.00,7.00,6.00,11.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7065230,2.00,7.00,3.00,6.00,7.00,6.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7065256,4.00,6.00,3.00,6.00,6.00,6.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7065272,4.00,7.00,4.00,5.00,5.00,6.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7065280,3.00,5.00,2.00,6.00,7.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7065299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7065302,0.00,4.00,3.00,5.00,6.00,7.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7065329,2.00,5.00,1.00,4.00,8.00,4.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7065337,4.00,0.00,2.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7065353,3.00,6.00,3.00,7.00,5.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7065370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7065388,4.00,2.00,2.00,2.00,4.00,8.25,0.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7065396,2.00,6.00,1.00,6.00,7.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7065418,3.00,5.00,3.00,5.00,3.00,7.88,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7065450,3.00,7.00,2.00,5.00,6.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7065469,2.00,6.00,3.00,7.00,6.00,7.13,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7065477,1.00,5.00,1.00,6.00,8.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7065485,2.00,6.00,2.00,6.00,7.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7065493,0.00,0.00,1.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7065515,0.00,4.00,1.00,3.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7065523,5.00,7.00,3.00,7.00,6.00,10.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7065531,0.00,4.00,2.00,6.00,5.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7065540,7.00,9.00,1.00,6.00,8.00,10.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7065566,1.00,4.00,2.00,4.00,3.00,4.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7065574,3.00,7.00,4.00,6.00,10.00,9.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7065590,1.00,2.00,2.00,4.00,4.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7065604,0.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7065639,4.00,7.00,2.00,7.00,10.00,9.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7065647,0.00,7.00,1.00,6.00,5.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7065655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7065663,0.00,6.00,2.00,5.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7065671,3.00,7.00,1.00,3.00,5.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7065680,2.00,5.00,2.00,6.00,8.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7065701,0.00,2.00,1.00,6.00,4.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7065710,3.00,2.00,2.00,5.00,4.00,5.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7065728,4.00,8.00,0.00,7.00,9.00,10.13,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7065736,1.00,7.00,3.00,7.00,5.00,12.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7065744,3.00,3.00,1.00,3.00,4.00,3.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7065752,7.00,7.00,5.00,7.00,9.00,9.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7065787,0.00,6.00,2.00,2.00,6.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7065795,1.00,1.00,3.00,1.00,3.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7065825,3.00,6.00,2.00,6.00,6.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7065833,3.00,7.00,2.00,7.00,8.00,12.38,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7065841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7065868,1.00,4.00,3.00,3.00,6.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7065884,2.00,8.00,0.00,7.00,6.00,8.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7065892,2.00,6.00,3.00,2.00,5.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7065906,3.00,7.00,5.00,7.00,8.00,10.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7065922,2.00,6.00,2.00,6.00,10.00,5.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7065930,5.00,8.00,5.00,5.00,8.00,7.13,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7065949,3.00,6.00,2.00,5.00,4.00,9.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7065957,0.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7065973,2.00,6.00,0.00,5.00,6.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7065990,5.00,7.00,3.00,6.00,10.00,11.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7066007,2.00,5.00,4.00,6.00,8.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7066015,7.00,8.00,5.00,7.00,9.00,11.63,8.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7066058,1.00,5.00,2.00,6.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7066066,5.00,6.00,1.00,7.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7066074,1.00,6.00,1.00,5.00,5.00,8.25,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7066090,0.00,4.00,0.00,3.00,1.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7066104,8.00,8.00,4.00,7.00,7.00,9.38,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7066112,6.00,7.00,3.00,6.00,8.00,7.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7066120,1.00,4.00,2.00,5.00,3.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7066139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7066155,3.00,8.00,4.00,7.00,6.00,5.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7066163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7066171,2.00,3.00,0.00,2.00,4.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7066180,4.00,7.00,2.00,6.00,7.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7066210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7066228,6.00,6.00,2.00,7.00,9.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7066252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7066260,9.00,8.00,4.00,6.00,8.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7066287,1.00,6.00,1.00,1.00,7.00,6.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7066295,1.00,3.00,3.00,5.00,5.00,7.13,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7066309,7.00,7.00,3.00,6.00,7.00,8.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7066317,0.00,5.00,1.00,5.00,7.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7066325,3.00,4.00,2.00,6.00,6.00,NULL,1.00,1.00,2.00,NULL,NULL,'S','N'),(28,7066333,2.00,8.00,4.00,6.00,6.00,9.38,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7066341,4.00,8.00,4.00,6.00,5.00,9.38,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7066368,1.00,5.00,3.00,5.00,6.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7066392,2.00,4.00,2.00,1.00,1.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7066406,5.00,7.00,4.00,5.00,7.00,7.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7066430,3.00,0.00,1.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(28,7066449,3.00,6.00,3.00,5.00,4.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7066457,4.00,7.00,3.00,5.00,6.00,8.25,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7066465,2.00,5.00,2.00,5.00,5.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7066473,5.00,7.00,4.00,6.00,8.00,7.50,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7066490,2.00,8.00,1.00,7.00,10.00,10.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7066503,1.00,5.00,4.00,5.00,5.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7066511,5.00,7.00,1.00,6.00,9.00,9.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7066520,1.00,6.00,4.00,6.00,5.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7066538,7.00,9.00,2.00,7.00,9.00,11.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7066546,0.00,4.00,1.00,0.00,5.00,6.38,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7066554,5.00,7.00,2.00,7.00,10.00,10.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7066562,2.00,5.00,3.00,7.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7066570,2.00,4.00,2.00,5.00,6.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7066600,1.00,4.00,1.00,4.00,6.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7066619,3.00,8.00,4.00,6.00,7.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7066627,5.00,6.00,3.00,3.00,10.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7066635,2.00,3.00,0.00,2.00,8.00,6.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7066643,3.00,6.00,2.00,7.00,6.00,10.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7066651,2.00,5.00,2.00,5.00,3.00,4.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7066660,3.00,8.00,2.00,6.00,7.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7066678,0.00,3.00,1.00,2.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7066694,6.00,7.00,2.00,6.00,8.00,10.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7066716,2.00,6.00,3.00,5.00,7.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7066724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7066732,2.00,6.00,2.00,4.00,1.00,NULL,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7066740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7066767,1.00,5.00,5.00,3.00,8.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7066783,2.00,5.00,0.00,6.00,5.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7066791,5.00,7.00,3.00,7.00,9.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7066805,5.00,6.00,1.00,5.00,7.00,7.13,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7066813,5.00,8.00,2.00,7.00,6.00,10.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7066821,4.00,5.00,2.00,5.00,6.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7066856,3.00,5.00,2.00,6.00,5.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7066864,7.00,8.00,3.00,8.00,10.00,13.88,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7066899,1.00,3.00,4.00,2.00,4.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7066902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7066929,0.00,5.00,1.00,6.00,5.00,6.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7066937,2.00,6.00,2.00,7.00,8.00,6.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7066953,2.00,5.00,3.00,6.00,3.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7066970,3.00,3.00,3.00,7.00,6.00,9.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7066996,3.00,4.00,1.00,1.00,3.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7067003,4.00,8.00,4.00,7.00,7.00,7.88,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7067011,5.00,6.00,3.00,5.00,7.00,9.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7067020,3.00,7.00,5.00,6.00,8.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7067038,4.00,5.00,2.00,6.00,9.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7067046,7.00,6.00,4.00,7.00,8.00,10.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7067054,1.00,5.00,1.00,7.00,5.00,7.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7067062,2.00,5.00,0.00,5.00,4.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7067089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7067100,2.00,5.00,2.00,4.00,6.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7067119,4.00,6.00,1.00,6.00,7.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7067127,7.00,8.00,4.00,6.00,9.00,10.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7067135,1.00,6.00,2.00,6.00,5.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7067151,2.00,3.00,3.00,3.00,5.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7067160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7067186,5.00,7.00,1.00,6.00,5.00,9.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7067194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7067208,5.00,5.00,2.00,6.00,5.00,6.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7067216,0.00,2.00,1.00,3.00,4.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7067224,5.00,7.00,4.00,6.00,7.00,10.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7067232,0.00,4.00,1.00,4.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7067259,2.00,6.00,4.00,7.00,5.00,9.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7067275,3.00,9.00,2.00,6.00,6.00,7.88,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7067283,2.00,6.00,2.00,7.00,7.00,9.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7067291,2.00,7.00,2.00,4.00,6.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7067313,1.00,7.00,1.00,3.00,5.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7067321,1.00,5.00,1.00,8.00,6.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7067330,2.00,2.00,2.00,3.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7067348,2.00,5.00,2.00,5.00,6.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7067356,2.00,5.00,3.00,5.00,4.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7067364,5.00,5.00,2.00,3.00,5.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7067372,7.00,8.00,4.00,6.00,6.00,7.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7067380,5.00,7.00,2.00,7.00,10.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7067399,0.00,6.00,2.00,7.00,4.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7067410,0.00,4.00,1.00,3.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7067453,1.00,4.00,2.00,4.00,9.00,8.63,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7067461,2.00,8.00,2.00,5.00,7.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7067470,5.00,7.00,1.00,8.00,7.00,12.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7067488,0.00,3.00,0.00,6.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,'S','S'),(28,7067496,8.00,6.00,2.00,7.00,7.00,7.13,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7067500,1.00,4.00,2.00,4.00,6.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7067526,6.00,6.00,1.00,3.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7067542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7067550,1.00,4.00,2.00,5.00,4.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7067577,2.00,4.00,3.00,5.00,3.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7067585,1.00,4.00,0.00,5.00,7.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7067593,5.00,7.00,2.00,6.00,6.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7067607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7067615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7067623,1.00,5.00,1.00,5.00,7.00,6.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7067631,0.00,3.00,1.00,3.00,1.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7067658,3.00,3.00,3.00,5.00,7.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7067666,1.00,5.00,3.00,5.00,6.00,9.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7067682,3.00,5.00,1.00,5.00,5.00,10.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7067704,4.00,6.00,2.00,6.00,7.00,8.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7067739,6.00,7.00,5.00,7.00,6.00,9.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7067747,6.00,7.00,4.00,6.00,7.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7067755,1.00,5.00,3.00,5.00,9.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7067763,8.00,8.00,7.00,6.00,8.00,7.13,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7067771,7.00,7.00,2.00,5.00,5.00,10.13,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7067798,3.00,8.00,3.00,7.00,9.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7067801,2.00,7.00,1.00,7.00,8.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7067810,3.00,4.00,3.00,4.00,4.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7067828,2.00,3.00,2.00,5.00,3.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7067836,4.00,6.00,4.00,6.00,5.00,7.13,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7067844,2.00,5.00,1.00,1.00,5.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7067852,5.00,6.00,2.00,7.00,8.00,9.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7067860,5.00,6.00,2.00,5.00,5.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7067879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7067895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7067909,2.00,4.00,2.00,6.00,6.00,7.13,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7067917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7067933,0.00,6.00,3.00,3.00,5.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7067950,2.00,2.00,2.00,4.00,4.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7067968,5.00,6.00,3.00,4.00,8.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7067976,1.00,2.00,0.00,1.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7067984,5.00,8.00,1.00,7.00,8.00,10.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7067992,1.00,6.00,0.00,6.00,7.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7068000,2.00,5.00,1.00,6.00,7.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7068018,7.00,8.00,4.00,7.00,8.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7068026,2.00,5.00,1.00,5.00,6.00,10.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7068050,3.00,5.00,3.00,5.00,7.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7068069,3.00,3.00,2.00,3.00,2.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7068077,1.00,3.00,2.00,6.00,2.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7068085,6.00,8.00,2.00,5.00,9.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7068093,0.00,5.00,2.00,6.00,2.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7068107,6.00,8.00,1.00,6.00,6.00,5.63,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7068115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7068131,8.00,7.00,4.00,6.00,8.00,6.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7068140,0.00,2.00,2.00,6.00,4.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7068158,4.00,6.00,3.00,4.00,8.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7068174,2.00,0.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7068182,5.00,6.00,1.00,6.00,7.00,8.63,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7068190,3.00,8.00,4.00,7.00,9.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7068204,1.00,5.00,0.00,4.00,3.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7068212,3.00,6.00,3.00,5.00,7.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7068220,3.00,7.00,4.00,5.00,5.00,7.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7068247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7068255,2.00,3.00,1.00,4.00,4.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7068271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7068298,7.00,8.00,5.00,6.00,11.00,10.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7068301,2.00,4.00,2.00,5.00,3.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7068310,3.00,5.00,4.00,4.00,9.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7068328,9.00,8.00,7.00,6.00,8.00,11.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7068336,1.00,3.00,2.00,6.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7068379,1.00,5.00,2.00,6.00,3.00,5.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7068387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7068395,1.00,7.00,1.00,7.00,6.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7068409,6.00,8.00,2.00,7.00,10.00,10.88,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7068417,2.00,6.00,1.00,5.00,4.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7068425,5.00,5.00,2.00,6.00,7.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7068433,0.00,3.00,1.00,6.00,7.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7068441,4.00,8.00,4.00,6.00,9.00,9.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7068450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7068468,1.00,3.00,1.00,3.00,7.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7068476,6.00,6.00,3.00,6.00,8.00,6.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7068492,0.00,2.00,1.00,5.00,4.00,3.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7068514,5.00,6.00,1.00,6.00,6.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7068522,0.00,4.00,1.00,3.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7068549,0.00,3.00,0.00,6.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7068565,4.00,7.00,2.00,4.00,4.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7068581,5.00,5.00,1.00,6.00,6.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7068590,4.00,7.00,2.00,7.00,7.00,10.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7068603,3.00,6.00,3.00,6.00,3.00,6.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7068611,2.00,6.00,1.00,6.00,9.00,8.63,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7068620,0.00,7.00,3.00,7.00,3.00,9.38,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7068638,3.00,7.00,0.00,7.00,9.00,9.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7068646,1.00,6.00,1.00,4.00,8.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7068662,2.00,7.00,2.00,7.00,4.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7068670,1.00,5.00,2.00,7.00,5.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7068689,5.00,8.00,2.00,7.00,9.00,10.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7068700,3.00,7.00,2.00,6.00,8.00,7.13,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7068727,4.00,5.00,2.00,7.00,7.00,7.13,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(28,7068735,2.00,7.00,1.00,7.00,8.00,9.75,0.00,4.00,5.00,NULL,NULL,NULL,'S'),(28,7068743,2.00,7.00,2.00,3.00,4.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7068760,2.00,4.00,1.00,5.00,4.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7068778,1.00,7.00,2.00,7.00,4.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7068786,2.00,6.00,1.00,4.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7068808,5.00,7.00,2.00,7.00,6.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7068824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7068832,6.00,8.00,1.00,4.00,4.00,8.63,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7068840,5.00,7.00,2.00,7.00,5.00,8.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7068859,2.00,4.00,2.00,7.00,5.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7068867,7.00,7.00,6.00,5.00,7.00,6.75,8.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7068875,5.00,7.00,4.00,6.00,8.00,10.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7068891,5.00,7.00,3.00,8.00,5.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7068913,2.00,7.00,1.00,5.00,7.00,12.38,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7068921,1.00,4.00,4.00,6.00,6.00,7.13,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7068930,3.00,7.00,3.00,5.00,9.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7068948,3.00,6.00,2.00,5.00,4.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7068956,1.00,4.00,0.00,5.00,5.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7068964,0.00,7.00,2.00,2.00,2.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7068972,3.00,5.00,3.00,5.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,'S','N'),(28,7068980,0.00,7.00,3.00,6.00,7.00,7.13,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7068999,0.00,1.00,3.00,5.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7069006,3.00,6.00,4.00,5.00,8.00,8.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7069022,0.00,4.00,0.00,0.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7069030,0.00,1.00,2.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7069049,4.00,8.00,4.00,7.00,9.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7069057,1.00,7.00,2.00,6.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7069065,2.00,4.00,4.00,2.00,4.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7069081,2.00,6.00,3.00,4.00,3.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7069090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7069103,5.00,6.00,3.00,7.00,9.00,10.50,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7069120,2.00,2.00,1.00,4.00,6.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7069146,3.00,7.00,1.00,5.00,7.00,7.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7069154,1.00,2.00,3.00,5.00,3.00,7.13,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7069162,1.00,4.00,1.00,4.00,3.00,3.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7069170,0.00,0.00,3.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7069197,5.00,8.00,3.00,5.00,8.00,10.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7069235,1.00,4.00,2.00,5.00,6.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7069243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7069251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7069260,2.00,7.00,1.00,4.00,6.00,7.88,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7069286,2.00,4.00,1.00,2.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7069308,2.00,6.00,1.00,6.00,3.00,4.88,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7069316,0.00,5.00,5.00,7.00,5.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7069332,0.00,6.00,3.00,6.00,8.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7069340,3.00,5.00,1.00,6.00,4.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7069359,1.00,5.00,2.00,7.00,8.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7069367,3.00,7.00,5.00,7.00,9.00,9.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7069375,3.00,8.00,3.00,7.00,9.00,8.63,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7069391,1.00,6.00,4.00,4.00,8.00,10.88,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7069405,0.00,5.00,1.00,5.00,5.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7069421,2.00,6.00,3.00,7.00,7.00,10.88,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7069430,7.00,8.00,2.00,6.00,8.00,12.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7069456,7.00,8.00,6.00,8.00,9.00,9.75,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7069464,5.00,8.00,2.00,5.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7069472,2.00,5.00,2.00,5.00,7.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7069480,3.00,8.00,4.00,7.00,9.00,9.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7069499,4.00,7.00,3.00,7.00,7.00,11.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7069502,3.00,8.00,2.00,7.00,9.00,7.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7069510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7069537,1.00,7.00,3.00,7.00,6.00,7.88,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7069545,2.00,6.00,2.00,8.00,6.00,10.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7069553,4.00,6.00,5.00,6.00,8.00,9.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7069561,2.00,6.00,1.00,5.00,8.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7069570,3.00,5.00,3.00,7.00,4.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7069588,3.00,5.00,3.00,5.00,6.00,11.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7069600,0.00,6.00,2.00,6.00,5.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7069626,4.00,6.00,2.00,5.00,6.00,8.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7069634,0.00,3.00,4.00,6.00,6.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7069642,0.00,3.00,2.00,2.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7069650,3.00,4.00,1.00,6.00,6.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7069685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7069707,5.00,5.00,3.00,5.00,7.00,7.88,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7069715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7069723,3.00,7.00,3.00,4.00,4.00,11.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7069731,7.00,9.00,7.00,6.00,9.00,13.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7069740,4.00,7.00,5.00,7.00,8.00,9.38,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7069758,5.00,7.00,3.00,7.00,10.00,8.63,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7069782,0.00,4.00,2.00,4.00,6.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7069804,0.00,3.00,4.00,6.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7069812,2.00,6.00,2.00,5.00,6.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7069820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7069839,0.00,3.00,3.00,4.00,3.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7069855,1.00,6.00,2.00,7.00,4.00,8.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7069863,1.00,4.00,4.00,6.00,6.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7069871,4.00,6.00,4.00,4.00,6.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7069880,2.00,6.00,0.00,6.00,9.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7069901,6.00,9.00,6.00,6.00,8.00,10.13,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7069910,2.00,4.00,0.00,4.00,3.00,9.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7069928,3.00,6.00,3.00,6.00,5.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7069936,4.00,6.00,1.00,7.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7069960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7069979,2.00,3.00,2.00,5.00,3.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7069987,0.00,3.00,1.00,6.00,4.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7069995,4.00,8.00,2.00,7.00,8.00,10.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7070004,1.00,2.00,4.00,3.00,5.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7070012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7070020,4.00,6.00,5.00,6.00,8.00,12.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7070047,3.00,3.00,1.00,6.00,5.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7070055,4.00,7.00,2.00,6.00,5.00,7.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7070071,5.00,8.00,1.00,4.00,8.00,6.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7070098,4.00,6.00,2.00,2.00,6.00,7.88,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7070136,4.00,6.00,3.00,6.00,7.00,11.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7070144,3.00,6.00,2.00,6.00,7.00,8.63,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7070152,4.00,1.00,4.00,6.00,8.00,NULL,1.00,2.00,2.00,NULL,NULL,'S','N'),(28,7070160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7070179,6.00,7.00,5.00,7.00,8.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7070187,7.00,8.00,6.00,6.00,7.00,11.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7070209,6.00,7.00,3.00,7.00,8.00,8.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7070225,0.00,4.00,2.00,3.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7070241,3.00,5.00,3.00,4.00,6.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7070268,1.00,3.00,3.00,4.00,5.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7070276,3.00,6.00,4.00,4.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,'S','N'),(28,7070284,7.00,8.00,1.00,6.00,7.00,10.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7070292,6.00,8.00,4.00,7.00,8.00,11.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7070306,1.00,5.00,0.00,3.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7070314,5.00,9.00,4.00,4.00,7.00,9.38,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7070322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7070330,1.00,2.00,3.00,2.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7070349,0.00,2.00,1.00,6.00,5.00,7.88,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7070357,1.00,6.00,1.00,7.00,7.00,12.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7070365,1.00,3.00,2.00,1.00,3.00,3.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7070373,4.00,7.00,3.00,6.00,6.00,10.13,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7070381,5.00,7.00,2.00,7.00,5.00,10.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7070390,1.00,1.00,0.00,3.00,4.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'S'),(28,7070403,4.00,5.00,2.00,6.00,5.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7070411,2.00,5.00,1.00,6.00,3.00,7.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7070420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7070438,1.00,4.00,0.00,6.00,9.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7070462,1.00,3.00,1.00,3.00,4.00,5.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7070470,2.00,7.00,1.00,4.00,5.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7070489,5.00,6.00,2.00,6.00,7.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7070500,3.00,6.00,2.00,6.00,5.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7070519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7070527,6.00,7.00,6.00,5.00,9.00,9.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7070535,6.00,6.00,1.00,6.00,8.00,9.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7070543,0.00,1.00,1.00,5.00,1.00,NULL,0.00,4.00,0.00,NULL,NULL,'S','N'),(28,7070560,4.00,5.00,2.00,6.00,8.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7070578,1.00,6.00,3.00,5.00,7.00,8.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7070586,3.00,6.00,4.00,6.00,3.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7070608,5.00,8.00,4.00,8.00,9.00,9.38,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7070616,5.00,7.00,2.00,5.00,8.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7070624,3.00,5.00,5.00,7.00,7.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7070632,9.00,8.00,9.00,8.00,10.00,7.88,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7070667,4.00,6.00,2.00,5.00,4.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7070675,5.00,6.00,1.00,7.00,8.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7070683,3.00,4.00,1.00,3.00,3.00,8.63,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7070691,2.00,5.00,1.00,6.00,5.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7070705,6.00,8.00,1.00,7.00,7.00,9.38,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7070713,2.00,3.00,4.00,4.00,8.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7070721,6.00,6.00,5.00,6.00,10.00,10.88,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7070730,2.00,6.00,2.00,4.00,7.00,7.50,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7070748,3.00,5.00,2.00,5.00,6.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7070756,8.00,8.00,6.00,6.00,9.00,10.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7070764,6.00,7.00,4.00,6.00,7.00,12.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7070772,0.00,5.00,1.00,1.00,4.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7070780,6.00,6.00,5.00,6.00,8.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7070799,4.00,7.00,2.00,6.00,7.00,8.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7070802,5.00,8.00,3.00,7.00,7.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7070810,0.00,6.00,4.00,4.00,4.00,6.38,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7070829,7.00,8.00,5.00,7.00,8.00,13.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7070845,4.00,6.00,3.00,6.00,7.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7070853,3.00,7.00,0.00,6.00,8.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7070861,2.00,4.00,1.00,4.00,3.00,4.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7070870,2.00,3.00,1.00,6.00,7.00,10.88,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7070888,2.00,8.00,4.00,4.00,6.00,7.88,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7070900,2.00,8.00,2.00,8.00,7.00,8.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7070926,1.00,5.00,2.00,2.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7070934,0.00,5.00,2.00,4.00,7.00,7.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7070942,4.00,8.00,1.00,4.00,9.00,9.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7070950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7070969,4.00,7.00,2.00,7.00,6.00,9.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7070977,2.00,5.00,3.00,7.00,9.00,9.00,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7070993,3.00,7.00,2.00,7.00,9.00,7.88,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7071027,0.00,8.00,0.00,7.00,6.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7071035,0.00,5.00,2.00,7.00,7.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7071043,4.00,7.00,0.00,7.00,9.00,10.13,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7071060,2.00,3.00,3.00,5.00,3.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7071078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7071086,5.00,7.00,2.00,5.00,7.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7071094,2.00,6.00,2.00,6.00,7.00,9.00,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7071108,0.00,2.00,2.00,4.00,3.00,4.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7071124,0.00,2.00,2.00,3.00,4.00,7.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7071132,2.00,7.00,2.00,5.00,8.00,6.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7071140,1.00,5.00,1.00,2.00,3.00,6.38,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7071159,1.00,8.00,1.00,7.00,3.00,6.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7071167,0.00,6.00,1.00,7.00,8.00,8.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7071175,0.00,4.00,2.00,3.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7071183,4.00,4.00,5.00,1.00,5.00,6.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7071205,3.00,6.00,2.00,5.00,6.00,9.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7071213,0.00,6.00,2.00,7.00,5.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7071221,0.00,6.00,2.00,5.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7071230,3.00,6.00,2.00,3.00,7.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7071248,3.00,7.00,3.00,7.00,10.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7071256,2.00,5.00,1.00,6.00,7.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7071264,6.00,5.00,2.00,5.00,7.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7071280,4.00,7.00,3.00,6.00,8.00,10.88,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7071299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7071310,5.00,7.00,4.00,7.00,8.00,11.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7071345,5.00,6.00,6.00,6.00,6.00,10.13,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7071361,7.00,7.00,3.00,7.00,9.00,10.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7071370,2.00,6.00,3.00,7.00,5.00,10.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7071388,2.00,5.00,1.00,7.00,7.00,8.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7071396,3.00,4.00,4.00,5.00,3.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7071418,3.00,6.00,3.00,6.00,5.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7071434,3.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7071442,6.00,7.00,4.00,7.00,6.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7071450,2.00,7.00,2.00,6.00,6.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7071469,4.00,3.00,2.00,5.00,3.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7071477,3.00,7.00,5.00,4.00,8.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7071485,3.00,6.00,3.00,6.00,5.00,8.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7071507,6.00,6.00,5.00,6.00,7.00,6.38,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7071515,4.00,6.00,3.00,5.00,5.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7071523,3.00,2.00,2.00,2.00,5.00,6.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7071531,2.00,8.00,2.00,5.00,8.00,10.13,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7071540,4.00,5.00,2.00,7.00,7.00,10.50,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7071566,3.00,5.00,2.00,4.00,8.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7071574,3.00,6.00,1.00,5.00,5.00,9.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7071582,1.00,2.00,4.00,2.00,6.00,5.63,0.00,2.00,0.00,NULL,NULL,NULL,'S'),(28,7071604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7071612,2.00,4.00,2.00,4.00,8.00,10.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7071620,0.00,2.00,1.00,3.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7071639,3.00,8.00,2.00,7.00,5.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7071647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7071655,3.00,5.00,4.00,6.00,7.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7071680,0.00,2.00,0.00,4.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'S'),(28,7071710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7071736,2.00,6.00,2.00,6.00,7.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7071760,2.00,3.00,2.00,4.00,3.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7071779,7.00,7.00,1.00,5.00,5.00,5.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7071787,4.00,3.00,0.00,5.00,2.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7071809,2.00,4.00,1.00,4.00,5.00,8.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7071817,5.00,6.00,2.00,6.00,9.00,11.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7071825,1.00,6.00,0.00,6.00,6.00,11.25,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7071833,3.00,6.00,1.00,4.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7071841,5.00,7.00,5.00,6.00,5.00,6.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7071850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7071876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7071892,0.00,5.00,3.00,6.00,6.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7071914,1.00,4.00,1.00,5.00,5.00,8.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7071930,4.00,8.00,3.00,6.00,8.00,10.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7071957,6.00,7.00,3.00,7.00,7.00,10.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7071981,0.00,3.00,1.00,3.00,5.00,5.25,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7071990,0.00,4.00,2.00,5.00,5.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7072007,1.00,5.00,1.00,4.00,6.00,5.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7072015,4.00,5.00,2.00,5.00,6.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7072023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7072031,5.00,6.00,1.00,6.00,8.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7072040,1.00,6.00,2.00,6.00,5.00,9.00,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7072058,2.00,6.00,3.00,3.00,6.00,7.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7072066,1.00,0.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7072074,3.00,6.00,1.00,6.00,7.00,9.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7072082,4.00,5.00,2.00,6.00,7.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7072090,5.00,7.00,3.00,7.00,8.00,9.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7072104,3.00,3.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7072112,1.00,7.00,3.00,6.00,10.00,10.88,6.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7072120,6.00,8.00,4.00,6.00,8.00,9.38,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7072155,1.00,3.00,0.00,6.00,7.00,10.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7072163,5.00,7.00,3.00,4.00,9.00,7.13,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7072171,2.00,7.00,2.00,5.00,6.00,7.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7072180,3.00,6.00,3.00,6.00,8.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7072198,3.00,7.00,4.00,5.00,7.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7072201,1.00,5.00,0.00,4.00,8.00,5.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7072210,4.00,7.00,5.00,5.00,3.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7072228,1.00,5.00,2.00,6.00,4.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7072236,7.00,7.00,5.00,6.00,8.00,12.38,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7072244,3.00,5.00,2.00,6.00,6.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7072260,2.00,4.00,2.00,3.00,3.00,4.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7072279,2.00,6.00,2.00,2.00,4.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7072295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7072309,1.00,2.00,1.00,4.00,4.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7072317,1.00,5.00,2.00,4.00,4.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7072333,6.00,8.00,4.00,7.00,9.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7072341,1.00,3.00,0.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7072368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7072376,2.00,6.00,1.00,5.00,4.00,6.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7072392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7072414,1.00,6.00,1.00,4.00,4.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7072430,4.00,4.00,3.00,5.00,6.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7072457,2.00,7.00,0.00,5.00,7.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7072473,2.00,3.00,1.00,4.00,6.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7072481,3.00,6.00,2.00,6.00,8.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7072490,0.00,6.00,1.00,6.00,5.00,8.63,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7072503,1.00,4.00,2.00,4.00,7.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7072511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7072520,2.00,4.00,0.00,7.00,4.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7072538,1.00,5.00,2.00,3.00,7.00,10.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7072562,5.00,7.00,3.00,7.00,8.00,10.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7072570,2.00,5.00,2.00,6.00,6.00,7.13,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7072589,2.00,5.00,1.00,7.00,8.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7072597,4.00,6.00,0.00,4.00,8.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7072600,3.00,5.00,2.00,6.00,7.00,6.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7072619,3.00,0.00,1.00,2.00,4.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7072635,8.00,8.00,4.00,7.00,8.00,9.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7072643,0.00,4.00,1.00,5.00,4.00,6.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7072651,6.00,5.00,1.00,7.00,6.00,8.63,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7072660,7.00,8.00,4.00,7.00,7.00,7.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7072678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7072686,2.00,7.00,3.00,4.00,5.00,10.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7072694,6.00,8.00,3.00,6.00,8.00,10.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7072708,0.00,5.00,0.00,4.00,4.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7072716,5.00,7.00,4.00,6.00,7.00,7.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7072759,2.00,5.00,2.00,7.00,5.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7072767,6.00,7.00,1.00,5.00,7.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7072783,1.00,7.00,2.00,6.00,9.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7072791,5.00,5.00,1.00,6.00,7.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7072805,4.00,7.00,4.00,6.00,8.00,13.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7072813,2.00,4.00,3.00,7.00,4.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7072830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7072848,0.00,6.00,2.00,4.00,3.00,7.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7072856,2.00,6.00,1.00,4.00,4.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7072864,3.00,3.00,1.00,6.00,6.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7072872,0.00,5.00,2.00,4.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7072880,2.00,6.00,2.00,5.00,5.00,10.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7072902,4.00,6.00,1.00,4.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7072910,5.00,6.00,3.00,6.00,5.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7072929,6.00,7.00,1.00,5.00,9.00,12.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7072937,4.00,5.00,2.00,7.00,8.00,9.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7072953,1.00,3.00,3.00,1.00,5.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7072961,0.00,5.00,3.00,3.00,4.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7072970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7072988,7.00,8.00,2.00,8.00,10.00,9.38,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7073011,1.00,5.00,1.00,4.00,8.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7073020,3.00,7.00,2.00,7.00,4.00,9.75,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7073038,2.00,0.00,3.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7073046,0.00,2.00,1.00,3.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7073062,3.00,6.00,1.00,5.00,5.00,11.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7073089,1.00,3.00,1.00,4.00,6.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7073100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7073119,4.00,6.00,4.00,6.00,8.00,9.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7073127,0.00,2.00,1.00,6.00,3.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7073135,0.00,4.00,3.00,7.00,5.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7073143,3.00,4.00,1.00,6.00,1.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7073151,2.00,5.00,2.00,3.00,3.00,5.63,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7073160,0.00,3.00,3.00,1.00,4.00,4.88,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7073178,1.00,3.00,2.00,5.00,5.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7073186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7073194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7073216,7.00,8.00,4.00,7.00,9.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7073224,2.00,4.00,1.00,7.00,8.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7073240,0.00,4.00,2.00,3.00,3.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7073259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7073267,2.00,3.00,2.00,7.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7073283,6.00,7.00,3.00,7.00,5.00,7.13,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7073291,4.00,5.00,3.00,4.00,5.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7073313,8.00,9.00,3.00,6.00,10.00,10.88,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7073321,2.00,5.00,2.00,4.00,4.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7073330,0.00,4.00,2.00,2.00,5.00,7.50,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7073348,1.00,4.00,2.00,5.00,4.00,6.38,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7073356,5.00,7.00,5.00,7.00,6.00,10.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7073364,8.00,9.00,3.00,6.00,8.00,10.13,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7073372,3.00,7.00,4.00,7.00,6.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7073402,4.00,7.00,2.00,6.00,6.00,7.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7073410,1.00,4.00,1.00,6.00,8.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7073429,6.00,7.00,5.00,8.00,6.00,9.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7073437,1.00,3.00,1.00,6.00,4.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7073445,1.00,4.00,1.00,4.00,5.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7073453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7073470,4.00,6.00,4.00,6.00,7.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7073488,2.00,8.00,2.00,5.00,8.00,8.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7073518,1.00,4.00,3.00,2.00,6.00,9.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7073526,0.00,3.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7073542,2.00,6.00,1.00,5.00,5.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7073569,2.00,6.00,2.00,6.00,8.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7073577,0.00,6.00,2.00,4.00,4.00,5.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7073585,3.00,4.00,2.00,4.00,6.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7073593,4.00,6.00,5.00,5.00,10.00,9.38,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7073615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7073631,1.00,3.00,0.00,2.00,7.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7073640,2.00,8.00,2.00,6.00,6.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7073658,2.00,5.00,3.00,6.00,7.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7073666,2.00,5.00,2.00,4.00,6.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7073674,3.00,7.00,1.00,8.00,5.00,8.63,3.00,8.00,4.00,NULL,NULL,NULL,'S'),(28,7073690,5.00,6.00,3.00,3.00,7.00,6.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7073704,0.00,5.00,1.00,4.00,3.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7073712,2.00,2.00,1.00,5.00,5.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7073720,1.00,0.00,2.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7073739,5.00,8.00,3.00,6.00,8.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7073747,4.00,7.00,3.00,6.00,6.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7073755,4.00,6.00,1.00,5.00,8.00,7.88,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7073771,3.00,7.00,3.00,6.00,8.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7073780,2.00,5.00,1.00,5.00,4.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7073798,4.00,7.00,0.00,6.00,10.00,10.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7073801,2.00,7.00,3.00,7.00,7.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7073810,1.00,6.00,2.00,6.00,6.00,8.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7073836,2.00,6.00,3.00,6.00,7.00,9.38,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7073852,4.00,7.00,4.00,4.00,8.00,4.88,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7073895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7073909,6.00,7.00,4.00,7.00,8.00,7.88,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7073925,4.00,5.00,1.00,6.00,6.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7073950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7073968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7073984,4.00,9.00,3.00,7.00,6.00,6.00,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7073992,0.00,4.00,4.00,4.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7074000,4.00,5.00,2.00,7.00,5.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7074018,7.00,8.00,4.00,7.00,8.00,12.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7074026,2.00,5.00,1.00,4.00,7.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7074034,5.00,6.00,3.00,6.00,8.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7074042,0.00,8.00,3.00,7.00,7.00,9.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7074050,6.00,7.00,4.00,7.00,10.00,9.38,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7074069,1.00,6.00,3.00,6.00,6.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7074077,4.00,7.00,4.00,6.00,9.00,9.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7074085,2.00,7.00,2.00,3.00,5.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7074093,4.00,6.00,2.00,5.00,7.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7074107,0.00,3.00,2.00,5.00,4.00,7.13,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7074131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7074140,2.00,6.00,1.00,7.00,8.00,11.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7074158,6.00,8.00,2.00,7.00,10.00,9.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7074166,1.00,4.00,2.00,4.00,2.00,NULL,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7074174,7.00,8.00,6.00,6.00,7.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7074182,1.00,6.00,1.00,2.00,5.00,8.63,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7074190,1.00,7.00,1.00,4.00,5.00,8.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7074204,3.00,6.00,3.00,6.00,7.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7074212,3.00,8.00,1.00,5.00,6.00,9.00,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7074220,5.00,7.00,1.00,6.00,7.00,11.63,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7074239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7074247,3.00,6.00,2.00,7.00,8.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7074255,3.00,7.00,2.00,5.00,7.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7074263,2.00,5.00,1.00,5.00,6.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7074271,4.00,5.00,3.00,7.00,7.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7074298,3.00,6.00,3.00,7.00,7.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7074310,3.00,5.00,4.00,7.00,6.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7074328,0.00,3.00,1.00,3.00,5.00,6.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7074336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7074344,6.00,7.00,4.00,7.00,10.00,10.88,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7074352,0.00,4.00,2.00,7.00,4.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7074379,8.00,7.00,4.00,7.00,9.00,9.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7074387,2.00,7.00,2.00,7.00,8.00,12.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7074395,4.00,7.00,1.00,5.00,6.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7074409,1.00,3.00,3.00,4.00,6.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7074417,4.00,7.00,3.00,7.00,8.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7074433,4.00,7.00,4.00,7.00,6.00,6.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7074441,2.00,4.00,0.00,6.00,5.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7074450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7074468,0.00,4.00,2.00,3.00,4.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7074476,0.00,0.00,3.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7074484,3.00,4.00,3.00,1.00,5.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7074492,5.00,6.00,2.00,4.00,6.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7074506,4.00,7.00,2.00,4.00,7.00,7.13,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7074514,1.00,6.00,5.00,6.00,7.00,5.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7074530,2.00,7.00,3.00,5.00,7.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7074549,5.00,6.00,3.00,7.00,7.00,10.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7074557,3.00,8.00,1.00,5.00,8.00,9.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7074565,3.00,7.00,2.00,6.00,7.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7074573,0.00,5.00,3.00,3.00,3.00,9.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7074581,3.00,6.00,1.00,5.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7074590,1.00,5.00,2.00,6.00,7.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7074603,2.00,8.00,1.00,6.00,7.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7074620,6.00,8.00,4.00,6.00,7.00,5.63,5.00,8.00,6.00,NULL,NULL,NULL,'S'),(28,7074638,2.00,7.00,3.00,7.00,9.00,8.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7074646,0.00,4.00,4.00,0.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7074662,3.00,7.00,3.00,7.00,8.00,6.38,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7074670,3.00,7.00,3.00,7.00,8.00,7.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7074689,5.00,5.00,1.00,4.00,4.00,9.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7074697,7.00,8.00,5.00,6.00,8.00,9.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7074700,3.00,6.00,4.00,2.00,3.00,4.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7074719,5.00,8.00,3.00,8.00,10.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7074735,4.00,5.00,3.00,5.00,6.00,9.75,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7074743,5.00,7.00,4.00,5.00,8.00,12.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7074760,0.00,4.00,1.00,3.00,3.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7074778,1.00,4.00,2.00,5.00,5.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7074786,3.00,6.00,1.00,5.00,7.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7074794,0.00,5.00,1.00,5.00,3.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7074808,2.00,4.00,1.00,1.00,3.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7074816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7074832,6.00,6.00,3.00,7.00,7.00,11.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7074840,6.00,8.00,6.00,7.00,4.00,7.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7074859,5.00,6.00,3.00,6.00,9.00,6.38,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7074867,9.00,8.00,6.00,7.00,11.00,12.38,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(28,7074875,3.00,7.00,3.00,4.00,7.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7074883,4.00,7.00,4.00,4.00,8.00,11.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7074905,2.00,8.00,1.00,4.00,2.00,NULL,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7074913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7074921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7074948,0.00,3.00,1.00,1.00,5.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7074956,2.00,2.00,2.00,5.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7074964,0.00,5.00,2.00,4.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7074972,6.00,7.00,4.00,6.00,10.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7074980,4.00,7.00,2.00,3.00,3.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7074999,0.00,3.00,2.00,3.00,5.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7075006,3.00,4.00,2.00,6.00,5.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7075030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7075049,1.00,4.00,2.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7075065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7075073,5.00,8.00,1.00,8.00,8.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7075081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7075090,3.00,5.00,2.00,6.00,3.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7075103,4.00,5.00,3.00,7.00,8.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7075111,5.00,7.00,4.00,7.00,8.00,0.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7075138,2.00,4.00,3.00,5.00,3.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7075146,2.00,3.00,0.00,2.00,3.00,5.63,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7075154,5.00,8.00,1.00,5.00,6.00,9.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7075162,0.00,3.00,2.00,4.00,4.00,4.88,2.00,3.00,2.00,NULL,NULL,NULL,'N');
INSERT INTO ponto_candidato VALUES (28,7075170,4.00,6.00,2.00,6.00,7.00,7.13,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7075197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7075200,1.00,6.00,0.00,3.00,8.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7075219,0.00,4.00,1.00,3.00,3.00,4.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7075227,7.00,8.00,5.00,5.00,5.00,7.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7075235,3.00,5.00,2.00,2.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7075243,0.00,7.00,3.00,7.00,6.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7075251,0.00,3.00,2.00,6.00,7.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7075260,3.00,8.00,4.00,6.00,8.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7075278,3.00,5.00,3.00,4.00,6.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7075286,1.00,5.00,2.00,1.00,7.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7075294,2.00,8.00,2.00,6.00,7.00,10.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7075316,9.00,9.00,7.00,7.00,8.00,9.38,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7075324,1.00,3.00,2.00,6.00,3.00,6.75,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7075332,4.00,7.00,2.00,8.00,10.00,9.75,0.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7075340,3.00,6.00,3.00,7.00,6.00,9.00,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7075359,2.00,5.00,3.00,5.00,6.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7075367,6.00,8.00,4.00,7.00,10.00,8.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7075375,6.00,8.00,2.00,6.00,7.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7075413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7075421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7075430,4.00,5.00,2.00,6.00,6.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7075448,5.00,7.00,5.00,7.00,6.00,10.13,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7075456,2.00,7.00,3.00,6.00,8.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7075464,4.00,6.00,4.00,5.00,6.00,7.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7075472,7.00,8.00,7.00,7.00,9.00,9.75,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7075499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7075502,5.00,7.00,5.00,6.00,8.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7075510,4.00,6.00,4.00,6.00,11.00,9.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7075529,4.00,7.00,2.00,4.00,8.00,8.63,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7075545,4.00,7.00,2.00,0.00,6.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7075553,3.00,4.00,1.00,4.00,5.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7075561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7075588,0.00,2.00,0.00,3.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7075596,6.00,6.00,2.00,7.00,5.00,11.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7075600,5.00,6.00,3.00,5.00,4.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7075618,1.00,6.00,0.00,4.00,6.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7075626,1.00,4.00,1.00,5.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7075642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7075650,7.00,6.00,1.00,6.00,9.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7075669,1.00,6.00,2.00,3.00,4.00,7.88,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7075677,2.00,5.00,2.00,6.00,4.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7075685,6.00,7.00,4.00,6.00,8.00,8.63,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7075693,0.00,3.00,0.00,5.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7075707,5.00,6.00,2.00,5.00,6.00,5.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7075715,2.00,6.00,3.00,7.00,5.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7075723,4.00,7.00,3.00,7.00,5.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7075740,2.00,7.00,1.00,6.00,10.00,9.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7075766,2.00,6.00,1.00,7.00,7.00,6.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7075790,3.00,5.00,3.00,4.00,7.00,11.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7075804,3.00,3.00,2.00,3.00,5.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7075812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7075839,6.00,5.00,3.00,7.00,7.00,12.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7075847,5.00,7.00,4.00,5.00,8.00,10.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7075863,2.00,5.00,0.00,5.00,7.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7075871,2.00,7.00,2.00,6.00,8.00,11.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7075880,0.00,6.00,5.00,5.00,7.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7075898,4.00,7.00,6.00,6.00,8.00,10.13,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7075901,1.00,5.00,1.00,5.00,5.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7075910,2.00,4.00,1.00,3.00,3.00,4.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7075928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7075936,2.00,7.00,2.00,4.00,4.00,8.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7075944,4.00,8.00,5.00,4.00,7.00,9.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7075952,4.00,4.00,1.00,2.00,5.00,8.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7075960,8.00,6.00,2.00,7.00,10.00,12.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7075979,1.00,6.00,2.00,5.00,2.00,NULL,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7075987,4.00,8.00,0.00,7.00,8.00,9.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7075995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7076002,6.00,8.00,4.00,5.00,7.00,8.63,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7076010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7076029,7.00,8.00,5.00,6.00,11.00,10.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7076045,2.00,4.00,1.00,5.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7076061,1.00,7.00,1.00,6.00,9.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7076070,6.00,4.00,2.00,4.00,8.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7076088,0.00,4.00,1.00,6.00,6.00,4.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7076096,0.00,3.00,4.00,4.00,3.00,4.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7076100,5.00,7.00,5.00,7.00,9.00,8.63,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7076126,1.00,4.00,1.00,1.00,4.00,9.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7076134,2.00,2.00,4.00,5.00,3.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7076142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7076150,2.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7076169,2.00,6.00,2.00,5.00,5.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7076177,3.00,5.00,4.00,5.00,7.00,10.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7076185,5.00,6.00,2.00,7.00,10.00,12.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7076193,6.00,8.00,3.00,7.00,8.00,7.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7076207,5.00,8.00,4.00,7.00,9.00,10.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7076215,3.00,7.00,1.00,7.00,8.00,8.63,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7076231,1.00,4.00,1.00,2.00,6.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7076240,7.00,7.00,3.00,4.00,9.00,7.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7076258,1.00,3.00,3.00,4.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7076266,3.00,7.00,3.00,7.00,9.00,7.88,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7076274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7076282,1.00,7.00,0.00,6.00,7.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7076290,2.00,7.00,2.00,6.00,6.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7076304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7076312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7076320,4.00,5.00,2.00,6.00,8.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7076347,2.00,4.00,2.00,7.00,6.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7076355,4.00,5.00,1.00,6.00,7.00,8.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7076363,6.00,8.00,4.00,7.00,8.00,7.50,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7076371,2.00,7.00,3.00,6.00,10.00,12.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7076380,1.00,0.00,2.00,3.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7076410,4.00,7.00,2.00,5.00,5.00,7.88,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7076428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7076436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7076452,3.00,5.00,3.00,6.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7076460,5.00,7.00,2.00,3.00,7.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7076479,1.00,5.00,3.00,5.00,6.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7076487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7076517,0.00,4.00,3.00,3.00,4.00,6.75,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7076525,2.00,4.00,1.00,5.00,5.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7076533,0.00,1.00,1.00,6.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7076541,1.00,9.00,1.00,2.00,5.00,5.63,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7076550,4.00,8.00,3.00,6.00,9.00,6.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7076576,3.00,4.00,1.00,7.00,7.00,NULL,2.00,3.00,1.00,NULL,NULL,'S','S'),(28,7076584,1.00,6.00,1.00,6.00,3.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7076592,0.00,3.00,1.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7076606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7076614,6.00,8.00,3.00,5.00,8.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7076649,7.00,7.00,1.00,7.00,9.00,10.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7076665,1.00,4.00,2.00,5.00,3.00,5.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7076673,5.00,6.00,2.00,4.00,4.00,5.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7076681,2.00,6.00,2.00,5.00,5.00,8.25,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7076690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7076703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7076711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7076720,0.00,4.00,2.00,3.00,5.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7076738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7076746,1.00,4.00,3.00,2.00,4.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7076754,4.00,5.00,4.00,5.00,4.00,9.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7076770,0.00,0.00,4.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7076797,3.00,5.00,3.00,6.00,5.00,6.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7076800,0.00,4.00,2.00,5.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7076819,0.00,4.00,2.00,4.00,5.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7076827,1.00,7.00,1.00,3.00,3.00,6.38,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7076843,1.00,7.00,2.00,6.00,8.00,9.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7076851,2.00,4.00,2.00,4.00,6.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7076894,4.00,7.00,6.00,7.00,6.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7076916,4.00,8.00,1.00,4.00,7.00,7.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7076924,0.00,8.00,2.00,2.00,3.00,9.38,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7076940,2.00,8.00,5.00,5.00,6.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7076959,3.00,4.00,2.00,6.00,8.00,11.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7076967,2.00,8.00,3.00,5.00,6.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7076975,2.00,4.00,3.00,4.00,4.00,7.88,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7076983,3.00,7.00,1.00,4.00,6.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7077009,5.00,7.00,2.00,7.00,5.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7077017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7077033,5.00,7.00,2.00,7.00,7.00,7.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7077041,1.00,0.00,1.00,4.00,3.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7077050,5.00,5.00,3.00,4.00,5.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7077068,1.00,3.00,0.00,5.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7077076,1.00,4.00,3.00,5.00,5.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7077084,4.00,7.00,4.00,7.00,6.00,10.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7077092,2.00,6.00,3.00,6.00,5.00,5.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7077106,3.00,5.00,2.00,7.00,8.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7077114,2.00,6.00,1.00,5.00,4.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7077130,0.00,2.00,2.00,1.00,4.00,6.38,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7077149,3.00,9.00,3.00,7.00,8.00,9.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7077165,8.00,9.00,1.00,7.00,8.00,10.50,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7077181,2.00,4.00,1.00,3.00,5.00,3.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7077190,2.00,7.00,2.00,4.00,6.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7077203,3.00,6.00,5.00,6.00,4.00,5.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7077211,0.00,8.00,2.00,1.00,7.00,7.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7077220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7077246,1.00,5.00,2.00,1.00,2.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7077262,3.00,6.00,5.00,7.00,7.00,10.50,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7077270,3.00,9.00,2.00,7.00,6.00,11.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7077378,4.00,5.00,1.00,7.00,4.00,10.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7077386,0.00,4.00,3.00,5.00,3.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7077394,1.00,0.00,0.00,0.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7077408,2.00,5.00,0.00,7.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7077416,2.00,8.00,3.00,4.00,9.00,7.88,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7077432,6.00,6.00,4.00,6.00,7.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7077440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7077467,2.00,7.00,4.00,7.00,6.00,8.63,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7077475,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7077491,6.00,7.00,2.00,7.00,4.00,9.00,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7077513,4.00,8.00,4.00,4.00,5.00,9.38,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7077530,5.00,9.00,2.00,6.00,8.00,13.88,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7077556,0.00,1.00,1.00,2.00,0.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7077564,1.00,5.00,1.00,5.00,6.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7077572,2.00,3.00,1.00,4.00,3.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7077599,2.00,9.00,1.00,6.00,6.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7077602,0.00,5.00,2.00,3.00,3.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7077610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7077629,1.00,2.00,2.00,1.00,5.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7077637,6.00,8.00,3.00,4.00,6.00,6.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7077661,7.00,8.00,3.00,7.00,10.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7077670,2.00,7.00,4.00,7.00,5.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7077688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7077700,8.00,9.00,6.00,7.00,9.00,10.88,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7077734,2.00,4.00,4.00,4.00,4.00,6.38,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7077777,1.00,5.00,4.00,5.00,5.00,7.13,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7077785,0.00,4.00,2.00,4.00,6.00,6.38,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7077793,2.00,5.00,1.00,7.00,4.00,5.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7077807,5.00,9.00,2.00,6.00,6.00,12.75,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7077823,5.00,5.00,3.00,5.00,9.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7077840,3.00,7.00,2.00,7.00,5.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7077858,2.00,5.00,1.00,6.00,5.00,10.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7077866,2.00,8.00,5.00,5.00,9.00,9.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7077874,2.00,6.00,3.00,7.00,9.00,8.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7077882,6.00,6.00,2.00,6.00,7.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7077904,2.00,8.00,1.00,5.00,9.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7077912,6.00,9.00,2.00,5.00,11.00,10.88,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7077920,2.00,5.00,1.00,5.00,6.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7077939,7.00,8.00,5.00,7.00,11.00,10.88,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7077947,1.00,4.00,3.00,5.00,5.00,7.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7077955,7.00,8.00,4.00,7.00,9.00,11.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7077971,4.00,8.00,1.00,8.00,9.00,6.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7077980,3.00,5.00,3.00,5.00,9.00,10.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7078005,1.00,5.00,2.00,6.00,5.00,8.25,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7078013,7.00,7.00,2.00,7.00,9.00,8.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7078021,3.00,6.00,2.00,4.00,6.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7078056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7078072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7078080,4.00,5.00,2.00,6.00,8.00,10.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7078099,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7078102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7078129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7078137,0.00,2.00,1.00,4.00,4.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7078161,0.00,3.00,2.00,2.00,4.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7078170,2.00,3.00,2.00,5.00,3.00,5.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7078188,0.00,1.00,3.00,6.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7078196,3.00,6.00,2.00,6.00,7.00,6.38,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7078200,0.00,5.00,1.00,6.00,4.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7078218,2.00,5.00,0.00,5.00,5.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7078226,2.00,4.00,1.00,5.00,5.00,7.13,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7078234,4.00,4.00,2.00,6.00,7.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7078242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7078250,5.00,7.00,0.00,7.00,7.00,7.88,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7078269,5.00,4.00,3.00,6.00,5.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7078277,3.00,0.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7078285,0.00,6.00,2.00,6.00,6.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7078315,3.00,7.00,2.00,6.00,8.00,10.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7078323,5.00,0.00,3.00,6.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7078382,1.00,3.00,0.00,3.00,5.00,NULL,2.00,7.00,0.00,NULL,NULL,NULL,'N'),(28,7078390,9.00,9.00,2.00,8.00,7.00,8.63,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7078404,0.00,3.00,2.00,2.00,3.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7078420,5.00,8.00,3.00,6.00,9.00,8.25,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7078439,6.00,8.00,3.00,6.00,8.00,10.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7078447,0.00,4.00,1.00,7.00,5.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7078455,4.00,5.00,5.00,6.00,6.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7078471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7078498,1.00,7.00,2.00,6.00,5.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7078501,8.00,7.00,5.00,6.00,7.00,7.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7078510,1.00,6.00,1.00,3.00,9.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7078528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7078536,5.00,7.00,2.00,6.00,9.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7078544,3.00,6.00,2.00,6.00,7.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7078579,2.00,8.00,1.00,6.00,9.00,11.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7078587,1.00,5.00,3.00,4.00,5.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7078609,8.00,8.00,2.00,8.00,11.00,10.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7078617,2.00,6.00,2.00,5.00,7.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7078650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7078668,4.00,4.00,2.00,7.00,5.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7078676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7078684,8.00,8.00,7.00,7.00,10.00,11.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7078706,3.00,7.00,4.00,6.00,9.00,9.38,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7078714,1.00,6.00,2.00,4.00,3.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7078730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7078749,1.00,4.00,0.00,3.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7078765,3.00,5.00,1.00,7.00,3.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7078773,5.00,5.00,2.00,2.00,4.00,7.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7078790,6.00,7.00,2.00,7.00,8.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7078811,3.00,7.00,3.00,6.00,5.00,8.63,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7078820,2.00,5.00,1.00,4.00,5.00,10.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7078838,4.00,8.00,2.00,5.00,7.00,NULL,4.00,8.00,4.00,NULL,NULL,'S','N'),(28,7078846,5.00,7.00,1.00,6.00,8.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7078854,1.00,6.00,3.00,1.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7078870,1.00,5.00,4.00,6.00,3.00,7.13,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7078897,0.00,3.00,2.00,4.00,3.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7078900,7.00,6.00,3.00,6.00,7.00,7.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7078927,1.00,5.00,0.00,6.00,4.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7078935,7.00,8.00,5.00,7.00,7.00,7.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7078943,2.00,5.00,2.00,6.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7078960,4.00,4.00,4.00,5.00,7.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7078978,4.00,4.00,2.00,4.00,8.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7078986,0.00,3.00,1.00,6.00,3.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7078994,5.00,7.00,5.00,6.00,6.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7079001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7079028,6.00,7.00,2.00,7.00,8.00,9.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7079036,3.00,4.00,3.00,6.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7079044,3.00,4.00,2.00,3.00,4.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7079052,1.00,6.00,1.00,5.00,4.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7079095,3.00,6.00,2.00,6.00,7.00,6.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7079133,4.00,6.00,3.00,5.00,7.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7079150,3.00,4.00,1.00,6.00,7.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7079192,4.00,8.00,3.00,7.00,6.00,6.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7079206,2.00,4.00,2.00,5.00,4.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7079214,3.00,6.00,2.00,5.00,6.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7079222,5.00,8.00,2.00,7.00,9.00,6.38,3.00,9.00,3.00,NULL,NULL,NULL,'N'),(28,7079230,5.00,7.00,3.00,7.00,7.00,8.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7079249,2.00,6.00,0.00,4.00,5.00,9.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7079257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7079273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7079290,5.00,5.00,2.00,6.00,8.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7079303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7079311,0.00,6.00,1.00,6.00,5.00,5.25,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7079338,1.00,4.00,3.00,7.00,7.00,10.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7079354,0.00,5.00,3.00,3.00,3.00,6.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7079362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7079370,3.00,5.00,4.00,7.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7079389,0.00,0.00,0.00,5.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7079400,1.00,3.00,2.00,3.00,4.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7079427,1.00,2.00,0.00,1.00,4.00,6.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7079443,0.00,4.00,1.00,4.00,7.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7079451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7079478,3.00,4.00,1.00,4.00,4.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7079486,0.00,1.00,3.00,1.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7079494,5.00,6.00,3.00,6.00,9.00,10.50,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7079508,0.00,3.00,2.00,2.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7079516,6.00,7.00,6.00,7.00,8.00,5.25,6.00,6.00,9.00,NULL,NULL,NULL,'N'),(28,7079524,6.00,8.00,1.00,6.00,9.00,8.63,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7079540,1.00,6.00,3.00,6.00,3.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7079559,0.00,5.00,1.00,4.00,3.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7079567,4.00,8.00,1.00,6.00,5.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7079575,0.00,2.00,2.00,5.00,3.00,3.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7079583,1.00,6.00,2.00,7.00,7.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7079591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7079613,3.00,5.00,1.00,5.00,4.00,8.63,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7079621,6.00,8.00,5.00,7.00,6.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7079630,1.00,5.00,3.00,5.00,6.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7079664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7079672,2.00,7.00,3.00,5.00,5.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7079680,2.00,7.00,2.00,6.00,7.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7079699,3.00,3.00,0.00,2.00,5.00,7.88,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7079702,3.00,5.00,3.00,3.00,5.00,8.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7079710,3.00,7.00,4.00,7.00,6.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7079737,1.00,5.00,1.00,2.00,5.00,5.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7079745,1.00,4.00,2.00,5.00,3.00,3.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7079753,1.00,3.00,3.00,3.00,3.00,6.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7079761,3.00,6.00,3.00,5.00,7.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7079770,0.00,3.00,3.00,2.00,4.00,10.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7079796,3.00,8.00,2.00,6.00,7.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7079800,6.00,5.00,3.00,7.00,7.00,10.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7079826,6.00,8.00,1.00,8.00,9.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7079834,3.00,7.00,1.00,5.00,6.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7079842,6.00,6.00,4.00,6.00,8.00,10.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7079850,6.00,7.00,3.00,7.00,8.00,7.88,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7079869,0.00,5.00,0.00,0.00,0.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7079877,4.00,6.00,3.00,6.00,9.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7079885,6.00,6.00,3.00,5.00,6.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7079893,3.00,9.00,2.00,7.00,10.00,11.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7079907,4.00,6.00,3.00,6.00,7.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7079915,2.00,4.00,4.00,3.00,6.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7079923,2.00,6.00,3.00,4.00,7.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7079931,1.00,7.00,1.00,7.00,7.00,7.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7079940,4.00,6.00,2.00,5.00,8.00,10.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7079958,0.00,3.00,2.00,3.00,5.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7079966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7079974,2.00,7.00,2.00,6.00,9.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7079982,1.00,5.00,2.00,4.00,4.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7079990,3.00,5.00,1.00,4.00,5.00,6.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7080000,4.00,6.00,2.00,7.00,6.00,6.38,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7080018,0.00,3.00,0.00,3.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7080034,3.00,4.00,0.00,3.00,6.00,7.88,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7080042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7080050,3.00,8.00,3.00,5.00,8.00,12.38,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7080069,1.00,7.00,3.00,6.00,4.00,7.88,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7080085,1.00,7.00,2.00,5.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7080093,3.00,8.00,3.00,6.00,7.00,11.63,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7080123,6.00,8.00,5.00,7.00,11.00,10.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7080131,0.00,3.00,2.00,1.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7080140,1.00,3.00,3.00,4.00,5.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7080158,1.00,6.00,1.00,3.00,5.00,6.75,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7080166,6.00,7.00,6.00,7.00,10.00,8.63,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7080174,3.00,5.00,3.00,5.00,6.00,0.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7080190,2.00,6.00,1.00,5.00,5.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7080204,1.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7080220,2.00,6.00,2.00,4.00,5.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7080239,4.00,6.00,2.00,3.00,5.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7080247,5.00,8.00,4.00,6.00,8.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7080255,1.00,5.00,2.00,6.00,7.00,9.38,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7080263,7.00,8.00,2.00,7.00,8.00,10.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7080271,6.00,8.00,0.00,5.00,9.00,10.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7080280,3.00,7.00,1.00,4.00,9.00,8.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7080298,1.00,5.00,1.00,6.00,4.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7080301,0.00,4.00,4.00,1.00,3.00,7.13,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7080310,7.00,7.00,3.00,6.00,7.00,10.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7080344,4.00,6.00,4.00,6.00,10.00,8.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7080360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7080379,3.00,6.00,3.00,4.00,8.00,10.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7080387,0.00,2.00,0.00,5.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7080395,2.00,4.00,2.00,4.00,3.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7080409,2.00,7.00,4.00,5.00,7.00,7.88,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7080417,3.00,8.00,4.00,6.00,9.00,8.63,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7080425,5.00,7.00,3.00,5.00,9.00,7.13,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7080433,3.00,5.00,3.00,6.00,8.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7080441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7080484,2.00,5.00,2.00,3.00,6.00,4.88,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7080492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7080514,2.00,4.00,2.00,5.00,3.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7080530,2.00,7.00,1.00,6.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7080557,3.00,9.00,3.00,7.00,6.00,6.38,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7080565,2.00,7.00,3.00,4.00,7.00,7.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7080573,4.00,7.00,2.00,6.00,9.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7080581,9.00,7.00,2.00,7.00,6.00,8.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7080590,1.00,4.00,2.00,4.00,9.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7080611,2.00,4.00,4.00,5.00,3.00,6.38,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7080620,4.00,5.00,3.00,6.00,7.00,7.13,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7080638,3.00,5.00,3.00,7.00,7.00,NULL,3.00,7.00,4.00,NULL,NULL,'S','N'),(28,7080654,3.00,4.00,1.00,3.00,7.00,9.38,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7080662,2.00,5.00,2.00,3.00,8.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7080670,1.00,4.00,2.00,5.00,6.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7080697,1.00,5.00,2.00,3.00,4.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7080727,5.00,7.00,4.00,4.00,7.00,8.63,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7080751,3.00,4.00,2.00,6.00,6.00,9.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7080760,2.00,4.00,1.00,4.00,7.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7080778,4.00,8.00,4.00,1.00,8.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7080786,6.00,9.00,4.00,6.00,11.00,11.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7080808,1.00,4.00,3.00,7.00,5.00,9.75,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7080816,2.00,5.00,1.00,5.00,6.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7080840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7080859,3.00,7.00,4.00,5.00,2.00,NULL,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7080867,1.00,4.00,1.00,5.00,9.00,10.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7080875,0.00,5.00,1.00,7.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7080883,2.00,3.00,3.00,4.00,5.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7080913,3.00,6.00,3.00,5.00,3.00,7.88,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7080921,6.00,8.00,5.00,5.00,10.00,9.38,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7080948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7080956,0.00,1.00,2.00,0.00,3.00,5.63,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7080972,1.00,1.00,0.00,3.00,6.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7080980,7.00,6.00,4.00,6.00,9.00,9.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7080999,2.00,7.00,3.00,6.00,9.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7081006,0.00,4.00,3.00,4.00,5.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7081022,0.00,3.00,3.00,2.00,4.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7081030,4.00,6.00,5.00,7.00,7.00,11.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7081049,2.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7081057,3.00,6.00,2.00,6.00,4.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7081081,3.00,5.00,2.00,5.00,4.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7081103,3.00,5.00,2.00,3.00,3.00,6.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7081111,3.00,9.00,1.00,7.00,6.00,7.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7081120,2.00,5.00,2.00,7.00,9.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7081146,3.00,5.00,3.00,4.00,9.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7081154,3.00,4.00,2.00,4.00,3.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7081170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7081189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7081197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7081200,6.00,7.00,4.00,6.00,7.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7081243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7081251,4.00,4.00,3.00,4.00,6.00,6.00,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7081278,2.00,4.00,0.00,6.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7081286,0.00,5.00,2.00,3.00,5.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7081294,3.00,7.00,1.00,5.00,9.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7081308,1.00,3.00,2.00,4.00,3.00,6.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7081316,3.00,3.00,1.00,7.00,7.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7081324,0.00,1.00,1.00,2.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7081332,4.00,7.00,2.00,6.00,8.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7081340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7081359,6.00,7.00,2.00,4.00,9.00,6.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7081367,4.00,7.00,2.00,5.00,8.00,10.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7081375,7.00,8.00,1.00,7.00,10.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7081391,4.00,4.00,1.00,5.00,8.00,5.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7081405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7081421,2.00,5.00,2.00,7.00,6.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7081448,7.00,8.00,3.00,6.00,6.00,7.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7081456,2.00,8.00,1.00,6.00,6.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7081464,1.00,4.00,1.00,4.00,8.00,8.63,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7081472,7.00,8.00,2.00,6.00,10.00,12.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7081480,4.00,7.00,5.00,5.00,9.00,10.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7081499,3.00,5.00,3.00,3.00,5.00,5.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7081502,0.00,0.00,2.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7081510,6.00,7.00,2.00,5.00,6.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7081537,6.00,7.00,3.00,7.00,9.00,11.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7081545,3.00,6.00,3.00,5.00,7.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7081561,2.00,7.00,3.00,6.00,5.00,5.63,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7081570,4.00,6.00,6.00,7.00,8.00,9.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7081588,5.00,5.00,2.00,6.00,8.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7081596,3.00,6.00,3.00,3.00,4.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7081600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7081618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7081626,4.00,7.00,3.00,7.00,9.00,10.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7081634,6.00,8.00,4.00,6.00,10.00,10.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7081642,4.00,5.00,2.00,6.00,7.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7081650,4.00,7.00,3.00,5.00,7.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7081669,5.00,7.00,1.00,7.00,5.00,7.13,6.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7081677,4.00,7.00,2.00,7.00,7.00,13.13,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7081685,1.00,4.00,1.00,1.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7081693,2.00,7.00,2.00,6.00,7.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7081707,2.00,7.00,1.00,7.00,9.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7081715,0.00,3.00,1.00,3.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7081723,1.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7081731,0.00,3.00,2.00,4.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7081740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7081758,2.00,7.00,1.00,6.00,6.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7081774,2.00,5.00,2.00,5.00,4.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7081782,7.00,7.00,0.00,7.00,7.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7081804,6.00,7.00,5.00,5.00,7.00,9.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7081812,5.00,9.00,3.00,7.00,8.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7081839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7081855,2.00,1.00,2.00,3.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7081863,8.00,8.00,2.00,7.00,8.00,9.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7081910,2.00,3.00,1.00,5.00,5.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7081928,1.00,5.00,0.00,2.00,1.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7081944,4.00,8.00,4.00,7.00,10.00,10.88,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(28,7081952,6.00,6.00,3.00,7.00,9.00,10.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7081960,3.00,5.00,3.00,5.00,6.00,8.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7081979,1.00,4.00,3.00,6.00,6.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7081987,2.00,0.00,3.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7081995,2.00,7.00,2.00,7.00,4.00,7.50,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7082010,1.00,2.00,4.00,3.00,3.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7082029,5.00,7.00,2.00,6.00,6.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7082037,2.00,2.00,0.00,4.00,6.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7082053,2.00,5.00,2.00,4.00,4.00,8.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7082061,3.00,7.00,1.00,7.00,8.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7082070,3.00,6.00,2.00,7.00,8.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7082088,0.00,3.00,1.00,5.00,3.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7082096,4.00,6.00,2.00,5.00,8.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7082118,5.00,6.00,3.00,7.00,8.00,9.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7082126,0.00,7.00,2.00,6.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7082134,4.00,7.00,3.00,8.00,6.00,NULL,3.00,4.00,2.00,NULL,NULL,'S','N'),(28,7082142,1.00,8.00,1.00,7.00,6.00,8.63,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7082150,3.00,2.00,2.00,0.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7082169,2.00,4.00,2.00,6.00,8.00,8.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7082185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7082193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7082207,2.00,6.00,0.00,3.00,6.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7082215,2.00,7.00,0.00,6.00,5.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7082223,5.00,7.00,4.00,6.00,8.00,7.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7082231,3.00,7.00,1.00,6.00,4.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7082240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7082258,3.00,5.00,0.00,6.00,8.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7082266,6.00,8.00,5.00,7.00,8.00,10.88,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7082282,6.00,8.00,5.00,7.00,9.00,10.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7082304,5.00,4.00,3.00,5.00,8.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7082312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7082339,2.00,6.00,1.00,7.00,1.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7082347,1.00,7.00,0.00,6.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7082355,2.00,5.00,2.00,6.00,6.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7082363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7082371,1.00,4.00,4.00,7.00,7.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7082398,2.00,6.00,3.00,5.00,8.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7082401,3.00,7.00,1.00,5.00,6.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7082410,6.00,8.00,4.00,7.00,9.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7082428,6.00,8.00,5.00,7.00,9.00,8.63,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7082436,0.00,6.00,2.00,7.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7082444,0.00,2.00,2.00,5.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7082460,1.00,5.00,2.00,6.00,4.00,7.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7082479,3.00,5.00,2.00,7.00,4.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7082487,5.00,7.00,4.00,7.00,6.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7082495,5.00,6.00,4.00,7.00,5.00,7.88,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7082509,4.00,4.00,0.00,4.00,6.00,8.63,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7082517,4.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7082525,6.00,6.00,2.00,6.00,8.00,11.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7082533,6.00,7.00,3.00,6.00,10.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7082541,2.00,6.00,1.00,6.00,6.00,7.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7082576,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7082584,4.00,5.00,0.00,6.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7082592,4.00,7.00,2.00,7.00,8.00,8.63,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7082606,0.00,2.00,2.00,5.00,3.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7082622,4.00,6.00,4.00,5.00,7.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7082649,1.00,7.00,0.00,6.00,3.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7082665,0.00,3.00,2.00,1.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7082673,2.00,4.00,2.00,3.00,5.00,5.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7082703,6.00,8.00,5.00,6.00,10.00,10.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7082711,7.00,9.00,0.00,7.00,7.00,NULL,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7082720,2.00,7.00,2.00,3.00,5.00,7.13,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7082738,4.00,8.00,3.00,4.00,8.00,11.63,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7082746,1.00,3.00,2.00,5.00,4.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7082762,4.00,8.00,4.00,7.00,8.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7082770,5.00,5.00,3.00,7.00,9.00,11.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7082789,4.00,9.00,2.00,8.00,8.00,10.13,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7082797,1.00,7.00,2.00,5.00,8.00,8.63,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7082800,4.00,7.00,4.00,2.00,4.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7082819,1.00,7.00,3.00,4.00,4.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7082827,2.00,4.00,1.00,5.00,6.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7082835,7.00,8.00,6.00,7.00,9.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7082851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7082878,3.00,6.00,2.00,3.00,3.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7082886,1.00,2.00,2.00,2.00,4.00,0.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7082894,1.00,7.00,2.00,6.00,6.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7082924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7082940,2.00,7.00,2.00,5.00,7.00,8.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7082959,4.00,6.00,1.00,5.00,7.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7083009,1.00,6.00,3.00,6.00,10.00,7.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7083017,2.00,6.00,0.00,7.00,10.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7083025,1.00,5.00,3.00,2.00,4.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7083033,0.00,7.00,1.00,6.00,8.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7083041,8.00,8.00,7.00,5.00,8.00,10.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7083050,2.00,5.00,2.00,6.00,6.00,6.00,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7083068,2.00,4.00,3.00,6.00,7.00,NULL,3.00,3.00,2.00,NULL,NULL,'S','N'),(28,7083084,2.00,4.00,1.00,4.00,6.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7083092,6.00,8.00,4.00,6.00,7.00,7.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7083106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7083114,1.00,4.00,3.00,2.00,7.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7083130,3.00,6.00,4.00,6.00,4.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7083149,1.00,4.00,2.00,4.00,7.00,5.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7083165,4.00,7.00,2.00,6.00,7.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7083173,1.00,6.00,1.00,5.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7083181,1.00,3.00,1.00,6.00,7.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7083190,0.00,5.00,1.00,1.00,6.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7083211,3.00,7.00,4.00,8.00,8.00,11.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7083220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7083238,4.00,6.00,3.00,7.00,8.00,9.38,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7083246,5.00,6.00,1.00,5.00,5.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7083254,1.00,3.00,2.00,6.00,4.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7083262,1.00,3.00,2.00,5.00,4.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7083270,2.00,4.00,3.00,6.00,7.00,5.63,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7083297,2.00,5.00,1.00,3.00,2.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7083300,0.00,2.00,1.00,5.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7083319,0.00,4.00,0.00,3.00,3.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7083327,3.00,6.00,5.00,7.00,6.00,10.13,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7083335,1.00,7.00,2.00,7.00,6.00,8.63,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7083351,5.00,7.00,2.00,5.00,6.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7083360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7083378,1.00,6.00,0.00,6.00,5.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7083386,2.00,5.00,1.00,4.00,4.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7083394,5.00,8.00,5.00,5.00,8.00,8.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7083408,0.00,5.00,0.00,3.00,6.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7083416,0.00,6.00,2.00,7.00,8.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7083424,5.00,6.00,1.00,5.00,5.00,8.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7083440,3.00,4.00,2.00,7.00,5.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7083459,0.00,5.00,3.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7083475,3.00,6.00,3.00,6.00,6.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7083483,2.00,5.00,1.00,6.00,5.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7083491,1.00,6.00,4.00,5.00,8.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7083505,2.00,4.00,1.00,3.00,7.00,7.88,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7083513,2.00,5.00,0.00,5.00,8.00,6.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7083521,0.00,4.00,1.00,5.00,5.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7083556,4.00,7.00,0.00,7.00,9.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7083564,3.00,5.00,1.00,5.00,4.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7083572,4.00,8.00,3.00,5.00,9.00,7.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7083580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7083599,4.00,6.00,4.00,6.00,4.00,NULL,1.00,4.00,4.00,NULL,NULL,'S','N'),(28,7083602,3.00,3.00,2.00,3.00,8.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7083629,1.00,5.00,1.00,4.00,6.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7083637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7083645,7.00,7.00,1.00,7.00,8.00,7.88,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7083653,6.00,7.00,5.00,7.00,10.00,10.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7083661,3.00,9.00,1.00,6.00,6.00,9.38,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7083670,6.00,7.00,4.00,6.00,10.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7083688,0.00,4.00,0.00,5.00,4.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7083700,2.00,7.00,2.00,7.00,9.00,8.25,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7083718,2.00,5.00,2.00,7.00,7.00,8.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7083726,0.00,6.00,1.00,5.00,5.00,5.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7083742,0.00,6.00,1.00,5.00,7.00,9.00,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7083769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7083777,3.00,7.00,2.00,6.00,8.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7083785,1.00,4.00,2.00,3.00,2.00,NULL,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7083793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7083807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7083815,3.00,4.00,3.00,4.00,7.00,9.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7083823,1.00,4.00,3.00,3.00,6.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7083858,3.00,2.00,3.00,4.00,3.00,4.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7083866,4.00,8.00,4.00,7.00,9.00,10.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7083882,0.00,7.00,2.00,7.00,6.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7083904,7.00,7.00,4.00,7.00,10.00,13.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7083912,1.00,5.00,0.00,5.00,4.00,6.38,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7083920,3.00,7.00,2.00,6.00,5.00,9.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7083939,4.00,6.00,4.00,4.00,4.00,4.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7083947,4.00,6.00,2.00,7.00,9.00,10.50,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7083955,1.00,8.00,1.00,7.00,5.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7083980,2.00,7.00,2.00,7.00,4.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7083998,0.00,4.00,2.00,5.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7084005,0.00,4.00,2.00,5.00,3.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7084013,3.00,9.00,1.00,7.00,6.00,9.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7084021,1.00,4.00,1.00,6.00,5.00,4.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7084030,0.00,3.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7084048,3.00,6.00,1.00,7.00,7.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7084064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7084072,3.00,8.00,2.00,8.00,9.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7084080,2.00,7.00,2.00,8.00,7.00,8.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7084099,1.00,4.00,3.00,3.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7084102,1.00,4.00,0.00,2.00,3.00,7.50,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7084110,2.00,7.00,2.00,7.00,6.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7084129,5.00,8.00,3.00,3.00,7.00,NULL,6.00,8.00,3.00,NULL,NULL,'S','N'),(28,7084137,4.00,6.00,3.00,6.00,6.00,9.75,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7084145,3.00,5.00,3.00,5.00,8.00,7.88,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7084161,1.00,3.00,2.00,5.00,3.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7084170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7084188,5.00,8.00,5.00,7.00,8.00,10.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7084196,1.00,7.00,3.00,3.00,6.00,9.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7084200,5.00,8.00,2.00,4.00,5.00,4.88,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7084226,6.00,7.00,3.00,6.00,5.00,8.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7084242,3.00,8.00,2.00,5.00,7.00,7.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7084269,4.00,8.00,2.00,7.00,8.00,11.63,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7084293,2.00,4.00,2.00,5.00,6.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7084307,0.00,6.00,3.00,7.00,7.00,NULL,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7084315,0.00,2.00,0.00,3.00,1.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7084331,5.00,7.00,0.00,7.00,5.00,11.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7084340,3.00,6.00,2.00,7.00,7.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7084358,3.00,6.00,1.00,6.00,3.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7084366,1.00,8.00,1.00,6.00,7.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7084374,3.00,5.00,0.00,6.00,6.00,7.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7084382,2.00,4.00,0.00,2.00,3.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7084420,5.00,7.00,2.00,5.00,7.00,10.88,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7084447,7.00,6.00,2.00,6.00,7.00,6.75,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7084471,4.00,5.00,0.00,5.00,4.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7084498,1.00,7.00,2.00,6.00,8.00,6.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7084510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7084528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7084544,4.00,5.00,5.00,5.00,7.00,9.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7084560,0.00,6.00,1.00,2.00,5.00,10.88,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7084579,2.00,4.00,1.00,4.00,5.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7084587,0.00,2.00,2.00,3.00,4.00,3.00,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7084595,1.00,5.00,1.00,3.00,3.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7084609,3.00,6.00,0.00,6.00,9.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7084625,3.00,7.00,3.00,7.00,4.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7084633,1.00,3.00,3.00,4.00,5.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7084650,4.00,6.00,3.00,7.00,9.00,10.13,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(28,7084668,1.00,4.00,2.00,3.00,4.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7084676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7084684,6.00,7.00,3.00,6.00,6.00,7.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7084706,4.00,6.00,1.00,5.00,6.00,10.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7084749,3.00,5.00,2.00,4.00,8.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7084757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7084765,1.00,6.00,1.00,5.00,5.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7084781,0.00,4.00,2.00,3.00,1.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7084790,8.00,9.00,7.00,5.00,10.00,11.63,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7084803,1.00,6.00,2.00,7.00,8.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7084811,5.00,7.00,6.00,6.00,10.00,10.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7084838,4.00,6.00,4.00,4.00,7.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7084846,2.00,7.00,1.00,6.00,8.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7084854,4.00,6.00,2.00,7.00,2.00,NULL,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7084870,5.00,8.00,2.00,6.00,5.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7084889,0.00,4.00,2.00,5.00,5.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7084897,2.00,4.00,0.00,2.00,4.00,5.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7084919,2.00,7.00,1.00,5.00,8.00,5.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7084927,4.00,8.00,3.00,5.00,6.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7084935,0.00,5.00,2.00,7.00,1.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7084951,1.00,5.00,1.00,5.00,6.00,12.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7084960,3.00,0.00,2.00,6.00,10.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7084978,1.00,4.00,1.00,6.00,5.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7084994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7085036,2.00,5.00,2.00,6.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7085052,0.00,4.00,2.00,4.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7085060,4.00,6.00,0.00,6.00,8.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7085079,1.00,4.00,1.00,3.00,5.00,6.38,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7085087,7.00,7.00,1.00,7.00,7.00,9.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7085095,3.00,5.00,3.00,3.00,5.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7085117,4.00,5.00,2.00,5.00,8.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7085133,4.00,7.00,1.00,7.00,7.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7085141,4.00,5.00,1.00,6.00,8.00,9.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7085150,1.00,6.00,3.00,3.00,5.00,4.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7085176,3.00,8.00,3.00,6.00,7.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7085184,3.00,6.00,1.00,6.00,8.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7085192,0.00,5.00,2.00,6.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7085206,1.00,7.00,1.00,3.00,6.00,6.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7085214,0.00,3.00,3.00,2.00,3.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7085230,6.00,5.00,3.00,5.00,6.00,6.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7085257,4.00,6.00,3.00,6.00,7.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7085273,5.00,7.00,3.00,7.00,9.00,10.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7085281,7.00,8.00,7.00,6.00,9.00,6.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7085290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7085303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7085311,4.00,6.00,4.00,7.00,6.00,9.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7085320,0.00,3.00,2.00,1.00,5.00,4.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7085338,5.00,6.00,4.00,5.00,7.00,4.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7085354,2.00,4.00,3.00,6.00,5.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7085362,0.00,5.00,2.00,7.00,7.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7085370,4.00,6.00,0.00,3.00,5.00,NULL,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7085400,2.00,7.00,4.00,6.00,7.00,9.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7085419,0.00,5.00,1.00,4.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7085427,1.00,5.00,1.00,5.00,4.00,NULL,2.00,5.00,1.00,NULL,NULL,'S','N'),(28,7085443,2.00,8.00,3.00,7.00,6.00,10.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7085451,4.00,9.00,2.00,6.00,9.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7085460,1.00,6.00,3.00,7.00,8.00,9.38,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7085478,0.00,4.00,1.00,3.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7085486,6.00,8.00,4.00,7.00,8.00,9.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7085494,6.00,6.00,1.00,5.00,7.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7085508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7085516,1.00,5.00,0.00,4.00,7.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7085524,5.00,7.00,6.00,6.00,9.00,10.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7085532,4.00,7.00,3.00,3.00,10.00,8.63,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7085540,2.00,7.00,3.00,4.00,8.00,9.00,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7085559,3.00,3.00,2.00,4.00,3.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7085567,1.00,7.00,3.00,6.00,8.00,11.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7085575,6.00,7.00,1.00,6.00,8.00,7.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7085583,6.00,9.00,5.00,7.00,7.00,9.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7085591,2.00,3.00,2.00,5.00,4.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7085605,2.00,6.00,3.00,5.00,5.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7085613,7.00,7.00,5.00,6.00,9.00,10.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7085621,4.00,7.00,3.00,5.00,8.00,9.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7085630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7085648,4.00,6.00,3.00,7.00,6.00,9.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7085656,2.00,8.00,1.00,7.00,8.00,5.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7085664,4.00,7.00,0.00,6.00,9.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7085672,3.00,7.00,1.00,5.00,7.00,7.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7085680,2.00,4.00,0.00,4.00,5.00,5.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7085699,0.00,5.00,2.00,4.00,3.00,8.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7085702,4.00,9.00,5.00,7.00,8.00,9.38,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7085737,1.00,9.00,1.00,4.00,6.00,5.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7085745,4.00,5.00,3.00,3.00,7.00,10.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7085753,4.00,7.00,3.00,6.00,8.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7085761,3.00,6.00,3.00,5.00,9.00,11.25,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(28,7085788,1.00,6.00,1.00,6.00,7.00,8.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7085796,7.00,8.00,2.00,7.00,8.00,10.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7085800,3.00,6.00,3.00,7.00,9.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7085818,4.00,6.00,3.00,6.00,8.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7085826,6.00,7.00,3.00,7.00,8.00,9.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7085834,7.00,8.00,5.00,7.00,8.00,7.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7085842,0.00,5.00,2.00,3.00,3.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7085850,1.00,5.00,1.00,7.00,7.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7085869,2.00,5.00,1.00,5.00,3.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7085877,0.00,6.00,1.00,4.00,4.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7085893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7085907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7085915,7.00,6.00,4.00,6.00,7.00,8.63,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7085923,0.00,3.00,3.00,4.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7085931,1.00,4.00,1.00,4.00,8.00,NULL,3.00,2.00,1.00,NULL,NULL,'S','N'),(28,7085958,0.00,3.00,2.00,1.00,5.00,6.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7085974,1.00,2.00,1.00,4.00,3.00,7.50,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7085990,6.00,7.00,6.00,6.00,7.00,9.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7086008,7.00,7.00,5.00,8.00,9.00,7.88,7.00,7.00,9.00,NULL,NULL,NULL,'N'),(28,7086016,6.00,8.00,3.00,6.00,8.00,8.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7086024,5.00,8.00,4.00,7.00,10.00,11.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7086032,3.00,7.00,4.00,7.00,9.00,10.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7086040,4.00,6.00,3.00,7.00,9.00,11.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7086091,1.00,2.00,2.00,4.00,3.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7086113,3.00,7.00,1.00,5.00,3.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7086130,5.00,9.00,4.00,6.00,9.00,11.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7086148,2.00,7.00,2.00,6.00,7.00,4.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7086156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7086172,5.00,6.00,1.00,7.00,5.00,5.25,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7086180,5.00,5.00,3.00,6.00,6.00,7.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7086199,4.00,6.00,3.00,3.00,6.00,6.75,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7086210,6.00,7.00,3.00,7.00,7.00,12.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7086237,3.00,7.00,2.00,7.00,6.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7086253,1.00,6.00,1.00,4.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7086270,0.00,3.00,2.00,2.00,4.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7086300,1.00,5.00,3.00,5.00,6.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7086326,0.00,4.00,2.00,3.00,3.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7086334,4.00,9.00,4.00,7.00,7.00,11.25,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7086342,6.00,6.00,3.00,6.00,7.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7086350,0.00,4.00,3.00,2.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7086369,2.00,3.00,2.00,2.00,4.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7086377,3.00,6.00,1.00,4.00,4.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7086393,0.00,4.00,2.00,5.00,4.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7086407,6.00,8.00,8.00,8.00,9.00,10.50,5.00,7.00,9.00,NULL,NULL,NULL,'N'),(28,7086415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7086423,1.00,5.00,1.00,6.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7086431,2.00,4.00,0.00,4.00,3.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7086440,0.00,3.00,2.00,4.00,3.00,6.38,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7086458,1.00,8.00,0.00,7.00,5.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7086466,0.00,5.00,3.00,7.00,7.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7086474,2.00,6.00,3.00,6.00,8.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7086482,3.00,6.00,3.00,6.00,5.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7086490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7086504,4.00,8.00,4.00,5.00,4.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7086520,3.00,7.00,1.00,5.00,7.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7086547,6.00,7.00,4.00,5.00,5.00,10.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7086563,1.00,1.00,0.00,3.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7086571,3.00,6.00,3.00,6.00,9.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7086580,4.00,4.00,2.00,3.00,5.00,8.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7086598,1.00,5.00,0.00,4.00,6.00,7.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7086610,2.00,2.00,2.00,3.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7086628,7.00,6.00,4.00,5.00,10.00,9.38,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7086636,7.00,7.00,4.00,7.00,8.00,10.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7086644,4.00,6.00,2.00,6.00,5.00,9.75,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(28,7086652,2.00,4.00,4.00,8.00,7.00,10.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7086660,4.00,7.00,3.00,7.00,7.00,10.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7086679,2.00,3.00,3.00,5.00,4.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7086687,2.00,7.00,1.00,7.00,5.00,NULL,2.00,6.00,4.00,NULL,NULL,'S','N'),(28,7086695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7086709,4.00,7.00,6.00,6.00,6.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7086717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7086725,5.00,6.00,3.00,5.00,6.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7086733,4.00,7.00,3.00,6.00,6.00,11.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7086741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7086768,0.00,5.00,4.00,7.00,8.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7086776,4.00,9.00,2.00,7.00,9.00,10.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7086784,7.00,8.00,5.00,7.00,10.00,8.25,9.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7086792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7086814,0.00,4.00,2.00,6.00,3.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7086822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7086830,2.00,7.00,3.00,3.00,4.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7086849,7.00,6.00,1.00,5.00,9.00,11.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7086857,3.00,9.00,2.00,7.00,5.00,9.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7086865,4.00,6.00,4.00,5.00,6.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7086890,1.00,5.00,1.00,4.00,4.00,9.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7086911,1.00,4.00,2.00,0.00,5.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7086920,1.00,4.00,2.00,3.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7086938,0.00,4.00,3.00,5.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7086954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7086962,4.00,4.00,3.00,4.00,5.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7086970,0.00,6.00,2.00,4.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7086989,5.00,6.00,1.00,6.00,4.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7086997,0.00,8.00,0.00,2.00,4.00,6.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7087004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7087012,7.00,8.00,5.00,6.00,8.00,12.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7087020,1.00,2.00,1.00,1.00,3.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7087039,5.00,8.00,8.00,6.00,3.00,8.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7087055,3.00,7.00,1.00,5.00,6.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7087063,4.00,6.00,3.00,8.00,7.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7087071,1.00,3.00,2.00,2.00,6.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7087080,0.00,2.00,2.00,5.00,5.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7087098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7087101,6.00,5.00,1.00,6.00,9.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7087136,5.00,8.00,0.00,7.00,8.00,10.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7087144,3.00,6.00,2.00,5.00,4.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7087179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7087187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7087195,0.00,2.00,3.00,2.00,5.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7087209,2.00,5.00,2.00,5.00,7.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7087225,0.00,5.00,3.00,3.00,6.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7087241,6.00,9.00,2.00,6.00,7.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7087250,2.00,3.00,1.00,5.00,5.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7087268,0.00,4.00,2.00,4.00,4.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7087276,3.00,3.00,4.00,5.00,5.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7087284,1.00,7.00,1.00,6.00,5.00,6.38,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7087292,3.00,4.00,1.00,6.00,4.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7087314,2.00,3.00,1.00,4.00,5.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7087322,9.00,8.00,6.00,7.00,10.00,11.63,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7087330,8.00,8.00,4.00,6.00,7.00,10.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7087349,3.00,6.00,4.00,6.00,8.00,6.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7087365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7087373,3.00,7.00,4.00,6.00,7.00,7.88,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7087381,1.00,5.00,4.00,3.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7087403,2.00,6.00,1.00,6.00,4.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7087411,4.00,6.00,3.00,6.00,6.00,7.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7087420,4.00,5.00,3.00,4.00,6.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7087438,1.00,5.00,1.00,3.00,4.00,6.75,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7087446,2.00,6.00,2.00,6.00,8.00,5.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7087462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7087470,3.00,5.00,3.00,4.00,5.00,11.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7087497,2.00,5.00,3.00,5.00,5.00,5.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7087519,0.00,3.00,2.00,3.00,4.00,6.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7087535,6.00,7.00,7.00,7.00,10.00,11.63,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7087543,1.00,4.00,3.00,1.00,4.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7087551,5.00,8.00,5.00,7.00,9.00,9.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7087560,4.00,8.00,3.00,7.00,8.00,9.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7087578,2.00,4.00,2.00,5.00,3.00,6.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7087586,3.00,6.00,3.00,6.00,9.00,9.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7087594,3.00,7.00,1.00,4.00,5.00,7.88,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7087608,1.00,5.00,2.00,6.00,6.00,9.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7087616,5.00,4.00,1.00,5.00,6.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7087624,0.00,3.00,2.00,6.00,5.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7087632,4.00,4.00,2.00,4.00,5.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7087659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7087667,1.00,4.00,2.00,5.00,7.00,10.88,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7087675,2.00,7.00,3.00,3.00,7.00,9.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7087683,9.00,8.00,4.00,5.00,9.00,9.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7087691,0.00,2.00,2.00,4.00,4.00,8.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7087705,3.00,9.00,4.00,7.00,8.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7087713,1.00,6.00,3.00,6.00,6.00,5.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7087721,3.00,4.00,3.00,6.00,6.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7087730,0.00,4.00,1.00,6.00,3.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7087748,3.00,7.00,2.00,5.00,10.00,10.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7087756,0.00,4.00,0.00,5.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7087764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7087772,2.00,8.00,3.00,6.00,7.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7087802,3.00,7.00,4.00,7.00,8.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7087810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7087829,3.00,7.00,4.00,6.00,5.00,8.63,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7087845,0.00,7.00,2.00,5.00,6.00,7.13,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7087853,2.00,7.00,0.00,4.00,5.00,4.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7087861,2.00,5.00,2.00,5.00,6.00,3.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7087870,3.00,5.00,3.00,4.00,6.00,5.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7087896,0.00,4.00,0.00,4.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7087900,2.00,4.00,2.00,5.00,5.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7087926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7087934,1.00,7.00,3.00,7.00,9.00,9.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7087942,1.00,5.00,1.00,4.00,3.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7087969,1.00,4.00,2.00,3.00,5.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7087977,5.00,7.00,3.00,7.00,9.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7087985,1.00,5.00,3.00,5.00,7.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7088027,1.00,5.00,1.00,6.00,8.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7088051,6.00,5.00,1.00,6.00,7.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7088060,6.00,6.00,2.00,6.00,8.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7088078,7.00,8.00,1.00,6.00,7.00,11.63,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7088086,3.00,7.00,4.00,1.00,5.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7088094,4.00,6.00,3.00,4.00,5.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7088108,0.00,3.00,2.00,2.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7088124,1.00,7.00,5.00,6.00,8.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7088167,6.00,9.00,6.00,6.00,9.00,8.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7088205,1.00,6.00,1.00,5.00,6.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7088213,1.00,3.00,3.00,3.00,4.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7088221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7088248,5.00,7.00,5.00,6.00,7.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7088256,2.00,7.00,4.00,7.00,7.00,7.13,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7088264,0.00,4.00,4.00,5.00,7.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7088272,5.00,7.00,3.00,5.00,7.00,10.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7088280,3.00,5.00,2.00,6.00,4.00,8.25,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7088299,1.00,4.00,1.00,5.00,1.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7088302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7088310,0.00,3.00,3.00,3.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7088337,4.00,8.00,2.00,6.00,5.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7088345,4.00,5.00,1.00,5.00,10.00,9.75,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7088388,3.00,4.00,3.00,6.00,7.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7088396,5.00,7.00,1.00,7.00,8.00,11.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7088400,2.00,7.00,3.00,5.00,4.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7088418,5.00,7.00,1.00,6.00,7.00,10.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7088426,1.00,6.00,2.00,2.00,3.00,6.00,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7088442,0.00,7.00,5.00,7.00,6.00,7.88,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7088450,2.00,7.00,3.00,6.00,6.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7088477,2.00,6.00,2.00,6.00,3.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7088493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7088507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7088515,0.00,2.00,2.00,3.00,4.00,7.50,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7088523,4.00,7.00,1.00,6.00,10.00,10.88,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7088531,0.00,3.00,1.00,4.00,7.00,8.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7088540,5.00,7.00,2.00,7.00,6.00,8.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7088558,8.00,8.00,4.00,8.00,6.00,10.13,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(28,7088566,1.00,3.00,2.00,5.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7088574,2.00,2.00,2.00,4.00,3.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7088582,0.00,1.00,0.00,4.00,1.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7088590,6.00,7.00,3.00,7.00,7.00,8.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7088604,0.00,0.00,0.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7088612,3.00,8.00,3.00,7.00,8.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7088620,3.00,4.00,1.00,5.00,7.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7088639,2.00,8.00,2.00,1.00,4.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7088647,1.00,7.00,4.00,6.00,9.00,8.63,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7088655,4.00,4.00,4.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7088680,0.00,4.00,3.00,2.00,5.00,7.88,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7088698,3.00,6.00,5.00,3.00,5.00,3.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7088701,5.00,5.00,1.00,5.00,7.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7088728,4.00,7.00,1.00,8.00,9.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7088736,1.00,6.00,1.00,5.00,8.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7088744,6.00,5.00,1.00,6.00,5.00,5.63,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7088752,0.00,2.00,2.00,3.00,3.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7088760,3.00,6.00,3.00,4.00,5.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7088779,6.00,8.00,2.00,6.00,9.00,10.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7088787,6.00,7.00,2.00,1.00,6.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7088795,5.00,7.00,2.00,6.00,10.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7088809,4.00,7.00,4.00,6.00,6.00,8.63,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7088825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7088833,1.00,5.00,1.00,4.00,7.00,7.13,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7088841,3.00,4.00,1.00,4.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7088850,1.00,6.00,1.00,6.00,4.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7088868,2.00,1.00,2.00,2.00,4.00,7.88,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7088876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7088884,1.00,6.00,2.00,4.00,3.00,6.00,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7088892,0.00,4.00,3.00,4.00,4.00,6.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7088914,2.00,6.00,2.00,5.00,7.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7088922,0.00,0.00,2.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7088930,0.00,5.00,2.00,5.00,9.00,6.38,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7088949,6.00,7.00,5.00,6.00,11.00,11.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7088957,2.00,8.00,2.00,5.00,8.00,9.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7088965,5.00,6.00,2.00,5.00,8.00,5.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7088973,3.00,5.00,2.00,6.00,7.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7088981,2.00,7.00,3.00,8.00,5.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7088990,2.00,3.00,1.00,1.00,0.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7089007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7089015,1.00,3.00,2.00,6.00,5.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7089023,7.00,7.00,2.00,6.00,10.00,12.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7089031,2.00,6.00,2.00,7.00,6.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7089040,0.00,2.00,3.00,5.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7089074,1.00,2.00,4.00,3.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7089082,2.00,7.00,4.00,3.00,4.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7089090,2.00,4.00,0.00,6.00,5.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7089104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7089112,0.00,4.00,3.00,1.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7089120,3.00,5.00,1.00,5.00,7.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7089139,1.00,4.00,4.00,5.00,4.00,7.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7089147,4.00,7.00,1.00,6.00,7.00,10.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7089155,2.00,6.00,3.00,5.00,8.00,7.88,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7089163,2.00,5.00,2.00,6.00,7.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7089180,1.00,5.00,2.00,4.00,7.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7089198,5.00,8.00,3.00,6.00,9.00,8.63,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7089210,1.00,4.00,3.00,2.00,5.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7089228,4.00,6.00,0.00,7.00,6.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7089244,3.00,6.00,2.00,3.00,4.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7089252,2.00,6.00,3.00,6.00,6.00,7.88,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7089260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7089279,6.00,7.00,5.00,4.00,6.00,7.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7089287,3.00,6.00,3.00,6.00,8.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7089295,1.00,4.00,2.00,5.00,3.00,4.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7089309,1.00,2.00,3.00,5.00,4.00,5.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7089317,5.00,7.00,3.00,7.00,9.00,13.50,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7089325,2.00,6.00,4.00,5.00,9.00,7.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7089333,3.00,7.00,2.00,7.00,6.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7089341,6.00,8.00,6.00,6.00,9.00,9.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7089350,3.00,7.00,0.00,6.00,7.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7089368,4.00,4.00,4.00,5.00,7.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7089376,4.00,4.00,2.00,3.00,6.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7089392,1.00,5.00,2.00,6.00,6.00,6.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7089414,7.00,7.00,2.00,7.00,7.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7089430,4.00,7.00,3.00,7.00,6.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7089449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7089457,1.00,6.00,2.00,2.00,5.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7089465,5.00,7.00,2.00,8.00,4.00,7.88,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7089481,3.00,4.00,3.00,4.00,3.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7089503,3.00,5.00,3.00,6.00,5.00,6.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7089511,2.00,6.00,4.00,4.00,4.00,0.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7089520,2.00,4.00,3.00,5.00,6.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7089538,1.00,4.00,0.00,6.00,5.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7089546,0.00,4.00,1.00,2.00,5.00,6.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7089554,1.00,3.00,2.00,3.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,'S','S'),(28,7089589,5.00,5.00,2.00,5.00,5.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7089597,8.00,7.00,3.00,5.00,7.00,7.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7089600,3.00,8.00,2.00,1.00,4.00,9.75,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7089627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7089635,2.00,5.00,2.00,4.00,6.00,11.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7089643,1.00,7.00,3.00,6.00,3.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7089660,2.00,6.00,1.00,6.00,6.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7089678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7089686,2.00,5.00,1.00,4.00,5.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7089694,5.00,7.00,5.00,7.00,9.00,9.00,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7089708,0.00,5.00,1.00,2.00,4.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7089716,6.00,7.00,3.00,6.00,6.00,10.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7089724,2.00,5.00,1.00,7.00,7.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7089732,0.00,3.00,1.00,5.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7089740,5.00,4.00,4.00,3.00,6.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7089759,4.00,6.00,2.00,6.00,8.00,8.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7089767,3.00,6.00,1.00,5.00,5.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7089791,1.00,5.00,1.00,5.00,6.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7089805,1.00,7.00,3.00,6.00,5.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7089813,6.00,8.00,3.00,8.00,9.00,8.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7089830,2.00,6.00,0.00,7.00,6.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7089848,2.00,7.00,4.00,4.00,7.00,5.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7089856,1.00,4.00,2.00,5.00,6.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7089864,5.00,5.00,2.00,7.00,6.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7089872,2.00,2.00,1.00,2.00,3.00,5.25,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7089880,3.00,6.00,2.00,6.00,5.00,11.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7089899,7.00,5.00,5.00,6.00,8.00,8.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7089902,0.00,4.00,4.00,5.00,5.00,3.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7089910,2.00,2.00,1.00,4.00,5.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7089929,7.00,8.00,4.00,8.00,7.00,8.63,4.00,7.00,6.00,NULL,NULL,NULL,'S'),(28,7089937,4.00,6.00,0.00,6.00,8.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7089945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7089953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7089970,2.00,5.00,2.00,4.00,3.00,5.63,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7089996,5.00,8.00,4.00,5.00,7.00,11.25,6.00,6.00,6.00,NULL,NULL,NULL,'S'),(28,7090005,3.00,7.00,5.00,6.00,8.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7090013,5.00,8.00,5.00,4.00,7.00,7.88,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7090021,1.00,2.00,0.00,1.00,0.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7090030,2.00,4.00,2.00,4.00,5.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7090048,5.00,7.00,3.00,6.00,9.00,8.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7090056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7090072,4.00,5.00,3.00,6.00,9.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7090080,5.00,6.00,2.00,5.00,3.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7090099,2.00,4.00,3.00,1.00,3.00,4.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7090102,6.00,8.00,4.00,6.00,10.00,10.88,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7090129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7090137,3.00,6.00,3.00,5.00,7.00,9.38,4.00,3.00,8.00,NULL,NULL,NULL,'N'),(28,7090145,5.00,7.00,2.00,6.00,7.00,10.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7090153,6.00,6.00,3.00,6.00,6.00,6.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7090161,3.00,5.00,2.00,7.00,5.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7090170,3.00,5.00,3.00,5.00,8.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7090188,1.00,4.00,2.00,5.00,1.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7090200,3.00,4.00,1.00,5.00,7.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7090218,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7090226,2.00,8.00,0.00,3.00,7.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7090234,0.00,4.00,1.00,1.00,3.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7090242,3.00,8.00,2.00,5.00,7.00,6.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7090250,5.00,8.00,3.00,5.00,10.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7090269,3.00,9.00,1.00,4.00,8.00,8.63,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7090285,4.00,5.00,1.00,5.00,4.00,6.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7090307,6.00,8.00,1.00,6.00,9.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7090315,1.00,5.00,1.00,5.00,6.00,9.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7090323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7090331,2.00,6.00,3.00,2.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7090340,4.00,8.00,1.00,7.00,8.00,8.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7090358,3.00,5.00,2.00,5.00,6.00,7.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7090366,3.00,4.00,2.00,4.00,5.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7090374,3.00,6.00,1.00,6.00,7.00,6.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7090404,4.00,7.00,2.00,5.00,5.00,10.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7090412,0.00,4.00,3.00,4.00,8.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7090420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7090439,7.00,7.00,4.00,6.00,10.00,11.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7090447,0.00,0.00,2.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7090463,1.00,6.00,3.00,4.00,1.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7090471,3.00,4.00,2.00,5.00,5.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7090480,7.00,8.00,0.00,5.00,3.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7090498,0.00,6.00,4.00,3.00,5.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7090501,2.00,5.00,0.00,5.00,5.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7090510,6.00,8.00,7.00,7.00,8.00,10.13,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7090528,0.00,4.00,2.00,6.00,3.00,6.38,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7090552,7.00,8.00,4.00,6.00,8.00,9.38,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7090560,4.00,6.00,3.00,2.00,5.00,6.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7090587,1.00,4.00,2.00,6.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7090595,1.00,6.00,5.00,6.00,4.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7090609,1.00,7.00,2.00,4.00,7.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7090617,3.00,6.00,3.00,4.00,5.00,4.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7090633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7090650,2.00,6.00,1.00,5.00,6.00,12.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7090668,6.00,7.00,2.00,6.00,9.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7090676,6.00,9.00,5.00,7.00,11.00,9.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7090692,1.00,4.00,1.00,7.00,3.00,10.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7090714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7090722,3.00,8.00,2.00,6.00,6.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7090730,3.00,7.00,1.00,4.00,6.00,12.38,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7090757,1.00,2.00,0.00,3.00,5.00,5.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7090765,9.00,8.00,6.00,7.00,11.00,9.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7090773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7090790,1.00,3.00,3.00,4.00,5.00,6.75,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7090803,2.00,6.00,3.00,7.00,7.00,6.00,7.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7090811,2.00,2.00,0.00,6.00,5.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7090820,0.00,4.00,1.00,6.00,4.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7090846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7090854,3.00,4.00,2.00,4.00,7.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7090889,0.00,4.00,2.00,1.00,0.00,NULL,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7090900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7090919,2.00,0.00,0.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7090927,3.00,7.00,2.00,3.00,3.00,6.38,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7090935,4.00,7.00,1.00,5.00,8.00,10.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7090943,4.00,5.00,2.00,4.00,5.00,7.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7090951,5.00,6.00,1.00,6.00,6.00,12.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7090960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7090986,3.00,6.00,1.00,5.00,5.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7090994,7.00,6.00,4.00,6.00,9.00,11.25,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7091001,4.00,8.00,3.00,7.00,8.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7091010,2.00,7.00,3.00,5.00,6.00,8.25,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7091028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7091036,5.00,9.00,3.00,7.00,8.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7091044,2.00,3.00,0.00,4.00,4.00,NULL,4.00,5.00,2.00,NULL,NULL,'S','N'),(28,7091052,1.00,4.00,2.00,2.00,1.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7091060,1.00,6.00,3.00,7.00,4.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7091079,6.00,9.00,3.00,3.00,9.00,10.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7091087,1.00,5.00,1.00,7.00,6.00,11.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7091109,2.00,7.00,3.00,7.00,5.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7091150,0.00,5.00,1.00,4.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7091168,2.00,8.00,2.00,6.00,6.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7091176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7091184,1.00,7.00,1.00,2.00,7.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7091192,2.00,4.00,1.00,5.00,6.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7091214,2.00,5.00,0.00,3.00,7.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7091222,0.00,3.00,2.00,3.00,3.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7091230,0.00,2.00,1.00,3.00,4.00,7.13,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7091249,1.00,2.00,0.00,5.00,5.00,10.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7091265,2.00,6.00,3.00,7.00,7.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7091273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7091281,3.00,5.00,2.00,7.00,9.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7091290,1.00,7.00,3.00,7.00,7.00,7.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7091303,7.00,6.00,3.00,5.00,8.00,10.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7091311,4.00,7.00,2.00,7.00,7.00,11.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7091320,3.00,4.00,3.00,2.00,5.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7091338,4.00,4.00,2.00,4.00,3.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7091346,6.00,8.00,4.00,6.00,10.00,10.88,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7091354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7091370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7091400,5.00,4.00,1.00,6.00,5.00,5.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7091419,2.00,4.00,0.00,7.00,7.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7091427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7091435,0.00,3.00,2.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7091443,1.00,7.00,2.00,5.00,9.00,10.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7091478,7.00,6.00,5.00,7.00,7.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7091486,2.00,5.00,3.00,8.00,7.00,10.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7091494,2.00,5.00,3.00,5.00,7.00,9.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7091532,3.00,5.00,3.00,3.00,4.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7091540,2.00,2.00,3.00,4.00,3.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7091559,3.00,7.00,4.00,7.00,8.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7091567,4.00,9.00,3.00,8.00,9.00,13.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7091575,3.00,6.00,3.00,7.00,8.00,8.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7091591,0.00,4.00,1.00,2.00,2.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7091605,2.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7091613,0.00,1.00,1.00,3.00,4.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7091621,0.00,2.00,1.00,5.00,6.00,7.88,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7091630,1.00,6.00,1.00,4.00,4.00,7.13,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7091656,3.00,5.00,4.00,5.00,7.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7091664,0.00,2.00,3.00,7.00,1.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7091672,7.00,8.00,3.00,7.00,8.00,9.38,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7091710,3.00,6.00,2.00,2.00,4.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7091745,3.00,5.00,3.00,5.00,6.00,9.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7091753,1.00,6.00,2.00,5.00,5.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7091761,3.00,7.00,2.00,4.00,8.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7091770,1.00,5.00,2.00,6.00,6.00,6.38,3.00,1.00,2.00,NULL,NULL,NULL,'S'),(28,7091796,0.00,1.00,3.00,6.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7091818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7091826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7091834,2.00,4.00,2.00,5.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7091842,7.00,8.00,7.00,7.00,10.00,9.38,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7091869,1.00,5.00,1.00,2.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7091877,0.00,8.00,1.00,4.00,5.00,6.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7091885,0.00,4.00,2.00,1.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7091893,7.00,9.00,5.00,7.00,8.00,9.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7091907,3.00,7.00,3.00,5.00,4.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7091923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7091931,3.00,6.00,1.00,5.00,6.00,6.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7091940,2.00,4.00,1.00,6.00,4.00,10.13,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7091958,1.00,4.00,2.00,5.00,4.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7091966,7.00,9.00,3.00,8.00,9.00,10.13,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7091982,2.00,8.00,2.00,7.00,6.00,9.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7091990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7092008,1.00,3.00,1.00,7.00,3.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7092016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7092024,4.00,8.00,3.00,5.00,8.00,9.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7092032,2.00,6.00,3.00,6.00,5.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7092059,3.00,7.00,2.00,4.00,5.00,6.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7092067,2.00,6.00,1.00,3.00,7.00,8.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7092075,1.00,5.00,1.00,6.00,8.00,7.88,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7092083,3.00,8.00,2.00,8.00,8.00,11.63,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7092091,0.00,5.00,1.00,5.00,4.00,5.63,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7092105,3.00,7.00,1.00,7.00,9.00,9.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7092130,1.00,3.00,1.00,6.00,5.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7092148,3.00,6.00,2.00,5.00,6.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7092164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7092172,1.00,2.00,0.00,2.00,6.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7092180,0.00,6.00,2.00,6.00,9.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7092199,1.00,8.00,1.00,6.00,7.00,11.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7092202,4.00,8.00,6.00,6.00,7.00,10.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7092245,0.00,2.00,1.00,1.00,5.00,6.00,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7092253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7092261,4.00,7.00,3.00,7.00,9.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7092270,1.00,6.00,2.00,6.00,6.00,12.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7092288,2.00,7.00,3.00,2.00,7.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7092296,5.00,9.00,5.00,7.00,9.00,6.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7092318,7.00,7.00,4.00,3.00,7.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7092334,6.00,9.00,5.00,6.00,9.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7092350,4.00,8.00,1.00,6.00,9.00,8.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7092369,1.00,3.00,0.00,1.00,4.00,7.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7092407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7092423,1.00,7.00,2.00,6.00,8.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7092431,2.00,5.00,2.00,7.00,2.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7092440,0.00,6.00,1.00,4.00,6.00,NULL,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7092458,0.00,4.00,2.00,5.00,5.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7092466,2.00,7.00,4.00,7.00,4.00,NULL,4.00,5.00,1.00,NULL,NULL,'S','N'),(28,7092474,0.00,3.00,2.00,2.00,4.00,4.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7092482,4.00,7.00,2.00,7.00,8.00,9.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7092490,5.00,7.00,1.00,7.00,9.00,11.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7092504,2.00,5.00,2.00,5.00,6.00,8.63,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7092520,0.00,4.00,2.00,1.00,3.00,0.00,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7092539,1.00,5.00,5.00,4.00,7.00,3.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7092547,4.00,7.00,2.00,6.00,8.00,8.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7092555,0.00,5.00,0.00,7.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7092563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7092571,3.00,7.00,1.00,7.00,6.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7092580,5.00,8.00,3.00,5.00,8.00,11.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7092598,6.00,8.00,6.00,7.00,7.00,8.63,1.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7092601,3.00,8.00,2.00,7.00,7.00,7.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7092610,0.00,3.00,1.00,2.00,3.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7092628,4.00,5.00,1.00,6.00,8.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7092636,2.00,4.00,1.00,4.00,3.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7092644,5.00,7.00,2.00,6.00,6.00,8.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7092660,3.00,4.00,2.00,5.00,4.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7092679,4.00,8.00,3.00,5.00,8.00,10.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7092687,1.00,1.00,1.00,2.00,1.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7092695,0.00,3.00,4.00,5.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7092709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7092725,1.00,6.00,1.00,5.00,4.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7092733,4.00,7.00,2.00,6.00,7.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7092741,1.00,4.00,1.00,3.00,7.00,9.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7092768,3.00,2.00,3.00,2.00,3.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7092776,6.00,8.00,3.00,5.00,8.00,8.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7092784,7.00,8.00,6.00,7.00,7.00,10.13,7.00,9.00,7.00,NULL,NULL,NULL,'N'),(28,7092792,1.00,4.00,0.00,5.00,4.00,3.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7092806,4.00,7.00,3.00,7.00,7.00,11.63,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7092814,7.00,7.00,2.00,6.00,10.00,12.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7092822,4.00,8.00,3.00,7.00,8.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7092830,4.00,6.00,4.00,6.00,8.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7092865,8.00,8.00,4.00,7.00,8.00,11.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7092873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7092890,5.00,7.00,5.00,7.00,8.00,10.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7092903,1.00,5.00,4.00,4.00,3.00,7.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7092911,4.00,5.00,1.00,7.00,7.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7092920,2.00,5.00,1.00,5.00,4.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7092954,7.00,8.00,3.00,7.00,6.00,10.13,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7092962,5.00,6.00,3.00,7.00,5.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7092970,2.00,2.00,2.00,3.00,5.00,7.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7092989,1.00,6.00,2.00,6.00,6.00,4.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7092997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7093004,3.00,6.00,3.00,5.00,8.00,8.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7093012,6.00,7.00,2.00,6.00,8.00,12.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7093020,1.00,6.00,4.00,6.00,4.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7093047,5.00,7.00,2.00,6.00,6.00,7.88,3.00,7.00,1.00,NULL,NULL,NULL,'S'),(28,7093055,7.00,9.00,5.00,7.00,10.00,8.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7093063,3.00,7.00,2.00,4.00,8.00,10.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7093071,6.00,8.00,1.00,7.00,9.00,8.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7093080,3.00,7.00,1.00,6.00,8.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7093098,1.00,2.00,1.00,6.00,4.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7093101,4.00,7.00,2.00,6.00,5.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7093110,1.00,2.00,4.00,3.00,3.00,5.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7093144,3.00,7.00,3.00,7.00,7.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7093160,4.00,8.00,1.00,7.00,9.00,11.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7093179,4.00,8.00,3.00,7.00,5.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7093187,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7093195,3.00,5.00,2.00,4.00,3.00,3.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7093209,6.00,5.00,5.00,7.00,6.00,10.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7093217,1.00,5.00,2.00,4.00,8.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7093225,1.00,6.00,2.00,7.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7093233,5.00,8.00,4.00,3.00,8.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7093241,0.00,7.00,2.00,5.00,7.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7093250,5.00,8.00,3.00,6.00,5.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7093268,2.00,7.00,2.00,5.00,6.00,10.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7093276,7.00,8.00,5.00,7.00,8.00,9.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7093284,3.00,5.00,1.00,3.00,3.00,3.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7093314,2.00,5.00,1.00,5.00,6.00,10.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7093322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7093330,1.00,5.00,1.00,4.00,6.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7093349,1.00,7.00,4.00,5.00,7.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7093357,2.00,4.00,1.00,6.00,3.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7093365,0.00,4.00,3.00,5.00,7.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7093373,0.00,2.00,2.00,1.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7093381,3.00,8.00,3.00,6.00,8.00,11.63,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7093390,2.00,6.00,2.00,5.00,5.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7093403,7.00,8.00,2.00,7.00,6.00,11.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7093411,1.00,4.00,3.00,6.00,3.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7093420,2.00,2.00,1.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7093438,3.00,4.00,2.00,6.00,4.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7093454,3.00,6.00,0.00,4.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7093462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7093470,6.00,7.00,5.00,5.00,7.00,10.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7093489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7093497,0.00,4.00,1.00,6.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7093500,0.00,3.00,0.00,4.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7093527,2.00,6.00,3.00,5.00,5.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7093535,5.00,8.00,3.00,6.00,7.00,10.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7093543,4.00,7.00,4.00,5.00,7.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7093551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7093560,0.00,5.00,1.00,5.00,7.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7093586,2.00,6.00,1.00,6.00,7.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7093594,5.00,6.00,2.00,6.00,7.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7093608,2.00,6.00,3.00,4.00,6.00,11.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7093616,1.00,6.00,4.00,5.00,7.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7093624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7093632,1.00,6.00,4.00,7.00,7.00,9.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7093640,5.00,5.00,5.00,5.00,5.00,7.50,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(28,7093675,2.00,6.00,1.00,7.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7093683,5.00,7.00,3.00,6.00,7.00,7.88,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7093691,6.00,7.00,4.00,6.00,8.00,9.38,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7093713,5.00,7.00,1.00,7.00,9.00,7.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7093730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7093748,3.00,5.00,1.00,5.00,5.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7093756,2.00,4.00,3.00,3.00,3.00,5.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7093764,6.00,6.00,3.00,7.00,9.00,9.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7093772,1.00,4.00,3.00,7.00,5.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7093780,4.00,7.00,4.00,7.00,7.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7093799,8.00,7.00,6.00,7.00,9.00,6.38,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7093802,1.00,5.00,2.00,5.00,3.00,6.38,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7093810,0.00,6.00,4.00,6.00,3.00,4.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7093829,1.00,3.00,0.00,6.00,5.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7093837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7093845,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7093853,4.00,8.00,1.00,7.00,6.00,10.13,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7093870,6.00,7.00,0.00,5.00,8.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7093888,0.00,3.00,2.00,5.00,5.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7093896,0.00,4.00,4.00,6.00,5.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7093900,0.00,8.00,2.00,3.00,6.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7093926,4.00,6.00,4.00,7.00,8.00,6.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7093934,6.00,7.00,4.00,6.00,8.00,12.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7093969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7093993,0.00,5.00,2.00,5.00,3.00,6.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7094027,2.00,6.00,1.00,7.00,7.00,8.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7094035,0.00,1.00,1.00,1.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7094043,5.00,8.00,3.00,7.00,10.00,12.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7094051,6.00,6.00,2.00,7.00,9.00,11.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7094060,3.00,4.00,2.00,5.00,6.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7094078,3.00,4.00,3.00,3.00,4.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7094086,2.00,4.00,2.00,6.00,4.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7094094,2.00,6.00,2.00,6.00,6.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7094116,1.00,6.00,2.00,2.00,5.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7094124,5.00,8.00,0.00,7.00,8.00,10.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7094132,1.00,5.00,0.00,3.00,5.00,6.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7094159,2.00,5.00,2.00,5.00,5.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7094167,3.00,5.00,2.00,1.00,3.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7094175,4.00,6.00,5.00,7.00,5.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7094205,2.00,5.00,3.00,6.00,5.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7094213,1.00,6.00,2.00,6.00,6.00,10.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7094230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7094248,1.00,4.00,0.00,5.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7094256,6.00,6.00,3.00,7.00,8.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7094264,0.00,2.00,2.00,6.00,8.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7094272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7094280,4.00,5.00,5.00,7.00,6.00,7.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7094299,4.00,7.00,3.00,7.00,8.00,10.50,4.00,7.00,7.00,NULL,NULL,NULL,'S'),(28,7094310,6.00,8.00,3.00,7.00,10.00,7.13,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7094329,3.00,9.00,4.00,8.00,11.00,10.13,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7094337,7.00,9.00,3.00,7.00,11.00,10.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7094345,4.00,8.00,0.00,7.00,1.00,NULL,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7094353,1.00,6.00,2.00,4.00,3.00,10.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7094361,1.00,8.00,1.00,6.00,4.00,6.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7094370,3.00,3.00,2.00,4.00,5.00,4.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7094388,3.00,6.00,4.00,6.00,7.00,10.88,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7094400,3.00,7.00,1.00,7.00,8.00,9.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7094418,0.00,4.00,3.00,2.00,5.00,3.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7094426,1.00,2.00,1.00,2.00,4.00,5.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7094442,2.00,3.00,2.00,4.00,3.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7094450,6.00,7.00,4.00,7.00,8.00,11.25,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7094469,3.00,8.00,3.00,7.00,9.00,6.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7094477,0.00,6.00,2.00,5.00,4.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7094485,4.00,7.00,2.00,6.00,9.00,10.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7094493,1.00,3.00,2.00,3.00,3.00,7.50,0.00,4.00,0.00,NULL,NULL,NULL,'S'),(28,7094507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7094523,2.00,5.00,2.00,5.00,4.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7094531,5.00,8.00,3.00,8.00,5.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7094566,0.00,3.00,1.00,4.00,3.00,3.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7094574,3.00,9.00,2.00,7.00,7.00,8.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7094604,6.00,5.00,3.00,8.00,7.00,6.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7094612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7094620,1.00,4.00,2.00,2.00,8.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7094647,0.00,3.00,2.00,5.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7094655,4.00,8.00,3.00,5.00,8.00,11.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7094663,2.00,3.00,2.00,5.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7094671,7.00,7.00,4.00,7.00,9.00,9.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7094680,0.00,5.00,1.00,5.00,4.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7094698,1.00,5.00,2.00,6.00,5.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7094701,8.00,8.00,4.00,7.00,10.00,6.38,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7094710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7094728,4.00,2.00,2.00,5.00,5.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7094744,6.00,8.00,2.00,6.00,5.00,12.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7094752,3.00,7.00,2.00,6.00,5.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7094760,2.00,6.00,1.00,4.00,4.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7094795,1.00,5.00,1.00,6.00,2.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7094809,2.00,3.00,2.00,5.00,5.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7094817,2.00,5.00,1.00,5.00,5.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7094841,6.00,9.00,5.00,7.00,6.00,10.13,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7094850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7094868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7094876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7094884,4.00,6.00,4.00,4.00,8.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7094892,4.00,7.00,0.00,3.00,6.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7094906,0.00,5.00,1.00,3.00,7.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7094922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7094930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7094965,5.00,8.00,6.00,7.00,10.00,9.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7094973,5.00,8.00,3.00,6.00,5.00,7.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7094981,0.00,4.00,1.00,5.00,4.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7095023,2.00,5.00,4.00,7.00,3.00,7.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7095040,3.00,8.00,1.00,5.00,8.00,9.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7095066,2.00,6.00,2.00,5.00,7.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7095090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7095112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7095147,0.00,2.00,2.00,5.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7095155,3.00,4.00,1.00,5.00,5.00,NULL,2.00,5.00,3.00,NULL,NULL,'S','N'),(28,7095163,1.00,6.00,4.00,7.00,9.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7095198,3.00,5.00,2.00,5.00,4.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7095201,3.00,5.00,3.00,6.00,8.00,7.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7095210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7095228,3.00,3.00,3.00,3.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7095244,8.00,8.00,4.00,7.00,10.00,10.13,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7095252,3.00,6.00,2.00,6.00,5.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7095279,4.00,8.00,1.00,7.00,8.00,5.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7095287,4.00,5.00,3.00,5.00,6.00,10.13,4.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7095295,0.00,2.00,5.00,2.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7095317,3.00,6.00,3.00,6.00,4.00,5.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7095333,5.00,8.00,3.00,6.00,7.00,7.13,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7095341,2.00,5.00,2.00,7.00,5.00,10.88,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7095350,0.00,5.00,1.00,0.00,1.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7095376,6.00,9.00,1.00,6.00,11.00,10.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7095392,2.00,6.00,2.00,6.00,6.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7095406,1.00,3.00,1.00,3.00,3.00,6.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7095414,4.00,6.00,2.00,5.00,4.00,8.63,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7095422,1.00,4.00,3.00,3.00,3.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7095430,2.00,6.00,2.00,3.00,5.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7095457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7095465,3.00,4.00,2.00,4.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7095473,0.00,3.00,3.00,4.00,5.00,9.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7095481,5.00,7.00,4.00,6.00,7.00,7.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7095490,3.00,8.00,2.00,6.00,7.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7095503,6.00,7.00,2.00,7.00,5.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7095511,0.00,5.00,4.00,6.00,4.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7095520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7095538,0.00,4.00,2.00,5.00,4.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7095546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7095554,3.00,7.00,3.00,6.00,10.00,10.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7095562,5.00,8.00,5.00,7.00,9.00,10.88,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7095570,4.00,8.00,4.00,6.00,8.00,9.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7095589,0.00,5.00,0.00,2.00,4.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7095619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7095627,6.00,7.00,2.00,7.00,4.00,NULL,4.00,6.00,6.00,NULL,NULL,'S','N'),(28,7095660,0.00,3.00,1.00,6.00,4.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7095678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7095686,3.00,3.00,2.00,5.00,5.00,7.13,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7095694,6.00,7.00,5.00,7.00,6.00,7.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7095708,1.00,3.00,2.00,3.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7095732,3.00,6.00,1.00,7.00,5.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7095759,2.00,6.00,3.00,3.00,8.00,9.38,2.00,4.00,8.00,NULL,NULL,NULL,'N'),(28,7095767,2.00,4.00,0.00,5.00,6.00,9.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7095783,6.00,8.00,3.00,7.00,9.00,10.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7095791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7095805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7095813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7095821,4.00,4.00,3.00,4.00,4.00,4.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7095830,2.00,6.00,2.00,4.00,7.00,6.38,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7095848,2.00,7.00,1.00,6.00,6.00,9.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7095864,5.00,7.00,2.00,5.00,4.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7095872,4.00,7.00,2.00,5.00,7.00,8.63,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7095880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7095902,2.00,7.00,0.00,5.00,7.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7095910,3.00,6.00,1.00,5.00,5.00,7.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7095929,1.00,3.00,3.00,1.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7095945,4.00,4.00,4.00,5.00,8.00,7.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7095953,6.00,8.00,2.00,6.00,5.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7095970,3.00,6.00,4.00,5.00,6.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7095988,5.00,7.00,1.00,5.00,8.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7095996,1.00,7.00,2.00,6.00,9.00,6.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7096003,1.00,5.00,2.00,6.00,5.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7096011,2.00,4.00,1.00,5.00,4.00,5.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7096020,6.00,8.00,5.00,6.00,10.00,7.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7096038,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7096046,3.00,7.00,1.00,6.00,7.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7096054,1.00,3.00,2.00,3.00,2.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7096070,4.00,9.00,3.00,6.00,11.00,7.88,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7096089,4.00,5.00,4.00,1.00,3.00,9.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7096097,4.00,5.00,1.00,6.00,6.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7096100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7096119,2.00,5.00,2.00,4.00,5.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7096127,3.00,6.00,4.00,5.00,6.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7096135,4.00,6.00,2.00,5.00,5.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7096151,5.00,9.00,2.00,6.00,8.00,3.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7096160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7096178,0.00,7.00,1.00,1.00,5.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7096186,0.00,5.00,3.00,3.00,1.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7096208,8.00,6.00,2.00,6.00,9.00,10.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7096216,4.00,7.00,3.00,5.00,9.00,8.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7096224,2.00,4.00,1.00,6.00,6.00,8.63,5.00,0.00,4.00,NULL,NULL,NULL,'N'),(28,7096240,1.00,5.00,1.00,3.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'S'),(28,7096267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7096275,1.00,2.00,3.00,3.00,4.00,5.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7096283,3.00,7.00,0.00,7.00,5.00,10.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7096305,2.00,4.00,2.00,7.00,7.00,6.75,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7096313,0.00,2.00,1.00,6.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7096330,3.00,6.00,2.00,4.00,6.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7096348,1.00,4.00,0.00,5.00,4.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7096356,1.00,2.00,1.00,2.00,5.00,8.63,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7096364,6.00,6.00,6.00,6.00,10.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7096372,3.00,7.00,3.00,5.00,8.00,9.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7096380,2.00,4.00,2.00,3.00,6.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7096410,7.00,7.00,3.00,7.00,10.00,9.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7096429,2.00,5.00,3.00,6.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7096437,6.00,7.00,5.00,4.00,8.00,8.63,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7096445,2.00,7.00,2.00,7.00,10.00,13.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7096453,4.00,6.00,3.00,4.00,7.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7096461,5.00,7.00,2.00,7.00,8.00,10.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7096470,0.00,0.00,2.00,4.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7096488,3.00,6.00,3.00,6.00,6.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7096496,7.00,9.00,5.00,7.00,9.00,9.38,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7096526,2.00,2.00,2.00,3.00,5.00,5.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7096534,2.00,7.00,2.00,7.00,4.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7096542,7.00,8.00,4.00,6.00,10.00,13.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7096550,3.00,7.00,3.00,6.00,7.00,9.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7096569,5.00,8.00,4.00,6.00,9.00,10.13,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7096593,8.00,8.00,3.00,6.00,9.00,10.50,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7096607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7096623,4.00,6.00,2.00,3.00,5.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7096631,2.00,8.00,3.00,3.00,7.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7096640,3.00,6.00,1.00,7.00,9.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7096658,3.00,7.00,2.00,6.00,6.00,7.50,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7096674,9.00,9.00,5.00,7.00,11.00,14.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7096682,2.00,7.00,2.00,7.00,10.00,6.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7096690,3.00,5.00,1.00,5.00,5.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7096712,3.00,5.00,2.00,3.00,5.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7096720,3.00,8.00,2.00,5.00,10.00,9.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7096739,4.00,5.00,0.00,3.00,8.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7096755,0.00,4.00,2.00,7.00,5.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7096771,3.00,6.00,2.00,6.00,8.00,5.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7096798,6.00,6.00,5.00,6.00,8.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7096801,4.00,6.00,4.00,6.00,9.00,11.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7096810,7.00,8.00,4.00,7.00,6.00,7.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7096828,7.00,7.00,4.00,7.00,10.00,9.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7096836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7096844,2.00,7.00,2.00,6.00,8.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7096852,4.00,7.00,5.00,5.00,8.00,7.13,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7096879,2.00,7.00,1.00,5.00,5.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7096887,2.00,7.00,4.00,7.00,8.00,10.13,3.00,7.00,5.00,NULL,NULL,NULL,'S'),(28,7096909,3.00,5.00,2.00,6.00,6.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7096917,1.00,3.00,2.00,7.00,7.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7096933,6.00,7.00,2.00,3.00,7.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7096941,1.00,2.00,1.00,2.00,4.00,3.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7096950,9.00,8.00,3.00,6.00,9.00,9.38,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7096976,2.00,6.00,1.00,7.00,5.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7096984,6.00,8.00,4.00,5.00,9.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7097018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7097026,5.00,6.00,4.00,4.00,9.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7097042,6.00,7.00,5.00,7.00,8.00,10.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7097050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7097069,0.00,3.00,1.00,2.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7097077,6.00,7.00,4.00,7.00,10.00,8.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7097093,2.00,8.00,4.00,7.00,9.00,11.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7097107,1.00,0.00,3.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7097115,1.00,4.00,2.00,1.00,2.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7097123,3.00,8.00,3.00,7.00,6.00,7.13,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7097140,4.00,8.00,2.00,7.00,5.00,7.13,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7097158,0.00,7.00,2.00,7.00,5.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7097166,0.00,6.00,0.00,6.00,6.00,7.88,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7097174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7097190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7097204,4.00,7.00,1.00,4.00,6.00,11.25,3.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7097212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7097220,4.00,7.00,2.00,3.00,7.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7097239,7.00,8.00,4.00,7.00,8.00,9.38,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7097263,6.00,8.00,3.00,8.00,7.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7097271,2.00,6.00,2.00,4.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7097280,6.00,8.00,4.00,6.00,8.00,11.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7097298,5.00,8.00,3.00,7.00,8.00,10.88,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7097301,3.00,7.00,1.00,6.00,8.00,10.13,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7097310,6.00,7.00,2.00,6.00,7.00,9.38,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7097336,7.00,8.00,6.00,6.00,10.00,10.88,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7097344,5.00,6.00,2.00,7.00,8.00,12.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7097352,0.00,4.00,3.00,2.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7097379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7097387,4.00,7.00,5.00,6.00,6.00,10.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7097395,4.00,5.00,2.00,3.00,4.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7097409,2.00,7.00,1.00,6.00,6.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7097425,0.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7097433,1.00,5.00,3.00,5.00,7.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7097441,3.00,6.00,4.00,7.00,10.00,9.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7097450,0.00,2.00,3.00,2.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7097468,6.00,8.00,2.00,7.00,8.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7097476,6.00,8.00,2.00,7.00,10.00,9.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7097484,2.00,7.00,3.00,4.00,6.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7097492,3.00,5.00,2.00,4.00,5.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7097506,3.00,6.00,1.00,6.00,6.00,10.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7097514,6.00,5.00,4.00,6.00,7.00,8.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7097522,1.00,4.00,3.00,5.00,4.00,9.00,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7097530,2.00,5.00,2.00,7.00,7.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7097549,0.00,1.00,2.00,0.00,1.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7097557,5.00,6.00,2.00,3.00,5.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7097565,1.00,5.00,2.00,3.00,10.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7097573,0.00,4.00,2.00,5.00,4.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7097581,5.00,8.00,6.00,5.00,8.00,8.63,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7097590,3.00,5.00,1.00,7.00,7.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7097603,1.00,6.00,1.00,6.00,8.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7097638,3.00,7.00,3.00,7.00,10.00,11.63,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7097646,0.00,5.00,1.00,5.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7097654,0.00,3.00,1.00,3.00,4.00,7.50,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7097670,8.00,8.00,4.00,7.00,11.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7097697,5.00,7.00,5.00,5.00,7.00,7.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7097700,2.00,7.00,1.00,7.00,8.00,11.25,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7097719,0.00,5.00,2.00,4.00,6.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7097727,1.00,5.00,1.00,5.00,5.00,7.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7097735,2.00,5.00,0.00,5.00,7.00,7.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7097743,1.00,5.00,3.00,3.00,3.00,8.63,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7097760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7097786,4.00,7.00,1.00,5.00,6.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7097794,4.00,6.00,0.00,5.00,8.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7097808,7.00,5.00,6.00,6.00,10.00,14.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7097816,2.00,7.00,2.00,7.00,6.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7097824,2.00,6.00,3.00,2.00,8.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7097832,1.00,2.00,0.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7097859,3.00,2.00,1.00,5.00,6.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7097867,4.00,6.00,2.00,2.00,6.00,7.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7097875,0.00,5.00,2.00,6.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7097883,0.00,5.00,1.00,5.00,5.00,6.00,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7097905,0.00,5.00,1.00,3.00,3.00,7.13,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7097921,3.00,7.00,2.00,7.00,7.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7097948,3.00,7.00,3.00,7.00,7.00,6.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7097956,2.00,7.00,3.00,6.00,5.00,7.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7097972,6.00,9.00,2.00,7.00,10.00,7.13,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7097980,7.00,8.00,7.00,5.00,9.00,9.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7097999,2.00,7.00,3.00,5.00,5.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7098006,2.00,5.00,1.00,7.00,6.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7098014,3.00,5.00,2.00,4.00,7.00,10.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7098022,4.00,7.00,2.00,6.00,8.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7098030,0.00,3.00,3.00,2.00,4.00,4.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7098049,3.00,7.00,3.00,6.00,9.00,10.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7098057,3.00,5.00,1.00,6.00,5.00,4.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7098065,3.00,8.00,1.00,5.00,7.00,9.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7098090,5.00,9.00,3.00,5.00,8.00,8.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7098103,5.00,6.00,2.00,8.00,9.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7098111,2.00,2.00,2.00,5.00,4.00,4.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7098120,2.00,7.00,4.00,7.00,5.00,8.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7098138,4.00,5.00,3.00,7.00,4.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7098146,5.00,7.00,2.00,7.00,5.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7098154,4.00,6.00,2.00,6.00,5.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7098162,5.00,6.00,2.00,5.00,6.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7098189,5.00,7.00,4.00,8.00,11.00,9.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7098197,4.00,6.00,2.00,6.00,7.00,9.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7098219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7098235,5.00,8.00,2.00,6.00,8.00,8.63,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7098251,2.00,8.00,3.00,6.00,7.00,8.63,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7098260,1.00,6.00,2.00,2.00,3.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7098278,1.00,8.00,1.00,5.00,6.00,7.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7098286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7098308,3.00,6.00,1.00,7.00,7.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7098324,3.00,7.00,1.00,6.00,4.00,7.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7098332,8.00,6.00,4.00,7.00,5.00,11.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7098340,3.00,4.00,1.00,6.00,5.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7098367,4.00,7.00,4.00,8.00,10.00,9.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7098383,2.00,5.00,0.00,7.00,5.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7098391,7.00,8.00,4.00,7.00,6.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7098413,3.00,7.00,4.00,7.00,10.00,10.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7098421,1.00,5.00,3.00,5.00,5.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7098430,4.00,7.00,6.00,6.00,7.00,8.63,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7098448,7.00,8.00,4.00,6.00,10.00,10.88,7.00,9.00,6.00,NULL,NULL,NULL,'N'),(28,7098456,6.00,6.00,2.00,7.00,10.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7098464,3.00,7.00,0.00,7.00,9.00,7.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7098480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7098499,1.00,2.00,2.00,2.00,3.00,5.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7098502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7098510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7098529,1.00,5.00,3.00,4.00,5.00,8.63,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7098545,3.00,9.00,4.00,5.00,6.00,7.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7098553,4.00,6.00,2.00,6.00,4.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7098561,6.00,8.00,3.00,6.00,8.00,4.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7098570,7.00,7.00,5.00,7.00,8.00,8.25,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7098596,0.00,8.00,4.00,6.00,9.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7098618,0.00,2.00,4.00,5.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7098634,3.00,5.00,3.00,5.00,6.00,10.50,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7098650,3.00,8.00,1.00,2.00,8.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7098669,3.00,8.00,1.00,7.00,5.00,10.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7098685,5.00,5.00,2.00,4.00,7.00,6.38,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7098693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7098723,4.00,8.00,5.00,7.00,10.00,8.63,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7098731,7.00,8.00,2.00,7.00,8.00,8.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7098758,3.00,7.00,1.00,2.00,7.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7098766,5.00,7.00,5.00,7.00,8.00,11.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7098782,4.00,3.00,2.00,7.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7098804,1.00,4.00,1.00,0.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7098812,1.00,4.00,3.00,6.00,4.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7098820,0.00,6.00,3.00,5.00,4.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7098839,0.00,4.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7098847,6.00,8.00,3.00,5.00,8.00,10.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7098863,4.00,5.00,4.00,4.00,5.00,9.38,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7098871,1.00,3.00,3.00,6.00,3.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7098880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7098898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7098901,1.00,4.00,0.00,4.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7098910,3.00,7.00,4.00,4.00,6.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7098928,4.00,8.00,2.00,7.00,7.00,10.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7098936,0.00,2.00,2.00,2.00,3.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7098944,0.00,3.00,0.00,0.00,0.00,NULL,2.00,3.00,2.00,'S',NULL,'S','N'),(28,7098952,3.00,5.00,3.00,4.00,5.00,7.50,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(28,7098960,7.00,7.00,2.00,7.00,9.00,10.88,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7098979,2.00,1.00,3.00,5.00,3.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7098987,2.00,6.00,2.00,6.00,7.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7099002,0.00,3.00,1.00,6.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7099010,2.00,3.00,1.00,5.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7099029,1.00,6.00,1.00,6.00,8.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7099037,0.00,4.00,2.00,6.00,5.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7099045,0.00,4.00,1.00,5.00,7.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7099053,2.00,8.00,3.00,7.00,7.00,7.88,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7099061,0.00,1.00,1.00,3.00,4.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7099070,5.00,7.00,4.00,6.00,8.00,7.88,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7099088,3.00,6.00,1.00,5.00,9.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7099096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7099100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7099118,4.00,6.00,3.00,5.00,6.00,9.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7099134,3.00,7.00,3.00,6.00,7.00,10.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7099150,5.00,8.00,4.00,7.00,8.00,7.88,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7099169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7099177,4.00,6.00,4.00,7.00,5.00,8.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7099193,5.00,6.00,5.00,6.00,6.00,4.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7099207,1.00,3.00,2.00,5.00,5.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7099215,2.00,4.00,1.00,7.00,7.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7099240,7.00,7.00,3.00,7.00,8.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7099266,8.00,8.00,7.00,7.00,10.00,12.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7099274,2.00,0.00,4.00,1.00,2.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7099290,6.00,8.00,2.00,6.00,8.00,10.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7099304,6.00,8.00,3.00,7.00,9.00,10.88,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7099320,1.00,4.00,0.00,2.00,1.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7099339,7.00,6.00,3.00,7.00,4.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7099347,0.00,3.00,2.00,6.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7099363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7099371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7099380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7099398,2.00,3.00,2.00,4.00,6.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7099401,2.00,9.00,2.00,6.00,4.00,8.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7099410,5.00,5.00,4.00,6.00,7.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7099428,5.00,8.00,4.00,6.00,7.00,7.88,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7099436,5.00,7.00,1.00,4.00,7.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7099444,1.00,4.00,0.00,3.00,3.00,5.63,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7099452,4.00,0.00,3.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7099460,2.00,7.00,1.00,5.00,5.00,10.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7099479,1.00,4.00,0.00,3.00,6.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7099487,2.00,7.00,2.00,7.00,7.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7099495,4.00,7.00,0.00,6.00,9.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7099509,1.00,5.00,1.00,2.00,6.00,6.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7099517,6.00,8.00,3.00,6.00,6.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7099533,2.00,5.00,1.00,4.00,5.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7099541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7099550,2.00,4.00,2.00,5.00,4.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7099568,6.00,8.00,2.00,7.00,7.00,13.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7099576,3.00,7.00,1.00,6.00,6.00,5.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7099584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7099592,0.00,3.00,2.00,7.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7099606,4.00,6.00,1.00,7.00,6.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7099614,4.00,6.00,4.00,7.00,7.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7099622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7099649,3.00,7.00,6.00,7.00,7.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7099665,5.00,5.00,4.00,4.00,9.00,7.88,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7099673,6.00,7.00,1.00,7.00,8.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7099681,0.00,4.00,2.00,4.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7099690,8.00,9.00,5.00,7.00,10.00,8.63,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7099703,1.00,8.00,2.00,4.00,7.00,6.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7099711,1.00,2.00,1.00,2.00,6.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7099738,1.00,3.00,2.00,4.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7099746,3.00,7.00,3.00,4.00,6.00,10.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7099754,5.00,8.00,1.00,5.00,6.00,6.38,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7099762,1.00,6.00,2.00,6.00,8.00,8.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7099770,4.00,7.00,2.00,7.00,6.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7099789,2.00,5.00,2.00,1.00,7.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7099797,3.00,6.00,1.00,7.00,8.00,10.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7099800,5.00,4.00,4.00,5.00,6.00,9.38,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7099819,5.00,8.00,4.00,6.00,8.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7099827,5.00,7.00,1.00,6.00,5.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7099843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7099851,2.00,5.00,2.00,6.00,4.00,6.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7099860,3.00,7.00,3.00,5.00,7.00,8.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7099878,4.00,6.00,2.00,6.00,7.00,9.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7099894,8.00,9.00,5.00,6.00,8.00,10.13,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7099908,2.00,9.00,1.00,5.00,9.00,10.50,1.00,7.00,6.00,NULL,NULL,NULL,'S'),(28,7099916,5.00,7.00,1.00,5.00,9.00,9.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7099924,5.00,7.00,1.00,6.00,8.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7099932,6.00,8.00,3.00,6.00,8.00,10.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7099940,1.00,4.00,4.00,6.00,3.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7099959,4.00,6.00,3.00,5.00,8.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7099975,5.00,6.00,4.00,5.00,5.00,9.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7099983,0.00,4.00,3.00,5.00,4.00,3.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7100000,5.00,8.00,4.00,7.00,10.00,11.63,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7100019,2.00,3.00,0.00,5.00,7.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7100027,2.00,4.00,2.00,2.00,4.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7100043,6.00,8.00,3.00,6.00,10.00,8.63,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7100051,1.00,3.00,2.00,3.00,8.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7100060,0.00,5.00,1.00,7.00,6.00,7.88,3.00,6.00,1.00,NULL,NULL,NULL,'S'),(28,7100078,0.00,2.00,0.00,4.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7100086,3.00,2.00,0.00,4.00,3.00,6.00,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7100094,2.00,7.00,3.00,5.00,8.00,10.13,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7100108,4.00,6.00,3.00,5.00,5.00,9.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7100116,1.00,3.00,3.00,6.00,9.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7100124,2.00,6.00,2.00,7.00,5.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7100132,3.00,5.00,3.00,5.00,9.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7100140,6.00,8.00,1.00,6.00,9.00,7.13,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7100159,3.00,6.00,3.00,5.00,7.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7100167,2.00,4.00,1.00,0.00,6.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7100175,1.00,4.00,0.00,4.00,4.00,5.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7100183,4.00,7.00,3.00,5.00,9.00,7.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7100191,1.00,6.00,2.00,6.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7100205,7.00,7.00,5.00,7.00,10.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7100213,2.00,6.00,3.00,7.00,8.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7100230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7100248,0.00,6.00,0.00,2.00,5.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7100256,2.00,7.00,1.00,7.00,9.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7100272,4.00,5.00,3.00,6.00,7.00,7.13,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7100280,2.00,6.00,4.00,5.00,9.00,10.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7100299,1.00,4.00,2.00,4.00,5.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7100302,7.00,7.00,5.00,7.00,7.00,9.38,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7100310,7.00,9.00,4.00,7.00,9.00,9.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7100329,1.00,5.00,1.00,6.00,7.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7100353,1.00,3.00,3.00,2.00,3.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7100361,2.00,6.00,2.00,7.00,7.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7100370,5.00,5.00,1.00,6.00,4.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7100388,4.00,8.00,6.00,5.00,9.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7100396,7.00,4.00,4.00,6.00,4.00,7.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7100400,3.00,7.00,2.00,7.00,8.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7100418,4.00,7.00,4.00,7.00,6.00,11.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7100426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7100434,2.00,6.00,2.00,5.00,9.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7100442,2.00,4.00,1.00,5.00,4.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7100450,4.00,7.00,2.00,4.00,7.00,9.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7100469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7100477,3.00,6.00,1.00,6.00,7.00,8.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7100485,8.00,8.00,6.00,7.00,11.00,12.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7100493,2.00,2.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7100507,7.00,8.00,5.00,7.00,8.00,11.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7100515,6.00,7.00,3.00,8.00,9.00,9.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7100523,0.00,5.00,3.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7100531,5.00,9.00,7.00,7.00,9.00,12.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7100540,1.00,6.00,3.00,5.00,6.00,9.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7100558,5.00,7.00,4.00,7.00,7.00,7.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7100566,7.00,8.00,5.00,8.00,8.00,8.63,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7100574,3.00,6.00,1.00,1.00,3.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7100582,1.00,6.00,2.00,5.00,5.00,9.75,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7100590,8.00,7.00,5.00,7.00,8.00,9.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7100612,3.00,4.00,2.00,6.00,8.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7100620,3.00,6.00,2.00,5.00,6.00,9.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7100639,5.00,8.00,3.00,7.00,6.00,7.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7100647,3.00,7.00,5.00,8.00,7.00,9.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7100663,3.00,5.00,3.00,5.00,5.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7100671,5.00,7.00,6.00,7.00,7.00,10.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7100680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7100698,3.00,7.00,3.00,7.00,6.00,8.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7100701,1.00,7.00,2.00,5.00,8.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7100710,6.00,5.00,1.00,5.00,5.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7100728,0.00,1.00,0.00,2.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7100752,0.00,6.00,0.00,6.00,7.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7100760,4.00,7.00,3.00,7.00,7.00,NULL,0.00,4.00,2.00,NULL,NULL,'S','S'),(28,7100779,3.00,4.00,2.00,3.00,5.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7100787,1.00,4.00,2.00,2.00,4.00,5.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7100795,5.00,7.00,3.00,7.00,9.00,8.63,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7100817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7100825,2.00,4.00,0.00,2.00,3.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7100841,1.00,4.00,3.00,5.00,3.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7100850,0.00,5.00,0.00,3.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7100876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7100884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7100892,2.00,7.00,2.00,4.00,3.00,7.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7100914,4.00,6.00,1.00,6.00,8.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7100922,2.00,7.00,3.00,6.00,9.00,10.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7100930,2.00,6.00,2.00,5.00,7.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7100949,1.00,2.00,2.00,5.00,4.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7100957,3.00,6.00,1.00,5.00,4.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7100973,2.00,4.00,3.00,5.00,6.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7100981,1.00,2.00,1.00,1.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7100990,6.00,6.00,1.00,6.00,6.00,10.50,5.00,6.00,6.00,NULL,NULL,NULL,'S'),(28,7101007,3.00,7.00,1.00,3.00,5.00,12.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7101015,3.00,7.00,3.00,6.00,6.00,12.00,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7101023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7101031,3.00,8.00,3.00,6.00,10.00,10.13,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7101040,3.00,6.00,1.00,7.00,8.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7101058,5.00,7.00,2.00,6.00,8.00,10.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7101066,1.00,7.00,3.00,6.00,6.00,7.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7101074,3.00,7.00,2.00,7.00,8.00,9.75,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7101082,2.00,4.00,0.00,5.00,5.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7101090,1.00,6.00,1.00,3.00,3.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7101112,7.00,8.00,2.00,8.00,9.00,11.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7101120,5.00,9.00,4.00,7.00,10.00,10.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7101139,4.00,7.00,5.00,7.00,6.00,7.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7101147,0.00,4.00,1.00,5.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7101155,2.00,6.00,3.00,4.00,5.00,10.50,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7101163,0.00,5.00,0.00,6.00,7.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7101171,4.00,7.00,4.00,6.00,8.00,9.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7101180,1.00,5.00,2.00,6.00,7.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7101198,4.00,8.00,3.00,7.00,7.00,9.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7101201,1.00,3.00,4.00,0.00,3.00,5.25,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7101210,4.00,5.00,1.00,6.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7101228,2.00,8.00,3.00,6.00,8.00,9.38,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7101236,4.00,6.00,4.00,7.00,9.00,10.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7101244,6.00,7.00,5.00,8.00,5.00,9.38,6.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7101252,4.00,6.00,2.00,6.00,8.00,9.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7101260,0.00,4.00,4.00,5.00,4.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7101279,6.00,6.00,4.00,6.00,9.00,12.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7101287,1.00,4.00,1.00,5.00,6.00,5.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7101295,3.00,5.00,2.00,3.00,7.00,10.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7101309,4.00,8.00,4.00,3.00,8.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7101317,3.00,6.00,2.00,7.00,5.00,12.00,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7101325,5.00,8.00,3.00,6.00,6.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7101333,2.00,5.00,2.00,7.00,7.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7101341,7.00,7.00,4.00,7.00,9.00,9.38,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7101350,3.00,5.00,3.00,4.00,6.00,4.88,2.00,4.00,5.00,NULL,NULL,NULL,'S'),(28,7101368,2.00,4.00,1.00,7.00,4.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7101376,2.00,6.00,1.00,6.00,6.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7101384,6.00,6.00,4.00,7.00,9.00,10.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7101406,3.00,5.00,0.00,6.00,7.00,12.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7101414,0.00,5.00,0.00,0.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7101430,0.00,3.00,1.00,5.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7101449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7101457,5.00,7.00,2.00,5.00,9.00,10.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7101465,0.00,3.00,2.00,4.00,6.00,6.38,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7101473,3.00,6.00,1.00,7.00,8.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7101490,2.00,5.00,2.00,3.00,6.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7101511,4.00,7.00,1.00,6.00,7.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7101520,0.00,5.00,1.00,4.00,6.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7101538,3.00,8.00,4.00,7.00,8.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7101554,4.00,5.00,1.00,6.00,7.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7101570,3.00,5.00,0.00,7.00,6.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7101589,1.00,5.00,3.00,5.00,5.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7101597,0.00,0.00,0.00,1.00,1.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7101600,0.00,3.00,3.00,4.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7101619,3.00,6.00,4.00,7.00,5.00,5.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7101627,1.00,5.00,1.00,6.00,5.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7101635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7101643,0.00,6.00,2.00,5.00,7.00,9.38,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7101651,3.00,6.00,2.00,3.00,5.00,9.00,0.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7101660,3.00,6.00,2.00,5.00,7.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7101678,3.00,6.00,2.00,7.00,4.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7101686,3.00,4.00,3.00,5.00,7.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7101716,6.00,8.00,5.00,5.00,10.00,7.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7101724,5.00,7.00,1.00,7.00,8.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7101732,5.00,8.00,2.00,7.00,7.00,11.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7101740,0.00,6.00,3.00,6.00,4.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7101767,5.00,6.00,4.00,4.00,7.00,5.63,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7101775,1.00,4.00,2.00,2.00,6.00,8.63,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7101783,1.00,5.00,4.00,3.00,3.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7101791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7101805,2.00,6.00,2.00,6.00,7.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7101813,3.00,6.00,1.00,5.00,8.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7101821,1.00,5.00,3.00,5.00,7.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7101848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7101864,2.00,7.00,1.00,6.00,6.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7101899,8.00,7.00,4.00,8.00,7.00,10.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7101902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7101910,3.00,6.00,2.00,5.00,5.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7101929,2.00,7.00,2.00,5.00,6.00,8.63,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7101937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7101945,7.00,8.00,6.00,5.00,5.00,9.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7101953,6.00,7.00,3.00,6.00,9.00,7.13,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7101961,2.00,2.00,5.00,4.00,6.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7101988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7102011,7.00,8.00,2.00,7.00,6.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7102020,3.00,6.00,4.00,7.00,8.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7102038,1.00,7.00,3.00,4.00,6.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7102046,1.00,4.00,1.00,6.00,4.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7102054,1.00,6.00,2.00,4.00,4.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7102089,4.00,6.00,2.00,5.00,7.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7102119,6.00,8.00,4.00,5.00,7.00,13.13,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7102127,6.00,8.00,6.00,7.00,7.00,10.13,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7102135,2.00,6.00,1.00,5.00,5.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7102143,2.00,7.00,1.00,5.00,6.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7102151,7.00,7.00,0.00,5.00,7.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7102160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7102178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7102186,4.00,8.00,1.00,7.00,7.00,10.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7102194,4.00,8.00,4.00,8.00,9.00,9.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7102216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7102224,0.00,4.00,1.00,2.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7102232,0.00,5.00,3.00,5.00,6.00,4.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7102240,0.00,6.00,3.00,7.00,5.00,7.88,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7102275,4.00,8.00,4.00,8.00,8.00,10.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7102283,2.00,5.00,3.00,6.00,9.00,9.00,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7102291,0.00,5.00,3.00,1.00,4.00,4.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7102305,5.00,7.00,5.00,4.00,8.00,7.50,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7102313,5.00,7.00,5.00,7.00,9.00,12.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7102330,1.00,3.00,2.00,2.00,3.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7102348,4.00,8.00,2.00,8.00,9.00,12.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7102356,3.00,8.00,4.00,7.00,10.00,12.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7102364,5.00,8.00,5.00,7.00,10.00,10.13,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7102372,1.00,4.00,2.00,1.00,3.00,3.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7102399,2.00,8.00,3.00,7.00,7.00,10.13,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7102410,4.00,8.00,2.00,7.00,8.00,6.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7102429,5.00,6.00,2.00,7.00,7.00,9.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7102445,2.00,5.00,1.00,7.00,8.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7102453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7102461,2.00,7.00,3.00,4.00,6.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7102470,3.00,7.00,3.00,7.00,5.00,9.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7102488,4.00,8.00,2.00,5.00,4.00,4.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7102496,7.00,6.00,2.00,4.00,7.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7102500,4.00,8.00,4.00,6.00,6.00,11.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7102526,4.00,9.00,1.00,4.00,8.00,10.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7102534,6.00,7.00,2.00,7.00,9.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7102542,1.00,4.00,4.00,5.00,5.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7102550,1.00,3.00,2.00,6.00,5.00,3.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7102569,4.00,7.00,2.00,7.00,9.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7102577,0.00,6.00,0.00,3.00,6.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7102585,7.00,5.00,3.00,6.00,6.00,8.63,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7102593,2.00,5.00,5.00,3.00,5.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7102607,3.00,4.00,4.00,7.00,8.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7102615,1.00,6.00,1.00,5.00,6.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7102623,1.00,4.00,1.00,7.00,4.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7102631,4.00,6.00,3.00,5.00,4.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7102640,5.00,7.00,3.00,6.00,8.00,9.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7102658,3.00,6.00,3.00,4.00,5.00,7.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7102666,3.00,6.00,2.00,6.00,7.00,8.25,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(28,7102674,5.00,6.00,1.00,7.00,7.00,7.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7102690,7.00,7.00,4.00,7.00,6.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7102704,1.00,7.00,3.00,3.00,4.00,9.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7102712,7.00,7.00,3.00,6.00,9.00,10.88,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7102720,5.00,5.00,1.00,6.00,6.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7102739,1.00,5.00,2.00,3.00,7.00,4.88,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7102747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7102755,0.00,0.00,0.00,5.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7102763,2.00,6.00,1.00,3.00,7.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7102771,4.00,6.00,3.00,7.00,10.00,9.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7102780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7102798,8.00,5.00,2.00,3.00,7.00,7.13,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7102801,0.00,3.00,1.00,4.00,4.00,7.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7102828,5.00,6.00,1.00,5.00,9.00,6.38,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7102844,3.00,6.00,1.00,7.00,7.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7102852,1.00,5.00,2.00,6.00,4.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7102860,0.00,4.00,1.00,7.00,5.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7102879,0.00,1.00,1.00,1.00,3.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7102887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7102909,2.00,3.00,2.00,6.00,4.00,6.00,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7102925,5.00,7.00,5.00,6.00,10.00,10.50,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7102933,3.00,6.00,4.00,5.00,8.00,7.88,5.00,8.00,1.00,NULL,NULL,NULL,'N'),(28,7102941,5.00,6.00,0.00,5.00,8.00,8.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7102950,4.00,5.00,3.00,6.00,7.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7102968,2.00,8.00,1.00,5.00,10.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7102976,0.00,5.00,2.00,6.00,4.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7102984,5.00,8.00,3.00,7.00,8.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7102992,0.00,6.00,2.00,5.00,6.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7103000,0.00,4.00,3.00,7.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7103018,0.00,4.00,2.00,4.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,'S','N'),(28,7103026,5.00,4.00,2.00,6.00,5.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7103034,5.00,6.00,4.00,3.00,4.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7103042,4.00,6.00,2.00,4.00,4.00,6.75,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7103050,5.00,8.00,5.00,7.00,8.00,11.63,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7103069,2.00,8.00,3.00,5.00,8.00,6.75,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7103077,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7103085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7103093,6.00,6.00,1.00,6.00,4.00,8.63,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7103107,1.00,6.00,1.00,7.00,4.00,4.88,1.00,5.00,5.00,NULL,NULL,NULL,'S'),(28,7103115,5.00,6.00,1.00,7.00,6.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7103123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7103131,2.00,6.00,2.00,5.00,7.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7103140,3.00,6.00,1.00,4.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7103158,0.00,2.00,1.00,4.00,4.00,5.63,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7103166,5.00,8.00,3.00,5.00,8.00,10.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7103174,3.00,7.00,0.00,5.00,8.00,9.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7103182,6.00,8.00,4.00,6.00,6.00,10.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7103190,4.00,8.00,2.00,6.00,9.00,10.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7103212,4.00,8.00,3.00,5.00,6.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7103239,2.00,7.00,3.00,7.00,6.00,10.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7103247,0.00,1.00,3.00,3.00,4.00,6.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7103255,3.00,6.00,2.00,6.00,8.00,9.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7103263,4.00,8.00,4.00,3.00,5.00,10.13,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7103271,5.00,7.00,3.00,1.00,5.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7103298,1.00,5.00,1.00,6.00,4.00,6.38,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7103301,5.00,6.00,2.00,5.00,6.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7103310,4.00,8.00,7.00,6.00,9.00,8.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7103328,2.00,7.00,0.00,6.00,4.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7103344,0.00,3.00,1.00,4.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7103352,4.00,6.00,4.00,6.00,8.00,10.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7103360,1.00,5.00,4.00,5.00,9.00,8.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7103379,4.00,6.00,6.00,7.00,6.00,7.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7103387,0.00,5.00,1.00,4.00,7.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7103395,4.00,7.00,2.00,6.00,7.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7103409,5.00,8.00,2.00,7.00,8.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7103417,3.00,7.00,3.00,6.00,5.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7103425,2.00,8.00,0.00,6.00,7.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7103433,0.00,3.00,3.00,4.00,4.00,9.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7103441,3.00,7.00,4.00,6.00,8.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7103450,0.00,1.00,1.00,2.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7103476,2.00,7.00,1.00,7.00,9.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7103484,3.00,0.00,1.00,7.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7103492,4.00,9.00,3.00,7.00,9.00,10.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7103506,1.00,5.00,1.00,5.00,7.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7103514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7103522,5.00,9.00,0.00,8.00,8.00,11.25,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7103530,5.00,5.00,3.00,5.00,7.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7103549,3.00,6.00,2.00,6.00,9.00,8.63,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7103565,6.00,8.00,4.00,6.00,6.00,8.63,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7103573,1.00,4.00,3.00,4.00,3.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7103581,5.00,6.00,1.00,6.00,8.00,8.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7103590,2.00,3.00,1.00,2.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7103603,3.00,6.00,2.00,4.00,5.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7103611,3.00,6.00,1.00,7.00,4.00,9.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7103620,6.00,5.00,5.00,5.00,7.00,8.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7103638,2.00,6.00,2.00,5.00,9.00,12.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7103646,4.00,7.00,3.00,5.00,8.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7103654,4.00,7.00,2.00,5.00,6.00,8.63,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7103662,1.00,4.00,4.00,3.00,4.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7103670,4.00,8.00,1.00,7.00,9.00,9.75,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7103689,0.00,2.00,2.00,0.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7103697,0.00,6.00,2.00,6.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7103700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7103719,4.00,8.00,4.00,5.00,8.00,10.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7103727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7103735,2.00,6.00,2.00,6.00,5.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7103743,3.00,8.00,3.00,5.00,9.00,11.25,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7103751,7.00,9.00,5.00,8.00,6.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7103760,6.00,8.00,3.00,7.00,9.00,10.50,2.00,7.00,4.00,NULL,NULL,NULL,'S'),(28,7103786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7103794,0.00,4.00,2.00,4.00,6.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7103816,4.00,6.00,2.00,6.00,8.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7103824,2.00,7.00,3.00,6.00,7.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7103832,3.00,6.00,1.00,6.00,6.00,7.13,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7103840,6.00,7.00,2.00,7.00,7.00,8.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7103859,5.00,6.00,5.00,7.00,6.00,9.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7103867,2.00,7.00,3.00,7.00,8.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7103875,6.00,7.00,5.00,6.00,9.00,7.88,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7103883,7.00,7.00,4.00,6.00,8.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7103891,6.00,7.00,4.00,3.00,7.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7103905,5.00,7.00,2.00,5.00,8.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7103913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7103921,2.00,4.00,1.00,2.00,7.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7103930,5.00,6.00,4.00,6.00,7.00,10.13,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7103948,6.00,6.00,3.00,6.00,9.00,10.13,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7103956,2.00,6.00,3.00,6.00,8.00,9.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7103972,5.00,7.00,1.00,8.00,6.00,12.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7103980,1.00,7.00,1.00,7.00,8.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7103999,4.00,7.00,1.00,3.00,5.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7104006,4.00,6.00,1.00,6.00,8.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7104014,5.00,7.00,4.00,7.00,8.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7104022,3.00,7.00,2.00,5.00,7.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7104030,3.00,7.00,3.00,4.00,4.00,4.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7104049,1.00,5.00,2.00,5.00,8.00,6.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7104057,1.00,5.00,1.00,2.00,3.00,6.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7104065,2.00,7.00,4.00,6.00,7.00,8.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7104081,0.00,3.00,1.00,4.00,5.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7104090,2.00,7.00,2.00,7.00,5.00,7.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7104111,0.00,3.00,2.00,4.00,3.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7104120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7104138,1.00,4.00,2.00,3.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,'S','N'),(28,7104146,2.00,4.00,2.00,6.00,3.00,0.00,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7104154,4.00,6.00,4.00,7.00,9.00,7.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7104162,4.00,4.00,3.00,5.00,3.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7104170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7104189,5.00,7.00,4.00,6.00,8.00,9.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7104197,3.00,7.00,2.00,4.00,8.00,12.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7104200,8.00,8.00,5.00,4.00,7.00,10.88,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7104219,3.00,3.00,1.00,5.00,5.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7104227,5.00,7.00,8.00,7.00,8.00,9.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7104235,5.00,7.00,2.00,6.00,8.00,7.88,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7104243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7104251,5.00,6.00,3.00,7.00,7.00,9.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7104260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7104278,5.00,8.00,7.00,7.00,7.00,9.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7104286,6.00,8.00,4.00,6.00,8.00,7.13,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7104308,3.00,6.00,2.00,5.00,8.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7104332,6.00,6.00,6.00,6.00,8.00,10.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7104340,0.00,7.00,1.00,5.00,4.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7104359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7104367,5.00,8.00,3.00,6.00,7.00,9.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7104375,4.00,7.00,4.00,6.00,9.00,12.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7104391,6.00,7.00,5.00,5.00,7.00,8.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7104413,5.00,7.00,2.00,5.00,9.00,8.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7104430,5.00,6.00,3.00,5.00,6.00,9.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7104456,1.00,7.00,1.00,5.00,7.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7104464,4.00,6.00,4.00,7.00,5.00,4.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7104480,3.00,5.00,1.00,1.00,3.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7104499,5.00,7.00,3.00,6.00,6.00,5.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7104502,2.00,3.00,3.00,6.00,7.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7104510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7104529,2.00,5.00,3.00,2.00,5.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7104537,5.00,7.00,1.00,6.00,7.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7104545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7104553,2.00,6.00,3.00,5.00,9.00,8.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7104561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7104570,3.00,6.00,2.00,2.00,6.00,10.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7104588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7104596,3.00,5.00,1.00,3.00,3.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7104600,5.00,8.00,2.00,7.00,7.00,10.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7104626,3.00,5.00,3.00,7.00,5.00,7.50,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7104634,2.00,4.00,0.00,5.00,5.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7104642,4.00,4.00,1.00,6.00,4.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7104650,3.00,7.00,3.00,7.00,4.00,8.63,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7104669,2.00,4.00,1.00,4.00,4.00,4.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7104677,1.00,5.00,2.00,2.00,5.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7104685,3.00,4.00,3.00,4.00,5.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7104693,2.00,6.00,2.00,4.00,5.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7104707,8.00,7.00,8.00,5.00,9.00,13.13,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7104715,5.00,8.00,5.00,7.00,10.00,9.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7104723,5.00,8.00,3.00,6.00,8.00,8.25,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7104740,5.00,8.00,3.00,7.00,10.00,6.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7104782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7104790,4.00,7.00,5.00,7.00,8.00,12.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7104804,3.00,6.00,1.00,5.00,6.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7104812,1.00,6.00,1.00,2.00,1.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7104820,1.00,4.00,0.00,6.00,5.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7104839,3.00,8.00,4.00,6.00,7.00,7.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7104847,0.00,6.00,2.00,5.00,3.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7104863,4.00,9.00,4.00,6.00,7.00,6.38,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7104871,2.00,3.00,2.00,5.00,6.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7104880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7104910,3.00,6.00,1.00,5.00,8.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7104928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7104952,6.00,5.00,2.00,4.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7104960,1.00,4.00,1.00,4.00,5.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7104979,5.00,7.00,4.00,4.00,8.00,6.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7105002,0.00,1.00,2.00,2.00,5.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7105010,3.00,7.00,0.00,4.00,4.00,5.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7105029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7105037,1.00,4.00,3.00,5.00,4.00,9.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7105045,0.00,5.00,3.00,5.00,5.00,10.50,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7105053,4.00,7.00,2.00,4.00,8.00,8.25,8.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7105070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7105088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7105096,7.00,7.00,5.00,5.00,8.00,12.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7105100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7105118,3.00,7.00,3.00,4.00,7.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7105126,3.00,7.00,2.00,7.00,5.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7105142,3.00,8.00,1.00,5.00,6.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7105150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7105177,6.00,8.00,4.00,7.00,8.00,10.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7105185,4.00,8.00,2.00,6.00,7.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7105193,3.00,6.00,3.00,7.00,5.00,4.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7105207,5.00,7.00,2.00,6.00,7.00,7.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7105215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7105223,2.00,5.00,2.00,4.00,5.00,5.63,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7105231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7105240,2.00,8.00,3.00,6.00,7.00,9.38,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7105258,7.00,7.00,3.00,6.00,7.00,7.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7105266,6.00,7.00,4.00,7.00,9.00,10.13,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7105274,3.00,7.00,3.00,6.00,8.00,10.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7105290,2.00,3.00,2.00,6.00,4.00,10.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7105312,5.00,6.00,2.00,6.00,9.00,9.38,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7105339,4.00,8.00,2.00,4.00,7.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7105347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7105355,6.00,7.00,4.00,6.00,7.00,9.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7105363,1.00,6.00,2.00,6.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7105371,4.00,5.00,1.00,6.00,6.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7105380,3.00,2.00,2.00,2.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7105398,1.00,2.00,2.00,3.00,5.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7105401,4.00,6.00,2.00,5.00,8.00,8.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7105410,3.00,6.00,3.00,5.00,10.00,11.25,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7105436,1.00,7.00,3.00,1.00,6.00,5.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7105444,4.00,7.00,2.00,5.00,6.00,9.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7105452,0.00,3.00,3.00,3.00,6.00,6.75,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7105460,1.00,7.00,2.00,6.00,10.00,13.50,2.00,6.00,1.00,NULL,NULL,NULL,'S'),(28,7105479,3.00,8.00,3.00,6.00,6.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7105487,4.00,6.00,2.00,4.00,7.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7105509,6.00,9.00,3.00,6.00,6.00,10.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7105517,3.00,7.00,1.00,3.00,6.00,9.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7105525,3.00,7.00,3.00,6.00,8.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7105533,6.00,9.00,5.00,6.00,9.00,11.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7105550,3.00,8.00,2.00,7.00,9.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7105568,2.00,6.00,1.00,6.00,3.00,9.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7105576,4.00,7.00,3.00,4.00,6.00,7.88,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7105592,3.00,5.00,1.00,1.00,5.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7105606,0.00,4.00,2.00,4.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7105614,1.00,2.00,2.00,3.00,3.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7105622,5.00,7.00,3.00,7.00,8.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7105649,1.00,7.00,3.00,5.00,10.00,11.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7105657,6.00,7.00,6.00,6.00,7.00,11.63,8.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7105665,5.00,7.00,1.00,6.00,9.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7105673,3.00,7.00,2.00,7.00,7.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7105703,9.00,8.00,4.00,7.00,9.00,9.38,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7105711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7105720,0.00,5.00,1.00,2.00,4.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7105738,1.00,5.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7105746,5.00,8.00,2.00,5.00,7.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7105770,0.00,8.00,3.00,7.00,7.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7105789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7105797,2.00,6.00,1.00,8.00,9.00,8.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7105800,1.00,5.00,1.00,7.00,5.00,7.88,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7105827,0.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7105835,6.00,7.00,3.00,6.00,4.00,10.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7105843,3.00,4.00,0.00,6.00,9.00,8.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7105851,1.00,6.00,0.00,6.00,5.00,9.75,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7105860,2.00,5.00,0.00,6.00,4.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7105878,2.00,6.00,2.00,3.00,7.00,10.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7105886,3.00,5.00,2.00,7.00,7.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7105894,0.00,2.00,4.00,4.00,5.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7105908,0.00,2.00,1.00,7.00,6.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7105916,4.00,7.00,3.00,7.00,6.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7105924,3.00,5.00,0.00,4.00,4.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7105932,3.00,8.00,1.00,5.00,7.00,8.63,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7105940,4.00,7.00,4.00,5.00,5.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7105967,1.00,7.00,3.00,4.00,7.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7105991,2.00,5.00,3.00,2.00,4.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7106009,5.00,9.00,4.00,6.00,5.00,7.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7106017,4.00,6.00,2.00,7.00,9.00,10.88,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7106025,0.00,1.00,3.00,7.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7106050,0.00,3.00,0.00,5.00,7.00,9.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7106068,0.00,3.00,1.00,2.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7106076,6.00,9.00,5.00,7.00,5.00,7.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7106092,0.00,6.00,3.00,2.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7106106,4.00,5.00,2.00,5.00,4.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7106114,1.00,3.00,1.00,1.00,2.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(28,7106122,3.00,5.00,3.00,3.00,5.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7106130,5.00,7.00,2.00,4.00,7.00,8.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7106149,4.00,8.00,5.00,6.00,9.00,11.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7106165,1.00,4.00,2.00,6.00,3.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7106181,4.00,5.00,1.00,6.00,6.00,9.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7106190,3.00,2.00,3.00,5.00,5.00,5.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7106203,2.00,7.00,1.00,6.00,6.00,7.88,6.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7106238,5.00,7.00,2.00,6.00,6.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7106246,6.00,7.00,5.00,6.00,8.00,8.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7106254,3.00,4.00,1.00,3.00,3.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7106262,0.00,4.00,2.00,4.00,6.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7106270,0.00,5.00,2.00,3.00,3.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7106297,1.00,4.00,1.00,3.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7106300,4.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7106327,4.00,7.00,2.00,7.00,9.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7106335,3.00,7.00,3.00,7.00,7.00,8.63,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7106343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7106351,5.00,6.00,2.00,7.00,7.00,11.25,2.00,7.00,2.00,NULL,NULL,NULL,'S'),(28,7106360,3.00,7.00,1.00,7.00,10.00,8.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7106378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7106394,2.00,7.00,4.00,7.00,7.00,10.88,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7106408,5.00,8.00,2.00,4.00,8.00,6.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7106416,2.00,2.00,1.00,3.00,3.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7106424,6.00,9.00,5.00,6.00,10.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7106432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7106459,3.00,4.00,1.00,6.00,6.00,7.88,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7106467,4.00,6.00,4.00,4.00,6.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7106475,2.00,6.00,3.00,5.00,6.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7106483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7106491,0.00,5.00,1.00,3.00,3.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7106505,6.00,7.00,3.00,5.00,8.00,7.13,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7106513,4.00,7.00,3.00,7.00,10.00,8.63,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7106530,1.00,3.00,1.00,1.00,5.00,6.00,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7106548,4.00,7.00,3.00,6.00,4.00,7.13,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7106572,4.00,7.00,0.00,6.00,7.00,7.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7106599,5.00,9.00,1.00,7.00,8.00,9.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7106602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7106610,1.00,8.00,3.00,5.00,6.00,6.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7106629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7106637,5.00,8.00,2.00,5.00,8.00,7.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7106645,3.00,7.00,3.00,7.00,6.00,6.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7106653,4.00,7.00,0.00,6.00,7.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7106661,2.00,6.00,3.00,4.00,3.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7106670,2.00,5.00,0.00,4.00,5.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7106688,2.00,3.00,2.00,5.00,6.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7106696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7106700,5.00,7.00,6.00,5.00,9.00,9.00,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7106726,1.00,4.00,2.00,5.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7106750,4.00,8.00,2.00,7.00,8.00,10.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7106769,3.00,5.00,1.00,5.00,8.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7106777,4.00,5.00,2.00,6.00,7.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7106785,5.00,7.00,4.00,6.00,4.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7106807,3.00,5.00,3.00,6.00,5.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7106815,1.00,5.00,0.00,5.00,3.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7106823,0.00,2.00,2.00,4.00,3.00,5.25,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7106831,4.00,7.00,3.00,6.00,7.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7106858,0.00,3.00,2.00,4.00,8.00,7.88,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7106874,5.00,7.00,2.00,7.00,8.00,10.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7106890,4.00,7.00,3.00,4.00,4.00,7.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7106904,4.00,5.00,3.00,7.00,5.00,9.38,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7106939,0.00,5.00,2.00,3.00,3.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7106947,4.00,6.00,2.00,6.00,8.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7106955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7106963,4.00,5.00,2.00,7.00,7.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7106998,6.00,4.00,0.00,5.00,6.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7107005,1.00,3.00,1.00,5.00,4.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7107013,6.00,8.00,1.00,6.00,8.00,8.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7107021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7107048,3.00,8.00,5.00,5.00,5.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7107064,3.00,7.00,1.00,6.00,8.00,7.88,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7107080,4.00,7.00,2.00,6.00,7.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7107099,6.00,7.00,5.00,8.00,8.00,10.13,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7107110,4.00,7.00,2.00,6.00,7.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7107129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7107137,4.00,6.00,4.00,7.00,8.00,7.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7107145,5.00,7.00,4.00,5.00,10.00,8.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7107153,3.00,0.00,2.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7107161,4.00,6.00,2.00,7.00,7.00,8.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7107188,3.00,5.00,0.00,2.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7107196,5.00,7.00,4.00,7.00,5.00,8.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7107200,1.00,5.00,1.00,6.00,6.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7107226,0.00,3.00,2.00,4.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7107234,0.00,3.00,0.00,3.00,4.00,5.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7107242,2.00,7.00,3.00,7.00,8.00,9.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7107250,3.00,6.00,3.00,5.00,6.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7107277,2.00,7.00,1.00,6.00,8.00,10.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7107285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7107293,0.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7107307,1.00,6.00,2.00,2.00,5.00,6.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7107340,4.00,6.00,2.00,6.00,7.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7107374,5.00,7.00,2.00,6.00,7.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7107382,2.00,5.00,1.00,4.00,7.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7107390,2.00,6.00,3.00,6.00,5.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7107404,1.00,4.00,4.00,4.00,6.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7107439,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7107447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7107455,7.00,8.00,3.00,7.00,8.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7107463,1.00,5.00,1.00,5.00,7.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7107471,4.00,6.00,3.00,6.00,8.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7107480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7107501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7107510,2.00,5.00,3.00,5.00,6.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7107552,0.00,4.00,1.00,2.00,5.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7107560,0.00,2.00,1.00,2.00,1.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7107587,3.00,6.00,3.00,4.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7107609,0.00,4.00,3.00,5.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7107617,1.00,3.00,1.00,6.00,4.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7107625,3.00,7.00,0.00,7.00,8.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7107633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7107641,1.00,3.00,3.00,6.00,5.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7107668,3.00,7.00,3.00,5.00,9.00,12.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7107676,7.00,8.00,4.00,6.00,9.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7107706,0.00,5.00,3.00,2.00,3.00,6.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7107714,2.00,5.00,1.00,7.00,7.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7107749,3.00,7.00,4.00,6.00,7.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7107757,0.00,4.00,1.00,3.00,1.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7107765,1.00,4.00,0.00,3.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7107773,5.00,6.00,2.00,6.00,7.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7107781,1.00,4.00,1.00,6.00,3.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7107790,4.00,6.00,0.00,5.00,6.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7107811,2.00,6.00,1.00,6.00,7.00,6.75,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7107820,5.00,6.00,3.00,6.00,4.00,9.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7107838,1.00,4.00,1.00,4.00,8.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7107846,2.00,7.00,1.00,7.00,6.00,7.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7107854,3.00,5.00,1.00,5.00,3.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7107862,6.00,8.00,5.00,6.00,9.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7107870,3.00,8.00,5.00,5.00,9.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7107889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7107897,1.00,6.00,3.00,6.00,7.00,8.63,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7107900,4.00,7.00,1.00,7.00,8.00,11.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7107935,0.00,6.00,1.00,4.00,5.00,10.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7107943,2.00,6.00,1.00,4.00,4.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7107951,1.00,6.00,4.00,5.00,8.00,8.25,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7107960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7107978,1.00,4.00,1.00,5.00,7.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7107986,1.00,0.00,4.00,1.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7108010,4.00,6.00,2.00,6.00,6.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7108036,2.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7108044,3.00,5.00,3.00,6.00,5.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7108052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7108060,7.00,7.00,4.00,6.00,9.00,11.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7108079,3.00,6.00,3.00,6.00,7.00,10.13,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7108087,1.00,3.00,2.00,2.00,6.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7108095,1.00,4.00,3.00,2.00,5.00,6.00,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7108109,2.00,8.00,4.00,6.00,7.00,9.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7108117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7108125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7108133,4.00,5.00,1.00,5.00,4.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7108150,4.00,7.00,5.00,6.00,5.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7108184,1.00,2.00,2.00,6.00,6.00,8.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7108192,0.00,3.00,3.00,2.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7108230,2.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7108249,4.00,7.00,2.00,5.00,8.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7108265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7108273,1.00,3.00,1.00,5.00,3.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7108281,0.00,5.00,2.00,5.00,5.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7108290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7108303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7108311,5.00,8.00,2.00,6.00,8.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7108320,3.00,3.00,2.00,1.00,3.00,4.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7108338,0.00,1.00,2.00,3.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7108346,6.00,7.00,5.00,7.00,7.00,8.63,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7108362,4.00,6.00,1.00,6.00,7.00,6.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7108370,3.00,5.00,3.00,6.00,5.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7108397,6.00,8.00,1.00,7.00,10.00,10.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7108419,5.00,8.00,0.00,7.00,10.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7108427,0.00,1.00,3.00,3.00,4.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7108443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7108460,4.00,5.00,1.00,5.00,8.00,10.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7108478,0.00,4.00,1.00,4.00,3.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7108494,3.00,5.00,1.00,5.00,8.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7108516,3.00,4.00,3.00,6.00,6.00,7.13,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7108532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7108540,5.00,8.00,2.00,4.00,6.00,9.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7108559,5.00,4.00,3.00,3.00,4.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7108567,5.00,7.00,4.00,4.00,9.00,7.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7108575,3.00,5.00,5.00,4.00,5.00,9.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7108613,0.00,3.00,1.00,6.00,3.00,3.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7108630,5.00,4.00,4.00,4.00,5.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7108648,1.00,3.00,2.00,5.00,4.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7108656,3.00,6.00,2.00,6.00,8.00,11.63,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7108664,3.00,6.00,0.00,7.00,8.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7108672,5.00,7.00,3.00,7.00,9.00,12.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7108680,4.00,8.00,1.00,5.00,5.00,7.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7108702,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7108710,3.00,6.00,3.00,6.00,8.00,10.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7108729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7108745,0.00,9.00,2.00,2.00,8.00,6.38,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7108753,1.00,4.00,0.00,7.00,3.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7108761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7108770,3.00,8.00,2.00,7.00,8.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7108796,2.00,2.00,2.00,1.00,1.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7108800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7108818,1.00,4.00,2.00,1.00,5.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7108834,0.00,1.00,1.00,1.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7108850,2.00,4.00,3.00,5.00,5.00,10.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7108869,4.00,5.00,2.00,7.00,7.00,11.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7108885,4.00,6.00,2.00,6.00,2.00,NULL,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7108893,0.00,4.00,1.00,5.00,5.00,NULL,2.00,5.00,0.00,NULL,NULL,'S','N'),(28,7108907,6.00,7.00,1.00,5.00,8.00,7.88,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7108915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7108940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7108958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7108974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7108982,0.00,0.00,2.00,4.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7108990,1.00,1.00,0.00,0.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7109008,0.00,7.00,3.00,3.00,5.00,6.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7109024,2.00,6.00,1.00,6.00,5.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7109059,2.00,4.00,1.00,5.00,7.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7109075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7109083,3.00,4.00,2.00,5.00,3.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7109113,2.00,4.00,0.00,2.00,4.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7109121,1.00,5.00,4.00,6.00,7.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7109130,2.00,6.00,1.00,7.00,4.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7109148,3.00,7.00,2.00,5.00,5.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7109156,0.00,6.00,1.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7109164,1.00,5.00,0.00,2.00,7.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7109199,5.00,5.00,2.00,6.00,5.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7109210,3.00,7.00,1.00,7.00,9.00,10.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7109237,0.00,4.00,2.00,5.00,7.00,4.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7109253,1.00,6.00,2.00,6.00,3.00,6.00,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7109261,1.00,7.00,1.00,5.00,5.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7109270,6.00,8.00,1.00,7.00,10.00,6.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7109288,2.00,5.00,3.00,6.00,6.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7109296,4.00,6.00,2.00,7.00,7.00,9.38,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7109300,2.00,6.00,1.00,6.00,8.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7109326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7109350,0.00,4.00,5.00,5.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7109369,5.00,9.00,2.00,8.00,7.00,5.63,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7109377,6.00,6.00,3.00,6.00,7.00,10.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7109407,1.00,5.00,2.00,6.00,4.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7109431,3.00,6.00,0.00,7.00,8.00,0.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7109440,2.00,6.00,5.00,4.00,8.00,8.63,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7109458,0.00,5.00,2.00,6.00,6.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7109466,2.00,8.00,2.00,6.00,7.00,8.25,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7109474,2.00,3.00,2.00,5.00,7.00,6.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7109490,0.00,4.00,1.00,2.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7109512,3.00,6.00,2.00,3.00,7.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7109520,4.00,8.00,0.00,5.00,8.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7109539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7109563,6.00,7.00,3.00,6.00,9.00,9.38,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7109571,4.00,8.00,2.00,7.00,8.00,7.88,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7109580,1.00,6.00,2.00,5.00,4.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7109598,5.00,6.00,1.00,5.00,8.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7109628,5.00,9.00,3.00,5.00,6.00,9.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7109636,2.00,7.00,2.00,6.00,4.00,9.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7109644,1.00,6.00,1.00,5.00,6.00,6.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7109652,4.00,7.00,1.00,5.00,4.00,3.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7109660,1.00,4.00,2.00,7.00,6.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7109709,1.00,3.00,3.00,4.00,4.00,6.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7109717,2.00,3.00,3.00,4.00,5.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7109725,6.00,8.00,3.00,6.00,7.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7109733,2.00,4.00,0.00,2.00,2.00,NULL,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7109741,2.00,6.00,4.00,6.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7109776,0.00,6.00,1.00,3.00,6.00,5.25,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7109784,1.00,3.00,3.00,3.00,4.00,5.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7109792,2.00,2.00,2.00,6.00,3.00,4.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7109806,3.00,6.00,3.00,5.00,7.00,9.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7109814,0.00,2.00,0.00,2.00,4.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7109822,1.00,5.00,3.00,5.00,8.00,8.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7109830,1.00,4.00,1.00,6.00,5.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7109849,1.00,6.00,3.00,7.00,8.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7109857,3.00,5.00,2.00,6.00,7.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7109865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7109873,2.00,5.00,3.00,5.00,9.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7109881,2.00,2.00,0.00,5.00,1.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7109890,3.00,6.00,3.00,7.00,7.00,9.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7109903,3.00,7.00,4.00,7.00,10.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7109911,2.00,6.00,2.00,6.00,4.00,7.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7109920,2.00,9.00,1.00,6.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7109938,2.00,7.00,2.00,6.00,4.00,7.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7109946,3.00,6.00,3.00,5.00,6.00,10.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7109954,2.00,7.00,4.00,7.00,8.00,8.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7109962,5.00,7.00,3.00,6.00,8.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7109970,1.00,5.00,1.00,3.00,5.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7109989,3.00,7.00,2.00,7.00,7.00,10.13,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7109997,4.00,5.00,2.00,3.00,6.00,3.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7110006,1.00,4.00,0.00,4.00,4.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7110014,1.00,2.00,1.00,5.00,4.00,4.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7110022,2.00,7.00,2.00,6.00,6.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7110049,3.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7110057,4.00,7.00,1.00,7.00,9.00,5.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7110065,2.00,8.00,4.00,4.00,6.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7110073,0.00,6.00,1.00,3.00,5.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7110081,1.00,4.00,1.00,3.00,4.00,4.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7110090,1.00,5.00,1.00,4.00,3.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7110103,4.00,7.00,2.00,7.00,6.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7110111,3.00,8.00,3.00,5.00,5.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7110138,2.00,6.00,4.00,7.00,10.00,10.88,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7110146,5.00,6.00,3.00,6.00,4.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7110154,1.00,4.00,2.00,5.00,5.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7110170,2.00,4.00,2.00,6.00,5.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7110189,2.00,7.00,3.00,6.00,8.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7110197,3.00,7.00,3.00,6.00,7.00,9.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7110200,4.00,9.00,2.00,7.00,8.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7110219,2.00,4.00,1.00,7.00,6.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7110227,1.00,5.00,3.00,7.00,4.00,7.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7110235,1.00,7.00,4.00,7.00,6.00,8.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7110243,1.00,5.00,1.00,6.00,4.00,7.13,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7110251,2.00,6.00,2.00,4.00,4.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7110278,4.00,2.00,3.00,6.00,6.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7110286,4.00,6.00,4.00,7.00,6.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7110308,0.00,2.00,3.00,4.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7110324,6.00,7.00,1.00,6.00,7.00,8.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7110332,5.00,8.00,2.00,7.00,7.00,9.00,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(28,7110340,2.00,6.00,1.00,6.00,4.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7110359,5.00,6.00,2.00,6.00,8.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7110367,5.00,8.00,5.00,7.00,5.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7110375,7.00,8.00,3.00,6.00,7.00,9.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7110383,1.00,5.00,2.00,2.00,5.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7110391,1.00,3.00,1.00,6.00,8.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7110405,3.00,4.00,2.00,2.00,3.00,5.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7110413,2.00,8.00,3.00,6.00,6.00,8.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7110421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7110430,1.00,4.00,1.00,2.00,3.00,0.00,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7110448,1.00,4.00,2.00,6.00,5.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7110456,5.00,8.00,2.00,6.00,2.00,NULL,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7110464,3.00,3.00,0.00,7.00,5.00,8.63,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7110472,3.00,5.00,3.00,5.00,6.00,7.13,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7110480,0.00,5.00,2.00,3.00,5.00,4.88,5.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7110499,5.00,7.00,6.00,6.00,7.00,12.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7110502,3.00,8.00,2.00,6.00,9.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7110510,4.00,8.00,1.00,6.00,9.00,3.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7110529,2.00,4.00,2.00,7.00,9.00,7.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7110537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7110553,6.00,6.00,2.00,4.00,5.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7110570,1.00,5.00,3.00,3.00,3.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7110588,2.00,7.00,3.00,6.00,8.00,6.38,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7110600,3.00,7.00,1.00,4.00,3.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7110618,2.00,7.00,1.00,6.00,8.00,8.63,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7110626,4.00,8.00,2.00,6.00,9.00,10.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7110634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7110642,3.00,4.00,3.00,2.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7110650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7110677,3.00,6.00,2.00,5.00,8.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7110707,0.00,3.00,2.00,3.00,3.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7110723,1.00,2.00,3.00,4.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7110731,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7110740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7110758,3.00,6.00,6.00,7.00,5.00,9.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7110766,1.00,4.00,1.00,4.00,4.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7110774,1.00,4.00,4.00,2.00,7.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7110782,7.00,7.00,4.00,6.00,10.00,8.63,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7110790,2.00,5.00,0.00,5.00,8.00,6.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7110804,4.00,6.00,0.00,7.00,8.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7110812,7.00,9.00,4.00,6.00,9.00,11.63,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7110820,0.00,5.00,2.00,4.00,3.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7110839,0.00,7.00,2.00,7.00,7.00,10.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7110847,0.00,4.00,2.00,2.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7110855,1.00,7.00,5.00,3.00,5.00,8.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7110863,2.00,3.00,2.00,2.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7110871,5.00,7.00,2.00,6.00,8.00,8.63,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7110880,0.00,6.00,0.00,5.00,6.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7110901,0.00,4.00,3.00,4.00,4.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7110910,2.00,9.00,1.00,7.00,8.00,10.88,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7110928,4.00,6.00,3.00,7.00,7.00,10.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7110936,1.00,6.00,3.00,7.00,6.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7110944,0.00,5.00,2.00,2.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7110952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7110960,0.00,2.00,2.00,2.00,4.00,8.63,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7110979,1.00,5.00,3.00,7.00,9.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7110987,0.00,3.00,2.00,3.00,4.00,8.25,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7111002,0.00,5.00,2.00,2.00,0.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7111029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7111037,1.00,6.00,1.00,7.00,6.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7111045,2.00,2.00,2.00,3.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7111053,6.00,8.00,1.00,7.00,10.00,7.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7111061,1.00,3.00,1.00,6.00,3.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7111070,3.00,6.00,2.00,5.00,7.00,6.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7111088,3.00,7.00,2.00,4.00,7.00,11.25,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7111096,3.00,5.00,4.00,7.00,5.00,7.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7111100,3.00,6.00,2.00,4.00,6.00,10.13,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7111118,0.00,1.00,1.00,5.00,4.00,3.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7111126,5.00,8.00,6.00,5.00,7.00,8.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7111134,7.00,5.00,3.00,7.00,6.00,7.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7111142,0.00,6.00,4.00,4.00,4.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7111150,6.00,7.00,3.00,6.00,9.00,9.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7111169,4.00,7.00,1.00,7.00,5.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7111177,1.00,3.00,2.00,5.00,5.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7111193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7111207,3.00,5.00,1.00,5.00,6.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7111223,3.00,5.00,2.00,4.00,3.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7111231,2.00,5.00,2.00,3.00,6.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7111240,1.00,2.00,0.00,5.00,3.00,7.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7111258,5.00,6.00,3.00,7.00,10.00,11.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7111266,3.00,5.00,2.00,7.00,5.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7111274,2.00,6.00,3.00,6.00,8.00,7.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7111282,2.00,5.00,4.00,7.00,7.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7111290,3.00,4.00,2.00,5.00,4.00,4.88,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7111304,1.00,5.00,1.00,7.00,3.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7111320,2.00,3.00,3.00,2.00,4.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7111347,1.00,6.00,3.00,5.00,6.00,7.88,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7111363,6.00,7.00,5.00,6.00,10.00,11.63,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7111371,1.00,0.00,3.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7111398,4.00,6.00,1.00,3.00,5.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7111410,1.00,3.00,3.00,5.00,5.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7111428,4.00,7.00,2.00,7.00,9.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7111436,1.00,7.00,3.00,6.00,3.00,7.13,2.00,8.00,1.00,NULL,NULL,NULL,'N'),(28,7111444,5.00,7.00,6.00,6.00,7.00,7.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7111452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7111460,0.00,3.00,2.00,1.00,4.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7111487,2.00,5.00,3.00,4.00,8.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7111495,1.00,2.00,3.00,1.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7111509,6.00,7.00,4.00,7.00,7.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7111517,0.00,4.00,2.00,0.00,4.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7111533,3.00,6.00,2.00,5.00,8.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7111576,2.00,8.00,2.00,7.00,9.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7111592,3.00,6.00,3.00,6.00,7.00,9.38,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7111606,2.00,5.00,2.00,3.00,4.00,8.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7111614,1.00,2.00,2.00,2.00,4.00,9.38,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7111622,2.00,7.00,4.00,8.00,7.00,9.00,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7111649,7.00,8.00,4.00,7.00,11.00,12.00,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7111657,6.00,7.00,0.00,7.00,9.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7111665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7111681,5.00,8.00,2.00,7.00,7.00,12.00,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7111690,6.00,7.00,2.00,7.00,7.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7111703,2.00,6.00,0.00,5.00,6.00,5.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7111711,5.00,8.00,3.00,6.00,6.00,7.88,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7111738,0.00,1.00,2.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7111746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7111754,1.00,5.00,3.00,4.00,7.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7111762,0.00,7.00,0.00,7.00,5.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7111770,0.00,4.00,2.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7111800,7.00,8.00,1.00,7.00,9.00,8.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7111819,1.00,5.00,3.00,6.00,6.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7111827,1.00,2.00,3.00,5.00,3.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7111835,3.00,2.00,1.00,1.00,5.00,4.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7111860,0.00,2.00,0.00,5.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7111878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7111894,7.00,7.00,4.00,8.00,10.00,10.88,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(28,7111908,1.00,9.00,2.00,6.00,7.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7111940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7111959,1.00,4.00,3.00,4.00,6.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7111967,0.00,2.00,1.00,2.00,3.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7112009,3.00,8.00,4.00,5.00,6.00,9.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7112017,1.00,4.00,2.00,2.00,6.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7112033,1.00,4.00,3.00,5.00,5.00,6.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7112041,5.00,7.00,2.00,7.00,9.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7112050,2.00,6.00,0.00,6.00,7.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7112068,0.00,4.00,4.00,2.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7112076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7112084,5.00,8.00,2.00,7.00,9.00,11.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7112106,3.00,4.00,2.00,2.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7112114,7.00,7.00,5.00,7.00,7.00,12.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7112122,2.00,7.00,3.00,6.00,8.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7112130,2.00,6.00,1.00,6.00,6.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7112149,0.00,5.00,0.00,4.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7112157,7.00,7.00,3.00,7.00,8.00,9.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7112173,1.00,5.00,2.00,6.00,4.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7112190,3.00,7.00,2.00,7.00,6.00,6.38,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7112203,0.00,5.00,3.00,2.00,3.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7112211,7.00,8.00,2.00,6.00,9.00,10.13,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7112220,1.00,4.00,3.00,2.00,3.00,3.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7112238,2.00,7.00,1.00,6.00,3.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7112254,7.00,8.00,3.00,7.00,10.00,14.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7112270,3.00,8.00,1.00,5.00,3.00,6.38,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7112300,2.00,4.00,2.00,3.00,4.00,10.88,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7112319,2.00,6.00,2.00,7.00,5.00,8.63,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7112335,1.00,5.00,2.00,7.00,7.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7112343,6.00,7.00,3.00,8.00,9.00,11.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7112351,1.00,4.00,1.00,5.00,5.00,8.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7112360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7112378,6.00,9.00,5.00,7.00,7.00,6.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7112394,0.00,3.00,1.00,7.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7112416,3.00,3.00,0.00,4.00,5.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7112424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7112432,2.00,7.00,2.00,5.00,8.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7112459,0.00,3.00,2.00,0.00,3.00,0.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7112467,4.00,6.00,1.00,7.00,6.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7112475,6.00,7.00,4.00,4.00,8.00,12.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7112491,7.00,8.00,3.00,7.00,10.00,8.63,5.00,9.00,7.00,NULL,NULL,NULL,'N'),(28,7112513,0.00,6.00,4.00,6.00,5.00,9.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7112521,3.00,6.00,2.00,7.00,8.00,9.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7112530,2.00,5.00,3.00,5.00,6.00,6.38,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7112548,4.00,6.00,2.00,6.00,7.00,10.88,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7112556,1.00,6.00,3.00,6.00,7.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7112572,2.00,6.00,1.00,4.00,5.00,9.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7112580,4.00,8.00,3.00,7.00,10.00,10.13,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7112610,4.00,6.00,2.00,7.00,9.00,8.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7112637,7.00,9.00,2.00,7.00,9.00,9.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7112653,1.00,3.00,1.00,4.00,5.00,8.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7112661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7112670,1.00,6.00,2.00,6.00,7.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7112688,3.00,5.00,1.00,6.00,7.00,10.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7112696,3.00,7.00,3.00,6.00,7.00,7.50,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7112718,1.00,3.00,2.00,1.00,7.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7112734,2.00,4.00,1.00,6.00,7.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7112742,6.00,8.00,2.00,6.00,4.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7112750,2.00,6.00,3.00,4.00,8.00,5.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7112769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7112777,2.00,7.00,3.00,7.00,8.00,8.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7112793,1.00,8.00,5.00,6.00,8.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7112807,2.00,6.00,0.00,4.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7112815,0.00,2.00,4.00,2.00,3.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7112823,3.00,7.00,2.00,3.00,4.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7112831,2.00,7.00,1.00,2.00,3.00,4.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7112840,3.00,4.00,4.00,5.00,5.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7112882,2.00,8.00,2.00,7.00,7.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7112890,0.00,6.00,3.00,4.00,6.00,5.63,1.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7112912,5.00,7.00,5.00,4.00,8.00,10.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7112920,3.00,6.00,2.00,7.00,4.00,7.50,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7112939,3.00,8.00,3.00,7.00,5.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7112947,2.00,4.00,4.00,2.00,6.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7112955,2.00,6.00,3.00,3.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7112971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7113005,1.00,3.00,1.00,4.00,7.00,7.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7113021,0.00,2.00,2.00,1.00,1.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7113030,4.00,7.00,2.00,6.00,6.00,9.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7113048,4.00,7.00,2.00,5.00,8.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7113056,1.00,7.00,2.00,5.00,5.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7113064,2.00,4.00,3.00,7.00,9.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7113080,4.00,7.00,1.00,7.00,6.00,8.63,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7113099,2.00,7.00,1.00,5.00,5.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7113110,3.00,5.00,1.00,5.00,6.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7113129,4.00,7.00,2.00,5.00,7.00,7.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7113137,3.00,3.00,3.00,7.00,5.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7113145,0.00,4.00,1.00,3.00,5.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7113153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7113161,1.00,7.00,0.00,5.00,5.00,9.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7113170,6.00,8.00,5.00,6.00,8.00,10.88,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7113196,1.00,6.00,0.00,6.00,4.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7113226,4.00,6.00,1.00,5.00,6.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7113242,1.00,3.00,1.00,6.00,3.00,11.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7113250,1.00,4.00,0.00,6.00,5.00,9.00,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7113277,6.00,7.00,5.00,6.00,6.00,9.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7113285,1.00,6.00,2.00,2.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7113293,1.00,4.00,3.00,5.00,6.00,7.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7113307,2.00,4.00,2.00,6.00,6.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7113315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7113323,2.00,7.00,1.00,6.00,7.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7113340,5.00,7.00,4.00,6.00,8.00,8.63,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7113358,4.00,6.00,1.00,7.00,9.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7113366,0.00,2.00,2.00,4.00,3.00,3.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7113374,0.00,4.00,2.00,2.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7113382,2.00,6.00,1.00,5.00,6.00,8.63,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7113390,1.00,6.00,1.00,5.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7113404,4.00,7.00,1.00,7.00,7.00,9.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7113439,2.00,8.00,1.00,6.00,3.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7113447,1.00,3.00,2.00,1.00,3.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7113455,4.00,7.00,1.00,7.00,9.00,11.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7113471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7113480,4.00,6.00,2.00,5.00,6.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7113498,3.00,2.00,1.00,4.00,7.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7113501,3.00,3.00,1.00,3.00,5.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7113528,3.00,6.00,5.00,5.00,10.00,5.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7113536,1.00,6.00,1.00,7.00,6.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7113544,3.00,4.00,2.00,5.00,6.00,10.50,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7113552,1.00,5.00,2.00,6.00,3.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7113560,2.00,5.00,4.00,5.00,5.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7113595,0.00,6.00,0.00,1.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7113625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7113633,0.00,0.00,2.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(28,7113641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7113650,2.00,8.00,3.00,7.00,3.00,10.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7113668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7113676,4.00,7.00,3.00,8.00,9.00,10.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7113684,5.00,8.00,4.00,7.00,7.00,9.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7113706,3.00,6.00,1.00,7.00,6.00,8.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7113714,0.00,1.00,1.00,3.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7113730,8.00,6.00,2.00,5.00,7.00,8.63,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7113749,1.00,7.00,2.00,7.00,9.00,9.38,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7113757,2.00,6.00,0.00,5.00,8.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(28,7113765,4.00,5.00,2.00,8.00,7.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7113773,5.00,8.00,3.00,7.00,9.00,12.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7113781,1.00,5.00,1.00,4.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7113803,1.00,6.00,0.00,5.00,9.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7113811,2.00,5.00,2.00,3.00,5.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7113820,4.00,7.00,2.00,6.00,7.00,11.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7113838,3.00,4.00,2.00,6.00,7.00,11.25,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7113846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7113862,5.00,7.00,4.00,5.00,8.00,7.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7113870,0.00,6.00,1.00,7.00,6.00,7.88,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7113897,5.00,6.00,2.00,4.00,7.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7113919,0.00,4.00,0.00,0.00,0.00,NULL,1.00,2.00,3.00,'S',NULL,NULL,'N'),(28,7113927,6.00,7.00,3.00,7.00,7.00,10.88,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7113935,0.00,6.00,0.00,3.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7113943,1.00,4.00,3.00,5.00,6.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7113951,3.00,6.00,1.00,6.00,6.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7113960,4.00,7.00,3.00,5.00,7.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7113978,3.00,7.00,2.00,6.00,4.00,4.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7113986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7113994,4.00,6.00,2.00,6.00,8.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7114001,4.00,8.00,3.00,5.00,7.00,8.63,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7114010,7.00,9.00,1.00,7.00,9.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7114036,2.00,9.00,4.00,5.00,8.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7114044,6.00,7.00,4.00,6.00,9.00,10.88,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7114052,4.00,7.00,3.00,6.00,9.00,7.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7114060,4.00,6.00,3.00,7.00,9.00,4.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7114079,5.00,7.00,3.00,7.00,10.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7114087,3.00,4.00,2.00,5.00,7.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7114095,4.00,5.00,1.00,1.00,8.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7114109,6.00,8.00,4.00,7.00,8.00,9.00,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7114117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7114133,1.00,6.00,2.00,5.00,7.00,8.63,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7114141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7114176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7114184,2.00,4.00,1.00,6.00,5.00,11.25,3.00,1.00,6.00,NULL,NULL,NULL,'N'),(28,7114206,0.00,5.00,1.00,7.00,6.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7114214,1.00,6.00,1.00,6.00,5.00,5.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7114230,2.00,1.00,0.00,1.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7114249,2.00,4.00,2.00,7.00,7.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7114257,4.00,6.00,2.00,6.00,6.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7114273,9.00,7.00,8.00,7.00,9.00,9.75,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7114281,7.00,9.00,3.00,6.00,8.00,12.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7114303,4.00,6.00,3.00,6.00,7.00,9.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7114311,0.00,8.00,2.00,7.00,6.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7114320,2.00,5.00,1.00,6.00,7.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7114338,4.00,7.00,4.00,5.00,7.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7114346,1.00,5.00,2.00,4.00,4.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7114362,3.00,8.00,4.00,6.00,6.00,6.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7114370,7.00,9.00,2.00,7.00,9.00,9.75,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(28,7114397,3.00,8.00,4.00,7.00,7.00,6.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7114400,1.00,3.00,3.00,4.00,4.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7114419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7114427,0.00,3.00,3.00,5.00,4.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7114435,1.00,6.00,1.00,6.00,6.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7114451,4.00,7.00,2.00,6.00,7.00,7.88,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7114460,1.00,6.00,1.00,6.00,5.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7114478,1.00,4.00,0.00,6.00,4.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7114486,3.00,4.00,2.00,5.00,4.00,5.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7114494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7114516,5.00,8.00,6.00,7.00,7.00,10.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7114524,3.00,7.00,1.00,4.00,6.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7114532,2.00,4.00,0.00,5.00,5.00,5.25,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7114540,4.00,8.00,4.00,5.00,9.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7114567,2.00,6.00,3.00,6.00,3.00,7.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7114583,6.00,8.00,3.00,6.00,10.00,10.88,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7114591,0.00,4.00,2.00,2.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7114605,4.00,7.00,2.00,7.00,7.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7114613,2.00,5.00,1.00,7.00,6.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7114621,5.00,6.00,2.00,6.00,8.00,8.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7114630,1.00,5.00,2.00,7.00,7.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7114656,5.00,5.00,3.00,6.00,9.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7114664,8.00,8.00,4.00,8.00,10.00,8.63,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7114672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7114680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7114699,0.00,2.00,1.00,3.00,3.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7114702,1.00,3.00,2.00,4.00,7.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7114710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7114729,1.00,4.00,1.00,7.00,6.00,11.25,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7114737,7.00,7.00,3.00,7.00,10.00,9.00,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7114745,4.00,6.00,1.00,6.00,9.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7114753,0.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7114770,4.00,5.00,3.00,3.00,7.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7114796,2.00,7.00,2.00,4.00,5.00,5.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7114800,5.00,8.00,2.00,5.00,8.00,9.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7114818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7114826,4.00,5.00,2.00,7.00,6.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7114834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7114850,1.00,6.00,2.00,6.00,4.00,3.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7114869,1.00,6.00,2.00,3.00,4.00,7.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7114877,3.00,8.00,5.00,6.00,7.00,9.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7114885,5.00,5.00,2.00,6.00,9.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7114915,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7114923,0.00,2.00,2.00,5.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7114931,0.00,2.00,3.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,'S','N'),(28,7114940,7.00,7.00,6.00,6.00,8.00,9.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7114958,3.00,7.00,2.00,5.00,8.00,9.38,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7114966,4.00,6.00,4.00,6.00,7.00,10.88,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7114990,5.00,5.00,2.00,5.00,7.00,7.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7115008,2.00,8.00,2.00,6.00,4.00,4.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7115016,4.00,7.00,1.00,0.00,3.00,10.50,1.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7115024,4.00,5.00,2.00,7.00,5.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7115040,6.00,8.00,7.00,5.00,6.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7115067,3.00,5.00,2.00,4.00,7.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7115075,5.00,9.00,4.00,7.00,10.00,5.63,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7115083,4.00,6.00,2.00,4.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7115091,6.00,7.00,5.00,7.00,8.00,9.38,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7115105,1.00,6.00,3.00,2.00,4.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7115113,7.00,8.00,4.00,7.00,8.00,7.88,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7115121,6.00,8.00,3.00,6.00,10.00,11.63,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7115130,0.00,3.00,2.00,1.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7115156,1.00,5.00,1.00,3.00,4.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7115199,1.00,7.00,3.00,7.00,5.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7115202,3.00,8.00,1.00,7.00,7.00,6.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7115210,5.00,7.00,3.00,7.00,10.00,9.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7115245,0.00,2.00,3.00,4.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7115253,4.00,6.00,3.00,5.00,7.00,7.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7115261,1.00,7.00,0.00,6.00,5.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7115288,1.00,8.00,3.00,7.00,5.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7115300,5.00,5.00,3.00,5.00,6.00,5.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7115318,3.00,8.00,3.00,7.00,6.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7115326,1.00,5.00,1.00,6.00,6.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7115334,4.00,6.00,3.00,4.00,6.00,9.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7115342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7115350,1.00,3.00,2.00,3.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7115369,5.00,7.00,3.00,5.00,6.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7115377,0.00,5.00,3.00,3.00,3.00,0.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7115393,5.00,6.00,4.00,6.00,8.00,11.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7115407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7115415,3.00,4.00,2.00,1.00,3.00,5.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7115423,5.00,8.00,3.00,7.00,9.00,7.88,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7115431,1.00,3.00,3.00,4.00,4.00,6.75,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7115440,5.00,8.00,1.00,7.00,6.00,8.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7115458,3.00,6.00,3.00,6.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7115466,4.00,8.00,6.00,6.00,9.00,10.13,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7115474,5.00,8.00,1.00,6.00,8.00,7.88,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7115482,1.00,3.00,1.00,5.00,4.00,4.88,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7115504,2.00,4.00,3.00,6.00,6.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7115520,9.00,8.00,7.00,7.00,6.00,12.00,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7115539,2.00,7.00,3.00,7.00,3.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7115547,1.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7115555,1.00,0.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7115571,3.00,5.00,1.00,7.00,9.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7115580,0.00,3.00,2.00,5.00,3.00,6.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7115598,2.00,5.00,2.00,5.00,5.00,7.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7115601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7115610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7115636,2.00,5.00,0.00,5.00,6.00,6.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7115644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7115660,7.00,7.00,4.00,7.00,10.00,7.88,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7115679,2.00,6.00,1.00,6.00,3.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7115717,7.00,7.00,4.00,5.00,8.00,9.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7115725,5.00,6.00,2.00,4.00,9.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7115733,1.00,7.00,1.00,7.00,7.00,7.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7115741,7.00,5.00,3.00,8.00,3.00,7.88,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7115750,2.00,5.00,3.00,7.00,5.00,8.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7115776,4.00,7.00,2.00,6.00,7.00,9.38,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7115784,4.00,6.00,5.00,6.00,4.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7115806,3.00,7.00,3.00,3.00,7.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7115814,2.00,7.00,2.00,7.00,8.00,11.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7115822,6.00,7.00,3.00,6.00,6.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7115830,0.00,5.00,1.00,6.00,5.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7115849,6.00,7.00,2.00,5.00,8.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7115865,4.00,5.00,2.00,6.00,6.00,9.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7115873,3.00,6.00,0.00,2.00,5.00,6.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7115890,4.00,6.00,2.00,6.00,7.00,9.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7115903,4.00,7.00,3.00,6.00,8.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7115911,2.00,7.00,2.00,6.00,6.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7115920,1.00,1.00,2.00,6.00,5.00,NULL,2.00,4.00,0.00,NULL,NULL,'S','N'),(28,7115938,3.00,6.00,2.00,5.00,7.00,10.13,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7115946,7.00,7.00,3.00,7.00,8.00,8.63,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7115954,2.00,6.00,4.00,6.00,8.00,9.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7115962,3.00,4.00,6.00,4.00,5.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7115970,1.00,7.00,3.00,5.00,5.00,8.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7116020,5.00,8.00,7.00,6.00,9.00,9.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7116039,0.00,5.00,2.00,2.00,7.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7116047,5.00,7.00,3.00,6.00,8.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7116055,2.00,6.00,4.00,6.00,9.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7116063,3.00,9.00,3.00,6.00,4.00,9.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7116071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7116080,1.00,6.00,2.00,1.00,5.00,4.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7116098,2.00,7.00,2.00,3.00,4.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7116101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7116110,5.00,7.00,1.00,3.00,3.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7116128,7.00,7.00,2.00,6.00,3.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7116136,0.00,3.00,1.00,5.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7116144,1.00,5.00,1.00,5.00,5.00,11.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7116152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7116160,4.00,6.00,1.00,5.00,6.00,9.38,1.00,8.00,1.00,NULL,NULL,NULL,'N'),(28,7116179,6.00,8.00,4.00,7.00,10.00,9.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7116187,2.00,6.00,3.00,2.00,7.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7116217,4.00,7.00,2.00,7.00,8.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7116233,2.00,5.00,1.00,4.00,5.00,8.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7116241,5.00,8.00,3.00,4.00,8.00,11.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7116268,6.00,8.00,3.00,7.00,5.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7116276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7116284,2.00,6.00,1.00,5.00,5.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7116292,2.00,6.00,2.00,4.00,4.00,10.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7116306,4.00,7.00,2.00,5.00,8.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7116314,4.00,6.00,3.00,6.00,7.00,8.63,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7116322,1.00,5.00,2.00,7.00,5.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7116330,2.00,7.00,1.00,7.00,7.00,6.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7116349,0.00,3.00,1.00,6.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7116365,0.00,4.00,1.00,3.00,3.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7116381,1.00,5.00,1.00,7.00,5.00,8.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7116390,2.00,8.00,0.00,6.00,5.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7116403,0.00,6.00,2.00,6.00,5.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7116411,3.00,8.00,2.00,6.00,9.00,7.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7116420,4.00,7.00,1.00,7.00,5.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7116438,3.00,9.00,3.00,7.00,9.00,7.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7116446,4.00,7.00,2.00,7.00,7.00,9.75,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7116454,1.00,3.00,2.00,2.00,3.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7116462,5.00,7.00,1.00,4.00,7.00,6.38,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7116470,5.00,7.00,3.00,7.00,9.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7116489,7.00,7.00,6.00,6.00,9.00,10.13,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7116497,1.00,7.00,1.00,6.00,7.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7116500,2.00,5.00,3.00,6.00,6.00,5.25,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7116519,3.00,0.00,1.00,7.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7116527,5.00,7.00,3.00,6.00,6.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7116535,7.00,6.00,3.00,5.00,7.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7116543,5.00,7.00,2.00,4.00,8.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7116551,5.00,8.00,2.00,5.00,7.00,10.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7116560,3.00,7.00,1.00,4.00,6.00,9.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7116578,0.00,3.00,1.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7116586,1.00,4.00,1.00,4.00,5.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7116594,1.00,4.00,2.00,5.00,4.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7116608,4.00,7.00,4.00,7.00,6.00,8.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7116616,4.00,6.00,1.00,5.00,4.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7116624,3.00,8.00,0.00,8.00,10.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7116632,2.00,6.00,2.00,7.00,7.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7116659,1.00,6.00,1.00,5.00,7.00,8.63,0.00,3.00,0.00,NULL,NULL,NULL,'S'),(28,7116667,4.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(28,7116675,4.00,5.00,3.00,6.00,8.00,4.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7116683,0.00,3.00,1.00,3.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7116691,7.00,8.00,2.00,7.00,11.00,10.88,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(28,7116705,4.00,8.00,3.00,5.00,8.00,9.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7116713,1.00,5.00,3.00,6.00,6.00,6.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7116730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7116748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7116764,3.00,5.00,4.00,6.00,9.00,10.13,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7116772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7116799,2.00,5.00,3.00,7.00,7.00,7.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7116802,2.00,7.00,3.00,5.00,8.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7116810,2.00,0.00,1.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7116829,6.00,7.00,5.00,5.00,9.00,7.88,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7116837,3.00,7.00,2.00,6.00,7.00,10.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7116845,4.00,7.00,1.00,5.00,8.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7116853,5.00,7.00,3.00,7.00,6.00,10.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7116861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7116888,7.00,8.00,5.00,6.00,9.00,8.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7116900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7116918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7116926,0.00,6.00,3.00,3.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7116942,0.00,5.00,2.00,3.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7116950,1.00,8.00,1.00,6.00,7.00,6.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7116969,3.00,7.00,1.00,4.00,9.00,9.38,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7116977,5.00,7.00,3.00,7.00,10.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7116985,1.00,4.00,2.00,6.00,7.00,11.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7116993,1.00,4.00,0.00,3.00,5.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7117000,1.00,3.00,3.00,5.00,6.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7117019,4.00,7.00,2.00,7.00,9.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7117027,2.00,6.00,2.00,6.00,8.00,7.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7117035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7117051,4.00,6.00,2.00,4.00,5.00,11.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7117060,2.00,3.00,1.00,1.00,6.00,7.88,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7117078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7117086,6.00,8.00,4.00,7.00,8.00,7.88,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7117094,4.00,6.00,3.00,3.00,6.00,9.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7117108,6.00,9.00,4.00,6.00,8.00,9.38,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7117116,2.00,5.00,1.00,5.00,6.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7117132,4.00,6.00,0.00,5.00,7.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7117140,2.00,7.00,3.00,3.00,7.00,7.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7117159,4.00,6.00,2.00,6.00,8.00,6.75,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7117167,0.00,3.00,0.00,4.00,4.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7117175,0.00,5.00,1.00,4.00,3.00,10.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7117183,4.00,5.00,2.00,6.00,7.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7117205,3.00,6.00,5.00,7.00,8.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7117213,6.00,8.00,4.00,7.00,9.00,12.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7117230,3.00,6.00,3.00,5.00,4.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7117248,4.00,8.00,0.00,3.00,7.00,7.88,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7117256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7117264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7117272,3.00,4.00,0.00,2.00,5.00,4.88,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7117280,2.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7117299,6.00,5.00,1.00,4.00,6.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7117310,3.00,5.00,2.00,7.00,7.00,7.13,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7117337,4.00,7.00,2.00,6.00,9.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7117345,6.00,7.00,5.00,7.00,8.00,8.63,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7117361,6.00,6.00,4.00,7.00,8.00,10.13,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7117370,2.00,2.00,2.00,3.00,5.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7117388,1.00,5.00,4.00,6.00,5.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7117396,4.00,7.00,2.00,5.00,7.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7117400,0.00,1.00,3.00,3.00,6.00,6.00,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7117418,2.00,4.00,1.00,6.00,7.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7117426,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7117434,3.00,6.00,1.00,5.00,6.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7117442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7117450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7117469,3.00,7.00,2.00,5.00,8.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7117477,0.00,4.00,3.00,3.00,7.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7117493,1.00,6.00,1.00,7.00,8.00,8.63,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7117507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7117515,1.00,6.00,1.00,5.00,8.00,8.63,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7117531,1.00,5.00,2.00,4.00,8.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7117540,0.00,5.00,2.00,7.00,7.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7117558,7.00,8.00,4.00,7.00,6.00,7.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7117566,6.00,8.00,4.00,7.00,9.00,10.88,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7117574,3.00,6.00,2.00,4.00,4.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7117582,0.00,5.00,2.00,3.00,3.00,5.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7117604,2.00,4.00,3.00,2.00,3.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7117612,1.00,4.00,3.00,5.00,5.00,9.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7117620,7.00,8.00,3.00,6.00,10.00,12.38,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7117639,1.00,4.00,3.00,7.00,6.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7117647,2.00,4.00,1.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7117671,6.00,7.00,5.00,6.00,5.00,6.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7117680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7117698,5.00,7.00,2.00,6.00,8.00,7.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7117701,9.00,8.00,4.00,7.00,10.00,7.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7117710,4.00,6.00,3.00,6.00,7.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7117728,2.00,4.00,1.00,7.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7117736,2.00,6.00,4.00,6.00,6.00,10.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7117744,0.00,7.00,3.00,6.00,8.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7117760,4.00,8.00,2.00,6.00,10.00,8.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7117779,1.00,5.00,2.00,6.00,5.00,6.38,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7117795,1.00,7.00,3.00,6.00,5.00,6.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7117809,1.00,4.00,0.00,6.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,'S','N'),(28,7117825,2.00,6.00,3.00,5.00,6.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7117876,0.00,5.00,3.00,0.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7117884,3.00,5.00,1.00,4.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7117892,3.00,6.00,2.00,6.00,6.00,9.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7117906,0.00,5.00,2.00,6.00,8.00,9.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7117914,1.00,6.00,2.00,5.00,8.00,9.38,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7117922,3.00,6.00,4.00,4.00,8.00,7.13,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7117949,1.00,4.00,2.00,0.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7117957,4.00,5.00,4.00,4.00,6.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7117965,3.00,6.00,3.00,6.00,3.00,6.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7117973,4.00,7.00,1.00,7.00,7.00,8.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7117981,2.00,6.00,3.00,6.00,8.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7117990,4.00,7.00,1.00,5.00,8.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7118015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7118023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7118031,2.00,7.00,1.00,5.00,7.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7118040,3.00,5.00,2.00,7.00,4.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7118058,4.00,8.00,2.00,6.00,9.00,9.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7118066,3.00,7.00,2.00,6.00,8.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7118074,5.00,7.00,3.00,6.00,7.00,10.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7118082,2.00,6.00,1.00,7.00,6.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7118090,1.00,7.00,1.00,6.00,5.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7118104,5.00,7.00,1.00,5.00,8.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7118112,4.00,5.00,2.00,7.00,8.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7118120,4.00,7.00,1.00,4.00,3.00,10.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7118139,5.00,7.00,4.00,7.00,6.00,6.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7118171,1.00,4.00,1.00,3.00,3.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7118201,5.00,7.00,4.00,4.00,6.00,9.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7118210,4.00,5.00,2.00,7.00,6.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7118244,6.00,8.00,6.00,7.00,8.00,7.88,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7118252,3.00,7.00,5.00,5.00,4.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7118260,1.00,2.00,5.00,5.00,4.00,4.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7118279,3.00,7.00,3.00,5.00,9.00,7.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7118287,4.00,5.00,2.00,6.00,7.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7118309,6.00,8.00,2.00,8.00,8.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7118317,6.00,7.00,3.00,6.00,8.00,10.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7118325,3.00,9.00,2.00,7.00,7.00,8.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7118333,5.00,7.00,4.00,6.00,5.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7118341,3.00,2.00,2.00,5.00,8.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7118350,5.00,6.00,2.00,7.00,5.00,8.63,5.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7118368,2.00,7.00,3.00,6.00,9.00,9.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7118376,5.00,5.00,3.00,7.00,9.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7118384,6.00,6.00,1.00,7.00,9.00,7.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7118392,4.00,7.00,2.00,5.00,10.00,10.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7118430,5.00,8.00,4.00,7.00,8.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7118449,0.00,3.00,1.00,7.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7118465,2.00,3.00,3.00,5.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7118473,6.00,8.00,4.00,5.00,9.00,8.25,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7118481,0.00,4.00,1.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7118490,0.00,4.00,2.00,6.00,3.00,8.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7118503,3.00,7.00,3.00,7.00,9.00,6.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7118520,4.00,6.00,1.00,4.00,7.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7118538,4.00,6.00,3.00,6.00,8.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7118546,3.00,8.00,3.00,7.00,3.00,9.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7118554,3.00,4.00,1.00,3.00,7.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7118562,0.00,2.00,0.00,4.00,4.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7118570,0.00,6.00,3.00,5.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7118600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7118619,6.00,7.00,2.00,6.00,6.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7118635,3.00,6.00,2.00,7.00,4.00,6.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7118643,0.00,3.00,3.00,6.00,8.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7118651,1.00,5.00,1.00,1.00,0.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7118678,2.00,8.00,2.00,7.00,8.00,8.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7118686,5.00,7.00,5.00,6.00,4.00,10.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7118694,5.00,7.00,5.00,6.00,7.00,10.88,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7118708,2.00,2.00,0.00,4.00,3.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7118732,1.00,3.00,1.00,4.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7118759,4.00,7.00,5.00,6.00,8.00,9.38,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7118767,4.00,7.00,3.00,4.00,7.00,7.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7118783,3.00,6.00,1.00,6.00,5.00,10.88,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7118805,6.00,7.00,4.00,6.00,5.00,10.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7118813,5.00,6.00,3.00,7.00,5.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7118821,1.00,4.00,4.00,3.00,1.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7118830,0.00,3.00,0.00,1.00,4.00,8.25,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7118848,1.00,7.00,1.00,5.00,3.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7118856,1.00,8.00,0.00,6.00,7.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7118864,4.00,6.00,5.00,6.00,3.00,8.25,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7118880,2.00,5.00,2.00,6.00,6.00,4.88,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7118899,1.00,6.00,2.00,4.00,6.00,9.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7118910,3.00,5.00,4.00,4.00,7.00,7.88,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7118937,2.00,6.00,2.00,4.00,5.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7118945,2.00,6.00,0.00,7.00,5.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7118953,2.00,6.00,2.00,5.00,4.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7118961,1.00,3.00,2.00,7.00,4.00,4.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7118988,2.00,4.00,2.00,6.00,5.00,6.00,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7118996,4.00,6.00,2.00,6.00,7.00,10.13,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7119011,3.00,6.00,1.00,5.00,6.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7119020,3.00,6.00,1.00,6.00,5.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7119038,5.00,9.00,3.00,6.00,6.00,9.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7119046,5.00,7.00,3.00,7.00,7.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7119054,1.00,6.00,2.00,5.00,5.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7119070,0.00,6.00,1.00,3.00,3.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7119089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7119097,0.00,4.00,1.00,5.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7119100,4.00,7.00,4.00,7.00,7.00,7.88,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7119119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7119135,2.00,4.00,2.00,5.00,7.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7119143,1.00,8.00,3.00,5.00,8.00,8.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7119151,2.00,7.00,4.00,6.00,7.00,0.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7119160,2.00,7.00,4.00,5.00,8.00,7.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7119186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7119194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7119216,0.00,3.00,0.00,3.00,4.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7119224,1.00,4.00,3.00,6.00,4.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7119232,1.00,3.00,0.00,1.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7119240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7119259,3.00,5.00,2.00,7.00,8.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7119291,4.00,6.00,5.00,4.00,10.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7119313,1.00,2.00,0.00,4.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7119321,1.00,7.00,1.00,7.00,6.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7119330,2.00,2.00,2.00,4.00,4.00,4.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7119364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7119380,4.00,7.00,2.00,5.00,6.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7119399,6.00,8.00,5.00,7.00,9.00,7.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7119402,2.00,4.00,1.00,5.00,6.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7119410,6.00,5.00,2.00,5.00,4.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7119429,3.00,8.00,2.00,8.00,7.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7119437,6.00,6.00,3.00,5.00,8.00,9.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7119445,7.00,9.00,4.00,6.00,9.00,7.88,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7119453,1.00,5.00,1.00,6.00,6.00,NULL,4.00,3.00,2.00,NULL,NULL,'S','N'),(28,7119461,1.00,7.00,4.00,6.00,9.00,8.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7119496,4.00,7.00,3.00,5.00,7.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7119500,0.00,0.00,3.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7119518,0.00,5.00,3.00,4.00,5.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7119534,2.00,7.00,2.00,6.00,7.00,6.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7119542,0.00,5.00,1.00,5.00,4.00,6.38,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7119550,3.00,6.00,2.00,5.00,7.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7119569,5.00,7.00,4.00,6.00,8.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7119577,1.00,2.00,2.00,3.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7119593,5.00,8.00,1.00,7.00,9.00,11.63,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7119607,2.00,7.00,3.00,5.00,8.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7119623,0.00,5.00,1.00,3.00,1.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7119631,5.00,7.00,1.00,7.00,8.00,10.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7119658,1.00,4.00,2.00,5.00,3.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7119666,4.00,7.00,2.00,7.00,8.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7119674,3.00,8.00,1.00,7.00,7.00,10.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7119690,0.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7119712,1.00,2.00,1.00,4.00,0.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7119720,3.00,6.00,3.00,4.00,9.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7119739,1.00,5.00,1.00,6.00,5.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7119747,3.00,6.00,2.00,3.00,5.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7119755,3.00,7.00,1.00,5.00,7.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7119771,0.00,2.00,2.00,4.00,4.00,5.63,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7119798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S',NULL,'N'),(28,7119801,4.00,7.00,3.00,6.00,6.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7119810,0.00,5.00,2.00,7.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7119836,4.00,6.00,0.00,5.00,6.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7119852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7119860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7119895,1.00,4.00,3.00,3.00,7.00,6.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7119917,0.00,3.00,2.00,3.00,2.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7119925,2.00,2.00,0.00,5.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7119933,1.00,7.00,2.00,7.00,3.00,10.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7119941,7.00,7.00,4.00,6.00,9.00,11.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7119950,1.00,4.00,3.00,5.00,5.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7119968,1.00,4.00,2.00,1.00,7.00,6.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7119984,0.00,4.00,1.00,4.00,3.00,5.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7120028,3.00,8.00,1.00,7.00,5.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7120036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120044,1.00,5.00,4.00,6.00,6.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7120052,2.00,3.00,2.00,6.00,5.00,8.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7120087,3.00,7.00,3.00,6.00,5.00,7.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7120095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120109,3.00,3.00,3.00,4.00,6.00,4.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7120117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120168,1.00,6.00,3.00,3.00,4.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7120184,4.00,5.00,1.00,3.00,5.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7120192,1.00,5.00,2.00,2.00,6.00,5.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7120214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120230,4.00,9.00,0.00,4.00,10.00,11.25,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7120257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120273,1.00,6.00,2.00,4.00,5.00,3.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7120281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120290,3.00,6.00,1.00,6.00,9.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7120303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120311,2.00,2.00,1.00,3.00,4.00,6.38,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7120320,0.00,7.00,3.00,7.00,4.00,10.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7120338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120346,1.00,6.00,2.00,7.00,5.00,9.38,1.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7120354,6.00,8.00,3.00,6.00,7.00,7.13,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7120370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120419,4.00,6.00,2.00,5.00,5.00,8.25,2.00,2.00,7.00,NULL,NULL,NULL,'N'),(28,7120427,5.00,7.00,3.00,6.00,8.00,8.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7120435,2.00,8.00,2.00,5.00,4.00,0.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7120451,3.00,7.00,1.00,6.00,8.00,10.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7120478,6.00,6.00,2.00,6.00,6.00,7.13,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7120494,9.00,7.00,2.00,7.00,9.00,7.88,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7120508,1.00,7.00,1.00,6.00,8.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7120516,1.00,4.00,2.00,5.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7120532,0.00,5.00,2.00,5.00,3.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7120567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120583,4.00,7.00,2.00,7.00,8.00,7.13,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7120613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120630,1.00,5.00,2.00,2.00,5.00,6.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7120648,2.00,6.00,3.00,7.00,9.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7120656,3.00,8.00,1.00,4.00,7.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7120664,4.00,8.00,2.00,7.00,10.00,11.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7120680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120702,2.00,6.00,2.00,5.00,5.00,6.75,7.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7120710,6.00,7.00,5.00,5.00,9.00,7.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7120729,5.00,8.00,1.00,7.00,11.00,12.00,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7120737,3.00,7.00,2.00,5.00,7.00,7.88,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7120761,3.00,3.00,2.00,7.00,7.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7120770,2.00,2.00,2.00,4.00,6.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7120788,2.00,5.00,1.00,6.00,8.00,11.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7120796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120826,3.00,4.00,3.00,2.00,6.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7120842,2.00,1.00,3.00,4.00,4.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7120850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120877,1.00,5.00,3.00,2.00,3.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7120893,1.00,5.00,1.00,6.00,4.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7120907,0.00,2.00,1.00,3.00,4.00,6.75,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7120915,1.00,4.00,2.00,3.00,7.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7120923,5.00,8.00,5.00,5.00,10.00,12.75,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7120958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7120974,2.00,3.00,4.00,3.00,8.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7120982,3.00,6.00,1.00,6.00,8.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7120990,0.00,3.00,1.00,6.00,3.00,9.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7121008,3.00,7.00,1.00,5.00,8.00,10.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7121016,0.00,2.00,2.00,3.00,3.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7121024,0.00,6.00,2.00,1.00,3.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7121032,2.00,6.00,3.00,3.00,3.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7121040,6.00,5.00,3.00,4.00,5.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7121067,4.00,7.00,1.00,5.00,10.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7121075,1.00,4.00,0.00,5.00,6.00,7.50,4.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7121083,4.00,6.00,2.00,6.00,6.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7121091,0.00,6.00,2.00,3.00,5.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7121105,3.00,6.00,1.00,7.00,8.00,6.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7121113,0.00,3.00,3.00,1.00,3.00,4.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7121121,5.00,7.00,3.00,7.00,8.00,12.38,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7121156,1.00,6.00,1.00,6.00,3.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7121164,7.00,8.00,3.00,7.00,8.00,8.63,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7121172,4.00,4.00,4.00,6.00,5.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7121180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7121199,2.00,4.00,1.00,3.00,6.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7121210,7.00,7.00,6.00,8.00,10.00,12.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7121229,2.00,6.00,2.00,6.00,6.00,10.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7121237,0.00,6.00,1.00,7.00,6.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7121245,4.00,7.00,5.00,6.00,8.00,7.88,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7121253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7121261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7121270,8.00,8.00,6.00,7.00,9.00,10.13,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7121288,3.00,6.00,2.00,6.00,6.00,9.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7121296,3.00,7.00,1.00,5.00,3.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7121318,0.00,2.00,2.00,3.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7121326,6.00,7.00,2.00,5.00,8.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7121342,3.00,5.00,1.00,4.00,4.00,7.13,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7121350,1.00,2.00,2.00,4.00,3.00,5.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7121385,1.00,3.00,0.00,4.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7121393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7121415,3.00,5.00,1.00,6.00,4.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7121431,3.00,7.00,1.00,5.00,5.00,7.88,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7121458,1.00,7.00,1.00,7.00,5.00,7.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7121466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7121474,0.00,4.00,1.00,4.00,6.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7121482,1.00,6.00,2.00,4.00,5.00,6.38,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7121504,4.00,8.00,2.00,7.00,5.00,7.13,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7121512,2.00,8.00,3.00,7.00,10.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7121520,3.00,6.00,2.00,5.00,6.00,9.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7121539,5.00,6.00,0.00,7.00,8.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7121547,3.00,7.00,5.00,8.00,6.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7121555,1.00,2.00,2.00,2.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7121563,2.00,7.00,2.00,6.00,4.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7121571,2.00,7.00,4.00,7.00,10.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7121598,5.00,8.00,3.00,6.00,9.00,10.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7121601,7.00,8.00,6.00,7.00,9.00,10.13,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7121610,3.00,7.00,3.00,7.00,8.00,10.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7121628,5.00,4.00,4.00,6.00,6.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7121636,5.00,8.00,4.00,7.00,7.00,7.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7121644,1.00,2.00,0.00,2.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7121652,2.00,5.00,2.00,7.00,9.00,10.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7121660,2.00,6.00,2.00,6.00,9.00,8.63,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7121679,3.00,6.00,1.00,4.00,6.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7121687,4.00,5.00,3.00,4.00,6.00,5.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7121695,3.00,8.00,2.00,7.00,6.00,9.38,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7121717,5.00,6.00,2.00,5.00,9.00,10.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7121725,5.00,7.00,4.00,7.00,8.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7121733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7121741,1.00,8.00,1.00,8.00,7.00,9.00,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7121750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7121768,3.00,6.00,2.00,7.00,6.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7121776,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7121784,5.00,8.00,3.00,6.00,7.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7121792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7121806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7121814,0.00,6.00,3.00,2.00,2.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7121830,2.00,6.00,2.00,5.00,8.00,7.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7121849,1.00,4.00,2.00,3.00,4.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7121857,4.00,8.00,1.00,7.00,8.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7121873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7121881,0.00,4.00,1.00,1.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7121890,6.00,8.00,6.00,7.00,7.00,8.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7121903,0.00,7.00,3.00,5.00,5.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7121911,0.00,3.00,1.00,2.00,3.00,3.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7121920,5.00,8.00,2.00,6.00,10.00,8.63,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7121938,2.00,5.00,5.00,6.00,5.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7121946,2.00,7.00,1.00,7.00,6.00,10.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7121954,3.00,6.00,3.00,7.00,4.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7121962,2.00,5.00,3.00,4.00,5.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7121970,3.00,8.00,6.00,7.00,8.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7121989,2.00,4.00,1.00,5.00,5.00,9.38,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7121997,6.00,8.00,3.00,5.00,1.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7122004,4.00,6.00,0.00,7.00,5.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7122020,3.00,6.00,3.00,6.00,6.00,7.13,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7122047,1.00,4.00,2.00,5.00,7.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7122055,7.00,8.00,4.00,6.00,10.00,11.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7122063,5.00,8.00,3.00,8.00,8.00,8.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7122071,0.00,7.00,3.00,6.00,5.00,10.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7122080,0.00,2.00,2.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7122098,2.00,7.00,3.00,0.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7122101,5.00,8.00,4.00,7.00,9.00,8.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7122128,3.00,6.00,3.00,7.00,5.00,10.88,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7122136,1.00,8.00,2.00,6.00,6.00,9.38,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7122144,3.00,6.00,1.00,6.00,4.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7122152,5.00,7.00,0.00,5.00,7.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7122160,4.00,7.00,2.00,5.00,4.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7122179,2.00,5.00,2.00,5.00,4.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7122187,4.00,8.00,3.00,5.00,7.00,8.63,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7122209,0.00,1.00,2.00,5.00,4.00,4.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7122217,3.00,8.00,1.00,7.00,8.00,9.00,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7122225,3.00,5.00,3.00,6.00,6.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7122233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7122241,3.00,5.00,2.00,3.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7122268,4.00,6.00,2.00,6.00,5.00,6.38,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7122276,6.00,6.00,1.00,7.00,7.00,11.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7122284,4.00,7.00,4.00,7.00,7.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7122292,3.00,6.00,0.00,6.00,8.00,7.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7122306,5.00,7.00,4.00,6.00,8.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7122314,2.00,2.00,3.00,2.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7122322,2.00,5.00,1.00,3.00,6.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7122330,3.00,3.00,2.00,4.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7122349,4.00,6.00,4.00,4.00,7.00,9.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7122357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7122365,3.00,3.00,1.00,3.00,5.00,5.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7122373,6.00,8.00,2.00,7.00,10.00,11.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7122381,3.00,5.00,4.00,3.00,6.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7122403,1.00,6.00,3.00,6.00,4.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'S'),(28,7122411,6.00,6.00,1.00,4.00,5.00,10.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7122420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7122438,1.00,4.00,2.00,1.00,4.00,5.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7122446,4.00,5.00,2.00,5.00,6.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7122454,0.00,6.00,2.00,4.00,6.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7122462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7122470,4.00,7.00,3.00,6.00,8.00,6.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7122489,2.00,5.00,1.00,7.00,5.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7122497,2.00,6.00,2.00,3.00,5.00,6.38,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7122500,4.00,6.00,3.00,7.00,7.00,11.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7122519,1.00,7.00,2.00,7.00,7.00,10.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7122527,4.00,7.00,2.00,6.00,9.00,10.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7122535,4.00,6.00,3.00,6.00,7.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7122543,3.00,5.00,3.00,1.00,3.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7122551,1.00,5.00,2.00,6.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7122578,3.00,7.00,4.00,6.00,6.00,8.63,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7122586,0.00,7.00,2.00,7.00,3.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7122594,2.00,8.00,3.00,7.00,5.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7122608,3.00,5.00,2.00,6.00,6.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7122640,7.00,7.00,2.00,6.00,8.00,10.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7122659,0.00,5.00,1.00,6.00,3.00,4.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7122667,2.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7122675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7122683,0.00,3.00,2.00,6.00,6.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7122691,0.00,1.00,4.00,1.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7122705,2.00,4.00,2.00,4.00,4.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7122713,0.00,5.00,2.00,0.00,4.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7122730,5.00,7.00,2.00,7.00,9.00,8.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7122748,4.00,6.00,1.00,6.00,7.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7122756,6.00,7.00,5.00,7.00,10.00,8.63,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7122772,1.00,2.00,2.00,5.00,6.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7122780,3.00,7.00,1.00,7.00,8.00,10.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7122799,4.00,3.00,3.00,6.00,5.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7122802,0.00,4.00,2.00,4.00,4.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7122810,4.00,8.00,3.00,6.00,7.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7122829,0.00,5.00,2.00,2.00,7.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7122837,5.00,7.00,4.00,7.00,8.00,9.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7122853,2.00,7.00,3.00,5.00,7.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7122861,0.00,5.00,2.00,5.00,9.00,7.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7122870,1.00,4.00,2.00,5.00,3.00,4.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7122888,5.00,7.00,1.00,4.00,8.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7122896,1.00,5.00,2.00,6.00,7.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7122900,1.00,4.00,2.00,5.00,5.00,6.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7122918,1.00,6.00,2.00,4.00,7.00,10.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7122926,0.00,4.00,3.00,6.00,6.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7122934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7122942,1.00,7.00,2.00,7.00,8.00,10.50,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7122969,4.00,5.00,3.00,3.00,6.00,7.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7122977,0.00,4.00,2.00,3.00,3.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7122985,0.00,6.00,2.00,5.00,2.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7122993,3.00,6.00,3.00,6.00,7.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7123000,2.00,6.00,1.00,6.00,5.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7123019,3.00,3.00,1.00,3.00,3.00,5.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7123027,5.00,6.00,2.00,7.00,5.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7123035,2.00,7.00,0.00,7.00,6.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7123043,0.00,7.00,2.00,5.00,4.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7123060,2.00,5.00,4.00,4.00,6.00,7.50,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7123086,1.00,3.00,2.00,6.00,5.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7123094,5.00,6.00,5.00,6.00,9.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7123124,4.00,8.00,2.00,5.00,8.00,8.63,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7123132,4.00,5.00,1.00,6.00,7.00,10.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7123140,5.00,8.00,0.00,6.00,4.00,11.25,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7123159,3.00,7.00,5.00,7.00,10.00,8.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7123167,3.00,8.00,2.00,7.00,7.00,10.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7123183,1.00,2.00,1.00,4.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7123191,2.00,3.00,2.00,4.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7123213,1.00,4.00,2.00,5.00,4.00,7.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7123230,2.00,4.00,0.00,3.00,4.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7123256,1.00,8.00,4.00,4.00,4.00,8.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7123264,3.00,4.00,2.00,6.00,6.00,7.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7123272,1.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7123280,4.00,5.00,3.00,5.00,5.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7123302,2.00,7.00,0.00,6.00,7.00,10.88,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7123310,2.00,2.00,1.00,4.00,3.00,6.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7123329,4.00,6.00,3.00,5.00,4.00,7.88,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7123337,3.00,4.00,1.00,7.00,4.00,8.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7123345,2.00,6.00,0.00,7.00,8.00,9.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7123353,2.00,9.00,5.00,6.00,6.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7123370,0.00,7.00,1.00,4.00,7.00,10.13,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7123388,1.00,5.00,1.00,5.00,2.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7123396,6.00,9.00,3.00,6.00,10.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7123400,0.00,2.00,2.00,1.00,3.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7123418,3.00,8.00,2.00,7.00,8.00,8.63,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7123426,0.00,4.00,1.00,6.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7123469,6.00,7.00,4.00,6.00,8.00,9.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7123477,1.00,5.00,2.00,4.00,4.00,5.25,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7123485,1.00,3.00,1.00,4.00,3.00,5.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7123493,3.00,6.00,2.00,6.00,3.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7123523,5.00,9.00,2.00,8.00,5.00,8.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7123531,5.00,8.00,4.00,6.00,8.00,8.63,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7123566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7123574,2.00,5.00,1.00,5.00,8.00,11.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7123582,2.00,5.00,0.00,1.00,4.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7123639,3.00,5.00,2.00,6.00,4.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7123655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7123663,3.00,7.00,2.00,3.00,5.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7123671,4.00,6.00,2.00,4.00,3.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7123680,3.00,3.00,2.00,6.00,5.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7123698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7123701,3.00,5.00,3.00,6.00,8.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7123710,3.00,6.00,2.00,6.00,7.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7123728,4.00,8.00,2.00,4.00,3.00,10.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7123736,8.00,7.00,4.00,4.00,10.00,9.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7123744,5.00,6.00,2.00,6.00,7.00,11.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7123752,3.00,4.00,2.00,5.00,5.00,5.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7123760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7123779,2.00,2.00,5.00,1.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7123787,1.00,6.00,3.00,4.00,5.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7123809,2.00,7.00,1.00,5.00,8.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7123825,4.00,8.00,2.00,5.00,4.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7123833,4.00,7.00,8.00,7.00,9.00,11.63,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7123841,0.00,1.00,2.00,4.00,3.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7123850,3.00,6.00,2.00,7.00,6.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7123868,3.00,7.00,2.00,7.00,9.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7123876,3.00,5.00,0.00,6.00,9.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7123906,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7123914,4.00,8.00,2.00,5.00,6.00,12.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7123922,4.00,7.00,3.00,6.00,7.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7123930,5.00,7.00,4.00,7.00,7.00,12.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7123949,4.00,5.00,1.00,4.00,7.00,7.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7123957,6.00,8.00,7.00,5.00,5.00,13.13,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7123965,4.00,7.00,2.00,6.00,6.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7123981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7123990,1.00,5.00,2.00,7.00,6.00,7.88,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7124007,2.00,1.00,2.00,2.00,1.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7124023,3.00,5.00,2.00,5.00,5.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7124031,2.00,5.00,2.00,3.00,3.00,5.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7124058,6.00,7.00,4.00,7.00,8.00,7.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7124066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7124074,4.00,5.00,2.00,3.00,6.00,4.88,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7124082,3.00,8.00,1.00,6.00,8.00,8.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7124104,3.00,5.00,2.00,6.00,8.00,9.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7124120,0.00,4.00,2.00,5.00,3.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7124139,1.00,4.00,0.00,1.00,4.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7124147,5.00,7.00,4.00,6.00,7.00,9.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7124155,4.00,6.00,2.00,6.00,8.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7124171,1.00,5.00,0.00,7.00,5.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7124180,0.00,2.00,1.00,3.00,6.00,5.63,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7124201,1.00,6.00,1.00,4.00,9.00,11.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7124210,5.00,9.00,1.00,8.00,9.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7124236,5.00,8.00,3.00,5.00,7.00,8.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7124244,5.00,8.00,3.00,7.00,5.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7124252,2.00,3.00,1.00,4.00,5.00,8.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7124260,4.00,8.00,3.00,6.00,7.00,10.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7124279,2.00,6.00,1.00,5.00,7.00,8.63,3.00,0.00,5.00,NULL,NULL,NULL,'N'),(28,7124309,4.00,7.00,2.00,2.00,9.00,10.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7124317,1.00,6.00,2.00,6.00,5.00,6.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7124325,0.00,3.00,2.00,5.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7124333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7124341,2.00,6.00,3.00,4.00,7.00,6.38,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7124350,7.00,9.00,3.00,7.00,10.00,9.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7124384,6.00,8.00,3.00,7.00,9.00,9.38,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7124392,4.00,7.00,3.00,7.00,10.00,10.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7124406,6.00,7.00,5.00,6.00,9.00,8.25,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7124414,2.00,5.00,1.00,5.00,7.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7124422,0.00,1.00,2.00,2.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7124430,1.00,5.00,2.00,6.00,5.00,6.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7124449,6.00,7.00,4.00,6.00,8.00,7.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7124457,1.00,8.00,1.00,6.00,9.00,10.88,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7124473,4.00,7.00,4.00,7.00,8.00,11.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7124481,3.00,5.00,5.00,6.00,6.00,4.50,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7124511,1.00,6.00,2.00,5.00,3.00,8.25,1.00,8.00,1.00,NULL,NULL,NULL,'N'),(28,7124520,3.00,7.00,2.00,4.00,6.00,9.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7124538,9.00,7.00,4.00,6.00,9.00,7.88,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7124562,1.00,7.00,1.00,3.00,8.00,7.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7124570,4.00,7.00,4.00,8.00,11.00,10.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7124589,3.00,7.00,2.00,4.00,6.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7124597,2.00,5.00,2.00,6.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,'S','N'),(28,7124600,1.00,5.00,2.00,6.00,4.00,5.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7124627,4.00,6.00,3.00,6.00,7.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7124635,6.00,5.00,0.00,7.00,7.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7124643,1.00,5.00,1.00,6.00,6.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7124651,2.00,5.00,3.00,4.00,3.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7124660,3.00,6.00,3.00,4.00,6.00,7.88,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7124732,1.00,4.00,0.00,4.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7124740,2.00,4.00,1.00,5.00,0.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7124759,1.00,4.00,3.00,2.00,3.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7124767,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7124783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7124805,4.00,8.00,2.00,5.00,6.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7124813,5.00,5.00,2.00,6.00,5.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7124821,1.00,6.00,3.00,7.00,5.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7124830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7124848,0.00,5.00,1.00,6.00,6.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7124856,0.00,3.00,2.00,2.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,'S','N'),(28,7124864,6.00,8.00,4.00,7.00,7.00,10.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7124872,0.00,5.00,1.00,5.00,5.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7124880,1.00,2.00,2.00,2.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7124899,5.00,7.00,1.00,7.00,6.00,6.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7124902,1.00,3.00,1.00,4.00,3.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7124910,0.00,0.00,1.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7124937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7124945,0.00,2.00,1.00,1.00,3.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7124961,4.00,7.00,3.00,7.00,7.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7124970,4.00,9.00,0.00,6.00,10.00,NULL,3.00,6.00,4.00,NULL,NULL,'S','N'),(28,7124988,6.00,6.00,4.00,6.00,3.00,9.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7125003,3.00,7.00,1.00,5.00,6.00,10.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7125020,5.00,8.00,2.00,6.00,8.00,9.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7125038,4.00,8.00,1.00,7.00,5.00,7.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7125046,3.00,6.00,1.00,7.00,6.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7125070,7.00,8.00,3.00,5.00,10.00,8.25,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(28,7125089,0.00,3.00,1.00,7.00,5.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7125097,5.00,8.00,1.00,6.00,7.00,8.63,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7125100,4.00,6.00,3.00,7.00,8.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7125119,3.00,5.00,2.00,6.00,5.00,10.50,1.00,5.00,0.00,NULL,NULL,NULL,'S'),(28,7125127,1.00,5.00,1.00,6.00,6.00,4.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7125151,4.00,6.00,2.00,5.00,6.00,9.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7125160,1.00,4.00,2.00,4.00,3.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7125186,0.00,2.00,1.00,3.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7125194,1.00,7.00,0.00,5.00,6.00,11.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7125208,0.00,5.00,2.00,7.00,5.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7125216,3.00,5.00,3.00,7.00,4.00,10.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7125224,3.00,6.00,1.00,6.00,7.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7125240,2.00,8.00,3.00,5.00,9.00,10.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7125259,6.00,6.00,2.00,5.00,4.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7125267,2.00,6.00,4.00,6.00,3.00,6.38,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7125275,6.00,7.00,2.00,4.00,7.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7125283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7125291,0.00,5.00,2.00,5.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7125305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7125313,6.00,7.00,5.00,7.00,10.00,9.00,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7125330,2.00,4.00,1.00,6.00,4.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7125348,7.00,8.00,1.00,6.00,10.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7125364,4.00,8.00,4.00,5.00,6.00,5.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7125372,5.00,7.00,2.00,4.00,6.00,10.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7125380,0.00,2.00,2.00,5.00,6.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7125399,4.00,5.00,1.00,4.00,6.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7125402,1.00,6.00,2.00,6.00,8.00,6.75,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7125437,6.00,5.00,1.00,5.00,5.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7125445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7125453,0.00,2.00,1.00,7.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7125470,0.00,6.00,4.00,5.00,4.00,7.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7125488,1.00,2.00,1.00,2.00,3.00,7.88,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7125496,2.00,5.00,2.00,1.00,9.00,4.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7125518,1.00,4.00,1.00,5.00,6.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7125526,4.00,7.00,3.00,5.00,5.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7125534,4.00,7.00,2.00,6.00,6.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7125542,2.00,3.00,1.00,4.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7125550,7.00,8.00,6.00,7.00,10.00,8.63,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7125569,2.00,8.00,0.00,8.00,9.00,10.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7125585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7125593,1.00,6.00,1.00,5.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7125607,0.00,7.00,0.00,3.00,6.00,9.38,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7125615,5.00,6.00,3.00,6.00,8.00,10.13,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7125623,5.00,7.00,1.00,5.00,4.00,11.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7125631,1.00,5.00,1.00,6.00,6.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7125658,2.00,9.00,5.00,7.00,8.00,7.13,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7125666,2.00,2.00,1.00,0.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7125682,5.00,9.00,4.00,6.00,10.00,7.88,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7125690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7125704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7125712,1.00,5.00,1.00,7.00,6.00,4.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7125739,0.00,1.00,3.00,4.00,3.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7125747,3.00,7.00,5.00,6.00,5.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7125755,0.00,5.00,0.00,3.00,4.00,0.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7125763,5.00,7.00,6.00,7.00,8.00,7.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7125771,4.00,6.00,1.00,7.00,5.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7125780,5.00,8.00,2.00,6.00,6.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7125801,0.00,6.00,2.00,4.00,3.00,4.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7125810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7125828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7125836,0.00,4.00,2.00,2.00,0.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7125844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7125852,0.00,3.00,2.00,2.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7125860,1.00,6.00,5.00,5.00,8.00,10.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7125887,1.00,5.00,2.00,6.00,5.00,7.13,0.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7125895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7125909,1.00,5.00,1.00,5.00,7.00,8.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7125917,0.00,3.00,0.00,4.00,5.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7125925,3.00,6.00,2.00,5.00,8.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7125933,7.00,8.00,4.00,7.00,8.00,10.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7125941,5.00,8.00,4.00,7.00,7.00,7.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7125950,4.00,7.00,5.00,6.00,6.00,8.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7125968,4.00,9.00,4.00,7.00,9.00,9.38,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7125976,4.00,6.00,3.00,5.00,7.00,11.63,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7125984,6.00,7.00,2.00,7.00,9.00,7.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7125992,0.00,3.00,1.00,5.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7126000,4.00,6.00,3.00,7.00,7.00,6.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7126026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7126034,3.00,6.00,4.00,7.00,5.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7126042,4.00,7.00,3.00,6.00,10.00,10.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7126050,4.00,6.00,5.00,7.00,9.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7126069,6.00,3.00,7.00,6.00,4.00,8.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7126085,1.00,4.00,1.00,7.00,5.00,6.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7126093,4.00,7.00,5.00,8.00,8.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7126107,0.00,4.00,1.00,4.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7126115,0.00,2.00,5.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7126123,7.00,8.00,6.00,7.00,8.00,7.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7126131,7.00,6.00,4.00,5.00,6.00,6.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7126140,3.00,5.00,1.00,3.00,6.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7126158,2.00,7.00,2.00,6.00,6.00,10.13,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7126166,5.00,7.00,3.00,7.00,9.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7126174,2.00,5.00,0.00,6.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7126182,0.00,7.00,1.00,6.00,6.00,5.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7126204,6.00,6.00,5.00,7.00,9.00,11.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7126220,3.00,7.00,1.00,8.00,7.00,11.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7126239,3.00,4.00,2.00,6.00,7.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7126255,3.00,6.00,1.00,5.00,4.00,5.63,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7126263,0.00,4.00,1.00,2.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7126271,3.00,6.00,1.00,6.00,9.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7126280,4.00,8.00,4.00,7.00,7.00,9.38,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7126298,1.00,4.00,1.00,1.00,4.00,5.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7126301,1.00,4.00,0.00,6.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7126310,0.00,6.00,0.00,6.00,7.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7126328,4.00,4.00,3.00,5.00,3.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7126352,0.00,1.00,3.00,2.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7126360,4.00,5.00,3.00,5.00,8.00,8.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7126387,2.00,6.00,1.00,6.00,5.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7126395,0.00,2.00,1.00,3.00,3.00,4.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7126409,0.00,4.00,2.00,5.00,4.00,6.75,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7126425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7126441,4.00,6.00,5.00,5.00,7.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7126450,3.00,4.00,2.00,7.00,7.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7126468,3.00,7.00,1.00,7.00,8.00,11.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7126484,2.00,6.00,3.00,2.00,4.00,3.00,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7126514,4.00,7.00,3.00,7.00,5.00,6.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7126522,6.00,7.00,5.00,7.00,9.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7126530,0.00,5.00,4.00,5.00,4.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7126549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7126557,5.00,8.00,1.00,5.00,7.00,11.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7126565,5.00,7.00,2.00,6.00,9.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7126581,4.00,4.00,2.00,6.00,4.00,7.13,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7126590,4.00,6.00,2.00,6.00,7.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7126611,2.00,6.00,3.00,5.00,9.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7126620,6.00,8.00,4.00,8.00,10.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7126638,4.00,7.00,2.00,7.00,8.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7126646,5.00,6.00,2.00,6.00,7.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7126654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7126670,0.00,4.00,2.00,2.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7126697,2.00,7.00,3.00,6.00,6.00,4.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7126700,0.00,5.00,3.00,4.00,5.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7126719,6.00,7.00,4.00,7.00,6.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7126727,5.00,5.00,2.00,6.00,7.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7126735,0.00,3.00,3.00,2.00,2.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7126760,4.00,7.00,3.00,6.00,10.00,10.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7126778,2.00,4.00,1.00,4.00,5.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7126786,3.00,7.00,4.00,7.00,6.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7126816,3.00,6.00,2.00,6.00,7.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7126824,3.00,5.00,1.00,6.00,7.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7126832,1.00,5.00,2.00,5.00,5.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7126840,5.00,8.00,3.00,6.00,7.00,11.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7126859,6.00,8.00,4.00,6.00,6.00,7.88,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7126875,4.00,7.00,3.00,6.00,9.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7126883,0.00,5.00,2.00,6.00,5.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7126891,4.00,7.00,0.00,7.00,7.00,10.13,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7126905,2.00,6.00,2.00,3.00,10.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7126930,4.00,2.00,1.00,4.00,7.00,6.75,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7126948,0.00,4.00,1.00,3.00,7.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7126956,2.00,7.00,3.00,7.00,8.00,10.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7126964,4.00,5.00,1.00,3.00,3.00,10.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7126972,4.00,8.00,3.00,5.00,8.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7126980,1.00,5.00,1.00,4.00,4.00,7.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7126999,4.00,7.00,1.00,3.00,9.00,9.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7127006,3.00,8.00,3.00,5.00,7.00,9.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7127014,0.00,4.00,0.00,5.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7127022,1.00,7.00,1.00,7.00,5.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7127030,3.00,4.00,0.00,2.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7127049,1.00,4.00,1.00,1.00,5.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7127057,0.00,3.00,1.00,2.00,3.00,6.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7127065,1.00,6.00,2.00,4.00,6.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7127073,3.00,8.00,3.00,7.00,5.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7127081,0.00,2.00,1.00,4.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7127090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7127103,0.00,6.00,2.00,3.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7127111,6.00,7.00,4.00,5.00,8.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7127120,3.00,4.00,3.00,6.00,5.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7127138,5.00,0.00,3.00,7.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7127154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7127162,3.00,4.00,1.00,6.00,5.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7127170,2.00,5.00,2.00,6.00,7.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7127189,1.00,6.00,5.00,7.00,5.00,8.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7127197,4.00,3.00,3.00,6.00,10.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7127200,6.00,5.00,4.00,5.00,9.00,7.13,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7127219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7127235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7127243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7127251,4.00,6.00,2.00,6.00,7.00,9.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7127260,1.00,3.00,1.00,6.00,6.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7127286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7127294,4.00,6.00,2.00,4.00,6.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7127308,2.00,4.00,1.00,3.00,3.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7127316,2.00,4.00,2.00,5.00,7.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7127324,1.00,6.00,0.00,6.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7127340,0.00,4.00,0.00,1.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7127367,5.00,7.00,2.00,6.00,8.00,10.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7127375,5.00,6.00,2.00,6.00,6.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7127391,2.00,6.00,3.00,6.00,4.00,4.88,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7127405,0.00,6.00,4.00,3.00,5.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7127413,1.00,6.00,4.00,3.00,5.00,9.38,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7127421,0.00,5.00,0.00,6.00,10.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7127430,5.00,6.00,2.00,5.00,6.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7127448,1.00,6.00,1.00,3.00,6.00,5.25,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7127456,0.00,4.00,3.00,1.00,3.00,4.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7127472,4.00,7.00,2.00,7.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7127480,2.00,6.00,1.00,6.00,9.00,10.13,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7127499,9.00,8.00,3.00,8.00,10.00,10.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7127502,1.00,5.00,1.00,7.00,4.00,7.88,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7127537,1.00,6.00,4.00,6.00,8.00,7.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7127545,1.00,3.00,0.00,5.00,6.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7127570,0.00,6.00,2.00,7.00,6.00,4.88,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7127588,1.00,1.00,1.00,3.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7127596,0.00,3.00,3.00,2.00,3.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7127626,4.00,6.00,3.00,6.00,6.00,7.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7127634,2.00,6.00,1.00,7.00,9.00,9.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7127677,2.00,6.00,1.00,3.00,5.00,5.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7127693,7.00,8.00,7.00,6.00,8.00,10.88,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7127707,0.00,8.00,4.00,7.00,7.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7127715,4.00,8.00,3.00,6.00,9.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7127723,2.00,6.00,3.00,6.00,4.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7127731,4.00,7.00,1.00,6.00,8.00,9.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7127758,3.00,6.00,1.00,7.00,5.00,7.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7127766,9.00,7.00,3.00,5.00,9.00,9.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7127774,5.00,8.00,1.00,7.00,10.00,7.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7127782,1.00,5.00,3.00,5.00,4.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7127790,1.00,5.00,2.00,7.00,7.00,10.13,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7127804,4.00,8.00,3.00,7.00,9.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7127812,1.00,7.00,1.00,7.00,4.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7127820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7127839,2.00,7.00,3.00,7.00,7.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7127847,1.00,4.00,2.00,1.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7127855,6.00,6.00,2.00,6.00,8.00,10.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7127863,3.00,4.00,4.00,4.00,7.00,7.88,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7127880,3.00,4.00,5.00,7.00,3.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7127901,6.00,6.00,2.00,6.00,7.00,9.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7127910,2.00,7.00,0.00,6.00,5.00,8.25,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7127928,0.00,2.00,2.00,2.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7127936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7127944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7127952,4.00,6.00,2.00,7.00,7.00,10.88,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7127979,2.00,2.00,2.00,4.00,3.00,4.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7127995,2.00,6.00,2.00,6.00,4.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7128002,4.00,6.00,1.00,5.00,9.00,9.75,3.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7128010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7128029,0.00,2.00,0.00,5.00,4.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7128037,2.00,7.00,3.00,5.00,4.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7128045,4.00,5.00,2.00,4.00,7.00,6.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7128061,4.00,6.00,1.00,4.00,5.00,5.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7128070,4.00,5.00,3.00,6.00,3.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7128088,2.00,6.00,1.00,5.00,4.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7128096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7128100,1.00,4.00,1.00,2.00,1.00,NULL,2.00,5.00,3.00,NULL,NULL,'S','N'),(28,7128118,2.00,5.00,2.00,2.00,4.00,6.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7128142,3.00,6.00,3.00,6.00,8.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7128150,1.00,5.00,4.00,7.00,3.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7128177,3.00,6.00,1.00,6.00,5.00,4.88,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7128185,8.00,6.00,4.00,5.00,6.00,5.63,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7128207,7.00,8.00,6.00,6.00,8.00,9.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7128215,3.00,7.00,2.00,6.00,7.00,10.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7128231,1.00,5.00,1.00,5.00,5.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7128266,2.00,4.00,2.00,5.00,6.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7128274,5.00,8.00,8.00,7.00,5.00,7.88,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7128282,3.00,5.00,1.00,6.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7128290,4.00,4.00,2.00,6.00,8.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7128304,2.00,5.00,2.00,5.00,6.00,7.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7128320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7128339,1.00,6.00,0.00,7.00,11.00,10.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7128347,2.00,6.00,1.00,1.00,4.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7128355,1.00,6.00,1.00,4.00,1.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7128363,2.00,2.00,3.00,3.00,4.00,9.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7128371,3.00,6.00,4.00,3.00,8.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7128380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7128398,1.00,0.00,2.00,5.00,3.00,5.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7128410,1.00,7.00,0.00,7.00,8.00,9.38,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7128428,7.00,7.00,3.00,5.00,7.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7128436,0.00,3.00,2.00,1.00,3.00,6.00,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7128452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7128460,2.00,6.00,1.00,7.00,8.00,6.38,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7128487,3.00,6.00,1.00,5.00,6.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7128495,1.00,4.00,1.00,6.00,4.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7128509,2.00,5.00,3.00,6.00,7.00,NULL,5.00,3.00,3.00,NULL,NULL,'S','N'),(28,7128517,4.00,5.00,1.00,3.00,8.00,10.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7128525,7.00,8.00,6.00,7.00,9.00,12.38,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7128533,0.00,3.00,3.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7128541,0.00,3.00,1.00,4.00,4.00,10.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7128568,2.00,1.00,0.00,2.00,5.00,3.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7128576,2.00,5.00,0.00,6.00,9.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7128584,3.00,5.00,1.00,5.00,6.00,6.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7128592,6.00,7.00,4.00,8.00,3.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7128606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7128614,2.00,4.00,1.00,2.00,5.00,7.50,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7128630,2.00,5.00,2.00,3.00,5.00,NULL,2.00,6.00,3.00,NULL,NULL,'S','N'),(28,7128649,4.00,9.00,3.00,6.00,8.00,10.13,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7128657,8.00,9.00,6.00,7.00,9.00,10.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7128665,1.00,6.00,2.00,7.00,6.00,4.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7128673,3.00,7.00,2.00,3.00,6.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7128690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7128703,0.00,2.00,3.00,4.00,5.00,4.50,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7128711,4.00,7.00,1.00,6.00,4.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7128720,4.00,7.00,3.00,6.00,9.00,10.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7128738,0.00,5.00,2.00,3.00,4.00,6.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7128746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7128754,6.00,6.00,5.00,7.00,7.00,8.63,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7128762,2.00,3.00,1.00,5.00,4.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7128789,2.00,5.00,3.00,6.00,3.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7128800,6.00,7.00,2.00,6.00,9.00,10.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7128819,4.00,5.00,3.00,5.00,6.00,10.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7128827,4.00,6.00,1.00,6.00,5.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7128835,4.00,7.00,4.00,6.00,7.00,8.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7128851,4.00,6.00,1.00,7.00,6.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7128860,1.00,5.00,3.00,6.00,4.00,10.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7128878,7.00,8.00,5.00,6.00,10.00,8.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7128886,6.00,7.00,4.00,8.00,11.00,9.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7128894,4.00,7.00,3.00,4.00,7.00,9.00,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7128908,2.00,7.00,0.00,5.00,8.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7128916,3.00,7.00,1.00,6.00,8.00,7.13,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7128924,2.00,2.00,2.00,1.00,4.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7128932,5.00,7.00,5.00,6.00,9.00,10.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7128940,2.00,6.00,2.00,3.00,5.00,4.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7128959,1.00,6.00,1.00,5.00,5.00,9.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7128967,4.00,7.00,1.00,6.00,7.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7128975,1.00,7.00,2.00,4.00,6.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7128983,0.00,1.00,2.00,2.00,3.00,7.13,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7128991,3.00,8.00,3.00,6.00,8.00,8.63,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7129009,4.00,6.00,2.00,6.00,4.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7129017,6.00,6.00,2.00,6.00,8.00,6.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7129025,1.00,3.00,2.00,6.00,5.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7129033,0.00,2.00,1.00,6.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7129041,2.00,5.00,1.00,6.00,5.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7129050,5.00,7.00,2.00,6.00,9.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7129076,5.00,7.00,3.00,6.00,7.00,8.63,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7129084,1.00,3.00,2.00,2.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7129092,6.00,6.00,2.00,6.00,5.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7129106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7129122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7129130,8.00,7.00,2.00,7.00,7.00,8.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7129149,6.00,7.00,2.00,6.00,8.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7129157,2.00,5.00,1.00,6.00,7.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7129165,5.00,5.00,2.00,7.00,7.00,6.38,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7129173,0.00,3.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7129181,2.00,7.00,3.00,6.00,7.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7129190,2.00,7.00,2.00,6.00,4.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7129203,5.00,8.00,3.00,6.00,6.00,7.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7129211,0.00,2.00,1.00,2.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7129220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7129238,1.00,4.00,2.00,5.00,5.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7129246,4.00,7.00,3.00,7.00,7.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7129262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7129270,4.00,7.00,4.00,4.00,8.00,9.38,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7129289,4.00,6.00,2.00,4.00,7.00,10.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7129297,7.00,7.00,2.00,6.00,6.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7129319,0.00,2.00,3.00,6.00,5.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7129327,6.00,6.00,4.00,4.00,7.00,6.38,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7129335,3.00,6.00,5.00,6.00,9.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7129343,5.00,9.00,3.00,5.00,10.00,10.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7129351,1.00,5.00,0.00,7.00,8.00,10.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7129360,4.00,6.00,3.00,6.00,7.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7129378,5.00,7.00,5.00,5.00,8.00,9.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7129386,1.00,7.00,2.00,2.00,6.00,7.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7129394,2.00,7.00,4.00,7.00,5.00,7.88,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7129408,1.00,6.00,2.00,7.00,9.00,10.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7129416,2.00,5.00,1.00,5.00,2.00,NULL,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7129432,3.00,7.00,0.00,6.00,7.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7129440,4.00,6.00,2.00,5.00,7.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7129467,3.00,8.00,3.00,6.00,7.00,8.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7129475,1.00,5.00,2.00,0.00,4.00,6.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7129483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7129491,2.00,7.00,2.00,5.00,5.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7129505,1.00,5.00,0.00,4.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7129513,1.00,4.00,1.00,0.00,3.00,3.00,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7129521,3.00,7.00,2.00,4.00,6.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7129530,1.00,3.00,2.00,7.00,6.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7129548,3.00,8.00,2.00,5.00,7.00,10.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7129564,3.00,2.00,1.00,6.00,7.00,10.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7129572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7129580,1.00,8.00,5.00,7.00,11.00,12.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7129599,3.00,6.00,1.00,2.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7129602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7129610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7129629,4.00,6.00,4.00,5.00,6.00,4.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7129637,4.00,7.00,1.00,7.00,6.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7129653,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7129661,3.00,8.00,4.00,7.00,7.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7129688,0.00,5.00,1.00,3.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7129718,4.00,6.00,3.00,5.00,8.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7129726,1.00,4.00,3.00,3.00,6.00,10.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7129734,1.00,5.00,3.00,5.00,4.00,6.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7129742,0.00,3.00,0.00,2.00,6.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7129769,1.00,1.00,2.00,2.00,3.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7129777,5.00,5.00,0.00,7.00,8.00,10.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7129785,0.00,3.00,3.00,4.00,3.00,NULL,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7129793,7.00,8.00,6.00,6.00,9.00,10.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7129807,1.00,2.00,2.00,5.00,4.00,7.13,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7129823,4.00,8.00,2.00,6.00,5.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7129831,3.00,7.00,1.00,6.00,8.00,6.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7129840,1.00,6.00,2.00,5.00,6.00,7.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7129858,1.00,7.00,2.00,6.00,5.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7129866,3.00,8.00,2.00,6.00,8.00,9.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7129882,3.00,6.00,2.00,2.00,5.00,6.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7129890,0.00,3.00,0.00,1.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7129904,6.00,8.00,4.00,7.00,10.00,9.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7129912,2.00,8.00,4.00,7.00,9.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7129920,3.00,9.00,1.00,6.00,7.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7129939,1.00,2.00,1.00,1.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7129955,4.00,7.00,3.00,3.00,6.00,5.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7129971,0.00,7.00,2.00,6.00,2.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7129980,5.00,7.00,3.00,8.00,8.00,11.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7129998,1.00,6.00,3.00,6.00,6.00,6.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7130007,4.00,6.00,0.00,6.00,8.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7130015,0.00,2.00,2.00,4.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7130023,0.00,1.00,2.00,6.00,3.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7130031,8.00,8.00,4.00,7.00,8.00,8.63,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7130058,2.00,7.00,2.00,7.00,5.00,11.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7130074,2.00,8.00,1.00,6.00,6.00,6.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7130082,4.00,5.00,2.00,7.00,8.00,11.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7130090,3.00,6.00,1.00,7.00,6.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7130104,1.00,8.00,1.00,2.00,5.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7130112,2.00,7.00,4.00,6.00,8.00,12.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7130120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7130147,0.00,5.00,2.00,5.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7130171,0.00,3.00,3.00,3.00,3.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7130180,5.00,8.00,5.00,7.00,7.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7130198,6.00,7.00,3.00,5.00,4.00,5.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7130201,6.00,7.00,5.00,5.00,6.00,11.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7130210,5.00,5.00,3.00,6.00,5.00,10.13,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7130228,5.00,7.00,2.00,6.00,5.00,10.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7130236,1.00,3.00,2.00,4.00,4.00,11.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7130244,6.00,7.00,2.00,7.00,8.00,9.38,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7130252,5.00,7.00,1.00,6.00,8.00,7.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7130260,3.00,6.00,3.00,7.00,9.00,9.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7130279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7130287,5.00,8.00,2.00,7.00,5.00,6.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7130295,0.00,6.00,2.00,5.00,6.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7130309,4.00,7.00,5.00,6.00,7.00,7.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7130317,1.00,5.00,1.00,6.00,5.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7130325,1.00,4.00,2.00,5.00,4.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7130333,1.00,5.00,4.00,3.00,6.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7130341,2.00,7.00,2.00,5.00,7.00,10.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7130350,1.00,4.00,1.00,4.00,3.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7130368,6.00,8.00,3.00,7.00,9.00,8.63,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7130376,4.00,6.00,5.00,6.00,9.00,NULL,4.00,4.00,5.00,NULL,NULL,'S','N'),(28,7130384,5.00,6.00,4.00,5.00,5.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7130392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7130414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7130449,4.00,7.00,2.00,4.00,5.00,10.13,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7130457,0.00,4.00,4.00,3.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7130465,5.00,7.00,3.00,7.00,8.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7130473,1.00,7.00,2.00,7.00,7.00,8.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7130481,3.00,7.00,3.00,7.00,9.00,10.88,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7130490,3.00,7.00,4.00,6.00,6.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7130503,3.00,7.00,2.00,5.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7130511,2.00,2.00,1.00,2.00,4.00,4.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7130520,0.00,3.00,2.00,2.00,4.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7130538,3.00,5.00,2.00,5.00,4.00,7.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7130554,1.00,8.00,1.00,6.00,9.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7130570,1.00,3.00,3.00,3.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7130589,5.00,7.00,2.00,7.00,9.00,9.38,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7130597,3.00,5.00,2.00,4.00,6.00,6.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7130600,8.00,8.00,3.00,6.00,10.00,10.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7130619,5.00,8.00,4.00,7.00,8.00,10.13,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7130635,1.00,6.00,2.00,5.00,6.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7130643,6.00,8.00,3.00,5.00,6.00,9.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7130651,1.00,5.00,0.00,7.00,3.00,7.50,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7130678,5.00,4.00,1.00,2.00,5.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7130686,3.00,5.00,1.00,6.00,3.00,7.88,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7130694,2.00,4.00,3.00,4.00,3.00,5.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7130716,5.00,7.00,1.00,7.00,7.00,10.13,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7130724,4.00,4.00,2.00,6.00,5.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7130732,1.00,4.00,1.00,4.00,4.00,10.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7130740,1.00,5.00,2.00,3.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7130767,5.00,7.00,3.00,5.00,5.00,7.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7130775,2.00,7.00,2.00,6.00,1.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7130783,5.00,9.00,2.00,5.00,9.00,6.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7130791,6.00,8.00,5.00,7.00,7.00,8.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7130848,3.00,7.00,1.00,6.00,4.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7130856,0.00,4.00,3.00,5.00,3.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7130864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7130899,0.00,3.00,1.00,5.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7130902,3.00,5.00,2.00,7.00,5.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7130910,1.00,8.00,4.00,1.00,5.00,7.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7130929,1.00,4.00,1.00,3.00,4.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7130937,4.00,8.00,3.00,4.00,8.00,9.75,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7130953,4.00,7.00,3.00,7.00,6.00,8.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7130970,7.00,7.00,5.00,7.00,9.00,9.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7130988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7130996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7131003,2.00,6.00,3.00,5.00,6.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7131011,7.00,9.00,5.00,7.00,7.00,9.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7131020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7131038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7131046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7131070,4.00,2.00,1.00,6.00,7.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7131097,4.00,7.00,1.00,6.00,7.00,5.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7131100,6.00,8.00,1.00,4.00,8.00,9.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7131119,4.00,7.00,1.00,6.00,10.00,10.50,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7131127,1.00,1.00,1.00,6.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7131135,1.00,6.00,2.00,7.00,4.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7131143,6.00,7.00,6.00,7.00,10.00,10.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7131151,5.00,9.00,3.00,7.00,7.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7131160,0.00,1.00,1.00,6.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7131178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7131186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7131194,0.00,2.00,3.00,3.00,4.00,8.25,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7131208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7131216,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7131224,1.00,6.00,1.00,6.00,3.00,6.38,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7131259,0.00,0.00,1.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7131267,3.00,3.00,2.00,5.00,3.00,5.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7131275,0.00,3.00,0.00,1.00,4.00,4.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7131283,3.00,7.00,2.00,6.00,11.00,5.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7131291,6.00,7.00,4.00,6.00,8.00,9.75,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7131305,6.00,8.00,3.00,7.00,9.00,9.38,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7131313,5.00,6.00,3.00,5.00,8.00,10.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7131321,0.00,4.00,1.00,1.00,3.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7131330,2.00,6.00,5.00,5.00,7.00,7.13,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7131348,0.00,5.00,4.00,2.00,5.00,7.88,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7131356,1.00,7.00,5.00,7.00,9.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7131364,2.00,2.00,1.00,4.00,5.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7131372,5.00,5.00,2.00,6.00,7.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7131380,0.00,5.00,3.00,7.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7131399,2.00,5.00,1.00,5.00,5.00,9.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7131402,6.00,5.00,2.00,6.00,8.00,7.13,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7131410,0.00,5.00,4.00,5.00,4.00,7.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7131437,5.00,9.00,2.00,7.00,9.00,10.88,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7131453,2.00,5.00,3.00,5.00,7.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7131461,0.00,5.00,2.00,3.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7131470,3.00,5.00,2.00,6.00,3.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7131488,1.00,3.00,2.00,6.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7131496,1.00,0.00,3.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7131500,4.00,4.00,2.00,6.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7131526,0.00,4.00,2.00,6.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7131542,6.00,8.00,5.00,8.00,10.00,10.13,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7131550,2.00,7.00,3.00,6.00,9.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7131569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7131577,4.00,8.00,2.00,7.00,7.00,9.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7131585,4.00,6.00,2.00,4.00,7.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7131607,2.00,6.00,4.00,5.00,8.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7131623,0.00,3.00,1.00,1.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7131631,1.00,4.00,3.00,3.00,4.00,6.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7131640,0.00,3.00,3.00,5.00,3.00,4.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7131666,5.00,5.00,2.00,3.00,5.00,10.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7131674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7131682,5.00,8.00,1.00,7.00,6.00,8.63,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7131690,2.00,5.00,2.00,6.00,7.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7131739,1.00,4.00,3.00,3.00,6.00,10.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7131747,0.00,8.00,2.00,6.00,7.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7131763,1.00,4.00,2.00,6.00,4.00,5.63,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7131771,3.00,8.00,4.00,3.00,7.00,4.88,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7131798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7131810,3.00,6.00,3.00,6.00,7.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7131852,4.00,7.00,5.00,7.00,5.00,6.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7131879,0.00,5.00,1.00,6.00,6.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7131895,2.00,8.00,3.00,6.00,5.00,6.75,1.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7131925,0.00,5.00,2.00,2.00,5.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7131933,3.00,6.00,2.00,7.00,7.00,8.63,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7131941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7131950,0.00,5.00,3.00,4.00,3.00,9.38,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7131968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7131976,0.00,7.00,2.00,3.00,5.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7131984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7131992,4.00,5.00,3.00,5.00,8.00,9.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7132000,1.00,4.00,1.00,4.00,4.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7132026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7132034,2.00,6.00,2.00,5.00,7.00,9.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7132042,0.00,5.00,3.00,3.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7132069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7132077,3.00,7.00,3.00,6.00,7.00,6.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7132093,3.00,4.00,2.00,5.00,4.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7132115,0.00,5.00,3.00,4.00,4.00,6.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7132131,6.00,8.00,7.00,7.00,11.00,11.63,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7132158,3.00,7.00,2.00,4.00,4.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7132166,5.00,7.00,2.00,6.00,7.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7132174,3.00,6.00,1.00,5.00,4.00,8.25,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7132182,0.00,3.00,3.00,1.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7132190,4.00,7.00,4.00,7.00,7.00,10.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7132204,2.00,4.00,4.00,4.00,4.00,5.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7132212,6.00,7.00,4.00,4.00,8.00,12.00,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7132220,6.00,8.00,2.00,7.00,8.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7132239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7132247,1.00,0.00,1.00,3.00,5.00,6.75,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7132263,4.00,6.00,3.00,7.00,5.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7132280,0.00,8.00,2.00,7.00,9.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7132298,6.00,7.00,4.00,7.00,6.00,6.38,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7132328,6.00,8.00,6.00,6.00,10.00,10.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7132336,3.00,7.00,4.00,5.00,8.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7132352,0.00,4.00,1.00,6.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7132379,0.00,3.00,1.00,3.00,3.00,6.75,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7132387,1.00,6.00,2.00,5.00,4.00,5.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7132409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7132417,4.00,6.00,3.00,7.00,6.00,10.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7132425,1.00,7.00,2.00,5.00,1.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7132433,2.00,4.00,1.00,1.00,5.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7132441,5.00,8.00,1.00,7.00,6.00,10.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7132450,2.00,5.00,4.00,5.00,5.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7132468,4.00,6.00,4.00,6.00,7.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7132476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7132484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7132506,3.00,5.00,4.00,5.00,7.00,5.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7132522,3.00,7.00,4.00,6.00,8.00,9.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7132530,5.00,5.00,0.00,5.00,4.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7132549,2.00,3.00,0.00,4.00,4.00,4.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7132557,2.00,4.00,1.00,3.00,7.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7132565,2.00,5.00,0.00,6.00,4.00,NULL,4.00,4.00,3.00,NULL,NULL,'S','S'),(28,7132573,1.00,2.00,1.00,5.00,6.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7132581,1.00,6.00,3.00,3.00,5.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7132590,0.00,1.00,1.00,2.00,3.00,4.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7132611,3.00,4.00,1.00,7.00,5.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7132654,0.00,3.00,2.00,5.00,3.00,6.75,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7132662,0.00,2.00,1.00,1.00,5.00,5.63,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7132697,1.00,3.00,2.00,3.00,4.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7132727,4.00,3.00,1.00,6.00,5.00,7.13,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7132786,2.00,5.00,0.00,3.00,3.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7132808,3.00,6.00,2.00,5.00,7.00,7.88,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7132816,4.00,6.00,1.00,4.00,8.00,7.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7132859,4.00,7.00,3.00,6.00,9.00,8.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7132867,1.00,2.00,0.00,1.00,3.00,4.88,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7132875,4.00,8.00,3.00,5.00,6.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7132883,2.00,2.00,3.00,4.00,3.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7132891,3.00,1.00,4.00,4.00,3.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7132930,0.00,2.00,2.00,4.00,4.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7132956,1.00,6.00,2.00,3.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7132964,2.00,6.00,2.00,7.00,6.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7132972,5.00,7.00,2.00,5.00,7.00,9.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7132980,1.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7132999,3.00,7.00,4.00,6.00,8.00,10.13,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7133006,6.00,7.00,1.00,5.00,5.00,9.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7133014,1.00,8.00,2.00,7.00,8.00,9.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7133030,0.00,0.00,0.00,5.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7133049,1.00,5.00,4.00,5.00,6.00,10.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7133057,0.00,3.00,4.00,6.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,'S','N'),(28,7133065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7133073,5.00,8.00,2.00,7.00,8.00,11.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7133103,4.00,5.00,3.00,5.00,4.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7133111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7133120,8.00,6.00,4.00,7.00,8.00,11.63,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7133138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7133146,4.00,7.00,4.00,7.00,9.00,10.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7133170,1.00,6.00,1.00,3.00,5.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7133189,0.00,2.00,2.00,1.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7133200,0.00,0.00,2.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7133219,1.00,6.00,0.00,3.00,3.00,5.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7133235,3.00,7.00,2.00,6.00,8.00,10.13,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7133243,4.00,7.00,5.00,6.00,6.00,7.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7133251,0.00,1.00,1.00,1.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7133260,1.00,6.00,1.00,7.00,4.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7133278,3.00,3.00,3.00,4.00,6.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7133286,3.00,6.00,0.00,4.00,5.00,7.13,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7133294,3.00,6.00,3.00,6.00,8.00,8.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7133308,4.00,8.00,1.00,7.00,9.00,10.88,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7133316,2.00,5.00,1.00,7.00,5.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7133324,4.00,7.00,2.00,7.00,8.00,8.63,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7133340,7.00,7.00,5.00,7.00,9.00,7.13,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7133359,5.00,7.00,3.00,5.00,7.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7133367,1.00,3.00,0.00,0.00,1.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7133375,5.00,7.00,3.00,8.00,7.00,12.00,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7133383,2.00,6.00,3.00,7.00,4.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7133391,3.00,6.00,2.00,4.00,8.00,9.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7133405,1.00,5.00,2.00,7.00,4.00,7.88,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7133413,2.00,7.00,3.00,6.00,5.00,7.13,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7133421,2.00,6.00,5.00,3.00,8.00,9.38,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7133430,2.00,4.00,1.00,4.00,3.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7133448,0.00,4.00,2.00,4.00,6.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7133456,3.00,6.00,4.00,6.00,10.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7133464,3.00,7.00,2.00,5.00,8.00,11.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7133472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7133480,2.00,7.00,4.00,6.00,8.00,7.13,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7133502,2.00,7.00,4.00,6.00,6.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7133510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7133529,0.00,7.00,2.00,6.00,6.00,6.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7133537,1.00,4.00,1.00,3.00,3.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7133553,3.00,2.00,2.00,2.00,4.00,5.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7133561,1.00,3.00,4.00,6.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7133588,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7133600,2.00,7.00,1.00,6.00,8.00,6.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7133618,1.00,3.00,1.00,5.00,4.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7133626,6.00,7.00,2.00,7.00,8.00,11.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7133634,2.00,4.00,3.00,7.00,4.00,10.13,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7133642,0.00,5.00,1.00,3.00,9.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7133677,1.00,5.00,3.00,5.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,'S','N'),(28,7133685,2.00,5.00,1.00,5.00,5.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7133693,2.00,6.00,2.00,6.00,7.00,6.38,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7133715,3.00,9.00,2.00,6.00,9.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7133723,0.00,3.00,1.00,2.00,4.00,6.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7133731,0.00,7.00,4.00,4.00,5.00,9.38,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7133766,5.00,7.00,2.00,6.00,8.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7133782,1.00,5.00,2.00,5.00,6.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7133790,1.00,5.00,1.00,3.00,7.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7133804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7133812,0.00,5.00,0.00,3.00,7.00,10.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7133820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7133855,3.00,4.00,2.00,7.00,7.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7133898,2.00,5.00,1.00,5.00,3.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7133910,6.00,7.00,6.00,6.00,8.00,10.88,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7133936,3.00,4.00,2.00,4.00,2.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7133944,3.00,6.00,5.00,7.00,6.00,9.38,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7133952,6.00,0.00,1.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7133960,2.00,4.00,3.00,3.00,5.00,6.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7133979,0.00,2.00,1.00,5.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7133995,2.00,7.00,1.00,5.00,5.00,5.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7134002,2.00,8.00,0.00,5.00,6.00,10.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7134010,0.00,6.00,1.00,1.00,6.00,7.13,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7134029,1.00,6.00,3.00,6.00,3.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7134037,1.00,5.00,3.00,7.00,7.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7134045,6.00,7.00,0.00,6.00,6.00,7.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7134053,2.00,6.00,1.00,5.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,'S','N'),(28,7134061,2.00,4.00,2.00,5.00,8.00,8.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7134070,1.00,6.00,6.00,7.00,9.00,12.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7134088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7134096,0.00,7.00,2.00,5.00,5.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7134100,6.00,7.00,4.00,8.00,5.00,10.13,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7134118,0.00,5.00,2.00,7.00,5.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7134126,3.00,6.00,2.00,7.00,8.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7134134,3.00,5.00,2.00,7.00,7.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7134142,6.00,7.00,3.00,6.00,5.00,7.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7134150,2.00,5.00,2.00,6.00,6.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7134177,0.00,3.00,1.00,6.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7134185,3.00,4.00,1.00,6.00,6.00,6.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7134223,2.00,7.00,1.00,6.00,5.00,5.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7134231,4.00,4.00,1.00,4.00,5.00,3.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7134266,0.00,7.00,3.00,1.00,7.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7134274,0.00,2.00,1.00,1.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7134282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7134290,6.00,6.00,2.00,7.00,8.00,9.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7134320,3.00,4.00,1.00,5.00,5.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7134339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7134347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7134355,1.00,6.00,2.00,5.00,4.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7134363,3.00,5.00,2.00,4.00,5.00,6.75,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7134380,1.00,6.00,0.00,5.00,5.00,10.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7134398,1.00,4.00,0.00,3.00,6.00,8.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7134410,1.00,5.00,1.00,4.00,5.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7134428,2.00,6.00,1.00,5.00,7.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7134436,3.00,7.00,2.00,6.00,8.00,8.63,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7134444,3.00,7.00,1.00,7.00,7.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7134452,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7134460,1.00,0.00,3.00,2.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7134487,0.00,3.00,1.00,5.00,4.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7134495,2.00,7.00,3.00,5.00,4.00,8.63,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7134509,5.00,5.00,2.00,7.00,5.00,11.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7134517,3.00,6.00,3.00,5.00,5.00,7.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7134525,2.00,3.00,3.00,5.00,7.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7134533,4.00,4.00,1.00,2.00,5.00,3.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7134541,8.00,9.00,3.00,7.00,9.00,9.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7134550,1.00,4.00,2.00,5.00,5.00,6.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7134568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7134584,3.00,6.00,1.00,6.00,7.00,4.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7134592,5.00,6.00,3.00,5.00,6.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7134606,2.00,4.00,3.00,6.00,7.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7134614,3.00,6.00,2.00,6.00,8.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7134622,5.00,7.00,1.00,5.00,5.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7134630,0.00,3.00,0.00,5.00,5.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7134649,5.00,6.00,3.00,6.00,8.00,6.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7134657,2.00,3.00,2.00,2.00,5.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7134673,6.00,7.00,1.00,5.00,6.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7134681,3.00,4.00,3.00,3.00,4.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7134703,2.00,4.00,1.00,6.00,4.00,9.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7134711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7134720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7134762,4.00,7.00,4.00,6.00,5.00,10.88,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7134789,3.00,6.00,1.00,3.00,8.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7134797,4.00,6.00,1.00,6.00,6.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7134819,2.00,4.00,1.00,4.00,7.00,6.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7134827,2.00,5.00,4.00,7.00,4.00,7.88,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7134843,3.00,8.00,1.00,7.00,5.00,5.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7134851,5.00,7.00,1.00,6.00,4.00,9.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7134860,5.00,7.00,1.00,6.00,7.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7134878,4.00,7.00,4.00,7.00,7.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7134886,3.00,5.00,3.00,6.00,10.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7134894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7134908,6.00,7.00,1.00,6.00,8.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7134932,5.00,8.00,3.00,6.00,9.00,10.13,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7134940,5.00,6.00,3.00,6.00,6.00,8.25,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7134959,3.00,7.00,3.00,6.00,9.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7134967,2.00,6.00,2.00,7.00,6.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7134975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7134983,4.00,6.00,3.00,7.00,5.00,12.75,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7135009,2.00,6.00,2.00,2.00,5.00,4.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7135017,0.00,4.00,4.00,2.00,3.00,4.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7135025,0.00,4.00,1.00,5.00,7.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7135033,0.00,5.00,0.00,5.00,5.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7135041,5.00,5.00,2.00,6.00,3.00,10.88,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7135068,0.00,6.00,1.00,2.00,5.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7135092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7135114,5.00,4.00,2.00,5.00,4.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7135122,3.00,5.00,2.00,5.00,5.00,8.25,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7135130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7135149,3.00,6.00,2.00,4.00,7.00,9.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7135157,1.00,8.00,6.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7135165,1.00,3.00,3.00,4.00,3.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7135181,2.00,5.00,3.00,4.00,3.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7135203,1.00,5.00,3.00,5.00,5.00,6.00,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7135211,0.00,5.00,2.00,4.00,6.00,7.50,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7135220,2.00,5.00,3.00,6.00,4.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7135238,1.00,2.00,1.00,3.00,3.00,5.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7135262,2.00,3.00,1.00,6.00,6.00,6.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7135270,4.00,6.00,1.00,6.00,9.00,10.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7135289,4.00,4.00,1.00,7.00,5.00,10.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7135297,2.00,2.00,1.00,3.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7135319,7.00,6.00,3.00,6.00,7.00,8.63,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7135327,6.00,8.00,3.00,7.00,9.00,7.88,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7135335,5.00,7.00,2.00,7.00,7.00,10.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7135378,3.00,6.00,2.00,7.00,4.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7135386,3.00,5.00,2.00,6.00,3.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7135394,6.00,8.00,2.00,7.00,9.00,10.13,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(28,7135408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7135440,3.00,7.00,3.00,5.00,7.00,10.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7135459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7135467,2.00,2.00,2.00,2.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7135475,1.00,7.00,3.00,4.00,6.00,8.25,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7135491,5.00,8.00,1.00,6.00,6.00,11.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7135505,2.00,2.00,1.00,4.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7135513,1.00,5.00,3.00,5.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7135599,1.00,7.00,1.00,6.00,9.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7135602,3.00,5.00,2.00,5.00,6.00,7.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7135610,2.00,9.00,2.00,6.00,5.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7135629,3.00,7.00,4.00,6.00,9.00,9.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7135645,6.00,8.00,2.00,7.00,7.00,9.38,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7135661,1.00,5.00,2.00,4.00,7.00,7.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7135696,1.00,3.00,2.00,3.00,4.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7135718,4.00,5.00,2.00,5.00,5.00,9.38,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7135726,3.00,6.00,0.00,7.00,4.00,10.13,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7135742,1.00,5.00,1.00,2.00,5.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7135750,7.00,7.00,3.00,7.00,7.00,7.13,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7135769,1.00,4.00,2.00,3.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7135777,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7135785,4.00,6.00,0.00,2.00,4.00,5.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7135807,0.00,5.00,2.00,6.00,7.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7135831,4.00,5.00,3.00,7.00,5.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7135840,1.00,6.00,1.00,5.00,5.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7135858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7135874,0.00,7.00,2.00,0.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7135882,4.00,7.00,0.00,6.00,9.00,8.63,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7135904,3.00,4.00,2.00,5.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7135920,0.00,3.00,0.00,4.00,6.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7135939,1.00,6.00,1.00,4.00,5.00,7.50,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7135947,5.00,7.00,2.00,5.00,5.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7135963,0.00,6.00,2.00,7.00,3.00,7.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7135971,1.00,7.00,2.00,4.00,3.00,7.13,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7135998,3.00,7.00,1.00,4.00,5.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7136013,1.00,4.00,1.00,3.00,7.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7136021,3.00,7.00,2.00,7.00,10.00,10.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7136030,4.00,4.00,2.00,5.00,3.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7136048,5.00,7.00,3.00,7.00,7.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7136072,3.00,7.00,3.00,6.00,4.00,10.13,2.00,8.00,1.00,NULL,NULL,NULL,'N'),(28,7136080,0.00,2.00,3.00,4.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7136099,1.00,6.00,3.00,5.00,6.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7136102,2.00,7.00,2.00,6.00,5.00,7.50,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7136145,0.00,3.00,1.00,3.00,4.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7136161,5.00,8.00,3.00,6.00,10.00,11.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7136188,0.00,4.00,2.00,6.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7136196,5.00,8.00,3.00,6.00,8.00,10.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7136200,1.00,7.00,1.00,3.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7136218,4.00,7.00,5.00,6.00,8.00,9.38,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7136226,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7136234,2.00,7.00,1.00,6.00,9.00,11.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7136242,1.00,5.00,3.00,4.00,7.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7136250,0.00,2.00,2.00,5.00,4.00,4.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7136269,2.00,3.00,2.00,2.00,3.00,5.25,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7136285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7136293,6.00,8.00,6.00,7.00,8.00,7.88,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7136315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7136358,5.00,0.00,2.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7136366,8.00,6.00,4.00,7.00,9.00,9.38,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7136374,4.00,8.00,1.00,6.00,8.00,4.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7136382,0.00,3.00,2.00,3.00,3.00,4.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7136390,2.00,4.00,1.00,5.00,6.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7136412,3.00,5.00,3.00,7.00,8.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7136420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7136439,5.00,7.00,3.00,5.00,6.00,9.38,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7136447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7136471,3.00,4.00,1.00,2.00,4.00,5.63,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7136480,0.00,4.00,1.00,2.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7136498,2.00,4.00,2.00,4.00,5.00,8.25,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7136501,1.00,4.00,4.00,5.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7136528,5.00,5.00,1.00,7.00,10.00,10.88,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7136536,6.00,6.00,2.00,5.00,6.00,5.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7136544,4.00,6.00,1.00,1.00,6.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7136552,7.00,7.00,5.00,6.00,8.00,7.88,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7136587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7136609,2.00,5.00,1.00,7.00,8.00,11.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7136625,4.00,7.00,4.00,7.00,8.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7136633,6.00,7.00,4.00,7.00,10.00,8.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7136641,3.00,4.00,1.00,5.00,6.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7136650,0.00,3.00,5.00,3.00,4.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7136668,8.00,7.00,2.00,7.00,10.00,8.63,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7136676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7136684,1.00,1.00,3.00,1.00,3.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7136692,0.00,3.00,2.00,5.00,6.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7136706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7136722,2.00,5.00,2.00,5.00,8.00,6.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7136730,0.00,3.00,1.00,7.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7136749,5.00,6.00,4.00,7.00,9.00,10.13,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7136765,2.00,0.00,1.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(28,7136773,1.00,3.00,4.00,0.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7136781,5.00,5.00,1.00,3.00,6.00,4.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7136790,4.00,6.00,3.00,5.00,5.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7136803,4.00,5.00,3.00,4.00,6.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7136811,1.00,6.00,1.00,6.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7136820,6.00,7.00,2.00,4.00,5.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7136838,5.00,6.00,2.00,5.00,7.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7136846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7136862,0.00,4.00,3.00,4.00,6.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7136870,3.00,4.00,1.00,7.00,4.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7136889,2.00,5.00,3.00,5.00,5.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7136897,2.00,7.00,0.00,5.00,7.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7136919,0.00,2.00,2.00,5.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7136927,2.00,6.00,1.00,4.00,4.00,6.38,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7136935,2.00,4.00,1.00,7.00,3.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7136951,6.00,8.00,4.00,6.00,8.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7136960,0.00,4.00,2.00,6.00,3.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7136978,4.00,5.00,2.00,7.00,8.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7136986,2.00,8.00,4.00,7.00,8.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7137010,0.00,3.00,0.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7137028,2.00,4.00,2.00,6.00,3.00,4.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7137036,6.00,8.00,5.00,7.00,10.00,10.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7137044,1.00,3.00,3.00,5.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7137052,3.00,7.00,1.00,6.00,4.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7137060,3.00,7.00,0.00,4.00,6.00,10.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7137079,6.00,6.00,1.00,7.00,7.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7137087,4.00,8.00,1.00,7.00,7.00,10.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7137109,0.00,6.00,3.00,6.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7137117,5.00,7.00,1.00,4.00,9.00,6.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7137125,1.00,3.00,2.00,4.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7137133,3.00,8.00,1.00,7.00,6.00,6.00,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7137141,2.00,5.00,3.00,6.00,6.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7137150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7137168,3.00,5.00,1.00,7.00,6.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7137184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7137192,0.00,6.00,2.00,5.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,'S','N'),(28,7137206,3.00,6.00,3.00,2.00,3.00,7.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7137214,3.00,6.00,2.00,5.00,8.00,7.13,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7137222,0.00,6.00,2.00,1.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7137230,2.00,6.00,3.00,5.00,5.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7137257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7137265,2.00,4.00,2.00,3.00,3.00,9.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7137281,0.00,8.00,2.00,6.00,6.00,NULL,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7137290,2.00,6.00,3.00,4.00,6.00,10.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7137320,3.00,6.00,3.00,6.00,6.00,8.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7137338,0.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7137346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7137370,2.00,6.00,4.00,5.00,7.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7137389,3.00,6.00,4.00,6.00,8.00,8.63,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7137397,2.00,7.00,3.00,7.00,7.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7137400,1.00,7.00,2.00,6.00,6.00,7.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7137427,0.00,3.00,1.00,2.00,4.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7137435,3.00,7.00,2.00,6.00,7.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7137443,0.00,4.00,2.00,5.00,7.00,8.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7137451,5.00,0.00,2.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(28,7137460,2.00,5.00,5.00,5.00,6.00,4.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7137478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7137486,0.00,5.00,0.00,3.00,4.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7137516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7137540,2.00,3.00,1.00,6.00,5.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7137559,5.00,7.00,4.00,7.00,7.00,10.13,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7137567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7137575,4.00,6.00,1.00,7.00,8.00,NULL,0.00,6.00,7.00,NULL,NULL,'S','N'),(28,7137583,3.00,6.00,2.00,7.00,8.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7137591,1.00,6.00,2.00,7.00,8.00,9.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7137613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7137621,5.00,7.00,2.00,1.00,9.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7137630,0.00,6.00,2.00,3.00,4.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7137648,1.00,5.00,3.00,6.00,6.00,8.63,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7137664,4.00,8.00,2.00,6.00,8.00,7.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7137680,1.00,4.00,2.00,5.00,4.00,8.25,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7137702,0.00,4.00,0.00,2.00,3.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7137710,1.00,6.00,1.00,4.00,4.00,5.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7137729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7137737,3.00,6.00,3.00,5.00,5.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7137745,5.00,8.00,3.00,6.00,7.00,9.38,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7137761,8.00,8.00,5.00,6.00,8.00,8.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7137788,3.00,8.00,3.00,6.00,9.00,4.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7137796,1.00,3.00,1.00,7.00,5.00,5.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7137800,4.00,8.00,2.00,7.00,6.00,9.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7137818,2.00,4.00,1.00,4.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7137834,2.00,6.00,4.00,7.00,8.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7137842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7137869,2.00,8.00,3.00,5.00,9.00,9.38,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7137877,6.00,7.00,3.00,6.00,8.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7137885,5.00,8.00,3.00,6.00,6.00,7.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7137893,3.00,3.00,3.00,5.00,5.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7137923,0.00,2.00,4.00,5.00,7.00,7.88,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7137931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7137940,4.00,4.00,3.00,7.00,10.00,10.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7137958,8.00,8.00,6.00,7.00,9.00,12.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7137974,2.00,7.00,2.00,4.00,5.00,9.38,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7137990,1.00,3.00,3.00,6.00,7.00,9.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7138008,2.00,5.00,3.00,7.00,5.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7138032,5.00,9.00,7.00,6.00,9.00,10.88,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7138040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7138067,1.00,7.00,4.00,6.00,8.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7138075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7138083,5.00,8.00,3.00,6.00,10.00,9.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7138091,1.00,4.00,2.00,1.00,2.00,NULL,3.00,0.00,2.00,NULL,NULL,NULL,'N'),(28,7138105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7138113,3.00,6.00,1.00,7.00,9.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7138121,4.00,7.00,2.00,7.00,9.00,11.63,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7138130,5.00,8.00,2.00,6.00,7.00,8.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7138148,2.00,4.00,3.00,3.00,5.00,11.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7138156,2.00,7.00,2.00,4.00,5.00,6.00,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7138164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7138172,7.00,7.00,5.00,7.00,9.00,12.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7138180,3.00,7.00,1.00,6.00,7.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7138199,4.00,6.00,3.00,5.00,3.00,10.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7138202,0.00,4.00,1.00,7.00,5.00,9.75,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7138229,3.00,6.00,0.00,6.00,6.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7138237,2.00,4.00,0.00,2.00,3.00,9.38,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7138245,4.00,8.00,1.00,5.00,6.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7138253,0.00,6.00,2.00,6.00,3.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7138288,1.00,5.00,3.00,5.00,3.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7138296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7138318,5.00,6.00,4.00,7.00,6.00,6.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7138326,4.00,5.00,1.00,4.00,5.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7138342,5.00,6.00,1.00,5.00,9.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7138350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7138377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7138385,5.00,7.00,3.00,6.00,5.00,10.50,5.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7138393,4.00,4.00,3.00,4.00,4.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7138407,1.00,6.00,1.00,5.00,4.00,5.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7138415,0.00,8.00,2.00,5.00,7.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7138423,2.00,6.00,2.00,7.00,8.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7138440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7138458,2.00,5.00,2.00,1.00,4.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7138466,0.00,6.00,2.00,1.00,6.00,12.00,0.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7138474,5.00,6.00,4.00,7.00,8.00,8.63,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7138490,1.00,6.00,2.00,6.00,5.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7138512,0.00,4.00,2.00,6.00,5.00,7.88,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7138520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7138539,6.00,8.00,3.00,7.00,10.00,13.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7138547,1.00,3.00,0.00,4.00,5.00,9.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7138555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7138563,4.00,7.00,3.00,6.00,4.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7138571,2.00,5.00,3.00,6.00,5.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7138580,2.00,3.00,1.00,6.00,7.00,4.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7138598,4.00,7.00,0.00,5.00,6.00,7.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7138601,1.00,7.00,1.00,5.00,6.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7138628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7138636,4.00,8.00,6.00,4.00,6.00,9.75,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7138660,5.00,6.00,3.00,6.00,7.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7138679,3.00,7.00,3.00,6.00,8.00,10.50,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7138687,3.00,2.00,2.00,2.00,3.00,7.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7138695,1.00,6.00,2.00,2.00,3.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7138709,3.00,5.00,1.00,7.00,5.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7138733,1.00,2.00,1.00,5.00,4.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7138768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7138776,6.00,6.00,4.00,5.00,5.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7138784,0.00,2.00,2.00,1.00,3.00,6.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7138792,4.00,9.00,3.00,4.00,5.00,7.13,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7138806,3.00,7.00,2.00,7.00,8.00,6.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7138849,3.00,5.00,3.00,4.00,4.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7138857,3.00,2.00,1.00,5.00,4.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7138865,3.00,4.00,2.00,3.00,4.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7138873,4.00,5.00,0.00,4.00,5.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7138881,3.00,7.00,2.00,5.00,10.00,9.75,0.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7138903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7138946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7138954,1.00,5.00,0.00,3.00,7.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7138962,3.00,5.00,2.00,6.00,6.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7138970,0.00,5.00,1.00,4.00,4.00,6.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7138989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7138997,1.00,6.00,2.00,6.00,6.00,7.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7139004,1.00,4.00,1.00,4.00,5.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7139012,3.00,5.00,3.00,4.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7139039,3.00,5.00,0.00,4.00,5.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7139047,4.00,4.00,2.00,6.00,7.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7139055,4.00,8.00,3.00,3.00,6.00,6.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7139063,3.00,6.00,5.00,5.00,8.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7139098,5.00,7.00,4.00,5.00,8.00,7.13,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7139110,1.00,7.00,0.00,7.00,6.00,7.13,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7139128,2.00,6.00,1.00,3.00,5.00,8.63,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7139136,5.00,6.00,4.00,4.00,4.00,9.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7139144,2.00,3.00,3.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7139152,0.00,3.00,2.00,1.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7139160,1.00,3.00,1.00,2.00,3.00,7.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7139187,0.00,3.00,1.00,2.00,3.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7139195,2.00,8.00,2.00,4.00,6.00,9.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7139217,5.00,5.00,4.00,6.00,10.00,7.13,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7139225,0.00,3.00,1.00,5.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7139233,2.00,5.00,0.00,6.00,2.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'S'),(28,7139241,1.00,4.00,1.00,3.00,5.00,4.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7139250,1.00,4.00,3.00,6.00,3.00,6.75,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7139268,2.00,3.00,2.00,1.00,4.00,6.75,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7139276,2.00,5.00,1.00,7.00,4.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7139284,4.00,9.00,2.00,7.00,11.00,12.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7139292,4.00,6.00,3.00,5.00,6.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7139314,6.00,9.00,4.00,7.00,7.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7139330,6.00,8.00,5.00,3.00,11.00,11.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7139349,2.00,7.00,2.00,6.00,7.00,5.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7139357,3.00,6.00,1.00,6.00,5.00,8.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7139365,2.00,7.00,2.00,5.00,8.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7139381,3.00,5.00,3.00,5.00,8.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7139390,3.00,5.00,1.00,7.00,6.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7139403,5.00,6.00,3.00,5.00,3.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7139420,1.00,5.00,1.00,7.00,8.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7139438,2.00,5.00,1.00,4.00,6.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7139454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7139462,1.00,5.00,3.00,6.00,6.00,7.13,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7139489,3.00,8.00,2.00,6.00,9.00,12.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7139497,4.00,6.00,1.00,4.00,6.00,8.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7139500,4.00,6.00,2.00,4.00,7.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7139519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7139535,0.00,3.00,4.00,6.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7139543,2.00,6.00,2.00,6.00,5.00,8.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7139560,2.00,3.00,2.00,3.00,7.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7139578,1.00,7.00,4.00,5.00,6.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7139586,3.00,8.00,3.00,7.00,6.00,7.50,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(28,7139594,1.00,6.00,2.00,7.00,7.00,8.63,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7139616,0.00,8.00,3.00,3.00,7.00,11.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7139624,0.00,7.00,3.00,7.00,6.00,10.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7139640,1.00,3.00,2.00,2.00,6.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7139659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7139667,4.00,7.00,2.00,4.00,7.00,11.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7139675,1.00,6.00,2.00,6.00,6.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7139683,4.00,7.00,2.00,6.00,7.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7139691,2.00,6.00,2.00,6.00,10.00,NULL,5.00,5.00,5.00,NULL,NULL,'S','N'),(28,7139705,0.00,5.00,0.00,1.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7139713,5.00,6.00,1.00,6.00,6.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7139721,0.00,1.00,2.00,4.00,5.00,5.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7139730,5.00,7.00,3.00,7.00,7.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7139748,4.00,6.00,2.00,6.00,9.00,11.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7139764,1.00,2.00,2.00,5.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7139780,4.00,5.00,1.00,7.00,7.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7139802,2.00,6.00,2.00,6.00,5.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7139829,4.00,7.00,1.00,5.00,6.00,7.88,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7139837,3.00,6.00,4.00,6.00,7.00,6.00,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7139845,6.00,7.00,2.00,6.00,8.00,10.13,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7139870,7.00,8.00,5.00,7.00,10.00,12.75,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7139896,4.00,6.00,0.00,7.00,9.00,7.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7139900,2.00,6.00,3.00,6.00,8.00,7.13,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7139926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7139934,0.00,4.00,1.00,5.00,3.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7139942,3.00,7.00,2.00,4.00,7.00,8.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7139950,2.00,6.00,0.00,7.00,6.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7139969,1.00,3.00,2.00,1.00,3.00,3.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7139977,3.00,7.00,3.00,6.00,8.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7139993,3.00,7.00,3.00,6.00,6.00,7.50,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7140002,2.00,6.00,2.00,5.00,5.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7140010,0.00,2.00,2.00,2.00,4.00,6.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7140029,0.00,3.00,2.00,2.00,4.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7140037,4.00,7.00,3.00,7.00,10.00,11.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7140045,1.00,5.00,1.00,4.00,5.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7140061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7140070,3.00,6.00,3.00,5.00,6.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7140088,3.00,7.00,3.00,7.00,10.00,10.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7140096,4.00,7.00,3.00,7.00,8.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7140118,7.00,8.00,4.00,7.00,7.00,7.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7140126,6.00,8.00,5.00,7.00,8.00,13.13,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7140134,9.00,8.00,5.00,6.00,9.00,7.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7140150,2.00,5.00,4.00,4.00,5.00,6.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7140177,4.00,7.00,4.00,6.00,5.00,12.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7140185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7140193,0.00,4.00,2.00,5.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7140207,4.00,8.00,1.00,5.00,6.00,9.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7140215,1.00,7.00,3.00,6.00,3.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7140223,6.00,6.00,3.00,5.00,7.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7140240,0.00,5.00,3.00,3.00,3.00,7.13,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7140258,2.00,4.00,3.00,3.00,4.00,5.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7140274,1.00,6.00,2.00,6.00,7.00,5.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7140282,3.00,7.00,2.00,7.00,8.00,11.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7140290,3.00,6.00,2.00,6.00,7.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7140312,2.00,6.00,3.00,4.00,9.00,8.63,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7140320,2.00,7.00,0.00,6.00,7.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7140363,3.00,7.00,4.00,6.00,8.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7140380,4.00,6.00,2.00,5.00,6.00,6.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7140401,2.00,6.00,2.00,7.00,7.00,8.63,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7140410,1.00,4.00,2.00,3.00,4.00,5.25,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7140428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7140436,6.00,7.00,6.00,5.00,8.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7140452,0.00,2.00,1.00,2.00,4.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7140495,2.00,5.00,0.00,3.00,5.00,8.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7140509,5.00,6.00,4.00,7.00,6.00,11.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7140517,5.00,6.00,2.00,1.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7140541,0.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7140550,1.00,0.00,4.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7140584,5.00,8.00,3.00,6.00,8.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7140606,7.00,7.00,6.00,7.00,10.00,11.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7140614,0.00,5.00,0.00,5.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7140622,0.00,3.00,2.00,5.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7140649,6.00,8.00,2.00,7.00,11.00,10.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7140657,6.00,9.00,3.00,7.00,9.00,8.63,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7140665,3.00,7.00,4.00,6.00,6.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7140673,3.00,6.00,2.00,1.00,4.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7140681,2.00,6.00,4.00,6.00,8.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7140703,4.00,4.00,1.00,7.00,6.00,9.38,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7140711,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7140720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7140738,1.00,6.00,2.00,5.00,4.00,9.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7140746,6.00,8.00,4.00,5.00,9.00,7.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7140762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7140770,5.00,5.00,1.00,7.00,8.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7140797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7140800,6.00,7.00,4.00,7.00,7.00,9.00,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7140819,6.00,8.00,5.00,6.00,10.00,10.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7140827,2.00,4.00,2.00,2.00,5.00,6.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7140835,5.00,6.00,2.00,6.00,6.00,10.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7140843,2.00,6.00,3.00,6.00,7.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7140851,4.00,6.00,4.00,6.00,9.00,11.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7140860,5.00,8.00,3.00,6.00,8.00,7.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7140886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7140908,3.00,8.00,2.00,6.00,7.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7140916,2.00,7.00,1.00,4.00,8.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7140924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7140932,3.00,9.00,3.00,7.00,8.00,10.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7140940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7140959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7140967,1.00,4.00,1.00,3.00,1.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7140975,5.00,7.00,1.00,4.00,6.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7140983,4.00,0.00,3.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7140991,3.00,9.00,0.00,7.00,5.00,7.88,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7141009,3.00,5.00,1.00,6.00,4.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7141017,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7141025,2.00,3.00,2.00,3.00,5.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7141033,3.00,4.00,1.00,5.00,4.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7141041,1.00,5.00,0.00,5.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7141050,3.00,6.00,1.00,5.00,7.00,8.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7141076,1.00,4.00,3.00,2.00,1.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7141084,2.00,0.00,1.00,3.00,3.00,4.88,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7141106,1.00,5.00,3.00,4.00,8.00,9.38,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7141114,7.00,8.00,4.00,5.00,8.00,9.75,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7141122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7141149,4.00,5.00,3.00,4.00,4.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7141165,2.00,6.00,2.00,6.00,5.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7141181,6.00,7.00,4.00,7.00,9.00,9.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7141190,3.00,6.00,4.00,7.00,7.00,7.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7141203,2.00,7.00,1.00,6.00,6.00,6.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7141238,1.00,5.00,1.00,5.00,5.00,5.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7141246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7141254,1.00,3.00,1.00,5.00,7.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7141270,6.00,7.00,4.00,6.00,9.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7141289,3.00,7.00,3.00,5.00,4.00,9.38,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7141297,1.00,5.00,3.00,5.00,4.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7141300,4.00,6.00,3.00,3.00,4.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7141327,6.00,7.00,2.00,7.00,5.00,10.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7141335,4.00,6.00,3.00,7.00,6.00,8.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7141343,5.00,7.00,5.00,5.00,6.00,9.38,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7141351,3.00,8.00,5.00,6.00,10.00,9.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7141378,1.00,3.00,1.00,4.00,6.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7141386,2.00,7.00,3.00,6.00,5.00,7.13,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7141394,2.00,8.00,2.00,5.00,5.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7141408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7141424,3.00,6.00,2.00,5.00,8.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7141432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7141440,5.00,0.00,5.00,6.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7141459,0.00,3.00,2.00,3.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7141467,5.00,8.00,3.00,7.00,7.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7141475,3.00,6.00,0.00,7.00,8.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7141505,1.00,3.00,2.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7141513,0.00,6.00,1.00,3.00,6.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7141521,3.00,7.00,2.00,6.00,6.00,10.13,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7141530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7141548,1.00,7.00,2.00,5.00,7.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7141564,0.00,4.00,1.00,4.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7141580,3.00,7.00,4.00,5.00,8.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7141599,7.00,8.00,5.00,6.00,6.00,9.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7141602,0.00,3.00,3.00,2.00,4.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7141629,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7141645,1.00,3.00,2.00,3.00,9.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7141653,3.00,8.00,1.00,5.00,10.00,8.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7141661,3.00,6.00,2.00,6.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7141670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7141688,3.00,6.00,1.00,5.00,9.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7141700,3.00,2.00,1.00,4.00,5.00,NULL,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7141726,2.00,5.00,2.00,7.00,7.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7141734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7141769,2.00,3.00,2.00,4.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7141777,0.00,4.00,2.00,1.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7141815,0.00,1.00,3.00,1.00,4.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7141823,6.00,9.00,2.00,7.00,6.00,9.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7141840,0.00,4.00,1.00,5.00,5.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7141858,3.00,5.00,2.00,5.00,7.00,10.50,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7141866,1.00,0.00,0.00,0.00,0.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7141874,0.00,5.00,3.00,5.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7141882,0.00,5.00,0.00,2.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7141890,4.00,7.00,3.00,5.00,9.00,8.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7141904,3.00,6.00,1.00,5.00,5.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7141912,5.00,5.00,1.00,7.00,8.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7141947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7141955,1.00,5.00,1.00,7.00,3.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7141963,2.00,0.00,3.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7141998,0.00,5.00,1.00,6.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7142005,0.00,4.00,2.00,2.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7142013,0.00,1.00,1.00,3.00,4.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7142021,4.00,7.00,3.00,2.00,6.00,7.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7142030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7142048,6.00,7.00,4.00,6.00,8.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7142056,4.00,6.00,4.00,3.00,4.00,9.38,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7142064,3.00,7.00,2.00,6.00,7.00,9.38,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7142072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7142099,1.00,7.00,0.00,7.00,8.00,7.50,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7142110,1.00,5.00,2.00,5.00,5.00,6.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7142129,4.00,6.00,3.00,6.00,10.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7142137,4.00,5.00,3.00,5.00,8.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7142145,1.00,6.00,2.00,7.00,6.00,8.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7142153,3.00,3.00,2.00,5.00,4.00,6.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7142170,0.00,5.00,1.00,6.00,6.00,5.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7142188,3.00,7.00,1.00,6.00,8.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7142196,5.00,8.00,3.00,5.00,8.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7142218,5.00,6.00,4.00,5.00,9.00,8.63,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7142234,2.00,6.00,1.00,5.00,6.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7142242,1.00,6.00,2.00,1.00,5.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7142250,3.00,7.00,4.00,6.00,6.00,12.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7142269,2.00,8.00,2.00,5.00,2.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7142277,3.00,8.00,3.00,6.00,8.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7142285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7142293,2.00,5.00,3.00,5.00,3.00,7.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7142307,1.00,5.00,1.00,5.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7142323,0.00,4.00,0.00,6.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7142331,0.00,0.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7142366,4.00,3.00,2.00,1.00,4.00,4.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7142374,0.00,2.00,0.00,1.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7142382,1.00,5.00,2.00,2.00,1.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7142390,1.00,2.00,0.00,4.00,5.00,3.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7142404,5.00,7.00,1.00,5.00,6.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7142420,2.00,4.00,2.00,6.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7142447,1.00,5.00,3.00,6.00,5.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7142455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7142463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7142471,0.00,2.00,1.00,4.00,2.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7142480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7142510,5.00,7.00,2.00,8.00,9.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7142536,3.00,7.00,5.00,4.00,5.00,8.63,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7142552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7142560,3.00,7.00,4.00,6.00,6.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7142579,4.00,6.00,2.00,6.00,8.00,10.88,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7142609,2.00,6.00,1.00,5.00,5.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7142625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7142633,2.00,6.00,1.00,6.00,7.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7142641,1.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7142650,1.00,6.00,0.00,5.00,7.00,6.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7142668,2.00,5.00,1.00,6.00,7.00,10.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7142676,0.00,6.00,3.00,2.00,4.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7142684,2.00,2.00,2.00,2.00,3.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7142692,7.00,4.00,2.00,7.00,7.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7142706,6.00,6.00,2.00,7.00,8.00,10.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7142722,2.00,8.00,1.00,4.00,7.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7142757,4.00,6.00,2.00,5.00,6.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7142765,1.00,4.00,1.00,6.00,5.00,NULL,3.00,1.00,2.00,NULL,NULL,'S','N'),(28,7142773,1.00,1.00,1.00,4.00,4.00,7.13,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7142781,5.00,7.00,4.00,6.00,8.00,8.63,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7142820,0.00,5.00,2.00,2.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7142838,0.00,3.00,0.00,6.00,4.00,5.63,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7142846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7142854,6.00,9.00,3.00,7.00,7.00,7.88,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7142862,4.00,6.00,1.00,7.00,9.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7142897,2.00,3.00,1.00,6.00,4.00,7.13,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7142919,2.00,2.00,1.00,6.00,5.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7142927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7142943,3.00,6.00,3.00,7.00,3.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7142951,4.00,7.00,2.00,5.00,3.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7142960,3.00,5.00,1.00,5.00,8.00,6.38,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7142978,4.00,5.00,3.00,2.00,8.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7142986,2.00,2.00,2.00,5.00,4.00,10.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7142994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7143001,2.00,7.00,2.00,5.00,8.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7143010,4.00,5.00,1.00,6.00,6.00,10.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7143028,0.00,4.00,2.00,6.00,5.00,7.88,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7143036,2.00,8.00,1.00,4.00,7.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7143044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7143052,0.00,1.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7143060,0.00,3.00,4.00,6.00,6.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7143079,3.00,3.00,0.00,5.00,3.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7143087,1.00,2.00,0.00,5.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7143117,3.00,8.00,4.00,6.00,7.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7143141,6.00,7.00,2.00,6.00,6.00,10.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7143150,1.00,8.00,2.00,7.00,7.00,9.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7143168,5.00,9.00,2.00,7.00,5.00,8.63,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7143176,1.00,6.00,2.00,2.00,3.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7143206,0.00,7.00,1.00,6.00,10.00,12.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7143257,0.00,5.00,4.00,5.00,8.00,4.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7143265,1.00,8.00,1.00,6.00,7.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7143290,3.00,7.00,2.00,5.00,7.00,9.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7143303,1.00,5.00,2.00,1.00,3.00,6.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7143338,1.00,4.00,2.00,6.00,4.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7143346,0.00,7.00,3.00,6.00,5.00,7.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7143362,2.00,6.00,2.00,6.00,4.00,9.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7143389,6.00,6.00,2.00,2.00,6.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7143397,0.00,4.00,1.00,5.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7143400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7143427,1.00,4.00,1.00,4.00,4.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7143435,3.00,7.00,1.00,7.00,6.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7143451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7143460,1.00,6.00,1.00,6.00,4.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7143478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7143494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7143508,0.00,5.00,3.00,6.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7143524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7143540,1.00,5.00,3.00,2.00,6.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7143583,1.00,1.00,2.00,5.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7143591,5.00,7.00,1.00,4.00,5.00,6.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7143613,3.00,3.00,0.00,0.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7143621,3.00,5.00,3.00,5.00,5.00,7.88,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7143648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7143656,3.00,6.00,3.00,4.00,6.00,7.88,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(28,7143672,7.00,8.00,4.00,7.00,9.00,10.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7143680,3.00,8.00,0.00,6.00,8.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7143699,5.00,8.00,3.00,7.00,6.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7143710,2.00,7.00,1.00,5.00,8.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7143737,3.00,6.00,1.00,4.00,4.00,10.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7143745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7143753,0.00,2.00,3.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7143761,3.00,8.00,4.00,7.00,10.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7143770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7143788,4.00,6.00,1.00,4.00,8.00,9.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7143796,2.00,4.00,3.00,5.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7143818,2.00,2.00,2.00,4.00,4.00,5.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7143826,6.00,7.00,2.00,7.00,10.00,6.38,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7143834,2.00,2.00,3.00,2.00,4.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7143850,0.00,8.00,4.00,3.00,4.00,8.25,2.00,8.00,1.00,NULL,NULL,NULL,'N'),(28,7143869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7143877,6.00,8.00,1.00,7.00,5.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7143885,4.00,3.00,2.00,6.00,4.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7143915,3.00,4.00,4.00,3.00,4.00,4.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7143923,1.00,6.00,2.00,2.00,3.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7143931,3.00,2.00,1.00,3.00,3.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7143940,5.00,7.00,3.00,6.00,7.00,7.50,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7143958,1.00,5.00,1.00,6.00,3.00,8.63,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7143966,2.00,3.00,3.00,5.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7143974,4.00,7.00,4.00,8.00,9.00,10.50,4.00,7.00,2.00,NULL,NULL,NULL,'S'),(28,7143982,2.00,6.00,0.00,2.00,6.00,11.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7143990,2.00,6.00,1.00,6.00,5.00,11.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7144008,0.00,6.00,0.00,0.00,0.00,NULL,2.00,3.00,3.00,'S',NULL,NULL,'S'),(28,7144016,2.00,7.00,1.00,5.00,6.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7144024,1.00,3.00,1.00,3.00,4.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7144075,1.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7144091,4.00,6.00,2.00,5.00,5.00,11.25,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7144105,6.00,7.00,5.00,7.00,10.00,9.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7144121,1.00,4.00,4.00,4.00,6.00,7.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7144130,1.00,5.00,2.00,7.00,6.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7144148,2.00,6.00,1.00,6.00,9.00,8.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7144164,0.00,5.00,2.00,3.00,3.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7144172,3.00,2.00,1.00,2.00,3.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7144199,3.00,5.00,3.00,4.00,6.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7144202,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7144210,0.00,2.00,2.00,3.00,3.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7144229,4.00,7.00,2.00,4.00,6.00,7.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7144245,1.00,5.00,5.00,4.00,6.00,7.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7144253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7144270,2.00,5.00,2.00,4.00,8.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7144296,1.00,5.00,2.00,5.00,5.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7144300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7144326,1.00,6.00,3.00,5.00,4.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7144334,4.00,7.00,2.00,4.00,5.00,6.38,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7144342,2.00,8.00,1.00,7.00,9.00,8.63,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7144350,0.00,6.00,0.00,5.00,5.00,5.63,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7144393,0.00,3.00,3.00,1.00,1.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7144415,6.00,7.00,1.00,6.00,7.00,5.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7144423,0.00,5.00,2.00,5.00,6.00,7.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7144440,5.00,5.00,1.00,6.00,6.00,9.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7144466,6.00,7.00,5.00,6.00,9.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7144474,2.00,5.00,4.00,4.00,3.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7144482,0.00,2.00,1.00,4.00,2.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7144490,2.00,4.00,2.00,6.00,5.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7144504,4.00,8.00,1.00,6.00,9.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7144512,3.00,6.00,1.00,7.00,4.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7144520,1.00,5.00,2.00,7.00,7.00,7.13,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7144539,1.00,4.00,2.00,5.00,7.00,9.75,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7144547,0.00,6.00,1.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7144555,5.00,7.00,3.00,6.00,7.00,8.63,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7144601,3.00,4.00,1.00,4.00,3.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7144610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7144628,3.00,6.00,2.00,2.00,5.00,6.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7144644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7144652,3.00,7.00,4.00,7.00,7.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7144679,4.00,8.00,3.00,7.00,7.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7144687,2.00,8.00,1.00,6.00,7.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7144709,5.00,5.00,3.00,5.00,8.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7144717,3.00,3.00,2.00,5.00,5.00,5.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7144725,1.00,6.00,3.00,5.00,4.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7144733,4.00,5.00,2.00,1.00,5.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7144741,3.00,5.00,1.00,2.00,5.00,7.88,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7144750,2.00,6.00,2.00,6.00,4.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7144768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7144776,4.00,6.00,1.00,6.00,7.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7144784,2.00,7.00,3.00,5.00,7.00,10.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7144792,3.00,6.00,3.00,3.00,4.00,9.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7144814,1.00,4.00,1.00,6.00,6.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7144822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7144830,0.00,3.00,2.00,7.00,3.00,6.38,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7144849,0.00,7.00,4.00,3.00,4.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7144857,2.00,7.00,3.00,5.00,6.00,8.25,0.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7144865,5.00,8.00,1.00,3.00,6.00,7.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7144873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7144881,3.00,7.00,2.00,5.00,8.00,10.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7144890,2.00,6.00,1.00,6.00,9.00,8.25,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7144903,5.00,6.00,7.00,5.00,8.00,9.00,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7144911,3.00,7.00,2.00,6.00,4.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7144920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7144938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7144946,2.00,5.00,3.00,2.00,3.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7144954,0.00,5.00,0.00,0.00,0.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7144989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7145004,1.00,5.00,2.00,6.00,6.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7145012,3.00,5.00,1.00,3.00,6.00,8.63,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7145039,0.00,1.00,3.00,4.00,5.00,0.00,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7145047,0.00,2.00,0.00,0.00,3.00,5.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7145055,1.00,7.00,0.00,1.00,4.00,5.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7145080,1.00,5.00,2.00,4.00,6.00,6.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7145098,0.00,8.00,0.00,4.00,8.00,8.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7145110,3.00,6.00,3.00,6.00,5.00,7.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7145136,3.00,8.00,0.00,6.00,6.00,8.63,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7145152,0.00,5.00,3.00,2.00,3.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7145160,6.00,6.00,2.00,6.00,6.00,7.13,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7145187,4.00,8.00,1.00,7.00,6.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7145209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7145225,5.00,8.00,5.00,7.00,8.00,9.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7145233,1.00,4.00,1.00,5.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7145241,2.00,4.00,2.00,2.00,5.00,9.00,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7145250,1.00,7.00,0.00,6.00,10.00,8.63,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7145276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7145284,5.00,7.00,1.00,5.00,3.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7145292,1.00,4.00,1.00,2.00,4.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7145314,1.00,5.00,2.00,4.00,5.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7145322,4.00,6.00,2.00,5.00,5.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7145330,6.00,7.00,3.00,6.00,5.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7145349,0.00,2.00,2.00,2.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7145357,3.00,6.00,3.00,5.00,8.00,4.88,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7145373,6.00,7.00,5.00,7.00,9.00,12.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7145390,1.00,6.00,1.00,6.00,4.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7145403,5.00,7.00,3.00,6.00,6.00,10.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7145411,0.00,4.00,2.00,6.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7145420,2.00,4.00,0.00,5.00,7.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7145438,3.00,6.00,2.00,6.00,6.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7145446,0.00,7.00,2.00,5.00,5.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7145454,6.00,8.00,3.00,7.00,8.00,7.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7145462,4.00,8.00,2.00,5.00,4.00,7.13,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7145470,5.00,6.00,2.00,7.00,7.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7145489,3.00,8.00,2.00,7.00,7.00,10.13,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7145497,1.00,6.00,3.00,6.00,8.00,9.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7145519,1.00,1.00,3.00,3.00,3.00,6.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7145527,1.00,7.00,3.00,6.00,7.00,8.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7145535,8.00,8.00,5.00,8.00,11.00,11.63,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7145560,5.00,9.00,4.00,7.00,8.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7145578,2.00,7.00,2.00,5.00,5.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7145586,4.00,5.00,3.00,5.00,6.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7145608,3.00,7.00,2.00,7.00,8.00,9.38,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7145616,2.00,8.00,2.00,7.00,10.00,10.13,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7145624,3.00,4.00,2.00,6.00,8.00,8.63,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7145632,2.00,4.00,2.00,4.00,6.00,12.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7145659,1.00,3.00,1.00,6.00,5.00,6.38,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7145675,4.00,7.00,4.00,5.00,6.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7145691,2.00,8.00,4.00,7.00,7.00,6.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7145705,2.00,6.00,1.00,5.00,3.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7145713,1.00,6.00,3.00,6.00,5.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7145721,7.00,7.00,5.00,7.00,9.00,12.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7145730,5.00,5.00,2.00,7.00,7.00,11.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7145748,1.00,2.00,0.00,4.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7145756,1.00,4.00,1.00,4.00,3.00,5.63,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7145764,1.00,6.00,1.00,7.00,9.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7145780,4.00,6.00,4.00,5.00,9.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7145802,0.00,4.00,2.00,6.00,4.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7145810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7145829,0.00,2.00,2.00,0.00,4.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7145845,5.00,6.00,1.00,7.00,7.00,10.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7145853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7145861,2.00,5.00,2.00,4.00,6.00,7.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7145896,4.00,6.00,2.00,5.00,7.00,9.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7145900,2.00,4.00,1.00,2.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,'S','N'),(28,7145918,4.00,7.00,3.00,5.00,8.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7145926,3.00,5.00,1.00,5.00,7.00,10.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7145942,2.00,6.00,2.00,6.00,7.00,5.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7145950,4.00,6.00,3.00,6.00,9.00,10.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7145969,2.00,7.00,3.00,6.00,7.00,NULL,1.00,3.00,2.00,NULL,NULL,'S','N'),(28,7145977,0.00,4.00,1.00,1.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7145985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7145993,3.00,6.00,4.00,3.00,3.00,4.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7146000,2.00,7.00,0.00,5.00,4.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7146035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7146043,0.00,8.00,2.00,4.00,8.00,9.38,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7146051,3.00,8.00,2.00,7.00,8.00,8.63,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7146078,2.00,6.00,1.00,7.00,6.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7146086,0.00,2.00,2.00,2.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7146094,1.00,6.00,2.00,2.00,2.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7146108,4.00,7.00,2.00,6.00,5.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7146116,1.00,4.00,1.00,3.00,3.00,7.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7146132,2.00,5.00,1.00,5.00,7.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7146159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7146167,0.00,2.00,3.00,5.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7146175,1.00,5.00,1.00,4.00,6.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7146183,4.00,7.00,3.00,4.00,9.00,11.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7146205,6.00,7.00,2.00,7.00,8.00,7.13,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7146213,3.00,7.00,2.00,6.00,8.00,7.88,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7146221,2.00,5.00,1.00,6.00,6.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7146230,2.00,5.00,2.00,6.00,6.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7146248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7146256,8.00,7.00,6.00,7.00,8.00,4.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7146264,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7146272,4.00,7.00,4.00,6.00,7.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7146280,9.00,7.00,4.00,8.00,5.00,9.75,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7146299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7146302,4.00,8.00,4.00,7.00,6.00,9.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7146310,1.00,1.00,1.00,3.00,3.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7146329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7146337,0.00,4.00,3.00,1.00,3.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7146345,0.00,3.00,3.00,0.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7146388,7.00,9.00,6.00,6.00,9.00,8.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7146396,1.00,1.00,2.00,2.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7146426,0.00,4.00,2.00,3.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7146434,3.00,2.00,2.00,4.00,4.00,4.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7146450,5.00,6.00,3.00,6.00,8.00,5.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7146469,3.00,7.00,4.00,2.00,5.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7146477,2.00,6.00,3.00,7.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,'S','N'),(28,7146485,3.00,8.00,3.00,7.00,8.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7146493,5.00,6.00,2.00,5.00,8.00,9.38,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7146507,2.00,6.00,3.00,7.00,3.00,6.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7146523,2.00,3.00,4.00,3.00,5.00,6.75,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7146531,4.00,6.00,2.00,6.00,8.00,7.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7146566,0.00,5.00,2.00,5.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7146574,0.00,3.00,0.00,2.00,4.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7146582,0.00,5.00,3.00,3.00,3.00,5.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7146604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7146647,0.00,6.00,2.00,4.00,4.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7146655,1.00,4.00,0.00,4.00,6.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7146663,3.00,6.00,0.00,3.00,8.00,5.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7146671,2.00,3.00,2.00,5.00,4.00,9.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7146698,1.00,3.00,3.00,2.00,4.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7146701,3.00,7.00,3.00,7.00,6.00,7.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7146710,2.00,6.00,3.00,4.00,4.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7146728,2.00,6.00,6.00,4.00,5.00,7.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7146736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7146744,4.00,5.00,2.00,4.00,7.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7146752,3.00,5.00,3.00,5.00,5.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7146760,1.00,6.00,2.00,6.00,7.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7146779,2.00,7.00,3.00,5.00,8.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7146787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7146795,0.00,5.00,1.00,7.00,4.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7146817,1.00,2.00,2.00,1.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7146825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7146833,4.00,4.00,2.00,4.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7146841,1.00,2.00,2.00,1.00,3.00,3.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7146850,3.00,8.00,2.00,5.00,6.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7146868,0.00,3.00,0.00,3.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7146884,4.00,8.00,6.00,5.00,8.00,11.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7146892,5.00,8.00,3.00,4.00,7.00,8.63,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7146906,2.00,4.00,2.00,5.00,3.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7146914,3.00,7.00,2.00,5.00,4.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7146922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7146930,1.00,5.00,4.00,6.00,5.00,8.63,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7146957,2.00,5.00,3.00,5.00,7.00,9.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7146973,5.00,7.00,2.00,4.00,7.00,6.38,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7146981,0.00,5.00,0.00,0.00,0.00,NULL,2.00,3.00,4.00,'S',NULL,NULL,'N'),(28,7146990,1.00,7.00,0.00,6.00,6.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7147007,5.00,7.00,4.00,7.00,8.00,9.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7147015,1.00,0.00,1.00,6.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7147031,4.00,6.00,2.00,7.00,7.00,12.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7147040,3.00,6.00,5.00,5.00,7.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7147074,5.00,7.00,5.00,5.00,9.00,10.13,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7147082,1.00,2.00,1.00,5.00,6.00,8.63,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7147090,0.00,4.00,2.00,4.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7147104,2.00,5.00,3.00,6.00,7.00,8.63,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7147112,3.00,7.00,2.00,5.00,9.00,6.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7147120,3.00,8.00,2.00,7.00,8.00,10.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7147139,1.00,5.00,2.00,5.00,6.00,7.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7147147,2.00,4.00,1.00,5.00,6.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7147155,5.00,6.00,2.00,4.00,7.00,9.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7147163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7147171,2.00,6.00,1.00,7.00,4.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7147198,2.00,4.00,4.00,5.00,4.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7147201,1.00,5.00,1.00,4.00,6.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7147210,3.00,6.00,3.00,7.00,6.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7147228,4.00,6.00,4.00,5.00,6.00,7.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7147252,6.00,8.00,4.00,7.00,9.00,10.88,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7147260,1.00,3.00,1.00,5.00,7.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7147279,2.00,6.00,2.00,6.00,8.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7147287,6.00,7.00,3.00,6.00,9.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7147309,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7147317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7147325,1.00,2.00,2.00,2.00,4.00,9.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7147333,5.00,7.00,7.00,5.00,10.00,10.13,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7147341,4.00,9.00,2.00,5.00,5.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7147350,4.00,7.00,1.00,6.00,7.00,9.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7147368,6.00,7.00,5.00,5.00,10.00,10.88,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7147384,2.00,4.00,1.00,7.00,6.00,5.63,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7147406,1.00,4.00,0.00,6.00,8.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7147430,6.00,9.00,3.00,5.00,10.00,7.88,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7147449,1.00,5.00,1.00,6.00,3.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7147457,0.00,3.00,2.00,4.00,6.00,7.50,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7147465,2.00,2.00,1.00,4.00,3.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7147473,2.00,7.00,1.00,6.00,9.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7147481,0.00,4.00,0.00,4.00,2.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7147490,1.00,7.00,2.00,4.00,7.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7147503,1.00,3.00,3.00,3.00,5.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7147511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7147546,1.00,4.00,2.00,5.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7147554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7147562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7147570,2.00,6.00,0.00,6.00,9.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7147589,5.00,7.00,6.00,7.00,10.00,5.63,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7147597,1.00,6.00,1.00,7.00,8.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7147600,1.00,5.00,0.00,3.00,4.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7147619,0.00,5.00,1.00,5.00,7.00,4.50,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7147627,5.00,6.00,3.00,5.00,7.00,11.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7147635,3.00,5.00,2.00,5.00,8.00,9.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7147651,4.00,6.00,1.00,1.00,6.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7147660,2.00,5.00,3.00,2.00,6.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7147678,4.00,3.00,3.00,7.00,4.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7147686,3.00,8.00,2.00,5.00,9.00,7.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7147716,4.00,4.00,2.00,1.00,3.00,3.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7147732,0.00,6.00,3.00,6.00,4.00,7.50,1.00,1.00,0.00,NULL,NULL,NULL,'S'),(28,7147740,4.00,6.00,4.00,6.00,4.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7147759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7147767,1.00,4.00,2.00,5.00,3.00,6.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7147775,4.00,7.00,2.00,6.00,8.00,9.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7147783,1.00,2.00,1.00,6.00,5.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7147791,1.00,4.00,1.00,1.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7147813,0.00,6.00,0.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7147821,0.00,3.00,4.00,5.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7147830,5.00,7.00,2.00,5.00,8.00,10.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7147848,1.00,3.00,0.00,1.00,5.00,7.88,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7147856,5.00,6.00,3.00,6.00,6.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7147872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7147880,6.00,5.00,3.00,7.00,7.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7147902,2.00,4.00,2.00,1.00,5.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7147910,1.00,6.00,0.00,5.00,4.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7147929,0.00,5.00,2.00,6.00,6.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7147937,0.00,5.00,0.00,7.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7147953,6.00,7.00,3.00,6.00,8.00,9.38,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7147961,7.00,7.00,4.00,6.00,11.00,10.88,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(28,7147970,2.00,5.00,1.00,6.00,6.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7147988,4.00,6.00,1.00,5.00,7.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7148003,1.00,4.00,3.00,5.00,4.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7148011,1.00,5.00,2.00,7.00,6.00,10.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7148020,4.00,7.00,6.00,7.00,5.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7148038,4.00,8.00,5.00,6.00,7.00,10.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7148046,3.00,6.00,1.00,6.00,6.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7148054,0.00,5.00,2.00,6.00,6.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7148062,2.00,5.00,3.00,3.00,8.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7148070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7148097,6.00,6.00,0.00,6.00,4.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7148119,0.00,2.00,1.00,4.00,4.00,4.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7148127,0.00,1.00,0.00,0.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7148135,2.00,2.00,0.00,6.00,4.00,6.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7148143,5.00,9.00,1.00,7.00,7.00,9.38,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7148151,4.00,6.00,3.00,6.00,9.00,11.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7148186,0.00,5.00,1.00,7.00,5.00,9.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7148194,8.00,9.00,3.00,7.00,10.00,8.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7148208,2.00,6.00,1.00,7.00,8.00,7.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7148216,8.00,6.00,6.00,7.00,6.00,9.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7148232,4.00,8.00,1.00,3.00,8.00,8.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7148240,1.00,4.00,3.00,6.00,4.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7148259,3.00,7.00,1.00,6.00,8.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7148267,2.00,8.00,1.00,4.00,6.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7148275,2.00,5.00,1.00,7.00,7.00,7.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7148291,2.00,7.00,2.00,7.00,9.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7148305,0.00,4.00,3.00,5.00,3.00,5.63,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7148321,7.00,7.00,5.00,7.00,10.00,11.63,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7148364,2.00,5.00,2.00,4.00,4.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7148372,2.00,8.00,4.00,3.00,8.00,7.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7148380,2.00,5.00,3.00,7.00,6.00,7.88,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7148399,4.00,6.00,4.00,5.00,8.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7148402,6.00,8.00,2.00,7.00,8.00,7.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7148410,4.00,7.00,2.00,4.00,6.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7148429,5.00,7.00,1.00,5.00,5.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7148437,4.00,6.00,1.00,5.00,7.00,7.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7148445,4.00,8.00,3.00,6.00,7.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7148453,5.00,7.00,5.00,7.00,7.00,9.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7148461,1.00,5.00,0.00,7.00,6.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7148488,3.00,5.00,2.00,6.00,5.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7148496,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7148500,7.00,7.00,4.00,8.00,9.00,9.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7148518,3.00,4.00,2.00,5.00,6.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7148526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7148534,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7148542,0.00,1.00,1.00,1.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7148550,6.00,8.00,4.00,7.00,9.00,8.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7148585,6.00,7.00,2.00,7.00,7.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7148593,0.00,2.00,2.00,3.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7148607,5.00,6.00,3.00,6.00,4.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7148615,0.00,4.00,2.00,7.00,5.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7148623,3.00,6.00,1.00,6.00,11.00,9.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7148631,0.00,3.00,2.00,4.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7148658,4.00,6.00,3.00,5.00,7.00,9.00,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7148666,1.00,3.00,2.00,5.00,7.00,8.63,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7148674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7148682,2.00,5.00,0.00,7.00,6.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7148712,2.00,7.00,2.00,7.00,6.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7148739,1.00,4.00,2.00,4.00,3.00,0.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7148747,0.00,3.00,2.00,4.00,3.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7148763,2.00,6.00,2.00,7.00,10.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7148771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7148780,1.00,3.00,1.00,1.00,3.00,5.63,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7148798,3.00,5.00,2.00,4.00,5.00,6.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7148801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7148810,2.00,6.00,1.00,6.00,9.00,10.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7148828,2.00,5.00,2.00,4.00,5.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7148836,5.00,6.00,2.00,5.00,8.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7148844,4.00,8.00,3.00,7.00,8.00,7.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7148852,6.00,8.00,3.00,7.00,9.00,9.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7148860,3.00,6.00,4.00,7.00,6.00,8.25,3.00,6.00,6.00,NULL,NULL,NULL,'S'),(28,7148895,7.00,9.00,3.00,7.00,9.00,9.38,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7148917,2.00,3.00,1.00,3.00,5.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7148933,0.00,2.00,2.00,2.00,3.00,3.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7148941,3.00,4.00,2.00,4.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7148968,2.00,1.00,3.00,5.00,5.00,6.75,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7148976,2.00,4.00,3.00,6.00,7.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7148984,3.00,6.00,2.00,6.00,5.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7149018,0.00,5.00,3.00,4.00,7.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7149026,2.00,2.00,2.00,4.00,4.00,9.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7149034,0.00,4.00,2.00,2.00,5.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7149042,3.00,3.00,2.00,4.00,5.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7149050,7.00,6.00,1.00,5.00,4.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7149069,1.00,5.00,5.00,6.00,7.00,6.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7149077,0.00,5.00,4.00,1.00,4.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7149085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7149107,4.00,8.00,2.00,6.00,10.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7149115,3.00,7.00,2.00,4.00,7.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7149123,4.00,8.00,2.00,7.00,10.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7149131,1.00,4.00,2.00,5.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,'S','S'),(28,7149140,2.00,6.00,3.00,6.00,6.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7149158,5.00,6.00,2.00,7.00,5.00,7.13,5.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7149166,4.00,7.00,2.00,3.00,6.00,6.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7149190,2.00,5.00,1.00,6.00,6.00,9.75,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7149204,2.00,8.00,4.00,7.00,8.00,9.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7149212,8.00,7.00,7.00,7.00,11.00,10.13,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7149220,5.00,6.00,2.00,4.00,5.00,8.63,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7149239,0.00,3.00,2.00,4.00,3.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7149255,4.00,9.00,5.00,7.00,7.00,9.38,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7149263,3.00,3.00,2.00,4.00,7.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7149271,0.00,6.00,3.00,6.00,3.00,11.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7149280,5.00,7.00,3.00,6.00,8.00,7.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7149298,0.00,4.00,0.00,5.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7149301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7149310,2.00,5.00,2.00,4.00,8.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7149336,1.00,4.00,2.00,7.00,8.00,7.88,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7149344,0.00,5.00,1.00,3.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7149360,1.00,7.00,1.00,7.00,8.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7149379,4.00,6.00,2.00,5.00,6.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7149387,7.00,7.00,4.00,6.00,6.00,9.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7149395,1.00,4.00,4.00,4.00,3.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7149409,0.00,4.00,2.00,3.00,3.00,8.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7149417,6.00,9.00,4.00,7.00,10.00,10.50,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7149425,2.00,3.00,3.00,6.00,4.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7149450,0.00,6.00,1.00,6.00,6.00,7.50,1.00,7.00,4.00,NULL,NULL,NULL,'S'),(28,7149476,2.00,6.00,1.00,5.00,6.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7149484,3.00,6.00,2.00,5.00,5.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7149506,0.00,3.00,0.00,4.00,3.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7149514,6.00,7.00,4.00,5.00,9.00,10.50,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7149530,5.00,6.00,2.00,6.00,7.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7149549,6.00,7.00,2.00,6.00,9.00,10.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7149557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7149565,5.00,7.00,3.00,6.00,4.00,7.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7149573,3.00,7.00,2.00,7.00,9.00,11.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7149603,5.00,7.00,5.00,4.00,9.00,10.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7149620,6.00,9.00,3.00,7.00,9.00,9.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7149638,5.00,8.00,7.00,6.00,9.00,10.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7149646,2.00,7.00,1.00,3.00,9.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7149654,0.00,3.00,3.00,3.00,3.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7149662,3.00,8.00,2.00,5.00,9.00,10.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7149670,4.00,7.00,4.00,5.00,7.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7149697,4.00,7.00,4.00,7.00,8.00,10.13,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7149700,0.00,4.00,2.00,4.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7149735,0.00,5.00,3.00,5.00,6.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7149743,6.00,7.00,6.00,7.00,6.00,5.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7149751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7149760,1.00,5.00,2.00,5.00,3.00,6.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7149778,3.00,7.00,4.00,7.00,9.00,8.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7149786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7149794,4.00,7.00,4.00,5.00,10.00,10.13,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7149808,8.00,8.00,5.00,6.00,9.00,13.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7149824,4.00,7.00,2.00,4.00,3.00,6.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7149832,5.00,6.00,2.00,5.00,6.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7149840,1.00,5.00,3.00,4.00,6.00,6.38,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7149867,4.00,4.00,0.00,6.00,7.00,8.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7149875,1.00,2.00,1.00,6.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7149883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7149891,2.00,5.00,2.00,7.00,6.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7149905,0.00,2.00,3.00,4.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7149964,2.00,5.00,1.00,5.00,5.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7149972,0.00,3.00,4.00,5.00,5.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(28,7149980,4.00,8.00,3.00,6.00,8.00,7.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7149999,4.00,6.00,2.00,5.00,9.00,8.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7150016,6.00,8.00,4.00,7.00,10.00,10.13,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7150024,3.00,2.00,0.00,6.00,5.00,8.63,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7150040,4.00,5.00,1.00,7.00,4.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7150067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7150075,6.00,9.00,5.00,7.00,10.00,9.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7150083,7.00,8.00,7.00,6.00,9.00,11.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7150091,3.00,4.00,1.00,4.00,8.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7150105,6.00,8.00,4.00,7.00,9.00,7.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7150148,3.00,7.00,1.00,6.00,9.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7150172,1.00,4.00,3.00,4.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7150180,5.00,6.00,3.00,3.00,9.00,9.38,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7150199,5.00,7.00,0.00,6.00,8.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7150210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7150229,2.00,3.00,3.00,4.00,5.00,8.25,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7150237,1.00,5.00,1.00,4.00,3.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7150253,5.00,7.00,2.00,5.00,8.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7150261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7150270,3.00,5.00,4.00,7.00,5.00,3.00,2.00,5.00,5.00,NULL,NULL,NULL,'S'),(28,7150288,4.00,5.00,2.00,5.00,2.00,NULL,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7150296,4.00,8.00,5.00,6.00,9.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7150300,2.00,3.00,0.00,6.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7150318,3.00,6.00,0.00,5.00,5.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7150334,8.00,7.00,5.00,7.00,9.00,11.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7150377,4.00,7.00,1.00,4.00,8.00,10.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7150393,2.00,7.00,1.00,7.00,8.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7150407,3.00,5.00,2.00,6.00,9.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7150415,4.00,7.00,0.00,6.00,6.00,NULL,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7150423,5.00,8.00,2.00,7.00,7.00,10.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7150431,0.00,2.00,1.00,4.00,0.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7150440,0.00,3.00,2.00,6.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7150458,1.00,3.00,3.00,5.00,4.00,7.13,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7150466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7150482,0.00,4.00,4.00,5.00,5.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7150490,4.00,4.00,4.00,5.00,4.00,5.63,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7150504,4.00,7.00,3.00,4.00,8.00,6.75,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7150539,0.00,6.00,2.00,6.00,8.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7150547,6.00,7.00,5.00,7.00,9.00,9.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7150555,3.00,5.00,2.00,7.00,6.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7150571,0.00,0.00,2.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7150580,3.00,8.00,2.00,7.00,7.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7150598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7150601,3.00,3.00,1.00,2.00,5.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7150610,5.00,6.00,6.00,7.00,6.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7150636,2.00,3.00,2.00,2.00,6.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7150644,3.00,7.00,2.00,7.00,8.00,9.38,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7150652,0.00,2.00,1.00,0.00,4.00,5.25,5.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7150687,0.00,2.00,3.00,4.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7150695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7150709,4.00,5.00,2.00,6.00,5.00,8.63,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7150717,1.00,3.00,2.00,3.00,6.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7150733,5.00,8.00,2.00,5.00,5.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7150741,5.00,7.00,2.00,4.00,9.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7150750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7150768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7150792,2.00,2.00,1.00,4.00,6.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7150806,3.00,8.00,2.00,7.00,8.00,7.88,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7150822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7150830,1.00,2.00,3.00,3.00,3.00,3.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7150849,1.00,6.00,3.00,6.00,5.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7150890,4.00,7.00,4.00,5.00,10.00,11.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7150920,2.00,5.00,5.00,6.00,6.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7150954,5.00,6.00,4.00,5.00,7.00,10.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7150962,1.00,0.00,2.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7150970,4.00,4.00,3.00,4.00,5.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7151004,9.00,8.00,8.00,6.00,8.00,7.50,8.00,9.00,8.00,NULL,NULL,NULL,'N'),(28,7151012,2.00,5.00,2.00,6.00,5.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7151020,1.00,6.00,2.00,4.00,5.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7151039,2.00,5.00,2.00,5.00,5.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7151047,2.00,4.00,3.00,4.00,4.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7151055,1.00,6.00,2.00,2.00,8.00,6.38,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7151063,4.00,6.00,3.00,7.00,7.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7151071,3.00,4.00,3.00,4.00,5.00,0.00,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7151080,2.00,5.00,2.00,6.00,4.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7151098,0.00,2.00,0.00,1.00,3.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7151101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7151110,2.00,7.00,2.00,4.00,5.00,11.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7151128,1.00,2.00,4.00,4.00,3.00,2.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7151136,3.00,7.00,3.00,6.00,6.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7151144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7151152,3.00,8.00,3.00,4.00,10.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7151160,8.00,8.00,4.00,6.00,9.00,9.38,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7151179,0.00,2.00,2.00,4.00,4.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7151195,0.00,4.00,1.00,4.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7151217,3.00,9.00,3.00,7.00,5.00,11.63,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7151225,1.00,7.00,1.00,7.00,7.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7151233,1.00,7.00,2.00,7.00,4.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7151241,3.00,5.00,4.00,6.00,4.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7151250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7151284,2.00,5.00,3.00,7.00,8.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7151292,1.00,7.00,2.00,4.00,5.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7151322,6.00,7.00,1.00,7.00,10.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7151349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7151373,1.00,4.00,4.00,2.00,5.00,6.38,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7151381,3.00,5.00,4.00,6.00,8.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7151390,7.00,8.00,3.00,7.00,7.00,7.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7151403,3.00,0.00,2.00,4.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7151411,6.00,9.00,5.00,6.00,10.00,11.63,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7151420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7151446,2.00,3.00,1.00,3.00,0.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7151462,2.00,4.00,0.00,3.00,5.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7151489,6.00,9.00,3.00,7.00,8.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7151497,3.00,4.00,3.00,3.00,4.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7151500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7151519,3.00,6.00,4.00,7.00,8.00,10.13,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7151535,2.00,5.00,2.00,1.00,3.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7151543,0.00,5.00,1.00,5.00,4.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7151551,0.00,5.00,0.00,7.00,4.00,8.63,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7151616,0.00,4.00,1.00,3.00,3.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7151640,1.00,5.00,3.00,7.00,6.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7151667,3.00,6.00,3.00,6.00,8.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7151675,1.00,2.00,3.00,4.00,6.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7151683,4.00,6.00,2.00,6.00,6.00,11.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7151691,3.00,5.00,1.00,4.00,8.00,4.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7151705,4.00,7.00,3.00,6.00,7.00,7.88,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7151713,1.00,2.00,2.00,4.00,4.00,6.75,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7151721,1.00,7.00,1.00,5.00,8.00,10.88,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7151730,0.00,3.00,2.00,3.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7151748,1.00,5.00,2.00,4.00,4.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7151756,2.00,5.00,2.00,4.00,6.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7151764,3.00,6.00,3.00,7.00,5.00,12.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7151780,2.00,4.00,2.00,6.00,7.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7151799,2.00,5.00,1.00,6.00,4.00,7.13,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7151810,1.00,4.00,3.00,4.00,5.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7151829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7151837,1.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7151870,0.00,1.00,4.00,6.00,5.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7151888,4.00,7.00,4.00,6.00,6.00,7.13,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7151896,4.00,8.00,4.00,6.00,9.00,8.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7151950,3.00,2.00,3.00,4.00,5.00,5.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7151977,2.00,7.00,3.00,5.00,8.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7151985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7151993,4.00,4.00,2.00,6.00,5.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7152000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7152019,4.00,6.00,4.00,5.00,8.00,6.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7152027,0.00,6.00,2.00,2.00,3.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7152035,0.00,7.00,4.00,7.00,8.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7152051,1.00,3.00,1.00,3.00,2.00,NULL,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(28,7152060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7152078,0.00,7.00,2.00,7.00,3.00,8.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7152086,3.00,7.00,2.00,6.00,8.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7152108,2.00,4.00,2.00,6.00,6.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7152116,7.00,7.00,5.00,7.00,9.00,10.13,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7152124,6.00,6.00,3.00,7.00,5.00,5.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7152132,5.00,6.00,2.00,6.00,7.00,5.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7152140,0.00,2.00,2.00,4.00,3.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7152159,2.00,8.00,4.00,3.00,4.00,9.75,1.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7152167,3.00,4.00,4.00,2.00,7.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7152183,1.00,7.00,2.00,3.00,5.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7152191,3.00,7.00,3.00,7.00,8.00,6.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7152205,0.00,6.00,2.00,6.00,8.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7152221,0.00,7.00,1.00,4.00,6.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7152248,8.00,9.00,6.00,7.00,9.00,8.63,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7152264,0.00,4.00,2.00,6.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7152272,3.00,5.00,2.00,1.00,5.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7152280,1.00,7.00,4.00,4.00,6.00,10.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7152299,4.00,5.00,2.00,6.00,5.00,4.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7152302,2.00,8.00,1.00,1.00,4.00,4.50,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7152310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7152337,1.00,6.00,2.00,6.00,7.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7152345,1.00,4.00,2.00,2.00,4.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7152353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7152388,2.00,7.00,2.00,7.00,8.00,0.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7152396,5.00,6.00,3.00,7.00,8.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7152400,0.00,4.00,1.00,5.00,1.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7152418,5.00,6.00,1.00,7.00,9.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7152450,2.00,8.00,3.00,6.00,7.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7152469,3.00,6.00,2.00,7.00,10.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7152477,4.00,7.00,2.00,7.00,6.00,6.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7152485,3.00,7.00,2.00,7.00,8.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7152493,4.00,7.00,3.00,7.00,5.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7152507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7152515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7152523,6.00,8.00,2.00,6.00,7.00,7.13,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7152531,4.00,5.00,2.00,5.00,4.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7152540,3.00,7.00,0.00,7.00,6.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7152558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7152566,4.00,7.00,4.00,4.00,7.00,9.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7152582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7152590,0.00,4.00,0.00,5.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7152604,4.00,7.00,2.00,6.00,8.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7152612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7152620,4.00,5.00,3.00,6.00,7.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7152639,1.00,3.00,3.00,4.00,8.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7152647,4.00,7.00,3.00,5.00,10.00,11.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7152655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7152663,1.00,4.00,3.00,4.00,4.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7152680,0.00,7.00,1.00,4.00,7.00,NULL,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7152698,2.00,6.00,1.00,4.00,8.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7152701,3.00,8.00,3.00,6.00,8.00,12.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7152728,3.00,5.00,0.00,3.00,4.00,6.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7152736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7152744,4.00,7.00,3.00,7.00,7.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7152787,0.00,4.00,2.00,2.00,4.00,6.75,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7152817,2.00,8.00,2.00,6.00,6.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7152825,6.00,7.00,3.00,7.00,9.00,8.63,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7152841,2.00,4.00,1.00,5.00,4.00,11.63,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7152850,2.00,3.00,2.00,3.00,4.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7152868,4.00,4.00,0.00,7.00,6.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7152892,2.00,7.00,1.00,4.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7152914,0.00,4.00,4.00,4.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7152922,3.00,6.00,4.00,7.00,5.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7152949,1.00,4.00,2.00,4.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7152957,4.00,7.00,1.00,6.00,5.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7152965,1.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7152990,4.00,6.00,1.00,4.00,6.00,9.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7153007,0.00,5.00,2.00,2.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7153015,1.00,6.00,1.00,5.00,5.00,12.00,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7153023,1.00,5.00,3.00,6.00,3.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7153031,1.00,4.00,3.00,6.00,4.00,8.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7153040,6.00,5.00,2.00,6.00,5.00,10.13,3.00,4.00,8.00,NULL,NULL,NULL,'N'),(28,7153058,0.00,5.00,2.00,3.00,5.00,8.25,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7153074,2.00,7.00,5.00,7.00,6.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7153090,2.00,2.00,2.00,3.00,4.00,10.50,0.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7153104,0.00,0.00,1.00,1.00,1.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'S'),(28,7153112,4.00,6.00,4.00,5.00,7.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7153120,2.00,7.00,3.00,6.00,6.00,8.63,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7153139,0.00,4.00,2.00,5.00,6.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7153147,2.00,4.00,1.00,5.00,4.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7153155,2.00,5.00,3.00,6.00,6.00,9.38,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7153171,2.00,4.00,3.00,5.00,6.00,0.00,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7153180,0.00,6.00,4.00,6.00,4.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7153198,0.00,8.00,2.00,4.00,4.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7153210,2.00,6.00,1.00,7.00,8.00,11.25,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(28,7153228,1.00,8.00,1.00,7.00,8.00,10.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7153252,0.00,5.00,3.00,4.00,3.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7153260,2.00,5.00,4.00,3.00,5.00,6.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7153279,1.00,6.00,1.00,4.00,4.00,6.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7153287,2.00,7.00,2.00,4.00,5.00,8.63,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7153295,2.00,6.00,1.00,4.00,4.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7153309,0.00,3.00,2.00,4.00,3.00,9.38,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7153333,3.00,5.00,1.00,5.00,4.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7153341,6.00,8.00,3.00,7.00,9.00,9.38,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7153368,2.00,6.00,3.00,4.00,5.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7153384,5.00,8.00,3.00,3.00,5.00,9.38,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7153406,4.00,8.00,2.00,7.00,9.00,8.63,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7153414,1.00,7.00,2.00,5.00,4.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7153430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7153449,0.00,6.00,1.00,5.00,6.00,NULL,2.00,5.00,4.00,NULL,NULL,'S','N'),(28,7153473,0.00,1.00,2.00,5.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7153481,3.00,3.00,2.00,5.00,3.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7153503,1.00,3.00,0.00,4.00,3.00,5.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7153511,1.00,4.00,1.00,5.00,5.00,6.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7153538,3.00,7.00,3.00,7.00,7.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7153554,4.00,8.00,3.00,7.00,8.00,7.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7153570,1.00,2.00,2.00,4.00,3.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7153589,4.00,7.00,2.00,6.00,8.00,7.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7153597,1.00,4.00,3.00,5.00,7.00,4.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7153619,3.00,5.00,2.00,5.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7153627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7153635,3.00,7.00,3.00,4.00,9.00,7.88,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7153651,1.00,2.00,2.00,5.00,5.00,9.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7153660,1.00,5.00,5.00,3.00,4.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7153686,4.00,7.00,2.00,7.00,6.00,4.88,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7153708,1.00,4.00,0.00,7.00,5.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7153716,4.00,7.00,2.00,6.00,8.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7153724,3.00,5.00,1.00,7.00,8.00,7.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7153732,2.00,4.00,0.00,7.00,7.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7153759,0.00,4.00,2.00,2.00,4.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7153767,4.00,7.00,2.00,4.00,7.00,7.88,1.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7153775,4.00,7.00,2.00,6.00,8.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7153783,2.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7153791,4.00,8.00,5.00,8.00,10.00,9.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7153805,5.00,7.00,2.00,7.00,9.00,10.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7153813,2.00,6.00,2.00,6.00,7.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7153821,3.00,6.00,3.00,6.00,7.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7153848,4.00,7.00,6.00,5.00,9.00,8.63,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7153856,3.00,6.00,1.00,4.00,7.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7153864,0.00,6.00,2.00,7.00,8.00,8.63,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7153872,0.00,2.00,2.00,0.00,0.00,NULL,1.00,4.00,2.00,NULL,NULL,'S','S'),(28,7153880,0.00,4.00,0.00,6.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7153899,3.00,7.00,1.00,6.00,9.00,11.63,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7153902,0.00,7.00,1.00,2.00,7.00,5.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7153910,3.00,4.00,2.00,3.00,3.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7153937,2.00,5.00,2.00,4.00,4.00,10.88,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7153945,5.00,7.00,4.00,6.00,6.00,8.63,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7153953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7153961,3.00,6.00,0.00,7.00,10.00,9.00,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7153988,3.00,0.00,3.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7154011,2.00,7.00,2.00,7.00,9.00,8.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7154020,2.00,7.00,2.00,7.00,8.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7154038,1.00,7.00,1.00,4.00,9.00,7.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7154046,7.00,8.00,2.00,6.00,7.00,10.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7154070,6.00,8.00,3.00,5.00,9.00,9.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7154089,3.00,7.00,2.00,7.00,7.00,12.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7154097,0.00,5.00,1.00,4.00,3.00,6.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7154100,4.00,6.00,1.00,6.00,8.00,9.38,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7154119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7154127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7154143,6.00,6.00,3.00,6.00,10.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7154151,4.00,8.00,3.00,7.00,9.00,9.38,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7154160,2.00,6.00,2.00,4.00,4.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7154178,1.00,4.00,2.00,6.00,5.00,10.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7154186,0.00,5.00,3.00,3.00,5.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7154194,1.00,4.00,0.00,5.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'S'),(28,7154208,3.00,5.00,3.00,7.00,5.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7154224,1.00,5.00,1.00,7.00,4.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7154232,4.00,7.00,1.00,7.00,3.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7154267,4.00,6.00,1.00,7.00,5.00,6.75,2.00,6.00,1.00,NULL,NULL,NULL,'S'),(28,7154283,2.00,5.00,5.00,4.00,3.00,4.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7154291,5.00,8.00,4.00,7.00,8.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7154321,1.00,4.00,2.00,6.00,3.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7154330,0.00,4.00,3.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7154356,1.00,4.00,3.00,2.00,3.00,6.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7154372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7154402,5.00,7.00,3.00,7.00,9.00,9.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7154410,8.00,8.00,3.00,6.00,7.00,10.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7154437,2.00,4.00,3.00,4.00,5.00,5.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7154445,0.00,4.00,3.00,4.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7154461,4.00,6.00,1.00,5.00,7.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7154488,4.00,6.00,3.00,5.00,5.00,9.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7154496,0.00,8.00,2.00,3.00,4.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7154500,2.00,7.00,1.00,5.00,8.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7154518,8.00,7.00,2.00,7.00,8.00,9.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7154534,5.00,6.00,4.00,5.00,7.00,7.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7154542,3.00,6.00,2.00,4.00,7.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7154550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7154569,2.00,3.00,3.00,6.00,5.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7154577,2.00,6.00,3.00,5.00,7.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7154607,0.00,2.00,2.00,3.00,5.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7154640,6.00,8.00,3.00,7.00,8.00,7.88,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7154658,4.00,6.00,4.00,6.00,8.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7154666,2.00,6.00,1.00,4.00,7.00,7.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7154674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7154682,2.00,4.00,2.00,6.00,5.00,8.25,3.00,7.00,0.00,NULL,NULL,NULL,'N'),(28,7154690,2.00,4.00,2.00,3.00,2.00,NULL,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7154704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7154739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7154771,2.00,5.00,1.00,5.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7154780,8.00,7.00,6.00,7.00,8.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7154798,1.00,3.00,0.00,4.00,3.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7154810,2.00,4.00,2.00,1.00,7.00,NULL,4.00,6.00,1.00,NULL,NULL,'S','N'),(28,7154836,1.00,6.00,2.00,5.00,6.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7154844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7154852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7154879,0.00,3.00,3.00,3.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7154887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7154895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7154925,2.00,5.00,2.00,5.00,5.00,8.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7154933,0.00,5.00,3.00,4.00,7.00,5.63,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7154941,5.00,6.00,3.00,6.00,8.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7154950,1.00,4.00,2.00,5.00,2.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7154976,2.00,5.00,2.00,6.00,5.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7154984,4.00,0.00,2.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7154992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7155000,0.00,6.00,1.00,6.00,5.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7155026,1.00,5.00,1.00,6.00,2.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7155034,2.00,7.00,3.00,4.00,5.00,4.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7155042,4.00,6.00,2.00,5.00,7.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7155050,2.00,8.00,3.00,5.00,4.00,11.63,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7155085,1.00,4.00,1.00,2.00,3.00,9.75,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7155115,5.00,9.00,5.00,7.00,6.00,4.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7155123,5.00,7.00,4.00,7.00,9.00,NULL,5.00,8.00,7.00,NULL,NULL,'S','N'),(28,7155131,1.00,7.00,2.00,4.00,5.00,9.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7155166,0.00,4.00,1.00,5.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7155174,0.00,4.00,2.00,5.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7155182,3.00,4.00,3.00,6.00,3.00,5.63,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7155190,2.00,6.00,4.00,5.00,8.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7155204,1.00,2.00,1.00,3.00,5.00,6.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7155212,2.00,5.00,3.00,4.00,4.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7155239,5.00,8.00,4.00,7.00,9.00,10.13,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7155247,4.00,7.00,2.00,7.00,7.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7155255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7155263,3.00,4.00,2.00,7.00,6.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7155280,3.00,4.00,0.00,5.00,3.00,5.63,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7155298,3.00,2.00,2.00,2.00,3.00,3.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7155301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7155310,1.00,4.00,0.00,3.00,7.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7155328,5.00,3.00,3.00,5.00,9.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7155344,0.00,5.00,2.00,7.00,7.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7155352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7155387,5.00,6.00,3.00,6.00,7.00,5.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7155395,2.00,6.00,1.00,7.00,4.00,10.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7155409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7155425,2.00,8.00,1.00,5.00,8.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7155441,3.00,7.00,2.00,5.00,6.00,9.00,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7155450,0.00,3.00,0.00,5.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7155468,5.00,7.00,4.00,6.00,10.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7155506,4.00,9.00,3.00,6.00,10.00,10.13,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7155522,2.00,6.00,2.00,3.00,3.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7155530,5.00,8.00,1.00,7.00,9.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7155549,1.00,6.00,4.00,6.00,6.00,4.50,5.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7155557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7155565,5.00,7.00,2.00,6.00,7.00,10.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7155581,2.00,7.00,4.00,7.00,8.00,6.75,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7155590,2.00,6.00,1.00,7.00,7.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7155603,0.00,5.00,2.00,2.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7155611,4.00,7.00,3.00,7.00,5.00,7.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7155620,0.00,5.00,1.00,5.00,5.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7155646,7.00,7.00,5.00,7.00,7.00,9.38,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7155654,0.00,6.00,1.00,3.00,3.00,11.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7155689,0.00,2.00,3.00,1.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7155697,2.00,4.00,5.00,6.00,7.00,7.13,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7155719,5.00,8.00,4.00,7.00,8.00,10.13,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7155727,6.00,8.00,2.00,7.00,10.00,6.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7155743,4.00,5.00,4.00,6.00,0.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7155751,3.00,7.00,4.00,5.00,5.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7155760,1.00,8.00,2.00,6.00,6.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7155778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7155786,1.00,6.00,2.00,5.00,6.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7155794,1.00,6.00,2.00,4.00,3.00,6.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7155808,0.00,4.00,2.00,3.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7155816,0.00,4.00,1.00,5.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7155824,0.00,3.00,0.00,3.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7155832,1.00,6.00,1.00,4.00,5.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7155840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7155867,4.00,8.00,3.00,7.00,9.00,12.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7155875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7155883,1.00,2.00,2.00,2.00,3.00,5.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7155891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7155905,1.00,0.00,1.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7155921,3.00,8.00,2.00,5.00,6.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7155930,1.00,6.00,4.00,7.00,5.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7155948,4.00,7.00,4.00,7.00,8.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7155956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7155972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7155980,3.00,4.00,0.00,5.00,3.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7155999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7156006,3.00,5.00,4.00,7.00,7.00,5.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7156014,0.00,3.00,1.00,5.00,6.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7156022,6.00,8.00,5.00,7.00,8.00,11.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7156030,7.00,7.00,3.00,7.00,9.00,7.88,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7156049,3.00,7.00,3.00,4.00,8.00,7.13,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7156065,0.00,4.00,2.00,2.00,4.00,6.75,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7156081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7156090,0.00,4.00,3.00,1.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7156154,1.00,6.00,2.00,7.00,7.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7156170,1.00,6.00,2.00,4.00,6.00,7.13,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7156189,2.00,6.00,1.00,6.00,7.00,5.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7156197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7156200,3.00,4.00,2.00,5.00,5.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7156227,4.00,5.00,2.00,6.00,7.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7156235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7156243,5.00,7.00,0.00,8.00,6.00,6.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7156251,1.00,2.00,2.00,1.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7156260,2.00,7.00,2.00,5.00,6.00,7.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7156294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7156308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7156316,6.00,8.00,4.00,8.00,11.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7156324,2.00,6.00,1.00,5.00,7.00,7.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7156332,0.00,5.00,3.00,4.00,7.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7156359,0.00,6.00,3.00,5.00,5.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7156367,2.00,3.00,4.00,3.00,7.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7156391,5.00,7.00,2.00,7.00,8.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7156405,3.00,3.00,1.00,5.00,7.00,11.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7156421,1.00,2.00,0.00,3.00,3.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7156430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7156448,5.00,6.00,3.00,6.00,8.00,7.13,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7156464,4.00,6.00,0.00,7.00,8.00,10.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7156472,3.00,8.00,2.00,6.00,9.00,8.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7156480,3.00,8.00,3.00,7.00,9.00,8.25,2.00,9.00,8.00,NULL,NULL,NULL,'N'),(28,7156502,1.00,6.00,3.00,6.00,5.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7156510,0.00,5.00,2.00,3.00,6.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7156529,0.00,4.00,3.00,5.00,5.00,4.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7156537,4.00,9.00,4.00,5.00,8.00,11.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7156545,6.00,9.00,6.00,7.00,8.00,9.75,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(28,7156561,5.00,9.00,1.00,7.00,7.00,10.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7156588,0.00,4.00,1.00,4.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7156596,0.00,2.00,1.00,5.00,3.00,3.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7156600,5.00,8.00,2.00,5.00,8.00,9.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7156618,1.00,4.00,3.00,5.00,6.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7156626,2.00,7.00,2.00,6.00,5.00,5.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7156650,4.00,9.00,2.00,4.00,8.00,7.13,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7156669,2.00,6.00,2.00,7.00,5.00,NULL,3.00,4.00,4.00,NULL,NULL,'S','N'),(28,7156677,5.00,7.00,0.00,6.00,7.00,9.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7156693,1.00,4.00,1.00,5.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7156707,6.00,9.00,4.00,7.00,10.00,10.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7156723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7156731,2.00,5.00,1.00,6.00,7.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7156740,6.00,6.00,6.00,7.00,6.00,11.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7156758,4.00,7.00,4.00,5.00,9.00,10.88,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7156766,3.00,6.00,3.00,4.00,8.00,11.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7156774,4.00,6.00,3.00,4.00,7.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7156782,0.00,2.00,1.00,2.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7156790,8.00,7.00,4.00,7.00,8.00,12.38,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7156804,2.00,8.00,2.00,7.00,9.00,10.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7156812,6.00,8.00,3.00,6.00,9.00,12.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7156820,7.00,8.00,2.00,7.00,8.00,8.63,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7156839,2.00,4.00,3.00,3.00,6.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7156855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7156871,5.00,8.00,1.00,2.00,6.00,10.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7156880,2.00,6.00,3.00,7.00,6.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7156898,2.00,5.00,4.00,6.00,8.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7156910,4.00,7.00,3.00,7.00,6.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7156928,4.00,7.00,4.00,6.00,7.00,9.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7156944,1.00,6.00,2.00,7.00,7.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7156952,0.00,2.00,3.00,2.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7156960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7156979,4.00,7.00,2.00,6.00,8.00,7.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7156987,4.00,4.00,1.00,5.00,4.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7156995,5.00,8.00,5.00,7.00,10.00,10.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7157002,2.00,6.00,2.00,7.00,7.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7157010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7157029,0.00,5.00,2.00,5.00,8.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7157037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7157045,0.00,5.00,1.00,2.00,4.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7157061,1.00,5.00,4.00,3.00,3.00,5.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7157070,6.00,8.00,4.00,7.00,8.00,9.38,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7157088,1.00,4.00,1.00,5.00,3.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7157096,5.00,7.00,2.00,6.00,5.00,9.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7157118,6.00,0.00,3.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7157142,1.00,4.00,0.00,3.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7157169,0.00,2.00,1.00,3.00,6.00,5.63,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7157177,4.00,6.00,1.00,7.00,8.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7157207,5.00,6.00,3.00,5.00,7.00,7.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7157215,4.00,8.00,2.00,4.00,8.00,10.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7157223,1.00,6.00,2.00,5.00,4.00,9.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7157231,4.00,7.00,3.00,4.00,8.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7157240,2.00,3.00,2.00,4.00,3.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7157258,2.00,5.00,3.00,2.00,5.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7157266,0.00,4.00,1.00,6.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7157290,5.00,6.00,1.00,5.00,6.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7157312,2.00,3.00,1.00,5.00,5.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7157320,4.00,7.00,4.00,7.00,7.00,6.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7157339,2.00,3.00,1.00,7.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7157347,5.00,7.00,2.00,5.00,5.00,9.38,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7157355,3.00,8.00,3.00,7.00,8.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7157363,4.00,7.00,3.00,7.00,9.00,9.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7157398,4.00,7.00,0.00,6.00,9.00,6.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7157401,1.00,6.00,1.00,7.00,3.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7157428,1.00,4.00,0.00,5.00,3.00,9.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7157436,4.00,6.00,2.00,6.00,7.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7157444,3.00,6.00,2.00,4.00,4.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7157487,3.00,7.00,2.00,7.00,5.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7157517,3.00,4.00,0.00,4.00,8.00,8.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7157525,2.00,5.00,3.00,3.00,6.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7157541,1.00,3.00,2.00,6.00,4.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7157550,4.00,7.00,1.00,6.00,7.00,9.75,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7157568,1.00,4.00,2.00,3.00,5.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7157584,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7157606,2.00,6.00,2.00,3.00,6.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7157622,0.00,6.00,2.00,4.00,5.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7157630,5.00,6.00,2.00,6.00,5.00,7.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7157649,1.00,4.00,0.00,6.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7157657,2.00,5.00,2.00,5.00,4.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7157690,7.00,7.00,4.00,7.00,9.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7157703,4.00,5.00,2.00,4.00,3.00,7.13,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7157746,2.00,7.00,1.00,5.00,4.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7157762,3.00,7.00,1.00,7.00,8.00,10.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7157789,7.00,8.00,4.00,7.00,9.00,10.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7157800,1.00,3.00,2.00,3.00,6.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7157819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7157827,5.00,7.00,2.00,4.00,7.00,10.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7157835,4.00,8.00,4.00,7.00,8.00,9.38,3.00,8.00,7.00,NULL,NULL,NULL,'S'),(28,7157843,4.00,8.00,3.00,6.00,8.00,11.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7157860,4.00,6.00,2.00,5.00,9.00,9.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7157878,4.00,4.00,1.00,5.00,5.00,5.63,4.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7157894,2.00,6.00,2.00,6.00,5.00,10.13,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7157908,1.00,7.00,2.00,7.00,7.00,11.63,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7157916,5.00,8.00,2.00,7.00,10.00,8.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7157932,2.00,4.00,3.00,6.00,8.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7157940,3.00,5.00,3.00,7.00,8.00,7.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7157967,7.00,8.00,0.00,5.00,7.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7157975,0.00,4.00,3.00,3.00,5.00,NULL,2.00,6.00,2.00,NULL,NULL,'S','S'),(28,7158009,8.00,8.00,4.00,5.00,8.00,12.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7158017,1.00,5.00,3.00,6.00,4.00,6.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7158033,4.00,7.00,3.00,6.00,7.00,8.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7158041,3.00,5.00,1.00,7.00,6.00,9.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7158050,1.00,3.00,2.00,2.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7158076,2.00,7.00,1.00,6.00,7.00,9.00,1.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7158084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7158106,0.00,5.00,3.00,3.00,7.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7158114,4.00,8.00,4.00,7.00,9.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7158122,5.00,7.00,6.00,7.00,6.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7158130,6.00,6.00,5.00,7.00,8.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7158149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7158157,4.00,8.00,2.00,6.00,7.00,8.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7158165,0.00,4.00,2.00,2.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7158181,3.00,6.00,2.00,7.00,6.00,8.63,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7158190,2.00,4.00,2.00,4.00,6.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7158203,2.00,7.00,2.00,5.00,8.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7158238,1.00,6.00,4.00,6.00,5.00,10.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7158262,4.00,6.00,1.00,8.00,9.00,10.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7158270,0.00,3.00,2.00,4.00,4.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7158289,5.00,7.00,3.00,3.00,4.00,10.88,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7158297,5.00,7.00,4.00,6.00,4.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7158300,5.00,8.00,1.00,7.00,9.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7158327,4.00,5.00,2.00,5.00,3.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7158335,1.00,2.00,0.00,5.00,3.00,5.63,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7158351,1.00,7.00,1.00,3.00,6.00,8.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7158360,5.00,6.00,3.00,7.00,5.00,9.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7158378,2.00,3.00,2.00,5.00,4.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7158394,0.00,5.00,4.00,3.00,4.00,5.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7158432,0.00,4.00,3.00,5.00,5.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7158440,5.00,9.00,4.00,7.00,5.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7158459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7158483,3.00,6.00,2.00,6.00,7.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7158505,5.00,9.00,1.00,6.00,8.00,NULL,2.00,9.00,2.00,NULL,NULL,'S','N'),(28,7158530,6.00,7.00,1.00,7.00,7.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7158548,5.00,8.00,6.00,8.00,11.00,10.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7158556,0.00,6.00,1.00,4.00,3.00,8.63,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7158564,2.00,7.00,3.00,6.00,7.00,10.13,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7158580,0.00,3.00,3.00,5.00,7.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7158629,1.00,3.00,2.00,3.00,4.00,8.63,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7158653,4.00,8.00,3.00,7.00,8.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7158670,4.00,5.00,1.00,7.00,9.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7158696,4.00,5.00,2.00,5.00,6.00,6.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7158700,0.00,5.00,1.00,5.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,'S','N'),(28,7158718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7158726,2.00,3.00,1.00,6.00,5.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7158734,0.00,4.00,3.00,3.00,6.00,7.13,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7158742,5.00,6.00,3.00,4.00,7.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7158769,4.00,7.00,5.00,7.00,6.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7158777,1.00,7.00,2.00,3.00,7.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7158793,3.00,6.00,4.00,4.00,8.00,10.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7158807,0.00,1.00,2.00,1.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7158823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7158831,7.00,6.00,1.00,2.00,4.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7158858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7158874,0.00,6.00,2.00,6.00,4.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7158882,1.00,5.00,2.00,5.00,6.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7158904,2.00,6.00,4.00,6.00,8.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7158912,0.00,4.00,2.00,5.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7158920,2.00,3.00,1.00,1.00,5.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7158939,1.00,6.00,2.00,6.00,4.00,4.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7158947,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7158955,0.00,4.00,3.00,2.00,5.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7158963,4.00,7.00,2.00,7.00,7.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7158980,0.00,4.00,2.00,5.00,4.00,5.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7158998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7159005,0.00,6.00,2.00,6.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7159013,2.00,7.00,3.00,4.00,6.00,11.63,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7159021,5.00,7.00,2.00,5.00,5.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7159030,5.00,7.00,1.00,6.00,7.00,6.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7159048,6.00,7.00,2.00,5.00,7.00,7.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7159056,2.00,4.00,1.00,5.00,3.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7159064,2.00,4.00,1.00,7.00,6.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7159072,3.00,4.00,1.00,4.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7159099,1.00,6.00,2.00,3.00,4.00,7.13,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7159102,0.00,3.00,1.00,5.00,3.00,6.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7159110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7159129,3.00,8.00,2.00,4.00,7.00,6.38,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7159137,1.00,6.00,1.00,6.00,6.00,7.88,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7159145,7.00,7.00,7.00,5.00,4.00,12.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7159161,0.00,4.00,1.00,6.00,3.00,5.25,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7159170,4.00,6.00,1.00,6.00,7.00,6.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7159196,4.00,6.00,0.00,3.00,4.00,7.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7159218,2.00,5.00,1.00,3.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7159234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7159242,1.00,5.00,2.00,6.00,5.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7159277,2.00,5.00,3.00,7.00,6.00,8.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7159285,2.00,6.00,3.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7159293,3.00,6.00,2.00,4.00,6.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7159307,1.00,6.00,1.00,5.00,5.00,5.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7159323,0.00,4.00,2.00,4.00,3.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7159340,0.00,6.00,2.00,6.00,10.00,8.63,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7159358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7159366,4.00,5.00,1.00,5.00,7.00,9.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7159374,0.00,3.00,2.00,3.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7159382,2.00,4.00,3.00,3.00,3.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7159390,0.00,3.00,2.00,0.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7159404,1.00,5.00,2.00,7.00,6.00,11.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7159412,5.00,7.00,3.00,5.00,6.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7159420,8.00,8.00,2.00,6.00,8.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7159439,2.00,7.00,4.00,5.00,7.00,9.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7159455,2.00,4.00,1.00,1.00,3.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7159480,2.00,6.00,2.00,4.00,3.00,12.38,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7159498,3.00,8.00,2.00,7.00,9.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7159501,3.00,7.00,2.00,5.00,5.00,7.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7159510,2.00,6.00,2.00,6.00,7.00,7.88,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7159536,1.00,6.00,1.00,2.00,5.00,10.13,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7159544,1.00,6.00,1.00,5.00,4.00,11.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7159552,3.00,7.00,4.00,6.00,7.00,9.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7159560,4.00,9.00,2.00,5.00,7.00,9.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7159579,0.00,7.00,2.00,6.00,5.00,NULL,4.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7159587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7159595,4.00,6.00,2.00,7.00,8.00,5.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7159609,1.00,7.00,3.00,6.00,2.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7159617,5.00,8.00,3.00,5.00,8.00,9.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7159633,2.00,5.00,2.00,3.00,4.00,6.38,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7159641,2.00,7.00,2.00,7.00,8.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7159650,5.00,5.00,1.00,5.00,6.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7159668,7.00,5.00,3.00,6.00,7.00,9.38,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7159676,3.00,5.00,3.00,6.00,4.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7159684,4.00,7.00,1.00,7.00,8.00,9.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7159692,5.00,6.00,3.00,6.00,8.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7159730,6.00,7.00,2.00,6.00,8.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7159749,6.00,6.00,1.00,5.00,8.00,6.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7159757,2.00,3.00,3.00,6.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7159773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7159781,5.00,8.00,3.00,7.00,11.00,8.63,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7159790,5.00,8.00,5.00,7.00,10.00,9.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7159803,1.00,4.00,2.00,3.00,3.00,6.75,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7159811,1.00,5.00,0.00,1.00,3.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7159838,0.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7159846,5.00,8.00,2.00,7.00,9.00,11.63,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7159870,2.00,3.00,4.00,1.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7159889,1.00,3.00,1.00,3.00,5.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7159897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7159900,2.00,8.00,3.00,7.00,7.00,9.75,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7159919,4.00,8.00,3.00,7.00,8.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7159927,3.00,7.00,4.00,6.00,4.00,9.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7159935,3.00,4.00,4.00,5.00,6.00,9.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7159943,0.00,4.00,2.00,2.00,3.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7159951,1.00,6.00,1.00,7.00,8.00,9.75,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7159960,0.00,5.00,3.00,5.00,5.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7159986,6.00,7.00,2.00,5.00,8.00,6.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7159994,1.00,4.00,0.00,2.00,1.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7160003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7160011,5.00,7.00,2.00,5.00,9.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7160020,1.00,4.00,1.00,6.00,3.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7160038,3.00,5.00,1.00,7.00,3.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7160046,3.00,8.00,1.00,5.00,8.00,9.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7160054,4.00,7.00,2.00,3.00,5.00,6.00,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7160062,4.00,5.00,0.00,1.00,4.00,6.75,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7160070,0.00,6.00,2.00,6.00,3.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7160089,2.00,6.00,2.00,6.00,2.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7160097,7.00,8.00,3.00,6.00,5.00,6.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7160119,2.00,8.00,2.00,2.00,7.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7160127,3.00,5.00,2.00,4.00,3.00,4.88,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7160135,2.00,6.00,2.00,6.00,6.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7160143,3.00,5.00,2.00,7.00,6.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7160151,5.00,8.00,1.00,5.00,7.00,9.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7160160,2.00,6.00,1.00,2.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7160194,4.00,5.00,3.00,4.00,5.00,8.25,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7160208,5.00,7.00,3.00,6.00,7.00,6.38,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7160224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7160232,0.00,3.00,4.00,2.00,4.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7160240,5.00,9.00,1.00,6.00,10.00,10.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7160259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7160275,3.00,7.00,2.00,7.00,7.00,9.00,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7160283,5.00,7.00,3.00,6.00,8.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7160291,6.00,7.00,3.00,7.00,8.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7160305,0.00,2.00,2.00,2.00,4.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7160313,5.00,8.00,4.00,6.00,9.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7160321,5.00,6.00,4.00,5.00,7.00,9.38,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7160330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7160348,2.00,6.00,2.00,6.00,6.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7160356,0.00,1.00,3.00,2.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7160364,0.00,1.00,1.00,2.00,5.00,3.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7160372,2.00,5.00,2.00,7.00,7.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7160380,6.00,7.00,1.00,6.00,6.00,8.25,2.00,7.00,6.00,NULL,NULL,NULL,'S'),(28,7160410,2.00,7.00,1.00,7.00,10.00,9.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7160437,5.00,7.00,2.00,6.00,9.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7160445,7.00,7.00,2.00,6.00,7.00,9.00,6.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7160461,1.00,0.00,3.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7160470,2.00,5.00,1.00,5.00,6.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7160488,3.00,4.00,2.00,3.00,3.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7160496,1.00,5.00,2.00,5.00,3.00,5.25,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7160518,6.00,8.00,4.00,7.00,9.00,9.75,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7160526,4.00,6.00,1.00,5.00,6.00,10.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7160542,0.00,6.00,3.00,5.00,3.00,NULL,2.00,6.00,1.00,NULL,NULL,'S','S'),(28,7160550,4.00,6.00,3.00,6.00,6.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7160569,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7160577,0.00,5.00,1.00,4.00,6.00,9.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7160593,1.00,4.00,1.00,6.00,7.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7160607,3.00,5.00,0.00,7.00,5.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7160615,3.00,7.00,1.00,6.00,7.00,4.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7160623,6.00,9.00,2.00,7.00,10.00,9.38,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(28,7160640,3.00,7.00,2.00,7.00,8.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7160666,3.00,3.00,1.00,4.00,4.00,11.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7160674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7160690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7160704,4.00,6.00,1.00,6.00,3.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7160712,2.00,8.00,2.00,5.00,7.00,9.38,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7160720,1.00,4.00,2.00,4.00,4.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7160747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7160763,0.00,5.00,2.00,4.00,6.00,8.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7160771,2.00,4.00,2.00,6.00,7.00,7.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7160780,2.00,4.00,2.00,2.00,3.00,6.38,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7160798,5.00,7.00,5.00,7.00,9.00,10.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7160801,3.00,6.00,5.00,6.00,4.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7160810,0.00,1.00,1.00,7.00,4.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7160828,6.00,8.00,1.00,6.00,8.00,7.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7160836,2.00,1.00,2.00,5.00,3.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7160852,2.00,5.00,2.00,6.00,8.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7160860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7160879,6.00,7.00,1.00,5.00,8.00,8.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7160887,0.00,6.00,2.00,5.00,7.00,9.00,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7160909,2.00,8.00,2.00,7.00,5.00,11.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7160917,6.00,8.00,1.00,7.00,7.00,6.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7160925,3.00,5.00,2.00,4.00,7.00,8.63,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7160933,0.00,4.00,3.00,1.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7160950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7160976,6.00,8.00,6.00,7.00,10.00,10.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7160984,3.00,8.00,2.00,7.00,6.00,7.50,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7160992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7161018,1.00,5.00,1.00,3.00,7.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7161026,2.00,7.00,3.00,5.00,6.00,6.38,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7161042,6.00,7.00,1.00,7.00,9.00,9.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7161069,0.00,5.00,1.00,5.00,4.00,9.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7161077,2.00,6.00,1.00,4.00,3.00,5.63,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7161085,3.00,7.00,3.00,7.00,8.00,7.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7161107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7161115,1.00,3.00,1.00,1.00,4.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7161123,4.00,7.00,4.00,3.00,8.00,9.75,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7161140,3.00,6.00,3.00,4.00,3.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7161158,1.00,4.00,0.00,6.00,5.00,10.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7161166,5.00,6.00,4.00,5.00,9.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7161174,2.00,8.00,3.00,5.00,9.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7161182,1.00,3.00,2.00,7.00,4.00,5.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7161190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7161204,0.00,3.00,2.00,5.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7161212,3.00,6.00,2.00,3.00,6.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7161220,1.00,2.00,0.00,3.00,4.00,3.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7161247,2.00,6.00,1.00,1.00,5.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7161255,6.00,8.00,5.00,6.00,9.00,10.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7161263,3.00,8.00,2.00,4.00,7.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7161271,7.00,7.00,4.00,6.00,8.00,9.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7161298,5.00,7.00,3.00,5.00,10.00,10.13,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7161301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7161310,7.00,8.00,6.00,7.00,8.00,7.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7161328,3.00,5.00,2.00,4.00,5.00,9.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7161336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7161344,5.00,8.00,2.00,7.00,8.00,9.38,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7161352,2.00,6.00,2.00,7.00,8.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7161360,1.00,6.00,2.00,5.00,7.00,10.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7161379,3.00,5.00,2.00,7.00,7.00,9.38,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7161387,5.00,7.00,1.00,5.00,7.00,10.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7161395,7.00,8.00,4.00,8.00,7.00,9.38,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7161409,2.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7161417,2.00,6.00,3.00,7.00,6.00,9.75,4.00,6.00,1.00,NULL,NULL,NULL,'S'),(28,7161425,4.00,8.00,2.00,7.00,8.00,10.13,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7161433,2.00,4.00,2.00,3.00,4.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7161468,1.00,5.00,2.00,3.00,4.00,7.13,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7161476,2.00,6.00,3.00,6.00,8.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7161484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7161522,2.00,7.00,0.00,5.00,7.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7161530,3.00,6.00,1.00,3.00,7.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7161549,4.00,6.00,3.00,7.00,6.00,5.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7161557,4.00,0.00,2.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7161565,4.00,6.00,2.00,5.00,9.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7161573,1.00,5.00,1.00,4.00,5.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7161581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7161611,5.00,9.00,4.00,7.00,8.00,9.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7161646,0.00,7.00,1.00,5.00,7.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7161654,1.00,4.00,2.00,5.00,5.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7161662,1.00,3.00,3.00,5.00,5.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7161670,1.00,6.00,3.00,5.00,5.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7161689,3.00,5.00,1.00,6.00,8.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7161697,2.00,8.00,1.00,6.00,7.00,11.63,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7161700,1.00,7.00,2.00,4.00,6.00,8.63,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7161719,6.00,6.00,3.00,8.00,9.00,7.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7161727,6.00,6.00,1.00,7.00,9.00,12.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7161735,2.00,3.00,4.00,3.00,4.00,6.38,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7161743,7.00,8.00,4.00,7.00,9.00,11.63,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7161751,5.00,7.00,6.00,6.00,8.00,10.13,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7161760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7161778,4.00,7.00,2.00,6.00,9.00,7.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7161786,4.00,6.00,3.00,6.00,8.00,10.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7161794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7161808,7.00,8.00,4.00,4.00,8.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7161824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7161832,4.00,5.00,1.00,6.00,7.00,9.00,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7161840,3.00,2.00,2.00,1.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7161859,4.00,7.00,4.00,5.00,6.00,8.63,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(28,7161875,6.00,5.00,3.00,5.00,7.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7161883,1.00,3.00,2.00,2.00,4.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7161891,4.00,8.00,2.00,6.00,8.00,8.63,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7161913,4.00,6.00,3.00,7.00,7.00,8.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7161921,2.00,5.00,3.00,2.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7161930,4.00,6.00,1.00,5.00,9.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7161948,0.00,4.00,2.00,4.00,6.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7161956,2.00,3.00,1.00,5.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7161964,1.00,6.00,4.00,5.00,5.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7161999,1.00,3.00,1.00,4.00,4.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7162014,7.00,7.00,4.00,6.00,8.00,10.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7162022,4.00,7.00,2.00,5.00,4.00,4.50,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7162030,6.00,7.00,3.00,5.00,6.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7162049,3.00,6.00,2.00,6.00,7.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7162057,0.00,3.00,1.00,3.00,6.00,6.38,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7162065,0.00,5.00,2.00,3.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7162073,3.00,9.00,2.00,5.00,6.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7162081,2.00,7.00,2.00,7.00,6.00,4.88,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7162103,4.00,5.00,0.00,4.00,5.00,7.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7162120,1.00,0.00,3.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7162146,2.00,7.00,2.00,5.00,7.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7162154,4.00,8.00,3.00,6.00,7.00,11.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7162170,1.00,5.00,5.00,4.00,6.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7162189,5.00,8.00,2.00,6.00,8.00,8.63,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7162197,3.00,6.00,3.00,4.00,3.00,5.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7162243,4.00,5.00,4.00,6.00,5.00,7.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7162251,4.00,4.00,2.00,3.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7162260,1.00,5.00,3.00,6.00,7.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7162278,2.00,5.00,5.00,5.00,3.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7162286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7162308,3.00,9.00,5.00,7.00,6.00,9.38,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7162332,2.00,7.00,2.00,2.00,4.00,11.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7162340,4.00,7.00,4.00,5.00,7.00,10.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7162359,1.00,3.00,4.00,4.00,5.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7162375,2.00,5.00,3.00,7.00,6.00,7.13,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7162383,4.00,8.00,4.00,7.00,9.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7162391,2.00,5.00,2.00,3.00,8.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7162405,0.00,2.00,2.00,4.00,5.00,5.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7162413,3.00,6.00,1.00,2.00,4.00,8.63,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7162448,2.00,4.00,2.00,6.00,6.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7162456,2.00,6.00,1.00,6.00,4.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7162464,0.00,3.00,3.00,3.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7162472,1.00,6.00,1.00,5.00,5.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7162480,7.00,8.00,5.00,7.00,10.00,9.75,7.00,8.00,9.00,NULL,NULL,NULL,'N'),(28,7162499,5.00,7.00,3.00,7.00,9.00,9.38,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7162510,4.00,7.00,4.00,6.00,7.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7162529,1.00,4.00,0.00,6.00,5.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7162537,3.00,6.00,5.00,5.00,4.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7162545,3.00,9.00,3.00,7.00,6.00,8.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7162553,3.00,5.00,3.00,6.00,5.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7162570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7162588,0.00,2.00,2.00,6.00,3.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7162618,3.00,7.00,3.00,6.00,4.00,9.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7162626,2.00,7.00,2.00,4.00,3.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7162634,1.00,9.00,1.00,5.00,7.00,9.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7162642,4.00,7.00,2.00,6.00,5.00,8.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7162650,3.00,6.00,1.00,3.00,6.00,4.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7162669,6.00,6.00,2.00,7.00,8.00,10.50,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7162685,7.00,7.00,5.00,7.00,9.00,10.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7162693,4.00,4.00,1.00,4.00,4.00,10.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7162707,3.00,7.00,2.00,6.00,7.00,11.63,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7162715,0.00,4.00,0.00,4.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7162731,0.00,3.00,2.00,3.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7162740,2.00,3.00,3.00,2.00,6.00,7.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7162758,5.00,4.00,3.00,6.00,5.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7162766,3.00,5.00,2.00,7.00,6.00,NULL,4.00,4.00,3.00,NULL,NULL,'S','N'),(28,7162774,2.00,6.00,2.00,5.00,4.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7162782,3.00,6.00,2.00,3.00,8.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7162790,4.00,6.00,3.00,5.00,4.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7162804,2.00,5.00,1.00,3.00,5.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7162812,0.00,6.00,2.00,5.00,4.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7162820,4.00,6.00,1.00,7.00,9.00,6.38,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7162839,0.00,4.00,2.00,3.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7162847,1.00,6.00,2.00,2.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7162855,1.00,6.00,1.00,4.00,6.00,8.25,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7162863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7162871,2.00,4.00,1.00,2.00,5.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7162880,4.00,8.00,1.00,5.00,9.00,8.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7162898,5.00,6.00,1.00,6.00,6.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7162901,4.00,8.00,4.00,5.00,7.00,7.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7162910,2.00,6.00,3.00,5.00,2.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7162928,4.00,7.00,0.00,6.00,7.00,8.63,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7162936,5.00,7.00,2.00,5.00,9.00,7.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7162944,4.00,8.00,1.00,7.00,5.00,10.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7162952,4.00,5.00,1.00,7.00,5.00,4.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7162960,1.00,5.00,2.00,7.00,4.00,9.38,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7162979,5.00,7.00,6.00,6.00,7.00,11.25,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7162987,6.00,8.00,7.00,7.00,11.00,11.63,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7163002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7163010,5.00,7.00,4.00,6.00,8.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7163029,5.00,8.00,4.00,7.00,10.00,13.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7163037,1.00,5.00,3.00,6.00,5.00,7.50,3.00,7.00,2.00,NULL,NULL,NULL,'S'),(28,7163045,4.00,7.00,1.00,6.00,7.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7163053,5.00,7.00,4.00,7.00,10.00,11.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7163061,2.00,5.00,0.00,7.00,4.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7163070,2.00,5.00,2.00,7.00,3.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7163088,7.00,8.00,5.00,7.00,6.00,9.38,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7163096,1.00,6.00,2.00,6.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7163100,1.00,5.00,1.00,2.00,1.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7163118,4.00,8.00,2.00,6.00,9.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7163126,4.00,7.00,3.00,5.00,8.00,6.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7163134,6.00,6.00,1.00,6.00,5.00,4.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7163142,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7163150,2.00,7.00,3.00,5.00,8.00,8.63,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7163169,0.00,2.00,1.00,3.00,4.00,5.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7163177,3.00,6.00,1.00,4.00,6.00,9.75,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7163185,2.00,7.00,3.00,6.00,2.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7163193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7163215,6.00,8.00,3.00,6.00,6.00,10.13,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7163223,0.00,2.00,2.00,1.00,4.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7163231,6.00,8.00,0.00,6.00,6.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7163240,4.00,6.00,3.00,3.00,6.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7163258,3.00,6.00,3.00,6.00,7.00,10.13,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7163274,4.00,7.00,3.00,5.00,8.00,10.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7163290,0.00,5.00,2.00,6.00,6.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7163312,6.00,7.00,2.00,7.00,6.00,9.38,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7163320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7163339,6.00,6.00,4.00,7.00,9.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7163347,7.00,8.00,4.00,6.00,9.00,9.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7163355,0.00,5.00,2.00,4.00,5.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7163363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7163371,0.00,6.00,1.00,6.00,7.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7163380,3.00,5.00,5.00,0.00,4.00,6.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7163398,7.00,8.00,4.00,8.00,9.00,8.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7163401,6.00,7.00,4.00,6.00,8.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7163410,2.00,6.00,1.00,4.00,5.00,9.00,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7163428,1.00,5.00,3.00,6.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7163436,1.00,5.00,1.00,3.00,5.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7163444,2.00,6.00,2.00,6.00,10.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7163452,4.00,8.00,6.00,7.00,6.00,8.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7163479,4.00,4.00,4.00,4.00,10.00,11.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7163487,2.00,8.00,1.00,6.00,3.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7163495,4.00,6.00,4.00,6.00,6.00,8.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7163509,3.00,8.00,2.00,6.00,3.00,7.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7163517,1.00,6.00,0.00,5.00,8.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7163525,3.00,0.00,2.00,5.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7163533,3.00,5.00,2.00,4.00,2.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7163541,1.00,3.00,3.00,3.00,4.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7163550,4.00,5.00,3.00,1.00,5.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7163568,2.00,6.00,2.00,7.00,5.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7163576,3.00,8.00,3.00,5.00,7.00,12.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7163592,2.00,6.00,0.00,5.00,6.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7163606,2.00,6.00,1.00,7.00,8.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7163630,4.00,7.00,2.00,3.00,7.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7163665,0.00,6.00,1.00,6.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7163673,7.00,7.00,4.00,5.00,7.00,7.13,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7163690,1.00,7.00,3.00,7.00,7.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7163703,4.00,8.00,2.00,7.00,8.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7163711,4.00,5.00,1.00,4.00,7.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7163720,1.00,0.00,3.00,8.00,7.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(28,7163738,3.00,7.00,2.00,5.00,2.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7163746,8.00,7.00,3.00,6.00,9.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7163754,3.00,6.00,4.00,6.00,9.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7163789,4.00,8.00,1.00,5.00,7.00,7.88,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7163797,1.00,4.00,2.00,6.00,3.00,0.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7163800,4.00,8.00,3.00,5.00,5.00,9.00,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7163819,2.00,5.00,1.00,6.00,5.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7163827,0.00,4.00,2.00,5.00,4.00,6.75,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7163835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7163851,0.00,4.00,0.00,5.00,7.00,10.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7163860,5.00,7.00,4.00,5.00,8.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7163878,2.00,7.00,4.00,5.00,7.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7163886,1.00,8.00,2.00,4.00,7.00,8.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7163894,0.00,6.00,3.00,4.00,3.00,6.75,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7163908,5.00,7.00,5.00,5.00,9.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7163916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7163924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7163932,5.00,7.00,3.00,7.00,6.00,8.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7163940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7163959,2.00,7.00,3.00,5.00,7.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7163967,0.00,3.00,1.00,1.00,6.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7163975,3.00,7.00,3.00,7.00,10.00,10.13,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7163983,5.00,6.00,3.00,2.00,7.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7163991,2.00,6.00,2.00,5.00,7.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7164009,6.00,7.00,4.00,5.00,8.00,5.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7164017,2.00,5.00,3.00,6.00,9.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7164025,2.00,7.00,2.00,5.00,6.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7164033,4.00,6.00,3.00,7.00,7.00,9.38,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7164041,4.00,7.00,1.00,7.00,5.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7164050,5.00,7.00,2.00,6.00,10.00,12.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7164076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7164084,6.00,8.00,1.00,7.00,9.00,9.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7164106,2.00,6.00,0.00,5.00,8.00,10.88,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7164122,2.00,8.00,1.00,5.00,3.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7164130,5.00,5.00,3.00,7.00,7.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7164149,2.00,6.00,0.00,5.00,9.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7164165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7164173,2.00,7.00,3.00,3.00,4.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7164181,6.00,6.00,3.00,5.00,10.00,6.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7164203,4.00,6.00,3.00,5.00,6.00,8.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7164211,3.00,7.00,3.00,6.00,5.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7164220,1.00,5.00,3.00,1.00,3.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7164238,4.00,6.00,2.00,3.00,6.00,8.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7164246,3.00,2.00,1.00,4.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7164262,4.00,9.00,2.00,6.00,7.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7164270,4.00,5.00,2.00,2.00,9.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7164319,2.00,4.00,2.00,3.00,3.00,9.75,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7164327,4.00,8.00,5.00,7.00,10.00,8.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7164335,9.00,7.00,6.00,7.00,11.00,7.88,6.00,8.00,9.00,NULL,NULL,NULL,'N'),(28,7164343,2.00,3.00,1.00,5.00,5.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7164351,1.00,9.00,3.00,4.00,6.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7164360,4.00,8.00,5.00,6.00,7.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7164394,4.00,4.00,2.00,4.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,'S','N'),(28,7164408,2.00,6.00,1.00,5.00,3.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7164416,3.00,6.00,2.00,6.00,7.00,9.75,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7164424,1.00,7.00,2.00,2.00,4.00,8.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7164432,0.00,7.00,3.00,5.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7164440,1.00,7.00,2.00,2.00,7.00,5.63,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7164459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7164467,8.00,8.00,5.00,7.00,8.00,10.13,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7164483,1.00,2.00,1.00,4.00,4.00,4.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7164491,0.00,4.00,1.00,3.00,1.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7164505,2.00,8.00,4.00,5.00,6.00,6.75,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7164513,4.00,7.00,3.00,7.00,5.00,5.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7164530,6.00,7.00,3.00,6.00,8.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7164548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7164572,3.00,8.00,1.00,7.00,9.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7164599,3.00,5.00,2.00,6.00,7.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7164602,3.00,6.00,0.00,3.00,5.00,6.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7164610,3.00,6.00,3.00,6.00,8.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7164637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7164645,3.00,5.00,3.00,6.00,7.00,9.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7164653,4.00,7.00,1.00,6.00,6.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7164661,2.00,5.00,3.00,4.00,6.00,6.38,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7164670,1.00,4.00,2.00,4.00,5.00,NULL,3.00,4.00,1.00,NULL,NULL,'S','N'),(28,7164688,5.00,8.00,4.00,6.00,10.00,8.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7164696,2.00,7.00,0.00,6.00,9.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7164700,3.00,9.00,2.00,6.00,10.00,11.63,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7164718,5.00,6.00,1.00,5.00,9.00,9.75,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7164726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7164734,3.00,5.00,2.00,6.00,5.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7164742,5.00,4.00,2.00,7.00,9.00,12.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7164750,0.00,4.00,4.00,1.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7164769,6.00,7.00,4.00,6.00,9.00,9.38,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7164785,2.00,7.00,2.00,5.00,7.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7164793,5.00,4.00,3.00,7.00,7.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7164807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7164815,1.00,5.00,2.00,6.00,3.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7164823,0.00,2.00,2.00,4.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7164831,1.00,5.00,4.00,6.00,7.00,6.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7164840,2.00,5.00,3.00,4.00,3.00,0.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7164866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7164874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7164890,0.00,4.00,3.00,4.00,6.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7164904,5.00,6.00,4.00,7.00,6.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7164912,3.00,4.00,2.00,1.00,4.00,4.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7164939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7164963,2.00,6.00,1.00,6.00,6.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7164971,1.00,2.00,1.00,2.00,5.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7164980,2.00,7.00,2.00,7.00,7.00,7.50,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7164998,1.00,6.00,0.00,5.00,5.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7165005,6.00,6.00,3.00,6.00,8.00,6.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7165021,0.00,0.00,0.00,1.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7165030,2.00,8.00,2.00,5.00,7.00,7.88,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7165048,3.00,6.00,2.00,7.00,6.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7165056,1.00,4.00,2.00,3.00,4.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7165064,0.00,2.00,1.00,5.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7165072,2.00,6.00,2.00,2.00,4.00,6.38,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7165080,1.00,8.00,3.00,2.00,5.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7165102,2.00,4.00,0.00,3.00,5.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7165110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7165129,7.00,8.00,5.00,6.00,9.00,10.13,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7165145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7165153,5.00,8.00,5.00,7.00,9.00,7.88,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7165161,4.00,7.00,2.00,6.00,6.00,8.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7165170,0.00,5.00,0.00,3.00,6.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7165188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7165196,3.00,4.00,3.00,6.00,6.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7165200,4.00,6.00,1.00,6.00,3.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7165234,5.00,8.00,3.00,6.00,7.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7165242,5.00,8.00,1.00,5.00,6.00,8.63,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7165250,2.00,6.00,3.00,4.00,5.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7165269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7165285,1.00,7.00,1.00,7.00,8.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7165293,2.00,6.00,3.00,4.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7165307,4.00,6.00,1.00,5.00,6.00,7.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7165315,6.00,7.00,4.00,6.00,9.00,7.50,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7165323,0.00,4.00,4.00,2.00,3.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7165340,4.00,3.00,3.00,6.00,7.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7165358,2.00,8.00,3.00,5.00,6.00,5.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7165366,2.00,6.00,0.00,6.00,5.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7165374,6.00,8.00,5.00,7.00,11.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7165382,7.00,8.00,6.00,6.00,9.00,9.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7165404,0.00,4.00,3.00,2.00,5.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7165420,1.00,5.00,1.00,7.00,5.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7165439,1.00,7.00,2.00,6.00,6.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7165455,6.00,8.00,2.00,7.00,8.00,7.13,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7165471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7165480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7165498,2.00,5.00,1.00,7.00,6.00,8.63,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7165501,3.00,5.00,3.00,3.00,7.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7165510,3.00,6.00,3.00,4.00,4.00,9.00,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7165528,1.00,5.00,1.00,4.00,4.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7165544,6.00,8.00,3.00,5.00,7.00,8.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7165560,1.00,6.00,2.00,5.00,7.00,8.63,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7165579,7.00,7.00,2.00,7.00,5.00,4.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7165595,0.00,5.00,1.00,5.00,6.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7165609,2.00,4.00,3.00,4.00,5.00,3.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7165617,8.00,7.00,6.00,7.00,9.00,11.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7165625,5.00,6.00,1.00,8.00,6.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7165633,1.00,7.00,2.00,7.00,6.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7165641,1.00,2.00,1.00,6.00,3.00,4.50,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(28,7165668,1.00,5.00,0.00,5.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7165676,2.00,6.00,3.00,5.00,9.00,7.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7165684,4.00,6.00,3.00,6.00,4.00,7.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7165706,4.00,5.00,3.00,5.00,4.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7165714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7165722,0.00,6.00,2.00,6.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7165730,0.00,3.00,0.00,3.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7165749,3.00,7.00,4.00,7.00,8.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7165757,2.00,7.00,0.00,6.00,8.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7165765,2.00,8.00,2.00,4.00,6.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7165773,2.00,7.00,0.00,7.00,5.00,9.38,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7165781,2.00,4.00,3.00,6.00,7.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7165790,5.00,8.00,4.00,5.00,9.00,11.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7165803,3.00,7.00,1.00,6.00,8.00,5.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7165811,4.00,7.00,1.00,5.00,7.00,11.25,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7165820,0.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7165838,4.00,5.00,4.00,6.00,8.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7165846,4.00,7.00,1.00,3.00,7.00,9.00,2.00,7.00,0.00,NULL,NULL,NULL,'N'),(28,7165854,1.00,6.00,2.00,6.00,4.00,5.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7165862,6.00,7.00,4.00,6.00,7.00,7.50,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7165870,3.00,4.00,2.00,4.00,5.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7165889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7165900,5.00,8.00,5.00,8.00,9.00,12.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7165919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7165927,1.00,5.00,4.00,6.00,5.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7165943,7.00,8.00,5.00,7.00,8.00,9.75,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7165951,1.00,4.00,1.00,4.00,6.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7165960,4.00,7.00,3.00,6.00,9.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7165978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7165986,0.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7165994,3.00,3.00,4.00,2.00,3.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7166001,4.00,7.00,2.00,6.00,6.00,8.63,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7166010,0.00,6.00,3.00,5.00,5.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7166028,4.00,6.00,1.00,6.00,8.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7166036,2.00,8.00,5.00,6.00,8.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7166044,3.00,5.00,4.00,5.00,4.00,5.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7166052,3.00,4.00,3.00,3.00,3.00,6.38,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7166079,4.00,7.00,2.00,6.00,8.00,7.13,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7166087,2.00,5.00,2.00,5.00,3.00,8.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7166095,3.00,4.00,1.00,5.00,3.00,4.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7166109,3.00,6.00,1.00,5.00,6.00,8.63,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7166117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7166150,3.00,6.00,3.00,7.00,8.00,10.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7166168,0.00,5.00,2.00,5.00,4.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7166184,4.00,6.00,2.00,5.00,8.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7166192,2.00,5.00,3.00,6.00,5.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7166206,0.00,4.00,4.00,2.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7166214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7166222,0.00,4.00,2.00,5.00,3.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7166249,1.00,3.00,2.00,1.00,3.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7166257,4.00,6.00,4.00,5.00,6.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7166265,7.00,6.00,2.00,4.00,4.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7166273,2.00,7.00,3.00,3.00,7.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7166281,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7166290,3.00,5.00,5.00,6.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7166303,5.00,6.00,3.00,6.00,3.00,8.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7166311,0.00,5.00,2.00,6.00,5.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7166354,6.00,8.00,2.00,6.00,6.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7166370,7.00,7.00,3.00,6.00,6.00,8.63,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7166389,4.00,7.00,2.00,4.00,5.00,6.38,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7166397,5.00,8.00,6.00,6.00,8.00,9.38,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7166400,2.00,3.00,2.00,4.00,4.00,5.25,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7166427,5.00,8.00,1.00,6.00,8.00,7.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7166435,1.00,5.00,2.00,4.00,4.00,8.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7166443,7.00,6.00,1.00,5.00,6.00,10.13,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7166451,3.00,6.00,5.00,6.00,6.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7166460,6.00,6.00,1.00,5.00,8.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7166478,1.00,5.00,2.00,7.00,6.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7166486,3.00,7.00,2.00,6.00,5.00,6.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7166494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7166508,3.00,6.00,0.00,5.00,5.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7166516,2.00,8.00,3.00,4.00,5.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7166524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7166532,1.00,3.00,0.00,7.00,6.00,6.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7166540,0.00,2.00,1.00,4.00,4.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7166559,0.00,6.00,0.00,3.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7166575,0.00,3.00,4.00,5.00,4.00,3.00,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7166583,1.00,7.00,0.00,6.00,7.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7166591,1.00,6.00,4.00,7.00,7.00,10.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7166605,0.00,3.00,4.00,3.00,7.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7166613,6.00,7.00,3.00,7.00,10.00,8.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7166621,1.00,8.00,1.00,7.00,5.00,11.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7166648,4.00,8.00,2.00,5.00,10.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7166656,0.00,3.00,1.00,4.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7166664,1.00,3.00,0.00,1.00,0.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7166672,2.00,5.00,5.00,6.00,6.00,7.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7166680,6.00,8.00,3.00,7.00,8.00,7.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7166699,2.00,4.00,3.00,1.00,3.00,7.13,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(28,7166702,2.00,4.00,1.00,6.00,4.00,6.38,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7166710,8.00,6.00,6.00,6.00,8.00,9.38,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7166729,3.00,6.00,2.00,7.00,8.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7166737,6.00,7.00,3.00,7.00,9.00,8.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7166745,4.00,7.00,5.00,6.00,7.00,7.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7166753,3.00,8.00,2.00,7.00,6.00,7.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7166761,0.00,5.00,1.00,1.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7166770,8.00,8.00,1.00,6.00,9.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7166796,2.00,3.00,4.00,8.00,8.00,10.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7166800,2.00,3.00,3.00,5.00,4.00,5.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7166818,1.00,2.00,2.00,6.00,5.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7166834,1.00,5.00,3.00,5.00,4.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7166842,2.00,2.00,0.00,5.00,4.00,8.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7166850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7166869,4.00,6.00,2.00,5.00,8.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7166877,5.00,7.00,3.00,6.00,6.00,7.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7166885,2.00,7.00,3.00,6.00,7.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7166893,0.00,4.00,2.00,3.00,4.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7166907,6.00,5.00,4.00,6.00,8.00,11.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7166923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7166931,3.00,3.00,1.00,3.00,3.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7166940,2.00,7.00,1.00,7.00,7.00,8.25,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7166958,8.00,6.00,3.00,8.00,8.00,10.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7166966,2.00,3.00,2.00,6.00,4.00,7.88,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7166974,3.00,7.00,1.00,6.00,6.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7166982,3.00,4.00,2.00,2.00,3.00,8.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7166990,4.00,6.00,0.00,5.00,7.00,NULL,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7167016,2.00,4.00,1.00,5.00,5.00,6.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7167024,5.00,8.00,5.00,7.00,5.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7167032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7167040,0.00,3.00,1.00,4.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7167059,3.00,5.00,0.00,6.00,7.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7167075,1.00,7.00,5.00,4.00,6.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7167083,1.00,7.00,2.00,6.00,7.00,4.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7167091,5.00,8.00,4.00,6.00,8.00,10.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7167105,4.00,7.00,4.00,6.00,7.00,6.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7167113,2.00,7.00,4.00,7.00,7.00,7.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7167121,2.00,6.00,2.00,6.00,7.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7167130,1.00,7.00,1.00,5.00,4.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7167148,5.00,5.00,5.00,6.00,8.00,9.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7167156,7.00,8.00,5.00,7.00,10.00,11.25,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7167164,2.00,4.00,2.00,4.00,5.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7167172,3.00,6.00,2.00,5.00,8.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7167180,4.00,5.00,2.00,4.00,5.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7167199,3.00,8.00,4.00,6.00,7.00,7.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7167210,5.00,8.00,3.00,5.00,6.00,6.00,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7167229,1.00,3.00,3.00,3.00,6.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7167237,8.00,8.00,4.00,7.00,9.00,7.50,3.00,9.00,7.00,NULL,NULL,NULL,'N'),(28,7167245,3.00,6.00,3.00,6.00,8.00,10.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7167253,6.00,8.00,3.00,7.00,10.00,12.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7167261,1.00,5.00,3.00,5.00,7.00,8.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7167300,2.00,7.00,2.00,6.00,6.00,11.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7167318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7167326,3.00,7.00,0.00,6.00,4.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7167342,6.00,7.00,9.00,7.00,10.00,13.13,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7167350,0.00,5.00,1.00,4.00,4.00,7.13,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7167369,2.00,6.00,5.00,7.00,9.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7167377,3.00,6.00,3.00,6.00,5.00,5.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7167385,4.00,6.00,2.00,2.00,7.00,6.75,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7167393,0.00,4.00,2.00,6.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7167407,0.00,3.00,2.00,6.00,6.00,5.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7167415,3.00,5.00,4.00,3.00,6.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7167423,2.00,7.00,1.00,6.00,7.00,10.13,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7167431,3.00,5.00,3.00,6.00,7.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7167440,3.00,4.00,0.00,5.00,5.00,7.50,5.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7167458,3.00,5.00,1.00,7.00,4.00,7.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7167466,5.00,5.00,3.00,5.00,4.00,6.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7167474,2.00,4.00,1.00,3.00,6.00,5.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7167482,2.00,6.00,2.00,6.00,8.00,8.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7167490,5.00,7.00,5.00,6.00,5.00,9.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7167504,4.00,7.00,3.00,3.00,8.00,11.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7167520,4.00,6.00,5.00,6.00,8.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7167539,1.00,6.00,2.00,6.00,6.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7167547,2.00,6.00,3.00,5.00,5.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7167555,6.00,8.00,0.00,7.00,8.00,12.00,3.00,9.00,6.00,NULL,NULL,NULL,'N'),(28,7167571,5.00,8.00,1.00,5.00,9.00,9.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7167580,6.00,8.00,3.00,6.00,8.00,10.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7167598,6.00,7.00,4.00,7.00,9.00,11.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7167601,5.00,7.00,3.00,6.00,5.00,7.13,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7167610,6.00,9.00,4.00,6.00,9.00,7.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7167628,6.00,6.00,2.00,7.00,10.00,8.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7167636,6.00,8.00,7.00,7.00,11.00,10.88,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7167644,2.00,5.00,4.00,6.00,7.00,11.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7167652,2.00,6.00,1.00,5.00,7.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7167660,2.00,5.00,2.00,6.00,5.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7167679,5.00,6.00,2.00,7.00,9.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7167687,6.00,7.00,1.00,5.00,10.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7167695,2.00,6.00,2.00,4.00,5.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7167709,6.00,6.00,4.00,7.00,5.00,7.88,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7167725,5.00,5.00,2.00,4.00,5.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7167741,6.00,9.00,2.00,7.00,7.00,7.88,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7167750,1.00,5.00,1.00,4.00,3.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7167768,1.00,8.00,1.00,7.00,9.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7167776,7.00,8.00,1.00,6.00,9.00,7.88,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7167792,2.00,5.00,2.00,4.00,6.00,10.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7167822,2.00,6.00,0.00,5.00,8.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7167830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7167849,5.00,6.00,4.00,6.00,7.00,10.13,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7167857,2.00,6.00,1.00,4.00,4.00,10.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7167865,4.00,6.00,2.00,5.00,4.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7167873,4.00,7.00,4.00,6.00,9.00,8.63,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7167881,4.00,6.00,4.00,4.00,7.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7167890,4.00,7.00,4.00,7.00,8.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7167903,3.00,5.00,1.00,7.00,7.00,9.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7167911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7167920,5.00,8.00,3.00,4.00,8.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7167938,1.00,5.00,1.00,5.00,5.00,7.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7167946,3.00,2.00,2.00,2.00,3.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7167954,5.00,9.00,4.00,5.00,10.00,7.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7167989,4.00,7.00,2.00,6.00,9.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7167997,4.00,5.00,4.00,7.00,7.00,11.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7168004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7168020,1.00,4.00,2.00,3.00,6.00,8.63,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7168039,0.00,2.00,1.00,5.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7168063,0.00,4.00,2.00,3.00,3.00,6.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7168071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7168080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7168098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7168110,2.00,3.00,4.00,4.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7168128,4.00,8.00,4.00,3.00,8.00,12.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7168152,1.00,4.00,1.00,2.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7168160,5.00,9.00,5.00,7.00,11.00,11.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7168187,1.00,3.00,1.00,6.00,4.00,4.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7168195,5.00,8.00,8.00,7.00,8.00,8.63,9.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7168209,1.00,7.00,1.00,7.00,5.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7168217,7.00,8.00,4.00,7.00,6.00,6.00,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7168233,4.00,7.00,5.00,8.00,9.00,9.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7168268,6.00,8.00,7.00,7.00,7.00,9.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7168284,0.00,3.00,0.00,5.00,3.00,8.63,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7168306,0.00,4.00,2.00,5.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7168314,1.00,5.00,3.00,2.00,3.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7168322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7168330,1.00,3.00,3.00,2.00,1.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7168349,2.00,5.00,1.00,4.00,5.00,6.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7168357,5.00,5.00,2.00,5.00,6.00,5.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7168365,4.00,5.00,3.00,7.00,5.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7168373,7.00,6.00,4.00,7.00,10.00,11.63,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7168381,7.00,7.00,4.00,6.00,8.00,9.38,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7168390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7168403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7168411,0.00,4.00,2.00,7.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7168420,4.00,7.00,4.00,5.00,7.00,7.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7168438,3.00,7.00,3.00,6.00,7.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7168446,1.00,5.00,1.00,3.00,3.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7168454,2.00,5.00,4.00,2.00,5.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7168462,1.00,7.00,1.00,7.00,7.00,12.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7168470,3.00,4.00,3.00,5.00,5.00,7.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7168489,5.00,8.00,3.00,6.00,8.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7168497,2.00,4.00,0.00,3.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7168500,3.00,6.00,2.00,7.00,8.00,9.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7168527,1.00,6.00,0.00,0.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7168543,5.00,7.00,3.00,6.00,9.00,7.88,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7168551,2.00,5.00,2.00,7.00,5.00,7.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7168560,1.00,7.00,2.00,4.00,5.00,4.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7168578,4.00,3.00,2.00,6.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7168586,8.00,7.00,3.00,5.00,7.00,10.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7168594,2.00,8.00,1.00,7.00,5.00,12.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7168608,3.00,7.00,3.00,6.00,8.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7168616,4.00,6.00,1.00,4.00,7.00,9.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7168624,5.00,9.00,1.00,6.00,8.00,8.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7168632,0.00,5.00,2.00,5.00,4.00,6.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7168640,4.00,7.00,2.00,5.00,7.00,7.13,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7168659,3.00,7.00,1.00,6.00,7.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7168667,8.00,9.00,7.00,7.00,7.00,6.38,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7168675,0.00,6.00,3.00,7.00,6.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7168683,4.00,6.00,4.00,7.00,7.00,8.63,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7168691,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7168705,7.00,9.00,3.00,5.00,8.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7168713,0.00,3.00,2.00,1.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7168721,1.00,7.00,1.00,6.00,5.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7168730,1.00,6.00,0.00,3.00,3.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7168748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7168756,4.00,6.00,2.00,6.00,7.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7168772,3.00,6.00,3.00,6.00,4.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7168780,1.00,5.00,4.00,3.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7168799,0.00,6.00,2.00,6.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7168802,0.00,3.00,0.00,2.00,2.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7168810,0.00,3.00,4.00,4.00,6.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7168829,0.00,3.00,0.00,0.00,0.00,NULL,1.00,4.00,4.00,'S',NULL,NULL,'S'),(28,7168837,1.00,9.00,3.00,3.00,5.00,6.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7168845,3.00,7.00,3.00,3.00,4.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7168853,2.00,7.00,1.00,4.00,7.00,5.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7168861,4.00,7.00,2.00,6.00,7.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7168870,0.00,5.00,1.00,1.00,3.00,10.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7168888,1.00,7.00,2.00,4.00,5.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7168896,0.00,4.00,1.00,5.00,8.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7168900,5.00,7.00,4.00,6.00,9.00,7.88,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7168918,2.00,6.00,2.00,6.00,7.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7168934,1.00,5.00,1.00,3.00,6.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7168942,1.00,4.00,0.00,1.00,4.00,4.88,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7168950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7168969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7168985,6.00,6.00,1.00,5.00,5.00,11.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7168993,0.00,4.00,2.00,4.00,5.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7169000,6.00,7.00,6.00,7.00,7.00,5.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7169035,2.00,6.00,1.00,6.00,6.00,7.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7169060,7.00,7.00,5.00,5.00,8.00,10.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7169078,2.00,5.00,2.00,3.00,6.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7169094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7169108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7169116,3.00,5.00,1.00,5.00,5.00,8.25,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7169124,4.00,5.00,1.00,6.00,6.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7169159,1.00,5.00,2.00,6.00,3.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7169167,4.00,5.00,2.00,7.00,6.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7169175,1.00,3.00,1.00,3.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7169183,2.00,8.00,2.00,6.00,9.00,7.88,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7169191,4.00,6.00,1.00,4.00,9.00,9.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7169205,2.00,3.00,3.00,7.00,5.00,4.88,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7169213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7169221,1.00,7.00,3.00,3.00,4.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7169230,3.00,3.00,3.00,6.00,4.00,6.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7169248,3.00,7.00,2.00,6.00,6.00,5.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7169264,2.00,5.00,2.00,6.00,5.00,8.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7169272,2.00,4.00,0.00,5.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7169280,3.00,8.00,1.00,5.00,4.00,8.63,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7169299,7.00,6.00,4.00,6.00,7.00,9.38,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7169302,6.00,8.00,4.00,7.00,7.00,8.63,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7169310,3.00,7.00,3.00,6.00,8.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7169329,4.00,4.00,2.00,5.00,6.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7169345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7169353,0.00,4.00,1.00,1.00,4.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7169361,2.00,2.00,1.00,4.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7169396,4.00,6.00,3.00,5.00,4.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7169400,3.00,6.00,3.00,7.00,8.00,6.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7169418,0.00,5.00,0.00,0.00,6.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7169426,2.00,3.00,1.00,7.00,4.00,3.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7169469,6.00,7.00,4.00,7.00,8.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7169485,2.00,6.00,3.00,7.00,4.00,8.63,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7169493,2.00,4.00,5.00,3.00,4.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7169507,0.00,8.00,0.00,0.00,0.00,NULL,4.00,4.00,3.00,'S',NULL,NULL,'S'),(28,7169523,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7169531,6.00,6.00,5.00,5.00,10.00,7.50,2.00,7.00,9.00,NULL,NULL,NULL,'N'),(28,7169540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7169558,3.00,7.00,1.00,6.00,5.00,7.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7169566,4.00,8.00,1.00,6.00,8.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7169574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7169582,4.00,6.00,4.00,4.00,7.00,5.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7169590,4.00,5.00,1.00,5.00,7.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7169612,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7169620,3.00,5.00,2.00,7.00,6.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7169639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7169655,4.00,7.00,3.00,5.00,6.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7169663,1.00,1.00,3.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7169671,5.00,8.00,3.00,6.00,7.00,9.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7169680,6.00,8.00,2.00,6.00,6.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7169698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7169701,1.00,6.00,2.00,4.00,1.00,NULL,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7169710,6.00,6.00,3.00,6.00,5.00,7.88,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7169728,7.00,8.00,3.00,7.00,9.00,11.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7169736,4.00,5.00,1.00,6.00,5.00,5.25,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7169760,4.00,2.00,3.00,1.00,2.00,NULL,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7169779,3.00,5.00,2.00,7.00,8.00,10.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7169787,3.00,5.00,3.00,6.00,8.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7169795,3.00,6.00,1.00,5.00,4.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7169809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7169817,1.00,7.00,5.00,6.00,7.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7169825,2.00,6.00,2.00,3.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7169833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7169841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7169850,8.00,7.00,4.00,7.00,8.00,9.38,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7169868,0.00,5.00,1.00,6.00,5.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7169884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7169892,2.00,6.00,2.00,4.00,7.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7169906,1.00,4.00,2.00,4.00,5.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7169914,6.00,8.00,4.00,7.00,7.00,9.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7169922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7169930,5.00,8.00,1.00,7.00,5.00,7.13,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7169949,3.00,7.00,2.00,4.00,9.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7169965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7169981,0.00,5.00,4.00,5.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7169990,1.00,6.00,2.00,7.00,5.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7170009,2.00,5.00,2.00,3.00,6.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7170017,2.00,7.00,2.00,6.00,8.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7170025,3.00,5.00,0.00,7.00,5.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7170033,6.00,8.00,3.00,7.00,8.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7170041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7170050,5.00,7.00,5.00,5.00,5.00,10.88,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7170068,3.00,6.00,3.00,7.00,7.00,9.38,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7170076,2.00,6.00,1.00,6.00,8.00,8.63,5.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7170084,4.00,6.00,1.00,5.00,6.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7170092,3.00,7.00,3.00,5.00,5.00,10.50,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7170114,1.00,6.00,1.00,7.00,7.00,10.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7170122,6.00,8.00,3.00,6.00,7.00,10.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7170130,2.00,5.00,1.00,6.00,5.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7170157,0.00,5.00,2.00,2.00,4.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7170165,8.00,8.00,4.00,5.00,10.00,12.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7170173,1.00,8.00,1.00,3.00,7.00,10.50,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7170181,0.00,3.00,2.00,7.00,6.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7170190,6.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7170203,4.00,7.00,0.00,5.00,5.00,10.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7170220,1.00,5.00,2.00,7.00,8.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7170246,2.00,4.00,3.00,4.00,5.00,5.25,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7170254,2.00,5.00,3.00,6.00,8.00,8.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7170262,0.00,7.00,2.00,3.00,4.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7170270,3.00,7.00,3.00,7.00,3.00,9.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7170289,2.00,4.00,2.00,5.00,4.00,5.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7170297,3.00,4.00,4.00,5.00,7.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7170319,5.00,8.00,5.00,6.00,8.00,7.88,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7170327,2.00,5.00,2.00,4.00,4.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7170335,0.00,5.00,4.00,6.00,8.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7170343,0.00,6.00,2.00,3.00,5.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7170351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7170360,0.00,5.00,3.00,3.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7170378,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7170386,3.00,6.00,4.00,7.00,7.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7170394,1.00,7.00,1.00,5.00,4.00,6.00,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7170416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7170424,2.00,4.00,3.00,6.00,6.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7170432,5.00,8.00,4.00,7.00,9.00,10.88,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7170440,1.00,7.00,2.00,5.00,4.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7170459,1.00,5.00,2.00,4.00,7.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7170467,6.00,8.00,6.00,7.00,8.00,10.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7170475,5.00,9.00,2.00,7.00,9.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7170483,2.00,8.00,2.00,5.00,9.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7170491,1.00,3.00,0.00,6.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7170505,2.00,3.00,2.00,7.00,4.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7170513,6.00,8.00,1.00,8.00,8.00,10.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7170521,5.00,7.00,2.00,7.00,8.00,7.88,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7170530,0.00,6.00,2.00,5.00,4.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7170548,1.00,6.00,1.00,6.00,7.00,10.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7170564,3.00,6.00,1.00,2.00,5.00,9.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7170572,1.00,4.00,1.00,3.00,8.00,6.75,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7170580,2.00,5.00,2.00,2.00,4.00,8.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7170599,2.00,8.00,2.00,7.00,5.00,7.13,0.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7170602,4.00,8.00,2.00,7.00,7.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7170610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7170629,4.00,7.00,3.00,6.00,8.00,8.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7170637,3.00,8.00,2.00,7.00,6.00,6.38,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7170645,4.00,7.00,5.00,5.00,8.00,13.13,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7170653,3.00,7.00,2.00,5.00,7.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7170661,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7170670,2.00,8.00,2.00,4.00,9.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7170688,1.00,4.00,2.00,5.00,5.00,6.00,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7170696,1.00,5.00,5.00,5.00,3.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7170700,0.00,6.00,2.00,6.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7170718,1.00,6.00,0.00,5.00,5.00,0.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7170726,3.00,3.00,1.00,4.00,3.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7170734,3.00,6.00,5.00,5.00,8.00,10.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7170742,4.00,6.00,3.00,7.00,7.00,9.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7170777,4.00,5.00,3.00,5.00,3.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7170807,1.00,6.00,3.00,3.00,6.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7170815,4.00,7.00,3.00,6.00,8.00,10.13,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7170831,6.00,8.00,4.00,6.00,9.00,10.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7170840,3.00,7.00,0.00,5.00,7.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7170858,1.00,5.00,1.00,5.00,5.00,9.75,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7170866,4.00,6.00,3.00,6.00,7.00,9.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7170874,2.00,0.00,2.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7170882,3.00,6.00,4.00,5.00,6.00,9.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7170890,4.00,8.00,4.00,6.00,7.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7170904,3.00,4.00,1.00,5.00,6.00,8.63,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7170920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7170939,0.00,2.00,1.00,3.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7170955,0.00,7.00,2.00,5.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7170971,7.00,8.00,4.00,7.00,10.00,10.88,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7170980,3.00,7.00,1.00,6.00,5.00,7.13,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7170998,0.00,6.00,2.00,7.00,5.00,0.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7171005,5.00,7.00,3.00,5.00,9.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7171021,5.00,6.00,6.00,6.00,9.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7171030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7171048,0.00,5.00,3.00,3.00,6.00,7.88,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7171056,4.00,9.00,1.00,6.00,8.00,10.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7171064,0.00,1.00,0.00,4.00,3.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7171072,6.00,8.00,4.00,7.00,11.00,8.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7171080,3.00,6.00,2.00,7.00,5.00,9.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7171102,6.00,9.00,3.00,6.00,5.00,8.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7171110,0.00,3.00,3.00,4.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7171129,6.00,7.00,2.00,4.00,10.00,8.63,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7171145,2.00,9.00,5.00,8.00,9.00,10.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7171188,6.00,7.00,4.00,7.00,8.00,9.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7171196,2.00,4.00,3.00,6.00,4.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7171200,1.00,6.00,2.00,7.00,5.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7171218,2.00,6.00,1.00,4.00,7.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7171226,3.00,6.00,4.00,4.00,7.00,6.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7171234,4.00,7.00,2.00,6.00,8.00,11.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7171242,1.00,5.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7171250,1.00,6.00,2.00,2.00,3.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7171269,4.00,6.00,2.00,6.00,7.00,8.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7171277,2.00,4.00,0.00,5.00,5.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7171293,1.00,2.00,2.00,4.00,3.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7171315,4.00,7.00,2.00,6.00,8.00,5.25,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7171323,0.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7171340,2.00,4.00,2.00,6.00,5.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7171358,3.00,4.00,0.00,3.00,7.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7171366,0.00,3.00,2.00,6.00,4.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7171374,3.00,6.00,4.00,4.00,8.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7171382,7.00,8.00,1.00,6.00,9.00,8.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7171404,2.00,7.00,3.00,3.00,9.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7171412,2.00,9.00,5.00,5.00,8.00,10.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7171420,1.00,6.00,1.00,5.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7171447,3.00,3.00,2.00,2.00,5.00,7.88,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7171455,5.00,7.00,3.00,6.00,8.00,9.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7171463,3.00,6.00,3.00,3.00,4.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7171471,4.00,8.00,2.00,7.00,6.00,7.88,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7171480,3.00,5.00,4.00,7.00,8.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7171498,0.00,7.00,3.00,6.00,7.00,NULL,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7171501,4.00,7.00,3.00,4.00,4.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7171528,4.00,9.00,3.00,7.00,5.00,9.38,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7171544,5.00,9.00,2.00,6.00,10.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7171552,6.00,6.00,4.00,7.00,9.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7171560,2.00,7.00,1.00,6.00,7.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7171579,6.00,8.00,4.00,7.00,7.00,12.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7171587,1.00,6.00,3.00,3.00,6.00,7.50,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7171595,7.00,7.00,2.00,6.00,8.00,7.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7171609,1.00,4.00,3.00,6.00,5.00,9.38,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7171617,4.00,8.00,2.00,7.00,7.00,9.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7171625,7.00,7.00,1.00,7.00,8.00,6.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7171641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7171650,3.00,3.00,4.00,4.00,3.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7171668,5.00,7.00,1.00,6.00,8.00,8.63,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7171676,3.00,6.00,3.00,6.00,5.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7171684,6.00,8.00,4.00,6.00,7.00,11.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7171714,1.00,5.00,0.00,6.00,8.00,7.13,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7171722,2.00,6.00,2.00,5.00,4.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7171730,4.00,7.00,3.00,7.00,6.00,6.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7171757,5.00,7.00,3.00,8.00,7.00,12.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7171765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7171773,1.00,5.00,3.00,4.00,3.00,6.00,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7171781,4.00,6.00,2.00,6.00,8.00,8.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7171790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7171803,1.00,5.00,2.00,1.00,3.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7171811,2.00,7.00,2.00,5.00,8.00,6.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7171820,3.00,6.00,2.00,2.00,4.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7171838,3.00,5.00,2.00,7.00,7.00,6.38,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7171854,2.00,7.00,4.00,6.00,7.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7171889,1.00,3.00,1.00,0.00,3.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7171897,2.00,6.00,1.00,6.00,4.00,7.88,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7171900,5.00,6.00,3.00,6.00,6.00,5.63,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7171919,1.00,3.00,1.00,3.00,4.00,3.00,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7171927,0.00,3.00,3.00,5.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,'S','N'),(28,7171935,3.00,8.00,2.00,7.00,10.00,12.38,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7171943,1.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7171951,2.00,7.00,1.00,7.00,9.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7171986,0.00,5.00,1.00,6.00,4.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7171994,3.00,7.00,2.00,2.00,7.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7172010,4.00,6.00,1.00,1.00,6.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7172028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7172036,6.00,8.00,3.00,8.00,9.00,8.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7172044,5.00,6.00,2.00,6.00,9.00,8.63,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7172052,2.00,7.00,2.00,2.00,6.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7172060,0.00,6.00,2.00,6.00,4.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7172079,2.00,3.00,1.00,6.00,3.00,9.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7172087,1.00,5.00,1.00,5.00,6.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7172117,2.00,4.00,0.00,6.00,7.00,10.13,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7172125,0.00,5.00,1.00,3.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7172133,7.00,7.00,3.00,6.00,7.00,7.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7172141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7172176,4.00,8.00,3.00,7.00,10.00,11.63,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7172184,1.00,2.00,1.00,7.00,6.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7172192,1.00,8.00,1.00,6.00,6.00,6.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7172206,0.00,7.00,0.00,0.00,0.00,NULL,2.00,4.00,5.00,'S',NULL,NULL,'S'),(28,7172222,3.00,7.00,3.00,6.00,7.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7172249,2.00,6.00,2.00,4.00,8.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7172257,0.00,3.00,1.00,3.00,5.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7172265,1.00,5.00,2.00,3.00,4.00,6.38,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7172273,0.00,0.00,0.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7172281,2.00,7.00,1.00,8.00,5.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7172290,1.00,4.00,2.00,4.00,7.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7172303,4.00,7.00,2.00,7.00,8.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7172311,3.00,5.00,3.00,4.00,7.00,12.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7172338,2.00,5.00,0.00,4.00,4.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7172354,0.00,3.00,0.00,4.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7172362,3.00,6.00,3.00,4.00,6.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7172370,2.00,7.00,2.00,7.00,5.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7172397,1.00,3.00,3.00,5.00,6.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7172400,3.00,6.00,2.00,4.00,7.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7172427,0.00,4.00,3.00,5.00,4.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7172435,0.00,6.00,0.00,6.00,4.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7172443,0.00,8.00,2.00,5.00,5.00,5.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7172451,5.00,8.00,3.00,6.00,10.00,11.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7172494,0.00,6.00,2.00,7.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7172508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7172516,4.00,7.00,4.00,6.00,7.00,6.75,3.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7172524,1.00,7.00,3.00,2.00,3.00,6.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7172532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7172559,2.00,3.00,3.00,6.00,5.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7172575,7.00,8.00,7.00,5.00,8.00,9.00,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7172583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7172591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7172605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7172613,3.00,6.00,1.00,2.00,8.00,7.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7172630,4.00,9.00,3.00,7.00,10.00,10.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7172648,2.00,3.00,2.00,5.00,6.00,9.38,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7172656,0.00,4.00,3.00,5.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7172664,5.00,7.00,3.00,7.00,9.00,7.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7172672,1.00,6.00,2.00,4.00,5.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7172680,2.00,4.00,3.00,2.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7172699,7.00,7.00,3.00,6.00,8.00,13.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7172702,1.00,4.00,0.00,6.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7172710,3.00,5.00,1.00,7.00,4.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7172729,3.00,7.00,1.00,4.00,6.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7172737,3.00,4.00,2.00,5.00,9.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7172745,1.00,4.00,3.00,2.00,5.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7172753,6.00,7.00,1.00,7.00,7.00,5.63,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7172770,6.00,6.00,4.00,7.00,9.00,9.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7172788,1.00,5.00,0.00,2.00,7.00,9.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7172818,1.00,5.00,4.00,7.00,9.00,11.25,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7172826,2.00,6.00,1.00,2.00,3.00,5.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7172834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7172842,5.00,8.00,4.00,8.00,9.00,11.25,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7172869,4.00,7.00,4.00,6.00,5.00,8.63,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7172885,7.00,6.00,3.00,7.00,7.00,10.13,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7172915,5.00,9.00,2.00,5.00,8.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7172931,0.00,3.00,2.00,1.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7172940,3.00,7.00,1.00,8.00,8.00,8.63,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7172966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7172974,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7172982,2.00,6.00,1.00,4.00,5.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7172990,2.00,4.00,1.00,2.00,3.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7173008,3.00,5.00,3.00,6.00,5.00,5.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7173016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7173024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7173032,5.00,7.00,3.00,7.00,7.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7173040,5.00,7.00,2.00,5.00,7.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7173067,8.00,8.00,4.00,8.00,5.00,10.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7173083,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7173091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7173105,7.00,7.00,4.00,6.00,8.00,9.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7173113,4.00,6.00,2.00,6.00,5.00,7.88,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7173130,1.00,6.00,4.00,7.00,9.00,9.00,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7173148,2.00,0.00,2.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7173156,2.00,4.00,3.00,5.00,6.00,8.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7173164,6.00,8.00,3.00,6.00,7.00,8.63,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7173180,4.00,4.00,0.00,4.00,7.00,9.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7173199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7173202,3.00,5.00,2.00,4.00,1.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7173210,1.00,5.00,3.00,4.00,3.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7173237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7173245,3.00,6.00,2.00,7.00,7.00,6.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7173253,0.00,4.00,4.00,4.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7173261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7173270,2.00,2.00,2.00,6.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7173288,3.00,7.00,3.00,5.00,8.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7173296,3.00,3.00,2.00,3.00,5.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7173300,2.00,5.00,1.00,6.00,7.00,7.88,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7173318,2.00,4.00,2.00,5.00,5.00,6.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7173326,1.00,1.00,1.00,5.00,4.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7173334,6.00,6.00,3.00,7.00,10.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7173342,1.00,5.00,2.00,7.00,7.00,8.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7173350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7173369,0.00,6.00,2.00,7.00,3.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7173377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7173385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7173393,3.00,6.00,0.00,4.00,5.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7173407,6.00,8.00,4.00,8.00,10.00,11.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7173423,1.00,7.00,3.00,3.00,5.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7173431,5.00,7.00,0.00,6.00,9.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7173440,2.00,6.00,2.00,5.00,5.00,6.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7173458,3.00,5.00,0.00,4.00,5.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7173466,2.00,5.00,2.00,6.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7173482,0.00,3.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7173490,5.00,8.00,2.00,6.00,6.00,9.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7173504,6.00,5.00,1.00,5.00,6.00,6.75,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7173512,5.00,8.00,3.00,7.00,10.00,10.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7173520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7173539,0.00,6.00,2.00,4.00,5.00,7.13,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7173547,2.00,5.00,4.00,7.00,7.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7173555,1.00,5.00,1.00,8.00,5.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7173563,2.00,6.00,2.00,5.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,'S','N'),(28,7173580,5.00,7.00,2.00,7.00,8.00,11.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7173598,7.00,7.00,3.00,6.00,7.00,10.88,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7173652,5.00,8.00,3.00,7.00,6.00,10.88,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7173660,7.00,7.00,6.00,6.00,9.00,12.75,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7173679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7173687,3.00,5.00,0.00,6.00,6.00,10.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7173695,1.00,7.00,3.00,7.00,7.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7173709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7173717,0.00,5.00,1.00,5.00,8.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7173725,3.00,7.00,3.00,6.00,8.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7173741,1.00,7.00,1.00,1.00,6.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7173750,5.00,7.00,2.00,7.00,9.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7173768,4.00,6.00,2.00,7.00,8.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7173776,0.00,6.00,3.00,2.00,4.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7173784,4.00,6.00,0.00,3.00,5.00,5.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7173792,6.00,7.00,7.00,7.00,10.00,8.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7173806,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7173814,2.00,6.00,2.00,2.00,4.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7173822,3.00,7.00,4.00,6.00,8.00,7.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7173830,4.00,8.00,0.00,4.00,9.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7173849,5.00,7.00,3.00,7.00,8.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7173881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7173890,3.00,5.00,0.00,4.00,6.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7173911,3.00,6.00,2.00,6.00,6.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7173938,5.00,7.00,4.00,6.00,8.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7173954,1.00,7.00,3.00,6.00,4.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7173962,4.00,7.00,3.00,5.00,8.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7173970,3.00,6.00,3.00,4.00,8.00,8.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7173989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7173997,2.00,7.00,2.00,5.00,5.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7174004,2.00,4.00,2.00,5.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7174012,6.00,7.00,2.00,6.00,6.00,8.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7174039,2.00,2.00,1.00,5.00,5.00,8.63,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7174055,4.00,7.00,4.00,7.00,7.00,7.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7174063,2.00,6.00,1.00,5.00,6.00,3.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7174071,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7174080,3.00,7.00,3.00,7.00,9.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7174098,0.00,0.00,3.00,3.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7174101,0.00,6.00,2.00,3.00,5.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7174110,2.00,8.00,2.00,8.00,8.00,10.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7174136,0.00,2.00,2.00,5.00,6.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7174144,4.00,5.00,0.00,5.00,7.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7174160,0.00,4.00,0.00,4.00,4.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7174179,5.00,6.00,2.00,7.00,6.00,10.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7174187,2.00,2.00,1.00,6.00,4.00,5.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7174195,3.00,7.00,2.00,7.00,7.00,10.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7174209,1.00,5.00,2.00,3.00,4.00,5.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7174225,2.00,5.00,3.00,5.00,5.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7174233,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7174241,5.00,6.00,2.00,7.00,8.00,9.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7174250,1.00,5.00,1.00,2.00,5.00,5.63,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7174276,4.00,5.00,1.00,6.00,6.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7174284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7174292,7.00,7.00,4.00,7.00,9.00,10.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7174306,3.00,4.00,2.00,7.00,7.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7174314,0.00,1.00,3.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7174322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7174349,4.00,7.00,2.00,7.00,9.00,11.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7174365,5.00,7.00,1.00,7.00,10.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7174373,0.00,5.00,3.00,1.00,3.00,7.13,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7174381,1.00,4.00,1.00,2.00,3.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7174390,3.00,6.00,3.00,7.00,10.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7174403,2.00,6.00,4.00,4.00,4.00,8.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7174411,1.00,4.00,4.00,4.00,3.00,5.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7174420,5.00,7.00,3.00,5.00,9.00,9.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7174438,1.00,3.00,4.00,2.00,5.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7174446,2.00,8.00,2.00,5.00,6.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7174454,3.00,4.00,2.00,6.00,7.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7174462,2.00,4.00,1.00,6.00,5.00,5.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7174489,3.00,5.00,3.00,5.00,5.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7174497,0.00,6.00,2.00,3.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7174500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7174535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7174543,1.00,4.00,4.00,5.00,5.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7174551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7174560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7174578,3.00,5.00,4.00,4.00,4.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7174586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7174594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7174608,4.00,8.00,2.00,6.00,8.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7174616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7174624,4.00,8.00,2.00,5.00,9.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7174640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7174659,4.00,6.00,3.00,8.00,8.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7174675,4.00,7.00,2.00,7.00,8.00,11.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7174683,0.00,2.00,0.00,3.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7174691,5.00,7.00,4.00,7.00,10.00,10.13,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7174705,2.00,7.00,4.00,7.00,7.00,10.13,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7174713,3.00,5.00,1.00,5.00,6.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7174721,0.00,3.00,0.00,1.00,2.00,NULL,1.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7174730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7174748,1.00,6.00,3.00,3.00,7.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7174756,1.00,4.00,5.00,4.00,4.00,8.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7174764,6.00,7.00,1.00,5.00,6.00,11.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7174799,3.00,6.00,2.00,7.00,5.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7174802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7174845,4.00,7.00,2.00,5.00,5.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7174853,4.00,5.00,2.00,5.00,6.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7174870,0.00,4.00,1.00,5.00,5.00,8.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7174888,2.00,5.00,4.00,6.00,3.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7174900,2.00,5.00,1.00,6.00,4.00,7.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7174918,0.00,5.00,3.00,3.00,6.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7174934,2.00,5.00,0.00,6.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7174942,0.00,4.00,1.00,6.00,6.00,11.63,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7174985,9.00,8.00,4.00,7.00,6.00,7.13,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7175000,5.00,7.00,1.00,5.00,5.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7175019,1.00,3.00,1.00,4.00,3.00,5.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7175035,4.00,7.00,3.00,7.00,10.00,12.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7175060,4.00,5.00,2.00,6.00,5.00,6.38,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7175078,4.00,8.00,5.00,5.00,8.00,7.88,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7175086,5.00,6.00,2.00,6.00,6.00,10.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7175094,1.00,7.00,2.00,4.00,5.00,7.13,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7175116,2.00,4.00,2.00,5.00,4.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7175132,1.00,2.00,2.00,5.00,4.00,NULL,1.00,4.00,4.00,NULL,NULL,'S','N'),(28,7175140,5.00,8.00,2.00,6.00,5.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7175159,0.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7175167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7175191,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7175205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7175213,2.00,5.00,3.00,2.00,4.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7175230,1.00,7.00,0.00,3.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7175248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7175256,5.00,7.00,1.00,6.00,7.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7175264,4.00,8.00,5.00,6.00,11.00,10.13,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7175272,1.00,8.00,4.00,6.00,5.00,7.88,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7175299,1.00,5.00,0.00,2.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7175302,4.00,5.00,3.00,4.00,6.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7175310,0.00,3.00,1.00,6.00,4.00,4.88,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7175329,1.00,2.00,2.00,4.00,4.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7175345,4.00,7.00,1.00,5.00,4.00,7.88,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7175353,7.00,8.00,2.00,7.00,6.00,9.38,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7175361,7.00,9.00,4.00,6.00,10.00,11.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7175370,0.00,4.00,1.00,5.00,6.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7175388,2.00,4.00,2.00,6.00,5.00,8.63,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7175396,4.00,6.00,2.00,6.00,8.00,9.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7175400,2.00,5.00,2.00,4.00,3.00,8.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7175426,0.00,5.00,2.00,5.00,5.00,8.63,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7175434,2.00,5.00,2.00,3.00,4.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7175442,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7175450,5.00,9.00,4.00,6.00,8.00,9.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7175469,2.00,3.00,2.00,1.00,5.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7175477,1.00,3.00,3.00,6.00,1.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7175485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7175493,6.00,7.00,4.00,5.00,6.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7175507,2.00,4.00,1.00,3.00,3.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7175515,3.00,5.00,2.00,6.00,4.00,5.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7175531,4.00,4.00,1.00,4.00,3.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7175540,0.00,4.00,3.00,4.00,3.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7175558,0.00,6.00,1.00,5.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7175566,4.00,7.00,3.00,5.00,5.00,6.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7175574,3.00,5.00,2.00,7.00,6.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7175582,5.00,5.00,4.00,3.00,6.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7175590,5.00,6.00,3.00,6.00,7.00,11.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7175604,2.00,7.00,1.00,7.00,8.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7175612,4.00,7.00,2.00,7.00,6.00,6.38,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7175620,0.00,2.00,0.00,3.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7175639,2.00,4.00,1.00,6.00,8.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7175647,1.00,6.00,2.00,5.00,6.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7175655,4.00,6.00,2.00,7.00,8.00,10.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7175663,5.00,8.00,2.00,7.00,8.00,9.00,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7175671,0.00,4.00,2.00,3.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7175680,1.00,3.00,2.00,5.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7175710,0.00,5.00,1.00,6.00,5.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7175728,1.00,2.00,1.00,3.00,4.00,5.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7175744,5.00,5.00,3.00,6.00,5.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7175752,1.00,2.00,1.00,0.00,3.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7175760,2.00,2.00,1.00,2.00,3.00,4.88,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7175779,1.00,7.00,3.00,2.00,5.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7175795,1.00,4.00,0.00,2.00,3.00,6.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7175809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7175817,1.00,1.00,2.00,2.00,6.00,4.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7175825,0.00,5.00,1.00,5.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7175833,0.00,6.00,2.00,2.00,7.00,6.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7175841,0.00,4.00,2.00,1.00,4.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7175868,1.00,3.00,2.00,4.00,5.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7175876,2.00,5.00,1.00,2.00,3.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7175892,4.00,7.00,3.00,6.00,9.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7175906,2.00,7.00,2.00,7.00,7.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7175914,2.00,4.00,2.00,5.00,3.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7175922,1.00,3.00,3.00,5.00,5.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7175930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7175949,0.00,4.00,1.00,3.00,4.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7175973,0.00,3.00,2.00,5.00,5.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7175990,3.00,7.00,4.00,8.00,6.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7176007,0.00,2.00,1.00,3.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7176015,0.00,4.00,1.00,3.00,4.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7176023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7176031,2.00,2.00,2.00,2.00,3.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7176040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7176058,0.00,2.00,1.00,2.00,3.00,4.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7176066,0.00,2.00,1.00,5.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7176074,1.00,0.00,1.00,7.00,11.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7176082,3.00,5.00,2.00,6.00,5.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7176090,5.00,8.00,1.00,6.00,10.00,8.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7176112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7176139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7176147,3.00,6.00,1.00,5.00,5.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7176163,2.00,6.00,2.00,7.00,7.00,11.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7176171,0.00,5.00,2.00,4.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7176180,1.00,3.00,3.00,3.00,8.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7176198,3.00,6.00,3.00,5.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7176201,1.00,3.00,2.00,2.00,5.00,7.88,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7176210,0.00,4.00,2.00,4.00,3.00,4.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7176236,4.00,6.00,2.00,6.00,5.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7176260,3.00,4.00,1.00,2.00,6.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7176279,3.00,8.00,3.00,5.00,8.00,10.13,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7176287,2.00,6.00,2.00,5.00,4.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7176295,3.00,5.00,3.00,4.00,5.00,7.50,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7176309,3.00,7.00,5.00,6.00,6.00,11.63,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7176317,7.00,8.00,7.00,6.00,9.00,9.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7176325,2.00,6.00,2.00,6.00,8.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7176333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7176341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7176350,2.00,5.00,2.00,5.00,5.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7176368,3.00,6.00,2.00,6.00,8.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7176384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7176392,1.00,5.00,4.00,7.00,8.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7176414,6.00,7.00,2.00,3.00,4.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7176422,6.00,8.00,6.00,7.00,9.00,10.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7176430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7176449,4.00,8.00,0.00,6.00,6.00,NULL,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7176457,1.00,4.00,2.00,6.00,4.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7176481,1.00,4.00,2.00,5.00,4.00,9.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7176490,2.00,7.00,2.00,7.00,7.00,10.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7176503,2.00,4.00,1.00,5.00,4.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7176511,3.00,7.00,1.00,6.00,7.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7176538,4.00,5.00,0.00,4.00,4.00,4.88,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7176546,1.00,7.00,1.00,4.00,6.00,6.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7176554,0.00,4.00,3.00,3.00,6.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7176562,3.00,6.00,4.00,5.00,6.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7176570,3.00,7.00,2.00,5.00,8.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7176589,1.00,6.00,0.00,4.00,6.00,9.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7176597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7176600,2.00,6.00,3.00,6.00,8.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7176619,4.00,5.00,3.00,5.00,7.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7176627,1.00,5.00,0.00,6.00,5.00,8.63,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7176635,6.00,8.00,4.00,5.00,10.00,7.50,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7176660,3.00,8.00,5.00,7.00,10.00,9.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7176686,4.00,7.00,3.00,6.00,8.00,9.38,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7176708,6.00,7.00,3.00,7.00,8.00,10.88,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7176716,5.00,9.00,5.00,7.00,9.00,12.38,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7176724,1.00,3.00,1.00,7.00,3.00,8.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7176732,0.00,2.00,0.00,0.00,0.00,NULL,0.00,3.00,2.00,NULL,NULL,'S','N'),(28,7176740,2.00,7.00,1.00,6.00,8.00,8.63,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7176759,1.00,6.00,3.00,4.00,5.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7176767,3.00,3.00,1.00,3.00,5.00,6.75,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7176775,2.00,3.00,3.00,4.00,4.00,4.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7176791,5.00,8.00,1.00,5.00,6.00,12.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7176805,2.00,3.00,2.00,4.00,5.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7176813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7176821,2.00,5.00,1.00,3.00,5.00,6.38,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7176848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7176856,3.00,5.00,2.00,7.00,6.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7176872,1.00,8.00,2.00,5.00,8.00,11.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7176880,4.00,7.00,2.00,7.00,7.00,9.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7176899,4.00,5.00,1.00,6.00,6.00,11.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7176902,4.00,6.00,2.00,5.00,5.00,9.75,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7176910,1.00,5.00,0.00,6.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7176929,3.00,4.00,3.00,3.00,5.00,0.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7176937,2.00,4.00,2.00,6.00,7.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7176945,4.00,5.00,5.00,6.00,8.00,7.50,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7176953,6.00,8.00,4.00,5.00,10.00,7.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7176961,4.00,8.00,4.00,6.00,9.00,11.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7176970,3.00,6.00,2.00,4.00,5.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7176988,5.00,8.00,5.00,8.00,10.00,8.25,5.00,9.00,8.00,NULL,NULL,NULL,'N'),(28,7176996,7.00,8.00,5.00,7.00,7.00,6.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7177003,3.00,6.00,3.00,4.00,5.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7177011,4.00,8.00,3.00,6.00,8.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7177020,3.00,6.00,1.00,7.00,7.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7177038,1.00,4.00,2.00,6.00,4.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7177054,6.00,4.00,1.00,3.00,3.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7177062,0.00,4.00,1.00,7.00,7.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7177070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7177097,3.00,5.00,2.00,5.00,10.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7177119,3.00,4.00,1.00,5.00,7.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7177127,2.00,7.00,1.00,4.00,7.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7177135,4.00,6.00,3.00,6.00,6.00,8.63,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7177143,5.00,4.00,3.00,5.00,5.00,6.38,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7177151,6.00,7.00,2.00,5.00,4.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7177160,7.00,6.00,1.00,5.00,8.00,8.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7177186,4.00,0.00,4.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'S'),(28,7177194,4.00,7.00,3.00,7.00,8.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7177216,1.00,7.00,2.00,6.00,5.00,6.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7177232,1.00,5.00,1.00,7.00,8.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7177240,4.00,6.00,3.00,7.00,4.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7177259,7.00,7.00,2.00,7.00,8.00,9.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7177267,1.00,5.00,3.00,3.00,3.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7177283,7.00,9.00,4.00,7.00,7.00,10.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7177291,1.00,5.00,3.00,2.00,5.00,4.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7177305,3.00,3.00,2.00,6.00,6.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7177313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7177330,1.00,2.00,1.00,3.00,3.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7177348,0.00,6.00,2.00,3.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7177364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7177372,3.00,7.00,2.00,6.00,8.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7177399,2.00,8.00,3.00,5.00,6.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7177402,2.00,7.00,1.00,5.00,4.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7177410,0.00,5.00,1.00,3.00,1.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7177429,2.00,6.00,3.00,2.00,4.00,7.88,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7177437,3.00,5.00,1.00,5.00,5.00,11.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7177453,6.00,7.00,1.00,5.00,8.00,12.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7177461,8.00,7.00,1.00,6.00,9.00,9.38,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7177470,5.00,7.00,4.00,5.00,3.00,9.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7177488,4.00,3.00,0.00,6.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7177500,1.00,4.00,2.00,3.00,3.00,6.75,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7177518,6.00,7.00,5.00,4.00,11.00,10.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7177534,2.00,3.00,2.00,4.00,5.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7177542,3.00,5.00,3.00,5.00,6.00,7.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7177550,2.00,5.00,2.00,4.00,4.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7177577,0.00,3.00,3.00,6.00,6.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7177585,0.00,5.00,1.00,3.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7177607,4.00,5.00,3.00,4.00,5.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7177615,1.00,6.00,1.00,6.00,5.00,7.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7177623,0.00,8.00,2.00,7.00,7.00,10.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7177640,5.00,7.00,1.00,8.00,7.00,9.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7177658,3.00,8.00,3.00,4.00,8.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7177674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7177682,6.00,7.00,3.00,6.00,9.00,10.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7177690,1.00,3.00,3.00,7.00,3.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7177704,0.00,5.00,1.00,2.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7177712,0.00,4.00,2.00,3.00,5.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7177720,7.00,8.00,2.00,7.00,8.00,10.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7177739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7177747,2.00,8.00,2.00,7.00,5.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7177755,3.00,3.00,1.00,5.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7177763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7177771,2.00,5.00,2.00,6.00,5.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7177780,0.00,4.00,1.00,6.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7177798,2.00,6.00,2.00,7.00,9.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7177801,1.00,8.00,1.00,5.00,6.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7177810,1.00,5.00,2.00,6.00,5.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7177836,1.00,3.00,1.00,2.00,3.00,6.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7177844,0.00,6.00,1.00,6.00,4.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7177852,6.00,7.00,2.00,4.00,10.00,11.63,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7177860,1.00,7.00,2.00,6.00,8.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7177879,0.00,7.00,2.00,4.00,4.00,6.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7177895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7177909,2.00,7.00,3.00,6.00,8.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7177917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7177925,6.00,8.00,5.00,6.00,10.00,9.75,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7177933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7177941,0.00,2.00,3.00,1.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7177950,2.00,6.00,3.00,4.00,4.00,5.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7177968,2.00,8.00,2.00,7.00,6.00,9.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7177976,3.00,6.00,2.00,6.00,8.00,11.63,0.00,7.00,4.00,NULL,NULL,NULL,'S'),(28,7177984,0.00,4.00,2.00,5.00,6.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7177992,0.00,6.00,3.00,6.00,3.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7178000,3.00,6.00,2.00,6.00,8.00,9.38,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7178018,1.00,2.00,2.00,4.00,5.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7178026,8.00,9.00,3.00,7.00,9.00,11.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7178034,3.00,4.00,1.00,7.00,8.00,11.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7178050,1.00,4.00,1.00,6.00,6.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7178069,5.00,8.00,4.00,7.00,10.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7178077,2.00,5.00,2.00,4.00,6.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7178085,7.00,7.00,4.00,6.00,9.00,6.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7178093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7178107,2.00,8.00,1.00,2.00,6.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7178115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7178123,2.00,6.00,0.00,7.00,4.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7178131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7178140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7178158,2.00,6.00,1.00,3.00,7.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7178166,4.00,7.00,6.00,6.00,7.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7178174,5.00,8.00,1.00,7.00,6.00,9.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7178182,1.00,4.00,0.00,2.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7178190,3.00,5.00,2.00,3.00,5.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7178212,1.00,4.00,1.00,5.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7178220,1.00,4.00,2.00,4.00,6.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7178239,1.00,5.00,1.00,5.00,5.00,8.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7178247,2.00,7.00,2.00,6.00,7.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7178255,2.00,4.00,3.00,3.00,4.00,6.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7178271,3.00,7.00,1.00,7.00,9.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7178298,2.00,3.00,1.00,4.00,6.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7178301,2.00,4.00,1.00,4.00,6.00,10.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7178310,6.00,6.00,1.00,6.00,8.00,11.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7178328,4.00,7.00,2.00,5.00,7.00,9.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7178336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7178344,0.00,4.00,1.00,3.00,3.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7178352,3.00,7.00,3.00,7.00,8.00,9.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7178360,2.00,6.00,2.00,7.00,8.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7178379,1.00,7.00,4.00,7.00,8.00,9.38,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7178387,0.00,4.00,3.00,1.00,3.00,4.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7178395,0.00,3.00,2.00,4.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7178409,4.00,5.00,2.00,4.00,8.00,9.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7178417,4.00,8.00,1.00,6.00,7.00,7.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7178433,4.00,7.00,2.00,6.00,6.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7178441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7178450,2.00,4.00,1.00,4.00,3.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7178468,6.00,6.00,4.00,6.00,6.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7178476,3.00,7.00,0.00,7.00,7.00,4.50,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7178484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7178492,0.00,3.00,1.00,2.00,3.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7178506,0.00,4.00,2.00,4.00,8.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7178514,4.00,8.00,2.00,7.00,9.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7178522,2.00,2.00,3.00,2.00,4.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7178530,1.00,6.00,1.00,4.00,5.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7178549,4.00,6.00,1.00,3.00,6.00,7.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7178557,4.00,5.00,1.00,6.00,7.00,11.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7178565,0.00,3.00,2.00,3.00,3.00,4.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7178573,3.00,7.00,2.00,6.00,10.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7178581,5.00,5.00,1.00,3.00,5.00,6.00,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7178590,0.00,5.00,1.00,6.00,6.00,10.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7178603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7178611,6.00,8.00,2.00,7.00,8.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7178620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7178638,5.00,6.00,1.00,7.00,7.00,11.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7178646,0.00,3.00,0.00,6.00,6.00,7.88,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7178654,1.00,4.00,3.00,4.00,1.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7178662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7178689,2.00,4.00,1.00,6.00,6.00,8.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7178697,4.00,3.00,0.00,4.00,3.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7178700,5.00,6.00,2.00,5.00,8.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7178719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7178727,3.00,8.00,4.00,7.00,8.00,9.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7178743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7178751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7178760,6.00,8.00,3.00,6.00,9.00,6.75,7.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7178778,0.00,4.00,4.00,1.00,5.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7178786,4.00,6.00,3.00,5.00,8.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7178794,3.00,6.00,5.00,4.00,8.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7178808,4.00,9.00,2.00,4.00,6.00,9.00,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7178816,1.00,6.00,3.00,6.00,7.00,8.63,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7178824,4.00,7.00,4.00,3.00,7.00,10.88,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7178832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7178840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7178859,6.00,8.00,4.00,6.00,8.00,9.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7178867,1.00,4.00,2.00,6.00,6.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7178875,1.00,2.00,2.00,5.00,3.00,8.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7178883,1.00,5.00,5.00,4.00,7.00,7.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7178891,3.00,1.00,0.00,4.00,4.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7178913,3.00,6.00,2.00,5.00,6.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7178921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7178930,3.00,6.00,2.00,5.00,7.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7178948,3.00,6.00,3.00,7.00,5.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7178956,3.00,5.00,3.00,3.00,6.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7178964,2.00,5.00,1.00,6.00,6.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7178972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7178980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7179006,1.00,3.00,2.00,4.00,5.00,7.13,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7179014,4.00,6.00,4.00,6.00,5.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7179022,3.00,6.00,2.00,6.00,8.00,10.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7179057,3.00,6.00,2.00,6.00,8.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7179090,3.00,4.00,2.00,6.00,7.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7179103,1.00,3.00,4.00,6.00,4.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7179111,0.00,6.00,3.00,3.00,4.00,NULL,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7179120,0.00,1.00,1.00,4.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7179138,5.00,6.00,0.00,7.00,5.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7179146,1.00,4.00,1.00,6.00,3.00,5.25,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7179154,1.00,8.00,2.00,7.00,4.00,4.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7179162,3.00,2.00,1.00,1.00,3.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7179170,0.00,3.00,1.00,6.00,4.00,4.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7179189,3.00,5.00,1.00,3.00,3.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7179197,8.00,8.00,4.00,7.00,10.00,9.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7179200,0.00,3.00,2.00,4.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7179227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7179235,0.00,2.00,2.00,3.00,4.00,3.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7179243,5.00,8.00,0.00,7.00,11.00,10.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7179251,2.00,5.00,3.00,6.00,5.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7179260,2.00,8.00,2.00,5.00,6.00,7.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7179286,4.00,7.00,3.00,7.00,7.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7179294,6.00,7.00,2.00,3.00,6.00,6.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7179308,5.00,7.00,3.00,8.00,6.00,9.38,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7179324,0.00,5.00,0.00,0.00,0.00,NULL,4.00,6.00,2.00,'S',NULL,NULL,'S'),(28,7179332,4.00,7.00,3.00,6.00,4.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7179340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7179359,1.00,2.00,2.00,6.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7179367,5.00,4.00,2.00,6.00,7.00,10.13,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7179375,2.00,7.00,2.00,5.00,8.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7179383,6.00,4.00,3.00,5.00,8.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7179391,3.00,5.00,1.00,4.00,4.00,4.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7179405,2.00,3.00,0.00,5.00,6.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7179413,1.00,2.00,1.00,2.00,3.00,9.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7179421,2.00,6.00,1.00,4.00,6.00,7.50,2.00,7.00,2.00,NULL,NULL,NULL,'S'),(28,7179430,2.00,4.00,3.00,6.00,4.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7179456,0.00,5.00,0.00,4.00,5.00,10.13,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7179464,1.00,5.00,2.00,7.00,7.00,7.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7179472,4.00,7.00,1.00,7.00,5.00,10.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7179499,0.00,4.00,1.00,3.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7179502,1.00,5.00,1.00,4.00,4.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7179510,1.00,3.00,2.00,6.00,5.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7179529,0.00,3.00,3.00,2.00,6.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7179537,0.00,2.00,1.00,4.00,4.00,7.13,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7179553,1.00,6.00,2.00,7.00,7.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7179570,5.00,8.00,3.00,7.00,8.00,9.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7179588,2.00,6.00,1.00,5.00,4.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7179596,1.00,4.00,2.00,4.00,8.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7179626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7179634,4.00,7.00,3.00,6.00,7.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7179642,5.00,7.00,4.00,4.00,9.00,10.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7179650,3.00,7.00,1.00,7.00,6.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7179677,3.00,7.00,3.00,6.00,7.00,7.88,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7179685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7179693,3.00,4.00,1.00,5.00,9.00,10.13,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7179707,5.00,6.00,4.00,1.00,5.00,7.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7179715,2.00,4.00,2.00,7.00,8.00,10.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7179723,4.00,7.00,2.00,4.00,4.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7179731,4.00,7.00,3.00,3.00,5.00,7.13,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7179740,6.00,8.00,4.00,7.00,7.00,9.38,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7179766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7179774,5.00,8.00,3.00,6.00,7.00,5.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7179782,3.00,5.00,2.00,7.00,6.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7179790,1.00,4.00,2.00,6.00,4.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7179804,2.00,7.00,3.00,5.00,3.00,6.38,6.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7179812,3.00,3.00,5.00,5.00,5.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7179820,4.00,6.00,2.00,7.00,5.00,10.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7179839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7179847,1.00,3.00,3.00,3.00,6.00,7.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7179855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7179871,0.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7179880,3.00,3.00,3.00,6.00,7.00,NULL,2.00,5.00,4.00,NULL,NULL,'S','S'),(28,7179898,3.00,6.00,2.00,4.00,7.00,6.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7179901,7.00,8.00,5.00,7.00,9.00,8.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7179910,1.00,7.00,1.00,6.00,6.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7179928,3.00,4.00,3.00,4.00,5.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7179936,1.00,2.00,3.00,3.00,4.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7179944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7179952,1.00,3.00,0.00,2.00,4.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7179960,5.00,7.00,4.00,6.00,9.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7179979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7179987,0.00,6.00,2.00,7.00,7.00,7.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7179995,1.00,5.00,2.00,6.00,7.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7180004,2.00,7.00,4.00,6.00,6.00,12.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7180039,4.00,5.00,5.00,8.00,9.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7180047,3.00,5.00,3.00,4.00,4.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7180055,2.00,6.00,2.00,4.00,8.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7180080,1.00,2.00,0.00,2.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7180110,8.00,7.00,4.00,8.00,7.00,10.88,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7180128,5.00,7.00,3.00,5.00,10.00,9.38,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7180136,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7180144,5.00,7.00,4.00,7.00,6.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7180152,3.00,2.00,1.00,4.00,5.00,6.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7180179,1.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7180187,4.00,6.00,2.00,7.00,9.00,9.00,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7180209,4.00,8.00,4.00,6.00,8.00,9.38,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7180276,1.00,5.00,3.00,7.00,9.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7180284,3.00,6.00,4.00,3.00,3.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7180292,0.00,8.00,2.00,5.00,6.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7180306,1.00,5.00,1.00,4.00,5.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7180314,2.00,6.00,3.00,5.00,9.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7180322,0.00,4.00,3.00,6.00,7.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7180330,4.00,8.00,2.00,7.00,8.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7180349,5.00,7.00,2.00,6.00,8.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7180357,4.00,7.00,2.00,7.00,8.00,9.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7180373,1.00,8.00,1.00,6.00,7.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7180390,3.00,3.00,2.00,3.00,6.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7180403,5.00,7.00,1.00,8.00,10.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7180420,2.00,3.00,1.00,3.00,3.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7180438,4.00,6.00,2.00,7.00,7.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7180454,7.00,8.00,2.00,7.00,5.00,9.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7180462,0.00,2.00,4.00,1.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7180470,6.00,8.00,4.00,6.00,8.00,6.38,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7180489,3.00,7.00,1.00,6.00,9.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7180497,0.00,4.00,3.00,2.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7180500,4.00,7.00,2.00,7.00,6.00,4.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7180519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7180527,1.00,4.00,1.00,6.00,5.00,8.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7180535,5.00,7.00,2.00,7.00,6.00,5.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7180543,5.00,7.00,2.00,6.00,5.00,9.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7180560,4.00,7.00,3.00,7.00,7.00,9.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7180586,5.00,7.00,2.00,5.00,6.00,11.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7180608,7.00,8.00,5.00,5.00,4.00,7.13,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7180616,7.00,7.00,2.00,6.00,8.00,10.13,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7180624,6.00,9.00,4.00,7.00,6.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7180632,6.00,5.00,4.00,7.00,4.00,6.38,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7180640,0.00,6.00,2.00,7.00,5.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7180659,0.00,3.00,2.00,1.00,6.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7180675,1.00,5.00,2.00,7.00,5.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7180683,5.00,9.00,3.00,2.00,7.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7180691,5.00,7.00,2.00,7.00,9.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7180705,0.00,4.00,3.00,7.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7180713,4.00,5.00,1.00,4.00,5.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7180721,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7180730,3.00,7.00,5.00,6.00,6.00,12.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7180748,2.00,4.00,0.00,3.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7180756,3.00,5.00,3.00,5.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7180764,1.00,6.00,2.00,2.00,5.00,10.88,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7180772,2.00,5.00,1.00,2.00,3.00,5.63,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7180780,3.00,8.00,2.00,5.00,7.00,5.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7180802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7180810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7180829,0.00,3.00,2.00,3.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7180837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7180845,1.00,8.00,2.00,5.00,9.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7180853,0.00,2.00,0.00,3.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7180861,5.00,6.00,3.00,6.00,7.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7180888,5.00,7.00,2.00,6.00,8.00,6.75,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(28,7180900,1.00,3.00,2.00,3.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7180918,2.00,6.00,2.00,5.00,5.00,3.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7180934,1.00,8.00,3.00,7.00,9.00,7.50,3.00,9.00,5.00,NULL,NULL,NULL,'N'),(28,7180942,3.00,7.00,3.00,6.00,8.00,7.13,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7180969,3.00,7.00,3.00,6.00,6.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7180977,2.00,5.00,1.00,6.00,6.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7180985,4.00,7.00,2.00,7.00,7.00,9.38,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7180993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7181019,2.00,5.00,1.00,6.00,4.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7181027,6.00,8.00,2.00,5.00,7.00,11.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7181035,3.00,8.00,4.00,7.00,7.00,10.13,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7181043,3.00,8.00,2.00,7.00,7.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7181060,3.00,7.00,3.00,6.00,4.00,6.00,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7181086,6.00,5.00,4.00,6.00,4.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7181094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7181108,6.00,7.00,2.00,7.00,9.00,9.38,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7181132,2.00,5.00,1.00,6.00,4.00,9.00,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7181167,3.00,5.00,5.00,6.00,5.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7181175,2.00,5.00,1.00,6.00,5.00,7.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7181191,3.00,8.00,2.00,7.00,8.00,10.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7181205,1.00,4.00,1.00,6.00,9.00,9.00,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7181221,1.00,5.00,2.00,5.00,6.00,9.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7181230,0.00,4.00,1.00,4.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7181256,8.00,7.00,1.00,7.00,6.00,8.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7181264,0.00,4.00,4.00,3.00,5.00,7.88,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7181272,4.00,7.00,3.00,5.00,8.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7181280,2.00,4.00,3.00,3.00,6.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7181299,0.00,4.00,1.00,3.00,5.00,7.88,2.00,3.00,0.00,NULL,NULL,NULL,'S'),(28,7181310,8.00,8.00,4.00,7.00,9.00,12.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7181329,5.00,6.00,1.00,6.00,7.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7181345,0.00,3.00,1.00,3.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7181361,3.00,7.00,3.00,6.00,5.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7181370,2.00,6.00,4.00,5.00,6.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7181388,5.00,9.00,0.00,7.00,6.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7181396,0.00,5.00,1.00,5.00,6.00,7.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7181400,2.00,4.00,0.00,4.00,4.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7181418,1.00,5.00,3.00,6.00,8.00,9.38,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7181434,4.00,6.00,0.00,7.00,2.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7181450,0.00,3.00,0.00,3.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7181469,3.00,3.00,1.00,3.00,3.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7181477,5.00,7.00,1.00,7.00,6.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7181493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7181515,1.00,5.00,0.00,6.00,6.00,9.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7181523,5.00,7.00,4.00,7.00,9.00,9.38,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7181540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7181558,0.00,6.00,2.00,6.00,3.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7181574,4.00,7.00,3.00,5.00,8.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7181582,3.00,3.00,0.00,6.00,5.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7181590,2.00,7.00,1.00,6.00,7.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7181612,4.00,7.00,2.00,5.00,7.00,7.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7181620,4.00,8.00,4.00,8.00,9.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7181639,2.00,5.00,3.00,6.00,4.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7181647,1.00,3.00,0.00,5.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7181655,3.00,6.00,3.00,7.00,8.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7181663,4.00,5.00,1.00,4.00,4.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7181671,6.00,9.00,4.00,7.00,11.00,10.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7181680,3.00,4.00,1.00,5.00,8.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7181701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7181728,3.00,6.00,5.00,7.00,8.00,7.88,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7181736,5.00,6.00,3.00,6.00,8.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7181744,1.00,5.00,3.00,6.00,4.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7181752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7181760,2.00,3.00,2.00,6.00,7.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7181779,2.00,6.00,1.00,4.00,3.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7181787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7181795,2.00,7.00,2.00,7.00,4.00,7.13,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7181809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7181817,4.00,7.00,4.00,7.00,8.00,10.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7181825,0.00,1.00,2.00,2.00,3.00,7.13,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7181841,4.00,8.00,2.00,4.00,9.00,13.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7181850,6.00,7.00,2.00,7.00,7.00,10.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7181876,3.00,7.00,2.00,6.00,6.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7181884,1.00,5.00,3.00,3.00,4.00,4.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7181906,4.00,4.00,3.00,3.00,4.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7181914,6.00,8.00,3.00,7.00,7.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7181922,2.00,7.00,4.00,6.00,9.00,10.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7181930,2.00,5.00,4.00,4.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7181965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7181990,2.00,5.00,2.00,4.00,4.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7182007,0.00,6.00,2.00,5.00,3.00,10.50,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7182015,4.00,7.00,8.00,6.00,5.00,9.38,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7182023,0.00,2.00,2.00,1.00,3.00,4.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7182031,1.00,4.00,2.00,6.00,6.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7182040,2.00,5.00,1.00,5.00,4.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7182066,0.00,3.00,0.00,2.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7182082,4.00,6.00,2.00,6.00,8.00,7.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7182090,5.00,8.00,4.00,8.00,7.00,11.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7182104,6.00,8.00,3.00,6.00,7.00,9.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7182112,1.00,3.00,2.00,3.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7182120,0.00,4.00,2.00,0.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7182139,3.00,8.00,2.00,4.00,2.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7182147,1.00,0.00,2.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7182155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7182163,0.00,6.00,2.00,4.00,6.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7182180,7.00,7.00,5.00,6.00,8.00,8.25,8.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7182198,1.00,6.00,2.00,6.00,7.00,6.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7182236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7182244,3.00,5.00,3.00,3.00,8.00,7.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7182252,2.00,5.00,2.00,5.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,'S','N'),(28,7182260,0.00,4.00,1.00,4.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7182279,4.00,6.00,3.00,5.00,8.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7182287,4.00,6.00,2.00,5.00,7.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7182295,3.00,8.00,3.00,5.00,7.00,9.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7182317,3.00,6.00,1.00,7.00,8.00,9.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7182325,1.00,8.00,1.00,7.00,7.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7182333,4.00,4.00,3.00,5.00,3.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7182341,4.00,8.00,3.00,2.00,4.00,7.88,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7182368,6.00,7.00,3.00,3.00,3.00,9.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7182384,4.00,7.00,0.00,6.00,4.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7182392,5.00,7.00,5.00,7.00,7.00,8.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7182406,5.00,6.00,2.00,4.00,7.00,7.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7182414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7182430,1.00,3.00,3.00,4.00,3.00,6.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7182449,5.00,7.00,2.00,4.00,8.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7182465,2.00,2.00,3.00,4.00,3.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7182473,3.00,4.00,1.00,7.00,6.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7182481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7182503,4.00,6.00,2.00,6.00,6.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7182511,2.00,3.00,1.00,5.00,5.00,4.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7182520,5.00,7.00,4.00,8.00,9.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7182538,2.00,6.00,3.00,5.00,6.00,10.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7182546,0.00,6.00,1.00,2.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7182570,0.00,2.00,4.00,5.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7182597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7182619,0.00,4.00,1.00,5.00,4.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7182627,1.00,7.00,2.00,7.00,3.00,11.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7182635,4.00,5.00,6.00,7.00,8.00,7.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7182643,2.00,7.00,1.00,6.00,7.00,7.13,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7182651,6.00,7.00,5.00,6.00,4.00,7.13,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7182660,2.00,6.00,2.00,4.00,7.00,6.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7182678,2.00,3.00,2.00,3.00,3.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7182694,2.00,6.00,3.00,6.00,6.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7182708,4.00,7.00,0.00,4.00,8.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7182716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7182724,4.00,4.00,2.00,6.00,5.00,3.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7182740,6.00,8.00,3.00,7.00,8.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7182759,2.00,6.00,1.00,6.00,5.00,2.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7182775,0.00,5.00,1.00,6.00,5.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7182791,2.00,7.00,1.00,4.00,6.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7182805,5.00,6.00,4.00,5.00,7.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7182813,0.00,7.00,3.00,5.00,4.00,6.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7182821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7182848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7182864,3.00,7.00,2.00,7.00,7.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7182902,2.00,2.00,2.00,2.00,5.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7182910,6.00,7.00,5.00,7.00,8.00,9.38,8.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7182929,1.00,2.00,0.00,4.00,3.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7182937,1.00,2.00,1.00,2.00,3.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7182953,3.00,6.00,1.00,7.00,4.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7182961,5.00,0.00,5.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7182970,5.00,7.00,3.00,6.00,7.00,6.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7182996,4.00,6.00,3.00,5.00,7.00,9.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7183003,1.00,5.00,2.00,5.00,5.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7183011,3.00,4.00,2.00,5.00,3.00,9.00,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7183020,2.00,5.00,2.00,3.00,6.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7183062,2.00,6.00,3.00,6.00,7.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7183097,2.00,3.00,1.00,5.00,4.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7183100,5.00,9.00,4.00,6.00,9.00,11.63,4.00,9.00,7.00,NULL,NULL,NULL,'N'),(28,7183119,4.00,7.00,3.00,7.00,6.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7183127,2.00,6.00,3.00,4.00,7.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7183135,2.00,7.00,1.00,7.00,5.00,7.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7183151,1.00,1.00,3.00,6.00,5.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7183160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7183186,0.00,0.00,2.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7183194,1.00,4.00,2.00,5.00,6.00,6.38,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7183208,3.00,4.00,1.00,5.00,6.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7183216,1.00,6.00,2.00,4.00,5.00,7.50,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7183224,1.00,6.00,2.00,6.00,5.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7183232,2.00,8.00,2.00,6.00,5.00,9.38,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7183240,1.00,3.00,1.00,4.00,6.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7183259,2.00,5.00,1.00,3.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7183267,2.00,6.00,4.00,3.00,5.00,10.88,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7183275,3.00,6.00,2.00,5.00,8.00,9.38,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7183283,2.00,5.00,1.00,4.00,6.00,5.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7183305,1.00,4.00,1.00,4.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7183313,1.00,7.00,0.00,7.00,7.00,7.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7183321,2.00,4.00,1.00,4.00,4.00,7.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7183348,4.00,6.00,3.00,5.00,9.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7183356,0.00,3.00,2.00,2.00,4.00,5.63,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7183364,3.00,4.00,3.00,6.00,5.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7183372,0.00,6.00,1.00,6.00,7.00,6.38,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7183380,1.00,3.00,1.00,4.00,8.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7183399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7183402,2.00,5.00,2.00,4.00,4.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7183410,0.00,1.00,4.00,1.00,5.00,7.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7183429,1.00,5.00,2.00,7.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,'S','N'),(28,7183437,1.00,3.00,1.00,5.00,3.00,6.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7183445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7183470,1.00,7.00,1.00,4.00,9.00,10.13,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7183488,6.00,7.00,1.00,6.00,8.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7183496,3.00,4.00,3.00,5.00,5.00,5.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7183518,4.00,1.00,1.00,1.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7183526,2.00,3.00,3.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7183534,4.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7183542,0.00,2.00,1.00,2.00,4.00,3.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7183550,5.00,7.00,3.00,6.00,9.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7183569,4.00,5.00,3.00,6.00,8.00,8.63,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7183577,0.00,4.00,1.00,6.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7183585,0.00,6.00,2.00,6.00,9.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7183607,4.00,7.00,3.00,4.00,8.00,8.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7183615,1.00,0.00,4.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7183623,1.00,3.00,0.00,4.00,5.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7183631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7183658,2.00,8.00,3.00,6.00,4.00,7.13,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7183666,6.00,8.00,3.00,7.00,10.00,13.13,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7183682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7183690,5.00,7.00,1.00,4.00,7.00,6.38,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7183704,1.00,3.00,3.00,5.00,6.00,5.63,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7183712,6.00,7.00,4.00,5.00,7.00,11.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7183739,3.00,5.00,2.00,5.00,3.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7183747,0.00,4.00,3.00,6.00,5.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7183755,0.00,4.00,2.00,3.00,4.00,9.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7183763,2.00,5.00,3.00,5.00,3.00,7.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7183771,1.00,6.00,0.00,5.00,5.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7183798,3.00,4.00,3.00,2.00,3.00,5.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7183810,4.00,6.00,3.00,5.00,8.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7183836,0.00,4.00,1.00,4.00,6.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7183844,1.00,5.00,0.00,6.00,6.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7183852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7183860,2.00,3.00,4.00,4.00,7.00,6.75,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7183879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7183887,7.00,6.00,3.00,6.00,7.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7183895,3.00,8.00,3.00,5.00,7.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7183909,3.00,4.00,1.00,5.00,6.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7183917,3.00,7.00,0.00,7.00,7.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7183925,0.00,2.00,1.00,2.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7183950,0.00,2.00,1.00,4.00,3.00,6.38,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7183968,3.00,6.00,1.00,6.00,7.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7183976,3.00,8.00,1.00,5.00,5.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7183984,2.00,2.00,1.00,7.00,4.00,6.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7183992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7184000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7184026,6.00,7.00,5.00,7.00,9.00,7.13,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7184034,6.00,7.00,1.00,6.00,7.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7184042,3.00,6.00,3.00,5.00,6.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7184050,1.00,5.00,2.00,1.00,5.00,5.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7184077,3.00,0.00,4.00,3.00,3.00,12.75,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7184085,0.00,5.00,1.00,2.00,5.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7184093,1.00,5.00,2.00,5.00,4.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7184107,0.00,4.00,1.00,0.00,1.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7184115,6.00,7.00,6.00,6.00,6.00,13.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7184123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7184131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7184140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7184158,3.00,3.00,2.00,6.00,4.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7184166,2.00,7.00,4.00,6.00,6.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7184174,4.00,5.00,1.00,5.00,3.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7184182,3.00,7.00,2.00,3.00,7.00,8.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7184190,5.00,7.00,4.00,7.00,8.00,8.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7184204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7184212,3.00,3.00,3.00,6.00,4.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7184220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7184255,5.00,8.00,0.00,8.00,10.00,12.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7184263,2.00,7.00,2.00,6.00,6.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7184271,3.00,5.00,1.00,6.00,7.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7184280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7184301,2.00,7.00,2.00,2.00,4.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7184310,3.00,6.00,2.00,4.00,6.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7184328,3.00,5.00,2.00,5.00,8.00,9.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7184336,2.00,5.00,1.00,4.00,7.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7184344,4.00,7.00,1.00,6.00,7.00,5.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7184360,5.00,6.00,4.00,4.00,8.00,7.13,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7184387,3.00,5.00,3.00,7.00,6.00,9.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7184409,2.00,9.00,2.00,7.00,11.00,10.88,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7184417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7184425,3.00,7.00,5.00,6.00,9.00,9.00,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7184433,1.00,4.00,3.00,6.00,3.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7184441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7184450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7184468,4.00,6.00,5.00,6.00,8.00,8.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7184476,5.00,7.00,2.00,6.00,7.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7184484,2.00,6.00,2.00,5.00,5.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7184492,1.00,6.00,2.00,6.00,4.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7184506,4.00,4.00,4.00,6.00,8.00,8.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7184514,0.00,4.00,2.00,2.00,5.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7184522,4.00,3.00,4.00,5.00,3.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7184530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7184549,2.00,6.00,3.00,3.00,6.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7184557,4.00,8.00,4.00,7.00,5.00,13.13,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7184565,2.00,8.00,1.00,7.00,8.00,12.38,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7184573,2.00,4.00,0.00,5.00,7.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7184581,6.00,8.00,3.00,4.00,9.00,9.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7184611,3.00,6.00,3.00,3.00,4.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7184620,1.00,4.00,2.00,6.00,5.00,5.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7184646,2.00,7.00,2.00,7.00,3.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7184654,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7184662,3.00,8.00,2.00,6.00,6.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7184670,3.00,4.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7184689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7184697,1.00,7.00,3.00,5.00,6.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7184700,3.00,7.00,2.00,6.00,5.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7184719,2.00,7.00,3.00,4.00,8.00,7.88,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7184735,2.00,5.00,5.00,7.00,3.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7184743,3.00,7.00,3.00,6.00,8.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7184751,1.00,3.00,2.00,3.00,5.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7184778,3.00,6.00,3.00,7.00,9.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7184794,2.00,6.00,1.00,6.00,5.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7184816,0.00,3.00,1.00,0.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7184824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7184832,1.00,2.00,1.00,4.00,3.00,8.25,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7184859,0.00,2.00,1.00,5.00,7.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7184867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7184875,0.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7184883,3.00,4.00,0.00,3.00,8.00,6.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7184891,2.00,7.00,2.00,8.00,6.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7184905,1.00,2.00,2.00,4.00,5.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7184913,2.00,7.00,2.00,6.00,7.00,6.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7184921,6.00,7.00,4.00,6.00,8.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7184930,1.00,3.00,1.00,6.00,6.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7184948,3.00,7.00,2.00,7.00,7.00,7.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7184956,3.00,6.00,1.00,6.00,7.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7184964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7184972,2.00,7.00,2.00,7.00,5.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7184980,1.00,0.00,2.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7185006,3.00,4.00,3.00,5.00,6.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7185014,4.00,4.00,1.00,4.00,6.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7185022,4.00,7.00,1.00,7.00,5.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7185049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7185065,7.00,8.00,7.00,8.00,11.00,11.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7185073,0.00,8.00,3.00,6.00,6.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7185090,6.00,8.00,2.00,6.00,11.00,13.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7185103,3.00,6.00,1.00,6.00,5.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7185120,1.00,5.00,3.00,6.00,5.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7185138,3.00,7.00,1.00,4.00,7.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7185146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7185162,4.00,6.00,1.00,6.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7185170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7185189,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7185197,3.00,7.00,4.00,5.00,8.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7185219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7185227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7185235,0.00,2.00,3.00,2.00,3.00,7.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7185243,1.00,3.00,3.00,3.00,4.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7185251,3.00,7.00,1.00,6.00,8.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7185260,3.00,7.00,1.00,6.00,7.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7185294,6.00,7.00,0.00,6.00,6.00,9.38,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7185308,3.00,6.00,3.00,5.00,5.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7185316,2.00,6.00,3.00,3.00,3.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7185332,1.00,3.00,2.00,6.00,5.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7185340,6.00,8.00,6.00,5.00,8.00,10.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7185359,1.00,8.00,1.00,3.00,6.00,NULL,2.00,5.00,3.00,NULL,NULL,'S','N'),(28,7185367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7185375,5.00,7.00,4.00,5.00,7.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7185383,1.00,4.00,0.00,4.00,3.00,6.38,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7185391,0.00,4.00,1.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7185413,0.00,2.00,2.00,3.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7185421,4.00,5.00,1.00,3.00,5.00,9.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7185430,0.00,5.00,1.00,1.00,4.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7185448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7185456,0.00,4.00,1.00,5.00,6.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7185464,1.00,3.00,0.00,5.00,5.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7185472,0.00,4.00,1.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7185480,1.00,6.00,3.00,4.00,8.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7185499,3.00,7.00,1.00,5.00,6.00,8.25,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7185502,2.00,6.00,4.00,7.00,8.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7185510,5.00,6.00,1.00,6.00,9.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7185537,3.00,5.00,5.00,5.00,5.00,6.38,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7185545,1.00,4.00,2.00,6.00,8.00,7.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7185553,0.00,4.00,0.00,3.00,3.00,6.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7185570,0.00,6.00,1.00,4.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7185588,0.00,7.00,4.00,5.00,6.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7185596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7185600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7185618,3.00,7.00,3.00,7.00,9.00,10.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7185626,5.00,8.00,1.00,6.00,8.00,6.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7185634,0.00,4.00,1.00,2.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7185642,0.00,4.00,2.00,0.00,5.00,4.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7185650,2.00,6.00,0.00,5.00,3.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7185685,2.00,7.00,1.00,7.00,7.00,7.13,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7185693,1.00,2.00,2.00,5.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7185707,1.00,6.00,2.00,5.00,7.00,8.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7185715,4.00,8.00,2.00,6.00,8.00,10.50,2.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7185723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7185731,3.00,5.00,4.00,5.00,6.00,7.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7185740,1.00,6.00,1.00,6.00,7.00,8.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7185758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7185766,5.00,8.00,3.00,6.00,7.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7185774,2.00,4.00,4.00,5.00,7.00,6.38,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7185782,0.00,4.00,1.00,2.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7185790,0.00,3.00,1.00,5.00,4.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7185804,0.00,3.00,2.00,2.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7185812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7185820,2.00,5.00,1.00,5.00,5.00,11.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7185839,2.00,7.00,0.00,4.00,8.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7185855,1.00,6.00,3.00,5.00,4.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7185863,2.00,1.00,2.00,6.00,4.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7185871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7185901,3.00,8.00,2.00,6.00,6.00,10.88,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7185928,2.00,3.00,2.00,5.00,4.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7185936,5.00,6.00,1.00,5.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7185952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7185960,2.00,4.00,2.00,4.00,3.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7185979,7.00,8.00,4.00,6.00,9.00,9.75,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7185987,3.00,5.00,2.00,6.00,5.00,9.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7186002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7186010,0.00,5.00,3.00,4.00,6.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7186029,2.00,4.00,0.00,6.00,7.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7186037,1.00,4.00,1.00,4.00,4.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7186045,0.00,5.00,1.00,6.00,6.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7186053,0.00,4.00,2.00,2.00,7.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7186061,0.00,2.00,1.00,3.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7186070,4.00,7.00,2.00,6.00,6.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7186096,4.00,5.00,2.00,2.00,7.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7186100,3.00,4.00,1.00,3.00,4.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7186118,1.00,3.00,0.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7186126,4.00,7.00,4.00,6.00,6.00,7.88,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7186150,2.00,4.00,1.00,5.00,5.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7186169,2.00,1.00,2.00,2.00,3.00,5.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7186177,3.00,8.00,2.00,6.00,8.00,11.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7186185,5.00,7.00,4.00,5.00,10.00,8.63,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7186193,0.00,5.00,1.00,5.00,7.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7186207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7186215,1.00,4.00,1.00,3.00,4.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7186223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7186231,0.00,3.00,2.00,2.00,5.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7186240,0.00,3.00,1.00,2.00,5.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7186266,0.00,5.00,3.00,5.00,7.00,6.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7186274,2.00,5.00,2.00,5.00,6.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7186282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7186304,3.00,3.00,3.00,6.00,6.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7186312,3.00,3.00,1.00,7.00,8.00,8.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7186339,1.00,3.00,1.00,0.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7186347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7186355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7186371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7186380,0.00,6.00,3.00,5.00,4.00,5.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7186398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7186401,5.00,7.00,1.00,6.00,7.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7186410,4.00,5.00,2.00,6.00,5.00,10.88,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7186428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7186436,2.00,6.00,4.00,7.00,7.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7186444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7186452,1.00,2.00,2.00,5.00,6.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7186460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7186479,1.00,7.00,3.00,2.00,7.00,10.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7186487,1.00,6.00,2.00,7.00,3.00,7.50,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7186495,0.00,1.00,2.00,4.00,4.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7186509,1.00,7.00,2.00,6.00,4.00,9.38,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7186517,1.00,6.00,3.00,6.00,6.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7186525,5.00,7.00,2.00,7.00,8.00,9.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7186533,3.00,7.00,1.00,5.00,6.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7186541,1.00,5.00,2.00,7.00,6.00,9.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7186550,1.00,5.00,1.00,3.00,3.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7186568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7186592,3.00,7.00,1.00,4.00,6.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7186606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7186622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7186630,3.00,4.00,0.00,2.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7186657,0.00,5.00,5.00,6.00,5.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7186665,5.00,7.00,3.00,7.00,8.00,9.38,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7186681,3.00,7.00,4.00,6.00,5.00,5.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7186703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7186711,0.00,4.00,2.00,5.00,7.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7186720,0.00,4.00,2.00,3.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7186738,3.00,4.00,3.00,6.00,5.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7186746,0.00,5.00,4.00,2.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7186754,1.00,6.00,1.00,3.00,5.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7186762,0.00,5.00,0.00,1.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7186770,1.00,4.00,3.00,5.00,4.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7186789,5.00,6.00,3.00,6.00,7.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7186797,1.00,2.00,1.00,2.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7186819,4.00,7.00,1.00,6.00,6.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7186827,6.00,8.00,3.00,5.00,8.00,7.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7186843,0.00,5.00,2.00,2.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7186851,2.00,5.00,1.00,4.00,5.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7186860,5.00,7.00,3.00,6.00,6.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7186886,4.00,7.00,4.00,7.00,4.00,5.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7186894,7.00,7.00,3.00,7.00,6.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7186916,2.00,5.00,1.00,3.00,6.00,6.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7186924,4.00,6.00,2.00,4.00,6.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7186932,6.00,6.00,2.00,8.00,7.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7186940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7186959,0.00,6.00,0.00,5.00,8.00,NULL,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7186967,2.00,4.00,2.00,5.00,6.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7186975,1.00,4.00,1.00,5.00,4.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7186983,0.00,6.00,4.00,6.00,6.00,7.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7186991,0.00,7.00,1.00,5.00,7.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7187009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7187017,3.00,4.00,3.00,6.00,5.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7187025,1.00,6.00,1.00,3.00,5.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7187033,0.00,3.00,1.00,6.00,3.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7187041,4.00,5.00,1.00,5.00,6.00,9.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7187050,1.00,6.00,3.00,4.00,5.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7187068,2.00,4.00,2.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7187076,4.00,6.00,3.00,5.00,9.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7187092,4.00,4.00,4.00,5.00,7.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7187106,3.00,6.00,0.00,7.00,5.00,5.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7187122,2.00,4.00,2.00,5.00,6.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7187130,4.00,6.00,3.00,6.00,8.00,9.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7187149,3.00,5.00,3.00,4.00,5.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7187157,0.00,2.00,1.00,1.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7187165,3.00,2.00,3.00,4.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7187173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7187181,3.00,6.00,2.00,6.00,8.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7187190,1.00,7.00,1.00,6.00,7.00,8.63,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7187211,1.00,5.00,3.00,3.00,6.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7187220,2.00,5.00,2.00,3.00,3.00,5.63,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7187246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7187254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7187262,1.00,0.00,1.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7187270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7187289,0.00,3.00,1.00,1.00,3.00,7.88,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7187297,0.00,4.00,3.00,5.00,6.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7187300,0.00,3.00,1.00,1.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7187319,8.00,7.00,5.00,6.00,10.00,9.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7187327,4.00,7.00,3.00,7.00,7.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7187335,0.00,2.00,2.00,0.00,3.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7187343,0.00,2.00,2.00,5.00,3.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7187351,3.00,5.00,2.00,7.00,7.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7187360,2.00,0.00,3.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7187378,3.00,4.00,2.00,4.00,6.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7187386,1.00,3.00,3.00,6.00,4.00,5.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7187394,2.00,8.00,3.00,6.00,6.00,8.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7187424,5.00,8.00,2.00,7.00,8.00,9.38,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7187432,3.00,8.00,0.00,4.00,10.00,7.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7187459,2.00,3.00,2.00,6.00,6.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7187467,1.00,6.00,1.00,6.00,4.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7187475,3.00,6.00,0.00,2.00,6.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7187483,0.00,5.00,0.00,2.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7187491,0.00,5.00,1.00,3.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7187505,3.00,7.00,1.00,7.00,5.00,7.88,2.00,6.00,1.00,NULL,NULL,NULL,'S'),(28,7187513,3.00,6.00,3.00,6.00,5.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7187530,0.00,4.00,1.00,1.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7187556,4.00,6.00,4.00,5.00,3.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7187564,1.00,2.00,2.00,6.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7187572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7187580,6.00,6.00,5.00,7.00,6.00,7.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7187599,4.00,5.00,3.00,4.00,3.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7187602,4.00,3.00,2.00,5.00,4.00,6.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7187629,2.00,5.00,1.00,6.00,9.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7187637,2.00,4.00,2.00,5.00,3.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7187653,0.00,3.00,2.00,5.00,3.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7187661,4.00,6.00,2.00,6.00,7.00,7.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7187670,0.00,5.00,2.00,5.00,6.00,10.13,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7187696,1.00,3.00,1.00,4.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7187700,1.00,4.00,2.00,2.00,5.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7187718,1.00,1.00,2.00,3.00,3.00,4.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7187726,2.00,3.00,1.00,2.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7187734,1.00,9.00,2.00,6.00,5.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7187742,0.00,2.00,0.00,2.00,2.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7187769,4.00,8.00,2.00,6.00,8.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7187777,1.00,3.00,0.00,3.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7187785,0.00,5.00,3.00,6.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7187793,0.00,7.00,1.00,3.00,8.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7187807,1.00,6.00,2.00,4.00,5.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7187815,3.00,7.00,5.00,4.00,4.00,10.13,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7187823,3.00,6.00,1.00,5.00,7.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7187831,2.00,5.00,2.00,4.00,6.00,6.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7187840,2.00,3.00,0.00,5.00,5.00,9.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7187858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7187866,5.00,6.00,2.00,7.00,8.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7187874,6.00,6.00,1.00,5.00,8.00,11.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7187882,0.00,4.00,1.00,4.00,6.00,5.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7187890,1.00,2.00,5.00,3.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7187904,0.00,7.00,1.00,4.00,4.00,NULL,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7187912,2.00,6.00,0.00,6.00,6.00,NULL,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7187939,0.00,4.00,2.00,4.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7187947,1.00,4.00,3.00,2.00,4.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7187955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7187963,2.00,6.00,1.00,6.00,6.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7187971,3.00,6.00,3.00,6.00,8.00,9.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7187980,0.00,2.00,1.00,3.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7188005,3.00,7.00,3.00,5.00,7.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7188021,2.00,4.00,2.00,4.00,6.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7188030,1.00,2.00,1.00,5.00,4.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7188048,3.00,5.00,2.00,3.00,9.00,9.75,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7188056,4.00,1.00,1.00,3.00,7.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7188064,3.00,2.00,1.00,4.00,5.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7188072,1.00,5.00,3.00,6.00,8.00,7.88,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7188080,1.00,6.00,3.00,7.00,5.00,9.38,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7188099,1.00,6.00,1.00,6.00,5.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7188102,0.00,6.00,2.00,5.00,6.00,7.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7188110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7188129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7188137,1.00,4.00,0.00,4.00,6.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7188145,3.00,5.00,2.00,6.00,6.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7188153,2.00,6.00,0.00,6.00,8.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7188161,0.00,4.00,0.00,0.00,0.00,NULL,4.00,6.00,3.00,'S',NULL,NULL,'S'),(28,7188170,2.00,4.00,1.00,6.00,3.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7188188,3.00,4.00,1.00,3.00,4.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7188196,1.00,3.00,0.00,1.00,3.00,6.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7188200,8.00,6.00,6.00,7.00,7.00,8.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7188218,3.00,6.00,5.00,6.00,9.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7188226,3.00,7.00,2.00,6.00,7.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7188234,0.00,3.00,3.00,2.00,6.00,6.38,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7188250,3.00,7.00,3.00,6.00,7.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7188269,0.00,6.00,1.00,2.00,5.00,9.75,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7188277,1.00,4.00,3.00,4.00,5.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7188285,4.00,6.00,2.00,4.00,9.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7188293,0.00,4.00,0.00,6.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7188307,1.00,7.00,2.00,6.00,7.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7188323,1.00,4.00,3.00,3.00,6.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7188331,3.00,5.00,4.00,4.00,6.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7188340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7188358,2.00,4.00,1.00,4.00,3.00,7.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7188366,1.00,7.00,2.00,3.00,4.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7188374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7188382,4.00,2.00,2.00,2.00,6.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7188390,1.00,6.00,2.00,7.00,5.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7188404,1.00,4.00,1.00,7.00,8.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7188412,4.00,7.00,1.00,4.00,7.00,8.25,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7188420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7188439,0.00,9.00,2.00,6.00,5.00,10.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7188447,0.00,5.00,1.00,6.00,5.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7188455,6.00,6.00,3.00,4.00,7.00,7.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7188463,4.00,7.00,3.00,6.00,8.00,11.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7188471,3.00,6.00,1.00,6.00,8.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7188480,1.00,6.00,1.00,2.00,3.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7188498,1.00,6.00,3.00,6.00,6.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7188501,3.00,7.00,2.00,4.00,8.00,9.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7188536,0.00,2.00,4.00,1.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7188544,0.00,6.00,2.00,7.00,4.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7188579,5.00,7.00,2.00,7.00,6.00,9.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7188587,1.00,4.00,1.00,5.00,4.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7188595,4.00,9.00,2.00,5.00,6.00,10.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7188609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7188617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7188633,6.00,8.00,2.00,7.00,8.00,10.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7188650,3.00,6.00,1.00,7.00,5.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7188684,2.00,6.00,1.00,2.00,3.00,5.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7188692,3.00,5.00,2.00,2.00,6.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7188706,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7188714,5.00,7.00,3.00,6.00,6.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7188722,2.00,6.00,2.00,5.00,3.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7188749,1.00,3.00,3.00,3.00,4.00,5.63,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7188757,3.00,6.00,1.00,7.00,7.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7188765,5.00,7.00,4.00,6.00,10.00,8.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7188773,0.00,3.00,2.00,3.00,3.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7188781,1.00,4.00,1.00,3.00,7.00,7.13,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7188790,3.00,4.00,1.00,5.00,3.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7188803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7188811,5.00,7.00,2.00,7.00,9.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7188820,3.00,4.00,2.00,6.00,5.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7188838,1.00,5.00,1.00,1.00,5.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7188846,0.00,4.00,4.00,4.00,6.00,9.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7188862,0.00,2.00,1.00,1.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7188870,2.00,4.00,2.00,6.00,8.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7188889,0.00,5.00,1.00,5.00,4.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7188897,2.00,4.00,1.00,4.00,5.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7188900,1.00,3.00,4.00,3.00,5.00,6.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7188919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7188927,0.00,8.00,1.00,4.00,5.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7188935,2.00,4.00,2.00,5.00,8.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7188943,0.00,5.00,3.00,5.00,5.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7188960,0.00,4.00,2.00,5.00,5.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7188978,0.00,6.00,2.00,5.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7188986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7188994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7189001,4.00,9.00,2.00,5.00,8.00,7.50,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7189010,3.00,4.00,3.00,2.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7189028,1.00,3.00,3.00,3.00,7.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7189036,3.00,7.00,2.00,7.00,7.00,10.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7189044,5.00,7.00,2.00,7.00,9.00,9.38,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7189052,4.00,5.00,1.00,7.00,7.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7189060,1.00,4.00,3.00,5.00,5.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7189079,4.00,8.00,3.00,8.00,9.00,7.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7189087,1.00,6.00,4.00,4.00,5.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7189095,0.00,2.00,3.00,2.00,3.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7189109,4.00,7.00,3.00,5.00,8.00,11.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7189117,1.00,5.00,1.00,2.00,8.00,9.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7189133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7189141,7.00,7.00,4.00,5.00,10.00,11.63,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7189150,2.00,6.00,2.00,6.00,8.00,7.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7189168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7189176,1.00,5.00,1.00,3.00,5.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7189184,2.00,3.00,0.00,2.00,6.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7189206,6.00,8.00,3.00,6.00,8.00,7.88,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7189214,5.00,7.00,2.00,6.00,5.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7189222,3.00,7.00,1.00,3.00,5.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7189230,4.00,8.00,3.00,6.00,9.00,6.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7189249,2.00,5.00,1.00,6.00,5.00,10.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7189265,3.00,5.00,1.00,7.00,5.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7189290,3.00,3.00,2.00,4.00,5.00,6.38,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7189303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7189311,3.00,6.00,1.00,4.00,3.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7189320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7189338,3.00,7.00,5.00,5.00,8.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7189346,0.00,5.00,1.00,3.00,6.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7189354,3.00,5.00,3.00,5.00,6.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7189362,0.00,3.00,1.00,3.00,1.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7189370,3.00,3.00,4.00,4.00,7.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7189397,1.00,4.00,0.00,4.00,4.00,7.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7189400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7189427,1.00,6.00,1.00,6.00,5.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7189435,2.00,7.00,2.00,7.00,6.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7189443,1.00,5.00,3.00,0.00,1.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7189460,0.00,2.00,1.00,4.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7189478,0.00,3.00,3.00,7.00,7.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7189486,0.00,6.00,1.00,5.00,6.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7189494,9.00,8.00,2.00,6.00,8.00,7.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7189516,4.00,5.00,3.00,5.00,7.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7189524,5.00,8.00,3.00,5.00,8.00,9.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7189540,2.00,5.00,3.00,5.00,5.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7189559,1.00,6.00,0.00,3.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7189567,1.00,7.00,0.00,7.00,7.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7189575,0.00,4.00,3.00,6.00,6.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7189583,2.00,4.00,3.00,5.00,4.00,6.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7189591,1.00,4.00,3.00,5.00,4.00,10.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7189605,1.00,7.00,2.00,4.00,6.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7189613,7.00,9.00,6.00,7.00,8.00,11.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7189621,3.00,7.00,2.00,4.00,6.00,6.38,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7189648,5.00,9.00,6.00,8.00,8.00,11.63,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7189656,3.00,7.00,2.00,5.00,8.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7189664,0.00,5.00,3.00,6.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7189672,1.00,5.00,1.00,4.00,6.00,5.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7189680,3.00,5.00,2.00,7.00,5.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7189699,0.00,5.00,0.00,2.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7189702,0.00,3.00,1.00,0.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7189710,1.00,0.00,2.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7189729,1.00,4.00,2.00,5.00,4.00,7.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7189737,2.00,5.00,3.00,5.00,6.00,7.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7189745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7189753,0.00,1.00,3.00,3.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7189761,4.00,7.00,3.00,3.00,6.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7189770,0.00,2.00,0.00,5.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7189788,2.00,4.00,1.00,3.00,4.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7189796,3.00,4.00,2.00,5.00,6.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7189800,0.00,5.00,1.00,2.00,3.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7189818,4.00,6.00,2.00,6.00,5.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7189834,0.00,1.00,2.00,2.00,0.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7189869,2.00,3.00,4.00,6.00,4.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7189877,0.00,5.00,0.00,5.00,4.00,9.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7189885,1.00,4.00,2.00,7.00,4.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7189907,1.00,2.00,0.00,5.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7189915,2.00,6.00,3.00,6.00,6.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7189923,1.00,5.00,2.00,2.00,3.00,9.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7189931,5.00,7.00,1.00,6.00,8.00,8.63,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7189940,1.00,6.00,0.00,4.00,6.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7189958,0.00,3.00,1.00,2.00,6.00,NULL,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7189966,2.00,6.00,0.00,6.00,6.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7189982,0.00,4.00,1.00,5.00,7.00,6.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7189990,3.00,4.00,3.00,6.00,5.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7190000,4.00,7.00,3.00,7.00,10.00,7.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7190026,1.00,5.00,3.00,4.00,5.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7190042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7190050,0.00,1.00,1.00,5.00,3.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7190069,0.00,3.00,2.00,5.00,4.00,4.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7190077,5.00,7.00,3.00,7.00,7.00,7.13,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7190085,4.00,6.00,3.00,6.00,8.00,9.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7190115,1.00,7.00,1.00,6.00,8.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7190123,3.00,6.00,3.00,3.00,7.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7190131,0.00,6.00,2.00,6.00,5.00,5.63,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7190140,4.00,8.00,3.00,6.00,6.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'S'),(28,7190158,1.00,2.00,2.00,4.00,5.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7190166,0.00,7.00,1.00,6.00,4.00,NULL,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7190174,0.00,3.00,1.00,4.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7190182,5.00,8.00,3.00,7.00,4.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7190204,4.00,6.00,3.00,4.00,5.00,6.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7190212,2.00,6.00,1.00,5.00,9.00,6.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7190239,0.00,3.00,2.00,6.00,4.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7190255,2.00,1.00,1.00,1.00,4.00,0.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7190263,6.00,6.00,1.00,4.00,9.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7190271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7190280,3.00,6.00,1.00,6.00,4.00,7.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7190298,6.00,8.00,0.00,5.00,8.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7190301,1.00,3.00,2.00,6.00,5.00,5.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7190310,4.00,5.00,0.00,5.00,7.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7190328,3.00,8.00,0.00,3.00,7.00,10.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7190336,4.00,8.00,1.00,7.00,10.00,7.13,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7190344,2.00,4.00,2.00,5.00,5.00,5.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7190352,4.00,7.00,5.00,6.00,7.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7190360,2.00,1.00,1.00,2.00,4.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7190379,0.00,7.00,3.00,4.00,6.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7190387,2.00,5.00,0.00,5.00,3.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7190395,1.00,2.00,0.00,3.00,6.00,7.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7190409,2.00,6.00,3.00,5.00,6.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7190417,3.00,5.00,4.00,5.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7190425,3.00,5.00,2.00,5.00,8.00,9.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7190450,5.00,7.00,2.00,6.00,7.00,7.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7190468,4.00,6.00,2.00,4.00,6.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7190484,3.00,6.00,5.00,4.00,6.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7190492,2.00,6.00,3.00,3.00,9.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7190514,3.00,7.00,1.00,7.00,6.00,8.63,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7190530,3.00,9.00,4.00,7.00,7.00,7.13,2.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7190549,1.00,7.00,0.00,3.00,2.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7190557,8.00,8.00,6.00,8.00,10.00,11.63,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7190565,0.00,5.00,0.00,6.00,5.00,9.38,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7190573,6.00,8.00,3.00,7.00,10.00,6.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7190581,0.00,6.00,1.00,2.00,3.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7190590,1.00,5.00,1.00,4.00,3.00,5.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7190603,0.00,4.00,2.00,4.00,5.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7190611,2.00,7.00,1.00,6.00,8.00,9.38,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7190638,2.00,5.00,2.00,4.00,8.00,9.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7190646,1.00,6.00,6.00,3.00,9.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7190654,4.00,9.00,2.00,7.00,8.00,13.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7190670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7190689,0.00,4.00,1.00,3.00,4.00,6.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7190719,0.00,1.00,0.00,0.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7190727,0.00,7.00,2.00,5.00,7.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7190735,1.00,7.00,3.00,6.00,7.00,9.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7190743,5.00,6.00,3.00,4.00,3.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7190751,5.00,7.00,3.00,5.00,10.00,7.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7190786,0.00,4.00,0.00,5.00,3.00,7.50,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7190816,2.00,6.00,1.00,5.00,5.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7190824,5.00,8.00,3.00,7.00,9.00,9.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7190859,2.00,5.00,3.00,3.00,8.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7190867,3.00,6.00,2.00,3.00,6.00,11.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7190875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7190883,1.00,5.00,2.00,5.00,6.00,12.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7190891,2.00,3.00,1.00,2.00,3.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7190930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7190948,3.00,2.00,3.00,6.00,5.00,3.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7190956,2.00,8.00,2.00,3.00,7.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7190964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7190972,0.00,2.00,0.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7190980,1.00,3.00,1.00,4.00,4.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7190999,4.00,6.00,1.00,6.00,8.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7191006,3.00,6.00,1.00,6.00,6.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7191014,3.00,7.00,1.00,6.00,7.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7191022,1.00,6.00,1.00,5.00,5.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7191030,4.00,9.00,5.00,6.00,9.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7191049,0.00,6.00,2.00,3.00,7.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7191073,1.00,3.00,1.00,3.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7191081,5.00,7.00,1.00,2.00,6.00,9.38,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7191090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7191103,2.00,6.00,3.00,6.00,9.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7191120,4.00,7.00,2.00,6.00,5.00,7.13,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7191138,3.00,6.00,4.00,6.00,8.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7191162,0.00,4.00,1.00,4.00,6.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7191170,0.00,4.00,2.00,7.00,4.00,9.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7191197,5.00,8.00,0.00,7.00,4.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7191200,5.00,7.00,2.00,6.00,9.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7191227,6.00,8.00,3.00,7.00,8.00,10.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7191235,1.00,0.00,4.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7191243,2.00,7.00,1.00,5.00,6.00,7.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7191251,1.00,4.00,2.00,3.00,4.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7191260,2.00,9.00,3.00,6.00,8.00,8.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7191278,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7191286,4.00,5.00,3.00,6.00,6.00,7.13,4.00,6.00,6.00,NULL,NULL,NULL,'S'),(28,7191294,1.00,5.00,3.00,3.00,6.00,7.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7191316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7191324,2.00,7.00,3.00,6.00,3.00,7.88,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7191332,0.00,2.00,3.00,1.00,3.00,6.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7191340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7191367,1.00,5.00,2.00,2.00,4.00,6.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7191375,4.00,7.00,3.00,5.00,5.00,NULL,1.00,7.00,2.00,NULL,NULL,'S','N'),(28,7191383,2.00,6.00,2.00,4.00,4.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7191391,0.00,6.00,2.00,5.00,7.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7191405,1.00,5.00,4.00,5.00,5.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7191413,4.00,7.00,2.00,3.00,8.00,6.38,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7191421,2.00,8.00,5.00,4.00,5.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7191430,5.00,6.00,3.00,6.00,8.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7191448,1.00,5.00,4.00,6.00,9.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7191464,4.00,4.00,2.00,4.00,3.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7191472,2.00,2.00,3.00,4.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7191499,2.00,4.00,1.00,4.00,5.00,8.63,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7191502,1.00,5.00,3.00,4.00,6.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7191510,2.00,5.00,2.00,5.00,3.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7191529,4.00,4.00,3.00,1.00,3.00,4.50,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7191545,2.00,6.00,4.00,7.00,8.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7191588,4.00,9.00,3.00,7.00,8.00,7.88,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7191596,3.00,6.00,2.00,6.00,5.00,8.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7191618,2.00,4.00,1.00,7.00,7.00,4.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7191626,2.00,2.00,2.00,3.00,5.00,3.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7191634,3.00,7.00,2.00,7.00,5.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7191642,2.00,6.00,1.00,7.00,8.00,9.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7191650,5.00,5.00,3.00,4.00,5.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7191669,0.00,3.00,3.00,5.00,5.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7191677,5.00,7.00,4.00,6.00,9.00,11.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7191693,4.00,7.00,1.00,6.00,5.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7191707,4.00,7.00,1.00,5.00,8.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7191715,5.00,8.00,2.00,7.00,7.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7191723,1.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7191731,3.00,7.00,2.00,6.00,7.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7191758,6.00,8.00,4.00,7.00,10.00,10.88,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7191766,3.00,4.00,2.00,6.00,8.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7191774,0.00,5.00,2.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7191782,1.00,2.00,2.00,4.00,1.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7191790,4.00,6.00,3.00,5.00,6.00,7.88,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7191804,2.00,7.00,4.00,6.00,5.00,7.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7191820,4.00,3.00,1.00,6.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7191839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7191847,3.00,6.00,1.00,6.00,5.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7191855,1.00,6.00,1.00,7.00,7.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7191863,4.00,6.00,1.00,4.00,5.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7191871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7191880,1.00,2.00,3.00,7.00,6.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7191898,1.00,5.00,2.00,1.00,3.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7191901,2.00,4.00,0.00,6.00,6.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7191910,2.00,6.00,3.00,6.00,9.00,10.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7191928,3.00,7.00,3.00,6.00,7.00,10.88,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7191936,3.00,3.00,2.00,5.00,3.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7191944,4.00,7.00,2.00,6.00,6.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7191952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7191960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7191979,2.00,4.00,3.00,3.00,4.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7191987,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7191995,1.00,3.00,2.00,2.00,6.00,4.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7192002,3.00,3.00,3.00,2.00,8.00,10.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7192010,1.00,7.00,2.00,6.00,7.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7192029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7192037,3.00,7.00,4.00,6.00,9.00,9.38,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7192053,4.00,7.00,1.00,6.00,8.00,10.88,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7192061,3.00,8.00,1.00,7.00,9.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7192070,4.00,5.00,2.00,2.00,7.00,10.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7192088,1.00,5.00,3.00,5.00,5.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7192096,5.00,6.00,3.00,6.00,7.00,8.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7192118,1.00,6.00,3.00,6.00,7.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7192134,3.00,5.00,2.00,5.00,4.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7192142,7.00,8.00,3.00,6.00,8.00,10.13,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7192150,4.00,4.00,2.00,5.00,5.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7192169,1.00,7.00,3.00,2.00,3.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7192177,0.00,4.00,2.00,4.00,1.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7192185,6.00,9.00,3.00,5.00,10.00,9.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7192193,0.00,5.00,3.00,1.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7192207,1.00,7.00,1.00,5.00,6.00,9.38,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7192215,1.00,5.00,2.00,5.00,5.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7192223,1.00,5.00,1.00,7.00,6.00,9.75,3.00,6.00,1.00,NULL,NULL,NULL,'S'),(28,7192231,2.00,4.00,3.00,5.00,4.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7192258,1.00,5.00,1.00,4.00,5.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7192266,4.00,3.00,1.00,4.00,5.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7192274,1.00,6.00,3.00,4.00,5.00,5.63,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7192282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7192290,0.00,5.00,2.00,5.00,5.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7192304,0.00,6.00,3.00,4.00,5.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7192320,1.00,5.00,1.00,3.00,3.00,3.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7192339,1.00,4.00,1.00,3.00,5.00,4.50,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7192347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7192355,2.00,3.00,2.00,6.00,4.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7192363,0.00,2.00,1.00,5.00,3.00,7.88,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7192371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7192380,4.00,4.00,4.00,5.00,7.00,5.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7192398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7192401,4.00,8.00,2.00,6.00,8.00,10.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7192410,0.00,7.00,2.00,7.00,5.00,7.13,2.00,7.00,2.00,NULL,NULL,NULL,'S'),(28,7192428,1.00,6.00,3.00,2.00,3.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7192436,5.00,7.00,2.00,6.00,8.00,9.38,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7192444,1.00,5.00,4.00,7.00,7.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7192452,2.00,5.00,2.00,3.00,6.00,10.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7192460,2.00,4.00,2.00,3.00,4.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7192479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7192487,1.00,7.00,4.00,3.00,5.00,7.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7192495,4.00,6.00,4.00,3.00,2.00,NULL,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7192509,4.00,4.00,4.00,5.00,6.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7192517,3.00,9.00,1.00,7.00,5.00,7.13,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7192533,2.00,6.00,0.00,6.00,9.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7192550,2.00,5.00,1.00,6.00,6.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7192568,3.00,3.00,1.00,4.00,6.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7192576,3.00,6.00,3.00,7.00,6.00,8.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7192606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7192614,3.00,7.00,2.00,7.00,7.00,9.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7192630,6.00,6.00,4.00,7.00,8.00,7.88,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7192649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7192657,1.00,3.00,1.00,5.00,6.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7192665,2.00,5.00,2.00,7.00,7.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7192673,6.00,7.00,5.00,4.00,9.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7192681,2.00,4.00,2.00,1.00,8.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7192690,4.00,8.00,1.00,6.00,9.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7192703,4.00,5.00,2.00,7.00,6.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7192711,0.00,4.00,1.00,6.00,5.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7192720,4.00,6.00,2.00,6.00,7.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7192738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7192746,3.00,7.00,3.00,6.00,6.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7192754,2.00,3.00,2.00,6.00,3.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7192762,1.00,1.00,1.00,4.00,3.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7192770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7192789,2.00,8.00,4.00,6.00,8.00,4.88,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7192797,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7192800,2.00,4.00,4.00,6.00,5.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7192819,2.00,4.00,3.00,3.00,4.00,7.13,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7192827,4.00,8.00,3.00,7.00,7.00,9.75,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7192843,0.00,3.00,1.00,5.00,3.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7192851,3.00,2.00,0.00,6.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7192860,1.00,2.00,0.00,5.00,5.00,10.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7192878,6.00,7.00,5.00,7.00,9.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7192894,4.00,7.00,4.00,5.00,5.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7192908,2.00,7.00,2.00,7.00,9.00,7.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7192932,3.00,4.00,1.00,3.00,5.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7192959,4.00,6.00,1.00,7.00,5.00,7.50,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7192975,2.00,6.00,2.00,3.00,5.00,7.50,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7192991,3.00,3.00,1.00,2.00,3.00,7.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7193009,3.00,6.00,4.00,7.00,7.00,9.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7193017,2.00,8.00,4.00,6.00,6.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7193033,2.00,4.00,4.00,7.00,7.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7193041,1.00,4.00,1.00,2.00,4.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7193050,7.00,8.00,3.00,6.00,10.00,8.63,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7193068,0.00,7.00,2.00,5.00,6.00,4.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7193092,8.00,7.00,4.00,7.00,7.00,10.88,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7193114,1.00,4.00,2.00,7.00,3.00,8.63,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7193122,7.00,8.00,4.00,7.00,10.00,10.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7193149,3.00,6.00,3.00,6.00,6.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7193157,0.00,6.00,0.00,6.00,5.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7193165,3.00,6.00,0.00,6.00,3.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7193173,0.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7193190,5.00,8.00,4.00,5.00,7.00,9.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7193203,4.00,6.00,3.00,7.00,5.00,7.88,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7193211,2.00,4.00,1.00,6.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7193220,4.00,8.00,1.00,7.00,5.00,10.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7193246,0.00,3.00,2.00,2.00,5.00,9.38,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7193254,3.00,7.00,1.00,6.00,6.00,6.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7193262,1.00,4.00,2.00,6.00,5.00,6.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7193270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7193289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7193300,3.00,5.00,1.00,6.00,9.00,9.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7193319,1.00,3.00,2.00,4.00,4.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7193327,0.00,6.00,3.00,5.00,6.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7193335,0.00,5.00,3.00,5.00,6.00,10.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7193343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7193351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7193386,5.00,7.00,3.00,7.00,7.00,9.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7193394,2.00,3.00,2.00,5.00,2.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7193408,6.00,7.00,5.00,7.00,8.00,11.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7193416,0.00,5.00,4.00,4.00,5.00,8.63,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7193424,0.00,6.00,1.00,5.00,7.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7193440,0.00,4.00,1.00,4.00,4.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7193459,5.00,6.00,2.00,6.00,10.00,9.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7193467,3.00,8.00,4.00,7.00,9.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7193475,5.00,7.00,1.00,7.00,6.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7193483,1.00,6.00,2.00,4.00,6.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7193491,1.00,4.00,4.00,6.00,6.00,7.13,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7193505,2.00,7.00,3.00,4.00,6.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7193513,6.00,8.00,3.00,6.00,8.00,9.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7193521,2.00,7.00,3.00,4.00,5.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7193530,2.00,4.00,1.00,1.00,3.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7193548,0.00,4.00,2.00,4.00,3.00,7.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7193556,1.00,8.00,5.00,7.00,4.00,9.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7193564,0.00,5.00,2.00,2.00,5.00,5.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7193572,1.00,4.00,5.00,6.00,7.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7193580,7.00,8.00,4.00,5.00,10.00,10.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7193599,6.00,6.00,0.00,1.00,4.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7193602,2.00,6.00,1.00,6.00,8.00,6.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7193610,2.00,5.00,1.00,3.00,5.00,4.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7193629,2.00,7.00,1.00,5.00,7.00,8.25,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7193637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7193661,0.00,6.00,2.00,4.00,8.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7193670,3.00,4.00,2.00,3.00,5.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7193688,4.00,4.00,2.00,3.00,6.00,8.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7193696,1.00,5.00,4.00,6.00,6.00,9.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7193700,2.00,6.00,2.00,5.00,8.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7193718,0.00,3.00,3.00,3.00,4.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7193726,3.00,7.00,3.00,6.00,6.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7193734,1.00,2.00,3.00,4.00,3.00,5.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7193742,1.00,4.00,1.00,3.00,4.00,6.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7193750,2.00,0.00,3.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7193785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7193793,5.00,5.00,2.00,5.00,5.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7193807,3.00,3.00,2.00,5.00,5.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7193823,2.00,4.00,1.00,4.00,5.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7193831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7193840,0.00,6.00,2.00,6.00,3.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7193858,0.00,2.00,1.00,2.00,5.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7193866,2.00,7.00,0.00,6.00,8.00,9.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7193874,4.00,7.00,1.00,7.00,8.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7193882,2.00,4.00,5.00,5.00,8.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7193890,4.00,8.00,2.00,6.00,6.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7193904,6.00,6.00,5.00,6.00,8.00,11.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7193920,0.00,8.00,1.00,5.00,3.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7193947,1.00,5.00,1.00,7.00,8.00,9.75,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7193955,7.00,8.00,1.00,7.00,9.00,8.63,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7193963,2.00,5.00,1.00,5.00,2.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7193971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7193980,0.00,0.00,2.00,0.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7193998,2.00,8.00,2.00,7.00,8.00,12.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7194005,2.00,5.00,4.00,4.00,7.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7194013,0.00,3.00,2.00,3.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7194021,2.00,5.00,1.00,7.00,5.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7194030,0.00,5.00,1.00,5.00,5.00,7.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7194048,1.00,5.00,2.00,1.00,3.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7194064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7194102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7194129,5.00,6.00,3.00,6.00,8.00,10.13,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7194137,2.00,7.00,2.00,4.00,6.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7194145,7.00,5.00,3.00,5.00,8.00,9.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7194153,5.00,9.00,6.00,5.00,9.00,10.88,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7194161,5.00,6.00,5.00,7.00,9.00,10.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7194188,2.00,6.00,1.00,5.00,5.00,6.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7194196,0.00,6.00,2.00,4.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7194200,5.00,7.00,3.00,5.00,8.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7194218,3.00,6.00,1.00,7.00,7.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7194234,0.00,5.00,0.00,2.00,5.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7194250,1.00,5.00,2.00,7.00,6.00,7.88,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7194269,4.00,3.00,2.00,7.00,7.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7194277,1.00,4.00,1.00,2.00,1.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7194293,0.00,5.00,4.00,5.00,5.00,9.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7194307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7194315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7194323,3.00,0.00,4.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7194331,2.00,4.00,1.00,4.00,7.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7194358,2.00,5.00,3.00,2.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7194366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7194374,2.00,6.00,2.00,4.00,7.00,6.75,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7194382,4.00,7.00,2.00,3.00,4.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7194390,1.00,8.00,3.00,7.00,9.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7194404,0.00,4.00,2.00,0.00,7.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7194420,7.00,9.00,5.00,5.00,9.00,10.13,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7194439,1.00,6.00,1.00,6.00,6.00,7.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7194447,3.00,6.00,3.00,5.00,6.00,4.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7194455,5.00,5.00,3.00,7.00,6.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7194463,3.00,8.00,2.00,7.00,7.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7194471,3.00,7.00,2.00,4.00,5.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7194480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7194498,4.00,3.00,2.00,2.00,3.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7194501,2.00,6.00,1.00,6.00,2.00,NULL,3.00,7.00,1.00,NULL,NULL,NULL,'S'),(28,7194510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7194528,2.00,3.00,5.00,6.00,3.00,5.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7194536,5.00,7.00,2.00,4.00,8.00,8.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7194552,3.00,3.00,1.00,5.00,3.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7194560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7194587,7.00,7.00,5.00,7.00,8.00,10.13,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7194617,4.00,4.00,1.00,5.00,3.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7194625,2.00,6.00,4.00,5.00,6.00,8.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7194633,7.00,8.00,7.00,8.00,10.00,10.88,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7194641,6.00,7.00,2.00,6.00,10.00,9.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7194668,4.00,5.00,2.00,7.00,9.00,6.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7194684,1.00,5.00,5.00,7.00,6.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7194692,6.00,8.00,6.00,7.00,6.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7194706,1.00,4.00,1.00,0.00,4.00,4.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7194714,1.00,3.00,2.00,4.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7194730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7194749,0.00,3.00,0.00,2.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7194757,0.00,4.00,3.00,1.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7194765,1.00,3.00,1.00,2.00,6.00,6.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7194773,1.00,2.00,3.00,2.00,3.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7194781,4.00,4.00,3.00,4.00,5.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7194803,3.00,5.00,2.00,3.00,5.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7194811,1.00,0.00,2.00,3.00,4.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7194820,2.00,3.00,2.00,5.00,5.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7194846,4.00,5.00,1.00,7.00,7.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7194854,0.00,2.00,3.00,4.00,5.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7194862,1.00,5.00,1.00,5.00,5.00,4.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7194870,5.00,6.00,3.00,6.00,8.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7194889,2.00,6.00,2.00,3.00,9.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7194897,1.00,6.00,2.00,6.00,5.00,11.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7194900,3.00,5.00,2.00,4.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7194919,1.00,6.00,2.00,5.00,4.00,5.25,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7194927,2.00,6.00,3.00,4.00,6.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7194935,1.00,5.00,1.00,5.00,5.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7194943,4.00,5.00,1.00,5.00,6.00,8.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7194960,0.00,2.00,1.00,1.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7194978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7194986,6.00,8.00,2.00,4.00,8.00,7.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7194994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7195001,2.00,6.00,3.00,4.00,9.00,13.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7195010,2.00,5.00,0.00,5.00,8.00,7.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7195028,1.00,2.00,1.00,2.00,3.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7195036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7195044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7195052,1.00,5.00,2.00,4.00,4.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7195060,2.00,2.00,2.00,4.00,4.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7195079,0.00,3.00,1.00,2.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7195087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7195095,0.00,5.00,1.00,4.00,4.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7195109,7.00,8.00,2.00,6.00,10.00,9.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7195117,4.00,6.00,2.00,7.00,7.00,10.13,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7195133,1.00,7.00,2.00,3.00,5.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7195141,4.00,7.00,2.00,7.00,8.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7195150,1.00,5.00,2.00,2.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7195168,5.00,6.00,3.00,4.00,6.00,5.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7195176,2.00,3.00,2.00,7.00,6.00,10.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7195184,0.00,6.00,2.00,5.00,5.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7195192,0.00,4.00,2.00,0.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7195214,4.00,7.00,4.00,7.00,9.00,8.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7195222,0.00,4.00,2.00,2.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7195230,0.00,2.00,3.00,6.00,6.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7195249,1.00,7.00,1.00,6.00,7.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7195257,6.00,7.00,5.00,7.00,9.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7195265,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7195281,2.00,7.00,2.00,7.00,6.00,NULL,1.00,4.00,3.00,NULL,NULL,'S','S'),(28,7195311,1.00,6.00,0.00,5.00,6.00,5.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7195320,1.00,3.00,1.00,4.00,4.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7195338,2.00,6.00,2.00,3.00,7.00,6.38,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7195346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7195362,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7195370,2.00,7.00,2.00,6.00,8.00,11.25,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7195389,4.00,8.00,5.00,5.00,8.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7195397,3.00,6.00,1.00,6.00,6.00,7.50,5.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7195400,3.00,4.00,1.00,1.00,4.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7195419,1.00,6.00,3.00,2.00,4.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7195427,2.00,3.00,1.00,4.00,4.00,6.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7195435,3.00,7.00,1.00,4.00,4.00,6.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7195443,4.00,6.00,2.00,7.00,8.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7195451,0.00,5.00,2.00,1.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7195460,3.00,4.00,2.00,7.00,5.00,7.50,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7195478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7195486,0.00,5.00,0.00,3.00,5.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7195508,4.00,6.00,2.00,6.00,8.00,8.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7195524,0.00,6.00,2.00,6.00,4.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7195532,0.00,8.00,2.00,7.00,8.00,10.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7195540,2.00,4.00,2.00,5.00,6.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7195559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7195567,3.00,7.00,1.00,6.00,7.00,10.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7195575,1.00,6.00,1.00,5.00,5.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7195583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7195591,4.00,7.00,2.00,5.00,9.00,9.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7195613,6.00,8.00,3.00,6.00,5.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7195621,2.00,1.00,4.00,3.00,5.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7195648,4.00,7.00,3.00,7.00,8.00,9.38,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7195656,4.00,2.00,1.00,5.00,4.00,4.50,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7195664,5.00,7.00,4.00,6.00,7.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7195672,4.00,7.00,3.00,7.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7195680,4.00,6.00,3.00,6.00,4.00,7.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7195699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7195710,0.00,6.00,2.00,5.00,5.00,10.13,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7195729,5.00,6.00,4.00,6.00,7.00,10.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7195737,1.00,2.00,0.00,5.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7195745,7.00,7.00,4.00,6.00,8.00,9.75,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7195753,1.00,8.00,2.00,7.00,10.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7195761,1.00,5.00,0.00,4.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7195770,0.00,4.00,2.00,2.00,3.00,5.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7195788,3.00,5.00,2.00,6.00,5.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7195796,4.00,6.00,4.00,8.00,5.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7195800,4.00,7.00,5.00,6.00,8.00,7.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7195818,3.00,4.00,3.00,6.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7195826,0.00,4.00,3.00,5.00,4.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7195834,4.00,5.00,3.00,2.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7195842,0.00,4.00,2.00,3.00,5.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7195850,1.00,5.00,3.00,4.00,4.00,4.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7195877,5.00,7.00,3.00,6.00,9.00,10.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7195885,1.00,2.00,0.00,5.00,6.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7195893,2.00,9.00,3.00,6.00,7.00,10.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7195907,3.00,7.00,3.00,6.00,6.00,11.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7195915,4.00,6.00,3.00,7.00,8.00,10.88,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7195923,0.00,4.00,3.00,6.00,5.00,1.50,2.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7195931,2.00,5.00,1.00,5.00,9.00,8.63,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7195940,1.00,7.00,5.00,6.00,7.00,9.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7195958,0.00,3.00,0.00,4.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7195966,4.00,7.00,2.00,3.00,5.00,7.88,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7195974,5.00,7.00,4.00,7.00,6.00,11.63,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7195982,1.00,6.00,0.00,3.00,5.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7195990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7196016,3.00,5.00,2.00,6.00,7.00,10.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7196024,2.00,5.00,2.00,4.00,4.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7196032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7196040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7196059,3.00,6.00,4.00,6.00,8.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7196067,1.00,7.00,1.00,7.00,8.00,9.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7196075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7196083,7.00,8.00,5.00,8.00,10.00,8.63,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7196091,4.00,6.00,4.00,6.00,7.00,7.13,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7196105,2.00,7.00,3.00,6.00,5.00,5.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7196113,3.00,6.00,1.00,6.00,4.00,8.25,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7196121,3.00,5.00,0.00,4.00,5.00,4.88,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7196130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7196148,4.00,6.00,3.00,6.00,9.00,10.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7196156,3.00,7.00,0.00,6.00,6.00,12.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7196164,0.00,7.00,2.00,2.00,4.00,7.13,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7196172,5.00,9.00,3.00,7.00,8.00,12.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7196180,4.00,4.00,2.00,2.00,2.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7196202,4.00,6.00,2.00,5.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,'S','N'),(28,7196210,4.00,5.00,1.00,4.00,3.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7196229,8.00,8.00,6.00,7.00,9.00,10.88,9.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7196237,2.00,4.00,1.00,2.00,4.00,7.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7196245,3.00,4.00,0.00,2.00,4.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7196253,1.00,5.00,2.00,5.00,5.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7196261,7.00,9.00,8.00,7.00,11.00,13.50,9.00,8.00,9.00,NULL,NULL,NULL,'N'),(28,7196270,3.00,8.00,3.00,3.00,3.00,4.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7196288,4.00,8.00,2.00,4.00,7.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7196296,1.00,5.00,4.00,5.00,5.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7196300,1.00,2.00,4.00,4.00,3.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7196318,0.00,1.00,3.00,2.00,7.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7196326,0.00,5.00,2.00,6.00,7.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7196334,1.00,7.00,5.00,2.00,4.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7196342,4.00,7.00,2.00,6.00,4.00,9.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7196350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7196369,2.00,5.00,2.00,5.00,4.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7196377,5.00,8.00,4.00,6.00,9.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7196385,6.00,8.00,4.00,7.00,9.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7196393,1.00,3.00,2.00,7.00,3.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7196407,2.00,6.00,3.00,5.00,4.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7196415,1.00,4.00,2.00,5.00,7.00,8.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7196423,1.00,7.00,2.00,2.00,6.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7196431,2.00,6.00,2.00,5.00,7.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7196458,3.00,7.00,3.00,6.00,7.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7196466,4.00,5.00,2.00,6.00,4.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7196474,3.00,5.00,2.00,4.00,7.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7196482,1.00,4.00,4.00,6.00,5.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7196504,1.00,3.00,2.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7196512,2.00,5.00,2.00,6.00,3.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7196539,3.00,8.00,1.00,7.00,5.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7196555,2.00,8.00,1.00,6.00,8.00,7.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7196563,6.00,8.00,1.00,7.00,6.00,8.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7196580,3.00,5.00,1.00,4.00,4.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7196598,0.00,7.00,2.00,5.00,7.00,6.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7196601,4.00,6.00,1.00,7.00,5.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7196610,1.00,3.00,2.00,2.00,5.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7196628,2.00,4.00,2.00,3.00,5.00,7.88,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7196636,2.00,4.00,2.00,6.00,5.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7196644,4.00,5.00,3.00,6.00,5.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7196652,1.00,1.00,2.00,4.00,3.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7196660,3.00,6.00,0.00,5.00,10.00,9.00,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7196695,2.00,4.00,1.00,5.00,5.00,3.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7196709,0.00,6.00,1.00,1.00,3.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7196717,5.00,7.00,2.00,7.00,9.00,10.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7196725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7196733,0.00,5.00,0.00,6.00,7.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7196750,0.00,4.00,2.00,2.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7196768,1.00,6.00,4.00,6.00,7.00,8.63,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7196776,4.00,6.00,4.00,6.00,7.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7196784,2.00,2.00,4.00,5.00,3.00,4.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7196792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7196806,4.00,6.00,2.00,7.00,6.00,7.88,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7196814,3.00,6.00,4.00,6.00,5.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7196822,1.00,6.00,3.00,5.00,4.00,6.38,2.00,3.00,0.00,NULL,NULL,NULL,'S'),(28,7196830,0.00,4.00,4.00,6.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7196849,3.00,5.00,2.00,6.00,6.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7196857,0.00,3.00,2.00,3.00,4.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7196873,0.00,4.00,3.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7196881,1.00,3.00,2.00,4.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7196890,4.00,6.00,3.00,3.00,5.00,12.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7196903,5.00,7.00,3.00,6.00,5.00,6.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7196911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7196920,6.00,8.00,4.00,5.00,9.00,10.88,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7196938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7196946,5.00,8.00,5.00,5.00,10.00,6.75,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7196954,3.00,8.00,5.00,7.00,8.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7196962,5.00,7.00,3.00,6.00,7.00,6.38,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7196970,5.00,8.00,3.00,7.00,6.00,8.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7196989,1.00,8.00,0.00,5.00,3.00,7.50,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7196997,1.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7197004,2.00,5.00,3.00,5.00,7.00,10.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7197012,2.00,5.00,3.00,3.00,0.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7197020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7197039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7197047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7197055,5.00,6.00,4.00,8.00,8.00,12.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7197071,1.00,5.00,2.00,3.00,5.00,10.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7197080,3.00,4.00,0.00,7.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7197098,1.00,3.00,1.00,2.00,4.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7197101,0.00,1.00,1.00,1.00,1.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7197110,4.00,7.00,3.00,5.00,9.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7197128,4.00,6.00,4.00,6.00,5.00,6.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7197136,1.00,6.00,2.00,5.00,6.00,10.13,0.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7197144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7197152,2.00,4.00,2.00,6.00,5.00,9.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7197160,2.00,2.00,2.00,3.00,1.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7197179,1.00,5.00,2.00,4.00,6.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7197187,2.00,6.00,1.00,1.00,6.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7197195,1.00,5.00,3.00,5.00,4.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7197209,3.00,6.00,3.00,7.00,5.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7197225,1.00,8.00,2.00,7.00,6.00,7.88,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7197233,3.00,7.00,1.00,6.00,8.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7197241,2.00,5.00,3.00,5.00,6.00,6.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7197250,2.00,6.00,1.00,3.00,4.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7197268,0.00,1.00,2.00,2.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7197284,4.00,8.00,3.00,5.00,4.00,11.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7197330,5.00,7.00,1.00,4.00,8.00,5.63,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7197349,2.00,6.00,1.00,6.00,4.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7197357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7197373,2.00,5.00,3.00,2.00,4.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7197381,1.00,3.00,0.00,6.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7197403,7.00,8.00,1.00,6.00,11.00,10.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7197411,3.00,7.00,1.00,7.00,7.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7197420,5.00,7.00,3.00,7.00,9.00,9.38,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7197454,2.00,6.00,1.00,4.00,7.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7197462,4.00,5.00,1.00,7.00,4.00,6.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7197470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7197497,0.00,3.00,1.00,2.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7197500,1.00,7.00,3.00,6.00,8.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7197527,6.00,9.00,2.00,7.00,10.00,11.63,6.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7197535,6.00,7.00,4.00,6.00,5.00,9.38,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7197543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7197551,0.00,7.00,3.00,4.00,6.00,5.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7197578,2.00,2.00,1.00,5.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7197586,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7197594,2.00,5.00,4.00,3.00,4.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7197608,6.00,7.00,4.00,6.00,9.00,9.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7197616,0.00,4.00,2.00,3.00,5.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7197624,1.00,3.00,0.00,3.00,3.00,8.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7197632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7197640,0.00,5.00,1.00,7.00,7.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7197659,4.00,6.00,2.00,6.00,4.00,10.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7197675,1.00,3.00,1.00,3.00,5.00,5.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7197683,2.00,7.00,1.00,5.00,4.00,9.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7197691,3.00,2.00,1.00,3.00,3.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7197721,5.00,8.00,1.00,5.00,7.00,9.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7197748,3.00,5.00,2.00,3.00,5.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7197756,4.00,6.00,3.00,5.00,5.00,8.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7197764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7197772,0.00,5.00,1.00,7.00,7.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7197780,6.00,5.00,2.00,6.00,7.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7197810,1.00,4.00,0.00,5.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7197829,2.00,6.00,3.00,7.00,5.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7197837,2.00,6.00,2.00,7.00,5.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7197845,3.00,7.00,3.00,7.00,9.00,11.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7197853,3.00,5.00,3.00,2.00,4.00,4.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7197861,1.00,4.00,1.00,3.00,4.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7197870,0.00,3.00,3.00,4.00,7.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7197888,4.00,5.00,2.00,5.00,6.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7197896,6.00,7.00,1.00,7.00,8.00,10.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7197900,4.00,7.00,2.00,7.00,7.00,9.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7197918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7197934,1.00,3.00,2.00,5.00,5.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7197942,1.00,4.00,2.00,4.00,3.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7197950,2.00,7.00,4.00,5.00,7.00,7.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7197969,4.00,7.00,0.00,4.00,7.00,10.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7197985,2.00,3.00,4.00,3.00,4.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7197993,0.00,4.00,1.00,2.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7198000,4.00,4.00,4.00,3.00,4.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7198019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7198027,0.00,6.00,0.00,5.00,6.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7198035,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7198043,5.00,7.00,2.00,6.00,8.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7198051,6.00,8.00,1.00,7.00,6.00,8.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7198060,3.00,5.00,2.00,5.00,6.00,9.38,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7198078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7198086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7198094,1.00,2.00,2.00,4.00,6.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7198108,0.00,7.00,0.00,5.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7198116,3.00,3.00,2.00,5.00,5.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7198124,1.00,4.00,1.00,4.00,4.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7198132,5.00,7.00,3.00,6.00,8.00,9.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7198140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7198159,1.00,4.00,0.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7198167,2.00,4.00,3.00,5.00,3.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7198175,5.00,5.00,4.00,7.00,6.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7198183,1.00,4.00,1.00,3.00,5.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7198191,2.00,4.00,2.00,2.00,4.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7198205,1.00,4.00,1.00,4.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7198213,3.00,5.00,2.00,4.00,8.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7198221,2.00,4.00,3.00,7.00,6.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7198230,3.00,5.00,1.00,2.00,3.00,5.63,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7198248,1.00,3.00,2.00,5.00,3.00,4.88,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7198256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7198264,1.00,7.00,2.00,6.00,9.00,10.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7198272,5.00,8.00,2.00,7.00,9.00,7.13,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7198280,4.00,6.00,2.00,7.00,6.00,7.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7198299,5.00,5.00,3.00,2.00,7.00,7.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7198302,2.00,6.00,4.00,7.00,7.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7198310,2.00,4.00,2.00,6.00,7.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7198329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7198353,3.00,5.00,1.00,5.00,7.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7198361,0.00,4.00,2.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7198370,0.00,4.00,3.00,5.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7198388,0.00,2.00,3.00,1.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7198396,3.00,7.00,2.00,5.00,7.00,7.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7198400,3.00,5.00,0.00,5.00,7.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7198418,4.00,5.00,3.00,1.00,5.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7198426,5.00,3.00,4.00,6.00,6.00,8.63,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7198434,1.00,3.00,0.00,4.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7198442,7.00,7.00,2.00,6.00,7.00,9.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7198450,4.00,7.00,2.00,7.00,8.00,11.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7198469,2.00,5.00,2.00,5.00,4.00,5.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7198477,5.00,7.00,2.00,6.00,6.00,11.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7198485,2.00,6.00,3.00,5.00,5.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7198493,0.00,4.00,3.00,6.00,5.00,7.13,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7198507,1.00,4.00,3.00,4.00,4.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7198515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7198523,1.00,6.00,3.00,6.00,4.00,9.38,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7198531,2.00,5.00,1.00,5.00,6.00,10.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7198540,3.00,5.00,4.00,5.00,5.00,7.13,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7198558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7198566,0.00,5.00,2.00,5.00,5.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7198574,0.00,5.00,3.00,2.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7198582,3.00,4.00,3.00,6.00,7.00,9.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7198590,1.00,7.00,1.00,6.00,8.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7198604,0.00,3.00,2.00,2.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7198612,0.00,2.00,1.00,7.00,4.00,7.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7198620,0.00,4.00,1.00,2.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7198639,1.00,5.00,0.00,5.00,6.00,0.00,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7198647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7198663,0.00,2.00,2.00,4.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7198671,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7198680,0.00,5.00,1.00,5.00,7.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7198698,1.00,6.00,3.00,6.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7198701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7198710,1.00,3.00,2.00,2.00,3.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7198736,5.00,7.00,1.00,4.00,7.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7198744,1.00,5.00,1.00,1.00,5.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7198752,0.00,2.00,1.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7198760,1.00,4.00,3.00,6.00,4.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7198779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7198787,2.00,4.00,0.00,1.00,4.00,6.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7198795,2.00,7.00,2.00,6.00,8.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7198817,3.00,4.00,3.00,6.00,5.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7198825,1.00,4.00,3.00,2.00,8.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7198833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7198841,0.00,4.00,2.00,4.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7198850,4.00,8.00,2.00,7.00,7.00,11.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7198868,0.00,4.00,2.00,4.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7198876,0.00,4.00,1.00,6.00,5.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7198884,2.00,6.00,1.00,7.00,5.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7198892,1.00,3.00,3.00,4.00,4.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7198906,2.00,5.00,3.00,3.00,6.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7198914,4.00,6.00,3.00,7.00,6.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7198922,3.00,4.00,1.00,5.00,5.00,9.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7198930,1.00,7.00,1.00,4.00,6.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7198965,0.00,4.00,4.00,4.00,1.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7198973,4.00,8.00,5.00,5.00,8.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7198981,3.00,7.00,4.00,7.00,7.00,9.38,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7198990,2.00,6.00,3.00,7.00,7.00,NULL,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7199007,0.00,7.00,0.00,3.00,6.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7199015,2.00,5.00,1.00,4.00,5.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7199023,5.00,8.00,4.00,7.00,8.00,9.38,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7199031,3.00,6.00,1.00,6.00,6.00,7.13,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7199040,0.00,4.00,2.00,5.00,3.00,4.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7199066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7199074,3.00,8.00,1.00,6.00,8.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7199082,3.00,8.00,2.00,3.00,6.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7199090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7199104,4.00,7.00,2.00,5.00,6.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7199112,1.00,5.00,3.00,4.00,4.00,4.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7199120,5.00,6.00,1.00,7.00,6.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7199139,2.00,4.00,2.00,2.00,3.00,5.63,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7199147,3.00,6.00,3.00,5.00,4.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7199155,2.00,6.00,3.00,1.00,4.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7199163,0.00,1.00,3.00,0.00,5.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7199171,2.00,5.00,2.00,7.00,7.00,9.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7199180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7199198,3.00,7.00,3.00,5.00,3.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7199201,5.00,8.00,3.00,7.00,8.00,6.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7199210,2.00,4.00,2.00,5.00,4.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7199228,3.00,6.00,1.00,2.00,8.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7199236,3.00,5.00,2.00,5.00,8.00,9.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7199244,4.00,6.00,2.00,6.00,5.00,7.50,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7199252,2.00,6.00,3.00,6.00,6.00,10.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7199260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7199279,1.00,7.00,4.00,5.00,5.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7199295,3.00,3.00,2.00,2.00,4.00,4.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7199317,1.00,2.00,1.00,4.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7199325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7199333,6.00,7.00,4.00,7.00,10.00,9.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7199341,4.00,7.00,1.00,4.00,7.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7199350,0.00,4.00,2.00,3.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7199368,2.00,7.00,1.00,4.00,6.00,6.00,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7199376,4.00,6.00,3.00,5.00,10.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7199384,4.00,8.00,1.00,3.00,8.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7199392,1.00,4.00,3.00,7.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7199406,0.00,5.00,1.00,3.00,4.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7199414,0.00,3.00,4.00,2.00,3.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7199422,3.00,3.00,2.00,5.00,3.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7199430,0.00,7.00,2.00,7.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7199449,0.00,6.00,2.00,3.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7199465,1.00,4.00,1.00,3.00,4.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7199481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7199490,3.00,7.00,3.00,2.00,7.00,8.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7199503,3.00,6.00,1.00,7.00,9.00,11.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7199511,3.00,8.00,0.00,8.00,8.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7199520,7.00,7.00,5.00,7.00,9.00,12.38,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7199546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7199554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7199589,2.00,5.00,1.00,6.00,5.00,6.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7199597,4.00,5.00,0.00,7.00,7.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7199600,3.00,3.00,1.00,1.00,3.00,4.50,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7199619,0.00,5.00,2.00,3.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7199627,0.00,4.00,0.00,4.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7199635,2.00,7.00,2.00,3.00,3.00,6.00,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7199643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7199651,1.00,2.00,1.00,1.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7199660,0.00,3.00,3.00,4.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7199678,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7199686,4.00,3.00,0.00,2.00,7.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7199694,3.00,5.00,3.00,4.00,8.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7199708,4.00,7.00,3.00,6.00,8.00,9.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7199716,3.00,7.00,2.00,7.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7199724,1.00,3.00,3.00,5.00,5.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7199732,0.00,6.00,1.00,7.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7199740,2.00,4.00,2.00,5.00,2.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7199767,4.00,7.00,3.00,6.00,7.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7199775,3.00,8.00,2.00,5.00,6.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7199791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7199805,3.00,6.00,2.00,7.00,7.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7199813,0.00,5.00,2.00,2.00,3.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7199821,4.00,5.00,1.00,3.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7199848,0.00,5.00,0.00,2.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7199856,0.00,3.00,0.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7199864,1.00,7.00,1.00,2.00,7.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7199872,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7199899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7199902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7199910,0.00,8.00,2.00,7.00,5.00,6.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7199937,2.00,7.00,2.00,6.00,6.00,10.88,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7199953,2.00,7.00,2.00,5.00,8.00,8.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7199988,0.00,6.00,1.00,5.00,5.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7199996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7200005,2.00,6.00,1.00,7.00,6.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7200013,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7200021,0.00,4.00,1.00,5.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7200048,1.00,5.00,2.00,3.00,4.00,12.38,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7200056,0.00,4.00,2.00,5.00,4.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7200080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7200102,2.00,6.00,1.00,5.00,8.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7200110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7200129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7200145,3.00,6.00,1.00,3.00,6.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7200153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7200161,2.00,4.00,0.00,5.00,3.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7200170,0.00,4.00,3.00,5.00,6.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7200188,4.00,7.00,3.00,6.00,9.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7200200,3.00,5.00,3.00,6.00,9.00,7.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7200226,3.00,6.00,3.00,6.00,7.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7200234,1.00,4.00,0.00,2.00,4.00,9.00,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7200242,2.00,5.00,3.00,4.00,3.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7200277,2.00,6.00,4.00,6.00,8.00,7.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7200285,0.00,2.00,2.00,2.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7200293,3.00,6.00,4.00,6.00,6.00,7.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7200307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7200315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7200323,3.00,3.00,2.00,5.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7200358,1.00,7.00,4.00,5.00,7.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7200366,0.00,5.00,1.00,3.00,4.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7200390,6.00,7.00,3.00,6.00,10.00,12.38,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7200404,2.00,4.00,1.00,5.00,3.00,4.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7200412,1.00,4.00,3.00,3.00,4.00,6.38,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7200420,1.00,6.00,4.00,5.00,5.00,9.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7200447,1.00,0.00,2.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7200455,2.00,5.00,3.00,2.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7200463,0.00,4.00,1.00,7.00,6.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7200471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7200480,4.00,7.00,2.00,4.00,5.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7200498,0.00,1.00,0.00,4.00,5.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7200501,1.00,5.00,2.00,6.00,5.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7200528,1.00,3.00,1.00,3.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7200544,2.00,5.00,3.00,4.00,6.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7200579,0.00,3.00,2.00,4.00,3.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7200587,5.00,5.00,3.00,4.00,6.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7200595,2.00,6.00,3.00,6.00,7.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7200609,5.00,7.00,1.00,7.00,8.00,6.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7200625,1.00,5.00,1.00,2.00,5.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7200633,1.00,5.00,1.00,5.00,2.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7200641,3.00,5.00,1.00,5.00,5.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7200650,4.00,6.00,3.00,6.00,3.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7200684,4.00,6.00,2.00,4.00,6.00,8.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7200692,4.00,7.00,3.00,7.00,9.00,11.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7200706,5.00,8.00,5.00,6.00,9.00,7.88,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7200722,1.00,6.00,2.00,2.00,4.00,4.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7200730,2.00,6.00,5.00,6.00,5.00,11.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7200749,2.00,5.00,2.00,4.00,6.00,4.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7200757,4.00,5.00,1.00,8.00,7.00,9.38,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7200765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7200773,2.00,6.00,1.00,4.00,9.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7200790,0.00,3.00,1.00,4.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7200811,5.00,6.00,1.00,5.00,4.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7200820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7200846,0.00,4.00,1.00,4.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7200854,1.00,5.00,1.00,3.00,5.00,7.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7200862,2.00,6.00,4.00,5.00,8.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7200870,4.00,7.00,4.00,5.00,8.00,7.88,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7200889,0.00,5.00,1.00,1.00,4.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7200897,2.00,3.00,2.00,2.00,3.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7200900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7200919,5.00,7.00,2.00,5.00,6.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7200927,1.00,4.00,4.00,4.00,5.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7200935,1.00,6.00,0.00,5.00,5.00,4.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7200943,2.00,5.00,2.00,7.00,10.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7200951,2.00,6.00,2.00,5.00,7.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7200978,1.00,3.00,1.00,6.00,5.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7200986,0.00,8.00,1.00,3.00,5.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7201001,1.00,5.00,2.00,4.00,5.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7201010,0.00,5.00,2.00,4.00,7.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7201036,3.00,6.00,2.00,5.00,8.00,4.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7201044,4.00,7.00,1.00,6.00,7.00,10.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7201052,3.00,5.00,2.00,5.00,9.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7201060,3.00,2.00,1.00,4.00,6.00,7.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7201079,1.00,7.00,1.00,2.00,6.00,6.38,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7201087,2.00,5.00,0.00,2.00,3.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7201095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7201117,2.00,3.00,1.00,2.00,6.00,7.13,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7201150,3.00,6.00,2.00,5.00,4.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7201168,5.00,6.00,1.00,5.00,5.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7201176,0.00,6.00,0.00,0.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7201184,2.00,8.00,2.00,6.00,8.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7201192,3.00,4.00,1.00,5.00,5.00,8.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7201206,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7201214,1.00,4.00,1.00,2.00,6.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7201230,1.00,6.00,0.00,4.00,7.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7201257,2.00,7.00,1.00,4.00,6.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7201265,0.00,2.00,3.00,4.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,'S','N'),(28,7201273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7201281,4.00,8.00,2.00,6.00,7.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7201290,3.00,6.00,2.00,7.00,7.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7201303,2.00,7.00,2.00,6.00,7.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7201320,2.00,3.00,2.00,2.00,5.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7201338,1.00,3.00,2.00,5.00,5.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7201346,0.00,3.00,2.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7201354,2.00,4.00,3.00,4.00,4.00,0.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7201362,2.00,5.00,2.00,5.00,4.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7201370,2.00,8.00,0.00,2.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7201400,0.00,4.00,2.00,2.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7201427,0.00,4.00,2.00,5.00,7.00,10.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7201435,2.00,6.00,1.00,6.00,5.00,6.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7201443,2.00,6.00,2.00,6.00,5.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7201451,3.00,7.00,2.00,6.00,7.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7201460,5.00,7.00,0.00,4.00,8.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7201494,1.00,5.00,2.00,3.00,4.00,6.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7201508,0.00,4.00,2.00,4.00,4.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7201516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7201524,2.00,4.00,1.00,4.00,4.00,10.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7201540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7201559,4.00,8.00,3.00,7.00,7.00,7.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7201567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7201575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7201583,0.00,3.00,3.00,4.00,3.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7201591,0.00,6.00,2.00,2.00,4.00,4.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7201613,1.00,6.00,1.00,1.00,1.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7201621,3.00,7.00,1.00,1.00,5.00,7.13,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7201630,3.00,9.00,3.00,6.00,8.00,9.75,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7201648,3.00,4.00,0.00,2.00,6.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7201656,7.00,8.00,4.00,6.00,8.00,8.25,5.00,4.00,8.00,NULL,NULL,NULL,'N'),(28,7201664,2.00,2.00,1.00,3.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7201680,0.00,2.00,1.00,4.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7201699,1.00,4.00,1.00,5.00,4.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7201702,5.00,6.00,4.00,6.00,9.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7201729,3.00,6.00,1.00,5.00,9.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7201737,1.00,2.00,1.00,2.00,3.00,4.88,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7201745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7201753,3.00,5.00,2.00,4.00,7.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7201770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7201788,4.00,7.00,2.00,7.00,8.00,9.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7201796,0.00,4.00,3.00,1.00,3.00,9.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7201800,0.00,5.00,3.00,3.00,7.00,7.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7201818,6.00,8.00,4.00,6.00,10.00,9.38,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7201826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7201834,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7201877,1.00,2.00,2.00,3.00,6.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7201885,0.00,6.00,0.00,3.00,4.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7201893,6.00,7.00,5.00,7.00,7.00,9.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7201907,4.00,5.00,6.00,4.00,5.00,6.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7201923,4.00,7.00,4.00,6.00,10.00,4.88,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7201931,2.00,4.00,2.00,1.00,3.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7201940,4.00,5.00,3.00,5.00,5.00,10.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7201958,3.00,5.00,3.00,5.00,8.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7201966,1.00,4.00,2.00,2.00,4.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7201982,4.00,6.00,1.00,4.00,5.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7202016,3.00,5.00,4.00,7.00,5.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7202024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7202032,4.00,6.00,1.00,6.00,7.00,10.13,5.00,6.00,7.00,NULL,NULL,NULL,'S'),(28,7202040,3.00,7.00,4.00,6.00,8.00,9.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7202075,4.00,7.00,3.00,5.00,9.00,6.38,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7202083,0.00,0.00,1.00,0.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7202091,2.00,3.00,2.00,5.00,5.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7202105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7202113,1.00,5.00,1.00,4.00,5.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7202130,3.00,7.00,1.00,6.00,8.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7202148,2.00,6.00,1.00,8.00,9.00,9.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7202156,0.00,1.00,3.00,3.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7202164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7202172,3.00,7.00,3.00,5.00,7.00,11.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7202180,0.00,6.00,0.00,3.00,4.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7202199,1.00,5.00,3.00,4.00,3.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7202210,0.00,2.00,2.00,4.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7202229,2.00,4.00,1.00,7.00,6.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7202237,2.00,6.00,0.00,6.00,6.00,8.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7202245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7202253,7.00,6.00,3.00,7.00,8.00,8.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7202270,3.00,5.00,1.00,5.00,6.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7202288,2.00,6.00,1.00,1.00,6.00,6.00,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7202300,2.00,5.00,3.00,5.00,4.00,7.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7202318,3.00,4.00,3.00,4.00,3.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7202326,2.00,3.00,0.00,4.00,3.00,5.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7202334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7202342,3.00,7.00,2.00,6.00,6.00,9.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7202350,0.00,2.00,1.00,4.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7202369,2.00,3.00,1.00,6.00,9.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7202377,0.00,4.00,1.00,3.00,3.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7202385,1.00,5.00,5.00,6.00,4.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7202393,0.00,2.00,2.00,1.00,3.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7202407,2.00,6.00,4.00,7.00,5.00,10.88,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7202415,1.00,4.00,0.00,3.00,6.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7202423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7202431,2.00,4.00,2.00,3.00,5.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7202440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7202458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7202466,2.00,4.00,1.00,5.00,7.00,7.50,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7202474,3.00,6.00,4.00,5.00,6.00,10.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7202490,3.00,7.00,3.00,5.00,7.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7202504,4.00,4.00,0.00,2.00,6.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7202520,0.00,5.00,2.00,4.00,4.00,5.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7202539,3.00,3.00,2.00,2.00,4.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7202547,5.00,6.00,2.00,5.00,8.00,9.38,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7202555,3.00,8.00,2.00,5.00,6.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7202563,1.00,5.00,1.00,4.00,4.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7202571,0.00,3.00,1.00,5.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7202580,0.00,6.00,2.00,2.00,8.00,6.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7202598,6.00,8.00,5.00,5.00,11.00,10.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7202601,0.00,2.00,3.00,4.00,5.00,5.25,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7202610,0.00,4.00,2.00,4.00,3.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7202628,3.00,4.00,1.00,5.00,5.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7202636,2.00,4.00,2.00,5.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7202644,0.00,3.00,1.00,7.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7202652,1.00,5.00,1.00,6.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7202660,5.00,5.00,2.00,6.00,8.00,10.88,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7202679,3.00,5.00,2.00,6.00,5.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7202687,0.00,4.00,1.00,3.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7202695,6.00,8.00,4.00,6.00,8.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7202709,0.00,6.00,0.00,5.00,6.00,6.75,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7202733,0.00,2.00,3.00,6.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7202750,2.00,5.00,5.00,3.00,4.00,7.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7202768,6.00,8.00,4.00,6.00,9.00,10.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7202776,5.00,6.00,2.00,4.00,7.00,10.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7202784,2.00,4.00,1.00,2.00,1.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7202792,1.00,3.00,0.00,2.00,6.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7202806,5.00,7.00,3.00,6.00,5.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7202814,4.00,5.00,2.00,5.00,6.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7202822,2.00,1.00,3.00,3.00,3.00,4.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7202849,1.00,3.00,2.00,5.00,3.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7202857,3.00,5.00,2.00,7.00,6.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7202865,7.00,7.00,6.00,5.00,6.00,6.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7202881,3.00,4.00,1.00,4.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7202890,1.00,3.00,2.00,3.00,3.00,7.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7202903,1.00,6.00,3.00,6.00,6.00,9.00,6.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7202911,4.00,6.00,1.00,7.00,8.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7202920,2.00,5.00,2.00,7.00,7.00,8.63,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7202938,5.00,5.00,5.00,6.00,5.00,10.13,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7202946,3.00,6.00,4.00,4.00,9.00,10.13,8.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7202954,4.00,4.00,1.00,5.00,6.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7202962,1.00,4.00,0.00,6.00,3.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7202970,1.00,3.00,2.00,3.00,5.00,5.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7202989,3.00,7.00,3.00,5.00,7.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7202997,5.00,7.00,4.00,7.00,7.00,10.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7203004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7203012,4.00,8.00,1.00,6.00,7.00,8.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7203020,3.00,4.00,0.00,4.00,5.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7203039,1.00,2.00,2.00,2.00,3.00,3.00,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7203047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7203055,2.00,4.00,3.00,7.00,3.00,10.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7203063,2.00,6.00,3.00,6.00,6.00,6.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7203071,1.00,4.00,2.00,6.00,4.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7203080,0.00,6.00,3.00,7.00,4.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7203098,2.00,5.00,2.00,3.00,6.00,9.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7203101,0.00,8.00,3.00,7.00,6.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7203110,3.00,6.00,2.00,6.00,6.00,9.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7203136,1.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7203144,2.00,5.00,1.00,4.00,4.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7203152,0.00,4.00,4.00,0.00,5.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7203160,2.00,5.00,2.00,7.00,7.00,9.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7203179,1.00,1.00,1.00,6.00,4.00,4.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7203195,3.00,7.00,4.00,7.00,7.00,9.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7203209,3.00,6.00,3.00,4.00,7.00,7.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7203217,1.00,4.00,4.00,6.00,8.00,4.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7203225,3.00,6.00,3.00,6.00,8.00,11.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7203233,2.00,4.00,2.00,1.00,6.00,4.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7203241,1.00,7.00,3.00,7.00,10.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7203250,0.00,3.00,0.00,5.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7203268,3.00,5.00,1.00,5.00,3.00,7.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7203276,0.00,2.00,1.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,'S','N'),(28,7203284,1.00,3.00,1.00,4.00,6.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7203292,0.00,5.00,1.00,1.00,4.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7203306,1.00,5.00,3.00,6.00,5.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7203314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7203357,4.00,6.00,2.00,6.00,8.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7203365,0.00,2.00,2.00,2.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7203381,2.00,3.00,1.00,4.00,5.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7203390,0.00,4.00,3.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7203403,1.00,5.00,4.00,7.00,8.00,9.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7203411,1.00,4.00,1.00,0.00,1.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7203420,1.00,4.00,2.00,5.00,3.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7203438,2.00,4.00,1.00,0.00,3.00,4.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7203446,2.00,6.00,1.00,4.00,5.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7203454,0.00,2.00,3.00,2.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7203470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7203489,3.00,5.00,2.00,5.00,3.00,6.00,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7203497,4.00,6.00,4.00,5.00,9.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7203500,4.00,7.00,2.00,6.00,6.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7203519,4.00,7.00,4.00,7.00,9.00,10.13,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7203527,2.00,4.00,3.00,6.00,7.00,9.38,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7203543,1.00,3.00,3.00,3.00,3.00,4.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7203551,1.00,6.00,2.00,6.00,8.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7203560,0.00,8.00,0.00,5.00,5.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7203578,0.00,4.00,0.00,4.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7203586,0.00,4.00,3.00,4.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7203594,0.00,5.00,2.00,5.00,5.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7203608,1.00,5.00,2.00,4.00,5.00,7.13,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7203616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7203624,3.00,6.00,1.00,5.00,4.00,7.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7203632,1.00,6.00,2.00,5.00,3.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7203640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7203659,2.00,5.00,3.00,3.00,3.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7203667,2.00,4.00,2.00,6.00,5.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7203675,5.00,8.00,2.00,6.00,8.00,7.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7203683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7203691,0.00,4.00,2.00,4.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7203705,5.00,6.00,0.00,3.00,8.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7203713,1.00,7.00,3.00,4.00,4.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7203721,3.00,6.00,1.00,6.00,4.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7203730,0.00,4.00,3.00,4.00,9.00,7.50,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7203748,4.00,7.00,2.00,6.00,7.00,12.38,2.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7203756,2.00,4.00,2.00,3.00,6.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7203764,1.00,0.00,4.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7203772,1.00,4.00,1.00,3.00,4.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7203780,1.00,4.00,3.00,7.00,6.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7203799,0.00,2.00,0.00,5.00,6.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7203802,0.00,4.00,2.00,5.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7203810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7203829,0.00,3.00,2.00,4.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7203837,5.00,7.00,3.00,7.00,8.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7203845,0.00,4.00,3.00,3.00,5.00,6.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7203853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7203870,2.00,2.00,2.00,1.00,1.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7203896,0.00,2.00,1.00,1.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7203900,3.00,6.00,2.00,4.00,6.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7203918,2.00,4.00,2.00,1.00,7.00,6.75,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7203926,1.00,3.00,0.00,6.00,5.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7203934,0.00,4.00,1.00,0.00,5.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7203969,0.00,3.00,3.00,4.00,2.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7203977,3.00,6.00,5.00,7.00,4.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7203993,1.00,3.00,3.00,5.00,4.00,6.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7204000,3.00,3.00,1.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7204019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7204043,5.00,9.00,1.00,7.00,7.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7204051,4.00,6.00,3.00,5.00,3.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7204060,0.00,2.00,4.00,3.00,4.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7204086,2.00,4.00,1.00,6.00,6.00,8.63,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7204094,3.00,6.00,1.00,2.00,9.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7204108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7204116,2.00,4.00,2.00,2.00,4.00,6.38,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7204132,3.00,8.00,2.00,6.00,6.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7204140,4.00,7.00,1.00,6.00,4.00,NULL,3.00,4.00,5.00,NULL,NULL,'S','S'),(28,7204159,0.00,2.00,1.00,0.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7204167,0.00,3.00,4.00,2.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7204183,3.00,5.00,1.00,5.00,8.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7204191,2.00,6.00,4.00,6.00,9.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7204205,2.00,6.00,4.00,6.00,8.00,9.75,0.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7204221,1.00,6.00,2.00,6.00,7.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7204256,0.00,3.00,1.00,4.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7204264,0.00,6.00,2.00,5.00,7.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7204272,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7204302,3.00,7.00,1.00,5.00,6.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7204329,3.00,8.00,2.00,6.00,8.00,7.50,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7204337,3.00,7.00,1.00,7.00,3.00,9.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7204345,5.00,5.00,3.00,5.00,9.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7204353,3.00,3.00,2.00,4.00,4.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7204361,0.00,4.00,1.00,4.00,7.00,5.63,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7204370,0.00,0.00,1.00,5.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7204388,0.00,2.00,1.00,5.00,6.00,7.88,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7204396,0.00,3.00,1.00,3.00,4.00,4.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7204400,3.00,6.00,2.00,7.00,8.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7204426,7.00,7.00,3.00,6.00,7.00,8.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7204442,0.00,6.00,3.00,3.00,8.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7204450,4.00,6.00,5.00,2.00,5.00,9.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7204469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7204477,1.00,2.00,2.00,3.00,4.00,5.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7204485,4.00,7.00,3.00,3.00,6.00,6.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7204493,4.00,7.00,3.00,5.00,4.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7204507,2.00,5.00,0.00,1.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7204515,3.00,7.00,2.00,7.00,9.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7204523,3.00,7.00,3.00,5.00,9.00,8.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7204540,3.00,5.00,1.00,5.00,6.00,9.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7204558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7204566,5.00,7.00,3.00,8.00,8.00,9.38,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7204574,5.00,4.00,2.00,6.00,6.00,8.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7204582,4.00,7.00,4.00,6.00,8.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7204612,0.00,5.00,1.00,6.00,6.00,9.38,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7204620,3.00,4.00,2.00,6.00,8.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7204639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7204647,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7204655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7204663,0.00,6.00,2.00,4.00,6.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7204671,3.00,6.00,4.00,3.00,6.00,6.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7204680,0.00,3.00,2.00,1.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7204710,1.00,6.00,2.00,5.00,4.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7204728,1.00,3.00,3.00,2.00,4.00,5.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7204736,5.00,7.00,3.00,6.00,7.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7204744,1.00,4.00,1.00,1.00,6.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7204752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7204760,4.00,6.00,1.00,6.00,6.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7204779,5.00,5.00,0.00,4.00,6.00,8.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7204787,4.00,4.00,2.00,4.00,5.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7204795,0.00,0.00,3.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(28,7204809,0.00,3.00,2.00,6.00,7.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7204817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7204825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7204833,0.00,5.00,2.00,6.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7204841,3.00,6.00,0.00,6.00,7.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7204850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7204868,0.00,3.00,0.00,0.00,0.00,NULL,1.00,3.00,2.00,'S',NULL,NULL,'N'),(28,7204876,4.00,8.00,2.00,7.00,7.00,7.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7204892,2.00,1.00,5.00,4.00,4.00,5.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7204906,3.00,3.00,1.00,6.00,5.00,4.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7204914,3.00,4.00,5.00,4.00,6.00,6.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7204922,1.00,3.00,4.00,3.00,4.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7204930,0.00,2.00,2.00,2.00,4.00,5.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7204957,2.00,5.00,3.00,6.00,8.00,4.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7204965,4.00,7.00,3.00,5.00,9.00,9.00,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7204973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7204981,8.00,8.00,0.00,7.00,3.00,NULL,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7204990,1.00,4.00,1.00,7.00,6.00,6.38,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7205007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7205015,3.00,6.00,2.00,7.00,9.00,11.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7205023,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7205031,3.00,4.00,1.00,5.00,5.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7205040,1.00,5.00,1.00,2.00,5.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7205058,1.00,4.00,1.00,4.00,7.00,6.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7205066,3.00,7.00,1.00,7.00,4.00,8.63,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7205074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7205082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7205090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7205104,3.00,6.00,2.00,4.00,7.00,7.88,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7205112,1.00,6.00,1.00,4.00,5.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7205120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7205147,0.00,2.00,1.00,3.00,0.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7205155,4.00,5.00,2.00,3.00,4.00,4.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7205163,1.00,4.00,3.00,4.00,5.00,6.00,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7205171,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7205180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7205198,2.00,6.00,4.00,4.00,6.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7205201,2.00,5.00,1.00,7.00,5.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7205210,1.00,4.00,2.00,5.00,7.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7205228,4.00,4.00,2.00,1.00,8.00,7.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7205236,0.00,6.00,2.00,4.00,3.00,5.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7205244,4.00,7.00,2.00,6.00,8.00,7.13,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7205252,3.00,7.00,2.00,4.00,10.00,10.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7205260,5.00,0.00,1.00,6.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7205279,2.00,3.00,2.00,4.00,3.00,0.00,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7205295,0.00,2.00,3.00,0.00,3.00,3.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7205317,1.00,2.00,1.00,3.00,6.00,9.38,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7205325,2.00,5.00,4.00,4.00,7.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7205341,2.00,7.00,1.00,7.00,6.00,6.75,1.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7205350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7205368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7205376,2.00,4.00,1.00,3.00,5.00,6.75,5.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7205384,4.00,6.00,2.00,4.00,7.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7205392,2.00,4.00,4.00,6.00,6.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7205406,3.00,8.00,2.00,3.00,7.00,8.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7205414,1.00,6.00,3.00,7.00,3.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7205422,2.00,6.00,1.00,4.00,6.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7205430,4.00,6.00,4.00,5.00,4.00,8.25,4.00,1.00,5.00,NULL,NULL,NULL,'N'),(28,7205449,0.00,1.00,0.00,1.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7205457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7205465,3.00,7.00,2.00,5.00,8.00,11.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7205481,2.00,4.00,3.00,2.00,5.00,5.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7205490,4.00,7.00,3.00,6.00,7.00,11.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7205503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7205520,4.00,4.00,3.00,5.00,6.00,4.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7205546,3.00,6.00,1.00,6.00,8.00,7.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7205554,1.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7205562,4.00,6.00,4.00,5.00,6.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7205570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7205589,4.00,8.00,1.00,5.00,6.00,6.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7205597,1.00,3.00,3.00,7.00,7.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7205600,1.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7205619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7205627,1.00,3.00,1.00,4.00,3.00,9.00,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7205635,4.00,8.00,1.00,6.00,7.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7205660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7205678,2.00,5.00,2.00,7.00,6.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7205686,1.00,3.00,2.00,3.00,6.00,9.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7205694,0.00,3.00,0.00,3.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7205708,3.00,5.00,3.00,5.00,4.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7205716,3.00,3.00,0.00,7.00,6.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7205724,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7205732,5.00,5.00,2.00,6.00,9.00,10.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7205759,1.00,7.00,2.00,7.00,5.00,7.50,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7205767,1.00,2.00,1.00,3.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7205775,0.00,5.00,2.00,6.00,3.00,5.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7205783,0.00,4.00,1.00,5.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7205791,5.00,7.00,2.00,7.00,8.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7205805,2.00,2.00,2.00,2.00,4.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7205813,0.00,3.00,1.00,5.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,'S','N'),(28,7205821,1.00,4.00,2.00,5.00,4.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7205830,1.00,3.00,0.00,3.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7205848,5.00,6.00,2.00,6.00,7.00,7.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7205856,2.00,4.00,3.00,5.00,3.00,5.63,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7205864,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7205880,2.00,6.00,2.00,4.00,7.00,6.38,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7205929,4.00,9.00,2.00,6.00,11.00,10.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7205953,1.00,3.00,3.00,4.00,7.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7205961,4.00,7.00,4.00,7.00,7.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7205970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7205988,1.00,2.00,1.00,4.00,4.00,4.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7206003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7206020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7206038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7206054,2.00,4.00,1.00,5.00,6.00,7.88,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7206062,2.00,6.00,3.00,2.00,6.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7206097,2.00,7.00,3.00,6.00,6.00,9.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7206100,0.00,4.00,1.00,5.00,5.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7206119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7206127,1.00,3.00,1.00,3.00,4.00,7.50,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7206135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7206143,2.00,5.00,2.00,5.00,7.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7206151,6.00,9.00,2.00,6.00,8.00,9.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7206160,2.00,4.00,0.00,4.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7206178,1.00,3.00,1.00,5.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7206186,5.00,8.00,3.00,5.00,9.00,9.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7206194,1.00,6.00,2.00,2.00,5.00,7.88,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7206208,4.00,6.00,2.00,5.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7206216,2.00,7.00,2.00,5.00,8.00,8.63,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7206224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7206232,4.00,8.00,2.00,6.00,8.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7206240,4.00,4.00,1.00,3.00,5.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7206259,3.00,4.00,3.00,6.00,5.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7206267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7206275,3.00,5.00,4.00,7.00,8.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7206283,2.00,6.00,3.00,7.00,8.00,12.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7206305,4.00,5.00,2.00,5.00,7.00,7.13,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7206313,0.00,6.00,3.00,6.00,5.00,8.25,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7206321,3.00,4.00,2.00,6.00,5.00,6.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7206330,4.00,5.00,2.00,8.00,7.00,7.50,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7206348,0.00,5.00,1.00,6.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7206356,2.00,5.00,3.00,6.00,7.00,6.38,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7206380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7206399,5.00,7.00,1.00,5.00,8.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7206402,2.00,4.00,1.00,6.00,4.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7206410,2.00,4.00,3.00,5.00,8.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7206429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7206437,3.00,6.00,1.00,6.00,6.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7206445,1.00,7.00,4.00,6.00,6.00,3.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7206453,2.00,8.00,3.00,5.00,9.00,12.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7206470,2.00,1.00,1.00,2.00,4.00,4.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7206496,1.00,6.00,1.00,7.00,9.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7206500,3.00,5.00,3.00,6.00,9.00,12.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7206518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7206534,1.00,2.00,1.00,3.00,6.00,4.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7206542,6.00,7.00,3.00,7.00,7.00,8.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7206550,3.00,6.00,3.00,4.00,8.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7206569,1.00,4.00,2.00,6.00,4.00,3.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7206577,0.00,4.00,2.00,3.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7206585,1.00,4.00,0.00,3.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7206593,0.00,2.00,1.00,3.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7206607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7206615,5.00,8.00,1.00,7.00,11.00,10.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7206623,2.00,5.00,1.00,1.00,4.00,4.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7206631,0.00,4.00,0.00,6.00,6.00,NULL,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7206658,0.00,5.00,2.00,5.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7206666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7206674,2.00,8.00,0.00,5.00,7.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7206704,2.00,7.00,4.00,2.00,8.00,11.63,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7206720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7206739,1.00,0.00,3.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7206747,0.00,6.00,2.00,5.00,4.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7206755,4.00,7.00,4.00,7.00,8.00,9.38,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7206763,1.00,6.00,2.00,2.00,5.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7206780,2.00,7.00,2.00,6.00,6.00,7.13,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(28,7206798,1.00,5.00,2.00,3.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7206810,5.00,6.00,6.00,6.00,4.00,7.13,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7206828,1.00,5.00,3.00,5.00,5.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7206844,3.00,6.00,1.00,5.00,6.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7206852,2.00,8.00,1.00,4.00,8.00,7.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7206860,2.00,7.00,4.00,7.00,9.00,5.63,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7206887,2.00,7.00,1.00,6.00,7.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7206895,1.00,5.00,2.00,1.00,9.00,5.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7206909,5.00,8.00,4.00,6.00,9.00,9.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7206925,1.00,4.00,1.00,6.00,4.00,7.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7206933,0.00,7.00,1.00,2.00,5.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7206968,2.00,4.00,1.00,6.00,6.00,5.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7206976,0.00,5.00,1.00,5.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7206984,3.00,4.00,2.00,5.00,5.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7206992,0.00,6.00,2.00,3.00,5.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7207034,0.00,3.00,3.00,2.00,6.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7207042,6.00,8.00,3.00,7.00,7.00,9.75,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7207050,2.00,5.00,0.00,3.00,8.00,5.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7207069,0.00,0.00,2.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7207085,0.00,5.00,0.00,0.00,0.00,NULL,2.00,7.00,1.00,'S',NULL,NULL,'N'),(28,7207093,4.00,5.00,3.00,5.00,7.00,9.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7207107,1.00,0.00,3.00,5.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7207115,7.00,5.00,1.00,5.00,6.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7207123,3.00,6.00,3.00,6.00,9.00,9.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7207131,2.00,6.00,1.00,4.00,7.00,7.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7207140,2.00,2.00,2.00,4.00,6.00,8.63,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7207158,2.00,5.00,1.00,6.00,4.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7207166,2.00,7.00,1.00,6.00,8.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7207174,0.00,3.00,1.00,3.00,5.00,9.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7207182,3.00,8.00,0.00,5.00,8.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7207190,3.00,7.00,2.00,6.00,7.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7207204,1.00,6.00,3.00,4.00,3.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7207212,6.00,7.00,3.00,7.00,7.00,8.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7207220,3.00,7.00,2.00,7.00,4.00,6.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7207247,3.00,5.00,2.00,6.00,9.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7207255,3.00,4.00,1.00,4.00,9.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7207263,3.00,6.00,1.00,6.00,6.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7207271,2.00,4.00,2.00,7.00,7.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7207280,3.00,7.00,2.00,7.00,8.00,9.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7207298,3.00,4.00,2.00,7.00,5.00,8.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7207301,2.00,7.00,1.00,7.00,6.00,7.50,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7207310,1.00,3.00,3.00,4.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(28,7207328,3.00,4.00,5.00,1.00,5.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7207336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7207344,2.00,0.00,2.00,6.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7207352,3.00,7.00,2.00,7.00,8.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7207360,3.00,4.00,2.00,6.00,6.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7207379,3.00,5.00,1.00,6.00,4.00,5.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7207387,1.00,4.00,2.00,4.00,4.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7207395,3.00,4.00,1.00,7.00,5.00,6.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7207409,1.00,7.00,0.00,5.00,3.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7207417,1.00,3.00,0.00,5.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7207425,3.00,7.00,2.00,5.00,5.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7207441,6.00,6.00,2.00,4.00,3.00,7.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7207450,3.00,4.00,2.00,4.00,4.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7207468,0.00,5.00,2.00,4.00,4.00,8.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7207484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7207492,3.00,4.00,3.00,6.00,7.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7207506,2.00,9.00,4.00,2.00,9.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7207530,0.00,5.00,0.00,2.00,4.00,8.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7207549,2.00,5.00,2.00,5.00,5.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7207565,3.00,8.00,1.00,7.00,9.00,10.88,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7207581,2.00,6.00,0.00,5.00,7.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7207590,1.00,4.00,1.00,5.00,5.00,9.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7207603,2.00,6.00,1.00,7.00,3.00,9.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7207611,3.00,6.00,2.00,7.00,5.00,9.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7207620,4.00,7.00,3.00,5.00,6.00,8.63,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7207638,5.00,7.00,1.00,6.00,9.00,11.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7207646,0.00,3.00,2.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7207654,1.00,1.00,2.00,1.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7207670,1.00,5.00,2.00,5.00,8.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7207689,1.00,7.00,3.00,2.00,3.00,7.13,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7207697,2.00,7.00,0.00,6.00,1.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7207700,1.00,5.00,1.00,4.00,3.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7207719,4.00,4.00,3.00,2.00,7.00,10.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7207727,1.00,3.00,2.00,3.00,6.00,4.88,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7207735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7207743,1.00,3.00,2.00,4.00,3.00,4.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7207751,3.00,7.00,2.00,7.00,9.00,10.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7207760,2.00,4.00,3.00,2.00,5.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7207778,2.00,3.00,1.00,5.00,6.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7207786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7207794,3.00,4.00,2.00,5.00,6.00,8.63,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7207808,3.00,7.00,5.00,5.00,6.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7207816,6.00,8.00,4.00,8.00,6.00,7.13,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7207824,3.00,9.00,2.00,5.00,4.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7207832,1.00,4.00,2.00,4.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7207840,3.00,8.00,2.00,7.00,8.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7207859,2.00,7.00,1.00,5.00,7.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7207867,2.00,6.00,3.00,6.00,4.00,6.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7207875,3.00,4.00,3.00,3.00,3.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7207891,4.00,8.00,4.00,3.00,9.00,11.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7207913,2.00,6.00,0.00,4.00,3.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7207921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7207948,3.00,3.00,3.00,3.00,5.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7207956,0.00,3.00,1.00,3.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7207972,0.00,4.00,3.00,5.00,7.00,7.50,4.00,2.00,4.00,NULL,NULL,NULL,'S'),(28,7207980,0.00,6.00,2.00,5.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7207999,0.00,6.00,1.00,3.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7208006,2.00,4.00,2.00,4.00,3.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7208022,2.00,5.00,1.00,6.00,5.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7208030,2.00,4.00,2.00,5.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7208049,2.00,5.00,1.00,7.00,8.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7208057,1.00,4.00,1.00,5.00,6.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7208073,3.00,7.00,2.00,7.00,4.00,6.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7208081,5.00,7.00,2.00,6.00,8.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7208090,1.00,4.00,2.00,5.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7208103,2.00,4.00,1.00,3.00,4.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7208138,1.00,4.00,3.00,7.00,4.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7208146,4.00,6.00,0.00,6.00,8.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7208154,3.00,8.00,2.00,7.00,8.00,9.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7208162,4.00,6.00,4.00,5.00,7.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7208170,6.00,7.00,3.00,7.00,5.00,8.63,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7208189,0.00,6.00,1.00,6.00,4.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7208197,2.00,3.00,0.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7208219,0.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7208227,2.00,5.00,4.00,4.00,7.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7208235,3.00,6.00,2.00,5.00,8.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7208243,3.00,0.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7208251,6.00,6.00,2.00,5.00,4.00,5.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7208260,3.00,5.00,2.00,5.00,6.00,5.25,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7208286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7208294,6.00,6.00,0.00,7.00,7.00,7.88,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7208316,3.00,2.00,1.00,5.00,6.00,6.75,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7208324,3.00,5.00,1.00,2.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7208332,5.00,4.00,0.00,5.00,6.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7208340,0.00,7.00,2.00,3.00,5.00,7.88,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7208359,2.00,7.00,0.00,4.00,3.00,6.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7208367,3.00,5.00,0.00,4.00,6.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7208375,5.00,6.00,7.00,7.00,7.00,8.25,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7208383,3.00,7.00,3.00,4.00,4.00,6.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7208391,3.00,7.00,3.00,4.00,5.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7208430,1.00,4.00,2.00,6.00,6.00,5.63,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7208448,3.00,4.00,1.00,4.00,4.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7208456,1.00,7.00,2.00,6.00,6.00,7.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7208472,5.00,8.00,3.00,7.00,7.00,5.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7208480,3.00,4.00,2.00,6.00,5.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7208502,7.00,7.00,3.00,6.00,8.00,8.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7208510,4.00,7.00,4.00,5.00,5.00,7.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7208529,1.00,5.00,1.00,3.00,5.00,11.25,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7208537,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7208545,2.00,5.00,2.00,4.00,4.00,6.75,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7208553,1.00,6.00,1.00,5.00,3.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7208570,4.00,8.00,3.00,7.00,7.00,6.00,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7208588,2.00,5.00,2.00,4.00,5.00,6.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7208596,0.00,6.00,1.00,5.00,5.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7208600,4.00,8.00,3.00,6.00,7.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7208618,5.00,6.00,2.00,7.00,8.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7208626,0.00,3.00,3.00,3.00,4.00,4.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7208634,0.00,5.00,1.00,5.00,8.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7208642,5.00,7.00,2.00,6.00,7.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7208650,5.00,7.00,2.00,6.00,9.00,10.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7208677,2.00,6.00,2.00,4.00,6.00,8.63,1.00,7.00,2.00,NULL,NULL,NULL,'S'),(28,7208685,5.00,7.00,5.00,4.00,7.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7208693,2.00,5.00,2.00,6.00,6.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7208707,3.00,8.00,2.00,7.00,6.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7208715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7208723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7208731,7.00,8.00,5.00,7.00,9.00,10.13,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7208740,0.00,8.00,1.00,5.00,3.00,7.50,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7208758,4.00,7.00,3.00,7.00,3.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7208766,3.00,7.00,1.00,6.00,8.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7208774,5.00,8.00,3.00,7.00,10.00,12.38,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7208782,2.00,5.00,1.00,5.00,4.00,5.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7208790,4.00,7.00,4.00,6.00,9.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7208804,3.00,3.00,1.00,2.00,3.00,3.00,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7208820,2.00,4.00,3.00,3.00,3.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7208847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7208863,1.00,3.00,1.00,5.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7208871,1.00,1.00,3.00,8.00,6.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7208898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7208901,3.00,4.00,2.00,6.00,8.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7208910,0.00,5.00,2.00,1.00,3.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7208928,5.00,7.00,3.00,5.00,8.00,7.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7208936,0.00,2.00,0.00,1.00,1.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7208944,5.00,9.00,2.00,5.00,6.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7208952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7208979,2.00,5.00,4.00,3.00,7.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7208995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7209002,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7209037,4.00,6.00,1.00,4.00,7.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7209045,3.00,4.00,3.00,7.00,7.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7209053,1.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7209061,1.00,7.00,1.00,3.00,6.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7209070,1.00,2.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7209088,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7209096,4.00,8.00,4.00,6.00,6.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7209126,7.00,9.00,3.00,6.00,8.00,7.13,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7209134,1.00,3.00,1.00,6.00,3.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7209142,3.00,5.00,2.00,5.00,6.00,4.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7209150,4.00,7.00,2.00,6.00,9.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7209169,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7209193,1.00,8.00,4.00,4.00,8.00,10.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7209207,2.00,5.00,4.00,3.00,4.00,7.13,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7209215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7209223,0.00,6.00,1.00,5.00,6.00,7.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7209231,1.00,4.00,1.00,5.00,5.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7209240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7209258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7209266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7209304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7209312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7209320,0.00,0.00,0.00,0.00,0.00,NULL,2.00,2.00,1.00,'S',NULL,NULL,'N'),(28,7209339,1.00,3.00,2.00,2.00,3.00,8.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7209347,1.00,4.00,0.00,7.00,4.00,5.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7209355,3.00,6.00,0.00,5.00,8.00,9.38,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7209363,1.00,6.00,1.00,7.00,4.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7209371,1.00,3.00,4.00,2.00,5.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7209380,5.00,7.00,2.00,7.00,8.00,6.38,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7209398,3.00,4.00,3.00,6.00,6.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7209401,5.00,8.00,2.00,6.00,6.00,8.63,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7209436,3.00,4.00,3.00,3.00,5.00,0.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7209444,3.00,3.00,2.00,5.00,7.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7209452,4.00,6.00,2.00,5.00,4.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7209460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7209479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7209487,0.00,4.00,2.00,4.00,3.00,8.25,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7209495,3.00,4.00,1.00,5.00,5.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7209509,5.00,6.00,1.00,7.00,7.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7209517,4.00,8.00,5.00,8.00,8.00,9.75,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7209525,0.00,5.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7209541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7209550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7209568,1.00,4.00,3.00,4.00,3.00,7.13,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7209576,2.00,8.00,2.00,6.00,5.00,9.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7209584,2.00,5.00,2.00,6.00,5.00,10.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7209592,3.00,6.00,4.00,7.00,9.00,9.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7209606,7.00,8.00,5.00,7.00,9.00,8.63,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7209614,1.00,5.00,0.00,1.00,3.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7209622,4.00,6.00,2.00,6.00,9.00,7.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7209630,2.00,6.00,3.00,6.00,7.00,6.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7209657,1.00,3.00,0.00,4.00,3.00,4.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7209665,5.00,5.00,0.00,3.00,7.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7209673,3.00,4.00,3.00,4.00,5.00,10.88,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7209690,1.00,2.00,1.00,3.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7209703,6.00,7.00,2.00,5.00,7.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7209720,2.00,4.00,3.00,7.00,5.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7209738,2.00,5.00,2.00,2.00,5.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7209746,6.00,7.00,6.00,6.00,7.00,9.75,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7209754,0.00,6.00,1.00,0.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7209762,4.00,3.00,3.00,5.00,7.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7209789,2.00,6.00,2.00,6.00,8.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7209797,4.00,8.00,4.00,6.00,10.00,12.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7209800,1.00,3.00,2.00,7.00,5.00,7.88,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7209819,2.00,6.00,0.00,7.00,4.00,7.88,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7209827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7209835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7209878,2.00,4.00,2.00,4.00,5.00,9.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7209886,2.00,5.00,4.00,3.00,3.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7209908,3.00,6.00,4.00,6.00,6.00,6.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7209916,4.00,7.00,2.00,6.00,6.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7209932,3.00,3.00,3.00,5.00,7.00,7.13,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7209940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7209967,2.00,4.00,2.00,5.00,4.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7209975,2.00,5.00,2.00,3.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7209983,4.00,6.00,1.00,7.00,8.00,7.88,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7209991,5.00,7.00,3.00,7.00,8.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7210000,1.00,6.00,2.00,5.00,4.00,5.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7210019,2.00,6.00,2.00,7.00,5.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7210043,2.00,0.00,0.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7210060,2.00,7.00,5.00,5.00,5.00,6.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7210078,0.00,5.00,3.00,4.00,6.00,7.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7210086,6.00,7.00,4.00,4.00,8.00,6.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7210094,1.00,5.00,0.00,5.00,6.00,6.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7210108,2.00,5.00,0.00,4.00,7.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7210116,4.00,5.00,2.00,7.00,7.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7210124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7210132,3.00,5.00,2.00,5.00,3.00,5.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7210140,4.00,4.00,3.00,7.00,5.00,11.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7210159,4.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7210167,0.00,4.00,2.00,2.00,5.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7210175,4.00,6.00,2.00,6.00,8.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7210183,1.00,5.00,2.00,7.00,4.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7210191,3.00,7.00,1.00,5.00,6.00,10.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7210205,0.00,4.00,2.00,7.00,7.00,NULL,1.00,4.00,3.00,NULL,NULL,'S','S'),(28,7210213,4.00,8.00,3.00,7.00,6.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7210221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7210230,1.00,3.00,1.00,2.00,1.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7210248,4.00,5.00,6.00,5.00,8.00,7.88,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7210264,4.00,7.00,4.00,6.00,7.00,12.38,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7210272,5.00,4.00,1.00,6.00,4.00,8.63,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7210280,0.00,6.00,4.00,5.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7210299,4.00,6.00,2.00,5.00,3.00,7.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7210302,4.00,7.00,2.00,7.00,6.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7210310,4.00,6.00,5.00,6.00,8.00,9.38,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7210337,4.00,8.00,1.00,5.00,5.00,5.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7210345,2.00,7.00,0.00,7.00,3.00,6.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7210353,0.00,2.00,2.00,4.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7210361,5.00,6.00,3.00,5.00,7.00,10.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7210370,2.00,5.00,2.00,2.00,8.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7210388,7.00,8.00,5.00,6.00,7.00,9.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7210396,4.00,9.00,0.00,6.00,9.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7210400,3.00,3.00,2.00,3.00,3.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7210418,1.00,3.00,2.00,5.00,4.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7210426,2.00,6.00,3.00,1.00,5.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7210434,2.00,5.00,1.00,6.00,8.00,7.50,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7210442,2.00,5.00,1.00,5.00,7.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7210450,1.00,7.00,3.00,4.00,7.00,11.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7210469,2.00,7.00,3.00,6.00,4.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7210485,1.00,7.00,0.00,4.00,8.00,11.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7210493,1.00,6.00,2.00,4.00,3.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7210507,1.00,5.00,1.00,4.00,3.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7210515,2.00,7.00,3.00,5.00,6.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7210523,3.00,7.00,2.00,7.00,6.00,9.38,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7210531,1.00,2.00,2.00,1.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7210540,4.00,4.00,1.00,7.00,3.00,9.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7210558,3.00,5.00,3.00,4.00,4.00,6.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7210566,3.00,6.00,3.00,6.00,4.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7210574,0.00,2.00,1.00,3.00,3.00,5.25,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7210582,2.00,6.00,2.00,4.00,5.00,7.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7210590,2.00,2.00,0.00,5.00,1.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7210604,1.00,6.00,2.00,3.00,7.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7210612,2.00,3.00,0.00,3.00,5.00,7.88,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7210620,2.00,5.00,2.00,4.00,5.00,9.75,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7210639,2.00,5.00,2.00,6.00,6.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7210655,1.00,5.00,1.00,3.00,4.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7210663,3.00,3.00,1.00,5.00,4.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7210671,2.00,7.00,0.00,6.00,7.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7210680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7210701,4.00,6.00,0.00,4.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7210710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7210728,0.00,3.00,2.00,5.00,3.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7210736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7210744,1.00,2.00,1.00,3.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7210760,1.00,4.00,2.00,7.00,7.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7210787,3.00,6.00,1.00,7.00,5.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7210795,5.00,8.00,5.00,6.00,5.00,7.88,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7210809,4.00,5.00,3.00,6.00,10.00,11.63,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7210817,1.00,5.00,1.00,4.00,6.00,6.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7210833,1.00,6.00,4.00,5.00,4.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7210841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7210850,2.00,4.00,3.00,6.00,8.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7210914,0.00,2.00,1.00,2.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7210922,7.00,8.00,4.00,7.00,10.00,12.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7210930,4.00,5.00,3.00,8.00,8.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7210949,3.00,5.00,1.00,5.00,4.00,7.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7210957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7210965,3.00,4.00,2.00,5.00,4.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7210973,1.00,4.00,1.00,6.00,4.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7211015,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7211023,2.00,5.00,3.00,2.00,5.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7211031,0.00,3.00,1.00,4.00,6.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7211058,3.00,6.00,1.00,2.00,4.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7211066,3.00,5.00,4.00,6.00,4.00,7.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7211074,5.00,8.00,4.00,5.00,8.00,8.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7211082,6.00,7.00,5.00,6.00,9.00,11.63,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7211090,2.00,4.00,1.00,5.00,3.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7211112,2.00,6.00,3.00,6.00,3.00,10.50,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7211120,4.00,7.00,2.00,7.00,8.00,9.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7211139,4.00,8.00,3.00,7.00,8.00,10.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7211147,5.00,6.00,2.00,5.00,9.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7211155,4.00,4.00,1.00,5.00,5.00,7.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7211163,1.00,6.00,2.00,4.00,5.00,6.00,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7211171,2.00,4.00,2.00,4.00,6.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7211180,0.00,2.00,3.00,5.00,3.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7211198,2.00,2.00,1.00,3.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7211201,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7211228,7.00,9.00,7.00,7.00,7.00,10.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7211236,1.00,1.00,3.00,4.00,4.00,6.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7211244,1.00,5.00,1.00,3.00,5.00,5.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7211252,0.00,2.00,1.00,4.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7211260,6.00,5.00,4.00,6.00,6.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7211279,1.00,5.00,3.00,7.00,6.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7211287,2.00,3.00,1.00,1.00,3.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7211309,2.00,3.00,1.00,1.00,3.00,8.63,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(28,7211317,2.00,6.00,2.00,5.00,6.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7211333,0.00,2.00,3.00,4.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7211341,2.00,4.00,2.00,2.00,7.00,6.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7211350,2.00,5.00,1.00,5.00,4.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7211368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7211384,3.00,3.00,1.00,5.00,4.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7211392,2.00,6.00,3.00,7.00,6.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7211406,2.00,6.00,2.00,5.00,4.00,7.13,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7211414,6.00,7.00,3.00,7.00,9.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7211465,0.00,5.00,1.00,4.00,6.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7211473,0.00,4.00,0.00,7.00,6.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7211481,2.00,5.00,2.00,6.00,7.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7211490,2.00,3.00,0.00,4.00,4.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7211503,0.00,1.00,1.00,2.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(28,7211511,2.00,7.00,1.00,5.00,7.00,10.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7211520,2.00,4.00,1.00,5.00,4.00,3.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7211538,2.00,7.00,3.00,6.00,4.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7211546,4.00,6.00,2.00,8.00,8.00,10.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7211554,1.00,3.00,1.00,4.00,1.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7211562,2.00,4.00,3.00,5.00,8.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7211570,3.00,5.00,1.00,8.00,5.00,0.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7211589,3.00,8.00,4.00,6.00,7.00,7.13,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7211597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7211600,0.00,2.00,1.00,2.00,3.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7211619,0.00,4.00,3.00,2.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7211627,4.00,4.00,4.00,3.00,4.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7211635,0.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7211643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7211651,2.00,5.00,1.00,6.00,4.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7211660,1.00,5.00,1.00,5.00,4.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7211678,3.00,5.00,3.00,6.00,6.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7211686,4.00,6.00,0.00,6.00,6.00,9.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7211694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7211708,4.00,6.00,5.00,5.00,6.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7211716,0.00,4.00,3.00,4.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7211724,2.00,2.00,1.00,2.00,3.00,6.75,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7211732,2.00,6.00,3.00,6.00,7.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7211759,4.00,6.00,2.00,4.00,7.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7211775,2.00,3.00,1.00,3.00,5.00,5.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7211783,0.00,3.00,2.00,5.00,4.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7211805,1.00,4.00,4.00,5.00,5.00,8.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7211813,0.00,4.00,2.00,5.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7211821,1.00,4.00,0.00,3.00,5.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7211848,2.00,5.00,2.00,6.00,4.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7211856,1.00,5.00,1.00,2.00,3.00,8.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7211864,2.00,6.00,2.00,5.00,7.00,5.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7211872,3.00,4.00,0.00,6.00,8.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7211880,3.00,6.00,2.00,5.00,5.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7211899,1.00,6.00,2.00,4.00,6.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7211902,1.00,5.00,1.00,5.00,3.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7211910,0.00,5.00,3.00,5.00,4.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7211945,2.00,1.00,2.00,4.00,6.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7211961,3.00,7.00,2.00,5.00,8.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7211970,5.00,6.00,2.00,6.00,9.00,8.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7211996,2.00,4.00,2.00,4.00,4.00,7.88,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7212003,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7212038,1.00,6.00,3.00,6.00,5.00,7.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7212054,6.00,7.00,7.00,5.00,7.00,10.50,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7212062,2.00,7.00,3.00,7.00,8.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7212070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7212097,0.00,3.00,1.00,7.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7212100,4.00,4.00,1.00,6.00,6.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7212127,5.00,8.00,2.00,7.00,10.00,7.50,8.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7212135,2.00,2.00,2.00,5.00,3.00,5.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7212151,4.00,7.00,2.00,7.00,6.00,7.13,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7212160,1.00,4.00,1.00,4.00,7.00,7.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7212186,0.00,4.00,1.00,4.00,3.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7212194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7212216,3.00,5.00,2.00,3.00,6.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7212232,2.00,5.00,3.00,5.00,5.00,6.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7212240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7212275,0.00,5.00,2.00,4.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7212291,0.00,5.00,1.00,7.00,8.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7212305,4.00,6.00,2.00,6.00,5.00,9.75,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7212313,2.00,4.00,2.00,5.00,5.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7212321,3.00,6.00,2.00,4.00,6.00,10.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7212348,1.00,4.00,1.00,5.00,7.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7212356,0.00,2.00,2.00,3.00,4.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7212364,3.00,7.00,1.00,5.00,5.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7212372,0.00,2.00,0.00,4.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7212380,1.00,5.00,2.00,2.00,3.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7212399,2.00,5.00,1.00,7.00,6.00,9.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7212402,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7212410,0.00,5.00,1.00,4.00,5.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7212429,0.00,2.00,1.00,3.00,4.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7212453,1.00,3.00,3.00,6.00,7.00,0.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7212461,0.00,6.00,1.00,4.00,6.00,7.13,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7212470,3.00,5.00,2.00,7.00,10.00,7.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7212496,2.00,6.00,1.00,6.00,7.00,10.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7212500,2.00,4.00,3.00,4.00,5.00,9.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7212518,1.00,6.00,2.00,1.00,5.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7212526,2.00,7.00,0.00,7.00,7.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7212534,2.00,5.00,3.00,3.00,5.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7212542,3.00,6.00,0.00,7.00,5.00,9.38,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7212569,2.00,7.00,2.00,6.00,8.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7212577,0.00,6.00,2.00,5.00,7.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7212585,3.00,6.00,3.00,4.00,6.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7212593,2.00,7.00,3.00,5.00,9.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7212607,6.00,9.00,2.00,6.00,9.00,7.13,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7212623,4.00,5.00,3.00,7.00,4.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7212631,0.00,4.00,1.00,2.00,7.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7212640,0.00,3.00,1.00,3.00,1.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7212658,4.00,7.00,3.00,6.00,7.00,7.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7212682,2.00,6.00,3.00,6.00,4.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7212690,1.00,4.00,0.00,5.00,4.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7212704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7212712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7212720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7212739,1.00,7.00,3.00,6.00,7.00,10.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7212747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7212755,2.00,2.00,4.00,5.00,4.00,8.25,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7212798,0.00,7.00,0.00,2.00,5.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7212801,0.00,3.00,1.00,2.00,2.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7212810,1.00,4.00,2.00,2.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7212828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7212836,3.00,7.00,3.00,3.00,7.00,8.63,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7212860,2.00,7.00,2.00,3.00,5.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7212879,0.00,5.00,1.00,5.00,4.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7212909,5.00,7.00,2.00,7.00,6.00,11.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7212917,0.00,1.00,1.00,1.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7212925,3.00,3.00,2.00,4.00,4.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7212933,0.00,2.00,0.00,6.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7212941,2.00,4.00,2.00,2.00,5.00,3.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7212950,5.00,7.00,2.00,7.00,7.00,12.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7212984,6.00,7.00,1.00,4.00,7.00,7.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7212992,0.00,6.00,4.00,5.00,3.00,0.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7213000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7213018,0.00,4.00,2.00,4.00,5.00,5.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7213026,1.00,0.00,3.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7213042,2.00,4.00,0.00,5.00,3.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7213050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7213077,3.00,4.00,2.00,6.00,6.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7213085,1.00,6.00,1.00,6.00,7.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7213093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7213115,4.00,6.00,2.00,5.00,3.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7213123,3.00,5.00,2.00,4.00,6.00,4.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7213131,1.00,4.00,2.00,3.00,4.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7213140,4.00,5.00,2.00,4.00,6.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7213158,5.00,4.00,2.00,5.00,8.00,10.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7213174,0.00,2.00,1.00,5.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7213182,0.00,5.00,2.00,2.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7213190,0.00,5.00,2.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7213204,4.00,5.00,3.00,5.00,5.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7213212,5.00,6.00,3.00,7.00,10.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7213220,5.00,6.00,6.00,4.00,9.00,11.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7213239,1.00,5.00,3.00,2.00,5.00,3.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7213255,0.00,2.00,1.00,5.00,4.00,6.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7213263,7.00,7.00,6.00,7.00,7.00,5.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7213271,3.00,7.00,2.00,5.00,7.00,8.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7213298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7213301,4.00,3.00,1.00,5.00,6.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7213310,1.00,7.00,2.00,5.00,3.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7213328,1.00,3.00,4.00,2.00,0.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7213360,2.00,7.00,3.00,7.00,9.00,NULL,2.00,4.00,5.00,NULL,NULL,'S','S'),(28,7213387,1.00,5.00,1.00,5.00,5.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7213395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7213417,3.00,7.00,2.00,4.00,4.00,4.88,6.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7213425,0.00,5.00,1.00,7.00,9.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7213433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7213441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7213450,3.00,5.00,0.00,1.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7213468,4.00,8.00,3.00,6.00,10.00,5.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7213476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7213484,1.00,4.00,2.00,4.00,5.00,6.38,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7213492,3.00,5.00,1.00,6.00,1.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7213506,2.00,8.00,2.00,2.00,3.00,5.63,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7213522,0.00,4.00,1.00,2.00,4.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7213557,6.00,6.00,3.00,7.00,9.00,8.63,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7213565,2.00,4.00,0.00,3.00,8.00,10.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7213573,2.00,7.00,0.00,7.00,7.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7213590,0.00,2.00,2.00,2.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7213603,0.00,3.00,4.00,4.00,5.00,5.63,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7213620,2.00,7.00,1.00,6.00,7.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7213638,1.00,4.00,2.00,7.00,6.00,4.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7213646,1.00,5.00,4.00,5.00,6.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7213654,2.00,7.00,1.00,6.00,7.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7213662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7213689,2.00,4.00,0.00,7.00,1.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7213697,0.00,4.00,2.00,1.00,3.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7213700,2.00,2.00,1.00,5.00,3.00,6.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7213719,2.00,4.00,0.00,6.00,7.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7213743,5.00,6.00,3.00,7.00,7.00,7.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7213751,0.00,4.00,4.00,2.00,4.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7213760,5.00,7.00,2.00,6.00,10.00,12.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7213778,0.00,4.00,4.00,2.00,5.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7213786,1.00,0.00,2.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7213808,3.00,7.00,1.00,7.00,7.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7213816,4.00,8.00,3.00,5.00,7.00,10.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7213824,1.00,6.00,1.00,3.00,5.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7213832,1.00,8.00,3.00,6.00,8.00,7.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7213840,3.00,7.00,3.00,5.00,6.00,9.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7213859,2.00,5.00,4.00,5.00,3.00,6.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7213875,3.00,6.00,2.00,5.00,6.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7213883,2.00,3.00,3.00,1.00,7.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7213891,2.00,6.00,1.00,2.00,4.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7213913,0.00,7.00,1.00,7.00,5.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7213921,3.00,6.00,1.00,5.00,5.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7213930,0.00,2.00,1.00,2.00,6.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7213948,3.00,5.00,1.00,3.00,6.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7213956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7213972,2.00,6.00,3.00,7.00,5.00,4.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7213980,1.00,4.00,1.00,7.00,5.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7213999,2.00,4.00,2.00,3.00,7.00,6.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7214006,2.00,0.00,1.00,1.00,3.00,5.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7214014,1.00,7.00,1.00,4.00,6.00,7.88,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7214022,5.00,7.00,2.00,5.00,3.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7214030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7214049,1.00,3.00,1.00,6.00,2.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7214057,2.00,4.00,2.00,4.00,4.00,6.38,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7214065,2.00,6.00,1.00,6.00,9.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7214081,1.00,7.00,3.00,5.00,4.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7214090,3.00,7.00,3.00,4.00,9.00,5.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7214103,6.00,8.00,0.00,5.00,7.00,9.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7214111,1.00,4.00,2.00,2.00,3.00,6.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7214120,2.00,5.00,1.00,3.00,7.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7214146,0.00,0.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7214162,2.00,6.00,2.00,7.00,9.00,9.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7214170,1.00,5.00,2.00,5.00,5.00,6.00,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7214189,5.00,5.00,2.00,3.00,8.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7214197,7.00,8.00,3.00,6.00,8.00,10.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7214200,4.00,9.00,3.00,6.00,8.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7214219,3.00,6.00,1.00,1.00,3.00,NULL,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7214243,4.00,8.00,1.00,6.00,7.00,7.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7214251,1.00,5.00,2.00,3.00,3.00,9.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7214260,1.00,6.00,2.00,3.00,6.00,7.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7214278,3.00,6.00,2.00,6.00,5.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7214294,6.00,7.00,1.00,4.00,4.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7214308,1.00,6.00,1.00,6.00,4.00,6.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7214316,1.00,7.00,0.00,7.00,5.00,8.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7214324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7214332,2.00,7.00,1.00,5.00,6.00,9.75,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7214340,1.00,6.00,1.00,7.00,6.00,7.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7214359,2.00,1.00,2.00,2.00,4.00,5.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7214367,3.00,0.00,4.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7214375,2.00,3.00,2.00,6.00,4.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7214383,3.00,6.00,2.00,5.00,2.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7214391,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7214405,0.00,4.00,1.00,4.00,5.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7214413,1.00,4.00,2.00,5.00,4.00,5.63,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7214430,2.00,6.00,2.00,6.00,6.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7214448,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7214456,4.00,6.00,2.00,6.00,7.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7214464,0.00,3.00,2.00,1.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7214472,0.00,3.00,0.00,5.00,4.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7214480,1.00,4.00,2.00,3.00,5.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7214499,4.00,6.00,5.00,6.00,7.00,7.88,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7214502,1.00,1.00,3.00,6.00,3.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7214510,4.00,4.00,3.00,6.00,5.00,11.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7214529,0.00,5.00,1.00,7.00,7.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7214537,1.00,4.00,1.00,5.00,4.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7214545,5.00,7.00,2.00,7.00,10.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7214553,5.00,7.00,2.00,5.00,7.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7214561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7214570,0.00,3.00,3.00,7.00,4.00,12.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7214588,1.00,3.00,2.00,1.00,6.00,6.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7214596,2.00,3.00,0.00,2.00,5.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7214600,6.00,7.00,3.00,4.00,3.00,10.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7214626,3.00,6.00,2.00,5.00,5.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7214634,3.00,5.00,2.00,7.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7214642,3.00,3.00,1.00,5.00,5.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7214650,3.00,6.00,4.00,5.00,4.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7214669,0.00,4.00,2.00,6.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7214677,1.00,3.00,1.00,2.00,4.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7214685,4.00,6.00,3.00,7.00,8.00,9.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7214715,0.00,4.00,2.00,3.00,7.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7214723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7214740,3.00,6.00,2.00,4.00,4.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7214758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7214774,4.00,7.00,4.00,6.00,5.00,6.38,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7214782,4.00,7.00,4.00,6.00,9.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7214790,1.00,5.00,2.00,7.00,6.00,7.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7214812,5.00,8.00,1.00,6.00,5.00,7.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7214820,3.00,7.00,3.00,6.00,6.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7214839,1.00,5.00,3.00,6.00,3.00,6.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7214847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7214855,2.00,4.00,1.00,2.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7214863,3.00,6.00,2.00,6.00,4.00,10.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7214871,5.00,5.00,5.00,5.00,10.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7214880,3.00,6.00,2.00,7.00,8.00,8.25,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7214898,3.00,5.00,2.00,4.00,4.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7214901,3.00,4.00,2.00,2.00,3.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7214910,1.00,3.00,1.00,5.00,4.00,0.00,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7214936,2.00,6.00,2.00,6.00,7.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7214944,4.00,3.00,2.00,2.00,4.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7214952,2.00,5.00,1.00,5.00,7.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7214960,2.00,7.00,1.00,7.00,9.00,6.75,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7214979,2.00,5.00,2.00,5.00,6.00,13.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7214987,4.00,4.00,4.00,4.00,7.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7214995,5.00,6.00,3.00,7.00,6.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7215002,0.00,5.00,2.00,5.00,3.00,8.25,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7215010,4.00,6.00,1.00,5.00,7.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7215029,2.00,3.00,2.00,4.00,3.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7215037,6.00,8.00,5.00,7.00,10.00,12.75,6.00,9.00,7.00,NULL,NULL,NULL,'N'),(28,7215045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7215053,0.00,2.00,0.00,1.00,2.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7215088,0.00,5.00,2.00,5.00,4.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7215100,6.00,8.00,5.00,7.00,9.00,10.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7215118,5.00,7.00,3.00,7.00,8.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7215126,2.00,4.00,1.00,6.00,6.00,7.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7215134,1.00,5.00,3.00,2.00,4.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7215142,3.00,3.00,3.00,4.00,6.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7215150,9.00,8.00,8.00,6.00,9.00,11.25,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7215169,3.00,8.00,3.00,6.00,5.00,8.63,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7215177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7215185,0.00,5.00,2.00,6.00,3.00,6.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7215207,0.00,5.00,2.00,5.00,4.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7215231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7215240,1.00,6.00,1.00,6.00,8.00,8.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7215258,2.00,5.00,1.00,3.00,5.00,8.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7215266,2.00,4.00,1.00,3.00,4.00,10.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7215282,4.00,6.00,1.00,6.00,5.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7215290,2.00,5.00,2.00,7.00,6.00,NULL,3.00,4.00,2.00,NULL,NULL,'S','S'),(28,7215312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7215320,0.00,6.00,1.00,2.00,6.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7215347,2.00,3.00,3.00,3.00,4.00,5.63,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7215363,3.00,6.00,2.00,6.00,5.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7215371,0.00,1.00,2.00,3.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7215380,1.00,4.00,2.00,1.00,5.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7215410,2.00,4.00,1.00,5.00,6.00,8.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7215428,0.00,6.00,4.00,1.00,5.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7215444,3.00,5.00,3.00,4.00,7.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7215452,4.00,7.00,3.00,7.00,10.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7215460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7215479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7215487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7215495,3.00,4.00,1.00,7.00,5.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7215509,2.00,5.00,1.00,4.00,5.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7215517,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7215525,1.00,5.00,2.00,7.00,5.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7215533,2.00,7.00,2.00,6.00,5.00,12.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7215541,1.00,5.00,4.00,2.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7215568,1.00,3.00,2.00,4.00,4.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7215576,3.00,7.00,3.00,7.00,8.00,10.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7215592,3.00,7.00,2.00,6.00,7.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7215606,2.00,1.00,1.00,2.00,3.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7215614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7215622,1.00,3.00,4.00,5.00,6.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7215630,1.00,8.00,1.00,7.00,8.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7215649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7215681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7215690,0.00,3.00,4.00,3.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7215703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7215720,2.00,7.00,1.00,6.00,5.00,7.13,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7215738,3.00,7.00,1.00,7.00,8.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'S'),(28,7215762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7215789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7215819,1.00,2.00,2.00,4.00,4.00,5.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7215827,0.00,3.00,1.00,2.00,3.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7215835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7215843,4.00,6.00,2.00,5.00,5.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7215851,1.00,5.00,4.00,7.00,4.00,8.25,7.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7215886,5.00,5.00,4.00,5.00,7.00,NULL,4.00,6.00,3.00,NULL,NULL,'S','N'),(28,7215894,0.00,5.00,1.00,4.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7215908,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7215916,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7215932,3.00,7.00,2.00,5.00,9.00,8.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7215940,0.00,5.00,1.00,4.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7215959,1.00,4.00,2.00,5.00,5.00,6.38,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7215967,4.00,7.00,3.00,7.00,8.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7215975,0.00,3.00,2.00,5.00,4.00,7.88,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7215991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7216009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7216017,1.00,3.00,3.00,3.00,6.00,6.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7216025,4.00,5.00,4.00,6.00,5.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7216033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7216041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7216050,2.00,6.00,2.00,8.00,8.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7216068,5.00,6.00,2.00,7.00,6.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7216076,3.00,4.00,0.00,3.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7216084,3.00,7.00,2.00,5.00,7.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7216092,0.00,9.00,5.00,4.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7216114,1.00,6.00,2.00,7.00,7.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7216122,0.00,5.00,1.00,6.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7216130,6.00,7.00,2.00,7.00,3.00,6.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7216149,0.00,3.00,1.00,7.00,6.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7216157,0.00,7.00,2.00,6.00,7.00,9.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7216165,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7216173,1.00,3.00,2.00,6.00,6.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7216181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7216190,4.00,8.00,3.00,7.00,7.00,10.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7216211,2.00,4.00,0.00,5.00,4.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7216220,5.00,6.00,1.00,6.00,7.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7216238,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7216246,4.00,6.00,1.00,7.00,9.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7216254,4.00,7.00,3.00,7.00,9.00,0.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7216262,2.00,6.00,3.00,0.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7216270,3.00,3.00,2.00,6.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7216289,0.00,2.00,4.00,6.00,6.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7216297,1.00,5.00,2.00,5.00,4.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7216300,2.00,7.00,1.00,2.00,4.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7216319,2.00,8.00,3.00,5.00,7.00,9.38,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7216327,2.00,5.00,2.00,7.00,6.00,8.25,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7216343,4.00,6.00,4.00,6.00,5.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7216351,1.00,5.00,0.00,6.00,3.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7216360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7216386,0.00,3.00,4.00,5.00,5.00,4.50,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7216394,4.00,8.00,3.00,6.00,7.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7216408,0.00,1.00,4.00,2.00,4.00,7.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7216424,3.00,6.00,3.00,4.00,6.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7216432,0.00,3.00,1.00,4.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7216440,4.00,7.00,1.00,5.00,6.00,5.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7216459,2.00,7.00,1.00,7.00,9.00,11.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7216467,0.00,5.00,4.00,6.00,5.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7216475,0.00,1.00,2.00,5.00,4.00,5.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7216483,5.00,8.00,2.00,6.00,7.00,10.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7216491,3.00,2.00,2.00,1.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7216505,1.00,5.00,5.00,5.00,3.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7216513,3.00,8.00,1.00,4.00,5.00,7.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7216521,3.00,3.00,1.00,1.00,3.00,5.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7216530,3.00,8.00,3.00,6.00,10.00,0.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7216548,3.00,6.00,3.00,5.00,6.00,4.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7216556,0.00,5.00,2.00,4.00,3.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7216564,1.00,4.00,3.00,4.00,6.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7216580,1.00,4.00,1.00,3.00,5.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7216602,4.00,4.00,3.00,6.00,6.00,8.63,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7216610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7216629,2.00,8.00,3.00,6.00,4.00,6.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7216637,1.00,3.00,3.00,2.00,5.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7216688,4.00,6.00,2.00,4.00,6.00,6.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7216696,3.00,1.00,4.00,4.00,4.00,8.25,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7216700,3.00,7.00,4.00,7.00,8.00,8.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7216726,3.00,5.00,1.00,5.00,5.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7216734,1.00,5.00,4.00,5.00,8.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7216742,4.00,9.00,3.00,6.00,9.00,8.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7216750,5.00,8.00,3.00,7.00,6.00,8.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7216769,0.00,2.00,1.00,3.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7216785,3.00,6.00,1.00,7.00,5.00,6.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7216815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7216823,0.00,4.00,3.00,4.00,6.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7216831,1.00,5.00,2.00,4.00,4.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7216840,1.00,4.00,2.00,4.00,4.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7216866,4.00,6.00,1.00,7.00,8.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7216874,2.00,7.00,2.00,6.00,6.00,6.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7216890,0.00,3.00,1.00,5.00,3.00,NULL,1.00,1.00,3.00,NULL,NULL,'S','N'),(28,7216904,4.00,8.00,5.00,8.00,8.00,9.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7216920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7216939,2.00,7.00,2.00,6.00,7.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7216947,3.00,4.00,3.00,4.00,8.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7216963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7216971,0.00,3.00,4.00,2.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7216980,1.00,3.00,2.00,5.00,1.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7216998,1.00,4.00,1.00,6.00,4.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7217005,0.00,1.00,1.00,2.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7217021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7217030,3.00,6.00,1.00,7.00,6.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7217048,2.00,4.00,2.00,5.00,4.00,7.13,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7217056,0.00,3.00,2.00,2.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7217072,4.00,5.00,0.00,3.00,5.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7217080,3.00,7.00,1.00,8.00,7.00,11.25,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7217099,0.00,3.00,1.00,3.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7217102,7.00,8.00,6.00,7.00,9.00,12.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7217110,3.00,6.00,1.00,5.00,7.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7217129,2.00,6.00,2.00,4.00,4.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7217137,2.00,7.00,3.00,7.00,6.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7217145,2.00,6.00,1.00,7.00,8.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7217153,0.00,3.00,1.00,0.00,4.00,3.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7217161,0.00,7.00,2.00,5.00,7.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7217196,2.00,3.00,3.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7217200,2.00,5.00,2.00,3.00,8.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7217226,2.00,5.00,1.00,2.00,3.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7217234,0.00,3.00,3.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7217242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7217250,5.00,5.00,2.00,4.00,6.00,7.50,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7217269,4.00,5.00,3.00,6.00,9.00,9.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7217285,2.00,8.00,5.00,7.00,9.00,11.63,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7217293,5.00,7.00,0.00,7.00,8.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7217307,1.00,7.00,1.00,2.00,1.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7217315,4.00,8.00,3.00,6.00,8.00,7.88,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7217323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7217340,4.00,7.00,3.00,7.00,7.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7217358,0.00,5.00,0.00,7.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7217366,3.00,5.00,1.00,4.00,3.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7217374,2.00,6.00,2.00,4.00,2.00,NULL,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7217382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7217412,1.00,7.00,3.00,6.00,6.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7217439,1.00,2.00,3.00,4.00,4.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7217447,4.00,7.00,2.00,5.00,9.00,9.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7217455,3.00,5.00,1.00,5.00,5.00,11.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7217463,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7217471,2.00,4.00,3.00,6.00,6.00,NULL,3.00,4.00,3.00,NULL,NULL,'S','S'),(28,7217480,4.00,8.00,3.00,4.00,5.00,7.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7217498,0.00,4.00,1.00,2.00,3.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7217501,0.00,2.00,1.00,5.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7217510,1.00,4.00,3.00,4.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7217528,1.00,3.00,2.00,3.00,5.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7217536,0.00,0.00,3.00,6.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7217544,1.00,4.00,1.00,3.00,4.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7217560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7217579,1.00,5.00,4.00,7.00,5.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7217587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7217609,3.00,7.00,1.00,5.00,10.00,6.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7217617,0.00,3.00,1.00,1.00,6.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7217625,0.00,3.00,0.00,1.00,4.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7217633,0.00,3.00,3.00,6.00,5.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7217641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7217650,3.00,7.00,3.00,6.00,6.00,NULL,6.00,6.00,4.00,NULL,NULL,'S','N'),(28,7217668,6.00,6.00,1.00,6.00,8.00,6.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7217676,5.00,9.00,4.00,7.00,10.00,10.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7217684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7217706,5.00,7.00,2.00,4.00,8.00,9.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7217714,1.00,4.00,4.00,4.00,5.00,4.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7217730,3.00,2.00,4.00,4.00,4.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7217749,1.00,4.00,1.00,6.00,5.00,10.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7217757,2.00,2.00,2.00,5.00,4.00,8.63,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7217781,1.00,3.00,0.00,5.00,3.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7217790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7217803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7217811,3.00,5.00,3.00,5.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7217846,3.00,6.00,1.00,6.00,5.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7217854,3.00,7.00,3.00,5.00,3.00,5.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7217862,2.00,6.00,2.00,5.00,5.00,7.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7217870,2.00,6.00,2.00,5.00,8.00,9.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7217889,4.00,3.00,2.00,4.00,3.00,7.13,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7217897,1.00,6.00,3.00,5.00,2.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7217900,2.00,5.00,2.00,7.00,3.00,8.25,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7217919,3.00,3.00,3.00,6.00,3.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7217927,1.00,0.00,3.00,8.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7217935,2.00,3.00,1.00,2.00,4.00,7.50,2.00,0.00,4.00,NULL,NULL,NULL,'N'),(28,7217943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7217951,1.00,3.00,1.00,0.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7217960,6.00,8.00,0.00,7.00,10.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7217978,0.00,2.00,3.00,4.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7217986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7217994,3.00,6.00,1.00,4.00,4.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7218001,2.00,7.00,2.00,5.00,9.00,10.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7218010,2.00,4.00,3.00,5.00,4.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7218028,4.00,4.00,1.00,4.00,6.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7218036,0.00,4.00,2.00,5.00,6.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7218044,3.00,8.00,1.00,7.00,8.00,8.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7218060,6.00,8.00,6.00,7.00,5.00,6.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7218079,2.00,6.00,2.00,6.00,6.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7218087,4.00,6.00,2.00,5.00,4.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7218109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7218117,5.00,8.00,6.00,7.00,6.00,7.88,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7218125,4.00,8.00,1.00,8.00,10.00,12.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7218168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7218176,2.00,5.00,2.00,6.00,5.00,7.13,4.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7218184,4.00,6.00,2.00,4.00,6.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7218206,0.00,5.00,1.00,6.00,3.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7218214,2.00,3.00,2.00,2.00,6.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7218249,1.00,6.00,2.00,5.00,3.00,3.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7218257,4.00,5.00,2.00,6.00,7.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7218273,1.00,8.00,1.00,5.00,6.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7218281,2.00,7.00,0.00,6.00,3.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7218290,1.00,5.00,1.00,4.00,5.00,4.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7218311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7218320,0.00,5.00,2.00,4.00,5.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7218338,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7218346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7218354,0.00,6.00,1.00,6.00,8.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7218370,3.00,5.00,3.00,5.00,7.00,8.63,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7218389,2.00,3.00,1.00,4.00,6.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7218397,8.00,8.00,5.00,6.00,7.00,11.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7218400,2.00,7.00,0.00,6.00,7.00,8.63,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7218419,2.00,6.00,0.00,2.00,2.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7218427,1.00,2.00,1.00,5.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7218435,1.00,6.00,1.00,5.00,7.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7218443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7218460,0.00,4.00,1.00,3.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7218478,2.00,4.00,2.00,6.00,3.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7218486,4.00,7.00,4.00,8.00,5.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7218494,3.00,7.00,1.00,4.00,7.00,4.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7218508,0.00,5.00,3.00,5.00,4.00,7.50,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7218516,0.00,5.00,3.00,6.00,6.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7218524,3.00,5.00,1.00,6.00,5.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7218559,6.00,8.00,6.00,8.00,9.00,7.13,7.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7218567,1.00,4.00,1.00,3.00,4.00,2.25,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7218575,4.00,7.00,3.00,6.00,10.00,11.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7218583,1.00,4.00,2.00,5.00,5.00,5.63,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7218591,3.00,7.00,1.00,6.00,7.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7218605,6.00,8.00,6.00,7.00,10.00,10.88,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7218613,2.00,2.00,1.00,4.00,4.00,4.50,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7218630,2.00,8.00,2.00,7.00,6.00,8.63,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7218648,2.00,3.00,1.00,5.00,6.00,6.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7218656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7218664,5.00,6.00,2.00,6.00,5.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7218672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7218680,4.00,5.00,0.00,4.00,7.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7218699,1.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7218702,2.00,4.00,2.00,3.00,3.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7218710,2.00,5.00,3.00,6.00,7.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7218729,1.00,2.00,1.00,2.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7218745,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7218753,3.00,6.00,2.00,6.00,5.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7218761,5.00,9.00,2.00,6.00,4.00,8.25,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7218770,1.00,2.00,2.00,5.00,4.00,5.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7218796,0.00,4.00,4.00,6.00,5.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7218800,3.00,5.00,2.00,7.00,8.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7218818,2.00,7.00,1.00,7.00,9.00,10.50,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7218834,4.00,7.00,4.00,5.00,7.00,8.63,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7218842,5.00,8.00,3.00,7.00,7.00,11.25,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7218850,1.00,5.00,3.00,5.00,3.00,5.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7218869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7218877,0.00,3.00,2.00,1.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7218885,4.00,6.00,4.00,4.00,7.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7218893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7218907,1.00,7.00,2.00,5.00,6.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7218923,0.00,5.00,1.00,2.00,5.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7218931,4.00,8.00,2.00,6.00,9.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7218940,1.00,3.00,1.00,0.00,6.00,3.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7218974,0.00,5.00,4.00,6.00,4.00,3.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7218982,1.00,4.00,1.00,2.00,3.00,0.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7218990,4.00,5.00,1.00,6.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7219008,1.00,5.00,2.00,5.00,7.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7219016,4.00,8.00,4.00,6.00,7.00,9.38,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7219024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7219032,3.00,4.00,1.00,2.00,3.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7219040,3.00,4.00,3.00,6.00,5.00,5.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7219059,0.00,4.00,4.00,1.00,3.00,5.25,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7219067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7219075,5.00,7.00,4.00,7.00,7.00,10.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7219091,2.00,6.00,3.00,6.00,4.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7219113,5.00,7.00,3.00,7.00,8.00,8.63,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7219121,3.00,7.00,3.00,7.00,5.00,6.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7219148,5.00,7.00,4.00,7.00,10.00,7.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7219164,1.00,0.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7219172,2.00,4.00,3.00,1.00,5.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7219180,6.00,8.00,1.00,6.00,9.00,8.63,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7219199,4.00,6.00,2.00,7.00,7.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7219202,3.00,6.00,1.00,6.00,8.00,7.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7219210,0.00,4.00,2.00,4.00,6.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7219229,1.00,3.00,2.00,7.00,5.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7219245,2.00,1.00,4.00,2.00,4.00,7.50,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7219253,4.00,5.00,2.00,5.00,7.00,7.13,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7219261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7219296,4.00,6.00,2.00,2.00,4.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7219300,3.00,5.00,2.00,6.00,4.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7219318,3.00,4.00,4.00,4.00,6.00,5.63,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7219326,5.00,6.00,3.00,6.00,9.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7219342,4.00,7.00,3.00,6.00,9.00,9.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7219369,1.00,3.00,1.00,2.00,3.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7219377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7219385,5.00,5.00,0.00,5.00,5.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7219407,0.00,4.00,2.00,1.00,5.00,0.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7219423,4.00,7.00,3.00,7.00,7.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7219431,2.00,7.00,2.00,4.00,3.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7219440,2.00,9.00,5.00,7.00,7.00,7.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7219458,5.00,8.00,5.00,7.00,6.00,10.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7219466,1.00,5.00,1.00,6.00,6.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7219474,2.00,3.00,1.00,7.00,5.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7219482,2.00,4.00,2.00,1.00,4.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7219520,2.00,4.00,1.00,2.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7219539,2.00,6.00,2.00,5.00,6.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7219547,1.00,1.00,2.00,2.00,5.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7219555,1.00,5.00,2.00,4.00,4.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7219563,3.00,6.00,1.00,6.00,6.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7219571,4.00,4.00,2.00,6.00,7.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7219580,1.00,4.00,2.00,2.00,3.00,10.50,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7219598,2.00,5.00,4.00,5.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7219601,5.00,7.00,3.00,7.00,7.00,10.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7219628,1.00,5.00,3.00,4.00,5.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7219636,2.00,4.00,2.00,4.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7219644,4.00,7.00,3.00,4.00,8.00,9.38,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7219687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7219695,6.00,8.00,1.00,8.00,9.00,10.88,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7219733,5.00,7.00,2.00,4.00,5.00,11.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7219741,5.00,7.00,4.00,7.00,7.00,11.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7219768,4.00,4.00,2.00,6.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7219776,2.00,7.00,3.00,4.00,6.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7219784,2.00,6.00,1.00,3.00,7.00,7.88,1.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7219792,0.00,2.00,3.00,3.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7219806,2.00,4.00,1.00,3.00,6.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7219814,4.00,5.00,4.00,5.00,6.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7219830,0.00,3.00,0.00,2.00,1.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7219849,2.00,8.00,3.00,7.00,7.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7219857,5.00,7.00,4.00,7.00,9.00,9.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7219873,4.00,8.00,0.00,1.00,4.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7219890,3.00,8.00,1.00,5.00,5.00,7.13,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7219911,2.00,5.00,2.00,5.00,8.00,7.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7219920,2.00,2.00,0.00,3.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7219938,2.00,5.00,2.00,4.00,7.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7219946,2.00,5.00,2.00,7.00,5.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7219954,4.00,5.00,0.00,7.00,5.00,10.50,1.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7219989,2.00,8.00,2.00,6.00,6.00,7.88,1.00,8.00,3.00,NULL,NULL,NULL,'S'),(28,7219997,2.00,6.00,2.00,6.00,6.00,7.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7220006,3.00,3.00,1.00,5.00,3.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7220014,3.00,5.00,2.00,4.00,5.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7220022,7.00,7.00,3.00,7.00,8.00,7.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7220030,1.00,3.00,0.00,3.00,6.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7220049,0.00,4.00,2.00,4.00,4.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7220057,2.00,5.00,2.00,2.00,6.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7220065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7220073,6.00,5.00,1.00,4.00,7.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7220081,2.00,8.00,4.00,6.00,9.00,10.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7220090,0.00,5.00,2.00,6.00,5.00,7.88,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7220111,5.00,8.00,1.00,5.00,7.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7220138,7.00,8.00,3.00,8.00,9.00,9.00,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7220146,4.00,0.00,2.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7220154,0.00,0.00,4.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(28,7220162,6.00,7.00,2.00,6.00,7.00,9.38,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7220170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7220189,2.00,5.00,2.00,6.00,7.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7220197,0.00,6.00,3.00,1.00,2.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7220200,2.00,7.00,1.00,6.00,7.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7220227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7220235,5.00,7.00,4.00,4.00,7.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7220243,5.00,8.00,1.00,7.00,5.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7220251,3.00,6.00,3.00,6.00,7.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7220278,1.00,6.00,1.00,4.00,6.00,8.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7220286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7220294,4.00,6.00,1.00,6.00,7.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7220308,2.00,4.00,1.00,5.00,7.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7220316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7220332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7220367,6.00,7.00,3.00,5.00,7.00,13.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7220375,1.00,3.00,1.00,4.00,5.00,5.63,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7220383,4.00,5.00,2.00,6.00,7.00,10.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7220391,4.00,4.00,2.00,5.00,7.00,9.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7220405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7220421,6.00,8.00,2.00,5.00,7.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7220430,6.00,7.00,2.00,6.00,8.00,11.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7220448,2.00,7.00,3.00,8.00,7.00,7.88,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7220456,9.00,7.00,5.00,6.00,9.00,10.13,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7220464,3.00,6.00,2.00,7.00,7.00,11.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7220472,0.00,3.00,3.00,1.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7220480,1.00,1.00,3.00,1.00,1.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7220502,3.00,6.00,1.00,7.00,8.00,11.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7220510,0.00,5.00,2.00,2.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7220529,4.00,6.00,1.00,3.00,7.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7220537,4.00,6.00,5.00,3.00,6.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7220545,2.00,6.00,2.00,4.00,3.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7220553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7220596,5.00,7.00,3.00,6.00,6.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7220600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7220618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7220626,0.00,1.00,0.00,4.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7220634,2.00,6.00,1.00,7.00,5.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7220642,1.00,5.00,2.00,7.00,5.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7220650,3.00,6.00,5.00,6.00,6.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7220669,3.00,5.00,1.00,6.00,3.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7220685,6.00,0.00,2.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7220693,7.00,7.00,4.00,7.00,9.00,12.00,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7220707,0.00,6.00,1.00,5.00,5.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7220715,0.00,6.00,3.00,6.00,5.00,7.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7220723,1.00,8.00,1.00,7.00,10.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7220731,3.00,7.00,3.00,4.00,6.00,7.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7220740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7220758,3.00,4.00,3.00,8.00,9.00,9.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7220766,3.00,7.00,2.00,7.00,6.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7220782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7220790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7220804,0.00,5.00,1.00,5.00,5.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7220820,7.00,6.00,4.00,5.00,9.00,9.75,6.00,4.00,8.00,NULL,NULL,NULL,'N'),(28,7220839,1.00,5.00,1.00,5.00,4.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7220847,3.00,6.00,2.00,4.00,8.00,10.50,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7220855,4.00,6.00,1.00,2.00,5.00,5.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7220871,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7220880,6.00,7.00,4.00,5.00,9.00,11.25,4.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7220898,1.00,3.00,2.00,4.00,3.00,5.63,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7220901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7220910,3.00,3.00,1.00,4.00,5.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7220928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7220936,4.00,8.00,4.00,6.00,10.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7220944,1.00,6.00,3.00,3.00,4.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7220952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7220979,1.00,6.00,1.00,3.00,4.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7220987,4.00,5.00,1.00,3.00,8.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7220995,0.00,4.00,2.00,3.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7221002,7.00,7.00,1.00,7.00,9.00,7.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7221010,1.00,7.00,1.00,7.00,7.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7221029,4.00,8.00,4.00,6.00,9.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7221037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7221045,3.00,3.00,2.00,5.00,4.00,3.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7221061,1.00,4.00,2.00,6.00,7.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7221070,0.00,0.00,4.00,5.00,4.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7221088,4.00,7.00,5.00,4.00,9.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7221096,6.00,9.00,1.00,7.00,8.00,7.13,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7221100,7.00,8.00,4.00,7.00,10.00,9.00,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7221118,4.00,8.00,4.00,7.00,4.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7221126,6.00,9.00,3.00,7.00,8.00,5.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7221134,2.00,4.00,3.00,6.00,7.00,7.88,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7221142,1.00,3.00,4.00,4.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7221150,1.00,3.00,2.00,3.00,5.00,6.75,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7221169,2.00,6.00,2.00,5.00,5.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7221177,1.00,6.00,3.00,5.00,6.00,4.50,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7221207,4.00,7.00,5.00,6.00,8.00,11.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7221215,0.00,3.00,1.00,5.00,4.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7221258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7221266,2.00,7.00,3.00,3.00,8.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7221274,6.00,8.00,1.00,7.00,9.00,7.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7221290,4.00,7.00,3.00,7.00,7.00,9.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7221304,4.00,7.00,4.00,7.00,4.00,11.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7221312,2.00,4.00,1.00,3.00,3.00,5.63,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7221320,2.00,5.00,3.00,4.00,6.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7221339,1.00,3.00,0.00,4.00,3.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7221347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7221355,3.00,8.00,0.00,2.00,4.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7221363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7221371,3.00,6.00,3.00,6.00,9.00,9.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7221398,5.00,6.00,3.00,6.00,8.00,10.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7221401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7221410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7221428,5.00,8.00,4.00,6.00,6.00,9.75,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7221436,3.00,6.00,4.00,7.00,7.00,6.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7221444,2.00,7.00,2.00,6.00,4.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7221460,6.00,7.00,6.00,7.00,7.00,12.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7221479,1.00,4.00,0.00,5.00,8.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7221487,0.00,2.00,1.00,5.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7221509,5.00,8.00,2.00,6.00,7.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7221525,3.00,8.00,2.00,3.00,4.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7221533,0.00,5.00,2.00,7.00,6.00,5.25,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7221550,1.00,7.00,1.00,6.00,8.00,6.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7221568,0.00,2.00,3.00,3.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7221576,3.00,7.00,2.00,4.00,5.00,6.38,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7221584,3.00,4.00,3.00,3.00,5.00,7.13,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7221592,0.00,3.00,1.00,7.00,3.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7221606,3.00,5.00,1.00,5.00,6.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7221614,0.00,3.00,2.00,1.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7221622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7221649,4.00,5.00,1.00,4.00,8.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7221657,0.00,4.00,2.00,3.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7221665,5.00,6.00,4.00,3.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7221673,1.00,5.00,1.00,3.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7221681,1.00,7.00,2.00,4.00,3.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7221690,3.00,5.00,1.00,5.00,6.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7221703,4.00,8.00,2.00,7.00,8.00,12.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7221711,0.00,4.00,2.00,4.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7221720,2.00,4.00,2.00,5.00,5.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7221746,1.00,3.00,3.00,6.00,7.00,10.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7221754,2.00,4.00,1.00,4.00,4.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7221762,2.00,3.00,2.00,6.00,6.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7221770,3.00,6.00,2.00,6.00,7.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7221789,2.00,6.00,2.00,6.00,7.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7221819,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7221827,3.00,4.00,1.00,1.00,4.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7221843,3.00,7.00,5.00,7.00,9.00,8.25,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7221860,1.00,6.00,2.00,5.00,8.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7221878,3.00,6.00,1.00,5.00,7.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7221886,5.00,6.00,3.00,6.00,6.00,8.63,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7221894,2.00,6.00,2.00,4.00,8.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7221908,5.00,7.00,2.00,5.00,7.00,7.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7221924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7221932,5.00,7.00,1.00,8.00,10.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7221967,0.00,4.00,1.00,3.00,6.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7221975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7221983,3.00,7.00,3.00,5.00,1.00,NULL,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7221991,1.00,5.00,2.00,4.00,5.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7222009,0.00,5.00,2.00,5.00,3.00,0.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7222017,7.00,8.00,4.00,6.00,8.00,11.63,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7222025,0.00,5.00,3.00,3.00,4.00,6.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7222033,3.00,6.00,0.00,7.00,7.00,9.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7222041,2.00,4.00,2.00,2.00,3.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7222068,0.00,3.00,1.00,0.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7222076,1.00,2.00,2.00,2.00,4.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7222084,3.00,4.00,1.00,1.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7222092,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7222106,0.00,3.00,2.00,1.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7222114,1.00,5.00,1.00,4.00,3.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7222122,0.00,4.00,1.00,6.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7222130,2.00,8.00,4.00,2.00,5.00,6.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7222149,4.00,5.00,3.00,5.00,4.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7222157,1.00,7.00,2.00,5.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7222165,3.00,6.00,2.00,7.00,8.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7222173,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7222181,0.00,3.00,2.00,1.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7222190,1.00,1.00,1.00,4.00,5.00,5.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7222203,1.00,6.00,0.00,5.00,10.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7222211,1.00,5.00,2.00,5.00,9.00,10.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7222220,0.00,4.00,4.00,3.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7222238,6.00,8.00,2.00,6.00,7.00,8.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7222246,1.00,5.00,4.00,3.00,4.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7222254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7222270,3.00,7.00,0.00,4.00,6.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7222289,5.00,6.00,1.00,7.00,4.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7222297,0.00,6.00,1.00,3.00,5.00,10.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7222300,5.00,8.00,2.00,7.00,9.00,8.63,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7222319,3.00,5.00,2.00,6.00,6.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7222327,2.00,5.00,1.00,3.00,6.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7222335,0.00,2.00,2.00,3.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7222351,2.00,3.00,1.00,1.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7222360,2.00,6.00,2.00,6.00,6.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7222378,1.00,2.00,2.00,4.00,4.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7222386,5.00,5.00,5.00,6.00,7.00,8.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7222394,6.00,9.00,1.00,8.00,10.00,7.88,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7222416,1.00,4.00,2.00,3.00,3.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7222432,4.00,5.00,3.00,7.00,8.00,11.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7222459,0.00,7.00,3.00,6.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7222467,0.00,4.00,2.00,4.00,4.00,6.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7222491,4.00,5.00,2.00,6.00,6.00,11.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7222505,1.00,7.00,2.00,6.00,5.00,7.88,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7222521,3.00,5.00,2.00,7.00,8.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7222548,3.00,8.00,1.00,7.00,7.00,7.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7222564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7222572,0.00,5.00,2.00,4.00,6.00,NULL,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7222580,5.00,7.00,1.00,7.00,3.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7222602,0.00,2.00,1.00,2.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7222610,3.00,8.00,1.00,7.00,8.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7222645,3.00,7.00,1.00,5.00,8.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7222653,5.00,6.00,2.00,6.00,7.00,10.13,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7222670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7222688,3.00,6.00,1.00,4.00,8.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7222696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7222700,0.00,5.00,2.00,1.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7222734,4.00,8.00,1.00,5.00,10.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7222742,0.00,4.00,2.00,3.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7222793,0.00,7.00,3.00,7.00,4.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7222807,3.00,4.00,3.00,7.00,9.00,11.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7222815,5.00,6.00,2.00,5.00,8.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7222823,1.00,6.00,2.00,5.00,4.00,9.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7222831,3.00,4.00,1.00,1.00,4.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7222840,4.00,7.00,2.00,6.00,4.00,10.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7222858,2.00,5.00,2.00,7.00,4.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7222866,2.00,6.00,2.00,6.00,6.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7222874,3.00,6.00,1.00,7.00,7.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7222912,3.00,3.00,1.00,6.00,5.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7222920,1.00,3.00,2.00,0.00,4.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7222939,3.00,7.00,1.00,6.00,7.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7222947,7.00,6.00,4.00,6.00,6.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7222955,5.00,5.00,2.00,6.00,7.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7222963,4.00,7.00,2.00,6.00,10.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7222980,3.00,8.00,1.00,6.00,8.00,12.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7222998,2.00,6.00,3.00,6.00,7.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7223005,0.00,1.00,2.00,5.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7223013,5.00,7.00,4.00,6.00,9.00,10.13,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7223021,1.00,4.00,3.00,4.00,4.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7223030,0.00,0.00,0.00,0.00,3.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7223048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7223056,0.00,4.00,0.00,4.00,4.00,5.25,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7223064,1.00,5.00,2.00,5.00,4.00,7.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7223072,0.00,6.00,1.00,3.00,5.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7223080,3.00,5.00,3.00,6.00,4.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7223099,1.00,4.00,1.00,3.00,3.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7223102,6.00,8.00,3.00,7.00,9.00,10.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7223110,0.00,0.00,1.00,3.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7223137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7223145,0.00,5.00,3.00,6.00,5.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7223153,4.00,7.00,3.00,6.00,8.00,12.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7223161,0.00,4.00,0.00,3.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7223188,2.00,7.00,2.00,7.00,7.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7223196,1.00,2.00,1.00,6.00,5.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7223200,3.00,7.00,2.00,7.00,8.00,9.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7223218,0.00,6.00,0.00,5.00,4.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7223234,2.00,6.00,1.00,5.00,3.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7223242,3.00,7.00,3.00,4.00,7.00,7.88,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7223250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7223269,0.00,3.00,2.00,0.00,5.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7223277,1.00,7.00,3.00,5.00,4.00,5.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7223285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7223293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7223315,0.00,4.00,3.00,5.00,6.00,4.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7223323,3.00,6.00,2.00,4.00,7.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7223358,3.00,5.00,4.00,4.00,6.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7223366,3.00,7.00,3.00,5.00,6.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7223374,1.00,4.00,2.00,1.00,4.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7223390,7.00,5.00,2.00,7.00,9.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7223404,3.00,6.00,3.00,7.00,6.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7223412,2.00,3.00,0.00,5.00,8.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7223420,2.00,4.00,1.00,3.00,3.00,4.88,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7223447,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7223455,2.00,8.00,1.00,2.00,7.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7223463,1.00,5.00,2.00,6.00,3.00,7.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7223471,2.00,6.00,2.00,4.00,7.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7223498,2.00,7.00,1.00,5.00,8.00,8.63,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7223501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7223510,5.00,7.00,3.00,8.00,10.00,10.50,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7223528,0.00,5.00,1.00,3.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7223536,5.00,7.00,1.00,7.00,6.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7223544,1.00,4.00,1.00,4.00,5.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7223579,0.00,5.00,2.00,2.00,3.00,4.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7223587,0.00,6.00,2.00,6.00,9.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7223595,0.00,4.00,3.00,4.00,8.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7223609,4.00,6.00,1.00,4.00,5.00,6.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7223617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7223633,3.00,7.00,2.00,2.00,6.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7223668,4.00,8.00,2.00,3.00,8.00,8.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7223684,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7223692,1.00,7.00,4.00,7.00,5.00,6.00,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7223706,1.00,4.00,1.00,3.00,5.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7223714,5.00,3.00,2.00,6.00,4.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7223722,6.00,8.00,3.00,8.00,8.00,10.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7223749,1.00,1.00,4.00,5.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7223757,2.00,6.00,1.00,6.00,6.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7223765,5.00,7.00,5.00,5.00,6.00,9.38,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7223781,4.00,6.00,7.00,6.00,9.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7223790,0.00,4.00,2.00,3.00,3.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7223803,1.00,3.00,3.00,2.00,5.00,7.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7223846,3.00,7.00,2.00,6.00,7.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7223854,5.00,6.00,3.00,7.00,8.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7223862,5.00,6.00,1.00,6.00,8.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7223870,2.00,2.00,1.00,5.00,6.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7223889,1.00,6.00,1.00,5.00,6.00,4.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7223897,3.00,6.00,2.00,7.00,6.00,10.13,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7223900,1.00,6.00,3.00,5.00,8.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7223919,3.00,6.00,3.00,6.00,7.00,9.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7223927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7223935,1.00,8.00,1.00,6.00,3.00,7.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7223943,5.00,9.00,3.00,7.00,8.00,10.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7223951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7223960,3.00,5.00,0.00,4.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7223986,0.00,6.00,2.00,4.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7223994,6.00,7.00,4.00,7.00,9.00,8.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7224001,3.00,7.00,3.00,5.00,10.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7224010,4.00,6.00,3.00,7.00,10.00,10.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7224028,2.00,4.00,1.00,5.00,5.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7224036,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7224044,4.00,7.00,3.00,6.00,9.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7224052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7224060,2.00,5.00,1.00,3.00,7.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7224087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7224109,3.00,6.00,3.00,5.00,7.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7224117,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7224125,5.00,7.00,0.00,4.00,10.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7224133,0.00,8.00,3.00,4.00,6.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7224141,0.00,4.00,2.00,2.00,5.00,3.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7224150,0.00,5.00,0.00,5.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7224168,6.00,6.00,1.00,4.00,8.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7224184,0.00,5.00,2.00,4.00,5.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7224192,3.00,5.00,3.00,3.00,2.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7224214,1.00,5.00,4.00,7.00,6.00,7.88,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7224222,2.00,5.00,1.00,3.00,3.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7224230,0.00,3.00,3.00,2.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7224249,1.00,4.00,1.00,3.00,8.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7224257,3.00,4.00,3.00,5.00,3.00,4.50,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7224281,1.00,6.00,2.00,6.00,7.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7224290,1.00,2.00,2.00,4.00,3.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7224303,1.00,4.00,4.00,5.00,5.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7224311,2.00,3.00,0.00,1.00,4.00,4.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7224320,0.00,5.00,0.00,0.00,0.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7224346,2.00,4.00,2.00,5.00,6.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7224354,3.00,4.00,2.00,5.00,5.00,4.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7224370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7224389,6.00,7.00,7.00,8.00,5.00,11.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7224397,1.00,3.00,2.00,2.00,5.00,5.63,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7224419,0.00,4.00,2.00,4.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7224427,1.00,5.00,1.00,4.00,3.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7224443,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7224451,6.00,5.00,3.00,5.00,6.00,10.13,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7224478,1.00,5.00,1.00,7.00,4.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7224494,5.00,7.00,1.00,6.00,6.00,7.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7224508,1.00,3.00,1.00,6.00,5.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7224516,0.00,4.00,1.00,3.00,4.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7224532,5.00,8.00,2.00,6.00,7.00,10.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7224540,0.00,4.00,0.00,7.00,5.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7224567,2.00,5.00,0.00,2.00,5.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7224575,2.00,3.00,1.00,1.00,3.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7224583,2.00,4.00,0.00,6.00,5.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7224591,3.00,4.00,5.00,1.00,4.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7224605,2.00,6.00,3.00,6.00,5.00,5.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7224613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7224621,5.00,8.00,4.00,6.00,7.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7224630,3.00,7.00,3.00,7.00,8.00,9.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7224656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7224664,1.00,5.00,2.00,5.00,3.00,6.00,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7224672,1.00,6.00,1.00,6.00,4.00,8.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7224680,2.00,3.00,1.00,4.00,5.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7224699,2.00,2.00,3.00,4.00,4.00,3.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7224702,4.00,7.00,2.00,6.00,6.00,7.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7224710,1.00,5.00,2.00,2.00,4.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7224737,2.00,6.00,0.00,3.00,4.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7224745,2.00,5.00,1.00,2.00,6.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7224753,3.00,6.00,2.00,5.00,4.00,8.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7224761,5.00,7.00,3.00,5.00,8.00,9.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7224770,4.00,8.00,1.00,6.00,5.00,7.13,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7224788,0.00,3.00,2.00,2.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7224796,0.00,4.00,3.00,7.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7224800,2.00,4.00,1.00,7.00,7.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7224818,2.00,2.00,2.00,4.00,5.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7224834,1.00,5.00,3.00,4.00,4.00,7.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7224842,6.00,8.00,1.00,6.00,8.00,7.13,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7224850,0.00,2.00,2.00,4.00,5.00,5.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7224869,5.00,5.00,4.00,7.00,6.00,7.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7224877,3.00,6.00,1.00,6.00,4.00,9.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7224893,0.00,1.00,2.00,3.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7224907,1.00,4.00,0.00,5.00,5.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7224915,0.00,4.00,2.00,7.00,6.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7224923,3.00,7.00,2.00,6.00,8.00,8.63,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7224931,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7224940,0.00,5.00,2.00,3.00,2.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7224958,1.00,3.00,1.00,2.00,3.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7224966,4.00,6.00,5.00,5.00,7.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7224974,4.00,8.00,5.00,7.00,7.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7224990,0.00,5.00,1.00,7.00,8.00,10.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7225008,0.00,7.00,1.00,3.00,6.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7225016,2.00,7.00,2.00,6.00,7.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7225024,5.00,8.00,1.00,7.00,7.00,10.88,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7225032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7225040,1.00,4.00,1.00,3.00,4.00,6.75,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7225067,3.00,6.00,1.00,1.00,7.00,5.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7225075,2.00,7.00,2.00,6.00,5.00,8.63,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7225083,8.00,9.00,4.00,5.00,8.00,11.25,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7225091,1.00,5.00,1.00,2.00,5.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7225105,4.00,6.00,3.00,4.00,3.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7225113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7225121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7225130,2.00,3.00,1.00,2.00,3.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7225148,3.00,6.00,2.00,5.00,3.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7225164,6.00,8.00,1.00,7.00,9.00,9.00,1.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7225172,0.00,5.00,1.00,3.00,5.00,8.63,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7225180,1.00,6.00,1.00,4.00,7.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7225202,1.00,0.00,1.00,2.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7225210,3.00,3.00,1.00,7.00,4.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7225229,1.00,6.00,4.00,4.00,5.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7225237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7225245,0.00,4.00,1.00,2.00,5.00,NULL,6.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7225253,1.00,4.00,1.00,6.00,4.00,6.75,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7225261,0.00,3.00,2.00,3.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7225270,1.00,5.00,3.00,7.00,4.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7225296,1.00,5.00,1.00,4.00,2.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7225300,0.00,4.00,2.00,7.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7225318,2.00,6.00,2.00,6.00,4.00,8.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7225326,0.00,4.00,1.00,4.00,3.00,4.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7225334,2.00,6.00,4.00,8.00,9.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7225342,3.00,7.00,1.00,8.00,7.00,7.13,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7225350,1.00,5.00,5.00,5.00,4.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7225369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7225377,0.00,5.00,2.00,4.00,5.00,7.50,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7225407,3.00,6.00,2.00,5.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7225423,6.00,8.00,1.00,6.00,8.00,7.13,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7225431,3.00,7.00,2.00,3.00,8.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7225440,0.00,3.00,2.00,6.00,4.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7225458,2.00,6.00,2.00,7.00,7.00,6.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7225466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7225474,1.00,3.00,1.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'S'),(28,7225482,0.00,4.00,1.00,4.00,4.00,6.75,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7225490,4.00,7.00,2.00,7.00,9.00,10.13,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7225512,2.00,5.00,1.00,5.00,4.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7225547,0.00,3.00,1.00,2.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7225555,3.00,7.00,0.00,6.00,9.00,12.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7225563,1.00,4.00,1.00,4.00,2.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7225571,0.00,4.00,2.00,3.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7225580,3.00,5.00,2.00,6.00,5.00,6.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7225598,0.00,4.00,2.00,1.00,3.00,6.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7225601,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7225610,3.00,6.00,4.00,5.00,6.00,5.63,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7225636,0.00,5.00,3.00,5.00,7.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7225644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7225652,0.00,5.00,1.00,3.00,3.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7225679,2.00,6.00,3.00,6.00,7.00,7.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7225695,1.00,3.00,2.00,3.00,5.00,7.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7225709,4.00,3.00,2.00,2.00,3.00,3.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7225717,0.00,2.00,2.00,3.00,4.00,4.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7225725,3.00,9.00,4.00,7.00,10.00,11.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7225733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7225741,5.00,6.00,2.00,6.00,7.00,6.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7225768,2.00,2.00,2.00,5.00,5.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7225776,0.00,2.00,1.00,2.00,3.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7225784,1.00,4.00,2.00,6.00,4.00,10.13,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7225806,0.00,6.00,4.00,2.00,4.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7225814,2.00,4.00,2.00,5.00,5.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7225822,2.00,6.00,2.00,7.00,5.00,2.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7225830,3.00,6.00,1.00,6.00,7.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7225849,3.00,1.00,1.00,6.00,3.00,5.25,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7225857,0.00,5.00,5.00,3.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7225865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7225881,1.00,7.00,3.00,6.00,5.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7225903,0.00,4.00,1.00,3.00,4.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7225911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7225920,1.00,4.00,3.00,6.00,7.00,5.63,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7225954,0.00,2.00,0.00,3.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7225962,4.00,7.00,3.00,7.00,8.00,12.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7225970,3.00,0.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7225989,0.00,6.00,1.00,3.00,4.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7225997,3.00,5.00,1.00,5.00,6.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7226004,3.00,4.00,2.00,4.00,7.00,9.38,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7226012,0.00,3.00,2.00,2.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7226020,5.00,7.00,3.00,6.00,7.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7226039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7226063,0.00,3.00,0.00,2.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7226071,3.00,5.00,3.00,7.00,7.00,12.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7226080,5.00,6.00,1.00,6.00,6.00,7.88,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7226098,2.00,6.00,2.00,5.00,10.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7226101,2.00,4.00,1.00,3.00,4.00,4.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7226110,1.00,3.00,0.00,6.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'S'),(28,7226128,5.00,7.00,3.00,7.00,11.00,12.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7226136,2.00,5.00,1.00,4.00,6.00,5.25,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7226152,3.00,5.00,3.00,5.00,8.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7226160,2.00,6.00,3.00,7.00,5.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7226179,3.00,6.00,1.00,5.00,6.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7226187,0.00,1.00,2.00,4.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7226217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7226225,2.00,6.00,2.00,4.00,4.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7226241,2.00,7.00,2.00,7.00,7.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7226250,2.00,4.00,2.00,6.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7226284,3.00,7.00,3.00,6.00,5.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7226306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7226314,0.00,3.00,3.00,2.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,'S','N'),(28,7226365,3.00,5.00,3.00,5.00,5.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7226373,0.00,7.00,3.00,6.00,7.00,9.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7226381,3.00,7.00,4.00,7.00,6.00,8.25,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7226390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7226403,1.00,4.00,2.00,5.00,7.00,6.38,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7226411,6.00,7.00,2.00,7.00,5.00,10.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7226420,3.00,4.00,3.00,4.00,6.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7226438,4.00,6.00,3.00,4.00,6.00,7.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7226446,1.00,3.00,2.00,4.00,4.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7226454,5.00,5.00,0.00,3.00,5.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7226462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7226489,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7226497,0.00,1.00,2.00,1.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7226500,1.00,4.00,1.00,4.00,6.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7226519,1.00,6.00,1.00,7.00,5.00,9.00,0.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7226535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7226543,1.00,4.00,0.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'S'),(28,7226551,2.00,8.00,4.00,6.00,7.00,6.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7226560,0.00,4.00,1.00,5.00,7.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7226578,0.00,3.00,1.00,5.00,7.00,6.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7226586,0.00,4.00,0.00,1.00,5.00,5.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7226624,2.00,7.00,3.00,3.00,4.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7226632,3.00,6.00,3.00,3.00,5.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7226640,4.00,5.00,3.00,6.00,8.00,11.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7226659,2.00,0.00,1.00,4.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7226667,0.00,5.00,2.00,5.00,6.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7226675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7226683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7226691,5.00,7.00,2.00,4.00,7.00,11.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7226705,2.00,6.00,3.00,6.00,7.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7226713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7226721,1.00,3.00,3.00,0.00,3.00,4.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7226748,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7226756,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7226764,0.00,3.00,1.00,2.00,2.00,NULL,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7226772,3.00,6.00,2.00,5.00,6.00,7.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7226799,3.00,7.00,2.00,5.00,5.00,9.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7226802,3.00,6.00,1.00,3.00,4.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7226810,4.00,2.00,1.00,6.00,6.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7226837,4.00,8.00,3.00,7.00,8.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7226845,1.00,2.00,3.00,7.00,4.00,11.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7226853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7226861,1.00,7.00,1.00,6.00,3.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7226870,1.00,5.00,1.00,7.00,8.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7226888,4.00,7.00,3.00,6.00,7.00,10.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7226896,2.00,6.00,0.00,6.00,5.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7226900,7.00,8.00,7.00,6.00,9.00,7.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7226918,0.00,5.00,4.00,7.00,7.00,5.63,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7226934,0.00,2.00,5.00,6.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(28,7226950,3.00,6.00,4.00,4.00,7.00,10.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7226969,3.00,8.00,1.00,5.00,7.00,4.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7226977,0.00,2.00,1.00,0.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7226993,3.00,7.00,5.00,7.00,9.00,12.00,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7227019,1.00,4.00,2.00,7.00,4.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7227027,5.00,6.00,1.00,6.00,8.00,10.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7227035,3.00,6.00,2.00,4.00,3.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7227043,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7227051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7227060,3.00,7.00,3.00,7.00,5.00,9.00,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7227078,4.00,8.00,1.00,3.00,4.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7227108,2.00,5.00,2.00,5.00,7.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7227116,1.00,3.00,1.00,6.00,4.00,7.88,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7227132,3.00,8.00,4.00,6.00,9.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7227140,3.00,8.00,2.00,5.00,7.00,10.13,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7227167,0.00,4.00,0.00,7.00,4.00,10.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7227175,2.00,7.00,1.00,5.00,5.00,8.63,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7227183,1.00,2.00,1.00,5.00,3.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7227205,5.00,7.00,3.00,6.00,8.00,8.25,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7227213,2.00,4.00,2.00,2.00,6.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7227221,0.00,5.00,3.00,4.00,5.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7227230,2.00,4.00,0.00,3.00,5.00,6.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7227248,3.00,6.00,3.00,6.00,5.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7227256,3.00,5.00,2.00,5.00,5.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7227272,3.00,7.00,3.00,7.00,8.00,9.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7227280,3.00,2.00,5.00,4.00,4.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7227299,2.00,7.00,1.00,6.00,7.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7227302,3.00,5.00,1.00,6.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7227329,2.00,6.00,3.00,5.00,7.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7227337,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7227353,3.00,1.00,3.00,2.00,4.00,4.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7227361,0.00,7.00,4.00,3.00,7.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7227370,0.00,4.00,2.00,4.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7227388,2.00,7.00,1.00,7.00,4.00,10.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7227396,5.00,6.00,4.00,6.00,6.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7227400,2.00,4.00,0.00,4.00,7.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7227418,0.00,2.00,0.00,3.00,4.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7227426,6.00,7.00,6.00,6.00,9.00,9.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7227434,1.00,6.00,3.00,5.00,5.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7227442,1.00,5.00,4.00,6.00,5.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7227450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7227469,2.00,7.00,0.00,6.00,6.00,11.63,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7227477,1.00,6.00,2.00,6.00,7.00,6.38,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7227485,3.00,8.00,5.00,7.00,9.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7227507,2.00,5.00,1.00,7.00,5.00,5.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7227515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7227523,3.00,7.00,1.00,6.00,8.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7227566,4.00,8.00,4.00,7.00,10.00,9.38,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7227582,2.00,7.00,1.00,6.00,5.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7227590,2.00,6.00,0.00,6.00,3.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7227612,2.00,4.00,3.00,5.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7227639,0.00,6.00,3.00,2.00,6.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7227655,5.00,4.00,2.00,8.00,5.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7227663,2.00,7.00,2.00,2.00,3.00,4.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7227671,3.00,4.00,0.00,6.00,3.00,11.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7227680,1.00,4.00,3.00,3.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7227728,1.00,0.00,1.00,7.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7227752,5.00,7.00,3.00,6.00,8.00,7.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7227760,2.00,6.00,1.00,3.00,8.00,7.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7227779,2.00,3.00,1.00,2.00,3.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7227787,3.00,5.00,3.00,4.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7227795,2.00,7.00,3.00,1.00,5.00,12.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7227809,3.00,5.00,1.00,6.00,7.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7227817,2.00,5.00,1.00,2.00,1.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7227825,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7227833,2.00,2.00,1.00,4.00,6.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7227841,1.00,6.00,1.00,7.00,6.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7227850,5.00,6.00,3.00,4.00,8.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7227876,1.00,7.00,2.00,4.00,4.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7227884,1.00,2.00,2.00,1.00,6.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7227892,1.00,2.00,3.00,4.00,4.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7227914,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7227930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7227949,6.00,8.00,1.00,6.00,10.00,9.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7227957,4.00,6.00,1.00,6.00,6.00,7.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7227965,2.00,4.00,2.00,7.00,5.00,8.63,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7227973,1.00,6.00,1.00,5.00,9.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7227990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7228007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7228015,1.00,2.00,2.00,5.00,6.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7228023,1.00,6.00,2.00,6.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,'S','S'),(28,7228031,4.00,7.00,3.00,6.00,9.00,9.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7228040,4.00,6.00,3.00,7.00,9.00,7.13,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7228058,0.00,3.00,2.00,6.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7228066,4.00,7.00,0.00,7.00,5.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7228074,3.00,4.00,0.00,3.00,4.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7228082,2.00,6.00,1.00,7.00,6.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7228090,3.00,0.00,2.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7228104,0.00,6.00,1.00,4.00,4.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7228112,2.00,4.00,2.00,3.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7228120,0.00,4.00,0.00,5.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7228147,2.00,6.00,2.00,5.00,6.00,11.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7228155,3.00,7.00,1.00,7.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7228163,1.00,4.00,1.00,5.00,5.00,7.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7228171,2.00,5.00,3.00,5.00,7.00,6.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7228180,1.00,4.00,1.00,4.00,6.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7228210,0.00,2.00,1.00,5.00,3.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7228244,3.00,6.00,3.00,4.00,8.00,7.88,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7228252,2.00,5.00,3.00,5.00,8.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7228260,2.00,4.00,2.00,4.00,2.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7228279,2.00,7.00,3.00,2.00,4.00,8.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7228287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7228295,2.00,6.00,3.00,5.00,8.00,11.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7228317,4.00,6.00,4.00,5.00,6.00,5.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7228325,3.00,7.00,3.00,4.00,3.00,6.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7228333,0.00,2.00,1.00,4.00,5.00,9.38,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7228341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7228368,1.00,5.00,0.00,3.00,6.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7228376,0.00,7.00,3.00,6.00,6.00,7.13,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7228384,1.00,2.00,2.00,6.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7228392,3.00,7.00,3.00,7.00,9.00,9.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7228406,7.00,8.00,4.00,6.00,7.00,12.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7228414,2.00,6.00,3.00,7.00,4.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7228422,1.00,4.00,2.00,0.00,4.00,6.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7228430,0.00,3.00,2.00,1.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7228457,0.00,5.00,4.00,2.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7228465,6.00,8.00,5.00,6.00,7.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7228473,1.00,4.00,3.00,3.00,8.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7228481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7228503,0.00,4.00,3.00,4.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7228511,3.00,5.00,1.00,2.00,3.00,7.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7228520,3.00,6.00,2.00,7.00,8.00,7.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7228538,5.00,7.00,5.00,6.00,8.00,8.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7228554,3.00,6.00,3.00,4.00,4.00,6.38,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7228562,3.00,6.00,1.00,4.00,6.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7228570,2.00,6.00,1.00,3.00,7.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7228589,2.00,6.00,2.00,5.00,7.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7228597,1.00,6.00,2.00,3.00,5.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7228619,4.00,7.00,1.00,6.00,5.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7228627,2.00,5.00,3.00,5.00,6.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7228643,3.00,2.00,4.00,3.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7228651,4.00,8.00,2.00,4.00,7.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7228660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7228678,2.00,5.00,3.00,6.00,7.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7228694,4.00,6.00,4.00,6.00,6.00,10.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7228708,6.00,8.00,1.00,7.00,8.00,11.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7228716,3.00,8.00,3.00,6.00,7.00,8.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7228724,4.00,5.00,1.00,5.00,5.00,9.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7228732,2.00,5.00,5.00,6.00,5.00,6.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7228740,1.00,3.00,2.00,3.00,3.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(28,7228759,2.00,6.00,1.00,6.00,7.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7228783,0.00,3.00,2.00,5.00,4.00,4.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7228791,3.00,4.00,0.00,3.00,5.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7228813,1.00,8.00,2.00,5.00,5.00,8.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7228821,1.00,5.00,1.00,3.00,4.00,10.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7228830,2.00,6.00,1.00,8.00,7.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'S'),(28,7228848,3.00,7.00,3.00,7.00,6.00,5.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7228856,3.00,8.00,4.00,7.00,7.00,9.00,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7228864,0.00,2.00,1.00,2.00,4.00,5.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7228872,3.00,8.00,1.00,7.00,6.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7228880,2.00,4.00,0.00,3.00,4.00,5.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7228899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7228902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7228910,3.00,5.00,0.00,4.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7228937,2.00,4.00,2.00,2.00,5.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7228945,6.00,8.00,2.00,7.00,9.00,10.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7228953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7228961,4.00,3.00,4.00,4.00,3.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7228970,1.00,7.00,3.00,3.00,6.00,8.63,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7228988,4.00,6.00,1.00,7.00,8.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7228996,6.00,7.00,3.00,7.00,11.00,10.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7229003,8.00,9.00,5.00,8.00,9.00,12.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7229011,5.00,8.00,5.00,5.00,8.00,10.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7229020,1.00,0.00,0.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(28,7229038,7.00,7.00,4.00,3.00,7.00,9.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7229046,6.00,8.00,2.00,6.00,5.00,8.63,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7229054,4.00,8.00,3.00,2.00,7.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7229062,4.00,4.00,2.00,5.00,5.00,10.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7229070,3.00,7.00,2.00,6.00,9.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7229089,2.00,6.00,2.00,6.00,5.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7229097,4.00,7.00,4.00,3.00,5.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7229100,1.00,6.00,2.00,5.00,8.00,7.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7229127,1.00,6.00,1.00,4.00,4.00,7.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7229135,4.00,7.00,2.00,7.00,8.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7229143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7229151,3.00,6.00,2.00,7.00,2.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7229160,2.00,3.00,1.00,5.00,5.00,8.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7229186,0.00,3.00,1.00,5.00,3.00,5.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7229194,0.00,7.00,3.00,5.00,10.00,NULL,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7229208,1.00,4.00,3.00,3.00,3.00,5.63,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7229216,0.00,3.00,1.00,2.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7229224,0.00,6.00,3.00,6.00,6.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7229232,3.00,7.00,2.00,6.00,6.00,7.13,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7229259,2.00,4.00,2.00,5.00,6.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7229267,6.00,5.00,2.00,6.00,5.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7229283,4.00,4.00,1.00,6.00,6.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7229291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7229305,0.00,2.00,3.00,5.00,2.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7229313,2.00,4.00,2.00,3.00,4.00,4.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7229321,2.00,4.00,1.00,4.00,4.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7229348,3.00,4.00,1.00,6.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7229356,1.00,4.00,1.00,3.00,5.00,5.63,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7229364,4.00,6.00,2.00,4.00,5.00,8.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7229372,0.00,5.00,2.00,3.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7229380,0.00,3.00,4.00,1.00,6.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7229399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7229402,2.00,6.00,2.00,5.00,4.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7229429,3.00,4.00,0.00,5.00,3.00,6.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7229437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7229445,5.00,6.00,6.00,4.00,6.00,8.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7229453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7229461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7229470,2.00,6.00,2.00,5.00,6.00,10.13,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7229488,5.00,7.00,2.00,6.00,8.00,4.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7229496,1.00,6.00,3.00,4.00,4.00,9.00,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7229500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7229526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7229534,6.00,8.00,4.00,7.00,10.00,11.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7229550,3.00,4.00,4.00,5.00,7.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7229577,3.00,5.00,3.00,5.00,5.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7229585,1.00,7.00,1.00,5.00,7.00,7.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7229615,3.00,3.00,2.00,3.00,7.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7229623,1.00,3.00,1.00,2.00,5.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7229666,1.00,5.00,3.00,6.00,6.00,7.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7229674,2.00,7.00,1.00,4.00,6.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7229682,1.00,4.00,0.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7229704,3.00,4.00,3.00,2.00,1.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7229712,4.00,7.00,1.00,5.00,8.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7229720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7229739,1.00,0.00,3.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7229747,5.00,6.00,3.00,6.00,7.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7229755,2.00,7.00,3.00,7.00,6.00,7.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7229771,5.00,6.00,1.00,6.00,6.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7229780,2.00,5.00,1.00,4.00,8.00,5.25,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7229798,4.00,5.00,1.00,5.00,6.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7229844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7229879,3.00,8.00,3.00,7.00,8.00,8.63,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7229887,0.00,3.00,2.00,1.00,7.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7229895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7229909,0.00,3.00,2.00,3.00,4.00,10.13,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7229917,0.00,4.00,5.00,1.00,6.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7229925,1.00,5.00,1.00,7.00,5.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7229933,4.00,7.00,3.00,6.00,9.00,11.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7229950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7229968,5.00,7.00,2.00,7.00,8.00,8.63,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7229984,3.00,6.00,4.00,4.00,5.00,8.25,6.00,9.00,2.00,NULL,NULL,NULL,'N'),(28,7229992,7.00,6.00,2.00,6.00,8.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7230001,1.00,4.00,3.00,5.00,5.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7230010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7230028,4.00,6.00,3.00,5.00,5.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7230036,5.00,7.00,3.00,6.00,10.00,8.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7230044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7230052,2.00,7.00,3.00,5.00,7.00,6.38,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7230060,1.00,7.00,2.00,5.00,7.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7230079,6.00,6.00,0.00,7.00,4.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7230109,1.00,7.00,2.00,6.00,9.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7230117,3.00,8.00,1.00,6.00,8.00,10.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7230141,6.00,5.00,3.00,6.00,4.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7230150,5.00,6.00,3.00,6.00,6.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7230176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7230192,1.00,2.00,1.00,1.00,5.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7230206,3.00,5.00,3.00,5.00,4.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7230214,3.00,3.00,0.00,5.00,5.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7230222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7230230,1.00,5.00,2.00,6.00,5.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7230249,5.00,5.00,1.00,4.00,8.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7230257,0.00,3.00,1.00,3.00,4.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7230265,3.00,4.00,3.00,6.00,6.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7230273,5.00,6.00,1.00,7.00,5.00,9.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7230281,1.00,3.00,2.00,5.00,4.00,6.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7230290,1.00,3.00,2.00,7.00,8.00,9.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7230303,3.00,5.00,0.00,6.00,7.00,9.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7230311,3.00,8.00,2.00,4.00,8.00,9.75,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7230320,4.00,5.00,2.00,6.00,4.00,9.38,7.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7230338,4.00,8.00,1.00,7.00,8.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7230354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7230370,3.00,7.00,0.00,6.00,9.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7230389,6.00,7.00,2.00,6.00,6.00,8.63,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7230397,5.00,9.00,5.00,5.00,10.00,8.63,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7230400,4.00,4.00,2.00,5.00,6.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7230419,1.00,4.00,3.00,7.00,6.00,9.38,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7230435,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7230443,4.00,6.00,3.00,4.00,9.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7230451,1.00,3.00,1.00,5.00,3.00,7.50,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7230460,2.00,5.00,1.00,1.00,6.00,9.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7230478,4.00,5.00,2.00,6.00,5.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7230486,3.00,5.00,3.00,3.00,6.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7230494,5.00,7.00,3.00,7.00,7.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7230508,7.00,8.00,1.00,6.00,8.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7230516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7230524,2.00,8.00,4.00,6.00,8.00,8.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7230532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7230540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7230559,4.00,8.00,4.00,7.00,9.00,10.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7230583,0.00,6.00,3.00,7.00,6.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7230591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7230605,1.00,5.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7230613,7.00,6.00,2.00,7.00,8.00,9.38,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7230621,1.00,5.00,2.00,6.00,8.00,9.38,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7230630,7.00,6.00,3.00,6.00,6.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7230648,2.00,6.00,2.00,2.00,4.00,3.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7230656,0.00,2.00,2.00,4.00,3.00,NULL,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(28,7230664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7230672,2.00,4.00,2.00,5.00,7.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7230702,2.00,4.00,3.00,6.00,6.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7230710,4.00,4.00,2.00,6.00,5.00,4.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7230729,0.00,3.00,3.00,1.00,1.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7230737,2.00,5.00,0.00,2.00,3.00,8.63,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7230753,3.00,5.00,3.00,5.00,5.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7230761,4.00,6.00,4.00,6.00,8.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7230770,0.00,5.00,2.00,6.00,6.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7230788,5.00,5.00,4.00,6.00,7.00,7.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7230796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7230800,1.00,4.00,2.00,5.00,6.00,9.38,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7230818,1.00,3.00,0.00,5.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7230826,1.00,5.00,2.00,5.00,5.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7230834,4.00,5.00,3.00,4.00,5.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7230842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7230850,1.00,6.00,1.00,4.00,5.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7230893,5.00,7.00,1.00,7.00,5.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7230907,0.00,4.00,0.00,6.00,4.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7230931,6.00,7.00,3.00,6.00,7.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7230958,4.00,7.00,2.00,5.00,6.00,5.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7230966,3.00,0.00,2.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7230974,3.00,2.00,1.00,5.00,6.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7230982,3.00,4.00,2.00,6.00,3.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7230990,7.00,7.00,2.00,4.00,7.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7231008,6.00,8.00,1.00,7.00,7.00,10.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7231016,3.00,5.00,2.00,4.00,7.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7231032,3.00,5.00,2.00,4.00,4.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7231040,2.00,6.00,1.00,7.00,9.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7231059,1.00,6.00,4.00,6.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7231075,2.00,7.00,0.00,4.00,7.00,10.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7231083,0.00,2.00,3.00,3.00,2.00,NULL,2.00,0.00,3.00,NULL,NULL,NULL,'N'),(28,7231091,3.00,7.00,4.00,5.00,6.00,8.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7231105,0.00,4.00,3.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7231113,2.00,3.00,1.00,5.00,5.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7231121,0.00,5.00,1.00,6.00,6.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7231130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7231148,5.00,5.00,1.00,7.00,5.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7231164,3.00,4.00,1.00,5.00,5.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7231172,1.00,3.00,2.00,7.00,3.00,3.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7231180,2.00,3.00,4.00,4.00,4.00,5.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7231199,4.00,6.00,3.00,6.00,5.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7231202,1.00,2.00,3.00,4.00,5.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7231210,3.00,4.00,1.00,5.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7231229,0.00,3.00,2.00,2.00,5.00,6.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7231237,5.00,7.00,2.00,4.00,9.00,5.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7231245,0.00,2.00,3.00,5.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7231253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7231270,3.00,6.00,2.00,5.00,9.00,8.63,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7231288,5.00,3.00,4.00,6.00,7.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7231296,0.00,3.00,0.00,1.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7231300,6.00,6.00,2.00,5.00,8.00,8.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7231318,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7231326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7231342,3.00,7.00,1.00,7.00,8.00,9.00,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7231350,4.00,7.00,1.00,7.00,9.00,9.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7231369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7231385,1.00,3.00,3.00,2.00,3.00,8.25,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7231393,2.00,4.00,2.00,3.00,5.00,5.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7231407,1.00,6.00,2.00,7.00,6.00,9.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7231431,6.00,6.00,2.00,7.00,7.00,6.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7231458,2.00,6.00,3.00,6.00,6.00,10.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7231466,6.00,7.00,4.00,6.00,7.00,11.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7231474,1.00,2.00,1.00,3.00,1.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7231490,4.00,5.00,2.00,7.00,5.00,9.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7231504,6.00,8.00,3.00,6.00,9.00,9.75,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7231520,1.00,6.00,1.00,2.00,2.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7231547,3.00,7.00,0.00,5.00,5.00,5.63,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7231555,6.00,6.00,3.00,6.00,8.00,11.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7231571,1.00,4.00,3.00,6.00,6.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7231580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7231598,4.00,7.00,2.00,3.00,6.00,9.00,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7231601,0.00,3.00,1.00,2.00,3.00,6.00,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7231610,3.00,3.00,1.00,1.00,5.00,7.13,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7231636,1.00,7.00,2.00,7.00,7.00,10.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7231644,0.00,5.00,5.00,4.00,6.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7231660,6.00,7.00,0.00,7.00,7.00,4.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7231679,0.00,4.00,1.00,3.00,3.00,6.38,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7231695,4.00,5.00,1.00,5.00,5.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7231709,2.00,5.00,2.00,2.00,7.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7231725,3.00,7.00,3.00,6.00,6.00,7.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7231733,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7231741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7231750,2.00,5.00,2.00,2.00,6.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7231768,1.00,5.00,3.00,6.00,7.00,9.75,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7231776,1.00,4.00,1.00,2.00,4.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7231784,3.00,7.00,5.00,6.00,8.00,7.88,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7231792,0.00,5.00,1.00,5.00,6.00,10.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7231806,3.00,5.00,2.00,3.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7231814,4.00,6.00,1.00,6.00,8.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7231822,4.00,7.00,2.00,6.00,9.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7231830,1.00,2.00,1.00,1.00,4.00,5.63,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7231849,4.00,8.00,4.00,6.00,9.00,6.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7231865,1.00,3.00,0.00,2.00,1.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'S'),(28,7231873,2.00,5.00,1.00,4.00,7.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7231881,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7231903,3.00,3.00,1.00,5.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7231911,3.00,5.00,1.00,5.00,8.00,10.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7231920,2.00,5.00,3.00,5.00,6.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7231946,0.00,3.00,3.00,4.00,5.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7231954,6.00,8.00,5.00,6.00,9.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7231962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7231970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7231989,2.00,5.00,3.00,2.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7231997,2.00,2.00,2.00,3.00,3.00,6.38,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7232004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7232020,1.00,6.00,1.00,7.00,7.00,5.25,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7232047,0.00,2.00,3.00,6.00,7.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7232055,0.00,7.00,3.00,7.00,3.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7232063,5.00,7.00,2.00,7.00,10.00,9.38,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7232071,0.00,4.00,3.00,3.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7232080,5.00,6.00,2.00,6.00,8.00,8.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7232098,0.00,3.00,2.00,5.00,6.00,6.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7232101,2.00,7.00,2.00,4.00,8.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7232110,0.00,0.00,3.00,5.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7232128,3.00,7.00,0.00,4.00,7.00,NULL,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7232136,1.00,6.00,2.00,6.00,4.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7232144,3.00,7.00,3.00,6.00,8.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7232152,3.00,7.00,3.00,6.00,9.00,8.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7232160,4.00,7.00,2.00,6.00,7.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7232179,3.00,4.00,1.00,4.00,6.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7232187,2.00,1.00,4.00,4.00,4.00,4.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7232195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7232209,6.00,8.00,2.00,7.00,6.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7232217,2.00,4.00,1.00,7.00,6.00,9.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7232225,2.00,3.00,1.00,3.00,3.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7232233,1.00,5.00,3.00,6.00,6.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7232250,3.00,7.00,2.00,3.00,8.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7232276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7232284,3.00,4.00,2.00,7.00,1.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7232292,0.00,2.00,0.00,2.00,4.00,9.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7232306,1.00,6.00,2.00,3.00,10.00,9.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7232314,5.00,7.00,1.00,8.00,11.00,9.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7232322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7232330,4.00,5.00,1.00,5.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7232349,2.00,7.00,4.00,3.00,7.00,7.88,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7232357,4.00,7.00,4.00,7.00,6.00,7.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7232365,7.00,6.00,6.00,6.00,5.00,9.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7232373,1.00,6.00,3.00,4.00,5.00,10.88,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7232381,5.00,6.00,0.00,6.00,6.00,6.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7232403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7232411,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7232420,2.00,6.00,3.00,6.00,6.00,7.13,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7232438,3.00,7.00,4.00,8.00,9.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7232446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7232454,3.00,4.00,3.00,5.00,6.00,7.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7232462,0.00,2.00,2.00,3.00,5.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7232489,0.00,2.00,3.00,3.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7232497,1.00,7.00,1.00,3.00,4.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7232519,0.00,6.00,2.00,7.00,5.00,10.88,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7232527,0.00,3.00,1.00,3.00,5.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7232535,1.00,6.00,2.00,7.00,8.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7232543,3.00,4.00,2.00,5.00,3.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7232551,2.00,3.00,2.00,1.00,3.00,3.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7232560,1.00,8.00,3.00,7.00,6.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7232578,0.00,6.00,0.00,4.00,6.00,3.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7232594,0.00,6.00,2.00,8.00,8.00,9.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7232616,4.00,5.00,2.00,6.00,6.00,7.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7232624,0.00,2.00,4.00,0.00,3.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7232640,2.00,6.00,2.00,6.00,6.00,9.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7232667,2.00,5.00,4.00,4.00,8.00,7.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7232683,1.00,3.00,2.00,1.00,3.00,3.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7232691,1.00,4.00,1.00,3.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7232705,0.00,3.00,1.00,6.00,3.00,9.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7232721,5.00,6.00,3.00,6.00,8.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7232730,1.00,6.00,0.00,6.00,6.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7232756,0.00,4.00,1.00,5.00,4.00,8.63,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7232764,0.00,2.00,1.00,7.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7232772,2.00,5.00,3.00,6.00,6.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7232780,5.00,6.00,1.00,4.00,4.00,8.63,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7232799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7232802,0.00,3.00,2.00,4.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7232810,5.00,4.00,0.00,5.00,7.00,9.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7232829,1.00,6.00,1.00,5.00,7.00,6.38,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7232837,2.00,6.00,3.00,8.00,6.00,10.13,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7232845,0.00,3.00,1.00,2.00,3.00,4.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7232853,0.00,2.00,1.00,1.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7232870,3.00,7.00,3.00,7.00,9.00,9.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7232888,0.00,3.00,3.00,6.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7232896,0.00,5.00,0.00,4.00,6.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7232900,1.00,6.00,3.00,1.00,4.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7232918,4.00,4.00,2.00,4.00,6.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7232926,3.00,4.00,3.00,5.00,6.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7232934,3.00,6.00,4.00,6.00,7.00,9.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7232942,1.00,7.00,2.00,4.00,7.00,8.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7232950,1.00,5.00,0.00,2.00,6.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7232969,4.00,8.00,3.00,5.00,9.00,9.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7232977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7232993,3.00,6.00,2.00,4.00,6.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7233000,0.00,3.00,3.00,7.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7233027,1.00,0.00,0.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7233035,1.00,5.00,2.00,5.00,4.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7233043,4.00,6.00,3.00,4.00,6.00,8.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7233051,4.00,7.00,2.00,6.00,7.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7233060,5.00,8.00,5.00,6.00,8.00,10.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7233078,0.00,3.00,2.00,1.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7233086,2.00,7.00,0.00,6.00,6.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7233108,3.00,4.00,2.00,8.00,8.00,10.13,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7233124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7233132,1.00,5.00,2.00,2.00,3.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7233159,0.00,0.00,1.00,2.00,3.00,3.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7233167,1.00,4.00,2.00,4.00,4.00,4.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7233175,1.00,7.00,2.00,4.00,8.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7233183,2.00,6.00,2.00,8.00,6.00,7.50,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7233191,6.00,6.00,2.00,3.00,6.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7233213,5.00,7.00,4.00,6.00,8.00,10.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7233221,2.00,7.00,2.00,6.00,7.00,10.13,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7233248,2.00,7.00,1.00,4.00,8.00,6.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7233264,1.00,4.00,1.00,4.00,7.00,8.25,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7233280,2.00,4.00,5.00,5.00,5.00,6.38,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7233299,2.00,4.00,1.00,3.00,7.00,9.00,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7233302,1.00,6.00,1.00,5.00,5.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7233310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7233329,1.00,3.00,1.00,5.00,3.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7233337,2.00,5.00,2.00,3.00,5.00,7.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7233345,2.00,4.00,1.00,5.00,4.00,7.88,3.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7233370,1.00,6.00,3.00,6.00,3.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7233388,0.00,4.00,2.00,2.00,6.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7233396,0.00,4.00,1.00,4.00,3.00,5.63,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7233400,4.00,6.00,1.00,8.00,7.00,11.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7233418,6.00,8.00,4.00,7.00,9.00,10.13,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7233426,1.00,4.00,1.00,6.00,5.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7233434,0.00,4.00,0.00,5.00,6.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7233450,6.00,7.00,5.00,6.00,8.00,7.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7233469,0.00,4.00,3.00,4.00,6.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7233477,1.00,0.00,2.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7233485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7233493,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7233507,7.00,8.00,4.00,6.00,8.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7233515,5.00,8.00,4.00,7.00,8.00,10.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7233523,2.00,6.00,2.00,5.00,6.00,10.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7233531,1.00,5.00,1.00,5.00,8.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7233558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7233566,1.00,8.00,3.00,3.00,9.00,7.88,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7233574,4.00,6.00,1.00,2.00,3.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7233582,1.00,7.00,2.00,6.00,4.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7233590,0.00,4.00,1.00,4.00,7.00,8.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7233604,4.00,7.00,5.00,6.00,9.00,9.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7233612,2.00,5.00,2.00,6.00,5.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7233620,3.00,4.00,3.00,2.00,5.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7233639,4.00,6.00,2.00,6.00,6.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7233655,3.00,2.00,2.00,3.00,4.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7233671,4.00,6.00,1.00,7.00,5.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7233680,1.00,4.00,4.00,2.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7233701,1.00,6.00,1.00,3.00,6.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7233710,3.00,6.00,3.00,6.00,8.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7233728,2.00,6.00,0.00,4.00,4.00,9.00,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7233744,1.00,3.00,2.00,2.00,4.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7233752,0.00,4.00,2.00,6.00,9.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7233760,6.00,7.00,4.00,5.00,6.00,7.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7233787,1.00,2.00,3.00,6.00,3.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7233795,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7233809,1.00,3.00,2.00,5.00,7.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7233817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7233833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7233850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7233868,2.00,7.00,4.00,6.00,3.00,10.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7233884,2.00,8.00,4.00,4.00,5.00,9.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7233892,1.00,5.00,2.00,4.00,6.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7233906,3.00,4.00,3.00,5.00,6.00,8.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7233914,3.00,8.00,0.00,6.00,9.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7233922,3.00,6.00,1.00,4.00,1.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7233930,1.00,5.00,4.00,7.00,8.00,7.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7233949,3.00,8.00,4.00,6.00,6.00,6.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7233957,2.00,6.00,0.00,6.00,6.00,8.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7233981,3.00,3.00,1.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7233990,2.00,5.00,2.00,7.00,5.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7234015,2.00,6.00,0.00,4.00,7.00,6.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7234023,0.00,3.00,0.00,4.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7234040,4.00,6.00,1.00,5.00,3.00,8.63,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7234058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7234066,3.00,4.00,2.00,5.00,4.00,5.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7234074,2.00,4.00,3.00,4.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7234082,2.00,5.00,2.00,6.00,4.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7234090,3.00,5.00,1.00,6.00,2.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7234104,1.00,5.00,1.00,5.00,4.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7234112,0.00,3.00,3.00,1.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7234120,2.00,3.00,3.00,4.00,4.00,4.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7234139,1.00,4.00,2.00,5.00,5.00,5.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7234147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7234155,0.00,3.00,2.00,5.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7234163,3.00,6.00,1.00,7.00,7.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7234171,2.00,2.00,1.00,3.00,4.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7234180,0.00,2.00,2.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7234198,5.00,7.00,2.00,6.00,8.00,10.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7234201,0.00,3.00,2.00,6.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7234210,2.00,5.00,3.00,3.00,3.00,NULL,1.00,5.00,3.00,NULL,NULL,'S','N'),(28,7234228,3.00,7.00,4.00,6.00,7.00,7.13,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7234244,0.00,3.00,0.00,4.00,5.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7234252,4.00,5.00,2.00,7.00,6.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7234260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7234287,1.00,7.00,3.00,5.00,5.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7234295,4.00,2.00,3.00,2.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7234309,2.00,6.00,0.00,7.00,5.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7234325,5.00,7.00,4.00,5.00,7.00,9.38,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7234333,1.00,5.00,2.00,7.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7234341,2.00,7.00,3.00,6.00,7.00,10.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7234350,3.00,7.00,3.00,5.00,7.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7234368,0.00,3.00,2.00,4.00,4.00,9.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7234376,2.00,8.00,0.00,8.00,6.00,7.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7234384,2.00,4.00,4.00,4.00,6.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7234392,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7234414,2.00,8.00,2.00,7.00,9.00,10.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7234422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7234449,4.00,7.00,3.00,6.00,7.00,11.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7234473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7234481,1.00,5.00,2.00,3.00,6.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7234490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7234503,2.00,7.00,3.00,6.00,4.00,9.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7234511,0.00,4.00,2.00,2.00,4.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7234520,1.00,4.00,1.00,5.00,6.00,6.75,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7234538,7.00,7.00,3.00,6.00,7.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7234546,6.00,7.00,3.00,5.00,8.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7234562,3.00,5.00,1.00,5.00,7.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7234570,7.00,8.00,3.00,7.00,9.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7234589,3.00,7.00,1.00,7.00,10.00,10.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7234600,1.00,4.00,3.00,6.00,6.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7234619,3.00,4.00,1.00,6.00,4.00,6.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7234627,3.00,6.00,5.00,5.00,7.00,7.50,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7234635,0.00,7.00,3.00,4.00,5.00,5.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7234643,3.00,7.00,2.00,5.00,8.00,9.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7234651,3.00,6.00,2.00,3.00,8.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7234660,3.00,7.00,2.00,5.00,6.00,11.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7234678,1.00,6.00,3.00,5.00,7.00,8.63,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7234686,4.00,4.00,4.00,5.00,6.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7234708,1.00,6.00,0.00,4.00,5.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7234716,1.00,4.00,2.00,4.00,5.00,4.88,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7234724,1.00,2.00,1.00,2.00,3.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7234767,2.00,6.00,3.00,5.00,5.00,6.38,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7234775,1.00,4.00,1.00,7.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7234783,0.00,6.00,1.00,7.00,6.00,9.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7234791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7234805,1.00,3.00,3.00,5.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7234813,0.00,4.00,5.00,5.00,5.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7234830,4.00,6.00,4.00,4.00,6.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7234856,1.00,3.00,2.00,2.00,1.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7234872,1.00,7.00,2.00,7.00,6.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7234880,0.00,5.00,3.00,4.00,5.00,8.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7234899,1.00,2.00,3.00,4.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7234902,1.00,7.00,2.00,2.00,8.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7234910,2.00,2.00,2.00,0.00,3.00,7.88,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7234929,2.00,6.00,2.00,5.00,7.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7234937,1.00,5.00,3.00,6.00,4.00,7.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7234953,2.00,3.00,3.00,5.00,5.00,6.38,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7234961,2.00,3.00,2.00,3.00,3.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7234970,0.00,3.00,3.00,5.00,6.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7234988,0.00,4.00,1.00,2.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7235003,0.00,3.00,1.00,2.00,3.00,3.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7235011,2.00,2.00,2.00,5.00,3.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7235020,1.00,5.00,2.00,6.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7235038,3.00,6.00,2.00,6.00,8.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7235046,0.00,4.00,2.00,5.00,3.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7235054,3.00,4.00,2.00,4.00,8.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7235062,6.00,8.00,1.00,7.00,10.00,8.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7235070,0.00,3.00,2.00,1.00,5.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7235089,5.00,6.00,2.00,7.00,8.00,7.88,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7235097,4.00,5.00,2.00,5.00,5.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7235100,6.00,8.00,5.00,6.00,8.00,7.88,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7235119,1.00,4.00,1.00,4.00,4.00,8.63,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7235127,3.00,6.00,4.00,5.00,8.00,7.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7235135,3.00,6.00,2.00,6.00,6.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7235143,1.00,4.00,4.00,2.00,7.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7235151,1.00,6.00,1.00,2.00,4.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7235160,4.00,8.00,2.00,7.00,9.00,9.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7235178,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7235186,2.00,1.00,3.00,6.00,4.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7235208,2.00,4.00,1.00,3.00,4.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7235216,1.00,5.00,1.00,6.00,4.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7235232,0.00,2.00,2.00,1.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7235240,7.00,6.00,3.00,7.00,9.00,8.63,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7235259,2.00,6.00,2.00,7.00,7.00,9.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7235267,4.00,8.00,1.00,6.00,10.00,6.38,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7235275,4.00,6.00,3.00,5.00,7.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7235283,0.00,3.00,3.00,2.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7235291,2.00,7.00,2.00,6.00,5.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7235305,0.00,3.00,3.00,5.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7235313,4.00,8.00,3.00,6.00,9.00,11.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7235321,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7235348,1.00,4.00,1.00,5.00,4.00,6.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7235364,0.00,1.00,0.00,4.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7235372,2.00,2.00,1.00,5.00,3.00,6.00,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(28,7235380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7235402,3.00,6.00,3.00,6.00,8.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7235410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7235429,2.00,7.00,2.00,6.00,5.00,10.50,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(28,7235437,3.00,7.00,3.00,7.00,7.00,9.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7235445,1.00,6.00,1.00,6.00,6.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7235461,0.00,2.00,1.00,2.00,6.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7235488,1.00,5.00,1.00,5.00,4.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7235496,2.00,4.00,1.00,4.00,5.00,5.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7235500,0.00,5.00,3.00,3.00,5.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7235518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7235526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7235534,1.00,6.00,2.00,1.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7235569,4.00,8.00,5.00,7.00,8.00,12.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7235577,1.00,6.00,2.00,6.00,7.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7235585,1.00,3.00,1.00,6.00,3.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7235593,4.00,6.00,2.00,5.00,7.00,6.38,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7235607,2.00,3.00,1.00,6.00,4.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7235615,1.00,5.00,2.00,4.00,6.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7235623,5.00,8.00,5.00,7.00,3.00,9.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7235631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7235658,7.00,9.00,5.00,7.00,7.00,7.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7235674,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7235682,2.00,5.00,0.00,3.00,6.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7235690,3.00,6.00,8.00,7.00,8.00,7.13,7.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7235704,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7235712,2.00,8.00,4.00,3.00,6.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7235720,0.00,2.00,1.00,2.00,0.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7235747,3.00,4.00,2.00,4.00,4.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7235755,2.00,3.00,1.00,4.00,1.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7235763,1.00,3.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7235771,6.00,7.00,3.00,7.00,8.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7235780,5.00,6.00,1.00,6.00,5.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7235798,5.00,7.00,4.00,7.00,8.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7235810,2.00,6.00,4.00,6.00,4.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7235828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7235836,3.00,5.00,2.00,4.00,4.00,8.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7235844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7235852,2.00,2.00,2.00,3.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7235860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7235879,5.00,9.00,4.00,8.00,7.00,7.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7235895,2.00,6.00,3.00,6.00,7.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7235917,5.00,6.00,2.00,4.00,9.00,9.75,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7235925,3.00,5.00,1.00,5.00,5.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7235933,1.00,3.00,2.00,1.00,3.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7235941,4.00,5.00,2.00,6.00,7.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7235950,3.00,5.00,4.00,6.00,8.00,7.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7235968,4.00,8.00,1.00,4.00,6.00,9.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7235976,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7235984,3.00,4.00,3.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7235992,6.00,8.00,3.00,6.00,7.00,10.13,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7236000,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7236018,3.00,6.00,5.00,5.00,4.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7236042,3.00,6.00,0.00,4.00,5.00,6.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7236050,1.00,5.00,4.00,5.00,6.00,6.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7236077,3.00,6.00,2.00,5.00,6.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7236093,4.00,6.00,4.00,7.00,6.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7236107,1.00,5.00,2.00,5.00,7.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7236123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7236131,0.00,5.00,2.00,1.00,4.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7236140,1.00,5.00,1.00,2.00,4.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7236158,5.00,7.00,4.00,5.00,9.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7236166,4.00,6.00,2.00,5.00,4.00,4.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7236174,1.00,7.00,1.00,5.00,5.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7236182,1.00,5.00,1.00,3.00,7.00,9.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7236190,3.00,6.00,3.00,4.00,8.00,7.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7236204,5.00,6.00,3.00,6.00,6.00,7.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7236212,3.00,6.00,4.00,4.00,6.00,8.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7236220,3.00,5.00,1.00,3.00,5.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7236239,3.00,6.00,3.00,3.00,6.00,10.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7236247,1.00,4.00,1.00,7.00,8.00,7.13,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7236255,3.00,4.00,2.00,5.00,4.00,8.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7236263,2.00,5.00,2.00,6.00,5.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7236271,4.00,6.00,1.00,6.00,6.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7236280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7236298,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7236301,3.00,7.00,4.00,5.00,6.00,6.38,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7236310,1.00,6.00,2.00,5.00,8.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7236328,2.00,4.00,3.00,6.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7236336,3.00,6.00,3.00,6.00,6.00,10.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7236344,1.00,7.00,2.00,6.00,8.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7236379,0.00,5.00,0.00,2.00,6.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7236387,3.00,5.00,3.00,6.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7236409,5.00,6.00,3.00,5.00,5.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7236417,3.00,7.00,1.00,4.00,5.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7236425,4.00,6.00,1.00,7.00,9.00,10.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7236433,4.00,6.00,1.00,8.00,8.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7236441,6.00,9.00,4.00,7.00,10.00,9.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7236450,2.00,4.00,1.00,5.00,3.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7236468,2.00,6.00,1.00,4.00,9.00,8.63,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7236476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7236492,4.00,6.00,2.00,4.00,8.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7236506,1.00,8.00,3.00,7.00,4.00,4.88,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7236530,4.00,8.00,2.00,7.00,10.00,7.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7236549,6.00,7.00,3.00,7.00,7.00,7.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7236557,0.00,4.00,2.00,4.00,5.00,4.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7236565,0.00,3.00,1.00,2.00,5.00,6.75,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7236573,0.00,4.00,1.00,2.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7236590,1.00,4.00,5.00,1.00,2.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7236603,3.00,4.00,1.00,7.00,5.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7236620,5.00,7.00,2.00,6.00,10.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7236638,0.00,4.00,2.00,2.00,4.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7236646,4.00,8.00,2.00,3.00,6.00,7.88,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7236654,5.00,4.00,3.00,6.00,7.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7236662,5.00,6.00,3.00,6.00,6.00,7.50,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7236689,3.00,7.00,4.00,7.00,8.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7236697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7236700,4.00,6.00,4.00,6.00,8.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7236727,0.00,5.00,0.00,1.00,2.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7236751,7.00,6.00,5.00,6.00,9.00,10.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7236760,3.00,8.00,2.00,6.00,6.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7236778,1.00,6.00,2.00,5.00,5.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7236786,4.00,6.00,1.00,4.00,3.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7236794,3.00,7.00,5.00,7.00,4.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7236808,6.00,7.00,6.00,5.00,7.00,9.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7236824,0.00,7.00,3.00,4.00,5.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7236832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7236840,1.00,3.00,4.00,0.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7236859,6.00,7.00,4.00,7.00,9.00,7.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7236867,3.00,7.00,0.00,5.00,8.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7236875,3.00,3.00,2.00,5.00,4.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7236883,4.00,7.00,3.00,6.00,6.00,10.50,5.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7236891,5.00,6.00,3.00,5.00,8.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7236913,1.00,5.00,2.00,1.00,3.00,3.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7236921,4.00,7.00,3.00,7.00,9.00,9.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7236930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7236956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7236964,3.00,6.00,1.00,5.00,5.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7236972,1.00,5.00,2.00,5.00,6.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7236999,0.00,3.00,0.00,3.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7237006,0.00,3.00,1.00,5.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7237030,0.00,6.00,1.00,5.00,5.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7237057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7237065,1.00,6.00,3.00,6.00,7.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7237073,2.00,5.00,3.00,7.00,3.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7237081,3.00,4.00,2.00,5.00,3.00,4.50,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7237090,3.00,5.00,1.00,6.00,7.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7237103,4.00,5.00,2.00,5.00,7.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7237111,0.00,2.00,2.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7237120,1.00,5.00,2.00,7.00,8.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7237138,0.00,3.00,1.00,5.00,4.00,4.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7237146,2.00,6.00,1.00,6.00,6.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7237154,2.00,8.00,3.00,4.00,6.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7237162,1.00,2.00,1.00,6.00,4.00,8.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7237170,1.00,7.00,0.00,2.00,5.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7237189,1.00,4.00,3.00,6.00,7.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7237197,0.00,4.00,2.00,6.00,5.00,6.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7237227,6.00,8.00,3.00,7.00,8.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7237235,2.00,5.00,1.00,5.00,4.00,5.25,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7237243,0.00,6.00,2.00,7.00,6.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7237260,1.00,3.00,1.00,2.00,7.00,10.13,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7237286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7237294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7237308,2.00,5.00,3.00,6.00,6.00,7.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7237316,1.00,7.00,1.00,4.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,'S','N'),(28,7237324,1.00,6.00,2.00,5.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,'S','N'),(28,7237332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7237340,3.00,7.00,1.00,4.00,5.00,8.63,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7237359,0.00,4.00,1.00,2.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7237367,3.00,4.00,2.00,2.00,3.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7237375,3.00,6.00,2.00,5.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7237383,1.00,2.00,0.00,1.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7237391,2.00,5.00,1.00,4.00,4.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7237405,3.00,6.00,0.00,7.00,4.00,6.75,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7237413,7.00,7.00,3.00,6.00,8.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7237421,3.00,7.00,4.00,7.00,7.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7237430,5.00,7.00,4.00,6.00,8.00,11.25,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7237448,2.00,3.00,3.00,6.00,5.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7237456,2.00,6.00,2.00,3.00,3.00,8.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7237464,1.00,4.00,0.00,5.00,4.00,8.63,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7237472,5.00,8.00,4.00,8.00,9.00,7.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7237480,0.00,5.00,3.00,4.00,4.00,8.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7237499,5.00,7.00,4.00,5.00,9.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7237502,6.00,7.00,3.00,6.00,9.00,10.50,4.00,6.00,7.00,NULL,NULL,NULL,'S'),(28,7237510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7237529,5.00,7.00,2.00,6.00,4.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7237545,1.00,1.00,2.00,3.00,5.00,7.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7237553,2.00,5.00,3.00,3.00,5.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7237561,0.00,5.00,2.00,8.00,5.00,10.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7237570,2.00,4.00,3.00,2.00,3.00,9.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7237596,1.00,5.00,0.00,6.00,6.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7237600,1.00,7.00,0.00,7.00,6.00,NULL,1.00,6.00,1.00,NULL,NULL,'S','S'),(28,7237618,0.00,4.00,1.00,5.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7237626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7237634,1.00,2.00,0.00,2.00,3.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7237642,3.00,4.00,3.00,2.00,4.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7237650,3.00,4.00,0.00,6.00,4.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7237669,1.00,5.00,1.00,6.00,4.00,8.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7237677,1.00,4.00,3.00,3.00,3.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7237693,2.00,7.00,2.00,6.00,9.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7237715,0.00,4.00,2.00,1.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7237731,3.00,7.00,3.00,6.00,8.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7237766,4.00,7.00,2.00,5.00,6.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7237774,1.00,2.00,2.00,3.00,7.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7237782,6.00,8.00,4.00,7.00,9.00,10.13,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7237790,1.00,7.00,2.00,7.00,7.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7237812,4.00,7.00,3.00,6.00,8.00,11.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7237820,3.00,6.00,1.00,6.00,8.00,8.63,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7237839,6.00,8.00,3.00,7.00,8.00,9.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7237847,0.00,6.00,1.00,6.00,6.00,6.75,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7237855,3.00,5.00,2.00,6.00,1.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7237863,2.00,6.00,1.00,5.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7237871,1.00,7.00,2.00,6.00,6.00,7.50,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7237880,4.00,6.00,4.00,6.00,6.00,NULL,4.00,5.00,1.00,NULL,NULL,'S','N'),(28,7237898,5.00,7.00,4.00,4.00,7.00,10.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7237910,0.00,6.00,1.00,7.00,6.00,9.75,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7237928,3.00,5.00,2.00,6.00,6.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7237936,5.00,4.00,2.00,2.00,6.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7237944,3.00,7.00,3.00,6.00,9.00,9.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7237952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7237960,5.00,8.00,3.00,7.00,8.00,8.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7237979,0.00,2.00,2.00,2.00,2.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7237987,2.00,5.00,1.00,2.00,4.00,5.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7237995,2.00,4.00,0.00,4.00,4.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7238002,3.00,6.00,3.00,5.00,6.00,8.63,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7238010,0.00,3.00,2.00,5.00,4.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7238037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7238045,4.00,6.00,3.00,6.00,6.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7238061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7238070,2.00,5.00,2.00,5.00,7.00,6.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7238096,1.00,3.00,4.00,3.00,5.00,5.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7238100,0.00,5.00,1.00,5.00,4.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7238118,4.00,5.00,1.00,1.00,7.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7238126,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7238134,7.00,8.00,4.00,7.00,9.00,10.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7238142,3.00,7.00,4.00,7.00,9.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7238150,7.00,7.00,6.00,7.00,9.00,9.38,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7238169,7.00,9.00,6.00,7.00,11.00,9.75,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7238185,7.00,8.00,7.00,6.00,8.00,9.75,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7238193,4.00,9.00,3.00,6.00,8.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7238207,1.00,3.00,1.00,4.00,3.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7238215,5.00,7.00,5.00,7.00,7.00,9.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7238223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7238231,1.00,5.00,1.00,3.00,3.00,3.00,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7238240,5.00,8.00,5.00,6.00,6.00,10.50,3.00,8.00,6.00,NULL,NULL,NULL,'S'),(28,7238258,6.00,7.00,2.00,6.00,8.00,8.25,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7238266,6.00,3.00,1.00,7.00,8.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7238274,3.00,5.00,2.00,6.00,4.00,11.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7238282,3.00,6.00,2.00,5.00,7.00,6.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7238290,0.00,3.00,2.00,2.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7238312,6.00,8.00,3.00,7.00,10.00,7.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7238320,2.00,5.00,1.00,5.00,6.00,6.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7238339,1.00,6.00,1.00,3.00,6.00,8.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7238347,0.00,5.00,0.00,2.00,0.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7238355,1.00,5.00,1.00,7.00,4.00,9.38,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7238371,0.00,3.00,0.00,2.00,3.00,5.63,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7238380,2.00,8.00,4.00,6.00,8.00,11.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7238398,2.00,7.00,3.00,5.00,6.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7238401,3.00,6.00,2.00,5.00,7.00,6.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7238410,1.00,3.00,1.00,5.00,3.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7238436,5.00,8.00,3.00,7.00,9.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7238444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7238452,2.00,3.00,2.00,5.00,4.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7238460,4.00,6.00,2.00,6.00,7.00,9.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7238479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7238487,4.00,3.00,2.00,4.00,7.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7238495,4.00,4.00,1.00,5.00,6.00,8.25,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7238509,1.00,4.00,2.00,5.00,5.00,9.00,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7238517,1.00,6.00,3.00,2.00,6.00,12.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7238525,2.00,4.00,0.00,7.00,5.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7238533,1.00,6.00,3.00,5.00,7.00,10.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7238541,6.00,6.00,2.00,7.00,8.00,5.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7238550,0.00,5.00,1.00,1.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7238568,4.00,6.00,4.00,4.00,5.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7238576,1.00,4.00,2.00,6.00,6.00,10.13,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7238584,4.00,7.00,0.00,5.00,8.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7238614,0.00,5.00,4.00,6.00,5.00,10.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7238630,3.00,6.00,3.00,7.00,7.00,8.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7238649,3.00,7.00,4.00,5.00,5.00,7.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7238657,1.00,7.00,1.00,5.00,4.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7238665,0.00,4.00,1.00,4.00,3.00,NULL,0.00,2.00,0.00,NULL,NULL,'S','N'),(28,7238673,0.00,2.00,2.00,1.00,4.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7238681,0.00,4.00,3.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7238711,3.00,5.00,2.00,6.00,4.00,7.50,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7238720,0.00,2.00,0.00,1.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7238738,0.00,2.00,4.00,2.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7238746,0.00,4.00,1.00,7.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7238754,1.00,7.00,3.00,4.00,6.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7238762,7.00,7.00,3.00,7.00,9.00,9.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7238770,2.00,5.00,4.00,7.00,8.00,9.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7238789,3.00,8.00,2.00,5.00,9.00,7.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7238797,5.00,8.00,3.00,7.00,9.00,7.88,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7238800,5.00,8.00,3.00,6.00,8.00,10.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7238819,1.00,7.00,2.00,6.00,5.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7238827,1.00,8.00,4.00,5.00,6.00,7.88,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7238835,5.00,5.00,1.00,6.00,7.00,5.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7238843,1.00,3.00,3.00,1.00,3.00,0.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7238851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7238860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7238878,6.00,8.00,4.00,7.00,10.00,10.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7238886,0.00,4.00,3.00,4.00,6.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7238894,1.00,5.00,1.00,5.00,4.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7238916,3.00,1.00,3.00,5.00,5.00,3.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7238924,0.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7238932,1.00,3.00,0.00,1.00,3.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7238940,1.00,5.00,5.00,5.00,5.00,8.63,5.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7238959,3.00,7.00,4.00,5.00,6.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7238967,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7238975,1.00,6.00,3.00,3.00,5.00,8.25,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7238983,7.00,9.00,3.00,6.00,7.00,8.63,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7238991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7239009,2.00,4.00,2.00,3.00,8.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7239017,4.00,6.00,2.00,3.00,5.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7239025,1.00,3.00,1.00,3.00,5.00,11.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7239033,1.00,4.00,0.00,3.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7239041,1.00,3.00,1.00,3.00,3.00,6.38,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7239050,4.00,6.00,2.00,5.00,7.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7239068,1.00,5.00,1.00,5.00,3.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7239076,1.00,4.00,2.00,3.00,2.00,NULL,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7239084,2.00,5.00,1.00,2.00,7.00,9.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7239092,2.00,2.00,1.00,3.00,3.00,5.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7239106,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7239114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7239122,3.00,5.00,2.00,4.00,6.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7239130,5.00,7.00,6.00,7.00,7.00,5.63,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7239149,3.00,5.00,3.00,6.00,4.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7239157,4.00,7.00,1.00,6.00,9.00,9.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7239165,0.00,6.00,1.00,7.00,8.00,10.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7239173,3.00,7.00,2.00,7.00,9.00,9.38,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7239190,2.00,6.00,1.00,4.00,6.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7239211,0.00,4.00,3.00,7.00,3.00,5.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7239220,3.00,5.00,1.00,6.00,6.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7239238,1.00,5.00,1.00,7.00,4.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7239246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7239254,3.00,6.00,1.00,7.00,8.00,9.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7239262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7239270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7239297,0.00,4.00,3.00,3.00,4.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7239300,2.00,5.00,2.00,2.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7239319,0.00,5.00,1.00,4.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7239335,2.00,5.00,3.00,4.00,9.00,9.00,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7239351,3.00,6.00,1.00,7.00,6.00,8.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7239360,2.00,2.00,1.00,7.00,4.00,10.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7239378,4.00,8.00,3.00,3.00,7.00,7.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7239386,5.00,6.00,1.00,6.00,5.00,11.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7239408,3.00,6.00,3.00,6.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7239416,3.00,7.00,3.00,6.00,8.00,9.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7239424,1.00,6.00,2.00,7.00,6.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7239432,2.00,5.00,1.00,3.00,6.00,9.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7239440,2.00,5.00,3.00,6.00,4.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7239459,2.00,5.00,2.00,4.00,5.00,7.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7239467,2.00,3.00,2.00,3.00,8.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7239475,5.00,5.00,4.00,7.00,6.00,11.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7239483,2.00,6.00,1.00,6.00,5.00,4.88,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7239505,2.00,5.00,3.00,5.00,4.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7239513,2.00,6.00,4.00,3.00,6.00,8.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7239521,4.00,7.00,4.00,6.00,6.00,6.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7239530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7239548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7239556,4.00,5.00,3.00,4.00,4.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7239572,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7239580,2.00,5.00,5.00,2.00,7.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7239602,1.00,5.00,3.00,4.00,8.00,8.63,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7239610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7239629,9.00,8.00,5.00,6.00,10.00,10.13,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7239637,3.00,5.00,2.00,6.00,7.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7239645,2.00,5.00,1.00,4.00,6.00,5.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7239653,1.00,5.00,1.00,4.00,4.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7239661,1.00,4.00,2.00,0.00,4.00,4.50,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7239670,0.00,4.00,2.00,5.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7239688,3.00,6.00,2.00,5.00,6.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7239696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7239700,0.00,5.00,3.00,2.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7239718,4.00,5.00,2.00,3.00,7.00,6.75,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7239726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7239742,4.00,8.00,6.00,6.00,9.00,10.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7239750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7239769,0.00,5.00,2.00,5.00,4.00,4.50,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7239777,1.00,6.00,2.00,5.00,7.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7239785,0.00,2.00,3.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7239793,2.00,6.00,2.00,6.00,7.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7239807,0.00,3.00,3.00,4.00,4.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7239815,1.00,5.00,0.00,4.00,6.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7239831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7239840,1.00,3.00,0.00,1.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7239858,3.00,3.00,3.00,2.00,4.00,5.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7239866,0.00,4.00,1.00,3.00,2.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7239874,2.00,6.00,0.00,7.00,3.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7239882,1.00,5.00,2.00,6.00,6.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7239890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7239904,1.00,6.00,2.00,3.00,5.00,5.63,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7239912,2.00,3.00,2.00,5.00,3.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7239920,5.00,5.00,2.00,6.00,6.00,6.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7239939,5.00,7.00,3.00,7.00,9.00,9.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7239947,1.00,2.00,1.00,3.00,4.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7239955,2.00,4.00,3.00,5.00,3.00,10.13,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7239963,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7239971,5.00,7.00,5.00,7.00,9.00,8.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7239980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7239998,1.00,5.00,1.00,2.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7240007,1.00,8.00,5.00,6.00,8.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7240015,5.00,5.00,1.00,7.00,1.00,NULL,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7240023,1.00,7.00,2.00,7.00,7.00,14.25,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7240031,3.00,0.00,2.00,5.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7240040,3.00,7.00,2.00,6.00,9.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7240058,3.00,5.00,2.00,6.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7240074,3.00,7.00,1.00,7.00,8.00,10.50,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7240082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7240090,2.00,5.00,2.00,2.00,6.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7240112,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7240120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7240139,1.00,7.00,3.00,6.00,5.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7240147,1.00,4.00,1.00,2.00,5.00,4.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7240163,2.00,5.00,2.00,5.00,5.00,5.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7240171,8.00,7.00,2.00,7.00,8.00,9.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7240180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7240201,2.00,5.00,3.00,5.00,8.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7240210,4.00,6.00,2.00,2.00,6.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7240228,3.00,8.00,3.00,7.00,6.00,9.75,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7240236,2.00,3.00,2.00,4.00,3.00,3.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7240244,2.00,0.00,4.00,6.00,3.00,NULL,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(28,7240252,0.00,3.00,1.00,1.00,4.00,5.25,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7240260,0.00,3.00,3.00,4.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7240287,4.00,7.00,3.00,7.00,5.00,6.38,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7240309,1.00,6.00,1.00,6.00,5.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7240317,2.00,7.00,0.00,2.00,9.00,10.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7240325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7240333,2.00,6.00,2.00,5.00,6.00,7.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7240341,1.00,7.00,2.00,5.00,4.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7240350,3.00,5.00,2.00,3.00,9.00,9.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7240368,0.00,3.00,0.00,4.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7240376,1.00,7.00,1.00,2.00,9.00,7.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7240384,1.00,6.00,0.00,6.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7240392,0.00,5.00,1.00,2.00,6.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7240406,0.00,5.00,3.00,7.00,3.00,5.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7240422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7240430,9.00,8.00,5.00,7.00,8.00,9.75,2.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7240449,1.00,4.00,2.00,4.00,7.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7240457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7240465,5.00,4.00,2.00,7.00,8.00,8.63,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7240473,3.00,4.00,2.00,3.00,5.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7240481,4.00,7.00,4.00,5.00,9.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7240490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7240503,0.00,2.00,1.00,3.00,5.00,6.38,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7240538,5.00,8.00,1.00,6.00,6.00,12.00,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7240546,6.00,7.00,1.00,6.00,4.00,6.38,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7240554,3.00,6.00,6.00,5.00,7.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7240562,0.00,6.00,2.00,7.00,8.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7240570,2.00,7.00,1.00,5.00,7.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7240589,2.00,3.00,2.00,5.00,2.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7240597,0.00,3.00,1.00,3.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7240619,0.00,4.00,2.00,3.00,7.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7240635,0.00,4.00,3.00,2.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7240643,4.00,5.00,2.00,5.00,6.00,6.38,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7240660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7240678,2.00,4.00,2.00,5.00,6.00,10.50,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7240694,2.00,5.00,1.00,3.00,7.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7240708,2.00,0.00,1.00,7.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7240716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7240724,2.00,7.00,3.00,5.00,4.00,0.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7240732,0.00,3.00,2.00,4.00,3.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7240740,1.00,6.00,2.00,6.00,7.00,9.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7240767,5.00,6.00,1.00,7.00,6.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7240775,3.00,7.00,3.00,4.00,7.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7240791,2.00,6.00,3.00,7.00,6.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7240805,4.00,6.00,2.00,7.00,6.00,7.13,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7240813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7240821,5.00,7.00,1.00,4.00,9.00,7.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7240830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7240848,2.00,5.00,3.00,6.00,6.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7240864,3.00,6.00,5.00,7.00,6.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7240872,3.00,5.00,2.00,4.00,9.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7240880,2.00,5.00,2.00,5.00,4.00,9.38,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7240902,5.00,6.00,3.00,7.00,7.00,6.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7240910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7240929,4.00,5.00,0.00,6.00,3.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7240937,3.00,8.00,2.00,7.00,8.00,8.63,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7240953,1.00,7.00,2.00,3.00,5.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7240961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7240988,6.00,8.00,5.00,5.00,10.00,8.63,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7241011,2.00,7.00,1.00,6.00,6.00,8.25,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7241020,2.00,4.00,2.00,6.00,9.00,11.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7241038,2.00,4.00,3.00,7.00,3.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7241046,1.00,4.00,0.00,5.00,6.00,8.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7241054,5.00,7.00,3.00,5.00,7.00,5.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7241062,1.00,4.00,2.00,4.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7241089,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7241097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7241100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7241119,2.00,2.00,1.00,3.00,1.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7241127,0.00,5.00,1.00,3.00,7.00,7.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7241135,1.00,6.00,4.00,5.00,5.00,8.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7241143,3.00,6.00,2.00,4.00,5.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7241151,2.00,7.00,1.00,7.00,5.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7241160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7241178,4.00,9.00,4.00,6.00,9.00,9.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7241186,3.00,7.00,4.00,6.00,9.00,6.75,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7241216,3.00,8.00,3.00,6.00,8.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7241224,1.00,3.00,2.00,6.00,2.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7241232,1.00,4.00,2.00,5.00,5.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7241240,4.00,6.00,4.00,5.00,5.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7241267,1.00,3.00,0.00,2.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7241275,1.00,5.00,1.00,7.00,6.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7241283,0.00,8.00,4.00,6.00,7.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7241291,4.00,7.00,1.00,6.00,8.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7241305,4.00,6.00,3.00,6.00,6.00,7.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7241313,3.00,4.00,1.00,8.00,4.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7241321,3.00,9.00,1.00,6.00,5.00,6.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7241330,1.00,7.00,0.00,5.00,8.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7241356,5.00,6.00,4.00,8.00,7.00,9.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7241364,1.00,6.00,0.00,6.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7241372,2.00,2.00,2.00,5.00,3.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7241380,4.00,5.00,0.00,6.00,6.00,9.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7241399,4.00,8.00,4.00,6.00,8.00,7.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7241402,0.00,2.00,0.00,2.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7241410,5.00,9.00,3.00,6.00,7.00,5.63,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7241429,1.00,6.00,2.00,5.00,6.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7241437,2.00,5.00,4.00,3.00,5.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7241453,4.00,6.00,2.00,6.00,6.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7241461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7241470,3.00,3.00,1.00,6.00,6.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7241488,4.00,9.00,6.00,7.00,8.00,9.38,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7241496,3.00,5.00,4.00,7.00,7.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7241500,5.00,6.00,3.00,5.00,6.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7241518,0.00,3.00,0.00,5.00,4.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7241526,3.00,7.00,0.00,4.00,7.00,0.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7241534,3.00,7.00,4.00,6.00,9.00,8.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7241542,0.00,1.00,5.00,6.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7241550,2.00,3.00,2.00,3.00,5.00,4.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7241569,0.00,3.00,3.00,2.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7241577,3.00,7.00,1.00,7.00,8.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7241585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7241607,3.00,6.00,1.00,7.00,3.00,6.75,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7241615,4.00,5.00,3.00,7.00,8.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7241631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7241640,0.00,4.00,2.00,2.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7241658,0.00,4.00,2.00,5.00,7.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7241666,5.00,9.00,2.00,5.00,5.00,6.00,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7241674,1.00,3.00,4.00,5.00,3.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7241682,0.00,8.00,2.00,7.00,7.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7241690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7241704,3.00,7.00,1.00,7.00,7.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7241712,2.00,4.00,2.00,2.00,3.00,4.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7241739,1.00,5.00,1.00,5.00,2.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7241747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7241755,2.00,2.00,4.00,4.00,7.00,3.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7241763,0.00,3.00,2.00,6.00,1.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7241771,2.00,7.00,0.00,0.00,7.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7241780,3.00,3.00,4.00,4.00,7.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7241798,6.00,6.00,2.00,6.00,8.00,8.25,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7241801,0.00,2.00,4.00,3.00,4.00,7.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7241810,2.00,5.00,2.00,6.00,7.00,9.00,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7241828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7241844,4.00,4.00,2.00,6.00,7.00,9.00,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7241852,4.00,4.00,2.00,4.00,6.00,6.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7241860,4.00,6.00,1.00,6.00,6.00,6.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7241879,5.00,6.00,5.00,4.00,6.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7241887,1.00,6.00,1.00,3.00,4.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7241895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7241917,2.00,4.00,2.00,5.00,8.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7241925,0.00,4.00,3.00,7.00,4.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7241933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7241941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7241950,2.00,5.00,3.00,4.00,6.00,4.50,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7241968,2.00,4.00,1.00,4.00,4.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7241976,2.00,6.00,4.00,4.00,6.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7241984,3.00,5.00,3.00,6.00,8.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7241992,0.00,6.00,1.00,6.00,8.00,10.13,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7242000,2.00,6.00,3.00,7.00,8.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7242018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7242026,4.00,4.00,1.00,6.00,5.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7242034,8.00,8.00,3.00,7.00,10.00,10.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7242042,1.00,6.00,1.00,6.00,4.00,10.13,1.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7242069,2.00,6.00,2.00,5.00,8.00,7.88,5.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7242077,1.00,5.00,2.00,6.00,7.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7242085,2.00,7.00,0.00,7.00,9.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7242115,2.00,5.00,2.00,2.00,5.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7242123,4.00,7.00,3.00,6.00,6.00,9.38,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7242131,2.00,8.00,2.00,6.00,7.00,5.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7242140,0.00,3.00,3.00,2.00,5.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7242158,2.00,3.00,1.00,6.00,3.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7242166,3.00,7.00,2.00,6.00,6.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7242174,0.00,4.00,0.00,2.00,4.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7242182,2.00,7.00,1.00,6.00,5.00,7.88,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7242190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7242247,2.00,6.00,2.00,5.00,4.00,9.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7242255,0.00,3.00,1.00,5.00,6.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7242280,1.00,3.00,1.00,3.00,5.00,6.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7242301,1.00,5.00,2.00,5.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7242310,3.00,3.00,3.00,3.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7242328,3.00,7.00,3.00,7.00,10.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7242336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7242344,0.00,4.00,5.00,3.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7242352,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7242360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7242379,2.00,5.00,2.00,5.00,7.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7242387,0.00,4.00,3.00,4.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7242395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7242409,2.00,4.00,3.00,6.00,5.00,7.50,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7242417,5.00,7.00,4.00,7.00,8.00,7.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7242425,1.00,2.00,2.00,1.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7242433,1.00,3.00,1.00,5.00,4.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7242441,4.00,6.00,4.00,5.00,6.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7242468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7242476,0.00,0.00,5.00,5.00,3.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7242484,2.00,5.00,1.00,1.00,4.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7242506,3.00,6.00,2.00,6.00,6.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7242514,3.00,4.00,1.00,5.00,3.00,4.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7242522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7242530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7242549,2.00,6.00,3.00,5.00,8.00,7.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7242557,3.00,4.00,1.00,5.00,6.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7242565,4.00,8.00,2.00,7.00,7.00,11.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7242590,4.00,5.00,2.00,7.00,7.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7242603,1.00,6.00,1.00,4.00,7.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7242611,2.00,6.00,1.00,6.00,4.00,5.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7242620,0.00,4.00,3.00,4.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7242638,4.00,4.00,3.00,7.00,6.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7242646,2.00,6.00,3.00,4.00,6.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7242654,5.00,5.00,0.00,6.00,9.00,8.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7242662,2.00,4.00,2.00,6.00,6.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7242670,4.00,7.00,4.00,5.00,9.00,9.00,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7242689,4.00,5.00,2.00,4.00,5.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7242697,2.00,5.00,1.00,6.00,5.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7242719,2.00,4.00,2.00,4.00,4.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7242727,6.00,7.00,2.00,7.00,7.00,8.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7242735,2.00,3.00,1.00,6.00,5.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7242751,3.00,5.00,3.00,3.00,5.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7242778,6.00,7.00,4.00,8.00,6.00,12.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7242786,2.00,6.00,3.00,6.00,6.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7242816,2.00,3.00,1.00,2.00,4.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7242832,4.00,7.00,3.00,7.00,9.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7242859,0.00,3.00,2.00,5.00,5.00,6.38,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7242883,6.00,6.00,2.00,4.00,9.00,6.75,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7242891,1.00,4.00,2.00,3.00,4.00,7.88,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7242921,0.00,5.00,1.00,3.00,4.00,7.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7242930,2.00,5.00,0.00,1.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7242948,0.00,3.00,2.00,4.00,4.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7242956,2.00,2.00,4.00,4.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,'S','N'),(28,7242964,3.00,4.00,2.00,4.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7242972,1.00,6.00,3.00,6.00,5.00,4.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7242980,0.00,5.00,1.00,6.00,5.00,9.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7242999,0.00,4.00,2.00,6.00,3.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'S'),(28,7243006,2.00,2.00,2.00,3.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7243014,0.00,5.00,1.00,7.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7243022,3.00,6.00,5.00,6.00,8.00,9.38,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7243030,4.00,6.00,4.00,5.00,7.00,11.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7243049,0.00,4.00,2.00,4.00,3.00,6.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7243065,1.00,7.00,3.00,6.00,8.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7243073,4.00,5.00,1.00,5.00,5.00,10.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7243081,3.00,5.00,3.00,6.00,7.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7243090,5.00,7.00,2.00,7.00,8.00,7.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7243111,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7243138,2.00,7.00,0.00,5.00,5.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7243146,0.00,6.00,1.00,6.00,6.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7243154,4.00,6.00,3.00,7.00,6.00,10.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7243162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7243170,2.00,6.00,1.00,5.00,7.00,9.75,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7243189,3.00,7.00,4.00,6.00,6.00,10.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7243200,2.00,6.00,2.00,7.00,6.00,10.13,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7243219,5.00,6.00,2.00,6.00,6.00,7.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7243227,4.00,7.00,3.00,5.00,7.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7243235,2.00,7.00,0.00,6.00,1.00,NULL,3.00,5.00,3.00,NULL,NULL,'S','S'),(28,7243243,0.00,4.00,2.00,7.00,6.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7243251,3.00,6.00,2.00,5.00,7.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7243260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7243278,4.00,6.00,3.00,5.00,6.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7243286,2.00,6.00,5.00,7.00,8.00,10.13,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7243308,2.00,4.00,2.00,4.00,8.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7243316,5.00,7.00,2.00,3.00,8.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7243324,1.00,2.00,3.00,4.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7243332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7243340,1.00,7.00,2.00,7.00,5.00,7.13,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7243367,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7243375,0.00,8.00,2.00,4.00,6.00,7.88,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7243383,0.00,6.00,2.00,3.00,3.00,NULL,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7243391,2.00,5.00,2.00,5.00,8.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7243405,2.00,5.00,1.00,3.00,4.00,5.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7243413,3.00,3.00,2.00,7.00,6.00,10.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7243421,1.00,6.00,2.00,4.00,5.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7243448,3.00,7.00,0.00,5.00,4.00,9.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7243456,1.00,0.00,0.00,2.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7243480,1.00,8.00,1.00,5.00,7.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7243510,3.00,6.00,1.00,6.00,7.00,6.38,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7243529,3.00,5.00,2.00,7.00,4.00,6.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7243537,2.00,0.00,4.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7243545,4.00,3.00,3.00,7.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7243553,3.00,7.00,2.00,4.00,4.00,10.13,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7243561,4.00,6.00,3.00,7.00,8.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7243570,1.00,4.00,3.00,2.00,6.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7243596,3.00,5.00,3.00,6.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7243600,3.00,8.00,1.00,7.00,6.00,7.13,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7243618,3.00,4.00,0.00,6.00,4.00,7.13,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7243634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7243650,4.00,8.00,5.00,4.00,8.00,12.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7243677,3.00,7.00,3.00,6.00,6.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7243685,2.00,4.00,1.00,5.00,5.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7243693,2.00,7.00,2.00,6.00,9.00,8.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7243707,0.00,3.00,2.00,4.00,4.00,6.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7243723,0.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7243740,0.00,0.00,2.00,4.00,4.00,5.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7243758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7243774,2.00,6.00,2.00,7.00,7.00,10.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7243782,4.00,9.00,3.00,6.00,7.00,10.13,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7243790,3.00,5.00,2.00,4.00,5.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7243804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7243812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7243820,1.00,3.00,1.00,5.00,4.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7243847,2.00,5.00,3.00,3.00,5.00,6.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7243855,0.00,6.00,3.00,5.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7243863,4.00,5.00,3.00,6.00,6.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7243871,5.00,5.00,3.00,6.00,3.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7243880,2.00,1.00,0.00,0.00,2.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7243898,4.00,5.00,3.00,6.00,5.00,9.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7243901,1.00,2.00,1.00,2.00,4.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7243928,4.00,8.00,3.00,6.00,5.00,7.13,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7243936,0.00,5.00,1.00,6.00,5.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7243944,4.00,5.00,3.00,5.00,6.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7243979,4.00,4.00,2.00,6.00,6.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7243987,4.00,5.00,2.00,7.00,6.00,4.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7244002,0.00,3.00,2.00,3.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7244010,4.00,6.00,2.00,3.00,4.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7244029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7244037,1.00,5.00,1.00,5.00,4.00,0.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7244045,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7244053,6.00,8.00,4.00,7.00,8.00,9.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7244061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7244070,0.00,3.00,2.00,3.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7244096,4.00,5.00,1.00,3.00,3.00,7.88,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7244100,1.00,6.00,1.00,3.00,4.00,7.13,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7244118,0.00,4.00,2.00,2.00,5.00,10.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7244126,1.00,4.00,1.00,4.00,3.00,8.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7244142,0.00,5.00,2.00,3.00,4.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7244150,2.00,5.00,3.00,6.00,6.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7244169,3.00,6.00,0.00,3.00,8.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7244185,6.00,6.00,2.00,7.00,8.00,10.88,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7244193,7.00,7.00,2.00,7.00,8.00,7.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7244207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7244215,2.00,8.00,5.00,7.00,6.00,9.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7244240,1.00,6.00,2.00,6.00,8.00,8.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7244266,3.00,5.00,0.00,4.00,6.00,0.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7244274,1.00,3.00,4.00,7.00,5.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7244282,1.00,6.00,0.00,6.00,4.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7244290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7244312,0.00,5.00,2.00,6.00,3.00,9.38,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7244320,0.00,2.00,2.00,0.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7244339,1.00,7.00,1.00,3.00,6.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7244347,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7244355,1.00,7.00,1.00,6.00,5.00,10.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7244380,2.00,7.00,2.00,7.00,7.00,11.25,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7244398,4.00,4.00,2.00,6.00,6.00,5.25,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7244401,0.00,3.00,2.00,2.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7244428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7244436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7244444,5.00,6.00,2.00,6.00,8.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7244460,0.00,6.00,1.00,3.00,7.00,9.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7244479,7.00,8.00,3.00,6.00,10.00,7.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7244487,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7244495,4.00,4.00,1.00,4.00,7.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7244509,3.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7244517,0.00,4.00,0.00,0.00,0.00,NULL,0.00,1.00,1.00,'S',NULL,NULL,'N'),(28,7244525,2.00,4.00,1.00,7.00,6.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7244533,2.00,4.00,1.00,2.00,4.00,5.63,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7244541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7244550,0.00,3.00,2.00,0.00,4.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7244568,0.00,5.00,1.00,6.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,'S','N'),(28,7244576,1.00,7.00,4.00,4.00,8.00,12.00,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7244584,1.00,5.00,1.00,2.00,1.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7244592,2.00,4.00,0.00,1.00,4.00,4.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7244606,2.00,6.00,2.00,5.00,5.00,8.63,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7244614,3.00,6.00,3.00,5.00,8.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7244630,1.00,6.00,4.00,6.00,4.00,7.13,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7244649,5.00,0.00,1.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7244657,0.00,6.00,1.00,6.00,5.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7244665,2.00,8.00,2.00,7.00,5.00,8.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7244673,1.00,5.00,2.00,5.00,6.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7244703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7244746,1.00,3.00,1.00,3.00,5.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7244762,3.00,5.00,1.00,6.00,8.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7244770,3.00,6.00,3.00,7.00,7.00,9.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7244800,3.00,6.00,3.00,6.00,4.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7244819,5.00,7.00,3.00,5.00,9.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7244827,0.00,4.00,1.00,4.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7244835,4.00,6.00,1.00,3.00,8.00,5.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7244843,6.00,7.00,5.00,5.00,6.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7244860,3.00,5.00,2.00,5.00,4.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7244878,1.00,6.00,3.00,2.00,6.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7244886,1.00,4.00,3.00,4.00,4.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7244894,0.00,5.00,1.00,6.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7244924,3.00,6.00,2.00,7.00,7.00,12.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7244932,2.00,3.00,1.00,3.00,5.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7244940,2.00,8.00,3.00,7.00,7.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7244959,4.00,7.00,2.00,7.00,5.00,12.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7244967,1.00,6.00,3.00,3.00,3.00,7.88,0.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7244983,1.00,4.00,0.00,6.00,3.00,4.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7245009,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7245033,0.00,6.00,3.00,3.00,4.00,0.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7245041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7245050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7245068,4.00,8.00,3.00,7.00,8.00,7.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7245084,4.00,5.00,3.00,6.00,3.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7245092,6.00,7.00,5.00,6.00,9.00,8.63,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7245114,0.00,1.00,0.00,0.00,0.00,NULL,2.00,1.00,3.00,'S',NULL,NULL,'N'),(28,7245130,3.00,5.00,3.00,6.00,3.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7245149,4.00,6.00,2.00,7.00,7.00,10.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7245157,0.00,7.00,3.00,5.00,4.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7245165,7.00,8.00,3.00,6.00,9.00,5.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7245181,2.00,4.00,1.00,3.00,3.00,NULL,0.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7245211,1.00,2.00,1.00,5.00,6.00,9.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7245220,0.00,1.00,2.00,2.00,6.00,4.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7245246,1.00,5.00,1.00,7.00,10.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7245254,5.00,6.00,2.00,7.00,9.00,8.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7245262,5.00,8.00,3.00,7.00,9.00,8.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7245270,0.00,5.00,2.00,6.00,8.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7245300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7245319,3.00,3.00,3.00,4.00,7.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7245327,2.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7245335,3.00,5.00,2.00,6.00,5.00,9.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7245351,7.00,4.00,1.00,6.00,8.00,7.13,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7245386,6.00,6.00,4.00,6.00,8.00,8.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7245394,0.00,5.00,3.00,6.00,4.00,8.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7245408,6.00,8.00,5.00,7.00,7.00,10.13,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7245416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7245424,2.00,5.00,1.00,7.00,7.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7245432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7245440,1.00,3.00,1.00,4.00,4.00,6.75,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7245459,1.00,3.00,2.00,4.00,6.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7245475,0.00,7.00,1.00,7.00,8.00,9.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7245505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7245513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7245530,2.00,5.00,3.00,6.00,4.00,6.00,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7245548,0.00,4.00,1.00,5.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7245556,6.00,8.00,5.00,7.00,10.00,9.38,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7245564,0.00,8.00,0.00,5.00,8.00,7.88,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7245572,1.00,7.00,3.00,7.00,8.00,11.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7245580,4.00,8.00,2.00,7.00,7.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7245599,5.00,7.00,5.00,7.00,7.00,9.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7245602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7245629,3.00,5.00,2.00,5.00,8.00,8.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7245637,3.00,5.00,3.00,6.00,7.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7245645,3.00,5.00,3.00,4.00,5.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7245653,4.00,7.00,3.00,5.00,8.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7245661,3.00,5.00,1.00,5.00,4.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7245688,2.00,7.00,1.00,5.00,7.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7245696,5.00,8.00,4.00,5.00,7.00,9.75,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7245700,1.00,2.00,1.00,4.00,6.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7245718,7.00,7.00,4.00,6.00,6.00,6.38,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7245726,2.00,7.00,3.00,1.00,7.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7245734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7245742,3.00,5.00,2.00,5.00,6.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7245769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7245777,2.00,4.00,1.00,4.00,4.00,8.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7245785,3.00,6.00,2.00,5.00,4.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7245793,3.00,6.00,2.00,2.00,3.00,5.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7245807,0.00,5.00,2.00,7.00,6.00,7.88,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7245823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7245831,0.00,4.00,2.00,2.00,2.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7245840,2.00,7.00,2.00,6.00,8.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7245866,3.00,6.00,1.00,4.00,5.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7245874,1.00,5.00,1.00,5.00,6.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7245890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7245912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7245920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7245939,1.00,7.00,1.00,6.00,7.00,6.38,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7245947,2.00,4.00,3.00,4.00,3.00,9.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7245955,1.00,6.00,4.00,6.00,4.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7245963,2.00,7.00,2.00,4.00,7.00,10.13,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7245971,2.00,8.00,1.00,5.00,7.00,11.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7245980,0.00,3.00,2.00,4.00,6.00,5.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7245998,5.00,5.00,2.00,7.00,6.00,7.88,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7246005,4.00,8.00,0.00,6.00,6.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7246013,2.00,7.00,2.00,5.00,5.00,6.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7246021,1.00,5.00,1.00,6.00,4.00,6.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7246030,0.00,3.00,2.00,5.00,4.00,3.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7246064,0.00,4.00,2.00,5.00,7.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7246072,1.00,6.00,1.00,6.00,7.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7246080,8.00,8.00,4.00,6.00,10.00,9.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7246102,3.00,5.00,2.00,7.00,7.00,8.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7246110,2.00,0.00,1.00,0.00,1.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7246129,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7246137,4.00,6.00,2.00,5.00,7.00,7.88,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7246161,3.00,6.00,2.00,5.00,7.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7246170,7.00,8.00,6.00,7.00,9.00,10.13,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7246196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7246200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7246218,0.00,3.00,2.00,5.00,4.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7246226,0.00,2.00,2.00,6.00,8.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7246234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7246242,1.00,4.00,3.00,4.00,6.00,12.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7246269,3.00,7.00,2.00,5.00,7.00,7.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7246285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7246307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7246315,2.00,7.00,4.00,5.00,3.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7246331,0.00,2.00,0.00,4.00,1.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7246340,2.00,7.00,1.00,7.00,8.00,7.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7246382,3.00,5.00,3.00,5.00,4.00,6.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7246390,3.00,7.00,1.00,6.00,8.00,7.88,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7246404,1.00,6.00,4.00,7.00,7.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7246412,2.00,5.00,2.00,4.00,4.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7246420,4.00,8.00,3.00,5.00,8.00,9.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7246439,1.00,4.00,3.00,3.00,5.00,3.00,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7246447,2.00,4.00,2.00,5.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7246455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7246463,2.00,2.00,3.00,5.00,5.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7246471,0.00,4.00,1.00,2.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7246480,1.00,4.00,0.00,1.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7246498,0.00,4.00,1.00,1.00,0.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7246501,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7246510,4.00,5.00,0.00,6.00,5.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7246528,4.00,8.00,4.00,6.00,9.00,9.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7246536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7246552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7246579,5.00,7.00,2.00,7.00,7.00,7.88,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7246587,0.00,3.00,3.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7246609,7.00,8.00,4.00,6.00,8.00,11.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7246617,1.00,6.00,1.00,4.00,4.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7246625,4.00,7.00,3.00,3.00,8.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7246668,2.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7246676,0.00,3.00,2.00,4.00,2.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7246684,4.00,6.00,2.00,6.00,7.00,9.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7246706,4.00,8.00,3.00,8.00,9.00,8.63,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7246722,3.00,6.00,3.00,6.00,7.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7246730,0.00,6.00,2.00,6.00,4.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7246749,1.00,7.00,2.00,6.00,9.00,9.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7246757,3.00,6.00,1.00,6.00,7.00,9.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7246765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7246773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7246781,4.00,7.00,3.00,7.00,8.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7246790,3.00,5.00,2.00,6.00,9.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7246803,1.00,3.00,3.00,4.00,4.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7246811,3.00,8.00,3.00,6.00,8.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7246838,0.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7246846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7246854,1.00,3.00,1.00,3.00,3.00,2.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7246897,4.00,7.00,2.00,6.00,6.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7246900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7246919,4.00,7.00,2.00,4.00,7.00,8.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7246927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7246951,4.00,4.00,5.00,5.00,4.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7246960,2.00,3.00,3.00,5.00,6.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7246986,5.00,7.00,1.00,7.00,8.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7247001,2.00,6.00,3.00,7.00,9.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7247010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7247028,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7247036,0.00,6.00,5.00,6.00,6.00,9.38,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7247044,3.00,5.00,1.00,4.00,5.00,9.38,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7247052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7247060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7247079,2.00,5.00,2.00,5.00,7.00,4.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7247087,0.00,3.00,0.00,4.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7247095,4.00,7.00,5.00,5.00,7.00,9.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7247109,5.00,7.00,3.00,4.00,9.00,9.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7247117,5.00,6.00,3.00,6.00,10.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7247125,4.00,5.00,1.00,7.00,5.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7247141,4.00,7.00,2.00,6.00,7.00,12.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7247150,3.00,8.00,2.00,7.00,8.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7247168,4.00,7.00,1.00,6.00,8.00,10.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7247176,2.00,3.00,4.00,3.00,2.00,4.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7247184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7247192,0.00,7.00,2.00,2.00,2.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7247222,5.00,8.00,3.00,7.00,9.00,9.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7247230,6.00,9.00,4.00,7.00,3.00,10.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7247249,5.00,6.00,2.00,5.00,8.00,10.88,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7247257,0.00,4.00,3.00,6.00,6.00,5.63,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7247265,3.00,7.00,5.00,5.00,5.00,9.00,4.00,4.00,8.00,NULL,NULL,NULL,'N'),(28,7247273,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7247281,1.00,5.00,1.00,4.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7247290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7247303,3.00,7.00,4.00,7.00,9.00,7.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7247311,1.00,4.00,2.00,5.00,3.00,5.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7247338,2.00,6.00,2.00,2.00,3.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7247346,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7247354,2.00,8.00,2.00,7.00,6.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7247362,4.00,8.00,2.00,4.00,9.00,6.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7247370,1.00,2.00,2.00,3.00,5.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7247389,1.00,5.00,1.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7247400,1.00,5.00,2.00,7.00,5.00,6.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7247427,0.00,1.00,1.00,0.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7247435,0.00,4.00,2.00,4.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7247460,3.00,5.00,2.00,3.00,8.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7247478,0.00,5.00,0.00,1.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,'S','N'),(28,7247508,1.00,7.00,1.00,5.00,6.00,8.63,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7247532,0.00,4.00,1.00,3.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7247540,5.00,8.00,3.00,7.00,9.00,12.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7247567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7247575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7247583,3.00,8.00,6.00,6.00,9.00,9.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7247591,0.00,3.00,2.00,2.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7247605,1.00,8.00,0.00,5.00,4.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7247613,2.00,5.00,2.00,6.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7247621,0.00,4.00,0.00,8.00,6.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7247630,2.00,3.00,2.00,3.00,5.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7247648,2.00,5.00,2.00,2.00,6.00,10.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7247656,3.00,6.00,3.00,5.00,6.00,6.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7247664,2.00,8.00,3.00,7.00,8.00,9.38,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(28,7247680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7247699,6.00,8.00,2.00,7.00,9.00,7.50,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7247702,2.00,6.00,3.00,5.00,4.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7247710,4.00,6.00,2.00,3.00,8.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7247729,2.00,6.00,0.00,5.00,6.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7247737,3.00,6.00,4.00,7.00,7.00,7.88,5.00,7.00,8.00,NULL,NULL,NULL,'S'),(28,7247745,1.00,3.00,4.00,5.00,3.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7247753,1.00,4.00,1.00,2.00,5.00,10.88,0.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7247761,7.00,7.00,2.00,7.00,6.00,11.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7247788,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7247796,2.00,5.00,1.00,7.00,7.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7247800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7247818,1.00,7.00,1.00,4.00,6.00,6.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7247842,1.00,4.00,0.00,5.00,5.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7247850,3.00,5.00,1.00,6.00,7.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7247869,1.00,5.00,2.00,6.00,4.00,6.75,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7247877,2.00,3.00,1.00,2.00,3.00,5.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7247893,3.00,5.00,1.00,6.00,10.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7247907,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7247915,2.00,5.00,1.00,3.00,4.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7247931,1.00,2.00,1.00,0.00,3.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7247940,4.00,6.00,1.00,3.00,7.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7247958,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7247966,1.00,5.00,1.00,5.00,5.00,6.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7247974,1.00,6.00,0.00,7.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7247982,2.00,5.00,0.00,7.00,4.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7247990,3.00,7.00,1.00,5.00,6.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7248024,7.00,8.00,4.00,3.00,9.00,9.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7248032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7248040,7.00,9.00,5.00,7.00,10.00,9.38,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7248059,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7248075,1.00,3.00,1.00,7.00,4.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7248083,3.00,4.00,2.00,3.00,4.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7248091,3.00,7.00,5.00,6.00,10.00,12.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7248105,0.00,5.00,3.00,2.00,5.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7248113,0.00,3.00,1.00,4.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7248121,2.00,5.00,2.00,6.00,7.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7248130,2.00,2.00,2.00,4.00,7.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7248156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7248164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N');
INSERT INTO ponto_candidato VALUES (28,7248172,2.00,3.00,1.00,3.00,5.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7248180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7248202,3.00,9.00,1.00,5.00,9.00,NULL,3.00,8.00,6.00,NULL,NULL,'S','N'),(28,7248210,0.00,6.00,2.00,5.00,8.00,NULL,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7248229,2.00,6.00,2.00,1.00,4.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7248237,5.00,5.00,3.00,6.00,7.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7248245,2.00,0.00,2.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(28,7248253,0.00,1.00,1.00,0.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7248261,6.00,9.00,4.00,7.00,9.00,9.38,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7248270,4.00,8.00,3.00,7.00,9.00,7.88,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7248288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7248296,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7248300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7248318,0.00,2.00,0.00,4.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7248326,2.00,5.00,1.00,7.00,7.00,9.38,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7248334,4.00,3.00,3.00,5.00,2.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7248342,4.00,7.00,3.00,6.00,7.00,10.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7248369,3.00,7.00,6.00,6.00,7.00,9.75,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7248377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7248385,5.00,8.00,4.00,7.00,10.00,9.38,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7248407,7.00,8.00,4.00,5.00,10.00,10.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7248415,2.00,6.00,1.00,7.00,5.00,7.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7248423,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7248431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7248458,3.00,7.00,1.00,5.00,5.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7248474,4.00,7.00,2.00,7.00,8.00,11.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7248482,4.00,8.00,3.00,6.00,8.00,7.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7248490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7248504,3.00,6.00,0.00,3.00,2.00,NULL,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7248512,4.00,0.00,1.00,7.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7248520,2.00,7.00,2.00,6.00,5.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7248539,2.00,8.00,3.00,5.00,7.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7248547,2.00,2.00,2.00,3.00,0.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7248555,4.00,7.00,1.00,2.00,4.00,7.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7248563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7248571,5.00,6.00,3.00,6.00,8.00,10.50,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7248580,3.00,4.00,2.00,5.00,1.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7248598,3.00,7.00,1.00,6.00,8.00,6.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7248601,3.00,7.00,3.00,6.00,9.00,11.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7248610,0.00,4.00,1.00,5.00,3.00,8.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7248628,1.00,4.00,3.00,3.00,5.00,4.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7248636,1.00,4.00,3.00,4.00,3.00,9.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7248644,5.00,7.00,3.00,5.00,8.00,9.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7248652,2.00,0.00,2.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7248660,1.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(28,7248679,0.00,2.00,1.00,5.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7248687,3.00,5.00,3.00,6.00,6.00,9.00,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7248695,2.00,5.00,1.00,6.00,4.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7248709,2.00,6.00,2.00,7.00,8.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7248725,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7248741,0.00,4.00,0.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7248750,3.00,3.00,1.00,5.00,5.00,6.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7248768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7248784,0.00,3.00,3.00,2.00,5.00,4.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7248792,3.00,6.00,1.00,3.00,4.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7248814,2.00,1.00,0.00,4.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7248822,1.00,7.00,2.00,7.00,6.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7248830,0.00,6.00,2.00,2.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7248849,2.00,4.00,1.00,4.00,9.00,8.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7248857,4.00,6.00,1.00,7.00,7.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7248873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7248881,1.00,7.00,2.00,4.00,4.00,10.50,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7248903,0.00,5.00,0.00,7.00,9.00,0.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7248911,2.00,6.00,4.00,7.00,5.00,8.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7248946,3.00,7.00,2.00,5.00,6.00,9.38,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7248970,0.00,7.00,4.00,6.00,6.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7248989,0.00,4.00,2.00,2.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7248997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7249004,3.00,8.00,3.00,7.00,8.00,7.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7249012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7249020,7.00,6.00,4.00,7.00,6.00,8.63,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7249039,3.00,7.00,2.00,6.00,9.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7249047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7249055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7249063,5.00,6.00,2.00,7.00,10.00,5.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7249071,5.00,8.00,5.00,6.00,7.00,8.63,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7249080,4.00,6.00,2.00,8.00,8.00,8.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7249101,4.00,7.00,2.00,7.00,8.00,7.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7249110,2.00,4.00,1.00,4.00,3.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7249128,2.00,3.00,3.00,1.00,3.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7249136,2.00,3.00,1.00,5.00,2.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7249152,3.00,2.00,2.00,2.00,3.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7249160,0.00,5.00,1.00,5.00,7.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7249187,0.00,5.00,0.00,1.00,1.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7249195,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7249209,2.00,8.00,2.00,6.00,6.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7249217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7249225,1.00,3.00,2.00,5.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7249241,4.00,6.00,2.00,7.00,6.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7249268,5.00,7.00,4.00,6.00,9.00,11.63,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7249276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7249284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7249292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7249306,4.00,8.00,3.00,7.00,9.00,8.63,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7249314,4.00,5.00,0.00,1.00,3.00,7.88,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7249322,4.00,7.00,1.00,6.00,7.00,7.88,5.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7249330,2.00,6.00,2.00,5.00,6.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7249349,0.00,2.00,2.00,7.00,7.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7249357,1.00,5.00,1.00,3.00,8.00,9.75,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7249365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7249390,5.00,7.00,2.00,6.00,9.00,6.38,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7249403,5.00,7.00,3.00,5.00,6.00,12.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7249411,1.00,6.00,4.00,2.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7249420,2.00,3.00,1.00,7.00,8.00,10.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7249438,6.00,9.00,4.00,6.00,7.00,9.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7249446,0.00,3.00,1.00,2.00,8.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7249454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7249462,4.00,5.00,2.00,5.00,8.00,10.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7249489,3.00,2.00,2.00,5.00,3.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7249497,0.00,0.00,1.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7249500,1.00,3.00,1.00,3.00,5.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7249519,3.00,7.00,4.00,5.00,6.00,7.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7249535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7249543,2.00,4.00,4.00,4.00,5.00,0.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7249551,1.00,3.00,1.00,3.00,5.00,6.75,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7249560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7249586,1.00,7.00,4.00,6.00,7.00,7.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7249594,4.00,5.00,2.00,5.00,6.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7249608,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7249616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7249624,2.00,7.00,2.00,7.00,7.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7249632,4.00,4.00,1.00,5.00,1.00,NULL,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7249640,4.00,4.00,2.00,5.00,7.00,9.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7249667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7249675,1.00,6.00,3.00,3.00,4.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7249691,3.00,4.00,3.00,7.00,7.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7249705,3.00,6.00,0.00,6.00,10.00,5.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7249730,1.00,3.00,1.00,4.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7249748,4.00,6.00,3.00,5.00,8.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7249772,5.00,7.00,1.00,6.00,9.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7249780,0.00,3.00,1.00,7.00,7.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7249799,2.00,6.00,2.00,5.00,1.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7249810,2.00,9.00,1.00,3.00,8.00,7.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7249829,5.00,8.00,2.00,7.00,5.00,8.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7249837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7249845,6.00,6.00,5.00,7.00,6.00,8.63,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7249853,0.00,4.00,3.00,4.00,4.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7249870,3.00,6.00,3.00,4.00,6.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7249896,5.00,8.00,5.00,6.00,7.00,9.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7249900,4.00,7.00,3.00,6.00,4.00,7.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7249934,2.00,4.00,5.00,6.00,2.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7249942,2.00,8.00,2.00,7.00,9.00,10.88,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7249950,2.00,4.00,3.00,5.00,5.00,6.38,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7249969,6.00,8.00,3.00,7.00,8.00,9.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7249977,5.00,7.00,1.00,5.00,7.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7249985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7250010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7250029,5.00,7.00,3.00,6.00,7.00,7.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7250045,0.00,4.00,2.00,2.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,'S','N'),(28,7250053,2.00,6.00,1.00,7.00,6.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7250061,1.00,4.00,2.00,3.00,6.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7250070,0.00,3.00,1.00,2.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7250088,2.00,8.00,2.00,6.00,6.00,9.38,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7250096,3.00,7.00,1.00,4.00,7.00,7.50,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7250100,3.00,7.00,2.00,2.00,6.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7250118,1.00,4.00,1.00,2.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7250126,2.00,6.00,2.00,7.00,5.00,5.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7250134,3.00,6.00,2.00,6.00,7.00,10.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7250142,4.00,7.00,4.00,7.00,9.00,8.63,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7250150,1.00,5.00,1.00,1.00,3.00,0.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7250169,1.00,6.00,1.00,1.00,5.00,6.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7250177,0.00,2.00,0.00,4.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7250185,4.00,6.00,1.00,5.00,6.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7250193,3.00,5.00,0.00,5.00,5.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7250207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7250215,6.00,8.00,4.00,7.00,8.00,11.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7250223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7250231,1.00,7.00,0.00,1.00,2.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7250258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7250266,3.00,5.00,1.00,6.00,6.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7250274,5.00,8.00,4.00,7.00,7.00,8.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7250282,0.00,4.00,3.00,5.00,4.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7250290,0.00,1.00,2.00,3.00,5.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7250312,1.00,5.00,2.00,5.00,8.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7250320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7250339,0.00,5.00,1.00,2.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7250355,3.00,8.00,1.00,7.00,9.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7250363,0.00,4.00,2.00,6.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7250371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7250398,2.00,4.00,1.00,4.00,4.00,8.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7250401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7250410,0.00,5.00,1.00,4.00,3.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7250428,4.00,8.00,3.00,7.00,5.00,9.00,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7250436,2.00,7.00,1.00,5.00,4.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7250444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7250460,4.00,6.00,2.00,7.00,8.00,12.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7250479,6.00,7.00,2.00,4.00,7.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7250487,5.00,8.00,3.00,8.00,6.00,9.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7250495,1.00,3.00,1.00,5.00,5.00,6.38,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7250509,0.00,2.00,0.00,1.00,4.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7250517,2.00,5.00,2.00,2.00,5.00,7.13,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7250525,1.00,5.00,2.00,5.00,6.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7250533,7.00,7.00,5.00,5.00,7.00,8.63,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7250541,7.00,8.00,4.00,7.00,10.00,7.13,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7250550,6.00,7.00,2.00,4.00,6.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7250568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7250576,2.00,2.00,1.00,6.00,3.00,7.13,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7250584,6.00,7.00,0.00,6.00,7.00,9.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7250592,2.00,0.00,3.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(28,7250606,1.00,7.00,2.00,8.00,6.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7250614,0.00,6.00,3.00,6.00,5.00,9.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7250622,0.00,4.00,3.00,2.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7250630,1.00,2.00,3.00,4.00,3.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7250649,3.00,6.00,3.00,5.00,7.00,10.13,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7250657,3.00,6.00,4.00,7.00,8.00,7.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7250665,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7250673,6.00,6.00,2.00,6.00,7.00,12.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7250690,4.00,6.00,1.00,5.00,5.00,7.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7250703,2.00,5.00,1.00,4.00,4.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7250711,3.00,5.00,2.00,5.00,5.00,7.13,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7250720,1.00,4.00,2.00,3.00,3.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7250738,5.00,5.00,3.00,6.00,8.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7250746,0.00,4.00,0.00,3.00,2.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7250754,2.00,4.00,3.00,4.00,6.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7250770,1.00,6.00,4.00,3.00,7.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7250797,5.00,5.00,5.00,7.00,8.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7250800,6.00,6.00,5.00,6.00,8.00,7.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7250819,1.00,2.00,2.00,1.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7250827,4.00,8.00,3.00,7.00,9.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7250835,3.00,4.00,1.00,2.00,4.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7250843,0.00,4.00,2.00,2.00,6.00,8.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7250851,7.00,8.00,3.00,6.00,8.00,7.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7250878,4.00,6.00,1.00,5.00,5.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7250886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7250908,3.00,7.00,1.00,7.00,8.00,10.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7250916,2.00,5.00,2.00,4.00,5.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7250924,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7250932,3.00,7.00,2.00,6.00,6.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7250959,1.00,5.00,3.00,5.00,5.00,8.63,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7250967,6.00,5.00,2.00,5.00,4.00,8.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7250975,7.00,7.00,4.00,6.00,5.00,9.00,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7250983,1.00,3.00,3.00,4.00,7.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7250991,4.00,8.00,3.00,6.00,9.00,8.63,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7251009,3.00,4.00,1.00,3.00,6.00,7.13,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7251017,4.00,6.00,2.00,5.00,6.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7251025,5.00,8.00,1.00,7.00,9.00,7.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7251033,2.00,5.00,2.00,6.00,3.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7251041,5.00,5.00,2.00,7.00,7.00,8.25,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7251050,2.00,6.00,2.00,7.00,6.00,7.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7251068,0.00,2.00,1.00,3.00,0.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7251106,8.00,7.00,1.00,6.00,9.00,7.50,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7251114,1.00,5.00,3.00,2.00,8.00,9.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7251122,1.00,7.00,0.00,5.00,6.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7251130,4.00,6.00,2.00,6.00,4.00,9.38,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7251149,1.00,3.00,2.00,6.00,6.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7251165,2.00,6.00,3.00,5.00,6.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7251173,0.00,2.00,5.00,2.00,3.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7251181,7.00,8.00,7.00,7.00,9.00,11.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7251190,4.00,5.00,4.00,5.00,5.00,7.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7251203,3.00,4.00,3.00,6.00,5.00,5.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7251211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7251220,0.00,3.00,1.00,4.00,3.00,8.25,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7251238,4.00,8.00,1.00,7.00,7.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7251246,3.00,7.00,3.00,7.00,8.00,10.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7251262,3.00,7.00,2.00,5.00,9.00,10.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7251270,2.00,5.00,2.00,3.00,7.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7251289,4.00,7.00,0.00,7.00,4.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7251297,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7251300,1.00,2.00,2.00,5.00,7.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7251319,2.00,6.00,1.00,6.00,6.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7251327,0.00,7.00,0.00,6.00,3.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7251335,2.00,4.00,0.00,1.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7251343,2.00,4.00,1.00,2.00,4.00,4.88,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7251351,3.00,7.00,3.00,7.00,8.00,10.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7251360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7251378,5.00,6.00,2.00,7.00,9.00,8.25,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7251386,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7251408,5.00,4.00,2.00,7.00,4.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7251416,2.00,5.00,0.00,6.00,3.00,8.63,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7251424,2.00,4.00,2.00,5.00,5.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7251432,5.00,6.00,3.00,5.00,8.00,8.63,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7251440,2.00,4.00,2.00,5.00,4.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7251459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7251467,3.00,6.00,1.00,5.00,5.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7251475,3.00,6.00,3.00,7.00,9.00,10.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7251483,4.00,7.00,1.00,5.00,3.00,8.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7251491,3.00,5.00,1.00,4.00,5.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7251513,1.00,3.00,2.00,4.00,2.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7251521,0.00,6.00,0.00,5.00,6.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7251530,1.00,3.00,0.00,5.00,6.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7251548,0.00,6.00,1.00,2.00,4.00,7.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7251556,1.00,3.00,4.00,6.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7251564,4.00,7.00,4.00,7.00,6.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7251572,5.00,6.00,2.00,6.00,7.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7251580,1.00,2.00,2.00,3.00,4.00,4.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7251599,0.00,4.00,1.00,6.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7251602,0.00,3.00,1.00,4.00,4.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7251610,5.00,7.00,4.00,7.00,8.00,8.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7251629,3.00,6.00,4.00,6.00,5.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7251637,5.00,5.00,0.00,6.00,8.00,7.50,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7251645,3.00,5.00,1.00,6.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7251653,6.00,6.00,4.00,7.00,8.00,9.00,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7251661,2.00,4.00,3.00,5.00,5.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7251670,6.00,7.00,5.00,7.00,9.00,6.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7251688,5.00,7.00,4.00,7.00,8.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7251696,1.00,3.00,1.00,2.00,4.00,7.13,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7251700,0.00,4.00,4.00,2.00,3.00,5.63,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7251718,2.00,3.00,0.00,2.00,7.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7251726,2.00,7.00,4.00,5.00,5.00,5.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7251734,4.00,8.00,1.00,2.00,4.00,8.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7251742,2.00,7.00,0.00,7.00,6.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7251750,2.00,3.00,2.00,1.00,1.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7251769,5.00,4.00,1.00,6.00,8.00,9.75,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7251777,5.00,8.00,0.00,6.00,7.00,7.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7251785,1.00,5.00,3.00,3.00,3.00,6.00,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7251793,5.00,5.00,1.00,7.00,4.00,4.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7251807,5.00,8.00,4.00,7.00,6.00,7.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7251815,3.00,7.00,2.00,6.00,7.00,9.38,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7251823,3.00,5.00,2.00,4.00,5.00,6.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7251831,4.00,5.00,4.00,5.00,6.00,9.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7251858,3.00,7.00,2.00,7.00,6.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7251866,1.00,5.00,4.00,3.00,4.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7251882,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7251890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7251904,4.00,8.00,3.00,6.00,8.00,9.38,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7251912,0.00,2.00,1.00,3.00,4.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7251920,0.00,6.00,3.00,4.00,4.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7251939,1.00,3.00,1.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7251947,3.00,6.00,2.00,3.00,7.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7251955,1.00,4.00,2.00,5.00,10.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7251963,2.00,8.00,1.00,6.00,5.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7251980,5.00,6.00,2.00,5.00,4.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7251998,7.00,8.00,2.00,6.00,8.00,11.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7252005,4.00,7.00,4.00,6.00,8.00,8.25,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7252013,5.00,8.00,5.00,8.00,10.00,10.13,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7252021,5.00,8.00,2.00,5.00,4.00,7.13,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7252030,3.00,7.00,6.00,7.00,7.00,8.25,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7252048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7252056,5.00,7.00,4.00,5.00,7.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7252064,1.00,8.00,2.00,6.00,7.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7252072,1.00,7.00,1.00,5.00,3.00,6.38,0.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7252080,3.00,4.00,4.00,3.00,5.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7252099,1.00,5.00,1.00,5.00,3.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7252102,0.00,4.00,2.00,7.00,8.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7252110,3.00,5.00,1.00,5.00,6.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7252129,3.00,7.00,2.00,6.00,8.00,10.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7252145,4.00,6.00,2.00,5.00,6.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7252153,8.00,8.00,3.00,5.00,11.00,11.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7252161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7252170,1.00,6.00,2.00,7.00,5.00,8.25,5.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7252188,4.00,7.00,2.00,7.00,8.00,8.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7252196,0.00,5.00,2.00,5.00,4.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7252200,0.00,7.00,1.00,5.00,5.00,5.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7252218,2.00,1.00,0.00,6.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7252234,5.00,6.00,3.00,6.00,6.00,7.13,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7252242,2.00,6.00,2.00,6.00,6.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7252250,0.00,2.00,2.00,4.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7252269,3.00,7.00,0.00,6.00,7.00,6.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7252277,1.00,3.00,3.00,6.00,4.00,8.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7252285,2.00,6.00,1.00,2.00,9.00,10.13,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7252293,2.00,7.00,0.00,3.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7252307,2.00,5.00,3.00,5.00,9.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7252315,5.00,6.00,2.00,7.00,10.00,13.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7252323,7.00,8.00,2.00,6.00,9.00,10.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7252331,1.00,5.00,2.00,5.00,6.00,6.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7252358,7.00,7.00,0.00,7.00,8.00,10.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7252366,3.00,8.00,2.00,7.00,8.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7252374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7252382,0.00,4.00,1.00,2.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7252390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7252404,1.00,6.00,3.00,4.00,5.00,5.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7252412,0.00,1.00,0.00,2.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7252420,5.00,7.00,3.00,5.00,7.00,8.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7252447,2.00,6.00,3.00,7.00,7.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7252455,4.00,8.00,2.00,5.00,9.00,10.13,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7252463,0.00,4.00,3.00,1.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7252471,0.00,5.00,4.00,5.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7252480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7252498,6.00,6.00,1.00,4.00,6.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7252501,1.00,4.00,1.00,5.00,6.00,4.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7252510,2.00,5.00,2.00,6.00,5.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7252528,2.00,7.00,2.00,6.00,8.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7252536,0.00,5.00,0.00,3.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7252544,6.00,8.00,4.00,7.00,10.00,12.00,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7252552,2.00,5.00,3.00,4.00,5.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7252587,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7252595,5.00,6.00,2.00,4.00,8.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7252625,5.00,7.00,3.00,5.00,4.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7252650,4.00,6.00,1.00,7.00,5.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7252668,1.00,6.00,1.00,2.00,5.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7252676,2.00,2.00,1.00,5.00,5.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7252684,1.00,6.00,2.00,6.00,3.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7252692,6.00,7.00,2.00,5.00,8.00,8.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7252706,5.00,7.00,3.00,6.00,9.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7252714,1.00,4.00,2.00,6.00,4.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7252722,2.00,7.00,5.00,7.00,6.00,6.38,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7252757,2.00,7.00,5.00,5.00,6.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7252765,4.00,8.00,3.00,7.00,8.00,9.00,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7252773,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7252781,3.00,0.00,3.00,7.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7252803,3.00,6.00,3.00,5.00,7.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7252820,0.00,5.00,1.00,7.00,5.00,6.00,4.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7252846,2.00,7.00,0.00,5.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7252862,3.00,6.00,2.00,6.00,4.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7252870,0.00,5.00,2.00,7.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7252889,1.00,3.00,3.00,2.00,7.00,8.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7252897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7252919,5.00,7.00,4.00,6.00,7.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7252927,0.00,4.00,1.00,4.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7252943,0.00,7.00,1.00,6.00,8.00,5.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7252951,0.00,4.00,1.00,3.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7252960,1.00,2.00,2.00,3.00,3.00,6.00,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7252978,1.00,5.00,2.00,4.00,4.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7252994,0.00,3.00,1.00,6.00,4.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7253010,0.00,6.00,2.00,5.00,4.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7253028,2.00,4.00,4.00,4.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7253044,1.00,6.00,2.00,7.00,5.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7253052,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7253060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7253079,3.00,0.00,2.00,5.00,2.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(28,7253087,2.00,5.00,2.00,4.00,7.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7253095,3.00,6.00,2.00,6.00,8.00,8.63,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7253109,1.00,7.00,2.00,4.00,5.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7253117,6.00,6.00,4.00,7.00,5.00,8.25,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7253125,1.00,2.00,3.00,7.00,4.00,7.88,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7253133,5.00,6.00,3.00,6.00,8.00,6.75,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7253141,2.00,5.00,1.00,5.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7253150,1.00,7.00,3.00,7.00,7.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7253168,3.00,6.00,1.00,7.00,7.00,9.38,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7253176,5.00,8.00,3.00,5.00,5.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7253192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7253206,5.00,8.00,4.00,6.00,9.00,7.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7253214,0.00,6.00,1.00,1.00,3.00,4.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7253222,1.00,4.00,2.00,5.00,7.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7253249,1.00,4.00,2.00,3.00,6.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7253257,1.00,3.00,2.00,0.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7253265,3.00,3.00,1.00,5.00,4.00,6.00,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7253273,2.00,0.00,3.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7253281,0.00,8.00,3.00,5.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7253290,5.00,7.00,2.00,5.00,7.00,10.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7253320,1.00,3.00,1.00,5.00,3.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7253338,2.00,7.00,2.00,4.00,8.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7253346,3.00,7.00,1.00,3.00,8.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7253354,1.00,2.00,2.00,4.00,6.00,5.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7253362,2.00,6.00,1.00,6.00,5.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7253370,5.00,8.00,4.00,7.00,2.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7253389,1.00,9.00,2.00,8.00,8.00,9.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7253400,1.00,4.00,1.00,4.00,5.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7253419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7253427,3.00,3.00,2.00,3.00,5.00,5.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7253443,0.00,4.00,1.00,2.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7253451,2.00,6.00,2.00,5.00,5.00,9.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7253460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7253494,4.00,4.00,3.00,4.00,6.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7253508,3.00,6.00,4.00,4.00,4.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7253516,5.00,7.00,2.00,4.00,8.00,10.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7253524,1.00,5.00,2.00,2.00,7.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7253532,0.00,3.00,0.00,6.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7253559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7253567,8.00,8.00,5.00,6.00,10.00,10.88,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7253575,6.00,6.00,2.00,5.00,8.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7253583,0.00,7.00,1.00,2.00,6.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7253591,0.00,2.00,1.00,3.00,4.00,7.50,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7253605,2.00,4.00,0.00,5.00,4.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7253613,3.00,7.00,3.00,5.00,7.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7253630,4.00,7.00,3.00,3.00,8.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7253648,3.00,6.00,3.00,5.00,6.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7253656,3.00,4.00,1.00,7.00,8.00,9.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7253664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7253680,3.00,3.00,1.00,3.00,4.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7253699,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7253710,2.00,6.00,2.00,7.00,7.00,10.50,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7253729,1.00,5.00,0.00,6.00,3.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7253737,0.00,2.00,0.00,5.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7253753,5.00,7.00,3.00,7.00,7.00,8.63,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7253761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7253770,4.00,7.00,4.00,5.00,8.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7253796,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7253800,4.00,7.00,2.00,6.00,9.00,8.63,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7253818,3.00,6.00,2.00,4.00,5.00,6.75,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7253826,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7253834,1.00,3.00,3.00,6.00,4.00,9.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7253842,0.00,5.00,1.00,5.00,8.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7253850,4.00,8.00,2.00,7.00,7.00,10.13,4.00,9.00,2.00,NULL,NULL,NULL,'N'),(28,7253877,7.00,7.00,3.00,6.00,8.00,5.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7253885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7253907,0.00,6.00,4.00,6.00,7.00,NULL,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7253915,1.00,8.00,3.00,1.00,2.00,NULL,1.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7253931,1.00,5.00,2.00,6.00,7.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7253940,2.00,3.00,0.00,5.00,5.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7253958,3.00,4.00,4.00,6.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7253966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7253974,6.00,7.00,3.00,7.00,9.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7253982,0.00,4.00,3.00,3.00,5.00,6.75,1.00,0.00,3.00,NULL,NULL,NULL,'N'),(28,7253990,6.00,7.00,5.00,6.00,8.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7254008,3.00,6.00,3.00,7.00,6.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7254016,0.00,6.00,1.00,3.00,6.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7254067,3.00,7.00,4.00,5.00,7.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7254075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7254083,0.00,5.00,1.00,5.00,3.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7254091,2.00,7.00,1.00,2.00,5.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7254105,2.00,4.00,5.00,4.00,8.00,5.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7254113,0.00,4.00,2.00,5.00,4.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(28,7254130,2.00,6.00,1.00,4.00,4.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7254148,2.00,5.00,5.00,7.00,4.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7254156,1.00,7.00,2.00,6.00,4.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7254164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7254172,0.00,5.00,1.00,5.00,8.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7254180,5.00,7.00,1.00,6.00,5.00,9.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7254229,6.00,6.00,4.00,7.00,7.00,9.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7254237,6.00,9.00,2.00,7.00,7.00,7.88,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7254245,5.00,8.00,5.00,6.00,10.00,10.13,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7254253,4.00,5.00,3.00,3.00,5.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7254261,3.00,5.00,2.00,4.00,5.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7254270,5.00,7.00,5.00,7.00,7.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7254288,4.00,7.00,3.00,6.00,8.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7254296,2.00,6.00,3.00,6.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7254300,0.00,6.00,1.00,5.00,8.00,9.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7254318,4.00,7.00,4.00,5.00,6.00,10.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7254326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7254334,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7254342,2.00,5.00,1.00,4.00,4.00,6.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7254350,1.00,2.00,0.00,5.00,7.00,6.75,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7254369,6.00,6.00,1.00,6.00,7.00,NULL,3.00,5.00,1.00,NULL,NULL,'S','N'),(28,7254377,4.00,7.00,3.00,6.00,8.00,10.50,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7254393,3.00,7.00,1.00,6.00,6.00,11.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7254407,4.00,8.00,1.00,7.00,8.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7254423,2.00,5.00,0.00,8.00,10.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7254431,4.00,7.00,4.00,5.00,8.00,9.00,4.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7254440,3.00,6.00,3.00,7.00,7.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7254458,5.00,7.00,4.00,4.00,7.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7254466,4.00,8.00,3.00,6.00,6.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7254474,5.00,8.00,5.00,5.00,8.00,8.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7254482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7254490,4.00,6.00,2.00,6.00,9.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7254504,1.00,7.00,0.00,5.00,5.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7254512,5.00,7.00,3.00,5.00,7.00,5.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7254539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7254547,4.00,6.00,1.00,4.00,6.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7254555,7.00,8.00,4.00,6.00,10.00,7.50,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7254563,0.00,5.00,3.00,5.00,3.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7254571,2.00,4.00,2.00,1.00,3.00,5.63,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7254580,0.00,1.00,2.00,2.00,4.00,3.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7254636,4.00,8.00,1.00,7.00,8.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7254644,2.00,7.00,1.00,3.00,3.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7254679,2.00,4.00,2.00,5.00,5.00,9.00,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7254695,1.00,4.00,0.00,4.00,4.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7254709,2.00,5.00,0.00,5.00,6.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7254725,4.00,8.00,3.00,7.00,5.00,7.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7254733,2.00,5.00,2.00,6.00,4.00,7.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7254768,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7254784,3.00,7.00,6.00,6.00,9.00,8.63,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7254806,7.00,6.00,4.00,6.00,9.00,10.13,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7254822,5.00,7.00,4.00,7.00,8.00,9.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7254830,1.00,5.00,3.00,5.00,5.00,6.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7254849,0.00,4.00,2.00,3.00,4.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7254857,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7254865,0.00,8.00,2.00,6.00,8.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7254873,4.00,6.00,1.00,5.00,4.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7254881,4.00,6.00,5.00,3.00,5.00,8.63,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7254890,0.00,6.00,2.00,5.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7254903,2.00,4.00,2.00,4.00,4.00,10.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7254911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7254920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7254938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7254954,0.00,5.00,3.00,7.00,6.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7254962,2.00,7.00,2.00,5.00,9.00,9.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7254989,4.00,7.00,2.00,7.00,7.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7254997,1.00,7.00,2.00,0.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7255004,0.00,5.00,1.00,2.00,5.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7255039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7255047,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7255055,1.00,5.00,1.00,5.00,8.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7255063,6.00,6.00,3.00,6.00,8.00,7.13,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7255071,6.00,9.00,5.00,7.00,9.00,8.25,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7255080,1.00,4.00,1.00,4.00,7.00,8.25,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7255098,5.00,7.00,1.00,7.00,7.00,11.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7255101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7255110,0.00,2.00,0.00,4.00,7.00,5.63,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7255128,6.00,7.00,3.00,6.00,8.00,8.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7255136,1.00,3.00,1.00,3.00,5.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7255144,4.00,6.00,3.00,5.00,7.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7255160,4.00,7.00,2.00,2.00,4.00,8.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7255187,2.00,6.00,0.00,7.00,3.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7255209,1.00,5.00,2.00,2.00,3.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7255217,0.00,1.00,4.00,2.00,3.00,3.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7255241,4.00,6.00,1.00,7.00,9.00,9.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7255250,2.00,6.00,2.00,5.00,6.00,7.13,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7255268,1.00,5.00,2.00,5.00,6.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7255276,2.00,7.00,2.00,3.00,5.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7255284,0.00,5.00,3.00,3.00,3.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7255292,0.00,1.00,4.00,3.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7255306,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7255314,2.00,4.00,1.00,6.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7255322,3.00,7.00,2.00,5.00,6.00,11.25,3.00,8.00,1.00,NULL,NULL,NULL,'N'),(28,7255330,4.00,7.00,3.00,7.00,6.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7255349,2.00,5.00,2.00,5.00,5.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7255357,3.00,3.00,2.00,1.00,6.00,5.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7255365,7.00,6.00,5.00,7.00,10.00,9.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7255373,1.00,3.00,1.00,4.00,5.00,5.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7255390,0.00,3.00,3.00,7.00,6.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7255403,0.00,5.00,2.00,2.00,3.00,5.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7255411,2.00,5.00,3.00,3.00,4.00,4.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7255420,0.00,4.00,2.00,7.00,6.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7255438,0.00,4.00,2.00,6.00,5.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7255446,2.00,2.00,1.00,1.00,4.00,4.88,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7255454,6.00,6.00,6.00,5.00,9.00,7.88,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7255462,1.00,6.00,2.00,5.00,7.00,7.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7255470,3.00,6.00,3.00,7.00,10.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7255489,0.00,4.00,1.00,6.00,6.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7255497,3.00,6.00,2.00,4.00,7.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7255519,7.00,9.00,6.00,7.00,10.00,8.25,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7255535,2.00,7.00,3.00,4.00,8.00,10.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7255543,1.00,5.00,1.00,6.00,7.00,9.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7255551,0.00,5.00,0.00,3.00,0.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7255578,2.00,8.00,1.00,4.00,7.00,8.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7255586,2.00,6.00,2.00,7.00,7.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7255594,2.00,7.00,2.00,7.00,5.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7255608,2.00,6.00,3.00,5.00,7.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7255616,2.00,4.00,3.00,5.00,6.00,10.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7255640,1.00,2.00,2.00,4.00,4.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7255659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7255667,2.00,3.00,1.00,1.00,3.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7255675,1.00,1.00,0.00,4.00,5.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7255705,0.00,3.00,1.00,3.00,3.00,8.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7255713,5.00,6.00,3.00,4.00,5.00,7.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7255721,2.00,4.00,1.00,6.00,7.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7255730,2.00,3.00,2.00,6.00,7.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7255748,3.00,7.00,1.00,6.00,6.00,11.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7255756,1.00,3.00,0.00,5.00,5.00,6.75,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7255764,3.00,8.00,1.00,5.00,7.00,8.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7255772,7.00,6.00,3.00,5.00,9.00,9.38,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7255799,3.00,8.00,1.00,5.00,9.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7255802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7255810,4.00,7.00,2.00,7.00,6.00,9.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7255837,0.00,2.00,2.00,5.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7255845,0.00,4.00,3.00,3.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7255853,4.00,7.00,4.00,7.00,6.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7255861,0.00,6.00,2.00,2.00,7.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7255870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7255888,5.00,7.00,3.00,7.00,10.00,10.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7255896,0.00,3.00,1.00,5.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7255900,0.00,5.00,0.00,6.00,3.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7255926,1.00,4.00,3.00,5.00,6.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7255934,2.00,6.00,4.00,6.00,8.00,10.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7255950,2.00,5.00,3.00,6.00,7.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7255969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7255977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7255993,1.00,6.00,3.00,4.00,4.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7256000,5.00,6.00,3.00,6.00,9.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7256035,7.00,8.00,2.00,7.00,9.00,11.63,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7256043,0.00,1.00,2.00,6.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7256060,5.00,8.00,5.00,7.00,9.00,13.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7256086,5.00,6.00,2.00,7.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7256094,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7256108,5.00,5.00,0.00,6.00,8.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7256116,4.00,7.00,2.00,7.00,7.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7256132,5.00,8.00,3.00,6.00,8.00,11.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7256140,0.00,5.00,3.00,4.00,4.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7256159,2.00,7.00,3.00,6.00,5.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7256167,3.00,8.00,2.00,7.00,8.00,12.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7256175,3.00,7.00,2.00,6.00,7.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7256183,1.00,2.00,2.00,1.00,4.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7256191,2.00,6.00,2.00,6.00,4.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7256205,1.00,6.00,2.00,6.00,6.00,NULL,3.00,3.00,3.00,NULL,NULL,'S','S'),(28,7256213,3.00,4.00,2.00,5.00,6.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7256230,2.00,5.00,1.00,6.00,5.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7256256,0.00,6.00,2.00,2.00,8.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7256272,4.00,7.00,2.00,6.00,10.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7256280,0.00,5.00,1.00,1.00,4.00,6.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7256299,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7256302,1.00,4.00,2.00,5.00,4.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7256310,0.00,2.00,5.00,1.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7256329,2.00,7.00,1.00,8.00,8.00,9.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7256337,0.00,5.00,1.00,6.00,3.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7256353,3.00,4.00,3.00,5.00,4.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7256370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7256388,0.00,3.00,1.00,5.00,4.00,10.13,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7256418,5.00,5.00,2.00,7.00,6.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7256426,2.00,5.00,2.00,3.00,3.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7256434,1.00,5.00,0.00,4.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7256442,0.00,3.00,0.00,2.00,4.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7256450,2.00,3.00,0.00,4.00,4.00,10.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7256469,0.00,3.00,1.00,2.00,3.00,8.25,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7256485,1.00,7.00,1.00,6.00,8.00,8.63,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7256493,3.00,6.00,2.00,6.00,7.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7256507,2.00,4.00,1.00,2.00,4.00,9.00,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7256515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(28,7256523,1.00,5.00,1.00,2.00,4.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7256531,1.00,5.00,1.00,3.00,5.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7256540,4.00,7.00,3.00,6.00,10.00,8.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7256566,5.00,8.00,3.00,7.00,8.00,6.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7256574,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7256582,2.00,6.00,0.00,7.00,6.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7256590,1.00,2.00,2.00,6.00,4.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7256604,2.00,6.00,1.00,4.00,6.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7256612,2.00,6.00,2.00,6.00,7.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7256620,6.00,7.00,4.00,5.00,7.00,7.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7256647,5.00,6.00,3.00,5.00,9.00,11.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7256655,2.00,8.00,0.00,6.00,8.00,7.13,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7256663,1.00,4.00,3.00,5.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7256671,1.00,3.00,2.00,6.00,8.00,9.00,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7256680,5.00,6.00,2.00,7.00,8.00,7.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7256698,8.00,8.00,5.00,6.00,10.00,8.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7256701,7.00,7.00,4.00,6.00,9.00,12.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7256710,4.00,4.00,0.00,5.00,6.00,5.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7256728,4.00,6.00,2.00,4.00,5.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7256736,0.00,6.00,2.00,5.00,6.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7256744,2.00,5.00,1.00,4.00,6.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7256752,3.00,6.00,2.00,7.00,6.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7256760,3.00,5.00,1.00,6.00,6.00,5.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7256779,5.00,7.00,1.00,6.00,7.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7256787,0.00,1.00,1.00,3.00,4.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7256795,5.00,6.00,2.00,4.00,3.00,7.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7256809,2.00,3.00,1.00,4.00,7.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7256817,4.00,8.00,2.00,7.00,8.00,7.50,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7256825,3.00,6.00,3.00,7.00,9.00,8.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7256833,1.00,5.00,2.00,7.00,8.00,10.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7256841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7256868,0.00,5.00,2.00,4.00,5.00,6.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7256876,0.00,1.00,2.00,1.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7256884,3.00,8.00,2.00,5.00,8.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7256914,3.00,7.00,3.00,4.00,8.00,9.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7256922,4.00,7.00,2.00,6.00,8.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7256930,4.00,7.00,1.00,6.00,7.00,9.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7256949,2.00,5.00,2.00,3.00,5.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7256957,4.00,6.00,2.00,4.00,7.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7256965,1.00,4.00,3.00,6.00,3.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7256973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7256990,2.00,6.00,3.00,5.00,6.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7257015,3.00,5.00,3.00,7.00,6.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7257023,0.00,5.00,3.00,0.00,3.00,5.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7257031,0.00,4.00,2.00,4.00,5.00,7.88,5.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7257066,0.00,2.00,1.00,5.00,3.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7257082,0.00,0.00,2.00,2.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7257090,3.00,7.00,0.00,5.00,7.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7257104,2.00,5.00,1.00,7.00,3.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7257112,1.00,2.00,3.00,5.00,7.00,0.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7257120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7257139,4.00,7.00,1.00,7.00,8.00,10.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7257147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7257155,3.00,5.00,3.00,6.00,8.00,8.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7257163,5.00,6.00,0.00,6.00,4.00,5.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7257180,3.00,6.00,2.00,5.00,3.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7257198,1.00,4.00,3.00,1.00,5.00,6.75,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7257201,0.00,6.00,2.00,3.00,8.00,9.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7257210,1.00,3.00,1.00,4.00,5.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7257228,1.00,5.00,3.00,1.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7257236,2.00,5.00,1.00,4.00,8.00,8.25,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7257244,3.00,7.00,2.00,4.00,8.00,9.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7257252,2.00,2.00,0.00,5.00,4.00,9.00,4.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7257260,7.00,8.00,1.00,6.00,6.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7257279,4.00,8.00,2.00,5.00,7.00,9.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7257287,1.00,4.00,3.00,6.00,4.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7257309,1.00,7.00,2.00,4.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7257317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7257325,2.00,6.00,1.00,5.00,6.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7257333,3.00,6.00,2.00,4.00,6.00,10.88,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7257341,1.00,6.00,2.00,6.00,5.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7257350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7257368,1.00,4.00,2.00,3.00,6.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7257376,1.00,6.00,0.00,6.00,4.00,5.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7257384,0.00,7.00,1.00,6.00,4.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7257392,1.00,5.00,3.00,7.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7257430,1.00,4.00,1.00,3.00,4.00,9.00,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7257449,4.00,5.00,2.00,5.00,5.00,4.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7257457,3.00,5.00,3.00,6.00,5.00,11.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7257473,6.00,9.00,7.00,6.00,8.00,10.13,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7257481,1.00,4.00,2.00,4.00,6.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7257490,2.00,5.00,3.00,5.00,4.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7257503,0.00,2.00,4.00,3.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7257511,1.00,4.00,1.00,5.00,7.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7257520,0.00,5.00,1.00,7.00,4.00,7.50,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7257538,0.00,0.00,4.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7257546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7257554,0.00,4.00,1.00,2.00,6.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7257562,5.00,8.00,3.00,6.00,10.00,7.13,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7257570,0.00,2.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7257600,1.00,5.00,1.00,5.00,7.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7257619,4.00,7.00,1.00,7.00,7.00,8.63,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7257627,3.00,6.00,3.00,6.00,8.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7257643,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7257651,1.00,7.00,0.00,5.00,3.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7257678,1.00,4.00,2.00,1.00,0.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7257686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7257708,2.00,6.00,0.00,6.00,6.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7257716,2.00,6.00,0.00,3.00,8.00,10.88,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7257724,3.00,4.00,3.00,3.00,3.00,4.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7257732,1.00,5.00,2.00,2.00,5.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7257740,5.00,7.00,6.00,7.00,8.00,9.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7257775,1.00,5.00,1.00,5.00,4.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7257783,0.00,1.00,2.00,4.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7257791,4.00,8.00,3.00,7.00,6.00,7.88,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7257821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7257830,1.00,0.00,2.00,2.00,0.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7257848,1.00,3.00,2.00,5.00,5.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7257856,4.00,8.00,3.00,7.00,6.00,9.00,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7257880,2.00,6.00,2.00,7.00,7.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7257899,1.00,6.00,1.00,7.00,7.00,6.00,3.00,6.00,1.00,NULL,NULL,NULL,'S'),(28,7257902,3.00,7.00,2.00,7.00,6.00,11.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7257910,1.00,3.00,2.00,3.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7257929,4.00,6.00,1.00,6.00,6.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7257937,0.00,4.00,2.00,1.00,4.00,7.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7257945,1.00,4.00,3.00,2.00,5.00,0.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7257953,1.00,6.00,3.00,3.00,6.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7257970,3.00,6.00,2.00,4.00,7.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7257996,2.00,7.00,2.00,6.00,6.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7258003,4.00,9.00,3.00,6.00,9.00,8.25,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7258038,3.00,3.00,2.00,4.00,4.00,9.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7258054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7258062,1.00,3.00,1.00,4.00,3.00,6.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7258070,2.00,6.00,3.00,1.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7258097,2.00,3.00,3.00,4.00,6.00,10.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7258100,1.00,6.00,2.00,6.00,5.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7258119,2.00,4.00,1.00,5.00,8.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7258127,1.00,6.00,3.00,5.00,5.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7258135,0.00,4.00,1.00,4.00,5.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7258143,2.00,4.00,1.00,4.00,6.00,10.13,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7258151,1.00,5.00,1.00,7.00,4.00,4.88,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7258160,0.00,4.00,3.00,4.00,4.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7258178,0.00,1.00,0.00,2.00,5.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7258186,3.00,6.00,4.00,6.00,10.00,11.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7258194,4.00,7.00,2.00,6.00,7.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7258208,6.00,9.00,5.00,7.00,9.00,12.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7258216,1.00,4.00,3.00,6.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7258224,6.00,8.00,7.00,7.00,10.00,8.25,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7258232,0.00,6.00,3.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7258240,1.00,3.00,2.00,2.00,4.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7258259,0.00,7.00,1.00,3.00,4.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7258267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7258275,0.00,3.00,1.00,1.00,5.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7258283,7.00,5.00,2.00,5.00,6.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7258291,0.00,7.00,0.00,5.00,4.00,8.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7258313,3.00,4.00,1.00,6.00,8.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7258330,0.00,4.00,2.00,4.00,5.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7258348,0.00,5.00,2.00,5.00,6.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7258356,0.00,4.00,0.00,0.00,0.00,NULL,2.00,4.00,0.00,'S',NULL,NULL,'N'),(28,7258380,2.00,9.00,1.00,5.00,4.00,7.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7258399,0.00,5.00,2.00,6.00,6.00,9.75,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7258402,0.00,4.00,2.00,3.00,3.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7258410,2.00,8.00,2.00,5.00,7.00,8.63,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7258429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7258437,4.00,5.00,3.00,7.00,9.00,7.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7258453,1.00,8.00,3.00,7.00,5.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7258461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7258470,1.00,7.00,1.00,2.00,5.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7258488,4.00,6.00,2.00,5.00,5.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7258496,1.00,3.00,1.00,6.00,4.00,5.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7258500,4.00,7.00,2.00,5.00,7.00,8.63,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7258526,3.00,5.00,3.00,6.00,5.00,7.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7258542,6.00,6.00,2.00,8.00,6.00,6.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7258550,2.00,0.00,1.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7258569,1.00,2.00,0.00,6.00,7.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7258577,3.00,5.00,3.00,7.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7258585,9.00,8.00,6.00,7.00,7.00,9.38,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7258593,1.00,2.00,1.00,4.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7258607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7258615,4.00,9.00,0.00,7.00,8.00,7.13,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7258640,2.00,7.00,1.00,6.00,4.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7258658,2.00,7.00,0.00,7.00,7.00,11.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7258666,0.00,4.00,1.00,3.00,6.00,10.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7258682,0.00,3.00,2.00,2.00,3.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7258690,2.00,5.00,1.00,2.00,7.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7258704,6.00,7.00,2.00,7.00,7.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7258712,3.00,8.00,1.00,4.00,9.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7258720,1.00,8.00,3.00,4.00,7.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7258739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7258755,1.00,7.00,1.00,4.00,4.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7258763,5.00,7.00,4.00,6.00,7.00,9.00,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7258771,1.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7258780,1.00,7.00,3.00,4.00,6.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7258801,5.00,6.00,5.00,2.00,8.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7258810,5.00,8.00,5.00,6.00,7.00,8.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7258828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7258836,0.00,5.00,0.00,6.00,3.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7258852,4.00,6.00,4.00,6.00,7.00,8.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7258909,3.00,1.00,1.00,0.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7258917,5.00,7.00,4.00,5.00,4.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7258925,3.00,8.00,1.00,6.00,7.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7258933,0.00,6.00,1.00,3.00,4.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7258950,6.00,8.00,3.00,6.00,6.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7258976,3.00,3.00,2.00,2.00,3.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7258984,1.00,2.00,0.00,2.00,5.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7258992,2.00,4.00,0.00,2.00,5.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7259000,0.00,5.00,1.00,3.00,6.00,10.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7259018,0.00,4.00,2.00,5.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7259026,4.00,8.00,2.00,4.00,6.00,5.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7259042,3.00,6.00,1.00,5.00,6.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7259050,1.00,6.00,2.00,6.00,7.00,13.50,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7259069,2.00,3.00,1.00,2.00,3.00,4.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7259077,2.00,7.00,3.00,6.00,5.00,7.88,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7259093,0.00,4.00,0.00,5.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7259107,0.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7259115,0.00,3.00,1.00,2.00,8.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7259123,0.00,5.00,2.00,6.00,4.00,7.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7259131,1.00,4.00,1.00,2.00,4.00,5.63,1.00,6.00,0.00,NULL,NULL,NULL,'S'),(28,7259140,1.00,6.00,2.00,3.00,3.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7259158,1.00,5.00,4.00,5.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7259166,4.00,7.00,2.00,6.00,7.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7259174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7259182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7259190,1.00,4.00,1.00,3.00,4.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7259204,1.00,7.00,0.00,5.00,5.00,10.50,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7259220,2.00,5.00,2.00,4.00,5.00,7.13,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7259239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7259247,0.00,4.00,3.00,6.00,6.00,NULL,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7259255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7259263,1.00,7.00,2.00,6.00,6.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7259298,4.00,7.00,3.00,7.00,8.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7259301,1.00,5.00,3.00,4.00,5.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7259310,3.00,4.00,2.00,3.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7259328,4.00,8.00,1.00,2.00,7.00,9.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7259336,1.00,5.00,2.00,6.00,5.00,9.38,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7259344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7259360,1.00,6.00,2.00,6.00,5.00,5.63,1.00,6.00,1.00,NULL,NULL,NULL,'S'),(28,7259379,2.00,6.00,2.00,6.00,6.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7259387,2.00,6.00,4.00,3.00,5.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7259409,1.00,4.00,2.00,7.00,5.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7259425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7259433,0.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7259441,0.00,6.00,1.00,6.00,5.00,NULL,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7259450,0.00,5.00,2.00,5.00,6.00,7.50,5.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7259468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7259476,3.00,7.00,2.00,4.00,8.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7259484,7.00,7.00,4.00,7.00,8.00,9.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7259492,0.00,5.00,0.00,3.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7259506,5.00,6.00,2.00,6.00,6.00,8.63,3.00,3.00,7.00,NULL,NULL,NULL,'S'),(28,7259514,4.00,5.00,1.00,7.00,3.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7259530,1.00,4.00,3.00,5.00,4.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7259549,0.00,5.00,1.00,2.00,3.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7259557,2.00,3.00,5.00,5.00,7.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7259565,3.00,5.00,1.00,6.00,7.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7259573,0.00,6.00,1.00,3.00,7.00,8.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7259581,0.00,3.00,2.00,3.00,4.00,4.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7259590,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7259603,0.00,2.00,1.00,5.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7259611,7.00,6.00,3.00,6.00,10.00,13.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7259620,4.00,7.00,7.00,7.00,6.00,7.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7259638,3.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7259646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7259654,3.00,0.00,2.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7259670,0.00,0.00,2.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7259689,3.00,2.00,3.00,5.00,3.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7259719,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7259727,4.00,0.00,4.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7259735,0.00,2.00,3.00,0.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7259743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7259760,3.00,6.00,2.00,6.00,11.00,9.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7259778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7259786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7259794,5.00,7.00,3.00,8.00,7.00,9.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7259840,4.00,5.00,0.00,7.00,7.00,11.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7259859,0.00,3.00,3.00,7.00,3.00,4.88,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7259867,1.00,5.00,1.00,4.00,6.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7259875,1.00,6.00,3.00,4.00,6.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7259883,3.00,7.00,3.00,5.00,7.00,4.50,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7259891,4.00,3.00,2.00,4.00,5.00,5.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7259905,0.00,3.00,1.00,5.00,1.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7259913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7259921,4.00,6.00,1.00,6.00,5.00,8.25,2.00,2.00,6.00,NULL,NULL,NULL,'N'),(28,7259930,3.00,4.00,4.00,6.00,4.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7259948,3.00,7.00,2.00,5.00,9.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7259964,6.00,9.00,4.00,4.00,7.00,8.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7259999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7260008,1.00,2.00,0.00,3.00,4.00,0.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7260016,2.00,6.00,1.00,7.00,8.00,7.13,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7260024,5.00,7.00,4.00,7.00,7.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7260032,0.00,2.00,1.00,1.00,3.00,4.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7260040,1.00,5.00,1.00,6.00,5.00,8.63,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7260059,0.00,5.00,0.00,3.00,5.00,6.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7260075,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7260083,0.00,6.00,3.00,7.00,9.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7260091,5.00,6.00,4.00,4.00,8.00,9.38,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7260121,6.00,8.00,2.00,7.00,9.00,8.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7260130,2.00,1.00,1.00,4.00,3.00,6.75,0.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7260148,3.00,5.00,0.00,3.00,4.00,7.50,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7260156,3.00,6.00,1.00,7.00,8.00,9.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7260164,2.00,6.00,3.00,7.00,7.00,8.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7260180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7260199,5.00,3.00,2.00,4.00,4.00,10.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7260202,1.00,3.00,3.00,2.00,4.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7260210,2.00,6.00,2.00,6.00,6.00,10.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7260229,2.00,3.00,0.00,5.00,4.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7260237,6.00,7.00,6.00,6.00,9.00,9.00,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7260245,3.00,7.00,2.00,6.00,9.00,12.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7260253,5.00,8.00,2.00,6.00,8.00,6.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7260261,1.00,4.00,2.00,2.00,7.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7260270,2.00,5.00,1.00,4.00,5.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7260288,0.00,4.00,2.00,3.00,4.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7260296,4.00,7.00,2.00,6.00,5.00,9.75,4.00,7.00,2.00,NULL,NULL,NULL,'S'),(28,7260300,0.00,3.00,2.00,1.00,1.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7260318,4.00,5.00,2.00,3.00,8.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7260342,3.00,6.00,3.00,7.00,9.00,6.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7260350,4.00,7.00,2.00,7.00,7.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'S'),(28,7260369,0.00,3.00,3.00,2.00,4.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'S'),(28,7260377,6.00,8.00,4.00,7.00,7.00,9.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7260385,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7260393,6.00,7.00,3.00,6.00,8.00,10.13,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7260407,2.00,3.00,3.00,4.00,4.00,4.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7260415,1.00,7.00,2.00,2.00,6.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7260423,0.00,1.00,2.00,0.00,4.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7260440,1.00,6.00,2.00,5.00,5.00,5.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7260466,0.00,2.00,1.00,6.00,5.00,4.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7260474,0.00,4.00,2.00,0.00,3.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7260482,0.00,2.00,1.00,5.00,2.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7260490,1.00,8.00,2.00,4.00,6.00,6.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7260504,1.00,3.00,4.00,0.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7260512,2.00,0.00,2.00,6.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7260520,3.00,6.00,3.00,6.00,4.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7260539,2.00,4.00,3.00,6.00,5.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7260547,1.00,5.00,1.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7260555,0.00,5.00,2.00,4.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7260563,2.00,5.00,1.00,3.00,3.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7260571,0.00,6.00,0.00,4.00,7.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7260580,4.00,7.00,3.00,7.00,7.00,9.38,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7260628,4.00,5.00,3.00,7.00,7.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7260636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7260644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7260652,1.00,3.00,2.00,2.00,3.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7260660,2.00,8.00,3.00,4.00,7.00,5.63,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7260687,7.00,8.00,4.00,6.00,8.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7260709,1.00,4.00,3.00,4.00,4.00,5.63,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7260717,4.00,6.00,1.00,8.00,9.00,12.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7260725,0.00,3.00,3.00,3.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7260733,4.00,7.00,2.00,7.00,7.00,7.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7260750,0.00,3.00,2.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7260768,0.00,2.00,1.00,2.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,'S','S'),(28,7260784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7260792,0.00,5.00,2.00,3.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7260806,2.00,5.00,3.00,4.00,6.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7260814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7260822,1.00,5.00,1.00,7.00,4.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7260830,2.00,8.00,3.00,7.00,6.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7260849,0.00,3.00,3.00,5.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7260857,3.00,6.00,2.00,4.00,7.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7260865,3.00,6.00,1.00,7.00,5.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7260873,0.00,5.00,1.00,3.00,5.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7260881,2.00,4.00,3.00,4.00,5.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7260890,0.00,1.00,1.00,1.00,1.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7260903,3.00,6.00,1.00,5.00,5.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7260911,2.00,6.00,2.00,3.00,3.00,6.38,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(28,7260920,1.00,4.00,1.00,4.00,5.00,8.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7260938,1.00,7.00,3.00,7.00,8.00,9.38,1.00,9.00,2.00,NULL,NULL,NULL,'N'),(28,7260946,1.00,4.00,1.00,5.00,6.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7260954,2.00,4.00,2.00,6.00,5.00,5.25,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7260962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7260970,3.00,4.00,1.00,5.00,6.00,7.88,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7260989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7260997,3.00,3.00,0.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7261004,0.00,5.00,2.00,4.00,3.00,9.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7261012,4.00,5.00,1.00,3.00,7.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7261020,3.00,7.00,2.00,4.00,7.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7261039,2.00,6.00,1.00,5.00,5.00,9.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7261047,0.00,2.00,1.00,1.00,3.00,7.50,1.00,0.00,2.00,NULL,NULL,NULL,'S'),(28,7261055,0.00,4.00,1.00,5.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7261063,3.00,8.00,2.00,3.00,5.00,10.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7261080,3.00,4.00,4.00,2.00,5.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7261098,1.00,6.00,3.00,7.00,6.00,6.75,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7261101,2.00,2.00,2.00,4.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7261110,5.00,6.00,1.00,6.00,8.00,13.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7261128,1.00,5.00,4.00,7.00,5.00,5.63,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7261144,2.00,6.00,2.00,7.00,3.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7261152,2.00,3.00,4.00,6.00,3.00,8.25,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7261160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7261195,1.00,5.00,1.00,2.00,6.00,6.38,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7261209,1.00,5.00,2.00,5.00,5.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7261225,2.00,4.00,3.00,4.00,6.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7261233,4.00,8.00,3.00,5.00,9.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7261241,6.00,9.00,3.00,5.00,7.00,10.13,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7261250,8.00,8.00,4.00,5.00,9.00,9.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7261268,6.00,8.00,3.00,6.00,7.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7261284,0.00,5.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7261314,0.00,4.00,2.00,5.00,3.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7261330,0.00,2.00,1.00,1.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7261349,3.00,5.00,4.00,6.00,5.00,5.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7261357,5.00,9.00,1.00,7.00,5.00,10.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7261365,3.00,0.00,2.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7261373,0.00,2.00,0.00,0.00,0.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7261390,5.00,6.00,1.00,6.00,8.00,11.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7261403,3.00,7.00,5.00,6.00,6.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7261411,0.00,4.00,1.00,2.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7261420,2.00,5.00,1.00,6.00,4.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7261438,0.00,4.00,2.00,4.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7261446,1.00,4.00,5.00,3.00,3.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7261462,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7261470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7261489,2.00,5.00,2.00,5.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7261497,8.00,8.00,4.00,7.00,10.00,7.50,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7261500,5.00,6.00,3.00,2.00,6.00,11.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7261519,3.00,7.00,1.00,2.00,6.00,7.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7261535,1.00,8.00,3.00,6.00,7.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7261543,1.00,4.00,1.00,6.00,4.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7261560,2.00,6.00,0.00,7.00,3.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7261578,4.00,8.00,1.00,7.00,6.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7261608,2.00,6.00,2.00,4.00,5.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7261616,2.00,5.00,2.00,5.00,2.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7261624,5.00,6.00,1.00,6.00,5.00,10.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7261632,0.00,4.00,1.00,4.00,2.00,NULL,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7261640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7261659,1.00,5.00,3.00,2.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7261667,3.00,5.00,2.00,6.00,7.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7261675,0.00,2.00,2.00,3.00,5.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7261683,2.00,6.00,2.00,2.00,3.00,10.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7261691,2.00,5.00,3.00,4.00,5.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7261705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7261713,6.00,7.00,7.00,7.00,10.00,13.13,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7261730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7261748,4.00,8.00,3.00,6.00,9.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7261764,4.00,4.00,2.00,6.00,7.00,6.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7261772,0.00,6.00,3.00,3.00,3.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7261780,1.00,5.00,5.00,3.00,4.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7261799,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7261802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7261810,1.00,7.00,3.00,4.00,4.00,7.88,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7261829,3.00,8.00,2.00,7.00,7.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7261845,1.00,6.00,2.00,5.00,6.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7261853,0.00,4.00,1.00,3.00,6.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7261861,3.00,3.00,4.00,6.00,5.00,7.88,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7261870,2.00,5.00,1.00,7.00,6.00,7.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7261888,6.00,7.00,3.00,7.00,8.00,9.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7261896,1.00,6.00,1.00,4.00,5.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7261900,5.00,7.00,3.00,6.00,10.00,10.13,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7261918,3.00,7.00,4.00,6.00,8.00,10.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7261926,7.00,8.00,4.00,7.00,11.00,12.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7261934,0.00,6.00,3.00,4.00,4.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7261950,0.00,5.00,4.00,5.00,3.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7261969,2.00,7.00,3.00,2.00,3.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7261977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7261985,4.00,6.00,0.00,7.00,6.00,7.88,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7261993,2.00,8.00,3.00,5.00,7.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7262000,3.00,9.00,1.00,7.00,4.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7262019,1.00,5.00,3.00,6.00,7.00,6.00,1.00,7.00,0.00,NULL,NULL,NULL,'N'),(28,7262027,4.00,6.00,3.00,7.00,4.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7262035,2.00,4.00,1.00,2.00,6.00,5.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7262051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7262060,2.00,3.00,4.00,5.00,5.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7262078,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7262086,5.00,8.00,2.00,5.00,7.00,9.75,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7262094,1.00,3.00,1.00,6.00,4.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7262108,1.00,6.00,1.00,5.00,6.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7262116,4.00,6.00,0.00,6.00,8.00,12.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7262124,2.00,6.00,3.00,6.00,8.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7262132,2.00,6.00,2.00,5.00,6.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7262159,1.00,3.00,2.00,4.00,4.00,3.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7262167,7.00,8.00,5.00,6.00,9.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7262175,3.00,3.00,1.00,6.00,7.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7262183,0.00,7.00,3.00,6.00,2.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7262191,7.00,6.00,2.00,6.00,10.00,9.38,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7262205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7262213,2.00,6.00,2.00,7.00,8.00,10.13,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7262221,3.00,5.00,3.00,4.00,6.00,4.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7262230,4.00,5.00,3.00,5.00,4.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7262248,6.00,5.00,1.00,5.00,7.00,9.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7262256,0.00,3.00,1.00,3.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7262264,2.00,5.00,1.00,6.00,7.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7262272,0.00,5.00,2.00,3.00,5.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7262280,4.00,6.00,3.00,7.00,6.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7262299,5.00,6.00,1.00,6.00,6.00,9.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7262310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7262329,5.00,7.00,4.00,6.00,9.00,7.88,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7262337,1.00,3.00,1.00,3.00,3.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7262345,5.00,8.00,3.00,7.00,11.00,11.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7262361,0.00,4.00,5.00,4.00,7.00,3.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7262370,1.00,6.00,2.00,6.00,3.00,7.13,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7262388,0.00,3.00,2.00,4.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7262396,3.00,6.00,3.00,5.00,7.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7262400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7262426,5.00,8.00,9.00,5.00,7.00,7.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7262434,2.00,6.00,1.00,2.00,8.00,8.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7262442,0.00,4.00,2.00,4.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7262450,2.00,6.00,0.00,7.00,7.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7262469,2.00,6.00,3.00,3.00,7.00,9.38,5.00,1.00,5.00,NULL,NULL,NULL,'N'),(28,7262477,6.00,7.00,5.00,6.00,9.00,8.25,3.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7262485,2.00,3.00,1.00,2.00,4.00,5.25,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7262493,1.00,3.00,3.00,2.00,1.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7262507,2.00,7.00,2.00,4.00,5.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7262531,2.00,0.00,2.00,3.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7262540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7262558,4.00,3.00,2.00,2.00,4.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7262566,0.00,2.00,1.00,3.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7262582,0.00,2.00,2.00,2.00,3.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7262590,6.00,5.00,4.00,5.00,6.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7262604,0.00,3.00,2.00,3.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7262612,4.00,6.00,1.00,5.00,6.00,9.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7262620,4.00,7.00,4.00,6.00,11.00,10.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7262639,3.00,7.00,1.00,6.00,9.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7262647,7.00,6.00,3.00,2.00,5.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7262655,6.00,8.00,1.00,7.00,10.00,9.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7262663,0.00,4.00,2.00,5.00,4.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7262671,2.00,7.00,3.00,6.00,4.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7262701,5.00,8.00,3.00,7.00,9.00,11.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7262728,0.00,4.00,1.00,6.00,5.00,9.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7262736,3.00,7.00,4.00,5.00,8.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7262744,1.00,9.00,2.00,7.00,9.00,8.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7262752,0.00,5.00,1.00,5.00,4.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7262760,5.00,7.00,3.00,5.00,8.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7262779,0.00,2.00,0.00,0.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7262787,2.00,4.00,1.00,2.00,2.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7262795,2.00,4.00,2.00,4.00,5.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7262825,0.00,2.00,2.00,4.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7262833,0.00,2.00,2.00,3.00,4.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7262841,5.00,4.00,3.00,6.00,7.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7262850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7262868,2.00,6.00,4.00,6.00,6.00,5.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7262876,1.00,4.00,2.00,5.00,4.00,7.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7262892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7262914,3.00,4.00,2.00,6.00,4.00,8.25,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7262922,4.00,5.00,1.00,5.00,5.00,6.75,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7262930,2.00,5.00,1.00,2.00,7.00,7.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7262957,2.00,4.00,2.00,4.00,7.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7262965,2.00,5.00,2.00,2.00,3.00,8.63,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7262973,3.00,8.00,2.00,6.00,7.00,7.88,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7262981,1.00,6.00,2.00,6.00,5.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7262990,2.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7263007,4.00,6.00,0.00,5.00,7.00,7.13,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7263015,2.00,7.00,2.00,8.00,6.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7263031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7263040,3.00,6.00,4.00,6.00,7.00,10.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7263058,1.00,4.00,4.00,4.00,5.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7263066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7263074,1.00,3.00,2.00,4.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7263082,1.00,4.00,1.00,3.00,3.00,9.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7263104,0.00,3.00,2.00,5.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7263112,0.00,6.00,1.00,3.00,7.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7263120,1.00,3.00,1.00,3.00,4.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7263139,2.00,8.00,4.00,7.00,9.00,9.38,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7263147,1.00,4.00,1.00,4.00,4.00,4.50,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7263155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7263171,4.00,3.00,3.00,2.00,4.00,5.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7263201,1.00,7.00,4.00,6.00,3.00,5.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7263228,0.00,4.00,0.00,3.00,4.00,6.00,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7263236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7263244,3.00,6.00,2.00,3.00,6.00,10.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7263260,6.00,6.00,3.00,6.00,7.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7263279,1.00,3.00,2.00,3.00,3.00,6.75,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7263295,2.00,5.00,2.00,6.00,6.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7263317,2.00,3.00,2.00,4.00,6.00,6.38,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7263325,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7263350,4.00,8.00,3.00,5.00,6.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7263376,0.00,5.00,2.00,5.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7263392,3.00,6.00,2.00,8.00,8.00,10.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7263406,2.00,9.00,2.00,5.00,5.00,11.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7263414,1.00,3.00,0.00,2.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7263430,2.00,5.00,1.00,5.00,1.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7263449,3.00,5.00,1.00,6.00,6.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7263457,1.00,5.00,2.00,5.00,4.00,5.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7263465,7.00,9.00,4.00,7.00,9.00,11.63,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7263473,5.00,7.00,4.00,6.00,6.00,7.50,3.00,5.00,7.00,NULL,NULL,NULL,'S'),(28,7263481,4.00,5.00,3.00,2.00,5.00,7.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7263490,6.00,8.00,2.00,7.00,8.00,9.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7263503,5.00,7.00,3.00,5.00,6.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7263511,0.00,6.00,1.00,3.00,6.00,6.00,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7263546,3.00,4.00,2.00,4.00,6.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7263554,0.00,4.00,0.00,5.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7263562,2.00,5.00,2.00,3.00,4.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7263570,1.00,6.00,1.00,7.00,5.00,9.38,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7263600,5.00,7.00,2.00,6.00,8.00,11.63,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7263619,5.00,7.00,5.00,6.00,7.00,7.13,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7263627,4.00,7.00,6.00,7.00,8.00,8.63,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7263635,4.00,6.00,4.00,6.00,6.00,7.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7263643,0.00,6.00,3.00,6.00,7.00,11.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7263660,2.00,7.00,3.00,3.00,3.00,4.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7263678,4.00,6.00,1.00,6.00,6.00,7.88,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7263694,4.00,7.00,2.00,2.00,4.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7263708,3.00,7.00,1.00,4.00,4.00,9.00,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7263716,2.00,9.00,3.00,5.00,7.00,10.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7263724,1.00,6.00,2.00,6.00,8.00,10.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7263732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7263740,5.00,8.00,3.00,7.00,8.00,9.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7263767,5.00,7.00,3.00,7.00,9.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7263775,0.00,1.00,1.00,0.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7263783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7263791,2.00,4.00,2.00,5.00,3.00,9.75,5.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7263805,0.00,6.00,1.00,4.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7263813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7263821,2.00,6.00,2.00,7.00,6.00,10.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7263830,3.00,6.00,2.00,2.00,5.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7263848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7263856,0.00,3.00,2.00,3.00,4.00,6.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7263864,2.00,7.00,1.00,5.00,7.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7263880,1.00,7.00,4.00,4.00,4.00,6.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7263902,4.00,7.00,2.00,6.00,6.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7263937,0.00,3.00,1.00,4.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7263953,4.00,7.00,3.00,6.00,9.00,10.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7263961,3.00,7.00,2.00,7.00,5.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7263988,2.00,4.00,0.00,4.00,4.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7263996,3.00,6.00,2.00,5.00,8.00,10.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7264003,2.00,4.00,3.00,4.00,4.00,6.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7264011,0.00,2.00,2.00,6.00,5.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7264020,5.00,4.00,2.00,4.00,7.00,5.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7264038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7264054,3.00,7.00,0.00,7.00,8.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7264062,0.00,7.00,1.00,6.00,5.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7264097,4.00,5.00,3.00,6.00,6.00,6.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7264100,1.00,4.00,3.00,3.00,3.00,6.75,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7264119,1.00,6.00,1.00,3.00,5.00,4.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7264127,0.00,2.00,2.00,1.00,4.00,3.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7264135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7264143,2.00,7.00,2.00,7.00,7.00,8.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7264151,0.00,2.00,2.00,2.00,1.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7264178,4.00,5.00,3.00,6.00,7.00,6.75,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7264194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7264208,3.00,6.00,3.00,5.00,4.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7264224,1.00,6.00,2.00,7.00,8.00,8.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7264232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7264259,5.00,5.00,3.00,6.00,6.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7264283,1.00,4.00,2.00,4.00,3.00,8.25,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7264291,2.00,7.00,1.00,5.00,3.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7264321,0.00,5.00,3.00,5.00,3.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7264348,3.00,3.00,1.00,6.00,5.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7264356,1.00,6.00,2.00,5.00,6.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7264364,3.00,4.00,1.00,4.00,5.00,4.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7264372,0.00,8.00,1.00,4.00,4.00,8.63,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7264380,5.00,7.00,2.00,6.00,7.00,11.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7264399,2.00,6.00,2.00,7.00,6.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7264402,2.00,0.00,4.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7264410,3.00,7.00,2.00,6.00,5.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7264437,5.00,6.00,4.00,5.00,5.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7264453,0.00,3.00,2.00,3.00,4.00,4.50,0.00,0.00,3.00,NULL,NULL,NULL,'N'),(28,7264461,2.00,6.00,3.00,6.00,7.00,6.75,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7264488,0.00,2.00,1.00,2.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7264496,1.00,6.00,1.00,4.00,3.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7264500,3.00,7.00,4.00,6.00,6.00,8.25,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7264518,3.00,6.00,3.00,7.00,9.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7264526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7264534,3.00,5.00,0.00,5.00,6.00,6.75,0.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7264542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7264550,2.00,7.00,4.00,6.00,6.00,5.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7264569,2.00,6.00,1.00,2.00,5.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7264577,1.00,3.00,1.00,2.00,5.00,6.00,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7264593,3.00,5.00,1.00,6.00,6.00,7.13,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7264607,5.00,4.00,3.00,4.00,3.00,5.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7264615,2.00,4.00,1.00,6.00,7.00,9.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7264623,2.00,5.00,2.00,6.00,4.00,8.25,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7264666,2.00,6.00,0.00,6.00,7.00,12.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7264674,7.00,7.00,3.00,4.00,5.00,5.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7264682,0.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7264690,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7264704,0.00,4.00,4.00,1.00,5.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7264712,4.00,5.00,2.00,6.00,5.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7264720,0.00,3.00,2.00,7.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7264739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7264747,1.00,4.00,5.00,6.00,7.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7264755,3.00,7.00,2.00,6.00,4.00,10.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7264763,1.00,4.00,3.00,4.00,4.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7264771,4.00,7.00,2.00,6.00,7.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7264780,2.00,2.00,3.00,3.00,4.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7264798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7264801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7264828,5.00,8.00,1.00,7.00,7.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7264844,1.00,6.00,2.00,7.00,7.00,12.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7264852,3.00,6.00,3.00,7.00,9.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7264860,2.00,5.00,2.00,5.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7264879,2.00,4.00,2.00,2.00,3.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7264887,5.00,7.00,4.00,6.00,9.00,7.13,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7264895,4.00,5.00,1.00,6.00,6.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7264909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7264917,2.00,5.00,1.00,2.00,4.00,7.13,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7264925,5.00,7.00,4.00,7.00,10.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7264933,0.00,6.00,1.00,5.00,3.00,6.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7264941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7264968,1.00,4.00,1.00,2.00,5.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7264976,0.00,4.00,4.00,3.00,4.00,7.13,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7264984,4.00,7.00,2.00,6.00,4.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7264992,1.00,4.00,2.00,5.00,7.00,7.88,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7265000,4.00,7.00,3.00,6.00,4.00,9.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7265018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7265034,3.00,5.00,2.00,5.00,7.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7265042,0.00,2.00,1.00,2.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7265069,5.00,7.00,4.00,8.00,9.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7265085,3.00,3.00,2.00,3.00,4.00,11.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7265093,1.00,4.00,1.00,4.00,4.00,7.88,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7265107,2.00,7.00,0.00,2.00,8.00,7.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7265115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7265123,4.00,7.00,3.00,7.00,6.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7265140,2.00,6.00,2.00,5.00,7.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7265158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7265166,0.00,2.00,3.00,1.00,5.00,4.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7265174,3.00,7.00,5.00,6.00,8.00,10.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7265182,1.00,6.00,2.00,5.00,9.00,12.00,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7265190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7265204,1.00,5.00,2.00,7.00,5.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7265212,2.00,6.00,3.00,4.00,4.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7265220,6.00,7.00,4.00,7.00,6.00,7.88,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7265239,2.00,7.00,1.00,6.00,7.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7265247,3.00,6.00,1.00,8.00,2.00,NULL,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7265263,5.00,6.00,1.00,7.00,3.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7265271,2.00,5.00,3.00,6.00,5.00,7.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7265280,4.00,5.00,3.00,5.00,6.00,10.50,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7265298,2.00,6.00,1.00,6.00,7.00,8.63,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7265328,1.00,3.00,4.00,4.00,3.00,9.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7265344,3.00,5.00,1.00,6.00,8.00,6.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7265352,0.00,2.00,1.00,1.00,4.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7265360,3.00,7.00,5.00,5.00,10.00,8.25,7.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7265379,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7265387,0.00,4.00,2.00,6.00,5.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7265395,1.00,6.00,3.00,7.00,2.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7265409,0.00,1.00,2.00,2.00,7.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7265417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7265425,0.00,3.00,1.00,7.00,7.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7265433,1.00,6.00,4.00,4.00,6.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7265441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7265476,6.00,8.00,4.00,4.00,9.00,9.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7265492,1.00,8.00,1.00,7.00,7.00,9.75,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7265522,4.00,6.00,4.00,7.00,8.00,11.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7265530,3.00,5.00,1.00,6.00,3.00,7.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7265549,0.00,6.00,2.00,5.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7265565,2.00,3.00,4.00,5.00,8.00,4.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7265573,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7265581,5.00,5.00,0.00,4.00,5.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7265590,0.00,3.00,1.00,4.00,9.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7265603,3.00,6.00,3.00,5.00,4.00,7.13,0.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7265611,3.00,8.00,3.00,4.00,6.00,6.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7265620,0.00,4.00,1.00,0.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7265638,0.00,3.00,2.00,4.00,5.00,9.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7265646,3.00,5.00,2.00,6.00,6.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7265670,0.00,4.00,2.00,5.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7265689,0.00,4.00,1.00,1.00,5.00,6.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7265697,2.00,5.00,2.00,4.00,4.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7265700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7265719,3.00,9.00,1.00,7.00,3.00,11.25,2.00,8.00,4.00,NULL,NULL,NULL,'S'),(28,7265727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7265735,2.00,4.00,1.00,5.00,5.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7265743,1.00,5.00,1.00,4.00,4.00,4.50,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7265751,2.00,7.00,3.00,7.00,7.00,10.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7265760,0.00,4.00,1.00,4.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7265778,2.00,3.00,2.00,2.00,4.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7265794,1.00,6.00,0.00,2.00,4.00,6.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7265808,0.00,4.00,2.00,2.00,4.00,4.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7265816,5.00,8.00,4.00,7.00,10.00,7.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7265824,1.00,6.00,1.00,6.00,9.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7265832,2.00,6.00,4.00,5.00,5.00,6.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7265840,2.00,6.00,0.00,4.00,7.00,6.00,0.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7265859,1.00,2.00,1.00,3.00,1.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7265867,5.00,7.00,3.00,5.00,8.00,8.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7265875,1.00,4.00,3.00,5.00,7.00,7.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7265883,5.00,6.00,3.00,6.00,7.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7265891,0.00,5.00,0.00,4.00,5.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7265905,2.00,8.00,1.00,6.00,3.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7265913,3.00,4.00,1.00,3.00,5.00,4.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7265921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7265930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7265948,1.00,8.00,0.00,5.00,9.00,9.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7265956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7265964,5.00,5.00,2.00,7.00,7.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7265972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7265999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7266006,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7266014,4.00,7.00,1.00,5.00,8.00,6.38,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7266022,1.00,6.00,6.00,7.00,6.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7266030,1.00,4.00,1.00,1.00,6.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7266049,0.00,3.00,0.00,1.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7266057,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7266073,3.00,7.00,1.00,6.00,6.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7266081,3.00,8.00,3.00,7.00,7.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7266090,0.00,4.00,1.00,4.00,4.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7266103,4.00,5.00,1.00,4.00,4.00,9.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7266120,5.00,4.00,1.00,3.00,7.00,5.25,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7266138,0.00,3.00,1.00,6.00,3.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7266146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7266162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7266170,3.00,8.00,3.00,3.00,4.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7266200,0.00,0.00,1.00,2.00,4.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7266235,7.00,8.00,4.00,6.00,7.00,11.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7266243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7266251,1.00,5.00,4.00,4.00,4.00,6.00,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7266260,2.00,6.00,3.00,7.00,8.00,6.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7266278,4.00,4.00,1.00,6.00,5.00,5.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7266294,1.00,8.00,2.00,4.00,7.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7266308,4.00,2.00,3.00,4.00,4.00,8.25,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7266316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7266324,3.00,6.00,1.00,4.00,9.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7266332,2.00,7.00,6.00,7.00,6.00,10.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7266340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7266359,8.00,8.00,4.00,6.00,6.00,7.13,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7266367,1.00,3.00,2.00,4.00,6.00,4.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7266405,2.00,6.00,3.00,2.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7266413,2.00,6.00,2.00,5.00,5.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7266448,0.00,2.00,2.00,6.00,6.00,6.38,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7266456,2.00,7.00,1.00,7.00,7.00,10.13,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7266464,3.00,8.00,5.00,4.00,7.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7266472,3.00,5.00,3.00,2.00,7.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7266480,0.00,5.00,1.00,4.00,5.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7266502,2.00,5.00,4.00,6.00,5.00,11.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7266510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7266529,3.00,4.00,3.00,7.00,8.00,10.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7266537,7.00,7.00,3.00,8.00,9.00,6.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7266545,1.00,7.00,3.00,7.00,7.00,9.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7266553,0.00,3.00,1.00,3.00,4.00,6.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7266561,0.00,7.00,3.00,4.00,3.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7266570,4.00,6.00,2.00,6.00,7.00,10.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7266588,1.00,6.00,4.00,5.00,8.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7266596,0.00,2.00,3.00,3.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7266600,0.00,3.00,2.00,3.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7266618,1.00,3.00,4.00,3.00,6.00,8.25,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7266634,2.00,5.00,1.00,5.00,3.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7266642,2.00,5.00,3.00,6.00,7.00,7.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7266650,1.00,5.00,3.00,6.00,8.00,11.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7266669,5.00,7.00,2.00,4.00,7.00,7.13,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7266677,0.00,3.00,1.00,6.00,4.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7266685,0.00,2.00,1.00,5.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7266693,0.00,4.00,2.00,6.00,3.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7266707,4.00,7.00,2.00,4.00,6.00,7.50,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7266723,5.00,6.00,2.00,7.00,7.00,10.88,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7266766,1.00,1.00,2.00,3.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7266774,0.00,4.00,1.00,6.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7266782,3.00,7.00,4.00,4.00,7.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7266812,4.00,6.00,2.00,3.00,7.00,5.63,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7266820,5.00,7.00,1.00,7.00,9.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7266839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7266847,3.00,8.00,4.00,7.00,9.00,8.25,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7266863,1.00,6.00,0.00,5.00,7.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7266871,0.00,4.00,3.00,5.00,5.00,7.13,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7266880,5.00,7.00,1.00,7.00,5.00,5.25,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7266901,3.00,6.00,2.00,5.00,7.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7266910,0.00,5.00,1.00,6.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7266928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7266936,4.00,5.00,1.00,5.00,4.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7266944,1.00,4.00,1.00,2.00,4.00,10.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7266960,3.00,4.00,2.00,4.00,0.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7266979,0.00,4.00,1.00,4.00,5.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7266987,4.00,8.00,1.00,5.00,7.00,11.63,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7266995,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7267002,3.00,6.00,5.00,5.00,7.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7267010,3.00,7.00,2.00,7.00,8.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7267029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7267037,2.00,8.00,4.00,5.00,7.00,4.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7267045,3.00,5.00,3.00,6.00,5.00,6.75,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7267053,3.00,8.00,2.00,7.00,10.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7267061,1.00,5.00,3.00,4.00,4.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7267070,3.00,8.00,3.00,6.00,7.00,10.50,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7267088,1.00,7.00,2.00,6.00,6.00,5.63,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7267096,1.00,7.00,3.00,5.00,4.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7267100,2.00,1.00,1.00,6.00,4.00,7.50,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7267118,3.00,2.00,2.00,6.00,7.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7267126,5.00,7.00,4.00,7.00,8.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7267134,2.00,5.00,3.00,4.00,4.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7267142,1.00,5.00,3.00,4.00,6.00,8.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7267169,2.00,6.00,3.00,6.00,10.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7267177,1.00,2.00,2.00,3.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7267185,1.00,6.00,1.00,5.00,4.00,7.13,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7267193,2.00,8.00,4.00,6.00,10.00,7.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7267207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7267231,0.00,4.00,3.00,6.00,3.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7267240,4.00,6.00,1.00,6.00,7.00,11.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7267258,1.00,8.00,1.00,3.00,4.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7267266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7267274,1.00,1.00,2.00,3.00,3.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7267282,4.00,6.00,4.00,5.00,5.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7267290,4.00,7.00,3.00,7.00,5.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7267312,5.00,8.00,3.00,6.00,7.00,9.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7267320,5.00,7.00,4.00,6.00,7.00,8.63,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7267339,4.00,6.00,2.00,5.00,7.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7267347,1.00,6.00,3.00,5.00,6.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7267371,0.00,4.00,2.00,5.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7267380,3.00,7.00,3.00,7.00,7.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7267398,3.00,0.00,1.00,5.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7267410,2.00,3.00,1.00,3.00,3.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7267428,3.00,7.00,3.00,6.00,5.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7267436,1.00,7.00,0.00,7.00,10.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7267444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7267452,2.00,4.00,3.00,3.00,5.00,9.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7267460,1.00,3.00,2.00,3.00,5.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7267487,4.00,8.00,6.00,6.00,8.00,6.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7267495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7267509,1.00,2.00,2.00,4.00,3.00,3.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7267517,2.00,4.00,3.00,2.00,2.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7267525,1.00,5.00,3.00,2.00,6.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7267533,2.00,4.00,3.00,5.00,6.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7267541,0.00,4.00,3.00,4.00,2.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7267550,4.00,7.00,4.00,7.00,7.00,11.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7267568,1.00,3.00,0.00,3.00,4.00,6.75,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7267576,2.00,7.00,2.00,7.00,8.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7267584,5.00,6.00,1.00,6.00,5.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7267592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7267606,1.00,0.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7267614,2.00,4.00,1.00,4.00,5.00,4.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7267622,0.00,4.00,3.00,3.00,4.00,4.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7267630,2.00,4.00,2.00,3.00,3.00,5.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7267649,4.00,6.00,1.00,5.00,8.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7267657,2.00,7.00,3.00,5.00,6.00,8.25,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7267673,1.00,7.00,2.00,7.00,8.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7267681,5.00,7.00,4.00,7.00,9.00,9.38,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7267690,2.00,7.00,1.00,6.00,7.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7267703,1.00,5.00,1.00,3.00,3.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7267711,4.00,7.00,3.00,6.00,9.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7267720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7267738,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7267746,4.00,7.00,1.00,6.00,7.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7267762,4.00,5.00,3.00,5.00,8.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7267789,3.00,2.00,2.00,5.00,3.00,6.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7267800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7267819,3.00,5.00,1.00,7.00,8.00,10.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7267827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7267835,2.00,5.00,3.00,2.00,3.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7267843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7267851,2.00,6.00,3.00,4.00,8.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7267860,0.00,3.00,2.00,5.00,1.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7267878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7267886,1.00,3.00,2.00,2.00,6.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7267894,2.00,5.00,3.00,4.00,7.00,11.25,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7267916,0.00,4.00,1.00,5.00,6.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7267932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7267940,5.00,8.00,2.00,5.00,9.00,NULL,3.00,7.00,4.00,NULL,NULL,'S','N'),(28,7267959,1.00,4.00,1.00,2.00,6.00,5.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7267967,1.00,4.00,3.00,5.00,5.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7267975,0.00,4.00,3.00,2.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7267991,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7268009,1.00,2.00,4.00,3.00,4.00,5.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7268025,4.00,7.00,3.00,6.00,8.00,10.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7268033,0.00,3.00,1.00,5.00,4.00,3.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7268041,2.00,6.00,2.00,7.00,6.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7268050,0.00,4.00,3.00,4.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7268068,3.00,8.00,5.00,4.00,7.00,7.50,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7268076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7268084,2.00,7.00,1.00,6.00,7.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7268092,0.00,9.00,3.00,6.00,7.00,9.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7268106,2.00,6.00,1.00,5.00,4.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7268114,0.00,6.00,4.00,4.00,5.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7268122,0.00,3.00,3.00,6.00,3.00,2.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7268130,4.00,6.00,4.00,7.00,8.00,8.63,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7268149,1.00,3.00,1.00,5.00,5.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7268157,3.00,6.00,1.00,3.00,5.00,7.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7268165,3.00,7.00,3.00,5.00,7.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7268173,1.00,4.00,3.00,5.00,6.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7268181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7268190,1.00,7.00,1.00,6.00,5.00,6.38,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7268203,4.00,6.00,3.00,5.00,7.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7268211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7268220,8.00,8.00,4.00,6.00,10.00,12.00,4.00,9.00,6.00,NULL,NULL,NULL,'N'),(28,7268238,1.00,0.00,4.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7268254,3.00,7.00,2.00,5.00,4.00,8.63,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7268262,3.00,7.00,2.00,5.00,5.00,7.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7268270,2.00,7.00,3.00,5.00,5.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7268289,1.00,1.00,3.00,7.00,4.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7268297,6.00,8.00,6.00,7.00,7.00,11.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7268300,3.00,6.00,2.00,6.00,7.00,7.50,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7268319,5.00,5.00,2.00,6.00,4.00,9.75,5.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7268327,2.00,6.00,1.00,5.00,7.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7268335,3.00,8.00,4.00,7.00,1.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7268351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7268360,1.00,4.00,2.00,5.00,5.00,9.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7268378,5.00,8.00,2.00,7.00,10.00,12.38,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7268394,1.00,3.00,4.00,2.00,3.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7268416,0.00,7.00,3.00,6.00,6.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7268424,2.00,2.00,3.00,2.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7268432,2.00,4.00,2.00,3.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7268440,1.00,5.00,2.00,5.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7268459,1.00,6.00,4.00,7.00,7.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7268467,0.00,5.00,2.00,6.00,4.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7268475,3.00,4.00,1.00,4.00,5.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7268483,6.00,8.00,4.00,7.00,10.00,9.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7268505,1.00,5.00,3.00,5.00,7.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7268513,0.00,4.00,3.00,5.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7268521,2.00,4.00,0.00,4.00,4.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7268530,5.00,7.00,2.00,5.00,7.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7268548,5.00,5.00,2.00,7.00,7.00,7.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7268556,2.00,3.00,2.00,5.00,7.00,9.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7268564,0.00,3.00,1.00,3.00,3.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7268580,4.00,6.00,2.00,6.00,8.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7268599,0.00,4.00,2.00,5.00,3.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7268629,0.00,7.00,1.00,6.00,5.00,NULL,1.00,5.00,3.00,NULL,NULL,'S','S'),(28,7268637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7268645,1.00,6.00,2.00,6.00,6.00,7.13,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7268653,3.00,5.00,2.00,7.00,7.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7268661,4.00,7.00,5.00,6.00,8.00,7.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7268670,1.00,1.00,3.00,3.00,3.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7268696,1.00,4.00,4.00,6.00,3.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7268700,3.00,3.00,3.00,7.00,8.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7268718,2.00,6.00,0.00,4.00,8.00,11.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7268742,2.00,7.00,4.00,6.00,7.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7268750,2.00,4.00,3.00,4.00,5.00,5.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7268769,2.00,3.00,1.00,2.00,3.00,5.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7268777,0.00,2.00,1.00,2.00,4.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7268785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7268793,1.00,3.00,3.00,4.00,5.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7268815,4.00,8.00,3.00,6.00,10.00,10.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7268823,3.00,7.00,3.00,6.00,6.00,7.88,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7268831,1.00,7.00,1.00,4.00,5.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7268840,3.00,6.00,1.00,2.00,6.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7268858,0.00,5.00,2.00,6.00,5.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7268866,1.00,5.00,1.00,5.00,4.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7268874,1.00,7.00,1.00,5.00,8.00,9.38,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7268882,6.00,7.00,4.00,6.00,8.00,7.50,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7268890,0.00,4.00,1.00,5.00,6.00,6.75,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7268904,0.00,6.00,0.00,0.00,0.00,NULL,2.00,3.00,2.00,'S',NULL,NULL,'N'),(28,7268912,2.00,7.00,6.00,7.00,9.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7268920,1.00,4.00,3.00,6.00,9.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7268947,0.00,7.00,3.00,8.00,10.00,11.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7268955,1.00,8.00,3.00,6.00,8.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7268963,1.00,5.00,5.00,4.00,4.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7268971,2.00,5.00,1.00,6.00,8.00,9.38,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7268980,1.00,5.00,3.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7268998,0.00,4.00,1.00,3.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7269005,0.00,4.00,3.00,6.00,6.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7269013,1.00,5.00,2.00,6.00,4.00,8.25,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7269021,1.00,6.00,2.00,4.00,7.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7269030,4.00,6.00,1.00,7.00,10.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7269048,5.00,7.00,3.00,8.00,6.00,9.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7269056,1.00,4.00,1.00,4.00,5.00,5.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7269064,0.00,1.00,0.00,0.00,1.00,NULL,0.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7269072,2.00,2.00,1.00,1.00,3.00,4.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7269080,4.00,6.00,3.00,5.00,8.00,5.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7269099,1.00,6.00,3.00,4.00,8.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7269102,0.00,5.00,0.00,7.00,5.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7269110,1.00,6.00,1.00,5.00,9.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7269145,3.00,6.00,3.00,6.00,8.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7269153,1.00,4.00,3.00,7.00,6.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7269161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7269170,4.00,6.00,2.00,1.00,8.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7269196,3.00,6.00,3.00,5.00,4.00,5.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7269200,6.00,8.00,4.00,6.00,9.00,9.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7269218,2.00,7.00,1.00,5.00,4.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7269226,3.00,6.00,2.00,2.00,5.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7269234,5.00,6.00,5.00,5.00,5.00,8.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7269250,4.00,3.00,2.00,3.00,6.00,6.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7269269,7.00,8.00,6.00,6.00,8.00,12.38,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7269277,4.00,6.00,2.00,3.00,5.00,4.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7269293,2.00,8.00,1.00,7.00,7.00,11.25,0.00,8.00,3.00,NULL,NULL,NULL,'S'),(28,7269307,3.00,7.00,2.00,6.00,5.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7269315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7269323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7269331,0.00,3.00,1.00,4.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7269340,0.00,1.00,3.00,5.00,6.00,6.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7269358,7.00,8.00,4.00,6.00,7.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7269366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7269382,7.00,8.00,0.00,7.00,8.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7269390,8.00,8.00,6.00,7.00,10.00,12.00,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(28,7269404,3.00,8.00,1.00,7.00,6.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7269420,1.00,2.00,2.00,2.00,0.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7269439,4.00,4.00,2.00,1.00,7.00,7.50,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7269447,6.00,8.00,2.00,6.00,9.00,9.75,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7269455,6.00,8.00,3.00,7.00,10.00,10.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7269471,1.00,5.00,3.00,7.00,5.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7269480,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7269498,2.00,4.00,1.00,4.00,6.00,4.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7269501,2.00,6.00,2.00,4.00,4.00,5.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7269510,0.00,5.00,3.00,6.00,6.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7269528,4.00,8.00,3.00,4.00,10.00,9.38,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7269536,1.00,4.00,3.00,6.00,3.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7269544,7.00,7.00,4.00,6.00,10.00,6.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7269552,7.00,7.00,4.00,7.00,9.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7269560,2.00,7.00,5.00,2.00,6.00,5.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7269579,2.00,6.00,3.00,6.00,5.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7269595,0.00,3.00,1.00,5.00,4.00,7.50,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7269609,1.00,3.00,1.00,4.00,5.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7269625,2.00,3.00,1.00,3.00,5.00,9.38,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7269641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7269650,2.00,5.00,3.00,5.00,6.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7269668,6.00,8.00,3.00,8.00,10.00,10.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7269676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7269684,6.00,8.00,3.00,6.00,7.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7269692,2.00,8.00,1.00,7.00,5.00,10.50,5.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7269706,2.00,5.00,3.00,5.00,6.00,6.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7269714,1.00,6.00,1.00,7.00,3.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7269722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7269730,4.00,2.00,1.00,5.00,4.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7269749,0.00,4.00,1.00,6.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7269757,1.00,4.00,1.00,2.00,4.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7269773,1.00,7.00,1.00,4.00,3.00,6.00,0.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7269781,5.00,7.00,4.00,7.00,8.00,12.75,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7269790,2.00,5.00,2.00,2.00,5.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7269803,2.00,5.00,0.00,7.00,7.00,8.25,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7269811,1.00,6.00,1.00,5.00,7.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7269820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7269838,3.00,6.00,3.00,7.00,9.00,9.38,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7269854,5.00,8.00,2.00,7.00,7.00,7.88,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7269862,4.00,8.00,5.00,6.00,6.00,11.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7269889,0.00,6.00,0.00,5.00,4.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7269897,0.00,5.00,3.00,5.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7269900,1.00,6.00,1.00,2.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7269919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7269927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7269935,2.00,6.00,2.00,6.00,3.00,6.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7269943,3.00,7.00,0.00,5.00,4.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7269960,0.00,4.00,0.00,5.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7269978,1.00,6.00,1.00,6.00,4.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7269986,7.00,6.00,4.00,7.00,7.00,8.25,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7270003,4.00,7.00,0.00,7.00,9.00,9.38,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7270011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7270020,1.00,2.00,2.00,3.00,6.00,9.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7270038,4.00,7.00,1.00,7.00,6.00,5.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7270046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7270054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7270062,2.00,7.00,3.00,2.00,8.00,10.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7270070,2.00,0.00,3.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7270089,2.00,8.00,3.00,5.00,4.00,9.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7270097,0.00,5.00,2.00,2.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7270100,1.00,5.00,1.00,4.00,5.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7270119,0.00,4.00,1.00,4.00,6.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7270135,2.00,4.00,0.00,4.00,4.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7270143,0.00,3.00,3.00,6.00,5.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7270160,1.00,7.00,2.00,5.00,4.00,8.63,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7270178,3.00,7.00,2.00,7.00,4.00,9.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7270194,0.00,3.00,2.00,5.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7270216,2.00,6.00,3.00,6.00,7.00,10.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7270224,2.00,7.00,2.00,7.00,7.00,10.13,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7270232,1.00,3.00,1.00,5.00,6.00,8.63,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7270240,5.00,7.00,3.00,5.00,10.00,11.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7270259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7270267,1.00,3.00,4.00,3.00,1.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7270275,1.00,6.00,2.00,3.00,4.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7270283,3.00,7.00,1.00,5.00,4.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7270305,1.00,3.00,3.00,6.00,6.00,9.00,0.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7270321,0.00,3.00,3.00,5.00,3.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7270330,0.00,6.00,3.00,4.00,6.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7270348,1.00,6.00,3.00,5.00,2.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7270356,4.00,7.00,4.00,5.00,10.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7270364,0.00,7.00,2.00,5.00,5.00,8.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7270372,4.00,7.00,2.00,1.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7270380,2.00,7.00,3.00,6.00,4.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7270399,0.00,4.00,3.00,3.00,3.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7270402,5.00,6.00,2.00,6.00,6.00,5.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7270410,3.00,7.00,1.00,7.00,10.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7270429,4.00,7.00,3.00,5.00,8.00,10.88,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7270437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7270453,1.00,6.00,3.00,7.00,6.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7270461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7270470,2.00,4.00,2.00,4.00,7.00,7.88,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7270488,0.00,4.00,1.00,1.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7270496,7.00,8.00,7.00,7.00,10.00,9.38,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7270500,2.00,5.00,2.00,5.00,8.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7270518,5.00,7.00,1.00,6.00,8.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7270534,2.00,5.00,3.00,5.00,4.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7270542,4.00,5.00,2.00,6.00,7.00,8.25,6.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7270550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7270569,2.00,4.00,3.00,4.00,2.00,NULL,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7270577,1.00,3.00,1.00,2.00,2.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7270585,3.00,5.00,1.00,6.00,3.00,7.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7270607,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7270623,1.00,8.00,2.00,7.00,7.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7270631,6.00,7.00,3.00,6.00,8.00,8.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7270640,2.00,6.00,1.00,6.00,4.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7270658,2.00,7.00,2.00,5.00,6.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7270666,0.00,4.00,0.00,0.00,2.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7270674,2.00,6.00,0.00,4.00,3.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7270682,3.00,8.00,3.00,7.00,5.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7270690,0.00,4.00,3.00,2.00,4.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7270704,4.00,5.00,3.00,4.00,6.00,3.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7270712,4.00,7.00,3.00,5.00,8.00,8.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7270720,2.00,7.00,1.00,2.00,7.00,11.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7270739,0.00,3.00,2.00,6.00,4.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7270747,0.00,0.00,3.00,2.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7270755,0.00,1.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7270763,2.00,5.00,0.00,6.00,9.00,5.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7270771,3.00,6.00,1.00,3.00,7.00,11.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7270780,3.00,7.00,2.00,7.00,6.00,8.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7270798,4.00,6.00,2.00,3.00,2.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7270801,2.00,5.00,1.00,1.00,5.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7270810,2.00,4.00,0.00,3.00,7.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7270828,4.00,5.00,2.00,6.00,6.00,9.38,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7270836,3.00,3.00,2.00,7.00,3.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7270844,2.00,7.00,4.00,6.00,10.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7270852,1.00,5.00,0.00,7.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7270860,7.00,7.00,5.00,6.00,10.00,9.38,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7270879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7270887,0.00,6.00,2.00,0.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7270917,2.00,6.00,4.00,4.00,6.00,7.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7270925,2.00,5.00,2.00,2.00,7.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7270933,3.00,0.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7270941,4.00,7.00,4.00,4.00,9.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7270950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7270976,0.00,0.00,3.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7270984,5.00,8.00,2.00,7.00,7.00,8.63,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7271000,2.00,5.00,1.00,6.00,4.00,9.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7271018,2.00,5.00,4.00,7.00,6.00,7.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7271026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7271042,4.00,7.00,3.00,5.00,7.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7271077,5.00,7.00,3.00,5.00,5.00,8.25,5.00,7.00,4.00,NULL,NULL,NULL,'S'),(28,7271085,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7271107,2.00,7.00,3.00,7.00,10.00,11.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7271115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7271123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7271158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7271166,1.00,4.00,2.00,7.00,4.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7271174,1.00,4.00,1.00,6.00,8.00,9.38,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7271182,4.00,6.00,2.00,5.00,6.00,7.13,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7271190,1.00,4.00,1.00,4.00,3.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7271204,4.00,6.00,0.00,7.00,6.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7271212,2.00,7.00,2.00,5.00,6.00,6.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7271255,0.00,2.00,1.00,1.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7271263,3.00,4.00,1.00,4.00,3.00,11.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7271271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7271298,2.00,5.00,1.00,4.00,4.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7271301,6.00,8.00,3.00,7.00,5.00,11.25,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7271310,2.00,4.00,2.00,6.00,3.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7271328,1.00,5.00,2.00,3.00,6.00,7.88,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7271336,0.00,3.00,2.00,2.00,4.00,3.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7271344,4.00,6.00,3.00,3.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7271360,1.00,7.00,0.00,7.00,8.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7271379,5.00,7.00,3.00,5.00,8.00,10.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7271395,4.00,7.00,3.00,7.00,5.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7271409,0.00,6.00,1.00,7.00,4.00,7.13,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7271425,1.00,3.00,2.00,3.00,6.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7271441,3.00,6.00,3.00,6.00,6.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7271450,0.00,4.00,3.00,3.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7271468,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7271484,1.00,5.00,1.00,3.00,5.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7271492,2.00,7.00,2.00,6.00,6.00,9.75,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7271506,1.00,1.00,1.00,1.00,4.00,6.38,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7271514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7271522,1.00,6.00,0.00,5.00,7.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7271530,6.00,7.00,3.00,7.00,9.00,7.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7271549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7271557,5.00,9.00,6.00,4.00,4.00,10.88,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7271565,1.00,4.00,1.00,3.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7271573,1.00,3.00,3.00,7.00,4.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7271581,2.00,7.00,0.00,5.00,7.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7271590,2.00,6.00,2.00,6.00,6.00,9.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7271611,3.00,7.00,0.00,6.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7271638,4.00,6.00,1.00,6.00,7.00,8.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7271646,3.00,4.00,2.00,7.00,5.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7271654,4.00,7.00,2.00,7.00,9.00,11.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7271662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7271670,0.00,5.00,0.00,4.00,6.00,6.00,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7271689,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7271697,0.00,3.00,0.00,7.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7271700,1.00,6.00,4.00,6.00,10.00,7.88,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7271719,1.00,3.00,3.00,2.00,3.00,7.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7271735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7271743,2.00,4.00,2.00,2.00,5.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7271751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7271760,0.00,0.00,3.00,2.00,4.00,5.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7271778,0.00,5.00,2.00,6.00,6.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7271786,3.00,5.00,1.00,5.00,8.00,12.75,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7271794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7271808,5.00,6.00,3.00,5.00,7.00,4.88,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7271816,1.00,7.00,0.00,5.00,5.00,8.63,4.00,8.00,0.00,NULL,NULL,NULL,'N'),(28,7271824,3.00,6.00,2.00,7.00,7.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7271832,1.00,5.00,3.00,7.00,9.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7271867,1.00,3.00,2.00,5.00,2.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7271883,3.00,6.00,1.00,6.00,7.00,10.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7271891,0.00,3.00,0.00,3.00,4.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7271905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7271913,1.00,5.00,2.00,4.00,4.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7271921,2.00,5.00,4.00,4.00,5.00,9.00,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7271930,0.00,5.00,1.00,4.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7271948,0.00,3.00,1.00,5.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7271956,2.00,7.00,4.00,5.00,6.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7271972,6.00,8.00,3.00,7.00,10.00,7.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7271980,5.00,8.00,0.00,7.00,8.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7271999,2.00,4.00,1.00,7.00,4.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7272006,3.00,5.00,2.00,5.00,7.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7272014,1.00,5.00,1.00,4.00,5.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7272022,2.00,7.00,2.00,7.00,8.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7272030,4.00,5.00,2.00,4.00,5.00,8.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7272049,1.00,6.00,2.00,6.00,6.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7272057,2.00,4.00,1.00,1.00,3.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7272065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7272081,1.00,4.00,1.00,4.00,6.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7272090,4.00,5.00,3.00,6.00,6.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7272103,3.00,7.00,3.00,3.00,6.00,13.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7272111,3.00,1.00,3.00,4.00,2.00,NULL,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7272120,2.00,2.00,1.00,6.00,3.00,8.63,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7272138,3.00,6.00,2.00,7.00,6.00,10.13,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7272146,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7272162,1.00,6.00,2.00,5.00,6.00,5.63,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7272170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7272189,2.00,7.00,1.00,6.00,6.00,0.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7272197,1.00,3.00,1.00,2.00,3.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7272200,0.00,7.00,1.00,3.00,7.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7272227,3.00,6.00,1.00,6.00,7.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7272235,1.00,1.00,2.00,2.00,4.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7272243,2.00,5.00,1.00,3.00,5.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7272251,6.00,8.00,4.00,6.00,9.00,7.13,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7272278,5.00,6.00,4.00,7.00,8.00,8.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7272286,3.00,6.00,2.00,6.00,5.00,10.13,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7272294,0.00,3.00,1.00,2.00,4.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7272316,4.00,7.00,2.00,2.00,7.00,6.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7272324,0.00,6.00,2.00,3.00,7.00,8.25,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7272332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7272340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7272367,5.00,7.00,4.00,6.00,5.00,10.13,7.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7272375,3.00,5.00,3.00,5.00,9.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7272383,2.00,3.00,3.00,6.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7272405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7272413,3.00,5.00,3.00,4.00,6.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7272421,2.00,4.00,2.00,6.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7272472,1.00,5.00,2.00,5.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7272499,2.00,5.00,2.00,5.00,5.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7272510,0.00,5.00,2.00,5.00,5.00,5.63,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7272529,2.00,4.00,2.00,3.00,1.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7272537,2.00,6.00,2.00,4.00,4.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7272545,6.00,8.00,5.00,7.00,10.00,7.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7272553,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7272561,0.00,5.00,0.00,2.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7272570,1.00,4.00,2.00,4.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7272596,3.00,6.00,1.00,7.00,5.00,6.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7272600,0.00,2.00,2.00,1.00,4.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7272618,2.00,4.00,1.00,5.00,0.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7272626,5.00,6.00,2.00,6.00,8.00,6.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7272634,0.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7272642,3.00,7.00,3.00,6.00,8.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7272650,5.00,8.00,2.00,7.00,9.00,10.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7272669,5.00,7.00,2.00,7.00,8.00,10.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7272677,0.00,5.00,1.00,4.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7272693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7272707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7272715,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7272723,2.00,3.00,1.00,4.00,4.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7272740,4.00,7.00,3.00,6.00,8.00,10.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7272758,0.00,4.00,2.00,3.00,8.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7272766,2.00,5.00,2.00,5.00,4.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7272774,1.00,5.00,1.00,7.00,6.00,7.88,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7272782,0.00,5.00,1.00,4.00,4.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7272790,1.00,5.00,1.00,6.00,4.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7272804,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7272812,2.00,3.00,3.00,6.00,7.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7272820,2.00,3.00,2.00,2.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7272839,2.00,8.00,4.00,7.00,8.00,10.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7272855,2.00,5.00,2.00,3.00,8.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7272871,5.00,7.00,5.00,7.00,5.00,10.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7272898,5.00,8.00,4.00,5.00,7.00,10.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7272901,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7272910,2.00,5.00,1.00,6.00,7.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7272928,6.00,8.00,2.00,5.00,10.00,9.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7272944,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7272952,3.00,7.00,0.00,7.00,10.00,8.63,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7272979,0.00,6.00,1.00,4.00,6.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7272987,3.00,7.00,2.00,6.00,8.00,7.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7272995,3.00,6.00,2.00,3.00,6.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7273002,2.00,4.00,1.00,5.00,3.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7273010,1.00,4.00,3.00,7.00,7.00,7.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7273037,3.00,6.00,3.00,6.00,7.00,10.13,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7273053,0.00,0.00,0.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7273061,4.00,5.00,2.00,6.00,8.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7273070,1.00,3.00,2.00,4.00,3.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7273088,1.00,3.00,3.00,3.00,3.00,5.25,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7273096,1.00,6.00,1.00,4.00,4.00,5.63,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7273100,2.00,5.00,2.00,4.00,6.00,6.38,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7273134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7273142,5.00,6.00,2.00,5.00,7.00,11.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7273150,2.00,6.00,3.00,4.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,'S','N'),(28,7273169,1.00,1.00,0.00,2.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7273177,0.00,3.00,2.00,4.00,6.00,6.38,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(28,7273193,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7273215,3.00,4.00,2.00,6.00,5.00,4.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7273231,4.00,6.00,3.00,4.00,7.00,6.75,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7273274,4.00,4.00,3.00,3.00,4.00,5.63,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7273282,1.00,5.00,1.00,6.00,3.00,5.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7273304,5.00,7.00,4.00,7.00,5.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7273312,0.00,2.00,0.00,4.00,4.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7273339,1.00,1.00,2.00,3.00,2.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7273347,0.00,3.00,1.00,3.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7273355,3.00,8.00,1.00,5.00,9.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7273363,1.00,2.00,2.00,2.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7273371,1.00,3.00,3.00,7.00,4.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7273380,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7273398,1.00,6.00,1.00,3.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7273401,1.00,4.00,1.00,2.00,4.00,6.75,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7273410,0.00,3.00,1.00,2.00,3.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7273428,4.00,7.00,2.00,7.00,5.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7273436,1.00,5.00,1.00,4.00,9.00,9.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7273444,4.00,8.00,2.00,4.00,5.00,6.38,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7273460,0.00,3.00,2.00,4.00,3.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7273479,4.00,3.00,4.00,2.00,5.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7273487,5.00,6.00,1.00,2.00,7.00,8.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7273495,0.00,5.00,1.00,2.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7273509,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7273541,6.00,8.00,3.00,7.00,8.00,10.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7273550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7273584,3.00,6.00,3.00,7.00,8.00,7.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7273592,2.00,7.00,3.00,5.00,5.00,5.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7273606,3.00,7.00,2.00,7.00,9.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7273614,1.00,4.00,0.00,3.00,4.00,6.38,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7273630,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7273649,4.00,4.00,1.00,1.00,3.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7273665,1.00,5.00,2.00,4.00,5.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7273681,3.00,4.00,2.00,7.00,7.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7273690,5.00,6.00,3.00,5.00,7.00,10.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7273703,3.00,7.00,1.00,5.00,8.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7273711,2.00,5.00,3.00,8.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7273738,1.00,5.00,4.00,4.00,5.00,9.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7273746,3.00,8.00,4.00,7.00,6.00,11.63,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7273754,2.00,6.00,2.00,3.00,2.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7273762,3.00,4.00,1.00,6.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7273770,5.00,8.00,2.00,5.00,7.00,13.50,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7273789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7273797,5.00,6.00,4.00,7.00,7.00,9.00,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7273819,3.00,7.00,3.00,4.00,5.00,9.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7273827,1.00,4.00,2.00,6.00,5.00,9.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7273835,2.00,6.00,3.00,3.00,7.00,4.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7273843,0.00,3.00,1.00,6.00,5.00,6.75,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7273851,5.00,7.00,2.00,6.00,10.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7273860,4.00,5.00,3.00,6.00,7.00,8.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7273878,3.00,7.00,1.00,6.00,7.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7273886,1.00,1.00,1.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7273894,4.00,7.00,5.00,6.00,7.00,10.88,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7273908,6.00,7.00,3.00,6.00,8.00,6.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7273916,3.00,6.00,2.00,5.00,5.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7273924,5.00,8.00,2.00,7.00,8.00,9.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7273932,0.00,3.00,3.00,6.00,5.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7273959,2.00,5.00,2.00,7.00,7.00,12.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7273967,2.00,4.00,3.00,7.00,6.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7273983,2.00,5.00,2.00,6.00,5.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7273991,2.00,3.00,1.00,2.00,4.00,3.00,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7274017,0.00,4.00,3.00,7.00,6.00,3.00,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7274025,1.00,0.00,2.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7274033,0.00,6.00,2.00,6.00,4.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7274050,4.00,7.00,1.00,6.00,6.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7274068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7274084,2.00,6.00,1.00,7.00,8.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7274092,3.00,6.00,3.00,6.00,8.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7274106,2.00,4.00,1.00,5.00,7.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7274114,3.00,6.00,4.00,7.00,4.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7274122,1.00,5.00,0.00,1.00,2.00,NULL,2.00,4.00,0.00,NULL,NULL,'S','N'),(28,7274149,1.00,7.00,1.00,5.00,7.00,6.75,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7274157,0.00,3.00,0.00,3.00,4.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7274173,4.00,6.00,4.00,4.00,9.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7274181,3.00,6.00,4.00,5.00,6.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7274190,4.00,7.00,1.00,7.00,5.00,6.38,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7274203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7274211,1.00,4.00,2.00,1.00,5.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7274246,3.00,7.00,4.00,8.00,7.00,11.63,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7274254,0.00,3.00,2.00,1.00,3.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7274270,0.00,5.00,0.00,4.00,5.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7274289,2.00,7.00,3.00,2.00,5.00,6.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7274297,4.00,7.00,2.00,6.00,7.00,13.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7274300,3.00,6.00,1.00,5.00,5.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7274319,0.00,4.00,2.00,1.00,5.00,4.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7274327,1.00,2.00,3.00,4.00,7.00,7.50,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7274343,0.00,3.00,2.00,1.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7274351,1.00,7.00,0.00,4.00,6.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7274360,2.00,7.00,0.00,1.00,3.00,4.88,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7274378,2.00,5.00,4.00,6.00,6.00,11.25,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(28,7274386,4.00,6.00,3.00,6.00,9.00,6.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7274394,1.00,3.00,1.00,4.00,4.00,4.88,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7274408,1.00,5.00,4.00,1.00,6.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7274424,1.00,6.00,0.00,3.00,4.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7274432,5.00,8.00,2.00,6.00,7.00,10.13,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7274440,3.00,7.00,2.00,5.00,8.00,7.88,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7274459,2.00,6.00,2.00,5.00,6.00,4.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7274467,3.00,6.00,3.00,5.00,4.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7274483,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7274491,3.00,6.00,3.00,5.00,7.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7274505,2.00,2.00,1.00,1.00,4.00,5.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7274513,6.00,9.00,3.00,8.00,8.00,10.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7274530,3.00,3.00,2.00,4.00,3.00,3.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7274548,2.00,5.00,3.00,6.00,5.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7274556,1.00,6.00,3.00,4.00,5.00,7.50,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7274564,1.00,7.00,1.00,6.00,6.00,7.88,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7274572,1.00,4.00,1.00,3.00,4.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7274580,3.00,8.00,5.00,6.00,8.00,12.00,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7274599,4.00,9.00,3.00,4.00,8.00,10.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7274602,1.00,4.00,0.00,3.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7274610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7274629,3.00,6.00,3.00,4.00,5.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7274645,4.00,6.00,4.00,7.00,8.00,11.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7274653,3.00,6.00,3.00,4.00,5.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7274661,7.00,6.00,3.00,4.00,4.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7274670,1.00,2.00,3.00,6.00,7.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7274688,0.00,5.00,2.00,1.00,4.00,NULL,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7274696,1.00,7.00,1.00,6.00,8.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7274700,3.00,4.00,0.00,3.00,6.00,10.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7274718,0.00,4.00,0.00,5.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7274726,5.00,3.00,3.00,5.00,5.00,4.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7274742,1.00,4.00,0.00,5.00,4.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7274750,6.00,9.00,3.00,7.00,11.00,8.25,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7274769,1.00,6.00,1.00,5.00,3.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7274777,3.00,5.00,2.00,4.00,3.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7274815,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7274823,4.00,8.00,1.00,7.00,9.00,9.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7274831,4.00,7.00,3.00,6.00,3.00,8.63,5.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7274858,0.00,6.00,2.00,6.00,6.00,8.25,4.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7274866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7274874,4.00,8.00,2.00,7.00,9.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7274882,0.00,4.00,3.00,4.00,4.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7274904,1.00,3.00,2.00,3.00,3.00,10.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7274912,4.00,7.00,2.00,5.00,6.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7274939,3.00,3.00,1.00,4.00,3.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7274947,2.00,6.00,3.00,7.00,5.00,8.63,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7274955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7274963,4.00,3.00,3.00,3.00,4.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7274971,4.00,8.00,3.00,5.00,9.00,11.25,2.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7274980,2.00,4.00,1.00,3.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7274998,3.00,4.00,2.00,4.00,4.00,7.88,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7275005,2.00,3.00,1.00,3.00,4.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7275013,1.00,4.00,1.00,5.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7275021,4.00,7.00,4.00,6.00,5.00,6.38,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7275048,2.00,6.00,3.00,3.00,9.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7275056,4.00,6.00,4.00,6.00,5.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7275064,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7275072,1.00,5.00,2.00,5.00,6.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7275080,4.00,8.00,3.00,7.00,7.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7275102,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7275137,3.00,4.00,4.00,5.00,7.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7275145,7.00,8.00,3.00,5.00,8.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7275153,1.00,2.00,1.00,3.00,3.00,6.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7275161,3.00,6.00,2.00,5.00,7.00,10.88,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7275170,5.00,8.00,2.00,7.00,7.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7275218,0.00,3.00,1.00,1.00,6.00,7.88,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7275226,5.00,7.00,4.00,5.00,8.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7275234,5.00,7.00,5.00,6.00,8.00,11.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7275242,1.00,3.00,0.00,3.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7275250,3.00,3.00,2.00,3.00,4.00,10.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7275269,1.00,7.00,2.00,5.00,3.00,9.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7275277,0.00,6.00,2.00,3.00,7.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7275285,2.00,5.00,0.00,5.00,7.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7275293,1.00,5.00,2.00,7.00,4.00,9.00,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7275307,5.00,8.00,3.00,5.00,6.00,6.38,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7275323,2.00,7.00,2.00,7.00,9.00,7.88,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7275331,2.00,9.00,0.00,5.00,9.00,6.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7275340,0.00,2.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7275358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7275366,0.00,0.00,2.00,2.00,3.00,8.25,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(28,7275374,0.00,2.00,1.00,2.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7275382,4.00,7.00,1.00,6.00,6.00,10.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7275412,0.00,4.00,2.00,2.00,4.00,7.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7275420,3.00,7.00,1.00,5.00,6.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7275439,1.00,6.00,1.00,5.00,2.00,NULL,0.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7275447,3.00,6.00,3.00,6.00,4.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7275463,3.00,7.00,1.00,4.00,8.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7275471,2.00,5.00,2.00,5.00,5.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7275480,4.00,8.00,2.00,6.00,9.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7275498,0.00,4.00,1.00,6.00,5.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7275501,6.00,8.00,3.00,4.00,5.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7275510,2.00,7.00,4.00,7.00,9.00,8.63,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7275536,6.00,7.00,5.00,7.00,5.00,8.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7275544,2.00,5.00,1.00,4.00,3.00,6.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7275560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7275579,0.00,3.00,4.00,2.00,4.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7275587,0.00,4.00,1.00,6.00,8.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7275595,4.00,4.00,2.00,6.00,9.00,10.13,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7275609,3.00,5.00,1.00,6.00,9.00,8.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7275625,7.00,7.00,2.00,6.00,6.00,9.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7275633,2.00,4.00,1.00,3.00,4.00,8.63,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7275641,6.00,7.00,2.00,3.00,5.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7275650,0.00,2.00,0.00,4.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7275676,3.00,6.00,2.00,5.00,9.00,8.63,3.00,3.00,8.00,NULL,NULL,NULL,'N'),(28,7275684,1.00,1.00,1.00,2.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7275706,1.00,6.00,3.00,5.00,5.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7275714,0.00,2.00,1.00,5.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7275722,3.00,6.00,1.00,6.00,8.00,10.13,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7275730,4.00,6.00,4.00,5.00,8.00,12.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7275749,0.00,0.00,3.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7275773,1.00,3.00,1.00,5.00,4.00,6.75,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7275790,0.00,4.00,1.00,3.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7275803,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7275811,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7275820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7275838,2.00,5.00,2.00,4.00,4.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7275846,1.00,4.00,1.00,2.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7275854,2.00,5.00,0.00,7.00,7.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7275889,2.00,4.00,4.00,4.00,4.00,7.88,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7275897,3.00,5.00,1.00,7.00,8.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7275900,2.00,5.00,0.00,2.00,6.00,9.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7275927,0.00,0.00,2.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7275935,2.00,4.00,4.00,5.00,6.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7275951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7275986,2.00,5.00,1.00,3.00,3.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7276001,5.00,7.00,4.00,5.00,7.00,6.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7276028,2.00,5.00,1.00,5.00,4.00,7.13,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(28,7276036,0.00,4.00,2.00,6.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7276060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7276079,3.00,6.00,2.00,6.00,9.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7276095,5.00,6.00,2.00,5.00,7.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7276109,0.00,3.00,3.00,2.00,3.00,3.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7276117,2.00,7.00,3.00,5.00,10.00,6.38,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7276125,0.00,5.00,0.00,4.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7276141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7276150,1.00,4.00,2.00,5.00,6.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7276168,1.00,9.00,2.00,6.00,7.00,13.13,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7276176,4.00,7.00,1.00,5.00,6.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7276184,3.00,6.00,2.00,6.00,5.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7276192,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7276206,5.00,7.00,2.00,4.00,9.00,10.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7276214,6.00,8.00,2.00,7.00,8.00,10.88,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7276230,0.00,4.00,2.00,5.00,6.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7276249,4.00,7.00,4.00,7.00,4.00,7.13,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7276265,2.00,4.00,0.00,5.00,6.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7276273,2.00,5.00,1.00,6.00,5.00,4.50,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7276281,0.00,4.00,2.00,5.00,4.00,6.38,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7276290,0.00,4.00,1.00,5.00,6.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7276303,2.00,3.00,1.00,2.00,3.00,3.00,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7276311,1.00,5.00,2.00,6.00,8.00,10.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7276320,3.00,8.00,3.00,7.00,8.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7276338,1.00,2.00,1.00,3.00,5.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7276346,4.00,6.00,4.00,6.00,5.00,7.50,7.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7276354,1.00,6.00,1.00,1.00,4.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7276362,0.00,4.00,0.00,2.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7276370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7276389,0.00,2.00,2.00,6.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7276397,2.00,7.00,4.00,7.00,8.00,8.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7276400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7276419,2.00,4.00,1.00,5.00,5.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7276435,5.00,6.00,2.00,6.00,8.00,7.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7276443,6.00,8.00,4.00,4.00,7.00,9.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7276460,4.00,7.00,2.00,6.00,7.00,7.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7276478,1.00,5.00,2.00,6.00,5.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7276486,1.00,5.00,2.00,6.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7276494,2.00,6.00,1.00,5.00,2.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7276508,3.00,5.00,1.00,6.00,4.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7276516,5.00,7.00,3.00,7.00,8.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7276524,2.00,5.00,1.00,7.00,6.00,8.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7276532,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7276567,0.00,2.00,2.00,7.00,4.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7276575,3.00,6.00,1.00,4.00,6.00,7.88,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7276583,0.00,4.00,2.00,4.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7276591,4.00,6.00,0.00,5.00,6.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7276605,1.00,2.00,0.00,5.00,5.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7276613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7276621,1.00,4.00,1.00,0.00,5.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7276630,3.00,3.00,2.00,5.00,3.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7276648,2.00,4.00,2.00,6.00,6.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7276664,3.00,8.00,2.00,7.00,5.00,11.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7276672,3.00,7.00,1.00,6.00,4.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7276680,3.00,7.00,2.00,7.00,7.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7276699,1.00,4.00,0.00,5.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7276702,1.00,6.00,1.00,5.00,5.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7276710,0.00,6.00,0.00,2.00,6.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7276729,4.00,8.00,2.00,6.00,10.00,9.38,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7276737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7276745,2.00,7.00,1.00,5.00,5.00,9.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7276753,0.00,4.00,2.00,3.00,5.00,4.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7276761,1.00,5.00,4.00,5.00,5.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7276770,3.00,3.00,2.00,3.00,3.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7276788,0.00,4.00,2.00,4.00,4.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7276800,0.00,4.00,2.00,6.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7276850,1.00,7.00,1.00,7.00,6.00,5.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7276869,1.00,6.00,0.00,4.00,6.00,7.13,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7276877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7276893,4.00,5.00,1.00,3.00,5.00,4.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7276931,1.00,4.00,2.00,5.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7276940,3.00,3.00,2.00,5.00,6.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7276958,1.00,4.00,2.00,5.00,4.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7276982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7276990,4.00,6.00,1.00,7.00,5.00,10.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7277008,0.00,3.00,0.00,1.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7277016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7277024,3.00,5.00,1.00,6.00,8.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7277032,2.00,6.00,1.00,3.00,7.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7277040,2.00,3.00,3.00,4.00,4.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7277059,3.00,6.00,1.00,5.00,7.00,8.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7277067,6.00,8.00,1.00,6.00,6.00,6.38,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7277075,5.00,7.00,2.00,6.00,7.00,12.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7277091,2.00,8.00,3.00,7.00,7.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7277105,0.00,5.00,3.00,5.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7277113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7277121,1.00,3.00,0.00,4.00,3.00,5.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7277130,3.00,8.00,2.00,5.00,7.00,7.88,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7277164,3.00,3.00,0.00,2.00,3.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7277172,3.00,7.00,3.00,6.00,5.00,10.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7277180,0.00,5.00,4.00,5.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7277199,0.00,2.00,2.00,4.00,3.00,3.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7277202,3.00,6.00,3.00,4.00,4.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7277210,2.00,3.00,1.00,6.00,6.00,5.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7277229,1.00,3.00,2.00,2.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7277237,1.00,5.00,4.00,2.00,4.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7277245,2.00,7.00,2.00,4.00,5.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7277253,3.00,5.00,3.00,4.00,6.00,5.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7277270,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7277296,5.00,7.00,1.00,7.00,6.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7277300,3.00,4.00,3.00,4.00,4.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7277318,3.00,4.00,1.00,4.00,4.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7277326,1.00,4.00,2.00,2.00,4.00,5.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7277334,1.00,2.00,3.00,2.00,5.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7277342,1.00,3.00,2.00,5.00,5.00,7.88,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7277350,3.00,6.00,1.00,6.00,4.00,9.75,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7277369,8.00,7.00,4.00,7.00,10.00,9.00,6.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7277377,2.00,6.00,3.00,7.00,8.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7277385,0.00,3.00,1.00,6.00,6.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7277415,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7277431,2.00,5.00,0.00,0.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7277440,4.00,7.00,3.00,5.00,8.00,6.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7277474,1.00,2.00,2.00,4.00,3.00,4.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7277490,3.00,3.00,1.00,6.00,7.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7277504,3.00,6.00,3.00,4.00,7.00,7.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7277512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7277520,3.00,5.00,2.00,7.00,5.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7277539,2.00,3.00,2.00,3.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7277547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7277555,5.00,7.00,4.00,7.00,7.00,7.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7277571,5.00,7.00,3.00,6.00,6.00,11.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7277580,1.00,3.00,1.00,4.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7277598,3.00,0.00,1.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7277601,3.00,5.00,3.00,5.00,6.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7277610,1.00,5.00,4.00,6.00,4.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7277628,5.00,6.00,2.00,5.00,5.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7277636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7277644,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7277652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7277660,1.00,5.00,4.00,7.00,5.00,9.38,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7277679,5.00,6.00,3.00,7.00,5.00,8.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7277687,2.00,4.00,0.00,3.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7277695,2.00,9.00,2.00,7.00,10.00,10.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7277709,0.00,5.00,1.00,4.00,4.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7277717,4.00,6.00,1.00,6.00,6.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'S'),(28,7277725,3.00,3.00,4.00,5.00,3.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7277750,2.00,3.00,1.00,3.00,8.00,6.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7277768,1.00,4.00,1.00,3.00,5.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7277776,0.00,2.00,1.00,3.00,4.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7277784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7277792,5.00,7.00,1.00,6.00,4.00,7.50,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7277806,2.00,7.00,1.00,7.00,6.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7277822,1.00,7.00,4.00,7.00,7.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7277830,1.00,5.00,2.00,1.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7277849,5.00,7.00,3.00,6.00,6.00,6.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7277873,3.00,6.00,2.00,5.00,8.00,12.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7277881,3.00,3.00,1.00,2.00,4.00,6.00,7.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7277890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7277903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7277911,2.00,6.00,3.00,7.00,8.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7277920,1.00,5.00,3.00,4.00,4.00,7.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7277938,1.00,4.00,2.00,7.00,5.00,8.63,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7277954,2.00,4.00,1.00,3.00,6.00,7.50,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7277962,1.00,4.00,3.00,1.00,3.00,4.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7277970,5.00,5.00,2.00,5.00,5.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7277989,3.00,6.00,1.00,6.00,7.00,6.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7278004,2.00,5.00,2.00,7.00,7.00,7.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7278020,4.00,7.00,2.00,6.00,8.00,10.13,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7278039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7278055,6.00,6.00,2.00,6.00,7.00,10.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7278063,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7278080,2.00,6.00,0.00,4.00,6.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7278101,1.00,3.00,2.00,2.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(28,7278110,2.00,6.00,2.00,2.00,4.00,5.63,1.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7278136,2.00,4.00,3.00,5.00,5.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7278144,0.00,3.00,2.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7278152,1.00,4.00,2.00,3.00,2.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7278160,2.00,8.00,3.00,6.00,5.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7278187,1.00,6.00,0.00,7.00,5.00,6.00,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7278195,1.00,4.00,1.00,4.00,3.00,7.50,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7278209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7278217,2.00,5.00,1.00,1.00,5.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7278225,5.00,5.00,2.00,5.00,7.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7278233,0.00,3.00,4.00,2.00,3.00,7.50,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7278241,3.00,5.00,3.00,3.00,3.00,6.38,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7278250,3.00,3.00,2.00,3.00,4.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7278268,0.00,2.00,2.00,4.00,5.00,8.25,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7278284,4.00,7.00,1.00,7.00,9.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7278306,6.00,7.00,5.00,6.00,7.00,10.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7278314,0.00,0.00,2.00,3.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7278322,1.00,5.00,3.00,6.00,4.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7278330,3.00,6.00,2.00,7.00,7.00,9.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7278349,5.00,6.00,3.00,7.00,9.00,9.00,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7278365,1.00,3.00,2.00,5.00,7.00,9.38,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7278373,0.00,4.00,3.00,4.00,1.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7278381,2.00,4.00,2.00,5.00,5.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7278403,4.00,7.00,2.00,4.00,6.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7278411,1.00,3.00,3.00,6.00,5.00,4.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7278420,2.00,5.00,2.00,6.00,7.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7278438,4.00,6.00,1.00,4.00,7.00,6.75,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7278446,0.00,5.00,0.00,0.00,7.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7278454,4.00,7.00,2.00,7.00,7.00,6.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7278489,7.00,8.00,6.00,6.00,10.00,8.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7278497,0.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7278500,2.00,5.00,2.00,5.00,7.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7278519,4.00,5.00,2.00,7.00,10.00,10.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7278527,3.00,5.00,3.00,3.00,4.00,7.13,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7278535,5.00,5.00,3.00,4.00,6.00,7.13,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7278543,7.00,7.00,6.00,7.00,10.00,10.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7278551,4.00,6.00,1.00,5.00,5.00,9.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7278560,2.00,6.00,0.00,5.00,7.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7278578,1.00,5.00,3.00,7.00,3.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7278586,1.00,7.00,2.00,3.00,4.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7278608,4.00,7.00,2.00,7.00,7.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7278616,4.00,5.00,1.00,6.00,8.00,10.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7278624,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7278659,1.00,5.00,2.00,3.00,4.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7278667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7278675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7278683,3.00,6.00,1.00,6.00,9.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7278713,2.00,4.00,3.00,4.00,6.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7278721,3.00,6.00,2.00,7.00,7.00,7.13,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7278756,3.00,9.00,1.00,6.00,8.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7278772,3.00,3.00,2.00,5.00,4.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7278802,0.00,4.00,1.00,6.00,7.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7278810,1.00,2.00,1.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7278837,7.00,9.00,1.00,7.00,8.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7278845,0.00,4.00,2.00,5.00,4.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7278853,1.00,3.00,0.00,6.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7278870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7278888,0.00,3.00,4.00,2.00,3.00,6.00,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7278900,1.00,6.00,1.00,5.00,7.00,10.88,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7278918,6.00,7.00,1.00,5.00,5.00,11.25,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7278926,3.00,4.00,2.00,3.00,3.00,6.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7278934,1.00,4.00,4.00,6.00,5.00,8.25,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7278950,5.00,6.00,3.00,4.00,8.00,7.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7278969,3.00,4.00,3.00,4.00,6.00,6.38,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7278977,4.00,7.00,2.00,5.00,7.00,11.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7278985,4.00,7.00,2.00,7.00,8.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7278993,5.00,6.00,4.00,6.00,5.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7279000,4.00,7.00,3.00,7.00,5.00,5.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7279019,5.00,6.00,2.00,4.00,8.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7279027,1.00,5.00,1.00,3.00,6.00,5.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7279035,3.00,5.00,3.00,5.00,4.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7279043,7.00,6.00,5.00,4.00,5.00,7.13,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7279051,0.00,1.00,2.00,5.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7279060,2.00,6.00,2.00,5.00,6.00,8.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7279078,1.00,4.00,2.00,3.00,3.00,7.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7279086,2.00,5.00,2.00,6.00,4.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7279094,2.00,7.00,4.00,6.00,4.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7279108,0.00,3.00,3.00,4.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7279116,0.00,7.00,1.00,4.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7279124,2.00,5.00,3.00,2.00,5.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7279132,5.00,7.00,3.00,6.00,7.00,12.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7279140,0.00,9.00,1.00,3.00,8.00,7.88,1.00,7.00,0.00,NULL,NULL,NULL,'N'),(28,7279167,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7279175,4.00,6.00,2.00,3.00,9.00,5.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7279183,3.00,6.00,1.00,4.00,7.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7279191,1.00,5.00,2.00,6.00,4.00,5.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7279205,1.00,5.00,1.00,5.00,5.00,6.38,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7279213,3.00,6.00,3.00,5.00,5.00,5.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7279221,2.00,3.00,2.00,4.00,5.00,4.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7279230,3.00,6.00,1.00,7.00,4.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7279248,0.00,3.00,3.00,3.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7279256,1.00,6.00,2.00,5.00,5.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7279264,4.00,7.00,3.00,5.00,7.00,9.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7279272,1.00,6.00,2.00,5.00,4.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7279280,3.00,7.00,2.00,2.00,4.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7279310,1.00,3.00,0.00,6.00,5.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7279329,4.00,7.00,1.00,5.00,7.00,10.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7279337,5.00,7.00,2.00,8.00,9.00,9.38,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7279370,3.00,6.00,3.00,7.00,9.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7279388,1.00,0.00,1.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7279396,6.00,8.00,5.00,7.00,9.00,9.75,8.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7279400,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7279418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7279426,4.00,4.00,0.00,7.00,6.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7279434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7279442,6.00,8.00,2.00,7.00,6.00,9.38,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7279450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7279469,2.00,7.00,3.00,4.00,6.00,5.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7279485,3.00,8.00,3.00,5.00,5.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7279493,1.00,7.00,2.00,6.00,7.00,11.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7279515,0.00,3.00,1.00,1.00,5.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7279523,2.00,5.00,3.00,7.00,7.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7279531,0.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(28,7279558,3.00,5.00,1.00,6.00,8.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7279566,6.00,8.00,6.00,7.00,9.00,7.50,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7279574,2.00,4.00,3.00,0.00,5.00,7.13,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7279582,1.00,4.00,1.00,2.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7279590,3.00,5.00,4.00,5.00,4.00,9.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7279612,1.00,4.00,1.00,7.00,6.00,5.63,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7279620,6.00,7.00,3.00,6.00,8.00,7.50,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7279639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7279647,1.00,2.00,0.00,3.00,5.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7279655,4.00,3.00,1.00,7.00,6.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7279663,2.00,7.00,1.00,5.00,4.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7279671,4.00,6.00,3.00,6.00,6.00,8.25,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7279680,1.00,5.00,3.00,4.00,6.00,7.88,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7279698,3.00,6.00,3.00,6.00,6.00,8.63,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7279701,0.00,5.00,2.00,6.00,4.00,7.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7279710,2.00,4.00,1.00,5.00,6.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7279736,0.00,4.00,1.00,3.00,4.00,7.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7279744,3.00,6.00,3.00,5.00,7.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7279752,4.00,7.00,2.00,6.00,7.00,5.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7279760,6.00,8.00,1.00,7.00,9.00,9.38,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7279779,1.00,6.00,3.00,6.00,6.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7279809,4.00,5.00,0.00,7.00,6.00,6.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7279817,3.00,2.00,2.00,2.00,3.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7279825,0.00,2.00,3.00,3.00,5.00,8.25,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7279833,0.00,5.00,3.00,1.00,3.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7279841,5.00,8.00,3.00,7.00,9.00,8.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7279850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7279868,3.00,7.00,2.00,7.00,8.00,9.38,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7279876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7279884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7279892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7279914,4.00,7.00,2.00,4.00,6.00,5.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7279922,5.00,8.00,2.00,7.00,7.00,8.63,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7279930,0.00,2.00,0.00,6.00,2.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7279949,0.00,3.00,1.00,6.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7279957,2.00,7.00,2.00,7.00,4.00,10.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7279965,6.00,8.00,5.00,7.00,9.00,10.13,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7279973,2.00,4.00,2.00,0.00,4.00,5.25,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7279981,2.00,5.00,1.00,7.00,7.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7280009,1.00,5.00,3.00,4.00,6.00,8.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7280017,1.00,1.00,2.00,4.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7280025,0.00,4.00,1.00,3.00,5.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7280033,1.00,5.00,0.00,4.00,2.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7280041,2.00,7.00,2.00,5.00,9.00,10.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7280050,0.00,3.00,4.00,2.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7280068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7280076,6.00,5.00,3.00,5.00,5.00,10.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7280084,5.00,8.00,2.00,7.00,9.00,8.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7280092,3.00,8.00,4.00,7.00,5.00,10.50,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7280106,0.00,3.00,0.00,2.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7280114,4.00,8.00,0.00,6.00,9.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7280122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7280149,3.00,8.00,2.00,2.00,3.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7280157,2.00,6.00,1.00,3.00,3.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7280165,2.00,3.00,1.00,1.00,3.00,4.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7280181,3.00,3.00,2.00,4.00,6.00,7.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7280203,2.00,6.00,2.00,6.00,6.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7280211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7280220,2.00,5.00,1.00,7.00,6.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7280238,1.00,6.00,1.00,4.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7280246,0.00,2.00,2.00,3.00,3.00,4.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7280262,3.00,6.00,1.00,7.00,8.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7280270,4.00,8.00,5.00,7.00,10.00,11.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7280289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7280297,0.00,0.00,1.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7280300,0.00,3.00,1.00,3.00,4.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7280319,2.00,5.00,2.00,5.00,5.00,6.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7280327,4.00,6.00,3.00,3.00,4.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7280335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7280343,5.00,7.00,3.00,6.00,8.00,10.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7280360,0.00,7.00,3.00,7.00,5.00,9.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7280378,3.00,7.00,4.00,6.00,7.00,8.63,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7280386,6.00,7.00,3.00,5.00,6.00,8.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7280394,1.00,4.00,2.00,5.00,7.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7280408,1.00,5.00,3.00,5.00,8.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7280416,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7280424,2.00,6.00,2.00,7.00,7.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7280432,0.00,0.00,2.00,3.00,3.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7280440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7280459,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7280467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7280475,5.00,7.00,3.00,7.00,11.00,11.63,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7280491,1.00,8.00,1.00,8.00,7.00,8.25,5.00,8.00,3.00,NULL,NULL,NULL,'S'),(28,7280505,0.00,5.00,1.00,3.00,4.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7280513,2.00,8.00,2.00,7.00,7.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7280521,3.00,5.00,1.00,7.00,4.00,NULL,0.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7280530,0.00,3.00,0.00,6.00,6.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7280548,4.00,8.00,4.00,7.00,9.00,11.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7280556,4.00,5.00,1.00,6.00,5.00,6.75,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7280564,1.00,4.00,2.00,6.00,6.00,10.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7280572,2.00,5.00,0.00,7.00,4.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7280580,2.00,4.00,3.00,6.00,7.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7280599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7280602,2.00,7.00,2.00,6.00,8.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7280610,5.00,7.00,1.00,5.00,10.00,4.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7280629,0.00,0.00,4.00,3.00,4.00,NULL,3.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7280637,1.00,4.00,2.00,5.00,5.00,8.63,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7280645,2.00,4.00,1.00,6.00,4.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7280653,0.00,5.00,2.00,1.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7280661,3.00,7.00,4.00,7.00,5.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7280670,0.00,3.00,1.00,4.00,3.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7280688,1.00,5.00,3.00,5.00,6.00,8.63,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7280696,1.00,3.00,3.00,2.00,3.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7280700,1.00,3.00,2.00,0.00,5.00,4.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7280718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7280726,2.00,3.00,0.00,4.00,3.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7280734,0.00,2.00,1.00,4.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7280742,2.00,7.00,1.00,5.00,3.00,5.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7280750,4.00,5.00,2.00,5.00,9.00,10.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7280769,4.00,5.00,4.00,5.00,7.00,11.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7280785,0.00,2.00,0.00,1.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7280793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7280807,1.00,4.00,2.00,3.00,5.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7280815,3.00,7.00,1.00,7.00,7.00,10.88,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7280823,4.00,7.00,4.00,7.00,4.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7280831,5.00,5.00,4.00,7.00,6.00,10.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7280858,4.00,4.00,5.00,4.00,6.00,9.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7280866,1.00,5.00,2.00,3.00,5.00,6.38,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7280874,3.00,8.00,1.00,6.00,7.00,9.75,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7280882,3.00,7.00,3.00,6.00,5.00,10.50,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7280890,0.00,3.00,3.00,4.00,3.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7280904,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7280912,4.00,7.00,2.00,4.00,6.00,9.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7280920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7280939,2.00,6.00,1.00,5.00,7.00,8.63,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7280947,3.00,5.00,2.00,7.00,5.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7280963,0.00,2.00,2.00,2.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7280971,2.00,6.00,1.00,5.00,4.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7280980,2.00,5.00,2.00,6.00,6.00,7.88,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7280998,6.00,8.00,3.00,6.00,8.00,9.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7281005,4.00,5.00,2.00,7.00,8.00,9.75,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7281013,3.00,6.00,4.00,6.00,5.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7281021,3.00,8.00,1.00,1.00,7.00,7.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7281030,5.00,7.00,4.00,7.00,5.00,NULL,4.00,5.00,5.00,NULL,NULL,'S','S'),(28,7281048,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7281056,2.00,7.00,1.00,6.00,5.00,4.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7281064,1.00,3.00,0.00,1.00,4.00,7.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7281072,3.00,8.00,1.00,4.00,8.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7281080,1.00,4.00,2.00,4.00,4.00,6.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7281099,1.00,7.00,0.00,6.00,6.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7281102,2.00,5.00,2.00,4.00,5.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7281110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7281129,4.00,5.00,4.00,6.00,5.00,7.88,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7281137,2.00,7.00,6.00,7.00,6.00,NULL,3.00,5.00,1.00,NULL,NULL,'S','N'),(28,7281153,7.00,7.00,4.00,6.00,5.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7281170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7281188,1.00,4.00,2.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7281196,2.00,5.00,0.00,5.00,3.00,10.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7281200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7281226,0.00,3.00,2.00,5.00,8.00,10.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7281234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7281242,2.00,2.00,3.00,1.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7281269,0.00,3.00,0.00,1.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7281277,1.00,6.00,1.00,6.00,5.00,10.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7281285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7281293,1.00,5.00,2.00,2.00,6.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7281307,0.00,4.00,2.00,5.00,3.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7281315,2.00,7.00,3.00,7.00,5.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7281323,4.00,6.00,3.00,6.00,5.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7281331,1.00,5.00,1.00,4.00,5.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7281340,2.00,1.00,1.00,5.00,4.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7281358,2.00,4.00,2.00,5.00,5.00,10.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7281374,2.00,6.00,1.00,4.00,6.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7281382,4.00,8.00,1.00,6.00,10.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7281390,2.00,7.00,1.00,3.00,6.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7281404,3.00,3.00,1.00,3.00,1.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7281412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7281439,0.00,4.00,1.00,2.00,5.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7281447,4.00,7.00,1.00,5.00,3.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7281455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7281463,0.00,3.00,3.00,2.00,3.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7281480,4.00,7.00,3.00,4.00,7.00,7.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7281498,0.00,1.00,2.00,6.00,4.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7281501,2.00,5.00,1.00,6.00,4.00,7.13,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7281510,0.00,2.00,3.00,3.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7281528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7281536,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7281544,0.00,4.00,1.00,5.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7281552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7281560,5.00,7.00,4.00,7.00,7.00,6.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7281579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7281587,0.00,4.00,0.00,5.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7281595,1.00,5.00,2.00,5.00,5.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7281609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7281617,0.00,2.00,1.00,4.00,3.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7281625,2.00,4.00,2.00,2.00,4.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7281633,1.00,5.00,3.00,6.00,6.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7281641,1.00,4.00,1.00,5.00,5.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7281650,4.00,7.00,3.00,5.00,8.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7281668,0.00,1.00,2.00,3.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7281676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7281684,4.00,5.00,3.00,5.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7281692,1.00,2.00,2.00,3.00,4.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7281722,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7281730,5.00,5.00,4.00,7.00,7.00,8.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7281749,2.00,6.00,3.00,6.00,9.00,11.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7281757,0.00,2.00,1.00,2.00,3.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7281765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7281773,2.00,6.00,0.00,4.00,4.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7281781,6.00,7.00,5.00,7.00,8.00,10.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7281790,4.00,7.00,3.00,7.00,9.00,9.38,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7281803,3.00,7.00,1.00,5.00,7.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7281811,0.00,6.00,0.00,5.00,6.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7281820,1.00,6.00,3.00,4.00,6.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7281838,2.00,5.00,2.00,6.00,6.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7281846,3.00,7.00,2.00,4.00,9.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7281854,2.00,7.00,1.00,6.00,8.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7281862,2.00,2.00,2.00,3.00,6.00,NULL,2.00,5.00,2.00,NULL,NULL,'S','S'),(28,7281870,1.00,2.00,1.00,2.00,5.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7281889,3.00,5.00,2.00,5.00,3.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7281897,3.00,3.00,1.00,5.00,4.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7281900,2.00,5.00,2.00,3.00,6.00,5.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7281919,2.00,4.00,3.00,7.00,8.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7281935,2.00,3.00,3.00,0.00,5.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7281943,4.00,8.00,2.00,6.00,7.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7281951,4.00,6.00,3.00,6.00,6.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7281978,2.00,6.00,4.00,6.00,4.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7281994,2.00,4.00,3.00,2.00,4.00,9.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7282001,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7282010,4.00,6.00,4.00,6.00,8.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7282028,3.00,4.00,1.00,6.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7282036,0.00,3.00,2.00,3.00,3.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7282044,3.00,5.00,2.00,7.00,5.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7282052,3.00,8.00,0.00,6.00,7.00,10.13,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7282060,0.00,1.00,0.00,3.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7282079,0.00,1.00,2.00,6.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7282087,4.00,6.00,2.00,6.00,6.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7282095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7282109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7282117,4.00,5.00,2.00,5.00,4.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7282141,2.00,3.00,2.00,4.00,3.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7282150,1.00,5.00,1.00,3.00,3.00,5.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7282168,0.00,3.00,1.00,4.00,3.00,6.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7282176,2.00,4.00,2.00,4.00,4.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7282184,4.00,7.00,1.00,4.00,5.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7282192,5.00,7.00,4.00,7.00,8.00,9.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7282206,1.00,3.00,3.00,2.00,4.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7282214,2.00,9.00,1.00,6.00,7.00,8.63,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7282230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7282249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7282257,5.00,8.00,4.00,6.00,5.00,6.38,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7282265,0.00,5.00,4.00,6.00,7.00,7.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7282273,3.00,5.00,2.00,4.00,7.00,7.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7282281,1.00,7.00,2.00,4.00,8.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7282290,3.00,5.00,1.00,6.00,5.00,10.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7282303,4.00,6.00,1.00,6.00,8.00,8.63,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7282311,2.00,5.00,6.00,5.00,4.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7282320,0.00,4.00,2.00,4.00,4.00,7.13,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7282338,0.00,3.00,3.00,5.00,5.00,NULL,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7282346,0.00,3.00,1.00,1.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7282354,4.00,7.00,2.00,7.00,3.00,5.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7282362,4.00,5.00,2.00,4.00,5.00,4.50,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7282370,2.00,4.00,3.00,5.00,8.00,5.63,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7282389,1.00,5.00,0.00,4.00,4.00,4.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7282397,0.00,2.00,1.00,6.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7282400,2.00,5.00,2.00,3.00,2.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7282427,2.00,6.00,3.00,6.00,7.00,7.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7282435,2.00,6.00,1.00,7.00,5.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7282443,4.00,7.00,0.00,4.00,5.00,6.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7282451,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7282460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7282478,2.00,5.00,2.00,4.00,4.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7282494,4.00,6.00,1.00,6.00,8.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7282508,8.00,8.00,3.00,7.00,7.00,11.63,8.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7282532,1.00,4.00,3.00,5.00,4.00,7.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7282540,2.00,6.00,0.00,5.00,6.00,10.50,4.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7282559,7.00,7.00,3.00,4.00,6.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7282567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7282575,2.00,7.00,4.00,0.00,3.00,8.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7282591,4.00,5.00,1.00,5.00,7.00,9.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7282605,0.00,1.00,3.00,5.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7282613,2.00,6.00,3.00,7.00,7.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7282621,3.00,7.00,3.00,7.00,6.00,6.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7282630,2.00,6.00,3.00,7.00,5.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7282648,5.00,7.00,2.00,5.00,5.00,11.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7282656,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7282664,4.00,5.00,5.00,6.00,7.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7282672,3.00,4.00,2.00,1.00,3.00,6.00,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7282680,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7282699,0.00,2.00,3.00,7.00,2.00,NULL,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7282702,4.00,7.00,1.00,7.00,8.00,6.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7282710,2.00,5.00,1.00,4.00,7.00,7.50,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7282729,1.00,8.00,4.00,6.00,8.00,9.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7282737,5.00,8.00,3.00,7.00,8.00,9.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7282753,0.00,2.00,1.00,2.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7282761,4.00,7.00,3.00,6.00,7.00,9.38,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7282770,1.00,5.00,2.00,5.00,6.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7282788,0.00,5.00,1.00,5.00,4.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7282796,4.00,4.00,1.00,6.00,8.00,5.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7282800,0.00,3.00,0.00,2.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7282818,5.00,7.00,2.00,5.00,9.00,8.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7282826,5.00,5.00,2.00,5.00,6.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7282834,3.00,7.00,1.00,6.00,3.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7282842,4.00,7.00,1.00,7.00,8.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7282850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7282877,4.00,3.00,2.00,5.00,8.00,9.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7282885,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7282893,2.00,7.00,3.00,6.00,5.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7282907,4.00,8.00,2.00,6.00,8.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7282915,2.00,8.00,5.00,6.00,7.00,9.38,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7282966,0.00,3.00,3.00,4.00,5.00,6.38,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7282974,1.00,4.00,1.00,6.00,5.00,9.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7282982,4.00,7.00,2.00,6.00,7.00,10.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7282990,4.00,5.00,2.00,6.00,7.00,6.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7283008,4.00,7.00,5.00,4.00,6.00,9.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7283016,2.00,4.00,2.00,2.00,3.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7283024,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7283032,4.00,7.00,3.00,7.00,9.00,12.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7283059,1.00,7.00,1.00,8.00,5.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7283067,4.00,5.00,4.00,7.00,7.00,8.25,8.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7283075,1.00,0.00,0.00,1.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7283091,0.00,3.00,2.00,2.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7283113,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7283121,1.00,6.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7283130,0.00,4.00,0.00,5.00,6.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7283148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7283156,5.00,6.00,3.00,7.00,7.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7283164,5.00,7.00,3.00,5.00,7.00,11.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7283172,1.00,4.00,1.00,6.00,4.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7283180,1.00,6.00,3.00,5.00,3.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7283199,4.00,6.00,1.00,5.00,6.00,8.63,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7283202,4.00,8.00,4.00,7.00,6.00,6.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7283210,2.00,6.00,1.00,3.00,7.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7283229,3.00,5.00,0.00,6.00,6.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'S'),(28,7283237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7283245,3.00,6.00,2.00,7.00,4.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7283261,0.00,4.00,1.00,5.00,5.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7283270,2.00,6.00,2.00,7.00,6.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7283288,1.00,3.00,1.00,2.00,5.00,4.50,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7283296,3.00,6.00,3.00,5.00,5.00,7.50,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7283300,0.00,4.00,2.00,6.00,7.00,6.38,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7283318,3.00,5.00,0.00,6.00,4.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7283326,4.00,6.00,2.00,5.00,8.00,9.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7283334,0.00,6.00,2.00,6.00,5.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7283342,2.00,9.00,3.00,4.00,9.00,6.75,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7283350,2.00,5.00,1.00,3.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7283369,5.00,7.00,5.00,7.00,8.00,5.25,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7283377,4.00,2.00,3.00,3.00,3.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7283385,0.00,1.00,2.00,4.00,4.00,4.88,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7283393,0.00,2.00,4.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7283407,1.00,3.00,0.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7283415,4.00,6.00,1.00,7.00,4.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7283423,4.00,7.00,2.00,6.00,8.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7283440,3.00,6.00,3.00,3.00,7.00,7.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7283458,3.00,7.00,5.00,7.00,7.00,10.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7283466,4.00,4.00,1.00,3.00,1.00,NULL,0.00,4.00,1.00,NULL,NULL,'S','N'),(28,7283482,0.00,4.00,1.00,5.00,4.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7283504,1.00,5.00,1.00,6.00,5.00,8.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7283512,3.00,7.00,1.00,5.00,8.00,8.25,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7283520,3.00,7.00,2.00,6.00,10.00,12.75,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7283539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7283547,2.00,6.00,3.00,3.00,5.00,5.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7283555,1.00,3.00,2.00,4.00,7.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7283563,6.00,7.00,4.00,7.00,6.00,9.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7283571,0.00,5.00,2.00,3.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7283580,0.00,4.00,0.00,4.00,4.00,7.13,4.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7283598,2.00,6.00,1.00,4.00,4.00,NULL,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7283601,1.00,5.00,3.00,4.00,8.00,11.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7283610,2.00,5.00,3.00,6.00,5.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7283628,3.00,5.00,0.00,4.00,2.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7283636,0.00,6.00,1.00,6.00,3.00,10.88,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7283644,0.00,2.00,2.00,1.00,5.00,4.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7283652,5.00,6.00,1.00,5.00,10.00,11.63,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7283660,3.00,5.00,3.00,4.00,7.00,7.88,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7283679,1.00,4.00,1.00,3.00,8.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7283695,2.00,7.00,1.00,6.00,6.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7283709,4.00,7.00,3.00,5.00,3.00,6.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7283717,4.00,8.00,3.00,7.00,8.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7283725,5.00,8.00,3.00,7.00,9.00,9.38,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7283733,1.00,4.00,1.00,1.00,3.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7283741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7283750,3.00,7.00,1.00,5.00,8.00,12.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7283768,1.00,4.00,2.00,3.00,0.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7283776,0.00,4.00,3.00,5.00,5.00,5.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7283784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7283792,1.00,4.00,3.00,5.00,5.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7283806,2.00,2.00,1.00,3.00,1.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7283814,5.00,8.00,3.00,7.00,6.00,7.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7283822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7283830,1.00,5.00,1.00,4.00,4.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7283849,2.00,5.00,2.00,5.00,4.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7283873,2.00,6.00,2.00,5.00,8.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7283881,0.00,2.00,2.00,3.00,3.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7283890,0.00,4.00,3.00,6.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7283903,2.00,6.00,4.00,5.00,7.00,10.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7283911,6.00,7.00,3.00,5.00,8.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7283920,1.00,5.00,2.00,2.00,3.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7283938,0.00,4.00,4.00,4.00,7.00,4.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7283946,2.00,4.00,2.00,3.00,3.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7283954,2.00,7.00,1.00,1.00,5.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7283962,4.00,7.00,2.00,7.00,6.00,12.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7283970,0.00,3.00,1.00,6.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7283989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7283997,5.00,8.00,5.00,6.00,10.00,7.50,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7284012,7.00,8.00,7.00,7.00,9.00,10.88,9.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7284039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7284047,5.00,6.00,2.00,6.00,6.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7284055,0.00,1.00,2.00,3.00,4.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7284063,4.00,6.00,0.00,7.00,7.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7284071,7.00,8.00,4.00,7.00,9.00,14.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7284080,4.00,7.00,2.00,7.00,9.00,7.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7284098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7284101,3.00,6.00,1.00,5.00,4.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7284128,0.00,8.00,0.00,0.00,0.00,NULL,5.00,8.00,6.00,'S',NULL,NULL,'S'),(28,7284144,3.00,5.00,1.00,7.00,4.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7284152,0.00,2.00,2.00,5.00,3.00,4.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7284160,4.00,3.00,3.00,4.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7284179,0.00,6.00,3.00,8.00,8.00,8.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7284187,5.00,6.00,3.00,6.00,8.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7284195,2.00,7.00,2.00,3.00,4.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7284209,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7284233,1.00,5.00,4.00,3.00,5.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7284241,0.00,2.00,1.00,3.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7284250,1.00,6.00,2.00,6.00,6.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7284268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7284284,0.00,5.00,1.00,5.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7284306,0.00,5.00,3.00,6.00,5.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7284314,1.00,5.00,2.00,4.00,7.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7284322,0.00,4.00,2.00,4.00,6.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7284330,4.00,5.00,2.00,6.00,9.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7284349,1.00,5.00,3.00,5.00,7.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7284357,3.00,6.00,2.00,7.00,8.00,9.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7284373,4.00,8.00,3.00,5.00,7.00,9.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7284381,1.00,6.00,0.00,6.00,6.00,6.00,0.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7284403,2.00,5.00,2.00,7.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7284411,0.00,3.00,3.00,1.00,3.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7284420,2.00,7.00,3.00,7.00,4.00,5.63,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7284438,1.00,7.00,0.00,4.00,1.00,NULL,1.00,4.00,5.00,NULL,NULL,NULL,'S'),(28,7284446,2.00,7.00,3.00,6.00,9.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7284454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7284462,0.00,5.00,5.00,5.00,5.00,6.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7284470,5.00,8.00,5.00,6.00,7.00,10.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7284497,0.00,4.00,5.00,6.00,4.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7284500,3.00,4.00,1.00,6.00,8.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7284519,1.00,4.00,3.00,5.00,6.00,8.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7284527,5.00,4.00,3.00,7.00,4.00,10.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7284535,3.00,7.00,2.00,5.00,6.00,10.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7284543,4.00,4.00,2.00,6.00,9.00,8.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7284551,1.00,5.00,1.00,5.00,6.00,7.13,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7284586,7.00,7.00,1.00,8.00,9.00,9.00,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7284594,1.00,2.00,2.00,4.00,3.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7284608,4.00,7.00,3.00,7.00,6.00,9.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7284616,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7284624,5.00,6.00,3.00,6.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7284632,3.00,3.00,1.00,5.00,5.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7284659,2.00,6.00,2.00,5.00,6.00,9.75,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7284667,2.00,5.00,4.00,6.00,5.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7284675,2.00,4.00,3.00,8.00,9.00,6.38,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7284683,1.00,8.00,5.00,4.00,8.00,7.88,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7284705,4.00,8.00,2.00,5.00,9.00,7.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7284713,5.00,7.00,3.00,7.00,8.00,10.13,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7284721,2.00,7.00,1.00,3.00,6.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7284730,1.00,6.00,4.00,2.00,3.00,5.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7284748,1.00,7.00,4.00,6.00,6.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7284764,2.00,7.00,3.00,7.00,10.00,9.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7284772,1.00,7.00,2.00,7.00,7.00,6.00,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7284780,2.00,8.00,4.00,3.00,6.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7284802,0.00,6.00,0.00,0.00,0.00,NULL,1.00,3.00,4.00,'S',NULL,'S','N'),(28,7284810,3.00,8.00,2.00,7.00,9.00,10.13,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7284837,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7284845,5.00,5.00,0.00,7.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7284853,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7284861,1.00,5.00,0.00,6.00,6.00,9.75,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7284870,3.00,6.00,4.00,5.00,6.00,5.63,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7284888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7284896,3.00,8.00,1.00,6.00,7.00,13.50,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7284918,2.00,3.00,2.00,4.00,4.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7284934,1.00,2.00,0.00,6.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7284950,1.00,4.00,2.00,4.00,4.00,7.50,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7284977,0.00,2.00,1.00,2.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7284985,2.00,6.00,4.00,3.00,6.00,6.38,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7284993,4.00,8.00,4.00,6.00,8.00,10.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7285000,1.00,4.00,3.00,5.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7285035,4.00,7.00,1.00,4.00,3.00,9.75,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7285043,1.00,2.00,1.00,3.00,1.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7285051,0.00,1.00,2.00,3.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7285060,2.00,9.00,0.00,7.00,7.00,NULL,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7285086,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7285094,0.00,5.00,4.00,6.00,7.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7285108,2.00,5.00,2.00,6.00,7.00,11.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7285116,3.00,4.00,2.00,6.00,6.00,8.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7285124,0.00,2.00,2.00,4.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7285132,3.00,7.00,1.00,5.00,4.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7285159,2.00,7.00,2.00,4.00,6.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7285167,6.00,7.00,6.00,6.00,8.00,10.13,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7285175,0.00,5.00,2.00,2.00,7.00,8.25,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7285183,2.00,3.00,0.00,2.00,4.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7285191,2.00,7.00,1.00,6.00,6.00,NULL,3.00,5.00,4.00,NULL,NULL,'S','N'),(28,7285205,4.00,3.00,1.00,7.00,6.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7285213,1.00,3.00,3.00,4.00,3.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7285221,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7285256,2.00,8.00,4.00,6.00,8.00,12.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7285264,0.00,5.00,2.00,4.00,2.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7285272,0.00,1.00,2.00,5.00,3.00,3.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7285280,3.00,7.00,2.00,6.00,6.00,10.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7285299,2.00,4.00,1.00,1.00,5.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7285302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7285310,2.00,5.00,5.00,4.00,9.00,8.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7285329,0.00,4.00,3.00,1.00,3.00,4.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7285337,2.00,6.00,1.00,6.00,5.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7285353,4.00,5.00,2.00,4.00,3.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7285361,2.00,0.00,2.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7285370,6.00,7.00,3.00,5.00,9.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7285388,4.00,6.00,3.00,5.00,6.00,10.13,7.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7285400,1.00,4.00,1.00,6.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7285418,3.00,4.00,2.00,5.00,5.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7285434,3.00,3.00,2.00,4.00,4.00,0.00,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7285442,5.00,7.00,3.00,7.00,9.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7285469,0.00,3.00,0.00,1.00,3.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7285477,4.00,6.00,2.00,6.00,5.00,6.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7285485,0.00,2.00,2.00,7.00,7.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7285493,1.00,3.00,2.00,5.00,4.00,5.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7285507,5.00,8.00,3.00,6.00,7.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7285523,2.00,6.00,1.00,7.00,7.00,7.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7285531,1.00,7.00,1.00,6.00,4.00,5.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7285582,1.00,1.00,1.00,5.00,3.00,5.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7285590,1.00,4.00,2.00,7.00,6.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7285604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7285612,0.00,4.00,1.00,6.00,5.00,8.63,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7285620,3.00,7.00,1.00,5.00,5.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7285647,3.00,7.00,1.00,6.00,6.00,8.25,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7285655,0.00,2.00,1.00,3.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7285663,2.00,4.00,3.00,5.00,3.00,5.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7285671,3.00,7.00,2.00,5.00,5.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7285698,1.00,2.00,3.00,1.00,4.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7285710,0.00,4.00,1.00,1.00,4.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7285728,1.00,4.00,2.00,4.00,6.00,5.63,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7285744,1.00,5.00,1.00,4.00,3.00,5.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7285752,1.00,4.00,1.00,3.00,3.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7285760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7285779,6.00,7.00,5.00,6.00,9.00,8.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7285787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7285795,3.00,8.00,2.00,6.00,7.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7285809,2.00,4.00,2.00,6.00,5.00,0.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7285817,1.00,4.00,1.00,5.00,4.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7285825,2.00,4.00,1.00,5.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7285833,3.00,7.00,1.00,5.00,7.00,10.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7285841,3.00,0.00,1.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7285850,3.00,6.00,3.00,3.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7285868,1.00,8.00,4.00,6.00,6.00,7.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7285876,3.00,6.00,1.00,6.00,6.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7285892,1.00,5.00,3.00,4.00,5.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7285906,1.00,6.00,1.00,2.00,3.00,8.25,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7285914,3.00,3.00,2.00,6.00,4.00,6.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7285922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7285930,2.00,2.00,1.00,3.00,6.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7285949,5.00,6.00,1.00,5.00,6.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7285957,2.00,6.00,2.00,5.00,7.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7285965,3.00,4.00,3.00,5.00,4.00,10.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7285973,1.00,7.00,1.00,4.00,4.00,7.13,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7285990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7286007,6.00,8.00,1.00,5.00,4.00,7.88,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7286015,7.00,9.00,3.00,7.00,7.00,7.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7286023,6.00,8.00,2.00,5.00,10.00,11.63,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7286031,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7286040,1.00,6.00,2.00,4.00,4.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7286066,1.00,3.00,0.00,5.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7286112,4.00,7.00,4.00,4.00,9.00,7.88,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7286120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7286139,2.00,4.00,2.00,5.00,4.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7286147,2.00,6.00,1.00,5.00,7.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7286155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7286163,2.00,1.00,4.00,3.00,3.00,7.50,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7286171,1.00,5.00,3.00,6.00,4.00,7.13,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7286180,1.00,5.00,1.00,4.00,3.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7286198,0.00,7.00,2.00,6.00,8.00,9.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7286201,3.00,5.00,2.00,6.00,8.00,7.88,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7286210,3.00,0.00,2.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7286228,0.00,3.00,3.00,5.00,5.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7286236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7286244,1.00,8.00,3.00,6.00,6.00,7.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7286252,4.00,8.00,1.00,3.00,8.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7286279,3.00,8.00,1.00,6.00,5.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7286287,3.00,6.00,3.00,7.00,6.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7286295,2.00,7.00,2.00,6.00,6.00,12.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7286309,4.00,7.00,1.00,3.00,9.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7286325,5.00,7.00,5.00,7.00,8.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7286333,2.00,0.00,0.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7286341,4.00,8.00,1.00,7.00,8.00,9.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7286350,0.00,3.00,2.00,5.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7286368,1.00,6.00,4.00,7.00,4.00,7.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7286376,2.00,5.00,2.00,5.00,6.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7286392,3.00,4.00,2.00,4.00,5.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7286406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7286414,0.00,5.00,2.00,2.00,7.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7286422,3.00,7.00,2.00,6.00,6.00,9.00,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7286430,1.00,4.00,2.00,5.00,7.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7286457,3.00,7.00,3.00,6.00,7.00,6.38,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7286465,3.00,8.00,2.00,6.00,10.00,10.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7286473,3.00,3.00,0.00,6.00,4.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7286490,0.00,3.00,2.00,4.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7286511,4.00,7.00,2.00,5.00,7.00,6.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7286538,4.00,4.00,2.00,5.00,7.00,9.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7286546,1.00,3.00,1.00,5.00,4.00,5.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7286554,0.00,5.00,0.00,3.00,6.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7286562,3.00,5.00,1.00,4.00,4.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7286570,0.00,3.00,2.00,2.00,3.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7286589,3.00,6.00,1.00,7.00,8.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7286597,3.00,5.00,1.00,5.00,6.00,4.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7286600,0.00,3.00,2.00,3.00,4.00,4.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7286619,2.00,4.00,1.00,3.00,4.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7286627,3.00,6.00,2.00,6.00,6.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7286643,4.00,8.00,3.00,8.00,7.00,8.63,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7286651,2.00,6.00,2.00,7.00,10.00,6.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7286660,2.00,5.00,2.00,5.00,6.00,5.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7286686,1.00,0.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7286694,3.00,7.00,1.00,5.00,9.00,12.38,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7286708,2.00,4.00,1.00,5.00,4.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7286724,1.00,4.00,1.00,3.00,4.00,5.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7286732,2.00,5.00,2.00,5.00,3.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7286740,0.00,0.00,3.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7286767,4.00,7.00,4.00,6.00,6.00,4.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7286775,7.00,7.00,5.00,5.00,6.00,7.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7286783,0.00,5.00,1.00,6.00,8.00,11.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7286791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7286805,2.00,4.00,1.00,6.00,4.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7286813,1.00,3.00,1.00,7.00,5.00,5.63,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7286821,1.00,3.00,4.00,5.00,4.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7286830,3.00,5.00,2.00,5.00,7.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7286856,7.00,7.00,2.00,6.00,8.00,9.00,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7286880,0.00,0.00,4.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7286899,2.00,4.00,2.00,2.00,6.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7286902,4.00,5.00,2.00,6.00,6.00,8.25,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7286910,3.00,7.00,4.00,6.00,9.00,10.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7286929,1.00,7.00,2.00,5.00,7.00,10.13,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7286937,0.00,2.00,2.00,5.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7286945,2.00,7.00,3.00,5.00,5.00,8.63,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7286953,3.00,4.00,2.00,2.00,5.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7286961,8.00,7.00,5.00,7.00,9.00,9.38,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7286970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7286996,2.00,6.00,0.00,4.00,8.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7287003,2.00,5.00,3.00,5.00,6.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7287011,0.00,3.00,4.00,3.00,0.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7287020,1.00,2.00,3.00,2.00,5.00,9.38,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7287038,5.00,6.00,2.00,4.00,7.00,10.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7287046,2.00,5.00,4.00,7.00,4.00,9.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7287054,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7287062,3.00,7.00,2.00,6.00,9.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7287089,4.00,8.00,3.00,7.00,5.00,8.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7287097,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7287100,3.00,8.00,3.00,7.00,8.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7287119,2.00,4.00,2.00,4.00,8.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7287127,3.00,2.00,2.00,5.00,5.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7287151,5.00,7.00,2.00,6.00,7.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7287160,0.00,3.00,0.00,2.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7287178,2.00,6.00,1.00,6.00,5.00,7.88,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7287186,5.00,9.00,1.00,6.00,10.00,10.13,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7287194,1.00,3.00,2.00,5.00,5.00,7.50,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7287208,4.00,7.00,1.00,5.00,9.00,10.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7287232,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7287240,1.00,0.00,1.00,1.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7287259,4.00,7.00,4.00,6.00,6.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7287267,5.00,8.00,5.00,5.00,7.00,8.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7287275,3.00,6.00,5.00,6.00,8.00,9.75,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7287283,2.00,7.00,2.00,6.00,7.00,8.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7287291,1.00,2.00,2.00,4.00,6.00,7.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7287305,3.00,2.00,1.00,2.00,3.00,6.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7287313,5.00,4.00,2.00,4.00,4.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7287321,0.00,4.00,2.00,4.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7287330,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7287348,0.00,4.00,0.00,2.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7287356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7287364,4.00,7.00,4.00,7.00,7.00,10.13,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7287372,4.00,6.00,4.00,5.00,6.00,5.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7287380,2.00,6.00,3.00,5.00,8.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7287399,0.00,4.00,3.00,2.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7287410,1.00,5.00,2.00,4.00,5.00,4.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7287429,6.00,8.00,4.00,6.00,8.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7287437,3.00,7.00,3.00,5.00,7.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7287461,1.00,3.00,2.00,2.00,3.00,4.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7287488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7287496,3.00,6.00,3.00,3.00,5.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7287500,4.00,7.00,2.00,5.00,6.00,7.50,5.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7287526,1.00,4.00,1.00,3.00,8.00,8.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7287534,1.00,0.00,2.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7287542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7287550,0.00,5.00,3.00,4.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7287585,0.00,7.00,2.00,4.00,6.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7287593,1.00,4.00,1.00,6.00,5.00,6.00,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7287615,1.00,5.00,2.00,7.00,6.00,10.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7287623,3.00,6.00,3.00,6.00,6.00,7.88,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7287631,1.00,5.00,1.00,7.00,6.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7287640,0.00,5.00,2.00,3.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7287658,2.00,8.00,2.00,7.00,8.00,9.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7287666,6.00,8.00,3.00,7.00,9.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7287674,4.00,7.00,3.00,6.00,6.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7287682,0.00,7.00,2.00,5.00,6.00,6.75,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7287690,1.00,6.00,0.00,6.00,7.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7287704,0.00,3.00,1.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7287712,1.00,4.00,1.00,3.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7287720,4.00,8.00,2.00,7.00,7.00,12.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7287747,4.00,8.00,2.00,6.00,8.00,10.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7287755,0.00,3.00,1.00,5.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7287763,2.00,4.00,0.00,3.00,8.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7287771,2.00,4.00,0.00,4.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7287798,0.00,2.00,1.00,2.00,5.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7287810,3.00,6.00,4.00,6.00,6.00,10.13,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7287828,2.00,2.00,2.00,2.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7287836,4.00,6.00,3.00,5.00,7.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7287844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7287852,2.00,2.00,1.00,5.00,6.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7287860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7287879,2.00,1.00,3.00,4.00,3.00,5.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7287887,7.00,8.00,4.00,6.00,10.00,8.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7287895,4.00,8.00,2.00,5.00,8.00,9.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7287909,2.00,3.00,4.00,3.00,6.00,5.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7287917,1.00,6.00,1.00,5.00,7.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7287925,1.00,5.00,0.00,2.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7287933,1.00,4.00,1.00,2.00,4.00,6.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7287941,5.00,3.00,2.00,6.00,7.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7287950,2.00,8.00,2.00,7.00,5.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7287968,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7287976,1.00,4.00,3.00,4.00,5.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7287984,0.00,2.00,2.00,1.00,4.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7288000,4.00,0.00,6.00,7.00,10.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7288018,2.00,5.00,2.00,7.00,4.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7288026,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7288034,2.00,5.00,0.00,6.00,6.00,9.00,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7288042,4.00,5.00,4.00,7.00,7.00,6.38,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7288069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7288077,5.00,8.00,4.00,6.00,8.00,10.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7288085,3.00,6.00,2.00,6.00,5.00,6.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7288093,5.00,7.00,2.00,5.00,9.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7288107,7.00,7.00,4.00,7.00,10.00,10.88,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7288115,2.00,5.00,2.00,3.00,10.00,10.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7288140,0.00,5.00,1.00,3.00,3.00,6.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7288166,0.00,2.00,1.00,3.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7288174,1.00,3.00,2.00,3.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7288190,0.00,3.00,2.00,1.00,4.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7288220,0.00,3.00,3.00,5.00,3.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7288239,0.00,3.00,0.00,0.00,0.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7288247,6.00,7.00,3.00,5.00,5.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7288255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7288263,0.00,3.00,2.00,5.00,4.00,5.63,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7288271,2.00,7.00,4.00,3.00,8.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7288280,8.00,8.00,6.00,7.00,9.00,8.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7288298,2.00,4.00,3.00,2.00,3.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7288310,4.00,7.00,3.00,5.00,6.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7288328,4.00,6.00,2.00,6.00,3.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7288336,2.00,9.00,2.00,3.00,4.00,8.63,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7288344,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7288352,2.00,7.00,3.00,5.00,4.00,6.38,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7288379,3.00,3.00,2.00,4.00,4.00,7.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7288395,4.00,4.00,3.00,5.00,4.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7288417,2.00,3.00,1.00,2.00,4.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7288425,5.00,5.00,4.00,5.00,5.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7288433,3.00,4.00,1.00,1.00,4.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7288441,2.00,5.00,3.00,5.00,6.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7288450,3.00,6.00,3.00,5.00,5.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7288476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7288484,3.00,6.00,2.00,3.00,4.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7288492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7288506,3.00,7.00,1.00,6.00,5.00,9.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7288522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7288530,2.00,5.00,1.00,3.00,4.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7288549,5.00,8.00,3.00,6.00,9.00,7.88,7.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7288557,4.00,8.00,4.00,5.00,8.00,9.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7288565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7288573,1.00,4.00,0.00,5.00,4.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7288590,0.00,5.00,2.00,3.00,6.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7288603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7288611,2.00,7.00,4.00,6.00,5.00,7.88,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7288620,1.00,3.00,4.00,7.00,4.00,7.88,1.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7288638,3.00,6.00,3.00,5.00,6.00,10.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7288654,2.00,6.00,2.00,5.00,5.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7288662,0.00,4.00,1.00,1.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7288670,3.00,4.00,0.00,4.00,5.00,7.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7288689,2.00,7.00,4.00,6.00,7.00,8.63,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7288700,2.00,7.00,3.00,6.00,6.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7288719,0.00,4.00,4.00,3.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7288735,6.00,7.00,1.00,6.00,6.00,10.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7288743,6.00,8.00,3.00,7.00,7.00,11.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7288751,7.00,9.00,4.00,7.00,10.00,9.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7288760,1.00,6.00,2.00,2.00,4.00,4.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7288778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7288786,3.00,8.00,0.00,6.00,6.00,5.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7288794,0.00,2.00,1.00,4.00,5.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7288808,1.00,5.00,1.00,6.00,7.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7288816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7288824,1.00,5.00,2.00,6.00,7.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7288832,1.00,2.00,2.00,4.00,5.00,8.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7288840,0.00,5.00,1.00,3.00,4.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7288859,3.00,5.00,0.00,4.00,7.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7288875,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7288883,6.00,8.00,3.00,5.00,8.00,9.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7288891,2.00,5.00,2.00,6.00,4.00,7.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7288905,5.00,6.00,2.00,7.00,9.00,9.38,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7288913,3.00,7.00,4.00,6.00,7.00,10.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7288921,2.00,8.00,0.00,1.00,7.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7288930,0.00,4.00,0.00,3.00,3.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7288948,5.00,9.00,1.00,7.00,9.00,10.13,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7288956,0.00,2.00,2.00,2.00,4.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7288964,4.00,6.00,1.00,6.00,6.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7288972,5.00,5.00,1.00,6.00,3.00,8.63,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7288980,5.00,8.00,3.00,7.00,6.00,9.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7288999,0.00,5.00,1.00,4.00,2.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7289006,3.00,5.00,2.00,5.00,4.00,5.63,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7289014,1.00,5.00,0.00,5.00,5.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7289030,6.00,7.00,5.00,6.00,4.00,12.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7289057,3.00,8.00,4.00,6.00,4.00,9.38,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7289065,4.00,8.00,1.00,7.00,8.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7289073,0.00,3.00,2.00,1.00,3.00,3.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7289090,5.00,8.00,3.00,6.00,9.00,8.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7289103,0.00,3.00,2.00,1.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7289111,1.00,2.00,3.00,1.00,4.00,4.88,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7289120,1.00,2.00,0.00,5.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7289138,4.00,5.00,4.00,4.00,5.00,12.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7289146,4.00,6.00,2.00,7.00,7.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7289154,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7289162,0.00,4.00,0.00,5.00,5.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7289170,1.00,4.00,3.00,5.00,7.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7289200,2.00,3.00,3.00,7.00,7.00,10.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7289219,5.00,5.00,1.00,6.00,6.00,7.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7289227,1.00,4.00,2.00,5.00,3.00,5.63,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7289235,3.00,6.00,3.00,5.00,8.00,8.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7289251,0.00,5.00,1.00,3.00,3.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7289286,1.00,4.00,2.00,6.00,4.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7289294,0.00,3.00,0.00,3.00,3.00,4.50,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7289316,4.00,5.00,2.00,4.00,7.00,10.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7289324,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7289340,3.00,6.00,4.00,6.00,7.00,7.13,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7289359,1.00,4.00,2.00,5.00,4.00,8.25,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7289367,5.00,6.00,1.00,5.00,8.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7289375,7.00,7.00,1.00,7.00,8.00,10.88,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7289391,2.00,8.00,1.00,6.00,7.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7289413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7289421,2.00,5.00,0.00,5.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7289430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7289448,4.00,8.00,4.00,5.00,7.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7289464,3.00,5.00,3.00,4.00,4.00,7.50,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7289472,5.00,7.00,3.00,7.00,9.00,10.13,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7289480,4.00,6.00,0.00,6.00,5.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7289502,3.00,2.00,4.00,4.00,4.00,8.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7289510,4.00,5.00,3.00,5.00,5.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7289529,4.00,4.00,2.00,6.00,3.00,4.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7289537,2.00,8.00,0.00,5.00,7.00,8.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7289545,5.00,7.00,1.00,5.00,9.00,12.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7289553,0.00,8.00,0.00,0.00,0.00,NULL,6.00,7.00,6.00,'S',NULL,NULL,'N'),(28,7289570,2.00,6.00,0.00,6.00,6.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7289588,3.00,4.00,1.00,4.00,2.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7289600,4.00,6.00,1.00,5.00,7.00,8.63,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7289618,1.00,7.00,3.00,7.00,6.00,12.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7289634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7289642,1.00,5.00,3.00,5.00,8.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7289650,1.00,4.00,0.00,5.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7289677,4.00,6.00,1.00,6.00,4.00,0.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7289693,3.00,6.00,2.00,3.00,5.00,7.88,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7289707,4.00,5.00,4.00,4.00,8.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7289715,7.00,8.00,4.00,7.00,10.00,10.13,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7289723,2.00,8.00,5.00,7.00,4.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7289731,5.00,8.00,1.00,7.00,7.00,10.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7289758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7289774,3.00,5.00,1.00,5.00,6.00,6.38,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7289782,3.00,6.00,3.00,7.00,7.00,6.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7289790,3.00,7.00,2.00,5.00,6.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7289812,3.00,6.00,4.00,7.00,7.00,6.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7289839,4.00,7.00,0.00,7.00,7.00,8.63,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7289847,5.00,6.00,3.00,7.00,7.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7289855,6.00,6.00,4.00,5.00,5.00,6.00,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7289863,0.00,6.00,1.00,6.00,7.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7289871,2.00,3.00,2.00,4.00,4.00,5.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7289880,9.00,8.00,3.00,8.00,10.00,9.38,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7289898,2.00,5.00,0.00,5.00,3.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7289901,1.00,5.00,4.00,4.00,5.00,7.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7289910,0.00,7.00,1.00,6.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7289928,4.00,7.00,1.00,6.00,8.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7289936,2.00,4.00,1.00,5.00,7.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7289944,2.00,4.00,1.00,3.00,8.00,7.88,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7289952,0.00,5.00,3.00,4.00,4.00,4.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7289979,5.00,8.00,2.00,6.00,9.00,6.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7289987,4.00,6.00,2.00,6.00,4.00,7.13,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(28,7289995,0.00,3.00,0.00,2.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7290004,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7290012,3.00,7.00,1.00,7.00,4.00,4.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7290047,5.00,8.00,3.00,6.00,5.00,10.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7290063,1.00,5.00,4.00,4.00,3.00,6.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7290071,3.00,5.00,3.00,6.00,5.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7290080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7290098,4.00,8.00,2.00,3.00,5.00,7.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7290101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7290110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7290128,6.00,7.00,5.00,4.00,7.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7290160,2.00,8.00,4.00,7.00,6.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7290179,3.00,4.00,1.00,7.00,7.00,5.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7290187,4.00,6.00,2.00,7.00,8.00,10.88,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7290195,1.00,7.00,1.00,5.00,4.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7290209,2.00,5.00,4.00,5.00,4.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7290217,3.00,5.00,1.00,7.00,8.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7290225,0.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7290233,6.00,7.00,3.00,7.00,8.00,8.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7290241,2.00,5.00,1.00,6.00,6.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7290250,0.00,6.00,1.00,3.00,3.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7290276,4.00,5.00,2.00,5.00,5.00,6.00,5.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7290284,3.00,7.00,2.00,6.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7290292,5.00,7.00,1.00,5.00,5.00,8.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7290306,1.00,0.00,1.00,3.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7290322,6.00,7.00,5.00,6.00,7.00,9.38,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7290330,0.00,2.00,3.00,4.00,6.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7290349,2.00,1.00,3.00,4.00,3.00,4.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7290357,4.00,7.00,6.00,6.00,8.00,6.75,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7290365,1.00,7.00,1.00,4.00,5.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7290381,0.00,5.00,4.00,4.00,4.00,7.88,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7290390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7290403,4.00,8.00,5.00,8.00,10.00,7.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7290411,2.00,3.00,2.00,6.00,6.00,6.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7290420,7.00,8.00,2.00,6.00,9.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7290446,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7290454,0.00,4.00,1.00,5.00,3.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7290462,0.00,7.00,1.00,6.00,4.00,7.88,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7290489,2.00,5.00,1.00,5.00,5.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7290497,3.00,5.00,0.00,5.00,6.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7290500,4.00,8.00,2.00,7.00,8.00,12.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7290519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7290527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7290535,3.00,3.00,1.00,4.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7290543,0.00,6.00,0.00,5.00,5.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7290551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7290560,0.00,1.00,1.00,4.00,5.00,9.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7290578,1.00,3.00,2.00,4.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'S'),(28,7290586,3.00,6.00,3.00,7.00,6.00,10.50,3.00,8.00,2.00,NULL,NULL,NULL,'S'),(28,7290594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7290608,3.00,6.00,1.00,6.00,9.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7290624,0.00,5.00,2.00,3.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7290632,4.00,8.00,3.00,6.00,7.00,9.75,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7290659,5.00,7.00,2.00,7.00,9.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7290667,0.00,5.00,0.00,4.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7290675,1.00,6.00,2.00,7.00,7.00,10.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7290683,3.00,7.00,4.00,6.00,7.00,9.00,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7290691,2.00,7.00,3.00,4.00,6.00,9.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7290705,4.00,8.00,4.00,6.00,6.00,7.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7290730,2.00,8.00,4.00,5.00,5.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7290756,1.00,8.00,3.00,7.00,4.00,7.88,0.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7290772,1.00,3.00,0.00,6.00,6.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7290780,3.00,7.00,5.00,5.00,9.00,11.63,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7290799,5.00,8.00,1.00,7.00,10.00,9.38,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7290802,0.00,1.00,3.00,5.00,4.00,3.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7290810,2.00,0.00,2.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7290829,2.00,7.00,2.00,4.00,9.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7290837,0.00,3.00,2.00,5.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7290845,4.00,6.00,2.00,3.00,5.00,8.63,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7290861,0.00,6.00,1.00,3.00,4.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7290870,5.00,6.00,1.00,6.00,9.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7290888,0.00,5.00,2.00,7.00,5.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7290896,2.00,0.00,1.00,7.00,9.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7290900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7290926,2.00,8.00,2.00,6.00,6.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7290934,0.00,5.00,3.00,5.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7290942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7290950,3.00,5.00,3.00,0.00,6.00,10.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7290969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7290977,2.00,4.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7290993,0.00,6.00,2.00,1.00,5.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7291000,1.00,6.00,1.00,4.00,3.00,6.75,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7291019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7291027,0.00,4.00,1.00,4.00,4.00,9.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7291035,0.00,2.00,1.00,5.00,4.00,6.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7291043,0.00,5.00,1.00,4.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7291051,0.00,5.00,0.00,6.00,5.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7291086,1.00,3.00,3.00,4.00,4.00,5.63,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7291094,2.00,5.00,3.00,2.00,6.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7291108,0.00,3.00,3.00,5.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7291116,1.00,5.00,1.00,5.00,7.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7291124,1.00,6.00,2.00,7.00,3.00,8.25,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7291132,0.00,5.00,2.00,4.00,4.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7291140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7291159,1.00,4.00,1.00,3.00,5.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7291167,2.00,7.00,2.00,6.00,6.00,7.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7291175,3.00,6.00,4.00,7.00,5.00,7.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7291183,1.00,4.00,0.00,4.00,4.00,4.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7291191,1.00,5.00,1.00,7.00,4.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7291205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7291213,0.00,5.00,4.00,5.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7291221,5.00,7.00,1.00,7.00,7.00,9.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7291230,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7291248,1.00,4.00,2.00,6.00,5.00,5.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7291256,2.00,4.00,2.00,5.00,7.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7291280,0.00,2.00,2.00,3.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7291299,4.00,4.00,2.00,3.00,8.00,10.13,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7291302,0.00,8.00,4.00,6.00,5.00,10.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7291310,1.00,5.00,1.00,5.00,7.00,10.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7291329,3.00,6.00,3.00,5.00,7.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7291337,2.00,8.00,3.00,7.00,11.00,9.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7291345,1.00,2.00,1.00,4.00,5.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7291353,4.00,6.00,2.00,3.00,8.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7291361,2.00,4.00,2.00,7.00,9.00,9.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7291370,4.00,7.00,1.00,4.00,8.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7291396,3.00,8.00,3.00,8.00,5.00,7.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7291400,1.00,2.00,3.00,5.00,5.00,5.63,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7291418,3.00,0.00,3.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7291426,2.00,2.00,2.00,4.00,5.00,4.88,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7291434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7291450,2.00,4.00,1.00,4.00,3.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7291485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7291493,0.00,4.00,1.00,5.00,3.00,7.13,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7291507,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7291515,3.00,6.00,2.00,6.00,9.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7291540,3.00,7.00,4.00,7.00,3.00,6.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7291558,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7291566,1.00,6.00,1.00,6.00,6.00,7.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7291574,1.00,5.00,3.00,4.00,5.00,6.75,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7291582,3.00,7.00,1.00,7.00,4.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7291590,2.00,4.00,2.00,4.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,'S','N'),(28,7291604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7291612,1.00,7.00,1.00,5.00,8.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7291639,3.00,6.00,2.00,5.00,5.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7291647,1.00,4.00,2.00,1.00,3.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7291671,2.00,5.00,2.00,3.00,6.00,8.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7291680,2.00,7.00,1.00,3.00,7.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7291701,0.00,5.00,2.00,3.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7291710,1.00,4.00,4.00,3.00,5.00,4.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7291736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7291744,1.00,4.00,3.00,6.00,6.00,4.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7291752,3.00,4.00,1.00,6.00,6.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7291760,3.00,7.00,3.00,7.00,8.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7291779,4.00,7.00,3.00,7.00,8.00,6.75,4.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7291787,0.00,2.00,3.00,3.00,4.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7291795,2.00,7.00,2.00,7.00,8.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7291809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7291817,4.00,6.00,4.00,6.00,6.00,7.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7291825,1.00,5.00,2.00,5.00,4.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7291833,4.00,8.00,4.00,6.00,9.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7291841,3.00,5.00,3.00,5.00,4.00,7.50,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7291850,1.00,4.00,0.00,7.00,5.00,7.13,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7291892,0.00,4.00,1.00,4.00,3.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7291914,7.00,7.00,2.00,7.00,9.00,11.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7291930,0.00,4.00,0.00,6.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7291949,5.00,6.00,5.00,7.00,10.00,10.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7291957,2.00,4.00,1.00,7.00,5.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7291973,2.00,5.00,1.00,7.00,3.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7291981,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7291990,4.00,9.00,2.00,8.00,9.00,9.00,1.00,7.00,4.00,NULL,NULL,NULL,'S'),(28,7292007,4.00,7.00,3.00,7.00,8.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7292015,4.00,7.00,3.00,7.00,5.00,10.13,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7292023,2.00,6.00,2.00,7.00,7.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7292031,3.00,6.00,4.00,6.00,6.00,6.38,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7292058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7292074,2.00,9.00,1.00,7.00,7.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7292082,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7292090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7292104,5.00,8.00,3.00,6.00,10.00,7.50,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7292120,4.00,8.00,2.00,7.00,8.00,9.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7292139,3.00,8.00,2.00,6.00,8.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7292147,1.00,8.00,3.00,3.00,5.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7292155,1.00,5.00,4.00,5.00,7.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7292163,3.00,4.00,1.00,5.00,6.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7292171,1.00,2.00,1.00,4.00,3.00,5.25,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7292180,1.00,8.00,2.00,6.00,5.00,9.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7292198,2.00,7.00,2.00,5.00,4.00,10.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7292210,3.00,7.00,3.00,6.00,9.00,12.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7292228,0.00,2.00,4.00,6.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7292236,0.00,1.00,1.00,3.00,4.00,5.63,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7292244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7292252,8.00,8.00,3.00,7.00,9.00,10.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7292260,1.00,6.00,3.00,4.00,7.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7292279,0.00,2.00,0.00,1.00,4.00,4.50,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7292295,2.00,4.00,1.00,3.00,5.00,5.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7292325,0.00,4.00,1.00,7.00,6.00,6.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7292333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7292341,4.00,6.00,4.00,6.00,7.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7292350,4.00,4.00,2.00,6.00,6.00,8.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7292376,4.00,6.00,4.00,7.00,6.00,8.63,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7292384,2.00,8.00,1.00,2.00,5.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7292392,2.00,2.00,3.00,3.00,5.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7292406,1.00,5.00,2.00,4.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7292414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7292422,1.00,5.00,0.00,3.00,4.00,NULL,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7292430,2.00,5.00,0.00,2.00,3.00,4.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7292457,0.00,3.00,0.00,4.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7292465,1.00,7.00,0.00,4.00,4.00,8.63,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7292473,2.00,6.00,2.00,6.00,7.00,8.25,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7292481,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7292490,3.00,6.00,2.00,6.00,6.00,13.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7292503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7292511,1.00,6.00,2.00,2.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7292520,0.00,0.00,0.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7292538,3.00,5.00,2.00,6.00,6.00,7.13,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7292554,1.00,6.00,1.00,7.00,5.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7292562,4.00,7.00,1.00,6.00,9.00,10.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7292570,2.00,3.00,2.00,7.00,5.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7292589,0.00,2.00,2.00,2.00,3.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7292597,1.00,3.00,3.00,4.00,3.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7292600,0.00,4.00,1.00,3.00,5.00,6.38,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7292619,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7292635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7292643,4.00,7.00,4.00,6.00,8.00,9.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7292651,4.00,7.00,3.00,5.00,7.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7292660,0.00,2.00,3.00,2.00,4.00,3.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7292678,3.00,0.00,1.00,5.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7292686,1.00,3.00,2.00,3.00,3.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7292694,1.00,1.00,2.00,5.00,4.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7292708,3.00,5.00,1.00,5.00,5.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7292716,1.00,3.00,0.00,5.00,4.00,4.50,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7292724,3.00,7.00,3.00,6.00,8.00,10.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7292732,3.00,5.00,2.00,6.00,5.00,7.88,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7292740,1.00,3.00,0.00,6.00,4.00,6.00,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7292759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7292775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7292783,5.00,7.00,2.00,6.00,6.00,12.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7292791,3.00,6.00,1.00,7.00,8.00,11.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7292805,2.00,7.00,2.00,7.00,9.00,10.13,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7292821,2.00,6.00,3.00,7.00,8.00,9.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7292830,6.00,7.00,1.00,7.00,9.00,11.25,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7292848,0.00,6.00,1.00,6.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7292856,1.00,3.00,0.00,5.00,6.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7292864,0.00,4.00,1.00,6.00,5.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7292872,2.00,6.00,3.00,5.00,5.00,7.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7292880,1.00,4.00,3.00,2.00,4.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7292899,1.00,5.00,2.00,6.00,8.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7292902,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7292910,2.00,6.00,1.00,6.00,6.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7292929,7.00,7.00,5.00,6.00,10.00,10.88,9.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7292945,1.00,5.00,3.00,4.00,7.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7292953,2.00,5.00,2.00,6.00,6.00,7.50,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7292970,3.00,6.00,2.00,3.00,7.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7292988,3.00,7.00,2.00,6.00,9.00,11.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7292996,0.00,4.00,2.00,5.00,8.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7293003,1.00,6.00,1.00,5.00,3.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7293011,5.00,7.00,3.00,6.00,8.00,8.63,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7293038,3.00,7.00,4.00,6.00,8.00,7.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7293046,2.00,4.00,1.00,6.00,7.00,8.25,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7293054,1.00,4.00,4.00,2.00,3.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7293070,1.00,4.00,2.00,3.00,6.00,6.00,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7293089,1.00,9.00,2.00,6.00,9.00,12.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7293119,6.00,7.00,5.00,6.00,8.00,10.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7293127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7293135,3.00,6.00,3.00,4.00,3.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7293143,1.00,5.00,1.00,1.00,6.00,4.50,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7293160,3.00,5.00,1.00,4.00,7.00,4.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7293178,3.00,4.00,4.00,6.00,6.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7293186,2.00,6.00,3.00,3.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7293194,1.00,5.00,3.00,3.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7293208,5.00,6.00,2.00,4.00,6.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7293216,1.00,5.00,2.00,4.00,6.00,6.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7293232,0.00,1.00,2.00,4.00,4.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7293240,1.00,6.00,1.00,3.00,3.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7293259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7293267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7293283,4.00,8.00,4.00,6.00,5.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7293291,1.00,5.00,2.00,3.00,5.00,9.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7293321,4.00,7.00,2.00,4.00,5.00,8.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7293330,1.00,0.00,3.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7293356,1.00,3.00,1.00,5.00,3.00,4.88,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7293364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7293380,5.00,8.00,5.00,7.00,5.00,6.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7293399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7293402,1.00,1.00,0.00,5.00,2.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7293410,2.00,4.00,1.00,7.00,5.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7293429,3.00,7.00,1.00,7.00,5.00,9.38,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7293445,0.00,2.00,2.00,2.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7293461,4.00,9.00,2.00,6.00,8.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7293488,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7293496,6.00,7.00,2.00,7.00,9.00,10.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7293500,4.00,8.00,2.00,5.00,9.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7293518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7293526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7293534,4.00,5.00,3.00,5.00,6.00,8.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7293542,6.00,7.00,4.00,6.00,9.00,9.38,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7293550,1.00,3.00,2.00,3.00,5.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7293569,2.00,5.00,2.00,6.00,6.00,4.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7293577,5.00,4.00,2.00,7.00,6.00,9.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7293585,1.00,0.00,3.00,1.00,0.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7293593,0.00,1.00,1.00,6.00,5.00,6.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7293607,5.00,6.00,3.00,5.00,6.00,9.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7293615,0.00,3.00,2.00,3.00,2.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7293623,2.00,5.00,0.00,5.00,5.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7293631,4.00,7.00,2.00,2.00,7.00,7.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7293640,0.00,4.00,3.00,5.00,5.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7293658,2.00,4.00,4.00,4.00,5.00,10.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7293682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7293690,0.00,5.00,0.00,1.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7293704,3.00,3.00,0.00,4.00,6.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7293712,4.00,7.00,1.00,6.00,7.00,7.88,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7293720,1.00,6.00,2.00,6.00,4.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7293739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7293747,2.00,5.00,0.00,6.00,4.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7293755,1.00,7.00,2.00,6.00,7.00,6.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7293763,1.00,5.00,1.00,5.00,6.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7293771,2.00,3.00,2.00,7.00,4.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7293780,4.00,5.00,3.00,7.00,7.00,11.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7293798,0.00,3.00,2.00,1.00,4.00,4.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7293801,3.00,4.00,2.00,2.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7293810,2.00,4.00,2.00,6.00,7.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7293828,3.00,7.00,4.00,2.00,4.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7293836,8.00,8.00,1.00,5.00,9.00,13.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7293844,1.00,6.00,1.00,4.00,8.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7293860,0.00,6.00,1.00,1.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7293887,5.00,5.00,3.00,7.00,5.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7293895,4.00,3.00,1.00,3.00,7.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7293909,4.00,6.00,3.00,7.00,5.00,7.13,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7293925,5.00,5.00,1.00,6.00,7.00,7.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7293933,2.00,7.00,1.00,7.00,7.00,6.38,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7293941,1.00,5.00,3.00,7.00,7.00,9.00,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7293968,4.00,7.00,3.00,6.00,3.00,6.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7293976,6.00,7.00,1.00,6.00,8.00,9.38,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7293984,2.00,4.00,0.00,1.00,3.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7294000,3.00,4.00,2.00,7.00,4.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7294018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7294026,6.00,8.00,4.00,6.00,8.00,11.63,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7294034,5.00,7.00,3.00,4.00,4.00,8.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7294042,0.00,5.00,1.00,5.00,5.00,4.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7294050,0.00,2.00,0.00,0.00,0.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7294093,3.00,6.00,2.00,6.00,6.00,10.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7294107,1.00,7.00,1.00,6.00,4.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7294115,0.00,5.00,2.00,6.00,4.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7294123,2.00,6.00,1.00,6.00,7.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7294131,3.00,5.00,3.00,7.00,3.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7294158,5.00,6.00,1.00,5.00,8.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7294166,3.00,7.00,2.00,4.00,8.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7294174,2.00,7.00,2.00,6.00,3.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7294182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7294190,2.00,7.00,1.00,7.00,7.00,9.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7294204,4.00,8.00,2.00,7.00,6.00,9.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7294220,0.00,4.00,0.00,4.00,3.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7294239,1.00,4.00,0.00,3.00,5.00,5.63,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7294247,3.00,6.00,2.00,7.00,5.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7294263,1.00,3.00,1.00,3.00,5.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7294271,1.00,5.00,0.00,7.00,5.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7294280,3.00,3.00,0.00,5.00,4.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7294301,3.00,7.00,2.00,5.00,7.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7294310,0.00,5.00,0.00,6.00,6.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7294328,4.00,8.00,5.00,5.00,7.00,9.00,7.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7294336,4.00,6.00,2.00,5.00,6.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7294352,3.00,8.00,3.00,4.00,8.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7294379,2.00,1.00,2.00,3.00,4.00,3.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7294387,2.00,7.00,1.00,6.00,8.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7294395,2.00,7.00,1.00,6.00,7.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7294409,3.00,7.00,3.00,7.00,10.00,7.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7294417,1.00,7.00,4.00,6.00,8.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7294425,3.00,6.00,3.00,7.00,9.00,10.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7294433,3.00,3.00,3.00,4.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7294441,2.00,6.00,1.00,6.00,5.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7294450,1.00,3.00,1.00,7.00,6.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7294468,4.00,6.00,2.00,4.00,5.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7294476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7294484,2.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7294492,7.00,6.00,4.00,7.00,8.00,11.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7294506,1.00,4.00,3.00,4.00,4.00,2.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7294514,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7294530,2.00,6.00,2.00,5.00,6.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7294549,3.00,7.00,1.00,7.00,7.00,9.38,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7294557,3.00,6.00,2.00,6.00,7.00,9.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7294565,4.00,4.00,2.00,7.00,7.00,6.00,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7294573,4.00,7.00,5.00,6.00,9.00,9.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7294581,1.00,7.00,1.00,6.00,6.00,8.63,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7294611,1.00,2.00,3.00,1.00,4.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7294620,7.00,0.00,2.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7294638,2.00,7.00,2.00,6.00,6.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7294646,7.00,7.00,3.00,6.00,5.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7294654,3.00,6.00,0.00,7.00,7.00,10.50,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7294662,3.00,6.00,2.00,7.00,7.00,6.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7294670,1.00,6.00,1.00,3.00,4.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7294689,7.00,8.00,6.00,7.00,9.00,8.63,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7294697,2.00,0.00,1.00,1.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7294700,0.00,1.00,3.00,3.00,3.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7294719,3.00,8.00,2.00,7.00,7.00,9.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7294727,1.00,4.00,1.00,5.00,4.00,6.00,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7294743,3.00,7.00,2.00,6.00,7.00,5.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7294751,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7294760,3.00,8.00,1.00,5.00,7.00,6.75,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7294778,6.00,7.00,4.00,7.00,5.00,8.63,7.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7294786,1.00,4.00,2.00,6.00,4.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7294794,2.00,3.00,1.00,6.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7294808,1.00,2.00,4.00,3.00,4.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7294816,2.00,6.00,2.00,6.00,9.00,9.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7294824,4.00,6.00,3.00,6.00,8.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7294832,0.00,6.00,2.00,6.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7294840,0.00,7.00,2.00,5.00,4.00,6.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7294859,2.00,7.00,4.00,8.00,10.00,11.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7294867,1.00,3.00,2.00,6.00,4.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7294875,2.00,7.00,2.00,3.00,8.00,5.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7294883,1.00,5.00,2.00,2.00,5.00,7.50,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7294891,1.00,3.00,2.00,4.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7294913,0.00,4.00,1.00,2.00,6.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7294921,2.00,6.00,2.00,7.00,5.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7294930,2.00,6.00,2.00,6.00,4.00,7.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7294948,2.00,5.00,2.00,4.00,7.00,10.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7294956,4.00,7.00,2.00,7.00,8.00,8.63,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7294964,1.00,2.00,2.00,1.00,4.00,3.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7294972,1.00,5.00,3.00,6.00,6.00,7.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7294980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7294999,1.00,3.00,1.00,4.00,5.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7295006,5.00,5.00,3.00,2.00,6.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7295022,1.00,5.00,3.00,6.00,5.00,7.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7295030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7295049,6.00,7.00,7.00,6.00,10.00,8.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7295057,2.00,7.00,1.00,6.00,6.00,6.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7295065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7295073,1.00,6.00,2.00,7.00,7.00,12.00,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7295090,3.00,5.00,3.00,5.00,6.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7295103,0.00,4.00,3.00,5.00,7.00,10.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7295111,1.00,4.00,0.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7295120,3.00,5.00,3.00,5.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7295138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7295154,1.00,4.00,2.00,1.00,4.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7295162,1.00,5.00,1.00,6.00,4.00,5.63,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7295170,0.00,3.00,1.00,5.00,4.00,6.38,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7295189,4.00,3.00,1.00,7.00,3.00,10.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7295197,4.00,6.00,5.00,5.00,8.00,11.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7295219,3.00,6.00,4.00,1.00,4.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7295227,1.00,6.00,0.00,4.00,6.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7295235,5.00,7.00,3.00,4.00,7.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7295251,0.00,0.00,0.00,2.00,1.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7295260,4.00,6.00,3.00,5.00,7.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7295278,2.00,6.00,2.00,6.00,5.00,10.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7295308,3.00,4.00,4.00,5.00,3.00,5.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7295324,3.00,7.00,3.00,5.00,5.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7295332,2.00,7.00,3.00,7.00,8.00,7.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7295375,4.00,6.00,3.00,7.00,6.00,6.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7295405,5.00,7.00,5.00,5.00,5.00,10.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7295421,2.00,6.00,2.00,4.00,8.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7295430,7.00,7.00,1.00,5.00,7.00,8.63,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7295448,1.00,2.00,2.00,3.00,4.00,5.63,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7295456,7.00,7.00,5.00,7.00,9.00,11.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7295464,5.00,7.00,3.00,5.00,5.00,8.25,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7295472,0.00,3.00,1.00,2.00,3.00,6.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7295480,1.00,3.00,1.00,5.00,4.00,5.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7295502,3.00,8.00,2.00,7.00,9.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7295510,8.00,8.00,4.00,7.00,10.00,11.63,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7295545,1.00,4.00,1.00,2.00,6.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7295553,3.00,6.00,2.00,5.00,7.00,7.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7295561,4.00,6.00,2.00,5.00,6.00,4.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7295570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7295588,7.00,7.00,4.00,7.00,6.00,10.13,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7295596,0.00,5.00,1.00,2.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7295600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7295618,0.00,1.00,0.00,1.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7295626,1.00,4.00,2.00,5.00,6.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7295634,5.00,8.00,4.00,6.00,7.00,6.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7295642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7295669,2.00,3.00,4.00,6.00,4.00,6.38,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7295677,3.00,8.00,4.00,7.00,9.00,9.00,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7295685,1.00,6.00,2.00,5.00,5.00,11.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7295693,3.00,7.00,3.00,6.00,7.00,5.25,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7295707,0.00,3.00,2.00,4.00,5.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7295715,2.00,5.00,0.00,7.00,4.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7295723,0.00,1.00,0.00,2.00,2.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7295731,0.00,4.00,2.00,3.00,4.00,5.63,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7295740,3.00,7.00,3.00,5.00,6.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7295758,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7295766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7295774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7295782,1.00,4.00,3.00,4.00,4.00,NULL,2.00,5.00,0.00,NULL,NULL,'S','N'),(28,7295790,6.00,8.00,2.00,5.00,9.00,8.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7295804,2.00,5.00,2.00,5.00,5.00,5.63,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7295812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7295820,1.00,6.00,2.00,5.00,5.00,9.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7295839,8.00,8.00,6.00,7.00,9.00,11.25,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7295847,6.00,8.00,1.00,7.00,2.00,NULL,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7295855,7.00,9.00,1.00,6.00,6.00,11.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7295863,3.00,5.00,3.00,6.00,4.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7295871,1.00,5.00,0.00,3.00,6.00,9.38,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7295880,1.00,4.00,2.00,3.00,3.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7295898,0.00,1.00,2.00,2.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7295901,2.00,4.00,2.00,6.00,4.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7295910,7.00,7.00,5.00,5.00,4.00,8.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7295928,1.00,4.00,3.00,0.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7295944,1.00,8.00,2.00,6.00,7.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7295952,4.00,5.00,1.00,4.00,8.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7295979,2.00,5.00,1.00,4.00,4.00,NULL,3.00,4.00,3.00,NULL,NULL,'S','N'),(28,7295987,2.00,6.00,4.00,4.00,5.00,6.75,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7295995,3.00,8.00,0.00,4.00,6.00,7.50,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7296002,4.00,9.00,4.00,7.00,10.00,10.13,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7296010,2.00,7.00,3.00,6.00,9.00,7.88,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7296029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7296045,5.00,8.00,1.00,7.00,7.00,6.38,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7296053,3.00,5.00,2.00,7.00,3.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7296061,5.00,7.00,2.00,6.00,8.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7296070,0.00,4.00,2.00,3.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7296088,5.00,7.00,1.00,6.00,7.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7296096,0.00,3.00,2.00,4.00,5.00,7.13,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7296118,5.00,6.00,2.00,6.00,5.00,9.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7296126,2.00,6.00,2.00,4.00,7.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7296134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7296142,2.00,3.00,2.00,1.00,2.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7296150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7296169,2.00,6.00,1.00,7.00,5.00,9.38,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7296185,0.00,5.00,2.00,5.00,4.00,5.63,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7296193,4.00,8.00,1.00,7.00,6.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7296207,0.00,5.00,2.00,2.00,4.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7296215,2.00,4.00,3.00,3.00,5.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7296223,0.00,5.00,0.00,4.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7296231,4.00,8.00,1.00,6.00,8.00,NULL,0.00,6.00,1.00,NULL,NULL,NULL,'S'),(28,7296240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7296258,0.00,4.00,2.00,3.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7296266,2.00,5.00,2.00,3.00,6.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7296274,0.00,4.00,2.00,4.00,7.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7296282,0.00,3.00,2.00,2.00,4.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7296290,2.00,4.00,2.00,3.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7296304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7296312,1.00,3.00,1.00,4.00,5.00,8.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7296320,3.00,5.00,2.00,5.00,6.00,7.13,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7296339,1.00,3.00,2.00,7.00,3.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7296347,4.00,6.00,2.00,5.00,7.00,10.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7296355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7296363,0.00,3.00,2.00,3.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7296371,1.00,3.00,2.00,4.00,3.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7296380,0.00,6.00,2.00,5.00,5.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7296401,4.00,6.00,3.00,7.00,4.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7296428,2.00,5.00,1.00,6.00,6.00,7.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7296436,1.00,4.00,3.00,2.00,4.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7296444,0.00,2.00,0.00,6.00,4.00,0.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7296460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7296479,0.00,4.00,2.00,3.00,5.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7296487,4.00,7.00,3.00,6.00,8.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7296495,3.00,6.00,4.00,5.00,9.00,12.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7296509,6.00,9.00,3.00,7.00,7.00,7.13,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7296517,2.00,3.00,1.00,6.00,5.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7296525,4.00,7.00,3.00,3.00,6.00,10.88,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7296533,1.00,3.00,2.00,5.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7296541,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7296550,0.00,5.00,4.00,3.00,6.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7296568,4.00,4.00,0.00,3.00,5.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7296576,5.00,6.00,1.00,7.00,5.00,7.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7296592,0.00,5.00,3.00,6.00,2.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7296606,2.00,3.00,3.00,4.00,5.00,5.25,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7296622,1.00,6.00,1.00,6.00,4.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7296630,5.00,7.00,0.00,6.00,8.00,9.00,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7296649,1.00,4.00,1.00,4.00,3.00,5.63,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7296681,4.00,6.00,0.00,7.00,7.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7296690,2.00,6.00,2.00,6.00,5.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7296703,5.00,7.00,2.00,5.00,5.00,9.38,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7296720,4.00,5.00,2.00,7.00,5.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7296738,1.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7296746,2.00,4.00,2.00,1.00,4.00,6.38,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7296754,3.00,0.00,3.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7296762,3.00,7.00,2.00,6.00,8.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7296789,5.00,6.00,5.00,6.00,7.00,8.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7296797,0.00,7.00,1.00,3.00,9.00,6.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7296800,5.00,7.00,4.00,6.00,9.00,9.00,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7296819,0.00,3.00,2.00,1.00,3.00,9.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7296827,3.00,6.00,3.00,6.00,5.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7296835,0.00,4.00,3.00,2.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7296851,2.00,5.00,2.00,7.00,10.00,11.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7296860,0.00,7.00,1.00,6.00,8.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7296878,0.00,6.00,2.00,5.00,4.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7296886,0.00,1.00,0.00,5.00,4.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7296894,5.00,6.00,3.00,5.00,5.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7296916,3.00,5.00,2.00,4.00,5.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7296924,4.00,5.00,4.00,2.00,3.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7296932,5.00,0.00,4.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7296940,2.00,4.00,1.00,5.00,8.00,7.13,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7296967,5.00,7.00,2.00,6.00,8.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7296975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7296983,3.00,8.00,4.00,5.00,6.00,6.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7296991,0.00,3.00,2.00,5.00,3.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7297009,4.00,5.00,0.00,4.00,8.00,NULL,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7297017,0.00,7.00,2.00,6.00,4.00,8.25,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7297025,5.00,4.00,1.00,6.00,9.00,9.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7297033,2.00,6.00,4.00,5.00,7.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7297041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7297068,0.00,3.00,2.00,5.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7297076,6.00,8.00,2.00,7.00,9.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7297084,2.00,6.00,0.00,7.00,4.00,6.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7297092,1.00,4.00,2.00,4.00,2.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7297106,4.00,8.00,5.00,7.00,9.00,9.00,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7297114,3.00,5.00,3.00,7.00,4.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7297122,6.00,8.00,0.00,8.00,9.00,12.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7297130,0.00,4.00,0.00,0.00,1.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7297149,1.00,3.00,2.00,3.00,5.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7297157,3.00,7.00,2.00,7.00,6.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7297165,6.00,8.00,2.00,7.00,9.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7297181,1.00,2.00,1.00,6.00,4.00,6.75,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7297190,0.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7297203,7.00,8.00,4.00,5.00,8.00,12.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7297211,4.00,6.00,4.00,4.00,4.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7297220,5.00,7.00,2.00,6.00,6.00,7.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7297238,3.00,5.00,2.00,7.00,9.00,7.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7297246,2.00,4.00,2.00,2.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7297254,1.00,7.00,0.00,2.00,4.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7297262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7297270,3.00,5.00,2.00,7.00,4.00,4.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7297289,5.00,8.00,5.00,7.00,9.00,13.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7297297,3.00,8.00,1.00,5.00,7.00,10.50,0.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7297300,1.00,7.00,1.00,5.00,7.00,12.75,2.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7297319,1.00,4.00,5.00,0.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7297335,0.00,0.00,3.00,5.00,7.00,6.00,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7297343,6.00,5.00,3.00,5.00,8.00,9.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7297351,2.00,4.00,2.00,5.00,5.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7297360,0.00,4.00,2.00,4.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,'S','S'),(28,7297378,5.00,5.00,0.00,6.00,5.00,7.50,1.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7297386,7.00,8.00,4.00,7.00,8.00,7.88,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7297394,0.00,4.00,2.00,4.00,4.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7297408,4.00,6.00,2.00,5.00,5.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7297416,1.00,4.00,3.00,5.00,5.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7297424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7297432,2.00,1.00,0.00,0.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7297467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7297475,1.00,7.00,2.00,4.00,8.00,9.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7297483,1.00,6.00,0.00,7.00,7.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7297491,0.00,2.00,4.00,4.00,5.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7297505,3.00,6.00,0.00,5.00,3.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7297513,1.00,5.00,4.00,4.00,6.00,8.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7297521,1.00,6.00,3.00,6.00,6.00,10.13,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7297530,3.00,5.00,3.00,5.00,4.00,4.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7297548,2.00,6.00,4.00,2.00,8.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7297556,1.00,5.00,5.00,2.00,3.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7297580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7297599,5.00,7.00,5.00,4.00,10.00,11.63,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7297602,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7297610,1.00,6.00,2.00,1.00,7.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7297629,6.00,7.00,3.00,6.00,6.00,9.38,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7297637,2.00,6.00,4.00,7.00,7.00,9.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7297645,2.00,6.00,1.00,2.00,5.00,9.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7297661,1.00,5.00,4.00,4.00,6.00,10.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7297670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7297688,6.00,5.00,3.00,7.00,6.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7297696,2.00,7.00,3.00,3.00,9.00,10.88,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7297700,0.00,5.00,0.00,3.00,9.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7297718,3.00,5.00,0.00,5.00,6.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7297726,0.00,3.00,0.00,6.00,3.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7297734,2.00,6.00,3.00,6.00,9.00,9.38,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7297742,5.00,7.00,3.00,5.00,4.00,6.38,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7297750,5.00,5.00,2.00,7.00,8.00,10.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7297769,2.00,5.00,3.00,3.00,3.00,5.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7297777,6.00,7.00,6.00,6.00,8.00,10.50,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7297785,0.00,5.00,0.00,5.00,3.00,6.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7297793,3.00,4.00,3.00,2.00,6.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7297807,2.00,8.00,4.00,6.00,7.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7297823,6.00,7.00,3.00,7.00,8.00,7.13,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7297831,0.00,2.00,0.00,3.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7297858,0.00,5.00,4.00,2.00,6.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7297866,0.00,4.00,2.00,3.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7297874,0.00,5.00,3.00,2.00,2.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7297882,3.00,8.00,4.00,5.00,7.00,9.75,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7297890,1.00,3.00,2.00,5.00,5.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7297904,4.00,7.00,2.00,4.00,7.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7297920,0.00,3.00,3.00,6.00,3.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7297939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7297947,0.00,3.00,4.00,5.00,6.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7297955,0.00,5.00,1.00,0.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7297971,6.00,6.00,2.00,5.00,7.00,6.38,3.00,2.00,6.00,NULL,NULL,NULL,'N'),(28,7297980,2.00,5.00,1.00,6.00,3.00,3.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7297998,3.00,5.00,1.00,5.00,3.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7298005,5.00,8.00,4.00,7.00,8.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7298013,2.00,3.00,2.00,4.00,3.00,6.75,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7298021,0.00,2.00,0.00,3.00,3.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7298048,1.00,4.00,3.00,6.00,5.00,10.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7298072,5.00,5.00,1.00,6.00,8.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7298099,1.00,4.00,2.00,6.00,3.00,6.38,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7298110,1.00,4.00,2.00,2.00,6.00,0.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7298129,8.00,8.00,2.00,7.00,10.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7298137,5.00,5.00,3.00,7.00,6.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7298145,2.00,7.00,3.00,5.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7298153,4.00,7.00,1.00,5.00,7.00,7.13,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7298161,2.00,7.00,3.00,5.00,7.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7298170,0.00,1.00,2.00,1.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7298188,4.00,8.00,2.00,6.00,10.00,11.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7298196,2.00,3.00,3.00,2.00,4.00,5.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7298218,6.00,8.00,2.00,8.00,6.00,9.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7298226,5.00,6.00,3.00,7.00,5.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7298234,1.00,4.00,1.00,3.00,5.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7298242,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7298250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7298269,1.00,7.00,2.00,7.00,5.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7298285,8.00,8.00,3.00,7.00,7.00,9.00,4.00,7.00,7.00,NULL,NULL,NULL,'S'),(28,7298293,1.00,7.00,2.00,4.00,6.00,6.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7298307,3.00,4.00,0.00,5.00,8.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7298315,1.00,3.00,2.00,3.00,3.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7298323,6.00,8.00,4.00,6.00,6.00,9.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7298331,2.00,3.00,3.00,5.00,4.00,9.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7298340,2.00,6.00,3.00,3.00,4.00,7.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7298358,1.00,5.00,0.00,3.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7298366,2.00,5.00,1.00,5.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7298374,4.00,7.00,3.00,5.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7298382,2.00,5.00,4.00,5.00,6.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7298390,0.00,5.00,1.00,4.00,5.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7298404,2.00,5.00,3.00,6.00,6.00,9.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7298412,3.00,7.00,3.00,7.00,10.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7298420,0.00,3.00,2.00,5.00,6.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7298439,2.00,6.00,1.00,5.00,5.00,10.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7298447,7.00,9.00,9.00,7.00,9.00,8.25,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7298455,2.00,2.00,3.00,5.00,3.00,6.38,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7298463,2.00,7.00,1.00,7.00,7.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7298471,1.00,3.00,1.00,4.00,2.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7298480,4.00,6.00,2.00,5.00,7.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7298498,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7298501,4.00,4.00,2.00,6.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7298510,3.00,3.00,1.00,2.00,5.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7298536,3.00,8.00,3.00,5.00,9.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7298544,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7298552,2.00,6.00,3.00,6.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7298579,2.00,4.00,3.00,6.00,5.00,7.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7298595,3.00,5.00,0.00,2.00,6.00,6.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7298617,1.00,1.00,1.00,4.00,5.00,7.50,3.00,0.00,3.00,NULL,NULL,NULL,'N'),(28,7298625,2.00,6.00,1.00,6.00,6.00,6.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7298633,4.00,5.00,3.00,4.00,7.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7298641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7298650,2.00,5.00,3.00,7.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7298668,1.00,5.00,2.00,6.00,4.00,8.63,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7298692,1.00,4.00,2.00,7.00,7.00,8.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7298706,1.00,5.00,1.00,3.00,4.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7298714,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7298722,0.00,3.00,2.00,0.00,3.00,6.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7298730,5.00,6.00,4.00,5.00,7.00,7.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7298749,1.00,0.00,2.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7298757,7.00,8.00,6.00,6.00,9.00,12.38,7.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7298765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7298781,3.00,2.00,2.00,6.00,4.00,8.25,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7298790,0.00,4.00,1.00,5.00,6.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7298811,2.00,3.00,1.00,6.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7298820,1.00,8.00,3.00,7.00,7.00,9.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7298846,2.00,7.00,1.00,7.00,10.00,9.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7298854,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7298862,3.00,6.00,2.00,6.00,8.00,9.38,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7298889,1.00,2.00,2.00,6.00,5.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7298900,2.00,7.00,1.00,6.00,7.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7298919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7298927,1.00,7.00,0.00,5.00,9.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7298935,2.00,4.00,1.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7298943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7298951,1.00,7.00,1.00,5.00,5.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7298960,2.00,6.00,0.00,7.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7298978,3.00,8.00,0.00,5.00,5.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7298986,5.00,5.00,4.00,7.00,7.00,10.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7298994,4.00,7.00,0.00,7.00,9.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7299001,2.00,7.00,2.00,6.00,7.00,9.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7299010,3.00,8.00,4.00,5.00,7.00,8.25,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7299036,1.00,3.00,1.00,6.00,7.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7299044,5.00,6.00,4.00,6.00,4.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7299052,0.00,5.00,4.00,7.00,5.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7299060,2.00,5.00,1.00,7.00,4.00,10.50,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7299087,6.00,9.00,4.00,6.00,9.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7299095,2.00,1.00,1.00,1.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7299117,2.00,6.00,2.00,6.00,8.00,9.38,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7299125,3.00,6.00,3.00,6.00,6.00,7.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7299133,1.00,5.00,1.00,5.00,5.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7299141,1.00,5.00,2.00,1.00,4.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7299150,0.00,0.00,0.00,1.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7299168,0.00,4.00,0.00,0.00,0.00,NULL,2.00,4.00,1.00,'S',NULL,NULL,'S'),(28,7299176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7299184,1.00,4.00,2.00,4.00,3.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7299206,2.00,4.00,1.00,5.00,6.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7299214,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7299222,0.00,7.00,3.00,7.00,8.00,7.88,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7299230,5.00,6.00,3.00,4.00,4.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7299249,1.00,7.00,0.00,5.00,4.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7299257,2.00,7.00,1.00,5.00,4.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7299265,1.00,2.00,1.00,4.00,3.00,6.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7299273,0.00,3.00,1.00,4.00,4.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7299281,2.00,3.00,0.00,5.00,5.00,6.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7299290,1.00,7.00,2.00,5.00,4.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7299303,4.00,7.00,3.00,5.00,5.00,6.00,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7299311,0.00,5.00,0.00,2.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7299320,2.00,6.00,1.00,4.00,6.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7299338,1.00,4.00,3.00,3.00,3.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7299346,7.00,8.00,1.00,8.00,7.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7299354,0.00,3.00,2.00,1.00,7.00,3.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7299370,4.00,8.00,4.00,7.00,9.00,7.88,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7299400,1.00,6.00,3.00,3.00,6.00,5.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7299419,4.00,7.00,1.00,5.00,4.00,5.63,1.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7299427,3.00,6.00,3.00,6.00,6.00,7.88,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7299435,0.00,4.00,2.00,4.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7299443,2.00,5.00,3.00,5.00,4.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7299451,2.00,6.00,4.00,6.00,6.00,6.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7299460,0.00,7.00,2.00,4.00,3.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7299486,1.00,4.00,2.00,5.00,3.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7299508,2.00,5.00,2.00,3.00,5.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7299516,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7299524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7299532,0.00,2.00,3.00,3.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7299540,3.00,6.00,1.00,7.00,10.00,8.63,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7299559,1.00,3.00,2.00,1.00,1.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'S'),(28,7299567,1.00,4.00,1.00,6.00,4.00,6.38,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7299575,6.00,9.00,2.00,6.00,7.00,9.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7299583,0.00,2.00,1.00,3.00,3.00,5.63,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7299591,3.00,7.00,2.00,6.00,5.00,9.38,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7299605,1.00,5.00,1.00,7.00,5.00,7.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7299613,4.00,6.00,2.00,7.00,8.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7299621,4.00,5.00,4.00,6.00,6.00,8.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7299648,1.00,4.00,5.00,5.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7299656,2.00,1.00,2.00,2.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7299664,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7299680,8.00,9.00,4.00,6.00,7.00,10.50,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7299702,5.00,9.00,4.00,7.00,10.00,8.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7299710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7299729,3.00,3.00,4.00,7.00,6.00,8.63,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7299737,1.00,2.00,4.00,4.00,6.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7299745,2.00,5.00,3.00,1.00,0.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7299753,7.00,8.00,5.00,7.00,10.00,7.13,8.00,9.00,6.00,NULL,NULL,NULL,'N'),(28,7299761,2.00,7.00,2.00,6.00,6.00,8.25,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7299796,3.00,6.00,1.00,5.00,6.00,9.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7299800,5.00,5.00,4.00,5.00,4.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7299818,0.00,5.00,1.00,5.00,5.00,8.25,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7299826,2.00,7.00,2.00,6.00,5.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7299842,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7299850,2.00,5.00,4.00,4.00,1.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7299869,1.00,5.00,1.00,4.00,4.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7299877,3.00,8.00,1.00,7.00,9.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7299885,6.00,8.00,2.00,7.00,3.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7299893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7299907,2.00,5.00,3.00,7.00,3.00,4.50,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7299915,2.00,4.00,1.00,3.00,4.00,5.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7299923,5.00,6.00,2.00,6.00,8.00,6.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7299940,2.00,6.00,1.00,6.00,5.00,7.13,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7299958,1.00,5.00,1.00,6.00,3.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7299966,7.00,9.00,2.00,5.00,6.00,12.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7299982,1.00,7.00,1.00,6.00,6.00,NULL,2.00,7.00,0.00,NULL,NULL,NULL,'N'),(28,7299990,7.00,8.00,2.00,7.00,8.00,7.88,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7300000,1.00,5.00,2.00,3.00,4.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7300026,4.00,6.00,2.00,7.00,6.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7300034,4.00,7.00,3.00,7.00,7.00,9.38,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7300042,6.00,9.00,5.00,6.00,8.00,12.00,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7300050,4.00,8.00,3.00,6.00,8.00,9.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7300069,2.00,5.00,0.00,4.00,6.00,7.50,1.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7300077,0.00,2.00,2.00,2.00,4.00,5.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7300085,2.00,8.00,2.00,7.00,6.00,NULL,0.00,7.00,1.00,NULL,NULL,'S','N'),(28,7300107,0.00,3.00,3.00,2.00,4.00,4.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7300115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7300123,1.00,3.00,2.00,5.00,5.00,6.38,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7300131,2.00,6.00,1.00,4.00,3.00,9.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7300140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7300158,5.00,9.00,3.00,6.00,9.00,11.25,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7300166,0.00,6.00,0.00,6.00,6.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7300174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7300182,6.00,6.00,2.00,6.00,7.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7300190,2.00,6.00,1.00,6.00,6.00,7.88,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7300204,2.00,5.00,3.00,5.00,4.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7300212,1.00,0.00,1.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(28,7300220,0.00,4.00,2.00,1.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7300239,5.00,7.00,1.00,6.00,7.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7300247,0.00,6.00,1.00,4.00,4.00,8.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7300255,4.00,6.00,0.00,6.00,5.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7300263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7300271,4.00,4.00,3.00,6.00,4.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7300280,4.00,7.00,2.00,5.00,9.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7300298,4.00,4.00,2.00,3.00,4.00,8.25,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7300301,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7300310,5.00,7.00,3.00,7.00,9.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7300328,2.00,5.00,3.00,4.00,4.00,4.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7300336,2.00,3.00,1.00,4.00,5.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7300344,0.00,7.00,2.00,3.00,3.00,7.88,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7300352,8.00,8.00,5.00,7.00,9.00,8.25,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7300360,1.00,4.00,2.00,6.00,6.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7300379,1.00,3.00,3.00,2.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7300395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7300409,1.00,4.00,0.00,6.00,3.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7300417,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7300425,0.00,2.00,2.00,3.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7300433,8.00,8.00,7.00,7.00,10.00,11.63,8.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7300450,4.00,6.00,1.00,6.00,5.00,9.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7300468,1.00,2.00,3.00,5.00,2.00,NULL,1.00,5.00,1.00,NULL,NULL,'S','N'),(28,7300476,3.00,4.00,2.00,4.00,5.00,10.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7300484,3.00,7.00,3.00,6.00,9.00,8.63,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7300492,2.00,4.00,3.00,6.00,5.00,10.13,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7300506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7300514,1.00,4.00,2.00,5.00,8.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7300522,5.00,8.00,1.00,3.00,8.00,9.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7300530,6.00,7.00,3.00,7.00,7.00,7.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7300549,1.00,5.00,3.00,5.00,7.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7300557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7300573,2.00,4.00,3.00,4.00,5.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7300581,2.00,5.00,1.00,6.00,6.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7300590,0.00,3.00,2.00,2.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7300603,2.00,8.00,5.00,6.00,6.00,6.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7300611,5.00,7.00,0.00,5.00,5.00,9.00,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7300620,2.00,6.00,1.00,5.00,7.00,9.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7300654,3.00,7.00,3.00,6.00,7.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7300662,4.00,5.00,2.00,6.00,6.00,6.75,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7300670,2.00,5.00,1.00,5.00,5.00,9.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7300700,3.00,5.00,3.00,6.00,5.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7300719,0.00,1.00,2.00,3.00,5.00,3.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7300727,4.00,8.00,3.00,4.00,8.00,6.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7300735,1.00,2.00,2.00,4.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7300751,1.00,7.00,1.00,8.00,6.00,9.38,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7300760,1.00,4.00,1.00,3.00,4.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7300786,5.00,8.00,5.00,6.00,8.00,12.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7300808,0.00,2.00,3.00,4.00,5.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7300816,4.00,7.00,1.00,6.00,9.00,13.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7300832,5.00,9.00,4.00,6.00,6.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7300859,2.00,5.00,2.00,7.00,5.00,7.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7300875,1.00,4.00,1.00,2.00,5.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7300905,4.00,7.00,1.00,6.00,7.00,9.00,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7300913,1.00,6.00,4.00,5.00,4.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7300921,1.00,4.00,0.00,4.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7300930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7300948,6.00,5.00,3.00,5.00,8.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7300964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7300972,0.00,6.00,1.00,5.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7300980,7.00,8.00,5.00,7.00,9.00,12.38,8.00,9.00,7.00,NULL,NULL,NULL,'N'),(28,7301014,2.00,8.00,1.00,7.00,4.00,9.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7301022,0.00,5.00,2.00,7.00,7.00,6.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7301049,2.00,2.00,3.00,1.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7301065,0.00,7.00,3.00,7.00,9.00,10.88,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7301073,0.00,4.00,3.00,5.00,5.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7301090,2.00,5.00,5.00,6.00,7.00,7.13,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7301103,4.00,4.00,2.00,5.00,4.00,7.50,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7301111,1.00,4.00,1.00,4.00,4.00,5.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7301120,4.00,7.00,2.00,6.00,8.00,7.88,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7301138,3.00,6.00,4.00,6.00,7.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7301146,1.00,7.00,3.00,6.00,3.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7301154,0.00,2.00,1.00,1.00,3.00,3.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7301162,0.00,5.00,2.00,6.00,3.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7301170,1.00,2.00,2.00,2.00,7.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7301189,3.00,5.00,1.00,5.00,4.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7301197,3.00,2.00,1.00,6.00,5.00,7.88,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7301200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7301219,5.00,6.00,4.00,7.00,5.00,7.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7301227,1.00,6.00,2.00,6.00,4.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7301235,0.00,6.00,1.00,6.00,6.00,8.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7301243,3.00,7.00,0.00,6.00,6.00,8.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7301251,2.00,7.00,3.00,6.00,8.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7301278,0.00,7.00,3.00,4.00,7.00,6.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7301286,5.00,8.00,3.00,7.00,9.00,8.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7301308,1.00,2.00,4.00,2.00,4.00,4.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7301316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7301324,2.00,6.00,3.00,6.00,7.00,8.63,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7301332,0.00,3.00,0.00,0.00,0.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7301340,0.00,4.00,0.00,4.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7301359,3.00,4.00,3.00,7.00,4.00,7.88,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7301367,1.00,5.00,1.00,5.00,6.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7301375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7301391,1.00,2.00,2.00,7.00,6.00,9.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7301405,0.00,4.00,0.00,2.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7301413,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7301421,2.00,5.00,3.00,6.00,0.00,NULL,3.00,4.00,4.00,NULL,NULL,'S','N'),(28,7301430,1.00,6.00,1.00,3.00,3.00,9.00,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7301448,3.00,7.00,2.00,6.00,8.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7301456,2.00,8.00,2.00,7.00,7.00,10.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7301464,1.00,3.00,1.00,3.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7301472,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7301480,2.00,6.00,1.00,5.00,6.00,7.50,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7301499,3.00,7.00,1.00,6.00,8.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7301502,5.00,7.00,3.00,7.00,9.00,13.13,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7301510,2.00,3.00,3.00,5.00,8.00,8.25,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7301529,2.00,6.00,1.00,6.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7301537,3.00,7.00,1.00,7.00,8.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7301553,3.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7301588,3.00,5.00,2.00,6.00,6.00,8.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7301596,2.00,4.00,2.00,5.00,4.00,4.88,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7301600,2.00,7.00,4.00,5.00,8.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7301618,1.00,1.00,2.00,2.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7301626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7301634,3.00,5.00,1.00,5.00,1.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7301642,1.00,2.00,0.00,0.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7301650,0.00,6.00,3.00,7.00,6.00,NULL,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7301669,2.00,5.00,2.00,6.00,6.00,9.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7301677,2.00,5.00,2.00,5.00,4.00,7.50,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7301685,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7301693,2.00,4.00,2.00,1.00,7.00,6.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7301707,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7301715,4.00,8.00,5.00,7.00,10.00,12.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7301740,6.00,6.00,4.00,3.00,8.00,8.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7301758,0.00,3.00,3.00,2.00,4.00,9.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7301766,1.00,4.00,3.00,2.00,4.00,5.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7301774,0.00,5.00,2.00,2.00,5.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7301782,4.00,8.00,1.00,6.00,4.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7301804,2.00,4.00,2.00,5.00,6.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7301812,0.00,2.00,2.00,5.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7301820,1.00,7.00,0.00,4.00,6.00,7.88,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7301839,2.00,6.00,1.00,7.00,9.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7301847,3.00,8.00,2.00,7.00,8.00,8.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7301855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7301863,0.00,3.00,2.00,4.00,6.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7301871,4.00,8.00,1.00,6.00,9.00,8.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7301880,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7301901,2.00,3.00,0.00,1.00,5.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7301910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7301936,2.00,3.00,2.00,2.00,5.00,4.50,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7301952,1.00,2.00,1.00,3.00,5.00,NULL,3.00,5.00,1.00,NULL,NULL,'S','N'),(28,7301960,5.00,8.00,5.00,6.00,10.00,8.63,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7301987,0.00,6.00,0.00,6.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7301995,4.00,7.00,3.00,5.00,5.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7302010,4.00,7.00,2.00,6.00,6.00,7.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7302037,1.00,8.00,3.00,7.00,7.00,5.63,3.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7302045,0.00,4.00,1.00,6.00,5.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7302053,3.00,2.00,1.00,6.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7302096,2.00,5.00,4.00,6.00,4.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7302100,1.00,6.00,0.00,7.00,7.00,10.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7302118,3.00,6.00,1.00,5.00,6.00,10.13,1.00,3.00,0.00,NULL,NULL,NULL,'S'),(28,7302126,2.00,5.00,1.00,3.00,5.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7302134,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7302150,3.00,5.00,1.00,6.00,6.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7302169,3.00,7.00,4.00,5.00,6.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7302185,6.00,7.00,1.00,6.00,9.00,10.13,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7302193,6.00,8.00,4.00,6.00,9.00,8.25,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7302207,4.00,4.00,2.00,5.00,10.00,13.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7302231,2.00,6.00,3.00,5.00,8.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7302240,1.00,7.00,0.00,3.00,5.00,6.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7302258,1.00,3.00,2.00,6.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7302266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7302274,5.00,8.00,2.00,7.00,6.00,9.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7302290,3.00,6.00,4.00,5.00,8.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7302304,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7302312,0.00,0.00,2.00,2.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7302339,6.00,7.00,3.00,6.00,9.00,8.25,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7302347,0.00,6.00,3.00,6.00,4.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7302355,3.00,3.00,0.00,2.00,3.00,5.25,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7302363,5.00,7.00,3.00,6.00,8.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7302398,2.00,8.00,1.00,7.00,8.00,12.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7302401,3.00,5.00,2.00,7.00,6.00,7.13,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7302410,2.00,7.00,3.00,4.00,3.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7302428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7302436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7302444,3.00,5.00,2.00,7.00,7.00,4.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7302452,1.00,7.00,2.00,7.00,7.00,4.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7302460,6.00,7.00,2.00,7.00,8.00,4.88,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7302487,1.00,4.00,3.00,4.00,5.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7302495,3.00,4.00,3.00,6.00,4.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7302509,1.00,4.00,2.00,6.00,3.00,0.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7302517,1.00,6.00,1.00,7.00,5.00,4.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7302533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7302550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7302568,6.00,9.00,1.00,6.00,10.00,10.13,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7302576,3.00,6.00,1.00,5.00,7.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7302584,1.00,6.00,2.00,5.00,5.00,8.63,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7302614,2.00,3.00,2.00,3.00,8.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7302622,0.00,3.00,1.00,1.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7302630,0.00,1.00,3.00,6.00,5.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7302649,2.00,7.00,2.00,3.00,9.00,9.00,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7302657,0.00,5.00,1.00,2.00,4.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7302665,0.00,4.00,2.00,5.00,4.00,9.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7302673,2.00,6.00,2.00,5.00,5.00,6.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7302681,0.00,1.00,1.00,1.00,3.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7302690,1.00,4.00,2.00,5.00,4.00,8.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7302703,3.00,6.00,2.00,4.00,5.00,9.38,1.00,5.00,0.00,NULL,NULL,NULL,'S'),(28,7302711,3.00,7.00,2.00,6.00,5.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7302746,3.00,6.00,2.00,7.00,5.00,10.13,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7302754,0.00,7.00,2.00,6.00,8.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7302762,1.00,4.00,2.00,3.00,4.00,6.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7302789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7302797,1.00,4.00,0.00,1.00,5.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7302800,2.00,5.00,4.00,5.00,3.00,NULL,0.00,2.00,4.00,NULL,NULL,'S','S'),(28,7302819,2.00,7.00,3.00,7.00,6.00,8.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7302827,3.00,8.00,1.00,4.00,5.00,9.38,0.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7302843,2.00,5.00,1.00,1.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7302851,2.00,6.00,5.00,6.00,7.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7302860,0.00,2.00,1.00,5.00,3.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7302894,0.00,4.00,1.00,4.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7302908,3.00,7.00,2.00,7.00,8.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7302916,5.00,7.00,2.00,4.00,5.00,7.13,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7302932,4.00,7.00,3.00,6.00,9.00,11.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7302940,4.00,7.00,4.00,6.00,6.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7302959,0.00,3.00,2.00,2.00,5.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7302967,1.00,6.00,1.00,1.00,3.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7302975,5.00,6.00,1.00,7.00,8.00,10.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7302983,2.00,6.00,2.00,1.00,4.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7302991,1.00,5.00,0.00,5.00,5.00,6.38,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7303009,5.00,7.00,2.00,6.00,8.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7303017,5.00,7.00,0.00,7.00,6.00,6.38,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7303025,0.00,4.00,2.00,5.00,4.00,6.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7303033,2.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7303041,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7303050,2.00,3.00,3.00,5.00,4.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7303068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7303076,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7303084,2.00,6.00,4.00,5.00,4.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7303092,0.00,5.00,5.00,2.00,7.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7303106,0.00,5.00,1.00,4.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7303114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7303130,8.00,8.00,7.00,7.00,9.00,7.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7303149,0.00,6.00,3.00,5.00,6.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7303157,1.00,5.00,1.00,5.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7303165,1.00,4.00,1.00,4.00,1.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7303173,2.00,7.00,3.00,5.00,9.00,9.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7303181,0.00,4.00,3.00,4.00,5.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7303190,2.00,6.00,0.00,2.00,4.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7303203,5.00,7.00,2.00,7.00,7.00,8.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7303211,2.00,5.00,0.00,4.00,5.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7303220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7303238,1.00,2.00,1.00,1.00,4.00,4.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7303246,4.00,7.00,0.00,2.00,0.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7303254,3.00,7.00,2.00,4.00,8.00,5.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7303262,4.00,7.00,6.00,6.00,7.00,8.63,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7303270,0.00,7.00,1.00,7.00,8.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7303289,3.00,8.00,2.00,6.00,7.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7303297,0.00,4.00,2.00,4.00,8.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7303300,2.00,3.00,0.00,3.00,3.00,6.38,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7303319,1.00,3.00,2.00,4.00,3.00,3.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7303335,1.00,5.00,1.00,4.00,3.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7303378,0.00,5.00,0.00,1.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7303386,5.00,8.00,3.00,6.00,6.00,9.75,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7303408,3.00,7.00,1.00,7.00,5.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7303424,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7303432,1.00,3.00,1.00,3.00,5.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7303440,2.00,9.00,3.00,6.00,6.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7303459,2.00,3.00,0.00,2.00,5.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7303467,0.00,0.00,1.00,4.00,1.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7303475,6.00,8.00,3.00,8.00,10.00,9.75,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7303483,3.00,4.00,2.00,1.00,2.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7303491,7.00,8.00,6.00,7.00,10.00,11.25,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7303505,2.00,6.00,2.00,4.00,6.00,6.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7303513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7303530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7303548,3.00,6.00,2.00,5.00,4.00,6.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7303564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7303572,4.00,7.00,1.00,5.00,5.00,7.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7303580,4.00,7.00,4.00,5.00,5.00,3.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7303599,0.00,3.00,2.00,6.00,4.00,7.50,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7303610,1.00,6.00,5.00,6.00,6.00,7.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7303637,3.00,7.00,3.00,6.00,6.00,10.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7303653,1.00,3.00,3.00,4.00,4.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7303661,0.00,2.00,2.00,2.00,3.00,8.25,1.00,1.00,5.00,NULL,NULL,NULL,'N'),(28,7303670,4.00,5.00,3.00,7.00,7.00,10.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7303688,2.00,4.00,3.00,7.00,7.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7303696,4.00,6.00,2.00,6.00,7.00,11.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7303700,0.00,5.00,1.00,6.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7303718,1.00,2.00,1.00,5.00,3.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7303726,2.00,4.00,2.00,5.00,6.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7303742,3.00,7.00,1.00,6.00,5.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7303750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7303777,3.00,8.00,0.00,3.00,5.00,4.50,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7303793,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7303807,2.00,5.00,3.00,6.00,8.00,7.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7303815,4.00,6.00,2.00,5.00,7.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7303823,1.00,3.00,2.00,5.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7303831,2.00,6.00,3.00,4.00,6.00,9.38,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7303840,5.00,8.00,3.00,7.00,7.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7303890,1.00,4.00,1.00,6.00,7.00,10.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7303904,0.00,5.00,0.00,2.00,3.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7303912,0.00,5.00,1.00,4.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7303920,1.00,4.00,3.00,1.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7303939,3.00,7.00,4.00,4.00,9.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7303947,4.00,8.00,5.00,8.00,10.00,8.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7303955,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7303963,3.00,7.00,4.00,7.00,9.00,12.38,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7303971,4.00,6.00,3.00,6.00,7.00,10.13,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7303980,1.00,0.00,1.00,5.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(28,7303998,4.00,3.00,4.00,3.00,7.00,9.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7304005,1.00,6.00,1.00,5.00,8.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7304013,3.00,4.00,2.00,6.00,3.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7304030,1.00,3.00,2.00,3.00,4.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7304048,4.00,6.00,1.00,8.00,3.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7304056,4.00,6.00,3.00,7.00,9.00,10.50,4.00,7.00,7.00,NULL,NULL,NULL,'S'),(28,7304064,7.00,7.00,2.00,6.00,8.00,8.63,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7304080,3.00,7.00,1.00,5.00,3.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7304099,1.00,4.00,1.00,4.00,7.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7304102,1.00,3.00,3.00,3.00,4.00,4.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7304110,3.00,5.00,2.00,5.00,5.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7304129,0.00,5.00,5.00,2.00,2.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7304137,0.00,2.00,3.00,4.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7304145,4.00,5.00,3.00,6.00,7.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7304153,2.00,6.00,1.00,6.00,4.00,6.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7304170,2.00,5.00,1.00,5.00,3.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7304188,3.00,5.00,2.00,6.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7304196,1.00,4.00,1.00,5.00,3.00,4.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7304218,4.00,9.00,2.00,5.00,6.00,9.75,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7304226,0.00,2.00,2.00,2.00,3.00,4.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7304234,4.00,6.00,2.00,4.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7304277,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7304285,0.00,4.00,2.00,3.00,6.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7304293,3.00,6.00,1.00,7.00,9.00,9.38,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7304307,4.00,4.00,3.00,7.00,6.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7304323,4.00,4.00,2.00,3.00,6.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7304331,5.00,7.00,5.00,6.00,8.00,9.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7304340,2.00,4.00,1.00,6.00,8.00,9.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7304366,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7304374,2.00,6.00,2.00,6.00,5.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7304390,3.00,3.00,3.00,5.00,6.00,6.00,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7304404,2.00,6.00,2.00,6.00,10.00,8.25,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7304412,3.00,6.00,5.00,6.00,6.00,7.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7304420,4.00,6.00,3.00,6.00,6.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7304439,1.00,3.00,2.00,7.00,6.00,7.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7304447,0.00,2.00,2.00,5.00,6.00,8.63,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7304455,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7304480,2.00,5.00,4.00,5.00,3.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7304498,1.00,7.00,2.00,4.00,7.00,10.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7304501,3.00,5.00,4.00,4.00,7.00,7.88,7.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7304528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7304536,0.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7304544,0.00,6.00,0.00,7.00,7.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7304552,0.00,3.00,1.00,4.00,6.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7304560,3.00,3.00,2.00,4.00,6.00,10.13,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7304595,4.00,7.00,2.00,5.00,7.00,9.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7304609,0.00,2.00,1.00,6.00,3.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7304617,0.00,2.00,1.00,4.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7304625,6.00,9.00,1.00,7.00,8.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7304650,2.00,8.00,0.00,7.00,6.00,12.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7304668,1.00,7.00,2.00,5.00,5.00,7.50,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7304676,0.00,5.00,4.00,6.00,7.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7304692,1.00,4.00,1.00,3.00,6.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7304749,0.00,3.00,0.00,5.00,4.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7304757,3.00,6.00,1.00,7.00,5.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7304765,0.00,6.00,2.00,4.00,5.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7304773,2.00,4.00,3.00,5.00,5.00,8.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7304781,3.00,7.00,1.00,6.00,7.00,6.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7304790,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7304811,4.00,5.00,1.00,3.00,4.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7304820,3.00,8.00,3.00,4.00,6.00,8.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7304854,0.00,3.00,3.00,5.00,7.00,6.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7304862,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7304870,2.00,7.00,3.00,7.00,8.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7304889,1.00,5.00,3.00,5.00,4.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7304897,3.00,2.00,1.00,4.00,4.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7304900,1.00,3.00,3.00,4.00,7.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7304919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7304927,4.00,7.00,1.00,7.00,8.00,8.63,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7304935,0.00,3.00,3.00,3.00,2.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7304943,5.00,6.00,0.00,6.00,8.00,8.25,2.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7304951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7304960,4.00,6.00,3.00,6.00,5.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7304978,3.00,8.00,1.00,5.00,8.00,4.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7304986,0.00,7.00,2.00,7.00,4.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7304994,0.00,3.00,2.00,6.00,7.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7305001,1.00,4.00,1.00,7.00,8.00,10.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7305010,1.00,4.00,2.00,4.00,5.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7305028,3.00,6.00,3.00,7.00,7.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7305036,4.00,5.00,2.00,4.00,3.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7305044,3.00,5.00,2.00,7.00,10.00,9.00,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7305052,1.00,5.00,1.00,7.00,5.00,10.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7305060,8.00,8.00,4.00,7.00,9.00,7.50,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7305079,3.00,0.00,3.00,8.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7305087,3.00,7.00,3.00,3.00,7.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7305095,2.00,4.00,2.00,5.00,5.00,6.38,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7305109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7305125,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7305133,0.00,7.00,2.00,7.00,3.00,8.63,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7305141,0.00,2.00,1.00,4.00,5.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7305168,4.00,6.00,1.00,7.00,5.00,12.00,2.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7305176,3.00,5.00,2.00,3.00,6.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7305184,5.00,5.00,2.00,3.00,3.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7305206,1.00,2.00,1.00,0.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7305214,3.00,6.00,3.00,7.00,7.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7305222,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7305230,0.00,0.00,1.00,3.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7305249,5.00,8.00,3.00,7.00,8.00,8.63,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7305257,2.00,6.00,3.00,5.00,3.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7305265,3.00,8.00,4.00,6.00,9.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7305273,0.00,3.00,2.00,2.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7305281,1.00,6.00,2.00,5.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7305290,3.00,4.00,2.00,4.00,7.00,5.25,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7305303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7305311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7305320,3.00,8.00,2.00,4.00,6.00,9.38,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7305338,5.00,8.00,2.00,7.00,8.00,9.00,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7305346,1.00,4.00,4.00,2.00,3.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7305354,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7305362,0.00,1.00,3.00,6.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7305370,8.00,6.00,4.00,5.00,4.00,7.50,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7305389,4.00,7.00,3.00,5.00,7.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7305397,5.00,8.00,3.00,5.00,9.00,10.88,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7305419,4.00,4.00,3.00,6.00,7.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7305427,5.00,7.00,1.00,7.00,3.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7305435,1.00,5.00,0.00,2.00,4.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7305443,2.00,7.00,4.00,7.00,6.00,9.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7305451,4.00,6.00,3.00,7.00,9.00,8.63,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7305460,4.00,7.00,4.00,8.00,10.00,12.38,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7305494,2.00,5.00,3.00,6.00,7.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7305508,5.00,7.00,3.00,5.00,6.00,9.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7305524,2.00,6.00,3.00,5.00,3.00,8.63,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7305532,3.00,8.00,4.00,6.00,9.00,9.38,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7305540,0.00,2.00,1.00,3.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7305559,2.00,4.00,1.00,4.00,5.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7305567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7305575,4.00,8.00,3.00,5.00,10.00,9.38,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7305583,1.00,4.00,1.00,5.00,5.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7305591,3.00,7.00,1.00,7.00,4.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7305605,4.00,7.00,2.00,6.00,6.00,7.88,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7305613,3.00,6.00,2.00,4.00,5.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7305621,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7305630,6.00,8.00,4.00,6.00,7.00,9.38,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7305648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7305656,6.00,7.00,3.00,7.00,8.00,9.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7305664,3.00,5.00,2.00,4.00,5.00,6.75,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7305680,1.00,6.00,1.00,5.00,3.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7305699,5.00,7.00,2.00,6.00,6.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7305702,0.00,3.00,0.00,4.00,4.00,11.63,1.00,4.00,0.00,NULL,NULL,NULL,'S'),(28,7305710,0.00,5.00,1.00,3.00,7.00,NULL,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7305729,1.00,3.00,1.00,3.00,1.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7305737,0.00,6.00,2.00,6.00,7.00,12.38,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7305745,1.00,6.00,3.00,5.00,4.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7305753,3.00,6.00,3.00,6.00,7.00,7.13,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7305761,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7305770,4.00,8.00,1.00,7.00,10.00,7.50,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7305788,1.00,6.00,0.00,4.00,5.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7305796,2.00,5.00,1.00,6.00,4.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7305800,2.00,7.00,1.00,5.00,6.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7305818,0.00,3.00,3.00,7.00,4.00,7.13,0.00,1.00,3.00,NULL,NULL,NULL,'S'),(28,7305826,5.00,7.00,2.00,6.00,8.00,8.63,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7305834,0.00,5.00,0.00,5.00,5.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7305842,4.00,6.00,3.00,6.00,9.00,9.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7305850,4.00,7.00,3.00,7.00,5.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7305869,6.00,7.00,3.00,6.00,7.00,11.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7305877,0.00,5.00,0.00,4.00,5.00,7.88,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7305885,2.00,7.00,2.00,5.00,7.00,7.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7305893,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7305907,4.00,5.00,0.00,6.00,5.00,6.38,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7305915,1.00,6.00,2.00,4.00,6.00,6.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7305923,1.00,3.00,2.00,2.00,5.00,8.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7305931,2.00,6.00,3.00,7.00,8.00,6.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7305940,1.00,5.00,2.00,5.00,5.00,5.63,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7305958,5.00,7.00,2.00,3.00,7.00,7.88,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7305966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7305982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7305990,4.00,5.00,3.00,7.00,8.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7306008,1.00,5.00,1.00,2.00,3.00,4.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7306016,2.00,3.00,2.00,3.00,3.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7306032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7306040,2.00,6.00,2.00,6.00,7.00,9.38,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7306059,2.00,5.00,2.00,6.00,5.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7306075,2.00,5.00,1.00,2.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7306083,2.00,6.00,2.00,5.00,8.00,7.88,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7306091,6.00,9.00,3.00,7.00,8.00,7.50,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7306105,3.00,6.00,3.00,6.00,6.00,6.75,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7306113,1.00,6.00,2.00,7.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,'S','S'),(28,7306121,0.00,5.00,1.00,6.00,7.00,3.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7306130,1.00,5.00,1.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7306148,0.00,6.00,2.00,5.00,4.00,6.38,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7306156,2.00,7.00,3.00,6.00,9.00,10.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7306164,1.00,4.00,2.00,7.00,4.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7306172,2.00,6.00,4.00,7.00,5.00,4.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7306180,3.00,3.00,2.00,4.00,6.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7306199,2.00,6.00,1.00,1.00,6.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7306202,3.00,5.00,2.00,4.00,5.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7306210,3.00,8.00,2.00,5.00,5.00,8.25,5.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7306229,2.00,5.00,3.00,3.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7306245,3.00,9.00,4.00,7.00,7.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7306261,4.00,7.00,2.00,5.00,8.00,5.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7306270,1.00,4.00,0.00,7.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7306288,1.00,6.00,1.00,5.00,7.00,6.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7306300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7306326,8.00,8.00,2.00,7.00,11.00,9.75,6.00,9.00,8.00,NULL,NULL,NULL,'N'),(28,7306334,3.00,8.00,3.00,7.00,5.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7306342,1.00,3.00,0.00,2.00,4.00,4.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7306350,2.00,6.00,2.00,7.00,6.00,10.50,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7306369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7306377,0.00,0.00,2.00,6.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7306415,3.00,7.00,2.00,7.00,7.00,12.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7306423,2.00,7.00,1.00,6.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7306431,2.00,5.00,1.00,6.00,10.00,10.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7306440,2.00,5.00,2.00,5.00,6.00,12.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7306458,0.00,6.00,2.00,4.00,3.00,7.13,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7306466,1.00,7.00,2.00,7.00,7.00,9.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7306490,2.00,4.00,2.00,6.00,6.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7306504,2.00,4.00,5.00,6.00,2.00,NULL,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7306520,2.00,3.00,2.00,4.00,4.00,4.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7306539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7306547,0.00,6.00,1.00,6.00,4.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7306555,2.00,4.00,1.00,6.00,5.00,6.38,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7306563,2.00,6.00,0.00,4.00,7.00,6.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7306571,1.00,8.00,0.00,6.00,5.00,NULL,2.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7306598,1.00,3.00,1.00,6.00,4.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7306601,0.00,2.00,0.00,1.00,5.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7306610,4.00,6.00,2.00,5.00,2.00,NULL,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7306628,3.00,8.00,2.00,6.00,9.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7306636,3.00,7.00,5.00,6.00,8.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7306644,0.00,4.00,1.00,6.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7306652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7306660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7306679,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7306687,3.00,6.00,2.00,5.00,7.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7306695,5.00,8.00,3.00,8.00,6.00,7.88,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7306717,0.00,4.00,1.00,3.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,'S','S'),(28,7306725,2.00,4.00,3.00,6.00,7.00,4.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7306733,5.00,4.00,3.00,4.00,4.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7306741,1.00,8.00,1.00,7.00,7.00,8.63,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7306768,1.00,6.00,1.00,6.00,5.00,10.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7306776,0.00,5.00,3.00,3.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7306792,0.00,2.00,3.00,2.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7306806,4.00,7.00,2.00,7.00,6.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7306814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7306822,1.00,3.00,3.00,4.00,4.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7306830,2.00,6.00,2.00,5.00,4.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7306857,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7306865,1.00,2.00,1.00,4.00,3.00,3.00,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(28,7306873,2.00,5.00,2.00,6.00,7.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7306881,3.00,7.00,3.00,7.00,8.00,7.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7306890,3.00,7.00,0.00,4.00,7.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7306903,0.00,3.00,2.00,1.00,5.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7306911,2.00,6.00,2.00,3.00,5.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7306920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7306946,2.00,8.00,4.00,5.00,6.00,10.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7306954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7306962,2.00,6.00,1.00,7.00,7.00,11.25,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7306970,1.00,4.00,0.00,2.00,5.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7306997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7307004,3.00,8.00,2.00,7.00,8.00,10.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7307012,3.00,8.00,3.00,7.00,6.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7307020,3.00,8.00,1.00,6.00,8.00,6.75,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7307039,0.00,5.00,3.00,2.00,6.00,7.13,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7307047,5.00,7.00,4.00,6.00,8.00,8.25,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7307055,0.00,2.00,2.00,5.00,4.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7307063,0.00,3.00,2.00,2.00,4.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7307080,2.00,5.00,0.00,3.00,7.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7307098,1.00,5.00,3.00,7.00,7.00,9.38,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7307101,5.00,5.00,2.00,7.00,8.00,9.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7307110,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7307128,2.00,3.00,0.00,2.00,3.00,5.63,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7307136,6.00,7.00,2.00,5.00,8.00,10.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7307144,5.00,8.00,5.00,6.00,9.00,9.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7307152,2.00,3.00,3.00,7.00,5.00,5.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7307160,1.00,5.00,2.00,4.00,7.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7307179,4.00,5.00,1.00,4.00,4.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7307195,3.00,5.00,2.00,6.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7307209,5.00,8.00,2.00,6.00,8.00,7.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7307217,5.00,7.00,1.00,6.00,8.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7307225,1.00,4.00,1.00,5.00,4.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7307233,3.00,5.00,3.00,5.00,8.00,6.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7307241,0.00,5.00,4.00,4.00,3.00,7.13,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7307250,1.00,5.00,3.00,3.00,7.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7307276,3.00,6.00,3.00,6.00,6.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7307284,0.00,3.00,2.00,4.00,4.00,6.75,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7307292,2.00,4.00,2.00,2.00,3.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7307306,3.00,7.00,3.00,6.00,7.00,6.38,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7307314,3.00,6.00,1.00,7.00,10.00,10.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7307322,2.00,7.00,2.00,6.00,5.00,6.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7307330,0.00,4.00,1.00,5.00,6.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7307349,1.00,6.00,3.00,3.00,3.00,5.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7307357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7307365,2.00,6.00,4.00,5.00,8.00,10.13,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7307381,0.00,1.00,0.00,0.00,0.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7307390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7307403,2.00,6.00,1.00,7.00,6.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7307411,1.00,5.00,1.00,6.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7307438,3.00,6.00,5.00,5.00,5.00,9.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7307454,1.00,4.00,2.00,3.00,7.00,8.25,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7307462,0.00,3.00,1.00,4.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7307470,0.00,5.00,1.00,4.00,7.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7307489,1.00,4.00,2.00,5.00,5.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7307497,3.00,6.00,1.00,5.00,5.00,8.63,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7307500,3.00,6.00,1.00,4.00,6.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7307527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7307535,3.00,8.00,2.00,5.00,8.00,10.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7307543,1.00,4.00,1.00,6.00,7.00,11.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7307551,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7307560,5.00,6.00,0.00,6.00,5.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7307578,0.00,7.00,0.00,3.00,3.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7307586,4.00,8.00,2.00,7.00,9.00,12.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7307594,2.00,3.00,2.00,5.00,4.00,4.88,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7307616,2.00,3.00,3.00,5.00,6.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7307624,2.00,6.00,1.00,4.00,6.00,NULL,1.00,4.00,2.00,NULL,NULL,'S','S'),(28,7307632,2.00,4.00,1.00,6.00,10.00,8.63,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7307640,0.00,2.00,1.00,3.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7307659,1.00,5.00,3.00,3.00,9.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7307675,0.00,7.00,2.00,4.00,7.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7307683,1.00,5.00,0.00,4.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7307691,2.00,4.00,2.00,6.00,5.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7307705,4.00,7.00,2.00,7.00,9.00,10.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7307713,4.00,8.00,4.00,5.00,6.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7307721,6.00,6.00,5.00,7.00,8.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7307730,5.00,9.00,2.00,5.00,5.00,7.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7307748,7.00,6.00,2.00,6.00,7.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7307756,1.00,3.00,3.00,5.00,3.00,5.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7307764,2.00,5.00,2.00,2.00,5.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7307772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7307780,2.00,2.00,3.00,4.00,4.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7307799,4.00,6.00,4.00,4.00,7.00,7.13,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7307802,3.00,6.00,2.00,3.00,6.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7307810,3.00,6.00,2.00,6.00,5.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7307829,2.00,5.00,2.00,7.00,5.00,10.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7307837,3.00,7.00,2.00,6.00,6.00,8.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7307845,3.00,8.00,1.00,4.00,6.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7307853,4.00,7.00,2.00,8.00,9.00,9.38,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7307861,1.00,3.00,2.00,2.00,0.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7307870,3.00,4.00,2.00,5.00,3.00,5.25,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7307888,3.00,7.00,2.00,4.00,5.00,6.00,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7307918,2.00,7.00,1.00,6.00,3.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7307926,2.00,8.00,3.00,7.00,7.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7307934,2.00,6.00,0.00,6.00,6.00,7.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7307942,1.00,4.00,0.00,3.00,5.00,5.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7307950,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7307977,6.00,7.00,4.00,6.00,6.00,9.38,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7307985,2.00,5.00,1.00,5.00,5.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7308000,3.00,4.00,1.00,4.00,6.00,8.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7308019,3.00,5.00,2.00,7.00,6.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7308027,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7308035,3.00,6.00,2.00,7.00,9.00,9.00,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7308051,3.00,6.00,1.00,6.00,4.00,7.13,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7308060,0.00,5.00,2.00,5.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7308078,0.00,2.00,5.00,3.00,3.00,3.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7308086,0.00,6.00,2.00,5.00,4.00,6.38,0.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7308094,1.00,4.00,2.00,3.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7308108,2.00,7.00,1.00,4.00,5.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7308116,4.00,7.00,2.00,6.00,7.00,6.38,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7308124,3.00,7.00,3.00,6.00,5.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7308132,0.00,6.00,1.00,6.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7308140,1.00,6.00,0.00,3.00,4.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7308159,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7308167,3.00,6.00,1.00,4.00,5.00,6.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7308175,0.00,2.00,2.00,1.00,4.00,6.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7308183,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7308191,1.00,4.00,2.00,4.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7308205,4.00,7.00,4.00,5.00,5.00,6.38,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7308213,0.00,6.00,2.00,6.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7308230,3.00,7.00,1.00,6.00,8.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7308248,0.00,2.00,3.00,6.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7308256,5.00,8.00,2.00,7.00,9.00,9.75,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(28,7308264,3.00,6.00,1.00,4.00,4.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7308272,4.00,8.00,2.00,4.00,8.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7308280,3.00,8.00,4.00,5.00,6.00,7.50,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(28,7308299,1.00,2.00,1.00,5.00,4.00,5.25,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7308310,1.00,8.00,1.00,6.00,10.00,9.75,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7308329,5.00,6.00,5.00,4.00,6.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7308337,0.00,2.00,0.00,2.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7308345,5.00,6.00,1.00,7.00,5.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7308353,0.00,6.00,2.00,3.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7308361,5.00,7.00,2.00,7.00,7.00,6.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7308370,4.00,8.00,3.00,3.00,6.00,6.00,4.00,2.00,7.00,NULL,NULL,NULL,'N'),(28,7308388,3.00,8.00,2.00,6.00,4.00,6.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7308396,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7308418,5.00,7.00,2.00,6.00,6.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7308426,1.00,4.00,0.00,5.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7308434,0.00,4.00,3.00,6.00,7.00,10.13,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7308442,0.00,7.00,0.00,5.00,3.00,6.00,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7308450,4.00,3.00,3.00,5.00,7.00,6.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7308469,4.00,7.00,2.00,5.00,5.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7308477,0.00,2.00,1.00,1.00,6.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7308485,5.00,8.00,2.00,6.00,8.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7308493,0.00,5.00,2.00,3.00,3.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7308507,0.00,5.00,4.00,3.00,6.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7308515,5.00,7.00,3.00,5.00,8.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7308523,0.00,0.00,1.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7308540,2.00,4.00,2.00,3.00,2.00,NULL,3.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7308566,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7308574,1.00,7.00,0.00,5.00,5.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7308582,7.00,7.00,6.00,7.00,7.00,8.63,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7308590,4.00,7.00,4.00,7.00,9.00,11.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7308604,3.00,5.00,2.00,5.00,8.00,11.63,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7308612,4.00,6.00,2.00,6.00,8.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7308620,3.00,4.00,2.00,6.00,7.00,7.50,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7308639,2.00,5.00,2.00,2.00,5.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7308647,5.00,4.00,2.00,5.00,6.00,5.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7308655,4.00,8.00,5.00,7.00,9.00,9.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7308663,3.00,7.00,0.00,3.00,7.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7308698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7308701,3.00,6.00,2.00,6.00,6.00,8.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7308710,0.00,6.00,0.00,0.00,0.00,NULL,3.00,3.00,2.00,'S',NULL,NULL,'N'),(28,7308728,0.00,4.00,2.00,1.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7308736,2.00,5.00,1.00,4.00,5.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7308744,6.00,6.00,2.00,7.00,7.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7308752,0.00,6.00,2.00,7.00,7.00,6.38,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7308760,3.00,6.00,0.00,4.00,7.00,9.00,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7308779,4.00,5.00,1.00,7.00,6.00,8.25,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7308787,4.00,6.00,2.00,4.00,5.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7308795,2.00,3.00,2.00,3.00,4.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7308809,5.00,7.00,4.00,5.00,9.00,9.00,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7308817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7308825,2.00,7.00,3.00,7.00,5.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7308833,1.00,6.00,3.00,5.00,8.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7308841,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7308850,4.00,6.00,1.00,4.00,3.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7308868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7308876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7308884,2.00,6.00,1.00,1.00,5.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7308892,2.00,4.00,1.00,4.00,4.00,6.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7308906,2.00,6.00,1.00,6.00,3.00,4.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7308914,0.00,2.00,3.00,4.00,4.00,6.00,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7308922,0.00,3.00,1.00,3.00,3.00,6.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7308930,3.00,3.00,1.00,5.00,3.00,5.25,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7308957,1.00,4.00,2.00,3.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7308965,2.00,5.00,2.00,6.00,7.00,9.38,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7308973,2.00,4.00,2.00,7.00,7.00,9.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7308981,1.00,3.00,2.00,2.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7308990,2.00,4.00,3.00,3.00,4.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7309007,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7309015,1.00,4.00,2.00,3.00,5.00,5.63,5.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7309023,2.00,4.00,1.00,2.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7309031,3.00,6.00,3.00,7.00,5.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7309040,0.00,4.00,0.00,7.00,0.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7309058,1.00,6.00,3.00,4.00,6.00,6.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7309066,0.00,3.00,1.00,5.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7309074,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7309082,0.00,2.00,2.00,1.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7309090,2.00,5.00,1.00,6.00,5.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7309104,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7309112,3.00,4.00,2.00,4.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7309120,1.00,5.00,3.00,7.00,9.00,12.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7309139,1.00,6.00,2.00,1.00,5.00,6.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7309147,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7309155,2.00,8.00,1.00,6.00,7.00,8.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7309163,6.00,7.00,2.00,7.00,9.00,12.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7309171,5.00,5.00,1.00,3.00,5.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7309180,3.00,4.00,2.00,6.00,4.00,0.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7309198,5.00,7.00,3.00,6.00,7.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7309201,3.00,4.00,3.00,6.00,5.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7309210,3.00,6.00,2.00,6.00,6.00,6.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7309236,0.00,4.00,3.00,5.00,3.00,9.00,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7309244,2.00,3.00,1.00,0.00,4.00,5.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7309252,4.00,8.00,3.00,7.00,8.00,8.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7309287,0.00,7.00,1.00,7.00,8.00,NULL,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7309295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7309309,2.00,6.00,3.00,5.00,8.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7309333,3.00,8.00,2.00,7.00,6.00,9.00,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7309341,1.00,7.00,0.00,2.00,4.00,9.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7309350,1.00,5.00,1.00,7.00,5.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7309368,0.00,7.00,3.00,3.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7309376,2.00,6.00,0.00,2.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7309384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7309392,1.00,5.00,1.00,7.00,8.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7309406,0.00,6.00,1.00,4.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7309414,1.00,5.00,4.00,4.00,1.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7309422,4.00,8.00,4.00,6.00,7.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7309430,1.00,4.00,2.00,3.00,3.00,4.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7309465,4.00,5.00,2.00,5.00,4.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7309473,7.00,8.00,1.00,6.00,10.00,8.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7309481,1.00,7.00,0.00,5.00,4.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7309490,1.00,4.00,3.00,5.00,3.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7309503,5.00,7.00,4.00,5.00,7.00,6.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7309511,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7309520,0.00,4.00,1.00,2.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7309538,7.00,8.00,3.00,6.00,8.00,10.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7309546,4.00,7.00,2.00,3.00,6.00,6.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7309554,3.00,7.00,3.00,5.00,7.00,7.50,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7309562,2.00,6.00,1.00,6.00,7.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7309570,6.00,8.00,3.00,6.00,5.00,10.13,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7309589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7309597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7309600,4.00,3.00,0.00,5.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7309619,2.00,5.00,1.00,4.00,8.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7309627,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7309635,5.00,7.00,2.00,7.00,7.00,11.25,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7309643,4.00,8.00,1.00,4.00,7.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7309651,2.00,6.00,0.00,7.00,8.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7309660,2.00,6.00,3.00,2.00,5.00,5.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7309678,7.00,8.00,4.00,7.00,11.00,12.38,9.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7309686,3.00,7.00,2.00,7.00,6.00,8.25,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7309694,4.00,7.00,4.00,7.00,7.00,7.88,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7309716,0.00,7.00,1.00,6.00,8.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7309724,6.00,7.00,5.00,6.00,9.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7309732,0.00,7.00,1.00,6.00,4.00,6.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7309759,1.00,5.00,0.00,6.00,5.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7309767,4.00,7.00,1.00,7.00,9.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7309775,0.00,6.00,1.00,5.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7309791,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7309813,3.00,6.00,1.00,3.00,8.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7309821,4.00,5.00,2.00,4.00,7.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7309830,3.00,8.00,4.00,8.00,8.00,7.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7309848,1.00,8.00,0.00,7.00,2.00,NULL,4.00,5.00,2.00,NULL,NULL,'S','S'),(28,7309856,1.00,7.00,0.00,7.00,7.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7309864,1.00,4.00,1.00,6.00,6.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7309872,1.00,3.00,1.00,3.00,6.00,6.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7309880,0.00,5.00,1.00,1.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7309899,3.00,6.00,4.00,7.00,7.00,10.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7309902,0.00,2.00,3.00,2.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7309910,1.00,4.00,0.00,2.00,3.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7309937,2.00,2.00,3.00,4.00,5.00,3.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7309945,0.00,4.00,0.00,2.00,4.00,NULL,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7309970,2.00,6.00,3.00,5.00,7.00,6.38,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7309988,1.00,3.00,2.00,3.00,6.00,7.13,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7309996,2.00,4.00,1.00,3.00,6.00,4.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7310005,4.00,7.00,4.00,7.00,8.00,9.38,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7310013,5.00,6.00,3.00,3.00,7.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7310021,0.00,5.00,2.00,6.00,4.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7310030,7.00,7.00,2.00,6.00,10.00,9.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7310048,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7310056,1.00,3.00,2.00,6.00,6.00,4.50,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7310064,1.00,5.00,1.00,4.00,7.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7310072,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7310080,1.00,4.00,2.00,4.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7310102,3.00,6.00,1.00,6.00,4.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7310110,0.00,3.00,4.00,4.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7310129,2.00,3.00,3.00,7.00,6.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7310137,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7310145,2.00,7.00,3.00,5.00,5.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7310153,2.00,4.00,2.00,4.00,5.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7310161,0.00,5.00,0.00,1.00,4.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7310170,4.00,8.00,2.00,6.00,5.00,8.63,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7310188,4.00,6.00,1.00,7.00,5.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7310196,3.00,6.00,3.00,5.00,7.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7310200,3.00,5.00,2.00,6.00,5.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7310218,4.00,5.00,2.00,1.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7310234,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7310250,2.00,5.00,1.00,7.00,4.00,11.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7310277,1.00,2.00,2.00,4.00,6.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7310293,3.00,7.00,1.00,7.00,9.00,6.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7310307,1.00,5.00,3.00,4.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7310315,2.00,4.00,2.00,5.00,8.00,9.00,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7310323,3.00,8.00,2.00,7.00,8.00,10.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7310331,3.00,3.00,4.00,2.00,4.00,5.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7310340,0.00,4.00,2.00,2.00,4.00,6.38,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7310358,0.00,4.00,2.00,1.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7310366,4.00,6.00,2.00,5.00,8.00,9.00,6.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7310374,0.00,4.00,2.00,5.00,4.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7310382,7.00,8.00,2.00,6.00,8.00,8.63,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7310390,6.00,8.00,7.00,7.00,8.00,9.75,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7310404,1.00,3.00,1.00,4.00,3.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7310412,2.00,7.00,0.00,6.00,7.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7310420,1.00,6.00,0.00,3.00,10.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7310439,4.00,9.00,3.00,7.00,7.00,6.38,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7310447,3.00,4.00,3.00,3.00,6.00,6.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7310455,3.00,6.00,1.00,3.00,3.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7310463,0.00,4.00,2.00,4.00,1.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7310471,3.00,6.00,1.00,4.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7310480,3.00,6.00,1.00,5.00,3.00,3.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7310498,1.00,5.00,2.00,6.00,3.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7310510,5.00,7.00,3.00,6.00,7.00,6.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7310528,3.00,7.00,3.00,7.00,10.00,10.88,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7310544,4.00,6.00,3.00,6.00,4.00,4.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7310552,0.00,3.00,2.00,4.00,6.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'S'),(28,7310560,0.00,5.00,2.00,6.00,6.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7310579,3.00,6.00,4.00,7.00,8.00,8.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7310587,2.00,5.00,2.00,7.00,8.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7310595,4.00,5.00,1.00,4.00,5.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7310609,0.00,2.00,1.00,1.00,4.00,0.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7310633,0.00,4.00,4.00,4.00,3.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7310641,2.00,7.00,1.00,1.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7310650,6.00,8.00,4.00,7.00,10.00,7.50,5.00,9.00,6.00,NULL,NULL,NULL,'N'),(28,7310668,3.00,6.00,1.00,5.00,7.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7310684,3.00,2.00,2.00,6.00,6.00,9.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7310692,0.00,3.00,4.00,6.00,3.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7310706,3.00,4.00,2.00,6.00,4.00,8.63,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7310714,1.00,3.00,2.00,5.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7310722,3.00,4.00,4.00,2.00,5.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7310730,4.00,7.00,4.00,6.00,5.00,6.00,5.00,3.00,7.00,NULL,NULL,NULL,'N'),(28,7310757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7310765,3.00,6.00,2.00,4.00,3.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7310773,3.00,6.00,3.00,5.00,9.00,11.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7310781,3.00,6.00,4.00,4.00,7.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7310790,4.00,8.00,3.00,6.00,7.00,6.75,7.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7310803,3.00,6.00,1.00,5.00,5.00,8.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7310811,1.00,3.00,1.00,7.00,3.00,4.88,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7310820,1.00,5.00,1.00,1.00,3.00,3.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7310846,2.00,6.00,4.00,4.00,5.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7310854,2.00,7.00,2.00,4.00,6.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7310889,5.00,9.00,5.00,6.00,7.00,10.13,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7310900,0.00,3.00,3.00,5.00,3.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7310919,2.00,4.00,0.00,5.00,8.00,6.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7310927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7310935,3.00,6.00,0.00,5.00,4.00,NULL,3.00,6.00,2.00,NULL,NULL,'S','N'),(28,7310943,3.00,7.00,3.00,8.00,10.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7310951,6.00,5.00,5.00,5.00,6.00,6.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7310960,1.00,5.00,2.00,3.00,7.00,8.25,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7310978,3.00,5.00,1.00,5.00,5.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7310986,7.00,8.00,4.00,7.00,8.00,6.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7310994,3.00,8.00,0.00,6.00,6.00,10.88,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7311001,1.00,3.00,0.00,6.00,4.00,4.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7311010,2.00,7.00,1.00,4.00,3.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7311028,1.00,5.00,2.00,5.00,6.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7311036,1.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7311052,4.00,7.00,3.00,5.00,8.00,7.13,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7311060,3.00,5.00,1.00,6.00,5.00,6.38,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7311087,3.00,6.00,1.00,4.00,7.00,8.25,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7311109,5.00,0.00,1.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7311117,3.00,6.00,0.00,7.00,1.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7311125,3.00,8.00,1.00,6.00,8.00,9.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7311133,0.00,0.00,1.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7311141,2.00,6.00,3.00,8.00,8.00,12.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7311168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7311184,1.00,5.00,2.00,6.00,3.00,5.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7311192,0.00,5.00,1.00,7.00,7.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7311206,5.00,6.00,3.00,6.00,8.00,7.88,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7311214,2.00,2.00,1.00,3.00,6.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7311222,6.00,7.00,2.00,6.00,9.00,8.25,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7311230,0.00,3.00,0.00,5.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7311249,0.00,5.00,3.00,5.00,7.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7311265,1.00,4.00,0.00,5.00,1.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7311273,1.00,3.00,3.00,0.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7311281,1.00,7.00,2.00,5.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,'S','N'),(28,7311290,1.00,3.00,0.00,5.00,5.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7311303,3.00,5.00,1.00,2.00,3.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7311311,2.00,5.00,1.00,7.00,7.00,8.25,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7311346,0.00,5.00,1.00,5.00,5.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7311370,5.00,8.00,2.00,7.00,9.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7311389,5.00,7.00,5.00,6.00,8.00,6.38,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7311397,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7311419,3.00,8.00,2.00,7.00,7.00,9.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7311427,4.00,6.00,3.00,7.00,8.00,11.63,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7311435,4.00,5.00,4.00,6.00,5.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7311443,5.00,6.00,3.00,5.00,9.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7311451,1.00,3.00,1.00,4.00,5.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7311460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7311478,0.00,7.00,1.00,6.00,3.00,10.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7311486,4.00,6.00,4.00,7.00,7.00,7.88,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7311494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7311508,1.00,5.00,2.00,6.00,7.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7311516,3.00,4.00,0.00,4.00,3.00,5.63,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7311524,5.00,9.00,1.00,6.00,8.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7311532,0.00,5.00,2.00,2.00,1.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7311540,3.00,7.00,2.00,6.00,7.00,12.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7311559,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7311575,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7311583,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7311591,0.00,4.00,1.00,7.00,5.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7311605,3.00,3.00,4.00,2.00,3.00,5.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7311621,1.00,6.00,2.00,5.00,5.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7311630,1.00,2.00,2.00,6.00,6.00,5.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7311648,3.00,7.00,2.00,6.00,8.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7311656,2.00,3.00,2.00,6.00,4.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7311664,3.00,5.00,3.00,6.00,4.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7311672,3.00,4.00,3.00,5.00,7.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7311680,0.00,3.00,2.00,4.00,3.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7311699,3.00,8.00,2.00,5.00,7.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7311710,3.00,5.00,2.00,7.00,7.00,8.25,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7311737,0.00,2.00,1.00,4.00,5.00,4.88,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7311745,0.00,5.00,1.00,3.00,6.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7311753,3.00,6.00,1.00,6.00,4.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7311761,2.00,7.00,1.00,6.00,4.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7311788,4.00,6.00,4.00,7.00,9.00,11.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7311800,1.00,5.00,1.00,6.00,6.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7311818,1.00,9.00,3.00,5.00,7.00,8.25,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7311826,1.00,3.00,1.00,2.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,'S','N'),(28,7311834,3.00,6.00,4.00,7.00,5.00,5.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7311842,2.00,6.00,1.00,7.00,7.00,12.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7311850,2.00,8.00,3.00,2.00,8.00,8.25,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7311869,3.00,7.00,4.00,7.00,7.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7311877,4.00,7.00,1.00,6.00,7.00,9.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7311885,1.00,5.00,3.00,6.00,7.00,10.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7311893,1.00,5.00,0.00,4.00,8.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7311915,5.00,7.00,2.00,6.00,8.00,10.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7311923,1.00,1.00,1.00,5.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7311931,2.00,4.00,3.00,5.00,7.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7311940,0.00,5.00,4.00,6.00,5.00,NULL,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7311958,2.00,6.00,4.00,5.00,6.00,7.50,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7311966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7311974,2.00,5.00,3.00,3.00,1.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7311982,0.00,5.00,1.00,6.00,7.00,NULL,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7311990,1.00,6.00,2.00,7.00,6.00,8.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7312008,1.00,5.00,2.00,2.00,5.00,8.63,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7312016,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7312024,2.00,6.00,3.00,6.00,7.00,11.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7312032,0.00,6.00,3.00,2.00,4.00,3.00,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7312040,7.00,6.00,4.00,6.00,6.00,8.63,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7312059,3.00,5.00,1.00,6.00,6.00,10.88,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7312067,0.00,4.00,2.00,6.00,8.00,6.38,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7312075,4.00,6.00,3.00,6.00,6.00,9.00,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7312083,2.00,8.00,1.00,5.00,6.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7312091,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7312113,4.00,6.00,4.00,6.00,4.00,8.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7312121,6.00,8.00,4.00,7.00,10.00,10.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7312130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7312148,5.00,6.00,2.00,7.00,9.00,6.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7312164,0.00,5.00,3.00,2.00,5.00,4.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7312172,4.00,6.00,2.00,4.00,7.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7312180,0.00,7.00,2.00,7.00,7.00,9.00,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7312199,6.00,8.00,3.00,7.00,7.00,6.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7312202,5.00,7.00,5.00,7.00,7.00,10.13,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7312210,4.00,9.00,3.00,7.00,7.00,6.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7312229,0.00,2.00,2.00,2.00,2.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7312237,4.00,3.00,3.00,4.00,4.00,4.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7312245,3.00,6.00,2.00,5.00,8.00,8.63,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7312253,0.00,3.00,2.00,4.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7312261,2.00,3.00,0.00,5.00,7.00,9.38,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7312270,3.00,5.00,2.00,6.00,3.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7312288,3.00,3.00,0.00,5.00,7.00,6.38,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7312296,1.00,5.00,0.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7312300,3.00,5.00,5.00,6.00,4.00,6.00,5.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7312326,1.00,4.00,2.00,4.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7312334,2.00,2.00,2.00,2.00,3.00,9.75,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7312342,0.00,2.00,0.00,6.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7312350,5.00,7.00,4.00,6.00,7.00,8.63,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7312369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7312377,4.00,3.00,3.00,5.00,4.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7312385,5.00,9.00,3.00,7.00,10.00,10.13,7.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7312393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7312407,0.00,3.00,2.00,2.00,5.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7312415,4.00,7.00,3.00,4.00,7.00,7.13,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7312423,0.00,4.00,4.00,4.00,5.00,7.88,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7312431,0.00,4.00,1.00,4.00,8.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7312440,3.00,4.00,2.00,3.00,4.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7312458,4.00,4.00,2.00,2.00,5.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7312466,1.00,5.00,2.00,6.00,4.00,7.13,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7312474,3.00,6.00,3.00,6.00,7.00,10.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7312490,1.00,6.00,1.00,7.00,7.00,4.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7312504,1.00,4.00,2.00,7.00,7.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7312512,0.00,4.00,1.00,8.00,3.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7312520,2.00,5.00,2.00,7.00,3.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7312539,3.00,3.00,2.00,3.00,4.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7312547,1.00,6.00,3.00,6.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7312571,3.00,5.00,3.00,3.00,5.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7312580,2.00,3.00,3.00,6.00,6.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7312598,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7312601,7.00,6.00,2.00,5.00,7.00,9.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7312610,1.00,5.00,2.00,4.00,8.00,8.63,7.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7312628,1.00,4.00,2.00,3.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7312636,1.00,5.00,1.00,5.00,4.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7312644,1.00,7.00,3.00,6.00,6.00,8.25,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7312652,5.00,6.00,3.00,7.00,4.00,8.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7312660,4.00,8.00,2.00,4.00,4.00,9.38,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7312679,1.00,6.00,3.00,6.00,6.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7312687,0.00,3.00,3.00,4.00,3.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7312695,2.00,5.00,3.00,7.00,6.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7312717,5.00,6.00,3.00,7.00,8.00,8.25,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7312725,3.00,4.00,1.00,5.00,7.00,10.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7312733,5.00,7.00,2.00,7.00,7.00,10.50,3.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7312750,1.00,5.00,1.00,5.00,5.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7312768,0.00,4.00,1.00,4.00,4.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7312776,3.00,1.00,3.00,4.00,6.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7312784,1.00,6.00,2.00,5.00,7.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7312792,5.00,7.00,2.00,6.00,7.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7312806,3.00,5.00,2.00,6.00,7.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7312814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7312822,1.00,7.00,2.00,6.00,8.00,10.50,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7312830,1.00,8.00,3.00,5.00,4.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7312849,3.00,5.00,3.00,6.00,6.00,8.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7312857,4.00,7.00,3.00,7.00,9.00,8.25,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7312873,2.00,5.00,4.00,6.00,4.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7312890,3.00,7.00,3.00,6.00,5.00,6.00,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7312911,3.00,7.00,4.00,5.00,8.00,8.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7312920,4.00,5.00,1.00,2.00,4.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7312938,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7312954,2.00,8.00,2.00,6.00,9.00,7.50,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7312962,2.00,7.00,3.00,7.00,6.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7312970,8.00,7.00,5.00,7.00,10.00,13.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7312997,1.00,5.00,1.00,7.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7313004,4.00,7.00,5.00,7.00,7.00,9.38,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7313012,5.00,7.00,2.00,5.00,5.00,10.13,2.00,9.00,7.00,NULL,NULL,NULL,'N'),(28,7313020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7313039,4.00,7.00,4.00,6.00,7.00,7.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7313055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7313063,2.00,6.00,2.00,7.00,9.00,6.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7313071,0.00,3.00,3.00,3.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7313080,6.00,7.00,3.00,6.00,6.00,8.25,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7313098,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7313128,3.00,7.00,3.00,5.00,6.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7313136,4.00,0.00,3.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(28,7313144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7313152,1.00,4.00,1.00,5.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7313160,1.00,6.00,2.00,6.00,4.00,9.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7313179,0.00,4.00,5.00,5.00,3.00,7.13,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7313187,2.00,8.00,1.00,4.00,8.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7313195,3.00,4.00,3.00,6.00,5.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7313209,5.00,4.00,1.00,5.00,3.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7313217,0.00,4.00,2.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7313225,2.00,5.00,2.00,2.00,6.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7313233,3.00,6.00,1.00,7.00,4.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7313241,5.00,3.00,4.00,5.00,3.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7313250,3.00,3.00,4.00,5.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7313268,1.00,4.00,0.00,4.00,4.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7313276,2.00,3.00,0.00,3.00,1.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7313284,2.00,6.00,2.00,3.00,5.00,7.50,4.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7313292,4.00,7.00,3.00,6.00,5.00,6.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7313306,0.00,2.00,2.00,2.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7313314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7313322,2.00,2.00,3.00,4.00,5.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7313349,2.00,6.00,2.00,6.00,6.00,10.50,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7313357,1.00,6.00,4.00,5.00,5.00,7.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7313365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7313373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7313381,1.00,5.00,1.00,6.00,8.00,5.63,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7313403,2.00,2.00,2.00,6.00,4.00,9.38,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7313438,5.00,8.00,5.00,6.00,7.00,8.63,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7313462,0.00,4.00,2.00,5.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7313470,0.00,6.00,1.00,4.00,3.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7313497,2.00,5.00,0.00,6.00,9.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7313500,2.00,2.00,2.00,2.00,4.00,9.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7313519,0.00,3.00,2.00,3.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7313527,2.00,2.00,1.00,4.00,3.00,6.00,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7313543,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7313551,3.00,6.00,1.00,6.00,4.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7313560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7313578,3.00,4.00,2.00,5.00,4.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7313586,1.00,5.00,1.00,6.00,4.00,10.88,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7313594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7313616,1.00,5.00,2.00,7.00,3.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7313640,2.00,4.00,3.00,6.00,5.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7313659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7313675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7313683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7313691,3.00,5.00,2.00,4.00,8.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7313705,0.00,4.00,3.00,4.00,5.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7313713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7313721,2.00,7.00,3.00,4.00,4.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7313730,2.00,5.00,2.00,6.00,5.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7313764,4.00,5.00,0.00,5.00,6.00,6.75,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7313780,1.00,7.00,4.00,5.00,6.00,11.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7313802,4.00,8.00,2.00,6.00,8.00,12.00,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7313810,4.00,3.00,2.00,3.00,5.00,5.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7313837,1.00,2.00,3.00,0.00,5.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7313845,3.00,3.00,2.00,4.00,3.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7313853,6.00,8.00,3.00,6.00,9.00,10.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7313870,0.00,4.00,2.00,6.00,2.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7313888,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7313896,0.00,5.00,4.00,5.00,5.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7313918,2.00,5.00,1.00,1.00,3.00,7.88,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7313926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7313934,4.00,6.00,2.00,6.00,6.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7313942,8.00,8.00,5.00,5.00,8.00,7.50,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7313950,1.00,1.00,1.00,1.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7313969,2.00,4.00,2.00,3.00,4.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7313977,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7313993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7314000,0.00,3.00,3.00,4.00,4.00,5.63,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7314019,2.00,2.00,3.00,6.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,'S','N'),(28,7314027,2.00,8.00,3.00,5.00,3.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7314035,2.00,7.00,1.00,6.00,5.00,7.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7314043,1.00,6.00,0.00,6.00,7.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7314051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7314060,2.00,4.00,2.00,4.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7314078,1.00,6.00,2.00,1.00,1.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7314086,0.00,4.00,3.00,3.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7314094,2.00,5.00,4.00,4.00,7.00,6.75,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7314108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7314116,2.00,5.00,3.00,3.00,4.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7314124,4.00,3.00,3.00,5.00,7.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7314132,3.00,5.00,3.00,5.00,5.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7314140,4.00,8.00,3.00,7.00,8.00,9.38,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7314159,0.00,1.00,1.00,1.00,3.00,5.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7314167,1.00,2.00,3.00,5.00,5.00,6.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7314175,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7314183,0.00,5.00,3.00,2.00,2.00,6.75,5.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7314191,1.00,4.00,0.00,2.00,6.00,7.88,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7314213,0.00,4.00,2.00,7.00,4.00,7.50,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7314221,6.00,7.00,1.00,6.00,3.00,4.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7314230,2.00,5.00,2.00,0.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7314248,0.00,4.00,1.00,5.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7314256,1.00,4.00,3.00,5.00,6.00,5.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7314264,1.00,3.00,0.00,0.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7314272,3.00,5.00,3.00,4.00,4.00,6.00,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7314280,1.00,6.00,0.00,7.00,7.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7314299,4.00,5.00,1.00,6.00,6.00,8.25,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7314310,2.00,4.00,3.00,5.00,3.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7314329,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7314337,3.00,6.00,3.00,8.00,9.00,10.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7314345,0.00,7.00,0.00,7.00,7.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7314353,1.00,3.00,1.00,6.00,4.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7314361,1.00,4.00,2.00,2.00,3.00,7.50,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7314370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7314388,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7314396,3.00,4.00,1.00,1.00,5.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7314400,2.00,8.00,3.00,7.00,9.00,7.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7314418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7314426,4.00,7.00,1.00,4.00,9.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7314442,4.00,6.00,3.00,4.00,5.00,7.13,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7314469,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7314485,2.00,5.00,3.00,6.00,8.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7314493,2.00,2.00,0.00,6.00,4.00,7.13,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7314507,3.00,6.00,2.00,5.00,5.00,6.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7314515,4.00,6.00,1.00,7.00,8.00,9.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7314523,0.00,3.00,1.00,4.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7314531,0.00,3.00,2.00,3.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7314558,0.00,3.00,3.00,4.00,5.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7314566,3.00,6.00,2.00,6.00,6.00,10.13,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7314574,2.00,4.00,2.00,2.00,3.00,5.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7314590,0.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7314604,1.00,7.00,1.00,5.00,4.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7314612,4.00,4.00,2.00,5.00,8.00,10.13,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7314639,0.00,3.00,3.00,6.00,3.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7314655,0.00,3.00,3.00,3.00,6.00,10.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7314663,3.00,3.00,3.00,3.00,5.00,5.63,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7314671,4.00,4.00,2.00,5.00,7.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7314680,3.00,4.00,1.00,4.00,7.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7314698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7314701,1.00,6.00,1.00,1.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7314710,1.00,6.00,2.00,2.00,3.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7314728,1.00,6.00,2.00,4.00,5.00,5.63,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7314736,3.00,3.00,0.00,1.00,1.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7314752,0.00,3.00,1.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7314779,1.00,5.00,1.00,2.00,5.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7314787,7.00,8.00,5.00,7.00,9.00,9.38,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7314795,0.00,4.00,1.00,2.00,6.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7314809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7314817,2.00,7.00,3.00,6.00,8.00,10.88,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7314841,1.00,3.00,1.00,4.00,6.00,9.38,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7314850,1.00,5.00,2.00,5.00,1.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7314876,1.00,1.00,0.00,2.00,3.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7314884,2.00,5.00,1.00,1.00,3.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7314892,1.00,6.00,2.00,2.00,4.00,4.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7314906,1.00,4.00,1.00,2.00,5.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7314914,4.00,8.00,6.00,6.00,7.00,9.38,7.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7314949,4.00,7.00,2.00,3.00,7.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7314957,3.00,6.00,1.00,4.00,7.00,9.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7314965,3.00,6.00,2.00,7.00,7.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7314973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7314981,0.00,8.00,1.00,4.00,6.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7314990,4.00,8.00,4.00,7.00,10.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7315007,0.00,6.00,2.00,4.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7315015,4.00,4.00,1.00,3.00,7.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7315023,1.00,7.00,1.00,5.00,8.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7315031,4.00,3.00,4.00,2.00,3.00,5.63,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7315040,4.00,7.00,4.00,4.00,5.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7315066,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7315074,1.00,3.00,1.00,1.00,3.00,6.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7315090,1.00,0.00,2.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7315104,1.00,6.00,1.00,5.00,5.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7315112,6.00,8.00,3.00,8.00,10.00,6.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7315120,2.00,2.00,0.00,2.00,1.00,NULL,0.00,0.00,2.00,NULL,NULL,NULL,'N'),(28,7315139,3.00,5.00,1.00,7.00,6.00,9.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7315147,3.00,6.00,3.00,4.00,5.00,7.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7315155,0.00,5.00,0.00,2.00,4.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7315163,1.00,5.00,1.00,7.00,6.00,7.13,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7315171,3.00,6.00,3.00,6.00,7.00,9.38,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7315180,2.00,4.00,2.00,3.00,4.00,7.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7315198,0.00,3.00,3.00,4.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7315201,0.00,4.00,0.00,3.00,6.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7315228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7315236,2.00,7.00,2.00,7.00,8.00,9.75,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7315244,3.00,7.00,3.00,7.00,9.00,6.38,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7315252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7315260,3.00,8.00,2.00,7.00,7.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7315279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7315287,2.00,6.00,1.00,6.00,8.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7315295,1.00,5.00,2.00,4.00,4.00,7.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7315309,0.00,1.00,2.00,4.00,1.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7315325,3.00,2.00,2.00,6.00,4.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7315333,1.00,5.00,2.00,1.00,4.00,5.63,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7315341,0.00,2.00,4.00,1.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7315350,2.00,4.00,4.00,4.00,7.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7315368,0.00,3.00,3.00,6.00,7.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7315376,1.00,5.00,1.00,5.00,7.00,10.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7315384,2.00,5.00,3.00,1.00,8.00,6.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7315392,3.00,4.00,0.00,7.00,5.00,9.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7315406,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7315414,0.00,4.00,2.00,6.00,7.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7315422,0.00,2.00,3.00,3.00,3.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7315457,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7315465,6.00,6.00,1.00,7.00,6.00,8.25,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7315473,2.00,4.00,1.00,6.00,5.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7315490,3.00,4.00,2.00,7.00,5.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7315503,2.00,6.00,1.00,6.00,6.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7315511,4.00,7.00,2.00,5.00,4.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7315520,2.00,3.00,3.00,6.00,9.00,5.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7315538,1.00,6.00,1.00,6.00,3.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7315546,2.00,6.00,2.00,7.00,3.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7315554,1.00,5.00,3.00,5.00,5.00,8.25,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7315562,0.00,2.00,0.00,1.00,3.00,4.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7315570,5.00,8.00,6.00,6.00,10.00,8.25,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7315589,3.00,6.00,3.00,5.00,8.00,12.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7315600,1.00,4.00,2.00,5.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7315619,4.00,3.00,1.00,6.00,4.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7315627,0.00,3.00,3.00,2.00,0.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7315643,0.00,2.00,2.00,1.00,5.00,6.75,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7315651,2.00,5.00,2.00,6.00,6.00,8.63,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7315660,4.00,7.00,4.00,5.00,7.00,9.38,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7315678,0.00,2.00,2.00,2.00,1.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7315686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7315694,2.00,3.00,3.00,1.00,5.00,9.00,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7315708,1.00,5.00,0.00,4.00,6.00,8.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7315732,4.00,6.00,0.00,5.00,5.00,6.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7315759,5.00,6.00,4.00,3.00,6.00,9.00,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7315767,5.00,6.00,1.00,6.00,10.00,8.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7315775,3.00,8.00,3.00,7.00,4.00,10.88,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7315783,5.00,7.00,3.00,5.00,8.00,5.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7315791,1.00,5.00,1.00,3.00,3.00,8.63,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7315805,1.00,6.00,0.00,4.00,4.00,10.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7315813,1.00,4.00,5.00,3.00,5.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7315821,2.00,4.00,3.00,3.00,8.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7315830,0.00,6.00,2.00,3.00,5.00,NULL,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7315864,2.00,7.00,2.00,6.00,3.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7315880,3.00,5.00,2.00,6.00,9.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7315899,1.00,3.00,3.00,4.00,3.00,3.00,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7315902,0.00,6.00,2.00,5.00,4.00,11.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7315929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7315937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7315945,0.00,4.00,2.00,4.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7315953,1.00,4.00,1.00,3.00,5.00,5.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7315961,4.00,6.00,2.00,4.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7315970,5.00,7.00,3.00,7.00,9.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7315996,3.00,1.00,1.00,5.00,5.00,10.50,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7316003,1.00,5.00,2.00,4.00,4.00,4.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7316020,2.00,6.00,0.00,7.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7316038,4.00,4.00,1.00,6.00,6.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7316046,1.00,5.00,1.00,7.00,4.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7316054,2.00,8.00,2.00,5.00,6.00,8.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7316062,4.00,6.00,1.00,5.00,3.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7316070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7316097,5.00,8.00,1.00,6.00,10.00,10.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7316100,2.00,5.00,2.00,2.00,4.00,5.63,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7316119,1.00,5.00,4.00,5.00,4.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7316127,1.00,5.00,1.00,3.00,8.00,7.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7316135,3.00,7.00,1.00,4.00,7.00,6.75,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7316143,1.00,8.00,2.00,6.00,5.00,5.25,3.00,7.00,0.00,NULL,NULL,NULL,'N'),(28,7316160,0.00,5.00,1.00,7.00,6.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7316194,3.00,4.00,2.00,3.00,6.00,8.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7316208,3.00,7.00,5.00,8.00,6.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7316216,0.00,4.00,1.00,4.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7316224,2.00,7.00,0.00,8.00,6.00,12.38,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7316240,5.00,8.00,4.00,7.00,8.00,10.13,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7316259,1.00,6.00,2.00,3.00,4.00,7.13,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7316267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7316275,5.00,7.00,4.00,6.00,7.00,10.50,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7316283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7316305,2.00,6.00,1.00,5.00,5.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7316330,1.00,4.00,1.00,7.00,7.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7316348,4.00,7.00,3.00,5.00,7.00,10.13,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7316356,0.00,3.00,2.00,4.00,1.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7316364,5.00,6.00,1.00,6.00,3.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7316372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7316380,8.00,7.00,1.00,7.00,8.00,8.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7316399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7316437,4.00,2.00,0.00,4.00,3.00,8.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7316445,1.00,8.00,1.00,5.00,8.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7316461,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7316470,1.00,5.00,2.00,5.00,3.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7316488,0.00,6.00,3.00,2.00,5.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7316496,6.00,7.00,2.00,7.00,8.00,7.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7316500,7.00,8.00,4.00,7.00,9.00,8.63,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7316518,1.00,5.00,2.00,6.00,6.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7316526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7316534,3.00,7.00,3.00,7.00,6.00,5.63,4.00,7.00,2.00,NULL,NULL,NULL,'S'),(28,7316542,2.00,5.00,2.00,4.00,4.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7316550,3.00,4.00,1.00,6.00,4.00,7.50,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7316569,5.00,6.00,3.00,5.00,6.00,6.38,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7316577,2.00,7.00,1.00,7.00,7.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7316593,0.00,7.00,1.00,1.00,4.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7316607,2.00,7.00,0.00,6.00,7.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7316623,2.00,0.00,3.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7316631,2.00,7.00,2.00,5.00,5.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7316666,0.00,2.00,2.00,2.00,6.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7316674,3.00,5.00,2.00,7.00,5.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7316682,3.00,0.00,3.00,4.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7316690,2.00,6.00,3.00,7.00,5.00,8.63,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7316704,2.00,5.00,2.00,5.00,4.00,9.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7316712,1.00,1.00,2.00,5.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7316720,2.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(28,7316739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7316747,0.00,4.00,1.00,3.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7316755,1.00,4.00,4.00,4.00,4.00,5.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7316763,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7316771,3.00,7.00,1.00,6.00,4.00,9.38,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7316780,3.00,3.00,0.00,4.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7316801,3.00,5.00,0.00,4.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7316810,2.00,7.00,2.00,6.00,5.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7316828,6.00,6.00,3.00,5.00,8.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7316836,1.00,4.00,1.00,6.00,4.00,11.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7316852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7316860,1.00,5.00,1.00,7.00,5.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7316879,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7316887,2.00,4.00,0.00,6.00,4.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7316895,0.00,3.00,2.00,2.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7316909,3.00,5.00,1.00,3.00,4.00,7.88,4.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7316917,4.00,4.00,2.00,3.00,7.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7316925,2.00,7.00,1.00,6.00,7.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7316933,4.00,6.00,2.00,7.00,9.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7316941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7316950,2.00,5.00,2.00,7.00,8.00,7.13,0.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7316976,4.00,5.00,3.00,7.00,6.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7316984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7316992,4.00,9.00,3.00,7.00,9.00,12.38,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7317000,3.00,8.00,2.00,5.00,6.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7317018,0.00,4.00,2.00,4.00,8.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7317026,0.00,1.00,1.00,2.00,3.00,5.63,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7317034,0.00,3.00,1.00,1.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7317042,5.00,6.00,4.00,7.00,6.00,7.88,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7317050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7317077,0.00,3.00,0.00,2.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7317085,2.00,6.00,3.00,6.00,9.00,9.38,2.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7317093,4.00,7.00,3.00,7.00,9.00,7.50,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7317107,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7317115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7317123,2.00,4.00,1.00,7.00,3.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7317131,1.00,7.00,1.00,7.00,7.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7317158,3.00,6.00,2.00,6.00,7.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7317166,0.00,2.00,2.00,6.00,5.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7317182,3.00,3.00,3.00,7.00,5.00,5.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7317190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7317204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7317212,1.00,6.00,2.00,8.00,4.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7317220,2.00,6.00,0.00,6.00,7.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7317247,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7317255,3.00,2.00,0.00,6.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7317263,2.00,0.00,2.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7317271,7.00,9.00,3.00,8.00,5.00,9.38,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7317280,0.00,4.00,3.00,6.00,3.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7317298,2.00,7.00,5.00,5.00,6.00,7.50,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7317301,0.00,4.00,1.00,5.00,7.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7317328,3.00,5.00,1.00,2.00,6.00,7.88,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7317336,1.00,6.00,0.00,7.00,5.00,9.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7317352,1.00,7.00,2.00,5.00,5.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7317360,1.00,6.00,3.00,3.00,5.00,8.63,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7317379,1.00,1.00,1.00,6.00,5.00,4.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7317387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7317395,2.00,6.00,2.00,4.00,5.00,7.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7317409,3.00,4.00,5.00,3.00,5.00,10.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7317417,3.00,3.00,2.00,3.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7317425,2.00,5.00,2.00,1.00,5.00,8.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7317433,4.00,7.00,2.00,5.00,6.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7317450,4.00,7.00,2.00,7.00,7.00,8.25,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7317468,2.00,6.00,1.00,3.00,8.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7317476,2.00,5.00,2.00,6.00,5.00,8.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7317484,0.00,3.00,1.00,5.00,5.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7317492,3.00,5.00,3.00,4.00,7.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7317506,1.00,5.00,2.00,6.00,5.00,7.13,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7317514,1.00,4.00,0.00,6.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7317522,4.00,6.00,2.00,6.00,6.00,9.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7317530,0.00,4.00,2.00,3.00,5.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7317549,1.00,2.00,2.00,2.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7317557,2.00,6.00,1.00,3.00,3.00,7.50,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7317565,3.00,7.00,2.00,4.00,7.00,10.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7317581,4.00,7.00,1.00,6.00,9.00,9.75,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7317603,1.00,4.00,3.00,1.00,3.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7317611,1.00,5.00,3.00,5.00,4.00,7.50,0.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7317620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7317638,3.00,5.00,3.00,7.00,7.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7317646,4.00,7.00,3.00,7.00,5.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7317654,3.00,4.00,2.00,6.00,5.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7317662,1.00,7.00,0.00,5.00,5.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7317670,0.00,2.00,1.00,5.00,5.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7317689,4.00,7.00,1.00,5.00,9.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7317697,1.00,2.00,0.00,5.00,3.00,6.38,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7317700,1.00,7.00,1.00,6.00,6.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7317719,1.00,4.00,1.00,2.00,4.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7317727,2.00,5.00,2.00,4.00,6.00,9.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7317735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7317743,0.00,4.00,0.00,7.00,7.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7317751,6.00,7.00,4.00,7.00,8.00,9.00,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7317760,5.00,8.00,4.00,6.00,6.00,9.00,3.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7317778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7317786,3.00,7.00,2.00,6.00,6.00,10.50,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7317794,3.00,5.00,4.00,5.00,7.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7317808,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7317816,4.00,5.00,0.00,6.00,4.00,NULL,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7317824,3.00,2.00,3.00,1.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7317832,6.00,7.00,1.00,4.00,6.00,11.63,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7317859,1.00,5.00,3.00,3.00,9.00,7.50,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7317867,0.00,6.00,1.00,4.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7317875,3.00,6.00,3.00,5.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7317883,1.00,4.00,1.00,2.00,7.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'S'),(28,7317891,3.00,4.00,3.00,5.00,4.00,10.88,0.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7317905,5.00,6.00,2.00,6.00,5.00,9.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7317913,4.00,8.00,4.00,6.00,8.00,10.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7317948,1.00,1.00,3.00,5.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7317956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7317972,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7317980,4.00,7.00,2.00,4.00,7.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7317999,0.00,7.00,0.00,7.00,8.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7318006,1.00,7.00,3.00,3.00,7.00,6.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7318014,1.00,8.00,1.00,6.00,7.00,9.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7318022,0.00,6.00,0.00,2.00,5.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7318049,0.00,0.00,3.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7318057,3.00,6.00,2.00,5.00,5.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7318065,4.00,6.00,3.00,6.00,6.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7318073,2.00,5.00,2.00,3.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7318081,4.00,7.00,1.00,6.00,7.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7318090,0.00,3.00,0.00,5.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7318103,3.00,5.00,1.00,4.00,6.00,6.38,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7318111,4.00,5.00,2.00,5.00,4.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7318120,0.00,3.00,2.00,2.00,5.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7318138,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7318146,0.00,0.00,3.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7318154,3.00,3.00,0.00,1.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7318162,3.00,7.00,4.00,7.00,8.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7318170,5.00,6.00,5.00,5.00,6.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7318189,5.00,8.00,3.00,1.00,9.00,9.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7318197,0.00,1.00,0.00,0.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7318200,0.00,1.00,2.00,2.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7318219,0.00,7.00,3.00,6.00,5.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7318227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7318235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7318243,3.00,4.00,3.00,5.00,5.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7318251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7318260,3.00,7.00,3.00,5.00,5.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7318278,0.00,3.00,2.00,2.00,6.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7318286,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7318294,2.00,5.00,4.00,7.00,3.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7318308,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7318316,4.00,7.00,2.00,7.00,7.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7318324,2.00,7.00,2.00,2.00,4.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7318332,2.00,3.00,3.00,5.00,4.00,3.00,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7318340,3.00,6.00,3.00,5.00,6.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7318359,2.00,1.00,1.00,3.00,3.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7318367,3.00,5.00,2.00,5.00,4.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7318375,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7318383,5.00,5.00,1.00,4.00,6.00,4.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7318391,3.00,7.00,2.00,5.00,4.00,6.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7318413,2.00,6.00,1.00,7.00,8.00,9.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7318421,2.00,8.00,3.00,6.00,9.00,10.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7318430,0.00,6.00,2.00,3.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7318448,3.00,0.00,5.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7318456,2.00,7.00,2.00,5.00,3.00,5.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7318464,7.00,6.00,1.00,6.00,9.00,7.13,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7318472,3.00,3.00,1.00,4.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7318480,0.00,6.00,0.00,0.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7318499,3.00,6.00,2.00,4.00,5.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7318502,1.00,4.00,2.00,5.00,7.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7318510,5.00,6.00,1.00,6.00,7.00,6.75,1.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7318537,0.00,2.00,2.00,4.00,5.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7318545,0.00,1.00,1.00,1.00,3.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7318553,4.00,6.00,2.00,5.00,6.00,9.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7318588,0.00,3.00,0.00,2.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7318596,2.00,4.00,2.00,7.00,4.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7318600,5.00,7.00,5.00,6.00,9.00,9.38,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7318618,2.00,5.00,2.00,6.00,3.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7318626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7318642,6.00,7.00,3.00,7.00,9.00,10.13,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7318650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7318669,4.00,6.00,4.00,5.00,6.00,3.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7318677,4.00,7.00,1.00,8.00,6.00,9.00,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7318707,1.00,3.00,1.00,4.00,3.00,6.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7318715,3.00,6.00,3.00,5.00,8.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7318723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7318731,0.00,3.00,2.00,3.00,5.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7318740,4.00,6.00,3.00,7.00,6.00,6.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7318758,2.00,6.00,1.00,4.00,6.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7318766,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7318782,3.00,4.00,2.00,5.00,7.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7318790,3.00,5.00,2.00,3.00,6.00,7.13,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7318804,4.00,7.00,2.00,5.00,4.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7318820,4.00,8.00,2.00,7.00,9.00,11.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7318839,0.00,3.00,0.00,4.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7318847,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7318855,2.00,9.00,1.00,6.00,9.00,11.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7318863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7318871,1.00,5.00,1.00,6.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7318880,2.00,6.00,3.00,7.00,6.00,9.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7318898,0.00,3.00,1.00,7.00,6.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7318901,0.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7318910,1.00,0.00,1.00,7.00,3.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7318928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7318944,1.00,7.00,0.00,5.00,6.00,12.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7318952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7318960,3.00,6.00,3.00,7.00,6.00,9.75,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7318979,1.00,4.00,1.00,4.00,3.00,5.63,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7318987,1.00,4.00,2.00,3.00,4.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7318995,6.00,8.00,4.00,5.00,6.00,9.75,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7319010,0.00,3.00,3.00,2.00,6.00,5.25,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7319029,3.00,0.00,0.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7319037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7319045,4.00,7.00,0.00,6.00,6.00,6.00,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7319053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7319061,5.00,7.00,2.00,3.00,5.00,6.75,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7319088,3.00,2.00,2.00,3.00,4.00,8.63,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7319096,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7319100,3.00,6.00,4.00,6.00,8.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7319118,3.00,5.00,3.00,4.00,3.00,7.13,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7319142,1.00,5.00,2.00,5.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7319150,1.00,5.00,1.00,6.00,5.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7319169,3.00,6.00,2.00,6.00,8.00,7.88,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7319177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7319185,1.00,5.00,3.00,7.00,6.00,7.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7319193,3.00,4.00,1.00,5.00,3.00,5.63,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7319207,3.00,6.00,2.00,5.00,5.00,8.63,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7319240,4.00,6.00,1.00,7.00,7.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7319258,4.00,7.00,2.00,7.00,6.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7319266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7319274,4.00,8.00,2.00,6.00,8.00,10.50,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7319282,4.00,5.00,1.00,7.00,5.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7319290,4.00,7.00,2.00,7.00,8.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7319304,6.00,6.00,3.00,7.00,8.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7319312,4.00,7.00,3.00,7.00,9.00,10.50,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7319339,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7319347,5.00,7.00,4.00,8.00,3.00,7.50,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7319355,1.00,5.00,1.00,3.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7319371,2.00,6.00,2.00,5.00,6.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7319380,0.00,5.00,1.00,3.00,5.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7319401,4.00,6.00,3.00,6.00,8.00,10.13,5.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7319410,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7319428,0.00,3.00,3.00,3.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7319436,2.00,5.00,3.00,5.00,6.00,5.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7319444,2.00,5.00,1.00,4.00,3.00,9.38,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7319460,6.00,8.00,5.00,5.00,8.00,11.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7319479,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7319495,3.00,5.00,1.00,6.00,6.00,9.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7319509,5.00,7.00,1.00,3.00,7.00,10.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7319517,3.00,5.00,0.00,3.00,2.00,NULL,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7319525,4.00,4.00,3.00,6.00,7.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7319541,4.00,6.00,1.00,7.00,6.00,7.50,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7319550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7319568,4.00,8.00,3.00,7.00,8.00,NULL,4.00,5.00,4.00,NULL,NULL,'S','N'),(28,7319576,3.00,6.00,0.00,7.00,6.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7319592,7.00,8.00,4.00,6.00,8.00,9.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7319606,4.00,5.00,2.00,6.00,7.00,7.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7319614,3.00,4.00,3.00,6.00,7.00,6.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7319622,1.00,6.00,1.00,6.00,5.00,5.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7319630,1.00,7.00,2.00,7.00,5.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7319649,4.00,7.00,3.00,4.00,9.00,8.63,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7319657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7319665,5.00,8.00,4.00,7.00,7.00,11.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7319673,3.00,6.00,1.00,6.00,6.00,8.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7319681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7319690,1.00,6.00,0.00,4.00,5.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7319703,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7319711,4.00,7.00,2.00,6.00,9.00,9.00,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7319720,2.00,5.00,1.00,6.00,7.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7319738,3.00,8.00,2.00,2.00,8.00,8.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7319746,1.00,3.00,2.00,3.00,3.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7319762,0.00,2.00,0.00,0.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7319789,2.00,4.00,1.00,4.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7319797,0.00,5.00,2.00,6.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7319800,0.00,6.00,1.00,5.00,4.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7319819,2.00,6.00,1.00,5.00,4.00,3.00,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7319827,0.00,0.00,1.00,0.00,1.00,NULL,0.00,3.00,0.00,NULL,NULL,'S','N'),(28,7319835,3.00,7.00,0.00,5.00,8.00,7.13,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7319843,4.00,6.00,2.00,3.00,5.00,7.13,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7319851,1.00,4.00,1.00,5.00,2.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7319860,1.00,5.00,2.00,6.00,6.00,8.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7319878,1.00,7.00,0.00,3.00,6.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7319886,2.00,4.00,0.00,5.00,5.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7319894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7319908,0.00,2.00,2.00,3.00,4.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7319916,0.00,4.00,3.00,5.00,5.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7319924,4.00,8.00,2.00,7.00,3.00,5.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7319932,1.00,4.00,4.00,3.00,3.00,6.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7319940,2.00,6.00,4.00,3.00,3.00,4.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7319959,4.00,7.00,3.00,7.00,6.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7319967,3.00,6.00,2.00,7.00,9.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7319975,1.00,2.00,2.00,4.00,3.00,6.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7319983,2.00,3.00,1.00,3.00,3.00,5.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7319991,0.00,4.00,1.00,2.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7320000,2.00,3.00,2.00,6.00,3.00,5.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7320019,4.00,6.00,5.00,6.00,5.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7320043,2.00,5.00,3.00,3.00,3.00,6.75,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7320051,5.00,7.00,2.00,4.00,7.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7320060,3.00,5.00,1.00,5.00,3.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7320086,1.00,5.00,1.00,3.00,5.00,5.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7320094,0.00,4.00,2.00,4.00,5.00,3.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7320108,0.00,2.00,1.00,2.00,4.00,4.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7320116,6.00,8.00,1.00,6.00,8.00,10.13,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7320124,4.00,8.00,3.00,7.00,7.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7320132,0.00,4.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7320159,5.00,7.00,1.00,6.00,7.00,6.38,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7320167,3.00,7.00,1.00,4.00,8.00,6.38,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7320175,3.00,8.00,3.00,7.00,3.00,11.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7320183,3.00,6.00,5.00,6.00,6.00,12.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7320205,2.00,5.00,1.00,6.00,4.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7320213,4.00,5.00,2.00,7.00,6.00,10.13,3.00,8.00,0.00,NULL,NULL,NULL,'N'),(28,7320221,4.00,6.00,2.00,5.00,5.00,7.50,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7320248,3.00,6.00,2.00,2.00,3.00,7.50,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7320256,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7320264,0.00,4.00,1.00,6.00,5.00,6.75,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7320272,1.00,3.00,0.00,3.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7320280,0.00,6.00,2.00,5.00,4.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7320299,3.00,3.00,3.00,3.00,5.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7320310,3.00,8.00,0.00,5.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7320329,3.00,4.00,2.00,3.00,6.00,9.38,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7320337,0.00,3.00,0.00,0.00,0.00,NULL,3.00,1.00,2.00,'S',NULL,NULL,'S'),(28,7320345,0.00,1.00,0.00,5.00,3.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7320353,4.00,7.00,3.00,6.00,6.00,7.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7320361,4.00,6.00,5.00,6.00,7.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7320370,0.00,2.00,0.00,0.00,5.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7320388,1.00,7.00,3.00,5.00,5.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7320396,2.00,5.00,1.00,1.00,3.00,7.88,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7320418,3.00,6.00,1.00,5.00,5.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7320426,0.00,5.00,3.00,3.00,3.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7320442,0.00,3.00,3.00,3.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7320450,0.00,4.00,2.00,4.00,4.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7320469,4.00,7.00,1.00,6.00,7.00,7.88,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7320477,2.00,3.00,3.00,5.00,5.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7320493,4.00,7.00,3.00,7.00,8.00,10.13,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7320523,3.00,7.00,1.00,7.00,8.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7320531,1.00,6.00,1.00,7.00,5.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7320540,2.00,8.00,2.00,5.00,3.00,6.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7320558,5.00,7.00,1.00,6.00,5.00,6.38,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7320566,2.00,6.00,2.00,4.00,8.00,9.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7320574,0.00,0.00,3.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7320582,1.00,1.00,3.00,3.00,2.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7320604,3.00,3.00,3.00,3.00,6.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7320612,7.00,6.00,2.00,4.00,9.00,9.38,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7320620,2.00,5.00,2.00,6.00,6.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7320639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7320655,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7320663,3.00,7.00,3.00,6.00,6.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7320671,4.00,5.00,2.00,6.00,6.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7320680,1.00,5.00,1.00,6.00,5.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7320698,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7320710,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7320728,3.00,5.00,2.00,6.00,4.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7320736,2.00,4.00,3.00,3.00,3.00,5.63,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7320744,3.00,4.00,2.00,7.00,4.00,7.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7320752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7320760,0.00,3.00,1.00,6.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7320779,3.00,5.00,1.00,3.00,4.00,7.88,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7320787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7320795,0.00,5.00,1.00,3.00,5.00,7.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7320809,0.00,0.00,2.00,3.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7320817,0.00,4.00,2.00,2.00,6.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7320825,3.00,5.00,4.00,3.00,3.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7320833,0.00,6.00,2.00,5.00,7.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7320850,5.00,7.00,3.00,5.00,9.00,9.00,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7320868,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7320884,1.00,4.00,3.00,5.00,3.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7320892,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7320906,5.00,7.00,1.00,6.00,4.00,6.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7320914,1.00,7.00,3.00,7.00,7.00,13.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7320922,2.00,4.00,2.00,6.00,6.00,5.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7320930,2.00,6.00,4.00,7.00,6.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7320949,2.00,8.00,0.00,6.00,7.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7320957,0.00,4.00,4.00,7.00,4.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7320965,2.00,8.00,2.00,6.00,7.00,9.38,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7320973,5.00,7.00,3.00,7.00,5.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7320981,4.00,6.00,3.00,7.00,9.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7321007,4.00,5.00,5.00,5.00,5.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7321015,1.00,6.00,1.00,2.00,7.00,4.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7321040,0.00,8.00,2.00,6.00,7.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7321058,1.00,4.00,2.00,4.00,4.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7321066,3.00,8.00,3.00,6.00,7.00,9.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7321074,1.00,4.00,1.00,4.00,5.00,7.13,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7321082,1.00,4.00,0.00,3.00,5.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7321104,1.00,5.00,1.00,3.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7321112,4.00,5.00,0.00,5.00,5.00,NULL,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7321120,0.00,5.00,4.00,1.00,4.00,5.63,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7321147,0.00,2.00,1.00,3.00,4.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7321155,0.00,4.00,1.00,4.00,5.00,NULL,4.00,6.00,2.00,NULL,NULL,'S','S'),(28,7321163,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7321171,2.00,6.00,1.00,3.00,3.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7321198,1.00,4.00,1.00,2.00,5.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7321201,0.00,6.00,2.00,6.00,6.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7321228,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7321236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7321244,0.00,3.00,3.00,5.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7321252,0.00,6.00,0.00,4.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7321260,2.00,7.00,2.00,5.00,7.00,5.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7321279,1.00,0.00,2.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7321287,0.00,5.00,0.00,6.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7321295,2.00,5.00,2.00,4.00,4.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7321309,1.00,2.00,1.00,5.00,4.00,4.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7321317,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7321333,1.00,1.00,2.00,3.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7321341,1.00,3.00,1.00,4.00,3.00,5.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7321350,6.00,6.00,2.00,4.00,6.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7321368,4.00,6.00,1.00,2.00,7.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7321376,1.00,4.00,2.00,4.00,6.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7321406,2.00,3.00,1.00,5.00,6.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7321414,2.00,5.00,2.00,5.00,5.00,6.00,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7321422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7321430,2.00,7.00,0.00,7.00,6.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7321449,6.00,6.00,3.00,6.00,7.00,8.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7321457,1.00,1.00,4.00,3.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7321465,0.00,3.00,2.00,6.00,5.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7321473,7.00,8.00,5.00,6.00,9.00,7.13,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7321481,0.00,5.00,3.00,6.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7321490,0.00,6.00,1.00,3.00,6.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7321503,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7321511,3.00,6.00,4.00,6.00,7.00,11.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7321546,2.00,5.00,1.00,7.00,6.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7321554,3.00,5.00,0.00,6.00,4.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7321562,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7321570,1.00,2.00,2.00,1.00,4.00,5.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7321589,3.00,5.00,1.00,4.00,4.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7321597,5.00,8.00,0.00,7.00,7.00,11.63,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7321600,1.00,4.00,2.00,5.00,4.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7321619,8.00,6.00,1.00,7.00,10.00,8.25,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7321643,1.00,4.00,1.00,3.00,4.00,0.00,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7321678,0.00,5.00,3.00,6.00,5.00,7.88,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7321686,5.00,6.00,1.00,6.00,5.00,8.63,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7321694,2.00,7.00,4.00,6.00,8.00,8.63,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7321708,0.00,6.00,2.00,5.00,4.00,12.00,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7321716,4.00,7.00,2.00,6.00,4.00,11.25,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7321724,0.00,4.00,1.00,4.00,1.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7321732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7321759,5.00,0.00,2.00,6.00,10.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7321767,3.00,8.00,1.00,7.00,9.00,10.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7321783,0.00,6.00,3.00,6.00,6.00,6.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7321791,1.00,1.00,1.00,5.00,3.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7321813,2.00,4.00,1.00,7.00,3.00,9.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7321821,1.00,3.00,1.00,3.00,6.00,4.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7321830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7321856,4.00,7.00,0.00,6.00,2.00,NULL,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7321864,0.00,6.00,3.00,7.00,5.00,6.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7321872,1.00,4.00,1.00,5.00,7.00,7.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7321880,4.00,6.00,3.00,4.00,6.00,10.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7321899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7321902,1.00,3.00,1.00,5.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7321910,5.00,7.00,2.00,6.00,7.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7321929,2.00,4.00,1.00,6.00,3.00,3.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7321937,2.00,5.00,1.00,6.00,3.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7321945,4.00,6.00,3.00,4.00,7.00,6.38,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7321953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7321961,3.00,5.00,2.00,7.00,6.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7321970,4.00,7.00,0.00,7.00,8.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7321988,3.00,3.00,2.00,4.00,5.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7321996,1.00,5.00,4.00,6.00,6.00,5.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7322003,1.00,3.00,0.00,4.00,4.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7322011,4.00,5.00,3.00,7.00,7.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7322020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7322046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7322054,4.00,6.00,2.00,6.00,4.00,4.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7322062,0.00,2.00,3.00,5.00,5.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7322070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7322089,1.00,7.00,3.00,6.00,6.00,11.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7322100,2.00,5.00,2.00,7.00,6.00,11.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7322119,2.00,7.00,1.00,5.00,7.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7322127,1.00,5.00,3.00,3.00,6.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7322135,6.00,7.00,3.00,6.00,8.00,8.63,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7322143,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7322151,1.00,2.00,1.00,0.00,3.00,3.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7322160,0.00,3.00,2.00,6.00,5.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7322178,3.00,4.00,2.00,6.00,6.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7322186,3.00,4.00,1.00,5.00,4.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7322194,0.00,5.00,3.00,4.00,4.00,4.50,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7322208,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7322216,1.00,4.00,2.00,1.00,6.00,8.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7322224,1.00,4.00,2.00,5.00,4.00,4.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7322240,4.00,7.00,1.00,6.00,6.00,9.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7322259,3.00,7.00,2.00,7.00,6.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7322267,2.00,5.00,2.00,4.00,3.00,4.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7322283,1.00,1.00,1.00,2.00,4.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7322291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7322305,0.00,4.00,0.00,5.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7322313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7322321,3.00,4.00,2.00,4.00,3.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7322364,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7322372,3.00,5.00,1.00,4.00,6.00,NULL,3.00,5.00,3.00,NULL,NULL,'S','N'),(28,7322380,3.00,5.00,1.00,4.00,3.00,6.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7322399,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7322402,5.00,8.00,1.00,7.00,9.00,5.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7322429,2.00,5.00,1.00,2.00,5.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7322437,5.00,7.00,0.00,6.00,5.00,8.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7322445,2.00,8.00,2.00,3.00,4.00,4.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7322453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7322461,4.00,6.00,3.00,7.00,7.00,8.25,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7322488,6.00,8.00,4.00,6.00,8.00,10.13,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7322496,3.00,3.00,0.00,1.00,1.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7322500,1.00,3.00,3.00,5.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7322518,3.00,7.00,3.00,7.00,7.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7322526,4.00,7.00,1.00,5.00,5.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7322534,3.00,4.00,0.00,5.00,6.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7322542,0.00,0.00,2.00,4.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7322550,4.00,7.00,2.00,6.00,9.00,8.63,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7322569,3.00,6.00,2.00,5.00,5.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7322577,0.00,3.00,0.00,2.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7322585,4.00,4.00,3.00,5.00,8.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7322593,2.00,5.00,0.00,3.00,5.00,7.13,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7322615,2.00,6.00,1.00,3.00,6.00,9.00,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7322623,5.00,7.00,5.00,6.00,8.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7322640,3.00,5.00,2.00,4.00,3.00,6.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7322658,2.00,7.00,2.00,2.00,3.00,4.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7322666,1.00,7.00,4.00,6.00,7.00,5.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7322690,2.00,7.00,4.00,4.00,6.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7322704,3.00,6.00,4.00,5.00,6.00,7.13,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7322712,3.00,6.00,0.00,4.00,8.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7322720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7322739,4.00,7.00,2.00,7.00,6.00,6.00,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7322755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7322771,2.00,4.00,0.00,1.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7322780,5.00,7.00,3.00,7.00,6.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7322798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7322801,0.00,3.00,2.00,4.00,5.00,NULL,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7322810,0.00,3.00,2.00,1.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7322836,2.00,3.00,1.00,3.00,3.00,6.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7322844,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7322852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7322860,3.00,4.00,2.00,6.00,7.00,10.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7322879,0.00,5.00,1.00,2.00,6.00,9.38,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7322887,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7322895,1.00,3.00,2.00,6.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7322909,1.00,8.00,1.00,4.00,4.00,13.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7322917,3.00,8.00,4.00,7.00,5.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7322925,3.00,5.00,3.00,6.00,2.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7322933,0.00,6.00,3.00,6.00,5.00,6.00,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7322941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7322950,0.00,6.00,2.00,5.00,5.00,0.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7322968,4.00,6.00,3.00,6.00,7.00,8.25,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7322976,4.00,7.00,1.00,5.00,8.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7322984,4.00,6.00,2.00,4.00,7.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7322992,2.00,6.00,2.00,6.00,7.00,7.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7323000,1.00,6.00,3.00,5.00,6.00,5.63,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7323018,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7323026,1.00,6.00,2.00,1.00,4.00,6.75,2.00,7.00,0.00,NULL,NULL,NULL,'N'),(28,7323034,2.00,6.00,2.00,4.00,5.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7323042,0.00,3.00,1.00,3.00,5.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7323050,3.00,5.00,3.00,6.00,5.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7323085,1.00,5.00,1.00,4.00,7.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7323093,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7323107,2.00,7.00,3.00,6.00,8.00,10.50,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7323115,0.00,3.00,2.00,6.00,3.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7323123,6.00,4.00,1.00,6.00,6.00,8.25,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7323131,1.00,4.00,2.00,6.00,6.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7323140,1.00,8.00,1.00,5.00,6.00,9.75,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7323158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7323174,1.00,4.00,2.00,5.00,4.00,4.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7323212,2.00,5.00,1.00,4.00,5.00,7.88,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7323220,2.00,6.00,1.00,5.00,5.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7323239,2.00,5.00,1.00,7.00,4.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7323247,2.00,4.00,1.00,6.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7323255,4.00,8.00,4.00,5.00,8.00,7.13,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7323263,0.00,3.00,2.00,5.00,7.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7323271,1.00,6.00,2.00,5.00,3.00,6.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7323280,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7323301,2.00,8.00,3.00,6.00,8.00,7.50,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7323310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7323328,0.00,2.00,3.00,2.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7323336,4.00,8.00,2.00,5.00,7.00,9.75,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7323344,2.00,4.00,2.00,6.00,4.00,4.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7323352,5.00,7.00,1.00,6.00,5.00,8.63,2.00,3.00,7.00,NULL,NULL,NULL,'N'),(28,7323379,3.00,4.00,2.00,6.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7323387,5.00,4.00,5.00,3.00,10.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7323395,3.00,2.00,1.00,4.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7323409,4.00,6.00,1.00,6.00,6.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7323417,3.00,6.00,1.00,5.00,5.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7323425,2.00,6.00,2.00,3.00,6.00,7.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7323441,2.00,7.00,1.00,3.00,8.00,10.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7323450,1.00,6.00,2.00,4.00,7.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7323468,1.00,7.00,2.00,7.00,6.00,7.13,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7323476,2.00,5.00,3.00,3.00,4.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7323484,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7323492,2.00,5.00,4.00,7.00,5.00,8.63,2.00,5.00,7.00,NULL,NULL,NULL,'S'),(28,7323506,3.00,7.00,1.00,3.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7323522,1.00,5.00,2.00,5.00,6.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7323530,3.00,7.00,0.00,6.00,6.00,8.63,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7323549,1.00,2.00,2.00,2.00,0.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7323557,3.00,5.00,2.00,5.00,3.00,6.38,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7323565,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7323573,3.00,7.00,1.00,5.00,6.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7323581,6.00,8.00,1.00,5.00,5.00,9.00,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7323590,2.00,5.00,2.00,3.00,7.00,4.88,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7323603,1.00,5.00,1.00,7.00,5.00,6.75,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7323611,3.00,0.00,1.00,3.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7323620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7323638,2.00,4.00,3.00,3.00,4.00,4.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7323646,4.00,1.00,1.00,6.00,4.00,6.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7323654,2.00,6.00,2.00,7.00,6.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7323662,0.00,4.00,2.00,5.00,4.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7323670,4.00,6.00,2.00,7.00,8.00,10.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7323689,3.00,4.00,3.00,6.00,8.00,6.38,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7323697,0.00,6.00,3.00,5.00,6.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7323700,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7323719,7.00,6.00,3.00,7.00,6.00,7.13,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7323727,0.00,3.00,2.00,5.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7323735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7323743,3.00,5.00,2.00,4.00,7.00,4.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7323760,3.00,8.00,4.00,3.00,6.00,7.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7323778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7323786,1.00,3.00,4.00,6.00,3.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7323794,4.00,5.00,0.00,7.00,7.00,10.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7323808,1.00,5.00,1.00,3.00,7.00,11.25,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7323816,3.00,6.00,1.00,2.00,3.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7323832,1.00,5.00,1.00,2.00,4.00,9.38,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7323840,4.00,5.00,1.00,6.00,3.00,6.75,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7323859,1.00,2.00,1.00,3.00,3.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7323867,1.00,6.00,1.00,8.00,4.00,6.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7323875,0.00,4.00,0.00,1.00,3.00,8.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7323883,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7323891,4.00,3.00,3.00,3.00,5.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7323905,6.00,7.00,3.00,5.00,6.00,10.13,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7323913,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7323921,4.00,8.00,3.00,7.00,8.00,5.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7323930,0.00,4.00,1.00,4.00,4.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7323948,5.00,6.00,3.00,3.00,9.00,12.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7323956,0.00,5.00,2.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7323964,0.00,4.00,1.00,6.00,3.00,7.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7323972,0.00,4.00,2.00,5.00,7.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7323980,3.00,3.00,2.00,5.00,7.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7323999,0.00,3.00,2.00,4.00,4.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7324014,5.00,4.00,2.00,5.00,3.00,6.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7324022,0.00,3.00,1.00,5.00,4.00,NULL,3.00,4.00,3.00,NULL,NULL,'S','S'),(28,7324030,7.00,4.00,4.00,5.00,8.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7324049,3.00,4.00,0.00,6.00,5.00,9.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7324057,2.00,1.00,2.00,4.00,8.00,9.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7324065,1.00,2.00,2.00,1.00,5.00,5.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7324073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7324081,3.00,5.00,3.00,6.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7324090,1.00,4.00,2.00,6.00,5.00,8.63,3.00,1.00,5.00,NULL,NULL,NULL,'N'),(28,7324103,1.00,5.00,0.00,2.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7324111,0.00,2.00,2.00,5.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7324138,9.00,7.00,2.00,7.00,8.00,9.75,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7324146,4.00,5.00,1.00,8.00,4.00,8.63,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7324154,4.00,6.00,2.00,6.00,7.00,7.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7324162,2.00,5.00,1.00,7.00,3.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7324200,3.00,4.00,1.00,5.00,5.00,8.25,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7324219,4.00,6.00,1.00,5.00,5.00,9.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7324227,0.00,3.00,0.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7324235,0.00,3.00,0.00,2.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7324243,2.00,6.00,1.00,6.00,4.00,4.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7324251,5.00,8.00,3.00,3.00,7.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7324260,2.00,5.00,2.00,6.00,7.00,6.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7324278,1.00,4.00,1.00,2.00,3.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7324286,0.00,2.00,3.00,5.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7324294,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7324316,3.00,7.00,1.00,4.00,7.00,8.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7324332,2.00,6.00,2.00,6.00,5.00,7.88,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7324340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7324359,0.00,7.00,2.00,3.00,3.00,7.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7324367,1.00,8.00,2.00,8.00,6.00,9.00,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7324375,5.00,7.00,3.00,7.00,9.00,10.88,5.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7324383,3.00,4.00,1.00,4.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7324391,0.00,5.00,1.00,0.00,5.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7324405,3.00,5.00,0.00,7.00,9.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7324413,4.00,7.00,2.00,2.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,'S','N'),(28,7324421,0.00,5.00,3.00,4.00,5.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7324430,2.00,5.00,4.00,5.00,4.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7324456,1.00,6.00,1.00,5.00,5.00,5.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7324464,2.00,5.00,2.00,6.00,3.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7324472,2.00,5.00,1.00,6.00,6.00,8.25,1.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7324480,2.00,4.00,2.00,1.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7324499,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7324502,1.00,6.00,1.00,7.00,3.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7324510,3.00,7.00,5.00,7.00,7.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7324529,1.00,4.00,3.00,7.00,6.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7324537,1.00,3.00,2.00,1.00,4.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7324545,3.00,4.00,3.00,7.00,6.00,8.63,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7324570,2.00,5.00,3.00,7.00,2.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7324588,1.00,6.00,3.00,3.00,7.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7324596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7324600,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7324618,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7324626,0.00,2.00,3.00,5.00,7.00,5.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7324634,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7324650,0.00,4.00,1.00,5.00,6.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7324677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7324693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7324715,4.00,8.00,3.00,7.00,4.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7324723,0.00,2.00,0.00,5.00,5.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7324731,0.00,3.00,1.00,5.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7324740,2.00,7.00,2.00,6.00,6.00,7.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7324758,1.00,6.00,1.00,5.00,4.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7324766,4.00,7.00,4.00,4.00,6.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7324774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7324782,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7324790,7.00,7.00,5.00,6.00,9.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7324804,3.00,3.00,2.00,6.00,6.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7324812,2.00,3.00,3.00,4.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7324820,0.00,6.00,0.00,5.00,5.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7324839,7.00,8.00,3.00,6.00,9.00,9.38,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7324863,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7324871,3.00,6.00,1.00,7.00,7.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7324880,3.00,7.00,3.00,6.00,9.00,8.63,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7324898,3.00,7.00,1.00,7.00,6.00,9.75,1.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7324901,2.00,3.00,2.00,8.00,6.00,NULL,0.00,3.00,0.00,NULL,NULL,'S','S'),(28,7324910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7324928,1.00,3.00,1.00,4.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7324936,1.00,0.00,1.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(28,7324944,0.00,5.00,0.00,3.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7324952,4.00,4.00,0.00,6.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7324960,0.00,7.00,2.00,5.00,6.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7324979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7324987,5.00,8.00,6.00,5.00,5.00,7.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7324995,5.00,8.00,1.00,6.00,7.00,10.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7325002,1.00,6.00,1.00,5.00,4.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7325010,1.00,7.00,2.00,7.00,8.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(28,7325029,6.00,7.00,4.00,7.00,8.00,7.50,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7325037,0.00,2.00,1.00,3.00,3.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7325045,1.00,5.00,2.00,6.00,6.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7325053,2.00,4.00,2.00,7.00,6.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7325070,1.00,6.00,1.00,6.00,9.00,7.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7325088,6.00,7.00,4.00,7.00,10.00,9.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7325118,5.00,7.00,2.00,7.00,6.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7325126,2.00,4.00,0.00,4.00,4.00,7.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7325142,0.00,2.00,3.00,5.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7325150,5.00,7.00,3.00,6.00,7.00,9.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7325169,0.00,4.00,2.00,5.00,5.00,NULL,3.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7325177,4.00,6.00,2.00,7.00,8.00,9.38,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7325185,5.00,8.00,1.00,7.00,9.00,9.38,4.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7325193,0.00,3.00,3.00,4.00,4.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7325207,1.00,5.00,2.00,6.00,4.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7325215,6.00,6.00,5.00,6.00,4.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7325223,1.00,5.00,3.00,7.00,6.00,11.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7325231,1.00,5.00,1.00,2.00,4.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7325240,2.00,7.00,1.00,6.00,6.00,7.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7325258,1.00,7.00,2.00,5.00,7.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7325266,5.00,5.00,1.00,7.00,7.00,9.38,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7325274,4.00,5.00,1.00,7.00,8.00,7.88,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7325282,1.00,2.00,2.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7325290,0.00,4.00,1.00,6.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7325304,1.00,5.00,2.00,5.00,5.00,5.25,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7325312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7325339,1.00,6.00,2.00,3.00,5.00,6.75,4.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7325347,5.00,6.00,3.00,6.00,8.00,9.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7325355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7325363,4.00,7.00,2.00,7.00,8.00,9.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7325371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7325380,0.00,4.00,2.00,5.00,5.00,7.88,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7325398,4.00,3.00,3.00,4.00,5.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7325410,2.00,5.00,1.00,1.00,3.00,5.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7325428,1.00,5.00,2.00,3.00,6.00,8.63,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7325436,4.00,8.00,3.00,6.00,5.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7325444,1.00,5.00,1.00,6.00,7.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7325452,2.00,6.00,1.00,6.00,8.00,9.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7325460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7325479,5.00,7.00,3.00,6.00,8.00,10.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7325487,1.00,3.00,0.00,6.00,4.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7325495,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7325509,2.00,4.00,3.00,5.00,3.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7325517,2.00,3.00,3.00,7.00,5.00,9.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7325533,3.00,6.00,6.00,5.00,5.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7325541,5.00,6.00,4.00,6.00,7.00,6.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7325550,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7325584,3.00,6.00,1.00,5.00,6.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7325592,3.00,7.00,2.00,6.00,6.00,10.50,3.00,4.00,5.00,NULL,NULL,NULL,'S'),(28,7325606,2.00,4.00,3.00,5.00,4.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7325614,2.00,4.00,2.00,5.00,4.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7325622,0.00,6.00,0.00,6.00,4.00,5.63,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7325630,1.00,6.00,0.00,4.00,6.00,7.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7325649,1.00,5.00,3.00,5.00,5.00,5.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7325673,3.00,7.00,2.00,5.00,7.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7325681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7325690,4.00,7.00,3.00,4.00,5.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7325703,5.00,8.00,3.00,7.00,9.00,8.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7325711,4.00,7.00,2.00,3.00,9.00,7.88,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7325720,5.00,7.00,3.00,7.00,5.00,7.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7325738,3.00,7.00,1.00,3.00,3.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7325746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7325754,1.00,4.00,1.00,6.00,7.00,NULL,3.00,4.00,1.00,NULL,NULL,'S','S'),(28,7325762,0.00,3.00,0.00,1.00,4.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7325770,2.00,3.00,2.00,7.00,5.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7325789,2.00,9.00,3.00,6.00,5.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7325797,1.00,8.00,3.00,2.00,5.00,9.75,0.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7325800,3.00,6.00,2.00,5.00,6.00,4.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7325819,1.00,2.00,2.00,5.00,6.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7325827,2.00,1.00,2.00,3.00,5.00,5.25,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7325835,1.00,5.00,4.00,4.00,5.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7325843,6.00,6.00,4.00,7.00,10.00,8.25,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7325851,1.00,1.00,3.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7325860,2.00,0.00,2.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7325878,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7325886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7325894,1.00,5.00,2.00,6.00,3.00,7.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7325908,5.00,9.00,2.00,7.00,10.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7325916,3.00,6.00,2.00,7.00,8.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7325924,0.00,5.00,0.00,0.00,0.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7325932,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7325940,0.00,6.00,1.00,6.00,7.00,9.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7325959,4.00,3.00,2.00,7.00,5.00,9.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7325967,2.00,2.00,0.00,6.00,4.00,9.75,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7325975,0.00,3.00,0.00,3.00,3.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7325983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7325991,4.00,8.00,2.00,6.00,7.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7326009,4.00,5.00,1.00,5.00,5.00,8.25,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7326017,0.00,4.00,1.00,1.00,0.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7326033,1.00,5.00,3.00,6.00,4.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7326050,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7326068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7326076,4.00,6.00,3.00,6.00,8.00,6.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7326084,0.00,5.00,2.00,6.00,4.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7326092,2.00,5.00,2.00,6.00,6.00,8.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7326106,3.00,0.00,0.00,7.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7326114,0.00,2.00,1.00,2.00,2.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7326122,2.00,7.00,1.00,5.00,0.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7326130,3.00,6.00,2.00,6.00,6.00,6.38,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7326157,2.00,6.00,2.00,6.00,4.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7326173,2.00,1.00,1.00,1.00,3.00,7.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7326181,4.00,4.00,2.00,6.00,4.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7326190,0.00,4.00,0.00,6.00,4.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7326203,1.00,4.00,1.00,1.00,3.00,6.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7326211,0.00,5.00,4.00,3.00,4.00,3.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7326220,6.00,7.00,2.00,6.00,7.00,9.00,8.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7326238,5.00,5.00,4.00,6.00,6.00,9.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7326246,2.00,6.00,5.00,5.00,7.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7326254,2.00,4.00,2.00,5.00,6.00,10.50,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7326270,1.00,4.00,2.00,3.00,4.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7326289,4.00,8.00,2.00,7.00,7.00,9.75,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7326297,5.00,5.00,2.00,6.00,5.00,11.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7326300,3.00,2.00,2.00,6.00,5.00,7.50,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7326319,1.00,3.00,0.00,6.00,6.00,8.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7326327,3.00,7.00,4.00,5.00,5.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7326335,2.00,5.00,3.00,6.00,7.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7326343,5.00,8.00,4.00,7.00,9.00,9.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7326351,3.00,4.00,4.00,2.00,4.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7326360,3.00,6.00,1.00,7.00,7.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7326378,0.00,5.00,1.00,5.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7326394,2.00,3.00,0.00,3.00,1.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7326408,1.00,6.00,1.00,4.00,9.00,4.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7326416,4.00,5.00,3.00,6.00,8.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7326432,5.00,7.00,3.00,6.00,7.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7326440,2.00,7.00,1.00,7.00,6.00,7.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7326459,2.00,0.00,1.00,8.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7326467,1.00,6.00,3.00,6.00,3.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7326483,3.00,6.00,0.00,7.00,6.00,6.00,1.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7326491,2.00,2.00,1.00,5.00,5.00,6.38,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7326505,6.00,7.00,2.00,7.00,7.00,8.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7326513,1.00,4.00,5.00,4.00,4.00,8.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7326521,3.00,5.00,2.00,5.00,5.00,5.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7326548,0.00,5.00,2.00,5.00,4.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7326556,3.00,7.00,0.00,6.00,4.00,6.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7326564,5.00,6.00,1.00,6.00,6.00,10.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7326572,0.00,3.00,2.00,5.00,5.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7326580,6.00,5.00,2.00,6.00,5.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7326599,4.00,5.00,3.00,6.00,5.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7326602,0.00,5.00,1.00,3.00,3.00,0.00,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7326610,1.00,5.00,0.00,4.00,5.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7326629,1.00,3.00,1.00,6.00,5.00,7.50,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7326645,5.00,4.00,2.00,2.00,4.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7326661,5.00,7.00,1.00,7.00,7.00,7.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7326696,1.00,4.00,2.00,1.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7326700,2.00,3.00,1.00,4.00,4.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7326718,4.00,6.00,4.00,5.00,6.00,7.88,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7326726,0.00,5.00,0.00,4.00,4.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7326734,2.00,2.00,1.00,5.00,4.00,7.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7326742,4.00,7.00,3.00,8.00,5.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7326750,2.00,6.00,1.00,7.00,6.00,10.13,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7326769,4.00,6.00,2.00,5.00,7.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7326777,3.00,4.00,2.00,4.00,5.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7326793,0.00,5.00,1.00,3.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7326807,1.00,3.00,1.00,4.00,4.00,4.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7326823,2.00,4.00,1.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7326831,4.00,8.00,5.00,4.00,7.00,8.25,6.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7326840,0.00,5.00,1.00,7.00,6.00,8.63,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7326858,1.00,7.00,2.00,2.00,3.00,7.50,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7326866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7326882,2.00,7.00,3.00,5.00,5.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7326890,0.00,6.00,3.00,4.00,5.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7326904,1.00,6.00,2.00,5.00,6.00,10.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7326920,2.00,4.00,1.00,6.00,1.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7326939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7326947,2.00,3.00,3.00,5.00,5.00,5.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7326955,3.00,4.00,1.00,2.00,2.00,NULL,4.00,4.00,0.00,NULL,NULL,NULL,'S'),(28,7326963,5.00,8.00,4.00,7.00,8.00,10.50,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7326971,4.00,7.00,3.00,7.00,7.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7326980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7326998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7327005,4.00,8.00,4.00,7.00,8.00,6.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7327013,1.00,3.00,1.00,3.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7327021,1.00,4.00,2.00,6.00,7.00,5.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7327030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7327048,2.00,5.00,2.00,7.00,8.00,7.88,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7327056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7327064,3.00,6.00,3.00,6.00,6.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7327080,5.00,8.00,4.00,7.00,7.00,9.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7327099,1.00,4.00,3.00,2.00,4.00,NULL,2.00,6.00,2.00,NULL,NULL,'S','N'),(28,7327102,2.00,5.00,2.00,3.00,4.00,10.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7327110,2.00,7.00,1.00,6.00,7.00,10.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7327129,0.00,5.00,2.00,2.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7327137,1.00,6.00,2.00,6.00,2.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7327145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7327153,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7327161,2.00,8.00,2.00,7.00,8.00,7.13,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7327170,2.00,0.00,3.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7327188,2.00,6.00,1.00,6.00,5.00,7.50,0.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7327196,2.00,5.00,4.00,4.00,6.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7327200,3.00,7.00,5.00,6.00,5.00,6.75,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7327218,0.00,3.00,1.00,4.00,5.00,6.75,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7327226,1.00,4.00,0.00,6.00,5.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7327234,2.00,2.00,0.00,5.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7327242,7.00,7.00,5.00,6.00,8.00,7.88,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7327250,0.00,4.00,2.00,5.00,5.00,8.25,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7327269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7327277,3.00,7.00,3.00,6.00,5.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7327285,2.00,4.00,2.00,7.00,8.00,8.25,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7327307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7327315,1.00,3.00,1.00,5.00,3.00,8.25,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7327323,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7327331,3.00,8.00,2.00,6.00,8.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7327340,3.00,6.00,3.00,6.00,8.00,9.38,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7327366,1.00,4.00,2.00,2.00,4.00,3.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7327374,0.00,4.00,2.00,3.00,5.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'S'),(28,7327382,0.00,7.00,2.00,5.00,5.00,7.88,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7327404,2.00,6.00,2.00,6.00,9.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7327412,2.00,5.00,3.00,6.00,3.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7327420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7327447,5.00,7.00,2.00,6.00,9.00,8.63,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7327455,1.00,4.00,2.00,4.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7327463,0.00,4.00,2.00,3.00,3.00,4.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7327471,6.00,6.00,3.00,6.00,7.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7327480,0.00,5.00,0.00,1.00,2.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7327501,0.00,6.00,3.00,3.00,4.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7327510,1.00,6.00,1.00,8.00,8.00,9.38,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7327528,2.00,6.00,2.00,6.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7327544,5.00,7.00,5.00,5.00,6.00,12.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7327552,2.00,5.00,1.00,6.00,8.00,8.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7327560,1.00,7.00,1.00,7.00,7.00,8.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7327579,2.00,4.00,2.00,6.00,5.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7327587,4.00,5.00,2.00,6.00,6.00,8.63,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7327595,1.00,4.00,3.00,6.00,7.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7327609,0.00,5.00,1.00,6.00,7.00,7.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7327617,1.00,4.00,2.00,3.00,3.00,6.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7327641,3.00,3.00,2.00,5.00,5.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7327668,1.00,4.00,2.00,0.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7327676,3.00,8.00,3.00,8.00,7.00,9.75,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7327684,0.00,5.00,3.00,4.00,3.00,5.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7327692,0.00,3.00,3.00,3.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7327706,3.00,7.00,2.00,6.00,7.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7327714,0.00,3.00,0.00,0.00,0.00,NULL,3.00,1.00,2.00,'S',NULL,NULL,'N'),(28,7327722,2.00,5.00,4.00,6.00,2.00,NULL,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7327730,2.00,0.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7327749,2.00,7.00,1.00,6.00,9.00,11.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7327757,1.00,1.00,1.00,6.00,5.00,9.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7327765,1.00,0.00,2.00,3.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7327773,0.00,5.00,2.00,5.00,7.00,NULL,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7327781,2.00,5.00,4.00,7.00,4.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7327790,3.00,2.00,2.00,5.00,6.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7327811,2.00,6.00,2.00,5.00,4.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7327820,1.00,6.00,2.00,5.00,8.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7327838,2.00,2.00,2.00,1.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,'S','N'),(28,7327846,3.00,5.00,4.00,5.00,8.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7327854,2.00,5.00,2.00,3.00,6.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7327862,5.00,8.00,2.00,5.00,8.00,7.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7327870,1.00,5.00,2.00,4.00,5.00,6.75,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7327889,4.00,8.00,3.00,6.00,6.00,7.50,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7327897,2.00,3.00,2.00,6.00,3.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7327900,3.00,7.00,1.00,6.00,7.00,5.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7327927,2.00,4.00,1.00,5.00,3.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7327935,1.00,3.00,2.00,3.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7327943,0.00,5.00,1.00,0.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7327951,0.00,3.00,1.00,6.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7327960,3.00,7.00,2.00,7.00,7.00,10.13,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7327978,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7327986,0.00,3.00,3.00,3.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7327994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7328010,5.00,7.00,3.00,5.00,7.00,7.50,3.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7328028,1.00,4.00,2.00,5.00,6.00,7.88,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7328044,0.00,4.00,4.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7328052,7.00,9.00,3.00,7.00,7.00,7.88,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7328060,1.00,2.00,2.00,2.00,5.00,6.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7328079,2.00,4.00,3.00,4.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7328087,0.00,4.00,0.00,3.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7328095,1.00,3.00,1.00,5.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7328109,5.00,6.00,4.00,6.00,6.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7328125,3.00,7.00,4.00,5.00,7.00,10.13,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7328133,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7328141,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7328168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7328176,4.00,5.00,3.00,7.00,8.00,9.38,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7328184,2.00,6.00,0.00,7.00,5.00,7.88,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7328192,3.00,5.00,0.00,6.00,3.00,NULL,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7328206,1.00,8.00,2.00,6.00,7.00,7.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7328214,3.00,7.00,2.00,6.00,6.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7328222,0.00,6.00,2.00,5.00,4.00,5.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7328265,1.00,6.00,3.00,5.00,6.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7328273,0.00,5.00,4.00,5.00,3.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7328281,1.00,5.00,1.00,2.00,3.00,0.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7328290,1.00,3.00,1.00,2.00,3.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7328303,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7328311,2.00,4.00,3.00,5.00,6.00,6.38,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7328320,4.00,5.00,0.00,6.00,7.00,9.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7328338,1.00,5.00,2.00,6.00,6.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7328346,1.00,3.00,2.00,2.00,4.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7328354,4.00,7.00,4.00,7.00,9.00,8.25,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7328362,5.00,7.00,3.00,7.00,5.00,9.00,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7328370,1.00,5.00,3.00,6.00,5.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7328389,3.00,5.00,1.00,7.00,5.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7328397,1.00,4.00,0.00,4.00,4.00,7.50,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7328400,1.00,7.00,3.00,6.00,4.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7328419,2.00,7.00,2.00,5.00,6.00,5.25,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7328427,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7328435,2.00,2.00,3.00,3.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7328443,3.00,7.00,4.00,4.00,8.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7328451,1.00,3.00,0.00,3.00,3.00,5.25,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7328478,0.00,5.00,1.00,5.00,4.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7328486,1.00,6.00,3.00,4.00,4.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7328494,4.00,7.00,3.00,7.00,6.00,10.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7328508,3.00,3.00,1.00,6.00,1.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7328516,0.00,7.00,2.00,6.00,6.00,8.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7328524,1.00,5.00,3.00,5.00,8.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7328532,6.00,9.00,5.00,8.00,11.00,6.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7328540,4.00,6.00,2.00,6.00,6.00,7.13,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7328559,4.00,7.00,5.00,7.00,6.00,7.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7328567,1.00,2.00,2.00,1.00,1.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7328575,2.00,7.00,2.00,6.00,6.00,6.38,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7328583,5.00,6.00,3.00,4.00,4.00,8.63,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7328591,2.00,6.00,2.00,6.00,6.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7328605,1.00,7.00,2.00,6.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7328613,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7328630,0.00,4.00,3.00,2.00,6.00,8.25,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7328648,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S',NULL,'N'),(28,7328656,3.00,7.00,1.00,4.00,7.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7328664,0.00,2.00,0.00,3.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7328672,1.00,3.00,2.00,2.00,4.00,3.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7328680,4.00,7.00,3.00,6.00,8.00,7.13,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7328699,5.00,7.00,4.00,8.00,9.00,7.88,6.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7328710,1.00,3.00,0.00,6.00,4.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7328729,2.00,3.00,3.00,2.00,3.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7328737,5.00,6.00,3.00,6.00,9.00,6.38,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7328745,1.00,5.00,0.00,6.00,4.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7328753,6.00,7.00,5.00,7.00,10.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7328761,3.00,7.00,3.00,6.00,8.00,9.75,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7328770,3.00,7.00,5.00,6.00,5.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7328788,0.00,3.00,2.00,3.00,4.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7328800,1.00,5.00,1.00,4.00,2.00,NULL,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7328818,1.00,4.00,3.00,4.00,8.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7328842,2.00,6.00,2.00,5.00,5.00,4.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7328850,3.00,5.00,3.00,6.00,6.00,9.38,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7328885,3.00,7.00,3.00,7.00,7.00,9.38,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7328893,2.00,4.00,1.00,5.00,6.00,6.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7328907,4.00,6.00,0.00,5.00,2.00,NULL,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7328915,2.00,5.00,3.00,6.00,3.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7328923,0.00,5.00,1.00,5.00,5.00,7.88,0.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7328931,1.00,3.00,2.00,4.00,3.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7328940,1.00,6.00,1.00,5.00,5.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7328966,2.00,3.00,1.00,4.00,4.00,3.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7328982,2.00,4.00,2.00,6.00,5.00,9.00,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7328990,3.00,6.00,2.00,7.00,9.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7329008,3.00,6.00,2.00,3.00,5.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7329016,0.00,4.00,3.00,1.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7329024,0.00,5.00,0.00,3.00,4.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7329032,3.00,4.00,2.00,7.00,9.00,10.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7329040,1.00,3.00,0.00,3.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7329067,5.00,0.00,1.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7329075,6.00,7.00,4.00,6.00,7.00,7.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7329083,0.00,5.00,0.00,3.00,4.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7329091,2.00,6.00,3.00,7.00,5.00,9.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7329105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7329113,3.00,5.00,1.00,6.00,6.00,8.63,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7329121,5.00,7.00,4.00,6.00,4.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7329130,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7329148,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7329156,1.00,2.00,1.00,5.00,4.00,7.13,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(28,7329164,2.00,6.00,1.00,6.00,4.00,6.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7329172,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7329180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7329210,2.00,7.00,4.00,5.00,5.00,9.38,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7329229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7329237,6.00,8.00,1.00,8.00,10.00,5.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7329245,3.00,4.00,1.00,3.00,6.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7329253,4.00,7.00,2.00,4.00,6.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7329261,1.00,4.00,3.00,6.00,3.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7329270,3.00,5.00,1.00,2.00,4.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7329288,1.00,6.00,3.00,5.00,6.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7329296,3.00,7.00,0.00,4.00,6.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7329326,3.00,7.00,0.00,6.00,7.00,10.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7329334,4.00,6.00,1.00,5.00,6.00,5.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7329342,4.00,7.00,2.00,4.00,6.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7329350,2.00,7.00,1.00,7.00,6.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7329369,0.00,4.00,3.00,3.00,5.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7329377,7.00,8.00,2.00,7.00,9.00,10.88,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7329385,0.00,7.00,1.00,7.00,6.00,7.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7329393,4.00,6.00,2.00,5.00,7.00,11.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7329407,1.00,6.00,3.00,7.00,5.00,6.38,1.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7329415,4.00,3.00,2.00,5.00,4.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7329423,0.00,4.00,2.00,5.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7329431,4.00,7.00,2.00,3.00,3.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7329440,0.00,6.00,1.00,1.00,3.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7329458,5.00,6.00,2.00,6.00,3.00,8.63,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7329466,1.00,4.00,4.00,3.00,5.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7329474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7329482,6.00,3.00,3.00,1.00,2.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7329490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7329520,1.00,5.00,1.00,5.00,5.00,7.88,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7329547,0.00,4.00,2.00,4.00,6.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7329555,5.00,6.00,4.00,4.00,9.00,8.25,1.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7329563,3.00,0.00,2.00,4.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7329571,0.00,7.00,1.00,3.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7329580,7.00,7.00,3.00,7.00,9.00,7.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7329598,3.00,7.00,3.00,6.00,5.00,NULL,4.00,4.00,4.00,NULL,NULL,'S','N'),(28,7329601,1.00,5.00,3.00,6.00,8.00,7.88,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7329610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7329628,1.00,6.00,2.00,5.00,3.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7329636,2.00,6.00,0.00,7.00,8.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7329644,2.00,3.00,2.00,5.00,5.00,6.00,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7329652,2.00,7.00,3.00,4.00,5.00,7.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7329660,3.00,5.00,1.00,5.00,4.00,4.88,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7329679,0.00,1.00,1.00,5.00,4.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7329687,6.00,7.00,3.00,8.00,7.00,10.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7329709,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7329717,4.00,6.00,2.00,6.00,6.00,6.38,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7329725,4.00,6.00,4.00,6.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7329733,0.00,4.00,0.00,5.00,6.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7329741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7329750,2.00,5.00,1.00,6.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7329768,3.00,8.00,1.00,6.00,6.00,9.00,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7329776,1.00,4.00,1.00,2.00,4.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7329784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7329792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7329806,4.00,4.00,2.00,3.00,3.00,9.00,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7329830,7.00,7.00,5.00,7.00,8.00,8.63,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7329849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7329857,3.00,6.00,2.00,5.00,7.00,8.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7329865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7329873,5.00,6.00,4.00,6.00,7.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7329881,1.00,3.00,1.00,2.00,6.00,6.38,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7329890,3.00,4.00,0.00,8.00,6.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7329903,2.00,3.00,3.00,5.00,6.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7329911,5.00,7.00,4.00,6.00,7.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7329920,0.00,4.00,2.00,0.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7329938,0.00,6.00,1.00,7.00,5.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7329946,4.00,2.00,2.00,5.00,6.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7329954,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7329962,3.00,6.00,3.00,6.00,6.00,8.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7329970,4.00,5.00,1.00,2.00,4.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7329989,3.00,7.00,2.00,7.00,7.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7329997,2.00,5.00,1.00,5.00,5.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7330006,1.00,6.00,4.00,5.00,7.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7330014,1.00,5.00,1.00,6.00,7.00,5.25,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7330022,1.00,4.00,2.00,3.00,4.00,7.88,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7330030,0.00,2.00,2.00,3.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7330049,3.00,5.00,1.00,5.00,6.00,11.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7330057,4.00,7.00,3.00,7.00,9.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7330065,1.00,3.00,0.00,1.00,4.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7330073,5.00,9.00,4.00,6.00,6.00,11.63,4.00,8.00,4.00,NULL,NULL,NULL,'S'),(28,7330081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7330103,5.00,7.00,6.00,6.00,5.00,7.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7330111,5.00,8.00,3.00,5.00,9.00,10.50,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7330154,1.00,6.00,1.00,5.00,3.00,8.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7330162,3.00,7.00,1.00,2.00,6.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7330170,7.00,8.00,2.00,4.00,8.00,10.13,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7330189,0.00,4.00,2.00,1.00,4.00,NULL,4.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7330197,3.00,6.00,1.00,5.00,6.00,5.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7330200,1.00,3.00,4.00,2.00,4.00,5.25,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7330219,5.00,6.00,1.00,5.00,6.00,7.50,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7330235,2.00,3.00,2.00,3.00,5.00,5.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7330243,7.00,5.00,6.00,4.00,8.00,7.88,6.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7330251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7330260,4.00,5.00,1.00,3.00,7.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7330278,1.00,4.00,0.00,2.00,3.00,7.50,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7330286,1.00,5.00,3.00,3.00,3.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7330294,1.00,4.00,1.00,4.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7330308,0.00,5.00,2.00,1.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7330316,1.00,7.00,2.00,5.00,4.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7330332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7330340,1.00,4.00,3.00,4.00,4.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7330359,3.00,6.00,0.00,7.00,7.00,NULL,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7330367,0.00,4.00,2.00,3.00,1.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7330375,0.00,2.00,3.00,2.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7330383,1.00,7.00,2.00,7.00,5.00,5.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7330391,3.00,7.00,3.00,6.00,9.00,10.50,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7330405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7330413,3.00,7.00,3.00,6.00,3.00,8.63,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7330421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7330430,1.00,7.00,2.00,7.00,5.00,4.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7330448,3.00,8.00,3.00,6.00,9.00,10.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7330456,1.00,1.00,2.00,5.00,3.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7330464,1.00,5.00,1.00,6.00,0.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7330472,0.00,2.00,2.00,5.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7330480,3.00,7.00,4.00,6.00,7.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7330499,2.00,5.00,3.00,7.00,6.00,10.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7330502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7330529,0.00,6.00,2.00,7.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7330537,2.00,4.00,3.00,5.00,4.00,6.00,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7330545,1.00,0.00,3.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7330553,2.00,5.00,1.00,6.00,4.00,4.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7330561,5.00,7.00,1.00,7.00,6.00,9.38,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7330570,4.00,7.00,2.00,6.00,5.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7330588,0.00,4.00,1.00,6.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7330600,2.00,5.00,3.00,7.00,5.00,NULL,2.00,4.00,4.00,NULL,NULL,'S','S'),(28,7330626,0.00,2.00,0.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7330634,5.00,7.00,1.00,4.00,4.00,6.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7330642,4.00,8.00,6.00,5.00,9.00,12.00,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7330650,6.00,8.00,1.00,6.00,8.00,10.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7330669,2.00,6.00,4.00,5.00,6.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7330677,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7330685,5.00,6.00,4.00,6.00,8.00,8.63,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7330693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7330707,0.00,5.00,0.00,2.00,3.00,7.88,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7330715,1.00,4.00,0.00,5.00,3.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7330723,3.00,5.00,4.00,2.00,5.00,3.00,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7330731,5.00,5.00,1.00,6.00,4.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7330740,0.00,4.00,4.00,3.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7330758,1.00,3.00,2.00,6.00,3.00,9.75,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7330766,2.00,1.00,1.00,4.00,5.00,9.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7330774,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7330782,4.00,6.00,4.00,6.00,6.00,10.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7330790,4.00,5.00,3.00,6.00,6.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7330804,1.00,4.00,1.00,7.00,6.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7330812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7330820,3.00,5.00,2.00,2.00,8.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7330839,2.00,5.00,2.00,7.00,6.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7330847,4.00,6.00,3.00,7.00,5.00,7.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7330855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7330863,0.00,4.00,1.00,5.00,4.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7330871,3.00,4.00,2.00,7.00,4.00,5.25,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7330880,6.00,7.00,4.00,5.00,9.00,8.63,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7330898,6.00,8.00,6.00,8.00,7.00,7.50,7.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7330901,4.00,7.00,2.00,7.00,7.00,10.13,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7330910,0.00,6.00,1.00,4.00,6.00,7.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7330936,1.00,5.00,1.00,6.00,4.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7330944,1.00,4.00,1.00,5.00,5.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7330952,2.00,0.00,3.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7330960,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7330979,3.00,7.00,1.00,6.00,6.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7330987,0.00,2.00,2.00,3.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(28,7330995,0.00,6.00,3.00,5.00,3.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7331002,0.00,4.00,1.00,1.00,5.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7331010,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7331029,2.00,4.00,1.00,6.00,4.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7331037,0.00,3.00,2.00,4.00,6.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7331045,2.00,5.00,1.00,7.00,9.00,12.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7331053,3.00,5.00,3.00,5.00,4.00,7.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7331061,7.00,6.00,3.00,7.00,8.00,8.25,6.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7331088,3.00,4.00,2.00,6.00,7.00,9.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7331096,3.00,8.00,2.00,5.00,8.00,10.88,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7331100,5.00,7.00,4.00,7.00,8.00,8.63,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7331118,2.00,5.00,3.00,4.00,5.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7331126,2.00,6.00,2.00,4.00,3.00,7.50,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7331134,1.00,5.00,1.00,7.00,7.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7331142,0.00,3.00,1.00,0.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7331169,5.00,7.00,4.00,7.00,9.00,8.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7331177,4.00,6.00,1.00,7.00,6.00,6.75,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7331185,1.00,2.00,3.00,3.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7331193,2.00,4.00,0.00,4.00,2.00,NULL,2.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7331207,8.00,9.00,2.00,7.00,7.00,10.88,5.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7331215,2.00,7.00,1.00,6.00,5.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7331223,2.00,6.00,3.00,7.00,6.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7331231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7331240,0.00,4.00,2.00,2.00,5.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7331266,5.00,8.00,3.00,6.00,9.00,8.63,3.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7331274,0.00,4.00,2.00,0.00,6.00,NULL,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7331282,1.00,2.00,2.00,5.00,5.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7331290,2.00,5.00,2.00,6.00,5.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7331304,0.00,5.00,3.00,6.00,3.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7331312,3.00,6.00,2.00,6.00,4.00,8.63,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7331320,1.00,3.00,0.00,6.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7331339,3.00,2.00,3.00,4.00,2.00,NULL,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7331347,5.00,7.00,0.00,6.00,9.00,10.50,1.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7331355,2.00,3.00,1.00,3.00,6.00,6.00,2.00,7.00,0.00,NULL,NULL,NULL,'N'),(28,7331363,1.00,2.00,2.00,4.00,4.00,4.50,2.00,0.00,2.00,NULL,NULL,NULL,'N'),(28,7331371,4.00,7.00,1.00,7.00,8.00,5.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7331398,7.00,7.00,4.00,7.00,10.00,10.13,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7331410,2.00,8.00,1.00,6.00,7.00,7.88,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7331428,4.00,5.00,2.00,6.00,9.00,7.88,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7331436,1.00,5.00,4.00,7.00,6.00,9.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7331444,1.00,7.00,3.00,6.00,4.00,6.75,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7331452,0.00,3.00,1.00,1.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7331460,2.00,7.00,1.00,5.00,7.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7331479,2.00,7.00,2.00,7.00,7.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7331487,6.00,6.00,5.00,7.00,6.00,11.25,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7331495,2.00,6.00,3.00,7.00,5.00,5.63,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7331509,0.00,3.00,2.00,2.00,3.00,7.50,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7331517,0.00,4.00,2.00,4.00,6.00,10.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7331525,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7331533,0.00,4.00,0.00,0.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7331541,0.00,4.00,2.00,0.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7331550,5.00,8.00,3.00,7.00,10.00,10.13,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7331584,6.00,8.00,3.00,5.00,10.00,12.00,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7331592,2.00,8.00,3.00,7.00,9.00,5.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7331606,2.00,8.00,2.00,7.00,8.00,8.25,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7331614,1.00,5.00,3.00,4.00,4.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7331630,4.00,7.00,1.00,6.00,5.00,5.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7331649,2.00,5.00,3.00,6.00,6.00,9.38,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7331657,0.00,4.00,1.00,3.00,7.00,6.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7331665,2.00,6.00,1.00,1.00,6.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7331673,4.00,7.00,3.00,6.00,3.00,8.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7331681,6.00,8.00,4.00,8.00,10.00,10.88,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7331690,1.00,3.00,2.00,4.00,6.00,7.50,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7331703,2.00,4.00,1.00,5.00,6.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7331711,5.00,6.00,5.00,5.00,6.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7331720,1.00,2.00,2.00,6.00,5.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7331738,6.00,8.00,5.00,6.00,11.00,10.50,5.00,6.00,9.00,NULL,NULL,NULL,'N'),(28,7331754,0.00,2.00,3.00,5.00,3.00,4.88,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7331762,1.00,5.00,2.00,5.00,3.00,6.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7331770,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7331789,0.00,3.00,3.00,6.00,5.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7331819,1.00,6.00,3.00,6.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7331827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7331835,3.00,5.00,4.00,4.00,3.00,6.00,4.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7331843,3.00,4.00,3.00,4.00,4.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7331851,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7331878,5.00,4.00,2.00,4.00,4.00,8.63,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7331886,1.00,5.00,4.00,5.00,3.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7331894,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,2.00,NULL,NULL,'S','N'),(28,7331908,4.00,7.00,2.00,6.00,4.00,8.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7331916,4.00,7.00,4.00,6.00,8.00,8.25,6.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7331924,1.00,6.00,3.00,5.00,4.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7331932,2.00,6.00,1.00,5.00,5.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7331959,0.00,1.00,3.00,5.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7331967,5.00,7.00,3.00,5.00,6.00,5.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7331975,2.00,3.00,2.00,6.00,6.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7331983,1.00,7.00,3.00,3.00,4.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7332009,4.00,8.00,2.00,5.00,4.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7332025,1.00,7.00,2.00,7.00,4.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7332033,1.00,1.00,4.00,1.00,5.00,7.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7332041,2.00,4.00,2.00,7.00,6.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7332050,0.00,5.00,0.00,4.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7332068,1.00,3.00,2.00,6.00,5.00,12.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7332084,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7332092,2.00,7.00,6.00,3.00,6.00,13.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7332106,0.00,3.00,2.00,5.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7332114,3.00,4.00,0.00,4.00,3.00,10.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7332122,3.00,3.00,1.00,6.00,2.00,NULL,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7332130,0.00,5.00,1.00,4.00,4.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7332157,7.00,9.00,4.00,4.00,7.00,11.63,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7332165,4.00,6.00,4.00,7.00,5.00,11.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7332173,4.00,7.00,2.00,6.00,8.00,9.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7332181,0.00,4.00,2.00,5.00,6.00,7.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7332190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7332203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7332211,5.00,7.00,3.00,7.00,8.00,6.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7332220,0.00,7.00,3.00,6.00,7.00,9.38,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7332246,1.00,2.00,3.00,6.00,6.00,7.50,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7332254,4.00,6.00,0.00,4.00,3.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7332262,5.00,7.00,3.00,4.00,6.00,6.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7332289,4.00,7.00,5.00,4.00,8.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7332297,2.00,3.00,2.00,1.00,5.00,5.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7332300,0.00,2.00,2.00,1.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7332335,3.00,9.00,4.00,6.00,8.00,6.38,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7332343,4.00,3.00,2.00,4.00,3.00,9.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7332351,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7332378,4.00,7.00,1.00,7.00,7.00,8.63,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7332386,2.00,6.00,2.00,5.00,5.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7332408,3.00,6.00,1.00,5.00,7.00,10.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7332416,1.00,3.00,0.00,5.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7332424,2.00,7.00,3.00,6.00,10.00,9.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7332432,4.00,8.00,1.00,6.00,9.00,10.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7332459,0.00,1.00,2.00,5.00,3.00,0.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7332467,1.00,2.00,2.00,5.00,6.00,4.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7332475,1.00,8.00,5.00,7.00,10.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7332483,0.00,2.00,0.00,6.00,4.00,5.25,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7332491,1.00,4.00,0.00,5.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7332505,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7332513,8.00,8.00,1.00,7.00,8.00,10.88,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7332521,2.00,1.00,1.00,5.00,3.00,5.63,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7332548,3.00,7.00,2.00,6.00,7.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7332556,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7332564,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7332572,2.00,6.00,3.00,6.00,5.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7332580,3.00,9.00,3.00,6.00,7.00,10.13,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7332599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7332602,0.00,5.00,1.00,7.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7332610,5.00,5.00,4.00,5.00,9.00,7.50,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7332629,4.00,5.00,1.00,5.00,9.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7332645,3.00,6.00,2.00,6.00,6.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7332670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7332688,2.00,5.00,1.00,5.00,6.00,7.50,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7332726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7332734,0.00,2.00,2.00,5.00,5.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7332742,7.00,7.00,8.00,7.00,8.00,5.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7332750,5.00,8.00,4.00,6.00,6.00,10.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7332777,4.00,5.00,0.00,6.00,4.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7332785,2.00,6.00,3.00,6.00,5.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7332793,6.00,7.00,5.00,6.00,7.00,11.25,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7332815,3.00,6.00,3.00,3.00,8.00,7.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7332823,6.00,7.00,0.00,7.00,8.00,8.63,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7332831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7332840,3.00,5.00,1.00,4.00,7.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7332858,3.00,8.00,1.00,5.00,8.00,9.75,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7332866,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7332874,1.00,6.00,1.00,7.00,8.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7332882,0.00,6.00,1.00,1.00,4.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7332890,1.00,6.00,1.00,4.00,4.00,9.00,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7332904,2.00,1.00,2.00,3.00,2.00,NULL,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7332912,2.00,1.00,2.00,2.00,3.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7332920,3.00,7.00,3.00,6.00,5.00,7.13,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7332939,2.00,6.00,3.00,6.00,9.00,10.13,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7332955,6.00,7.00,6.00,7.00,6.00,10.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7332963,1.00,5.00,1.00,6.00,5.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7332971,2.00,4.00,2.00,5.00,3.00,7.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7332998,0.00,8.00,2.00,6.00,6.00,8.63,0.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7333005,0.00,4.00,4.00,3.00,4.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7333013,1.00,6.00,2.00,4.00,6.00,9.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7333021,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7333048,2.00,4.00,0.00,5.00,4.00,6.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7333056,2.00,3.00,1.00,4.00,5.00,4.50,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7333064,8.00,8.00,7.00,7.00,9.00,9.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7333072,2.00,6.00,2.00,7.00,5.00,7.13,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7333080,2.00,5.00,3.00,5.00,4.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7333099,3.00,6.00,2.00,8.00,6.00,10.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7333102,2.00,7.00,0.00,7.00,9.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7333110,0.00,2.00,2.00,5.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7333129,4.00,8.00,3.00,7.00,4.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7333137,0.00,4.00,2.00,2.00,4.00,NULL,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7333145,2.00,4.00,2.00,6.00,6.00,9.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7333153,0.00,6.00,2.00,3.00,4.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7333161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7333188,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7333218,0.00,5.00,2.00,4.00,6.00,8.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7333226,2.00,3.00,0.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7333234,2.00,4.00,1.00,2.00,5.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7333242,1.00,3.00,2.00,2.00,4.00,8.63,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7333269,2.00,0.00,2.00,1.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7333285,2.00,6.00,1.00,6.00,9.00,6.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7333323,1.00,1.00,4.00,2.00,3.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7333331,2.00,2.00,1.00,3.00,3.00,7.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7333340,3.00,1.00,3.00,2.00,3.00,2.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7333358,2.00,0.00,3.00,4.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7333366,2.00,6.00,2.00,7.00,4.00,10.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7333374,1.00,3.00,1.00,2.00,3.00,0.00,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7333382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7333390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7333404,6.00,5.00,5.00,6.00,9.00,NULL,5.00,5.00,7.00,NULL,NULL,'S','N'),(28,7333412,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7333439,1.00,6.00,4.00,6.00,5.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7333455,4.00,8.00,0.00,7.00,7.00,12.00,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7333463,4.00,6.00,2.00,6.00,7.00,7.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7333471,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7333480,1.00,6.00,1.00,6.00,6.00,6.00,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7333498,1.00,5.00,0.00,5.00,3.00,6.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7333501,1.00,4.00,2.00,3.00,3.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7333510,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7333528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7333536,3.00,5.00,2.00,6.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7333544,1.00,3.00,2.00,4.00,1.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7333552,4.00,7.00,3.00,6.00,9.00,8.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7333579,2.00,2.00,3.00,3.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7333587,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7333609,0.00,2.00,2.00,3.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7333617,3.00,5.00,1.00,1.00,3.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7333633,0.00,4.00,2.00,7.00,5.00,5.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7333641,0.00,1.00,2.00,0.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7333668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7333676,0.00,2.00,2.00,6.00,3.00,NULL,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7333684,4.00,5.00,3.00,4.00,6.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7333692,2.00,4.00,1.00,5.00,2.00,NULL,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7333706,0.00,5.00,2.00,4.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7333714,1.00,4.00,1.00,4.00,5.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7333730,0.00,6.00,1.00,5.00,6.00,NULL,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7333757,1.00,3.00,2.00,2.00,6.00,NULL,1.00,3.00,0.00,NULL,NULL,'S','S'),(28,7333765,1.00,3.00,1.00,6.00,5.00,NULL,5.00,2.00,3.00,NULL,NULL,'S','N'),(28,7333773,0.00,4.00,2.00,6.00,5.00,6.38,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7333781,1.00,1.00,1.00,0.00,5.00,4.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7333803,0.00,3.00,1.00,5.00,4.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7333820,2.00,3.00,1.00,5.00,7.00,8.25,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7333838,5.00,8.00,4.00,5.00,6.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7333846,1.00,7.00,1.00,7.00,5.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7333854,3.00,4.00,4.00,6.00,6.00,4.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7333889,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7333897,1.00,3.00,2.00,1.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7333919,2.00,4.00,3.00,1.00,4.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7333927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7333935,5.00,7.00,6.00,7.00,8.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7333943,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7333951,0.00,4.00,2.00,3.00,2.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7333960,1.00,4.00,0.00,6.00,2.00,NULL,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7333978,6.00,7.00,1.00,6.00,7.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7333986,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7334001,0.00,6.00,1.00,6.00,3.00,5.25,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7334010,2.00,0.00,3.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7334036,2.00,6.00,1.00,5.00,3.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7334044,5.00,7.00,4.00,6.00,9.00,9.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7334052,2.00,5.00,2.00,6.00,5.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7334060,6.00,8.00,4.00,7.00,8.00,9.75,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7334079,5.00,6.00,2.00,8.00,9.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7334087,2.00,1.00,2.00,0.00,3.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7334095,2.00,8.00,2.00,6.00,7.00,7.13,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7334109,7.00,9.00,2.00,6.00,11.00,10.13,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7334117,8.00,7.00,5.00,5.00,5.00,10.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7334125,0.00,4.00,2.00,6.00,4.00,4.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7334141,1.00,4.00,3.00,2.00,4.00,9.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7334176,3.00,7.00,1.00,7.00,7.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7334184,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7334214,1.00,4.00,0.00,2.00,5.00,NULL,3.00,2.00,0.00,NULL,NULL,NULL,'S'),(28,7334222,1.00,6.00,0.00,3.00,4.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7334230,0.00,5.00,1.00,4.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7334249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7334273,5.00,8.00,3.00,6.00,7.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7334290,4.00,3.00,1.00,5.00,7.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7334303,3.00,6.00,2.00,6.00,5.00,10.50,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7334320,1.00,4.00,1.00,6.00,4.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7334338,5.00,5.00,2.00,6.00,6.00,7.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7334346,8.00,8.00,6.00,6.00,8.00,8.63,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7334354,1.00,3.00,2.00,4.00,3.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7334370,5.00,8.00,4.00,7.00,9.00,9.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7334389,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7334400,2.00,4.00,2.00,7.00,5.00,4.88,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7334427,1.00,0.00,3.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7334435,0.00,6.00,2.00,5.00,5.00,5.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7334451,3.00,7.00,3.00,7.00,7.00,10.88,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7334460,5.00,9.00,4.00,5.00,8.00,9.00,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7334478,0.00,2.00,3.00,4.00,5.00,6.38,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7334494,1.00,4.00,3.00,4.00,1.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7334508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7334516,2.00,6.00,3.00,4.00,10.00,8.25,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7334524,1.00,1.00,3.00,3.00,1.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7334532,5.00,6.00,3.00,5.00,8.00,6.00,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7334540,4.00,5.00,2.00,6.00,7.00,7.50,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7334559,3.00,4.00,2.00,5.00,3.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7334567,0.00,4.00,2.00,6.00,4.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7334575,2.00,0.00,1.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7334583,1.00,6.00,2.00,2.00,1.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7334591,0.00,4.00,2.00,0.00,5.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7334605,1.00,5.00,4.00,5.00,6.00,8.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7334613,4.00,5.00,4.00,5.00,8.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7334621,5.00,8.00,4.00,6.00,7.00,7.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7334648,1.00,5.00,1.00,6.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7334656,1.00,5.00,0.00,3.00,5.00,5.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7334664,0.00,3.00,1.00,5.00,5.00,7.50,0.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7334672,1.00,6.00,2.00,4.00,9.00,8.25,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7334680,2.00,5.00,2.00,2.00,6.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7334699,1.00,0.00,1.00,4.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7334702,1.00,7.00,1.00,7.00,6.00,11.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7334729,3.00,4.00,1.00,5.00,6.00,8.25,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7334745,6.00,8.00,3.00,5.00,7.00,7.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7334761,6.00,7.00,1.00,6.00,8.00,9.38,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7334770,3.00,6.00,2.00,7.00,9.00,7.88,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7334788,0.00,4.00,3.00,6.00,7.00,6.75,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7334800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7334826,2.00,6.00,2.00,7.00,5.00,7.50,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7334834,0.00,6.00,1.00,7.00,5.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7334842,0.00,4.00,1.00,2.00,4.00,12.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7334850,0.00,4.00,3.00,4.00,3.00,5.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7334869,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7334877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7334885,6.00,8.00,4.00,7.00,8.00,8.63,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7334915,4.00,6.00,2.00,5.00,6.00,6.75,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7334923,2.00,7.00,2.00,5.00,3.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7334940,1.00,3.00,2.00,3.00,1.00,NULL,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7334958,2.00,3.00,2.00,2.00,4.00,3.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7334966,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7334974,2.00,0.00,3.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7334982,2.00,5.00,1.00,5.00,1.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7334990,2.00,6.00,1.00,6.00,5.00,8.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7335008,7.00,7.00,4.00,6.00,9.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7335016,0.00,3.00,2.00,2.00,5.00,6.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7335024,0.00,5.00,0.00,4.00,2.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7335032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7335040,4.00,8.00,2.00,7.00,6.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7335067,0.00,6.00,2.00,1.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7335083,1.00,0.00,0.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7335091,3.00,5.00,1.00,4.00,6.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7335105,0.00,3.00,1.00,6.00,6.00,7.88,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7335113,0.00,4.00,2.00,4.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7335121,0.00,6.00,2.00,6.00,8.00,NULL,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7335130,1.00,6.00,2.00,2.00,3.00,7.13,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7335148,0.00,5.00,2.00,5.00,5.00,6.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7335156,0.00,2.00,1.00,0.00,4.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7335164,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7335172,4.00,8.00,1.00,5.00,6.00,9.75,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7335180,1.00,8.00,1.00,6.00,8.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7335199,0.00,1.00,1.00,3.00,3.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7335210,2.00,3.00,0.00,3.00,5.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7335237,2.00,6.00,2.00,5.00,4.00,5.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7335245,2.00,5.00,3.00,3.00,3.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7335253,5.00,8.00,2.00,7.00,7.00,9.38,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7335296,2.00,7.00,0.00,5.00,6.00,NULL,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7335300,1.00,5.00,2.00,6.00,8.00,9.75,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7335318,1.00,5.00,0.00,4.00,7.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7335326,4.00,6.00,2.00,6.00,3.00,9.38,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7335342,0.00,0.00,2.00,4.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7335350,1.00,4.00,1.00,4.00,4.00,7.88,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7335369,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7335377,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7335393,0.00,7.00,2.00,2.00,2.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7335407,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7335415,2.00,7.00,3.00,5.00,7.00,9.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7335423,2.00,5.00,1.00,4.00,8.00,6.38,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7335431,0.00,3.00,1.00,5.00,4.00,0.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7335440,4.00,6.00,1.00,6.00,7.00,7.88,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7335458,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7335466,0.00,4.00,0.00,5.00,5.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7335482,1.00,6.00,3.00,6.00,4.00,4.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7335504,1.00,4.00,3.00,4.00,4.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7335520,0.00,4.00,1.00,6.00,7.00,6.75,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7335547,3.00,0.00,1.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7335555,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7335580,0.00,3.00,1.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7335598,5.00,8.00,3.00,6.00,5.00,10.13,0.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7335601,1.00,3.00,4.00,3.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7335610,3.00,9.00,0.00,6.00,6.00,NULL,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7335628,3.00,5.00,4.00,6.00,3.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7335636,6.00,8.00,2.00,8.00,6.00,10.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7335644,2.00,6.00,0.00,6.00,10.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7335660,3.00,3.00,4.00,5.00,8.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7335679,6.00,8.00,3.00,5.00,7.00,12.38,1.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7335687,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7335709,1.00,3.00,1.00,5.00,3.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7335717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7335725,0.00,0.00,2.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7335741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7335768,2.00,6.00,2.00,5.00,2.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7335776,3.00,5.00,1.00,6.00,6.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7335792,0.00,5.00,4.00,3.00,4.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7335806,4.00,8.00,1.00,7.00,4.00,6.75,2.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7335814,3.00,4.00,2.00,4.00,5.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7335849,6.00,3.00,1.00,4.00,3.00,4.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7335857,4.00,6.00,1.00,1.00,8.00,6.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7335865,0.00,3.00,4.00,5.00,5.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7335873,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7335881,2.00,4.00,2.00,7.00,6.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7335890,1.00,5.00,1.00,5.00,7.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7335903,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7335911,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7335920,1.00,6.00,2.00,4.00,5.00,7.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7335938,4.00,4.00,2.00,4.00,7.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7335954,3.00,4.00,1.00,4.00,7.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7335962,3.00,7.00,1.00,4.00,5.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7335970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7335989,3.00,5.00,2.00,7.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7335997,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7336012,3.00,6.00,1.00,7.00,5.00,9.38,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7336020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7336039,3.00,2.00,1.00,5.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7336047,1.00,1.00,1.00,3.00,3.00,3.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7336055,3.00,7.00,3.00,5.00,6.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7336063,0.00,6.00,1.00,4.00,3.00,7.13,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7336071,4.00,9.00,3.00,6.00,6.00,12.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7336080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7336098,1.00,6.00,1.00,4.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7336101,0.00,4.00,2.00,4.00,5.00,10.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7336110,0.00,4.00,1.00,5.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7336128,0.00,0.00,4.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7336136,4.00,5.00,1.00,2.00,5.00,7.13,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7336144,4.00,0.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7336152,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7336187,1.00,5.00,2.00,5.00,6.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7336195,2.00,4.00,1.00,5.00,3.00,9.38,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7336209,3.00,8.00,2.00,6.00,8.00,6.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7336217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7336225,3.00,6.00,3.00,4.00,8.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7336233,3.00,6.00,2.00,5.00,5.00,6.00,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7336241,2.00,7.00,2.00,5.00,6.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7336250,0.00,5.00,1.00,5.00,5.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7336268,2.00,4.00,1.00,2.00,3.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7336276,2.00,2.00,2.00,4.00,5.00,NULL,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7336284,0.00,5.00,4.00,6.00,6.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7336292,1.00,4.00,3.00,3.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7336306,0.00,2.00,2.00,7.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7336314,2.00,5.00,0.00,3.00,3.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7336322,0.00,4.00,2.00,6.00,4.00,8.25,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7336330,0.00,4.00,1.00,3.00,4.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7336349,3.00,3.00,1.00,1.00,3.00,6.75,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7336357,0.00,4.00,0.00,1.00,6.00,6.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7336365,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7336373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7336381,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7336390,1.00,3.00,2.00,3.00,3.00,6.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7336411,4.00,6.00,2.00,5.00,3.00,0.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7336420,3.00,8.00,4.00,7.00,8.00,12.00,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7336438,0.00,0.00,1.00,2.00,5.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7336454,0.00,4.00,1.00,4.00,5.00,6.75,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7336462,1.00,0.00,2.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7336470,2.00,7.00,2.00,8.00,2.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7336497,0.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7336500,4.00,0.00,3.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7336519,4.00,4.00,1.00,7.00,6.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7336527,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7336535,4.00,8.00,3.00,7.00,7.00,6.00,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7336543,0.00,6.00,1.00,2.00,6.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7336551,0.00,1.00,0.00,2.00,7.00,6.75,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7336560,4.00,9.00,2.00,8.00,7.00,9.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7336578,2.00,6.00,0.00,4.00,7.00,7.50,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7336594,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7336608,0.00,3.00,2.00,1.00,3.00,4.50,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7336616,4.00,8.00,2.00,7.00,2.00,NULL,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7336624,2.00,3.00,4.00,4.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7336632,0.00,4.00,2.00,4.00,3.00,6.75,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7336640,0.00,0.00,2.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7336659,2.00,8.00,3.00,5.00,5.00,7.88,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7336675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7336683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7336691,1.00,6.00,2.00,5.00,4.00,5.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7336705,5.00,5.00,4.00,2.00,3.00,7.88,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7336713,4.00,6.00,5.00,6.00,5.00,9.38,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7336721,4.00,8.00,4.00,5.00,7.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7336730,5.00,7.00,4.00,5.00,9.00,8.25,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7336748,1.00,5.00,1.00,7.00,6.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7336756,2.00,8.00,3.00,7.00,9.00,9.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7336764,1.00,4.00,3.00,2.00,4.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7336772,0.00,6.00,1.00,1.00,7.00,7.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7336780,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7336802,6.00,8.00,3.00,5.00,6.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7336810,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7336829,2.00,8.00,2.00,4.00,7.00,10.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7336845,0.00,4.00,1.00,5.00,4.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7336853,0.00,4.00,3.00,6.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7336888,2.00,2.00,2.00,2.00,0.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7336896,2.00,4.00,3.00,6.00,4.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7336900,1.00,5.00,3.00,1.00,5.00,9.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7336918,3.00,8.00,5.00,4.00,7.00,8.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7336926,0.00,0.00,1.00,3.00,1.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7336942,1.00,6.00,2.00,6.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7336969,4.00,7.00,2.00,7.00,8.00,8.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7336977,5.00,9.00,3.00,5.00,7.00,12.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7336985,2.00,6.00,3.00,6.00,6.00,11.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7336993,0.00,4.00,4.00,6.00,7.00,8.63,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7337019,1.00,3.00,0.00,6.00,6.00,10.13,5.00,3.00,6.00,NULL,NULL,NULL,'S'),(28,7337027,1.00,4.00,1.00,6.00,2.00,NULL,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7337035,0.00,0.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7337043,4.00,5.00,4.00,3.00,4.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7337051,7.00,8.00,2.00,6.00,8.00,6.75,3.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7337060,4.00,6.00,1.00,6.00,6.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7337078,5.00,7.00,6.00,7.00,3.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7337086,0.00,3.00,2.00,4.00,2.00,NULL,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7337094,0.00,6.00,3.00,5.00,4.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7337116,2.00,7.00,1.00,4.00,4.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7337124,5.00,7.00,4.00,6.00,6.00,4.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7337132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7337159,3.00,5.00,2.00,6.00,3.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7337167,3.00,6.00,1.00,4.00,4.00,8.63,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7337175,0.00,3.00,0.00,5.00,6.00,6.38,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7337183,1.00,2.00,1.00,1.00,4.00,4.50,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7337191,1.00,2.00,1.00,7.00,4.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7337205,2.00,7.00,4.00,7.00,8.00,9.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7337213,2.00,5.00,3.00,5.00,5.00,7.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7337221,1.00,4.00,3.00,1.00,3.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7337230,0.00,1.00,0.00,2.00,3.00,3.00,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(28,7337248,4.00,7.00,3.00,8.00,8.00,9.00,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7337256,0.00,6.00,3.00,5.00,2.00,NULL,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7337264,2.00,1.00,2.00,3.00,3.00,4.50,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7337299,4.00,6.00,0.00,6.00,9.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7337302,4.00,6.00,3.00,7.00,8.00,7.88,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7337310,7.00,8.00,6.00,7.00,10.00,9.00,8.00,6.00,8.00,NULL,NULL,NULL,'N'),(28,7337329,4.00,8.00,3.00,7.00,7.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7337337,1.00,5.00,4.00,3.00,6.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7337345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7337361,3.00,7.00,2.00,8.00,6.00,11.25,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7337388,2.00,5.00,2.00,7.00,5.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7337396,3.00,6.00,1.00,5.00,6.00,7.13,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7337400,1.00,2.00,2.00,3.00,6.00,0.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7337418,2.00,3.00,1.00,4.00,7.00,7.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7337426,7.00,8.00,4.00,6.00,7.00,9.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7337434,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7337442,2.00,6.00,2.00,1.00,5.00,8.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7337450,3.00,8.00,3.00,6.00,8.00,NULL,4.00,7.00,4.00,NULL,NULL,'S','N'),(28,7337469,0.00,5.00,1.00,2.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7337485,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7337493,0.00,2.00,2.00,1.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7337515,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7337523,7.00,8.00,4.00,6.00,10.00,9.75,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7337531,3.00,3.00,1.00,4.00,5.00,7.13,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7337558,3.00,4.00,1.00,5.00,3.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7337590,2.00,7.00,3.00,4.00,3.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7337612,1.00,5.00,2.00,5.00,4.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7337620,1.00,6.00,1.00,2.00,3.00,9.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7337639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7337647,2.00,5.00,0.00,4.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7337655,4.00,6.00,3.00,5.00,4.00,8.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7337671,0.00,4.00,0.00,3.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7337680,4.00,5.00,1.00,8.00,5.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7337698,3.00,4.00,0.00,5.00,5.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7337701,3.00,7.00,2.00,5.00,7.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7337710,3.00,7.00,4.00,7.00,10.00,12.38,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7337728,0.00,6.00,2.00,6.00,5.00,9.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7337736,6.00,7.00,2.00,5.00,8.00,9.38,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7337744,0.00,7.00,1.00,6.00,6.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7337752,5.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7337760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7337779,2.00,6.00,2.00,5.00,4.00,8.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7337787,1.00,3.00,2.00,5.00,6.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7337795,2.00,6.00,3.00,7.00,7.00,6.38,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7337809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7337817,2.00,4.00,1.00,6.00,4.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7337825,2.00,6.00,1.00,3.00,6.00,7.13,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7337833,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7337841,3.00,7.00,3.00,3.00,4.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7337850,3.00,4.00,3.00,6.00,5.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7337876,1.00,0.00,1.00,5.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7337884,1.00,6.00,3.00,7.00,6.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7337892,1.00,4.00,2.00,5.00,3.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7337906,3.00,8.00,1.00,6.00,5.00,7.88,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7337914,3.00,4.00,1.00,6.00,2.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7337922,1.00,0.00,1.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7337930,2.00,5.00,1.00,3.00,4.00,6.38,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7337949,4.00,8.00,2.00,6.00,7.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7337957,1.00,6.00,0.00,6.00,2.00,NULL,1.00,2.00,4.00,NULL,NULL,'S','N'),(28,7337965,2.00,5.00,2.00,2.00,5.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7337973,1.00,6.00,2.00,6.00,3.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7337981,1.00,5.00,2.00,6.00,5.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7337990,3.00,5.00,4.00,7.00,6.00,9.75,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7338007,1.00,4.00,1.00,5.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7338015,0.00,6.00,1.00,5.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7338023,3.00,6.00,4.00,7.00,5.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7338040,4.00,8.00,1.00,4.00,6.00,10.13,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7338058,1.00,4.00,4.00,5.00,4.00,7.13,4.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7338066,4.00,8.00,3.00,7.00,6.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7338074,1.00,6.00,2.00,6.00,5.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7338082,2.00,7.00,2.00,6.00,4.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7338090,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7338104,2.00,3.00,2.00,2.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7338112,2.00,5.00,2.00,4.00,5.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7338120,1.00,6.00,1.00,7.00,7.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7338139,4.00,7.00,1.00,6.00,8.00,7.88,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7338155,1.00,1.00,2.00,4.00,3.00,3.00,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7338163,4.00,7.00,0.00,7.00,5.00,12.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7338171,2.00,5.00,3.00,2.00,6.00,4.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7338201,1.00,1.00,2.00,2.00,4.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7338210,2.00,2.00,2.00,2.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7338228,0.00,1.00,0.00,0.00,0.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'S'),(28,7338236,1.00,3.00,2.00,2.00,4.00,6.00,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7338244,0.00,5.00,4.00,5.00,5.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7338252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7338260,0.00,5.00,0.00,5.00,8.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7338295,3.00,7.00,2.00,6.00,5.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7338309,1.00,4.00,1.00,6.00,6.00,7.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7338325,0.00,0.00,4.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7338333,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7338341,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7338350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7338368,1.00,7.00,2.00,5.00,5.00,10.50,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7338384,1.00,3.00,2.00,7.00,3.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7338392,5.00,5.00,3.00,5.00,8.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7338406,0.00,4.00,1.00,4.00,3.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7338414,2.00,5.00,3.00,2.00,7.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7338422,0.00,5.00,1.00,0.00,1.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7338449,4.00,5.00,3.00,5.00,6.00,7.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7338481,1.00,8.00,3.00,6.00,6.00,10.13,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7338503,2.00,5.00,2.00,5.00,3.00,4.88,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7338511,1.00,3.00,3.00,5.00,4.00,4.50,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7338520,1.00,5.00,4.00,4.00,5.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7338538,1.00,5.00,1.00,4.00,5.00,6.00,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7338546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7338554,0.00,4.00,3.00,4.00,6.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7338562,5.00,8.00,2.00,7.00,10.00,10.88,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7338570,2.00,6.00,1.00,3.00,3.00,5.63,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7338589,0.00,5.00,3.00,5.00,6.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7338597,1.00,2.00,4.00,1.00,3.00,4.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7338600,2.00,5.00,2.00,2.00,4.00,6.00,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7338619,3.00,4.00,2.00,6.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7338627,1.00,5.00,4.00,5.00,9.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7338643,0.00,5.00,2.00,6.00,4.00,4.88,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7338651,1.00,0.00,1.00,1.00,3.00,2.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7338660,0.00,5.00,1.00,3.00,3.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7338678,2.00,6.00,1.00,2.00,4.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7338686,3.00,5.00,4.00,7.00,8.00,11.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7338694,2.00,1.00,2.00,3.00,4.00,6.00,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7338708,6.00,7.00,3.00,5.00,9.00,9.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7338724,1.00,4.00,2.00,1.00,5.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7338732,0.00,5.00,4.00,6.00,5.00,9.75,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7338740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7338775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7338783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7338791,0.00,2.00,2.00,6.00,4.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7338821,2.00,5.00,2.00,4.00,3.00,10.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7338830,4.00,6.00,1.00,6.00,7.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7338848,3.00,5.00,1.00,6.00,8.00,6.38,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7338856,1.00,7.00,2.00,4.00,4.00,7.13,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7338864,0.00,6.00,0.00,1.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7338872,2.00,6.00,1.00,3.00,3.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7338880,6.00,8.00,2.00,6.00,7.00,9.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7338899,3.00,7.00,2.00,6.00,4.00,6.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7338902,2.00,2.00,2.00,2.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7338910,1.00,4.00,2.00,2.00,5.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7338929,3.00,3.00,0.00,6.00,6.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7338937,3.00,3.00,2.00,5.00,5.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7338953,1.00,6.00,1.00,5.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7338970,3.00,3.00,1.00,2.00,3.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7338988,2.00,3.00,1.00,2.00,4.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7338996,4.00,7.00,1.00,7.00,5.00,7.50,4.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7339003,1.00,3.00,2.00,3.00,7.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7339011,2.00,6.00,2.00,6.00,8.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7339020,0.00,4.00,1.00,5.00,6.00,5.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7339038,2.00,2.00,2.00,3.00,4.00,5.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7339046,2.00,6.00,2.00,7.00,7.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7339062,3.00,3.00,3.00,7.00,5.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7339070,0.00,3.00,1.00,2.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7339089,2.00,5.00,1.00,6.00,8.00,7.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7339097,2.00,5.00,2.00,6.00,7.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7339100,5.00,7.00,2.00,8.00,7.00,4.88,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7339119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7339127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7339135,1.00,5.00,1.00,4.00,3.00,5.63,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7339143,0.00,4.00,3.00,6.00,6.00,7.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7339151,4.00,4.00,2.00,7.00,6.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7339160,0.00,5.00,2.00,3.00,4.00,6.75,4.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7339178,1.00,2.00,3.00,6.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7339186,1.00,7.00,3.00,2.00,8.00,9.00,6.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7339194,0.00,4.00,1.00,6.00,6.00,9.00,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7339208,4.00,6.00,3.00,6.00,6.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7339216,2.00,4.00,2.00,7.00,6.00,3.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7339224,5.00,6.00,4.00,8.00,6.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7339232,3.00,8.00,2.00,6.00,5.00,6.75,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7339240,0.00,3.00,2.00,1.00,6.00,5.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7339267,1.00,6.00,1.00,7.00,5.00,8.63,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7339275,0.00,3.00,1.00,5.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7339291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7339305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7339313,3.00,5.00,1.00,7.00,5.00,7.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7339321,3.00,5.00,2.00,6.00,7.00,10.50,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7339330,2.00,5.00,1.00,2.00,6.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7339364,2.00,3.00,2.00,5.00,3.00,6.00,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7339372,7.00,8.00,6.00,6.00,7.00,9.38,5.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7339380,2.00,0.00,2.00,0.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7339399,5.00,2.00,2.00,6.00,9.00,4.88,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7339402,4.00,5.00,2.00,5.00,4.00,7.50,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7339410,2.00,7.00,3.00,7.00,7.00,9.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7339429,1.00,5.00,3.00,4.00,3.00,9.00,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7339437,3.00,4.00,2.00,6.00,6.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7339445,1.00,5.00,3.00,4.00,6.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7339453,0.00,4.00,4.00,4.00,5.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7339461,1.00,0.00,0.00,4.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7339470,3.00,7.00,3.00,7.00,6.00,10.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7339488,1.00,4.00,0.00,4.00,3.00,6.75,0.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7339496,4.00,8.00,3.00,6.00,3.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7339500,1.00,2.00,2.00,2.00,4.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7339518,0.00,2.00,1.00,3.00,3.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7339526,1.00,4.00,1.00,6.00,7.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7339534,0.00,7.00,4.00,4.00,6.00,7.50,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7339542,0.00,4.00,0.00,4.00,4.00,6.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7339550,1.00,5.00,0.00,4.00,1.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7339569,1.00,1.00,1.00,4.00,4.00,6.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7339577,1.00,5.00,2.00,6.00,5.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7339593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7339607,0.00,7.00,1.00,5.00,5.00,NULL,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7339615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7339631,0.00,5.00,2.00,7.00,4.00,8.25,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7339640,2.00,3.00,4.00,3.00,4.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7339658,2.00,5.00,3.00,2.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7339666,3.00,6.00,4.00,5.00,7.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7339682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7339712,1.00,5.00,0.00,4.00,6.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7339720,4.00,5.00,1.00,6.00,6.00,0.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7339747,0.00,4.00,1.00,2.00,2.00,NULL,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7339755,3.00,6.00,2.00,5.00,7.00,7.88,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7339771,0.00,2.00,0.00,2.00,5.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7339780,2.00,3.00,1.00,6.00,4.00,NULL,4.00,6.00,6.00,NULL,NULL,'S','N'),(28,7339798,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7339801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7339810,2.00,5.00,2.00,5.00,6.00,9.00,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7339828,3.00,4.00,5.00,4.00,6.00,4.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7339836,1.00,5.00,1.00,5.00,7.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7339844,5.00,7.00,3.00,7.00,9.00,10.50,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7339852,0.00,5.00,3.00,3.00,4.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7339860,1.00,5.00,3.00,7.00,6.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7339879,2.00,6.00,1.00,1.00,5.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7339895,0.00,7.00,3.00,7.00,6.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7339909,1.00,9.00,2.00,6.00,8.00,7.50,5.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7339917,1.00,3.00,3.00,2.00,5.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7339925,8.00,8.00,6.00,5.00,9.00,9.75,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7339933,6.00,9.00,5.00,6.00,6.00,7.13,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7339941,2.00,6.00,3.00,7.00,8.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7339950,0.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7339968,2.00,6.00,2.00,7.00,8.00,7.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7339976,2.00,4.00,3.00,4.00,6.00,9.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7339992,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7340001,2.00,3.00,2.00,4.00,3.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7340010,2.00,4.00,1.00,6.00,6.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7340028,5.00,7.00,2.00,7.00,8.00,10.13,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7340036,1.00,5.00,4.00,5.00,7.00,7.88,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7340044,0.00,1.00,2.00,3.00,3.00,4.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7340052,2.00,5.00,3.00,6.00,6.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7340060,1.00,6.00,0.00,5.00,5.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7340079,1.00,4.00,0.00,1.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7340087,6.00,6.00,4.00,5.00,6.00,6.38,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7340095,0.00,2.00,2.00,4.00,4.00,6.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7340109,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7340117,0.00,7.00,1.00,4.00,3.00,7.13,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7340125,2.00,4.00,1.00,5.00,6.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7340133,5.00,7.00,1.00,5.00,7.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7340141,0.00,4.00,3.00,6.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7340150,4.00,5.00,3.00,7.00,6.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7340168,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7340176,3.00,6.00,0.00,6.00,6.00,0.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7340184,4.00,7.00,4.00,7.00,8.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7340192,1.00,8.00,2.00,3.00,6.00,10.13,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7340206,0.00,5.00,0.00,0.00,0.00,NULL,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7340214,1.00,5.00,5.00,7.00,6.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7340222,0.00,2.00,0.00,6.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7340249,1.00,7.00,1.00,6.00,4.00,8.63,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7340257,1.00,5.00,1.00,3.00,5.00,8.25,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7340265,2.00,6.00,1.00,6.00,6.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7340273,4.00,5.00,2.00,7.00,8.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7340290,1.00,4.00,2.00,4.00,3.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7340303,0.00,0.00,2.00,4.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7340311,0.00,3.00,2.00,4.00,4.00,8.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7340320,1.00,6.00,2.00,4.00,3.00,6.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7340338,1.00,5.00,1.00,6.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7340346,3.00,5.00,2.00,5.00,7.00,9.75,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7340354,1.00,4.00,3.00,3.00,5.00,8.25,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7340362,5.00,6.00,4.00,6.00,6.00,9.38,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7340389,1.00,4.00,0.00,3.00,5.00,5.63,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7340397,1.00,2.00,0.00,1.00,1.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7340400,0.00,5.00,1.00,4.00,4.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7340419,0.00,3.00,1.00,4.00,3.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7340427,2.00,7.00,1.00,6.00,5.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7340435,3.00,4.00,3.00,5.00,6.00,6.75,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7340443,2.00,6.00,0.00,6.00,9.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7340451,1.00,8.00,5.00,4.00,4.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7340460,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7340478,3.00,6.00,1.00,4.00,6.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7340486,0.00,2.00,1.00,3.00,6.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7340494,0.00,4.00,2.00,3.00,6.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7340508,2.00,5.00,3.00,6.00,6.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7340516,4.00,5.00,2.00,7.00,8.00,7.13,6.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7340524,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7340532,6.00,6.00,3.00,6.00,4.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7340540,0.00,2.00,2.00,4.00,5.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7340559,2.00,5.00,2.00,4.00,7.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7340567,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7340575,0.00,5.00,0.00,5.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7340605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7340613,1.00,6.00,3.00,5.00,4.00,9.00,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7340621,2.00,6.00,2.00,7.00,6.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7340630,0.00,3.00,2.00,1.00,3.00,3.00,1.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7340648,0.00,3.00,2.00,5.00,5.00,7.88,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7340656,2.00,7.00,4.00,5.00,4.00,6.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7340664,2.00,6.00,1.00,4.00,6.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7340672,2.00,7.00,1.00,7.00,3.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7340680,4.00,5.00,1.00,5.00,4.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7340699,5.00,6.00,3.00,6.00,7.00,6.38,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7340710,1.00,2.00,1.00,7.00,4.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7340737,3.00,6.00,0.00,7.00,6.00,6.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7340753,1.00,4.00,4.00,4.00,3.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7340761,6.00,7.00,0.00,5.00,7.00,8.63,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7340770,1.00,6.00,1.00,4.00,1.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7340788,4.00,7.00,2.00,6.00,7.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7340796,1.00,3.00,2.00,5.00,3.00,8.25,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7340818,0.00,1.00,1.00,3.00,2.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7340834,3.00,7.00,3.00,8.00,7.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7340842,2.00,5.00,3.00,6.00,7.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7340850,2.00,7.00,4.00,3.00,6.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7340869,3.00,7.00,1.00,3.00,4.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7340877,3.00,7.00,3.00,6.00,7.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7340885,6.00,8.00,1.00,7.00,7.00,10.13,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7340893,3.00,5.00,2.00,6.00,6.00,7.13,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7340915,1.00,5.00,2.00,5.00,5.00,6.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7340923,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7340931,1.00,2.00,3.00,1.00,4.00,3.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7340940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7340958,0.00,3.00,4.00,6.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7340974,4.00,7.00,3.00,5.00,6.00,8.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7340990,0.00,2.00,2.00,1.00,4.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7341008,3.00,6.00,5.00,6.00,9.00,11.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7341016,2.00,6.00,1.00,5.00,6.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7341024,5.00,4.00,3.00,3.00,6.00,7.50,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7341032,3.00,3.00,0.00,0.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7341040,5.00,9.00,3.00,7.00,7.00,10.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7341059,3.00,6.00,0.00,4.00,5.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7341075,0.00,3.00,0.00,6.00,4.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7341083,6.00,7.00,5.00,5.00,7.00,8.63,0.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7341091,3.00,8.00,2.00,7.00,8.00,12.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7341105,1.00,3.00,1.00,6.00,3.00,7.50,2.00,5.00,0.00,NULL,NULL,NULL,'S'),(28,7341113,0.00,2.00,2.00,1.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7341121,1.00,4.00,1.00,3.00,5.00,9.75,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7341130,4.00,8.00,3.00,6.00,7.00,7.13,4.00,8.00,5.00,NULL,NULL,NULL,'S'),(28,7341148,1.00,2.00,2.00,1.00,2.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7341156,0.00,6.00,3.00,4.00,9.00,8.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7341164,2.00,8.00,4.00,7.00,7.00,11.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7341172,7.00,7.00,4.00,6.00,7.00,9.38,5.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7341180,2.00,6.00,2.00,0.00,5.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7341199,6.00,8.00,2.00,7.00,10.00,8.25,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7341202,2.00,3.00,2.00,5.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7341229,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7341237,4.00,5.00,3.00,5.00,5.00,7.50,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7341245,4.00,6.00,1.00,5.00,7.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7341253,0.00,4.00,2.00,4.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7341270,2.00,5.00,3.00,6.00,8.00,6.75,2.00,7.00,0.00,NULL,NULL,NULL,'N'),(28,7341288,3.00,4.00,1.00,6.00,5.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7341296,0.00,4.00,0.00,1.00,6.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7341318,1.00,2.00,1.00,3.00,4.00,9.75,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7341326,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7341334,2.00,6.00,3.00,4.00,4.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7341342,2.00,7.00,2.00,7.00,6.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7341350,0.00,3.00,1.00,2.00,3.00,5.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7341369,4.00,6.00,2.00,4.00,4.00,6.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7341385,1.00,4.00,1.00,2.00,3.00,9.75,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7341393,2.00,1.00,4.00,3.00,1.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7341407,3.00,4.00,0.00,5.00,4.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7341415,2.00,5.00,2.00,6.00,6.00,7.50,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7341431,3.00,6.00,3.00,5.00,6.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7341440,0.00,7.00,2.00,7.00,3.00,8.25,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7341458,4.00,6.00,2.00,6.00,7.00,9.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7341466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7341482,3.00,8.00,3.00,7.00,8.00,11.63,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7341490,2.00,4.00,2.00,2.00,4.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7341504,1.00,6.00,3.00,7.00,5.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7341512,2.00,3.00,3.00,3.00,3.00,6.00,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7341520,0.00,2.00,1.00,6.00,5.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7341539,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7341555,1.00,3.00,1.00,6.00,4.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7341563,0.00,3.00,2.00,2.00,5.00,6.38,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7341571,1.00,2.00,2.00,7.00,3.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7341598,3.00,5.00,2.00,4.00,5.00,8.25,4.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7341601,3.00,8.00,3.00,8.00,10.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7341610,3.00,5.00,2.00,4.00,4.00,7.88,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7341628,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7341636,0.00,3.00,3.00,4.00,4.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7341644,1.00,5.00,3.00,6.00,4.00,6.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7341652,3.00,3.00,1.00,1.00,2.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7341679,1.00,4.00,3.00,6.00,6.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7341687,0.00,2.00,1.00,1.00,3.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7341709,4.00,4.00,1.00,7.00,6.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7341733,6.00,6.00,1.00,6.00,4.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7341750,2.00,6.00,1.00,4.00,4.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7341768,4.00,4.00,2.00,7.00,4.00,8.63,5.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7341784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7341792,2.00,8.00,1.00,7.00,8.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7341806,0.00,5.00,1.00,3.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7341814,5.00,6.00,2.00,5.00,7.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7341822,1.00,7.00,4.00,4.00,5.00,7.13,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(28,7341830,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7341849,4.00,3.00,1.00,5.00,9.00,5.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7341857,1.00,3.00,2.00,3.00,3.00,6.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7341865,6.00,6.00,2.00,6.00,6.00,6.75,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7341873,7.00,7.00,6.00,7.00,6.00,7.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7341881,2.00,4.00,1.00,2.00,3.00,0.00,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7341890,0.00,6.00,3.00,6.00,7.00,8.63,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7341903,1.00,7.00,0.00,5.00,7.00,10.13,4.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7341911,3.00,6.00,3.00,7.00,4.00,10.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7341938,1.00,3.00,1.00,3.00,3.00,0.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7341946,1.00,8.00,1.00,7.00,4.00,10.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7341954,4.00,2.00,4.00,0.00,3.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7341962,1.00,7.00,3.00,3.00,9.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7341970,1.00,4.00,3.00,4.00,3.00,5.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7341989,3.00,7.00,3.00,7.00,5.00,10.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7341997,6.00,7.00,3.00,4.00,10.00,11.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7342004,1.00,5.00,2.00,6.00,7.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7342012,2.00,7.00,4.00,5.00,5.00,9.38,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7342020,2.00,6.00,2.00,6.00,5.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7342039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7342047,1.00,6.00,3.00,2.00,3.00,5.25,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7342055,4.00,5.00,1.00,6.00,7.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7342063,4.00,0.00,3.00,7.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7342071,1.00,7.00,2.00,6.00,6.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7342080,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7342098,6.00,7.00,1.00,6.00,8.00,10.88,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7342101,2.00,3.00,2.00,7.00,3.00,6.75,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7342110,6.00,8.00,5.00,7.00,10.00,9.00,4.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7342128,4.00,7.00,1.00,5.00,8.00,10.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7342136,2.00,7.00,4.00,6.00,8.00,9.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7342144,3.00,6.00,2.00,6.00,5.00,9.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7342152,0.00,5.00,1.00,6.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7342160,3.00,7.00,3.00,7.00,7.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7342187,0.00,2.00,1.00,2.00,4.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7342195,2.00,5.00,2.00,6.00,3.00,6.75,1.00,5.00,5.00,NULL,NULL,NULL,'S'),(28,7342209,2.00,4.00,1.00,5.00,3.00,6.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7342217,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7342225,0.00,2.00,0.00,2.00,1.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7342241,3.00,2.00,3.00,5.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7342250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7342268,3.00,4.00,2.00,3.00,5.00,5.63,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7342276,2.00,5.00,3.00,6.00,3.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7342284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7342292,6.00,8.00,4.00,6.00,8.00,6.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7342306,3.00,7.00,2.00,5.00,8.00,9.38,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7342314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7342322,0.00,7.00,2.00,6.00,4.00,11.63,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7342349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7342381,4.00,6.00,2.00,6.00,4.00,6.00,7.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7342390,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7342403,0.00,5.00,3.00,3.00,6.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7342411,0.00,3.00,4.00,3.00,5.00,NULL,1.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7342420,2.00,5.00,2.00,4.00,4.00,10.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7342446,0.00,5.00,1.00,2.00,4.00,4.88,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7342454,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7342462,2.00,6.00,2.00,6.00,6.00,8.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7342470,3.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(28,7342489,3.00,8.00,1.00,7.00,7.00,9.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7342497,2.00,6.00,3.00,7.00,5.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7342500,2.00,8.00,4.00,7.00,5.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7342519,0.00,4.00,1.00,4.00,4.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7342527,1.00,6.00,3.00,5.00,4.00,9.75,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7342535,3.00,3.00,1.00,5.00,5.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7342543,5.00,7.00,3.00,7.00,9.00,6.38,6.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7342551,2.00,5.00,2.00,6.00,5.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7342560,1.00,5.00,0.00,3.00,6.00,5.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7342578,6.00,8.00,4.00,5.00,9.00,9.00,7.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7342586,0.00,3.00,4.00,4.00,4.00,7.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7342594,0.00,7.00,2.00,6.00,6.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7342632,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7342640,1.00,4.00,1.00,5.00,3.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7342667,2.00,6.00,1.00,2.00,6.00,8.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7342675,2.00,6.00,3.00,6.00,7.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7342691,5.00,7.00,3.00,3.00,5.00,9.00,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7342705,5.00,6.00,2.00,5.00,7.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7342713,3.00,7.00,1.00,6.00,6.00,8.63,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7342721,2.00,4.00,1.00,4.00,6.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7342748,5.00,7.00,4.00,6.00,6.00,9.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7342756,2.00,4.00,3.00,4.00,4.00,7.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7342764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7342799,0.00,1.00,0.00,6.00,4.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7342802,0.00,0.00,1.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7342810,4.00,8.00,1.00,2.00,7.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7342829,3.00,6.00,1.00,5.00,4.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7342837,0.00,4.00,2.00,1.00,6.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7342845,2.00,4.00,2.00,7.00,6.00,10.88,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7342853,4.00,6.00,1.00,3.00,6.00,9.00,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7342861,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7342870,0.00,5.00,2.00,5.00,6.00,0.00,2.00,2.00,0.00,NULL,NULL,NULL,'S'),(28,7342888,1.00,7.00,0.00,4.00,7.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7342896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7342900,0.00,3.00,0.00,2.00,4.00,3.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7342918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7342926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7342934,2.00,6.00,4.00,5.00,10.00,9.75,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7342942,1.00,6.00,4.00,5.00,6.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7342969,3.00,6.00,4.00,7.00,7.00,8.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7342977,0.00,4.00,2.00,4.00,5.00,9.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7342993,3.00,6.00,1.00,4.00,7.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7343019,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7343043,2.00,4.00,0.00,5.00,0.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7343051,1.00,5.00,2.00,3.00,3.00,6.75,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7343060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7343078,4.00,7.00,3.00,4.00,8.00,5.63,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7343094,2.00,6.00,3.00,4.00,5.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7343108,3.00,4.00,4.00,3.00,1.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7343116,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7343124,5.00,6.00,0.00,7.00,3.00,8.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7343132,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7343140,4.00,6.00,4.00,7.00,7.00,11.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7343159,4.00,7.00,2.00,7.00,9.00,9.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7343167,0.00,2.00,2.00,3.00,3.00,7.88,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7343183,1.00,3.00,2.00,1.00,1.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7343191,4.00,8.00,4.00,8.00,9.00,7.88,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7343205,2.00,3.00,5.00,5.00,3.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7343221,1.00,6.00,0.00,6.00,7.00,9.75,3.00,6.00,1.00,NULL,NULL,NULL,'S'),(28,7343230,6.00,8.00,2.00,7.00,6.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7343248,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7343264,2.00,5.00,0.00,7.00,5.00,5.63,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7343280,2.00,4.00,2.00,3.00,4.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7343299,1.00,0.00,1.00,2.00,4.00,3.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7343302,1.00,2.00,1.00,1.00,2.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7343310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7343329,0.00,2.00,2.00,1.00,5.00,3.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7343337,2.00,5.00,0.00,7.00,4.00,0.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7343345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7343353,4.00,6.00,1.00,7.00,9.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7343370,6.00,6.00,1.00,4.00,5.00,7.13,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7343388,2.00,6.00,2.00,6.00,6.00,6.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7343396,6.00,7.00,3.00,6.00,10.00,11.63,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7343400,0.00,4.00,0.00,5.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7343418,1.00,4.00,0.00,4.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7343426,0.00,4.00,0.00,0.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7343434,2.00,9.00,2.00,5.00,6.00,10.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7343442,2.00,7.00,3.00,6.00,6.00,9.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7343450,3.00,6.00,1.00,6.00,8.00,9.38,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7343469,8.00,7.00,4.00,8.00,7.00,10.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7343477,0.00,2.00,4.00,4.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7343485,4.00,7.00,3.00,7.00,9.00,9.75,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7343493,4.00,5.00,2.00,5.00,3.00,7.13,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7343507,2.00,6.00,0.00,7.00,7.00,5.63,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7343515,7.00,8.00,3.00,6.00,8.00,7.50,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7343523,1.00,7.00,0.00,5.00,7.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7343531,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7343558,0.00,4.00,1.00,6.00,6.00,6.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7343574,0.00,3.00,0.00,3.00,4.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7343582,0.00,4.00,3.00,3.00,6.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7343590,5.00,8.00,2.00,7.00,7.00,9.00,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7343604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7343612,3.00,7.00,2.00,6.00,9.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7343620,0.00,5.00,2.00,3.00,5.00,3.00,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7343639,3.00,3.00,2.00,5.00,5.00,6.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7343647,6.00,6.00,4.00,7.00,8.00,8.63,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7343655,1.00,5.00,2.00,5.00,5.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7343663,1.00,6.00,2.00,6.00,7.00,8.25,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7343671,4.00,8.00,4.00,5.00,8.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7343680,5.00,7.00,5.00,6.00,8.00,8.63,5.00,9.00,5.00,NULL,NULL,NULL,'N'),(28,7343698,4.00,7.00,3.00,7.00,8.00,7.88,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7343701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7343710,3.00,7.00,3.00,7.00,8.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7343728,4.00,7.00,3.00,6.00,8.00,6.75,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7343744,2.00,6.00,1.00,2.00,6.00,10.13,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7343752,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7343760,1.00,7.00,3.00,7.00,6.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7343779,0.00,3.00,4.00,2.00,4.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7343787,1.00,6.00,2.00,6.00,6.00,9.00,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7343795,1.00,0.00,3.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7343809,4.00,5.00,1.00,7.00,5.00,5.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7343817,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7343825,1.00,3.00,1.00,2.00,3.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7343841,0.00,4.00,2.00,4.00,6.00,7.88,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7343850,1.00,0.00,3.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7343868,2.00,8.00,1.00,6.00,7.00,8.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7343876,1.00,4.00,1.00,4.00,5.00,6.00,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7343884,1.00,2.00,3.00,2.00,3.00,10.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7343892,1.00,4.00,0.00,4.00,5.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7343914,0.00,4.00,2.00,2.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7343922,1.00,0.00,1.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(28,7343930,0.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,'S','N'),(28,7343949,2.00,7.00,1.00,4.00,7.00,10.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7343957,4.00,6.00,3.00,4.00,7.00,7.13,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7343965,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7343981,0.00,3.00,0.00,3.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7343990,2.00,7.00,4.00,4.00,6.00,10.50,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7344007,2.00,3.00,3.00,5.00,6.00,5.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7344015,2.00,5.00,1.00,4.00,3.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7344023,2.00,6.00,1.00,6.00,5.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7344031,4.00,6.00,3.00,6.00,8.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7344040,0.00,4.00,2.00,5.00,5.00,4.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7344058,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7344066,2.00,6.00,3.00,6.00,4.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7344074,5.00,8.00,3.00,4.00,7.00,11.25,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7344090,3.00,7.00,3.00,5.00,5.00,NULL,2.00,4.00,1.00,NULL,NULL,'S','N'),(28,7344104,3.00,2.00,2.00,4.00,4.00,8.63,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7344112,3.00,7.00,2.00,7.00,7.00,10.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7344120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7344139,2.00,7.00,1.00,6.00,7.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7344147,1.00,4.00,2.00,6.00,3.00,6.38,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7344155,3.00,5.00,4.00,6.00,6.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7344180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7344201,3.00,7.00,1.00,4.00,8.00,10.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7344210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7344228,2.00,6.00,2.00,6.00,5.00,11.25,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7344236,1.00,4.00,3.00,5.00,3.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7344244,0.00,3.00,3.00,6.00,2.00,NULL,4.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7344252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7344260,1.00,6.00,4.00,2.00,6.00,7.50,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7344279,2.00,4.00,3.00,7.00,7.00,NULL,2.00,4.00,1.00,NULL,NULL,'S','N'),(28,7344295,4.00,6.00,3.00,5.00,8.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7344309,4.00,4.00,2.00,5.00,5.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7344317,1.00,4.00,1.00,4.00,5.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7344333,4.00,6.00,1.00,6.00,5.00,7.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7344350,5.00,7.00,4.00,5.00,8.00,9.38,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7344376,1.00,1.00,2.00,2.00,0.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7344384,1.00,6.00,1.00,5.00,4.00,4.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7344414,5.00,7.00,5.00,6.00,9.00,8.63,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7344422,1.00,5.00,1.00,7.00,5.00,7.13,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7344430,0.00,4.00,3.00,1.00,5.00,10.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7344449,4.00,7.00,2.00,5.00,7.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7344457,0.00,5.00,2.00,6.00,5.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7344465,4.00,5.00,1.00,3.00,8.00,7.50,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7344473,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7344490,3.00,5.00,3.00,2.00,5.00,7.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7344503,0.00,6.00,2.00,4.00,5.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7344511,2.00,5.00,1.00,1.00,7.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7344520,4.00,4.00,3.00,6.00,7.00,11.63,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7344538,2.00,7.00,3.00,7.00,4.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7344554,6.00,5.00,2.00,2.00,5.00,10.13,6.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7344562,2.00,3.00,2.00,6.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7344570,1.00,4.00,1.00,6.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7344589,0.00,6.00,3.00,4.00,5.00,9.00,4.00,7.00,4.00,NULL,NULL,NULL,'S'),(28,7344597,0.00,4.00,1.00,5.00,3.00,7.88,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7344600,1.00,4.00,2.00,5.00,6.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7344619,2.00,6.00,2.00,4.00,6.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7344627,2.00,5.00,1.00,2.00,2.00,NULL,0.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7344635,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7344643,2.00,4.00,3.00,7.00,7.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7344651,6.00,8.00,4.00,7.00,7.00,11.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7344678,0.00,5.00,2.00,6.00,6.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7344686,3.00,5.00,5.00,6.00,7.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7344694,1.00,5.00,3.00,6.00,7.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7344708,4.00,5.00,1.00,3.00,6.00,12.00,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7344716,4.00,5.00,2.00,5.00,3.00,7.88,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7344724,2.00,4.00,2.00,6.00,6.00,6.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7344732,1.00,6.00,0.00,4.00,5.00,5.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7344740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7344759,3.00,5.00,0.00,1.00,5.00,6.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7344775,2.00,6.00,3.00,7.00,5.00,6.38,0.00,6.00,1.00,NULL,NULL,NULL,'S'),(28,7344805,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7344813,1.00,5.00,0.00,3.00,4.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7344821,4.00,7.00,2.00,4.00,9.00,11.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7344830,1.00,4.00,5.00,5.00,5.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7344848,3.00,7.00,3.00,6.00,6.00,9.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7344856,3.00,8.00,2.00,5.00,7.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7344864,3.00,5.00,2.00,5.00,4.00,9.38,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7344872,0.00,4.00,3.00,3.00,3.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7344899,4.00,8.00,1.00,8.00,9.00,9.75,4.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7344929,2.00,5.00,2.00,5.00,3.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7344937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7344945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7344953,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7344970,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7344988,2.00,6.00,0.00,3.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7345003,5.00,7.00,2.00,7.00,8.00,6.75,5.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7345011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7345020,4.00,6.00,4.00,6.00,7.00,7.88,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7345038,0.00,5.00,1.00,3.00,7.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7345054,5.00,8.00,3.00,5.00,7.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7345062,3.00,8.00,2.00,3.00,3.00,7.88,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7345070,4.00,6.00,3.00,5.00,6.00,4.88,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7345089,3.00,7.00,2.00,6.00,7.00,10.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7345097,5.00,7.00,2.00,7.00,7.00,10.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7345100,0.00,6.00,4.00,3.00,6.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7345119,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7345135,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7345151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7345160,2.00,6.00,2.00,4.00,8.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7345178,3.00,7.00,2.00,6.00,10.00,13.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7345208,3.00,4.00,2.00,1.00,3.00,8.25,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7345216,5.00,6.00,2.00,4.00,6.00,6.38,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7345232,4.00,4.00,3.00,3.00,6.00,8.63,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7345240,1.00,8.00,2.00,3.00,4.00,9.38,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7345259,3.00,6.00,3.00,6.00,7.00,10.13,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7345267,7.00,7.00,4.00,7.00,9.00,9.38,4.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7345275,1.00,5.00,2.00,3.00,9.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7345283,0.00,4.00,1.00,7.00,5.00,10.13,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7345291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7345305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7345313,0.00,2.00,2.00,4.00,3.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7345321,1.00,4.00,1.00,4.00,5.00,6.75,3.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7345330,2.00,6.00,1.00,6.00,5.00,7.88,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7345348,4.00,7.00,3.00,7.00,9.00,7.13,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7345356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7345364,1.00,5.00,2.00,5.00,6.00,8.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7345380,2.00,6.00,2.00,4.00,7.00,7.50,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7345399,0.00,5.00,3.00,3.00,2.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7345402,4.00,6.00,3.00,5.00,6.00,10.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7345410,3.00,7.00,2.00,4.00,4.00,6.38,1.00,3.00,7.00,NULL,NULL,NULL,'N'),(28,7345429,3.00,8.00,1.00,6.00,9.00,9.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7345445,1.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7345453,0.00,3.00,3.00,3.00,3.00,5.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7345461,0.00,2.00,3.00,6.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7345488,3.00,4.00,2.00,3.00,6.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7345496,5.00,7.00,3.00,8.00,9.00,8.63,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7345500,1.00,7.00,4.00,4.00,4.00,7.88,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7345518,1.00,6.00,0.00,6.00,2.00,NULL,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7345526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7345534,2.00,1.00,2.00,4.00,4.00,3.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7345542,1.00,8.00,1.00,6.00,7.00,8.25,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7345550,3.00,6.00,0.00,1.00,6.00,NULL,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7345569,5.00,0.00,3.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(28,7345585,0.00,5.00,1.00,6.00,3.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7345593,1.00,4.00,3.00,7.00,4.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7345615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7345623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7345631,4.00,6.00,2.00,6.00,6.00,NULL,3.00,4.00,5.00,NULL,NULL,'S','S'),(28,7345640,3.00,7.00,3.00,5.00,3.00,8.63,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7345658,4.00,6.00,3.00,6.00,5.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7345666,0.00,4.00,2.00,7.00,3.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7345674,1.00,6.00,2.00,5.00,3.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7345682,2.00,7.00,2.00,8.00,5.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7345690,1.00,4.00,1.00,3.00,4.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7345704,1.00,4.00,1.00,3.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7345712,6.00,7.00,4.00,6.00,9.00,10.13,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7345739,5.00,7.00,2.00,5.00,8.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7345747,0.00,5.00,1.00,3.00,4.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7345755,2.00,3.00,5.00,1.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7345763,0.00,3.00,2.00,1.00,5.00,9.00,3.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7345771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7345780,2.00,4.00,0.00,5.00,4.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7345798,0.00,4.00,3.00,4.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7345801,2.00,3.00,3.00,5.00,7.00,8.25,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7345828,2.00,3.00,4.00,3.00,3.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7345836,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7345844,0.00,4.00,4.00,5.00,7.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7345860,2.00,7.00,3.00,3.00,4.00,9.38,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7345887,4.00,5.00,1.00,6.00,6.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7345909,2.00,5.00,0.00,6.00,7.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7345917,2.00,3.00,1.00,4.00,8.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7345925,2.00,5.00,0.00,3.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7345933,1.00,6.00,1.00,5.00,5.00,6.38,3.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7345941,2.00,4.00,1.00,3.00,5.00,7.13,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7345950,3.00,5.00,2.00,5.00,4.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7345968,5.00,7.00,1.00,6.00,4.00,8.63,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7345976,4.00,7.00,3.00,1.00,3.00,8.63,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7345984,2.00,7.00,1.00,1.00,5.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7346000,2.00,6.00,3.00,6.00,5.00,7.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7346018,1.00,1.00,3.00,2.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7346026,1.00,2.00,2.00,3.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7346034,2.00,8.00,2.00,8.00,8.00,7.13,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7346042,4.00,8.00,6.00,7.00,10.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7346050,3.00,7.00,3.00,4.00,8.00,8.63,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7346069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7346077,2.00,7.00,3.00,7.00,7.00,10.13,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7346085,5.00,7.00,2.00,6.00,10.00,8.63,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7346093,1.00,2.00,1.00,6.00,3.00,6.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7346107,1.00,4.00,2.00,4.00,2.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'S'),(28,7346115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7346123,2.00,6.00,0.00,7.00,7.00,11.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7346131,5.00,5.00,2.00,6.00,7.00,9.38,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7346166,2.00,8.00,3.00,7.00,6.00,10.50,3.00,6.00,6.00,NULL,NULL,NULL,'S'),(28,7346174,1.00,6.00,1.00,7.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,'S','N'),(28,7346182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7346190,3.00,6.00,1.00,5.00,7.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7346204,0.00,1.00,2.00,4.00,4.00,7.13,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7346220,2.00,6.00,3.00,5.00,7.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7346239,3.00,3.00,1.00,2.00,3.00,6.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7346247,5.00,5.00,4.00,5.00,7.00,10.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7346255,0.00,4.00,2.00,2.00,4.00,8.25,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7346271,0.00,3.00,3.00,4.00,5.00,5.63,2.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7346280,1.00,4.00,1.00,7.00,7.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7346298,4.00,8.00,3.00,4.00,8.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7346310,5.00,7.00,4.00,4.00,6.00,9.00,6.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7346328,1.00,4.00,2.00,4.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,'S','N'),(28,7346336,2.00,6.00,0.00,6.00,2.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7346344,0.00,0.00,3.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7346352,4.00,8.00,3.00,4.00,6.00,4.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7346360,1.00,3.00,3.00,2.00,3.00,6.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7346379,0.00,2.00,2.00,3.00,7.00,NULL,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7346387,3.00,8.00,1.00,8.00,5.00,10.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7346395,5.00,8.00,2.00,6.00,9.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7346409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7346417,2.00,6.00,2.00,5.00,6.00,9.00,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7346425,1.00,5.00,3.00,2.00,5.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7346433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7346441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7346450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7346468,1.00,5.00,1.00,7.00,2.00,NULL,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7346484,3.00,4.00,2.00,5.00,6.00,9.00,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7346492,2.00,2.00,2.00,6.00,4.00,4.50,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7346506,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7346514,4.00,2.00,3.00,3.00,5.00,5.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7346522,1.00,5.00,2.00,5.00,7.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7346530,1.00,7.00,1.00,5.00,8.00,12.00,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7346549,6.00,8.00,2.00,7.00,6.00,12.38,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7346557,0.00,2.00,0.00,2.00,2.00,NULL,4.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7346565,0.00,5.00,1.00,5.00,5.00,NULL,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7346573,0.00,3.00,3.00,5.00,7.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7346581,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7346590,2.00,4.00,2.00,5.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7346611,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7346638,1.00,2.00,3.00,3.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7346646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7346654,0.00,6.00,1.00,4.00,4.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7346662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7346670,6.00,9.00,4.00,6.00,6.00,10.88,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7346689,0.00,0.00,1.00,1.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7346697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7346700,3.00,5.00,4.00,4.00,4.00,7.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7346719,0.00,7.00,3.00,4.00,7.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7346727,3.00,7.00,1.00,7.00,8.00,7.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7346735,2.00,5.00,3.00,6.00,5.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7346743,1.00,6.00,3.00,4.00,6.00,8.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7346751,6.00,8.00,4.00,7.00,7.00,7.88,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7346760,1.00,3.00,1.00,2.00,4.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7346786,2.00,3.00,1.00,3.00,3.00,7.88,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7346794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7346824,2.00,3.00,2.00,4.00,6.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7346832,5.00,7.00,2.00,6.00,7.00,10.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7346840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7346859,1.00,5.00,3.00,7.00,8.00,10.13,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7346867,2.00,4.00,2.00,4.00,7.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7346875,1.00,3.00,3.00,1.00,3.00,6.38,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7346883,7.00,7.00,2.00,7.00,6.00,9.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7346891,3.00,4.00,1.00,5.00,5.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7346905,1.00,3.00,3.00,4.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,'S','S'),(28,7346913,3.00,6.00,1.00,5.00,5.00,6.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7346921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7346930,2.00,7.00,4.00,7.00,5.00,10.50,0.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7346956,3.00,5.00,2.00,4.00,8.00,7.88,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7346972,1.00,4.00,3.00,5.00,2.00,NULL,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7346980,6.00,6.00,2.00,4.00,5.00,5.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7346999,3.00,6.00,3.00,6.00,7.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7347006,1.00,4.00,3.00,1.00,3.00,6.75,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7347014,7.00,7.00,5.00,5.00,9.00,9.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7347022,1.00,6.00,1.00,5.00,3.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7347030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7347049,2.00,6.00,3.00,3.00,3.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7347057,4.00,6.00,0.00,6.00,5.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7347065,1.00,4.00,1.00,4.00,3.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7347081,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7347090,0.00,5.00,2.00,3.00,3.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7347103,4.00,6.00,3.00,6.00,6.00,7.13,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7347111,4.00,4.00,1.00,6.00,3.00,8.63,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7347120,3.00,7.00,1.00,7.00,8.00,9.38,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7347138,4.00,8.00,1.00,6.00,9.00,6.38,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7347146,5.00,9.00,0.00,8.00,9.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7347154,3.00,8.00,2.00,7.00,4.00,7.50,3.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7347162,2.00,8.00,3.00,7.00,5.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7347189,3.00,6.00,2.00,6.00,3.00,9.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7347200,1.00,7.00,2.00,4.00,6.00,8.25,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7347219,2.00,4.00,2.00,5.00,5.00,7.13,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7347227,3.00,6.00,1.00,7.00,7.00,7.88,0.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7347235,3.00,3.00,2.00,5.00,3.00,6.38,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7347260,1.00,4.00,2.00,2.00,3.00,5.25,2.00,3.00,5.00,NULL,NULL,NULL,'S'),(28,7347278,2.00,6.00,2.00,4.00,4.00,7.50,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7347286,4.00,6.00,2.00,6.00,8.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7347308,4.00,7.00,4.00,6.00,6.00,10.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7347316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7347324,5.00,8.00,4.00,6.00,9.00,8.63,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7347332,0.00,6.00,3.00,1.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7347340,0.00,4.00,0.00,2.00,3.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7347359,2.00,7.00,2.00,5.00,8.00,9.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7347367,5.00,7.00,1.00,7.00,5.00,10.88,3.00,7.00,5.00,NULL,NULL,NULL,'S'),(28,7347375,2.00,4.00,1.00,6.00,4.00,4.88,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7347383,1.00,7.00,3.00,6.00,4.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7347391,1.00,0.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7347413,0.00,4.00,2.00,4.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7347421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7347430,3.00,7.00,3.00,5.00,9.00,7.13,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7347448,2.00,6.00,5.00,4.00,3.00,5.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7347456,2.00,3.00,3.00,5.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7347464,3.00,4.00,2.00,7.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7347472,5.00,7.00,6.00,8.00,6.00,9.38,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7347480,3.00,6.00,1.00,1.00,2.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7347499,5.00,7.00,4.00,7.00,4.00,7.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7347502,0.00,3.00,2.00,4.00,3.00,5.63,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7347510,2.00,4.00,1.00,5.00,3.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7347529,2.00,8.00,1.00,7.00,4.00,5.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7347537,3.00,6.00,2.00,3.00,6.00,8.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7347545,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7347553,5.00,8.00,3.00,7.00,7.00,9.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7347561,0.00,2.00,3.00,1.00,4.00,7.13,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7347570,0.00,5.00,2.00,3.00,3.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7347588,1.00,1.00,1.00,5.00,5.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7347596,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7347618,2.00,5.00,3.00,5.00,6.00,7.88,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7347626,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7347642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7347650,0.00,0.00,1.00,1.00,4.00,5.63,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7347669,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7347677,0.00,0.00,2.00,3.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7347685,1.00,7.00,3.00,2.00,8.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7347693,1.00,4.00,2.00,6.00,7.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7347715,3.00,5.00,4.00,6.00,7.00,10.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7347723,1.00,4.00,2.00,6.00,6.00,7.50,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7347731,1.00,6.00,1.00,6.00,7.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7347740,5.00,6.00,3.00,6.00,5.00,9.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7347758,1.00,2.00,1.00,0.00,2.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7347774,1.00,7.00,4.00,4.00,5.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7347782,2.00,5.00,1.00,4.00,5.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7347790,3.00,5.00,2.00,4.00,4.00,7.13,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7347804,5.00,7.00,4.00,8.00,7.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7347812,5.00,8.00,3.00,7.00,7.00,10.50,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7347820,0.00,3.00,3.00,6.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7347847,2.00,7.00,2.00,4.00,8.00,8.25,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7347871,0.00,2.00,3.00,6.00,1.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7347898,4.00,6.00,2.00,6.00,6.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7347901,1.00,3.00,5.00,7.00,3.00,6.38,2.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7347910,3.00,7.00,3.00,5.00,7.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7347936,4.00,8.00,5.00,6.00,8.00,10.50,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7347944,4.00,8.00,3.00,6.00,8.00,7.88,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7347952,2.00,7.00,2.00,6.00,8.00,7.13,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7347960,3.00,9.00,2.00,5.00,6.00,8.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7347979,2.00,6.00,1.00,5.00,6.00,7.88,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7347987,5.00,8.00,4.00,6.00,6.00,7.88,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7347995,0.00,2.00,4.00,5.00,5.00,NULL,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7348002,3.00,8.00,2.00,3.00,7.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7348010,3.00,6.00,2.00,1.00,6.00,4.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7348029,0.00,3.00,2.00,7.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7348037,4.00,6.00,2.00,7.00,3.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7348045,2.00,6.00,1.00,3.00,3.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7348070,0.00,5.00,3.00,4.00,3.00,6.75,1.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7348088,1.00,3.00,3.00,2.00,1.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7348096,1.00,6.00,1.00,4.00,4.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7348100,4.00,7.00,3.00,7.00,5.00,7.50,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7348118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7348126,0.00,2.00,1.00,1.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,'S','N'),(28,7348134,2.00,3.00,3.00,4.00,5.00,6.00,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7348142,3.00,3.00,1.00,3.00,4.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7348150,0.00,5.00,1.00,6.00,5.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7348185,1.00,5.00,2.00,6.00,3.00,4.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7348193,2.00,6.00,1.00,6.00,6.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7348207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7348215,3.00,5.00,3.00,4.00,7.00,7.50,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7348223,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7348274,2.00,7.00,3.00,6.00,8.00,7.88,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7348282,2.00,6.00,2.00,6.00,7.00,7.50,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7348290,0.00,5.00,0.00,3.00,6.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7348304,1.00,6.00,1.00,4.00,6.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7348312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7348339,0.00,1.00,2.00,3.00,4.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7348347,2.00,7.00,2.00,7.00,6.00,9.75,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7348355,1.00,6.00,4.00,6.00,4.00,9.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7348363,0.00,5.00,2.00,5.00,5.00,NULL,4.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7348371,1.00,4.00,4.00,5.00,4.00,6.38,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7348380,2.00,5.00,0.00,2.00,4.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7348398,1.00,4.00,3.00,4.00,4.00,7.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7348401,4.00,8.00,3.00,6.00,8.00,10.88,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7348410,5.00,5.00,1.00,4.00,6.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7348428,0.00,3.00,3.00,2.00,4.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7348444,0.00,4.00,0.00,0.00,1.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7348452,2.00,7.00,3.00,5.00,5.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7348460,3.00,7.00,4.00,7.00,7.00,9.00,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7348487,1.00,1.00,2.00,5.00,5.00,NULL,2.00,4.00,0.00,NULL,NULL,'S','N'),(28,7348495,3.00,6.00,3.00,5.00,1.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7348509,4.00,8.00,3.00,6.00,5.00,9.00,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7348517,0.00,4.00,2.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7348525,1.00,5.00,1.00,5.00,4.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7348533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7348541,0.00,5.00,3.00,7.00,5.00,10.13,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7348550,0.00,3.00,3.00,6.00,6.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7348568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7348576,3.00,8.00,2.00,7.00,8.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7348584,3.00,3.00,1.00,6.00,4.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7348592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7348606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7348614,1.00,3.00,3.00,5.00,5.00,6.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7348622,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7348630,1.00,7.00,0.00,6.00,4.00,6.38,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7348649,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7348657,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7348665,3.00,7.00,3.00,6.00,8.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7348681,1.00,5.00,4.00,1.00,2.00,NULL,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7348690,1.00,6.00,1.00,7.00,5.00,4.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7348703,1.00,4.00,2.00,6.00,3.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7348711,2.00,6.00,4.00,6.00,3.00,7.88,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7348720,0.00,3.00,3.00,4.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,'S','N'),(28,7348738,0.00,2.00,2.00,2.00,3.00,8.63,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7348746,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7348754,0.00,7.00,3.00,6.00,3.00,NULL,2.00,7.00,2.00,NULL,NULL,'S','S'),(28,7348762,0.00,5.00,1.00,5.00,4.00,NULL,0.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7348770,2.00,5.00,1.00,6.00,5.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7348789,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7348819,0.00,6.00,2.00,4.00,1.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7348827,0.00,2.00,0.00,3.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7348835,2.00,6.00,0.00,5.00,7.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7348843,2.00,8.00,5.00,6.00,5.00,8.25,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7348860,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7348894,0.00,3.00,0.00,1.00,6.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7348908,3.00,7.00,1.00,5.00,4.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7348916,0.00,6.00,0.00,4.00,4.00,6.75,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7348924,5.00,7.00,3.00,7.00,8.00,10.50,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7348940,4.00,6.00,2.00,4.00,7.00,11.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7348959,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7348967,0.00,4.00,2.00,5.00,3.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7348975,2.00,3.00,3.00,2.00,4.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7348983,4.00,7.00,2.00,6.00,6.00,8.63,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7348991,2.00,4.00,2.00,3.00,2.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7349009,3.00,6.00,2.00,3.00,3.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7349017,2.00,3.00,1.00,0.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7349025,1.00,0.00,1.00,5.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7349041,3.00,4.00,1.00,4.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7349050,2.00,5.00,3.00,7.00,9.00,9.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7349068,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7349084,7.00,7.00,3.00,7.00,8.00,9.38,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7349092,0.00,2.00,0.00,6.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7349106,2.00,6.00,2.00,5.00,2.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7349114,7.00,8.00,7.00,6.00,8.00,7.88,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7349122,1.00,4.00,2.00,2.00,3.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7349130,2.00,2.00,1.00,3.00,5.00,7.13,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7349149,5.00,3.00,1.00,5.00,4.00,7.50,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7349157,2.00,4.00,3.00,4.00,5.00,8.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7349165,5.00,5.00,3.00,6.00,5.00,7.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7349173,6.00,7.00,2.00,6.00,9.00,7.88,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7349181,0.00,6.00,3.00,4.00,3.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7349190,4.00,7.00,1.00,6.00,6.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7349203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7349211,4.00,4.00,5.00,6.00,4.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7349220,5.00,6.00,2.00,5.00,8.00,8.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7349238,2.00,6.00,0.00,5.00,4.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7349246,2.00,4.00,2.00,4.00,5.00,10.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7349254,2.00,3.00,2.00,6.00,5.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7349262,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7349270,1.00,5.00,1.00,3.00,6.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7349289,4.00,3.00,1.00,5.00,3.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7349297,7.00,8.00,3.00,6.00,8.00,12.00,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7349319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7349327,0.00,5.00,2.00,6.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7349343,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7349351,2.00,6.00,0.00,5.00,6.00,9.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7349360,0.00,4.00,0.00,4.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7349394,5.00,6.00,3.00,7.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,'S','S'),(28,7349408,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7349416,2.00,4.00,1.00,7.00,6.00,7.13,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7349424,3.00,8.00,2.00,3.00,8.00,10.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7349432,4.00,7.00,2.00,7.00,6.00,7.13,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7349440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7349459,2.00,5.00,2.00,5.00,5.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7349467,1.00,2.00,2.00,1.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7349483,2.00,7.00,1.00,5.00,7.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7349491,1.00,2.00,1.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7349505,1.00,7.00,3.00,4.00,5.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7349513,2.00,8.00,4.00,5.00,5.00,0.00,3.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7349521,1.00,2.00,5.00,1.00,3.00,7.88,3.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7349530,0.00,6.00,1.00,5.00,4.00,5.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7349548,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7349556,2.00,4.00,2.00,2.00,4.00,6.00,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7349564,4.00,6.00,2.00,5.00,8.00,8.63,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7349580,6.00,4.00,4.00,6.00,9.00,7.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7349599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7349610,4.00,8.00,2.00,7.00,5.00,10.50,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7349629,6.00,8.00,3.00,5.00,9.00,10.50,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7349645,5.00,7.00,5.00,7.00,8.00,10.50,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7349653,3.00,6.00,2.00,3.00,5.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7349661,4.00,7.00,0.00,7.00,8.00,7.88,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7349670,4.00,7.00,4.00,7.00,8.00,11.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7349688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7349696,5.00,8.00,5.00,8.00,9.00,9.38,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7349700,2.00,5.00,3.00,7.00,5.00,7.88,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7349718,1.00,3.00,1.00,6.00,3.00,9.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7349726,3.00,3.00,1.00,6.00,4.00,4.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7349734,5.00,8.00,3.00,6.00,8.00,10.13,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7349742,1.00,7.00,3.00,5.00,7.00,7.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7349750,4.00,7.00,1.00,7.00,4.00,12.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7349769,4.00,9.00,5.00,6.00,8.00,9.38,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7349777,3.00,4.00,3.00,7.00,8.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7349785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7349793,5.00,8.00,3.00,5.00,5.00,8.25,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7349807,0.00,2.00,0.00,1.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7349823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7349858,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7349866,3.00,5.00,2.00,4.00,4.00,6.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7349874,3.00,4.00,4.00,4.00,4.00,3.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7349890,0.00,2.00,0.00,6.00,3.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7349912,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7349920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7349939,0.00,6.00,1.00,1.00,7.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7349947,1.00,3.00,2.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7349963,2.00,6.00,1.00,5.00,8.00,8.25,2.00,1.00,6.00,NULL,NULL,NULL,'N'),(28,7349980,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7350007,1.00,6.00,1.00,6.00,8.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7350015,0.00,3.00,3.00,5.00,7.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7350023,1.00,2.00,0.00,7.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7350031,1.00,5.00,1.00,5.00,5.00,10.13,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7350058,1.00,4.00,2.00,1.00,5.00,6.38,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7350074,0.00,4.00,3.00,4.00,4.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7350082,0.00,2.00,3.00,1.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7350090,5.00,3.00,2.00,5.00,4.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7350104,1.00,6.00,2.00,0.00,6.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7350112,3.00,7.00,2.00,7.00,6.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7350120,3.00,5.00,2.00,5.00,3.00,7.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7350139,5.00,7.00,2.00,7.00,5.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7350147,3.00,6.00,0.00,3.00,6.00,9.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7350155,4.00,7.00,1.00,6.00,7.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7350163,5.00,6.00,2.00,6.00,4.00,6.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7350180,0.00,4.00,2.00,5.00,4.00,3.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7350198,1.00,8.00,2.00,5.00,7.00,9.75,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7350201,1.00,2.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7350210,0.00,7.00,1.00,6.00,3.00,7.13,0.00,5.00,0.00,NULL,NULL,NULL,'S'),(28,7350228,2.00,7.00,1.00,5.00,6.00,9.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7350236,0.00,2.00,2.00,4.00,4.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7350244,3.00,6.00,4.00,5.00,6.00,6.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7350252,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7350260,2.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7350279,2.00,5.00,3.00,5.00,7.00,7.13,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7350287,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7350295,2.00,7.00,4.00,5.00,6.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7350309,2.00,2.00,2.00,5.00,5.00,5.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7350317,4.00,6.00,3.00,5.00,5.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7350325,5.00,6.00,4.00,6.00,10.00,7.88,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7350333,3.00,5.00,2.00,4.00,8.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7350350,0.00,3.00,2.00,6.00,4.00,7.88,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7350368,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7350376,1.00,2.00,3.00,5.00,3.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7350384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7350392,0.00,6.00,1.00,6.00,3.00,11.63,0.00,7.00,0.00,NULL,NULL,NULL,'N'),(28,7350406,2.00,3.00,1.00,5.00,5.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7350414,1.00,4.00,3.00,3.00,4.00,7.88,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7350422,1.00,3.00,3.00,5.00,5.00,4.50,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7350430,2.00,5.00,1.00,3.00,5.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7350449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7350457,1.00,7.00,2.00,5.00,4.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7350473,6.00,8.00,2.00,6.00,7.00,5.25,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7350481,2.00,5.00,3.00,6.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7350511,2.00,1.00,1.00,3.00,3.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7350520,5.00,5.00,2.00,4.00,8.00,9.00,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7350546,3.00,7.00,2.00,3.00,5.00,7.88,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7350562,0.00,5.00,1.00,1.00,6.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7350570,0.00,4.00,1.00,5.00,6.00,7.13,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7350589,1.00,0.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'S'),(28,7350600,2.00,4.00,1.00,3.00,6.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7350619,1.00,6.00,1.00,4.00,9.00,7.13,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7350627,4.00,6.00,3.00,6.00,6.00,9.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7350635,0.00,7.00,2.00,7.00,6.00,9.00,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7350643,1.00,5.00,1.00,8.00,2.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7350678,3.00,6.00,2.00,6.00,7.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7350694,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7350708,4.00,8.00,2.00,4.00,7.00,7.50,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7350716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7350732,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7350740,1.00,4.00,0.00,5.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7350759,2.00,4.00,1.00,4.00,3.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7350767,0.00,3.00,2.00,1.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7350775,3.00,3.00,1.00,4.00,4.00,5.63,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7350783,1.00,6.00,2.00,4.00,6.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7350805,0.00,5.00,2.00,2.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7350813,4.00,6.00,2.00,6.00,7.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7350821,3.00,6.00,0.00,7.00,6.00,6.38,1.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7350830,2.00,5.00,1.00,3.00,3.00,4.88,1.00,6.00,1.00,NULL,NULL,NULL,'S'),(28,7350848,2.00,6.00,2.00,5.00,8.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7350856,1.00,5.00,2.00,7.00,5.00,10.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7350864,1.00,4.00,0.00,6.00,2.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7350872,4.00,8.00,1.00,7.00,7.00,9.75,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7350902,2.00,6.00,2.00,4.00,5.00,7.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7350910,2.00,6.00,2.00,3.00,4.00,8.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7350929,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7350937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7350945,3.00,7.00,3.00,6.00,7.00,7.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7350961,5.00,6.00,1.00,7.00,10.00,9.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7350988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7350996,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7351011,3.00,4.00,3.00,6.00,5.00,4.88,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7351046,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7351054,3.00,7.00,1.00,4.00,4.00,NULL,1.00,4.00,3.00,NULL,NULL,'S','N'),(28,7351062,3.00,7.00,3.00,5.00,8.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7351089,3.00,5.00,1.00,5.00,5.00,5.63,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7351097,4.00,8.00,5.00,7.00,8.00,9.75,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7351100,2.00,7.00,3.00,6.00,10.00,10.50,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7351119,7.00,8.00,5.00,6.00,9.00,8.25,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7351127,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7351135,6.00,9.00,3.00,7.00,7.00,7.13,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7351143,0.00,3.00,1.00,3.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7351151,1.00,3.00,3.00,5.00,6.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7351160,4.00,8.00,1.00,8.00,9.00,12.75,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7351178,0.00,0.00,2.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7351186,0.00,3.00,1.00,1.00,3.00,5.25,1.00,1.00,2.00,NULL,NULL,NULL,'S'),(28,7351194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7351208,1.00,3.00,2.00,4.00,4.00,3.00,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7351224,1.00,4.00,1.00,2.00,1.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7351232,0.00,3.00,1.00,6.00,4.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7351240,3.00,6.00,2.00,4.00,3.00,7.50,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7351259,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7351267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7351275,0.00,4.00,1.00,1.00,3.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7351283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7351291,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7351305,2.00,6.00,1.00,6.00,7.00,9.00,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7351313,1.00,6.00,5.00,6.00,6.00,11.63,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7351330,2.00,7.00,1.00,4.00,8.00,9.00,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7351348,4.00,8.00,1.00,6.00,6.00,12.00,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7351356,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7351364,3.00,4.00,4.00,6.00,4.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7351372,3.00,5.00,2.00,4.00,6.00,7.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7351380,1.00,5.00,1.00,7.00,6.00,3.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7351399,3.00,4.00,2.00,5.00,4.00,9.00,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7351402,2.00,3.00,1.00,6.00,5.00,6.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7351410,6.00,8.00,6.00,7.00,7.00,7.50,7.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7351429,0.00,3.00,1.00,5.00,5.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7351437,2.00,6.00,1.00,7.00,5.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7351453,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7351496,0.00,1.00,0.00,4.00,5.00,NULL,3.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7351500,4.00,7.00,3.00,7.00,9.00,10.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7351518,4.00,7.00,1.00,7.00,9.00,10.50,6.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7351526,0.00,5.00,3.00,4.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7351534,1.00,5.00,3.00,4.00,7.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7351542,1.00,2.00,3.00,5.00,3.00,6.00,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7351550,1.00,7.00,2.00,5.00,4.00,7.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7351569,4.00,6.00,2.00,7.00,7.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7351577,2.00,6.00,0.00,5.00,5.00,NULL,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7351585,1.00,6.00,2.00,3.00,6.00,NULL,2.00,6.00,3.00,NULL,NULL,'S','N'),(28,7351607,0.00,3.00,2.00,6.00,5.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7351615,2.00,6.00,1.00,7.00,5.00,11.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7351623,6.00,5.00,2.00,5.00,7.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7351631,1.00,6.00,4.00,8.00,4.00,5.25,3.00,7.00,4.00,NULL,NULL,NULL,'S'),(28,7351640,4.00,7.00,2.00,7.00,6.00,7.88,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7351666,4.00,8.00,4.00,6.00,7.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7351674,1.00,7.00,2.00,7.00,7.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7351682,0.00,0.00,2.00,5.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7351690,2.00,7.00,1.00,5.00,3.00,6.38,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7351712,1.00,5.00,1.00,3.00,3.00,8.25,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7351720,1.00,1.00,1.00,3.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,'S','N'),(28,7351739,0.00,5.00,3.00,3.00,7.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7351747,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7351755,1.00,4.00,2.00,1.00,5.00,0.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7351771,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7351780,3.00,7.00,3.00,6.00,7.00,9.75,2.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7351798,2.00,5.00,3.00,3.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7351801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7351836,2.00,6.00,3.00,5.00,8.00,7.13,3.00,3.00,7.00,NULL,NULL,NULL,'N'),(28,7351844,3.00,7.00,1.00,7.00,6.00,10.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7351852,1.00,1.00,2.00,7.00,6.00,6.75,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7351879,1.00,3.00,2.00,5.00,6.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7351895,2.00,5.00,0.00,6.00,5.00,7.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7351909,0.00,4.00,1.00,3.00,4.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7351917,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7351925,3.00,4.00,4.00,4.00,5.00,8.63,6.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7351933,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7351941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7351950,0.00,2.00,2.00,4.00,3.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7351968,3.00,4.00,2.00,1.00,5.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7351984,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7351992,2.00,7.00,3.00,7.00,6.00,11.63,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7352000,1.00,8.00,4.00,7.00,7.00,10.50,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7352018,2.00,6.00,2.00,5.00,5.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7352034,2.00,6.00,2.00,5.00,6.00,7.13,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7352042,3.00,6.00,3.00,7.00,8.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7352050,5.00,6.00,3.00,7.00,7.00,7.88,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7352069,3.00,9.00,3.00,6.00,9.00,10.13,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7352077,1.00,5.00,2.00,4.00,5.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7352085,7.00,7.00,3.00,8.00,8.00,10.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7352093,1.00,7.00,3.00,5.00,1.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7352115,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7352131,1.00,5.00,2.00,6.00,2.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7352140,2.00,6.00,0.00,3.00,6.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7352158,4.00,6.00,1.00,2.00,8.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7352166,3.00,4.00,0.00,7.00,5.00,6.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7352182,2.00,6.00,2.00,4.00,5.00,7.13,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7352204,0.00,5.00,1.00,6.00,4.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7352212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7352220,0.00,4.00,2.00,5.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7352239,6.00,8.00,3.00,7.00,9.00,9.38,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7352247,4.00,7.00,2.00,4.00,6.00,9.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7352255,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7352263,0.00,3.00,1.00,4.00,4.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7352271,2.00,6.00,4.00,6.00,8.00,9.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7352310,2.00,5.00,2.00,6.00,10.00,7.88,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7352328,0.00,5.00,1.00,5.00,7.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7352336,0.00,5.00,3.00,5.00,1.00,NULL,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7352344,2.00,4.00,1.00,5.00,4.00,8.63,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7352360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7352379,3.00,7.00,3.00,7.00,5.00,9.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7352387,7.00,7.00,2.00,5.00,7.00,12.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7352395,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7352409,3.00,0.00,2.00,8.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7352425,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7352433,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7352441,0.00,3.00,2.00,5.00,3.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7352468,2.00,5.00,1.00,5.00,5.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7352476,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7352484,4.00,4.00,3.00,5.00,5.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7352492,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7352506,4.00,5.00,1.00,7.00,7.00,5.63,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7352514,2.00,4.00,1.00,6.00,7.00,8.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7352522,1.00,5.00,3.00,4.00,6.00,9.00,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7352530,4.00,5.00,3.00,6.00,5.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7352549,2.00,5.00,2.00,5.00,4.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7352557,7.00,8.00,5.00,7.00,8.00,7.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7352565,0.00,3.00,2.00,6.00,4.00,6.38,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7352573,3.00,5.00,1.00,6.00,3.00,7.50,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7352581,6.00,8.00,5.00,6.00,7.00,9.00,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7352590,2.00,7.00,2.00,5.00,5.00,8.63,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7352603,5.00,8.00,2.00,6.00,6.00,9.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7352611,3.00,5.00,3.00,5.00,6.00,10.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7352620,0.00,5.00,4.00,6.00,2.00,NULL,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7352638,0.00,2.00,1.00,2.00,4.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7352646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7352654,3.00,9.00,3.00,7.00,6.00,7.88,4.00,8.00,4.00,NULL,NULL,NULL,'S'),(28,7352662,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7352670,2.00,4.00,1.00,7.00,3.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7352689,1.00,1.00,1.00,0.00,4.00,7.50,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7352697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7352700,4.00,5.00,2.00,6.00,7.00,8.63,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7352719,3.00,6.00,3.00,5.00,4.00,5.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7352735,3.00,4.00,2.00,5.00,6.00,9.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7352743,3.00,8.00,1.00,5.00,5.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7352751,7.00,7.00,3.00,7.00,7.00,11.25,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7352760,3.00,4.00,3.00,4.00,6.00,7.88,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7352778,7.00,6.00,4.00,6.00,6.00,8.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7352786,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7352794,4.00,6.00,2.00,7.00,6.00,9.38,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7352816,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7352824,2.00,5.00,3.00,3.00,3.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7352832,1.00,4.00,2.00,2.00,4.00,10.88,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7352840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7352859,3.00,7.00,2.00,4.00,5.00,7.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7352867,4.00,7.00,3.00,7.00,9.00,8.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7352875,5.00,6.00,2.00,4.00,4.00,9.00,5.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7352883,1.00,0.00,1.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7352891,1.00,3.00,3.00,5.00,4.00,8.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7352905,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7352913,3.00,7.00,1.00,7.00,8.00,7.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7352930,2.00,7.00,1.00,6.00,5.00,8.25,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7352948,4.00,5.00,0.00,7.00,7.00,5.63,5.00,6.00,1.00,NULL,NULL,NULL,'S'),(28,7352956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7352964,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7352972,2.00,5.00,3.00,2.00,4.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7352999,3.00,7.00,1.00,7.00,7.00,8.25,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7353022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7353030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7353049,1.00,2.00,1.00,4.00,4.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7353057,1.00,3.00,2.00,2.00,4.00,4.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7353073,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7353081,4.00,7.00,3.00,7.00,8.00,9.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7353090,1.00,4.00,0.00,7.00,6.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7353103,7.00,7.00,2.00,5.00,6.00,10.88,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7353111,1.00,5.00,1.00,6.00,5.00,6.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7353120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7353138,4.00,6.00,2.00,5.00,5.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7353146,2.00,5.00,1.00,7.00,6.00,10.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7353154,0.00,3.00,1.00,4.00,3.00,6.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7353162,1.00,4.00,2.00,4.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7353170,5.00,6.00,2.00,5.00,6.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7353189,0.00,6.00,3.00,4.00,5.00,5.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7353197,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7353200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7353219,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7353227,1.00,4.00,3.00,5.00,4.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7353235,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7353251,0.00,3.00,3.00,7.00,3.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7353260,2.00,5.00,0.00,5.00,3.00,7.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7353278,2.00,4.00,5.00,6.00,4.00,8.25,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7353286,2.00,3.00,5.00,3.00,4.00,3.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7353294,4.00,3.00,2.00,5.00,6.00,8.25,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7353316,1.00,6.00,2.00,7.00,6.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7353324,6.00,6.00,3.00,7.00,7.00,6.38,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7353332,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7353340,0.00,4.00,2.00,3.00,4.00,5.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7353359,4.00,7.00,2.00,6.00,10.00,9.38,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7353367,1.00,8.00,3.00,8.00,10.00,13.50,6.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7353391,2.00,4.00,1.00,3.00,5.00,9.00,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7353405,1.00,6.00,1.00,5.00,8.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7353413,2.00,7.00,1.00,4.00,6.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7353421,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7353430,4.00,7.00,2.00,5.00,8.00,9.38,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7353456,2.00,5.00,1.00,7.00,9.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7353464,1.00,6.00,4.00,5.00,3.00,6.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7353499,2.00,2.00,1.00,2.00,6.00,7.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7353502,1.00,0.00,2.00,6.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7353510,2.00,5.00,2.00,5.00,7.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7353529,6.00,8.00,2.00,7.00,7.00,8.25,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7353537,3.00,6.00,2.00,4.00,8.00,9.00,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7353545,0.00,5.00,2.00,7.00,4.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7353553,1.00,3.00,0.00,1.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7353570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7353588,0.00,4.00,0.00,3.00,3.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7353618,0.00,5.00,3.00,5.00,5.00,7.50,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7353634,0.00,0.00,1.00,3.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7353650,2.00,5.00,0.00,3.00,4.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7353677,8.00,8.00,3.00,7.00,7.00,10.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7353685,0.00,6.00,2.00,4.00,5.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7353693,5.00,6.00,2.00,7.00,8.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7353707,3.00,7.00,2.00,7.00,8.00,9.38,3.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7353715,0.00,4.00,0.00,0.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7353723,2.00,7.00,2.00,4.00,4.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7353740,1.00,3.00,2.00,1.00,4.00,3.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7353758,5.00,5.00,4.00,7.00,7.00,9.00,2.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7353766,3.00,3.00,3.00,1.00,4.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7353774,3.00,8.00,4.00,6.00,8.00,10.13,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7353782,1.00,6.00,1.00,4.00,3.00,7.88,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7353790,2.00,3.00,4.00,5.00,5.00,4.50,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7353812,1.00,6.00,2.00,4.00,3.00,6.38,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7353820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7353839,4.00,6.00,1.00,7.00,8.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7353847,5.00,7.00,2.00,7.00,8.00,10.88,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7353855,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7353871,6.00,6.00,1.00,5.00,4.00,9.75,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7353880,0.00,4.00,4.00,2.00,3.00,NULL,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7353898,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7353901,0.00,2.00,1.00,5.00,5.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7353928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7353936,2.00,6.00,1.00,7.00,5.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7353944,0.00,2.00,1.00,4.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7353952,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7353960,1.00,5.00,0.00,7.00,7.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7353979,7.00,8.00,3.00,7.00,7.00,11.63,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7353995,2.00,4.00,2.00,7.00,5.00,11.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7354002,3.00,5.00,3.00,3.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7354010,1.00,7.00,3.00,5.00,5.00,10.13,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7354037,3.00,6.00,3.00,4.00,3.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7354045,4.00,6.00,2.00,6.00,7.00,6.75,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7354061,1.00,2.00,2.00,1.00,5.00,9.38,0.00,5.00,0.00,NULL,NULL,NULL,'S'),(28,7354070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7354088,0.00,6.00,1.00,7.00,3.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7354096,3.00,5.00,2.00,7.00,7.00,8.63,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7354134,1.00,4.00,0.00,1.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7354142,2.00,5.00,1.00,6.00,7.00,9.00,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7354150,0.00,6.00,2.00,4.00,5.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7354169,1.00,6.00,1.00,5.00,7.00,6.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7354177,3.00,7.00,2.00,6.00,6.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7354185,1.00,4.00,3.00,4.00,6.00,3.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7354193,3.00,6.00,3.00,7.00,5.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7354207,2.00,6.00,5.00,5.00,6.00,9.00,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7354215,0.00,3.00,1.00,6.00,3.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7354231,6.00,8.00,1.00,6.00,9.00,7.50,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7354240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7354258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7354266,3.00,5.00,2.00,5.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7354274,3.00,5.00,0.00,5.00,6.00,8.25,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7354282,7.00,7.00,1.00,6.00,11.00,8.25,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7354304,0.00,2.00,2.00,4.00,2.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7354312,2.00,4.00,3.00,5.00,5.00,4.50,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7354347,3.00,6.00,2.00,3.00,5.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7354363,2.00,4.00,1.00,4.00,4.00,10.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7354371,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7354380,3.00,5.00,4.00,7.00,6.00,9.75,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7354398,0.00,2.00,4.00,6.00,3.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7354401,6.00,8.00,2.00,6.00,10.00,10.13,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7354410,2.00,4.00,1.00,3.00,3.00,3.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7354428,4.00,7.00,2.00,6.00,9.00,9.00,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7354436,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7354452,5.00,8.00,1.00,7.00,7.00,8.63,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7354460,2.00,4.00,2.00,4.00,3.00,4.88,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7354479,2.00,6.00,2.00,6.00,6.00,6.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7354487,1.00,6.00,1.00,5.00,7.00,7.13,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7354495,0.00,5.00,4.00,5.00,4.00,7.13,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7354509,6.00,6.00,1.00,6.00,7.00,6.75,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7354517,1.00,4.00,1.00,2.00,3.00,5.25,1.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7354525,3.00,7.00,1.00,5.00,7.00,5.25,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7354533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7354541,1.00,4.00,1.00,6.00,4.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7354550,5.00,8.00,6.00,7.00,8.00,12.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7354568,2.00,5.00,1.00,6.00,3.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7354576,3.00,5.00,1.00,6.00,3.00,3.38,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7354584,3.00,6.00,1.00,6.00,3.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7354592,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7354606,1.00,4.00,2.00,6.00,5.00,7.13,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7354614,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7354622,0.00,5.00,2.00,6.00,5.00,9.38,2.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7354630,2.00,6.00,2.00,4.00,4.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7354649,0.00,4.00,1.00,6.00,6.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7354665,3.00,6.00,2.00,6.00,3.00,6.38,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7354673,0.00,3.00,0.00,4.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(28,7354681,3.00,5.00,5.00,6.00,7.00,9.75,7.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7354703,1.00,2.00,3.00,3.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7354711,1.00,5.00,1.00,5.00,3.00,5.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7354738,0.00,3.00,0.00,1.00,2.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7354746,1.00,5.00,0.00,4.00,8.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7354754,0.00,3.00,0.00,2.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7354762,3.00,8.00,1.00,6.00,9.00,9.00,1.00,6.00,1.00,NULL,NULL,NULL,'S'),(28,7354770,4.00,8.00,1.00,6.00,6.00,7.88,2.00,8.00,5.00,NULL,NULL,NULL,'S'),(28,7354789,3.00,7.00,3.00,6.00,8.00,6.38,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7354797,2.00,7.00,3.00,6.00,6.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7354800,2.00,8.00,4.00,5.00,8.00,6.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7354819,3.00,6.00,1.00,4.00,6.00,7.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7354827,3.00,7.00,5.00,6.00,6.00,8.63,4.00,4.00,5.00,NULL,NULL,NULL,'S'),(28,7354835,2.00,7.00,3.00,6.00,4.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7354851,0.00,4.00,2.00,3.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7354878,2.00,5.00,2.00,5.00,5.00,9.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7354886,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7354894,0.00,2.00,4.00,3.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7354908,0.00,5.00,4.00,2.00,3.00,9.38,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7354916,1.00,4.00,0.00,5.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,'S','N'),(28,7354924,0.00,6.00,0.00,5.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7354932,0.00,2.00,2.00,4.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7354940,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7354959,1.00,4.00,1.00,3.00,2.00,NULL,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7354967,2.00,6.00,3.00,7.00,6.00,6.38,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7354975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7354983,2.00,6.00,1.00,4.00,8.00,9.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7354991,0.00,3.00,1.00,5.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7355009,1.00,6.00,3.00,6.00,5.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7355017,2.00,3.00,4.00,3.00,3.00,6.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7355025,2.00,5.00,1.00,6.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7355033,3.00,8.00,3.00,6.00,8.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7355041,2.00,7.00,2.00,6.00,4.00,7.13,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7355050,5.00,7.00,3.00,7.00,8.00,8.63,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7355068,0.00,7.00,2.00,7.00,8.00,7.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7355076,0.00,5.00,1.00,5.00,3.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7355084,1.00,3.00,0.00,1.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7355092,2.00,4.00,3.00,2.00,4.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7355106,2.00,0.00,2.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7355122,5.00,7.00,3.00,6.00,4.00,5.63,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7355130,1.00,5.00,0.00,3.00,4.00,4.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7355157,2.00,2.00,1.00,4.00,5.00,6.00,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7355173,1.00,2.00,1.00,0.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7355181,3.00,6.00,1.00,2.00,4.00,4.88,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7355190,0.00,5.00,2.00,3.00,5.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7355203,7.00,7.00,3.00,6.00,8.00,7.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7355220,4.00,8.00,4.00,6.00,5.00,9.38,3.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7355238,1.00,7.00,3.00,7.00,4.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7355246,2.00,6.00,1.00,7.00,3.00,8.25,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7355254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7355262,1.00,4.00,3.00,7.00,3.00,5.25,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7355270,3.00,8.00,1.00,7.00,5.00,9.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7355289,1.00,6.00,2.00,7.00,5.00,8.25,0.00,7.00,0.00,NULL,NULL,NULL,'N'),(28,7355300,6.00,8.00,4.00,7.00,6.00,7.13,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7355327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7355335,0.00,3.00,1.00,0.00,4.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7355351,3.00,5.00,1.00,2.00,6.00,4.50,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7355360,5.00,6.00,3.00,6.00,7.00,10.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7355378,2.00,3.00,1.00,4.00,4.00,7.13,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7355386,3.00,6.00,1.00,7.00,7.00,8.63,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7355394,0.00,4.00,2.00,3.00,4.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7355416,5.00,6.00,3.00,5.00,7.00,7.13,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7355424,0.00,0.00,0.00,0.00,2.00,NULL,0.00,3.00,0.00,NULL,NULL,'S','N'),(28,7355432,5.00,8.00,2.00,6.00,10.00,7.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7355440,8.00,7.00,3.00,6.00,4.00,5.25,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7355459,1.00,6.00,0.00,5.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7355467,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7355475,1.00,4.00,3.00,6.00,5.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7355483,2.00,5.00,2.00,4.00,6.00,7.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7355505,5.00,6.00,4.00,1.00,8.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7355513,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7355521,0.00,2.00,3.00,4.00,4.00,7.13,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7355548,1.00,6.00,1.00,6.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,'S','S'),(28,7355556,2.00,5.00,0.00,6.00,6.00,5.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7355564,3.00,5.00,1.00,4.00,4.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7355572,4.00,7.00,3.00,7.00,9.00,9.75,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7355599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7355602,0.00,7.00,1.00,4.00,4.00,6.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7355610,2.00,6.00,4.00,7.00,7.00,9.75,4.00,3.00,6.00,NULL,NULL,NULL,'N'),(28,7355629,3.00,3.00,1.00,2.00,3.00,5.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7355637,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7355645,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7355653,5.00,9.00,1.00,6.00,8.00,12.75,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7355670,2.00,5.00,2.00,5.00,7.00,6.00,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7355688,1.00,6.00,4.00,5.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7355696,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7355718,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7355726,5.00,6.00,2.00,7.00,7.00,9.38,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7355734,1.00,0.00,2.00,5.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7355750,2.00,6.00,1.00,3.00,3.00,7.50,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7355769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7355785,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7355793,1.00,2.00,0.00,3.00,2.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7355807,3.00,5.00,4.00,4.00,3.00,6.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7355815,0.00,5.00,2.00,7.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7355823,3.00,5.00,1.00,3.00,5.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7355831,2.00,2.00,3.00,2.00,3.00,4.50,2.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7355840,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7355858,2.00,7.00,5.00,7.00,7.00,9.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7355874,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7355890,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7355904,2.00,4.00,2.00,7.00,8.00,4.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7355912,0.00,5.00,2.00,7.00,7.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7355920,0.00,5.00,2.00,4.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7355939,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7355947,6.00,8.00,3.00,6.00,10.00,12.00,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7355955,3.00,6.00,4.00,7.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7355971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7355980,2.00,5.00,1.00,3.00,6.00,8.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7355998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7356005,3.00,4.00,3.00,7.00,7.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7356013,3.00,5.00,1.00,5.00,7.00,10.50,5.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7356021,2.00,2.00,2.00,4.00,0.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7356030,5.00,7.00,2.00,6.00,6.00,11.63,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7356048,3.00,6.00,1.00,4.00,9.00,9.75,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7356056,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7356064,0.00,5.00,0.00,3.00,3.00,6.00,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7356072,1.00,5.00,2.00,6.00,6.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7356080,4.00,8.00,2.00,4.00,6.00,9.38,2.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7356099,1.00,7.00,0.00,3.00,4.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7356102,1.00,5.00,3.00,5.00,5.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7356110,5.00,6.00,4.00,6.00,5.00,9.00,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7356137,7.00,7.00,2.00,8.00,8.00,9.38,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7356145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7356153,3.00,5.00,2.00,4.00,7.00,9.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7356170,2.00,6.00,1.00,3.00,2.00,NULL,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7356188,1.00,4.00,1.00,6.00,6.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7356196,4.00,8.00,0.00,7.00,4.00,10.13,1.00,7.00,3.00,NULL,NULL,NULL,'S'),(28,7356200,5.00,6.00,1.00,7.00,6.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7356218,3.00,2.00,1.00,4.00,0.00,3.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7356226,4.00,5.00,3.00,6.00,4.00,8.25,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7356234,6.00,8.00,4.00,5.00,9.00,9.75,6.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7356242,0.00,5.00,1.00,2.00,3.00,8.63,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7356250,1.00,4.00,2.00,4.00,6.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7356269,3.00,4.00,4.00,1.00,5.00,0.00,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7356285,2.00,2.00,0.00,3.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7356293,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7356307,1.00,3.00,1.00,2.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7356315,2.00,6.00,3.00,2.00,5.00,7.88,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7356323,2.00,3.00,3.00,4.00,7.00,6.75,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7356331,2.00,5.00,3.00,4.00,3.00,7.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7356340,3.00,5.00,2.00,2.00,2.00,NULL,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7356366,0.00,4.00,2.00,6.00,5.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7356374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7356390,5.00,4.00,1.00,6.00,4.00,6.75,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7356412,2.00,6.00,3.00,6.00,5.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7356420,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7356439,3.00,5.00,3.00,6.00,4.00,7.13,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7356447,0.00,6.00,1.00,4.00,6.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7356455,5.00,6.00,3.00,6.00,7.00,9.00,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7356463,6.00,8.00,3.00,7.00,7.00,10.50,5.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7356471,4.00,7.00,2.00,7.00,5.00,9.00,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7356498,1.00,2.00,3.00,2.00,3.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7356501,0.00,0.00,0.00,7.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7356510,1.00,0.00,0.00,4.00,4.00,2.25,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7356528,2.00,4.00,3.00,7.00,3.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7356544,1.00,5.00,0.00,3.00,4.00,4.88,0.00,5.00,0.00,NULL,NULL,NULL,'S'),(28,7356552,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7356560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7356579,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7356587,0.00,8.00,2.00,4.00,6.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7356595,0.00,4.00,3.00,5.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,'S','N'),(28,7356609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7356617,2.00,5.00,2.00,5.00,5.00,5.63,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7356625,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7356633,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7356650,3.00,6.00,2.00,6.00,10.00,12.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7356668,1.00,3.00,2.00,3.00,4.00,4.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7356676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7356692,1.00,8.00,3.00,1.00,6.00,6.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7356706,3.00,8.00,3.00,7.00,6.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7356714,3.00,6.00,2.00,2.00,5.00,9.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7356722,2.00,7.00,2.00,4.00,4.00,7.50,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7356730,4.00,4.00,6.00,6.00,8.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7356749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7356757,2.00,7.00,1.00,7.00,8.00,11.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7356765,2.00,5.00,4.00,5.00,5.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7356773,2.00,4.00,0.00,5.00,5.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7356781,0.00,3.00,2.00,2.00,1.00,NULL,2.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7356790,3.00,4.00,3.00,4.00,3.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7356803,2.00,4.00,1.00,1.00,3.00,9.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7356820,2.00,6.00,2.00,7.00,6.00,9.00,5.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7356838,2.00,3.00,3.00,4.00,3.00,6.75,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7356846,4.00,5.00,3.00,5.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7356854,5.00,7.00,6.00,7.00,9.00,8.25,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7356862,2.00,7.00,1.00,4.00,6.00,8.63,3.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7356889,2.00,5.00,2.00,3.00,6.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7356897,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7356919,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7356927,2.00,2.00,2.00,4.00,4.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7356935,2.00,6.00,1.00,6.00,7.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7356943,0.00,5.00,4.00,3.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7356951,4.00,3.00,2.00,5.00,5.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7356978,4.00,0.00,4.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7356994,3.00,6.00,2.00,6.00,8.00,7.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7357001,3.00,6.00,3.00,7.00,4.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7357010,1.00,1.00,2.00,2.00,4.00,5.63,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7357028,5.00,8.00,3.00,6.00,9.00,11.25,5.00,8.00,7.00,NULL,NULL,NULL,'N'),(28,7357036,2.00,4.00,0.00,3.00,6.00,8.25,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7357044,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7357052,1.00,5.00,3.00,5.00,8.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7357060,4.00,6.00,3.00,6.00,5.00,9.38,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7357079,3.00,3.00,0.00,7.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7357087,0.00,3.00,1.00,6.00,4.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7357095,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7357109,0.00,4.00,1.00,5.00,4.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7357133,0.00,4.00,1.00,8.00,7.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7357141,0.00,2.00,1.00,1.00,3.00,5.25,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7357176,2.00,0.00,0.00,6.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7357184,2.00,6.00,4.00,6.00,5.00,6.38,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7357206,3.00,7.00,0.00,6.00,3.00,10.13,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7357214,4.00,5.00,3.00,5.00,7.00,10.13,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7357222,3.00,8.00,3.00,6.00,6.00,10.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7357230,1.00,4.00,1.00,5.00,5.00,6.75,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7357249,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7357257,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7357265,4.00,6.00,2.00,7.00,5.00,8.63,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7357273,5.00,8.00,3.00,7.00,4.00,9.38,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7357281,2.00,7.00,1.00,6.00,4.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7357290,4.00,7.00,1.00,4.00,7.00,7.88,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7357303,0.00,3.00,1.00,2.00,2.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7357311,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7357320,3.00,9.00,0.00,7.00,10.00,11.25,4.00,9.00,3.00,NULL,NULL,NULL,'N'),(28,7357338,1.00,4.00,0.00,2.00,5.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7357346,6.00,9.00,4.00,7.00,8.00,11.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7357354,1.00,5.00,4.00,5.00,6.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7357362,0.00,3.00,1.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7357370,5.00,7.00,2.00,6.00,10.00,9.00,5.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7357389,4.00,4.00,1.00,7.00,5.00,6.75,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7357397,6.00,7.00,3.00,5.00,7.00,10.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7357400,2.00,6.00,2.00,8.00,8.00,7.88,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7357419,4.00,7.00,4.00,8.00,10.00,8.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7357435,0.00,5.00,2.00,2.00,2.00,NULL,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7357443,2.00,7.00,1.00,6.00,8.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7357451,1.00,2.00,2.00,6.00,5.00,7.13,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7357460,1.00,2.00,2.00,3.00,2.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7357478,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7357486,0.00,3.00,1.00,2.00,5.00,7.88,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7357494,3.00,5.00,4.00,6.00,8.00,7.13,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7357508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7357524,3.00,6.00,1.00,5.00,5.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7357532,0.00,4.00,0.00,5.00,3.00,8.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7357540,4.00,6.00,4.00,5.00,7.00,9.38,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7357559,2.00,6.00,1.00,8.00,5.00,9.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7357567,1.00,7.00,2.00,7.00,8.00,8.63,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7357575,1.00,5.00,1.00,4.00,6.00,9.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7357583,5.00,8.00,2.00,6.00,9.00,15.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7357591,3.00,4.00,2.00,4.00,5.00,6.38,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7357605,2.00,5.00,2.00,5.00,7.00,6.75,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7357621,2.00,3.00,2.00,4.00,4.00,8.63,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7357648,3.00,6.00,1.00,6.00,8.00,10.13,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7357656,3.00,6.00,3.00,7.00,6.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7357664,0.00,6.00,3.00,2.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7357672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7357680,5.00,5.00,2.00,3.00,5.00,7.50,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7357699,3.00,8.00,2.00,6.00,5.00,10.50,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7357702,3.00,4.00,3.00,5.00,5.00,5.25,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7357710,1.00,3.00,1.00,2.00,5.00,6.00,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7357729,2.00,4.00,0.00,6.00,3.00,8.63,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7357737,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7357745,2.00,7.00,2.00,6.00,9.00,8.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7357753,1.00,4.00,3.00,5.00,3.00,5.25,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7357761,1.00,4.00,1.00,3.00,3.00,3.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7357788,2.00,3.00,3.00,2.00,4.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7357796,1.00,3.00,0.00,2.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7357800,2.00,7.00,3.00,6.00,5.00,6.75,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7357826,2.00,7.00,1.00,5.00,5.00,7.88,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7357842,1.00,4.00,3.00,4.00,2.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7357850,1.00,5.00,2.00,3.00,4.00,6.75,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7357877,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7357893,3.00,6.00,3.00,5.00,8.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7357907,2.00,1.00,0.00,4.00,5.00,7.13,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7357923,4.00,6.00,1.00,5.00,5.00,9.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7357940,3.00,6.00,1.00,6.00,8.00,10.13,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7357958,0.00,2.00,1.00,3.00,3.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7357966,3.00,7.00,3.00,5.00,3.00,5.63,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7357974,0.00,4.00,2.00,4.00,4.00,3.00,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7357982,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7358008,3.00,7.00,3.00,2.00,5.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7358016,0.00,5.00,3.00,6.00,5.00,7.50,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7358024,3.00,1.00,3.00,3.00,5.00,4.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7358032,2.00,5.00,2.00,5.00,5.00,12.75,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7358040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7358059,4.00,6.00,3.00,6.00,8.00,12.00,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7358067,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7358075,2.00,2.00,2.00,5.00,3.00,4.50,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7358091,1.00,6.00,0.00,5.00,6.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7358105,2.00,6.00,3.00,7.00,9.00,10.50,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7358113,1.00,4.00,2.00,5.00,2.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7358121,4.00,7.00,3.00,7.00,3.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7358130,5.00,7.00,4.00,6.00,8.00,12.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7358148,1.00,3.00,4.00,2.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7358172,4.00,6.00,0.00,3.00,4.00,9.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7358180,2.00,7.00,1.00,5.00,3.00,7.50,5.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7358199,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7358202,0.00,6.00,1.00,4.00,3.00,9.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7358210,0.00,0.00,2.00,3.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7358229,1.00,5.00,0.00,5.00,3.00,6.38,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7358237,2.00,7.00,2.00,4.00,4.00,7.50,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7358253,2.00,5.00,0.00,7.00,5.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7358261,4.00,6.00,3.00,5.00,8.00,7.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7358288,3.00,5.00,1.00,4.00,6.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7358296,0.00,4.00,0.00,5.00,5.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7358300,0.00,4.00,2.00,3.00,6.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7358318,1.00,4.00,4.00,4.00,3.00,5.63,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7358326,0.00,5.00,2.00,6.00,7.00,NULL,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7358342,1.00,6.00,1.00,6.00,9.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7358350,0.00,3.00,5.00,4.00,5.00,5.63,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7358369,1.00,6.00,0.00,4.00,3.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7358385,4.00,8.00,2.00,6.00,5.00,8.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7358407,3.00,7.00,4.00,6.00,8.00,7.13,3.00,7.00,2.00,NULL,NULL,NULL,'S'),(28,7358423,2.00,6.00,0.00,7.00,6.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7358431,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7358440,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7358458,1.00,4.00,2.00,4.00,3.00,6.38,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7358466,2.00,4.00,3.00,2.00,4.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7358474,4.00,4.00,3.00,6.00,6.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7358482,6.00,8.00,4.00,6.00,9.00,11.25,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7358504,6.00,9.00,3.00,7.00,8.00,10.13,5.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7358512,3.00,5.00,0.00,7.00,4.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7358520,3.00,7.00,2.00,7.00,5.00,6.00,2.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7358539,2.00,7.00,2.00,5.00,9.00,8.63,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7358563,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7358571,4.00,8.00,4.00,6.00,8.00,9.75,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7358598,3.00,4.00,0.00,6.00,2.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7358601,0.00,3.00,0.00,0.00,1.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7358610,4.00,7.00,2.00,5.00,6.00,7.50,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7358636,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7358644,1.00,8.00,2.00,6.00,8.00,10.88,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7358652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7358660,1.00,7.00,1.00,7.00,4.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7358679,4.00,5.00,2.00,4.00,4.00,8.63,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7358687,4.00,6.00,3.00,7.00,7.00,10.50,2.00,4.00,7.00,NULL,NULL,NULL,'N'),(28,7358695,1.00,5.00,2.00,7.00,6.00,9.75,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7358709,3.00,8.00,2.00,7.00,9.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7358717,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7358725,1.00,4.00,0.00,4.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7358733,5.00,7.00,4.00,7.00,4.00,9.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7358741,1.00,3.00,2.00,3.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7358750,0.00,6.00,2.00,6.00,5.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7358768,2.00,7.00,1.00,5.00,6.00,5.63,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7358784,2.00,4.00,2.00,5.00,3.00,4.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7358792,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7358806,4.00,7.00,3.00,7.00,5.00,8.63,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7358814,5.00,6.00,2.00,7.00,6.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7358849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7358857,0.00,8.00,4.00,7.00,10.00,7.88,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7358865,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7358873,5.00,7.00,2.00,4.00,8.00,11.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7358881,4.00,7.00,2.00,7.00,5.00,10.88,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7358890,1.00,5.00,2.00,2.00,6.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7358903,6.00,5.00,3.00,7.00,7.00,8.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7358911,1.00,7.00,4.00,7.00,9.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7358920,0.00,3.00,1.00,1.00,3.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7358938,2.00,5.00,2.00,3.00,4.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7358946,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7358962,4.00,7.00,4.00,7.00,4.00,6.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7358970,3.00,7.00,4.00,6.00,4.00,8.63,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7358989,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7359004,0.00,4.00,3.00,3.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7359020,2.00,3.00,2.00,4.00,4.00,6.00,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7359039,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7359047,0.00,5.00,3.00,6.00,7.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7359055,4.00,7.00,3.00,6.00,8.00,10.13,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7359063,1.00,6.00,1.00,5.00,3.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7359080,3.00,8.00,5.00,7.00,6.00,7.13,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7359098,3.00,7.00,1.00,7.00,7.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7359110,6.00,8.00,5.00,6.00,10.00,11.25,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7359128,0.00,5.00,4.00,4.00,4.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7359136,0.00,3.00,2.00,2.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7359152,3.00,6.00,1.00,7.00,8.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7359160,1.00,3.00,1.00,7.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7359179,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7359187,5.00,5.00,7.00,8.00,6.00,9.38,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7359195,3.00,5.00,1.00,6.00,7.00,9.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7359217,5.00,7.00,3.00,4.00,5.00,10.88,7.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7359225,3.00,4.00,3.00,7.00,4.00,6.38,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7359233,0.00,5.00,1.00,3.00,5.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7359250,5.00,9.00,2.00,5.00,9.00,9.00,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7359268,0.00,3.00,2.00,1.00,2.00,NULL,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7359284,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7359292,0.00,7.00,2.00,7.00,6.00,10.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7359330,0.00,3.00,3.00,6.00,6.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7359349,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7359357,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7359381,2.00,3.00,2.00,4.00,2.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7359390,1.00,9.00,0.00,6.00,6.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7359403,0.00,5.00,1.00,2.00,5.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7359420,3.00,3.00,2.00,1.00,3.00,4.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7359438,4.00,5.00,2.00,4.00,5.00,8.63,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7359446,6.00,6.00,4.00,8.00,6.00,12.38,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7359470,0.00,2.00,2.00,1.00,1.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7359489,2.00,2.00,2.00,4.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7359497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7359500,0.00,3.00,1.00,3.00,5.00,6.38,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7359519,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7359527,1.00,7.00,0.00,0.00,0.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7359535,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7359543,1.00,6.00,2.00,6.00,7.00,7.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7359551,2.00,4.00,3.00,6.00,4.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7359560,0.00,5.00,2.00,7.00,8.00,4.88,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7359578,3.00,5.00,0.00,5.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7359586,1.00,7.00,2.00,4.00,6.00,7.13,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7359594,0.00,3.00,1.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7359608,0.00,4.00,2.00,7.00,4.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7359616,1.00,4.00,2.00,1.00,4.00,6.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7359624,2.00,3.00,2.00,2.00,3.00,3.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7359632,4.00,0.00,3.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7359659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7359667,0.00,3.00,0.00,0.00,0.00,NULL,2.00,4.00,3.00,'S',NULL,NULL,'N'),(28,7359675,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7359683,3.00,9.00,3.00,6.00,8.00,8.25,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7359691,5.00,6.00,1.00,6.00,5.00,7.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7359713,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7359721,3.00,6.00,3.00,5.00,7.00,9.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7359730,2.00,6.00,3.00,5.00,8.00,8.63,4.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7359748,1.00,3.00,2.00,4.00,5.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7359764,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7359772,2.00,5.00,2.00,6.00,5.00,10.50,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7359780,4.00,4.00,2.00,6.00,5.00,7.13,5.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7359799,0.00,2.00,4.00,2.00,4.00,7.13,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7359802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7359810,1.00,6.00,3.00,3.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7359829,2.00,7.00,6.00,0.00,7.00,6.75,6.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7359837,0.00,5.00,1.00,5.00,6.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7359845,8.00,8.00,4.00,6.00,3.00,10.13,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7359853,0.00,4.00,2.00,2.00,3.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7359861,1.00,4.00,2.00,1.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7359870,1.00,7.00,1.00,3.00,5.00,9.00,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7359896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,'S','N'),(28,7359900,3.00,6.00,3.00,5.00,6.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7359918,0.00,3.00,1.00,4.00,5.00,9.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7359926,5.00,6.00,2.00,3.00,5.00,9.38,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7359934,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7359942,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7359950,2.00,3.00,4.00,4.00,2.00,NULL,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7359977,1.00,3.00,1.00,0.00,4.00,6.75,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7359985,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7359993,3.00,7.00,4.00,7.00,8.00,6.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7360010,0.00,5.00,2.00,1.00,2.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7360037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7360045,0.00,0.00,2.00,1.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7360053,6.00,6.00,3.00,6.00,8.00,10.50,5.00,5.00,8.00,NULL,NULL,NULL,'N'),(28,7360061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7360070,7.00,6.00,2.00,6.00,8.00,6.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7360088,0.00,5.00,2.00,6.00,4.00,NULL,3.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7360096,0.00,3.00,1.00,4.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7360100,3.00,8.00,2.00,3.00,7.00,11.25,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7360118,5.00,2.00,2.00,2.00,3.00,6.75,5.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7360134,1.00,4.00,3.00,1.00,3.00,5.25,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7360142,3.00,3.00,1.00,5.00,4.00,7.13,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7360150,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7360169,0.00,6.00,2.00,6.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7360177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7360185,0.00,3.00,1.00,6.00,4.00,7.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7360215,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7360223,2.00,5.00,2.00,3.00,6.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7360231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7360258,0.00,3.00,3.00,0.00,5.00,NULL,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7360266,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7360274,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7360290,3.00,7.00,3.00,6.00,9.00,10.13,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7360304,0.00,6.00,2.00,1.00,5.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7360312,1.00,6.00,3.00,6.00,3.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7360339,1.00,3.00,1.00,7.00,4.00,7.13,2.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7360347,0.00,3.00,2.00,5.00,4.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7360371,1.00,4.00,2.00,1.00,4.00,6.00,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7360398,1.00,3.00,2.00,2.00,5.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7360401,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7360410,0.00,4.00,2.00,7.00,6.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7360428,0.00,5.00,0.00,2.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7360436,0.00,7.00,1.00,3.00,1.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7360444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7360460,2.00,7.00,1.00,5.00,7.00,9.00,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7360487,1.00,4.00,2.00,4.00,2.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7360495,0.00,3.00,4.00,6.00,4.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7360509,0.00,4.00,3.00,5.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7360517,2.00,4.00,2.00,5.00,5.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7360525,3.00,6.00,1.00,3.00,2.00,NULL,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7360533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7360541,3.00,8.00,6.00,5.00,7.00,13.50,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7360550,5.00,8.00,3.00,7.00,8.00,9.00,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7360568,1.00,4.00,1.00,4.00,6.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7360576,1.00,4.00,2.00,5.00,3.00,6.00,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7360584,0.00,6.00,1.00,3.00,7.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7360606,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7360614,1.00,5.00,3.00,5.00,3.00,4.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7360622,3.00,4.00,3.00,6.00,5.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7360630,3.00,6.00,3.00,5.00,4.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7360657,1.00,6.00,2.00,4.00,6.00,7.13,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7360673,4.00,5.00,3.00,6.00,6.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7360681,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7360690,3.00,6.00,1.00,6.00,6.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7360703,1.00,7.00,1.00,6.00,7.00,7.88,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7360720,8.00,8.00,6.00,6.00,8.00,10.88,5.00,7.00,8.00,NULL,NULL,NULL,'N'),(28,7360754,3.00,5.00,3.00,1.00,4.00,4.88,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7360762,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7360770,3.00,6.00,2.00,6.00,4.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7360789,1.00,3.00,0.00,5.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7360797,3.00,6.00,4.00,6.00,7.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7360800,3.00,4.00,1.00,6.00,3.00,8.63,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7360819,2.00,5.00,2.00,5.00,6.00,7.88,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7360827,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7360835,3.00,5.00,2.00,5.00,5.00,8.25,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7360843,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7360851,4.00,6.00,2.00,5.00,5.00,7.13,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7360878,1.00,7.00,3.00,7.00,9.00,7.13,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7360886,1.00,5.00,3.00,5.00,5.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7360894,1.00,6.00,1.00,6.00,6.00,6.38,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7360908,5.00,8.00,3.00,7.00,6.00,10.88,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7360932,2.00,3.00,2.00,7.00,5.00,10.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7360940,1.00,3.00,1.00,5.00,4.00,9.75,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7360959,2.00,5.00,3.00,5.00,6.00,11.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7360967,1.00,6.00,2.00,6.00,4.00,5.25,3.00,7.00,0.00,NULL,NULL,NULL,'N'),(28,7360975,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7360983,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7360991,0.00,2.00,1.00,5.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7361025,5.00,9.00,3.00,7.00,8.00,13.50,2.00,9.00,3.00,NULL,NULL,NULL,'N'),(28,7361033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7361041,0.00,5.00,1.00,1.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7361050,1.00,5.00,2.00,1.00,4.00,4.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7361068,1.00,7.00,3.00,6.00,5.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7361076,0.00,5.00,1.00,4.00,5.00,9.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7361084,2.00,6.00,1.00,3.00,4.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7361092,0.00,5.00,1.00,5.00,4.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7361114,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7361122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7361130,5.00,6.00,5.00,7.00,7.00,9.38,6.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7361149,1.00,1.00,0.00,1.00,4.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7361165,1.00,3.00,2.00,2.00,5.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7361173,0.00,2.00,2.00,0.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7361181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7361190,5.00,5.00,2.00,3.00,6.00,10.50,7.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7361203,1.00,6.00,2.00,4.00,7.00,8.25,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7361211,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7361246,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7361254,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7361289,3.00,5.00,2.00,6.00,4.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7361297,1.00,3.00,2.00,3.00,6.00,8.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7361300,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7361319,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7361335,3.00,5.00,3.00,6.00,5.00,9.75,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7361343,0.00,4.00,3.00,5.00,6.00,4.88,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7361351,5.00,6.00,3.00,6.00,7.00,8.63,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7361360,2.00,4.00,2.00,6.00,4.00,7.13,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7361386,1.00,4.00,2.00,1.00,3.00,4.88,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7361424,4.00,5.00,1.00,5.00,6.00,10.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7361467,4.00,9.00,1.00,4.00,7.00,12.00,2.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7361475,0.00,6.00,2.00,4.00,5.00,10.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7361483,2.00,0.00,0.00,6.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7361491,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7361513,0.00,6.00,3.00,6.00,7.00,7.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7361521,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7361530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7361548,0.00,5.00,1.00,5.00,5.00,NULL,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7361564,1.00,5.00,1.00,5.00,6.00,9.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7361572,2.00,5.00,3.00,4.00,5.00,6.00,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7361599,4.00,6.00,2.00,4.00,7.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7361602,1.00,7.00,1.00,2.00,4.00,5.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7361610,4.00,7.00,4.00,8.00,9.00,6.75,2.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7361653,4.00,6.00,2.00,3.00,5.00,9.75,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7361670,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7361688,1.00,5.00,3.00,5.00,4.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7361696,5.00,3.00,0.00,6.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7361700,0.00,4.00,3.00,5.00,5.00,NULL,3.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7361718,2.00,5.00,2.00,6.00,6.00,8.25,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7361726,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7361734,0.00,5.00,3.00,4.00,5.00,5.63,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7361742,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7361750,0.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7361769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7361777,0.00,5.00,1.00,1.00,4.00,6.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7361785,4.00,7.00,1.00,7.00,9.00,11.63,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7361793,0.00,5.00,1.00,7.00,5.00,7.13,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7361807,2.00,6.00,3.00,5.00,7.00,8.63,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7361815,2.00,3.00,1.00,3.00,4.00,8.63,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7361823,4.00,5.00,4.00,6.00,8.00,8.25,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7361831,1.00,8.00,1.00,4.00,6.00,10.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7361858,1.00,4.00,2.00,5.00,2.00,NULL,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7361874,5.00,8.00,1.00,7.00,7.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7361904,1.00,1.00,1.00,3.00,3.00,7.13,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7361912,1.00,5.00,3.00,3.00,4.00,7.13,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7361920,3.00,4.00,1.00,4.00,4.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7361939,4.00,7.00,3.00,5.00,6.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7361955,0.00,3.00,2.00,6.00,4.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7361963,0.00,1.00,1.00,4.00,6.00,5.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7361971,6.00,6.00,2.00,8.00,5.00,7.13,6.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7361980,1.00,5.00,2.00,4.00,5.00,5.63,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7362005,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7362013,1.00,4.00,5.00,5.00,8.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7362021,0.00,3.00,0.00,5.00,5.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7362030,2.00,6.00,1.00,7.00,5.00,10.13,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7362064,2.00,5.00,1.00,6.00,5.00,7.13,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7362072,5.00,6.00,4.00,6.00,7.00,6.75,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7362102,2.00,5.00,3.00,1.00,5.00,NULL,4.00,1.00,1.00,NULL,NULL,'S','S'),(28,7362110,2.00,7.00,3.00,7.00,7.00,0.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7362129,1.00,5.00,2.00,2.00,5.00,3.00,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7362137,2.00,3.00,1.00,4.00,1.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7362145,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7362153,1.00,2.00,3.00,2.00,4.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7362161,3.00,8.00,0.00,7.00,4.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7362170,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7362188,1.00,3.00,2.00,6.00,3.00,7.13,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7362196,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7362200,2.00,5.00,0.00,4.00,6.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7362242,8.00,7.00,3.00,7.00,7.00,11.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7362277,1.00,0.00,1.00,7.00,8.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7362285,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7362307,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7362315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7362323,2.00,8.00,3.00,4.00,4.00,9.38,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7362331,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7362340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7362358,2.00,6.00,2.00,7.00,6.00,7.50,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7362366,2.00,5.00,2.00,6.00,8.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7362374,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7362382,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7362390,7.00,8.00,4.00,1.00,5.00,5.63,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7362404,6.00,7.00,1.00,4.00,5.00,9.75,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7362412,2.00,5.00,4.00,3.00,5.00,10.50,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7362420,2.00,6.00,3.00,4.00,6.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7362439,3.00,8.00,3.00,6.00,8.00,10.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7362447,1.00,5.00,1.00,5.00,9.00,9.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7362455,2.00,4.00,0.00,6.00,6.00,NULL,3.00,3.00,2.00,NULL,NULL,'S','S'),(28,7362471,2.00,2.00,1.00,2.00,3.00,8.63,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7362501,2.00,3.00,2.00,5.00,3.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7362510,3.00,6.00,2.00,6.00,3.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7362528,4.00,6.00,5.00,6.00,8.00,9.38,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7362536,2.00,5.00,3.00,4.00,6.00,6.38,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7362552,0.00,4.00,3.00,5.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7362579,3.00,7.00,4.00,7.00,9.00,9.00,1.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7362587,0.00,0.00,4.00,2.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7362595,4.00,7.00,4.00,7.00,10.00,7.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7362609,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7362617,0.00,1.00,3.00,4.00,2.00,NULL,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7362625,1.00,4.00,2.00,2.00,3.00,7.50,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7362633,2.00,0.00,3.00,6.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7362641,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7362650,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7362668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7362676,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7362684,1.00,4.00,2.00,6.00,3.00,6.38,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7362714,2.00,2.00,2.00,6.00,6.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7362722,4.00,5.00,1.00,6.00,3.00,6.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7362730,0.00,3.00,2.00,1.00,1.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7362749,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7362757,2.00,6.00,1.00,5.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7362765,0.00,5.00,2.00,1.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7362790,3.00,5.00,0.00,3.00,1.00,NULL,3.00,6.00,2.00,NULL,NULL,NULL,'S'),(28,7362803,2.00,5.00,1.00,7.00,7.00,4.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7362811,0.00,5.00,3.00,5.00,4.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7362820,1.00,2.00,1.00,3.00,3.00,6.38,4.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7362838,3.00,4.00,1.00,4.00,4.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7362846,0.00,3.00,1.00,2.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7362862,0.00,3.00,3.00,5.00,5.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7362889,1.00,3.00,2.00,5.00,5.00,6.38,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7362897,2.00,8.00,3.00,7.00,5.00,10.50,6.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7362900,1.00,6.00,0.00,7.00,4.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7362919,1.00,7.00,1.00,4.00,5.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7362927,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7362943,1.00,6.00,2.00,1.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7362960,2.00,5.00,4.00,7.00,6.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7362978,3.00,5.00,3.00,4.00,5.00,7.13,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7362986,2.00,8.00,1.00,6.00,5.00,9.00,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7362994,3.00,5.00,1.00,5.00,4.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7363001,3.00,7.00,3.00,6.00,3.00,7.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7363010,5.00,7.00,3.00,7.00,6.00,8.25,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7363028,2.00,4.00,1.00,4.00,6.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7363036,2.00,5.00,3.00,6.00,7.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7363044,3.00,6.00,2.00,6.00,6.00,6.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7363060,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7363087,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7363095,3.00,5.00,4.00,6.00,7.00,8.25,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7363109,2.00,4.00,1.00,2.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7363117,3.00,6.00,1.00,3.00,6.00,7.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7363125,4.00,8.00,4.00,5.00,8.00,8.25,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7363133,2.00,5.00,1.00,2.00,4.00,7.88,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7363141,7.00,6.00,3.00,6.00,7.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7363150,2.00,2.00,0.00,2.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7363168,1.00,5.00,0.00,4.00,3.00,7.88,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7363176,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7363192,0.00,2.00,2.00,2.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7363206,0.00,6.00,2.00,6.00,4.00,5.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7363214,3.00,4.00,1.00,3.00,3.00,3.00,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7363222,2.00,7.00,2.00,4.00,2.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7363230,2.00,7.00,4.00,7.00,9.00,11.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7363249,2.00,7.00,1.00,6.00,5.00,9.00,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7363257,0.00,4.00,1.00,3.00,3.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7363265,2.00,6.00,5.00,6.00,7.00,11.63,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7363273,2.00,4.00,1.00,4.00,4.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7363281,4.00,6.00,2.00,3.00,7.00,6.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7363290,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7363303,6.00,8.00,2.00,6.00,9.00,7.13,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7363311,1.00,2.00,1.00,1.00,2.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7363338,1.00,3.00,1.00,2.00,3.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7363354,1.00,3.00,2.00,2.00,3.00,4.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7363362,6.00,7.00,2.00,6.00,7.00,10.13,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7363370,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7363389,5.00,8.00,4.00,8.00,8.00,11.25,8.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7363397,1.00,4.00,3.00,4.00,5.00,5.25,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7363400,0.00,4.00,1.00,2.00,3.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7363419,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7363427,4.00,7.00,2.00,8.00,7.00,9.00,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7363435,1.00,2.00,3.00,3.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7363443,3.00,6.00,4.00,6.00,8.00,8.63,0.00,4.00,5.00,NULL,NULL,NULL,'S'),(28,7363451,3.00,3.00,1.00,5.00,2.00,NULL,1.00,0.00,2.00,NULL,NULL,NULL,'N'),(28,7363460,2.00,6.00,2.00,6.00,5.00,9.75,4.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7363478,3.00,4.00,2.00,6.00,5.00,7.50,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7363494,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7363508,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7363532,2.00,7.00,2.00,7.00,6.00,7.88,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7363567,5.00,5.00,5.00,7.00,6.00,10.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7363575,0.00,2.00,2.00,1.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7363583,2.00,3.00,2.00,4.00,5.00,8.25,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7363591,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7363605,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7363613,1.00,7.00,1.00,2.00,4.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7363621,0.00,6.00,2.00,4.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7363630,2.00,4.00,0.00,4.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7363648,4.00,5.00,1.00,6.00,9.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7363656,2.00,6.00,1.00,1.00,5.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7363664,4.00,3.00,3.00,5.00,5.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7363672,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7363680,0.00,6.00,4.00,4.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7363699,3.00,7.00,2.00,6.00,6.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7363702,1.00,4.00,2.00,3.00,5.00,5.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7363710,1.00,5.00,1.00,4.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7363729,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7363737,2.00,5.00,3.00,6.00,7.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7363745,1.00,2.00,1.00,3.00,2.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7363753,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7363761,1.00,3.00,0.00,2.00,4.00,7.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7363770,1.00,4.00,3.00,6.00,5.00,6.38,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7363788,0.00,0.00,2.00,6.00,6.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'S'),(28,7363796,5.00,7.00,3.00,5.00,9.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7363800,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7363818,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7363834,0.00,5.00,1.00,2.00,3.00,5.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7363842,1.00,3.00,2.00,2.00,2.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'S'),(28,7363850,2.00,7.00,3.00,4.00,6.00,7.50,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7363869,2.00,4.00,3.00,1.00,4.00,11.63,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7363877,4.00,7.00,2.00,6.00,8.00,7.88,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7363885,7.00,8.00,2.00,6.00,6.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7363893,2.00,6.00,4.00,7.00,8.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7363907,0.00,2.00,1.00,6.00,2.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7363915,3.00,8.00,2.00,6.00,7.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7363923,5.00,6.00,4.00,5.00,7.00,9.38,6.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7363931,0.00,6.00,3.00,6.00,6.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7363940,4.00,6.00,2.00,4.00,4.00,6.75,5.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7363958,2.00,4.00,2.00,6.00,7.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7363974,1.00,5.00,3.00,5.00,4.00,7.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7363990,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7364008,5.00,6.00,4.00,4.00,8.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7364024,4.00,7.00,1.00,5.00,7.00,8.63,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7364032,0.00,4.00,1.00,2.00,3.00,6.75,2.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7364040,1.00,4.00,0.00,3.00,4.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7364059,4.00,6.00,1.00,4.00,8.00,7.50,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7364083,0.00,3.00,0.00,5.00,6.00,6.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7364091,0.00,6.00,0.00,4.00,5.00,9.38,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7364105,7.00,8.00,2.00,7.00,5.00,6.38,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7364113,1.00,6.00,1.00,5.00,5.00,9.75,5.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7364121,3.00,7.00,4.00,7.00,8.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7364130,2.00,6.00,3.00,4.00,6.00,7.13,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7364148,3.00,8.00,1.00,6.00,6.00,10.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7364164,0.00,3.00,2.00,5.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7364172,1.00,4.00,1.00,2.00,4.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7364199,0.00,7.00,1.00,5.00,9.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7364202,0.00,5.00,1.00,6.00,9.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7364210,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7364229,0.00,2.00,2.00,1.00,4.00,3.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7364245,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7364253,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7364261,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7364270,0.00,3.00,1.00,3.00,3.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7364288,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7364300,5.00,6.00,2.00,6.00,7.00,7.50,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7364318,2.00,2.00,3.00,3.00,3.00,5.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7364334,1.00,4.00,2.00,2.00,4.00,6.75,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7364342,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7364350,0.00,1.00,3.00,1.00,3.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'S'),(28,7364369,5.00,7.00,2.00,5.00,7.00,11.25,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7364377,2.00,5.00,3.00,4.00,5.00,6.75,5.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7364385,4.00,5.00,3.00,4.00,5.00,3.00,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7364393,4.00,6.00,1.00,6.00,7.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7364407,0.00,4.00,3.00,5.00,3.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7364415,0.00,5.00,3.00,3.00,5.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7364440,2.00,4.00,0.00,7.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7364458,3.00,5.00,0.00,4.00,8.00,7.50,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7364466,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7364474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7364482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7364490,2.00,5.00,2.00,6.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7364504,0.00,5.00,2.00,1.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7364512,1.00,3.00,1.00,5.00,6.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7364520,0.00,1.00,2.00,3.00,4.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7364539,1.00,4.00,2.00,5.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7364547,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7364555,3.00,5.00,1.00,7.00,8.00,9.00,2.00,5.00,6.00,NULL,NULL,NULL,'S'),(28,7364563,0.00,6.00,1.00,6.00,5.00,8.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7364571,1.00,5.00,3.00,5.00,7.00,7.13,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7364580,4.00,8.00,2.00,7.00,6.00,7.88,0.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7364598,4.00,6.00,2.00,6.00,7.00,9.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7364601,4.00,8.00,2.00,7.00,8.00,12.00,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7364610,5.00,7.00,2.00,6.00,6.00,8.25,2.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7364628,5.00,8.00,2.00,7.00,6.00,9.38,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7364636,3.00,5.00,2.00,6.00,7.00,7.13,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7364644,1.00,5.00,1.00,3.00,3.00,7.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7364652,4.00,6.00,1.00,7.00,8.00,7.13,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7364660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7364679,0.00,6.00,2.00,4.00,3.00,NULL,1.00,5.00,4.00,NULL,NULL,'S','N'),(28,7364687,5.00,6.00,4.00,5.00,8.00,8.63,2.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7364717,2.00,5.00,2.00,5.00,5.00,5.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7364725,1.00,6.00,0.00,6.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7364733,5.00,8.00,2.00,6.00,7.00,11.25,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7364741,1.00,5.00,2.00,5.00,5.00,6.00,2.00,7.00,1.00,NULL,NULL,NULL,'S'),(28,7364750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7364768,0.00,5.00,2.00,2.00,5.00,7.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7364776,5.00,7.00,1.00,7.00,5.00,11.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7364784,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7364814,2.00,3.00,1.00,1.00,2.00,NULL,1.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7364822,3.00,8.00,4.00,7.00,8.00,7.13,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7364830,2.00,6.00,2.00,7.00,8.00,7.13,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7364849,1.00,5.00,3.00,3.00,8.00,8.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7364857,3.00,7.00,3.00,6.00,7.00,7.50,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7364865,7.00,7.00,5.00,7.00,7.00,9.75,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7364873,0.00,5.00,1.00,4.00,6.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7364881,2.00,4.00,1.00,3.00,5.00,7.13,3.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7364890,0.00,4.00,2.00,3.00,3.00,7.50,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7364903,4.00,6.00,1.00,5.00,7.00,6.75,4.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7364911,4.00,8.00,2.00,6.00,8.00,7.13,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7364920,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7364938,4.00,6.00,3.00,5.00,6.00,6.75,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7364946,3.00,7.00,1.00,7.00,10.00,9.75,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7364962,1.00,2.00,2.00,6.00,4.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7364970,2.00,6.00,3.00,7.00,7.00,10.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7364989,0.00,5.00,1.00,5.00,4.00,7.13,0.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7364997,3.00,8.00,3.00,7.00,10.00,9.38,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7365004,1.00,4.00,1.00,3.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7365020,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7365039,4.00,5.00,1.00,6.00,7.00,7.50,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7365055,0.00,0.00,1.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7365063,3.00,6.00,3.00,5.00,7.00,6.38,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7365080,3.00,7.00,3.00,5.00,8.00,6.75,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7365098,3.00,7.00,0.00,6.00,7.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7365101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7365110,4.00,4.00,1.00,5.00,4.00,6.38,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7365128,0.00,4.00,1.00,4.00,5.00,8.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7365136,2.00,6.00,2.00,6.00,8.00,8.63,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7365144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7365152,4.00,6.00,0.00,2.00,3.00,8.63,5.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7365160,2.00,4.00,3.00,4.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7365179,1.00,2.00,3.00,0.00,4.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7365187,1.00,4.00,1.00,2.00,4.00,6.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7365195,0.00,6.00,2.00,5.00,6.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7365225,0.00,5.00,3.00,6.00,5.00,7.88,4.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7365233,1.00,5.00,0.00,4.00,5.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7365241,0.00,3.00,2.00,5.00,3.00,4.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7365250,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7365268,0.00,5.00,1.00,5.00,6.00,10.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7365276,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7365284,2.00,5.00,1.00,7.00,7.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7365292,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7365306,3.00,7.00,5.00,7.00,7.00,9.00,5.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7365314,2.00,5.00,2.00,5.00,6.00,8.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7365330,3.00,5.00,5.00,6.00,5.00,7.13,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7365373,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7365381,0.00,4.00,2.00,5.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7365390,4.00,8.00,2.00,6.00,7.00,7.13,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7365403,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7365411,0.00,3.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7365420,1.00,5.00,2.00,6.00,5.00,8.25,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7365454,3.00,6.00,2.00,3.00,3.00,7.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7365462,1.00,5.00,1.00,7.00,6.00,7.13,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7365489,1.00,4.00,2.00,4.00,5.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7365497,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7365519,1.00,3.00,1.00,5.00,4.00,5.25,3.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7365527,0.00,6.00,2.00,4.00,4.00,NULL,0.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7365535,1.00,4.00,1.00,5.00,4.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7365543,1.00,2.00,1.00,1.00,3.00,9.38,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7365551,4.00,4.00,1.00,7.00,6.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7365560,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7365578,3.00,6.00,3.00,6.00,6.00,9.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7365586,4.00,7.00,1.00,4.00,7.00,6.75,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7365594,3.00,8.00,4.00,7.00,7.00,9.75,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7365608,0.00,5.00,2.00,4.00,6.00,7.13,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7365616,1.00,5.00,3.00,3.00,3.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7365624,6.00,7.00,3.00,6.00,8.00,9.38,4.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7365632,4.00,3.00,1.00,4.00,6.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7365640,2.00,7.00,1.00,3.00,3.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7365659,1.00,6.00,2.00,5.00,3.00,11.25,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7365667,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7365675,3.00,5.00,2.00,5.00,6.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7365683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7365691,0.00,5.00,3.00,4.00,6.00,NULL,4.00,6.00,1.00,NULL,NULL,NULL,'S'),(28,7365705,2.00,4.00,1.00,1.00,2.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7365713,0.00,3.00,3.00,5.00,7.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7365721,3.00,5.00,2.00,4.00,7.00,6.75,6.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7365730,0.00,5.00,1.00,3.00,5.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7365748,7.00,8.00,4.00,7.00,7.00,7.50,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7365756,1.00,5.00,1.00,5.00,6.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7365764,3.00,8.00,3.00,7.00,7.00,11.63,2.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7365772,1.00,3.00,1.00,6.00,6.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7365780,1.00,5.00,1.00,7.00,4.00,8.25,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7365799,3.00,6.00,3.00,6.00,4.00,4.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7365802,2.00,5.00,3.00,7.00,6.00,8.25,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7365810,1.00,7.00,1.00,7.00,7.00,7.88,1.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7365829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7365837,1.00,6.00,2.00,3.00,6.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7365845,2.00,8.00,4.00,7.00,6.00,11.25,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7365853,0.00,4.00,1.00,3.00,4.00,6.38,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7365861,6.00,7.00,4.00,4.00,9.00,7.50,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7365870,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7365888,0.00,2.00,1.00,3.00,5.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7365896,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7365900,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7365918,0.00,8.00,3.00,4.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7365926,1.00,5.00,2.00,4.00,5.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7365942,2.00,7.00,1.00,7.00,6.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7365950,2.00,7.00,3.00,6.00,5.00,6.75,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7365969,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7365977,3.00,4.00,1.00,3.00,7.00,6.75,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7365985,1.00,6.00,2.00,4.00,8.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7365993,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7366000,0.00,3.00,1.00,5.00,3.00,3.00,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7366027,1.00,4.00,1.00,4.00,4.00,7.13,1.00,2.00,4.00,NULL,NULL,NULL,'S'),(28,7366035,1.00,3.00,2.00,3.00,7.00,4.88,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7366043,1.00,3.00,1.00,1.00,2.00,NULL,2.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7366051,2.00,5.00,1.00,3.00,6.00,6.75,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7366060,2.00,6.00,1.00,6.00,5.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7366078,1.00,3.00,1.00,6.00,7.00,7.88,1.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7366086,3.00,4.00,2.00,4.00,5.00,10.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7366094,0.00,4.00,2.00,4.00,4.00,NULL,3.00,3.00,3.00,NULL,NULL,'S','N'),(28,7366108,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7366116,1.00,5.00,2.00,3.00,6.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7366132,4.00,5.00,2.00,6.00,6.00,7.50,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7366140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7366159,2.00,6.00,2.00,7.00,6.00,6.75,0.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7366183,5.00,4.00,3.00,6.00,5.00,8.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7366191,3.00,6.00,1.00,7.00,5.00,10.13,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7366213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7366256,3.00,5.00,1.00,7.00,5.00,5.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7366264,5.00,5.00,1.00,6.00,6.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7366280,4.00,6.00,4.00,5.00,8.00,5.63,4.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7366299,1.00,5.00,2.00,3.00,3.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7366302,3.00,5.00,4.00,5.00,7.00,9.75,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7366310,0.00,5.00,1.00,2.00,3.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7366345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7366353,1.00,5.00,0.00,4.00,7.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7366361,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7366370,4.00,8.00,5.00,6.00,8.00,9.38,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7366388,2.00,8.00,4.00,4.00,7.00,9.38,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7366396,6.00,9.00,6.00,7.00,9.00,7.50,7.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7366426,3.00,6.00,2.00,7.00,6.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7366434,2.00,8.00,2.00,6.00,7.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7366442,1.00,9.00,2.00,7.00,7.00,11.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7366450,3.00,7.00,0.00,6.00,5.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7366469,3.00,4.00,2.00,3.00,6.00,7.50,3.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7366477,3.00,2.00,0.00,4.00,3.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7366485,3.00,5.00,3.00,5.00,6.00,5.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7366493,0.00,5.00,0.00,5.00,4.00,9.00,4.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7366515,3.00,2.00,2.00,2.00,3.00,6.75,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7366523,0.00,5.00,2.00,5.00,4.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7366531,2.00,2.00,2.00,4.00,5.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7366540,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7366558,2.00,5.00,2.00,6.00,3.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7366566,1.00,4.00,0.00,0.00,0.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7366574,1.00,4.00,3.00,1.00,3.00,5.63,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7366582,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7366604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7366612,7.00,6.00,3.00,7.00,4.00,8.25,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7366620,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7366639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7366647,2.00,6.00,1.00,6.00,5.00,11.63,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7366655,5.00,6.00,2.00,4.00,5.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7366663,0.00,5.00,1.00,4.00,6.00,4.50,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7366680,3.00,3.00,1.00,6.00,4.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7366698,6.00,6.00,1.00,7.00,9.00,8.63,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7366701,3.00,6.00,3.00,6.00,3.00,8.25,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7366710,3.00,6.00,1.00,6.00,7.00,9.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7366728,1.00,5.00,1.00,4.00,6.00,7.50,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7366736,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7366744,1.00,6.00,1.00,3.00,1.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7366760,1.00,3.00,1.00,7.00,5.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7366779,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7366787,3.00,6.00,6.00,5.00,3.00,10.50,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7366809,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7366817,2.00,6.00,2.00,6.00,7.00,9.00,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7366833,1.00,5.00,3.00,3.00,6.00,9.38,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7366841,5.00,8.00,1.00,7.00,9.00,10.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7366850,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7366868,0.00,3.00,2.00,3.00,3.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7366876,1.00,4.00,2.00,7.00,7.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7366884,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7366906,0.00,3.00,0.00,2.00,4.00,7.13,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7366914,3.00,7.00,1.00,4.00,6.00,8.25,3.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7366922,1.00,5.00,2.00,2.00,2.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7366949,3.00,7.00,3.00,6.00,7.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7366957,0.00,3.00,3.00,1.00,5.00,NULL,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7366965,1.00,5.00,3.00,4.00,4.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7366973,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7366981,0.00,3.00,1.00,2.00,3.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7366990,0.00,5.00,0.00,8.00,3.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7367007,3.00,6.00,2.00,6.00,5.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(28,7367015,2.00,5.00,1.00,3.00,3.00,7.88,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7367023,1.00,3.00,2.00,1.00,4.00,4.88,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7367031,3.00,4.00,0.00,3.00,1.00,NULL,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7367040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7367058,0.00,4.00,1.00,4.00,4.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7367066,3.00,4.00,2.00,3.00,4.00,NULL,5.00,6.00,4.00,NULL,NULL,'S','N'),(28,7367074,0.00,2.00,2.00,3.00,4.00,NULL,0.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7367082,5.00,6.00,2.00,5.00,6.00,9.00,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7367090,0.00,0.00,3.00,3.00,2.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7367120,2.00,7.00,1.00,6.00,6.00,9.75,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7367139,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7367155,0.00,4.00,2.00,0.00,3.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7367163,0.00,5.00,1.00,4.00,3.00,7.88,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7367171,1.00,3.00,0.00,3.00,5.00,7.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7367180,0.00,3.00,0.00,3.00,3.00,10.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7367198,2.00,4.00,2.00,5.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7367201,2.00,2.00,3.00,2.00,3.00,0.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7367210,3.00,6.00,1.00,4.00,3.00,5.63,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7367228,1.00,2.00,5.00,4.00,5.00,5.25,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7367236,2.00,5.00,1.00,6.00,4.00,6.75,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7367244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7367252,3.00,8.00,6.00,7.00,6.00,7.88,6.00,8.00,8.00,NULL,NULL,NULL,'N'),(28,7367260,2.00,8.00,1.00,6.00,7.00,9.38,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7367279,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7367287,0.00,3.00,2.00,6.00,3.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7367295,3.00,6.00,2.00,6.00,8.00,8.25,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(28,7367309,4.00,0.00,2.00,4.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7367317,5.00,7.00,2.00,4.00,5.00,5.63,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7367325,0.00,6.00,3.00,3.00,2.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7367341,1.00,7.00,2.00,7.00,4.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7367350,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7367368,0.00,5.00,2.00,4.00,5.00,9.38,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7367376,0.00,5.00,2.00,6.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7367384,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7367406,1.00,7.00,1.00,5.00,4.00,10.50,1.00,8.00,2.00,NULL,NULL,NULL,'S'),(28,7367414,3.00,3.00,1.00,6.00,4.00,4.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7367422,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7367449,0.00,7.00,3.00,5.00,6.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7367457,0.00,4.00,0.00,0.00,0.00,NULL,2.00,2.00,1.00,'S',NULL,NULL,'N'),(28,7367465,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7367473,2.00,3.00,3.00,1.00,4.00,7.50,2.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7367481,2.00,5.00,1.00,6.00,5.00,7.88,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7367490,5.00,8.00,5.00,7.00,8.00,5.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7367503,2.00,4.00,2.00,5.00,4.00,8.25,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7367511,0.00,5.00,5.00,4.00,5.00,11.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7367538,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7367554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7367562,2.00,6.00,3.00,6.00,7.00,9.38,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7367570,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7367589,1.00,3.00,3.00,1.00,3.00,7.13,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7367597,3.00,6.00,1.00,7.00,6.00,4.50,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7367600,7.00,7.00,3.00,6.00,7.00,9.38,6.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7367627,0.00,7.00,0.00,0.00,0.00,NULL,2.00,4.00,1.00,'S',NULL,NULL,'N'),(28,7367635,4.00,5.00,2.00,5.00,4.00,6.75,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7367643,5.00,6.00,3.00,7.00,8.00,9.75,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7367651,1.00,4.00,1.00,2.00,4.00,4.88,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7367660,5.00,7.00,2.00,7.00,9.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7367678,0.00,1.00,2.00,4.00,6.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7367686,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7367694,0.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7367708,0.00,1.00,2.00,5.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7367724,0.00,4.00,2.00,4.00,6.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7367732,1.00,3.00,4.00,7.00,5.00,10.13,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7367740,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7367759,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7367767,0.00,5.00,1.00,6.00,1.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7367775,0.00,6.00,2.00,3.00,3.00,4.50,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7367783,0.00,5.00,2.00,5.00,3.00,6.00,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7367791,1.00,6.00,4.00,7.00,5.00,10.88,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7367805,3.00,5.00,3.00,4.00,6.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7367813,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7367821,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7367830,6.00,6.00,4.00,6.00,9.00,7.50,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7367848,4.00,8.00,0.00,7.00,7.00,9.00,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7367856,0.00,3.00,1.00,2.00,2.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7367872,1.00,5.00,1.00,5.00,5.00,10.88,2.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7367899,1.00,3.00,1.00,6.00,3.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7367902,4.00,6.00,2.00,5.00,5.00,9.38,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7367910,0.00,0.00,3.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'S'),(28,7367929,1.00,3.00,0.00,2.00,3.00,5.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7367937,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7367945,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7367953,0.00,5.00,0.00,4.00,6.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7367961,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7367970,2.00,5.00,3.00,7.00,6.00,7.13,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7367988,1.00,3.00,1.00,4.00,8.00,6.75,1.00,1.00,4.00,NULL,NULL,NULL,'N'),(28,7367996,1.00,5.00,2.00,6.00,4.00,6.00,2.00,4.00,0.00,NULL,NULL,NULL,'S'),(28,7368003,2.00,4.00,1.00,5.00,6.00,12.38,5.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7368011,2.00,5.00,2.00,5.00,4.00,6.38,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7368020,4.00,6.00,4.00,3.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7368038,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7368046,1.00,3.00,1.00,2.00,1.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7368054,2.00,7.00,3.00,6.00,6.00,7.88,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7368062,0.00,3.00,3.00,3.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7368070,0.00,2.00,0.00,1.00,1.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7368089,0.00,4.00,1.00,6.00,1.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7368097,2.00,5.00,2.00,4.00,4.00,6.00,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7368100,2.00,7.00,2.00,6.00,7.00,9.38,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7368127,1.00,5.00,1.00,5.00,4.00,7.88,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7368135,1.00,4.00,2.00,3.00,3.00,7.13,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7368143,5.00,8.00,2.00,6.00,9.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7368151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7368178,5.00,6.00,2.00,6.00,5.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7368186,2.00,6.00,2.00,6.00,6.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'S'),(28,7368194,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7368208,1.00,4.00,0.00,4.00,6.00,NULL,0.00,1.00,2.00,NULL,NULL,'S','S'),(28,7368216,3.00,5.00,3.00,7.00,5.00,8.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7368224,4.00,6.00,3.00,6.00,7.00,6.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7368232,1.00,6.00,2.00,5.00,3.00,9.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7368240,1.00,1.00,1.00,2.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7368259,5.00,8.00,6.00,6.00,8.00,10.88,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7368267,2.00,4.00,3.00,6.00,6.00,7.88,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7368275,1.00,3.00,2.00,2.00,4.00,6.38,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7368283,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7368291,1.00,2.00,0.00,1.00,2.00,NULL,0.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7368305,0.00,3.00,1.00,2.00,2.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7368313,5.00,8.00,2.00,5.00,9.00,9.00,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7368321,4.00,5.00,3.00,5.00,8.00,8.25,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7368330,1.00,6.00,1.00,6.00,4.00,10.88,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7368348,2.00,4.00,3.00,6.00,5.00,6.38,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7368356,3.00,7.00,2.00,8.00,4.00,8.63,4.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7368372,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7368380,1.00,5.00,2.00,3.00,6.00,6.00,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7368399,1.00,5.00,1.00,5.00,4.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7368402,7.00,7.00,1.00,8.00,7.00,8.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7368410,0.00,2.00,3.00,4.00,4.00,6.75,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7368429,6.00,7.00,2.00,7.00,4.00,8.63,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7368437,4.00,6.00,4.00,6.00,9.00,8.25,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7368445,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7368453,7.00,7.00,4.00,5.00,7.00,9.75,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7368461,0.00,5.00,2.00,4.00,2.00,NULL,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7368470,1.00,0.00,0.00,3.00,4.00,6.75,4.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7368488,0.00,2.00,2.00,0.00,3.00,6.00,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7368496,1.00,0.00,2.00,2.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7368500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7368518,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7368526,4.00,8.00,3.00,7.00,8.00,7.50,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7368534,4.00,4.00,3.00,6.00,4.00,8.25,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7368542,3.00,8.00,2.00,7.00,6.00,0.00,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7368550,1.00,4.00,1.00,8.00,7.00,9.75,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7368569,1.00,3.00,2.00,5.00,4.00,8.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7368577,1.00,4.00,2.00,1.00,2.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7368585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7368593,2.00,5.00,2.00,7.00,8.00,9.75,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7368607,3.00,7.00,2.00,6.00,9.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7368615,6.00,7.00,5.00,6.00,7.00,12.00,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7368623,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7368640,0.00,4.00,1.00,1.00,3.00,6.38,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7368658,1.00,2.00,1.00,2.00,5.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7368666,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7368712,0.00,0.00,2.00,5.00,5.00,11.25,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7368720,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7368739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7368747,1.00,3.00,1.00,5.00,3.00,4.50,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7368755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7368763,5.00,6.00,2.00,7.00,9.00,11.25,4.00,8.00,2.00,NULL,NULL,NULL,'N'),(28,7368771,6.00,7.00,3.00,7.00,9.00,9.75,5.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7368780,0.00,5.00,5.00,5.00,6.00,6.38,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7368798,2.00,5.00,2.00,4.00,6.00,6.38,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7368810,0.00,6.00,3.00,4.00,5.00,8.25,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7368836,7.00,7.00,1.00,7.00,9.00,7.13,7.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7368844,2.00,4.00,1.00,3.00,1.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7368852,2.00,4.00,1.00,2.00,7.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7368860,0.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7368879,3.00,6.00,1.00,5.00,6.00,7.88,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7368887,5.00,7.00,4.00,7.00,8.00,10.13,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7368895,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7368909,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7368933,3.00,5.00,2.00,4.00,7.00,7.88,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7368941,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7368950,5.00,6.00,3.00,4.00,4.00,9.75,4.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7368968,4.00,6.00,3.00,6.00,2.00,NULL,0.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7368976,0.00,4.00,3.00,5.00,3.00,NULL,0.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7368984,4.00,7.00,2.00,2.00,6.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7369000,3.00,5.00,2.00,6.00,6.00,10.88,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7369018,0.00,4.00,2.00,3.00,3.00,5.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7369026,3.00,4.00,1.00,3.00,3.00,5.63,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7369034,0.00,6.00,0.00,0.00,0.00,NULL,2.00,3.00,1.00,'S',NULL,NULL,'N'),(28,7369042,1.00,0.00,2.00,7.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7369069,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7369085,1.00,0.00,1.00,1.00,0.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7369093,2.00,5.00,0.00,7.00,3.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7369123,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7369131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7369140,1.00,7.00,4.00,7.00,7.00,7.50,0.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7369158,0.00,3.00,2.00,4.00,2.00,NULL,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7369174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7369182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7369204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7369239,4.00,8.00,2.00,7.00,8.00,7.88,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7369247,1.00,5.00,3.00,6.00,5.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7369255,2.00,6.00,2.00,6.00,7.00,7.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7369263,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7369271,1.00,3.00,2.00,1.00,3.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7369280,0.00,7.00,3.00,7.00,6.00,10.13,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7369298,2.00,0.00,3.00,4.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7369301,0.00,2.00,0.00,0.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7369328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7369336,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7369344,0.00,4.00,0.00,2.00,4.00,7.50,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7369352,3.00,5.00,3.00,6.00,3.00,11.63,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7369360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7369379,5.00,6.00,2.00,5.00,7.00,6.00,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7369387,2.00,9.00,5.00,7.00,5.00,8.25,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7369395,3.00,4.00,1.00,6.00,5.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7369425,4.00,7.00,3.00,6.00,9.00,10.88,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7369433,1.00,7.00,0.00,3.00,2.00,NULL,1.00,5.00,3.00,NULL,NULL,'S','N'),(28,7369441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7369450,1.00,4.00,3.00,3.00,3.00,4.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7369468,0.00,4.00,1.00,2.00,4.00,6.75,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7369476,1.00,5.00,3.00,4.00,4.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7369484,5.00,5.00,1.00,4.00,6.00,7.88,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7369492,5.00,8.00,2.00,7.00,9.00,8.25,4.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7369506,4.00,7.00,0.00,6.00,8.00,9.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7369522,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7369549,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7369557,1.00,6.00,2.00,2.00,6.00,7.13,3.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7369565,2.00,4.00,2.00,2.00,2.00,NULL,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7369581,3.00,5.00,3.00,7.00,5.00,7.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7369590,1.00,3.00,2.00,4.00,4.00,6.00,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7369603,2.00,5.00,2.00,6.00,5.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7369611,0.00,4.00,3.00,1.00,7.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7369638,2.00,8.00,2.00,6.00,7.00,9.75,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7369646,2.00,4.00,3.00,7.00,7.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7369654,4.00,6.00,3.00,7.00,10.00,10.13,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7369662,1.00,8.00,1.00,6.00,6.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7369670,0.00,3.00,1.00,2.00,3.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7369689,0.00,3.00,2.00,1.00,4.00,NULL,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7369700,2.00,2.00,2.00,5.00,6.00,9.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7369719,5.00,6.00,2.00,5.00,3.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7369727,1.00,6.00,3.00,4.00,5.00,7.13,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7369735,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7369743,0.00,7.00,3.00,4.00,2.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7369751,0.00,3.00,1.00,5.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7369760,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7369786,1.00,2.00,1.00,2.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7369794,3.00,5.00,3.00,5.00,6.00,4.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7369816,1.00,6.00,2.00,3.00,4.00,5.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7369824,1.00,2.00,0.00,3.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7369832,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7369840,1.00,7.00,1.00,7.00,6.00,10.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7369867,0.00,4.00,1.00,3.00,4.00,4.50,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7369875,0.00,4.00,2.00,5.00,3.00,5.25,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7369891,1.00,6.00,3.00,2.00,6.00,4.88,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7369905,0.00,5.00,2.00,1.00,4.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7369913,5.00,5.00,2.00,5.00,6.00,8.25,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7369921,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7369948,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7369964,3.00,5.00,2.00,7.00,5.00,9.38,3.00,4.00,3.00,NULL,NULL,NULL,'S'),(28,7369972,1.00,6.00,0.00,4.00,3.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7369980,1.00,2.00,1.00,5.00,6.00,4.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7369999,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370008,0.00,4.00,1.00,2.00,3.00,7.88,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7370016,4.00,8.00,1.00,7.00,6.00,11.25,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7370024,0.00,5.00,2.00,3.00,3.00,5.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7370032,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370040,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370067,0.00,4.00,4.00,4.00,4.00,NULL,2.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7370075,2.00,5.00,2.00,7.00,6.00,6.38,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7370091,4.00,9.00,3.00,7.00,8.00,8.25,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7370105,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370113,1.00,6.00,1.00,3.00,5.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7370121,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370148,5.00,6.00,3.00,7.00,8.00,7.88,3.00,8.00,5.00,NULL,NULL,NULL,'N'),(28,7370156,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370164,1.00,4.00,1.00,6.00,5.00,8.63,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7370172,5.00,5.00,2.00,6.00,5.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7370180,4.00,4.00,3.00,2.00,4.00,4.50,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7370202,1.00,3.00,0.00,2.00,6.00,6.38,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7370229,4.00,4.00,1.00,7.00,8.00,7.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7370237,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370245,0.00,3.00,1.00,4.00,5.00,7.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7370296,2.00,7.00,3.00,5.00,6.00,7.88,6.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7370326,1.00,7.00,1.00,6.00,3.00,8.63,1.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7370334,3.00,5.00,3.00,5.00,8.00,9.00,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7370342,1.00,4.00,0.00,2.00,3.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7370350,3.00,8.00,2.00,4.00,4.00,7.88,3.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7370369,2.00,5.00,3.00,7.00,5.00,8.25,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7370377,4.00,7.00,2.00,7.00,6.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7370393,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370407,1.00,3.00,2.00,5.00,5.00,6.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7370423,0.00,5.00,1.00,7.00,4.00,NULL,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7370431,3.00,3.00,0.00,6.00,6.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7370440,4.00,8.00,2.00,6.00,7.00,8.63,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7370458,3.00,6.00,1.00,5.00,1.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7370466,1.00,3.00,3.00,5.00,4.00,4.50,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7370474,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370482,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370490,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370504,4.00,5.00,2.00,2.00,5.00,7.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7370512,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370520,2.00,3.00,1.00,3.00,4.00,9.38,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7370539,1.00,4.00,2.00,2.00,3.00,9.00,1.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7370547,7.00,8.00,3.00,7.00,8.00,9.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7370555,4.00,7.00,2.00,7.00,9.00,10.88,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7370571,1.00,2.00,3.00,4.00,4.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7370580,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370598,3.00,5.00,0.00,5.00,3.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7370601,3.00,7.00,1.00,4.00,6.00,9.38,6.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7370610,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370628,1.00,7.00,4.00,4.00,7.00,4.88,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7370636,0.00,4.00,1.00,3.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7370644,0.00,2.00,2.00,6.00,3.00,NULL,3.00,5.00,1.00,NULL,NULL,'S','N'),(28,7370652,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370660,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370687,1.00,7.00,4.00,6.00,9.00,12.75,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7370695,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370709,0.00,0.00,2.00,7.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7370717,0.00,2.00,2.00,4.00,5.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7370725,0.00,5.00,3.00,6.00,5.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7370741,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7370750,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370768,0.00,4.00,3.00,5.00,3.00,5.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7370776,3.00,4.00,1.00,6.00,4.00,7.13,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7370784,2.00,5.00,1.00,7.00,6.00,8.63,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7370806,0.00,4.00,5.00,3.00,5.00,4.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7370814,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370822,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370830,0.00,2.00,1.00,3.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7370849,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370857,1.00,4.00,5.00,4.00,3.00,8.25,0.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7370873,2.00,2.00,1.00,3.00,3.00,6.75,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7370881,1.00,5.00,1.00,8.00,5.00,9.00,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7370903,0.00,4.00,1.00,4.00,3.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7370920,1.00,5.00,1.00,7.00,5.00,4.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7370938,1.00,7.00,3.00,7.00,6.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7370962,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7370989,0.00,2.00,2.00,4.00,5.00,6.00,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7370997,2.00,5.00,3.00,3.00,2.00,NULL,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7371012,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7371039,0.00,4.00,1.00,7.00,7.00,NULL,2.00,4.00,2.00,NULL,NULL,'S','S'),(28,7371047,3.00,8.00,1.00,6.00,4.00,9.75,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7371055,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7371063,2.00,3.00,2.00,7.00,8.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7371071,0.00,4.00,1.00,5.00,4.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7371098,0.00,4.00,0.00,6.00,6.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7371101,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7371110,4.00,5.00,2.00,6.00,5.00,8.25,1.00,3.00,5.00,NULL,NULL,NULL,'S'),(28,7371128,0.00,4.00,2.00,5.00,1.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7371136,1.00,1.00,2.00,4.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7371144,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7371152,1.00,7.00,0.00,3.00,7.00,6.00,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7371160,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7371179,0.00,5.00,2.00,2.00,3.00,5.63,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7371217,4.00,6.00,2.00,3.00,7.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7371225,2.00,3.00,0.00,5.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7371233,5.00,6.00,1.00,6.00,5.00,6.00,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7371241,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7371250,2.00,5.00,0.00,4.00,4.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7371268,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7371276,0.00,4.00,3.00,6.00,5.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7371306,7.00,8.00,4.00,7.00,10.00,6.38,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7371314,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7371322,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7371330,1.00,3.00,4.00,4.00,4.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7371349,3.00,7.00,2.00,7.00,6.00,11.63,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7371357,1.00,6.00,0.00,5.00,4.00,6.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7371365,6.00,5.00,3.00,7.00,8.00,7.88,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7371373,4.00,8.00,0.00,6.00,4.00,7.50,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7371390,5.00,7.00,1.00,7.00,7.00,13.50,1.00,7.00,4.00,NULL,NULL,NULL,'S'),(28,7371403,5.00,7.00,3.00,6.00,6.00,10.88,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7371411,1.00,7.00,4.00,6.00,7.00,9.00,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7371438,0.00,5.00,2.00,5.00,4.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7371446,6.00,7.00,2.00,5.00,9.00,7.50,5.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7371454,2.00,3.00,1.00,4.00,4.00,0.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7371462,4.00,6.00,2.00,5.00,7.00,7.88,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7371470,4.00,7.00,4.00,5.00,9.00,9.38,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7371497,1.00,1.00,0.00,1.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7371500,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7371519,1.00,7.00,2.00,5.00,6.00,8.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7371527,4.00,5.00,1.00,6.00,5.00,7.50,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7371578,0.00,4.00,0.00,1.00,5.00,5.25,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7371586,1.00,6.00,1.00,4.00,4.00,6.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7371608,2.00,4.00,1.00,5.00,6.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7371616,3.00,4.00,2.00,3.00,7.00,8.63,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7371624,1.00,8.00,4.00,4.00,4.00,10.13,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7371632,3.00,6.00,2.00,4.00,6.00,9.00,3.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7371640,0.00,3.00,2.00,2.00,4.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7371659,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7371667,3.00,7.00,1.00,5.00,5.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7371683,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7371691,0.00,3.00,0.00,6.00,4.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7371705,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7371713,0.00,4.00,2.00,2.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7371721,4.00,6.00,4.00,7.00,9.00,10.13,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7371748,1.00,2.00,2.00,1.00,2.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7371764,3.00,6.00,1.00,7.00,6.00,10.88,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7371772,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7371780,0.00,5.00,1.00,5.00,5.00,7.50,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7371799,0.00,3.00,3.00,1.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7371802,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7371810,1.00,3.00,3.00,2.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7371829,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7371845,4.00,6.00,2.00,4.00,9.00,11.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7371853,0.00,4.00,2.00,4.00,3.00,NULL,1.00,3.00,3.00,NULL,NULL,'S','N'),(28,7371861,6.00,8.00,7.00,7.00,9.00,12.00,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7371870,1.00,3.00,3.00,2.00,6.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7371888,2.00,5.00,0.00,7.00,6.00,7.88,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7371896,2.00,3.00,2.00,3.00,4.00,4.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7371918,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7371926,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7371942,0.00,3.00,2.00,2.00,4.00,8.25,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7371950,2.00,0.00,1.00,6.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7371969,2.00,8.00,4.00,1.00,7.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7371985,1.00,5.00,1.00,4.00,5.00,6.75,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7372000,0.00,3.00,2.00,4.00,3.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7372019,1.00,0.00,2.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7372027,0.00,5.00,1.00,1.00,3.00,5.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7372043,6.00,7.00,1.00,6.00,8.00,7.50,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7372051,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7372078,1.00,7.00,0.00,6.00,7.00,6.75,2.00,6.00,3.00,NULL,NULL,NULL,'S'),(28,7372086,1.00,4.00,2.00,3.00,5.00,7.13,0.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7372108,4.00,7.00,3.00,7.00,5.00,7.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7372124,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7372132,3.00,6.00,4.00,6.00,7.00,6.75,5.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7372159,4.00,3.00,2.00,6.00,3.00,4.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7372167,4.00,5.00,2.00,6.00,7.00,6.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7372175,4.00,8.00,3.00,6.00,11.00,10.50,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7372191,1.00,3.00,1.00,4.00,3.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7372205,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7372213,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7372248,3.00,8.00,3.00,8.00,9.00,8.63,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7372256,0.00,4.00,2.00,5.00,2.00,NULL,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7372264,3.00,7.00,4.00,7.00,10.00,11.63,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7372280,2.00,7.00,1.00,4.00,5.00,8.63,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7372302,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7372329,2.00,6.00,0.00,6.00,4.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7372345,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7372353,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7372370,0.00,1.00,2.00,4.00,2.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'S'),(28,7372388,3.00,4.00,1.00,4.00,6.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7372396,3.00,8.00,4.00,4.00,5.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7372400,0.00,6.00,2.00,6.00,5.00,7.13,3.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7372418,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7372426,0.00,0.00,2.00,3.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7372442,1.00,6.00,1.00,5.00,5.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7372450,2.00,6.00,2.00,7.00,8.00,9.00,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7372469,5.00,8.00,2.00,7.00,5.00,8.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7372485,0.00,5.00,2.00,3.00,6.00,NULL,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7372493,0.00,2.00,1.00,5.00,4.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7372507,2.00,7.00,1.00,8.00,8.00,7.88,4.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7372523,2.00,7.00,2.00,3.00,9.00,7.50,6.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7372558,3.00,4.00,1.00,5.00,3.00,4.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7372590,1.00,2.00,1.00,2.00,4.00,5.63,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7372604,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7372639,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7372647,1.00,8.00,1.00,6.00,3.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7372663,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7372671,3.00,6.00,0.00,6.00,5.00,7.50,1.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7372698,3.00,2.00,1.00,1.00,6.00,NULL,2.00,3.00,1.00,NULL,NULL,'S','N'),(28,7372701,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7372710,6.00,5.00,3.00,5.00,7.00,6.00,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7372728,4.00,8.00,1.00,7.00,5.00,6.00,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7372736,3.00,7.00,3.00,6.00,5.00,7.88,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7372744,0.00,3.00,1.00,3.00,1.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7372760,3.00,6.00,1.00,7.00,8.00,10.13,2.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7372779,0.00,6.00,2.00,6.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7372787,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7372809,4.00,5.00,1.00,6.00,7.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7372817,0.00,4.00,1.00,2.00,3.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7372833,3.00,1.00,2.00,1.00,3.00,NULL,2.00,2.00,2.00,NULL,NULL,'S','S'),(28,7372841,1.00,1.00,3.00,1.00,3.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7372850,2.00,8.00,1.00,6.00,6.00,8.25,2.00,4.00,4.00,NULL,NULL,NULL,'S'),(28,7372868,0.00,6.00,0.00,0.00,0.00,NULL,5.00,3.00,2.00,'S',NULL,NULL,'N'),(28,7372876,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7372892,1.00,5.00,0.00,6.00,5.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7372906,2.00,6.00,1.00,3.00,7.00,10.13,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7372914,0.00,7.00,1.00,7.00,6.00,8.63,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7372922,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7372930,3.00,6.00,4.00,5.00,6.00,7.13,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7372949,1.00,4.00,0.00,2.00,3.00,6.75,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7372957,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7372965,1.00,3.00,1.00,5.00,3.00,8.25,4.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7372973,3.00,4.00,2.00,1.00,4.00,8.63,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7372990,0.00,4.00,1.00,3.00,3.00,NULL,0.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7373015,2.00,3.00,3.00,5.00,2.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7373023,2.00,6.00,0.00,2.00,4.00,10.50,0.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7373040,4.00,7.00,4.00,6.00,8.00,9.38,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7373058,0.00,3.00,1.00,5.00,3.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7373066,1.00,8.00,4.00,7.00,8.00,9.38,1.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7373090,0.00,7.00,3.00,6.00,7.00,8.63,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7373112,5.00,7.00,2.00,5.00,4.00,8.63,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7373120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7373139,0.00,0.00,1.00,2.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7373147,0.00,4.00,1.00,2.00,5.00,9.75,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7373155,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7373163,1.00,5.00,3.00,4.00,4.00,5.63,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7373171,5.00,5.00,3.00,7.00,9.00,8.63,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7373180,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7373198,1.00,1.00,4.00,4.00,4.00,5.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7373201,1.00,1.00,1.00,3.00,5.00,NULL,0.00,1.00,0.00,NULL,NULL,NULL,'N'),(28,7373228,0.00,5.00,2.00,5.00,5.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7373236,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7373244,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7373252,2.00,6.00,2.00,7.00,5.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7373260,8.00,8.00,5.00,3.00,5.00,9.00,5.00,5.00,7.00,NULL,NULL,NULL,'N'),(28,7373287,1.00,4.00,1.00,6.00,4.00,7.13,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7373295,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7373317,2.00,6.00,2.00,7.00,5.00,7.13,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7373333,3.00,6.00,3.00,8.00,11.00,8.63,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7373341,1.00,5.00,3.00,4.00,4.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7373368,0.00,3.00,2.00,2.00,6.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7373384,1.00,5.00,1.00,7.00,9.00,9.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7373392,0.00,4.00,3.00,7.00,1.00,NULL,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7373414,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7373422,4.00,7.00,2.00,7.00,8.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7373430,3.00,5.00,2.00,6.00,4.00,7.88,2.00,4.00,0.00,NULL,NULL,NULL,'S'),(28,7373449,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7373457,0.00,4.00,1.00,3.00,1.00,NULL,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7373465,2.00,7.00,2.00,4.00,4.00,8.63,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7373473,2.00,6.00,1.00,6.00,8.00,9.38,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7373481,2.00,3.00,0.00,4.00,4.00,4.50,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7373503,1.00,4.00,1.00,5.00,3.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7373520,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7373538,2.00,6.00,2.00,5.00,6.00,5.25,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7373546,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7373554,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7373562,4.00,6.00,2.00,5.00,3.00,6.75,2.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7373570,4.00,4.00,2.00,6.00,8.00,5.25,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7373589,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7373597,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7373600,0.00,3.00,0.00,3.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7373627,4.00,7.00,2.00,7.00,7.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7373643,2.00,6.00,4.00,4.00,3.00,8.25,7.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7373660,0.00,2.00,2.00,2.00,5.00,NULL,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7373678,0.00,3.00,1.00,1.00,4.00,NULL,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7373694,1.00,3.00,5.00,6.00,4.00,4.88,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7373708,2.00,6.00,1.00,5.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7373716,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7373732,2.00,4.00,0.00,4.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7373740,1.00,3.00,1.00,3.00,5.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7373759,1.00,3.00,1.00,3.00,2.00,NULL,2.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7373767,0.00,7.00,1.00,4.00,5.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7373775,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7373783,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7373791,6.00,8.00,4.00,7.00,9.00,8.25,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7373805,2.00,5.00,1.00,5.00,4.00,8.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7373813,2.00,7.00,1.00,8.00,7.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7373821,3.00,6.00,1.00,3.00,6.00,8.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7373830,7.00,5.00,3.00,5.00,7.00,7.88,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7373848,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7373864,3.00,7.00,2.00,5.00,4.00,8.25,1.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7373899,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7373902,0.00,0.00,3.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7373910,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7373929,1.00,4.00,1.00,6.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7373937,2.00,2.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7373945,1.00,4.00,0.00,1.00,3.00,5.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7373961,5.00,0.00,3.00,7.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7373970,1.00,4.00,1.00,3.00,5.00,7.13,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7373988,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7374003,0.00,5.00,2.00,5.00,4.00,6.00,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7374011,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7374038,0.00,3.00,2.00,6.00,4.00,6.38,2.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7374046,3.00,8.00,6.00,4.00,8.00,10.88,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7374054,4.00,8.00,2.00,6.00,3.00,7.13,4.00,7.00,6.00,NULL,NULL,NULL,'S'),(28,7374070,1.00,4.00,3.00,1.00,5.00,7.88,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7374100,3.00,8.00,0.00,7.00,9.00,11.25,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7374119,2.00,0.00,2.00,0.00,1.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7374127,4.00,7.00,2.00,6.00,6.00,8.25,3.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7374135,1.00,5.00,3.00,7.00,4.00,6.00,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7374151,0.00,7.00,2.00,5.00,3.00,0.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7374160,1.00,6.00,1.00,6.00,6.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7374186,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7374216,0.00,2.00,0.00,0.00,0.00,NULL,2.00,1.00,5.00,NULL,NULL,NULL,'N'),(28,7374224,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7374232,0.00,4.00,0.00,1.00,5.00,NULL,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7374259,0.00,1.00,2.00,1.00,3.00,NULL,1.00,1.00,1.00,NULL,NULL,'S','N'),(28,7374267,6.00,6.00,2.00,6.00,7.00,10.13,5.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7374275,4.00,6.00,2.00,7.00,7.00,11.25,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7374283,0.00,7.00,1.00,3.00,3.00,10.50,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7374291,3.00,8.00,2.00,5.00,5.00,7.13,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7374305,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7374313,0.00,8.00,2.00,6.00,5.00,7.88,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7374330,1.00,4.00,0.00,7.00,5.00,6.38,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7374348,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7374356,0.00,1.00,3.00,0.00,5.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7374364,0.00,6.00,1.00,3.00,4.00,4.88,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7374380,1.00,4.00,1.00,6.00,5.00,4.88,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7374399,2.00,5.00,2.00,5.00,6.00,9.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7374402,1.00,3.00,2.00,5.00,6.00,8.63,0.00,1.00,2.00,NULL,NULL,NULL,'S'),(28,7374429,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7374437,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7374461,2.00,8.00,3.00,6.00,5.00,7.50,1.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7374488,6.00,8.00,4.00,7.00,5.00,8.25,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7374496,0.00,4.00,1.00,3.00,4.00,3.00,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7374500,3.00,8.00,4.00,8.00,9.00,10.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7374518,0.00,4.00,1.00,5.00,4.00,7.13,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7374526,5.00,6.00,3.00,6.00,6.00,8.25,3.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7374534,1.00,8.00,2.00,6.00,1.00,NULL,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7374542,1.00,5.00,3.00,6.00,6.00,6.38,0.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7374585,1.00,6.00,0.00,6.00,9.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7374593,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7374607,2.00,4.00,1.00,3.00,4.00,5.25,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7374615,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7374623,3.00,7.00,2.00,7.00,4.00,8.25,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7374640,0.00,6.00,1.00,3.00,4.00,11.63,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7374682,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7374690,2.00,3.00,4.00,5.00,2.00,NULL,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7374704,3.00,5.00,1.00,5.00,4.00,10.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7374712,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7374739,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7374747,3.00,6.00,2.00,7.00,6.00,6.00,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7374755,0.00,0.00,3.00,6.00,1.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7374763,0.00,1.00,3.00,0.00,4.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7374771,4.00,7.00,0.00,5.00,6.00,10.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7374780,2.00,7.00,0.00,7.00,7.00,8.25,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7374798,5.00,4.00,4.00,6.00,5.00,9.00,6.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7374801,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7374810,1.00,4.00,1.00,5.00,6.00,10.13,0.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7374828,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7374836,2.00,6.00,4.00,5.00,3.00,5.25,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7374844,5.00,7.00,2.00,7.00,8.00,NULL,5.00,7.00,7.00,NULL,NULL,'S','N'),(28,7374852,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7374860,7.00,8.00,4.00,6.00,6.00,7.50,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7374879,3.00,5.00,3.00,5.00,2.00,NULL,1.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7374887,1.00,6.00,1.00,5.00,6.00,NULL,0.00,6.00,5.00,NULL,NULL,NULL,'S'),(28,7374895,1.00,4.00,1.00,2.00,6.00,7.13,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7374917,1.00,6.00,0.00,3.00,2.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7374933,0.00,5.00,1.00,3.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7374941,0.00,4.00,1.00,7.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7374950,2.00,6.00,1.00,7.00,3.00,12.00,3.00,5.00,4.00,NULL,NULL,NULL,'S'),(28,7374976,1.00,2.00,1.00,6.00,6.00,8.63,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7374992,2.00,7.00,0.00,4.00,6.00,8.63,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7375000,0.00,4.00,2.00,5.00,4.00,6.00,0.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7375018,3.00,7.00,2.00,5.00,5.00,8.63,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7375026,0.00,4.00,1.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7375034,2.00,5.00,2.00,6.00,7.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7375042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375050,0.00,0.00,2.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7375093,3.00,5.00,2.00,6.00,6.00,11.25,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7375107,4.00,5.00,1.00,7.00,7.00,4.88,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7375123,2.00,3.00,2.00,5.00,4.00,6.00,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7375131,1.00,7.00,2.00,7.00,8.00,9.38,2.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7375140,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7375158,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375166,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375174,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375190,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375204,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375212,2.00,5.00,4.00,4.00,4.00,6.75,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7375220,2.00,2.00,2.00,5.00,5.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7375239,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375247,4.00,7.00,1.00,7.00,7.00,7.50,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7375255,1.00,4.00,1.00,5.00,4.00,7.50,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7375263,1.00,3.00,3.00,5.00,4.00,7.50,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7375271,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375298,2.00,4.00,2.00,7.00,6.00,9.75,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7375310,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375328,3.00,6.00,3.00,7.00,4.00,7.88,1.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7375336,2.00,6.00,0.00,4.00,3.00,NULL,0.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7375360,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375379,1.00,4.00,2.00,1.00,4.00,9.75,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7375387,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375395,0.00,1.00,2.00,1.00,1.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7375409,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375433,0.00,4.00,2.00,2.00,4.00,9.00,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7375441,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375450,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375468,3.00,4.00,3.00,4.00,1.00,NULL,1.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7375476,4.00,7.00,3.00,6.00,6.00,8.63,4.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7375484,2.00,2.00,1.00,5.00,2.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7375492,2.00,0.00,0.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7375506,5.00,7.00,2.00,3.00,4.00,7.88,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7375514,2.00,1.00,1.00,4.00,4.00,6.00,0.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7375522,4.00,6.00,2.00,5.00,7.00,7.50,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7375530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375557,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375565,0.00,4.00,2.00,4.00,4.00,NULL,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7375573,2.00,6.00,3.00,6.00,6.00,7.50,0.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7375603,1.00,4.00,2.00,5.00,4.00,10.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7375638,1.00,7.00,4.00,7.00,5.00,NULL,0.00,1.00,2.00,NULL,NULL,'S','S'),(28,7375646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375654,3.00,4.00,2.00,6.00,4.00,6.75,1.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7375662,2.00,5.00,2.00,7.00,7.00,7.88,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7375670,3.00,4.00,1.00,5.00,3.00,4.50,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7375697,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375700,2.00,2.00,2.00,6.00,4.00,7.88,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7375719,3.00,6.00,3.00,2.00,6.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7375727,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375743,1.00,4.00,2.00,5.00,5.00,10.13,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7375760,1.00,4.00,2.00,4.00,3.00,6.75,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7375794,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375816,4.00,6.00,3.00,5.00,6.00,12.38,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7375824,3.00,4.00,3.00,4.00,2.00,NULL,3.00,3.00,5.00,NULL,NULL,NULL,'N'),(28,7375832,2.00,4.00,3.00,7.00,7.00,9.38,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7375840,2.00,5.00,2.00,4.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7375859,0.00,2.00,3.00,3.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7375867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375875,3.00,7.00,4.00,7.00,6.00,6.75,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7375883,1.00,3.00,1.00,6.00,3.00,7.13,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7375891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375905,6.00,9.00,1.00,8.00,8.00,10.50,5.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7375921,4.00,9.00,4.00,4.00,5.00,9.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7375948,3.00,8.00,2.00,3.00,4.00,6.00,2.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7375956,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7375972,2.00,6.00,2.00,7.00,7.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7375980,1.00,7.00,0.00,6.00,6.00,11.25,1.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7376022,0.00,3.00,3.00,2.00,4.00,5.63,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7376030,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7376049,0.00,3.00,3.00,3.00,2.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7376057,1.00,4.00,1.00,3.00,4.00,8.63,3.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7376065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','S'),(28,7376073,4.00,0.00,3.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7376081,0.00,3.00,0.00,4.00,2.00,NULL,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7376090,3.00,2.00,3.00,3.00,3.00,6.00,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7376103,3.00,6.00,3.00,6.00,5.00,8.25,5.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7376111,3.00,2.00,3.00,2.00,3.00,6.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7376138,0.00,5.00,2.00,3.00,6.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7376146,0.00,5.00,3.00,4.00,5.00,7.13,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7376154,4.00,5.00,1.00,3.00,7.00,6.00,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7376162,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7376170,2.00,4.00,2.00,6.00,5.00,9.38,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7376197,2.00,6.00,3.00,6.00,4.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7376200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7376219,0.00,4.00,2.00,4.00,3.00,6.38,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7376227,1.00,7.00,2.00,5.00,8.00,11.25,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7376235,2.00,4.00,1.00,7.00,5.00,8.25,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7376243,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7376251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7376260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7376278,3.00,6.00,3.00,7.00,4.00,7.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7376286,0.00,3.00,1.00,6.00,6.00,NULL,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7376294,1.00,3.00,2.00,6.00,5.00,4.50,1.00,2.00,4.00,NULL,NULL,NULL,'N'),(28,7376308,0.00,5.00,1.00,5.00,4.00,7.50,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7376316,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7376324,3.00,6.00,4.00,4.00,7.00,8.25,2.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7376332,4.00,5.00,2.00,4.00,3.00,8.25,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7376340,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7376359,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7376367,2.00,5.00,4.00,5.00,4.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7376383,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7376391,2.00,3.00,2.00,4.00,4.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7376405,3.00,8.00,5.00,7.00,6.00,6.00,7.00,8.00,6.00,NULL,NULL,NULL,'N'),(28,7376413,1.00,0.00,2.00,1.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','S'),(28,7376430,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7376464,1.00,7.00,2.00,2.00,6.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7376472,0.00,6.00,2.00,6.00,3.00,6.38,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7376480,0.00,5.00,2.00,4.00,7.00,4.50,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7376499,0.00,2.00,1.00,6.00,5.00,3.00,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7376502,4.00,5.00,0.00,6.00,9.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7376510,4.00,7.00,2.00,7.00,5.00,6.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7376553,2.00,5.00,2.00,6.00,3.00,6.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7376570,0.00,3.00,2.00,5.00,6.00,7.88,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7376588,1.00,7.00,1.00,2.00,5.00,4.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7376596,3.00,7.00,0.00,6.00,7.00,7.88,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7376600,1.00,4.00,1.00,4.00,3.00,6.00,1.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7376634,0.00,7.00,3.00,6.00,4.00,4.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7376642,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7376650,2.00,0.00,2.00,1.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7376669,1.00,4.00,2.00,6.00,4.00,9.00,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7376685,1.00,7.00,0.00,6.00,7.00,7.88,1.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7376693,4.00,5.00,4.00,5.00,8.00,11.63,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7376715,0.00,4.00,0.00,6.00,3.00,7.88,4.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7376723,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7376740,2.00,4.00,3.00,6.00,7.00,NULL,3.00,7.00,3.00,NULL,NULL,'S','N'),(28,7376774,6.00,6.00,2.00,7.00,6.00,6.75,5.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7376782,4.00,8.00,1.00,6.00,7.00,9.00,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7376790,1.00,5.00,2.00,4.00,6.00,8.63,3.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7376804,0.00,0.00,1.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7376812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7376839,2.00,4.00,1.00,6.00,6.00,9.75,6.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7376855,4.00,5.00,4.00,6.00,7.00,9.00,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7376863,3.00,2.00,0.00,0.00,1.00,NULL,0.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7376871,1.00,6.00,2.00,2.00,6.00,5.25,2.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7376901,0.00,2.00,3.00,5.00,2.00,NULL,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7376936,1.00,4.00,0.00,0.00,0.00,NULL,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7376944,2.00,5.00,0.00,7.00,5.00,8.25,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7376979,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7376987,0.00,4.00,0.00,1.00,5.00,4.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7376995,8.00,8.00,6.00,5.00,8.00,8.25,6.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7377002,0.00,7.00,2.00,5.00,7.00,9.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7377010,1.00,4.00,1.00,6.00,4.00,7.50,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7377029,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7377037,2.00,3.00,2.00,2.00,3.00,8.25,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7377045,0.00,1.00,0.00,3.00,2.00,NULL,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7377053,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7377061,1.00,1.00,2.00,3.00,3.00,7.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7377070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7377088,3.00,5.00,2.00,6.00,7.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7377096,0.00,5.00,1.00,5.00,3.00,8.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7377118,0.00,2.00,2.00,5.00,3.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7377134,2.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7377142,1.00,5.00,2.00,1.00,4.00,10.88,3.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7377150,1.00,3.00,2.00,3.00,4.00,3.00,2.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7377169,1.00,3.00,1.00,7.00,5.00,10.13,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7377177,4.00,6.00,5.00,6.00,6.00,10.13,5.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7377185,1.00,5.00,2.00,7.00,4.00,NULL,0.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7377207,0.00,7.00,1.00,8.00,7.00,8.25,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7377215,0.00,7.00,5.00,6.00,6.00,NULL,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7377223,1.00,3.00,1.00,5.00,4.00,5.63,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7377231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7377258,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7377274,2.00,5.00,3.00,4.00,4.00,6.38,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7377282,2.00,0.00,0.00,6.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7377290,2.00,7.00,2.00,7.00,5.00,6.75,3.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7377304,1.00,7.00,0.00,2.00,7.00,7.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7377312,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7377320,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7377339,2.00,6.00,3.00,3.00,6.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7377347,3.00,7.00,2.00,7.00,7.00,7.88,4.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7377355,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7377363,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7377371,2.00,7.00,2.00,6.00,5.00,10.50,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7377398,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7377401,1.00,5.00,4.00,5.00,3.00,9.75,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7377410,0.00,3.00,0.00,1.00,4.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7377428,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7377436,2.00,7.00,1.00,3.00,5.00,6.00,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7377444,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7377452,4.00,6.00,1.00,8.00,9.00,9.38,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7377460,1.00,5.00,1.00,5.00,5.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7377479,4.00,5.00,2.00,3.00,5.00,5.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7377487,2.00,7.00,3.00,3.00,4.00,0.00,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7377509,1.00,7.00,2.00,6.00,7.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7377525,0.00,2.00,0.00,5.00,4.00,6.00,1.00,2.00,0.00,NULL,NULL,NULL,'S'),(28,7377533,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7377541,4.00,7.00,1.00,5.00,6.00,7.88,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7377550,2.00,5.00,1.00,7.00,7.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7377568,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7377584,1.00,6.00,1.00,7.00,6.00,7.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7377592,2.00,9.00,1.00,7.00,6.00,9.00,6.00,7.00,2.00,NULL,NULL,NULL,'S'),(28,7377606,1.00,5.00,1.00,5.00,4.00,8.63,2.00,6.00,4.00,NULL,NULL,NULL,'S'),(28,7377614,1.00,4.00,2.00,5.00,6.00,8.63,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7377622,4.00,6.00,5.00,6.00,4.00,6.75,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7377630,3.00,5.00,5.00,7.00,8.00,10.88,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7377665,0.00,4.00,2.00,1.00,3.00,4.88,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7377673,5.00,8.00,2.00,7.00,4.00,8.63,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7377690,3.00,7.00,0.00,7.00,3.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7377720,3.00,5.00,1.00,5.00,4.00,3.00,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7377738,8.00,8.00,1.00,7.00,7.00,10.13,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7377746,0.00,3.00,4.00,0.00,5.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7377762,0.00,5.00,4.00,3.00,2.00,NULL,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7377789,5.00,5.00,2.00,4.00,5.00,10.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7377800,1.00,6.00,3.00,6.00,6.00,7.13,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7377819,0.00,5.00,3.00,4.00,5.00,7.13,0.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7377827,3.00,4.00,0.00,5.00,6.00,5.63,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7377835,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7377860,0.00,6.00,1.00,7.00,3.00,NULL,3.00,5.00,3.00,NULL,NULL,'S','N'),(28,7377878,2.00,6.00,3.00,6.00,7.00,9.00,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7377886,1.00,5.00,1.00,6.00,2.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7377894,0.00,2.00,1.00,3.00,3.00,11.25,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7377908,5.00,5.00,2.00,6.00,6.00,7.88,5.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7377916,1.00,0.00,2.00,5.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7377924,0.00,5.00,2.00,5.00,2.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7377932,2.00,6.00,2.00,2.00,3.00,7.13,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7377940,0.00,0.00,2.00,3.00,6.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7377959,0.00,4.00,0.00,6.00,5.00,NULL,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7377967,3.00,3.00,1.00,4.00,4.00,NULL,1.00,4.00,2.00,NULL,NULL,'S','N'),(28,7377975,1.00,8.00,4.00,8.00,7.00,8.25,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7377991,6.00,7.00,3.00,6.00,7.00,8.63,4.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7378009,3.00,7.00,1.00,4.00,6.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7378017,4.00,8.00,5.00,6.00,4.00,5.25,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7378025,2.00,5.00,2.00,6.00,4.00,6.38,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7378033,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7378041,5.00,5.00,2.00,6.00,5.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7378068,2.00,6.00,1.00,6.00,7.00,8.63,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7378122,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7378130,2.00,7.00,2.00,7.00,6.00,7.88,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7378149,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7378157,0.00,4.00,3.00,3.00,3.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7378165,0.00,6.00,3.00,0.00,5.00,NULL,0.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7378173,0.00,4.00,2.00,5.00,5.00,7.88,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7378181,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7378190,6.00,8.00,3.00,7.00,9.00,8.63,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7378203,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7378211,1.00,4.00,2.00,6.00,4.00,NULL,2.00,2.00,3.00,NULL,NULL,'S','N'),(28,7378220,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7378238,2.00,5.00,2.00,7.00,4.00,7.13,3.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7378262,1.00,6.00,2.00,4.00,6.00,8.25,1.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7378289,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7378319,1.00,5.00,1.00,3.00,8.00,9.75,4.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7378327,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7378335,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7378343,2.00,7.00,2.00,7.00,5.00,6.75,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7378378,5.00,7.00,2.00,6.00,7.00,9.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7378386,2.00,5.00,1.00,6.00,3.00,5.25,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7378394,1.00,5.00,1.00,6.00,4.00,6.00,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7378416,4.00,6.00,2.00,7.00,4.00,6.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7378424,0.00,5.00,4.00,6.00,6.00,10.50,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7378432,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7378440,2.00,3.00,2.00,6.00,4.00,4.50,3.00,3.00,3.00,NULL,NULL,NULL,'S'),(28,7378475,0.00,4.00,2.00,2.00,4.00,6.38,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7378483,8.00,6.00,2.00,6.00,9.00,7.88,5.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7378521,2.00,3.00,1.00,1.00,3.00,4.50,4.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7378530,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7378548,6.00,8.00,2.00,7.00,9.00,11.25,4.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7378556,1.00,2.00,0.00,7.00,2.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7378564,3.00,6.00,2.00,5.00,8.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7378572,2.00,3.00,3.00,4.00,3.00,5.25,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7378580,3.00,7.00,1.00,5.00,7.00,7.13,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7378599,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7378602,6.00,8.00,3.00,7.00,7.00,9.38,7.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7378610,1.00,4.00,1.00,5.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7378629,1.00,4.00,2.00,3.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7378637,2.00,6.00,4.00,4.00,6.00,9.00,1.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7378661,2.00,5.00,3.00,5.00,5.00,6.38,1.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7378670,0.00,5.00,1.00,7.00,6.00,NULL,0.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7378688,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7378696,0.00,5.00,4.00,5.00,5.00,8.63,4.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7378718,1.00,6.00,1.00,5.00,7.00,6.75,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7378726,1.00,7.00,2.00,6.00,5.00,6.38,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7378734,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7378742,0.00,2.00,1.00,4.00,3.00,NULL,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7378769,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7378777,4.00,5.00,1.00,6.00,3.00,7.13,2.00,3.00,4.00,NULL,NULL,NULL,'S'),(28,7378785,5.00,5.00,2.00,6.00,5.00,8.25,3.00,2.00,5.00,NULL,NULL,NULL,'N'),(28,7378793,0.00,1.00,2.00,1.00,4.00,6.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7378807,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7378815,1.00,6.00,2.00,5.00,5.00,NULL,1.00,5.00,1.00,NULL,NULL,'S','S'),(28,7378823,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7378831,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7378866,2.00,5.00,2.00,4.00,1.00,NULL,4.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7378874,2.00,4.00,2.00,5.00,3.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7378882,0.00,4.00,2.00,3.00,3.00,7.50,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7378890,2.00,6.00,1.00,3.00,7.00,6.00,1.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7378904,1.00,5.00,4.00,4.00,6.00,6.75,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7378912,1.00,2.00,4.00,4.00,4.00,6.75,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7378963,1.00,3.00,1.00,7.00,5.00,8.63,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7378971,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7378998,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7379013,2.00,8.00,3.00,7.00,6.00,6.00,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7379030,1.00,4.00,3.00,6.00,4.00,8.63,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7379056,2.00,5.00,2.00,3.00,6.00,7.50,4.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7379064,0.00,3.00,1.00,7.00,6.00,NULL,0.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7379080,1.00,2.00,4.00,3.00,2.00,NULL,2.00,1.00,1.00,NULL,NULL,NULL,'N'),(28,7379102,0.00,2.00,2.00,1.00,2.00,NULL,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7379110,3.00,7.00,3.00,7.00,7.00,7.50,3.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7379129,0.00,3.00,1.00,6.00,4.00,8.63,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7379145,0.00,3.00,2.00,3.00,4.00,9.00,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7379153,2.00,8.00,3.00,7.00,7.00,6.75,6.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7379161,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7379170,1.00,3.00,0.00,2.00,3.00,NULL,0.00,2.00,2.00,NULL,NULL,NULL,'S'),(28,7379188,1.00,7.00,2.00,6.00,6.00,9.00,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7379218,2.00,4.00,2.00,5.00,7.00,6.75,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7379226,2.00,7.00,5.00,5.00,6.00,9.00,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7379234,0.00,4.00,2.00,6.00,5.00,6.38,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7379242,3.00,5.00,4.00,6.00,5.00,3.00,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7379269,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7379277,3.00,4.00,2.00,2.00,3.00,7.13,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7379285,4.00,8.00,1.00,4.00,7.00,10.13,4.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7379293,2.00,5.00,3.00,7.00,6.00,8.63,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7379307,6.00,8.00,5.00,7.00,6.00,9.75,4.00,5.00,6.00,NULL,NULL,NULL,'N'),(28,7379315,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7379323,3.00,8.00,2.00,5.00,6.00,7.13,4.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7379331,0.00,4.00,5.00,7.00,3.00,6.75,2.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7379340,1.00,3.00,3.00,4.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7379358,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7379366,3.00,6.00,2.00,5.00,9.00,9.75,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7379374,2.00,8.00,4.00,7.00,9.00,9.75,5.00,6.00,6.00,NULL,NULL,NULL,'N'),(28,7379382,1.00,8.00,0.00,7.00,6.00,8.25,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7379390,0.00,3.00,4.00,6.00,4.00,NULL,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7379404,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7379412,4.00,8.00,2.00,6.00,6.00,9.38,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7379420,3.00,5.00,4.00,6.00,8.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7379471,0.00,5.00,2.00,2.00,3.00,3.00,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7379498,0.00,2.00,2.00,6.00,3.00,9.00,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7379501,6.00,7.00,3.00,8.00,8.00,12.75,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7379528,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7379536,3.00,5.00,2.00,1.00,6.00,9.38,3.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7379552,0.00,5.00,3.00,3.00,3.00,9.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7379560,2.00,4.00,3.00,2.00,6.00,6.00,1.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7379587,0.00,4.00,1.00,5.00,3.00,7.88,0.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7379609,4.00,7.00,2.00,7.00,4.00,6.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7379617,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7379633,2.00,3.00,0.00,7.00,5.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7379650,6.00,7.00,3.00,7.00,4.00,8.63,3.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7379668,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7379676,6.00,7.00,4.00,6.00,9.00,6.75,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7379684,4.00,5.00,3.00,7.00,5.00,10.13,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7379692,4.00,7.00,4.00,6.00,7.00,6.38,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7379706,2.00,5.00,2.00,6.00,4.00,5.25,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7379714,4.00,6.00,1.00,5.00,7.00,6.00,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7379722,0.00,3.00,1.00,6.00,4.00,NULL,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7379730,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7379749,0.00,2.00,2.00,3.00,5.00,7.88,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7379757,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7379765,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7379781,2.00,7.00,1.00,6.00,6.00,9.38,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7379803,5.00,6.00,3.00,7.00,7.00,9.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7379820,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7379846,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7379854,2.00,5.00,4.00,6.00,8.00,10.13,5.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7379870,3.00,8.00,2.00,6.00,4.00,8.63,1.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7379889,0.00,2.00,2.00,3.00,3.00,3.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7379897,0.00,7.00,0.00,4.00,6.00,8.25,3.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7379919,2.00,6.00,3.00,7.00,6.00,9.38,1.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7379927,0.00,1.00,3.00,5.00,1.00,NULL,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7379935,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7379943,5.00,7.00,1.00,6.00,10.00,10.13,4.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7379951,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7379960,1.00,3.00,0.00,5.00,6.00,NULL,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7379978,3.00,6.00,3.00,4.00,6.00,5.25,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7379994,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7380011,6.00,6.00,2.00,6.00,4.00,10.50,4.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7380020,1.00,2.00,2.00,7.00,4.00,7.50,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7380038,2.00,4.00,1.00,1.00,6.00,8.25,5.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7380046,2.00,6.00,2.00,4.00,7.00,9.75,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7380054,2.00,6.00,0.00,5.00,5.00,6.38,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7380062,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7380070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7380089,0.00,6.00,3.00,5.00,4.00,6.75,4.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7380119,3.00,5.00,2.00,4.00,7.00,9.38,4.00,4.00,2.00,NULL,NULL,NULL,'S'),(28,7380127,0.00,3.00,0.00,1.00,2.00,NULL,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7380151,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7380160,4.00,8.00,2.00,6.00,8.00,9.38,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7380186,0.00,7.00,2.00,5.00,5.00,NULL,0.00,6.00,0.00,NULL,NULL,NULL,'N'),(28,7380208,0.00,0.00,1.00,4.00,3.00,5.25,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7380224,0.00,2.00,1.00,1.00,5.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7380232,0.00,5.00,2.00,6.00,4.00,6.75,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7380240,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7380259,0.00,3.00,0.00,5.00,7.00,7.13,1.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7380267,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7380291,2.00,5.00,2.00,3.00,2.00,NULL,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7380305,0.00,7.00,2.00,3.00,2.00,NULL,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7380313,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7380321,1.00,5.00,1.00,1.00,6.00,8.63,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7380356,0.00,6.00,1.00,5.00,5.00,NULL,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7380372,3.00,6.00,1.00,4.00,7.00,7.13,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7380399,3.00,6.00,0.00,8.00,5.00,7.50,3.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7380402,2.00,6.00,2.00,4.00,5.00,6.75,4.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7380429,3.00,4.00,1.00,6.00,7.00,7.13,3.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7380445,3.00,6.00,2.00,6.00,7.00,9.38,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7380453,2.00,5.00,2.00,5.00,5.00,7.88,2.00,6.00,2.00,NULL,NULL,NULL,'N'),(28,7380461,1.00,3.00,2.00,6.00,5.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7380470,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7380488,1.00,1.00,2.00,5.00,5.00,7.13,5.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7380496,1.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(28,7380526,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7380542,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7380550,0.00,5.00,2.00,5.00,5.00,7.50,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7380577,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7380585,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7380593,0.00,7.00,3.00,2.00,3.00,6.00,0.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7380623,1.00,5.00,1.00,6.00,6.00,5.63,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7380631,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7380640,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7380658,0.00,6.00,1.00,6.00,5.00,NULL,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7380666,1.00,6.00,3.00,6.00,5.00,6.75,4.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7380682,0.00,2.00,1.00,2.00,2.00,NULL,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7380712,5.00,7.00,5.00,6.00,8.00,7.13,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7380739,0.00,5.00,1.00,2.00,4.00,6.38,1.00,3.00,1.00,NULL,NULL,NULL,'S'),(28,7380747,1.00,5.00,2.00,7.00,5.00,7.88,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7380755,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7380763,0.00,3.00,0.00,3.00,3.00,NULL,0.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7380801,4.00,6.00,1.00,7.00,7.00,8.63,5.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7380810,2.00,2.00,1.00,7.00,5.00,6.75,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7380828,1.00,4.00,0.00,3.00,2.00,NULL,1.00,2.00,0.00,NULL,NULL,NULL,'S'),(28,7380836,4.00,7.00,1.00,7.00,7.00,9.75,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7380844,0.00,3.00,3.00,0.00,3.00,0.00,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7380852,0.00,7.00,4.00,7.00,7.00,6.75,5.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7380860,7.00,7.00,2.00,6.00,7.00,10.50,2.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7380879,2.00,4.00,3.00,4.00,3.00,5.25,2.00,1.00,2.00,NULL,NULL,NULL,'N'),(28,7380895,5.00,7.00,3.00,6.00,7.00,7.50,3.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7380909,2.00,4.00,1.00,4.00,4.00,NULL,3.00,1.00,2.00,NULL,NULL,'S','S'),(28,7380925,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7380941,0.00,4.00,0.00,2.00,5.00,NULL,3.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7380984,0.00,4.00,3.00,5.00,5.00,7.50,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7381000,0.00,3.00,3.00,5.00,4.00,7.13,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7381018,0.00,4.00,2.00,4.00,7.00,NULL,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7381026,1.00,1.00,0.00,5.00,2.00,NULL,1.00,0.00,1.00,NULL,NULL,NULL,'N'),(28,7381042,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7381050,0.00,4.00,1.00,5.00,4.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7381069,0.00,5.00,4.00,5.00,5.00,6.00,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7381077,2.00,1.00,4.00,0.00,4.00,3.00,2.00,0.00,0.00,NULL,NULL,NULL,'N'),(28,7381093,0.00,0.00,1.00,2.00,4.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7381107,1.00,5.00,1.00,6.00,5.00,8.63,2.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7381115,0.00,2.00,0.00,4.00,5.00,3.00,2.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7381131,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7381140,7.00,7.00,4.00,6.00,7.00,10.13,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7381158,3.00,7.00,2.00,6.00,6.00,9.00,4.00,4.00,6.00,NULL,NULL,NULL,'N'),(28,7381182,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7381204,2.00,6.00,2.00,6.00,8.00,9.75,3.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7381212,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7381239,1.00,5.00,2.00,4.00,4.00,6.75,3.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7381271,4.00,0.00,2.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S',NULL,'N'),(28,7381301,1.00,4.00,0.00,2.00,1.00,NULL,4.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7381310,0.00,6.00,2.00,6.00,4.00,NULL,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7381328,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7381336,7.00,8.00,5.00,7.00,7.00,9.38,6.00,7.00,6.00,NULL,NULL,NULL,'N'),(28,7381344,1.00,5.00,2.00,2.00,5.00,5.25,4.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7381352,1.00,5.00,2.00,4.00,2.00,NULL,0.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7381360,1.00,1.00,3.00,5.00,4.00,9.38,2.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7381379,2.00,5.00,2.00,7.00,5.00,7.50,3.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7381409,2.00,6.00,2.00,2.00,4.00,4.50,4.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7381417,5.00,7.00,1.00,7.00,5.00,7.13,2.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7381433,0.00,2.00,1.00,0.00,3.00,NULL,1.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7381441,4.00,7.00,3.00,4.00,7.00,6.75,4.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7381450,2.00,4.00,2.00,4.00,2.00,NULL,1.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7381476,4.00,6.00,1.00,6.00,9.00,7.88,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7381506,3.00,7.00,2.00,7.00,6.00,10.88,2.00,7.00,1.00,NULL,NULL,NULL,'N'),(28,7381514,2.00,2.00,2.00,6.00,6.00,7.88,3.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7381530,1.00,8.00,2.00,5.00,5.00,8.63,2.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7381549,4.00,6.00,2.00,4.00,4.00,7.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7381557,2.00,5.00,1.00,7.00,5.00,7.50,3.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7381565,2.00,3.00,2.00,5.00,3.00,4.50,1.00,3.00,2.00,NULL,NULL,NULL,'S'),(28,7381581,3.00,6.00,2.00,5.00,4.00,9.00,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7381590,3.00,6.00,2.00,6.00,4.00,12.00,1.00,5.00,2.00,NULL,NULL,NULL,'S'),(28,7381603,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7381611,4.00,0.00,2.00,7.00,7.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7381638,1.00,3.00,1.00,2.00,4.00,5.63,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7381646,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7381654,1.00,6.00,3.00,5.00,8.00,4.50,3.00,6.00,5.00,NULL,NULL,NULL,'N'),(28,7381670,1.00,3.00,1.00,2.00,6.00,9.75,1.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7381689,1.00,5.00,3.00,6.00,8.00,6.00,4.00,3.00,4.00,NULL,NULL,NULL,'N'),(28,7381700,4.00,7.00,1.00,6.00,10.00,8.25,5.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7381719,1.00,5.00,2.00,6.00,5.00,6.75,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7381727,3.00,2.00,2.00,5.00,5.00,8.63,2.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7381735,2.00,7.00,2.00,5.00,4.00,8.63,3.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7381743,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7381778,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7381786,0.00,2.00,2.00,4.00,5.00,8.25,1.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7381794,2.00,8.00,0.00,7.00,6.00,NULL,1.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7381816,2.00,6.00,2.00,7.00,3.00,6.75,2.00,4.00,1.00,NULL,NULL,NULL,'S'),(28,7381824,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7381832,0.00,0.00,3.00,6.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7381867,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7381891,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7381905,4.00,6.00,3.00,5.00,10.00,8.63,5.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7381913,1.00,2.00,2.00,4.00,4.00,6.38,2.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7381921,0.00,6.00,1.00,7.00,5.00,7.13,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7381930,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7381948,7.00,8.00,4.00,8.00,6.00,7.13,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7381964,0.00,3.00,1.00,6.00,5.00,10.13,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7381972,1.00,4.00,3.00,5.00,4.00,6.38,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7381980,7.00,8.00,4.00,7.00,10.00,10.50,6.00,6.00,7.00,NULL,NULL,NULL,'N'),(28,7381999,2.00,4.00,2.00,3.00,4.00,7.88,2.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7382006,3.00,5.00,2.00,7.00,4.00,9.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7382022,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7382030,6.00,8.00,3.00,6.00,5.00,9.38,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7382049,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7382057,2.00,4.00,2.00,5.00,1.00,NULL,1.00,2.00,0.00,NULL,NULL,'S','N'),(28,7382065,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7382073,0.00,0.00,0.00,2.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7382081,1.00,5.00,1.00,6.00,5.00,7.88,4.00,5.00,3.00,NULL,NULL,NULL,'N'),(28,7382090,1.00,2.00,1.00,5.00,4.00,5.25,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7382103,2.00,5.00,1.00,5.00,3.00,6.38,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7382111,2.00,4.00,2.00,6.00,5.00,7.88,1.00,3.00,2.00,NULL,NULL,NULL,'N'),(28,7382120,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7382138,0.00,3.00,2.00,7.00,5.00,NULL,2.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7382146,6.00,6.00,2.00,8.00,6.00,6.75,5.00,4.00,5.00,NULL,NULL,NULL,'N'),(28,7382162,1.00,4.00,2.00,6.00,6.00,7.50,1.00,1.00,3.00,NULL,NULL,NULL,'N'),(28,7382189,4.00,8.00,4.00,6.00,5.00,10.88,4.00,8.00,4.00,NULL,NULL,NULL,'N'),(28,7382200,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7382227,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7382235,2.00,3.00,2.00,5.00,3.00,4.88,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7382243,6.00,8.00,3.00,7.00,8.00,7.88,6.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7382251,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7382260,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7382286,0.00,5.00,4.00,2.00,2.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7382294,1.00,4.00,2.00,4.00,5.00,8.25,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7382308,2.00,5.00,2.00,4.00,6.00,7.50,4.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7382324,0.00,6.00,0.00,7.00,3.00,6.75,3.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7382332,6.00,7.00,2.00,7.00,7.00,9.75,3.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7382383,0.00,5.00,2.00,3.00,4.00,5.25,2.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7382391,0.00,4.00,1.00,3.00,5.00,5.63,1.00,2.00,0.00,NULL,NULL,NULL,'N'),(28,7382405,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7382413,3.00,7.00,3.00,2.00,6.00,7.13,2.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7382421,1.00,5.00,2.00,5.00,4.00,8.25,1.00,5.00,2.00,NULL,NULL,NULL,'N'),(28,7382430,3.00,4.00,1.00,4.00,5.00,7.50,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7382456,0.00,3.00,3.00,2.00,3.00,7.13,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7382464,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7382472,2.00,4.00,5.00,5.00,5.00,7.88,1.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7382480,2.00,9.00,2.00,7.00,7.00,11.25,3.00,8.00,3.00,NULL,NULL,NULL,'N'),(28,7382502,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7382510,1.00,5.00,2.00,3.00,5.00,4.50,3.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7382529,0.00,5.00,2.00,5.00,3.00,NULL,3.00,4.00,0.00,NULL,NULL,NULL,'N'),(28,7382537,1.00,2.00,1.00,3.00,4.00,NULL,2.00,2.00,2.00,NULL,NULL,'S','S'),(28,7382545,2.00,7.00,0.00,7.00,7.00,9.38,2.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7382553,2.00,0.00,3.00,6.00,5.00,NULL,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7382561,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7382588,0.00,2.00,3.00,4.00,5.00,NULL,0.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7382596,1.00,4.00,3.00,6.00,4.00,6.75,2.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7382600,3.00,6.00,1.00,4.00,4.00,6.75,2.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7382618,1.00,3.00,2.00,1.00,4.00,7.88,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7382634,1.00,4.00,2.00,4.00,3.00,7.88,3.00,3.00,3.00,NULL,NULL,NULL,'N'),(28,7382642,2.00,3.00,3.00,4.00,5.00,8.63,2.00,2.00,2.00,NULL,NULL,NULL,'N'),(28,7382669,2.00,6.00,2.00,5.00,6.00,7.50,0.00,7.00,3.00,NULL,NULL,NULL,'N'),(28,7382685,0.00,4.00,1.00,1.00,3.00,9.38,2.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7382693,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7382731,0.00,8.00,2.00,2.00,5.00,8.63,4.00,4.00,4.00,NULL,NULL,NULL,'N'),(28,7382740,0.00,4.00,2.00,3.00,5.00,NULL,0.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7382774,0.00,4.00,2.00,7.00,6.00,7.13,4.00,5.00,0.00,NULL,NULL,NULL,'N'),(28,7382782,4.00,7.00,2.00,7.00,7.00,10.50,2.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7382790,0.00,5.00,1.00,4.00,3.00,7.88,2.00,5.00,3.00,NULL,NULL,NULL,'S'),(28,7382804,3.00,7.00,3.00,5.00,9.00,6.75,5.00,7.00,4.00,NULL,NULL,NULL,'N'),(28,7382812,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7382820,2.00,8.00,2.00,7.00,7.00,9.38,3.00,6.00,4.00,NULL,NULL,NULL,'N'),(28,7382839,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7382847,4.00,6.00,1.00,5.00,7.00,7.50,4.00,6.00,1.00,NULL,NULL,NULL,'N'),(28,7382855,0.00,5.00,1.00,3.00,3.00,NULL,2.00,5.00,1.00,NULL,NULL,'S','N'),(28,7382863,0.00,4.00,2.00,5.00,5.00,7.13,2.00,4.00,3.00,NULL,NULL,NULL,'N'),(28,7382871,0.00,4.00,0.00,1.00,1.00,NULL,1.00,2.00,1.00,NULL,NULL,NULL,'N'),(28,7382880,0.00,0.00,0.00,4.00,2.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7382898,1.00,4.00,1.00,1.00,4.00,12.00,3.00,5.00,5.00,NULL,NULL,NULL,'N'),(28,7382901,1.00,4.00,0.00,6.00,6.00,11.63,2.00,5.00,1.00,NULL,NULL,NULL,'N'),(28,7382910,2.00,7.00,3.00,6.00,3.00,NULL,0.00,2.00,3.00,NULL,NULL,NULL,'N'),(28,7382928,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7382936,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7382944,1.00,0.00,2.00,5.00,5.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7382952,2.00,8.00,2.00,8.00,6.00,10.88,3.00,7.00,2.00,NULL,NULL,NULL,'N'),(28,7382960,0.00,3.00,0.00,2.00,4.00,6.75,3.00,5.00,1.00,NULL,NULL,NULL,'S'),(28,7382987,0.00,4.00,2.00,5.00,4.00,NULL,3.00,3.00,1.00,NULL,NULL,NULL,'N'),(28,7383002,1.00,3.00,2.00,4.00,4.00,6.75,1.00,4.00,2.00,NULL,NULL,NULL,'N'),(28,7383010,2.00,5.00,3.00,6.00,6.00,NULL,0.00,3.00,1.00,NULL,NULL,'S','N'),(28,7383037,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7383045,3.00,0.00,2.00,3.00,3.00,NULL,0.00,0.00,0.00,NULL,'S','S','N'),(28,7383061,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7383070,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7383088,1.00,4.00,2.00,6.00,4.00,NULL,1.00,3.00,1.00,NULL,NULL,'S','N'),(28,7383096,4.00,6.00,6.00,6.00,9.00,9.38,6.00,6.00,3.00,NULL,NULL,NULL,'N'),(28,7383100,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7383118,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7383126,6.00,6.00,4.00,7.00,7.00,9.00,5.00,7.00,7.00,NULL,NULL,NULL,'N'),(28,7383134,0.00,1.00,4.00,1.00,0.00,NULL,1.00,3.00,0.00,NULL,NULL,NULL,'N'),(28,7383142,5.00,7.00,3.00,5.00,6.00,8.63,2.00,5.00,4.00,NULL,NULL,NULL,'N'),(28,7383177,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7383185,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7383207,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7383231,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N'),(28,7383258,0.00,1.00,3.00,2.00,3.00,NULL,2.00,4.00,1.00,NULL,NULL,NULL,'N'),(28,7383274,3.00,7.00,0.00,7.00,0.00,NULL,2.00,7.00,5.00,NULL,NULL,NULL,'N'),(28,7383282,0.00,0.00,0.00,0.00,0.00,NULL,0.00,0.00,0.00,'S','S','S','N');
/*!40000 ALTER TABLE ponto_candidato ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `codigo_questionario`
--

DROP TABLE IF EXISTS codigo_questionario;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE codigo_questionario (
  id_evento smallint(6) NOT NULL,
  numero_questao tinyint(4) NOT NULL,
  id_codigo char(3) NOT NULL,
  descricao_codigo varchar(80) DEFAULT NULL,
  PRIMARY KEY (id_evento,numero_questao,id_codigo),
  CONSTRAINT fk_codigo_questionario_grade_socio_econ FOREIGN KEY (id_evento, numero_questao) REFERENCES grade_socioeconomico (id_evento, numero_questao)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `codigo_questionario`
--

LOCK TABLES codigo_questionario WRITE;
/*!40000 ALTER TABLE codigo_questionario DISABLE KEYS */;
INSERT INTO codigo_questionario VALUES (15,1,'1','Solteiro'),(15,1,'2','Casado'),(15,1,'3','Viúvo'),(15,1,'4','Desquitado'),(15,1,'5','Divorciado'),(15,1,'6','Outros'),(15,2,'1','Acre'),(15,2,'10','Maranhão'),(15,2,'11','Mato Grosso'),(15,2,'12','Mato Grosso do Sul'),(15,2,'13','Minas Gerais'),(15,2,'14','Pará'),(15,2,'15','Paraíba'),(15,2,'16','Paraná'),(15,2,'17','Pernambuco'),(15,2,'18','Piauí'),(15,2,'19','Rio Grande do Norte'),(15,2,'2','Alagoas'),(15,2,'20','Rio Grande do Sul'),(15,2,'21','Rio de Janeiro'),(15,2,'22','Rondônia'),(15,2,'23','Roraima'),(15,2,'24','Santa Catarina'),(15,2,'25','São Paulo'),(15,2,'26','Sergipe'),(15,2,'27','Tocantins'),(15,2,'28','Outros países'),(15,2,'3','Amapá'),(15,2,'4','Amazonas'),(15,2,'5','Bahia'),(15,2,'6','Ceará'),(15,2,'7','Distrito Federal'),(15,2,'8','Espírito Santo'),(15,2,'9','Goiás'),(15,3,'1','Acre'),(15,3,'10','Maranhão'),(15,3,'11','Mato Grosso'),(15,3,'12','Mato Grosso do Sul'),(15,3,'13','Minas Gerais'),(15,3,'14','Pará'),(15,3,'15','Paraíba'),(15,3,'16','Paraná'),(15,3,'17','Pernambuco'),(15,3,'18','Piauí'),(15,3,'19','Rio Grande do Norte'),(15,3,'2','Alagoas'),(15,3,'20','Rio Grande do Sul'),(15,3,'21','Rio de Janeiro'),(15,3,'22','Rondônia'),(15,3,'23','Roraima'),(15,3,'24','Santa Catarina'),(15,3,'25','São Paulo'),(15,3,'26','Sergipe'),(15,3,'27','Tocantins'),(15,3,'28','Outros países'),(15,3,'3','Amapá'),(15,3,'4','Amazonas'),(15,3,'5','Bahia'),(15,3,'6','Ceará'),(15,3,'7','Distrito Federal'),(15,3,'8','Espírito Santo'),(15,3,'9','Goiás'),(15,4,'1','Todo em Escola Pública'),(15,4,'2','Todo em Escola Particular'),(15,4,'3','Maior parte em Escola Pública'),(15,4,'4','Maior parte em Escola Particular'),(15,4,'5','Escolas Comunitárias'),(15,4,'6','Outros'),(15,5,'1','Acre'),(15,5,'10','Maranhão'),(15,5,'11','Mato Grosso'),(15,5,'12','Mato Grosso do Sul'),(15,5,'13','Minas Gerais'),(15,5,'14','Pará'),(15,5,'15','Paraíba'),(15,5,'16','Paraná'),(15,5,'17','Pernambuco'),(15,5,'18','Piauí'),(15,5,'19','Rio Grande do Norte'),(15,5,'2','Alagoas'),(15,5,'20','Rio Grande do Sul'),(15,5,'21','Rio de Janeiro'),(15,5,'22','Rondônia'),(15,5,'23','Roraima'),(15,5,'24','Santa Catarina'),(15,5,'25','São Paulo'),(15,5,'26','Sergipe'),(15,5,'27','Tocantins'),(15,5,'28','Outros países'),(15,5,'3','Amapá'),(15,5,'4','Amazonas'),(15,5,'5','Bahia'),(15,5,'6','Ceará'),(15,5,'7','Distrito Federal'),(15,5,'8','Espírito Santo'),(15,5,'9','Goiás'),(15,6,'1','Regular, sem ênfase em qualquer área'),(15,6,'2','Profissionalizante na área agrícola'),(15,6,'3','Profissionalizante na área de comércio ou serviços'),(15,6,'4','Profissionalizante na área de saúde'),(15,6,'5','Profissionalizante na área de magistério'),(15,6,'6','Profissionalizante na área industrial'),(15,6,'7','Supletivo ou Madureza'),(15,6,'8','Outros'),(15,7,'1','Todo em Escola Pública'),(15,7,'2','Todo em Escola Particular'),(15,7,'3','Maior parte em Escola Pública'),(15,7,'4','Maior parte em Escola Particular'),(15,7,'5','Escolas Comunitárias'),(15,7,'6','Outros'),(15,8,'1','Todo diurno'),(15,8,'2','Todo noturno'),(15,8,'3','Maior parte no diurno'),(15,8,'4','Maior parte no noturno'),(15,9,'1','Jornal'),(15,9,'2','Televisão'),(15,9,'3','Rádio'),(15,9,'4','Cartaz ou folder'),(15,9,'5','Colégio em que estuda'),(15,9,'6','Internet'),(15,9,'7','Parentes, amigos'),(15,10,'1','Não'),(15,10,'2','Sim, por menos de 1 semestre'),(15,10,'3','Sim, por 1 semestre'),(15,10,'4','Sim, por 1 ano'),(15,10,'5','Sim, por mais de 1 ano'),(15,11,'1','O Colégio prepara para o Vestibular'),(15,11,'2','O Colégio oferece pré-vestibular \"integrado\" ao curso'),(15,11,'3','Dificuldades econômicas'),(15,11,'4','O horário do pré-vestibular coincidia com o horário de trabalho'),(15,11,'5','Julgou que poderia estudar sozinho'),(15,11,'6','Não havia nenhum pré-vestibular nas proximidades da sua casa'),(15,11,'7','Não é o seu caso (fez pré-vestibular)'),(15,12,'1','Nenhuma'),(15,12,'2','Uma'),(15,12,'3','Duas'),(15,12,'4','Três'),(15,12,'5','Quatro ou mais'),(15,13,'1','Menor relação candidato/vaga'),(15,13,'2','Prestígio econômico'),(15,13,'3','Prestígio social'),(15,13,'4','Mais adequada às suas aptidões'),(15,13,'5','Influência da família e/ou amigos'),(15,13,'6','Influência de professores'),(15,13,'7','Outros motivos'),(15,14,'1','Aumento de conhecimento e cultura geral'),(15,14,'2','Melhoria da situação profissional atual'),(15,14,'3','Formação profissional voltada para o futuro emprego'),(15,14,'4','Formação teórica voltada para a pesquisa'),(15,14,'5','Outras'),(15,15,'1','Sim'),(15,15,'2','Não'),(15,16,'1','1 pessoa'),(15,16,'2','2 pessoas'),(15,16,'3','3 pessoas'),(15,16,'4','4 pessoas'),(15,16,'5','5 pessoas'),(15,16,'6','Acima de 5 pessoas'),(15,17,'1','Até 1 salário mínimo'),(15,17,'2','Acima de 1 até 3 sal. mín.'),(15,17,'3','Acima de 3 até 5 sal. mín.'),(15,17,'4','Acima de 5 até 7 sal. mín.'),(15,17,'5','Acima de 7 até 10 sal. mín.'),(15,17,'6','Entre 10 e 20 sal. mín.'),(15,17,'7','Entre 20 e 30 sal. mín.'),(15,17,'8','Acima de 30 sal. mín.'),(15,18,'1','Não alfabetizado'),(15,18,'2','Lê e escreve, mas nunca esteve na escola'),(15,18,'3','Fundamental incompleto'),(15,18,'4','Fundamental completo'),(15,18,'5','Médio incompleto'),(15,18,'6','Médio completo'),(15,18,'7','Superior incompleto'),(15,18,'8','Superior completo'),(15,18,'9','Pós-Graduação'),(15,19,'1','Não alfabetizado'),(15,19,'2','Lê e escreve, mas nunca esteve na escola'),(15,19,'3','Fundamental incompleto'),(15,19,'4','Fundamental completo'),(15,19,'5','Médio incompleto'),(15,19,'6','Médio completo'),(15,19,'7','Superior incompleto'),(15,19,'8','Superior completo'),(15,19,'9','Pós-Graduação'),(15,20,'1','Pai'),(15,20,'2','Mãe'),(15,20,'3','Pai e Mãe'),(15,20,'4','Você próprio'),(15,20,'5','Cônjuge'),(15,20,'6','Parente'),(15,20,'7','Outro(s)'),(15,21,'1','Profissional liberal'),(15,21,'2','Empresário'),(15,21,'3','Servidor Público'),(15,21,'4','Empregado Empresa Privada'),(15,21,'5','Empregado Rural / Agricultor'),(15,21,'6','Proprietário Rural'),(15,21,'7','Não trabalha'),(15,21,'8','Desempregado'),(15,21,'9','Outro'),(15,22,'1','Antes de 14 anos'),(15,22,'2','Entre 14 e 16 anos'),(15,22,'3','Entre 16 e 18 anos'),(15,22,'4','Após 18 anos'),(15,22,'5','Nunca trabalhou'),(15,23,'1','Profissional liberal'),(15,23,'2','Empresário'),(15,23,'3','Servidor Público'),(15,23,'4','Empregado Empresa Privada'),(15,23,'5','Empregado Rural / Agricultor'),(15,23,'6','Proprietário Rural'),(15,23,'7','Não trabalha'),(15,23,'8','Desempregado'),(15,23,'9','Outro'),(15,24,'1','Jornal'),(15,24,'2','Televisão'),(15,24,'3','Rádio'),(15,24,'4','Revista'),(15,24,'5','Internet'),(15,24,'6','Conversas com outras pessoas'),(15,24,'7','Não tenho me mantido informado'),(15,25,'1','Sim, com acesso à Internet'),(15,25,'2','Sim, sem acesso à Internet'),(15,25,'3','Não'),(15,26,'1','Sim, só para lazer'),(15,26,'2','Sim, para trabalhos escolares e/ou profissionais'),(15,26,'3','Sim, no trabalho'),(15,26,'4','Não'),(15,27,'1','Bicicleta'),(15,27,'2','Carro próprio ou da família'),(15,27,'3','Moto'),(15,27,'4','Ônibus'),(15,27,'5','Outros'),(15,28,'1','Sim, mas abandonei'),(15,28,'2','Sim, estou cursando'),(15,28,'3','Sim, mas já concluí'),(15,28,'4','Sim, já concluí um e estou cursando outro'),(15,28,'5','Sim, já concluí um e abandonei outro'),(15,28,'6','Não'),(15,29,'1','Não iniciei'),(15,29,'2','UFSC'),(15,29,'3','Outra Instituição de Santa Catarina'),(15,29,'4','Outra Instituição fora de Santa Catarina'),(15,30,'1','Não iniciei curso superior'),(15,30,'10','Direito'),(15,30,'11','Ciências Econômicas'),(15,30,'12','Educação Física'),(15,30,'13','Enfermagem'),(15,30,'14','Engenharia'),(15,30,'15','Farmácia'),(15,30,'16','Filosofia'),(15,30,'17','Física'),(15,30,'18','Geografia'),(15,30,'19','História'),(15,30,'2','Administração'),(15,30,'20','Jornalismo'),(15,30,'21','Comunicação e Expressão Visual'),(15,30,'22','Letras'),(15,30,'23','Matemática'),(15,30,'24','Medicina'),(15,30,'25','Nutrição'),(15,30,'26','Odontologia'),(15,30,'27','Pedagogia'),(15,30,'28','Psicologia'),(15,30,'29','Química'),(15,30,'3','Agronomia'),(15,30,'30','Serviço Social'),(15,30,'31','Veterinária'),(15,30,'32','Outros'),(15,30,'4','Arquitetura e Urbanismo'),(15,30,'5','Biblioteconomia'),(15,30,'6','Ciências Biológicas'),(15,30,'7','Ciências da Computação'),(15,30,'8','Ciências Contábeis'),(15,30,'9','Ciências Sociais'),(15,31,'1','Sim, para dizer qual profissão devo seguir'),(15,31,'2','Sim, para auxiliar a conhecer as profissões e o mercado de trabalho'),(15,31,'3','Sim, para auxiliar a pensar na melhor opção para mim'),(15,31,'4','Sim, para ajudar a me conhecer melhor'),(15,31,'5','Sim, para auxiliar a conviver com a família e a sociedade e assumir o que quero'),(15,31,'6','Não'),(15,32,'1','Artes Plásticas/Artesanato'),(15,32,'2','Cinema/Vídeo'),(15,32,'3','Dança'),(15,32,'4','Música'),(15,32,'5','Teatro'),(15,32,'6','Literatura'),(15,32,'7','Esporte'),(15,32,'8','Outros'),(15,33,'1','Basquete'),(15,33,'10','Polo aquático'),(15,33,'11','Surf'),(15,33,'12','Tênis de campo'),(15,33,'13','Vela'),(15,33,'14','Voleibol'),(15,33,'15','Voleibol de areia'),(15,33,'16','Remo'),(15,33,'17','Xadrez'),(15,33,'18','Outros'),(15,33,'19','Não tem interesse'),(15,33,'2','Capoeira'),(15,33,'3','Caratê'),(15,33,'4','Futebol de campo'),(15,33,'5','Futebol de salão'),(15,33,'6','Futebol suíço'),(15,33,'7','Handebol'),(15,33,'8','Judô'),(15,33,'9','Natação'),(15,34,'1','É a única no Estado que oferece o curso pretendido'),(15,34,'2','É a que oferece o melhor curso pretendido'),(15,34,'3','É a que oferece o curso pretendido em horário adequado'),(15,34,'4','O curso pretendido é pouco procurado, o que facilita a classificação'),(15,34,'5','É de fácil acesso (proximidade de casa, prática locomoção etc.)'),(15,34,'6','Na realidade, gostaria de estudar em outra univerisidade'),(15,34,'7','Por ser pública e gratuita, satisfazendo as condições sócio-econom. da família'),(16,1,'1','Solteiro'),(16,1,'2','Casado'),(16,1,'3','Viúvo'),(16,1,'4','Desquitado'),(16,1,'5','Divorciado'),(16,1,'6','Outros'),(16,2,'1','Acre'),(16,2,'10','Maranhão'),(16,2,'11','Mato Grosso'),(16,2,'12','Mato Grosso do Sul'),(16,2,'13','Minas Gerais'),(16,2,'14','Pará'),(16,2,'15','Paraíba'),(16,2,'16','Paraná'),(16,2,'17','Pernambuco'),(16,2,'18','Piauí'),(16,2,'19','Rio Grande do Norte'),(16,2,'2','Alagoas'),(16,2,'20','Rio Grande do Sul'),(16,2,'21','Rio de Janeiro'),(16,2,'22','Rondônia'),(16,2,'23','Roraima'),(16,2,'24','Santa Catarina'),(16,2,'25','São Paulo'),(16,2,'26','Sergipe'),(16,2,'27','Tocantins'),(16,2,'28','Outros países'),(16,2,'3','Amapá'),(16,2,'4','Amazonas'),(16,2,'5','Bahia'),(16,2,'6','Ceará'),(16,2,'7','Distrito Federal'),(16,2,'8','Espírito Santo'),(16,2,'9','Goiás'),(16,3,'1','Acre'),(16,3,'10','Maranhão'),(16,3,'11','Mato Grosso'),(16,3,'12','Mato Grosso do Sul'),(16,3,'13','Minas Gerais'),(16,3,'14','Pará'),(16,3,'15','Paraíba'),(16,3,'16','Paraná'),(16,3,'17','Pernambuco'),(16,3,'18','Piauí'),(16,3,'19','Rio Grande do Norte'),(16,3,'2','Alagoas'),(16,3,'20','Rio Grande do Sul'),(16,3,'21','Rio de Janeiro'),(16,3,'22','Rondônia'),(16,3,'23','Roraima'),(16,3,'24','Santa Catarina'),(16,3,'25','São Paulo'),(16,3,'26','Sergipe'),(16,3,'27','Tocantins'),(16,3,'28','Outros países'),(16,3,'3','Amapá'),(16,3,'4','Amazonas'),(16,3,'5','Bahia'),(16,3,'6','Ceará'),(16,3,'7','Distrito Federal'),(16,3,'8','Espírito Santo'),(16,3,'9','Goiás'),(16,4,'1','Todo em Escola Pública'),(16,4,'2','Todo em Escola Particular'),(16,4,'3','Maior parte em Escola Pública'),(16,4,'4','Maior parte em Escola Particular'),(16,4,'5','Escolas Comunitárias'),(16,4,'6','Outros'),(16,5,'1','Acre'),(16,5,'10','Maranhão'),(16,5,'11','Mato Grosso'),(16,5,'12','Mato Grosso do Sul'),(16,5,'13','Minas Gerais'),(16,5,'14','Pará'),(16,5,'15','Paraíba'),(16,5,'16','Paraná'),(16,5,'17','Pernambuco'),(16,5,'18','Piauí'),(16,5,'19','Rio Grande do Norte'),(16,5,'2','Alagoas'),(16,5,'20','Rio Grande do Sul'),(16,5,'21','Rio de Janeiro'),(16,5,'22','Rondônia'),(16,5,'23','Roraima'),(16,5,'24','Santa Catarina'),(16,5,'25','São Paulo'),(16,5,'26','Sergipe'),(16,5,'27','Tocantins'),(16,5,'28','Outros países'),(16,5,'3','Amapá'),(16,5,'4','Amazonas'),(16,5,'5','Bahia'),(16,5,'6','Ceará'),(16,5,'7','Distrito Federal'),(16,5,'8','Espírito Santo'),(16,5,'9','Goiás'),(16,6,'1','Regular, sem ênfase em qualquer área'),(16,6,'2','Profissionalizante na área agrícola'),(16,6,'3','Profissionalizante na área de comércio ou serviços'),(16,6,'4','Profissionalizante na área de saúde'),(16,6,'5','Profissionalizante na área de magistério'),(16,6,'6','Profissionalizante na área industrial'),(16,6,'7','Supletivo ou Madureza'),(16,6,'8','Outros'),(16,7,'1','Todo em Escola Pública'),(16,7,'2','Todo em Escola Particular'),(16,7,'3','Maior parte em Escola Pública'),(16,7,'4','Maior parte em Escola Particular'),(16,7,'5','Escolas Comunitárias'),(16,7,'6','Outros'),(16,8,'1','Todo diurno'),(16,8,'2','Todo noturno'),(16,8,'3','Maior parte no diurno'),(16,8,'4','Maior parte no noturno'),(16,9,'1','Jornal'),(16,9,'2','Televisão'),(16,9,'3','Rádio'),(16,9,'4','Cartaz ou folder'),(16,9,'5','Colégio em que estuda'),(16,9,'6','Internet'),(16,9,'7','Parentes, amigos'),(16,10,'1','Não'),(16,10,'2','Sim, por menos de 1 semestre'),(16,10,'3','Sim, por 1 semestre'),(16,10,'4','Sim, por 1 ano'),(16,10,'5','Sim, por mais de 1 ano'),(16,11,'1','O Colégio prepara para o Vestibular'),(16,11,'2','O Colégio oferece pré-vestibular \"integrado\" ao curso'),(16,11,'3','Dificuldades econômicas'),(16,11,'4','O horário do pré-vestibular coincidia com o horário de trabalho'),(16,11,'5','Julgou que poderia estudar sozinho'),(16,11,'6','Não havia nenhum pré-vestibular nas proximidades da sua casa'),(16,11,'7','Não é o seu caso (fez pré-vestibular)'),(16,12,'1','Nenhuma'),(16,12,'2','Uma'),(16,12,'3','Duas'),(16,12,'4','Três'),(16,12,'5','Quatro ou mais'),(16,13,'1','Menor relação candidato/vaga'),(16,13,'2','Prestígio econômico'),(16,13,'3','Prestígio social'),(16,13,'4','Mais adequada às suas aptidões'),(16,13,'5','Influência da família e/ou amigos'),(16,13,'6','Influência de professores'),(16,13,'7','Outros motivos'),(16,14,'1','Aumento de conhecimento e cultura geral'),(16,14,'2','Melhoria da situação profissional atual'),(16,14,'3','Formação profissional voltada para o futuro emprego'),(16,14,'4','Formação teórica voltada para a pesquisa'),(16,14,'5','Outras'),(16,15,'1','Sim'),(16,15,'2','Não'),(16,16,'1','1 pessoa'),(16,16,'2','2 pessoas'),(16,16,'3','3 pessoas'),(16,16,'4','4 pessoas'),(16,16,'5','5 pessoas'),(16,16,'6','Acima de 5 pessoas'),(16,17,'1','Até 1 salário mínimo'),(16,17,'2','Acima de 1 até 3 sal. mín.'),(16,17,'3','Acima de 3 até 5 sal. mín.'),(16,17,'4','Acima de 5 até 7 sal. mín.'),(16,17,'5','Acima de 7 até 10 sal. mín.'),(16,17,'6','Entre 10 e 20 sal. mín.'),(16,17,'7','Entre 20 e 30 sal. mín.'),(16,17,'8','Acima de 30 sal. mín.'),(16,18,'1','Não alfabetizado'),(16,18,'2','Lê e escreve, mas nunca esteve na escola'),(16,18,'3','Fundamental incompleto'),(16,18,'4','Fundamental completo'),(16,18,'5','Médio incompleto'),(16,18,'6','Médio completo'),(16,18,'7','Superior incompleto'),(16,18,'8','Superior completo'),(16,18,'9','Pós-Graduação'),(16,19,'1','Não alfabetizado'),(16,19,'2','Lê e escreve, mas nunca esteve na escola'),(16,19,'3','Fundamental incompleto'),(16,19,'4','Fundamental completo'),(16,19,'5','Médio incompleto'),(16,19,'6','Médio completo'),(16,19,'7','Superior incompleto'),(16,19,'8','Superior completo'),(16,19,'9','Pós-Graduação'),(16,20,'1','Pai'),(16,20,'2','Mãe'),(16,20,'3','Pai e Mãe'),(16,20,'4','Você próprio'),(16,20,'5','Cônjuge'),(16,20,'6','Parente'),(16,20,'7','Outro(s)'),(16,21,'1','Profissional liberal'),(16,21,'2','Empresário'),(16,21,'3','Servidor Público'),(16,21,'4','Empregado Empresa Privada'),(16,21,'5','Empregado Rural / Agricultor'),(16,21,'6','Proprietário Rural'),(16,21,'7','Não trabalha'),(16,21,'8','Desempregado'),(16,21,'9','Outro'),(16,22,'1','Antes de 14 anos'),(16,22,'2','Entre 14 e 16 anos'),(16,22,'3','Entre 16 e 18 anos'),(16,22,'4','Após 18 anos'),(16,22,'5','Nunca trabalhou'),(16,23,'1','Profissional liberal'),(16,23,'2','Empresário'),(16,23,'3','Servidor Público'),(16,23,'4','Empregado Empresa Privada'),(16,23,'5','Empregado Rural / Agricultor'),(16,23,'6','Proprietário Rural'),(16,23,'7','Não trabalha'),(16,23,'8','Desempregado'),(16,23,'9','Outro'),(16,24,'1','Jornal'),(16,24,'2','Televisão'),(16,24,'3','Rádio'),(16,24,'4','Revista'),(16,24,'5','Internet'),(16,24,'6','Conversas com outras pessoas'),(16,24,'7','Não tenho me mantido informado'),(16,25,'1','Sim, com acesso à Internet'),(16,25,'2','Sim, sem acesso à Internet'),(16,25,'3','Não'),(16,26,'1','Sim, só para lazer'),(16,26,'2','Sim, para trabalhos escolares e/ou profissionais'),(16,26,'3','Sim, no trabalho'),(16,26,'4','Não'),(16,27,'1','Bicicleta'),(16,27,'2','Carro próprio ou da família'),(16,27,'3','Moto'),(16,27,'4','Ônibus'),(16,27,'5','Outros'),(16,28,'1','Sim, mas abandonei'),(16,28,'2','Sim, estou cursando'),(16,28,'3','Sim, mas já concluí'),(16,28,'4','Sim, já concluí um e estou cursando outro'),(16,28,'5','Sim, já concluí um e abandonei outro'),(16,28,'6','Não'),(16,29,'1','Não iniciei'),(16,29,'2','UFSC'),(16,29,'3','Outra Instituição de Santa Catarina'),(16,29,'4','Outra Instituição fora de Santa Catarina'),(16,30,'1','Não iniciei curso superior'),(16,30,'10','Direito'),(16,30,'11','Ciências Econômicas'),(16,30,'12','Educação Física'),(16,30,'13','Enfermagem'),(16,30,'14','Engenharia'),(16,30,'15','Farmácia'),(16,30,'16','Filosofia'),(16,30,'17','Física'),(16,30,'18','Geografia'),(16,30,'19','História'),(16,30,'2','Administração'),(16,30,'20','Jornalismo'),(16,30,'21','Comunicação e Expressão Visual'),(16,30,'22','Letras'),(16,30,'23','Matemática'),(16,30,'24','Medicina'),(16,30,'25','Nutrição'),(16,30,'26','Odontologia'),(16,30,'27','Pedagogia'),(16,30,'28','Psicologia'),(16,30,'29','Química'),(16,30,'3','Agronomia'),(16,30,'30','Serviço Social'),(16,30,'31','Veterinária'),(16,30,'32','Outros'),(16,30,'4','Arquitetura e Urbanismo'),(16,30,'5','Biblioteconomia'),(16,30,'6','Ciências Biológicas'),(16,30,'7','Ciências da Computação'),(16,30,'8','Ciências Contábeis'),(16,30,'9','Ciências Sociais'),(16,31,'1','Sim, para dizer qual profissão devo seguir'),(16,31,'2','Sim, para auxiliar a conhecer as profissões e o mercado de trabalho'),(16,31,'3','Sim, para auxiliar a pensar na melhor opção para mim'),(16,31,'4','Sim, para ajudar a me conhecer melhor'),(16,31,'5','Sim, para auxiliar a conviver com a família e a sociedade e assumir o que quero'),(16,31,'6','Não'),(16,32,'1','Artes Plásticas/Artesanato'),(16,32,'2','Cinema/Vídeo'),(16,32,'3','Dança'),(16,32,'4','Música'),(16,32,'5','Teatro'),(16,32,'6','Literatura'),(16,32,'7','Esporte'),(16,32,'8','Outros'),(16,33,'1','Basquete'),(16,33,'10','Polo aquático'),(16,33,'11','Surf'),(16,33,'12','Tênis de campo'),(16,33,'13','Vela'),(16,33,'14','Voleibol'),(16,33,'15','Voleibol de areia'),(16,33,'16','Remo'),(16,33,'17','Xadrez'),(16,33,'18','Outros'),(16,33,'19','Não tem interesse'),(16,33,'2','Capoeira'),(16,33,'3','Caratê'),(16,33,'4','Futebol de campo'),(16,33,'5','Futebol de salão'),(16,33,'6','Futebol suíço'),(16,33,'7','Handebol'),(16,33,'8','Judô'),(16,33,'9','Natação'),(16,34,'1','É a única no Estado que oferece o curso pretendido'),(16,34,'2','É a que oferece o melhor curso pretendido'),(16,34,'3','É a que oferece o curso pretendido em horário adequado'),(16,34,'4','O curso pretendido é pouco procurado, o que facilita a classificação'),(16,34,'5','É de fácil acesso (proximidade de casa, prática locomoção etc.)'),(16,34,'6','Na realidade, gostaria de estudar em outra univerisidade'),(16,34,'7','Por ser pública e gratuita, satisfazendo as condições sócio-econom. da família'),(20,1,'1','Solteiro'),(20,1,'2','Casado'),(20,1,'3','Viúvo'),(20,1,'4','Desquitado'),(20,1,'5','Divorciado'),(20,1,'6','Outros'),(20,2,'1','Acre'),(20,2,'10','Maranhão'),(20,2,'11','Mato Grosso'),(20,2,'12','Mato Grosso do Sul'),(20,2,'13','Minas Gerais'),(20,2,'14','Pará'),(20,2,'15','Paraíba'),(20,2,'16','Paraná'),(20,2,'17','Pernambuco'),(20,2,'18','Piauí'),(20,2,'19','Rio Grande do Norte'),(20,2,'2','Alagoas'),(20,2,'20','Rio Grande do Sul'),(20,2,'21','Rio de Janeiro'),(20,2,'22','Rondônia'),(20,2,'23','Roraima'),(20,2,'24','Santa Catarina'),(20,2,'25','São Paulo'),(20,2,'26','Sergipe'),(20,2,'27','Tocantins'),(20,2,'28','Outros países'),(20,2,'3','Amapá'),(20,2,'4','Amazonas'),(20,2,'5','Bahia'),(20,2,'6','Ceará'),(20,2,'7','Distrito Federal'),(20,2,'8','Espírito Santo'),(20,2,'9','Goiás'),(20,3,'1','Acre'),(20,3,'10','Maranhão'),(20,3,'11','Mato Grosso'),(20,3,'12','Mato Grosso do Sul'),(20,3,'13','Minas Gerais'),(20,3,'14','Pará'),(20,3,'15','Paraíba'),(20,3,'16','Paraná'),(20,3,'17','Pernambuco'),(20,3,'18','Piauí'),(20,3,'19','Rio Grande do Norte'),(20,3,'2','Alagoas'),(20,3,'20','Rio Grande do Sul'),(20,3,'21','Rio de Janeiro'),(20,3,'22','Rondônia'),(20,3,'23','Roraima'),(20,3,'24','Santa Catarina'),(20,3,'25','São Paulo'),(20,3,'26','Sergipe'),(20,3,'27','Tocantins'),(20,3,'28','Outros países'),(20,3,'3','Amapá'),(20,3,'4','Amazonas'),(20,3,'5','Bahia'),(20,3,'6','Ceará'),(20,3,'7','Distrito Federal'),(20,3,'8','Espírito Santo'),(20,3,'9','Goiás'),(20,4,'1','Todo em Escola Pública'),(20,4,'2','Todo em Escola Particular'),(20,4,'3','Maior parte em Escola Pública'),(20,4,'4','Maior parte em Escola Particular'),(20,4,'5','Escolas Comunitárias'),(20,4,'6','Outros'),(20,5,'1','Acre'),(20,5,'10','Maranhão'),(20,5,'11','Mato Grosso'),(20,5,'12','Mato Grosso do Sul'),(20,5,'13','Minas Gerais'),(20,5,'14','Pará'),(20,5,'15','Paraíba'),(20,5,'16','Paraná'),(20,5,'17','Pernambuco'),(20,5,'18','Piauí'),(20,5,'19','Rio Grande do Norte'),(20,5,'2','Alagoas'),(20,5,'20','Rio Grande do Sul'),(20,5,'21','Rio de Janeiro'),(20,5,'22','Rondônia'),(20,5,'23','Roraima'),(20,5,'24','Santa Catarina'),(20,5,'25','São Paulo'),(20,5,'26','Sergipe'),(20,5,'27','Tocantins'),(20,5,'28','Outros países'),(20,5,'3','Amapá'),(20,5,'4','Amazonas'),(20,5,'5','Bahia'),(20,5,'6','Ceará'),(20,5,'7','Distrito Federal'),(20,5,'8','Espírito Santo'),(20,5,'9','Goiás'),(20,6,'1','Regular, sem ênfase em qualquer área'),(20,6,'2','Profissionalizante na área agrícola'),(20,6,'3','Profissionalizante na área de comércio ou serviços'),(20,6,'4','Profissionalizante na área de saúde'),(20,6,'5','Profissionalizante na área de magistério'),(20,6,'6','Profissionalizante na área industrial'),(20,6,'7','Supletivo ou Madureza'),(20,6,'8','Outros'),(20,7,'1','Todo em Escola Pública'),(20,7,'2','Todo em Escola Particular'),(20,7,'3','Maior parte em Escola Pública'),(20,7,'4','Maior parte em Escola Particular'),(20,7,'5','Escolas Comunitárias'),(20,7,'6','Outros'),(20,8,'1','Todo diurno'),(20,8,'2','Todo noturno'),(20,8,'3','Maior parte no diurno'),(20,8,'4','Maior parte no noturno'),(20,9,'1','Jornal'),(20,9,'2','Televisão'),(20,9,'3','Rádio'),(20,9,'4','Cartaz ou folder'),(20,9,'5','Colégio em que estuda'),(20,9,'6','Internet'),(20,9,'7','Parentes, amigos'),(20,10,'1','Não'),(20,10,'2','Sim, por menos de 1 semestre'),(20,10,'3','Sim, por 1 semestre'),(20,10,'4','Sim, por 1 ano'),(20,10,'5','Sim, por mais de 1 ano'),(20,11,'1','O Colégio prepara para o Vestibular'),(20,11,'2','O Colégio oferece pré-vestibular \"integrado\" ao curso'),(20,11,'3','Dificuldades econômicas'),(20,11,'4','O horário do pré-vestibular coincidia com o horário de trabalho'),(20,11,'5','Julgou que poderia estudar sozinho'),(20,11,'6','Não havia nenhum pré-vestibular nas proximidades da sua casa'),(20,11,'7','Não é o seu caso (fez pré-vestibular)'),(20,12,'1','Nenhuma'),(20,12,'2','Uma'),(20,12,'3','Duas'),(20,12,'4','Três'),(20,12,'5','Quatro ou mais'),(20,13,'1','Menor relação candidato/vaga'),(20,13,'2','Prestígio econômico'),(20,13,'3','Prestígio social'),(20,13,'4','Mais adequada às suas aptidões'),(20,13,'5','Influência da família e/ou amigos'),(20,13,'6','Influência de professores'),(20,13,'7','Outros motivos'),(20,14,'1','Aumento de conhecimento e cultura geral'),(20,14,'2','Melhoria da situação profissional atual'),(20,14,'3','Formação profissional voltada para o futuro emprego'),(20,14,'4','Formação teórica voltada para a pesquisa'),(20,14,'5','Outras'),(20,15,'1','Sim'),(20,15,'2','Não'),(20,16,'1','1 pessoa'),(20,16,'2','2 pessoas'),(20,16,'3','3 pessoas'),(20,16,'4','4 pessoas'),(20,16,'5','5 pessoas'),(20,16,'6','Acima de 5 pessoas'),(20,17,'1','Até 1 salário mínimo'),(20,17,'2','Acima de 1 até 3 sal. mín.'),(20,17,'3','Acima de 3 até 5 sal. mín.'),(20,17,'4','Acima de 5 até 7 sal. mín.'),(20,17,'5','Acima de 7 até 10 sal. mín.'),(20,17,'6','Entre 10 e 20 sal. mín.'),(20,17,'7','Entre 20 e 30 sal. mín.'),(20,17,'8','Acima de 30 sal. mín.'),(20,18,'1','Não alfabetizado'),(20,18,'2','Lê e escreve, mas nunca esteve na escola'),(20,18,'3','Fundamental incompleto'),(20,18,'4','Fundamental completo'),(20,18,'5','Médio incompleto'),(20,18,'6','Médio completo'),(20,18,'7','Superior incompleto'),(20,18,'8','Superior completo'),(20,18,'9','Pós-Graduação'),(20,19,'1','Não alfabetizado'),(20,19,'2','Lê e escreve, mas nunca esteve na escola'),(20,19,'3','Fundamental incompleto'),(20,19,'4','Fundamental completo'),(20,19,'5','Médio incompleto'),(20,19,'6','Médio completo'),(20,19,'7','Superior incompleto'),(20,19,'8','Superior completo'),(20,19,'9','Pós-Graduação'),(20,20,'1','Pai'),(20,20,'2','Mãe'),(20,20,'3','Pai e Mãe'),(20,20,'4','Você próprio'),(20,20,'5','Cônjuge'),(20,20,'6','Parente'),(20,20,'7','Outro(s)'),(20,21,'1','Profissional liberal'),(20,21,'2','Empresário'),(20,21,'3','Servidor Público'),(20,21,'4','Empregado Empresa Privada'),(20,21,'5','Empregado Rural / Agricultor'),(20,21,'6','Proprietário Rural'),(20,21,'7','Não trabalha'),(20,21,'8','Desempregado'),(20,21,'9','Outro'),(20,22,'1','Antes de 14 anos'),(20,22,'2','Entre 14 e 16 anos'),(20,22,'3','Entre 16 e 18 anos'),(20,22,'4','Após 18 anos'),(20,22,'5','Nunca trabalhou'),(20,23,'1','Profissional liberal'),(20,23,'2','Empresário'),(20,23,'3','Servidor Público'),(20,23,'4','Empregado Empresa Privada'),(20,23,'5','Empregado Rural / Agricultor'),(20,23,'6','Proprietário Rural'),(20,23,'7','Não trabalha'),(20,23,'8','Desempregado'),(20,23,'9','Outro'),(20,24,'1','Jornal'),(20,24,'2','Televisão'),(20,24,'3','Rádio'),(20,24,'4','Revista'),(20,24,'5','Internet'),(20,24,'6','Conversas com outras pessoas'),(20,24,'7','Não tenho me mantido informado'),(20,25,'1','Sim, com acesso à Internet'),(20,25,'2','Sim, sem acesso à Internet'),(20,25,'3','Não'),(20,26,'1','Sim, só para lazer'),(20,26,'2','Sim, para trabalhos escolares e/ou profissionais'),(20,26,'3','Sim, no trabalho'),(20,26,'4','Não'),(20,27,'1','Bicicleta'),(20,27,'2','Carro próprio ou da família'),(20,27,'3','Moto'),(20,27,'4','Ônibus'),(20,27,'5','Outros'),(20,28,'1','Sim, mas abandonei'),(20,28,'2','Sim, estou cursando'),(20,28,'3','Sim, mas já concluí'),(20,28,'4','Sim, já concluí um e estou cursando outro'),(20,28,'5','Sim, já concluí um e abandonei outro'),(20,28,'6','Não'),(20,29,'1','Não iniciei'),(20,29,'2','UFSC'),(20,29,'3','Outra Instituição de Santa Catarina'),(20,29,'4','Outra Instituição fora de Santa Catarina'),(20,30,'1','Não iniciei curso superior'),(20,30,'10','Direito'),(20,30,'11','Ciências Econômicas'),(20,30,'12','Educação Física'),(20,30,'13','Enfermagem'),(20,30,'14','Engenharia'),(20,30,'15','Farmácia'),(20,30,'16','Filosofia'),(20,30,'17','Física'),(20,30,'18','Geografia'),(20,30,'19','História'),(20,30,'2','Administração'),(20,30,'20','Jornalismo'),(20,30,'21','Comunicação e Expressão Visual'),(20,30,'22','Letras'),(20,30,'23','Matemática'),(20,30,'24','Medicina'),(20,30,'25','Nutrição'),(20,30,'26','Odontologia'),(20,30,'27','Pedagogia'),(20,30,'28','Psicologia'),(20,30,'29','Química'),(20,30,'3','Agronomia'),(20,30,'30','Serviço Social'),(20,30,'31','Veterinária'),(20,30,'32','Outros'),(20,30,'4','Arquitetura e Urbanismo'),(20,30,'5','Biblioteconomia'),(20,30,'6','Ciências Biológicas'),(20,30,'7','Ciências da Computação'),(20,30,'8','Ciências Contábeis'),(20,30,'9','Ciências Sociais'),(20,31,'1','Sim, para dizer qual profissão devo seguir'),(20,31,'2','Sim, para auxiliar a conhecer as profissões e o mercado de trabalho'),(20,31,'3','Sim, para auxiliar a pensar na melhor opção para mim'),(20,31,'4','Sim, para ajudar a me conhecer melhor'),(20,31,'5','Sim, para auxiliar a conviver com a família e a sociedade e assumir o que quero'),(20,31,'6','Não'),(20,32,'1','Artes Plásticas/Artesanato'),(20,32,'2','Cinema/Vídeo'),(20,32,'3','Dança'),(20,32,'4','Música'),(20,32,'5','Teatro'),(20,32,'6','Literatura'),(20,32,'7','Esporte'),(20,32,'8','Outros'),(20,33,'1','Basquete'),(20,33,'10','Polo aquático'),(20,33,'11','Surf'),(20,33,'12','Tênis de campo'),(20,33,'13','Vela'),(20,33,'14','Voleibol'),(20,33,'15','Voleibol de areia'),(20,33,'16','Remo'),(20,33,'17','Xadrez'),(20,33,'18','Outros'),(20,33,'19','Não tem interesse'),(20,33,'2','Capoeira'),(20,33,'3','Caratê'),(20,33,'4','Futebol de campo'),(20,33,'5','Futebol de salão'),(20,33,'6','Futebol suíço'),(20,33,'7','Handebol'),(20,33,'8','Judô'),(20,33,'9','Natação'),(20,34,'1','É a única no Estado que oferece o curso pretendido'),(20,34,'2','É a que oferece o melhor curso pretendido'),(20,34,'3','É a que oferece o curso pretendido em horário adequado'),(20,34,'4','O curso pretendido é pouco procurado, o que facilita a classificação'),(20,34,'5','É de fácil acesso (proximidade de casa, prática locomoção etc.)'),(20,34,'6','Na realidade, gostaria de estudar em outra univerisidade'),(20,34,'7','Por ser pública e gratuita, satisfazendo as condições sócio-econom. da família'),(25,1,'1','Solteiro'),(25,1,'2','Casado'),(25,1,'3','Viúvo'),(25,1,'4','Desquitado'),(25,1,'5','Divorciado'),(25,1,'6','Outros'),(25,2,'1','Acre'),(25,2,'10','Maranhão'),(25,2,'11','Mato Grosso'),(25,2,'12','Mato Grosso do Sul'),(25,2,'13','Minas Gerais'),(25,2,'14','Pará'),(25,2,'15','Paraíba'),(25,2,'16','Paraná'),(25,2,'17','Pernambuco'),(25,2,'18','Piauí'),(25,2,'19','Rio Grande do Norte'),(25,2,'2','Alagoas'),(25,2,'20','Rio Grande do Sul'),(25,2,'21','Rio de Janeiro'),(25,2,'22','Rondônia'),(25,2,'23','Roraima'),(25,2,'24','Santa Catarina'),(25,2,'25','São Paulo'),(25,2,'26','Sergipe'),(25,2,'27','Tocantins'),(25,2,'28','Outros países'),(25,2,'3','Amapá'),(25,2,'4','Amazonas'),(25,2,'5','Bahia'),(25,2,'6','Ceará'),(25,2,'7','Distrito Federal'),(25,2,'8','Espírito Santo'),(25,2,'9','Goiás'),(25,3,'1','Acre'),(25,3,'10','Maranhão'),(25,3,'11','Mato Grosso'),(25,3,'12','Mato Grosso do Sul'),(25,3,'13','Minas Gerais'),(25,3,'14','Pará'),(25,3,'15','Paraíba'),(25,3,'16','Paraná'),(25,3,'17','Pernambuco'),(25,3,'18','Piauí'),(25,3,'19','Rio Grande do Norte'),(25,3,'2','Alagoas'),(25,3,'20','Rio Grande do Sul'),(25,3,'21','Rio de Janeiro'),(25,3,'22','Rondônia'),(25,3,'23','Roraima'),(25,3,'24','Santa Catarina'),(25,3,'25','São Paulo'),(25,3,'26','Sergipe'),(25,3,'27','Tocantins'),(25,3,'28','Outros países'),(25,3,'3','Amapá'),(25,3,'4','Amazonas'),(25,3,'5','Bahia'),(25,3,'6','Ceará'),(25,3,'7','Distrito Federal'),(25,3,'8','Espírito Santo'),(25,3,'9','Goiás'),(25,4,'1','Todo em Escola Pública'),(25,4,'2','Todo em Escola Particular'),(25,4,'3','Maior parte em Escola Pública'),(25,4,'4','Maior parte em Escola Particular'),(25,4,'5','Escolas Comunitárias'),(25,4,'6','Outros'),(25,5,'1','Acre'),(25,5,'10','Maranhão'),(25,5,'11','Mato Grosso'),(25,5,'12','Mato Grosso do Sul'),(25,5,'13','Minas Gerais'),(25,5,'14','Pará'),(25,5,'15','Paraíba'),(25,5,'16','Paraná'),(25,5,'17','Pernambuco'),(25,5,'18','Piauí'),(25,5,'19','Rio Grande do Norte'),(25,5,'2','Alagoas'),(25,5,'20','Rio Grande do Sul'),(25,5,'21','Rio de Janeiro'),(25,5,'22','Rondônia'),(25,5,'23','Roraima'),(25,5,'24','Santa Catarina'),(25,5,'25','São Paulo'),(25,5,'26','Sergipe'),(25,5,'27','Tocantins'),(25,5,'28','Outros países'),(25,5,'3','Amapá'),(25,5,'4','Amazonas'),(25,5,'5','Bahia'),(25,5,'6','Ceará'),(25,5,'7','Distrito Federal'),(25,5,'8','Espírito Santo'),(25,5,'9','Goiás'),(25,6,'1','Regular, sem ênfase em qualquer área'),(25,6,'2','Profissionalizante na área agrícola'),(25,6,'3','Profissionalizante na área de comércio ou serviços'),(25,6,'4','Profissionalizante na área de saúde'),(25,6,'5','Profissionalizante na área de magistério'),(25,6,'6','Profissionalizante na área industrial'),(25,6,'7','Supletivo ou Madureza'),(25,6,'8','Outros'),(25,7,'1','Todo em Escola Pública'),(25,7,'2','Todo em Escola Particular'),(25,7,'3','Maior parte em Escola Pública'),(25,7,'4','Maior parte em Escola Particular'),(25,7,'5','Escolas Comunitárias'),(25,7,'6','Outros'),(25,8,'1','Todo diurno'),(25,8,'2','Todo noturno'),(25,8,'3','Maior parte no diurno'),(25,8,'4','Maior parte no noturno'),(25,9,'1','Jornal'),(25,9,'2','Televisão'),(25,9,'3','Rádio'),(25,9,'4','Cartaz ou folder'),(25,9,'5','Colégio em que estuda'),(25,9,'6','Internet'),(25,9,'7','Parentes, amigos'),(25,10,'1','Não'),(25,10,'2','Sim, por menos de 1 semestre'),(25,10,'3','Sim, por 1 semestre'),(25,10,'4','Sim, por 1 ano'),(25,10,'5','Sim, por mais de 1 ano'),(25,11,'1','O Colégio prepara para o Vestibular'),(25,11,'2','O Colégio oferece pré-vestibular \"integrado\" ao curso'),(25,11,'3','Dificuldades econômicas'),(25,11,'4','O horário do pré-vestibular coincidia com o horário de trabalho'),(25,11,'5','Julgou que poderia estudar sozinho'),(25,11,'6','Não havia nenhum pré-vestibular nas proximidades da sua casa'),(25,11,'7','Não é o seu caso (fez pré-vestibular)'),(25,12,'1','Nenhuma'),(25,12,'2','Uma'),(25,12,'3','Duas'),(25,12,'4','Três'),(25,12,'5','Quatro ou mais'),(25,13,'1','Menor relação candidato/vaga'),(25,13,'2','Prestígio econômico'),(25,13,'3','Prestígio social'),(25,13,'4','Mais adequada às suas aptidões'),(25,13,'5','Influência da família e/ou amigos'),(25,13,'6','Influência de professores'),(25,13,'7','Outros motivos'),(25,14,'1','Aumento de conhecimento e cultura geral'),(25,14,'2','Melhoria da situação profissional atual'),(25,14,'3','Formação profissional voltada para o futuro emprego'),(25,14,'4','Formação teórica voltada para a pesquisa'),(25,14,'5','Outras'),(25,15,'1','Sim'),(25,15,'2','Não'),(25,16,'1','1 pessoa'),(25,16,'2','2 pessoas'),(25,16,'3','3 pessoas'),(25,16,'4','4 pessoas'),(25,16,'5','5 pessoas'),(25,16,'6','Acima de 5 pessoas'),(25,17,'1','Até 1 salário mínimo'),(25,17,'2','Acima de 1 até 3 sal. mín.'),(25,17,'3','Acima de 3 até 5 sal. mín.'),(25,17,'4','Acima de 5 até 7 sal. mín.'),(25,17,'5','Acima de 7 até 10 sal. mín.'),(25,17,'6','Entre 10 e 20 sal. mín.'),(25,17,'7','Entre 20 e 30 sal. mín.'),(25,17,'8','Acima de 30 sal. mín.'),(25,18,'1','Não alfabetizado'),(25,18,'2','Lê e escreve, mas nunca esteve na escola'),(25,18,'3','Fundamental incompleto'),(25,18,'4','Fundamental completo'),(25,18,'5','Médio incompleto'),(25,18,'6','Médio completo'),(25,18,'7','Superior incompleto'),(25,18,'8','Superior completo'),(25,18,'9','Pós-Graduação'),(25,19,'1','Não alfabetizado'),(25,19,'2','Lê e escreve, mas nunca esteve na escola'),(25,19,'3','Fundamental incompleto'),(25,19,'4','Fundamental completo'),(25,19,'5','Médio incompleto'),(25,19,'6','Médio completo'),(25,19,'7','Superior incompleto'),(25,19,'8','Superior completo'),(25,19,'9','Pós-Graduação'),(25,20,'1','Pai'),(25,20,'2','Mãe'),(25,20,'3','Pai e Mãe'),(25,20,'4','Você próprio'),(25,20,'5','Cônjuge'),(25,20,'6','Parente'),(25,20,'7','Outro(s)'),(25,21,'1','Profissional liberal'),(25,21,'2','Empresário'),(25,21,'3','Servidor Público'),(25,21,'4','Empregado Empresa Privada'),(25,21,'5','Empregado Rural / Agricultor'),(25,21,'6','Proprietário Rural'),(25,21,'7','Não trabalha'),(25,21,'8','Desempregado'),(25,21,'9','Outro'),(25,22,'1','Antes de 14 anos'),(25,22,'2','Entre 14 e 16 anos'),(25,22,'3','Entre 16 e 18 anos'),(25,22,'4','Após 18 anos'),(25,22,'5','Nunca trabalhou'),(25,23,'1','Profissional liberal'),(25,23,'2','Empresário'),(25,23,'3','Servidor Público'),(25,23,'4','Empregado Empresa Privada'),(25,23,'5','Empregado Rural / Agricultor'),(25,23,'6','Proprietário Rural'),(25,23,'7','Não trabalha'),(25,23,'8','Desempregado'),(25,23,'9','Outro'),(25,24,'1','Jornal'),(25,24,'2','Televisão'),(25,24,'3','Rádio'),(25,24,'4','Revista'),(25,24,'5','Internet'),(25,24,'6','Conversas com outras pessoas'),(25,24,'7','Não tenho me mantido informado'),(25,25,'1','Sim, com acesso à Internet'),(25,25,'2','Sim, sem acesso à Internet'),(25,25,'3','Não'),(25,26,'1','Sim, só para lazer'),(25,26,'2','Sim, para trabalhos escolares e/ou profissionais'),(25,26,'3','Sim, no trabalho'),(25,26,'4','Não'),(25,27,'1','Bicicleta'),(25,27,'2','Carro próprio ou da família'),(25,27,'3','Moto'),(25,27,'4','Ônibus'),(25,27,'5','Outros'),(25,28,'1','Sim, mas abandonei'),(25,28,'2','Sim, estou cursando'),(25,28,'3','Sim, mas já concluí'),(25,28,'4','Sim, já concluí um e estou cursando outro'),(25,28,'5','Sim, já concluí um e abandonei outro'),(25,28,'6','Não'),(25,29,'1','Não iniciei'),(25,29,'2','UFSC'),(25,29,'3','Outra Instituição de Santa Catarina'),(25,29,'4','Outra Instituição fora de Santa Catarina'),(25,30,'1','Não iniciei curso superior'),(25,30,'10','Direito'),(25,30,'11','Ciências Econômicas'),(25,30,'12','Educação Física'),(25,30,'13','Enfermagem'),(25,30,'14','Engenharia'),(25,30,'15','Farmácia'),(25,30,'16','Filosofia'),(25,30,'17','Física'),(25,30,'18','Geografia'),(25,30,'19','História'),(25,30,'2','Administração'),(25,30,'20','Jornalismo'),(25,30,'21','Comunicação e Expressão Visual'),(25,30,'22','Letras'),(25,30,'23','Matemática'),(25,30,'24','Medicina'),(25,30,'25','Nutrição'),(25,30,'26','Odontologia'),(25,30,'27','Pedagogia'),(25,30,'28','Psicologia'),(25,30,'29','Química'),(25,30,'3','Agronomia'),(25,30,'30','Serviço Social'),(25,30,'31','Veterinária'),(25,30,'32','Outros'),(25,30,'4','Arquitetura e Urbanismo'),(25,30,'5','Biblioteconomia'),(25,30,'6','Ciências Biológicas'),(25,30,'7','Ciências da Computação'),(25,30,'8','Ciências Contábeis'),(25,30,'9','Ciências Sociais'),(25,31,'1','Sim, para dizer qual profissão devo seguir'),(25,31,'2','Sim, para auxiliar a conhecer as profissões e o mercado de trabalho'),(25,31,'3','Sim, para auxiliar a pensar na melhor opção para mim'),(25,31,'4','Sim, para ajudar a me conhecer melhor'),(25,31,'5','Sim, para auxiliar a conviver com a família e a sociedade e assumir o que quero'),(25,31,'6','Não'),(25,32,'1','Artes Plásticas/Artesanato'),(25,32,'2','Cinema/Vídeo'),(25,32,'3','Dança'),(25,32,'4','Música'),(25,32,'5','Teatro'),(25,32,'6','Literatura'),(25,32,'7','Esporte'),(25,32,'8','Outros'),(25,33,'1','Basquete'),(25,33,'10','Polo aquático'),(25,33,'11','Surf'),(25,33,'12','Tênis de campo'),(25,33,'13','Vela'),(25,33,'14','Voleibol'),(25,33,'15','Voleibol de areia'),(25,33,'16','Remo'),(25,33,'17','Xadrez'),(25,33,'18','Outros'),(25,33,'19','Não tem interesse'),(25,33,'2','Capoeira'),(25,33,'3','Caratê'),(25,33,'4','Futebol de campo'),(25,33,'5','Futebol de salão'),(25,33,'6','Futebol suíço'),(25,33,'7','Handebol'),(25,33,'8','Judô'),(25,33,'9','Natação'),(25,34,'1','É a única no Estado que oferece o curso pretendido'),(25,34,'2','É a que oferece o melhor curso pretendido'),(25,34,'3','É a que oferece o curso pretendido em horário adequado'),(25,34,'4','O curso pretendido é pouco procurado, o que facilita a classificação'),(25,34,'5','É de fácil acesso (proximidade de casa, prática locomoção etc.)'),(25,34,'6','Na realidade, gostaria de estudar em outra univerisidade'),(25,34,'7','Por ser pública e gratuita, satisfazendo as condições sócio-econom. da família'),(28,1,'1','Solteiro'),(28,1,'2','Casado'),(28,1,'3','Viúvo'),(28,1,'4','Desquitado'),(28,1,'5','Divorciado'),(28,1,'6','Outros'),(28,2,'1','Acre'),(28,2,'10','Maranhão'),(28,2,'11','Mato Grosso'),(28,2,'12','Mato Grosso do Sul'),(28,2,'13','Minas Gerais'),(28,2,'14','Pará'),(28,2,'15','Paraíba'),(28,2,'16','Paraná'),(28,2,'17','Pernambuco'),(28,2,'18','Piauí'),(28,2,'19','Rio Grande do Norte'),(28,2,'2','Alagoas'),(28,2,'20','Rio Grande do Sul'),(28,2,'21','Rio de Janeiro'),(28,2,'22','Rondônia'),(28,2,'23','Roraima'),(28,2,'24','Santa Catarina'),(28,2,'25','São Paulo'),(28,2,'26','Sergipe'),(28,2,'27','Tocantins'),(28,2,'28','Outros países'),(28,2,'3','Amapá'),(28,2,'4','Amazonas'),(28,2,'5','Bahia'),(28,2,'6','Ceará'),(28,2,'7','Distrito Federal'),(28,2,'8','Espírito Santo'),(28,2,'9','Goiás'),(28,3,'1','Acre'),(28,3,'10','Maranhão'),(28,3,'11','Mato Grosso'),(28,3,'12','Mato Grosso do Sul'),(28,3,'13','Minas Gerais'),(28,3,'14','Pará'),(28,3,'15','Paraíba'),(28,3,'16','Paraná'),(28,3,'17','Pernambuco'),(28,3,'18','Piauí'),(28,3,'19','Rio Grande do Norte'),(28,3,'2','Alagoas'),(28,3,'20','Rio Grande do Sul'),(28,3,'21','Rio de Janeiro'),(28,3,'22','Rondônia'),(28,3,'23','Roraima'),(28,3,'24','Santa Catarina'),(28,3,'25','São Paulo'),(28,3,'26','Sergipe'),(28,3,'27','Tocantins'),(28,3,'28','Outros países'),(28,3,'3','Amapá'),(28,3,'4','Amazonas'),(28,3,'5','Bahia'),(28,3,'6','Ceará'),(28,3,'7','Distrito Federal'),(28,3,'8','Espírito Santo'),(28,3,'9','Goiás'),(28,4,'1','Todo em Escola Pública'),(28,4,'2','Todo em Escola Particular'),(28,4,'3','Maior parte em Escola Pública'),(28,4,'4','Maior parte em Escola Particular'),(28,4,'5','Escolas Comunitárias'),(28,4,'6','Outros'),(28,5,'1','Acre'),(28,5,'10','Maranhão'),(28,5,'11','Mato Grosso'),(28,5,'12','Mato Grosso do Sul'),(28,5,'13','Minas Gerais'),(28,5,'14','Pará'),(28,5,'15','Paraíba'),(28,5,'16','Paraná'),(28,5,'17','Pernambuco'),(28,5,'18','Piauí'),(28,5,'19','Rio Grande do Norte'),(28,5,'2','Alagoas'),(28,5,'20','Rio Grande do Sul'),(28,5,'21','Rio de Janeiro'),(28,5,'22','Rondônia'),(28,5,'23','Roraima'),(28,5,'24','Santa Catarina'),(28,5,'25','São Paulo'),(28,5,'26','Sergipe'),(28,5,'27','Tocantins'),(28,5,'28','Outros países'),(28,5,'3','Amapá'),(28,5,'4','Amazonas'),(28,5,'5','Bahia'),(28,5,'6','Ceará'),(28,5,'7','Distrito Federal'),(28,5,'8','Espírito Santo'),(28,5,'9','Goiás'),(28,6,'1','Regular, sem ênfase em qualquer área'),(28,6,'2','Profissionalizante na área agrícola'),(28,6,'3','Profissionalizante na área de comércio ou serviços'),(28,6,'4','Profissionalizante na área de saúde'),(28,6,'5','Profissionalizante na área de magistério'),(28,6,'6','Profissionalizante na área industrial'),(28,6,'7','Supletivo ou Madureza'),(28,6,'8','Outros'),(28,7,'1','Todo em Escola Pública'),(28,7,'2','Todo em Escola Particular'),(28,7,'3','Maior parte em Escola Pública'),(28,7,'4','Maior parte em Escola Particular'),(28,7,'5','Escolas Comunitárias'),(28,7,'6','Outros'),(28,8,'1','Todo diurno'),(28,8,'2','Todo noturno'),(28,8,'3','Maior parte no diurno'),(28,8,'4','Maior parte no noturno'),(28,9,'1','Jornal'),(28,9,'2','Televisão'),(28,9,'3','Rádio'),(28,9,'4','Cartaz ou folder'),(28,9,'5','Colégio em que estuda'),(28,9,'6','Internet'),(28,9,'7','Parentes, amigos'),(28,10,'1','Não'),(28,10,'2','Sim, por menos de 1 semestre'),(28,10,'3','Sim, por 1 semestre'),(28,10,'4','Sim, por 1 ano'),(28,10,'5','Sim, por mais de 1 ano'),(28,11,'1','O Colégio prepara para o Vestibular'),(28,11,'2','O Colégio oferece pré-vestibular \"integrado\" ao curso'),(28,11,'3','Dificuldades econômicas'),(28,11,'4','O horário do pré-vestibular coincidia com o horário de trabalho'),(28,11,'5','Julgou que poderia estudar sozinho'),(28,11,'6','Não havia nenhum pré-vestibular nas proximidades da sua casa'),(28,11,'7','Não é o seu caso (fez pré-vestibular)'),(28,12,'1','Nenhuma'),(28,12,'2','Uma'),(28,12,'3','Duas'),(28,12,'4','Três'),(28,12,'5','Quatro ou mais'),(28,13,'1','Menor relação candidato/vaga'),(28,13,'2','Prestígio econômico'),(28,13,'3','Prestígio social'),(28,13,'4','Mais adequada às suas aptidões'),(28,13,'5','Influência da família e/ou amigos'),(28,13,'6','Influência de professores'),(28,13,'7','Outros motivos'),(28,14,'1','Aumento de conhecimento e cultura geral'),(28,14,'2','Melhoria da situação profissional atual'),(28,14,'3','Formação profissional voltada para o futuro emprego'),(28,14,'4','Formação teórica voltada para a pesquisa'),(28,14,'5','Outras'),(28,15,'1','Sim'),(28,15,'2','Não'),(28,16,'1','1 pessoa'),(28,16,'2','2 pessoas'),(28,16,'3','3 pessoas'),(28,16,'4','4 pessoas'),(28,16,'5','5 pessoas'),(28,16,'6','Acima de 5 pessoas'),(28,17,'1','Até 1 salário mínimo'),(28,17,'2','Acima de 1 até 3 sal. mín.'),(28,17,'3','Acima de 3 até 5 sal. mín.'),(28,17,'4','Acima de 5 até 7 sal. mín.'),(28,17,'5','Acima de 7 até 10 sal. mín.'),(28,17,'6','Entre 10 e 20 sal. mín.'),(28,17,'7','Entre 20 e 30 sal. mín.'),(28,17,'8','Acima de 30 sal. mín.'),(28,18,'1','Não alfabetizado'),(28,18,'2','Lê e escreve, mas nunca esteve na escola'),(28,18,'3','Fundamental incompleto'),(28,18,'4','Fundamental completo'),(28,18,'5','Médio incompleto'),(28,18,'6','Médio completo'),(28,18,'7','Superior incompleto'),(28,18,'8','Superior completo'),(28,18,'9','Pós-Graduação'),(28,19,'1','Não alfabetizado'),(28,19,'2','Lê e escreve, mas nunca esteve na escola'),(28,19,'3','Fundamental incompleto'),(28,19,'4','Fundamental completo'),(28,19,'5','Médio incompleto'),(28,19,'6','Médio completo'),(28,19,'7','Superior incompleto'),(28,19,'8','Superior completo'),(28,19,'9','Pós-Graduação'),(28,20,'1','Pai'),(28,20,'2','Mãe'),(28,20,'3','Pai e Mãe'),(28,20,'4','Você próprio'),(28,20,'5','Cônjuge'),(28,20,'6','Parente'),(28,20,'7','Outro(s)'),(28,21,'1','Profissional liberal'),(28,21,'2','Empresário'),(28,21,'3','Servidor Público'),(28,21,'4','Empregado Empresa Privada'),(28,21,'5','Empregado Rural / Agricultor'),(28,21,'6','Proprietário Rural'),(28,21,'7','Não trabalha'),(28,21,'8','Desempregado'),(28,21,'9','Outro'),(28,22,'1','Antes de 14 anos'),(28,22,'2','Entre 14 e 16 anos'),(28,22,'3','Entre 16 e 18 anos'),(28,22,'4','Após 18 anos'),(28,22,'5','Nunca trabalhou'),(28,23,'1','Profissional liberal'),(28,23,'2','Empresário'),(28,23,'3','Servidor Público'),(28,23,'4','Empregado Empresa Privada'),(28,23,'5','Empregado Rural / Agricultor'),(28,23,'6','Proprietário Rural'),(28,23,'7','Não trabalha'),(28,23,'8','Desempregado'),(28,23,'9','Outro'),(28,24,'1','Jornal'),(28,24,'2','Televisão'),(28,24,'3','Rádio'),(28,24,'4','Revista'),(28,24,'5','Internet'),(28,24,'6','Conversas com outras pessoas'),(28,24,'7','Não tenho me mantido informado'),(28,25,'1','Sim, com acesso à Internet'),(28,25,'2','Sim, sem acesso à Internet'),(28,25,'3','Não'),(28,26,'1','Sim, só para lazer'),(28,26,'2','Sim, para trabalhos escolares e/ou profissionais'),(28,26,'3','Sim, no trabalho'),(28,26,'4','Não'),(28,27,'1','Bicicleta'),(28,27,'2','Carro próprio ou da família'),(28,27,'3','Moto'),(28,27,'4','Ônibus'),(28,27,'5','Outros'),(28,28,'1','Sim, mas abandonei'),(28,28,'2','Sim, estou cursando'),(28,28,'3','Sim, mas já concluí'),(28,28,'4','Sim, já concluí um e estou cursando outro'),(28,28,'5','Sim, já concluí um e abandonei outro'),(28,28,'6','Não'),(28,29,'1','Não iniciei'),(28,29,'2','UFSC'),(28,29,'3','Outra Instituição de Santa Catarina'),(28,29,'4','Outra Instituição fora de Santa Catarina'),(28,30,'1','Não iniciei curso superior'),(28,30,'10','Direito'),(28,30,'11','Ciências Econômicas'),(28,30,'12','Educação Física'),(28,30,'13','Enfermagem'),(28,30,'14','Engenharia'),(28,30,'15','Farmácia'),(28,30,'16','Filosofia'),(28,30,'17','Física'),(28,30,'18','Geografia'),(28,30,'19','História'),(28,30,'2','Administração'),(28,30,'20','Jornalismo'),(28,30,'21','Comunicação e Expressão Visual'),(28,30,'22','Letras'),(28,30,'23','Matemática'),(28,30,'24','Medicina'),(28,30,'25','Nutrição'),(28,30,'26','Odontologia'),(28,30,'27','Pedagogia'),(28,30,'28','Psicologia'),(28,30,'29','Química'),(28,30,'3','Agronomia'),(28,30,'30','Serviço Social'),(28,30,'31','Veterinária'),(28,30,'32','Outros'),(28,30,'4','Arquitetura e Urbanismo'),(28,30,'5','Biblioteconomia'),(28,30,'6','Ciências Biológicas'),(28,30,'7','Ciências da Computação'),(28,30,'8','Ciências Contábeis'),(28,30,'9','Ciências Sociais'),(28,31,'1','Sim, para dizer qual profissão devo seguir'),(28,31,'2','Sim, para auxiliar a conhecer as profissões e o mercado de trabalho'),(28,31,'3','Sim, para auxiliar a pensar na melhor opção para mim'),(28,31,'4','Sim, para ajudar a me conhecer melhor'),(28,31,'5','Sim, para auxiliar a conviver com a família e a sociedade e assumir o que quero'),(28,31,'6','Não'),(28,32,'1','Artes Plásticas/Artesanato'),(28,32,'2','Cinema/Vídeo'),(28,32,'3','Dança'),(28,32,'4','Música'),(28,32,'5','Teatro'),(28,32,'6','Literatura'),(28,32,'7','Esporte'),(28,32,'8','Outros'),(28,33,'1','Basquete'),(28,33,'10','Polo aquático'),(28,33,'11','Surf'),(28,33,'12','Tênis de campo'),(28,33,'13','Vela'),(28,33,'14','Voleibol'),(28,33,'15','Voleibol de areia'),(28,33,'16','Remo'),(28,33,'17','Xadrez'),(28,33,'18','Outros'),(28,33,'19','Não tem interesse'),(28,33,'2','Capoeira'),(28,33,'3','Caratê'),(28,33,'4','Futebol de campo'),(28,33,'5','Futebol de salão'),(28,33,'6','Futebol suíço'),(28,33,'7','Handebol'),(28,33,'8','Judô'),(28,33,'9','Natação'),(28,34,'1','É a única no Estado que oferece o curso pretendido'),(28,34,'2','É a que oferece o melhor curso pretendido'),(28,34,'3','É a que oferece o curso pretendido em horário adequado'),(28,34,'4','O curso pretendido é pouco procurado, o que facilita a classificação'),(28,34,'5','É de fácil acesso (proximidade de casa, prática locomoção etc.)'),(28,34,'6','Na realidade, gostaria de estudar em outra univerisidade'),(28,34,'7','Por ser pública e gratuita, satisfazendo as condições sócio-econom. da família');
/*!40000 ALTER TABLE codigo_questionario ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-11-26 10:35:07
